% -----------------------------------------------------------------%
%   Programa para analizar la estabilidad de un sistema mecnico 
%   cuyo comportamiento matemtico es anlogo al de la mquina sncrona
%   El sistema esta en equilibrio con las masas m0, m1 y m2, 
%   debe de obtenerse el maximo valor de la condicion inicial Tet_0 
%   para que el sistema sea inestable
% -----------------------------------------------------------------%
 clear all 
% -----------------------------------------------------------------%
%     Tiempos de la corrida y puntos de integracion
% -----------------------------------------------------------------%
ti = 0;
tf = 5;
n_puntos = 1000;
delta = (tf-ti)/n_puntos;
ang_inest=pi;              % angulo critico de inestabilidad
omega_nula=0.01;           % omega considerada como nula

% -----------------------------------------------------------------%
%    Condiciones iniciales
% -----------------------------------------------------------------%


Tet_0_inicial=0.5;   %30 grados
DTet_0=0;

% -----------------------------------------------------------------%
%     inicio de la disminucion de m0
% -----------------------------------------------------------------%

for Tet_0=Tet_0_inicial:-0.05:-pi
    
% -----------------------------------------------------------------%
%     Valores numricos de los parmetros del sistema
% -----------------------------------------------------------------%
  
r  = 0.1;                % radio de la polea
mp = 1.484;              % masa de la polea
mB = 0.386;              % masa de la barra
lB = 0.438;              % longitud de la barra
m0=0.57733;
m2 = 1.005;              % masa m2
B  = 0;                  % coeficiente de amortiguacion rotacional

% -----------------------------------------------------------------%
%     Definicion de constantes del modelo
% -----------------------------------------------------------------%

I = (m2+m0)*r^2+0.5*mp*r^2+(1/3)*mB*lB^2;   
mprima=m2-m0;
g  = 10;              
K=mB*g*lB/2;

% -----------------------------------------------------------------%

[t,z] = sim('c:Est_sist_mec_sim',[ti tf]);
%graficas_subplot_t_x_t_v
graficas_plot_x_v

end




