%-------------------------------------------------------
% Archivo para calcular las masas M0, M1, M2 y M3
% los momentos de inercia, la constante K
% y las graficas de pares para el programa 
%-------------------------------------------------------
clear all
% Datos del sistema   

%    Sugerencias
%     Sistema 1             Sistema 2
%     M0=0.5                M0=0.4773
%     M1=0.2773           M1=0.1
%     M2=1.2                 M2=1
%     M3=0.3                 M3=0.6
%-------------------------------------------------------


Mp=1.484; MB=0.386; lB=0.438; r=0.1;g=9.81;
fprintf('\n\n\n-Calculo de las masas M0, M1 y M2 para la condicion de equilibrio-\n\n');
% Fijar el angulo de equilibrio en radianes
ang_0=input('Fije el angulo de equilibrio Tet_0 en [rad] =');
fprintf('Valor de Tet_0= %10.4f \n',ang_0);

% Calculo de las masas
Meq=((MB*lB)/(2*r))*sin(ang_0);
fprintf('Valor de Meq= %10.4f \n',Meq);
M2=input('Fije el valor de M2 en [kg] =');
fprintf('Valor de M2= %10.4f \n',M2);

M1masM0=M2-Meq;
fprintf('Suma de M0+M1= %10.4f \n',M1masM0);
M0=input('Fije el valor de M0 en [kg] =');
fprintf('Valor de M0= %10.4f \n',M0);

M1=M2-Meq-M0;
fprintf('Valor de M1= %10.4f \n',M1);
fprintf('Valor de Mf= %10.4f \n',M2-M1);

%Calculo de Ieq
Ieq=(1/2)*Mp*r^2+(1/12)*MB*lB^2+(M0+M1+M2)*r^2;
fprintf('Valor de Ieq= %10.4f \n',Ieq);

%Calculo de la constante K
K=(1/2)*MB*lB*g;
fprintf('Valor de la constante K= %10.4f \n',K);

%Valor de los pares para graficas
fprintf('Valor de K/Ieq= %10.4f \n',K/Ieq);
fprintf('Valor de (1/Ieq)(M2-M0-M1)gr= %10.4f \n',(1/Ieq)*Meq*g*r);
pause

%--------------------------------------------------------------------------
fprintf('\n\n\n-Calculo de las constantes If, K/If y (1/If)(M2-M1) para la condicion de falla-\n\n');
Mf=M2-M1;
If=(1/2)*Mp*r^2+(1/12)*MB*lB^2+(M1+M2)*r^2;
fprintf('Valor de Mf= %10.4f \n',Mf);
fprintf('Valor de If= %10.4f \n',If);
fprintf('Valor de K/If= %10.4f \n',K/If);
fprintf('Valor de (1/If)(M2-M1)gr= %10.4f \n',(1/If)*Mf*g*r);

%--------------------------------------------------------------------------
fprintf('\n\n\n-Calculo de la masa M3 y de las constantes Ipf, K/Ipf y (1/Ipf)(M2-M1-M3) para la condicion de posfalla-\n\n');
M3=input('Fije el valor de M3 en [kg] =');
fprintf('Valor de M3= %10.4f \n',M3);
Mpf=M2-M1-M3;
fprintf('Valor de Mpf= %10.4f \n',Mpf);
Ipf=(1/2)*Mp*r^2+(1/12)*MB*lB^2+(M1+M2+M3)*r^2;
fprintf('Valor de Ipf= %10.4f \n',Ipf);
fprintf('Valor de K/Ipf= %10.4f \n',K/Ipf);
fprintf('Valor de (1/Ipf)(M2-M1-M3)gr= %10.4f \n',(1/Ipf)*Mpf*g*r);

%--------------------------------------------------------------------------

%Graficas para el calculo de Areas
%-----------------------------------
pause
x=0:0.001*pi:pi;
EPeq=(K/Ieq).*sin(x);
Peq=(1/Ieq)*Meq*g*r;
%---------------------
EPf=(K/If)*sin(x);
Pf=(1/If)*Mf*g*r;
%---------------------
EPpf=(K/Ipf)*sin(x);
Ppf=(1/Ipf)*Mpf*g*r;

plot(x,EPeq,'g',x,Peq,'g',x,EPf,'black',x,Pf,'black',x,EPpf,'red',x,Ppf,'red')
cad0=num2str(M0);
cad1=num2str(M1);
cad2=num2str(M2);
cad3=num2str(M3);
cadTet=num2str(ang_0);
xlabel('Angulo en radianes'); ylabel('pares en N.m')
title(['Verde: Equilibrio        Negro: Falla       Rojo: Posfalla    Tet_0=',cadTet,'   M0=',cad0,'   M1=',cad1,'   M2=',cad2,'   M3=',cad3 ])  
EPeq_Pos=text(3, K/Ieq,'  K/Ieq');
Peq_Pos=text(3, (1/Ieq)*Meq*g*r,'  (1/Ieq)(M2-M0-M1)');
EPf_Pos=text(3, K/If,'  K/If');
Pf_Pos=text(3, (1/If)*Mf*g*r,'  (1/If)(M2-M1)');
EPpf_Pos=text(3, K/Ipf,'  K/Ipf');
Ppf_Pos=text(3, (1/Ipf)*Mpf*g*r,'  (1/Ipf)(M2-M1-M3)');



grid on


