% -----------------------------------------------------------------%
%   Programa para analizar la estabilidad de un sistema mecnico 
%   cuyo comportamiento matemtico es anlogo al de la mquina sncrona
%   El sistema esta en equilibrio con las masas m0, m1 y m2, 
%   debe de obtenerse el mximo valor de m0 que debe quitarse al 
%   sistema para que sea inestable
% -----------------------------------------------------------------%
 clear all 
% -----------------------------------------------------------------%
%     Tiempos de la corrida y puntos de integracion
% -----------------------------------------------------------------%
ti = 0;
tf = 5;
n_puntos = 1000;
delta = (tf-ti)/n_puntos;
ang_inest=pi;                 % angulo critico de inestabilidad
omega_nula=0.01;           % omega considerada como nula

% ---------------------------------------------__------------------%
%     valor inicial de la masa m0
% -----------------------------------------------------------------%

%m0_inicial=1;
m0_inicial=0.57733;
% -----------------------------------------------------------------%
%     inicio de la disminucion de m0
% -----------------------------------------------------------------%

for m0=m0_inicial:-0.005:0
    
% -----------------------------------------------------------------%
%     Valores numricos de los parmetros del sistema
% -----------------------------------------------------------------%
  
r  = 0.1;                   % radio de la polea
mp = 1.484;              % masa de la polea
mB = 0.386;             % masa de la barra
lB = 0.438;              % longitud de la barra
m2 = 1.0;              % masa m2
B  = 0;                     % coeficiente de amortiguacion rotacional

% -----------------------------------------------------------------%
%     Definicion de constantes del modelo
% -----------------------------------------------------------------%

I = (m2+m0)*r^2+(1/2)*mp*r^2+(1/12)*mB*lB^2;   
mprima=m2-m0;
g  = 9.81;              
K=mB*g*lB/2;

% -----------------------------------------------------------------%
%    Condiciones iniciales
% -----------------------------------------------------------------%

%Tet_0=0;
Tet_0=0.5156;   %30 grados
DTet_0=0;

% -----------------------------------------------------------------%

[t,z] = sim('c:Est_sist_mec_sim',[ti tf]);
%graficas_subplot_t_x_t_v
graficas_plot_x_v

end




