%----------------------------------------------
%    Grficas para EL SISTEMA MECNICO: 
%    Tiempo - EC 
%    Tiempo - EP
%    Tiempo - EC y EP         
%    Grfica Tiempo - Energa Potencial y Tiempo-Energia Cintica 
%    Grfica Tiempo - Energa Potencial+Energa Cintica 
%    Grafica 3D ngulo - Velocidad angular - Energa cintica
%    Grafica 3D ngulo - Velocidad angular - Energa potencial
%    Grafica 3D ngulo - Velocidad angular - Energa total
%    durante los intervalos de falla y posfalla
%----------------------------------------------

% Energa  Potencial al final de la prefalla mecnica
EP0=(K/Ipre)*(1-cos(Delta0_pre))-(Mpre*g*r/Ipre)*Delta0_pre;

% Energa Cintica  y  Potencial durante la falla y la posfalla mecnicas
EPf=(K/If)*(cos(Delta0_pre)-cos(salida1(:,2)))+(Mf*g*r/If)*(Delta0_pre-salida1(:,2))+EP0;
ECf=0.5*salida1(:,1).*salida1(:,1);

EPpf=EP0+(K/If)*(cos(Delta0_pre)-cos(DeltaC))+(Mf*g*r/If)*(Delta0_pre-DeltaC)+(K/Ipf)*(cos(DeltaC)-cos(salida2(:,2)))+(Mpf*g*r/Ipf)*(DeltaC-salida2(:,2));

ECpf=0.5*salida2(:,1).*salida2(:,1);

EP=[EPf;EPpf];
EC=[ECf;ECpf];

% Generacin de la grfica Tiempo-Energa Cintica  
plot(tout,EC,'r')
grid on
title('Grfica Tiempo - Energa Cintica durante los dos perodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Cintica en pu')
pause
clf    

% Generacin de la grfica Tiempo-Energa Potencial
plot(tout,EP,'black')
grid on
title('Grfica Tiempo - Energa Potencial durante los dos perodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause
clf

% Generacin de la grfica Tiempo-Energa potencial y Tiempo-Energa Cintica
plot(tout,EP,'black')
hold on
plot(tout,EC,'red')  
grid on
title('Grfica Tiempo - Energa Potencial y Tiempo-Energa Cintica durante los dos perodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause
hold off
clf

plot(tout,EP+EC,'black')
%axis([0,10,-5,0])
grid on
title('Grfica Tiempo - Energa Potencial + Energa Cintica durante los dos perodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause  
clf

% Grfica 3D ngulo - Velocidad angular - Energa cintica
plot3(salida(:,2),salida(:,1),EC,'red')
%axis([0,2.5,-10,10,0,18])
grid
title('EC en funcin del ngulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EC')
pause  

% Grfica 3D ngulo - Velocidad angular - Energa potencial
plot3(salida(:,2),salida(:,1),EP,'black')
%axis([0.4,2.2,-10,10,-12,-4])
grid
title('EP en funcin del ngulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EP')
pause

% Grfica 3D ngulo - Velocidad angular - Energa total
plot3(salida(:,2),salida(:,1),EC+EP,'black')
axis([0,2.5,-4,4,-10,0])   
grid  
title('EC+EP en funcin del ngulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EC+EP')
pause
clf
%----------------------------------------------
