%----------------------------------------------
% Evaluacin de la superficie de energa durante la posfalla
% Parmetros del sistema durante el estado de posfalla
%----------------------------------------------

Eq=1;        
E=1.3; 
Xd=0.5;
X=0.333;
b=Eq*E/(Xd+X);

npuntosV=20;
x1min=min(salida(:,1));
x1max=max(salida(:,1));
deltax1=(x1max-x1min)/npuntosV;
y1min=min(salida(:,2));
y1max=max(salida(:,2));
deltay1=(y1max-y1min)/npuntosV;

x1=x1min:deltax1:x1max;
y1=y1min:deltay1:y1max;
[x,y]=meshgrid(x1,y1);
V=0.5*x.^2-a*b*(cos(y)-cos(0.8284))-a*Pm*(y-0.8284);
mesh(x,y,V)
grid;
title('V durante la posfalla')
xlabel('Omega')
ylabel('Delta')
zlabel('V')
hold on
contour3(x,y,V,npuntosV)
grid;
pause
%----------------------------------------------
