%---------------------------------------------------------------
%    Grficas para EL SISTEMA MECANICO: 
%   U N I C A M E N T E   P A R A    L OS   S I S T E M A S
%                     C O N S E R V A T I V O S
%      Grafica  angulo-energa cintica-potencial mecnicas
%       durante los intervalos de falla y posfalla
%----------------------------------------------------------------

% Energa  potencial mecnica al final de la prefalla 
EP0=(1/Ipre)*(K*(1-cos(Delta0_pre))-Mpre*g*r*(Delta0_pre));

% Energa cintica  y  potencial mecnicas durante la falla y la posfalla
EPf=(1/If)*(K*(cos(Delta0_pre)-cos(salida1(:,2)))+Mf*g*r*(Delta0_pre-salida1(:,2)))+EP0;
ECf=0.5*salida1(:,1).*salida1(:,1);
EPpf=(1/Ipf)*(K*(cos(salida1(end,2))-cos(salida2(:,2)))+Mpf*g*r*(salida1(end,2)-salida2(:,2)))+EPf(end);
ECpf=0.5*salida2(:,1).*salida2(:,1);

EP=[EPf;EPpf];
EC=[ECf;ECpf];

% Graficas  ngulo-energa cinetica-potencial mecnicas 
%                Plano de fase
subplot(2,1,1)
plot(salida(1:n1,2),EP(1:n1),'black',salida(1:n1,2),EC(1:n1),'red')
hold on
plot(salida(n1+1:end,2),EP(n1+1:end),'black',salida(n1+1:end,2),EC(n1+1:end),'red')
title('EC,EP en funcin del ngulo y omega')
ylabel('EC,EP')
xlabel('ngulo')
grid on

subplot(2,1,2)
plot(salida(:,2),salida(:,1))
title('Plano de fase')
ylabel('Omega en rad/s')
xlabel('ngulo en rad')
grid on
pause
hold off
clf

% Grficas  ngulo-energa cintica-potencial 
plot(salida(1:n1,2),EP(1:n1),'black',salida(1:n1,2),EC(1:n1),'red')
axis([0,2.5,-5,0])
hold on
plot(salida(n1+1:end,2),-0.2+EP(n1+1:end),'black',salida(n1+1:end,2),0.2+EC(n1+1:end),'red')
axis([0,2.5,-10,6])
title('EC,EP en funcin del ngulo y omega')   
ylabel('EC,EP')
xlabel('ngulo')
grid on
pause
hold off
clf

% Grfica del plano de fase
plot(salida(:,2),salida(:,1))
title('Plano de fase')
axis([0,2.5,-4,4])
ylabel('Omega en rad/s')
xlabel('ngulo en rad')
grid
pause
hold off
clf

% Energa cintica + Energa potencial=Constante  
plot(salida(1:n1,2),EC(1:n1)+EP(1:n1),'black')
axis([0,2.5,-5,0])
hold on
plot(salida(n1+1:end,2),EC(n1+1:end)+EP(n1+1:end),'black')
axis([0,2.5,-5,0])
grid
title('EC+EP en funcin del ngulo y omega')
ylabel('EC+EP')
xlabel('ngulo')
pause
hold off
clf



% Energa cintica + Energa potencial=Constante  
subplot(2,1,1)
plot(salida(1:n1,2),EC(1:n1)+EP(1:n1),'black')
hold on
plot(salida(n1+1:end,2),EC(n1+1:end)+EP(n1+1:end),'black')
axis([0,2.5,-5,0])
grid
title('EC+EP en funcin del ngulo y omega')
ylabel('EC+EP')
xlabel('ngulo')
hold off
subplot(2,1,2)
plot(salida(:,2),salida(:,1))
title('Plano de fase')
ylabel('Omega en rad/s')
xlabel('ngulo en rad')  
grid
pause
hold off
clf
%----------------------------------------------
