%----------------------------------------------
%    Grficas para EL SISTEMA MECANICO: 
%    Tiempo - EC 
%    Tiempo - EP
%    Tiempo - EC y EP
%    Grfica Tiempo - Energa Potencial y Tiempo-Energia Cinetica 
%    Grfica Tiempo - Energa Potencial+Energia Cinetica 
%    Grafica 3D angulo - velocidad angular - energia cinetica
%    Grafica 3D angulo - velocidad angular - energia potencial
%    Grafica 3D angulo - velocidad angular - energia total
%    durante los intervalos de falla y posfalla
%----------------------------------------------

% Energa  potencial al final de la prefalla mecanica
EP0=(1/Ipre)*(K*(1-cos(Delta0_pre))-Mpre*g*r*(Delta0_pre));

% Energa cintica  y  potencial durante la falla y la posfalla mecanicas
EPf=(1/If)*(K*(cos(Delta0_pre)-cos(salida1(:,2)))+Mf*g*r*(Delta0_pre-salida1(:,2)))+EP0;
ECf=0.5*salida1(:,1).*salida1(:,1);
EPpf=(1/Ipf)*(K*(cos(salida1(end,2))-cos(salida2(:,2)))+Mpf*g*r*(salida1(end,2)-salida2(:,2)))+EPf(end);
ECpf=0.5*salida2(:,1).*salida2(:,1);

EP=[EPf;EPpf];
EC=[ECf;ECpf];

% Generacion de la grafica tiempo-energia cinetica
plot(tout,EC,'r')
grid on
title('Grfica Tiempo - Energa Cintica durante los dos periodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Cintica en pu')
pause
clf

% Generacion de la grafica tiempo-energia potencial
plot(tout,EP,'black')
grid on
title('Grfica Tiempo - Energa Potencial durante los dos periodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause
clf

% Generacion de la grafica tiempo-energia potencial y tiempo-energia cinetica
plot(tout,EP,'black')
hold on
plot(tout,EC,'red')
grid on
title('Grfica Tiempo - Energa Potencial y Tiempo-Energia Cinetica durante los dos periodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause
hold off
clf

plot(tout,EP+EC,'black')
%axis([0,10,-5,0])
grid on
title('Grfica Tiempo - Energa Potencial + Energia Cinetica durante los dos periodos de falla y posfalla')
xlabel('t en segundos'); ylabel('Energa Potencial en pu')
pause
clf

% Grafica 3D angulo - velocidad angular - energia cinetica
plot3(salida(:,2),salida(:,1),EC,'red')
%axis([0,2.5,-10,10,0,18])
grid
title('EC en funcion del angulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EC')
pause

% Grafica 3D angulo - velocidad angular - energia potencial
plot3(salida(:,2),salida(:,1),EP,'black')
%axis([0.4,2.2,-10,10,-12,-4])
grid
title('EP en funcion del angulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EP')
pause

% Grafica 3D angulo - velocidad angular - energia total
plot3(salida(:,2),salida(:,1),EC+EP,'black')
axis([0,2.5,-4,4,-10,0])   
grid
title('EC+EP en funcion del angulo y omega')
ylabel('Omega')
xlabel('Delta')
zlabel('EC+EP')
pause
clf
%----------------------------------------------
