%    Programa para evaluar las energias potenciales
%    a partir de la funcion hamiltoniana 
%    Datos del sistema
Kpre=2.23;
Kf=0.976;
Kpf=1.56;
M=0.0159;
Delta0_pre=0.5418;
Delta0_pf=0.8289;
DeltaC=1.312;
DeltaFinal=2.31;
Pm=1.15;

% Evaluacion de la EP en el inicio de la falla
EP0=(1/M)*(Kpre*(1-cos(Delta0_pre))-Pm*(Delta0_pre));

% Evaluacion de la EP durante la falla, en el intervalo [Delta0_pre , DeltaC]
teta1=Delta0_pre:0.01:DeltaC;
EPf=(1/M)*(Kf*(cos(Delta0_pre)-cos(teta1))+Pm*(Delta0_pre-teta1))+EP0;
ECf=-EPf+EP0;

% Evaluacion de la EP durante la posfalla, en el intervalo [DeltaC=teta1(end) , DeltaFinal]
teta2=DeltaC:0.01:DeltaFinal;
EPpf=(1/M)*(Kpf*(cos(DeltaC)-cos(teta2))+Pm*(DeltaC-teta2))+EPf(end);
ECpf=-EPpf+EP0;
teta3=0:0.01:DeltaFinal;
EP1=(1/M)*(Kpf*(cos(DeltaFinal(end))-cos(teta3))+Pm*(DeltaFinal(end)-teta3))+EPpf(end);
EC1=-EP1+EP0;
EP=[EPf EPpf];
EC=[ECf ECpf];
teta=[teta1 teta2];
plot(teta,EP,'black',teta,EC,'red')
hold on
plot(teta3,EP1,'black',teta3,EC1,'red')
grid on
