

% Programa que realiza las grficas en el tiempo crtico de desconexin
% para EL MODELO MECANICO ANALOGO
% Subplot: Tiempo - ngulo, Tiempo - Velocidad Angular
% Tiempo - ngulo
% Tiempo - Velocidad Angular
% Plano de Fase Velocidad Angular - ngulo
% Subplot: ngulo - Energa Cintica,
%          ngulo - Energa Potencial, 
%          ngulo - Velocidad Angular
%--------------------------------------

clear all

% Intervalo de tiempo de la simulacin
 
ti=0;                       % tiempo de inicio de la simulacin [s]
tc=0.27;                 % tiempo critico de desconexin [s]
DeltaC=1.02;          % angulo critico de desconexin [rad]
tf=5;                     % tiempo final de la simulacin [s]
npuntos=5000;       % Puntos de la simulacin

delta=(tf-ti)/(npuntos-1);

% Parmetros constantes del sistema ;  
K=0.8292;
g=9.81;
r=0.1;
m0=0.4641;m1=0.1;m2=1;m3=0.221;mp=1.484;mB=0.386;
mt=m0+m1+m2+m3+mp+mB;
mu=0.00048;
B=0.005;

% Condiciones iniciales del estado de equilibrio mecanico
Der_Delta0=0;       %[rad/s]
Delta0=.5417;        %[rad]

% Condicion inicial para la evaluacion de las energias
Delta0_pre=.5417;        %[rad]

% Parmetros del sistema durante los estados de 
% prefalla, falla y posfalla
Ipre=0.02923;           Mpre=0.4359;       
If=0.02459;              Mf=0.9;
Ipf=0.02680;            Mpf=0.679;

% Parmetros del sistema durante el estado de falla
I=0.02459;       % I=If
Mm=0.9;            % Mm=Mf
nf=(mt-m0-m3)*g;
n=nf;

% Simulacin durante la falla 
[tout1,salida1]=sim('simnonMec3',[ti,tc]); 

% Condiciones finales de la falla, a la vez, condiciones iniciales para la
% posfalla mecanica
Der_Delta0=salida1(end,1);       %[rad/s]
Delta0=salida1(end,2);               %[rad]

% Condicion inicial para la evaluacion de las energias
Delta0_f=salida1(end,2);        %[rad]


% Parmetros del sistema durante el estado de posfalla
Mm=0.679;        %Mm=Mpf
I=0.02680;        %I=Ipf
npf=(mt-m0)*g;
n=npf;

% Simulacin desde el final de la falla con inicio en t_clear hasta tf
[tout2,salida2]=sim('simnonMec3',[tc,tf]);
tout=[tout1;tout2];
salida=[salida1;salida2];

for k=1:length(salida(:,2))
      if salida(k,1)<0
      n1=k;
     fprintf('tiempo angulo max = %12.5f\n',tout(n1))
     fprintf('localizacion n1 = %12.0f\n',n1)
     fprintf('       angulo max = %12.5f\n',salida(n1,2))
      fprintf('       omega en angulo max = %12.5f\n\n',salida(n1,1))
      break
      end
  end

% Graficas de salida
%--------------------------------------------------------
Graf_t_Angulo_t_Omega;
%pause
%Graf_planofase;
%plot3(salida(:,2),tout,salida(:,1));
%grid on;
%Graf_Energias;
%Graf_angulo_EP_EC;
%Graf_Sup_Energia;            PENDIENTE
%Graf_SupEnergia_Grad;     PENDIENTE

