(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   2720566,     124094]*)
(*NotebookOutlinePosition[   2721302,     124119]*)
(*  CellTagsIndexPosition[   2721258,     124115]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(\(<< 
      Graphics`PlotField`\)\(\[IndentingNewLine]\)
    \(<< Graphics`Arrow`\)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)
    \(Clear\ [sol]\)\(\[IndentingNewLine]\)
    \(sol[s_, r_] := 
      Module[{solt, y, x, t, ec1, ec2}, \[IndentingNewLine]t0 := 
          0; \[IndentingNewLine]tf := 
          0.35; \[IndentingNewLine]ec1\  = \ \(x'\)[t] \[Equal] 
            x[t] - \ y[t]^2 + 1.28 + 
              1.4*x[t] y[t]; \[IndentingNewLine]ec2\  = \(y'\)[t] \[Equal] 
            0.2  y[t]\  - \ x[t] + x[t]^3; \[IndentingNewLine]solt = 
          NDSolve[{ec1, \ ec2, \ x[0] \[Equal] s, 
              y[0] \[Equal] r}, \ {x[t], \ y[t]}, {t, t0, 
              tf}]; \[IndentingNewLine]ParametricPlot[{x[t], y[t]}\  /. \ 
            solt, {t, t0, tf}, \ Compiled \[Rule] False, \ 
          DisplayFunction \[Rule] Identity]]\)\(\[IndentingNewLine]\)
    \( (*\(,\)\(PlotStyle \[Rule] RGBColor[0.9, 0, 0]\)*) \)\)\)\)], "Input"],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(graphs = 
        Evaluate[
          Flatten[Table[
              sol[s, r], {s, \(-2.5\), 2.5,  .1}, {r, \(-2.5\), 2.5,  .1}], 
            2]];\)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(ec1\  := \ x - \ y^2 + 1.28 + 1.4*x*y;\)\), "\[IndentingNewLine]", 
    \(\(ec2\  := 0.2*y\  - \ x + x^3;\)\), "\[IndentingNewLine]", 
    \(gra = 
      PlotVectorField[{ec1, ec2}, {x, \(-3\), 3}, {y, \(-3\), 3}, 
        ColorFunction \[Rule] Hue, Frame \[Rule] True, PlotPoints \[Rule] 40, 
        HeadCenter \[Rule] 0, HeadLength \[Rule] 1/150, 
        Compiled \[Rule] False, 
        DisplayFunction \[Rule] Identity]\), "\[IndentingNewLine]", 
    \( (*Escala\ \((Log[50  # + 1] &)\)*) \)}], "Input"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[""], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      Funci\[OAcute]n\ para\ colocar\ en\ la\ gr\[AAcute]fica\ los\ puntos\ \
de\ equiibrio*) \)\(\[IndentingNewLine]\)\(ponti = 
        ListPlot[{{1, 1}, {2, 2}}, PlotStyle \[Rule] PointSize[0.02], 
          DisplayFunction \[Rule] Identity];\)\)\)], "Input"],

Cell[BoxData[""], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Show[graphs, gra, ponti, 
        PlotRange \[Rule] {{\(-3\), 3}, {\(-3\), 3}}, 
        DisplayFunction \[Rule] $DisplayFunction, 
        AspectRatio \[Rule] 
          Automatic];\)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\( (*x1[
          t_] = \(x[t] /. 
            First[sol[\(-2.5\), \(-2.5\)]]\)\[IndentingNewLine]\(y1[t_] = 
            y[t] /. First[
                sol[\(-2.5\), \(-2.5\)]]\)\[IndentingNewLine]TableForm[
            Table[{t, x1[t], y1[t]}, {t, 0, 3,  .1}], 
            TableHeadings -> {Automatic, {"\<first\>", "\<second\>", "\<third\
\>"}}]*) \)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.166667 0.5 0.166667 [
[0 .4875 -6 -9 ]
[0 .4875 6 0 ]
[.16667 .4875 -6 -9 ]
[.16667 .4875 6 0 ]
[.33333 .4875 -6 -9 ]
[.33333 .4875 6 0 ]
[.66667 .4875 -3 -9 ]
[.66667 .4875 3 0 ]
[.83333 .4875 -3 -9 ]
[.83333 .4875 3 0 ]
[1 .4875 -3 -9 ]
[1 .4875 3 0 ]
[.4875 0 -12 -4.5 ]
[.4875 0 0 4.5 ]
[.4875 .16667 -12 -4.5 ]
[.4875 .16667 0 4.5 ]
[.4875 .33333 -12 -4.5 ]
[.4875 .33333 0 4.5 ]
[.4875 .66667 -6 -4.5 ]
[.4875 .66667 0 4.5 ]
[.4875 .83333 -6 -4.5 ]
[.4875 .83333 0 4.5 ]
[.4875 1 -6 -4.5 ]
[.4875 1 0 4.5 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .5 m
0 .50625 L
s
[(-3)] 0 .4875 0 1 Mshowa
.16667 .5 m
.16667 .50625 L
s
[(-2)] .16667 .4875 0 1 Mshowa
.33333 .5 m
.33333 .50625 L
s
[(-1)] .33333 .4875 0 1 Mshowa
.66667 .5 m
.66667 .50625 L
s
[(1)] .66667 .4875 0 1 Mshowa
.83333 .5 m
.83333 .50625 L
s
[(2)] .83333 .4875 0 1 Mshowa
1 .5 m
1 .50625 L
s
[(3)] 1 .4875 0 1 Mshowa
.125 Mabswid
.03333 .5 m
.03333 .50375 L
s
.06667 .5 m
.06667 .50375 L
s
.1 .5 m
.1 .50375 L
s
.13333 .5 m
.13333 .50375 L
s
.2 .5 m
.2 .50375 L
s
.23333 .5 m
.23333 .50375 L
s
.26667 .5 m
.26667 .50375 L
s
.3 .5 m
.3 .50375 L
s
.36667 .5 m
.36667 .50375 L
s
.4 .5 m
.4 .50375 L
s
.43333 .5 m
.43333 .50375 L
s
.46667 .5 m
.46667 .50375 L
s
.53333 .5 m
.53333 .50375 L
s
.56667 .5 m
.56667 .50375 L
s
.6 .5 m
.6 .50375 L
s
.63333 .5 m
.63333 .50375 L
s
.7 .5 m
.7 .50375 L
s
.73333 .5 m
.73333 .50375 L
s
.76667 .5 m
.76667 .50375 L
s
.8 .5 m
.8 .50375 L
s
.86667 .5 m
.86667 .50375 L
s
.9 .5 m
.9 .50375 L
s
.93333 .5 m
.93333 .50375 L
s
.96667 .5 m
.96667 .50375 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.5 0 m
.50625 0 L
s
[(-3)] .4875 0 1 0 Mshowa
.5 .16667 m
.50625 .16667 L
s
[(-2)] .4875 .16667 1 0 Mshowa
.5 .33333 m
.50625 .33333 L
s
[(-1)] .4875 .33333 1 0 Mshowa
.5 .66667 m
.50625 .66667 L
s
[(1)] .4875 .66667 1 0 Mshowa
.5 .83333 m
.50625 .83333 L
s
[(2)] .4875 .83333 1 0 Mshowa
.5 1 m
.50625 1 L
s
[(3)] .4875 1 1 0 Mshowa
.125 Mabswid
.5 .03333 m
.50375 .03333 L
s
.5 .06667 m
.50375 .06667 L
s
.5 .1 m
.50375 .1 L
s
.5 .13333 m
.50375 .13333 L
s
.5 .2 m
.50375 .2 L
s
.5 .23333 m
.50375 .23333 L
s
.5 .26667 m
.50375 .26667 L
s
.5 .3 m
.50375 .3 L
s
.5 .36667 m
.50375 .36667 L
s
.5 .4 m
.50375 .4 L
s
.5 .43333 m
.50375 .43333 L
s
.5 .46667 m
.50375 .46667 L
s
.5 .53333 m
.50375 .53333 L
s
.5 .56667 m
.50375 .56667 L
s
.5 .6 m
.50375 .6 L
s
.5 .63333 m
.50375 .63333 L
s
.5 .7 m
.50375 .7 L
s
.5 .73333 m
.50375 .73333 L
s
.5 .76667 m
.50375 .76667 L
s
.5 .8 m
.50375 .8 L
s
.5 .86667 m
.50375 .86667 L
s
.5 .9 m
.50375 .9 L
s
.5 .93333 m
.50375 .93333 L
s
.5 .96667 m
.50375 .96667 L
s
.25 Mabswid
.5 0 m
.5 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.00666667 0.00166667  moveto 0 0 lineto 
-0.00666667 -0.00166667  lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 Mabswid
.08333 .08333 m
.08471 .06771 L
.08594 .05139 L
.08693 .03496 L
.08738 .02557 L
.08771 .01705 L
.08783 .01314 L
.08794 .0089 L
.08803 .00523 L
.0881 .00119 L
s
.0881 .00119 m
.08811 0 L
s
.08333 .1 m
.08631 .06815 L
.08753 .0518 L
.08808 .0432 L
.08858 .03403 L
.08897 .02541 L
.08926 .01759 L
.08937 .01382 L
.08948 .00973 L
.08956 .00615 L
.08962 .00231 L
.08965 .00027 L
s
.08965 .00027 m
.08965 0 L
s
.08333 .11667 m
.08664 .0849 L
.08807 .06864 L
.08936 .05098 L
.09029 .03468 L
.09062 .02743 L
.09091 .01957 L
.09104 .01525 L
.09115 .01127 L
.09122 .00754 L
.09129 .00344 L
.09131 .00167 L
s
.09131 .00167 m
.09133 0 L
s
.08333 .13333 m
.08692 .10165 L
.08853 .08546 L
.09005 .06791 L
.09122 .05155 L
.09207 .03677 L
.0924 .02944 L
.0927 .02149 L
.09283 .01713 L
.09293 .01311 L
.09301 .00929 L
.09305 .00719 L
.09308 .00519 L
.0931 .00331 L
.09312 .00126 L
s
.09312 .00126 m
.09313 0 L
s
.08333 .15 m
.08716 .11839 L
.09064 .08481 L
.09201 .06875 L
.09308 .05392 L
.09391 .03971 L
.09427 .03184 L
.09455 .02459 L
.09478 .01675 L
.09487 .01262 L
.09495 .00825 L
.09497 .00642 L
.09499 .00445 L
.09501 .0026 L
.09502 .0009 L
s
.09502 .0009 m
.09503 0 L
s
.08333 .16667 m
.08735 .13513 L
.09114 .10169 L
.09396 .07101 L
.09507 .05577 L
.09587 .04198 L
.0962 .03487 L
.0965 .02717 L
.09664 .02294 L
.09675 .01904 L
.09683 .01535 L
.0969 .01137 L
.09693 .00942 L
.09695 .00756 L
.09697 .00575 L
.09698 .00408 L
.09699 .00249 L
.097 .00161 L
.097 .00081 L
s
.097 .00081 m
.097 0 L
s
.08333 .18333 m
.08749 .15186 L
.09154 .11854 L
.0947 .08805 L
.09701 .05929 L
.09788 .04465 L
.09827 .03654 L
.09855 .02907 L
.09878 .02148 L
.09887 .01749 L
.09895 .01325 L
.09897 .01148 L
.09899 .00958 L
.09901 .00794 L
.09902 .00614 L
.09903 .00506 L
.09903 .00453 L
.09903 .00405 L
.09903 .00308 L
.09904 .00255 L
.09904 .00205 L
.09904 .00112 L
.09904 .00025 L
s
.09904 .00025 m
.09903 0 L
s
.08333 .2 m
.08759 .16858 L
.09184 .13537 L
.09529 .10503 L
.09797 .0765 L
.09914 .0608 L
.09998 .04662 L
.10032 .03958 L
.10062 .03195 L
.10084 .02476 L
.10099 .01813 L
.10104 .01473 L
.10107 .01286 L
.10108 .01108 L
.1011 .00943 L
.1011 .00856 L
.10111 .00763 L
.10111 .00677 L
.10111 .00599 L
.10112 .00521 L
.10112 .00447 L
.10112 .0036 L
.10112 .00264 L
.10112 .00216 L
.10111 .00164 L
.10111 .00071 L
s
.10111 .00071 m
.10111 0 L
s
.08333 .21667 m
.08763 .1853 L
.09205 .15217 L
.09575 .12197 L
.09874 .09362 L
.10012 .07806 L
.10118 .06403 L
.10206 .04938 L
.10267 .03592 L
.10289 .02925 L
.10307 .02218 L
.10313 .01852 L
.10318 .0151 L
.1032 .01313 L
.10321 .01134 L
.10322 .01034 L
.10322 .00982 L
.10322 .00926 L
.10322 .00873 L
.10322 .00824 L
.10323 .00775 L
.10323 .00729 L
.10323 .00646 L
.10323 .00557 L
.10322 .00472 L
.10322 .00395 L
.10322 .00305 L
.10321 .00207 L
.1032 .00029 L
s
.1032 .00029 m
.1032 0 L
s
.08333 .23333 m
.08764 .20201 L
.09216 .16894 L
.09606 .13884 L
.09933 .11064 L
.10214 .08129 L
.10317 .06792 L
.10408 .0535 L
.10448 .04566 L
.10478 .03844 L
.10501 .03155 L
.10511 .02774 L
.10519 .02425 L
.10525 .02108 L
.10529 .01763 L
.10531 .01573 L
.10533 .01397 L
.10533 .01311 L
.10534 .01229 L
.10534 .01184 L
.10534 .01135 L
.10534 .0105 L
.10534 .00969 L
.10534 .00894 L
.10534 .00812 L
.10534 .00723 L
.10534 .00631 L
.10533 .00543 L
.10532 .00378 L
.10531 .00225 L
.1053 .00082 L
s
.1053 .00082 m
.10529 0 L
s
.08333 .25 m
.08759 .21872 L
.09218 .1857 L
.09623 .15566 L
.09973 .12758 L
.10288 .09841 L
.10522 .07088 L
.10617 .05601 L
.10652 .04921 L
.10683 .04202 L
.10707 .03544 L
.10717 .03194 L
.10726 .02819 L
.10733 .02475 L
.10738 .02161 L
.1074 .02009 L
.10741 .01844 L
.10743 .01688 L
.10743 .01544 L
.10744 .01455 L
.10744 .01406 L
.10744 .01361 L
.10744 .01281 L
.10744 .01192 L
.10744 .01143 L
.10744 .01097 L
.10744 .01009 L
.10744 .0096 L
.10744 .00915 L
.10744 .00812 L
.10743 .0073 L
.10743 .00654 L
.10741 .00478 L
.10739 .00307 L
.10737 .00123 L
s
.10737 .00123 m
.10735 0 L
s
.08333 .26667 m
.0875 .23542 L
.0921 .20242 L
.09626 .17243 L
.09995 .14442 L
.10339 .11538 L
.10608 .08806 L
.10719 .07432 L
.10816 .05951 L
.10853 .05262 L
.10886 .04534 L
.10911 .03852 L
.10929 .03229 L
.10935 .02923 L
.10941 .0259 L
.10944 .02407 L
.10946 .02237 L
.10948 .02064 L
.10949 .01902 L
.1095 .0175 L
.10951 .01664 L
.10951 .01586 L
.10951 .01519 L
.10951 .01446 L
.10951 .0137 L
.10951 .01299 L
.10951 .01216 L
.1095 .01137 L
.1095 .01066 L
.1095 .00989 L
.10949 .00817 L
.10947 .00657 L
.10943 .00341 L
.10937 1e-005 L
s
.10937 1e-005 m
.10937 0 L
s
.08333 .28333 m
.08736 .25211 L
.09192 .21912 L
.09614 .18914 L
.09998 .16116 L
.10366 .13221 L
.10667 .10504 L
.10797 .0914 L
.10917 .07673 L
.11003 .0639 L
.11044 .05663 L
.11077 .04984 L
.11104 .0429 L
.11124 .03656 L
.11132 .03333 L
.11139 .02979 L
.11143 .02786 L
.11145 .02606 L
.11147 .02421 L
.11149 .02251 L
.1115 .02086 L
.11151 .02003 L
.11151 .01912 L
.11151 .01865 L
.11151 .0182 L
.11151 .01769 L
.11151 .01722 L
.11151 .01637 L
.11151 .01589 L
.11151 .01545 L
.11151 .01466 L
.11151 .01392 L
.11151 .0131 L
.1115 .01222 L
.11149 .01043 L
.11147 .00879 L
.11144 .00589 L
.11138 .00272 L
s
.11138 .00272 m
.11131 0 L
s
.08333 .3 m
.08717 .2688 L
.09164 .2358 L
.09588 .2058 L
.09982 .17782 L
.1037 .1489 L
.10698 .12181 L
.10985 .09367 L
.111 .07977 L
.11188 .06703 L
.11256 .0547 L
.11283 .04842 L
.11307 .04168 L
.11317 .03824 L
.11325 .03497 L
.11332 .03179 L
.11336 .02884 L
.1134 .02606 L
.11341 .0245 L
.11342 .02309 L
.11343 .02233 L
.11343 .02154 L
.11343 .02112 L
.11343 .02066 L
.11343 .01986 L
.11343 .01909 L
.11343 .01828 L
.11343 .01751 L
.11343 .01681 L
.11343 .01603 L
.11343 .01531 L
.11342 .01365 L
.1134 .01203 L
.11338 .01029 L
.11334 .00713 L
.11328 .00424 L
s
.11328 .00424 m
.11317 0 L
s
.08333 .31667 m
.08694 .28548 L
.09126 .25245 L
.09547 .2224 L
.09947 .19437 L
.1035 .16544 L
.10702 .13837 L
.11021 .11033 L
.11263 .08386 L
.1135 .07189 L
.11427 .05877 L
.11456 .05256 L
.11481 .0459 L
.11493 .04223 L
.11502 .03887 L
.11509 .03568 L
.11515 .03228 L
.11518 .03056 L
.1152 .02894 L
.11521 .02737 L
.11523 .02591 L
.11523 .02453 L
.11524 .02384 L
.11524 .02307 L
.11524 .02231 L
.11524 .02148 L
.11524 .02071 L
.11524 .02 L
.11524 .01917 L
.11524 .01875 L
.11524 .01828 L
.11523 .0167 L
.11522 .01581 L
.11522 .01484 L
.1152 .0131 L
.11515 .00969 L
.11509 .00657 L
.11493 .00019 L
s
.11493 .00019 m
.11492 0 L
s
.08333 .33333 m
.08665 .30216 L
.09078 .26907 L
.09491 .23894 L
.09892 .21083 L
.10307 .18183 L
.10677 .15473 L
.11025 .12671 L
.11302 .10034 L
.11505 .07542 L
.11583 .06267 L
.11615 .05618 L
.11643 .04921 L
.11664 .0427 L
.11678 .03675 L
.11683 .03388 L
.11685 .03237 L
.11687 .03076 L
.11688 .02921 L
.1169 .02781 L
.1169 .02713 L
.1169 .0264 L
.11691 .02572 L
.11691 .02507 L
.11691 .02428 L
.11691 .02356 L
.11691 .02278 L
.11691 .02234 L
.11691 .02194 L
.11691 .02126 L
.11691 .02052 L
.1169 .01974 L
.1169 .01901 L
.11689 .01734 L
.11688 .0158 L
.11683 .01234 L
.11677 .00921 L
.1167 .00578 L
s
.1167 .00578 m
.11652 0 L
s
.08333 .35 m
.08632 .31883 L
.0902 .28567 L
.0942 .25543 L
.09819 .2272 L
.10239 .19807 L
.10624 .17088 L
.10996 .14281 L
.11304 .11645 L
.11543 .09162 L
.1164 .07919 L
.11726 .0656 L
.11757 .05941 L
.11786 .05276 L
.11808 .04654 L
.11823 .04077 L
.11829 .03769 L
.11835 .03441 L
.11837 .03253 L
.11839 .03076 L
.1184 .02918 L
.11841 .02829 L
.11841 .02746 L
.11841 .02673 L
.11841 .02595 L
.11841 .02521 L
.11841 .02453 L
.11841 .02374 L
.11841 .02329 L
.11841 .02288 L
.11841 .02212 L
.11841 .02131 L
.1184 .01972 L
.11838 .01822 L
.11836 .01658 L
.11834 .0148 L
.11829 .01167 L
.11822 .00876 L
.11803 .00214 L
s
.11803 .00214 m
.11795 0 L
s
.08333 .36667 m
.08595 .3355 L
.08952 .30224 L
.09335 .27185 L
.09726 .24346 L
.10148 .21416 L
.10543 .18681 L
.10934 .15862 L
.11269 .1322 L
.1154 .10737 L
.11656 .09497 L
.11764 .08143 L
.11847 .06853 L
.11906 .05678 L
.1193 .05057 L
.11948 .04468 L
.11955 .04168 L
.11961 .03847 L
.11964 .03663 L
.11966 .03495 L
.11968 .0334 L
.1197 .03169 L
.1197 .03093 L
.11971 .03012 L
.11971 .02942 L
.11971 .02865 L
.11972 .02821 L
.11972 .02779 L
.11972 .02698 L
.11972 .02624 L
.11972 .02545 L
.11972 .02477 L
.11971 .02404 L
.11971 .02335 L
.11971 .02272 L
.1197 .02125 L
.11969 .0197 L
.11965 .01649 L
.1196 .0135 L
.11952 .01022 L
.11943 .0067 L
.11921 .00029 L
s
.11921 .00029 m
.1192 0 L
s
.08333 .38333 m
.08552 .35216 L
.08874 .31879 L
.09234 .28822 L
.09613 .25963 L
.10033 .23009 L
.10434 .20253 L
.1084 .17414 L
.11197 .14758 L
.11497 .12267 L
.11757 .09672 L
.1186 .08399 L
.1194 .07214 L
.12001 .06084 L
.12027 .05456 L
.12047 .04873 L
.12063 .0425 L
.1207 .03921 L
.12072 .03752 L
.12075 .0357 L
.12076 .03396 L
.12078 .03235 L
.12079 .03082 L
.12079 .03005 L
.12079 .02962 L
.12079 .0292 L
.12079 .02843 L
.12079 .02773 L
.12079 .02698 L
.12079 .02655 L
.12079 .02616 L
.12079 .0255 L
.12079 .02478 L
.12078 .02402 L
.12078 .02331 L
.12077 .02181 L
.12075 .02041 L
.12071 .01724 L
.12066 .01414 L
.12058 .01084 L
.1204 .00483 L
s
.1204 .00483 m
.12021 0 L
s
.08333 .4 m
.08405 .38477 L
.08505 .36881 L
.08786 .33531 L
.09105 .3057 L
.09491 .27499 L
.09887 .24628 L
.10315 .21671 L
.10717 .18912 L
.11079 .16334 L
.11423 .13667 L
.11704 .11158 L
.11918 .08791 L
.12004 .0759 L
.12076 .06304 L
.12103 .05684 L
.12127 .05008 L
.12136 .04699 L
.12144 .0437 L
.1215 .04082 L
.12155 .03778 L
.12157 .03622 L
.12158 .0345 L
.12159 .03294 L
.1216 .03224 L
.1216 .03148 L
.1216 .03103 L
.12161 .0306 L
.12161 .0302 L
.12161 .02977 L
.12161 .029 L
.12161 .0282 L
.12161 .02774 L
.12161 .02732 L
.12161 .02686 L
.1216 .02638 L
.1216 .02556 L
.1216 .02467 L
.12159 .02305 L
.12157 .02157 L
.12153 .01826 L
.12147 .0152 L
.12141 .01229 L
.12123 .00631 L
s
.12123 .00631 m
.12099 0 L
s
.08333 .41667 m
.08352 .4094 L
.08378 .40145 L
.08452 .38545 L
.08562 .36796 L
.08688 .3518 L
.08983 .32123 L
.09356 .28952 L
.09751 .25984 L
.10147 .23212 L
.10565 .20354 L
.10949 .17686 L
.11289 .15192 L
.11606 .12602 L
.11858 .10164 L
.11963 .0894 L
.12058 .07614 L
.12129 .06352 L
.12154 .05791 L
.12176 .05185 L
.12186 .04849 L
.12194 .04541 L
.122 .04252 L
.12206 .03934 L
.12207 .03797 L
.12209 .03649 L
.1221 .03522 L
.12212 .03383 L
.12212 .03302 L
.12212 .03227 L
.12213 .03155 L
.12213 .03078 L
.12213 .0301 L
.12213 .02946 L
.12213 .02876 L
.12213 .028 L
.12213 .02724 L
.12213 .02654 L
.12212 .02574 L
.12212 .02498 L
.12211 .02363 L
.12209 .02217 L
.12205 .01884 L
.12199 .01577 L
.12184 .0095 L
.1216 .00285 L
s
.1216 .00285 m
.12146 0 L
s
.08333 .43333 m
.08334 .43238 L
.08334 .43152 L
.08334 .43052 L
.08335 .42957 L
.08336 .42789 L
.08338 .42607 L
.08343 .42194 L
.0835 .41812 L
.08368 .41034 L
.08395 .4021 L
.08469 .38595 L
.08579 .36826 L
.08848 .33641 L
.09171 .3064 L
.09561 .27532 L
.09964 .24627 L
.10357 .21916 L
.10766 .19118 L
.11135 .16505 L
.11486 .13805 L
.11772 .11266 L
.1199 .08869 L
.12077 .07642 L
.12149 .06354 L
.12175 .05776 L
.12197 .05157 L
.12214 .04573 L
.12219 .0432 L
.12224 .04041 L
.12228 .03749 L
.1223 .03589 L
.12231 .03439 L
.12232 .0337 L
.12232 .03299 L
.12232 .03236 L
.12233 .0317 L
.12233 .03099 L
.12233 .03032 L
.12233 .02953 L
.12233 .02881 L
.12233 .02802 L
.12233 .02762 L
.12233 .02718 L
.12232 .02641 L
.12232 .02569 L
.12231 .02406 L
.12229 .0223 L
.12225 .01909 L
.1222 .01616 L
Mistroke
.12205 .01013 L
.12186 .00453 L
Mfstroke
.12186 .00453 m
.12166 0 L
s
.08333 .45 m
.08327 .44625 L
.08322 .44275 L
.08321 .44073 L
.08319 .4389 L
.08319 .43789 L
.08319 .43735 L
.08319 .43679 L
.08318 .43575 L
.08318 .43479 L
.08318 .4338 L
.08318 .43289 L
.08319 .43184 L
.08319 .43084 L
.0832 .42993 L
.0832 .42908 L
.08322 .42715 L
.08324 .42501 L
.08326 .42307 L
.08333 .41873 L
.08343 .41433 L
.08353 .41029 L
.08384 .40118 L
.08461 .3847 L
.08555 .36961 L
.08681 .35316 L
.08985 .32147 L
.09334 .29168 L
.09741 .26089 L
.10151 .23214 L
.10543 .20531 L
.10943 .17763 L
.11296 .15175 L
.11594 .12748 L
.11857 .10219 L
.12049 .07825 L
.12121 .06597 L
.1215 .05973 L
.12176 .05308 L
.12195 .04678 L
.12207 .04105 L
.12211 .03829 L
.12213 .03684 L
.12215 .0353 L
.12216 .03395 L
.12216 .03324 L
.12217 .03247 L
.12217 .03177 L
.12217 .03113 L
.12217 .03048 L
Mistroke
.12217 .02987 L
.12217 .0291 L
.12217 .02868 L
.12217 .02828 L
.12217 .02756 L
.12217 .02679 L
.12217 .0261 L
.12216 .02546 L
.12215 .02401 L
.12214 .02243 L
.12212 .02099 L
.12207 .01776 L
.12202 .01499 L
.12195 .01198 L
.12178 .00651 L
.12155 .00072 L
Mfstroke
.12155 .00072 m
.12152 0 L
s
.08333 .46667 m
.08306 .45942 L
.08285 .45146 L
.08277 .44743 L
.08274 .44522 L
.08271 .44313 L
.08269 .44118 L
.08268 .44015 L
.08268 .43906 L
.08267 .43814 L
.08267 .43713 L
.08267 .43622 L
.08266 .43536 L
.08266 .43483 L
.08266 .43426 L
.08267 .43324 L
.08267 .43262 L
.08267 .43203 L
.08267 .43094 L
.08268 .42989 L
.08268 .42892 L
.0827 .42674 L
.08272 .42491 L
.08275 .4229 L
.08281 .41885 L
.0829 .41442 L
.08303 .40967 L
.08332 .40111 L
.08412 .38391 L
.08515 .36772 L
.0877 .33724 L
.0911 .3055 L
.09484 .27573 L
.09867 .24791 L
.10282 .21917 L
.10673 .19235 L
.11063 .16469 L
.114 .13878 L
.11678 .11445 L
.11912 .08904 L
.11996 .07744 L
.12069 .06493 L
.12101 .05811 L
.12124 .05183 L
.12142 .04584 L
.12149 .04282 L
.12155 .0395 L
.12157 .03797 L
.12159 .03631 L
.12161 .03484 L
Mistroke
.12162 .03328 L
.12162 .03248 L
.12163 .03173 L
.12163 .03106 L
.12163 .03033 L
.12163 .02964 L
.12163 .02891 L
.12163 .02828 L
.12163 .0276 L
.12163 .02718 L
.12163 .02674 L
.12163 .02592 L
.12162 .02513 L
.12162 .0244 L
.12161 .02274 L
.12159 .02097 L
.12155 .01803 L
.12149 .01479 L
.12133 .00857 L
.12113 .00286 L
Mfstroke
.12113 .00286 m
.12099 0 L
s
.08333 .48333 m
.08289 .47609 L
.08249 .46812 L
.08216 .45978 L
.08195 .45198 L
.08186 .4475 L
.08183 .4453 L
.0818 .44327 L
.08178 .44142 L
.08177 .43946 L
.08176 .43844 L
.08176 .43749 L
.08175 .43645 L
.08175 .43586 L
.08175 .43533 L
.08175 .43475 L
.08175 .43423 L
.08175 .43363 L
.08175 .43306 L
.08176 .43205 L
.08176 .43148 L
.08176 .43095 L
.08176 .42985 L
.08177 .42863 L
.08179 .42618 L
.08182 .42401 L
.08185 .42168 L
.08192 .41748 L
.08212 .40915 L
.08243 .4001 L
.08321 .3837 L
.08422 .36767 L
.08553 .35077 L
.08841 .32084 L
.09204 .28971 L
.09589 .26057 L
.10015 .23053 L
.10423 .20249 L
.10798 .17633 L
.11164 .14927 L
.11471 .12388 L
.11738 .09749 L
.11845 .08443 L
.11927 .07248 L
.11989 .06089 L
.12014 .05499 L
.12036 .04866 L
.12045 .04542 L
.12052 .04234 L
.12058 .03935 L
Mistroke
.12062 .03658 L
.12065 .03396 L
.12067 .03249 L
.12068 .03117 L
.12068 .03041 L
.12068 .02971 L
.12068 .02894 L
.12068 .02813 L
.12068 .02743 L
.12068 .02677 L
.12068 .02605 L
.12068 .02527 L
.12068 .02452 L
.12067 .02368 L
.12066 .022 L
.12065 .02044 L
.12063 .01897 L
.12058 .01567 L
.12051 .01211 L
.12032 .0056 L
Mfstroke
.12032 .0056 m
.12011 0 L
s
.08333 .5 m
.0821 .48479 L
.08161 .47698 L
.08118 .46859 L
.08085 .46004 L
.08073 .45621 L
.08062 .45204 L
.08057 .4495 L
.08053 .44715 L
.08049 .44494 L
.08047 .44252 L
.08045 .44034 L
.08044 .4393 L
.08043 .4383 L
.08043 .43777 L
.08043 .43718 L
.08042 .43615 L
.08042 .43557 L
.08042 .43495 L
.08042 .43436 L
.08042 .43383 L
.08042 .43284 L
.08042 .43191 L
.08043 .43089 L
.08043 .4298 L
.08044 .42865 L
.08045 .42757 L
.08047 .42553 L
.08051 .42187 L
.08058 .41789 L
.08067 .41355 L
.08079 .40894 L
.08107 .40067 L
.0818 .38462 L
.08272 .36963 L
.08527 .33826 L
.0887 .30561 L
.0925 .27498 L
.09641 .24636 L
.10065 .21681 L
.10463 .18926 L
.10859 .16085 L
.11199 .13424 L
.11476 .10923 L
.11595 .09675 L
.11706 .08313 L
.11794 .07014 L
.11856 .05833 L
.1188 .05251 L
.11901 .04617 L
Mistroke
.1191 .04269 L
.11917 .03947 L
.11922 .03639 L
.11926 .03311 L
.11928 .03148 L
.11929 .03059 L
.11929 .02976 L
.1193 .02899 L
.1193 .02829 L
.1193 .02751 L
.1193 .02708 L
.1193 .02667 L
.1193 .02627 L
.1193 .02583 L
.1193 .02537 L
.1193 .02494 L
.1193 .02417 L
.1193 .02373 L
.1193 .02334 L
.11929 .02249 L
.11929 .02157 L
.11927 .01971 L
.11926 .01805 L
.11924 .01654 L
.11918 .01316 L
.11912 .01002 L
.11904 .00706 L
.11884 .00094 L
Mfstroke
.11884 .00094 m
.1188 0 L
s
.08333 .51667 m
.0817 .50146 L
.08037 .4852 L
.07983 .4766 L
.07942 .46854 L
.07907 .45967 L
.07892 .45469 L
.07882 .45015 L
.07875 .4461 L
.07872 .44406 L
.07869 .44181 L
.07868 .43989 L
.07867 .43883 L
.07866 .43783 L
.07866 .43689 L
.07866 .43588 L
.07865 .43495 L
.07865 .43409 L
.07865 .433 L
.07866 .43238 L
.07866 .43181 L
.07866 .43077 L
.07866 .42966 L
.07868 .42775 L
.07869 .42565 L
.07872 .4234 L
.07875 .42099 L
.07883 .41664 L
.07904 .4081 L
.07935 .39882 L
.08015 .38201 L
.08119 .36558 L
.08254 .34826 L
.08549 .31761 L
.08921 .28573 L
.09314 .25591 L
.09746 .22517 L
.10159 .19649 L
.10536 .16973 L
.10901 .14204 L
.11204 .11605 L
.11462 .08901 L
.11563 .07563 L
.11638 .06336 L
.11692 .05146 L
.11713 .04547 L
.11723 .0421 L
.1173 .0389 L
.11736 .03581 L
.11739 .03418 L
Mistroke
.11741 .03245 L
.11743 .03084 L
.11744 .02939 L
.11745 .02793 L
.11746 .02722 L
.11746 .02655 L
.11746 .02578 L
.11747 .02537 L
.11747 .02494 L
.11747 .02448 L
.11747 .02404 L
.11747 .02323 L
.11747 .02247 L
.11747 .02177 L
.11746 .02099 L
.11746 .02017 L
.11745 .01848 L
.11743 .0169 L
.11742 .01515 L
.11739 .01328 L
.11733 .01011 L
.11727 .00717 L
.11707 .00048 L
Mfstroke
.11707 .00048 m
.11705 0 L
s
.08333 .53333 m
.08127 .51812 L
.0795 .5018 L
.07814 .48503 L
.07754 .47543 L
.07711 .46644 L
.07694 .46217 L
.07679 .45753 L
.07668 .45343 L
.07658 .44908 L
.07651 .44516 L
.07649 .44293 L
.07646 .44084 L
.07645 .43892 L
.07644 .43802 L
.07644 .43717 L
.07644 .4362 L
.07643 .43515 L
.07643 .43422 L
.07643 .43322 L
.07643 .43216 L
.07643 .43156 L
.07644 .431 L
.07644 .42986 L
.07645 .42864 L
.07646 .42644 L
.07648 .42443 L
.07654 .41955 L
.07663 .41492 L
.07684 .40667 L
.07715 .3977 L
.07795 .38088 L
.07908 .36313 L
.08174 .33161 L
.08526 .29878 L
.08909 .26801 L
.09342 .23627 L
.09763 .20666 L
.10155 .17904 L
.1054 .1505 L
.10866 .12376 L
.11152 .09599 L
.11268 .08226 L
.11356 .0697 L
.11425 .05753 L
.11453 .05133 L
.11477 .04468 L
.11488 .04128 L
.11496 .03806 L
.11503 .03492 L
Mistroke
.11508 .03201 L
.11512 .02926 L
.11513 .02785 L
.11515 .02633 L
.11515 .02546 L
.11516 .02466 L
.11516 .02391 L
.11516 .02309 L
.11516 .02235 L
.11517 .02166 L
.11517 .02093 L
.11517 .02015 L
.11516 .01935 L
.11516 .0189 L
.11516 .01848 L
.11516 .01763 L
.11515 .01671 L
.11514 .01505 L
.11513 .01354 L
.11508 .01003 L
.11501 .00634 L
.11485 9e-005 L
Mfstroke
.11485 9e-005 m
.11485 0 L
s
.08333 .55 m
.08081 .53478 L
.07859 .5184 L
.07678 .50149 L
.07594 .49168 L
.0753 .4827 L
.07482 .47462 L
.0744 .46582 L
.07422 .46097 L
.07408 .45648 L
.07397 .45222 L
.07387 .44763 L
.07383 .44537 L
.07381 .44323 L
.07378 .44114 L
.07377 .4392 L
.07376 .43737 L
.07375 .43635 L
.07375 .43542 L
.07375 .4344 L
.07374 .4333 L
.07374 .43226 L
.07375 .4313 L
.07375 .43025 L
.07375 .42914 L
.07376 .42808 L
.07376 .42712 L
.07378 .42477 L
.07381 .42254 L
.07387 .41811 L
.07397 .41329 L
.07418 .40509 L
.0745 .39605 L
.07539 .37781 L
.07647 .36111 L
.07788 .34327 L
.08129 .30864 L
.08514 .27613 L
.08914 .24576 L
.09352 .21442 L
.09764 .1852 L
.10174 .15509 L
.10525 .12689 L
.10808 .1004 L
.10928 .08718 L
.11039 .07275 L
.11124 .05898 L
.11182 .04646 L
.11205 .03983 L
.11221 .03355 L
Mistroke
.11228 .03011 L
.11233 .02692 L
.11235 .02508 L
.11236 .02342 L
.11237 .0225 L
.11238 .0215 L
.11238 .02056 L
.11238 .01969 L
.11239 .01885 L
.11239 .01805 L
.11239 .01734 L
.11239 .01656 L
.11238 .01572 L
.11238 .01529 L
.11238 .01482 L
.11238 .01398 L
.11237 .01321 L
.11236 .01171 L
.11235 .01009 L
.11231 .00717 L
.11226 .00397 L
.11218 .00046 L
Mfstroke
.11218 .00046 m
.11217 0 L
s
.08333 .56667 m
.08034 .55144 L
.07763 .53499 L
.07517 .51648 L
.07338 .49892 L
.07215 .48282 L
.07162 .47374 L
.07124 .46543 L
.07107 .46114 L
.07093 .45658 L
.07082 .45263 L
.07073 .44838 L
.07069 .446 L
.07066 .44382 L
.07063 .44161 L
.07061 .43955 L
.0706 .4383 L
.0706 .43716 L
.07059 .4359 L
.07059 .43521 L
.07059 .43455 L
.07058 .43398 L
.07058 .43337 L
.07058 .43227 L
.07058 .4311 L
.07059 .43043 L
.07059 .4298 L
.07059 .42868 L
.0706 .42748 L
.07061 .42532 L
.07063 .42301 L
.07067 .42045 L
.07074 .41588 L
.07083 .41159 L
.07104 .4036 L
.07135 .39501 L
.07221 .37717 L
.07342 .35851 L
.07625 .32526 L
.07998 .29067 L
.08402 .25828 L
.08854 .22492 L
.09288 .19381 L
.09687 .1648 L
.10072 .13483 L
.10389 .10671 L
.10632 .08022 L
.10738 .06566 L
.10813 .05243 L
.10843 .04591 L
Mistroke
.1087 .03882 L
.10889 .03212 L
.10897 .02889 L
.10902 .02592 L
.10907 .02244 L
.10909 .02062 L
.1091 .01969 L
.10911 .01869 L
.10911 .01781 L
.10912 .01701 L
.10912 .01621 L
.10912 .01545 L
.10913 .01456 L
.10913 .01375 L
.10913 .01285 L
.10912 .01239 L
.10912 .01189 L
.10912 .01109 L
.10912 .01025 L
.10911 .00874 L
.1091 .00711 L
.10908 .00533 L
.10903 .00214 L
Mfstroke
.10903 .00214 m
.109 0 L
s
.08333 .58333 m
.07984 .5681 L
.07661 .55157 L
.07362 .5329 L
.07135 .51512 L
.06972 .49876 L
.0684 .48103 L
.06789 .47174 L
.06767 .46684 L
.06746 .46162 L
.06731 .45706 L
.06718 .45203 L
.06709 .44745 L
.06702 .44315 L
.06699 .44079 L
.06697 .43859 L
.06696 .43733 L
.06696 .43618 L
.06695 .43554 L
.06695 .43486 L
.06695 .43421 L
.06695 .43361 L
.06695 .43252 L
.06695 .4315 L
.06695 .43039 L
.06695 .42919 L
.06695 .42859 L
.06696 .42794 L
.06696 .42675 L
.06698 .42453 L
.067 .42248 L
.06702 .42023 L
.06709 .41567 L
.06718 .41144 L
.06727 .40748 L
.06755 .39844 L
.06793 .38894 L
.06881 .37202 L
.07134 .33755 L
.07488 .30161 L
.07885 .26792 L
.0834 .23319 L
.08785 .20081 L
.09198 .17063 L
.09603 .13948 L
.09941 .11029 L
.10206 .08283 L
.10323 .06776 L
.10409 .05408 L
.10444 .04734 L
Mistroke
.10476 .04001 L
.105 .03314 L
.10518 .02668 L
.10525 .02318 L
.10531 .0194 L
.10533 .01773 L
.10535 .01597 L
.10536 .01446 L
.10537 .01281 L
.10538 .01234 L
.10538 .01182 L
.10538 .01136 L
.10538 .01088 L
.10538 .00996 L
.10538 .00912 L
.10538 .00865 L
.10538 .00815 L
.10538 .00724 L
.10538 .00671 L
.10538 .00616 L
.10537 .00516 L
.10536 .0034 L
.10535 .00176 L
Mfstroke
.10535 .00176 m
.10533 0 L
s
.08333 .6 m
.07931 .58476 L
.07555 .56815 L
.07199 .5493 L
.06922 .53128 L
.06704 .51356 L
.06541 .49654 L
.06472 .48744 L
.06409 .47751 L
.06364 .4685 L
.06331 .46003 L
.06306 .45111 L
.06297 .44636 L
.06292 .44371 L
.06289 .44125 L
.06287 .4387 L
.06286 .43735 L
.06285 .43591 L
.06285 .43525 L
.06284 .43454 L
.06284 .43391 L
.06284 .43324 L
.06284 .43264 L
.06284 .43199 L
.06284 .43083 L
.06284 .42958 L
.06284 .42845 L
.06284 .42782 L
.06285 .42713 L
.06285 .42589 L
.06287 .4235 L
.06289 .42128 L
.06295 .41688 L
.06304 .41214 L
.06325 .40356 L
.06359 .39337 L
.06399 .38405 L
.06497 .36622 L
.06633 .34686 L
.06972 .30951 L
.07364 .27445 L
.07822 .2383 L
.08276 .20459 L
.08702 .17318 L
.09123 .14079 L
.09477 .11046 L
.09756 .08196 L
.0988 .06632 L
.09973 .05214 L
.1001 .04515 L
Mistroke
.10045 .03755 L
.10072 .03043 L
.10091 .02375 L
.101 .02012 L
.10107 .0162 L
.10109 .01447 L
.10112 .01265 L
.10113 .01094 L
.10115 .00938 L
.10115 .0085 L
.10116 .00755 L
.10116 .00703 L
.10116 .00655 L
.10116 .0056 L
.10117 .00479 L
.10117 .00389 L
.10117 .00296 L
.10116 .00208 L
.10116 .00161 L
.10116 .0011 L
.10116 7e-005 L
Mfstroke
.10116 7e-005 m
.10116 0 L
s
.08333 .61667 m
.07444 .58472 L
.07058 .5672 L
.06698 .5474 L
.06417 .52829 L
.06211 .51054 L
.06046 .49183 L
.05975 .48144 L
.05922 .47156 L
.05882 .46211 L
.05865 .45692 L
.05852 .45205 L
.05842 .44756 L
.05835 .44345 L
.05832 .4411 L
.0583 .43887 L
.05828 .43652 L
.05828 .43519 L
.05827 .43395 L
.05827 .43269 L
.05827 .43205 L
.05826 .43135 L
.05826 .43012 L
.05827 .42896 L
.05827 .42826 L
.05827 .4276 L
.05827 .42636 L
.05828 .42502 L
.05829 .42356 L
.05831 .4211 L
.05834 .41848 L
.05841 .41377 L
.0585 .40929 L
.0586 .40508 L
.0589 .39549 L
.05928 .38586 L
.05977 .37574 L
.06085 .35773 L
.0638 .32112 L
.06776 .28305 L
.07206 .24745 L
.07687 .2108 L
.08145 .17666 L
.08558 .14483 L
.08947 .11194 L
.09256 .08104 L
.09476 .05188 L
.09556 .03705 L
.09591 .02876 L
.09616 .02119 L
Mistroke
.09625 .01757 L
.09633 .01371 L
.0964 .01007 L
.09644 .00678 L
.09646 .00475 L
.09647 .00289 L
.09648 .00191 L
.09648 .00084 L
.09648 .0003 L
Mfstroke
.09648 .0003 m
.09648 0 L
s
.08333 .63333 m
.07328 .60128 L
.06884 .58358 L
.06463 .5635 L
.06129 .54402 L
.05877 .52586 L
.05667 .50666 L
.05573 .49585 L
.055 .48579 L
.05446 .47663 L
.05397 .46649 L
.05361 .45626 L
.05347 .45064 L
.05336 .44538 L
.05333 .44293 L
.05329 .44032 L
.05328 .43882 L
.05327 .43745 L
.05326 .43607 L
.05325 .43479 L
.05324 .43358 L
.05324 .4323 L
.05324 .43102 L
.05324 .43029 L
.05324 .42961 L
.05324 .42838 L
.05324 .42725 L
.05324 .42595 L
.05325 .42472 L
.05327 .42244 L
.05329 .42002 L
.05334 .41566 L
.05342 .41098 L
.05353 .40581 L
.05383 .39552 L
.05419 .3861 L
.05526 .36496 L
.05653 .34591 L
.05821 .32528 L
.06215 .28558 L
.06651 .24843 L
.07142 .21021 L
.07612 .17461 L
.08037 .14143 L
.08437 .10716 L
.08752 .07498 L
.08878 .05906 L
.08974 .04461 L
.09053 .02916 L
.09086 .02068 L
Mistroke
.09099 .01646 L
.0911 .01264 L
.09118 .00899 L
.09125 .00504 L
.09128 .00287 L
.09131 .00088 L
Mfstroke
.09131 .00088 m
.09131 0 L
s
.08333 .65 m
.07207 .61783 L
.06702 .59995 L
.06217 .57955 L
.05526 .5411 L
.0527 .52137 L
.05058 .49986 L
.04977 .48924 L
.04905 .47764 L
.04852 .46663 L
.04816 .45642 L
.04803 .45149 L
.04792 .44618 L
.04788 .44361 L
.04784 .44117 L
.04782 .43876 L
.0478 .43657 L
.04779 .43531 L
.04778 .43395 L
.04778 .43319 L
.04778 .4325 L
.04777 .43114 L
.04777 .42997 L
.04777 .42869 L
.04777 .42735 L
.04778 .4261 L
.04778 .42539 L
.04778 .42461 L
.04779 .42321 L
.04781 .42058 L
.04784 .4175 L
.04788 .41466 L
.04796 .40973 L
.04807 .40443 L
.04835 .39484 L
.04877 .38345 L
.04926 .37303 L
.05202 .33155 L
.05565 .29248 L
.0602 .25201 L
.06491 .21427 L
.06994 .1755 L
.07452 .13938 L
.07843 .10565 L
.08185 .07068 L
.0832 .05356 L
.08423 .03766 L
.08499 .0225 L
.08531 .01401 L
.08553 .00627 L
Mistroke
.08562 .00232 L
Mfstroke
.08562 .00232 m
.08566 0 L
s
.08333 .66667 m
.0708 .63438 L
.05961 .59557 L
.05515 .57552 L
.0516 .55625 L
.04855 .53597 L
.04622 .51638 L
.04519 .50588 L
.04425 .49439 L
.04353 .48395 L
.04299 .47412 L
.04253 .46374 L
.04233 .45776 L
.04218 .45227 L
.04205 .44653 L
.04197 .44107 L
.04193 .43807 L
.04191 .43529 L
.0419 .43369 L
.04189 .43224 L
.04189 .43144 L
.04189 .43057 L
.04189 .42975 L
.04189 .42899 L
.04189 .42759 L
.04189 .42626 L
.04189 .42507 L
.0419 .42378 L
.0419 .42237 L
.04191 .42088 L
.04194 .41819 L
.04199 .4134 L
.04208 .40811 L
.04221 .40243 L
.04237 .3963 L
.04276 .38523 L
.04382 .36315 L
.04532 .34007 L
.04883 .29904 L
.05338 .25651 L
.05818 .21684 L
.06337 .17609 L
.06812 .13816 L
.0722 .10276 L
.07577 .06608 L
.07718 .04813 L
.07825 .03147 L
.07902 .01558 L
.07935 .00669 L
s
.07935 .00669 m
.07954 0 L
s
.08333 .68333 m
.06949 .65092 L
.05693 .61156 L
.05186 .59107 L
.04777 .5713 L
.04421 .55042 L
.04143 .5302 L
.03901 .50741 L
.0374 .48635 L
.03677 .47526 L
.03625 .46345 L
.03593 .45332 L
.0358 .44756 L
.03571 .44215 L
.03567 .43917 L
.03564 .4364 L
.03563 .43483 L
.03562 .43336 L
.03561 .43254 L
.03561 .43166 L
.03561 .43086 L
.03561 .43012 L
.0356 .42874 L
.0356 .42722 L
.0356 .42574 L
.03561 .42491 L
.03561 .42416 L
.03561 .42281 L
.03562 .42134 L
.03564 .41867 L
.03566 .4161 L
.0357 .41326 L
.03579 .40751 L
.0359 .40219 L
.03603 .39719 L
.03639 .38582 L
.03689 .37386 L
.03805 .35259 L
.04133 .30936 L
.04581 .26448 L
.05068 .22259 L
.05603 .17957 L
.06099 .13955 L
.0653 .10223 L
.06908 .06362 L
.07059 .04473 L
.07174 .02722 L
.07258 .01052 L
.07293 .00118 L
s
.07293 .00118 m
.07297 0 L
s
.08333 .7 m
.06813 .66745 L
.05415 .6275 L
.04844 .60656 L
.04378 .58626 L
.03967 .56474 L
.03643 .54383 L
.03355 .5202 L
.03157 .49829 L
.03076 .48674 L
.03007 .47441 L
.02962 .46384 L
.02943 .45826 L
.02926 .45216 L
.02912 .44587 L
.02907 .44297 L
.02903 .43987 L
.02899 .43681 L
.02897 .43404 L
.02896 .4327 L
.02895 .43124 L
.02895 .42987 L
.02895 .42861 L
.02894 .42715 L
.02894 .42557 L
.02895 .42409 L
.02895 .42273 L
.02896 .42114 L
.02897 .41942 L
.02899 .41628 L
.02903 .41299 L
.02908 .4095 L
.02919 .40324 L
.02948 .39187 L
.02992 .37962 L
.03098 .35756 L
.03252 .33356 L
.0345 .30855 L
.0388 .26427 L
.04399 .21856 L
.04919 .17604 L
.0545 .13242 L
.05906 .09175 L
.06264 .05367 L
.06409 .03469 L
.06534 .01398 L
.06579 .00455 L
s
.06579 .00455 m
.06597 0 L
s
.08333 .71667 m
.06672 .68398 L
.05126 .64341 L
.04487 .62198 L
.03962 .60112 L
.03123 .55728 L
.02787 .53274 L
.02549 .50993 L
.0237 .48605 L
.02297 .47244 L
.02271 .46636 L
.02248 .45981 L
.02229 .4534 L
.02215 .44753 L
.0221 .44471 L
.02205 .44162 L
.02201 .43873 L
.02198 .436 L
.02197 .43434 L
.02196 .43254 L
.02195 .43091 L
.02194 .4294 L
.02194 .42777 L
.02194 .42685 L
.02194 .42598 L
.02194 .42507 L
.02194 .42424 L
.02194 .42328 L
.02194 .42237 L
.02195 .42084 L
.02196 .41921 L
.02198 .4163 L
.02201 .41316 L
.02205 .4097 L
.02216 .40343 L
.0223 .39683 L
.02265 .38505 L
.02314 .37239 L
.02381 .3586 L
.02532 .33391 L
.02732 .30782 L
.03215 .2572 L
.03747 .20999 L
.04275 .16611 L
.04811 .12104 L
.05265 .07902 L
.05614 .03967 L
.05752 .01978 L
s
.05752 .01978 m
.05858 0 L
s
.08333 .73333 m
.06525 .7005 L
.04826 .65927 L
.04117 .63733 L
.0353 .61588 L
.02581 .57053 L
.02195 .54503 L
.01918 .52125 L
.01703 .4963 L
.01613 .48205 L
.01549 .46883 L
.01525 .46263 L
.01504 .45595 L
.01489 .45017 L
.01476 .44385 L
.0147 .44002 L
.01466 .43646 L
.01463 .43306 L
.01462 .43116 L
.01461 .42943 L
.01461 .42773 L
.0146 .42617 L
.0146 .42445 L
.0146 .42359 L
.01461 .42264 L
.01461 .42104 L
.01462 .41932 L
.01463 .4177 L
.01464 .41623 L
.01466 .41316 L
.0147 .40978 L
.01481 .40294 L
.01494 .3966 L
.0151 .39066 L
.01554 .3773 L
.01615 .36294 L
.01766 .33638 L
.01968 .3087 L
.02418 .25968 L
.02971 .20911 L
.03525 .16213 L
.04087 .11396 L
.04559 .06909 L
.04915 .02704 L
.05053 .00564 L
s
.05053 .00564 m
.05082 0 L
s
.08333 .75 m
.06374 .71701 L
.04514 .6751 L
.03732 .65262 L
.03082 .63053 L
.02019 .58359 L
.01581 .55705 L
.01262 .53224 L
.01011 .50614 L
.00903 .49122 L
.00825 .47735 L
.00795 .47085 L
.00767 .46384 L
.00747 .45777 L
.00729 .45114 L
.0072 .44711 L
.00713 .44337 L
.00707 .4395 L
.00703 .43598 L
.00702 .43432 L
.007 .43252 L
.00699 .43097 L
.00698 .42926 L
.00698 .42745 L
.00697 .42645 L
.00697 .42553 L
.00697 .42387 L
.00697 .42209 L
.00698 .42038 L
.00698 .4194 L
.00698 .41848 L
.00699 .41663 L
.00701 .41464 L
.00704 .41104 L
.00708 .40775 L
.00721 .40015 L
.00739 .39215 L
.0078 .37863 L
.00839 .36387 L
.00987 .3365 L
.01191 .30755 L
.017 .2514 L
.02269 .19908 L
.02833 .1505 L
.03399 .10065 L
.03866 .0542 L
.04208 .01065 L
s
.04208 .01065 m
.04269 0 L
s
.08333 .76667 m
.06217 .73351 L
.04192 .69088 L
.02617 .64508 L
.01437 .59643 L
.00963 .56996 L
.00558 .54074 L
.00397 .52621 L
.0025 .51026 L
.00144 .49636 L
.00052 .48093 L
.00017 .47368 L
s
.00017 .47368 m
0 .46967 L
s
0 .37394 m
.00061 .35923 L
.00219 .33043 L
.00436 .29999 L
.00975 .24101 L
.01569 .18611 L
.02151 .13518 L
.02724 .08293 L
.03182 .03421 L
.03365 .0102 L
s
.03365 .0102 m
.03428 0 L
s
.08333 .78333 m
.06055 .75 L
.03859 .70662 L
.02135 .65951 L
.00833 .60906 L
.00307 .58146 L
s
.00307 .58146 m
0 .56083 L
s
0 .25453 m
.00123 .24058 L
.00731 .18307 L
.01329 .12977 L
.01917 .07506 L
.02385 .02407 L
s
.02385 .02407 m
.02561 0 L
s
.08333 .8 m
.05889 .76649 L
.03514 .72232 L
.01638 .67382 L
.0021 .62146 L
s
.0021 .62146 m
0 .61107 L
s
0 .16812 m
.00634 .1105 L
.01215 .05399 L
.01659 .00128 L
s
.01659 .00128 m
.01667 0 L
s
.08333 .81667 m
.05717 .78297 L
.03158 .73796 L
.02055 .713 L
.01123 .68801 L
s
.01123 .68801 m
0 .64879 L
s
0 .08191 m
.00367 .04552 L
.00617 .01711 L
s
.00617 .01711 m
.00745 0 L
s
.08333 .83333 m
.0554 .79944 L
.02791 .75356 L
.01601 .7279 L
.00593 .70208 L
s
.00593 .70208 m
0 .68228 L
s
.08333 .85 m
.05357 .8159 L
.02413 .76912 L
.01132 .74271 L
.00045 .71602 L
s
.00045 .71602 m
0 .71456 L
s
.08333 .86667 m
.0517 .83235 L
.0362 .81095 L
.02023 .78462 L
s
.02023 .78462 m
0 .741 L
s
.08333 .88333 m
.04977 .8488 L
.03327 .82703 L
.01622 .80007 L
s
.01622 .80007 m
0 .76634 L
s
.08333 .9 m
.06579 .88431 L
.0478 .86523 L
.02881 .84107 L
.0121 .81547 L
s
.0121 .81547 m
0 .7913 L
s
.08333 .91667 m
.06481 .90094 L
.04577 .88166 L
.02562 .85706 L
.00786 .83081 L
s
.00786 .83081 m
0 .81557 L
s
.1 .08333 m
.1011 .06965 L
.10205 .05533 L
.10278 .04088 L
.10309 .03271 L
.1032 .02907 L
.10331 .02511 L
.10339 .02121 L
.10345 .01761 L
.10349 .01417 L
.1035 .01243 L
.10351 .01145 L
.10352 .01052 L
.10352 .00969 L
.10352 .00879 L
.10352 .00798 L
.10353 .00722 L
.10353 .00631 L
.10352 .0055 L
.10352 .00455 L
.10352 .00366 L
.10351 .00288 L
.10351 .00205 L
.1035 .00057 L
s
.1035 .00057 m
.10349 0 L
s
.1 .1 m
.10128 .08635 L
.10245 .07209 L
.10349 .05651 L
.1039 .04895 L
.10422 .04209 L
.10446 .03584 L
.10467 .02908 L
.10476 .02536 L
.10483 .02193 L
.10488 .01866 L
.1049 .01688 L
.10492 .01518 L
.10493 .01352 L
.10494 .01258 L
.10494 .01171 L
.10495 .01091 L
.10495 .01017 L
.10495 .00933 L
.10495 .00853 L
.10495 .00766 L
.10495 .00675 L
.10494 .00596 L
.10494 .0051 L
.10494 .00417 L
.10493 .00317 L
.10491 .00138 L
s
.10491 .00138 m
.1049 0 L
s
.1 .11667 m
.1028 .08884 L
.10399 .07456 L
.10504 .05903 L
.10543 .05209 L
.10579 .04468 L
.10606 .03775 L
.10626 .03136 L
.10635 .02797 L
.10643 .02424 L
.10648 .02049 L
.10651 .01843 L
.10653 .01651 L
.10653 .01564 L
.10654 .0147 L
.10654 .01387 L
.10655 .01298 L
.10655 .0121 L
.10655 .0113 L
.10655 .0105 L
.10655 .00975 L
.10655 .00886 L
.10655 .00841 L
.10655 .00793 L
.10654 .00706 L
.10654 .00625 L
.10653 .00442 L
.10651 .00247 L
s
.10651 .00247 m
.10647 0 L
s
.1 .13333 m
.10311 .10559 L
.10448 .09138 L
.10577 .07596 L
.10676 .06157 L
.10746 .04855 L
.10773 .04209 L
.10797 .03509 L
.10808 .03124 L
.10816 .02769 L
.10822 .0243 L
.10824 .02246 L
.10827 .02071 L
.10828 .01909 L
.10829 .01824 L
.10829 .01733 L
.1083 .01649 L
.1083 .01573 L
.10831 .01497 L
.10831 .01425 L
.10831 .0134 L
.10831 .01251 L
.10831 .01174 L
.10831 .0109 L
.10831 .01 L
.1083 .0095 L
.1083 .00904 L
.10829 .00729 L
.10828 .00568 L
.10826 .00419 L
.10821 .00083 L
s
.10821 .00083 m
.1082 0 L
s
.1 .15 m
.10337 .12233 L
.10641 .09286 L
.1076 .07875 L
.10852 .0657 L
.10923 .05319 L
.10954 .04626 L
.10978 .03986 L
.10998 .03296 L
.11006 .02932 L
.11013 .02546 L
.11015 .02385 L
.11017 .02212 L
.11018 .02048 L
.11019 .01899 L
.11019 .01808 L
.1102 .01724 L
.1102 .01675 L
.1102 .01632 L
.1102 .01581 L
.1102 .01533 L
.1102 .01446 L
.1102 .01366 L
.1102 .01278 L
.1102 .01234 L
.1102 .01185 L
.11019 .01015 L
.11018 .0092 L
.11017 .00831 L
.11013 .00495 L
.11008 .00189 L
s
.11008 .00189 m
.11004 0 L
s
.1 .16667 m
.10359 .13907 L
.10695 .10974 L
.10944 .08279 L
.11042 .06938 L
.11114 .05725 L
.11171 .04421 L
.11194 .03705 L
.11202 .03384 L
.11209 .03029 L
.11214 .02697 L
.11218 .02386 L
.11219 .02214 L
.1122 .02132 L
.1122 .02057 L
.1122 .0197 L
.1122 .01924 L
.1122 .01875 L
.11221 .01829 L
.11221 .01785 L
.11221 .01703 L
.11221 .01632 L
.1122 .01554 L
.1122 .01472 L
.1122 .01396 L
.11219 .0126 L
.11218 .01114 L
.11216 .00943 L
.11214 .0078 L
.11209 .00476 L
.11203 .0017 L
s
.11203 .0017 m
.11199 0 L
s
.1 .18333 m
.10376 .1558 L
.10739 .1266 L
.11022 .09983 L
.11232 .07455 L
.11312 .06168 L
.11376 .04797 L
.11398 .04129 L
.11408 .03778 L
.11416 .03406 L
.11422 .03081 L
.11424 .02908 L
.11426 .02723 L
.11428 .02553 L
.11429 .02397 L
.11429 .02322 L
.1143 .02241 L
.1143 .02164 L
.1143 .02092 L
.1143 .02008 L
.1143 .01966 L
.1143 .01919 L
.1143 .01837 L
.1143 .01761 L
.1143 .01714 L
.1143 .0167 L
.11429 .01588 L
.11428 .01402 L
.11426 .0124 L
.11425 .0109 L
.11419 .00751 L
.11414 .00471 L
.11406 .00161 L
s
.11406 .00161 m
.11401 0 L
s
.1 .2 m
.10388 .17253 L
.10774 .14343 L
.11087 .11683 L
.11331 .09177 L
.1144 .07797 L
.1152 .06551 L
.11553 .05932 L
.11584 .05262 L
.11607 .04634 L
.11624 .04047 L
.11631 .03732 L
.11637 .03443 L
.11641 .03122 L
.11643 .02945 L
.11645 .02777 L
.11646 .02616 L
.11646 .02525 L
.11647 .02443 L
.11647 .02367 L
.11647 .02284 L
.11647 .02205 L
.11647 .02133 L
.11647 .02049 L
.11646 .0197 L
.11646 .01884 L
.11645 .01791 L
.11644 .01602 L
.11642 .0143 L
.11638 .01121 L
.11632 .00793 L
.11616 .00204 L
s
.11616 .00204 m
.11609 0 L
s
.1 .21667 m
.10395 .18925 L
.10799 .16024 L
.11137 .13377 L
.11412 .10889 L
.11541 .09524 L
.11642 .08291 L
.11729 .07005 L
.11791 .05823 L
.11815 .0525 L
.11837 .04619 L
.11853 .03985 L
.11859 .03638 L
.11862 .0347 L
.11864 .03313 L
.11866 .0315 L
.11867 .03002 L
.11867 .02923 L
.11868 .02837 L
.11868 .0279 L
.11868 .02747 L
.11868 .02706 L
.11868 .02662 L
.11868 .02587 L
.11869 .02518 L
.11868 .02435 L
.11868 .0236 L
.11868 .02282 L
.11868 .02237 L
.11868 .02196 L
.11867 .02041 L
.11866 .01903 L
.11865 .01773 L
.11861 .01476 L
.11856 .01187 L
.11849 .00875 L
.11831 .00271 L
s
.11831 .00271 m
.11821 0 L
s
.1 .23333 m
.10398 .20596 L
.10814 .17703 L
.11172 .15066 L
.11475 .12594 L
.1174 .10018 L
.11932 .07581 L
.12006 .06261 L
.12033 .05657 L
.12056 .05018 L
.12073 .04432 L
.1208 .041 L
.12085 .03788 L
.12087 .03641 L
.12089 .03502 L
.1209 .03376 L
.12091 .03241 L
.12092 .03164 L
.12092 .03095 L
.12092 .03024 L
.12092 .02959 L
.12093 .02883 L
.12093 .02843 L
.12093 .02801 L
.12093 .0273 L
.12093 .02652 L
.12092 .02572 L
.12092 .02497 L
.12092 .02416 L
.12091 .02329 L
.1209 .02184 L
.12088 .02023 L
.12084 .01727 L
.12079 .01449 L
.12064 .00826 L
.12041 .00154 L
s
.12041 .00154 m
.12034 0 L
s
.1 .25 m
.10397 .22267 L
.1082 .1938 L
.11194 .1675 L
.11519 .1429 L
.11816 .11732 L
.12045 .0932 L
.12137 .08104 L
.12216 .06792 L
.12246 .06181 L
.12272 .05535 L
.1229 .04984 L
.12304 .04377 L
.1231 .04064 L
.12312 .03909 L
.12313 .03766 L
.12315 .03625 L
.12316 .03498 L
.12316 .03356 L
.12317 .03279 L
.12317 .03206 L
.12317 .03133 L
.12317 .03091 L
.12317 .03052 L
.12317 .02974 L
.12317 .0293 L
.12317 .0289 L
.12317 .02819 L
.12316 .02741 L
.12316 .026 L
.12314 .02435 L
.12312 .02259 L
.12308 .01944 L
.12302 .01648 L
.12296 .01376 L
.12277 .00763 L
.12256 .00221 L
s
.12256 .00221 m
.12245 0 L
s
.1 .26667 m
.1039 .23938 L
.10816 .21054 L
.11201 .1843 L
.11544 .15977 L
.11868 .13433 L
.1213 .1104 L
.12242 .09836 L
.12344 .08541 L
.12418 .07407 L
.12452 .06764 L
.12479 .06163 L
.12502 .05549 L
.12518 .04988 L
.12525 .04701 L
.12531 .04388 L
.12533 .04216 L
.12535 .04057 L
.12537 .03894 L
.12538 .03743 L
.12539 .03667 L
.12539 .03597 L
.12539 .03523 L
.12539 .03484 L
.12539 .03442 L
.12539 .03401 L
.12539 .03355 L
.12539 .03312 L
.12539 .03272 L
.12539 .03197 L
.12539 .03159 L
.12539 .03117 L
.12539 .03041 L
.12539 .02971 L
.12538 .02813 L
.12536 .02674 L
.12535 .02527 L
.12531 .02254 L
.12526 .02 L
.12512 .01422 L
.1249 .00795 L
.12464 .00202 L
s
.12464 .00202 m
.12452 0 L
s
.1 .28333 m
.10379 .25608 L
.10802 .22726 L
.11194 .20104 L
.11551 .17656 L
.11897 .15121 L
.12188 .12741 L
.1244 .10264 L
.12541 .09039 L
.12618 .07915 L
.12678 .06828 L
.12702 .06273 L
.12723 .05678 L
.12732 .05374 L
.12739 .05086 L
.12745 .04805 L
.1275 .04544 L
.12753 .04298 L
.12754 .04172 L
.12755 .04036 L
.12756 .03958 L
.12756 .03886 L
.12756 .03818 L
.12757 .03745 L
.12757 .0368 L
.12757 .0362 L
.12757 .03553 L
.12757 .03482 L
.12757 .03411 L
.12757 .03371 L
.12757 .03333 L
.12756 .03257 L
.12756 .03175 L
.12755 .03026 L
.12753 .02891 L
.12749 .02577 L
.12743 .02247 L
.12729 .01686 L
.12708 .01072 L
s
.12708 .01072 m
.12655 0 L
s
.1 .3 m
.10363 .27277 L
.10779 .24395 L
.11172 .21773 L
.11538 .19326 L
.11903 .16795 L
.12218 .14423 L
.12503 .11962 L
.12721 .09635 L
.12799 .08582 L
.12869 .07427 L
.1292 .06294 L
.1294 .05675 L
.12954 .05096 L
.12959 .04813 L
.12961 .04664 L
.12963 .04505 L
.12965 .04352 L
.12966 .04213 L
.12966 .04146 L
.12966 .04074 L
.12967 .04006 L
.12967 .03943 L
.12967 .03882 L
.12967 .03816 L
.12967 .03754 L
.12967 .03698 L
.12967 .03632 L
.12966 .0356 L
.12966 .03492 L
.12966 .03429 L
.12965 .03304 L
.12963 .03166 L
.1296 .02886 L
.12955 .02606 L
.12949 .0231 L
.12934 .0178 L
.12912 .01209 L
.12883 .00582 L
s
.12883 .00582 m
.12847 0 L
s
.1 .31667 m
.10342 .28946 L
.10745 .26063 L
.11135 .23437 L
.11507 .20987 L
.11885 .18455 L
.1222 .16087 L
.12534 .13634 L
.12786 .11322 L
.12974 .09135 L
.13047 .08016 L
.13078 .07447 L
.13107 .06836 L
.13128 .06264 L
.13144 .05742 L
.1315 .05491 L
.13156 .05217 L
.13159 .04978 L
.13163 .04718 L
.13164 .04564 L
.13165 .04496 L
.13165 .04421 L
.13165 .04356 L
.13166 .04285 L
.13166 .04246 L
.13166 .04211 L
.13166 .04141 L
.13166 .04074 L
.13166 .04013 L
.13166 .03945 L
.13166 .03872 L
.13166 .0381 L
.13165 .03751 L
.13165 .03618 L
.13163 .03474 L
.13162 .03323 L
.13158 .03052 L
.13153 .02761 L
.13145 .02442 L
.13127 .01864 L
.13106 .01337 L
.13042 .0015 L
s
.13042 .0015 m
.1303 0 L
s
.1 .33333 m
.10316 .30614 L
.10701 .27727 L
.11084 .25096 L
.11456 .22639 L
.11843 .20102 L
.12194 .17731 L
.12533 .1528 L
.12815 .12976 L
.13037 .10803 L
.13129 .09716 L
.13214 .08526 L
.13276 .07403 L
.13298 .06901 L
.13318 .06354 L
.13327 .06058 L
.13334 .05783 L
.1334 .05499 L
.13344 .05241 L
.13348 .04987 L
.13349 .04871 L
.1335 .04748 L
.1335 .04685 L
.13351 .04616 L
.13351 .04553 L
.13351 .04495 L
.13352 .04427 L
.13352 .04389 L
.13352 .04354 L
.13352 .04291 L
.13352 .04222 L
.13352 .04155 L
.13351 .04094 L
.13351 .04026 L
.13351 .03955 L
.1335 .03836 L
.13349 .03705 L
.13348 .03562 L
.13346 .03409 L
.13341 .03133 L
.13335 .02821 L
.13327 .02525 L
.13308 .01972 L
.13256 .0086 L
s
.13256 .0086 m
.13199 0 L
s
.1 .35 m
.10286 .32282 L
.10648 .2939 L
.11018 .26749 L
.11386 .24283 L
.11777 .21735 L
.1214 .19356 L
.12498 .169 L
.12807 .14596 L
.1306 .12429 L
.13275 .10165 L
.13359 .09052 L
.13422 .08015 L
.13469 .07025 L
.13489 .0647 L
.13503 .05963 L
.13508 .05705 L
.13513 .0543 L
.13515 .05296 L
.13516 .0517 L
.13518 .05058 L
.13519 .04935 L
.13519 .04799 L
.1352 .04724 L
.1352 .04654 L
.1352 .04589 L
.1352 .0453 L
.1352 .04461 L
.1352 .04396 L
.1352 .04326 L
.1352 .0429 L
.1352 .04251 L
.1352 .04181 L
.13519 .04116 L
.13518 .0397 L
.13517 .03812 L
.13513 .03543 L
.13509 .03293 L
.13495 .02724 L
.13476 .02168 L
.1345 .01572 L
.13381 .004 L
s
.13381 .004 m
.1335 0 L
s
.1 .36667 m
.10251 .33949 L
.10584 .3105 L
.10937 .28398 L
.11296 .25917 L
.11687 .23355 L
.12057 .20962 L
.12431 .18494 L
.12761 .16183 L
.13042 .14014 L
.13292 .11755 L
.13395 .10647 L
.13478 .09616 L
.13548 .08571 L
.136 .07582 L
.13622 .07064 L
.13641 .06499 L
.13648 .06251 L
.13654 .05986 L
.13658 .05755 L
.13662 .0551 L
.13664 .05374 L
.13666 .05224 L
.13667 .05088 L
.13668 .04961 L
.13668 .04884 L
.13668 .04846 L
.13668 .04811 L
.13668 .04745 L
.13668 .04711 L
.13668 .04674 L
.13668 .04638 L
.13668 .04599 L
.13668 .04562 L
.13668 .04528 L
.13668 .0449 L
.13668 .04449 L
.13668 .04366 L
.13667 .04294 L
.13667 .04225 L
.13666 .04096 L
.13664 .03958 L
.13663 .03807 L
.13658 .03537 L
.13653 .03287 L
.13639 .02767 L
.13621 .02279 L
.13566 .01164 L
.1349 .00061 L
s
.1349 .00061 m
.13485 0 L
s
.1 .38333 m
.10211 .35616 L
.10511 .32707 L
.10841 .30041 L
.11187 .27543 L
.11572 .24959 L
.11946 .22547 L
.12331 .20061 L
.12679 .17735 L
.12982 .15557 L
.13263 .13293 L
.13484 .11156 L
.13644 .09131 L
.13705 .08101 L
.13753 .06996 L
.1377 .06462 L
.13777 .0618 L
.13783 .0588 L
.13787 .05592 L
.1379 .0533 L
.13791 .05204 L
.13791 .05137 L
.13792 .05067 L
.13792 .05006 L
.13792 .04938 L
.13792 .04877 L
.13792 .04819 L
.13792 .04753 L
.13792 .04719 L
.13792 .04682 L
.13792 .04616 L
.13792 .04555 L
.13791 .04483 L
.13791 .04416 L
.1379 .04267 L
.13789 .04145 L
.13787 .04012 L
.13783 .03743 L
.13778 .03497 L
.13772 .03234 L
.13757 .02759 L
.13736 .02214 L
.13707 .01622 L
.13638 .0054 L
s
.13638 .0054 m
.13593 0 L
s
.1 .4 m
.10071 .38673 L
.10166 .37282 L
.10427 .34363 L
.10717 .3178 L
.11067 .29097 L
.11428 .26586 L
.11823 .23997 L
.122 .21579 L
.12549 .1932 L
.12892 .16983 L
.13188 .14791 L
.13431 .12729 L
.13639 .10572 L
.13715 .09589 L
.13784 .08523 L
.13814 .07947 L
.13837 .07414 L
.13855 .06908 L
.13871 .06362 L
.13877 .06074 L
.13881 .05809 L
.13885 .05556 L
.13886 .05428 L
.13887 .05288 L
.13887 .05223 L
.13888 .05161 L
.13888 .05105 L
.13888 .05045 L
.13888 .04979 L
.13888 .04946 L
.13888 .0491 L
.13888 .04845 L
.13888 .04784 L
.13888 .04727 L
.13888 .04666 L
.13887 .04558 L
.13886 .04441 L
.13885 .04314 L
.13882 .04037 L
.13877 .03775 L
.13866 .03285 L
.13849 .02756 L
.13825 .02181 L
.13766 .01127 L
.13681 2e-005 L
s
.13681 2e-005 m
.13681 0 L
s
.1 .41667 m
.10019 .41033 L
.10046 .40341 L
.10117 .38948 L
.10218 .37424 L
.10333 .36015 L
.10599 .33349 L
.10934 .30579 L
.11291 .27982 L
.11652 .25553 L
.1204 .23046 L
.12406 .20705 L
.1274 .18517 L
.13066 .16249 L
.13342 .14119 L
.13587 .11901 L
.13689 .10808 L
.13769 .09801 L
.13837 .08769 L
.13888 .07802 L
.13909 .07288 L
.13927 .06733 L
.13934 .06488 L
.1394 .06229 L
.13944 .05991 L
.13947 .05766 L
.13949 .05642 L
.1395 .05508 L
.13951 .05386 L
.13952 .05273 L
.13952 .0521 L
.13952 .05151 L
.13952 .05086 L
.13952 .0505 L
.13953 .05017 L
.13953 .04953 L
.13952 .04917 L
.13952 .04884 L
.13952 .04816 L
.13952 .04779 L
.13952 .04744 L
.13951 .04622 L
.13951 .04509 L
.1395 .04385 L
.13948 .04253 L
.13945 .04032 L
.1394 .03789 L
.13927 .03258 L
.13911 .02772 L
.13859 .01674 L
Mistroke
.13792 .00668 L
Mfstroke
.13792 .00668 m
.13735 0 L
s
.1 .43333 m
.10001 .43175 L
.10003 .43006 L
.10006 .42701 L
.10012 .42338 L
.10019 .42008 L
.10038 .4129 L
.10063 .40613 L
.10131 .39195 L
.10229 .37665 L
.1047 .34848 L
.10762 .32188 L
.11081 .29691 L
.11449 .27102 L
.11816 .24683 L
.12206 .22188 L
.12569 .19857 L
.12895 .17677 L
.1321 .15418 L
.13471 .13292 L
.13696 .11077 L
.13787 .09979 L
.13856 .08974 L
.13909 .07998 L
.13931 .07501 L
.1395 .06969 L
.13965 .06436 L
.1397 .06183 L
.13974 .0595 L
.13977 .05716 L
.13978 .05595 L
.1398 .05462 L
.1398 .05346 L
.13981 .05293 L
.13981 .05237 L
.13981 .05178 L
.13981 .05123 L
.13981 .05064 L
.13981 .04999 L
.13981 .04931 L
.13981 .04867 L
.13981 .04834 L
.13981 .04798 L
.13981 .04725 L
.1398 .04591 L
.13979 .04466 L
.13976 .04232 L
.13972 .0398 L
.13966 .03688 L
.13959 .0341 L
Mistroke
.13943 .02889 L
.13922 .02386 L
.13895 .01849 L
.13834 .00879 L
Mfstroke
.13834 .00879 m
.13761 0 L
s
.1 .45 m
.09995 .44673 L
.09993 .44516 L
.09992 .44368 L
.09991 .44284 L
.0999 .44193 L
.0999 .44117 L
.0999 .44033 L
.09989 .43943 L
.09989 .43894 L
.09989 .43847 L
.09989 .43764 L
.09989 .43675 L
.09989 .43583 L
.09989 .43496 L
.0999 .43447 L
.0999 .43402 L
.0999 .43301 L
.09992 .43118 L
.09993 .42945 L
.09997 .42624 L
.10003 .42277 L
.10021 .41525 L
.10048 .40731 L
.10114 .39313 L
.10199 .3794 L
.10295 .36667 L
.10547 .33999 L
.1087 .31223 L
.11219 .28617 L
.11576 .2618 L
.11964 .23663 L
.12332 .21312 L
.1267 .19117 L
.13004 .16842 L
.1329 .14707 L
.13548 .12487 L
.13744 .10386 L
.13821 .09338 L
.13878 .0839 L
.13925 .07369 L
.13944 .06809 L
.13951 .06558 L
.13957 .06281 L
.13962 .06038 L
.13966 .05776 L
.13968 .05632 L
.13969 .055 L
.13969 .05437 L
.1397 .05368 L
Mistroke
.1397 .05307 L
.1397 .05242 L
.13971 .05177 L
.13971 .05116 L
.13971 .05056 L
.13971 .05001 L
.13971 .04942 L
.13971 .04876 L
.13971 .04808 L
.1397 .04745 L
.1397 .04628 L
.13969 .04522 L
.13967 .04283 L
.13963 .04032 L
.13958 .03766 L
.13946 .03287 L
.13928 .02771 L
.13904 .022 L
.13845 .0118 L
.1376 .00072 L
Mfstroke
.1376 .00072 m
.13753 0 L
s
.1 .46667 m
.09976 .46036 L
.09957 .45342 L
.0995 .44992 L
.09947 .448 L
.09944 .44617 L
.09942 .44448 L
.09941 .44263 L
.0994 .44182 L
.0994 .44096 L
.0994 .44022 L
.09939 .43941 L
.09939 .43892 L
.09939 .43846 L
.09939 .43796 L
.09939 .43742 L
.09939 .43691 L
.09939 .43643 L
.09939 .43553 L
.0994 .43465 L
.0994 .43383 L
.0994 .43293 L
.09941 .43199 L
.09943 .43002 L
.09945 .42818 L
.09951 .424 L
.09958 .42036 L
.09966 .41704 L
.09989 .40958 L
.10047 .39611 L
.10133 .38152 L
.10362 .35317 L
.10645 .32639 L
.10958 .30122 L
.11323 .27512 L
.11689 .25072 L
.1208 .22556 L
.12446 .20205 L
.12777 .18007 L
.13098 .1573 L
.13367 .13589 L
.13602 .11359 L
.13697 .10255 L
.13771 .09244 L
.13832 .08201 L
.13875 .07229 L
.13891 .06756 L
.13904 .06249 L
.13909 .0596 L
.13913 .05686 L
Mistroke
.13915 .05567 L
.13916 .05441 L
.13916 .05367 L
.13917 .05301 L
.13917 .05235 L
.13918 .05172 L
.13918 .05114 L
.13918 .05051 L
.13918 .05015 L
.13918 .04981 L
.13918 .04917 L
.13918 .0485 L
.13918 .04788 L
.13918 .0472 L
.13917 .04648 L
.13917 .04529 L
.13916 .04418 L
.13913 .04165 L
.13909 .03891 L
.13904 .0364 L
.13888 .03074 L
.1387 .02558 L
.13848 .02076 L
.13783 .0098 L
Mfstroke
.13783 .0098 m
.13706 0 L
s
.1 .48333 m
.0996 .47703 L
.09923 .47009 L
.09892 .46283 L
.0987 .45604 L
.09861 .45214 L
.09854 .44846 L
.0985 .44514 L
.09848 .44327 L
.09847 .44154 L
.09846 .44065 L
.09846 .44016 L
.09846 .43969 L
.09846 .43878 L
.09846 .43796 L
.09846 .43748 L
.09846 .43697 L
.09846 .43606 L
.09846 .43551 L
.09846 .43498 L
.09846 .434 L
.09847 .43303 L
.09847 .432 L
.09849 .43016 L
.09851 .42818 L
.09854 .426 L
.0986 .42226 L
.09868 .41872 L
.09887 .41208 L
.09912 .40494 L
.09947 .39719 L
.10027 .38318 L
.10134 .36838 L
.10374 .34213 L
.10685 .31473 L
.11022 .28902 L
.11406 .26245 L
.11786 .23762 L
.12146 .21444 L
.12514 .19049 L
.12841 .16807 L
.1315 .14485 L
.13401 .12298 L
.13593 .1023 L
.13669 .09193 L
.13735 .08058 L
.1376 .0754 L
.13781 .06984 L
.13797 .06459 L
.13808 .0598 L
Mistroke
.13812 .05729 L
.13814 .0559 L
.13816 .05461 L
.13817 .05339 L
.13818 .05208 L
.13818 .0515 L
.13819 .05088 L
.13819 .05032 L
.13819 .04979 L
.13819 .0491 L
.13819 .04848 L
.13819 .04782 L
.13819 .04744 L
.13819 .04709 L
.13819 .04651 L
.13819 .04587 L
.13818 .0452 L
.13818 .04457 L
.13817 .04314 L
.13816 .04182 L
.13812 .03885 L
.13807 .03634 L
.13801 .03366 L
.13787 .02883 L
.13765 .02306 L
.13741 .01782 L
.13678 .00754 L
Mfstroke
.13678 .00754 m
.13617 0 L
s
.1 .5 m
.09886 .48676 L
.09796 .47267 L
.09762 .46522 L
.09738 .45826 L
.09727 .45425 L
.09719 .4506 L
.09715 .44858 L
.09712 .44639 L
.0971 .44431 L
.09708 .4424 L
.09708 .4415 L
.09707 .44064 L
.09707 .43987 L
.09707 .43904 L
.09706 .43813 L
.09706 .43762 L
.09706 .43716 L
.09706 .43626 L
.09706 .43542 L
.09707 .43462 L
.09707 .43378 L
.09707 .43306 L
.09708 .43227 L
.09709 .43052 L
.09711 .42888 L
.09715 .42511 L
.09721 .42168 L
.0974 .41398 L
.09764 .40683 L
.09792 .40022 L
.09871 .38532 L
.10082 .3574 L
.10346 .33103 L
.10676 .30356 L
.11027 .27782 L
.1142 .25123 L
.11801 .2264 L
.12159 .20322 L
.12519 .17925 L
.12833 .1568 L
.13124 .13351 L
.13353 .11154 L
.1352 .09071 L
.13583 .08003 L
.13609 .0746 L
.13632 .06877 L
.13649 .06331 L
.13661 .05832 L
.13665 .05592 L
Mistroke
.13667 .05465 L
.13668 .05331 L
.13669 .05201 L
.1367 .05084 L
.13671 .05027 L
.13671 .04966 L
.13671 .04908 L
.13672 .04854 L
.13672 .04788 L
.13672 .04727 L
.13672 .04662 L
.13672 .04625 L
.13672 .04591 L
.13672 .04534 L
.13672 .04472 L
.13671 .04407 L
.13671 .04345 L
.1367 .04205 L
.13669 .04076 L
.13666 .03787 L
.13661 .03524 L
.13655 .03237 L
.13639 .02657 L
.13617 .02103 L
.13594 .01599 L
.13523 .00462 L
Mfstroke
.13523 .00462 m
.13486 0 L
s
.1 .51667 m
.09847 .50343 L
.09718 .48929 L
.09621 .47479 L
.0958 .46651 L
.09566 .4628 L
.09552 .45877 L
.09541 .45478 L
.09533 .4511 L
.09527 .44757 L
.09524 .44577 L
.09522 .44383 L
.0952 .44208 L
.09519 .44048 L
.09519 .43972 L
.09519 .43888 L
.09519 .43809 L
.09519 .43735 L
.09518 .43642 L
.09519 .43554 L
.09519 .43475 L
.09519 .43389 L
.09519 .43296 L
.0952 .43197 L
.09521 .43021 L
.09523 .42834 L
.09525 .42657 L
.0953 .42325 L
.09537 .41968 L
.09546 .4158 L
.09567 .40882 L
.09592 .40237 L
.0966 .38874 L
.09756 .37378 L
.10003 .34493 L
.10299 .31771 L
.1066 .28949 L
.11034 .26307 L
.11404 .2384 L
.11795 .21292 L
.12155 .18912 L
.12509 .16454 L
.12811 .14147 L
.13057 .11976 L
.13162 .10891 L
.13262 .09707 L
.13341 .08576 L
.13397 .07548 L
.1342 .07041 L
.1344 .06489 L
Mistroke
.13449 .06186 L
.13456 .05906 L
.13462 .05617 L
.13467 .05353 L
.1347 .05076 L
.13472 .0493 L
.13472 .04856 L
.13473 .04777 L
.13473 .04707 L
.13474 .04643 L
.13474 .04579 L
.13474 .04518 L
.13474 .04447 L
.13474 .04382 L
.13474 .0431 L
.13474 .04274 L
.13474 .04234 L
.13473 .0417 L
.13473 .04103 L
.13472 .03983 L
.13471 .03853 L
.1347 .03711 L
.13466 .03457 L
.13462 .0322 L
.13448 .02644 L
.1343 .021 L
.13381 .01078 L
Mfstroke
.13381 .01078 m
.13311 0 L
s
.1 .53333 m
.09805 .5201 L
.09634 .5059 L
.09496 .4913 L
.09433 .48284 L
.09385 .47511 L
.09351 .46816 L
.09321 .46059 L
.09308 .45642 L
.09299 .45257 L
.09291 .44889 L
.09288 .44688 L
.09286 .44498 L
.09284 .44322 L
.09283 .44229 L
.09282 .4413 L
.09282 .44039 L
.09281 .43956 L
.09281 .43872 L
.09281 .43794 L
.09281 .43702 L
.09281 .43604 L
.09281 .43521 L
.09281 .4343 L
.09281 .43332 L
.09281 .43277 L
.09282 .43226 L
.09283 .43036 L
.09284 .42861 L
.09286 .42699 L
.09291 .42333 L
.09297 .4201 L
.09305 .41666 L
.09325 .40966 L
.09353 .40211 L
.09419 .3885 L
.09513 .37365 L
.09634 .35813 L
.09902 .33048 L
.10241 .30172 L
.10603 .27476 L
.11008 .24695 L
.114 .22098 L
.11768 .19673 L
.12133 .17169 L
.12451 .14822 L
.12714 .12617 L
.12942 .10314 L
.13026 .09265 L
.13102 .08129 L
Mistroke
.13135 .07514 L
.13162 .06946 L
.13183 .06407 L
.13201 .05826 L
.13208 .05519 L
.13214 .05237 L
.13218 .04967 L
.1322 .04829 L
.13221 .04682 L
.13222 .04548 L
.13223 .04426 L
.13223 .04368 L
.13223 .04304 L
.13224 .04243 L
.13224 .04188 L
.13224 .04123 L
.13224 .04063 L
.13224 .03996 L
.13223 .03925 L
.13223 .03854 L
.13223 .03779 L
.13222 .03646 L
.13221 .03502 L
.13219 .03366 L
.13215 .03112 L
.1321 .02839 L
.13203 .02542 L
.13187 .02007 L
.13168 .01513 L
.13113 .00454 L
Mfstroke
.13113 .00454 m
.13081 0 L
s
.1 .55 m
.09761 .53676 L
.09545 .52251 L
.09351 .50654 L
.09208 .49142 L
.09111 .47758 L
.0907 .46978 L
.0904 .46266 L
.09027 .45898 L
.09016 .45507 L
.09008 .45169 L
.09001 .44804 L
.08998 .446 L
.08996 .44414 L
.08994 .44226 L
.08993 .44047 L
.08992 .43947 L
.08992 .43892 L
.08992 .43841 L
.08991 .4374 L
.08991 .43648 L
.08991 .43595 L
.08991 .43539 L
.08991 .43439 L
.08992 .43383 L
.08992 .43331 L
.08992 .43213 L
.08993 .43116 L
.08993 .43013 L
.08995 .42829 L
.08997 .4263 L
.09 .42411 L
.09006 .4202 L
.09014 .41652 L
.09033 .40968 L
.09059 .40232 L
.09132 .38703 L
.09235 .37102 L
.09476 .34244 L
.09798 .31265 L
.10151 .28468 L
.10555 .25581 L
.10954 .22884 L
.11332 .20368 L
.11714 .1777 L
.12049 .15338 L
.12331 .13056 L
.1258 .10676 L
.1276 .08423 L
.12831 .07204 L
Mistroke
.12857 .06645 L
.1288 .06052 L
.12898 .05456 L
.1291 .04916 L
.12914 .04656 L
.12916 .04519 L
.12917 .04374 L
.12918 .04247 L
.12919 .0418 L
.12919 .04108 L
.1292 .04042 L
.1292 .03982 L
.1292 .03921 L
.1292 .03864 L
.1292 .03798 L
.1292 .03728 L
.1292 .03661 L
.1292 .036 L
.1292 .03533 L
.12919 .03459 L
.12919 .0331 L
.12917 .03162 L
.12916 .03005 L
.12912 .02721 L
.12906 .02436 L
.129 .02167 L
.12885 .01663 L
.12864 .01101 L
.12835 .00505 L
Mfstroke
.12835 .00505 m
.12804 0 L
s
.1 .56667 m
.09715 .55343 L
.09452 .53912 L
.09207 .52301 L
.0902 .5077 L
.08885 .49365 L
.08776 .47844 L
.08733 .47049 L
.08697 .46182 L
.08684 .45783 L
.08672 .4536 L
.08664 .44964 L
.08658 .446 L
.08655 .44419 L
.08653 .44221 L
.08652 .44033 L
.08651 .4395 L
.08651 .43859 L
.08651 .43805 L
.0865 .43755 L
.0865 .43657 L
.0865 .43568 L
.0865 .43473 L
.0865 .43372 L
.0865 .43277 L
.08651 .43173 L
.08651 .43061 L
.08652 .42876 L
.08654 .42674 L
.08659 .42307 L
.08665 .41949 L
.08672 .41619 L
.08692 .4086 L
.08717 .40149 L
.08795 .38532 L
.08895 .36958 L
.09006 .35525 L
.09297 .32499 L
.09629 .29654 L
.10019 .26707 L
.10413 .23954 L
.10832 .21119 L
.11221 .18472 L
.11568 .15997 L
.11894 .13433 L
.12158 .1102 L
.12355 .0874 L
.12433 .07581 L
.12497 .06341 L
.1252 .05742 L
Mistroke
.12531 .05425 L
.1254 .05089 L
.12548 .04766 L
.12553 .04473 L
.12558 .04179 L
.1256 .04035 L
.12561 .03902 L
.12562 .03768 L
.12562 .037 L
.12563 .03626 L
.12563 .03584 L
.12563 .03545 L
.12563 .03468 L
.12563 .03398 L
.12563 .03323 L
.12563 .03251 L
.12563 .03174 L
.12563 .031 L
.12562 .03033 L
.12562 .02877 L
.1256 .02713 L
.12557 .02442 L
.12553 .0219 L
.1254 .01618 L
.12531 .01317 L
.1252 .00991 L
.12496 .00399 L
Mfstroke
.12496 .00399 m
.12474 0 L
s
.1 .58333 m
.09353 .55571 L
.09077 .54074 L
.08822 .52395 L
.08627 .50784 L
.08486 .49296 L
.08377 .47732 L
.08332 .46866 L
.083 .46044 L
.08277 .45259 L
.08269 .44862 L
.08265 .44634 L
.08263 .44425 L
.08261 .44246 L
.08259 .44052 L
.08258 .43945 L
.08258 .43846 L
.08257 .43751 L
.08257 .4365 L
.08257 .43556 L
.08257 .43454 L
.08257 .43358 L
.08257 .4327 L
.08257 .4319 L
.08257 .43102 L
.08258 .4301 L
.08258 .42924 L
.0826 .42713 L
.08262 .42517 L
.08268 .42074 L
.08275 .41683 L
.08285 .41268 L
.08306 .40551 L
.08336 .3976 L
.08413 .38194 L
.08523 .36516 L
.08806 .33249 L
.09144 .30173 L
.0951 .2729 L
.09924 .2431 L
.10328 .2153 L
.10744 .18666 L
.11117 .1599 L
.11437 .13484 L
.11724 .10879 L
.11843 .09602 L
.11938 .08417 L
.12019 .07215 L
.12078 .06079 L
.12103 .05483 L
Mistroke
.12124 .04835 L
.12132 .04549 L
.12139 .04245 L
.12144 .0398 L
.12148 .03699 L
.1215 .03542 L
.12151 .0337 L
.12152 .03294 L
.12152 .03213 L
.12153 .03138 L
.12153 .03068 L
.12153 .03025 L
.12153 .0298 L
.12153 .02934 L
.12153 .02884 L
.12153 .02841 L
.12153 .02794 L
.12153 .0275 L
.12153 .0271 L
.12153 .02634 L
.12153 .02591 L
.12152 .02552 L
.12152 .02471 L
.12151 .02385 L
.1215 .02223 L
.12149 .02071 L
.12145 .01786 L
.12138 .01452 L
.12131 .01145 L
.12113 .00547 L
Mfstroke
.12113 .00547 m
.12091 0 L
s
.1 .6 m
.0925 .5723 L
.08922 .5572 L
.08613 .54018 L
.08369 .52378 L
.08187 .50857 L
.08038 .49255 L
.07972 .48355 L
.07921 .4752 L
.07884 .4676 L
.07852 .4592 L
.07839 .45483 L
.07829 .45072 L
.07821 .44639 L
.07818 .44395 L
.07816 .44172 L
.07814 .43962 L
.07813 .43862 L
.07813 .43771 L
.07812 .43665 L
.07812 .43609 L
.07812 .4355 L
.07812 .43451 L
.07812 .43342 L
.07812 .43242 L
.07812 .4315 L
.07812 .43044 L
.07813 .42944 L
.07814 .42766 L
.07815 .42572 L
.07818 .42362 L
.07821 .42131 L
.07829 .41664 L
.07838 .4123 L
.07849 .40824 L
.07877 .39996 L
.07913 .39126 L
.07997 .37576 L
.08233 .34417 L
.08563 .31121 L
.08933 .28027 L
.09359 .24833 L
.09782 .21853 L
.1018 .19074 L
.10579 .16206 L
.10924 .13522 L
.11207 .11001 L
.1134 .0962 L
.11445 .08369 L
.11536 .0707 L
Mistroke
.11603 .05871 L
.11631 .05233 L
.11652 .04655 L
.1167 .04014 L
.11678 .03663 L
.11684 .03332 L
.11687 .03034 L
.11689 .02865 L
.1169 .02708 L
.1169 .02622 L
.11691 .02541 L
.11691 .02469 L
.11691 .0239 L
.11691 .02349 L
.11691 .02304 L
.11691 .02257 L
.11691 .02213 L
.11691 .02134 L
.11691 .02089 L
.11691 .02049 L
.1169 .0198 L
.1169 .01906 L
.11689 .01774 L
.11688 .01616 L
.11686 .01473 L
.11682 .01162 L
.11676 .00868 L
.1166 .00243 L
Mfstroke
.1166 .00243 m
.11651 0 L
s
.1 .61667 m
.09141 .58889 L
.08759 .57363 L
.08393 .55637 L
.07873 .52411 L
.0768 .50768 L
.07522 .48982 L
.07461 .48102 L
.07408 .47142 L
.07369 .46232 L
.07343 .45388 L
.07334 .44981 L
.07329 .44756 L
.07326 .44543 L
.07323 .44345 L
.07321 .44129 L
.07319 .43932 L
.07318 .43749 L
.07317 .43636 L
.07317 .43572 L
.07317 .43513 L
.07317 .43405 L
.07317 .4329 L
.07317 .43188 L
.07317 .43092 L
.07317 .42987 L
.07318 .42874 L
.07318 .42754 L
.07319 .42623 L
.07321 .42386 L
.07324 .42154 L
.07327 .4194 L
.07334 .41534 L
.07344 .41096 L
.07366 .40304 L
.07402 .39364 L
.07441 .38504 L
.07667 .35072 L
.07965 .3183 L
.08346 .28462 L
.08752 .25311 L
.092 .22065 L
.09627 .19039 L
.10015 .16215 L
.10387 .13295 L
.10692 .10554 L
.10923 .0797 L
.11016 .06659 L
.11093 .05257 L
.11122 .0458 L
Mistroke
.11147 .03843 L
.11156 .03506 L
.11164 .03147 L
.1117 .02809 L
.11174 .02503 L
.11176 .02347 L
.11177 .02177 L
.11178 .02091 L
.11178 .01999 L
.11179 .01912 L
.11179 .01833 L
.11179 .01754 L
.11179 .01681 L
.11179 .01601 L
.11179 .01516 L
.11178 .01443 L
.11178 .01374 L
.11177 .01217 L
.11177 .01135 L
.11176 .01046 L
.11174 .00867 L
.1117 .00547 L
.11163 .00173 L
Mfstroke
.11163 .00173 m
.11159 0 L
s
.1 .63333 m
.09028 .60546 L
.08162 .57253 L
.07817 .55569 L
.07541 .53958 L
.07304 .5227 L
.07122 .50646 L
.07041 .49777 L
.06966 .48826 L
.06866 .47152 L
.06829 .46296 L
.06799 .4535 L
.06789 .44873 L
.06784 .44609 L
.0678 .44359 L
.06778 .44127 L
.06776 .44004 L
.06775 .43874 L
.06774 .43753 L
.06774 .43643 L
.06773 .43533 L
.06773 .43429 L
.06773 .43323 L
.06773 .43209 L
.06773 .43102 L
.06773 .43003 L
.06773 .42888 L
.06774 .42824 L
.06774 .42763 L
.06775 .42536 L
.06777 .42318 L
.0678 .42078 L
.06787 .41592 L
.06795 .41173 L
.06806 .40721 L
.06832 .39903 L
.06911 .38077 L
.07027 .36167 L
.07305 .32759 L
.07677 .29212 L
.08084 .25891 L
.08541 .2247 L
.08982 .19281 L
.09387 .16307 L
.09778 .13236 L
.10099 .10355 L
.10345 .07641 L
.10443 .06264 L
.10526 .04794 L
.10557 .04083 L
Mistroke
.10584 .0331 L
.10593 .02957 L
.10602 .02581 L
.10608 .02252 L
.10613 .01905 L
.10615 .01726 L
.10616 .01631 L
.10617 .01529 L
.10617 .01436 L
.10618 .0135 L
.10618 .01265 L
.10618 .01184 L
.10618 .01139 L
.10619 .0109 L
.10619 .01038 L
.10619 .0099 L
.10618 .00903 L
.10618 .00855 L
.10618 .0081 L
.10618 .00716 L
.10618 .00613 L
.10617 .00505 L
.10616 .00405 L
.10614 .0022 L
.10612 .00046 L
Mfstroke
.10612 .00046 m
.10612 0 L
s
.1 .65 m
.0891 .62204 L
.0792 .58866 L
.07519 .57147 L
.07194 .55496 L
.06909 .53761 L
.06685 .52085 L
.06487 .50202 L
.06351 .48463 L
.06297 .47549 L
.06251 .46575 L
.06221 .4574 L
.06208 .45265 L
.06199 .44819 L
.06191 .44345 L
.06187 .44076 L
.06186 .43948 L
.06185 .43827 L
.06184 .43712 L
.06184 .43587 L
.06183 .43474 L
.06183 .4337 L
.06182 .43257 L
.06182 .43133 L
.06182 .43071 L
.06182 .43004 L
.06183 .42883 L
.06183 .42764 L
.06184 .42655 L
.06184 .42534 L
.06185 .42407 L
.06187 .42192 L
.0619 .41955 L
.06196 .41519 L
.06204 .4111 L
.06228 .40169 L
.06263 .39181 L
.06347 .37419 L
.06465 .35552 L
.06598 .33828 L
.06941 .30222 L
.07371 .2649 L
.0782 .23005 L
.08259 .19758 L
.08709 .16413 L
.09105 .13289 L
.09435 .10365 L
.09716 .07318 L
.09817 .05933 L
.09905 .04433 L
Mistroke
.09942 .03622 L
.0997 .02871 L
.0999 .02155 L
.09999 .01755 L
.10005 .01393 L
.10009 .01033 L
.10011 .00852 L
.10011 .00749 L
.10012 .00654 L
.10012 .00567 L
.10012 .00484 L
.10013 .00397 L
.10013 .00303 L
.10013 .0022 L
.10013 .00132 L
.10012 .00057 L
Mfstroke
.10012 .00057 m
.10012 0 L
s
.1 .66667 m
.08786 .6386 L
.07668 .60475 L
.0683 .57027 L
.06226 .53509 L
.05993 .51638 L
.058 .49601 L
.05726 .48597 L
.05661 .47499 L
.05613 .46458 L
.05581 .45493 L
.0557 .45027 L
.0556 .44526 L
.05557 .44283 L
.05554 .44052 L
.05552 .43844 L
.0555 .43617 L
.05549 .43477 L
.05549 .43345 L
.05548 .43226 L
.05548 .43098 L
.05548 .43031 L
.05548 .42958 L
.05548 .42881 L
.05548 .42809 L
.05549 .42681 L
.05549 .42609 L
.05549 .42544 L
.05551 .42299 L
.05553 .42032 L
.05556 .4178 L
.05559 .41547 L
.05568 .41082 L
.05579 .40581 L
.05605 .39674 L
.05646 .38598 L
.05692 .37615 L
.05954 .33694 L
.06297 .29997 L
.0673 .26166 L
.07182 .2259 L
.07669 .18913 L
.08119 .15487 L
.08511 .12289 L
.08866 .08976 L
.09012 .07357 L
.09128 .05855 L
.09224 .04333 L
.09294 .02896 L
.09321 .02142 L
Mistroke
.09333 .01744 L
.09343 .01321 L
.09351 .00929 L
.09357 .00575 L
.09359 .00404 L
.09361 .00219 L
.09362 .00044 L
Mfstroke
.09362 .00044 m
.09362 0 L
s
.1 .68333 m
.08658 .65516 L
.07404 .62081 L
.0645 .58548 L
.05747 .54916 L
.05468 .52975 L
.05232 .50855 L
.05139 .49807 L
.05054 .48661 L
.04995 .47664 L
.04943 .46561 L
.04924 .46044 L
.04907 .45487 L
.04895 .45005 L
.04885 .44478 L
.0488 .4417 L
.04877 .43884 L
.04875 .43611 L
.04874 .43459 L
.04873 .4332 L
.04873 .43184 L
.04872 .43058 L
.04872 .4292 L
.04872 .4285 L
.04872 .42774 L
.04873 .42646 L
.04873 .42508 L
.04874 .42378 L
.04875 .4226 L
.04877 .42019 L
.04879 .41752 L
.04887 .41213 L
.04897 .40714 L
.04908 .40246 L
.0494 .39193 L
.04986 .38061 L
.05099 .35963 L
.05252 .33773 L
.05601 .29879 L
.06045 .25843 L
.06511 .22078 L
.07014 .18209 L
.07476 .14605 L
.07875 .11241 L
.0823 .07756 L
.08373 .06051 L
.08484 .04469 L
.08568 .02962 L
.08605 .02124 L
.08633 .01349 L
Mistroke
.08655 .00519 L
.08664 .00081 L
Mfstroke
.08664 .00081 m
.08665 0 L
s
.1 .7 m
.08524 .67171 L
.0713 .63684 L
.06053 .60061 L
.05246 .56307 L
.04921 .5429 L
.04639 .52081 L
.04526 .50986 L
.04421 .49787 L
.04345 .48744 L
.04277 .47588 L
.04226 .4646 L
.04192 .454 L
.04178 .44814 L
.04169 .44277 L
.04165 .43981 L
.04163 .43824 L
.04162 .43657 L
.0416 .43496 L
.0416 .43351 L
.04159 .43205 L
.04158 .43067 L
.04158 .42938 L
.04158 .42799 L
.04158 .42669 L
.04159 .4255 L
.04159 .4241 L
.0416 .42258 L
.04162 .41982 L
.04165 .41693 L
.04168 .41386 L
.04177 .40835 L
.042 .3986 L
.04235 .38785 L
.04333 .36646 L
.04475 .34357 L
.0485 .29914 L
.05294 .25748 L
.05763 .21862 L
.06271 .17862 L
.06739 .14139 L
.07184 .10305 L
.07535 .0671 L
.07665 .05089 L
.07782 .0332 L
.07869 .01587 L
.07904 .00642 L
s
.07904 .00642 m
.07922 0 L
s
.1 .71667 m
.08386 .68825 L
.06845 .65283 L
.0564 .61565 L
.04725 .5768 L
.0435 .55583 L
.04021 .53277 L
.03761 .50877 L
.03667 .49761 L
.03584 .48569 L
.03522 .4747 L
.03495 .46885 L
.0347 .46254 L
.03451 .45674 L
.03437 .45143 L
.03426 .44609 L
.03418 .441 L
.03414 .43797 L
.03413 .43648 L
.03412 .43512 L
.03411 .43389 L
.0341 .43255 L
.03409 .4312 L
.03409 .42977 L
.03409 .42897 L
.03409 .42821 L
.03409 .42678 L
.03409 .42525 L
.03409 .42438 L
.03409 .42358 L
.0341 .42225 L
.03411 .42077 L
.03413 .41779 L
.03416 .415 L
.03419 .41244 L
.03429 .40668 L
.03439 .40159 L
.03453 .39624 L
.03489 .38508 L
.03539 .37318 L
.03655 .35184 L
.04021 .30431 L
.04473 .25971 L
.04959 .21811 L
.0549 .17533 L
.0598 .13554 L
.06403 .09844 L
.06774 .05998 L
.0691 .04256 L
.07031 .02373 L
Mistroke
.07084 .01357 L
.07123 .00417 L
Mfstroke
.07123 .00417 m
.07137 0 L
s
.1 .73333 m
.08242 .70479 L
.06548 .66878 L
.05211 .63059 L
.04182 .59035 L
.03756 .56851 L
.03378 .54443 L
.03075 .51929 L
.02964 .50757 L
.02864 .49505 L
.02788 .48349 L
.02722 .47068 L
.02699 .46505 L
.02678 .45898 L
.02662 .45366 L
.02649 .44798 L
.02642 .44459 L
.02637 .44151 L
.02633 .43838 L
.0263 .4355 L
.02629 .43386 L
.02628 .43212 L
.02627 .43038 L
.02627 .42939 L
.02627 .42847 L
.02627 .42761 L
.02627 .4268 L
.02627 .42527 L
.02627 .42442 L
.02627 .42363 L
.02627 .42277 L
.02628 .42185 L
.02628 .42032 L
.02629 .41891 L
.02632 .41575 L
.02635 .41296 L
.02639 .41002 L
.02649 .40379 L
.02665 .39698 L
.02704 .38428 L
.0275 .37277 L
.02887 .34707 L
.0305 .32375 L
.03259 .29875 L
.03744 .25061 L
.04264 .20575 L
.04773 .16405 L
.05286 .12113 L
.05719 .0811 L
.05908 .06115 L
Mistroke
.06083 .03965 L
.06221 .01903 L
.06314 .00048 L
Mfstroke
.06314 .00048 m
.06316 0 L
s
.1 .75 m
.08093 .72132 L
.06241 .68469 L
.04764 .64544 L
.03618 .60372 L
.03139 .58095 L
.0271 .55577 L
.02364 .5294 L
.02234 .51709 L
.02117 .50392 L
.02027 .49175 L
.01947 .47825 L
.01892 .46591 L
.01853 .45431 L
.01838 .44784 L
.01831 .44442 L
.01826 .44077 L
.01821 .43726 L
.01818 .43408 L
.01817 .43254 L
.01816 .43088 L
.01816 .42931 L
.01815 .42787 L
.01815 .42646 L
.01815 .42496 L
.01815 .42354 L
.01816 .42225 L
.01816 .42073 L
.01817 .41908 L
.01819 .41608 L
.01822 .41294 L
.01826 .40961 L
.01836 .40362 L
.01849 .39723 L
.01864 .39137 L
.01908 .37819 L
.02019 .35442 L
.02172 .33 L
.02376 .30358 L
.02862 .25287 L
.03392 .20561 L
.03971 .15715 L
.04497 .1121 L
.04937 .07011 L
.05125 .04926 L
.05301 .02659 L
.05432 .00526 L
s
.05432 .00526 m
.05458 0 L
s
.1 .76667 m
.07939 .73785 L
.05922 .70057 L
.04302 .66018 L
.03033 .61688 L
.02499 .59313 L
.02019 .56677 L
.01627 .53909 L
.01479 .52615 L
.01345 .51228 L
.01241 .49946 L
.01147 .48523 L
.0108 .4722 L
.01033 .45995 L
.01013 .45311 L
.01004 .4495 L
.00997 .44564 L
.0099 .44193 L
.00986 .43857 L
.00982 .43519 L
.00981 .43367 L
.00979 .432 L
.00978 .4305 L
.00978 .42888 L
.00977 .42718 L
.00977 .42559 L
.00977 .424 L
.00977 .4225 L
.00977 .42115 L
.00978 .41969 L
.00979 .41809 L
.0098 .41633 L
.00983 .41276 L
.00986 .40946 L
.0099 .40636 L
.01002 .39986 L
.01018 .39276 L
.01062 .37846 L
.01116 .36525 L
.01176 .353 L
.0154 .29999 L
.02059 .24513 L
.02627 .19404 L
.03182 .14661 L
.03734 .09791 L
.04185 .0525 L
.04512 .00989 L
s
.04512 .00989 m
.04566 0 L
s
.1 .78333 m
.0778 .75436 L
.05592 .7164 L
.03822 .67482 L
.02426 .62985 L
.01836 .60504 L
.01303 .57743 L
.00865 .54834 L
.00699 .53472 L
.00548 .52011 L
.00429 .50659 L
.00322 .49157 L
.00244 .47782 L
.00189 .46487 L
.00165 .45764 L
.00144 .44974 L
.00136 .44613 L
.0013 .44227 L
.00124 .43865 L
.00121 .43532 L
.00118 .4318 L
.00116 .42995 L
.00116 .42901 L
.00116 .428 L
.00115 .42629 L
.00115 .42471 L
.00115 .42282 L
.00115 .42109 L
.00115 .41944 L
.00116 .41792 L
.00117 .41624 L
.00118 .41447 L
.00121 .41148 L
.00124 .40819 L
.00135 .40099 L
.00151 .39341 L
.00189 .37988 L
.00244 .36535 L
.0032 .3495 L
.00493 .32119 L
.00722 .29129 L
.01273 .2334 L
.01867 .17955 L
.02441 .12961 L
.02998 .07833 L
.03438 .03047 L
.0361 .00686 L
s
.0361 .00686 m
.0365 0 L
s
.1 .8 m
.07616 .77087 L
.05251 .7322 L
.03326 .68935 L
.01799 .64259 L
.0115 .61667 L
.00563 .58771 L
.00079 .55714 L
s
.00079 .55714 m
0 .55049 L
s
0 .27055 m
.00359 .23178 L
.00999 .17251 L
.01617 .11756 L
.02155 .06655 L
.02391 .0413 L
.02615 .01392 L
s
.02615 .01392 m
.02707 0 L
s
.1 .81667 m
.07447 .78737 L
.04899 .74795 L
.02813 .70376 L
.01151 .65512 L
.00443 .628 L
s
.00443 .628 m
0 .60708 L
s
0 .17602 m
.00183 .15889 L
.0082 .10093 L
.01362 .04713 L
.01594 .02049 L
s
.01594 .02049 m
.01745 0 L
s
.1 .83333 m
.07273 .80387 L
.04535 .76365 L
.02283 .71806 L
.00482 .66741 L
s
.00482 .66741 m
0 .64962 L
s
0 .08432 m
.00019 .08255 L
.0056 .02584 L
s
.0056 .02584 m
.00766 0 L
s
.1 .85 m
.07093 .82035 L
.0416 .77932 L
.01737 .73223 L
s
.01737 .73223 m
0 .68509 L
s
.1 .86667 m
.06908 .83683 L
.03774 .79493 L
.01173 .74628 L
s
.01173 .74628 m
0 .7154 L
s
.1 .88333 m
.06719 .8533 L
.03376 .8105 L
.00593 .76019 L
s
.00593 .76019 m
0 .745 L
s
.1 .9 m
.06524 .86976 L
.04786 .85035 L
.02967 .82602 L
s
.02967 .82602 m
0 .77403 L
s
.1 .91667 m
.08194 .90302 L
.06323 .88621 L
.04327 .86464 L
.02547 .84148 L
s
.02547 .84148 m
0 .79842 L
s
.11667 .08333 m
.11748 .07143 L
.11816 .05894 L
.11843 .0524 L
.11864 .04631 L
.1188 .03964 L
.11887 .03591 L
.11889 .03429 L
.11891 .03251 L
.11893 .03095 L
.11894 .02948 L
.11894 .02867 L
.11894 .02794 L
.11894 .02753 L
.11895 .02708 L
.11895 .02627 L
.11895 .02551 L
.11895 .02483 L
.11895 .02403 L
.11894 .02328 L
.11894 .02259 L
.11894 .02195 L
.11893 .02051 L
.11892 .01895 L
.1189 .01749 L
.11885 .01416 L
.11879 .01093 L
.11871 .00745 L
.1185 .00104 L
s
.1185 .00104 m
.11846 0 L
s
.11667 .1 m
.11768 .08813 L
.11858 .07569 L
.11931 .06315 L
.11963 .05599 L
.11987 .04948 L
.11996 .04649 L
.12004 .04324 L
.1201 .04044 L
.12016 .03735 L
.1202 .03407 L
.12021 .03228 L
.12022 .03142 L
.12022 .0306 L
.12023 .02985 L
.12023 .02904 L
.12023 .02829 L
.12023 .0276 L
.12023 .02678 L
.12023 .02604 L
.12023 .02563 L
.12023 .02518 L
.12023 .02437 L
.12023 .0236 L
.12022 .0229 L
.12021 .02133 L
.1202 .01986 L
.12018 .01848 L
.12013 .01537 L
.12007 .012 L
.11988 .00518 L
s
.11988 .00518 m
.11968 0 L
s
.11667 .11667 m
.11897 .09245 L
.11991 .07999 L
.12074 .06642 L
.12103 .06035 L
.12129 .05386 L
.12148 .04775 L
.12161 .04219 L
.12167 .03923 L
.12169 .03762 L
.12171 .0361 L
.12172 .0347 L
.12173 .03343 L
.12174 .03201 L
.12174 .03123 L
.12174 .03048 L
.12175 .02968 L
.12175 .02896 L
.12175 .02855 L
.12175 .02812 L
.12174 .02733 L
.12174 .02659 L
.12174 .02581 L
.12174 .02514 L
.12173 .0244 L
.12172 .02275 L
.1217 .02097 L
.12165 .01776 L
.12159 .01452 L
.12152 .01152 L
.12131 .00471 L
s
.12131 .00471 m
.12111 0 L
s
.11667 .13333 m
.1193 .10919 L
.12045 .09681 L
.12151 .08334 L
.12231 .07077 L
.12286 .05937 L
.12308 .0533 L
.12325 .04757 L
.12331 .04464 L
.12337 .04153 L
.12339 .0399 L
.12341 .03812 L
.12343 .03649 L
.12344 .03497 L
.12345 .03421 L
.12345 .03342 L
.12345 .03266 L
.12345 .03198 L
.12345 .03156 L
.12345 .03117 L
.12345 .03074 L
.12345 .0303 L
.12345 .02954 L
.12345 .02911 L
.12345 .02871 L
.12345 .02794 L
.12344 .02721 L
.12344 .02584 L
.12342 .02437 L
.12341 .02276 L
.12336 .01995 L
.12331 .01695 L
.12317 .01157 L
.12298 .00589 L
s
.12298 .00589 m
.12272 0 L
s
.11667 .15 m
.11959 .12594 L
.12219 .10025 L
.12319 .08792 L
.12397 .07651 L
.12456 .06556 L
.12482 .05949 L
.12501 .0539 L
.12517 .04784 L
.12523 .04466 L
.12526 .04303 L
.12528 .04128 L
.1253 .03975 L
.12531 .03835 L
.12532 .03767 L
.12532 .03694 L
.12533 .03625 L
.12533 .0356 L
.12533 .03521 L
.12533 .03478 L
.12533 .03403 L
.12533 .03361 L
.12533 .03316 L
.12533 .03278 L
.12533 .03236 L
.12533 .03161 L
.12533 .03119 L
.12533 .0308 L
.12533 .03005 L
.12532 .02935 L
.12531 .02794 L
.1253 .02663 L
.12527 .02362 L
.12522 .02069 L
.12515 .01753 L
.12498 .01181 L
.12479 .00655 L
s
.12479 .00655 m
.12446 0 L
s
.11667 .16667 m
.11983 .14268 L
.12277 .11713 L
.12494 .0936 L
.12579 .08188 L
.12641 .07127 L
.12691 .05986 L
.12711 .05359 L
.12718 .05078 L
.12725 .04768 L
.1273 .04477 L
.12733 .04204 L
.12734 .04053 L
.12735 .03916 L
.12735 .0384 L
.12736 .038 L
.12736 .03757 L
.12736 .03716 L
.12736 .03679 L
.12736 .03606 L
.12736 .03539 L
.12736 .03468 L
.12736 .03407 L
.12736 .03341 L
.12736 .03269 L
.12735 .03192 L
.12734 .03053 L
.12733 .02914 L
.12732 .02781 L
.12728 .02532 L
.12723 .02265 L
.12717 .01969 L
.12699 .0137 L
.12677 .00813 L
.12652 .00289 L
s
.12652 .00289 m
.12634 0 L
s
.11667 .18333 m
.12003 .15941 L
.12326 .13399 L
.12577 .11064 L
.12763 .08856 L
.12836 .07731 L
.12895 .06532 L
.12916 .05949 L
.12925 .05642 L
.12933 .05316 L
.12939 .05032 L
.12945 .04719 L
.12946 .04582 L
.12948 .04434 L
.12949 .04294 L
.1295 .04168 L
.12951 .04093 L
.12951 .04023 L
.12951 .03949 L
.12951 .03907 L
.12951 .03869 L
.12951 .03804 L
.12951 .03734 L
.12951 .0366 L
.12951 .03591 L
.12951 .03552 L
.12951 .0351 L
.1295 .03432 L
.12949 .03287 L
.12948 .03118 L
.12946 .02961 L
.12942 .02697 L
.12936 .02404 L
.1292 .01811 L
.12898 .01231 L
.12874 .00698 L
s
.12874 .00698 m
.12832 0 L
s
.11667 .2 m
.12018 .17614 L
.12365 .15083 L
.12646 .12764 L
.12867 .10578 L
.12967 .09374 L
.13042 .08285 L
.13103 .07159 L
.13124 .06654 L
.13144 .06099 L
.13159 .05557 L
.13165 .0526 L
.1317 .04983 L
.13171 .0485 L
.13173 .04723 L
.13174 .04609 L
.13175 .04486 L
.13175 .04417 L
.13176 .04354 L
.13176 .0429 L
.13176 .04231 L
.13176 .04162 L
.13176 .04126 L
.13176 .04087 L
.13176 .04023 L
.13176 .03952 L
.13176 .03879 L
.13176 .03812 L
.13175 .03738 L
.13175 .03659 L
.13174 .03527 L
.13172 .03381 L
.13169 .03112 L
.13165 .0286 L
.13151 .02295 L
.1313 .01685 L
.13107 .01146 L
.13075 .00553 L
s
.13075 .00553 m
.13038 0 L
s
.11667 .21667 m
.12028 .19286 L
.12394 .16765 L
.12701 .1446 L
.12953 .12292 L
.13166 .10025 L
.13244 .0899 L
.13312 .07873 L
.13342 .07265 L
.13365 .06704 L
.13382 .06169 L
.1339 .05873 L
.13396 .05602 L
.13401 .05356 L
.13404 .05087 L
.13406 .0494 L
.13407 .04803 L
.13408 .04673 L
.13408 .046 L
.13409 .04533 L
.13409 .04471 L
.13409 .04404 L
.13409 .04348 L
.13409 .04286 L
.13409 .04219 L
.13409 .04147 L
.13408 .04079 L
.13408 .04018 L
.13407 .03898 L
.13406 .03768 L
.13403 .03531 L
.13399 .03265 L
.13394 .03016 L
.13379 .02446 L
.13359 .01889 L
.13332 .01287 L
.13264 .00174 L
s
.13264 .00174 m
.13251 0 L
s
.11667 .23333 m
.12034 .20958 L
.12414 .18444 L
.12742 .1615 L
.1302 .13997 L
.13268 .11753 L
.13453 .09629 L
.1353 .08479 L
.13559 .07954 L
.13585 .07397 L
.13605 .06888 L
.13623 .06327 L
.13629 .06082 L
.13635 .05818 L
.13639 .05587 L
.13642 .05341 L
.13644 .05194 L
.13645 .0506 L
.13645 .04996 L
.13646 .04926 L
.13646 .04861 L
.13646 .048 L
.13646 .04766 L
.13646 .04729 L
.13646 .04688 L
.13647 .0465 L
.13647 .04612 L
.13646 .04569 L
.13646 .04529 L
.13646 .04492 L
.13646 .04427 L
.13646 .0439 L
.13646 .04355 L
.13645 .04209 L
.13644 .04078 L
.13643 .03939 L
.13639 .03691 L
.13635 .03424 L
.13628 .03132 L
.13612 .02579 L
.13592 .02075 L
.13532 .00941 L
s
.13532 .00941 m
.13465 0 L
s
.11667 .25 m
.12035 .22629 L
.12425 .20122 L
.12768 .17837 L
.13068 .15695 L
.13347 .13469 L
.13567 .11368 L
.13659 .1031 L
.13742 .09169 L
.13806 .08077 L
.1383 .07558 L
.13848 .07072 L
.13864 .0656 L
.13875 .06092 L
.1388 .05825 L
.13883 .05572 L
.13884 .05433 L
.13885 .05304 L
.13886 .05232 L
.13886 .05163 L
.13886 .05125 L
.13886 .05084 L
.13887 .05047 L
.13887 .05013 L
.13887 .04948 L
.13887 .04888 L
.13887 .04825 L
.13887 .04788 L
.13887 .04755 L
.13886 .047 L
.13886 .04639 L
.13885 .04515 L
.13884 .04379 L
.13883 .04233 L
.13879 .03968 L
.13874 .03687 L
.13867 .03391 L
.13851 .02861 L
.13832 .02357 L
.13805 .01818 L
.13745 .00842 L
s
.13745 .00842 m
.13677 0 L
s
.11667 .26667 m
.12031 .243 L
.12425 .21798 L
.1278 .19518 L
.13098 .17386 L
.13402 .15173 L
.13653 .13091 L
.13868 .10918 L
.13953 .09842 L
.14017 .08854 L
.14066 .07896 L
.14086 .07408 L
.14103 .06884 L
.1411 .06616 L
.14115 .06362 L
.14119 .06114 L
.14123 .05885 L
.14125 .05668 L
.14126 .05547 L
.14126 .05437 L
.14126 .05374 L
.14127 .05316 L
.14127 .05252 L
.14127 .05185 L
.14127 .05127 L
.14127 .05072 L
.14126 .05012 L
.14126 .04948 L
.14126 .04886 L
.14126 .04817 L
.14125 .04677 L
.14123 .04548 L
.14122 .04427 L
.14118 .04154 L
.14112 .03859 L
.14097 .03319 L
.14079 .02823 L
.1403 .01844 L
.13956 .00766 L
s
.13956 .00766 m
.13882 0 L
s
.11667 .28333 m
.12022 .25971 L
.12416 .23471 L
.12778 .21195 L
.13109 .19068 L
.13434 .16865 L
.13712 .14796 L
.13961 .12643 L
.1415 .10606 L
.14217 .09682 L
.14278 .08669 L
.14322 .07674 L
.1434 .0713 L
.14352 .06622 L
.14356 .06373 L
.14358 .06242 L
.1436 .06102 L
.14361 .05968 L
.14362 .05846 L
.14363 .05788 L
.14363 .05724 L
.14363 .05664 L
.14363 .05609 L
.14363 .05555 L
.14364 .05498 L
.14364 .05443 L
.14364 .05394 L
.14363 .05336 L
.14363 .05273 L
.14363 .05213 L
.14363 .05158 L
.14362 .05048 L
.14361 .04927 L
.14358 .04681 L
.14354 .04434 L
.14349 .04175 L
.14337 .03709 L
.14319 .03208 L
.14294 .02658 L
.14236 .01662 L
.14153 .00591 L
s
.14153 .00591 m
.1409 0 L
s
.11667 .3 m
.12009 .27641 L
.12397 .25142 L
.12761 .22867 L
.13101 .20743 L
.13442 .18544 L
.13742 .16484 L
.14022 .14345 L
.14245 .12328 L
.14412 .10416 L
.14479 .09437 L
.14507 .08939 L
.14533 .08404 L
.14554 .07904 L
.14569 .07447 L
.1458 .06988 L
.14585 .06763 L
.14588 .06552 L
.1459 .06433 L
.14591 .06306 L
.14592 .06199 L
.14593 .06082 L
.14593 .06021 L
.14594 .05956 L
.14594 .0592 L
.14594 .05887 L
.14594 .05822 L
.14594 .05763 L
.14594 .05699 L
.14594 .05638 L
.14594 .05582 L
.14594 .05531 L
.14594 .05475 L
.14593 .05375 L
.14592 .05255 L
.14591 .05145 L
.14588 .04919 L
.14584 .04681 L
.14574 .04212 L
.14558 .0371 L
.14517 .02803 L
.14451 .01741 L
.14368 .00731 L
s
.14368 .00731 m
.14289 0 L
s
.11667 .31667 m
.11991 .2931 L
.12367 .26811 L
.12729 .24535 L
.13074 .22409 L
.13427 .20211 L
.13745 .18154 L
.1405 .16024 L
.14304 .14019 L
.14506 .12126 L
.1459 .11178 L
.14669 .10141 L
.14729 .09151 L
.14771 .08248 L
.14787 .07771 L
.148 .07317 L
.14805 .07086 L
.14809 .06839 L
.14811 .06697 L
.14812 .06569 L
.14813 .06449 L
.14814 .06385 L
.14814 .06317 L
.14815 .06254 L
.14815 .06196 L
.14815 .06139 L
.14815 .06084 L
.14815 .06022 L
.14815 .05965 L
.14815 .05903 L
.14815 .05872 L
.14815 .05837 L
.14815 .0578 L
.14815 .05727 L
.14814 .05609 L
.14813 .05504 L
.14812 .05394 L
.14809 .05147 L
.14805 .04917 L
.14792 .04394 L
.14775 .03887 L
.14755 .03406 L
.14704 .02504 L
.14633 .01526 L
.1455 .00616 L
s
.1455 .00616 m
.14478 0 L
s
.11667 .33333 m
.11968 .30979 L
.12328 .28478 L
.12683 .26198 L
.13028 .24068 L
.13388 .21866 L
.13719 .19807 L
.14045 .17679 L
.14325 .1568 L
.14558 .13798 L
.14759 .11832 L
.14839 .10864 L
.14902 .09963 L
.14951 .09103 L
.14989 .08181 L
.15004 .07707 L
.1501 .07456 L
.15015 .07189 L
.15019 .06932 L
.15021 .067 L
.15022 .06588 L
.15022 .06528 L
.15023 .06466 L
.15023 .06411 L
.15023 .06351 L
.15023 .06297 L
.15023 .06246 L
.15023 .06186 L
.15023 .06157 L
.15023 .06123 L
.15023 .06065 L
.15023 .0601 L
.15022 .05946 L
.15022 .05887 L
.15021 .05754 L
.1502 .05646 L
.15019 .05528 L
.15015 .05289 L
.15011 .0507 L
.15005 .04836 L
.14993 .04414 L
.14974 .03929 L
.14949 .03402 L
.1489 .02442 L
.14814 .01487 L
.14713 .00465 L
s
.14713 .00465 m
.14655 0 L
s
.11667 .35 m
.11941 .32647 L
.12279 .30143 L
.12622 .27856 L
.12962 .25718 L
.13325 .23508 L
.13665 .21442 L
.14007 .1931 L
.1431 .17311 L
.14569 .15433 L
.14803 .13476 L
.14984 .11624 L
.15111 .09864 L
.15157 .08966 L
.15177 .08463 L
.15192 .08003 L
.15198 .07784 L
.15203 .0755 L
.15206 .07347 L
.1521 .07128 L
.15211 .06994 L
.15212 .06871 L
.15213 .06752 L
.15213 .06693 L
.15214 .06628 L
.15214 .06568 L
.15214 .06514 L
.15214 .06484 L
.15214 .06452 L
.15214 .06393 L
.15214 .06337 L
.15214 .06279 L
.15213 .06228 L
.15213 .06173 L
.15212 .06065 L
.15212 .05946 L
.15209 .05707 L
.15205 .05486 L
.15201 .0528 L
.15189 .04813 L
.15171 .04313 L
.15122 .03318 L
.15057 .02373 L
.14884 .00544 L
s
.14884 .00544 m
.14813 0 L
s
.11667 .36667 m
.11909 .34315 L
.1222 .31806 L
.12545 .29509 L
.12876 .2736 L
.13237 .25137 L
.13582 .2306 L
.13936 .20917 L
.14256 .1891 L
.14538 .17029 L
.14802 .15074 L
.15015 .13229 L
.15179 .11482 L
.1525 .10519 L
.15303 .09642 L
.15324 .0921 L
.15344 .08739 L
.15358 .08298 L
.15369 .07883 L
.15374 .07658 L
.15378 .07415 L
.15379 .07308 L
.15381 .07194 L
.15382 .07088 L
.15382 .06991 L
.15383 .06937 L
.15383 .06878 L
.15383 .06846 L
.15383 .06816 L
.15383 .06757 L
.15383 .06706 L
.15384 .06651 L
.15383 .06593 L
.15383 .06538 L
.15383 .06509 L
.15383 .06477 L
.15383 .06413 L
.15383 .06354 L
.15382 .06298 L
.15381 .06174 L
.1538 .0604 L
.15377 .05798 L
.15373 .05575 L
.1536 .05069 L
.15345 .04623 L
.15325 .04149 L
.15274 .0325 L
.15212 .02403 L
.15032 .00584 L
s
.15032 .00584 m
.14953 0 L
s
.11667 .38333 m
.11871 .35982 L
.12151 .33466 L
.12454 .31158 L
.12771 .28993 L
.13125 .26753 L
.1347 .24658 L
.13832 .22498 L
.14166 .20478 L
.14466 .18587 L
.14755 .16625 L
.14998 .14779 L
.15193 .13035 L
.15284 .12077 L
.15356 .11206 L
.15418 .10301 L
.15463 .09464 L
.15498 .08614 L
.15511 .08166 L
.15516 .07917 L
.15521 .07688 L
.15524 .07465 L
.15525 .07352 L
.15526 .07229 L
.15527 .07105 L
.15527 .07035 L
.15527 .07002 L
.15528 .06972 L
.15528 .06913 L
.15528 .06882 L
.15528 .06848 L
.15528 .06793 L
.15528 .06761 L
.15528 .06732 L
.15528 .06679 L
.15527 .06621 L
.15527 .06561 L
.15527 .06505 L
.15526 .06405 L
.15525 .06298 L
.15522 .06052 L
.15519 .05829 L
.15508 .05381 L
.15495 .04968 L
.15454 .0403 L
.15401 .03178 L
.15326 .02235 L
.15125 .00363 L
s
.15125 .00363 m
.15074 0 L
s
.11667 .4 m
.1183 .37649 L
.12072 .35124 L
.12348 .32801 L
.12647 .30618 L
.12988 .28355 L
.13329 .26239 L
.13694 .24055 L
.14037 .22014 L
.14352 .20105 L
.14662 .18128 L
.1493 .16271 L
.15154 .14523 L
.15351 .12694 L
.15496 .10958 L
.15555 .10019 L
.15577 .09588 L
.15598 .0913 L
.15614 .08671 L
.15626 .08254 L
.1563 .08054 L
.15635 .07836 L
.15638 .07631 L
.1564 .07442 L
.15641 .07334 L
.15641 .07235 L
.15642 .0718 L
.15642 .0712 L
.15642 .07064 L
.15642 .07012 L
.15642 .06964 L
.15642 .0692 L
.15642 .0687 L
.15642 .06817 L
.15642 .06765 L
.15642 .06709 L
.15641 .0661 L
.1564 .06501 L
.15639 .06384 L
.15636 .06174 L
.15632 .05923 L
.15627 .05695 L
.15615 .05252 L
.156 .04843 L
.15553 .03914 L
.15497 .03071 L
.15417 .02135 L
.15209 .00278 L
s
.15209 .00278 m
.15168 0 L
s
.11667 .41667 m
.11714 .4052 L
.11783 .39316 L
.11982 .3678 L
.12216 .34528 L
.12509 .32181 L
.12822 .29977 L
.13176 .27698 L
.13525 .25566 L
.13861 .23575 L
.14207 .21517 L
.14522 .19592 L
.14801 .17787 L
.15067 .15911 L
.15286 .14142 L
.15475 .12292 L
.15551 .11378 L
.1561 .10534 L
.15655 .09721 L
.15691 .08856 L
.15704 .08405 L
.1571 .08168 L
.15714 .07917 L
.15718 .07698 L
.15719 .07582 L
.1572 .07457 L
.15721 .07398 L
.15721 .07342 L
.15721 .07288 L
.15721 .07238 L
.15722 .0719 L
.15722 .0714 L
.15722 .07089 L
.15722 .07033 L
.15722 .0698 L
.15722 .0693 L
.15722 .06876 L
.15722 .06845 L
.15721 .06818 L
.15721 .06701 L
.1572 .06591 L
.15718 .06396 L
.15715 .06184 L
.15711 .05953 L
.15705 .05707 L
.15692 .05266 L
.15676 .0485 L
.15655 .04401 L
.15606 .03587 L
.15533 .02638 L
Mistroke
.15446 .0173 L
Mfstroke
.15446 .0173 m
.15236 0 L
s
.11667 .43333 m
.1167 .4305 L
.11675 .42786 L
.11689 .42188 L
.11707 .41605 L
.11731 .40982 L
.11801 .39644 L
.11883 .38434 L
.12092 .36052 L
.12342 .338 L
.12649 .31459 L
.12972 .29261 L
.13298 .27205 L
.1365 .25078 L
.13986 .2309 L
.14331 .21038 L
.14642 .19116 L
.14916 .17314 L
.15174 .15439 L
.15383 .1367 L
.1556 .1182 L
.15629 .109 L
.1568 .10058 L
.15719 .09238 L
.15734 .08825 L
.15747 .08373 L
.15752 .08144 L
.15756 .07928 L
.15758 .07733 L
.15761 .07522 L
.15761 .07412 L
.15762 .07349 L
.15762 .07292 L
.15762 .07231 L
.15762 .07199 L
.15762 .07166 L
.15762 .07109 L
.15762 .07077 L
.15762 .07047 L
.15762 .0699 L
.15762 .06936 L
.15762 .06888 L
.15762 .06835 L
.15761 .06717 L
.1576 .06608 L
.15758 .06404 L
.15755 .06184 L
.15746 .05787 L
.15732 .05314 L
.15715 .0488 L
Mistroke
.15672 .0404 L
.15609 .03119 L
.15432 .01285 L
Mfstroke
.15432 .01285 m
.15263 0 L
s
.11667 .45 m
.11665 .44863 L
.11663 .44717 L
.11662 .44591 L
.11661 .44454 L
.11661 .4437 L
.1166 .44293 L
.1166 .44219 L
.1166 .4414 L
.1166 .4407 L
.1166 .44005 L
.1166 .43933 L
.1166 .43855 L
.11661 .43775 L
.11661 .43701 L
.11662 .43532 L
.11663 .43383 L
.11665 .43224 L
.1167 .42921 L
.11675 .42647 L
.11691 .42012 L
.11714 .41326 L
.11772 .40085 L
.11847 .3888 L
.11945 .37615 L
.12161 .35361 L
.12438 .33007 L
.1274 .30795 L
.13086 .28505 L
.13433 .26362 L
.13768 .2436 L
.14118 .22291 L
.1444 .20356 L
.14728 .18545 L
.15006 .16662 L
.15239 .14889 L
.15446 .13039 L
.15531 .12127 L
.15599 .11283 L
.15656 .10421 L
.157 .09611 L
.15718 .09181 L
.15734 .08716 L
.15745 .08294 L
.15753 .07905 L
.15756 .07701 L
.15757 .07589 L
.15758 .07482 L
.15759 .07383 L
.15759 .07331 L
Mistroke
.15759 .07275 L
.15759 .07223 L
.15759 .07177 L
.15759 .0713 L
.15759 .07086 L
.15759 .07033 L
.15759 .06976 L
.15759 .06947 L
.15759 .06916 L
.15759 .0686 L
.15759 .06804 L
.15758 .06751 L
.15758 .06652 L
.15757 .06535 L
.15755 .06427 L
.15752 .06183 L
.15748 .0598 L
.15743 .0576 L
.15731 .05363 L
.15713 .0489 L
.15693 .04455 L
.15642 .03615 L
.15571 .02691 L
.15378 .00852 L
Mfstroke
.15378 .00852 m
.15259 0 L
s
.11667 .46667 m
.11646 .46121 L
.1163 .45523 L
.11623 .4522 L
.11621 .45054 L
.11618 .44896 L
.11617 .44749 L
.11615 .4459 L
.11615 .4452 L
.11614 .44445 L
.11614 .44382 L
.11613 .44312 L
.11613 .44269 L
.11613 .4423 L
.11613 .44152 L
.11613 .44082 L
.11613 .44007 L
.11613 .43964 L
.11613 .43918 L
.11613 .43875 L
.11613 .43835 L
.11614 .43759 L
.11614 .43678 L
.11615 .43532 L
.11616 .43396 L
.1162 .43085 L
.11626 .42744 L
.11632 .42433 L
.11652 .41734 L
.11675 .41128 L
.117 .40569 L
.11771 .39307 L
.11955 .3694 L
.12184 .34701 L
.12472 .32364 L
.1278 .3017 L
.1313 .27899 L
.13476 .25775 L
.1381 .23791 L
.14155 .21739 L
.14471 .1982 L
.1478 .17834 L
.15045 .15968 L
.15264 .14209 L
.15454 .1237 L
.1553 .11465 L
.1559 .10622 L
.15639 .09765 L
.15674 .08954 L
.15687 .08528 L
Mistroke
.15693 .08303 L
.15698 .08064 L
.15702 .07843 L
.15705 .07642 L
.15706 .07545 L
.15707 .0744 L
.15708 .07341 L
.15708 .07251 L
.15708 .07195 L
.15708 .07142 L
.15709 .07095 L
.15709 .07044 L
.15709 .06988 L
.15709 .0696 L
.15709 .06929 L
.15708 .06874 L
.15708 .06822 L
.15708 .06773 L
.15708 .06722 L
.15707 .0663 L
.15706 .0653 L
.15705 .06422 L
.15702 .06194 L
.15698 .05951 L
.15687 .05512 L
.15672 .05058 L
.1565 .04566 L
.15599 .03669 L
.15533 .02777 L
.15445 .01826 L
.15237 .00083 L
Mfstroke
.15237 .00083 m
.15224 0 L
s
.11667 .48333 m
.1163 .47789 L
.11597 .4719 L
.11568 .46555 L
.11547 .45976 L
.11539 .45666 L
.11531 .45328 L
.11528 .45143 L
.11525 .44972 L
.11523 .44797 L
.11521 .44634 L
.1152 .44495 L
.11519 .44423 L
.11519 .44345 L
.11519 .443 L
.11519 .44259 L
.11518 .44178 L
.11518 .44104 L
.11518 .44026 L
.11518 .43982 L
.11518 .43942 L
.11518 .43898 L
.11518 .43852 L
.11519 .43773 L
.11519 .43687 L
.1152 .43529 L
.11521 .4338 L
.11525 .43072 L
.11531 .42735 L
.11545 .42125 L
.11563 .4153 L
.11585 .40981 L
.11642 .39834 L
.11724 .38574 L
.11932 .36142 L
.12183 .33842 L
.12493 .3145 L
.1282 .29206 L
.1315 .27106 L
.13508 .24935 L
.13848 .22906 L
.14197 .20812 L
.14511 .18852 L
.14786 .17013 L
.15044 .15101 L
.15252 .13296 L
.1541 .11586 L
.15479 .10643 L
.1553 .09785 L
.1555 .09361 L
Mistroke
.15569 .089 L
.15583 .08468 L
.15593 .08062 L
.15598 .07841 L
.15601 .07603 L
.15603 .07498 L
.15604 .07387 L
.15605 .07283 L
.15605 .07188 L
.15606 .07131 L
.15606 .07077 L
.15606 .0702 L
.15606 .06988 L
.15606 .06958 L
.15606 .06909 L
.15606 .06854 L
.15606 .06797 L
.15606 .06744 L
.15606 .06715 L
.15606 .06684 L
.15605 .06622 L
.15605 .06509 L
.15604 .06378 L
.15602 .06257 L
.15599 .06032 L
.15594 .05788 L
.15583 .05345 L
.15568 .04913 L
.15551 .04514 L
.15505 .0367 L
.15438 .02736 L
.15254 .00885 L
Mfstroke
.15254 .00885 m
.15135 0 L
s
.11667 .5 m
.11561 .48857 L
.11476 .4764 L
.11442 .46997 L
.11416 .46395 L
.11395 .45734 L
.11386 .45363 L
.1138 .45024 L
.11376 .44723 L
.11375 .44571 L
.11374 .44483 L
.11373 .44403 L
.11373 .44335 L
.11373 .4426 L
.11372 .44181 L
.11372 .44107 L
.11372 .44037 L
.11372 .43962 L
.11372 .43892 L
.11372 .43829 L
.11373 .43747 L
.11373 .43661 L
.11374 .43507 L
.11375 .43342 L
.11377 .4316 L
.11382 .42834 L
.11388 .42529 L
.11405 .41876 L
.11426 .41258 L
.11479 .40102 L
.11553 .38866 L
.11638 .3773 L
.11861 .35335 L
.12121 .33075 L
.12435 .30723 L
.12763 .28519 L
.13125 .26241 L
.13477 .24112 L
.13808 .22123 L
.14145 .20065 L
.14447 .18138 L
.14734 .16141 L
.14972 .14259 L
.15161 .12481 L
.1524 .11589 L
.15313 .10614 L
.15369 .09682 L
.15408 .08833 L
.15423 .08384 L
.15434 .07957 L
Mistroke
.15439 .07724 L
.15443 .07507 L
.15446 .0727 L
.15447 .07137 L
.15447 .07075 L
.15448 .07017 L
.15448 .06962 L
.15448 .06911 L
.15448 .06856 L
.15449 .06796 L
.15449 .06739 L
.15449 .06707 L
.15449 .06677 L
.15449 .06622 L
.15448 .06564 L
.15448 .06515 L
.15448 .06462 L
.15447 .06366 L
.15447 .06252 L
.15446 .06147 L
.15443 .05928 L
.15439 .05689 L
.15427 .05206 L
.15411 .04739 L
.15394 .04315 L
.15341 .03359 L
.15276 .02475 L
.15188 .01511 L
Mfstroke
.15188 .01511 m
.1501 0 L
s
.11667 .51667 m
.11524 .50524 L
.114 .49303 L
.11303 .48051 L
.1126 .47335 L
.11228 .46666 L
.11204 .46003 L
.11195 .45676 L
.11187 .45374 L
.11182 .45105 L
.11178 .44809 L
.11176 .44655 L
.11175 .4451 L
.11174 .44358 L
.11173 .44272 L
.11173 .44194 L
.11173 .44112 L
.11173 .44035 L
.11173 .43966 L
.11173 .43891 L
.11173 .43809 L
.11173 .43768 L
.11173 .43723 L
.11173 .43642 L
.11174 .43568 L
.11175 .43421 L
.11176 .43287 L
.1118 .42986 L
.11185 .42662 L
.11192 .42309 L
.1121 .41667 L
.11231 .4107 L
.1126 .40412 L
.11335 .39084 L
.11531 .36565 L
.11776 .34182 L
.12083 .31702 L
.12412 .29373 L
.12746 .27194 L
.13109 .24941 L
.13457 .22836 L
.13813 .20665 L
.14134 .18632 L
.14415 .16726 L
.14678 .14744 L
.14888 .12873 L
.15048 .111 L
.15111 .10198 L
.15166 .09233 L
.15186 .08766 L
Mistroke
.15205 .08258 L
.15218 .07778 L
.15223 .07546 L
.15227 .07333 L
.1523 .07099 L
.15231 .06976 L
.15232 .06846 L
.15233 .06791 L
.15233 .06733 L
.15233 .06682 L
.15233 .06627 L
.15233 .06594 L
.15234 .06563 L
.15234 .06533 L
.15234 .06502 L
.15234 .06447 L
.15234 .06387 L
.15233 .06333 L
.15233 .06276 L
.15233 .06227 L
.15233 .06174 L
.15232 .06055 L
.15231 .05945 L
.15229 .05744 L
.15225 .05529 L
.15215 .05055 L
.15207 .04788 L
.15199 .04541 L
.15157 .03605 L
.15102 .02726 L
.15023 .01754 L
.14848 .00093 L
Mfstroke
.11667 .53333 m
.11484 .52191 L
.11319 .50966 L
.11172 .49597 L
.11066 .48305 L
.10995 .47125 L
.10966 .46461 L
.10945 .45855 L
.10937 .45542 L
.1093 .4521 L
.10925 .44926 L
.10921 .44613 L
.10919 .44437 L
.10918 .44277 L
.10918 .44188 L
.10918 .44141 L
.10917 .44091 L
.10917 .44043 L
.10917 .44 L
.10917 .43915 L
.10917 .43831 L
.10917 .43753 L
.10918 .43668 L
.10918 .43578 L
.10919 .43427 L
.1092 .43261 L
.10922 .43097 L
.10924 .42919 L
.1093 .42596 L
.10943 .41991 L
.10965 .41284 L
.10991 .40632 L
.11053 .39423 L
.11141 .38096 L
.11363 .35533 L
.1163 .33114 L
.11956 .306 L
.12298 .28243 L
.12641 .2604 L
.13009 .23762 L
.13356 .21634 L
.13707 .19438 L
.14018 .1738 L
.14286 .15448 L
.14529 .13436 L
.14716 .11532 L
.14849 .09724 L
.14898 .08802 L
.14919 .08289 L
.14935 .07814 L
Mistroke
.14947 .07336 L
.14952 .07083 L
.14954 .06954 L
.14956 .06814 L
.14957 .0668 L
.14958 .06557 L
.14959 .0644 L
.14959 .0638 L
.14959 .06347 L
.14959 .06315 L
.14959 .06256 L
.14959 .06203 L
.1496 .06145 L
.14959 .06112 L
.14959 .06082 L
.14959 .06032 L
.14959 .05976 L
.14959 .05918 L
.14959 .05864 L
.14958 .05748 L
.14957 .05641 L
.14954 .05397 L
.14951 .0516 L
.14945 .04906 L
.14933 .04446 L
.14918 .04027 L
.14874 .03109 L
.14808 .02109 L
.14636 .00258 L
Mfstroke
.11667 .55 m
.11441 .53858 L
.11234 .52628 L
.1104 .51248 L
.10893 .49941 L
.10787 .48744 L
.10701 .47451 L
.10668 .46775 L
.1064 .46038 L
.1063 .457 L
.10621 .45341 L
.10615 .45034 L
.1061 .44696 L
.10608 .4453 L
.10607 .44442 L
.10607 .44349 L
.10606 .44259 L
.10606 .44178 L
.10605 .44096 L
.10605 .44019 L
.10605 .43943 L
.10605 .43864 L
.10605 .43796 L
.10605 .43721 L
.10605 .4364 L
.10605 .43554 L
.10606 .43473 L
.10606 .43399 L
.10608 .4322 L
.10609 .43055 L
.10614 .42681 L
.10621 .42352 L
.10629 .42002 L
.10647 .41376 L
.10672 .40702 L
.10731 .39484 L
.10816 .38156 L
.10924 .36768 L
.11164 .34291 L
.1147 .3171 L
.11799 .29287 L
.12173 .26783 L
.12541 .24443 L
.12893 .22257 L
.13252 .2 L
.13575 .17887 L
.13856 .15906 L
.14116 .13844 L
.14321 .11896 L
.14407 .10916 L
Mistroke
.14485 .09855 L
.14545 .08843 L
.14586 .07908 L
.14603 .0739 L
.14609 .07137 L
.14614 .06904 L
.14618 .06696 L
.14621 .06467 L
.14622 .06357 L
.14624 .06238 L
.14624 .06113 L
.14625 .06052 L
.14625 .05996 L
.14625 .05936 L
.14625 .05904 L
.14625 .0587 L
.14625 .05836 L
.14625 .05801 L
.14625 .05737 L
.14625 .05678 L
.14625 .05623 L
.14625 .05562 L
.14625 .05498 L
.14624 .05428 L
.14624 .05352 L
.14623 .05214 L
.1462 .04956 L
.14616 .04707 L
.1461 .04443 L
.14597 .0397 L
.1458 .03505 L
.14557 .03005 L
.14504 .02098 L
.1443 .01118 L
.14342 .0018 L
Mfstroke
.11667 .56667 m
.11143 .54289 L
.10918 .53008 L
.1071 .51575 L
.1055 .50203 L
.10433 .48938 L
.10342 .4761 L
.10304 .46876 L
.10276 .46179 L
.10256 .45513 L
.10248 .45176 L
.10242 .44805 L
.10238 .44489 L
.10237 .44311 L
.10236 .44227 L
.10236 .44148 L
.10235 .44069 L
.10235 .43997 L
.10235 .43918 L
.10235 .43833 L
.10235 .43759 L
.10235 .43678 L
.10235 .43602 L
.10235 .43533 L
.10236 .43446 L
.10236 .43363 L
.10237 .43208 L
.10239 .43042 L
.10241 .4286 L
.10246 .42534 L
.10251 .42233 L
.10269 .41541 L
.10294 .40807 L
.10356 .39468 L
.10432 .38216 L
.10645 .35594 L
.10934 .32856 L
.11258 .30282 L
.11597 .27869 L
.11975 .25374 L
.12341 .23044 L
.12721 .20642 L
.13065 .18395 L
.13368 .16291 L
.13651 .14105 L
.13878 .12043 L
.14047 .10091 L
.14114 .09098 L
.1417 .08036 L
.14191 .07522 L
Mistroke
.14209 .06962 L
.14215 .06706 L
.14221 .06433 L
.14225 .06176 L
.14228 .05944 L
.14229 .05825 L
.1423 .05696 L
.14231 .0563 L
.14231 .05561 L
.14231 .05494 L
.14231 .05434 L
.14232 .05374 L
.14232 .05319 L
.14232 .05258 L
.14231 .05194 L
.14231 .05138 L
.14231 .05086 L
.14231 .05028 L
.14231 .04966 L
.1423 .04838 L
.14228 .04697 L
.14225 .04414 L
.1422 .04152 L
.14215 .03908 L
.14199 .03371 L
.1418 .02863 L
.1413 .0191 L
.14059 .00875 L
Mfstroke
.14059 .00875 m
.13982 0 L
s
.11667 .58333 m
.11047 .5595 L
.10775 .54658 L
.10516 .53206 L
.10155 .50519 L
.10025 .49159 L
.09921 .47688 L
.09882 .46965 L
.0985 .46177 L
.09838 .45815 L
.09828 .45431 L
.0982 .45071 L
.09815 .44741 L
.09813 .44576 L
.09811 .44396 L
.09809 .44226 L
.09808 .44068 L
.09808 .44022 L
.09808 .43973 L
.09808 .43884 L
.09808 .43797 L
.09808 .43717 L
.09808 .4363 L
.09808 .43581 L
.09808 .43535 L
.09808 .43442 L
.09808 .4339 L
.09809 .43343 L
.0981 .43175 L
.09811 .4302 L
.09815 .4267 L
.0982 .42361 L
.09826 .42032 L
.09843 .41362 L
.09868 .40639 L
.09928 .39335 L
.10015 .37913 L
.10128 .36425 L
.1038 .33773 L
.10702 .31011 L
.11048 .2842 L
.11439 .25745 L
.11823 .23245 L
.12185 .20912 L
.12551 .18502 L
.12875 .16246 L
.1315 .14128 L
.13396 .1192 L
.1358 .0983 L
.13657 .08701 L
Mistroke
.13687 .08183 L
.13714 .07634 L
.13736 .07082 L
.13752 .06583 L
.13759 .06342 L
.13765 .06082 L
.13769 .05854 L
.13773 .05611 L
.13775 .05474 L
.13776 .0535 L
.13777 .05224 L
.13778 .05107 L
.13778 .05041 L
.13779 .04971 L
.13779 .04935 L
.13779 .04901 L
.13779 .04863 L
.13779 .04823 L
.13779 .04755 L
.13779 .0472 L
.13779 .04683 L
.13779 .04616 L
.13779 .04554 L
.13778 .04485 L
.13778 .04409 L
.13777 .04272 L
.13776 .04138 L
.13774 .04015 L
.1377 .03734 L
.13764 .03438 L
.1375 .02936 L
.13731 .02395 L
.13683 .01416 L
.13609 .00316 L
Mfstroke
.13609 .00316 m
.13582 0 L
s
.11667 .6 m
.10946 .57611 L
.10311 .54834 L
.1006 .53429 L
.0986 .52093 L
.0969 .50699 L
.09559 .49363 L
.09502 .48649 L
.0945 .4787 L
.09411 .47164 L
.09381 .465 L
.09356 .45801 L
.09346 .45429 L
.09337 .45029 L
.09334 .44828 L
.09331 .4461 L
.09328 .44417 L
.09327 .44311 L
.09326 .44211 L
.09326 .44113 L
.09325 .44007 L
.09325 .43911 L
.09324 .43823 L
.09324 .43739 L
.09324 .43647 L
.09324 .43552 L
.09324 .43462 L
.09325 .43368 L
.09325 .43321 L
.09325 .43268 L
.09326 .43089 L
.09327 .42988 L
.09328 .42879 L
.0933 .42683 L
.09335 .42297 L
.09342 .41944 L
.09359 .4127 L
.09383 .40562 L
.0945 .39095 L
.09532 .37738 L
.09763 .34882 L
.10077 .31906 L
.10427 .2911 L
.10791 .26493 L
.11192 .23791 L
.11576 .21269 L
.11931 .18915 L
.12281 .16477 L
.12581 .14191 L
.1285 .11815 L
Mistroke
.13052 .09567 L
.13131 .08444 L
.13188 .07432 L
.13212 .06905 L
.13233 .06337 L
.13243 .06025 L
.1325 .05738 L
.13256 .05466 L
.13262 .05174 L
.13264 .05029 L
.13265 .04891 L
.13267 .04757 L
.13268 .04634 L
.13269 .04516 L
.13269 .04457 L
.13269 .04392 L
.13269 .04327 L
.13269 .04256 L
.13269 .0419 L
.13269 .04129 L
.13269 .04062 L
.13269 .03991 L
.13269 .03923 L
.13269 .03862 L
.13268 .03712 L
.13266 .0357 L
.13263 .03288 L
.13258 .02982 L
.13245 .02454 L
.13226 .01873 L
.132 .01264 L
.1317 .00694 L
Mfstroke
.1317 .00694 m
.13123 0 L
s
.11667 .61667 m
.10841 .59271 L
.10095 .5646 L
.09794 .55027 L
.09549 .5366 L
.09166 .50852 L
.09017 .49309 L
.08915 .47889 L
.08872 .47123 L
.08841 .46413 L
.08815 .45631 L
.08805 .45236 L
.08797 .448 L
.08794 .44607 L
.08791 .44395 L
.08789 .44196 L
.08788 .44101 L
.08788 .44011 L
.08787 .43923 L
.08787 .43827 L
.08787 .43741 L
.08786 .43661 L
.08786 .43575 L
.08786 .4348 L
.08786 .43381 L
.08787 .43288 L
.08787 .43187 L
.08788 .43077 L
.08789 .42877 L
.08791 .42682 L
.08793 .42502 L
.08799 .42094 L
.08808 .4166 L
.08828 .4093 L
.08855 .40144 L
.08923 .38725 L
.09019 .37178 L
.09144 .35562 L
.09421 .32683 L
.09771 .29688 L
.10144 .26884 L
.1056 .23991 L
.10961 .21291 L
.11334 .18771 L
.11701 .16168 L
.12016 .13727 L
.12272 .11431 L
.12392 .10172 L
.12486 .0903 L
.12568 .07844 L
Mistroke
.12628 .06749 L
.12653 .06166 L
.12671 .05638 L
.12688 .05052 L
.12694 .04731 L
.12699 .04428 L
.12702 .04156 L
.12704 .04002 L
.12705 .03858 L
.12705 .03779 L
.12705 .03705 L
.12705 .03639 L
.12706 .03567 L
.12706 .03529 L
.12706 .03488 L
.12706 .03445 L
.12705 .03405 L
.12705 .03333 L
.12705 .03292 L
.12705 .03255 L
.12704 .03125 L
.12704 .03004 L
.12702 .02871 L
.12701 .02729 L
.12697 .02439 L
.12692 .02175 L
.12677 .01589 L
.12658 .01048 L
Mfstroke
.12658 .01048 m
.12607 0 L
s
.11667 .63333 m
.1073 .6093 L
.09869 .58082 L
.09222 .5522 L
.08752 .52328 L
.08568 .50798 L
.08413 .49135 L
.08353 .48316 L
.083 .47422 L
.0826 .46575 L
.08231 .45789 L
.08221 .4541 L
.08212 .45001 L
.08205 .44615 L
.08201 .44262 L
.08199 .44048 L
.08198 .43946 L
.08197 .43849 L
.08197 .43794 L
.08197 .43735 L
.08197 .43631 L
.08196 .43572 L
.08196 .43509 L
.08196 .43456 L
.08196 .43398 L
.08196 .43291 L
.08197 .43193 L
.08197 .43139 L
.08197 .4308 L
.08198 .42973 L
.08199 .42767 L
.08201 .42576 L
.08205 .42197 L
.08212 .41788 L
.0823 .41049 L
.08258 .40172 L
.08292 .39368 L
.08373 .37831 L
.08488 .3616 L
.08775 .32929 L
.09114 .29889 L
.09518 .26746 L
.09929 .23809 L
.10327 .21068 L
.10736 .18243 L
.111 .15601 L
.1141 .13127 L
.11688 .10551 L
.11893 .08116 L
.11976 .06801 L
Mistroke
.12007 .06198 L
.12035 .05558 L
.12057 .04916 L
.12073 .04335 L
.12079 .04054 L
.12083 .03751 L
.12085 .03612 L
.12087 .03465 L
.12088 .03339 L
.12089 .03202 L
.1209 .0312 L
.1209 .03044 L
.1209 .02972 L
.1209 .02895 L
.1209 .02827 L
.1209 .02763 L
.1209 .02692 L
.1209 .02616 L
.1209 .0254 L
.1209 .02457 L
.12089 .0237 L
.12089 .02289 L
.12087 .02144 L
.12086 .01989 L
.12081 .01683 L
.12076 .01395 L
.12063 .00855 L
.12042 .00251 L
Mfstroke
.12042 .00251 m
.12031 0 L
s
.11667 .65 m
.10615 .62589 L
.09632 .59701 L
.08878 .56773 L
.08316 .5379 L
.08089 .52204 L
.07892 .50475 L
.07814 .49621 L
.07741 .48688 L
.07688 .47877 L
.0764 .46979 L
.07604 .46105 L
.0758 .45283 L
.07571 .44829 L
.07564 .44414 L
.07561 .44184 L
.0756 .44063 L
.07559 .43933 L
.07558 .43809 L
.07558 .43697 L
.07558 .43583 L
.07557 .43477 L
.07557 .43377 L
.07557 .4327 L
.07557 .43168 L
.07558 .43076 L
.07558 .42968 L
.07558 .4285 L
.0756 .42636 L
.07562 .42413 L
.07565 .42175 L
.07572 .41749 L
.07588 .40993 L
.07614 .4016 L
.07686 .38502 L
.07792 .36723 L
.08075 .3326 L
.0842 .29998 L
.08797 .26941 L
.09225 .23783 L
.09642 .20837 L
.10071 .17804 L
.10452 .14971 L
.10775 .12316 L
.11059 .09556 L
.11174 .08202 L
.11263 .06944 L
.11331 .05745 L
.11362 .05078 L
.11385 .04461 L
Mistroke
.11405 .03799 L
.11412 .0345 L
.11419 .03079 L
.11422 .02908 L
.11424 .02724 L
.11425 .0255 L
.11426 .02468 L
.11426 .0239 L
.11427 .02315 L
.11427 .02246 L
.11427 .02169 L
.11427 .02087 L
.11428 .02008 L
.11428 .01923 L
.11427 .01842 L
.11427 .01767 L
.11427 .0169 L
.11427 .01608 L
.11426 .01463 L
.11424 .01307 L
.11422 .01136 L
.11418 .0083 L
.11413 .00544 L
Mfstroke
.11413 .00544 m
.11399 0 L
s
.11667 .66667 m
.10494 .64247 L
.09383 .61318 L
.08518 .58318 L
.07859 .55238 L
.07587 .53591 L
.07346 .5179 L
.07154 .49924 L
.07083 .49057 L
.07019 .48133 L
.06971 .47282 L
.0693 .4634 L
.06915 .45926 L
.06902 .4548 L
.06892 .4509 L
.06884 .44673 L
.0688 .44424 L
.06877 .44198 L
.06875 .43971 L
.06874 .43757 L
.06873 .43635 L
.06873 .43569 L
.06872 .43507 L
.06872 .43397 L
.06872 .43339 L
.06872 .43276 L
.06872 .43209 L
.06872 .43137 L
.06872 .43068 L
.06872 .43004 L
.06872 .42947 L
.06873 .42884 L
.06873 .42756 L
.06874 .42641 L
.06875 .4252 L
.06877 .42303 L
.06879 .4207 L
.06883 .41815 L
.06891 .41357 L
.06901 .40932 L
.06929 .39978 L
.06964 .39078 L
.0705 .37401 L
.07168 .35607 L
.07299 .33967 L
.07636 .30519 L
.08014 .27286 L
.0845 .23943 L
.08879 .20826 L
.09323 .17618 L
Mistroke
.09719 .14622 L
.10055 .11817 L
.1035 .08902 L
.1056 .06144 L
.10601 .05425 L
.1064 .04649 L
.10667 .0398 L
.10691 .03248 L
.107 .02901 L
.10707 .02531 L
.10713 .02181 L
.10717 .01863 L
.10719 .01676 L
.1072 .01503 L
.1072 .01413 L
.1072 .01361 L
.1072 .01313 L
.10721 .01263 L
.10721 .01209 L
.10721 .01162 L
.10721 .01112 L
.10721 .01027 L
.1072 .00936 L
.1072 .0085 L
.1072 .00772 L
.10719 .00681 L
.10719 .00581 L
.10717 .00401 L
.10713 .00061 L
Mfstroke
.10713 .00061 m
.10712 0 L
s
.11667 .68333 m
.10368 .65904 L
.09124 .62931 L
.08141 .59855 L
.0738 .56671 L
.07036 .54814 L
.06773 .53081 L
.06549 .51223 L
.06387 .49479 L
.06266 .47674 L
.06219 .46716 L
.06198 .46184 L
.06182 .45696 L
.0617 .45266 L
.0616 .44796 L
.06156 .44538 L
.06152 .44299 L
.06149 .44055 L
.06147 .43826 L
.06146 .43612 L
.06145 .43491 L
.06145 .4338 L
.06144 .43286 L
.06144 .43184 L
.06144 .43076 L
.06144 .42976 L
.06145 .42858 L
.06145 .42747 L
.06145 .42647 L
.06146 .42538 L
.06148 .42295 L
.0615 .42069 L
.06156 .41624 L
.06165 .41145 L
.06187 .40278 L
.06222 .39248 L
.06262 .38306 L
.06362 .36505 L
.065 .34549 L
.06843 .30776 L
.0724 .27236 L
.07702 .23585 L
.08159 .20182 L
.08587 .17011 L
.09007 .13741 L
.0936 .10679 L
.09635 .078 L
.09756 .0622 L
.09845 .04786 L
.09881 .0408 L
Mistroke
.09914 .03311 L
.09938 .02586 L
.09955 .01915 L
.09963 .01539 L
.09966 .01342 L
.09968 .01134 L
.0997 .00951 L
.09971 .00854 L
.09972 .00751 L
.09972 .00655 L
.09973 .00568 L
.09973 .00481 L
.09973 .00398 L
.09974 .00319 L
.09974 .00232 L
.09974 .00141 L
.09973 .00056 L
Mfstroke
.09973 .00056 m
.09973 0 L
s
.11667 .7 m
.10237 .67561 L
.08854 .64541 L
.07748 .61385 L
.0688 .58088 L
.06482 .56155 L
.06175 .54345 L
.05908 .52398 L
.05712 .50567 L
.0556 .48666 L
.05499 .47656 L
.05448 .46579 L
.05415 .45629 L
.05401 .45093 L
.05391 .44603 L
.05384 .44148 L
.05382 .4389 L
.05381 .43766 L
.0538 .4365 L
.05379 .4354 L
.05378 .4342 L
.05378 .43312 L
.05378 .43212 L
.05378 .43103 L
.05377 .42984 L
.05378 .4286 L
.05378 .42744 L
.05378 .42615 L
.05379 .42479 L
.05381 .42235 L
.05383 .41971 L
.05387 .41681 L
.05395 .41162 L
.05405 .40674 L
.0543 .39767 L
.05466 .38791 L
.05565 .36766 L
.05704 .3465 L
.06029 .30884 L
.06451 .26975 L
.06901 .23324 L
.07393 .1957 L
.07853 .16073 L
.08259 .12811 L
.08631 .09436 L
.08786 .07787 L
.08911 .06259 L
.09017 .04712 L
.09096 .03252 L
.09128 .02486 L
Mistroke
.09156 .01653 L
.09165 .01286 L
.09174 .00896 L
.0918 .00555 L
.09185 .00195 L
Mfstroke
.09185 .00195 m
.09187 0 L
s
.11667 .71667 m
.10102 .69217 L
.08573 .66148 L
.07338 .62905 L
.06358 .59489 L
.05904 .57474 L
.05551 .55581 L
.05241 .53539 L
.05009 .51613 L
.04825 .4961 L
.0475 .48543 L
.04685 .47405 L
.04641 .464 L
.04621 .45843 L
.04606 .45314 L
.04595 .44823 L
.0459 .44563 L
.04585 .44286 L
.04582 .4403 L
.0458 .43798 L
.04578 .43564 L
.04577 .43449 L
.04576 .43344 L
.04576 .43219 L
.04576 .43085 L
.04575 .4296 L
.04575 .42842 L
.04576 .42705 L
.04576 .42578 L
.04576 .42439 L
.04577 .42291 L
.04579 .42019 L
.04582 .41763 L
.0459 .41179 L
.04599 .40679 L
.0461 .4022 L
.04641 .39189 L
.04682 .38135 L
.04729 .37157 L
.04861 .3495 L
.05196 .30845 L
.05641 .26593 L
.0612 .22623 L
.06593 .18927 L
.0708 .15124 L
.07506 .11577 L
.07855 .08257 L
.08016 .06441 L
.0814 .04798 L
.08242 .03111 L
Mistroke
.08314 .01519 L
.0834 .00711 L
.08351 .00268 L
Mfstroke
.08351 .00268 m
.08357 0 L
s
.11667 .73333 m
.09961 .70873 L
.0828 .67751 L
.06912 .64417 L
.05814 .60874 L
.05303 .58771 L
.04902 .56789 L
.04546 .54644 L
.04278 .52616 L
.04062 .50502 L
.03966 .49302 L
.03893 .48171 L
.03839 .4715 L
.03795 .46048 L
.03776 .45419 L
.03762 .4482 L
.03752 .44282 L
.03748 .43977 L
.03745 .43694 L
.03744 .43547 L
.03743 .43391 L
.03742 .43259 L
.03742 .43113 L
.03742 .43031 L
.03741 .42956 L
.03741 .4287 L
.03741 .42788 L
.03741 .42642 L
.03741 .4256 L
.03742 .42484 L
.03742 .42349 L
.03743 .42221 L
.03745 .41931 L
.03747 .41649 L
.03751 .41344 L
.0376 .40803 L
.03772 .40233 L
.038 .39215 L
.0384 .38125 L
.03893 .36964 L
.04013 .34883 L
.04383 .3025 L
.04833 .25903 L
.05313 .21849 L
.05836 .1768 L
.06318 .138 L
.06734 .10182 L
.07101 .06432 L
.07237 .04733 L
.07358 .02896 L
Mistroke
.07411 .01905 L
.07452 .00988 L
.07483 .00114 L
Mfstroke
.07483 .00114 m
.07487 0 L
s
.11667 .75 m
.09815 .72528 L
.07977 .69351 L
.06468 .6592 L
.05249 .6224 L
.04678 .60044 L
.04227 .57966 L
.03825 .55712 L
.03519 .53573 L
.03271 .5134 L
.0316 .50071 L
.03073 .48873 L
.03004 .47701 L
.02955 .46623 L
.02915 .45421 L
.02899 .44757 L
.02893 .44431 L
.02889 .44124 L
.02885 .43831 L
.02883 .43677 L
.02882 .43514 L
.02881 .43376 L
.0288 .43225 L
.02879 .43088 L
.02879 .42959 L
.02879 .42882 L
.02879 .42798 L
.02879 .42646 L
.02879 .42497 L
.02879 .42359 L
.0288 .42211 L
.0288 .42047 L
.02882 .41876 L
.02883 .41716 L
.02886 .41442 L
.02889 .41154 L
.02897 .40639 L
.02909 .40085 L
.02924 .3948 L
.02965 .38233 L
.03013 .37102 L
.03153 .34578 L
.03525 .29834 L
.03975 .25388 L
.04508 .20807 L
.05032 .16548 L
.05509 .12587 L
.05958 .08499 L
.06304 .04667 L
.06448 .02609 L
Mistroke
.06503 .01668 L
.06553 .0067 L
Mfstroke
.06553 .0067 m
.0658 0 L
s
.11667 .76667 m
.09664 .74182 L
.07662 .70948 L
.06008 .67413 L
.04663 .63588 L
.04029 .61292 L
.03526 .59112 L
.03077 .56739 L
.02734 .54483 L
.02453 .52121 L
.02326 .50778 L
.02226 .49509 L
.02147 .48265 L
.02089 .47122 L
.02041 .45846 L
.02021 .45141 L
.02014 .44795 L
.02007 .44469 L
.02002 .44158 L
.01998 .4382 L
.01995 .43514 L
.01993 .43231 L
.01992 .43073 L
.01991 .42925 L
.01991 .42763 L
.01991 .42672 L
.01991 .42589 L
.01991 .42422 L
.01991 .42328 L
.01991 .4224 L
.01992 .4208 L
.01993 .4191 L
.01994 .41629 L
.01997 .41327 L
.02004 .4078 L
.02016 .40129 L
.0203 .39533 L
.02069 .38267 L
.02115 .37093 L
.02256 .3444 L
.02437 .31844 L
.02631 .29512 L
.03121 .24599 L
.03645 .20023 L
.04209 .15324 L
.04718 .10956 L
.05141 .06882 L
.05339 .04659 L
.0549 .02651 L
.05615 .00592 L
Mistroke
Mfstroke
.05615 .00592 m
.05643 0 L
s
.11667 .78333 m
.09508 .75836 L
.07337 .7254 L
.05531 .68897 L
.04055 .64917 L
.03356 .62514 L
.02801 .60224 L
.02304 .57724 L
.01922 .55342 L
.01609 .52844 L
.01466 .5142 L
.01354 .50075 L
.01264 .48756 L
.01198 .47542 L
.01143 .46187 L
.0112 .45438 L
.01103 .44724 L
.01096 .44369 L
.01091 .44034 L
.01087 .4373 L
.01084 .43408 L
.01083 .43241 L
.01082 .43057 L
.01081 .4289 L
.01081 .42734 L
.0108 .42639 L
.0108 .4255 L
.0108 .42382 L
.01081 .42201 L
.01081 .42099 L
.01081 .42004 L
.01082 .41859 L
.01083 .41703 L
.01085 .41421 L
.01088 .41086 L
.01092 .40778 L
.01102 .40144 L
.01117 .39477 L
.01155 .38167 L
.01209 .36771 L
.01339 .34268 L
.01536 .31387 L
.01759 .28701 L
.02256 .23685 L
.0284 .18526 L
.03403 .13737 L
.03901 .09286 L
.04347 .04688 L
.04512 .02611 L
.04659 .00368 L
Mistroke
Mfstroke
.04659 .00368 m
.04679 0 L
s
.11667 .8 m
.09346 .77489 L
.06999 .74129 L
.05037 .7037 L
.03426 .66226 L
.0266 .63708 L
.02051 .61301 L
.01505 .58666 L
.01085 .56149 L
.00739 .53503 L
.00582 .51995 L
.00458 .50567 L
.00358 .49167 L
.00285 .47878 L
.00223 .46439 L
.00197 .45643 L
.00178 .44885 L
.0017 .44508 L
.00164 .44152 L
.00159 .43829 L
.00156 .43487 L
.00154 .43309 L
.00153 .43113 L
.00152 .42936 L
.00151 .4277 L
.00151 .42669 L
.0015 .42574 L
.0015 .42395 L
.0015 .42203 L
.00151 .42094 L
.00151 .41994 L
.00151 .4184 L
.00152 .41674 L
.00154 .41374 L
.00157 .41018 L
.00161 .40691 L
.00172 .40016 L
.00187 .39307 L
.00227 .37915 L
.00284 .36431 L
.00422 .33772 L
.00632 .30711 L
.00869 .2786 L
.01395 .22539 L
.02007 .17074 L
.02588 .12004 L
.03091 .07293 L
.03334 .04731 L
.03525 .02422 L
.03689 .00032 L
Mistroke
Mfstroke
.03689 .00032 m
.03691 0 L
s
.11667 .81667 m
.0918 .79141 L
.06651 .75714 L
.04526 .71833 L
.02775 .67514 L
.01941 .64874 L
.01277 .62342 L
.00681 .59562 L
.00222 .569 L
s
.00222 .569 m
0 .55248 L
s
0 .26608 m
.00532 .21229 L
.01172 .15446 L
.01769 .10084 L
.02273 .051 L
.02508 .02388 L
s
.02508 .02388 m
.02682 0 L
s
.11667 .83333 m
.09008 .80793 L
.06291 .77294 L
.03998 .73285 L
.02102 .68779 L
.01199 .66009 L
.00479 .63344 L
s
.00479 .63344 m
0 .6117 L
s
0 .16734 m
.00338 .13638 L
.00948 .07973 L
.01446 .02705 L
s
.01446 .02705 m
.01655 0 L
s
.11667 .85 m
.08832 .82443 L
.0592 .78871 L
.03453 .74726 L
.01409 .70022 L
.00434 .67114 L
s
.00434 .67114 m
0 .65545 L
s
0 .06868 m
.00127 .05638 L
.00392 .02757 L
s
.00392 .02757 m
.00613 0 L
s
.11667 .86667 m
.0865 .84094 L
.05538 .80443 L
.02892 .76154 L
.00694 .71241 L
s
.00694 .71241 m
0 .69232 L
s
.11667 .88333 m
.08463 .85743 L
.05144 .82011 L
.02313 .7757 L
s
.02313 .7757 m
0 .72524 L
s
.11667 .9 m
.0827 .87392 L
.04738 .83574 L
.01717 .78974 L
s
.01717 .78974 m
0 .75306 L
s
.11667 .91667 m
.09907 .90493 L
.08073 .8904 L
.04321 .85133 L
.0122 .80566 L
s
.0122 .80566 m
0 .78249 L
s
.13333 .08333 m
.13387 .07304 L
.13408 .06782 L
.13427 .06223 L
.13435 .05926 L
.13441 .05656 L
.13446 .05381 L
.13449 .05127 L
.13451 .04984 L
.13452 .04832 L
.13452 .04758 L
.13453 .04679 L
.13453 .04633 L
.13453 .04592 L
.13453 .04553 L
.13453 .04511 L
.13453 .04472 L
.13453 .04436 L
.13453 .04368 L
.13453 .04329 L
.13453 .04287 L
.13453 .04248 L
.13453 .04211 L
.13453 .04146 L
.13452 .04073 L
.13452 .03927 L
.1345 .0379 L
.13449 .03641 L
.13445 .0337 L
.1344 .03106 L
.13434 .02861 L
.13417 .02306 L
.13394 .01714 L
.13336 .0064 L
s
.13336 .0064 m
.1329 0 L
s
.13333 .1 m
.13408 .08974 L
.13472 .07899 L
.1352 .06811 L
.13539 .06196 L
.13546 .05921 L
.13552 .05623 L
.13556 .05329 L
.13558 .05199 L
.13559 .05057 L
.1356 .04923 L
.13561 .04797 L
.13561 .04728 L
.13562 .04665 L
.13562 .0463 L
.13562 .04591 L
.13562 .04522 L
.13562 .04454 L
.13562 .0439 L
.13561 .04332 L
.13561 .0427 L
.13561 .04202 L
.13561 .0413 L
.1356 .04002 L
.13557 .03771 L
.13553 .03518 L
.13548 .03235 L
.13542 .02966 L
.13527 .02462 L
.13505 .01917 L
.13476 .01323 L
.13408 .00239 L
s
.13408 .00239 m
.13388 0 L
s
.13333 .11667 m
.13428 .10644 L
.13513 .09574 L
.13589 .08403 L
.1362 .07834 L
.13643 .07317 L
.13661 .06847 L
.13676 .06337 L
.13683 .06057 L
.13688 .05798 L
.13692 .05551 L
.13694 .05417 L
.13696 .05289 L
.13697 .05164 L
.13697 .05098 L
.13698 .05028 L
.13698 .04963 L
.13698 .04904 L
.13698 .04844 L
.13699 .04788 L
.13699 .04723 L
.13699 .04653 L
.13699 .04594 L
.13698 .04529 L
.13698 .04459 L
.13698 .04384 L
.13697 .04249 L
.13696 .04123 L
.13695 .03987 L
.13691 .03738 L
.13687 .03496 L
.13682 .03272 L
.13668 .02757 L
.1365 .02272 L
.13594 .01162 L
.13518 .00067 L
s
.13518 .00067 m
.13512 0 L
s
.13333 .13333 m
.13549 .11249 L
.13641 .10176 L
.13725 .09009 L
.13785 .07929 L
.13826 .06926 L
.13842 .06375 L
.13848 .06105 L
.13853 .05855 L
.13856 .05628 L
.13858 .05388 L
.13859 .05263 L
.1386 .05146 L
.1386 .05079 L
.1386 .05018 L
.1386 .04984 L
.1386 .04947 L
.1386 .0488 L
.1386 .04846 L
.1386 .04811 L
.1386 .04746 L
.1386 .04677 L
.1386 .04638 L
.1386 .04601 L
.13859 .04475 L
.13858 .04339 L
.13857 .04207 L
.13855 .04081 L
.13852 .03847 L
.13846 .03572 L
.1384 .03318 L
.13822 .02741 L
.13801 .02232 L
.13777 .01753 L
.13708 .00655 L
s
.13708 .00655 m
.13654 0 L
s
.13333 .15 m
.13581 .12923 L
.13797 .10699 L
.1388 .0963 L
.13942 .08639 L
.13989 .07688 L
.14009 .07156 L
.14023 .06673 L
.14029 .06423 L
.14035 .06159 L
.14038 .05934 L
.14041 .05686 L
.14043 .05546 L
.14043 .05419 L
.14044 .05349 L
.14044 .05312 L
.14044 .05272 L
.14044 .05234 L
.14044 .05199 L
.14044 .05132 L
.14044 .05065 L
.14044 .05004 L
.14044 .04936 L
.14044 .04902 L
.14044 .04865 L
.14044 .04802 L
.14043 .04735 L
.14042 .04613 L
.14041 .04481 L
.1404 .04341 L
.14036 .04088 L
.1403 .03816 L
.14023 .03515 L
.14006 .02977 L
.13985 .0247 L
.13928 .01416 L
.13857 .00443 L
s
.13857 .00443 m
.13812 0 L
s
.13333 .16667 m
.13608 .14597 L
.1386 .12387 L
.14044 .10348 L
.14116 .0933 L
.14169 .08409 L
.14211 .07417 L
.14227 .06872 L
.14233 .06627 L
.14238 .06357 L
.14242 .06104 L
.14245 .05867 L
.14246 .05736 L
.14246 .05616 L
.14247 .0555 L
.14247 .05516 L
.14247 .05478 L
.14247 .05443 L
.14247 .0541 L
.14247 .05347 L
.14247 .05289 L
.14247 .05227 L
.14247 .05174 L
.14247 .05116 L
.14247 .05054 L
.14246 .04987 L
.14245 .04866 L
.14244 .04745 L
.14243 .04629 L
.1424 .04413 L
.14236 .0418 L
.1423 .03923 L
.14215 .03402 L
.14197 .02917 L
.14175 .02462 L
.14113 .01426 L
.14039 .00468 L
s
.14039 .00468 m
.1399 0 L
s
.13333 .18333 m
.13631 .1627 L
.13913 .14074 L
.14133 .12052 L
.14296 .10137 L
.1436 .0916 L
.14412 .0812 L
.14431 .07613 L
.1444 .07346 L
.14448 .07063 L
.14453 .06816 L
.14458 .06545 L
.14462 .06297 L
.14463 .06185 L
.14464 .06066 L
.14465 .05938 L
.14466 .05881 L
.14466 .0582 L
.14466 .05782 L
.14466 .05747 L
.14466 .05715 L
.14466 .05679 L
.14466 .05617 L
.14466 .05583 L
.14466 .05551 L
.14466 .05488 L
.14466 .05428 L
.14466 .05374 L
.14466 .05315 L
.14465 .05184 L
.14464 .05062 L
.14462 .0485 L
.14458 .04616 L
.14454 .04372 L
.14448 .04142 L
.14434 .03652 L
.14413 .03135 L
.14365 .02208 L
.14296 .01211 L
.14214 .00276 L
s
.14214 .00276 m
.14183 0 L
s
.13333 .2 m
.13648 .17943 L
.13957 .15758 L
.14207 .13752 L
.14405 .11859 L
.14495 .10815 L
.14563 .09871 L
.14621 .08883 L
.1466 .07975 L
.14675 .07524 L
.14687 .07047 L
.14691 .06799 L
.14695 .06568 L
.14696 .06437 L
.14697 .06314 L
.14698 .06245 L
.14698 .06171 L
.14699 .06103 L
.14699 .0604 L
.14699 .0598 L
.14699 .05916 L
.14699 .05853 L
.14699 .05816 L
.14699 .05783 L
.14699 .05721 L
.14699 .05665 L
.14699 .05601 L
.14698 .0554 L
.14698 .05427 L
.14697 .05322 L
.14694 .05086 L
.1469 .04851 L
.14685 .04592 L
.14671 .04066 L
.14653 .03573 L
.14632 .03121 L
.14571 .02096 L
.14499 .01158 L
.144 .00123 L
s
.144 .00123 m
.14385 0 L
s
.13333 .21667 m
.13661 .19616 L
.13992 .1744 L
.14268 .15449 L
.14495 .13573 L
.14692 .11611 L
.14831 .09746 L
.14858 .0926 L
.14884 .08734 L
.14903 .0828 L
.14919 .0778 L
.14925 .07547 L
.14931 .07296 L
.14935 .07079 L
.14939 .06842 L
.1494 .06704 L
.14941 .06575 L
.14942 .06453 L
.14943 .06384 L
.14943 .06322 L
.14943 .06261 L
.14943 .06204 L
.14943 .06143 L
.14943 .06111 L
.14943 .06077 L
.14943 .0602 L
.14943 .05958 L
.14943 .059 L
.14942 .05846 L
.14942 .05738 L
.14941 .05619 L
.14938 .05377 L
.14934 .05152 L
.1493 .04941 L
.14918 .04466 L
.149 .03953 L
.14852 .02995 L
.14783 .01978 L
.14607 .00118 L
s
.14607 .00118 m
.14592 0 L
s
.13333 .23333 m
.1367 .21288 L
.14016 .19121 L
.14314 .1714 L
.14568 .1528 L
.14798 .13339 L
.14974 .11502 L
.15045 .10574 L
.15108 .09572 L
.15131 .09105 L
.15152 .08611 L
.15168 .08149 L
.1518 .07726 L
.15184 .07518 L
.15188 .07292 L
.1519 .07167 L
.15192 .07052 L
.15193 .06935 L
.15194 .06824 L
.15194 .06721 L
.15195 .06663 L
.15195 .0661 L
.15195 .06565 L
.15195 .06515 L
.15195 .06464 L
.15195 .06415 L
.15195 .06359 L
.15195 .06305 L
.15195 .06257 L
.15195 .06205 L
.15195 .06148 L
.15194 .06087 L
.15193 .05979 L
.15192 .05869 L
.15191 .05753 L
.15188 .05545 L
.15184 .05322 L
.15178 .05078 L
.15165 .04638 L
.1515 .04228 L
.15102 .03273 L
.15043 .024 L
.14863 .00496 L
s
.14863 .00496 m
.14798 0 L
s
.13333 .25 m
.13673 .2296 L
.14031 .20799 L
.14346 .18828 L
.14622 .1698 L
.1488 .15057 L
.1509 .13242 L
.1518 .12328 L
.15264 .11343 L
.15327 .1048 L
.15381 .09533 L
.15419 .08639 L
.15434 .0815 L
.15444 .07692 L
.15448 .07469 L
.15449 .07351 L
.1545 .07225 L
.15451 .07104 L
.15452 .06995 L
.15452 .06942 L
.15453 .06885 L
.15453 .06831 L
.15453 .06781 L
.15453 .06733 L
.15453 .06681 L
.15453 .06632 L
.15453 .06588 L
.15452 .06535 L
.15452 .06478 L
.15452 .06375 L
.15451 .06267 L
.1545 .06152 L
.15447 .05946 L
.15443 .05725 L
.15439 .05523 L
.15427 .05066 L
.15412 .04663 L
.15394 .04237 L
.15343 .03336 L
.15281 .02493 L
.15101 .00676 L
s
.15101 .00676 m
.15009 0 L
s
.13333 .26667 m
.13672 .24631 L
.14036 .22476 L
.14363 .20512 L
.14657 .18673 L
.1494 .16763 L
.15178 .14966 L
.15389 .13092 L
.15477 .12164 L
.15546 .11313 L
.15606 .10436 L
.1565 .09618 L
.15683 .08796 L
.15696 .0836 L
.15701 .08117 L
.15706 .07891 L
.15709 .07677 L
.1571 .07567 L
.15711 .07448 L
.15711 .0738 L
.15712 .07318 L
.15712 .07259 L
.15712 .07228 L
.15712 .07194 L
.15713 .07137 L
.15713 .07082 L
.15713 .07051 L
.15713 .07021 L
.15713 .06964 L
.15713 .06914 L
.15712 .06858 L
.15712 .0683 L
.15712 .068 L
.15712 .06745 L
.15711 .06639 L
.15711 .06542 L
.15708 .06318 L
.15704 .06082 L
.15695 .05661 L
.15681 .05212 L
.15646 .04399 L
.15588 .03448 L
.15517 .02544 L
.15332 .00794 L
s
.15332 .00794 m
.15221 0 L
s
.13333 .28333 m
.13667 .26301 L
.14032 .24151 L
.14366 .22191 L
.14673 .20358 L
.14976 .18459 L
.15239 .16675 L
.15482 .1482 L
.15675 .13065 L
.15818 .114 L
.15874 .10546 L
.15898 .10112 L
.15921 .09645 L
.15938 .09209 L
.15951 .0881 L
.15956 .08618 L
.1596 .08409 L
.15964 .08226 L
.15967 .08028 L
.15968 .07909 L
.1597 .07801 L
.1597 .07697 L
.15971 .07643 L
.15971 .07587 L
.15971 .07535 L
.15972 .07488 L
.15972 .07441 L
.15972 .07396 L
.15972 .07344 L
.15972 .07296 L
.15972 .07243 L
.15972 .07187 L
.15972 .07131 L
.15971 .07081 L
.15971 .06967 L
.1597 .06866 L
.15969 .0676 L
.15966 .06535 L
.15961 .06289 L
.15951 .05848 L
.15937 .05446 L
.15895 .04542 L
.15842 .03709 L
.15768 .02799 L
.1557 .00981 L
s
.1557 .00981 m
.15429 0 L
s
.13333 .3 m
.13656 .27972 L
.14017 .25824 L
.14355 .23866 L
.1467 .22037 L
.14989 .20143 L
.15272 .18368 L
.15542 .16526 L
.15766 .1479 L
.15944 .13147 L
.16019 .12324 L
.16089 .11423 L
.16143 .10562 L
.16181 .09778 L
.16197 .09363 L
.16209 .08969 L
.16218 .08553 L
.16222 .08318 L
.16223 .08204 L
.16224 .08099 L
.16225 .07999 L
.16226 .07888 L
.16226 .07831 L
.16226 .07777 L
.16227 .07748 L
.16227 .0772 L
.16227 .07688 L
.16227 .07659 L
.16227 .07609 L
.16227 .07556 L
.16227 .07511 L
.16227 .07461 L
.16226 .07407 L
.16226 .07349 L
.16225 .07244 L
.16225 .0715 L
.16224 .07047 L
.16221 .06839 L
.16218 .06647 L
.16214 .06467 L
.16202 .06027 L
.16187 .05611 L
.16149 .04828 L
.16093 .03981 L
.16029 .03194 L
.15845 .01489 L
s
.15845 .01489 m
.15635 0 L
s
.13333 .31667 m
.13641 .29642 L
.13993 .27495 L
.14328 .25537 L
.14648 .23708 L
.14977 .21816 L
.15277 .20045 L
.15569 .18211 L
.15821 .16487 L
.16029 .1486 L
.16212 .13159 L
.16286 .12322 L
.16344 .11542 L
.16393 .1075 L
.1643 .1 L
.16444 .09607 L
.16457 .09177 L
.16462 .08989 L
.16466 .08787 L
.16468 .08611 L
.16471 .08425 L
.16472 .08322 L
.16473 .08208 L
.16473 .08158 L
.16473 .08104 L
.16473 .08054 L
.16473 .08008 L
.16474 .0798 L
.16474 .0795 L
.16474 .07896 L
.16474 .07867 L
.16474 .07839 L
.16474 .07808 L
.16473 .07776 L
.16473 .07749 L
.16473 .0772 L
.16473 .07661 L
.16473 .07555 L
.16472 .07448 L
.16471 .0735 L
.16468 .0713 L
.16464 .06927 L
.1646 .06734 L
.16449 .06338 L
.16434 .05917 L
.16397 .0516 L
.16344 .04351 L
.16282 .0359 L
.16108 .01954 L
.15857 .00173 L
Mistroke
Mfstroke
.15857 .00173 m
.15827 0 L
s
.13333 .33333 m
.13621 .31311 L
.13958 .29164 L
.14287 .27204 L
.14607 .25372 L
.14942 .23478 L
.15253 .21706 L
.15564 .19875 L
.15838 .18156 L
.16073 .16539 L
.16288 .14853 L
.16457 .13257 L
.16581 .1174 L
.16629 .10967 L
.16669 .10137 L
.16683 .09737 L
.16689 .09525 L
.16695 .093 L
.167 .09083 L
.16703 .08887 L
.16704 .08792 L
.16705 .08689 L
.16706 .08592 L
.16707 .08503 L
.16708 .08409 L
.16708 .08358 L
.16708 .08309 L
.16708 .08263 L
.16708 .08221 L
.16708 .08175 L
.16708 .08127 L
.16708 .08078 L
.16708 .0805 L
.16708 .08025 L
.16708 .07979 L
.16708 .0793 L
.16707 .07826 L
.16706 .07713 L
.16705 .07603 L
.16704 .07503 L
.167 .07279 L
.16691 .06875 L
.16679 .06477 L
.16665 .0611 L
.16621 .05276 L
.16569 .04519 L
.16497 .0368 L
.1631 .02015 L
.1607 .00374 L
s
.1607 .00374 m
.16003 0 L
s
.13333 .35 m
.13596 .3298 L
.13914 .3083 L
.14232 .28866 L
.14546 .27029 L
.14883 .25128 L
.152 .23351 L
.15525 .21517 L
.15817 .19797 L
.16075 .18184 L
.16319 .16506 L
.1652 .14921 L
.16679 .13421 L
.16751 .12595 L
.16807 .11843 L
.16854 .1106 L
.16888 .10336 L
.16901 .0998 L
.16912 .096 L
.16916 .09383 L
.1692 .09179 L
.16923 .08996 L
.16924 .089 L
.16925 .08797 L
.16926 .08698 L
.16926 .08607 L
.16926 .08563 L
.16926 .08516 L
.16926 .08471 L
.16926 .08429 L
.16926 .08381 L
.16926 .08336 L
.16926 .08286 L
.16926 .08258 L
.16926 .08233 L
.16926 .08131 L
.16925 .0808 L
.16925 .08024 L
.16923 .0782 L
.16921 .07705 L
.1692 .07601 L
.16911 .07206 L
.169 .06817 L
.16886 .06458 L
.16845 .05643 L
.16795 .04904 L
.16726 .04084 L
.16547 .02459 L
.16316 .00858 L
s
.16316 .00858 m
.16165 0 L
s
.13333 .36667 m
.13567 .34649 L
.1386 .32495 L
.14161 .30524 L
.14466 .28678 L
.14799 .26767 L
.15119 .2498 L
.15452 .23136 L
.15759 .2141 L
.16035 .19793 L
.16303 .18115 L
.16533 .16535 L
.16722 .15044 L
.16887 .1348 L
.17007 .11993 L
.17055 .11187 L
.17073 .10818 L
.17089 .10424 L
.17102 .1003 L
.17111 .09672 L
.17115 .095 L
.17118 .09313 L
.1712 .09137 L
.17122 .08974 L
.17122 .08881 L
.17123 .08837 L
.17123 .08796 L
.17123 .08749 L
.17123 .08724 L
.17123 .08698 L
.17123 .08654 L
.17123 .08605 L
.17123 .0856 L
.17123 .08519 L
.17123 .08474 L
.17123 .08427 L
.17122 .08347 L
.17122 .0826 L
.17121 .08156 L
.1712 .08063 L
.17117 .07852 L
.17113 .07657 L
.17109 .07473 L
.17098 .07102 L
.17084 .06709 L
.17049 .06001 L
.16999 .05246 L
.16941 .04534 L
.16779 .03007 L
.16546 .01345 L
Mistroke
Mfstroke
.16546 .01345 m
.16313 0 L
s
.13333 .38333 m
.13533 .36317 L
.13795 .34158 L
.14075 .32178 L
.14366 .30319 L
.1469 .28393 L
.15009 .26592 L
.15346 .24733 L
.15662 .22994 L
.15953 .21367 L
.16242 .19681 L
.16495 .18097 L
.16711 .16607 L
.16908 .15048 L
.17063 .13572 L
.17127 .12828 L
.17186 .1202 L
.17231 .11249 L
.17262 .10536 L
.17274 .10142 L
.17279 .09949 L
.17283 .09771 L
.17286 .09612 L
.17289 .09438 L
.17291 .09262 L
.17292 .09167 L
.17292 .09077 L
.17293 .0903 L
.17293 .0898 L
.17293 .08938 L
.17293 .08891 L
.17293 .08864 L
.17293 .0884 L
.17293 .08814 L
.17293 .08786 L
.17293 .08739 L
.17293 .08712 L
.17293 .08688 L
.17293 .08639 L
.17293 .08594 L
.17292 .08509 L
.17291 .08417 L
.1729 .08318 L
.17288 .08143 L
.17285 .07957 L
.17278 .07624 L
.17267 .07271 L
.17253 .0689 L
.17218 .062 L
.17164 .05397 L
Mistroke
.171 .04629 L
.16938 .03149 L
.16709 .01537 L
Mfstroke
.16709 .01537 m
.1644 0 L
s
.13333 .4 m
.13494 .37984 L
.13721 .35819 L
.13974 .33827 L
.14246 .31953 L
.14557 .30008 L
.14869 .28187 L
.15206 .26307 L
.15528 .24548 L
.15829 .22904 L
.16133 .21203 L
.16407 .19607 L
.16646 .18109 L
.16872 .16547 L
.17057 .15071 L
.17217 .13526 L
.17281 .12761 L
.1733 .12054 L
.17372 .11329 L
.17401 .10648 L
.17412 .10285 L
.17417 .10095 L
.17422 .09894 L
.17425 .09724 L
.17427 .09538 L
.17428 .09456 L
.17429 .09369 L
.1743 .09293 L
.1743 .0921 L
.17431 .09162 L
.17431 .09116 L
.17431 .09068 L
.17431 .09041 L
.17431 .09016 L
.17431 .08975 L
.17431 .08929 L
.17431 .08881 L
.17431 .08837 L
.17431 .08811 L
.17431 .08784 L
.1743 .08734 L
.1743 .0864 L
.17429 .0853 L
.17428 .0843 L
.17426 .08258 L
.17422 .0807 L
.17413 .07688 L
.17401 .07312 L
.17387 .06969 L
.17345 .06192 L
Mistroke
.17295 .0548 L
.17227 .04699 L
.17052 .03143 L
.16827 .01609 L
.16556 .00081 L
Mfstroke
.13333 .41667 m
.13383 .40683 L
.1345 .39651 L
.13636 .37478 L
.13849 .35547 L
.14113 .33532 L
.14395 .31638 L
.14715 .29677 L
.15034 .2784 L
.15345 .26123 L
.15672 .24348 L
.15977 .22688 L
.16256 .21134 L
.16532 .19521 L
.16773 .18005 L
.16999 .16427 L
.17183 .14935 L
.17326 .13521 L
.1739 .12738 L
.17438 .12031 L
.17478 .11297 L
.17506 .10606 L
.17516 .10251 L
.17521 .10058 L
.17524 .09877 L
.17527 .09709 L
.17529 .09557 L
.17529 .09476 L
.1753 .09387 L
.1753 .09339 L
.17531 .09294 L
.17531 .09251 L
.17531 .09206 L
.17531 .09164 L
.17531 .09118 L
.17531 .09076 L
.17531 .09037 L
.17531 .08991 L
.17531 .08949 L
.17531 .08901 L
.17531 .08855 L
.1753 .08773 L
.1753 .08698 L
.17528 .08527 L
.17525 .08353 L
.17522 .08162 L
.17512 .07775 L
.175 .07404 L
.17486 .07063 L
.17444 .06295 L
Mistroke
.17394 .05591 L
.17326 .04817 L
.17152 .03277 L
.16929 .0176 L
.16926 .01742 L
Mfstroke
.13333 .43333 m
.13343 .42865 L
.13358 .42351 L
.13401 .41318 L
.13465 .40185 L
.13541 .39135 L
.13723 .3714 L
.13964 .35056 L
.14231 .33091 L
.14513 .31245 L
.14831 .29332 L
.15147 .27541 L
.15452 .25868 L
.15773 .24135 L
.1607 .22515 L
.1637 .20839 L
.16636 .19266 L
.16868 .17788 L
.17085 .16246 L
.17261 .14788 L
.17409 .13261 L
.17468 .125 L
.17512 .11804 L
.17545 .11125 L
.17559 .1078 L
.1757 .1041 L
.17575 .10219 L
.17579 .10039 L
.17582 .09863 L
.17584 .097 L
.17586 .09547 L
.17587 .09469 L
.17587 .09424 L
.17587 .09383 L
.17587 .09342 L
.17588 .09298 L
.17588 .09253 L
.17588 .09205 L
.17588 .09163 L
.17588 .09119 L
.17588 .09076 L
.17588 .09038 L
.17588 .08995 L
.17587 .08955 L
.17587 .08863 L
.17586 .08773 L
.17585 .08677 L
.17583 .08503 L
.17581 .08344 L
.17572 .07957 L
Mistroke
.17561 .07589 L
.1753 .06866 L
.1749 .06192 L
.17369 .04742 L
.17186 .03188 L
Mfstroke
.13333 .45 m
.13332 .44883 L
.13332 .44819 L
.13331 .44758 L
.13331 .44701 L
.13331 .4464 L
.13331 .44584 L
.13331 .44532 L
.1333 .44471 L
.1333 .44414 L
.1333 .44351 L
.13331 .44283 L
.13331 .44249 L
.13331 .44212 L
.13331 .44145 L
.13332 .44019 L
.13333 .43883 L
.13334 .43759 L
.13338 .43482 L
.13342 .43226 L
.13347 .42984 L
.13363 .42434 L
.13381 .41928 L
.13436 .4079 L
.13497 .39814 L
.13579 .3875 L
.13778 .36689 L
.14011 .34741 L
.14294 .32716 L
.14591 .30813 L
.14891 .2903 L
.15219 .27185 L
.15535 .2546 L
.15834 .23848 L
.1614 .22178 L
.16417 .20614 L
.16689 .18992 L
.16924 .17466 L
.17122 .16027 L
.17298 .14521 L
.17431 .1309 L
.17485 .12366 L
.17531 .11584 L
.17549 .11218 L
.17565 .10832 L
.17576 .1047 L
.17585 .1014 L
.17588 .09977 L
.17591 .09799 L
.17592 .09702 L
Mistroke
.17593 .09612 L
.17594 .0952 L
.17595 .09434 L
.17595 .09353 L
.17595 .09307 L
.17595 .09266 L
.17595 .0923 L
.17595 .09191 L
.17595 .09151 L
.17595 .09113 L
.17595 .09069 L
.17595 .09027 L
.17595 .08989 L
.17595 .08949 L
.17594 .08857 L
.17594 .08772 L
.17592 .08604 L
.1759 .08423 L
.17583 .08095 L
.17572 .07705 L
.17559 .07347 L
.17525 .06655 L
.17476 .05896 L
.17342 .04422 L
Mfstroke
.13333 .46667 m
.13316 .46199 L
.13303 .45687 L
.13297 .45428 L
.13295 .45285 L
.13293 .4515 L
.13292 .45025 L
.1329 .44888 L
.13289 .44764 L
.13289 .44706 L
.13289 .4465 L
.13289 .44584 L
.13288 .44523 L
.13288 .44458 L
.13288 .44421 L
.13288 .44387 L
.13288 .44324 L
.13289 .44267 L
.13289 .44202 L
.13289 .4414 L
.13289 .44072 L
.1329 .43999 L
.13291 .4387 L
.13292 .43731 L
.13294 .43578 L
.13299 .43295 L
.13305 .4299 L
.1332 .42442 L
.13339 .4191 L
.13364 .41331 L
.13423 .40282 L
.13586 .38173 L
.13792 .36172 L
.14026 .34284 L
.14307 .32316 L
.146 .30469 L
.14925 .28558 L
.15245 .26771 L
.15552 .25099 L
.15871 .2337 L
.16165 .21752 L
.16457 .20078 L
.16715 .18506 L
.16935 .17026 L
.17138 .15482 L
.17298 .14018 L
.17417 .12628 L
.17463 .11918 L
.17503 .11159 L
.17517 .10791 L
Mistroke
.1753 .1039 L
.17535 .10207 L
.17539 .10012 L
.17542 .09841 L
.17545 .09661 L
.17546 .09568 L
.17547 .09466 L
.17548 .09374 L
.17548 .09332 L
.17548 .09287 L
.17548 .0926 L
.17548 .09235 L
.17548 .09211 L
.17548 .09185 L
.17548 .0914 L
.17548 .09092 L
.17548 .09065 L
.17548 .0904 L
.17548 .09013 L
.17548 .08984 L
.17548 .08936 L
.17548 .08883 L
.17547 .08786 L
.17547 .08699 L
.17545 .08503 L
.17542 .08321 L
.17538 .08149 L
.17529 .07794 L
.17517 .07418 L
.17486 .06742 L
.17445 .06073 L
.17398 .05444 L
Mfstroke
.13333 .48333 m
.13301 .47867 L
.13271 .47354 L
.13245 .46811 L
.13226 .46315 L
.13209 .4576 L
.13203 .45455 L
.13201 .45315 L
.13198 .45166 L
.13197 .45039 L
.13195 .44899 L
.13194 .44771 L
.13194 .44651 L
.13194 .44617 L
.13193 .44579 L
.13193 .44511 L
.13193 .44444 L
.13193 .44382 L
.13193 .44344 L
.13193 .44309 L
.13193 .44242 L
.13193 .44205 L
.13194 .4417 L
.13194 .44092 L
.13195 .43962 L
.13196 .43844 L
.13199 .43578 L
.13202 .43331 L
.13207 .43097 L
.1322 .42574 L
.13239 .42005 L
.13286 .40962 L
.13353 .39859 L
.13513 .37892 L
.1373 .3583 L
.13978 .33883 L
.14272 .3186 L
.14576 .29961 L
.14881 .28184 L
.15211 .26346 L
.15525 .24627 L
.1585 .22852 L
.16148 .21191 L
.16415 .19633 L
.16673 .18015 L
.16892 .16491 L
.17072 .15052 L
.17227 .13541 L
.17339 .12104 L
.17384 .11324 L
Mistroke
.174 .10966 L
.17415 .10586 L
.17426 .10204 L
.17434 .09858 L
.17437 .09691 L
.17439 .0951 L
.1744 .09427 L
.17441 .0934 L
.17441 .09265 L
.17442 .09183 L
.17442 .09135 L
.17442 .0909 L
.17442 .09067 L
.17442 .09042 L
.17442 .09015 L
.17442 .0899 L
.17442 .08944 L
.17442 .08902 L
.17442 .08856 L
.17442 .08807 L
.17442 .08766 L
.17442 .08723 L
.17441 .08644 L
.1744 .0855 L
.17439 .08465 L
.17437 .08275 L
.17433 .08069 L
.17424 .07695 L
.17413 .07362 L
.17399 .06996 L
.1736 .06254 L
Mfstroke
.13333 .5 m
.13237 .49021 L
.13157 .4798 L
.13098 .46915 L
.13074 .46308 L
.13065 .46036 L
.13057 .4574 L
.13051 .45449 L
.13047 .45179 L
.13044 .44921 L
.13043 .44791 L
.13042 .44717 L
.13042 .44648 L
.13041 .44586 L
.13041 .44518 L
.13041 .44457 L
.13041 .444 L
.13041 .44332 L
.13041 .44271 L
.13041 .442 L
.13041 .44133 L
.13042 .44075 L
.13042 .44013 L
.13043 .43902 L
.13044 .43782 L
.13045 .43651 L
.13049 .4337 L
.13054 .43104 L
.13066 .42605 L
.13083 .42068 L
.13106 .41484 L
.13161 .40428 L
.13236 .39311 L
.13408 .37322 L
.13639 .35239 L
.13896 .33274 L
.142 .31234 L
.14511 .29321 L
.1482 .27531 L
.15152 .2568 L
.15467 .23949 L
.1579 .22162 L
.16083 .20488 L
.16344 .18917 L
.16593 .17285 L
.16802 .15745 L
.1697 .14289 L
.17111 .12759 L
.17162 .1206 L
.17207 .11301 L
Mistroke
.17227 .1089 L
.17242 .10509 L
.17253 .10148 L
.17263 .09758 L
.17267 .09552 L
.1727 .09362 L
.17271 .09181 L
.17272 .0909 L
.17272 .09038 L
.17273 .0899 L
.17273 .08946 L
.17273 .08899 L
.17273 .08856 L
.17273 .08816 L
.17273 .08773 L
.17273 .08726 L
.17273 .08702 L
.17273 .08676 L
.17273 .0863 L
.17273 .08589 L
.17272 .08544 L
.17272 .08454 L
.17271 .08371 L
.1727 .08294 L
.17268 .08107 L
.17265 .07904 L
.17256 .07537 L
.17245 .07179 L
.17232 .06848 L
Mfstroke
.13333 .51667 m
.13201 .50689 L
.13084 .49644 L
.12989 .48572 L
.12944 .47952 L
.1291 .47386 L
.12885 .46878 L
.12863 .46325 L
.12853 .4602 L
.12846 .45739 L
.1284 .45471 L
.12835 .45184 L
.12833 .45042 L
.12831 .44908 L
.1283 .44777 L
.12829 .44655 L
.12829 .44596 L
.12829 .44541 L
.12829 .44477 L
.12829 .44419 L
.12828 .44354 L
.12828 .44294 L
.12828 .44229 L
.12829 .4416 L
.12829 .4409 L
.12829 .44026 L
.1283 .43882 L
.12831 .43748 L
.12832 .43622 L
.12836 .43339 L
.12841 .43031 L
.12854 .42517 L
.12872 .41949 L
.12923 .40803 L
.12987 .39751 L
.1307 .38623 L
.13278 .36423 L
.13523 .34343 L
.13791 .32384 L
.14102 .30351 L
.14417 .28446 L
.1476 .2648 L
.15089 .2464 L
.15398 .22921 L
.15712 .21143 L
.15993 .19476 L
.1624 .17911 L
.16473 .1628 L
.16663 .1474 L
.16826 .13127 L
Mistroke
.16892 .12328 L
.16942 .11591 L
.16981 .10879 L
.17011 .10123 L
.17023 .09728 L
.17027 .09521 L
.17031 .09302 L
.17034 .0911 L
.17035 .09008 L
.17036 .08899 L
.17037 .08799 L
.17037 .08752 L
.17037 .08708 L
.17038 .08664 L
.17038 .08616 L
.17038 .08574 L
.17038 .08529 L
.17038 .0849 L
.17038 .08446 L
.17038 .08402 L
.17037 .0836 L
.17037 .08285 L
.17037 .08205 L
.17036 .0811 L
.17035 .08021 L
.17033 .07855 L
.17028 .07551 L
.1702 .07222 L
Mfstroke
.13333 .53333 m
.13163 .52356 L
.13006 .51308 L
.12862 .50136 L
.12753 .4903 L
.12675 .48019 L
.12614 .46928 L
.12591 .46359 L
.12581 .46059 L
.12572 .4574 L
.12566 .45461 L
.1256 .45154 L
.12558 .45019 L
.12557 .44874 L
.12555 .44736 L
.12555 .44612 L
.12554 .44538 L
.12554 .44469 L
.12554 .44396 L
.12554 .44355 L
.12554 .44318 L
.12554 .44254 L
.12554 .44185 L
.12554 .44112 L
.12554 .44044 L
.12554 .44006 L
.12554 .43964 L
.12555 .43888 L
.12556 .43746 L
.12557 .43579 L
.12559 .43425 L
.12563 .43165 L
.12568 .42878 L
.12583 .42297 L
.12602 .41731 L
.12624 .41212 L
.12686 .40047 L
.12851 .3785 L
.13059 .35768 L
.13324 .33595 L
.13612 .3155 L
.13941 .29433 L
.14273 .27451 L
.14595 .25598 L
.14934 .23683 L
.15249 .21892 L
.15536 .20216 L
.15817 .18476 L
.1606 .16841 L
.16283 .15137 L
Mistroke
.1646 .13524 L
.16591 .11993 L
.16643 .11209 L
.16686 .10377 L
.16702 .09969 L
.16716 .09529 L
.16721 .09326 L
.16726 .09113 L
.16729 .08913 L
.16732 .08731 L
.16732 .08647 L
.16733 .08557 L
.16734 .08471 L
.16734 .08391 L
.16734 .08348 L
.16734 .08307 L
.16735 .08263 L
.16735 .08215 L
.16735 .08167 L
.16735 .08117 L
.16734 .08074 L
.16734 .08027 L
.16734 .07983 L
.16734 .07941 L
.16734 .07862 L
.16733 .07778 L
.16732 .07687 L
.1673 .07522 L
.16728 .0737 L
Mfstroke
.13333 .55 m
.12923 .52971 L
.12747 .51883 L
.12585 .50671 L
.12459 .49513 L
.12369 .48448 L
.12297 .47332 L
.12268 .46714 L
.12246 .46129 L
.1223 .4557 L
.12225 .45287 L
.12222 .45125 L
.1222 .44976 L
.12218 .44849 L
.12217 .44711 L
.12216 .44635 L
.12216 .44564 L
.12216 .44493 L
.12215 .44425 L
.12215 .44362 L
.12215 .44294 L
.12215 .44232 L
.12215 .44175 L
.12215 .44113 L
.12215 .44045 L
.12215 .43975 L
.12215 .43908 L
.12216 .43835 L
.12216 .43758 L
.12217 .43618 L
.12219 .43468 L
.12221 .43303 L
.12225 .43007 L
.12231 .42729 L
.12244 .42212 L
.12263 .41655 L
.12315 .40497 L
.12389 .39284 L
.12566 .37112 L
.12807 .34838 L
.13079 .32693 L
.134 .3047 L
.1373 .28386 L
.14056 .26437 L
.14404 .24423 L
.14732 .22541 L
.15033 .2078 L
.15331 .18955 L
.15592 .17241 L
.15834 .15458 L
Mistroke
.1603 .13773 L
.16179 .12175 L
.16244 .11291 L
.16291 .10493 L
.1631 .10093 L
.16328 .09662 L
.1634 .0929 L
.16346 .09093 L
.16351 .08882 L
.16355 .08671 L
.16358 .0848 L
.16359 .08388 L
.16361 .08287 L
.16361 .08193 L
.16362 .08105 L
.16363 .08007 L
.16363 .07955 L
.16363 .07928 L
.16363 .07898 L
.16363 .07871 L
.16363 .07843 L
.16363 .07812 L
.16363 .07784 L
.16363 .07756 L
.16363 .07729 L
.16363 .07679 L
.16363 .07631 L
.16363 .0758 L
.16363 .07537 L
.16362 .0749 L
.16362 .07384 L
.16361 .07285 L
Mfstroke
.13333 .56667 m
.12835 .54634 L
.12406 .5231 L
.1224 .51146 L
.12111 .50046 L
.12003 .48904 L
.11924 .47813 L
.11891 .47233 L
.11862 .466 L
.11841 .46023 L
.11827 .4549 L
.11822 .45211 L
.11819 .45057 L
.11817 .4491 L
.11816 .44775 L
.11814 .44626 L
.11813 .44492 L
.11813 .44427 L
.11813 .44367 L
.11812 .44289 L
.11812 .44248 L
.11812 .44205 L
.11812 .44132 L
.11812 .44091 L
.11812 .44052 L
.11812 .4398 L
.11812 .43914 L
.11813 .43839 L
.11813 .43767 L
.11814 .43608 L
.11815 .43461 L
.11819 .43127 L
.11824 .42849 L
.1183 .42549 L
.11844 .42006 L
.11867 .41361 L
.11892 .4077 L
.11954 .39639 L
.12038 .38408 L
.12251 .36022 L
.12506 .33767 L
.12817 .31425 L
.13144 .29227 L
.13473 .2717 L
.13829 .25044 L
.14167 .23058 L
.14481 .21201 L
.14795 .19278 L
.15072 .17473 L
.15332 .15599 L
Mistroke
.15544 .1383 L
.15707 .12154 L
.15779 .11227 L
.15833 .10392 L
.15855 .09973 L
.15876 .09522 L
.15892 .091 L
.15905 .08706 L
.15914 .08301 L
.15918 .08086 L
.15921 .07857 L
.15922 .07741 L
.15923 .07616 L
.15924 .07558 L
.15924 .07497 L
.15924 .07445 L
.15924 .07417 L
.15924 .07387 L
.15924 .07332 L
.15924 .07281 L
.15924 .07226 L
.15924 .07196 L
.15924 .07167 L
.15924 .07114 L
.15924 .07067 L
.15924 .07012 L
.15924 .0696 L
Mfstroke
.13333 .58333 m
.12742 .56296 L
.12216 .53946 L
.12006 .52762 L
.11837 .51638 L
.11691 .50467 L
.11577 .49346 L
.11479 .48094 L
.11413 .46945 L
.11388 .46343 L
.11377 .46012 L
.11368 .45702 L
.11361 .45416 L
.11356 .45154 L
.11352 .44863 L
.1135 .44702 L
.11348 .4455 L
.11348 .44472 L
.11347 .44387 L
.11347 .44313 L
.11346 .44235 L
.11346 .44164 L
.11346 .44086 L
.11346 .44015 L
.11346 .43949 L
.11346 .43909 L
.11346 .43866 L
.11346 .43788 L
.11347 .43711 L
.11347 .4364 L
.11348 .4348 L
.1135 .43309 L
.11353 .43026 L
.11357 .42761 L
.11371 .42157 L
.11389 .41541 L
.11414 .40894 L
.11472 .39739 L
.11639 .3738 L
.11879 .34907 L
.12156 .32574 L
.12488 .30154 L
.12832 .27887 L
.13172 .25767 L
.13535 .23578 L
.13875 .21531 L
.14186 .19618 L
.14491 .17633 L
.14753 .15769 L
.14991 .13829 L
Mistroke
.15175 .11992 L
.15307 .10247 L
.15356 .09353 L
.15377 .08858 L
.15393 .08404 L
.15406 .07939 L
.15411 .07694 L
.15415 .07436 L
.15416 .07327 L
.15418 .07211 L
.15419 .0711 L
.15419 .07001 L
.1542 .06934 L
.1542 .06873 L
.1542 .06814 L
.1542 .06784 L
.1542 .06751 L
.1542 .06695 L
.1542 .06663 L
.1542 .06634 L
.1542 .06581 L
.1542 .06524 L
.1542 .0649 L
.1542 .06453 L
.15419 .06386 L
Mfstroke
.13333 .6 m
.12645 .57958 L
.12016 .5558 L
.11547 .53223 L
.11208 .50867 L
.11076 .49627 L
.10966 .48285 L
.10924 .47625 L
.10886 .46905 L
.10859 .46223 L
.1084 .45592 L
.10833 .45287 L
.10827 .44959 L
.10824 .448 L
.10823 .44649 L
.10821 .445 L
.1082 .44365 L
.1082 .44287 L
.10819 .44203 L
.10819 .44156 L
.10819 .44114 L
.10819 .4403 L
.10819 .43957 L
.10818 .43878 L
.10819 .43795 L
.10819 .43718 L
.10819 .43674 L
.10819 .43626 L
.10819 .4354 L
.1082 .43377 L
.10822 .43187 L
.10824 .43011 L
.10828 .42707 L
.10835 .42379 L
.10849 .41786 L
.10873 .41081 L
.109 .40436 L
.10966 .39201 L
.11057 .37857 L
.11288 .35253 L
.11563 .32795 L
.11898 .30244 L
.12247 .27853 L
.12596 .25618 L
.12969 .2331 L
.13319 .21154 L
.13638 .19138 L
.1395 .17047 L
.14216 .15083 L
.14456 .13039 L
Mistroke
.14638 .11103 L
.1471 .10135 L
.14764 .09262 L
.14808 .08319 L
.14826 .07802 L
.14833 .07571 L
.14839 .07317 L
.14844 .07101 L
.14848 .06871 L
.14849 .06743 L
.14851 .06627 L
.14852 .06509 L
.14853 .064 L
.14853 .06299 L
.14853 .06248 L
.14854 .06192 L
.14854 .06136 L
.14854 .06075 L
.14854 .06018 L
.14854 .05966 L
.14854 .05917 L
.14854 .05871 L
.14853 .0582 L
.14853 .05766 L
.14852 .05656 L
.14852 .05556 L
Mfstroke
.13333 .61667 m
.12542 .59619 L
.11805 .57211 L
.11241 .54803 L
.10818 .52376 L
.10647 .51093 L
.10497 .49699 L
.1038 .48261 L
.10338 .47597 L
.10302 .46889 L
.10275 .46238 L
.10264 .45891 L
.10253 .45518 L
.10246 .45176 L
.1024 .44863 L
.10238 .44712 L
.10236 .44547 L
.10235 .44391 L
.10234 .44248 L
.10233 .44162 L
.10233 .44071 L
.10232 .43981 L
.10232 .43929 L
.10232 .43881 L
.10232 .43794 L
.10232 .43714 L
.10232 .4367 L
.10232 .43622 L
.10232 .43535 L
.10233 .43458 L
.10233 .43372 L
.10234 .432 L
.10236 .43039 L
.10238 .42889 L
.10243 .42525 L
.10249 .42192 L
.10269 .41441 L
.10292 .40765 L
.10319 .40137 L
.10397 .38716 L
.10599 .36061 L
.10881 .33289 L
.11202 .3068 L
.11541 .28234 L
.11921 .25706 L
.12291 .23344 L
.1264 .21139 L
.12993 .18858 L
.13305 .16722 L
.13599 .14507 L
Mistroke
.13837 .12418 L
.14017 .10442 L
.14095 .0935 L
.14151 .08365 L
.14174 .07872 L
.14194 .0734 L
.14209 .06838 L
.14219 .06377 L
.14223 .06149 L
.14224 .06023 L
.14226 .05904 L
.14227 .05794 L
.14227 .05673 L
.14228 .0562 L
.14228 .05564 L
.14228 .05515 L
.14228 .05463 L
.14229 .05401 L
.14229 .05345 L
.14229 .05284 L
.14229 .05217 L
.14228 .05159 L
.14228 .05097 L
.14228 .05039 L
.14228 .04986 L
.14227 .04856 L
.14226 .04715 L
.14222 .0446 L
Mfstroke
.13333 .63333 m
.12434 .6128 L
.11583 .58839 L
.10918 .56376 L
.10406 .53873 L
.10176 .5243 L
.10001 .51093 L
.09852 .49665 L
.09745 .48331 L
.09665 .46954 L
.09635 .46224 L
.09622 .45819 L
.09612 .45448 L
.09604 .45121 L
.09598 .44763 L
.09595 .44567 L
.09593 .44386 L
.09592 .44212 L
.09591 .44115 L
.09591 .44026 L
.0959 .43942 L
.0959 .43853 L
.0959 .43764 L
.0959 .43713 L
.0959 .43666 L
.0959 .4358 L
.0959 .43502 L
.0959 .43412 L
.09591 .43326 L
.09592 .43168 L
.09593 .43022 L
.09596 .42691 L
.09601 .42353 L
.09608 .41989 L
.09625 .4133 L
.09652 .40548 L
.09683 .39831 L
.09757 .3846 L
.0986 .36969 L
.10119 .34083 L
.10425 .31364 L
.10793 .28547 L
.11172 .25911 L
.11545 .23449 L
.11936 .20909 L
.12294 .18535 L
.12612 .16315 L
.12911 .14008 L
.13154 .11836 L
.13257 .10745 L
Mistroke
.13353 .09565 L
.1343 .08429 L
.13483 .07404 L
.13504 .06892 L
.13523 .06338 L
.13531 .06034 L
.13537 .05755 L
.13542 .05489 L
.13544 .05343 L
.13545 .05205 L
.13547 .05074 L
.13548 .04932 L
.13548 .04869 L
.13549 .04803 L
.13549 .0474 L
.13549 .04683 L
.13549 .04626 L
.13549 .04564 L
.13549 .04509 L
.13549 .04452 L
.13549 .04388 L
.13549 .0433 L
.13549 .04265 L
.13549 .04196 L
.13548 .04053 L
.13546 .03897 L
.13543 .03616 L
.13538 .03341 L
.13533 .03088 L
Mfstroke
.13333 .65 m
.12321 .6294 L
.11351 .60465 L
.10579 .57943 L
.09973 .55358 L
.09695 .53859 L
.09479 .52465 L
.0929 .50973 L
.0915 .49574 L
.09039 .48126 L
.08994 .47357 L
.08956 .46539 L
.0893 .45817 L
.08919 .4541 L
.08911 .45037 L
.08905 .44692 L
.08902 .44509 L
.089 .44314 L
.08898 .44127 L
.08897 .43957 L
.08897 .43875 L
.08897 .43786 L
.08896 .43703 L
.08896 .43625 L
.08896 .43528 L
.08896 .43436 L
.08896 .43353 L
.08897 .43263 L
.08897 .43164 L
.08898 .4306 L
.08899 .42873 L
.08901 .42701 L
.08903 .42539 L
.08908 .42171 L
.08916 .4177 L
.08925 .41403 L
.0895 .40576 L
.09013 .39119 L
.09107 .37533 L
.09357 .34461 L
.09662 .31563 L
.10036 .2856 L
.10426 .25749 L
.10811 .23125 L
.11216 .20419 L
.11587 .17891 L
.11914 .15527 L
.1222 .13071 L
.12464 .10757 L
.12566 .09596 L
Mistroke
.12659 .08338 L
.1273 .0714 L
.12777 .06033 L
.12797 .05421 L
.12804 .05121 L
.1281 .04846 L
.12814 .046 L
.12817 .0433 L
.12818 .04189 L
.12819 .04058 L
.1282 .03987 L
.1282 .0392 L
.1282 .03882 L
.1282 .03842 L
.1282 .03771 L
.12821 .03702 L
.12821 .03637 L
.12821 .03567 L
.1282 .03493 L
.1282 .03429 L
.1282 .03368 L
.12819 .03232 L
.12818 .03081 L
.12817 .02944 L
.12813 .02637 L
.12807 .02339 L
.128 .02016 L
.12782 .0143 L
Mfstroke
.13333 .66667 m
.12203 .64599 L
.11107 .62088 L
.10223 .59502 L
.09518 .56829 L
.09189 .55271 L
.0893 .53815 L
.087 .52252 L
.08524 .50783 L
.08381 .49258 L
.08317 .48396 L
.08267 .47583 L
.08227 .46789 L
.08199 .46061 L
.08176 .45249 L
.08166 .44801 L
.08163 .44581 L
.0816 .44374 L
.08158 .44176 L
.08157 .44072 L
.08156 .43962 L
.08156 .43869 L
.08155 .43767 L
.08155 .43675 L
.08155 .43588 L
.08155 .43536 L
.08155 .4348 L
.08155 .43377 L
.08155 .43276 L
.08155 .43184 L
.08155 .43084 L
.08156 .42973 L
.08157 .4275 L
.08159 .42554 L
.08161 .42375 L
.08167 .41971 L
.08174 .41615 L
.08183 .41241 L
.08206 .40458 L
.08238 .39624 L
.08314 .38125 L
.08427 .36394 L
.08558 .34773 L
.08858 .31725 L
.09234 .28562 L
.09629 .25602 L
.10023 .22839 L
.10437 .19987 L
.10817 .17325 L
.11185 .14575 L
Mistroke
.11492 .11994 L
.11732 .09561 L
.11839 .0822 L
.11918 .07014 L
.11951 .0641 L
.11981 .0576 L
.12005 .05151 L
.12022 .04584 L
.12035 .03995 L
.12041 .03683 L
.12043 .03509 L
.12044 .03349 L
.12046 .03181 L
.12046 .03092 L
.12047 .02998 L
.12047 .02917 L
.12047 .02841 L
.12047 .02797 L
.12047 .02757 L
.12047 .02713 L
.12047 .02667 L
.12047 .02592 L
.12047 .02513 L
.12047 .02438 L
.12046 .0237 L
.12045 .02203 L
.12044 .02045 L
.1204 .01757 L
.12035 .01441 L
.12028 .0111 L
.12019 .00801 L
Mfstroke
.12019 .00801 m
.11989 0 L
s
.13333 .68333 m
.12081 .66258 L
.10852 .63708 L
.0985 .61054 L
.09041 .58287 L
.08658 .56663 L
.08354 .55142 L
.07869 .51957 L
.07692 .50349 L
.07617 .49509 L
.07546 .48578 L
.07494 .47756 L
.07448 .46869 L
.07428 .46378 L
.07412 .45927 L
.07399 .455 L
.07388 .45043 L
.0738 .44593 L
.07375 .44185 L
.07373 .43988 L
.07372 .43884 L
.07371 .43774 L
.07371 .43678 L
.0737 .43573 L
.0737 .43477 L
.0737 .43387 L
.0737 .43275 L
.0737 .43211 L
.0737 .43153 L
.0737 .43045 L
.07371 .4293 L
.07371 .42828 L
.07372 .42732 L
.07374 .42514 L
.07376 .42279 L
.07379 .42063 L
.07387 .41577 L
.07396 .41163 L
.07407 .40721 L
.07433 .39926 L
.07515 .38126 L
.0763 .36282 L
.07764 .34555 L
.08076 .31308 L
.08468 .2794 L
.0888 .2479 L
.09289 .21852 L
.09717 .1882 L
.10106 .1599 L
.10475 .13067 L
Mistroke
.10776 .1032 L
.11001 .07728 L
.1109 .06407 L
.11162 .05008 L
.11189 .04322 L
.112 .03962 L
.11211 .03582 L
.11219 .0325 L
.11225 .02885 L
.11227 .02724 L
.1123 .02553 L
.11231 .02406 L
.11232 .02243 L
.11233 .02161 L
.11233 .02073 L
.11234 .02024 L
.11234 .01979 L
.11234 .01892 L
.11234 .01816 L
.11234 .01733 L
.11234 .01647 L
.11234 .01567 L
.11234 .0152 L
.11234 .0147 L
.11233 .0138 L
.11232 .01211 L
.1123 .01013 L
.11228 .0083 L
.11223 .0052 L
.11217 .00179 L
Mfstroke
.11217 .00179 m
.11212 0 L
s
.13333 .7 m
.11953 .67917 L
.10587 .65325 L
.09461 .62599 L
.08542 .5973 L
.07753 .56443 L
.07183 .53093 L
.06951 .51201 L
.06782 .49382 L
.06717 .48498 L
.0666 .47555 L
.06618 .46668 L
.06588 .45853 L
.06576 .45436 L
.06565 .44981 L
.0656 .44731 L
.06556 .44499 L
.06553 .44262 L
.0655 .4404 L
.06549 .43832 L
.06548 .43723 L
.06547 .43608 L
.06547 .4351 L
.06546 .43404 L
.06546 .43307 L
.06546 .43216 L
.06546 .43102 L
.06546 .42994 L
.06547 .42897 L
.06547 .42792 L
.06548 .42677 L
.06548 .42555 L
.0655 .42337 L
.06552 .42115 L
.06555 .41881 L
.06562 .41464 L
.06571 .41015 L
.06584 .40524 L
.06645 .38826 L
.06692 .37875 L
.06741 .37014 L
.06872 .35091 L
.07193 .31475 L
.07568 .28079 L
.0801 .2457 L
.08452 .21298 L
.08871 .18248 L
.0929 .151 L
.09649 .12156 L
.09967 .09102 L
Mistroke
.10097 .07599 L
.10197 .06217 L
.10276 .04887 L
.10337 .03476 L
.10359 .02741 L
.10369 .02327 L
.10376 .01946 L
.10381 .01612 L
.10383 .01423 L
.10384 .01246 L
.10385 .0115 L
.10385 .0106 L
.10385 .00978 L
.10386 .0089 L
.10386 .00844 L
.10386 .00793 L
.10386 .0074 L
.10386 .00691 L
.10386 .00603 L
.10386 .00553 L
.10385 .00508 L
.10385 .00416 L
.10385 .0033 L
.10384 .00168 L
Mfstroke
.10384 .00168 m
.10382 0 L
s
.13333 .71667 m
.1182 .69575 L
.1031 .6694 L
.09055 .64136 L
.08021 .61158 L
.07124 .57719 L
.06469 .54191 L
.06197 .5219 L
.05996 .50261 L
.05917 .49322 L
.05847 .4832 L
.05794 .47376 L
.05755 .46509 L
.05723 .45579 L
.0571 .45066 L
.057 .44577 L
.05697 .44359 L
.05694 .44127 L
.05692 .43926 L
.0569 .43709 L
.05689 .43576 L
.05688 .43453 L
.05688 .43336 L
.05688 .43212 L
.05688 .431 L
.05688 .42996 L
.05688 .42883 L
.05688 .4276 L
.05688 .42639 L
.05689 .42506 L
.05691 .42235 L
.05693 .41985 L
.05696 .41749 L
.05705 .4122 L
.05717 .4065 L
.05748 .39608 L
.05785 .38655 L
.0588 .36788 L
.06015 .34759 L
.06357 .30845 L
.06759 .27172 L
.0723 .23385 L
.07697 .19856 L
.08135 .16568 L
.08563 .13178 L
.08919 .10004 L
.09194 .07019 L
.09313 .05381 L
.09398 .03893 L
.09432 .0316 L
Mistroke
.09461 .02362 L
.09473 .01998 L
.09483 .0161 L
.0949 .01271 L
.09497 .00913 L
.095 .00716 L
.09502 .00501 L
.09504 .00305 L
.09505 .00123 L
.09506 .00012 L
Mfstroke
.09506 .00012 m
.09506 0 L
s
.13333 .73333 m
.11682 .71232 L
.10022 .68551 L
.08632 .65665 L
.07478 .62571 L
.06469 .58968 L
.05725 .55247 L
.05413 .53128 L
.05179 .51081 L
.05087 .50082 L
.05005 .49016 L
.0494 .48012 L
.04892 .47088 L
.04852 .46097 L
.04836 .45586 L
.04822 .45028 L
.04811 .44513 L
.04808 .44262 L
.04805 .44035 L
.04802 .43815 L
.048 .43577 L
.048 .43446 L
.04799 .43326 L
.04799 .43211 L
.04798 .43089 L
.04798 .4296 L
.04798 .42887 L
.04798 .42819 L
.04798 .42695 L
.04799 .42563 L
.04799 .42445 L
.048 .42335 L
.04802 .42083 L
.04804 .41813 L
.04807 .41564 L
.04817 .41005 L
.04826 .40553 L
.04839 .40058 L
.0487 .39062 L
.04964 .36992 L
.051 .34796 L
.05461 .30512 L
.0589 .26492 L
.06347 .2274 L
.06845 .18878 L
.07308 .15282 L
.07715 .11928 L
.08083 .08453 L
.08356 .05182 L
.08465 .0342 L
Mistroke
.08505 .02613 L
.08541 .01756 L
.08568 .00896 L
.08586 .00119 L
Mfstroke
.08586 .00119 m
.08588 0 L
s
.13333 .75 m
.11539 .72889 L
.09723 .70158 L
.08192 .67185 L
.06914 .63967 L
.05789 .60189 L
.04952 .5626 L
.04599 .54013 L
.04333 .51838 L
.04228 .50776 L
.04133 .49641 L
.04001 .47586 L
.03953 .46529 L
.03932 .45945 L
.03916 .45388 L
.03904 .44872 L
.03898 .44599 L
.03893 .44308 L
.0389 .44039 L
.03887 .43795 L
.03885 .43549 L
.03883 .43318 L
.03883 .43186 L
.03882 .43045 L
.03882 .42912 L
.03882 .42791 L
.03882 .42648 L
.03882 .42568 L
.03882 .42493 L
.03883 .42357 L
.03884 .42211 L
.03886 .41925 L
.03888 .41656 L
.03892 .4136 L
.03897 .41042 L
.03907 .4051 L
.0392 .3995 L
.03951 .3895 L
.03993 .37872 L
.04048 .36723 L
.04172 .34665 L
.04546 .30084 L
.04996 .25788 L
.05474 .2178 L
.05993 .17659 L
.06471 .13824 L
.06883 .10247 L
.07246 .06538 L
.07381 .04858 L
.07501 .03041 L
Mistroke
.07554 .02061 L
.07594 .01154 L
.07625 .00289 L
Mfstroke
.07625 .00289 m
.07634 0 L
s
.13333 .76667 m
.11391 .74545 L
.09413 .71763 L
.07736 .68697 L
.06327 .65345 L
.05082 .61379 L
.04151 .57226 L
.03758 .54843 L
.03459 .52531 L
.03233 .50191 L
.03084 .47999 L
.03028 .46841 L
.02988 .45751 L
.02971 .45125 L
.02959 .44552 L
.02954 .44235 L
.02949 .4389 L
.02948 .43731 L
.02946 .43563 L
.02945 .43406 L
.02944 .43259 L
.02943 .43109 L
.02943 .43029 L
.02943 .42944 L
.02942 .42854 L
.02942 .4277 L
.02942 .42611 L
.02942 .42462 L
.02943 .42325 L
.02943 .42174 L
.02944 .42014 L
.02947 .41683 L
.0295 .41373 L
.02955 .41033 L
.02961 .40666 L
.02974 .40045 L
.02991 .39392 L
.0303 .38226 L
.03141 .35851 L
.0328 .33656 L
.03663 .29064 L
.04163 .24319 L
.04688 .19899 L
.05195 .1579 L
.05697 .11564 L
.06115 .07618 L
.06429 .03914 L
.06551 .02039 L
.06647 .00038 L
s
.06647 .00038 m
.06648 0 L
s
.13333 .78333 m
.11237 .76201 L
.09091 .73364 L
.07262 .70199 L
.05719 .66706 L
.04349 .62537 L
.03323 .58145 L
.02888 .55615 L
.02558 .53155 L
.02308 .50661 L
.02142 .48323 L
.02079 .47087 L
.02035 .45924 L
.02016 .45255 L
.02002 .44643 L
.01996 .44305 L
.01991 .43935 L
.01987 .43586 L
.01985 .43262 L
.01984 .43096 L
.01983 .43005 L
.01983 .4292 L
.01983 .4277 L
.01982 .42606 L
.01982 .42514 L
.01982 .42426 L
.01983 .42263 L
.01983 .42171 L
.01983 .42087 L
.01984 .41895 L
.01985 .41742 L
.01986 .41598 L
.0199 .4127 L
.01994 .40951 L
.01999 .40607 L
.02011 .39995 L
.02026 .39352 L
.02062 .38203 L
.02112 .36973 L
.02177 .35663 L
.02321 .33319 L
.02752 .28109 L
.03263 .23237 L
.03793 .18704 L
.04352 .14049 L
.04844 .09719 L
.05243 .05675 L
.05423 .03466 L
.05557 .01467 L
.05612 .00483 L
Mistroke
Mfstroke
.05612 .00483 m
.05635 0 L
s
.13333 .8 m
.11079 .77855 L
.08758 .74962 L
.06771 .71693 L
.05088 .68048 L
.03591 .63663 L
.02468 .59013 L
.01992 .56325 L
.01631 .53706 L
.01488 .52423 L
.01357 .51049 L
.01177 .48554 L
.0111 .47269 L
.01081 .46558 L
.01058 .45881 L
.0104 .45253 L
.01025 .44566 L
.01019 .44263 L
.01015 .43941 L
.01011 .43664 L
.01009 .4336 L
.01007 .43174 L
.01006 .43 L
.01006 .42906 L
.01006 .42817 L
.01005 .42714 L
.01005 .4262 L
.01005 .42451 L
.01005 .42294 L
.01005 .42122 L
.01006 .42035 L
.01006 .41939 L
.01007 .4174 L
.01008 .41557 L
.01012 .41146 L
.01017 .40783 L
.01022 .40402 L
.01036 .39712 L
.01052 .39072 L
.01099 .37619 L
.0116 .36173 L
.01231 .34813 L
.01393 .32284 L
.01825 .27141 L
.0238 .21833 L
.0295 .169 L
.03484 .12322 L
.03993 .07607 L
.04387 .03198 L
.04551 .00834 L
Mistroke
Mfstroke
.04551 .00834 m
.04599 0 L
s
.13333 .81667 m
.10915 .7951 L
.08414 .76556 L
.06263 .73176 L
.04436 .6937 L
.0354 .67022 L
.02807 .64754 L
.01586 .59828 L
.01117 .57264 L
.00705 .54394 L
.00405 .51585 L
.00288 .50147 L
.00183 .48551 L
.0011 .47073 L
.00062 .45715 L
.00042 .44964 L
.00034 .44566 L
.00027 .44142 L
.00021 .43735 L
.00017 .43365 L
.00016 .43187 L
.00015 .42993 L
.00014 .42811 L
.00013 .42643 L
.00013 .42457 L
.00013 .42281 L
.00013 .42123 L
.00014 .4195 L
.00014 .41763 L
.00015 .41565 L
.00018 .41208 L
.00022 .40879 L
.00025 .40571 L
.00037 .39868 L
.00054 .39103 L
.00073 .38403 L
.00129 .36828 L
.00266 .34061 L
.00464 .31062 L
.00966 .25303 L
.01534 .19938 L
.02161 .14442 L
.0273 .09342 L
.03197 .04592 L
.03391 .02234 L
s
.03391 .02234 m
.03543 0 L
s
.13333 .83333 m
.10747 .81163 L
.08058 .78146 L
.05737 .74649 L
.03762 .70671 L
.02791 .68202 L
.01999 .65808 L
.00679 .60586 L
.00174 .57861 L
s
.00174 .57861 m
0 .56658 L
s
0 .24463 m
.0003 .24127 L
.00669 .18074 L
.01297 .12463 L
.01853 .07257 L
.021 .04683 L
.02337 .01893 L
s
.02337 .01893 m
.0247 0 L
s
.13333 .85 m
.10573 .82816 L
.07691 .79733 L
.05195 .76112 L
.03066 .71951 L
.0202 .69352 L
.01166 .66823 L
s
.01166 .66823 m
0 .62272 L
s
0 .14283 m
.00417 .10474 L
.0099 .04823 L
s
.0099 .04823 m
.01386 0 L
s
.13333 .86667 m
.10394 .84469 L
.07313 .81315 L
.04635 .77563 L
.02348 .73208 L
.01225 .70471 L
.00309 .67799 L
s
.00309 .67799 m
0 .66603 L
s
0 .03451 m
.0015 .01857 L
s
.0015 .01857 m
.00293 0 L
s
.13333 .88333 m
.1021 .86121 L
.06923 .82894 L
.04058 .79003 L
.01609 .74442 L
.00406 .71557 L
s
.00406 .71557 m
0 .70384 L
s
.13333 .9 m
.1002 .87772 L
.06521 .84468 L
.03464 .80431 L
.00848 .75651 L
s
.00848 .75651 m
0 .73639 L
s
.13333 .91667 m
.11621 .90668 L
.09825 .89422 L
.06108 .86038 L
.02971 .82026 L
.01361 .79373 L
3e-005 .76698 L
s
3e-005 .76698 m
0 .76691 L
s
.15 .08333 m
.15014 .07912 L
.15026 .07451 L
.1503 .07219 L
.15034 .0697 L
.15035 .0685 L
.15036 .06736 L
.15037 .06633 L
.15038 .06522 L
.15038 .06463 L
.15038 .0643 L
.15038 .06399 L
.15039 .0634 L
.15039 .06285 L
.15039 .06253 L
.15039 .0622 L
.15039 .0616 L
.15039 .06123 L
.15038 .06088 L
.15038 .06023 L
.15038 .05959 L
.15038 .05891 L
.15037 .05769 L
.15035 .05638 L
.15034 .05494 L
.1503 .05257 L
.15024 .05002 L
.15012 .04542 L
.14995 .04062 L
.14971 .03538 L
.14914 .02581 L
.1484 .01633 L
.14743 .00617 L
s
.14743 .00617 m
.14667 0 L
s
.15 .1 m
.15049 .09121 L
.15086 .08198 L
.151 .07713 L
.15105 .07481 L
.15109 .07262 L
.15111 .07138 L
.15113 .07003 L
.15114 .06891 L
.15116 .06767 L
.15116 .06633 L
.15117 .0656 L
.15117 .06525 L
.15117 .06492 L
.15117 .06461 L
.15117 .06428 L
.15117 .06369 L
.15117 .06336 L
.15117 .06301 L
.15117 .06267 L
.15117 .06237 L
.15117 .06181 L
.15117 .06129 L
.15117 .06072 L
.15116 .0601 L
.15115 .05885 L
.15114 .0577 L
.15112 .0555 L
.15108 .0534 L
.15098 .04875 L
.15081 .04367 L
.15063 .03926 L
.15039 .03438 L
.14976 .02445 L
.149 .01523 L
.14799 .00519 L
s
.14799 .00519 m
.14733 0 L
s
.15 .11667 m
.15069 .10791 L
.1513 .09873 L
.15177 .08945 L
.15198 .08419 L
.15213 .07931 L
.15219 .07699 L
.15224 .07448 L
.15227 .07211 L
.15229 .07097 L
.1523 .06991 L
.15231 .06888 L
.15231 .06794 L
.15232 .06744 L
.15232 .06689 L
.15232 .06632 L
.15232 .06577 L
.15232 .06519 L
.15232 .06466 L
.15232 .06406 L
.15232 .06349 L
.15232 .06296 L
.15232 .06247 L
.15231 .06137 L
.1523 .06023 L
.1523 .0592 L
.15227 .05688 L
.15223 .05473 L
.15219 .05269 L
.15207 .04811 L
.15189 .04313 L
.15143 .03393 L
.15077 .02409 L
.14908 .00619 L
s
.14908 .00619 m
.14828 0 L
s
.15 .13333 m
.15169 .11547 L
.15239 .10626 L
.15299 .09622 L
.15321 .09172 L
.15341 .08691 L
.15356 .08241 L
.15367 .07826 L
.15371 .07601 L
.15375 .07363 L
.15376 .07247 L
.15377 .07124 L
.15378 .07052 L
.15378 .06987 L
.15379 .06926 L
.15379 .0686 L
.15379 .06829 L
.15379 .06799 L
.15379 .06744 L
.15379 .06692 L
.15379 .06636 L
.15379 .06607 L
.15379 .06574 L
.15379 .0654 L
.15379 .06509 L
.15379 .06452 L
.15379 .06392 L
.15378 .06272 L
.15377 .06159 L
.15375 .05946 L
.15372 .05737 L
.15367 .05507 L
.15355 .0504 L
.1534 .04606 L
.15323 .04198 L
.15272 .03271 L
.15209 .02416 L
.15025 .00558 L
s
.15025 .00558 m
.14951 0 L
s
.15 .15 m
.15203 .13222 L
.15293 .12307 L
.15377 .11312 L
.15441 .10381 L
.15488 .09538 L
.15524 .08664 L
.15538 .08185 L
.15543 .07969 L
.15547 .07732 L
.15551 .07508 L
.15553 .073 L
.15554 .07184 L
.15554 .07079 L
.15554 .07021 L
.15555 .0699 L
.15555 .06957 L
.15555 .06926 L
.15555 .06897 L
.15555 .06841 L
.15555 .0679 L
.15555 .06736 L
.15555 .06689 L
.15554 .06638 L
.15554 .06583 L
.15554 .06524 L
.15553 .06418 L
.15552 .06311 L
.15551 .06209 L
.15548 .06019 L
.15545 .05814 L
.1554 .05587 L
.15527 .05128 L
.15511 .04701 L
.15493 .043 L
.1544 .03388 L
.15377 .02546 L
.15191 .00719 L
s
.15191 .00719 m
.15094 0 L
s
.15 .16667 m
.15233 .14896 L
.15444 .13 L
.15529 .12089 L
.15596 .11246 L
.15654 .10385 L
.15696 .09575 L
.15714 .09147 L
.1573 .08682 L
.15741 .0826 L
.15749 .07871 L
.15751 .07668 L
.15752 .07553 L
.15753 .07449 L
.15754 .07352 L
.15754 .07297 L
.15754 .07246 L
.15755 .07197 L
.15755 .07152 L
.15755 .07101 L
.15755 .07053 L
.15755 .07001 L
.15755 .06943 L
.15754 .06914 L
.15754 .06883 L
.15754 .06827 L
.15754 .06719 L
.15753 .0662 L
.15752 .06504 L
.1575 .06379 L
.15747 .06151 L
.15738 .05739 L
.15724 .05283 L
.15705 .04806 L
.15683 .04357 L
.15627 .03462 L
.15562 .02635 L
.15373 .00839 L
s
.15373 .00839 m
.15256 0 L
s
.15 .18333 m
.15259 .16569 L
.15502 .14686 L
.1569 .1295 L
.15829 .11303 L
.15884 .10461 L
.15928 .09564 L
.15945 .09128 L
.15959 .08654 L
.15964 .08437 L
.15969 .08206 L
.15972 .0801 L
.15974 .07794 L
.15975 .07687 L
.15975 .07631 L
.15975 .07572 L
.15976 .07514 L
.15976 .07462 L
.15976 .0741 L
.15976 .0736 L
.15976 .07312 L
.15976 .07261 L
.15976 .07218 L
.15976 .0717 L
.15976 .07119 L
.15975 .07064 L
.15975 .06964 L
.15974 .06849 L
.15973 .06724 L
.15969 .06497 L
.15965 .06275 L
.15961 .0607 L
.15949 .05656 L
.15934 .05268 L
.1589 .04378 L
.15831 .035 L
.15762 .0269 L
.15567 .00928 L
s
.15567 .00928 m
.15433 0 L
s
.15 .2 m
.15279 .18242 L
.15551 .16371 L
.1577 .14651 L
.15944 .13024 L
.16024 .12126 L
.16085 .11314 L
.16137 .10464 L
.16174 .09682 L
.16188 .09294 L
.162 .08883 L
.16208 .08471 L
.1621 .08358 L
.16212 .08237 L
.16213 .0813 L
.16214 .08017 L
.16215 .07958 L
.16215 .07902 L
.16215 .07848 L
.16215 .07799 L
.16216 .07751 L
.16216 .07701 L
.16216 .07651 L
.16216 .07622 L
.16216 .07596 L
.16216 .07567 L
.16216 .07536 L
.16216 .07507 L
.16216 .07479 L
.16216 .07428 L
.16215 .07374 L
.16215 .07315 L
.16215 .0726 L
.16214 .07135 L
.16213 .07033 L
.16211 .06925 L
.16208 .06731 L
.16199 .06295 L
.16187 .05895 L
.1617 .05467 L
.16131 .04692 L
.16069 .03786 L
.15994 .02924 L
.15806 .01253 L
s
.15806 .01253 m
.15622 0 L
s
.15 .21667 m
.15295 .19915 L
.1559 .18054 L
.15837 .16347 L
.16041 .14738 L
.16219 .13053 L
.16348 .11451 L
.164 .10582 L
.16419 .10184 L
.16436 .09762 L
.16449 .09376 L
.16454 .09171 L
.1646 .08951 L
.16463 .08749 L
.16466 .08564 L
.16467 .08475 L
.16468 .08378 L
.16469 .08287 L
.1647 .08202 L
.1647 .08153 L
.1647 .08098 L
.16471 .08044 L
.16471 .08014 L
.16471 .07986 L
.16471 .07935 L
.16471 .07888 L
.16471 .07862 L
.16471 .07834 L
.16471 .07783 L
.16471 .07737 L
.1647 .07687 L
.1647 .07634 L
.1647 .07585 L
.16468 .07402 L
.16467 .07298 L
.16466 .07188 L
.16463 .06991 L
.16453 .06548 L
.1644 .06158 L
.16424 .0574 L
.16384 .04985 L
.16323 .04102 L
.16249 .03262 L
.16065 .01634 L
s
.16065 .01634 m
.15825 0 L
s
.15 .23333 m
.15306 .21587 L
.1562 .19735 L
.15888 .1804 L
.16119 .16446 L
.1633 .14782 L
.16495 .13206 L
.16564 .1241 L
.16626 .11551 L
.16673 .10727 L
.16692 .10336 L
.16706 .09969 L
.16718 .09582 L
.16727 .09229 L
.16731 .09028 L
.16734 .08836 L
.16736 .08635 L
.16737 .0852 L
.16737 .08469 L
.16738 .08414 L
.16738 .08364 L
.16738 .08338 L
.16738 .0831 L
.16738 .0826 L
.16738 .08213 L
.16738 .08186 L
.16738 .08155 L
.16738 .08126 L
.16738 .081 L
.16738 .0805 L
.16738 .08024 L
.16738 .07996 L
.16737 .07899 L
.16737 .07844 L
.16737 .07793 L
.16735 .07602 L
.16732 .07431 L
.16729 .07243 L
.1672 .06865 L
.16707 .06456 L
.16692 .06085 L
.16647 .05247 L
.16593 .04474 L
.16518 .03631 L
.16325 .01945 L
.16078 .00281 L
s
.16078 .00281 m
.16027 0 L
s
.15 .25 m
.15313 .23259 L
.15639 .21414 L
.15926 .19729 L
.16179 .18148 L
.16418 .16501 L
.16614 .14946 L
.16784 .1332 L
.16853 .12513 L
.16906 .11772 L
.1695 .11008 L
.16982 .10293 L
.16993 .09947 L
.17003 .09574 L
.17007 .09363 L
.1701 .09161 L
.17012 .0898 L
.17013 .08878 L
.17014 .08783 L
.17014 .08734 L
.17015 .08681 L
.17015 .08637 L
.17015 .08588 L
.17015 .0856 L
.17015 .08535 L
.17015 .08506 L
.17015 .08479 L
.17015 .0843 L
.17015 .08403 L
.17015 .08377 L
.17015 .08332 L
.17014 .08289 L
.17014 .08192 L
.17013 .08097 L
.17012 .07994 L
.1701 .07813 L
.17007 .07621 L
.16999 .07278 L
.16988 .0691 L
.16973 .06515 L
.16937 .05802 L
.1688 .04969 L
.16813 .04175 L
.16643 .0264 L
.16403 .00968 L
s
.16403 .00968 m
.16231 0 L
s
.15 .26667 m
.15315 .24931 L
.15649 .23092 L
.15949 .21415 L
.1622 .19843 L
.16482 .1821 L
.16707 .16673 L
.16911 .1507 L
.1707 .1355 L
.17185 .12104 L
.17229 .11362 L
.17248 .10984 L
.17265 .10577 L
.17277 .10197 L
.17286 .09849 L
.17289 .09682 L
.17293 .095 L
.17295 .09328 L
.17295 .0925 L
.17296 .09168 L
.17297 .09121 L
.17297 .09069 L
.17297 .09022 L
.17297 .08978 L
.17297 .08927 L
.17297 .08899 L
.17297 .08873 L
.17298 .08825 L
.17298 .08799 L
.17297 .08774 L
.17297 .0873 L
.17297 .08688 L
.17297 .08643 L
.17297 .08594 L
.17296 .08494 L
.17296 .08403 L
.17294 .08241 L
.17291 .08064 L
.17284 .07707 L
.17273 .07323 L
.1726 .06972 L
.17221 .06183 L
.17173 .05456 L
.17107 .04663 L
.16933 .03079 L
.16709 .01518 L
s
.16709 .01518 m
.16444 0 L
s
.15 .28333 m
.15312 .26602 L
.1565 .24768 L
.15958 .23096 L
.16242 .21531 L
.16524 .19909 L
.16771 .18385 L
.17005 .168 L
.17197 .15303 L
.17348 .13883 L
.17411 .13171 L
.1747 .12391 L
.17515 .11645 L
.17546 .10965 L
.17559 .10605 L
.17569 .10263 L
.17576 .09903 L
.17579 .09698 L
.1758 .096 L
.17581 .09509 L
.17582 .0942 L
.17582 .09374 L
.17582 .09325 L
.17582 .09276 L
.17582 .09231 L
.17583 .09203 L
.17583 .09176 L
.17583 .09153 L
.17583 .09127 L
.17583 .09084 L
.17582 .09036 L
.17582 .09012 L
.17582 .08986 L
.17582 .0894 L
.17582 .0885 L
.17581 .08767 L
.17579 .0861 L
.17577 .08438 L
.17574 .08259 L
.1757 .08092 L
.1756 .0771 L
.17547 .07349 L
.17514 .0667 L
.17467 .05935 L
.17412 .05253 L
.17257 .03778 L
.17059 .0233 L
.16792 .00746 L
s
.16792 .00746 m
.16643 0 L
s
.15 .3 m
.15304 .28272 L
.1564 .26442 L
.15953 .24774 L
.16245 .23214 L
.16541 .21598 L
.16808 .20083 L
.17066 .18511 L
.17287 .1703 L
.17469 .15632 L
.17629 .14167 L
.17694 .13445 L
.17746 .12772 L
.1779 .12089 L
.17822 .11442 L
.17836 .11102 L
.17848 .10732 L
.17856 .10395 L
.17859 .10233 L
.17862 .10083 L
.17864 .09905 L
.17865 .09811 L
.17865 .09764 L
.17865 .09712 L
.17866 .09667 L
.17866 .09626 L
.17866 .09585 L
.17866 .09546 L
.17866 .09501 L
.17866 .09459 L
.17866 .09412 L
.17866 .09389 L
.17866 .09363 L
.17866 .09322 L
.17866 .09279 L
.17865 .09201 L
.17865 .09118 L
.17864 .09027 L
.17862 .08863 L
.1786 .0871 L
.17852 .0834 L
.17842 .0799 L
.17815 .07333 L
.17774 .06622 L
.17725 .05963 L
.17586 .04538 L
.17405 .03142 L
.1716 .01617 L
.16869 .00105 L
s
.16869 .00105 m
.16845 0 L
s
.15 .31667 m
.15292 .29943 L
.15621 .28115 L
.15932 .26448 L
.16229 .24889 L
.16535 .23276 L
.16816 .21766 L
.17095 .20203 L
.1734 .18733 L
.1755 .1735 L
.17742 .15905 L
.17895 .14535 L
.1801 .13233 L
.18055 .12569 L
.18094 .11857 L
.18109 .11513 L
.18122 .11138 L
.18132 .10784 L
.18139 .10455 L
.18141 .10283 L
.18142 .10192 L
.18143 .10096 L
.18143 .10012 L
.18144 .09964 L
.18144 .0992 L
.18144 .09879 L
.18144 .09841 L
.18144 .09798 L
.18144 .09758 L
.18144 .09721 L
.18144 .09681 L
.18144 .09639 L
.18144 .096 L
.18144 .0953 L
.18143 .09454 L
.18142 .0937 L
.18142 .09282 L
.1814 .09124 L
.18137 .08953 L
.18133 .08798 L
.18124 .0845 L
.18113 .08127 L
.181 .07821 L
.18063 .07132 L
.18018 .06494 L
.17888 .05114 L
.17718 .03763 L
.17487 .0229 L
.17212 .00831 L
s
.17212 .00831 m
.17031 0 L
s
.15 .33333 m
.15275 .31612 L
.15591 .29785 L
.15897 .28118 L
.16194 .26558 L
.16505 .24945 L
.16796 .23435 L
.1709 .21875 L
.17355 .20411 L
.17588 .19036 L
.1781 .17604 L
.17994 .16251 L
.18143 .1497 L
.18267 .13623 L
.18312 .13007 L
.18352 .12336 L
.18369 .11974 L
.18383 .11638 L
.18393 .1132 L
.18402 .10975 L
.18406 .10793 L
.18408 .10626 L
.1841 .10467 L
.18411 .10386 L
.18411 .10298 L
.18411 .10257 L
.18412 .10218 L
.18412 .10183 L
.18412 .10144 L
.18412 .10103 L
.18412 .10082 L
.18412 .10059 L
.18412 .10018 L
.18412 .0998 L
.18412 .09944 L
.18412 .09906 L
.18411 .09837 L
.18411 .09764 L
.1841 .09683 L
.18408 .09508 L
.18406 .09343 L
.18399 .09034 L
.1839 .08701 L
.18376 .08338 L
.18344 .07675 L
.18297 .06969 L
.1818 .05684 L
.18009 .04291 L
.17798 .02919 L
.17519 .01418 L
Mistroke
Mfstroke
.17519 .01418 m
.17214 0 L
s
.15 .35 m
.15253 .33282 L
.15552 .31454 L
.15847 .29784 L
.16139 .2822 L
.16451 .26603 L
.16747 .2509 L
.17052 .23527 L
.17332 .22064 L
.17584 .20691 L
.1783 .19265 L
.18042 .17922 L
.18221 .16655 L
.1838 .15326 L
.18502 .14063 L
.18552 .13426 L
.18596 .12732 L
.18613 .12412 L
.18628 .12071 L
.1864 .11751 L
.18649 .11457 L
.18657 .11127 L
.1866 .10954 L
.18661 .10865 L
.18662 .1077 L
.18663 .10687 L
.18663 .10611 L
.18663 .10574 L
.18664 .10534 L
.18664 .10497 L
.18664 .10462 L
.18664 .10421 L
.18664 .104 L
.18664 .10376 L
.18664 .10353 L
.18664 .10329 L
.18664 .10308 L
.18664 .10286 L
.18664 .10245 L
.18664 .10222 L
.18664 .10201 L
.18664 .10161 L
.18664 .10123 L
.18663 .10049 L
.18663 .09967 L
.18661 .09802 L
.18659 .09659 L
.18656 .09506 L
.18647 .09156 L
.18637 .08835 L
Mistroke
.18609 .08219 L
.18568 .07544 L
.18453 .06205 L
.18298 .04894 L
.18083 .03468 L
.17826 .02055 L
.1757 .00833 L
Mfstroke
.15 .36667 m
.15226 .34951 L
.15502 .33121 L
.15783 .31446 L
.16065 .29876 L
.16372 .2825 L
.16669 .26729 L
.16981 .25159 L
.17272 .2369 L
.17539 .22314 L
.17805 .20888 L
.1804 .19547 L
.18244 .18286 L
.18434 .16967 L
.1859 .15719 L
.18722 .14409 L
.18774 .13759 L
.18815 .13159 L
.18847 .1258 L
.18872 .11963 L
.18881 .11642 L
.18885 .11473 L
.18889 .11294 L
.18891 .11138 L
.18892 .11055 L
.18893 .10966 L
.18894 .10884 L
.18895 .10809 L
.18895 .10774 L
.18895 .10735 L
.18895 .10698 L
.18895 .10664 L
.18895 .10627 L
.18895 .10588 L
.18895 .10555 L
.18895 .10519 L
.18895 .1048 L
.18895 .10458 L
.18895 .10438 L
.18895 .10362 L
.18894 .10293 L
.18894 .10217 L
.18892 .10079 L
.1889 .09916 L
.18886 .09743 L
.18879 .09433 L
.18869 .09136 L
.18856 .08817 L
.18826 .08238 L
.1878 .07564 L
Mistroke
.18725 .06921 L
.18591 .05681 L
.18403 .04335 L
.18176 .03006 L
.18174 .02995 L
Mfstroke
.15 .38333 m
.15195 .3662 L
.15443 .34786 L
.15703 .33104 L
.1597 .31524 L
.16268 .29887 L
.16562 .28354 L
.16875 .26771 L
.17172 .2529 L
.1745 .23905 L
.17732 .22471 L
.17986 .21125 L
.18212 .19862 L
.1843 .18546 L
.18614 .17303 L
.1878 .16004 L
.18909 .14769 L
.19003 .13593 L
.1904 .1299 L
.19069 .12349 L
.1908 .12035 L
.19085 .11869 L
.19089 .11695 L
.19092 .11542 L
.19095 .11374 L
.19096 .11301 L
.19097 .11222 L
.19097 .11154 L
.19098 .11079 L
.19098 .11001 L
.19098 .10958 L
.19099 .10918 L
.19099 .1088 L
.19099 .10846 L
.19099 .10808 L
.19099 .10768 L
.19099 .10747 L
.19099 .10728 L
.19099 .10705 L
.19099 .10685 L
.19098 .10647 L
.19098 .10607 L
.19098 .10515 L
.19097 .1043 L
.19095 .10287 L
.19093 .10131 L
.19086 .09813 L
.19077 .09501 L
.19066 .09216 L
.19035 .08571 L
Mistroke
.18996 .07981 L
.18943 .07333 L
.18807 .06046 L
.18658 .04948 L
Mfstroke
.15 .4 m
.15159 .38288 L
.15373 .3645 L
.15608 .34758 L
.15856 .33166 L
.1614 .31512 L
.16425 .29963 L
.16735 .28361 L
.17034 .26863 L
.17318 .25462 L
.17612 .24013 L
.17881 .22655 L
.18125 .21383 L
.18366 .2006 L
.18575 .18815 L
.18771 .17516 L
.18932 .16287 L
.1906 .1512 L
.19118 .14474 L
.19163 .13891 L
.19202 .13278 L
.1923 .12716 L
.19241 .12441 L
.19251 .12139 L
.19259 .11836 L
.19262 .11671 L
.19264 .11516 L
.19266 .11366 L
.19267 .11281 L
.19267 .11203 L
.19268 .1117 L
.19268 .11135 L
.19268 .11096 L
.19268 .11059 L
.19268 .1102 L
.19268 .11001 L
.19268 .10979 L
.19268 .10941 L
.19268 .10906 L
.19268 .10871 L
.19268 .10834 L
.19267 .10765 L
.19267 .10699 L
.19266 .10637 L
.19265 .10497 L
.19263 .10349 L
.19257 .10066 L
.19248 .09761 L
.19227 .09208 L
.19191 .08566 L
Mistroke
.19147 .07952 L
.19035 .06773 L
.19028 .06702 L
Mfstroke
.15 .41667 m
.15118 .39956 L
.15293 .38111 L
.15497 .36408 L
.15722 .348 L
.15986 .33127 L
.16258 .31556 L
.1656 .2993 L
.16857 .28408 L
.17144 .26985 L
.17444 .25513 L
.17725 .24136 L
.17984 .22847 L
.18243 .21508 L
.18474 .20252 L
.18696 .18945 L
.18885 .17711 L
.19042 .16544 L
.19179 .15319 L
.19281 .14152 L
.19323 .13517 L
.19355 .12921 L
.19367 .12633 L
.19377 .12328 L
.19384 .12068 L
.1939 .11783 L
.19392 .11629 L
.19393 .11553 L
.19394 .11482 L
.19395 .1142 L
.19395 .11351 L
.19395 .11281 L
.19396 .11243 L
.19396 .11207 L
.19396 .11171 L
.19396 .11151 L
.19396 .11132 L
.19396 .11094 L
.19396 .11072 L
.19396 .11052 L
.19396 .11017 L
.19395 .10979 L
.19395 .1091 L
.19395 .10829 L
.19394 .10743 L
.19392 .10589 L
.1939 .10443 L
.19387 .1031 L
.19379 .10009 L
.1937 .09731 L
Mistroke
.19359 .09465 L
.19329 .08873 L
.19292 .08321 L
.19287 .08261 L
Mfstroke
.15 .43333 m
.15012 .42935 L
.15029 .425 L
.15072 .41623 L
.15133 .40662 L
.15203 .39771 L
.15369 .38078 L
.15583 .36308 L
.15821 .34637 L
.16073 .33065 L
.16358 .31434 L
.16645 .29905 L
.16925 .28475 L
.17225 .26994 L
.17509 .25609 L
.17802 .24178 L
.18072 .22837 L
.18317 .21579 L
.18558 .20274 L
.18768 .19044 L
.18965 .17763 L
.19128 .16551 L
.19257 .154 L
.19311 .14821 L
.19362 .14188 L
.19403 .13582 L
.19432 .1303 L
.19455 .12459 L
.19463 .12145 L
.19467 .12004 L
.19469 .11848 L
.19472 .11702 L
.19473 .11565 L
.19474 .1149 L
.19474 .11421 L
.19474 .11385 L
.19474 .11345 L
.19475 .11325 L
.19475 .11304 L
.19475 .11265 L
.19475 .11229 L
.19475 .11196 L
.19475 .11159 L
.19475 .11141 L
.19475 .1112 L
.19474 .11086 L
.19474 .11049 L
.19474 .10983 L
.19473 .10914 L
.19473 .10849 L
Mistroke
.19472 .10726 L
.19469 .10582 L
.19467 .10451 L
.1946 .10157 L
.19451 .09884 L
.19441 .09628 L
Mfstroke
.15 .45 m
.15 .44948 L
.15 .44901 L
.15 .44846 L
.15 .44794 L
.15 .44747 L
.15 .44703 L
.15 .44654 L
.15 .44603 L
.15 .44551 L
.15 .44496 L
.15001 .44396 L
.15002 .44277 L
.15003 .44168 L
.15006 .43952 L
.15011 .43718 L
.15021 .4329 L
.15036 .42822 L
.15056 .42324 L
.15103 .41429 L
.15238 .39607 L
.15412 .37874 L
.15615 .36233 L
.1586 .34523 L
.1612 .32914 L
.16386 .31404 L
.1668 .29839 L
.16969 .28374 L
.17276 .26861 L
.17567 .25446 L
.17839 .24121 L
.18115 .2275 L
.18364 .21463 L
.18586 .20255 L
.18801 .18996 L
.18984 .17808 L
.19151 .16566 L
.19283 .15387 L
.19381 .14264 L
.19421 .13689 L
.19454 .13077 L
.19467 .12778 L
.19478 .12454 L
.19487 .12148 L
.1949 .12012 L
.19492 .11866 L
.19494 .1173 L
.19496 .11605 L
.19496 .11545 L
.19497 .11479 L
Mistroke
.19497 .11417 L
.19497 .11387 L
.19497 .1136 L
.19497 .11325 L
.19498 .11287 L
.19498 .11254 L
.19498 .11218 L
.19498 .11187 L
.19497 .11157 L
.19497 .11125 L
.19497 .1109 L
.19497 .11053 L
.19497 .11013 L
.19496 .1094 L
.19495 .10802 L
Mfstroke
.15 .46667 m
.14987 .4627 L
.14976 .45835 L
.14972 .45616 L
.1497 .45495 L
.14969 .45381 L
.14967 .45274 L
.14966 .45158 L
.14966 .45107 L
.14966 .45053 L
.14966 .45007 L
.14965 .44956 L
.14965 .44926 L
.14965 .44897 L
.14965 .44841 L
.14965 .4479 L
.14965 .44735 L
.14965 .44704 L
.14965 .44671 L
.14965 .44639 L
.14965 .4461 L
.14966 .44555 L
.14966 .44497 L
.14967 .4439 L
.14968 .44291 L
.1497 .44066 L
.14974 .43818 L
.14979 .43592 L
.14992 .43085 L
.15008 .42645 L
.15025 .42238 L
.15074 .41319 L
.15203 .39593 L
.15367 .37954 L
.15577 .36236 L
.15808 .34615 L
.16079 .32931 L
.16357 .31349 L
.16634 .29868 L
.16936 .28334 L
.17226 .26899 L
.1753 .25418 L
.17813 .24032 L
.18074 .22733 L
.18334 .21388 L
.18565 .20123 L
.18767 .18932 L
.18957 .17689 L
.19113 .16512 L
.1925 .15278 L
Mistroke
.19306 .14666 L
.1935 .14102 L
.19388 .13522 L
.19417 .12978 L
.19429 .12688 L
.19439 .12375 L
.19447 .12091 L
.19452 .1183 L
.19453 .11783 L
Mfstroke
.15 .48333 m
.14946 .47503 L
.14924 .47078 L
.14905 .46622 L
.1489 .46158 L
.14885 .45951 L
.1488 .45725 L
.14878 .45587 L
.14876 .4546 L
.14874 .4534 L
.14873 .45209 L
.14873 .45152 L
.14872 .45091 L
.14872 .45038 L
.14872 .44981 L
.14871 .44947 L
.14871 .44916 L
.14871 .44883 L
.14871 .44854 L
.14871 .44798 L
.14871 .44767 L
.14871 .44739 L
.14871 .44686 L
.14871 .44631 L
.14872 .44578 L
.14872 .4453 L
.14872 .44412 L
.14873 .44301 L
.14876 .44079 L
.14879 .43838 L
.14888 .43408 L
.149 .4301 L
.14933 .42174 L
.14982 .41253 L
.15117 .3947 L
.15287 .37775 L
.15507 .36003 L
.15748 .34331 L
.16002 .32759 L
.16289 .31127 L
.16576 .29598 L
.16886 .28019 L
.17184 .26542 L
.17466 .2516 L
.17755 .23731 L
.18021 .22392 L
.1826 .21136 L
.18495 .1983 L
.18698 .186 L
.18888 .17317 L
Mistroke
.19042 .16101 L
.19163 .14946 L
.19218 .14306 L
.1926 .13729 L
.1932 .12566 L
Mfstroke
.15 .5 m
.14914 .49171 L
.1484 .48288 L
.14782 .47386 L
.14758 .46871 L
.1474 .4639 L
.14733 .46162 L
.14726 .45914 L
.14722 .45696 L
.14718 .45464 L
.14716 .45254 L
.14715 .45136 L
.14714 .45078 L
.14714 .45024 L
.14714 .44975 L
.14713 .44922 L
.14713 .44873 L
.14713 .44828 L
.14713 .44775 L
.14713 .44727 L
.14713 .44671 L
.14713 .44618 L
.14713 .44565 L
.14713 .44508 L
.14714 .44406 L
.14715 .44284 L
.14716 .44173 L
.14719 .43932 L
.14723 .43703 L
.14732 .433 L
.14745 .42861 L
.14782 .41962 L
.14836 .41009 L
.14966 .39308 L
.15148 .3752 L
.15359 .35829 L
.15614 .34067 L
.15882 .3241 L
.16156 .30856 L
.16457 .29246 L
.16751 .27739 L
.17063 .26184 L
.17356 .24729 L
.17629 .23367 L
.17903 .21957 L
.1815 .20633 L
.18366 .19388 L
.18573 .1809 L
.18746 .16864 L
.189 .1558 L
Mistroke
.19017 .14358 L
.19098 .13192 L
.19101 .13145 L
Mfstroke
.15 .51667 m
.14879 .50838 L
.14769 .49953 L
.1467 .48968 L
.14598 .4804 L
.14548 .47195 L
.14527 .46719 L
.14511 .46285 L
.14505 .46061 L
.14499 .45823 L
.14495 .45617 L
.14492 .45396 L
.1449 .45271 L
.14489 .45158 L
.14488 .45044 L
.14487 .44935 L
.14487 .44874 L
.14487 .44841 L
.14487 .44809 L
.14487 .44748 L
.14487 .44693 L
.14487 .4466 L
.14487 .44626 L
.14487 .44565 L
.14487 .44531 L
.14487 .445 L
.14487 .44428 L
.14488 .44369 L
.14488 .44306 L
.14489 .44194 L
.1449 .44074 L
.14492 .4394 L
.14495 .43702 L
.145 .43479 L
.1451 .43062 L
.14525 .42614 L
.14566 .41682 L
.14624 .40704 L
.14763 .3895 L
.14956 .37109 L
.15177 .35368 L
.15442 .33557 L
.15721 .31855 L
.16003 .30259 L
.16312 .28608 L
.16613 .27063 L
.16899 .25618 L
.17196 .24123 L
.1747 .22722 L
.17744 .21273 L
Mistroke
.17988 .19911 L
.182 .1863 L
.184 .17294 L
.18564 .16029 L
.18705 .14703 L
.18802 .13514 L
Mfstroke
.15 .53333 m
.14694 .51618 L
.14564 .50704 L
.14445 .49688 L
.14354 .48721 L
.14289 .47833 L
.14239 .46904 L
.14219 .46391 L
.14212 .4616 L
.14205 .45905 L
.142 .45682 L
.14196 .45441 L
.14194 .45308 L
.14193 .45187 L
.14192 .45063 L
.14191 .44948 L
.1419 .44844 L
.1419 .44785 L
.1419 .44732 L
.1419 .44673 L
.1419 .4461 L
.1419 .4455 L
.1419 .44495 L
.1419 .44443 L
.1419 .44395 L
.14191 .44285 L
.14191 .44178 L
.14192 .44063 L
.14195 .4381 L
.14199 .43575 L
.14211 .43044 L
.14226 .42575 L
.14245 .42078 L
.14292 .41147 L
.14348 .40275 L
.14501 .38446 L
.14708 .36529 L
.14945 .34717 L
.15198 .33012 L
.15489 .31242 L
.15783 .29582 L
.16103 .27868 L
.16412 .26264 L
.16704 .24764 L
.17005 .23213 L
.1728 .2176 L
.17526 .20398 L
.17767 .1898 L
.17973 .17645 L
.18163 .16251 L
Mistroke
.18313 .1493 L
.18427 .13673 L
.18427 .13665 L
Mfstroke
.15 .55 m
.14614 .53282 L
.14282 .51333 L
.14153 .50362 L
.14053 .49446 L
.1397 .48496 L
.13908 .47591 L
.13882 .4711 L
.1386 .46585 L
.13844 .46108 L
.13833 .45665 L
.13828 .45434 L
.13826 .45307 L
.13825 .45185 L
.13824 .45073 L
.13823 .4495 L
.13822 .44839 L
.13822 .44785 L
.13821 .44735 L
.13821 .44671 L
.13821 .44637 L
.13821 .44601 L
.13821 .44541 L
.13821 .44506 L
.13821 .44475 L
.13821 .44415 L
.13821 .44361 L
.13821 .44298 L
.13822 .44238 L
.13822 .44106 L
.13824 .43985 L
.13827 .43708 L
.1383 .43478 L
.13835 .43229 L
.13847 .42779 L
.13865 .42245 L
.13885 .41755 L
.13935 .40817 L
.14003 .39795 L
.14177 .37811 L
.14387 .35932 L
.14648 .33974 L
.14927 .32132 L
.15214 .30403 L
.15531 .28614 L
.15842 .26941 L
.16138 .25376 L
.16447 .23756 L
.16731 .22241 L
.17015 .20672 L
Mistroke
.17267 .19198 L
.17484 .17811 L
.17687 .16364 L
.1785 .14994 L
.17984 .13591 L
Mfstroke
.15 .56667 m
.14529 .54946 L
.14108 .52977 L
.13801 .51054 L
.13587 .49151 L
.13507 .48157 L
.13443 .47084 L
.13421 .46558 L
.13411 .4628 L
.13402 .45986 L
.13395 .45728 L
.13389 .45444 L
.13385 .45185 L
.13384 .45068 L
.13383 .44943 L
.13382 .44809 L
.13381 .44749 L
.13381 .44685 L
.13381 .44645 L
.13381 .44609 L
.13381 .44575 L
.13381 .44538 L
.1338 .44473 L
.1338 .44437 L
.1338 .44404 L
.1338 .44337 L
.13381 .44274 L
.13381 .44218 L
.13381 .44157 L
.13382 .44019 L
.13383 .43891 L
.13385 .4367 L
.13389 .43425 L
.13399 .42929 L
.13414 .42405 L
.13432 .41925 L
.13483 .40845 L
.13545 .39869 L
.13626 .38808 L
.13825 .3675 L
.14057 .34804 L
.14339 .3278 L
.14636 .30879 L
.14937 .29098 L
.15265 .27256 L
.15581 .25533 L
.1588 .23923 L
.16187 .22255 L
.16465 .20693 L
.16738 .19075 L
Mistroke
.16974 .17551 L
.17172 .16115 L
.17349 .14612 L
.17476 .13281 L
Mfstroke
.15 .58333 m
.14439 .5661 L
.13923 .54618 L
.13533 .52656 L
.13244 .50701 L
.13128 .49674 L
.13029 .48562 L
.12989 .48015 L
.12953 .4742 L
.12927 .46903 L
.12904 .46332 L
.12896 .46064 L
.12888 .45776 L
.12882 .45527 L
.12877 .45255 L
.12875 .45096 L
.12873 .44948 L
.12872 .44807 L
.12871 .44735 L
.12871 .44657 L
.1287 .4458 L
.1287 .44509 L
.1287 .44441 L
.1287 .4437 L
.1287 .44306 L
.1287 .44246 L
.1287 .4418 L
.1287 .44109 L
.1287 .44043 L
.12871 .4397 L
.12872 .43821 L
.12873 .43684 L
.12874 .43555 L
.12879 .43264 L
.12885 .42951 L
.12899 .42379 L
.12917 .41855 L
.12964 .40826 L
.13032 .39705 L
.13209 .37529 L
.13429 .35466 L
.13704 .33318 L
.13999 .31298 L
.14303 .29405 L
.14637 .27446 L
.14963 .25614 L
.15271 .23902 L
.15589 .22129 L
.15877 .2047 L
.1616 .18751 L
Mistroke
.16405 .17134 L
.1661 .15609 L
.16791 .14014 L
.16909 .12727 L
Mfstroke
.15 .6 m
.14344 .58272 L
.13728 .56257 L
.13248 .54253 L
.12879 .5224 L
.12714 .51087 L
.12587 .50023 L
.1248 .4889 L
.12403 .47834 L
.12345 .46745 L
.12323 .46169 L
.12314 .4585 L
.12306 .45557 L
.12301 .45299 L
.12297 .45017 L
.12295 .44862 L
.12294 .44719 L
.12293 .44581 L
.12292 .44505 L
.12292 .44435 L
.12292 .44369 L
.12291 .443 L
.12291 .4424 L
.12291 .44175 L
.12291 .44105 L
.12292 .44029 L
.12292 .43958 L
.12292 .43893 L
.12293 .43768 L
.12294 .43631 L
.12296 .43382 L
.12301 .43104 L
.12305 .42842 L
.1232 .42245 L
.1234 .41664 L
.12366 .41038 L
.12428 .39891 L
.12511 .3869 L
.12701 .36542 L
.12953 .34295 L
.13233 .32179 L
.1356 .29987 L
.13892 .27933 L
.14218 .26012 L
.14563 .24028 L
.14887 .22173 L
.15182 .20438 L
.15474 .18637 L
.15727 .16946 L
.15961 .15185 L
Mistroke
.16147 .1352 L
.16287 .1194 L
.16289 .1192 L
Mfstroke
.15 .61667 m
.14245 .59935 L
.13522 .57893 L
.12947 .55844 L
.12493 .53769 L
.12283 .52574 L
.12119 .51466 L
.11974 .50283 L
.11865 .49177 L
.11777 .48034 L
.11738 .47388 L
.11708 .46782 L
.11687 .46236 L
.11669 .45647 L
.11662 .45311 L
.11656 .44992 L
.11653 .44705 L
.11651 .44543 L
.1165 .44392 L
.1165 .44314 L
.1165 .44271 L
.1165 .44231 L
.1165 .4416 L
.11649 .44083 L
.11649 .44039 L
.11649 .43998 L
.1165 .43921 L
.1165 .43878 L
.1165 .43838 L
.1165 .43748 L
.11651 .43676 L
.11651 .43608 L
.11652 .43453 L
.11654 .43303 L
.11656 .43141 L
.1166 .42852 L
.11666 .42548 L
.1168 .42006 L
.117 .41424 L
.11726 .40804 L
.11784 .3969 L
.1197 .37193 L
.12208 .34825 L
.12481 .32594 L
.12804 .30277 L
.13138 .28106 L
.13468 .26075 L
.13821 .23976 L
.14153 .22014 L
.14487 .19987 L
Mistroke
.14785 .18087 L
.15043 .16303 L
.1528 .14444 L
.15468 .12687 L
.15617 .10851 L
Mfstroke
.15 .63333 m
.1414 .61597 L
.13305 .59528 L
.12629 .5743 L
.12085 .55287 L
.11624 .5289 L
.11295 .50491 L
.11163 .49152 L
.11114 .48531 L
.11068 .4787 L
.11033 .47262 L
.11002 .46589 L
.1098 .45975 L
.10965 .45399 L
.10958 .45077 L
.10956 .44908 L
.10953 .44727 L
.10951 .44553 L
.1095 .44395 L
.1095 .44319 L
.10949 .44236 L
.10949 .44158 L
.10949 .44087 L
.10949 .44017 L
.10948 .43943 L
.10948 .43872 L
.10949 .43808 L
.10949 .43733 L
.10949 .43651 L
.10949 .43574 L
.1095 .43502 L
.10951 .4336 L
.10952 .43203 L
.10956 .42884 L
.10961 .42565 L
.10969 .42229 L
.10985 .41629 L
.11008 .40983 L
.11039 .40278 L
.1111 .39014 L
.11205 .3767 L
.11446 .35041 L
.11731 .32559 L
.12042 .30228 L
.12398 .27813 L
.12754 .25555 L
.13097 .23446 L
.13453 .21265 L
.13777 .19225 L
.14094 .17115 L
Mistroke
.14364 .15131 L
.14584 .13262 L
.14772 .11305 L
.14897 .0951 L
Mfstroke
.15 .65 m
.1403 .63258 L
.13077 .61159 L
.12295 .59009 L
.11655 .56793 L
.11101 .54294 L
.10695 .51776 L
.10525 .50363 L
.10398 .49008 L
.10348 .4835 L
.10303 .47649 L
.10268 .4699 L
.10242 .46385 L
.10221 .45736 L
.10211 .45378 L
.10204 .45037 L
.102 .44724 L
.10196 .44432 L
.10195 .44264 L
.10194 .44112 L
.10194 .44028 L
.10194 .43936 L
.10193 .4385 L
.10193 .43771 L
.10193 .43683 L
.10194 .436 L
.10194 .43526 L
.10194 .43445 L
.10195 .43357 L
.10195 .43264 L
.10197 .43096 L
.102 .42797 L
.10205 .42466 L
.10212 .42111 L
.10222 .41728 L
.10243 .41035 L
.10304 .39651 L
.10391 .38201 L
.106 .35608 L
.10885 .32898 L
.11204 .3035 L
.11574 .27714 L
.11948 .25249 L
.12309 .22947 L
.12684 .2057 L
.13024 .18348 L
.13323 .16267 L
.13603 .14103 L
.13828 .12062 L
.13923 .11037 L
Mistroke
.14012 .09927 L
.1413 .07893 L
.1413 .07889 L
Mfstroke
.15 .66667 m
.13915 .64919 L
.12838 .62788 L
.11944 .60582 L
.11203 .58287 L
.10551 .55678 L
.10063 .5303 L
.09854 .51537 L
.09693 .50101 L
.09568 .48658 L
.09483 .47311 L
.0945 .46601 L
.09425 .45934 L
.09415 .45558 L
.09406 .452 L
.09402 .45003 L
.09398 .44788 L
.09396 .44591 L
.09394 .44409 L
.09392 .4422 L
.09391 .44123 L
.09391 .44016 L
.0939 .43922 L
.0939 .43835 L
.0939 .43743 L
.0939 .43692 L
.0939 .43645 L
.0939 .43556 L
.0939 .43474 L
.0939 .43384 L
.0939 .43288 L
.09391 .43206 L
.09391 .43128 L
.09393 .42951 L
.09395 .42761 L
.09397 .4256 L
.09403 .42202 L
.09411 .41817 L
.09422 .41395 L
.09446 .40634 L
.09474 .39944 L
.09556 .38399 L
.09652 .36993 L
.09776 .35481 L
.10072 .3255 L
.10408 .29794 L
.1076 .27213 L
.11152 .24543 L
.11531 .22051 L
.11922 .19482 L
Mistroke
.12273 .17079 L
.12577 .14827 L
.12854 .12487 L
.13069 .10276 L
.13157 .09159 L
.13233 .07959 L
.13259 .07456 L
.13283 .06926 L
.13315 .05978 L
Mfstroke
.15 .68333 m
.13795 .6658 L
.12588 .64415 L
.11576 .62148 L
.10729 .59768 L
.09975 .57039 L
.094 .5425 L
.0915 .5267 L
.08954 .51146 L
.08799 .49611 L
.08689 .48175 L
.08647 .47468 L
.0861 .46704 L
.08593 .46266 L
.08579 .45863 L
.08568 .45481 L
.08558 .45073 L
.08551 .44664 L
.08547 .44292 L
.08545 .44112 L
.08544 .44018 L
.08544 .43918 L
.08543 .43831 L
.08543 .43735 L
.08543 .43647 L
.08543 .43566 L
.08542 .43463 L
.08543 .43405 L
.08543 .43352 L
.08543 .43254 L
.08543 .4315 L
.08544 .43057 L
.08544 .42969 L
.08546 .4277 L
.08548 .42556 L
.0855 .4236 L
.08558 .41917 L
.08566 .4154 L
.08576 .41138 L
.08599 .40414 L
.08672 .38774 L
.08775 .37092 L
.08896 .35517 L
.09178 .32552 L
.09537 .2947 L
.09919 .26584 L
.10303 .23889 L
.10712 .21106 L
.11093 .18508 L
.11467 .15826 L
Mistroke
.11785 .13311 L
.12043 .10946 L
.12162 .09643 L
.12254 .08473 L
.12333 .07244 L
.12389 .06121 L
.1241 .05569 L
.12427 .04988 L
.12434 .04707 L
.1244 .04405 L
.12443 .04232 L
.12445 .04075 L
.12449 .03767 L
Mfstroke
.15 .7 m
.1367 .6824 L
.12327 .66039 L
.11191 .63708 L
.10232 .61236 L
.09371 .58378 L
.08706 .55436 L
.08431 .53875 L
.08182 .52141 L
.07989 .5044 L
.07852 .48846 L
.07754 .47272 L
.07714 .46371 L
.07686 .45524 L
.07676 .45102 L
.07671 .44879 L
.07667 .44641 L
.07664 .44412 L
.07662 .44204 L
.0766 .43996 L
.07659 .43902 L
.07658 .43799 L
.07658 .43706 L
.07657 .43607 L
.07657 .43502 L
.07657 .43404 L
.07657 .43306 L
.07657 .43213 L
.07657 .4313 L
.07658 .4304 L
.07658 .42941 L
.07659 .42833 L
.0766 .42613 L
.07662 .42409 L
.07665 .42218 L
.07671 .41817 L
.07679 .41378 L
.07703 .40495 L
.07733 .39678 L
.07766 .3892 L
.07863 .37187 L
.07974 .35623 L
.08274 .32305 L
.08623 .29186 L
.09036 .25959 L
.09454 .22946 L
.09854 .20136 L
.10263 .17235 L
.10623 .14524 L
.10956 .11716 L
Mistroke
.11214 .0907 L
.11319 .07751 L
.11396 .06565 L
.11461 .05284 L
.11488 .04583 L
.11508 .03925 L
.11515 .03597 L
.11521 .03292 L
.11526 .02973 L
.11528 .02805 L
.11529 .02624 L
.1153 .0247 L
.1153 .02383 L
.11531 .02302 L
.11531 .02232 L
.11531 .02155 L
.11531 .02074 L
.11531 .01998 L
.11531 .01928 L
.11531 .01855 L
.1153 .01792 L
.1153 .01724 L
.11529 .0157 L
.11528 .01428 L
.11526 .01243 L
Mfstroke
.15 .71667 m
.1354 .69899 L
.12055 .6766 L
.1079 .6526 L
.09714 .6269 L
.0874 .59693 L
.07982 .56585 L
.07666 .54928 L
.07377 .53083 L
.07169 .51423 L
.06989 .49564 L
.06865 .47778 L
.06815 .46793 L
.0678 .45867 L
.06767 .45414 L
.06755 .44918 L
.06751 .44692 L
.06747 .4445 L
.06744 .44224 L
.06742 .44015 L
.0674 .43795 L
.0674 .43679 L
.06739 .43556 L
.06739 .4345 L
.06739 .4335 L
.06738 .43241 L
.06738 .43124 L
.06739 .4302 L
.06739 .42907 L
.06739 .428 L
.0674 .42702 L
.06741 .42515 L
.06743 .42316 L
.06748 .41868 L
.06755 .41456 L
.06777 .4053 L
.06804 .39715 L
.06839 .38858 L
.06934 .3706 L
.07046 .35398 L
.07351 .31913 L
.07748 .28298 L
.08174 .24916 L
.08601 .21762 L
.0905 .18512 L
.09457 .15481 L
.09809 .12646 L
.10126 .09702 L
.10361 .06924 L
.10456 .05426 L
Mistroke
.10491 .04739 L
.10523 .0401 L
.10548 .03279 L
.10565 .02618 L
.10571 .02298 L
.10577 .01953 L
.10579 .01794 L
.1058 .01627 L
.10581 .01484 L
.10582 .01328 L
.10583 .01236 L
.10583 .01151 L
.10583 .01107 L
.10583 .01058 L
.10583 .01007 L
.10583 .00959 L
.10583 .00871 L
.10583 .00791 L
.10583 .00703 L
.10582 .0061 L
.10582 .00448 L
.1058 .00297 L
Mfstroke
.1058 .00297 m
.10577 0 L
s
.15 .73333 m
.13405 .71558 L
.11772 .69278 L
.10371 .66805 L
.09173 .64129 L
.08082 .60982 L
.07227 .57694 L
.06869 .55934 L
.06541 .53968 L
.06302 .52195 L
.06095 .50207 L
.05949 .48293 L
.0589 .47237 L
.05848 .46243 L
.05831 .45756 L
.05817 .45225 L
.05806 .44722 L
.05802 .44481 L
.05799 .44254 L
.05796 .44032 L
.05794 .43791 L
.05793 .43685 L
.05792 .43573 L
.05792 .43467 L
.05791 .43371 L
.05791 .43259 L
.05791 .43139 L
.05791 .43028 L
.05791 .42922 L
.05791 .42799 L
.05792 .42686 L
.05792 .42561 L
.05793 .42429 L
.05795 .42194 L
.05798 .41947 L
.05804 .41505 L
.05813 .41029 L
.05825 .40509 L
.05853 .39577 L
.05887 .38711 L
.0599 .36708 L
.0611 .34901 L
.06443 .3107 L
.06834 .27474 L
.07294 .2376 L
.07752 .20299 L
.08183 .17075 L
.0861 .13747 L
.08968 .10633 L
.09277 .07401 L
Mistroke
.09397 .05808 L
.09487 .04342 L
.09551 .02929 L
.09578 .02141 L
.09595 .01429 L
.09602 .01057 L
.09605 .00855 L
.09607 .00665 L
.09609 .0049 L
.0961 .00331 L
.09611 .00154 L
.09612 .00056 L
Mfstroke
.09612 .00056 m
.09612 0 L
s
.15 .75 m
.13265 .73217 L
.11478 .70894 L
.09936 .68342 L
.0861 .65554 L
.07397 .62245 L
.06443 .58762 L
.06042 .5689 L
.05673 .54793 L
.05405 .52899 L
.0517 .5077 L
.05005 .48718 L
.04937 .47585 L
.04888 .46518 L
.04869 .45996 L
.04852 .45425 L
.04839 .44884 L
.04834 .44626 L
.0483 .44382 L
.04827 .44143 L
.04824 .43885 L
.04822 .4365 L
.0482 .43433 L
.0482 .43312 L
.04819 .43199 L
.04819 .43074 L
.04819 .42941 L
.04819 .42801 L
.04819 .42669 L
.0482 .4255 L
.0482 .42421 L
.04821 .42292 L
.04822 .42174 L
.04824 .41907 L
.0483 .41425 L
.0484 .40889 L
.04852 .40326 L
.04884 .39265 L
.0493 .38106 L
.05039 .36045 L
.0519 .3386 L
.05572 .29605 L
.06015 .25618 L
.06476 .21899 L
.06973 .18072 L
.07428 .14508 L
.07822 .11181 L
.08173 .07731 L
.08426 .04478 L
.08476 .03637 L
Mistroke
.08523 .02723 L
.08559 .01852 L
.08585 .01065 L
.08596 .00663 L
.08606 .00229 L
Mfstroke
.08606 .00229 m
.08609 0 L
s
.15 .76667 m
.13119 .74875 L
.11172 .72506 L
.09483 .69871 L
.08025 .66962 L
.06685 .63479 L
.05629 .59787 L
.05185 .57793 L
.04775 .55555 L
.04477 .5353 L
.04217 .51249 L
.04033 .49049 L
.03958 .47833 L
.03904 .46687 L
.03883 .46126 L
.03863 .45513 L
.03849 .44933 L
.03839 .44393 L
.03835 .44118 L
.03832 .43859 L
.0383 .43626 L
.03828 .43374 L
.03827 .43243 L
.03827 .43099 L
.03826 .42948 L
.03826 .42808 L
.03826 .42676 L
.03826 .42556 L
.03827 .42418 L
.03827 .42287 L
.03828 .42157 L
.03829 .42017 L
.03831 .41764 L
.03835 .41463 L
.03838 .41188 L
.03848 .40619 L
.03862 .40021 L
.03892 .39021 L
.03934 .3793 L
.04048 .35715 L
.04207 .33368 L
.04613 .288 L
.05082 .24524 L
.05568 .2054 L
.06085 .16444 L
.06552 .1263 L
.06945 .09068 L
.07133 .07125 L
.07281 .0537 L
.0741 .0355 L
Mistroke
.07503 .01875 L
.07542 .00983 L
.0757 .00176 L
Mfstroke
.0757 .00176 m
.07575 0 L
s
.15 .78333 m
.12969 .76532 L
.10855 .74115 L
.09013 .71392 L
.07417 .68353 L
.05947 .64684 L
.04786 .60766 L
.04265 .58485 L
.03848 .56251 L
.03533 .54167 L
.03255 .51818 L
.0305 .49462 L
.02966 .48157 L
.02905 .46928 L
.02881 .46327 L
.02859 .45669 L
.02844 .45088 L
.02837 .44768 L
.02831 .44467 L
.02827 .44172 L
.02822 .43853 L
.0282 .43562 L
.02818 .43424 L
.02818 .43295 L
.02817 .43163 L
.02816 .43043 L
.02816 .42909 L
.02816 .42765 L
.02816 .42628 L
.02816 .42478 L
.02816 .42336 L
.02817 .42206 L
.02817 .42062 L
.02818 .4191 L
.02821 .41639 L
.02824 .41348 L
.02828 .41029 L
.02838 .40457 L
.02849 .39925 L
.02885 .3871 L
.02935 .37414 L
.03073 .34829 L
.03242 .32411 L
.03647 .27875 L
.04158 .2319 L
.04682 .18829 L
.05179 .14776 L
.05666 .106 L
.06062 .06697 L
.06229 .04748 L
Mistroke
.06378 .02645 L
.06436 .01675 L
.06488 .00645 L
Mfstroke
.06488 .00645 m
.06514 0 L
s
.15 .8 m
.12814 .78189 L
.10527 .75721 L
.08526 .72904 L
.06786 .69728 L
.05182 .65857 L
.03915 .61696 L
.03347 .59264 L
.02894 .56877 L
.02552 .54646 L
.02252 .52129 L
.02033 .49601 L
.01943 .48202 L
.01879 .46883 L
.01854 .46238 L
.01832 .45532 L
.01815 .44863 L
.01809 .44544 L
.01804 .44242 L
.018 .43947 L
.01796 .43627 L
.01795 .43485 L
.01794 .43336 L
.01793 .43196 L
.01792 .43068 L
.01792 .42919 L
.01791 .4276 L
.01791 .42611 L
.01791 .42471 L
.01791 .42308 L
.01792 .42157 L
.01792 .41991 L
.01793 .41816 L
.01796 .41503 L
.01799 .41175 L
.01807 .40587 L
.01819 .39955 L
.01836 .39264 L
.01876 .38026 L
.01923 .36876 L
.02066 .3422 L
.02233 .31829 L
.02683 .26779 L
.03192 .22066 L
.03763 .17223 L
.04297 .12724 L
.04759 .08536 L
.05159 .042 L
.05303 .02237 L
.05427 .00115 L
Mistroke
Mfstroke
.05427 .00115 m
.05433 0 L
s
.15 .81667 m
.12653 .79845 L
.10187 .77324 L
.08022 .74407 L
.06134 .71083 L
.04391 .66998 L
.03016 .62575 L
.02402 .5998 L
.01913 .57428 L
.01546 .5504 L
.01226 .52343 L
.00995 .49633 L
.00902 .48132 L
.00836 .46718 L
.00811 .46025 L
.0079 .45268 L
.00774 .44551 L
.00768 .44209 L
.00763 .43885 L
.0076 .43569 L
.00758 .43402 L
.00757 .43226 L
.00756 .43077 L
.00755 .42914 L
.00755 .42765 L
.00754 .42627 L
.00754 .42453 L
.00754 .42288 L
.00754 .4214 L
.00755 .41979 L
.00756 .41804 L
.00757 .41618 L
.00759 .41284 L
.00763 .40949 L
.00768 .40597 L
.00779 .39968 L
.00794 .39291 L
.00814 .38551 L
.00861 .37224 L
.00915 .35994 L
.01077 .33153 L
.01262 .30598 L
.01753 .25211 L
.02297 .20191 L
.02896 .1504 L
.0344 .10257 L
.03893 .05801 L
.04102 .03373 L
.04261 .01179 L
.04328 .00101 L
Mistroke
Mfstroke
.04328 .00101 m
.04333 0 L
s
.15 .83333 m
.12487 .81501 L
.09836 .78923 L
.075 .75901 L
.05459 .72419 L
.03574 .68103 L
.02091 .634 L
.0143 .60631 L
.00907 .57902 L
.00484 .55104 L
.00179 .52456 L
s
.00179 .52456 m
0 .5031 L
s
0 .334 m
.00068 .32245 L
.00267 .29548 L
.00783 .23932 L
.01406 .18166 L
.02015 .12818 L
.02552 .07853 L
.03023 .02735 L
.03205 .00238 L
s
.03205 .00238 m
.03218 0 L
s
.15 .85 m
.12316 .83156 L
.09473 .80519 L
.0696 .77385 L
.04762 .73735 L
.02731 .69173 L
.01139 .64169 L
.00433 .61212 L
s
.00433 .61212 m
0 .58939 L
s
0 .20779 m
.00576 .15491 L
.01176 .10048 L
.01736 .0446 L
.01967 .01744 L
s
.01967 .01744 m
.02092 0 L
s
.15 .86667 m
.1214 .8481 L
.09099 .82112 L
.06404 .78858 L
.04042 .7503 L
.01864 .70203 L
.00162 .64877 L
s
.00162 .64877 m
0 .64196 L
s
0 .10265 m
.00368 .06772 L
.00864 .01299 L
s
.00864 .01299 m
.00958 0 L
s
.15 .88333 m
.11959 .86464 L
.08713 .837 L
.05829 .80321 L
.03301 .76303 L
.02029 .73732 L
.00971 .71194 L
s
.00971 .71194 m
0 .68152 L
s
.15 .9 m
.11772 .88117 L
.08316 .85285 L
.05238 .81773 L
.02537 .77552 L
.0118 .74835 L
.00054 .72142 L
s
.00054 .72142 m
0 .7197 L
s
.15 .91667 m
.13336 .90826 L
.11581 .8977 L
.07907 .86865 L
.04749 .8337 L
.01685 .78656 L
s
.01685 .78656 m
0 .74988 L
s
.16667 .08333 m
.16667 .08287 L
.16667 .08244 L
.16667 .08195 L
.16667 .08148 L
.16667 .08105 L
.16667 .08066 L
.16667 .08022 L
.16667 .07976 L
.16667 .0793 L
.16667 .0788 L
.16666 .07789 L
.16665 .07682 L
.16664 .07584 L
.16662 .0739 L
.16658 .07178 L
.16649 .06792 L
.16636 .06369 L
.16617 .05916 L
.16572 .05099 L
.16509 .0423 L
.16434 .03404 L
.16248 .01802 L
.15986 .00056 L
s
.15986 .00056 m
.15976 0 L
s
.16667 .1 m
.16679 .09644 L
.16689 .09254 L
.16693 .09057 L
.16696 .08847 L
.16698 .08745 L
.16699 .08648 L
.167 .08555 L
.167 .08468 L
.16701 .08371 L
.16701 .0832 L
.16701 .08265 L
.16701 .08238 L
.16701 .08208 L
.16701 .0818 L
.16701 .08153 L
.16701 .08104 L
.16701 .08076 L
.16701 .08051 L
.16701 .08001 L
.16701 .07956 L
.16701 .07905 L
.167 .07853 L
.167 .07763 L
.16699 .07666 L
.16696 .07448 L
.16692 .07215 L
.16682 .06793 L
.16669 .06387 L
.16651 .05944 L
.16606 .05136 L
.16548 .04337 L
.16471 .0348 L
.16292 .01918 L
.16039 .00214 L
s
.16039 .00214 m
.16 0 L
s
.16667 .11667 m
.16711 .10924 L
.16747 .10143 L
.16761 .09733 L
.16771 .09352 L
.16775 .09133 L
.16779 .08933 L
.1678 .08823 L
.16781 .08703 L
.16782 .0859 L
.16783 .08537 L
.16783 .08486 L
.16783 .0844 L
.16783 .0839 L
.16784 .08345 L
.16784 .08302 L
.16784 .08252 L
.16784 .08207 L
.16784 .08182 L
.16784 .08155 L
.16783 .08105 L
.16783 .08062 L
.16783 .08015 L
.16783 .0792 L
.16782 .07831 L
.16781 .07749 L
.16779 .07543 L
.16775 .07356 L
.16766 .06935 L
.16753 .06543 L
.16739 .06179 L
.16696 .05353 L
.16644 .04606 L
.16572 .03774 L
.16387 .02128 L
.1615 .00506 L
s
.1615 .00506 m
.16059 0 L
s
.16667 .13333 m
.16731 .12593 L
.16789 .11817 L
.16836 .11033 L
.16858 .10584 L
.16874 .10177 L
.16886 .09812 L
.16896 .09417 L
.16901 .092 L
.16904 .08999 L
.16906 .08807 L
.16907 .08711 L
.16907 .08655 L
.16907 .08604 L
.16907 .08554 L
.16907 .08508 L
.16908 .08457 L
.16908 .08429 L
.16908 .08402 L
.16908 .08354 L
.16908 .0831 L
.16908 .08262 L
.16907 .0821 L
.16907 .08168 L
.16907 .08122 L
.16906 .08039 L
.16906 .0794 L
.16905 .0785 L
.16902 .0765 L
.16898 .07433 L
.16889 .07037 L
.16877 .0667 L
.1686 .06264 L
.16815 .05438 L
.16761 .04673 L
.16687 .03841 L
.16495 .02175 L
.16249 .0053 L
s
.16249 .0053 m
.16152 0 L
s
.16667 .15 m
.16826 .13492 L
.16894 .12714 L
.16957 .11866 L
.17003 .11081 L
.17035 .10351 L
.17048 .09951 L
.17057 .09572 L
.17061 .09407 L
.17063 .09232 L
.17065 .09141 L
.17066 .0904 L
.17067 .08948 L
.17067 .08863 L
.17068 .08768 L
.17068 .08718 L
.17068 .08692 L
.17068 .08665 L
.17068 .08638 L
.17068 .08614 L
.17068 .08566 L
.17068 .08522 L
.17068 .08476 L
.17068 .08434 L
.17068 .08389 L
.17068 .08346 L
.17067 .08307 L
.17067 .08212 L
.17066 .08122 L
.17064 .07923 L
.17061 .07739 L
.17052 .07322 L
.1704 .06953 L
.17027 .06605 L
.16986 .0581 L
.16933 .05026 L
.16871 .04301 L
.16699 .02729 L
.16478 .01183 L
s
.16478 .01183 m
.16271 0 L
s
.16667 .16667 m
.16859 .15165 L
.17029 .13554 L
.17096 .12778 L
.17149 .12059 L
.17192 .11324 L
.17224 .10631 L
.17237 .10265 L
.17248 .09867 L
.17252 .09692 L
.17255 .09506 L
.17257 .09347 L
.17259 .09173 L
.1726 .0908 L
.1726 .09031 L
.1726 .08978 L
.1726 .08928 L
.1726 .08882 L
.1726 .08837 L
.17261 .08793 L
.17261 .08751 L
.1726 .08707 L
.1726 .08668 L
.1726 .08627 L
.1726 .08582 L
.1726 .08533 L
.17259 .08446 L
.17259 .08346 L
.17257 .08236 L
.17255 .08037 L
.17251 .07843 L
.17247 .07663 L
.17237 .07301 L
.17225 .06961 L
.17187 .06182 L
.17136 .05415 L
.17078 .04706 L
.16914 .03169 L
.16703 .01657 L
.16418 3e-005 L
s
.16418 3e-005 m
.16418 0 L
s
.16667 .18333 m
.16887 .16839 L
.17092 .1524 L
.17249 .13762 L
.17364 .12357 L
.17408 .11639 L
.17444 .10873 L
.17457 .10499 L
.17463 .10303 L
.17468 .10094 L
.17472 .09912 L
.17476 .09712 L
.17478 .09529 L
.17479 .09447 L
.1748 .09359 L
.1748 .09309 L
.1748 .09265 L
.17481 .09219 L
.17481 .09177 L
.17481 .09128 L
.17481 .09102 L
.17481 .09075 L
.17481 .09029 L
.17481 .09003 L
.17481 .08979 L
.17481 .08932 L
.17481 .08888 L
.17481 .08848 L
.1748 .08805 L
.1748 .08708 L
.17479 .08618 L
.17477 .08462 L
.17475 .08289 L
.17468 .0794 L
.17457 .07569 L
.17445 .07229 L
.17407 .06458 L
.17361 .05756 L
.17298 .04981 L
.17131 .03443 L
.16917 .01929 L
.16629 .00274 L
s
.16629 .00274 m
.16573 0 L
s
.16667 .2 m
.1691 .18512 L
.17146 .16925 L
.17335 .15463 L
.17485 .14078 L
.17554 .13313 L
.17607 .1262 L
.17652 .11895 L
.17685 .11228 L
.17697 .10904 L
.17708 .10546 L
.17717 .10188 L
.1772 .09991 L
.17722 .09896 L
.17723 .09807 L
.17724 .09714 L
.17725 .0963 L
.17725 .09537 L
.17725 .09486 L
.17726 .09438 L
.17726 .09395 L
.17726 .0935 L
.17726 .09311 L
.17726 .09269 L
.17726 .09223 L
.17726 .09198 L
.17726 .09174 L
.17725 .09129 L
.17725 .09086 L
.17725 .09007 L
.17724 .08922 L
.17723 .0877 L
.1772 .08606 L
.17717 .08426 L
.17709 .08065 L
.17698 .07734 L
.17665 .06985 L
.17623 .06302 L
.17565 .05549 L
.17411 .04056 L
.17211 .02587 L
.16941 .00983 L
s
.16941 .00983 m
.16744 0 L
s
.16667 .21667 m
.16929 .20185 L
.1719 .18608 L
.17407 .1716 L
.17588 .15792 L
.17747 .14358 L
.17864 .12995 L
.17913 .12254 L
.17948 .11556 L
.17962 .11221 L
.17973 .10866 L
.17981 .10562 L
.17984 .10403 L
.17987 .10228 L
.17988 .10135 L
.17989 .10049 L
.1799 .09959 L
.17991 .09878 L
.17991 .0984 L
.17991 .09798 L
.17991 .09762 L
.17991 .09723 L
.17991 .09681 L
.17992 .09637 L
.17992 .09596 L
.17992 .09557 L
.17991 .09512 L
.17991 .09487 L
.17991 .09464 L
.17991 .09421 L
.17991 .09375 L
.17991 .09296 L
.1799 .09208 L
.17988 .09015 L
.17985 .08834 L
.17978 .08493 L
.17967 .08133 L
.1794 .07488 L
.179 .06797 L
.17853 .06149 L
.17718 .04757 L
.17521 .03247 L
.17278 .01755 L
.16991 .00275 L
s
.16991 .00275 m
.1693 0 L
s
.16667 .23333 m
.16943 .21857 L
.17225 .2029 L
.17466 .18853 L
.17673 .17501 L
.17864 .16088 L
.18016 .14748 L
.18081 .14072 L
.18142 .13342 L
.18186 .12701 L
.18225 .11998 L
.18251 .11333 L
.18262 .10969 L
.18269 .10628 L
.18271 .10462 L
.18272 .10374 L
.18273 .10281 L
.18274 .10191 L
.18274 .10109 L
.18275 .1007 L
.18275 .10027 L
.18275 .09987 L
.18275 .0995 L
.18275 .09914 L
.18275 .09875 L
.18275 .09839 L
.18275 .09806 L
.18275 .09767 L
.18275 .09725 L
.18274 .09648 L
.18274 .09567 L
.18273 .09482 L
.18271 .09328 L
.18268 .09164 L
.18266 .09013 L
.18257 .08673 L
.18247 .08373 L
.18234 .08056 L
.18199 .07387 L
.18157 .06761 L
.18033 .05416 L
.17852 .03958 L
.17625 .02519 L
.17358 .01095 L
s
.17358 .01095 m
.17119 0 L
s
.16667 .25 m
.16953 .23529 L
.17249 .2197 L
.17509 .20543 L
.17739 .19204 L
.17958 .17808 L
.18141 .16489 L
.18303 .1511 L
.18426 .13797 L
.1847 .13201 L
.1851 .12546 L
.1854 .11902 L
.18552 .1155 L
.18561 .1122 L
.18564 .11059 L
.18568 .10883 L
.1857 .10718 L
.18571 .10638 L
.18571 .10564 L
.18572 .1049 L
.18572 .10452 L
.18572 .10411 L
.18572 .10377 L
.18573 .10339 L
.18573 .10305 L
.18573 .10273 L
.18573 .10233 L
.18573 .10195 L
.18573 .1016 L
.18573 .10123 L
.18572 .10083 L
.18572 .1004 L
.18572 .09963 L
.18571 .09885 L
.1857 .09804 L
.18569 .09658 L
.18566 .09502 L
.18563 .0933 L
.18555 .09022 L
.18545 .08734 L
.18515 .08065 L
.18478 .07453 L
.18365 .06125 L
.18214 .04825 L
.18004 .03412 L
.17752 .02013 L
.17462 .00625 L
s
.17462 .00625 m
.17315 0 L
s
.16667 .26667 m
.16957 .25201 L
.17264 .23648 L
.17539 .2223 L
.17787 .209 L
.18029 .19518 L
.18239 .18217 L
.18433 .1686 L
.1859 .15574 L
.18711 .14352 L
.18761 .13738 L
.18806 .13064 L
.18839 .12427 L
.18862 .11831 L
.1887 .11506 L
.18874 .11345 L
.18876 .11197 L
.18878 .11063 L
.1888 .1092 L
.1888 .10838 L
.1888 .10798 L
.18881 .10761 L
.18881 .10728 L
.18881 .10692 L
.18881 .10655 L
.18881 .10617 L
.18881 .10576 L
.18881 .10538 L
.18881 .10518 L
.18881 .10497 L
.18881 .10474 L
.18881 .10453 L
.18881 .10413 L
.18881 .10378 L
.1888 .10297 L
.1888 .10229 L
.18879 .10155 L
.18877 .10005 L
.18874 .09841 L
.18871 .09665 L
.18862 .09348 L
.18851 .09025 L
.18836 .08674 L
.188 .08035 L
.18754 .07401 L
.18694 .06725 L
.18556 .05492 L
.18363 .04151 L
.18132 .02828 L
.17836 .01377 L
Mistroke
Mfstroke
.17836 .01377 m
.17516 0 L
s
.16667 .28333 m
.16957 .26872 L
.1727 .25325 L
.17554 .23913 L
.17816 .22592 L
.18077 .2122 L
.18309 .19932 L
.18531 .18593 L
.18719 .17328 L
.18873 .1613 L
.19006 .14873 L
.19059 .14254 L
.19102 .13675 L
.19137 .13087 L
.19164 .1253 L
.19174 .12237 L
.19184 .11918 L
.19187 .11778 L
.1919 .11628 L
.19192 .11497 L
.19194 .11359 L
.19195 .11282 L
.19195 .11197 L
.19196 .1116 L
.19196 .1112 L
.19196 .11083 L
.19196 .11048 L
.19196 .11005 L
.19196 .10982 L
.19196 .10958 L
.19196 .10937 L
.19196 .10917 L
.19196 .10896 L
.19196 .10873 L
.19196 .10853 L
.19196 .10832 L
.19196 .1081 L
.19196 .10789 L
.19196 .10752 L
.19196 .10712 L
.19195 .10633 L
.19195 .10548 L
.19193 .10392 L
.19191 .10241 L
.19188 .10102 L
.19181 .09808 L
.19172 .09532 L
.19144 .08903 L
.19107 .08282 L
.19063 .0771 L
Mistroke
.1894 .06472 L
.18782 .05258 L
.1857 .03936 L
.1832 .02628 L
.18004 .01191 L
Mfstroke
.18004 .01191 m
.17709 0 L
s
.16667 .3 m
.16953 .28543 L
.17265 .27 L
.17555 .25593 L
.17825 .24277 L
.18101 .22913 L
.18351 .21634 L
.18596 .20308 L
.1881 .19059 L
.18992 .17881 L
.1916 .16648 L
.19292 .15478 L
.19392 .14365 L
.19435 .13749 L
.19467 .13188 L
.19479 .12911 L
.19491 .12609 L
.195 .12326 L
.19506 .12059 L
.19509 .11915 L
.19511 .11759 L
.19512 .1169 L
.19513 .11617 L
.19514 .11549 L
.19514 .11486 L
.19514 .11414 L
.19514 .11374 L
.19515 .11336 L
.19515 .11301 L
.19515 .11269 L
.19515 .11233 L
.19515 .11195 L
.19515 .11158 L
.19514 .11136 L
.19514 .11117 L
.19514 .11043 L
.19514 .11004 L
.19513 .10962 L
.19513 .10875 L
.19511 .10721 L
.19508 .10576 L
.19503 .10303 L
.19494 .10009 L
.19482 .09689 L
.19453 .09105 L
.19412 .08482 L
.19311 .0735 L
.19163 .06125 L
.18981 .0492 L
.18743 .03605 L
Mistroke
.18468 .02299 L
.1816 .01 L
Mfstroke
.1816 .01 m
.17898 0 L
s
.16667 .31667 m
.16943 .30214 L
.17251 .28674 L
.17541 .2727 L
.17816 .25956 L
.18101 .24597 L
.18364 .23324 L
.18628 .22006 L
.18864 .20768 L
.19071 .19603 L
.19268 .18389 L
.19432 .1724 L
.19566 .16152 L
.19679 .15006 L
.1976 .13912 L
.19791 .13318 L
.19803 .13045 L
.19813 .12755 L
.19821 .12464 L
.19826 .122 L
.19828 .12072 L
.19829 .12005 L
.19829 .11934 L
.1983 .11872 L
.1983 .11804 L
.1983 .11774 L
.19831 .11742 L
.19831 .11712 L
.19831 .11684 L
.19831 .1165 L
.19831 .11632 L
.19831 .11612 L
.19831 .11593 L
.19831 .11572 L
.19831 .11536 L
.19831 .11502 L
.19831 .1147 L
.19831 .11435 L
.1983 .11398 L
.1983 .11315 L
.19829 .11235 L
.19827 .11087 L
.19825 .10946 L
.19823 .10816 L
.19815 .10521 L
.19806 .10247 L
.19796 .09991 L
.19765 .09406 L
.19725 .08827 L
.19681 .08295 L
Mistroke
.19558 .07141 L
.19403 .06009 L
.19198 .04778 L
.18959 .03559 L
.18666 .02252 L
Mfstroke
.16667 .33333 m
.16929 .31884 L
.17227 .30346 L
.17512 .28943 L
.17787 .2763 L
.18077 .26271 L
.18349 .25 L
.18627 .23686 L
.1888 .22454 L
.19107 .21298 L
.19329 .20095 L
.19521 .18961 L
.19685 .17891 L
.19833 .16768 L
.1995 .15701 L
.19999 .15162 L
.20045 .14577 L
.20081 .14012 L
.20106 .13501 L
.20116 .13246 L
.20125 .1297 L
.20129 .12818 L
.20132 .12678 L
.20135 .12545 L
.20137 .12403 L
.20138 .12332 L
.20138 .12265 L
.20139 .122 L
.20139 .1214 L
.2014 .12083 L
.2014 .12054 L
.2014 .12022 L
.2014 .1199 L
.2014 .11956 L
.2014 .11924 L
.2014 .11894 L
.2014 .11861 L
.2014 .11827 L
.2014 .11794 L
.2014 .11764 L
.20139 .11691 L
.20139 .11622 L
.20137 .11484 L
.20135 .11335 L
.2013 .11078 L
.20122 .10795 L
.20111 .10499 L
.20099 .10222 L
.20068 .09666 L
.20031 .09156 L
Mistroke
.19927 .08051 L
.19793 .0697 L
.19611 .05796 L
.19405 .0467 L
Mfstroke
.16667 .35 m
.1691 .33554 L
.17192 .32017 L
.17469 .30612 L
.17739 .29297 L
.18029 .27936 L
.18305 .26663 L
.18592 .25349 L
.18858 .24117 L
.19101 .22964 L
.19344 .21767 L
.1956 .20641 L
.19748 .19581 L
.19927 .18474 L
.20076 .17426 L
.20208 .16326 L
.20308 .15278 L
.20378 .14278 L
.20403 .13764 L
.20414 .13479 L
.20422 .13217 L
.20429 .12949 L
.20431 .12808 L
.20434 .12659 L
.20434 .12597 L
.20435 .1253 L
.20435 .12472 L
.20436 .12409 L
.20436 .1237 L
.20436 .12353 L
.20436 .12335 L
.20436 .12301 L
.20436 .12282 L
.20436 .12265 L
.20436 .12232 L
.20436 .12201 L
.20436 .12168 L
.20436 .12151 L
.20436 .12133 L
.20436 .12067 L
.20435 .1203 L
.20435 .11995 L
.20434 .11865 L
.20432 .11746 L
.2043 .11621 L
.20425 .1136 L
.20416 .11072 L
.20395 .1056 L
.20363 .10009 L
.20274 .08908 L
Mistroke
.20153 .07832 L
.2002 .06887 L
Mfstroke
.16667 .36667 m
.16886 .35224 L
.17148 .33686 L
.1741 .32278 L
.17672 .30958 L
.17956 .29592 L
.18232 .28313 L
.18523 .26993 L
.18797 .25757 L
.19052 .24601 L
.19311 .23403 L
.19546 .22279 L
.19756 .21224 L
.19961 .20124 L
.20138 .19086 L
.20302 .18002 L
.20437 .16973 L
.20542 .15995 L
.2059 .15452 L
.20627 .14962 L
.20659 .14447 L
.20682 .13974 L
.20691 .13743 L
.20699 .13489 L
.20705 .13234 L
.20707 .13095 L
.20709 .12964 L
.20711 .12838 L
.20711 .12767 L
.20711 .12733 L
.20712 .12701 L
.20712 .12671 L
.20712 .12643 L
.20712 .12613 L
.20712 .1258 L
.20712 .1255 L
.20712 .12517 L
.20712 .12501 L
.20712 .12483 L
.20712 .12451 L
.20712 .1242 L
.20712 .12391 L
.20711 .12325 L
.20711 .12267 L
.2071 .12206 L
.20709 .121 L
.20707 .11983 L
.20702 .11725 L
.20696 .1149 L
.20675 .1096 L
Mistroke
.20648 .10474 L
.20611 .09942 L
.20516 .08917 L
Mfstroke
.16667 .38333 m
.16858 .36893 L
.17094 .35353 L
.17336 .3394 L
.17584 .32614 L
.17859 .31238 L
.1813 .29949 L
.1842 .28618 L
.18698 .27373 L
.1896 .26209 L
.19231 .25004 L
.19481 .23875 L
.19709 .22817 L
.19935 .21717 L
.20136 .20682 L
.20329 .19604 L
.20493 .18585 L
.20629 .17619 L
.2075 .16605 L
.20841 .15638 L
.20878 .15148 L
.20911 .14618 L
.20923 .1437 L
.20935 .14108 L
.20943 .13862 L
.2095 .13639 L
.20955 .13407 L
.20957 .1328 L
.20958 .13159 L
.20959 .13105 L
.20959 .13047 L
.2096 .12998 L
.2096 .12944 L
.2096 .12914 L
.2096 .12887 L
.2096 .12861 L
.2096 .12833 L
.2096 .12803 L
.2096 .12774 L
.2096 .12744 L
.2096 .12726 L
.2096 .1271 L
.2096 .12681 L
.2096 .12654 L
.2096 .12592 L
.20959 .12531 L
.20959 .12466 L
.20957 .12348 L
.20956 .12241 L
.2095 .11979 L
Mistroke
.20943 .1173 L
.20923 .11241 L
.20898 .10786 L
.20897 .10765 L
Mfstroke
.16667 .4 m
.16825 .38562 L
.17029 .37019 L
.17248 .35599 L
.17477 .34262 L
.17736 .32874 L
.17997 .31571 L
.18282 .30225 L
.18559 .28965 L
.18825 .27786 L
.19103 .26567 L
.19364 .25427 L
.19605 .24359 L
.19849 .23251 L
.2007 .22211 L
.20287 .21131 L
.20476 .20112 L
.2064 .19151 L
.20792 .18144 L
.20916 .17189 L
.21022 .16185 L
.21065 .15685 L
.21098 .15226 L
.21127 .1475 L
.21147 .14307 L
.21155 .14073 L
.21162 .13859 L
.21167 .13622 L
.21169 .13491 L
.21171 .13368 L
.21172 .13258 L
.21172 .13196 L
.21172 .13168 L
.21172 .13138 L
.21172 .13108 L
.21172 .13077 L
.21172 .13047 L
.21172 .1302 L
.21172 .13004 L
.21172 .12988 L
.21172 .12959 L
.21172 .12928 L
.21172 .1291 L
.21172 .12894 L
.21172 .12841 L
.21172 .12792 L
.21171 .1268 L
.21169 .12571 L
.21167 .12454 L
.21167 .12438 L
Mistroke
Mfstroke
.16667 .41667 m
.16786 .4023 L
.16955 .38683 L
.17144 .37254 L
.17349 .35905 L
.17589 .345 L
.17835 .33179 L
.18109 .31812 L
.18381 .30531 L
.18646 .29332 L
.18927 .28093 L
.19194 .26934 L
.19445 .25849 L
.19703 .24725 L
.1994 .23672 L
.20177 .2258 L
.20389 .21554 L
.20576 .20588 L
.20755 .19579 L
.20907 .18625 L
.21045 .17626 L
.21155 .16676 L
.21237 .1577 L
.21269 .15312 L
.21298 .14812 L
.21308 .14593 L
.21318 .1436 L
.2133 .13938 L
s
.16667 .43333 m
.16699 .42634 L
.16743 .41898 L
.1687 .40345 L
.17018 .38959 L
.17206 .37507 L
.17412 .36135 L
.17654 .34708 L
.17903 .33367 L
.18155 .32109 L
.18431 .30806 L
.18701 .29586 L
.18961 .28445 L
.19234 .27264 L
.19492 .26159 L
.19757 .25017 L
.2 .23946 L
.20222 .22942 L
.20442 .21899 L
.20637 .20917 L
.20825 .19895 L
.20985 .18928 L
.21118 .18011 L
.21236 .17049 L
.21326 .16131 L
.2139 .15265 L
s
.16667 .45 m
.16667 .44917 L
.16668 .44827 L
.1667 .44667 L
.16672 .44476 L
.16675 .44302 L
.16684 .43923 L
.16696 .43566 L
.16728 .42817 L
.16774 .42006 L
.16894 .40505 L
.17044 .39076 L
.17216 .37723 L
.17426 .36308 L
.17649 .34974 L
.17904 .3359 L
.18162 .3229 L
.18419 .31073 L
.18696 .29812 L
.18964 .28633 L
.19247 .27416 L
.19513 .26277 L
.19762 .2521 L
.20014 .24107 L
.20245 .23071 L
.20452 .22099 L
.20656 .21087 L
.20834 .20132 L
.21003 .19136 L
.21144 .18193 L
.21258 .17296 L
.21351 .16415 L
s
.16667 .46667 m
.16657 .46334 L
.16653 .46143 L
.16649 .4597 L
.16647 .45786 L
.16645 .45691 L
.16645 .45588 L
.16644 .45493 L
.16644 .45452 L
.16643 .45406 L
.16643 .45362 L
.16643 .45322 L
.16643 .45279 L
.16643 .45233 L
.16643 .45206 L
.16643 .45183 L
.16643 .45155 L
.16643 .45129 L
.16643 .45082 L
.16643 .45056 L
.16643 .45032 L
.16644 .44926 L
.16644 .44872 L
.16645 .44813 L
.16647 .44607 L
.1665 .44414 L
.16658 .44052 L
.16669 .43665 L
.16701 .42875 L
.16743 .42129 L
.1685 .40716 L
.17001 .39229 L
.17178 .37819 L
.17372 .36486 L
.17601 .35096 L
.17839 .33789 L
.18105 .32434 L
.18371 .31164 L
.18631 .29975 L
.1891 .28744 L
.19176 .27593 L
.19453 .26405 L
.19712 .25292 L
.19951 .2425 L
.20192 .2317 L
.20409 .22155 L
.20602 .21201 L
.20789 .20206 L
.2095 .19265 L
.211 .18282 L
Mistroke
.21216 .17385 L
Mfstroke
.16667 .48333 m
.16621 .47638 L
.16586 .469 L
.16572 .46511 L
.16563 .46148 L
.16559 .45939 L
.16556 .45749 L
.16555 .45644 L
.16554 .45529 L
.16554 .45477 L
.16553 .45421 L
.16553 .45374 L
.16553 .45349 L
.16553 .45322 L
.16553 .45273 L
.16553 .45228 L
.16553 .45201 L
.16553 .45175 L
.16553 .45127 L
.16553 .4508 L
.16553 .45037 L
.16553 .44991 L
.16554 .44941 L
.16554 .44855 L
.16555 .44775 L
.16557 .44592 L
.1656 .44394 L
.16563 .44214 L
.16573 .43808 L
.16586 .43435 L
.166 .43091 L
.16639 .42313 L
.16745 .40849 L
.1688 .39456 L
.17057 .37993 L
.17254 .3661 L
.17487 .3517 L
.1773 .33814 L
.17977 .32542 L
.18249 .31224 L
.18517 .29989 L
.18803 .28714 L
.19077 .27521 L
.19335 .26405 L
.19602 .25251 L
.19848 .2417 L
.20072 .23156 L
.20296 .22102 L
.20495 .21111 L
.20687 .20079 L
Mistroke
.20852 .19104 L
.20991 .1818 L
.20992 .18169 L
Mfstroke
.16667 .5 m
.1659 .49305 L
.16523 .48566 L
.16469 .4781 L
.16445 .47375 L
.16427 .46977 L
.16413 .46621 L
.16402 .46233 L
.16398 .46019 L
.16394 .45822 L
.16392 .45634 L
.16391 .45539 L
.16391 .45484 L
.1639 .45434 L
.1639 .45384 L
.1639 .45339 L
.1639 .45289 L
.1639 .45261 L
.1639 .45235 L
.1639 .45188 L
.1639 .45144 L
.1639 .45097 L
.1639 .45046 L
.1639 .45004 L
.1639 .44959 L
.1639 .44877 L
.16391 .4478 L
.16392 .44691 L
.16394 .44495 L
.16398 .44281 L
.16406 .43893 L
.16417 .43533 L
.16432 .43136 L
.16471 .42335 L
.16518 .41599 L
.16579 .40809 L
.16729 .39264 L
.16907 .37798 L
.17104 .36413 L
.17338 .34968 L
.1758 .3361 L
.17853 .32203 L
.18125 .30883 L
.18391 .29649 L
.18675 .28372 L
.18946 .27178 L
.19202 .2606 L
.19465 .24903 L
.19707 .23819 L
.1995 .22696 L
Mistroke
.20167 .2164 L
.2036 .20647 L
.20545 .19611 L
.20683 .18758 L
Mfstroke
.16667 .51667 m
.16456 .50232 L
.16368 .49472 L
.1629 .48631 L
.16232 .47841 L
.16193 .471 L
.16176 .46691 L
.16164 .46304 L
.16157 .45956 L
.16153 .45759 L
.16151 .45577 L
.1615 .45481 L
.16149 .45394 L
.16149 .45346 L
.16149 .45293 L
.16149 .45244 L
.16149 .45198 L
.16149 .45151 L
.16148 .45107 L
.16149 .45068 L
.16149 .45026 L
.16149 .44979 L
.16149 .4493 L
.16149 .44888 L
.16149 .44842 L
.1615 .44736 L
.16151 .4464 L
.16153 .44423 L
.16156 .44223 L
.1616 .44032 L
.1617 .43653 L
.16183 .43251 L
.16215 .42529 L
.16259 .41768 L
.16309 .41056 L
.16443 .3956 L
.16622 .37991 L
.16825 .36507 L
.17044 .35107 L
.17296 .33651 L
.17554 .32284 L
.17838 .30869 L
.18118 .29544 L
.18388 .28305 L
.18673 .27024 L
.18942 .25826 L
.19192 .24704 L
.19446 .23541 L
.19677 .2245 L
.19905 .21317 L
Mistroke
.20106 .20251 L
.20279 .19245 L
.20295 .19145 L
Mfstroke
.16667 .53333 m
.16384 .51898 L
.1626 .51133 L
.16142 .50282 L
.15979 .48727 L
.1592 .47947 L
.15874 .47107 L
.15857 .46695 L
.1585 .46478 L
.15843 .46247 L
.15838 .46045 L
.15834 .45823 L
.15831 .45621 L
.15829 .45431 L
.15828 .45327 L
.15827 .4523 L
.15827 .45174 L
.15827 .45123 L
.15827 .45095 L
.15827 .45065 L
.15827 .45036 L
.15827 .4501 L
.15827 .44962 L
.15827 .44917 L
.15827 .44868 L
.15827 .44815 L
.15827 .4476 L
.15828 .44707 L
.15828 .44609 L
.1583 .44422 L
.15833 .44248 L
.1584 .43856 L
.1585 .43465 L
.15863 .43098 L
.15901 .42263 L
.15949 .41447 L
.16004 .40702 L
.1615 .39119 L
.16324 .37619 L
.1654 .3605 L
.16772 .34571 L
.17039 .33036 L
.17311 .31595 L
.17581 .30246 L
.17873 .2885 L
.18154 .27544 L
.1842 .26322 L
.18696 .25058 L
.18952 .23873 L
.19209 .22647 L
Mistroke
.1944 .21495 L
.19644 .20412 L
.19835 .19318 L
Mfstroke
.16667 .55 m
.16307 .53563 L
.15984 .51932 L
.15749 .50349 L
.15584 .48789 L
.15522 .47976 L
.15473 .471 L
.15455 .4667 L
.15447 .46444 L
.1544 .46203 L
.15435 .45993 L
.15431 .45761 L
.15427 .4555 L
.15425 .45352 L
.15424 .45243 L
.15424 .45142 L
.15423 .45084 L
.15423 .45031 L
.15423 .45002 L
.15423 .4497 L
.15423 .4494 L
.15423 .44912 L
.15423 .44862 L
.15423 .44816 L
.15423 .44764 L
.15423 .44709 L
.15424 .44652 L
.15424 .44597 L
.15425 .44494 L
.15427 .44299 L
.15429 .44118 L
.15437 .43709 L
.15448 .43301 L
.15461 .42918 L
.15501 .42047 L
.15552 .41196 L
.15609 .4042 L
.15762 .3877 L
.15944 .37207 L
.16168 .35573 L
.16409 .34034 L
.16685 .32437 L
.16965 .30939 L
.17242 .29537 L
.1754 .28086 L
.17826 .26729 L
.18095 .2546 L
.18372 .24146 L
.18626 .22914 L
.1888 .21638 L
Mistroke
.19105 .20439 L
.19302 .19309 L
.19309 .1927 L
Mfstroke
.16667 .56667 m
.16224 .55228 L
.15815 .53579 L
.15503 .51966 L
.15268 .50364 L
.15173 .49525 L
.15089 .48617 L
.15023 .47685 L
.14999 .47255 L
.14979 .46797 L
.14963 .46377 L
.14957 .46153 L
.14951 .45913 L
.14946 .45692 L
.14943 .4549 L
.14942 .45392 L
.14941 .45286 L
.1494 .45186 L
.14939 .45093 L
.14939 .45039 L
.14939 .44979 L
.14939 .4492 L
.14939 .44887 L
.14938 .44857 L
.14938 .448 L
.14938 .44749 L
.14938 .44721 L
.14939 .4469 L
.14939 .44634 L
.14939 .44584 L
.14939 .44529 L
.1494 .44417 L
.14941 .44314 L
.14941 .44217 L
.14945 .43982 L
.14948 .43767 L
.1496 .43283 L
.14973 .42846 L
.14989 .4244 L
.15035 .41521 L
.15094 .40616 L
.15158 .39798 L
.15327 .38055 L
.15526 .36404 L
.15769 .34682 L
.16027 .33061 L
.16291 .3154 L
.16585 .29963 L
.16873 .28487 L
.17181 .26961 L
Mistroke
.17473 .25535 L
.17746 .242 L
.18023 .22817 L
.18274 .21521 L
.18521 .20177 L
.18723 .18988 L
Mfstroke
.16667 .58333 m
.16138 .56892 L
.15636 .55225 L
.1524 .53578 L
.14931 .5193 L
.14788 .50988 L
.14678 .50119 L
.14581 .49195 L
.14508 .48333 L
.14451 .47445 L
.14427 .46975 L
.14407 .46474 L
.14393 .46033 L
.14388 .45789 L
.14383 .45558 L
.1438 .45343 L
.14379 .45229 L
.14377 .45108 L
.14377 .44996 L
.14376 .44895 L
.14376 .44845 L
.14376 .44792 L
.14376 .44742 L
.14375 .44696 L
.14375 .44637 L
.14376 .4458 L
.14376 .4453 L
.14376 .44475 L
.14376 .44415 L
.14376 .44352 L
.14377 .44237 L
.14378 .44132 L
.14379 .44034 L
.14382 .43809 L
.14386 .43564 L
.14391 .4334 L
.14405 .42835 L
.14421 .42373 L
.1444 .41944 L
.14492 .40973 L
.14629 .39153 L
.14822 .37244 L
.15047 .35438 L
.15292 .33736 L
.15576 .31968 L
.15866 .3031 L
.16153 .28757 L
.16462 .2715 L
.16758 .25647 L
.17064 .24095 L
Mistroke
.17346 .22641 L
.17602 .21278 L
.17854 .19863 L
.18074 .18532 L
.18085 .18462 L
Mfstroke
.16667 .6 m
.16046 .58556 L
.15446 .56869 L
.14961 .55185 L
.14571 .53487 L
.14239 .51606 L
.14001 .49738 L
.13904 .48699 L
.13833 .47706 L
.13806 .47226 L
.13783 .46715 L
.13767 .46278 L
.13753 .45795 L
.13748 .45535 L
.13744 .45288 L
.13741 .45066 L
.1374 .4494 L
.13739 .44823 L
.13739 .44757 L
.13739 .44723 L
.13739 .44686 L
.13739 .44654 L
.13739 .44619 L
.13738 .44557 L
.13738 .44497 L
.13738 .44433 L
.13739 .44372 L
.13739 .44316 L
.13739 .44247 L
.13739 .44183 L
.1374 .44039 L
.13741 .43911 L
.13743 .43776 L
.13747 .4353 L
.13751 .43305 L
.13763 .42799 L
.13778 .42352 L
.13796 .41882 L
.13846 .40895 L
.13905 .39981 L
.14067 .38052 L
.14287 .36034 L
.14536 .34129 L
.14803 .32336 L
.15108 .30477 L
.15414 .28735 L
.15713 .27106 L
.16031 .2542 L
.1633 .23843 L
.16634 .22214 L
Mistroke
.1691 .20686 L
.17154 .19252 L
.17389 .1776 L
.174 .17683 L
Mfstroke
.16667 .61667 m
.15949 .6022 L
.15245 .5851 L
.14666 .56788 L
.1419 .55034 L
.13773 .53077 L
.13461 .51118 L
.13328 .50023 L
.13225 .48974 L
.13146 .47923 L
.13091 .46946 L
.1307 .46431 L
.13055 .45947 L
.13048 .45675 L
.13042 .45416 L
.1304 .45273 L
.13038 .45117 L
.13036 .44974 L
.13035 .44843 L
.13034 .44706 L
.13033 .44634 L
.13033 .44558 L
.13033 .44492 L
.13033 .4443 L
.13033 .44362 L
.13033 .44324 L
.13033 .4429 L
.13033 .44225 L
.13033 .44166 L
.13033 .44101 L
.13034 .44032 L
.13034 .43915 L
.13035 .43787 L
.13039 .43508 L
.13043 .43206 L
.13056 .42661 L
.13072 .42148 L
.13093 .41587 L
.13151 .40458 L
.1322 .39415 L
.13309 .38306 L
.13525 .36136 L
.13777 .34085 L
.1405 .32156 L
.14363 .30154 L
.1468 .2828 L
.1499 .26527 L
.15319 .24713 L
.15627 .23017 L
.15939 .21264 L
Mistroke
.1622 .1962 L
.16466 .18077 L
.16674 .16641 L
Mfstroke
.16667 .63333 m
.15847 .61883 L
.15033 .6015 L
.14354 .58385 L
.13787 .56571 L
.1328 .5453 L
.1289 .52472 L
.12728 .51394 L
.12581 .50204 L
.12475 .49143 L
.12384 .47961 L
.12322 .46831 L
.12298 .46209 L
.12282 .45626 L
.12276 .4534 L
.12273 .4519 L
.12271 .45029 L
.12269 .44874 L
.12267 .44734 L
.12266 .44593 L
.12266 .4453 L
.12265 .4446 L
.12265 .44393 L
.12265 .44331 L
.12265 .44264 L
.12265 .44193 L
.12265 .44127 L
.12265 .44065 L
.12265 .44009 L
.12265 .43947 L
.12266 .43881 L
.12266 .43808 L
.12267 .43659 L
.12268 .43521 L
.1227 .43392 L
.12274 .43121 L
.12279 .42825 L
.12294 .42228 L
.12313 .41676 L
.12334 .41163 L
.12395 .39989 L
.12466 .38927 L
.12661 .36665 L
.12897 .34525 L
.13188 .32298 L
.13496 .30206 L
.13809 .28247 L
.14152 .26219 L
.14481 .24324 L
.14821 .22367 L
Mistroke
.15134 .20536 L
.15413 .1882 L
.15682 .17038 L
.15907 .15359 L
.15911 .15327 L
Mfstroke
.16667 .65 m
.1574 .63546 L
.1481 .61787 L
.14025 .59976 L
.13361 .58098 L
.12759 .55965 L
.12286 .53799 L
.12086 .52658 L
.119 .51395 L
.11764 .50265 L
.11642 .49003 L
.11554 .47794 L
.11517 .47128 L
.11489 .46502 L
.11478 .46195 L
.11467 .45861 L
.1146 .45565 L
.11453 .4525 L
.11448 .44938 L
.11444 .44654 L
.11443 .44517 L
.11443 .44445 L
.11442 .44369 L
.11442 .44303 L
.11442 .44229 L
.11441 .44163 L
.11441 .44101 L
.11441 .44022 L
.11441 .43983 L
.11441 .43939 L
.11441 .43862 L
.11442 .4379 L
.11442 .43705 L
.11442 .43627 L
.11444 .43451 L
.11445 .43308 L
.11447 .43152 L
.11452 .42836 L
.11457 .42547 L
.11464 .42239 L
.11481 .41683 L
.11504 .41048 L
.11536 .4036 L
.11607 .39117 L
.11806 .36615 L
.12054 .34247 L
.12332 .32017 L
.1266 .297 L
.12995 .27531 L
.1336 .25291 L
Mistroke
.1371 .23198 L
.14035 .21242 L
.14362 .19218 L
.1465 .1732 L
.14921 .15351 L
.15114 .13733 L
Mfstroke
.16667 .66667 m
.15628 .65208 L
.14576 .63422 L
.1368 .61561 L
.12913 .59613 L
.1221 .57381 L
.1165 .55096 L
.1141 .53886 L
.11184 .52543 L
.11015 .51337 L
.10862 .49988 L
.10747 .48693 L
.10696 .47969 L
.10658 .47304 L
.10628 .46688 L
.10603 .46013 L
.10592 .45643 L
.10584 .45298 L
.10578 .44969 L
.10573 .44617 L
.10571 .44443 L
.1057 .44347 L
.1057 .44258 L
.10569 .44176 L
.10569 .44101 L
.10569 .44017 L
.10569 .43971 L
.10569 .43928 L
.10569 .43885 L
.10569 .43838 L
.10569 .43788 L
.10569 .43742 L
.10569 .43659 L
.10569 .43613 L
.10569 .4357 L
.1057 .4348 L
.1057 .43381 L
.10572 .43181 L
.10574 .43004 L
.10576 .42842 L
.10582 .4248 L
.10597 .41828 L
.10618 .41159 L
.10642 .40543 L
.10714 .39155 L
.10796 .37909 L
.10905 .36548 L
.11166 .33923 L
.11464 .31452 L
.11817 .2889 L
Mistroke
.12177 .26493 L
.1253 .24253 L
.12902 .2194 L
.13245 .19778 L
.13583 .17545 L
.13874 .15448 L
.14115 .13475 L
.14283 .11851 L
Mfstroke
.16667 .68333 m
.15511 .6687 L
.14331 .65054 L
.13318 .63141 L
.12443 .61117 L
.11634 .58777 L
.10982 .56362 L
.107 .55078 L
.10432 .53647 L
.10044 .50913 L
.09903 .49522 L
.09843 .48805 L
.09788 .48029 L
.09746 .47299 L
.09714 .46628 L
.09689 .45952 L
.09672 .45308 L
.09665 .44945 L
.0966 .44615 L
.09658 .44432 L
.09657 .44335 L
.09656 .44233 L
.09655 .44144 L
.09655 .44046 L
.09654 .43957 L
.09654 .43874 L
.09654 .43791 L
.09654 .43701 L
.09654 .43616 L
.09654 .43537 L
.09654 .43467 L
.09654 .43389 L
.09655 .43307 L
.09655 .4323 L
.09656 .43057 L
.09658 .42898 L
.09662 .4254 L
.09668 .42196 L
.09676 .41829 L
.09694 .41168 L
.09723 .40382 L
.09755 .3967 L
.09833 .38288 L
.09939 .36799 L
.10204 .33908 L
.10515 .31183 L
.10851 .28628 L
.11232 .25982 L
.11607 .23511 L
.12 .20963 L
Mistroke
.12361 .18582 L
.12681 .16354 L
.12981 .14042 L
.13224 .11863 L
.13418 .09673 L
Mfstroke
.16667 .7 m
.15389 .68532 L
.14075 .66685 L
.12938 .64714 L
.11951 .62609 L
.11029 .60152 L
.10282 .57596 L
.09646 .54702 L
.0939 .53195 L
.09191 .51774 L
.09022 .50278 L
.08897 .48858 L
.08804 .47413 L
.08767 .4664 L
.0875 .46209 L
.08737 .45807 L
.08725 .45393 L
.08717 .45017 L
.0871 .44599 L
.08707 .44369 L
.08705 .44153 L
.08704 .43961 L
.08703 .43864 L
.08703 .43809 L
.08703 .43758 L
.08703 .43668 L
.08702 .43571 L
.08702 .43481 L
.08703 .43396 L
.08703 .43297 L
.08703 .43247 L
.08703 .43192 L
.08704 .43003 L
.08705 .42897 L
.08706 .42783 L
.08708 .42576 L
.08713 .42187 L
.0872 .41825 L
.08741 .41003 L
.08768 .40204 L
.08805 .39351 L
.08899 .37688 L
.09011 .36129 L
.09279 .33191 L
.09625 .30136 L
.09999 .27272 L
.10378 .24596 L
.10786 .21832 L
.11167 .19253 L
.11547 .16591 L
Mistroke
.11874 .14097 L
.12143 .11753 L
.12371 .09306 L
.12513 .0719 L
Mfstroke
.16667 .71667 m
.15262 .70192 L
.13808 .68312 L
.12542 .66281 L
.11435 .64087 L
.10397 .61504 L
.0955 .58796 L
.08825 .55708 L
.08531 .54092 L
.08302 .52565 L
.08106 .50956 L
.07961 .49426 L
.0785 .47865 L
.07805 .47032 L
.07768 .46131 L
.07743 .45277 L
.07733 .44792 L
.07729 .4456 L
.07726 .44342 L
.07724 .44134 L
.07723 .44025 L
.07722 .43909 L
.07722 .43812 L
.07721 .43705 L
.07721 .43607 L
.0772 .43517 L
.0772 .43462 L
.0772 .43402 L
.0772 .43294 L
.0772 .43189 L
.07721 .43092 L
.07721 .42987 L
.07722 .42871 L
.07723 .42636 L
.07725 .42436 L
.07728 .42218 L
.07735 .41778 L
.07743 .41371 L
.07753 .40992 L
.07779 .40137 L
.07816 .39224 L
.07913 .37424 L
.0803 .35736 L
.08314 .32556 L
.08682 .29252 L
.09078 .26158 L
.09478 .23269 L
.09904 .20288 L
.10297 .17506 L
.10681 .14635 L
Mistroke
.11003 .11942 L
.11256 .09407 L
.1137 .0801 L
.11455 .06754 L
.11519 .05535 L
.11562 .04392 L
Mfstroke
.16667 .73333 m
.1513 .71853 L
.1353 .69937 L
.12129 .67841 L
.10898 .65553 L
.09738 .62833 L
.08787 .59958 L
.0797 .56659 L
.07639 .54926 L
.07379 .53285 L
.07157 .51552 L
.06992 .49901 L
.06865 .48216 L
.06814 .47315 L
.06771 .46342 L
.06741 .45418 L
.06729 .44894 L
.06724 .44643 L
.06721 .44407 L
.06718 .44182 L
.06716 .43939 L
.06715 .43831 L
.06714 .43718 L
.06713 .43611 L
.06713 .43514 L
.06713 .43401 L
.06712 .43279 L
.06712 .43167 L
.06713 .4306 L
.06713 .43 L
.06713 .42936 L
.06713 .42821 L
.06714 .42698 L
.06715 .42561 L
.06716 .42346 L
.06719 .42109 L
.06726 .41633 L
.06734 .41193 L
.06744 .40783 L
.06772 .39857 L
.06812 .3887 L
.06916 .36923 L
.07042 .35097 L
.07349 .31663 L
.07744 .28097 L
.08166 .24762 L
.08587 .21652 L
.0903 .18444 L
.09432 .15451 L
.09813 .12361 L
Mistroke
.1012 .09457 L
.10346 .06718 L
.10433 .05321 L
.10469 .04608 L
.10501 .0384 L
.10524 .03149 L
.10532 .02846 L
.1054 .02514 L
.10546 .02221 L
.1055 .01908 L
.10552 .01734 L
.10554 .01576 L
.10555 .01418 L
.10556 .01268 L
Mfstroke
.16667 .75 m
.14993 .73513 L
.13241 .7156 L
.11698 .69394 L
.10337 .67005 L
.09051 .64137 L
.07993 .61082 L
.07083 .57553 L
.06714 .55692 L
.06424 .53927 L
.06177 .52059 L
.05993 .50278 L
.05852 .48459 L
.05795 .47485 L
.05747 .46433 L
.05715 .45434 L
.05701 .44868 L
.05696 .44597 L
.05692 .44341 L
.05689 .44098 L
.05687 .43835 L
.05686 .43719 L
.05685 .43596 L
.05684 .43481 L
.05684 .43376 L
.05683 .43253 L
.05683 .43122 L
.05683 .43 L
.05683 .42885 L
.05683 .4282 L
.05684 .42751 L
.05684 .42627 L
.05685 .42493 L
.05686 .42346 L
.05688 .42112 L
.05691 .41857 L
.05698 .41342 L
.05708 .40866 L
.05719 .40423 L
.0575 .39422 L
.05793 .38356 L
.05908 .36251 L
.06047 .34281 L
.0638 .30576 L
.06806 .26735 L
.07256 .23148 L
.07699 .19807 L
.08157 .16362 L
.08561 .13148 L
.08932 .09824 L
Mistroke
.09089 .08193 L
.09214 .06696 L
.09322 .05165 L
.09401 .03734 L
.09435 .02974 L
.09463 .02154 L
.09474 .01791 L
.09483 .01409 L
.0949 .01058 L
.09495 .00726 L
.09497 .00543 L
.09499 .00344 L
.095 .00164 L
.09501 .00084 L
Mfstroke
.09501 .00084 m
.09501 0 L
s
.16667 .76667 m
.1485 .75172 L
.1294 .73179 L
.1125 .7094 L
.09754 .68441 L
.08336 .65415 L
.07168 .62164 L
.06655 .60391 L
.06164 .58387 L
.05439 .54487 L
.05168 .52474 L
.04943 .50296 L
.04864 .4931 L
.04792 .48243 L
.04738 .47237 L
.04698 .46299 L
.04679 .45733 L
.04665 .4522 L
.04652 .44648 L
.04647 .44334 L
.04643 .44038 L
.0464 .43776 L
.04639 .43633 L
.04638 .43499 L
.04638 .43376 L
.04637 .43263 L
.04637 .43137 L
.04636 .43003 L
.04636 .42934 L
.04636 .4286 L
.04637 .42727 L
.04637 .42654 L
.04637 .42585 L
.04638 .42427 L
.04638 .42291 L
.04639 .42165 L
.04642 .41882 L
.04645 .41615 L
.04648 .41373 L
.04658 .40829 L
.04682 .39851 L
.0472 .3871 L
.04767 .37636 L
.04887 .35507 L
.05025 .3356 L
.05395 .29469 L
.05817 .25638 L
.06305 .21683 L
.0678 .18002 L
.07261 .14216 L
Mistroke
.07674 .10682 L
.08004 .07369 L
.08153 .05548 L
.08263 .03913 L
.08309 .03097 L
.08351 .02217 L
.08383 .01394 L
.08406 .00628 L
.08416 .00212 L
Mfstroke
.08416 .00212 m
.0842 0 L
s
.16667 .78333 m
.14703 .76831 L
.12628 .74796 L
.10785 .72478 L
.09148 .69863 L
.07593 .66665 L
.06313 .63203 L
.05751 .61307 L
.05214 .59157 L
.04424 .54961 L
.04131 .52791 L
.0389 .50441 L
.03806 .49377 L
.0373 .48224 L
.03673 .47138 L
.03633 .46125 L
.03615 .45562 L
.036 .4496 L
.03593 .44616 L
.03587 .44292 L
.03583 .43997 L
.0358 .43685 L
.03578 .43407 L
.03577 .4325 L
.03576 .43103 L
.03576 .42968 L
.03576 .42844 L
.03576 .42702 L
.03576 .42567 L
.03576 .42421 L
.03576 .42348 L
.03577 .42266 L
.03578 .41988 L
.0358 .41831 L
.03581 .41663 L
.03585 .41358 L
.03594 .40783 L
.03605 .40249 L
.03639 .39037 L
.03684 .3786 L
.03743 .36605 L
.03893 .34162 L
.04068 .31879 L
.04473 .27599 L
.04973 .2318 L
.0548 .19065 L
.05959 .15239 L
.06428 .11294 L
.06813 .07606 L
.06976 .05764 L
Mistroke
.07124 .03776 L
.07236 .01886 L
.07274 .01048 L
.07309 .00144 L
Mfstroke
.07309 .00144 m
.07313 0 L
s
.16667 .8 m
.1455 .7849 L
.12304 .7641 L
.10302 .74008 L
.08519 .71268 L
.06824 .67885 L
.05429 .64196 L
.04817 .62166 L
.04234 .59859 L
.03382 .55344 L
.03069 .53004 L
.02937 .51789 L
.02816 .5047 L
.02721 .49225 L
.0265 .48078 L
.02593 .4692 L
.02552 .45814 L
.02535 .45189 L
.02522 .44621 L
.02517 .44307 L
.02512 .43966 L
.02508 .43644 L
.02507 .43501 L
.02506 .43347 L
.02505 .43204 L
.02504 .43072 L
.02504 .4294 L
.02504 .42816 L
.02504 .4267 L
.02504 .42536 L
.02504 .42388 L
.02504 .42231 L
.02505 .42092 L
.02506 .41942 L
.02508 .41671 L
.02511 .41348 L
.02515 .41052 L
.02524 .4046 L
.02538 .39828 L
.02571 .38691 L
.02623 .37342 L
.02681 .3612 L
.03016 .31215 L
.03449 .26609 L
.03979 .21858 L
.04513 .17439 L
.05009 .13332 L
.05483 .09098 L
.05857 .05136 L
.06008 .03154 L
Mistroke
.06138 .01012 L
.06185 .00023 L
Mfstroke
.06185 .00023 m
.06186 0 L
s
.16667 .81667 m
.14393 .80148 L
.1197 .78021 L
.09802 .7553 L
.07868 .72656 L
.06027 .69074 L
.04515 .6514 L
.03854 .62965 L
.03226 .60489 L
.02751 .58217 L
.02315 .5563 L
.01985 .53109 L
.01837 .51689 L
.01722 .50377 L
.01633 .49156 L
.01555 .47815 L
.0152 .47077 L
.01492 .4639 L
.01469 .45683 L
.01452 .4503 L
.01438 .4435 L
.01433 .43992 L
.01428 .43613 L
.01427 .43454 L
.01426 .43284 L
.01425 .43136 L
.01424 .42976 L
.01423 .42878 L
.01423 .42788 L
.01423 .42702 L
.01423 .4261 L
.01423 .42451 L
.01423 .42276 L
.01423 .42119 L
.01424 .41952 L
.01425 .41811 L
.01426 .41656 L
.01429 .41309 L
.01433 .40987 L
.01441 .40401 L
.01454 .39776 L
.01492 .38402 L
.01549 .36916 L
.0169 .34233 L
.01871 .31611 L
.02099 .2887 L
.02581 .24039 L
.03146 .19063 L
.03694 .14442 L
.04232 .09699 L
Mistroke
.04669 .05272 L
.04847 .03079 L
.04981 .01113 L
Mfstroke
.04981 .01113 m
.05039 0 L
s
.16667 .83333 m
.1423 .81805 L
.11623 .79629 L
.09284 .77043 L
.07194 .74026 L
.05204 .70231 L
.03572 .66032 L
.02862 .63702 L
.0219 .61043 L
.01686 .586 L
.01226 .55816 L
.00882 .531 L
.00729 .51571 L
.00612 .50157 L
.00524 .48843 L
.00447 .47399 L
.00414 .46604 L
.00388 .45865 L
.00369 .45157 L
.00353 .44401 L
.00347 .44025 L
.00342 .43629 L
.00339 .4329 L
.00338 .43097 L
.00337 .42918 L
.00336 .42818 L
.00336 .42709 L
.00336 .42607 L
.00335 .42512 L
.00335 .42333 L
.00336 .42142 L
.00336 .42044 L
.00336 .41939 L
.00337 .41747 L
.00338 .4152 L
.0034 .41311 L
.00344 .4096 L
.00348 .40634 L
.0036 .39892 L
.00376 .39171 L
.00398 .38401 L
.0045 .36927 L
.00524 .35334 L
.00695 .32463 L
.01165 .26739 L
.01716 .21395 L
.0228 .16433 L
.02864 .11336 L
.03362 .06595 L
.03578 .04237 L
Mistroke
.03777 .01698 L
Mfstroke
.03777 .01698 m
.03884 0 L
s
.16667 .85 m
.14062 .83462 L
.11265 .81234 L
.08749 .78547 L
.06497 .75377 L
.04354 .71353 L
.02602 .6687 L
.01844 .64373 L
.0113 .61517 L
.00597 .58891 L
.00116 .55895 L
s
.00116 .55895 m
0 .54936 L
s
0 .27232 m
.00156 .25361 L
.00754 .19572 L
.01356 .14203 L
.0196 .087 L
.02452 .03577 L
.02652 .01055 L
s
.02652 .01055 m
.02721 0 L
s
.16667 .86667 m
.13889 .85119 L
.10896 .82835 L
.08196 .80042 L
.05777 .76708 L
.03477 .72439 L
.01606 .6765 L
.00745 .64775 L
.00045 .61908 L
s
.00045 .61908 m
0 .61683 L
s
0 .15801 m
.00413 .12046 L
.00984 .06614 L
.01261 .03667 L
.01481 .01014 L
s
.01481 .01014 m
.01551 0 L
s
.16667 .88333 m
.13711 .86774 L
.10515 .84433 L
.07625 .81527 L
.05034 .78019 L
.02575 .73487 L
.00583 .6837 L
s
.00583 .6837 m
0 .66395 L
s
0 .04395 m
.00182 .02486 L
s
.00182 .02486 m
.0038 0 L
s
.16667 .9 m
.13527 .8843 L
.10122 .86027 L
.07036 .83001 L
.04269 .79308 L
.01647 .74494 L
s
.01647 .74494 m
0 .70229 L
s
.16667 .91667 m
.15051 .90969 L
.13338 .90084 L
.09718 .87618 L
.06553 .84602 L
.03412 .80466 L
.00732 .75538 L
s
.00732 .75538 m
0 .73784 L
s
.18333 .08333 m
.18303 .07703 L
.1826 .07035 L
.18132 .056 L
.17971 .04279 L
.1775 .02841 L
.17487 .01417 L
s
.17487 .01417 m
.17183 0 L
s
.18333 .1 m
.18333 .09961 L
.18333 .09925 L
.18333 .09884 L
.18333 .09845 L
.18333 .09809 L
.18333 .09776 L
.18332 .09701 L
.18332 .09625 L
.18331 .09542 L
.18329 .09373 L
.18326 .09208 L
.18323 .09031 L
.18314 .0871 L
.18301 .08332 L
.18286 .07972 L
.18247 .07293 L
.18198 .06621 L
.18143 .05993 L
.17991 .04638 L
.17778 .03166 L
.1752 .01709 L
.17221 .00261 L
s
.17221 .00261 m
.1716 0 L
s
.18333 .11667 m
.18344 .11369 L
.18353 .11043 L
.18357 .10878 L
.1836 .10702 L
.18362 .10536 L
.18364 .10385 L
.18365 .10298 L
.18365 .1025 L
.18365 .10206 L
.18365 .10165 L
.18365 .10127 L
.18365 .10085 L
.18366 .10062 L
.18366 .1004 L
.18366 .10017 L
.18366 .09995 L
.18366 .09971 L
.18366 .09948 L
.18365 .09906 L
.18365 .09883 L
.18365 .09861 L
.18365 .09816 L
.18365 .09766 L
.18364 .09666 L
.18363 .09577 L
.18362 .09496 L
.1836 .09314 L
.18357 .09145 L
.18353 .08985 L
.18344 .08663 L
.18332 .0832 L
.18302 .07703 L
.1826 .07047 L
.18211 .06427 L
.18075 .051 L
.17881 .0366 L
.17643 .02236 L
.17365 .00826 L
s
.17365 .00826 m
.17179 0 L
s
.18333 .13333 m
.18374 .12712 L
.18409 .1206 L
.18422 .1174 L
.18434 .11399 L
.18439 .11203 L
.18443 .11024 L
.18447 .10855 L
.1845 .10675 L
.18451 .1052 L
.18452 .10431 L
.18453 .10348 L
.18453 .10309 L
.18453 .10272 L
.18453 .10239 L
.18453 .10203 L
.18454 .10164 L
.18454 .10128 L
.18454 .10085 L
.18454 .10046 L
.18453 .10003 L
.18453 .09982 L
.18453 .09958 L
.18453 .09877 L
.18453 .09831 L
.18452 .09782 L
.18452 .09694 L
.1845 .0952 L
.18447 .09362 L
.1844 .09035 L
.18431 .08732 L
.18402 .08044 L
.18366 .07423 L
.18316 .06733 L
.18181 .0537 L
.18006 .04033 L
.17769 .02576 L
.1749 .01129 L
s
.1749 .01129 m
.17239 0 L
s
.18333 .15 m
.18394 .14382 L
.18449 .13734 L
.18499 .13024 L
.18537 .12364 L
.18562 .11769 L
.18573 .11435 L
.1858 .11132 L
.18583 .10976 L
.18586 .1081 L
.18588 .10669 L
.18588 .10588 L
.18589 .10513 L
.18589 .10471 L
.18589 .10426 L
.18589 .10383 L
.1859 .10344 L
.1859 .10304 L
.1859 .10269 L
.1859 .10228 L
.1859 .10189 L
.1859 .10146 L
.18589 .10125 L
.18589 .10102 L
.18589 .10021 L
.18589 .09976 L
.18588 .09927 L
.18588 .0984 L
.18586 .09669 L
.18583 .0951 L
.18575 .0915 L
.18565 .08833 L
.18552 .08495 L
.18519 .07858 L
.18479 .07257 L
.18364 .05971 L
.18194 .04579 L
.17982 .03206 L
.17732 .01849 L
.17414 .00358 L
s
.17414 .00358 m
.17327 0 L
s
.18333 .16667 m
.18484 .15408 L
.18615 .14052 L
.18664 .13397 L
.18702 .1279 L
.1873 .12206 L
.18743 .11881 L
.18752 .11582 L
.1876 .11258 L
.18763 .11087 L
.18764 .11 L
.18765 .10906 L
.18766 .10824 L
.18766 .10749 L
.18767 .10674 L
.18767 .10602 L
.18767 .10562 L
.18768 .1054 L
.18768 .10519 L
.18768 .10479 L
.18768 .10442 L
.18768 .10421 L
.18768 .10398 L
.18768 .10358 L
.18767 .10336 L
.18767 .10315 L
.18767 .10267 L
.18767 .10227 L
.18767 .10185 L
.18766 .10108 L
.18764 .09935 L
.18762 .09786 L
.18759 .0962 L
.18752 .09315 L
.18743 .09029 L
.18715 .08383 L
.18679 .07788 L
.18573 .06502 L
.18429 .05244 L
.1823 .03877 L
.17992 .02525 L
.17686 .01043 L
s
.17686 .01043 m
.17441 0 L
s
.18333 .18333 m
.18515 .17081 L
.18683 .15738 L
.18808 .14493 L
.18898 .13306 L
.18932 .12699 L
.18959 .12051 L
.18969 .11735 L
.18973 .11568 L
.18976 .11391 L
.18978 .11237 L
.1898 .11155 L
.1898 .11067 L
.18981 .10987 L
.18982 .10913 L
.18982 .10877 L
.18982 .10839 L
.18982 .10802 L
.18982 .10768 L
.18982 .10728 L
.18982 .10708 L
.18982 .10686 L
.18982 .10647 L
.18982 .10611 L
.18982 .10589 L
.18982 .10568 L
.18982 .10529 L
.18982 .10487 L
.18982 .10441 L
.18981 .10363 L
.1898 .1028 L
.18979 .10132 L
.18976 .0999 L
.18974 .09857 L
.18966 .09554 L
.18956 .09248 L
.18943 .08925 L
.18913 .08346 L
.18871 .07724 L
.18823 .07142 L
.1869 .05891 L
.18503 .04534 L
.18275 .03192 L
.1801 .01863 L
.17678 .00401 L
s
.17678 .00401 m
.17576 0 L
s
.18333 .2 m
.18542 .18754 L
.18742 .17422 L
.18901 .16193 L
.19027 .15026 L
.19084 .14381 L
.19129 .13796 L
.19167 .13184 L
.19194 .1262 L
.19205 .12346 L
.19214 .12044 L
.19221 .1174 L
.19224 .11574 L
.19227 .11419 L
.19228 .11269 L
.19229 .11185 L
.19229 .11144 L
.19229 .11106 L
.19229 .1107 L
.19229 .11031 L
.19229 .10995 L
.19229 .10963 L
.19229 .10927 L
.19229 .10888 L
.19229 .10868 L
.19229 .10847 L
.19229 .10809 L
.19229 .10772 L
.19229 .10737 L
.19228 .10659 L
.19228 .1059 L
.19227 .10517 L
.19225 .10391 L
.19223 .10251 L
.19216 .09946 L
.19208 .09666 L
.19182 .09033 L
.19149 .08456 L
.19102 .07822 L
.18979 .06564 L
.18819 .0533 L
.18603 .03988 L
.18349 .02657 L
.18059 .01335 L
s
.18059 .01335 m
.1773 0 L
s
.18333 .21667 m
.18563 .20427 L
.18791 .19106 L
.1898 .1789 L
.19137 .1674 L
.19276 .15533 L
.1938 .14384 L
.19424 .1376 L
.19457 .13171 L
.1947 .12889 L
.19481 .12589 L
.1949 .12308 L
.19496 .12052 L
.19499 .11921 L
.19501 .11778 L
.19502 .11699 L
.19503 .11626 L
.19503 .11552 L
.19504 .11483 L
.19504 .11418 L
.19504 .11381 L
.19505 .11347 L
.19505 .11319 L
.19505 .11287 L
.19505 .11255 L
.19505 .11224 L
.19505 .11189 L
.19505 .11155 L
.19504 .11124 L
.19504 .11091 L
.19504 .11017 L
.19503 .10949 L
.19502 .10814 L
.195 .10668 L
.19495 .10404 L
.19487 .10089 L
.19477 .098 L
.19451 .09243 L
.19413 .08631 L
.19309 .0742 L
.1917 .06234 L
.18978 .04947 L
.18749 .03674 L
.18487 .02412 L
.1816 .01023 L
s
.1816 .01023 m
.17892 0 L
s
.18333 .23333 m
.1858 .221 L
.18831 .20788 L
.19045 .19584 L
.19229 .18449 L
.194 .17262 L
.19539 .16136 L
.19656 .14953 L
.19702 .14365 L
.19737 .13824 L
.19765 .13299 L
.19776 .1303 L
.19786 .12742 L
.19794 .12455 L
.19799 .12193 L
.19801 .12067 L
.19802 .12 L
.19803 .11929 L
.19803 .11861 L
.19804 .11799 L
.19804 .11769 L
.19804 .11737 L
.19804 .11707 L
.19804 .11678 L
.19804 .11643 L
.19805 .11611 L
.19805 .11577 L
.19805 .11558 L
.19805 .1154 L
.19804 .1151 L
.19804 .11477 L
.19804 .11443 L
.19804 .11411 L
.19804 .11337 L
.19803 .11269 L
.19802 .11117 L
.198 .10978 L
.19797 .10827 L
.1979 .10522 L
.1978 .10231 L
.19769 .09966 L
.19738 .0937 L
.19701 .08821 L
.19651 .08222 L
.19522 .0703 L
.19359 .05859 L
.19165 .04707 L
.18917 .03447 L
.18636 .02194 L
.18289 .00813 L
Mistroke
Mfstroke
.18289 .00813 m
.18065 0 L
s
.18333 .25 m
.18593 .23772 L
.18861 .22468 L
.19095 .21275 L
.19303 .20152 L
.19502 .18982 L
.1967 .17877 L
.19823 .1672 L
.19942 .15619 L
.20029 .14571 L
.20064 .14032 L
.20092 .13462 L
.20102 .13207 L
.20111 .12933 L
.20117 .12674 L
.20122 .12438 L
.20123 .12309 L
.20124 .12238 L
.20124 .12171 L
.20125 .12109 L
.20125 .12076 L
.20125 .12041 L
.20125 .12012 L
.20125 .1198 L
.20125 .11951 L
.20125 .11923 L
.20125 .11889 L
.20125 .11869 L
.20125 .11851 L
.20125 .11817 L
.20125 .11782 L
.20125 .1175 L
.20125 .1172 L
.20124 .11652 L
.20124 .11579 L
.20123 .11512 L
.20121 .11361 L
.20119 .11233 L
.20116 .11095 L
.20109 .10847 L
.20099 .10551 L
.20088 .10282 L
.2006 .09757 L
.2002 .09184 L
.19914 .08045 L
.19775 .06929 L
.19607 .05835 L
.19389 .0464 L
.19139 .03456 L
.1883 .02155 L
Mistroke
.18488 .00852 L
Mfstroke
.18488 .00852 m
.18244 0 L
s
.18333 .26667 m
.186 .25444 L
.18881 .24147 L
.19131 .22962 L
.19358 .21851 L
.1958 .20695 L
.19775 .19606 L
.19958 .1847 L
.2011 .17395 L
.20233 .16374 L
.20335 .15299 L
.20376 .14768 L
.20407 .14272 L
.2043 .13797 L
.20441 .13533 L
.20449 .13288 L
.20455 .13025 L
.20458 .12887 L
.2046 .12739 L
.20461 .12671 L
.20462 .12598 L
.20462 .12533 L
.20463 .12465 L
.20463 .12435 L
.20463 .12403 L
.20463 .12385 L
.20463 .12368 L
.20463 .12336 L
.20463 .12306 L
.20463 .12274 L
.20463 .12244 L
.20463 .12216 L
.20463 .12186 L
.20463 .12154 L
.20463 .12126 L
.20463 .12096 L
.20463 .12029 L
.20462 .11966 L
.20461 .11852 L
.20459 .11731 L
.20454 .11449 L
.20446 .11193 L
.20427 .1069 L
.20397 .10143 L
.2036 .09618 L
.20312 .09058 L
.20202 .08038 L
.20049 .06932 L
.19866 .05844 L
.19633 .04656 L
Mistroke
.19369 .03475 L
.19076 .02301 L
.18722 .01002 L
Mfstroke
.18722 .01002 m
.18426 0 L
s
.18333 .28333 m
.18603 .27115 L
.18892 .25825 L
.19153 .24647 L
.19394 .23544 L
.19635 .22399 L
.19851 .21323 L
.20061 .20205 L
.20242 .19149 L
.20395 .18151 L
.20533 .17105 L
.20642 .16109 L
.20722 .1516 L
.20754 .14675 L
.20781 .14155 L
.20791 .13903 L
.208 .13629 L
.20807 .1337 L
.20809 .13244 L
.20811 .13129 L
.20813 .13003 L
.20813 .12936 L
.20814 .12866 L
.20814 .12837 L
.20814 .12805 L
.20815 .12778 L
.20815 .12748 L
.20815 .1273 L
.20815 .12713 L
.20815 .12697 L
.20815 .1268 L
.20815 .12651 L
.20815 .12618 L
.20815 .12589 L
.20815 .12558 L
.20815 .12532 L
.20814 .12503 L
.20814 .12439 L
.20814 .12379 L
.20813 .1227 L
.20811 .12154 L
.20809 .12021 L
.20806 .11899 L
.20799 .11621 L
.2079 .11376 L
.20779 .11116 L
.20753 .10623 L
.20721 .10159 L
.20632 .09168 L
.20503 .08097 L
Mistroke
.20344 .07044 L
.20159 .06008 L
.19925 .04876 L
.19663 .03751 L
.19368 .02603 L
Mfstroke
.18333 .3 m
.18602 .28787 L
.18893 .27501 L
.19161 .26329 L
.19411 .25232 L
.19667 .24095 L
.199 .23029 L
.20131 .21924 L
.20337 .20884 L
.20516 .19904 L
.20686 .1888 L
.20827 .17909 L
.20942 .16988 L
.2104 .16018 L
.2111 .15091 L
.21137 .14587 L
.21148 .14356 L
.21157 .14109 L
.21164 .13862 L
.21169 .13638 L
.21171 .1353 L
.21173 .13413 L
.21173 .13359 L
.21174 .13302 L
.21174 .13254 L
.21175 .13201 L
.21175 .13169 L
.21175 .1314 L
.21175 .13112 L
.21175 .13083 L
.21175 .13056 L
.21175 .13031 L
.21175 .13004 L
.21175 .12975 L
.21175 .12946 L
.21175 .12929 L
.21175 .12914 L
.21175 .1288 L
.21175 .12849 L
.21174 .12793 L
.21174 .12733 L
.21173 .12625 L
.21171 .12508 L
.21167 .12295 L
.21161 .12069 L
.21152 .1182 L
.21129 .11315 L
.21101 .10845 L
.21062 .10338 L
.20961 .09326 L
Mistroke
.20832 .08335 L
.20678 .07362 L
.2048 .06302 L
.20257 .05259 L
Mfstroke
.18333 .31667 m
.18595 .30457 L
.18883 .29176 L
.19153 .28007 L
.19409 .26915 L
.19674 .25783 L
.1992 .24724 L
.20169 .23628 L
.20394 .22599 L
.20596 .21631 L
.20792 .20624 L
.20962 .19673 L
.21107 .18774 L
.2124 .1783 L
.21346 .16933 L
.21434 .15988 L
.21468 .15518 L
.21494 .15083 L
.21514 .14663 L
.21522 .1443 L
.21529 .14215 L
.21534 .13982 L
.21536 .13859 L
.21537 .13797 L
.21537 .13729 L
.21538 .1367 L
.21538 .13616 L
.21539 .13562 L
.21539 .13511 L
.21539 .13482 L
.21539 .13467 L
.21539 .13451 L
.21539 .13423 L
.21539 .13396 L
.21539 .13381 L
.21539 .13365 L
.21539 .13336 L
.21539 .1332 L
.21539 .13305 L
.21539 .13271 L
.21539 .13211 L
.21538 .13156 L
.21537 .13032 L
.21535 .12922 L
.21533 .12805 L
.21529 .12603 L
.21522 .12381 L
.21504 .11936 L
.21478 .11455 L
.21402 .10498 L
Mistroke
.213 .09564 L
.21174 .08649 L
.2102 .07717 L
Mfstroke
.18333 .33333 m
.18584 .32128 L
.18864 .3085 L
.19131 .29683 L
.19388 .28592 L
.19658 .27463 L
.19912 .26407 L
.20173 .25316 L
.20414 .24293 L
.20633 .23333 L
.20852 .22337 L
.21046 .214 L
.21217 .20516 L
.2138 .19592 L
.21517 .18718 L
.21642 .178 L
.2174 .16926 L
.21813 .16093 L
.21842 .15665 L
.21867 .1521 L
.21877 .14987 L
.21886 .14746 L
.21892 .14519 L
.21897 .14309 L
.21898 .14208 L
.219 .14099 L
.219 .14046 L
.21901 .13996 L
.21901 .13951 L
.21901 .13902 L
.21901 .13874 L
.21901 .13848 L
.21902 .1382 L
.21902 .13804 L
.21902 .1379 L
.21902 .13766 L
.21902 .1374 L
.21901 .13712 L
.21901 .13687 L
.21901 .13657 L
.21901 .13628 L
.21901 .13574 L
.219 .13516 L
.219 .13453 L
.21898 .13347 L
.21897 .13248 L
.21892 .13021 L
.21885 .128 L
.21877 .12562 L
.21854 .12099 L
Mistroke
.21826 .11657 L
.21753 .10808 L
.2166 .09993 L
Mfstroke
.18333 .35 m
.18568 .33798 L
.18836 .32522 L
.19094 .31355 L
.19347 .30264 L
.19617 .29134 L
.19875 .28078 L
.20143 .26987 L
.20395 .25966 L
.20628 .2501 L
.20864 .2402 L
.21078 .2309 L
.21271 .22215 L
.2146 .21305 L
.21625 .20445 L
.21781 .19547 L
.21913 .18696 L
.2202 .17887 L
.22113 .17035 L
.22181 .16222 L
.22209 .15778 L
.22229 .15361 L
.22237 .15159 L
.22244 .14946 L
.22248 .14764 L
.22252 .14564 L
.22254 .14455 L
.22254 .14402 L
.22255 .14353 L
.22255 .14309 L
.22255 .14261 L
.22255 .14236 L
.22255 .14212 L
.22255 .14187 L
.22255 .1416 L
.22255 .14133 L
.22255 .14108 L
.22255 .14093 L
.22255 .1408 L
.22255 .14065 L
.22255 .1405 L
.22255 .14021 L
.22255 .13995 L
.22255 .13934 L
.22254 .13887 L
.22254 .13834 L
.22252 .13727 L
.22251 .13619 L
.22249 .13516 L
.22244 .13323 L
Mistroke
.22237 .13116 L
.22228 .12888 L
.22208 .12506 L
.22182 .12097 L
Mfstroke
.18333 .36667 m
.18547 .35468 L
.18797 .34192 L
.19043 .33025 L
.19287 .3193 L
.19551 .30797 L
.19808 .29737 L
.20079 .28643 L
.20337 .27619 L
.20579 .26661 L
.20829 .2567 L
.21059 .24742 L
.21269 .23871 L
.21479 .22966 L
.21668 .22115 L
.21852 .21229 L
.22012 .20391 L
.22149 .196 L
.22275 .18769 L
.22378 .17979 L
.22466 .17148 L
.22502 .16733 L
.2253 .16352 L
.22553 .15958 L
.2257 .1559 L
.22577 .15395 L
.22583 .15218 L
.22587 .15021 L
.22589 .14913 L
.2259 .1481 L
.22591 .14719 L
.22592 .14668 L
.22592 .14619 L
.22592 .14594 L
.22592 .14568 L
.22592 .14546 L
.22592 .14522 L
.22592 .14508 L
.22592 .14495 L
.22592 .14481 L
.22592 .14467 L
.22592 .14443 L
.22592 .14429 L
.22592 .14416 L
.22592 .14395 L
.22592 .14373 L
.22592 .14332 L
.22592 .14284 L
.22591 .14239 L
.2259 .14143 L
Mistroke
.22589 .14052 L
.22589 .14039 L
Mfstroke
.18333 .38333 m
.18522 .37138 L
.18748 .35861 L
.18976 .34691 L
.19207 .33592 L
.19461 .32452 L
.19712 .31385 L
.19981 .30282 L
.2024 .29251 L
.20487 .28286 L
.20745 .27289 L
.20986 .26356 L
.2121 .25483 L
.21438 .24576 L
.21646 .23726 L
.21852 .22844 L
.22037 .22013 L
.22199 .21229 L
.22356 .2041 L
.22489 .19635 L
.22612 .18823 L
.2271 .1805 L
.22786 .17312 L
.22818 .1694 L
.22847 .16532 L
.22884 .15823 L
s
.18333 .4 m
.18491 .38807 L
.18688 .37529 L
.18894 .36353 L
.19106 .35247 L
.19346 .34097 L
.19586 .33019 L
.19848 .31904 L
.20104 .3086 L
.20351 .29884 L
.20613 .28875 L
.20861 .27931 L
.21095 .27048 L
.21335 .26134 L
.21558 .25277 L
.21784 .2439 L
.21988 .23557 L
.22173 .22774 L
.22354 .21959 L
.22514 .21189 L
.22666 .20386 L
.22796 .19625 L
.22903 .18901 L
.22999 .18141 L
.23069 .17451 L
s
.18333 .41667 m
.18456 .40476 L
.18619 .39195 L
.18796 .38013 L
.18986 .36897 L
.19205 .35734 L
.19429 .34641 L
.19679 .33508 L
.19927 .32447 L
.20171 .31453 L
.20432 .30426 L
.20683 .29465 L
.20922 .28566 L
.21171 .27637 L
.21405 .26767 L
.21645 .25867 L
.21866 .25024 L
.22069 .24233 L
.22272 .23412 L
.22453 .22639 L
.22632 .21835 L
.22787 .21076 L
.22922 .20357 L
.23048 .19604 L
.23147 .18925 L
s
.18333 .43333 m
.18416 .42145 L
.18539 .4086 L
.18684 .39669 L
.18845 .38541 L
.19039 .37361 L
.19243 .36249 L
.19475 .35095 L
.19711 .3401 L
.19945 .32994 L
.20201 .31941 L
.20451 .30956 L
.20691 .30035 L
.20945 .29082 L
.21187 .28191 L
.21437 .27271 L
.21671 .26409 L
.21888 .25602 L
.22108 .24766 L
.22309 .23981 L
.22509 .23166 L
.22687 .22399 L
.22845 .21676 L
.22998 .2092 L
.23122 .20241 L
s
.18333 .45 m
.18339 .44724 L
.18348 .44422 L
.18371 .43813 L
.18407 .43144 L
.1845 .42523 L
.18554 .41339 L
.18695 .40094 L
.18856 .38913 L
.19033 .37797 L
.1924 .36632 L
.19456 .35535 L
.19674 .34506 L
.19917 .33437 L
.20157 .32435 L
.20416 .31399 L
.20668 .30431 L
.20909 .29525 L
.21163 .28588 L
.21403 .27713 L
.21651 .26808 L
.21881 .25961 L
.22093 .25168 L
.22308 .24345 L
.22502 .23573 L
.22677 .22846 L
.2285 .22088 L
.22997 .21395 L
s
.18333 .46667 m
.1833 .46524 L
.18327 .46392 L
.18325 .46234 L
.18323 .4609 L
.18322 .46017 L
.18322 .45939 L
.18322 .45903 L
.18321 .45864 L
.18321 .45829 L
.18321 .45796 L
.18321 .45758 L
.18321 .45718 L
.18321 .45681 L
.18321 .45646 L
.18321 .45626 L
.18321 .45605 L
.18321 .45567 L
.18321 .45522 L
.18322 .45481 L
.18322 .454 L
.18323 .45314 L
.18325 .4516 L
.18327 .44995 L
.18331 .44813 L
.18339 .44488 L
.18349 .44185 L
.18377 .4356 L
.18411 .42991 L
.18505 .41776 L
.18625 .40618 L
.18779 .39403 L
.18951 .38252 L
.19136 .37165 L
.19349 .36032 L
.19567 .34967 L
.19811 .33862 L
.20054 .32826 L
.20292 .31857 L
.20549 .30853 L
.20796 .29915 L
.21057 .28946 L
.21304 .2804 L
.21536 .27193 L
.21776 .26317 L
.21997 .25496 L
.222 .24726 L
.22405 .23927 L
.2259 .23175 L
.22772 .22394 L
Mistroke
.22775 .2238 L
Mfstroke
.18333 .48333 m
.18296 .47758 L
.18267 .47148 L
.18256 .46827 L
.18248 .46527 L
.18245 .46355 L
.18242 .46198 L
.18241 .46111 L
.1824 .46016 L
.18239 .45927 L
.18239 .45885 L
.18239 .45845 L
.18239 .45809 L
.18239 .45769 L
.18239 .45734 L
.18238 .457 L
.18238 .45661 L
.18239 .45625 L
.18239 .45605 L
.18239 .45584 L
.18239 .45545 L
.18239 .45511 L
.18239 .45474 L
.18239 .45398 L
.1824 .45329 L
.18241 .45264 L
.18243 .45102 L
.18245 .44954 L
.18252 .44623 L
.18261 .44315 L
.18272 .4403 L
.18302 .43387 L
.18338 .42809 L
.18385 .42174 L
.18501 .40944 L
.1864 .39774 L
.18814 .38549 L
.19003 .37391 L
.19201 .36299 L
.19428 .35163 L
.19658 .34097 L
.19912 .32993 L
.20162 .31958 L
.20406 .30991 L
.20666 .2999 L
.20915 .29055 L
.21152 .2818 L
.21397 .27275 L
.21627 .26428 L
.21861 .25552 L
Mistroke
.22077 .2473 L
.22273 .2396 L
.22462 .23188 L
Mfstroke
.18333 .5 m
.18267 .49426 L
.18208 .48816 L
.18155 .48138 L
.18118 .47503 L
.18094 .46926 L
.18084 .46601 L
.18078 .46306 L
.18075 .46153 L
.18074 .46069 L
.18074 .45991 L
.18073 .45919 L
.18073 .45853 L
.18072 .45779 L
.18072 .45739 L
.18072 .457 L
.18072 .45659 L
.18072 .45621 L
.18072 .45601 L
.18072 .45578 L
.18072 .45537 L
.18072 .45499 L
.18072 .45458 L
.18073 .45386 L
.18073 .45301 L
.18074 .45222 L
.18076 .45042 L
.18079 .44884 L
.18082 .44711 L
.1809 .44398 L
.18112 .4381 L
.18143 .43185 L
.18186 .42523 L
.18286 .4134 L
.18421 .40094 L
.18578 .38912 L
.18768 .37677 L
.18971 .36511 L
.19182 .35414 L
.19419 .34273 L
.19657 .33203 L
.19918 .32097 L
.20173 .31061 L
.2042 .30092 L
.20681 .29091 L
.20929 .28155 L
.21163 .27279 L
.21404 .26373 L
.21628 .25523 L
.21855 .24644 L
Mistroke
.22062 .23819 L
.22064 .23809 L
Mfstroke
.18333 .51667 m
.18143 .50482 L
.18062 .49855 L
.17986 .4916 L
.17928 .485 L
.17886 .47896 L
.17853 .47264 L
.17839 .46916 L
.17829 .46586 L
.17822 .46271 L
.17819 .46111 L
.17818 .4602 L
.17817 .45936 L
.17817 .45865 L
.17816 .45787 L
.17816 .45744 L
.17816 .45704 L
.17816 .45666 L
.17815 .45626 L
.17815 .45588 L
.17815 .45547 L
.17815 .45509 L
.17815 .45473 L
.17815 .45441 L
.17816 .45406 L
.17816 .45369 L
.17816 .45335 L
.17816 .4525 L
.17817 .45172 L
.17819 .44994 L
.17821 .44837 L
.17825 .44671 L
.17832 .44383 L
.17841 .44065 L
.17868 .43435 L
.17906 .42756 L
.18009 .41426 L
.1814 .40158 L
.18293 .38955 L
.1848 .37695 L
.1868 .36506 L
.18911 .35271 L
.19148 .3411 L
.19386 .3302 L
.19646 .31892 L
.19901 .30836 L
.20146 .29849 L
.20407 .28826 L
.20654 .27871 L
.20911 .26883 L
Mistroke
.2115 .25959 L
.21371 .25093 L
.21586 .24234 L
Mfstroke
.18333 .53333 m
.18074 .52149 L
.17844 .50815 L
.17752 .50153 L
.17679 .4953 L
.17615 .48885 L
.17565 .4827 L
.17522 .47587 L
.17493 .46962 L
.17482 .46634 L
.17478 .46455 L
.17474 .46287 L
.17471 .46132 L
.17469 .4599 L
.17467 .45832 L
.17466 .45745 L
.17466 .45662 L
.17466 .4562 L
.17465 .45574 L
.17465 .45531 L
.17465 .45491 L
.17465 .45456 L
.17465 .45416 L
.17465 .45375 L
.17465 .45337 L
.17465 .45315 L
.17466 .45292 L
.17466 .45249 L
.17466 .45169 L
.17467 .45076 L
.17468 .4499 L
.17469 .44846 L
.17472 .44687 L
.17479 .44365 L
.17489 .44022 L
.175 .43708 L
.17533 .43001 L
.17572 .42361 L
.17624 .41664 L
.17752 .40308 L
.17906 .3902 L
.18096 .37673 L
.18303 .36401 L
.1852 .35203 L
.18765 .33959 L
.19012 .32791 L
.19257 .31697 L
.19522 .30564 L
.19778 .29504 L
.20049 .2841 L
Mistroke
.20306 .27386 L
.20546 .26428 L
.20794 .25436 L
.21021 .24506 L
.21035 .24449 L
Mfstroke
.18333 .55 m
.18 .53815 L
.17692 .52469 L
.17455 .5116 L
.17277 .49867 L
.17198 .49135 L
.1714 .48462 L
.17091 .47759 L
.17058 .4709 L
.17045 .46746 L
.17034 .46381 L
.17027 .46069 L
.17025 .45891 L
.17023 .45724 L
.17022 .45633 L
.17021 .45548 L
.17021 .45498 L
.17021 .45454 L
.17021 .45429 L
.17021 .45403 L
.17021 .45377 L
.17021 .45354 L
.17021 .45312 L
.17021 .45273 L
.17021 .45229 L
.17021 .45183 L
.17021 .45135 L
.17021 .45088 L
.17022 .45002 L
.17023 .44922 L
.17024 .44838 L
.17025 .44685 L
.17028 .44522 L
.17032 .44341 L
.17041 .4398 L
.17052 .4365 L
.17085 .42907 L
.17124 .42234 L
.17177 .415 L
.17308 .40075 L
.17466 .3872 L
.17664 .37304 L
.17877 .35967 L
.18101 .34709 L
.18355 .33402 L
.1861 .32177 L
.18861 .31029 L
.19133 .2984 L
.19394 .28728 L
.19669 .27579 L
Mistroke
.19928 .26504 L
.2017 .25498 L
.20417 .24457 L
.2042 .24442 L
Mfstroke
.18333 .56667 m
.17921 .55481 L
.17528 .5412 L
.17215 .52786 L
.16967 .51457 L
.16761 .50002 L
.16617 .48569 L
.16561 .47777 L
.16541 .47411 L
.16522 .47022 L
.16509 .46665 L
.16503 .46475 L
.16497 .46271 L
.16493 .46083 L
.1649 .45911 L
.16488 .45739 L
.16486 .45574 L
.16485 .45476 L
.16485 .45428 L
.16485 .45384 L
.16484 .45345 L
.16484 .45301 L
.16484 .45258 L
.16484 .45212 L
.16484 .45186 L
.16484 .45161 L
.16484 .45115 L
.16484 .45065 L
.16484 .45037 L
.16484 .45012 L
.16485 .44921 L
.16485 .44875 L
.16485 .44825 L
.16487 .44652 L
.1649 .44466 L
.16496 .44128 L
.16505 .43766 L
.16519 .4337 L
.16555 .42572 L
.16599 .41833 L
.16657 .41046 L
.16803 .39502 L
.16978 .38035 L
.17173 .36648 L
.17404 .35202 L
.17646 .33842 L
.17892 .32565 L
.18163 .31241 L
.1843 .30001 L
.18715 .2872 L
Mistroke
.18988 .27522 L
.19247 .26401 L
.19513 .25241 L
.19748 .24202 L
Mfstroke
.18333 .58333 m
.17837 .57146 L
.17354 .5577 L
.16959 .54407 L
.16636 .53038 L
.16354 .51527 L
.16144 .50029 L
.16054 .49195 L
.15985 .484 L
.15932 .47604 L
.15896 .46865 L
.15882 .46476 L
.15872 .46111 L
.15868 .45902 L
.15865 .4571 L
.15863 .45604 L
.15862 .45489 L
.15861 .4538 L
.1586 .45278 L
.1586 .45226 L
.1586 .45171 L
.1586 .45124 L
.1586 .45073 L
.1586 .45044 L
.1586 .45017 L
.1586 .44987 L
.1586 .44958 L
.1586 .44906 L
.1586 .44877 L
.1586 .44851 L
.1586 .44758 L
.15861 .44705 L
.15861 .44655 L
.15862 .44554 L
.15863 .44448 L
.15865 .44258 L
.15868 .44085 L
.15877 .43694 L
.15889 .43308 L
.15904 .42895 L
.1594 .42153 L
.15994 .41294 L
.16056 .40487 L
.16202 .38958 L
.16394 .37357 L
.16607 .35843 L
.16835 .34417 L
.17096 .32934 L
.1736 .31543 L
.1765 .30104 L
Mistroke
.17933 .28757 L
.18205 .27497 L
.1849 .26193 L
.18757 .24974 L
.19028 .23716 L
Mfstroke
.18333 .6 m
.17748 .58811 L
.17169 .57418 L
.16687 .56024 L
.16283 .54612 L
.1592 .53039 L
.15638 .51467 L
.1552 .50648 L
.1541 .49746 L
.1533 .48943 L
.1526 .4805 L
.1521 .47198 L
.1519 .46729 L
.15175 .46288 L
.15169 .46073 L
.15164 .45838 L
.1516 .45615 L
.15158 .45509 L
.15157 .45409 L
.15156 .4531 L
.15155 .45204 L
.15155 .45107 L
.15154 .45065 L
.15154 .45019 L
.15154 .44969 L
.15154 .44922 L
.15154 .44867 L
.15154 .44816 L
.15154 .44764 L
.15154 .44706 L
.15154 .44652 L
.15154 .44602 L
.15155 .44497 L
.15156 .444 L
.15158 .44183 L
.15161 .43991 L
.15164 .43789 L
.15175 .4336 L
.1519 .42891 L
.15227 .42038 L
.1528 .4113 L
.15423 .39344 L
.15602 .37647 L
.15808 .36041 L
.16055 .34368 L
.16315 .32794 L
.1658 .31318 L
.16872 .29787 L
.17158 .28355 L
.17462 .26875 L
Mistroke
.1775 .25491 L
.18019 .24196 L
.18267 .22973 L
Mfstroke
.18333 .61667 m
.17654 .60476 L
.16973 .59065 L
.16398 .57637 L
.15908 .56176 L
.15458 .54536 L
.15099 .52883 L
.14798 .51061 L
.14678 .50126 L
.14585 .49253 L
.14508 .4834 L
.14452 .47478 L
.14411 .46604 L
.14396 .46138 L
.14389 .45878 L
.14384 .45636 L
.1438 .45406 L
.14378 .45288 L
.14377 .45161 L
.14376 .45088 L
.14376 .4502 L
.14376 .44957 L
.14375 .44888 L
.14375 .44826 L
.14375 .44768 L
.14375 .44707 L
.14375 .44673 L
.14375 .44641 L
.14375 .44583 L
.14375 .4452 L
.14375 .44467 L
.14375 .44408 L
.14376 .44345 L
.14376 .44278 L
.14377 .44155 L
.1438 .43915 L
.14383 .43694 L
.14393 .43232 L
.14405 .42802 L
.14444 .41828 L
.14498 .40868 L
.14559 .4 L
.14724 .38148 L
.14922 .36394 L
.15168 .34563 L
.15432 .3284 L
.15703 .31223 L
.16005 .29546 L
.16301 .27976 L
.16617 .26355 L
Mistroke
.16916 .24839 L
.17195 .2342 L
.17474 .21963 L
Mfstroke
.18333 .63333 m
.17555 .6214 L
.16767 .60709 L
.16092 .59244 L
.1551 .57731 L
.14968 .56017 L
.14527 .54276 L
.14147 .5234 L
.13992 .51343 L
.13869 .50408 L
.13763 .49428 L
.13682 .48501 L
.13618 .47558 L
.13591 .47055 L
.13568 .46513 L
.13552 .45999 L
.13544 .45707 L
.13539 .45436 L
.13537 .45302 L
.13535 .45175 L
.13534 .4506 L
.13533 .44939 L
.13532 .44876 L
.13532 .44806 L
.13531 .44743 L
.13531 .44684 L
.13531 .44616 L
.13531 .44578 L
.13531 .44542 L
.13531 .44478 L
.13531 .44442 L
.13531 .44409 L
.13531 .44348 L
.13531 .44285 L
.13531 .44231 L
.13531 .44172 L
.13532 .44039 L
.13533 .43916 L
.13536 .43692 L
.13539 .43453 L
.13545 .43169 L
.13551 .429 L
.13566 .42398 L
.13609 .41376 L
.13661 .40436 L
.13814 .38444 L
.14005 .36555 L
.14249 .34579 L
.14514 .32719 L
.1482 .30791 L
Mistroke
.15129 .28983 L
.15434 .27292 L
.15759 .25544 L
.16065 .23909 L
.16377 .2222 L
.16654 .20676 L
Mfstroke
.18333 .65 m
.17451 .63804 L
.16549 .62351 L
.1577 .60847 L
.1509 .59277 L
.14451 .57482 L
.13922 .55643 L
.1346 .53583 L
.13112 .51513 L
.12869 .4946 L
.12777 .4838 L
.12739 .47825 L
.12705 .47226 L
.12679 .46662 L
.1266 .46145 L
.12653 .45897 L
.12646 .45625 L
.12641 .45387 L
.12637 .45129 L
.12635 .44975 L
.12633 .44833 L
.12632 .44698 L
.12632 .44629 L
.12631 .44555 L
.12631 .44487 L
.12631 .44426 L
.12631 .44364 L
.12631 .44306 L
.12631 .44238 L
.12631 .44175 L
.12631 .44107 L
.12631 .44033 L
.12631 .43961 L
.12632 .43895 L
.12633 .43747 L
.12634 .43616 L
.12636 .43477 L
.1264 .43184 L
.12646 .42864 L
.12661 .42291 L
.12679 .41771 L
.12732 .40607 L
.12798 .39545 L
.12884 .384 L
.13096 .36173 L
.13346 .34069 L
.13617 .32088 L
.13932 .30032 L
.14249 .28106 L
.14594 .26116 L
Mistroke
.14924 .24257 L
.15232 .22518 L
.15545 .20718 L
.15812 .19105 L
Mfstroke
.18333 .66667 m
.17342 .65468 L
.16321 .63991 L
.1543 .62444 L
.14648 .60813 L
.13904 .58929 L
.13284 .56983 L
.12735 .54787 L
.12315 .52565 L
.12015 .50349 L
.11898 .49181 L
.11803 .47928 L
.11769 .47364 L
.1174 .46755 L
.11718 .46178 L
.11702 .45649 L
.11696 .4536 L
.1169 .45052 L
.11688 .44903 L
.11686 .44761 L
.11685 .44636 L
.11684 .44497 L
.11684 .44423 L
.11683 .44344 L
.11683 .443 L
.11683 .44261 L
.11683 .44182 L
.11683 .44111 L
.11683 .44033 L
.11683 .4396 L
.11683 .43892 L
.11683 .43815 L
.11683 .43742 L
.11684 .43575 L
.11686 .43413 L
.11688 .43238 L
.11692 .42936 L
.11697 .42656 L
.11713 .42019 L
.11734 .414 L
.11762 .40739 L
.11833 .39448 L
.11918 .38236 L
.12123 .35948 L
.12393 .33558 L
.12692 .31309 L
.13003 .29201 L
.13351 .27017 L
.13691 .24975 L
.14047 .22869 L
Mistroke
.14378 .20899 L
.14676 .19054 L
.1495 .17242 L
Mfstroke
.18333 .68333 m
.17228 .67131 L
.16081 .65629 L
.15074 .64036 L
.14183 .62338 L
.1333 .60358 L
.12614 .58294 L
.11973 .55948 L
.11479 .5356 L
.1112 .51165 L
.10979 .49898 L
.10861 .48538 L
.10819 .47925 L
.10781 .47262 L
.10751 .46638 L
.1073 .46058 L
.10711 .4539 L
.10704 .45037 L
.10702 .44856 L
.10699 .4466 L
.10697 .44473 L
.10696 .44391 L
.10696 .443 L
.10695 .44221 L
.10695 .44136 L
.10695 .44089 L
.10695 .44046 L
.10695 .43961 L
.10695 .4388 L
.10695 .43806 L
.10695 .43723 L
.10695 .43636 L
.10695 .4356 L
.10696 .43489 L
.10697 .43328 L
.10698 .43166 L
.107 .43016 L
.10705 .42675 L
.10711 .42343 L
.10719 .41988 L
.10738 .41345 L
.1076 .40762 L
.10822 .39494 L
.1091 .38127 L
.11137 .35466 L
.11412 .32953 L
.11715 .3059 L
.12066 .2814 L
.1242 .25848 L
.12798 .23483 L
Mistroke
.13155 .21274 L
.13481 .19209 L
.138 .1707 L
.1407 .15083 L
Mfstroke
.18333 .7 m
.1711 .68793 L
.15831 .67265 L
.14701 .65623 L
.13695 .63852 L
.12727 .61767 L
.1191 .59576 L
.11175 .57065 L
.10605 .54493 L
.10187 .51901 L
.10021 .50527 L
.09882 .49049 L
.09832 .48381 L
.09785 .4766 L
.0975 .46981 L
.09723 .46348 L
.09699 .4562 L
.0969 .45235 L
.09686 .45038 L
.09682 .44824 L
.09679 .4462 L
.09677 .44432 L
.09676 .44252 L
.09675 .4416 L
.09674 .44062 L
.09674 .43973 L
.09674 .43891 L
.09673 .4381 L
.09673 .43732 L
.09673 .43642 L
.09673 .43559 L
.09674 .43467 L
.09674 .43421 L
.09674 .4337 L
.09675 .432 L
.09676 .43104 L
.09676 .43014 L
.09681 .42639 L
.09686 .42315 L
.09693 .41969 L
.09714 .41178 L
.0974 .4046 L
.09806 .39077 L
.099 .37585 L
.10146 .34684 L
.10443 .31947 L
.1077 .29376 L
.11146 .26714 L
.1152 .24225 L
.11915 .2166 L
Mistroke
.12282 .19264 L
.1261 .17023 L
.12923 .14699 L
.13168 .1262 L
Mfstroke
.18333 .71667 m
.16985 .70456 L
.15569 .68899 L
.1431 .67203 L
.13184 .65355 L
.12096 .63156 L
.11173 .60825 L
.10341 .58134 L
.09693 .55361 L
.09217 .52554 L
.09028 .51061 L
.08868 .49454 L
.0881 .48727 L
.08757 .47941 L
.08716 .47201 L
.08684 .46512 L
.08657 .45719 L
.08646 .45299 L
.08637 .44851 L
.08633 .44645 L
.08631 .44423 L
.08628 .44213 L
.08627 .44113 L
.08627 .4402 L
.08626 .43928 L
.08626 .43845 L
.08626 .43752 L
.08625 .43653 L
.08625 .43557 L
.08625 .43454 L
.08625 .43356 L
.08626 .43265 L
.08626 .43172 L
.08626 .43074 L
.08627 .42899 L
.08629 .42711 L
.08631 .42505 L
.08637 .42135 L
.08643 .41791 L
.08663 .41004 L
.08692 .40165 L
.08772 .38487 L
.08873 .36912 L
.09124 .33941 L
.09457 .30846 L
.09824 .27943 L
.10201 .25229 L
.1061 .22426 L
.10997 .1981 L
.11386 .17111 L
Mistroke
.11724 .14585 L
.12006 .12213 L
.12238 .09848 L
Mfstroke
.18333 .73333 m
.16856 .72117 L
.15296 .7053 L
.13902 .68778 L
.12651 .66845 L
.11437 .64523 L
.10404 .62039 L
.09471 .59152 L
.08745 .56159 L
.08212 .53116 L
.08 .51495 L
.07823 .49746 L
.07758 .48955 L
.07699 .481 L
.07654 .47294 L
.07619 .46543 L
.07589 .45679 L
.07577 .45221 L
.07572 .44986 L
.07567 .44733 L
.07563 .4449 L
.0756 .44266 L
.07558 .44053 L
.07557 .43944 L
.07557 .43827 L
.07556 .43721 L
.07556 .43624 L
.07555 .43527 L
.07555 .43435 L
.07555 .43328 L
.07555 .43229 L
.07555 .4312 L
.07556 .43066 L
.07556 .43005 L
.07556 .429 L
.07557 .42803 L
.07558 .42582 L
.07561 .42366 L
.07564 .42136 L
.0757 .41719 L
.07578 .4134 L
.07603 .40417 L
.07635 .39547 L
.0772 .37834 L
.07822 .36264 L
.08102 .32954 L
.08436 .29839 L
.08839 .2661 L
.09249 .23595 L
.0969 .20489 L
Mistroke
.10098 .17591 L
.10461 .14884 L
.108 .12079 L
.11068 .09439 L
.11272 .06758 L
Mfstroke
.18333 .75 m
.16722 .73779 L
.15012 .72159 L
.13477 .70346 L
.12094 .68323 L
.10749 .65867 L
.09603 .63218 L
.08567 .60116 L
.07762 .56882 L
.07174 .53583 L
.06942 .51822 L
.06748 .4992 L
.06679 .49059 L
.06616 .48128 L
.06567 .47251 L
.06531 .46433 L
.06499 .45492 L
.06487 .44994 L
.06482 .44739 L
.06478 .44462 L
.06474 .44198 L
.06472 .43955 L
.0647 .43722 L
.06469 .43605 L
.06469 .43539 L
.06469 .43477 L
.06468 .4336 L
.06468 .43253 L
.06468 .43139 L
.06468 .43074 L
.06468 .43014 L
.06468 .42914 L
.06469 .42805 L
.06469 .4269 L
.0647 .42582 L
.06472 .42354 L
.06474 .42142 L
.0648 .41661 L
.06489 .41192 L
.06501 .40692 L
.06529 .39785 L
.06561 .38962 L
.06651 .37177 L
.06779 .35255 L
.07106 .31529 L
.07491 .28029 L
.07901 .24756 L
.08354 .21379 L
.08786 .18231 L
.09216 .14989 L
Mistroke
.09584 .11956 L
.09879 .09109 L
.10015 .07542 L
.10117 .06135 L
.10201 .04692 L
.10258 .03341 L
Mfstroke
.18333 .76667 m
.16583 .7544 L
.14716 .73786 L
.13035 .71907 L
.11515 .69787 L
.10033 .67187 L
.0877 .64358 L
.07629 .61023 L
.06746 .57527 L
.06106 .53949 L
.05856 .52035 L
.05649 .49968 L
.05576 .49032 L
.0551 .48019 L
.0546 .47065 L
.05423 .46176 L
.05406 .4564 L
.05393 .45153 L
.05382 .44611 L
.05377 .44314 L
.05373 .44033 L
.05371 .43785 L
.0537 .43649 L
.05369 .43522 L
.05369 .43414 L
.05368 .43298 L
.05368 .43169 L
.05368 .43052 L
.05368 .42986 L
.05368 .42916 L
.05368 .4279 L
.05368 .42721 L
.05368 .42655 L
.05369 .42506 L
.0537 .42376 L
.05371 .42258 L
.05373 .41989 L
.05379 .41507 L
.05388 .40992 L
.05411 .40064 L
.05449 .38963 L
.05492 .37965 L
.056 .3603 L
.05748 .33949 L
.06116 .29922 L
.06539 .26147 L
.0698 .22625 L
.07458 .18994 L
.07901 .15612 L
.08328 .12126 L
Mistroke
.08676 .08859 L
.08936 .05783 L
.09036 .04216 L
.09077 .03417 L
.09115 .02557 L
.09142 .01756 L
.09152 .01406 L
.09161 .01022 L
.09168 .00683 L
.09173 .0032 L
.09176 .0012 L
Mfstroke
.09176 .0012 m
.09177 0 L
s
.18333 .78333 m
.16439 .771 L
.14409 .7541 L
.12575 .73462 L
.10912 .71237 L
.09289 .68481 L
.07905 .65457 L
.06658 .61868 L
.06129 .59939 L
.05699 .58088 L
.0501 .54207 L
.04757 .52246 L
.04541 .50046 L
.04395 .47945 L
.04337 .46755 L
.04316 .46226 L
.04298 .45661 L
.04283 .45094 L
.04272 .44578 L
.04268 .44329 L
.04265 .4406 L
.04262 .43807 L
.0426 .43571 L
.04259 .43438 L
.04258 .43295 L
.04258 .43214 L
.04258 .43137 L
.04257 .42992 L
.04257 .42919 L
.04257 .4284 L
.04257 .42699 L
.04257 .42621 L
.04258 .42548 L
.04258 .42467 L
.04258 .4238 L
.04259 .42247 L
.0426 .42102 L
.04262 .41809 L
.04266 .41537 L
.04269 .41284 L
.04279 .40727 L
.04293 .40124 L
.04326 .39029 L
.04368 .37966 L
.04415 .36988 L
.04703 .32707 L
.05078 .28678 L
.05546 .24507 L
.06027 .2062 L
.06538 .16625 L
Mistroke
.06998 .12904 L
.07386 .09429 L
.07571 .07525 L
.07717 .05821 L
.07845 .04037 L
.07937 .0241 L
.07973 .01615 L
.08005 .00745 L
Mfstroke
.08005 .00745 m
.08025 0 L
s
.18333 .8 m
.16289 .7876 L
.14091 .77031 L
.12097 .75009 L
.10286 .72672 L
.08516 .69747 L
.07009 .66512 L
.05656 .62648 L
.05084 .60563 L
.04622 .5856 L
.03889 .54352 L
.03625 .52224 L
.035 .50982 L
.03403 .49836 L
.03326 .48749 L
.03257 .47556 L
.03227 .469 L
.03203 .46289 L
.03182 .45659 L
.03167 .45079 L
.03154 .44475 L
.03149 .44156 L
.03145 .4382 L
.03144 .43678 L
.03142 .43527 L
.03142 .43396 L
.03141 .43253 L
.0314 .43166 L
.0314 .43086 L
.0314 .43011 L
.03139 .42928 L
.03139 .42784 L
.03139 .42631 L
.03139 .42491 L
.0314 .42343 L
.0314 .42217 L
.03141 .42079 L
.03143 .41771 L
.03146 .41484 L
.03153 .40964 L
.03163 .40408 L
.03195 .39186 L
.03243 .37863 L
.03363 .35474 L
.03519 .33136 L
.03718 .30689 L
.04144 .26368 L
.04657 .21906 L
.05168 .17755 L
.0569 .13492 L
Mistroke
.0614 .09518 L
.06496 .05797 L
.06654 .03754 L
.06768 .01919 L
.06814 .01003 L
.06855 .00016 L
Mfstroke
.06855 .00016 m
.06856 0 L
s
.18333 .81667 m
.16134 .8042 L
.13761 .7865 L
.11602 .76548 L
.09637 .74091 L
.07716 .70985 L
.06082 .67521 L
.04623 .63358 L
.04009 .61105 L
.03517 .58938 L
.03083 .56616 L
.02746 .54378 L
.02474 .52071 L
.02349 .50749 L
.0225 .49482 L
.02172 .48253 L
.02105 .46904 L
.02082 .46309 L
.02061 .45672 L
.02046 .45115 L
.02034 .44525 L
.02028 .44196 L
.02024 .43835 L
.0202 .43506 L
.02019 .43359 L
.02018 .43199 L
.02017 .43103 L
.02017 .43013 L
.02017 .42929 L
.02017 .42837 L
.02016 .42677 L
.02016 .42506 L
.02016 .4241 L
.02016 .42322 L
.02017 .42225 L
.02017 .42123 L
.02018 .41951 L
.02019 .41763 L
.02022 .41421 L
.02025 .41111 L
.02036 .40414 L
.0205 .39769 L
.02066 .3916 L
.02107 .37909 L
.02164 .36587 L
.02295 .34229 L
.02663 .29458 L
.03158 .24512 L
.03686 .19906 L
.04254 .1518 L
Mistroke
.04765 .10786 L
.05188 .06687 L
.05384 .04442 L
.05532 .02432 L
.05654 .00351 L
Mfstroke
.05654 .00351 m
.05671 0 L
s
.18333 .83333 m
.15975 .82079 L
.1342 .80266 L
.11089 .7808 L
.08964 .75493 L
.06888 .72192 L
.05126 .6848 L
.04333 .66396 L
.0356 .63996 L
.02387 .59216 L
.01933 .56701 L
.01544 .53954 L
.01267 .51339 L
.01079 .48848 L
.01002 .47422 L
.00972 .46716 L
.00948 .46059 L
.00929 .45416 L
.00915 .44831 L
.00903 .44182 L
.00898 .43825 L
.00895 .43488 L
.00893 .43326 L
.00892 .43153 L
.00891 .4299 L
.00891 .4284 L
.0089 .42666 L
.0089 .42567 L
.0089 .42475 L
.0089 .42308 L
.0089 .42129 L
.00891 .4196 L
.00892 .41777 L
.00893 .41605 L
.00894 .41447 L
.00898 .4108 L
.00902 .40693 L
.00913 .40057 L
.00926 .39465 L
.00965 .38124 L
.01021 .36665 L
.01088 .35292 L
.01243 .3274 L
.01667 .27544 L
.02219 .2218 L
.02791 .17194 L
.0333 .12567 L
.03847 .07803 L
.04251 .03351 L
.0442 .00965 L
Mistroke
Mfstroke
.0442 .00965 m
.04477 0 L
s
.18333 .85 m
.1581 .83738 L
.13067 .81879 L
.10559 .79603 L
.08269 .76878 L
.06032 .73366 L
.0414 .69388 L
.03292 .67145 L
.0247 .64556 L
.01234 .59389 L
.00763 .56669 L
.00366 .53696 L
.00223 .52341 L
.00091 .50868 L
s
.00091 .50868 m
0 .49631 L
s
0 .34359 m
.00058 .33256 L
.00247 .30526 L
.00756 .24768 L
.01325 .19407 L
.0195 .13911 L
.02512 .0881 L
.02972 .04059 L
.03178 .01468 L
s
.03178 .01468 m
.03274 0 L
s
.18333 .86667 m
.1564 .85396 L
.12703 .83489 L
.1001 .81118 L
.0755 .78245 L
.05149 .74506 L
.03126 .70241 L
.02224 .67826 L
.01354 .65034 L
.00061 .59452 L
s
.00061 .59452 m
0 .59079 L
s
0 .20615 m
.00456 .16374 L
.01069 .10842 L
.01649 .05171 L
.01893 .02405 L
s
.01893 .02405 m
.02073 0 L
s
.18333 .88333 m
.15464 .87054 L
.12327 .85096 L
.09444 .82624 L
.06808 .79592 L
.04239 .7561 L
.02084 .71035 L
.01128 .68436 L
.00213 .65426 L
s
.00213 .65426 m
0 .6457 L
s
0 .09375 m
.00218 .07322 L
.0074 .01665 L
s
.0074 .01665 m
.00865 0 L
s
.18333 .9 m
.16855 .89432 L
.15284 .88711 L
.11939 .86699 L
.08975 .84232 L
.05976 .80831 L
.0334 .76743 L
.02122 .74347 L
.00915 .71513 L
s
.00915 .71513 m
0 .68669 L
s
.18333 .91667 m
.16766 .91098 L
.15098 .90367 L
.11539 .88299 L
.0838 .85724 L
.05183 .82131 L
.02379 .77773 L
.01089 .75206 L
s
.01089 .75206 m
0 .72602 L
s
.2 .08333 m
.19872 .07252 L
.19692 .06048 L
.19484 .04888 L
.19246 .03742 L
.18952 .02481 L
.18626 .01223 L
s
.18626 .01223 m
.1828 0 L
s
.2 .1 m
.19969 .09479 L
.19929 .08927 L
.19812 .0774 L
.19671 .06649 L
.19483 .05462 L
.19262 .0429 L
.18985 .03006 L
.18673 .01724 L
.18329 .00442 L
s
.18329 .00442 m
.18201 0 L
s
.2 .11667 m
.2 .11634 L
.2 .11605 L
.19999 .11539 L
.19999 .11478 L
.19998 .1142 L
.19997 .1129 L
.19995 .11149 L
.19989 .10864 L
.19981 .10601 L
.19958 .10035 L
.19923 .09431 L
.19837 .08368 L
.1971 .07219 L
.1955 .06092 L
.1934 .04864 L
.19096 .03648 L
.18821 .02441 L
.18484 .01109 L
s
.18484 .01109 m
.18176 0 L
s
.2 .13333 m
.20009 .13088 L
.20018 .12818 L
.20021 .12683 L
.20024 .12537 L
.20027 .12401 L
.20029 .12276 L
.2003 .12127 L
.20031 .12048 L
.20031 .12008 L
.20031 .11965 L
.20031 .11927 L
.20031 .11893 L
.20032 .11858 L
.20032 .11825 L
.20032 .11807 L
.20032 .11787 L
.20031 .11752 L
.20031 .1173 L
.20031 .1171 L
.20031 .11671 L
.20031 .11639 L
.20031 .11604 L
.2003 .11534 L
.20029 .11407 L
.20027 .11259 L
.20025 .1112 L
.20018 .10833 L
.2001 .1056 L
.19988 .10048 L
.19956 .09496 L
.19919 .08982 L
.19814 .07876 L
.19679 .06795 L
.19498 .05619 L
.19285 .04459 L
.19016 .03188 L
.18713 .01922 L
.1838 .00657 L
s
.1838 .00657 m
.18192 0 L
s
.2 .15 m
.20038 .14488 L
.20072 .1395 L
.20098 .13405 L
.20109 .13096 L
.20117 .12809 L
.2012 .12673 L
.20123 .12525 L
.20125 .12385 L
.20126 .12319 L
.20127 .12256 L
.20127 .12196 L
.20128 .1214 L
.20128 .12079 L
.20128 .12045 L
.20128 .12012 L
.20128 .11981 L
.20128 .11948 L
.20128 .11917 L
.20128 .11888 L
.20128 .11855 L
.20128 .11836 L
.20128 .11819 L
.20128 .11787 L
.20128 .11753 L
.20128 .11684 L
.20127 .11619 L
.20126 .11496 L
.20124 .11364 L
.20122 .11221 L
.20116 .10962 L
.20108 .10722 L
.20087 .10213 L
.20056 .09648 L
.20017 .09115 L
.19967 .08536 L
.19838 .0738 L
.19676 .06245 L
.19484 .05128 L
.1924 .03907 L
.18964 .02693 L
.18625 .01355 L
.18252 .00011 L
s
.18252 .00011 m
.18249 0 L
s
.2 .16667 m
.2011 .15623 L
.20157 .15084 L
.202 .14496 L
.20233 .13944 L
.20255 .13443 L
.20264 .13175 L
.20271 .12923 L
.20276 .12656 L
.20279 .12506 L
.20279 .12433 L
.2028 .12367 L
.2028 .12307 L
.20281 .12243 L
.20281 .12207 L
.20281 .12175 L
.20281 .12143 L
.20281 .1211 L
.20281 .12078 L
.20281 .12045 L
.20281 .12013 L
.20281 .11983 L
.20281 .11957 L
.20281 .11928 L
.20281 .11869 L
.2028 .11797 L
.20279 .11732 L
.20278 .11585 L
.20276 .11448 L
.20273 .11319 L
.20266 .11062 L
.20257 .10787 L
.20235 .10294 L
.20205 .09769 L
.20168 .09274 L
.20067 .08216 L
.19922 .07072 L
.19746 .05946 L
.1954 .04836 L
.19282 .0362 L
.18992 .0241 L
.18639 .01074 L
s
.18639 .01074 m
.18329 0 L
s
.2 .18333 m
.20144 .17297 L
.20274 .16182 L
.20369 .15145 L
.20406 .14626 L
.20433 .14155 L
.20457 .13647 L
.20466 .13368 L
.20473 .13104 L
.20478 .12853 L
.2048 .12726 L
.20481 .12653 L
.20482 .12587 L
.20482 .1253 L
.20482 .12468 L
.20482 .12434 L
.20483 .12402 L
.20483 .12372 L
.20483 .1234 L
.20483 .1231 L
.20483 .12277 L
.20483 .12246 L
.20483 .12218 L
.20483 .12193 L
.20483 .12165 L
.20482 .12108 L
.20482 .12043 L
.20481 .11972 L
.2048 .11843 L
.20478 .11717 L
.20476 .11601 L
.20469 .11337 L
.2046 .11056 L
.20438 .10547 L
.2041 .10066 L
.20328 .09041 L
.20205 .07935 L
.20051 .06849 L
.19869 .05781 L
.19638 .04614 L
.19377 .03455 L
.19056 .0218 L
.18704 .00901 L
s
.18704 .00901 m
.18435 0 L
s
.2 .2 m
.20173 .1897 L
.20338 .17866 L
.20468 .16845 L
.2057 .15873 L
.20616 .15335 L
.20651 .14847 L
.20681 .14336 L
.20702 .13865 L
.2071 .13631 L
.20717 .13383 L
.20722 .13134 L
.20724 .12993 L
.20725 .12924 L
.20726 .1286 L
.20726 .12795 L
.20727 .12735 L
.20727 .12704 L
.20727 .12669 L
.20727 .12651 L
.20727 .12633 L
.20727 .12617 L
.20727 .12599 L
.20727 .12569 L
.20727 .12541 L
.20727 .12508 L
.20727 .12478 L
.20727 .12447 L
.20727 .12413 L
.20727 .12351 L
.20726 .12295 L
.20726 .12233 L
.20724 .12108 L
.20723 .11992 L
.20721 .11883 L
.20715 .11635 L
.20706 .11373 L
.20687 .10903 L
.20658 .104 L
.20624 .0993 L
.20529 .0892 L
.20394 .07829 L
.20228 .06756 L
.20035 .05698 L
.19791 .04542 L
.19519 .03392 L
.1922 .02247 L
.1886 .00979 L
s
.1886 .00979 m
.18561 0 L
s
.2 .21667 m
.20198 .20643 L
.20393 .1955 L
.20554 .18541 L
.20688 .17586 L
.20806 .16583 L
.20895 .15626 L
.20931 .1514 L
.20963 .14615 L
.20975 .1437 L
.20986 .14111 L
.20994 .13868 L
.21 .13645 L
.21005 .13417 L
.21007 .13291 L
.21007 .13233 L
.21008 .13171 L
.21009 .13113 L
.21009 .13061 L
.21009 .13008 L
.2101 .12958 L
.2101 .1293 L
.2101 .129 L
.2101 .12875 L
.2101 .12847 L
.2101 .12817 L
.2101 .128 L
.2101 .12784 L
.2101 .12754 L
.21009 .12726 L
.21009 .12668 L
.21009 .12614 L
.21008 .12555 L
.21008 .12491 L
.21006 .12361 L
.21004 .12241 L
.20999 .12023 L
.20993 .11792 L
.20973 .11308 L
.20949 .10857 L
.20875 .09889 L
.20763 .08847 L
.20622 .07824 L
.20456 .06818 L
.20243 .05722 L
.20003 .04635 L
.19737 .03556 L
.19416 .02365 L
.19068 .01172 L
s
.19068 .01172 m
.18702 0 L
s
.2 .23333 m
.20218 .22316 L
.20438 .21232 L
.20626 .20235 L
.20788 .19295 L
.20939 .18311 L
.21062 .17376 L
.21168 .16394 L
.21212 .15905 L
.21246 .15456 L
.21275 .14992 L
.21296 .14558 L
.21312 .14121 L
.21318 .13889 L
.21321 .13759 L
.21323 .13639 L
.21324 .13525 L
.21325 .13467 L
.21325 .13404 L
.21325 .13367 L
.21326 .13334 L
.21326 .13303 L
.21326 .13286 L
.21326 .13269 L
.21326 .13238 L
.21326 .13209 L
.21326 .13192 L
.21326 .13176 L
.21326 .13146 L
.21326 .13119 L
.21326 .13089 L
.21326 .13058 L
.21326 .13029 L
.21325 .12977 L
.21325 .12921 L
.21324 .12793 L
.21322 .12676 L
.21317 .12447 L
.21312 .12233 L
.21293 .11746 L
.21267 .11263 L
.21237 .10822 L
.21151 .09865 L
.21039 .0893 L
.20888 .07916 L
.20711 .06918 L
.20511 .05934 L
.20263 .04855 L
.1999 .03782 L
.19662 .02598 L
Mistroke
.19306 .01409 L
.18925 .00215 L
Mfstroke
.18925 .00215 m
.18852 0 L
s
.2 .25 m
.20233 .23988 L
.20473 .22912 L
.20683 .21927 L
.20869 .20999 L
.21048 .20031 L
.21202 .19116 L
.21343 .18158 L
.21456 .17247 L
.21544 .1638 L
.2158 .15943 L
.21612 .15463 L
.21637 .15009 L
.21654 .14584 L
.21661 .14353 L
.21666 .14132 L
.21668 .14037 L
.2167 .13935 L
.2167 .13876 L
.21671 .13823 L
.21671 .13769 L
.21672 .13719 L
.21672 .13667 L
.21672 .13639 L
.21672 .1361 L
.21672 .13595 L
.21672 .13579 L
.21672 .1355 L
.21672 .13521 L
.21672 .13495 L
.21672 .1347 L
.21672 .13447 L
.21672 .13422 L
.21672 .13395 L
.21672 .1334 L
.21671 .13289 L
.2167 .1318 L
.21668 .13062 L
.21666 .12938 L
.21664 .12823 L
.21657 .12586 L
.21649 .12363 L
.2163 .11944 L
.21603 .11491 L
.21572 .11071 L
.21485 .10167 L
.21374 .09284 L
.21228 .08326 L
.21057 .07383 L
.20844 .06355 L
Mistroke
.20605 .05334 L
.20344 .0432 L
.2003 .03201 L
.19692 .0208 L
.19669 .02006 L
Mfstroke
.2 .26667 m
.20244 .2566 L
.20499 .24592 L
.20726 .23615 L
.20932 .22699 L
.21135 .21745 L
.21314 .20846 L
.21485 .19909 L
.2163 .19021 L
.21751 .18179 L
.21857 .17294 L
.21938 .16449 L
.21995 .15642 L
.22016 .15229 L
.22025 .14999 L
.22032 .14785 L
.22037 .1457 L
.2204 .14447 L
.22042 .14336 L
.22043 .1423 L
.22043 .14181 L
.22044 .14129 L
.22044 .14074 L
.22044 .1405 L
.22044 .14023 L
.22044 .14008 L
.22044 .13995 L
.22044 .13969 L
.22044 .13954 L
.22044 .13938 L
.22044 .13923 L
.22044 .13909 L
.22044 .13884 L
.22044 .13857 L
.22044 .13835 L
.22044 .1381 L
.22044 .13755 L
.22044 .13704 L
.22043 .13611 L
.22042 .13511 L
.2204 .13393 L
.22037 .13281 L
.22032 .13071 L
.22025 .12863 L
.22016 .12643 L
.21996 .12246 L
.21937 .11426 L
.21848 .10542 L
.21737 .09678 L
.21589 .08742 L
Mistroke
.21417 .07819 L
.21225 .06909 L
.20989 .05913 L
.20731 .04922 L
.20722 .04891 L
Mfstroke
.2 .28333 m
.2025 .27332 L
.20515 .2627 L
.20755 .25301 L
.20976 .24393 L
.21198 .23451 L
.21399 .22565 L
.21596 .21645 L
.21768 .20776 L
.21917 .19956 L
.22057 .19097 L
.22172 .18281 L
.22264 .17505 L
.22341 .16685 L
.2237 .16309 L
.22395 .15901 L
.22406 .15679 L
.22416 .15474 L
.22423 .15279 L
.22429 .15069 L
.22432 .14958 L
.22434 .14856 L
.22436 .1476 L
.22437 .14655 L
.22438 .1461 L
.22438 .14561 L
.22438 .14518 L
.22439 .14473 L
.22439 .14446 L
.22439 .14421 L
.22439 .14397 L
.22439 .14372 L
.22439 .14349 L
.22439 .14328 L
.22439 .14305 L
.22439 .1428 L
.22439 .14254 L
.22439 .14231 L
.22439 .14205 L
.22439 .14179 L
.22438 .14135 L
.22438 .14086 L
.22437 .13976 L
.22435 .13874 L
.22431 .13667 L
.22425 .13447 L
.2241 .13049 L
.2239 .12676 L
.22331 .11878 L
.22243 .11019 L
Mistroke
.22132 .10179 L
.22001 .09356 L
.21835 .08461 L
.21647 .07578 L
.21646 .07573 L
Mfstroke
.2 .3 m
.20251 .29003 L
.20521 .27947 L
.2077 .26984 L
.21001 .26083 L
.21238 .2515 L
.21456 .24275 L
.21673 .23367 L
.21869 .22514 L
.22043 .2171 L
.22211 .20872 L
.22357 .20079 L
.2248 .19328 L
.22593 .18539 L
.22683 .17787 L
.22758 .16995 L
.22788 .16601 L
.2281 .16236 L
.22827 .15883 L
.22835 .15688 L
.22841 .15508 L
.22845 .15311 L
.22847 .15208 L
.22849 .15099 L
.2285 .15005 L
.22851 .14959 L
.22851 .14916 L
.22851 .14892 L
.22851 .14865 L
.22851 .14843 L
.22851 .14819 L
.22851 .14806 L
.22851 .14793 L
.22852 .14778 L
.22852 .14765 L
.22852 .14752 L
.22852 .14739 L
.22852 .14715 L
.22851 .14691 L
.22851 .14678 L
.22851 .14665 L
.22851 .14643 L
.22851 .14619 L
.22851 .14577 L
.22851 .14532 L
.2285 .14432 L
.22848 .14337 L
.22845 .14168 L
.22841 .13986 L
.22835 .13791 L
Mistroke
.22826 .13579 L
.22806 .13192 L
.22781 .1281 L
.22748 .12402 L
.22664 .11583 L
.22559 .10782 L
.22446 .10071 L
Mfstroke
.2 .31667 m
.20248 .30674 L
.20518 .29623 L
.20769 .28665 L
.21007 .27769 L
.21254 .26842 L
.21484 .25974 L
.21718 .25076 L
.21932 .24234 L
.22127 .23443 L
.22319 .2262 L
.2249 .21845 L
.22641 .21114 L
.22785 .20348 L
.22907 .19623 L
.23019 .18861 L
.23108 .18136 L
.23177 .17444 L
.23208 .17059 L
.23231 .16711 L
.2325 .16349 L
.23263 .16008 L
.23269 .15833 L
.23271 .15737 L
.23273 .15647 L
.23274 .15565 L
.23275 .15489 L
.23276 .15405 L
.23277 .15359 L
.23277 .15315 L
.23277 .15295 L
.23277 .15273 L
.23277 .15254 L
.23277 .15233 L
.23277 .1521 L
.23277 .15197 L
.23277 .15185 L
.23277 .15164 L
.23277 .15142 L
.23277 .15129 L
.23277 .15118 L
.23277 .15105 L
.23277 .15092 L
.23277 .1507 L
.23277 .15045 L
.23277 .15 L
.23276 .14957 L
.23276 .14874 L
.23275 .14797 L
.23271 .14625 L
Mistroke
.23267 .14447 L
.23262 .14282 L
.23246 .13906 L
.23224 .13532 L
.232 .13191 L
.23132 .12452 L
.23126 .12401 L
Mfstroke
.2 .33333 m
.20239 .32345 L
.20504 .31298 L
.20754 .30343 L
.20994 .2945 L
.21246 .28526 L
.21484 .27662 L
.2173 .2677 L
.21958 .25935 L
.22168 .25152 L
.22381 .24341 L
.22573 .23578 L
.22746 .22861 L
.22917 .22113 L
.23067 .21407 L
.23211 .20669 L
.23333 .1997 L
.23435 .19305 L
.23527 .18606 L
.23598 .17938 L
.23628 .17599 L
.23655 .17233 L
.23675 .16911 L
.23684 .16727 L
.23691 .16556 L
.23698 .1638 L
.23702 .1622 L
.23706 .16048 L
.23708 .15954 L
.23709 .15864 L
.2371 .15787 L
.2371 .15743 L
.2371 .15701 L
.2371 .1568 L
.2371 .15658 L
.2371 .15639 L
.2371 .15618 L
.2371 .15606 L
.2371 .15595 L
.2371 .15583 L
.2371 .15571 L
.2371 .1555 L
.2371 .15539 L
.2371 .15528 L
.2371 .15491 L
.2371 .15456 L
.2371 .15418 L
.23709 .15376 L
.23709 .15293 L
.23707 .15216 L
Mistroke
.23704 .15057 L
.23701 .1491 L
.23689 .14576 L
Mfstroke
.2 .35 m
.20226 .34016 L
.20481 .32971 L
.20725 .32018 L
.20961 .31126 L
.21214 .30203 L
.21455 .29341 L
.21707 .28451 L
.21945 .27619 L
.22167 .2684 L
.22394 .26034 L
.22604 .25278 L
.22796 .2457 L
.22989 .23833 L
.23163 .2314 L
.23334 .22419 L
.23484 .21738 L
.23616 .21094 L
.2374 .20419 L
.23845 .19778 L
.2394 .19105 L
.24015 .18462 L
.24071 .17848 L
.24093 .17537 L
.24113 .17197 L
.24127 .1689 L
.24136 .16604 L
s
.2 .36667 m
.20208 .35686 L
.20447 .34643 L
.2068 .3369 L
.20909 .32797 L
.21157 .31873 L
.21396 .31009 L
.2165 .30117 L
.21892 .29283 L
.22122 .28504 L
.2236 .27699 L
.22582 .26945 L
.22789 .2624 L
.22999 .25508 L
.23192 .24822 L
.23386 .2411 L
.23561 .2344 L
.23717 .22809 L
.2387 .22151 L
.24005 .21528 L
.24133 .20877 L
.24241 .20259 L
.24331 .19671 L
.24411 .19052 L
.24471 .1849 L
s
.2 .38333 m
.20186 .37356 L
.20404 .36314 L
.2062 .35359 L
.20837 .34463 L
.21075 .33535 L
.21308 .32666 L
.21559 .31768 L
.21801 .30929 L
.22033 .30145 L
.22277 .29335 L
.22507 .28578 L
.22724 .27871 L
.22948 .27138 L
.23156 .26452 L
.23368 .25742 L
.23563 .25076 L
.2374 .24451 L
.23917 .23801 L
.24076 .23188 L
.24232 .2255 L
.2437 .21948 L
.24489 .21377 L
.24603 .20779 L
.24694 .20239 L
s
.2 .4 m
.20159 .39026 L
.2035 .37983 L
.20545 .37025 L
.20745 .36125 L
.20968 .35189 L
.2119 .34312 L
.21432 .33405 L
.21669 .32556 L
.21899 .31762 L
.22144 .30942 L
.22379 .30176 L
.22602 .2946 L
.22835 .2872 L
.23053 .28028 L
.23279 .27313 L
.23489 .26644 L
.23683 .26017 L
.2388 .25367 L
.2406 .24757 L
.2424 .24123 L
.24402 .23527 L
.24547 .22964 L
.24689 .22378 L
.24807 .2185 L
s
.2 .41667 m
.20126 .40695 L
.20286 .39651 L
.20455 .38689 L
.20633 .37781 L
.20835 .36835 L
.21041 .35946 L
.2127 .35026 L
.21497 .34162 L
.21721 .33354 L
.21962 .32519 L
.22196 .31737 L
.2242 .31008 L
.22658 .30253 L
.22884 .29548 L
.23119 .28821 L
.2334 .28141 L
.23547 .27505 L
.2376 .26847 L
.23956 .26231 L
.24156 .25593 L
.24339 .24994 L
.24505 .24431 L
.2467 .23846 L
.24811 .23322 L
s
.2 .43333 m
.20089 .42364 L
.20212 .41318 L
.2035 .40349 L
.205 .39432 L
.20677 .38473 L
.20862 .37569 L
.21072 .3663 L
.21284 .35748 L
.21497 .3492 L
.2173 .34063 L
.21958 .33261 L
.2218 .32511 L
.22418 .31735 L
.22646 .3101 L
.22887 .30263 L
.23116 .29564 L
.23332 .28912 L
.23556 .28237 L
.23766 .27607 L
.23981 .26955 L
.24181 .26345 L
.24364 .25774 L
.2455 .25181 L
.2471 .24651 L
s
.2 .45 m
.2002 .44529 L
.20048 .44033 L
.20128 .42984 L
.20225 .42044 L
.2035 .41055 L
.20491 .40117 L
.2066 .39136 L
.20839 .3821 L
.21024 .37337 L
.21234 .3643 L
.21445 .35579 L
.21655 .3478 L
.21885 .33953 L
.2211 .33178 L
.22351 .32379 L
.22584 .31632 L
.22808 .30934 L
.23044 .30213 L
.23268 .2954 L
.23501 .28846 L
.2372 .28197 L
.23925 .2759 L
.24135 .26963 L
.24329 .26376 L
.24506 .25831 L
s
.2 .46667 m
.19999 .46551 L
.19998 .46495 L
.19998 .46443 L
.19998 .46413 L
.19997 .46381 L
.19997 .46354 L
.19997 .46324 L
.19997 .46292 L
.19997 .46275 L
.19997 .46258 L
.19997 .46229 L
.19997 .46197 L
.19997 .46164 L
.19997 .46134 L
.19997 .46116 L
.19997 .461 L
.19997 .46064 L
.19998 .46 L
.19998 .45938 L
.19999 .45825 L
.20001 .45701 L
.20006 .45435 L
.20014 .45153 L
.20033 .44648 L
.20059 .44158 L
.20089 .43701 L
.20171 .42737 L
.20283 .41721 L
.20413 .40755 L
.20557 .3984 L
.20728 .38882 L
.20908 .37979 L
.21094 .37129 L
.21302 .36244 L
.21511 .35414 L
.21741 .34554 L
.21968 .33749 L
.2219 .32996 L
.22428 .32217 L
.22657 .3149 L
.22899 .3074 L
.2313 .30039 L
.23349 .29385 L
.23577 .28709 L
.23791 .28078 L
.2399 .27487 L
.24195 .26875 L
.24203 .26853 L
s
.2 .48333 m
.19972 .47865 L
.19949 .4737 L
.19941 .47109 L
.19935 .46865 L
.19933 .46725 L
.19931 .46597 L
.1993 .46527 L
.19929 .4645 L
.19929 .46415 L
.19929 .46378 L
.19929 .46346 L
.19928 .46311 L
.19928 .46278 L
.19928 .46247 L
.19928 .46218 L
.19928 .46187 L
.19928 .46156 L
.19928 .46127 L
.19928 .46101 L
.19929 .46073 L
.19929 .46009 L
.19929 .45976 L
.19929 .4594 L
.1993 .45818 L
.19932 .45703 L
.19934 .45579 L
.19939 .45356 L
.19946 .451 L
.19956 .44821 L
.1998 .44313 L
.2001 .43816 L
.2005 .43289 L
.20138 .42348 L
.20255 .41356 L
.20389 .40414 L
.20551 .39428 L
.20724 .38497 L
.20904 .37618 L
.21108 .36704 L
.21315 .35845 L
.21544 .34956 L
.21771 .34123 L
.21994 .33343 L
.22234 .32537 L
.22466 .31784 L
.22689 .3108 L
.22924 .30353 L
.23147 .29673 L
.23381 .28973 L
Mistroke
.236 .28318 L
.23805 .27707 L
Mfstroke
.2 .5 m
.19944 .49533 L
.19893 .49038 L
.19847 .48488 L
.19813 .47972 L
.1979 .47503 L
.1978 .47239 L
.19773 .46999 L
.1977 .46875 L
.19767 .46744 L
.19765 .4663 L
.19764 .46508 L
.19763 .46439 L
.19762 .46376 L
.19762 .46346 L
.19762 .46313 L
.19762 .46282 L
.19762 .46253 L
.19762 .46235 L
.19762 .46216 L
.19762 .46183 L
.19762 .46164 L
.19762 .46144 L
.19762 .46126 L
.19762 .46108 L
.19762 .46074 L
.19762 .46055 L
.19762 .46038 L
.19762 .46004 L
.19762 .45973 L
.19762 .45912 L
.19763 .45854 L
.19764 .45724 L
.19766 .45597 L
.19769 .45459 L
.19774 .45212 L
.19781 .44985 L
.19801 .44497 L
.19829 .43965 L
.19907 .42926 L
.20007 .41934 L
.20137 .40893 L
.20285 .39904 L
.20444 .38968 L
.20631 .37992 L
.20825 .37072 L
.21022 .36207 L
.21242 .35309 L
.21461 .34467 L
.217 .33596 L
Mistroke
.21933 .32781 L
.2216 .32019 L
.22401 .31232 L
.22632 .30497 L
.22875 .29738 L
.23105 .2903 L
.23317 .28381 L
Mfstroke
.2 .51667 m
.19832 .50705 L
.19687 .49632 L
.19631 .49102 L
.19588 .48605 L
.19551 .48092 L
.19525 .47605 L
.19514 .47346 L
.19504 .47064 L
.19498 .46807 L
.19493 .4657 L
.19491 .46446 L
.19491 .46378 L
.1949 .46313 L
.1949 .46253 L
.1949 .46221 L
.19489 .46187 L
.19489 .46156 L
.19489 .46127 L
.19489 .46099 L
.19489 .46072 L
.19489 .4604 L
.19489 .46005 L
.19489 .45987 L
.19489 .45968 L
.19489 .45934 L
.1949 .459 L
.1949 .45868 L
.1949 .45808 L
.19491 .45736 L
.19491 .45671 L
.19493 .45522 L
.19495 .45398 L
.19498 .45265 L
.19504 .45024 L
.19524 .44474 L
.19551 .43941 L
.19588 .4338 L
.19673 .42373 L
.19789 .41311 L
.19924 .40302 L
.20089 .39247 L
.20267 .38249 L
.20453 .37308 L
.20664 .3633 L
.20879 .3541 L
.21093 .34548 L
.21328 .33654 L
.21558 .32817 L
.21805 .31953 L
Mistroke
.22044 .31145 L
.22272 .30391 L
.22513 .29611 L
.22741 .28882 L
.22747 .28863 L
Mfstroke
.2 .53333 m
.19766 .52372 L
.19551 .5129 L
.19387 .50246 L
.19266 .49221 L
.19217 .48687 L
.19175 .48112 L
.19158 .4783 L
.19143 .47523 L
.19132 .47257 L
.19122 .46964 L
.19118 .46826 L
.19114 .46679 L
.19112 .46551 L
.1911 .46411 L
.19109 .46329 L
.19108 .46254 L
.19108 .46181 L
.19107 .46144 L
.19107 .46104 L
.19107 .46065 L
.19107 .46028 L
.19107 .45994 L
.19107 .45957 L
.19107 .45924 L
.19107 .45893 L
.19107 .4586 L
.19107 .45823 L
.19107 .45789 L
.19107 .45752 L
.19108 .45676 L
.19108 .45605 L
.19109 .45539 L
.19111 .4539 L
.19113 .45229 L
.1912 .44936 L
.19128 .44666 L
.1915 .44137 L
.19182 .4356 L
.19267 .42433 L
.19376 .41358 L
.19518 .4023 L
.19678 .39159 L
.1985 .38148 L
.2005 .37093 L
.20258 .36101 L
.20467 .35168 L
.207 .342 L
.2093 .33293 L
.2118 .32356 L
Mistroke
.21422 .31479 L
.21656 .30659 L
.21903 .29812 L
.22103 .29138 L
Mfstroke
.2 .55 m
.19695 .54039 L
.19403 .52947 L
.19171 .51884 L
.18986 .50831 L
.1883 .49683 L
.18721 .48557 L
.18677 .47935 L
.18661 .47648 L
.18647 .47343 L
.18636 .47063 L
.18627 .46754 L
.18623 .46618 L
.1862 .46472 L
.18618 .46344 L
.18616 .46208 L
.18615 .46127 L
.18615 .46053 L
.18615 .46017 L
.18614 .45978 L
.18614 .45942 L
.18614 .45908 L
.18614 .45869 L
.18614 .45848 L
.18614 .45825 L
.18614 .45802 L
.18614 .4578 L
.18614 .4576 L
.18614 .45738 L
.18614 .45719 L
.18614 .45698 L
.18614 .45677 L
.18614 .45656 L
.18614 .4562 L
.18614 .45581 L
.18615 .45508 L
.18615 .45431 L
.18617 .45294 L
.18619 .45133 L
.18622 .44984 L
.1863 .44672 L
.18639 .44377 L
.18663 .43825 L
.18696 .43232 L
.18734 .42687 L
.18836 .41531 L
.1896 .4043 L
.19117 .39275 L
.19289 .38181 L
.19492 .37042 L
Mistroke
.19703 .35968 L
.19919 .34959 L
.20158 .33913 L
.20396 .32931 L
.20653 .31918 L
.20904 .3097 L
.21145 .30083 L
.21392 .29192 L
Mfstroke
.2 .56667 m
.19619 .55706 L
.19246 .54602 L
.18938 .53517 L
.18684 .52434 L
.18458 .51243 L
.18285 .50065 L
.18214 .49455 L
.18149 .48787 L
.18102 .48193 L
.1808 .47854 L
.18063 .47535 L
.18048 .47207 L
.18036 .46907 L
.18027 .46586 L
.18023 .46409 L
.1802 .4624 L
.18018 .4608 L
.18016 .45935 L
.18016 .45854 L
.18015 .45812 L
.18015 .45767 L
.18015 .45728 L
.18015 .45707 L
.18015 .45685 L
.18015 .45646 L
.18015 .4561 L
.18015 .4557 L
.18015 .45534 L
.18015 .45494 L
.18015 .45474 L
.18015 .45452 L
.18015 .45375 L
.18016 .45303 L
.18017 .45168 L
.18019 .45023 L
.18021 .44865 L
.18024 .44718 L
.18033 .44384 L
.18044 .44059 L
.18058 .43712 L
.18094 .43033 L
.18136 .42394 L
.18241 .41182 L
.18383 .39907 L
.18546 .38698 L
.18724 .37554 L
.18933 .36361 L
.1915 .35238 L
.19394 .34073 L
Mistroke
.19639 .3298 L
.1988 .31957 L
.20141 .30897 L
.20393 .29906 L
.20626 .29011 L
Mfstroke
.2 .58333 m
.19538 .57372 L
.19077 .56256 L
.18689 .55147 L
.1836 .5403 L
.18058 .52791 L
.17816 .51555 L
.17612 .50204 L
.1753 .49514 L
.17467 .48871 L
.17413 .482 L
.17374 .47568 L
.17345 .46927 L
.17333 .46586 L
.17328 .46395 L
.17325 .46218 L
.17322 .46036 L
.17319 .4587 L
.17318 .45775 L
.17318 .45686 L
.17317 .4564 L
.17317 .45592 L
.17317 .45567 L
.17317 .45539 L
.17317 .45515 L
.17317 .4549 L
.17317 .45466 L
.17317 .45443 L
.17317 .45399 L
.17317 .45359 L
.17317 .45317 L
.17317 .45271 L
.17317 .45229 L
.17317 .45182 L
.17318 .45131 L
.17318 .45046 L
.17319 .44956 L
.17321 .44796 L
.17324 .44623 L
.17327 .44466 L
.17336 .44114 L
.17347 .43788 L
.17359 .4348 L
.17393 .42791 L
.17434 .42157 L
.17545 .40811 L
.17683 .39532 L
.17858 .38189 L
.1805 .3692 L
.18276 .35599 L
Mistroke
.18511 .34356 L
.18749 .33189 L
.19011 .3198 L
.19269 .30847 L
.19546 .29678 L
.19812 .28583 L
.19813 .28579 L
Mfstroke
.2 .6 m
.19452 .59038 L
.18898 .57908 L
.18424 .56773 L
.18014 .55618 L
.1763 .54326 L
.17313 .53026 L
.17036 .51593 L
.16827 .5017 L
.16679 .48769 L
.16623 .48037 L
.166 .4766 L
.16578 .47254 L
.16562 .46873 L
.1655 .46524 L
.16545 .46356 L
.16541 .46172 L
.16538 .46011 L
.16535 .45837 L
.16533 .45733 L
.16532 .45637 L
.16531 .45547 L
.16531 .455 L
.16531 .45449 L
.16531 .45402 L
.1653 .4536 L
.1653 .45318 L
.1653 .45277 L
.1653 .45232 L
.1653 .45191 L
.1653 .45145 L
.1653 .45096 L
.1653 .45048 L
.1653 .45003 L
.16531 .44954 L
.16531 .44903 L
.16532 .44816 L
.16532 .44721 L
.16535 .44506 L
.16538 .44306 L
.16548 .4391 L
.16559 .43535 L
.16588 .42836 L
.1663 .42085 L
.16678 .41394 L
.16807 .39931 L
.16963 .38541 L
.17158 .37085 L
.17371 .35712 L
.17618 .34283 L
Mistroke
.17871 .32941 L
.18126 .31683 L
.18403 .3038 L
.18674 .2916 L
.1896 .27901 L
.18964 .27884 L
Mfstroke
.2 .61667 m
.19361 .60704 L
.18708 .59559 L
.18142 .58395 L
.17645 .57199 L
.17173 .55848 L
.16777 .54477 L
.16422 .52953 L
.16144 .51428 L
.15938 .49918 L
.15855 .49125 L
.15784 .48276 L
.15733 .47481 L
.15698 .46732 L
.15684 .46306 L
.15679 .46095 L
.15675 .459 L
.15671 .45708 L
.15669 .45535 L
.15668 .45442 L
.15667 .45342 L
.15667 .45286 L
.15666 .45236 L
.15666 .45188 L
.15666 .45136 L
.15666 .45084 L
.15666 .45034 L
.15666 .44986 L
.15666 .44942 L
.15666 .44894 L
.15666 .44841 L
.15666 .44814 L
.15666 .44785 L
.15666 .44734 L
.15667 .44638 L
.15668 .44538 L
.15669 .44358 L
.15672 .44147 L
.15676 .4395 L
.15687 .43504 L
.15701 .43069 L
.15718 .42659 L
.15757 .41894 L
.15869 .40318 L
.1603 .3866 L
.1622 .37089 L
.1643 .35605 L
.16677 .34059 L
.16933 .32606 L
.17219 .31101 L
Mistroke
.17502 .29692 L
.17777 .28373 L
.18069 .27009 L
.18089 .26914 L
Mfstroke
.2 .63333 m
.19265 .62369 L
.18507 .61207 L
.17843 .60013 L
.17255 .58772 L
.16689 .57355 L
.16208 .55906 L
.15768 .54281 L
.15419 .52643 L
.15151 .51011 L
.15042 .50167 L
.14941 .49226 L
.14865 .48324 L
.14809 .47472 L
.14786 .47005 L
.14768 .4656 L
.14755 .4616 L
.14745 .45722 L
.14741 .45481 L
.14739 .45363 L
.14738 .45254 L
.14737 .45157 L
.14736 .4505 L
.14736 .44998 L
.14736 .44942 L
.14736 .44884 L
.14736 .44829 L
.14735 .44798 L
.14735 .44765 L
.14735 .44706 L
.14735 .44674 L
.14736 .44643 L
.14736 .44609 L
.14736 .44573 L
.14736 .44511 L
.14736 .44446 L
.14737 .4433 L
.14738 .44218 L
.14739 .44113 L
.14742 .43876 L
.14746 .43646 L
.14752 .43397 L
.14765 .42945 L
.14798 .42101 L
.14847 .41201 L
.14912 .40252 L
.15061 .38558 L
.1526 .36781 L
.15485 .35102 L
.15751 .33355 L
Mistroke
.16028 .31715 L
.16307 .30177 L
.16612 .28585 L
.16907 .27096 L
.17196 .25659 L
Mfstroke
.2 .65 m
.19164 .64034 L
.18295 .62854 L
.17527 .61626 L
.16841 .60335 L
.16176 .58848 L
.15604 .57312 L
.15077 .55575 L
.14651 .53811 L
.14319 .52043 L
.14181 .51125 L
.14052 .50099 L
.1395 .49102 L
.13876 .4818 L
.13818 .47221 L
.13793 .4669 L
.13775 .46183 L
.13763 .45705 L
.13758 .45437 L
.13754 .45194 L
.13753 .45083 L
.13752 .44966 L
.13752 .44905 L
.13751 .44838 L
.13751 .44776 L
.13751 .4472 L
.1375 .44663 L
.1375 .44608 L
.1375 .44551 L
.1375 .44489 L
.1375 .44434 L
.1375 .44377 L
.1375 .44327 L
.13751 .44273 L
.13751 .44155 L
.13752 .44027 L
.13753 .43892 L
.13755 .43767 L
.13758 .43543 L
.13763 .43303 L
.13776 .42755 L
.13793 .42258 L
.13836 .41299 L
.13897 .40263 L
.14061 .38241 L
.14265 .36323 L
.14495 .34513 L
.14771 .32627 L
.15057 .30857 L
.15375 .29025 L
Mistroke
.15689 .27311 L
.1599 .25708 L
.16293 .24112 L
Mfstroke
.2 .66667 m
.19058 .65699 L
.18072 .64499 L
.17194 .63234 L
.16405 .6189 L
.15634 .60325 L
.14966 .58693 L
.14346 .56832 L
.13841 .54929 L
.13443 .5301 L
.13276 .5201 L
.13118 .50889 L
.12992 .49797 L
.12898 .48786 L
.12823 .47733 L
.1279 .47149 L
.12765 .46591 L
.12747 .46065 L
.12739 .45775 L
.12733 .45502 L
.12728 .45247 L
.12726 .45112 L
.12724 .4497 L
.12723 .4485 L
.12722 .44719 L
.12721 .44661 L
.12721 .44599 L
.12721 .44541 L
.12721 .44487 L
.1272 .4442 L
.1272 .44384 L
.1272 .44346 L
.1272 .44308 L
.1272 .44267 L
.1272 .44195 L
.1272 .44128 L
.12721 .44066 L
.12721 .43998 L
.12721 .43925 L
.12722 .4376 L
.12724 .43604 L
.12728 .43313 L
.12733 .43035 L
.12738 .42779 L
.12754 .42201 L
.12774 .41666 L
.12795 .41165 L
.12858 .4003 L
.13019 .37912 L
.13244 .35693 L
Mistroke
.13504 .33599 L
.13784 .31629 L
.14104 .29586 L
.14426 .27673 L
.14772 .257 L
.15102 .23854 L
.15384 .22266 L
Mfstroke
.2 .68333 m
.18947 .67363 L
.17838 .66143 L
.16845 .64838 L
.15946 .63436 L
.15063 .61786 L
.14295 .60048 L
.13577 .58051 L
.12989 .55994 L
.12524 .53907 L
.12328 .52815 L
.12141 .51589 L
.11991 .50393 L
.11879 .49283 L
.11788 .48126 L
.11747 .47476 L
.11717 .4687 L
.11694 .46314 L
.11676 .4572 L
.11668 .4538 L
.11662 .45059 L
.11658 .44771 L
.11657 .44609 L
.11656 .4446 L
.11655 .44383 L
.11655 .4431 L
.11655 .44245 L
.11654 .44173 L
.11654 .44096 L
.11654 .44057 L
.11654 .44014 L
.11654 .43938 L
.11655 .43866 L
.11655 .43799 L
.11655 .43727 L
.11656 .436 L
.11657 .43463 L
.11659 .43312 L
.11663 .42997 L
.11669 .4266 L
.11684 .42053 L
.11705 .41429 L
.11733 .40754 L
.11799 .39532 L
.11986 .37073 L
.12223 .34743 L
.12492 .32547 L
.12811 .30265 L
.1314 .28127 L
.135 .25918 L
Mistroke
.13847 .23854 L
.14173 .21925 L
.14472 .20117 L
Mfstroke
.2 .7 m
.18832 .69027 L
.17593 .67784 L
.16478 .66437 L
.15464 .64971 L
.14464 .63228 L
.1359 .61376 L
.1277 .59228 L
.12097 .57001 L
.11564 .54728 L
.11338 .53535 L
.11123 .52193 L
.10951 .50881 L
.10822 .49663 L
.10716 .48391 L
.1067 .47676 L
.10634 .47009 L
.10606 .46346 L
.10586 .45743 L
.10578 .45398 L
.10571 .45072 L
.10566 .44728 L
.10564 .44534 L
.10562 .44356 L
.10561 .44271 L
.10561 .44191 L
.10561 .44119 L
.1056 .4404 L
.1056 .43955 L
.1056 .43912 L
.1056 .43865 L
.1056 .43781 L
.1056 .43702 L
.10561 .43628 L
.10561 .43549 L
.10562 .43409 L
.10563 .43257 L
.10564 .43092 L
.10569 .42745 L
.10575 .42373 L
.10592 .41705 L
.10614 .41018 L
.10646 .40274 L
.10719 .3893 L
.10925 .36224 L
.11186 .33665 L
.11481 .31256 L
.11827 .28755 L
.1218 .26415 L
.12561 .24001 L
Mistroke
.12923 .21746 L
.13257 .19638 L
.13556 .17661 L
Mfstroke
.2 .71667 m
.18711 .7069 L
.17336 .69423 L
.16094 .6803 L
.14959 .66496 L
.13835 .64652 L
.12851 .62673 L
.11926 .60361 L
.11166 .57946 L
.10564 .55468 L
.10309 .54164 L
.10067 .52694 L
.09874 .51256 L
.0973 .49918 L
.09613 .4852 L
.09561 .47734 L
.09522 .47001 L
.09494 .46328 L
.0947 .45609 L
.09461 .45197 L
.09453 .44809 L
.09449 .4446 L
.09447 .44263 L
.09446 .44082 L
.09445 .43989 L
.09445 .43901 L
.09445 .43822 L
.09444 .43736 L
.09444 .43642 L
.09444 .43595 L
.09444 .43543 L
.09445 .4345 L
.09445 .43364 L
.09445 .43282 L
.09446 .43195 L
.09447 .43041 L
.09448 .42875 L
.0945 .42693 L
.09456 .42311 L
.09464 .41902 L
.09483 .41168 L
.0951 .40413 L
.09546 .39596 L
.0963 .38119 L
.09863 .35151 L
.10153 .32348 L
.10477 .29714 L
.10853 .26984 L
.1123 .24433 L
.11632 .21804 L
Mistroke
.12005 .19348 L
.1234 .17052 L
.12631 .14895 L
Mfstroke
.2 .73333 m
.18585 .72353 L
.17069 .71061 L
.15692 .69618 L
.14431 .6801 L
.13178 .66056 L
.12078 .63939 L
.11044 .61446 L
.10195 .58824 L
.09525 .56122 L
.09243 .54696 L
.08976 .53086 L
.08764 .51508 L
.08607 .5004 L
.08482 .48505 L
.08428 .47651 L
.08386 .46836 L
.08356 .46065 L
.08342 .45641 L
.08332 .45241 L
.08325 .44867 L
.08321 .4467 L
.08318 .44462 L
.08316 .44286 L
.08315 .44093 L
.08314 .44008 L
.08313 .43918 L
.08313 .43833 L
.08313 .43754 L
.08312 .43655 L
.08312 .43603 L
.08312 .43546 L
.08312 .4349 L
.08312 .43431 L
.08312 .43326 L
.08312 .43228 L
.08313 .43137 L
.08313 .43037 L
.08314 .4293 L
.08316 .42688 L
.08318 .4246 L
.08324 .42033 L
.08332 .41626 L
.08341 .41251 L
.08367 .40404 L
.08432 .38889 L
.0853 .37231 L
.08789 .34029 L
.09105 .31009 L
.09492 .27881 L
Mistroke
.09893 .24956 L
.10288 .22226 L
.10699 .1941 L
.11073 .1678 L
.1143 .14063 L
.1169 .11816 L
Mfstroke
.2 .75 m
.18453 .74016 L
.1679 .72696 L
.15273 .712 L
.1388 .69512 L
.12492 .67439 L
.11272 .65172 L
.10126 .6248 L
.09188 .59632 L
.08451 .56683 L
.08143 .55123 L
.07853 .5336 L
.07625 .51631 L
.07459 .50021 L
.07327 .48337 L
.07272 .47401 L
.07231 .46507 L
.07202 .45661 L
.07189 .45188 L
.07181 .44758 L
.07175 .44355 L
.07172 .44128 L
.0717 .43919 L
.07169 .43736 L
.07168 .43632 L
.07168 .43534 L
.07168 .43432 L
.07168 .43338 L
.07168 .4323 L
.07168 .43128 L
.07168 .43027 L
.07168 .42918 L
.07169 .42815 L
.07169 .42721 L
.07171 .42502 L
.07173 .42271 L
.07179 .41837 L
.07188 .41361 L
.0721 .40515 L
.07236 .39729 L
.07321 .37922 L
.07422 .36291 L
.0771 .32825 L
.08056 .29564 L
.08473 .26189 L
.08899 .23037 L
.0931 .20099 L
.09731 .17067 L
.10103 .14234 L
.10446 .11301 L
Mistroke
.10712 .08538 L
.10722 .08417 L
Mfstroke
.2 .76667 m
.18317 .75678 L
.165 .74329 L
.14837 .72776 L
.13305 .71002 L
.11776 .68799 L
.10433 .66368 L
.09172 .63459 L
.08144 .60364 L
.07343 .57146 L
.07011 .5544 L
.06702 .5351 L
.06461 .51616 L
.06288 .49853 L
.06155 .48008 L
.06102 .46983 L
.06063 .46004 L
.06048 .45528 L
.06037 .45079 L
.06027 .44561 L
.06023 .44333 L
.0602 .44091 L
.06018 .43879 L
.06017 .43766 L
.06016 .43645 L
.06016 .43534 L
.06015 .43433 L
.06015 .43332 L
.06015 .43235 L
.06015 .43124 L
.06015 .43005 L
.06015 .42904 L
.06015 .42792 L
.06016 .42672 L
.06016 .42543 L
.06018 .42309 L
.0602 .42077 L
.06023 .41828 L
.0603 .41381 L
.06041 .40849 L
.06054 .40367 L
.06088 .39316 L
.0613 .38327 L
.06236 .36403 L
.0636 .34642 L
.06691 .30936 L
.07074 .27459 L
.07524 .23864 L
.07971 .20513 L
.08435 .17065 L
Mistroke
.08849 .13848 L
.09197 .10837 L
.09499 .07708 L
.09707 .04748 L
.0971 .0469 L
Mfstroke
.2 .78333 m
.18176 .7734 L
.16198 .75959 L
.14383 .74346 L
.12706 .72479 L
.11032 .70135 L
.09561 .67526 L
.08184 .64381 L
.07067 .61015 L
.06205 .57503 L
.05844 .55601 L
.05525 .53528 L
.05287 .5156 L
.05113 .49684 L
.05035 .4861 L
.04974 .47582 L
.04931 .46656 L
.04895 .45641 L
.04881 .45082 L
.0487 .44554 L
.04863 .4408 L
.0486 .43813 L
.04858 .43567 L
.04858 .43439 L
.04857 .43302 L
.04857 .43172 L
.04856 .43054 L
.04856 .42915 L
.04856 .42837 L
.04856 .42764 L
.04857 .42631 L
.04857 .42564 L
.04857 .4249 L
.04858 .42343 L
.04859 .42207 L
.04862 .41903 L
.04865 .41634 L
.04869 .41351 L
.04878 .40823 L
.04889 .40343 L
.04922 .39267 L
.04961 .38273 L
.05005 .37336 L
.0527 .3333 L
.05658 .29159 L
.06099 .25253 L
.06554 .21611 L
.07042 .17859 L
.07488 .14363 L
.07911 .1076 L
Mistroke
.08246 .07379 L
.08484 .04189 L
.0857 .02562 L
.08606 .01656 L
.08631 .00837 L
.08636 .0062 L
Mfstroke
.2 .8 m
.1803 .79002 L
.15886 .77588 L
.13911 .75909 L
.12085 .73943 L
.10258 .71447 L
.08656 .68643 L
.07161 .6524 L
.05957 .61579 L
.05038 .57749 L
.04659 .55672 L
.04328 .53408 L
.04085 .51257 L
.03913 .49209 L
.03838 .48036 L
.03782 .46916 L
.03744 .45905 L
.03727 .45332 L
.03715 .44799 L
.03705 .44218 L
.03701 .4389 L
.03699 .43733 L
.03698 .43588 L
.03697 .43449 L
.03696 .43323 L
.03696 .43182 L
.03695 .43032 L
.03695 .42887 L
.03695 .42806 L
.03695 .4273 L
.03695 .42591 L
.03695 .42444 L
.03696 .42313 L
.03696 .42192 L
.03698 .4192 L
.037 .4168 L
.03703 .41428 L
.03711 .40892 L
.03723 .40307 L
.03756 .39128 L
.03796 .38058 L
.03917 .3567 L
.04062 .335 L
.04252 .31172 L
.04697 .26683 L
.05184 .22491 L
.0567 .18591 L
.06173 .14575 L
.06612 .10833 L
.07003 .06965 L
Mistroke
.07161 .05066 L
.07282 .03322 L
.07374 .01644 L
.07414 .0071 L
Mfstroke
.07414 .0071 m
.07438 0 L
s
.2 .81667 m
.17878 .80663 L
.15561 .79214 L
.13422 .77466 L
.11439 .75392 L
.09456 .72731 L
.07719 .69716 L
.06106 .66033 L
.04817 .62052 L
.03846 .57877 L
.03452 .55611 L
.03114 .5314 L
.02872 .50795 L
.02706 .48564 L
.02637 .47287 L
.0261 .46655 L
.02588 .46067 L
.02571 .45491 L
.02558 .44969 L
.02546 .44387 L
.02542 .44067 L
.02538 .43766 L
.02536 .43622 L
.02535 .43467 L
.02534 .43333 L
.02533 .43187 L
.02533 .43098 L
.02533 .43016 L
.02532 .42854 L
.02532 .42707 L
.02532 .4255 L
.02532 .42399 L
.02533 .42235 L
.02533 .42081 L
.02534 .41939 L
.02537 .41611 L
.0254 .41265 L
.02549 .40695 L
.02559 .40166 L
.0259 .38964 L
.02638 .37657 L
.02694 .36427 L
.02827 .34136 L
.03198 .29467 L
.03691 .24633 L
.04216 .20129 L
.04726 .15944 L
.05237 .11635 L
.05664 .07616 L
.05848 .05612 L
Mistroke
.06018 .03452 L
.06148 .01401 L
Mfstroke
.06148 .01401 m
.06213 0 L
s
.2 .83333 m
.17721 .82324 L
.15225 .80837 L
.12914 .79015 L
.1077 .76825 L
.08625 .73987 L
.06751 .70743 L
.05019 .66755 L
.03649 .62428 L
.02633 .5788 L
.02228 .55411 L
.01888 .5272 L
.01765 .51496 L
.01652 .50168 L
.01564 .48914 L
.01497 .47742 L
.01439 .46392 L
.01415 .45676 L
.01395 .44912 L
.01388 .44561 L
.01382 .44182 L
.01377 .43847 L
.01374 .43494 L
.01372 .43339 L
.01371 .43174 L
.01371 .43079 L
.0137 .42992 L
.0137 .42823 L
.01369 .42671 L
.01369 .42506 L
.01369 .4235 L
.0137 .42206 L
.0137 .42047 L
.01371 .4188 L
.01372 .41737 L
.01373 .41581 L
.01376 .41232 L
.0138 .40907 L
.01389 .40318 L
.01402 .39689 L
.01444 .38236 L
.01495 .36919 L
.01628 .34355 L
.01817 .31601 L
.0229 .26288 L
.02825 .21331 L
.03365 .16725 L
.0392 .1199 L
.04393 .07583 L
.046 .05389 L
Mistroke
.04793 .03027 L
.04944 .00762 L
Mfstroke
.04944 .00762 m
.04983 0 L
s
.2 .85 m
.17559 .83984 L
.14878 .82458 L
.12389 .80556 L
.10077 .78243 L
.07766 .75212 L
.05752 .71721 L
.03902 .67403 L
.03106 .6502 L
.02455 .62701 L
.01401 .57753 L
.01012 .55218 L
.00675 .52354 L
.00445 .49603 L
.00351 .48041 L
.00317 .47345 L
.00286 .46602 L
.00261 .45855 L
.00242 .45177 L
.00227 .44493 L
.00217 .43849 L
.00213 .43482 L
.00212 .43282 L
.0021 .43095 L
.00209 .42935 L
.00209 .42764 L
.00208 .42574 L
.00208 .42401 L
.00208 .42304 L
.00208 .422 L
.00209 .42015 L
.00209 .41912 L
.00209 .41816 L
.0021 .41596 L
.00212 .41404 L
.00213 .41228 L
.00217 .40833 L
.00228 .40143 L
.00243 .39406 L
.0028 .3808 L
.00339 .36507 L
.00407 .35083 L
.00574 .32328 L
.00798 .29376 L
.01334 .23694 L
.01916 .18408 L
.0248 .13504 L
.03035 .08464 L
.0348 .03762 L
.03661 .01416 L
Mistroke
.03741 .00187 L
Mfstroke
.03741 .00187 m
.03752 0 L
s
.2 .86667 m
.17392 .85644 L
.14519 .84076 L
.11846 .8209 L
.0936 .79644 L
.06879 .76406 L
.04723 .72646 L
.02757 .67972 L
.01918 .65385 L
.01238 .62865 L
.00155 .57487 L
s
.00155 .57487 m
0 .56393 L
s
0 .24994 m
.00369 .21234 L
.00965 .15814 L
.01584 .10254 L
.02107 .05088 L
.02331 .02518 L
s
.02331 .02518 m
.02516 0 L
s
.2 .88333 m
.1722 .87303 L
.14148 .85691 L
.11284 .83615 L
.0862 .81026 L
.05963 .77565 L
.03664 .73516 L
.02615 .71184 L
.01584 .68456 L
0 .62915 L
s
0 .62915 m
0 .62914 L
s
0 .13315 m
.00145 .11989 L
.00745 .06247 L
.01218 .009 L
s
.01218 .009 m
.0128 0 L
s
.2 .9 m
.1857 .89546 L
.17043 .88962 L
.13765 .87303 L
.10821 .85228 L
.07788 .82314 L
.05058 .78747 L
.02468 .74098 L
.01323 .7144 L
.0037 .68801 L
s
.0037 .68801 m
0 .67452 L
s
0 .00624 m
.0005 0 L
s
.2 .91667 m
.18482 .91212 L
.1686 .90621 L
.13371 .88912 L
.10231 .8674 L
.06996 .83653 L
.0409 .79837 L
.02723 .77558 L
.01348 .74828 L
s
.01348 .74828 m
0 .71316 L
s
.21667 .08333 m
.21483 .07444 L
.21251 .06445 L
.21002 .05477 L
.20734 .04514 L
.20415 .0345 L
.20075 .02383 L
.19675 .01196 L
s
.19675 .01196 m
.19252 0 L
s
.21667 .1 m
.21543 .09118 L
.21377 .08137 L
.2119 .07191 L
.20983 .06258 L
.2073 .05234 L
.20454 .04214 L
.20125 .03088 L
.19771 .01956 L
.19395 .00818 L
s
.19395 .00818 m
.1911 0 L
s
.21667 .11667 m
.21598 .10793 L
.21493 .09826 L
.21365 .08903 L
.21215 .07997 L
.21024 .0701 L
.20809 .06033 L
.20547 .04962 L
.2026 .03894 L
.1995 .02826 L
.19582 .01643 L
.19189 .00451 L
s
.19189 .00451 m
.19033 0 L
s
.21667 .13333 m
.21666 .13229 L
.21665 .13132 L
.21663 .13026 L
.21661 .12912 L
.21655 .12679 L
.21649 .12467 L
.21627 .11979 L
.216 .11515 L
.21529 .10639 L
.21424 .09693 L
.21295 .08766 L
.21143 .07857 L
.2095 .06866 L
.20734 .05886 L
.2047 .04811 L
.20181 .03738 L
.19869 .02667 L
.19499 .01479 L
.19104 .00282 L
s
.19104 .00282 m
.19007 0 L
s
.21667 .15 m
.21675 .148 L
.21683 .14582 L
.2169 .14351 L
.21695 .14141 L
.21697 .1402 L
.21698 .13906 L
.21699 .13848 L
.21699 .13786 L
.21699 .13754 L
.217 .13718 L
.217 .13686 L
.217 .13656 L
.217 .13627 L
.217 .13612 L
.217 .13597 L
.217 .13571 L
.217 .13543 L
.217 .13527 L
.217 .1351 L
.217 .13494 L
.217 .1348 L
.217 .13452 L
.217 .13422 L
.21699 .13368 L
.21699 .13318 L
.21698 .13203 L
.21696 .13091 L
.21694 .1297 L
.21689 .12749 L
.21682 .12533 L
.21675 .12333 L
.21655 .11914 L
.21626 .11449 L
.21548 .10534 L
.21445 .0964 L
.21306 .08673 L
.21143 .07722 L
.20956 .06784 L
.20726 .05759 L
.20472 .0474 L
.20166 .03617 L
.19834 .02492 L
.19478 .01364 L
.19059 .00107 L
s
.19059 .00107 m
.19022 0 L
s
.21667 .16667 m
.21703 .16251 L
.21736 .15814 L
.21766 .15335 L
.21786 .14889 L
.21794 .14682 L
.218 .14486 L
.21802 .14378 L
.21805 .14261 L
.21807 .14162 L
.21808 .14055 L
.21809 .13999 L
.21809 .13948 L
.2181 .13896 L
.2181 .13848 L
.2181 .13819 L
.2181 .13792 L
.2181 .13763 L
.2181 .13747 L
.2181 .13731 L
.2181 .13703 L
.2181 .13678 L
.2181 .1365 L
.2181 .13636 L
.2181 .1362 L
.2181 .13605 L
.2181 .13589 L
.2181 .1356 L
.2181 .13505 L
.21809 .13441 L
.21809 .13381 L
.21808 .13273 L
.21806 .13158 L
.21802 .12952 L
.21795 .12729 L
.2178 .12325 L
.21756 .11881 L
.21724 .1141 L
.21647 .10553 L
.21536 .09628 L
.21402 .08721 L
.21228 .07735 L
.21029 .06761 L
.20808 .05797 L
.20539 .04739 L
.20247 .03682 L
.19933 .02627 L
.19562 .01456 L
.19166 .00277 L
s
.19166 .00277 m
.19069 0 L
s
.21667 .18333 m
.21773 .17488 L
.21865 .16575 L
.21901 .16133 L
.21929 .15723 L
.21952 .15304 L
.21969 .14907 L
.21975 .14698 L
.21978 .14587 L
.21981 .1447 L
.21983 .14372 L
.21984 .14263 L
.21985 .14165 L
.21986 .14072 L
.21987 .14017 L
.21987 .13991 L
.21987 .13966 L
.21987 .13952 L
.21987 .13936 L
.21987 .1391 L
.21987 .13894 L
.21987 .13878 L
.21987 .13865 L
.21987 .1385 L
.21987 .13822 L
.21987 .13797 L
.21987 .13783 L
.21987 .13768 L
.21987 .1374 L
.21986 .13687 L
.21986 .13638 L
.21985 .13546 L
.21984 .13445 L
.2198 .1324 L
.21975 .13023 L
.21969 .12823 L
.21949 .12373 L
.21925 .11962 L
.21892 .1151 L
.21807 .10617 L
.21698 .09744 L
.21554 .08799 L
.21384 .07867 L
.21194 .06948 L
.20959 .05943 L
.20702 .04943 L
.20423 .03947 L
.20093 .02846 L
.1974 .01741 L
.19325 .00511 L
Mistroke
Mfstroke
.19325 .00511 m
.19144 0 L
s
.21667 .2 m
.21805 .19161 L
.21935 .18259 L
.22036 .17422 L
.22113 .16624 L
.22147 .16182 L
.22173 .1578 L
.22194 .15363 L
.22208 .1497 L
.22213 .14769 L
.22216 .14658 L
.22218 .14555 L
.22219 .1446 L
.2222 .14373 L
.2222 .14327 L
.22221 .14276 L
.22221 .14248 L
.22221 .14223 L
.22221 .14199 L
.22221 .14172 L
.22221 .14145 L
.22221 .14131 L
.22221 .14117 L
.22221 .14093 L
.22221 .14066 L
.22221 .14052 L
.22221 .14036 L
.22221 .14007 L
.22221 .13978 L
.22221 .13952 L
.22221 .13905 L
.2222 .13852 L
.22219 .13745 L
.22218 .13649 L
.22216 .13545 L
.22211 .13357 L
.22206 .13157 L
.22197 .12938 L
.22176 .12496 L
.2215 .12082 L
.22115 .11638 L
.22025 .1075 L
.21911 .0988 L
.21775 .09028 L
.21603 .08101 L
.21409 .07185 L
.21194 .06279 L
.20936 .05285 L
.20656 .04293 L
.20324 .03198 L
Mistroke
.19969 .02096 L
.19593 .00989 L
Mfstroke
.19593 .00989 m
.19241 0 L
s
.21667 .21667 m
.21833 .20834 L
.21995 .19942 L
.22129 .19118 L
.22239 .18337 L
.22337 .17513 L
.22411 .16727 L
.2244 .16329 L
.22466 .15897 L
.22476 .15695 L
.22485 .15482 L
.22492 .15282 L
.22498 .15099 L
.22502 .14911 L
.22504 .14807 L
.22505 .14708 L
.22505 .14664 L
.22506 .14618 L
.22506 .14577 L
.22506 .14533 L
.22506 .14506 L
.22506 .14482 L
.22507 .14458 L
.22507 .14433 L
.22507 .14411 L
.22507 .1439 L
.22507 .14367 L
.22507 .14342 L
.22507 .14318 L
.22506 .14291 L
.22506 .14263 L
.22506 .14237 L
.22506 .14189 L
.22505 .14139 L
.22504 .14023 L
.22503 .13917 L
.22498 .1372 L
.22493 .13513 L
.22477 .13115 L
.22457 .12744 L
.22398 .11949 L
.2231 .11093 L
.22199 .10256 L
.22068 .09435 L
.21901 .08543 L
.21713 .07662 L
.21507 .06791 L
.21258 .05836 L
.20989 .04884 L
.20671 .03833 L
Mistroke
.20331 .02777 L
.19971 .01717 L
.19557 .00551 L
Mfstroke
.21667 .23333 m
.21856 .22506 L
.22046 .21624 L
.22208 .20812 L
.22348 .20045 L
.22479 .1924 L
.22586 .18476 L
.22681 .17671 L
.22751 .16903 L
.22777 .16553 L
.228 .16168 L
.22817 .15789 L
.22825 .15581 L
.2283 .15387 L
.22832 .15292 L
.22834 .15189 L
.22836 .15098 L
.22836 .15047 L
.22837 .15 L
.22837 .14954 L
.22838 .14904 L
.22838 .14859 L
.22838 .14837 L
.22838 .14817 L
.22838 .14798 L
.22838 .14777 L
.22838 .14754 L
.22838 .14734 L
.22838 .14712 L
.22838 .14689 L
.22838 .14667 L
.22838 .14646 L
.22838 .14624 L
.22838 .146 L
.22838 .14558 L
.22837 .14512 L
.22837 .14462 L
.22836 .14372 L
.22835 .14289 L
.22831 .14098 L
.22825 .13894 L
.22809 .13483 L
.22788 .13093 L
.22731 .12344 L
.22647 .11538 L
.22543 .1075 L
.2242 .09978 L
.22264 .09139 L
.2209 .08312 L
.21876 .07409 L
Mistroke
.21643 .06511 L
.21392 .05619 L
.21095 .04635 L
.20785 .03667 L
Mfstroke
.21667 .25 m
.21874 .24179 L
.22087 .23305 L
.22273 .22504 L
.22438 .21749 L
.22597 .2096 L
.22735 .20214 L
.22864 .19433 L
.22969 .18691 L
.23054 .17984 L
.23124 .17237 L
.23152 .16867 L
.23173 .16522 L
.23189 .16191 L
.23201 .15836 L
.23206 .15652 L
.23208 .15549 L
.23209 .15452 L
.2321 .1536 L
.23211 .15316 L
.23211 .15276 L
.23211 .1523 L
.23212 .15205 L
.23212 .15179 L
.23212 .15157 L
.23212 .15136 L
.23212 .15113 L
.23212 .151 L
.23212 .15088 L
.23212 .15067 L
.23212 .15046 L
.23212 .15024 L
.23212 .15001 L
.23211 .14952 L
.23211 .14908 L
.2321 .14827 L
.23209 .14741 L
.23206 .14561 L
.23201 .14363 L
.23195 .14176 L
.23188 .14005 L
.23169 .13621 L
.23146 .13268 L
.23115 .12883 L
.23037 .12119 L
.22941 .11372 L
.22826 .10642 L
.22682 .09849 L
.22519 .09067 L
.22321 .08215 L
Mistroke
.22105 .07369 L
.21882 .06566 L
Mfstroke
.21667 .26667 m
.21888 .25851 L
.22118 .24985 L
.22323 .24193 L
.22509 .23449 L
.22693 .22674 L
.22857 .21944 L
.23015 .21183 L
.23152 .20462 L
.23268 .19779 L
.23374 .19061 L
.23459 .18377 L
.23525 .17725 L
.23554 .17364 L
.23577 .17034 L
.23595 .1669 L
.23609 .16371 L
.23614 .16214 L
.23618 .16046 L
.2362 .15951 L
.23621 .1586 L
.23622 .1578 L
.23623 .15737 L
.23623 .15692 L
.23624 .15648 L
.23624 .15608 L
.23624 .15588 L
.23624 .15567 L
.23624 .15548 L
.23624 .15529 L
.23624 .15508 L
.23624 .15488 L
.23624 .15466 L
.23624 .15454 L
.23624 .15443 L
.23624 .15421 L
.23624 .15398 L
.23623 .15351 L
.23623 .15303 L
.23623 .1526 L
.23621 .15164 L
.2362 .15074 L
.23618 .14989 L
.23614 .14822 L
.23608 .14645 L
.23595 .14327 L
.23576 .13988 L
.23554 .1367 L
.23493 .1299 L
.23407 .12257 L
Mistroke
.23302 .1154 L
.23182 .10838 L
.23032 .10075 L
.22865 .09322 L
.22853 .09273 L
Mfstroke
.21667 .28333 m
.21897 .27523 L
.2214 .26664 L
.22359 .2588 L
.22562 .25145 L
.22766 .24382 L
.22951 .23665 L
.23135 .2292 L
.23298 .22218 L
.23441 .21555 L
.23579 .20861 L
.23696 .20204 L
.23795 .19579 L
.23884 .18921 L
.23953 .18293 L
.23983 .17976 L
.2401 .1763 L
.24032 .17296 L
.24048 .16994 L
.2406 .16679 L
.24064 .16506 L
.24066 .16428 L
.24068 .16343 L
.24069 .16267 L
.2407 .16186 L
.2407 .16142 L
.24071 .16101 L
.24071 .16081 L
.24071 .1606 L
.24071 .1604 L
.24071 .16021 L
.24071 .16004 L
.24071 .15986 L
.24071 .15965 L
.24071 .15946 L
.24071 .15928 L
.24071 .15908 L
.24071 .15887 L
.24071 .15867 L
.24071 .15831 L
.24071 .15798 L
.2407 .15725 L
.24069 .15647 L
.24068 .15564 L
.24065 .15416 L
.24061 .15257 L
.24055 .15081 L
.24041 .14767 L
.24021 .14428 L
.23966 .13753 L
Mistroke
.23894 .13095 L
.23807 .12453 L
.23703 .11808 L
Mfstroke
.21667 .3 m
.21901 .29194 L
.22152 .28342 L
.22381 .27564 L
.22596 .26837 L
.22815 .26083 L
.23017 .25377 L
.23222 .24645 L
.23407 .23958 L
.23574 .23311 L
.23738 .22637 L
.23884 .22 L
.24011 .21399 L
.24133 .20768 L
.24236 .2017 L
.2433 .1954 L
.24405 .1894 L
.24463 .18366 L
.24489 .18048 L
.24509 .17759 L
.24525 .17455 L
.24537 .17176 L
.24541 .17037 L
.24545 .16889 L
.24548 .16741 L
.24549 .16657 L
.2455 .16617 L
.2455 .16579 L
.2455 .16543 L
.2455 .16504 L
.2455 .16484 L
.2455 .16466 L
.2455 .16455 L
.2455 .16445 L
.24551 .16434 L
.24551 .16423 L
.24551 .16405 L
.2455 .16386 L
.2455 .16369 L
.2455 .16352 L
.2455 .16333 L
.2455 .16313 L
.2455 .16275 L
.2455 .16242 L
.2455 .16205 L
.24549 .16131 L
.24548 .16062 L
.24546 .15998 L
.24543 .15842 L
.24538 .15694 L
Mistroke
.24527 .15415 L
.24511 .15116 L
.24493 .14838 L
.24441 .14241 L
.24436 .14188 L
Mfstroke
.21667 .31667 m
.219 .30866 L
.22154 .30018 L
.22389 .29246 L
.2261 .28524 L
.22841 .27778 L
.23055 .2708 L
.23276 .26358 L
.23479 .25682 L
.23665 .25047 L
.23852 .24388 L
.24021 .23769 L
.24173 .23185 L
.24323 .22576 L
.24455 .22 L
.24581 .21398 L
.2469 .20827 L
.24782 .20284 L
.24865 .19712 L
.24932 .19167 L
.24987 .18591 L
.25009 .18302 L
.25026 .18038 L
.25039 .1778 L
.25044 .17648 L
.25049 .17507 L
.25053 .17365 L
.25055 .17236 L
.25056 .17174 L
.25057 .17107 L
.25057 .17076 L
.25058 .17043 L
.25058 .17015 L
.25058 .16984 L
.25058 .16967 L
.25058 .16951 L
.25058 .16934 L
.25058 .16916 L
.25058 .169 L
.25058 .16884 L
.25058 .1687 L
.25058 .16855 L
.25058 .16838 L
.25058 .16819 L
.25058 .16782 L
.25058 .16747 L
.25057 .16715 L
.25057 .16651 L
.25056 .16593 L
.25053 .16462 L
Mistroke
.25053 .16424 L
Mfstroke
.21667 .33333 m
.21895 .32537 L
.22146 .31694 L
.22381 .30926 L
.22606 .30208 L
.22842 .29466 L
.23065 .28774 L
.23296 .28059 L
.23512 .2739 L
.23713 .26764 L
.23918 .26116 L
.24107 .25508 L
.24279 .24938 L
.24453 .24344 L
.24609 .23786 L
.24764 .23204 L
.24901 .22655 L
.25023 .22136 L
.25139 .21592 L
.25239 .21076 L
.25332 .20534 L
.25409 .20017 L
.2547 .19524 L
.25521 .19003 L
.25556 .18528 L
s
.21667 .35 m
.21885 .34208 L
.22128 .33368 L
.22359 .32603 L
.22582 .31888 L
.22819 .31148 L
.23045 .30458 L
.23283 .29747 L
.23507 .29082 L
.23718 .28461 L
.23937 .27819 L
.2414 .27218 L
.24329 .26656 L
.24522 .26073 L
.24698 .25527 L
.24877 .2496 L
.25039 .24426 L
.25185 .23924 L
.2533 .23401 L
.25459 .22906 L
.25584 .2239 L
.25693 .219 L
.25788 .21435 L
.25876 .20947 L
.25945 .20505 L
s
.21667 .36667 m
.2187 .35878 L
.221 .35041 L
.22322 .34277 L
.22538 .33563 L
.22771 .32824 L
.22996 .32134 L
.23235 .31422 L
.23463 .30758 L
.2368 .30138 L
.23907 .29497 L
.24121 .289 L
.24322 .28341 L
.24529 .27763 L
.24722 .27223 L
.24919 .26663 L
.25101 .26139 L
.25268 .25648 L
.25437 .25137 L
.2559 .24657 L
.25743 .24158 L
.2588 .23688 L
.26003 .23243 L
.26123 .22779 L
.26223 .2236 L
s
.21667 .38333 m
.21851 .37549 L
.22062 .36714 L
.2227 .3595 L
.22475 .35234 L
.22699 .34493 L
.22917 .338 L
.23152 .33085 L
.23379 .32417 L
.23598 .31794 L
.23828 .31151 L
.24048 .30551 L
.24256 .29991 L
.24473 .29412 L
.24678 .28872 L
.24889 .28315 L
.25087 .27794 L
.2527 .27307 L
.25458 .26802 L
.25632 .26329 L
.25808 .2584 L
.25969 .2538 L
.26115 .24948 L
.26262 .24498 L
.26388 .24095 L
s
.21667 .4 m
.21827 .39219 L
.22015 .38385 L
.22202 .37619 L
.22392 .369 L
.22601 .36155 L
.22809 .35456 L
.23034 .34734 L
.23256 .34059 L
.2347 .33429 L
.237 .32778 L
.2392 .32171 L
.24132 .31605 L
.24355 .3102 L
.24566 .30475 L
.24787 .29913 L
.24996 .29388 L
.25192 .28898 L
.25395 .28393 L
.25584 .2792 L
.25778 .27432 L
.25958 .26976 L
.26125 .26548 L
.26294 .26105 L
.26441 .25709 L
s
.21667 .41667 m
.21797 .40889 L
.21956 .40054 L
.2212 .39286 L
.22288 .38563 L
.22478 .3781 L
.22669 .37102 L
.22881 .3637 L
.23091 .35684 L
.23297 .35042 L
.2352 .34379 L
.23738 .33759 L
.23948 .33181 L
.24171 .32584 L
.24386 .32027 L
.24612 .31454 L
.24828 .30919 L
.25032 .30421 L
.25245 .29906 L
.25446 .29427 L
.25655 .28933 L
.2585 .28471 L
.26032 .2804 L
.26219 .27595 L
.26384 .27199 L
s
.21667 .43333 m
.21764 .42558 L
.21888 .41723 L
.22022 .40951 L
.22164 .4022 L
.22329 .39457 L
.22499 .38738 L
.22691 .37992 L
.22885 .3729 L
.23078 .36632 L
.2329 .35951 L
.23499 .35314 L
.23703 .34718 L
.23923 .34103 L
.24136 .33528 L
.24363 .32936 L
.24581 .32384 L
.2479 .3187 L
.2501 .31339 L
.25218 .30845 L
.25437 .30336 L
.25643 .29862 L
.25837 .2942 L
.26038 .28964 L
.26217 .2856 L
s
.21667 .45 m
.21725 .44227 L
.2181 .43391 L
.21908 .42613 L
.2202 .41873 L
.22154 .41098 L
.22298 .40364 L
.22464 .39599 L
.22637 .38877 L
.22812 .38199 L
.23008 .37494 L
.23204 .36833 L
.23398 .36214 L
.2361 .35573 L
.23817 .34974 L
.2404 .34356 L
.24257 .33779 L
.24466 .33241 L
.24688 .32686 L
.24901 .32169 L
.25125 .31637 L
.25339 .31142 L
.25541 .3068 L
.25753 .30205 L
.25942 .29784 L
s
.21667 .46667 m
.21667 .46622 L
.21667 .46574 L
.21668 .46488 L
.21669 .46385 L
.21671 .46292 L
.21676 .46089 L
.21681 .45896 L
.21697 .45494 L
.21721 .45057 L
.21782 .44246 L
.2186 .43471 L
.21953 .42732 L
.22069 .41955 L
.22196 .41218 L
.22346 .40447 L
.22504 .39719 L
.22667 .39033 L
.2285 .38319 L
.23036 .37648 L
.23242 .36953 L
.23446 .36302 L
.23648 .35693 L
.23866 .35064 L
.24079 .34476 L
.24286 .33928 L
.24507 .33362 L
.24719 .32834 L
.24944 .32292 L
.25158 .31786 L
.25363 .31314 L
.25563 .30861 L
s
.21667 .48333 m
.21647 .4796 L
.21639 .47769 L
.21633 .47565 L
.2163 .47456 L
.21627 .47357 L
.21626 .47256 L
.21624 .47163 L
.21623 .47055 L
.21622 .46997 L
.21622 .46968 L
.21622 .46937 L
.21622 .46909 L
.21622 .46884 L
.21621 .46859 L
.21621 .46835 L
.21621 .46821 L
.21621 .46807 L
.21621 .46781 L
.21621 .46765 L
.21621 .4675 L
.21621 .46737 L
.21621 .46722 L
.21622 .46697 L
.21622 .46675 L
.21622 .46624 L
.21622 .46576 L
.21623 .46531 L
.21624 .46431 L
.21625 .46322 L
.2163 .46103 L
.21636 .45899 L
.2165 .45525 L
.21671 .45112 L
.21729 .44309 L
.21804 .43541 L
.21904 .42732 L
.22018 .41962 L
.22142 .41232 L
.22289 .40468 L
.22444 .39746 L
.22621 .38994 L
.22802 .38287 L
.22985 .37623 L
.23188 .36934 L
.23389 .36288 L
.23588 .35684 L
.23803 .35059 L
.24012 .34476 L
.24237 .33874 L
Mistroke
.24455 .33313 L
.24664 .3279 L
.24885 .3225 L
.25084 .31779 L
Mfstroke
.21667 .5 m
.21621 .49628 L
.21579 .49234 L
.21541 .48796 L
.21512 .48386 L
.21491 .48013 L
.21475 .47613 L
.21469 .47404 L
.21467 .47294 L
.21464 .47177 L
.21463 .47075 L
.21462 .47021 L
.21462 .46963 L
.21461 .46909 L
.21461 .46861 L
.21461 .46837 L
.21461 .46811 L
.21461 .46787 L
.21461 .46765 L
.21461 .46738 L
.21461 .46725 L
.21461 .4671 L
.21461 .46685 L
.21461 .46661 L
.21461 .46646 L
.21461 .46632 L
.21461 .46606 L
.21461 .46548 L
.21462 .46497 L
.21462 .4645 L
.21463 .46344 L
.21465 .46256 L
.21466 .46158 L
.21471 .45962 L
.21477 .45754 L
.21484 .45564 L
.21505 .45137 L
.21529 .44749 L
.2156 .44326 L
.21638 .43502 L
.21732 .42716 L
.21851 .4189 L
.21983 .41106 L
.22124 .40364 L
.22288 .39589 L
.22458 .38859 L
.22631 .38171 L
.22825 .37457 L
.23019 .36787 L
.23232 .36093 L
Mistroke
.23442 .35444 L
.23648 .34837 L
.2387 .3421 L
.24085 .33625 L
.24314 .33023 L
.24509 .32526 L
Mfstroke
.21667 .51667 m
.21521 .50902 L
.21392 .50049 L
.21297 .49232 L
.21232 .48436 L
.21208 .48023 L
.21189 .47579 L
.21183 .47362 L
.2118 .47248 L
.21177 .47126 L
.21176 .4702 L
.21175 .46964 L
.21174 .46903 L
.21174 .46848 L
.21173 .46797 L
.21173 .46772 L
.21173 .46746 L
.21173 .46722 L
.21173 .46697 L
.21173 .46683 L
.21173 .46669 L
.21173 .46643 L
.21173 .46628 L
.21173 .46612 L
.21173 .46597 L
.21173 .46584 L
.21173 .46557 L
.21173 .46542 L
.21173 .46529 L
.21173 .46477 L
.21174 .46431 L
.21174 .4638 L
.21175 .46277 L
.21177 .46166 L
.21179 .46046 L
.21184 .45829 L
.2119 .45624 L
.21198 .454 L
.2122 .4495 L
.21246 .44532 L
.2128 .44087 L
.21364 .4321 L
.21466 .42373 L
.21582 .41577 L
.21722 .40744 L
.21873 .39955 L
.22031 .3921 L
.22211 .38434 L
.22394 .37703 L
.22598 .36946 L
Mistroke
.22803 .36235 L
.23005 .3557 L
.23225 .34881 L
.2344 .34238 L
.23671 .33574 L
.23847 .33086 L
Mfstroke
.21667 .53333 m
.21458 .5257 L
.21261 .5171 L
.21105 .5088 L
.20982 .50063 L
.20925 .49602 L
.2088 .49178 L
.20841 .4873 L
.20811 .48314 L
.20787 .47886 L
.20776 .47645 L
.20768 .47419 L
.20762 .47216 L
.20757 .46997 L
.20755 .46873 L
.20755 .46811 L
.20754 .46754 L
.20754 .46698 L
.20753 .46648 L
.20753 .46621 L
.20753 .46591 L
.20753 .46575 L
.20753 .4656 L
.20753 .46531 L
.20753 .46503 L
.20753 .46476 L
.20753 .46452 L
.20753 .46425 L
.20753 .46396 L
.20753 .46382 L
.20753 .46366 L
.20753 .46311 L
.20754 .4626 L
.20754 .46205 L
.20755 .46106 L
.20757 .45987 L
.20759 .45862 L
.20764 .45638 L
.20771 .45422 L
.2078 .45191 L
.20799 .44776 L
.20829 .44294 L
.20863 .43841 L
.20944 .42979 L
.21052 .42072 L
.21175 .4121 L
.21311 .40392 L
.21471 .39537 L
.21639 .38729 L
.2183 .37889 L
Mistroke
.22025 .37099 L
.22222 .36357 L
.22438 .35588 L
.22652 .34868 L
.22883 .34125 L
.23106 .33441 L
Mfstroke
.21667 .55 m
.2139 .54237 L
.21119 .5337 L
.20896 .52524 L
.2071 .51685 L
.20544 .50767 L
.20415 .49864 L
.20361 .49397 L
.20312 .48885 L
.20276 .48432 L
.20245 .47929 L
.20223 .47451 L
.20214 .47188 L
.20208 .46942 L
.20206 .46821 L
.20204 .4669 L
.20203 .46629 L
.20203 .46565 L
.20202 .46505 L
.20202 .4645 L
.20202 .46421 L
.20202 .46391 L
.20201 .46361 L
.20201 .46344 L
.20201 .46328 L
.20201 .46299 L
.20201 .46273 L
.20201 .46242 L
.20201 .46213 L
.20202 .46188 L
.20202 .4616 L
.20202 .46111 L
.20202 .46058 L
.20203 .45999 L
.20204 .45879 L
.20206 .45753 L
.2021 .45528 L
.20217 .45285 L
.20226 .4502 L
.20247 .44543 L
.20277 .44034 L
.20358 .43031 L
.20459 .42073 L
.20578 .41162 L
.20724 .40206 L
.20883 .39302 L
.2105 .38448 L
.21242 .37558 L
.21437 .36721 L
.21655 .35853 L
Mistroke
.21873 .35039 L
.22088 .34276 L
.22295 .33576 L
Mfstroke
.21667 .56667 m
.21317 .55905 L
.20967 .55029 L
.20671 .54165 L
.20416 .533 L
.20179 .52346 L
.19986 .51398 L
.19817 .50364 L
.19692 .49345 L
.19605 .48349 L
.19573 .4783 L
.19559 .47564 L
.19548 .47277 L
.19539 .47007 L
.19533 .46761 L
.19531 .46642 L
.19529 .46512 L
.19528 .46453 L
.19528 .4639 L
.19527 .46335 L
.19527 .46276 L
.19527 .46243 L
.19526 .46207 L
.19526 .46187 L
.19526 .46169 L
.19526 .46151 L
.19526 .46134 L
.19526 .46102 L
.19526 .46067 L
.19526 .46036 L
.19526 .46003 L
.19526 .45968 L
.19526 .45949 L
.19526 .45931 L
.19527 .45863 L
.19527 .45787 L
.19528 .45708 L
.1953 .45575 L
.19531 .45452 L
.19537 .45172 L
.19546 .44893 L
.19555 .44629 L
.19578 .44136 L
.1961 .43606 L
.19646 .43119 L
.19741 .42085 L
.19855 .41101 L
.19999 .40067 L
.20157 .39088 L
.20344 .38067 L
Mistroke
.20539 .37104 L
.20739 .36198 L
.20961 .35258 L
.21184 .34376 L
.21425 .33472 L
Mfstroke
.21667 .58333 m
.21239 .57572 L
.20805 .56686 L
.20429 .55803 L
.201 .54909 L
.19787 .53914 L
.19523 .52917 L
.19284 .51819 L
.19094 .5073 L
.18951 .49656 L
.18893 .49105 L
.1884 .48493 L
.188 .47908 L
.18772 .47357 L
.1876 .47056 L
.18752 .46769 L
.18746 .46511 L
.18743 .46365 L
.18742 .46229 L
.18741 .46151 L
.1874 .4608 L
.1874 .46002 L
.1874 .45963 L
.1874 .45941 L
.18739 .4592 L
.18739 .45882 L
.18739 .45847 L
.18739 .4581 L
.18739 .45789 L
.18739 .45769 L
.18739 .45737 L
.1874 .45701 L
.1874 .45664 L
.1874 .45629 L
.1874 .45562 L
.18741 .45492 L
.18742 .45367 L
.18744 .45232 L
.18746 .45084 L
.18753 .44784 L
.18762 .44511 L
.18787 .43898 L
.18818 .43338 L
.1886 .42733 L
.18966 .41551 L
.19096 .40424 L
.19242 .39356 L
.1942 .38238 L
.19609 .37182 L
.19827 .36084 L
Mistroke
.20049 .35052 L
.20272 .34084 L
.20509 .33112 L
Mfstroke
.21667 .6 m
.21157 .59239 L
.20631 .58342 L
.20171 .57437 L
.19762 .56512 L
.19366 .55472 L
.19026 .54419 L
.1871 .5325 L
.18452 .52079 L
.18248 .50919 L
.18079 .49653 L
.18013 .49013 L
.17962 .48409 L
.17922 .47827 L
.1789 .47197 L
.17878 .46871 L
.17873 .46699 L
.17868 .46515 L
.17864 .46338 L
.17861 .46177 L
.17859 .46016 L
.17858 .45937 L
.17857 .45864 L
.17857 .45791 L
.17857 .45754 L
.17857 .45713 L
.17857 .4569 L
.17856 .45668 L
.17856 .45626 L
.17856 .45588 L
.17856 .45547 L
.17856 .45508 L
.17856 .45465 L
.17857 .45425 L
.17857 .45388 L
.17857 .45302 L
.17858 .45212 L
.17859 .45064 L
.17861 .44926 L
.17867 .44612 L
.17876 .44271 L
.17887 .43948 L
.17914 .43345 L
.17952 .42698 L
.17995 .42103 L
.18109 .4084 L
.18247 .39641 L
.18419 .38382 L
.18607 .37193 L
.18827 .35955 L
Mistroke
.19055 .3479 L
.19286 .33696 L
.1954 .32562 L
.19559 .32482 L
Mfstroke
.21667 .61667 m
.21069 .60905 L
.20447 .59996 L
.19896 .59067 L
.19402 .58108 L
.18917 .57017 L
.18495 .55902 L
.18097 .54653 L
.17766 .53393 L
.17497 .52133 L
.17266 .5075 L
.17172 .50049 L
.17097 .49384 L
.17033 .48701 L
.16983 .48046 L
.16962 .477 L
.16942 .47322 L
.16926 .4698 L
.16915 .46657 L
.16909 .46478 L
.16905 .46285 L
.16901 .46124 L
.16898 .45947 L
.16896 .45755 L
.16895 .4565 L
.16894 .456 L
.16894 .45552 L
.16894 .45509 L
.16894 .45461 L
.16893 .45417 L
.16893 .45377 L
.16893 .45334 L
.16893 .45286 L
.16893 .45262 L
.16893 .45236 L
.16893 .45189 L
.16893 .45143 L
.16894 .45102 L
.16894 .45009 L
.16895 .44923 L
.16895 .44842 L
.16898 .4466 L
.16901 .44463 L
.1691 .44066 L
.16921 .43699 L
.16949 .43021 L
.1699 .42276 L
.17101 .40829 L
.17242 .39451 L
.17423 .38009 L
Mistroke
.17624 .36644 L
.17839 .35358 L
.18084 .3402 L
.18334 .32764 L
.18587 .31567 L
Mfstroke
.21667 .63333 m
.20976 .62571 L
.20252 .61649 L
.19605 .60694 L
.19019 .59696 L
.18439 .58549 L
.17929 .57366 L
.17444 .56028 L
.17034 .54666 L
.16698 .53295 L
.16402 .51781 L
.1618 .50276 L
.16023 .48796 L
.15964 .48026 L
.15916 .47192 L
.15899 .46787 L
.15884 .46343 L
.15879 .4614 L
.15874 .45923 L
.1587 .45719 L
.15868 .45533 L
.15867 .45439 L
.15866 .45336 L
.15866 .45284 L
.15866 .45228 L
.15866 .45176 L
.15865 .45128 L
.15865 .4508 L
.15865 .45036 L
.15865 .44988 L
.15865 .44936 L
.15865 .44892 L
.15866 .4485 L
.15866 .44804 L
.15866 .44755 L
.15867 .44653 L
.15868 .44541 L
.1587 .44315 L
.15874 .44107 L
.15878 .43912 L
.15889 .43487 L
.15903 .43085 L
.15936 .42334 L
.15984 .41528 L
.16037 .40788 L
.1618 .3922 L
.16351 .37733 L
.16564 .36177 L
.16793 .3471 L
.17056 .33187 L
Mistroke
.17325 .31757 L
.17592 .30418 L
.17605 .30355 L
Mfstroke
.21667 .65 m
.20878 .64237 L
.20045 .633 L
.19296 .62317 L
.18613 .61277 L
.17932 .60069 L
.17329 .58809 L
.1675 .57372 L
.16259 .55896 L
.15851 .54401 L
.15489 .52739 L
.15212 .51079 L
.15013 .49438 L
.14935 .48583 L
.14871 .47655 L
.14846 .47203 L
.14824 .46709 L
.14808 .46241 L
.14797 .45805 L
.14793 .45576 L
.14791 .45455 L
.1479 .45328 L
.14789 .45216 L
.14788 .45094 L
.14787 .4504 L
.14787 .44982 L
.14787 .44928 L
.14787 .44878 L
.14787 .44826 L
.14787 .44771 L
.14787 .44724 L
.14787 .44671 L
.14787 .44615 L
.14787 .44584 L
.14787 .44555 L
.14787 .44446 L
.14788 .44351 L
.14789 .44247 L
.14791 .44037 L
.14795 .43798 L
.14799 .43572 L
.1481 .4315 L
.14825 .42695 L
.14845 .42203 L
.14892 .41307 L
.14956 .40363 L
.15103 .38676 L
.15299 .36906 L
.15521 .35234 L
.15786 .33495 L
Mistroke
.16061 .3186 L
.16338 .30328 L
.16623 .28838 L
Mfstroke
.21667 .66667 m
.20776 .65903 L
.19828 .6495 L
.18971 .63936 L
.18184 .6285 L
.17396 .61574 L
.16695 .6023 L
.16017 .58682 L
.15439 .5708 L
.14957 .55446 L
.14527 .53618 L
.14196 .51783 L
.13955 .49963 L
.13861 .49013 L
.13781 .4798 L
.1375 .47477 L
.13722 .46926 L
.13702 .46403 L
.13687 .45917 L
.13681 .45662 L
.13676 .45385 L
.13674 .45258 L
.13672 .45124 L
.13671 .45008 L
.1367 .44883 L
.1367 .44821 L
.13669 .44762 L
.13669 .44705 L
.13669 .44652 L
.13669 .44601 L
.13669 .44548 L
.13669 .44494 L
.13669 .44435 L
.13669 .44372 L
.13669 .44313 L
.13669 .44249 L
.13669 .44182 L
.1367 .44068 L
.13671 .43943 L
.13674 .43676 L
.13678 .43424 L
.13689 .42953 L
.13704 .42445 L
.13725 .41895 L
.13775 .40895 L
.13843 .3984 L
.14003 .37957 L
.14218 .35982 L
.14461 .34119 L
.14749 .32183 L
Mistroke
.15047 .30365 L
.15346 .28664 L
.15648 .27011 L
Mfstroke
.21667 .68333 m
.20668 .67568 L
.196 .66598 L
.18628 .6555 L
.17732 .64414 L
.16831 .63064 L
.16025 .61628 L
.15245 .59957 L
.14576 .58215 L
.14017 .56425 L
.13518 .54412 L
.13135 .52383 L
.12855 .50363 L
.12746 .49306 L
.12653 .48157 L
.12617 .47596 L
.12585 .46983 L
.1256 .46401 L
.12543 .45859 L
.12536 .45574 L
.1253 .45266 L
.12528 .45124 L
.12526 .44974 L
.12524 .44845 L
.12523 .44706 L
.12523 .44637 L
.12522 .44571 L
.12522 .44507 L
.12522 .44448 L
.12522 .44392 L
.12521 .44333 L
.12521 .44273 L
.12521 .44207 L
.12522 .44136 L
.12522 .44071 L
.12522 .43999 L
.12522 .43924 L
.12523 .43797 L
.12524 .43659 L
.12528 .43361 L
.12532 .4308 L
.12544 .42554 L
.12561 .41988 L
.12584 .41376 L
.12641 .40261 L
.12718 .39086 L
.12898 .36991 L
.13138 .34797 L
.13407 .3273 L
.13723 .30585 L
Mistroke
.14046 .28575 L
.14366 .26694 L
.14686 .24869 L
Mfstroke
.21667 .7 m
.20555 .69233 L
.19361 .68244 L
.18269 .6716 L
.17258 .6597 L
.16237 .64538 L
.15321 .62999 L
.14432 .61194 L
.1367 .59295 L
.13033 .57333 L
.12466 .55114 L
.12031 .52869 L
.11716 .50628 L
.11594 .49453 L
.11491 .48175 L
.11452 .47552 L
.11417 .46869 L
.11391 .46221 L
.11373 .45619 L
.11366 .45302 L
.11363 .45135 L
.1136 .44959 L
.11358 .44805 L
.11356 .44635 L
.11355 .44481 L
.11354 .44336 L
.11353 .44264 L
.11353 .44185 L
.11353 .44111 L
.11353 .44042 L
.11353 .43981 L
.11353 .43912 L
.11353 .43841 L
.11353 .43774 L
.11353 .43701 L
.11354 .43623 L
.11355 .43484 L
.11356 .43335 L
.11358 .43171 L
.11363 .4284 L
.11369 .42528 L
.11383 .41943 L
.11404 .41314 L
.11433 .40634 L
.11499 .39396 L
.11589 .38092 L
.11795 .35771 L
.12067 .33344 L
.12367 .31061 L
.12714 .28697 L
Mistroke
.13063 .26485 L
.13403 .24418 L
.13737 .22412 L
Mfstroke
.21667 .71667 m
.20437 .70898 L
.1911 .69888 L
.17891 .68765 L
.16759 .67516 L
.15613 .65996 L
.14582 .64344 L
.13581 .62389 L
.12722 .60318 L
.12006 .58164 L
.11371 .55717 L
.10888 .53232 L
.10543 .50747 L
.10411 .49443 L
.10302 .48024 L
.10261 .47332 L
.10225 .46574 L
.10212 .46226 L
.102 .45855 L
.10191 .4553 L
.10183 .45186 L
.1018 .4501 L
.10177 .44815 L
.10174 .44637 L
.10173 .44474 L
.10171 .44281 L
.1017 .44175 L
.1017 .44074 L
.1017 .44029 L
.10169 .43982 L
.10169 .43896 L
.10169 .43848 L
.10169 .43804 L
.10169 .43754 L
.10169 .43702 L
.10169 .43614 L
.1017 .43532 L
.1017 .43442 L
.1017 .43346 L
.10172 .43149 L
.10174 .42971 L
.10178 .42626 L
.10184 .42301 L
.102 .41626 L
.10223 .40912 L
.1028 .39635 L
.1036 .38287 L
.10452 .37032 L
.10694 .34405 L
.11007 .31669 L
Mistroke
.11348 .29101 L
.11699 .26697 L
.12082 .24213 L
.12448 .21894 L
.128 .1964 L
Mfstroke
.21667 .73333 m
.20314 .72562 L
.18848 .71531 L
.17497 .70366 L
.16238 .69052 L
.14959 .67435 L
.13808 .6566 L
.1269 .6354 L
.11734 .61278 L
.10938 .58912 L
.10238 .56213 L
.09947 .54811 L
.09711 .53465 L
.09341 .50712 L
.09198 .49204 L
.09099 .47809 L
.09058 .47063 L
.09028 .46367 L
.09003 .45602 L
.08993 .45173 L
.08985 .44784 L
.0898 .4441 L
.08978 .44222 L
.08978 .44114 L
.08977 .44015 L
.08976 .43931 L
.08976 .43839 L
.08976 .43742 L
.08976 .4365 L
.08976 .43563 L
.08976 .43472 L
.08976 .43394 L
.08976 .43308 L
.08976 .43207 L
.08977 .43101 L
.08978 .42911 L
.0898 .42707 L
.08983 .42483 L
.08989 .42082 L
.08997 .4171 L
.09019 .40902 L
.09047 .40141 L
.09115 .38721 L
.09212 .37201 L
.09319 .35808 L
.096 .32875 L
.09921 .30117 L
.103 .27257 L
.10683 .24584 L
.11095 .21829 L
Mistroke
.11479 .19257 L
.11825 .16853 L
.11867 .16553 L
Mfstroke
.21667 .75 m
.20186 .74226 L
.18575 .73172 L
.17085 .71961 L
.15692 .70577 L
.14276 .68854 L
.13 .66944 L
.11762 .64643 L
.10705 .6217 L
.09831 .59571 L
.09068 .56595 L
.08755 .55046 L
.08503 .53558 L
.08285 .5201 L
.08116 .50513 L
.07971 .48845 L
.07874 .47303 L
.07837 .465 L
.07821 .46058 L
.07808 .45641 L
.07798 .45251 L
.07789 .44828 L
.07786 .44641 L
.07783 .44444 L
.07781 .44274 L
.07779 .4409 L
.07778 .43978 L
.07777 .43875 L
.07777 .43778 L
.07776 .43671 L
.07776 .43575 L
.07776 .43485 L
.07776 .43391 L
.07776 .43289 L
.07776 .43184 L
.07776 .43125 L
.07776 .4307 L
.07777 .42959 L
.07778 .4284 L
.07779 .42625 L
.07781 .42429 L
.07786 .42046 L
.07793 .41631 L
.07812 .40879 L
.07837 .40079 L
.07873 .39201 L
.07969 .37434 L
.08226 .34085 L
.08546 .30926 L
.08942 .27653 L
Mistroke
.09353 .24593 L
.09758 .21739 L
.1018 .18795 L
.1056 .16045 L
.10921 .13206 L
.10928 .1315 L
Mfstroke
.21667 .76667 m
.20053 .75889 L
.18291 .74811 L
.16655 .73551 L
.15123 .72092 L
.13563 .70254 L
.12157 .68196 L
.10795 .65695 L
.09637 .62991 L
.08687 .60135 L
.07866 .56855 L
.07534 .55145 L
.07269 .53502 L
.07045 .51793 L
.06873 .5014 L
.06799 .49263 L
.06731 .483 L
.06681 .47427 L
.06642 .466 L
.06624 .46143 L
.06609 .45647 L
.06598 .45235 L
.06588 .44781 L
.0658 .44289 L
.06577 .4402 L
.06576 .43891 L
.06575 .43768 L
.06574 .43655 L
.06574 .43533 L
.06573 .43421 L
.06573 .43318 L
.06573 .43207 L
.06573 .43084 L
.06573 .43022 L
.06573 .42955 L
.06574 .42835 L
.06574 .42718 L
.06575 .42612 L
.06577 .42374 L
.06579 .42154 L
.06582 .41945 L
.06589 .41479 L
.066 .40973 L
.06629 .39954 L
.06665 .39016 L
.06752 .37284 L
.06877 .35391 L
.07195 .31745 L
.07569 .28319 L
.08012 .2478 L
Mistroke
.08457 .21479 L
.0888 .18403 L
.09303 .1523 L
.09667 .12263 L
.09967 .09428 L
Mfstroke
.21667 .78333 m
.19915 .77553 L
.17995 .76448 L
.16208 .75135 L
.1453 .73595 L
.12821 .71631 L
.1128 .69411 L
.09792 .66693 L
.08533 .63734 L
.07508 .60597 L
.07064 .5891 L
.06636 .56985 L
.06015 .53289 L
.05788 .51404 L
.05601 .49342 L
.05531 .48333 L
.05469 .47225 L
.05425 .46174 L
.05396 .45195 L
.05385 .4468 L
.0538 .44409 L
.05377 .44123 L
.05374 .43872 L
.05373 .43739 L
.05372 .43596 L
.05371 .43465 L
.0537 .43345 L
.0537 .43225 L
.0537 .43111 L
.0537 .43002 L
.0537 .42883 L
.0537 .42757 L
.05371 .4264 L
.05371 .42531 L
.05372 .4243 L
.05373 .42204 L
.05375 .41975 L
.05378 .41724 L
.05386 .41218 L
.05397 .4068 L
.0541 .40173 L
.05441 .39225 L
.05538 .37105 L
.05665 .35093 L
.05806 .33254 L
.06174 .29392 L
.06586 .25775 L
.07059 .22041 L
.07518 .18564 L
.07983 .14986 L
Mistroke
.08386 .11645 L
.08712 .08513 L
.08966 .05377 L
Mfstroke
.21667 .8 m
.19772 .79216 L
.17688 .78082 L
.15743 .76713 L
.13914 .75085 L
.12048 .72985 L
.1037 .70589 L
.08752 .67631 L
.07393 .64395 L
.06298 .6095 L
.05829 .59095 L
.0538 .56977 L
.05018 .54878 L
.04746 .5291 L
.04521 .50838 L
.04421 .49668 L
.04344 .48573 L
.04281 .47482 L
.04237 .46489 L
.04201 .45381 L
.04187 .44772 L
.04181 .44475 L
.04177 .44197 L
.04174 .43927 L
.04171 .43681 L
.0417 .4355 L
.04169 .43407 L
.04169 .43329 L
.04169 .43256 L
.04168 .43114 L
.04168 .42978 L
.04168 .4285 L
.04168 .42709 L
.04168 .42631 L
.04168 .42558 L
.04169 .42421 L
.04169 .42271 L
.0417 .42114 L
.04171 .41968 L
.04174 .41701 L
.04177 .41448 L
.04184 .40976 L
.04195 .40468 L
.04208 .39917 L
.04242 .38868 L
.04289 .37716 L
.04415 .35399 L
.04565 .33277 L
.04756 .31021 L
.05202 .26654 L
Mistroke
.05684 .22577 L
.06164 .18781 L
.06659 .14876 L
.07092 .11234 L
.07478 .07472 L
.07635 .05617 L
.07755 .03928 L
.07903 .00985 L
Mfstroke
.21667 .81667 m
.19623 .80878 L
.17369 .79715 L
.15259 .78286 L
.13273 .76562 L
.11246 .74315 L
.09425 .71726 L
.07678 .68507 L
.0622 .64966 L
.05059 .61187 L
.04568 .5915 L
.04105 .56822 L
.03737 .54518 L
.03467 .52358 L
.03251 .50086 L
.03159 .48818 L
.03089 .47606 L
.03038 .46457 L
.03016 .45825 L
.03 .45229 L
.02987 .4467 L
.02982 .44376 L
.02978 .44066 L
.02974 .43804 L
.02972 .43516 L
.02971 .43389 L
.0297 .43254 L
.02969 .43126 L
.02969 .4301 L
.02969 .42867 L
.02968 .42733 L
.02968 .42587 L
.02969 .42428 L
.02969 .42272 L
.0297 .42193 L
.0297 .42106 L
.02972 .41811 L
.02974 .41533 L
.02978 .41236 L
.02986 .40702 L
.03 .40026 L
.03017 .39388 L
.03057 .38196 L
.03171 .35792 L
.03311 .33592 L
.03699 .28968 L
.04154 .24641 L
.04682 .2018 L
.05194 .16032 L
.05703 .1177 L
Mistroke
.06127 .07792 L
.06447 .04058 L
.06572 .0216 L
.0667 .00154 L
Mfstroke
.0667 .00154 m
.06675 0 L
s
.21667 .83333 m
.1947 .8254 L
.17039 .81345 L
.14758 .79851 L
.12608 .78025 L
.10415 .75618 L
.08448 .72819 L
.0657 .69316 L
.05016 .65444 L
.03796 .61301 L
.03278 .5902 L
.02814 .56514 L
.0246 .54087 L
.02202 .51816 L
.01996 .49335 L
.01912 .47953 L
.01851 .46631 L
.0181 .4538 L
.01794 .44679 L
.01788 .44347 L
.01783 .44042 L
.01779 .43758 L
.01776 .43446 L
.01775 .43284 L
.01774 .43133 L
.01774 .42973 L
.01773 .42801 L
.01773 .4265 L
.01773 .42487 L
.01773 .42332 L
.01773 .42189 L
.01774 .4206 L
.01774 .41918 L
.01776 .4163 L
.01779 .41322 L
.01783 .40985 L
.01794 .40306 L
.01808 .39677 L
.01823 .39092 L
.01867 .37772 L
.01928 .36366 L
.02088 .33597 L
.02279 .31009 L
.02726 .26164 L
.03276 .2117 L
.03827 .16528 L
.04336 .12216 L
.04816 .07771 L
.05186 .03609 L
.05339 .01375 L
Mistroke
.05396 .00354 L
Mfstroke
.05396 .00354 m
.05413 0 L
s
.21667 .85 m
.19311 .84202 L
.16697 .82973 L
.14239 .8141 L
.11919 .79474 L
.09554 .76893 L
.07438 .73866 L
.05429 .70053 L
.03783 .65821 L
.0251 .61284 L
.01979 .58788 L
.01513 .56044 L
.01168 .53422 L
.0092 .50912 L
.00811 .4947 L
.00727 .4809 L
.00669 .46845 L
.00623 .4548 L
.00605 .44727 L
.00598 .44358 L
.00593 .44018 L
.00589 .43714 L
.00586 .4338 L
.00585 .43218 L
.00584 .43045 L
.00583 .42861 L
.00582 .4269 L
.00582 .42593 L
.00582 .42491 L
.00582 .42307 L
.00582 .42204 L
.00582 .42108 L
.00582 .42003 L
.00583 .4189 L
.00584 .41697 L
.00585 .41494 L
.00588 .41131 L
.00593 .4078 L
.00597 .40453 L
.00611 .3971 L
.00628 .38994 L
.00651 .38217 L
.00704 .36811 L
.00836 .34193 L
.01022 .31419 L
.01258 .28518 L
.01759 .23408 L
.02347 .18148 L
.02914 .13267 L
.03464 .08259 L
Mistroke
.03899 .03582 L
.04071 .01265 L
Mfstroke
.04071 .01265 m
.04147 0 L
s
.21667 .86667 m
.19147 .85863 L
.16343 .84598 L
.13702 .82962 L
.11206 .80907 L
.08664 .78138 L
.06397 .74864 L
.04257 .70714 L
.02524 .66092 L
.01207 .61131 L
.00669 .58402 L
.00206 .55407 L
s
.00206 .55407 m
0 .53636 L
s
0 .29112 m
.00245 .26098 L
.00856 .20129 L
.01477 .1459 L
.02046 .09453 L
.02566 .04171 L
.02776 .016 L
s
.02776 .016 m
.02884 0 L
s
.21667 .88333 m
.20368 .8798 L
.18978 .87524 L
.15978 .86221 L
.13254 .84581 L
.10405 .82263 L
.07783 .794 L
.05214 .75622 L
.03038 .71252 L
.01289 .66405 L
.00535 .63679 L
s
.00535 .63679 m
0 .61302 L
s
0 .16456 m
.00608 .10926 L
.01161 .05557 L
.01424 .02641 L
.01628 .00013 L
s
.01628 .00013 m
.01629 0 L
s
.21667 .9 m
.20284 .89647 L
.18804 .89185 L
.15601 .87842 L
.12688 .86122 L
.09639 .83658 L
.06837 .80583 L
.04104 .76495 L
.01808 .71742 L
s
.01808 .71742 m
0 .66495 L
s
0 .04265 m
.00304 .00916 L
s
.00304 .00916 m
.0037 0 L
s
.21667 .91667 m
.20199 .91314 L
.18624 .90845 L
.16866 .902 L
.15212 .89459 L
.12103 .87654 L
.08968 .85147 L
.05794 .81642 L
.03003 .77376 L
.00668 .72433 L
s
.00668 .72433 m
0 .70602 L
s
.23333 .08333 m
.23094 .07612 L
.22809 .06795 L
.22519 .05997 L
.22218 .05197 L
.21873 .04308 L
.21514 .03412 L
.21104 .0241 L
.20679 .01394 L
.2024 .00362 L
s
.2024 .00362 m
.20084 0 L
s
.23333 .1 m
.23157 .09286 L
.2294 .08485 L
.22714 .07708 L
.22475 .06936 L
.22196 .06084 L
.21902 .05231 L
.21563 .04286 L
.21206 .03332 L
.20836 .02372 L
.2041 .01298 L
.19966 .00208 L
s
.19966 .00208 m
.1988 0 L
s
.23333 .11667 m
.23215 .10961 L
.23062 .10174 L
.22896 .09418 L
.22715 .08671 L
.22499 .07853 L
.22266 .0704 L
.21993 .06146 L
.21702 .0525 L
.21396 .04354 L
.21041 .03359 L
.20669 .02356 L
.20281 .01344 L
.19834 .00211 L
s
.19834 .00211 m
.19749 0 L
s
.23333 .13333 m
.23269 .12635 L
.23175 .11862 L
.23065 .11124 L
.22938 .10402 L
.2278 .09615 L
.22606 .0884 L
.22394 .07992 L
.22165 .07149 L
.21921 .06311 L
.21633 .05387 L
.21327 .04462 L
.21007 .03535 L
.20635 .02504 L
.20245 .01464 L
.19795 .003 L
s
.19795 .003 m
.19676 0 L
s
.23333 .15 m
.23332 .14917 L
.23331 .1484 L
.23328 .14664 L
.23324 .14492 L
.23318 .14308 L
.233 .13912 L
.23278 .13549 L
.23219 .12822 L
.23142 .12115 L
.23038 .11351 L
.22915 .10601 L
.22776 .09866 L
.22605 .09065 L
.22417 .08274 L
.22191 .07407 L
.21947 .06545 L
.21687 .05686 L
.21382 .04738 L
.2106 .03786 L
.20685 .02729 L
.20291 .01661 L
.19879 .00581 L
s
.19879 .00581 m
.1965 0 L
s
.23333 .16667 m
.2335 .16333 L
.23362 .15982 L
.23367 .15797 L
.23368 .15709 L
.2337 .15626 L
.2337 .15578 L
.23371 .15527 L
.23371 .15484 L
.23372 .15437 L
.23372 .15386 L
.23372 .15358 L
.23372 .15345 L
.23372 .15332 L
.23372 .1532 L
.23372 .15307 L
.23372 .15285 L
.23372 .15273 L
.23372 .15259 L
.23372 .15246 L
.23372 .15235 L
.23372 .15214 L
.23372 .15194 L
.23372 .15172 L
.23372 .15148 L
.23372 .15101 L
.23372 .15057 L
.23371 .14973 L
.2337 .14893 L
.23366 .14716 L
.23361 .14522 L
.23356 .14355 L
.23349 .14169 L
.23329 .13793 L
.23306 .13445 L
.23276 .13067 L
.23199 .12316 L
.23103 .11582 L
.22991 .10864 L
.22848 .10084 L
.22688 .09316 L
.22492 .08478 L
.22279 .07647 L
.22049 .06822 L
.21778 .05914 L
.21489 .05006 L
.21185 .04099 L
.20832 .03091 L
.20461 .02076 L
.20031 .00942 L
Mistroke
Mfstroke
.20031 .00942 m
.19664 0 L
s
.23333 .18333 m
.23402 .17655 L
.23431 .17304 L
.23457 .1692 L
.23476 .16563 L
.2349 .16231 L
.23495 .16049 L
.23499 .15876 L
.23501 .15801 L
.23502 .15721 L
.23503 .15634 L
.23503 .15595 L
.23504 .15553 L
.23504 .1553 L
.23504 .15509 L
.23504 .15487 L
.23504 .15468 L
.23504 .15448 L
.23504 .1543 L
.23504 .1541 L
.23504 .15389 L
.23504 .15368 L
.23504 .15356 L
.23504 .15345 L
.23504 .15322 L
.23504 .15297 L
.23504 .15253 L
.23503 .15213 L
.23503 .15134 L
.23502 .15049 L
.23499 .14894 L
.23495 .14729 L
.2349 .14548 L
.23474 .14179 L
.23455 .13838 L
.23429 .13469 L
.23361 .12735 L
.23274 .12019 L
.23171 .11318 L
.23038 .10559 L
.22889 .09812 L
.22706 .08998 L
.22506 .08192 L
.2229 .07393 L
.22034 .06514 L
.21761 .05637 L
.21473 .04761 L
.21138 .03791 L
.20787 .02814 L
.2038 .01726 L
Mistroke
.19953 .00623 L
Mfstroke
.19953 .00623 m
.19706 0 L
s
.23333 .2 m
.23437 .19328 L
.23532 .18604 L
.23604 .17929 L
.23657 .17284 L
.23677 .16954 L
.23694 .166 L
.23701 .16428 L
.23707 .16241 L
.23709 .16155 L
.23711 .16064 L
.23712 .15979 L
.23713 .15901 L
.23714 .15862 L
.23714 .1582 L
.23714 .15779 L
.23715 .15742 L
.23715 .15699 L
.23715 .15676 L
.23715 .15653 L
.23715 .15633 L
.23715 .15614 L
.23715 .15593 L
.23715 .15571 L
.23715 .15552 L
.23715 .15534 L
.23715 .15514 L
.23715 .15495 L
.23715 .15461 L
.23714 .15424 L
.23714 .1534 L
.23713 .15262 L
.2371 .15099 L
.23706 .14945 L
.23701 .14777 L
.23694 .14595 L
.23677 .14254 L
.23654 .13892 L
.23598 .13235 L
.23519 .12527 L
.23422 .11834 L
.23297 .11085 L
.23155 .10348 L
.22997 .09623 L
.22806 .0883 L
.22599 .08045 L
.22377 .07267 L
.22117 .06409 L
.21841 .05554 L
.21519 .04607 L
Mistroke
.21181 .03655 L
.20827 .02697 L
.20432 .01662 L
Mfstroke
.23333 .21667 m
.23468 .21001 L
.23598 .20287 L
.23705 .19625 L
.23792 .18995 L
.23868 .18331 L
.23925 .17696 L
.23949 .1735 L
.23968 .17024 L
.23975 .16867 L
.23981 .16701 L
.23986 .16545 L
.2399 .16402 L
.23993 .1625 L
.23994 .16166 L
.23995 .16127 L
.23995 .16086 L
.23995 .16047 L
.23995 .16012 L
.23996 .15977 L
.23996 .15961 L
.23996 .15944 L
.23996 .15925 L
.23996 .15905 L
.23996 .15887 L
.23996 .1587 L
.23996 .15849 L
.23996 .15831 L
.23996 .15809 L
.23996 .15789 L
.23996 .15751 L
.23995 .15715 L
.23995 .15632 L
.23994 .15552 L
.23992 .15466 L
.23989 .15309 L
.23985 .15166 L
.23973 .14857 L
.23956 .14518 L
.23907 .1385 L
.23841 .13199 L
.23751 .12497 L
.23644 .1181 L
.23522 .11137 L
.2337 .10405 L
.23204 .09682 L
.23023 .08969 L
.22809 .08188 L
.2258 .07412 L
.22312 .06557 L
Mistroke
.22028 .05702 L
.21731 .04846 L
.21709 .04786 L
Mfstroke
.23333 .23333 m
.23494 .22674 L
.23654 .21969 L
.23791 .21318 L
.23909 .20703 L
.2402 .20057 L
.24111 .19442 L
.24192 .18794 L
.24254 .18176 L
.24298 .17583 L
.24314 .17278 L
.24321 .17122 L
.24327 .16954 L
.24332 .16797 L
.24335 .16654 L
.24337 .16585 L
.24338 .16509 L
.24339 .16438 L
.24339 .16372 L
.2434 .16331 L
.2434 .16294 L
.2434 .16274 L
.2434 .16263 L
.2434 .16253 L
.2434 .16242 L
.2434 .1623 L
.2434 .1622 L
.2434 .16209 L
.2434 .16191 L
.2434 .16171 L
.2434 .16154 L
.2434 .16136 L
.2434 .16116 L
.2434 .16095 L
.24339 .16056 L
.24339 .15983 L
.24338 .15906 L
.24336 .15769 L
.24332 .15621 L
.24327 .15463 L
.24316 .15178 L
.24298 .14846 L
.24276 .14531 L
.24222 .13925 L
.24146 .13273 L
.24055 .12635 L
.23949 .12011 L
.23818 .11334 L
.23673 .10668 L
.23498 .09942 L
Mistroke
.23308 .09223 L
.23106 .08511 L
.22868 .07729 L
.22859 .077 L
Mfstroke
.23333 .25 m
.23515 .24346 L
.23701 .2365 L
.23864 .2301 L
.24008 .22407 L
.24149 .21776 L
.24271 .21179 L
.24386 .20554 L
.24482 .19959 L
.24561 .19392 L
.24629 .18795 L
.2468 .18223 L
.247 .17936 L
.24715 .17675 L
.24728 .17394 L
.24733 .17239 L
.24737 .17092 L
.2474 .16953 L
.24741 .16876 L
.24742 .16805 L
.24742 .16739 L
.24742 .16702 L
.24743 .16685 L
.24743 .16668 L
.24743 .16653 L
.24743 .16638 L
.24743 .16622 L
.24743 .16605 L
.24743 .16589 L
.24743 .16571 L
.24743 .16554 L
.24743 .16539 L
.24743 .16522 L
.24743 .16504 L
.24742 .16472 L
.24742 .16437 L
.24742 .16399 L
.24741 .16331 L
.2474 .16268 L
.24737 .16123 L
.24733 .15969 L
.24722 .15657 L
.24706 .15363 L
.24665 .14796 L
.24605 .14188 L
.2453 .13594 L
.24441 .13015 L
.2433 .12387 L
.24206 .11771 L
.24055 .11101 L
Mistroke
.2389 .10439 L
.23888 .1043 L
Mfstroke
.23333 .26667 m
.23532 .26018 L
.23738 .2533 L
.23922 .24699 L
.24088 .24107 L
.24255 .2349 L
.24403 .22908 L
.24548 .22302 L
.24674 .21728 L
.24784 .21184 L
.24887 .20613 L
.24973 .2007 L
.25043 .19552 L
.25104 .19005 L
.25149 .18481 L
.25167 .18196 L
.25181 .17925 L
.25187 .17796 L
.25192 .17659 L
.25195 .1753 L
.25198 .17411 L
.25199 .17345 L
.252 .17273 L
.25201 .172 L
.25201 .1716 L
.25201 .17142 L
.25201 .17123 L
.25201 .17104 L
.25201 .17087 L
.25201 .17071 L
.25201 .17054 L
.25201 .17039 L
.25201 .17024 L
.25201 .17008 L
.25201 .16991 L
.25201 .16974 L
.25201 .16956 L
.25201 .16918 L
.25201 .16883 L
.25201 .1685 L
.252 .16782 L
.25199 .16708 L
.25196 .16574 L
.25193 .16443 L
.25189 .16322 L
.25178 .16067 L
.25162 .15786 L
.25119 .15232 L
.25063 .14694 L
.24987 .14114 L
Mistroke
.24898 .13547 L
.24799 .12997 L
Mfstroke
.23333 .28333 m
.23544 .2769 L
.23766 .27009 L
.23966 .26387 L
.2415 .25804 L
.24337 .25198 L
.24508 .2463 L
.24678 .24039 L
.24831 .23483 L
.24967 .22958 L
.25101 .2241 L
.25217 .2189 L
.25318 .21398 L
.25414 .20881 L
.25493 .20388 L
.25565 .19869 L
.25621 .19373 L
.25662 .18898 L
.25679 .18654 L
.25693 .18394 L
.25699 .18267 L
.25704 .18129 L
.25708 .1801 L
.2571 .17947 L
.25711 .17879 L
.25712 .17812 L
.25713 .17751 L
.25714 .1769 L
.25714 .17662 L
.25714 .17632 L
.25714 .176 L
.25715 .17583 L
.25715 .17567 L
.25715 .17552 L
.25715 .17538 L
.25715 .17523 L
.25715 .17507 L
.25715 .1749 L
.25715 .17481 L
.25715 .17473 L
.25715 .17457 L
.25715 .17442 L
.25714 .17407 L
.25714 .1737 L
.25714 .1731 L
.25713 .17253 L
.2571 .17123 L
.25707 .16997 L
.25703 .16861 L
.25691 .16596 L
Mistroke
.25677 .16344 L
.2564 .15861 L
.25595 .15418 L
Mfstroke
.23333 .3 m
.23551 .29362 L
.23783 .28687 L
.23995 .28072 L
.24193 .27497 L
.24397 .26901 L
.24585 .26343 L
.24776 .25766 L
.2495 .25224 L
.2511 .24715 L
.25269 .24185 L
.25412 .23686 L
.2554 .23214 L
.25666 .22722 L
.25776 .22255 L
.25882 .21766 L
.25972 .21302 L
.26048 .2086 L
.26118 .20394 L
.26174 .19948 L
.2622 .19478 L
.26239 .19242 L
.26253 .19026 L
.26265 .18801 L
.26273 .18591 L
.26276 .18489 L
.26278 .18379 L
.2628 .18317 L
.2628 .18258 L
.26281 .18204 L
.26281 .18177 L
.26282 .18147 L
.26282 .18119 L
.26282 .18107 L
.26282 .18094 L
.26282 .18083 L
.26282 .1807 L
.26282 .18057 L
.26282 .18045 L
.26282 .18031 L
.26282 .18023 L
.26282 .18015 L
.26282 .18001 L
.26282 .17987 L
.26282 .17973 L
.26282 .17961 L
.26282 .17933 L
.26281 .17904 L
.26281 .17876 L
.26281 .17824 L
Mistroke
.2628 .17768 L
.26279 .17706 L
Mfstroke
.23333 .31667 m
.23554 .31033 L
.23791 .30364 L
.2401 .29755 L
.24217 .29186 L
.24432 .28598 L
.24634 .28049 L
.24841 .27482 L
.25033 .26951 L
.2521 .26454 L
.25391 .25939 L
.25556 .25456 L
.25707 .25001 L
.25858 .24528 L
.25995 .24082 L
.26131 .23618 L
.26251 .23179 L
.26358 .22763 L
.26461 .22327 L
.26551 .21914 L
.26635 .2148 L
.26705 .21066 L
.26763 .2067 L
.26814 .20253 L
.2685 .19873 L
s
.23333 .33333 m
.23551 .32705 L
.23789 .3204 L
.24011 .31436 L
.24222 .30872 L
.24444 .3029 L
.24654 .29747 L
.24872 .29188 L
.25077 .28665 L
.25268 .28177 L
.25466 .27672 L
.25649 .272 L
.25818 .26759 L
.25991 .263 L
.2615 .2587 L
.26311 .25424 L
.26457 .25005 L
.2659 .2461 L
.26722 .24198 L
.26841 .23809 L
.26958 .23403 L
.27061 .23019 L
.27152 .22654 L
.27239 .22272 L
.2731 .21926 L
s
.23333 .35 m
.23544 .34376 L
.23777 .33716 L
.23996 .33115 L
.24208 .32554 L
.24431 .31976 L
.24645 .31437 L
.2487 .30882 L
.25083 .30365 L
.25284 .29882 L
.25493 .29385 L
.25689 .2892 L
.25873 .28487 L
.26063 .28039 L
.2624 .27619 L
.26421 .27186 L
.26589 .26781 L
.26743 .26401 L
.269 .26006 L
.27044 .25636 L
.27188 .25251 L
.2732 .24889 L
.27439 .24547 L
.27557 .24191 L
.27658 .23871 L
s
.23333 .36667 m
.23533 .36047 L
.23755 .3539 L
.23967 .34792 L
.24173 .34233 L
.24394 .33657 L
.24607 .33119 L
.24833 .32566 L
.25049 .32051 L
.25255 .3157 L
.25472 .31076 L
.25677 .30615 L
.25871 .30185 L
.26073 .29742 L
.26263 .29329 L
.2646 .28904 L
.26644 .28507 L
.26816 .28136 L
.26993 .27752 L
.27157 .27394 L
.27324 .27023 L
.27479 .26676 L
.27622 .26351 L
.27767 .26013 L
.27893 .25712 L
s
.23333 .38333 m
.23516 .37717 L
.23723 .37063 L
.23923 .36466 L
.24119 .35908 L
.24332 .35331 L
.24539 .34793 L
.24761 .34239 L
.24976 .33722 L
.25182 .3324 L
.25401 .32745 L
.2561 .32283 L
.25809 .31854 L
.26019 .31411 L
.26218 .30999 L
.26426 .30576 L
.26622 .30181 L
.26807 .29814 L
.26999 .29436 L
.27179 .29083 L
.27365 .2872 L
.27539 .28381 L
.27701 .28065 L
.27867 .27738 L
.28014 .27448 L
s
.23333 .4 m
.23495 .39388 L
.23681 .38736 L
.23864 .38139 L
.24045 .37579 L
.24245 .37 L
.24441 .36458 L
.24654 .359 L
.24862 .35378 L
.25064 .34892 L
.2528 .34391 L
.25488 .33925 L
.25688 .33491 L
.25901 .33044 L
.26104 .32628 L
.26318 .32201 L
.26522 .31804 L
.26715 .31434 L
.26918 .31055 L
.2711 .30701 L
.27309 .30339 L
.27497 .30002 L
.27674 .29688 L
.27858 .29365 L
.28021 .29079 L
s
.23333 .41667 m
.23469 .41058 L
.23629 .40407 L
.23789 .39809 L
.23951 .39247 L
.24132 .38663 L
.24313 .38115 L
.24511 .37549 L
.24707 .3702 L
.24899 .36525 L
.25107 .36015 L
.2531 .35539 L
.25507 .35095 L
.25717 .34639 L
.2592 .34213 L
.26135 .33777 L
.26342 .33371 L
.2654 .32993 L
.26748 .32606 L
.26947 .32246 L
.27156 .31877 L
.27354 .31534 L
.27542 .31216 L
.27738 .30889 L
.27914 .30601 L
s
.23333 .43333 m
.23438 .42728 L
.23566 .42077 L
.23699 .41477 L
.23837 .4091 L
.23994 .40319 L
.24153 .39763 L
.24331 .39186 L
.2451 .38645 L
.24688 .38138 L
.24883 .37613 L
.25076 .37123 L
.25264 .36666 L
.25467 .36193 L
.25665 .35753 L
.25877 .35301 L
.26082 .3488 L
.2628 .34488 L
.2649 .34086 L
.26691 .33712 L
.26905 .33329 L
.27109 .32973 L
.27303 .32644 L
.27507 .32305 L
.27692 .32008 L
s
.23333 .45 m
.23403 .44397 L
.23494 .43747 L
.23594 .43143 L
.23702 .4257 L
.23829 .4197 L
.23962 .41402 L
.24115 .40811 L
.24272 .40254 L
.2443 .3973 L
.24607 .39186 L
.24783 .38677 L
.24958 .38199 L
.25149 .37706 L
.25338 .37244 L
.25541 .36769 L
.2574 .36326 L
.25934 .35913 L
.26141 .35489 L
.26342 .35094 L
.26555 .34689 L
.26761 .34313 L
.26958 .33963 L
.27167 .33606 L
.27357 .3329 L
s
.23333 .46667 m
.23345 .46375 L
.23362 .46067 L
.23411 .45415 L
.2347 .44829 L
.23548 .44211 L
.23637 .43622 L
.23745 .43003 L
.23862 .42417 L
.23986 .41861 L
.24129 .41282 L
.24276 .40735 L
.24425 .4022 L
.24593 .39685 L
.2476 .39183 L
.24946 .38663 L
.2513 .38176 L
.25311 .37721 L
.25508 .37251 L
.25701 .36813 L
.25909 .36363 L
.26111 .35943 L
.26307 .35553 L
.26517 .35152 L
.26719 .3478 L
.26911 .34438 L
s
.23333 .48333 m
.23328 .48195 L
.23323 .48043 L
.23319 .47884 L
.23318 .47813 L
.23317 .47736 L
.23316 .47692 L
.23316 .47651 L
.23315 .47613 L
.23315 .47571 L
.23315 .47553 L
.23315 .47533 L
.23315 .47516 L
.23315 .47498 L
.23315 .47487 L
.23315 .47477 L
.23315 .47457 L
.23315 .4744 L
.23315 .4742 L
.23315 .47409 L
.23315 .47398 L
.23315 .47388 L
.23315 .47377 L
.23315 .47352 L
.23315 .47329 L
.23315 .47288 L
.23315 .47243 L
.23316 .47159 L
.23317 .47082 L
.2332 .46928 L
.23324 .46785 L
.23336 .46463 L
.2335 .46173 L
.23371 .45853 L
.23422 .45231 L
.23487 .44637 L
.23571 .4401 L
.23666 .43413 L
.23769 .42847 L
.23891 .42253 L
.2402 .41691 L
.24168 .41105 L
.24321 .40553 L
.24475 .40033 L
.24648 .39494 L
.24821 .38988 L
.24993 .38514 L
.25182 .38023 L
.25367 .37564 L
.25569 .37092 L
Mistroke
.25766 .36651 L
.25958 .36241 L
.26164 .35818 L
.26357 .35439 L
Mfstroke
.23333 .5 m
.23266 .49405 L
.23239 .49093 L
.23214 .48748 L
.23196 .48426 L
.23183 .48125 L
.23178 .4796 L
.23176 .47878 L
.23175 .47802 L
.23173 .47735 L
.23172 .47661 L
.23171 .47587 L
.23171 .47546 L
.23171 .47508 L
.23171 .47488 L
.23171 .47467 L
.23171 .47447 L
.23171 .47429 L
.23171 .47418 L
.2317 .47408 L
.2317 .47397 L
.2317 .47385 L
.2317 .47365 L
.2317 .47354 L
.23171 .47343 L
.23171 .47323 L
.23171 .47303 L
.23171 .47286 L
.23171 .47267 L
.23171 .47225 L
.23171 .47186 L
.23172 .47118 L
.23173 .47043 L
.23176 .46892 L
.2318 .46731 L
.23184 .46584 L
.23198 .46252 L
.23215 .45952 L
.23238 .45623 L
.23295 .44982 L
.23365 .4437 L
.23455 .43725 L
.23556 .43111 L
.23666 .42528 L
.23795 .41918 L
.23931 .41342 L
.24071 .40798 L
.24229 .40231 L
.2439 .39698 L
.24568 .39145 L
Mistroke
.24747 .38627 L
.24925 .38141 L
.25118 .3764 L
.25309 .37171 L
.25516 .36688 L
.257 .36276 L
Mfstroke
.23333 .51667 m
.23211 .51074 L
.23099 .50413 L
.23015 .49781 L
.22952 .49165 L
.22926 .48845 L
.22904 .48501 L
.22896 .48332 L
.22888 .48149 L
.22882 .4799 L
.22877 .47815 L
.22875 .47734 L
.22874 .47645 L
.22872 .47569 L
.22871 .47486 L
.22871 .47437 L
.22871 .47392 L
.22871 .4737 L
.22871 .47349 L
.2287 .47325 L
.2287 .47303 L
.2287 .47283 L
.2287 .47261 L
.2287 .47243 L
.2287 .47223 L
.2287 .47201 L
.2287 .47189 L
.2287 .47178 L
.22871 .47136 L
.22871 .47098 L
.22871 .47056 L
.22872 .46971 L
.22873 .46892 L
.22874 .46818 L
.22878 .46651 L
.22883 .46472 L
.22897 .46138 L
.22916 .45786 L
.22963 .45153 L
.23029 .44484 L
.23109 .43844 L
.2321 .43172 L
.23321 .42533 L
.23441 .41927 L
.2358 .41294 L
.23726 .40696 L
.23875 .40132 L
.24043 .39546 L
.24212 .38995 L
.244 .38424 L
Mistroke
.24587 .37889 L
.24771 .37389 L
.24948 .36932 L
Mfstroke
.23333 .53333 m
.23151 .52742 L
.22975 .52077 L
.2283 .51435 L
.22711 .50802 L
.22605 .50115 L
.22525 .49442 L
.22492 .49095 L
.22462 .48716 L
.2244 .4835 L
.22431 .48175 L
.22424 .4801 L
.22418 .47837 L
.22414 .47677 L
.2241 .475 L
.22409 .47403 L
.22408 .47355 L
.22407 .4731 L
.22407 .47267 L
.22407 .4722 L
.22407 .47199 L
.22407 .47178 L
.22407 .47157 L
.22406 .47138 L
.22406 .47117 L
.22406 .47093 L
.22406 .47072 L
.22406 .47051 L
.22406 .4704 L
.22406 .47028 L
.22407 .47006 L
.22407 .46982 L
.22407 .46956 L
.22407 .46913 L
.22407 .46874 L
.22408 .46786 L
.22409 .46709 L
.2241 .46627 L
.22414 .46456 L
.22419 .46274 L
.22432 .45945 L
.22452 .45564 L
.22475 .45204 L
.22534 .4452 L
.22613 .43798 L
.22707 .43109 L
.22811 .42455 L
.22936 .41769 L
.2307 .41119 L
.23224 .4044 L
Mistroke
.23384 .39801 L
.23547 .39199 L
.23729 .38573 L
.23911 .37986 L
.24109 .37389 L
Mfstroke
.23333 .55 m
.23087 .54411 L
.22839 .5374 L
.22629 .53085 L
.22448 .52434 L
.22278 .5172 L
.22138 .51015 L
.22015 .50248 L
.21921 .49495 L
.21853 .4876 L
.21828 .48377 L
.21817 .48181 L
.21806 .47969 L
.21799 .47771 L
.21793 .47589 L
.21788 .47406 L
.21785 .47231 L
.21784 .47133 L
.21783 .47044 L
.21783 .46995 L
.21783 .46968 L
.21782 .46941 L
.21782 .46917 L
.21782 .46904 L
.21782 .4689 L
.21782 .46866 L
.21782 .46844 L
.21782 .4682 L
.21782 .46798 L
.21782 .46773 L
.21782 .46761 L
.21782 .46747 L
.21783 .467 L
.21783 .46655 L
.21784 .46573 L
.21785 .46484 L
.21786 .46386 L
.21788 .46296 L
.21793 .46091 L
.21799 .4589 L
.21807 .45677 L
.21828 .45259 L
.21853 .44864 L
.21915 .44115 L
.22001 .43324 L
.22102 .4257 L
.22214 .41854 L
.22349 .41103 L
.22492 .40393 L
.22658 .39652 L
Mistroke
.22829 .38953 L
.23003 .38297 L
.23193 .37626 L
Mfstroke
.23333 .56667 m
.23017 .56079 L
.22693 .55402 L
.22412 .54733 L
.22163 .54061 L
.21923 .53317 L
.21718 .52574 L
.21527 .5176 L
.21372 .50953 L
.21249 .50159 L
.21146 .49299 L
.21106 .48866 L
.21075 .48458 L
.21051 .48065 L
.21032 .47641 L
.21024 .47421 L
.21021 .47305 L
.21018 .47182 L
.21016 .47063 L
.21014 .46955 L
.21014 .46903 L
.21013 .46846 L
.21013 .46793 L
.21012 .46744 L
.21012 .46692 L
.21012 .46664 L
.21012 .46637 L
.21012 .46612 L
.21012 .46589 L
.21012 .46563 L
.21012 .46536 L
.21012 .4651 L
.21012 .46494 L
.21012 .46481 L
.21012 .46428 L
.21012 .464 L
.21012 .4637 L
.21013 .46309 L
.21014 .46193 L
.21016 .4607 L
.2102 .45848 L
.21027 .45625 L
.21035 .45382 L
.21055 .44942 L
.21081 .44509 L
.21115 .44051 L
.21191 .43232 L
.21293 .42367 L
.21409 .41545 L
.21551 .40684 L
Mistroke
.21704 .39868 L
.21864 .39099 L
.22047 .38297 L
.22214 .37622 L
Mfstroke
.23333 .58333 m
.22942 .57747 L
.22536 .57062 L
.22178 .56378 L
.21856 .55682 L
.2154 .54904 L
.21263 .5412 L
.20999 .53251 L
.20777 .52383 L
.20593 .51522 L
.2043 .50581 L
.20306 .49655 L
.20216 .4875 L
.20181 .4828 L
.20152 .47773 L
.20141 .47526 L
.20131 .47256 L
.20124 .47001 L
.2012 .46764 L
.20118 .46639 L
.20117 .46569 L
.20117 .46504 L
.20116 .46448 L
.20116 .46415 L
.20116 .46385 L
.20116 .46354 L
.20116 .46338 L
.20116 .4632 L
.20116 .46289 L
.20116 .46259 L
.20116 .46231 L
.20116 .46205 L
.20116 .46176 L
.20116 .46144 L
.20116 .46113 L
.20116 .4608 L
.20117 .46022 L
.20118 .45916 L
.20119 .45801 L
.20121 .45671 L
.20123 .45548 L
.20129 .45318 L
.20137 .45071 L
.20148 .44803 L
.20172 .44314 L
.20205 .43798 L
.20283 .42873 L
.20389 .41896 L
.20512 .40968 L
.20664 .39996 L
Mistroke
.20828 .39075 L
.21 .38207 L
.21184 .37358 L
Mfstroke
.23333 .6 m
.22862 .59414 L
.22369 .58721 L
.21928 .58019 L
.21527 .57298 L
.21128 .56482 L
.20774 .5565 L
.20431 .54721 L
.20136 .53782 L
.19886 .52844 L
.19659 .51811 L
.19478 .50788 L
.19339 .4978 L
.19276 .49212 L
.19228 .48688 L
.19188 .48136 L
.19158 .47621 L
.19137 .47095 L
.19129 .46816 L
.19125 .46661 L
.19122 .46519 L
.1912 .46379 L
.1912 .46308 L
.19119 .46232 L
.19118 .46156 L
.19118 .46121 L
.19118 .46084 L
.19118 .46061 L
.19118 .4604 L
.19118 .46021 L
.19118 .45999 L
.19118 .4598 L
.19118 .45961 L
.19118 .45942 L
.19118 .45922 L
.19118 .45886 L
.19118 .45853 L
.19118 .45817 L
.19118 .45778 L
.19118 .45699 L
.19119 .45628 L
.1912 .45489 L
.19122 .45358 L
.19128 .45086 L
.19135 .44799 L
.19155 .44284 L
.19182 .43738 L
.19215 .43228 L
.19304 .42154 L
.19427 .41022 L
Mistroke
.1957 .39947 L
.19727 .38929 L
.19914 .37866 L
.2011 .36863 L
.2012 .36814 L
Mfstroke
.23333 .61667 m
.22778 .61081 L
.22191 .60379 L
.21661 .59658 L
.21175 .58908 L
.20688 .58049 L
.2025 .57165 L
.19822 .56166 L
.19449 .55148 L
.19129 .54123 L
.18833 .52985 L
.18592 .51849 L
.18401 .50725 L
.18313 .50089 L
.18244 .495 L
.18135 .48298 L
.18097 .47704 L
.1808 .47362 L
.18067 .47051 L
.18056 .46731 L
.18049 .46429 L
.18046 .46263 L
.18043 .4611 L
.18042 .46023 L
.18042 .45942 L
.18041 .45857 L
.18041 .45812 L
.18041 .45764 L
.1804 .45725 L
.1804 .45703 L
.1804 .45683 L
.1804 .45641 L
.1804 .45618 L
.1804 .45596 L
.1804 .4556 L
.1804 .45521 L
.1804 .45479 L
.18041 .45441 L
.18041 .45352 L
.18042 .45271 L
.18043 .45177 L
.18044 .45089 L
.18049 .44782 L
.18053 .44609 L
.18057 .44449 L
.18078 .43853 L
.1811 .43198 L
.18149 .42583 L
.182 .41924 L
.18325 .40633 L
Mistroke
.18475 .39406 L
.18642 .38243 L
.18842 .37029 L
.19035 .35973 L
Mfstroke
.23333 .63333 m
.22688 .62748 L
.22001 .62036 L
.21377 .61293 L
.20801 .60511 L
.20218 .59605 L
.19691 .58662 L
.19171 .57585 L
.18716 .56479 L
.18322 .55354 L
.17953 .54097 L
.1765 .52834 L
.17407 .51577 L
.17201 .502 L
.17055 .48844 L
.16997 .48095 L
.16975 .47749 L
.16954 .47378 L
.16938 .47006 L
.16925 .46668 L
.16916 .46327 L
.16909 .46006 L
.16907 .45838 L
.16906 .45741 L
.16905 .45653 L
.16904 .4556 L
.16904 .45509 L
.16904 .4546 L
.16904 .45416 L
.16903 .45374 L
.16903 .45329 L
.16903 .45306 L
.16903 .4528 L
.16903 .45238 L
.16903 .45194 L
.16904 .45156 L
.16904 .45115 L
.16904 .4507 L
.16904 .45022 L
.16905 .44936 L
.16906 .44766 L
.16908 .44612 L
.16915 .44251 L
.16924 .43918 L
.16936 .43553 L
.16952 .43167 L
.17033 .41802 L
.17087 .41106 L
.17156 .40362 L
.17317 .38906 L
Mistroke
.17502 .37527 L
.17703 .36224 L
.17938 .34868 L
.17946 .34821 L
Mfstroke
.23333 .65 m
.22593 .64415 L
.21801 .63691 L
.21077 .62925 L
.20404 .62107 L
.19719 .61149 L
.19096 .6014 L
.1848 .58977 L
.17936 .5777 L
.17464 .56533 L
.1702 .55141 L
.16652 .53733 L
.16357 .52326 L
.16105 .50777 L
.15924 .49247 L
.1585 .484 L
.15796 .47588 L
.15776 .47199 L
.15758 .46783 L
.15744 .46389 L
.15735 .46031 L
.15731 .45832 L
.15728 .45621 L
.15726 .45441 L
.15725 .45338 L
.15724 .45243 L
.15724 .4519 L
.15724 .45162 L
.15724 .45132 L
.15724 .45106 L
.15724 .45077 L
.15723 .45027 L
.15723 .44978 L
.15723 .44925 L
.15724 .44876 L
.15724 .4483 L
.15724 .44777 L
.15724 .44727 L
.15725 .44615 L
.15726 .44505 L
.15727 .44388 L
.1573 .44169 L
.15734 .43967 L
.15745 .43511 L
.15758 .43109 L
.15775 .42684 L
.15816 .41883 L
.15865 .41135 L
.15997 .39562 L
.16178 .37912 L
Mistroke
.16384 .3635 L
.16607 .34877 L
.16865 .33348 L
Mfstroke
.23333 .66667 m
.22494 .66082 L
.2159 .65345 L
.20759 .64553 L
.19983 .63697 L
.19191 .62681 L
.18467 .61599 L
.17748 .60338 L
.17111 .59019 L
.16557 .57655 L
.16035 .56111 L
.15603 .54541 L
.15255 .52963 L
.14959 .5122 L
.14747 .49494 L
.14661 .48536 L
.14597 .47618 L
.14574 .47178 L
.14553 .46707 L
.14537 .46262 L
.14526 .45857 L
.14522 .45631 L
.14518 .45392 L
.14516 .45188 L
.14515 .45072 L
.14514 .44964 L
.14514 .44904 L
.14514 .44872 L
.14514 .44839 L
.14514 .44809 L
.14514 .44777 L
.14513 .4472 L
.14513 .44665 L
.14513 .44605 L
.14514 .44549 L
.14514 .44497 L
.14514 .44437 L
.14514 .44381 L
.14515 .44253 L
.14516 .44129 L
.14518 .43996 L
.14521 .43748 L
.14526 .4352 L
.14539 .43004 L
.14554 .42549 L
.14574 .42068 L
.14622 .41162 L
.14678 .40317 L
.1483 .3854 L
.15036 .36679 L
Mistroke
.15268 .3492 L
.15518 .33264 L
.15804 .31548 L
Mfstroke
.23333 .68333 m
.22389 .67748 L
.21368 .66997 L
.20424 .66177 L
.1954 .65279 L
.18633 .64199 L
.17802 .63036 L
.16974 .61668 L
.1624 .60222 L
.15601 .58717 L
.15 .57001 L
.14503 .55247 L
.14105 .53478 L
.13769 .51518 L
.1353 .49572 L
.13435 .48493 L
.13399 .47992 L
.13366 .47457 L
.13339 .46918 L
.13319 .46428 L
.13304 .45935 L
.13293 .45469 L
.13289 .45225 L
.13286 .44958 L
.13285 .44823 L
.13284 .44749 L
.13284 .44679 L
.13284 .44613 L
.13284 .44579 L
.13284 .44542 L
.13283 .44477 L
.13283 .44418 L
.13283 .44358 L
.13283 .44303 L
.13284 .44243 L
.13284 .4418 L
.13284 .44125 L
.13284 .44074 L
.13285 .43957 L
.13286 .43829 L
.13287 .43712 L
.13291 .43449 L
.13295 .43195 L
.13301 .42926 L
.13315 .42443 L
.13333 .41925 L
.13358 .41355 L
.13414 .40341 L
.1349 .39256 L
.13682 .37135 L
Mistroke
.13912 .35127 L
.14167 .33234 L
.14465 .31268 L
.1477 .29424 L
.14771 .29418 L
Mfstroke
.23333 .7 m
.2228 .69414 L
.21134 .68648 L
.20072 .67798 L
.19073 .66853 L
.18045 .65703 L
.17101 .6445 L
.1616 .62962 L
.15325 .61375 L
.14598 .59712 L
.13917 .57804 L
.13357 .55845 L
.12911 .53861 L
.12704 .52722 L
.1254 .51659 L
.12282 .4947 L
.1219 .48379 L
.12148 .4775 L
.12116 .47178 L
.12091 .46627 L
.12069 .46029 L
.1206 .45699 L
.12053 .45396 L
.12048 .45106 L
.12046 .44948 L
.12044 .44798 L
.12043 .44659 L
.12042 .44585 L
.12042 .44507 L
.12042 .44441 L
.12041 .44369 L
.12041 .44303 L
.12041 .44241 L
.12041 .44168 L
.12041 .44091 L
.12041 .44025 L
.12041 .43953 L
.12041 .43876 L
.12042 .43793 L
.12043 .43643 L
.12044 .43504 L
.12046 .43352 L
.12049 .43078 L
.1206 .42564 L
.12075 .42007 L
.12097 .41395 L
.12156 .40161 L
.12228 .39026 L
.12322 .37813 L
.12553 .35447 L
Mistroke
.12822 .33213 L
.13112 .31114 L
.13445 .28936 L
.13769 .26959 L
Mfstroke
.23333 .71667 m
.22165 .71079 L
.2089 .70297 L
.19702 .69414 L
.18582 .68418 L
.17427 .67191 L
.16365 .6584 L
.15304 .64218 L
.14365 .62474 L
.13549 .60634 L
.12788 .58513 L
.12166 .56324 L
.11678 .54103 L
.11454 .52825 L
.11278 .51632 L
.11124 .50367 L
.11009 .49176 L
.10917 .47952 L
.10879 .47301 L
.10846 .46604 L
.10822 .45932 L
.10812 .45552 L
.10804 .45202 L
.10799 .44895 L
.10796 .44719 L
.10795 .44558 L
.10793 .44388 L
.10793 .44295 L
.10792 .44206 L
.10792 .44124 L
.10792 .44048 L
.10792 .43965 L
.10791 .43923 L
.10791 .43877 L
.10792 .43797 L
.10792 .43722 L
.10792 .43641 L
.10792 .43553 L
.10793 .43462 L
.10793 .43375 L
.10795 .43213 L
.10798 .4292 L
.10803 .42604 L
.1081 .42257 L
.10819 .4189 L
.1084 .41232 L
.10896 .39948 L
.10966 .38752 L
.11164 .36239 L
.11437 .33614 L
Mistroke
.11746 .31142 L
.12072 .28824 L
.12438 .26426 L
.12796 .24185 L
.12798 .24173 L
Mfstroke
.23333 .73333 m
.22045 .72745 L
.20634 .71945 L
.19315 .71026 L
.18068 .69975 L
.16779 .68664 L
.15592 .67204 L
.14408 .65433 L
.13361 .63515 L
.12455 .61479 L
.11615 .59119 L
.10937 .56676 L
.10411 .54191 L
.10174 .5276 L
.09991 .51426 L
.09834 .50009 L
.09719 .48676 L
.09633 .47308 L
.09598 .4658 L
.09583 .46175 L
.09571 .45802 L
.09561 .45445 L
.09553 .45052 L
.09546 .44656 L
.09544 .4444 L
.09542 .44238 L
.09541 .44147 L
.09541 .44047 L
.0954 .43953 L
.0954 .43866 L
.0954 .43787 L
.0954 .43701 L
.0954 .4361 L
.0954 .43526 L
.0954 .43432 L
.0954 .43385 L
.0954 .43334 L
.09541 .43158 L
.09542 .43059 L
.09543 .42952 L
.09545 .42761 L
.0955 .42371 L
.09557 .42011 L
.09578 .41198 L
.09603 .40482 L
.09636 .39726 L
.09715 .38302 L
.09807 .36977 L
.10054 .34202 L
.10377 .31313 L
Mistroke
.1073 .28602 L
.11093 .26065 L
.11488 .23445 L
.11854 .21066 L
Mfstroke
.23333 .75 m
.2192 .7441 L
.20367 .73591 L
.18911 .72633 L
.1753 .71523 L
.16101 .70119 L
.14785 .68539 L
.13472 .66605 L
.12315 .64494 L
.11319 .62239 L
.10403 .59614 L
.09672 .5689 L
.09116 .54116 L
.08888 .52643 L
.08685 .51028 L
.08524 .49366 L
.08464 .48594 L
.0841 .47766 L
.08367 .46932 L
.08336 .46174 L
.08324 .45807 L
.08312 .45409 L
.08305 .45061 L
.08298 .44687 L
.08295 .44479 L
.08293 .44289 L
.08291 .44098 L
.08289 .43917 L
.08289 .43815 L
.08289 .43759 L
.08289 .43706 L
.08288 .43613 L
.08288 .43511 L
.08288 .43457 L
.08288 .434 L
.08288 .43299 L
.08288 .43242 L
.08289 .43189 L
.08289 .4307 L
.0829 .42963 L
.0829 .42847 L
.08292 .42637 L
.08297 .42243 L
.08305 .41783 L
.08314 .4136 L
.08337 .40573 L
.08364 .39839 L
.08447 .38172 L
.08553 .36544 L
.08671 .35068 L
Mistroke
.08975 .31947 L
.0932 .29016 L
.09723 .25982 L
.10127 .2315 L
.10553 .20234 L
.10926 .17641 L
Mfstroke
.23333 .76667 m
.2179 .76075 L
.20088 .75235 L
.18488 .74236 L
.16968 .7306 L
.15392 .71555 L
.13941 .69843 L
.12497 .67729 L
.11228 .65404 L
.10142 .62907 L
.09153 .59991 L
.08377 .56958 L
.078 .53867 L
.07569 .52226 L
.07368 .50429 L
.07289 .49549 L
.07216 .48581 L
.07158 .47652 L
.07116 .46805 L
.07082 .45904 L
.07069 .4549 L
.07059 .45052 L
.0705 .44583 L
.07047 .44375 L
.07044 .44151 L
.07043 .44025 L
.07042 .43911 L
.07041 .43794 L
.07041 .43686 L
.0704 .4356 L
.0704 .43494 L
.0704 .43424 L
.0704 .43305 L
.0704 .43238 L
.0704 .43175 L
.0704 .4307 L
.0704 .42957 L
.0704 .42851 L
.07041 .42754 L
.07043 .42517 L
.07045 .42294 L
.07051 .41849 L
.07059 .41366 L
.07081 .40504 L
.07108 .3971 L
.07184 .38036 L
.07297 .36206 L
.07591 .32675 L
.07944 .29353 L
.0837 .25918 L
Mistroke
.08803 .22712 L
.0922 .19722 L
.09644 .1664 L
.09999 .13899 L
Mfstroke
.23333 .78333 m
.21655 .77739 L
.19798 .76877 L
.18048 .75834 L
.16382 .74587 L
.14654 .72972 L
.13062 .71115 L
.11482 .68802 L
.101 .66241 L
.08927 .63478 L
.07871 .6024 L
.07056 .56868 L
.06468 .53433 L
.0624 .51613 L
.06049 .49619 L
.05977 .48644 L
.05912 .47573 L
.05864 .46557 L
.05832 .4561 L
.05819 .45111 L
.05813 .44849 L
.05808 .44572 L
.05804 .44329 L
.05801 .44062 L
.05799 .43819 L
.05797 .43592 L
.05796 .43478 L
.05796 .43354 L
.05796 .43237 L
.05796 .43129 L
.05796 .43032 L
.05796 .42924 L
.05796 .42812 L
.05796 .42707 L
.05797 .42591 L
.05797 .42469 L
.05799 .4225 L
.05801 .42015 L
.05804 .41758 L
.05813 .41237 L
.05823 .40746 L
.05849 .39826 L
.05886 .38838 L
.05935 .3777 L
.0605 .35831 L
.06201 .33795 L
.06538 .30187 L
.06962 .26445 L
.07404 .22951 L
.07884 .19356 L
Mistroke
.08328 .16007 L
.08719 .1288 L
.09056 .0984 L
Mfstroke
.23333 .8 m
.21515 .79403 L
.19497 .78518 L
.1759 .77426 L
.15772 .76103 L
.13884 .74367 L
.12148 .72351 L
.10429 .6982 L
.08934 .66999 L
.07676 .63943 L
.06559 .60353 L
.06095 .58454 L
.05717 .56613 L
.05388 .54684 L
.05128 .52806 L
.04901 .50704 L
.04745 .48751 L
.04684 .47732 L
.04632 .46639 L
.04612 .46107 L
.04596 .45604 L
.04583 .45118 L
.04573 .44664 L
.04565 .44162 L
.04562 .43896 L
.0456 .43611 L
.04559 .43468 L
.04558 .43392 L
.04558 .43312 L
.04558 .43242 L
.04558 .43165 L
.04557 .43029 L
.04557 .42897 L
.04557 .42755 L
.04558 .4262 L
.04558 .42497 L
.04558 .42381 L
.04559 .42257 L
.04561 .42033 L
.04563 .41767 L
.04566 .41526 L
.04575 .40999 L
.04585 .40503 L
.04614 .39454 L
.04655 .38346 L
.04754 .36367 L
.0489 .34282 L
.05042 .3235 L
.05431 .28323 L
.05909 .24165 L
Mistroke
.06397 .2029 L
.06863 .16683 L
.07324 .12968 L
.07712 .09495 L
.0804 .05895 L
.08073 .05455 L
Mfstroke
.23333 .81667 m
.2137 .81067 L
.19184 .80157 L
.17114 .79013 L
.15137 .77607 L
.13085 .7574 L
.11199 .7355 L
.09339 .70779 L
.07732 .67672 L
.06393 .64295 L
.05224 .60322 L
.04746 .58219 L
.04363 .56182 L
.04037 .5405 L
.03786 .51978 L
.03677 .50875 L
.03576 .49661 L
.035 .48557 L
.03441 .47512 L
.03389 .46306 L
.03356 .45208 L
.03342 .44592 L
.03334 .44023 L
.0333 .43726 L
.03329 .43555 L
.03328 .43399 L
.03327 .43235 L
.03326 .4315 L
.03326 .43058 L
.03326 .42973 L
.03326 .42894 L
.03325 .42739 L
.03326 .42601 L
.03326 .42454 L
.03326 .4233 L
.03327 .42193 L
.03328 .42046 L
.03329 .41888 L
.03331 .41604 L
.03339 .41046 L
.03348 .40538 L
.03361 .39939 L
.03379 .3929 L
.03421 .38113 L
.03534 .35786 L
.03695 .33342 L
.04068 .29012 L
.04547 .24527 L
.05048 .20349 L
.05582 .16058 L
Mistroke
.06063 .12064 L
.06466 .08336 L
.06657 .06294 L
.06805 .04466 L
.0702 .00806 L
.07023 .00729 L
Mfstroke
.23333 .83333 m
.2122 .82731 L
.18859 .81794 L
.1662 .80594 L
.14478 .79098 L
.12255 .77089 L
.10216 .74709 L
.08213 .71674 L
.06495 .68255 L
.05082 .64526 L
.04465 .62488 L
.03869 .60136 L
.03003 .55568 L
.02686 .53217 L
.02424 .50633 L
.02327 .49365 L
.02241 .47972 L
.02179 .46649 L
.02138 .45415 L
.02123 .44765 L
.02117 .44423 L
.02111 .44062 L
.02107 .43745 L
.02105 .43577 L
.02104 .43397 L
.02103 .43232 L
.02102 .43081 L
.02101 .42929 L
.02101 .42785 L
.02101 .42649 L
.02101 .42497 L
.02101 .4234 L
.02102 .42191 L
.02102 .42053 L
.02103 .41927 L
.02105 .41642 L
.02108 .41352 L
.02111 .41035 L
.02122 .40397 L
.02136 .39719 L
.02153 .3908 L
.02194 .37885 L
.02322 .35214 L
.02487 .32686 L
.0267 .30378 L
.03136 .25548 L
.03642 .21045 L
.04198 .16414 L
.04709 .1211 L
.05185 .07679 L
Mistroke
.05386 .05513 L
.05547 .03527 L
.05682 .015 L
Mfstroke
.05682 .015 m
.05759 0 L
s
.23333 .85 m
.22237 .84735 L
.21064 .84394 L
.18523 .83428 L
.162 .82224 L
.13738 .80532 L
.11428 .78446 L
.09097 .75687 L
.07034 .72471 L
.05276 .68857 L
.03699 .64483 L
.03041 .62125 L
.02505 .59817 L
.02039 .57378 L
.01672 .54989 L
.01353 .52301 L
.01136 .49793 L
.01052 .48481 L
.00981 .47074 L
.00954 .46388 L
.00932 .4574 L
.00915 .45113 L
.00903 .44526 L
.00893 .4388 L
.00889 .43537 L
.00888 .43345 L
.00886 .43169 L
.00885 .42984 L
.00885 .42886 L
.00884 .42783 L
.00884 .42609 L
.00884 .4251 L
.00884 .42417 L
.00884 .42245 L
.00884 .42088 L
.00885 .41915 L
.00886 .41732 L
.00888 .41424 L
.00891 .41096 L
.00899 .40503 L
.00912 .39799 L
.00928 .3916 L
.00971 .37773 L
.01023 .36497 L
.01179 .3363 L
.01359 .31069 L
.01593 .28285 L
.02126 .2297 L
.02687 .18027 L
.03279 .1296 L
Mistroke
.03795 .08249 L
.04204 .03849 L
.04384 .01436 L
Mfstroke
.04384 .01436 m
.04468 0 L
s
.23333 .86667 m
.22161 .86402 L
.20903 .86057 L
.18176 .85061 L
.15676 .83795 L
.13026 .81992 L
.1054 .79744 L
.08039 .76744 L
.05838 .73222 L
.0398 .69251 L
.03153 .67031 L
.02339 .64436 L
.01126 .59303 L
.00666 .56623 L
.00273 .53652 L
.0012 .52188 L
s
.0012 .52188 m
0 .50801 L
s
0 .32795 m
.00204 .2992 L
.00732 .24096 L
.01314 .18678 L
.01944 .13128 L
.02504 .07976 L
.02952 .03174 L
.0315 .00543 L
s
.0315 .00543 m
.03182 0 L
s
.23333 .88333 m
.22081 .88069 L
.20737 .87719 L
.17816 .86691 L
.15134 .85361 L
.12289 .83438 L
.09622 .81014 L
.06947 .7775 L
.0461 .73896 L
.02657 .69535 L
.01798 .67096 L
.00962 .64245 L
s
.00962 .64245 m
0 .59794 L
s
0 .19015 m
.0042 .15159 L
.01051 .09398 L
.0158 .04045 L
.01803 .01382 L
s
.01803 .01382 m
.01898 0 L
s
.23333 .9 m
.22 .89736 L
.20566 .89381 L
.18961 .88888 L
.17445 .88319 L
.14574 .86919 L
.1164 .84955 L
.08608 .82181 L
.05862 .78757 L
.03473 .74727 L
.02384 .72412 L
.01292 .69657 L
s
.01292 .69657 m
0 .65356 L
s
0 .06998 m
.00172 .05321 L
.00448 .0228 L
s
.00448 .0228 m
.00627 0 L
s
.23333 .91667 m
.21916 .91403 L
.2039 .91043 L
.18679 .90536 L
.17061 .89944 L
.13996 .8847 L
.10861 .86374 L
.07626 .8338 L
.0471 .79656 L
.02191 .75252 L
.01054 .72718 L
s
.01054 .72718 m
0 .69902 L
s
.25 .08333 m
.24705 .07758 L
.24367 .07101 L
.24034 .06451 L
.23699 .05795 L
.23324 .05061 L
.22945 .04316 L
.2252 .03479 L
.22089 .02626 L
.21652 .01757 L
.21161 .00776 L
s
.21161 .00776 m
.20774 0 L
s
.25 .1 m
.24771 .09433 L
.24504 .08789 L
.24237 .0816 L
.23964 .0753 L
.23657 .06829 L
.23342 .06125 L
.22988 .05339 L
.22624 .04544 L
.22254 .03739 L
.21836 .02838 L
.21408 .01921 L
.20972 .0099 L
s
.20972 .0099 m
.20506 0 L
s
.25 .11667 m
.24832 .11107 L
.24631 .10477 L
.24426 .09867 L
.24213 .0926 L
.23969 .08592 L
.23716 .07924 L
.23427 .07185 L
.23129 .06442 L
.22821 .05697 L
.22472 .04867 L
.22113 .04029 L
.21745 .03183 L
.21327 .02235 L
.20897 .01273 L
.20409 .0019 L
s
.20409 .0019 m
.20323 0 L
s
.25 .13333 m
.24888 .1278 L
.2475 .12164 L
.24602 .11571 L
.24445 .10987 L
.24261 .10348 L
.24065 .09714 L
.23839 .09018 L
.23601 .08323 L
.23354 .07631 L
.2307 .06866 L
.22775 .06098 L
.22471 .05329 L
.22123 .04472 L
.21765 .03608 L
.21357 .02643 L
.20935 .01663 L
.20501 .00668 L
s
.20501 .00668 m
.20206 0 L
s
.25 .15 m
.24941 .14454 L
.24859 .1385 L
.24765 .13274 L
.2466 .1271 L
.24531 .12098 L
.2439 .11495 L
.24222 .10838 L
.24042 .10187 L
.23851 .09543 L
.23628 .08836 L
.23394 .08132 L
.2315 .0743 L
.22869 .06655 L
.22577 .05878 L
.22242 .05016 L
.21895 .04146 L
.21536 .0327 L
.21127 .0229 L
.20704 .01297 L
.20222 .0018 L
s
.20222 .0018 m
.20143 0 L
s
.25 .16667 m
.24999 .16602 L
.24999 .16542 L
.24996 .16404 L
.24993 .16271 L
.24988 .16127 L
.24975 .15818 L
.24958 .15535 L
.24914 .14969 L
.24856 .14419 L
.24778 .13826 L
.24687 .13247 L
.24584 .1268 L
.24457 .12064 L
.24318 .11458 L
.24152 .10798 L
.23973 .10144 L
.23784 .09498 L
.23563 .08788 L
.2333 .08081 L
.23061 .07302 L
.2278 .06522 L
.22487 .0574 L
.22151 .04872 L
.21803 .03997 L
.21444 .03116 L
.21033 .0213 L
.20609 .0113 L
.20125 7e-005 L
s
.20125 7e-005 m
.20122 0 L
s
.25 .18333 m
.25017 .18074 L
.25031 .178 L
.25042 .17523 L
.25046 .17366 L
.25047 .17296 L
.25049 .17219 L
.2505 .17144 L
.2505 .17111 L
.25051 .17075 L
.25051 .17043 L
.25051 .17008 L
.25051 .16989 L
.25051 .16972 L
.25051 .16955 L
.25051 .16938 L
.25051 .16921 L
.25051 .16905 L
.25051 .1689 L
.25051 .16875 L
.25051 .16858 L
.25051 .16842 L
.25051 .16825 L
.25051 .16806 L
.25051 .16775 L
.25051 .16747 L
.2505 .16681 L
.2505 .16612 L
.25048 .16537 L
.25045 .16399 L
.25042 .16266 L
.25037 .16142 L
.25026 .15882 L
.25009 .15595 L
.24965 .15029 L
.24907 .1448 L
.24829 .13888 L
.24738 .13308 L
.24634 .12742 L
.24507 .12126 L
.24368 .11521 L
.24202 .10861 L
.24022 .10208 L
.23833 .09561 L
.23611 .08852 L
.23377 .08145 L
.23134 .07441 L
.22854 .06663 L
.22562 .05883 L
.22228 .05018 L
Mistroke
.21881 .04146 L
.21522 .03267 L
.21115 .0229 L
Mfstroke
.25 .2 m
.25069 .19473 L
.2513 .18903 L
.25154 .18627 L
.25172 .1837 L
.25188 .18107 L
.252 .17859 L
.25205 .17727 L
.25209 .17584 L
.25213 .17455 L
.25215 .17335 L
.25215 .17272 L
.25216 .17238 L
.25216 .17205 L
.25216 .17175 L
.25217 .17141 L
.25217 .17127 L
.25217 .17111 L
.25217 .17096 L
.25217 .17083 L
.25217 .17066 L
.25217 .17057 L
.25217 .17047 L
.25217 .1703 L
.25217 .17015 L
.25217 .17005 L
.25217 .16996 L
.25217 .16979 L
.25217 .1696 L
.25216 .1694 L
.25216 .16906 L
.25216 .1687 L
.25215 .16805 L
.25214 .1674 L
.25213 .16679 L
.2521 .16543 L
.25207 .16423 L
.25202 .16296 L
.2519 .16028 L
.25176 .15778 L
.25134 .15243 L
.25073 .14669 L
.24999 .14109 L
.24913 .13561 L
.24805 .12968 L
.24684 .12386 L
.24553 .11815 L
.24396 .11192 L
.24228 .10576 L
.24031 .09902 L
Mistroke
.23823 .09233 L
.23604 .08568 L
.23352 .07835 L
.23088 .07103 L
.22785 .06293 L
.2247 .05478 L
.2245 .05426 L
Mfstroke
.25 .21667 m
.25103 .21146 L
.25201 .20585 L
.25281 .20065 L
.25345 .19568 L
.25399 .19043 L
.25439 .1854 L
.25455 .18265 L
.25461 .18139 L
.25466 .18006 L
.2547 .17883 L
.25474 .17749 L
.25475 .1769 L
.25477 .17626 L
.25478 .1757 L
.25478 .17511 L
.25479 .17476 L
.25479 .17444 L
.25479 .17411 L
.25479 .17381 L
.25479 .17364 L
.2548 .17346 L
.2548 .17336 L
.2548 .17328 L
.2548 .17318 L
.2548 .17308 L
.2548 .17299 L
.2548 .17289 L
.2548 .1728 L
.2548 .17272 L
.2548 .17256 L
.2548 .17239 L
.25479 .17223 L
.25479 .17208 L
.25479 .17175 L
.25479 .17146 L
.25479 .17115 L
.25478 .1705 L
.25477 .16979 L
.25474 .16846 L
.25471 .16726 L
.25461 .16454 L
.25448 .16204 L
.2543 .15932 L
.25384 .15394 L
.25325 .14869 L
.25255 .14359 L
.25165 .13807 L
.25063 .13266 L
.24939 .1268 L
Mistroke
.24804 .12103 L
.24658 .11534 L
.24486 .10913 L
.24304 .10299 L
.24092 .09625 L
.23868 .08953 L
.23661 .08356 L
Mfstroke
.25 .23333 m
.25132 .22819 L
.25264 .22267 L
.25375 .21758 L
.25471 .21274 L
.25561 .20766 L
.25636 .20282 L
.25703 .19771 L
.25753 .19283 L
.2579 .18815 L
.25805 .18574 L
.25811 .1845 L
.25816 .18318 L
.25821 .18194 L
.25824 .18081 L
.25827 .17967 L
.25828 .17858 L
.25829 .17797 L
.2583 .17741 L
.2583 .17711 L
.2583 .17693 L
.2583 .17677 L
.2583 .17663 L
.2583 .17648 L
.2583 .17632 L
.2583 .17617 L
.2583 .17603 L
.2583 .17588 L
.2583 .17574 L
.2583 .1756 L
.2583 .17535 L
.2583 .17509 L
.25829 .17454 L
.25829 .17393 L
.25828 .17333 L
.25827 .1727 L
.25824 .17157 L
.2582 .17035 L
.25815 .16901 L
.25804 .16661 L
.25789 .16402 L
.25746 .15888 L
.25692 .15386 L
.25626 .14898 L
.25542 .14371 L
.25447 .13855 L
.25342 .13349 L
.25216 .128 L
.2508 .1226 L
.24919 .1167 L
Mistroke
.24754 .11106 L
Mfstroke
.25 .25 m
.25156 .24491 L
.25316 .23948 L
.25456 .23449 L
.2558 .22978 L
.25701 .22484 L
.25807 .22017 L
.25908 .21527 L
.25994 .21061 L
.26065 .20617 L
.26129 .20149 L
.26179 .19701 L
.26216 .19272 L
.26231 .19053 L
.26244 .18817 L
.26249 .18703 L
.26254 .18578 L
.26257 .18459 L
.2626 .18351 L
.26261 .18296 L
.26261 .18236 L
.26262 .1818 L
.26262 .18155 L
.26262 .18129 L
.26263 .181 L
.26263 .18087 L
.26263 .18073 L
.26263 .18065 L
.26263 .18057 L
.26263 .1805 L
.26263 .18042 L
.26263 .18028 L
.26263 .18013 L
.26263 .18005 L
.26263 .17997 L
.26263 .17983 L
.26263 .17975 L
.26263 .17967 L
.26263 .1795 L
.26262 .17922 L
.26262 .17891 L
.26262 .17831 L
.26261 .17775 L
.26259 .17649 L
.26256 .17538 L
.26252 .1742 L
.26243 .17197 L
.26231 .16987 L
.26198 .1654 L
.26149 .16061 L
Mistroke
.2609 .15594 L
.26021 .15138 L
.25934 .14646 L
.25838 .14164 L
.25734 .13699 L
Mfstroke
.25 .26667 m
.25176 .26163 L
.25359 .25628 L
.25522 .25138 L
.2567 .24678 L
.25818 .24198 L
.25951 .23745 L
.26082 .23274 L
.26198 .22827 L
.263 .22404 L
.26398 .21961 L
.26482 .21539 L
.26553 .21138 L
.26618 .20714 L
.2667 .20309 L
.26714 .19881 L
.26732 .19668 L
.26745 .1947 L
.26757 .19267 L
.26765 .19076 L
.26769 .18974 L
.26772 .18864 L
.26774 .18764 L
.26775 .18715 L
.26776 .18672 L
.26776 .18623 L
.26776 .18596 L
.26777 .18571 L
.26777 .18559 L
.26777 .18547 L
.26777 .18537 L
.26777 .18526 L
.26777 .18514 L
.26777 .18502 L
.26777 .18489 L
.26777 .18477 L
.26777 .18464 L
.26777 .18451 L
.26777 .18438 L
.26777 .18427 L
.26776 .18399 L
.26776 .18373 L
.26776 .1832 L
.26775 .18263 L
.26773 .18164 L
.26771 .18056 L
.26767 .17943 L
.26763 .17837 L
.26753 .17625 L
.26741 .17431 L
Mistroke
.26707 .17012 L
.26664 .16605 L
.26606 .16168 L
.26604 .16153 L
Mfstroke
.25 .28333 m
.25191 .27835 L
.25392 .27307 L
.25574 .26826 L
.25741 .26375 L
.25912 .25906 L
.26068 .25467 L
.26225 .25011 L
.26367 .24581 L
.26495 .24176 L
.26623 .23753 L
.26736 .23354 L
.26837 .22976 L
.26935 .22579 L
.2702 .22203 L
.271 .21807 L
.27168 .2143 L
.27224 .2107 L
.27274 .2069 L
.27313 .20326 L
.27329 .2014 L
.27344 .1994 L
.27355 .19763 L
.27364 .19569 L
.27367 .1948 L
.2737 .19384 L
.27371 .19331 L
.27372 .19283 L
.27373 .19237 L
.27373 .19189 L
.27374 .19145 L
.27374 .1912 L
.27374 .19097 L
.27374 .19086 L
.27374 .19075 L
.27374 .19066 L
.27374 .19056 L
.27374 .19045 L
.27374 .19035 L
.27374 .19023 L
.27374 .19012 L
.27374 .19 L
.27374 .18994 L
.27374 .18987 L
.27374 .18975 L
.27374 .18964 L
.27374 .18939 L
.27374 .18912 L
.27374 .18863 L
.27373 .18819 L
Mistroke
.27372 .18735 L
.2737 .18657 L
.27364 .18481 L
Mfstroke
.25 .3 m
.25201 .29507 L
.25416 .28986 L
.25611 .28512 L
.25794 .28069 L
.25982 .2761 L
.26157 .27181 L
.26335 .26738 L
.26499 .26322 L
.2665 .25933 L
.26803 .25528 L
.26942 .25147 L
.27068 .24788 L
.27195 .24414 L
.27309 .24061 L
.27421 .23692 L
.27521 .23343 L
.27609 .23012 L
.27694 .22665 L
.27768 .22334 L
.27837 .21987 L
.27895 .21655 L
.27943 .21338 L
.27985 .21003 L
.28016 .20698 L
s
.25 .31667 m
.25207 .31179 L
.25429 .30664 L
.25635 .30196 L
.25828 .29759 L
.26029 .29309 L
.26218 .28889 L
.26412 .28457 L
.26594 .28052 L
.26763 .27674 L
.26937 .27284 L
.27097 .26918 L
.27245 .26575 L
.27396 .26219 L
.27534 .25885 L
.27674 .25538 L
.27802 .25212 L
.27918 .24904 L
.28033 .24583 L
.28138 .2428 L
.28241 .23963 L
.28333 .23663 L
.28414 .23379 L
.28493 .2308 L
.28558 .2281 L
s
.25 .33333 m
.25208 .3285 L
.25433 .3234 L
.25643 .31878 L
.25843 .31447 L
.26052 .31003 L
.2625 .3059 L
.26457 .30166 L
.26651 .2977 L
.26834 .29402 L
.27024 .29022 L
.27201 .28667 L
.27366 .28337 L
.27537 .27995 L
.27696 .27675 L
.27859 .27345 L
.28009 .27036 L
.28149 .26747 L
.28291 .26447 L
.28421 .26165 L
.28553 .25873 L
.28674 .25598 L
.28785 .25339 L
.28895 .25069 L
.28991 .24827 L
s
.25 .35 m
.25204 .34521 L
.25427 .34016 L
.25637 .33558 L
.25838 .33132 L
.26051 .32693 L
.26254 .32285 L
.26467 .31866 L
.2667 .31476 L
.26862 .31114 L
.27063 .30742 L
.27252 .30395 L
.27431 .30073 L
.27617 .29741 L
.27792 .29432 L
.27973 .29114 L
.28142 .28818 L
.28301 .28542 L
.28464 .28257 L
.28617 .27991 L
.28773 .27717 L
.28918 .27461 L
.29053 .27221 L
.29191 .26973 L
.29312 .26752 L
s
.25 .36667 m
.25195 .36192 L
.25411 .35691 L
.25616 .35237 L
.25814 .34813 L
.26025 .34377 L
.26228 .33972 L
.26443 .33557 L
.26649 .3317 L
.26846 .32812 L
.27053 .32443 L
.27251 .32102 L
.27438 .31784 L
.27635 .31458 L
.27821 .31156 L
.28015 .30845 L
.28199 .30557 L
.28372 .3029 L
.28552 .30015 L
.28722 .2976 L
.28898 .29498 L
.29063 .29254 L
.29217 .29028 L
.29377 .28795 L
.29519 .28589 L
s
.25 .38333 m
.25182 .37863 L
.25385 .37366 L
.2558 .36913 L
.2577 .36492 L
.25974 .36057 L
.26172 .35653 L
.26384 .35238 L
.26588 .34852 L
.26785 .34494 L
.26994 .34127 L
.27194 .33786 L
.27386 .3347 L
.27588 .33145 L
.27781 .32845 L
.27984 .32537 L
.28177 .32253 L
.28361 .31989 L
.28553 .31719 L
.28735 .31469 L
.28925 .31213 L
.29105 .30977 L
.29275 .30758 L
.29453 .30534 L
.29612 .30337 L
s
.25 .4 m
.25164 .39534 L
.25349 .39039 L
.25529 .38588 L
.25706 .38167 L
.25898 .37732 L
.26086 .37326 L
.26289 .36909 L
.26487 .36521 L
.26679 .36161 L
.26884 .35791 L
.27083 .35447 L
.27273 .35128 L
.27477 .34802 L
.27672 .34499 L
.27878 .34189 L
.28076 .33903 L
.28265 .33638 L
.28464 .33367 L
.28654 .33117 L
.28854 .32862 L
.29045 .32627 L
.29225 .3241 L
.29415 .32188 L
.29587 .31994 L
s
.25 .41667 m
.25141 .41204 L
.25303 .40712 L
.25463 .40261 L
.25622 .39839 L
.25797 .39401 L
.2597 .38992 L
.26159 .38571 L
.26345 .38178 L
.26527 .37811 L
.26723 .37435 L
.26914 .37084 L
.271 .36759 L
.27298 .36425 L
.27491 .36116 L
.27695 .35799 L
.27893 .35506 L
.28083 .35235 L
.28285 .34958 L
.28478 .34702 L
.28683 .34442 L
.28879 .34201 L
.29066 .3398 L
.29264 .33755 L
.29443 .33558 L
s
.25 .43333 m
.25113 .42875 L
.25247 .42384 L
.25381 .41932 L
.25517 .41507 L
.2567 .41065 L
.25823 .40651 L
.25992 .40222 L
.2616 .3982 L
.26327 .39445 L
.26509 .39058 L
.26688 .38697 L
.26863 .38361 L
.27052 .38015 L
.27237 .37693 L
.27435 .37364 L
.27627 .37059 L
.27814 .36776 L
.28013 .36486 L
.28205 .36219 L
.28409 .35946 L
.28606 .35695 L
.28796 .35463 L
.28996 .35227 L
.29179 .3502 L
s
.25 .45 m
.25081 .44545 L
.2518 .44055 L
.25284 .43601 L
.25392 .43172 L
.25516 .42724 L
.25644 .42301 L
.25788 .41862 L
.25934 .41448 L
.2608 .4106 L
.26242 .40659 L
.26403 .40282 L
.26563 .39931 L
.26738 .39567 L
.26909 .39229 L
.27096 .38881 L
.27278 .38557 L
.27456 .38256 L
.27647 .37948 L
.27834 .37662 L
.28033 .3737 L
.28227 .371 L
.28414 .3685 L
.28613 .36596 L
.28796 .36373 L
s
.25 .46667 m
.25043 .46215 L
.25103 .45725 L
.25171 .45268 L
.25246 .44834 L
.25337 .44377 L
.25433 .43944 L
.25546 .43491 L
.25663 .43062 L
.25784 .42657 L
.25921 .42236 L
.26059 .41839 L
.26198 .41467 L
.26353 .41081 L
.26507 .40719 L
.26676 .40345 L
.26844 .39996 L
.27009 .39671 L
.27188 .39336 L
.27364 .39024 L
.27554 .38704 L
.2774 .38407 L
.27921 .38133 L
.28114 .37851 L
.28293 .37604 L
s
.25 .48333 m
.25 .48307 L
.25 .48279 L
.24999 .48255 L
.24999 .48229 L
.24999 .48213 L
.24999 .48198 L
.24999 .48184 L
.24999 .48169 L
.24999 .48156 L
.24999 .48143 L
.24999 .4813 L
.24999 .48115 L
.24999 .481 L
.24999 .48085 L
.24999 .48053 L
.25 .48025 L
.25 .47994 L
.25001 .47937 L
.25001 .47884 L
.25004 .47763 L
.25007 .47632 L
.25016 .47394 L
.25028 .47162 L
.25044 .46917 L
.25081 .46476 L
.25132 .4601 L
.25193 .45564 L
.25268 .45095 L
.25352 .44648 L
.25441 .44223 L
.25547 .43779 L
.25657 .43358 L
.2577 .4296 L
.25899 .42545 L
.26031 .42154 L
.26177 .41748 L
.26325 .41367 L
.26473 .41011 L
.26635 .40641 L
.26797 .40296 L
.26973 .3994 L
.27146 .39608 L
.27317 .393 L
.27501 .38982 L
.27674 .387 L
s
.25 .5 m
.24954 .49554 L
.24935 .4932 L
.24919 .49062 L
.24907 .48821 L
.24899 .48596 L
.24895 .48472 L
.24894 .48411 L
.24893 .48355 L
.24893 .48305 L
.24892 .4825 L
.24892 .48221 L
.24892 .48194 L
.24892 .48179 L
.24892 .48166 L
.24892 .48158 L
.24892 .4815 L
.24892 .48135 L
.24892 .48127 L
.24892 .48119 L
.24892 .48105 L
.24892 .48089 L
.24892 .4808 L
.24892 .48072 L
.24892 .48057 L
.24892 .48043 L
.24892 .48013 L
.24892 .47985 L
.24892 .47956 L
.24893 .47902 L
.24894 .47839 L
.24895 .47772 L
.24898 .47653 L
.24901 .47541 L
.24905 .47421 L
.24915 .47204 L
.24929 .46967 L
.24947 .46717 L
.24988 .46266 L
.25044 .4579 L
.25109 .45335 L
.25189 .44856 L
.25277 .44401 L
.25372 .43969 L
.25482 .43516 L
.25597 .43088 L
.25715 .42684 L
.25849 .42262 L
.25985 .41866 L
.26137 .41454 L
Mistroke
.26289 .41068 L
.26441 .40707 L
.26608 .40333 L
.26773 .39984 L
.26943 .39644 L
Mfstroke
.25 .51667 m
.24902 .51223 L
.2481 .50729 L
.24738 .50257 L
.24682 .49796 L
.24656 .49537 L
.24637 .493 L
.24619 .4905 L
.24607 .48818 L
.24597 .48579 L
.24593 .48454 L
.24591 .48384 L
.2459 .4832 L
.24589 .48264 L
.24588 .48203 L
.24588 .48169 L
.24587 .48138 L
.24587 .48106 L
.24587 .48076 L
.24587 .48048 L
.24587 .48032 L
.24587 .48018 L
.24587 .48006 L
.24586 .47992 L
.24586 .47978 L
.24586 .47965 L
.24586 .4795 L
.24587 .47935 L
.24587 .47922 L
.24587 .47908 L
.24587 .47876 L
.24587 .47847 L
.24587 .47789 L
.24588 .47726 L
.2459 .47613 L
.24593 .47478 L
.24597 .47354 L
.24607 .47117 L
.2462 .46857 L
.24658 .4635 L
.24706 .45863 L
.24771 .4535 L
.24845 .4486 L
.24928 .44394 L
.25026 .43904 L
.25131 .4344 L
.25241 .43001 L
.25367 .42541 L
.25497 .42108 L
.25642 .41658 L
Mistroke
.2579 .41234 L
.25938 .40837 L
.26102 .40425 L
.26106 .40416 L
Mfstroke
.25 .53333 m
.24845 .52892 L
.24692 .52395 L
.24562 .51915 L
.24451 .51442 L
.24348 .50928 L
.24265 .50423 L
.24192 .49877 L
.24138 .49344 L
.24119 .49098 L
.24101 .48826 L
.24088 .48556 L
.24082 .48408 L
.24078 .4827 L
.24076 .48202 L
.24075 .48128 L
.24074 .48063 L
.24073 .47993 L
.24072 .47958 L
.24072 .47924 L
.24072 .47892 L
.24071 .47862 L
.24071 .47833 L
.24071 .47819 L
.24071 .47803 L
.24071 .47787 L
.24071 .4777 L
.24071 .47754 L
.24071 .47739 L
.24071 .47723 L
.24071 .47708 L
.24071 .47692 L
.24071 .47674 L
.24071 .47637 L
.24072 .47604 L
.24072 .47542 L
.24073 .47478 L
.24075 .47342 L
.24079 .47193 L
.24083 .47052 L
.24088 .46924 L
.24102 .46637 L
.2414 .46089 L
.2419 .45565 L
.24256 .45011 L
.24333 .44483 L
.24418 .4398 L
.24521 .43452 L
.2463 .42951 L
.24757 .42427 L
Mistroke
.24889 .41933 L
.25024 .41467 L
.25171 .40995 L
Mfstroke
.25 .55 m
.24784 .54561 L
.24562 .54061 L
.2437 .53571 L
.24198 .53084 L
.24032 .52548 L
.23889 .52017 L
.23754 .51437 L
.23643 .50865 L
.23553 .50304 L
.23475 .49697 L
.23444 .49392 L
.23419 .49104 L
.23397 .4881 L
.23381 .48529 L
.23374 .48381 L
.23367 .48219 L
.23363 .48072 L
.23359 .47934 L
.23358 .47858 L
.23356 .47776 L
.23355 .477 L
.23354 .47631 L
.23354 .47593 L
.23354 .47556 L
.23354 .47536 L
.23354 .47517 L
.23354 .47506 L
.23354 .47495 L
.23354 .47484 L
.23354 .47474 L
.23354 .47454 L
.23354 .47436 L
.23354 .47416 L
.23354 .47404 L
.23354 .47394 L
.23354 .47374 L
.23354 .47352 L
.23354 .47308 L
.23354 .47269 L
.23355 .47226 L
.23356 .47149 L
.23358 .47005 L
.23362 .46837 L
.23367 .46681 L
.23379 .46392 L
.23397 .46073 L
.23443 .45452 L
.23503 .44858 L
.23582 .44231 L
Mistroke
.23672 .43634 L
.23772 .43066 L
.2389 .42471 L
.24016 .41907 L
.24151 .41358 L
Mfstroke
.25 .56667 m
.24717 .5623 L
.24423 .55725 L
.24161 .55225 L
.23924 .54721 L
.23688 .54161 L
.23479 .536 L
.23276 .5298 L
.23101 .52363 L
.22952 .51752 L
.22815 .51086 L
.22703 .50429 L
.22616 .49786 L
.22576 .49425 L
.22545 .49092 L
.22518 .48742 L
.22497 .48415 L
.22481 .48082 L
.22474 .47905 L
.22469 .47716 L
.22465 .47535 L
.22463 .47432 L
.22463 .47383 L
.22462 .47338 L
.22462 .47294 L
.22461 .47255 L
.22461 .47211 L
.22461 .47187 L
.22461 .47164 L
.22461 .47142 L
.22461 .47131 L
.22461 .47118 L
.22461 .47097 L
.22461 .47076 L
.22461 .47064 L
.22461 .47052 L
.22461 .4703 L
.22461 .47006 L
.22461 .4698 L
.22461 .46935 L
.22462 .46887 L
.22463 .46798 L
.22464 .46712 L
.22465 .46632 L
.22469 .46452 L
.22475 .46261 L
.22489 .45913 L
.22506 .45589 L
.22556 .44902 L
.22627 .44177 L
Mistroke
.22713 .43484 L
.22811 .42825 L
.2293 .42133 L
.23057 .4148 L
Mfstroke
.25 .58333 m
.24645 .57898 L
.24272 .57388 L
.23935 .56876 L
.23627 .56354 L
.23315 .55766 L
.23034 .5517 L
.22757 .54505 L
.22512 .53836 L
.22299 .53168 L
.22096 .52432 L
.21926 .51701 L
.21785 .5098 L
.21662 .50195 L
.21567 .49425 L
.21529 .49029 L
.21494 .48595 L
.21468 .48176 L
.21449 .47786 L
.21442 .47569 L
.21436 .47365 L
.21432 .47182 L
.21431 .47078 L
.2143 .46983 L
.21429 .46932 L
.21429 .46886 L
.21429 .4686 L
.21429 .46833 L
.21429 .46809 L
.21429 .46782 L
.21429 .46758 L
.21429 .46735 L
.21429 .46711 L
.21429 .46685 L
.21429 .46662 L
.21429 .46638 L
.21429 .46618 L
.21429 .46595 L
.21429 .46539 L
.21429 .46488 L
.21431 .46374 L
.21432 .46269 L
.21434 .46169 L
.21438 .45969 L
.21445 .45756 L
.2146 .45376 L
.21481 .44973 L
.21506 .44596 L
.21573 .43802 L
.21666 .42963 L
Mistroke
.21774 .42165 L
.21894 .41407 L
.21906 .41337 L
Mfstroke
.25 .6 m
.24569 .59566 L
.24111 .5905 L
.23694 .58525 L
.23307 .57981 L
.22914 .57362 L
.22555 .56727 L
.22196 .56011 L
.21876 .55283 L
.21593 .54548 L
.2132 .53731 L
.21086 .52914 L
.20889 .52101 L
.2071 .51211 L
.20567 .50333 L
.20449 .4938 L
.20402 .48898 L
.20367 .48447 L
.20339 .48009 L
.20317 .47539 L
.20308 .47293 L
.20304 .47164 L
.20301 .47027 L
.20298 .46907 L
.20296 .46775 L
.20294 .46655 L
.20294 .46601 L
.20293 .46543 L
.20293 .46513 L
.20293 .4648 L
.20293 .4645 L
.20293 .46423 L
.20293 .4639 L
.20293 .46373 L
.20293 .46355 L
.20293 .46325 L
.20293 .46308 L
.20293 .46292 L
.20293 .46261 L
.20293 .46232 L
.20293 .46205 L
.20293 .46177 L
.20293 .46113 L
.20294 .46054 L
.20295 .4595 L
.20296 .45837 L
.203 .45607 L
.20307 .45363 L
.20314 .45139 L
.20336 .44637 L
Mistroke
.20362 .4418 L
.20397 .43684 L
.20485 .42715 L
.20592 .41791 L
.20715 .40906 L
Mfstroke
.25 .61667 m
.24488 .61234 L
.23938 .60711 L
.23435 .6017 L
.22965 .59604 L
.22483 .58949 L
.2204 .5827 L
.21594 .57496 L
.21192 .56699 L
.20834 .55888 L
.20486 .54979 L
.20185 .54062 L
.19928 .53144 L
.19691 .52132 L
.195 .51128 L
.19337 .50032 L
.19271 .49476 L
.19219 .48955 L
.19174 .48416 L
.1914 .47904 L
.19126 .47631 L
.19113 .47334 L
.19103 .47066 L
.19096 .46815 L
.1909 .4655 L
.19088 .46409 L
.19086 .46258 L
.19085 .46182 L
.19085 .46142 L
.19085 .46099 L
.19085 .46062 L
.19085 .46042 L
.19085 .46021 L
.19085 .46002 L
.19084 .45984 L
.19084 .45949 L
.19084 .45915 L
.19084 .45883 L
.19085 .45849 L
.19085 .45812 L
.19085 .45773 L
.19085 .45736 L
.19085 .45667 L
.19086 .456 L
.19087 .45537 L
.19088 .45395 L
.19091 .45255 L
.19094 .45106 L
.19101 .44835 L
.19109 .44588 L
Mistroke
.19131 .44055 L
.19164 .43475 L
.19252 .42342 L
.19363 .41261 L
.19503 .40166 L
Mfstroke
.25 .63333 m
.24401 .62902 L
.23755 .62371 L
.2316 .61813 L
.226 .6122 L
.22023 .60527 L
.21489 .59798 L
.2095 .58958 L
.20461 .58084 L
.20023 .57186 L
.19595 .56171 L
.19223 .55139 L
.18905 .541 L
.1861 .52947 L
.1837 .51797 L
.18164 .50538 L
.1808 .49897 L
.18013 .49295 L
.17955 .48671 L
.1791 .48079 L
.17891 .47763 L
.17872 .47419 L
.17859 .47108 L
.17848 .46818 L
.1784 .4651 L
.17836 .46346 L
.17833 .46171 L
.17832 .46083 L
.17831 .45987 L
.1783 .45902 L
.17829 .45812 L
.17829 .45732 L
.17828 .45686 L
.17828 .45665 L
.17828 .45643 L
.17828 .45603 L
.17828 .45567 L
.17828 .45528 L
.17828 .45485 L
.17828 .45442 L
.17828 .45403 L
.17829 .45359 L
.17829 .45313 L
.17829 .45236 L
.1783 .45151 L
.17832 .44994 L
.17834 .44847 L
.17841 .44517 L
.17851 .44164 L
.17879 .43475 L
Mistroke
.17915 .42822 L
.18008 .41586 L
.1814 .40284 L
.18287 .39098 L
Mfstroke
.25 .65 m
.2431 .64569 L
.23561 .6403 L
.22867 .63453 L
.22212 .62831 L
.21534 .62094 L
.20903 .6131 L
.20264 .60395 L
.19682 .59434 L
.1916 .58437 L
.18648 .57301 L
.18203 .56138 L
.17821 .54959 L
.17468 .53645 L
.17182 .52328 L
.16936 .50882 L
.16836 .50144 L
.16756 .49451 L
.16688 .48731 L
.16636 .48048 L
.16613 .47682 L
.16592 .47286 L
.16576 .46927 L
.16564 .46591 L
.16554 .46235 L
.1655 .46046 L
.16547 .45843 L
.16545 .45742 L
.16544 .45631 L
.16543 .45526 L
.16543 .45476 L
.16543 .45429 L
.16542 .45384 L
.16542 .45342 L
.16542 .45296 L
.16542 .45272 L
.16542 .45246 L
.16542 .45198 L
.16542 .45153 L
.16542 .45104 L
.16542 .45077 L
.16542 .45052 L
.16542 .45007 L
.16543 .44965 L
.16543 .44869 L
.16544 .44776 L
.16545 .44676 L
.16547 .44495 L
.1655 .4433 L
.16559 .43928 L
Mistroke
.16571 .43547 L
.16602 .42801 L
.1664 .42111 L
.16751 .40651 L
.16907 .39116 L
.17086 .37691 L
Mfstroke
.25 .66667 m
.24213 .66237 L
.23356 .65688 L
.22558 .6509 L
.21801 .64436 L
.21014 .6365 L
.20281 .62804 L
.19535 .61805 L
.18856 .60745 L
.18244 .59636 L
.17646 .58363 L
.17125 .5705 L
.1668 .55712 L
.16271 .54214 L
.1594 .52709 L
.1566 .5105 L
.15547 .50202 L
.15459 .49406 L
.15384 .48579 L
.15328 .47793 L
.15304 .47372 L
.15282 .46916 L
.15266 .46504 L
.15255 .46117 L
.1525 .45904 L
.15246 .45708 L
.15243 .45491 L
.15241 .45372 L
.1524 .45259 L
.1524 .45149 L
.15239 .45094 L
.15239 .45032 L
.15239 .4498 L
.15239 .44924 L
.15239 .44872 L
.15239 .44823 L
.15239 .44766 L
.15239 .44713 L
.15239 .44682 L
.15239 .44655 L
.15239 .44592 L
.1524 .44467 L
.15241 .44349 L
.15244 .44149 L
.15247 .43929 L
.15257 .43484 L
.15269 .43073 L
.15283 .42688 L
.15325 .41814 L
.15375 .41018 L
Mistroke
.15513 .39323 L
.15685 .37714 L
.15901 .3603 L
.15915 .35935 L
Mfstroke
.25 .68333 m
.24112 .67904 L
.2314 .67344 L
.22231 .66723 L
.21367 .66034 L
.20465 .65194 L
.19623 .64279 L
.18764 .63186 L
.17981 .62015 L
.17277 .60779 L
.16589 .5935 L
.15993 .57868 L
.15486 .5635 L
.15022 .54643 L
.14653 .52924 L
.14495 .52025 L
.14345 .51026 L
.1413 .49144 L
.14053 .48197 L
.13992 .47178 L
.13969 .46676 L
.1395 .46131 L
.13944 .45881 L
.13938 .45616 L
.13934 .45389 L
.13931 .45141 L
.13929 .45017 L
.13929 .44952 L
.13928 .44883 L
.13928 .44822 L
.13928 .44756 L
.13928 .44695 L
.13928 .44638 L
.13927 .44582 L
.13927 .44523 L
.13928 .44473 L
.13928 .44418 L
.13928 .44358 L
.13928 .44295 L
.13929 .4418 L
.1393 .44047 L
.13931 .43902 L
.13935 .4364 L
.13939 .43385 L
.13944 .4315 L
.13958 .42672 L
.13973 .42226 L
.14021 .41212 L
.14082 .40219 L
.14151 .39316 L
Mistroke
.14332 .37399 L
.14545 .35585 L
.14785 .33828 L
Mfstroke
.25 .7 m
.24005 .69571 L
.22913 .68999 L
.21887 .68353 L
.20909 .67625 L
.19886 .66726 L
.18928 .65733 L
.17951 .64535 L
.1706 .63239 L
.1626 .61861 L
.15481 .60256 L
.14808 .58581 L
.14241 .5686 L
.13729 .54919 L
.13327 .5296 L
.13158 .51935 L
.13 .50796 L
.12874 .49677 L
.12782 .4865 L
.12708 .47571 L
.12677 .46975 L
.12653 .46412 L
.12636 .4587 L
.12629 .45596 L
.12623 .45296 L
.12619 .45039 L
.12618 .44895 L
.12616 .44763 L
.12616 .44641 L
.12615 .44576 L
.12615 .44508 L
.12615 .44448 L
.12615 .44382 L
.12614 .44322 L
.12614 .44266 L
.12614 .442 L
.12615 .4413 L
.12615 .44064 L
.12615 .44003 L
.12615 .43933 L
.12616 .43856 L
.12617 .43717 L
.12618 .43571 L
.1262 .43416 L
.12624 .43139 L
.12635 .42647 L
.12651 .42106 L
.12695 .41022 L
.1276 .39862 L
.12938 .3759 L
Mistroke
.13161 .35436 L
.13416 .33404 L
.13706 .31372 L
Mfstroke
.25 .71667 m
.23894 .71237 L
.22674 .70652 L
.21526 .6998 L
.20427 .69209 L
.19276 .68244 L
.18197 .67166 L
.17095 .65851 L
.16092 .64414 L
.15194 .62876 L
.14322 .61073 L
.13575 .59182 L
.12952 .57232 L
.12396 .55029 L
.1197 .52803 L
.11795 .51638 L
.11635 .50345 L
.11512 .49089 L
.11425 .47911 L
.11387 .47255 L
.11358 .46635 L
.11337 .46077 L
.11328 .45764 L
.1132 .45471 L
.11314 .45159 L
.1131 .44875 L
.11308 .44712 L
.11306 .44559 L
.11305 .44396 L
.11305 .44304 L
.11304 .4426 L
.11304 .44219 L
.11304 .44144 L
.11304 .44062 L
.11304 .4399 L
.11304 .43914 L
.11304 .43874 L
.11304 .43831 L
.11304 .43753 L
.11304 .43706 L
.11305 .43661 L
.11305 .43577 L
.11306 .43407 L
.11308 .4325 L
.11313 .42894 L
.11318 .426 L
.11325 .42285 L
.11341 .41715 L
.11366 .41037 L
.11393 .40419 L
Mistroke
.1155 .37941 L
.11762 .35589 L
.1204 .33134 L
.12346 .30824 L
.12678 .28572 L
Mfstroke
.25 .73333 m
.23777 .72904 L
.22425 .72305 L
.21147 .71602 L
.19921 .70785 L
.18635 .69748 L
.17429 .68574 L
.16197 .67129 L
.15078 .65536 L
.14079 .63817 L
.13115 .61792 L
.12298 .5966 L
.11623 .57455 L
.11032 .54961 L
.10591 .5244 L
.10404 .51026 L
.1026 .4966 L
.1015 .48296 L
.10075 .47019 L
.10044 .4628 L
.10032 .45917 L
.10022 .45583 L
.10015 .45284 L
.10009 .44955 L
.10004 .44624 L
.10002 .44444 L
.10001 .44275 L
.1 .44186 L
.1 .44092 L
.09999 .44011 L
.09999 .43922 L
.09999 .43873 L
.09999 .43827 L
.09999 .43777 L
.09999 .43724 L
.09999 .43636 L
.09999 .43585 L
.09999 .43539 L
.09999 .43448 L
.1 .43362 L
.10001 .43201 L
.10002 .43029 L
.10004 .42841 L
.10009 .42511 L
.10015 .42161 L
.10031 .41534 L
.10053 .4087 L
.10082 .40157 L
.10149 .38874 L
.10361 .36009 L
Mistroke
.10633 .33297 L
.10941 .30746 L
.11303 .28102 L
.11671 .25628 L
.117 .25437 L
Mfstroke
.25 .75 m
.23656 .7457 L
.22164 .73955 L
.2075 .73221 L
.19392 .72353 L
.17964 .71236 L
.16624 .69958 L
.15258 .68366 L
.14019 .66599 L
.12918 .64679 L
.11864 .62405 L
.10979 .60004 L
.1026 .57516 L
.09644 .547 L
.092 .51858 L
.09019 .50265 L
.08886 .48728 L
.08836 .47989 L
.08791 .47197 L
.08758 .46452 L
.08734 .45765 L
.08723 .45374 L
.08714 .44961 L
.08708 .44545 L
.08705 .44309 L
.08704 .44203 L
.08703 .44089 L
.08702 .43982 L
.08702 .43883 L
.08702 .43789 L
.08701 .43689 L
.08701 .436 L
.08701 .43516 L
.08701 .43424 L
.08701 .43325 L
.08702 .43225 L
.08702 .43169 L
.08702 .43116 L
.08703 .42897 L
.08705 .42708 L
.08707 .42505 L
.08714 .42087 L
.08721 .41701 L
.08745 .4083 L
.08773 .40063 L
.08809 .39252 L
.08996 .3631 L
.09121 .34816 L
.09274 .33227 L
.09623 .30143 L
Mistroke
.1 .27253 L
.10382 .24553 L
.10763 .21976 L
Mfstroke
.25 .76667 m
.23529 .76236 L
.21891 .75605 L
.20335 .74835 L
.18838 .73912 L
.17262 .72707 L
.15782 .71313 L
.14276 .69561 L
.12916 .67598 L
.11713 .65454 L
.10571 .62905 L
.09625 .60204 L
.08869 .57404 L
.08518 .55771 L
.0824 .54236 L
.07994 .52596 L
.07806 .51044 L
.07653 .49442 L
.07585 .48533 L
.07531 .47671 L
.07488 .46822 L
.0747 .46375 L
.07453 .45901 L
.07441 .45501 L
.07431 .45061 L
.07423 .44661 L
.07418 .44287 L
.07415 .4406 L
.07414 .43851 L
.07413 .43742 L
.07413 .43622 L
.07412 .43561 L
.07412 .43496 L
.07412 .43434 L
.07412 .43377 L
.07412 .43274 L
.07412 .43177 L
.07412 .43071 L
.07413 .42958 L
.07413 .42838 L
.07414 .42726 L
.07416 .42516 L
.07418 .4232 L
.0742 .42112 L
.07426 .4174 L
.07445 .409 L
.0747 .4008 L
.07505 .392 L
.07587 .37616 L
.07709 .35797 L
Mistroke
.07848 .34084 L
.08167 .30877 L
.08562 .2755 L
.08974 .24441 L
.09423 .2124 L
.09844 .18255 L
.09852 .18198 L
Mfstroke
.25 .78333 m
.23397 .77901 L
.21608 .77252 L
.19903 .76445 L
.1826 .75461 L
.16528 .74161 L
.14904 .72639 L
.13254 .70708 L
.11769 .68529 L
.10466 .66136 L
.0924 .6328 L
.0824 .6025 L
.07459 .57108 L
.07103 .55277 L
.06828 .53557 L
.06592 .51723 L
.06418 .4999 L
.06285 .48204 L
.06232 .47253 L
.06188 .46234 L
.06172 .45756 L
.06158 .45251 L
.06147 .44696 L
.06143 .44449 L
.06139 .44185 L
.06136 .43935 L
.06135 .43707 L
.06134 .43598 L
.06133 .43478 L
.06133 .43366 L
.06133 .43261 L
.06133 .43141 L
.06133 .43028 L
.06133 .42904 L
.06133 .42834 L
.06133 .4277 L
.06134 .42648 L
.06134 .42515 L
.06137 .42247 L
.06139 .42004 L
.06143 .41739 L
.06151 .4126 L
.06172 .40363 L
.06207 .39318 L
.06248 .38356 L
.06346 .36568 L
.06483 .34616 L
.06822 .30858 L
.07216 .27332 L
.07675 .23694 L
Mistroke
.0813 .20302 L
.08556 .17143 L
.08949 .14105 L
Mfstroke
.25 .8 m
.2326 .79566 L
.21312 .78898 L
.19453 .78051 L
.17657 .77001 L
.15764 .75596 L
.1399 .73932 L
.12192 .71804 L
.10582 .69386 L
.09179 .66717 L
.07876 .63523 L
.06831 .60131 L
.06035 .56615 L
.05708 .54731 L
.05419 .52653 L
.0519 .50505 L
.05106 .49505 L
.0503 .48431 L
.04969 .47349 L
.04926 .46363 L
.0491 .45886 L
.04895 .45369 L
.04884 .44916 L
.04875 .44429 L
.04871 .44158 L
.04868 .43911 L
.04866 .43663 L
.04865 .43551 L
.04864 .43427 L
.04864 .43294 L
.04864 .43221 L
.04863 .43153 L
.04863 .43031 L
.04863 .42899 L
.04863 .4283 L
.04863 .42753 L
.04863 .42674 L
.04864 .426 L
.04864 .42467 L
.04865 .42325 L
.04867 .42037 L
.0487 .41726 L
.04879 .41159 L
.0489 .40609 L
.04903 .40101 L
.04935 .39079 L
.04974 .38125 L
.05089 .35963 L
.05236 .33855 L
.05394 .31947 L
Mistroke
.05797 .2793 L
.06237 .24175 L
.0673 .20305 L
.07199 .16703 L
.07662 .12998 L
.08031 .09699 L
Mfstroke
.25 .81667 m
.23118 .81231 L
.21006 .80543 L
.18984 .79651 L
.1703 .7853 L
.14969 .7701 L
.13039 .75191 L
.1109 .72845 L
.09354 .70162 L
.07855 .67189 L
.06482 .63624 L
.05403 .59836 L
.04606 .55917 L
.0429 .53821 L
.04019 .51515 L
.03914 .50382 L
.03817 .49136 L
.03742 .47937 L
.03689 .46844 L
.03667 .46286 L
.03646 .45681 L
.03632 .45157 L
.0362 .44582 L
.03615 .44286 L
.03611 .43969 L
.03609 .43793 L
.03608 .43633 L
.03606 .43471 L
.03605 .4332 L
.03605 .43182 L
.03604 .43035 L
.03604 .42887 L
.03604 .42803 L
.03604 .42724 L
.03604 .42582 L
.03604 .42452 L
.03605 .42309 L
.03606 .42159 L
.03608 .41861 L
.0361 .4158 L
.03618 .41055 L
.03628 .40489 L
.03642 .39876 L
.03677 .38773 L
.03717 .37758 L
.03828 .35606 L
.03987 .33258 L
.04386 .28746 L
.04845 .24523 L
.05372 .20179 L
Mistroke
.05879 .16138 L
.06335 .12377 L
.06758 .08493 L
.0707 .0497 L
Mfstroke
.25 .83333 m
.24021 .83143 L
.22971 .82896 L
.20687 .82185 L
.18582 .81288 L
.16326 .80014 L
.14174 .78428 L
.11955 .76307 L
.09931 .73802 L
.0814 .70945 L
.06449 .67425 L
.05071 .63595 L
.04006 .59549 L
.03564 .57355 L
.03167 .5492 L
.02849 .52388 L
.02731 .51204 L
.02623 .49931 L
.02534 .48646 L
.0247 .47474 L
.0242 .4629 L
.02386 .4517 L
.02373 .44585 L
.02368 .44249 L
.02363 .43942 L
.0236 .43617 L
.02358 .43451 L
.02357 .4327 L
.02356 .43102 L
.02356 .42947 L
.02355 .42799 L
.02355 .42642 L
.02355 .42498 L
.02355 .42367 L
.02356 .42222 L
.02356 .4207 L
.02357 .41938 L
.02358 .41814 L
.0236 .41534 L
.02364 .41224 L
.02367 .40943 L
.02378 .40311 L
.02392 .397 L
.0241 .39054 L
.0245 .37896 L
.02576 .35291 L
.02735 .3286 L
.02913 .30609 L
.03364 .25927 L
.03908 .21106 L
Mistroke
.0445 .16624 L
.04948 .12458 L
.05416 .08164 L
.05776 .04141 L
.05925 .01973 L
Mfstroke
.05925 .01973 m
.06029 0 L
s
.25 .85 m
.23948 .84811 L
.22819 .8456 L
.20357 .83826 L
.18084 .8288 L
.15644 .81517 L
.13319 .79799 L
.10925 .77479 L
.08752 .74717 L
.06842 .71551 L
.0506 .67642 L
.03634 .63385 L
.02561 .58895 L
.02129 .56465 L
.01752 .53774 L
.01603 .52448 L
.01464 .50984 L
.01354 .49573 L
.01273 .48284 L
.01206 .4691 L
.01161 .4561 L
.01143 .44893 L
.0113 .44233 L
.01125 .43887 L
.01121 .43507 L
.0112 .43315 L
.01118 .4311 L
.01118 .43011 L
.01117 .42916 L
.01117 .4274 L
.01117 .42583 L
.01116 .42415 L
.01117 .42256 L
.01117 .4211 L
.01118 .41949 L
.01118 .41772 L
.0112 .41587 L
.01121 .41416 L
.01125 .41059 L
.01129 .40735 L
.01141 .40009 L
.01155 .39386 L
.01174 .38711 L
.01216 .37488 L
.01346 .34782 L
.01532 .31943 L
.01962 .26923 L
.02509 .21737 L
.03068 .16918 L
.03645 .11977 L
Mistroke
.04137 .07378 L
.04517 .03076 L
.04667 .00894 L
Mfstroke
.04667 .00894 m
.04718 0 L
s
.25 .86667 m
.23873 .86478 L
.22661 .86225 L
.20015 .85465 L
.17567 .84467 L
.14938 .83007 L
.12433 .81145 L
.0986 .78606 L
.07536 .75563 L
.0551 .7206 L
.03646 .67724 L
.02848 .65349 L
.02184 .63004 L
.01118 .58038 L
.00687 .55242 L
.00378 .52616 L
.00143 .49872 L
.00045 .48301 L
s
.00045 .48301 m
0 .47354 L
s
0 .37047 m
.00068 .35383 L
.00143 .3399 L
.00238 .32465 L
.00465 .29412 L
.00998 .23687 L
.01578 .18361 L
.02201 .12906 L
.0275 .0784 L
.03187 .03115 L
.03379 .00525 L
s
.03379 .00525 m
.03409 0 L
s
.25 .88333 m
.23796 .88145 L
.22498 .87888 L
.21042 .87526 L
.19662 .87102 L
.17032 .86048 L
.14313 .84551 L
.11452 .82409 L
.08797 .7973 L
.06409 .76528 L
.0413 .72423 L
.0226 .67809 L
.00815 .62816 L
.00218 .60072 L
s
.00218 .60072 m
0 .58811 L
s
0 .21004 m
.00153 .19493 L
.0079 .13728 L
.0137 .08384 L
.01892 .02885 L
.02086 .00393 L
s
.02086 .00393 m
.02111 0 L
s
.25 .9 m
.23716 .89813 L
.22331 .89552 L
.20897 .89211 L
.19297 .88737 L
.16296 .87537 L
.13381 .85899 L
.10322 .83536 L
.07497 .8056 L
.04979 .76991 L
.02607 .72412 L
.01573 .69843 L
.00702 .67272 L
s
.00702 .67272 m
0 .64547 L
s
0 .08929 m
.00524 .03637 L
.00773 .00659 L
s
.00773 .00659 m
.00819 0 L
s
.25 .91667 m
.23633 .9148 L
.22157 .91215 L
.20628 .90864 L
.18919 .90369 L
.17248 .89768 L
.15712 .89099 L
.12594 .87342 L
.09445 .84884 L
.06543 .81797 L
.03701 .7766 L
.01304 .72827 L
s
.01304 .72827 m
0 .69139 L
s
.26667 .08333 m
.26315 .07884 L
.25924 .07363 L
.25547 .06844 L
.25176 .06314 L
.24769 .05715 L
.24366 .05103 L
.23924 .04412 L
.23482 .03702 L
.23041 .02976 L
.22553 .02154 L
.22063 .0131 L
.21572 .00445 L
s
.21572 .00445 m
.21325 0 L
s
.26667 .1 m
.26384 .09558 L
.26066 .09051 L
.25758 .0855 L
.25451 .08043 L
.25112 .07476 L
.24774 .06901 L
.24401 .06256 L
.24026 .05599 L
.23651 .04932 L
.23234 .04182 L
.22815 .03417 L
.22393 .02638 L
.21922 .01758 L
.21446 .00859 L
s
.21446 .00859 m
.20997 0 L
s
.26667 .11667 m
.26449 .11232 L
.262 .10738 L
.25955 .10254 L
.25709 .09769 L
.25435 .09231 L
.25159 .0869 L
.24851 .08088 L
.24541 .07479 L
.24228 .06866 L
.23878 .06181 L
.23525 .05486 L
.23168 .04784 L
.22769 .03997 L
.22365 .03197 L
.21912 .02296 L
.21451 .01376 L
.20983 .00438 L
s
.20983 .00438 m
.20766 0 L
s
.26667 .13333 m
.26508 .12905 L
.26324 .12423 L
.26139 .11956 L
.2595 .11492 L
.25737 .10981 L
.25519 .10471 L
.25274 .09908 L
.25024 .09343 L
.2477 .08778 L
.24484 .08151 L
.24193 .07521 L
.23899 .06888 L
.23567 .06182 L
.2323 .0547 L
.22852 .04674 L
.22466 .03865 L
.22073 .03047 L
.21631 .02126 L
.2118 .01189 L
.20672 .0013 L
s
.20672 .0013 m
.20609 0 L
s
.26667 .15 m
.26563 .14578 L
.26438 .14109 L
.26309 .13657 L
.26174 .13212 L
.26018 .12725 L
.25855 .12244 L
.25669 .11717 L
.25476 .11192 L
.25278 .10671 L
.25052 .10096 L
.2482 .09523 L
.24583 .08951 L
.24315 .08318 L
.24041 .07683 L
.23732 .06978 L
.23415 .06268 L
.23093 .05553 L
.22729 .04755 L
.22357 .03947 L
.21937 .03042 L
.21507 .0212 L
.21067 .01183 L
.2057 .00126 L
s
.2057 .00126 m
.20511 0 L
s
.26667 .16667 m
.26614 .16252 L
.26544 .15793 L
.26467 .15356 L
.26381 .14928 L
.26278 .14465 L
.26167 .14009 L
.26036 .13515 L
.25896 .13026 L
.2575 .12544 L
.25581 .12018 L
.25405 .11495 L
.25222 .10978 L
.25013 .10409 L
.24798 .09842 L
.24553 .09217 L
.24301 .08592 L
.24042 .07967 L
.2375 .07274 L
.23449 .06577 L
.2311 .05802 L
.22762 .05019 L
.22406 .04228 L
.22004 .03343 L
.21613 .0249 L
s
.26667 .18333 m
.26667 .1831 L
.26666 .18284 L
.26666 .18239 L
.26665 .18184 L
.26665 .18135 L
.26663 .18027 L
.2666 .17925 L
.26652 .1771 L
.2664 .17477 L
.26609 .17039 L
.26568 .16613 L
.26517 .162 L
.26451 .15755 L
.26377 .15319 L
.26285 .14849 L
.26184 .14388 L
.26075 .13935 L
.25947 .13442 L
.25811 .12957 L
.25652 .12428 L
.25485 .11903 L
.25311 .11383 L
.25111 .10813 L
.24904 .10246 L
.24691 .09682 L
.24448 .0906 L
.24198 .08437 L
.23915 .07749 L
.23623 .07057 L
.23325 .06362 L
.2301 .05642 L
s
.26667 .2 m
.26685 .19804 L
.26701 .19597 L
.26716 .19371 L
.26727 .19159 L
.26735 .18968 L
.26738 .18861 L
.2674 .18764 L
.26741 .18714 L
.26742 .1866 L
.26742 .18615 L
.26743 .18565 L
.26743 .18537 L
.26743 .18523 L
.26743 .18511 L
.26743 .18497 L
.26743 .18489 L
.26743 .18481 L
.26743 .18474 L
.26743 .18467 L
.26743 .18453 L
.26743 .1844 L
.26743 .18427 L
.26743 .18415 L
.26743 .18403 L
.26743 .18389 L
.26743 .18375 L
.26743 .18348 L
.26743 .18322 L
.26742 .18293 L
.26742 .18242 L
.26741 .18187 L
.2674 .18127 L
.26737 .18018 L
.26734 .17916 L
.26725 .17705 L
.26714 .1751 L
.26684 .17091 L
.26643 .16684 L
.26589 .16247 L
.26525 .1582 L
.26445 .1536 L
.26355 .14909 L
.26258 .14468 L
.26142 .13988 L
.26017 .13516 L
.25886 .13052 L
.25733 .12545 L
.25573 .12043 L
.25389 .11494 L
Mistroke
.25197 .10949 L
.24999 .10407 L
.24773 .0981 L
.24541 .09215 L
.24288 .08588 L
Mfstroke
.26667 .21667 m
.26738 .2127 L
.26805 .20842 L
.26857 .20442 L
.26897 .2006 L
.26916 .19847 L
.2693 .19654 L
.26942 .19452 L
.26951 .19265 L
.26957 .19074 L
.2696 .18973 L
.26961 .18917 L
.26962 .18866 L
.26962 .18818 L
.26963 .18772 L
.26963 .18747 L
.26963 .18723 L
.26963 .1871 L
.26963 .18698 L
.26963 .18691 L
.26963 .18684 L
.26963 .1867 L
.26963 .18659 L
.26963 .18648 L
.26963 .18637 L
.26963 .18624 L
.26963 .18611 L
.26963 .18598 L
.26963 .18575 L
.26963 .18553 L
.26963 .18533 L
.26962 .18487 L
.26962 .18441 L
.26961 .1839 L
.26959 .183 L
.26956 .18192 L
.26953 .18092 L
.26944 .17902 L
.26933 .17692 L
.26901 .17279 L
.26859 .16878 L
.26804 .16447 L
.26739 .16026 L
.26666 .15616 L
.26577 .15171 L
.26479 .14736 L
.26374 .14309 L
.26251 .13844 L
.26121 .13386 L
.2597 .12887 L
Mistroke
.25811 .12393 L
.25646 .11905 L
.25457 .11369 L
.25453 .11357 L
Mfstroke
.26667 .23333 m
.2677 .22943 L
.26873 .22523 L
.2696 .22134 L
.27034 .21765 L
.27103 .21375 L
.27161 .21004 L
.27211 .20611 L
.2725 .20235 L
.27278 .19874 L
.27289 .19688 L
.27294 .19593 L
.27298 .19491 L
.27301 .19395 L
.27304 .19307 L
.27305 .19219 L
.27306 .19176 L
.27307 .19136 L
.27307 .19113 L
.27307 .19088 L
.27307 .19068 L
.27308 .19046 L
.27308 .19021 L
.27308 .19008 L
.27308 .18996 L
.27308 .18984 L
.27308 .18973 L
.27308 .18961 L
.27308 .1895 L
.27308 .1894 L
.27308 .18929 L
.27308 .18917 L
.27308 .18907 L
.27308 .18887 L
.27308 .18867 L
.27307 .1882 L
.27307 .18777 L
.27305 .18684 L
.27303 .18598 L
.273 .18504 L
.27297 .18403 L
.27287 .182 L
.27276 .18009 L
.27247 .17641 L
.27205 .17246 L
.27155 .16862 L
.27097 .16488 L
.27026 .16084 L
.26946 .15689 L
.26851 .15261 L
Mistroke
.26748 .14841 L
.26639 .14429 L
.26511 .1398 L
.26508 .1397 L
Mfstroke
.26667 .25 m
.26798 .24615 L
.26931 .24204 L
.27048 .23825 L
.27152 .23467 L
.27255 .23092 L
.27344 .22736 L
.2743 .22363 L
.27504 .22008 L
.27566 .21669 L
.27624 .21312 L
.2767 .2097 L
.27706 .20643 L
.27723 .20462 L
.27736 .20296 L
.27747 .20124 L
.27755 .19963 L
.27762 .198 L
.27764 .19714 L
.27766 .19666 L
.27767 .19622 L
.27767 .1958 L
.27768 .19533 L
.27769 .19487 L
.27769 .19461 L
.27769 .19437 L
.27769 .19427 L
.27769 .19415 L
.27769 .19404 L
.27769 .19394 L
.27769 .19384 L
.27769 .19374 L
.27769 .19364 L
.27769 .19354 L
.27769 .19343 L
.27769 .19337 L
.27769 .19331 L
.27769 .1932 L
.27769 .1931 L
.27769 .19288 L
.27769 .19264 L
.27768 .19218 L
.27768 .19175 L
.27766 .19079 L
.27764 .18995 L
.27761 .18905 L
.27754 .18735 L
.27745 .18576 L
.27721 .18236 L
.27685 .17872 L
Mistroke
.27641 .17518 L
.2759 .17173 L
.27526 .16802 L
.27457 .16449 L
Mfstroke
.26667 .26667 m
.2682 .26287 L
.2698 .25884 L
.27123 .25514 L
.27253 .25166 L
.27383 .24804 L
.27501 .24463 L
.27618 .24107 L
.27723 .2377 L
.27816 .23451 L
.27907 .23116 L
.27986 .22799 L
.28055 .22497 L
.28121 .22178 L
.28176 .21875 L
.28226 .21555 L
.28267 .21248 L
.28298 .20954 L
.28312 .2079 L
.28323 .20642 L
.28332 .20486 L
.28339 .20342 L
.28344 .20194 L
.28346 .20117 L
.28347 .20074 L
.28348 .20035 L
.28348 .2 L
.28349 .19962 L
.28349 .19941 L
.28349 .19922 L
.28349 .19904 L
.28349 .19894 L
.28349 .19889 L
.28349 .19884 L
.28349 .19875 L
.28349 .19866 L
.28349 .19857 L
.28349 .19849 L
.28349 .19839 L
.28349 .19831 L
.28349 .19821 L
.28349 .19811 L
.28349 .19794 L
.28349 .19778 L
.28348 .19743 L
.28348 .19707 L
.28347 .19668 L
.28346 .19598 L
.28344 .19515 L
.28341 .19439 L
Mistroke
.28335 .19292 L
.28326 .19131 L
.28302 .18813 L
.28302 .18807 L
Mfstroke
.26667 .28333 m
.26839 .27959 L
.27019 .27563 L
.27183 .27202 L
.27334 .26863 L
.27489 .26513 L
.27631 .26183 L
.27774 .25842 L
.27906 .25521 L
.28026 .25219 L
.28146 .24904 L
.28255 .24607 L
.28353 .24327 L
.2845 .24033 L
.28537 .23755 L
.28622 .23463 L
.28696 .23186 L
.28762 .22923 L
.28824 .22645 L
.28877 .22381 L
.28926 .22102 L
.28966 .21835 L
.28997 .21579 L
.29024 .21307 L
.29042 .2106 L
s
.26667 .3 m
.26852 .29631 L
.27049 .29242 L
.27229 .28888 L
.27397 .28558 L
.27571 .28217 L
.27733 .27898 L
.27899 .2757 L
.28052 .27262 L
.28195 .26974 L
.2834 .26676 L
.28474 .26397 L
.28597 .26134 L
.28723 .25861 L
.28837 .25604 L
.28952 .25337 L
.29057 .25085 L
.29152 .24847 L
.29247 .24598 L
.29333 .24363 L
.29417 .24116 L
.29492 .23883 L
.29559 .23661 L
.29623 .23427 L
.29677 .23216 L
s
.26667 .31667 m
.26861 .31303 L
.27069 .3092 L
.27261 .30572 L
.27441 .30249 L
.2763 .29917 L
.27807 .29607 L
.2799 .2929 L
.28162 .28993 L
.28323 .28717 L
.28489 .28433 L
.28644 .28167 L
.28788 .2792 L
.28937 .27664 L
.29075 .27424 L
.29216 .27177 L
.29347 .26945 L
.29468 .26728 L
.29591 .26502 L
.29705 .26291 L
.2982 .26071 L
.29926 .25865 L
.30023 .2567 L
.3012 .25467 L
.30205 .25286 L
s
.26667 .33333 m
.26865 .32974 L
.27079 .32597 L
.27278 .32255 L
.27466 .31938 L
.27665 .31613 L
.27852 .31311 L
.28049 .31002 L
.28234 .30714 L
.28409 .30448 L
.28591 .30174 L
.28763 .2992 L
.28924 .29684 L
.29091 .29441 L
.29249 .29216 L
.29411 .28984 L
.29564 .28768 L
.29706 .28567 L
.29854 .2836 L
.29991 .28168 L
.30133 .27969 L
.30265 .27784 L
.30387 .27611 L
.30514 .27433 L
.30625 .27274 L
s
.26667 .35 m
.26864 .34646 L
.27079 .34273 L
.2728 .33937 L
.27472 .33625 L
.27675 .33305 L
.27869 .33009 L
.28073 .32706 L
.28267 .32425 L
.28452 .32166 L
.28645 .319 L
.28829 .31655 L
.29003 .31427 L
.29185 .31195 L
.29357 .30979 L
.29536 .30759 L
.29706 .30555 L
.29866 .30367 L
.30032 .30174 L
.30189 .29995 L
.30352 .29813 L
.30506 .29644 L
.3065 .29488 L
.308 .29328 L
.30934 .29187 L
s
.26667 .36667 m
.26859 .36317 L
.27069 .35949 L
.27267 .35617 L
.27458 .35309 L
.27662 .34993 L
.27857 .34701 L
.28064 .34402 L
.28262 .34126 L
.28451 .33871 L
.28651 .33611 L
.28842 .33371 L
.29024 .33149 L
.29215 .32923 L
.29398 .32714 L
.29589 .32502 L
.29771 .32306 L
.29944 .32126 L
.30125 .31943 L
.30297 .31774 L
.30477 .31603 L
.30647 .31445 L
.30809 .313 L
.30978 .31153 L
.3113 .31025 L
s
.26667 .38333 m
.26848 .37988 L
.27049 .37624 L
.2724 .37295 L
.27425 .3699 L
.27623 .36677 L
.27815 .36387 L
.28019 .36091 L
.28216 .35817 L
.28406 .35564 L
.28607 .35306 L
.288 .35069 L
.28986 .3485 L
.29182 .34626 L
.2937 .34421 L
.29568 .34212 L
.29758 .34021 L
.29939 .33845 L
.30129 .33667 L
.30311 .33504 L
.30503 .33339 L
.30686 .33188 L
.30859 .3305 L
.31042 .3291 L
.31208 .3279 L
s
.26667 .4 m
.26833 .39659 L
.27019 .39299 L
.27197 .38972 L
.27372 .38668 L
.2756 .38356 L
.27743 .38067 L
.27939 .37771 L
.2813 .37497 L
.28315 .37244 L
.28512 .36985 L
.28703 .36747 L
.28887 .36528 L
.29083 .36304 L
.29271 .36098 L
.29471 .35889 L
.29663 .35698 L
.29848 .35522 L
.30043 .35345 L
.30231 .35182 L
.30429 .35019 L
.30618 .34869 L
.308 .34733 L
.30992 .34597 L
.31166 .34479 L
s
.26667 .41667 m
.26814 .4133 L
.26979 .40972 L
.2714 .40647 L
.27298 .40344 L
.27471 .40031 L
.2764 .39741 L
.27823 .39443 L
.28003 .39166 L
.28177 .3891 L
.28366 .38648 L
.28549 .38406 L
.28726 .38182 L
.28916 .37954 L
.291 .37744 L
.29296 .37531 L
.29486 .37335 L
.29669 .37155 L
.29864 .36974 L
.30052 .36807 L
.30251 .3664 L
.30443 .36487 L
.30627 .36348 L
.30823 .36209 L
.31001 .36089 L
s
.26667 .43333 m
.26789 .43 L
.26929 .42645 L
.27067 .42321 L
.27204 .42017 L
.27356 .41702 L
.27506 .41408 L
.27671 .41106 L
.27833 .40824 L
.27993 .40562 L
.28166 .40293 L
.28336 .40043 L
.28502 .39812 L
.28681 .39576 L
.28855 .39357 L
.29042 .39135 L
.29224 .3893 L
.29401 .38741 L
.2959 .3855 L
.29773 .38375 L
.29968 .38198 L
.30157 .38036 L
.30339 .37889 L
.30533 .37741 L
.30711 .37613 L
s
.26667 .45 m
.2676 .4467 L
.26869 .44318 L
.26978 .43993 L
.2709 .43687 L
.27215 .43368 L
.27341 .43069 L
.27481 .4276 L
.27621 .4247 L
.2776 .42199 L
.27913 .41919 L
.28064 .41658 L
.28213 .41416 L
.28375 .41166 L
.28534 .40935 L
.28707 .40698 L
.28876 .40479 L
.29041 .40276 L
.29218 .4007 L
.29391 .3988 L
.29577 .39687 L
.29758 .3951 L
.29933 .39348 L
.30121 .39184 L
.30294 .39043 L
s
.26667 .46667 m
.26725 .46341 L
.26798 .45989 L
.26874 .45663 L
.26955 .45354 L
.27048 .4503 L
.27144 .44724 L
.27253 .44404 L
.27365 .44103 L
.27478 .4382 L
.27604 .43526 L
.27731 .43249 L
.27858 .42991 L
.27998 .42724 L
.28137 .42474 L
.28289 .42217 L
.28439 .41977 L
.28588 .41755 L
.28749 .41526 L
.28907 .41315 L
.29078 .41099 L
.29246 .40899 L
.2941 .40716 L
.29586 .40529 L
.29749 .40366 L
s
.26667 .48333 m
.26675 .48176 L
.26686 .48011 L
.26717 .4766 L
.26753 .47344 L
.268 .4701 L
.26853 .46691 L
.26917 .46355 L
.26988 .46036 L
.27062 .45732 L
.27149 .45414 L
.27239 .45112 L
.27333 .44827 L
.27438 .4453 L
.27546 .4425 L
.27666 .43959 L
.27788 .43685 L
.27909 .43429 L
.28044 .43163 L
.28178 .42915 L
.28326 .42659 L
.28472 .42421 L
.28616 .422 L
.28773 .41972 L
.28928 .41761 L
.29078 .41568 L
s
.26667 .5 m
.26654 .49845 L
.26643 .49681 L
.26633 .49513 L
.26629 .49417 L
.26626 .4933 L
.26623 .49251 L
.26621 .49166 L
.26621 .49119 L
.2662 .49076 L
.2662 .49034 L
.26619 .49013 L
.26619 .4899 L
.26619 .4897 L
.26619 .48958 L
.26619 .48947 L
.26619 .48936 L
.26619 .48927 L
.26619 .48916 L
.26619 .48905 L
.26619 .48896 L
.26619 .48886 L
.26619 .48877 L
.26619 .48868 L
.26619 .48847 L
.26619 .48827 L
.2662 .48783 L
.2662 .48743 L
.26622 .48652 L
.26624 .48569 L
.26626 .48491 L
.26634 .48317 L
.26642 .4816 L
.26654 .47986 L
.26683 .47649 L
.2672 .47326 L
.26767 .46984 L
.26822 .46658 L
.26881 .46347 L
.26952 .46019 L
.27028 .45708 L
.27117 .45383 L
.27209 .45074 L
.27304 .44782 L
.27412 .44478 L
.27522 .44192 L
.27633 .43922 L
.27757 .43642 L
.27881 .4338 L
.28019 .43108 L
Mistroke
.28156 .42854 L
.28284 .42631 L
Mfstroke
.26667 .51667 m
.26594 .5135 L
.26524 .50999 L
.26468 .50663 L
.26423 .50336 L
.26384 .49984 L
.26357 .49641 L
.26346 .49453 L
.26341 .49366 L
.26337 .49274 L
.26335 .49189 L
.26332 .49096 L
.26331 .49055 L
.2633 .49011 L
.2633 .48973 L
.26329 .48932 L
.26329 .48907 L
.26329 .48885 L
.26328 .48862 L
.26328 .48842 L
.26328 .4883 L
.26328 .48817 L
.26328 .48811 L
.26328 .48805 L
.26328 .48797 L
.26328 .48791 L
.26328 .48785 L
.26328 .48778 L
.26328 .48772 L
.26328 .48766 L
.26328 .48755 L
.26328 .48743 L
.26328 .48732 L
.26328 .48722 L
.26328 .48699 L
.26329 .48679 L
.26329 .48658 L
.26329 .48612 L
.2633 .48563 L
.26332 .48471 L
.26334 .48388 L
.26341 .482 L
.26349 .48028 L
.26361 .47842 L
.26391 .47476 L
.2643 .47126 L
.26475 .46791 L
.26532 .46436 L
.26595 .46099 L
.2667 .45744 L
Mistroke
.26751 .45407 L
.26836 .45087 L
.26933 .44753 L
.27034 .44437 L
.27149 .44107 L
.27266 .43797 L
.27371 .43536 L
Mfstroke
.26667 .53333 m
.2654 .5302 L
.26412 .52667 L
.263 .52326 L
.26202 .5199 L
.26108 .51624 L
.26028 .51264 L
.25953 .50874 L
.25892 .50491 L
.25844 .50119 L
.25803 .49717 L
.25788 .49516 L
.25776 .49327 L
.25766 .49146 L
.25759 .48949 L
.25756 .48848 L
.25755 .48795 L
.25754 .48738 L
.25753 .48683 L
.25753 .48633 L
.25753 .48609 L
.25752 .48583 L
.25752 .48571 L
.25752 .48558 L
.25752 .48546 L
.25752 .48536 L
.25752 .48523 L
.25752 .48517 L
.25752 .4851 L
.25752 .48498 L
.25752 .48486 L
.25752 .48474 L
.25752 .48462 L
.25752 .48451 L
.25752 .4844 L
.25752 .48416 L
.25753 .4839 L
.25753 .48338 L
.25754 .48292 L
.25754 .48242 L
.25756 .48153 L
.25759 .4805 L
.25763 .47938 L
.25772 .47735 L
.25784 .47535 L
.25799 .47323 L
.25833 .46943 L
.2588 .4654 L
.25935 .46155 L
.26003 .45749 L
Mistroke
.26078 .45363 L
.26158 .44995 L
.26253 .4461 L
.26348 .44257 L
Mfstroke
.26667 .55 m
.26482 .54689 L
.26289 .54335 L
.26117 .53987 L
.2596 .5364 L
.25804 .53258 L
.25664 .52877 L
.25528 .5246 L
.25408 .52046 L
.25305 .51639 L
.25207 .51196 L
.25126 .5076 L
.2506 .50334 L
.25003 .49875 L
.24961 .49427 L
.24943 .49181 L
.2493 .48946 L
.24925 .48834 L
.2492 .48714 L
.24917 .48601 L
.24914 .48498 L
.24912 .48376 L
.24911 .48313 L
.2491 .4828 L
.2491 .48245 L
.2491 .48214 L
.2491 .48186 L
.2491 .48173 L
.2491 .48158 L
.2491 .48144 L
.2491 .48132 L
.2491 .48117 L
.2491 .48103 L
.2491 .48088 L
.2491 .48079 L
.2491 .48071 L
.2491 .48056 L
.2491 .4804 L
.2491 .48007 L
.2491 .47977 L
.2491 .47944 L
.24911 .47885 L
.24913 .47775 L
.24916 .47646 L
.2492 .47527 L
.24929 .47305 L
.24942 .47061 L
.24977 .46584 L
.25022 .46128 L
.25083 .45646 L
Mistroke
.25152 .45186 L
.25226 .44768 L
Mfstroke
.26667 .56667 m
.26418 .56358 L
.26155 .56001 L
.25917 .55646 L
.25696 .55287 L
.25472 .54885 L
.25267 .54481 L
.25061 .54032 L
.24877 .53582 L
.24712 .53133 L
.24552 .5264 L
.24412 .52151 L
.24292 .51668 L
.24179 .51142 L
.24086 .50625 L
.24005 .50066 L
.23943 .49519 L
.23899 .48986 L
.23882 .4871 L
.23868 .48414 L
.23863 .48269 L
.23859 .48112 L
.23858 .48039 L
.23856 .47963 L
.23855 .47897 L
.23855 .47826 L
.23854 .4779 L
.23854 .47771 L
.23854 .47751 L
.23854 .47734 L
.23854 .47714 L
.23854 .47697 L
.23854 .47681 L
.23854 .47664 L
.23854 .47647 L
.23854 .47633 L
.23854 .47617 L
.23854 .476 L
.23854 .47581 L
.23854 .47548 L
.23855 .4751 L
.23855 .47468 L
.23856 .47392 L
.23857 .47319 L
.23858 .47251 L
.23861 .47113 L
.23865 .46984 L
.23877 .4669 L
.23892 .46402 L
.2391 .46138 L
Mistroke
.23958 .45575 L
.24017 .45043 L
Mfstroke
.26667 .58333 m
.2635 .58027 L
.26011 .57667 L
.257 .57303 L
.2541 .56929 L
.25111 .56506 L
.24834 .56074 L
.24554 .55588 L
.24298 .55095 L
.24066 .54599 L
.23836 .54047 L
.23632 .53494 L
.23453 .52944 L
.2328 .52339 L
.23134 .5174 L
.22998 .51086 L
.22889 .50443 L
.22803 .49812 L
.22763 .49456 L
.22733 .49131 L
.22705 .48787 L
.22685 .48468 L
.22669 .48139 L
.22663 .47966 L
.22657 .47783 L
.22653 .4762 L
.22652 .47529 L
.22651 .47445 L
.2265 .47368 L
.2265 .47324 L
.22649 .47283 L
.22649 .47266 L
.22649 .47248 L
.22649 .47228 L
.22649 .47209 L
.22649 .47189 L
.22649 .47168 L
.22649 .4715 L
.22649 .4713 L
.22649 .47107 L
.22649 .47086 L
.22649 .47063 L
.2265 .47039 L
.2265 .46998 L
.2265 .46953 L
.22651 .4687 L
.22652 .46792 L
.22656 .46618 L
.22661 .4643 L
.22674 .46065 L
Mistroke
.22692 .45719 L
.22739 .45061 L
.2274 .45052 L
Mfstroke
.26667 .6 m
.26276 .59696 L
.25856 .59332 L
.25467 .58958 L
.25101 .58567 L
.24721 .58119 L
.24366 .57656 L
.24004 .57128 L
.2367 .56586 L
.23366 .56033 L
.23061 .55413 L
.22787 .54786 L
.22544 .54156 L
.22308 .53458 L
.22104 .52761 L
.21913 .51996 L
.21755 .51238 L
.21628 .50491 L
.21519 .4968 L
.2144 .48887 L
.21407 .48449 L
.21383 .48034 L
.21374 .47832 L
.21366 .47619 L
.21359 .47418 L
.21355 .47235 L
.21353 .47134 L
.21352 .47038 L
.21351 .46937 L
.21351 .4688 L
.2135 .46827 L
.2135 .46805 L
.2135 .46782 L
.2135 .46759 L
.2135 .46739 L
.2135 .46716 L
.2135 .46692 L
.2135 .46666 L
.2135 .46642 L
.2135 .46616 L
.2135 .46592 L
.2135 .4657 L
.2135 .46547 L
.2135 .46494 L
.21351 .46445 L
.21352 .46348 L
.21353 .46243 L
.21357 .46054 L
.21363 .45829 L
.21369 .45624 L
Mistroke
.21387 .45227 L
.21411 .44796 L
.21413 .44766 L
Mfstroke
.26667 .61667 m
.26198 .61365 L
.2569 .60996 L
.25217 .6061 L
.24769 .60201 L
.24301 .59725 L
.23863 .59225 L
.23412 .58649 L
.22994 .5805 L
.22611 .57433 L
.22225 .56734 L
.21877 .5602 L
.21567 .55296 L
.21264 .54489 L
.21001 .53678 L
.20754 .52781 L
.20548 .51888 L
.2038 .51004 L
.20236 .50041 L
.20129 .49096 L
.20084 .48573 L
.2005 .48076 L
.20037 .47835 L
.20025 .4758 L
.20015 .4734 L
.20008 .47121 L
.20003 .46885 L
.2 .46755 L
.19998 .46632 L
.19998 .46576 L
.19997 .46518 L
.19997 .46467 L
.19996 .46412 L
.19996 .46382 L
.19996 .46354 L
.19996 .46325 L
.19996 .46299 L
.19996 .4627 L
.19996 .46238 L
.19996 .46207 L
.19996 .4619 L
.19996 .46174 L
.19996 .46144 L
.19996 .46116 L
.19996 .46085 L
.19996 .46053 L
.19997 .45985 L
.19997 .45924 L
.19998 .45806 L
.2 .45694 L
Mistroke
.20005 .45445 L
.20012 .45174 L
.20031 .44682 L
.20058 .4416 L
Mfstroke
.26667 .63333 m
.26115 .63033 L
.25513 .62659 L
.24951 .6226 L
.24415 .6183 L
.23853 .61322 L
.23323 .60782 L
.22777 .6015 L
.22269 .59486 L
.21801 .58795 L
.21329 .58004 L
.20903 .57189 L
.20522 .56357 L
.2015 .55422 L
.19828 .54477 L
.19525 .53427 L
.19273 .52376 L
.19069 .51333 L
.18894 .50193 L
.18766 .49072 L
.18713 .48451 L
.18673 .47861 L
.18658 .47575 L
.18644 .47271 L
.18634 .46986 L
.18626 .46726 L
.1862 .46445 L
.18618 .46291 L
.18617 .4622 L
.18616 .46144 L
.18615 .4608 L
.18615 .46009 L
.18615 .45978 L
.18614 .45945 L
.18614 .45913 L
.18614 .45884 L
.18614 .45849 L
.18614 .45812 L
.18614 .45775 L
.18614 .45736 L
.18614 .45699 L
.18614 .45665 L
.18614 .45634 L
.18614 .456 L
.18615 .4553 L
.18615 .45455 L
.18617 .45319 L
.18619 .45158 L
.18622 .4501 L
.1863 .44689 L
Mistroke
.18639 .44385 L
.18664 .43796 L
.18695 .43251 L
.18698 .43209 L
Mfstroke
.26667 .65 m
.26027 .64702 L
.25325 .64321 L
.24667 .63907 L
.24037 .63454 L
.23374 .6291 L
.22748 .62324 L
.22098 .6163 L
.21494 .60891 L
.20937 .60115 L
.20374 .59218 L
.19866 .58286 L
.19412 .57329 L
.1897 .56246 L
.18589 .55145 L
.18232 .53918 L
.17939 .52685 L
.17704 .51458 L
.17506 .50115 L
.17365 .48794 L
.17309 .48061 L
.17288 .47724 L
.17269 .47366 L
.17254 .47035 L
.17241 .4667 L
.17232 .46339 L
.17229 .46177 L
.17226 .46028 L
.17224 .45854 L
.17223 .45762 L
.17222 .45664 L
.17222 .45623 L
.17222 .45579 L
.17222 .45541 L
.17222 .455 L
.17221 .45454 L
.17221 .45429 L
.17221 .45405 L
.17221 .45363 L
.17221 .45319 L
.17221 .45275 L
.17222 .45235 L
.17222 .45191 L
.17222 .45144 L
.17222 .45066 L
.17223 .44979 L
.17225 .4482 L
.17227 .44671 L
.17234 .44308 L
.17244 .43963 L
Mistroke
.17269 .43316 L
.17305 .42625 L
.17347 .41986 L
.17354 .41898 L
Mfstroke
.26667 .66667 m
.25934 .6637 L
.25127 .65982 L
.24366 .65551 L
.23636 .65073 L
.22866 .64489 L
.22135 .63851 L
.21377 .63086 L
.2067 .62263 L
.20018 .61389 L
.1936 .6037 L
.18767 .59304 L
.18239 .58202 L
.17728 .56948 L
.17289 .55669 L
.16883 .54237 L
.16554 .52795 L
.16296 .51359 L
.16177 .5054 L
.16085 .49787 L
.16003 .48985 L
.15942 .4824 L
.15894 .4747 L
.15873 .47063 L
.15856 .46631 L
.15845 .46248 L
.1584 .46037 L
.15836 .45837 L
.15833 .45651 L
.15832 .45553 L
.1583 .45449 L
.1583 .45361 L
.15829 .45314 L
.15829 .45264 L
.15829 .45218 L
.15829 .45176 L
.15829 .45136 L
.15829 .45094 L
.15828 .45044 L
.15828 .45015 L
.15828 .44989 L
.15828 .44941 L
.15829 .44891 L
.15829 .44845 L
.15829 .44803 L
.15829 .44706 L
.1583 .44602 L
.15831 .44506 L
.15834 .44292 L
.15837 .44109 L
Mistroke
.15841 .43909 L
.1585 .43546 L
.15864 .43126 L
.15879 .42746 L
.15923 .41896 L
.16041 .40281 L
.16047 .40212 L
Mfstroke
.26667 .68333 m
.25835 .68037 L
.24917 .67641 L
.24048 .67193 L
.23212 .66686 L
.22327 .66057 L
.21486 .65361 L
.20612 .64516 L
.19797 .63597 L
.19045 .62612 L
.18288 .61454 L
.17608 .60234 L
.17006 .58966 L
.16427 .57516 L
.15935 .56033 L
.15487 .54368 L
.1513 .5269 L
.14859 .51018 L
.14737 .50064 L
.14646 .49189 L
.14568 .48256 L
.14513 .47392 L
.14492 .46966 L
.14474 .46498 L
.14459 .46027 L
.14453 .45769 L
.14449 .45528 L
.14445 .45294 L
.14444 .45162 L
.14443 .45039 L
.14442 .44932 L
.14442 .44872 L
.14442 .44815 L
.14442 .44755 L
.14442 .447 L
.14442 .44639 L
.14442 .44609 L
.14442 .44576 L
.14442 .44517 L
.14442 .44462 L
.14442 .44412 L
.14443 .44358 L
.14443 .44237 L
.14444 .44126 L
.14447 .43922 L
.1445 .43707 L
.14459 .43265 L
.14473 .4279 L
.14507 .41934 L
.14562 .40947 L
Mistroke
.14627 .40014 L
.14783 .38254 L
.14794 .38149 L
Mfstroke
.26667 .7 m
.25732 .69705 L
.24696 .693 L
.23713 .68832 L
.22764 .68293 L
.21757 .67615 L
.20799 .66853 L
.19803 .65918 L
.18874 .6489 L
.18019 .63779 L
.1716 .62463 L
.16392 .61067 L
.15717 .59609 L
.15074 .57937 L
.14535 .56221 L
.14052 .54294 L
.13679 .5235 L
.13405 .50416 L
.13296 .49399 L
.13204 .48304 L
.13167 .47762 L
.13134 .47174 L
.13111 .46664 L
.13091 .46103 L
.13084 .45838 L
.13077 .45554 L
.13072 .45285 L
.13069 .4504 L
.13067 .44896 L
.13066 .44763 L
.13066 .44693 L
.13066 .44616 L
.13065 .44578 L
.13065 .44536 L
.13065 .44497 L
.13065 .44461 L
.13065 .44395 L
.13065 .44359 L
.13065 .44322 L
.13065 .44282 L
.13065 .44245 L
.13065 .44175 L
.13066 .4411 L
.13066 .44049 L
.13067 .43913 L
.13068 .43782 L
.13069 .43663 L
.13073 .43394 L
.13077 .43145 L
.13082 .42908 L
Mistroke
.13096 .4238 L
.13117 .41805 L
.13167 .40753 L
.13237 .39638 L
.13421 .37447 L
.13608 .35711 L
Mfstroke
.26667 .71667 m
.25624 .71372 L
.24464 .70958 L
.2336 .70467 L
.22292 .69893 L
.21157 .6916 L
.20075 .68326 L
.18951 .6729 L
.17903 .66138 L
.1694 .64884 L
.15978 .63389 L
.15122 .61793 L
.14377 .6012 L
.13675 .58196 L
.13096 .56219 L
.1259 .53997 L
.1238 .52848 L
.12212 .5176 L
.11949 .49537 L
.11848 .48321 L
.11779 .47208 L
.11751 .46605 L
.11731 .46049 L
.11715 .45437 L
.11709 .45129 L
.11707 .44966 L
.11705 .44789 L
.11703 .44624 L
.11702 .44552 L
.11702 .44472 L
.11701 .44401 L
.11701 .44326 L
.11701 .44246 L
.11701 .44171 L
.11701 .44102 L
.11701 .44027 L
.11701 .43949 L
.11701 .43876 L
.11701 .43808 L
.11701 .43745 L
.11702 .43606 L
.11704 .43443 L
.11705 .43292 L
.1171 .42953 L
.11716 .42653 L
.11723 .42336 L
.1174 .41764 L
.11763 .41149 L
.11816 .40042 L
.11897 .38767 L
Mistroke
.11991 .37565 L
.1221 .35304 L
.1249 .32945 L
.12495 .32904 L
Mfstroke
.26667 .73333 m
.2551 .7304 L
.24221 .72614 L
.22989 .721 L
.21796 .71487 L
.20525 .70693 L
.19314 .69777 L
.18054 .68628 L
.16883 .67338 L
.1581 .65922 L
.14743 .64223 L
.13802 .62402 L
.1299 .60486 L
.12236 .5828 L
.11627 .56011 L
.11111 .53463 L
.10904 .52147 L
.10742 .50903 L
.10606 .49605 L
.10505 .48368 L
.10462 .47705 L
.10423 .46984 L
.10396 .46327 L
.10376 .45721 L
.10368 .45401 L
.10361 .45058 L
.10356 .44734 L
.10354 .4459 L
.10353 .44438 L
.10352 .44352 L
.10351 .44257 L
.10351 .4417 L
.1035 .44091 L
.1035 .44046 L
.1035 .43997 L
.1035 .43947 L
.1035 .43896 L
.1035 .4385 L
.1035 .43801 L
.1035 .43713 L
.1035 .43624 L
.1035 .43574 L
.1035 .43527 L
.10351 .43444 L
.10351 .43353 L
.10352 .43194 L
.10354 .43025 L
.10359 .42669 L
.10365 .4233 L
.1038 .41696 L
Mistroke
.10402 .41013 L
.10432 .4027 L
.10504 .3893 L
.10601 .37511 L
.10849 .34731 L
.11146 .32108 L
.11456 .29742 L
Mfstroke
.26667 .75 m
.25392 .74707 L
.23966 .74269 L
.22601 .73729 L
.21275 .73074 L
.19862 .72212 L
.18515 .71206 L
.17115 .69929 L
.15816 .68484 L
.1463 .66886 L
.13458 .64958 L
.12434 .62883 L
.11562 .60695 L
.10767 .58173 L
.1014 .55581 L
.09875 .54209 L
.09628 .52676 L
.09429 .51162 L
.09284 .49767 L
.09167 .48296 L
.09117 .47482 L
.09079 .46712 L
.09051 .4597 L
.09039 .45564 L
.0903 .45184 L
.09024 .4486 L
.09019 .44512 L
.09017 .44313 L
.09015 .44125 L
.09014 .43956 L
.09014 .43861 L
.09013 .43773 L
.09013 .43683 L
.09013 .43588 L
.09013 .43507 L
.09013 .43418 L
.09013 .43323 L
.09014 .43269 L
.09014 .4322 L
.09015 .43036 L
.09016 .42865 L
.09018 .4268 L
.09022 .42344 L
.0903 .41946 L
.09039 .41524 L
.09061 .40769 L
.09089 .40048 L
.09124 .39276 L
.09204 .37885 L
.09448 .34784 L
Mistroke
.09752 .31856 L
.1009 .29106 L
.10481 .2626 L
.10484 .26238 L
Mfstroke
.26667 .76667 m
.25269 .76373 L
.237 .75923 L
.22195 .75354 L
.20731 .74652 L
.19168 .73716 L
.17678 .7261 L
.16132 .71191 L
.14701 .69572 L
.13402 .67769 L
.12127 .65584 L
.11025 .63225 L
.101 .60733 L
.09274 .57862 L
.08643 .54916 L
.08368 .53246 L
.08152 .51625 L
.07981 .49998 L
.07858 .48469 L
.07804 .47582 L
.07762 .46744 L
.07733 .45988 L
.0772 .45565 L
.07711 .45169 L
.07703 .44779 L
.07696 .44361 L
.07694 .44123 L
.07693 .44005 L
.07692 .43897 L
.07692 .438 L
.07691 .43694 L
.07691 .43587 L
.07691 .43528 L
.0769 .43473 L
.0769 .43369 L
.0769 .43309 L
.0769 .43254 L
.07691 .43142 L
.07691 .4308 L
.07691 .43023 L
.07691 .42921 L
.07692 .42811 L
.07694 .4261 L
.07696 .42375 L
.07699 .42126 L
.07707 .41679 L
.07726 .40876 L
.07754 .40014 L
.07823 .38461 L
.07931 .36675 L
Mistroke
.08059 .34993 L
.08357 .31839 L
.08734 .28563 L
.09135 .25498 L
.09567 .22408 L
Mfstroke
.26667 .78333 m
.2514 .7804 L
.23423 .77575 L
.21771 .76975 L
.20161 .76223 L
.18443 .75205 L
.16804 .73987 L
.15106 .7241 L
.1354 .70596 L
.12127 .68564 L
.10752 .66091 L
.0958 .63416 L
.08612 .60588 L
.07769 .57334 L
.07149 .54003 L
.0689 .52121 L
.06696 .50297 L
.0662 .49417 L
.06551 .48473 L
.06498 .47583 L
.06458 .46761 L
.06422 .45798 L
.06408 .4529 L
.06396 .44753 L
.06393 .44528 L
.06389 .44285 L
.06387 .44076 L
.06385 .43848 L
.06384 .43709 L
.06383 .43581 L
.06382 .43458 L
.06382 .43396 L
.06382 .43328 L
.06382 .4321 L
.06382 .43144 L
.06382 .43083 L
.06382 .42971 L
.06382 .42853 L
.06383 .42737 L
.06383 .42611 L
.06385 .42382 L
.06387 .42159 L
.0639 .41953 L
.06397 .41486 L
.06407 .40992 L
.06429 .40168 L
.06461 .39263 L
.06549 .3744 L
.06673 .35494 L
.06998 .31705 L
Mistroke
.07385 .28144 L
.07799 .24814 L
.08259 .2138 L
.08685 .18263 L
Mfstroke
.26667 .8 m
.25866 .79873 L
.25006 .79706 L
.23134 .79226 L
.21399 .7862 L
.19524 .77762 L
.17712 .76694 L
.15807 .75263 L
.14022 .73566 L
.12383 .71614 L
.1076 .6918 L
.09346 .66487 L
.08154 .63584 L
.07087 .60185 L
.06275 .56651 L
.05923 .54634 L
.05647 .52668 L
.05432 .5069 L
.0528 .48826 L
.05214 .47746 L
.05164 .46722 L
.0513 .458 L
.05116 .45279 L
.05105 .448 L
.05097 .44313 L
.05093 .44039 L
.05091 .4379 L
.05089 .43558 L
.05088 .43427 L
.05088 .43306 L
.05087 .432 L
.05087 .43083 L
.05087 .42961 L
.05087 .42846 L
.05087 .42721 L
.05088 .42584 L
.05088 .42515 L
.05089 .42441 L
.05089 .42307 L
.05091 .42048 L
.05094 .41813 L
.05102 .4124 L
.05113 .407 L
.0514 .39691 L
.05179 .38624 L
.05272 .3672 L
.05402 .34713 L
.05548 .32852 L
.0592 .28972 L
.06382 .24962 L
Mistroke
.06856 .21222 L
.07313 .1774 L
.07771 .14153 L
.07814 .1381 L
Mfstroke
.26667 .81667 m
.25799 .81541 L
.24868 .81372 L
.22833 .80876 L
.20945 .80235 L
.18901 .79312 L
.16926 .78148 L
.1485 .76572 L
.1291 .74685 L
.11139 .72501 L
.09397 .69765 L
.07898 .66729 L
.06655 .63457 L
.05569 .59628 L
.04771 .55661 L
.0444 .53404 L
.04193 .5121 L
.04097 .50149 L
.0401 .49009 L
.03944 .47935 L
.03895 .46942 L
.03851 .45778 L
.03834 .45164 L
.03827 .44851 L
.03821 .44515 L
.03816 .44219 L
.03813 .43949 L
.0381 .43677 L
.03808 .4342 L
.03807 .43275 L
.03807 .43196 L
.03806 .43121 L
.03806 .42989 L
.03806 .42844 L
.03806 .42767 L
.03806 .42687 L
.03806 .42542 L
.03806 .42462 L
.03807 .42387 L
.03807 .42217 L
.03808 .42072 L
.0381 .41918 L
.03812 .41642 L
.03816 .41344 L
.03821 .41018 L
.03832 .40433 L
.03845 .39886 L
.03877 .38866 L
.0392 .37773 L
.04048 .3538 L
Mistroke
.04205 .33128 L
.0458 .28913 L
.05057 .24552 L
.05553 .20487 L
.06079 .16316 L
.06553 .12431 L
.06925 .09049 L
Mfstroke
.26667 .83333 m
.25731 .83208 L
.24724 .83038 L
.22521 .82524 L
.20473 .81846 L
.18253 .80852 L
.16107 .79584 L
.13855 .77847 L
.11758 .75749 L
.09853 .73308 L
.07996 .70237 L
.06421 .66823 L
.05138 .63145 L
.04532 .60947 L
.04049 .58852 L
.03617 .56586 L
.03284 .54421 L
.03011 .52168 L
.02886 .50883 L
.02786 .49662 L
.02705 .48456 L
.02637 .47144 L
.02612 .46562 L
.0259 .45946 L
.02574 .45379 L
.02561 .4484 L
.02555 .44545 L
.0255 .44224 L
.02546 .43957 L
.02543 .43662 L
.0254 .43343 L
.02539 .43169 L
.02538 .43005 L
.02538 .42852 L
.02538 .42712 L
.02538 .42559 L
.02538 .42397 L
.02538 .42254 L
.02539 .42124 L
.0254 .41974 L
.02541 .41832 L
.02543 .41579 L
.02546 .41306 L
.02555 .40685 L
.02566 .40113 L
.02598 .38907 L
.02639 .37781 L
.02765 .35229 L
.02931 .32743 L
.03112 .30495 L
Mistroke
.03573 .25767 L
.04075 .21359 L
.04625 .16827 L
.05131 .12614 L
.05605 .0828 L
.05968 .04218 L
.05987 .0397 L
Mfstroke
.26667 .85 m
.2566 .84876 L
.24575 .84704 L
.23355 .84458 L
.22197 .8417 L
.19982 .83452 L
.1767 .82428 L
.15201 .8096 L
.12857 .79113 L
.10681 .76888 L
.08509 .73999 L
.06614 .70691 L
.05022 .67034 L
.04248 .64809 L
.03617 .62664 L
.02575 .5806 L
.0218 .55688 L
.01834 .53028 L
.01586 .50447 L
.01481 .48986 L
.01406 .47652 L
.01376 .46997 L
.01349 .46304 L
.01329 .45704 L
.01312 .45059 L
.01304 .44696 L
.01298 .44365 L
.01293 .44028 L
.01289 .43716 L
.01285 .43353 L
.01284 .43162 L
.01284 .43064 L
.01283 .42958 L
.01283 .42782 L
.01282 .42616 L
.01282 .42521 L
.01282 .4242 L
.01282 .42333 L
.01282 .42239 L
.01283 .4206 L
.01284 .41895 L
.01285 .41714 L
.01286 .41522 L
.01289 .412 L
.01293 .40845 L
.01304 .40191 L
.01317 .3958 L
.01357 .38212 L
.01414 .36746 L
.01567 .33902 L
Mistroke
.01756 .31229 L
.02203 .26239 L
.02759 .21092 L
.0332 .16309 L
.0389 .11409 L
.0437 .06844 L
.04561 .04752 L
.04733 .02569 L
Mfstroke
.04733 .02569 m
.0488 0 L
s
.26667 .86667 m
.25586 .86544 L
.2442 .86369 L
.23212 .86138 L
.21862 .85815 L
.19318 .84993 L
.16821 .83868 L
.14158 .82237 L
.11638 .80171 L
.09313 .77668 L
.07014 .74407 L
.05036 .70673 L
.03407 .6655 L
.02632 .64049 L
.02011 .61643 L
.01455 .59022 L
.01023 .56503 L
.00668 .53869 L
.00505 .52362 L
.00375 .50927 L
.00269 .49508 L
.00177 .47962 L
.00115 .46549 L
.00075 .45243 L
.00059 .44554 L
.00053 .44174 L
.00048 .43814 L
.00044 .43479 L
.00043 .43302 L
.00041 .43114 L
.0004 .42957 L
.0004 .42783 L
.00039 .42625 L
.00039 .42477 L
.00039 .42299 L
.00039 .42105 L
.00039 .42007 L
.0004 .41902 L
.0004 .41713 L
.00041 .41524 L
.00043 .41346 L
.00046 .41013 L
.00051 .40619 L
.00056 .40256 L
.00072 .39435 L
.00112 .38011 L
.00161 .36681 L
.00315 .3367 L
.00515 .3074 L
.00732 .28096 L
Mistroke
.01276 .2255 L
.0185 .17395 L
.02455 .12108 L
.0298 .07195 L
.03212 .04743 L
.03427 .02131 L
Mfstroke
.03427 .02131 m
.03571 0 L
s
.26667 .88333 m
.2551 .88211 L
.24261 .88034 L
.22965 .87796 L
.21515 .87458 L
.18779 .86585 L
.16092 .85371 L
.13228 .8359 L
.10525 .81312 L
.08042 .78535 L
.05608 .74903 L
.03542 .70736 L
.01874 .6614 L
.01153 .63578 L
.00486 .60687 L
s
.00486 .60687 m
0 .58027 L
s
0 .22361 m
.00531 .17379 L
.01135 .11957 L
.0172 .06394 L
.02174 .01204 L
s
.02174 .01204 m
.02254 0 L
s
.26667 .9 m
.25432 .89879 L
.24096 .89699 L
.22709 .89453 L
.21156 .89099 L
.1963 .88662 L
.18221 .88171 L
.15337 .8686 L
.12378 .84997 L
.0959 .8262 L
.06774 .79378 L
.04296 .75513 L
.0221 .71104 L
.012 .6837 L
.00381 .65706 L
s
.00381 .65706 m
0 .6405 L
s
0 .10209 m
.00258 .07798 L
.00798 .02023 L
s
.00798 .02023 m
.00953 0 L
s
.26667 .91667 m
.25351 .91546 L
.23926 .91363 L
.22445 .91109 L
.20785 .90739 L
.19153 .90275 L
.17645 .8975 L
.14557 .88335 L
.11391 .86301 L
.08419 .83683 L
.05435 .80095 L
.02836 .75804 L
.00683 .70907 L
s
.00683 .70907 m
0 .68899 L
s
.28333 .08333 m
.27926 .0799 L
.2748 .07587 L
.27058 .07179 L
.26649 .06758 L
.26209 .06277 L
.25779 .05781 L
.25314 .05217 L
.24857 .04633 L
.24408 .04032 L
.23917 .03349 L
.23431 .02644 L
.2295 .01919 L
.2242 .01094 L
.21891 .00243 L
s
.21891 .00243 m
.21744 0 L
s
.28333 .1 m
.27998 .09664 L
.27628 .09273 L
.27276 .08882 L
.26933 .08482 L
.26562 .0803 L
.26198 .07568 L
.25803 .07046 L
.25413 .0651 L
.25028 .05963 L
.24607 .05345 L
.24189 .04711 L
.23774 .04065 L
.23318 .03332 L
.22862 .02582 L
.22357 .01732 L
.2185 .00856 L
s
.2185 .00856 m
.21364 0 L
s
.28333 .11667 m
.28065 .11337 L
.27767 .10959 L
.27482 .10583 L
.27201 .10204 L
.26895 .09778 L
.26594 .09347 L
.26265 .08863 L
.25939 .08372 L
.25615 .07873 L
.2526 .07313 L
.24907 .06744 L
.24556 .06167 L
.24168 .05518 L
.2378 .04856 L
.23351 .04112 L
.2292 .0335 L
.22487 .02574 L
.22004 .01696 L
.21517 .00796 L
s
.21517 .00796 m
.21093 0 L
s
.28333 .13333 m
.28128 .13011 L
.27897 .12643 L
.27674 .12283 L
.27452 .11922 L
.27208 .11522 L
.26966 .11119 L
.267 .10671 L
.26434 .10219 L
.26169 .09764 L
.25877 .09257 L
.25585 .08745 L
.25293 .0823 L
.2497 .07654 L
.24647 .07071 L
.24288 .06419 L
.23927 .05757 L
.23564 .05086 L
.2316 .04332 L
.22753 .03565 L
.22298 .02701 L
.21837 .01817 L
.2137 .00913 L
s
.2137 .00913 m
.20902 0 L
s
.28333 .15 m
.28186 .14684 L
.28018 .14327 L
.27852 .13982 L
.27686 .13638 L
.27501 .1326 L
.27314 .12883 L
.27107 .12468 L
.26899 .12052 L
.26689 .11637 L
.26456 .11178 L
.26222 .10717 L
.25987 .10257 L
.25725 .09746 L
.25461 .09232 L
.25168 .08661 L
.24873 .08086 L
.24575 .07506 L
.24243 .06859 L
.23908 .06205 L
.23534 .05474 L
.23155 .0473 L
.22772 .03976 L
.22343 .03129 L
.2193 .0231 L
s
.28333 .16667 m
.2824 .16357 L
.28129 .16011 L
.28018 .15679 L
.27903 .15351 L
.27772 .14994 L
.27638 .14641 L
.27487 .14256 L
.27332 .13873 L
.27175 .13493 L
.26998 .13077 L
.26818 .12662 L
.26635 .1225 L
.26431 .11797 L
.26224 .11344 L
.25992 .10844 L
.25757 .10344 L
.2552 .09843 L
.25254 .09288 L
.24985 .08731 L
.24685 .08112 L
.2438 .07487 L
.24072 .06858 L
.23726 .06155 L
.23395 .05481 L
s
.28333 .18333 m
.28289 .18029 L
.28232 .17694 L
.2817 .17374 L
.28103 .17062 L
.28023 .16724 L
.27938 .16393 L
.27839 .16034 L
.27734 .15681 L
.27625 .15334 L
.27501 .14955 L
.27372 .14582 L
.27239 .14213 L
.27088 .1381 L
.26934 .13411 L
.26759 .12973 L
.26581 .12538 L
.26399 .12105 L
.26194 .1163 L
.25986 .11155 L
.25753 .10631 L
.25515 .10106 L
.25274 .09582 L
.25003 .09 L
.24743 .08446 L
s
.28333 .2 m
.28334 .19964 L
.28334 .19931 L
.28334 .19912 L
.28334 .19894 L
.28334 .19885 L
.28334 .1988 L
.28334 .19874 L
.28334 .19864 L
.28334 .19855 L
.28334 .19846 L
.28334 .19837 L
.28334 .19827 L
.28334 .19818 L
.28334 .19809 L
.28334 .19801 L
.28334 .19782 L
.28334 .19762 L
.28334 .19744 L
.28333 .19702 L
.28333 .1966 L
.28332 .19622 L
.2833 .19534 L
.28328 .19458 L
.28325 .19376 L
.28317 .19224 L
.28309 .19081 L
.28285 .18776 L
.28252 .18449 L
.28211 .18132 L
.28164 .17822 L
.28106 .17489 L
.28041 .17164 L
.27971 .16846 L
.27889 .16502 L
.27801 .16164 L
.27699 .15798 L
.27591 .15438 L
.27479 .15084 L
.27351 .14698 L
.27218 .14317 L
.27067 .139 L
.26912 .13487 L
.26752 .13078 L
.26572 .12629 L
.26388 .12183 L
.26201 .11739 L
.2599 .1125 L
.25982 .11232 L
s
.28333 .21667 m
.28373 .21375 L
.28408 .21058 L
.28422 .20904 L
.28433 .20761 L
.28442 .20614 L
.2845 .20476 L
.28453 .20402 L
.28455 .20323 L
.28458 .20251 L
.28459 .20184 L
.2846 .20113 L
.28461 .20075 L
.28461 .20054 L
.28461 .20035 L
.28461 .20014 L
.28461 .20004 L
.28461 .19992 L
.28461 .19987 L
.28461 .19982 L
.28461 .19976 L
.28461 .19971 L
.28461 .19962 L
.28461 .19952 L
.28461 .19943 L
.28461 .19934 L
.28461 .19925 L
.28461 .19916 L
.28461 .19896 L
.28461 .19877 L
.28461 .19842 L
.2846 .19804 L
.28459 .19727 L
.28457 .19655 L
.28455 .19588 L
.28449 .19435 L
.28442 .19295 L
.28421 .18993 L
.28393 .18701 L
.28355 .18387 L
.28311 .18081 L
.28256 .17752 L
.28195 .17431 L
.28128 .17117 L
.28048 .16778 L
.27963 .16445 L
.27874 .16119 L
.2777 .15765 L
.27662 .15416 L
.27538 .15037 L
Mistroke
.27409 .14662 L
.27277 .14292 L
.27126 .13888 L
.27117 .13863 L
Mfstroke
.28333 .23333 m
.28408 .23047 L
.28482 .22739 L
.28544 .22452 L
.28596 .22179 L
.28645 .2189 L
.28684 .21614 L
.28718 .21322 L
.28743 .21041 L
.28753 .20913 L
.28761 .20771 L
.28767 .20632 L
.2877 .20556 L
.28772 .20485 L
.28772 .2045 L
.28773 .20412 L
.28774 .20378 L
.28774 .20342 L
.28774 .20324 L
.28774 .20307 L
.28775 .2029 L
.28775 .20275 L
.28775 .2026 L
.28775 .20253 L
.28775 .20245 L
.28775 .20236 L
.28775 .20228 L
.28775 .20219 L
.28775 .20212 L
.28775 .20204 L
.28775 .20196 L
.28775 .20187 L
.28775 .20178 L
.28775 .20159 L
.28774 .20142 L
.28774 .20111 L
.28774 .20077 L
.28773 .20008 L
.28771 .19931 L
.28766 .19792 L
.28759 .19644 L
.2875 .19492 L
.28739 .19348 L
.28714 .19072 L
.28679 .18775 L
.28638 .18487 L
.28592 .18206 L
.28536 .17904 L
.28474 .17608 L
.28401 .17289 L
Mistroke
.28322 .16976 L
.28239 .1667 L
.28149 .16359 L
Mfstroke
.28333 .25 m
.28439 .24719 L
.28547 .24419 L
.28641 .24142 L
.28725 .2388 L
.28808 .23605 L
.28881 .23344 L
.28952 .23069 L
.29013 .22808 L
.29065 .22559 L
.29113 .22295 L
.29154 .22044 L
.29186 .21803 L
.29214 .21547 L
.29234 .21302 L
.29243 .21168 L
.29249 .21041 L
.29251 .20981 L
.29254 .20916 L
.29255 .20855 L
.29256 .208 L
.29257 .20768 L
.29257 .20734 L
.29258 .20701 L
.29258 .20682 L
.29258 .20673 L
.29258 .20664 L
.29258 .20655 L
.29258 .20647 L
.29258 .2064 L
.29258 .20632 L
.29258 .20624 L
.29258 .20618 L
.29258 .2061 L
.29258 .20602 L
.29258 .20594 L
.29258 .20585 L
.29258 .20568 L
.29258 .20551 L
.29258 .20536 L
.29257 .20504 L
.29257 .20469 L
.29255 .20406 L
.29254 .20344 L
.29252 .20288 L
.29247 .20168 L
.2924 .20036 L
.29221 .19776 L
.29197 .19525 L
.29164 .19255 L
Mistroke
.29125 .18992 L
.29082 .18739 L
Mfstroke
.28333 .26667 m
.28465 .26392 L
.28602 .26099 L
.28724 .25831 L
.28836 .25579 L
.28949 .25316 L
.29052 .25068 L
.29154 .24809 L
.29247 .24565 L
.2933 .24334 L
.29413 .24092 L
.29486 .23862 L
.29551 .23643 L
.29614 .23414 L
.29669 .23195 L
.29722 .22964 L
.29766 .22744 L
.29804 .22534 L
.29838 .22311 L
.29864 .22097 L
.29887 .21871 L
.29896 .21757 L
.29903 .21653 L
.29908 .21545 L
.29913 .21443 L
.29914 .21394 L
.29915 .21341 L
.29916 .21311 L
.29916 .21282 L
.29917 .21256 L
.29917 .21243 L
.29917 .21228 L
.29917 .21215 L
.29917 .21203 L
.29917 .21192 L
.29917 .21186 L
.29917 .21179 L
.29917 .21172 L
.29917 .21166 L
.29917 .21162 L
.29917 .21158 L
.29917 .21151 L
.29917 .21145 L
.29917 .21138 L
.29917 .21132 L
.29917 .21125 L
.29917 .21111 L
.29917 .21098 L
.29917 .21069 L
.29916 .21041 L
Mistroke
.29916 .21016 L
Mfstroke
.28333 .28333 m
.28486 .28064 L
.28647 .27778 L
.28793 .27518 L
.28928 .27275 L
.29067 .27023 L
.29195 .26787 L
.29326 .26543 L
.29446 .26313 L
.29557 .26098 L
.29669 .25874 L
.29771 .25663 L
.29865 .25464 L
.2996 .25257 L
.30046 .2506 L
.30132 .24856 L
.3021 .24662 L
.30279 .24478 L
.30349 .24286 L
.3041 .24102 L
.30471 .2391 L
.30523 .23727 L
.3057 .23553 L
.30614 .23368 L
.3065 .23201 L
s
.28333 .3 m
.28503 .29735 L
.28683 .29457 L
.28848 .29204 L
.29002 .28969 L
.29162 .28727 L
.29311 .28502 L
.29465 .2827 L
.29609 .28053 L
.29743 .27851 L
.29881 .27643 L
.30009 .27448 L
.30127 .27266 L
.30249 .27077 L
.30363 .269 L
.30478 .26717 L
.30585 .26545 L
.30683 .26384 L
.30784 .26217 L
.30876 .26059 L
.3097 .25895 L
.31055 .25741 L
.31134 .25595 L
.31213 .25443 L
.31282 .25306 L
s
.28333 .31667 m
.28515 .31407 L
.28709 .31135 L
.28888 .30889 L
.29057 .30661 L
.29233 .30428 L
.294 .30211 L
.29572 .2999 L
.29735 .29784 L
.29888 .29594 L
.30047 .29398 L
.30196 .29217 L
.30336 .29049 L
.30481 .28876 L
.30617 .28715 L
.30758 .2855 L
.3089 .28397 L
.31013 .28254 L
.3114 .28107 L
.31259 .2797 L
.31382 .2783 L
.31497 .27699 L
.31603 .27576 L
.31713 .2745 L
.31811 .27338 L
s
.28333 .33333 m
.28522 .33079 L
.28725 .32812 L
.28914 .32573 L
.29093 .32351 L
.29281 .32125 L
.2946 .31916 L
.29647 .31703 L
.29824 .31507 L
.29992 .31326 L
.30167 .31142 L
.30333 .30971 L
.3049 .30814 L
.30654 .30654 L
.30809 .30506 L
.3097 .30356 L
.31123 .30217 L
.31267 .30089 L
.31416 .29959 L
.31558 .29839 L
.31705 .29717 L
.31844 .29605 L
.31975 .29501 L
.32111 .29396 L
.32233 .29303 L
s
.28333 .35 m
.28524 .3475 L
.28731 .34489 L
.28925 .34255 L
.2911 .34039 L
.29305 .33819 L
.29491 .33616 L
.29687 .33411 L
.29874 .33222 L
.30052 .33048 L
.3024 .32872 L
.30418 .3271 L
.30587 .32562 L
.30766 .32412 L
.30935 .32274 L
.31112 .32135 L
.31281 .32008 L
.31441 .31892 L
.31609 .31774 L
.31769 .31667 L
.31936 .3156 L
.32094 .31462 L
.32245 .31372 L
.32402 .31283 L
.32544 .31206 L
s
.28333 .36667 m
.28522 .36422 L
.28728 .36166 L
.28921 .35936 L
.29107 .35724 L
.29304 .35509 L
.29493 .35312 L
.29694 .35111 L
.29886 .34928 L
.3007 .3476 L
.30264 .3459 L
.3045 .34435 L
.30627 .34293 L
.30815 .34149 L
.30994 .34019 L
.31183 .33888 L
.31363 .33769 L
.31535 .33661 L
.31716 .33553 L
.31889 .33455 L
.32071 .33358 L
.32245 .33271 L
.3241 .33192 L
.32585 .33114 L
.32742 .33048 L
s
.28333 .38333 m
.28515 .38093 L
.28714 .37841 L
.28903 .37616 L
.29084 .37408 L
.29279 .37196 L
.29466 .37002 L
.29665 .36806 L
.29857 .36626 L
.30042 .36461 L
.30238 .36295 L
.30427 .36143 L
.30608 .36005 L
.308 .35867 L
.30984 .3574 L
.31179 .35614 L
.31366 .355 L
.31545 .35398 L
.31734 .35295 L
.31916 .35203 L
.32107 .35113 L
.32291 .35032 L
.32467 .3496 L
.32653 .34889 L
.32822 .3483 L
s
.28333 .4 m
.28503 .39764 L
.28691 .39517 L
.28869 .39294 L
.29042 .39089 L
.29228 .3888 L
.29409 .38688 L
.29602 .38493 L
.29789 .38315 L
.29969 .38152 L
.30162 .37987 L
.30348 .37837 L
.30527 .377 L
.30718 .37562 L
.30902 .37438 L
.31098 .37313 L
.31287 .37201 L
.31468 .371 L
.3166 .37 L
.31845 .3691 L
.32042 .36822 L
.3223 .36744 L
.32412 .36675 L
.32604 .36608 L
.32779 .36552 L
s
.28333 .41667 m
.28486 .41435 L
.28657 .41191 L
.2882 .40971 L
.2898 .40768 L
.29152 .4056 L
.29321 .40368 L
.29502 .40174 L
.29678 .39995 L
.2985 .39831 L
.30033 .39665 L
.30212 .39514 L
.30384 .39375 L
.30569 .39236 L
.30748 .3911 L
.30939 .38983 L
.31124 .38869 L
.31302 .38766 L
.31492 .38664 L
.31675 .38573 L
.3187 .38483 L
.32059 .38404 L
.3224 .38334 L
.32433 .38266 L
.3261 .38209 L
s
.28333 .43333 m
.28465 .43106 L
.28613 .42865 L
.28756 .42647 L
.28897 .42444 L
.29051 .42236 L
.29202 .42044 L
.29365 .41847 L
.29526 .41666 L
.29683 .41499 L
.29852 .41329 L
.30017 .41173 L
.30178 .41031 L
.30351 .40886 L
.30519 .40755 L
.30699 .40623 L
.30874 .40503 L
.31044 .40395 L
.31226 .40286 L
.31402 .40189 L
.31591 .40093 L
.31773 .40008 L
.31949 .39932 L
.32137 .39858 L
.3231 .39796 L
s
.28333 .45 m
.28439 .44776 L
.28559 .44538 L
.28677 .44321 L
.28794 .44119 L
.28923 .43909 L
.29051 .43714 L
.29192 .43513 L
.29331 .43327 L
.29467 .43154 L
.29616 .42978 L
.29762 .42815 L
.29906 .42664 L
.30061 .42511 L
.30213 .42371 L
.30377 .42229 L
.30537 .42099 L
.30693 .41981 L
.3086 .41862 L
.31024 .41754 L
.31199 .41646 L
.3137 .4155 L
.31536 .41463 L
.31713 .41377 L
.31877 .41305 L
s
.28333 .46667 m
.28408 .46447 L
.28495 .46211 L
.28582 .45994 L
.2867 .4579 L
.28769 .45578 L
.28869 .45378 L
.2898 .45171 L
.29092 .44978 L
.29203 .44797 L
.29325 .4461 L
.29446 .44436 L
.29567 .44275 L
.29698 .44109 L
.29828 .43955 L
.29969 .43798 L
.30108 .43653 L
.30244 .4352 L
.30392 .43384 L
.30537 .4326 L
.30694 .43135 L
.30847 .4302 L
.30997 .42917 L
.31158 .42813 L
.31307 .42724 L
s
.28333 .48333 m
.28372 .48117 L
.2842 .47883 L
.28471 .47666 L
.28526 .47459 L
.28589 .47242 L
.28655 .47036 L
.2873 .46821 L
.28808 .46617 L
.28888 .46425 L
.28977 .46225 L
.29068 .46037 L
.29159 .4586 L
.29261 .45676 L
.29362 .45504 L
.29475 .45326 L
.29587 .45161 L
.29698 .45006 L
.2982 .44847 L
.29941 .447 L
.30073 .4455 L
.30204 .4441 L
.30332 .44282 L
.30471 .44152 L
.30601 .44038 L
s
.28333 .5 m
.28333 .49974 L
.28332 .49951 L
.28332 .49922 L
.28332 .49897 L
.28332 .49884 L
.28331 .49869 L
.28331 .49856 L
.28331 .49844 L
.28331 .49837 L
.28331 .49831 L
.28331 .49824 L
.28331 .4982 L
.28331 .49816 L
.28331 .49809 L
.28331 .49805 L
.28331 .49802 L
.28331 .49795 L
.28331 .49791 L
.28331 .49787 L
.28331 .49773 L
.28331 .49765 L
.28331 .49757 L
.28332 .4973 L
.28332 .49698 L
.28333 .49668 L
.28334 .49613 L
.28335 .49555 L
.2834 .49437 L
.28346 .49326 L
.28361 .49115 L
.28382 .4889 L
.28409 .48674 L
.2844 .48468 L
.28478 .4825 L
.28521 .48041 L
.28571 .47822 L
.28626 .47613 L
.28683 .47415 L
.28748 .47206 L
.28817 .47009 L
.28895 .46803 L
.28975 .46609 L
.29056 .46425 L
.29148 .46234 L
.2924 .46055 L
.29333 .45886 L
.29435 .45712 L
.29538 .45549 L
.29651 .45381 L
Mistroke
.2976 .4523 L
Mfstroke
.28333 .51667 m
.28286 .51457 L
.2824 .51226 L
.28203 .51005 L
.28172 .5079 L
.28146 .50558 L
.28126 .50334 L
.28118 .5021 L
.28112 .50093 L
.2811 .50037 L
.28107 .49977 L
.28106 .49921 L
.28105 .49869 L
.28104 .49814 L
.28103 .49784 L
.28103 .4977 L
.28103 .49755 L
.28103 .49741 L
.28103 .49728 L
.28103 .49722 L
.28103 .49715 L
.28103 .49709 L
.28103 .49703 L
.28103 .49697 L
.28103 .4969 L
.28103 .49684 L
.28103 .49676 L
.28103 .49668 L
.28103 .49661 L
.28103 .49647 L
.28103 .49633 L
.28103 .4962 L
.28103 .49591 L
.28104 .49562 L
.28104 .4953 L
.28105 .49474 L
.28107 .49422 L
.28111 .49311 L
.28117 .49189 L
.28133 .48951 L
.28155 .48722 L
.28185 .48479 L
.2822 .48247 L
.28259 .48025 L
.28307 .4779 L
.28359 .47567 L
.28413 .47355 L
.28477 .47132 L
.28544 .4692 L
.28621 .46699 L
Mistroke
.287 .4649 L
.2878 .46292 L
.28786 .46279 L
Mfstroke
.28333 .53333 m
.28235 .53127 L
.28134 .52896 L
.28044 .52672 L
.27963 .52451 L
.27883 .5221 L
.27812 .51972 L
.27743 .51714 L
.27683 .51461 L
.27632 .51214 L
.27584 .50946 L
.27545 .50685 L
.27515 .50431 L
.27489 .50158 L
.2748 .50031 L
.27471 .49893 L
.27468 .49818 L
.27465 .49748 L
.27462 .49681 L
.2746 .4961 L
.27459 .49572 L
.27459 .49537 L
.27458 .49504 L
.27458 .49468 L
.27457 .49452 L
.27457 .49436 L
.27457 .49421 L
.27457 .49405 L
.27457 .49396 L
.27457 .49388 L
.27457 .4938 L
.27457 .49371 L
.27457 .49363 L
.27457 .49355 L
.27457 .49348 L
.27457 .49339 L
.27457 .4933 L
.27457 .49323 L
.27457 .49313 L
.27457 .49305 L
.27457 .4929 L
.27457 .49273 L
.27458 .49235 L
.27458 .492 L
.27459 .49129 L
.27461 .49054 L
.27466 .48918 L
.27472 .48791 L
.2749 .48522 L
.27516 .48237 L
Mistroke
.27549 .47963 L
.27587 .47701 L
.27634 .47424 L
.27686 .4716 L
.27687 .47158 L
Mfstroke
.28333 .55 m
.2818 .54797 L
.28017 .54565 L
.2787 .54337 L
.27732 .54109 L
.27592 .53856 L
.27463 .53603 L
.27332 .53324 L
.27214 .53047 L
.27106 .52772 L
.27 .52471 L
.26906 .52174 L
.26822 .51881 L
.26742 .51563 L
.26673 .51251 L
.26609 .50913 L
.26557 .50582 L
.26515 .5026 L
.2648 .49913 L
.26456 .49576 L
.26446 .4939 L
.26443 .49305 L
.2644 .49215 L
.26437 .49132 L
.26436 .49087 L
.26436 .4904 L
.26435 .48997 L
.26434 .48957 L
.26434 .48938 L
.26434 .48917 L
.26434 .48897 L
.26434 .48879 L
.26434 .48869 L
.26434 .48858 L
.26434 .48848 L
.26434 .48838 L
.26434 .48827 L
.26434 .48821 L
.26434 .48816 L
.26434 .48805 L
.26434 .48795 L
.26434 .48785 L
.26434 .48775 L
.26434 .48757 L
.26434 .48737 L
.26434 .48716 L
.26435 .48671 L
.26436 .48623 L
.26437 .48535 L
.2644 .48447 L
Mistroke
.26443 .4835 L
.2645 .48174 L
.26459 .48013 L
.26471 .47841 L
Mfstroke
.28333 .56667 m
.2812 .56467 L
.2789 .56234 L
.27679 .56001 L
.2748 .55763 L
.27273 .55496 L
.27079 .55225 L
.26881 .54922 L
.26697 .54616 L
.26527 .54309 L
.26355 .53968 L
.26198 .53627 L
.26057 .53287 L
.25916 .52914 L
.2579 .52543 L
.25669 .52138 L
.25563 .51738 L
.25472 .51345 L
.25388 .50917 L
.25318 .50498 L
.25258 .50047 L
.25213 .49606 L
.25181 .49177 L
.25169 .48954 L
.25165 .4884 L
.25161 .48718 L
.25157 .48603 L
.25155 .48499 L
.25155 .48449 L
.25154 .48395 L
.25154 .4837 L
.25154 .48343 L
.25153 .48295 L
s
.28333 .58333 m
.28055 .58136 L
.27753 .57902 L
.27471 .57663 L
.27204 .57415 L
.26925 .57131 L
.26661 .56839 L
.26387 .56507 L
.26131 .56167 L
.25892 .55821 L
.25648 .55433 L
.25423 .55039 L
.25217 .54643 L
.2501 .54203 L
.24824 .53762 L
.2464 .53276 L
.24477 .52791 L
.24335 .5231 L
.24199 .51784 L
.24084 .51265 L
.2398 .50701 L
.23896 .50148 L
.23832 .49607 L
.23805 .4933 L
.23781 .49025 L
.2375 .48487 L
s
.28333 .6 m
.27985 .59806 L
.27604 .59569 L
.27247 .59323 L
.26907 .59062 L
.26547 .5876 L
.26206 .58443 L
.2585 .58078 L
.25515 .57698 L
.25202 .57306 L
.24879 .56862 L
.2458 .56406 L
.24305 .55943 L
.24027 .55423 L
.23775 .54898 L
.23525 .54313 L
.23303 .53725 L
.23108 .53139 L
.22921 .52493 L
.22762 .51853 L
.22615 .51154 L
.22497 .50464 L
.22405 .49789 L
.22366 .49442 L
.2233 .49058 L
.22282 .48383 L
s
.28333 .61667 m
.2791 .61475 L
.27445 .61236 L
.27007 .60981 L
.26586 .60706 L
.26141 .60382 L
.25716 .60036 L
.25271 .59633 L
.2485 .59207 L
.24455 .58762 L
.24047 .58251 L
.23668 .57722 L
.23319 .57179 L
.22966 .56564 L
.22645 .55938 L
.22327 .55235 L
.22045 .54525 L
.21798 .53812 L
.21561 .53023 L
.21361 .52238 L
.21178 .51377 L
.21032 .50526 L
.20919 .49691 L
.20872 .49261 L
.20829 .48786 L
.20774 .4795 L
s
.28333 .63333 m
.2783 .63144 L
.27274 .62901 L
.26749 .62637 L
.26243 .62346 L
.25705 .61997 L
.25189 .61619 L
.24648 .6117 L
.24135 .60691 L
.23652 .60184 L
.23152 .59596 L
.22689 .5898 L
.22261 .58343 L
.21829 .57616 L
.21438 .5687 L
.21051 .56028 L
.2071 .55172 L
.20413 .54309 L
.20131 .53351 L
.19895 .52394 L
.19684 .51344 L
.19518 .50305 L
.19395 .49283 L
.19345 .48748 L
.19302 .48179 L
.19272 .47651 L
.19251 .47157 L
s
.28333 .65 m
.27745 .64813 L
.27093 .64566 L
.26475 .6429 L
.25876 .63982 L
.25238 .63604 L
.24626 .63189 L
.23981 .62689 L
.23369 .62148 L
.22792 .6157 L
.22195 .60891 L
.21642 .60175 L
.21133 .59427 L
.20619 .58568 L
.20157 .57681 L
.19702 .56674 L
.19305 .55647 L
.18962 .54608 L
.18642 .53453 L
.18379 .52297 L
.1815 .51028 L
.17977 .49772 L
.17856 .48539 L
.17811 .47894 L
.17792 .47564 L
.17775 .47209 L
.17762 .46877 L
.17753 .46575 L
.1775 .46429 L
.17746 .4627 L
.17742 .45981 L
s
.28333 .66667 m
.27655 .66481 L
.26901 .6623 L
.26183 .65942 L
.25487 .65613 L
.24742 .65204 L
.24026 .64746 L
.2327 .64188 L
.22552 .63576 L
.21875 .62915 L
.21176 .62132 L
.20529 .61297 L
.19935 .60421 L
.1934 .59407 L
.18806 .58355 L
.18287 .57157 L
.17838 .5593 L
.17457 .54688 L
.17108 .53304 L
.1683 .5192 L
.16596 .50403 L
.16502 .49626 L
.16431 .48903 L
.1637 .48147 L
.16327 .47435 L
.16295 .46712 L
.16283 .46328 L
.16278 .46113 L
.16274 .45915 L
.16271 .45735 L
.16269 .45544 L
.16268 .45445 L
.16268 .45352 L
.16267 .45298 L
.16267 .4525 L
.16267 .45224 L
.16267 .45196 L
.16267 .45167 L
.16267 .4514 L
.16267 .45094 L
.16267 .45044 L
.16267 .44997 L
.16267 .44953 L
.16268 .44914 L
.16268 .44871 L
.16268 .44784 L
.16269 .4469 L
.1627 .44588 L
.16273 .44404 L
s
.28333 .68333 m
.2756 .6815 L
.26698 .67893 L
.25874 .67591 L
.25073 .6724 L
.24215 .66794 L
.23388 .66289 L
.22514 .65664 L
.21684 .64971 L
.20902 .64214 L
.20096 .6331 L
.19351 .6234 L
.18672 .61313 L
.17994 .6012 L
.17393 .58877 L
.16814 .57458 L
.16322 .56002 L
.15912 .54525 L
.15546 .52883 L
.15265 .51242 L
.15149 .50385 L
.15043 .49446 L
.14967 .48608 L
.14901 .47679 L
.14857 .46789 L
.14839 .46301 L
.14827 .45844 L
.14823 .45619 L
.14821 .455 L
.1482 .45374 L
.14818 .45264 L
.14817 .45143 L
.14817 .45089 L
.14817 .45032 L
.14816 .44978 L
.14816 .44928 L
.14816 .44879 L
.14816 .44827 L
.14816 .44769 L
.14816 .44716 L
.14816 .4466 L
.14816 .44629 L
.14816 .44601 L
.14816 .44548 L
.14817 .44492 L
.14817 .44393 L
.14818 .44301 L
.1482 .44092 L
.14823 .43877 L
.14827 .43643 L
Mistroke
.14838 .43217 L
.14851 .42802 L
.14866 .42418 L
Mfstroke
.28333 .7 m
.2746 .69818 L
.26483 .69555 L
.25548 .69238 L
.24636 .68861 L
.23656 .68375 L
.22712 .67816 L
.21713 .67116 L
.20764 .66329 L
.19872 .65464 L
.18955 .6442 L
.18111 .63292 L
.17346 .62093 L
.16588 .60694 L
.15924 .59231 L
.15293 .57558 L
.14767 .5584 L
.1434 .54099 L
.13973 .52166 L
.13705 .50241 L
.13594 .49165 L
.13512 .48141 L
.1348 .47643 L
.13451 .47114 L
.13429 .46616 L
.13413 .46162 L
.134 .45672 L
.13395 .45402 L
.13391 .45146 L
.1339 .45032 L
.13389 .4491 L
.13388 .44806 L
.13387 .44691 L
.13387 .44627 L
.13387 .44568 L
.13387 .44503 L
.13387 .44435 L
.13387 .44376 L
.13387 .44321 L
.13387 .4426 L
.13387 .44195 L
.13387 .44131 L
.13388 .44061 L
.13389 .43919 L
.1339 .43787 L
.13391 .43664 L
.13396 .43386 L
.13401 .43087 L
.13416 .42541 L
.13433 .42042 L
Mistroke
.13477 .41074 L
.13541 .40023 L
Mfstroke
.28333 .71667 m
.27355 .71486 L
.26258 .71216 L
.25204 .70882 L
.24174 .70477 L
.23067 .69946 L
.21998 .69326 L
.20867 .6854 L
.19794 .67648 L
.18787 .66658 L
.17755 .65454 L
.16811 .64146 L
.15961 .62749 L
.15128 .61112 L
.14406 .59399 L
.13735 .57437 L
.13188 .55425 L
.12758 .5339 L
.1256 .52218 L
.12406 .51137 L
.12271 .49979 L
.12169 .48901 L
.12088 .47783 L
.12055 .47191 L
.12026 .46564 L
.12007 .46007 L
.11998 .45699 L
.11992 .45408 L
.11987 .45136 L
.11985 .44993 L
.11983 .44841 L
.11981 .44714 L
.1198 .44573 L
.1198 .44511 L
.11979 .44445 L
.11979 .44383 L
.11979 .44324 L
.11979 .4425 L
.11979 .44182 L
.11979 .4411 L
.11979 .44069 L
.11979 .44031 L
.11979 .43968 L
.11979 .43898 L
.11979 .43826 L
.1198 .43758 L
.11981 .43602 L
.11982 .43459 L
.11986 .43138 L
.11991 .42831 L
Mistroke
.11999 .42497 L
.12016 .41889 L
.12039 .41278 L
.12064 .40725 L
.12133 .3949 L
.12309 .37227 L
Mfstroke
.28333 .73333 m
.27245 .73154 L
.26021 .72876 L
.24843 .72523 L
.23689 .72087 L
.22446 .71505 L
.21246 .70818 L
.19977 .69935 L
.18773 .68923 L
.17647 .6779 L
.16498 .66404 L
.15455 .6489 L
.14522 .63266 L
.1362 .6136 L
.12851 .59363 L
.12151 .57078 L
.11598 .54738 L
.11182 .52379 L
.11012 .5113 L
.10864 .49778 L
.10747 .48379 L
.10705 .47733 L
.10667 .47048 L
.1064 .46412 L
.10628 .46075 L
.10617 .45713 L
.10608 .4538 L
.10602 .45076 L
.10598 .4477 L
.10594 .4448 L
.10593 .44321 L
.10593 .44249 L
.10592 .44173 L
.10592 .44087 L
.10592 .44009 L
.10592 .43925 L
.10592 .43878 L
.10592 .43834 L
.10592 .43791 L
.10592 .43744 L
.10592 .4366 L
.10592 .43577 L
.10593 .43502 L
.10594 .43329 L
.10595 .43147 L
.10599 .42843 L
.10603 .42559 L
.10618 .41913 L
.10639 .41217 L
.10665 .40557 L
Mistroke
.10727 .39322 L
.10908 .36794 L
.11166 .34147 L
.11177 .34046 L
Mfstroke
.28333 .75 m
.27752 .74923 L
.2713 .74822 L
.25773 .74535 L
.24514 .74177 L
.23147 .73677 L
.21814 .73063 L
.20391 .72248 L
.19029 .71288 L
.17741 .70185 L
.16413 .68808 L
.15193 .67271 L
.14093 .65594 L
.13017 .63594 L
.1209 .61468 L
.11236 .59004 L
.10553 .56453 L
.1003 .53858 L
.09796 .5236 L
.0962 .50975 L
.09472 .4951 L
.09366 .48113 L
.09323 .47389 L
.09286 .46622 L
.09262 .45964 L
.09242 .4524 L
.09235 .44847 L
.09232 .44654 L
.09229 .44475 L
.09228 .44316 L
.09226 .4414 L
.09226 .44055 L
.09225 .43963 L
.09225 .43867 L
.09225 .43776 L
.09225 .43677 L
.09224 .43585 L
.09225 .43532 L
.09225 .43484 L
.09225 .43428 L
.09225 .43376 L
.09225 .43271 L
.09226 .43174 L
.09227 .42955 L
.09229 .42781 L
.09231 .4259 L
.09237 .42203 L
.09245 .41811 L
.09254 .41439 L
.09276 .40741 L
Mistroke
.09344 .39176 L
.09433 .37696 L
.09533 .36334 L
.09799 .33468 L
.1014 .305 L
Mfstroke
.28333 .76667 m
.27695 .76591 L
.27009 .7649 L
.25514 .76193 L
.24122 .75814 L
.22609 .75273 L
.21132 .74599 L
.19555 .73693 L
.18046 .72613 L
.16624 .71364 L
.15163 .69791 L
.13831 .68027 L
.12639 .66096 L
.11488 .63789 L
.10513 .61335 L
.09636 .58495 L
.08958 .55563 L
.08464 .52594 L
.0827 .51019 L
.08107 .49313 L
.08044 .48467 L
.07987 .47548 L
.07945 .46676 L
.07915 .4587 L
.07903 .45478 L
.07893 .45057 L
.07886 .44659 L
.07881 .44296 L
.07879 .44075 L
.07878 .4387 L
.07877 .43763 L
.07877 .43645 L
.07876 .43586 L
.07876 .43522 L
.07876 .43461 L
.07876 .43406 L
.07876 .43305 L
.07876 .4321 L
.07877 .43106 L
.07877 .42995 L
.07878 .42879 L
.07878 .42769 L
.0788 .42563 L
.07885 .42174 L
.07892 .41747 L
.07901 .41301 L
.07912 .40884 L
.07969 .39339 L
.08011 .3847 L
.08058 .37648 L
Mistroke
.08162 .36112 L
.08435 .32984 L
.08791 .29729 L
.09178 .26679 L
.09187 .26611 L
Mfstroke
.28333 .78333 m
.27635 .78259 L
.26884 .78157 L
.25243 .7785 L
.23713 .77447 L
.22046 .76861 L
.20418 .76121 L
.1868 .75113 L
.17019 .739 L
.15458 .72484 L
.13863 .70691 L
.12419 .68672 L
.11141 .66454 L
.09924 .63803 L
.08914 .60984 L
.08032 .57731 L
.07668 .5602 L
.07377 .54387 L
.07126 .52668 L
.06931 .51017 L
.06764 .49161 L
.06655 .47457 L
.06613 .46557 L
.06594 .46064 L
.0658 .45602 L
.06569 .45175 L
.06561 .44785 L
.06554 .44352 L
.06551 .44113 L
.06549 .43887 L
.06548 .43781 L
.06547 .43667 L
.06547 .43568 L
.06546 .4346 L
.06546 .4334 L
.06546 .43275 L
.06546 .43214 L
.06546 .43105 L
.06546 .42989 L
.06546 .42924 L
.06546 .42865 L
.06547 .42731 L
.06548 .42613 L
.06548 .42488 L
.0655 .42272 L
.06553 .42034 L
.06559 .41606 L
.06568 .41148 L
.0659 .40319 L
.06622 .39378 L
Mistroke
.06667 .38354 L
.06772 .36499 L
.07066 .3279 L
.07426 .29298 L
.07864 .25691 L
.08301 .22398 L
Mfstroke
.28333 .8 m
.27572 .79927 L
.26754 .79825 L
.25906 .79691 L
.2496 .79505 L
.23176 .79043 L
.21416 .78425 L
.19516 .77546 L
.1768 .76449 L
.15932 .7513 L
.14123 .73413 L
.12462 .71431 L
.10971 .69208 L
.09529 .66497 L
.08313 .63565 L
.07229 .60128 L
.06774 .58301 L
.06406 .56546 L
.05824 .529 L
.05596 .50877 L
.05439 .49014 L
.05373 .48001 L
.05324 .47065 L
.05283 .46032 L
.05267 .45511 L
.05253 .44938 L
.05248 .44681 L
.05243 .44401 L
.0524 .44154 L
.05237 .43891 L
.05235 .43655 L
.05234 .43521 L
.05233 .43395 L
.05233 .43279 L
.05233 .43174 L
.05232 .43058 L
.05232 .42935 L
.05233 .42801 L
.05233 .42678 L
.05233 .4261 L
.05233 .42537 L
.05234 .42403 L
.05236 .42146 L
.05238 .41909 L
.05246 .41363 L
.05257 .40786 L
.05282 .39817 L
.05319 .38777 L
.0541 .36906 L
.05548 .34758 L
Mistroke
.05708 .32738 L
.06075 .2896 L
.06527 .25051 L
.06991 .21405 L
.07456 .17877 L
Mfstroke
.28333 .81667 m
.27508 .81595 L
.26618 .81492 L
.25697 .81354 L
.24666 .8116 L
.22721 .80667 L
.20798 .79996 L
.18723 .79028 L
.16719 .77807 L
.14815 .76326 L
.12853 .74384 L
.11064 .72132 L
.09474 .69599 L
.07958 .66508 L
.06705 .63168 L
.06153 .61344 L
.05621 .59264 L
.04832 .55217 L
.04536 .53128 L
.04289 .50852 L
.04192 .49721 L
.04106 .48489 L
.04041 .47318 L
.03995 .46236 L
.03978 .45709 L
.03962 .45142 L
.03951 .44607 L
.03944 .44118 L
.0394 .43821 L
.03938 .43545 L
.03937 .43401 L
.03936 .43242 L
.03936 .43163 L
.03935 .43077 L
.03935 .42995 L
.03935 .42921 L
.03935 .42784 L
.03935 .42657 L
.03935 .42517 L
.03936 .42368 L
.03937 .42211 L
.03938 .42063 L
.0394 .41786 L
.03943 .41515 L
.03946 .41263 L
.03956 .40688 L
.03969 .40128 L
.03985 .39526 L
.04066 .3745 L
.04124 .36314 L
Mistroke
.04198 .35081 L
.04359 .32853 L
.04766 .28421 L
.05228 .24275 L
.05753 .20013 L
.06255 .16048 L
.06622 .13056 L
Mfstroke
.28333 .83333 m
.27441 .83263 L
.26477 .83158 L
.25479 .83016 L
.24361 .82812 L
.22247 .82286 L
.20156 .81557 L
.17897 .80492 L
.15718 .79133 L
.13655 .77471 L
.11538 .75278 L
.09624 .72724 L
.07941 .69847 L
.06363 .66335 L
.05089 .62548 L
.04542 .60486 L
.04024 .58141 L
.03605 .55789 L
.03293 .53598 L
.03036 .51265 L
.02924 .49952 L
.02838 .48734 L
.02774 .47616 L
.0272 .46383 L
.02699 .4574 L
.02682 .45138 L
.02669 .44502 L
.02663 .44145 L
.02659 .4382 L
.02656 .43538 L
.02655 .43375 L
.02654 .43226 L
.02654 .4307 L
.02653 .42988 L
.02653 .42901 L
.02653 .42755 L
.02653 .42595 L
.02653 .42447 L
.02653 .42312 L
.02654 .42156 L
.02655 .42008 L
.02656 .41746 L
.02659 .41462 L
.02663 .41153 L
.02668 .40813 L
.02681 .40127 L
.02714 .38898 L
.0276 .37646 L
.02813 .36506 L
.02963 .33954 L
Mistroke
.03351 .29174 L
.03812 .24699 L
.04351 .20089 L
.04875 .15804 L
.05396 .11406 L
.05766 .07934 L
Mfstroke
.28333 .85 m
.27877 .84971 L
.27371 .84931 L
.26332 .84825 L
.2516 .84663 L
.24044 .84464 L
.21841 .83927 L
.2061 .83533 L
.19432 .83086 L
.17163 .82005 L
.14747 .80473 L
.12464 .78572 L
.10356 .76304 L
.08259 .73383 L
.06438 .70066 L
.04768 .66011 L
.04051 .63796 L
.03461 .61637 L
.02505 .57063 L
.02116 .54485 L
.01838 .5209 L
.01623 .49568 L
.01533 .48131 L
.0147 .46801 L
.01447 .46173 L
.01426 .45498 L
.01411 .44914 L
.01399 .44278 L
.01394 .4389 L
.0139 .43531 L
.01388 .43354 L
.01387 .43188 L
.01386 .43015 L
.01386 .42922 L
.01385 .42823 L
.01385 .42662 L
.01385 .42486 L
.01385 .42397 L
.01385 .42302 L
.01386 .42131 L
.01386 .4196 L
.01387 .41798 L
.01389 .41496 L
.01392 .41173 L
.01396 .40872 L
.01407 .40186 L
.01422 .39518 L
.01441 .38801 L
.01486 .37506 L
.01538 .36326 L
Mistroke
.01679 .3379 L
.01875 .31054 L
.02357 .25791 L
.02893 .20883 L
.03486 .15852 L
.04029 .11179 L
.04484 .06825 L
.04849 .025 L
Mfstroke
.28333 .86667 m
.27843 .86638 L
.27299 .86599 L
.26181 .86491 L
.24919 .86324 L
.23715 .86114 L
.21337 .85539 L
.20006 .85113 L
.18733 .84625 L
.16281 .83434 L
.13675 .81732 L
.11221 .79603 L
.08969 .77051 L
.0675 .73754 L
.04852 .70009 L
.03149 .65439 L
.02435 .6295 L
.01859 .6053 L
.01354 .57943 L
.00961 .55428 L
.00619 .52568 L
.0039 .49922 L
.003 .48518 L
.00226 .47026 L
.0018 .45746 L
.00161 .45017 L
.00147 .44336 L
.00142 .43956 L
.00137 .43605 L
.00134 .43219 L
.00133 .43024 L
.00132 .42919 L
.00132 .42809 L
.00131 .42621 L
.00131 .42449 L
.00131 .42264 L
.00131 .42159 L
.00131 .42061 L
.00132 .41884 L
.00132 .41722 L
.00134 .41536 L
.00135 .4136 L
.00138 .4103 L
.00142 .40682 L
.00152 .40057 L
.00166 .39385 L
.00185 .38646 L
.00235 .37163 L
.00293 .35812 L
.00464 .32791 L
Mistroke
.00914 .27141 L
.01447 .21866 L
.02058 .16448 L
.02632 .11421 L
.03171 .06263 L
.03399 .03733 L
.03576 .01438 L
Mfstroke
.03576 .01438 m
.03667 0 L
s
.28333 .88333 m
.27808 .88306 L
.27225 .88267 L
.26025 .88158 L
.24669 .87984 L
.23374 .87763 L
.20814 .87147 L
.1938 .86685 L
.18008 .86153 L
.15366 .84842 L
.12564 .82951 L
.09937 .80569 L
.07542 .77701 L
.0521 .7399 L
.03247 .69775 L
.02375 .67402 L
.0153 .64648 L
.00278 .59169 L
s
.00278 .59169 m
0 .57462 L
s
0 .23243 m
.00089 .22301 L
.0073 .16383 L
.01341 .10899 L
.01917 .0528 L
.02159 .02526 L
.02346 .00028 L
s
.02346 .00028 m
.02348 0 L
s
.28333 .9 m
.27772 .89973 L
.27148 .89935 L
.25863 .89824 L
.25166 .89744 L
.2441 .89643 L
.23021 .8941 L
.21532 .89087 L
.20096 .88698 L
.17299 .87687 L
.1428 .86143 L
.1139 .84105 L
.08694 .81552 L
.05997 .78127 L
.03655 .74106 L
.02585 .7179 L
.01525 .69063 L
s
.01525 .69063 m
0 .63885 L
s
0 .11005 m
.00036 .10672 L
.00614 .05 L
.00864 .02191 L
s
.00864 .02191 m
.01032 0 L
s
.28333 .91667 m
.27734 .91641 L
.27069 .91602 L
.26363 .9155 L
.25697 .91489 L
.24248 .91316 L
.22657 .91055 L
.21061 .90711 L
.19522 .90292 L
.16524 .89191 L
.14956 .88442 L
.1329 .87492 L
.1032 .8533 L
.07269 .82303 L
.04536 .78609 L
.01957 .73808 L
.00828 .71079 L
s
.00828 .71079 m
0 .68689 L
s
.3 .08333 m
.29536 .08079 L
.29035 .07773 L
.28567 .0746 L
.28119 .07132 L
.27642 .06753 L
.27183 .06357 L
.26692 .05902 L
.26216 .05428 L
.25753 .04937 L
.25254 .04373 L
.24766 .0379 L
.24288 .03187 L
.23767 .02498 L
.23253 .01786 L
.2269 .00971 L
.2213 .00126 L
s
.2213 .00126 m
.2205 0 L
s
.3 .1 m
.29611 .09752 L
.29189 .09458 L
.28793 .0916 L
.28413 .08851 L
.28007 .08498 L
.27614 .08133 L
.27193 .07716 L
.26784 .07286 L
.26385 .06842 L
.25955 .06338 L
.25533 .05819 L
.2512 .05287 L
.24669 .04682 L
.24225 .0406 L
.23739 .03353 L
.23256 .02625 L
.22776 .01877 L
.22246 .01026 L
.21716 .00148 L
s
.21716 .00148 m
.21629 0 L
s
.3 .11667 m
.29682 .11425 L
.29334 .11143 L
.29007 .10859 L
.2869 .10568 L
.28351 .10239 L
.28022 .09902 L
.27668 .0952 L
.27323 .09129 L
.26985 .0873 L
.2662 .08278 L
.26262 .07817 L
.2591 .07347 L
.25526 .06816 L
.25147 .06274 L
.24732 .05662 L
.24321 .05035 L
.23912 .04395 L
.23462 .03671 L
.23012 .0293 L
.22514 .02089 L
.22014 .01224 L
.21511 .00337 L
s
.21511 .00337 m
.21324 0 L
s
.3 .13333 m
.29747 .13098 L
.2947 .12826 L
.29207 .12556 L
.28951 .12283 L
.28676 .11976 L
.28407 .11664 L
.28116 .11315 L
.27832 .10959 L
.27553 .10599 L
.27249 .10196 L
.26951 .09786 L
.26657 .09372 L
.26336 .08907 L
.26019 .08435 L
.25672 .07905 L
.25326 .07367 L
.24984 .0682 L
.24606 .06206 L
.2423 .0558 L
.23814 .04876 L
.23397 .04156 L
.22978 .03422 L
.22514 .02593 L
.2207 .01788 L
s
.3 .15 m
.29809 .14771 L
.29597 .14509 L
.29394 .14253 L
.29195 .13995 L
.2898 .13709 L
.28768 .13421 L
.28538 .131 L
.2831 .12778 L
.28087 .12453 L
.27842 .12092 L
.27601 .11729 L
.27362 .11363 L
.271 .10956 L
.26841 .10546 L
.26557 .10089 L
.26274 .09627 L
.25992 .09161 L
.25682 .0864 L
.25373 .08114 L
.25031 .07525 L
.24689 .06927 L
.24346 .06321 L
.23966 .05642 L
.23604 .04987 L
s
.3 .16667 m
.29866 .16444 L
.29714 .16192 L
.29568 .15948 L
.29423 .15705 L
.29263 .15437 L
.29105 .15171 L
.28931 .14878 L
.28759 .14584 L
.28587 .14292 L
.28398 .13969 L
.2821 .13647 L
.28024 .13325 L
.27818 .12969 L
.27613 .12613 L
.27388 .12219 L
.27162 .11823 L
.26938 .11427 L
.2669 .10987 L
.26442 .10545 L
.26169 .10054 L
.25894 .09559 L
.2562 .0906 L
.25315 .08505 L
.25026 .07973 L
s
.3 .18333 m
.29918 .18116 L
.29823 .17874 L
.29728 .17641 L
.29633 .17412 L
.29526 .17163 L
.29418 .16916 L
.29297 .16647 L
.29175 .16381 L
.29053 .16117 L
.28916 .15829 L
.28779 .15543 L
.28641 .15259 L
.28488 .14949 L
.28335 .1464 L
.28164 .143 L
.27993 .13962 L
.27822 .13626 L
.27631 .13255 L
.27441 .12885 L
.27229 .12477 L
.27016 .12068 L
.26803 .11659 L
.26567 .11207 L
.26341 .10777 L
s
.3 .2 m
.29965 .19789 L
.29922 .19556 L
.29875 .19334 L
.29826 .19118 L
.29767 .18884 L
.29706 .18656 L
.29635 .18409 L
.2956 .18167 L
.29484 .17929 L
.29396 .17671 L
.29306 .17418 L
.29214 .17169 L
.2911 .16897 L
.29005 .1663 L
.28886 .16338 L
.28765 .1605 L
.28643 .15765 L
.28506 .15454 L
.28367 .15145 L
.28213 .14807 L
.28057 .1447 L
.27899 .14137 L
.27724 .1377 L
.27557 .13423 L
s
.3 .21667 m
.30005 .21567 L
.30008 .21461 L
.3001 .21406 L
.30011 .21354 L
.30011 .21324 L
.30011 .21297 L
.30011 .21282 L
.30011 .21275 L
.30011 .21266 L
.30011 .21259 L
.30011 .21255 L
.30011 .21251 L
.30011 .21244 L
.30011 .2124 L
.30011 .21237 L
.30011 .2123 L
.30011 .21223 L
.30011 .21218 L
.30011 .21211 L
.30011 .21204 L
.30011 .21197 L
.30011 .21184 L
.30011 .21161 L
.30011 .21135 L
.3001 .21108 L
.3001 .21078 L
.30009 .21025 L
.30007 .2097 L
.30005 .20911 L
.3 .20803 L
.29986 .20583 L
.29966 .20369 L
.29943 .20163 L
.29913 .1994 L
.29878 .19725 L
.29836 .19492 L
.29789 .19266 L
.29739 .19045 L
.29681 .18807 L
.29619 .18574 L
.29547 .18322 L
.29472 .18074 L
.29395 .17832 L
.29306 .17568 L
.29215 .17309 L
.29122 .17055 L
.29016 .16778 L
.28909 .16504 L
.28788 .16207 L
Mistroke
.28675 .15934 L
Mfstroke
.3 .23333 m
.30047 .23133 L
.30092 .22917 L
.30128 .22716 L
.30159 .22522 L
.30185 .22318 L
.30206 .22121 L
.30214 .22021 L
.30222 .21913 L
.30228 .21817 L
.3023 .21763 L
.30233 .21712 L
.30234 .2166 L
.30236 .21612 L
.30237 .21561 L
.30237 .21533 L
.30238 .21506 L
.30238 .21493 L
.30238 .21481 L
.30238 .21469 L
.30238 .21458 L
.30238 .21451 L
.30238 .21445 L
.30238 .21438 L
.30238 .21433 L
.30238 .21429 L
.30238 .21426 L
.30238 .2142 L
.30238 .21413 L
.30238 .21409 L
.30238 .21406 L
.30238 .21401 L
.30238 .21395 L
.30238 .21385 L
.30238 .21372 L
.30238 .21361 L
.30238 .21338 L
.30238 .21313 L
.30237 .21265 L
.30236 .21213 L
.30233 .2112 L
.30228 .21011 L
.30222 .20909 L
.30207 .20712 L
.30186 .20501 L
.3016 .20296 L
.30131 .20097 L
.30094 .19883 L
.30054 .19675 L
.30006 .1945 L
Mistroke
.29954 .19231 L
.299 .19017 L
.29837 .18786 L
.2977 .1856 L
.29698 .18328 L
Mfstroke
.3 .25 m
.3008 .24806 L
.30162 .24597 L
.30234 .24405 L
.30298 .24222 L
.30361 .2403 L
.30417 .23847 L
.30472 .23655 L
.30519 .23472 L
.30559 .23297 L
.30597 .23112 L
.30629 .22935 L
.30656 .22765 L
.30679 .22586 L
.30697 .22413 L
.30704 .22325 L
.30711 .2223 L
.30716 .22137 L
.3072 .22053 L
.30721 .22011 L
.30723 .21965 L
.30723 .2194 L
.30724 .21917 L
.30724 .21895 L
.30724 .21872 L
.30724 .2186 L
.30725 .21849 L
.30725 .21838 L
.30725 .21828 L
.30725 .21819 L
.30725 .21814 L
.30725 .21809 L
.30725 .21804 L
.30725 .21798 L
.30725 .21793 L
.30725 .21788 L
.30725 .21783 L
.30725 .21777 L
.30725 .21771 L
.30725 .21766 L
.30725 .21754 L
.30724 .21743 L
.30724 .2172 L
.30724 .21696 L
.30723 .21653 L
.30722 .21607 L
.30719 .21512 L
.30715 .21425 L
.30709 .21331 L
.30694 .21144 L
Mistroke
.30675 .20962 L
.30653 .20786 L
.30628 .20619 L
Mfstroke
.3 .26667 m
.30109 .26478 L
.30224 .26277 L
.30326 .26093 L
.3042 .25919 L
.30515 .25739 L
.30602 .25569 L
.3069 .25391 L
.3077 .25224 L
.30843 .25065 L
.30916 .24899 L
.30981 .24742 L
.3104 .24593 L
.31099 .24436 L
.31151 .24287 L
.31202 .2413 L
.31247 .23981 L
.31287 .23838 L
.31325 .23688 L
.31357 .23544 L
.31387 .23392 L
.31413 .23246 L
.31433 .23106 L
.31451 .22958 L
.31463 .22823 L
s
.3 .28333 m
.30134 .2815 L
.30275 .27956 L
.30404 .2778 L
.30523 .27615 L
.30646 .27445 L
.30761 .27286 L
.30878 .27122 L
.30987 .26968 L
.31088 .26824 L
.31191 .26675 L
.31286 .26534 L
.31375 .26403 L
.31465 .26266 L
.31548 .26137 L
.31632 .26003 L
.3171 .25877 L
.31781 .25758 L
.31853 .25634 L
.31919 .25516 L
.31985 .25394 L
.32046 .25278 L
.32101 .25168 L
.32156 .25052 L
.32203 .24948 L
s
.3 .3 m
.30154 .29822 L
.30317 .29634 L
.30467 .29465 L
.30608 .29309 L
.30754 .29148 L
.30892 .28999 L
.31034 .28847 L
.31168 .28705 L
.31293 .28574 L
.31423 .28439 L
.31544 .28314 L
.31658 .28197 L
.31775 .28077 L
.31885 .27966 L
.31999 .27851 L
.32105 .27745 L
.32204 .27646 L
.32307 .27543 L
.32403 .27448 L
.32501 .2735 L
.32593 .27258 L
.32679 .27172 L
.32767 .27084 L
.32846 .27006 L
s
.3 .31667 m
.30169 .31493 L
.30349 .31313 L
.30516 .3115 L
.30674 .31001 L
.30839 .30849 L
.30995 .30709 L
.31158 .30566 L
.31312 .30435 L
.31458 .30315 L
.31609 .30193 L
.31753 .3008 L
.31888 .29976 L
.32029 .29871 L
.32162 .29774 L
.32301 .29676 L
.32432 .29586 L
.32555 .29503 L
.32684 .29419 L
.32806 .29342 L
.32932 .29264 L
.33052 .29192 L
.33164 .29127 L
.33282 .2906 L
.33387 .29003 L
s
.3 .33333 m
.30179 .33165 L
.30372 .3299 L
.30551 .32834 L
.30721 .32691 L
.30901 .32546 L
.31071 .32414 L
.3125 .32281 L
.31419 .32159 L
.31581 .32048 L
.3175 .31936 L
.31911 .31834 L
.32064 .31741 L
.32224 .31648 L
.32376 .31563 L
.32536 .31478 L
.32687 .31402 L
.32831 .31332 L
.32982 .31263 L
.33125 .31201 L
.33276 .31139 L
.33418 .31084 L
.33554 .31035 L
.33696 .30986 L
.33824 .30945 L
s
.3 .35 m
.30185 .34837 L
.30385 .34667 L
.30571 .34517 L
.30749 .3438 L
.30938 .34241 L
.31118 .34116 L
.31307 .3399 L
.31489 .33875 L
.31662 .33772 L
.31844 .33669 L
.32018 .33575 L
.32184 .33491 L
.32358 .33408 L
.32525 .33333 L
.32701 .33259 L
.32869 .33193 L
.33029 .33135 L
.33197 .33078 L
.33358 .33027 L
.33527 .32979 L
.33689 .32936 L
.33843 .329 L
.34006 .32865 L
.34153 .32837 L
s
.3 .36667 m
.30185 .36508 L
.30387 .36344 L
.30577 .36199 L
.30758 .36067 L
.30951 .35934 L
.31136 .35813 L
.31331 .35694 L
.31519 .35585 L
.31699 .35488 L
.31889 .35391 L
.32072 .35305 L
.32246 .35228 L
.32431 .35152 L
.32608 .35085 L
.32795 .35019 L
.32974 .34962 L
.33145 .34911 L
.33327 .34863 L
.33501 .34822 L
.33684 .34783 L
.3386 .34751 L
.34029 .34724 L
.34207 .347 L
.34369 .34682 L
s
.3 .38333 m
.30182 .38179 L
.3038 .3802 L
.30567 .37879 L
.30747 .37752 L
.30939 .37623 L
.31124 .37507 L
.31321 .37392 L
.3151 .37289 L
.31692 .37196 L
.31885 .37104 L
.32071 .37023 L
.32249 .3695 L
.32439 .36879 L
.32621 .36817 L
.32815 .36758 L
.33 .36706 L
.33179 .36662 L
.33368 .3662 L
.3355 .36585 L
.33742 .36553 L
.33927 .36528 L
.34105 .36508 L
.34294 .36491 L
.34466 .3648 L
s
.3 .4 m
.30173 .3985 L
.30363 .39696 L
.30543 .39559 L
.30717 .39435 L
.30903 .3931 L
.31083 .39197 L
.31275 .39085 L
.3146 .38985 L
.31639 .38895 L
.3183 .38806 L
.32015 .38728 L
.32192 .38658 L
.32381 .3859 L
.32564 .38531 L
.32758 .38475 L
.32945 .38426 L
.33125 .38385 L
.33316 .38347 L
.33501 .38316 L
.33697 .38288 L
.33886 .38266 L
.34068 .3825 L
.3416 .38244 L
.34262 .38238 L
.34353 .38234 L
.34439 .38231 L
s
.3 .41667 m
.3016 .41522 L
.30336 .41371 L
.30503 .41238 L
.30666 .41116 L
.30841 .40994 L
.31011 .40883 L
.31193 .40773 L
.31369 .40674 L
.3154 .40585 L
.31724 .40498 L
.31901 .4042 L
.32072 .40351 L
.32255 .40284 L
.32433 .40225 L
.32622 .40169 L
.32805 .40122 L
.32981 .40081 L
.33169 .40043 L
.33351 .40012 L
.33545 .39985 L
.33732 .39965 L
.33913 .39949 L
.34007 .39943 L
.34106 .39938 L
.3415 .39936 L
.34197 .39935 L
.34282 .39932 L
s
.3 .43333 m
.30141 .43193 L
.30298 .43046 L
.30449 .42915 L
.30595 .42796 L
.30754 .42675 L
.30908 .42565 L
.31074 .42455 L
.31236 .42356 L
.31394 .42266 L
.31564 .42178 L
.31728 .42098 L
.31888 .42028 L
.3206 .41959 L
.32226 .41898 L
.32404 .4184 L
.32577 .41789 L
.32744 .41746 L
.32923 .41706 L
.33097 .41672 L
.33282 .41642 L
.33462 .41619 L
.33635 .41601 L
.33724 .41594 L
.33821 .41587 L
.33991 .41579 L
s
.3 .45 m
.30118 .44863 L
.30251 .4472 L
.30379 .44592 L
.30504 .44473 L
.3064 .44353 L
.30774 .44242 L
.30919 .44131 L
.31061 .4403 L
.31199 .43938 L
.31349 .43846 L
.31495 .43763 L
.31638 .43688 L
.31792 .43614 L
.31941 .43548 L
.32102 .43484 L
.32259 .43428 L
.32411 .43378 L
.32575 .43332 L
.32734 .43292 L
.32904 .43255 L
.3307 .43224 L
.3323 .432 L
.33402 .43179 L
.3356 .43164 L
s
.3 .46667 m
.30091 .46534 L
.30193 .46394 L
.30293 .46267 L
.30392 .46149 L
.305 .46028 L
.30608 .45915 L
.30725 .45801 L
.30841 .45696 L
.30955 .45599 L
.31079 .45501 L
.31201 .45411 L
.3132 .45329 L
.3145 .45247 L
.31577 .45173 L
.31714 .45099 L
.31849 .45033 L
.3198 .44973 L
.32121 .44915 L
.32259 .44864 L
.32408 .44815 L
.32553 .44773 L
.32694 .44737 L
.32846 .44703 L
.32986 .44676 L
s
.3 .48333 m
.30058 .48205 L
.30125 .48067 L
.30192 .47941 L
.30259 .47823 L
.30334 .47699 L
.30409 .47584 L
.30493 .47464 L
.30576 .47353 L
.3066 .47248 L
.30752 .47141 L
.30843 .47042 L
.30933 .4695 L
.31032 .46856 L
.3113 .46769 L
.31237 .46681 L
.31343 .466 L
.31446 .46526 L
.31559 .46451 L
.3167 .46384 L
.3179 .46316 L
.31908 .46256 L
.32024 .46201 L
.32149 .46148 L
.32265 .46103 L
s
.3 .5 m
.30021 .49875 L
.30047 .4974 L
.30075 .49614 L
.30105 .49494 L
.3014 .49367 L
.30178 .49247 L
.30221 .4912 L
.30267 .49 L
.30313 .48886 L
.30366 .48767 L
.30421 .48654 L
.30476 .48548 L
.30537 .48437 L
.306 .48333 L
.30669 .48225 L
.30739 .48124 L
.30809 .4803 L
.30887 .47932 L
.30964 .47841 L
.31049 .47747 L
.31134 .47661 L
.31218 .4758 L
.3131 .47498 L
.31396 .47427 L
s
.3 .51667 m
.29978 .51546 L
.29958 .51412 L
.29942 .51286 L
.29929 .51163 L
.29924 .51095 L
.2992 .51032 L
.29916 .50966 L
.29913 .50904 L
.29912 .50875 L
.29911 .50842 L
.29911 .50809 L
.2991 .5079 L
.2991 .50773 L
.2991 .50757 L
.2991 .50748 L
.2991 .50743 L
.2991 .50739 L
.2991 .50735 L
.2991 .50731 L
.2991 .50727 L
.2991 .50724 L
.2991 .5072 L
.2991 .50715 L
.2991 .50713 L
.2991 .50711 L
.2991 .50707 L
.2991 .50703 L
.2991 .50699 L
.2991 .5069 L
.2991 .50683 L
.2991 .50675 L
.2991 .50661 L
.2991 .50646 L
.29911 .50612 L
.29912 .50582 L
.29914 .50513 L
.29917 .50451 L
.29921 .50382 L
.29932 .50248 L
.29946 .5012 L
.29964 .49983 L
.29985 .49852 L
.30009 .49727 L
.30038 .49595 L
.30069 .49469 L
.30102 .49349 L
.30141 .49222 L
.30182 .49102 L
.30228 .48975 L
Mistroke
.30277 .48856 L
.30326 .48742 L
.30381 .48627 L
Mfstroke
.3 .53333 m
.29931 .53216 L
.29858 .53084 L
.29793 .52956 L
.29732 .5283 L
.29671 .52692 L
.29615 .52556 L
.29558 .52408 L
.29507 .52263 L
.29461 .5212 L
.29416 .51965 L
.29376 .51813 L
.29342 .51664 L
.29308 .51504 L
.2928 .51348 L
.29254 .51179 L
.29234 .51016 L
.29218 .50857 L
.29211 .50768 L
.29206 .50687 L
.29201 .50601 L
.29198 .50522 L
.29196 .50482 L
.29195 .5044 L
.29195 .50398 L
.29194 .50374 L
.29194 .50363 L
.29194 .50352 L
.29194 .50342 L
.29194 .50331 L
.29194 .50325 L
.29194 .5032 L
.29194 .50316 L
.29194 .50313 L
.29194 .50311 L
.29194 .50308 L
.29194 .50303 L
.29194 .50298 L
.29194 .50292 L
.29194 .50287 L
.29194 .50282 L
.29194 .50276 L
.29194 .50266 L
.29194 .50256 L
.29194 .50246 L
.29194 .50225 L
.29195 .50205 L
.29195 .50187 L
.29196 .50142 L
.29197 .501 L
Mistroke
.292 .50021 L
.29204 .49937 L
.29209 .49858 L
.29222 .49692 L
.29224 .49677 L
Mfstroke
.3 .55 m
.29879 .54886 L
.29749 .54755 L
.29628 .54625 L
.29514 .54495 L
.29394 .54349 L
.29282 .54202 L
.29165 .54039 L
.29056 .53876 L
.28954 .53713 L
.28849 .53533 L
.28752 .53353 L
.28663 .53175 L
.28572 .5298 L
.28489 .52786 L
.28405 .52575 L
.2833 .52366 L
.28262 .5216 L
.28196 .51936 L
.28138 .51717 L
.28082 .51479 L
.28035 .51246 L
.27995 .51019 L
.27958 .50774 L
.27931 .50548 L
s
.3 .56667 m
.29822 .56556 L
.29628 .56426 L
.29446 .56293 L
.29273 .56157 L
.29089 .56001 L
.28914 .55841 L
.2873 .5566 L
.28556 .55475 L
.28391 .55288 L
.2822 .55077 L
.28059 .54864 L
.27908 .54649 L
.27752 .54409 L
.27608 .54169 L
.27461 .53903 L
.27325 .53637 L
.27201 .53372 L
.27076 .53081 L
.26964 .52792 L
.26852 .52475 L
.26754 .52162 L
.26667 .51853 L
.26584 .51517 L
.26516 .51205 L
s
.3 .58333 m
.2976 .58226 L
.29497 .58096 L
.29249 .57959 L
.29009 .57816 L
.28755 .57648 L
.28511 .57473 L
.28253 .57271 L
.28007 .5706 L
.27772 .56842 L
.27527 .56595 L
.27295 .5634 L
.27077 .5608 L
.2685 .55787 L
.26639 .55489 L
.26421 .55156 L
.26221 .54818 L
.26036 .54479 L
.25849 .54102 L
.2568 .53725 L
.25511 .53309 L
.25361 .52894 L
.25228 .52482 L
.25099 .52032 L
.24994 .5161 L
s
.3 .6 m
.29693 .59896 L
.29355 .59765 L
.29034 .59624 L
.28724 .59472 L
.28392 .59291 L
.28072 .59097 L
.27732 .58869 L
.27407 .58628 L
.27096 .58374 L
.2677 .58082 L
.2646 .57777 L
.26168 .57463 L
.25865 .57104 L
.25581 .56735 L
.25289 .56319 L
.25019 .55893 L
.2477 .55462 L
.2452 .5498 L
.24293 .54493 L
.24068 .53954 L
.23868 .53413 L
.23692 .52873 L
.23523 .52281 L
.23387 .51725 L
s
.3 .61667 m
.29622 .61566 L
.29202 .61434 L
.28803 .61287 L
.28415 .61125 L
.27999 .60928 L
.27597 .60712 L
.27168 .60454 L
.26757 .60177 L
.26363 .59881 L
.25948 .59536 L
.25554 .59171 L
.25183 .5879 L
.24796 .58352 L
.24435 .57898 L
.24065 .5738 L
.23723 .56846 L
.2341 .56302 L
.23095 .55691 L
.22812 .55071 L
.22534 .5438 L
.2229 .53685 L
.22078 .52991 L
.21879 .52227 L
.2172 .51508 L
s
.3 .63333 m
.29545 .63235 L
.29039 .63102 L
.28555 .62949 L
.28084 .62775 L
.27577 .62559 L
.27085 .62318 L
.2656 .62025 L
.26055 .61705 L
.25571 .6136 L
.25061 .60951 L
.24577 .60515 L
.24121 .60055 L
.23646 .59521 L
.23205 .58963 L
.22753 .58323 L
.22339 .57659 L
.21962 .56979 L
.21586 .56211 L
.21251 .55429 L
.20927 .54557 L
.20647 .53677 L
.20409 .52798 L
.20191 .51831 L
.20024 .50922 L
s
.3 .65 m
.29463 .64905 L
.28864 .64769 L
.2829 .64608 L
.27729 .64421 L
.27124 .64183 L
.26536 .63914 L
.25908 .6358 L
.25302 .63211 L
.24721 .62807 L
.24109 .62323 L
.23529 .61802 L
.22982 .61249 L
.22417 .606 L
.21892 .59919 L
.21358 .59131 L
.20872 .58312 L
.20434 .57468 L
.20003 .56513 L
.19624 .5554 L
.19264 .54452 L
.1896 .53356 L
.1871 .52261 L
.18489 .51059 L
.1833 .49932 L
s
.3 .66667 m
.29376 .66574 L
.28679 .66435 L
.28008 .66266 L
.27351 .66064 L
.26641 .65801 L
.25949 .65498 L
.2521 .65118 L
.24496 .64691 L
.23812 .64219 L
.23092 .63647 L
.2241 .63026 L
.2177 .62361 L
.2111 .61577 L
.20501 .60748 L
.19887 .59786 L
.19333 .58782 L
.18839 .57746 L
.18361 .56571 L
.17949 .55373 L
.17566 .54035 L
.17255 .5269 L
.17009 .51349 L
.16805 .49883 L
.16671 .48514 L
s
.3 .68333 m
.29285 .68243 L
.28482 .68101 L
.27709 .67922 L
.26949 .67702 L
.26127 .67411 L
.25325 .67071 L
.24466 .66637 L
.23637 .66142 L
.22844 .65591 L
.22009 .64917 L
.21222 .64178 L
.20485 .63382 L
.1973 .62439 L
.19037 .61436 L
.18346 .60269 L
.1773 .59048 L
.1719 .57786 L
.16676 .56356 L
.16245 .549 L
.15858 .53278 L
.15557 .51651 L
.15334 .50038 L
.15244 .49189 L
.15167 .48282 L
.15114 .47441 L
.15077 .46651 L
s
.3 .7 m
.29608 .69962 L
.29188 .69912 L
.28274 .69766 L
.27426 .69584 L
.26502 .6933 L
.25595 .69019 L
.24618 .68609 L
.23668 .68129 L
.22754 .6758 L
.21786 .66895 L
.20868 .6613 L
.20004 .65291 L
.19115 .64281 L
.18296 .63193 L
.17476 .61911 L
.16743 .60553 L
.16099 .59138 L
.15487 .5752 L
.14973 .55862 L
.14514 .54004 L
.14159 .52132 L
.13898 .5027 L
.13794 .49288 L
.13707 .48239 L
.13675 .47763 L
.13646 .47252 L
.13624 .46772 L
.13607 .46326 L
.13593 .45838 L
.13587 .45581 L
.13582 .45307 L
.13581 .45193 L
.13579 .4507 L
.13578 .44963 L
.13578 .44847 L
.13577 .44785 L
.13577 .44718 L
.13577 .44681 L
.13577 .44648 L
.13576 .44582 L
.13576 .44522 L
.13576 .44457 L
.13576 .44396 L
.13576 .44339 L
s
.3 .71667 m
.29559 .71631 L
.29086 .71581 L
.28056 .71431 L
.27096 .71236 L
.26049 .70958 L
.2502 .70613 L
.2391 .70151 L
.22832 .69602 L
.21793 .68968 L
.20697 .6817 L
.19659 .67271 L
.18687 .66279 L
.17692 .6508 L
.16785 .63783 L
.15885 .6225 L
.15093 .60627 L
.1441 .58935 L
.13776 .57004 L
.13261 .5503 L
.1282 .52828 L
.12642 .51687 L
.12502 .50621 L
.12381 .49499 L
.12291 .48439 L
.12222 .47358 L
.12194 .46782 L
.1217 .46163 L
.12154 .45572 L
.12147 .45238 L
.12145 .45078 L
.12143 .44928 L
.12141 .44787 L
.1214 .44658 L
.12139 .44515 L
.12139 .44439 L
.12138 .44398 L
.12138 .4436 L
.12138 .44287 L
.12138 .44248 L
.12138 .4421 L
.12138 .44143 L
.12138 .44071 L
.12138 .44033 L
.12138 .43991 L
.12138 .43948 L
.12138 .43907 L
.12139 .43833 L
.12139 .43755 L
.1214 .43611 L
Mistroke
.12142 .43477 L
.12145 .43173 L
.1215 .42883 L
.12156 .42621 L
.1217 .42087 L
.12188 .41585 L
Mfstroke
.3 .73333 m
.29508 .73299 L
.2898 .7325 L
.28434 .73184 L
.27826 .73094 L
.26679 .7287 L
.25544 .72574 L
.24312 .7216 L
.23107 .71649 L
.21938 .71043 L
.20695 .70259 L
.1951 .69357 L
.18394 .68342 L
.17245 .67093 L
.1619 .65722 L
.15138 .64078 L
.14209 .62314 L
.13404 .60457 L
.12655 .58318 L
.12046 .56115 L
.11526 .53641 L
.11315 .52356 L
.1115 .51152 L
.11009 .49882 L
.10903 .48683 L
.10823 .47458 L
.1079 .46805 L
.10762 .46102 L
.10744 .45432 L
.10736 .45053 L
.10733 .44872 L
.10731 .44702 L
.10729 .44542 L
.10728 .44395 L
.10727 .44232 L
.10727 .44147 L
.10726 .441 L
.10726 .44057 L
.10726 .43975 L
.10726 .4393 L
.10726 .43887 L
.10726 .43811 L
.10726 .43729 L
.10726 .43686 L
.10727 .43639 L
.10727 .43543 L
.10727 .43454 L
.10728 .43371 L
.10729 .432 L
.10731 .43041 L
Mistroke
.10736 .42682 L
.10742 .42365 L
.1075 .42028 L
.10769 .41385 L
.1079 .40803 L
.10846 .39649 L
.10922 .38407 L
Mfstroke
.3 .75 m
.29454 .74967 L
.28868 .74918 L
.28261 .74851 L
.27584 .74757 L
.26306 .74516 L
.25039 .74191 L
.23662 .73729 L
.22314 .73153 L
.21007 .7246 L
.1962 .71557 L
.18301 .70509 L
.17065 .69323 L
.15799 .67857 L
.14648 .66242 L
.13515 .64303 L
.1253 .62223 L
.11695 .60035 L
.10939 .57524 L
.10348 .54949 L
.101 .53584 L
.09872 .52074 L
.09706 .50715 L
.0956 .49201 L
.09457 .47744 L
.09414 .46942 L
.09383 .46191 L
.09371 .4582 L
.0936 .45416 L
.09352 .4506 L
.09346 .44681 L
.09344 .44517 L
.09342 .4434 L
.09341 .44239 L
.0934 .44146 L
.0934 .44052 L
.09339 .43964 L
.09339 .43889 L
.09339 .43809 L
.09339 .43721 L
.09339 .4364 L
.09339 .43556 L
.09339 .43465 L
.09339 .43379 L
.09339 .433 L
.0934 .43206 L
.0934 .43118 L
.09342 .42952 L
.09343 .42773 L
.09346 .42578 L
Mistroke
.09351 .42227 L
.09358 .41902 L
.09377 .41158 L
.09405 .40366 L
.09482 .38776 L
.09578 .37288 L
.09783 .34829 L
Mfstroke
.3 .76667 m
.29714 .76654 L
.29398 .76636 L
.28751 .76587 L
.28023 .76511 L
.27331 .76418 L
.25969 .76171 L
.24475 .75793 L
.23 .75296 L
.21559 .74675 L
.20016 .73838 L
.18535 .72839 L
.17133 .71681 L
.15685 .70218 L
.14355 .68575 L
.13034 .66565 L
.11874 .64375 L
.10881 .6204 L
.09974 .59328 L
.09258 .56518 L
.08954 .55019 L
.08673 .53355 L
.08465 .51852 L
.08281 .50173 L
.08147 .48553 L
.0809 .4766 L
.08048 .46823 L
.08015 .45959 L
.08002 .45533 L
.07992 .45138 L
.07985 .44781 L
.07979 .444 L
.07977 .44203 L
.07976 .44018 L
.07975 .43919 L
.07974 .43815 L
.07974 .4376 L
.07974 .43701 L
.07974 .43596 L
.07973 .43486 L
.07973 .43385 L
.07973 .43332 L
.07973 .43274 L
.07974 .43213 L
.07974 .43156 L
.07974 .43051 L
.07974 .42956 L
.07976 .4274 L
.07978 .4255 L
.0798 .42342 L
Mistroke
.07986 .41963 L
.07994 .41525 L
.08005 .41058 L
.08032 .4022 L
.08066 .39364 L
.08112 .38441 L
.08214 .36778 L
.08492 .33435 L
.08761 .30881 L
Mfstroke
.3 .78333 m
.29687 .78321 L
.2934 .78304 L
.28629 .78255 L
.27829 .78177 L
.27067 .78079 L
.25565 .77812 L
.24723 .77618 L
.23916 .77397 L
.22349 .76867 L
.20655 .76122 L
.19014 .75203 L
.17446 .74107 L
.15808 .72687 L
.14288 .71055 L
.12761 .69019 L
.11405 .66758 L
.10232 .64309 L
.09147 .61423 L
.08279 .58397 L
.07906 .56771 L
.07558 .54956 L
.07298 .53311 L
.07063 .51466 L
.06889 .49681 L
.06812 .48684 L
.06755 .47769 L
.06711 .46914 L
.06674 .45981 L
.06659 .45468 L
.06648 .44992 L
.06639 .44537 L
.06636 .44306 L
.06633 .44052 L
.06631 .43835 L
.0663 .43712 L
.0663 .43598 L
.06629 .43477 L
.06629 .43367 L
.06629 .43306 L
.06629 .43239 L
.06629 .43119 L
.06629 .43016 L
.06629 .42903 L
.0663 .42785 L
.0663 .42674 L
.06632 .42476 L
.06633 .42263 L
.06636 .42016 L
.0664 .41746 L
Mistroke
.06649 .41255 L
.06673 .40334 L
.06706 .39379 L
.06743 .38516 L
.06851 .36591 L
.07137 .32956 L
.07488 .29534 L
.07839 .2659 L
Mfstroke
.3 .8 m
.29658 .79989 L
.29279 .79972 L
.28879 .79949 L
.28502 .79923 L
.27685 .79848 L
.26792 .79738 L
.25898 .79597 L
.25038 .79429 L
.23357 .79002 L
.21523 .78369 L
.1973 .77554 L
.17997 .7655 L
.16169 .75212 L
.14453 .73632 L
.12708 .71615 L
.11138 .69327 L
.09763 .66803 L
.08474 .6378 L
.07427 .60566 L
.06972 .58822 L
.06542 .56865 L
.05919 .53074 L
.05692 .51123 L
.05597 .50115 L
.05511 .49027 L
.05444 .47994 L
.05394 .47048 L
.05356 .46093 L
.05329 .45186 L
.05319 .44718 L
.05311 .44201 L
.05308 .43941 L
.05307 .43805 L
.05306 .43661 L
.05305 .43535 L
.05304 .43396 L
.05304 .43271 L
.05303 .43154 L
.05303 .43036 L
.05303 .42908 L
.05304 .42788 L
.05304 .42677 L
.05304 .42576 L
.05305 .42466 L
.05306 .42243 L
.05308 .42001 L
.05311 .41741 L
.05319 .4127 L
.05329 .40733 L
Mistroke
.05342 .40235 L
.05378 .39108 L
.0542 .38117 L
.05473 .37064 L
.05769 .32879 L
.06152 .28937 L
.06579 .25247 L
.06994 .21984 L
Mfstroke
.3 .81667 m
.29808 .81662 L
.29628 .81656 L
.29216 .8164 L
.2881 .81619 L
.2837 .81591 L
.27404 .81505 L
.26504 .81397 L
.25628 .81262 L
.24659 .81077 L
.22703 .80578 L
.2077 .79898 L
.18884 .79024 L
.16869 .77815 L
.14953 .76343 L
.12978 .74411 L
.11175 .72164 L
.09571 .6963 L
.08043 .66535 L
.06779 .63186 L
.06221 .61347 L
.05687 .59269 L
.04893 .55205 L
.04594 .53096 L
.04347 .50821 L
.04258 .49783 L
.04178 .48664 L
.04116 .47608 L
.04071 .46627 L
.04032 .4549 L
.04018 .44889 L
.04011 .44581 L
.04006 .4425 L
.04002 .43961 L
.04 .43696 L
.03998 .43442 L
.03997 .43315 L
.03996 .43175 L
.03996 .43095 L
.03996 .4302 L
.03996 .42878 L
.03996 .42799 L
.03996 .42726 L
.03996 .42645 L
.03996 .4256 L
.03997 .4242 L
.03997 .42288 L
.03998 .42143 L
.03999 .41988 L
.04002 .41702 L
Mistroke
.04005 .41397 L
.04014 .40849 L
.04028 .40198 L
.04044 .39608 L
.04084 .38446 L
.04132 .37356 L
.04258 .35116 L
.04404 .33075 L
.04793 .28781 L
.05235 .24763 L
.05742 .20621 L
.06192 .17079 L
Mfstroke
.3 .83333 m
.29792 .83329 L
.29597 .83324 L
.29151 .83309 L
.2871 .83288 L
.28232 .83258 L
.27184 .8317 L
.26206 .83054 L
.25252 .82909 L
.24197 .82708 L
.22065 .82159 L
.19957 .81401 L
.17902 .80416 L
.15711 .79044 L
.13636 .77364 L
.11511 .75147 L
.09591 .72562 L
.07906 .69649 L
.06332 .66095 L
.05066 .62265 L
.04522 .60171 L
.04015 .57813 L
.03638 .55658 L
.033 .53228 L
.03052 .50865 L
.02946 .49557 L
.02865 .48326 L
.028 .47055 L
.02774 .46427 L
.02754 .45844 L
.02739 .45327 L
.02726 .44754 L
.02716 .44178 L
.02712 .43863 L
.02709 .43566 L
.02708 .43421 L
.02707 .43267 L
.02706 .43121 L
.02705 .42988 L
.02705 .42832 L
.02705 .42744 L
.02705 .42663 L
.02705 .42514 L
.02705 .42356 L
.02706 .42205 L
.02707 .42042 L
.02708 .41889 L
.02709 .41749 L
.02712 .41406 L
.02716 .41081 L
Mistroke
.02725 .40515 L
.02736 .39991 L
.0277 .38804 L
.02819 .37504 L
.02877 .36285 L
.03012 .3402 L
.03384 .29393 L
.03878 .24606 L
.04401 .20145 L
.04909 .16 L
.05399 .11885 L
Mfstroke
.3 .85 m
.29776 .84996 L
.29565 .84992 L
.29083 .84977 L
.28606 .84956 L
.2809 .84926 L
.26955 .84833 L
.25895 .8471 L
.24861 .84554 L
.23716 .84336 L
.21401 .83731 L
.19111 .82887 L
.1688 .81779 L
.14508 .80224 L
.12272 .78308 L
.1 .75772 L
.0797 .72811 L
.06217 .69475 L
.04615 .65418 L
.03369 .61068 L
.02818 .58527 L
.02386 .56047 L
.02039 .53506 L
.01791 .51118 L
.01608 .48644 L
.01533 .47227 L
.01482 .45897 L
.01463 .45228 L
.01455 .44874 L
.01448 .44499 L
.01442 .44171 L
.01437 .43809 L
.01434 .4348 L
.01433 .43332 L
.01432 .43171 L
.01431 .43013 L
.0143 .42866 L
.0143 .42711 L
.0143 .42545 L
.0143 .42391 L
.0143 .42245 L
.0143 .42114 L
.01431 .41972 L
.01432 .41816 L
.01433 .41645 L
.01436 .41299 L
.01439 .40978 L
.01444 .40679 L
.01456 .4001 L
.01473 .39282 L
Mistroke
.01514 .37957 L
.01567 .36672 L
.01625 .35483 L
.01981 .3032 L
.02488 .24976 L
.03044 .19997 L
.03592 .15372 L
.04139 .10624 L
.04574 .06398 L
Mfstroke
.3 .86667 m
.29758 .86663 L
.29532 .86659 L
.29282 .86653 L
.29012 .86645 L
.28456 .86622 L
.27942 .86593 L
.2737 .86553 L
.2674 .86498 L
.25573 .86365 L
.24415 .8619 L
.2316 .85947 L
.2084 .85335 L
.19625 .8492 L
.18305 .84386 L
.15676 .83023 L
.13157 .81266 L
.10798 .79103 L
.08419 .76239 L
.06322 .72905 L
.04367 .68742 L
.03513 .66423 L
.02809 .64163 L
.01646 .59303 L
.01203 .56794 L
.00811 .53958 L
.0053 .51216 L
.00409 .49656 L
.00322 .48224 L
.00255 .46791 L
.0021 .45461 L
.00194 .44765 L
.0018 .43996 L
.00176 .43609 L
.00174 .43406 L
.00172 .43191 L
.00171 .43003 L
.0017 .42904 L
.0017 .42797 L
.00169 .4261 L
.00169 .42436 L
.00169 .42256 L
.00169 .42154 L
.00169 .42058 L
.0017 .41865 L
.00171 .41757 L
.00171 .41658 L
.00174 .4129 L
.00177 .40941 L
.00182 .40538 L
Mistroke
.00188 .40165 L
.00206 .39321 L
.00246 .37898 L
.00305 .36388 L
.00471 .33289 L
.00675 .30404 L
.0116 .24995 L
.01758 .19429 L
.02351 .14264 L
.02886 .0947 L
.03372 .04528 L
.03674 .00603 L
Mfstroke
.3 .88333 m
.29875 .88332 L
.29741 .88331 L
.29498 .88327 L
.29207 .8832 L
.2894 .88313 L
.28353 .8829 L
.2779 .88261 L
.27167 .88218 L
.26584 .88169 L
.25239 .88019 L
.24061 .87842 L
.22735 .87587 L
.21355 .87253 L
.2007 .86872 L
.17436 .85854 L
.14708 .84397 L
.12103 .82524 L
.09417 .79949 L
.06987 .76844 L
.04656 .72841 L
.02729 .68308 L
.01227 .63373 L
.00597 .60629 L
.00043 .57608 L
s
.00043 .57608 m
0 .57302 L
s
0 .2363 m
.00232 .21257 L
.00873 .15423 L
.01472 .10016 L
.02027 .04469 L
.02255 .01755 L
s
.02255 .01755 m
.02379 0 L
s
.3 .9 m
.2993 .9 L
.29866 .89999 L
.29723 .89998 L
.29589 .89996 L
.29462 .89994 L
.29177 .89989 L
.28865 .89981 L
.28228 .89958 L
.27632 .89927 L
.27013 .89887 L
.26322 .8983 L
.24893 .89671 L
.2358 .89472 L
.22135 .89188 L
.20743 .88844 L
.19197 .88371 L
.1629 .87186 L
.13291 .85469 L
.10443 .83241 L
.07544 .80162 L
.04968 .76443 L
.02774 .72148 L
.01792 .69709 L
.00828 .66843 L
s
.00828 .66843 m
0 .63547 L
s
0 .11257 m
.00229 .09134 L
.00807 .03203 L
.01042 .00325 L
s
.01042 .00325 m
.01064 0 L
s
.3 .91667 m
.29925 .91666 L
.29857 .91666 L
.29778 .91666 L
.29704 .91665 L
.29571 .91664 L
.29426 .91662 L
.29095 .91656 L
.28787 .91649 L
.28152 .91627 L
.27828 .91613 L
.27468 .91594 L
.26755 .91548 L
.25976 .91484 L
.24535 .91322 L
.23 .91085 L
.21506 .90782 L
.18585 .89956 L
.17048 .89378 L
.15395 .88628 L
.12109 .86672 L
.09003 .84097 L
.0616 .80889 L
.03396 .76627 L
.0109 .71685 L
s
.0109 .71685 m
0 .68392 L
s
.31667 .08333 m
.31146 .0815 L
.30589 .07926 L
.30074 .07691 L
.29584 .07441 L
.29069 .07148 L
.28578 .06838 L
.28058 .06477 L
.27559 .06097 L
.27079 .057 L
.26567 .05241 L
.2607 .04762 L
.25589 .04265 L
.2507 .03693 L
.24564 .031 L
.24015 .0242 L
.23474 .01712 L
.22941 .0098 L
.22357 .0014 L
s
.22357 .0014 m
.22264 0 L
s
.31667 .1 m
.31224 .09823 L
.30749 .09609 L
.30308 .09388 L
.29889 .09156 L
.29446 .08886 L
.29022 .08603 L
.28573 .08277 L
.28141 .07936 L
.27724 .07582 L
.2728 .07176 L
.26849 .06755 L
.26431 .06321 L
.2598 .05825 L
.2554 .05313 L
.25064 .04729 L
.24596 .04126 L
.24135 .03505 L
.23632 .02797 L
.23133 .02067 L
.22586 .01234 L
.22039 .00372 L
s
.22039 .00372 m
.2181 0 L
s
.31667 .11667 m
.31298 .11496 L
.309 .11293 L
.3053 .11085 L
.30176 .10868 L
.29802 .1062 L
.29443 .10362 L
.29061 .10067 L
.28693 .09762 L
.28338 .09447 L
.27958 .09088 L
.2759 .08719 L
.27232 .08341 L
.26846 .07912 L
.26469 .07472 L
.26061 .06972 L
.25661 .06459 L
.25267 .05934 L
.24838 .0534 L
.24414 .04729 L
.23949 .04038 L
.23487 .03326 L
.23027 .02596 L
.22519 .01768 L
.22036 .00959 L
s
.31667 .13333 m
.31367 .13169 L
.31042 .12975 L
.30739 .1278 L
.30448 .12579 L
.30138 .1235 L
.29841 .12115 L
.29524 .11849 L
.29217 .11576 L
.2892 .11296 L
.28602 .1098 L
.28293 .10657 L
.27992 .10329 L
.27667 .09958 L
.2735 .0958 L
.27007 .09155 L
.2667 .0872 L
.26339 .08278 L
.25978 .0778 L
.25622 .07272 L
.25233 .067 L
.24847 .06115 L
.24463 .05519 L
.24041 .04846 L
.23642 .04193 L
s
.31667 .15 m
.31431 .14841 L
.31175 .14657 L
.30934 .14474 L
.30702 .14287 L
.30455 .14077 L
.30215 .13863 L
.29959 .13623 L
.29711 .13379 L
.2947 .13131 L
.2921 .12853 L
.28957 .12571 L
.28711 .12287 L
.28444 .11968 L
.28184 .11645 L
.27901 .11283 L
.27623 .10917 L
.27351 .10546 L
.27054 .10131 L
.2676 .0971 L
.2644 .09239 L
.26123 .0876 L
.25808 .08275 L
.25463 .07731 L
.25137 .07207 L
s
.31667 .16667 m
.31491 .16514 L
.31299 .16339 L
.31117 .16167 L
.3094 .15993 L
.30751 .158 L
.30566 .15606 L
.30368 .1539 L
.30175 .15172 L
.29986 .14952 L
.29782 .14709 L
.29583 .14464 L
.29388 .14218 L
.29176 .13944 L
.28969 .13669 L
.28743 .13363 L
.28521 .13055 L
.28303 .12746 L
.28065 .12401 L
.2783 .12055 L
.27573 .11669 L
.27319 .11279 L
.27067 .10887 L
.26791 .1045 L
.2653 .10032 L
s
.31667 .18333 m
.31546 .18186 L
.31413 .1802 L
.31286 .17859 L
.31161 .17698 L
.31026 .17521 L
.30893 .17344 L
.30749 .17149 L
.30608 .16955 L
.30469 .16762 L
.30318 .16549 L
.30169 .16336 L
.30022 .16124 L
.29863 .1589 L
.29705 .15657 L
.29534 .15399 L
.29364 .15142 L
.29196 .14885 L
.29013 .14601 L
.28832 .14318 L
.28634 .14004 L
.28437 .13689 L
.28242 .13374 L
.28028 .13026 L
.27826 .12694 L
s
.31667 .2 m
.31597 .19859 L
.31518 .19701 L
.31441 .19549 L
.31365 .194 L
.3128 .19238 L
.31196 .19078 L
.31103 .18903 L
.3101 .1873 L
.30917 .1856 L
.30815 .18374 L
.30714 .1819 L
.30613 .18008 L
.30502 .17809 L
.30392 .17612 L
.30271 .17397 L
.3015 .17183 L
.3003 .16971 L
.29898 .16739 L
.29767 .16508 L
.29622 .16255 L
.29479 .16003 L
.29336 .15753 L
.29178 .15478 L
.2903 .15218 L
s
.31667 .21667 m
.31643 .21531 L
.31614 .21381 L
.31584 .21239 L
.31551 .21101 L
.31513 .20952 L
.31473 .20807 L
.31427 .2065 L
.31379 .20497 L
.3133 .20348 L
.31275 .20186 L
.31218 .20027 L
.3116 .19872 L
.31094 .19703 L
.31028 .19538 L
.30954 .19359 L
.30879 .19183 L
.30803 .1901 L
.30719 .18821 L
.30634 .18636 L
.30539 .18434 L
.30445 .18234 L
.30349 .18037 L
.30244 .17823 L
.30144 .17621 L
s
.31667 .23333 m
.31685 .23203 L
.31701 .23061 L
.31707 .22992 L
.31712 .22928 L
.31716 .22863 L
.3172 .228 L
.31721 .22767 L
.31723 .22732 L
.31724 .22699 L
.31724 .22669 L
.31725 .22637 L
.31725 .22621 L
.31725 .22602 L
.31725 .22593 L
.31725 .22588 L
.31725 .22583 L
.31725 .22578 L
.31725 .22574 L
.31725 .22572 L
.31725 .2257 L
.31725 .22565 L
.31725 .22561 L
.31725 .22559 L
.31725 .22557 L
.31725 .22552 L
.31725 .2255 L
.31725 .22548 L
.31725 .22544 L
.31725 .22539 L
.31725 .22531 L
.31725 .22523 L
.31725 .22515 L
.31725 .225 L
.31725 .22481 L
.31725 .22465 L
.31724 .2243 L
.31723 .22393 L
.3172 .22326 L
.31717 .22264 L
.31708 .22131 L
.31695 .21988 L
.31679 .2185 L
.3166 .21716 L
.31637 .21572 L
.31611 .21432 L
.31583 .21296 L
.3155 .2115 L
.31515 .21007 L
.31474 .20854 L
Mistroke
.31432 .20704 L
.31388 .20557 L
.31337 .20399 L
.31285 .20245 L
.31226 .20077 L
.31169 .19922 L
Mfstroke
.31667 .25 m
.31722 .24875 L
.31778 .24741 L
.31827 .24616 L
.31871 .24498 L
.31914 .24373 L
.31952 .24254 L
.31989 .24129 L
.32021 .24009 L
.32049 .23895 L
.32075 .23773 L
.32097 .23657 L
.32115 .23546 L
.32131 .23427 L
.32144 .23314 L
.32149 .23256 L
.32154 .23193 L
.32158 .23132 L
.3216 .23076 L
.32163 .23019 L
.32163 .22987 L
.32164 .22973 L
.32164 .22957 L
.32164 .22943 L
.32164 .22928 L
.32164 .2292 L
.32165 .22913 L
.32165 .22905 L
.32165 .22902 L
.32165 .22898 L
.32165 .22895 L
.32165 .22891 L
.32165 .22888 L
.32165 .22884 L
.32165 .22881 L
.32165 .22878 L
.32165 .22875 L
.32165 .22872 L
.32165 .22868 L
.32165 .22865 L
.32165 .22857 L
.32165 .2285 L
.32164 .22844 L
.32164 .2283 L
.32164 .22815 L
.32164 .22784 L
.32163 .22756 L
.32162 .2273 L
.3216 .2267 L
.32157 .22615 L
Mistroke
.32149 .22496 L
.32138 .22382 L
.32124 .22259 L
.32107 .2214 L
.32106 .22133 L
Mfstroke
.31667 .26667 m
.31754 .26547 L
.31845 .2642 L
.31928 .26304 L
.32004 .26194 L
.32081 .2608 L
.32152 .25973 L
.32225 .25861 L
.32291 .25755 L
.32352 .25655 L
.32414 .25551 L
.3247 .25452 L
.32522 .25359 L
.32574 .25261 L
.32621 .25168 L
.32668 .2507 L
.3271 .24977 L
.32748 .24889 L
.32786 .24796 L
.3282 .24708 L
.32854 .24614 L
.32883 .24525 L
.32909 .2444 L
.32934 .2435 L
.32954 .24268 L
s
.31667 .28333 m
.31782 .28219 L
.31903 .28099 L
.32014 .2799 L
.32118 .27889 L
.32226 .27784 L
.32326 .27687 L
.3243 .27588 L
.32527 .27495 L
.32617 .27408 L
.32711 .27319 L
.32798 .27235 L
.32879 .27158 L
.32963 .27077 L
.33041 .27002 L
.33122 .26924 L
.33197 .26852 L
.33267 .26784 L
.33338 .26714 L
.33405 .26648 L
.33474 .26579 L
.33538 .26515 L
.33597 .26455 L
.33658 .26393 L
.33711 .26337 L
s
.31667 .3 m
.31804 .29891 L
.31952 .29777 L
.32087 .29676 L
.32215 .29582 L
.32348 .29487 L
.32473 .29399 L
.32604 .2931 L
.32727 .29229 L
.32844 .29154 L
.32965 .29077 L
.33079 .29008 L
.33186 .28943 L
.33298 .28878 L
.33404 .28818 L
.33514 .28758 L
.33618 .28703 L
.33716 .28652 L
.33818 .286 L
.33914 .28553 L
.34015 .28506 L
.34109 .28463 L
.34198 .28423 L
.34291 .28383 L
.34375 .28349 L
s
.31667 .31667 m
.31823 .31563 L
.3199 .31455 L
.32145 .3136 L
.32293 .31274 L
.32447 .31186 L
.32593 .31107 L
.32746 .31028 L
.32892 .30957 L
.33029 .30892 L
.33174 .30827 L
.33311 .30769 L
.33441 .30717 L
.33578 .30665 L
.33707 .30618 L
.33843 .30572 L
.33972 .30531 L
.34094 .30495 L
.34223 .3046 L
.34345 .30428 L
.34473 .30398 L
.34594 .30372 L
.3471 .3035 L
.34832 .30328 L
.34941 .30311 L
s
.31667 .33333 m
.31836 .33234 L
.32019 .33133 L
.32189 .33044 L
.32351 .32964 L
.32522 .32884 L
.32685 .32813 L
.32856 .32742 L
.33019 .32679 L
.33174 .32624 L
.33338 .32569 L
.33494 .32521 L
.33642 .32479 L
.33799 .32438 L
.33948 .32402 L
.34106 .32369 L
.34256 .3234 L
.34399 .32316 L
.34549 .32294 L
.34693 .32276 L
.34845 .3226 L
.3499 .32248 L
.35128 .32239 L
.35199 .32235 L
.35274 .32233 L
.35307 .32232 L
.35343 .32231 L
.35406 .32229 L
s
.31667 .35 m
.31845 .34906 L
.32038 .3481 L
.32219 .34727 L
.32391 .34653 L
.32574 .3458 L
.32748 .34515 L
.32932 .34452 L
.33109 .34397 L
.33277 .34349 L
.33455 .34303 L
.33626 .34263 L
.33788 .34229 L
.33961 .34198 L
.34126 .34172 L
.343 .34148 L
.34467 .3413 L
.34626 .34116 L
.34715 .34109 L
.34795 .34104 L
.34879 .341 L
.34956 .34097 L
.35036 .34095 L
.35077 .34094 L
.351 .34093 L
.35121 .34093 L
.3514 .34093 L
.3516 .34092 L
.35171 .34092 L
.35181 .34092 L
.35192 .34092 L
.35202 .34092 L
.3521 .34092 L
.35219 .34092 L
.35224 .34092 L
.35229 .34092 L
.35233 .34092 L
.35238 .34092 L
.35243 .34092 L
.35248 .34092 L
.35253 .34092 L
.35258 .34092 L
.35267 .34092 L
.35276 .34092 L
.35286 .34092 L
.35296 .34092 L
.35315 .34092 L
.35337 .34093 L
.35357 .34093 L
.35401 .34094 L
Mistroke
.35443 .34095 L
.35523 .34097 L
.35598 .341 L
.35756 .34108 L
.35765 .34108 L
Mfstroke
.31667 .36667 m
.31849 .36577 L
.32048 .36487 L
.32234 .36409 L
.32412 .3634 L
.32601 .36273 L
.32783 .36214 L
.32975 .36158 L
.3316 .36109 L
.33337 .36067 L
.33525 .36028 L
.33705 .35996 L
.33878 .35969 L
.34061 .35945 L
.34237 .35927 L
.34423 .35911 L
.34516 .35906 L
.34602 .35901 L
.34685 .35898 L
.34774 .35895 L
.3482 .35894 L
.34844 .35894 L
.3487 .35893 L
.34892 .35893 L
.34904 .35893 L
.34917 .35893 L
.34928 .35893 L
.34939 .35893 L
.3495 .35893 L
.34955 .35893 L
.3496 .35893 L
.34965 .35893 L
.34971 .35893 L
.34975 .35893 L
.3498 .35893 L
.34986 .35893 L
.34991 .35893 L
.34997 .35893 L
.35 .35893 L
.35003 .35893 L
.35014 .35893 L
.35027 .35893 L
.35038 .35893 L
.35049 .35893 L
.35089 .35893 L
.35109 .35894 L
.35131 .35894 L
.35218 .35896 L
.35267 .35897 L
.35311 .35899 L
Mistroke
.35488 .35907 L
.35657 .35919 L
.35838 .35934 L
.36011 .35951 L
.36012 .35952 L
Mfstroke
.31667 .38333 m
.31849 .38249 L
.32047 .38164 L
.32234 .38091 L
.32413 .38026 L
.32604 .37964 L
.32788 .3791 L
.32983 .37859 L
.33172 .37816 L
.33352 .37779 L
.33545 .37746 L
.3373 .37719 L
.33908 .37698 L
.34097 .3768 L
.34279 .37667 L
.34378 .37662 L
.34424 .37661 L
.34473 .37659 L
.34521 .37657 L
.34566 .37656 L
.3461 .37655 L
.34652 .37655 L
.34674 .37655 L
.34686 .37655 L
.34698 .37655 L
.3471 .37654 L
.34716 .37654 L
.34723 .37654 L
.34728 .37654 L
.34734 .37654 L
.3474 .37654 L
.34743 .37654 L
.34746 .37654 L
.34751 .37654 L
.34757 .37654 L
.34762 .37654 L
.34767 .37654 L
.34779 .37654 L
.34791 .37655 L
.34811 .37655 L
.34833 .37655 L
.34857 .37655 L
.3488 .37656 L
.34933 .37657 L
.34978 .37658 L
.35027 .37659 L
.35204 .37667 L
.35295 .37672 L
.35393 .37679 L
.35586 .37694 L
Mistroke
.35772 .37713 L
.35951 .37735 L
.36141 .3776 L
Mfstroke
.31667 .4 m
.31843 .3992 L
.32036 .3984 L
.32219 .39771 L
.32394 .39711 L
.32582 .39653 L
.32763 .39604 L
.32957 .39557 L
.33143 .39518 L
.33323 .39485 L
.33515 .39456 L
.337 .39433 L
.33878 .39416 L
.33977 .39408 L
.34068 .39402 L
.34163 .39397 L
.34251 .39394 L
.34298 .39393 L
.34341 .39391 L
.34388 .39391 L
.34414 .3939 L
.34439 .3939 L
.34461 .3939 L
.34473 .3939 L
.34485 .3939 L
.34491 .3939 L
.34497 .3939 L
.34503 .3939 L
.34509 .3939 L
.34512 .3939 L
.34515 .3939 L
.34519 .3939 L
.34522 .3939 L
.34528 .3939 L
.34531 .3939 L
.34534 .3939 L
.34539 .3939 L
.34545 .3939 L
.34554 .3939 L
.34566 .3939 L
.34577 .3939 L
.346 .3939 L
.34622 .3939 L
.34668 .39391 L
.34717 .39392 L
.34804 .39394 L
.34897 .39398 L
.34984 .39402 L
.35169 .39414 L
.35366 .39431 L
Mistroke
.35556 .39451 L
.35739 .39474 L
.35934 .39501 L
.36122 .39531 L
.36146 .39535 L
Mfstroke
.31667 .41667 m
.31833 .41591 L
.32016 .41516 L
.32189 .41451 L
.32356 .41395 L
.32535 .4134 L
.32709 .41294 L
.32894 .4125 L
.33074 .41214 L
.33247 .41184 L
.33433 .41158 L
.33612 .41137 L
.33785 .41123 L
.33874 .41117 L
.3397 .41112 L
.34017 .4111 L
.34068 .41108 L
.34117 .41106 L
.34161 .41105 L
.34183 .41105 L
.34208 .41105 L
.34231 .41104 L
.34252 .41104 L
.34263 .41104 L
.34274 .41104 L
.34281 .41104 L
.34286 .41104 L
.34289 .41104 L
.34293 .41104 L
.34296 .41104 L
.34299 .41104 L
.34305 .41104 L
.34311 .41104 L
.34317 .41104 L
.3432 .41104 L
.34323 .41104 L
.34329 .41104 L
.34336 .41104 L
.34349 .41104 L
.34361 .41104 L
.34374 .41104 L
.34397 .41104 L
.3444 .41105 L
.34491 .41106 L
.34538 .41107 L
.34625 .4111 L
.34721 .41115 L
.3491 .41127 L
.35093 .41142 L
.35288 .41163 L
Mistroke
.35476 .41186 L
.35657 .41212 L
.35851 .41243 L
.3602 .41273 L
Mfstroke
.31667 .43333 m
.31818 .43262 L
.31985 .43191 L
.32143 .4313 L
.32297 .43076 L
.32462 .43025 L
.32623 .42981 L
.32795 .42939 L
.32962 .42904 L
.33124 .42876 L
.33298 .42851 L
.33466 .42831 L
.33629 .42817 L
.33712 .42812 L
.33803 .42807 L
.33847 .42805 L
.33895 .42803 L
.33941 .42802 L
.33983 .42801 L
.34004 .42801 L
.34027 .428 L
.34037 .428 L
.34049 .428 L
.34059 .428 L
.34069 .428 L
.3408 .428 L
.34086 .428 L
.34091 .428 L
.34097 .428 L
.34102 .428 L
.34107 .428 L
.34113 .428 L
.34118 .428 L
.34121 .428 L
.34124 .428 L
.34135 .428 L
.34141 .428 L
.34148 .428 L
.34161 .428 L
.34184 .428 L
.34206 .42801 L
.34247 .42801 L
.34291 .42802 L
.3434 .42804 L
.34428 .42807 L
.34521 .42812 L
.3469 .42823 L
.34871 .4284 L
.35046 .42859 L
.35233 .42884 L
Mistroke
.35414 .42911 L
.35589 .42941 L
.35757 .42972 L
Mfstroke
.31667 .45 m
.31798 .44933 L
.31944 .44866 L
.32083 .44808 L
.32218 .44757 L
.32364 .44707 L
.32506 .44664 L
.32659 .44623 L
.32808 .44589 L
.32952 .4456 L
.33108 .44534 L
.33259 .44514 L
.33406 .44499 L
.33488 .44492 L
.33563 .44487 L
.33641 .44483 L
.33716 .4448 L
.33754 .44479 L
.33795 .44478 L
.33814 .44477 L
.33833 .44477 L
.33851 .44477 L
.33868 .44477 L
.33877 .44477 L
.33886 .44476 L
.33892 .44476 L
.33897 .44476 L
.33902 .44476 L
.33907 .44476 L
.33912 .44476 L
.33915 .44476 L
.33917 .44476 L
.3392 .44476 L
.33923 .44476 L
.33925 .44476 L
.33928 .44476 L
.33933 .44476 L
.33938 .44476 L
.33948 .44477 L
.33958 .44477 L
.33967 .44477 L
.33984 .44477 L
.34002 .44477 L
.34022 .44477 L
.3406 .44478 L
.34102 .44479 L
.34187 .44482 L
.34266 .44486 L
.34351 .44491 L
.3452 .44505 L
Mistroke
.34684 .44522 L
.34843 .44542 L
.35013 .44566 L
.35178 .44594 L
.3535 .44626 L
Mfstroke
.31667 .46667 m
.31774 .46604 L
.31893 .46541 L
.32007 .46485 L
.32118 .46436 L
.32239 .46387 L
.32357 .46344 L
.32485 .46303 L
.3261 .46267 L
.32731 .46237 L
.32862 .46208 L
.3299 .46185 L
.33115 .46167 L
.33249 .46151 L
.33379 .46139 L
.33451 .46134 L
.3352 .46131 L
.33553 .4613 L
.33588 .46128 L
.33621 .46127 L
.33651 .46127 L
.33668 .46127 L
.33686 .46126 L
.33701 .46126 L
.3371 .46126 L
.33718 .46126 L
.33722 .46126 L
.33725 .46126 L
.33727 .46126 L
.33731 .46126 L
.33736 .46126 L
.3374 .46126 L
.33744 .46126 L
.33748 .46126 L
.33753 .46126 L
.33757 .46126 L
.33762 .46126 L
.33772 .46126 L
.33782 .46126 L
.3379 .46126 L
.33808 .46127 L
.33827 .46127 L
.33862 .46128 L
.33896 .46129 L
.33927 .4613 L
.33993 .46133 L
.34067 .46137 L
.34211 .46147 L
.34351 .46161 L
.34501 .46179 L
Mistroke
.34646 .46201 L
.34788 .46224 L
.34792 .46225 L
Mfstroke
.31667 .48333 m
.31744 .48275 L
.31831 .48215 L
.31915 .48162 L
.31998 .48113 L
.32088 .48064 L
.32176 .4802 L
.32272 .47977 L
.32367 .47939 L
.32459 .47905 L
.3256 .47872 L
.32658 .47843 L
.32754 .47819 L
.32858 .47796 L
.32959 .47777 L
.33069 .4776 L
.33176 .47747 L
.3328 .47738 L
.33335 .47734 L
.33393 .47731 L
.33422 .4773 L
.33453 .47729 L
.33482 .47728 L
.3351 .47728 L
.33523 .47728 L
.3353 .47728 L
.33537 .47728 L
.33544 .47728 L
.33547 .47728 L
.33551 .47728 L
.33554 .47727 L
.33557 .47727 L
.3356 .47727 L
.33563 .47727 L
.33566 .47727 L
.3357 .47727 L
.33572 .47727 L
.33574 .47727 L
.33578 .47727 L
.33581 .47728 L
.33585 .47728 L
.33591 .47728 L
.33599 .47728 L
.33606 .47728 L
.33622 .47728 L
.33635 .47728 L
.33649 .47728 L
.33675 .47729 L
.33706 .4773 L
.33735 .47731 L
Mistroke
.3379 .47734 L
.3385 .47737 L
.3397 .47747 L
.34079 .47758 L
Mfstroke
.31667 .5 m
.3171 .49946 L
.3176 .49889 L
.31808 .49837 L
.31856 .49789 L
.31909 .49739 L
.31962 .49693 L
.32021 .49646 L
.32078 .49603 L
.32136 .49563 L
.32198 .49523 L
.3226 .49486 L
.32321 .49453 L
.32388 .4942 L
.32454 .4939 L
.32525 .4936 L
.32596 .49334 L
.32665 .49311 L
.3274 .49289 L
.32814 .4927 L
.32893 .49253 L
.32971 .49238 L
.33048 .49227 L
.33131 .49217 L
.33208 .4921 L
s
.31667 .51667 m
.31671 .51617 L
.31677 .51562 L
.31685 .51511 L
.31693 .51463 L
.31704 .51411 L
.31715 .51361 L
.31729 .51309 L
.31743 .51259 L
.31759 .51211 L
.31777 .51161 L
.31796 .51113 L
.31815 .51067 L
.31838 .5102 L
.3186 .50974 L
.31886 .50927 L
.31913 .50882 L
.31939 .5084 L
.31969 .50796 L
.32 .50754 L
.32034 .50712 L
.32068 .50671 L
.32102 .50634 L
.3214 .50595 L
.32175 .50561 L
s
.31667 .53333 m
.31627 .53287 L
.31585 .53235 L
.31546 .53185 L
.31509 .53135 L
.3147 .53079 L
.31434 .53025 L
.31396 .52965 L
.31361 .52906 L
.31328 .52847 L
.31295 .52784 L
.31263 .52721 L
.31234 .52659 L
.31204 .52592 L
.31177 .52526 L
.3115 .52454 L
.31125 .52384 L
.31102 .52315 L
.3108 .52241 L
.3106 .52168 L
.3104 .5209 L
.31023 .52013 L
.31008 .51939 L
.30995 .51859 L
.30984 .51785 L
s
.31667 .55 m
.31578 .54958 L
.31482 .54908 L
.3139 .54857 L
.31302 .54805 L
.31209 .54745 L
.31118 .54684 L
.31023 .54614 L
.30931 .54543 L
.30843 .54471 L
.3075 .5439 L
.30661 .54307 L
.30576 .54224 L
.30487 .54131 L
.30403 .54038 L
.30314 .53934 L
.3023 .5383 L
.30152 .53726 L
.30069 .53611 L
.29992 .53496 L
.29913 .5337 L
.29839 .53244 L
.2977 .53119 L
.29699 .52982 L
.29637 .52853 L
s
.31667 .56667 m
.31525 .56628 L
.31368 .5658 L
.31219 .56528 L
.31074 .56473 L
.30919 .56407 L
.30768 .56337 L
.30607 .56256 L
.30451 .56169 L
.30301 .5608 L
.30141 .55977 L
.29987 .55869 L
.2984 .55759 L
.29684 .55634 L
.29535 .55505 L
.29378 .5536 L
.29229 .55212 L
.29087 .55061 L
.28939 .54893 L
.28799 .54722 L
.28654 .54532 L
.28518 .54339 L
.28391 .54147 L
.2826 .53933 L
.28145 .5373 L
s
.31667 .58333 m
.31466 .58299 L
.31243 .58252 L
.31031 .58198 L
.30823 .58139 L
.306 .58065 L
.30382 .57985 L
.30148 .57888 L
.29921 .57784 L
.29702 .57672 L
.29468 .57542 L
.29242 .57404 L
.29025 .5726 L
.28794 .57093 L
.28574 .5692 L
.28341 .56722 L
.2812 .56517 L
.2791 .56306 L
.2769 .56068 L
.27483 .55824 L
.27268 .5555 L
.27068 .55272 L
.26881 .5499 L
.26689 .54675 L
.26521 .54375 L
s
.31667 .6 m
.31403 .59969 L
.31108 .59923 L
.30826 .59867 L
.3055 .59802 L
.30252 .5972 L
.2996 .59626 L
.29646 .59511 L
.29341 .59384 L
.29045 .59247 L
.28729 .59082 L
.28423 .58906 L
.28129 .5872 L
.27817 .58501 L
.27518 .58272 L
.27204 .58007 L
.26905 .5773 L
.26622 .57444 L
.26326 .57116 L
.26049 .5678 L
.25763 .56399 L
.25497 .56008 L
.25252 .55612 L
.25002 .55168 L
.24786 .54743 L
s
.31667 .61667 m
.31506 .61655 L
.31334 .61639 L
.30962 .61593 L
.30619 .61537 L
.30245 .61461 L
.29879 .61371 L
.29484 .61255 L
.29097 .61122 L
.28721 .60974 L
.28317 .60794 L
.27925 .60596 L
.27548 .60382 L
.27146 .60128 L
.2676 .59857 L
.26353 .59539 L
.25966 .59202 L
.25599 .5885 L
.25216 .58443 L
.24857 .5802 L
.24488 .57537 L
.24145 .57038 L
.23829 .56528 L
.23511 .55954 L
.23222 .55369 L
.22965 .54787 L
s
.31667 .63333 m
.3147 .63323 L
.31261 .63309 L
.31045 .6329 L
.30806 .63263 L
.30356 .63199 L
.29914 .63117 L
.29433 .63006 L
.28962 .62874 L
.28501 .62721 L
.28005 .6253 L
.27522 .62315 L
.27055 .62078 L
.26557 .61792 L
.26078 .61481 L
.25571 .61111 L
.25088 .60714 L
.2463 .60293 L
.24153 .59802 L
.23705 .59287 L
.23245 .58693 L
.2282 .58075 L
.22431 .57438 L
.2204 .56717 L
.21688 .55979 L
.21375 .55233 L
.2109 .54458 L
s
.31667 .65 m
.31555 .64997 L
.31433 .64992 L
.31182 .64979 L
.30902 .64958 L
.30638 .64933 L
.30119 .64867 L
.29554 .6477 L
.28997 .64647 L
.2845 .64499 L
.27858 .64306 L
.27281 .64084 L
.2672 .63834 L
.26119 .63524 L
.2554 .63182 L
.24925 .62768 L
.24339 .62317 L
.23782 .61833 L
.232 .61262 L
.22656 .60655 L
.22097 .59949 L
.21581 .59208 L
.2111 .58438 L
.2064 .57561 L
.20219 .56659 L
.19849 .55742 L
.19492 .54716 L
.19198 .53714 L
s
.31667 .66667 m
.31599 .66666 L
.31536 .66664 L
.31393 .66661 L
.31251 .66655 L
.31099 .66648 L
.30767 .66628 L
.30459 .66602 L
.29834 .66528 L
.29216 .66428 L
.28542 .66284 L
.27879 .66108 L
.2723 .65898 L
.26529 .65628 L
.25848 .65319 L
.2512 .64933 L
.24418 .645 L
.23746 .64024 L
.23039 .63449 L
.22371 .62826 L
.2168 .62087 L
.21037 .61298 L
.20445 .60465 L
.19848 .59501 L
.19312 .58497 L
.18835 .57465 L
.18373 .56296 L
.17977 .55107 L
.17611 .53782 L
.17326 .52517 L
s
.31667 .68333 m
.31647 .68333 L
.31629 .68333 L
.31589 .68333 L
.31552 .68332 L
.31516 .68332 L
.31437 .68331 L
.3135 .68329 L
.31174 .68324 L
.31011 .68318 L
.30654 .68299 L
.30472 .68287 L
.30269 .6827 L
.2989 .68232 L
.29537 .68189 L
.28811 .68074 L
.28048 .67914 L
.27298 .67715 L
.26484 .67449 L
.25689 .67134 L
.24836 .66731 L
.24011 .66269 L
.23219 .65751 L
.22383 .65116 L
.21591 .64417 L
.20849 .63659 L
.20084 .62759 L
.1938 .61799 L
.18673 .60677 L
.18039 .59499 L
.17479 .58278 L
.16942 .56889 L
.16487 .55471 L
.16109 .54039 L
.15774 .52449 L
.15518 .50866 L
.15515 .50839 L
s
.31667 .7 m
.31644 .7 L
.31624 .7 L
.316 .7 L
.31578 .7 L
.31557 .7 L
.31538 .7 L
.31517 .7 L
.31495 .7 L
.31449 .69999 L
.31405 .69999 L
.31305 .69998 L
.31208 .69996 L
.31119 .69994 L
.30917 .69988 L
.30712 .69979 L
.30486 .69967 L
.30069 .69938 L
.29662 .699 L
.2922 .69848 L
.28324 .69706 L
.27436 .69516 L
.26562 .69276 L
.25614 .68952 L
.24688 .68565 L
.2379 .68117 L
.22833 .67549 L
.21916 .66908 L
.20954 .66116 L
.20049 .65241 L
.19206 .64289 L
.18349 .63155 L
.1757 .61944 L
.16872 .6067 L
.16192 .59199 L
.15605 .57677 L
.15061 .55952 L
.14618 .54199 L
.1427 .52439 L
.1411 .5143 L
.13985 .505 L
.13799 .48669 L
s
.31667 .71667 m
.31641 .71667 L
.31618 .71667 L
.31593 .71667 L
.31566 .71667 L
.31541 .71667 L
.31518 .71667 L
.31496 .71667 L
.31473 .71667 L
.31447 .71667 L
.3142 .71667 L
.31394 .71667 L
.31371 .71667 L
.31313 .71667 L
.31258 .71666 L
.3115 .71665 L
.31049 .71663 L
.30938 .7166 L
.30819 .71657 L
.30563 .71648 L
.30319 .71636 L
.29857 .71605 L
.29385 .71562 L
.28943 .71512 L
.27977 .71364 L
.27021 .71165 L
.25978 .70883 L
.24954 .70532 L
.23849 .70065 L
.22777 .69511 L
.21745 .68873 L
.20655 .68071 L
.19625 .67169 L
.18661 .66175 L
.17675 .64975 L
.16775 .63679 L
.15884 .62148 L
.15101 .60528 L
.14425 .58842 L
.13797 .56918 L
.13288 .54953 L
.12853 .52761 L
.12677 .51628 L
.12539 .50567 L
.12421 .49452 L
.12332 .48397 L
.12264 .47323 L
.12236 .46751 L
.12213 .46134 L
.12209 .46006 L
Mistroke
Mfstroke
.31667 .73333 m
.31612 .73334 L
.31554 .73334 L
.31526 .73335 L
.31499 .73335 L
.31475 .73335 L
.31449 .73335 L
.3142 .73335 L
.31389 .73335 L
.31361 .73335 L
.31334 .73335 L
.31303 .73335 L
.31274 .73335 L
.3124 .73335 L
.31209 .73335 L
.3115 .73334 L
.31087 .73334 L
.30974 .73332 L
.30839 .73329 L
.30715 .73326 L
.30452 .73318 L
.30164 .73305 L
.29633 .73271 L
.29106 .73225 L
.28538 .7316 L
.27488 .72997 L
.26336 .72749 L
.25199 .72428 L
.23966 .71983 L
.22762 .7144 L
.21598 .70799 L
.20363 .69976 L
.1919 .69033 L
.18089 .67978 L
.16958 .66686 L
.15925 .65273 L
.149 .63586 L
.14 .61784 L
.13225 .59893 L
.1251 .57723 L
.11934 .55497 L
.11449 .53005 L
.11255 .51715 L
.11106 .50505 L
.1098 .49235 L
.10889 .48033 L
.10822 .46811 L
.10796 .46159 L
.10784 .45795 L
.10776 .45457 L
Mistroke
.10769 .45124 L
.10764 .44823 L
.10762 .4465 L
.1076 .44487 L
.10759 .44316 L
.10758 .44219 L
.10758 .4413 L
.10758 .44057 L
.10758 .43979 L
.10758 .43905 L
.10758 .43838 L
.10758 .43759 L
.10758 .43673 L
.10758 .43592 L
.10759 .43517 L
.1076 .43367 L
.10761 .43202 L
.10765 .42869 L
Mfstroke
.31667 .75 m
.31606 .75001 L
.31542 .75002 L
.31486 .75002 L
.31425 .75003 L
.31387 .75003 L
.31353 .75003 L
.3132 .75003 L
.31285 .75003 L
.31253 .75003 L
.31224 .75003 L
.31191 .75003 L
.31157 .75003 L
.3112 .75003 L
.31087 .75003 L
.31011 .75002 L
.30943 .75002 L
.30871 .75001 L
.30733 .74998 L
.30607 .74996 L
.30313 .74987 L
.29992 .74973 L
.29685 .74956 L
.29399 .74937 L
.28842 .74889 L
.28219 .74819 L
.26967 .74624 L
.25723 .7435 L
.24366 .73952 L
.23033 .73447 L
.21735 .72833 L
.20349 .72023 L
.19025 .71075 L
.17774 .69994 L
.16483 .68646 L
.15298 .67149 L
.14118 .65337 L
.13078 .63378 L
.12181 .61303 L
.11353 .58901 L
.10688 .5642 L
.10401 .55099 L
.1013 .53629 L
.09739 .50819 L
.09598 .49388 L
.09539 .48651 L
.09485 .47855 L
.09444 .47104 L
.09413 .46416 L
.0939 .45721 L
Mistroke
.09381 .45381 L
.09374 .45061 L
.09368 .44686 L
.09366 .44522 L
.09364 .44347 L
.09363 .44257 L
.09362 .44157 L
.09362 .44065 L
.09361 .43982 L
.09361 .43883 L
.09361 .43829 L
.09361 .43778 L
.0936 .43686 L
.0936 .43635 L
.0936 .43587 L
.09361 .43509 L
.09361 .43424 L
.09361 .43344 L
.09361 .43271 L
.09362 .43102 L
.09364 .42923 L
.09367 .42587 L
.09373 .42219 L
.09381 .41835 L
.0939 .41473 L
.09411 .40797 L
.09477 .39284 L
Mfstroke
.31667 .76667 m
.31528 .76669 L
.31462 .7667 L
.31399 .7667 L
.31363 .76671 L
.31324 .76671 L
.31292 .76671 L
.31256 .76671 L
.31217 .76672 L
.31196 .76672 L
.31176 .76672 L
.31141 .76672 L
.31102 .76672 L
.31062 .76672 L
.31025 .76672 L
.31004 .76671 L
.30984 .76671 L
.30941 .76671 L
.30861 .7667 L
.30786 .7667 L
.30646 .76668 L
.30493 .76665 L
.30335 .76661 L
.3016 .76655 L
.29803 .76641 L
.29469 .76623 L
.29153 .76602 L
.28484 .76544 L
.27861 .76473 L
.26488 .76258 L
.25124 .75954 L
.23634 .75507 L
.22171 .74937 L
.20749 .74239 L
.19233 .73314 L
.17788 .72228 L
.16289 .7084 L
.14901 .69263 L
.13641 .67513 L
.12402 .65398 L
.11329 .63118 L
.10336 .60449 L
.09539 .57659 L
.08929 .54802 L
.08674 .5327 L
.0845 .51613 L
.08283 .50044 L
.08161 .48557 L
.08107 .47705 L
.08065 .46893 L
Mistroke
.08036 .46161 L
.08011 .45361 L
.08002 .4492 L
.07998 .44703 L
.07995 .44503 L
.07993 .44325 L
.07991 .4413 L
.07989 .43933 L
.07989 .43825 L
.07988 .43725 L
.07988 .43617 L
.07988 .43555 L
.07988 .43499 L
.07987 .43395 L
.07987 .43342 L
.07988 .43284 L
.07988 .43184 L
.07988 .43077 L
.07989 .42975 L
.07989 .42882 L
.07991 .42672 L
.07993 .42443 L
.07999 .4198 L
.08008 .41539 L
.08018 .41123 L
.08041 .40347 L
.08074 .39512 L
.08117 .3861 L
.08341 .35288 L
Mfstroke
.31667 .78333 m
.31515 .78336 L
.31372 .78338 L
.3129 .78339 L
.31215 .78339 L
.31173 .7834 L
.31151 .7834 L
.31128 .7834 L
.31085 .7834 L
.31046 .7834 L
.31005 .7834 L
.30967 .7834 L
.30924 .7834 L
.30882 .7834 L
.30844 .7834 L
.30809 .78339 L
.30728 .78339 L
.30639 .78338 L
.30558 .78337 L
.30375 .78334 L
.30188 .78329 L
.30016 .78324 L
.29622 .78309 L
.29271 .7829 L
.28896 .78266 L
.28182 .78204 L
.27503 .78128 L
.2602 .77894 L
.25189 .7772 L
.2439 .7752 L
.22837 .77037 L
.21154 .76351 L
.19519 .75497 L
.1795 .74472 L
.16304 .73137 L
.14768 .71594 L
.13215 .69656 L
.11824 .67493 L
.10609 .65138 L
.09473 .62347 L
.0855 .59405 L
.08148 .57818 L
.07766 .5604 L
.0721 .52608 L
.07005 .50848 L
.06919 .49939 L
.0684 .48955 L
.06778 .48026 L
.06731 .47173 L
.06694 .46312 L
Mistroke
.06667 .45492 L
.06656 .45027 L
.06648 .44606 L
.06645 .44372 L
.06642 .4412 L
.06639 .43881 L
.06639 .43775 L
.06638 .43661 L
.06637 .43554 L
.06637 .43457 L
.06637 .43359 L
.06637 .43267 L
.06637 .43159 L
.06637 .43059 L
.06637 .4295 L
.06637 .42834 L
.06638 .4273 L
.06638 .42619 L
.0664 .42418 L
.06642 .42179 L
.06645 .4196 L
.06652 .4152 L
.06661 .41051 L
.06684 .40208 L
.06721 .39206 L
.06762 .38299 L
.06863 .36538 L
.07 .34645 L
.07339 .30977 L
.07345 .30919 L
Mfstroke
.31667 .8 m
.315 .80003 L
.31344 .80006 L
.31254 .80007 L
.31172 .80007 L
.31126 .80008 L
.31077 .80008 L
.3103 .80008 L
.30986 .80008 L
.30945 .80009 L
.309 .80009 L
.30857 .80009 L
.30818 .80009 L
.30773 .80008 L
.30747 .80008 L
.30723 .80008 L
.30632 .80008 L
.30582 .80007 L
.30536 .80007 L
.30448 .80006 L
.30251 .80002 L
.30058 .79998 L
.29853 .79992 L
.29481 .79978 L
.29077 .79958 L
.28627 .79929 L
.27848 .79862 L
.26994 .79762 L
.26107 .79629 L
.25251 .7947 L
.23581 .79063 L
.21757 .78457 L
.1997 .77672 L
.18241 .76702 L
.16414 .75405 L
.14694 .73871 L
.12939 .71906 L
.11356 .69671 L
.09962 .672 L
.08649 .64233 L
.07575 .61069 L
.07105 .5935 L
.06658 .57415 L
.06002 .53662 L
.05759 .51729 L
.05561 .49645 L
.05491 .48701 L
.05429 .4768 L
.05382 .46712 L
.0535 .45825 L
Mistroke
.05336 .45338 L
.05324 .4482 L
.05319 .44567 L
.05316 .4433 L
.05313 .44118 L
.0531 .43886 L
.05308 .43628 L
.05307 .43487 L
.05307 .43355 L
.05306 .43232 L
.05306 .4312 L
.05306 .4299 L
.05306 .42867 L
.05306 .42734 L
.05307 .42667 L
.05307 .42593 L
.05307 .42462 L
.05308 .4234 L
.05311 .42064 L
.05314 .41766 L
.05321 .41258 L
.05331 .40785 L
.0536 .39715 L
.05398 .38674 L
.05449 .37566 L
.05578 .35402 L
.0573 .33381 L
.06086 .29583 L
.06465 .26215 L
Mfstroke
.31667 .81667 m
.31485 .8167 L
.31315 .81673 L
.31219 .81675 L
.31127 .81676 L
.31077 .81676 L
.31021 .81676 L
.30972 .81677 L
.30925 .81677 L
.30879 .81677 L
.3083 .81677 L
.30801 .81677 L
.30775 .81677 L
.30724 .81677 L
.30671 .81677 L
.30622 .81677 L
.30568 .81677 L
.3051 .81676 L
.30406 .81675 L
.30307 .81674 L
.30122 .81671 L
.29911 .81667 L
.29687 .8166 L
.29281 .81645 L
.28839 .81623 L
.28347 .81591 L
.27494 .81517 L
.26558 .81406 L
.25586 .81257 L
.24647 .81077 L
.22814 .80613 L
.20812 .79917 L
.18854 .7901 L
.16965 .77882 L
.14977 .76367 L
.1312 .7457 L
.11245 .72265 L
.09578 .69645 L
.08138 .66757 L
.06816 .63303 L
.05774 .59645 L
.05335 .57669 L
.04932 .55455 L
.04638 .53448 L
.04381 .51193 L
.04199 .49014 L
.04125 .47811 L
.04071 .46679 L
.0405 .46123 L
.04031 .45516 L
Mistroke
.04017 .44942 L
.04007 .44408 L
.04003 .44136 L
.04 .43879 L
.03998 .43649 L
.03996 .434 L
.03995 .4327 L
.03995 .43128 L
.03995 .43056 L
.03994 .42979 L
.03994 .4284 L
.03994 .42702 L
.03995 .42571 L
.03995 .42453 L
.03995 .42325 L
.03996 .42188 L
.03997 .42062 L
.03999 .41778 L
.04002 .41528 L
.04006 .41265 L
.04015 .40707 L
.04029 .40097 L
.04067 .38874 L
.04112 .3774 L
.04235 .35455 L
.04378 .33398 L
.04765 .29042 L
.0521 .24965 L
.05667 .21205 L
Mfstroke
.31667 .83333 m
.3147 .83338 L
.31285 .83341 L
.3118 .83342 L
.31081 .83344 L
.31026 .83344 L
.30966 .83345 L
.30912 .83345 L
.30861 .83345 L
.30811 .83345 L
.30757 .83346 L
.30727 .83346 L
.30698 .83346 L
.30643 .83346 L
.30585 .83346 L
.30532 .83345 L
.30501 .83345 L
.30473 .83345 L
.3041 .83345 L
.30306 .83344 L
.30194 .83343 L
.29988 .8334 L
.2976 .83335 L
.29509 .83328 L
.28995 .83308 L
.28512 .83283 L
.28055 .83252 L
.27084 .83166 L
.26178 .83057 L
.25227 .82911 L
.24172 .8271 L
.22043 .8216 L
.19939 .814 L
.17887 .80416 L
.157 .79044 L
.13629 .77366 L
.11508 .75153 L
.09591 .72573 L
.07909 .69667 L
.06336 .66122 L
.0507 .62301 L
.04527 .60215 L
.04019 .5786 L
.03641 .55712 L
.03302 .53285 L
.03053 .5093 L
.02945 .4961 L
.02864 .48394 L
.028 .4718 L
.02755 .46023 L
Mistroke
.02736 .45387 L
.02722 .44797 L
.0271 .44148 L
.02706 .43786 L
.02704 .43616 L
.02703 .43457 L
.02702 .43307 L
.02701 .4317 L
.02701 .43018 L
.027 .42855 L
.027 .42698 L
.027 .4261 L
.027 .42528 L
.027 .42378 L
.02701 .42219 L
.02701 .42085 L
.02702 .4194 L
.02704 .41678 L
.02707 .41367 L
.02711 .41082 L
.02721 .40484 L
.02735 .39831 L
.02774 .38518 L
.02825 .37255 L
.02881 .36111 L
.03038 .33563 L
.03437 .28776 L
.03907 .24297 L
.04451 .19687 L
.04914 .15911 L
Mfstroke
.31667 .85 m
.31453 .85005 L
.31254 .85009 L
.31033 .85012 L
.30908 .85013 L
.30795 .85014 L
.30737 .85014 L
.30675 .85014 L
.30622 .85014 L
.30564 .85014 L
.30502 .85014 L
.30466 .85014 L
.30434 .85014 L
.30372 .85014 L
.30312 .85013 L
.30198 .85013 L
.30091 .85012 L
.29974 .8501 L
.29849 .85008 L
.29584 .85002 L
.29294 .84994 L
.28764 .84974 L
.2824 .84946 L
.27751 .84913 L
.26776 .84826 L
.2568 .84691 L
.24622 .84523 L
.23463 .84291 L
.2111 .8365 L
.18785 .82755 L
.16521 .81583 L
.14124 .79942 L
.11871 .77924 L
.09806 .75537 L
.07768 .72488 L
.06016 .69052 L
.0443 .64885 L
.03759 .62624 L
.0321 .60422 L
.02338 .55788 L
.01994 .5319 L
.01754 .5078 L
.01653 .49469 L
.01577 .48253 L
.01511 .4691 L
.01483 .46165 L
.01462 .45482 L
.01446 .44834 L
.01435 .44218 L
.0143 .4388 L
Mistroke
.01427 .43567 L
.01425 .4339 L
.01424 .43223 L
.01423 .43031 L
.01422 .42857 L
.01422 .42714 L
.01422 .42557 L
.01422 .42393 L
.01422 .42241 L
.01422 .42097 L
.01423 .41967 L
.01424 .41817 L
.01425 .41674 L
.01427 .41356 L
.01431 .41062 L
.0144 .40396 L
.01453 .39772 L
.0147 .391 L
.01509 .37887 L
.01569 .36448 L
.01636 .35135 L
.02007 .29912 L
.02476 .25016 L
.03038 .19972 L
.03593 .15287 L
.04146 .10484 L
.04162 .10339 L
Mfstroke
.31667 .86667 m
.31437 .86672 L
.31221 .86676 L
.30983 .8668 L
.30849 .86681 L
.30726 .86682 L
.30663 .86682 L
.30597 .86682 L
.3054 .86683 L
.30477 .86683 L
.3041 .86683 L
.30372 .86683 L
.30337 .86683 L
.30269 .86682 L
.30205 .86682 L
.30145 .86682 L
.30082 .86681 L
.29967 .8668 L
.2983 .86678 L
.29705 .86676 L
.2942 .8667 L
.29156 .86663 L
.28553 .8664 L
.28014 .86611 L
.27436 .86572 L
.26334 .86471 L
.2528 .86339 L
.24084 .86146 L
.22971 .8592 L
.20519 .85247 L
.181 .8431 L
.15497 .82931 L
.13007 .81162 L
.10679 .78997 L
.08332 .76138 L
.06263 .72822 L
.04334 .68689 L
.02795 .64154 L
.01644 .59346 L
.01182 .56731 L
.00788 .53851 L
.00632 .52416 L
.00489 .50843 L
.00387 .49473 L
.00297 .47954 L
.00263 .47238 L
.00232 .46468 L
.0021 .45801 L
.0019 .45072 L
.00181 .44646 L
Mistroke
.00174 .4425 L
.00168 .4384 L
.00164 .43469 L
.00163 .43293 L
.00161 .43103 L
.0016 .42924 L
.0016 .42759 L
.00159 .42583 L
.00159 .42391 L
.00159 .42294 L
.00159 .4219 L
.00159 .42002 L
.0016 .41823 L
.0016 .41722 L
.00161 .41626 L
.00164 .41228 L
.00168 .40883 L
.00172 .40512 L
.00188 .39668 L
.00206 .38895 L
.00251 .37465 L
.00314 .35965 L
.00472 .33108 L
.00659 .30479 L
.01149 .24996 L
.01755 .19361 L
.02355 .14131 L
.02896 .09276 L
.03365 .04485 L
Mfstroke
.31667 .88333 m
.31419 .88339 L
.31188 .88344 L
.30931 .88348 L
.30787 .88349 L
.30655 .8835 L
.30587 .8835 L
.30516 .88351 L
.30455 .88351 L
.30387 .88351 L
.30314 .88351 L
.30273 .88351 L
.30236 .88351 L
.30163 .88351 L
.30094 .8835 L
.3003 .8835 L
.29961 .88349 L
.29837 .88348 L
.2969 .88346 L
.29555 .88344 L
.29249 .88338 L
.28964 .8833 L
.28314 .88305 L
.27732 .88274 L
.27109 .8823 L
.25919 .88118 L
.2478 .87972 L
.23488 .87756 L
.22284 .87503 L
.20917 .87148 L
.19632 .86744 L
.17019 .85678 L
.14318 .84169 L
.11748 .82247 L
.09106 .79621 L
.06724 .76477 L
.04445 .72443 L
.02569 .67899 L
.01114 .62974 L
.00508 .60256 L
s
.00508 .60256 m
0 .57396 L
s
0 .23494 m
.00332 .202 L
.00982 .14332 L
.01578 .08892 L
.0207 .03832 L
s
.0207 .03832 m
.02354 0 L
s
.31667 .9 m
.31402 .90006 L
.31153 .90011 L
.30878 .90016 L
.30723 .90017 L
.30581 .90018 L
.30509 .90019 L
.30432 .90019 L
.30366 .90019 L
.30294 .90019 L
.30216 .90019 L
.30172 .90019 L
.30132 .90019 L
.30054 .90019 L
.29979 .90019 L
.2991 .90018 L
.29837 .90018 L
.29704 .90017 L
.29545 .90015 L
.29401 .90012 L
.29071 .90005 L
.28765 .89997 L
.28067 .89969 L
.27441 .89935 L
.2677 .89887 L
.25488 .89764 L
.24262 .89602 L
.22868 .89361 L
.21571 .89077 L
.20096 .88678 L
.18711 .88222 L
.15897 .87013 L
.12997 .85292 L
.10254 .83092 L
.07457 .80081 L
.04969 .76478 L
.02636 .7187 L
.01619 .69281 L
.00772 .6671 L
s
.00772 .6671 m
0 .63625 L
s
0 .11119 m
.00201 .09263 L
.00753 .03654 L
.00985 .00875 L
s
.00985 .00875 m
.01046 0 L
s
.31667 .91667 m
.31383 .91674 L
.31117 .91679 L
.30823 .91683 L
.30657 .91685 L
.30505 .91687 L
.30428 .91687 L
.30346 .91687 L
.30275 .91688 L
.30198 .91688 L
.30114 .91688 L
.30067 .91688 L
.30024 .91688 L
.2994 .91687 L
.29861 .91687 L
.29787 .91687 L
.29708 .91686 L
.29566 .91685 L
.29396 .91682 L
.29241 .9168 L
.28888 .91672 L
.2856 .91663 L
.27811 .91633 L
.27139 .91596 L
.26419 .91543 L
.25042 .91407 L
.23724 .91227 L
.22226 .90959 L
.20831 .90642 L
.19245 .90195 L
.17756 .8968 L
.14735 .88312 L
.11633 .86354 L
.08716 .83843 L
.05772 .80403 L
.03194 .76292 L
.0201 .73901 L
.00829 .71058 L
s
.00829 .71058 m
0 .68415 L
s
.33333 .08333 m
.32756 .08206 L
.32142 .08047 L
.31578 .07876 L
.31046 .0769 L
.3049 .07469 L
.29964 .07231 L
.29412 .0695 L
.28887 .06651 L
.28385 .06334 L
.27855 .05964 L
.27346 .05575 L
.26856 .05168 L
.26333 .04698 L
.25827 .04207 L
.25283 .03641 L
.24753 .0305 L
.24235 .02437 L
.23673 .01733 L
.2312 .01001 L
.22516 .0016 L
s
.22516 .0016 m
.22406 0 L
s
.33333 .1 m
.32837 .09879 L
.32308 .09729 L
.31821 .09571 L
.31361 .094 L
.30879 .092 L
.30421 .08986 L
.29941 .08735 L
.29483 .0847 L
.29045 .08192 L
.28582 .0787 L
.28137 .07533 L
.27709 .07183 L
.27253 .0678 L
.26811 .06362 L
.26338 .05883 L
.25876 .05386 L
.25427 .04872 L
.2494 .04285 L
.24462 .03678 L
.23943 .02985 L
.23429 .02268 L
.2292 .01527 L
.22361 .00681 L
s
.22361 .00681 m
.21927 0 L
s
.33333 .11667 m
.32914 .11552 L
.32465 .11411 L
.32051 .11264 L
.31659 .11109 L
.31247 .10927 L
.30856 .10735 L
.30444 .10512 L
.3005 .10279 L
.29674 .10035 L
.29276 .09756 L
.28892 .09465 L
.28524 .09165 L
.28131 .08822 L
.2775 .08467 L
.27342 .08064 L
.26946 .07647 L
.2656 .07219 L
.26143 .06732 L
.25735 .06232 L
.25292 .05664 L
.24856 .05079 L
.24425 .04478 L
.23954 .03796 L
.23511 .03131 L
s
.33333 .13333 m
.32986 .13224 L
.32613 .13093 L
.32268 .12957 L
.31941 .12815 L
.31596 .1265 L
.31268 .12479 L
.30921 .12282 L
.3059 .12077 L
.30272 .11865 L
.29935 .11623 L
.29611 .11373 L
.29299 .11117 L
.28966 .10826 L
.28643 .10527 L
.28298 .10189 L
.27962 .09842 L
.27636 .09487 L
.27284 .09087 L
.2694 .08677 L
.26567 .08214 L
.26201 .0774 L
.25841 .07256 L
.25449 .0671 L
.25081 .0618 L
s
.33333 .15 m
.33054 .14896 L
.32752 .14774 L
.32473 .14649 L
.32206 .14519 L
.31925 .14371 L
.31657 .14218 L
.31373 .14044 L
.311 .13865 L
.30838 .13681 L
.3056 .13473 L
.30293 .13259 L
.30034 .13042 L
.29758 .12797 L
.29491 .12547 L
.29205 .12265 L
.28926 .11978 L
.28656 .11687 L
.28364 .11359 L
.28079 .11026 L
.27771 .10652 L
.27469 .10271 L
.27173 .09884 L
.26851 .0945 L
.2655 .09031 L
s
.33333 .16667 m
.33117 .16569 L
.32882 .16454 L
.32664 .16339 L
.32455 .16222 L
.32234 .16089 L
.32022 .15953 L
.31797 .158 L
.31581 .15644 L
.31372 .15485 L
.3115 .15307 L
.30936 .15126 L
.30729 .14943 L
.30507 .14737 L
.30292 .1453 L
.30062 .14297 L
.29837 .14062 L
.29619 .13824 L
.29384 .13559 L
.29154 .13291 L
.28907 .12991 L
.28663 .12688 L
.28425 .12382 L
.28167 .12041 L
.27925 .11713 L
s
.33333 .18333 m
.33175 .18241 L
.33003 .18135 L
.32842 .1803 L
.32687 .17923 L
.32522 .17804 L
.32364 .17684 L
.32195 .1755 L
.32031 .17415 L
.31873 .17279 L
.31704 .17127 L
.31541 .16975 L
.31382 .16822 L
.31212 .16651 L
.31047 .1648 L
.30869 .1629 L
.30695 .16099 L
.30527 .15908 L
.30344 .15695 L
.30166 .15481 L
.29974 .15245 L
.29785 .15006 L
.296 .14767 L
.294 .14502 L
.29213 .1425 L
s
.33333 .2 m
.33229 .19913 L
.33115 .19815 L
.33007 .19719 L
.32902 .19623 L
.3279 .19517 L
.32681 .19412 L
.32564 .19295 L
.32451 .19179 L
.3234 .19063 L
.32222 .18935 L
.32106 .18808 L
.31993 .18681 L
.31872 .18541 L
.31753 .18402 L
.31625 .18248 L
.315 .18095 L
.31377 .17943 L
.31244 .17775 L
.31114 .17608 L
.30974 .17423 L
.30835 .17239 L
.307 .17056 L
.30552 .16853 L
.30415 .16662 L
s
.33333 .21667 m
.33278 .21585 L
.33217 .21495 L
.33158 .21407 L
.331 .21321 L
.33036 .21228 L
.32974 .21135 L
.32906 .21035 L
.32839 .20936 L
.32773 .20838 L
.32702 .20731 L
.32631 .20626 L
.32561 .20522 L
.32485 .20409 L
.32411 .20297 L
.32329 .20175 L
.32249 .20055 L
.3217 .19936 L
.32084 .19806 L
.31999 .19677 L
.31906 .19536 L
.31814 .19397 L
.31724 .1926 L
.31626 .19109 L
.31533 .18968 L
s
.33333 .23333 m
.33323 .23257 L
.3331 .23174 L
.33295 .23095 L
.3328 .23018 L
.33261 .22936 L
.33242 .22856 L
.33219 .2277 L
.33195 .22686 L
.33171 .22605 L
.33143 .22517 L
.33114 .22431 L
.33085 .22348 L
.33052 .22258 L
.33018 .2217 L
.3298 .22075 L
.32942 .21982 L
.32904 .21891 L
.32861 .21793 L
.32818 .21697 L
.3277 .21593 L
.32722 .21491 L
.32674 .21391 L
.32621 .21283 L
.3257 .21182 L
s
.33333 .25 m
.33363 .24929 L
.33393 .24853 L
.33419 .24782 L
.33442 .24714 L
.33465 .24642 L
.33484 .24573 L
.33503 .24501 L
.33519 .24431 L
.33533 .24364 L
.33545 .24293 L
.33555 .24224 L
.33563 .24159 L
.3357 .24089 L
.33574 .24022 L
.33576 .23985 L
.33577 .23968 L
.33577 .2395 L
.33578 .23932 L
.33578 .23916 L
.33578 .23908 L
.33578 .23903 L
.33578 .23899 L
.33578 .23895 L
.33578 .23891 L
.33578 .23887 L
.33578 .23885 L
.33578 .23884 L
.33578 .23881 L
.33578 .2388 L
.33578 .23879 L
.33578 .23877 L
.33578 .23875 L
.33578 .23874 L
.33578 .23872 L
.33578 .23871 L
.33578 .2387 L
.33578 .23868 L
.33578 .23865 L
.33578 .23861 L
.33578 .23856 L
.33578 .23848 L
.33578 .2384 L
.33578 .23832 L
.33577 .23816 L
.33577 .23799 L
.33577 .23783 L
.33575 .23747 L
.33573 .23711 L
.33571 .23678 L
Mistroke
.33565 .23608 L
.33558 .2354 L
.33549 .23467 L
.33538 .23397 L
.33524 .23321 L
.33524 .23318 L
Mfstroke
.33333 .26667 m
.33398 .26601 L
.33467 .26532 L
.33529 .26468 L
.33587 .26408 L
.33646 .26346 L
.33701 .26288 L
.33757 .26227 L
.33809 .2617 L
.33857 .26116 L
.33907 .2606 L
.33952 .26007 L
.33994 .25957 L
.34037 .25905 L
.34077 .25855 L
.34118 .25804 L
.34155 .25755 L
.34189 .25708 L
.34224 .2566 L
.34255 .25614 L
.34288 .25565 L
.34317 .25519 L
.34344 .25476 L
.34371 .2543 L
.34394 .25388 L
s
.33333 .28333 m
.33429 .28273 L
.33531 .2821 L
.33625 .28154 L
.33713 .28102 L
.33805 .28049 L
.33891 .28 L
.33981 .2795 L
.34065 .27904 L
.34145 .27862 L
.34227 .27819 L
.34305 .2778 L
.34378 .27743 L
.34454 .27706 L
.34525 .27672 L
.346 .27638 L
.3467 .27606 L
.34736 .27577 L
.34805 .27548 L
.34869 .27521 L
.34937 .27493 L
.35 .27468 L
.3506 .27445 L
.35122 .27422 L
.35178 .27402 L
s
.33333 .3 m
.33455 .29945 L
.33586 .29888 L
.33707 .29839 L
.33822 .29794 L
.33941 .29749 L
.34055 .29709 L
.34174 .29669 L
.34286 .29634 L
.34393 .29602 L
.34505 .29571 L
.34611 .29543 L
.34711 .29519 L
.34817 .29496 L
.34917 .29475 L
.35022 .29455 L
.35122 .29438 L
.35216 .29424 L
.35316 .29411 L
.3541 .29399 L
.35509 .2939 L
.35604 .29382 L
.35693 .29376 L
.35738 .29374 L
.35787 .29371 L
.35873 .29369 L
s
.33333 .31667 m
.33477 .31617 L
.33631 .31566 L
.33775 .31523 L
.33911 .31485 L
.34055 .31448 L
.34191 .31416 L
.34335 .31385 L
.34472 .31359 L
.34602 .31337 L
.34739 .31316 L
.3487 .31299 L
.34994 .31285 L
.35125 .31273 L
.3525 .31264 L
.35313 .3126 L
.35382 .31257 L
.35448 .31255 L
.35508 .31253 L
.3554 .31252 L
.3557 .31252 L
.35601 .31251 L
.35619 .31251 L
.35635 .31251 L
.35643 .31251 L
.3565 .31251 L
.35658 .31251 L
.35662 .31251 L
.35666 .31251 L
.35669 .31251 L
.35673 .31251 L
.35676 .31251 L
.35679 .31251 L
.35683 .31251 L
.35686 .31251 L
.3569 .31251 L
.35694 .31251 L
.35698 .31251 L
.35702 .31251 L
.3571 .31251 L
.35717 .31251 L
.35725 .31251 L
.35741 .31251 L
.35758 .31251 L
.35787 .31252 L
.35819 .31252 L
.35884 .31254 L
.35944 .31256 L
.36008 .31258 L
.36133 .31265 L
Mistroke
.36253 .31274 L
.36367 .31284 L
.36474 .31295 L
Mfstroke
.33333 .33333 m
.33494 .33288 L
.33667 .33244 L
.33828 .33207 L
.33982 .33175 L
.34145 .33145 L
.343 .3312 L
.34464 .33098 L
.34621 .3308 L
.3477 .33066 L
.34928 .33054 L
.35007 .3305 L
.3508 .33047 L
.35149 .33044 L
.35224 .33042 L
.35262 .33041 L
.35283 .33041 L
.35304 .33041 L
.35325 .33041 L
.35344 .3304 L
.35353 .3304 L
.35362 .3304 L
.35367 .3304 L
.35372 .3304 L
.35376 .3304 L
.3538 .3304 L
.35385 .3304 L
.35387 .3304 L
.3539 .3304 L
.35394 .3304 L
.35399 .3304 L
.35403 .3304 L
.35408 .3304 L
.35412 .3304 L
.35416 .3304 L
.35425 .3304 L
.35435 .3304 L
.35445 .3304 L
.35454 .3304 L
.35488 .33041 L
.35506 .33041 L
.35523 .33041 L
.35595 .33043 L
.35636 .33044 L
.35673 .33045 L
.3582 .33051 L
.3596 .3306 L
.36109 .33071 L
.36251 .33085 L
.36402 .33101 L
Mistroke
.36546 .33119 L
.36684 .33139 L
.36831 .33161 L
.36971 .33185 L
.36978 .33186 L
Mfstroke
.33333 .35 m
.33506 .3496 L
.33693 .34921 L
.33867 .3489 L
.34034 .34864 L
.34211 .3484 L
.34381 .34822 L
.3456 .34807 L
.3465 .34801 L
.34732 .34797 L
.34817 .34793 L
.34897 .3479 L
.34939 .34789 L
.34977 .34788 L
.3502 .34787 L
.35043 .34787 L
.35065 .34787 L
.35076 .34787 L
.35087 .34787 L
.35096 .34787 L
.35106 .34787 L
.35111 .34787 L
.35117 .34787 L
.35122 .34787 L
.35127 .34787 L
.3513 .34787 L
.35133 .34787 L
.35138 .34787 L
.35143 .34787 L
.35147 .34787 L
.35149 .34787 L
.35154 .34787 L
.35159 .34787 L
.35167 .34787 L
.35178 .34787 L
.35187 .34787 L
.35207 .34787 L
.35228 .34787 L
.35268 .34788 L
.35311 .34788 L
.35389 .3479 L
.35479 .34794 L
.35564 .34797 L
.35726 .34807 L
.35898 .3482 L
.36062 .34835 L
.3622 .34853 L
.36388 .34874 L
.36548 .34896 L
.36719 .34923 L
Mistroke
.36883 .34951 L
.3704 .3498 L
.37208 .35012 L
.37368 .35046 L
.37379 .35048 L
Mfstroke
.33333 .36667 m
.33513 .36631 L
.33708 .36598 L
.33892 .36572 L
.34067 .36552 L
.34254 .36534 L
.34433 .36522 L
.34531 .36517 L
.34623 .36514 L
.34667 .36512 L
.34714 .36511 L
.34755 .3651 L
.34799 .3651 L
.34823 .36509 L
.34834 .36509 L
.34845 .36509 L
.34856 .36509 L
.34865 .36509 L
.3487 .36509 L
.34876 .36509 L
.34882 .36509 L
.34887 .36509 L
.34893 .36509 L
.34899 .36509 L
.34902 .36509 L
.34905 .36509 L
.34908 .36509 L
.34912 .36509 L
.34918 .36509 L
.34924 .36509 L
.34937 .36509 L
.34948 .36509 L
.34959 .36509 L
.34983 .3651 L
.35005 .3651 L
.35029 .3651 L
.35071 .36511 L
.35116 .36512 L
.35166 .36513 L
.35255 .36517 L
.35351 .36521 L
.35539 .36533 L
.3572 .36547 L
.35895 .36564 L
.3608 .36586 L
.36258 .36609 L
.36429 .36635 L
.36611 .36664 L
.36786 .36695 L
.36972 .3673 L
Mistroke
.37151 .36767 L
.37323 .36804 L
.37507 .36845 L
.3767 .36884 L
Mfstroke
.33333 .38333 m
.33516 .38303 L
.33714 .38275 L
.33901 .38254 L
.34081 .38238 L
.34181 .38232 L
.34272 .38227 L
.34366 .38223 L
.34456 .3822 L
.34502 .38219 L
.34527 .38218 L
.3455 .38218 L
.34572 .38218 L
.34592 .38217 L
.34614 .38217 L
.34626 .38217 L
.34637 .38217 L
.34643 .38217 L
.34649 .38217 L
.34655 .38217 L
.34661 .38217 L
.34666 .38217 L
.34671 .38217 L
.34677 .38217 L
.34682 .38217 L
.34685 .38217 L
.34689 .38217 L
.34695 .38217 L
.34706 .38217 L
.34719 .38217 L
.34731 .38217 L
.34751 .38217 L
.34773 .38218 L
.34818 .38218 L
.34865 .38219 L
.34909 .3822 L
.35007 .38224 L
.35097 .38228 L
.35195 .38233 L
.35386 .38246 L
.35571 .38263 L
.35767 .38284 L
.35956 .38308 L
.36138 .38334 L
.36332 .38365 L
.36519 .38397 L
.36699 .38431 L
.36891 .3847 L
.37076 .38509 L
.37272 .38554 L
Mistroke
.37462 .38599 L
.37645 .38644 L
.3784 .38695 L
.37846 .38696 L
Mfstroke
.33333 .4 m
.33513 .39974 L
.3371 .39951 L
.33896 .39935 L
.33989 .39929 L
.34075 .39924 L
.34167 .3992 L
.34218 .39919 L
.34265 .39917 L
.34309 .39916 L
.34331 .39916 L
.34356 .39916 L
.3438 .39915 L
.3439 .39915 L
.34402 .39915 L
.34409 .39915 L
.34416 .39915 L
.34423 .39915 L
.34429 .39915 L
.34435 .39915 L
.34441 .39915 L
.34447 .39915 L
.3445 .39915 L
.34454 .39915 L
.3446 .39915 L
.34465 .39915 L
.3447 .39915 L
.34476 .39915 L
.34488 .39915 L
.345 .39915 L
.3452 .39915 L
.34543 .39916 L
.34567 .39916 L
.34589 .39916 L
.3464 .39917 L
.34687 .39918 L
.34736 .3992 L
.34824 .39924 L
.35005 .39933 L
.35198 .39948 L
.35384 .39966 L
.35583 .39989 L
.35774 .40014 L
.35959 .40042 L
.36156 .40075 L
.36346 .4011 L
.3653 .40147 L
.36725 .40188 L
.36914 .40231 L
.37116 .40278 L
Mistroke
.3731 .40327 L
.37498 .40376 L
.37699 .4043 L
.37892 .40484 L
.37898 .40485 L
Mfstroke
.33333 .41667 m
.33507 .41645 L
.33597 .41636 L
.33696 .41628 L
.3379 .41621 L
.33875 .41616 L
.33964 .41612 L
.34014 .4161 L
.3406 .41609 L
.34102 .41608 L
.34147 .41607 L
.3417 .41607 L
.34192 .41606 L
.34205 .41606 L
.34216 .41606 L
.34223 .41606 L
.34226 .41606 L
.3423 .41606 L
.34233 .41606 L
.34236 .41606 L
.34239 .41606 L
.34242 .41606 L
.34247 .41606 L
.34253 .41606 L
.34259 .41606 L
.34263 .41606 L
.34269 .41606 L
.34275 .41606 L
.34287 .41606 L
.34299 .41606 L
.34311 .41607 L
.34334 .41607 L
.34374 .41607 L
.34419 .41608 L
.34465 .41609 L
.34508 .41611 L
.34604 .41615 L
.34692 .41619 L
.34788 .41625 L
.34976 .4164 L
.35158 .41658 L
.35352 .41682 L
.3554 .41708 L
.35722 .41737 L
.35916 .41771 L
.36103 .41807 L
.36284 .41845 L
.36478 .41888 L
.36665 .41932 L
.36864 .41982 L
Mistroke
.37057 .42032 L
.37244 .42083 L
.37443 .4214 L
.37636 .42196 L
.3782 .42252 L
Mfstroke
.33333 .43333 m
.33495 .43317 L
.33579 .4331 L
.33672 .43303 L
.33759 .43299 L
.3384 .43296 L
.33885 .43295 L
.33927 .43294 L
.33965 .43293 L
.33987 .43293 L
.34006 .43293 L
.34017 .43293 L
.34026 .43293 L
.34032 .43293 L
.34034 .43292 L
.34037 .43292 L
.34043 .43292 L
.34048 .43292 L
.34053 .43292 L
.34058 .43292 L
.34064 .43292 L
.34068 .43293 L
.34077 .43293 L
.34087 .43293 L
.34097 .43293 L
.34109 .43293 L
.34129 .43293 L
.34153 .43293 L
.34175 .43294 L
.34218 .43295 L
.34258 .43296 L
.34348 .43299 L
.34429 .43303 L
.34518 .43308 L
.34694 .43322 L
.34865 .43339 L
.35047 .43361 L
.35223 .43386 L
.35393 .43413 L
.35576 .43446 L
.35752 .43481 L
.35941 .43521 L
.36124 .43563 L
.36301 .43606 L
.3649 .43656 L
.36673 .43706 L
.3685 .43756 L
.37039 .43813 L
.37222 .43869 L
.37418 .43932 L
Mistroke
.37603 .43992 L
Mfstroke
.33333 .45 m
.33404 .44994 L
.33478 .44988 L
.33561 .44983 L
.33638 .44979 L
.33674 .44978 L
.33708 .44977 L
.33748 .44976 L
.33783 .44975 L
.33801 .44975 L
.33811 .44975 L
.33821 .44975 L
.33831 .44975 L
.33836 .44975 L
.33841 .44975 L
.33846 .44975 L
.33851 .44975 L
.33856 .44975 L
.3386 .44975 L
.33865 .44975 L
.3387 .44975 L
.33874 .44975 L
.33877 .44975 L
.3388 .44975 L
.33889 .44975 L
.33898 .44975 L
.33914 .44975 L
.33932 .44975 L
.33952 .44975 L
.33971 .44976 L
.34014 .44977 L
.34052 .44978 L
.34092 .44979 L
.34169 .44983 L
.3424 .44987 L
.34393 .44998 L
.34557 .45014 L
.34715 .45033 L
.34869 .45055 L
.35034 .45082 L
.35194 .45111 L
.35365 .45145 L
.35531 .45182 L
.35691 .4522 L
.35863 .45264 L
.3603 .45309 L
.36191 .45355 L
.36364 .45407 L
.36532 .45459 L
.36711 .45518 L
Mistroke
.36884 .45577 L
.37052 .45636 L
.37232 .457 L
.37239 .45703 L
Mfstroke
.33333 .46667 m
.33393 .46662 L
.33457 .46659 L
.33522 .46656 L
.33559 .46655 L
.33576 .46655 L
.33594 .46654 L
.33611 .46654 L
.33628 .46654 L
.33644 .46654 L
.33652 .46654 L
.33656 .46654 L
.3366 .46654 L
.33664 .46654 L
.33668 .46654 L
.33672 .46654 L
.33675 .46654 L
.3368 .46654 L
.33683 .46654 L
.33688 .46654 L
.33692 .46654 L
.33695 .46654 L
.33699 .46654 L
.33706 .46654 L
.33713 .46654 L
.33721 .46654 L
.33739 .46654 L
.33755 .46654 L
.33786 .46655 L
.33819 .46656 L
.33855 .46657 L
.33921 .4666 L
.33991 .46664 L
.34119 .46673 L
.34256 .46687 L
.34389 .46703 L
.34531 .46724 L
.3467 .46747 L
.34804 .46772 L
.34949 .46803 L
.35088 .46835 L
.35238 .46872 L
.35384 .46911 L
.35525 .46951 L
.35676 .46997 L
.35822 .47044 L
.35964 .47092 L
.36116 .47145 L
.36263 .47198 L
.36421 .47258 L
Mistroke
.36574 .47318 L
.36721 .47377 L
Mfstroke
.33333 .48333 m
.33356 .48332 L
.33381 .48331 L
.33407 .48331 L
.33431 .4833 L
.33445 .4833 L
.33458 .4833 L
.33472 .48329 L
.33479 .48329 L
.33483 .48329 L
.33487 .48329 L
.3349 .48329 L
.33493 .48329 L
.33496 .48329 L
.33499 .48329 L
.33502 .48329 L
.33505 .48329 L
.33508 .48329 L
.3351 .48329 L
.33512 .48329 L
.33515 .48329 L
.33519 .48329 L
.33526 .48329 L
.33532 .48329 L
.33539 .48329 L
.33552 .4833 L
.33563 .4833 L
.3359 .4833 L
.33614 .48331 L
.33637 .48332 L
.33689 .48334 L
.33738 .48337 L
.33842 .48345 L
.33943 .48355 L
.34052 .48368 L
.34158 .48384 L
.34272 .48404 L
.34382 .48426 L
.3449 .48449 L
.34605 .48477 L
.34717 .48506 L
.34837 .4854 L
.34954 .48576 L
.35067 .48612 L
.35188 .48654 L
.35305 .48696 L
.35419 .48739 L
.35541 .48787 L
.35659 .48836 L
.35786 .4889 L
Mistroke
.35909 .48945 L
.36027 .48999 L
.36041 .49005 L
Mfstroke
.33333 .5 m
.33335 .5 L
.33337 .5 L
.33339 .5 L
.33341 .5 L
.33345 .5 L
.33349 .5 L
.33353 .5 L
.33358 .5 L
.33366 .5 L
.33374 .5 L
.33382 .50001 L
.334 .50001 L
.33419 .50002 L
.33435 .50002 L
.33474 .50004 L
.33507 .50006 L
.33544 .50009 L
.33618 .50016 L
.33689 .50025 L
.33766 .50037 L
.3384 .50051 L
.33913 .50065 L
.33991 .50083 L
.34067 .50102 L
.34141 .50123 L
.3422 .50146 L
.34297 .50171 L
.3438 .502 L
.3446 .50229 L
.34537 .50259 L
.3462 .50293 L
.34701 .50328 L
.34779 .50363 L
.34863 .50403 L
.34944 .50442 L
.3503 .50486 L
.35114 .50531 L
.35193 .50574 L
s
.33333 .51667 m
.33364 .51672 L
.33398 .51679 L
.33431 .51686 L
.33463 .51694 L
.33497 .51703 L
.3353 .51713 L
.33565 .51725 L
.336 .51737 L
.33633 .51749 L
.33669 .51764 L
.33704 .51779 L
.33737 .51794 L
.33773 .51812 L
.33808 .51829 L
.33845 .51849 L
.33881 .51869 L
.33916 .5189 L
.33953 .51913 L
.33989 .51935 L
.34027 .51961 L
.34064 .51986 L
.341 .52012 L
.34137 .5204 L
.34172 .52066 L
s
.33333 .53333 m
.33324 .53343 L
.33313 .53353 L
.33302 .53362 L
.33291 .5337 L
.33279 .53379 L
.33267 .53387 L
.33254 .53395 L
.33241 .53402 L
.33228 .53409 L
.33214 .53416 L
.33199 .53422 L
.33185 .53427 L
.3317 .53433 L
.33154 .53438 L
.33138 .53442 L
.33121 .53446 L
.33105 .5345 L
.33087 .53453 L
.3307 .53455 L
.33061 .53456 L
.33051 .53457 L
.33042 .53458 L
.33032 .53459 L
.33023 .53459 L
.33018 .53459 L
.33013 .53459 L
.3301 .5346 L
.33008 .5346 L
.33005 .5346 L
.33004 .5346 L
.33003 .5346 L
.33002 .5346 L
.33001 .5346 L
.33 .5346 L
.33 .5346 L
.32999 .5346 L
.32999 .5346 L
.32998 .5346 L
.32997 .5346 L
.32997 .5346 L
.32996 .5346 L
.32996 .5346 L
.32995 .5346 L
.32994 .5346 L
.32993 .5346 L
.32992 .5346 L
.32989 .5346 L
.32987 .5346 L
.32985 .5346 L
Mistroke
.32981 .53459 L
.32976 .53459 L
Mfstroke
.33333 .55 m
.33278 .55013 L
.33216 .55026 L
.33157 .55037 L
.33098 .55045 L
.33064 .55049 L
.33034 .55052 L
.33001 .55054 L
.3297 .55056 L
.32939 .55058 L
.32922 .55059 L
.32904 .55059 L
.32888 .5506 L
.32879 .5506 L
.32875 .5506 L
.32871 .5506 L
.32867 .5506 L
.32864 .5506 L
.32859 .5506 L
.32857 .5506 L
.32855 .5506 L
.32853 .5506 L
.32851 .5506 L
.3285 .5506 L
.32848 .5506 L
.32846 .5506 L
.32844 .5506 L
.32842 .5506 L
.3284 .5506 L
.32836 .5506 L
.32832 .5506 L
.32827 .5506 L
.32823 .5506 L
.32807 .5506 L
.32798 .55059 L
.3279 .55059 L
.32771 .55059 L
.32738 .55057 L
.32701 .55055 L
.32628 .55049 L
.32557 .55041 L
.3248 .55029 L
.32404 .55016 L
.3233 .55 L
.32251 .54981 L
.32173 .54959 L
.32097 .54936 L
.32016 .54908 L
.31937 .54879 L
.31852 .54844 L
Mistroke
.3177 .54807 L
.31691 .54769 L
.31606 .54725 L
.31605 .54725 L
Mfstroke
.33333 .56667 m
.33228 .56684 L
.33109 .567 L
.33051 .56706 L
.32995 .56711 L
.32938 .56715 L
.32882 .56718 L
.32853 .56719 L
.32821 .56721 L
.32791 .56722 L
.32764 .56722 L
.3275 .56722 L
.32742 .56722 L
.32734 .56723 L
.32727 .56723 L
.3272 .56723 L
.32716 .56723 L
.32713 .56723 L
.3271 .56723 L
.32706 .56723 L
.32702 .56723 L
.327 .56723 L
.32698 .56723 L
.32694 .56723 L
.32691 .56723 L
.32688 .56723 L
.32686 .56723 L
.32682 .56723 L
.32678 .56723 L
.32673 .56723 L
.32666 .56723 L
.32657 .56722 L
.32642 .56722 L
.32627 .56722 L
.32613 .56722 L
.32581 .56721 L
.32552 .5672 L
.32522 .56719 L
.32459 .56715 L
.32399 .56711 L
.3227 .56699 L
.32131 .56681 L
.31994 .56659 L
.3186 .56633 L
.31715 .566 L
.31573 .56562 L
.31436 .56521 L
.31287 .56471 L
.31143 .56417 L
.30988 .56353 L
Mistroke
.30838 .56284 L
.30693 .56212 L
.30537 .56128 L
.30387 .5604 L
.30228 .55939 L
.30074 .55834 L
.30065 .55828 L
Mfstroke
.33333 .58333 m
.33172 .58355 L
.33087 .58364 L
.32992 .58373 L
.32901 .58379 L
.32817 .58384 L
.32775 .58386 L
.32729 .58388 L
.32704 .58388 L
.3268 .58389 L
.32658 .5839 L
.32634 .5839 L
.32622 .5839 L
.3261 .5839 L
.32599 .5839 L
.32589 .5839 L
.32579 .58391 L
.32574 .58391 L
.32569 .58391 L
.32563 .58391 L
.32558 .58391 L
.32552 .58391 L
.32547 .58391 L
.32542 .58391 L
.32536 .58391 L
.3253 .58391 L
.32525 .58391 L
.32512 .5839 L
.325 .5839 L
.32477 .5839 L
.32451 .5839 L
.32406 .58389 L
.32357 .58387 L
.32305 .58385 L
.32256 .58383 L
.32158 .58377 L
.32068 .5837 L
.3187 .58349 L
.31677 .58323 L
.31467 .58286 L
.31261 .58243 L
.31039 .58188 L
.30821 .58125 L
.30609 .58056 L
.30381 .57971 L
.3016 .5788 L
.29945 .57781 L
.29715 .57665 L
.29493 .57542 L
.29257 .57399 L
Mistroke
.29029 .57248 L
.28811 .5709 L
.2858 .56909 L
.28366 .56727 L
Mfstroke
.33333 .6 m
.33112 .60025 L
.32995 .60036 L
.32864 .60045 L
.32804 .60049 L
.3274 .60052 L
.32679 .60055 L
.32623 .60056 L
.3256 .60058 L
.32526 .60059 L
.32509 .60059 L
.3249 .60059 L
.32474 .60059 L
.32459 .60059 L
.32452 .6006 L
.32444 .6006 L
.32437 .6006 L
.3243 .6006 L
.32426 .6006 L
.32421 .6006 L
.32413 .6006 L
.32409 .6006 L
.32404 .6006 L
.324 .6006 L
.32396 .6006 L
.32388 .6006 L
.32383 .6006 L
.32379 .6006 L
.32371 .6006 L
.32363 .6006 L
.32349 .60059 L
.32333 .60059 L
.323 .60059 L
.32272 .60058 L
.32241 .60058 L
.32171 .60056 L
.32107 .60054 L
.31983 .60048 L
.31845 .60038 L
.31571 .60013 L
.31301 .59977 L
.31008 .59927 L
.30721 .59867 L
.30439 .59797 L
.30135 .59708 L
.29837 .59608 L
.29549 .59497 L
.29238 .59364 L
.28937 .59219 L
.28616 .59046 L
Mistroke
.28306 .58862 L
.28008 .58666 L
.27692 .58438 L
.2739 .58198 L
.27073 .5792 L
.26771 .57631 L
.26525 .57374 L
Mfstroke
.33333 .61667 m
.33195 .61682 L
.33047 .61696 L
.32881 .61708 L
.32725 .61718 L
.3258 .61724 L
.32499 .61726 L
.32424 .61728 L
.32385 .61728 L
.32364 .61728 L
.32344 .61729 L
.32327 .61729 L
.32308 .61729 L
.32298 .61729 L
.32288 .61729 L
.32279 .61729 L
.32269 .61729 L
.32264 .61729 L
.32258 .61729 L
.32252 .61729 L
.32247 .61729 L
.32237 .61729 L
.32227 .61729 L
.32216 .61729 L
.32205 .61729 L
.32181 .61729 L
.32161 .61728 L
.32142 .61728 L
.32099 .61728 L
.32059 .61727 L
.32017 .61726 L
.31941 .61723 L
.31858 .6172 L
.31766 .61716 L
.31601 .61705 L
.3142 .6169 L
.31057 .6165 L
.307 .61596 L
.30348 .61528 L
.29967 .61439 L
.29594 .61335 L
.29191 .61203 L
.28798 .61054 L
.28417 .60889 L
.28008 .6069 L
.27613 .60472 L
.27232 .60238 L
.26828 .59962 L
.26442 .59668 L
.26035 .59324 L
Mistroke
.25649 .58962 L
.25285 .58585 L
.24907 .58151 L
.24566 .57717 L
Mfstroke
.33333 .63333 m
.33161 .63351 L
.32977 .63366 L
.32787 .63379 L
.32676 .63385 L
.32575 .63389 L
.32483 .63393 L
.32383 .63395 L
.32328 .63397 L
.32276 .63397 L
.32251 .63398 L
.32227 .63398 L
.32202 .63398 L
.32189 .63398 L
.32174 .63398 L
.32168 .63398 L
.32161 .63398 L
.32149 .63398 L
.32136 .63398 L
.32128 .63398 L
.32122 .63398 L
.3211 .63398 L
.32098 .63398 L
.32085 .63398 L
.32073 .63398 L
.32044 .63398 L
.32019 .63398 L
.31989 .63397 L
.3196 .63397 L
.31862 .63395 L
.31806 .63394 L
.31754 .63392 L
.31559 .63384 L
.31447 .63378 L
.31341 .63371 L
.30923 .63333 L
.30702 .63307 L
.30467 .63273 L
.30034 .63199 L
.29564 .63097 L
.29102 .62975 L
.28604 .62817 L
.28116 .62637 L
.27643 .62434 L
.27135 .62185 L
.26644 .61911 L
.26173 .61614 L
.25672 .6126 L
.25195 .6088 L
.24695 .60434 L
Mistroke
.24223 .5996 L
.23779 .59464 L
.23322 .5889 L
.22898 .58294 L
.2252 .57698 L
Mfstroke
.33333 .65 m
.33125 .65019 L
.32902 .65036 L
.32671 .6505 L
.32539 .65056 L
.32414 .65061 L
.32354 .65063 L
.3229 .65064 L
.32232 .65065 L
.32171 .65066 L
.32116 .65067 L
.32084 .65067 L
.32069 .65067 L
.32054 .65067 L
.32041 .65067 L
.32027 .65067 L
.32014 .65067 L
.32002 .65067 L
.31988 .65067 L
.31975 .65067 L
.3196 .65067 L
.31946 .65067 L
.31932 .65067 L
.31917 .65067 L
.31889 .65067 L
.31856 .65067 L
.31826 .65066 L
.31761 .65065 L
.31699 .65064 L
.31589 .65061 L
.31468 .65057 L
.31218 .65045 L
.30947 .65026 L
.30693 .65003 L
.3045 .64976 L
.29928 .64902 L
.29359 .64796 L
.28798 .64663 L
.28249 .64505 L
.27655 .64302 L
.27076 .64068 L
.26455 .63776 L
.25854 .63449 L
.25276 .6309 L
.24663 .62656 L
.2408 .62185 L
.23527 .61682 L
.22952 .61089 L
.22414 .60462 L
.21863 .59734 L
Mistroke
.21357 .58973 L
.20896 .58184 L
.20438 .57287 L
.20426 .57262 L
Mfstroke
.33333 .66667 m
.33087 .66688 L
.32822 .66707 L
.32548 .66721 L
.32391 .66727 L
.3232 .6673 L
.32242 .66732 L
.32165 .66733 L
.32094 .66735 L
.32026 .66736 L
.31991 .66736 L
.31972 .66736 L
.31953 .66736 L
.31937 .66736 L
.31919 .66736 L
.31902 .66736 L
.31887 .66736 L
.31869 .66736 L
.31852 .66736 L
.31833 .66736 L
.31815 .66736 L
.318 .66736 L
.31783 .66736 L
.31753 .66736 L
.31721 .66736 L
.31685 .66735 L
.31609 .66734 L
.31536 .66733 L
.314 .6673 L
.31251 .66724 L
.31088 .66717 L
.30788 .66698 L
.30465 .66672 L
.29871 .66603 L
.2922 .66499 L
.28579 .66365 L
.27882 .66182 L
.27199 .65962 L
.26532 .65706 L
.25814 .65381 L
.2512 .65014 L
.24382 .6456 L
.23674 .64057 L
.23001 .63508 L
.22298 .62851 L
.21639 .62145 L
.21026 .61395 L
.20401 .60521 L
.19832 .59605 L
.19265 .58552 L
Mistroke
.18763 .57462 L
.18327 .56358 L
Mfstroke
.33333 .68333 m
.33046 .68357 L
.32737 .68377 L
.32417 .68392 L
.32328 .68395 L
.32233 .68398 L
.32143 .684 L
.32059 .68402 L
.31978 .68404 L
.31936 .68404 L
.31891 .68405 L
.31867 .68405 L
.31846 .68405 L
.31824 .68405 L
.31803 .68405 L
.31791 .68405 L
.3178 .68405 L
.31767 .68405 L
.31754 .68405 L
.31742 .68405 L
.31729 .68405 L
.31717 .68405 L
.31706 .68405 L
.31687 .68405 L
.31666 .68405 L
.31646 .68405 L
.31628 .68405 L
.31584 .68405 L
.31542 .68404 L
.31458 .68403 L
.31366 .68401 L
.31205 .68397 L
.31025 .68391 L
.30836 .68382 L
.30657 .68372 L
.30298 .68345 L
.29962 .68313 L
.29228 .68218 L
.28503 .68089 L
.27711 .67906 L
.26933 .6768 L
.26091 .6738 L
.2527 .67027 L
.24474 .66622 L
.23625 .66115 L
.22813 .65547 L
.2204 .64922 L
.21234 .64168 L
.20479 .63351 L
.19707 .62382 L
Mistroke
.19001 .6135 L
.18362 .60266 L
.17732 .59015 L
.1718 .5772 L
.16658 .56253 L
.16271 .54942 L
Mfstroke
.33333 .7 m
.33003 .70025 L
.32647 .70047 L
.3247 .70055 L
.32278 .70063 L
.32167 .70066 L
.32066 .70069 L
.31969 .70071 L
.31916 .70071 L
.31866 .70072 L
.31819 .70073 L
.31776 .70073 L
.31728 .70074 L
.31701 .70074 L
.31676 .70074 L
.31655 .70074 L
.31632 .70074 L
.31611 .70074 L
.31592 .70074 L
.31569 .70074 L
.31544 .70074 L
.31521 .70074 L
.31499 .70074 L
.31451 .70073 L
.31406 .70073 L
.31357 .70072 L
.31303 .70072 L
.31194 .7007 L
.31094 .70067 L
.30898 .70061 L
.30715 .70054 L
.30295 .70029 L
.2991 .69999 L
.29479 .69955 L
.28616 .69834 L
.27762 .69669 L
.2683 .69434 L
.25914 .69142 L
.25019 .68795 L
.24057 .68343 L
.23126 .67823 L
.2214 .67168 L
.21201 .6643 L
.20314 .65616 L
.19399 .64631 L
.18553 .63564 L
.17781 .62426 L
.17013 .61093 L
.16334 .59696 L
.15683 .58093 L
Mistroke
.15134 .56441 L
.14682 .54762 L
.14303 .5299 L
Mfstroke
.33333 .71667 m
.32957 .71694 L
.32552 .71717 L
.32335 .71726 L
.32132 .71733 L
.32016 .71736 L
.31905 .71738 L
.31844 .71739 L
.31778 .7174 L
.31721 .71741 L
.31661 .71742 L
.31632 .71742 L
.31606 .71742 L
.31579 .71742 L
.31555 .71742 L
.31532 .71742 L
.31508 .71742 L
.3148 .71742 L
.31456 .71742 L
.31441 .71742 L
.31426 .71742 L
.31399 .71742 L
.3137 .71742 L
.31338 .71742 L
.31281 .71742 L
.31227 .71741 L
.3111 .71739 L
.31002 .71737 L
.30877 .71734 L
.30758 .7173 L
.30539 .71722 L
.30304 .7171 L
.29877 .71682 L
.29418 .71642 L
.28979 .71593 L
.28029 .71451 L
.26989 .71236 L
.2596 .70957 L
.24952 .70614 L
.23863 .70156 L
.22806 .69616 L
.21683 .68924 L
.20609 .68131 L
.19594 .67243 L
.18545 .66155 L
.17575 .64963 L
.16692 .6368 L
.15815 .62167 L
.15044 .60569 L
.14312 .58726 L
Mistroke
.137 .5682 L
.13204 .54878 L
.1278 .52712 L
.12472 .50547 L
.12465 .5049 L
Mfstroke
.33333 .73333 m
.32909 .73363 L
.32452 .73387 L
.32207 .73396 L
.31977 .73403 L
.31844 .73406 L
.31721 .73408 L
.31653 .73409 L
.3158 .7341 L
.31546 .7341 L
.31509 .7341 L
.31478 .7341 L
.31462 .73411 L
.31445 .73411 L
.31413 .73411 L
.31383 .73411 L
.31352 .73411 L
.31324 .73411 L
.31297 .73411 L
.31267 .73411 L
.31239 .7341 L
.31213 .7341 L
.31155 .7341 L
.31091 .73409 L
.30961 .73407 L
.30847 .73405 L
.30724 .73402 L
.305 .73395 L
.30239 .73384 L
.29952 .73369 L
.29423 .7333 L
.28894 .73279 L
.28321 .73208 L
.27265 .73033 L
.26108 .72771 L
.24967 .72434 L
.2373 .71969 L
.22525 .71406 L
.21362 .70744 L
.20129 .69897 L
.1896 .68929 L
.17751 .67727 L
.16634 .6639 L
.15618 .64934 L
.14614 .63201 L
.13737 .61357 L
.12987 .59429 L
.12299 .57223 L
.11752 .54967 L
.11518 .53776 L
Mistroke
.11296 .52449 L
.11129 .51239 L
.10981 .49931 L
.10868 .48637 L
.1079 .47453 L
Mfstroke
.33333 .75 m
.32859 .75031 L
.32347 .75056 L
.32073 .75066 L
.31815 .75073 L
.31665 .75076 L
.31528 .75077 L
.31452 .75078 L
.31408 .75078 L
.31369 .75079 L
.31334 .75079 L
.31314 .75079 L
.31295 .75079 L
.31276 .75079 L
.31258 .75079 L
.31237 .75079 L
.31217 .75079 L
.31183 .75079 L
.31164 .75079 L
.31146 .75079 L
.31113 .75079 L
.31079 .75078 L
.31018 .75078 L
.30952 .75077 L
.30881 .75077 L
.30805 .75075 L
.30667 .75073 L
.30395 .75065 L
.30145 .75056 L
.2986 .75042 L
.29593 .75026 L
.28979 .74978 L
.28417 .7492 L
.27785 .74837 L
.26519 .74613 L
.25265 .74308 L
.23898 .73871 L
.22559 .73323 L
.2126 .72663 L
.19877 .71799 L
.18559 .70794 L
.17192 .69524 L
.15924 .68091 L
.14769 .66511 L
.13627 .6461 L
.12631 .62568 L
.11782 .60418 L
.11008 .57944 L
.10398 .55404 L
.1014 .5406 L
Mistroke
.09899 .52561 L
.09706 .51079 L
.09564 .49715 L
.0945 .48275 L
.09401 .47479 L
.09364 .46727 L
.09337 .46014 L
.09325 .45624 L
.09316 .4526 L
.09309 .44922 L
.09304 .44615 L
.09302 .44451 L
.09301 .44273 L
.093 .44175 L
.09299 .44085 L
.09298 .43907 L
Mfstroke
.33333 .76667 m
.32806 .767 L
.32533 .76714 L
.32237 .76726 L
.32077 .76731 L
.31932 .76736 L
.31783 .76739 L
.31644 .76742 L
.31482 .76745 L
.31396 .76746 L
.31352 .76746 L
.31304 .76746 L
.31262 .76747 L
.31224 .76747 L
.31186 .76747 L
.3115 .76747 L
.31129 .76747 L
.31107 .76747 L
.31068 .76747 L
.31044 .76747 L
.31021 .76747 L
.30978 .76747 L
.30943 .76746 L
.30904 .76746 L
.30835 .76746 L
.30753 .76745 L
.30677 .76744 L
.30513 .76741 L
.30356 .76737 L
.30077 .76728 L
.29771 .76715 L
.29131 .76676 L
.28802 .7665 L
.28436 .76615 L
.27728 .76533 L
.27066 .76436 L
.25701 .76172 L
.24262 .75791 L
.22847 .753 L
.21318 .74622 L
.19837 .73797 L
.18272 .72712 L
.16793 .71442 L
.15416 .69997 L
.14024 .68205 L
.12777 .66227 L
.11684 .64092 L
.10656 .61578 L
.09812 .58941 L
.09084 .55933 L
Mistroke
.08788 .54362 L
.08553 .5287 L
.08352 .51304 L
.08199 .49807 L
.08132 .49001 L
.08071 .48125 L
.08025 .47331 L
.07991 .46588 L
.07962 .45796 L
.07951 .45376 L
.07941 .44927 L
.07937 .447 L
.07933 .44454 L
.0793 .44221 L
.07928 .44006 L
.07927 .43812 L
.07927 .43702 L
.07926 .43599 L
.07926 .4349 L
.07926 .43391 L
.07926 .43282 L
.07926 .43227 L
.07926 .43167 L
.07927 .4306 L
.07927 .42961 L
.07929 .42739 L
.0793 .42543 L
.07933 .42336 L
.07938 .41976 L
.07945 .41581 L
.07968 .40707 L
.07996 .39892 L
Mfstroke
.33333 .78333 m
.32751 .78368 L
.32449 .78383 L
.32121 .78396 L
.31945 .78401 L
.31784 .78405 L
.31619 .78409 L
.31466 .78412 L
.31378 .78413 L
.31286 .78414 L
.31241 .78414 L
.31192 .78414 L
.31164 .78414 L
.31139 .78415 L
.31115 .78415 L
.31089 .78415 L
.31065 .78415 L
.31043 .78415 L
.31001 .78415 L
.30977 .78415 L
.30951 .78415 L
.30927 .78415 L
.30905 .78415 L
.30864 .78415 L
.30819 .78414 L
.30772 .78414 L
.30728 .78414 L
.3064 .78413 L
.30558 .78412 L
.30371 .78408 L
.30205 .78405 L
.30029 .78399 L
.2972 .78388 L
.29376 .78371 L
.28681 .78325 L
.27914 .78252 L
.27163 .78159 L
.26355 .78032 L
.24859 .7772 L
.2322 .77249 L
.21609 .76637 L
.19875 .75787 L
.18204 .74745 L
.16616 .73511 L
.14973 .71925 L
.13462 .70114 L
.12103 .68099 L
.10781 .65657 L
.09656 .63029 L
.08639 .59955 L
Mistroke
.07849 .56755 L
.07271 .53494 L
.07044 .51757 L
.06853 .49875 L
.06778 .48939 L
.06711 .47922 L
.06665 .47038 L
.06644 .46569 L
.06625 .46066 L
.0661 .45566 L
.06598 .4511 L
.06589 .44651 L
.06583 .44217 L
.0658 .43981 L
.06579 .43851 L
.06578 .4373 L
.06578 .43618 L
.06577 .43515 L
.06577 .43402 L
.06577 .43279 L
.06577 .4322 L
.06577 .43156 L
.06577 .43042 L
.06577 .42972 L
.06577 .42906 L
.06577 .42782 L
.06578 .42652 L
.06579 .42531 L
.06581 .4226 L
.06584 .42032 L
.06587 .41824 L
.06595 .41357 L
.06615 .40514 L
.06647 .39531 L
.06687 .38601 L
.06775 .36964 L
.06876 .35457 L
Mfstroke
.33333 .8 m
.3303 .80019 L
.32694 .80037 L
.32333 .80053 L
.32001 .80065 L
.31821 .8007 L
.31625 .80075 L
.31517 .80077 L
.31416 .80079 L
.31314 .8008 L
.31217 .80081 L
.31135 .80082 L
.31088 .80082 L
.31045 .80082 L
.30999 .80083 L
.30973 .80083 L
.30948 .80083 L
.30903 .80083 L
.30855 .80083 L
.30829 .80083 L
.30805 .80083 L
.30779 .80083 L
.30751 .80082 L
.30704 .80082 L
.30652 .80082 L
.30556 .80081 L
.30466 .8008 L
.30278 .80077 L
.30073 .80073 L
.29877 .80067 L
.29695 .80061 L
.29347 .80047 L
.28974 .80026 L
.28201 .7997 L
.2746 .79895 L
.26625 .79787 L
.25844 .7966 L
.24129 .79289 L
.22432 .78782 L
.20588 .7805 L
.18795 .77124 L
.16893 .75868 L
.15095 .7436 L
.13425 .72606 L
.11747 .70394 L
.1026 .67919 L
.08981 .65224 L
.07806 .62032 L
.06878 .58678 L
.06487 .56879 L
Mistroke
.06123 .54857 L
.05832 .52844 L
.05622 .50985 L
.05454 .49014 L
.05384 .47922 L
.05331 .4689 L
.05293 .45892 L
.05279 .45389 L
.05266 .44836 L
.05258 .44363 L
.05254 .44098 L
.05251 .43856 L
.0525 .4363 L
.05249 .43503 L
.05248 .43386 L
.05248 .43283 L
.05248 .4317 L
.05247 .43051 L
.05247 .42941 L
.05248 .42819 L
.05248 .4269 L
.05248 .42568 L
.05249 .42457 L
.05251 .42185 L
.05253 .41928 L
.0526 .41417 L
.0527 .40864 L
.05296 .39875 L
.05327 .38966 L
.05417 .37047 L
.05549 .34952 L
.0589 .30917 L
.05916 .30652 L
Mfstroke
.33333 .81667 m
.33002 .81686 L
.32634 .81705 L
.32239 .81722 L
.31875 .81734 L
.31679 .8174 L
.31464 .81744 L
.31345 .81746 L
.31235 .81748 L
.31129 .81749 L
.3107 .81749 L
.31017 .8175 L
.30971 .8175 L
.3092 .8175 L
.30893 .8175 L
.30867 .8175 L
.30816 .8175 L
.30769 .8175 L
.30725 .8175 L
.30675 .8175 L
.30628 .8175 L
.30575 .8175 L
.30519 .81749 L
.3042 .81749 L
.30312 .81747 L
.30193 .81746 L
.29977 .81742 L
.29771 .81736 L
.29382 .81723 L
.28957 .81703 L
.28489 .81675 L
.27624 .81604 L
.26684 .81497 L
.25794 .81367 L
.24942 .81213 L
.23094 .80772 L
.21073 .80101 L
.19093 .79218 L
.17178 .78112 L
.15161 .76618 L
.13271 .74835 L
.11361 .7254 L
.09659 .69921 L
.08186 .67022 L
.06833 .63547 L
.05765 .59857 L
.04971 .56038 L
.04653 .53994 L
.04379 .51745 L
.04271 .50639 L
Mistroke
.04171 .49423 L
.04093 .48253 L
.04037 .47188 L
.04013 .46641 L
.03991 .4605 L
.03975 .45538 L
.03961 .44976 L
.03949 .44376 L
.03945 .44049 L
.03941 .43743 L
.0394 .43596 L
.03939 .43457 L
.03938 .4333 L
.03938 .43196 L
.03937 .4305 L
.03937 .42915 L
.03937 .42769 L
.03937 .42687 L
.03937 .42609 L
.03938 .42476 L
.03938 .42333 L
.03939 .42199 L
.0394 .42077 L
.03942 .41778 L
.03945 .41496 L
.03954 .40934 L
.03966 .40326 L
.03996 .39238 L
.04033 .38239 L
.04137 .3613 L
.04286 .33831 L
.04668 .29409 L
.05085 .25523 L
Mfstroke
.33333 .83333 m
.32972 .83354 L
.32571 .83374 L
.32142 .83391 L
.31745 .83404 L
.31515 .83409 L
.31296 .83413 L
.31175 .83415 L
.31063 .83416 L
.30939 .83417 L
.30877 .83417 L
.30844 .83418 L
.30808 .83418 L
.30777 .83418 L
.30749 .83418 L
.30692 .83418 L
.30641 .83418 L
.30586 .83418 L
.30555 .83418 L
.30522 .83418 L
.30461 .83417 L
.30401 .83417 L
.30346 .83417 L
.30245 .83416 L
.30134 .83414 L
.29908 .83411 L
.29672 .83405 L
.29447 .83399 L
.29021 .83382 L
.28557 .83358 L
.28045 .83325 L
.27098 .83241 L
.26068 .83116 L
.25092 .82963 L
.24159 .82782 L
.22134 .82264 L
.19923 .81474 L
.17761 .8043 L
.15681 .7912 L
.13503 .77346 L
.11484 .75231 L
.09472 .72512 L
.07714 .69421 L
.06232 .66019 L
.04918 .61974 L
.04374 .59816 L
.03934 .57721 L
.03553 .55514 L
.03255 .53366 L
.02999 .50954 L
Mistroke
.02828 .48713 L
.02762 .47541 L
.02732 .46895 L
.02708 .46287 L
.02689 .45716 L
.02673 .45099 L
.02661 .44537 L
.02653 .4402 L
.0265 .43715 L
.02647 .43438 L
.02646 .43284 L
.02645 .43117 L
.02645 .4296 L
.02644 .42814 L
.02644 .4268 L
.02644 .42554 L
.02644 .42416 L
.02645 .42268 L
.02645 .42121 L
.02646 .41966 L
.02648 .41689 L
.02651 .41382 L
.02655 .41055 L
.02665 .40467 L
.02681 .39767 L
.02698 .39133 L
.02741 .37899 L
.02791 .36766 L
.02936 .3422 L
.03314 .29467 L
.03768 .25016 L
.04301 .20427 L
.0434 .20103 L
Mfstroke
.33333 .85 m
.32942 .85022 L
.32507 .85042 L
.3204 .8506 L
.31609 .85073 L
.31359 .85078 L
.31121 .85082 L
.3099 .85083 L
.30868 .85084 L
.30804 .85085 L
.30733 .85085 L
.30698 .85085 L
.3066 .85085 L
.30623 .85086 L
.3059 .85086 L
.30531 .85086 L
.30498 .85086 L
.30468 .85085 L
.30409 .85085 L
.30353 .85085 L
.30288 .85085 L
.30228 .85084 L
.30092 .85083 L
.29981 .85082 L
.29859 .8508 L
.29612 .85075 L
.29355 .85068 L
.2911 .8506 L
.28646 .8504 L
.2814 .85011 L
.27582 .84972 L
.26549 .84873 L
.25425 .84728 L
.24361 .84549 L
.23342 .84338 L
.21132 .83734 L
.18723 .82807 L
.16375 .8158 L
.14127 .80034 L
.11793 .77942 L
.09654 .75448 L
.07558 .72251 L
.05767 .68634 L
.04304 .64683 L
.03671 .6252 L
.03063 .60027 L
.02569 .57535 L
.02194 .55184 L
.01883 .52693 L
.01743 .51282 L
Mistroke
.01634 .49961 L
.01545 .48639 L
.0148 .47436 L
.01426 .46092 L
.01404 .45353 L
.01388 .44656 L
.01378 .44028 L
.01374 .43671 L
.01371 .43338 L
.01369 .43157 L
.01369 .42986 L
.01368 .42832 L
.01368 .42665 L
.01367 .42579 L
.01367 .42484 L
.01367 .42384 L
.01368 .42291 L
.01368 .42125 L
.01368 .42031 L
.01369 .41945 L
.0137 .41644 L
.01373 .41364 L
.01376 .41057 L
.01381 .4073 L
.01392 .4006 L
.01406 .39453 L
.01446 .38106 L
.01495 .36868 L
.01643 .34088 L
.01815 .31599 L
.02039 .28898 L
.02555 .23732 L
.03103 .18925 L
.03637 .14415 L
Mfstroke
.33333 .86667 m
.3291 .86689 L
.3244 .86711 L
.31941 .86729 L
.31468 .86742 L
.31195 .86747 L
.31059 .86749 L
.30934 .8675 L
.30819 .86752 L
.30761 .86752 L
.30698 .86752 L
.30634 .86753 L
.30575 .86753 L
.30539 .86753 L
.30504 .86753 L
.30439 .86753 L
.30403 .86753 L
.30369 .86753 L
.30305 .86753 L
.30269 .86753 L
.30236 .86753 L
.30161 .86752 L
.30035 .86751 L
.29901 .8675 L
.29755 .86748 L
.29617 .86745 L
.29303 .86738 L
.29037 .8673 L
.28745 .86719 L
.28209 .86693 L
.2768 .86661 L
.27184 .86623 L
.26128 .86519 L
.24934 .8636 L
.23787 .86162 L
.22525 .8589 L
.1997 .85136 L
.17451 .84085 L
.1501 .82707 L
.1244 .80777 L
.1005 .78406 L
.07667 .75285 L
.05595 .71668 L
.03867 .67634 L
.03107 .65395 L
.02367 .62794 L
.01283 .57682 L
.00881 .55028 L
.00547 .52101 L
.0042 .50659 L
Mistroke
.00308 .49073 L
.00225 .47565 L
.00168 .46159 L
.00146 .45416 L
.00136 .45025 L
.00128 .44612 L
.00121 .4425 L
.00115 .43853 L
.00111 .43491 L
.00109 .43154 L
.00108 .42984 L
.00107 .428 L
.00106 .42625 L
.00106 .42464 L
.00106 .42319 L
.00106 .42159 L
.00106 .41993 L
.00107 .41836 L
.00108 .41663 L
.00109 .41481 L
.00112 .41157 L
.00115 .40807 L
.00121 .40425 L
.00135 .39648 L
.00152 .38916 L
.00195 .37549 L
.00255 .36081 L
.00335 .34498 L
.00756 .28625 L
.01286 .23129 L
.01851 .18019 L
.02453 .12773 L
.02924 .08463 L
Mfstroke
.33333 .88333 m
.32877 .88357 L
.3237 .88379 L
.31832 .88398 L
.31589 .88405 L
.31322 .88411 L
.31169 .88413 L
.31027 .88416 L
.30893 .88417 L
.30745 .88419 L
.30681 .88419 L
.30612 .8842 L
.30547 .8842 L
.30487 .8842 L
.3042 .8842 L
.30381 .8842 L
.30346 .8842 L
.30281 .8842 L
.30211 .8842 L
.30172 .8842 L
.3013 .8842 L
.30054 .8842 L
.29973 .88419 L
.29884 .88418 L
.29723 .88416 L
.29572 .88414 L
.29289 .88408 L
.28983 .884 L
.28396 .88378 L
.27747 .88344 L
.27125 .88302 L
.26541 .88252 L
.25394 .88126 L
.24096 .87936 L
.2285 .877 L
.21479 .87376 L
.20165 .86994 L
.18707 .86482 L
.15983 .85233 L
.1319 .83476 L
.10555 .81248 L
.07889 .78231 L
.05531 .74644 L
.0353 .70557 L
.02636 .68257 L
.01757 .65561 L
.00442 .60197 L
s
.00442 .60197 m
0 .57713 L
s
0 .22887 m
.00572 .17505 L
.01199 .1188 L
.0175 .06661 L
.02149 .02237 L
s
.33333 .9 m
.32844 .90025 L
.32298 .90048 L
.3202 .90058 L
.31719 .90067 L
.31435 .90074 L
.31171 .90079 L
.31021 .90082 L
.30855 .90084 L
.30688 .90086 L
.30596 .90086 L
.3051 .90087 L
.30471 .90087 L
.30428 .90087 L
.3035 .90088 L
.30275 .90088 L
.30204 .90088 L
.30161 .90088 L
.3012 .90088 L
.30044 .90087 L
.30001 .90087 L
.29962 .90087 L
.29873 .90086 L
.29728 .90085 L
.29593 .90084 L
.29284 .90078 L
.2898 .90071 L
.28651 .90062 L
.28018 .90036 L
.27318 .89996 L
.26646 .89946 L
.26016 .89889 L
.24777 .89745 L
.23375 .89526 L
.22028 .89255 L
.20547 .88882 L
.19128 .88442 L
.17555 .87849 L
.14624 .86404 L
.11633 .84364 L
.08836 .81775 L
.06043 .78273 L
.03619 .74128 L
.01615 .69433 L
.00728 .66753 L
s
.00728 .66753 m
0 .64083 L
s
0 .10593 m
.00424 .06552 L
.00952 .00608 L
s
.00952 .00608 m
.0099 0 L
s
.33333 .91667 m
.32809 .91692 L
.32224 .91716 L
.31925 .91726 L
.31603 .91736 L
.31298 .91743 L
.31015 .91748 L
.30851 .9175 L
.30676 .91752 L
.30591 .91753 L
.305 .91754 L
.30447 .91754 L
.30399 .91754 L
.30353 .91755 L
.30304 .91755 L
.30259 .91755 L
.30218 .91755 L
.30138 .91755 L
.30093 .91755 L
.30044 .91755 L
.29998 .91755 L
.29955 .91755 L
.29878 .91754 L
.29793 .91754 L
.29704 .91753 L
.2962 .91752 L
.29453 .91751 L
.29293 .91748 L
.28992 .91742 L
.28666 .91734 L
.28308 .91722 L
.27678 .91694 L
.26973 .91652 L
.26225 .91595 L
.25513 .91527 L
.24069 .91348 L
.22712 .91123 L
.21295 .90825 L
.19714 .90408 L
.18063 .89867 L
.16544 .89262 L
.13447 .87655 L
.103 .85385 L
.07376 .82506 L
.04481 .78615 L
.02005 .74026 L
s
.02005 .74026 m
0 .68859 L
s
.35 .08333 m
.34365 .08249 L
.33693 .08139 L
.33079 .08019 L
.32504 .07885 L
.31905 .07722 L
.31342 .07544 L
.30754 .07329 L
.30199 .07097 L
.29673 .06848 L
.2912 .06555 L
.28593 .06242 L
.2809 .05913 L
.27557 .05528 L
.27046 .05125 L
.26501 .04656 L
.25974 .04165 L
.25463 .03653 L
.24913 .03063 L
.24377 .02448 L
.23796 .0174 L
.23225 .01002 L
.22661 .00235 L
s
.22661 .00235 m
.22497 0 L
s
.35 .1 m
.3445 .09921 L
.33866 .0982 L
.33331 .09711 L
.32829 .0959 L
.32306 .09445 L
.31812 .09288 L
.31298 .09101 L
.3081 .08899 L
.30348 .08684 L
.29862 .08433 L
.29399 .08167 L
.28958 .07888 L
.2849 .07564 L
.28041 .07226 L
.27563 .06835 L
.27102 .06427 L
.26656 .06004 L
.26178 .05519 L
.25712 .05016 L
.2521 .0444 L
.24718 .03841 L
.24234 .03223 L
.23708 .02517 L
.23215 .01824 L
s
.35 .11667 m
.3453 .11593 L
.34029 .11501 L
.3357 .11402 L
.33138 .11294 L
.32687 .11166 L
.32261 .11027 L
.31816 .10864 L
.31394 .1069 L
.30994 .10506 L
.30573 .10292 L
.30171 .10067 L
.29788 .09833 L
.29382 .09562 L
.28992 .0928 L
.28579 .08957 L
.2818 .08621 L
.27795 .08275 L
.27382 .07879 L
.26982 .0747 L
.26552 .07005 L
.26131 .06524 L
.2572 .06029 L
.25275 .05467 L
.24858 .04918 L
s
.35 .13333 m
.34605 .13265 L
.34184 .13181 L
.33796 .13092 L
.33431 .12996 L
.33049 .12883 L
.32688 .12763 L
.32309 .12621 L
.3195 .12472 L
.31609 .12316 L
.3125 .12135 L
.30907 .11946 L
.3058 .1175 L
.30233 .11526 L
.299 .11294 L
.29547 .11028 L
.29207 .10754 L
.28879 .10473 L
.28529 .10153 L
.28189 .09825 L
.27825 .09452 L
.2747 .09069 L
.27124 .08677 L
.26751 .08234 L
.26403 .07804 L
s
.35 .15 m
.34676 .14938 L
.34329 .14861 L
.3401 .14782 L
.33708 .14697 L
.33391 .14598 L
.33091 .14494 L
.32777 .14373 L
.32478 .14246 L
.32193 .14114 L
.31893 .13962 L
.31607 .13805 L
.31333 .13644 L
.31043 .13459 L
.30765 .1327 L
.30469 .13055 L
.30185 .12834 L
.29911 .12608 L
.29618 .12352 L
.29335 .12091 L
.29032 .11797 L
.28738 .11496 L
.28451 .11189 L
.28143 .10844 L
.27856 .10511 L
s
.35 .16667 m
.34742 .1661 L
.34465 .16541 L
.3421 .1647 L
.33968 .16396 L
.33713 .1631 L
.33472 .16221 L
.33218 .16118 L
.32976 .16011 L
.32746 .15901 L
.32502 .15776 L
.3227 .15647 L
.32047 .15515 L
.31811 .15366 L
.31585 .15213 L
.31344 .15041 L
.31113 .14865 L
.3089 .14687 L
.30652 .14486 L
.30421 .14281 L
.30175 .14052 L
.29936 .13819 L
.29704 .13583 L
.29455 .13319 L
.29225 .13065 L
s
.35 .18333 m
.34804 .18282 L
.34592 .18221 L
.34397 .18158 L
.34211 .18094 L
.34015 .18021 L
.33829 .17945 L
.33632 .17859 L
.33445 .1777 L
.33266 .1768 L
.33077 .17577 L
.32895 .17473 L
.32721 .17367 L
.32537 .17248 L
.3236 .17127 L
.32171 .16992 L
.3199 .16855 L
.31815 .16716 L
.31628 .16561 L
.31448 .16404 L
.31255 .1623 L
.31068 .16053 L
.30886 .15875 L
.30691 .15677 L
.30512 .15487 L
s
.35 .2 m
.34861 .19954 L
.3471 .199 L
.3457 .19846 L
.34437 .19791 L
.34296 .19729 L
.34162 .19666 L
.3402 .19595 L
.33884 .19522 L
.33753 .19449 L
.33615 .19368 L
.33482 .19285 L
.33355 .19202 L
.33219 .19109 L
.33089 .19016 L
.3295 .18912 L
.32816 .18807 L
.32686 .18702 L
.32548 .18586 L
.32414 .18469 L
.32271 .18339 L
.32132 .18209 L
.31998 .18079 L
.31853 .17934 L
.3172 .17797 L
s
.35 .21667 m
.34913 .21626 L
.34819 .21579 L
.34731 .21533 L
.34646 .21487 L
.34557 .21435 L
.34471 .21383 L
.34379 .21326 L
.34291 .21269 L
.34207 .21211 L
.34117 .21148 L
.3403 .21084 L
.33946 .21021 L
.33857 .20951 L
.3377 .20881 L
.33678 .20804 L
.33589 .20728 L
.33502 .20651 L
.3341 .20567 L
.3332 .20483 L
.33224 .20391 L
.33131 .20299 L
.3304 .20207 L
.32942 .20107 L
.32852 .20012 L
s
.35 .23333 m
.34961 .23298 L
.34918 .23258 L
.34878 .23219 L
.34838 .23181 L
.34796 .2314 L
.34755 .23099 L
.34711 .23054 L
.34668 .2301 L
.34626 .22967 L
.34581 .22919 L
.34537 .22872 L
.34494 .22826 L
.34449 .22776 L
.34404 .22727 L
.34356 .22673 L
.34308 .2262 L
.34262 .22567 L
.34213 .2251 L
.34165 .22454 L
.34112 .22392 L
.34061 .22331 L
.34011 .22272 L
.33958 .22206 L
.33908 .22145 L
s
.35 .25 m
.35004 .24969 L
.35008 .24936 L
.3501 .2492 L
.35011 .24905 L
.35012 .24889 L
.35013 .24875 L
.35013 .24867 L
.35013 .24859 L
.35013 .24851 L
.35014 .24844 L
.35014 .24836 L
.35014 .24832 L
.35014 .24828 L
.35014 .24826 L
.35014 .24825 L
.35014 .24824 L
.35014 .24822 L
.35014 .24821 L
.35014 .24821 L
.35014 .2482 L
.35014 .24819 L
.35014 .24818 L
.35014 .24818 L
.35014 .24817 L
.35014 .24816 L
.35014 .24816 L
.35014 .24815 L
.35014 .24814 L
.35014 .24813 L
.35014 .24811 L
.35014 .24809 L
.35014 .24807 L
.35014 .24804 L
.35014 .24799 L
.35014 .24796 L
.35013 .24787 L
.35013 .24779 L
.35013 .24763 L
.35012 .24748 L
.3501 .24717 L
.35007 .24683 L
.35003 .24651 L
.34998 .24619 L
.34993 .24586 L
.34987 .24553 L
.34981 .24522 L
.34973 .24488 L
.34965 .24455 L
.34955 .2442 L
Mistroke
.34946 .24386 L
.34935 .24352 L
.34924 .24317 L
.34912 .24282 L
.34899 .24245 L
.34886 .2421 L
Mfstroke
.35 .26667 m
.35043 .26641 L
.35089 .26614 L
.3513 .2659 L
.35169 .26567 L
.35209 .26544 L
.35247 .26522 L
.35286 .265 L
.35323 .26479 L
.35357 .26459 L
.35393 .26439 L
.35426 .2642 L
.35457 .26402 L
.35489 .26384 L
.35519 .26367 L
.35551 .26349 L
.3558 .26333 L
.35607 .26318 L
.35635 .26302 L
.35662 .26287 L
.35689 .26272 L
.35715 .26257 L
.35739 .26244 L
.35764 .2623 L
.35786 .26218 L
s
.35 .28333 m
.35077 .28313 L
.35159 .28293 L
.35236 .28275 L
.35308 .28259 L
.35383 .28244 L
.35455 .28231 L
.3553 .28218 L
.356 .28207 L
.35668 .28197 L
.35738 .28189 L
.35805 .28181 L
.35868 .28175 L
.35935 .2817 L
.35998 .28166 L
.3603 .28164 L
.36065 .28163 L
.36098 .28162 L
.36128 .28161 L
.36159 .2816 L
.36175 .2816 L
.36183 .2816 L
.36191 .2816 L
.36199 .2816 L
.36207 .2816 L
.36211 .2816 L
.36215 .2816 L
.36217 .2816 L
.36219 .2816 L
.36221 .2816 L
.36223 .2816 L
.36224 .2816 L
.36226 .2816 L
.36228 .2816 L
.3623 .2816 L
.36231 .2816 L
.36233 .2816 L
.36235 .2816 L
.36237 .2816 L
.36241 .2816 L
.36244 .2816 L
.36251 .2816 L
.36258 .2816 L
.36266 .2816 L
.3628 .2816 L
.36296 .2816 L
.36312 .2816 L
.36342 .28161 L
.36373 .28162 L
.36435 .28165 L
Mistroke
.36494 .28168 L
.3655 .28173 L
.36604 .28178 L
Mfstroke
.35 .3 m
.35106 .29985 L
.35221 .2997 L
.35327 .29959 L
.35428 .2995 L
.35534 .29943 L
.35636 .29937 L
.35691 .29935 L
.35742 .29933 L
.35767 .29933 L
.35793 .29932 L
.35817 .29932 L
.3584 .29931 L
.35852 .29931 L
.35863 .29931 L
.35876 .29931 L
.35883 .29931 L
.35886 .29931 L
.35889 .29931 L
.35892 .29931 L
.35895 .29931 L
.35898 .29931 L
.35901 .29931 L
.35903 .29931 L
.35906 .29931 L
.35908 .29931 L
.35911 .29931 L
.35914 .29931 L
.35918 .29931 L
.35924 .29931 L
.35929 .29931 L
.35935 .29931 L
.35946 .29931 L
.35959 .29931 L
.35981 .29931 L
.36008 .29932 L
.36033 .29932 L
.3608 .29934 L
.3613 .29935 L
.3623 .2994 L
.36324 .29946 L
.36424 .29953 L
.36519 .29962 L
.3661 .29972 L
.36706 .29984 L
.36798 .29997 L
.36885 .3001 L
.36978 .30025 L
.37066 .30041 L
.3716 .30059 L
Mistroke
.37249 .30078 L
.37335 .30097 L
.37338 .30098 L
Mfstroke
.35 .31667 m
.35131 .31656 L
.35199 .31652 L
.35273 .31648 L
.35342 .31645 L
.35404 .31643 L
.35469 .31641 L
.35505 .31641 L
.35521 .3164 L
.35538 .3164 L
.35554 .3164 L
.3557 .3164 L
.35579 .3164 L
.35587 .3164 L
.35591 .3164 L
.35596 .3164 L
.356 .3164 L
.35604 .3164 L
.35608 .3164 L
.35612 .3164 L
.35615 .3164 L
.35619 .3164 L
.35623 .3164 L
.35627 .3164 L
.35631 .3164 L
.35635 .3164 L
.35642 .3164 L
.35649 .3164 L
.35664 .3164 L
.3568 .3164 L
.35696 .3164 L
.35726 .31641 L
.35758 .31641 L
.35794 .31642 L
.35856 .31644 L
.35923 .31646 L
.36055 .31653 L
.36181 .31661 L
.36301 .31671 L
.36429 .31684 L
.36551 .31698 L
.36679 .31714 L
.36802 .31732 L
.3692 .31751 L
.37045 .31772 L
.37165 .31795 L
.37279 .31817 L
.37401 .31843 L
.37517 .31869 L
.3764 .31897 L
Mistroke
.37758 .31926 L
.37872 .31955 L
.37984 .31985 L
Mfstroke
.35 .33333 m
.35074 .3333 L
.35151 .33328 L
.35192 .33327 L
.35229 .33326 L
.3525 .33326 L
.35271 .33326 L
.35282 .33326 L
.35294 .33326 L
.35304 .33326 L
.35315 .33325 L
.35324 .33325 L
.35333 .33325 L
.35338 .33325 L
.35343 .33325 L
.35347 .33325 L
.35351 .33325 L
.35354 .33325 L
.35356 .33325 L
.35361 .33325 L
.35366 .33325 L
.35371 .33325 L
.35375 .33325 L
.35381 .33325 L
.35391 .33325 L
.35402 .33326 L
.35412 .33326 L
.35433 .33326 L
.35453 .33326 L
.35472 .33326 L
.3551 .33327 L
.35549 .33328 L
.35619 .3333 L
.35694 .33333 L
.35764 .33336 L
.35911 .33344 L
.36066 .33356 L
.36215 .3337 L
.36358 .33385 L
.36509 .33404 L
.36654 .33424 L
.36808 .33448 L
.36955 .33473 L
.37096 .33498 L
.37246 .33527 L
.3739 .33557 L
.37528 .33587 L
.37674 .3362 L
.37815 .33654 L
.37964 .33691 L
Mistroke
.38107 .33728 L
.38245 .33765 L
.38392 .33805 L
.38532 .33845 L
.38536 .33846 L
Mfstroke
.35 .35 m
.3502 .35 L
.35039 .35 L
.35059 .34999 L
.35071 .34999 L
.35081 .34999 L
.35086 .34999 L
.35092 .34999 L
.35097 .34999 L
.35102 .34999 L
.35108 .34999 L
.35111 .34999 L
.35114 .34999 L
.35119 .34999 L
.35125 .34999 L
.3513 .34999 L
.35135 .34999 L
.35145 .34999 L
.35156 .34999 L
.35166 .35 L
.3519 .35 L
.35211 .35 L
.35259 .35001 L
.35302 .35002 L
.35347 .35003 L
.35431 .35005 L
.35509 .35009 L
.35675 .35018 L
.3585 .35031 L
.36019 .35046 L
.36181 .35064 L
.36352 .35085 L
.36517 .35108 L
.36675 .35133 L
.36843 .35161 L
.37005 .3519 L
.37176 .35224 L
.37341 .35258 L
.37499 .35292 L
.37668 .35331 L
.3783 .3537 L
.38001 .35412 L
.38167 .35455 L
.38326 .35498 L
.38496 .35544 L
.38659 .3559 L
.38815 .35635 L
.38982 .35684 L
.38989 .35686 L
s
.35 .36667 m
.35041 .36667 L
.35086 .36668 L
.35177 .36671 L
.35277 .36675 L
.35369 .3668 L
.35547 .36691 L
.35736 .36707 L
.35918 .36726 L
.36093 .36747 L
.36278 .36772 L
.36457 .36799 L
.36629 .36827 L
.36812 .3686 L
.36987 .36894 L
.37174 .36932 L
.37355 .36972 L
.37528 .37011 L
.37712 .37056 L
.3789 .371 L
.38079 .37149 L
.38261 .37197 L
.38437 .37245 L
.38624 .37298 L
.38804 .3735 L
.38978 .37401 L
.39163 .37456 L
.39336 .37508 L
s
.35 .38333 m
.35183 .38343 L
.35382 .38357 L
.35569 .38374 L
.3575 .38393 L
.35942 .38417 L
.36127 .38444 L
.36323 .38475 L
.36513 .38508 L
.36696 .38543 L
.36891 .38582 L
.37079 .38623 L
.37259 .38664 L
.37452 .3871 L
.37638 .38756 L
.37836 .38807 L
.38028 .38858 L
.38212 .38909 L
.38408 .38965 L
.38598 .3902 L
.388 .3908 L
.38996 .39139 L
.39184 .39196 L
.39386 .39258 L
.3957 .39316 L
s
.35 .4 m
.35184 .40014 L
.35385 .40033 L
.35574 .40055 L
.35756 .4008 L
.35951 .40109 L
.36139 .4014 L
.36339 .40177 L
.36532 .40216 L
.36719 .40255 L
.36917 .403 L
.3711 .40346 L
.37295 .40392 L
.37493 .40444 L
.37684 .40495 L
.37888 .40552 L
.38085 .40609 L
.38275 .40665 L
.38478 .40726 L
.38674 .40787 L
.38884 .40853 L
.39086 .40917 L
.39282 .4098 L
.39492 .41048 L
.39684 .41111 L
s
.35 .41667 m
.3518 .41685 L
.35378 .4171 L
.35564 .41736 L
.35743 .41765 L
.35935 .41799 L
.36121 .41835 L
.36319 .41877 L
.3651 .4192 L
.36695 .41964 L
.36893 .42014 L
.37084 .42064 L
.37269 .42115 L
.37466 .42172 L
.37657 .42228 L
.37861 .4229 L
.38058 .42351 L
.38249 .42412 L
.38453 .42479 L
.3865 .42544 L
.38861 .42615 L
.39065 .42685 L
.39263 .42753 L
.39474 .42826 L
.39668 .42894 L
s
.35 .43333 m
.35172 .43357 L
.3536 .43386 L
.35538 .43417 L
.3571 .4345 L
.35894 .43489 L
.36072 .43529 L
.36263 .43575 L
.36447 .43622 L
.36626 .4367 L
.36816 .43724 L
.37001 .43778 L
.37179 .43833 L
.37371 .43893 L
.37556 .43954 L
.37753 .4402 L
.37945 .44085 L
.3813 .4415 L
.38329 .44221 L
.38521 .44291 L
.38726 .44366 L
.38926 .4444 L
.39119 .44513 L
.39325 .44591 L
.39515 .44663 L
s
.35 .45 m
.35159 .45028 L
.35333 .45062 L
.35497 .45097 L
.35657 .45134 L
.35828 .45177 L
.35993 .45221 L
.3617 .4527 L
.36342 .45321 L
.36508 .45372 L
.36685 .4543 L
.36858 .45487 L
.37024 .45545 L
.37203 .45609 L
.37376 .45672 L
.37561 .45741 L
.3774 .4581 L
.37914 .45878 L
.381 .45953 L
.3828 .46026 L
.38473 .46105 L
.3866 .46183 L
.38842 .46259 L
.39036 .46341 L
.39215 .46417 L
s
.35 .46667 m
.35141 .46699 L
.35295 .46738 L
.35441 .46777 L
.35583 .46818 L
.35735 .46864 L
.35882 .46911 L
.3604 .46963 L
.36192 .47017 L
.3634 .47071 L
.36499 .47131 L
.36653 .47191 L
.36801 .4725 L
.36961 .47316 L
.37115 .47382 L
.3728 .47453 L
.37441 .47524 L
.37596 .47594 L
.37762 .47671 L
.37923 .47746 L
.38095 .47828 L
.38263 .47908 L
.38425 .47986 L
.38598 .48071 L
.38758 .4815 L
s
.35 .48333 m
.35118 .4837 L
.35247 .48413 L
.3537 .48456 L
.35489 .485 L
.35616 .48549 L
.35739 .48599 L
.35871 .48654 L
.35999 .4871 L
.36123 .48765 L
.36256 .48827 L
.36384 .48888 L
.36508 .48949 L
.36642 .49015 L
.3677 .49082 L
.36908 .49154 L
.37042 .49226 L
.37171 .49296 L
.3731 .49373 L
.37443 .49449 L
.37587 .49531 L
.37725 .49612 L
.3786 .49691 L
.38003 .49777 L
.38135 .49856 L
s
.35 .5 m
.3509 .50041 L
.35189 .50089 L
.35283 .50135 L
.35373 .50182 L
.3547 .50234 L
.35563 .50285 L
.35663 .50342 L
.3576 .50399 L
.35854 .50455 L
.35953 .50517 L
.3605 .50578 L
.36143 .50638 L
.36243 .50704 L
.36339 .5077 L
.36441 .50841 L
.3654 .50911 L
.36636 .5098 L
.36737 .51055 L
.36836 .51129 L
.3694 .51209 L
.37042 .51287 L
.37139 .51364 L
.37243 .51447 L
.37338 .51525 L
s
.35 .51667 m
.35058 .51713 L
.35121 .51764 L
.3518 .51814 L
.35236 .51863 L
.35297 .51916 L
.35355 .51969 L
.35416 .52027 L
.35475 .52083 L
.35531 .52139 L
.35591 .522 L
.35648 .52259 L
.35703 .52318 L
.35761 .52381 L
.35817 .52443 L
.35875 .52511 L
.35931 .52577 L
.35985 .52641 L
.36041 .52711 L
.36095 .52779 L
.36151 .52853 L
.36205 .52925 L
.36256 .52995 L
.3631 .53071 L
.36359 .53141 L
s
.35 .53333 m
.3502 .53384 L
.35042 .53439 L
.35061 .53492 L
.35078 .53543 L
.35096 .53597 L
.35112 .53651 L
.35128 .53708 L
.35142 .53764 L
.35155 .53817 L
.35167 .53875 L
.35177 .53931 L
.35186 .53985 L
.35195 .54043 L
.35201 .541 L
.35207 .5416 L
.3521 .5419 L
.35211 .54218 L
.35213 .54247 L
.35214 .54274 L
.35215 .54288 L
.35215 .54304 L
.35215 .54311 L
.35215 .54318 L
.35215 .54325 L
.35215 .54331 L
.35215 .54335 L
.35215 .54339 L
.35215 .54342 L
.35216 .54345 L
.35216 .54347 L
.35216 .54349 L
.35216 .5435 L
.35216 .54351 L
.35216 .54353 L
.35216 .54355 L
.35216 .54357 L
.35216 .54359 L
.35216 .5436 L
.35216 .54362 L
.35216 .54364 L
.35216 .54367 L
.35215 .54371 L
.35215 .54374 L
.35215 .5438 L
.35215 .54388 L
.35215 .54402 L
.35215 .54417 L
.35214 .54444 L
.35212 .54475 L
Mistroke
.35211 .54505 L
.35206 .54562 L
.352 .54623 L
.35192 .54681 L
.35191 .54687 L
Mfstroke
.35 .55 m
.34978 .55055 L
.34952 .55114 L
.34926 .55169 L
.34899 .55221 L
.34867 .55277 L
.34835 .5533 L
.34798 .55386 L
.34761 .55438 L
.34722 .55489 L
.34679 .55541 L
.34635 .55591 L
.34591 .55639 L
.34541 .55688 L
.3449 .55734 L
.34434 .55783 L
.34377 .55828 L
.3432 .5587 L
.34257 .55914 L
.34194 .55955 L
.34123 .55996 L
.34053 .56035 L
.33982 .5607 L
.33904 .56106 L
.33831 .56137 L
s
.35 .56667 m
.34931 .56725 L
.34852 .56788 L
.34775 .56845 L
.34697 .56899 L
.3461 .56954 L
.34523 .57006 L
.34427 .57059 L
.3433 .57107 L
.34233 .57152 L
.34126 .57197 L
.3402 .57238 L
.33914 .57275 L
.33797 .57311 L
.33681 .57343 L
.33553 .57374 L
.33426 .574 L
.333 .57421 L
.33163 .57441 L
.33026 .57455 L
.3295 .57461 L
.32878 .57466 L
.32842 .57468 L
.32804 .57469 L
.32769 .5747 L
.32736 .57471 L
.32719 .57472 L
.32701 .57472 L
.32691 .57472 L
.32681 .57472 L
.32672 .57472 L
.32663 .57472 L
.32655 .57472 L
.32651 .57473 L
.32647 .57473 L
.32642 .57473 L
.32638 .57473 L
.32633 .57473 L
.32629 .57473 L
.32624 .57473 L
.3262 .57473 L
.32616 .57473 L
.32612 .57473 L
.32602 .57472 L
.32593 .57472 L
.32575 .57472 L
.32556 .57472 L
.32522 .57471 L
.3248 .5747 L
.32442 .57469 L
Mistroke
.32367 .57465 L
.32285 .5746 L
.3228 .57459 L
Mfstroke
.35 .58333 m
.34879 .58396 L
.34742 .58462 L
.34607 .58521 L
.34473 .58576 L
.34324 .5863 L
.34176 .58679 L
.34012 .58727 L
.33849 .58769 L
.33686 .58806 L
.33507 .5884 L
.3333 .58868 L
.33154 .5889 L
.33054 .589 L
.32961 .58908 L
.32863 .58915 L
.3277 .5892 L
.32724 .58922 L
.32675 .58923 L
.32646 .58924 L
.3262 .58925 L
.32595 .58925 L
.32583 .58925 L
.32569 .58925 L
.32556 .58925 L
.32544 .58925 L
.32538 .58926 L
.32532 .58926 L
.32526 .58926 L
.3252 .58926 L
.32514 .58926 L
.3251 .58926 L
.32507 .58926 L
.32503 .58926 L
.32499 .58926 L
.32496 .58926 L
.32492 .58926 L
.32486 .58926 L
.32482 .58926 L
.32479 .58926 L
.32466 .58925 L
.3246 .58925 L
.32452 .58925 L
.32439 .58925 L
.3241 .58925 L
.32384 .58924 L
.32356 .58924 L
.32303 .58922 L
.32253 .5892 L
.32141 .58915 L
Mistroke
.32038 .58908 L
.31925 .58898 L
.31698 .58873 L
.31475 .5884 L
.31233 .58795 L
.30996 .58742 L
.30764 .58681 L
.30542 .58614 L
Mfstroke
.35 .6 m
.34822 .60067 L
.34621 .60136 L
.34423 .60197 L
.34226 .60251 L
.34009 .60303 L
.33792 .60348 L
.33554 .6039 L
.33316 .60423 L
.3308 .60449 L
.32955 .60459 L
.3282 .60468 L
.3276 .60472 L
.32694 .60475 L
.32632 .60477 L
.32573 .60479 L
.32538 .6048 L
.32506 .6048 L
.32471 .60481 L
.32451 .60481 L
.32432 .60481 L
.32416 .60481 L
.32408 .60481 L
.32398 .60481 L
.32391 .60481 L
.32382 .60481 L
.32374 .60481 L
.32367 .60481 L
.32363 .60481 L
.32358 .60481 L
.3235 .60481 L
.32345 .60481 L
.32341 .60481 L
.32331 .60481 L
.32314 .60481 L
.32296 .60481 L
.32262 .60481 L
.32231 .6048 L
.32159 .60478 L
.32088 .60476 L
.32012 .60473 L
.31861 .60465 L
.31717 .60454 L
.31438 .60426 L
.31133 .60384 L
.30834 .60331 L
.30541 .60267 L
.30224 .60185 L
.29913 .60092 L
.29579 .59976 L
Mistroke
.29254 .59847 L
.28938 .59706 L
.2863 .59553 L
Mfstroke
.35 .61667 m
.34761 .61738 L
.34489 .6181 L
.34223 .61871 L
.33957 .61924 L
.33664 .61974 L
.33372 .62013 L
.3322 .6203 L
.33051 .62046 L
.329 .62058 L
.32731 .62068 L
.32652 .62072 L
.32568 .62075 L
.32521 .62076 L
.32477 .62078 L
.32436 .62079 L
.32392 .62079 L
.3237 .6208 L
.32349 .6208 L
.32328 .6208 L
.32309 .6208 L
.32291 .62081 L
.32282 .62081 L
.32272 .62081 L
.32262 .62081 L
.32252 .62081 L
.32241 .62081 L
.32231 .62081 L
.3222 .62081 L
.32215 .62081 L
.32209 .62081 L
.32198 .62081 L
.32188 .62081 L
.32165 .6208 L
.3214 .6208 L
.32095 .6208 L
.32053 .62079 L
.31968 .62077 L
.31888 .62074 L
.318 .62071 L
.31705 .62066 L
.31513 .62054 L
.3133 .62038 L
.30974 .61998 L
.30586 .61938 L
.30204 .61864 L
.2983 .61775 L
.29424 .6166 L
.29028 .61529 L
.28602 .61366 L
Mistroke
.28188 .61184 L
.27786 .60985 L
.27358 .60746 L
.26945 .60487 L
.26563 .60221 L
Mfstroke
.35 .63333 m
.34694 .63409 L
.34346 .63483 L
.34005 .63545 L
.33665 .63597 L
.3329 .63641 L
.32915 .63674 L
.32705 .63687 L
.32607 .63691 L
.32503 .63695 L
.32406 .63698 L
.32355 .63699 L
.32299 .63701 L
.32248 .63701 L
.32201 .63702 L
.32178 .63702 L
.32166 .63702 L
.32153 .63702 L
.32141 .63702 L
.3213 .63702 L
.32118 .63702 L
.32108 .63702 L
.32096 .63702 L
.32083 .63702 L
.3207 .63702 L
.32059 .63702 L
.32046 .63702 L
.32032 .63702 L
.32006 .63702 L
.31978 .63702 L
.31949 .63701 L
.31897 .637 L
.31803 .63698 L
.31699 .63695 L
.3159 .63691 L
.3149 .63686 L
.3126 .63671 L
.31049 .63654 L
.30815 .6363 L
.30348 .63567 L
.29887 .63485 L
.29386 .63373 L
.28894 .63238 L
.28414 .63082 L
.27896 .62885 L
.27391 .62664 L
.26904 .62418 L
.26383 .62121 L
.25882 .61797 L
.25352 .61411 L
Mistroke
.24848 .60995 L
.24369 .60554 L
.24369 .60553 L
Mfstroke
.35 .65 m
.34622 .65079 L
.34192 .65156 L
.33771 .65218 L
.3335 .65267 L
.33109 .65289 L
.32885 .65306 L
.32648 .6532 L
.3254 .65325 L
.3242 .65329 L
.32302 .65333 L
.32237 .65334 L
.32176 .65335 L
.32147 .65335 L
.32119 .65336 L
.32093 .65336 L
.32066 .65336 L
.32051 .65336 L
.32037 .65336 L
.32022 .65336 L
.32009 .65336 L
.31994 .65337 L
.31986 .65337 L
.31977 .65337 L
.31963 .65337 L
.31947 .65337 L
.31931 .65336 L
.31915 .65336 L
.31899 .65336 L
.31881 .65336 L
.31851 .65336 L
.31818 .65336 L
.31758 .65335 L
.317 .65334 L
.31572 .65331 L
.31432 .65326 L
.31308 .6532 L
.3117 .65313 L
.30891 .65293 L
.30627 .65269 L
.30341 .65237 L
.29762 .65151 L
.29191 .6504 L
.28629 .64903 L
.2802 .64722 L
.27425 .64511 L
.26846 .6427 L
.26224 .6397 L
.25623 .63636 L
.24985 .63229 L
Mistroke
.24374 .62782 L
.23793 .62301 L
.23185 .6173 L
.22615 .61121 L
.22086 .60484 L
Mfstroke
.35 .66667 m
.34545 .6675 L
.34027 .66829 L
.33519 .6689 L
.33011 .66936 L
.32742 .66953 L
.32449 .66967 L
.32304 .66972 L
.32227 .66974 L
.32144 .66976 L
.32072 .66977 L
.32034 .66978 L
.31993 .66978 L
.31955 .66978 L
.3192 .66979 L
.31903 .66979 L
.31885 .66979 L
.31867 .66979 L
.31851 .66979 L
.31832 .66979 L
.31823 .66979 L
.31812 .66979 L
.31794 .66979 L
.31776 .66979 L
.31756 .66979 L
.31737 .66978 L
.31695 .66978 L
.31659 .66978 L
.31619 .66977 L
.31547 .66976 L
.31476 .66975 L
.31401 .66973 L
.31266 .66968 L
.31123 .66962 L
.30968 .66954 L
.30683 .66935 L
.30366 .66908 L
.30027 .66871 L
.29403 .66781 L
.2872 .6665 L
.28048 .66486 L
.27319 .66266 L
.26606 .66005 L
.25911 .65705 L
.25167 .65327 L
.2445 .64902 L
.23762 .64433 L
.23037 .63864 L
.2235 .63246 L
.21638 .6251 L
Mistroke
.20975 .61722 L
.20363 .60889 L
.1976 .59946 L
Mfstroke
.35 .68333 m
.34464 .6842 L
.33852 .68501 L
.33544 .68534 L
.33251 .68561 L
.32944 .68585 L
.32649 .68602 L
.3249 .6861 L
.32316 .68616 L
.32156 .68621 L
.32079 .68623 L
.32007 .68624 L
.31929 .68625 L
.31886 .68626 L
.31845 .68626 L
.31826 .68626 L
.31807 .68626 L
.3179 .68626 L
.31771 .68626 L
.31749 .68626 L
.31729 .68626 L
.31709 .68626 L
.31691 .68626 L
.3167 .68626 L
.31648 .68626 L
.31628 .68626 L
.31609 .68626 L
.31563 .68626 L
.31519 .68625 L
.31431 .68624 L
.31335 .68622 L
.31171 .68618 L
.30988 .68611 L
.30795 .68602 L
.30613 .68592 L
.30246 .68564 L
.29904 .68531 L
.29155 .68433 L
.28415 .68301 L
.27607 .68112 L
.26813 .67879 L
.25954 .6757 L
.25116 .67206 L
.24304 .66788 L
.2344 .66265 L
.22612 .65678 L
.21826 .65033 L
.21006 .64253 L
.2024 .63409 L
.19458 .62408 L
Mistroke
.18744 .61342 L
.18099 .60222 L
.17466 .58931 L
.17443 .58881 L
Mfstroke
.35 .7 m
.34377 .70091 L
.33665 .70173 L
.33306 .70206 L
.32965 .70231 L
.32629 .70251 L
.32439 .7026 L
.32262 .70266 L
.32069 .70272 L
.31966 .70274 L
.31914 .70275 L
.31857 .70276 L
.31807 .70277 L
.31761 .70277 L
.31739 .70277 L
.31715 .70277 L
.31693 .70277 L
.31671 .70278 L
.31658 .70278 L
.31644 .70278 L
.3162 .70278 L
.31606 .70278 L
.31591 .70278 L
.31578 .70278 L
.31565 .70278 L
.3154 .70278 L
.31526 .70278 L
.31513 .70278 L
.31489 .70277 L
.31465 .70277 L
.31419 .70277 L
.31375 .70277 L
.31275 .70275 L
.31176 .70273 L
.3107 .70271 L
.30877 .70265 L
.30698 .70258 L
.30309 .70236 L
.29876 .70202 L
.29459 .70159 L
.29006 .70102 L
.28086 .69948 L
.27176 .69743 L
.2628 .69486 L
.25309 .6914 L
.24362 .68728 L
.23446 .68252 L
.2247 .6765 L
.21536 .66972 L
.2056 .66135 L
Mistroke
.19644 .65212 L
.18793 .64209 L
.17931 .63017 L
.17151 .61747 L
.16387 .60266 L
.15722 .58717 L
.15193 .5724 L
Mfstroke
.35 .71667 m
.34286 .71761 L
.339 .71804 L
.33467 .71845 L
.3305 .71877 L
.32661 .719 L
.32465 .7191 L
.32249 .71918 L
.3213 .71922 L
.32019 .71925 L
.31913 .71927 L
.31798 .71929 L
.31742 .7193 L
.31688 .71931 L
.3164 .71931 L
.31612 .71931 L
.31587 .71931 L
.31563 .71932 L
.31537 .71932 L
.31509 .71932 L
.31483 .71932 L
.31459 .71932 L
.31433 .71932 L
.31411 .71932 L
.31387 .71932 L
.31356 .71931 L
.31327 .71931 L
.31272 .71931 L
.31213 .7193 L
.31148 .71929 L
.31032 .71927 L
.30924 .71925 L
.30704 .71918 L
.30496 .7191 L
.30016 .71883 L
.29536 .71845 L
.29088 .71798 L
.28105 .71659 L
.27132 .71467 L
.26069 .71192 L
.25024 .70848 L
.23896 .70385 L
.22799 .69834 L
.21742 .69196 L
.20626 .6839 L
.1957 .6748 L
.1858 .66475 L
.17568 .65258 L
.16644 .63939 L
.15729 .62379 L
Mistroke
.14924 .60726 L
.14231 .59001 L
.13588 .57032 L
.13067 .55019 L
.13063 .54997 L
Mfstroke
.35 .73333 m
.34189 .73432 L
.33751 .73475 L
.33258 .73516 L
.32788 .73546 L
.3234 .73568 L
.32089 .73577 L
.31965 .7358 L
.3185 .73583 L
.31746 .73584 L
.31632 .73586 L
.31572 .73587 L
.31516 .73587 L
.31486 .73587 L
.31457 .73587 L
.31441 .73588 L
.31424 .73588 L
.31393 .73588 L
.31377 .73588 L
.3136 .73588 L
.3133 .73588 L
.31297 .73588 L
.31278 .73588 L
.31261 .73588 L
.3123 .73587 L
.31201 .73587 L
.31136 .73587 L
.31078 .73586 L
.31015 .73586 L
.309 .73584 L
.30766 .73581 L
.30622 .73577 L
.30362 .73568 L
.30118 .73556 L
.29853 .73541 L
.29365 .73504 L
.28821 .73451 L
.28238 .73377 L
.27157 .73195 L
.25973 .72923 L
.24806 .72571 L
.23542 .72087 L
.2231 .71498 L
.21121 .70806 L
.19864 .69919 L
.18674 .68907 L
.17561 .67776 L
.16425 .66396 L
.15393 .6489 L
.14378 .63099 L
Mistroke
.13494 .61192 L
.12743 .59199 L
.1206 .56921 L
.11521 .54594 L
.11101 .52148 L
Mfstroke
.35 .75 m
.34087 .75102 L
.33593 .75146 L
.33038 .75186 L
.32783 .75202 L
.32507 .75216 L
.32246 .75226 L
.32001 .75234 L
.3187 .75238 L
.31725 .75241 L
.31579 .75243 L
.31498 .75244 L
.31462 .75244 L
.31422 .75245 L
.31385 .75245 L
.3135 .75245 L
.31317 .75245 L
.31282 .75245 L
.31248 .75245 L
.31215 .75245 L
.31185 .75245 L
.31154 .75245 L
.31118 .75245 L
.3108 .75245 L
.3104 .75245 L
.31002 .75244 L
.30934 .75244 L
.30861 .75243 L
.30712 .7524 L
.30573 .75237 L
.30256 .75227 L
.29974 .75215 L
.2967 .75199 L
.29091 .75156 L
.28537 .75103 L
.27333 .74937 L
.26693 .74821 L
.26009 .74674 L
.24748 .74334 L
.23377 .73856 L
.22038 .73265 L
.20606 .72476 L
.19232 .71542 L
.17931 .70467 L
.16586 .69117 L
.15347 .67606 L
.14226 .65953 L
.13126 .63976 L
.12175 .61867 L
.11295 .59418 L
Mistroke
.10585 .56874 L
.10039 .54282 L
.09792 .52782 L
.09605 .51396 L
.09343 .48713 L
Mfstroke
.35 .76667 m
.3451 .76721 L
.3398 .76772 L
.33381 .7682 L
.32806 .76857 L
.32274 .76881 L
.3197 .76892 L
.3169 .76898 L
.31544 .76901 L
.31464 .76902 L
.31389 .76903 L
.31325 .76903 L
.31291 .76903 L
.31255 .76904 L
.31216 .76904 L
.31178 .76904 L
.31142 .76904 L
.31108 .76904 L
.31067 .76904 L
.31045 .76904 L
.31024 .76904 L
.30986 .76904 L
.30945 .76904 L
.30874 .76903 L
.30796 .76902 L
.30713 .76901 L
.30623 .769 L
.30461 .76897 L
.30293 .76893 L
.30138 .76888 L
.29783 .76873 L
.29466 .76856 L
.29126 .76834 L
.28477 .76779 L
.27856 .76709 L
.26505 .76501 L
.25788 .76356 L
.25021 .76172 L
.23609 .7575 L
.22076 .75155 L
.20584 .74419 L
.18998 .73438 L
.17487 .72277 L
.16068 .7094 L
.14621 .69266 L
.13311 .674 L
.12149 .65367 L
.11038 .62952 L
.1011 .60397 L
.09289 .57457 L
Mistroke
.08947 .55912 L
.0867 .54439 L
.08234 .51399 L
.08064 .49722 L
.07947 .48183 L
.07898 .47346 L
.07862 .46574 L
.07832 .45723 L
.07821 .45294 L
.07811 .44824 L
.07809 .44734 L
Mfstroke
.35 .78333 m
.34457 .78389 L
.33868 .78442 L
.33202 .78491 L
.3287 .78511 L
.32563 .78526 L
.32281 .78538 L
.3197 .78549 L
.31798 .78554 L
.31638 .78557 L
.31484 .7856 L
.314 .78561 L
.3132 .78562 L
.31241 .78563 L
.31199 .78563 L
.31155 .78563 L
.31114 .78564 L
.31076 .78564 L
.31038 .78564 L
.31003 .78564 L
.30961 .78564 L
.30917 .78564 L
.30879 .78564 L
.30838 .78563 L
.30793 .78563 L
.30745 .78563 L
.30658 .78562 L
.30577 .78561 L
.30488 .7856 L
.30327 .78557 L
.30023 .78549 L
.29691 .78536 L
.29321 .78518 L
.28558 .78465 L
.27839 .78395 L
.27049 .78295 L
.2629 .78174 L
.25444 .78009 L
.23846 .77604 L
.2217 .77032 L
.20531 .76304 L
.18779 .75311 L
.17104 .7411 L
.15527 .72706 L
.13913 .70922 L
.1245 .68908 L
.11153 .66693 L
.09917 .6404 L
.08889 .61214 L
.07988 .57948 L
Mistroke
.07617 .56227 L
.07319 .54586 L
.07061 .52856 L
.06861 .51196 L
.06688 .49325 L
.06574 .4761 L
.0653 .46702 L
.06511 .46205 L
.06495 .4574 L
.06484 .45309 L
.06475 .44917 L
.06467 .4448 L
.06464 .4424 L
.06461 .44012 L
.06459 .4379 L
.06459 .43688 L
.06458 .43581 L
.06458 .43462 L
.06457 .43352 L
.06457 .43234 L
.06457 .43168 L
.06457 .43106 L
.06457 .43045 L
.06457 .4298 L
.06458 .42861 L
.06458 .42746 L
.06459 .4264 L
.0646 .42398 L
.06463 .42143 L
.06468 .41717 L
.06475 .41319 L
.06497 .40415 L
.06502 .40266 L
Mfstroke
.35 .8 m
.34401 .80058 L
.33752 .80112 L
.33074 .80158 L
.32676 .80179 L
.32309 .80196 L
.31952 .80208 L
.31609 .80217 L
.3142 .8022 L
.31244 .80222 L
.31151 .80223 L
.31098 .80224 L
.31049 .80224 L
.31022 .80224 L
.30997 .80224 L
.30949 .80224 L
.30922 .80224 L
.30897 .80224 L
.3087 .80224 L
.30841 .80224 L
.30795 .80224 L
.30768 .80224 L
.30744 .80224 L
.30694 .80224 L
.30641 .80223 L
.30544 .80223 L
.30455 .80222 L
.30239 .80218 L
.30033 .80214 L
.29661 .80202 L
.29252 .80184 L
.28881 .80163 L
.28467 .80134 L
.27614 .80056 L
.26811 .79958 L
.25928 .79821 L
.24136 .7944 L
.22358 .7891 L
.20613 .7822 L
.18735 .77256 L
.16932 .76074 L
.15049 .74508 L
.133 .72669 L
.1171 .70574 L
.10153 .67987 L
.08817 .65151 L
.0771 .62121 L
.06742 .58604 L
.06027 .54978 L
.05728 .52921 L
Mistroke
.05503 .50925 L
.05415 .49959 L
.05335 .48924 L
.05273 .47947 L
.05227 .47046 L
.05185 .45987 L
.05168 .45428 L
.05154 .44838 L
.05149 .4459 L
.05145 .44324 L
.05142 .44094 L
.05139 .43843 L
.05138 .43691 L
.05137 .4355 L
.05136 .43415 L
.05136 .43346 L
.05136 .43272 L
.05136 .43144 L
.05135 .43024 L
.05135 .42955 L
.05135 .42882 L
.05136 .42751 L
.05136 .42623 L
.05136 .42551 L
.05137 .42484 L
.05138 .42232 L
.0514 .42003 L
.05143 .41761 L
.0515 .41257 L
.05161 .40704 L
.05188 .39721 L
.05221 .38804 L
.05306 .37006 L
.05405 .35374 L
Mfstroke
.35 .81667 m
.34343 .81727 L
.33629 .81782 L
.32884 .81828 L
.32452 .81849 L
.32043 .81864 L
.31847 .8187 L
.31632 .81876 L
.31428 .8188 L
.31331 .81881 L
.31239 .81883 L
.31149 .81884 L
.31067 .81884 L
.30975 .81885 L
.30925 .81885 L
.30877 .81885 L
.3083 .81885 L
.30781 .81886 L
.30734 .81885 L
.30691 .81885 L
.30641 .81885 L
.30613 .81885 L
.30587 .81885 L
.30488 .81884 L
.30436 .81884 L
.30387 .81884 L
.30295 .81882 L
.30086 .81879 L
.29905 .81875 L
.29707 .8187 L
.29253 .81853 L
.28828 .81832 L
.28015 .81775 L
.27096 .81685 L
.26214 .8157 L
.25243 .8141 L
.23274 .80964 L
.2132 .80342 L
.19406 .79527 L
.17354 .78386 L
.15393 .76982 L
.13362 .7512 L
.11497 .72934 L
.09827 .7045 L
.08226 .67393 L
.0689 .64062 L
.05822 .60531 L
.05327 .58444 L
.04937 .5647 L
.04595 .54345 L
Mistroke
.04336 .52328 L
.0413 .50237 L
.04039 .49048 L
.03969 .47923 L
.03915 .4681 L
.03892 .46224 L
.03872 .45603 L
.03858 .45079 L
.03846 .44503 L
.03842 .4425 L
.03839 .43979 L
.03836 .43747 L
.03834 .4349 L
.03833 .43339 L
.03832 .43198 L
.03832 .43048 L
.03832 .42964 L
.03832 .42887 L
.03832 .42758 L
.03832 .42616 L
.03832 .42468 L
.03833 .4233 L
.03834 .42166 L
.03835 .4201 L
.03837 .4172 L
.03841 .41408 L
.03846 .41069 L
.03857 .4049 L
.03871 .39877 L
.03906 .38781 L
.03949 .37709 L
.04006 .36562 L
.04131 .34502 L
.0449 .30119 L
Mfstroke
.35 .83333 m
.34282 .83395 L
.33502 .83452 L
.32687 .83498 L
.32213 .83518 L
.31999 .83525 L
.31765 .83532 L
.31532 .83538 L
.31315 .83542 L
.31107 .83545 L
.31001 .83546 L
.30941 .83546 L
.30884 .83547 L
.30833 .83547 L
.30778 .83547 L
.30728 .83547 L
.30681 .83547 L
.30625 .83547 L
.30575 .83547 L
.30516 .83547 L
.30461 .83547 L
.30412 .83546 L
.30361 .83546 L
.30269 .83545 L
.30169 .83544 L
.3006 .83543 L
.29823 .83538 L
.29598 .83533 L
.29171 .83518 L
.28706 .83497 L
.28193 .83465 L
.27244 .83386 L
.26212 .83267 L
.25233 .8312 L
.24297 .82945 L
.22264 .8244 L
.20042 .81666 L
.17868 .80638 L
.15773 .79344 L
.13578 .77587 L
.11539 .75485 L
.09505 .72777 L
.07724 .69693 L
.0622 .66291 L
.04883 .6224 L
.04328 .60076 L
.03878 .57973 L
.03488 .55758 L
.03183 .53599 L
.02919 .51174 L
Mistroke
.02741 .48921 L
.02673 .47742 L
.02616 .4648 L
.02595 .45864 L
.02578 .45284 L
.02565 .44723 L
.02556 .44199 L
.02552 .43918 L
.02549 .43618 L
.02548 .43447 L
.02547 .43285 L
.02546 .43139 L
.02545 .42981 L
.02545 .42827 L
.02545 .42739 L
.02545 .42657 L
.02545 .4257 L
.02545 .42491 L
.02545 .42404 L
.02545 .42313 L
.02546 .4216 L
.02546 .42018 L
.02547 .41861 L
.02549 .41695 L
.02551 .41397 L
.02556 .41074 L
.02565 .40488 L
.02577 .39919 L
.02591 .39394 L
.0263 .38187 L
.02677 .37061 L
.02816 .34515 L
.03181 .29791 L
.03675 .24904 L
.03713 .24555 L
Mfstroke
.35 .85 m
.34219 .85064 L
.3337 .85122 L
.32481 .85167 L
.31965 .85186 L
.31731 .85193 L
.31476 .85199 L
.31353 .85202 L
.31221 .85204 L
.311 .85206 L
.30985 .85207 L
.30877 .85208 L
.30822 .85209 L
.30761 .85209 L
.30727 .85209 L
.30695 .85209 L
.30662 .85209 L
.30632 .85209 L
.30575 .85209 L
.30514 .85209 L
.30458 .85209 L
.30399 .85209 L
.30349 .85209 L
.30293 .85209 L
.30169 .85208 L
.30053 .85206 L
.29841 .85203 L
.29613 .85199 L
.29353 .85192 L
.2911 .85184 L
.28554 .8516 L
.28058 .85131 L
.27523 .85092 L
.265 .84994 L
.25517 .84868 L
.24409 .84686 L
.23372 .84475 L
.21097 .83855 L
.18854 .83003 L
.16437 .81762 L
.1412 .80184 L
.11717 .78035 L
.09516 .75456 L
.0756 .72476 L
.0571 .68768 L
.04202 .64695 L
.03039 .60367 L
.02557 .58011 L
.02127 .55393 L
.01785 .52665 L
Mistroke
.01658 .5139 L
.01544 .5002 L
.0145 .48633 L
.01383 .47369 L
.01357 .46756 L
.01332 .46092 L
.01315 .45511 L
.01299 .44887 L
.01292 .44538 L
.01287 .4422 L
.01282 .43896 L
.01279 .43596 L
.01276 .43248 L
.01275 .43064 L
.01274 .4297 L
.01274 .42868 L
.01273 .42699 L
.01273 .42541 L
.01273 .42449 L
.01273 .42352 L
.01274 .42179 L
.01274 .42087 L
.01274 .41999 L
.01275 .41836 L
.01276 .41661 L
.01278 .4147 L
.01281 .41127 L
.01285 .40812 L
.01297 .40086 L
.01315 .39319 L
.01354 .38037 L
.01409 .36666 L
.0154 .34202 L
.01735 .31377 L
.01957 .28731 L
.02448 .23802 L
.03024 .18731 L
.03025 .18719 L
Mfstroke
.35 .86667 m
.34154 .86733 L
.33233 .86791 L
.3277 .86815 L
.32268 .86837 L
.31975 .86847 L
.31707 .86855 L
.3145 .86861 L
.31175 .86866 L
.31059 .86868 L
.30935 .86869 L
.30863 .8687 L
.30798 .86871 L
.30731 .86871 L
.30668 .86871 L
.30613 .86872 L
.30553 .86872 L
.30486 .86872 L
.30426 .86872 L
.30369 .86872 L
.30307 .86872 L
.30248 .86872 L
.30194 .86871 L
.30065 .8687 L
.29943 .86869 L
.29809 .86867 L
.29665 .86865 L
.29369 .86859 L
.29098 .86851 L
.28563 .86831 L
.28061 .86805 L
.27504 .86768 L
.26903 .86719 L
.25788 .866 L
.24718 .86448 L
.22381 .85979 L
.21137 .85642 L
.19809 .85207 L
.17372 .8418 L
.1476 .82686 L
.12276 .80788 L
.09731 .78211 L
.07439 .75134 L
.05448 .71603 L
.03623 .67247 L
.02844 .64865 L
.022 .62518 L
.01169 .57555 L
.00756 .54764 L
.00461 .52149 L
Mistroke
.0024 .49415 L
.0015 .47852 L
.00087 .46395 L
.00063 .45648 L
.00043 .4484 L
.00036 .44469 L
.00029 .44076 L
.00025 .43737 L
.00023 .4355 L
.00021 .43374 L
.0002 .43204 L
.00018 .43019 L
.00018 .42851 L
.00017 .42696 L
.00017 .42551 L
.00016 .4239 L
.00017 .42222 L
.00017 .42065 L
.00017 .41889 L
.00018 .41704 L
.00019 .41546 L
.0002 .41373 L
.00024 .40987 L
.00028 .40629 L
.0004 .39882 L
.00058 .39074 L
.00103 .37611 L
.0016 .3619 L
.00223 .34886 L
.00616 .29186 L
.01116 .23849 L
.01716 .18355 L
.023 .13258 L
.02371 .12633 L
Mfstroke
.35 .88333 m
.34086 .88401 L
.3309 .88461 L
.3259 .88485 L
.32046 .88506 L
.31729 .88515 L
.31438 .88522 L
.31143 .88528 L
.30998 .8853 L
.30862 .88532 L
.3074 .88533 L
.30677 .88534 L
.30609 .88534 L
.3057 .88534 L
.30534 .88534 L
.30462 .88535 L
.30397 .88535 L
.30328 .88535 L
.30289 .88535 L
.30253 .88535 L
.30214 .88535 L
.30173 .88535 L
.30104 .88534 L
.30027 .88534 L
.29885 .88533 L
.29752 .88531 L
.29489 .88527 L
.29247 .88522 L
.28965 .88514 L
.28697 .88505 L
.28133 .88481 L
.27526 .88446 L
.26412 .88356 L
.25206 .88219 L
.24046 .88045 L
.22738 .87796 L
.21516 .87506 L
.18836 .86656 L
.16206 .85482 L
.13396 .83766 L
.1074 .8158 L
.08046 .78607 L
.05654 .75061 L
.03618 .71007 L
.02705 .68721 L
.01804 .66036 L
.0045 .60684 L
s
.0045 .60684 m
0 .58242 L
s
0 .22031 m
.00469 .17608 L
.01123 .11735 L
.01693 .06299 L
s
.35 .9 m
.34016 .9007 L
.32942 .9013 L
.32364 .90155 L
.31816 .90174 L
.31497 .90183 L
.31204 .90189 L
.31041 .90192 L
.30863 .90194 L
.30694 .90196 L
.30614 .90197 L
.30537 .90197 L
.30468 .90198 L
.30393 .90198 L
.30325 .90198 L
.30261 .90198 L
.30185 .90198 L
.30116 .90198 L
.30078 .90198 L
.30037 .90198 L
.29961 .90197 L
.29896 .90197 L
.29824 .90196 L
.29677 .90195 L
.29541 .90193 L
.29414 .90191 L
.29096 .90185 L
.28803 .90177 L
.28138 .90152 L
.2751 .90119 L
.26922 .90079 L
.25561 .89953 L
.24305 .89791 L
.22885 .89549 L
.21523 .89252 L
.20026 .88847 L
.18593 .88373 L
.17008 .87738 L
.1406 .86197 L
.11065 .84039 L
.08278 .81316 L
.05514 .77656 L
.03137 .7335 L
.01195 .68503 L
.00345 .65749 L
s
.00345 .65749 m
0 .64384 L
s
0 .09776 m
.00501 .04844 L
s
.00501 .04844 m
.00907 0 L
s
.35 .91667 m
.33943 .91738 L
.32789 .918 L
.32167 .91825 L
.31577 .91843 L
.31234 .9185 L
.30919 .91856 L
.30743 .91858 L
.3065 .91859 L
.30551 .9186 L
.30465 .9186 L
.30419 .91861 L
.30369 .91861 L
.30324 .91861 L
.30282 .91861 L
.30201 .91861 L
.30119 .91861 L
.30041 .91861 L
.29972 .91861 L
.29896 .91861 L
.29813 .91861 L
.29726 .9186 L
.29569 .91858 L
.29423 .91857 L
.29286 .91855 L
.28973 .91849 L
.28628 .91839 L
.28311 .91829 L
.2759 .91797 L
.26912 .91755 L
.26276 .91707 L
.24806 .91555 L
.2345 .91361 L
.21916 .91075 L
.20445 .90725 L
.1883 .90247 L
.17287 .89688 L
.15582 .88939 L
.12425 .87124 L
.09244 .84584 L
.06321 .81389 L
.03475 .77116 L
.01094 .72128 L
s
.01094 .72128 m
0 .68883 L
s
.36667 .08333 m
.35975 .08278 L
.35244 .08205 L
.34579 .08123 L
.33957 .0803 L
.33314 .07913 L
.3271 .07783 L
.32085 .07623 L
.31496 .07447 L
.30942 .07254 L
.30362 .07025 L
.29814 .06777 L
.29294 .06513 L
.28746 .06202 L
.28223 .05872 L
.27671 .05487 L
.2714 .0508 L
.2663 .04653 L
.26085 .0416 L
.25557 .03643 L
.2499 .03046 L
.24437 .02423 L
.23896 .01773 L
.23308 .01027 L
.22758 .0029 L
s
.36667 .1 m
.36062 .0995 L
.35423 .09885 L
.34839 .09813 L
.34293 .09731 L
.33727 .09629 L
.33196 .09517 L
.32644 .0938 L
.32124 .09231 L
.31634 .09069 L
.31122 .08876 L
.30637 .08669 L
.30177 .0845 L
.29692 .08193 L
.29231 .07921 L
.28744 .07606 L
.28277 .07274 L
.27828 .06927 L
.27351 .06527 L
.2689 .0611 L
.26397 .05631 L
.25917 .05133 L
.2545 .04616 L
.24945 .04024 L
.24475 .03443 L
s
.36667 .11667 m
.36145 .11622 L
.35592 .11565 L
.35087 .11501 L
.34614 .1143 L
.34122 .11343 L
.33659 .11247 L
.33178 .11131 L
.32725 .11006 L
.32297 .1087 L
.3185 .1071 L
.31426 .10539 L
.31024 .10359 L
.30601 .10149 L
.30198 .09928 L
.29773 .09672 L
.29366 .09404 L
.28976 .09125 L
.28562 .08805 L
.28162 .08473 L
.27737 .08093 L
.27324 .07698 L
.26924 .07291 L
.26493 .06827 L
.26094 .06374 L
s
.36667 .13333 m
.36224 .13294 L
.35753 .13244 L
.35322 .13189 L
.34918 .13128 L
.34497 .13054 L
.341 .12973 L
.33688 .12877 L
.33298 .12772 L
.3293 .12661 L
.32545 .12529 L
.3218 .1239 L
.31834 .12244 L
.3147 .12074 L
.31123 .11897 L
.30757 .11692 L
.30408 .11479 L
.30073 .11258 L
.29718 .11005 L
.29376 .10743 L
.29013 .10445 L
.28662 .10138 L
.28323 .09822 L
.27959 .09463 L
.27623 .09113 L
s
.36667 .15 m
.36298 .14966 L
.35905 .14923 L
.35545 .14876 L
.35206 .14825 L
.34852 .14763 L
.34519 .14696 L
.34172 .14617 L
.33844 .14531 L
.33533 .14441 L
.33208 .14335 L
.329 .14223 L
.32607 .14107 L
.323 .13972 L
.32006 .13832 L
.31697 .13671 L
.31402 .13504 L
.3112 .13332 L
.30821 .13135 L
.30533 .12933 L
.30228 .12704 L
.29934 .12468 L
.29651 .12227 L
.29348 .11954 L
.29069 .1169 L
s
.36667 .16667 m
.36367 .16638 L
.36047 .16602 L
.35754 .16563 L
.35477 .16521 L
.35188 .1647 L
.34915 .16416 L
.34631 .16352 L
.34361 .16284 L
.34106 .16212 L
.33838 .16128 L
.33584 .16041 L
.33343 .1595 L
.33089 .15845 L
.32847 .15737 L
.32593 .15613 L
.32349 .15485 L
.32117 .15354 L
.3187 .15206 L
.31634 .15053 L
.31384 .14881 L
.31143 .14704 L
.30911 .14525 L
.30664 .14322 L
.30437 .14127 L
s
.36667 .18333 m
.36432 .1831 L
.36181 .18281 L
.3595 .18249 L
.35732 .18216 L
.35504 .18176 L
.35288 .18133 L
.35063 .18083 L
.34849 .1803 L
.34646 .17975 L
.34434 .17911 L
.34232 .17844 L
.3404 .17775 L
.33838 .17697 L
.33645 .17616 L
.33442 .17524 L
.33248 .17429 L
.33063 .17333 L
.32867 .17223 L
.32679 .17112 L
.3248 .16987 L
.32289 .16859 L
.32106 .16729 L
.3191 .16584 L
.31731 .16444 L
s
.36667 .2 m
.36492 .19982 L
.36305 .19959 L
.36133 .19935 L
.3597 .19909 L
.35799 .19879 L
.35638 .19847 L
.35468 .1981 L
.35308 .19771 L
.35155 .1973 L
.34995 .19684 L
.34842 .19635 L
.34697 .19586 L
.34544 .19529 L
.34399 .19472 L
.34245 .19406 L
.34098 .1934 L
.33958 .19272 L
.3381 .19196 L
.33668 .19118 L
.33518 .19031 L
.33373 .18943 L
.33235 .18854 L
.33088 .18755 L
.32953 .1866 L
s
.36667 .21667 m
.36548 .21654 L
.3642 .21637 L
.36303 .2162 L
.36191 .21602 L
.36074 .21581 L
.35963 .21559 L
.35846 .21534 L
.35736 .21507 L
.3563 .21479 L
.3552 .21448 L
.35414 .21416 L
.35314 .21383 L
.35208 .21346 L
.35107 .21308 L
.35 .21265 L
.34899 .21222 L
.34801 .21178 L
.34698 .21129 L
.346 .21079 L
.34495 .21024 L
.34395 .20968 L
.34299 .20912 L
.34197 .20849 L
.34104 .2079 L
s
.36667 .23333 m
.36599 .23325 L
.36526 .23315 L
.36459 .23305 L
.36395 .23295 L
.36328 .23282 L
.36264 .23269 L
.36197 .23254 L
.36133 .23239 L
.36072 .23223 L
.36008 .23205 L
.35947 .23187 L
.35889 .23168 L
.35827 .23147 L
.35769 .23126 L
.35707 .23103 L
.35647 .23079 L
.35591 .23055 L
.35531 .23028 L
.35473 .23001 L
.35413 .22971 L
.35354 .22941 L
.35298 .22911 L
.35239 .22878 L
.35185 .22847 L
s
.36667 .25 m
.36645 .24997 L
.36623 .24993 L
.36602 .2499 L
.36581 .24986 L
.3656 .24982 L
.3654 .24977 L
.36519 .24972 L
.36498 .24967 L
.36479 .24962 L
.36459 .24956 L
.36439 .2495 L
.3642 .24943 L
.36401 .24937 L
.36382 .2493 L
.36362 .24922 L
.36343 .24915 L
.36325 .24907 L
.36305 .24899 L
.36287 .2489 L
.36267 .24881 L
.36249 .24872 L
.3623 .24863 L
.36211 .24853 L
.36194 .24843 L
s
.36667 .26667 m
.36687 .26669 L
.3671 .26671 L
.3673 .26674 L
.3675 .26677 L
.36771 .2668 L
.36791 .26683 L
.36812 .26687 L
.36832 .26691 L
.3685 .26696 L
.36871 .267 L
.3689 .26705 L
.36908 .2671 L
.36927 .26715 L
.36946 .26721 L
.36965 .26727 L
.36984 .26733 L
.37002 .26739 L
.37021 .26746 L
.37039 .26752 L
.37058 .2676 L
.37076 .26767 L
.37094 .26774 L
.37112 .26782 L
.37129 .2679 L
s
.36667 .28333 m
.36725 .2834 L
.36787 .28349 L
.36845 .28358 L
.36901 .28367 L
.3696 .28377 L
.37016 .28388 L
.37075 .28401 L
.37131 .28413 L
.37185 .28426 L
.37243 .2844 L
.37297 .28454 L
.37349 .28469 L
.37405 .28485 L
.37458 .28501 L
.37514 .28518 L
.37568 .28536 L
.37619 .28553 L
.37674 .28572 L
.37726 .28591 L
.37781 .28612 L
.37835 .28632 L
.37886 .28653 L
.3794 .28675 L
.37989 .28695 L
s
.36667 .3 m
.36757 .30012 L
.36855 .30026 L
.36947 .30041 L
.37034 .30056 L
.37126 .30074 L
.37215 .30092 L
.37308 .30112 L
.37397 .30132 L
.37483 .30153 L
.37574 .30175 L
.37661 .30198 L
.37744 .30221 L
.37832 .30246 L
.37916 .30271 L
.38006 .30299 L
.38092 .30326 L
.38174 .30353 L
.38262 .30383 L
.38346 .30412 L
.38435 .30443 L
.3852 .30474 L
.38603 .30505 L
.3869 .30537 L
.38769 .30568 L
s
.36667 .31667 m
.36785 .31684 L
.36914 .31704 L
.37034 .31724 L
.37149 .31745 L
.3727 .31769 L
.37387 .31794 L
.3751 .31821 L
.37629 .31849 L
.37742 .31876 L
.37863 .31907 L
.37978 .31938 L
.38089 .31968 L
.38207 .32002 L
.38319 .32035 L
.38439 .32071 L
.38554 .32106 L
.38665 .32141 L
.38782 .32179 L
.38895 .32217 L
.39015 .32257 L
.3913 .32297 L
.39241 .32335 L
.39359 .32377 L
.39466 .32415 L
s
.36667 .33333 m
.36808 .33355 L
.36962 .33381 L
.37106 .33407 L
.37245 .33434 L
.37391 .33464 L
.37532 .33495 L
.37681 .33529 L
.37824 .33563 L
.37962 .33598 L
.38108 .33635 L
.38249 .33673 L
.38383 .3371 L
.38527 .33751 L
.38665 .33791 L
.38811 .33835 L
.38952 .33878 L
.39087 .3392 L
.39231 .33965 L
.3937 .3401 L
.39517 .34058 L
.39659 .34104 L
.39796 .34149 L
.39941 .34198 L
.40074 .34243 L
s
.36667 .35 m
.36827 .35027 L
.37001 .35058 L
.37165 .3509 L
.37322 .35122 L
.37489 .35158 L
.37649 .35195 L
.3782 .35235 L
.37984 .35276 L
.38141 .35316 L
.38309 .35361 L
.3847 .35405 L
.38625 .35449 L
.38791 .35496 L
.3895 .35543 L
.39119 .35593 L
.39282 .35643 L
.39439 .35691 L
.39606 .35743 L
.39767 .35793 L
.39938 .35848 L
.40103 .359 L
.40262 .35951 L
.40432 .36006 L
.40587 .36055 L
s
.36667 .36667 m
.36841 .36698 L
.37031 .36735 L
.37209 .36772 L
.3738 .36809 L
.37563 .36851 L
.37738 .36893 L
.37925 .3694 L
.38105 .36987 L
.38279 .37033 L
.38464 .37084 L
.38642 .37134 L
.38813 .37183 L
.38996 .37237 L
.39172 .37289 L
.3936 .37346 L
.39541 .37402 L
.39715 .37456 L
.39901 .37513 L
.40081 .3757 L
.40272 .3763 L
.40457 .37688 L
.40635 .37744 L
.40825 .37803 L
.40999 .37858 L
s
.36667 .38333 m
.3685 .3837 L
.3705 .38412 L
.37238 .38454 L
.37419 .38496 L
.37613 .38544 L
.37799 .38591 L
.37997 .38644 L
.38189 .38696 L
.38374 .38748 L
.38571 .38804 L
.38761 .3886 L
.38944 .38915 L
.3914 .38974 L
.39329 .39032 L
.3953 .39095 L
.39725 .39156 L
.39913 .39215 L
.40113 .39279 L
.40307 .3934 L
.40514 .39406 L
.40714 .39469 L
.40907 .3953 L
.41113 .39594 L
.41303 .39653 L
s
.36667 .4 m
.36854 .40041 L
.3706 .40089 L
.37253 .40136 L
.37439 .40183 L
.37638 .40236 L
.3783 .40288 L
.38035 .40346 L
.38234 .40404 L
.38425 .40461 L
.38629 .40523 L
.38826 .40584 L
.39017 .40644 L
.39221 .40709 L
.39418 .40772 L
.39628 .4084 L
.39831 .40906 L
.40028 .40971 L
.40238 .4104 L
.40441 .41106 L
.40658 .41177 L
.40869 .41245 L
.41072 .41311 L
.41289 .41381 L
.41489 .41444 L
s
.36667 .41667 m
.36854 .41712 L
.37059 .41765 L
.37253 .41817 L
.37439 .41869 L
.37639 .41927 L
.37832 .41984 L
.38038 .42048 L
.38238 .4211 L
.38431 .42172 L
.38637 .42239 L
.38836 .42305 L
.39029 .4237 L
.39236 .4244 L
.39435 .42508 L
.39649 .42582 L
.39856 .42653 L
.40056 .42723 L
.4027 .42797 L
.40477 .42868 L
.40699 .42945 L
.40914 .43018 L
.41122 .43089 L
.41345 .43164 L
.4155 .43232 L
s
.36667 .43333 m
.36849 .43384 L
.37049 .43442 L
.37237 .43498 L
.3742 .43555 L
.37615 .43617 L
.37804 .4368 L
.38005 .43748 L
.38201 .43815 L
.3839 .43881 L
.38593 .43953 L
.38789 .44024 L
.38979 .44094 L
.39182 .44168 L
.39379 .44242 L
.3959 .4432 L
.39794 .44396 L
.39992 .44471 L
.40204 .4455 L
.40409 .44627 L
.40629 .44708 L
.40843 .44787 L
.4105 .44863 L
.41271 .44943 L
.41476 .45016 L
s
.36667 .45 m
.36839 .45055 L
.37028 .45118 L
.37207 .45179 L
.3738 .4524 L
.37565 .45307 L
.37744 .45374 L
.37936 .45446 L
.38122 .45518 L
.38302 .45589 L
.38495 .45665 L
.38682 .45741 L
.38863 .45814 L
.39057 .45894 L
.39245 .45971 L
.39447 .46054 L
.39642 .46136 L
.39832 .46214 L
.40035 .46299 L
.40232 .4638 L
.40443 .46467 L
.40648 .46551 L
.40846 .46632 L
.4106 .46719 L
.41256 .46797 L
s
.36667 .46667 m
.36824 .46726 L
.36997 .46794 L
.37161 .4686 L
.37319 .46925 L
.37489 .46996 L
.37654 .47067 L
.37829 .47144 L
.38 .4722 L
.38166 .47294 L
.38343 .47375 L
.38514 .47454 L
.38681 .47531 L
.38859 .47615 L
.39032 .47697 L
.39217 .47784 L
.39396 .4787 L
.3957 .47953 L
.39757 .48042 L
.39938 .48128 L
.40132 .4822 L
.40321 .4831 L
.40503 .48396 L
.407 .48488 L
.40881 .48572 L
s
.36667 .48333 m
.36805 .48398 L
.36956 .4847 L
.371 .4854 L
.37238 .48609 L
.37387 .48685 L
.37531 .48759 L
.37685 .4884 L
.37834 .48919 L
.37979 .48997 L
.38133 .49081 L
.38283 .49164 L
.38428 .49245 L
.38583 .49332 L
.38734 .49417 L
.38895 .49508 L
.39051 .49597 L
.39203 .49684 L
.39365 .49777 L
.39522 .49868 L
.3969 .49964 L
.39854 .50058 L
.40012 .50149 L
.40182 .50246 L
.40338 .50335 L
s
.36667 .5 m
.36781 .50069 L
.36905 .50146 L
.37023 .5022 L
.37137 .50293 L
.37258 .50372 L
.37376 .5045 L
.37501 .50534 L
.37623 .50617 L
.3774 .50697 L
.37865 .50785 L
.37987 .5087 L
.38104 .50953 L
.38229 .51043 L
.38349 .51131 L
.38478 .51225 L
.38603 .51317 L
.38724 .51406 L
.38853 .51502 L
.38977 .51595 L
.3911 .51696 L
.39239 .51793 L
.39363 .51887 L
.39496 .51988 L
.39618 .52081 L
s
.36667 .51667 m
.36751 .5174 L
.36844 .51822 L
.3693 .519 L
.37014 .51976 L
.37102 .52059 L
.37188 .52139 L
.37278 .52226 L
.37365 .52311 L
.37449 .52394 L
.37537 .52484 L
.37623 .52571 L
.37704 .52656 L
.37791 .52747 L
.37875 .52836 L
.37963 .52932 L
.38048 .53025 L
.38129 .53115 L
.38215 .53212 L
.38297 .53307 L
.38385 .53408 L
.38468 .53506 L
.38548 .53602 L
.38633 .53704 L
.3871 .53798 L
s
.36667 .53333 m
.36717 .53411 L
.36772 .53498 L
.36822 .53579 L
.3687 .53659 L
.36919 .53744 L
.36966 .53827 L
.37015 .53917 L
.3706 .54003 L
.37103 .54088 L
.37148 .54178 L
.37189 .54266 L
.37228 .54351 L
.37269 .54442 L
.37306 .54531 L
.37344 .54626 L
.3738 .54718 L
.37412 .54807 L
.37445 .54902 L
.37476 .54995 L
.37506 .55094 L
.37534 .55189 L
.37559 .55282 L
.37584 .55381 L
.37604 .55472 L
s
.36667 .55 m
.36679 .55083 L
.36689 .55173 L
.36698 .55258 L
.36704 .55341 L
.36706 .55383 L
.36708 .55429 L
.36709 .55451 L
.36709 .55475 L
.3671 .55486 L
.3671 .55498 L
.3671 .55509 L
.3671 .55519 L
.3671 .55524 L
.3671 .5553 L
.3671 .55535 L
.3671 .55537 L
.3671 .5554 L
.3671 .55541 L
.3671 .55543 L
.3671 .55545 L
.3671 .55548 L
.3671 .5555 L
.3671 .55553 L
.3671 .55556 L
.3671 .55559 L
.3671 .55562 L
.3671 .55567 L
.3671 .55573 L
.3671 .55583 L
.3671 .55593 L
.3671 .55602 L
.36709 .55623 L
.36709 .55643 L
.36707 .55688 L
.36705 .55732 L
.36703 .55773 L
.36695 .5586 L
.36686 .55944 L
.36673 .56034 L
.36659 .5612 L
.3664 .56212 L
.3662 .563 L
.36597 .56385 L
.3657 .56476 L
.3654 .56563 L
.36509 .56646 L
.36473 .56735 L
.36435 .5682 L
.3639 .5691 L
Mistroke
.36344 .56996 L
.36296 .57078 L
.36293 .57083 L
Mfstroke
.36667 .56667 m
.36635 .56754 L
.36597 .56848 L
.36557 .56937 L
.36516 .57022 L
.36468 .57112 L
.36419 .57198 L
.36363 .57289 L
.36304 .57377 L
.36244 .5746 L
.36176 .57548 L
.36107 .57632 L
.36036 .57711 L
.35956 .57795 L
.35875 .57875 L
.35783 .57958 L
.35691 .58037 L
.35597 .58112 L
.35492 .5819 L
.35387 .58263 L
.35269 .58339 L
.3515 .5841 L
.35031 .58476 L
.34898 .58544 L
.34772 .58604 L
s
.36667 .58333 m
.36586 .58425 L
.36493 .58523 L
.364 .58615 L
.36306 .58702 L
.362 .58794 L
.36093 .5888 L
.35973 .58971 L
.35851 .59056 L
.35728 .59137 L
.35591 .5922 L
.35453 .59299 L
.35315 .59372 L
.3516 .59446 L
.35006 .59516 L
.34834 .59586 L
.34662 .5965 L
.3449 .59709 L
.343 .59767 L
.3411 .59818 L
.33901 .59867 L
.33692 .59909 L
.33484 .59945 L
.33256 .59976 L
.3304 .59998 L
s
.36667 .6 m
.36533 .60096 L
.36379 .60198 L
.36227 .60293 L
.36074 .60382 L
.35903 .60474 L
.35731 .6056 L
.35539 .60649 L
.35346 .60731 L
.35153 .60806 L
.34938 .60883 L
.34722 .60952 L
.34507 .61014 L
.34269 .61075 L
.34031 .61128 L
.33769 .61178 L
.33507 .6122 L
.33246 .61253 L
.33097 .61268 L
.3296 .61279 L
.32813 .61289 L
.32676 .61296 L
.32606 .61299 L
.32532 .61301 L
.32497 .61302 L
.32458 .61303 L
.32436 .61303 L
.32415 .61303 L
.32396 .61304 L
.32375 .61304 L
.32356 .61304 L
.32339 .61304 L
.32329 .61304 L
.3232 .61304 L
.3231 .61304 L
.32305 .61304 L
.323 .61304 L
.3229 .61304 L
.32282 .61304 L
.32272 .61304 L
.32263 .61304 L
.32247 .61304 L
.32229 .61304 L
.3221 .61304 L
.32189 .61304 L
.32146 .61303 L
.32106 .61302 L
.32068 .61301 L
.31986 .61299 L
.31908 .61295 L
Mistroke
.3176 .61288 L
.316 .61276 L
.31449 .61263 L
.31123 .61225 L
.31102 .61222 L
Mfstroke
.36667 .61667 m
.36474 .61767 L
.36254 .61873 L
.36037 .6197 L
.35819 .6206 L
.35576 .62152 L
.35332 .62237 L
.35061 .62322 L
.34789 .62399 L
.34516 .62467 L
.34214 .62532 L
.33912 .62588 L
.33611 .62635 L
.33279 .62676 L
.32948 .62706 L
.32763 .62718 L
.32677 .62722 L
.32585 .62726 L
.32491 .62729 L
.32405 .62731 L
.32364 .62732 L
.32319 .62733 L
.32298 .62733 L
.32276 .62733 L
.32257 .62734 L
.32237 .62734 L
.32224 .62734 L
.32213 .62734 L
.32202 .62734 L
.32191 .62734 L
.3218 .62734 L
.32171 .62734 L
.3216 .62734 L
.32149 .62734 L
.32137 .62734 L
.32125 .62734 L
.32099 .62733 L
.32076 .62733 L
.32054 .62733 L
.3201 .62732 L
.3197 .62732 L
.3188 .62729 L
.31785 .62726 L
.31697 .62722 L
.31495 .62711 L
.3131 .62697 L
.31104 .62678 L
.30694 .62626 L
.30289 .62559 L
.2985 .62467 L
Mistroke
.29419 .62357 L
.28998 .62229 L
.28971 .6222 L
Mfstroke
.36667 .63333 m
.36411 .63438 L
.36118 .63548 L
.3583 .63647 L
.35541 .63738 L
.35219 .63829 L
.34896 .63911 L
.34537 .6399 L
.34177 .64059 L
.33817 .64116 L
.33419 .64167 L
.33215 .64188 L
.33021 .64205 L
.3282 .64219 L
.32625 .64229 L
.32522 .64234 L
.32408 .64238 L
.32357 .64239 L
.32303 .6424 L
.32256 .64241 L
.32206 .64242 L
.32178 .64242 L
.32147 .64242 L
.32133 .64242 L
.32118 .64242 L
.32105 .64242 L
.32092 .64242 L
.32084 .64242 L
.32076 .64242 L
.32062 .64243 L
.32054 .64243 L
.32046 .64242 L
.32038 .64242 L
.32029 .64242 L
.32021 .64242 L
.32013 .64242 L
.31997 .64242 L
.31968 .64242 L
.31939 .64242 L
.31912 .64242 L
.31851 .64241 L
.31794 .6424 L
.31741 .64238 L
.3163 .64235 L
.31512 .6423 L
.31297 .64219 L
.31066 .64202 L
.30848 .64182 L
.30375 .64124 L
.2986 .6404 L
Mistroke
.29352 .63932 L
.28854 .63803 L
.28314 .63636 L
.27787 .63442 L
.27221 .632 L
.26672 .62928 L
.26669 .62927 L
Mfstroke
.36667 .65 m
.36343 .65109 L
.35972 .65222 L
.35607 .65323 L
.3524 .65414 L
.34832 .65503 L
.34422 .65581 L
.33968 .65652 L
.33511 .6571 L
.33055 .65753 L
.32813 .6577 L
.32687 .65777 L
.32551 .65784 L
.32422 .65789 L
.32303 .65792 L
.32246 .65794 L
.32183 .65795 L
.32123 .65796 L
.32067 .65796 L
.32033 .65797 L
.32001 .65797 L
.31985 .65797 L
.31975 .65797 L
.31966 .65797 L
.31957 .65797 L
.31949 .65797 L
.31939 .65797 L
.31929 .65797 L
.31914 .65797 L
.31897 .65797 L
.31883 .65797 L
.31867 .65797 L
.3185 .65797 L
.31832 .65797 L
.31798 .65796 L
.31736 .65796 L
.31669 .65794 L
.3155 .65792 L
.31422 .65788 L
.31283 .65782 L
.3103 .65768 L
.30733 .65745 L
.30447 .65717 L
.2989 .65645 L
.29283 .65538 L
.28684 .65403 L
.28096 .65241 L
.2746 .6503 L
.2684 .64785 L
.26174 .64478 L
Mistroke
.25529 .64132 L
.24909 .63749 L
.24252 .63285 L
.24229 .63268 L
Mfstroke
.36667 .66667 m
.36269 .6678 L
.35814 .66896 L
.35366 .66999 L
.34916 .67089 L
.34414 .67175 L
.3391 .67246 L
.33645 .67278 L
.33351 .67308 L
.33087 .6733 L
.3279 .67351 L
.32502 .67365 L
.32343 .67371 L
.32192 .67375 L
.32118 .67377 L
.32078 .67378 L
.32036 .67378 L
.31996 .67379 L
.31959 .67379 L
.31922 .6738 L
.31905 .6738 L
.31887 .6738 L
.31869 .6738 L
.31853 .6738 L
.31835 .6738 L
.31817 .6738 L
.31799 .6738 L
.31782 .6738 L
.31768 .6738 L
.31751 .6738 L
.31734 .6738 L
.31714 .6738 L
.31675 .67379 L
.31638 .67379 L
.31603 .67379 L
.31531 .67377 L
.31451 .67376 L
.31289 .67371 L
.31137 .67366 L
.30995 .67359 L
.30666 .67339 L
.30362 .67313 L
.29693 .67236 L
.29031 .67129 L
.28309 .66976 L
.27598 .66785 L
.26903 .66558 L
.26151 .66265 L
.25421 .65927 L
.24641 .65503 L
Mistroke
.2389 .65027 L
.23172 .64502 L
.22419 .63867 L
.21708 .63177 L
.21695 .63163 L
Mfstroke
.36667 .68333 m
.36191 .6845 L
.35646 .6857 L
.35108 .68673 L
.34567 .68762 L
.33965 .68844 L
.33359 .68907 L
.33017 .68934 L
.32687 .68955 L
.32525 .68963 L
.32352 .6897 L
.32203 .68975 L
.32037 .68978 L
.31948 .6898 L
.31903 .68981 L
.31862 .68981 L
.31825 .68981 L
.31785 .68982 L
.31762 .68982 L
.3174 .68982 L
.31721 .68982 L
.317 .68982 L
.31677 .68982 L
.31656 .68982 L
.31643 .68982 L
.31632 .68982 L
.31607 .68982 L
.31583 .68982 L
.31556 .68981 L
.31508 .68981 L
.31463 .6898 L
.31416 .6898 L
.3133 .68978 L
.31161 .68974 L
.30978 .68968 L
.30804 .6896 L
.30642 .68951 L
.30289 .68927 L
.29896 .68891 L
.29107 .68791 L
.28326 .68652 L
.27474 .68452 L
.26635 .68204 L
.25814 .67907 L
.2493 .67522 L
.24072 .67077 L
.23247 .66574 L
.22374 .65953 L
.21545 .65264 L
.20682 .64431 L
Mistroke
.19878 .63525 L
.19136 .62555 L
.19122 .62535 L
Mfstroke
.36667 .7 m
.36108 .70121 L
.35467 .70244 L
.34833 .70347 L
.34195 .70434 L
.33827 .70476 L
.33484 .70509 L
.33116 .70539 L
.32768 .70562 L
.32406 .7058 L
.32212 .70587 L
.32103 .7059 L
.32003 .70592 L
.31915 .70594 L
.31818 .70595 L
.31765 .70596 L
.31716 .70596 L
.31668 .70597 L
.31642 .70597 L
.31617 .70597 L
.31595 .70597 L
.3157 .70597 L
.3155 .70597 L
.31527 .70597 L
.31502 .70597 L
.31476 .70597 L
.31451 .70597 L
.31428 .70596 L
.31384 .70596 L
.31336 .70596 L
.31249 .70594 L
.3115 .70593 L
.31057 .7059 L
.30843 .70584 L
.30633 .70575 L
.30404 .70563 L
.29976 .70533 L
.29518 .7049 L
.28671 .70379 L
.27742 .70209 L
.26823 .69987 L
.25826 .6968 L
.24848 .69306 L
.23897 .68865 L
.22881 .68301 L
.21905 .67656 L
.20977 .66933 L
.20007 .66048 L
.19101 .65076 L
.18178 .63911 L
Mistroke
.17337 .62657 L
.16583 .61329 L
.16574 .61312 L
Mfstroke
.36667 .71667 m
.3602 .71792 L
.35276 .71917 L
.34541 .72021 L
.33799 .72104 L
.33371 .72142 L
.32971 .72171 L
.32769 .72184 L
.32547 .72195 L
.32337 .72204 L
.32138 .72211 L
.3193 .72216 L
.3182 .72218 L
.317 .7222 L
.31639 .72221 L
.31608 .72221 L
.31574 .72221 L
.31541 .72221 L
.31511 .72221 L
.31497 .72221 L
.31481 .72221 L
.31453 .72221 L
.31426 .72221 L
.3141 .72221 L
.31395 .72221 L
.31366 .72221 L
.3135 .72221 L
.31335 .72221 L
.31278 .72221 L
.31225 .7222 L
.3112 .72219 L
.31003 .72217 L
.30881 .72214 L
.30766 .72211 L
.30558 .72204 L
.30333 .72193 L
.29853 .72164 L
.29338 .72119 L
.28847 .72064 L
.28383 .72 L
.27373 .71821 L
.26271 .71557 L
.25183 .7122 L
.24119 .70809 L
.22974 .70266 L
.21868 .69629 L
.2081 .68901 L
.19698 .67991 L
.18654 .66976 L
.17585 .65739 L
Mistroke
.16608 .64389 L
.15728 .62942 L
.14869 .61246 L
.14126 .59465 L
.14117 .59441 L
Mfstroke
.36667 .73333 m
.35926 .73463 L
.35074 .7359 L
.3423 .73693 L
.33378 .73772 L
.32924 .73803 L
.32426 .73829 L
.32179 .73839 L
.32047 .73843 L
.31907 .73846 L
.31784 .73849 L
.31718 .7385 L
.31647 .73851 L
.31582 .73852 L
.31522 .73852 L
.31494 .73852 L
.31462 .73853 L
.31434 .73853 L
.31405 .73853 L
.31389 .73853 L
.31371 .73853 L
.3134 .73853 L
.31323 .73853 L
.31304 .73853 L
.31286 .73853 L
.3127 .73853 L
.31239 .73853 L
.31221 .73853 L
.31205 .73853 L
.31143 .73852 L
.31088 .73852 L
.31027 .73851 L
.30903 .73849 L
.30768 .73847 L
.30622 .73843 L
.30356 .73834 L
.30103 .73822 L
.29822 .73806 L
.29249 .73762 L
.28706 .73707 L
.28114 .73631 L
.26912 .73421 L
.25719 .73134 L
.24544 .72768 L
.23272 .72266 L
.22035 .71659 L
.20843 .70948 L
.19583 .70039 L
.18392 .69004 L
.17165 .67721 L
Mistroke
.16036 .66297 L
.15015 .64751 L
.14014 .62915 L
.13146 .60968 L
.12341 .58717 L
.11817 .56896 L
Mfstroke
.36667 .75 m
.35828 .75133 L
.34861 .75263 L
.33902 .75364 L
.334 .75406 L
.32933 .75437 L
.32415 .75464 L
.32126 .75475 L
.31994 .75479 L
.31848 .75483 L
.3172 .75485 L
.31581 .75487 L
.31504 .75488 L
.31433 .75489 L
.31399 .75489 L
.31362 .7549 L
.31327 .7549 L
.31294 .7549 L
.31261 .7549 L
.31226 .7549 L
.31193 .7549 L
.31162 .7549 L
.31134 .7549 L
.31104 .7549 L
.31072 .7549 L
.31042 .75489 L
.30974 .75489 L
.30911 .75488 L
.30771 .75486 L
.30632 .75484 L
.30485 .7548 L
.30217 .75472 L
.29927 .75459 L
.29603 .75441 L
.29017 .75397 L
.28374 .75333 L
.27743 .75252 L
.27067 .75144 L
.25817 .74884 L
.24449 .74503 L
.23105 .74017 L
.21657 .73353 L
.20255 .72551 L
.18915 .7161 L
.17514 .70412 L
.16208 .6905 L
.1501 .6754 L
.13814 .65709 L
.1276 .63731 L
.11761 .61404 L
Mistroke
.10932 .58957 L
.10269 .56435 L
.09727 .53679 L
Mfstroke
.36667 .76667 m
.35725 .76804 L
.34637 .76935 L
.34085 .7699 L
.33556 .77034 L
.33001 .77072 L
.32462 .77101 L
.32172 .77112 L
.32017 .77117 L
.31852 .77122 L
.31713 .77125 L
.31559 .77128 L
.31491 .77129 L
.31417 .77129 L
.31347 .7713 L
.31284 .77131 L
.31244 .77131 L
.31205 .77131 L
.31165 .77131 L
.31142 .77131 L
.31121 .77131 L
.31086 .77131 L
.31048 .77131 L
.31007 .77131 L
.30969 .77131 L
.30925 .77131 L
.30882 .7713 L
.30802 .7713 L
.30716 .77129 L
.30622 .77127 L
.30461 .77124 L
.30289 .7712 L
.29977 .7711 L
.29671 .77096 L
.29337 .77077 L
.28725 .77031 L
.28039 .76962 L
.27303 .76866 L
.25937 .76624 L
.24438 .76253 L
.22959 .75765 L
.21361 .75081 L
.1981 .74239 L
.18323 .73236 L
.16768 .7194 L
.15317 .7045 L
.13988 .68781 L
.12667 .66743 L
.11509 .64527 L
.10422 .61907 L
Mistroke
.09532 .59147 L
.08834 .56298 L
.08514 .54636 L
.08268 .53094 L
.07893 .49879 L
.07888 .49823 L
Mfstroke
.36667 .78333 m
.35616 .78475 L
.34401 .78607 L
.33784 .78661 L
.33192 .78703 L
.32608 .78736 L
.32274 .7875 L
.31966 .78761 L
.31806 .78765 L
.31635 .78769 L
.31488 .78772 L
.31326 .78774 L
.31234 .78775 L
.3119 .78775 L
.3115 .78775 L
.31103 .78776 L
.31079 .78776 L
.31053 .78776 L
.31028 .78776 L
.31004 .78776 L
.3096 .78776 L
.30918 .78776 L
.30873 .78776 L
.30835 .78775 L
.30793 .78775 L
.307 .78775 L
.30612 .78774 L
.30438 .78771 L
.30247 .78767 L
.30065 .78762 L
.29896 .78757 L
.29574 .78744 L
.29228 .78726 L
.28511 .78675 L
.27824 .78609 L
.2705 .78512 L
.26328 .78399 L
.2474 .78069 L
.23169 .7762 L
.2146 .76975 L
.19795 .76163 L
.18024 .75064 L
.1634 .73746 L
.14765 .72216 L
.13166 .70286 L
.11731 .68122 L
.10474 .65758 L
.09293 .62946 L
.08329 .59973 L
.07909 .5837 L
Mistroke
.07507 .56561 L
.06918 .53075 L
.067 .5129 L
.06521 .49356 L
.06452 .48396 L
.06391 .47353 L
.06347 .46363 L
.06318 .45451 L
.06316 .45386 L
Mfstroke
.36667 .8 m
.35503 .80145 L
.34869 .80213 L
.34154 .80279 L
.3346 .80332 L
.3281 .80371 L
.3248 .80387 L
.32117 .80401 L
.31915 .80408 L
.31728 .80413 L
.31548 .80416 L
.31449 .80418 L
.31354 .8042 L
.31265 .80421 L
.31167 .80422 L
.31124 .80422 L
.31078 .80422 L
.31035 .80423 L
.30995 .80423 L
.30951 .80423 L
.30903 .80423 L
.30861 .80423 L
.30817 .80423 L
.30777 .80423 L
.30739 .80423 L
.30698 .80423 L
.30654 .80422 L
.30554 .80422 L
.30444 .8042 L
.3034 .80419 L
.30243 .80417 L
.3006 .80413 L
.29863 .80408 L
.29497 .80395 L
.29098 .80376 L
.28363 .80327 L
.27539 .8025 L
.26652 .80138 L
.25003 .79848 L
.24132 .79648 L
.23188 .79389 L
.21283 .78725 L
.19418 .77864 L
.17617 .76797 L
.15723 .75371 L
.13948 .73682 L
.12319 .71744 L
.10702 .69329 L
.09293 .66659 L
.07986 .63463 L
Mistroke
.06938 .60064 L
.0614 .5654 L
.05812 .54641 L
.05525 .52569 L
.05297 .50406 L
.05213 .49403 L
.0514 .48338 L
.05084 .47346 L
.05037 .46254 L
.05021 .45774 L
.05007 .45258 L
.04997 .44806 L
.04988 .44327 L
.04985 .44091 L
.04983 .4383 L
.04982 .43716 L
.04981 .43593 L
.0498 .43478 L
.04979 .43371 L
.04979 .43245 L
.04979 .43107 L
.04979 .42972 L
.04979 .42897 L
.04979 .42829 L
.04979 .42706 L
.04979 .42573 L
.0498 .42448 L
.0498 .42332 L
.04982 .42106 L
.04984 .41895 L
.0499 .41415 L
.04999 .40947 L
.0501 .40445 L
Mfstroke
.36667 .81667 m
.35384 .81816 L
.34685 .81884 L
.33895 .8195 L
.33128 .82001 L
.32409 .82037 L
.32017 .82052 L
.31642 .82062 L
.31434 .82067 L
.3124 .82069 L
.31138 .82071 L
.31026 .82072 L
.30969 .82072 L
.30938 .82072 L
.30908 .82072 L
.30881 .82072 L
.3085 .82072 L
.30797 .82073 L
.30771 .82073 L
.30743 .82073 L
.30693 .82073 L
.30639 .82072 L
.30608 .82072 L
.30579 .82072 L
.3048 .82072 L
.30424 .82071 L
.30372 .82071 L
.30172 .82068 L
.29982 .82064 L
.29762 .82059 L
.29557 .82053 L
.29089 .82034 L
.28671 .82011 L
.28274 .81985 L
.27353 .81903 L
.2643 .81792 L
.25566 .8166 L
.23665 .81263 L
.21779 .80708 L
.19729 .79891 L
.17736 .78843 L
.15626 .77404 L
.13638 .75658 L
.11804 .73616 L
.09981 .71028 L
.0839 .68127 L
.07049 .64968 L
.05853 .61238 L
.04947 .57337 L
.04559 .55103 L
Mistroke
.04259 .52924 L
.04027 .50729 L
.03867 .48662 L
.03799 .4746 L
.0375 .46325 L
.03718 .45301 L
.03705 .44724 L
.03696 .44193 L
.03692 .4391 L
.0369 .43652 L
.03689 .43509 L
.03688 .43354 L
.03687 .43207 L
.03686 .43072 L
.03686 .42947 L
.03686 .42831 L
.03686 .42702 L
.03686 .42564 L
.03687 .42427 L
.03687 .42283 L
.03688 .4216 L
.03689 .42026 L
.03691 .41713 L
.03695 .4143 L
.03704 .40794 L
.03717 .40205 L
.03731 .39649 L
.03768 .38531 L
.03818 .37352 L
.03934 .35249 L
.03944 .35077 L
Mfstroke
.36667 .83333 m
.3526 .83486 L
.34493 .83555 L
.33625 .8362 L
.33225 .83646 L
.32791 .83669 L
.32377 .83688 L
.3199 .83702 L
.31552 .83714 L
.31318 .83718 L
.312 .8372 L
.31069 .83722 L
.3101 .83722 L
.30954 .83723 L
.30903 .83723 L
.30848 .83723 L
.30817 .83724 L
.30789 .83724 L
.30734 .83724 L
.30703 .83724 L
.30669 .83724 L
.30638 .83724 L
.30609 .83724 L
.30557 .83724 L
.30508 .83724 L
.30454 .83724 L
.30397 .83723 L
.30279 .83722 L
.30172 .83721 L
.29954 .83718 L
.29721 .83713 L
.29521 .83708 L
.29299 .837 L
.28799 .83679 L
.28323 .83652 L
.2735 .83576 L
.26437 .83476 L
.25483 .83342 L
.24418 .83152 L
.22272 .82631 L
.20147 .81902 L
.17851 .80833 L
.15635 .79463 L
.13534 .77781 L
.1138 .75557 L
.09432 .7296 L
.07721 .70029 L
.0612 .66448 L
.04831 .62583 L
.04278 .60477 L
Mistroke
.03758 .58085 L
.03337 .55683 L
.03026 .53448 L
.02772 .51067 L
.02662 .49727 L
.02578 .48487 L
.02516 .47323 L
.02466 .46089 L
.02447 .45446 L
.02432 .44845 L
.0242 .44185 L
.02415 .43815 L
.02414 .43641 L
.02412 .43478 L
.02411 .43328 L
.0241 .4319 L
.0241 .43037 L
.02409 .42873 L
.02409 .42723 L
.02409 .42559 L
.02409 .42477 L
.02409 .42388 L
.02409 .4223 L
.0241 .4208 L
.02411 .41918 L
.02413 .41624 L
.02416 .41339 L
.02419 .41075 L
.02429 .40471 L
.02443 .39807 L
.02483 .38467 L
.02533 .37192 L
.0259 .36032 L
.02749 .33439 L
.03079 .2936 L
Mfstroke
.36667 .85 m
.35131 .85156 L
.34293 .85226 L
.33343 .85291 L
.32905 .85315 L
.32429 .85337 L
.31973 .85354 L
.31552 .85365 L
.31325 .8537 L
.31201 .85372 L
.31084 .85373 L
.30975 .85375 L
.30876 .85376 L
.30823 .85376 L
.30765 .85376 L
.30704 .85377 L
.30645 .85377 L
.30613 .85377 L
.30578 .85377 L
.30544 .85377 L
.30514 .85377 L
.30456 .85377 L
.30394 .85377 L
.30362 .85377 L
.30328 .85376 L
.30266 .85376 L
.30192 .85375 L
.30124 .85375 L
.30004 .85374 L
.29872 .85372 L
.29633 .85367 L
.29392 .85361 L
.29165 .85354 L
.28641 .85332 L
.28123 .85304 L
.27558 .85264 L
.26497 .85163 L
.25353 .85015 L
.24258 .84831 L
.23219 .84614 L
.20956 .83989 L
.1849 .83027 L
.16088 .81749 L
.1379 .80136 L
.11411 .7795 L
.09238 .75341 L
.07312 .72341 L
.05492 .68617 L
.04011 .64543 L
.03372 .62303 L
Mistroke
.02767 .59746 L
.02275 .57167 L
.01908 .54758 L
.01606 .52184 L
.01472 .50733 L
.01371 .49388 L
.01295 .48149 L
.01231 .46783 L
.01206 .46117 L
.01184 .45403 L
.01167 .44648 L
.01156 .43943 L
.01151 .43592 L
.0115 .43399 L
.01148 .43218 L
.01148 .43065 L
.01147 .429 L
.01146 .4281 L
.01146 .42716 L
.01146 .42548 L
.01146 .42453 L
.01146 .42367 L
.01146 .42267 L
.01146 .42173 L
.01147 .42005 L
.01147 .4191 L
.01148 .41823 L
.0115 .41438 L
.01152 .41245 L
.01155 .41031 L
.01165 .40344 L
.0118 .39607 L
.01217 .38278 L
.0127 .36893 L
.01342 .35391 L
.01509 .32676 L
.0196 .27273 L
.02362 .23352 L
Mfstroke
.36667 .86667 m
.34997 .86826 L
.34085 .86897 L
.33049 .8696 L
.32572 .86983 L
.32053 .87003 L
.31798 .87011 L
.31555 .87018 L
.31318 .87023 L
.31095 .87026 L
.30972 .87028 L
.30859 .87029 L
.30733 .8703 L
.30663 .87031 L
.30597 .87031 L
.30533 .87031 L
.30465 .87031 L
.30401 .87031 L
.30342 .87031 L
.30306 .87031 L
.30273 .87031 L
.30198 .87031 L
.30132 .8703 L
.30062 .8703 L
.29946 .87029 L
.29822 .87027 L
.29597 .87023 L
.29327 .87017 L
.2908 .8701 L
.28541 .8699 L
.28036 .86963 L
.27474 .86926 L
.26869 .86877 L
.25746 .86756 L
.24667 .86604 L
.2345 .86384 L
.22313 .86129 L
.19818 .85383 L
.17364 .84357 L
.14734 .8286 L
.12231 .80956 L
.09666 .78366 L
.07357 .7527 L
.0535 .71714 L
.03512 .67325 L
.02728 .64923 L
.0208 .62558 L
.01044 .57553 L
.0063 .54738 L
.00336 .52102 L
Mistroke
.00116 .49346 L
.00026 .4777 L
Mfstroke
.00026 .4777 m
0 .47152 L
s
0 .37154 m
.00047 .36017 L
.00112 .34703 L
.00511 .28962 L
.01017 .23589 L
.01622 .18059 L
.01731 .17095 L
s
.36667 .88333 m
.35802 .88417 L
.34858 .88497 L
.33783 .88573 L
.33243 .88604 L
.32744 .88629 L
.32282 .88649 L
.31774 .88666 L
.31491 .88673 L
.31227 .88678 L
.30974 .88682 L
.30845 .88684 L
.30771 .88685 L
.30703 .88685 L
.30631 .88686 L
.30565 .88686 L
.30492 .88686 L
.30452 .88686 L
.30414 .88686 L
.30345 .88687 L
.30282 .88687 L
.30212 .88686 L
.30138 .88686 L
.30076 .88686 L
.30009 .88686 L
.29889 .88685 L
.29745 .88683 L
.29613 .88681 L
.29319 .88676 L
.28997 .88667 L
.28404 .88646 L
.27848 .88618 L
.27225 .88578 L
.25937 .88461 L
.24719 .88306 L
.23374 .88081 L
.22054 .87799 L
.20636 .87423 L
.18022 .86499 L
.15195 .85102 L
.12482 .83273 L
.09675 .8072 L
.07124 .77602 L
.04887 .73954 L
.0282 .69381 L
.01933 .66854 L
.01196 .6435 L
.00011 .59017 L
s
.00011 .59017 m
0 .58949 L
s
0 .20878 m
.00509 .1616 L
.01121 .10639 L
.01124 .10608 L
s
.36667 .9 m
.35733 .90085 L
.34714 .90167 L
.33551 .90243 L
.32967 .90274 L
.32427 .90298 L
.3189 .90317 L
.31375 .9033 L
.3109 .90336 L
.30824 .90339 L
.30684 .90341 L
.30603 .90342 L
.30529 .90342 L
.30451 .90342 L
.30408 .90343 L
.30367 .90343 L
.30295 .90343 L
.30253 .90343 L
.30215 .90343 L
.30138 .90343 L
.30099 .90343 L
.30056 .90343 L
.2998 .90342 L
.29909 .90342 L
.29749 .90341 L
.29658 .9034 L
.29576 .90339 L
.29263 .90334 L
.28964 .90327 L
.28408 .90309 L
.27795 .90281 L
.27192 .90245 L
.26517 .90193 L
.2512 .90049 L
.23799 .89861 L
.22342 .89589 L
.20911 .8925 L
.19377 .88799 L
.16554 .87695 L
.13517 .86028 L
.10625 .83849 L
.07671 .80819 L
.05034 .77137 L
.02778 .72864 L
.01765 .70433 L
.00765 .67562 L
s
.00765 .67562 m
0 .64627 L
s
0 .08715 m
.0003 .0843 L
.00475 .03885 L
s
.36667 .91667 m
.35662 .91754 L
.34564 .91837 L
.3341 .91908 L
.32729 .91941 L
.32097 .91966 L
.31803 .91975 L
.31481 .91983 L
.312 .9199 L
.30888 .91995 L
.30716 .91997 L
.30554 .91998 L
.30465 .91999 L
.30383 .92 L
.30337 .92 L
.30288 .92 L
.30241 .92 L
.30197 .92 L
.30113 .92 L
.30034 .92 L
.29962 .92 L
.29885 .92 L
.298 .91999 L
.2971 .91999 L
.29549 .91997 L
.29383 .91995 L
.29225 .91992 L
.28927 .91986 L
.28604 .91978 L
.2825 .91966 L
.27606 .91937 L
.27001 .91901 L
.25694 .91794 L
.24935 .91711 L
.24211 .91618 L
.2272 .91377 L
.21322 .91087 L
.19741 .90676 L
.18245 .90197 L
.15211 .88913 L
.12083 .87058 L
.08821 .84366 L
.05838 .8097 L
.03216 .76898 L
.02012 .7453 L
.008 .71692 L
s
.008 .71692 m
0 .69219 L
s
.38333 .08333 m
.37584 .08297 L
.36793 .08248 L
.36076 .08193 L
.35407 .0813 L
.34716 .08048 L
.34071 .07956 L
.33404 .07839 L
.32779 .07708 L
.32193 .07562 L
.31584 .07385 L
.31009 .07191 L
.30467 .06982 L
.299 .06733 L
.29361 .06466 L
.28796 .06151 L
.28256 .05815 L
.2774 .05461 L
.27193 .05049 L
.26667 .04615 L
.26106 .04112 L
.25562 .03584 L
.25034 .03033 L
.24465 .02397 L
.23937 .01769 L
s
.38333 .1 m
.37674 .09968 L
.36978 .09927 L
.36345 .0988 L
.35754 .09826 L
.35143 .09758 L
.34571 .0968 L
.33979 .09583 L
.33424 .09475 L
.32903 .09355 L
.32361 .09211 L
.3185 .09053 L
.31368 .08883 L
.30863 .08681 L
.30384 .08466 L
.29882 .08213 L
.29404 .07945 L
.28948 .07662 L
.28465 .07334 L
.28002 .0699 L
.2751 .06592 L
.27035 .06176 L
.26576 .05743 L
.26083 .05246 L
.25628 .04757 L
s
.38333 .11667 m
.37761 .1164 L
.37155 .11605 L
.36602 .11566 L
.36086 .11521 L
.35551 .11465 L
.35049 .11401 L
.3453 .11322 L
.34043 .11234 L
.33584 .11137 L
.33107 .11021 L
.32658 .10894 L
.32233 .10758 L
.31789 .10598 L
.31368 .10427 L
.30927 .10227 L
.30507 .10015 L
.30107 .09793 L
.29685 .09536 L
.29281 .09267 L
.28853 .08957 L
.28441 .08634 L
.28044 .083 L
.27621 .07916 L
.27231 .0754 L
s
.38333 .13333 m
.37842 .13312 L
.37322 .13284 L
.36846 .13252 L
.36401 .13216 L
.35939 .1317 L
.35506 .13119 L
.35057 .13056 L
.34634 .12986 L
.34237 .12909 L
.33823 .12817 L
.33432 .12718 L
.33064 .12611 L
.32678 .12486 L
.32312 .12353 L
.31929 .12198 L
.31566 .12034 L
.31219 .11863 L
.30854 .11665 L
.30506 .11459 L
.30137 .11223 L
.29784 .10977 L
.29444 .10722 L
.29083 .10432 L
.28752 .10149 L
s
.38333 .15 m
.37919 .14984 L
.3748 .14962 L
.37078 .14937 L
.36701 .14909 L
.36309 .14873 L
.35941 .14834 L
.35558 .14785 L
.35199 .14731 L
.3486 .14672 L
.34507 .14601 L
.34173 .14525 L
.33858 .14444 L
.33529 .14349 L
.33217 .14249 L
.3289 .14131 L
.32579 .14008 L
.32284 .13879 L
.31974 .13731 L
.31677 .13577 L
.31365 .13401 L
.31065 .13218 L
.30779 .1303 L
.30475 .12815 L
.30197 .12607 L
s
.38333 .16667 m
.37992 .16655 L
.37629 .1664 L
.37296 .16622 L
.36984 .16601 L
.36659 .16575 L
.36353 .16546 L
.36035 .1651 L
.35735 .1647 L
.35453 .16427 L
.35158 .16375 L
.3488 .16319 L
.34617 .1626 L
.34341 .1619 L
.34081 .16117 L
.33808 .16032 L
.33548 .15942 L
.33302 .15849 L
.33043 .15742 L
.32796 .15631 L
.32537 .15504 L
.32288 .15373 L
.32051 .15238 L
.318 .15085 L
.31571 .14936 L
s
.38333 .18333 m
.3806 .18327 L
.37769 .18318 L
.37502 .18306 L
.37251 .18293 L
.36989 .18276 L
.36742 .18256 L
.36485 .18232 L
.36243 .18204 L
.36015 .18175 L
.35776 .18139 L
.35551 .18101 L
.35338 .1806 L
.35115 .18012 L
.34903 .17962 L
.34682 .17903 L
.34472 .17842 L
.34272 .17778 L
.34063 .17705 L
.33863 .17629 L
.33654 .17542 L
.33453 .17453 L
.33262 .17361 L
.33061 .17257 L
.32877 .17157 L
s
.38333 .2 m
.38284 .2 L
.38231 .19999 L
.38175 .19999 L
.38124 .19999 L
.38015 .19997 L
.379 .19995 L
.37789 .19993 L
.37685 .1999 L
.37489 .19983 L
.37286 .19974 L
.37094 .19963 L
.36913 .1995 L
.36724 .19934 L
.36545 .19917 L
.36359 .19895 L
.36182 .19871 L
.36016 .19846 L
.35841 .19816 L
.35676 .19785 L
.35503 .19748 L
.35338 .19709 L
.35183 .19669 L
.35019 .19622 L
.34863 .19574 L
.34715 .19525 L
.34559 .19469 L
.34411 .19411 L
.34254 .19345 L
.34118 .19284 L
s
.38333 .21667 m
.3826 .21669 L
.38182 .2167 L
.38099 .21672 L
.38021 .21673 L
.37952 .21674 L
.37914 .21674 L
.37879 .21674 L
.37861 .21674 L
.37851 .21674 L
.37842 .21674 L
.37834 .21674 L
.37826 .21674 L
.37822 .21674 L
.37817 .21674 L
.37813 .21674 L
.37808 .21674 L
.37806 .21674 L
.37803 .21674 L
.37801 .21674 L
.37798 .21674 L
.37794 .21674 L
.37789 .21674 L
.37784 .21674 L
.37779 .21674 L
.37769 .21674 L
.3776 .21674 L
.37751 .21674 L
.37732 .21674 L
.37715 .21674 L
.37696 .21674 L
.37663 .21674 L
.37628 .21673 L
.37589 .21673 L
.3752 .21672 L
.37447 .2167 L
.37305 .21666 L
.37171 .2166 L
.37044 .21653 L
.36911 .21644 L
.36785 .21634 L
.36654 .21621 L
.3653 .21607 L
.36413 .21592 L
.3629 .21575 L
.36173 .21555 L
.36062 .21535 L
.35946 .21512 L
.35836 .21488 L
.3572 .2146 L
Mistroke
.3561 .21431 L
.35505 .21401 L
.35395 .21367 L
.35293 .21334 L
Mfstroke
.38333 .23333 m
.38237 .23342 L
.38134 .2335 L
.38039 .23357 L
.3795 .23364 L
.37857 .2337 L
.37769 .23375 L
.37677 .23379 L
.3759 .23382 L
.37509 .23385 L
.37467 .23386 L
.37423 .23387 L
.37404 .23387 L
.37383 .23387 L
.37364 .23388 L
.37346 .23388 L
.37336 .23388 L
.37325 .23388 L
.37319 .23388 L
.37314 .23388 L
.37309 .23388 L
.37306 .23388 L
.37303 .23388 L
.37301 .23388 L
.37298 .23388 L
.37296 .23388 L
.37294 .23388 L
.37291 .23388 L
.3729 .23388 L
.37289 .23388 L
.37286 .23388 L
.37284 .23388 L
.37279 .23388 L
.37274 .23388 L
.37263 .23388 L
.37254 .23388 L
.37243 .23388 L
.37223 .23388 L
.37204 .23387 L
.37187 .23387 L
.37147 .23386 L
.37111 .23385 L
.37034 .23383 L
.36962 .2338 L
.36887 .23375 L
.36815 .2337 L
.36747 .23364 L
.36676 .23357 L
.36608 .23349 L
.36538 .2334 L
Mistroke
.36471 .23329 L
.36407 .23319 L
.36404 .23318 L
Mfstroke
.38333 .25 m
.38287 .25013 L
.38237 .25028 L
.38191 .25041 L
.38148 .25053 L
.38104 .25066 L
.38062 .25078 L
.38019 .2509 L
.37978 .25102 L
.3794 .25113 L
.379 .25124 L
.37863 .25135 L
.37828 .25145 L
.37791 .25155 L
.37757 .25165 L
.37722 .25175 L
.37688 .25184 L
.37657 .25193 L
.37624 .25202 L
.37593 .2521 L
.37562 .25219 L
.37532 .25227 L
.37503 .25235 L
.37474 .25242 L
.37448 .25249 L
s
.38333 .26667 m
.38332 .26676 L
.38332 .26685 L
.38331 .26695 L
.3833 .26705 L
.3833 .26714 L
.3833 .26718 L
.3833 .26723 L
.3833 .26725 L
.3833 .26728 L
.3833 .2673 L
.3833 .26732 L
.3833 .26733 L
.3833 .26734 L
.3833 .26735 L
.3833 .26736 L
.3833 .26736 L
.3833 .26737 L
.3833 .26737 L
.3833 .26737 L
.3833 .26738 L
.3833 .26738 L
.3833 .26739 L
.3833 .26739 L
.3833 .2674 L
.3833 .2674 L
.3833 .26741 L
.3833 .26741 L
.3833 .26742 L
.3833 .26743 L
.3833 .26744 L
.3833 .26747 L
.3833 .26749 L
.3833 .26751 L
.3833 .26756 L
.3833 .26761 L
.3833 .26771 L
.38331 .26781 L
.38332 .26799 L
.38334 .26818 L
.38336 .26837 L
.38339 .26858 L
.38342 .26877 L
.38346 .26896 L
.3835 .26916 L
.38355 .26935 L
.3836 .26954 L
.38365 .26974 L
.38371 .26994 L
.38378 .27015 L
Mistroke
.38384 .27035 L
.38391 .27054 L
.38399 .27075 L
.38407 .27095 L
.38416 .27117 L
.38424 .27136 L
Mfstroke
.38333 .28333 m
.38372 .28356 L
.38415 .28382 L
.38455 .28406 L
.38493 .2843 L
.38534 .28456 L
.38574 .28481 L
.38616 .28508 L
.38657 .28534 L
.38697 .28559 L
.38739 .28587 L
.3878 .28613 L
.38819 .28639 L
.38861 .28667 L
.38902 .28694 L
.38945 .28724 L
.38988 .28752 L
.39028 .2878 L
.39072 .28809 L
.39114 .28838 L
.39158 .28869 L
.39202 .28899 L
.39244 .28928 L
.39289 .28959 L
.3933 .28988 L
s
.38333 .3 m
.38408 .30028 L
.38489 .30059 L
.38566 .30089 L
.38639 .30118 L
.38717 .3015 L
.38791 .30181 L
.38871 .30214 L
.38947 .30247 L
.39021 .30279 L
.39099 .30313 L
.39174 .30346 L
.39247 .30379 L
.39324 .30414 L
.39398 .30448 L
.39477 .30485 L
.39553 .3052 L
.39626 .30555 L
.39704 .30592 L
.39779 .30627 L
.39859 .30666 L
.39936 .30703 L
.4001 .30739 L
.40089 .30778 L
.40162 .30813 L
s
.38333 .31667 m
.38439 .31699 L
.38554 .31736 L
.38662 .31771 L
.38766 .31806 L
.38876 .31843 L
.38982 .3188 L
.39095 .3192 L
.39203 .31958 L
.39307 .31996 L
.39417 .32037 L
.39524 .32076 L
.39626 .32115 L
.39735 .32156 L
.3984 .32196 L
.39951 .32239 L
.40058 .32281 L
.40161 .32321 L
.40271 .32364 L
.40377 .32406 L
.40489 .3245 L
.40598 .32493 L
.40702 .32534 L
.40813 .32578 L
.40915 .32618 L
s
.38333 .33333 m
.38466 .33371 L
.3861 .33413 L
.38745 .33454 L
.38875 .33493 L
.39013 .33536 L
.39146 .33579 L
.39287 .33624 L
.39423 .33669 L
.39554 .33712 L
.39693 .33758 L
.39827 .33804 L
.39956 .33848 L
.40093 .33895 L
.40225 .3394 L
.40366 .33989 L
.40501 .34036 L
.40631 .34081 L
.4077 .34129 L
.40904 .34175 L
.41046 .34225 L
.41183 .34272 L
.41315 .34317 L
.41456 .34365 L
.41585 .34409 L
s
.38333 .35 m
.38488 .35042 L
.38656 .3509 L
.38814 .35136 L
.38966 .3518 L
.39127 .35229 L
.39283 .35277 L
.39448 .35328 L
.39608 .35378 L
.39761 .35426 L
.39925 .35479 L
.40083 .35529 L
.40234 .35578 L
.40396 .35631 L
.40552 .35681 L
.40718 .35735 L
.40878 .35787 L
.41032 .35836 L
.41197 .35889 L
.41355 .3594 L
.41524 .35993 L
.41687 .36044 L
.41844 .36093 L
.42012 .36144 L
.42165 .3619 L
s
.38333 .36667 m
.38505 .36714 L
.38692 .36767 L
.38868 .36818 L
.39037 .36867 L
.39218 .36921 L
.39392 .36974 L
.39577 .37031 L
.39756 .37086 L
.39928 .3714 L
.40112 .37198 L
.40289 .37253 L
.4046 .37307 L
.40642 .37365 L
.40818 .3742 L
.41005 .37479 L
.41186 .37535 L
.41361 .37589 L
.41547 .37646 L
.41727 .37701 L
.41919 .37758 L
.42105 .37813 L
.42283 .37864 L
.42474 .37919 L
.42649 .37968 L
s
.38333 .38333 m
.38517 .38385 L
.38718 .38444 L
.38907 .38499 L
.3909 .38554 L
.39284 .38613 L
.39472 .38671 L
.39672 .38733 L
.39866 .38794 L
.40052 .38853 L
.40251 .38916 L
.40444 .38976 L
.4063 .39035 L
.40828 .39097 L
.4102 .39157 L
.41224 .39221 L
.41422 .39282 L
.41613 .3934 L
.41818 .39401 L
.42015 .3946 L
.42226 .39521 L
.42429 .3958 L
.42626 .39635 L
.42837 .39692 L
.4303 .39744 L
s
.38333 .4 m
.38525 .40057 L
.38734 .4012 L
.38932 .40181 L
.39123 .40241 L
.39326 .40305 L
.39523 .40368 L
.39733 .40435 L
.39937 .40501 L
.40133 .40565 L
.40343 .40633 L
.40546 .40699 L
.40742 .40762 L
.40952 .40829 L
.41155 .40894 L
.41372 .40962 L
.41582 .41028 L
.41785 .41091 L
.42002 .41156 L
.42213 .41219 L
.42437 .41285 L
.42655 .41347 L
.42866 .41406 L
.43091 .41467 L
.43299 .41522 L
s
.38333 .41667 m
.38528 .41728 L
.38741 .41797 L
.38942 .41863 L
.39136 .41927 L
.39344 .41996 L
.39545 .42064 L
.3976 .42137 L
.39968 .42208 L
.4017 .42276 L
.40385 .42349 L
.40594 .4242 L
.40795 .42488 L
.41012 .42561 L
.41221 .4263 L
.41445 .42704 L
.41662 .42774 L
.41872 .42841 L
.42097 .42912 L
.42315 .42979 L
.42549 .4305 L
.42775 .43116 L
.42995 .43179 L
.4323 .43245 L
.43446 .43304 L
s
.38333 .43333 m
.38526 .434 L
.38737 .43473 L
.38937 .43544 L
.3913 .43613 L
.39337 .43688 L
.39537 .4376 L
.39751 .43838 L
.39959 .43914 L
.4016 .43987 L
.40376 .44065 L
.40585 .44141 L
.40787 .44214 L
.41004 .44292 L
.41214 .44366 L
.41439 .44445 L
.41657 .4452 L
.41869 .44592 L
.42096 .44668 L
.42316 .44741 L
.42553 .44817 L
.42782 .44889 L
.43005 .44957 L
.43243 .45027 L
.43463 .45091 L
s
.38333 .45 m
.38519 .45071 L
.38724 .4515 L
.38917 .45225 L
.39104 .45299 L
.39304 .45378 L
.39499 .45456 L
.39706 .45539 L
.39908 .45619 L
.40104 .45697 L
.40313 .45781 L
.40517 .45862 L
.40714 .45939 L
.40925 .46022 L
.41131 .46102 L
.41351 .46186 L
.41564 .46267 L
.41772 .46344 L
.41994 .46426 L
.4221 .46504 L
.42442 .46586 L
.42668 .46663 L
.42887 .46737 L
.43122 .46814 L
.43339 .46884 L
s
.38333 .46667 m
.38508 .46742 L
.387 .46826 L
.38882 .46907 L
.39057 .46985 L
.39246 .47069 L
.39429 .47151 L
.39625 .47239 L
.39815 .47324 L
.39999 .47407 L
.40197 .47496 L
.40389 .47581 L
.40575 .47664 L
.40774 .47752 L
.40968 .47837 L
.41176 .47927 L
.41378 .48013 L
.41574 .48096 L
.41785 .48184 L
.4199 .48268 L
.4221 .48356 L
.42424 .48441 L
.42631 .48521 L
.42855 .48605 L
.43061 .48681 L
s
.38333 .48333 m
.38492 .48414 L
.38666 .48503 L
.38831 .48588 L
.3899 .4867 L
.39161 .48759 L
.39327 .48846 L
.39505 .48938 L
.39677 .49029 L
.39845 .49116 L
.40024 .49209 L
.40198 .493 L
.40366 .49387 L
.40547 .49481 L
.40723 .49571 L
.40911 .49666 L
.41095 .49758 L
.41272 .49847 L
.41463 .49941 L
.41649 .50031 L
.41848 .50127 L
.42041 .50218 L
.4223 .50305 L
.42432 .50398 L
.42619 .50481 L
s
.38333 .5 m
.38471 .50085 L
.38622 .50179 L
.38765 .50268 L
.38903 .50355 L
.3905 .50449 L
.39194 .5054 L
.39347 .50637 L
.39495 .50732 L
.39639 .50824 L
.39793 .50922 L
.39942 .51017 L
.40087 .51109 L
.40241 .51207 L
.40392 .51302 L
.40552 .51404 L
.40708 .51501 L
.4086 .51596 L
.41022 .51696 L
.41179 .51792 L
.41348 .51895 L
.41512 .51993 L
.41671 .52088 L
.41842 .52188 L
.41999 .52279 L
s
.38333 .51667 m
.38445 .51756 L
.38568 .51855 L
.38683 .51949 L
.38794 .5204 L
.38913 .52138 L
.39027 .52233 L
.39149 .52335 L
.39267 .52434 L
.39381 .5253 L
.39502 .52633 L
.3962 .52732 L
.39733 .52829 L
.39853 .52931 L
.3997 .53031 L
.40095 .53137 L
.40215 .5324 L
.40331 .5334 L
.40455 .53445 L
.40575 .53548 L
.40702 .53657 L
.40826 .53762 L
.40945 .53863 L
.41073 .53971 L
.4119 .5407 L
s
.38333 .53333 m
.38415 .53428 L
.38503 .53531 L
.38585 .5363 L
.38664 .53725 L
.38747 .53827 L
.38827 .53926 L
.38911 .54032 L
.38992 .54135 L
.39069 .54235 L
.3915 .54341 L
.39228 .54445 L
.39302 .54544 L
.3938 .54651 L
.39455 .54755 L
.39534 .54865 L
.39609 .54972 L
.3968 .55076 L
.39756 .55186 L
.39827 .55293 L
.39903 .55407 L
.39974 .55517 L
.40042 .55623 L
.40114 .55737 L
.40178 .55841 L
s
.38333 .55 m
.38379 .55099 L
.38427 .55208 L
.38471 .5531 L
.38512 .55409 L
.38554 .55516 L
.38593 .55618 L
.38632 .55728 L
.38669 .55834 L
.38702 .55937 L
.38735 .56047 L
.38765 .56153 L
.38792 .56256 L
.38819 .56365 L
.38843 .56471 L
.38866 .56584 L
.38886 .56694 L
.38903 .56799 L
.38918 .56912 L
.38931 .57021 L
.38941 .57137 L
.38945 .57196 L
.38948 .5725 L
.38951 .57302 L
.38952 .57329 L
.38953 .57358 L
.38953 .57387 L
.38954 .57413 L
.38954 .57426 L
.38954 .57433 L
.38954 .5744 L
.38954 .57446 L
.38954 .57453 L
.38954 .57456 L
.38954 .57459 L
.38954 .57462 L
.38954 .57465 L
.38954 .57469 L
.38954 .57472 L
.38954 .57475 L
.38954 .57479 L
.38954 .57482 L
.38954 .57486 L
.38954 .57489 L
.38954 .57492 L
.38954 .57499 L
.38954 .57507 L
.38954 .57521 L
.38954 .57537 L
.38954 .57552 L
Mistroke
.38953 .5758 L
Mfstroke
.38333 .56667 m
.38336 .56717 L
.38339 .5677 L
.3834 .56796 L
.38341 .56824 L
.38341 .5684 L
.38341 .56855 L
.38341 .56869 L
.38342 .56884 L
.38342 .56896 L
.38342 .56904 L
.38342 .5691 L
.38342 .56917 L
.38342 .5692 L
.38342 .56922 L
.38342 .56925 L
.38342 .56929 L
.38342 .56932 L
.38342 .56935 L
.38342 .56937 L
.38342 .56939 L
.38342 .56942 L
.38342 .56944 L
.38342 .56946 L
.38342 .5695 L
.38342 .56957 L
.38342 .56965 L
.38342 .56979 L
.38342 .56991 L
.38341 .57018 L
.38341 .57043 L
.3834 .5707 L
.38339 .57099 L
.38336 .57152 L
.38333 .57202 L
.38324 .57307 L
.38312 .57419 L
.38297 .57527 L
.38279 .57631 L
.38256 .57742 L
.38231 .5785 L
.382 .57964 L
.38166 .58073 L
.38129 .58179 L
.38086 .58292 L
.38041 .584 L
.37993 .58504 L
.37937 .58615 L
.37879 .58722 L
.37812 .58834 L
Mistroke
.37743 .58943 L
.37671 .59047 L
.3759 .59157 L
.37505 .59263 L
.37504 .59264 L
Mfstroke
.38333 .58333 m
.38293 .58442 L
.38245 .58559 L
.38196 .5867 L
.38143 .58777 L
.38083 .5889 L
.3802 .58999 L
.37948 .59114 L
.37873 .59225 L
.37795 .59332 L
.37707 .59445 L
.37617 .59553 L
.37524 .59656 L
.3742 .59766 L
.37313 .5987 L
.37192 .5998 L
.37069 .60085 L
.36945 .60185 L
.36805 .6029 L
.36663 .6039 L
.36504 .60494 L
.36343 .60593 L
.3618 .60685 L
.35999 .60781 L
.35826 .60866 L
s
.38333 .6 m
.38243 .60113 L
.38138 .60235 L
.38033 .6035 L
.37926 .6046 L
.37804 .60576 L
.3768 .60687 L
.37541 .60804 L
.37398 .60916 L
.37254 .61022 L
.37091 .61134 L
.36927 .6124 L
.36761 .61341 L
.36575 .61446 L
.36388 .61544 L
.36178 .61646 L
.35967 .61742 L
.35755 .61831 L
.35518 .61921 L
.35281 .62004 L
.35017 .62088 L
.34752 .62163 L
.34487 .6223 L
.34193 .62295 L
.33914 .62347 L
s
.38333 .61667 m
.38188 .61784 L
.38021 .61911 L
.37854 .62029 L
.37685 .62142 L
.37496 .62261 L
.37304 .62373 L
.37089 .62491 L
.36871 .62603 L
.36651 .62707 L
.36405 .62816 L
.36157 .62917 L
.35908 .63011 L
.35631 .63106 L
.35352 .63194 L
.35042 .63281 L
.3473 .6336 L
.34419 .63428 L
.34074 .63494 L
.33728 .63548 L
.33347 .63596 L
.3315 .63615 L
.32966 .6363 L
.32783 .63643 L
.32688 .63648 L
.32586 .63652 L
.32483 .63656 L
.32388 .63659 L
.32342 .6366 L
.32292 .63661 L
.32244 .63662 L
.32223 .63662 L
.322 .63662 L
.32175 .63662 L
.32164 .63662 L
.32152 .63662 L
.32139 .63662 L
.32127 .63662 L
.3212 .63662 L
.32113 .63662 L
.321 .63662 L
.32089 .63662 L
.32077 .63662 L
.32067 .63662 L
.32055 .63662 L
.3203 .63662 L
.32006 .63662 L
.31978 .63662 L
.31952 .63661 L
.31902 .63661 L
Mistroke
.31848 .63659 L
.31788 .63658 L
.31775 .63658 L
Mfstroke
.38333 .63333 m
.38128 .63455 L
.37892 .63587 L
.37658 .63708 L
.37422 .63824 L
.37158 .63944 L
.3689 .64058 L
.36592 .64175 L
.3629 .64284 L
.35985 .64385 L
.35647 .64487 L
.35306 .64579 L
.34963 .64662 L
.34583 .64743 L
.34202 .64813 L
.3378 .64876 L
.33357 .64926 L
.32935 .64963 L
.32711 .64977 L
.32586 .64983 L
.32469 .64988 L
.32348 .64992 L
.32285 .64993 L
.32217 .64994 L
.32188 .64995 L
.32158 .64995 L
.32131 .64996 L
.32102 .64996 L
.32084 .64996 L
.32068 .64996 L
.32052 .64996 L
.32044 .64996 L
.32036 .64996 L
.32021 .64996 L
.32007 .64996 L
.31999 .64996 L
.3199 .64996 L
.31975 .64996 L
.3196 .64996 L
.31952 .64996 L
.31944 .64996 L
.31915 .64996 L
.31888 .64996 L
.31859 .64996 L
.318 .64995 L
.31735 .64994 L
.31618 .64991 L
.31507 .64987 L
.31377 .64981 L
.31252 .64975 L
Mistroke
.31016 .64959 L
.30759 .64937 L
.30518 .64912 L
.29995 .6484 L
.29424 .64735 L
.29421 .64735 L
Mfstroke
.38333 .65 m
.38063 .65126 L
.37753 .65262 L
.37446 .65387 L
.37136 .65505 L
.36789 .65626 L
.36439 .65739 L
.36048 .65854 L
.35653 .65959 L
.35256 .66053 L
.34814 .66145 L
.3437 .66224 L
.33925 .6629 L
.33431 .66349 L
.32937 .66391 L
.32805 .664 L
.32659 .66408 L
.32519 .66414 L
.32391 .66419 L
.32325 .66421 L
.32253 .66423 L
.32191 .66425 L
.32123 .66426 L
.32049 .66427 L
.32009 .66427 L
.3199 .66427 L
.31972 .66427 L
.31955 .66428 L
.31937 .66428 L
.3192 .66428 L
.31904 .66428 L
.31888 .66428 L
.31869 .66428 L
.3186 .66428 L
.3185 .66428 L
.31832 .66428 L
.31814 .66428 L
.31798 .66427 L
.31762 .66427 L
.31729 .66427 L
.31697 .66426 L
.31626 .66425 L
.31549 .66424 L
.31392 .66419 L
.31245 .66414 L
.30971 .66399 L
.30665 .66377 L
.30372 .66349 L
.30053 .66312 L
.29408 .66214 L
Mistroke
.28771 .66086 L
.28145 .65928 L
.27466 .65718 L
.26876 .65502 L
Mfstroke
.38333 .66667 m
.37993 .66797 L
.37603 .66937 L
.37216 .67065 L
.36826 .67185 L
.3639 .67307 L
.35949 .67418 L
.35458 .67529 L
.34961 .67627 L
.34462 .67711 L
.33907 .67788 L
.33349 .67848 L
.3306 .67872 L
.3279 .6789 L
.32495 .67905 L
.3233 .67911 L
.32247 .67913 L
.32172 .67915 L
.321 .67917 L
.32021 .67918 L
.31978 .67919 L
.31938 .67919 L
.319 .6792 L
.31878 .6792 L
.31859 .6792 L
.31842 .6792 L
.31824 .6792 L
.31805 .6792 L
.31787 .6792 L
.31769 .6792 L
.31751 .6792 L
.31736 .6792 L
.31719 .6792 L
.31699 .6792 L
.3168 .6792 L
.31639 .6792 L
.31602 .67919 L
.31563 .67919 L
.31482 .67918 L
.31408 .67916 L
.3124 .67912 L
.31084 .67906 L
.30935 .67899 L
.30596 .67879 L
.3028 .67853 L
.29587 .67774 L
.28903 .67664 L
.28155 .67506 L
.2742 .6731 L
.26623 .67048 L
Mistroke
.25844 .66738 L
.25088 .66382 L
.2428 .65935 L
.24178 .65873 L
Mfstroke
.38333 .68333 m
.37919 .68469 L
.37442 .68613 L
.3697 .68743 L
.36493 .68864 L
.35959 .68985 L
.3542 .69094 L
.34819 .69198 L
.34212 .69285 L
.33601 .69355 L
.33282 .69385 L
.32922 .69411 L
.32755 .69422 L
.32574 .69431 L
.32401 .69439 L
.3224 .69444 L
.32061 .69449 L
.31965 .69451 L
.31916 .69452 L
.31862 .69452 L
.31811 .69453 L
.31789 .69453 L
.31764 .69453 L
.31742 .69453 L
.31719 .69453 L
.31706 .69453 L
.31694 .69453 L
.31671 .69453 L
.31649 .69453 L
.31628 .69453 L
.31606 .69453 L
.31581 .69453 L
.31561 .69453 L
.31541 .69453 L
.31496 .69453 L
.31451 .69452 L
.31409 .69452 L
.31314 .6945 L
.31221 .69448 L
.31121 .69446 L
.30938 .6944 L
.30771 .69432 L
.30401 .69411 L
.29994 .69378 L
.29598 .69337 L
.29172 .69283 L
.28388 .69153 L
.27531 .68964 L
.26687 .68729 L
.25774 .68412 L
Mistroke
.24882 .68036 L
.24017 .676 L
.23095 .67052 L
.22212 .66433 L
.21378 .65754 L
Mfstroke
.38333 .7 m
.37839 .7014 L
.3727 .70288 L
.36706 .70421 L
.36135 .70542 L
.35497 .70661 L
.34852 .70765 L
.34132 .7086 L
.33758 .70901 L
.33405 .70934 L
.33031 .70962 L
.32673 .70984 L
.32304 .71001 L
.32106 .71007 L
.31994 .71009 L
.3189 .71011 L
.31793 .71013 L
.31739 .71014 L
.31689 .71014 L
.31643 .71014 L
.31617 .71014 L
.31593 .71014 L
.31572 .71014 L
.31548 .71014 L
.31524 .71015 L
.31501 .71014 L
.31475 .71014 L
.31459 .71014 L
.31446 .71014 L
.3142 .71014 L
.31393 .71014 L
.31344 .71014 L
.31293 .71013 L
.31177 .71011 L
.31068 .71009 L
.30859 .71004 L
.30637 .70995 L
.30235 .70973 L
.29798 .7094 L
.29385 .709 L
.28486 .70779 L
.27501 .70592 L
.26526 .70348 L
.25568 .70044 L
.24533 .69638 L
.23526 .69157 L
.22554 .68602 L
.21523 .67903 L
.20543 .67118 L
.19525 .66153 L
Mistroke
.18576 .6509 L
.18542 .65049 L
Mfstroke
.38333 .71667 m
.37754 .71811 L
.37086 .71962 L
.36424 .72097 L
.35754 .72218 L
.35003 .72335 L
.34244 .72432 L
.33842 .72474 L
.33396 .72514 L
.32992 .72544 L
.32759 .72558 L
.32538 .72569 L
.32309 .72579 L
.32097 .72586 L
.31988 .72589 L
.31868 .72591 L
.31802 .72593 L
.31741 .72594 L
.31678 .72594 L
.31619 .72595 L
.31562 .72595 L
.31534 .72595 L
.31502 .72596 L
.31485 .72596 L
.3147 .72596 L
.31453 .72596 L
.31436 .72596 L
.31407 .72596 L
.3139 .72596 L
.31375 .72596 L
.31347 .72596 L
.31321 .72596 L
.31293 .72595 L
.31262 .72595 L
.312 .72595 L
.31142 .72594 L
.3104 .72593 L
.30928 .72591 L
.30701 .72585 L
.30453 .72575 L
.30226 .72564 L
.29709 .72531 L
.29227 .72487 L
.28694 .72426 L
.2762 .72258 L
.26553 .72026 L
.25503 .7173 L
.24363 .71325 L
.23251 .70835 L
.22061 .70195 L
Mistroke
.20918 .6945 L
.19829 .68604 L
.18696 .67553 L
.17642 .66388 L
.16575 .64978 L
.15746 .63677 L
Mfstroke
.38333 .73333 m
.37664 .73482 L
.36892 .73637 L
.36125 .73773 L
.35348 .73893 L
.34477 .74005 L
.33595 .74093 L
.33094 .74131 L
.3286 .74146 L
.32609 .74159 L
.32375 .7417 L
.32116 .74179 L
.32001 .74182 L
.31876 .74186 L
.31767 .74188 L
.3165 .7419 L
.3158 .7419 L
.31516 .74191 L
.31485 .74191 L
.31452 .74192 L
.3142 .74192 L
.31391 .74192 L
.31374 .74192 L
.31356 .74192 L
.31337 .74192 L
.31319 .74192 L
.313 .74192 L
.31279 .74192 L
.3126 .74192 L
.31242 .74192 L
.31211 .74192 L
.31192 .74192 L
.31176 .74192 L
.31142 .74191 L
.31105 .74191 L
.3104 .74191 L
.30972 .7419 L
.30851 .74188 L
.30708 .74185 L
.30574 .74181 L
.30292 .74171 L
.30022 .74159 L
.2951 .74126 L
.28949 .74077 L
.28422 .74018 L
.27267 .73841 L
.26123 .73597 L
.24873 .73244 L
.23645 .72801 L
.22323 .72202 L
Mistroke
.21043 .71484 L
.19816 .7065 L
.18531 .69593 L
.17326 .68399 L
.161 .66929 L
.14987 .65311 L
.13996 .63568 L
.13069 .61577 L
Mfstroke
.38333 .75 m
.37569 .75153 L
.36686 .75311 L
.35808 .75449 L
.34917 .75567 L
.33918 .75672 L
.33438 .75712 L
.32904 .75748 L
.32607 .75764 L
.32328 .75777 L
.32059 .75786 L
.31909 .7579 L
.3177 .75793 L
.31635 .75796 L
.31505 .75798 L
.31434 .75798 L
.31367 .75799 L
.31329 .75799 L
.31294 .75799 L
.31275 .75799 L
.31254 .75799 L
.31216 .75799 L
.31183 .75799 L
.31153 .75799 L
.31119 .75799 L
.31083 .75799 L
.31045 .75799 L
.31009 .75799 L
.30941 .75798 L
.30878 .75798 L
.30819 .75797 L
.30685 .75795 L
.30549 .75792 L
.30402 .75788 L
.30133 .75779 L
.29809 .75764 L
.29509 .75747 L
.28925 .75702 L
.28272 .75636 L
.27642 .75554 L
.26957 .75443 L
.25565 .75148 L
.24186 .74751 L
.22833 .74248 L
.21375 .73564 L
.19967 .7274 L
.18622 .71777 L
.17217 .70552 L
.1591 .69165 L
.14589 .67454 L
Mistroke
.13404 .65571 L
.12364 .63544 L
.11382 .61164 L
.10587 .5872 L
Mfstroke
.38333 .76667 m
.37469 .76824 L
.36469 .76985 L
.35474 .77124 L
.34462 .77239 L
.33874 .77293 L
.33325 .77336 L
.32739 .77371 L
.32471 .77384 L
.32171 .77396 L
.31875 .77405 L
.31712 .77409 L
.31558 .77412 L
.31483 .77413 L
.31413 .77414 L
.31348 .77415 L
.3128 .77415 L
.31241 .77415 L
.31205 .77416 L
.31169 .77416 L
.31136 .77416 L
.31096 .77416 L
.3106 .77416 L
.3102 .77416 L
.30999 .77416 L
.30977 .77416 L
.30936 .77416 L
.30897 .77415 L
.3081 .77415 L
.30733 .77414 L
.30651 .77413 L
.30508 .7741 L
.30349 .77407 L
.29996 .77396 L
.2966 .77382 L
.2933 .77363 L
.28979 .77339 L
.28341 .77284 L
.27648 .77204 L
.26991 .77111 L
.25558 .76838 L
.23989 .76422 L
.22441 .75876 L
.20929 .75192 L
.19314 .74271 L
.1777 .73171 L
.16313 .71897 L
.14817 .70289 L
.13453 .68484 L
.1211 .66283 L
Mistroke
.10945 .63891 L
.09964 .6135 L
.09086 .58411 L
.08412 .55382 L
.08363 .55117 L
Mfstroke
.38333 .78333 m
.37364 .78495 L
.36241 .78659 L
.35121 .78797 L
.33981 .78908 L
.3337 .78955 L
.32699 .78994 L
.32364 .7901 L
.31995 .79023 L
.31825 .79028 L
.31642 .79032 L
.31486 .79035 L
.31312 .79037 L
.31227 .79038 L
.31181 .79038 L
.31133 .79039 L
.31109 .79039 L
.31086 .79039 L
.31044 .79039 L
.31004 .79039 L
.30961 .79039 L
.30922 .79039 L
.3088 .79039 L
.30835 .79039 L
.30793 .79039 L
.30718 .79038 L
.30637 .79037 L
.30542 .79036 L
.30438 .79035 L
.30249 .79031 L
.30064 .79026 L
.29892 .79021 L
.29542 .79007 L
.2921 .7899 L
.2844 .78935 L
.27668 .78859 L
.26947 .78766 L
.25359 .78485 L
.23782 .78091 L
.22062 .77512 L
.20378 .7677 L
.18578 .75753 L
.16857 .74521 L
.15237 .73074 L
.13581 .71233 L
.12082 .6915 L
.10757 .66856 L
.09498 .64105 L
.08456 .61177 L
.07551 .57792 L
Mistroke
.0718 .5601 L
.06885 .54311 L
.06439 .50819 L
Mfstroke
.38333 .8 m
.37254 .80166 L
.36001 .80333 L
.3475 .8047 L
.33474 .80576 L
.32791 .80617 L
.32399 .80635 L
.32038 .80648 L
.31861 .80654 L
.31673 .80659 L
.31508 .80662 L
.31331 .80665 L
.31231 .80666 L
.31139 .80667 L
.31095 .80667 L
.31046 .80667 L
.31001 .80668 L
.30958 .80668 L
.30932 .80668 L
.30904 .80668 L
.30878 .80668 L
.30853 .80668 L
.30807 .80668 L
.30758 .80668 L
.30732 .80668 L
.30705 .80668 L
.30655 .80667 L
.30596 .80667 L
.30542 .80667 L
.30454 .80666 L
.30357 .80664 L
.30158 .80661 L
.29973 .80657 L
.29799 .80652 L
.29403 .80637 L
.2897 .80615 L
.2815 .80557 L
.27266 .80468 L
.26421 .80355 L
.2562 .80223 L
.23873 .79839 L
.2196 .79251 L
.20079 .78473 L
.18255 .77495 L
.16323 .76171 L
.14501 .74586 L
.12816 .7275 L
.11128 .70439 L
.09641 .67861 L
.08244 .64749 L
Mistroke
.07104 .61411 L
.06219 .57924 L
.05847 .56035 L
.05514 .53967 L
.05241 .51801 L
.05045 .49724 L
.04974 .48762 L
.04912 .47741 L
.04833 .45903 L
Mfstroke
.38333 .81667 m
.37139 .81837 L
.3575 .82006 L
.3436 .82142 L
.33628 .82198 L
.32942 .8224 L
.3258 .82258 L
.32181 .82275 L
.3196 .82282 L
.31754 .82288 L
.31557 .82293 L
.31343 .82297 L
.31238 .82298 L
.31137 .82299 L
.31047 .823 L
.30995 .82301 L
.30948 .82301 L
.309 .82301 L
.30854 .82301 L
.30806 .82301 L
.30754 .82301 L
.30708 .82301 L
.3066 .82301 L
.30618 .82301 L
.30573 .82301 L
.30515 .82301 L
.3046 .823 L
.30357 .823 L
.30246 .82298 L
.30125 .82296 L
.29906 .82292 L
.29701 .82287 L
.29286 .82272 L
.28892 .82254 L
.28454 .82228 L
.27976 .82192 L
.27064 .82104 L
.26081 .81976 L
.24252 .81641 L
.23287 .81407 L
.22239 .81104 L
.20126 .80322 L
.18063 .79301 L
.16079 .78029 L
.14005 .76321 L
.12081 .74295 L
.10339 .7197 L
.08641 .69078 L
.07197 .65895 L
.05904 .6211 L
Mistroke
.0536 .60079 L
.04918 .58121 L
.0422 .54026 L
.03946 .51742 L
.03757 .49637 L
.03678 .48489 L
.0362 .47429 L
.0357 .46259 L
.0355 .45668 L
.03533 .4502 L
.03527 .44737 L
.03522 .44429 L
.03518 .44158 L
.03514 .4387 L
.03512 .43611 L
.0351 .43474 L
.0351 .43326 L
.03509 .4319 L
.03508 .43066 L
.03508 .42947 L
.03508 .42822 L
.03508 .42674 L
.03508 .4254 L
.03508 .42465 L
.03509 .42385 L
.03509 .42238 L
.0351 .42101 L
.03511 .41956 L
.03513 .41696 L
.03517 .41393 L
.03521 .4111 L
.03532 .40466 L
Mfstroke
.38333 .83333 m
.37019 .83507 L
.35487 .83679 L
.34705 .83752 L
.33952 .83812 L
.33157 .83864 L
.32384 .83902 L
.31965 .83917 L
.31743 .83924 L
.31505 .83929 L
.31303 .83933 L
.31195 .83935 L
.31079 .83936 L
.30973 .83937 L
.30875 .83938 L
.30827 .83938 L
.30776 .83938 L
.30727 .83939 L
.30682 .83939 L
.30624 .83939 L
.30595 .83939 L
.30563 .83939 L
.30506 .83939 L
.30453 .83938 L
.3039 .83938 L
.30333 .83938 L
.30204 .83936 L
.30092 .83935 L
.2997 .83933 L
.29747 .83929 L
.2953 .83923 L
.29297 .83916 L
.28876 .83899 L
.2843 .83875 L
.27942 .83842 L
.27044 .83763 L
.26038 .83643 L
.24953 .83474 L
.22938 .8304 L
.21875 .82741 L
.20725 .82357 L
.18413 .81369 L
.1617 .80087 L
.14034 .78497 L
.11829 .76376 L
.09821 .73877 L
.08043 .71035 L
.06361 .67536 L
.04989 .63732 L
.04394 .61649 L
Mistroke
.03828 .59275 L
.03364 .56883 L
.03016 .54651 L
.02724 .52267 L
.02593 .50923 L
.02492 .49677 L
.02416 .48529 L
.02348 .47263 L
.02298 .45985 L
.02278 .45284 L
.02263 .44631 L
.02258 .44322 L
.02253 .43994 L
.02249 .43634 L
.02247 .43473 L
.02246 .43301 L
.02245 .43139 L
.02244 .42992 L
.02244 .4285 L
.02244 .42702 L
.02244 .42538 L
.02244 .42386 L
.02244 .42219 L
.02245 .42126 L
.02245 .42041 L
.02247 .41737 L
.0225 .41458 L
.02253 .41151 L
.02258 .40826 L
.02267 .4028 L
.02281 .39681 L
.02319 .38396 L
.02365 .37225 L
.02504 .34607 L
Mfstroke
.38333 .85 m
.36893 .85178 L
.35213 .85352 L
.34353 .85424 L
.33525 .85482 L
.32704 .85527 L
.32234 .85546 L
.31799 .85561 L
.31573 .85567 L
.31331 .85572 L
.31122 .85575 L
.31003 .85577 L
.30892 .85578 L
.3083 .85578 L
.30763 .85579 L
.30699 .85579 L
.30639 .85579 L
.3058 .85579 L
.30527 .85579 L
.30465 .85579 L
.30407 .85579 L
.30343 .85579 L
.3031 .85579 L
.30275 .85578 L
.30153 .85578 L
.30085 .85577 L
.30011 .85576 L
.29877 .85574 L
.29614 .85569 L
.29369 .85563 L
.28808 .85543 L
.28307 .85518 L
.27767 .85484 L
.26733 .85394 L
.2574 .85276 L
.24618 .85104 L
.23569 .84902 L
.21263 .84303 L
.18986 .83471 L
.16528 .82248 L
.14167 .80683 L
.11714 .7854 L
.09464 .75956 L
.0746 .72959 L
.05562 .69216 L
.04012 .65093 L
.02815 .60701 L
.02318 .58306 L
.01876 .55645 L
.01523 .52869 L
Mistroke
.01392 .51571 L
.01274 .50176 L
.01177 .48764 L
.01107 .47476 L
.0108 .46852 L
.01055 .46176 L
.01036 .45584 L
.0102 .44948 L
.01013 .44593 L
.01007 .44268 L
.01002 .43938 L
.00999 .43633 L
.00995 .43278 L
.00994 .4309 L
.00994 .42995 L
.00993 .42892 L
.00993 .42719 L
.00993 .42558 L
.00992 .42464 L
.00992 .42365 L
.00993 .42189 L
.00993 .42095 L
.00993 .42006 L
.00994 .4184 L
.00995 .41661 L
.00996 .41467 L
.01 .41118 L
.01004 .40796 L
.01016 .40057 L
.01034 .39275 L
.01073 .3797 L
.01129 .36572 L
.01262 .34062 L
.01461 .31184 L
.01687 .2849 L
.01694 .28413 L
Mfstroke
.38333 .86667 m
.36763 .86849 L
.34927 .87024 L
.33986 .87095 L
.3308 .8715 L
.32621 .87172 L
.3218 .8719 L
.31934 .87198 L
.31664 .87206 L
.31436 .87211 L
.31188 .87216 L
.31057 .87218 L
.30937 .87219 L
.30816 .87221 L
.30701 .87221 L
.30636 .87222 L
.306 .87222 L
.30567 .87222 L
.30501 .87222 L
.30441 .87222 L
.30407 .87222 L
.3037 .87222 L
.30305 .87222 L
.30268 .87222 L
.30234 .87222 L
.30156 .87222 L
.30087 .87221 L
.30012 .8722 L
.29875 .87219 L
.29741 .87217 L
.29616 .87215 L
.29332 .87209 L
.29028 .872 L
.28514 .8718 L
.27953 .87151 L
.26917 .87074 L
.26364 .87021 L
.25752 .86952 L
.24495 .86772 L
.233 .86551 L
.21998 .86251 L
.19352 .85421 L
.16749 .84265 L
.14234 .82753 L
.11601 .80641 L
.09169 .78053 L
.06988 .75012 L
.04904 .71161 L
.0319 .66877 L
.02444 .64496 L
Mistroke
.01733 .61762 L
.01149 .58987 L
.00711 .56384 L
.00346 .53591 L
.00183 .52013 L
.00057 .50548 L
Mfstroke
.00057 .50548 m
0 .49734 L
s
0 .34219 m
.00082 .32752 L
.00539 .26953 L
.01038 .21953 L
s
.38333 .88333 m
.36627 .8852 L
.35692 .88608 L
.34629 .88696 L
.33591 .88766 L
.32615 .88816 L
.32082 .88837 L
.31569 .88852 L
.31284 .88858 L
.31019 .88863 L
.3088 .88864 L
.30726 .88866 L
.30648 .88867 L
.30564 .88867 L
.30524 .88867 L
.30485 .88867 L
.30412 .88868 L
.30342 .88868 L
.30303 .88868 L
.30267 .88868 L
.302 .88868 L
.30129 .88867 L
.30065 .88867 L
.30005 .88867 L
.2987 .88866 L
.29722 .88864 L
.29587 .88862 L
.29282 .88856 L
.2902 .8885 L
.28732 .8884 L
.28203 .88819 L
.2764 .88788 L
.27009 .88744 L
.25705 .88619 L
.24473 .88455 L
.23112 .88217 L
.21777 .87922 L
.20344 .87528 L
.17704 .86565 L
.14853 .85113 L
.12122 .83217 L
.09306 .80577 L
.06755 .77361 L
.0453 .7361 L
.02488 .6892 L
.01617 .66335 L
.00898 .63777 L
.00263 .61043 L
s
.00263 .61043 m
0 .59651 L
s
0 .1953 m
.00464 .15269 L
s
.38333 .9 m
.36486 .9019 L
.35472 .9028 L
.34319 .90367 L
.33205 .90434 L
.32695 .90458 L
.32132 .90481 L
.31818 .90491 L
.31526 .90499 L
.3125 .90505 L
.31103 .90507 L
.30944 .9051 L
.30799 .90512 L
.30667 .90513 L
.30603 .90514 L
.30533 .90514 L
.30468 .90514 L
.30406 .90515 L
.3033 .90515 L
.30262 .90515 L
.30188 .90515 L
.30146 .90515 L
.30107 .90515 L
.30042 .90515 L
.29971 .90514 L
.29897 .90514 L
.29827 .90514 L
.29669 .90512 L
.29521 .9051 L
.29185 .90504 L
.28886 .90497 L
.28566 .90487 L
.28007 .90464 L
.27381 .9043 L
.26723 .90384 L
.26111 .90331 L
.24703 .9017 L
.23394 .89969 L
.21928 .89678 L
.20392 .8929 L
.18972 .88848 L
.16051 .8765 L
.13036 .85917 L
.10176 .83672 L
.07262 .80573 L
.04673 .76833 L
.02468 .72521 L
.01389 .69826 L
.00506 .6719 L
s
.00506 .6719 m
0 .65185 L
s
.38333 .91667 m
.3634 .91861 L
.35245 .91951 L
.33997 .92038 L
.3342 .92071 L
.32792 .92102 L
.32192 .92126 L
.31629 .92143 L
.3132 .92151 L
.3099 .92157 L
.30818 .92159 L
.30655 .92161 L
.30564 .92162 L
.30477 .92163 L
.30429 .92163 L
.30376 .92163 L
.30332 .92164 L
.30284 .92164 L
.30238 .92164 L
.30196 .92164 L
.30113 .92164 L
.30037 .92164 L
.29957 .92164 L
.29916 .92164 L
.29871 .92163 L
.29791 .92163 L
.29694 .92162 L
.29607 .92162 L
.2945 .9216 L
.2928 .92157 L
.28968 .92151 L
.28644 .92143 L
.28338 .92133 L
.27633 .92103 L
.26935 .92062 L
.2617 .92003 L
.24733 .91854 L
.23177 .91627 L
.21686 .9134 L
.2027 .90997 L
.17187 .89979 L
.15472 .89227 L
.13846 .88369 L
.10757 .86275 L
.07569 .83299 L
.04696 .79614 L
.02214 .75272 L
.00985 .7252 L
s
.00985 .7252 m
0 .69882 L
s
.4 .08333 m
.39192 .08305 L
.38342 .08271 L
.37571 .08233 L
.36853 .08189 L
.36113 .08134 L
.35423 .08069 L
.34713 .07985 L
.34049 .0789 L
.33428 .07782 L
.32784 .07648 L
.32181 .07498 L
.31613 .07334 L
.31022 .07137 L
.30463 .06922 L
.2988 .06666 L
.29326 .06391 L
.28799 .06098 L
.28244 .05755 L
.27713 .05391 L
.27151 .04966 L
.26609 .04518 L
.26087 .04049 L
.25528 .03506 L
.25012 .02968 L
s
.4 .1 m
.39286 .09977 L
.38533 .09948 L
.37849 .09917 L
.37211 .09882 L
.36553 .09836 L
.35938 .09784 L
.35304 .09717 L
.34711 .09641 L
.34156 .09555 L
.3358 .09448 L
.3304 .0933 L
.32532 .09201 L
.32002 .09045 L
.31503 .08876 L
.30981 .08675 L
.30487 .0846 L
.30018 .08231 L
.29525 .07963 L
.29054 .07679 L
.28557 .07349 L
.2808 .07002 L
.27622 .06639 L
.27134 .06221 L
.26686 .05807 L
s
.4 .11667 m
.39376 .11648 L
.38716 .11626 L
.38115 .11601 L
.37554 .11573 L
.36974 .11537 L
.36432 .11496 L
.35872 .11444 L
.35348 .11384 L
.34856 .11318 L
.34346 .11235 L
.33868 .11144 L
.33417 .11044 L
.32948 .10924 L
.32505 .10794 L
.32043 .10639 L
.31606 .10474 L
.31192 .10299 L
.30757 .10093 L
.30342 .09877 L
.29906 .09626 L
.29489 .09362 L
.2909 .09087 L
.28666 .0877 L
.28279 .08458 L
s
.4 .13333 m
.39461 .1332 L
.38889 .13303 L
.38368 .13284 L
.37881 .13263 L
.37377 .13237 L
.36905 .13206 L
.36416 .13167 L
.35958 .13122 L
.35529 .13072 L
.35083 .1301 L
.34663 .12941 L
.34269 .12866 L
.33858 .12776 L
.3347 .12679 L
.33066 .12564 L
.32683 .1244 L
.32321 .1231 L
.31942 .12157 L
.31581 .11996 L
.31202 .11809 L
.3084 .11614 L
.30495 .1141 L
.3013 .11176 L
.29797 .10946 L
s
.4 .15 m
.39541 .14991 L
.39054 .1498 L
.38609 .14968 L
.38193 .14953 L
.37761 .14935 L
.37356 .14913 L
.36936 .14885 L
.36542 .14854 L
.36172 .14818 L
.35788 .14774 L
.35427 .14725 L
.35086 .14671 L
.34732 .14606 L
.34397 .14537 L
.34049 .14454 L
.33719 .14365 L
.33407 .14271 L
.3308 .14162 L
.3277 .14046 L
.32445 .13913 L
.32135 .13772 L
.3184 .13627 L
.31529 .13459 L
.31247 .13295 L
s
.4 .16667 m
.39617 .16663 L
.3921 .16657 L
.38837 .1665 L
.38488 .16642 L
.38125 .16631 L
.37784 .16618 L
.37431 .16601 L
.37099 .1658 L
.36787 .16557 L
.36462 .16528 L
.36156 .16496 L
.35869 .1646 L
.35569 .16417 L
.35286 .1637 L
.34991 .16314 L
.34712 .16254 L
.34448 .1619 L
.34172 .16116 L
.3391 .16037 L
.33636 .15946 L
.33376 .15851 L
.33128 .15752 L
.32868 .15638 L
.32632 .15526 L
s
.4 .18333 m
.39847 .18334 L
.3977 .18334 L
.39688 .18334 L
.39645 .18334 L
.39605 .18334 L
.39586 .18334 L
.39566 .18334 L
.39556 .18334 L
.39546 .18334 L
.39537 .18334 L
.39529 .18334 L
.39523 .18334 L
.39518 .18334 L
.39508 .18334 L
.39502 .18334 L
.39497 .18334 L
.39491 .18334 L
.39486 .18334 L
.39476 .18334 L
.39471 .18334 L
.39465 .18334 L
.39446 .18334 L
.39435 .18334 L
.39425 .18334 L
.39402 .18334 L
.39356 .18334 L
.39317 .18334 L
.39275 .18334 L
.39199 .18334 L
.39125 .18333 L
.39057 .18333 L
.38916 .18332 L
.38762 .18331 L
.3862 .18329 L
.38468 .18327 L
.38173 .18321 L
.37896 .18313 L
.37636 .18303 L
.37365 .1829 L
.3711 .18275 L
.36844 .18256 L
.36594 .18234 L
.36358 .18209 L
.36113 .18179 L
.3588 .18147 L
.35661 .18112 L
.35432 .1807 L
.35215 .18026 L
.34988 .17974 L
Mistroke
.34773 .1792 L
.34569 .17863 L
.34355 .17797 L
.34152 .17728 L
.33955 .17656 L
Mfstroke
.4 .2 m
.39755 .20006 L
.39494 .20011 L
.39254 .20016 L
.39029 .20019 L
.38905 .20021 L
.38794 .20022 L
.38739 .20022 L
.3868 .20023 L
.38625 .20023 L
.38573 .20023 L
.38548 .20023 L
.3852 .20023 L
.38505 .20023 L
.3849 .20023 L
.38477 .20024 L
.38463 .20024 L
.38455 .20024 L
.38451 .20024 L
.38447 .20024 L
.38441 .20024 L
.38434 .20024 L
.38426 .20024 L
.38422 .20024 L
.38418 .20024 L
.38414 .20024 L
.38411 .20024 L
.38403 .20024 L
.38395 .20024 L
.38389 .20024 L
.38374 .20023 L
.38361 .20023 L
.38347 .20023 L
.3832 .20023 L
.38296 .20023 L
.38241 .20023 L
.38193 .20023 L
.38142 .20022 L
.38037 .20021 L
.3794 .20019 L
.37737 .20015 L
.37628 .20012 L
.37526 .20008 L
.37335 .2 L
.37135 .19989 L
.36947 .19976 L
.36769 .19962 L
.36583 .19944 L
.36408 .19925 L
.36225 .19901 L
Mistroke
.36051 .19875 L
.35887 .19848 L
.35715 .19816 L
.35552 .19782 L
.35382 .19743 L
.3522 .19702 L
.35218 .19701 L
Mfstroke
.4 .21667 m
.39817 .21677 L
.39622 .21688 L
.39443 .21698 L
.39274 .21707 L
.39098 .21716 L
.38933 .21724 L
.38761 .21731 L
.38599 .21738 L
.38446 .21743 L
.38287 .21748 L
.38209 .2175 L
.38137 .21751 L
.38064 .21753 L
.37996 .21754 L
.3796 .21754 L
.37921 .21755 L
.37886 .21755 L
.37854 .21755 L
.37836 .21755 L
.37826 .21755 L
.37816 .21755 L
.37807 .21755 L
.37802 .21755 L
.37797 .21755 L
.37793 .21755 L
.37788 .21755 L
.37784 .21755 L
.3778 .21755 L
.37776 .21755 L
.37772 .21755 L
.37768 .21755 L
.37763 .21755 L
.3776 .21755 L
.37756 .21755 L
.37748 .21755 L
.3774 .21755 L
.37731 .21755 L
.37714 .21755 L
.37695 .21755 L
.37677 .21755 L
.37644 .21755 L
.37609 .21754 L
.37571 .21754 L
.37502 .21753 L
.3743 .21751 L
.37302 .21747 L
.37168 .21742 L
.37041 .21735 L
.36909 .21726 L
Mistroke
.36784 .21716 L
.36666 .21705 L
.36542 .21691 L
.36425 .21676 L
.36422 .21675 L
Mfstroke
.4 .23333 m
.39875 .23348 L
.39741 .23365 L
.39618 .2338 L
.39502 .23394 L
.39382 .23409 L
.39269 .23423 L
.39151 .23438 L
.3904 .23451 L
.38936 .23464 L
.38827 .23477 L
.38725 .23489 L
.38628 .235 L
.38528 .23511 L
.38433 .23521 L
.38335 .23532 L
.38242 .23541 L
.38154 .23549 L
.38063 .23557 L
.37977 .23565 L
.37887 .23572 L
.37803 .23577 L
.37723 .23583 L
.3764 .23587 L
.37566 .23591 L
s
.4 .25 m
.39928 .2502 L
.3985 .25041 L
.3978 .25062 L
.39714 .25081 L
.39645 .25102 L
.3958 .25121 L
.39513 .25142 L
.39451 .25162 L
.39392 .25181 L
.39331 .25201 L
.39274 .25221 L
.3922 .25239 L
.39164 .25258 L
.39112 .25277 L
.39058 .25297 L
.39007 .25315 L
.3896 .25333 L
.38911 .25352 L
.38865 .2537 L
.38817 .25389 L
.38772 .25407 L
.3873 .25424 L
.38687 .25442 L
.38649 .25458 L
s
.4 .26667 m
.39976 .26691 L
.39951 .26718 L
.39928 .26744 L
.39908 .26768 L
.39886 .26794 L
.39867 .26819 L
.39848 .26846 L
.3983 .26871 L
.39814 .26896 L
.39798 .26923 L
.39783 .26948 L
.3977 .26973 L
.39757 .26999 L
.39745 .27024 L
.39733 .27051 L
.39723 .27077 L
.39714 .27102 L
.39705 .27129 L
.39697 .27155 L
.39689 .27183 L
.39683 .27209 L
.39678 .27235 L
.39673 .27262 L
.39669 .27287 L
s
.4 .28333 m
.4002 .28363 L
.40042 .28395 L
.40063 .28425 L
.40084 .28455 L
.40107 .28486 L
.40129 .28516 L
.40153 .28548 L
.40177 .28579 L
.40201 .28609 L
.40227 .28642 L
.40252 .28673 L
.40276 .28702 L
.40303 .28734 L
.40329 .28765 L
.40358 .28798 L
.40386 .2883 L
.40413 .28861 L
.40442 .28893 L
.40471 .28925 L
.40502 .28959 L
.40533 .28991 L
.40563 .29022 L
.40595 .29056 L
.40625 .29086 L
s
.4 .3 m
.40059 .30034 L
.40123 .30072 L
.40184 .30107 L
.40242 .30141 L
.40305 .30177 L
.40365 .30213 L
.4043 .3025 L
.40492 .30286 L
.40552 .30321 L
.40616 .30358 L
.40678 .30394 L
.40738 .30429 L
.40802 .30466 L
.40864 .30501 L
.4093 .30539 L
.40994 .30575 L
.41055 .3061 L
.41121 .30647 L
.41185 .30683 L
.41253 .30721 L
.41319 .30758 L
.41382 .30793 L
.4145 .3083 L
.41512 .30864 L
s
.4 .31667 m
.40093 .31706 L
.40195 .31748 L
.40291 .31788 L
.40383 .31827 L
.40481 .31869 L
.40575 .31909 L
.40676 .31951 L
.40773 .31992 L
.40866 .32032 L
.40965 .32074 L
.41061 .32114 L
.41153 .32153 L
.41252 .32194 L
.41346 .32234 L
.41447 .32275 L
.41545 .32316 L
.41638 .32354 L
.41738 .32395 L
.41835 .32433 L
.41937 .32474 L
.42036 .32514 L
.42131 .32551 L
.42233 .3259 L
.42326 .32626 L
s
.4 .33333 m
.40123 .33377 L
.40257 .33425 L
.40383 .3347 L
.40505 .33514 L
.40634 .3356 L
.40759 .33605 L
.40891 .33652 L
.41019 .33698 L
.41142 .33742 L
.41273 .33788 L
.41399 .33833 L
.4152 .33876 L
.4165 .33921 L
.41774 .33964 L
.41907 .34009 L
.42035 .34053 L
.42158 .34094 L
.4229 .34137 L
.42416 .34179 L
.42551 .34222 L
.42681 .34263 L
.42806 .34302 L
.4294 .34342 L
.43061 .34378 L
s
.4 .35 m
.40148 .35048 L
.4031 .35101 L
.40462 .35152 L
.40608 .352 L
.40764 .35251 L
.40915 .35301 L
.41075 .35353 L
.41229 .35403 L
.41378 .35451 L
.41537 .35502 L
.4169 .35551 L
.41837 .35598 L
.41994 .35647 L
.42145 .35693 L
.42307 .35742 L
.42462 .35788 L
.42612 .35832 L
.42772 .35878 L
.42926 .35922 L
.43091 .35967 L
.43249 .36009 L
.43402 .36049 L
.43565 .3609 L
.43714 .36127 L
s
.4 .36667 m
.40169 .3672 L
.40353 .36778 L
.40526 .36833 L
.40693 .36886 L
.40872 .36942 L
.41044 .36996 L
.41227 .37054 L
.41404 .37108 L
.41574 .37161 L
.41756 .37216 L
.41932 .37269 L
.42102 .37319 L
.42283 .37372 L
.42457 .37422 L
.42643 .37474 L
.42823 .37524 L
.42996 .3757 L
.43182 .37619 L
.4336 .37664 L
.43551 .37711 L
.43735 .37755 L
.43912 .37796 L
.44102 .37838 L
.44275 .37875 L
s
.4 .38333 m
.40184 .38391 L
.40386 .38455 L
.40576 .38514 L
.40759 .38572 L
.40955 .38633 L
.41144 .38692 L
.41346 .38754 L
.41541 .38814 L
.41729 .38871 L
.4193 .3893 L
.42125 .38987 L
.42312 .39041 L
.42513 .39098 L
.42707 .39152 L
.42913 .39208 L
.43113 .3926 L
.43307 .3931 L
.43513 .39361 L
.43713 .39409 L
.43926 .39458 L
.44132 .39504 L
.44331 .39546 L
.44544 .39589 L
.44739 .39626 L
s
.4 .4 m
.40195 .40063 L
.40409 .40131 L
.40611 .40196 L
.40806 .40258 L
.41015 .40324 L
.41216 .40388 L
.41431 .40455 L
.4164 .40519 L
.41841 .40581 L
.42057 .40645 L
.42265 .40706 L
.42467 .40764 L
.42682 .40825 L
.42891 .40883 L
.43114 .40943 L
.4333 .40999 L
.43539 .41051 L
.43763 .41106 L
.43979 .41157 L
.4421 .41208 L
.44435 .41257 L
.44651 .41301 L
.44883 .41346 L
.45097 .41385 L
s
.4 .41667 m
.40202 .41734 L
.40423 .41808 L
.40632 .41877 L
.40833 .41944 L
.4105 .42015 L
.41259 .42084 L
.41483 .42156 L
.417 .42225 L
.41909 .42291 L
.42134 .4236 L
.42352 .42426 L
.42563 .42488 L
.42789 .42554 L
.43007 .42615 L
.43242 .4268 L
.43469 .4274 L
.43689 .42796 L
.43925 .42855 L
.44153 .42909 L
.44398 .42964 L
.44635 .43016 L
.44866 .43063 L
.45112 .43111 L
.45339 .43152 L
s
.4 .43333 m
.40203 .43405 L
.40426 .43484 L
.40637 .43559 L
.40841 .43631 L
.4106 .43707 L
.41272 .4378 L
.41499 .43857 L
.41719 .43931 L
.41932 .44002 L
.42161 .44076 L
.42383 .44147 L
.42598 .44214 L
.42829 .44284 L
.43053 .4435 L
.43293 .44419 L
.43526 .44484 L
.43751 .44545 L
.43994 .44608 L
.44229 .44667 L
.44482 .44727 L
.44727 .44783 L
.44965 .44834 L
.45221 .44886 L
.45457 .44931 L
s
.4 .45 m
.402 .45077 L
.4042 .45161 L
.40628 .4524 L
.40829 .45317 L
.41045 .45398 L
.41255 .45476 L
.41479 .45558 L
.41697 .45637 L
.41909 .45713 L
.42136 .45793 L
.42357 .45868 L
.42571 .4594 L
.428 .46016 L
.43023 .46087 L
.43263 .46162 L
.43496 .46232 L
.43722 .46298 L
.43965 .46367 L
.44201 .46431 L
.44455 .46497 L
.44702 .46558 L
.44942 .46614 L
.452 .46672 L
.45438 .46722 L
s
.4 .46667 m
.40192 .46748 L
.40403 .46838 L
.40603 .46922 L
.40797 .47003 L
.41004 .47089 L
.41206 .47172 L
.41423 .4726 L
.41633 .47344 L
.41838 .47425 L
.42057 .4751 L
.4227 .47591 L
.42477 .47668 L
.427 .4775 L
.42916 .47827 L
.43149 .47907 L
.43375 .47984 L
.43595 .48056 L
.43831 .4813 L
.44062 .48201 L
.44309 .48273 L
.4455 .48341 L
.44785 .48404 L
.45038 .48469 L
.45271 .48526 L
s
.4 .48333 m
.40179 .4842 L
.40376 .48514 L
.40563 .48603 L
.40744 .48689 L
.40938 .48781 L
.41127 .48868 L
.41329 .48962 L
.41526 .49051 L
.41717 .49137 L
.41923 .49228 L
.42122 .49315 L
.42316 .49398 L
.42525 .49485 L
.42728 .49568 L
.42946 .49655 L
.43158 .49738 L
.43365 .49817 L
.43587 .49899 L
.43804 .49976 L
.44037 .50057 L
.44264 .50133 L
.44485 .50204 L
.44724 .50277 L
.44945 .50343 L
s
.4 .5 m
.40162 .50091 L
.40339 .50191 L
.40507 .50285 L
.4067 .50375 L
.40845 .50472 L
.41015 .50565 L
.41197 .50664 L
.41374 .50759 L
.41546 .5085 L
.41731 .50946 L
.4191 .51039 L
.42085 .51128 L
.42272 .51222 L
.42454 .51311 L
.4265 .51406 L
.42841 .51496 L
.43026 .51581 L
.43226 .51671 L
.4342 .51757 L
.43629 .51846 L
.43833 .51931 L
.44032 .52011 L
.44246 .52095 L
.44444 .5217 L
s
.4 .51667 m
.40139 .51762 L
.40292 .51867 L
.40436 .51966 L
.40576 .52062 L
.40726 .52163 L
.40871 .52261 L
.41026 .52365 L
.41177 .52466 L
.41323 .52563 L
.4148 .52665 L
.41632 .52764 L
.41779 .52858 L
.41938 .52959 L
.42092 .53055 L
.42256 .53157 L
.42417 .53254 L
.42573 .53348 L
.4274 .53446 L
.42903 .5354 L
.43077 .53639 L
.43248 .53734 L
.43413 .53824 L
.43591 .53919 L
.43756 .54004 L
s
.4 .53333 m
.40112 .53434 L
.40234 .53544 L
.40349 .53648 L
.4046 .53748 L
.40579 .53855 L
.40693 .53958 L
.40815 .54067 L
.40933 .54173 L
.41047 .54275 L
.41168 .54384 L
.41285 .54488 L
.41398 .54589 L
.41519 .54696 L
.41636 .54799 L
.41761 .54908 L
.41882 .55013 L
.41998 .55114 L
.42123 .55221 L
.42243 .55324 L
.42372 .55433 L
.42497 .55537 L
.42618 .55638 L
.42747 .55744 L
.42866 .5584 L
s
.4 .55 m
.4008 .55105 L
.40166 .5522 L
.40246 .55329 L
.40323 .55434 L
.40404 .55546 L
.40482 .55654 L
.40563 .55769 L
.40641 .5588 L
.40715 .55987 L
.40793 .56101 L
.40868 .56212 L
.40939 .56318 L
.41013 .56431 L
.41084 .5654 L
.41159 .56657 L
.4123 .56769 L
.41297 .56877 L
.41368 .56992 L
.41435 .57103 L
.41505 .57221 L
.41571 .57335 L
.41634 .57445 L
.417 .57562 L
.41759 .57669 L
s
.4 .56667 m
.40043 .56777 L
.40087 .56897 L
.40128 .5701 L
.40165 .5712 L
.40202 .57237 L
.40236 .57349 L
.4027 .5747 L
.403 .57586 L
.40327 .57698 L
.40354 .57818 L
.40377 .57933 L
.40397 .58045 L
.40416 .58164 L
.40431 .58278 L
.40445 .58401 L
.40455 .58519 L
.40459 .58579 L
.40462 .58633 L
.40465 .58692 L
.40466 .58725 L
.40467 .58755 L
.40467 .58784 L
.40468 .58799 L
.40468 .58815 L
.40468 .58822 L
.40468 .58829 L
.40468 .58837 L
.40468 .5884 L
.40468 .58844 L
.40468 .58847 L
.40468 .58851 L
.40468 .58854 L
.40468 .58857 L
.40468 .5886 L
.40468 .58864 L
.40468 .58867 L
.40468 .58871 L
.40468 .58875 L
.40468 .58879 L
.40468 .58886 L
.40468 .58893 L
.40468 .589 L
.40468 .58915 L
.40467 .5893 L
.40467 .58957 L
.40466 .58986 L
.40464 .59044 L
.40461 .59108 L
.40457 .59172 L
Mistroke
.40452 .59233 L
.4044 .59349 L
.40423 .59473 L
.40423 .59475 L
Mfstroke
.4 .58333 m
.4 .58347 L
.4 .5836 L
.40001 .58375 L
.40001 .58389 L
.40001 .58396 L
.40001 .584 L
.40001 .58404 L
.40001 .58407 L
.40001 .58411 L
.40001 .58414 L
.40001 .58418 L
.40001 .58422 L
.40001 .58425 L
.40001 .58429 L
.40001 .58432 L
.40001 .58434 L
.40001 .58436 L
.40001 .5844 L
.40001 .58444 L
.40001 .58448 L
.40001 .58455 L
.40001 .58463 L
.40001 .58479 L
.4 .58494 L
.4 .58508 L
.39999 .5854 L
.39998 .58573 L
.39996 .58637 L
.39992 .58697 L
.39983 .58812 L
.3997 .58934 L
.39954 .59053 L
.39934 .59167 L
.3991 .59288 L
.39882 .59406 L
.39848 .59531 L
.39811 .59652 L
.39771 .59768 L
.39723 .59893 L
.39673 .60013 L
.39614 .6014 L
.39551 .60263 L
.39486 .60382 L
.3941 .60509 L
.39331 .60631 L
.3925 .60748 L
.39157 .60873 L
.39061 .60993 L
.38952 .61121 L
Mistroke
.38844 .61239 L
Mfstroke
.4 .6 m
.39954 .60119 L
.39899 .6025 L
.39841 .60373 L
.39781 .60491 L
.39711 .60618 L
.39638 .60739 L
.39554 .60869 L
.39467 .60994 L
.39376 .61114 L
.39273 .61243 L
.39167 .61366 L
.39058 .61484 L
.38934 .61611 L
.38808 .61732 L
.38665 .6186 L
.38519 .61983 L
.3837 .62101 L
.38202 .62226 L
.38031 .62346 L
.3784 .62471 L
.37645 .62591 L
.37447 .62705 L
.37226 .62824 L
.37013 .62931 L
s
.4 .61667 m
.39902 .61791 L
.39788 .61926 L
.39673 .62054 L
.39556 .62177 L
.39422 .62307 L
.39285 .62433 L
.3913 .62567 L
.38972 .62695 L
.3881 .62818 L
.38628 .62949 L
.38443 .63074 L
.38255 .63193 L
.38044 .63319 L
.3783 .63439 L
.3759 .63565 L
.37346 .63684 L
.37101 .63797 L
.36826 .63914 L
.36548 .64023 L
.36239 .64135 L
.35926 .64239 L
.35611 .64334 L
.35261 .6443 L
.34927 .6451 L
s
.4 .63333 m
.39846 .63462 L
.39667 .63603 L
.39489 .63735 L
.39307 .63862 L
.39103 .63996 L
.38895 .64126 L
.38661 .64262 L
.38423 .64393 L
.38181 .64518 L
.37911 .64649 L
.37636 .64773 L
.37359 .6489 L
.37049 .65012 L
.36735 .65126 L
.36386 .65244 L
.36032 .65352 L
.35677 .6545 L
.35281 .65549 L
.34882 .65636 L
.3444 .6572 L
.33995 .65791 L
.33549 .65847 L
.33316 .65872 L
.33055 .65894 L
.32587 .65923 L
s
.4 .65 m
.39784 .65134 L
.39535 .65279 L
.39288 .65416 L
.39036 .65546 L
.38754 .65685 L
.38467 .65817 L
.38146 .65956 L
.37819 .66087 L
.37489 .66212 L
.37119 .66341 L
.36745 .66461 L
.36368 .66572 L
.35947 .66685 L
.35522 .66787 L
.35049 .66887 L
.34573 .66974 L
.34095 .67047 L
.33564 .67112 L
.33031 .67161 L
.32731 .6718 L
.32591 .67188 L
.32442 .67194 L
.32303 .67199 L
.32229 .67201 L
.32149 .67203 L
.32076 .67204 L
.32008 .67205 L
.31975 .67205 L
.3194 .67205 L
.31923 .67206 L
.31906 .67206 L
.3189 .67206 L
.31875 .67206 L
.31858 .67206 L
.31839 .67206 L
.31821 .67206 L
.31802 .67206 L
.31783 .67206 L
.31766 .67206 L
.31751 .67206 L
.31734 .67206 L
.31695 .67205 L
.31654 .67205 L
.31581 .67204 L
.31512 .67203 L
.31448 .67201 L
.313 .67197 L
.31138 .67191 L
.30983 .67183 L
Mistroke
.30689 .67165 L
.30369 .67138 L
.30069 .67107 L
.30007 .67099 L
Mfstroke
.4 .66667 m
.39718 .66805 L
.39393 .66955 L
.39069 .67096 L
.38742 .6723 L
.38374 .67372 L
.38001 .67506 L
.37583 .67646 L
.37159 .67777 L
.3673 .67898 L
.36251 .68022 L
.35767 .68134 L
.35279 .68234 L
.34735 .6833 L
.34187 .68412 L
.33578 .68483 L
.33264 .68513 L
.32966 .68536 L
.32672 .68553 L
.32507 .68561 L
.32353 .68568 L
.32184 .68573 L
.32094 .68575 L
.31999 .68577 L
.31959 .68577 L
.31916 .68578 L
.31878 .68578 L
.31837 .68578 L
.31813 .68579 L
.3179 .68579 L
.31768 .68579 L
.31756 .68579 L
.31744 .68579 L
.31723 .68579 L
.31711 .68579 L
.317 .68579 L
.3168 .68579 L
.31659 .68579 L
.31638 .68579 L
.31615 .68579 L
.31573 .68578 L
.31533 .68578 L
.31495 .68577 L
.3141 .68576 L
.31319 .68574 L
.31167 .6857 L
.30998 .68564 L
.30652 .68546 L
.30274 .68519 L
.29885 .68481 L
Mistroke
.29509 .68436 L
.28778 .68321 L
.27979 .68155 L
.27213 .67952 L
Mfstroke
.4 .68333 m
.39646 .68476 L
.39239 .68632 L
.38834 .68776 L
.38424 .68914 L
.37963 .69058 L
.37496 .69193 L
.36973 .69332 L
.36442 .6946 L
.35905 .69576 L
.35306 .6969 L
.34699 .69789 L
.3409 .6987 L
.33739 .6991 L
.33411 .69941 L
.3306 .69969 L
.32728 .6999 L
.32383 .70007 L
.32198 .70013 L
.32095 .70016 L
.31999 .70018 L
.31905 .7002 L
.31857 .7002 L
.31805 .70021 L
.31753 .70021 L
.3173 .70021 L
.31705 .70022 L
.31689 .70022 L
.31675 .70022 L
.31662 .70022 L
.31647 .70022 L
.31633 .70022 L
.31621 .70022 L
.31608 .70022 L
.31594 .70022 L
.31569 .70022 L
.31547 .70022 L
.31522 .70022 L
.31495 .70021 L
.31441 .70021 L
.31391 .70021 L
.31295 .70019 L
.31204 .70018 L
.31013 .70013 L
.30809 .70005 L
.30634 .69997 L
.30439 .69986 L
.30043 .69958 L
.29609 .69916 L
.2873 .69799 L
Mistroke
.27859 .69635 L
.26999 .69426 L
.26065 .69138 L
.2515 .68792 L
.24246 .68379 L
Mfstroke
.4 .7 m
.3957 .70148 L
.39074 .70308 L
.38581 .70456 L
.38082 .70597 L
.37521 .70743 L
.36951 .70878 L
.36314 .71014 L
.35666 .71137 L
.35012 .71243 L
.34281 .71342 L
.33542 .7142 L
.33158 .71451 L
.32799 .71475 L
.32406 .71494 L
.32185 .71502 L
.32074 .71505 L
.31973 .71508 L
.31876 .7151 L
.31771 .71511 L
.31713 .71512 L
.3166 .71512 L
.31608 .71513 L
.31582 .71513 L
.31569 .71513 L
.31554 .71513 L
.31527 .71513 L
.31502 .71513 L
.31478 .71513 L
.31455 .71513 L
.31431 .71513 L
.31404 .71513 L
.31376 .71513 L
.31349 .71512 L
.31301 .71512 L
.31257 .71512 L
.31157 .7151 L
.31053 .71508 L
.30942 .71506 L
.3074 .715 L
.30498 .71489 L
.30276 .71478 L
.29837 .71447 L
.29353 .71402 L
.28375 .71273 L
.27404 .71091 L
.26447 .70855 L
.25404 .70528 L
.24385 .70131 L
.23289 .6961 L
Mistroke
.2223 .69001 L
.21216 .68306 L
.21166 .68269 L
Mfstroke
.4 .71667 m
.39489 .71819 L
.38898 .71984 L
.38311 .72136 L
.37715 .72279 L
.37046 .72426 L
.36367 .72559 L
.35605 .72691 L
.34831 .72804 L
.34048 .72896 L
.33638 .72936 L
.33175 .72973 L
.32724 .73002 L
.32292 .73022 L
.32053 .73029 L
.31934 .73032 L
.31822 .73035 L
.31722 .73036 L
.3167 .73037 L
.31613 .73038 L
.31581 .73038 L
.31552 .73038 L
.31524 .73038 L
.31493 .73038 L
.31465 .73039 L
.3144 .73039 L
.31412 .73039 L
.31383 .73039 L
.31354 .73039 L
.31337 .73039 L
.31322 .73039 L
.3129 .73038 L
.31256 .73038 L
.31226 .73038 L
.31195 .73038 L
.31138 .73037 L
.31072 .73037 L
.3101 .73036 L
.30869 .73033 L
.30744 .7303 L
.30629 .73026 L
.30371 .73017 L
.3012 .73004 L
.29887 .7299 L
.29351 .72948 L
.2886 .72897 L
.28309 .72826 L
.27206 .72636 L
.26114 .7238 L
.24925 .72017 L
Mistroke
.23758 .71567 L
.22624 .71028 L
.21414 .70328 L
.20254 .69519 L
.19042 .685 L
.18049 .6751 L
Mfstroke
.4 .73333 m
.39402 .7349 L
.38711 .7366 L
.38024 .73815 L
.37325 .7396 L
.36539 .74107 L
.35741 .74237 L
.34845 .74361 L
.33935 .7446 L
.33502 .74498 L
.33014 .74533 L
.32522 .7456 L
.32247 .74572 L
.31986 .7458 L
.31858 .74583 L
.31717 .74586 L
.31653 .74587 L
.31584 .74588 L
.31519 .74589 L
.31459 .74589 L
.31428 .74589 L
.31395 .74589 L
.31362 .7459 L
.31343 .7459 L
.31326 .7459 L
.31295 .7459 L
.31266 .7459 L
.31232 .7459 L
.31201 .7459 L
.31172 .7459 L
.31142 .74589 L
.31088 .74589 L
.31029 .74589 L
.30965 .74588 L
.30832 .74586 L
.30691 .74583 L
.30438 .74576 L
.30163 .74565 L
.29858 .7455 L
.29301 .74512 L
.28694 .74454 L
.28063 .74377 L
.27457 .74284 L
.26272 .74049 L
.24976 .73703 L
.23701 .73261 L
.22457 .72722 L
.21124 .72008 L
.19843 .71169 L
.185 .70098 L
Mistroke
.17239 .68879 L
.16074 .67521 L
.14985 .66002 L
Mfstroke
.4 .75 m
.39311 .75161 L
.38513 .75335 L
.37718 .75494 L
.3691 .7564 L
.36 .75785 L
.35074 .7591 L
.34034 .76022 L
.33492 .76068 L
.32977 .76104 L
.32465 .76131 L
.32202 .76141 L
.32052 .76146 L
.31908 .7615 L
.3177 .76154 L
.31618 .76156 L
.31551 .76157 L
.31479 .76158 L
.31411 .76159 L
.31349 .76159 L
.3131 .7616 L
.3127 .7616 L
.31249 .7616 L
.31229 .7616 L
.31207 .7616 L
.31184 .7616 L
.31164 .7616 L
.31142 .7616 L
.31121 .7616 L
.31102 .7616 L
.31066 .7616 L
.31027 .7616 L
.30993 .7616 L
.30955 .76159 L
.30888 .76159 L
.30807 .76158 L
.30732 .76157 L
.3059 .76154 L
.30438 .76151 L
.30161 .76142 L
.29828 .76128 L
.29522 .76111 L
.28916 .76066 L
.28247 .75999 L
.27595 .75915 L
.26891 .75803 L
.25593 .75533 L
.24173 .75135 L
.22778 .74625 L
.21274 .73927 L
Mistroke
.1982 .73081 L
.18432 .72089 L
.16983 .70821 L
.15635 .6938 L
.14277 .676 L
.13062 .65637 L
.12069 .63676 L
Mfstroke
.4 .76667 m
.39214 .76833 L
.38304 .77011 L
.37395 .77172 L
.3647 .77319 L
.35427 .77461 L
.34365 .77578 L
.33801 .77629 L
.33171 .77675 L
.32871 .77693 L
.32548 .7771 L
.32241 .77723 L
.31957 .77732 L
.31816 .77736 L
.31662 .77739 L
.31577 .77741 L
.31497 .77742 L
.31417 .77743 L
.3134 .77744 L
.31269 .77744 L
.31231 .77745 L
.31191 .77745 L
.31158 .77745 L
.31121 .77745 L
.31087 .77745 L
.31055 .77745 L
.31016 .77745 L
.30978 .77745 L
.30944 .77745 L
.30908 .77745 L
.30868 .77745 L
.30825 .77744 L
.30748 .77744 L
.3067 .77743 L
.30588 .77742 L
.3044 .77739 L
.3028 .77735 L
.30104 .7773 L
.29786 .77718 L
.29486 .77704 L
.28779 .77656 L
.28123 .77595 L
.27433 .77512 L
.26671 .77397 L
.2513 .77083 L
.23602 .76654 L
.22102 .76102 L
.20483 .7534 L
.18921 .74414 L
.17275 .73195 L
Mistroke
.15728 .71772 L
.14298 .70153 L
.12865 .68152 L
.11596 .65949 L
.10393 .63318 L
.09396 .60516 L
.09391 .60502 L
Mfstroke
.4 .78333 m
.39113 .78504 L
.38083 .78686 L
.37054 .7885 L
.36004 .78996 L
.3482 .79133 L
.33613 .7924 L
.32924 .79285 L
.32602 .79302 L
.32255 .79317 L
.31933 .79327 L
.3176 .79332 L
.31573 .79336 L
.31485 .79338 L
.314 .79339 L
.31318 .7934 L
.31241 .79341 L
.31169 .79341 L
.31132 .79341 L
.31092 .79342 L
.31047 .79342 L
.31006 .79342 L
.30965 .79342 L
.30927 .79342 L
.30882 .79342 L
.3084 .79342 L
.30802 .79342 L
.3076 .79342 L
.30715 .79341 L
.30667 .79341 L
.3058 .7934 L
.30425 .79338 L
.30252 .79335 L
.30066 .7933 L
.29863 .79324 L
.29493 .79309 L
.29135 .7929 L
.28739 .79265 L
.27927 .79194 L
.27155 .79104 L
.26313 .78979 L
.24599 .78628 L
.22896 .7814 L
.21222 .77503 L
.19419 .76614 L
.17684 .75522 L
.16037 .74227 L
.14334 .72558 L
.12772 .7065 L
.11229 .68286 L
Mistroke
.09887 .6568 L
.08755 .62882 L
.07743 .59616 L
.07024 .565 L
Mfstroke
.4 .8 m
.39006 .80175 L
.37851 .80362 L
.36694 .80527 L
.35513 .80672 L
.34825 .80744 L
.34179 .80802 L
.3348 .80855 L
.32817 .80895 L
.32488 .80911 L
.3212 .80925 L
.31746 .80937 L
.31538 .80941 L
.31437 .80943 L
.31343 .80945 L
.31244 .80946 L
.31154 .80947 L
.31053 .80948 L
.30998 .80948 L
.30973 .80948 L
.30946 .80948 L
.309 .80948 L
.30851 .80948 L
.30805 .80948 L
.30763 .80948 L
.30713 .80948 L
.30667 .80948 L
.30614 .80948 L
.30564 .80947 L
.30476 .80946 L
.30383 .80945 L
.30216 .80943 L
.30034 .80939 L
.29833 .80934 L
.29427 .80919 L
.29051 .80902 L
.28633 .80876 L
.28187 .80843 L
.2735 .80762 L
.26555 .80661 L
.24816 .80355 L
.2384 .80126 L
.22904 .79864 L
.21086 .79225 L
.19122 .78313 L
.17226 .77172 L
.15423 .75799 L
.13557 .74007 L
.11848 .71936 L
.10163 .69348 L
Mistroke
.08706 .66477 L
.07487 .6338 L
.06413 .59757 L
.05612 .55995 L
.05272 .53842 L
.05015 .51768 L
.05012 .51738 L
Mfstroke
.4 .81667 m
.38895 .81846 L
.37607 .82037 L
.36316 .82203 L
.34996 .82346 L
.34226 .82414 L
.33503 .82467 L
.33135 .8249 L
.3273 .82511 L
.32344 .82529 L
.31978 .82542 L
.31596 .82552 L
.31391 .82556 L
.31168 .82559 L
.31057 .82561 L
.30994 .82561 L
.30935 .82561 L
.30878 .82562 L
.30826 .82562 L
.30798 .82562 L
.30767 .82562 L
.30737 .82562 L
.30711 .82562 L
.3066 .82562 L
.30612 .82562 L
.3056 .82562 L
.30505 .82561 L
.30446 .82561 L
.3039 .82561 L
.30285 .82559 L
.30089 .82557 L
.29872 .82552 L
.29643 .82546 L
.29426 .82539 L
.29036 .82523 L
.28611 .825 L
.27703 .82432 L
.26723 .82329 L
.25785 .82198 L
.24896 .82044 L
.22955 .81593 L
.20832 .80896 L
.18749 .7997 L
.16734 .78799 L
.14614 .77207 L
.12633 .75298 L
.10822 .73084 L
.09039 .70304 L
.07505 .67216 L
.06109 .6351 L
Mistroke
.05022 .59571 L
.0423 .55497 L
.0392 .53309 L
.03662 .50928 L
.03567 .49798 L
.03481 .48568 L
.0337 .46321 L
Mfstroke
.4 .83333 m
.38778 .83518 L
.37352 .83712 L
.3592 .83879 L
.34453 .84017 L
.33664 .84076 L
.32793 .84127 L
.32357 .84146 L
.32125 .84155 L
.31877 .84163 L
.31659 .84169 L
.31416 .84174 L
.31309 .84176 L
.31194 .84178 L
.31084 .84179 L
.30984 .8418 L
.3087 .84181 L
.30807 .84182 L
.30748 .84182 L
.30693 .84182 L
.30642 .84182 L
.30586 .84182 L
.30527 .84182 L
.30467 .84182 L
.30433 .84182 L
.30402 .84181 L
.30286 .84181 L
.3022 .8418 L
.30149 .84179 L
.30019 .84178 L
.29784 .84173 L
.29532 .84167 L
.29075 .84152 L
.28626 .84131 L
.28136 .84101 L
.27233 .84028 L
.26219 .83915 L
.25127 .83754 L
.23095 .83335 L
.22024 .83045 L
.20862 .82669 L
.18526 .817 L
.16256 .80434 L
.14091 .78858 L
.11853 .76746 L
.09811 .7425 L
.08 .71402 L
.06285 .67887 L
.04882 .64059 L
.04273 .61958 L
Mistroke
.03693 .59562 L
.03217 .57147 L
.02859 .54891 L
.02558 .5248 L
.02423 .5112 L
.02319 .4986 L
.02239 .48698 L
.02169 .47417 L
.02116 .46122 L
.02095 .45414 L
.02079 .44752 L
.02069 .44187 L
.02065 .43869 L
.02062 .43574 L
.0206 .43317 L
.02059 .4317 L
.02058 .43033 L
.02058 .42889 L
.02057 .42756 L
.02057 .42611 L
.02057 .42459 L
.02057 .42327 L
.02058 .42208 L
.02058 .4207 L
.02059 .41941 L
.02061 .4171 L
.02063 .41459 L
.0207 .40891 L
.02078 .40368 L
Mfstroke
.4 .85 m
.38656 .85189 L
.37085 .85386 L
.35505 .85554 L
.33884 .85686 L
.33011 .85739 L
.32513 .85763 L
.32047 .85781 L
.31565 .85795 L
.31307 .858 L
.31175 .85802 L
.31033 .85804 L
.30907 .85806 L
.30792 .85806 L
.30737 .85807 L
.30676 .85807 L
.30619 .85807 L
.30566 .85807 L
.30533 .85807 L
.30498 .85807 L
.30434 .85807 L
.30372 .85807 L
.30314 .85807 L
.30252 .85807 L
.30183 .85806 L
.30044 .85805 L
.29919 .85803 L
.29782 .85801 L
.29532 .85796 L
.29287 .85789 L
.29058 .85782 L
.28535 .8576 L
.27972 .85728 L
.26932 .85645 L
.25934 .85534 L
.24806 .8537 L
.2375 .85176 L
.21427 .84596 L
.1913 .83783 L
.16647 .82581 L
.14259 .81036 L
.11773 .78909 L
.09489 .76336 L
.0745 .73342 L
.05515 .69591 L
.03932 .6545 L
.02705 .61029 L
.02196 .58616 L
.01741 .55932 L
.01376 .5313 L
Mistroke
.01241 .51818 L
.01118 .50409 L
.01017 .48982 L
.00944 .47681 L
.00889 .46366 L
.00868 .45725 L
.00851 .45125 L
.00838 .44474 L
.00832 .44129 L
.00827 .43759 L
.00825 .43573 L
.00823 .43371 L
.00822 .43193 L
.00821 .43004 L
.0082 .42834 L
.0082 .42737 L
.0082 .42646 L
.0082 .42487 L
.0082 .42315 L
.0082 .42152 L
.0082 .42001 L
.00821 .41835 L
.00822 .41657 L
.00825 .41295 L
.00828 .40966 L
.00838 .40329 L
.00849 .3973 L
.00886 .38368 L
.00939 .36932 L
.01068 .34371 L
.0109 .34 L
Mfstroke
.4 .86667 m
.38529 .8686 L
.36807 .8706 L
.35071 .87227 L
.34152 .87298 L
.33288 .87353 L
.32327 .87399 L
.32068 .87408 L
.31785 .87417 L
.31518 .87424 L
.31265 .87429 L
.31029 .87433 L
.30896 .87434 L
.30774 .87435 L
.3071 .87436 L
.30641 .87436 L
.30601 .87437 L
.30565 .87437 L
.30528 .87437 L
.30494 .87437 L
.30427 .87437 L
.30365 .87437 L
.30297 .87437 L
.30263 .87437 L
.30226 .87437 L
.3015 .87436 L
.30079 .87436 L
.29945 .87435 L
.29801 .87433 L
.29642 .8743 L
.29356 .87425 L
.29089 .87417 L
.28557 .87398 L
.28051 .87373 L
.27489 .87337 L
.26874 .87288 L
.25698 .87163 L
.24428 .86981 L
.23213 .86756 L
.22061 .86492 L
.19553 .85728 L
.16828 .8455 L
.14189 .82983 L
.11686 .81002 L
.09128 .78321 L
.06837 .75132 L
.04856 .71489 L
.0305 .67007 L
.01654 .62161 L
.01045 .59329 L
Mistroke
.00569 .56536 L
.00195 .53697 L
Mfstroke
.00195 .53697 m
0 .51702 L
s
0 .31595 m
.00095 .30239 L
.00338 .27318 L
s
.4 .88333 m
.38397 .88531 L
.36516 .88734 L
.3555 .88824 L
.34618 .88899 L
.3363 .88966 L
.32666 .89016 L
.32143 .89037 L
.31864 .89046 L
.31565 .89054 L
.31313 .8906 L
.31178 .89063 L
.31032 .89065 L
.30898 .89067 L
.30775 .89068 L
.30651 .89069 L
.30589 .89069 L
.30532 .8907 L
.30462 .8907 L
.30425 .8907 L
.30386 .8907 L
.3032 .8907 L
.30247 .8907 L
.30182 .8907 L
.30113 .8907 L
.30047 .8907 L
.29987 .89069 L
.29843 .89068 L
.29685 .89066 L
.29535 .89064 L
.29397 .89062 L
.28874 .89048 L
.28607 .89039 L
.28311 .89027 L
.27703 .88996 L
.27137 .88958 L
.25835 .88839 L
.24624 .88685 L
.23266 .88457 L
.21952 .88176 L
.20522 .87796 L
.17624 .86755 L
.14789 .85313 L
.12075 .83434 L
.09271 .80823 L
.06729 .77646 L
.04507 .73945 L
.02457 .69314 L
.00852 .64235 L
.00144 .6124 L
Mistroke
Mfstroke
.00144 .6124 m
0 .60474 L
s
.4 .9 m
.38259 .90202 L
.36214 .90408 L
.35162 .90497 L
.34146 .9057 L
.33134 .90629 L
.32557 .90656 L
.32016 .90676 L
.3142 .90693 L
.31102 .90699 L
.3094 .90702 L
.30761 .90704 L
.30681 .90705 L
.30604 .90705 L
.30534 .90706 L
.3046 .90706 L
.30417 .90706 L
.30379 .90707 L
.30304 .90707 L
.30261 .90707 L
.30216 .90707 L
.30172 .90707 L
.30132 .90707 L
.30061 .90707 L
.29995 .90706 L
.29921 .90706 L
.29843 .90706 L
.29681 .90704 L
.29534 .90702 L
.29235 .90698 L
.28915 .9069 L
.2864 .90682 L
.28334 .90671 L
.27645 .90639 L
.26989 .90597 L
.25642 .90478 L
.24374 .90321 L
.23047 .90104 L
.21563 .89794 L
.20008 .89383 L
.18572 .88916 L
.15622 .87655 L
.12584 .85839 L
.09712 .83496 L
.06799 .80273 L
.04225 .76399 L
.02049 .71948 L
.00992 .69176 L
.00134 .66471 L
s
.00134 .66471 m
0 .65907 L
s
.4 .91667 m
.38117 .91873 L
.359 .92081 L
.34758 .9217 L
.33655 .9224 L
.32555 .92294 L
.31923 .92317 L
.31338 .92332 L
.31033 .92338 L
.30865 .92341 L
.30707 .92343 L
.30571 .92344 L
.30426 .92345 L
.30342 .92346 L
.30263 .92346 L
.30192 .92346 L
.30114 .92346 L
.3007 .92346 L
.30022 .92346 L
.29977 .92346 L
.29935 .92346 L
.29857 .92346 L
.29773 .92345 L
.29683 .92345 L
.29599 .92344 L
.29407 .92342 L
.29239 .92339 L
.29086 .92336 L
.28739 .92328 L
.28415 .92319 L
.28067 .92306 L
.27436 .92276 L
.26747 .92232 L
.25974 .9217 L
.24573 .92019 L
.23021 .91787 L
.21492 .91486 L
.19849 .91073 L
.16808 .90026 L
.1522 .89309 L
.13517 .88389 L
.10167 .86027 L
.07053 .82977 L
.0426 .79244 L
.01621 .74375 L
.00468 .71614 L
s
.00468 .71614 m
0 .70272 L
s
.41667 .08333 m
.40801 .08305 L
.39889 .08275 L
.39063 .08245 L
.38295 .08214 L
.37504 .08174 L
.36767 .08129 L
.3601 .0807 L
.35305 .08002 L
.34646 .07922 L
.33966 .07822 L
.33329 .07709 L
.32733 .07582 L
.32113 .07427 L
.31531 .07257 L
.30925 .0705 L
.30352 .06826 L
.2981 .06584 L
.29242 .06298 L
.28701 .05993 L
.28131 .05635 L
.27586 .05254 L
.27063 .04853 L
.26506 .04387 L
.25996 .03924 L
s
.41667 .1 m
.40898 .09976 L
.40087 .09951 L
.39351 .09927 L
.38665 .09902 L
.37957 .09871 L
.37298 .09836 L
.36619 .0979 L
.35985 .09737 L
.35393 .09676 L
.34781 .096 L
.34208 .09513 L
.33671 .09416 L
.33113 .09297 L
.32589 .09166 L
.32043 .09009 L
.31529 .08837 L
.31042 .08653 L
.30533 .08434 L
.3005 .08202 L
.29543 .07928 L
.29058 .07639 L
.28596 .07334 L
.28105 .0698 L
.27658 .0663 L
s
.41667 .11667 m
.40991 .11648 L
.40276 .11628 L
.39626 .11609 L
.39019 .1159 L
.38393 .11566 L
.37808 .1154 L
.37205 .11506 L
.36641 .11466 L
.36113 .11421 L
.35568 .11364 L
.35056 .113 L
.34577 .11228 L
.34079 .1114 L
.33611 .11043 L
.33125 .10926 L
.32666 .10798 L
.32233 .10661 L
.3178 .10499 L
.31351 .10325 L
.30902 .10122 L
.30474 .09907 L
.30067 .09681 L
.29637 .09419 L
.29247 .09159 L
s
.41667 .13333 m
.41079 .13319 L
.40456 .13304 L
.39889 .13291 L
.39358 .13277 L
.3881 .1326 L
.38297 .13241 L
.37767 .13218 L
.37271 .1319 L
.36806 .13158 L
.36325 .13118 L
.35874 .13073 L
.35451 .13022 L
.35011 .12959 L
.34598 .1289 L
.34169 .12806 L
.33764 .12715 L
.33382 .12617 L
.32983 .125 L
.32606 .12376 L
.32211 .1223 L
.31837 .12075 L
.31481 .11913 L
.31107 .11724 L
.30768 .11538 L
s
.41667 .15 m
.41162 .1499 L
.40627 .14981 L
.40139 .14972 L
.39681 .14963 L
.39208 .14953 L
.38764 .14941 L
.38305 .14927 L
.37875 .14909 L
.37471 .14889 L
.37053 .14863 L
.36661 .14833 L
.36292 .14799 L
.35909 .14758 L
.35549 .14711 L
.35175 .14655 L
.34822 .14593 L
.34489 .14527 L
.34142 .14447 L
.33815 .14362 L
.33472 .14263 L
.33148 .14156 L
.3284 .14045 L
.32517 .13915 L
.32226 .13787 L
s
.41667 .16667 m
.41241 .16661 L
.40789 .16657 L
.40376 .16653 L
.39989 .16649 L
.39587 .16645 L
.39209 .1664 L
.38819 .16633 L
.38452 .16624 L
.38108 .16613 L
.37751 .16599 L
.37415 .16583 L
.371 .16563 L
.36772 .16539 L
.36463 .16511 L
.36143 .16477 L
.3584 .16439 L
.35556 .16398 L
.35259 .16348 L
.34978 .16294 L
.34686 .16231 L
.34409 .16163 L
.34147 .16092 L
.33873 .16009 L
.33625 .15926 L
s
.41667 .18333 m
.41584 .18333 L
.41495 .18333 L
.4145 .18333 L
.41425 .18333 L
.41402 .18333 L
.4138 .18333 L
.41357 .18333 L
.41346 .18333 L
.41335 .18333 L
.41326 .18333 L
.41316 .18333 L
.4131 .18333 L
.41304 .18333 L
.41292 .18333 L
.41282 .18333 L
.41271 .18333 L
.41265 .18333 L
.41258 .18333 L
.41252 .18333 L
.41246 .18333 L
.41235 .18333 L
.41223 .18333 L
.41202 .18333 L
.41182 .18333 L
.41137 .18333 L
.41088 .18333 L
.41043 .18333 L
.40943 .18333 L
.40777 .18333 L
.40598 .18334 L
.40255 .18335 L
.40087 .18336 L
.39932 .18336 L
.39785 .18337 L
.39703 .18337 L
.39664 .18337 L
.39628 .18337 L
.39591 .18337 L
.3957 .18337 L
.39561 .18337 L
.39551 .18337 L
.39542 .18337 L
.39533 .18337 L
.39524 .18337 L
.39516 .18337 L
.39507 .18337 L
.39498 .18337 L
.39488 .18337 L
.39479 .18337 L
Mistroke
.39469 .18337 L
.39459 .18337 L
.39449 .18337 L
.39439 .18337 L
.39421 .18337 L
.39401 .18337 L
.39358 .18337 L
.39317 .18337 L
.39242 .18337 L
.39172 .18336 L
.39096 .18336 L
.39015 .18336 L
.38855 .18335 L
.38705 .18333 L
.38559 .18331 L
.38425 .18329 L
.38145 .18323 L
.37881 .18316 L
.37607 .18305 L
.37348 .18292 L
.3708 .18276 L
.36827 .18257 L
.36588 .18236 L
.3634 .1821 L
.36105 .18181 L
.35861 .18146 L
.3563 .18109 L
.35411 .18069 L
.35183 .18022 L
.34969 .17972 L
Mfstroke
.41667 .2 m
.41386 .20004 L
.41087 .20009 L
.40812 .20015 L
.40554 .20021 L
.40285 .20027 L
.40033 .20033 L
.39771 .20039 L
.39524 .20044 L
.39292 .20049 L
.3905 .20053 L
.38933 .20054 L
.38823 .20056 L
.3872 .20057 L
.38663 .20057 L
.3861 .20057 L
.38553 .20058 L
.38524 .20058 L
.38509 .20058 L
.38492 .20058 L
.38477 .20058 L
.38462 .20058 L
.38449 .20058 L
.38442 .20058 L
.38438 .20058 L
.38434 .20058 L
.38427 .20058 L
.38421 .20058 L
.38415 .20058 L
.38411 .20058 L
.38407 .20058 L
.38401 .20058 L
.38395 .20058 L
.38388 .20058 L
.38382 .20058 L
.38369 .20058 L
.38356 .20058 L
.38328 .20058 L
.38301 .20058 L
.38272 .20058 L
.3822 .20057 L
.38173 .20057 L
.38071 .20056 L
.37962 .20054 L
.37858 .20052 L
.3775 .2005 L
.37558 .20044 L
.37358 .20036 L
.37169 .20026 L
.36973 .20013 L
Mistroke
.36787 .19998 L
.36612 .19982 L
.36429 .19962 L
.36257 .1994 L
Mfstroke
.41667 .21667 m
.41451 .21675 L
.41221 .21686 L
.4101 .21696 L
.40812 .21706 L
.40605 .21717 L
.4041 .21728 L
.40208 .21739 L
.40017 .2175 L
.39838 .21761 L
.39651 .21772 L
.39476 .21782 L
.3931 .21791 L
.39138 .21801 L
.38976 .21809 L
.38807 .21817 L
.38648 .21824 L
.38498 .2183 L
.38342 .21835 L
.38195 .21839 L
.38121 .21841 L
.38041 .21843 L
.37966 .21844 L
.3793 .21844 L
.37897 .21845 L
.37862 .21845 L
.3783 .21845 L
.37812 .21845 L
.37795 .21845 L
.37786 .21845 L
.37777 .21845 L
.37768 .21845 L
.37763 .21845 L
.3776 .21845 L
.37758 .21845 L
.37753 .21845 L
.37749 .21845 L
.37747 .21845 L
.37745 .21845 L
.3774 .21845 L
.37736 .21845 L
.37732 .21845 L
.37727 .21845 L
.37722 .21845 L
.37714 .21845 L
.37707 .21845 L
.3769 .21845 L
.37672 .21845 L
.37655 .21845 L
.37618 .21845 L
Mistroke
.37587 .21844 L
.37557 .21844 L
.37491 .21843 L
Mfstroke
.41667 .23333 m
.41512 .23347 L
.41347 .23362 L
.41196 .23376 L
.41053 .23391 L
.40904 .23407 L
.40764 .23422 L
.40619 .23439 L
.40481 .23455 L
.40352 .2347 L
.40218 .23487 L
.40092 .23503 L
.39973 .23518 L
.39849 .23535 L
.39732 .2355 L
.39611 .23566 L
.39497 .23582 L
.39389 .23597 L
.39277 .23612 L
.39172 .23626 L
.39063 .23641 L
.3896 .23655 L
.38863 .23668 L
.38762 .23681 L
.38672 .23693 L
s
.41667 .25 m
.41568 .25018 L
.41464 .25038 L
.41367 .25057 L
.41277 .25076 L
.41183 .25096 L
.41094 .25116 L
.41002 .25137 L
.40916 .25158 L
.40834 .25178 L
.4075 .25199 L
.40671 .2522 L
.40596 .2524 L
.40519 .25262 L
.40446 .25283 L
.40371 .25305 L
.403 .25327 L
.40234 .25348 L
.40165 .2537 L
.401 .25391 L
.40033 .25414 L
.3997 .25436 L
.39912 .25457 L
.39851 .25479 L
.39796 .255 L
s
.41667 .26667 m
.4162 .26689 L
.41571 .26714 L
.41526 .26738 L
.41484 .26761 L
.4144 .26785 L
.414 .26809 L
.41358 .26835 L
.41319 .2686 L
.41283 .26884 L
.41246 .26909 L
.41211 .26934 L
.41179 .26958 L
.41146 .26984 L
.41116 .27009 L
.41084 .27036 L
.41055 .27062 L
.41028 .27087 L
.41001 .27114 L
.40976 .2714 L
.4095 .27167 L
.40927 .27194 L
.40905 .2722 L
.40883 .27248 L
.40864 .27273 L
s
.41667 .28333 m
.41667 .28334 L
.41667 .28335 L
.41667 .28336 L
.41667 .28337 L
.41667 .28338 L
.41667 .2834 L
.41667 .28341 L
.41667 .28343 L
.41667 .28347 L
.41667 .2835 L
.41667 .28353 L
.41667 .28361 L
.41667 .28368 L
.41668 .28375 L
.41668 .2839 L
.41669 .28404 L
.4167 .28419 L
.41673 .28447 L
.41676 .28475 L
.41681 .28505 L
.41686 .28534 L
.41691 .28561 L
.41698 .28591 L
.41705 .28619 L
.41712 .28647 L
.41721 .28676 L
.4173 .28704 L
.4174 .28734 L
.4175 .28763 L
.41761 .28791 L
.41773 .28821 L
.41786 .2885 L
.41798 .28877 L
.41812 .28907 L
.41826 .28935 L
.41841 .28965 L
.41857 .28994 L
.41872 .29022 L
s
.41667 .3 m
.41709 .30032 L
.41756 .30067 L
.41801 .30099 L
.41844 .3013 L
.41891 .30164 L
.41936 .30195 L
.41984 .30229 L
.42031 .30261 L
.42076 .30292 L
.42125 .30325 L
.42172 .30357 L
.42217 .30387 L
.42266 .30419 L
.42314 .30449 L
.42364 .30482 L
.42413 .30513 L
.42461 .30542 L
.42512 .30574 L
.42561 .30604 L
.42614 .30635 L
.42665 .30666 L
.42715 .30694 L
.42768 .30725 L
.42816 .30753 L
s
.41667 .31667 m
.41747 .31703 L
.41835 .31743 L
.41918 .3178 L
.41998 .31815 L
.42083 .31853 L
.42165 .31888 L
.42253 .31926 L
.42337 .31962 L
.42418 .31996 L
.42505 .32032 L
.42589 .32066 L
.42669 .32099 L
.42755 .32133 L
.42838 .32166 L
.42926 .322 L
.43011 .32233 L
.43093 .32263 L
.43181 .32296 L
.43265 .32326 L
.43354 .32358 L
.43441 .32388 L
.43524 .32416 L
.43612 .32446 L
.43693 .32472 L
s
.41667 .33333 m
.4178 .33375 L
.41904 .33419 L
.42021 .33461 L
.42133 .335 L
.42253 .33542 L
.42368 .33582 L
.42491 .33623 L
.42609 .33663 L
.42723 .337 L
.42845 .33739 L
.42962 .33776 L
.43074 .33811 L
.43194 .33848 L
.4331 .33882 L
.43433 .33918 L
.43552 .33951 L
.43666 .33983 L
.43787 .34016 L
.43904 .34046 L
.44028 .34078 L
.44148 .34107 L
.44263 .34134 L
.44386 .34162 L
.44498 .34186 L
s
.41667 .35 m
.41809 .35046 L
.41964 .35096 L
.4211 .35142 L
.4225 .35185 L
.424 .35231 L
.42545 .35275 L
.42699 .35321 L
.42847 .35364 L
.4299 .35404 L
.43142 .35447 L
.43289 .35486 L
.43431 .35524 L
.43582 .35563 L
.43727 .35599 L
.43882 .35636 L
.44031 .35671 L
.44174 .35703 L
.44327 .35736 L
.44475 .35767 L
.44632 .35797 L
.44783 .35826 L
.44929 .35852 L
.45083 .35877 L
.45225 .359 L
s
.41667 .36667 m
.41833 .36717 L
.42014 .36772 L
.42184 .36823 L
.42349 .36871 L
.42525 .36921 L
.42694 .36969 L
.42874 .37018 L
.43049 .37065 L
.43217 .37109 L
.43396 .37155 L
.43569 .37198 L
.43736 .37238 L
.43914 .37279 L
.44086 .37317 L
.44269 .37356 L
.44446 .37392 L
.44616 .37425 L
.44798 .37459 L
.44973 .37489 L
.4516 .3752 L
.4534 .37548 L
.45513 .37572 L
.45698 .37596 L
.45868 .37617 L
s
.41667 .38333 m
.41852 .38389 L
.42054 .38448 L
.42245 .38504 L
.42429 .38556 L
.42625 .38611 L
.42815 .38663 L
.43018 .38717 L
.43214 .38768 L
.43403 .38815 L
.43605 .38864 L
.438 .3891 L
.43989 .38953 L
.4419 .38997 L
.44385 .39037 L
.44592 .39079 L
.44793 .39116 L
.44987 .39151 L
.45194 .39185 L
.45394 .39217 L
.45607 .39248 L
.45813 .39275 L
.46012 .39299 L
.46224 .39322 L
.46418 .39341 L
s
.41667 .4 m
.41866 .4006 L
.42084 .40125 L
.4229 .40185 L
.42489 .40242 L
.42702 .40301 L
.42908 .40357 L
.43128 .40416 L
.43341 .40471 L
.43547 .40522 L
.43767 .40575 L
.43981 .40625 L
.44187 .4067 L
.44407 .40717 L
.4462 .40761 L
.44848 .40805 L
.45069 .40845 L
.45283 .40881 L
.45511 .40917 L
.45732 .4095 L
.45967 .40982 L
.46196 .4101 L
.46417 .41034 L
.46653 .41057 L
.4687 .41075 L
s
.41667 .41667 m
.41875 .41731 L
.42105 .41801 L
.42321 .41866 L
.42531 .41927 L
.42755 .41992 L
.42972 .42052 L
.43204 .42115 L
.4343 .42175 L
.43648 .4223 L
.43882 .42287 L
.44108 .42341 L
.44327 .4239 L
.44562 .42441 L
.4479 .42488 L
.45033 .42535 L
.4527 .42578 L
.45499 .42617 L
.45744 .42656 L
.45981 .4269 L
.46235 .42724 L
.46482 .42754 L
.46721 .4278 L
.46977 .42804 L
.47212 .42823 L
s
.41667 .43333 m
.4188 .43403 L
.42115 .43478 L
.42337 .43547 L
.42552 .43613 L
.42783 .43683 L
.43007 .43748 L
.43246 .43816 L
.43479 .4388 L
.43704 .4394 L
.43946 .44001 L
.44181 .44059 L
.44409 .44113 L
.44653 .44168 L
.4489 .44218 L
.45144 .4427 L
.45391 .44316 L
.4563 .44359 L
.45887 .44401 L
.46136 .44439 L
.46404 .44477 L
.46664 .44509 L
.46916 .44538 L
.47186 .44564 L
.47436 .44585 L
s
.41667 .45 m
.4188 .45074 L
.42116 .45154 L
.42338 .45229 L
.42554 .453 L
.42786 .45374 L
.43011 .45444 L
.43252 .45517 L
.43487 .45586 L
.43715 .4565 L
.4396 .45717 L
.44197 .4578 L
.44428 .45838 L
.44676 .45898 L
.44917 .45953 L
.45176 .46009 L
.45428 .46061 L
.45672 .46108 L
.45935 .46155 L
.46191 .46198 L
.46466 .46239 L
.46733 .46276 L
.46993 .46309 L
.47272 .4634 L
.4753 .46364 L
s
.41667 .46667 m
.41876 .46746 L
.42106 .46831 L
.42324 .4691 L
.42536 .46986 L
.42764 .47065 L
.42985 .4714 L
.43222 .47219 L
.43454 .47293 L
.43678 .47363 L
.4392 .47435 L
.44155 .47503 L
.44383 .47566 L
.44629 .47632 L
.44868 .47693 L
.45125 .47755 L
.45376 .47812 L
.4562 .47864 L
.45882 .47917 L
.46138 .47966 L
.46413 .48013 L
.46681 .48056 L
.46942 .48094 L
.47224 .48131 L
.47484 .48162 L
s
.41667 .48333 m
.41866 .48417 L
.42086 .48508 L
.42295 .48592 L
.42498 .48673 L
.42716 .48757 L
.42928 .48837 L
.43155 .48922 L
.43377 .49001 L
.43593 .49076 L
.43825 .49155 L
.44052 .49228 L
.44272 .49298 L
.44509 .49369 L
.4474 .49436 L
.44988 .49505 L
.45231 .49569 L
.45467 .49628 L
.45721 .49688 L
.4597 .49743 L
.46237 .49799 L
.46499 .49849 L
.46754 .49895 L
.47029 .4994 L
.47283 .49978 L
s
.41667 .5 m
.41852 .50089 L
.42056 .50184 L
.4225 .50274 L
.42439 .50359 L
.42641 .50449 L
.42838 .50535 L
.4305 .50625 L
.43257 .5071 L
.43458 .50791 L
.43674 .50876 L
.43885 .50956 L
.4409 .51032 L
.44312 .5111 L
.44527 .51184 L
.4476 .51261 L
.44987 .51332 L
.45208 .51399 L
.45446 .51468 L
.45679 .51531 L
.45931 .51596 L
.46176 .51656 L
.46416 .5171 L
.46675 .51765 L
.46916 .51813 L
s
.41667 .51667 m
.41833 .5176 L
.42016 .51861 L
.4219 .51956 L
.42359 .52046 L
.4254 .52142 L
.42717 .52233 L
.42907 .52329 L
.43092 .52421 L
.43271 .52508 L
.43465 .52599 L
.43654 .52686 L
.43837 .52769 L
.44035 .52855 L
.44228 .52936 L
.44435 .53021 L
.44638 .53101 L
.44836 .53177 L
.4505 .53255 L
.45258 .53328 L
.45483 .53404 L
.45703 .53474 L
.45918 .5354 L
.4615 .53607 L
.46366 .53666 L
s
.41667 .53333 m
.41809 .53431 L
.41966 .53538 L
.42114 .53638 L
.42258 .53733 L
.42412 .53835 L
.42562 .53932 L
.42723 .54034 L
.4288 .54132 L
.43032 .54225 L
.43195 .54324 L
.43354 .54418 L
.43509 .54508 L
.43675 .54602 L
.43837 .54692 L
.44011 .54786 L
.44181 .54875 L
.44346 .5496 L
.44524 .55049 L
.44698 .55133 L
.44885 .5522 L
.45068 .55303 L
.45247 .55381 L
.45439 .55462 L
.45618 .55535 L
s
.41667 .55 m
.4178 .55103 L
.41905 .55215 L
.42022 .5532 L
.42136 .55421 L
.42257 .55528 L
.42374 .5563 L
.425 .55739 L
.42621 .55844 L
.42738 .55944 L
.42863 .5605 L
.42985 .56151 L
.43102 .56248 L
.43228 .56351 L
.4335 .56449 L
.43481 .56553 L
.43607 .56653 L
.4373 .56748 L
.43862 .56848 L
.4399 .56943 L
.44127 .57044 L
.4426 .5714 L
.44389 .57231 L
.44528 .57328 L
.44656 .57414 L
s
.41667 .56667 m
.41747 .56774 L
.41834 .56892 L
.41915 .57002 L
.41992 .57108 L
.42074 .57221 L
.42152 .5733 L
.42234 .57445 L
.42313 .57556 L
.42388 .57663 L
.42467 .57776 L
.42543 .57885 L
.42615 .5799 L
.42691 .58101 L
.42764 .58209 L
.4284 .58322 L
.42913 .58432 L
.42982 .58537 L
.43055 .58648 L
.43124 .58756 L
.43197 .5887 L
.43267 .58979 L
.43333 .59084 L
.43402 .59196 L
.43464 .59298 L
s
.41667 .58333 m
.41708 .58446 L
.41752 .58569 L
.41791 .58684 L
.41826 .58796 L
.41862 .58914 L
.41895 .59029 L
.41927 .59151 L
.41956 .59268 L
.41981 .59382 L
.42005 .59503 L
.42026 .59619 L
.42044 .59732 L
.4206 .59851 L
.42073 .59967 L
.42079 .60026 L
.42084 .6009 L
.42088 .60153 L
.42091 .60209 L
.42094 .60269 L
.42095 .60301 L
.42095 .60332 L
.42096 .60347 L
.42096 .60361 L
.42096 .60376 L
.42096 .60384 L
.42096 .60392 L
.42096 .60399 L
.42096 .60403 L
.42096 .60407 L
.42096 .6041 L
.42096 .60414 L
.42096 .60418 L
.42096 .60421 L
.42096 .60425 L
.42096 .60428 L
.42096 .60431 L
.42096 .60434 L
.42096 .60441 L
.42096 .60448 L
.42096 .60463 L
.42096 .60472 L
.42096 .6048 L
.42095 .6051 L
.42094 .60537 L
.42094 .60566 L
.42091 .60625 L
.42088 .60681 L
.42079 .60799 L
.42065 .60925 L
Mistroke
.42048 .61047 L
.42027 .61164 L
.42026 .61172 L
Mfstroke
.41667 .6 m
.41667 .60004 L
.41667 .60007 L
.41667 .60011 L
.41667 .60014 L
.41667 .6002 L
.41667 .60027 L
.41667 .60035 L
.41666 .60043 L
.41666 .60057 L
.41666 .60072 L
.41666 .60086 L
.41665 .60117 L
.41664 .6015 L
.41663 .60179 L
.4166 .60246 L
.41656 .60304 L
.41651 .60367 L
.41638 .60492 L
.41621 .60612 L
.416 .6074 L
.41574 .60864 L
.41546 .60984 L
.41511 .61112 L
.41473 .61236 L
.41431 .61355 L
.41382 .61483 L
.41329 .61606 L
.41267 .61738 L
.41201 .61865 L
.41132 .61989 L
.41053 .6212 L
.4097 .62247 L
.40884 .6237 L
.40785 .62501 L
.40683 .62628 L
.40566 .62763 L
.40446 .62894 L
.40325 .63017 L
s
.41667 .61667 m
.41617 .61789 L
.41557 .61923 L
.41494 .62049 L
.41429 .62171 L
.41353 .62301 L
.41273 .62427 L
.41181 .62562 L
.41086 .62692 L
.40987 .62818 L
.40874 .62953 L
.40758 .63083 L
.40638 .63209 L
.40502 .63343 L
.40363 .63472 L
.40205 .63611 L
.40042 .63744 L
.39877 .63873 L
.3969 .64009 L
.39499 .64141 L
.39285 .64281 L
.39065 .64416 L
.38843 .64544 L
.38592 .6468 L
.38351 .64804 L
s
.41667 .63333 m
.41564 .6346 L
.41443 .636 L
.41321 .63731 L
.41196 .63858 L
.41053 .63994 L
.40907 .64126 L
.40742 .64267 L
.40572 .64403 L
.40398 .64534 L
.40202 .64674 L
.40001 .6481 L
.39797 .6494 L
.39568 .65079 L
.39334 .65212 L
.39072 .65353 L
.38804 .65488 L
.38533 .65618 L
.38229 .65754 L
.37921 .65883 L
.37575 .66018 L
.37225 .66144 L
.36871 .66263 L
.36475 .66385 L
.36096 .66491 L
s
.41667 .65 m
.41506 .65132 L
.41318 .65277 L
.41131 .65413 L
.4094 .65546 L
.40724 .65687 L
.40504 .65824 L
.40256 .65971 L
.40002 .66112 L
.39745 .66248 L
.39455 .66392 L
.3916 .66531 L
.38861 .66663 L
.38525 .66803 L
.38185 .66936 L
.37803 .67075 L
.37416 .67206 L
.37025 .67328 L
.36588 .67454 L
.36146 .67569 L
.35652 .67684 L
.35154 .67786 L
.34651 .67875 L
.34093 .67958 L
.3356 .6802 L
s
.41667 .66667 m
.41443 .66803 L
.41183 .66954 L
.40924 .67096 L
.40661 .67233 L
.40365 .6738 L
.40063 .67522 L
.39723 .67673 L
.39377 .67818 L
.39026 .67957 L
.38631 .68104 L
.38231 .68243 L
.37825 .68374 L
.37371 .68511 L
.36911 .68638 L
.36396 .68767 L
.35875 .68884 L
.35349 .68989 L
.34763 .6909 L
.34172 .69174 L
.33514 .69247 L
.33172 .69277 L
.32851 .693 L
.32532 .69317 L
.32368 .69324 L
.32187 .6933 L
.32095 .69332 L
.32007 .69334 L
.31927 .69335 L
.31841 .69336 L
.31796 .69336 L
.3177 .69337 L
.31746 .69337 L
.31734 .69337 L
.31721 .69337 L
.31698 .69337 L
.31685 .69337 L
.31672 .69337 L
.31659 .69337 L
.31645 .69337 L
.31621 .69337 L
.31608 .69337 L
.31596 .69337 L
.31573 .69337 L
.31549 .69337 L
.31508 .69336 L
.31462 .69336 L
.31372 .69335 L
.31286 .69333 L
.31124 .69329 L
Mistroke
.30948 .69323 L
.30754 .69315 L
Mfstroke
.41667 .68333 m
.41375 .68475 L
.41037 .68631 L
.407 .68778 L
.40358 .6892 L
.39974 .69072 L
.39582 .69218 L
.39142 .69373 L
.38694 .69521 L
.3824 .69661 L
.3773 .69807 L
.37212 .69943 L
.36688 .70069 L
.36102 .70196 L
.35509 .70309 L
.34847 .70418 L
.34177 .70508 L
.33503 .7058 L
.33144 .70609 L
.32752 .70635 L
.32557 .70645 L
.32344 .70654 L
.3214 .70661 L
.3195 .70665 L
.31857 .70667 L
.31806 .70667 L
.31757 .70668 L
.31711 .70668 L
.31687 .70668 L
.31662 .70669 L
.3164 .70669 L
.31617 .70669 L
.31595 .70669 L
.31575 .70669 L
.31551 .70669 L
.31524 .70669 L
.31511 .70669 L
.31496 .70669 L
.3147 .70669 L
.31444 .70669 L
.3142 .70668 L
.31374 .70668 L
.3132 .70667 L
.31269 .70667 L
.31155 .70665 L
.31059 .70663 L
.30955 .7066 L
.30767 .70653 L
.3054 .70643 L
.30331 .70631 L
Mistroke
.29922 .70601 L
.29469 .70558 L
.28557 .70435 L
.27706 .70276 L
Mfstroke
.41667 .7 m
.41302 .70146 L
.4088 .70307 L
.40459 .7046 L
.40032 .70607 L
.39552 .70764 L
.39063 .70913 L
.38513 .71071 L
.37953 .71219 L
.37385 .71358 L
.36748 .715 L
.36101 .71628 L
.35447 .71742 L
.34716 .71851 L
.33977 .71939 L
.33588 .71977 L
.33152 .72013 L
.32726 .7204 L
.3232 .72059 L
.32093 .72066 L
.3198 .72069 L
.31876 .72071 L
.3178 .72073 L
.31679 .72074 L
.31626 .72074 L
.31577 .72075 L
.31548 .72075 L
.31522 .72075 L
.31508 .72075 L
.31492 .72075 L
.31464 .72075 L
.31437 .72075 L
.31412 .72075 L
.31384 .72075 L
.31355 .72075 L
.3133 .72075 L
.31306 .72075 L
.31253 .72074 L
.31193 .72074 L
.31139 .72073 L
.31017 .72071 L
.30899 .72068 L
.30769 .72064 L
.30533 .72056 L
.30311 .72045 L
.30066 .72031 L
.29561 .71992 L
.29086 .71944 L
.28567 .71877 L
.27515 .71698 L
Mistroke
.26473 .71457 L
.25447 .71151 L
.2446 .70788 L
Mfstroke
.41667 .71667 m
.41224 .71818 L
.40711 .71984 L
.40201 .72142 L
.39682 .72293 L
.39098 .72454 L
.38503 .72606 L
.37834 .72765 L
.37152 .72912 L
.3646 .73046 L
.35684 .73179 L
.34896 .73293 L
.341 .73387 L
.33641 .73431 L
.33211 .73466 L
.32755 .73495 L
.32312 .73515 L
.32084 .73523 L
.31958 .73526 L
.31838 .73529 L
.31725 .73531 L
.31666 .73532 L
.31603 .73533 L
.3155 .73533 L
.31521 .73533 L
.31491 .73534 L
.31463 .73534 L
.31438 .73534 L
.31412 .73534 L
.31388 .73534 L
.31359 .73534 L
.31329 .73534 L
.313 .73534 L
.31274 .73534 L
.31245 .73534 L
.31212 .73534 L
.31148 .73533 L
.31083 .73533 L
.31014 .73532 L
.3089 .7353 L
.30764 .73527 L
.30645 .73524 L
.3042 .73516 L
.30168 .73505 L
.29899 .7349 L
.29409 .73454 L
.28881 .73403 L
.28377 .73341 L
.27285 .73164 L
.26087 .72896 L
Mistroke
.24905 .72546 L
.23746 .72113 L
.22498 .71534 L
.21291 .70849 L
.21085 .70717 L
Mfstroke
.41667 .73333 m
.41141 .73489 L
.40532 .73661 L
.39925 .73824 L
.39307 .73979 L
.38611 .74143 L
.37902 .74297 L
.37104 .74455 L
.3629 .74597 L
.35464 .74723 L
.34537 .7484 L
.34057 .74891 L
.33596 .74932 L
.33114 .74968 L
.32646 .74995 L
.32395 .75007 L
.32119 .75017 L
.31996 .75021 L
.31864 .75024 L
.31748 .75027 L
.31625 .75029 L
.31557 .7503 L
.31481 .7503 L
.31447 .75031 L
.31412 .75031 L
.31378 .75031 L
.31347 .75031 L
.31328 .75031 L
.31308 .75031 L
.31287 .75031 L
.31265 .75031 L
.31246 .75031 L
.31225 .75031 L
.31206 .75031 L
.31188 .75031 L
.31154 .75031 L
.31135 .75031 L
.31117 .75031 L
.31081 .75031 L
.31042 .75031 L
.30969 .7503 L
.309 .75029 L
.30771 .75027 L
.3062 .75024 L
.30479 .7502 L
.30204 .75011 L
.29944 .74999 L
.29344 .74961 L
.28741 .74907 L
.2818 .74843 L
Mistroke
.26945 .74649 L
.2572 .74379 L
.24383 .73988 L
.2307 .73494 L
.21657 .72825 L
.20292 .7202 L
.18988 .71082 L
.17668 .69931 L
Mfstroke
.41667 .75 m
.41053 .75161 L
.40341 .75338 L
.39631 .75505 L
.38908 .75664 L
.38092 .75831 L
.3726 .75985 L
.36322 .76139 L
.35366 .76274 L
.34394 .76386 L
.33883 .76434 L
.33304 .7648 L
.3274 .76515 L
.32482 .76527 L
.32198 .76539 L
.32042 .76544 L
.31897 .76548 L
.31745 .76552 L
.31607 .76554 L
.31541 .76555 L
.3147 .76556 L
.31409 .76557 L
.31341 .76557 L
.31306 .76557 L
.31268 .76558 L
.31229 .76558 L
.31192 .76558 L
.31155 .76558 L
.3112 .76558 L
.31088 .76558 L
.31054 .76558 L
.31017 .76558 L
.30983 .76558 L
.30907 .76557 L
.30839 .76556 L
.30768 .76556 L
.30616 .76553 L
.30449 .7655 L
.30286 .76545 L
.30111 .76539 L
.29792 .76526 L
.29466 .76508 L
.29109 .76483 L
.28449 .76425 L
.27786 .76348 L
.2707 .76243 L
.25748 .75986 L
.24299 .75601 L
.22873 .75103 L
.21335 .74415 L
Mistroke
.19845 .73576 L
.18419 .72585 L
.16929 .71314 L
.15542 .69863 L
.14316 .68309 L
Mfstroke
.41667 .76667 m
.4096 .76832 L
.40139 .77015 L
.3932 .77186 L
.38484 .77349 L
.37539 .77517 L
.36575 .77669 L
.35488 .77817 L
.34378 .77939 L
.33251 .78031 L
.32645 .78066 L
.32333 .7808 L
.31985 .78092 L
.31819 .78097 L
.31661 .781 L
.31517 .78103 L
.3136 .78105 L
.3127 .78106 L
.31228 .78106 L
.31189 .78106 L
.31143 .78106 L
.31119 .78107 L
.31094 .78107 L
.31052 .78107 L
.31027 .78107 L
.31005 .78107 L
.30962 .78107 L
.30921 .78106 L
.30884 .78106 L
.30844 .78106 L
.30754 .78105 L
.30671 .78105 L
.30515 .78102 L
.30347 .78099 L
.30039 .78091 L
.2986 .78084 L
.29669 .78076 L
.29326 .78058 L
.28627 .78009 L
.27963 .77945 L
.27209 .7785 L
.26511 .77742 L
.24971 .77424 L
.23446 .76991 L
.21789 .76371 L
.20173 .75592 L
.18616 .7465 L
.16976 .73415 L
.15436 .71978 L
.13868 .70163 L
Mistroke
.12452 .68125 L
.11203 .65892 L
.1114 .65767 L
Mfstroke
.41667 .78333 m
.40862 .78504 L
.39926 .78692 L
.3899 .78867 L
.38034 .79032 L
.36953 .792 L
.35848 .79349 L
.34601 .79487 L
.33947 .79545 L
.33327 .79591 L
.32707 .79627 L
.32384 .79642 L
.32032 .79655 L
.3185 .7966 L
.31676 .79664 L
.31506 .79668 L
.31423 .79669 L
.31347 .7967 L
.31274 .79671 L
.31196 .79672 L
.31153 .79672 L
.31113 .79672 L
.31075 .79672 L
.31034 .79673 L
.30993 .79673 L
.30955 .79673 L
.30909 .79673 L
.30867 .79673 L
.30823 .79673 L
.30776 .79673 L
.30731 .79672 L
.30689 .79672 L
.30601 .79671 L
.3052 .7967 L
.30337 .79668 L
.30175 .79664 L
.30003 .7966 L
.29634 .79647 L
.29226 .79628 L
.28832 .79605 L
.28469 .79578 L
.27642 .79499 L
.26869 .79403 L
.26013 .79268 L
.24284 .78897 L
.22568 .78386 L
.20885 .77724 L
.19075 .76805 L
.17334 .75681 L
.15513 .74197 L
Mistroke
.13817 .72459 L
.1227 .70482 L
.10746 .6804 L
.09428 .65363 L
.08248 .62274 L
Mfstroke
.41667 .8 m
.40758 .80175 L
.39702 .80368 L
.38642 .80548 L
.37559 .80715 L
.36333 .80882 L
.35077 .81024 L
.34408 .81088 L
.33659 .81147 L
.32916 .81194 L
.32554 .81212 L
.3221 .81226 L
.31871 .81238 L
.31695 .81242 L
.31501 .81246 L
.31391 .81248 L
.31289 .8125 L
.31182 .81251 L
.31085 .81252 L
.31039 .81252 L
.3099 .81252 L
.30943 .81253 L
.30899 .81253 L
.30853 .81253 L
.30802 .81253 L
.30777 .81253 L
.30749 .81253 L
.30699 .81253 L
.30651 .81253 L
.30598 .81252 L
.30543 .81252 L
.3049 .81251 L
.30397 .8125 L
.30296 .81249 L
.30064 .81245 L
.29851 .8124 L
.29451 .81226 L
.29025 .81206 L
.28626 .81183 L
.28195 .81151 L
.27405 .81077 L
.26467 .8096 L
.25563 .80816 L
.23789 .80433 L
.21846 .79844 L
.19935 .79064 L
.18081 .78082 L
.16116 .76748 L
.14262 .7515 L
.12369 .7308 L
Mistroke
.10661 .70705 L
.0916 .68058 L
.07752 .64863 L
.06609 .61442 L
.05723 .57862 L
Mfstroke
.41667 .81667 m
.4065 .81847 L
.39466 .82045 L
.38276 .82228 L
.37058 .82396 L
.35677 .8256 L
.34262 .82693 L
.33453 .82752 L
.33072 .82775 L
.32663 .82797 L
.32282 .82813 L
.31856 .82827 L
.31668 .82832 L
.31463 .82837 L
.31269 .8284 L
.3109 .82842 L
.31036 .82843 L
.30985 .82843 L
.30939 .82843 L
.30889 .82844 L
.30836 .82844 L
.30786 .82844 L
.30732 .82844 L
.30702 .82844 L
.30674 .82844 L
.30623 .82844 L
.30575 .82844 L
.30532 .82844 L
.30485 .82844 L
.30379 .82843 L
.30281 .82842 L
.30074 .82839 L
.29956 .82837 L
.29844 .82834 L
.29621 .82828 L
.29374 .8282 L
.28935 .82802 L
.28466 .82775 L
.27614 .8271 L
.2669 .82612 L
.2568 .82471 L
.24629 .82283 L
.23617 .82061 L
.21642 .81493 L
.19492 .80647 L
.17399 .79552 L
.15395 .78197 L
.13306 .76385 L
.11378 .74248 L
.09466 .71527 L
Mistroke
.07804 .68461 L
.0641 .65112 L
.0518 .61154 L
.04674 .59057 L
.04263 .57013 L
.03616 .52619 L
Mfstroke
.41667 .83333 m
.40537 .83518 L
.39218 .83721 L
.37892 .83907 L
.36531 .84076 L
.34987 .84234 L
.3424 .84297 L
.33403 .84355 L
.32935 .84382 L
.32496 .84403 L
.32042 .8442 L
.31817 .84427 L
.31611 .84432 L
.31418 .84437 L
.31205 .8444 L
.31089 .84442 L
.3098 .84443 L
.30875 .84444 L
.30817 .84444 L
.30764 .84444 L
.30704 .84444 L
.30675 .84445 L
.30642 .84445 L
.30583 .84445 L
.30529 .84445 L
.30496 .84444 L
.30465 .84444 L
.30406 .84444 L
.30342 .84444 L
.30273 .84443 L
.30156 .84442 L
.3003 .84441 L
.29804 .84437 L
.29573 .84431 L
.29359 .84425 L
.28873 .84407 L
.28439 .84384 L
.27976 .84355 L
.26984 .8427 L
.2604 .84159 L
.24965 .83997 L
.23968 .83808 L
.21768 .83248 L
.19593 .82471 L
.17246 .81335 L
.14986 .79884 L
.12851 .78109 L
.10668 .75767 L
.08704 .73042 L
.06819 .69625 L
Mistroke
.05252 .65841 L
.04009 .61785 L
.03478 .59553 L
.02998 .57086 L
.02597 .54481 L
.02302 .51966 L
.02187 .50729 L
.02085 .49412 L
.01951 .47033 L
.01936 .46678 L
Mfstroke
.41667 .85 m
.40419 .8519 L
.38959 .85397 L
.37489 .85586 L
.35978 .85754 L
.35094 .85837 L
.34261 .85905 L
.33358 .85965 L
.32498 .86009 L
.32061 .86026 L
.31592 .86039 L
.31345 .86045 L
.31113 .86048 L
.30979 .8605 L
.30856 .86051 L
.30788 .86052 L
.30713 .86052 L
.30679 .86052 L
.30643 .86052 L
.30608 .86053 L
.30577 .86053 L
.30518 .86053 L
.30462 .86053 L
.304 .86053 L
.30335 .86052 L
.30302 .86052 L
.30266 .86052 L
.302 .86052 L
.30077 .86051 L
.29959 .86049 L
.29835 .86048 L
.29609 .86043 L
.29348 .86037 L
.29101 .8603 L
.28532 .86006 L
.28013 .85977 L
.27458 .85938 L
.26448 .85844 L
.25345 .85705 L
.24297 .85535 L
.22003 .8502 L
.20718 .84636 L
.19488 .84196 L
.17111 .83116 L
.14575 .81566 L
.12174 .79621 L
.09953 .77279 L
.07744 .74239 L
.05827 .70768 L
.04076 .66505 L
Mistroke
.03326 .64169 L
.02713 .61892 L
.01727 .57061 L
.01331 .54337 L
.01052 .5181 L
.00842 .49145 L
.00756 .47629 L
.00726 .46954 L
.00698 .46229 L
.00676 .45509 L
.0066 .44853 L
.00654 .44536 L
.00648 .44192 L
.00643 .43869 L
.0064 .43567 L
.00637 .43216 L
.00636 .4303 L
.00635 .42934 L
.00635 .42829 L
.00634 .42726 L
.00634 .4263 L
.00634 .42528 L
.00634 .4242 L
.00634 .42319 L
.00634 .42224 L
.00634 .42046 L
.00635 .41875 L
.00636 .41694 L
.00638 .4137 L
.00642 .41022 L
.00647 .40639 L
.00654 .40189 L
Mfstroke
.41667 .86667 m
.40295 .86861 L
.38688 .87074 L
.37067 .87264 L
.35398 .8743 L
.3442 .87509 L
.335 .87571 L
.3303 .87597 L
.32511 .87621 L
.32017 .8764 L
.31547 .87653 L
.31312 .87658 L
.31056 .87662 L
.3091 .87664 L
.3077 .87666 L
.30709 .87666 L
.30644 .87666 L
.30607 .87667 L
.30573 .87667 L
.30507 .87667 L
.30436 .87667 L
.30401 .87667 L
.30362 .87667 L
.30293 .87667 L
.30228 .87667 L
.30189 .87667 L
.30152 .87667 L
.30082 .87666 L
.29925 .87665 L
.29787 .87663 L
.29659 .87661 L
.29368 .87656 L
.29113 .87649 L
.28835 .8764 L
.28328 .87618 L
.27716 .87584 L
.27147 .87543 L
.26033 .87437 L
.24784 .87273 L
.23574 .87066 L
.22252 .8678 L
.20973 .86439 L
.19565 .85981 L
.16914 .84855 L
.14185 .83259 L
.11593 .81221 L
.09195 .78737 L
.06811 .75479 L
.0475 .71727 L
.02881 .67095 L
Mistroke
.02089 .6455 L
.01446 .62066 L
.00877 .59397 L
.0043 .56796 L
.00034 .53825 L
Mfstroke
.00034 .53825 m
0 .53475 L
s
.41667 .88333 m
.40166 .88533 L
.38406 .88749 L
.36626 .88942 L
.34792 .89103 L
.338 .89172 L
.32701 .89231 L
.32151 .89253 L
.31857 .89263 L
.31543 .89272 L
.31266 .89278 L
.31118 .8928 L
.30959 .89283 L
.30812 .89284 L
.30677 .89286 L
.30612 .89286 L
.3054 .89286 L
.30473 .89287 L
.3041 .89287 L
.30337 .89287 L
.303 .89287 L
.30259 .89287 L
.30187 .89287 L
.30119 .89287 L
.30078 .89287 L
.30039 .89286 L
.29966 .89286 L
.29887 .89285 L
.29801 .89285 L
.29656 .89283 L
.295 .89281 L
.29219 .89275 L
.28948 .89268 L
.28693 .8926 L
.28105 .89235 L
.27504 .89202 L
.26863 .89156 L
.25693 .89043 L
.24413 .88875 L
.23196 .88667 L
.2053 .88029 L
.19035 .87545 L
.17607 .86987 L
.14855 .85605 L
.1194 .83599 L
.09213 .81064 L
.06739 .78004 L
.04346 .74041 L
.02353 .69542 L
.01476 .67011 L
Mistroke
.00637 .64081 L
Mfstroke
.00637 .64081 m
0 .61338 L
s
.41667 .9 m
.40033 .90204 L
.38111 .90425 L
.36166 .90618 L
.34158 .90774 L
.33071 .90837 L
.32446 .90865 L
.31866 .90885 L
.31582 .90893 L
.31278 .909 L
.31017 .90905 L
.30868 .90907 L
.30727 .90909 L
.30648 .9091 L
.30563 .9091 L
.30484 .90911 L
.30413 .90911 L
.30369 .90911 L
.30327 .90911 L
.30284 .90911 L
.30236 .90912 L
.30195 .90912 L
.30151 .90912 L
.30072 .90911 L
.29998 .90911 L
.29919 .90911 L
.29844 .9091 L
.29776 .9091 L
.29608 .90908 L
.29448 .90906 L
.2916 .90901 L
.28839 .90893 L
.28502 .90883 L
.28183 .9087 L
.27607 .90842 L
.26977 .90803 L
.25629 .90684 L
.24937 .90605 L
.24169 .905 L
.22778 .90265 L
.21258 .89935 L
.19785 .89534 L
.18162 .88989 L
.1511 .87623 L
.11979 .85654 L
.09031 .83107 L
.0634 .79979 L
.03724 .75864 L
.01538 .71134 L
.0051 .68253 L
Mistroke
Mfstroke
.0051 .68253 m
0 .66518 L
s
.41667 .91667 m
.39894 .91876 L
.37805 .92101 L
.35686 .92294 L
.34559 .92378 L
.33496 .92443 L
.32933 .92471 L
.3231 .92497 L
.31963 .92509 L
.31639 .92519 L
.3133 .92526 L
.31158 .9253 L
.30994 .92533 L
.30839 .92535 L
.3067 .92537 L
.30515 .92538 L
.30445 .92539 L
.3037 .92539 L
.30293 .9254 L
.3022 .9254 L
.3015 .9254 L
.30084 .9254 L
.30013 .9254 L
.29935 .9254 L
.29853 .92539 L
.29777 .92539 L
.29692 .92539 L
.296 .92538 L
.29431 .92536 L
.29267 .92534 L
.29114 .92531 L
.28765 .92523 L
.28391 .92512 L
.27746 .92486 L
.2704 .92447 L
.26364 .92399 L
.25736 .92344 L
.24349 .92187 L
.22791 .91947 L
.21281 .91641 L
.19633 .91217 L
.18039 .90707 L
.16288 .9002 L
.13016 .88314 L
.09696 .85875 L
.06622 .82753 L
.03877 .7896 L
.01291 .74037 L
s
.01291 .74037 m
0 .7056 L
s
.43333 .08333 m
.42409 .08298 L
.41436 .08264 L
.40554 .08235 L
.39733 .08208 L
.38889 .08177 L
.38105 .08143 L
.37299 .08101 L
.36548 .08052 L
.35849 .07994 L
.35128 .0792 L
.34456 .07835 L
.33827 .07739 L
.33176 .07618 L
.32566 .07483 L
.31933 .07318 L
.31338 .07136 L
.30776 .06937 L
.3019 .067 L
.29635 .06444 L
.29053 .06141 L
.28498 .05817 L
.27969 .05474 L
.27409 .05073 L
.26898 .04672 L
s
.43333 .1 m
.42509 .09969 L
.4164 .0994 L
.4085 .09915 L
.40115 .09893 L
.39357 .09868 L
.38651 .09842 L
.37925 .0981 L
.37247 .09773 L
.36616 .0973 L
.35964 .09675 L
.35355 .09612 L
.34786 .09541 L
.34196 .09452 L
.33643 .09352 L
.3307 .09229 L
.32532 .09093 L
.32024 .08946 L
.31495 .08769 L
.30995 .08578 L
.30472 .08352 L
.29976 .0811 L
.29503 .07854 L
.29005 .07555 L
.28554 .07256 L
s
.43333 .11667 m
.42605 .1164 L
.41835 .11615 L
.41135 .11595 L
.40481 .11577 L
.39807 .11558 L
.39177 .11538 L
.38528 .11515 L
.37922 .11488 L
.37357 .11458 L
.36772 .11419 L
.36226 .11375 L
.35714 .11324 L
.35184 .11261 L
.34687 .11189 L
.34172 .11101 L
.33688 .11004 L
.33233 .10898 L
.32759 .10771 L
.32311 .10633 L
.31844 .10469 L
.31401 .10294 L
.30982 .10109 L
.30541 .09892 L
.30142 .09675 L
s
.43333 .13333 m
.42697 .13311 L
.42022 .13291 L
.41407 .13275 L
.40832 .13261 L
.40238 .13247 L
.39682 .13233 L
.39109 .13217 L
.38572 .13199 L
.38071 .13179 L
.37552 .13154 L
.37066 .13124 L
.36612 .1309 L
.3614 .13048 L
.35698 .13 L
.35239 .1294 L
.34808 .12874 L
.34403 .12802 L
.33981 .12714 L
.33584 .12619 L
.3317 .12506 L
.32778 .12384 L
.32407 .12255 L
.32019 .12104 L
.31669 .11952 L
s
.43333 .15 m
.42783 .14982 L
.422 .14966 L
.41667 .14954 L
.41168 .14944 L
.4065 .14935 L
.40166 .14926 L
.39666 .14917 L
.39197 .14906 L
.38758 .14895 L
.38303 .1488 L
.37877 .14863 L
.37477 .14843 L
.37063 .14817 L
.36674 .14788 L
.3627 .14751 L
.35891 .14709 L
.35535 .14663 L
.35164 .14607 L
.34814 .14546 L
.34451 .14473 L
.34107 .14393 L
.33783 .14309 L
.33444 .14209 L
.33139 .14109 L
s
.43333 .16667 m
.42866 .16653 L
.42369 .16642 L
.41914 .16634 L
.41487 .16627 L
.41044 .16622 L
.40629 .16618 L
.40199 .16614 L
.39795 .1661 L
.39417 .16606 L
.39024 .16599 L
.38656 .16592 L
.38311 .16583 L
.37952 .1657 L
.37615 .16555 L
.37265 .16536 L
.36936 .16514 L
.36627 .16489 L
.36306 .16457 L
.36003 .16423 L
.35688 .1638 L
.35391 .16334 L
.35111 .16284 L
.34818 .16224 L
.34556 .16164 L
s
.43333 .18333 m
.42943 .18324 L
.42744 .18321 L
.42528 .18317 L
.42328 .18315 L
.42148 .18313 L
.41963 .18312 L
.41861 .18311 L
.41767 .1831 L
.41683 .1831 L
.41591 .1831 L
.41499 .1831 L
.41448 .1831 L
.41401 .18309 L
.41357 .18309 L
.41331 .18309 L
.41319 .18309 L
.41308 .18309 L
.41297 .18309 L
.41285 .18309 L
.41275 .18309 L
.41265 .18309 L
.41254 .18309 L
.41243 .18309 L
.41237 .18309 L
.41231 .18309 L
.41219 .18309 L
.41208 .18309 L
.41198 .18309 L
.41175 .18309 L
.41154 .18309 L
.41133 .18309 L
.41096 .18309 L
.41055 .1831 L
.40966 .1831 L
.40885 .1831 L
.40703 .1831 L
.40366 .18311 L
.40049 .18312 L
.39875 .18313 L
.39794 .18313 L
.39719 .18313 L
.39683 .18313 L
.39642 .18313 L
.39623 .18313 L
.39602 .18313 L
.3959 .18313 L
.3958 .18313 L
.3957 .18313 L
.39559 .18313 L
Mistroke
.39549 .18313 L
.3954 .18313 L
.39531 .18313 L
.39522 .18313 L
.39512 .18313 L
.39503 .18313 L
.39493 .18313 L
.39482 .18313 L
.39464 .18313 L
.39448 .18313 L
.3941 .18313 L
.39389 .18313 L
.39371 .18313 L
.39328 .18313 L
.39251 .18313 L
.39182 .18313 L
.39108 .18312 L
.3896 .18312 L
.38822 .1831 L
.38672 .18309 L
.38536 .18307 L
.3825 .18302 L
.3798 .18295 L
.377 .18285 L
.37437 .18273 L
.37163 .18257 L
.36905 .18239 L
.36662 .18219 L
.36408 .18193 L
.36169 .18165 L
.35944 .18135 L
.35922 .18132 L
Mfstroke
.43333 .2 m
.43178 .19998 L
.43017 .19995 L
.42855 .19994 L
.42763 .19993 L
.42723 .19993 L
.42679 .19993 L
.42636 .19993 L
.42596 .19993 L
.42558 .19992 L
.42539 .19992 L
.42518 .19992 L
.42508 .19992 L
.42499 .19992 L
.42491 .19992 L
.42482 .19992 L
.42472 .19992 L
.42463 .19992 L
.42458 .19992 L
.42453 .19992 L
.42443 .19992 L
.42435 .19992 L
.42426 .19992 L
.42418 .19992 L
.4241 .19992 L
.42391 .19992 L
.42373 .19992 L
.42353 .19992 L
.42335 .19992 L
.42293 .19993 L
.42256 .19993 L
.42216 .19993 L
.42075 .19994 L
.42004 .19994 L
.41928 .19995 L
.41792 .19996 L
.4149 .2 L
.41206 .20005 L
.40939 .2001 L
.40661 .20016 L
.40399 .20022 L
.40128 .20028 L
.39872 .20034 L
.39632 .20039 L
.39383 .20044 L
.39148 .20049 L
.38927 .20052 L
.38815 .20053 L
.38697 .20054 L
.3864 .20055 L
Mistroke
.3861 .20055 L
.38578 .20055 L
.38548 .20055 L
.3852 .20055 L
.38507 .20055 L
.38492 .20055 L
.38479 .20055 L
.38467 .20055 L
.38453 .20055 L
.38446 .20055 L
.38439 .20055 L
.38433 .20055 L
.38427 .20055 L
.38421 .20055 L
.38414 .20055 L
.38407 .20055 L
.38404 .20055 L
.384 .20055 L
.38394 .20055 L
.38387 .20055 L
.38373 .20055 L
.38357 .20055 L
.38342 .20055 L
.38328 .20055 L
.38298 .20055 L
.3827 .20055 L
.38243 .20055 L
.38191 .20054 L
.38136 .20054 L
.38038 .20053 L
.37935 .20051 L
.3784 .20049 L
.37641 .20044 L
.37434 .20037 L
.37239 .20027 L
.37238 .20027 L
Mfstroke
.43333 .21667 m
.43303 .21667 L
.43275 .21666 L
.43259 .21666 L
.43245 .21666 L
.43237 .21666 L
.43228 .21666 L
.4322 .21666 L
.43212 .21666 L
.43205 .21666 L
.43197 .21666 L
.43189 .21666 L
.43183 .21666 L
.43175 .21666 L
.43166 .21666 L
.4315 .21666 L
.43134 .21666 L
.43117 .21667 L
.43085 .21667 L
.43051 .21667 L
.43013 .21667 L
.42946 .21667 L
.4288 .21668 L
.42821 .21668 L
.42694 .2167 L
.42577 .21672 L
.42348 .21676 L
.42119 .21682 L
.41879 .2169 L
.41654 .21698 L
.41442 .21707 L
.4122 .21717 L
.41012 .21727 L
.40816 .21737 L
.40612 .21748 L
.4042 .21759 L
.4022 .21771 L
.40032 .21782 L
.39855 .21792 L
.3967 .21803 L
.39497 .21814 L
.39316 .21824 L
.39146 .21833 L
.38986 .21842 L
.3882 .2185 L
.38663 .21857 L
.38515 .21863 L
.38506 .21863 L
s
.43333 .23333 m
.4315 .23338 L
.42953 .23344 L
.42772 .23351 L
.42601 .23359 L
.42423 .23369 L
.42255 .23379 L
.4208 .23391 L
.41915 .23404 L
.41759 .23416 L
.41597 .2343 L
.41445 .23444 L
.41301 .23458 L
.41151 .23473 L
.4101 .23489 L
.40863 .23505 L
.40724 .23521 L
.40594 .23537 L
.40458 .23553 L
.40331 .2357 L
.40198 .23587 L
.40073 .23603 L
.39955 .23619 L
.39833 .23636 L
.39724 .23651 L
s
.43333 .25 m
.43209 .25009 L
.43076 .2502 L
.42954 .25031 L
.42838 .25042 L
.42717 .25055 L
.42603 .25069 L
.42485 .25084 L
.42373 .25099 L
.42268 .25114 L
.42158 .25131 L
.42054 .25147 L
.41957 .25164 L
.41855 .25182 L
.41759 .252 L
.4166 .25219 L
.41566 .25238 L
.41478 .25257 L
.41386 .25277 L
.413 .25297 L
.41211 .25318 L
.41126 .25339 L
.41047 .25359 L
.40965 .25381 L
.40892 .25401 L
s
.43333 .26667 m
.43264 .2668 L
.4319 .26696 L
.43122 .26711 L
.43058 .26725 L
.42991 .26742 L
.42928 .26758 L
.42863 .26776 L
.42801 .26793 L
.42743 .26811 L
.42683 .2683 L
.42627 .26848 L
.42573 .26867 L
.42518 .26886 L
.42467 .26906 L
.42413 .26927 L
.42363 .26947 L
.42316 .26968 L
.42267 .26989 L
.42221 .27011 L
.42174 .27033 L
.4213 .27056 L
.42088 .27077 L
.42046 .27101 L
.42008 .27123 L
s
.43333 .28333 m
.43314 .28351 L
.43294 .28371 L
.43276 .2839 L
.4326 .28409 L
.43243 .28428 L
.43228 .28448 L
.43212 .28468 L
.43198 .28488 L
.43185 .28507 L
.43172 .28528 L
.4316 .28548 L
.4315 .28568 L
.43139 .28589 L
.43129 .28609 L
.4312 .28631 L
.43112 .28652 L
.43104 .28672 L
.43097 .28694 L
.43091 .28715 L
.43085 .28737 L
.4308 .28759 L
.43076 .2878 L
.43072 .28802 L
.4307 .28823 L
s
.43333 .3 m
.4336 .30023 L
.43389 .30047 L
.43417 .3007 L
.43445 .30092 L
.43474 .30115 L
.43503 .30137 L
.43533 .30161 L
.43563 .30183 L
.43592 .30204 L
.43624 .30227 L
.43654 .30248 L
.43683 .30268 L
.43715 .3029 L
.43746 .30311 L
.43779 .30332 L
.43811 .30353 L
.43841 .30372 L
.43875 .30393 L
.43907 .30413 L
.43941 .30434 L
.43975 .30453 L
.44007 .30472 L
.44042 .30492 L
.44074 .30509 L
s
.43333 .31667 m
.43401 .31694 L
.43475 .31723 L
.43545 .3175 L
.43612 .31776 L
.43683 .31802 L
.43752 .31827 L
.43825 .31853 L
.43896 .31878 L
.43964 .31901 L
.44036 .31925 L
.44106 .31948 L
.44173 .31969 L
.44245 .31991 L
.44313 .32012 L
.44387 .32033 L
.44457 .32053 L
.44525 .32072 L
.44596 .32091 L
.44666 .32108 L
.44739 .32126 L
.4481 .32143 L
.44878 .32159 L
.4495 .32174 L
.45016 .32188 L
s
.43333 .33333 m
.43437 .33365 L
.43551 .33399 L
.43658 .3343 L
.43761 .33459 L
.4387 .33489 L
.43975 .33518 L
.44087 .33547 L
.44195 .33574 L
.44299 .33599 L
.44409 .33625 L
.44515 .33649 L
.44617 .33671 L
.44726 .33693 L
.4483 .33714 L
.44941 .33735 L
.45048 .33754 L
.4515 .33771 L
.45259 .33788 L
.45364 .33804 L
.45475 .33819 L
.45581 .33833 L
.45684 .33845 L
.45792 .33856 L
.45891 .33865 L
s
.43333 .35 m
.43469 .35036 L
.43618 .35075 L
.43757 .3511 L
.43891 .35143 L
.44034 .35177 L
.44172 .35209 L
.44319 .35241 L
.4446 .35271 L
.44596 .35298 L
.44741 .35326 L
.4488 .35351 L
.45014 .35374 L
.45157 .35397 L
.45294 .35418 L
.4544 .35439 L
.45581 .35457 L
.45716 .35473 L
.45859 .35489 L
.45997 .35502 L
.46144 .35515 L
.46285 .35525 L
.4642 .35533 L
.46564 .3554 L
.46695 .35545 L
s
.43333 .36667 m
.43496 .36708 L
.43674 .36751 L
.43842 .36791 L
.44004 .36828 L
.44176 .36865 L
.44342 .369 L
.44519 .36936 L
.4469 .36968 L
.44854 .36998 L
.4503 .37028 L
.45199 .37055 L
.45361 .3708 L
.45535 .37104 L
.45702 .37125 L
.4588 .37146 L
.46052 .37164 L
.46217 .37179 L
.46392 .37193 L
.46562 .37205 L
.46741 .37215 L
.46832 .37219 L
.46915 .37222 L
.47001 .37225 L
.47081 .37227 L
.47163 .37229 L
.47206 .3723 L
.47252 .3723 L
.47293 .37231 L
.47317 .37231 L
.47328 .37231 L
.47338 .37231 L
.47347 .37231 L
.47357 .37231 L
.47362 .37231 L
.47368 .37231 L
.47373 .37231 L
.47378 .37231 L
.47383 .37231 L
.47388 .37231 L
.47391 .37231 L
.47394 .37231 L
.474 .37231 L
.47405 .37231 L
.4741 .37231 L
.4742 .37231 L
s
.43333 .38333 m
.43519 .38379 L
.43722 .38427 L
.43913 .38471 L
.44097 .38512 L
.44294 .38554 L
.44484 .38593 L
.44687 .38632 L
.44883 .38667 L
.45072 .387 L
.45274 .38732 L
.45469 .38762 L
.45657 .38788 L
.45858 .38813 L
.46052 .38836 L
.46258 .38857 L
.46457 .38875 L
.4665 .3889 L
.46854 .38904 L
.47052 .38914 L
.47153 .38919 L
.47263 .38922 L
.47359 .38925 L
.47414 .38927 L
.47466 .38928 L
.47518 .38929 L
.47567 .38929 L
.47618 .3893 L
.47647 .3893 L
.47661 .3893 L
.47674 .3893 L
.47686 .3893 L
.47697 .3893 L
.47709 .3893 L
.47716 .3893 L
.47723 .3893 L
.47729 .3893 L
.47736 .3893 L
.47742 .3893 L
.47748 .3893 L
.47754 .3893 L
.47758 .3893 L
.47762 .3893 L
.47768 .3893 L
.47775 .3893 L
.47786 .3893 L
.47798 .3893 L
.47819 .3893 L
.47845 .3893 L
.47868 .3893 L
Mistroke
.47916 .38929 L
.4796 .38929 L
.4806 .38927 L
Mfstroke
.43333 .4 m
.43536 .4005 L
.43759 .40104 L
.43969 .40152 L
.44172 .40197 L
.44389 .40243 L
.44598 .40286 L
.44823 .40328 L
.4504 .40368 L
.45249 .40403 L
.45473 .40439 L
.4569 .4047 L
.45899 .40499 L
.46123 .40526 L
.4634 .4055 L
.46571 .40573 L
.46794 .40592 L
.4701 .40608 L
.47241 .40621 L
.47464 .40631 L
.47586 .40636 L
.47702 .40639 L
.47757 .4064 L
.47817 .40641 L
.47872 .40642 L
.47923 .40643 L
.47977 .40643 L
.48007 .40644 L
.48021 .40644 L
.48036 .40644 L
.48048 .40644 L
.48062 .40644 L
.48068 .40644 L
.48074 .40644 L
.48081 .40644 L
.48086 .40644 L
.48093 .40644 L
.481 .40644 L
.48107 .40644 L
.48115 .40644 L
.48122 .40644 L
.48129 .40644 L
.48135 .40644 L
.48141 .40644 L
.48155 .40644 L
.48169 .40644 L
.48196 .40644 L
.48227 .40643 L
.48256 .40643 L
.48318 .40642 L
Mistroke
.48377 .40642 L
.48492 .40639 L
.48599 .40636 L
.48607 .40636 L
Mfstroke
.43333 .41667 m
.43549 .41722 L
.43786 .4178 L
.4401 .41833 L
.44227 .41882 L
.44459 .41933 L
.44684 .41979 L
.44925 .42026 L
.45158 .42069 L
.45384 .42108 L
.45625 .42147 L
.45859 .42182 L
.46086 .42213 L
.46329 .42243 L
.46564 .4227 L
.46815 .42295 L
.47059 .42315 L
.47294 .42332 L
.47547 .42347 L
.47791 .42358 L
.47925 .42362 L
.48052 .42366 L
.48114 .42367 L
.48179 .42368 L
.4824 .42369 L
.48296 .4237 L
.48327 .4237 L
.48356 .4237 L
.48387 .4237 L
.48404 .4237 L
.48412 .4237 L
.4842 .4237 L
.48427 .4237 L
.48434 .4237 L
.4844 .4237 L
.48447 .4237 L
.48454 .4237 L
.48461 .4237 L
.48469 .4237 L
.48477 .4237 L
.48484 .4237 L
.48493 .4237 L
.48501 .4237 L
.48508 .4237 L
.48537 .4237 L
.48552 .4237 L
.48566 .4237 L
.48598 .4237 L
.48656 .42369 L
.48724 .42368 L
Mistroke
.48788 .42367 L
.48915 .42365 L
.49033 .42361 L
.49052 .42361 L
Mfstroke
.43333 .43333 m
.43558 .43393 L
.43804 .43457 L
.44037 .43514 L
.44263 .43568 L
.44505 .43623 L
.4474 .43674 L
.44992 .43725 L
.45237 .43773 L
.45474 .43816 L
.45728 .43858 L
.45975 .43897 L
.46214 .43931 L
.46471 .43965 L
.4672 .43994 L
.46987 .44022 L
.47246 .44046 L
.47497 .44065 L
.47767 .44082 L
.48028 .44095 L
.48162 .441 L
.48308 .44104 L
.48377 .44106 L
.48449 .44107 L
.48518 .44109 L
.4858 .4411 L
.48645 .4411 L
.4868 .44111 L
.48714 .44111 L
.48729 .44111 L
.48745 .44111 L
.48759 .44111 L
.48774 .44111 L
.48782 .44111 L
.4879 .44111 L
.48797 .44111 L
.48805 .44111 L
.48814 .44111 L
.48822 .44111 L
.4883 .44111 L
.48835 .44111 L
.4884 .44111 L
.48848 .44111 L
.48855 .44111 L
.48873 .44111 L
.4889 .44111 L
.48908 .44111 L
.48941 .44111 L
.48971 .4411 L
.49045 .4411 L
Mistroke
.49115 .44109 L
.49252 .44106 L
.4938 .44103 L
.49386 .44103 L
Mfstroke
.43333 .45 m
.43561 .45065 L
.43811 .45133 L
.44049 .45196 L
.44279 .45254 L
.44527 .45314 L
.44767 .45369 L
.45025 .45426 L
.45276 .45477 L
.45519 .45525 L
.45781 .45572 L
.46035 .45615 L
.46282 .45654 L
.46548 .45691 L
.46806 .45725 L
.47083 .45756 L
.47352 .45784 L
.47614 .45806 L
.47895 .45827 L
.48168 .45843 L
.48309 .45849 L
.48462 .45855 L
.48598 .4586 L
.48747 .45864 L
.48816 .45865 L
.48891 .45866 L
.48932 .45867 L
.48969 .45867 L
.49005 .45867 L
.49043 .45868 L
.49077 .45868 L
.49096 .45868 L
.49114 .45868 L
.49123 .45868 L
.49131 .45868 L
.49139 .45868 L
.49146 .45868 L
.49155 .45868 L
.49163 .45868 L
.49172 .45868 L
.49181 .45868 L
.4919 .45868 L
.49195 .45868 L
.492 .45868 L
.4921 .45868 L
.49218 .45868 L
.49238 .45868 L
.49259 .45868 L
.49297 .45868 L
.49332 .45868 L
Mistroke
.49398 .45867 L
.49459 .45866 L
.49598 .45864 L
Mfstroke
.43333 .46667 m
.4356 .46736 L
.43809 .4681 L
.44046 .46877 L
.44276 .4694 L
.44523 .47005 L
.44763 .47065 L
.45022 .47127 L
.45273 .47184 L
.45518 .47236 L
.45782 .47289 L
.46038 .47336 L
.46287 .4738 L
.46556 .47423 L
.46817 .47461 L
.47098 .47497 L
.47372 .47529 L
.47639 .47557 L
.47926 .47582 L
.48205 .47603 L
.48506 .4762 L
.48658 .47627 L
.48799 .47633 L
.48946 .47638 L
.49085 .47641 L
.49225 .47644 L
.493 .47645 L
.49342 .47645 L
.49381 .47645 L
.49416 .47646 L
.49434 .47646 L
.49453 .47646 L
.49472 .47646 L
.49481 .47646 L
.4949 .47646 L
.49501 .47646 L
.49507 .47646 L
.49512 .47646 L
.49522 .47646 L
.49527 .47646 L
.49532 .47646 L
.49541 .47646 L
.4955 .47646 L
.49558 .47646 L
.49567 .47646 L
.49577 .47646 L
.49587 .47646 L
.49606 .47646 L
.49643 .47646 L
.49676 .47645 L
Mistroke
Mfstroke
.43333 .48333 m
.43554 .48407 L
.43797 .48486 L
.44027 .48559 L
.44252 .48627 L
.44493 .48697 L
.44729 .48762 L
.44982 .4883 L
.45229 .48892 L
.45469 .48949 L
.45728 .49008 L
.45981 .49061 L
.46227 .4911 L
.46492 .49159 L
.46751 .49203 L
.47029 .49246 L
.47301 .49284 L
.47566 .49317 L
.47852 .49349 L
.48131 .49375 L
.48432 .49399 L
.48726 .49418 L
.49013 .49433 L
.49163 .49438 L
.49322 .49443 L
.4947 .49447 L
.49609 .49449 L
s
.43333 .5 m
.43543 .50079 L
.43774 .50163 L
.43994 .50241 L
.44207 .50314 L
.44438 .50389 L
.44663 .5046 L
.44905 .50534 L
.45141 .50602 L
.45371 .50665 L
.45619 .5073 L
.45862 .5079 L
.46098 .50845 L
.46353 .509 L
.46603 .50951 L
.46871 .51001 L
.47134 .51047 L
.47391 .51087 L
.47668 .51126 L
.47939 .51161 L
.48232 .51193 L
.48518 .5122 L
.48798 .51243 L
.49101 .51262 L
.49382 .51276 L
s
.43333 .51667 m
.43527 .5175 L
.43741 .5184 L
.43944 .51923 L
.44143 .52001 L
.44356 .52082 L
.44564 .52159 L
.44789 .52239 L
.45008 .52313 L
.45222 .52383 L
.45453 .52455 L
.45679 .52521 L
.45899 .52583 L
.46136 .52647 L
.46369 .52705 L
.4662 .52764 L
.46866 .52818 L
.47106 .52867 L
.47366 .52916 L
.4762 .52959 L
.47895 .53002 L
.48165 .5304 L
.48429 .53072 L
.48715 .53103 L
.4898 .53127 L
s
.43333 .53333 m
.43507 .53422 L
.43698 .53517 L
.4388 .53605 L
.44057 .53689 L
.44247 .53776 L
.44433 .53859 L
.44634 .53945 L
.4483 .54026 L
.45021 .54103 L
.45227 .54182 L
.45429 .54257 L
.45625 .54326 L
.45838 .54398 L
.46046 .54465 L
.4627 .54534 L
.4649 .54598 L
.46705 .54656 L
.46938 .54716 L
.47166 .54771 L
.47413 .54826 L
.47655 .54876 L
.47893 .54921 L
.4815 .54965 L
.48389 .55002 L
s
.43333 .55 m
.43481 .55093 L
.43644 .55194 L
.43799 .55288 L
.43949 .55377 L
.44111 .5547 L
.44269 .55559 L
.44439 .55652 L
.44605 .55741 L
.44766 .55825 L
.4494 .55912 L
.4511 .55995 L
.45275 .56073 L
.45454 .56154 L
.45629 .56231 L
.45817 .56311 L
.46002 .56385 L
.46182 .56455 L
.46377 .56527 L
.46568 .56595 L
.46774 .56664 L
.46977 .56728 L
.47175 .56787 L
.4739 .56847 L
.47591 .569 L
s
.43333 .56667 m
.43451 .56765 L
.4358 .56871 L
.43703 .5697 L
.43821 .57065 L
.43948 .57165 L
.44071 .5726 L
.44203 .57361 L
.44331 .57457 L
.44456 .57548 L
.44589 .57644 L
.44719 .57736 L
.44845 .57823 L
.44981 .57915 L
.45113 .58002 L
.45255 .58093 L
.45394 .58179 L
.45528 .58262 L
.45674 .58347 L
.45816 .58429 L
.45968 .58514 L
.46118 .58594 L
.46263 .58669 L
.46421 .58748 L
.46567 .58818 L
s
.43333 .58333 m
.43416 .58436 L
.43506 .58548 L
.4359 .58653 L
.43671 .58754 L
.43756 .5886 L
.43838 .58962 L
.43925 .5907 L
.44008 .59174 L
.44088 .59273 L
.44173 .59379 L
.44255 .59479 L
.44333 .59576 L
.44415 .59678 L
.44495 .59776 L
.44579 .5988 L
.4466 .59979 L
.44738 .60074 L
.4482 .60175 L
.449 .60271 L
.44984 .60373 L
.45064 .6047 L
.45142 .60563 L
.45224 .60662 L
.45299 .60751 L
s
.43333 .6 m
.43376 .60108 L
.43421 .60226 L
.43461 .60336 L
.43498 .60442 L
.43536 .60556 L
.4357 .60665 L
.43604 .6078 L
.43635 .60892 L
.43662 .61 L
.4369 .61114 L
.43713 .61225 L
.43734 .61331 L
.43753 .61444 L
.43769 .61553 L
.43784 .6167 L
.43795 .61782 L
.43803 .6189 L
.43806 .61946 L
.43808 .62006 L
.43809 .62035 L
.43809 .6205 L
.4381 .62066 L
.4381 .62081 L
.4381 .62088 L
.4381 .62096 L
.4381 .62104 L
.4381 .62111 L
.4381 .62114 L
.4381 .62117 L
.4381 .62121 L
.4381 .62124 L
.4381 .62127 L
.4381 .62131 L
.4381 .62134 L
.4381 .62138 L
.4381 .62141 L
.4381 .62145 L
.4381 .62148 L
.4381 .62151 L
.4381 .62158 L
.4381 .62166 L
.4381 .6218 L
.4381 .62196 L
.43809 .62212 L
.43809 .6224 L
.43808 .62267 L
.43807 .62296 L
.43804 .62349 L
.438 .6241 L
Mistroke
.43796 .62468 L
.43784 .62578 L
.43769 .62688 L
Mfstroke
.43333 .61667 m
.43333 .61673 L
.43333 .6168 L
.43333 .61693 L
.43333 .61708 L
.43333 .61722 L
.43332 .61751 L
.43331 .61779 L
.43329 .61839 L
.43325 .61903 L
.43321 .61961 L
.43316 .62023 L
.43303 .62135 L
.43286 .62254 L
.43265 .62369 L
.43239 .62492 L
.43209 .62612 L
.43176 .62727 L
.43137 .6285 L
.43093 .62969 L
.43042 .63097 L
.42986 .6322 L
.42927 .6334 L
.42859 .63468 L
.42786 .63592 L
.42711 .63712 L
.42624 .63841 L
.42533 .63966 L
.42428 .64099 L
.4232 .64229 L
.42208 .64355 L
.42081 .6449 L
.41958 .64612 L
s
.43333 .63333 m
.43282 .63451 L
.43219 .6358 L
.43154 .63702 L
.43086 .63821 L
.43007 .63948 L
.42925 .64071 L
.4283 .64202 L
.42731 .6433 L
.42629 .64454 L
.42511 .64587 L
.4239 .64716 L
.42265 .64842 L
.42123 .64976 L
.41978 .65106 L
.41812 .65246 L
.41642 .65382 L
.41468 .65513 L
.41272 .65654 L
.41071 .65791 L
.40844 .65937 L
.40611 .66078 L
.40374 .66215 L
.40108 .6636 L
.3985 .66494 L
s
.43333 .65 m
.43227 .65123 L
.43102 .65258 L
.42976 .65386 L
.42846 .6551 L
.42699 .65644 L
.42547 .65774 L
.42375 .65914 L
.42198 .66049 L
.42017 .66181 L
.41812 .66323 L
.41603 .66461 L
.41389 .66594 L
.41148 .66737 L
.40902 .66876 L
.40625 .67024 L
.40342 .67168 L
.40054 .67306 L
.39731 .67453 L
.39402 .67595 L
.39033 .67745 L
.38656 .67888 L
.38274 .68024 L
.37847 .68166 L
.37435 .68293 L
s
.43333 .66667 m
.43167 .66794 L
.42974 .66935 L
.42781 .67069 L
.42583 .672 L
.4236 .67341 L
.42131 .67477 L
.41873 .67625 L
.41609 .67768 L
.4134 .67907 L
.41037 .68057 L
.40728 .68201 L
.40414 .68341 L
.4006 .68491 L
.39701 .68635 L
.39296 .68787 L
.38885 .68933 L
.38468 .69072 L
.37999 .69218 L
.37524 .69354 L
.36992 .69494 L
.36451 .69623 L
.35905 .6974 L
.35294 .69855 L
.34709 .69949 L
s
.43333 .68333 m
.43103 .68466 L
.42835 .68613 L
.42568 .68753 L
.42296 .6889 L
.4199 .69037 L
.41676 .69181 L
.41324 .69335 L
.40963 .69485 L
.40596 .69631 L
.40184 .69786 L
.39763 .69936 L
.39336 .7008 L
.38856 .70232 L
.38369 .70376 L
.37822 .70527 L
.37266 .70667 L
.36702 .70797 L
.36071 .70926 L
.35432 .71042 L
.34718 .71152 L
.33995 .71241 L
.33266 .7131 L
.32876 .71337 L
.32674 .71349 L
.32454 .71359 L
.32248 .71367 L
.32058 .71373 L
.31966 .71375 L
.31865 .71377 L
.3177 .71378 L
.31681 .71379 L
s
.43333 .7 m
.43033 .70138 L
.42686 .7029 L
.42339 .70437 L
.41986 .70579 L
.41588 .70733 L
.41183 .70883 L
.40726 .71044 L
.40259 .712 L
.39784 .71351 L
.3925 .7151 L
.38706 .71662 L
.38154 .71806 L
.37533 .71955 L
.36904 .72093 L
.36197 .72231 L
.3548 .72354 L
.34755 .72459 L
.33944 .72554 L
.33124 .72624 L
.32902 .72639 L
.3266 .72653 L
.32447 .72663 L
.32211 .72672 L
.32099 .72675 L
.31978 .72679 L
.31873 .72681 L
.31758 .72683 L
.3169 .72684 L
.31627 .72684 L
.31567 .72685 L
.31537 .72685 L
.31503 .72685 L
.31473 .72685 L
.31445 .72685 L
.31415 .72685 L
.31399 .72685 L
.31382 .72685 L
.31354 .72685 L
.31323 .72685 L
.31294 .72685 L
.31268 .72685 L
.31214 .72685 L
.31154 .72684 L
.31032 .72682 L
.30919 .7268 L
.30813 .72678 L
.30571 .7267 L
.30309 .72659 L
.30059 .72645 L
Mistroke
.29785 .72627 L
.29277 .72583 L
.28377 .72474 L
Mfstroke
.43333 .71667 m
.42959 .71809 L
.42525 .71968 L
.42092 .7212 L
.41652 .72269 L
.41155 .72429 L
.40649 .72585 L
.40078 .72752 L
.39495 .72913 L
.38901 .73066 L
.38233 .73226 L
.37553 .73376 L
.36863 .73515 L
.36088 .73653 L
.35301 .73774 L
.3442 .73886 L
.33962 .73934 L
.33526 .73974 L
.33067 .74008 L
.32624 .74033 L
.32384 .74044 L
.32122 .74054 L
.32005 .74057 L
.3188 .7406 L
.31765 .74063 L
.31656 .74064 L
.31596 .74065 L
.3153 .74066 L
.31501 .74066 L
.3147 .74066 L
.31441 .74066 L
.31415 .74067 L
.31384 .74067 L
.31351 .74067 L
.31322 .74067 L
.31291 .74067 L
.31257 .74067 L
.31225 .74067 L
.31207 .74067 L
.31191 .74066 L
.31153 .74066 L
.31092 .74066 L
.31036 .74065 L
.30908 .74064 L
.30795 .74061 L
.30675 .74059 L
.30424 .74051 L
.30153 .7404 L
.29655 .74011 L
.29068 .73962 L
Mistroke
.285 .739 L
.27391 .73734 L
.26174 .73478 L
.24971 .73141 L
.24845 .73101 L
Mfstroke
.43333 .73333 m
.42879 .73481 L
.42353 .73646 L
.41828 .73804 L
.41293 .73958 L
.4069 .74125 L
.40074 .74286 L
.39379 .74457 L
.38669 .7462 L
.37946 .74774 L
.37132 .74931 L
.36303 .75073 L
.35462 .75199 L
.34518 .75315 L
.3356 .75406 L
.33017 .75445 L
.32763 .7546 L
.32488 .75474 L
.32209 .75485 L
.31953 .75493 L
.31829 .75496 L
.31693 .75499 L
.31564 .75501 L
.31503 .75501 L
.31445 .75502 L
.31412 .75502 L
.31377 .75502 L
.31347 .75503 L
.31314 .75503 L
.31278 .75503 L
.31258 .75503 L
.3124 .75503 L
.31207 .75503 L
.31172 .75503 L
.31141 .75503 L
.31107 .75503 L
.31071 .75503 L
.31038 .75502 L
.30978 .75502 L
.30914 .75501 L
.30837 .755 L
.30754 .75499 L
.30603 .75496 L
.30455 .75492 L
.30317 .75488 L
.30033 .75477 L
.29764 .75464 L
.29142 .75421 L
.28518 .75362 L
.27937 .75292 L
Mistroke
.26659 .75081 L
.25391 .74791 L
.24008 .74371 L
.22651 .7384 L
.21193 .73122 L
.2116 .73104 L
Mfstroke
.43333 .75 m
.42795 .75153 L
.4217 .75323 L
.41546 .75487 L
.4091 .75648 L
.40192 .7582 L
.39458 .75985 L
.38629 .76159 L
.37782 .76323 L
.36918 .76473 L
.35945 .76621 L
.34954 .76748 L
.33949 .76851 L
.33367 .76897 L
.3282 .76932 L
.32545 .76946 L
.32242 .76959 L
.31951 .76968 L
.31678 .76974 L
.31524 .76977 L
.31437 .76978 L
.31357 .76979 L
.31286 .76979 L
.31246 .7698 L
.31208 .7698 L
.31168 .7698 L
.31132 .7698 L
.31112 .7698 L
.3109 .7698 L
.3105 .7698 L
.31015 .7698 L
.30981 .7698 L
.30944 .7698 L
.30905 .76979 L
.30824 .76979 L
.30749 .76978 L
.30613 .76976 L
.30468 .76973 L
.30164 .76965 L
.29836 .76952 L
.29523 .76936 L
.29235 .76918 L
.28595 .76867 L
.27887 .76791 L
.27197 .76696 L
.26453 .7657 L
.2508 .76267 L
.23579 .75822 L
.22106 .75253 L
.20522 .74473 L
Mistroke
.18994 .73529 L
.17541 .72422 L
.17424 .72323 L
Mfstroke
.43333 .76667 m
.42705 .76824 L
.41976 .77001 L
.41247 .77171 L
.40502 .77336 L
.3966 .77513 L
.38799 .77682 L
.37826 .77857 L
.3683 .78018 L
.35815 .7816 L
.3467 .78292 L
.34076 .78349 L
.33504 .78394 L
.32905 .78433 L
.32321 .78461 L
.32009 .78472 L
.31842 .78477 L
.31663 .78481 L
.31497 .78484 L
.31345 .78486 L
.31272 .78487 L
.31233 .78487 L
.31192 .78487 L
.31156 .78488 L
.31116 .78488 L
.3108 .78488 L
.31047 .78488 L
.31004 .78488 L
.30983 .78488 L
.30959 .78488 L
.30917 .78488 L
.30877 .78488 L
.30855 .78488 L
.30831 .78488 L
.30788 .78487 L
.30692 .78487 L
.30608 .78486 L
.3053 .78485 L
.30352 .78481 L
.30189 .78478 L
.30041 .78473 L
.29704 .78461 L
.2935 .78443 L
.29019 .78423 L
.2826 .78362 L
.2756 .78285 L
.26775 .78176 L
.25198 .77876 L
.23633 .77459 L
.2193 .76853 L
Mistroke
.20265 .76082 L
.18658 .75141 L
.16963 .73898 L
.15369 .72443 L
.1376 .70614 L
Mfstroke
.43333 .78333 m
.42611 .78496 L
.41771 .78679 L
.40929 .78854 L
.40069 .79025 L
.39095 .79206 L
.38098 .79377 L
.3697 .7955 L
.35814 .79703 L
.34635 .79832 L
.34012 .79887 L
.33305 .79939 L
.32975 .7996 L
.32615 .79978 L
.32273 .79993 L
.31951 .80004 L
.31762 .80009 L
.31591 .80013 L
.31399 .80017 L
.31293 .80018 L
.31193 .80019 L
.31104 .8002 L
.31059 .8002 L
.31033 .8002 L
.31009 .8002 L
.30967 .8002 L
.30921 .8002 L
.30879 .8002 L
.30839 .8002 L
.30793 .8002 L
.30769 .8002 L
.30744 .8002 L
.30655 .80019 L
.30604 .80019 L
.3055 .80018 L
.30452 .80017 L
.30267 .80014 L
.30093 .80011 L
.29695 .79998 L
.29302 .79982 L
.28877 .79957 L
.28029 .79891 L
.2721 .79802 L
.26379 .79685 L
.25599 .7955 L
.23891 .79161 L
.22203 .78634 L
.20372 .7788 L
.18594 .76932 L
.16712 .75653 L
Mistroke
.14935 .74123 L
.13288 .72351 L
.11636 .70125 L
.103 .67875 L
Mfstroke
.43333 .8 m
.42511 .80168 L
.41554 .80356 L
.40594 .80537 L
.39611 .80713 L
.38496 .80897 L
.37354 .81068 L
.3606 .81236 L
.34732 .81378 L
.33377 .81485 L
.32647 .81526 L
.3227 .81542 L
.32055 .8155 L
.3185 .81556 L
.31663 .81561 L
.31457 .81565 L
.31366 .81567 L
.31269 .81568 L
.31177 .81569 L
.31093 .8157 L
.31042 .81571 L
.30986 .81571 L
.30929 .81571 L
.30898 .81571 L
.30869 .81571 L
.30842 .81571 L
.30816 .81572 L
.30767 .81572 L
.30714 .81571 L
.30685 .81571 L
.30657 .81571 L
.3061 .81571 L
.30565 .81571 L
.30463 .8157 L
.30364 .81569 L
.30256 .81568 L
.30054 .81564 L
.29865 .8156 L
.29431 .81545 L
.29003 .81526 L
.2854 .81498 L
.27615 .81422 L
.26721 .8132 L
.25814 .81187 L
.24962 .81032 L
.23096 .80583 L
.21253 .79974 L
.19257 .79097 L
.17325 .77992 L
.15289 .76494 L
Mistroke
.13382 .74701 L
.11633 .72625 L
.09902 .7002 L
.08403 .67123 L
.07172 .64068 L
Mfstroke
.43333 .81667 m
.42406 .81839 L
.41326 .82034 L
.4024 .8222 L
.39126 .824 L
.37862 .82586 L
.36565 .82755 L
.35093 .82914 L
.3432 .82983 L
.33583 .83038 L
.32845 .83081 L
.3246 .83099 L
.32041 .83115 L
.31824 .83122 L
.31616 .83127 L
.31413 .83132 L
.31222 .83135 L
.31129 .83136 L
.31042 .83137 L
.30993 .83137 L
.3094 .83137 L
.30893 .83138 L
.30848 .83138 L
.30799 .83138 L
.30744 .83138 L
.30691 .83138 L
.30634 .83138 L
.3058 .83138 L
.3053 .83138 L
.30484 .83138 L
.30435 .83137 L
.30333 .83137 L
.30223 .83135 L
.30023 .83132 L
.29783 .83128 L
.29561 .83122 L
.291 .83105 L
.28608 .8308 L
.28166 .83051 L
.27689 .83014 L
.26814 .82926 L
.25774 .82787 L
.2477 .82615 L
.22803 .8216 L
.20648 .81456 L
.18534 .80518 L
.16491 .79334 L
.14339 .77721 L
.12329 .75785 L
.10305 .73281 L
Mistroke
.08512 .70414 L
.06977 .67238 L
.05584 .63431 L
.04508 .59394 L
.04473 .59237 L
Mfstroke
.43333 .83333 m
.42297 .83511 L
.41086 .83712 L
.39867 .83903 L
.38616 .84086 L
.37194 .84273 L
.35731 .84437 L
.34949 .84511 L
.34071 .84583 L
.33273 .84636 L
.32808 .84661 L
.32366 .84681 L
.31942 .84696 L
.31721 .84702 L
.31479 .84708 L
.31346 .8471 L
.31222 .84713 L
.31094 .84714 L
.30977 .84716 L
.30921 .84716 L
.30861 .84717 L
.30809 .84717 L
.30752 .84717 L
.3069 .84717 L
.30657 .84717 L
.30626 .84717 L
.3057 .84717 L
.3051 .84717 L
.30453 .84717 L
.3042 .84717 L
.3039 .84717 L
.30328 .84717 L
.30262 .84716 L
.30141 .84715 L
.3003 .84714 L
.29774 .84709 L
.29501 .84703 L
.29035 .84687 L
.28518 .84663 L
.28005 .84632 L
.27534 .84596 L
.26456 .84489 L
.25445 .84354 L
.24325 .84162 L
.23255 .83934 L
.22057 .83623 L
.19808 .82859 L
.17466 .81771 L
.15207 .80378 L
.12845 .78467 L
Mistroke
.10657 .76158 L
.08685 .73471 L
.06785 .70096 L
.05197 .66356 L
.0449 .64272 L
.03812 .61898 L
.0328 .59657 L
.02802 .57202 L
.02259 .53496 L
Mfstroke
.43333 .85 m
.42182 .85183 L
.40834 .85389 L
.39476 .85585 L
.38079 .85771 L
.36489 .85956 L
.34852 .86113 L
.33976 .8618 L
.33502 .86211 L
.32992 .8624 L
.3253 .86262 L
.32013 .86281 L
.31783 .86288 L
.31534 .86295 L
.31315 .86299 L
.3108 .86303 L
.30944 .86305 L
.3082 .86306 L
.3076 .86306 L
.30695 .86306 L
.30634 .86307 L
.30577 .86307 L
.30511 .86307 L
.30449 .86307 L
.30413 .86307 L
.3038 .86307 L
.30343 .86307 L
.30307 .86307 L
.30236 .86306 L
.3017 .86306 L
.3002 .86305 L
.29898 .86303 L
.29783 .86301 L
.2952 .86296 L
.29261 .8629 L
.28981 .8628 L
.28475 .86259 L
.27915 .86227 L
.27321 .86184 L
.26762 .86134 L
.25614 .86002 L
.24547 .8584 L
.23327 .85607 L
.22181 .85335 L
.1983 .84602 L
.17372 .8354 L
.14994 .82161 L
.12494 .80244 L
.10171 .77904 L
.07857 .74839 L
Mistroke
.05844 .71303 L
.04164 .67372 L
.03352 .64965 L
.027 .62665 L
.01635 .577 L
.01239 .5513 L
.00904 .5228 L
.00689 .49733 L
.00607 .48438 L
.00536 .4701 L
Mfstroke
.43333 .86667 m
.42062 .86855 L
.40571 .87067 L
.39066 .87267 L
.37516 .87455 L
.35749 .87637 L
.33926 .87782 L
.33429 .87813 L
.32879 .87842 L
.32396 .87864 L
.31855 .87883 L
.31599 .8789 L
.31321 .87896 L
.31186 .87898 L
.31057 .879 L
.30929 .87902 L
.30813 .87903 L
.30678 .87904 L
.30604 .87905 L
.30534 .87905 L
.30469 .87905 L
.30408 .87905 L
.30342 .87905 L
.30272 .87905 L
.30202 .87905 L
.30162 .87905 L
.30126 .87905 L
.29988 .87904 L
.29911 .87903 L
.29826 .87902 L
.29673 .879 L
.29405 .87895 L
.29152 .87889 L
.28568 .87868 L
.2799 .8784 L
.27358 .87799 L
.26172 .87693 L
.2489 .87532 L
.23661 .87329 L
.22495 .87086 L
.19951 .86372 L
.18531 .85848 L
.17178 .85252 L
.14583 .83808 L
.11853 .81761 L
.09316 .79223 L
.07028 .76208 L
.04827 .72355 L
.03004 .68033 L
.02204 .65618 L
Mistroke
.01439 .62835 L
.00808 .60002 L
.00331 .57336 L
Mfstroke
.00331 .57336 m
0 .54973 L
s
.43333 .88333 m
.41936 .88526 L
.40297 .88744 L
.38638 .88949 L
.36926 .89137 L
.34971 .89313 L
.34021 .89382 L
.32954 .89443 L
.32356 .89469 L
.31794 .89488 L
.31513 .89496 L
.31248 .89501 L
.30969 .89506 L
.3082 .89508 L
.30736 .89509 L
.30659 .89509 L
.30589 .8951 L
.30514 .8951 L
.30472 .8951 L
.30434 .8951 L
.30358 .89511 L
.30293 .89511 L
.30221 .89511 L
.30146 .89511 L
.30076 .8951 L
.30036 .8951 L
.29992 .8951 L
.29913 .89509 L
.29765 .89508 L
.2959 .89506 L
.29428 .89503 L
.29153 .89497 L
.28847 .89489 L
.2822 .89465 L
.276 .89433 L
.27022 .89394 L
.25695 .8927 L
.24458 .8911 L
.23073 .88875 L
.21732 .88584 L
.20272 .8819 L
.17316 .8711 L
.14427 .85612 L
.11664 .83659 L
.08816 .80945 L
.06245 .77643 L
.04008 .73801 L
.01959 .69002 L
.00372 .6375 L
s
.00372 .6375 m
0 .62089 L
s
.43333 .9 m
.41806 .90198 L
.4001 .90421 L
.3819 .9063 L
.36309 .90817 L
.35202 .90911 L
.34158 .90985 L
.33034 .9105 L
.32515 .91073 L
.31935 .91094 L
.31359 .91109 L
.31039 .91115 L
.30885 .91118 L
.30737 .91119 L
.30602 .91121 L
.3053 .91121 L
.30453 .91122 L
.30382 .91122 L
.30318 .91122 L
.30253 .91122 L
.30192 .91122 L
.3012 .91122 L
.30043 .91122 L
.29978 .91122 L
.29906 .91122 L
.29829 .91121 L
.29746 .91121 L
.29596 .91119 L
.29434 .91117 L
.29262 .91114 L
.28951 .91107 L
.28614 .91098 L
.28238 .91084 L
.27559 .91052 L
.26911 .9101 L
.2554 .90889 L
.24249 .90727 L
.22898 .90505 L
.21387 .90186 L
.19804 .89763 L
.18342 .89283 L
.15339 .87983 L
.1225 .86109 L
.09334 .83688 L
.06383 .80357 L
.03785 .76355 L
.01601 .71762 L
.00547 .68904 L
s
.00547 .68904 m
0 .67117 L
s
.43333 .91667 m
.41671 .9187 L
.39712 .92099 L
.37723 .9231 L
.35664 .92495 L
.34451 .92584 L
.33306 .92652 L
.32721 .9268 L
.32074 .92705 L
.31773 .92714 L
.31452 .92723 L
.31153 .92729 L
.30868 .92734 L
.30715 .92736 L
.30548 .92737 L
.30475 .92738 L
.30396 .92738 L
.30322 .92739 L
.30254 .92739 L
.30168 .92739 L
.30089 .92739 L
.30002 .92739 L
.29958 .92739 L
.2991 .92739 L
.29828 .92739 L
.29741 .92738 L
.29658 .92738 L
.29583 .92737 L
.29426 .92735 L
.2928 .92733 L
.28949 .92727 L
.28655 .9272 L
.2834 .9271 L
.2769 .92684 L
.26978 .92644 L
.26296 .92595 L
.25662 .92539 L
.24263 .92379 L
.22692 .92134 L
.21168 .91823 L
.19505 .91391 L
.17898 .90872 L
.16132 .90173 L
.12834 .88435 L
.0949 .85953 L
.06398 .82774 L
.03643 .78915 L
.01055 .73909 L
s
.01055 .73909 m
0 .71015 L
s
.45 .08333 m
.44017 .08284 L
.42981 .0824 L
.42042 .08206 L
.41169 .08176 L
.4027 .08147 L
.39435 .08118 L
.38578 .08085 L
.3778 .08048 L
.37038 .08006 L
.36274 .07952 L
.35563 .07888 L
.34899 .07815 L
.34213 .07722 L
.33572 .07616 L
.32909 .07485 L
.32287 .07337 L
.31702 .07175 L
.31094 .06978 L
.3052 .06764 L
.29921 .06508 L
.29352 .06232 L
.28812 .05937 L
.28243 .0559 L
.27727 .05241 L
s
.45 .1 m
.44121 .09955 L
.43192 .09915 L
.42348 .09884 L
.41562 .09858 L
.40752 .09833 L
.39997 .0981 L
.39222 .09784 L
.38499 .09756 L
.37825 .09725 L
.37131 .09686 L
.36483 .0964 L
.35879 .09588 L
.35254 .09522 L
.3467 .09446 L
.34066 .09351 L
.33499 .09245 L
.32967 .09127 L
.32414 .08985 L
.31893 .08829 L
.31351 .08642 L
.30838 .0844 L
.30351 .08224 L
.29841 .0797 L
.2938 .07714 L
s
.45 .11667 m
.4422 .11626 L
.43394 .1159 L
.42642 .11562 L
.41941 .11539 L
.41216 .11518 L
.4054 .11499 L
.39843 .11479 L
.39193 .11459 L
.38587 .11437 L
.37961 .1141 L
.37376 .11379 L
.3683 .11344 L
.36265 .11299 L
.35736 .11247 L
.35189 .11182 L
.34677 .11109 L
.34196 .11027 L
.33696 .10928 L
.33226 .10819 L
.32737 .10688 L
.32275 .10546 L
.31839 .10393 L
.31383 .10213 L
.30972 .10032 L
s
.45 .13333 m
.44314 .13297 L
.43587 .13265 L
.42924 .1324 L
.42304 .1322 L
.41662 .13202 L
.41062 .13187 L
.40443 .13172 L
.39864 .13158 L
.39323 .13144 L
.38763 .13127 L
.3824 .13107 L
.37751 .13085 L
.37245 .13056 L
.36771 .13023 L
.3628 .12982 L
.3582 .12935 L
.35388 .12882 L
.3494 .12817 L
.34519 .12745 L
.34081 .12658 L
.33668 .12563 L
.33279 .12461 L
.32873 .12339 L
.32508 .12217 L
s
.45 .15 m
.44404 .14968 L
.43772 .1494 L
.43193 .14918 L
.42651 .14901 L
.42089 .14886 L
.41563 .14874 L
.41019 .14864 L
.40509 .14855 L
.40032 .14846 L
.39538 .14836 L
.39076 .14825 L
.38643 .14813 L
.38194 .14797 L
.37773 .14779 L
.37337 .14756 L
.36928 .14729 L
.36545 .14698 L
.36147 .14659 L
.35772 .14616 L
.35384 .14563 L
.35018 .14505 L
.34674 .14442 L
.34314 .14366 L
.33992 .14288 L
s
.45 .16667 m
.4449 .16639 L
.43947 .16615 L
.4345 .16596 L
.42983 .16582 L
.42498 .1657 L
.42043 .16561 L
.41571 .16554 L
.41129 .16548 L
.40714 .16544 L
.40284 .1654 L
.39881 .16535 L
.39503 .16531 L
.3911 .16525 L
.38742 .16517 L
.3836 .16508 L
.38002 .16496 L
.37665 .16481 L
.37316 .16463 L
.36988 .16441 L
.36647 .16414 L
.36326 .16383 L
.36024 .16349 L
.3571 .16307 L
.35429 .16264 L
s
.45 .18333 m
.44571 .1831 L
.44113 .18289 L
.43693 .18274 L
.43298 .18262 L
.42887 .18253 L
.42501 .18247 L
.42293 .18244 L
.421 .18242 L
.4191 .18241 L
.41737 .1824 L
.41647 .18239 L
.41563 .18239 L
.41471 .18239 L
.4142 .18239 L
.41374 .18239 L
.4133 .18239 L
.41307 .18238 L
.41284 .18238 L
.41263 .18238 L
.41241 .18238 L
.41231 .18238 L
.4122 .18238 L
.41211 .18238 L
.41202 .18238 L
.4119 .18238 L
.41179 .18238 L
.41168 .18238 L
.41162 .18238 L
.41156 .18238 L
.41146 .18238 L
.41135 .18238 L
.41124 .18238 L
.41113 .18238 L
.41089 .18238 L
.41066 .18238 L
.41016 .18238 L
.40974 .18239 L
.40929 .18239 L
.40849 .18239 L
.40668 .18239 L
.40312 .1824 L
.40137 .1824 L
.39978 .18241 L
.39898 .18241 L
.39824 .18241 L
.39748 .18241 L
.39707 .18241 L
.39685 .18241 L
.39674 .18241 L
Mistroke
.39664 .18241 L
.39654 .18241 L
.39644 .18241 L
.39634 .18241 L
.39625 .18241 L
.39616 .18241 L
.39605 .18241 L
.396 .18241 L
.39595 .18241 L
.39584 .18241 L
.39575 .18241 L
.39565 .18241 L
.39546 .18241 L
.39528 .18241 L
.39511 .18241 L
.39473 .18241 L
.39431 .18241 L
.39388 .18241 L
.39347 .18241 L
.3927 .18241 L
.39189 .1824 L
.39046 .1824 L
.38895 .18239 L
.38756 .18237 L
.38603 .18235 L
.38465 .18233 L
.38175 .18227 L
.37902 .18219 L
.37618 .18208 L
.37351 .18195 L
.371 .1818 L
.36838 .18161 L
.36819 .18159 L
Mfstroke
.45 .2 m
.44647 .19981 L
.44271 .19965 L
.43924 .19952 L
.43598 .19943 L
.43419 .19939 L
.43257 .19936 L
.4309 .19934 L
.42937 .19932 L
.42782 .19931 L
.42701 .1993 L
.42656 .1993 L
.42616 .1993 L
.4258 .1993 L
.42541 .1993 L
.4252 .1993 L
.425 .1993 L
.42481 .1993 L
.42471 .1993 L
.42461 .1993 L
.42452 .1993 L
.42442 .1993 L
.42433 .1993 L
.42422 .1993 L
.42413 .1993 L
.42403 .1993 L
.42394 .1993 L
.42386 .1993 L
.42377 .1993 L
.42369 .1993 L
.42351 .1993 L
.42335 .1993 L
.42318 .1993 L
.4228 .1993 L
.42245 .1993 L
.42167 .1993 L
.42098 .1993 L
.42027 .19931 L
.41877 .19932 L
.41739 .19933 L
.41451 .19937 L
.41152 .19942 L
.4087 .19947 L
.40606 .19953 L
.4033 .19959 L
.40072 .19965 L
.39828 .1997 L
.39575 .19975 L
.39337 .1998 L
.39089 .19984 L
Mistroke
.38968 .19985 L
.38856 .19987 L
.38749 .19988 L
.38691 .19988 L
.38637 .19988 L
.38579 .19989 L
.38548 .19989 L
.38533 .19989 L
.38516 .19989 L
.38501 .19989 L
.38488 .19989 L
.38482 .19989 L
.38475 .19989 L
.38468 .19989 L
.38462 .19989 L
.38455 .19989 L
.38449 .19989 L
.38442 .19989 L
.38437 .19989 L
.38434 .19989 L
.38427 .19989 L
.38419 .19989 L
.38411 .19989 L
.38404 .19989 L
.38389 .19989 L
.38376 .19989 L
.38345 .19989 L
.38319 .19989 L
.38291 .19989 L
.38242 .19988 L
.38189 .19988 L
.38165 .19988 L
Mfstroke
.45 .21667 m
.44719 .21652 L
.44419 .2164 L
.44142 .2163 L
.43881 .21624 L
.43748 .21622 L
.43608 .2162 L
.4354 .21619 L
.43467 .21618 L
.43398 .21618 L
.43334 .21617 L
.43304 .21617 L
.43287 .21617 L
.43271 .21617 L
.43257 .21617 L
.43241 .21617 L
.43226 .21617 L
.43219 .21617 L
.43213 .21617 L
.43204 .21617 L
.432 .21617 L
.43195 .21617 L
.43187 .21617 L
.43183 .21617 L
.43179 .21617 L
.43171 .21617 L
.43164 .21617 L
.43156 .21617 L
.43148 .21617 L
.43131 .21617 L
.43116 .21617 L
.43098 .21617 L
.4308 .21617 L
.4302 .21617 L
.42987 .21617 L
.42956 .21618 L
.42841 .21619 L
.42722 .2162 L
.42594 .21622 L
.42347 .21626 L
.42115 .21632 L
.41873 .2164 L
.41645 .21648 L
.4143 .21656 L
.41206 .21666 L
.40996 .21676 L
.40798 .21687 L
.40591 .21698 L
.40397 .21708 L
.40195 .2172 L
Mistroke
.40005 .21731 L
.39826 .21741 L
.39639 .21752 L
.39467 .21762 L
Mfstroke
.45 .23333 m
.44787 .23323 L
.44558 .23315 L
.44448 .23311 L
.44347 .23309 L
.44244 .23307 L
.44147 .23305 L
.44097 .23304 L
.44042 .23304 L
.43992 .23303 L
.43946 .23303 L
.43921 .23303 L
.43898 .23303 L
.43873 .23303 L
.43859 .23303 L
.43845 .23303 L
.43833 .23303 L
.43826 .23303 L
.43819 .23303 L
.43813 .23303 L
.43807 .23303 L
.438 .23303 L
.43795 .23303 L
.43788 .23303 L
.43782 .23303 L
.43775 .23303 L
.43768 .23303 L
.43753 .23303 L
.43739 .23303 L
.43715 .23303 L
.4369 .23303 L
.43644 .23303 L
.43595 .23303 L
.43541 .23304 L
.43447 .23305 L
.43345 .23307 L
.43148 .23312 L
.42962 .23317 L
.42787 .23324 L
.42604 .23333 L
.42431 .23342 L
.42251 .23353 L
.42081 .23364 L
.41921 .23376 L
.41754 .23389 L
.41597 .23403 L
.41449 .23416 L
.41295 .23431 L
.41149 .23446 L
.40998 .23462 L
Mistroke
.40856 .23477 L
.40725 .23492 L
Mfstroke
.45 .25 m
.4485 .24994 L
.44772 .24992 L
.44688 .2499 L
.4461 .24988 L
.44539 .24987 L
.44499 .24987 L
.44463 .24987 L
.4443 .24986 L
.44411 .24986 L
.44394 .24986 L
.44385 .24986 L
.44377 .24986 L
.44372 .24986 L
.44367 .24986 L
.44363 .24986 L
.44358 .24986 L
.44354 .24986 L
.4435 .24986 L
.44346 .24986 L
.44342 .24986 L
.44338 .24986 L
.44333 .24986 L
.44329 .24986 L
.44325 .24986 L
.44315 .24986 L
.44306 .24986 L
.44286 .24986 L
.44267 .24986 L
.4425 .24986 L
.44215 .24987 L
.44178 .24987 L
.44112 .24988 L
.44043 .24989 L
.43978 .24991 L
.43843 .24995 L
.43702 .25 L
.43569 .25006 L
.43443 .25013 L
.43311 .25022 L
.43187 .25031 L
.43057 .25042 L
.42934 .25054 L
.42818 .25066 L
.42698 .25079 L
.42584 .25093 L
.42476 .25106 L
.42364 .25122 L
.42259 .25137 L
.42149 .25154 L
Mistroke
.42045 .25171 L
.41947 .25188 L
.41938 .25189 L
Mfstroke
.45 .26667 m
.44978 .26666 L
.44955 .26666 L
.4493 .26666 L
.44908 .26665 L
.44896 .26665 L
.44883 .26665 L
.44876 .26665 L
.44869 .26665 L
.44863 .26665 L
.44856 .26665 L
.44851 .26665 L
.44848 .26665 L
.44845 .26665 L
.44842 .26665 L
.44841 .26665 L
.44839 .26665 L
.44836 .26665 L
.44833 .26665 L
.44832 .26665 L
.4483 .26665 L
.44827 .26665 L
.44824 .26665 L
.4482 .26665 L
.44815 .26665 L
.44809 .26665 L
.44797 .26665 L
.44785 .26665 L
.44763 .26666 L
.4474 .26666 L
.44715 .26666 L
.4467 .26667 L
.44622 .26668 L
.44537 .2667 L
.44448 .26674 L
.44363 .26678 L
.44275 .26684 L
.44191 .2669 L
.44112 .26696 L
.44029 .26704 L
.43951 .26712 L
.43869 .26722 L
.43791 .26731 L
.43718 .26741 L
.43641 .26753 L
.43569 .26765 L
.43501 .26776 L
.4343 .2679 L
.43363 .26803 L
.43293 .26817 L
Mistroke
.43227 .26832 L
.43165 .26847 L
.43103 .26862 L
Mfstroke
.45 .28333 m
.44961 .28337 L
.4492 .28341 L
.44882 .28345 L
.44846 .28349 L
.44808 .28354 L
.44772 .2836 L
.44734 .28366 L
.44698 .28372 L
.44665 .28379 L
.4463 .28386 L
.44597 .28393 L
.44565 .284 L
.44532 .28408 L
.44502 .28417 L
.44469 .28426 L
.44439 .28435 L
.4441 .28444 L
.44381 .28453 L
.44353 .28463 L
.44323 .28474 L
.44296 .28485 L
.4427 .28495 L
.44244 .28507 L
.4422 .28517 L
s
.45 .3 m
.4501 .30008 L
.45022 .30016 L
.45033 .30024 L
.45044 .30031 L
.45055 .30039 L
.45066 .30046 L
.45078 .30054 L
.4509 .30061 L
.45101 .30068 L
.45113 .30076 L
.45125 .30083 L
.45136 .30089 L
.45148 .30096 L
.4516 .30103 L
.45173 .30109 L
.45185 .30116 L
.45197 .30122 L
.45209 .30128 L
.45221 .30134 L
.45234 .3014 L
.45247 .30146 L
.45259 .30152 L
.45272 .30158 L
.45284 .30163 L
s
.45 .31667 m
.45055 .31679 L
.45115 .31692 L
.4517 .31703 L
.45224 .31714 L
.45281 .31724 L
.45336 .31734 L
.45394 .31743 L
.45449 .31752 L
.45502 .31759 L
.45559 .31767 L
.45613 .31773 L
.45665 .31779 L
.45719 .31785 L
.45772 .3179 L
.45827 .31794 L
.45881 .31798 L
.45931 .31801 L
.45985 .31803 L
.46037 .31805 L
.46065 .31805 L
.46077 .31806 L
.46091 .31806 L
.46103 .31806 L
.46117 .31806 L
.46123 .31806 L
.46129 .31806 L
.46135 .31806 L
.46141 .31806 L
.46144 .31806 L
.46146 .31806 L
.46148 .31806 L
.46149 .31806 L
.46151 .31806 L
.46152 .31806 L
.46154 .31806 L
.46155 .31806 L
.46156 .31806 L
.46157 .31806 L
.46157 .31806 L
.46159 .31806 L
.4616 .31806 L
.46161 .31806 L
.46162 .31806 L
.46164 .31806 L
.46166 .31806 L
.46168 .31806 L
.46171 .31806 L
.46175 .31806 L
.46181 .31806 L
Mistroke
.46187 .31806 L
.46194 .31806 L
.46207 .31806 L
.46219 .31806 L
.46246 .31806 L
.46268 .31805 L
.46292 .31804 L
Mfstroke
.45 .33333 m
.45095 .3335 L
.45198 .33367 L
.45294 .33383 L
.45387 .33396 L
.45485 .3341 L
.45579 .33421 L
.45679 .33433 L
.45775 .33443 L
.45868 .33452 L
.45965 .33459 L
.46059 .33466 L
.46149 .33471 L
.46244 .33476 L
.46335 .33479 L
.46384 .3348 L
.46407 .33481 L
.46431 .33481 L
.46455 .33481 L
.46477 .33482 L
.46488 .33482 L
.46499 .33482 L
.46509 .33482 L
.4652 .33482 L
.46526 .33482 L
.46531 .33482 L
.46534 .33482 L
.46537 .33482 L
.46539 .33482 L
.46542 .33482 L
.46545 .33482 L
.46548 .33482 L
.4655 .33482 L
.46552 .33482 L
.46554 .33482 L
.46557 .33482 L
.46558 .33482 L
.4656 .33482 L
.46563 .33482 L
.46566 .33482 L
.46572 .33482 L
.46578 .33482 L
.4659 .33482 L
.46603 .33482 L
.46615 .33482 L
.46637 .33481 L
.46658 .33481 L
.46705 .3348 L
.46752 .33479 L
.46794 .33478 L
Mistroke
.46884 .33474 L
.46971 .33469 L
.47062 .33463 L
.47149 .33456 L
.47239 .33447 L
Mfstroke
.45 .35 m
.4513 .35021 L
.45271 .35043 L
.45404 .35062 L
.45531 .35079 L
.45667 .35096 L
.45797 .3511 L
.45935 .35124 L
.46068 .35136 L
.46196 .35145 L
.46331 .35154 L
.46462 .35161 L
.46586 .35166 L
.4665 .35168 L
.46719 .35169 L
.46752 .3517 L
.46788 .35171 L
.46823 .35171 L
.46854 .35171 L
.46871 .35171 L
.4688 .35171 L
.46889 .35171 L
.46897 .35171 L
.46906 .35172 L
.4691 .35172 L
.46914 .35172 L
.46918 .35172 L
.46921 .35172 L
.46925 .35172 L
.46929 .35172 L
.46933 .35172 L
.46936 .35172 L
.4694 .35172 L
.46943 .35172 L
.46945 .35172 L
.46953 .35172 L
.4696 .35171 L
.46967 .35171 L
.46982 .35171 L
.46999 .35171 L
.47016 .35171 L
.47046 .35171 L
.47079 .3517 L
.47114 .3517 L
.47179 .35168 L
.47247 .35166 L
.47369 .35162 L
.47499 .35155 L
.47623 .35146 L
.47755 .35136 L
Mistroke
.47881 .35124 L
.48001 .3511 L
.4812 .35095 L
Mfstroke
.45 .36667 m
.4516 .36693 L
.45335 .36719 L
.45499 .36742 L
.45657 .36762 L
.45825 .36782 L
.45988 .368 L
.4616 .36816 L
.46326 .3683 L
.46486 .36841 L
.46656 .36851 L
.46819 .36858 L
.46976 .36863 L
.47057 .36865 L
.47102 .36866 L
.47143 .36866 L
.47185 .36867 L
.47207 .36867 L
.47231 .36867 L
.47242 .36867 L
.47253 .36867 L
.47264 .36867 L
.47269 .36867 L
.47274 .36867 L
.4728 .36867 L
.47284 .36867 L
.47289 .36867 L
.47292 .36867 L
.47295 .36867 L
.473 .36867 L
.47304 .36867 L
.47309 .36867 L
.47314 .36867 L
.47319 .36867 L
.47324 .36867 L
.47334 .36867 L
.47344 .36867 L
.47353 .36867 L
.47373 .36867 L
.47395 .36867 L
.47434 .36867 L
.4747 .36866 L
.47549 .36865 L
.47635 .36863 L
.47717 .3686 L
.47804 .36857 L
.4796 .36849 L
.48125 .36839 L
.48284 .36827 L
.48452 .36811 L
Mistroke
.48613 .36794 L
.48768 .36775 L
.48929 .36753 L
Mfstroke
.45 .38333 m
.45186 .38364 L
.45389 .38395 L
.4558 .38422 L
.45765 .38446 L
.45961 .3847 L
.46151 .3849 L
.46353 .38509 L
.46548 .38525 L
.46736 .38538 L
.46937 .3855 L
.4713 .38558 L
.47227 .38561 L
.47316 .38564 L
.47411 .38566 L
.47464 .38567 L
.47514 .38567 L
.47561 .38568 L
.47588 .38568 L
.476 .38568 L
.47612 .38568 L
.47622 .38568 L
.47634 .38568 L
.4764 .38568 L
.47646 .38568 L
.47652 .38568 L
.47658 .38568 L
.47664 .38568 L
.4767 .38568 L
.47676 .38568 L
.47681 .38568 L
.47686 .38568 L
.47691 .38568 L
.47702 .38568 L
.47714 .38568 L
.47726 .38568 L
.47752 .38568 L
.47775 .38568 L
.47797 .38568 L
.47847 .38567 L
.479 .38566 L
.48005 .38564 L
.48105 .38561 L
.48294 .38554 L
.48496 .38544 L
.4869 .38531 L
.48876 .38516 L
.49074 .38497 L
.49265 .38476 L
.49467 .3845 L
Mistroke
.49659 .38423 L
Mfstroke
.45 .4 m
.45207 .40035 L
.45433 .40071 L
.45647 .40103 L
.45853 .4013 L
.46074 .40158 L
.46287 .40181 L
.46514 .40204 L
.46734 .40223 L
.46946 .40238 L
.47173 .40251 L
.47392 .40261 L
.47502 .40265 L
.47603 .40268 L
.47712 .40271 L
.47772 .40272 L
.47829 .40273 L
.47883 .40273 L
.47913 .40274 L
.4794 .40274 L
.47966 .40274 L
.4798 .40274 L
.47987 .40274 L
.47993 .40274 L
.47999 .40274 L
.48005 .40274 L
.48011 .40274 L
.48018 .40274 L
.48024 .40274 L
.48031 .40274 L
.48037 .40274 L
.48043 .40274 L
.4805 .40274 L
.48057 .40274 L
.48069 .40274 L
.48083 .40274 L
.48097 .40274 L
.48124 .40274 L
.48148 .40274 L
.48204 .40273 L
.48264 .40272 L
.48322 .40271 L
.48385 .4027 L
.48499 .40267 L
.4873 .40258 L
.48953 .40247 L
.49169 .40233 L
.49398 .40214 L
.49619 .40193 L
.49854 .40168 L
Mistroke
.50081 .40139 L
.50299 .40109 L
.50303 .40108 L
Mfstroke
.45 .41667 m
.45223 .41706 L
.45468 .41747 L
.45699 .41783 L
.45923 .41815 L
.46162 .41846 L
.46394 .41874 L
.46642 .419 L
.46882 .41922 L
.47115 .4194 L
.47363 .41956 L
.47604 .41968 L
.47836 .41977 L
.47956 .4198 L
.48085 .41983 L
.48148 .41984 L
.48181 .41984 L
.48216 .41985 L
.4825 .41985 L
.48281 .41985 L
.48296 .41985 L
.48312 .41985 L
.48327 .41986 L
.48341 .41986 L
.48349 .41986 L
.48356 .41986 L
.48364 .41986 L
.48368 .41986 L
.48372 .41986 L
.48378 .41986 L
.48386 .41986 L
.48393 .41986 L
.484 .41986 L
.48408 .41986 L
.48417 .41986 L
.48432 .41986 L
.48448 .41985 L
.48465 .41985 L
.48498 .41985 L
.48534 .41985 L
.48597 .41984 L
.48661 .41983 L
.48731 .41982 L
.48857 .41979 L
.48982 .41975 L
.49115 .4197 L
.49355 .41958 L
.49611 .41942 L
.49858 .41923 L
.50122 .41899 L
Mistroke
.50377 .41871 L
.50623 .41841 L
.50852 .4181 L
Mfstroke
.45 .43333 m
.45235 .43378 L
.45493 .43424 L
.45737 .43464 L
.45973 .435 L
.46227 .43536 L
.46473 .43567 L
.46736 .43597 L
.46992 .43623 L
.4724 .43644 L
.47506 .43664 L
.47763 .43679 L
.48013 .4369 L
.48142 .43695 L
.4828 .43699 L
.48348 .437 L
.48422 .43701 L
.48491 .43702 L
.48556 .43703 L
.4859 .43704 L
.48627 .43704 L
.48644 .43704 L
.48662 .43704 L
.48678 .43704 L
.48686 .43704 L
.48694 .43704 L
.48702 .43704 L
.48711 .43704 L
.48718 .43704 L
.48726 .43704 L
.48733 .43704 L
.48742 .43704 L
.48746 .43704 L
.48751 .43704 L
.48759 .43704 L
.48767 .43704 L
.48775 .43704 L
.48791 .43704 L
.48806 .43704 L
.4882 .43704 L
.48854 .43704 L
.48891 .43703 L
.48959 .43703 L
.49024 .43702 L
.49085 .43701 L
.49213 .43698 L
.49354 .43694 L
.49631 .43683 L
.499 .43668 L
.50187 .43648 L
Mistroke
.50466 .43625 L
.50735 .43598 L
.51023 .43566 L
.51296 .43531 L
Mfstroke
.45 .45 m
.45241 .45049 L
.45507 .451 L
.45759 .45145 L
.46004 .45186 L
.46267 .45226 L
.46522 .45261 L
.46796 .45296 L
.47062 .45326 L
.47321 .45351 L
.47598 .45374 L
.47868 .45393 L
.4813 .45408 L
.48277 .45414 L
.48412 .4542 L
.48553 .45424 L
.48685 .45427 L
.48756 .45428 L
.4882 .45429 L
.48891 .4543 L
.4893 .4543 L
.48967 .45431 L
.49001 .45431 L
.4902 .45431 L
.49037 .45431 L
.49047 .45431 L
.49056 .45431 L
.49064 .45431 L
.49073 .45431 L
.49078 .45431 L
.49083 .45431 L
.49088 .45431 L
.49093 .45431 L
.49102 .45431 L
.49107 .45431 L
.49111 .45431 L
.49119 .45431 L
.49127 .45431 L
.49142 .45431 L
.4916 .45431 L
.49176 .45431 L
.49211 .45431 L
.49244 .4543 L
.49314 .4543 L
.49389 .45429 L
.49523 .45426 L
.49665 .45423 L
.49799 .45418 L
.50085 .45406 L
.50392 .45388 L
Mistroke
.50689 .45367 L
.50978 .45342 L
.51288 .45311 L
.51589 .45277 L
.51627 .45273 L
Mfstroke
.45 .46667 m
.45244 .46721 L
.45512 .46777 L
.45767 .46826 L
.46015 .46872 L
.46281 .46917 L
.46541 .46957 L
.4682 .46996 L
.47091 .47031 L
.47356 .4706 L
.4764 .47088 L
.47917 .47111 L
.48186 .4713 L
.48476 .47146 L
.48758 .47158 L
.48913 .47162 L
.48985 .47164 L
.49061 .47166 L
.49138 .47167 L
.49208 .47168 L
.49242 .47168 L
.49279 .47168 L
.49313 .47169 L
.49345 .47169 L
.49364 .47169 L
.49381 .47169 L
.4939 .47169 L
.494 .47169 L
.49409 .47169 L
.49418 .47169 L
.49426 .47169 L
.49434 .47169 L
.49442 .47169 L
.49451 .47169 L
.4946 .47169 L
.4947 .47169 L
.49487 .47169 L
.49505 .47169 L
.49525 .47169 L
.49561 .47169 L
.49604 .47168 L
.49642 .47168 L
.49718 .47167 L
.49788 .47166 L
.49946 .47163 L
.5009 .47158 L
.50249 .47153 L
.50563 .47138 L
.50868 .4712 L
.51196 .47096 L
Mistroke
.51515 .47067 L
.51825 .47036 L
.51832 .47035 L
Mfstroke
.45 .48333 m
.45241 .48392 L
.45507 .48453 L
.4576 .48508 L
.46006 .48558 L
.46271 .48608 L
.46529 .48653 L
.46807 .48698 L
.47079 .48738 L
.47344 .48772 L
.47629 .48806 L
.47907 .48834 L
.48178 .48858 L
.4847 .48879 L
.48755 .48895 L
.48901 .48902 L
.49062 .48908 L
.49219 .48913 L
.49362 .48917 L
.49439 .48918 L
.49512 .48919 L
.49589 .4892 L
.49633 .4892 L
.49673 .48921 L
.49692 .48921 L
.49709 .48921 L
.49719 .48921 L
.4973 .48921 L
.49739 .48921 L
.49748 .48921 L
.49757 .48921 L
.49766 .48921 L
.49775 .48921 L
.49785 .48921 L
.49793 .48921 L
.49802 .48921 L
.4981 .48921 L
.49819 .48921 L
.49829 .48921 L
.4984 .48921 L
.49859 .48921 L
.49879 .48921 L
.49902 .48921 L
.49942 .4892 L
.49979 .4892 L
.50055 .48919 L
.50126 .48918 L
.50289 .48915 L
.5045 .48911 L
.50598 .48906 L
Mistroke
.50919 .48891 L
.51231 .48873 L
.51568 .48849 L
.51897 .48821 L
.519 .48821 L
Mfstroke
.45 .5 m
.45233 .50063 L
.45491 .5013 L
.45737 .5019 L
.45976 .50245 L
.46234 .503 L
.46486 .50351 L
.46758 .50402 L
.47024 .50447 L
.47283 .50487 L
.47563 .50526 L
.47836 .50561 L
.48103 .5059 L
.48391 .50618 L
.48673 .5064 L
.48977 .5066 L
.49131 .50668 L
.49274 .50674 L
.49423 .5068 L
.49565 .50685 L
.4964 .50686 L
.49723 .50688 L
.49797 .5069 L
.49867 .50691 L
.49941 .50691 L
.4998 .50692 L
.50023 .50692 L
.50044 .50692 L
.50067 .50692 L
.50078 .50692 L
.50089 .50692 L
.50099 .50692 L
.50104 .50692 L
.50109 .50692 L
.50119 .50692 L
.50128 .50692 L
.50137 .50692 L
.50147 .50692 L
.50157 .50692 L
.50163 .50692 L
.50168 .50692 L
.50179 .50692 L
.50188 .50692 L
.50207 .50692 L
.50225 .50692 L
.50265 .50692 L
.50305 .50692 L
.50347 .50691 L
.50424 .5069 L
.50495 .50689 L
Mistroke
.50648 .50686 L
.50816 .50682 L
.5115 .50669 L
.51477 .50652 L
.51818 .5063 L
Mfstroke
.45 .51667 m
.45221 .51735 L
.45466 .51807 L
.45699 .51872 L
.45926 .51932 L
.46172 .51994 L
.46412 .5205 L
.46671 .52107 L
.46925 .52158 L
.47172 .52205 L
.4744 .52251 L
.47702 .52292 L
.47959 .52328 L
.48236 .52362 L
.48507 .52392 L
.48801 .5242 L
.49088 .52442 L
.49369 .5246 L
.49529 .52468 L
.49674 .52474 L
.49829 .5248 L
.49972 .52484 L
.50121 .52487 L
.502 .52489 L
.50243 .52489 L
.50283 .5249 L
.50319 .5249 L
.50358 .5249 L
.50379 .5249 L
.50399 .5249 L
.50419 .52491 L
.50438 .52491 L
.50454 .52491 L
.50463 .52491 L
.50471 .52491 L
.5048 .52491 L
.50489 .52491 L
.50499 .52491 L
.50508 .52491 L
.50518 .52491 L
.50527 .52491 L
.50535 .52491 L
.50544 .52491 L
.50565 .52491 L
.50583 .52491 L
.5062 .5249 L
.50661 .5249 L
.50733 .52489 L
.5082 .52488 L
.509 .52487 L
Mistroke
.51055 .52484 L
.51225 .52479 L
.51564 .52466 L
.5157 .52465 L
Mfstroke
.45 .53333 m
.45204 .53406 L
.4543 .53484 L
.45645 .53554 L
.45855 .5362 L
.46083 .53687 L
.46305 .5375 L
.46545 .53813 L
.4678 .53871 L
.4701 .53925 L
.47259 .53978 L
.47503 .54027 L
.47742 .54071 L
.48001 .54114 L
.48254 .54152 L
.48528 .54189 L
.48798 .5422 L
.49062 .54247 L
.49348 .54272 L
.49629 .54291 L
.49934 .54308 L
.50089 .54314 L
.50233 .54319 L
.50375 .54323 L
.50448 .54325 L
.50527 .54326 L
.50606 .54327 L
.50678 .54328 L
.50713 .54328 L
.50752 .54329 L
.50769 .54329 L
.50788 .54329 L
.50804 .54329 L
.50821 .54329 L
.50831 .54329 L
.5084 .54329 L
.5085 .54329 L
.5086 .54329 L
.50869 .54329 L
.50878 .54329 L
.50886 .54329 L
.50895 .54329 L
.50905 .54329 L
.50915 .54329 L
.50936 .54329 L
.50956 .54329 L
.50975 .54329 L
.51011 .54329 L
.51045 .54328 L
.5112 .54328 L
Mistroke
.51142 .54327 L
Mfstroke
.45 .55 m
.45182 .55078 L
.45384 .55161 L
.45576 .55237 L
.45763 .55308 L
.45966 .55382 L
.46165 .55451 L
.46379 .55521 L
.46589 .55587 L
.46795 .55648 L
.47018 .5571 L
.47236 .55767 L
.4745 .55819 L
.47682 .55871 L
.47909 .55919 L
.48155 .55966 L
.48397 .56009 L
.48635 .56046 L
.48893 .56083 L
.49146 .56114 L
.49421 .56144 L
.49692 .56169 L
.49958 .56189 L
.50247 .56206 L
.50517 .56218 L
s
.45 .56667 m
.45155 .5675 L
.45327 .56838 L
.45491 .5692 L
.4565 .56997 L
.45823 .57077 L
.45991 .57153 L
.46173 .57231 L
.46351 .57304 L
.46525 .57373 L
.46714 .57444 L
.46899 .5751 L
.4708 .57572 L
.47276 .57635 L
.47468 .57693 L
.47676 .57753 L
.47881 .57807 L
.48082 .57857 L
.483 .57907 L
.48514 .57953 L
.48747 .57998 L
.48976 .58038 L
.49201 .58074 L
.49446 .58109 L
.49675 .58137 L
s
.45 .58333 m
.45124 .58421 L
.4526 .58516 L
.45389 .58603 L
.45515 .58686 L
.45651 .58773 L
.45783 .58856 L
.45925 .58942 L
.46064 .59024 L
.46199 .59101 L
.46345 .59182 L
.46488 .59258 L
.46628 .5933 L
.46778 .59404 L
.46926 .59474 L
.47085 .59547 L
.47241 .59615 L
.47394 .59679 L
.4756 .59745 L
.47722 .59806 L
.47898 .59869 L
.48072 .59928 L
.48242 .59982 L
.48426 .60037 L
.48599 .60085 L
s
.45 .6 m
.45087 .60093 L
.45182 .60193 L
.45272 .60287 L
.45358 .60376 L
.45451 .6047 L
.4554 .6056 L
.45635 .60655 L
.45727 .60745 L
.45815 .60832 L
.4591 .60923 L
.46002 .61009 L
.46091 .61092 L
.46186 .61179 L
.46278 .61262 L
.46376 .61349 L
.46472 .61432 L
.46565 .61511 L
.46664 .61594 L
.46761 .61673 L
.46864 .61756 L
.46965 .61834 L
.47063 .61909 L
.47168 .61987 L
.47266 .62057 L
s
.45 .61667 m
.45046 .61764 L
.45094 .61871 L
.45138 .6197 L
.45179 .62066 L
.45222 .62167 L
.45261 .62265 L
.45301 .62369 L
.45338 .62468 L
.45372 .62564 L
.45406 .62666 L
.45438 .62764 L
.45466 .62858 L
.45494 .62958 L
.4552 .63055 L
.45545 .63157 L
.45566 .63256 L
.45585 .63351 L
.45603 .63452 L
.45618 .6355 L
.45631 .63654 L
.45641 .63754 L
.45648 .63851 L
.45651 .63901 L
.45652 .63926 L
.45653 .63954 L
.45653 .63979 L
.45654 .64002 L
.45654 .64014 L
.45654 .64019 L
.45654 .64026 L
.45654 .64031 L
.45654 .64037 L
.45654 .6404 L
.45654 .64043 L
.45654 .64048 L
s
.45 .63333 m
.45 .63339 L
.45 .63346 L
.45 .63349 L
.45 .63352 L
.45 .63354 L
.45 .63357 L
.45 .6336 L
.45 .63364 L
.45 .63367 L
.45 .6337 L
.45 .63373 L
.45 .63376 L
.45 .6338 L
.45 .63383 L
.45 .6339 L
.45 .63396 L
.45 .63408 L
.45 .63423 L
.44999 .63436 L
.44999 .63464 L
.44998 .63494 L
.44995 .63548 L
.44992 .63601 L
.44988 .63658 L
.44978 .6376 L
.44963 .63869 L
.44945 .63974 L
.44922 .64087 L
.44896 .64196 L
.44866 .64301 L
.4483 .64414 L
.44791 .64523 L
.44749 .64629 L
.44699 .64743 L
.44645 .64853 L
.44583 .64971 L
.44517 .65085 L
.44447 .65197 L
.44367 .65316 L
.44283 .65432 L
.44186 .65557 L
.44085 .65678 L
.43981 .65796 L
.43862 .65923 L
.43744 .66042 L
s
.45 .65 m
.44948 .65108 L
.44886 .65226 L
.44821 .65338 L
.44754 .65447 L
.44676 .65564 L
.44594 .65678 L
.44499 .658 L
.44401 .65919 L
.44299 .66034 L
.44183 .66159 L
.44062 .6628 L
.43938 .66398 L
.43797 .66525 L
.43652 .66649 L
.43487 .66783 L
.43317 .66913 L
.43143 .6704 L
.42947 .67177 L
.42745 .67311 L
.42517 .67454 L
.42283 .67595 L
.42045 .67731 L
.41775 .67878 L
.41514 .68014 L
s
.45 .66667 m
.44892 .66779 L
.44766 .66904 L
.44638 .67022 L
.44507 .67138 L
.44357 .67263 L
.44204 .67385 L
.4403 .67516 L
.4385 .67645 L
.43667 .67771 L
.43459 .67907 L
.43246 .6804 L
.43029 .68169 L
.42783 .68309 L
.42532 .68446 L
.42249 .68593 L
.41959 .68737 L
.41665 .68877 L
.41332 .69027 L
.40993 .69174 L
.40612 .6933 L
.40222 .69482 L
.39826 .69628 L
.3938 .69783 L
.3895 .69924 L
s
.45 .68333 m
.44831 .68451 L
.44634 .68582 L
.44438 .68707 L
.44236 .68829 L
.44009 .68962 L
.43776 .69093 L
.43512 .69234 L
.43243 .69372 L
.42968 .69508 L
.42657 .69654 L
.4234 .69798 L
.42017 .69938 L
.41653 .70089 L
.41282 .70236 L
.40864 .70394 L
.40437 .70547 L
.40004 .70695 L
.39516 .70853 L
.39019 .71003 L
.38461 .71161 L
.37892 .7131 L
.37315 .71449 L
.36667 .7159 L
.36044 .71712 L
s
.45 .7 m
.44765 .70123 L
.44492 .7026 L
.4422 .70392 L
.43942 .70521 L
.43629 .70662 L
.43308 .70801 L
.42947 .70951 L
.42577 .71099 L
.422 .71244 L
.41775 .714 L
.41341 .71553 L
.409 .71702 L
.40402 .71861 L
.39896 .72015 L
.39326 .72178 L
.38745 .72334 L
.38154 .72481 L
.3749 .72633 L
.36815 .72773 L
.36058 .72913 L
.35288 .73036 L
.34508 .73139 L
.34098 .73185 L
.33636 .7323 L
.328 .73291 L
s
.45 .71667 m
.44694 .71795 L
.44339 .71938 L
.43985 .72076 L
.43624 .72213 L
.43217 .72362 L
.42801 .72509 L
.42332 .72668 L
.41852 .72825 L
.41362 .72978 L
.4081 .73143 L
.40247 .73303 L
.39674 .73457 L
.39028 .7362 L
.38371 .73774 L
.37631 .73934 L
.36876 .74081 L
.36111 .74214 L
.35251 .74342 L
.34379 .74449 L
.33916 .74496 L
.33402 .7454 L
.32892 .74575 L
.32645 .74589 L
.32411 .746 L
.32161 .74609 L
.31929 .74616 L
.31796 .74619 L
.3167 .74621 L
.31604 .74622 L
.31535 .74623 L
.31499 .74623 L
.31459 .74623 L
.31422 .74624 L
.31388 .74624 L
.31358 .74624 L
.31325 .74624 L
.31307 .74624 L
.3129 .74624 L
.31257 .74624 L
.31223 .74624 L
.31191 .74624 L
.31156 .74624 L
.31119 .74624 L
.31057 .74623 L
.31 .74623 L
.30869 .74621 L
.30726 .74618 L
.30595 .74615 L
.30298 .74606 L
Mistroke
.30039 .74594 L
.29798 .74581 L
.29242 .74541 L
Mfstroke
.45 .73333 m
.44618 .73466 L
.44175 .73616 L
.43733 .73761 L
.43282 .73905 L
.42773 .74062 L
.42253 .74217 L
.41666 .74385 L
.41065 .74549 L
.40452 .74709 L
.39761 .7488 L
.39055 .75043 L
.38336 .75198 L
.37526 .75358 L
.36702 .75504 L
.35774 .75648 L
.34829 .7577 L
.33871 .75869 L
.33358 .7591 L
.32797 .75946 L
.32517 .7596 L
.32209 .75973 L
.32067 .75977 L
.31915 .75982 L
.31772 .75985 L
.31641 .75988 L
.31574 .75989 L
.31501 .75989 L
.31439 .7599 L
.31369 .75991 L
.31331 .75991 L
.31295 .75991 L
.31257 .75991 L
.31236 .75991 L
.31216 .75991 L
.31183 .75991 L
.31147 .75991 L
.31109 .75991 L
.31074 .75991 L
.3104 .75991 L
.31004 .75991 L
.30938 .7599 L
.30873 .7599 L
.30814 .75989 L
.30678 .75987 L
.30533 .75984 L
.3025 .75976 L
.29943 .75964 L
.2965 .75949 L
.29379 .75932 L
Mistroke
.28782 .75884 L
.28119 .75813 L
.27421 .75717 L
.26778 .75609 L
.25445 .75319 L
.2542 .75313 L
Mfstroke
.45 .75 m
.44537 .75138 L
.44 .75294 L
.43463 .75446 L
.42916 .75597 L
.42297 .75762 L
.41664 .75924 L
.40949 .761 L
.40217 .76271 L
.39469 .76435 L
.38625 .76608 L
.37762 .7677 L
.36883 .76919 L
.35894 .77066 L
.34886 .77192 L
.34352 .77247 L
.33753 .77301 L
.33156 .77345 L
.32601 .77376 L
.32297 .7739 L
.32007 .774 L
.31857 .77404 L
.31698 .77407 L
.31614 .77409 L
.31522 .7741 L
.31437 .77412 L
.31358 .77412 L
.3128 .77413 L
.31238 .77413 L
.31194 .77414 L
.31155 .77414 L
.31119 .77414 L
.31079 .77414 L
.31057 .77414 L
.31036 .77414 L
.31001 .77414 L
.30968 .77414 L
.30931 .77413 L
.30892 .77413 L
.30812 .77413 L
.30739 .77412 L
.30573 .7741 L
.30479 .77408 L
.30392 .77406 L
.3006 .77396 L
.29739 .77383 L
.29436 .77367 L
.28734 .77318 L
.2803 .77248 L
.27373 .77165 L
Mistroke
.25927 .76916 L
.24492 .76568 L
.22927 .76061 L
.21414 .75427 L
Mfstroke
.45 .76667 m
.44451 .7681 L
.43813 .76973 L
.43176 .77132 L
.42524 .77289 L
.41787 .77462 L
.41033 .77631 L
.4018 .77813 L
.39304 .77988 L
.3841 .78154 L
.37399 .78325 L
.36366 .78479 L
.35314 .78613 L
.34128 .78734 L
.3356 .7878 L
.32922 .78821 L
.32569 .78839 L
.32237 .78854 L
.31915 .78864 L
.31735 .78869 L
.31568 .78872 L
.31399 .78875 L
.31313 .78876 L
.31219 .78877 L
.31169 .78877 L
.31124 .78877 L
.31098 .78877 L
.31071 .78877 L
.31045 .78878 L
.31021 .78878 L
.30979 .78878 L
.30954 .78878 L
.30931 .78878 L
.30907 .78878 L
.30885 .78878 L
.30861 .78877 L
.30836 .78877 L
.30792 .78877 L
.30752 .78877 L
.30662 .78876 L
.30579 .78875 L
.305 .78874 L
.30322 .78871 L
.30127 .78866 L
.29789 .78855 L
.29412 .78839 L
.29014 .78815 L
.28637 .78788 L
.27873 .78717 L
.2716 .78631 L
Mistroke
.26351 .78508 L
.25588 .78365 L
.24025 .77989 L
.22383 .77457 L
.20607 .76699 L
.18883 .75751 L
.17339 .74692 L
Mfstroke
.45 .78333 m
.4436 .78482 L
.43616 .78651 L
.4287 .78817 L
.42108 .78981 L
.41244 .79161 L
.40359 .79336 L
.39357 .79523 L
.38327 .797 L
.37274 .79864 L
.36083 .80026 L
.34865 .80163 L
.33625 .8027 L
.32962 .80313 L
.32584 .80333 L
.32228 .80348 L
.31865 .80359 L
.31672 .80364 L
.31464 .80368 L
.31368 .8037 L
.31264 .80371 L
.31165 .80372 L
.31118 .80372 L
.31075 .80373 L
.31031 .80373 L
.30992 .80373 L
.30948 .80373 L
.30901 .80373 L
.30856 .80373 L
.30807 .80373 L
.3076 .80373 L
.30717 .80373 L
.30673 .80373 L
.30626 .80373 L
.30542 .80372 L
.30451 .80371 L
.30352 .80369 L
.30173 .80366 L
.30005 .80362 L
.29619 .8035 L
.292 .80331 L
.28793 .80308 L
.28345 .80275 L
.27518 .80197 L
.26685 .80092 L
.25785 .79949 L
.2412 .79592 L
.22295 .79049 L
.20501 .78337 L
.18575 .77338 L
Mistroke
.16725 .76106 L
.14977 .74641 L
.13337 .72932 L
Mfstroke
.45 .8 m
.44264 .80154 L
.43407 .8033 L
.42547 .80502 L
.41666 .80673 L
.40667 .80859 L
.39642 .8104 L
.38479 .81229 L
.37283 .81405 L
.36059 .81561 L
.34674 .81706 L
.33953 .81767 L
.33257 .81815 L
.32572 .81852 L
.32179 .81868 L
.31815 .8188 L
.31628 .81884 L
.31427 .81888 L
.31329 .8189 L
.31236 .81891 L
.31153 .81892 L
.31062 .81893 L
.31013 .81893 L
.3096 .81894 L
.30931 .81894 L
.30905 .81894 L
.30853 .81894 L
.30805 .81894 L
.30754 .81894 L
.30705 .81894 L
.30659 .81894 L
.30607 .81894 L
.30558 .81894 L
.30504 .81893 L
.30446 .81893 L
.30327 .81892 L
.30217 .8189 L
.30021 .81886 L
.29809 .81881 L
.29425 .81869 L
.28963 .81848 L
.28537 .81823 L
.27694 .81756 L
.26758 .81653 L
.25844 .81523 L
.24857 .81345 L
.23032 .80907 L
.21036 .80244 L
.19081 .79376 L
.16993 .78163 L
Mistroke
.15002 .7667 L
.13139 .74898 L
.11255 .72622 L
.09574 .70033 L
.09566 .7002 L
Mfstroke
.45 .81667 m
.44162 .81826 L
.43186 .82008 L
.42205 .82187 L
.41199 .82365 L
.40056 .82556 L
.3888 .82741 L
.37546 .8293 L
.36172 .831 L
.34764 .83242 L
.34019 .83304 L
.33171 .8336 L
.32775 .83381 L
.32342 .83401 L
.31927 .83415 L
.31541 .83425 L
.31338 .83429 L
.31225 .83431 L
.31119 .83432 L
.31019 .83433 L
.30967 .83434 L
.30911 .83434 L
.30864 .83434 L
.30812 .83435 L
.30765 .83435 L
.30721 .83435 L
.30665 .83435 L
.30633 .83435 L
.30603 .83435 L
.30549 .83435 L
.30491 .83435 L
.3044 .83434 L
.30391 .83434 L
.3028 .83433 L
.3016 .83432 L
.3005 .8343 L
.298 .83425 L
.29586 .8342 L
.29356 .83412 L
.28937 .83395 L
.28432 .83368 L
.27968 .83336 L
.27047 .83253 L
.26025 .83127 L
.25027 .82969 L
.23949 .82754 L
.21959 .82229 L
.19786 .81435 L
.17665 .80397 L
.15412 .78946 L
Mistroke
.13282 .77162 L
.11311 .7505 L
.09348 .72347 L
.07634 .69292 L
.06176 .65911 L
Mfstroke
.45 .83333 m
.44056 .83497 L
.42954 .83687 L
.41845 .83872 L
.40706 .84056 L
.39409 .84252 L
.38074 .84438 L
.36556 .84625 L
.34992 .84783 L
.34241 .84845 L
.33388 .84903 L
.32521 .84948 L
.32036 .84967 L
.31573 .8498 L
.31345 .84985 L
.31224 .84987 L
.31094 .84989 L
.30969 .8499 L
.30855 .84991 L
.308 .84991 L
.3074 .84992 L
.30684 .84992 L
.30632 .84992 L
.30581 .84992 L
.30527 .84992 L
.30475 .84992 L
.30428 .84992 L
.30373 .84992 L
.30313 .84991 L
.30204 .8499 L
.30089 .84989 L
.29966 .84988 L
.29746 .84984 L
.29508 .84978 L
.29288 .84972 L
.28789 .84953 L
.28343 .8493 L
.27868 .84899 L
.26849 .84811 L
.25878 .84696 L
.24773 .84527 L
.23749 .8433 L
.21487 .83745 L
.19252 .82933 L
.16841 .81743 L
.14522 .8022 L
.12338 .78356 L
.1011 .75894 L
.08116 .73031 L
.06214 .69445 L
Mistroke
.04647 .65482 L
.03421 .61244 L
.03282 .60657 L
Mfstroke
.45 .85 m
.43945 .85169 L
.42711 .85365 L
.41466 .85557 L
.40186 .85746 L
.38727 .85947 L
.37222 .86132 L
.35509 .86311 L
.34605 .86389 L
.33742 .86451 L
.32876 .86501 L
.32424 .86521 L
.3193 .86539 L
.31674 .86546 L
.3143 .86552 L
.31209 .86556 L
.31081 .86558 L
.30965 .8656 L
.30847 .86561 L
.30734 .86561 L
.30673 .86562 L
.30616 .86562 L
.30553 .86562 L
.30486 .86562 L
.30433 .86562 L
.30376 .86562 L
.30322 .86562 L
.30272 .86562 L
.30214 .86562 L
.30151 .86561 L
.30036 .8656 L
.29915 .86559 L
.29785 .86557 L
.29548 .86553 L
.29264 .86546 L
.29002 .86537 L
.28456 .86515 L
.27873 .86481 L
.26781 .86394 L
.25741 .86278 L
.24556 .86104 L
.23456 .85899 L
.22201 .85609 L
.21024 .85278 L
.18619 .84403 L
.1612 .8316 L
.13722 .81572 L
.11226 .79394 L
.08938 .76771 L
.06695 .7338 L
Mistroke
.04786 .6952 L
.03234 .65284 L
.02504 .62716 L
.01931 .60279 L
.01034 .55069 L
.00947 .54402 L
Mfstroke
.45 .86667 m
.43828 .86841 L
.42456 .87044 L
.41069 .87242 L
.3964 .87436 L
.38008 .87639 L
.36324 .87822 L
.3542 .87906 L
.34403 .87987 L
.33477 .88049 L
.32936 .88078 L
.32421 .88101 L
.31927 .88119 L
.3167 .88126 L
.31387 .88133 L
.31232 .88136 L
.31087 .88138 L
.30937 .8814 L
.308 .88142 L
.30735 .88142 L
.30665 .88143 L
.30604 .88143 L
.30537 .88143 L
.30465 .88144 L
.30426 .88144 L
.3039 .88144 L
.30324 .88144 L
.30254 .88144 L
.30187 .88143 L
.30149 .88143 L
.30114 .88143 L
.30035 .88143 L
.29964 .88142 L
.29833 .88141 L
.29693 .88139 L
.29392 .88133 L
.29072 .88125 L
.28525 .88106 L
.27918 .88076 L
.27316 .88037 L
.26761 .87992 L
.25491 .87857 L
.243 .87686 L
.22978 .8744 L
.21715 .87146 L
.203 .86742 L
.17649 .85737 L
.14901 .8429 L
.12273 .82421 L
.09565 .79843 L
Mistroke
.07115 .76723 L
.04974 .73106 L
.03003 .686 L
.01459 .63672 L
.00775 .60759 L
.00239 .57901 L
Mfstroke
.00239 .57901 m
0 .56267 L
s
.45 .88333 m
.43707 .88513 L
.42189 .88722 L
.40653 .88927 L
.39067 .89125 L
.37254 .89328 L
.35379 .89505 L
.34372 .89582 L
.33239 .89652 L
.32695 .89678 L
.32108 .89702 L
.31599 .89717 L
.31306 .89724 L
.31029 .89729 L
.30881 .89731 L
.30744 .89732 L
.30592 .89733 L
.30507 .89734 L
.3047 .89734 L
.3043 .89734 L
.30356 .89734 L
.30288 .89734 L
.30214 .89734 L
.30172 .89734 L
.30133 .89734 L
.30062 .89734 L
.29998 .89734 L
.29923 .89733 L
.29851 .89733 L
.29719 .89731 L
.29578 .8973 L
.29324 .89725 L
.29048 .89719 L
.28741 .8971 L
.28123 .89686 L
.27547 .89655 L
.26907 .8961 L
.26223 .89552 L
.24935 .89405 L
.23707 .8922 L
.22309 .88949 L
.21013 .88636 L
.1816 .87705 L
.15361 .86408 L
.12381 .845 L
.09577 .82058 L
.07016 .79082 L
.04519 .75188 L
.02421 .70732 L
.0149 .6821 L
Mistroke
.00593 .65279 L
Mfstroke
.00593 .65279 m
0 .62898 L
s
.45 .9 m
.4358 .90185 L
.4191 .90401 L
.40217 .90611 L
.38467 .90812 L
.36462 .91015 L
.34386 .91181 L
.33188 .91252 L
.32624 .91279 L
.32014 .91302 L
.31446 .91318 L
.31119 .91324 L
.3096 .91327 L
.30809 .91329 L
.30673 .9133 L
.30601 .91331 L
.30523 .91332 L
.30452 .91332 L
.30387 .91332 L
.30322 .91333 L
.3026 .91333 L
.30188 .91333 L
.30111 .91333 L
.30045 .91333 L
.29973 .91333 L
.29895 .91332 L
.29812 .91332 L
.2966 .9133 L
.29498 .91329 L
.29325 .91326 L
.29011 .9132 L
.28672 .91311 L
.28294 .91298 L
.27609 .91266 L
.26957 .91226 L
.25576 .91106 L
.24276 .90946 L
.22915 .90725 L
.21392 .90407 L
.19797 .89985 L
.18322 .89504 L
.15295 .88199 L
.12179 .86314 L
.09237 .83876 L
.0626 .80515 L
.03642 .76473 L
.01442 .71831 L
.00382 .68942 L
s
.00382 .68942 m
0 .67686 L
s
.45 .91667 m
.43448 .91857 L
.4162 .92079 L
.39763 .92295 L
.37839 .92499 L
.35632 .92697 L
.34556 .92776 L
.33345 .92849 L
.32664 .92881 L
.32024 .92905 L
.31401 .92922 L
.31083 .92929 L
.30914 .92932 L
.30729 .92934 L
.30553 .92936 L
.30466 .92937 L
.30388 .92937 L
.30306 .92938 L
.3023 .92938 L
.30148 .92938 L
.30103 .92938 L
.3006 .92938 L
.29986 .92938 L
.29917 .92938 L
.29841 .92938 L
.29759 .92937 L
.29673 .92937 L
.29591 .92936 L
.29438 .92934 L
.29267 .92932 L
.29085 .92929 L
.28756 .92922 L
.28399 .92912 L
.28002 .92897 L
.2729 .92863 L
.26628 .9282 L
.25843 .92757 L
.25102 .92683 L
.23678 .92499 L
.2208 .92224 L
.20464 .91861 L
.18968 .91441 L
.17268 .90856 L
.15682 .90192 L
.12483 .88449 L
.09242 .85991 L
.06251 .82886 L
.03309 .787 L
.00823 .73787 L
s
.00823 .73787 m
0 .71669 L
s
.46667 .08333 m
.45625 .08267 L
.44526 .08207 L
.43529 .08161 L
.42601 .08124 L
.41647 .0809 L
.40759 .08061 L
.39848 .08031 L
.39002 .08 L
.38214 .07967 L
.37405 .07926 L
.36652 .07878 L
.3595 .07822 L
.35226 .07751 L
.34551 .07669 L
.33854 .07564 L
.33202 .07446 L
.32591 .07313 L
.31957 .07151 L
.31361 .06971 L
.30741 .06755 L
.30155 .06519 L
.296 .06264 L
.29018 .05963 L
.28491 .05659 L
s
.46667 .1 m
.45732 .09937 L
.44744 .09881 L
.43845 .09837 L
.43007 .09803 L
.42143 .09771 L
.41338 .09745 L
.40511 .0972 L
.3974 .09696 L
.39022 .09671 L
.38283 .09641 L
.37594 .09607 L
.36952 .09568 L
.36289 .09519 L
.3567 .09462 L
.35032 .09389 L
.34434 .09306 L
.33875 .09213 L
.33294 .09098 L
.32749 .08971 L
.32183 .08817 L
.3165 .08648 L
.31146 .08466 L
.3062 .08249 L
.30145 .0803 L
s
.46667 .11667 m
.45834 .11608 L
.44952 .11555 L
.44148 .11514 L
.43397 .11481 L
.42621 .11452 L
.41897 .11429 L
.41151 .11407 L
.40455 .11387 L
.39805 .11369 L
.39135 .11348 L
.3851 .11325 L
.37927 .11299 L
.37324 .11266 L
.3676 .11229 L
.36178 .11181 L
.35634 .11126 L
.35124 .11064 L
.34596 .10987 L
.341 .10902 L
.33586 .10797 L
.33102 .10681 L
.32646 .10556 L
.3217 .10407 L
.31743 .10255 L
s
.46667 .13333 m
.45932 .13279 L
.45152 .13229 L
.44439 .13191 L
.43772 .1316 L
.43082 .13133 L
.42436 .13111 L
.41769 .13092 L
.41146 .13076 L
.40563 .13062 L
.39961 .13047 L
.39399 .13032 L
.38873 .13016 L
.38329 .12996 L
.3782 .12974 L
.37294 .12945 L
.36802 .12912 L
.3634 .12874 L
.35862 .12826 L
.35414 .12772 L
.34949 .12705 L
.34513 .12631 L
.34102 .12551 L
.33674 .12453 L
.33291 .12354 L
s
.46667 .15 m
.46025 .1495 L
.45343 .14904 L
.44718 .14867 L
.44132 .14838 L
.43524 .14813 L
.42954 .14793 L
.42365 .14776 L
.41812 .14762 L
.41295 .14751 L
.4076 .14741 L
.40259 .14732 L
.3979 .14723 L
.39304 .14712 L
.38849 .147 L
.38378 .14685 L
.37937 .14668 L
.37523 .14647 L
.37095 .14621 L
.36693 .14591 L
.36276 .14554 L
.35884 .14511 L
.35516 .14464 L
.35134 .14406 L
.34792 .14347 L
s
.46667 .16667 m
.46114 .16621 L
.45525 .16578 L
.44984 .16544 L
.44476 .16517 L
.43948 .16493 L
.43452 .16474 L
.42937 .16458 L
.42454 .16447 L
.42001 .16438 L
.41531 .1643 L
.41091 .16425 L
.40677 .1642 L
.40249 .16416 L
.39846 .16411 L
.3943 .16406 L
.39039 .16399 L
.38673 .16391 L
.38292 .16381 L
.37936 .16368 L
.37566 .16351 L
.37218 .16331 L
.36892 .16309 L
.36552 .1628 L
.36249 .1625 L
s
.46667 .18333 m
.46198 .18292 L
.45698 .18252 L
.45238 .18221 L
.44804 .18196 L
.44353 .18173 L
.43928 .18155 L
.43486 .18141 L
.4307 .1813 L
.4268 .18122 L
.42485 .18119 L
.42274 .18116 L
.42074 .18114 L
.41892 .18112 L
.41708 .18111 L
.41605 .18111 L
.41511 .1811 L
.41418 .1811 L
.41335 .1811 L
.41242 .1811 L
.41192 .1811 L
.41144 .1811 L
.41102 .1811 L
.41078 .1811 L
.41056 .18109 L
.41044 .18109 L
.41032 .18109 L
.41022 .18109 L
.41011 .18109 L
.41005 .18109 L
.40999 .18109 L
.40988 .18109 L
.40981 .18109 L
.40975 .18109 L
.40968 .18109 L
.40962 .18109 L
.40953 .18109 L
.40942 .18109 L
.40933 .18109 L
.40924 .18109 L
.40902 .18109 L
.40882 .1811 L
.40841 .1811 L
.40797 .1811 L
.40713 .1811 L
.40621 .1811 L
.40437 .1811 L
.40255 .1811 L
.40091 .18111 L
.40011 .18111 L
Mistroke
.39968 .18111 L
.39923 .18111 L
.39901 .18111 L
.3988 .18111 L
.3986 .18111 L
.39842 .18111 L
.39824 .18111 L
.39815 .18111 L
.39805 .18111 L
.39796 .18111 L
.39785 .18111 L
.39775 .18111 L
.39766 .18111 L
.39756 .18111 L
.39747 .18111 L
.39737 .18111 L
.39726 .18111 L
.39704 .18111 L
.39684 .18111 L
.39647 .18111 L
.39609 .18111 L
.39567 .18111 L
.39528 .18111 L
.3944 .1811 L
.39355 .1811 L
.39276 .1811 L
.39129 .18109 L
.38971 .18108 L
.38829 .18106 L
.38685 .18105 L
.38529 .18102 L
.38229 .18096 L
.37947 .18088 L
.37666 .18078 L
Mfstroke
.46667 .2 m
.46278 .19963 L
.45862 .19927 L
.45478 .19898 L
.45116 .19874 L
.44739 .19853 L
.44382 .19836 L
.44011 .19822 L
.4366 .19812 L
.43331 .19804 L
.43163 .19801 L
.42987 .19799 L
.42826 .19797 L
.42754 .19797 L
.42676 .19796 L
.42592 .19796 L
.42553 .19796 L
.42512 .19796 L
.42472 .19795 L
.42435 .19795 L
.42417 .19795 L
.42398 .19795 L
.4239 .19795 L
.4238 .19795 L
.42372 .19795 L
.42364 .19795 L
.42353 .19795 L
.42344 .19795 L
.42339 .19795 L
.42333 .19795 L
.42328 .19795 L
.42322 .19795 L
.42312 .19795 L
.42303 .19795 L
.42283 .19795 L
.42266 .19795 L
.42247 .19795 L
.42209 .19795 L
.42168 .19796 L
.42124 .19796 L
.42046 .19796 L
.41966 .19796 L
.4188 .19797 L
.41726 .19798 L
.41419 .19802 L
.4113 .19806 L
.40858 .19811 L
.40575 .19816 L
.40309 .19822 L
.40033 .19827 L
Mistroke
.39773 .19832 L
.39529 .19837 L
.39274 .19841 L
.39043 .19844 L
Mfstroke
.46667 .21667 m
.46353 .21634 L
.46017 .21602 L
.45706 .21575 L
.45412 .21554 L
.45105 .21534 L
.44814 .21518 L
.4451 .21504 L
.44224 .21494 L
.43953 .21486 L
.43815 .21483 L
.4367 .2148 L
.43537 .21479 L
.43413 .21477 L
.43344 .21477 L
.4331 .21477 L
.43278 .21477 L
.43247 .21477 L
.43219 .21476 L
.43204 .21476 L
.43188 .21476 L
.43179 .21476 L
.43171 .21476 L
.43164 .21476 L
.43155 .21476 L
.43147 .21476 L
.43139 .21476 L
.43131 .21476 L
.43124 .21476 L
.43117 .21476 L
.43108 .21476 L
.43104 .21476 L
.431 .21476 L
.43091 .21476 L
.43076 .21476 L
.4306 .21476 L
.43032 .21476 L
.42999 .21477 L
.42968 .21477 L
.42898 .21477 L
.4283 .21477 L
.42766 .21478 L
.42648 .21479 L
.42407 .21483 L
.42157 .21489 L
.4192 .21495 L
.41698 .21502 L
.41466 .21511 L
.41247 .21519 L
.4102 .21529 L
Mistroke
.40806 .2154 L
.40605 .2155 L
.40395 .2156 L
.4038 .21561 L
Mfstroke
.46667 .23333 m
.46424 .23305 L
.46163 .23276 L
.45921 .23253 L
.45692 .23233 L
.45451 .23215 L
.45223 .23199 L
.44985 .23186 L
.44759 .23175 L
.44545 .23167 L
.44438 .23164 L
.44321 .23161 L
.4421 .23159 L
.4411 .23157 L
.44007 .23156 L
.4395 .23155 L
.43922 .23155 L
.43897 .23155 L
.43873 .23154 L
.43847 .23154 L
.43833 .23154 L
.43819 .23154 L
.43806 .23154 L
.43794 .23154 L
.43783 .23154 L
.43777 .23154 L
.43772 .23154 L
.43766 .23154 L
.43759 .23154 L
.43753 .23154 L
.43747 .23154 L
.43742 .23154 L
.43736 .23154 L
.4373 .23154 L
.43724 .23154 L
.43711 .23154 L
.43699 .23154 L
.43674 .23154 L
.43648 .23154 L
.43602 .23155 L
.43547 .23155 L
.43497 .23156 L
.434 .23157 L
.43297 .23158 L
.43096 .23163 L
.42906 .23169 L
.42727 .23175 L
.42541 .23184 L
.42364 .23193 L
.42181 .23204 L
Mistroke
.42008 .23215 L
.41845 .23226 L
.41679 .23239 L
Mfstroke
.46667 .25 m
.4649 .24976 L
.463 .24951 L
.46123 .24931 L
.45955 .24913 L
.45778 .24896 L
.4561 .24881 L
.45434 .24868 L
.45266 .24857 L
.45107 .24848 L
.44941 .24841 L
.44783 .24835 L
.44633 .24832 L
.44557 .2483 L
.44476 .24829 L
.44437 .24829 L
.44416 .24829 L
.44394 .24828 L
.44373 .24828 L
.44354 .24828 L
.44345 .24828 L
.44335 .24828 L
.44326 .24828 L
.44318 .24828 L
.44313 .24828 L
.44308 .24828 L
.44304 .24828 L
.443 .24828 L
.44295 .24828 L
.44293 .24828 L
.4429 .24828 L
.44285 .24828 L
.44281 .24828 L
.44276 .24828 L
.44272 .24828 L
.44264 .24828 L
.44256 .24828 L
.44246 .24828 L
.44227 .24828 L
.44206 .24828 L
.44169 .24829 L
.4413 .24829 L
.44089 .2483 L
.44015 .24831 L
.43942 .24832 L
.43865 .24834 L
.4373 .24838 L
.43588 .24844 L
.43453 .24851 L
.43313 .24859 L
Mistroke
.43181 .24868 L
.43055 .24878 L
.42937 .24888 L
Mfstroke
.46667 .26667 m
.46552 .26647 L
.46427 .26626 L
.46311 .26608 L
.46201 .26593 L
.46084 .26577 L
.45973 .26564 L
.45856 .26551 L
.45744 .2654 L
.45638 .2653 L
.45527 .26521 L
.4542 .26514 L
.45319 .26508 L
.45213 .26503 L
.45112 .26499 L
.45061 .26498 L
.45006 .26496 L
.44954 .26495 L
.44905 .26495 L
.44879 .26494 L
.44866 .26494 L
.44854 .26494 L
.44843 .26494 L
.44832 .26494 L
.4482 .26494 L
.44813 .26494 L
.44808 .26494 L
.44804 .26494 L
.44801 .26494 L
.44798 .26494 L
.44795 .26494 L
.44793 .26494 L
.44792 .26494 L
.4479 .26494 L
.44788 .26494 L
.44785 .26494 L
.44783 .26494 L
.44782 .26494 L
.44778 .26494 L
.44775 .26494 L
.4477 .26494 L
.44764 .26494 L
.44757 .26494 L
.44746 .26494 L
.44733 .26494 L
.44712 .26494 L
.44688 .26494 L
.44664 .26495 L
.44619 .26495 L
.44568 .26497 L
Mistroke
.4452 .26498 L
.4443 .26501 L
.44336 .26505 L
.44246 .2651 L
.44153 .26516 L
Mfstroke
.46667 .28333 m
.46609 .28318 L
.46545 .28301 L
.46486 .28286 L
.46429 .28273 L
.46369 .28259 L
.46312 .28247 L
.46251 .28235 L
.46193 .28223 L
.46137 .28213 L
.46078 .28203 L
.46021 .28194 L
.45968 .28186 L
.45911 .28177 L
.45856 .2817 L
.45799 .28163 L
.45744 .28157 L
.45692 .28152 L
.45637 .28147 L
.45584 .28143 L
.45529 .2814 L
.45476 .28137 L
.45426 .28134 L
.45401 .28133 L
.45373 .28132 L
.45325 .28131 L
s
.46667 .3 m
.46661 .29989 L
.46654 .29976 L
.46648 .29965 L
.46641 .29954 L
.46634 .29942 L
.46626 .29931 L
.46618 .29919 L
.4661 .29908 L
.46602 .29897 L
.46594 .29886 L
.46585 .29875 L
.46576 .29864 L
.46567 .29853 L
.46558 .29843 L
.46547 .29832 L
.46537 .29821 L
.46528 .29811 L
.46517 .298 L
.46507 .2979 L
.46495 .29779 L
.46484 .29769 L
.46473 .2976 L
.46461 .29749 L
.4645 .2974 L
s
.46667 .31667 m
.46709 .3166 L
.46754 .31652 L
.46795 .31643 L
.46835 .31635 L
.46877 .31625 L
.46916 .31616 L
.46957 .31605 L
.46996 .31594 L
.47034 .31582 L
.47072 .3157 L
.47109 .31557 L
.47144 .31545 L
.4718 .31531 L
.47214 .31517 L
.4725 .31502 L
.47283 .31487 L
.47315 .31472 L
.47348 .31455 L
.47379 .31439 L
.47411 .31421 L
.47441 .31403 L
.47469 .31386 L
.47499 .31366 L
.47525 .31349 L
s
.46667 .33333 m
.46708 .33332 L
.46752 .33331 L
.46844 .33327 L
.46926 .33322 L
.47013 .33316 L
.47096 .33309 L
.47184 .33301 L
.47268 .33291 L
.47348 .33281 L
.47432 .33269 L
.47512 .33257 L
.47589 .33243 L
.47669 .33228 L
.47746 .33212 L
.47827 .33194 L
.47903 .33176 L
.47976 .33157 L
.48052 .33136 L
.48125 .33115 L
.48201 .33091 L
.48273 .33067 L
.48341 .33042 L
.48413 .33015 L
.4848 .32988 L
.48544 .32962 L
s
.46667 .35 m
.46695 .35001 L
.46727 .35001 L
.4676 .35002 L
.4679 .35002 L
.46806 .35002 L
.46824 .35002 L
.46833 .35002 L
.46842 .35002 L
.46851 .35003 L
.46859 .35003 L
.46867 .35003 L
.46874 .35003 L
.46879 .35003 L
.46883 .35003 L
.46887 .35003 L
.46891 .35003 L
.46893 .35003 L
.46895 .35003 L
.46899 .35003 L
.46901 .35003 L
.46903 .35003 L
.46908 .35003 L
.46912 .35003 L
.46916 .35003 L
.46924 .35003 L
.46932 .35003 L
.46941 .35002 L
.46956 .35002 L
.46986 .35002 L
.4702 .35002 L
.47052 .35001 L
.47111 .35 L
.47176 .34998 L
.47302 .34994 L
.47423 .34988 L
.47551 .34979 L
.47674 .3497 L
.47791 .34959 L
.47915 .34945 L
.48033 .34931 L
.48158 .34913 L
.48278 .34895 L
.48392 .34875 L
.48512 .34853 L
.48627 .3483 L
.48737 .34806 L
.48852 .34778 L
.48962 .3475 L
.49078 .34719 L
Mistroke
.49188 .34687 L
.49293 .34654 L
.49403 .34618 L
.49503 .34583 L
Mfstroke
.46667 .36667 m
.46743 .3667 L
.46824 .36673 L
.46912 .36676 L
.46995 .36678 L
.47069 .3668 L
.47111 .3668 L
.47149 .36681 L
.47169 .36681 L
.4719 .36681 L
.47207 .36681 L
.47217 .36681 L
.47227 .36681 L
.47232 .36681 L
.47238 .36681 L
.47243 .36681 L
.47248 .36681 L
.47251 .36681 L
.47253 .36681 L
.47256 .36681 L
.47259 .36681 L
.47262 .36681 L
.47265 .36681 L
.4727 .36681 L
.47275 .36681 L
.4728 .36681 L
.47285 .36681 L
.4729 .36681 L
.47301 .36681 L
.47311 .36681 L
.47329 .36681 L
.4735 .36681 L
.47391 .3668 L
.4743 .3668 L
.47466 .36679 L
.47547 .36678 L
.47622 .36676 L
.47781 .3667 L
.47934 .36662 L
.48097 .36651 L
.48252 .36639 L
.48417 .36623 L
.48576 .36606 L
.48727 .36587 L
.48888 .36564 L
.49041 .3654 L
.49188 .36515 L
.49344 .36486 L
.49493 .36456 L
.4965 .36421 L
Mistroke
.498 .36385 L
.49944 .36349 L
.50095 .36307 L
.50239 .36266 L
.50391 .36219 L
.50395 .36217 L
Mfstroke
.46667 .38333 m
.46853 .38344 L
.47056 .38354 L
.47155 .38358 L
.47247 .3836 L
.47336 .38362 L
.47385 .38363 L
.47431 .38364 L
.4748 .38365 L
.47506 .38365 L
.47534 .38365 L
.47558 .38365 L
.47569 .38365 L
.4758 .38365 L
.47586 .38365 L
.47593 .38365 L
.47599 .38365 L
.47605 .38365 L
.47608 .38365 L
.47611 .38365 L
.47615 .38365 L
.47619 .38365 L
.47622 .38365 L
.47625 .38365 L
.47631 .38365 L
.47637 .38365 L
.47641 .38365 L
.47644 .38365 L
.47649 .38365 L
.47655 .38365 L
.47666 .38365 L
.47677 .38365 L
.47702 .38365 L
.47726 .38365 L
.47769 .38365 L
.47815 .38364 L
.47861 .38363 L
.47912 .38362 L
.48014 .3836 L
.48109 .38357 L
.4821 .38353 L
.48411 .38343 L
.48604 .3833 L
.48789 .38316 L
.48986 .38297 L
.49176 .38277 L
.49358 .38254 L
.49551 .38227 L
.49736 .38199 L
.49933 .38165 L
Mistroke
.50121 .3813 L
.50302 .38094 L
.50493 .38052 L
.50677 .38009 L
.50871 .37961 L
.51056 .37911 L
.51215 .37866 L
Mfstroke
.46667 .4 m
.46877 .40016 L
.47107 .4003 L
.47324 .4004 L
.47534 .40048 L
.47642 .4005 L
.47702 .40051 L
.47757 .40052 L
.47814 .40053 L
.47843 .40053 L
.47875 .40053 L
.47902 .40054 L
.47915 .40054 L
.47928 .40054 L
.47935 .40054 L
.47943 .40054 L
.4795 .40054 L
.47956 .40054 L
.47964 .40054 L
.47968 .40054 L
.47972 .40054 L
.47979 .40054 L
.47983 .40054 L
.47986 .40054 L
.47993 .40054 L
.48 .40054 L
.48006 .40054 L
.48012 .40054 L
.48027 .40054 L
.4804 .40054 L
.48065 .40054 L
.48091 .40053 L
.48145 .40053 L
.48176 .40053 L
.48205 .40052 L
.48317 .4005 L
.4842 .40048 L
.48641 .4004 L
.48853 .40029 L
.4908 .40015 L
.49298 .39998 L
.4953 .39976 L
.49754 .39952 L
.49969 .39926 L
.50199 .39894 L
.50419 .3986 L
.50631 .39825 L
.50856 .39783 L
.51073 .39741 L
.51303 .39691 L
Mistroke
.51524 .39641 L
.51735 .39589 L
.51956 .39531 L
Mfstroke
.46667 .41667 m
.46897 .41687 L
.47149 .41706 L
.47387 .4172 L
.47618 .41731 L
.47746 .41736 L
.47864 .4174 L
.47986 .41743 L
.48041 .41744 L
.48102 .41745 L
.48162 .41745 L
.48194 .41746 L
.48225 .41746 L
.48253 .41746 L
.48267 .41746 L
.48279 .41746 L
.48294 .41746 L
.48301 .41746 L
.48309 .41746 L
.48317 .41746 L
.48324 .41746 L
.48331 .41746 L
.48338 .41746 L
.48346 .41746 L
.48353 .41746 L
.48361 .41746 L
.48368 .41746 L
.48382 .41746 L
.48396 .41746 L
.48413 .41746 L
.4843 .41746 L
.48461 .41746 L
.48522 .41745 L
.48591 .41744 L
.4871 .41742 L
.4884 .41739 L
.48964 .41735 L
.49095 .41729 L
.49333 .41717 L
.49587 .417 L
.49833 .41681 L
.50094 .41656 L
.50347 .41628 L
.50591 .41598 L
.50851 .41562 L
.51102 .41523 L
.51344 .41482 L
.51601 .41435 L
.51849 .41387 L
.52113 .41331 L
Mistroke
.52367 .41273 L
.52608 .41215 L
Mfstroke
.46667 .43333 m
.46912 .43358 L
.47181 .43382 L
.47436 .43401 L
.47682 .43416 L
.47821 .43423 L
.47947 .43428 L
.4808 .43433 L
.48203 .43437 L
.48329 .4344 L
.48396 .43441 L
.48467 .43442 L
.4853 .43442 L
.48565 .43443 L
.48582 .43443 L
.48597 .43443 L
.48613 .43443 L
.48627 .43443 L
.48643 .43443 L
.48651 .43443 L
.4866 .43443 L
.48667 .43443 L
.48675 .43443 L
.48681 .43443 L
.48688 .43443 L
.48696 .43443 L
.48704 .43443 L
.48712 .43443 L
.48719 .43443 L
.48734 .43443 L
.48751 .43443 L
.48785 .43443 L
.48817 .43442 L
.48847 .43442 L
.48914 .43441 L
.48986 .4344 L
.49121 .43438 L
.49264 .43434 L
.49522 .43424 L
.49799 .43409 L
.50068 .43391 L
.50354 .43368 L
.50632 .43341 L
.50901 .43311 L
.51188 .43276 L
.51465 .43237 L
.51734 .43196 L
.5202 .43148 L
.52297 .43098 L
.52593 .43041 L
Mistroke
.52878 .42982 L
.53153 .42921 L
.53163 .42919 L
Mfstroke
.46667 .45 m
.46922 .4503 L
.47203 .45058 L
.47469 .45082 L
.47728 .45101 L
.48005 .45118 L
.48275 .4513 L
.48423 .45135 L
.48564 .45139 L
.48632 .45141 L
.48704 .45142 L
.48772 .45143 L
.48834 .45144 L
.48866 .45144 L
.48901 .45144 L
.4892 .45144 L
.48937 .45144 L
.48955 .45144 L
.48972 .45144 L
.48988 .45144 L
.48997 .45145 L
.49005 .45145 L
.49012 .45145 L
.4902 .45145 L
.49028 .45145 L
.49035 .45145 L
.49044 .45145 L
.49052 .45145 L
.4906 .45145 L
.49068 .45144 L
.49086 .45144 L
.49103 .45144 L
.49136 .45144 L
.49171 .45144 L
.49236 .45143 L
.49313 .45142 L
.49383 .45141 L
.4952 .45138 L
.49669 .45134 L
.49965 .45122 L
.50251 .45107 L
.50558 .45086 L
.50856 .45061 L
.51145 .45033 L
.51455 .44998 L
.51755 .44961 L
.52046 .4492 L
.52358 .44873 L
.5266 .44824 L
.52983 .44766 L
Mistroke
.53296 .44707 L
.53599 .44645 L
.53612 .44642 L
Mfstroke
.46667 .46667 m
.46927 .46701 L
.47215 .46735 L
.47488 .46763 L
.47753 .46787 L
.48039 .46808 L
.48317 .46824 L
.48459 .46832 L
.48615 .46838 L
.48753 .46843 L
.48906 .46847 L
.49052 .4685 L
.49132 .46851 L
.49207 .46851 L
.49244 .46852 L
.49263 .46852 L
.49284 .46852 L
.49304 .46852 L
.49322 .46852 L
.49331 .46852 L
.4934 .46852 L
.49349 .46852 L
.49358 .46852 L
.49366 .46852 L
.49374 .46852 L
.49382 .46852 L
.4939 .46852 L
.49398 .46852 L
.49408 .46852 L
.49425 .46852 L
.49443 .46852 L
.49462 .46852 L
.49496 .46852 L
.49533 .46851 L
.49566 .46851 L
.49642 .4685 L
.49709 .46849 L
.4978 .46848 L
.4993 .46844 L
.5007 .4684 L
.50369 .46828 L
.50691 .4681 L
.51005 .46788 L
.5131 .46763 L
.51637 .46731 L
.51955 .46696 L
.52264 .46658 L
.52596 .46613 L
.52919 .46565 L
.53265 .46509 L
Mistroke
.53601 .46451 L
.53927 .4639 L
.53944 .46387 L
Mfstroke
.46667 .48333 m
.46928 .48372 L
.47217 .48411 L
.47491 .48444 L
.47759 .48473 L
.48047 .48499 L
.48328 .4852 L
.48631 .48539 L
.48784 .48546 L
.48926 .48552 L
.49075 .48557 L
.49214 .48561 L
.49356 .48564 L
.49431 .48565 L
.49474 .48566 L
.49513 .48566 L
.49553 .48567 L
.4959 .48567 L
.4961 .48567 L
.49631 .48567 L
.49643 .48567 L
.49654 .48567 L
.49664 .48567 L
.49675 .48567 L
.49685 .48567 L
.49693 .48567 L
.49702 .48567 L
.49711 .48567 L
.4972 .48567 L
.4973 .48567 L
.4974 .48567 L
.49745 .48567 L
.4975 .48567 L
.4977 .48567 L
.49781 .48567 L
.49791 .48567 L
.4983 .48567 L
.49867 .48567 L
.49906 .48566 L
.49977 .48566 L
.50061 .48564 L
.50138 .48563 L
.50289 .48559 L
.50454 .48554 L
.50781 .48541 L
.511 .48523 L
.5141 .48501 L
.51745 .48474 L
.52071 .48443 L
.52422 .48404 L
Mistroke
.52764 .48363 L
.53097 .48318 L
.53456 .48266 L
.53805 .48211 L
.54147 .48154 L
Mfstroke
.46667 .5 m
.46924 .50044 L
.47209 .50088 L
.4748 .50126 L
.47744 .50159 L
.4803 .50191 L
.48309 .50217 L
.4861 .50241 L
.48904 .5026 L
.49192 .50274 L
.49342 .5028 L
.49502 .50285 L
.49574 .50287 L
.49652 .50288 L
.49725 .5029 L
.49794 .5029 L
.49872 .50291 L
.49914 .50292 L
.49935 .50292 L
.49958 .50292 L
.4998 .50292 L
.50001 .50292 L
.50011 .50292 L
.5002 .50292 L
.5003 .50292 L
.50035 .50292 L
.50041 .50292 L
.5005 .50292 L
.50056 .50292 L
.50061 .50292 L
.5007 .50292 L
.5008 .50292 L
.50089 .50292 L
.50097 .50292 L
.50116 .50292 L
.50135 .50292 L
.50153 .50292 L
.50194 .50292 L
.50233 .50291 L
.50276 .50291 L
.50353 .5029 L
.50423 .50289 L
.50577 .50286 L
.50745 .50281 L
.5108 .50268 L
.51407 .50251 L
.51727 .5023 L
.52071 .50203 L
.52408 .50172 L
.52772 .50135 L
Mistroke
.53127 .50093 L
.53473 .50049 L
.53847 .49997 L
.54208 .49943 L
Mfstroke
.46667 .51667 m
.46915 .51715 L
.4719 .51765 L
.47453 .51808 L
.47709 .51846 L
.47987 .51883 L
.48258 .51915 L
.48552 .51945 L
.48839 .5197 L
.4912 .5199 L
.49424 .52007 L
.49577 .52014 L
.49722 .52019 L
.4987 .52023 L
.50013 .52026 L
.50088 .52028 L
.50171 .52029 L
.50207 .52029 L
.50246 .5203 L
.50283 .5203 L
.50316 .5203 L
.50334 .5203 L
.50354 .5203 L
.50365 .5203 L
.50376 .5203 L
.50386 .5203 L
.50395 .5203 L
.50405 .5203 L
.50413 .5203 L
.50423 .5203 L
.50433 .5203 L
.50442 .5203 L
.5045 .5203 L
.50468 .5203 L
.50489 .5203 L
.5051 .5203 L
.50548 .5203 L
.50589 .52029 L
.50635 .52029 L
.50717 .52028 L
.50793 .52027 L
.50963 .52023 L
.5112 .52019 L
.51292 .52013 L
.51635 .51997 L
.51971 .51977 L
.52299 .51953 L
.52655 .51923 L
.53003 .51889 L
.5338 .51848 L
Mistroke
.53748 .51804 L
.54109 .51757 L
.54115 .51756 L
Mfstroke
.46667 .53333 m
.46901 .53387 L
.47162 .53442 L
.47411 .5349 L
.47654 .53534 L
.47917 .53577 L
.48175 .53615 L
.48455 .53651 L
.48729 .53683 L
.48998 .53709 L
.49289 .53733 L
.49574 .53752 L
.49854 .53767 L
.50011 .53773 L
.50157 .53778 L
.50309 .53782 L
.50385 .53783 L
.50454 .53784 L
.50529 .53785 L
.50567 .53785 L
.50609 .53786 L
.50647 .53786 L
.50664 .53786 L
.50683 .53786 L
.507 .53786 L
.50717 .53786 L
.50726 .53786 L
.50734 .53786 L
.50744 .53786 L
.50753 .53786 L
.50762 .53786 L
.50772 .53786 L
.50781 .53786 L
.50789 .53786 L
.50799 .53786 L
.50809 .53786 L
.50829 .53786 L
.5085 .53786 L
.50871 .53786 L
.50911 .53786 L
.5095 .53785 L
.50988 .53785 L
.51058 .53784 L
.51137 .53783 L
.5122 .53781 L
.5137 .53778 L
.51683 .53767 L
.52023 .53751 L
.52357 .53731 L
.52718 .53705 L
Mistroke
.53073 .53675 L
.53422 .53641 L
.53799 .53601 L
.53851 .53595 L
Mfstroke
.46667 .55 m
.46883 .55058 L
.47123 .55119 L
.47352 .55173 L
.47577 .55222 L
.47821 .55271 L
.4806 .55316 L
.48319 .55359 L
.48573 .55398 L
.48823 .55431 L
.49094 .55463 L
.4936 .5549 L
.49621 .55513 L
.49904 .55532 L
.50183 .55548 L
.50327 .55554 L
.50486 .55559 L
.50639 .55564 L
.50783 .55566 L
.50864 .55567 L
.50903 .55568 L
.5094 .55568 L
.50973 .55569 L
.51008 .55569 L
.51026 .55569 L
.51045 .55569 L
.51055 .55569 L
.51065 .55569 L
.51074 .55569 L
.51083 .55569 L
.51092 .55569 L
.51101 .55569 L
.51111 .55569 L
.5112 .55569 L
.5113 .55569 L
.5114 .55569 L
.51145 .55569 L
.5115 .55569 L
.5116 .55569 L
.51179 .55569 L
.51198 .55569 L
.51232 .55569 L
.51272 .55568 L
.5131 .55568 L
.51395 .55567 L
.51472 .55566 L
.51544 .55565 L
.5171 .55561 L
.51875 .55556 L
.52027 .55551 L
Mistroke
.52359 .55535 L
.52685 .55516 L
.53039 .55491 L
.53388 .55462 L
.53402 .55461 L
Mfstroke
.46667 .56667 m
.4686 .5673 L
.47074 .56796 L
.47279 .56856 L
.47479 .56911 L
.47697 .56967 L
.47911 .57018 L
.48143 .57069 L
.48371 .57115 L
.48594 .57156 L
.48837 .57197 L
.49076 .57233 L
.49311 .57264 L
.49567 .57294 L
.49818 .57319 L
.50091 .57342 L
.5036 .57361 L
.50625 .57374 L
.50776 .5738 L
.50914 .57385 L
.51059 .57389 L
.51125 .5739 L
.51198 .57391 L
.5127 .57392 L
.51307 .57392 L
.51346 .57393 L
.51384 .57393 L
.51418 .57393 L
.51434 .57393 L
.51443 .57393 L
.51452 .57393 L
.5146 .57393 L
.51469 .57393 L
.51477 .57393 L
.51485 .57393 L
.51493 .57393 L
.51503 .57393 L
.51512 .57393 L
.5152 .57393 L
.51529 .57393 L
.5154 .57393 L
.51559 .57393 L
.51578 .57393 L
.51599 .57393 L
.51637 .57393 L
.51704 .57392 L
.51779 .57391 L
.51857 .5739 L
.51929 .57389 L
.52093 .57385 L
Mistroke
.52244 .5738 L
.5241 .57374 L
.52743 .57359 L
.52748 .57358 L
Mfstroke
.46667 .58333 m
.46831 .58401 L
.47014 .58474 L
.47189 .58539 L
.4736 .586 L
.47546 .58663 L
.47728 .58721 L
.47925 .5878 L
.4812 .58835 L
.4831 .58885 L
.48517 .58935 L
.48721 .58981 L
.48922 .59022 L
.4914 .59063 L
.49354 .591 L
.49588 .59136 L
.49818 .59167 L
.50045 .59193 L
.50292 .59218 L
.50536 .59239 L
.50801 .59257 L
.51064 .59271 L
.51187 .59276 L
.51323 .5928 L
.5146 .59284 L
.51535 .59285 L
.51606 .59286 L
.51677 .59287 L
.51711 .59287 L
.51744 .59288 L
.51773 .59288 L
.51805 .59288 L
.51821 .59288 L
.51836 .59288 L
.51845 .59288 L
.51853 .59288 L
.51862 .59288 L
.51871 .59288 L
s
.46667 .6 m
.46798 .60073 L
.46944 .60151 L
.47083 .60223 L
.47219 .6029 L
.47366 .6036 L
.4751 .60426 L
.47666 .60494 L
.47819 .60557 L
.47969 .60616 L
.48132 .60677 L
.48292 .60734 L
.48449 .60786 L
.48619 .6084 L
.48787 .60889 L
.48969 .60939 L
.49149 .60985 L
.49326 .61026 L
.49519 .61068 L
.49709 .61105 L
.49916 .61142 L
.5012 .61175 L
.50322 .61203 L
.50542 .61231 L
.50749 .61253 L
s
.46667 .61667 m
.4676 .61745 L
.46863 .61829 L
.46961 .61907 L
.47056 .61981 L
.47158 .62058 L
.47257 .62132 L
.47364 .62209 L
.47468 .62282 L
.47569 .62351 L
.47679 .62423 L
.47785 .62491 L
.47889 .62555 L
.48002 .62623 L
.48112 .62686 L
.48231 .62752 L
.48347 .62814 L
.48461 .62872 L
.48585 .62933 L
.48706 .62989 L
.48837 .63048 L
.48966 .63102 L
.49093 .63153 L
.49231 .63206 L
.49359 .63252 L
s
.46667 .63333 m
.46717 .63416 L
.46772 .63507 L
.46822 .63591 L
.4687 .63672 L
.4692 .63757 L
.46968 .63839 L
.47018 .63925 L
.47064 .64008 L
.47109 .64088 L
.47155 .64172 L
.47199 .64253 L
.4724 .6433 L
.47283 .64412 L
.47323 .64491 L
.47365 .64574 L
.47404 .64654 L
.47441 .64731 L
.47479 .64812 L
.47515 .6489 L
.47551 .64972 L
.47586 .65051 L
.47617 .65127 L
.4765 .65208 L
.47678 .65282 L
s
.46667 .65 m
.46668 .6502 L
.46668 .65043 L
.46669 .65067 L
.4667 .65088 L
.4667 .65101 L
.4667 .65112 L
.4667 .65118 L
.4667 .65125 L
.4667 .65128 L
.4667 .65132 L
.4667 .65135 L
.4667 .65138 L
.4667 .65141 L
.4667 .65143 L
.4667 .65144 L
.4667 .65147 L
.4667 .6515 L
.4667 .65151 L
.4667 .65153 L
.4667 .65155 L
.4667 .65156 L
.4667 .65159 L
.4667 .65162 L
.4667 .65168 L
.4667 .65173 L
.4667 .65185 L
.4667 .65196 L
.4667 .65208 L
.46669 .65231 L
.46668 .65253 L
.46668 .65274 L
.46665 .65317 L
.46662 .65364 L
.46654 .65457 L
.46642 .65547 L
.46627 .65643 L
.46608 .65736 L
.46587 .65826 L
.4656 .65922 L
.46531 .66015 L
.46495 .66115 L
.46456 .66212 L
.46414 .66306 L
.46365 .66407 L
.46312 .66505 L
.46256 .666 L
.46192 .66703 L
.46124 .66803 L
.46045 .6691 L
Mistroke
.45963 .67014 L
.45878 .67116 L
.4578 .67226 L
.4568 .67332 L
Mfstroke
.46667 .66667 m
.46617 .6676 L
.46557 .66863 L
.46496 .6696 L
.46431 .67055 L
.46357 .67157 L
.46279 .67256 L
.46189 .67364 L
.46096 .67468 L
.45999 .6757 L
.45888 .67681 L
.45774 .67788 L
.45656 .67894 L
.45522 .68008 L
.45384 .68119 L
.45227 .6824 L
.45066 .68358 L
.449 .68473 L
.44713 .68599 L
.4452 .68722 L
.44302 .68855 L
.44079 .68986 L
.4385 .69114 L
.43592 .69253 L
.43341 .69383 L
s
.46667 .68333 m
.46559 .68432 L
.46434 .68541 L
.46307 .68645 L
.46177 .68747 L
.46029 .68858 L
.45877 .68967 L
.45705 .69085 L
.45528 .69201 L
.45346 .69315 L
.45141 .69439 L
.4493 .6956 L
.44715 .6968 L
.44471 .6981 L
.44223 .69938 L
.43942 .70077 L
.43654 .70214 L
.43361 .70348 L
.4303 .70494 L
.42692 .70636 L
.42311 .70791 L
.41921 .70943 L
.41523 .71091 L
.41075 .7125 L
.40642 .71396 L
s
.46667 .7 m
.46497 .70103 L
.46299 .70219 L
.46102 .7033 L
.459 .7044 L
.45671 .7056 L
.45437 .70678 L
.45173 .70807 L
.44902 .70935 L
.44625 .71061 L
.44313 .71198 L
.43994 .71334 L
.43668 .71467 L
.43301 .71613 L
.42926 .71756 L
.42504 .71911 L
.42071 .72064 L
.41631 .72213 L
.41135 .72374 L
.40628 .7253 L
.40057 .72697 L
.39474 .72858 L
.38881 .73012 L
.38213 .73172 L
.37568 .73315 L
s
.46667 .71667 m
.46429 .71775 L
.46154 .71897 L
.45879 .72016 L
.45598 .72133 L
.45281 .72262 L
.44957 .7239 L
.44592 .7253 L
.44217 .72669 L
.43835 .72807 L
.43404 .72958 L
.42963 .73106 L
.42514 .73252 L
.42007 .73411 L
.4149 .73567 L
.40906 .73735 L
.4031 .73898 L
.39702 .74055 L
.39018 .74221 L
.3832 .74379 L
.37534 .74541 L
.36731 .7469 L
.35916 .74823 L
.35 .74951 L
.34119 .75049 L
s
.46667 .73333 m
.46357 .73447 L
.45997 .73576 L
.45639 .73702 L
.45273 .73827 L
.4486 .73965 L
.44437 .74103 L
.4396 .74254 L
.43472 .74404 L
.42973 .74553 L
.4241 .74716 L
.41834 .74876 L
.41247 .75033 L
.40584 .75202 L
.39907 .75365 L
.39144 .75538 L
.38363 .75702 L
.37568 .75855 L
.36673 .7601 L
.35761 .76148 L
.34735 .76277 L
.34198 .76333 L
.3369 .76378 L
.3315 .76418 L
.32632 .76448 L
.32353 .7646 L
.32096 .7647 L
.31806 .76478 L
.31646 .76481 L
.31567 .76482 L
.31493 .76483 L
.31422 .76484 L
.31357 .76484 L
.31322 .76485 L
.31284 .76485 L
.31246 .76485 L
.31225 .76485 L
.31206 .76485 L
.31186 .76485 L
.31166 .76485 L
.31128 .76485 L
.31091 .76485 L
.31057 .76485 L
.3102 .76485 L
.30979 .76485 L
.30937 .76485 L
.30897 .76484 L
.30825 .76484 L
.30756 .76483 L
.30627 .76481 L
Mistroke
.30487 .76478 L
.30334 .76474 L
.30313 .76473 L
Mfstroke
.46667 .75 m
.46279 .75119 L
.4583 .75255 L
.45381 .75388 L
.44923 .75521 L
.44405 .75668 L
.43876 .75816 L
.43278 .75978 L
.42664 .76139 L
.42037 .76298 L
.41329 .76471 L
.40603 .7664 L
.39864 .76804 L
.39028 .76977 L
.38175 .7714 L
.37212 .77307 L
.36227 .77458 L
.35225 .77589 L
.34098 .77706 L
.33554 .77751 L
.32951 .77791 L
.32613 .77809 L
.32298 .77823 L
.31992 .77834 L
.31822 .77838 L
.31666 .77842 L
.31511 .77844 L
.31363 .77846 L
.31282 .77847 L
.31206 .77847 L
.31167 .77848 L
.31144 .77848 L
.31123 .77848 L
.31101 .77848 L
.31077 .77848 L
.31034 .77848 L
.31 .77848 L
.30962 .77848 L
.30927 .77848 L
.30895 .77848 L
.30858 .77847 L
.30817 .77847 L
.30742 .77846 L
.30664 .77846 L
.30581 .77844 L
.30431 .77842 L
.30267 .77838 L
.30116 .77834 L
.29773 .77821 L
.29451 .77805 L
Mistroke
.29143 .77787 L
.28446 .77731 L
.27787 .77662 L
.26343 .77445 L
.262 .77419 L
Mfstroke
.46667 .76667 m
.46197 .76791 L
.45651 .76933 L
.45106 .77074 L
.44549 .77215 L
.43918 .77372 L
.43273 .77529 L
.42543 .77701 L
.41793 .77872 L
.41026 .7804 L
.40158 .78221 L
.39269 .78395 L
.38362 .78559 L
.37337 .78728 L
.36289 .78881 L
.35107 .79025 L
.34489 .79088 L
.33899 .79141 L
.33275 .79186 L
.32672 .79221 L
.32344 .79236 L
.31985 .79248 L
.31825 .79253 L
.31654 .79257 L
.31497 .7926 L
.31346 .79262 L
.31264 .79263 L
.3122 .79263 L
.31174 .79264 L
.31135 .79264 L
.31091 .79264 L
.31052 .79264 L
.31015 .79264 L
.30971 .79265 L
.30925 .79265 L
.30886 .79264 L
.30843 .79264 L
.30796 .79264 L
.30746 .79264 L
.30655 .79263 L
.30571 .79262 L
.30479 .79261 L
.30311 .79258 L
.30147 .79255 L
.29995 .7925 L
.29639 .79238 L
.29303 .79222 L
.28906 .79198 L
.28525 .7917 L
.27742 .79096 L
Mistroke
.27012 .79006 L
.25465 .78742 L
.24647 .78559 L
.23763 .78325 L
.21975 .77725 L
.21864 .77682 L
Mfstroke
.46667 .78333 m
.46109 .78463 L
.45461 .78612 L
.44813 .7876 L
.44149 .7891 L
.43398 .79076 L
.42627 .79242 L
.41754 .79424 L
.40857 .79603 L
.39938 .79777 L
.38897 .79962 L
.37829 .80135 L
.36739 .80293 L
.35506 .80445 L
.34246 .8057 L
.33529 .80626 L
.32827 .80669 L
.32484 .80685 L
.32114 .807 L
.31933 .80706 L
.3176 .8071 L
.31593 .80714 L
.31435 .80717 L
.31261 .8072 L
.31168 .80721 L
.31068 .80721 L
.31017 .80722 L
.30991 .80722 L
.30963 .80722 L
.30938 .80722 L
.30911 .80722 L
.30863 .80722 L
.30816 .80722 L
.30766 .80722 L
.30718 .80722 L
.30674 .80722 L
.30633 .80721 L
.30589 .80721 L
.30509 .8072 L
.30414 .80719 L
.30327 .80718 L
.30137 .80715 L
.29956 .80711 L
.29572 .80698 L
.2916 .8068 L
.28803 .8066 L
.28407 .80632 L
.27597 .80559 L
.26707 .80452 L
.25786 .80308 L
Mistroke
.24894 .80136 L
.23155 .79698 L
.21258 .79045 L
.19401 .78199 L
.17432 .77036 L
Mfstroke
.46667 .8 m
.46016 .80135 L
.4526 .80291 L
.44501 .80447 L
.43725 .80604 L
.42843 .80779 L
.41938 .80954 L
.40911 .81144 L
.39854 .8133 L
.3877 .81507 L
.37541 .8169 L
.3628 .81854 L
.34991 .81994 L
.34241 .82061 L
.33534 .82114 L
.32782 .82159 L
.32399 .82176 L
.32046 .82189 L
.31666 .822 L
.31455 .82205 L
.31357 .82206 L
.31254 .82208 L
.31165 .82209 L
.31067 .8221 L
.31024 .8221 L
.30978 .82211 L
.30934 .82211 L
.30894 .82211 L
.30843 .82211 L
.30817 .82211 L
.30788 .82211 L
.30741 .82211 L
.30688 .82211 L
.30641 .82211 L
.30591 .82211 L
.30543 .82211 L
.30499 .82211 L
.30395 .8221 L
.30301 .82209 L
.30088 .82205 L
.2989 .82201 L
.29702 .82196 L
.29275 .82181 L
.28807 .82159 L
.2839 .82133 L
.27926 .82097 L
.2697 .82002 L
.26067 .81882 L
.25076 .81715 L
.23063 .81251 L
Mistroke
.21067 .80602 L
.19111 .79752 L
.17017 .78562 L
.1502 .77095 L
.13067 .75268 L
Mfstroke
.46667 .81667 m
.45919 .81807 L
.45047 .8197 L
.44172 .82134 L
.43274 .82299 L
.42254 .82483 L
.41205 .82665 L
.40013 .82862 L
.38784 .83052 L
.37522 .83228 L
.3609 .83401 L
.34619 .83546 L
.33846 .83607 L
.33117 .83654 L
.32312 .83692 L
.32096 .837 L
.31858 .83708 L
.31648 .83713 L
.31419 .83718 L
.31299 .8372 L
.31188 .83722 L
.31083 .83723 L
.30968 .83724 L
.30918 .83725 L
.30864 .83725 L
.30814 .83725 L
.30767 .83726 L
.30715 .83726 L
.30658 .83726 L
.30604 .83726 L
.30553 .83726 L
.305 .83725 L
.30442 .83725 L
.30387 .83725 L
.30337 .83724 L
.3022 .83723 L
.30096 .83722 L
.29862 .83718 L
.29604 .83712 L
.2936 .83704 L
.29128 .83696 L
.28691 .83675 L
.28214 .83647 L
.2769 .83607 L
.26716 .83511 L
.25661 .83371 L
.23702 .83002 L
.2267 .82744 L
.21544 .82409 L
.19281 .81538 L
Mistroke
.17075 .80397 L
.14961 .7897 L
.1276 .7705 L
.10734 .7477 L
.08955 .72217 L
Mfstroke
.46667 .83333 m
.45816 .83479 L
.44823 .83649 L
.43824 .8382 L
.42798 .83993 L
.41631 .84185 L
.40428 .84375 L
.39058 .84577 L
.37644 .84766 L
.36192 .84935 L
.3542 .85012 L
.34542 .8509 L
.3367 .85154 L
.32847 .85201 L
.32431 .8522 L
.31971 .85237 L
.31716 .85245 L
.31477 .8525 L
.31247 .85255 L
.3113 .85256 L
.31 .85258 L
.30877 .85259 L
.3081 .85259 L
.30746 .8526 L
.30687 .8526 L
.30633 .8526 L
.3057 .8526 L
.30511 .8526 L
.3048 .8526 L
.30447 .8526 L
.30411 .8526 L
.30378 .8526 L
.30319 .8526 L
.30254 .85259 L
.30108 .85258 L
.29973 .85256 L
.29744 .85252 L
.29491 .85247 L
.29225 .85239 L
.28976 .8523 L
.28445 .85205 L
.27937 .85174 L
.26968 .85094 L
.259 .84972 L
.24893 .84823 L
.23759 .84611 L
.22678 .84363 L
.20479 .83701 L
.18178 .8275 L
.15711 .81373 L
Mistroke
.13357 .79631 L
.11161 .77518 L
.08953 .74757 L
.07009 .71576 L
.05272 .67823 L
Mfstroke
.46667 .85 m
.45708 .85151 L
.44588 .85329 L
.43458 .85507 L
.42296 .85688 L
.40971 .85887 L
.39604 .86082 L
.38046 .86286 L
.36434 .8647 L
.34778 .86624 L
.33897 .8669 L
.33419 .8672 L
.32895 .86748 L
.32385 .86771 L
.31911 .86788 L
.31681 .86795 L
.31427 .86801 L
.31186 .86805 L
.30961 .86808 L
.30826 .8681 L
.30702 .86811 L
.30637 .86811 L
.306 .86811 L
.30566 .86811 L
.30529 .86811 L
.30496 .86811 L
.30457 .86811 L
.30421 .86811 L
.30359 .86811 L
.30293 .86811 L
.30237 .86811 L
.30175 .8681 L
.30108 .8681 L
.30036 .86809 L
.29905 .86808 L
.29657 .86804 L
.29394 .86799 L
.29168 .86792 L
.28919 .86784 L
.28363 .8676 L
.27852 .86731 L
.2668 .86637 L
.25579 .86511 L
.24357 .86326 L
.23163 .86096 L
.21875 .85786 L
.19501 .85029 L
.16923 .83885 L
.14431 .8239 L
.11823 .80302 L
Mistroke
.09413 .77744 L
.07251 .74737 L
.05185 .70932 L
.03484 .66698 L
.02158 .62148 L
Mfstroke
.46667 .86667 m
.45595 .86823 L
.44341 .87008 L
.43073 .87194 L
.41767 .87382 L
.40276 .87588 L
.38734 .87787 L
.36974 .87989 L
.35153 .88161 L
.34276 .88229 L
.33278 .88292 L
.32793 .88317 L
.32262 .88339 L
.31965 .88349 L
.31691 .88357 L
.31429 .88364 L
.31148 .88369 L
.31004 .88371 L
.30868 .88373 L
.30746 .88374 L
.30683 .88375 L
.30613 .88375 L
.30547 .88375 L
.30486 .88376 L
.30421 .88376 L
.30351 .88376 L
.30287 .88376 L
.30225 .88376 L
.3017 .88376 L
.30109 .88375 L
.30038 .88375 L
.29971 .88374 L
.29818 .88373 L
.29669 .88371 L
.29507 .88368 L
.29212 .88362 L
.28941 .88354 L
.28375 .88333 L
.27842 .88305 L
.27249 .88266 L
.26606 .88213 L
.25295 .88068 L
.24026 .87878 L
.22737 .8763 L
.21526 .87341 L
.18879 .86499 L
.16282 .8534 L
.13507 .8365 L
.10883 .81502 L
.08216 .78585 L
Mistroke
.05845 .7511 L
.0382 .71138 L
.02821 .6866 L
.02008 .66264 L
.01304 .63803 L
.00645 .61014 L
Mfstroke
.00645 .61014 m
0 .57221 L
s
.46667 .88333 m
.45477 .88495 L
.44082 .88687 L
.4267 .88881 L
.41212 .89076 L
.39544 .89288 L
.37818 .89488 L
.35844 .89683 L
.34798 .89769 L
.33799 .89837 L
.32794 .89891 L
.32274 .89913 L
.31978 .89923 L
.31693 .89932 L
.31417 .89939 L
.31114 .89944 L
.3098 .89947 L
.30836 .89948 L
.307 .8995 L
.30576 .89951 L
.305 .89951 L
.30458 .89951 L
.30419 .89952 L
.30349 .89952 L
.30273 .89952 L
.3023 .89952 L
.3019 .89952 L
.30114 .89952 L
.30071 .89951 L
.30032 .89951 L
.29942 .89951 L
.29871 .8995 L
.29803 .8995 L
.29649 .89948 L
.29499 .89946 L
.29335 .89943 L
.29035 .89937 L
.28753 .89929 L
.28106 .89903 L
.27466 .89868 L
.26771 .89819 L
.2538 .89682 L
.24032 .89497 L
.2266 .89249 L
.21369 .88957 L
.1992 .88553 L
.18543 .88087 L
.15767 .8687 L
.12909 .85148 L
.09926 .82694 L
Mistroke
.07188 .79638 L
.04763 .76009 L
.02496 .71392 L
.00691 .6625 L
Mfstroke
.00691 .6625 m
0 .63633 L
s
.46667 .9 m
.45354 .90167 L
.43811 .90366 L
.42247 .90568 L
.40629 .90769 L
.38775 .90985 L
.36853 .91184 L
.35819 .91277 L
.34652 .91367 L
.33587 .91435 L
.32964 .91468 L
.32371 .91493 L
.318 .91513 L
.31503 .91521 L
.31176 .91528 L
.30997 .91531 L
.3083 .91533 L
.30669 .91535 L
.30587 .91536 L
.30498 .91536 L
.30409 .91537 L
.30328 .91537 L
.3025 .91537 L
.30167 .91537 L
.30093 .91537 L
.30024 .91537 L
.29948 .91537 L
.29866 .91537 L
.29788 .91536 L
.29703 .91535 L
.29529 .91534 L
.29367 .91531 L
.29215 .91529 L
.2887 .91521 L
.28495 .9151 L
.27801 .91482 L
.27154 .91445 L
.25856 .91341 L
.25105 .91261 L
.24396 .91171 L
.22915 .90936 L
.21539 .90655 L
.19968 .90251 L
.18494 .89785 L
.15491 .88529 L
.12393 .86712 L
.09461 .84359 L
.0648 .81108 L
.03843 .77189 L
.02619 .74892 L
Mistroke
.01394 .72158 L
Mfstroke
.01394 .72158 m
0 .68074 L
s
.46667 .91667 m
.45226 .91839 L
.43529 .92046 L
.41805 .92254 L
.40019 .92462 L
.37969 .9268 L
.3584 .92874 L
.34694 .9296 L
.334 .93039 L
.32778 .93069 L
.32106 .93095 L
.31522 .93112 L
.31186 .9312 L
.30868 .93125 L
.30699 .93127 L
.30541 .93129 L
.30451 .9313 L
.30367 .9313 L
.3032 .9313 L
.30269 .93131 L
.30223 .93131 L
.3018 .93131 L
.30101 .93131 L
.30013 .93131 L
.29927 .93131 L
.29879 .93131 L
.29835 .93131 L
.29757 .9313 L
.29671 .9313 L
.29515 .93128 L
.29364 .93127 L
.29197 .93124 L
.28856 .93118 L
.28538 .93109 L
.28237 .931 L
.27542 .9307 L
.268 .93027 L
.26156 .92979 L
.25443 .92914 L
.23965 .92738 L
.22344 .92474 L
.20651 .92109 L
.1902 .91663 L
.15838 .90478 L
.14174 .89664 L
.12409 .88631 L
.09268 .86264 L
.06059 .82934 L
.0321 .78862 L
.01886 .76453 L
Mistroke
.00559 .73571 L
Mfstroke
.00559 .73571 m
0 .71962 L
s
.48333 .08333 m
.47233 .08246 L
.46071 .08166 L
.45015 .08104 L
.44032 .08056 L
.4302 .08012 L
.42078 .07977 L
.41112 .07945 L
.40214 .07915 L
.3938 .07886 L
.38522 .07852 L
.37725 .07815 L
.36983 .07772 L
.36218 .07717 L
.35506 .07653 L
.34773 .0757 L
.34088 .07475 L
.33448 .07367 L
.32785 .07233 L
.32163 .07083 L
.31518 .06899 L
.30911 .06697 L
.30338 .06478 L
.29739 .06215 L
.29199 .05948 L
s
.48333 .1 m
.47343 .09916 L
.46294 .0984 L
.4534 .0978 L
.44449 .09732 L
.4353 .0969 L
.42674 .09656 L
.41793 .09626 L
.40972 .096 L
.40208 .09576 L
.39422 .0955 L
.3869 .09523 L
.38008 .09493 L
.37304 .09456 L
.36648 .09412 L
.35972 .09357 L
.35341 .09292 L
.34751 .09218 L
.3414 .09126 L
.33568 .09023 L
.32975 .08895 L
.32418 .08754 L
.31894 .086 L
.31347 .08415 L
.30856 .08226 L
s
.48333 .11667 m
.47448 .11587 L
.4651 .11513 L
.45653 .11455 L
.44852 .11408 L
.44023 .11367 L
.4325 .11334 L
.42452 .11305 L
.41708 .11281 L
.41013 .11261 L
.40297 .11241 L
.39629 .11221 L
.39006 .11201 L
.38362 .11176 L
.37762 .11148 L
.37142 .11113 L
.36563 .11071 L
.36022 .11024 L
.35462 .10965 L
.34938 .10897 L
.34395 .10814 L
.33886 .1072 L
.33407 .10617 L
.32909 .10493 L
.32463 .10365 L
s
.48333 .13333 m
.47549 .13258 L
.46716 .13187 L
.45953 .13131 L
.45239 .13085 L
.44499 .13044 L
.43806 .13011 L
.4309 .12983 L
.4242 .12961 L
.41794 .12942 L
.41147 .12925 L
.40542 .12911 L
.39978 .12897 L
.39393 .12881 L
.38847 .12864 L
.38284 .12843 L
.37756 .12819 L
.37263 .12791 L
.36753 .12756 L
.36275 .12716 L
.3578 .12665 L
.35316 .12608 L
.3488 .12544 L
.34428 .12467 L
.34024 .12386 L
s
.48333 .15 m
.47646 .14929 L
.46913 .14861 L
.46242 .14806 L
.45611 .14761 L
.44956 .14721 L
.44341 .14689 L
.43705 .1466 L
.43108 .14638 L
.42549 .14621 L
.41971 .14606 L
.41429 .14593 L
.40921 .14583 L
.40396 .14573 L
.39904 .14563 L
.39395 .14552 L
.38919 .1454 L
.38473 .14526 L
.38012 .14508 L
.37579 .14488 L
.37131 .14461 L
.36711 .1443 L
.36317 .14395 L
.35908 .14352 L
.35543 .14306 L
s
.48333 .16667 m
.47738 .16599 L
.47102 .16535 L
.46518 .16482 L
.45968 .16438 L
.45395 .16398 L
.44856 .16366 L
.44297 .16337 L
.43772 .16315 L
.43279 .16297 L
.42767 .16282 L
.42287 .16271 L
.41837 .16262 L
.41369 .16255 L
.40931 .1625 L
.40477 .16244 L
.40052 .16239 L
.39652 .16234 L
.39239 .16228 L
.38851 .1622 L
.38449 .1621 L
.38072 .16197 L
.37718 .16183 L
.37351 .16163 L
.37023 .16142 L
s
.48333 .18333 m
.47826 .1827 L
.47282 .18209 L
.46781 .18158 L
.46308 .18115 L
.45815 .18076 L
.4535 .18043 L
.44867 .18014 L
.44411 .1799 L
.43982 .17972 L
.43536 .17956 L
.43117 .17945 L
.42723 .17936 L
.42507 .17932 L
.42313 .1793 L
.41928 .17925 L
.41742 .17924 L
.41542 .17923 L
.41355 .17922 L
.41251 .17921 L
.41158 .17921 L
.41071 .17921 L
.40979 .17921 L
.40931 .17921 L
.40879 .17921 L
.40788 .17921 L
.4074 .17921 L
.40695 .17921 L
.40655 .17921 L
.40611 .17921 L
.40564 .17921 L
.4054 .17921 L
.40514 .17921 L
.40492 .17921 L
.40468 .17921 L
.40424 .17921 L
.4038 .17921 L
.40355 .17921 L
.40332 .17921 L
.40311 .17921 L
.40288 .1792 L
.40247 .1792 L
.40225 .1792 L
.40201 .1792 L
.40159 .1792 L
.40113 .1792 L
.40063 .1792 L
.40018 .1792 L
.39975 .1792 L
.39896 .1792 L
Mistroke
.3981 .1792 L
.39718 .1792 L
.39631 .1792 L
.39553 .1792 L
.39379 .17919 L
.39221 .17918 L
.39052 .17917 L
.38893 .17915 L
.38726 .17913 L
.38467 .17909 L
Mfstroke
.48333 .2 m
.47909 .19941 L
.47453 .19883 L
.47032 .19834 L
.46633 .19793 L
.46217 .19753 L
.45823 .19721 L
.45412 .1969 L
.45024 .19666 L
.44658 .19646 L
.44277 .19629 L
.43917 .19615 L
.43578 .19606 L
.43393 .19601 L
.43225 .19598 L
.43052 .19595 L
.42892 .19593 L
.42732 .19591 L
.42648 .19591 L
.42559 .1959 L
.42474 .1959 L
.42426 .1959 L
.42383 .1959 L
.42344 .19589 L
.42323 .19589 L
.42302 .19589 L
.42291 .19589 L
.42281 .19589 L
.42272 .19589 L
.42262 .19589 L
.42256 .19589 L
.42251 .19589 L
.42241 .19589 L
.42235 .19589 L
.42229 .19589 L
.42223 .19589 L
.42218 .19589 L
.42208 .19589 L
.42198 .19589 L
.42189 .19589 L
.4218 .19589 L
.42158 .19589 L
.42139 .19589 L
.42103 .19589 L
.42066 .1959 L
.41987 .1959 L
.41901 .1959 L
.41747 .19591 L
.41585 .19592 L
.41269 .19596 L
Mistroke
.40972 .196 L
.40693 .19604 L
.40402 .19609 L
.40129 .19614 L
.39876 .19618 L
Mfstroke
.48333 .21667 m
.47987 .21612 L
.47615 .21557 L
.47269 .21511 L
.46942 .2147 L
.46599 .21432 L
.46274 .21399 L
.45934 .21367 L
.45611 .21341 L
.45307 .2132 L
.44988 .213 L
.44687 .21285 L
.44402 .21273 L
.44105 .21263 L
.43825 .21255 L
.43674 .21252 L
.43532 .2125 L
.43465 .21249 L
.43394 .21249 L
.43327 .21248 L
.43266 .21248 L
.43196 .21247 L
.43159 .21247 L
.4314 .21247 L
.4312 .21247 L
.43102 .21247 L
.43086 .21247 L
.43078 .21247 L
.4307 .21247 L
.43062 .21247 L
.43054 .21247 L
.43046 .21247 L
.43041 .21247 L
.43036 .21247 L
.43032 .21247 L
.43027 .21247 L
.43022 .21247 L
.43017 .21247 L
.43009 .21247 L
.43004 .21247 L
.43 .21247 L
.42983 .21247 L
.42968 .21247 L
.42951 .21247 L
.42916 .21247 L
.42884 .21247 L
.42854 .21247 L
.42788 .21248 L
.42716 .21248 L
.42577 .21249 L
Mistroke
.42447 .21251 L
.42203 .21255 L
.41948 .21261 L
.41708 .21268 L
.41459 .21276 L
.4125 .21283 L
Mfstroke
.48333 .23333 m
.48061 .23283 L
.47767 .23232 L
.47494 .23188 L
.47235 .23149 L
.46962 .2311 L
.46702 .23077 L
.4643 .23045 L
.46171 .23018 L
.45926 .22994 L
.45669 .22972 L
.45425 .22954 L
.45194 .22938 L
.44952 .22925 L
.44722 .22914 L
.44483 .22905 L
.44365 .22902 L
.44256 .22899 L
.44145 .22897 L
.44042 .22895 L
.43987 .22894 L
.43928 .22893 L
.43875 .22893 L
.43826 .22893 L
.43774 .22892 L
.43747 .22892 L
.43732 .22892 L
.43718 .22892 L
.43703 .22892 L
.43695 .22892 L
.43687 .22892 L
.4368 .22892 L
.43673 .22892 L
.43669 .22892 L
.43666 .22892 L
.43662 .22892 L
.43658 .22892 L
.43652 .22892 L
.43645 .22892 L
.43638 .22892 L
.43632 .22892 L
.43618 .22892 L
.43604 .22892 L
.43579 .22892 L
.43552 .22892 L
.43524 .22892 L
.43497 .22893 L
.434 .22893 L
.43345 .22894 L
.43293 .22895 L
Mistroke
.43197 .22896 L
.43001 .229 L
.42797 .22906 L
.42604 .22913 L
.4259 .22914 L
Mfstroke
.48333 .25 m
.4813 .24954 L
.47911 .24906 L
.47706 .24865 L
.47511 .24827 L
.47304 .2479 L
.47108 .24756 L
.46901 .24723 L
.46703 .24694 L
.46516 .24669 L
.46318 .24644 L
.4613 .24623 L
.45951 .24604 L
.45763 .24586 L
.45585 .24571 L
.45397 .24557 L
.4522 .24546 L
.45051 .24537 L
.44874 .2453 L
.44706 .24524 L
.44622 .24522 L
.44531 .2452 L
.44444 .24518 L
.44403 .24518 L
.44365 .24517 L
.44327 .24517 L
.44287 .24517 L
.44265 .24517 L
.44254 .24517 L
.44243 .24517 L
.44234 .24517 L
.44224 .24517 L
.44219 .24517 L
.44214 .24517 L
.44209 .24517 L
.44206 .24517 L
.44203 .24517 L
.44198 .24517 L
.44193 .24517 L
.44189 .24517 L
.44184 .24517 L
.44179 .24517 L
.44174 .24517 L
.44164 .24517 L
.44146 .24517 L
.44127 .24517 L
.44106 .24517 L
.44084 .24517 L
.44044 .24517 L
.44007 .24518 L
Mistroke
.43967 .24518 L
.43894 .24519 L
Mfstroke
.48333 .26667 m
.48195 .26625 L
.48045 .26581 L
.47905 .26542 L
.4777 .26506 L
.47627 .2647 L
.4749 .26436 L
.47346 .26403 L
.47207 .26372 L
.47075 .26345 L
.46935 .26317 L
.46801 .26292 L
.46673 .2627 L
.46538 .26248 L
.4641 .26228 L
.46274 .26209 L
.46145 .26192 L
.46021 .26177 L
.45892 .26163 L
.45768 .2615 L
.45638 .26139 L
.45514 .26129 L
.45397 .26121 L
.45273 .26114 L
.45162 .26108 L
s
.48333 .28333 m
.48256 .28296 L
.4817 .28256 L
.4809 .28219 L
.48012 .28185 L
.47929 .2815 L
.47849 .28117 L
.47764 .28083 L
.47681 .28052 L
.47602 .28022 L
.47518 .27992 L
.47436 .27964 L
.47358 .27938 L
.47275 .27911 L
.47195 .27887 L
.4711 .27862 L
.47029 .27838 L
.46951 .27817 L
.46868 .27795 L
.46788 .27775 L
.46704 .27755 L
.46624 .27737 L
.46546 .2772 L
.46465 .27703 L
.4639 .27689 L
s
.48333 .3 m
.48311 .29967 L
.48286 .29931 L
.48261 .29897 L
.48237 .29865 L
.4821 .29831 L
.48184 .29799 L
.48154 .29765 L
.48125 .29732 L
.48097 .29701 L
.48066 .29669 L
.48035 .29638 L
.48005 .29608 L
.47972 .29577 L
.4794 .29548 L
.47905 .29517 L
.47871 .29487 L
.47837 .29459 L
.47801 .2943 L
.47765 .29402 L
.47727 .29373 L
.47689 .29345 L
.47653 .29319 L
.47613 .29291 L
.47577 .29267 L
s
.48333 .31667 m
.48362 .31638 L
.48392 .31606 L
.4842 .31575 L
.48445 .31545 L
.4847 .31513 L
.48494 .31482 L
.48517 .31448 L
.48539 .31415 L
.48558 .31383 L
.48578 .31348 L
.48596 .31314 L
.48612 .31281 L
.48627 .31246 L
.48641 .31212 L
.48655 .31175 L
.48667 .3114 L
.48677 .31105 L
.48687 .31068 L
.48695 .31033 L
.48702 .30994 L
.48708 .30957 L
.48712 .30922 L
.48714 .30903 L
.48716 .30883 L
.48717 .30865 L
.48718 .30848 L
s
.48333 .33333 m
.48409 .33309 L
.48489 .33281 L
.48564 .33254 L
.48635 .33226 L
.48708 .33196 L
.48778 .33165 L
.48851 .33132 L
.4892 .33099 L
.48985 .33066 L
.49053 .3303 L
.49117 .32994 L
.49177 .32958 L
.49239 .32919 L
.49297 .32881 L
.49358 .32839 L
.49415 .32798 L
.49468 .32757 L
.49523 .32713 L
.49574 .3267 L
.49627 .32623 L
.49676 .32577 L
.49721 .32532 L
.49768 .32483 L
.49809 .32438 L
s
.48333 .35 m
.4845 .3498 L
.48577 .34956 L
.48694 .34932 L
.48807 .34907 L
.48925 .34879 L
.49038 .3485 L
.49156 .34818 L
.49269 .34785 L
.49376 .34751 L
.49489 .34714 L
.49596 .34676 L
.49698 .34639 L
.49805 .34597 L
.49906 .34555 L
.50012 .34509 L
.50112 .34462 L
.50207 .34416 L
.50306 .34366 L
.504 .34316 L
.50497 .34261 L
.50589 .34207 L
.50676 .34153 L
.50765 .34094 L
.50846 .34039 L
s
.48333 .36667 m
.48487 .36651 L
.48655 .36632 L
.48811 .36611 L
.48961 .36589 L
.49119 .36563 L
.49271 .36536 L
.49431 .36505 L
.49584 .36473 L
.49731 .36439 L
.49885 .36401 L
.50033 .36363 L
.50174 .36323 L
.50322 .36279 L
.50464 .36234 L
.50613 .36184 L
.50755 .36134 L
.5089 .36083 L
.51032 .36027 L
.51167 .35971 L
.51308 .3591 L
.51442 .35848 L
.5157 .35787 L
.51703 .35719 L
.51822 .35656 L
s
.48333 .38333 m
.4852 .38322 L
.48723 .38307 L
.48913 .3829 L
.49096 .38272 L
.49291 .38249 L
.49477 .38224 L
.49675 .38194 L
.49865 .38163 L
.50047 .3813 L
.5024 .38092 L
.50425 .38053 L
.50602 .38012 L
.5079 .37967 L
.50969 .3792 L
.51159 .37867 L
.51341 .37813 L
.51514 .37759 L
.51697 .37699 L
.51872 .37638 L
.52055 .3757 L
.52231 .37503 L
.52398 .37435 L
.52574 .3736 L
.52732 .3729 L
s
.48333 .4 m
.48438 .39997 L
.48547 .39994 L
.48781 .39983 L
.48993 .39971 L
.49218 .39954 L
.49436 .39935 L
.49667 .39911 L
.4989 .39884 L
.50104 .39856 L
.50332 .39822 L
.50551 .39786 L
.50761 .39749 L
.50985 .39705 L
.512 .3966 L
.51428 .39609 L
.51648 .39557 L
.51858 .39503 L
.5208 .39442 L
.52294 .39381 L
.5252 .39313 L
.52736 .39243 L
.52943 .39174 L
.53162 .39096 L
.53371 .39019 L
.53569 .38943 L
s
.48333 .41667 m
.48341 .41667 L
.48347 .41667 L
.48362 .41667 L
.48375 .41667 L
.48388 .41667 L
.48417 .41666 L
.48449 .41666 L
.48512 .41666 L
.4857 .41665 L
.48696 .41662 L
.4883 .41659 L
.49064 .4165 L
.49315 .41638 L
.49556 .41622 L
.49814 .41601 L
.50063 .41577 L
.50303 .41551 L
.5056 .41519 L
.50807 .41485 L
.5107 .41445 L
.51324 .41402 L
.51569 .41357 L
.5183 .41306 L
.52081 .41253 L
.52322 .41198 L
.52579 .41136 L
.52826 .41073 L
.53088 .41002 L
.5334 .4093 L
.53582 .40858 L
.53838 .40778 L
.54085 .40697 L
.5432 .40617 L
.54323 .40616 L
s
.48333 .43333 m
.48393 .43334 L
.48457 .43335 L
.4849 .43335 L
.48525 .43336 L
.48559 .43336 L
.48589 .43336 L
.48606 .43336 L
.48616 .43336 L
.48625 .43336 L
.48632 .43336 L
.4864 .43336 L
.48645 .43336 L
.48649 .43336 L
.48658 .43336 L
.48662 .43336 L
.48667 .43336 L
.48672 .43336 L
.48676 .43336 L
.48685 .43336 L
.48694 .43336 L
.48703 .43336 L
.48714 .43336 L
.48733 .43336 L
.48766 .43336 L
.48798 .43336 L
.48869 .43335 L
.48939 .43334 L
.49005 .43333 L
.4913 .4333 L
.49264 .43326 L
.49388 .43322 L
.49654 .43309 L
.49912 .43294 L
.50187 .43273 L
.50454 .4325 L
.50738 .4322 L
.51014 .43188 L
.51281 .43152 L
.51565 .43111 L
.51841 .43067 L
.52134 .43016 L
.52418 .42962 L
.52692 .42907 L
.52984 .42844 L
.53266 .4278 L
.53538 .42714 L
.53827 .42641 L
.54106 .42566 L
.54403 .42483 L
Mistroke
.54689 .424 L
.54964 .42316 L
.54988 .42308 L
Mfstroke
.48333 .45 m
.48464 .45004 L
.48602 .45007 L
.48675 .45009 L
.48743 .4501 L
.48818 .45011 L
.4886 .45011 L
.48878 .45011 L
.48898 .45011 L
.48915 .45011 L
.48932 .45011 L
.48942 .45011 L
.48951 .45011 L
.4896 .45011 L
.48969 .45011 L
.48976 .45011 L
.48985 .45011 L
.48994 .45011 L
.49002 .45011 L
.4901 .45011 L
.49018 .45011 L
.49026 .45011 L
.49034 .45011 L
.49051 .45011 L
.49068 .45011 L
.49086 .45011 L
.49105 .45011 L
.49145 .45011 L
.49181 .45011 L
.49252 .4501 L
.49317 .45009 L
.49466 .45006 L
.496 .45002 L
.49749 .44997 L
.50041 .44984 L
.50324 .44967 L
.50628 .44945 L
.50923 .44919 L
.51208 .44889 L
.51514 .44854 L
.51811 .44816 L
.52128 .4477 L
.52436 .44722 L
.52734 .44671 L
.53053 .44613 L
.53362 .44552 L
.5366 .4449 L
.53979 .4442 L
.54288 .44349 L
.54617 .44269 L
Mistroke
.54935 .44188 L
.55243 .44107 L
.55554 .44021 L
Mfstroke
.48333 .46667 m
.48468 .46673 L
.48611 .46679 L
.48769 .46684 L
.48917 .46687 L
.48987 .46689 L
.49052 .4669 L
.49128 .46691 L
.49197 .46691 L
.49231 .46692 L
.49251 .46692 L
.49269 .46692 L
.49288 .46692 L
.49298 .46692 L
.49308 .46692 L
.49317 .46692 L
.49326 .46692 L
.49335 .46692 L
.4934 .46692 L
.49345 .46692 L
.49354 .46692 L
.49363 .46692 L
.4937 .46692 L
.49379 .46692 L
.49398 .46692 L
.49416 .46692 L
.49448 .46692 L
.49482 .46691 L
.49522 .46691 L
.49558 .46691 L
.49641 .4669 L
.49715 .46688 L
.49793 .46687 L
.4994 .46683 L
.50079 .46678 L
.50375 .46666 L
.50693 .46648 L
.51003 .46626 L
.51303 .466 L
.51627 .46568 L
.51941 .46533 L
.52278 .46491 L
.52605 .46445 L
.52923 .46397 L
.53265 .46341 L
.53596 .46283 L
.53917 .46223 L
.54262 .46155 L
.54596 .46085 L
.54953 .46006 L
Mistroke
.553 .45927 L
.55636 .45847 L
.55996 .45758 L
.5601 .45754 L
Mfstroke
.48333 .48333 m
.48615 .4835 L
.48763 .48357 L
.48927 .48364 L
.49081 .48369 L
.49223 .48373 L
.49294 .48374 L
.49371 .48375 L
.49413 .48376 L
.49453 .48376 L
.4949 .48377 L
.4953 .48377 L
.49569 .48377 L
.49604 .48377 L
.49621 .48377 L
.4963 .48378 L
.4964 .48378 L
.49649 .48378 L
.49657 .48378 L
.49666 .48378 L
.49674 .48378 L
.49683 .48378 L
.49693 .48378 L
.49698 .48378 L
.49703 .48378 L
.49713 .48378 L
.49723 .48378 L
.49732 .48377 L
.4975 .48377 L
.4977 .48377 L
.49789 .48377 L
.49832 .48377 L
.49868 .48377 L
.49907 .48376 L
.49977 .48375 L
.50061 .48374 L
.50138 .48373 L
.50286 .48369 L
.5045 .48363 L
.50773 .48349 L
.51088 .48331 L
.51428 .48307 L
.51759 .48279 L
.52081 .48247 L
.52428 .48209 L
.52766 .48167 L
.53094 .48122 L
.53448 .4807 L
.53792 .48015 L
.54162 .47952 L
Mistroke
.54523 .47887 L
.54873 .4782 L
.55249 .47745 L
.55615 .47668 L
.56007 .47583 L
.56345 .47507 L
Mfstroke
.48333 .5 m
.48615 .50022 L
.48926 .50041 L
.49079 .50048 L
.49222 .50054 L
.49371 .50059 L
.49512 .50063 L
.49587 .50065 L
.49669 .50066 L
.49743 .50067 L
.49813 .50068 L
.49848 .50068 L
.49886 .50069 L
.49908 .50069 L
.49929 .50069 L
.49947 .50069 L
.49968 .50069 L
.49979 .50069 L
.49984 .50069 L
.49989 .50069 L
.49999 .50069 L
.50009 .50069 L
.50019 .50069 L
.50025 .50069 L
.5003 .50069 L
.50036 .50069 L
.50041 .50069 L
.50053 .50069 L
.50063 .50069 L
.50073 .50069 L
.50094 .50069 L
.50113 .50069 L
.50133 .50069 L
.50171 .50069 L
.50207 .50068 L
.50287 .50067 L
.50358 .50066 L
.50433 .50065 L
.50591 .50061 L
.5074 .50057 L
.51059 .50044 L
.51403 .50026 L
.51739 .50003 L
.52068 .49976 L
.52422 .49943 L
.52769 .49906 L
.53106 .49866 L
.5347 .49819 L
.53826 .49769 L
.54209 .49711 L
Mistroke
.54583 .4965 L
.54948 .49587 L
.55341 .49516 L
.55724 .49444 L
.56136 .49363 L
.56538 .49281 L
.56548 .49279 L
Mfstroke
.48333 .51667 m
.48609 .51693 L
.48915 .51717 L
.49207 .51736 L
.49492 .5175 L
.49641 .51756 L
.49801 .5176 L
.4988 .51762 L
.49965 .51764 L
.5004 .51765 L
.5008 .51766 L
.50122 .51766 L
.50164 .51767 L
.50203 .51767 L
.50241 .51767 L
.50261 .51767 L
.50278 .51768 L
.50298 .51768 L
.50309 .51768 L
.50319 .51768 L
.50329 .51768 L
.50338 .51768 L
.50347 .51768 L
.50358 .51768 L
.50368 .51768 L
.50374 .51768 L
.50379 .51768 L
.50389 .51768 L
.50399 .51768 L
.50421 .51768 L
.50445 .51767 L
.50483 .51767 L
.5052 .51767 L
.50603 .51766 L
.50684 .51765 L
.50772 .51764 L
.50935 .5176 L
.51108 .51755 L
.51425 .51742 L
.51767 .51724 L
.52103 .51701 L
.52465 .51672 L
.5282 .51639 L
.53168 .51603 L
.53544 .51559 L
.53911 .51512 L
.54271 .51463 L
.54659 .51406 L
.55039 .51346 L
.55449 .51279 L
Mistroke
.55851 .51209 L
.56243 .51139 L
.56606 .51072 L
Mfstroke
.48333 .53333 m
.48599 .53364 L
.48894 .53394 L
.49176 .53418 L
.49452 .53437 L
.49751 .53453 L
.50045 .53465 L
.50207 .53469 L
.50282 .53471 L
.50363 .53472 L
.50436 .53473 L
.50476 .53474 L
.50518 .53474 L
.50557 .53475 L
.50593 .53475 L
.5061 .53475 L
.50629 .53475 L
.50646 .53475 L
.50654 .53475 L
.50663 .53475 L
.50673 .53475 L
.50678 .53475 L
.50684 .53475 L
.50693 .53475 L
.50703 .53475 L
.50708 .53475 L
.50715 .53475 L
.5072 .53475 L
.50726 .53475 L
.50736 .53475 L
.50746 .53475 L
.50766 .53475 L
.50784 .53475 L
.50825 .53475 L
.50863 .53474 L
.50897 .53474 L
.50974 .53473 L
.51053 .53472 L
.51127 .53471 L
.51296 .53467 L
.51464 .53462 L
.51619 .53456 L
.51955 .5344 L
.52286 .5342 L
.52644 .53394 L
.52995 .53365 L
.53339 .53331 L
.53712 .53291 L
.54079 .53248 L
.54475 .53197 L
Mistroke
.54864 .53144 L
.55246 .53088 L
.55659 .53024 L
.56064 .52959 L
.56502 .52886 L
.56504 .52885 L
Mfstroke
.48333 .55 m
.48584 .55036 L
.48862 .55071 L
.49129 .55101 L
.49391 .55125 L
.49675 .55148 L
.49954 .55165 L
.50098 .55172 L
.50256 .55179 L
.50397 .55184 L
.50554 .55188 L
.50705 .55191 L
.50788 .55193 L
.50866 .55193 L
.50904 .55194 L
.50924 .55194 L
.50946 .55194 L
.50967 .55194 L
.50986 .55194 L
.50995 .55194 L
.51005 .55194 L
.51014 .55194 L
.51022 .55194 L
.51031 .55194 L
.5104 .55194 L
.51048 .55194 L
.51056 .55194 L
.51065 .55194 L
.51075 .55194 L
.51084 .55194 L
.51093 .55194 L
.5111 .55194 L
.51129 .55194 L
.51167 .55194 L
.51206 .55193 L
.51247 .55193 L
.5132 .55192 L
.514 .55191 L
.51487 .5519 L
.51645 .55186 L
.51816 .55181 L
.5216 .55167 L
.52499 .55148 L
.52833 .55126 L
.53195 .55098 L
.53551 .55065 L
.539 .5503 L
.5428 .54988 L
.54654 .54943 L
.5506 .54891 L
Mistroke
.55459 .54836 L
.55851 .54779 L
.56228 .54722 L
Mfstroke
.48333 .56667 m
.48564 .56707 L
.4882 .56748 L
.49066 .56783 L
.49308 .56814 L
.49571 .56842 L
.4983 .56866 L
.5011 .56888 L
.50387 .56904 L
.5066 .56917 L
.50803 .56921 L
.50876 .56923 L
.50956 .56925 L
.51031 .56927 L
.511 .56928 L
.5117 .56929 L
.51237 .56929 L
.51275 .5693 L
.51309 .5693 L
.51328 .5693 L
.51338 .5693 L
.51349 .5693 L
.51358 .5693 L
.51363 .5693 L
.51368 .5693 L
.51378 .5693 L
.51386 .5693 L
.51396 .5693 L
.51404 .5693 L
.51414 .5693 L
.51419 .5693 L
.51424 .5693 L
.51433 .5693 L
.51442 .5693 L
.51459 .5693 L
.51477 .5693 L
.51494 .5693 L
.51527 .5693 L
.51565 .56929 L
.516 .56929 L
.51679 .56928 L
.51752 .56927 L
.51822 .56926 L
.5198 .56922 L
.52127 .56918 L
.52447 .56905 L
.52761 .56889 L
.53104 .56867 L
.53442 .56842 L
.5381 .5681 L
Mistroke
.54172 .56775 L
.5453 .56737 L
.54919 .56693 L
.55302 .56645 L
.5572 .5659 L
.5576 .56585 L
Mfstroke
.48333 .58333 m
.48539 .58379 L
.48768 .58426 L
.48988 .58467 L
.49204 .58503 L
.4944 .58538 L
.49672 .58569 L
.49924 .58599 L
.50173 .58623 L
.50418 .58643 L
.50685 .58661 L
.50821 .58668 L
.50949 .58674 L
.51082 .58679 L
.51209 .58684 L
.5135 .58687 L
.51419 .58688 L
.51481 .58689 L
.5155 .5869 L
.51588 .5869 L
.51623 .58691 L
.51657 .58691 L
.51687 .58691 L
.51703 .58691 L
.51721 .58691 L
.5173 .58691 L
.51739 .58691 L
.51748 .58691 L
.51757 .58691 L
.51765 .58691 L
.51773 .58691 L
.51782 .58691 L
.51792 .58691 L
.51801 .58691 L
.51811 .58691 L
.51829 .58691 L
.51861 .58691 L
.51897 .58691 L
.51935 .5869 L
.51976 .5869 L
.52051 .58689 L
.52128 .58688 L
.52212 .58686 L
.52365 .58683 L
.52684 .58672 L
.52999 .58657 L
.53309 .58638 L
.53648 .58615 L
.53983 .58588 L
.54348 .58554 L
Mistroke
.5471 .58518 L
.55066 .58479 L
.55082 .58477 L
Mfstroke
.48333 .6 m
.48509 .60051 L
.48705 .60103 L
.48894 .6015 L
.49079 .60193 L
.49281 .60235 L
.4948 .60274 L
.49696 .60311 L
.4991 .60344 L
.5012 .60373 L
.5035 .60401 L
.50577 .60425 L
.50801 .60444 L
.51045 .60461 L
.51287 .60475 L
.51412 .6048 L
.51551 .60485 L
.51685 .60489 L
.51812 .60491 L
.51882 .60492 L
.51917 .60493 L
.51949 .60493 L
.51978 .60494 L
.5201 .60494 L
.52042 .60494 L
.5206 .60494 L
.52076 .60494 L
.52085 .60494 L
.52094 .60494 L
.52102 .60494 L
.5211 .60494 L
.52115 .60494 L
.5212 .60494 L
.52128 .60494 L
.52133 .60494 L
.52138 .60494 L
.52143 .60494 L
.52148 .60494 L
.52157 .60494 L
.52165 .60494 L
.52173 .60494 L
.52181 .60494 L
.52199 .60494 L
.52216 .60494 L
.52246 .60494 L
.52279 .60494 L
.52346 .60493 L
.52418 .60492 L
.52484 .60491 L
.52634 .60488 L
Mistroke
.52772 .60484 L
.52926 .60479 L
.53233 .60466 L
.53537 .60449 L
.5387 .60428 L
.54174 .60404 L
Mfstroke
.48333 .61667 m
.48475 .61722 L
.48632 .61781 L
.48783 .61834 L
.48932 .61883 L
.49093 .61933 L
.49252 .61979 L
.49426 .62026 L
.49596 .62068 L
.49765 .62107 L
.49948 .62146 L
.50129 .6218 L
.50308 .62211 L
.50503 .62241 L
.50696 .62268 L
.50907 .62293 L
.51116 .62314 L
.51322 .62332 L
.51548 .62347 L
.51772 .62359 L
.51888 .62364 L
.52017 .62368 L
.52142 .62372 L
.52203 .62373 L
.5226 .62374 L
.5232 .62375 L
.52376 .62375 L
.52408 .62375 L
.52439 .62376 L
.52454 .62376 L
.52471 .62376 L
.5248 .62376 L
.52489 .62376 L
.52498 .62376 L
.52506 .62376 L
.52514 .62376 L
.52521 .62376 L
.52526 .62376 L
.5253 .62376 L
.52538 .62376 L
.52546 .62376 L
.52553 .62376 L
.52562 .62376 L
.52571 .62376 L
.52585 .62376 L
.52599 .62376 L
.5263 .62376 L
.52664 .62375 L
.52695 .62375 L
.52765 .62375 L
Mistroke
.52826 .62374 L
.52883 .62373 L
.53013 .6237 L
Mfstroke
.48333 .63333 m
.48435 .63394 L
.48549 .63459 L
.48657 .63518 L
.48762 .63574 L
.48877 .63632 L
.4899 .63686 L
.49112 .63743 L
.49231 .63795 L
.49349 .63844 L
.49477 .63895 L
.49603 .63941 L
.49727 .63985 L
.49862 .64029 L
.49995 .64071 L
.5014 .64112 L
.50283 .6415 L
.50424 .64185 L
.50578 .6422 L
.50731 .64252 L
.50898 .64283 L
.51063 .64311 L
.51227 .64335 L
.51406 .64359 L
.51574 .64378 L
s
.48333 .65 m
.48391 .65066 L
.48454 .65137 L
.48513 .65203 L
.48571 .65266 L
.48632 .65332 L
.4869 .65395 L
.48753 .65461 L
.48814 .65524 L
.48872 .65585 L
.48935 .65648 L
.48995 .65708 L
.49054 .65765 L
.49117 .65826 L
.49177 .65883 L
.49242 .65943 L
.49305 .66 L
.49367 .66055 L
.49432 .66112 L
.49496 .66166 L
.49565 .66222 L
.49632 .66276 L
.49697 .66327 L
.49767 .6638 L
.49832 .66428 L
s
.48333 .66667 m
.48342 .66737 L
.48346 .66774 L
.48349 .66815 L
.48352 .66853 L
.48354 .66888 L
.48355 .66924 L
.48356 .66943 L
.48356 .66952 L
.48356 .66962 L
.48356 .66971 L
.48356 .6698 L
.48356 .66985 L
.48356 .66989 L
.48356 .66992 L
.48356 .66993 L
.48356 .66994 L
.48356 .66996 L
.48356 .66997 L
.48356 .66999 L
.48356 .67001 L
.48356 .67003 L
.48356 .67005 L
.48356 .67007 L
.48356 .6701 L
.48356 .67012 L
.48356 .67017 L
.48356 .67021 L
.48356 .67025 L
.48356 .67033 L
.48356 .67042 L
.48356 .67051 L
.48355 .6707 L
.48355 .67088 L
.48354 .67104 L
.48352 .67142 L
.4835 .67176 L
.48342 .6725 L
.48333 .67322 L
.4832 .67398 L
.48305 .67472 L
.48285 .67551 L
.48263 .67628 L
.48239 .67702 L
.48209 .67782 L
.48177 .6786 L
.48142 .67935 L
.48101 .68015 L
.48057 .68094 L
.48006 .68178 L
Mistroke
.47952 .68261 L
.47896 .68341 L
.4783 .68427 L
.47762 .68512 L
.47758 .68517 L
Mfstroke
.48333 .68333 m
.48288 .68409 L
.48233 .68493 L
.48177 .68573 L
.48118 .6865 L
.4805 .68734 L
.4798 .68816 L
.47899 .68904 L
.47814 .68991 L
.47727 .69076 L
.47627 .69167 L
.47523 .69257 L
.47417 .69345 L
.47296 .69441 L
.47171 .69535 L
.47029 .69636 L
.46884 .69737 L
.46734 .69836 L
.46565 .69943 L
.46391 .70049 L
.46194 .70164 L
.45991 .70278 L
.45784 .7039 L
.4555 .70513 L
.45323 .70628 L
s
.48333 .7 m
.48229 .70081 L
.48106 .70171 L
.47983 .70258 L
.47857 .70344 L
.47714 .70437 L
.47567 .70529 L
.474 .70629 L
.47229 .70728 L
.47054 .70826 L
.46856 .70932 L
.46652 .71038 L
.46445 .71143 L
.4621 .71257 L
.45971 .71371 L
.457 .71495 L
.45422 .71618 L
.45139 .7174 L
.44819 .71873 L
.44492 .72005 L
.44123 .72149 L
.43745 .72292 L
.43359 .72433 L
.42924 .72587 L
.42502 .7273 L
s
.48333 .71667 m
.48165 .71753 L
.47969 .7185 L
.47773 .71944 L
.47573 .72037 L
.47346 .7214 L
.47115 .72242 L
.46854 .72355 L
.46586 .72467 L
.46312 .72578 L
.46004 .72701 L
.45688 .72823 L
.45366 .72944 L
.45002 .73078 L
.44631 .7321 L
.44212 .73356 L
.43782 .735 L
.43345 .73643 L
.42851 .738 L
.42346 .73954 L
.41776 .74121 L
.41192 .74285 L
.40597 .74444 L
.39926 .74615 L
.39275 .7477 L
s
.48333 .73333 m
.48096 .73425 L
.4782 .73529 L
.47545 .7363 L
.47264 .73732 L
.46947 .73844 L
.46623 .73957 L
.46257 .74082 L
.45882 .74207 L
.455 .74333 L
.45068 .74471 L
.44626 .74609 L
.44175 .74747 L
.43666 .74899 L
.43146 .75049 L
.42558 .75213 L
.41956 .75376 L
.41342 .75535 L
.40649 .75707 L
.3994 .75873 L
.3914 .76049 L
.38321 .76216 L
.37485 .76372 L
.36544 .76528 L
.35634 .7666 L
s
.48333 .75 m
.48021 .75097 L
.4766 .75207 L
.47299 .75317 L
.46931 .75427 L
.46515 .75549 L
.4609 .75673 L
.4561 .75811 L
.45117 .7595 L
.44614 .76089 L
.44046 .76242 L
.43463 .76396 L
.42869 .76549 L
.42197 .76716 L
.4151 .76881 L
.40733 .77059 L
.39937 .77231 L
.39124 .77397 L
.38205 .7757 L
.37267 .7773 L
.36208 .77889 L
.35125 .78026 L
.34023 .78137 L
.33429 .78184 L
.32784 .78224 L
.32492 .78238 L
.32174 .78251 L
.31871 .78261 L
.31591 .78267 L
s
.48333 .76667 m
.47942 .76769 L
.47489 .76886 L
.47036 .77003 L
.46574 .77122 L
.46051 .77255 L
.45516 .7739 L
.4491 .77541 L
.44289 .77692 L
.43654 .77845 L
.42934 .78013 L
.42197 .7818 L
.41444 .78345 L
.40591 .78524 L
.39718 .78696 L
.3873 .78879 L
.37717 .79049 L
.36683 .79204 L
.35515 .79355 L
.34322 .79479 L
.33687 .79531 L
.3298 .79578 L
.3264 .79596 L
.32276 .79612 L
.31961 .79623 L
.31793 .79627 L
.3161 .79632 L
.31515 .79633 L
.31426 .79635 L
.31342 .79636 L
.3125 .79637 L
.31167 .79638 L
.31089 .79638 L
.31046 .79638 L
.31006 .79638 L
.30963 .79639 L
.30917 .79639 L
.3087 .79639 L
.30827 .79638 L
.30803 .79638 L
.30777 .79638 L
.3073 .79638 L
.30639 .79637 L
.30555 .79637 L
.30463 .79635 L
.30361 .79634 L
.30154 .7963 L
.2996 .79624 L
.29776 .79618 L
.29426 .79604 L
Mistroke
.29046 .79584 L
.28626 .79555 L
.27938 .79496 L
.27191 .79411 L
Mfstroke
.48333 .78333 m
.47858 .78441 L
.47307 .78565 L
.46755 .7869 L
.46192 .78818 L
.45553 .78962 L
.44899 .79108 L
.44158 .79271 L
.43396 .79435 L
.42616 .796 L
.41732 .79781 L
.40824 .79959 L
.39895 .80131 L
.38843 .80314 L
.37765 .80485 L
.36544 .80656 L
.35293 .80805 L
.34017 .80924 L
.3333 .80974 L
.32577 .81015 L
.322 .81031 L
.31999 .81038 L
.31785 .81044 L
.31596 .81048 L
.31387 .81052 L
.31295 .81054 L
.31196 .81055 L
.31102 .81056 L
.31017 .81056 L
.30971 .81056 L
.30928 .81056 L
.30881 .81057 L
.30831 .81057 L
.3078 .81057 L
.30755 .81057 L
.30727 .81056 L
.30677 .81056 L
.30631 .81056 L
.3054 .81055 L
.30458 .81055 L
.30362 .81054 L
.30271 .81052 L
.30065 .81048 L
.29874 .81044 L
.29438 .81029 L
.29041 .8101 L
.28666 .80988 L
.27798 .80918 L
.26924 .80821 L
.26109 .80706 L
Mistroke
.24312 .80355 L
.22528 .79863 L
.22521 .7986 L
Mfstroke
.48333 .8 m
.47769 .80113 L
.47114 .80245 L
.46457 .80378 L
.45784 .80514 L
.45022 .80668 L
.44239 .80825 L
.43351 .81001 L
.42437 .81177 L
.415 .81353 L
.40435 .81543 L
.39341 .81726 L
.3822 .819 L
.3695 .82076 L
.35648 .82231 L
.34955 .82301 L
.34174 .8237 L
.33393 .82426 L
.32664 .82467 L
.32265 .82484 L
.31883 .82497 L
.31685 .82502 L
.31474 .82507 L
.31363 .82509 L
.31241 .82511 L
.31129 .82512 L
.31025 .82513 L
.30976 .82513 L
.30921 .82514 L
.30866 .82514 L
.30836 .82514 L
.30807 .82514 L
.30755 .82514 L
.30707 .82514 L
.30655 .82514 L
.30599 .82514 L
.30552 .82514 L
.30502 .82513 L
.30412 .82513 L
.30304 .82512 L
.30205 .8251 L
.29984 .82507 L
.29743 .82501 L
.29302 .82486 L
.28885 .82467 L
.2842 .8244 L
.27463 .82361 L
.26558 .82259 L
.25563 .82113 L
.24604 .81936 L
Mistroke
.23539 .81695 L
.21525 .81097 L
.19419 .80243 L
.17717 .79351 L
Mfstroke
.48333 .81667 m
.47675 .81785 L
.46909 .81924 L
.4614 .82065 L
.45352 .82211 L
.44456 .82376 L
.43536 .82543 L
.4249 .8273 L
.4141 .82917 L
.40302 .831 L
.39042 .83295 L
.37745 .83478 L
.36416 .83643 L
.34909 .83798 L
.34182 .83859 L
.33364 .83915 L
.3291 .83941 L
.32482 .83961 L
.3207 .83977 L
.31618 .8399 L
.31376 .83995 L
.3127 .83997 L
.31152 .83999 L
.31049 .84 L
.30937 .84001 L
.30875 .84001 L
.30819 .84002 L
.30762 .84002 L
.30708 .84002 L
.3066 .84002 L
.30607 .84002 L
.30551 .84002 L
.30499 .84002 L
.3045 .84002 L
.30405 .84002 L
.30304 .84001 L
.30201 .84 L
.30088 .83999 L
.2986 .83995 L
.29615 .83989 L
.29382 .83982 L
.28942 .83965 L
.28462 .83941 L
.27935 .83906 L
.26955 .83818 L
.25892 .83688 L
.24881 .83527 L
.23917 .83337 L
.21822 .82792 L
.19535 .81957 L
Mistroke
.17301 .80851 L
.15154 .7946 L
.12965 .77623 L
Mfstroke
.48333 .83333 m
.47576 .83457 L
.46693 .83603 L
.45805 .83753 L
.44893 .83908 L
.43856 .84083 L
.42788 .84261 L
.41571 .84458 L
.40314 .84653 L
.39022 .84841 L
.3755 .85035 L
.36034 .85207 L
.34481 .85349 L
.33646 .8541 L
.32718 .85462 L
.32258 .85481 L
.32012 .8549 L
.31748 .85498 L
.31492 .85504 L
.31258 .85509 L
.31144 .8551 L
.31021 .85512 L
.30904 .85513 L
.30796 .85514 L
.30736 .85514 L
.30678 .85514 L
.30626 .85515 L
.3057 .85515 L
.30508 .85515 L
.30477 .85515 L
.30443 .85515 L
.30382 .85514 L
.30325 .85514 L
.30271 .85514 L
.30213 .85514 L
.30111 .85513 L
.3 .85511 L
.29879 .8551 L
.29622 .85505 L
.29346 .85498 L
.28843 .8548 L
.28318 .85454 L
.27741 .85417 L
.26673 .85322 L
.25593 .8519 L
.24423 .85003 L
.22255 .8452 L
.21115 .84188 L
.19873 .83756 L
.17388 .82645 L
Mistroke
.14985 .81196 L
.12706 .79395 L
.10369 .76986 L
.08479 .74475 L
Mfstroke
.48333 .85 m
.47472 .85129 L
.46465 .85283 L
.45451 .85441 L
.44409 .85605 L
.4322 .8579 L
.41994 .85978 L
.40595 .86184 L
.39148 .86384 L
.37657 .86571 L
.35958 .86755 L
.35068 .86836 L
.34207 .86904 L
.33301 .86962 L
.32412 .87006 L
.31935 .87023 L
.3168 .8703 L
.31406 .87037 L
.3115 .87041 L
.30917 .87044 L
.30804 .87045 L
.30744 .87046 L
.30681 .87046 L
.30625 .87047 L
.30564 .87047 L
.30509 .87047 L
.30457 .87047 L
.30391 .87047 L
.30358 .87047 L
.30321 .87047 L
.30256 .87047 L
.30196 .87046 L
.30124 .87046 L
.30058 .87045 L
.29909 .87044 L
.29788 .87042 L
.29654 .8704 L
.29383 .87034 L
.29133 .87028 L
.28865 .87019 L
.28376 .86998 L
.27809 .86965 L
.27185 .8692 L
.26029 .86806 L
.24861 .8665 L
.23595 .86429 L
.2125 .85861 L
.20018 .8547 L
.18678 .84963 L
.16004 .83658 L
Mistroke
.13432 .81956 L
.11013 .79841 L
.08564 .77021 L
.06392 .73713 L
.04471 .69822 L
Mfstroke
.48333 .86667 m
.47362 .86801 L
.46226 .86963 L
.45079 .87129 L
.43898 .87302 L
.42548 .87497 L
.41154 .87694 L
.3956 .87906 L
.37909 .88107 L
.36206 .88287 L
.35299 .88369 L
.34264 .8845 L
.33246 .88513 L
.32261 .88558 L
.31999 .88568 L
.31711 .88576 L
.31454 .88583 L
.31179 .88588 L
.31038 .8859 L
.30904 .88592 L
.30784 .88593 L
.30721 .88594 L
.30653 .88594 L
.30593 .88595 L
.30528 .88595 L
.3046 .88595 L
.30396 .88595 L
.30332 .88595 L
.30271 .88595 L
.30217 .88595 L
.30158 .88595 L
.30089 .88595 L
.30027 .88594 L
.29885 .88593 L
.2976 .88592 L
.29628 .8859 L
.29346 .88585 L
.29035 .88577 L
.2873 .88567 L
.28402 .88554 L
.27805 .88524 L
.27191 .88483 L
.26517 .88427 L
.25267 .88288 L
.24004 .881 L
.22635 .87836 L
.20102 .87161 L
.18773 .86698 L
.17331 .86097 L
.14462 .84552 L
Mistroke
.11723 .82541 L
.09175 .80049 L
.06632 .76738 L
.04426 .72882 L
.02421 .68078 L
.01107 .63732 L
Mfstroke
.48333 .88333 m
.47248 .88473 L
.45975 .88643 L
.44688 .88818 L
.4336 .88999 L
.4184 .89204 L
.40267 .89407 L
.38466 .89623 L
.36597 .8982 L
.34667 .89984 L
.33618 .90053 L
.33068 .90083 L
.32466 .90111 L
.31892 .90131 L
.31358 .90145 L
.31098 .9015 L
.3096 .90152 L
.30813 .90154 L
.3067 .90155 L
.30541 .90156 L
.30478 .90157 L
.3041 .90157 L
.30346 .90157 L
.30287 .90157 L
.30212 .90157 L
.3014 .90157 L
.30076 .90157 L
.30007 .90157 L
.29931 .90156 L
.2985 .90156 L
.29704 .90154 L
.29569 .90153 L
.29442 .90151 L
.29152 .90145 L
.28833 .90137 L
.28538 .90127 L
.27867 .90098 L
.27244 .90061 L
.26655 .90017 L
.25293 .89881 L
.2391 .89688 L
.22624 .89455 L
.21155 .89118 L
.19776 .88727 L
.16955 .87669 L
.14028 .8613 L
.11234 .84128 L
.08355 .81345 L
.05761 .77967 L
.03287 .73586 L
Mistroke
.0219 .71095 L
.01268 .68614 L
Mfstroke
.01268 .68614 m
0 .64175 L
s
.48333 .9 m
.47128 .90145 L
.45712 .90323 L
.44278 .90506 L
.42795 .90696 L
.41096 .90909 L
.39332 .91118 L
.37311 .91334 L
.3521 .91519 L
.34196 .91591 L
.33604 .91627 L
.3304 .91657 L
.32429 .91684 L
.3186 .91704 L
.31565 .91712 L
.31241 .91719 L
.31062 .91723 L
.30895 .91725 L
.30723 .91727 L
.30647 .91728 L
.30564 .91729 L
.30489 .91729 L
.30408 .9173 L
.30364 .9173 L
.30323 .9173 L
.30244 .9173 L
.30199 .9173 L
.30158 .9173 L
.30113 .9173 L
.30065 .9173 L
.29984 .9173 L
.29938 .9173 L
.29895 .9173 L
.29817 .91729 L
.29735 .91729 L
.29588 .91728 L
.29429 .91726 L
.29254 .91723 L
.2895 .91717 L
.28624 .91708 L
.28028 .91686 L
.27339 .91651 L
.26579 .91599 L
.25168 .91465 L
.23739 .91273 L
.22187 .90995 L
.20711 .90656 L
.19305 .90259 L
.16266 .89112 L
.14589 .88283 L
Mistroke
.12995 .87343 L
.09995 .85092 L
.06927 .81945 L
.04193 .78112 L
.02912 .75838 L
.01635 .73144 L
Mfstroke
.01635 .73144 m
0 .68622 L
s
.48333 .91667 m
.47003 .91817 L
.45438 .92003 L
.43849 .92195 L
.42203 .92393 L
.40313 .92613 L
.38349 .92826 L
.36094 .93036 L
.34896 .93128 L
.33748 .93202 L
.32592 .93259 L
.31993 .93281 L
.31651 .93291 L
.31323 .93299 L
.31005 .93305 L
.30836 .93308 L
.30655 .9331 L
.30568 .93311 L
.30486 .93311 L
.30407 .93312 L
.30333 .93312 L
.30263 .93313 L
.30189 .93313 L
.30115 .93313 L
.30033 .93313 L
.29988 .93313 L
.29938 .93313 L
.29892 .93313 L
.29848 .93313 L
.29767 .93312 L
.29679 .93312 L
.29586 .93311 L
.29498 .9331 L
.29297 .93308 L
.29122 .93305 L
.28962 .93302 L
.28597 .93294 L
.28264 .93283 L
.27906 .9327 L
.27253 .93238 L
.26465 .93187 L
.25737 .93127 L
.2429 .92967 L
.22679 .92722 L
.21101 .92405 L
.19394 .91967 L
.16249 .90857 L
.14611 .90099 L
.12846 .89118 L
.09391 .86606 L
Mistroke
.06192 .83359 L
.03342 .79389 L
.01887 .76797 L
.00671 .74218 L
Mfstroke
.00671 .74218 m
0 .72358 L
s
.5 .08333 m
.48841 .08223 L
.47614 .08121 L
.46499 .0804 L
.4546 .07976 L
.4439 .07919 L
.43393 .07874 L
.4237 .07834 L
.41419 .07801 L
.40535 .07772 L
.39628 .07741 L
.38784 .07709 L
.37999 .07675 L
.37192 .07631 L
.36441 .07581 L
.35668 .07515 L
.34948 .07439 L
.34275 .07351 L
.33581 .0724 L
.32931 .07114 L
.32259 .06959 L
.31627 .06785 L
.31033 .06595 L
.30413 .06366 L
.29857 .0613 L
s
.5 .1 m
.48954 .09894 L
.47845 .09794 L
.46834 .09715 L
.4589 .0965 L
.44915 .09593 L
.44005 .09548 L
.4307 .09508 L
.42198 .09476 L
.41386 .09449 L
.4055 .09423 L
.39772 .09399 L
.39048 .09373 L
.38301 .09343 L
.37606 .09309 L
.3689 .09266 L
.36222 .09215 L
.35599 .09157 L
.34955 .09083 L
.34353 .08999 L
.33731 .08894 L
.33148 .08775 L
.326 .08645 L
.3203 .08486 L
.3152 .08322 L
s
.5 .11667 m
.49063 .11564 L
.48067 .11467 L
.47156 .11389 L
.46304 .11325 L
.45423 .11267 L
.44598 .11221 L
.43748 .11181 L
.42954 .11149 L
.42213 .11123 L
.41449 .111 L
.40736 .11079 L
.40071 .1106 L
.39385 .11039 L
.38744 .11017 L
.38085 .10989 L
.37469 .10957 L
.36894 .10921 L
.363 .10875 L
.35744 .10822 L
.3517 .10755 L
.34632 .10679 L
.34128 .10595 L
.33605 .10491 L
.33137 .10383 L
s
.5 .13333 m
.49167 .13235 L
.48279 .13141 L
.47467 .13064 L
.46704 .13 L
.45913 .12942 L
.45171 .12895 L
.44405 .12853 L
.43687 .12821 L
.43016 .12794 L
.42323 .12771 L
.41674 .12753 L
.41069 .12737 L
.40442 .12721 L
.39857 .12706 L
.39253 .12689 L
.38688 .12671 L
.38161 .1265 L
.37615 .12624 L
.37105 .12593 L
.36578 .12555 L
.36084 .1251 L
.35621 .1246 L
.35141 .12397 L
.34713 .12331 L
s
.5 .15 m
.49267 .14906 L
.48484 .14814 L
.47765 .14739 L
.47089 .14675 L
.46385 .14617 L
.45725 .14568 L
.4504 .14525 L
.44398 .14491 L
.43795 .14463 L
.43171 .1444 L
.42587 .14421 L
.4204 .14406 L
.41473 .14393 L
.40942 .14382 L
.40393 .14371 L
.3988 .1436 L
.39399 .14349 L
.38902 .14336 L
.38436 .14321 L
.37955 .14302 L
.37503 .14279 L
.37081 .14254 L
.36643 .14221 L
.36252 .14185 L
s
.5 .16667 m
.49362 .16576 L
.48679 .16488 L
.4805 .16414 L
.47458 .16351 L
.4684 .16292 L
.46258 .16242 L
.45653 .16197 L
.45084 .16161 L
.44549 .16131 L
.43994 .16105 L
.43473 .16085 L
.42984 .16069 L
.42476 .16056 L
.41999 .16046 L
.41505 .16037 L
.41043 .16031 L
.40609 .16025 L
.40159 .16019 L
.39738 .16013 L
.39301 .16006 L
.38892 .15998 L
.38509 .15988 L
.38111 .15975 L
.37757 .1596 L
s
.5 .18333 m
.49453 .18247 L
.48866 .18162 L
.48324 .18089 L
.47811 .18027 L
.47276 .17967 L
.4677 .17917 L
.46243 .1787 L
.45746 .17831 L
.45278 .17798 L
.4479 .1777 L
.44331 .17747 L
.43899 .17729 L
.4345 .17713 L
.43027 .17702 L
.42589 .17692 L
.42176 .17686 L
.41789 .17682 L
.41594 .1768 L
.41387 .17679 L
.4118 .17678 L
.40986 .17677 L
.40624 .17676 L
.40248 .17675 L
.40064 .17675 L
.39895 .17674 L
.39734 .17674 L
.39564 .17673 L
.39391 .17672 L
.3923 .17671 L
s
.5 .2 m
.49539 .19918 L
.49043 .19836 L
.48584 .19765 L
.48149 .19703 L
.47693 .19643 L
.47261 .19591 L
.4681 .19542 L
.46383 .19501 L
.4598 .19466 L
.45558 .19433 L
.45161 .19407 L
.44786 .19385 L
.44395 .19366 L
.44026 .19351 L
.43642 .19339 L
.4328 .1933 L
.4294 .19325 L
.42767 .19322 L
.42585 .19321 L
.42497 .1932 L
.42402 .19319 L
.42359 .19319 L
.42313 .19319 L
.4227 .19319 L
.42231 .19319 L
.42191 .19319 L
.42152 .19319 L
.42131 .19319 L
.42111 .19319 L
.42101 .19319 L
.4209 .19319 L
.42084 .19319 L
.42078 .19319 L
.42067 .19319 L
.42058 .19319 L
.42049 .19319 L
.42039 .19319 L
.42028 .19319 L
.42017 .19319 L
.42007 .19319 L
.41988 .19319 L
.41953 .19319 L
.41915 .19319 L
.41875 .19319 L
.41838 .19319 L
.41753 .19319 L
.4167 .1932 L
.41583 .1932 L
.41255 .19323 L
Mistroke
.40947 .19326 L
.40672 .19329 L
Mfstroke
.5 .21667 m
.49621 .21589 L
.49212 .2151 L
.48832 .21441 L
.48471 .2138 L
.48091 .2132 L
.47731 .21267 L
.47353 .21216 L
.46994 .21172 L
.46654 .21133 L
.46298 .21097 L
.45961 .21067 L
.45642 .21041 L
.45308 .21017 L
.44993 .20998 L
.44664 .20981 L
.44353 .20967 L
.44059 .20957 L
.43897 .20953 L
.43753 .20949 L
.43601 .20946 L
.43463 .20944 L
.43323 .20942 L
.4325 .20942 L
.43173 .20941 L
.43106 .20941 L
.43069 .20941 L
.43033 .2094 L
.43001 .2094 L
.42984 .2094 L
.42966 .2094 L
.4295 .2094 L
.42942 .2094 L
.42934 .2094 L
.42926 .2094 L
.42918 .2094 L
.42911 .2094 L
.42904 .2094 L
.42895 .2094 L
.4289 .2094 L
.42886 .2094 L
.42878 .2094 L
.42869 .2094 L
.42861 .2094 L
.42854 .2094 L
.42837 .2094 L
.42819 .2094 L
.42803 .2094 L
.42766 .2094 L
.42735 .20941 L
Mistroke
.42701 .20941 L
.42639 .20941 L
.42504 .20942 L
.42362 .20944 L
.42085 .20948 L
.42084 .20948 L
Mfstroke
.5 .23333 m
.49698 .2326 L
.49371 .23184 L
.49067 .23117 L
.48776 .23057 L
.4847 .22997 L
.48178 .22943 L
.47871 .2289 L
.47578 .22844 L
.473 .22802 L
.47008 .22762 L
.4673 .22727 L
.46467 .22696 L
.4619 .22667 L
.45928 .22642 L
.45653 .22619 L
.45392 .226 L
.45146 .22584 L
.44887 .22569 L
.44643 .22558 L
.44387 .22549 L
.44261 .22546 L
.44146 .22543 L
.44027 .22541 L
.43918 .22539 L
.43808 .22537 L
.4375 .22537 L
.43718 .22537 L
.43688 .22537 L
.43662 .22536 L
.43633 .22536 L
.43604 .22536 L
.43588 .22536 L
.43581 .22536 L
.43573 .22536 L
.43567 .22536 L
.4356 .22536 L
.43553 .22536 L
.43546 .22536 L
.4354 .22536 L
.43533 .22536 L
.43528 .22536 L
.43521 .22536 L
.43515 .22536 L
.43507 .22536 L
.435 .22536 L
.43492 .22536 L
.4348 .22536 L
.43466 .22536 L
s
.5 .25 m
.49771 .24931 L
.49522 .24858 L
.49288 .24794 L
.49065 .24735 L
.48829 .24675 L
.48603 .24621 L
.48364 .24566 L
.48136 .24517 L
.47918 .24472 L
.47688 .24428 L
.47468 .24388 L
.47259 .24353 L
.47038 .24318 L
.46829 .24287 L
.46608 .24256 L
.46398 .2423 L
.46198 .24207 L
.45988 .24185 L
.45788 .24166 L
.45579 .24149 L
.45381 .24134 L
.45192 .24123 L
.44995 .24112 L
.44817 .24104 L
s
.5 .26667 m
.49839 .26601 L
.49663 .26533 L
.49497 .26471 L
.49338 .26413 L
.49168 .26354 L
.49005 .26299 L
.48832 .26243 L
.48665 .26191 L
.48505 .26144 L
.48335 .26096 L
.48173 .26051 L
.48017 .26011 L
.47852 .2597 L
.47694 .25933 L
.47527 .25895 L
.47367 .25861 L
.47214 .2583 L
.47052 .258 L
.46898 .25772 L
.46736 .25745 L
.46581 .25721 L
.46433 .25699 L
.46277 .25678 L
.46136 .25661 L
s
.5 .28333 m
.49902 .28272 L
.49795 .28207 L
.49693 .28148 L
.49593 .28091 L
.49487 .28033 L
.49383 .27978 L
.49273 .27921 L
.49165 .27868 L
.49061 .27817 L
.4895 .27766 L
.48843 .27717 L
.48739 .27672 L
.48628 .27625 L
.48521 .27581 L
.48407 .27536 L
.48297 .27495 L
.48191 .27456 L
.48079 .27416 L
.4797 .27379 L
.47855 .27341 L
.47744 .27306 L
.47638 .27274 L
.47525 .27241 L
.47422 .27212 L
s
.5 .3 m
.49961 .29943 L
.49917 .29882 L
.49875 .29825 L
.49832 .29771 L
.49785 .29713 L
.49738 .29658 L
.49687 .29601 L
.49636 .29546 L
.49586 .29493 L
.49531 .29438 L
.49477 .29386 L
.49424 .29336 L
.49366 .29284 L
.4931 .29234 L
.49248 .29182 L
.49187 .29133 L
.49128 .29086 L
.49064 .29037 L
.49002 .2899 L
.48934 .28942 L
.48868 .28896 L
.48804 .28852 L
.48734 .28807 L
.4867 .28766 L
s
.5 .31667 m
.50016 .31614 L
.50031 .31557 L
.50043 .31503 L
.50053 .3145 L
.50062 .31394 L
.50069 .3134 L
.50071 .31312 L
.50074 .31282 L
.50076 .31253 L
.50076 .31239 L
.50077 .31226 L
.50077 .31212 L
.50077 .31199 L
.50078 .31192 L
.50078 .31185 L
.50078 .31182 L
.50078 .31178 L
.50078 .31176 L
.50078 .31174 L
.50078 .31172 L
.50078 .3117 L
.50078 .31169 L
.50078 .31167 L
.50078 .31166 L
.50078 .31165 L
.50078 .31163 L
.50078 .31161 L
.50078 .3116 L
.50078 .31158 L
.50078 .31156 L
.50078 .31153 L
.50078 .3115 L
.50078 .31143 L
.50078 .31136 L
.50077 .31129 L
.50077 .31113 L
.50077 .311 L
.50076 .31087 L
.50075 .31057 L
.50072 .31028 L
.5007 .31002 L
.50064 .30945 L
.50056 .3089 L
.50046 .30832 L
.50034 .30776 L
.50022 .30722 L
.50006 .30664 L
.49989 .30609 L
.4997 .3055 L
Mistroke
.4995 .30494 L
.49928 .3044 L
.49904 .30383 L
.49878 .30328 L
.49878 .30327 L
Mfstroke
.5 .33333 m
.50065 .33285 L
.50135 .33232 L
.50198 .33181 L
.50257 .33131 L
.50318 .33076 L
.50374 .33022 L
.50432 .32964 L
.50486 .32908 L
.50536 .32852 L
.50586 .32792 L
.50633 .32733 L
.50676 .32676 L
.5072 .32615 L
.5076 .32554 L
.50799 .3249 L
.50836 .32427 L
.50868 .32365 L
.50901 .32299 L
.5093 .32235 L
.50958 .32166 L
.50983 .32099 L
.51005 .32035 L
.51026 .31965 L
.51042 .31901 L
s
.5 .35 m
.5011 .34957 L
.50229 .34907 L
.50339 .34859 L
.50443 .34811 L
.50552 .34759 L
.50654 .34706 L
.50762 .34649 L
.50863 .34592 L
.50959 .34535 L
.51058 .34474 L
.51152 .34413 L
.5124 .34353 L
.51331 .34287 L
.51417 .34223 L
.51505 .34153 L
.51588 .34085 L
.51666 .34017 L
.51746 .33944 L
.5182 .33872 L
.51896 .33795 L
.51967 .33719 L
.52032 .33645 L
.52099 .33565 L
.52157 .33491 L
s
.5 .36667 m
.50151 .36628 L
.50314 .36583 L
.50466 .36538 L
.50611 .36493 L
.50763 .36442 L
.50909 .36391 L
.51062 .36335 L
.51207 .36278 L
.51345 .36221 L
.5149 .36159 L
.51628 .36096 L
.51759 .36034 L
.51896 .35966 L
.52025 .35898 L
.52161 .35824 L
.52289 .35751 L
.5241 .35678 L
.52536 .35599 L
.52655 .35521 L
.52779 .35437 L
.52895 .35353 L
.53004 .35271 L
.53117 .35182 L
.53218 .35099 L
s
.5 .38333 m
.50187 .38299 L
.50389 .38258 L
.50579 .38217 L
.50761 .38174 L
.50953 .38126 L
.51137 .38077 L
.51331 .38022 L
.51517 .37966 L
.51695 .3791 L
.51882 .37847 L
.52061 .37784 L
.52232 .3772 L
.52412 .3765 L
.52583 .3758 L
.52763 .37503 L
.52935 .37426 L
.53098 .37349 L
.53269 .37266 L
.53431 .37183 L
.53601 .37092 L
.53763 .37002 L
.53915 .36914 L
.54074 .36817 L
.54217 .36727 L
s
.5 .4 m
.50218 .3997 L
.50455 .39934 L
.50678 .39896 L
.50892 .39857 L
.51119 .39812 L
.51338 .39765 L
.5157 .39712 L
.51792 .39657 L
.52006 .39601 L
.52232 .39539 L
.52449 .39475 L
.52657 .39411 L
.52877 .3934 L
.53087 .39268 L
.5331 .39189 L
.53522 .39109 L
.53725 .3903 L
.53939 .38943 L
.54144 .38857 L
.54359 .38762 L
.54564 .38667 L
.54759 .38574 L
.54964 .38473 L
.55149 .38378 L
s
.5 .41667 m
.50244 .41641 L
.50511 .41609 L
.50762 .41576 L
.51004 .4154 L
.51263 .41498 L
.51512 .41454 L
.51776 .41403 L
.52032 .4135 L
.52277 .41295 L
.52538 .41234 L
.5279 .41171 L
.53031 .41107 L
.53288 .41035 L
.53535 .40963 L
.53796 .40883 L
.54047 .40802 L
.54288 .40721 L
.54543 .40632 L
.54787 .40543 L
.55046 .40446 L
.55293 .40348 L
.5553 .40252 L
.55779 .40147 L
.56006 .40049 L
s
.5 .43333 m
.50266 .43312 L
.50557 .43285 L
.50832 .43256 L
.51098 .43223 L
.51382 .43185 L
.51657 .43144 L
.5195 .43095 L
.52234 .43045 L
.52508 .42992 L
.528 .42932 L
.53082 .42871 L
.53353 .42808 L
.53643 .42737 L
.53923 .42665 L
.5422 .42585 L
.54506 .42503 L
.54782 .42422 L
.55075 .42332 L
.55357 .42242 L
.55656 .42144 L
.55943 .42045 L
.56219 .41948 L
.56512 .41842 L
.56779 .41742 L
s
.5 .45 m
.50283 .44984 L
.50593 .44961 L
.50888 .44936 L
.51173 .44907 L
.51478 .44873 L
.51774 .44835 L
.52091 .4479 L
.52399 .44742 L
.52696 .44692 L
.53015 .44635 L
.53323 .44575 L
.53621 .44513 L
.5394 .44444 L
.54248 .44373 L
.54577 .44294 L
.54895 .44214 L
.55202 .44133 L
.5553 .44043 L
.55846 .43954 L
.56183 .43855 L
.56508 .43757 L
.56821 .4366 L
.57154 .43554 L
.57459 .43455 L
s
.5 .46667 m
.50295 .46655 L
.5062 .46638 L
.50928 .46617 L
.51228 .46592 L
.5155 .46561 L
.51862 .46527 L
.52198 .46486 L
.52524 .46442 L
.52841 .46395 L
.53181 .4634 L
.53511 .46283 L
.53831 .46224 L
.54174 .46157 L
.54507 .46088 L
.54864 .46011 L
.55209 .45932 L
.55544 .45853 L
.55902 .45765 L
.56249 .45677 L
.5662 .4558 L
.56979 .45484 L
.57326 .45388 L
.57697 .45284 L
.58037 .45187 L
s
.5 .48333 m
.50147 .48331 L
.50302 .48326 L
.50461 .48321 L
.50636 .48314 L
.50962 .48297 L
.51278 .48276 L
.51619 .48249 L
.51952 .48218 L
.52276 .48184 L
.52624 .48142 L
.52964 .48097 L
.53294 .4805 L
.53649 .47995 L
.53995 .47938 L
.54366 .47872 L
.54728 .47804 L
.55079 .47735 L
.55456 .47657 L
.55823 .47579 L
.56216 .47491 L
.56599 .47403 L
.5697 .47316 L
.57368 .47219 L
.57754 .47124 L
.58128 .4703 L
.58502 .46936 L
s
.5 .5 m
.50009 .5 L
.50018 .5 L
.50027 .5 L
.50036 .5 L
.50053 .5 L
.5007 .5 L
.5009 .5 L
.50111 .5 L
.50148 .49999 L
.50186 .49999 L
.50223 .49999 L
.50305 .49998 L
.5039 .49996 L
.50467 .49995 L
.50643 .4999 L
.50797 .49985 L
.50966 .49979 L
.51301 .49962 L
.51629 .49941 L
.51982 .49913 L
.52328 .49882 L
.52665 .49847 L
.53029 .49805 L
.53384 .49759 L
.5373 .49711 L
.54104 .49655 L
.54468 .49597 L
.5486 .4953 L
.55243 .49462 L
.55616 .49392 L
.56018 .49313 L
.5641 .49234 L
.56791 .49154 L
.57201 .49067 L
.576 .48979 L
.58029 .48884 L
.58447 .4879 L
.58842 .487 L
s
.5 .51667 m
.5007 .51668 L
.50147 .51668 L
.50186 .51669 L
.50207 .51669 L
.50228 .51669 L
.50246 .51669 L
.50267 .51669 L
.50276 .51669 L
.50286 .51669 L
.50294 .51669 L
.50303 .51669 L
.50308 .51669 L
.50314 .51669 L
.50324 .51669 L
.50333 .51669 L
.50342 .51669 L
.50348 .51669 L
.50354 .51669 L
.5036 .51669 L
.50365 .51669 L
.50375 .51669 L
.50385 .51669 L
.50404 .51669 L
.50422 .51669 L
.50462 .51669 L
.50507 .51669 L
.50547 .51668 L
.50639 .51667 L
.50719 .51666 L
.50793 .51664 L
.50962 .5166 L
.51116 .51656 L
.51286 .51649 L
.51624 .51632 L
.51953 .51612 L
.5231 .51585 L
.5266 .51554 L
.53001 .5152 L
.53371 .51479 L
.53732 .51434 L
.54123 .51382 L
.54505 .51327 L
.54879 .5127 L
.55283 .51204 L
.55677 .51137 L
.56063 .51068 L
.56479 .50991 L
.56886 .50914 L
.57324 .50829 L
Mistroke
.57753 .50743 L
.58171 .50659 L
.58621 .50567 L
.59046 .5048 L
Mfstroke
.5 .53333 m
.50143 .53337 L
.50296 .53341 L
.50377 .53342 L
.50452 .53343 L
.50496 .53343 L
.50536 .53344 L
.50558 .53344 L
.50582 .53344 L
.50604 .53344 L
.50615 .53344 L
.50625 .53344 L
.50634 .53344 L
.50644 .53344 L
.50653 .53344 L
.50662 .53344 L
.50672 .53344 L
.50681 .53344 L
.50686 .53344 L
.50692 .53344 L
.50702 .53344 L
.5071 .53344 L
.5072 .53344 L
.50739 .53344 L
.50757 .53344 L
.50774 .53344 L
.50815 .53344 L
.50853 .53343 L
.50938 .53342 L
.51018 .53341 L
.51093 .5334 L
.51262 .53336 L
.51415 .53332 L
.51586 .53325 L
.51925 .53309 L
.52257 .5329 L
.52617 .53263 L
.5297 .53233 L
.53316 .532 L
.53691 .5316 L
.54059 .53116 L
.54457 .53065 L
.54848 .53011 L
.55231 .52954 L
.55646 .5289 L
.56053 .52824 L
.56451 .52757 L
.56882 .52682 L
.57304 .52607 L
.57761 .52524 L
Mistroke
.58208 .52441 L
.58645 .5236 L
.591 .52275 L
Mfstroke
.5 .55 m
.50138 .55006 L
.50284 .55012 L
.50435 .55017 L
.50522 .55019 L
.50601 .55021 L
.50673 .55022 L
.50751 .55023 L
.50794 .55024 L
.50833 .55024 L
.50872 .55024 L
.50892 .55025 L
.50912 .55025 L
.5093 .55025 L
.5095 .55025 L
.50959 .55025 L
.50968 .55025 L
.50977 .55025 L
.50985 .55025 L
.50996 .55025 L
.51001 .55025 L
.51007 .55025 L
.51016 .55025 L
.51022 .55025 L
.51027 .55025 L
.51036 .55025 L
.51045 .55025 L
.51055 .55025 L
.51065 .55025 L
.51082 .55025 L
.511 .55025 L
.51133 .55024 L
.51169 .55024 L
.51209 .55024 L
.51289 .55023 L
.51363 .55022 L
.5153 .55019 L
.51684 .55015 L
.51854 .55009 L
.52192 .54994 L
.52525 .54975 L
.52886 .5495 L
.53242 .54921 L
.53591 .54889 L
.53971 .5485 L
.54344 .54807 L
.5471 .54762 L
.55108 .5471 L
.555 .54655 L
.55924 .54593 L
Mistroke
.56341 .54529 L
.56751 .54463 L
.57195 .54391 L
.57632 .54318 L
.58105 .54237 L
.5857 .54157 L
.58991 .54085 L
Mfstroke
.5 .56667 m
.50268 .56684 L
.5041 .56691 L
.50567 .56698 L
.50716 .56703 L
.50854 .56707 L
.50998 .5671 L
.51078 .56711 L
.51115 .56712 L
.51155 .56712 L
.5119 .56713 L
.51228 .56713 L
.51249 .56713 L
.51268 .56713 L
.51287 .56713 L
.51297 .56713 L
.51305 .56713 L
.51314 .56713 L
.51322 .56713 L
.51332 .56713 L
.5134 .56713 L
.51348 .56713 L
.51357 .56713 L
.51365 .56713 L
.51373 .56713 L
.51382 .56713 L
.51391 .56713 L
.51411 .56713 L
.51429 .56713 L
.51446 .56713 L
.51482 .56713 L
.51521 .56713 L
.516 .56712 L
.51674 .56711 L
.51744 .5671 L
.51903 .56706 L
.52051 .56702 L
.52373 .5669 L
.52689 .56674 L
.53034 .56653 L
.53374 .56627 L
.53744 .56596 L
.54108 .56561 L
.54468 .56523 L
.54859 .56477 L
.55244 .5643 L
.55623 .5638 L
.56036 .56323 L
.56443 .56264 L
.56885 .56198 L
Mistroke
.57321 .56131 L
.5775 .56064 L
.58216 .5599 L
.58675 .55917 L
.58702 .55913 L
Mfstroke
.5 .58333 m
.50247 .58355 L
.50522 .58375 L
.50787 .5839 L
.51048 .58401 L
.51185 .58405 L
.51333 .58408 L
.51406 .58409 L
.51444 .5841 L
.51486 .5841 L
.51522 .58411 L
.51561 .58411 L
.51598 .58411 L
.51614 .58411 L
.51632 .58411 L
.51642 .58412 L
.51651 .58412 L
.5166 .58412 L
.51668 .58412 L
.51678 .58412 L
.51683 .58412 L
.51688 .58412 L
.51698 .58412 L
.51703 .58412 L
.51708 .58412 L
.51717 .58412 L
.51726 .58412 L
.51734 .58412 L
.51743 .58412 L
.51762 .58411 L
.51781 .58411 L
.51812 .58411 L
.51847 .58411 L
.51918 .5841 L
.51994 .5841 L
.52064 .58408 L
.52223 .58405 L
.52369 .58401 L
.52531 .58396 L
.52855 .58382 L
.53174 .58364 L
.53522 .5834 L
.53867 .58313 L
.54207 .58283 L
.54578 .58246 L
.54945 .58207 L
.55306 .58165 L
.55701 .58117 L
.5609 .58066 L
.56515 .58009 L
Mistroke
.56935 .5795 L
.57349 .5789 L
.57801 .57824 L
.58216 .57762 L
Mfstroke
.5 .6 m
.5022 .60027 L
.50467 .60053 L
.50704 .60073 L
.50939 .6009 L
.51195 .60104 L
.51447 .60115 L
.51588 .60119 L
.51654 .6012 L
.51723 .60122 L
.51788 .60123 L
.51822 .60123 L
.51859 .60123 L
.51893 .60124 L
.51925 .60124 L
.51956 .60124 L
.51986 .60124 L
.52004 .60124 L
.52013 .60124 L
.52021 .60124 L
.52028 .60124 L
.52036 .60124 L
.52044 .60124 L
.52053 .60124 L
.52058 .60124 L
.52062 .60124 L
.52071 .60124 L
.5208 .60124 L
.52085 .60124 L
.5209 .60124 L
.52107 .60124 L
.52124 .60124 L
.52156 .60124 L
.52186 .60124 L
.52254 .60123 L
.52324 .60123 L
.52399 .60122 L
.52533 .60119 L
.52678 .60115 L
.52815 .60111 L
.53112 .60099 L
.53436 .60081 L
.53758 .60061 L
.54076 .60037 L
.54424 .60007 L
.54769 .59975 L
.55109 .5994 L
.55482 .59898 L
.5585 .59855 L
.56254 .59805 L
Mistroke
.56653 .59754 L
.57048 .59701 L
.5748 .59642 L
.57516 .59637 L
Mfstroke
.5 .61667 m
.50189 .61699 L
.50401 .6173 L
.50606 .61757 L
.50807 .6178 L
.51028 .61802 L
.51246 .61819 L
.51485 .61835 L
.51607 .61841 L
.51721 .61846 L
.51841 .61851 L
.51955 .61854 L
.52072 .61857 L
.52134 .61858 L
.52202 .61859 L
.52266 .61859 L
.52303 .6186 L
.5232 .6186 L
.52337 .6186 L
.52353 .6186 L
.5237 .6186 L
.52378 .6186 L
.52386 .6186 L
.52393 .6186 L
.524 .6186 L
.52408 .6186 L
.52417 .6186 L
.52425 .6186 L
.52432 .6186 L
.52436 .6186 L
.52441 .6186 L
.52449 .6186 L
.52458 .6186 L
.52468 .6186 L
.52483 .6186 L
.525 .6186 L
.52534 .6186 L
.52566 .61859 L
.52595 .61859 L
.52662 .61858 L
.52735 .61857 L
.5288 .61855 L
.53019 .61851 L
.53291 .61842 L
.53588 .61828 L
.53884 .61811 L
.54176 .61791 L
.54497 .61766 L
.54815 .61738 L
.55164 .61705 L
Mistroke
.5551 .61669 L
.55853 .61631 L
.5623 .61587 L
.56579 .61545 L
Mfstroke
.5 .63333 m
.50153 .6337 L
.50325 .63408 L
.50491 .63441 L
.50654 .63471 L
.50833 .635 L
.5101 .63525 L
.51203 .6355 L
.51395 .63571 L
.51585 .63588 L
.51793 .63604 L
.52 .63616 L
.52204 .63625 L
.52311 .63629 L
.52429 .63632 L
.52486 .63633 L
.52549 .63634 L
.52609 .63635 L
.52666 .63636 L
.52695 .63636 L
.52711 .63636 L
.52728 .63636 L
.52742 .63636 L
.52758 .63636 L
.52765 .63636 L
.52773 .63636 L
.52779 .63636 L
.52786 .63636 L
.52794 .63636 L
.52801 .63636 L
.52808 .63636 L
.52812 .63636 L
.52816 .63636 L
.52823 .63636 L
.5283 .63636 L
.52837 .63636 L
.52844 .63636 L
.52858 .63636 L
.5287 .63636 L
.52898 .63636 L
.52928 .63636 L
.52961 .63636 L
.53022 .63635 L
.53081 .63634 L
.53137 .63633 L
.53254 .63631 L
.53385 .63627 L
.53648 .63618 L
.5391 .63606 L
.54197 .63589 L
Mistroke
.54482 .6357 L
.54766 .63548 L
.55078 .63521 L
.55382 .63493 L
Mfstroke
.5 .65 m
.50112 .65042 L
.50238 .65086 L
.50359 .65125 L
.50478 .65162 L
.50608 .65199 L
.50737 .65233 L
.50877 .65267 L
.51017 .65298 L
.51154 .65326 L
.51305 .65354 L
.51454 .65379 L
.51602 .654 L
.51764 .65421 L
.51925 .65439 L
.52101 .65456 L
.52276 .6547 L
.5245 .65481 L
.5255 .65486 L
.52642 .6549 L
.5274 .65493 L
.52832 .65496 L
.52928 .65498 L
.52979 .65499 L
.53033 .655 L
.53082 .655 L
.53109 .65501 L
.53134 .65501 L
.53158 .65501 L
.53171 .65501 L
.53183 .65501 L
.53194 .65501 L
.532 .65501 L
.53206 .65501 L
.53212 .65501 L
.53218 .65501 L
.53224 .65501 L
.5323 .65501 L
.53237 .65501 L
.5324 .65501 L
.53244 .65501 L
.53257 .65501 L
.53268 .65501 L
.53281 .65501 L
.53307 .65501 L
.53335 .65501 L
.53386 .655 L
.53434 .655 L
.53546 .65498 L
.5365 .65496 L
Mistroke
.53877 .65489 L
.539 .65488 L
Mfstroke
.5 .66667 m
.50067 .66714 L
.50141 .66764 L
.50211 .6681 L
.5028 .66854 L
.50355 .66899 L
.50428 .66942 L
.50507 .66987 L
.50585 .67029 L
.50661 .67068 L
.50744 .67109 L
.50826 .67147 L
.50906 .67183 L
.50993 .6722 L
.51079 .67254 L
.51173 .67289 L
.51266 .67322 L
.51357 .67353 L
.51457 .67384 L
.51556 .67412 L
.51665 .67441 L
.51772 .67467 L
.51878 .67491 L
.51995 .67515 L
.52105 .67536 L
s
.5 .68333 m
.50016 .68385 L
.50032 .68442 L
.50046 .68495 L
.50059 .68546 L
.50071 .68601 L
.50081 .68653 L
.5009 .68708 L
.50098 .68762 L
.50104 .68814 L
.50106 .6884 L
.50108 .68869 L
.5011 .68896 L
.50111 .68922 L
.50112 .68936 L
.50112 .68943 L
.50112 .68949 L
.50112 .68955 L
.50112 .68961 L
.50112 .68967 L
.50112 .68971 L
.50112 .68974 L
.50112 .68976 L
.50112 .68977 L
.50112 .68979 L
.50112 .6898 L
.50112 .68981 L
.50112 .68982 L
.50112 .68984 L
.50112 .68986 L
.50112 .68987 L
.50112 .68989 L
.50112 .68991 L
.50112 .68992 L
.50112 .68994 L
.50112 .68998 L
.50112 .69001 L
.50112 .69008 L
.50112 .69013 L
.50112 .69026 L
.50111 .69041 L
.50111 .69054 L
.5011 .69079 L
.50108 .69107 L
.50105 .69132 L
.50099 .69186 L
.50092 .69238 L
.50081 .69294 L
.50069 .69348 L
.50053 .69406 L
Mistroke
.50035 .69462 L
.50016 .69516 L
.49992 .69575 L
.49967 .69632 L
.49964 .69637 L
Mfstroke
.5 .7 m
.4996 .70057 L
.49913 .7012 L
.49865 .70181 L
.49814 .70239 L
.49756 .70303 L
.49696 .70365 L
.49627 .70432 L
.49555 .70498 L
.4948 .70563 L
.49395 .70633 L
.49307 .70703 L
.49217 .70771 L
.49115 .70844 L
.49009 .70917 L
.48889 .70997 L
.48766 .71075 L
.48639 .71152 L
.48496 .71237 L
.48349 .71321 L
.48182 .71412 L
.48011 .71503 L
.47836 .71593 L
.47638 .71692 L
.47445 .71785 L
s
.5 .71667 m
.499 .71729 L
.49783 .71799 L
.49666 .71866 L
.49547 .71933 L
.49411 .72006 L
.49272 .72079 L
.49115 .72158 L
.48953 .72238 L
.48789 .72316 L
.48602 .72403 L
.48411 .72489 L
.48216 .72575 L
.47996 .7267 L
.47772 .72764 L
.47518 .72868 L
.47257 .72972 L
.46992 .73076 L
.46692 .73191 L
.46386 .73305 L
.4604 .73431 L
.45685 .73558 L
.45323 .73684 L
.44914 .73823 L
.44518 .73954 L
s
.5 .73333 m
.49834 .73401 L
.49642 .73477 L
.4945 .73552 L
.49255 .73627 L
.49034 .73711 L
.48808 .73794 L
.48554 .73887 L
.48293 .7398 L
.48027 .74073 L
.47726 .74177 L
.47419 .74281 L
.47106 .74386 L
.46752 .74502 L
.46391 .74619 L
.45983 .74749 L
.45565 .74879 L
.45138 .75009 L
.44656 .75153 L
.44164 .75297 L
.43607 .75455 L
.43036 .75613 L
.42452 .75769 L
.41793 .75939 L
.41154 .76097 L
s
.5 .75 m
.49764 .75073 L
.4949 .75156 L
.49217 .75239 L
.48939 .75322 L
.48625 .75416 L
.48304 .75511 L
.47942 .75617 L
.47571 .75724 L
.47193 .75833 L
.46765 .75955 L
.46327 .76078 L
.45881 .76202 L
.45376 .7634 L
.4486 .76479 L
.44277 .76633 L
.43678 .76787 L
.43067 .76941 L
.42376 .77109 L
.41668 .77276 L
.40868 .77456 L
.40046 .77632 L
.39206 .778 L
.38257 .77976 L
.37337 .78131 L
s
.5 .76667 m
.49688 .76745 L
.49327 .76835 L
.48967 .76926 L
.48599 .77018 L
.48184 .77122 L
.47759 .77229 L
.47279 .77349 L
.46787 .77471 L
.46284 .77596 L
.45716 .77736 L
.45133 .77877 L
.44537 .7802 L
.43863 .78178 L
.43173 .78337 L
.42392 .78512 L
.4159 .78685 L
.40769 .78855 L
.3984 .79037 L
.38888 .79212 L
.37811 .79392 L
.36706 .79557 L
.35577 .79701 L
.34303 .79832 L
.33071 .79924 L
s
.5 .78333 m
.49608 .78417 L
.49153 .78514 L
.48698 .78613 L
.48234 .78714 L
.47709 .7883 L
.47172 .78948 L
.46564 .79083 L
.45939 .7922 L
.453 .79361 L
.44575 .79518 L
.43832 .79677 L
.43071 .79837 L
.42209 .80013 L
.41324 .80187 L
.40322 .80376 L
.39291 .80558 L
.38236 .8073 L
.37041 .80905 L
.35817 .81059 L
.34433 .81201 L
.33705 .81259 L
.33016 .81303 L
.32324 .81337 L
.31968 .8135 L
.31766 .81355 L
.31573 .8136 L
.31384 .81363 L
.31284 .81365 L
.31177 .81366 L
.31088 .81367 L
.3104 .81367 L
.30988 .81367 L
.30941 .81368 L
.30898 .81368 L
.30856 .81368 L
.30812 .81368 L
.3076 .81368 L
.30713 .81368 L
.30687 .81368 L
.30659 .81368 L
.30607 .81367 L
.30559 .81367 L
.30507 .81367 L
.30415 .81366 L
.30307 .81364 L
.30206 .81363 L
.29975 .81358 L
.29776 .81353 L
.29558 .81346 L
Mistroke
.29157 .81329 L
.28763 .81307 L
.28393 .81282 L
Mfstroke
.5 .8 m
.49522 .80089 L
.48967 .80194 L
.48412 .80301 L
.47844 .80411 L
.47201 .80538 L
.46542 .80669 L
.45794 .80818 L
.45025 .80971 L
.44236 .81126 L
.43341 .813 L
.42421 .81475 L
.41478 .81648 L
.40407 .81837 L
.39308 .82018 L
.3806 .82208 L
.36777 .82381 L
.35464 .82532 L
.34696 .82606 L
.33977 .82665 L
.33196 .82718 L
.32456 .82756 L
.32079 .8277 L
.31675 .82782 L
.31463 .82787 L
.31264 .8279 L
.31149 .82791 L
.31044 .82792 L
.30986 .82793 L
.30922 .82793 L
.30893 .82793 L
.30862 .82794 L
.30806 .82794 L
.30758 .82794 L
.30705 .82794 L
.3065 .82794 L
.30598 .82794 L
.3055 .82794 L
.30506 .82793 L
.30407 .82793 L
.303 .82792 L
.30183 .8279 L
.2997 .82787 L
.29769 .82782 L
.29554 .82776 L
.29166 .82762 L
.28743 .82741 L
.28283 .82712 L
.27437 .82642 L
.26436 .82529 L
Mistroke
.25465 .82384 L
.23563 .81995 L
.23389 .81951 L
Mfstroke
.5 .81667 m
.49431 .81761 L
.4877 .81873 L
.48108 .81988 L
.47429 .82109 L
.46659 .82247 L
.45868 .8239 L
.4497 .82554 L
.44044 .82721 L
.43093 .82891 L
.42011 .83079 L
.40897 .83266 L
.39754 .83448 L
.38455 .8364 L
.3712 .83816 L
.35604 .83987 L
.34808 .84062 L
.34045 .84124 L
.33236 .84177 L
.32451 .84217 L
.32024 .84233 L
.31797 .8424 L
.31556 .84246 L
.3135 .8425 L
.31241 .84252 L
.31123 .84253 L
.31015 .84255 L
.30915 .84256 L
.30867 .84256 L
.30815 .84256 L
.30766 .84256 L
.3072 .84257 L
.30666 .84257 L
.3061 .84257 L
.30562 .84257 L
.30509 .84257 L
.30451 .84256 L
.30419 .84256 L
.3039 .84256 L
.30279 .84255 L
.30176 .84254 L
.30064 .84253 L
.29859 .8425 L
.29615 .84244 L
.29355 .84237 L
.28883 .84218 L
.28427 .84195 L
.27931 .84162 L
.27018 .84083 L
.25937 .83954 L
Mistroke
.24888 .8379 L
.22833 .83347 L
.21748 .83041 L
.20577 .82648 L
.18221 .81635 L
.18203 .81626 L
Mfstroke
.5 .83333 m
.49336 .83433 L
.48562 .83553 L
.47785 .83677 L
.46988 .83807 L
.46083 .83957 L
.4515 .84113 L
.44089 .8429 L
.42993 .84471 L
.41866 .84654 L
.40582 .84853 L
.39257 .85046 L
.37897 .85228 L
.36348 .85409 L
.34757 .85561 L
.33908 .85626 L
.33448 .85656 L
.3295 .85684 L
.32457 .85707 L
.32002 .85724 L
.3178 .8573 L
.31538 .85736 L
.31325 .85741 L
.31095 .85745 L
.30971 .85746 L
.30858 .85747 L
.30803 .85747 L
.30743 .85748 L
.30687 .85748 L
.30634 .85748 L
.30574 .85748 L
.30517 .85748 L
.30454 .85748 L
.30419 .85748 L
.30386 .85748 L
.30325 .85748 L
.30257 .85748 L
.30187 .85747 L
.30121 .85747 L
.29985 .85745 L
.29855 .85743 L
.29612 .85739 L
.29349 .85732 L
.29061 .85723 L
.28574 .85702 L
.28031 .85672 L
.26912 .85583 L
.25851 .85463 L
.24683 .85289 L
.23474 .85058 L
Mistroke
.22303 .84779 L
.20025 .84067 L
.17551 .82995 L
.15155 .81595 L
.1304 .79992 L
Mfstroke
.5 .85 m
.49235 .85105 L
.48342 .85232 L
.47444 .85365 L
.46522 .85505 L
.45471 .85667 L
.44387 .85835 L
.43151 .86026 L
.41873 .8622 L
.40555 .86411 L
.39051 .86617 L
.37498 .86808 L
.35902 .86978 L
.34968 .87061 L
.34085 .87129 L
.33142 .87187 L
.32217 .87229 L
.31737 .87245 L
.31466 .87251 L
.31217 .87256 L
.30983 .8726 L
.30851 .87261 L
.30787 .87262 L
.30728 .87262 L
.30672 .87262 L
.30621 .87263 L
.30563 .87263 L
.30502 .87263 L
.30443 .87263 L
.30378 .87263 L
.30318 .87263 L
.30261 .87263 L
.30199 .87263 L
.30133 .87262 L
.30016 .87261 L
.29889 .8726 L
.2975 .87258 L
.29498 .87254 L
.29263 .87248 L
.28719 .8723 L
.28411 .87217 L
.28129 .87202 L
.27044 .87127 L
.2642 .87068 L
.25836 .87003 L
.2472 .8685 L
.23464 .86627 L
.22155 .86333 L
.20937 .85999 L
.18433 .851 L
Mistroke
.1583 .8381 L
.13333 .8215 L
.10737 .79859 L
.08363 .77087 L
.08149 .76796 L
Mfstroke
.5 .86667 m
.49129 .86777 L
.48111 .86912 L
.47085 .87054 L
.46029 .87204 L
.44823 .87378 L
.43578 .87558 L
.42155 .87761 L
.4068 .87964 L
.39157 .88162 L
.37417 .88365 L
.35618 .88544 L
.33768 .88684 L
.32772 .88738 L
.32197 .88762 L
.3194 .88771 L
.31663 .88779 L
.31383 .88785 L
.31127 .8879 L
.31003 .88792 L
.30868 .88794 L
.3074 .88795 L
.30622 .88796 L
.30555 .88796 L
.30483 .88796 L
.30415 .88797 L
.30353 .88797 L
.3028 .88797 L
.30239 .88797 L
.30201 .88797 L
.30131 .88796 L
.30056 .88796 L
.29985 .88796 L
.29908 .88795 L
.29769 .88794 L
.29602 .88791 L
.29449 .88789 L
.29176 .88783 L
.28881 .88774 L
.28346 .88754 L
.27699 .8872 L
.27103 .88679 L
.25919 .8857 L
.24603 .88402 L
.23314 .88183 L
.21919 .87882 L
.19342 .87124 L
.17994 .86609 L
.16533 .85946 L
.1364 .84254 L
Mistroke
.10895 .82071 L
.08361 .7939 L
.05858 .75857 L
.0378 .71918 L
Mfstroke
.5 .88333 m
.49018 .88449 L
.47868 .88592 L
.46707 .88743 L
.45509 .88903 L
.4414 .89088 L
.42722 .8928 L
.41099 .89494 L
.39413 .89704 L
.3767 .89901 L
.35677 .90093 L
.3463 .90176 L
.33615 .90242 L
.3261 .90293 L
.32032 .90315 L
.31494 .9033 L
.31218 .90336 L
.31065 .90339 L
.3092 .90341 L
.30784 .90343 L
.30637 .90344 L
.30572 .90345 L
.30503 .90345 L
.30443 .90345 L
.30378 .90346 L
.30339 .90346 L
.30295 .90346 L
.30217 .90346 L
.3014 .90346 L
.30068 .90345 L
.29991 .90345 L
.29947 .90345 L
.29906 .90345 L
.29733 .90343 L
.2958 .90342 L
.29439 .9034 L
.2912 .90333 L
.28827 .90326 L
.28511 .90315 L
.27936 .90291 L
.27241 .90251 L
.26601 .90203 L
.25329 .90077 L
.23913 .89882 L
.22528 .8963 L
.21028 .89283 L
.1826 .8841 L
.16815 .87816 L
.15252 .87051 L
.12167 .85095 L
Mistroke
.09263 .82573 L
.06613 .79478 L
.04039 .75416 L
.01887 .70753 L
.00135 .65424 L
Mfstroke
.5 .9 m
.48902 .90121 L
.47614 .90272 L
.4631 .90432 L
.44963 .90602 L
.43419 .90799 L
.41818 .91001 L
.39982 .91223 L
.38072 .91435 L
.36094 .91625 L
.35038 .9171 L
.3383 .91791 L
.33263 .91823 L
.32641 .91852 L
.32048 .91875 L
.31488 .91891 L
.31185 .91897 L
.3086 .91903 L
.30673 .91905 L
.30581 .91906 L
.30496 .91906 L
.3042 .91907 L
.30336 .91907 L
.30292 .91907 L
.30252 .91908 L
.30208 .91908 L
.30162 .91908 L
.30121 .91908 L
.30076 .91908 L
.29997 .91908 L
.29953 .91907 L
.29911 .91907 L
.29816 .91907 L
.29733 .91906 L
.29657 .91906 L
.29486 .91904 L
.2934 .91902 L
.29181 .91899 L
.28858 .91892 L
.28508 .91882 L
.28175 .9187 L
.27544 .91841 L
.26855 .91798 L
.26097 .91738 L
.24683 .91587 L
.23145 .91358 L
.2168 .91072 L
.20281 .9073 L
.17246 .89722 L
.15563 .88982 L
Mistroke
.13957 .88135 L
.10917 .8608 L
.07776 .83166 L
.04941 .79566 L
.02245 .74839 L
.01049 .72117 L
.00058 .69421 L
Mfstroke
.00058 .69421 m
0 .69234 L
s
.5 .91667 m
.48781 .91794 L
.47348 .91953 L
.45894 .92122 L
.44389 .92302 L
.42661 .9251 L
.40866 .92721 L
.38803 .92948 L
.36654 .93156 L
.34426 .93328 L
.33211 .93398 L
.32582 .93426 L
.31875 .93452 L
.31537 .93461 L
.31212 .93468 L
.30919 .93474 L
.30753 .93476 L
.30596 .93478 L
.30507 .93478 L
.30411 .93479 L
.30324 .9348 L
.30243 .9348 L
.30155 .9348 L
.30106 .9348 L
.30059 .9348 L
.3001 .9348 L
.29965 .9348 L
.29913 .9348 L
.29863 .9348 L
.29781 .9348 L
.29692 .93479 L
.29617 .93479 L
.29533 .93478 L
.29347 .93476 L
.29171 .93474 L
.28844 .93467 L
.28483 .93458 L
.28103 .93445 L
.27746 .93431 L
.271 .93397 L
.26399 .93351 L
.25637 .93287 L
.24797 .93199 L
.23241 .92988 L
.21667 .92702 L
.19962 .92301 L
.16812 .91271 L
.15167 .9056 L
.13392 .89635 L
.09902 .87245 L
Mistroke
.06652 .84129 L
.03734 .80287 L
.02235 .77763 L
.00976 .75242 L
Mfstroke
.00976 .75242 m
0 .727 L
s
.51667 .08333 m
.50448 .082 L
.49158 .08073 L
.47983 .07972 L
.46887 .07889 L
.45757 .07816 L
.44705 .07758 L
.43624 .07707 L
.42619 .07666 L
.41684 .07633 L
.40724 .07601 L
.39832 .07571 L
.39003 .0754 L
.38151 .07504 L
.37358 .07463 L
.36544 .07411 L
.35786 .07349 L
.35079 .07277 L
.34351 .07185 L
.3367 .0708 L
.32968 .06948 L
.32309 .06799 L
.31691 .06634 L
.31049 .06433 L
.30474 .06225 L
s
.51667 .1 m
.50565 .09871 L
.49395 .09746 L
.48327 .09646 L
.47329 .09563 L
.46297 .09488 L
.45334 .09428 L
.44342 .09375 L
.43418 .09333 L
.42556 .093 L
.41669 .0927 L
.40844 .09243 L
.40076 .09219 L
.39284 .09192 L
.38547 .09164 L
.37789 .09129 L
.37083 .09089 L
.36425 .09042 L
.35746 .08983 L
.35111 .08914 L
.34457 .08827 L
.33845 .08728 L
.33271 .08617 L
.32676 .0848 L
.32145 .08338 L
s
.51667 .11667 m
.50677 .11541 L
.49623 .1142 L
.48659 .1132 L
.47756 .11236 L
.4682 .1116 L
.45944 .11098 L
.4504 .11043 L
.44195 .10999 L
.43406 .10964 L
.42592 .10934 L
.41832 .10909 L
.41124 .10887 L
.40393 .10866 L
.39712 .10846 L
.3901 .10823 L
.38355 .10797 L
.37744 .10768 L
.37113 .10732 L
.36524 .1069 L
.35917 .10636 L
.35349 .10575 L
.34816 .10505 L
.34265 .10418 L
.33774 .10327 L
s
.51667 .13333 m
.50784 .13212 L
.49843 .13093 L
.48979 .12994 L
.48168 .1291 L
.47325 .12832 L
.46535 .12768 L
.45717 .12711 L
.4495 .12664 L
.44233 .12627 L
.43491 .12594 L
.42797 .12569 L
.42148 .12548 L
.41478 .12529 L
.40851 .12512 L
.40205 .12496 L
.39601 .1248 L
.39037 .12463 L
.38455 .12442 L
.3791 .12418 L
.37348 .12388 L
.36822 .12353 L
.3633 .12313 L
.35821 .12263 L
.35367 .12209 L
s
.51667 .15 m
.50887 .14882 L
.50054 .14766 L
.49287 .14668 L
.48565 .14584 L
.47813 .14506 L
.47106 .14439 L
.46372 .14379 L
.45683 .14329 L
.45036 .14289 L
.44365 .14253 L
.43736 .14224 L
.43147 .14202 L
.42537 .14182 L
.41966 .14167 L
.41375 .14153 L
.40822 .14141 L
.40305 .1413 L
.3977 .14119 L
.39269 .14107 L
.38752 .14092 L
.38268 .14075 L
.37814 .14055 L
.37345 .1403 L
.36927 .14002 L
s
.51667 .16667 m
.50986 .16553 L
.50256 .1644 L
.49583 .16343 L
.48947 .16259 L
.48283 .16179 L
.47657 .16111 L
.47005 .16047 L
.46392 .15994 L
.45814 .1595 L
.45214 .1591 L
.4465 .15878 L
.4412 .15852 L
.4357 .1583 L
.43054 .15812 L
.42519 .15797 L
.42017 .15786 L
.41546 .15777 L
.41059 .1577 L
.40602 .15763 L
.40129 .15756 L
.39686 .1575 L
.39271 .15742 L
.3884 .15733 L
.38457 .15722 L
s
.51667 .18333 m
.5108 .18224 L
.50449 .18114 L
.49866 .18018 L
.49313 .17935 L
.48735 .17853 L
.48187 .17783 L
.47616 .17716 L
.47077 .17659 L
.46568 .17611 L
.46037 .17567 L
.45537 .1753 L
.45066 .175 L
.44576 .17473 L
.44114 .17451 L
.43635 .17433 L
.43184 .17419 L
.42761 .17408 L
.42321 .174 L
.41908 .17394 L
.41701 .17392 L
.4148 .1739 L
.41078 .17387 L
.40677 .17385 L
.403 .17384 L
.3996 .17382 L
s
.51667 .2 m
.51169 .19895 L
.50633 .19787 L
.50136 .19694 L
.49664 .1961 L
.49168 .19528 L
.48697 .19456 L
.48204 .19386 L
.47738 .19326 L
.47296 .19273 L
.46834 .19224 L
.46397 .19182 L
.45985 .19146 L
.45554 .19113 L
.45147 .19086 L
.44723 .19062 L
.44324 .19043 L
.43948 .19028 L
.43556 .19016 L
.43187 .19007 L
.43002 .19004 L
.42804 .19001 L
.42615 .18998 L
.42443 .18997 L
.42276 .18995 L
.42183 .18995 L
.42096 .18995 L
.42052 .18995 L
.42005 .18994 L
.41983 .18994 L
.41961 .18994 L
.41941 .18994 L
.4192 .18994 L
.4191 .18994 L
.41899 .18994 L
.4189 .18994 L
.41881 .18994 L
.41872 .18994 L
.41863 .18994 L
.41853 .18994 L
.41844 .18994 L
.41833 .18994 L
.41824 .18994 L
.41813 .18994 L
.41801 .18994 L
.41782 .18994 L
.41761 .18994 L
.41719 .18994 L
.41679 .18994 L
.41604 .18995 L
Mistroke
.41523 .18995 L
.41436 .18995 L
Mfstroke
.51667 .21667 m
.51255 .21565 L
.50809 .21461 L
.50394 .21369 L
.49998 .21287 L
.49582 .21204 L
.49185 .2113 L
.48769 .21058 L
.48373 .20994 L
.47997 .20937 L
.47602 .20882 L
.47228 .20834 L
.46874 .20793 L
.46502 .20753 L
.4615 .2072 L
.45782 .20688 L
.45435 .20662 L
.45106 .20641 L
.44763 .20622 L
.44438 .20607 L
.44101 .20594 L
.43782 .20585 L
.43481 .20579 L
.43328 .20577 L
.4325 .20576 L
.43168 .20575 L
.43091 .20574 L
.43022 .20574 L
.42953 .20573 L
.42887 .20573 L
s
.51667 .23333 m
.51335 .23236 L
.50975 .23135 L
.50639 .23046 L
.50317 .22963 L
.49977 .22881 L
.49652 .22805 L
.49309 .2273 L
.48982 .22663 L
.4867 .22602 L
.48342 .22542 L
.48029 .22488 L
.47732 .22441 L
.47419 .22394 L
.47122 .22353 L
.46811 .22314 L
.46515 .2228 L
.46234 .2225 L
.45939 .22223 L
.45661 .22199 L
.45369 .22178 L
.45093 .2216 L
.44831 .22146 L
.44558 .22134 L
.44313 .22126 L
s
.51667 .25 m
.51411 .24907 L
.51132 .2481 L
.5087 .24722 L
.50619 .24641 L
.50352 .24558 L
.50096 .24482 L
.49825 .24404 L
.49565 .24334 L
.49315 .24269 L
.49052 .24204 L
.488 .24145 L
.48559 .24091 L
.48305 .24037 L
.48062 .23989 L
.47806 .2394 L
.47562 .23897 L
.4733 .23859 L
.47085 .23822 L
.46852 .23788 L
.46608 .23756 L
.46375 .23728 L
.46154 .23704 L
.45922 .23681 L
.45713 .23663 L
s
.51667 .26667 m
.51482 .26578 L
.5128 .26484 L
.51089 .26399 L
.50905 .26319 L
.50708 .26236 L
.50518 .26159 L
.50315 .2608 L
.5012 .26006 L
.49931 .25938 L
.49731 .25868 L
.49538 .25804 L
.49353 .25744 L
.49157 .25683 L
.48968 .25627 L
.48768 .2557 L
.48576 .25518 L
.48392 .2547 L
.48198 .25422 L
.48011 .25378 L
.47815 .25334 L
.47626 .25295 L
.47447 .25259 L
.47257 .25223 L
.47085 .25193 L
s
.51667 .28333 m
.51549 .28249 L
.51419 .28159 L
.51295 .28076 L
.51174 .27997 L
.51043 .27915 L
.50916 .27837 L
.50779 .27757 L
.50646 .27681 L
.50517 .2761 L
.50378 .27536 L
.50243 .27466 L
.50113 .27401 L
.49973 .27333 L
.49838 .2727 L
.49693 .27204 L
.49554 .27143 L
.49419 .27086 L
.49274 .27027 L
.49135 .26973 L
.48988 .26917 L
.48845 .26864 L
.48708 .26816 L
.48562 .26767 L
.48428 .26723 L
s
.51667 .3 m
.51612 .2992 L
.51549 .29833 L
.51487 .29753 L
.51426 .29676 L
.51358 .29595 L
.51291 .29517 L
.51217 .29436 L
.51144 .29358 L
.51071 .29284 L
.50992 .29206 L
.50914 .29132 L
.50837 .29062 L
.50753 .28988 L
.5067 .28918 L
.50581 .28845 L
.50493 .28775 L
.50407 .28709 L
.50313 .2864 L
.50222 .28574 L
.50124 .28506 L
.50028 .28442 L
.49934 .28381 L
.49833 .28317 L
.4974 .2826 L
s
.51667 .31667 m
.51667 .31649 L
.51668 .3163 L
.51669 .3161 L
.51669 .31601 L
.51669 .31591 L
.51669 .31585 L
.51669 .3158 L
.51669 .31575 L
.51669 .3157 L
.51669 .31568 L
.51669 .31565 L
.51669 .31563 L
.51669 .31561 L
.51669 .3156 L
.51669 .31558 L
.51669 .31556 L
.51669 .31554 L
.51669 .31551 L
.51669 .3155 L
.51669 .31548 L
.51669 .31547 L
.51669 .31546 L
.51669 .31542 L
.51669 .3154 L
.51669 .31534 L
.51669 .31529 L
.51669 .31518 L
.51669 .31508 L
.51669 .31489 L
.51668 .31471 L
.51666 .3143 L
.51664 .31393 L
.51661 .31352 L
.51652 .31273 L
.51642 .31196 L
.51628 .31115 L
.51612 .31036 L
.51594 .30961 L
.51572 .30881 L
.51548 .30804 L
.51521 .30722 L
.51491 .30643 L
.51461 .30567 L
.51426 .30487 L
.51389 .3041 L
.51352 .30337 L
.5131 .30259 L
.51267 .30184 L
.5122 .30105 L
Mistroke
.51171 .30029 L
.51123 .29957 L
.51069 .29881 L
.51016 .2981 L
Mfstroke
.51667 .33333 m
.51722 .33262 L
.5178 .33183 L
.51831 .33108 L
.51878 .33035 L
.51926 .32957 L
.51968 .3288 L
.52011 .32798 L
.52049 .32718 L
.52082 .32641 L
.52115 .32557 L
.52144 .32476 L
.52169 .32398 L
.52193 .32314 L
.52213 .32233 L
.52231 .32146 L
.52246 .32061 L
.52257 .3198 L
.52262 .31934 L
.52265 .31893 L
.52269 .31849 L
.52271 .31809 L
.52272 .31788 L
.52273 .31767 L
.52273 .31746 L
.52273 .31733 L
.52273 .31728 L
.52273 .31722 L
.52274 .31717 L
.52274 .31711 L
.52274 .31705 L
.52274 .31702 L
.52274 .31701 L
.52274 .31699 L
.52274 .31697 L
.52274 .31694 L
.52274 .31691 L
.52274 .31689 L
.52274 .31686 L
.52274 .31684 L
.52274 .31681 L
.52274 .31678 L
.52274 .31673 L
.52274 .31668 L
.52273 .31659 L
.52273 .31649 L
.52273 .31638 L
.52272 .31616 L
.52272 .31596 L
.5227 .3155 L
Mistroke
.52267 .31509 L
.52263 .31464 L
.52254 .31377 L
Mfstroke
.51667 .35 m
.51771 .34933 L
.51881 .34858 L
.51983 .34787 L
.52078 .34716 L
.52177 .34639 L
.52269 .34564 L
.52365 .34482 L
.52454 .34402 L
.52537 .34323 L
.52622 .34238 L
.52701 .34155 L
.52775 .34074 L
.5285 .33986 L
.52919 .339 L
.52989 .33808 L
.53054 .33718 L
.53113 .3363 L
.53172 .33536 L
.53226 .33444 L
.53279 .33346 L
.53328 .3325 L
.5337 .33157 L
.53412 .33057 L
.53448 .32965 L
s
.51667 .36667 m
.51814 .36604 L
.51973 .36534 L
.52121 .36465 L
.5226 .36397 L
.52407 .36322 L
.52545 .36248 L
.5269 .36168 L
.52827 .36087 L
.52956 .36008 L
.53091 .35922 L
.53218 .35838 L
.53337 .35754 L
.53462 .35664 L
.53578 .35575 L
.53699 .35478 L
.53813 .35384 L
.53918 .35291 L
.54028 .35191 L
.54129 .35093 L
.54234 .34988 L
.54331 .34885 L
.5442 .34784 L
.54512 .34675 L
.54592 .34575 L
s
.51667 .38333 m
.51853 .38275 L
.52056 .38209 L
.52244 .38144 L
.52424 .38079 L
.52614 .38007 L
.52795 .37934 L
.52985 .37855 L
.53166 .37775 L
.53339 .37697 L
.5352 .3761 L
.53692 .37525 L
.53855 .3744 L
.54026 .37348 L
.54188 .37256 L
.54358 .37157 L
.54518 .37059 L
.5467 .36963 L
.54828 .36859 L
.54977 .36757 L
.55132 .36646 L
.55277 .36537 L
.55414 .36431 L
.55556 .36316 L
.55682 .3621 L
s
.51667 .4 m
.51888 .39947 L
.52129 .39885 L
.52354 .39823 L
.5257 .39761 L
.52798 .39691 L
.53018 .39621 L
.53249 .39544 L
.53471 .39466 L
.53683 .39388 L
.53907 .39301 L
.54121 .39216 L
.54326 .39131 L
.54541 .39037 L
.54746 .38945 L
.54962 .38844 L
.55168 .38744 L
.55364 .38646 L
.55569 .38539 L
.55764 .38434 L
.55968 .3832 L
.56162 .38208 L
.56346 .38098 L
.56537 .37979 L
.56709 .37869 L
s
.51667 .41667 m
.51918 .41618 L
.52192 .4156 L
.52449 .41503 L
.52697 .41444 L
.5296 .41377 L
.53213 .4131 L
.53482 .41234 L
.53741 .41158 L
.53989 .41081 L
.54252 .40996 L
.54505 .40911 L
.54747 .40826 L
.55004 .40733 L
.5525 .4064 L
.55509 .40539 L
.55758 .40438 L
.55995 .40339 L
.56246 .40231 L
.56486 .40124 L
.56738 .40009 L
.56979 .39895 L
.57208 .39784 L
.57449 .39664 L
.57667 .39553 L
s
.51667 .43333 m
.51943 .43289 L
.52245 .43236 L
.5253 .43182 L
.52805 .43127 L
.53098 .43064 L
.53381 .42999 L
.53683 .42926 L
.53974 .42852 L
.54255 .42778 L
.54553 .42694 L
.54841 .4261 L
.55118 .42527 L
.55412 .42434 L
.55695 .42342 L
.55995 .42241 L
.56284 .42141 L
.56561 .42042 L
.56855 .41934 L
.57137 .41828 L
.57435 .41713 L
.57721 .416 L
.57995 .41489 L
.58284 .4137 L
.58547 .4126 L
s
.51667 .45 m
.51963 .4496 L
.52288 .44912 L
.52596 .44863 L
.52894 .44811 L
.53213 .44751 L
.53521 .4469 L
.53851 .4462 L
.5417 .44549 L
.54479 .44477 L
.54809 .44396 L
.55127 .44314 L
.55435 .44232 L
.55763 .44141 L
.56079 .4405 L
.56417 .43951 L
.56743 .43852 L
.57056 .43754 L
.5739 .43648 L
.57711 .43543 L
.58053 .4343 L
.58382 .43319 L
.58698 .43211 L
.59034 .43094 L
.59341 .42987 L
s
.51667 .46667 m
.51979 .46632 L
.52322 .46588 L
.52648 .46543 L
.52964 .46495 L
.53303 .4644 L
.53632 .46382 L
.53985 .46316 L
.54328 .46248 L
.5466 .46178 L
.55016 .461 L
.55362 .46021 L
.55696 .45941 L
.56054 .45853 L
.564 .45765 L
.5677 .45668 L
.57129 .45571 L
.57476 .45476 L
.57846 .45372 L
.58204 .4527 L
.58586 .45159 L
.58955 .45052 L
.59311 .44947 L
.5969 .44835 L
.60038 .44732 L
s
.51667 .48333 m
.51989 .48303 L
.52346 .48265 L
.52684 .48224 L
.53014 .4818 L
.53369 .48129 L
.53714 .48075 L
.54085 .48013 L
.54446 .47948 L
.54798 .47882 L
.55175 .47808 L
.55542 .47732 L
.55899 .47655 L
.56282 .4757 L
.56653 .47485 L
.57052 .47391 L
.57439 .47297 L
.57815 .47205 L
.58217 .47104 L
.58608 .47006 L
.59025 .46899 L
.59431 .46796 L
.59823 .46696 L
.60243 .46589 L
.60629 .46492 L
s
.51667 .5 m
.51996 .49974 L
.52359 .49941 L
.52706 .49905 L
.53044 .49866 L
.53409 .49819 L
.53766 .49769 L
.54149 .49712 L
.54524 .49651 L
.5489 .49589 L
.55283 .49518 L
.55667 .49446 L
.56041 .49373 L
.56444 .49292 L
.56836 .4921 L
.57258 .4912 L
.57669 .4903 L
.58068 .48942 L
.58498 .48845 L
.58916 .48751 L
.59365 .48649 L
.59802 .48551 L
.60226 .48456 L
.60682 .48355 L
.61102 .48265 L
s
.51667 .51667 m
.51997 .51646 L
.52363 .51618 L
.52713 .51586 L
.53055 .51551 L
.53425 .5151 L
.53787 .51465 L
.54178 .51412 L
.54561 .51356 L
.54935 .51298 L
.55339 .51232 L
.55735 .51165 L
.5612 .51096 L
.56537 .51019 L
.56944 .50941 L
.57383 .50856 L
.57813 .5077 L
.58231 .50686 L
.58682 .50594 L
.59123 .50504 L
.59597 .50407 L
.6006 .50314 L
.60511 .50225 L
.60997 .50131 L
.61447 .50046 L
s
.51667 .53333 m
.51993 .53317 L
.52357 .53294 L
.52704 .53268 L
.53045 .53238 L
.53414 .53201 L
.53777 .53161 L
.54169 .53114 L
.54554 .53063 L
.54932 .5301 L
.55341 .52949 L
.55741 .52887 L
.56134 .52823 L
.56558 .5275 L
.56975 .52678 L
.57425 .52597 L
.57866 .52516 L
.58297 .52437 L
.58764 .5235 L
.5922 .52265 L
.59713 .52174 L
.60196 .52086 L
.60668 .52002 L
.61178 .51914 L
.6165 .51835 L
s
.51667 .55 m
.51985 .54989 L
.5234 .54971 L
.5268 .5495 L
.53015 .54925 L
.53378 .54894 L
.53735 .54859 L
.54123 .54817 L
.54504 .54772 L
.54879 .54725 L
.55286 .5467 L
.55686 .54612 L
.56078 .54554 L
.56504 .54487 L
.56923 .5442 L
.57377 .54345 L
.57823 .54269 L
.5826 .54195 L
.58735 .54113 L
.592 .54033 L
.59704 .53948 L
.602 .53865 L
.60685 .53786 L
.6121 .53703 L
.617 .5363 L
s
.51667 .56667 m
.51814 .56664 L
.51972 .5666 L
.52313 .56648 L
.52628 .56633 L
.52971 .56612 L
.5331 .56588 L
.53678 .56557 L
.54041 .56522 L
.54398 .56485 L
.54787 .56441 L
.55171 .56394 L
.55548 .56345 L
.55959 .56288 L
.56363 .5623 L
.56803 .56165 L
.57237 .56099 L
.57663 .56032 L
.58127 .55959 L
.58583 .55886 L
.59079 .55806 L
.59567 .55729 L
.60047 .55654 L
.60569 .55576 L
.61082 .55501 L
.6158 .55432 L
s
.51667 .58333 m
.51675 .58333 L
.51683 .58333 L
.51692 .58333 L
.51701 .58333 L
.51709 .58333 L
.51716 .58333 L
.51733 .58333 L
.5175 .58333 L
.51768 .58333 L
.51806 .58333 L
.51842 .58333 L
.51882 .58332 L
.51954 .58332 L
.52039 .5833 L
.52121 .58329 L
.52276 .58325 L
.52575 .58315 L
.52901 .583 L
.53223 .58282 L
.53574 .58257 L
.53922 .58229 L
.54265 .58198 L
.54639 .5816 L
.55008 .5812 L
.55373 .58077 L
.55771 .58027 L
.56164 .57976 L
.56592 .57917 L
.57015 .57857 L
.57432 .57797 L
.57888 .5773 L
.58337 .57662 L
.58779 .57596 L
.59262 .57524 L
.59737 .57455 L
.60255 .5738 L
.60766 .57309 L
.61269 .57243 L
.61276 .57242 L
s
.51667 .6 m
.51728 .60001 L
.51795 .60002 L
.51829 .60002 L
.51865 .60003 L
.519 .60003 L
.51931 .60003 L
.5195 .60003 L
.51969 .60003 L
.51979 .60003 L
.51989 .60003 L
.51995 .60003 L
.52 .60003 L
.52005 .60003 L
.5201 .60003 L
.52015 .60003 L
.5202 .60003 L
.52029 .60003 L
.52034 .60003 L
.52039 .60003 L
.52044 .60003 L
.52049 .60003 L
.52057 .60003 L
.52067 .60003 L
.52076 .60003 L
.52086 .60003 L
.52104 .60003 L
.52121 .60003 L
.52154 .60003 L
.52189 .60003 L
.52228 .60002 L
.52295 .60002 L
.5237 .60001 L
.52523 .59998 L
.52666 .59994 L
.52823 .59989 L
.53137 .59975 L
.53449 .59958 L
.53758 .59938 L
.54095 .59912 L
.54429 .59884 L
.54793 .59849 L
.55155 .59811 L
.55513 .59771 L
.55904 .59725 L
.56291 .59676 L
.56674 .59627 L
.57093 .5957 L
.57507 .59513 L
.57959 .5945 L
Mistroke
.58407 .59387 L
.5885 .59325 L
.59333 .59257 L
.59812 .59191 L
.60334 .59121 L
.60771 .59065 L
Mfstroke
.51667 .61667 m
.51781 .61671 L
.51904 .61675 L
.5203 .61678 L
.52102 .61679 L
.5217 .6168 L
.52202 .6168 L
.52237 .61681 L
.52271 .61681 L
.52287 .61681 L
.52302 .61681 L
.52316 .61681 L
.5233 .61681 L
.52345 .61681 L
.52353 .61681 L
.52361 .61681 L
.52368 .61681 L
.52376 .61681 L
.52384 .61681 L
.52391 .61681 L
.52399 .61681 L
.52403 .61681 L
.52407 .61681 L
.52415 .61681 L
.52423 .61681 L
.5244 .61681 L
.52456 .61681 L
.52486 .61681 L
.52518 .61681 L
.52554 .6168 L
.52618 .6168 L
.52677 .61679 L
.52805 .61677 L
.52948 .61673 L
.53232 .61664 L
.53515 .61651 L
.53824 .61633 L
.54131 .61612 L
.54435 .61589 L
.54769 .6156 L
.55099 .61529 L
.55462 .61491 L
.55822 .61452 L
.56179 .6141 L
.5657 .61363 L
.56959 .61314 L
.57343 .61264 L
.57765 .61208 L
.58183 .61152 L
.58641 .61091 L
Mistroke
.59095 .61031 L
.59545 .60971 L
.60038 .60908 L
.60046 .60907 L
Mfstroke
.51667 .63333 m
.51871 .63346 L
.5198 .63352 L
.52101 .63357 L
.52217 .63362 L
.52324 .63365 L
.52437 .63367 L
.52499 .63368 L
.52559 .63369 L
.52616 .63369 L
.52645 .6337 L
.52662 .6337 L
.52678 .6337 L
.52691 .6337 L
.52705 .6337 L
.52713 .6337 L
.5272 .6337 L
.52727 .6337 L
.52735 .6337 L
.52742 .6337 L
.52749 .6337 L
.52757 .6337 L
.52763 .6337 L
.52769 .6337 L
.52776 .6337 L
.52789 .6337 L
.52797 .6337 L
.52804 .6337 L
.52821 .6337 L
.52851 .6337 L
.52879 .63369 L
.52908 .63369 L
.5297 .63369 L
.53038 .63368 L
.53161 .63365 L
.53295 .63362 L
.53565 .63353 L
.53834 .63341 L
.54102 .63325 L
.54395 .63306 L
.54687 .63284 L
.55008 .63257 L
.55327 .63227 L
.55644 .63195 L
.55992 .63158 L
.56339 .63119 L
.56683 .63079 L
.57061 .63033 L
.57437 .62986 L
.5785 .62934 L
Mistroke
.58261 .62881 L
.58669 .62829 L
.5908 .62777 L
Mfstroke
.51667 .65 m
.51834 .65018 L
.52022 .65035 L
.52204 .65049 L
.52385 .65059 L
.52488 .65064 L
.52584 .65068 L
.52686 .65071 L
.52781 .65074 L
.52881 .65076 L
.52934 .65076 L
.52963 .65077 L
.5299 .65077 L
.53014 .65077 L
.5304 .65077 L
.53055 .65077 L
.53068 .65077 L
.53081 .65077 L
.53088 .65077 L
.53095 .65077 L
.53101 .65077 L
.53108 .65077 L
.53115 .65077 L
.53122 .65077 L
.53128 .65077 L
.53135 .65077 L
.53141 .65077 L
.53147 .65077 L
.53153 .65077 L
.53159 .65077 L
.53171 .65077 L
.53183 .65077 L
.53195 .65077 L
.53221 .65077 L
.53246 .65077 L
.53302 .65077 L
.53352 .65076 L
.53405 .65075 L
.53518 .65073 L
.53624 .6507 L
.53857 .65063 L
.54112 .65051 L
.54367 .65037 L
.54621 .65021 L
.549 .65 L
.55179 .64977 L
.55456 .64953 L
.55761 .64923 L
.56065 .64892 L
.564 .64856 L
Mistroke
.56734 .64818 L
.57067 .64779 L
.57433 .64736 L
.57799 .64691 L
.57849 .64685 L
Mfstroke
.51667 .66667 m
.51792 .6669 L
.51932 .66713 L
.52068 .66733 L
.52203 .6675 L
.52351 .66767 L
.52499 .66781 L
.52661 .66794 L
.52823 .66804 L
.52983 .66812 L
.53068 .66815 L
.5316 .66818 L
.53247 .6682 L
.5333 .66821 L
.53377 .66822 L
.53401 .66822 L
.53423 .66822 L
.53444 .66822 L
.53464 .66822 L
.53475 .66822 L
.53486 .66822 L
.53497 .66822 L
.53503 .66822 L
.53509 .66822 L
.53515 .66822 L
.53521 .66822 L
.53526 .66822 L
.53531 .66822 L
.53537 .66822 L
.5354 .66822 L
.53544 .66822 L
.53555 .66822 L
.53566 .66822 L
.53578 .66822 L
.53599 .66822 L
.53624 .66822 L
.53651 .66822 L
.53699 .66821 L
.53745 .66821 L
.53796 .6682 L
.53888 .66818 L
.53997 .66815 L
.54101 .66812 L
.54307 .66804 L
.54533 .66793 L
.54759 .66779 L
.54985 .66764 L
.55234 .66745 L
.55482 .66724 L
.55756 .66699 L
Mistroke
.56031 .66673 L
.56305 .66645 L
.56326 .66643 L
Mfstroke
.51667 .68333 m
.51744 .68361 L
.51831 .68391 L
.51915 .68418 L
.51998 .68442 L
.52089 .68467 L
.5218 .6849 L
.52278 .68513 L
.52377 .68534 L
.52474 .68553 L
.52581 .68571 L
.52688 .68588 L
.52793 .68603 L
.5291 .68617 L
.53026 .68629 L
.53153 .6864 L
.53281 .68649 L
.53408 .68657 L
.5348 .6866 L
.53548 .68663 L
.5362 .68665 L
.53687 .68667 L
.53758 .68668 L
.53796 .68669 L
.53836 .68669 L
.53872 .6867 L
.53892 .6867 L
.53902 .6867 L
.53911 .6867 L
.53919 .6867 L
.53928 .6867 L
.53937 .6867 L
.53942 .6867 L
.53947 .6867 L
.53951 .6867 L
.53956 .6867 L
.53959 .6867 L
.53964 .6867 L
.53968 .6867 L
.53973 .6867 L
.53977 .6867 L
.53982 .6867 L
.53991 .6867 L
.54001 .6867 L
.54021 .6867 L
.5404 .6867 L
.54057 .6867 L
.54098 .68669 L
.54141 .68669 L
.54228 .68667 L
Mistroke
.54312 .68665 L
.54477 .6866 L
.54482 .6866 L
Mfstroke
.51667 .7 m
.51692 .70033 L
.5172 .70069 L
.51746 .70103 L
.51771 .70135 L
.51797 .70168 L
.51822 .70201 L
.51849 .70235 L
.51875 .70267 L
.519 .70298 L
.51926 .70331 L
.51951 .70362 L
.51976 .70392 L
.52001 .70423 L
.52026 .70453 L
.52053 .70485 L
.52078 .70515 L
.52102 .70543 L
.52128 .70574 L
.52153 .70603 L
.5218 .70633 L
.52206 .70662 L
.52231 .7069 L
.52257 .70719 L
.52282 .70746 L
s
.51667 .71667 m
.51635 .71705 L
.51598 .71748 L
.51559 .71788 L
.5152 .71828 L
.51474 .71871 L
.51427 .71913 L
.51372 .71958 L
.51316 .72003 L
.51258 .72047 L
.51192 .72095 L
.51124 .72143 L
.51054 .72189 L
.50975 .7224 L
.50893 .7229 L
.508 .72345 L
.50705 .72399 L
.50608 .72453 L
.50497 .72512 L
.50384 .72571 L
.50256 .72635 L
.50124 .72699 L
.4999 .72762 L
.49837 .72832 L
.4969 .72899 L
s
.51667 .73333 m
.51573 .73377 L
.51464 .73426 L
.51356 .73474 L
.51245 .73521 L
.5112 .73574 L
.50992 .73627 L
.50847 .73685 L
.50699 .73743 L
.50548 .73801 L
.50377 .73866 L
.50203 .73931 L
.50025 .73996 L
.49825 .74068 L
.4962 .74141 L
.49389 .74222 L
.49153 .74303 L
.48912 .74385 L
.4864 .74476 L
.48362 .74568 L
.48048 .7467 L
.47726 .74774 L
.47398 .74878 L
.47028 .74994 L
.46668 .75104 L
s
.51667 .75 m
.51506 .75049 L
.5132 .75105 L
.51135 .7516 L
.50946 .75216 L
.50733 .75279 L
.50516 .75342 L
.50272 .75413 L
.50021 .75486 L
.49766 .7556 L
.49478 .75642 L
.49184 .75726 L
.48884 .75811 L
.48545 .75907 L
.482 .76003 L
.4781 .76112 L
.4741 .76223 L
.47002 .76334 L
.46541 .7646 L
.4607 .76586 L
.45537 .76728 L
.4499 .76871 L
.4443 .77015 L
.43798 .77174 L
.43183 .77325 L
s
.51667 .76667 m
.51434 .76721 L
.51165 .76783 L
.50896 .76847 L
.50623 .76911 L
.50315 .76984 L
.5 .77059 L
.49645 .77145 L
.49282 .77232 L
.48911 .77322 L
.48492 .77424 L
.48063 .77528 L
.47626 .77634 L
.47132 .77754 L
.46626 .77876 L
.46054 .78013 L
.45467 .78153 L
.44867 .78294 L
.44188 .78452 L
.43492 .7861 L
.42703 .78785 L
.41892 .78959 L
.41062 .79131 L
.40122 .79315 L
.39208 .79484 L
s
.51667 .78333 m
.51357 .78393 L
.50998 .78462 L
.50641 .78533 L
.50276 .78607 L
.49864 .78691 L
.49443 .78778 L
.48967 .78878 L
.48479 .78982 L
.4798 .79088 L
.47416 .7921 L
.46838 .79335 L
.46247 .79462 L
.45577 .79607 L
.44891 .79754 L
.44113 .79918 L
.43314 .80084 L
.42495 .8025 L
.41566 .80433 L
.40613 .80612 L
.39532 .80804 L
.38419 .80986 L
.3728 .81154 L
.35989 .8132 L
.34736 .81452 L
s
.51667 .8 m
.51275 .80065 L
.50821 .80142 L
.50367 .80221 L
.49904 .80303 L
.4938 .80399 L
.48843 .80499 L
.48235 .80614 L
.47611 .80734 L
.46972 .80858 L
.46248 .81 L
.45503 .81146 L
.44741 .81294 L
.43876 .81462 L
.42988 .8163 L
.4198 .81817 L
.40941 .82002 L
.39876 .82182 L
.38667 .82372 L
.37424 .82549 L
.36014 .82722 L
.34565 .82867 L
.3387 .82922 L
.33084 .82973 L
.32283 .83011 L
.32068 .83019 L
.31835 .83026 L
.31616 .83032 L
.31411 .83036 L
.31223 .83039 L
.31127 .8304 L
.31021 .83041 L
.3097 .83042 L
.30915 .83042 L
.30855 .83042 L
.308 .83042 L
.30749 .83042 L
.30701 .83043 L
.30648 .83043 L
.30591 .83042 L
.30538 .83042 L
.30489 .83042 L
.30436 .83042 L
.30379 .83041 L
.30282 .8304 L
.30176 .83039 L
.2998 .83036 L
.29795 .83032 L
s
.51667 .81667 m
.51188 .81737 L
.50632 .81821 L
.50075 .81908 L
.49506 .82001 L
.48861 .82108 L
.482 .82221 L
.47449 .82352 L
.46677 .82489 L
.45884 .82631 L
.44983 .82792 L
.44056 .82958 L
.43106 .83126 L
.42024 .83312 L
.40912 .83497 L
.39647 .83695 L
.38342 .83884 L
.37003 .84058 L
.35483 .84225 L
.33921 .84358 L
.33025 .84414 L
.32605 .84435 L
.32154 .84454 L
.31731 .84467 L
.31488 .84473 L
.3126 .84477 L
.31151 .84478 L
.31048 .8448 L
.30954 .84481 L
.30854 .84481 L
.30802 .84482 L
.30745 .84482 L
.30693 .84482 L
.30644 .84482 L
.30586 .84482 L
.30533 .84482 L
.30475 .84482 L
.30445 .84482 L
.30413 .84482 L
.30352 .84481 L
.30295 .84481 L
.30167 .8448 L
.30054 .84478 L
.29933 .84477 L
.29723 .84473 L
.2949 .84467 L
.2897 .84448 L
.28476 .84424 L
.27962 .84392 L
.27468 .84353 L
Mistroke
.26524 .84258 L
.2549 .8412 L
.24512 .83954 L
.24463 .83945 L
Mfstroke
.51667 .83333 m
.51096 .83409 L
.50431 .835 L
.49765 .83596 L
.49083 .83699 L
.48309 .83818 L
.47512 .83945 L
.46607 .84092 L
.45674 .84245 L
.44714 .84404 L
.43621 .84585 L
.42494 .84768 L
.41335 .84951 L
.40016 .85149 L
.38656 .85339 L
.37108 .85533 L
.35512 .85701 L
.33874 .85835 L
.32989 .85888 L
.32486 .85912 L
.32016 .8593 L
.31527 .85943 L
.31266 .85948 L
.31133 .85951 L
.30989 .85952 L
.30862 .85954 L
.30746 .85954 L
.3069 .85955 L
.30628 .85955 L
.3057 .85955 L
.30517 .85955 L
.30455 .85955 L
.30396 .85955 L
.30332 .85955 L
.30296 .85955 L
.30263 .85954 L
.30131 .85953 L
.30064 .85953 L
.29991 .85952 L
.29724 .85948 L
.29471 .85943 L
.29242 .85936 L
.28992 .85928 L
.28425 .85903 L
.27894 .85871 L
.26885 .8579 L
.25747 .85661 L
.2465 .85496 L
.23445 .85266 L
.20998 .84622 L
Mistroke
.18889 .83846 L
Mfstroke
.51667 .85 m
.50998 .85081 L
.5022 .8518 L
.49437 .85285 L
.48634 .85397 L
.47721 .85529 L
.4678 .8567 L
.45709 .85833 L
.44601 .86003 L
.43459 .86178 L
.42157 .86375 L
.40811 .86571 L
.39426 .86762 L
.37846 .86961 L
.36217 .87139 L
.35346 .87221 L
.34362 .87301 L
.33374 .87365 L
.32449 .87411 L
.31941 .8743 L
.31455 .87443 L
.31185 .87448 L
.30934 .87451 L
.30802 .87453 L
.30726 .87453 L
.30657 .87454 L
.30583 .87454 L
.30543 .87454 L
.30504 .87454 L
.30436 .87454 L
.30397 .87454 L
.30361 .87454 L
.30299 .87454 L
.30233 .87454 L
.30176 .87454 L
.30115 .87454 L
.29976 .87452 L
.29847 .87451 L
.29611 .87447 L
.29358 .87442 L
.29054 .87434 L
.28764 .87424 L
.28217 .87399 L
.27668 .87367 L
.27078 .87323 L
.26 .87217 L
.2483 .87062 L
.2371 .86872 L
.21269 .86299 L
.19904 .85871 L
Mistroke
.18592 .85377 L
.16069 .84167 L
.13385 .82427 L
.13298 .82361 L
Mfstroke
.51667 .86667 m
.50896 .86753 L
.49997 .8686 L
.49091 .86974 L
.48159 .87096 L
.47098 .87241 L
.46002 .87396 L
.44752 .87575 L
.43456 .87761 L
.42118 .8795 L
.40589 .88159 L
.39006 .88362 L
.37375 .8855 L
.35512 .88732 L
.3461 .88805 L
.33592 .88873 L
.33026 .88904 L
.3249 .88929 L
.3197 .88948 L
.31678 .88956 L
.31407 .88963 L
.31131 .88968 L
.3099 .8897 L
.30838 .88972 L
.30758 .88973 L
.30685 .88974 L
.3061 .88974 L
.30541 .88975 L
.30503 .88975 L
.30461 .88975 L
.30418 .88975 L
.30373 .88975 L
.30333 .88975 L
.3029 .88975 L
.3025 .88975 L
.30212 .88975 L
.30146 .88975 L
.30074 .88974 L
.30007 .88974 L
.29945 .88974 L
.29794 .88972 L
.29651 .8897 L
.29364 .88966 L
.2905 .88958 L
.28492 .88939 L
.27869 .88909 L
.27209 .88867 L
.26583 .88817 L
.25307 .8868 L
.24112 .88508 L
Mistroke
.2286 .88278 L
.21466 .87956 L
.20005 .87537 L
.18662 .87069 L
.15904 .85827 L
.13073 .84073 L
.10401 .81844 L
.07971 .79172 L
Mfstroke
.51667 .88333 m
.50789 .88425 L
.49762 .8854 L
.48726 .88663 L
.47658 .88796 L
.46439 .88954 L
.45178 .89122 L
.43735 .89317 L
.42237 .89517 L
.40688 .89717 L
.38914 .89932 L
.37075 .90131 L
.35179 .90302 L
.34067 .90382 L
.33013 .90442 L
.3248 .90466 L
.31887 .90487 L
.31613 .90494 L
.31318 .90501 L
.31038 .90506 L
.30782 .9051 L
.30643 .90511 L
.30563 .90512 L
.30491 .90512 L
.30414 .90513 L
.30371 .90513 L
.30331 .90513 L
.30259 .90513 L
.30181 .90513 L
.30114 .90513 L
.3004 .90513 L
.29963 .90512 L
.2989 .90512 L
.2976 .90511 L
.29619 .90509 L
.29464 .90507 L
.29294 .90504 L
.28948 .90497 L
.28625 .90487 L
.28322 .90476 L
.2765 .90444 L
.27006 .90403 L
.25776 .90296 L
.24418 .90129 L
.23135 .89921 L
.21803 .89647 L
.20308 .89264 L
.18756 .88771 L
.1732 .8822 L
.14395 .86766 L
Mistroke
.11412 .84722 L
.08623 .82138 L
.05833 .78646 L
.03409 .74521 L
.03205 .7411 L
Mfstroke
.51667 .9 m
.50676 .90097 L
.49515 .9022 L
.48342 .90352 L
.4713 .90496 L
.45743 .90668 L
.44306 .90849 L
.42658 .91058 L
.40944 .91269 L
.39167 .91476 L
.37131 .91689 L
.35017 .9187 L
.33897 .91945 L
.32836 .92001 L
.32238 .92026 L
.31659 .92044 L
.31338 .92052 L
.31038 .92058 L
.30867 .9206 L
.30706 .92062 L
.30616 .92063 L
.30518 .92064 L
.30429 .92064 L
.30348 .92065 L
.3027 .92065 L
.30196 .92065 L
.30118 .92065 L
.30073 .92065 L
.30032 .92065 L
.29964 .92065 L
.29889 .92065 L
.2981 .92064 L
.29735 .92064 L
.29565 .92062 L
.29408 .92061 L
.29052 .92054 L
.28727 .92047 L
.28369 .92035 L
.27637 .92004 L
.2693 .91962 L
.26278 .91913 L
.24783 .91759 L
.23377 .91559 L
.21816 .91265 L
.2029 .90898 L
.18646 .90405 L
.15629 .89191 L
.12388 .87345 L
.09315 .84919 L
.06195 .81533 L
Mistroke
.03442 .77416 L
.01124 .72646 L
Mfstroke
.01124 .72646 m
0 .69411 L
s
.51667 .91667 m
.50559 .91769 L
.49257 .919 L
.47939 .92042 L
.46575 .92197 L
.45011 .92382 L
.43386 .92576 L
.41519 .92797 L
.39574 .93017 L
.37554 .93223 L
.36474 .93322 L
.35236 .93421 L
.34001 .93504 L
.32829 .93565 L
.32193 .9359 L
.31577 .93609 L
.31235 .93617 L
.30916 .93623 L
.3073 .93625 L
.30561 .93627 L
.30468 .93628 L
.30366 .93629 L
.30319 .93629 L
.30269 .93629 L
.3018 .93629 L
.30097 .9363 L
.3005 .9363 L
.30007 .9363 L
.29926 .9363 L
.29841 .93629 L
.29765 .93629 L
.29693 .93629 L
.2953 .93627 L
.29443 .93627 L
.29353 .93626 L
.2919 .93623 L
.2882 .93616 L
.285 .93608 L
.28199 .93599 L
.2751 .9357 L
.2674 .93525 L
.26002 .9347 L
.24592 .93327 L
.23033 .93107 L
.2156 .92834 L
.20031 .92476 L
.18318 .91973 L
.16541 .91326 L
.14901 .906 L
.11584 .88681 L
Mistroke
.08244 .8598 L
.05184 .82571 L
.02215 .77995 L
Mfstroke
.02215 .77995 m
0 .73192 L
s
.53333 .08333 m
.52056 .08178 L
.50701 .08027 L
.49467 .07903 L
.48314 .07801 L
.47124 .07708 L
.46015 .07634 L
.44875 .07569 L
.43814 .07518 L
.42827 .07477 L
.41814 .0744 L
.40872 .07408 L
.39997 .07379 L
.39098 .07346 L
.38262 .07311 L
.37404 .07268 L
.36606 .07217 L
.35864 .07159 L
.35099 .07083 L
.34386 .06994 L
.33651 .06882 L
.32964 .06754 L
.3232 .06611 L
.31653 .06434 L
.31056 .06249 L
s
.53333 .1 m
.52175 .09848 L
.50945 .097 L
.4982 .09577 L
.48768 .09474 L
.47679 .09379 L
.46661 .09302 L
.45612 .09233 L
.44634 .09179 L
.43722 .09136 L
.42783 .09098 L
.41908 .09067 L
.41095 .0904 L
.40256 .09014 L
.39476 .08988 L
.38674 .08958 L
.37928 .08924 L
.37232 .08886 L
.36516 .08838 L
.35848 .08781 L
.3516 .08709 L
.34516 .08626 L
.33915 .08531 L
.33292 .08414 L
.32737 .0829 L
s
.53333 .11667 m
.52291 .11519 L
.5118 .11373 L
.50162 .11251 L
.49207 .11147 L
.48216 .1105 L
.47288 .1097 L
.46329 .10898 L
.45433 .10839 L
.44595 .10793 L
.4373 .10752 L
.42922 .10719 L
.42169 .10693 L
.41392 .10669 L
.40667 .10647 L
.39921 .10625 L
.39226 .10603 L
.38577 .10579 L
.37908 .10549 L
.37284 .10515 L
.36641 .10471 L
.3604 .10421 L
.35478 .10363 L
.34898 .1029 L
.34381 .10213 L
s
.53333 .13333 m
.52401 .1319 L
.51406 .13046 L
.50492 .12925 L
.49632 .1282 L
.48737 .12721 L
.47897 .12638 L
.47026 .12562 L
.4621 .125 L
.45445 .12449 L
.44653 .12404 L
.43913 .12368 L
.43221 .1234 L
.42505 .12314 L
.41835 .12294 L
.41145 .12275 L
.405 .12258 L
.39898 .12242 L
.39277 .12224 L
.38696 .12204 L
.38097 .1218 L
.37537 .12152 L
.37014 .1212 L
.36473 .12079 L
.35992 .12035 L
s
.53333 .15 m
.52508 .1486 L
.51624 .1472 L
.50809 .14599 L
.50041 .14494 L
.4924 .14394 L
.48486 .14308 L
.47702 .14228 L
.46965 .14161 L
.46272 .14105 L
.45554 .14055 L
.4488 .14014 L
.44248 .13982 L
.43593 .13953 L
.4298 .13931 L
.42345 .13911 L
.41752 .13895 L
.41196 .13882 L
.40622 .13869 L
.40084 .13858 L
.39529 .13845 L
.3901 .13831 L
.38524 .13815 L
.38022 .13795 L
.37575 .13773 L
s
.53333 .16667 m
.5261 .16531 L
.51832 .16393 L
.51115 .16274 L
.50436 .16169 L
.49725 .16067 L
.49055 .15978 L
.48356 .15894 L
.47697 .15822 L
.47076 .15762 L
.4643 .15706 L
.45822 .1566 L
.45251 .15622 L
.44657 .15588 L
.44099 .1556 L
.43521 .15537 L
.42979 .15519 L
.4247 .15504 L
.41943 .15492 L
.41449 .15483 L
.40938 .15474 L
.40459 .15467 L
.4001 .1546 L
.39546 .15452 L
.39132 .15443 L
s
.53333 .18333 m
.52707 .18202 L
.52032 .18067 L
.51407 .17949 L
.50815 .17844 L
.50193 .17741 L
.49604 .1765 L
.48988 .17562 L
.48405 .17485 L
.47855 .1742 L
.47281 .17357 L
.46739 .17305 L
.46228 .1726 L
.45695 .1722 L
.45193 .17186 L
.44672 .17157 L
.44181 .17133 L
.4372 .17114 L
.4324 .17098 L
.4279 .17087 L
.42323 .17077 L
.41885 .1707 L
.41474 .17065 L
.41047 .17062 L
.40667 .17059 L
s
.53333 .2 m
.528 .19873 L
.52223 .19741 L
.51688 .19625 L
.51178 .1952 L
.50642 .19415 L
.50132 .19322 L
.49597 .19231 L
.4909 .1915 L
.48609 .19079 L
.48105 .1901 L
.47629 .18951 L
.47178 .189 L
.46706 .18851 L
.46261 .1881 L
.45796 .18773 L
.45357 .18741 L
.44944 .18716 L
.44513 .18693 L
.44107 .18675 L
.43685 .1866 L
.43288 .18649 L
.42914 .18641 L
.42728 .18638 L
.42526 .18636 L
.42345 .18634 L
.42179 .18632 L
s
.53333 .21667 m
.52888 .21543 L
.52406 .21415 L
.51955 .21301 L
.51526 .21196 L
.51072 .21091 L
.50639 .20996 L
.50184 .20901 L
.4975 .20816 L
.49337 .2074 L
.48903 .20665 L
.48491 .20599 L
.481 .20541 L
.47689 .20484 L
.473 .20435 L
.46893 .20388 L
.46507 .20347 L
.46142 .20313 L
.4576 .20281 L
.454 .20255 L
.45024 .20231 L
.44668 .20212 L
.44333 .20197 L
.43983 .20184 L
.4367 .20176 L
s
.53333 .23333 m
.52972 .23214 L
.52579 .23089 L
.5221 .22977 L
.51857 .22873 L
.51483 .22768 L
.51125 .22671 L
.50746 .22573 L
.50384 .22484 L
.50038 .22404 L
.49673 .22323 L
.49325 .2225 L
.48993 .22184 L
.48643 .22119 L
.4831 .22061 L
.47961 .22004 L
.47628 .21954 L
.47312 .2191 L
.46981 .21867 L
.46666 .2183 L
.46337 .21795 L
.46024 .21766 L
.45729 .2174 L
.45419 .21717 L
.45141 .21699 L
s
.53333 .25 m
.53051 .24885 L
.52743 .24764 L
.52452 .24653 L
.52173 .24551 L
.51875 .24445 L
.51588 .24347 L
.51284 .24247 L
.50992 .24155 L
.50711 .2407 L
.50414 .23983 L
.50128 .23904 L
.49855 .23831 L
.49566 .23758 L
.4929 .23691 L
.48998 .23624 L
.48719 .23564 L
.48453 .23509 L
.48172 .23455 L
.47905 .23406 L
.47623 .23359 L
.47355 .23316 L
.471 .23279 L
.46832 .23242 L
.4659 .23212 L
s
.53333 .26667 m
.53126 .26556 L
.52898 .26438 L
.52681 .2633 L
.52472 .26229 L
.52247 .26123 L
.5203 .26025 L
.51797 .25923 L
.51573 .25827 L
.51356 .25738 L
.51124 .25647 L
.50901 .25562 L
.50686 .25483 L
.50457 .25401 L
.50237 .25326 L
.50003 .2525 L
.49778 .25179 L
.49562 .25114 L
.49334 .25048 L
.49114 .24987 L
.48882 .24926 L
.48659 .2487 L
.48447 .24819 L
.48222 .24768 L
.48017 .24724 L
s
.53333 .28333 m
.53196 .28227 L
.53043 .28113 L
.52897 .28007 L
.52754 .27907 L
.52599 .27802 L
.52448 .27703 L
.52285 .276 L
.52126 .27502 L
.51971 .2741 L
.51804 .27314 L
.51641 .27224 L
.51483 .27139 L
.51314 .2705 L
.5115 .26967 L
.50974 .26881 L
.50803 .26801 L
.50638 .26726 L
.50462 .26648 L
.50292 .26575 L
.5011 .265 L
.49934 .26431 L
.49765 .26366 L
.49585 .26299 L
.4942 .26241 L
s
.53333 .3 m
.53262 .29898 L
.5318 .29788 L
.531 .29685 L
.5302 .29586 L
.52931 .29483 L
.52843 .29383 L
.52746 .29279 L
.5265 .2918 L
.52555 .29085 L
.52451 .28985 L
.52347 .2889 L
.52246 .288 L
.52135 .28705 L
.52026 .28615 L
.51908 .28521 L
.51792 .28431 L
.51678 .28347 L
.51555 .28258 L
.51435 .28174 L
.51305 .28086 L
.51177 .28003 L
.51053 .27925 L
.5092 .27844 L
.50797 .27771 L
s
.53333 .31667 m
.53323 .31569 L
.53307 .31463 L
.53289 .31362 L
.53268 .31266 L
.53243 .31163 L
.53215 .31065 L
.53181 .3096 L
.53145 .30859 L
.53107 .30763 L
.53064 .3066 L
.53018 .30561 L
.52972 .30467 L
.52919 .30367 L
.52865 .3027 L
.52804 .30169 L
.52742 .30071 L
.5268 .29978 L
.5261 .2988 L
.5254 .29786 L
.52463 .29686 L
.52385 .29591 L
.52308 .29501 L
.52223 .29406 L
.52143 .29319 L
s
.53333 .33333 m
.53379 .3324 L
.53425 .33138 L
.53465 .3304 L
.535 .32946 L
.53533 .32845 L
.53562 .32748 L
.53588 .32643 L
.5361 .32541 L
.53627 .32443 L
.53642 .32338 L
.53648 .32286 L
.53653 .32237 L
.53657 .32187 L
.5366 .32139 L
.53661 .32114 L
.53662 .32086 L
.53662 .32074 L
.53662 .32062 L
.53663 .3205 L
.53663 .32038 L
.53663 .32032 L
.53663 .32024 L
.53663 .32018 L
.53663 .32012 L
.53663 .32008 L
.53663 .32004 L
.53663 .32003 L
.53663 .32001 L
.53663 .31999 L
.53663 .31997 L
.53663 .31993 L
.53663 .3199 L
.53663 .31988 L
.53663 .31986 L
.53663 .31985 L
.53663 .31983 L
.53663 .31979 L
.53663 .31976 L
.53663 .3197 L
.53663 .31963 L
.53663 .31957 L
.53663 .31944 L
.53663 .3193 L
.53662 .31905 L
.53661 .31878 L
.53658 .31823 L
.53655 .31772 L
.5365 .31717 L
.53638 .31609 L
Mistroke
.53622 .31505 L
.53604 .31404 L
.5358 .31297 L
.53554 .31194 L
.53522 .31085 L
.53488 .30979 L
.53456 .3089 L
Mfstroke
.53333 .35 m
.53431 .34911 L
.53534 .34813 L
.53627 .34719 L
.53713 .34627 L
.53802 .34528 L
.53884 .34431 L
.53967 .34327 L
.54044 .34226 L
.54114 .34127 L
.54184 .34021 L
.54249 .33917 L
.54307 .33817 L
.54365 .33709 L
.54418 .33604 L
.54469 .33492 L
.54515 .33383 L
.54555 .33277 L
.54593 .33164 L
.54626 .33054 L
.54656 .32936 L
.54681 .32823 L
.54701 .32713 L
.54718 .32595 L
.5473 .32487 L
s
.53333 .36667 m
.53478 .36582 L
.53633 .36488 L
.53775 .36397 L
.53909 .36308 L
.54049 .36212 L
.54181 .36117 L
.54317 .36014 L
.54445 .35913 L
.54565 .35814 L
.54689 .35707 L
.54805 .35602 L
.54913 .355 L
.55024 .3539 L
.55128 .35283 L
.55233 .35167 L
.55331 .35054 L
.55422 .34945 L
.55514 .34826 L
.55598 .34712 L
.55683 .34588 L
.5576 .34469 L
.55831 .34352 L
.55901 .34227 L
.5596 .34112 L
s
.53333 .38333 m
.5352 .38253 L
.53722 .38164 L
.53909 .38076 L
.54087 .3799 L
.54274 .37896 L
.54452 .37803 L
.54637 .37702 L
.54814 .37602 L
.5498 .37503 L
.55155 .37396 L
.55319 .37292 L
.55475 .37189 L
.55637 .37078 L
.5579 .36969 L
.55948 .36851 L
.56097 .36736 L
.56237 .36624 L
.56382 .36503 L
.56517 .36386 L
.56657 .36259 L
.56787 .36135 L
.56908 .36015 L
.57032 .35886 L
.57141 .35767 L
s
.53333 .4 m
.53558 .39925 L
.53802 .39839 L
.54029 .39756 L
.54247 .39673 L
.54477 .39581 L
.54696 .3949 L
.54928 .39391 L
.55148 .39293 L
.55359 .39196 L
.5558 .3909 L
.55791 .38985 L
.55991 .38883 L
.56202 .38772 L
.56401 .38662 L
.56611 .38544 L
.56809 .38429 L
.56997 .38316 L
.57193 .38194 L
.57379 .38075 L
.57573 .37947 L
.57755 .37823 L
.57927 .37701 L
.58105 .37571 L
.58265 .37451 L
s
.53333 .41667 m
.53591 .41596 L
.53872 .41515 L
.54135 .41435 L
.54388 .41355 L
.54657 .41267 L
.54914 .41179 L
.55187 .41082 L
.55448 .40986 L
.55699 .4089 L
.55964 .40786 L
.56217 .40683 L
.56459 .40581 L
.56715 .40471 L
.5696 .40363 L
.57217 .40245 L
.57463 .4013 L
.57697 .40018 L
.57944 .39897 L
.58179 .39779 L
.58425 .39652 L
.58659 .39529 L
.58881 .39409 L
.59115 .39281 L
.59324 .39163 L
s
.53333 .43333 m
.5362 .43267 L
.53933 .43191 L
.54227 .43115 L
.54511 .43039 L
.54813 .42954 L
.55104 .42869 L
.55414 .42775 L
.55712 .42681 L
.55999 .42588 L
.56304 .42486 L
.56597 .42384 L
.56878 .42285 L
.57176 .42176 L
.57462 .42069 L
.57765 .41954 L
.58056 .41841 L
.58334 .41731 L
.58629 .41612 L
.58911 .41496 L
.59208 .41373 L
.59493 .41253 L
.59765 .41137 L
.60052 .41014 L
.60311 .40901 L
s
.53333 .45 m
.53643 .44938 L
.53983 .44867 L
.54304 .44795 L
.54614 .44723 L
.54946 .44641 L
.55267 .4456 L
.55609 .44469 L
.5594 .44378 L
.56259 .44287 L
.56599 .44188 L
.56927 .44089 L
.57244 .43992 L
.57581 .43886 L
.57905 .43782 L
.58251 .43669 L
.58583 .43559 L
.58903 .43452 L
.59243 .43337 L
.59569 .43225 L
.59916 .43107 L
.60249 .42992 L
.60569 .42882 L
.60908 .42766 L
.61217 .42661 L
s
.53333 .46667 m
.53662 .4661 L
.54024 .46543 L
.54367 .46475 L
.54699 .46407 L
.55055 .4633 L
.55401 .46251 L
.5577 .46164 L
.56129 .46077 L
.56476 .45989 L
.56848 .45893 L
.57207 .45798 L
.57555 .45703 L
.57927 .45601 L
.58286 .455 L
.5867 .45391 L
.59041 .45284 L
.59399 .45181 L
.59781 .45071 L
.60149 .44964 L
.60542 .44852 L
.60921 .44744 L
.61287 .44641 L
.61676 .44534 L
.62032 .44438 L
s
.53333 .48333 m
.53676 .48281 L
.54055 .48219 L
.54415 .48156 L
.54764 .48092 L
.5514 .48019 L
.55506 .47944 L
.55898 .47861 L
.5628 .47777 L
.56651 .47693 L
.57048 .47601 L
.57435 .47509 L
.5781 .47418 L
.58212 .47319 L
.58602 .47222 L
.59019 .47117 L
.59425 .47015 L
.59817 .46917 L
.60237 .46812 L
.60644 .46711 L
.61079 .46606 L
.61501 .46506 L
.61909 .46412 L
.62345 .46315 L
.62746 .4623 L
s
.53333 .5 m
.53686 .49952 L
.54076 .49895 L
.54447 .49837 L
.5481 .49777 L
.552 .49708 L
.55581 .49638 L
.55991 .49559 L
.56391 .4948 L
.5678 .494 L
.57199 .49311 L
.57608 .49223 L
.58005 .49136 L
.58432 .49041 L
.58848 .48949 L
.59295 .48849 L
.5973 .48751 L
.60152 .48658 L
.60606 .48559 L
.61047 .48465 L
.6152 .48366 L
.61981 .48275 L
.62427 .48189 L
.62907 .48103 L
.63349 .48029 L
s
.53333 .51667 m
.53691 .51624 L
.54087 .51572 L
.54465 .51518 L
.54835 .51462 L
.55235 .51399 L
.55626 .51333 L
.56048 .51259 L
.5646 .51184 L
.56864 .51108 L
.57299 .51024 L
.57724 .5094 L
.58139 .50857 L
.58586 .50767 L
.59023 .50679 L
.59493 .50584 L
.59953 .50492 L
.604 .50404 L
.60882 .5031 L
.61352 .50223 L
.61858 .50132 L
.62352 .50048 L
.62833 .49971 L
.6335 .49896 L
.63829 .49833 L
s
.53333 .53333 m
.53691 .53295 L
.54088 .53248 L
.54468 .532 L
.5484 .53148 L
.55244 .5309 L
.5564 .53029 L
.56068 .5296 L
.56488 .52889 L
.569 .52818 L
.57345 .52739 L
.57781 .5266 L
.58208 .52582 L
.58669 .52496 L
.59121 .52413 L
.59609 .52323 L
.60087 .52236 L
.60554 .52153 L
.61059 .52066 L
.61552 .51984 L
.62085 .519 L
.62606 .51823 L
.63115 .51755 L
.63665 .51688 L
.64175 .51635 L
s
.53333 .55 m
.53686 .54967 L
.54078 .54925 L
.54455 .54881 L
.54825 .54835 L
.55227 .54781 L
.55622 .54726 L
.56051 .54662 L
.56473 .54597 L
.56887 .5453 L
.57336 .54456 L
.57777 .54382 L
.5821 .54309 L
.58679 .54229 L
.5914 .5415 L
.59639 .54065 L
.60129 .53984 L
.60609 .53906 L
.6113 .53824 L
.6164 .53747 L
.62192 .5367 L
.62734 .536 L
.63265 .53538 L
.6384 .53479 L
.64374 .53434 L
s
.53333 .56667 m
.53676 .56638 L
.54059 .56602 L
.54427 .56563 L
.54789 .56522 L
.55184 .56474 L
.55573 .56423 L
.55996 .56365 L
.56413 .56306 L
.56823 .56245 L
.5727 .56176 L
.5771 .56108 L
.58142 .56039 L
.58613 .55964 L
.59075 .55891 L
.59578 .55812 L
.60073 .55735 L
.60559 .55662 L
.61088 .55585 L
.61607 .55513 L
.62171 .55441 L
.62726 .55376 L
.6327 .55319 L
.63862 .55266 L
.64413 .55226 L
s
.53333 .58333 m
.53662 .5831 L
.54029 .58279 L
.54383 .58246 L
.54733 .5821 L
.55114 .58167 L
.55491 .58122 L
.55901 .5807 L
.56308 .58016 L
.56708 .57961 L
.57145 .57899 L
.57577 .57836 L
.58002 .57773 L
.58466 .57704 L
.58923 .57636 L
.59421 .57562 L
.59913 .5749 L
.60398 .57421 L
.60925 .57349 L
.61446 .57282 L
.62012 .57214 L
.62571 .57152 L
.63121 .57099 L
.63719 .57049 L
.64279 .57012 L
s
.53333 .6 m
.53642 .59981 L
.53989 .59956 L
.54324 .59928 L
.54655 .59898 L
.55017 .59861 L
.55375 .59822 L
.55767 .59777 L
.56155 .59729 L
.56539 .5968 L
.56959 .59624 L
.57375 .59567 L
.57786 .5951 L
.58235 .59447 L
.58679 .59385 L
.59164 .59317 L
.59644 .5925 L
.60118 .59186 L
.60635 .59119 L
.61147 .59055 L
.61705 .5899 L
.62258 .58931 L
.62803 .58879 L
.63398 .58831 L
.63955 .58793 L
s
.53333 .61667 m
.53618 .61653 L
.53938 .61633 L
.54248 .61611 L
.54555 .61586 L
.54892 .61556 L
.55226 .61523 L
.55592 .61485 L
.55955 .61444 L
.56316 .61401 L
.56711 .61352 L
.57103 .61303 L
.57491 .61252 L
.57916 .61195 L
.58338 .61139 L
.588 .61077 L
.59258 .61016 L
.59712 .60957 L
.60209 .60894 L
.60702 .60834 L
.6124 .60772 L
.61775 .60715 L
.62304 .60664 L
.62882 .60615 L
.63425 .60576 L
s
.53333 .63333 m
.53589 .63324 L
.53877 .63311 L
.54157 .63294 L
.54434 .63275 L
.54739 .63252 L
.55042 .63226 L
.55374 .63194 L
.55706 .63161 L
.56035 .63125 L
.56397 .63084 L
.56757 .63042 L
.57114 .62998 L
.57506 .62949 L
.57896 .629 L
.58324 .62845 L
.58751 .62791 L
.59173 .62737 L
.59638 .62679 L
.60099 .62624 L
.60605 .62565 L
.61109 .6251 L
.61608 .62459 L
.62156 .62408 L
.62672 .62367 L
s
.53333 .65 m
.5344 .64998 L
.53555 .64996 L
.53805 .64988 L
.54039 .64978 L
.54297 .64965 L
.54553 .64948 L
.54835 .64928 L
.55117 .64905 L
.55397 .64881 L
.55706 .64851 L
.56014 .6482 L
.5632 .64787 L
.56657 .64749 L
.56993 .6471 L
.57363 .64666 L
.57732 .64622 L
.581 .64576 L
.58504 .64527 L
.58907 .64477 L
.5935 .64424 L
.59793 .64372 L
.60233 .64322 L
.60717 .6427 L
.61199 .64221 L
.61672 .64176 L
s
.53333 .66667 m
.53355 .66667 L
.53375 .66667 L
.53399 .66667 L
.53422 .66667 L
.53433 .66667 L
.53445 .66667 L
.53451 .66667 L
.53456 .66667 L
.53462 .66667 L
.53467 .66667 L
.53473 .66667 L
.53479 .66667 L
.53485 .66667 L
.5349 .66667 L
.53494 .66667 L
.53497 .66667 L
.53503 .66667 L
.53506 .66667 L
.5351 .66667 L
.53516 .66667 L
.53528 .66667 L
.53541 .66667 L
.53567 .66667 L
.53592 .66667 L
.53615 .66667 L
.53667 .66666 L
.53723 .66666 L
.5383 .66664 L
.53934 .66661 L
.54136 .66655 L
.54359 .66645 L
.54582 .66633 L
.54804 .66619 L
.55049 .66602 L
.55293 .66583 L
.55563 .6656 L
.55832 .66535 L
.56101 .66508 L
.56398 .66477 L
.56695 .66445 L
.57022 .66408 L
.5735 .6637 L
.57677 .66332 L
.58037 .66289 L
.58398 .66246 L
.58757 .66204 L
.59154 .66157 L
.59549 .66112 L
.59986 .66063 L
Mistroke
.60404 .66019 L
Mfstroke
.53333 .68333 m
.534 .68336 L
.53473 .68339 L
.53553 .68342 L
.5363 .68343 L
.53701 .68345 L
.53741 .68345 L
.53778 .68345 L
.53797 .68346 L
.53817 .68346 L
.53835 .68346 L
.53844 .68346 L
.53854 .68346 L
.53859 .68346 L
.53862 .68346 L
.53865 .68346 L
.5387 .68346 L
.53875 .68346 L
.5388 .68346 L
.53885 .68346 L
.53889 .68346 L
.53894 .68346 L
.539 .68346 L
.53905 .68346 L
.53917 .68346 L
.53928 .68346 L
.53938 .68346 L
.53959 .68346 L
.53981 .68346 L
.54022 .68345 L
.54063 .68345 L
.541 .68344 L
.5418 .68343 L
.5427 .6834 L
.54451 .68335 L
.54632 .68327 L
.54831 .68317 L
.55031 .68304 L
.55231 .68291 L
.55452 .68274 L
.55673 .68255 L
.55918 .68233 L
.56163 .6821 L
.56408 .68185 L
.5668 .68156 L
.56952 .68127 L
.57224 .68096 L
.57525 .68062 L
.57826 .68027 L
.58159 .67989 L
Mistroke
.58493 .6795 L
.58826 .67911 L
.58839 .6791 L
Mfstroke
.53333 .7 m
.53424 .70011 L
.53526 .70021 L
.53626 .7003 L
.53726 .70037 L
.53835 .70043 L
.53945 .70048 L
.54007 .7005 L
.54066 .70052 L
.54096 .70052 L
.54127 .70053 L
.54156 .70053 L
.54183 .70054 L
.54213 .70054 L
.54229 .70054 L
.54245 .70054 L
.54251 .70054 L
.54259 .70054 L
.54265 .70054 L
.54272 .70054 L
.54277 .70054 L
.5428 .70054 L
.54284 .70054 L
.54288 .70054 L
.54292 .70054 L
.54295 .70054 L
.54299 .70054 L
.54303 .70054 L
.54307 .70054 L
.54309 .70054 L
.54311 .70054 L
.54316 .70054 L
.5432 .70054 L
.54328 .70054 L
.54336 .70054 L
.54353 .70054 L
.54372 .70054 L
.54404 .70054 L
.54439 .70053 L
.54505 .70052 L
.54577 .70051 L
.54725 .70047 L
.54874 .70041 L
.55023 .70034 L
.55187 .70024 L
.55353 .70014 L
.55518 .70002 L
.55702 .69987 L
.55886 .69972 L
.5609 .69953 L
Mistroke
.56295 .69934 L
.565 .69913 L
.56728 .69889 L
.56947 .69865 L
Mfstroke
.53333 .71667 m
.5337 .71683 L
.53412 .71699 L
.53452 .71715 L
.53491 .71729 L
.53535 .71744 L
.53578 .71758 L
.53625 .71772 L
.53672 .71784 L
.53718 .71796 L
.53769 .71808 L
.53821 .7182 L
.53871 .7183 L
.53927 .7184 L
.53983 .71849 L
.54045 .71858 L
.54106 .71866 L
.54167 .71873 L
.54235 .71879 L
.54303 .71885 L
.54378 .7189 L
.54453 .71894 L
.54529 .71897 L
.54569 .71898 L
.54612 .71899 L
.54632 .71899 L
.54653 .719 L
.54692 .719 L
s
.53333 .73333 m
.53312 .73354 L
.53286 .73378 L
.5326 .734 L
.53233 .73422 L
.53203 .73445 L
.53171 .73469 L
.53135 .73494 L
.53097 .73519 L
.53059 .73543 L
.53015 .7357 L
.5297 .73596 L
.52924 .73622 L
.52872 .7365 L
.52818 .73678 L
.52757 .73709 L
.52695 .7374 L
.52631 .7377 L
.52559 .73803 L
.52485 .73836 L
.52401 .73873 L
.52315 .73909 L
.52228 .73945 L
.52129 .73985 L
.52033 .74023 L
s
.53333 .75 m
.53248 .75026 L
.5315 .75056 L
.53052 .75085 L
.52952 .75115 L
.52839 .75148 L
.52725 .75181 L
.52596 .75219 L
.52464 .75256 L
.52329 .75295 L
.52178 .75337 L
.52024 .75381 L
.51867 .75425 L
.5169 .75474 L
.5151 .75524 L
.51307 .7558 L
.51099 .75638 L
.50888 .75696 L
.5065 .75761 L
.50407 .75828 L
.50132 .75903 L
.49852 .75979 L
.49565 .76057 L
.49242 .76145 L
.48929 .76229 L
s
.53333 .76667 m
.5318 .76698 L
.53002 .76734 L
.52826 .76771 L
.52646 .76809 L
.52444 .76852 L
.52238 .76896 L
.52006 .76946 L
.51769 .76998 L
.51528 .77051 L
.51256 .77112 L
.50978 .77174 L
.50696 .77238 L
.50377 .77311 L
.50052 .77386 L
.49685 .77471 L
.49309 .77558 L
.48926 .77648 L
.48493 .7775 L
.4805 .77855 L
.47549 .77973 L
.47035 .78094 L
.4651 .78218 L
.45915 .78357 L
.45338 .78492 L
s
.53333 .78333 m
.53106 .7837 L
.52844 .78413 L
.52582 .78457 L
.52316 .78504 L
.52016 .78557 L
.5171 .78612 L
.51365 .78676 L
.51012 .78743 L
.50652 .78813 L
.50246 .78893 L
.4983 .78976 L
.49406 .79062 L
.48926 .7916 L
.48436 .79262 L
.47881 .79378 L
.47312 .79499 L
.4673 .79622 L
.46071 .79762 L
.45395 .79905 L
.44629 .80066 L
.4384 .80229 L
.43032 .80394 L
.42115 .80575 L
.41222 .80746 L
s
.53333 .8 m
.53028 .80042 L
.52674 .80092 L
.52321 .80144 L
.51961 .80199 L
.51555 .80263 L
.5114 .80331 L
.50672 .80409 L
.50191 .80492 L
.497 .80579 L
.49144 .8068 L
.48574 .80785 L
.47991 .80895 L
.47331 .8102 L
.46655 .8115 L
.45887 .81298 L
.45098 .81451 L
.44289 .81606 L
.4337 .8178 L
.42425 .81955 L
.41352 .82148 L
.40246 .82337 L
.3911 .82519 L
.3782 .82707 L
.36563 .8287 L
s
.53333 .81667 m
.52944 .81714 L
.52493 .81771 L
.52042 .81831 L
.51581 .81895 L
.51061 .81971 L
.50528 .82051 L
.49924 .82145 L
.49304 .82245 L
.48668 .82351 L
.47948 .82473 L
.47207 .82602 L
.46448 .82735 L
.45587 .82887 L
.44701 .83045 L
.43694 .83222 L
.42656 .83402 L
.41589 .83582 L
.40376 .83778 L
.39127 .83966 L
.37706 .84162 L
.3624 .84337 L
.34736 .84484 L
.33937 .84547 L
.33031 .84603 L
.32627 .84624 L
.32187 .84642 L
.31765 .84655 L
.31376 .84664 L
s
.53333 .83333 m
.52855 .83386 L
.523 .8345 L
.51745 .83518 L
.51176 .83592 L
.50532 .83679 L
.49871 .83773 L
.49121 .83884 L
.48349 .84002 L
.47556 .84126 L
.46654 .84271 L
.45725 .84423 L
.44772 .84579 L
.43686 .84757 L
.42568 .84937 L
.41293 .85137 L
.39977 .85333 L
.38623 .8552 L
.3708 .85712 L
.35492 .85878 L
.3464 .85952 L
.33686 .86022 L
.33227 .86049 L
.32734 .86075 L
.32264 .86095 L
.31829 .86109 L
.31611 .86115 L
.31372 .86121 L
.3124 .86123 L
.31118 .86125 L
.30993 .86126 L
.30875 .86128 L
.30774 .86128 L
.30718 .86129 L
.30666 .86129 L
.30612 .86129 L
.30553 .86129 L
.30491 .86129 L
.30434 .86129 L
.30372 .86129 L
.30314 .86129 L
.30262 .86129 L
.30205 .86128 L
.30077 .86127 L
.29959 .86126 L
.29721 .86122 L
.29464 .86117 L
.2922 .8611 L
.28995 .86103 L
.2844 .86079 L
Mistroke
.27906 .86048 L
.2683 .85961 L
.25808 .85846 L
.25729 .85836 L
Mfstroke
.53333 .85 m
.52762 .85058 L
.52097 .85129 L
.51429 .85206 L
.50746 .8529 L
.49969 .8539 L
.4917 .85497 L
.48262 .85625 L
.47324 .85761 L
.46359 .85905 L
.4526 .86072 L
.44125 .86246 L
.42956 .86423 L
.41623 .86621 L
.40248 .86816 L
.38678 .87023 L
.37054 .87215 L
.35383 .8738 L
.34401 .8746 L
.33481 .87521 L
.33008 .87547 L
.32489 .87571 L
.31994 .8759 L
.31525 .87603 L
.31287 .87608 L
.31031 .87612 L
.30884 .87614 L
.30811 .87614 L
.30744 .87615 L
.30684 .87615 L
.30618 .87616 L
.30551 .87616 L
.30514 .87616 L
.3048 .87616 L
.30415 .87616 L
.30377 .87616 L
.30343 .87616 L
.30273 .87616 L
.30233 .87616 L
.30198 .87616 L
.30133 .87616 L
.30064 .87615 L
.29937 .87614 L
.29787 .87612 L
.29628 .8761 L
.29341 .87604 L
.2907 .87597 L
.2882 .87588 L
.28251 .87564 L
.27717 .87533 L
Mistroke
.27203 .87496 L
.26039 .87386 L
.24933 .87243 L
.23668 .87032 L
.225 .86786 L
.19916 .86049 L
.19769 .85999 L
Mfstroke
.53333 .86667 m
.52663 .8673 L
.51881 .86809 L
.51096 .86895 L
.50289 .86988 L
.49371 .87101 L
.48424 .87223 L
.47345 .87368 L
.46229 .87523 L
.45077 .87687 L
.43762 .87874 L
.42401 .88067 L
.40998 .88259 L
.39394 .88468 L
.37736 .88663 L
.35843 .88855 L
.34844 .88939 L
.33884 .89007 L
.32926 .89061 L
.3238 .89085 L
.3187 .89102 L
.31603 .8911 L
.31306 .89117 L
.31005 .89122 L
.3084 .89124 L
.30766 .89124 L
.30685 .89125 L
.30608 .89126 L
.30537 .89126 L
.30469 .89126 L
.30397 .89127 L
.30332 .89127 L
.30271 .89127 L
.30204 .89127 L
.30132 .89126 L
.30059 .89126 L
.2998 .89126 L
.29897 .89125 L
.29819 .89124 L
.2968 .89123 L
.2953 .8912 L
.29219 .89114 L
.2893 .89107 L
.28268 .89082 L
.27677 .89051 L
.27041 .89008 L
.25815 .88894 L
.2464 .88744 L
.23307 .88523 L
.22064 .88261 L
Mistroke
.20654 .87894 L
.19326 .87474 L
.16627 .86364 L
.1384 .84785 L
.13736 .84716 L
Mfstroke
.53333 .88333 m
.52559 .88402 L
.51655 .88489 L
.50743 .88583 L
.49806 .88687 L
.48737 .88814 L
.47632 .88951 L
.4637 .89114 L
.4506 .89287 L
.43707 .89468 L
.42158 .89674 L
.40552 .8988 L
.38893 .90079 L
.36994 .90283 L
.3503 .90457 L
.339 .90535 L
.33366 .90566 L
.32787 .90595 L
.32196 .90619 L
.31651 .90636 L
.31384 .90643 L
.31094 .90648 L
.3096 .9065 L
.30818 .90652 L
.30695 .90654 L
.30561 .90655 L
.30482 .90655 L
.30408 .90656 L
.30337 .90656 L
.30262 .90656 L
.30195 .90656 L
.30132 .90656 L
.30062 .90656 L
.29987 .90655 L
.29912 .90655 L
.29829 .90655 L
.29662 .90653 L
.29506 .90651 L
.29361 .90649 L
.29072 .90643 L
.28807 .90636 L
.28207 .90615 L
.27564 .90583 L
.26964 .90544 L
.25577 .9042 L
.24292 .90257 L
.22845 .90014 L
.2145 .89714 L
.19922 .89303 L
.18455 .88819 L
Mistroke
.16836 .8817 L
.13821 .8659 L
.10759 .84367 L
.07947 .81592 L
Mfstroke
.53333 .9 m
.5245 .90074 L
.51416 .90168 L
.50372 .90272 L
.49296 .90387 L
.48066 .90527 L
.46792 .90679 L
.45334 .9086 L
.43817 .91051 L
.42246 .91248 L
.40445 .91467 L
.38573 .91678 L
.36637 .91871 L
.355 .91968 L
.3442 .92047 L
.33264 .92116 L
.32673 .92144 L
.32127 .92165 L
.31535 .92183 L
.31207 .9219 L
.31055 .92193 L
.30894 .92195 L
.30755 .92197 L
.30601 .92199 L
.30534 .92199 L
.30461 .922 L
.30393 .922 L
.3033 .922 L
.30251 .92201 L
.30209 .92201 L
.30165 .92201 L
.3009 .92201 L
.30008 .92201 L
.29934 .922 L
.29855 .922 L
.2978 .922 L
.29711 .92199 L
.29549 .92198 L
.294 .92196 L
.29066 .9219 L
.28753 .92183 L
.28456 .92174 L
.27782 .92147 L
.27039 .92106 L
.26376 .92058 L
.25637 .91991 L
.24109 .91809 L
.22659 .91573 L
.21066 .91237 L
.19416 .90793 L
Mistroke
.17824 .90263 L
.1475 .88906 L
.11467 .86862 L
.08377 .84197 L
.05277 .80513 L
.02747 .76392 L
Mfstroke
.53333 .91667 m
.52336 .91746 L
.51166 .91849 L
.49983 .91962 L
.4876 .92088 L
.47359 .92242 L
.45905 .92409 L
.44236 .92607 L
.42497 .92814 L
.40693 .93023 L
.38619 .93248 L
.36461 .93452 L
.34228 .93619 L
.3302 .93685 L
.32322 .93714 L
.32008 .93725 L
.31671 .93735 L
.3133 .93744 L
.31017 .9375 L
.30866 .93752 L
.30701 .93754 L
.30546 .93756 L
.304 .93757 L
.30318 .93758 L
.3023 .93758 L
.30179 .93758 L
.30131 .93758 L
.30042 .93759 L
.29996 .93759 L
.29947 .93758 L
.29859 .93758 L
.2981 .93758 L
.29764 .93758 L
.29659 .93757 L
.29575 .93757 L
.29486 .93756 L
.29326 .93754 L
.29154 .93752 L
.28965 .93748 L
.2859 .9374 L
.28234 .93729 L
.2756 .93701 L
.26822 .9366 L
.26009 .936 L
.24493 .93446 L
.22842 .93208 L
.21267 .92906 L
.19763 .9254 L
.16495 .91449 L
.14683 .90638 L
Mistroke
.12955 .89705 L
.0969 .87423 L
.06334 .84162 L
.03333 .80116 L
.01925 .77691 L
.00523 .74798 L
Mfstroke
.00523 .74798 m
0 .73386 L
s
.55 .08333 m
.53663 .08158 L
.52245 .07984 L
.50951 .07838 L
.49741 .07715 L
.48491 .07602 L
.47324 .0751 L
.46125 .07429 L
.45007 .07364 L
.43968 .07313 L
.429 .07268 L
.41907 .07231 L
.40986 .072 L
.40038 .07168 L
.39157 .07136 L
.38254 .07098 L
.37415 .07056 L
.36635 .07007 L
.35832 .06944 L
.35085 .06869 L
.34316 .06774 L
.33598 .06664 L
.32927 .06539 L
.32232 .06383 L
.31613 .06219 L
s
.55 .1 m
.53786 .09828 L
.52495 .09657 L
.51314 .09512 L
.50207 .09388 L
.4906 .09272 L
.47988 .09176 L
.46881 .0909 L
.45849 .09021 L
.44885 .08965 L
.43893 .08917 L
.42969 .08878 L
.42108 .08846 L
.41222 .08817 L
.40397 .08791 L
.3955 .08763 L
.38762 .08733 L
.38028 .08701 L
.37272 .08661 L
.36568 .08614 L
.35844 .08554 L
.35169 .08484 L
.34537 .08403 L
.33885 .08302 L
.33305 .08194 L
s
.55 .11667 m
.53905 .11499 L
.52737 .1133 L
.51665 .11186 L
.50658 .11061 L
.49613 .10943 L
.48632 .10844 L
.47618 .10752 L
.46669 .10678 L
.45781 .10617 L
.44865 .10563 L
.44008 .10521 L
.4321 .10487 L
.42385 .10456 L
.41616 .10431 L
.40824 .10407 L
.40087 .10385 L
.39399 .10364 L
.3869 .10338 L
.38029 .10309 L
.37349 .10274 L
.36714 .10232 L
.36121 .10184 L
.35509 .10122 L
.34965 .10056 L
s
.55 .13333 m
.54019 .1317 L
.5297 .13004 L
.52004 .12861 L
.51095 .12735 L
.50149 .12615 L
.49259 .12512 L
.48335 .12416 L
.47469 .12335 L
.46656 .12269 L
.45814 .12209 L
.45026 .12161 L
.44289 .12123 L
.43526 .12089 L
.42813 .12061 L
.42078 .12037 L
.41391 .12017 L
.40749 .12 L
.40087 .11982 L
.39469 .11965 L
.38832 .11944 L
.38237 .11921 L
.37681 .11894 L
.37107 .1186 L
.36597 .11824 L
s
.55 .15 m
.54128 .1484 L
.53194 .14677 L
.52332 .14535 L
.51517 .1441 L
.50667 .14287 L
.49865 .14181 L
.49031 .1408 L
.48246 .13994 L
.47508 .13922 L
.46741 .13856 L
.46021 .13801 L
.45346 .13756 L
.44645 .13716 L
.43988 .13684 L
.43309 .13656 L
.42673 .13634 L
.42079 .13617 L
.41463 .13601 L
.40888 .13588 L
.40294 .13574 L
.39738 .13561 L
.39219 .13548 L
.38682 .13531 L
.38204 .13513 L
s
.55 .16667 m
.54233 .16511 L
.53409 .16351 L
.52647 .16211 L
.51924 .16085 L
.51168 .15961 L
.50453 .15851 L
.49706 .15746 L
.49001 .15655 L
.48337 .15576 L
.47644 .15503 L
.46992 .15441 L
.46378 .15389 L
.4574 .15341 L
.4514 .15302 L
.44518 .15268 L
.43934 .15241 L
.43386 .15219 L
.42818 .15201 L
.42286 .15186 L
.41735 .15174 L
.41219 .15164 L
.40736 .15156 L
.40236 .15147 L
.39791 .15139 L
s
.55 .18333 m
.54334 .18182 L
.53616 .18025 L
.52949 .17886 L
.52316 .1776 L
.51651 .17635 L
.5102 .17523 L
.5036 .17414 L
.49734 .17317 L
.49142 .17233 L
.48523 .17152 L
.47938 .17082 L
.47387 .17022 L
.46811 .16966 L
.46268 .16919 L
.45704 .16876 L
.45172 .16841 L
.44672 .16812 L
.44152 .16787 L
.43664 .16768 L
.43157 .16751 L
.42681 .16738 L
.42234 .16729 L
.41771 .16722 L
.41358 .16716 L
s
.55 .2 m
.5443 .19853 L
.53814 .197 L
.5324 .19562 L
.52692 .19437 L
.52116 .19311 L
.51567 .19196 L
.50991 .19083 L
.50442 .18982 L
.49922 .18891 L
.49377 .18803 L
.48859 .18725 L
.48369 .18658 L
.47856 .18592 L
.47371 .18536 L
.46865 .18483 L
.46387 .18438 L
.45935 .184 L
.45464 .18366 L
.4502 .18338 L
.44559 .18313 L
.44124 .18293 L
.43714 .18278 L
.43289 .18265 L
.42908 .18257 L
s
.55 .21667 m
.54522 .21524 L
.54003 .21374 L
.53517 .21239 L
.53053 .21114 L
.52562 .20987 L
.52093 .20871 L
.51599 .20754 L
.51127 .20648 L
.50677 .20553 L
.50204 .20458 L
.49753 .20372 L
.49325 .20296 L
.48875 .20221 L
.48448 .20155 L
.48001 .20091 L
.47576 .20036 L
.47174 .19988 L
.46753 .19942 L
.46355 .19903 L
.4594 .19866 L
.45547 .19836 L
.45176 .19811 L
.44789 .19789 L
.44442 .19772 L
s
.55 .23333 m
.54609 .23195 L
.54182 .23048 L
.53782 .22915 L
.53398 .22791 L
.5299 .22664 L
.52598 .22547 L
.52183 .22427 L
.51786 .22318 L
.51406 .22217 L
.51004 .22115 L
.5062 .22023 L
.50253 .21939 L
.49866 .21855 L
.49497 .21779 L
.49109 .21704 L
.48739 .21637 L
.48388 .21577 L
.48018 .21519 L
.47667 .21467 L
.47299 .21418 L
.4695 .21374 L
.46619 .21337 L
.46272 .21302 L
.4596 .21273 L
s
.55 .25 m
.54692 .24866 L
.54353 .24723 L
.54034 .24592 L
.53727 .2447 L
.53398 .24343 L
.53081 .24224 L
.52744 .24103 L
.52419 .23989 L
.52107 .23885 L
.51776 .23777 L
.51457 .23678 L
.51151 .23587 L
.50827 .23494 L
.50517 .23409 L
.50189 .23322 L
.49875 .23244 L
.49574 .23173 L
.49257 .23101 L
.48954 .23037 L
.48636 .22972 L
.48331 .22915 L
.48042 .22863 L
.47737 .22813 L
.47461 .2277 L
s
.55 .26667 m
.5477 .26537 L
.54515 .26398 L
.54273 .26269 L
.54039 .26148 L
.53787 .26022 L
.53542 .25903 L
.5328 .2578 L
.53026 .25664 L
.52781 .25555 L
.52518 .25443 L
.52264 .25338 L
.52019 .2524 L
.51758 .25139 L
.51506 .25045 L
.51238 .24948 L
.5098 .24859 L
.50732 .24776 L
.50468 .24692 L
.50215 .24614 L
.49947 .24535 L
.4969 .24463 L
.49443 .24396 L
.49182 .2433 L
.48945 .24272 L
s
.55 .28333 m
.54843 .28208 L
.54668 .28073 L
.545 .27947 L
.54335 .27828 L
.54156 .27702 L
.53981 .27583 L
.53791 .27459 L
.53606 .27341 L
.53425 .2723 L
.5323 .27113 L
.53039 .27003 L
.52855 .26899 L
.52656 .26791 L
.52462 .26689 L
.52255 .26583 L
.52053 .26484 L
.51858 .26391 L
.5165 .26294 L
.51447 .26204 L
.51232 .2611 L
.51023 .26023 L
.50822 .25942 L
.50607 .25859 L
.5041 .25785 L
s
.55 .3 m
.54912 .29879 L
.54811 .29747 L
.54712 .29625 L
.54614 .29508 L
.54505 .29384 L
.54396 .29265 L
.54276 .2914 L
.54157 .29021 L
.54039 .28907 L
.5391 .28787 L
.53782 .28673 L
.53656 .28564 L
.53519 .2845 L
.53384 .28342 L
.53237 .28228 L
.53093 .28119 L
.52951 .28017 L
.52798 .27909 L
.52648 .27807 L
.52486 .27701 L
.52328 .27601 L
.52174 .27506 L
.52008 .27407 L
.51854 .27318 L
s
.55 .31667 m
.54976 .3155 L
.54945 .31423 L
.54912 .31303 L
.54876 .31188 L
.54833 .31066 L
.54787 .30948 L
.54735 .30823 L
.54679 .30703 L
.54622 .30588 L
.54557 .30466 L
.5449 .30349 L
.54422 .30236 L
.54346 .30117 L
.54268 .30003 L
.54182 .29882 L
.54095 .29767 L
.54008 .29656 L
.53911 .2954 L
.53814 .29428 L
.53708 .2931 L
.53602 .29198 L
.53497 .29091 L
.53381 .28978 L
.53273 .28876 L
s
.55 .33333 m
.55036 .33221 L
.5507 .33098 L
.55098 .32981 L
.55121 .32869 L
.5514 .32749 L
.55155 .32632 L
.55161 .32569 L
.55166 .32508 L
.55168 .32479 L
.55169 .32448 L
.55171 .32419 L
.55172 .32393 L
.55172 .32364 L
.55173 .32349 L
.55173 .32341 L
.55173 .32334 L
.55173 .32327 L
.55173 .3232 L
.55173 .32313 L
.55173 .32307 L
.55173 .32304 L
.55173 .323 L
.55173 .32297 L
.55173 .32293 L
.55173 .3229 L
.55173 .32288 L
.55173 .32286 L
.55173 .32282 L
.55173 .32278 L
.55173 .32271 L
.55173 .32265 L
.55173 .32257 L
.55173 .32249 L
.55173 .32233 L
.55172 .32218 L
.55171 .32191 L
.5517 .32163 L
.55167 .32103 L
.55164 .32047 L
.55153 .31928 L
.55136 .31802 L
.55115 .3168 L
.55091 .31563 L
.55061 .31438 L
.55027 .31318 L
.54991 .31202 L
.54948 .31079 L
.54902 .30961 L
.54849 .30835 L
Mistroke
.54793 .30714 L
.54736 .30599 L
.5467 .30476 L
.54663 .30464 L
Mfstroke
.55 .35 m
.55091 .34892 L
.55186 .34773 L
.55271 .3466 L
.55348 .3455 L
.55427 .34432 L
.55498 .34318 L
.55569 .34195 L
.55633 .34075 L
.55691 .33959 L
.55747 .33835 L
.55797 .33715 L
.55841 .33598 L
.55883 .33474 L
.55918 .33353 L
.55951 .33224 L
.55978 .33099 L
.56 .32978 L
.56018 .32849 L
.5603 .32724 L
.56035 .32655 L
.56037 .32624 L
.56038 .32591 L
.56039 .3256 L
.5604 .32544 L
.5604 .32526 L
.56041 .3251 L
.56041 .32496 L
.56041 .32489 L
.56041 .32481 L
.56041 .32477 L
.56041 .32474 L
.56041 .3247 L
.56041 .32467 L
.56041 .32463 L
.56041 .32459 L
.56041 .32455 L
.56041 .32451 L
.56041 .32447 L
.56041 .32444 L
.56041 .3244 L
.56041 .32437 L
.56041 .32429 L
.56041 .3242 L
.56041 .32404 L
.5604 .3239 L
.5604 .32376 L
.56039 .32345 L
.56038 .32312 L
.56036 .3228 L
Mistroke
.56033 .3222 L
.56028 .32156 L
.56022 .32096 L
.56021 .32084 L
Mfstroke
.55 .36667 m
.55141 .36563 L
.55292 .36449 L
.55429 .36339 L
.55558 .36232 L
.55691 .36117 L
.55816 .36004 L
.55944 .35883 L
.56064 .35765 L
.56174 .3565 L
.56288 .35526 L
.56393 .35406 L
.5649 .35289 L
.56588 .35163 L
.56679 .35041 L
.5677 .3491 L
.56853 .34783 L
.56929 .3466 L
.57004 .34528 L
.57072 .344 L
.57138 .34264 L
.57197 .34131 L
.57249 .34003 L
.57299 .33866 L
.57339 .3374 L
s
.55 .38333 m
.55187 .38234 L
.55388 .38124 L
.55574 .38018 L
.5575 .37915 L
.55934 .37802 L
.56108 .37692 L
.5629 .37573 L
.56461 .37457 L
.56622 .37343 L
.5679 .3722 L
.56948 .37101 L
.57096 .36984 L
.57249 .36859 L
.57393 .36737 L
.57541 .36607 L
.57679 .36479 L
.57808 .36356 L
.5794 .36224 L
.58063 .36095 L
.58189 .35958 L
.58304 .35825 L
.58411 .35696 L
.58519 .35558 L
.58613 .35431 L
s
.55 .4 m
.55228 .39906 L
.55475 .398 L
.55705 .39698 L
.55924 .39598 L
.56155 .39488 L
.56375 .39381 L
.56606 .39265 L
.56825 .3915 L
.57034 .39039 L
.57253 .38918 L
.57461 .388 L
.57657 .38685 L
.57863 .38562 L
.58058 .38441 L
.58261 .38312 L
.58453 .38187 L
.58634 .38065 L
.58823 .37934 L
.59 .37808 L
.59184 .37673 L
.59357 .37542 L
.59519 .37416 L
.59687 .37281 L
.59836 .37158 L
s
.55 .41667 m
.55265 .41577 L
.55552 .41476 L
.55822 .41378 L
.5608 .41281 L
.56353 .41175 L
.56614 .41071 L
.56891 .40957 L
.57155 .40846 L
.57408 .40737 L
.57674 .40619 L
.57929 .40503 L
.58172 .40391 L
.58428 .4027 L
.58671 .40152 L
.58927 .40026 L
.59171 .39904 L
.59403 .39785 L
.59647 .39659 L
.59878 .39537 L
.6012 .39407 L
.60349 .39282 L
.60567 .39161 L
.60794 .39033 L
.60999 .38917 L
s
.55 .43333 m
.55296 .43248 L
.5562 .43152 L
.55924 .43058 L
.56217 .42965 L
.56528 .42862 L
.56827 .42762 L
.57144 .42652 L
.5745 .42543 L
.57743 .42437 L
.58053 .42322 L
.58352 .4221 L
.58637 .42101 L
.5894 .41983 L
.5923 .41869 L
.59536 .41747 L
.5983 .4163 L
.6011 .41516 L
.60407 .41395 L
.6069 .4128 L
.60989 .41157 L
.61274 .4104 L
.61547 .40929 L
.61834 .40812 L
.62094 .40706 L
s
.55 .45 m
.55324 .44919 L
.55678 .44828 L
.56012 .44738 L
.56335 .44649 L
.56679 .4455 L
.57012 .44453 L
.57366 .44347 L
.57708 .44242 L
.58037 .4414 L
.58388 .44028 L
.58726 .4392 L
.59052 .43814 L
.59398 .43701 L
.59731 .43592 L
.60085 .43475 L
.60425 .43363 L
.60752 .43255 L
.61099 .43142 L
.61432 .43034 L
.61786 .42921 L
.62126 .42815 L
.62452 .42715 L
.62798 .42612 L
.63113 .42521 L
s
.55 .46667 m
.55346 .46591 L
.55726 .46504 L
.56086 .46418 L
.56434 .46333 L
.56807 .46239 L
.57168 .46146 L
.57555 .46043 L
.57929 .45943 L
.58291 .45844 L
.58678 .45737 L
.59052 .45632 L
.59413 .45531 L
.59799 .45423 L
.60171 .45318 L
.60569 .45208 L
.60952 .45102 L
.61323 .45002 L
.61717 .44897 L
.62098 .44798 L
.62504 .44696 L
.62896 .44602 L
.63274 .44516 L
.63676 .44429 L
.64045 .44354 L
s
.55 .48333 m
.55363 .48262 L
.55764 .4818 L
.56144 .48099 L
.56514 .48018 L
.56911 .47928 L
.57296 .47839 L
.5771 .47741 L
.58112 .47644 L
.58501 .47549 L
.58919 .47447 L
.59325 .47347 L
.59718 .4725 L
.60139 .47147 L
.60548 .47048 L
.60984 .46944 L
.61408 .46845 L
.61818 .46753 L
.62257 .46657 L
.62682 .46568 L
.63137 .46479 L
.63577 .46398 L
.64004 .46326 L
.64461 .46257 L
.64881 .46201 L
s
.55 .5 m
.55376 .49933 L
.55792 .49856 L
.56188 .4978 L
.56574 .49703 L
.5699 .49618 L
.57394 .49533 L
.5783 .49439 L
.58255 .49347 L
.58668 .49257 L
.59112 .49159 L
.59545 .49063 L
.59965 .48972 L
.60417 .48874 L
.60857 .48781 L
.61329 .48683 L
.61788 .48592 L
.62233 .48507 L
.62712 .4842 L
.63178 .48342 L
.63677 .48265 L
.64163 .48198 L
.64635 .48141 L
.65142 .4809 L
.6561 .48053 L
s
.55 .51667 m
.55384 .51605 L
.55811 .51533 L
.56217 .51461 L
.56614 .51389 L
.57044 .51308 L
.57463 .51227 L
.57915 .51139 L
.58358 .51051 L
.58789 .50965 L
.59255 .50872 L
.59709 .50782 L
.60152 .50695 L
.6063 .50603 L
.61096 .50515 L
.61597 .50424 L
.62087 .5034 L
.62564 .50263 L
.63077 .50185 L
.63578 .50116 L
.64117 .50051 L
.64643 .49997 L
.65156 .49955 L
.65419 .49937 L
.65709 .49921 L
.65973 .4991 L
.66221 .49903 L
s
.55 .53333 m
.55388 .53276 L
.55819 .53209 L
.56231 .53142 L
.56635 .53074 L
.57072 .52999 L
.57501 .52923 L
.57964 .52839 L
.58419 .52756 L
.58864 .52675 L
.59345 .52587 L
.59816 .52501 L
.60276 .52419 L
.60774 .52333 L
.6126 .52251 L
.61786 .52166 L
.62301 .52089 L
.62803 .52018 L
.63346 .51949 L
.63877 .5189 L
.6445 .51835 L
.65011 .51793 L
.65271 .51778 L
.65559 .51764 L
.65846 .51753 L
.66004 .51749 L
.66075 .51748 L
.66152 .51746 L
.66229 .51745 L
.66262 .51745 L
.66299 .51745 L
.66332 .51744 L
.66367 .51744 L
.66386 .51744 L
.66404 .51744 L
.66421 .51744 L
.66439 .51744 L
.66456 .51744 L
.66471 .51744 L
.66486 .51744 L
.665 .51744 L
.66517 .51744 L
.66533 .51744 L
.6655 .51744 L
.66567 .51744 L
.66601 .51744 L
.66632 .51744 L
.66703 .51745 L
s
.55 .55 m
.55386 .54948 L
.55817 .54886 L
.5623 .54824 L
.56635 .54761 L
.57075 .5469 L
.57508 .54619 L
.57977 .5454 L
.58438 .54462 L
.5889 .54386 L
.59381 .54303 L
.59862 .54222 L
.60334 .54145 L
.60846 .54064 L
.61348 .53987 L
.61891 .53909 L
.62424 .53837 L
.62946 .53773 L
.63512 .53711 L
.64067 .53659 L
.64667 .53614 L
.64973 .53596 L
.65257 .53582 L
.65537 .53571 L
.65678 .53567 L
.65835 .53563 L
.65914 .53562 L
.65989 .53561 L
.66057 .5356 L
.66131 .53559 L
.66169 .53559 L
.66212 .53559 L
.66233 .53559 L
.66244 .53559 L
.66256 .53559 L
.66266 .53559 L
.66277 .53559 L
.66297 .53559 L
.66318 .53559 L
.66336 .53559 L
.66346 .53559 L
.66357 .53559 L
.66377 .53559 L
.66396 .53559 L
.66416 .53559 L
.66452 .53559 L
.66528 .5356 L
.66598 .53561 L
.66678 .53562 L
.66755 .53563 L
Mistroke
.66892 .53567 L
.67041 .53571 L
.67044 .53572 L
Mfstroke
.55 .56667 m
.5538 .56619 L
.55805 .56563 L
.56213 .56506 L
.56615 .56447 L
.57052 .56382 L
.57483 .56316 L
.57951 .56243 L
.58413 .5617 L
.58867 .56098 L
.59361 .5602 L
.59847 .55945 L
.60324 .55872 L
.60843 .55796 L
.61353 .55724 L
.61908 .55651 L
.62453 .55585 L
.62988 .55526 L
.6357 .5547 L
.64141 .55424 L
.64437 .55404 L
.64761 .55386 L
.65051 .55373 L
.65217 .55366 L
.65372 .55361 L
.65533 .55357 L
.65681 .55354 L
.65762 .55353 L
.65839 .55352 L
.65921 .55351 L
.65967 .55351 L
.65988 .55351 L
.6601 .55351 L
.66029 .55351 L
.66048 .55351 L
.66067 .5535 L
.66083 .5535 L
.66103 .5535 L
.66121 .5535 L
.66132 .5535 L
.66142 .5535 L
.66162 .55351 L
.66179 .55351 L
.66198 .55351 L
.66237 .55351 L
.66272 .55351 L
.66306 .55351 L
.66388 .55352 L
.66464 .55353 L
.66635 .55356 L
Mistroke
.66782 .5536 L
.66919 .55365 L
.67232 .55378 L
Mfstroke
.55 .58333 m
.55369 .5829 L
.55782 .58239 L
.56181 .58188 L
.56573 .58134 L
.57002 .58074 L
.57425 .58013 L
.57887 .57946 L
.58343 .57878 L
.58793 .57811 L
.59283 .57739 L
.59767 .57668 L
.60243 .576 L
.60762 .57529 L
.61274 .57462 L
.61831 .57394 L
.62381 .57332 L
.62922 .57277 L
.63511 .57226 L
.64092 .57184 L
.64393 .57166 L
.64723 .5715 L
.65046 .57138 L
.65201 .57134 L
.65347 .5713 L
.6549 .57128 L
.65571 .57126 L
.65644 .57125 L
.65725 .57125 L
.65771 .57125 L
.65793 .57124 L
.65814 .57124 L
.65833 .57124 L
.65851 .57124 L
.65871 .57124 L
.65881 .57124 L
.65892 .57124 L
.65912 .57124 L
.65932 .57124 L
.65953 .57124 L
.65964 .57124 L
.65975 .57124 L
.66012 .57124 L
.66034 .57125 L
.66053 .57125 L
.66136 .57125 L
.66208 .57126 L
.66286 .57127 L
.66463 .57131 L
.66627 .57135 L
Mistroke
.66925 .57146 L
.67253 .57162 L
Mfstroke
.55 .6 m
.55353 .59962 L
.55749 .59916 L
.56132 .5987 L
.56511 .59822 L
.56925 .59767 L
.57335 .59711 L
.57783 .5965 L
.58227 .59587 L
.58666 .59526 L
.59145 .59459 L
.5962 .59393 L
.60088 .5933 L
.606 .59264 L
.61105 .59201 L
.61657 .59137 L
.62203 .59079 L
.62742 .59027 L
.6333 .58978 L
.63911 .58939 L
.64213 .58922 L
.64544 .58907 L
.64701 .58901 L
.64868 .58896 L
.65026 .58892 L
.6517 .58889 L
.65321 .58886 L
.65404 .58885 L
.65442 .58885 L
.65483 .58884 L
.65518 .58884 L
.65556 .58884 L
.65591 .58884 L
.65607 .58884 L
.65624 .58884 L
.65643 .58884 L
.65663 .58884 L
.65682 .58884 L
.65699 .58884 L
.65719 .58884 L
.65737 .58884 L
.65759 .58884 L
.65779 .58884 L
.65818 .58884 L
.65854 .58884 L
.65894 .58884 L
.65937 .58885 L
.66025 .58886 L
.66106 .58887 L
.66262 .5889 L
Mistroke
.66411 .58894 L
.66743 .58905 L
.67055 .58921 L
.67095 .58923 L
Mfstroke
.55 .61667 m
.55332 .61633 L
.55706 .61593 L
.56068 .61552 L
.56427 .61509 L
.56821 .6146 L
.57211 .61411 L
.57639 .61355 L
.58064 .61298 L
.58485 .61242 L
.58946 .61181 L
.59403 .6112 L
.59856 .61062 L
.60352 .61 L
.60843 .60942 L
.61381 .60881 L
.61914 .60826 L
.62441 .60777 L
.63018 .60729 L
.63589 .60691 L
.63887 .60674 L
.64213 .60659 L
.64534 .60647 L
.64688 .60642 L
.64832 .60639 L
.64975 .60636 L
.65129 .60634 L
.65217 .60633 L
.65261 .60632 L
.65301 .60632 L
.65337 .60632 L
.65377 .60632 L
.65398 .60632 L
.65417 .60632 L
.65437 .60632 L
.65449 .60631 L
.6546 .60631 L
.6548 .60631 L
.655 .60631 L
.65517 .60631 L
.65536 .60632 L
.65557 .60632 L
.65579 .60632 L
.65618 .60632 L
.65654 .60632 L
.65688 .60632 L
.65766 .60633 L
.65851 .60634 L
.6593 .60635 L
.66106 .60639 L
Mistroke
.66263 .60643 L
.66409 .60648 L
.66742 .60662 L
Mfstroke
.55 .63333 m
.55307 .63305 L
.55653 .6327 L
.55988 .63235 L
.56322 .63197 L
.56688 .63155 L
.57053 .6311 L
.57453 .63061 L
.57852 .6301 L
.58248 .6296 L
.58683 .62905 L
.59115 .6285 L
.59544 .62796 L
.60015 .62739 L
.60483 .62685 L
.60996 .62628 L
.61506 .62575 L
.62012 .62528 L
.62567 .62481 L
.63118 .62442 L
.63405 .62425 L
.63721 .62408 L
.64005 .62396 L
.64321 .62384 L
.64626 .62376 L
.64795 .62373 L
.64877 .62372 L
.64954 .62371 L
.65032 .62371 L
.65074 .6237 L
.65118 .6237 L
.65136 .6237 L
.65156 .6237 L
.65174 .6237 L
.65192 .6237 L
.65213 .6237 L
.65225 .6237 L
.65235 .6237 L
.65255 .6237 L
.65275 .6237 L
.65295 .6237 L
.65313 .6237 L
.65333 .6237 L
.65355 .6237 L
.65391 .6237 L
.6543 .6237 L
.65504 .62371 L
.65572 .62371 L
.65733 .62374 L
.65888 .62377 L
Mistroke
.66027 .6238 L
.6618 .62385 L
Mfstroke
.55 .65 m
.55276 .64977 L
.55588 .64948 L
.55892 .64918 L
.56195 .64886 L
.56528 .64849 L
.5686 .64811 L
.57225 .64768 L
.5759 .64724 L
.57953 .6468 L
.58353 .64631 L
.58752 .64582 L
.59149 .64534 L
.59585 .64482 L
.6002 .64432 L
.60498 .64379 L
.60974 .64329 L
.61447 .64283 L
.61968 .64237 L
.62486 .64197 L
.63056 .6416 L
.63349 .64144 L
.63623 .64131 L
.63912 .6412 L
.64186 .64111 L
.64333 .64108 L
.64468 .64105 L
.64618 .64103 L
.64702 .64102 L
.64781 .64101 L
.64852 .641 L
.64892 .641 L
.6493 .641 L
.64949 .641 L
.6497 .641 L
.64987 .641 L
.65006 .641 L
.65017 .641 L
.65027 .641 L
.65038 .641 L
.65049 .641 L
.65068 .641 L
.65079 .641 L
.65089 .641 L
.65123 .641 L
.65155 .641 L
.65191 .641 L
.65229 .64101 L
.65307 .64101 L
.65378 .64102 L
Mistroke
.65388 .64102 L
Mfstroke
.55 .66667 m
.55241 .66648 L
.55514 .66625 L
.5578 .66601 L
.56045 .66575 L
.56338 .66545 L
.56631 .66513 L
.56954 .66477 L
.57277 .6644 L
.576 .66402 L
.57956 .6636 L
.58312 .66318 L
.58666 .66276 L
.59058 .6623 L
.59449 .66185 L
.59879 .66137 L
.6031 .66091 L
.60739 .66047 L
.61212 .66002 L
.61684 .65961 L
.62204 .65921 L
.62723 .65887 L
.63241 .6586 L
.6351 .65848 L
.6381 .65838 L
.63943 .65834 L
.64086 .65831 L
.64348 .65826 L
s
.55 .68333 m
.55201 .6832 L
.55428 .68303 L
.55651 .68284 L
.55873 .68264 L
.56119 .68241 L
.56366 .68216 L
.56638 .68188 L
.56912 .68158 L
.57185 .68128 L
.57488 .68093 L
.57791 .68058 L
.58094 .68023 L
.58429 .67984 L
.58764 .67945 L
.59135 .67903 L
.59507 .67862 L
.59878 .67822 L
.60289 .6778 L
.60699 .6774 L
.61153 .67699 L
.61607 .67661 L
.62061 .67628 L
.62562 .67597 L
.63036 .67573 L
s
.55 .7 m
.55155 .69991 L
.55332 .6998 L
.55505 .69968 L
.55679 .69954 L
.55871 .69938 L
.56064 .69921 L
.56277 .699 L
.56492 .69879 L
.56708 .69856 L
.56947 .6983 L
.57187 .69804 L
.57427 .69777 L
.57694 .69746 L
.57961 .69716 L
.58258 .69682 L
.58556 .69648 L
.58855 .69614 L
.59186 .69577 L
.59518 .69541 L
.59885 .69503 L
.60255 .69466 L
.60625 .69431 L
.61035 .69396 L
.61425 .69365 L
s
.55 .71667 m
.55105 .71663 L
.55225 .71658 L
.55343 .71652 L
.55461 .71645 L
.55592 .71636 L
.55724 .71626 L
.5587 .71614 L
.56018 .71602 L
.56166 .71588 L
.5633 .71572 L
.56496 .71556 L
.56663 .71538 L
.56848 .71519 L
.57034 .71498 L
.5724 .71475 L
.57449 .71451 L
.57658 .71427 L
.57891 .714 L
.58125 .71373 L
.58385 .71343 L
.58647 .71313 L
.58911 .71284 L
.59203 .71252 L
.59483 .71222 L
s
.55 .73333 m
.55024 .73334 L
.5505 .73335 L
.55077 .73335 L
.55093 .73335 L
.55107 .73336 L
.55114 .73336 L
.55122 .73336 L
.55129 .73336 L
.55136 .73336 L
.55143 .73336 L
.55146 .73336 L
.5515 .73336 L
.55153 .73336 L
.55156 .73336 L
.55158 .73336 L
.5516 .73336 L
.55161 .73336 L
.55163 .73336 L
.55165 .73336 L
.55166 .73336 L
.55167 .73336 L
.55168 .73336 L
.5517 .73336 L
.55174 .73336 L
.55178 .73336 L
.55182 .73336 L
.55186 .73336 L
.55193 .73336 L
.55206 .73336 L
.55221 .73336 L
.55251 .73335 L
.55284 .73335 L
.55345 .73333 L
.55413 .73331 L
.55481 .73328 L
.55557 .73324 L
.55633 .7332 L
.5571 .73315 L
.55796 .73309 L
.55882 .73302 L
.55978 .73295 L
.56075 .73286 L
.56173 .73277 L
.56281 .73266 L
.56391 .73255 L
.56502 .73244 L
.56625 .7323 L
.56749 .73217 L
.56887 .73201 L
Mistroke
.57027 .73185 L
.57168 .73168 L
.57172 .73168 L
Mfstroke
.55 .75 m
.5499 .75006 L
.54979 .75014 L
.54967 .75021 L
.54955 .75027 L
.54942 .75035 L
.54928 .75042 L
.54912 .7505 L
.54896 .75058 L
.5488 .75065 L
.54861 .75074 L
.54842 .75082 L
.54822 .7509 L
.548 .75099 L
.54777 .75108 L
.54751 .75118 L
.54725 .75128 L
.54698 .75137 L
.54668 .75148 L
.54637 .75159 L
.54603 .7517 L
.54567 .75182 L
.54531 .75194 L
.5449 .75207 L
.5445 .75219 L
s
.55 .76667 m
.54925 .76678 L
.54839 .76692 L
.54753 .76705 L
.54667 .76719 L
.54569 .76736 L
.5447 .76752 L
.54359 .76771 L
.54246 .76791 L
.54131 .76811 L
.54002 .76834 L
.5387 .76858 L
.53737 .76883 L
.53587 .76911 L
.53434 .7694 L
.53263 .76973 L
.53088 .77007 L
.5291 .77042 L
.52709 .77082 L
.52505 .77123 L
.52275 .77171 L
.52041 .77219 L
.51801 .7727 L
.51532 .77327 L
.51271 .77383 L
s
.55 .78333 m
.54855 .7835 L
.54688 .7837 L
.54522 .78391 L
.54354 .78412 L
.54165 .78438 L
.53972 .78464 L
.53756 .78496 L
.53535 .78528 L
.5331 .78563 L
.53057 .78602 L
.52798 .78644 L
.52536 .78688 L
.5224 .78738 L
.51939 .78791 L
.51598 .78851 L
.51251 .78915 L
.50896 .78981 L
.50496 .79058 L
.50087 .79137 L
.49624 .79228 L
.4915 .79324 L
.48666 .79422 L
.48117 .79535 L
.47585 .79646 L
s
.55 .8 m
.5478 .80022 L
.54526 .80048 L
.54274 .80076 L
.54017 .80106 L
.53727 .80141 L
.53432 .80179 L
.531 .80223 L
.5276 .8027 L
.52413 .8032 L
.52022 .80378 L
.51622 .8044 L
.51214 .80505 L
.50753 .80581 L
.50282 .80661 L
.49749 .80754 L
.49202 .80851 L
.48643 .80953 L
.4801 .8107 L
.47361 .81192 L
.46624 .81332 L
.45866 .81477 L
.45088 .81626 L
.44206 .81794 L
.43345 .81955 L
s
.55 .81667 m
.547 .81694 L
.54353 .81727 L
.54007 .81762 L
.53655 .818 L
.53257 .81846 L
.5285 .81895 L
.52391 .81953 L
.5192 .82016 L
.51439 .82083 L
.50894 .82162 L
.50336 .82246 L
.49766 .82335 L
.49119 .82439 L
.48456 .82549 L
.47704 .82676 L
.4693 .8281 L
.46136 .82949 L
.45234 .83108 L
.44306 .83271 L
.43251 .83454 L
.42161 .8364 L
.4104 .83824 L
.39765 .84023 L
.38519 .84202 L
s
.55 .83333 m
.54615 .83365 L
.54169 .83406 L
.53723 .83449 L
.53267 .83495 L
.52752 .83552 L
.52225 .83613 L
.51627 .83687 L
.51013 .83766 L
.50384 .83852 L
.49671 .83953 L
.48937 .84062 L
.48186 .84176 L
.47332 .8431 L
.46453 .84451 L
.45454 .84613 L
.44422 .84781 L
.43361 .84953 L
.42153 .85146 L
.40906 .85337 L
.39485 .85543 L
.38016 .85738 L
.36504 .85914 L
.34783 .86078 L
.33106 .86193 L
s
.55 .85 m
.54525 .85037 L
.53973 .85084 L
.5342 .85135 L
.52855 .85191 L
.52213 .85259 L
.51555 .85334 L
.50808 .85424 L
.50038 .85521 L
.49248 .85627 L
.48348 .85752 L
.47422 .85886 L
.46469 .86026 L
.45384 .8619 L
.44265 .8636 L
.42988 .86553 L
.41667 .86747 L
.40306 .8694 L
.38752 .87145 L
.37148 .87335 L
.35318 .87515 L
.3435 .87593 L
.33428 .87653 L
.32499 .877 L
.32021 .87718 L
.31748 .87726 L
.31487 .87733 L
.31232 .87738 L
.31097 .8774 L
.30953 .87742 L
.30832 .87744 L
.30767 .87744 L
.30697 .87745 L
.30633 .87745 L
.30574 .87745 L
.30518 .87746 L
.30459 .87746 L
.30388 .87746 L
.30324 .87746 L
.30289 .87746 L
.30251 .87746 L
.30181 .87745 L
.30115 .87745 L
.30045 .87744 L
.2992 .87743 L
.29774 .87742 L
.29636 .8774 L
.29321 .87733 L
.29051 .87726 L
.28753 .87716 L
Mistroke
.28207 .87691 L
.27667 .8766 L
.27161 .87623 L
Mfstroke
.55 .86667 m
.5443 .86709 L
.53766 .86763 L
.53099 .86823 L
.52416 .86888 L
.5164 .86968 L
.50841 .87057 L
.49932 .87164 L
.48993 .87281 L
.48026 .87407 L
.46924 .87556 L
.45784 .87715 L
.44611 .87882 L
.4327 .88072 L
.41884 .88265 L
.40299 .88477 L
.38657 .88682 L
.36962 .8887 L
.35027 .89047 L
.34085 .89116 L
.3303 .89178 L
.32436 .89205 L
.3188 .89225 L
.31601 .89233 L
.31339 .89239 L
.31063 .89244 L
.30917 .89246 L
.30758 .89247 L
.30613 .89248 L
.3054 .89249 L
.30497 .89249 L
.30459 .89249 L
.30389 .89249 L
.30315 .8925 L
.30249 .89249 L
.30179 .89249 L
.30139 .89249 L
.30103 .89249 L
.30021 .89249 L
.29946 .89248 L
.29874 .89248 L
.29713 .89246 L
.29538 .89244 L
.2924 .89238 L
.28921 .8923 L
.28344 .89209 L
.27772 .8918 L
.27148 .89139 L
.25999 .89038 L
.24636 .88869 L
Mistroke
.23309 .8865 L
.20823 .88073 L
Mfstroke
.55 .88333 m
.54329 .88381 L
.53547 .88443 L
.5276 .8851 L
.51951 .88586 L
.5103 .88679 L
.50081 .88782 L
.48997 .88907 L
.47875 .89044 L
.46717 .89191 L
.45393 .89365 L
.44021 .89548 L
.42605 .89736 L
.40983 .89945 L
.39304 .90151 L
.37381 .90362 L
.35386 .90546 L
.34324 .90625 L
.33327 .90685 L
.32796 .90712 L
.32212 .90736 L
.31886 .90747 L
.31584 .90755 L
.31294 .90762 L
.31134 .90765 L
.30981 .90767 L
.30835 .90769 L
.30676 .90771 L
.30605 .90772 L
.3053 .90772 L
.30465 .90772 L
.30395 .90773 L
.30324 .90773 L
.3026 .90773 L
.30197 .90773 L
.30132 .90773 L
.3006 .90773 L
.29992 .90773 L
.29918 .90772 L
.29839 .90772 L
.29674 .9077 L
.29495 .90768 L
.29324 .90766 L
.29167 .90763 L
.28866 .90755 L
.28545 .90745 L
.27941 .9072 L
.27281 .90684 L
.26065 .90588 L
.25379 .90516 L
Mistroke
.2462 .90422 L
.23212 .90203 L
.21799 .89917 L
.20265 .89527 L
.17146 .88434 L
.14342 .87038 L
Mfstroke
.55 .9 m
.54224 .90053 L
.53317 .90122 L
.52402 .90198 L
.5146 .90284 L
.50385 .9039 L
.49274 .90509 L
.48003 .90653 L
.46684 .9081 L
.45318 .90979 L
.43754 .91175 L
.42129 .91378 L
.40447 .91581 L
.38519 .91798 L
.36519 .91995 L
.35446 .92085 L
.34228 .92172 L
.33648 .92207 L
.33018 .9224 L
.32416 .92266 L
.31853 .92286 L
.31548 .92294 L
.3121 .92302 L
.30868 .92308 L
.30679 .9231 L
.30594 .92311 L
.30502 .92312 L
.30415 .92312 L
.30334 .92313 L
.30256 .92313 L
.30173 .92313 L
.301 .92313 L
.3003 .92313 L
.29954 .92313 L
.29871 .92313 L
.29788 .92312 L
.29698 .92311 L
.29514 .9231 L
.29343 .92308 L
.29184 .92305 L
.28847 .92298 L
.28478 .92287 L
.27802 .92261 L
.27133 .92225 L
.26507 .92181 L
.25164 .92056 L
.23646 .91855 L
.2218 .91597 L
.20569 .91232 L
.19016 .9079 L
Mistroke
.17298 .90186 L
.1408 .88673 L
.10789 .86487 L
.08068 .84035 L
Mfstroke
.55 .91667 m
.54113 .91725 L
.53075 .91801 L
.52025 .91887 L
.50942 .91984 L
.49703 .92104 L
.48419 .92238 L
.46948 .92401 L
.45416 .92579 L
.43827 .92767 L
.42002 .92983 L
.40103 .93199 L
.38134 .93406 L
.35874 .93609 L
.34774 .93691 L
.33528 .93767 L
.32834 .93801 L
.32177 .93827 L
.31538 .93847 L
.31175 .93855 L
.31018 .93858 L
.30844 .9386 L
.30685 .93862 L
.30513 .93864 L
.30418 .93865 L
.30331 .93866 L
.30244 .93866 L
.30161 .93866 L
.30084 .93866 L
.30003 .93866 L
.29933 .93866 L
.29856 .93866 L
.29773 .93866 L
.29684 .93866 L
.29599 .93865 L
.29522 .93864 L
.29346 .93862 L
.29182 .9386 L
.28807 .93853 L
.28439 .93844 L
.28042 .9383 L
.27295 .93797 L
.26472 .93745 L
.25682 .93681 L
.24942 .93607 L
.23478 .93419 L
.21826 .93133 L
.20233 .92776 L
.18487 .92281 L
.16811 .91692 L
Mistroke
.14963 .90896 L
.11535 .88932 L
.08084 .86142 L
.04928 .82591 L
.02402 .78749 L
Mfstroke
.56667 .08333 m
.55271 .08141 L
.53789 .07946 L
.52435 .0778 L
.51168 .07637 L
.49858 .07503 L
.48635 .07392 L
.47375 .07292 L
.46202 .07212 L
.45109 .07148 L
.43986 .07092 L
.42942 .07048 L
.41972 .07012 L
.40974 .06978 L
.40049 .06946 L
.39099 .06912 L
.38217 .06875 L
.37398 .06833 L
.36556 .0678 L
.35773 .06717 L
.34968 .06636 L
.34218 .06541 L
.33518 .06432 L
.32794 .06295 L
.32151 .06148 L
s
.56667 .1 m
.55397 .09812 L
.54046 .0962 L
.52808 .09455 L
.51647 .09311 L
.50443 .09174 L
.49316 .09058 L
.48152 .08953 L
.47064 .08866 L
.46049 .08797 L
.45003 .08735 L
.44028 .08686 L
.43121 .08648 L
.42185 .08613 L
.41315 .08583 L
.40421 .08554 L
.3959 .08527 L
.38816 .08498 L
.38021 .08463 L
.3728 .08424 L
.36519 .08373 L
.35809 .08314 L
.35147 .08245 L
.34464 .08157 L
.33857 .08063 L
s
.56667 .11667 m
.55519 .11483 L
.54294 .11294 L
.53169 .1113 L
.52111 .10985 L
.51011 .10845 L
.49978 .10726 L
.48909 .10615 L
.47907 .10522 L
.46969 .10446 L
.46 .10377 L
.45095 .10322 L
.4425 .10279 L
.43377 .1024 L
.42563 .10209 L
.41725 .10181 L
.40943 .10157 L
.40216 .10135 L
.39466 .10111 L
.38767 .10086 L
.38048 .10055 L
.37378 .1002 L
.36753 .09979 L
.36108 .09927 L
.35535 .09871 L
s
.56667 .13333 m
.55636 .13154 L
.54533 .12968 L
.53518 .12805 L
.5256 .1266 L
.51562 .12518 L
.50622 .12395 L
.49646 .12278 L
.48729 .12179 L
.47868 .12096 L
.46976 .1202 L
.4614 .11958 L
.45358 .11907 L
.44547 .11862 L
.4379 .11826 L
.43008 .11795 L
.42278 .1177 L
.41596 .11749 L
.40893 .11729 L
.40236 .11711 L
.39559 .11692 L
.38928 .11671 L
.38338 .11649 L
.3773 .1162 L
.3719 .1159 L
s
.56667 .15 m
.55749 .14825 L
.54764 .14642 L
.53855 .14481 L
.52995 .14335 L
.52096 .14192 L
.51247 .14065 L
.50363 .13944 L
.4953 .13838 L
.48745 .13748 L
.4793 .13664 L
.47163 .13593 L
.46444 .13535 L
.45697 .13482 L
.44997 .13439 L
.44272 .13401 L
.43593 .13371 L
.42958 .13347 L
.42301 .13326 L
.41687 .13309 L
.41053 .13293 L
.4046 .13279 L
.39905 .13266 L
.39333 .13251 L
.38824 .13236 L
s
.56667 .16667 m
.55857 .16495 L
.54986 .16316 L
.54179 .16157 L
.53414 .16011 L
.52612 .15867 L
.51852 .15737 L
.51059 .15611 L
.50308 .155 L
.496 .15403 L
.48861 .1531 L
.48164 .15231 L
.47508 .15164 L
.46825 .15102 L
.46182 .1505 L
.45515 .15003 L
.44889 .14965 L
.44301 .14934 L
.43692 .14907 L
.4312 .14886 L
.42529 .14868 L
.41975 .14854 L
.41456 .14843 L
.40919 .14833 L
.40442 .14824 L
s
.56667 .18333 m
.55961 .18166 L
.552 .17991 L
.54492 .17833 L
.53819 .17688 L
.53111 .17543 L
.52438 .17411 L
.51733 .1728 L
.51064 .17164 L
.50431 .1706 L
.49768 .1696 L
.49141 .16872 L
.48548 .16796 L
.47929 .16723 L
.47345 .16661 L
.46737 .16603 L
.46164 .16555 L
.45625 .16515 L
.45064 .16479 L
.44536 .1645 L
.43989 .16425 L
.43475 .16405 L
.42992 .1639 L
.42491 .16378 L
.42045 .16369 L
s
.56667 .2 m
.56061 .19837 L
.55404 .19666 L
.54792 .1951 L
.54208 .19366 L
.53592 .1922 L
.53004 .19086 L
.52386 .18952 L
.51797 .1883 L
.51238 .18721 L
.50651 .18613 L
.50093 .18516 L
.49564 .18431 L
.4901 .18348 L
.48485 .18275 L
.47936 .18206 L
.47418 .18146 L
.46928 .18095 L
.46417 .18048 L
.45934 .18008 L
.45432 .17972 L
.44959 .17942 L
.44513 .17918 L
.44049 .17898 L
.43635 .17882 L
s
.56667 .21667 m
.56156 .21508 L
.556 .2134 L
.5508 .21187 L
.54582 .21044 L
.54054 .20898 L
.53549 .20763 L
.53016 .20625 L
.52507 .205 L
.5202 .20385 L
.51508 .2027 L
.51019 .20165 L
.50554 .20071 L
.50065 .19978 L
.496 .19895 L
.49112 .19813 L
.48649 .19741 L
.48209 .19678 L
.47749 .19617 L
.47313 .19564 L
.46858 .19514 L
.46427 .19472 L
.4602 .19436 L
.45595 .19403 L
.45214 .19377 L
s
.56667 .23333 m
.56246 .23179 L
.55787 .23015 L
.55355 .22865 L
.54939 .22723 L
.54498 .22577 L
.54073 .22441 L
.53623 .22302 L
.53191 .22172 L
.52777 .22053 L
.52338 .21931 L
.51919 .21819 L
.51517 .21717 L
.51093 .21614 L
.50689 .2152 L
.50262 .21427 L
.49855 .21342 L
.49468 .21267 L
.4906 .21192 L
.48672 .21125 L
.48266 .2106 L
.47879 .21003 L
.47512 .20952 L
.47128 .20904 L
.46782 .20864 L
s
.56667 .25 m
.56332 .24851 L
.55964 .2469 L
.55617 .24542 L
.55281 .24403 L
.54922 .24258 L
.54576 .24121 L
.54206 .2398 L
.5385 .23848 L
.53507 .23724 L
.53141 .23597 L
.5279 .23479 L
.52452 .2337 L
.52094 .23258 L
.5175 .23154 L
.51385 .23049 L
.51036 .22953 L
.50702 .22865 L
.50348 .22776 L
.5001 .22695 L
.49654 .22614 L
.49314 .2254 L
.48989 .22475 L
.48647 .22409 L
.48338 .22354 L
s
.56667 .26667 m
.56413 .26522 L
.56133 .26365 L
.55866 .2622 L
.55607 .26083 L
.55328 .25939 L
.55056 .25803 L
.54765 .2566 L
.54483 .25526 L
.54209 .254 L
.53916 .25268 L
.53632 .25145 L
.53357 .25029 L
.53064 .24909 L
.52781 .24797 L
.5248 .24682 L
.52189 .24574 L
.51909 .24474 L
.51611 .24372 L
.51325 .24277 L
.51021 .24181 L
.50729 .24092 L
.50449 .2401 L
.50152 .23927 L
.49882 .23855 L
s
.56667 .28333 m
.5649 .28193 L
.56292 .28041 L
.56102 .27899 L
.55916 .27764 L
.55713 .27621 L
.55515 .27486 L
.553 .27343 L
.55089 .27208 L
.54882 .27079 L
.5466 .26944 L
.54443 .26816 L
.54231 .26696 L
.54003 .26569 L
.53781 .2645 L
.53543 .26325 L
.53312 .26208 L
.53087 .26098 L
.52846 .25984 L
.52613 .25876 L
.52364 .25765 L
.52123 .25661 L
.51889 .25564 L
.51641 .25464 L
.51413 .25375 L
s
.56667 .3 m
.56562 .29864 L
.56443 .29716 L
.56326 .29578 L
.56208 .29445 L
.56079 .29305 L
.5595 .2917 L
.55808 .29028 L
.55667 .28892 L
.55527 .28762 L
.55373 .28625 L
.55222 .28494 L
.55072 .28369 L
.54909 .28238 L
.54748 .28113 L
.54574 .27981 L
.54402 .27856 L
.54234 .27737 L
.54052 .27612 L
.53873 .27494 L
.53681 .2737 L
.53492 .27253 L
.53308 .27142 L
.5311 .27027 L
.52927 .26923 L
s
.56667 .31667 m
.5663 .31535 L
.56584 .31391 L
.56535 .31256 L
.56484 .31127 L
.56424 .30989 L
.56362 .30856 L
.5629 .30715 L
.56216 .30579 L
.5614 .30449 L
.56054 .30311 L
.55967 .30178 L
.55878 .30051 L
.5578 .29916 L
.5568 .29786 L
.55569 .29649 L
.55458 .29518 L
.55347 .29392 L
.55224 .2926 L
.55102 .29133 L
.54968 .28999 L
.54835 .28871 L
.54702 .28749 L
.54558 .2862 L
.54422 .28504 L
s
.56667 .33333 m
.56693 .33206 L
.56716 .33067 L
.56725 .32999 L
.56732 .32936 L
.56738 .32871 L
.56743 .32809 L
.56745 .32776 L
.56747 .32741 L
.56748 .32709 L
.56749 .32679 L
.5675 .32647 L
.5675 .3263 L
.5675 .32621 L
.5675 .32612 L
.5675 .32608 L
.5675 .32603 L
.5675 .32599 L
.5675 .32595 L
.5675 .32592 L
.5675 .3259 L
.5675 .32587 L
.5675 .32585 L
.5675 .32581 L
.5675 .32578 L
.5675 .32576 L
.5675 .32574 L
.5675 .32572 L
.5675 .32567 L
.5675 .32563 L
.5675 .32559 L
.5675 .32551 L
.5675 .32542 L
.5675 .32525 L
.5675 .3251 L
.56749 .32476 L
.56748 .32446 L
.56746 .32415 L
.56742 .32348 L
.56738 .32286 L
.56724 .32154 L
.56704 .32014 L
.56679 .31879 L
.56651 .31748 L
.56615 .31609 L
.56575 .31475 L
.56532 .31346 L
.56481 .31209 L
.56428 .31077 L
.56365 .30936 L
Mistroke
.563 .30801 L
.56232 .30671 L
.56155 .30534 L
.56076 .30401 L
.55988 .30261 L
.55897 .30126 L
.55895 .30122 L
Mfstroke
.56667 .35 m
.56751 .34877 L
.56838 .34743 L
.56915 .34615 L
.56984 .34492 L
.57053 .34359 L
.57114 .34231 L
.57174 .34094 L
.57226 .33961 L
.57271 .33833 L
.57314 .33695 L
.57351 .33563 L
.57381 .33434 L
.57407 .33297 L
.57427 .33165 L
.57436 .33097 L
.57444 .33023 L
.57449 .32951 L
.57454 .32886 L
.57455 .32851 L
.57456 .32818 L
.57457 .32784 L
.57458 .32764 L
.57458 .32755 L
.57458 .32746 L
.57458 .32738 L
.57458 .3273 L
.57458 .32725 L
.57458 .32721 L
.57458 .32717 L
.57458 .32712 L
.57458 .32709 L
.57458 .32705 L
.57458 .32701 L
.57458 .32697 L
.57458 .32693 L
.57458 .32689 L
.57458 .32685 L
.57458 .32681 L
.57458 .32671 L
.57458 .32663 L
.57458 .32646 L
.57458 .32628 L
.57457 .32609 L
.57456 .32576 L
.57455 .3254 L
.57451 .32467 L
.57445 .32399 L
.57438 .32326 L
.5742 .32182 L
Mistroke
.57397 .32043 L
.57369 .31909 L
.57339 .31783 L
Mfstroke
.56667 .36667 m
.56805 .36549 L
.56951 .36418 L
.57084 .36295 L
.57208 .36175 L
.57335 .36046 L
.57453 .3592 L
.57573 .35786 L
.57685 .35656 L
.57787 .35529 L
.57891 .35394 L
.57986 .35263 L
.58073 .35136 L
.5816 .35 L
.58239 .34869 L
.58317 .34728 L
.58387 .34592 L
.5845 .34461 L
.5851 .3432 L
.58564 .34184 L
.58614 .34039 L
.58657 .33899 L
.58693 .33764 L
.58726 .33619 L
.5875 .33486 L
s
.56667 .38333 m
.56854 .3822 L
.57055 .38094 L
.57239 .37975 L
.57414 .37858 L
.57595 .37733 L
.57766 .37611 L
.57944 .3748 L
.58111 .37352 L
.58268 .37229 L
.5843 .37096 L
.58581 .36968 L
.58723 .36843 L
.58869 .3671 L
.59005 .36582 L
.59144 .36444 L
.59274 .36311 L
.59394 .36182 L
.59516 .36045 L
.59629 .35913 L
.59743 .35771 L
.59847 .35635 L
.59943 .35503 L
.60039 .35363 L
.60121 .35234 L
s
.56667 .4 m
.56898 .39891 L
.57149 .3977 L
.57381 .39655 L
.57602 .39542 L
.57834 .3942 L
.58054 .39302 L
.58285 .39175 L
.58504 .39051 L
.58712 .38931 L
.58929 .38802 L
.59135 .38677 L
.59329 .38556 L
.59532 .38427 L
.59723 .38303 L
.59922 .3817 L
.6011 .38042 L
.60286 .37919 L
.6047 .37787 L
.60642 .37661 L
.6082 .37527 L
.60986 .37399 L
.61142 .37275 L
.61303 .37144 L
.61446 .37025 L
s
.56667 .41667 m
.56938 .41562 L
.57233 .41446 L
.57508 .41335 L
.57771 .41226 L
.5805 .41109 L
.58316 .40994 L
.58596 .40871 L
.58864 .40751 L
.59119 .40635 L
.59389 .4051 L
.59645 .4039 L
.59889 .40274 L
.60147 .4015 L
.60391 .40031 L
.60648 .39905 L
.60892 .39784 L
.61124 .39668 L
.61367 .39545 L
.61597 .39428 L
.61839 .39305 L
.62068 .39188 L
.62285 .39077 L
.62512 .3896 L
.62716 .38855 L
s
.56667 .43333 m
.56973 .43234 L
.57308 .43122 L
.57621 .43015 L
.57923 .42911 L
.58243 .42797 L
.5855 .42687 L
.58876 .42568 L
.59189 .42452 L
.59488 .4234 L
.59806 .42221 L
.6011 .42106 L
.60402 .41995 L
.6071 .41877 L
.61005 .41765 L
.61317 .41647 L
.61616 .41534 L
.61901 .41427 L
.62203 .41316 L
.62491 .4121 L
.62795 .41101 L
.63085 .40999 L
.63363 .40904 L
.63656 .40807 L
.63922 .40722 L
s
.56667 .45 m
.57004 .44905 L
.57373 .44798 L
.5772 .44696 L
.58055 .44595 L
.58412 .44486 L
.58757 .4438 L
.59124 .44266 L
.59477 .44155 L
.59818 .44048 L
.6018 .43934 L
.60529 .43824 L
.60864 .43719 L
.61221 .43609 L
.61563 .43504 L
.61928 .43394 L
.62278 .43292 L
.62615 .43195 L
.62972 .43096 L
.63316 .43005 L
.63681 .42912 L
.64032 .42829 L
.64369 .42753 L
.64728 .42679 L
.65055 .42617 L
s
.56667 .46667 m
.57029 .46576 L
.57428 .46475 L
.57804 .46377 L
.58169 .4628 L
.58559 .46176 L
.58936 .46074 L
.59339 .45965 L
.59729 .45859 L
.60106 .45756 L
.60509 .45648 L
.60898 .45544 L
.61274 .45446 L
.61675 .45343 L
.62062 .45246 L
.62475 .45146 L
.62874 .45054 L
.63259 .44969 L
.6367 .44884 L
.64067 .44808 L
.6449 .44734 L
.649 .4467 L
.65295 .44617 L
.65718 .44569 L
.66106 .44535 L
s
.56667 .48333 m
.5705 .48248 L
.57473 .48151 L
.57874 .48058 L
.58263 .47966 L
.58681 .47866 L
.59086 .47768 L
.59521 .47664 L
.59943 .47563 L
.60353 .47466 L
.60791 .47363 L
.61217 .47266 L
.61629 .47174 L
.6207 .47078 L
.62498 .4699 L
.62956 .469 L
.634 .46819 L
.63831 .46747 L
.64292 .46676 L
.64739 .46616 L
.65217 .46562 L
.65682 .4652 L
.66133 .4649 L
.66368 .46479 L
.66487 .46474 L
.66617 .46471 L
.66675 .46469 L
.66729 .46468 L
.66779 .46467 L
.66832 .46467 L
.66859 .46466 L
.6689 .46466 L
.66917 .46466 L
.66943 .46466 L
.66958 .46466 L
.66973 .46466 L
.66986 .46466 L
.67001 .46466 L
.67017 .46466 L
.67025 .46466 L
.67033 .46466 L
.67049 .46466 L
.67064 .46466 L
s
.56667 .5 m
.57067 .49919 L
.57509 .49827 L
.57929 .49739 L
.58338 .49651 L
.58779 .49556 L
.59208 .49463 L
.59669 .49364 L
.60119 .49268 L
.60556 .49176 L
.61026 .49079 L
.61483 .48988 L
.61927 .48903 L
.62404 .48815 L
.62868 .48735 L
.63367 .48655 L
.63852 .48585 L
.64324 .48525 L
.64831 .48469 L
.65324 .48425 L
.65578 .48407 L
.65854 .48391 L
.66122 .48379 L
.6625 .48374 L
.66371 .48371 L
.66489 .48368 L
.66555 .48367 L
.66615 .48366 L
.66682 .48365 L
.66719 .48365 L
.66737 .48365 L
.66754 .48365 L
.6677 .48365 L
.66784 .48365 L
.66801 .48365 L
.66809 .48365 L
.66818 .48365 L
.66835 .48365 L
.6685 .48365 L
.66868 .48365 L
.66877 .48365 L
.66886 .48365 L
.66916 .48365 L
.66934 .48365 L
.6695 .48365 L
.67017 .48366 L
.67076 .48366 L
.67139 .48367 L
.67283 .48371 L
.67415 .48375 L
Mistroke
.67654 .48385 L
.67918 .484 L
Mfstroke
.56667 .51667 m
.57078 .5159 L
.57534 .51504 L
.57969 .5142 L
.58394 .51337 L
.58852 .51247 L
.593 .51159 L
.59782 .51064 L
.60254 .50973 L
.60714 .50887 L
.6121 .50796 L
.61694 .50711 L
.62165 .50632 L
.62674 .50552 L
.6317 .5048 L
.63704 .5041 L
.64225 .5035 L
.64734 .50301 L
.6502 .50278 L
.65282 .5026 L
.65559 .50244 L
.65816 .50232 L
.66082 .50222 L
.66223 .50219 L
.66301 .50217 L
.66372 .50216 L
.6644 .50215 L
.66505 .50215 L
.6654 .50215 L
.66573 .50214 L
.6659 .50214 L
.666 .50214 L
.66609 .50214 L
.66618 .50214 L
.66629 .50214 L
.66647 .50214 L
.66662 .50214 L
.66678 .50214 L
.66693 .50214 L
.66707 .50214 L
.66723 .50214 L
.66741 .50215 L
.66773 .50215 L
.66807 .50215 L
.66842 .50215 L
.66906 .50216 L
.66976 .50217 L
.6704 .50218 L
.67184 .50222 L
.67319 .50226 L
Mistroke
.67447 .50232 L
.67733 .50247 L
.68001 .50265 L
.68578 .5032 L
.68657 .50329 L
Mfstroke
.56667 .53333 m
.57085 .53262 L
.5755 .5318 L
.57994 .53101 L
.58429 .53023 L
.589 .52937 L
.59361 .52854 L
.5986 .52765 L
.60348 .52679 L
.60826 .52598 L
.61343 .52512 L
.61849 .52433 L
.62342 .5236 L
.62877 .52287 L
.63399 .52223 L
.63963 .52162 L
.64515 .52112 L
.65055 .52074 L
.65336 .52058 L
.65639 .52045 L
.65788 .5204 L
.6595 .52036 L
.66025 .52034 L
.66104 .52033 L
.66178 .52032 L
.66246 .52031 L
.66281 .5203 L
.66318 .5203 L
.66354 .5203 L
.66386 .5203 L
.66404 .5203 L
.66421 .5203 L
.66439 .5203 L
.6645 .5203 L
.66459 .5203 L
.66477 .5203 L
.66488 .5203 L
.66497 .5203 L
.66516 .5203 L
.66527 .5203 L
.66537 .5203 L
.66572 .5203 L
.66604 .5203 L
.66677 .52031 L
.66742 .52032 L
.66811 .52033 L
.66952 .52036 L
.67105 .5204 L
.67383 .52051 L
.67707 .52069 L
Mistroke
.68018 .52091 L
.68617 .52151 L
.69267 .5224 L
.6927 .52241 L
Mfstroke
.56667 .55 m
.57087 .54933 L
.57555 .54857 L
.58004 .54782 L
.58444 .54709 L
.58922 .54628 L
.59392 .5455 L
.599 .54466 L
.60401 .54385 L
.60891 .54309 L
.61422 .54229 L
.61944 .54155 L
.62455 .54088 L
.63009 .54022 L
.63552 .53964 L
.6414 .53911 L
.64718 .5387 L
.65013 .53853 L
.65283 .5384 L
.65578 .5383 L
.65742 .53826 L
.65815 .53824 L
.65896 .53823 L
.65968 .53822 L
.66046 .53821 L
.66088 .5382 L
.66127 .5382 L
.66146 .5382 L
.66167 .5382 L
.66186 .5382 L
.66204 .5382 L
.6622 .5382 L
.66238 .5382 L
.66257 .5382 L
.66275 .5382 L
.66293 .5382 L
.66313 .5382 L
.66333 .5382 L
.66352 .5382 L
.66387 .5382 L
.66418 .5382 L
.66489 .53821 L
.66565 .53822 L
.66645 .53823 L
.66788 .53826 L
.66944 .5383 L
.67116 .53836 L
.67425 .53851 L
.67761 .53872 L
.68105 .539 L
Mistroke
.68436 .53933 L
.69074 .54015 L
.69745 .54127 L
Mfstroke
.56667 .56667 m
.57084 .56605 L
.5755 .56533 L
.57998 .56464 L
.58439 .56395 L
.58919 .5632 L
.59391 .56246 L
.59904 .56167 L
.6041 .56092 L
.60907 .5602 L
.61447 .55946 L
.61979 .55877 L
.62501 .55815 L
.63068 .55754 L
.63626 .55702 L
.64231 .55656 L
.64539 .55637 L
.64827 .55621 L
.65127 .55609 L
.65412 .556 L
.65565 .55596 L
.65646 .55595 L
.65731 .55593 L
.65804 .55592 L
.65842 .55592 L
.65884 .55592 L
.65921 .55591 L
.65956 .55591 L
.65973 .55591 L
.65991 .55591 L
.66007 .55591 L
.66024 .55591 L
.66043 .55591 L
.66061 .55591 L
.6608 .55591 L
.66101 .55591 L
.66119 .55591 L
.66138 .55591 L
.66156 .55591 L
.66173 .55591 L
.66214 .55591 L
.66258 .55591 L
.66338 .55592 L
.66423 .55593 L
.66513 .55595 L
.66676 .55598 L
.66829 .55603 L
.66994 .55609 L
.67295 .55623 L
.67646 .55645 L
Mistroke
.67984 .55673 L
.68637 .55742 L
.69348 .55844 L
.70049 .55974 L
.70072 .55978 L
Mfstroke
.56667 .58333 m
.57076 .58276 L
.57535 .5821 L
.57977 .58146 L
.58413 .58081 L
.58889 .58011 L
.59358 .57943 L
.59869 .57869 L
.60375 .57798 L
.60872 .57731 L
.61415 .57662 L
.6195 .57598 L
.62477 .5754 L
.63051 .57485 L
.63616 .57437 L
.64232 .57396 L
.64545 .5738 L
.64839 .57367 L
.65126 .57358 L
.65289 .57354 L
.65436 .57351 L
.65514 .57349 L
.65596 .57348 L
.65666 .57348 L
.65705 .57347 L
.65743 .57347 L
.65763 .57347 L
.65786 .57347 L
.65807 .57347 L
.65827 .57347 L
.65845 .57347 L
.65864 .57347 L
.65885 .57347 L
.65904 .57347 L
.65925 .57347 L
.65936 .57347 L
.65948 .57347 L
.65988 .57347 L
.6601 .57347 L
.66034 .57347 L
.66078 .57348 L
.66165 .57349 L
.66245 .5735 L
.66426 .57353 L
.66587 .57357 L
.66759 .57363 L
.67086 .57377 L
.67396 .57395 L
.68063 .5745 L
.68435 .5749 L
Mistroke
.68791 .57535 L
.69483 .57642 L
.70237 .57789 L
Mfstroke
.56667 .6 m
.57064 .59947 L
.5751 .59887 L
.5794 .59827 L
.58366 .59768 L
.58832 .59703 L
.59292 .59639 L
.59796 .59571 L
.60294 .59505 L
.60786 .59443 L
.61324 .59378 L
.61856 .59319 L
.62381 .59265 L
.62954 .59213 L
.6352 .5917 L
.63813 .59151 L
.64137 .59132 L
.64456 .59117 L
.64748 .59106 L
.64896 .59102 L
.65056 .59098 L
.65145 .59096 L
.65227 .59095 L
.65305 .59094 L
.65389 .59093 L
.65431 .59092 L
.65471 .59092 L
.6551 .59092 L
.65546 .59091 L
.6558 .59091 L
.65597 .59091 L
.65616 .59091 L
.65635 .59091 L
.65655 .59091 L
.65675 .59091 L
.65692 .59091 L
.65712 .59091 L
.65733 .59091 L
.65752 .59091 L
.6577 .59091 L
.65814 .59091 L
.65856 .59092 L
.65939 .59092 L
.66029 .59094 L
.66185 .59096 L
.66357 .591 L
.66539 .59106 L
.66709 .59112 L
.67054 .59129 L
.67372 .59149 L
Mistroke
.68068 .5921 L
.68756 .59293 L
.69507 .59412 L
.7023 .59556 L
Mfstroke
.56667 .61667 m
.57047 .61619 L
.57474 .61564 L
.57888 .61509 L
.58298 .61455 L
.58748 .61395 L
.59194 .61337 L
.59682 .61273 L
.60167 .61212 L
.60647 .61154 L
.61173 .61094 L
.61694 .61039 L
.62209 .60989 L
.62774 .6094 L
.63332 .60899 L
.63622 .60881 L
.63943 .60864 L
.64259 .6085 L
.64549 .6084 L
.64695 .60836 L
.64855 .60832 L
.64943 .6083 L
.65025 .60829 L
.65103 .60828 L
.65186 .60827 L
.65228 .60826 L
.65267 .60826 L
.65306 .60826 L
.65342 .60826 L
.65376 .60826 L
.65393 .60826 L
.65412 .60826 L
.6543 .60826 L
.65451 .60826 L
.6547 .60826 L
.65488 .60826 L
.65507 .60826 L
.65528 .60826 L
.65548 .60826 L
.65565 .60826 L
.65609 .60826 L
.65651 .60826 L
.65733 .60827 L
.65823 .60828 L
.65979 .60831 L
.66151 .60835 L
.66332 .6084 L
.66502 .60846 L
.66847 .60863 L
.67165 .60882 L
Mistroke
.67863 .60941 L
.68553 .61021 L
.69309 .61136 L
.70036 .61276 L
Mfstroke
.56667 .63333 m
.57024 .6329 L
.57428 .63241 L
.5782 .63191 L
.58208 .63142 L
.58636 .63088 L
.59061 .63034 L
.59527 .62976 L
.59992 .6292 L
.60453 .62867 L
.60959 .62811 L
.61461 .62759 L
.6196 .62712 L
.62507 .62666 L
.63049 .62627 L
.63644 .62593 L
.63949 .62579 L
.64236 .62568 L
.64517 .62561 L
.64676 .62557 L
.64821 .62555 L
.64897 .62554 L
.64978 .62553 L
.65047 .62552 L
.65086 .62552 L
.65123 .62552 L
.65143 .62552 L
.65165 .62552 L
.65176 .62552 L
.65186 .62552 L
.65206 .62552 L
.65224 .62552 L
.65242 .62552 L
.65261 .62552 L
.65282 .62552 L
.65303 .62552 L
.65325 .62552 L
.65371 .62552 L
.65414 .62552 L
.65454 .62553 L
.65535 .62554 L
.65623 .62555 L
.65784 .62557 L
.65942 .62561 L
.66089 .62565 L
.66401 .62577 L
.6675 .62595 L
.67083 .62616 L
.67446 .62645 L
.68182 .62722 L
Mistroke
.68912 .62824 L
.69636 .62952 L
.69642 .62953 L
Mfstroke
.56667 .65 m
.56997 .64962 L
.57371 .64918 L
.57735 .64874 L
.58097 .64829 L
.58496 .64781 L
.58893 .64732 L
.59331 .6468 L
.59768 .64629 L
.60202 .6458 L
.6068 .64528 L
.61156 .6448 L
.61629 .64436 L
.62149 .64392 L
.62667 .64354 L
.63236 .6432 L
.63527 .64306 L
.63802 .64294 L
.6409 .64285 L
.64365 .64278 L
.64513 .64275 L
.64591 .64274 L
.64674 .64273 L
.64745 .64272 L
.64782 .64272 L
.64822 .64272 L
.64859 .64272 L
.64893 .64271 L
.64909 .64271 L
.64927 .64271 L
.64944 .64271 L
.64959 .64271 L
.64977 .64271 L
.64997 .64271 L
.65013 .64271 L
.65031 .64271 L
.6505 .64271 L
.65061 .64271 L
.65071 .64271 L
.65108 .64271 L
.65143 .64272 L
.65181 .64272 L
.6525 .64272 L
.65331 .64273 L
.65418 .64274 L
.65575 .64277 L
.65726 .64281 L
.65889 .64285 L
.66188 .64297 L
.66539 .64314 L
Mistroke
.66877 .64336 L
.67537 .64392 L
.68261 .64477 L
.68981 .64585 L
.69033 .64594 L
Mfstroke
.56667 .66667 m
.56965 .66633 L
.57304 .66595 L
.57634 .66556 L
.57964 .66517 L
.58328 .66474 L
.58691 .66431 L
.59092 .66384 L
.59493 .66338 L
.59893 .66294 L
.60334 .66247 L
.60775 .66202 L
.61214 .66161 L
.61698 .66119 L
.6218 .66082 L
.62712 .66048 L
.63242 .6602 L
.63517 .66008 L
.6377 .66 L
.64049 .65992 L
.64205 .65989 L
.64275 .65988 L
.64352 .65987 L
.64421 .65986 L
.64495 .65985 L
.64536 .65985 L
.64573 .65985 L
.64612 .65985 L
.64647 .65985 L
.6468 .65984 L
.64696 .65984 L
.64714 .65984 L
.64733 .65984 L
.64752 .65984 L
.64771 .65984 L
.64788 .65984 L
.64804 .65984 L
.64819 .65984 L
.64854 .65985 L
.64887 .65985 L
.64923 .65985 L
.65003 .65985 L
.65078 .65986 L
.6516 .65987 L
.65247 .65989 L
.65395 .65991 L
.65559 .65996 L
.65865 .66006 L
.66199 .66021 L
.66544 .66042 L
Mistroke
.66877 .66066 L
.67527 .66127 L
.68192 .66209 L
Mfstroke
.56667 .68333 m
.56929 .68305 L
.57226 .68272 L
.57517 .68239 L
.57808 .68205 L
.5813 .68168 L
.58452 .6813 L
.58809 .68089 L
.59167 .68049 L
.59524 .68009 L
.5992 .67967 L
.60316 .67927 L
.60711 .67888 L
.61147 .67849 L
.61584 .67813 L
.62066 .67778 L
.62549 .67748 L
.6303 .67724 L
.63307 .67713 L
.63562 .67705 L
.63691 .67702 L
.63833 .67698 L
.63967 .67696 L
.64093 .67694 L
.64162 .67693 L
.64225 .67693 L
.64295 .67692 L
.64334 .67692 L
.64371 .67692 L
.64406 .67692 L
.64425 .67692 L
.64435 .67692 L
.64445 .67692 L
.64462 .67692 L
.6448 .67692 L
.64496 .67692 L
.64513 .67692 L
.64532 .67692 L
.64542 .67692 L
.64552 .67692 L
.64588 .67692 L
.64608 .67692 L
.6463 .67692 L
.6467 .67692 L
.6474 .67693 L
.64806 .67693 L
.64958 .67695 L
.65106 .67698 L
.65268 .67702 L
.65586 .67712 L
Mistroke
.65894 .67726 L
.66495 .67763 L
.671 .67815 L
Mfstroke
.56667 .7 m
.56887 .69976 L
.57138 .69949 L
.57384 .69921 L
.5763 .69893 L
.57903 .69862 L
.58177 .69831 L
.58482 .69796 L
.58787 .69761 L
.59094 .69727 L
.59434 .6969 L
.59775 .69654 L
.60116 .6962 L
.60494 .69584 L
.60873 .6955 L
.61293 .69515 L
.61714 .69484 L
.62135 .69457 L
.62602 .69432 L
.63069 .69413 L
.63332 .69405 L
.63454 .69402 L
.63585 .69399 L
.63707 .69397 L
.63842 .69395 L
.63902 .69394 L
.63966 .69394 L
.64027 .69393 L
.64083 .69393 L
.64113 .69393 L
.6413 .69393 L
.64146 .69393 L
.64163 .69393 L
.64172 .69393 L
.64181 .69393 L
.64196 .69393 L
.64214 .69393 L
.6423 .69393 L
.64244 .69393 L
.64261 .69393 L
.64277 .69393 L
.64305 .69393 L
.64336 .69393 L
.64369 .69393 L
.64406 .69393 L
.64481 .69394 L
.64551 .69395 L
.64617 .69395 L
.6476 .69398 L
.64897 .69401 L
Mistroke
.65158 .69408 L
.65442 .69419 L
.6571 .69432 L
.65734 .69433 L
Mfstroke
.56667 .71667 m
.5684 .71648 L
.57038 .71626 L
.57233 .71604 L
.57429 .71582 L
.57646 .71557 L
.57865 .71532 L
.58108 .71504 L
.58354 .71475 L
.586 .71447 L
.58874 .71416 L
.59149 .71386 L
.59426 .71357 L
.59733 .71325 L
.60042 .71294 L
.60385 .71262 L
.6073 .71232 L
.61076 .71204 L
.6146 .71176 L
.61846 .71151 L
.62274 .71128 L
.62704 .71109 L
.62907 .71103 L
.63135 .71096 L
.63365 .71091 L
.63492 .71089 L
.6355 .71089 L
.63613 .71088 L
.63675 .71087 L
.63733 .71087 L
.63789 .71087 L
.63817 .71087 L
.63832 .71087 L
.63848 .71087 L
.63862 .71087 L
.63876 .71087 L
.6389 .71087 L
.63902 .71087 L
.63917 .71087 L
.6393 .71087 L
.63946 .71087 L
.63961 .71087 L
.63974 .71087 L
.63987 .71087 L
.64012 .71087 L
.64038 .71087 L
.64067 .71087 L
s
.56667 .73333 m
.56789 .7332 L
.56928 .73304 L
.57066 .73288 L
.57204 .73271 L
.57359 .73253 L
.57515 .73234 L
.57688 .73213 L
.57864 .73192 L
.58041 .73171 L
.58238 .73147 L
.58437 .73124 L
.58637 .731 L
.5886 .73075 L
.59084 .7305 L
.59335 .73023 L
.59587 .72996 L
.59841 .72971 L
.60124 .72944 L
.60409 .72918 L
.60727 .72892 L
.61047 .72867 L
.61368 .72845 L
.61726 .72823 L
.62068 .72806 L
s
.56667 .75 m
.56732 .74991 L
.56807 .74981 L
.56882 .74971 L
.56957 .74961 L
.5704 .74949 L
.57125 .74938 L
.5722 .74924 L
.57317 .74911 L
.57414 .74898 L
.57523 .74883 L
.57633 .74868 L
.57744 .74853 L
.57868 .74836 L
.57994 .7482 L
.58134 .74801 L
.58276 .74783 L
.5842 .74765 L
.5858 .74745 L
.58743 .74725 L
.58924 .74703 L
.59107 .74682 L
.59292 .74662 L
.59499 .74639 L
.59697 .74619 L
s
.56667 .76667 m
.56671 .76663 L
.56675 .76659 L
.5668 .76655 L
.56685 .76651 L
.56691 .76647 L
.56697 .76643 L
.56703 .76638 L
.5671 .76634 L
.56718 .7663 L
.56726 .76625 L
.56734 .76621 L
.56743 .76616 L
.56753 .76612 L
.56763 .76607 L
.56775 .76602 L
.56787 .76597 L
.56799 .76592 L
.56812 .76587 L
.56826 .76582 L
.56842 .76576 L
.56859 .7657 L
.56875 .76565 L
.56894 .76559 L
.56912 .76553 L
s
.56667 .78333 m
.56604 .78335 L
.56532 .78336 L
.56461 .78339 L
.56389 .78341 L
.56309 .78345 L
.56228 .78349 L
.56136 .78354 L
.56044 .7836 L
.5595 .78366 L
.55845 .78374 L
.55738 .78383 L
.5563 .78392 L
.55508 .78403 L
.55385 .78414 L
.55247 .78428 L
.55106 .78443 L
.54964 .78458 L
.54803 .78477 L
.5464 .78496 L
.54457 .78519 L
.54271 .78543 L
.54081 .78569 L
.53867 .78598 L
.53661 .78628 L
s
.56667 .8 m
.56533 .80006 L
.56378 .80014 L
.56225 .80023 L
.5607 .80033 L
.55895 .80044 L
.55717 .80057 L
.55518 .80073 L
.55315 .8009 L
.55108 .80109 L
.54876 .80131 L
.54639 .80155 L
.54398 .80181 L
.54128 .80211 L
.53852 .80244 L
.53541 .80282 L
.53223 .80323 L
.529 .80367 L
.52535 .80418 L
.52162 .80473 L
.51741 .80537 L
.5131 .80604 L
.5087 .80676 L
.50372 .80759 L
.49888 .80842 L
s
.56667 .81667 m
.56456 .81678 L
.56213 .81692 L
.55971 .81708 L
.55725 .81725 L
.55448 .81745 L
.55165 .81768 L
.54847 .81795 L
.54522 .81825 L
.5419 .81858 L
.53816 .81897 L
.53434 .81939 L
.53044 .81985 L
.52604 .82039 L
.52154 .82097 L
.51646 .82166 L
.51124 .8224 L
.50591 .82319 L
.49987 .82411 L
.49368 .82509 L
.48666 .82623 L
.47943 .82744 L
.47201 .82871 L
.46359 .83017 L
.45537 .8316 L
s
.56667 .83333 m
.56375 .8335 L
.56036 .8337 L
.55699 .83392 L
.55355 .83417 L
.54967 .83447 L
.54571 .8348 L
.54123 .83521 L
.53663 .83565 L
.53194 .83614 L
.52663 .83672 L
.52118 .83735 L
.51562 .83804 L
.50932 .83886 L
.50285 .83974 L
.49551 .84078 L
.48796 .8419 L
.48021 .84308 L
.47141 .84446 L
.46234 .84591 L
.45202 .84758 L
.44135 .84931 L
.43038 .85107 L
.41786 .85304 L
.40562 .85489 L
s
.56667 .85 m
.56288 .85021 L
.55849 .85048 L
.55409 .85078 L
.5496 .8511 L
.54453 .85151 L
.53932 .85195 L
.53343 .8525 L
.52737 .8531 L
.52117 .85376 L
.51412 .85456 L
.50688 .85544 L
.49946 .85638 L
.49102 .85751 L
.48234 .85872 L
.47246 .86014 L
.46225 .86165 L
.45174 .86323 L
.43976 .86504 L
.42739 .8669 L
.41326 .86896 L
.39862 .87099 L
.38352 .87292 L
.3663 .87487 L
.34945 .87643 L
s
.56667 .86667 m
.56196 .86693 L
.55649 .86727 L
.55101 .86763 L
.5454 .86805 L
.53903 .86855 L
.5325 .86912 L
.52507 .86982 L
.51742 .8706 L
.50956 .87146 L
.50061 .8725 L
.49139 .87364 L
.4819 .87486 L
.47109 .87631 L
.45993 .87786 L
.44718 .87965 L
.43398 .88152 L
.42036 .88341 L
.40478 .88551 L
.38865 .88753 L
.37022 .88959 L
.35111 .89135 L
.34189 .89204 L
.33142 .89267 L
.3263 .89291 L
.32072 .89313 L
.31759 .89323 L
.31472 .8933 L
.3118 .89336 L
.31037 .89338 L
.30902 .8934 L
.3077 .89342 L
.30648 .89343 L
.30581 .89343 L
.30512 .89343 L
.30442 .89344 L
.30402 .89344 L
.30365 .89344 L
.3029 .89344 L
.30219 .89344 L
.30155 .89344 L
.30086 .89344 L
.3001 .89343 L
.29929 .89343 L
.29785 .89341 L
.2966 .8934 L
.29526 .89338 L
.29282 .89333 L
.2899 .89326 L
.28721 .89318 L
Mistroke
Mfstroke
.56667 .88333 m
.56099 .88365 L
.55439 .88405 L
.54775 .8845 L
.54093 .885 L
.53319 .88562 L
.52522 .88632 L
.51614 .88719 L
.50676 .88816 L
.49709 .88923 L
.48606 .89052 L
.47465 .89193 L
.46289 .89344 L
.44945 .89521 L
.43553 .89706 L
.4196 .89915 L
.40305 .90124 L
.38594 .90326 L
.36635 .90529 L
.34607 .90698 L
.33435 .90772 L
.32884 .908 L
.32291 .90825 L
.31734 .90844 L
.31413 .90852 L
.31112 .90858 L
.30968 .9086 L
.30832 .90862 L
.30708 .90863 L
.30575 .90864 L
.30506 .90865 L
.30431 .90865 L
.30361 .90865 L
.30296 .90866 L
.3022 .90866 L
.3015 .90866 L
.30073 .90866 L
.30034 .90866 L
.29991 .90865 L
.2991 .90865 L
.29835 .90865 L
.29664 .90863 L
.29513 .90861 L
.29353 .90859 L
.29074 .90853 L
.28764 .90845 L
.28431 .90834 L
.28071 .9082 L
.27412 .90785 L
.26743 .90739 L
Mistroke
.26002 .90675 L
.24624 .90517 L
.23376 .90327 L
.22019 .90063 L
Mfstroke
.56667 .9 m
.55998 .90037 L
.55216 .90084 L
.5443 .90136 L
.53621 .90195 L
.52699 .9027 L
.51748 .90354 L
.50662 .90459 L
.49536 .90576 L
.48374 .90706 L
.47044 .90862 L
.45664 .9103 L
.44238 .91208 L
.42603 .91412 L
.40907 .91619 L
.38961 .91842 L
.36937 .92047 L
.34843 .92221 L
.33705 .92295 L
.32447 .92356 L
.31813 .92378 L
.3145 .92387 L
.31114 .92394 L
.30816 .92399 L
.30646 .92401 L
.30486 .92402 L
.30399 .92403 L
.30317 .92403 L
.30243 .92404 L
.30162 .92404 L
.3012 .92404 L
.30074 .92404 L
.30026 .92404 L
.2998 .92404 L
.29899 .92403 L
.29854 .92403 L
.29812 .92403 L
.29728 .92402 L
.29648 .92402 L
.29499 .924 L
.29338 .92398 L
.29163 .92395 L
.28845 .92389 L
.2855 .92381 L
.27863 .92355 L
.27125 .92315 L
.2646 .92269 L
.25736 .92206 L
.24401 .92055 L
.22817 .91811 L
Mistroke
.21276 .91498 L
.18261 .90638 L
.16732 .90058 L
.15091 .8931 L
Mfstroke
.56667 .91667 m
.55891 .91709 L
.54982 .91763 L
.54066 .91823 L
.53121 .91892 L
.52042 .9198 L
.50926 .92079 L
.49649 .92203 L
.48321 .92342 L
.46947 .92494 L
.4537 .92676 L
.4373 .9287 L
.4203 .9307 L
.40078 .93292 L
.38048 .93504 L
.35717 .93711 L
.34482 .93799 L
.33292 .93868 L
.32684 .93896 L
.32101 .93919 L
.31774 .93929 L
.31417 .93938 L
.3109 .93945 L
.30786 .9395 L
.30619 .93952 L
.30466 .93953 L
.30381 .93954 L
.30289 .93954 L
.30201 .93955 L
.3012 .93955 L
.30045 .93955 L
.29975 .93955 L
.29898 .93955 L
.29814 .93955 L
.29731 .93955 L
.29644 .93954 L
.29487 .93953 L
.29314 .93951 L
.29127 .93948 L
.28789 .93942 L
.28384 .93931 L
.28013 .93918 L
.27282 .93885 L
.26599 .93843 L
.25837 .93784 L
.25018 .93705 L
.23487 .93511 L
.22019 .93263 L
.20355 .92899 L
.18805 .92474 L
Mistroke
.17052 .9188 L
.15408 .91201 L
.12098 .89409 L
.08746 .86868 L
.08318 .86479 L
Mfstroke
.58333 .08333 m
.56879 .08129 L
.55334 .07918 L
.53921 .07733 L
.52598 .07571 L
.51228 .07416 L
.49948 .07286 L
.48629 .07166 L
.47399 .07069 L
.46253 .06991 L
.45075 .06922 L
.43979 .06868 L
.4296 .06825 L
.41913 .06786 L
.40941 .06753 L
.39944 .06719 L
.39019 .06684 L
.3816 .06648 L
.37277 .06602 L
.36457 .06548 L
.35616 .06479 L
.34832 .06397 L
.34101 .06302 L
.33348 .06181 L
.32679 .06051 L
s
.58333 .1 m
.57008 .098 L
.55597 .09592 L
.54303 .09409 L
.53088 .09246 L
.51828 .09089 L
.50646 .08954 L
.49426 .08828 L
.48284 .08724 L
.47217 .08638 L
.46117 .08562 L
.45092 .08501 L
.44136 .08453 L
.43152 .0841 L
.42235 .08375 L
.41294 .08344 L
.40419 .08315 L
.39605 .08288 L
.38768 .08257 L
.37989 .08222 L
.37189 .08179 L
.36445 .08128 L
.35751 .08069 L
.35036 .07994 L
.34402 .07911 L
s
.58333 .11667 m
.57133 .11472 L
.55852 .11267 L
.54674 .11085 L
.53565 .10922 L
.52411 .10762 L
.51327 .10623 L
.50203 .10492 L
.49149 .1038 L
.48161 .10287 L
.4714 .10202 L
.46185 .10133 L
.45293 .10078 L
.44372 .10029 L
.43512 .0999 L
.42627 .09955 L
.41802 .09927 L
.41034 .09903 L
.40242 .09879 L
.39504 .09855 L
.38746 .09828 L
.3804 .09797 L
.37381 .09763 L
.36702 .09718 L
.36101 .0967 L
s
.58333 .13333 m
.57254 .13143 L
.56098 .12941 L
.55032 .12762 L
.54027 .12599 L
.52977 .12437 L
.51988 .12295 L
.50961 .12157 L
.49993 .12039 L
.49085 .11938 L
.48143 .11845 L
.47259 .11767 L
.46431 .11703 L
.45573 .11645 L
.44771 .11599 L
.43943 .11558 L
.43169 .11525 L
.42446 .115 L
.417 .11476 L
.41004 .11456 L
.40287 .11436 L
.39619 .11417 L
.38994 .11396 L
.38351 .11372 L
.3778 .11345 L
s
.58333 .15 m
.5737 .14814 L
.56335 .14616 L
.55379 .14439 L
.54474 .14276 L
.53527 .14113 L
.52631 .13968 L
.51698 .13825 L
.50817 .13701 L
.49987 .13592 L
.49124 .1349 L
.48311 .13402 L
.47548 .13329 L
.46755 .13261 L
.46011 .13205 L
.45241 .13156 L
.44519 .13116 L
.43843 .13084 L
.43144 .13056 L
.42489 .13034 L
.41814 .13014 L
.41183 .12997 L
.40593 .12983 L
.39984 .12968 L
.39444 .12954 L
s
.58333 .16667 m
.57482 .16485 L
.56564 .16291 L
.55713 .16116 L
.54906 .15954 L
.54059 .15791 L
.53255 .15643 L
.52415 .15496 L
.5162 .15365 L
.50868 .1525 L
.50083 .15138 L
.49342 .15042 L
.48644 .14958 L
.47916 .14879 L
.47231 .14813 L
.46519 .14752 L
.45851 .14702 L
.45223 .14661 L
.44571 .14624 L
.4396 .14595 L
.43328 .1457 L
.42735 .1455 L
.4218 .14535 L
.41606 .14521 L
.41095 .1451 L
s
.58333 .18333 m
.57589 .18156 L
.56784 .17967 L
.56036 .17794 L
.55323 .17633 L
.54573 .1747 L
.5386 .1732 L
.53111 .17169 L
.524 .17033 L
.51726 .16911 L
.51019 .16791 L
.5035 .16685 L
.49717 .16592 L
.49055 .16502 L
.4843 .16424 L
.47779 .16351 L
.47164 .16288 L
.46586 .16236 L
.45983 .16188 L
.45416 .16148 L
.44828 .16113 L
.44275 .16085 L
.43756 .16062 L
.43217 .16043 L
.42737 .16029 L
s
.58333 .2 m
.57691 .19827 L
.56995 .19642 L
.56346 .19472 L
.55725 .19313 L
.5507 .19149 L
.54444 .18998 L
.53786 .18845 L
.53158 .18704 L
.5256 .18577 L
.51931 .18449 L
.51334 .18334 L
.50767 .18231 L
.50172 .1813 L
.49608 .18041 L
.49017 .17954 L
.48459 .17879 L
.4793 .17814 L
.47379 .17752 L
.46858 .17699 L
.46315 .1765 L
.45803 .1761 L
.45321 .17577 L
.44819 .17547 L
.44371 .17524 L
s
.58333 .21667 m
.5779 .21498 L
.57198 .21317 L
.56643 .2115 L
.56112 .20993 L
.55548 .20831 L
.55009 .20679 L
.54438 .20523 L
.53892 .20379 L
.5337 .20246 L
.52819 .20112 L
.52293 .19989 L
.51792 .19878 L
.51264 .19766 L
.50762 .19665 L
.50234 .19566 L
.49732 .19477 L
.49256 .19398 L
.48757 .19321 L
.48283 .19254 L
.47788 .1919 L
.4732 .19134 L
.46876 .19087 L
.46413 .19042 L
.45998 .19006 L
s
.58333 .23333 m
.57883 .2317 L
.57391 .22993 L
.56928 .22829 L
.56483 .22674 L
.56008 .22513 L
.55552 .22361 L
.55067 .22204 L
.54601 .22057 L
.54154 .2192 L
.5368 .2178 L
.53226 .21651 L
.52791 .21531 L
.52331 .2141 L
.51891 .21299 L
.51427 .21187 L
.50984 .21085 L
.50561 .20993 L
.50116 .20901 L
.49692 .20818 L
.49247 .20737 L
.48824 .20665 L
.48421 .20601 L
.47999 .20539 L
.47619 .20488 L
s
.58333 .25 m
.57972 .24841 L
.57576 .24668 L
.572 .24508 L
.56838 .24356 L
.56449 .24196 L
.56074 .24045 L
.55673 .23887 L
.55286 .23739 L
.54913 .23599 L
.54515 .23454 L
.54132 .23319 L
.53763 .23193 L
.53371 .23063 L
.52994 .22942 L
.52595 .22819 L
.52211 .22705 L
.51844 .226 L
.51455 .22494 L
.51083 .22397 L
.5069 .22299 L
.50314 .2221 L
.49955 .22129 L
.49577 .22048 L
.49235 .21979 L
s
.58333 .26667 m
.58057 .26512 L
.57751 .26344 L
.5746 .26188 L
.57176 .26038 L
.56871 .25881 L
.56574 .25731 L
.56255 .25573 L
.55945 .25424 L
.55644 .25282 L
.55321 .25134 L
.55009 .24995 L
.54706 .24863 L
.54382 .24726 L
.5407 .24598 L
.53736 .24465 L
.53413 .2434 L
.53103 .24224 L
.52772 .24104 L
.52453 .23993 L
.52115 .23879 L
.51789 .23774 L
.51477 .23676 L
.51145 .23577 L
.50843 .23491 L
s
.58333 .28333 m
.58137 .28183 L
.57917 .2802 L
.57706 .27867 L
.57499 .27721 L
.57273 .27566 L
.57052 .27418 L
.56812 .27261 L
.56577 .27112 L
.56347 .2697 L
.56099 .2682 L
.55856 .26677 L
.55619 .26542 L
.55363 .264 L
.55115 .26265 L
.54847 .26124 L
.54587 .25991 L
.54335 .25865 L
.54064 .25734 L
.53801 .25611 L
.53519 .25483 L
.53247 .25363 L
.52983 .2525 L
.52702 .25134 L
.52444 .25031 L
s
.58333 .3 m
.58212 .29854 L
.58075 .29696 L
.5794 .29547 L
.57805 .29404 L
.57656 .29252 L
.57507 .29106 L
.57344 .28952 L
.57182 .28803 L
.57021 .28661 L
.56845 .28511 L
.56671 .28367 L
.56499 .28229 L
.56312 .28084 L
.56128 .27945 L
.55928 .27798 L
.55731 .27659 L
.55537 .27526 L
.55328 .27386 L
.55123 .27253 L
.54901 .27114 L
.54685 .26981 L
.54473 .26856 L
.54245 .26725 L
.54034 .26607 L
s
.58333 .31667 m
.58283 .31526 L
.58223 .31372 L
.5816 .31227 L
.58094 .31088 L
.58018 .30939 L
.5794 .30796 L
.5785 .30644 L
.57759 .30498 L
.57665 .30357 L
.5756 .30207 L
.57454 .30063 L
.57346 .29925 L
.57227 .29778 L
.57107 .29637 L
.56974 .29488 L
.56841 .29344 L
.56708 .29206 L
.56562 .29061 L
.56417 .28921 L
.56257 .28774 L
.56099 .28632 L
.55942 .28498 L
.55771 .28355 L
.55611 .28226 L
s
.58333 .33333 m
.58342 .33267 L
.5835 .33197 L
.58356 .3312 L
.58361 .33048 L
.58363 .33014 L
.58364 .32983 L
.58365 .32965 L
.58366 .32946 L
.58366 .3293 L
.58366 .32913 L
.58366 .32904 L
.58367 .32895 L
.58367 .32887 L
.58367 .32879 L
.58367 .3287 L
.58367 .32865 L
.58367 .32863 L
.58367 .3286 L
.58367 .32858 L
.58367 .32855 L
.58367 .32851 L
.58367 .32847 L
.58367 .32842 L
.58367 .32838 L
.58367 .32833 L
.58367 .32828 L
.58367 .32824 L
.58367 .32815 L
.58367 .32806 L
.58366 .32786 L
.58366 .32767 L
.58365 .32733 L
.58364 .32701 L
.5836 .32627 L
.58354 .32555 L
.58348 .32488 L
.58331 .32346 L
.58309 .32209 L
.5828 .32063 L
.58246 .31922 L
.58204 .31771 L
.58157 .31626 L
.58107 .31487 L
.58048 .31338 L
.57985 .31194 L
.5792 .31056 L
.57845 .30909 L
.57767 .30768 L
.57678 .30617 L
Mistroke
.57588 .30472 L
.57495 .30333 L
.57391 .30184 L
.57286 .30042 L
.5717 .29894 L
Mfstroke
.58333 .35 m
.58411 .34868 L
.58491 .34724 L
.5856 .34588 L
.58621 .34456 L
.58681 .34316 L
.58733 .3418 L
.58782 .34035 L
.58824 .33895 L
.58859 .33759 L
.5889 .33615 L
.58914 .33475 L
.58932 .33341 L
.5894 .33271 L
.58946 .33197 L
.58948 .33161 L
.58951 .33121 L
.58952 .33083 L
.58954 .33049 L
.58954 .33032 L
.58955 .33013 L
.58955 .32995 L
.58955 .32979 L
.58955 .3297 L
.58955 .32961 L
.58955 .32956 L
.58955 .32952 L
.58955 .32949 L
.58955 .32947 L
.58955 .32944 L
.58955 .32942 L
.58955 .32937 L
.58955 .32933 L
.58955 .32928 L
.58955 .32923 L
.58955 .32918 L
.58955 .32913 L
.58955 .32903 L
.58955 .32885 L
.58954 .32869 L
.58954 .32832 L
.58952 .32798 L
.58951 .32766 L
.58946 .32694 L
.58941 .32627 L
.58925 .32484 L
.58905 .32347 L
.58877 .322 L
.58845 .32058 L
.58804 .31907 L
Mistroke
.58759 .31761 L
.5871 .31621 L
.58707 .31613 L
Mfstroke
.58333 .36667 m
.58468 .3654 L
.58611 .364 L
.58739 .36269 L
.58858 .36141 L
.5898 .36005 L
.59092 .35873 L
.59206 .35733 L
.59311 .35597 L
.59406 .35465 L
.59502 .35325 L
.59589 .3519 L
.59668 .35059 L
.59746 .3492 L
.59816 .34785 L
.59884 .34642 L
.59944 .34503 L
.59997 .3437 L
.60047 .34227 L
.60089 .3409 L
.60128 .33943 L
.60159 .33802 L
.60184 .33665 L
.60194 .33596 L
.60204 .3352 L
.60216 .33386 L
s
.58333 .38333 m
.58521 .38211 L
.58721 .38076 L
.58905 .37949 L
.59078 .37826 L
.59258 .37695 L
.59427 .37567 L
.59602 .37432 L
.59766 .373 L
.59919 .37174 L
.60077 .37039 L
.60224 .36909 L
.60362 .36784 L
.60503 .36651 L
.60634 .36522 L
.60768 .36386 L
.60892 .36255 L
.61006 .36129 L
.61123 .35995 L
.61229 .35866 L
.61337 .35729 L
.61435 .35597 L
.61525 .35471 L
.61614 .35337 L
.61691 .35214 L
s
.58333 .4 m
.58569 .39882 L
.58822 .39753 L
.59057 .3963 L
.5928 .39512 L
.59514 .39385 L
.59736 .39262 L
.59968 .39132 L
.60188 .39006 L
.60396 .38885 L
.60614 .38756 L
.60819 .38632 L
.61013 .38514 L
.61215 .38388 L
.61406 .38268 L
.61604 .38141 L
.61791 .3802 L
.61966 .37904 L
.62149 .37782 L
.6232 .37666 L
.62497 .37543 L
.62663 .37427 L
.62819 .37316 L
.6298 .37199 L
.63123 .37095 L
s
.58333 .41667 m
.58612 .41554 L
.58914 .41429 L
.59195 .41311 L
.59464 .41197 L
.59748 .41075 L
.60019 .40958 L
.60304 .40833 L
.60577 .40713 L
.60837 .40597 L
.6111 .40476 L
.61371 .40359 L
.61619 .40249 L
.61879 .40132 L
.62128 .40021 L
.62389 .39906 L
.62637 .39797 L
.62872 .39694 L
.6312 .39587 L
.63355 .39486 L
.63602 .39383 L
.63837 .39286 L
.6406 .39196 L
.64294 .39105 L
.64505 .39024 L
s
.58333 .43333 m
.5865 .43225 L
.58995 .43106 L
.59319 .42992 L
.59629 .42883 L
.59959 .42766 L
.60275 .42654 L
.6061 .42535 L
.60931 .4242 L
.61239 .42312 L
.61565 .42197 L
.61878 .42089 L
.62177 .41987 L
.62494 .4188 L
.62797 .4178 L
.63118 .41678 L
.63426 .41582 L
.6372 .41495 L
.64032 .41405 L
.6433 .41324 L
.64646 .41244 L
.64948 .41172 L
.65239 .41108 L
.65546 .41047 L
.65826 .40998 L
s
.58333 .45 m
.58684 .44896 L
.59067 .44782 L
.59428 .44674 L
.59776 .44569 L
.60147 .44457 L
.60504 .4435 L
.60884 .44237 L
.6125 .44129 L
.61603 .44027 L
.61978 .4392 L
.62339 .4382 L
.62686 .43727 L
.63056 .43631 L
.63412 .43543 L
.6379 .43455 L
.64154 .43375 L
.64505 .43304 L
.64879 .43235 L
.65238 .43176 L
.65621 .43121 L
.65991 .43077 L
.66348 .43044 L
.66533 .43031 L
.66729 .4302 L
.66816 .43015 L
.6691 .43012 L
.67079 .43007 L
s
.58333 .46667 m
.58713 .46568 L
.5913 .46458 L
.59523 .46355 L
.59904 .46255 L
.60311 .46148 L
.60705 .46046 L
.61126 .45939 L
.61533 .45838 L
.61926 .45742 L
.62346 .45644 L
.62752 .45553 L
.63144 .45469 L
.63563 .45384 L
.63968 .45309 L
.644 .45235 L
.64819 .45172 L
.65223 .45119 L
.65656 .45071 L
.66075 .45036 L
.66305 .45021 L
.66523 .4501 L
.66628 .45006 L
.6674 .45002 L
.66836 .44999 L
.66886 .44998 L
.66941 .44997 L
.66971 .44997 L
.66998 .44997 L
.67024 .44996 L
.67053 .44996 L
.67065 .44996 L
.67078 .44996 L
.67089 .44996 L
.67102 .44996 L
.67115 .44996 L
.67129 .44996 L
.67142 .44996 L
.67154 .44996 L
.67169 .44996 L
.67177 .44996 L
.67184 .44996 L
.67198 .44996 L
.67212 .44996 L
.67237 .44996 L
.67265 .44996 L
.67295 .44997 L
.67326 .44997 L
.67384 .44998 L
.67495 .45 L
Mistroke
.67617 .45004 L
.67732 .45009 L
.6784 .45014 L
.68055 .45027 L
.68251 .45043 L
Mfstroke
.58333 .48333 m
.58737 .48239 L
.59182 .48135 L
.59604 .48036 L
.60013 .47941 L
.60452 .4784 L
.60878 .47743 L
.61334 .47642 L
.61778 .47547 L
.62207 .47458 L
.62668 .47368 L
.63115 .47285 L
.63547 .47211 L
.64012 .47138 L
.64462 .47075 L
.64945 .47017 L
.65414 .4697 L
.65869 .46935 L
.66105 .46922 L
.66357 .4691 L
.66482 .46906 L
.66547 .46904 L
.66617 .46903 L
.66678 .46902 L
.66744 .46901 L
.66774 .469 L
.66805 .469 L
.66832 .469 L
.66862 .46899 L
.66894 .46899 L
.66911 .46899 L
.66927 .46899 L
.66942 .46899 L
.66956 .46899 L
.66971 .46899 L
.66987 .46899 L
.66995 .46899 L
.67003 .46899 L
.6702 .46899 L
.67036 .46899 L
.67051 .46899 L
.67086 .46899 L
.67122 .469 L
.67185 .469 L
.67251 .46902 L
.6737 .46904 L
.67487 .46908 L
.67613 .46912 L
.67841 .46924 L
.68106 .46942 L
Mistroke
.6836 .46964 L
.68848 .4702 L
.69332 .47094 L
Mfstroke
.58333 .5 m
.58757 .4991 L
.59225 .49811 L
.5967 .49717 L
.60103 .49627 L
.60568 .49531 L
.61022 .4944 L
.61509 .49345 L
.61984 .49256 L
.62446 .49174 L
.62942 .49091 L
.63426 .49017 L
.63895 .48952 L
.644 .4889 L
.64892 .4884 L
.65421 .48796 L
.65687 .48779 L
.65936 .48767 L
.66178 .48757 L
.66314 .48753 L
.66438 .4875 L
.66502 .48749 L
.6657 .48748 L
.66629 .48748 L
.66662 .48747 L
.66693 .48747 L
.6671 .48747 L
.66729 .48747 L
.66737 .48747 L
.66746 .48747 L
.66763 .48747 L
.66778 .48747 L
.66793 .48747 L
.66809 .48747 L
.66827 .48747 L
.66844 .48747 L
.66863 .48747 L
.66883 .48747 L
.66902 .48747 L
.66935 .48747 L
.6697 .48748 L
.67042 .48749 L
.67108 .4875 L
.67257 .48753 L
.67389 .48757 L
.6753 .48763 L
.67797 .48777 L
.68048 .48794 L
.68586 .48845 L
.69168 .48923 L
Mistroke
.69739 .49023 L
.70298 .49145 L
.70311 .49148 L
Mfstroke
.58333 .51667 m
.58772 .51582 L
.59258 .51488 L
.59721 .51399 L
.60173 .51313 L
.6066 .51222 L
.61136 .51136 L
.6165 .51047 L
.62151 .50965 L
.6264 .50889 L
.63168 .50814 L
.63683 .50748 L
.64184 .50692 L
.64726 .50641 L
.65254 .50602 L
.65545 .50585 L
.65824 .50573 L
.65958 .50568 L
.66101 .50564 L
.66236 .50561 L
.66295 .5056 L
.6636 .50559 L
.66428 .50559 L
.66466 .50558 L
.66501 .50558 L
.66518 .50558 L
.66534 .50558 L
.66549 .50558 L
.66565 .50558 L
.66581 .50558 L
.66597 .50558 L
.66614 .50558 L
.66632 .50558 L
.66651 .50558 L
.66661 .50558 L
.66671 .50558 L
.66706 .50558 L
.66726 .50558 L
.66747 .50558 L
.66786 .50559 L
.66861 .50559 L
.6693 .5056 L
.67073 .50563 L
.67206 .50567 L
.67353 .50572 L
.67508 .50579 L
.67795 .50595 L
.68065 .50615 L
.68645 .50673 L
.69273 .5076 L
Mistroke
.6989 .50871 L
.70495 .51006 L
.71153 .51184 L
.71176 .51191 L
Mfstroke
.58333 .53333 m
.58782 .53253 L
.5928 .53164 L
.59757 .5308 L
.60223 .52999 L
.60727 .52914 L
.61221 .52833 L
.61755 .5275 L
.62278 .52673 L
.62789 .52604 L
.63342 .52536 L
.63884 .52477 L
.64412 .52429 L
.6471 .52406 L
.64985 .52388 L
.65274 .52372 L
.65545 .5236 L
.65822 .52351 L
.6597 .52347 L
.66052 .52346 L
.66128 .52344 L
.66202 .52344 L
.6624 .52343 L
.66281 .52343 L
.66302 .52343 L
.66322 .52343 L
.66341 .52342 L
.6636 .52342 L
.66381 .52342 L
.66392 .52342 L
.66404 .52342 L
.66415 .52342 L
.66424 .52342 L
.66435 .52342 L
.66447 .52342 L
.66466 .52342 L
.66483 .52342 L
.66503 .52342 L
.66523 .52343 L
.66566 .52343 L
.66604 .52343 L
.66679 .52344 L
.6675 .52345 L
.66897 .52348 L
.67053 .52352 L
.67335 .52362 L
.67637 .52379 L
.67922 .52398 L
.68534 .52456 L
.69198 .52544 L
Mistroke
.69852 .52658 L
.70494 .52798 L
.71193 .52982 L
.71882 .53199 L
.71917 .53211 L
Mfstroke
.58333 .55 m
.58787 .54925 L
.59293 .54841 L
.59778 .54762 L
.60253 .54685 L
.60769 .54605 L
.61275 .54529 L
.61824 .54452 L
.62363 .54381 L
.62891 .54317 L
.63464 .54256 L
.64027 .54204 L
.64578 .54164 L
.64888 .54145 L
.65175 .54131 L
.65318 .54125 L
.65474 .5412 L
.65622 .54116 L
.65761 .54112 L
.65837 .54111 L
.65919 .5411 L
.65994 .54109 L
.66063 .54108 L
.66102 .54108 L
.66138 .54108 L
.66159 .54108 L
.66178 .54108 L
.66188 .54108 L
.662 .54108 L
.6621 .54108 L
.6622 .54108 L
.6624 .54108 L
.66259 .54108 L
.66279 .54108 L
.66291 .54108 L
.66301 .54108 L
.66322 .54108 L
.66343 .54108 L
.66388 .54108 L
.66427 .54108 L
.6647 .54109 L
.66548 .5411 L
.66624 .54111 L
.66695 .54112 L
.66855 .54116 L
.67026 .54122 L
.67338 .54135 L
.67634 .54153 L
.68269 .54206 L
.68621 .54244 L
Mistroke
.68959 .54288 L
.69613 .54393 L
.70325 .54536 L
.71027 .5471 L
.71792 .54938 L
.72521 .55193 L
Mfstroke
.58333 .56667 m
.58788 .56596 L
.59295 .56518 L
.59783 .56443 L
.60263 .56372 L
.60785 .56296 L
.61298 .56226 L
.61856 .56153 L
.62405 .56087 L
.62946 .56029 L
.63532 .55974 L
.6411 .55929 L
.64677 .55894 L
.64972 .55881 L
.65294 .55869 L
.6545 .55865 L
.65533 .55863 L
.65622 .55862 L
.65708 .5586 L
.65786 .55859 L
.65824 .55859 L
.65864 .55859 L
.65903 .55858 L
.65939 .55858 L
.65957 .55858 L
.65976 .55858 L
.65997 .55858 L
.66016 .55858 L
.66035 .55858 L
.66054 .55858 L
.66071 .55858 L
.66089 .55858 L
.661 .55858 L
.66111 .55858 L
.66131 .55858 L
.66152 .55858 L
.66175 .55858 L
.66217 .55859 L
.66256 .55859 L
.66341 .5586 L
.66419 .55861 L
.66595 .55864 L
.66757 .55869 L
.66907 .55874 L
.67249 .55889 L
.67561 .55908 L
.67909 .55935 L
.68599 .56007 L
.6928 .56103 L
.70021 .56238 L
Mistroke
.70754 .56404 L
.71477 .56602 L
.72268 .56859 L
.72978 .57126 L
Mfstroke
.58333 .58333 m
.58784 .58267 L
.59288 .58194 L
.59773 .58125 L
.60252 .58058 L
.60774 .57988 L
.61289 .57922 L
.6185 .57854 L
.62404 .57794 L
.6295 .5774 L
.63545 .5769 L
.64131 .5765 L
.64708 .57621 L
.65009 .5761 L
.6518 .57605 L
.65337 .57602 L
.65412 .576 L
.65493 .57599 L
.65563 .57598 L
.65639 .57598 L
.65685 .57597 L
.65706 .57597 L
.65728 .57597 L
.65748 .57597 L
.6577 .57597 L
.65781 .57597 L
.65792 .57597 L
.65813 .57597 L
.65833 .57597 L
.65852 .57597 L
.65873 .57597 L
.65883 .57597 L
.65895 .57597 L
.65914 .57597 L
.65935 .57597 L
.65972 .57597 L
.66011 .57597 L
.66052 .57598 L
.66127 .57598 L
.66217 .576 L
.66298 .57601 L
.66477 .57605 L
.66646 .5761 L
.6698 .57623 L
.67292 .5764 L
.67612 .57662 L
.67969 .57693 L
.68681 .57773 L
.69383 .57877 L
.70149 .58023 L
Mistroke
.70907 .58202 L
.71656 .58414 L
.72477 .58688 L
.73276 .59 L
Mfstroke
.58333 .6 m
.58775 .59939 L
.5927 .59871 L
.59748 .59806 L
.60221 .59744 L
.60737 .59679 L
.61248 .59617 L
.61806 .59555 L
.62358 .59499 L
.62903 .5945 L
.63499 .59404 L
.64088 .59369 L
.64389 .59354 L
.64668 .59343 L
.64972 .59335 L
.65141 .59331 L
.65226 .5933 L
.65303 .59329 L
.65381 .59328 L
.65456 .59327 L
.65497 .59327 L
.65535 .59327 L
.65555 .59327 L
.65577 .59327 L
.65587 .59327 L
.65599 .59327 L
.65621 .59327 L
.6564 .59327 L
.65659 .59327 L
.65679 .59327 L
.65689 .59327 L
.657 .59327 L
.65719 .59327 L
.6574 .59327 L
.65776 .59327 L
.65813 .59327 L
.65851 .59327 L
.65919 .59328 L
.66001 .59329 L
.66076 .5933 L
.66244 .59334 L
.66402 .59338 L
.66551 .59343 L
.66889 .59357 L
.67204 .59375 L
.67891 .5943 L
.68569 .59506 L
.6931 .59616 L
.70043 .59755 L
.70845 .59941 L
Mistroke
.71641 .60164 L
.72428 .60425 L
.73293 .60758 L
.73404 .60805 L
Mfstroke
.58333 .61667 m
.58761 .6161 L
.59241 .61547 L
.59707 .61488 L
.60168 .6143 L
.60673 .6137 L
.61174 .61313 L
.61722 .61255 L
.62266 .61203 L
.62804 .61158 L
.63394 .61116 L
.63693 .61099 L
.63978 .61084 L
.64272 .61072 L
.64555 .61062 L
.64705 .61058 L
.6487 .61054 L
.64943 .61053 L
.65021 .61052 L
.6509 .61051 L
.65163 .6105 L
.65203 .6105 L
.65248 .61049 L
.65289 .61049 L
.65327 .61049 L
.6535 .61049 L
.65361 .61049 L
.65372 .61049 L
.65391 .61049 L
.65402 .61049 L
.65413 .61049 L
.65424 .61049 L
.65436 .61049 L
.65447 .61049 L
.65457 .61049 L
.65468 .61049 L
.65481 .61049 L
.65506 .61049 L
.65528 .61049 L
.65548 .61049 L
.65587 .61049 L
.65629 .6105 L
.65675 .6105 L
.65757 .61051 L
.65833 .61052 L
.65993 .61055 L
.66143 .61058 L
.66487 .6107 L
.66831 .61086 L
.6715 .61106 L
Mistroke
.67848 .61165 L
.68538 .61245 L
.69294 .61361 L
.70043 .61505 L
.70864 .61699 L
.7168 .61931 L
.72489 .62202 L
.73351 .62537 L
Mfstroke
.58333 .63333 m
.58742 .63282 L
.59203 .63224 L
.5965 .63169 L
.60094 .63116 L
.60582 .63061 L
.61066 .63008 L
.61598 .62955 L
.62127 .62907 L
.62651 .62865 L
.63227 .62827 L
.6352 .62811 L
.63799 .62797 L
.64087 .62785 L
.64365 .62777 L
.64513 .62773 L
.64675 .6277 L
.64747 .62768 L
.64824 .62767 L
.64891 .62767 L
.64963 .62766 L
.65003 .62766 L
.65047 .62765 L
.65087 .62765 L
.65105 .62765 L
.65124 .62765 L
.65136 .62765 L
.65147 .62765 L
.65157 .62765 L
.65169 .62765 L
.65188 .62765 L
.65209 .62765 L
.65221 .62765 L
.65232 .62765 L
.65244 .62765 L
.65256 .62765 L
.65277 .62765 L
.653 .62765 L
.65342 .62765 L
.65381 .62765 L
.65467 .62766 L
.65547 .62767 L
.65624 .62768 L
.65781 .62771 L
.65949 .62775 L
.66254 .62785 L
.66582 .628 L
.66893 .62818 L
.67567 .62872 L
.68306 .62954 L
Mistroke
.6904 .63062 L
.69768 .63195 L
.70567 .63375 L
.71361 .6359 L
.72232 .63869 L
.73101 .64194 L
.73105 .64196 L
Mfstroke
.58333 .65 m
.58718 .64953 L
.59154 .64901 L
.59577 .64851 L
.59998 .64803 L
.60462 .64752 L
.60924 .64704 L
.61432 .64655 L
.61939 .64611 L
.62443 .64572 L
.62997 .64536 L
.63279 .64521 L
.63548 .64508 L
.63827 .64497 L
.64096 .64488 L
.64239 .64484 L
.64396 .64481 L
.6454 .64479 L
.64675 .64477 L
.64752 .64477 L
.64796 .64476 L
.64836 .64476 L
.64871 .64476 L
.64891 .64476 L
.6491 .64476 L
.6493 .64476 L
.64948 .64476 L
.64958 .64476 L
.64969 .64476 L
.64989 .64476 L
.65007 .64476 L
.65023 .64476 L
.65041 .64476 L
.65061 .64476 L
.65102 .64476 L
.65138 .64476 L
.65206 .64477 L
.65278 .64477 L
.65428 .64479 L
.6559 .64482 L
.65743 .64486 L
.65884 .6449 L
.66196 .64503 L
.66541 .6452 L
.67235 .64571 L
.67925 .64642 L
.6861 .64734 L
.69363 .64862 L
.70111 .65018 L
.70933 .65224 L
Mistroke
.71752 .65469 L
.72566 .65752 L
.72653 .65784 L
Mfstroke
.58333 .66667 m
.5869 .66625 L
.59094 .66578 L
.59488 .66533 L
.59881 .66489 L
.60314 .66443 L
.60747 .66399 L
.61225 .66355 L
.61702 .66314 L
.62177 .66278 L
.62701 .66244 L
.63224 .66217 L
.63494 .66206 L
.63744 .66197 L
.64018 .6619 L
.64171 .66187 L
.64318 .66185 L
.64389 .66184 L
.64457 .66183 L
.64495 .66183 L
.64535 .66183 L
.64569 .66183 L
.64607 .66182 L
.64624 .66182 L
.64642 .66182 L
.64658 .66182 L
.64676 .66182 L
.64695 .66182 L
.64714 .66182 L
.64732 .66182 L
.64748 .66182 L
.64764 .66182 L
.64779 .66182 L
.64795 .66182 L
.64812 .66182 L
.64847 .66182 L
.6488 .66183 L
.64951 .66183 L
.65027 .66184 L
.65165 .66186 L
.65331 .66189 L
.65483 .66192 L
.65783 .66202 L
.66113 .66216 L
.66434 .66234 L
.66781 .66259 L
.6742 .66317 L
.68124 .66401 L
.68824 .66508 L
.69595 .66654 L
Mistroke
.70363 .66831 L
.71127 .67039 L
.71969 .67307 L
.71982 .67311 L
Mfstroke
.58333 .68333 m
.58657 .68296 L
.59024 .68254 L
.59383 .68214 L
.59741 .68176 L
.60138 .68134 L
.60535 .68095 L
.60974 .68055 L
.61413 .68017 L
.61853 .67984 L
.62338 .67952 L
.62823 .67926 L
.63307 .67905 L
.63562 .67897 L
.63841 .67891 L
.63979 .67888 L
.64052 .67887 L
.6413 .67886 L
.64205 .67886 L
.64274 .67885 L
.64307 .67885 L
.64344 .67885 L
.6436 .67885 L
.64378 .67885 L
.64394 .67885 L
.64409 .67885 L
.64426 .67885 L
.64435 .67885 L
.64445 .67885 L
.64461 .67885 L
.64479 .67885 L
.64495 .67885 L
.64512 .67885 L
.64528 .67885 L
.64543 .67885 L
.64576 .67885 L
.64613 .67885 L
.64687 .67886 L
.64753 .67886 L
.64824 .67887 L
.64952 .67889 L
.65101 .67892 L
.65265 .67896 L
.65567 .67906 L
.65869 .67919 L
.66196 .67938 L
.668 .67983 L
.67465 .68051 L
.68129 .68138 L
.68861 .68258 L
Mistroke
.69592 .68405 L
.70319 .68579 L
.71075 .6879 L
Mfstroke
.58333 .7 m
.58618 .69968 L
.58943 .69931 L
.59261 .69896 L
.59579 .69862 L
.59932 .69826 L
.60286 .69791 L
.60679 .69755 L
.61073 .69721 L
.61468 .6969 L
.61905 .6966 L
.62343 .69635 L
.62781 .69614 L
.63032 .69604 L
.63266 .69597 L
.63512 .69591 L
.63637 .69588 L
.63751 .69586 L
.63873 .69585 L
.63941 .69584 L
.63972 .69584 L
.64006 .69584 L
.64034 .69584 L
.64065 .69584 L
.64094 .69584 L
.64107 .69584 L
.64121 .69584 L
.64137 .69584 L
.64153 .69584 L
.64168 .69583 L
.64181 .69583 L
.64196 .69584 L
.64213 .69584 L
.6423 .69584 L
.64247 .69584 L
.64279 .69584 L
.64309 .69584 L
.64342 .69584 L
.64377 .69584 L
.6445 .69585 L
.64516 .69585 L
.64645 .69587 L
.64768 .69589 L
.65046 .69596 L
.65307 .69605 L
.65576 .69617 L
.65879 .69634 L
.66488 .69678 L
.67096 .69738 L
.67767 .69823 L
Mistroke
.68438 .69929 L
.69108 .70056 L
.69847 .70223 L
.69915 .7024 L
Mfstroke
.58333 .71667 m
.58575 .71639 L
.58851 .71608 L
.59122 .71578 L
.59394 .71549 L
.59697 .71517 L
.60001 .71487 L
.60339 .71455 L
.60679 .71426 L
.6102 .71398 L
.61399 .7137 L
.6178 .71345 L
.62162 .71324 L
.62586 .71305 L
.6301 .71291 L
.63124 .71288 L
.63249 .71285 L
.6337 .71283 L
.63481 .71281 L
.63538 .7128 L
.636 .7128 L
.63654 .71279 L
.63713 .71279 L
.63746 .71279 L
.63776 .71279 L
.63809 .71279 L
.63827 .71279 L
.63835 .71279 L
.63844 .71279 L
.63859 .71279 L
.63873 .71279 L
.63889 .71279 L
.63898 .71279 L
.63906 .71279 L
.63921 .71279 L
.63934 .71279 L
.63949 .71279 L
.63965 .71279 L
.63996 .71279 L
.64026 .71279 L
.64082 .71279 L
.64142 .7128 L
.64208 .7128 L
.64327 .71282 L
.64438 .71284 L
.64677 .71289 L
.64946 .71298 L
.65204 .71309 L
.65488 .71324 L
.66065 .71364 L
Mistroke
.66644 .71417 L
.67222 .71485 L
.67862 .71578 L
.68481 .71686 L
Mfstroke
.58333 .73333 m
.58527 .7331 L
.58749 .73285 L
.58967 .7326 L
.59186 .73236 L
.59431 .7321 L
.59678 .73184 L
.59953 .73157 L
.6023 .73131 L
.60509 .73107 L
.6082 .73082 L
.61133 .73058 L
.61447 .73038 L
.61797 .73017 L
.62148 .73 L
.62333 .72993 L
.62539 .72986 L
.62743 .7298 L
.62932 .72975 L
.63029 .72974 L
.63134 .72972 L
.63192 .72971 L
.63246 .72971 L
.63298 .7297 L
.63353 .7297 L
.63381 .7297 L
.63407 .7297 L
.63433 .72969 L
.63457 .72969 L
.63479 .72969 L
.63491 .72969 L
.63503 .72969 L
.63516 .72969 L
.63528 .72969 L
.63542 .72969 L
.63554 .72969 L
.63567 .72969 L
.63581 .72969 L
.63595 .72969 L
.63606 .72969 L
.63636 .72969 L
.63664 .72969 L
.63719 .7297 L
.6378 .7297 L
.63885 .72971 L
.64002 .72973 L
.64125 .72975 L
.64242 .72977 L
.64478 .72984 L
.64699 .72992 L
Mistroke
.65187 .73017 L
.65676 .7305 L
.66218 .73099 L
.66746 .73159 L
Mfstroke
.58333 .75 m
.58474 .74982 L
.58635 .74962 L
.58795 .74942 L
.58955 .74923 L
.59135 .74902 L
.59316 .74882 L
.59519 .7486 L
.59724 .74839 L
.59932 .74818 L
.60163 .74797 L
.60396 .74776 L
.60631 .74757 L
.60894 .74738 L
.61158 .7472 L
.61453 .74702 L
.61751 .74687 L
.62051 .74675 L
.62224 .74669 L
.62385 .74664 L
.62558 .7466 L
.62721 .74657 L
.62804 .74655 L
.62892 .74654 L
.62982 .74654 L
.63033 .74653 L
.63058 .74653 L
.63082 .74653 L
.63103 .74653 L
.63128 .74653 L
.6314 .74653 L
.63152 .74653 L
.63158 .74653 L
.63165 .74653 L
.63172 .74653 L
.63178 .74653 L
.63189 .74653 L
.63201 .74653 L
.63212 .74653 L
.63222 .74653 L
.63234 .74653 L
.63247 .74653 L
.63271 .74653 L
.63292 .74653 L
.63315 .74653 L
.63362 .74653 L
.63406 .74654 L
.63448 .74654 L
.63548 .74655 L
.63645 .74657 L
Mistroke
.63829 .7466 L
.64031 .74665 L
.64221 .74672 L
.64641 .74691 L
.64679 .74693 L
Mfstroke
.58333 .76667 m
.58416 .76653 L
.58511 .76639 L
.58605 .76625 L
.58701 .76611 L
.58808 .76595 L
.58916 .76581 L
.59038 .76564 L
.59161 .76549 L
.59286 .76533 L
.59426 .76517 L
.59568 .76501 L
.59711 .76485 L
.59872 .76469 L
.60034 .76453 L
.60216 .76436 L
.604 .7642 L
.60586 .76406 L
.60793 .76391 L
.61004 .76377 L
.61238 .76363 L
.61476 .76351 L
.61716 .76341 L
.61984 .76332 L
.62241 .76326 L
s
.58333 .78333 m
.58353 .78325 L
.58376 .78316 L
.58399 .78307 L
.58422 .78299 L
.58449 .78289 L
.58476 .7828 L
.58507 .78271 L
.58538 .78261 L
.5857 .78252 L
.58607 .78242 L
.58644 .78233 L
.58682 .78223 L
.58725 .78213 L
.58768 .78203 L
.58818 .78193 L
.58868 .78182 L
.58919 .78172 L
.58976 .78161 L
.59035 .7815 L
.59101 .78139 L
.59168 .78127 L
.59236 .78116 L
.59313 .78105 L
.59387 .78094 L
s
.58333 .8 m
.58285 .79997 L
.58229 .79993 L
.58175 .7999 L
.58119 .79987 L
.58057 .79984 L
.57995 .79982 L
.57925 .7998 L
.57854 .79978 L
.57782 .79976 L
.57745 .79976 L
.57702 .79975 L
.57661 .79975 L
.57642 .79975 L
.57621 .79974 L
.57599 .79974 L
.57588 .79974 L
.57577 .79974 L
.57566 .79974 L
.57556 .79974 L
.57552 .79974 L
.57549 .79974 L
.57546 .79974 L
.57544 .79974 L
.57541 .79974 L
.57539 .79974 L
.57537 .79974 L
.57534 .79974 L
.57532 .79974 L
.57531 .79974 L
.57528 .79974 L
.57525 .79974 L
.57522 .79974 L
.5752 .79974 L
.57513 .79974 L
.57508 .79974 L
.57502 .79974 L
.57491 .79974 L
.5748 .79974 L
.57469 .79974 L
.57448 .79974 L
.57424 .79975 L
.57397 .79975 L
.57348 .79975 L
.57298 .79976 L
.57244 .79977 L
.57143 .79979 L
.57029 .79981 L
.56914 .79985 L
.56785 .7999 L
Mistroke
.56653 .79995 L
.5652 .80001 L
.56371 .80009 L
.56219 .80018 L
.56063 .80027 L
Mfstroke
.58333 .81667 m
.58212 .81668 L
.58072 .8167 L
.57933 .81673 L
.57792 .81676 L
.57634 .8168 L
.57473 .81685 L
.57292 .81691 L
.57107 .81698 L
.5692 .81706 L
.56709 .81716 L
.56494 .81727 L
.56276 .8174 L
.56031 .81755 L
.55781 .81772 L
.555 .81793 L
.55213 .81815 L
.5492 .8184 L
.54591 .8187 L
.54254 .81903 L
.53875 .81942 L
.53486 .81984 L
.5309 .8203 L
.52641 .82085 L
.52207 .82141 L
s
.58333 .83333 m
.58134 .8334 L
.57903 .83347 L
.57674 .83356 L
.5744 .83365 L
.57177 .83377 L
.56908 .8339 L
.56605 .83405 L
.56296 .83423 L
.5598 .83442 L
.55624 .83466 L
.55261 .83493 L
.5489 .83522 L
.54471 .83557 L
.54043 .83596 L
.53559 .83644 L
.53063 .83695 L
.52556 .83752 L
.51982 .83819 L
.51393 .83893 L
.50726 .8398 L
.50039 .84075 L
.49334 .84176 L
.48534 .84295 L
.47754 .84415 L
s
.58333 .85 m
.58051 .85011 L
.57723 .85025 L
.57396 .85039 L
.57063 .85055 L
.56686 .85075 L
.56301 .85096 L
.55865 .85123 L
.55418 .85153 L
.54962 .85186 L
.54445 .85227 L
.53915 .85272 L
.53373 .85322 L
.52759 .85383 L
.5213 .8545 L
.51415 .85531 L
.50679 .85619 L
.49925 .85715 L
.49067 .85829 L
.48183 .85952 L
.47177 .86097 L
.46137 .8625 L
.45065 .86411 L
.43842 .86595 L
.42644 .86774 L
s
.58333 .86667 m
.57963 .86683 L
.57532 .86702 L
.57101 .86723 L
.5666 .86746 L
.56161 .86774 L
.55649 .86806 L
.55069 .86845 L
.54473 .86889 L
.53861 .86938 L
.53167 .86998 L
.52453 .87066 L
.51721 .8714 L
.50888 .87231 L
.50031 .87331 L
.49055 .87451 L
.48047 .87581 L
.47009 .87721 L
.45823 .87885 L
.44598 .88057 L
.43198 .88254 L
.41745 .88455 L
.40243 .88654 L
.38526 .88866 L
.36842 .8905 L
s
.58333 .88333 m
.57869 .88354 L
.57329 .8838 L
.56787 .88407 L
.56232 .88438 L
.55601 .88475 L
.54953 .88518 L
.54217 .8857 L
.53457 .8863 L
.52676 .88698 L
.51787 .88781 L
.5087 .88874 L
.49926 .88977 L
.4885 .89101 L
.47738 .89237 L
.46468 .89398 L
.45151 .89571 L
.4379 .89751 L
.42232 .89956 L
.40617 .90161 L
.38766 .90381 L
.36843 .90583 L
.34854 .90754 L
.3377 .90827 L
.33203 .90858 L
.32583 .90888 L
.31996 .90909 L
.31452 .90925 L
.31186 .9093 L
.31046 .90933 L
.30896 .90935 L
.30765 .90936 L
.30619 .90938 L
.30555 .90938 L
.30486 .90939 L
.30361 .90939 L
s
.58333 .9 m
.57771 .90026 L
.57115 .90058 L
.56455 .90092 L
.55777 .9013 L
.55006 .90178 L
.54211 .90232 L
.53306 .903 L
.52369 .90378 L
.51404 .90466 L
.50302 .90575 L
.49161 .90696 L
.47984 .90829 L
.46637 .90989 L
.45242 .9116 L
.43642 .9136 L
.41979 .91566 L
.40255 .91772 L
.38279 .9199 L
.36226 .92187 L
.35119 .92276 L
.33875 .9236 L
.33273 .92393 L
.32625 .92423 L
.32008 .92446 L
.31435 .92463 L
.31126 .92469 L
.30832 .92474 L
.30669 .92476 L
.30519 .92477 L
.3044 .92477 L
.30352 .92478 L
.30308 .92478 L
.30261 .92478 L
.30175 .92479 L
.301 .92479 L
.30029 .92479 L
.29952 .92478 L
.2987 .92478 L
.29783 .92478 L
.297 .92477 L
.29546 .92476 L
.294 .92474 L
.29266 .92472 L
.2896 .92466 L
.28645 .92459 L
.28304 .92448 L
.2768 .92421 L
.26926 .92378 L
.26227 .92326 L
Mistroke
.24853 .92188 L
.23314 .91972 L
Mfstroke
.58333 .91667 m
.57668 .91698 L
.56889 .91736 L
.56104 .91777 L
.55296 .91824 L
.54375 .91882 L
.53423 .91949 L
.52335 .92035 L
.51208 .92133 L
.50042 .92243 L
.48707 .92379 L
.47321 .9253 L
.45887 .92694 L
.44242 .92887 L
.42532 .93088 L
.40567 .93314 L
.38519 .93532 L
.36395 .93731 L
.3514 .93829 L
.33957 .93907 L
.33348 .9394 L
.32678 .93972 L
.32037 .93996 L
.31429 .94013 L
.3112 .9402 L
.30787 .94025 L
.30596 .94027 L
.30501 .94028 L
.30414 .94029 L
.30336 .94029 L
.3025 .9403 L
.30163 .9403 L
.30115 .9403 L
.3007 .9403 L
.29985 .9403 L
.29936 .9403 L
.29891 .9403 L
.298 .9403 L
.29749 .9403 L
.29702 .9403 L
.29618 .94029 L
.29527 .94028 L
.29361 .94027 L
.29166 .94024 L
.28958 .94021 L
.28584 .94012 L
.28228 .94001 L
.279 .93989 L
.27155 .93954 L
.26453 .93909 L
Mistroke
.25777 .93855 L
.24242 .93691 L
.2278 .93477 L
.21107 .93153 L
.19559 .92771 L
.16142 .91602 L
.15948 .91521 L
Mfstroke
.6 .08333 m
.58487 .08124 L
.56879 .07901 L
.55408 .07701 L
.5403 .07522 L
.52602 .07348 L
.51266 .07198 L
.49889 .07059 L
.48603 .06944 L
.47404 .0685 L
.46171 .06766 L
.45023 .067 L
.43955 .06648 L
.42858 .06602 L
.41839 .06564 L
.40795 .06528 L
.39825 .06495 L
.38926 .06461 L
.38002 .06421 L
.37145 .06374 L
.36265 .06315 L
.35447 .06244 L
.34686 .06162 L
.33902 .06056 L
.33207 .0594 L
s
.6 .1 m
.5862 .09795 L
.57149 .09576 L
.558 .09378 L
.54533 .09199 L
.53217 .09023 L
.51982 .08869 L
.50705 .08723 L
.4951 .08601 L
.48392 .08498 L
.47239 .08406 L
.46163 .08331 L
.4516 .08271 L
.44126 .08219 L
.43163 .08177 L
.42175 .0814 L
.41255 .08109 L
.404 .08081 L
.39521 .08051 L
.38704 .0802 L
.37865 .07982 L
.37085 .07938 L
.36358 .07887 L
.35611 .07822 L
.34948 .0775 L
s
.6 .11667 m
.58748 .11467 L
.5741 .11252 L
.5618 .11056 L
.55022 .10878 L
.53815 .107 L
.5268 .10542 L
.51503 .10391 L
.50397 .1026 L
.49361 .1015 L
.48288 .10048 L
.47285 .09963 L
.46346 .09895 L
.45377 .09833 L
.44471 .09784 L
.43539 .09741 L
.4267 .09707 L
.4186 .09679 L
.41026 .09653 L
.40249 .09629 L
.39451 .09603 L
.38708 .09575 L
.38015 .09545 L
.37302 .09507 L
.3667 .09465 L
s
.6 .13333 m
.58872 .13138 L
.57663 .12927 L
.56548 .12735 L
.55496 .12557 L
.54397 .12378 L
.5336 .12218 L
.52281 .12061 L
.51265 .11924 L
.5031 .11805 L
.49318 .11693 L
.48387 .11598 L
.47514 .11519 L
.4661 .11448 L
.45763 .11389 L
.44888 .11337 L
.4407 .11296 L
.43307 .11263 L
.42518 .11234 L
.41783 .1121 L
.41025 .11188 L
.40318 .11168 L
.39659 .11149 L
.3898 .11126 L
.38377 .11103 L
s
.6 .15 m
.58991 .14809 L
.57907 .14603 L
.56905 .14413 L
.55956 .14237 L
.54962 .14058 L
.54021 .13895 L
.5304 .13734 L
.52113 .1359 L
.51238 .13464 L
.50327 .13342 L
.4947 .13237 L
.48663 .13148 L
.47824 .13065 L
.47037 .12995 L
.46221 .12932 L
.45456 .1288 L
.4474 .12839 L
.43998 .12802 L
.43304 .12773 L
.42588 .12748 L
.41919 .12728 L
.41293 .12711 L
.40647 .12694 L
.40074 .1268 L
s
.6 .16667 m
.59106 .16481 L
.58143 .16279 L
.57249 .16093 L
.56401 .15918 L
.55509 .15739 L
.54664 .15575 L
.53778 .15409 L
.52939 .15261 L
.52145 .15127 L
.51315 .14997 L
.50531 .14882 L
.49792 .14782 L
.4902 .14686 L
.48293 .14605 L
.47537 .14528 L
.46826 .14465 L
.46159 .14412 L
.45465 .14364 L
.44815 .14325 L
.44141 .14291 L
.4351 .14265 L
.42919 .14244 L
.42307 .14225 L
.41762 .14211 L
s
.6 .18333 m
.59216 .18152 L
.58369 .17955 L
.57581 .17772 L
.56831 .176 L
.5604 .17422 L
.55287 .17256 L
.54496 .17088 L
.53744 .16935 L
.5303 .16795 L
.52281 .16657 L
.51571 .16533 L
.50899 .16422 L
.50195 .16315 L
.4953 .16221 L
.48836 .1613 L
.48181 .16053 L
.47563 .15987 L
.4692 .15925 L
.46314 .15874 L
.45685 .15827 L
.45093 .15789 L
.44537 .15759 L
.43961 .15732 L
.43446 .15712 L
s
.6 .2 m
.59322 .19824 L
.58587 .19631 L
.57901 .19452 L
.57245 .19282 L
.56552 .19106 L
.5589 .1894 L
.55192 .1877 L
.54526 .18613 L
.53891 .18469 L
.53223 .18323 L
.52587 .1819 L
.51983 .18071 L
.51348 .17951 L
.50746 .17845 L
.50115 .17741 L
.49517 .17649 L
.48952 .17569 L
.4836 .17492 L
.47801 .17426 L
.47219 .17363 L
.46669 .17311 L
.4615 .17266 L
.4561 .17226 L
.45128 .17195 L
s
.6 .21667 m
.59424 .21495 L
.58796 .21307 L
.58208 .21132 L
.57645 .20966 L
.57047 .20791 L
.56473 .20626 L
.55866 .20455 L
.55285 .20296 L
.54729 .20147 L
.54141 .19995 L
.5358 .19856 L
.53044 .19727 L
.52479 .19598 L
.51941 .1948 L
.51375 .19363 L
.50836 .19257 L
.50324 .19162 L
.49786 .19069 L
.49276 .18987 L
.48743 .18907 L
.48237 .18838 L
.47758 .18777 L
.47257 .1872 L
.46808 .18673 L
s
.6 .23333 m
.5952 .23166 L
.58996 .22984 L
.58503 .22813 L
.58029 .22649 L
.57523 .22477 L
.57036 .22314 L
.56518 .22143 L
.5602 .21982 L
.55542 .21831 L
.55034 .21675 L
.54547 .21529 L
.5408 .21394 L
.53586 .21255 L
.53112 .21127 L
.52612 .20997 L
.52134 .20879 L
.51678 .2077 L
.51197 .20662 L
.50738 .20563 L
.50256 .20466 L
.49796 .20378 L
.49359 .203 L
.48901 .20223 L
.48488 .20159 L
s
.6 .25 m
.59613 .24838 L
.59188 .2466 L
.58786 .24494 L
.58396 .24334 L
.5798 .24165 L
.57577 .24003 L
.57147 .23834 L
.56731 .23672 L
.56329 .2352 L
.55901 .23361 L
.55487 .23211 L
.5509 .2307 L
.54666 .22924 L
.54259 .22788 L
.53826 .22647 L
.53411 .22517 L
.53012 .22396 L
.52589 .22273 L
.52184 .22159 L
.51756 .22044 L
.51346 .21939 L
.50955 .21843 L
.50542 .21747 L
.50167 .21664 L
s
.6 .26667 m
.59701 .26509 L
.5937 .26337 L
.59055 .26175 L
.58748 .26019 L
.58418 .25853 L
.58097 .25695 L
.57752 .25527 L
.57416 .25367 L
.57089 .25214 L
.5674 .25053 L
.564 .24901 L
.56072 .24756 L
.5572 .24605 L
.55379 .24462 L
.55015 .24313 L
.54663 .24173 L
.54324 .24042 L
.53962 .23906 L
.53614 .2378 L
.53243 .23649 L
.52886 .23528 L
.52542 .23415 L
.52178 .233 L
.51846 .23199 L
s
.6 .28333 m
.59784 .28181 L
.59543 .28013 L
.59311 .27856 L
.59084 .27704 L
.58837 .27543 L
.58595 .27388 L
.58332 .27223 L
.58074 .27065 L
.57822 .26913 L
.5755 .26752 L
.57283 .26599 L
.57024 .26453 L
.56743 .26298 L
.5647 .26151 L
.56176 .25997 L
.5589 .2585 L
.55612 .25711 L
.55313 .25565 L
.55023 .25427 L
.54713 .25284 L
.54412 .25149 L
.5412 .25022 L
.53809 .2489 L
.53523 .24773 L
s
.6 .3 m
.59863 .29852 L
.59707 .2969 L
.59555 .29538 L
.59403 .2939 L
.59236 .29233 L
.5907 .29082 L
.58887 .28921 L
.58706 .28766 L
.58527 .28617 L
.5833 .28458 L
.58136 .28305 L
.57945 .28159 L
.57736 .28004 L
.57531 .27855 L
.57308 .27697 L
.57088 .27547 L
.56873 .27403 L
.56639 .27251 L
.56411 .27106 L
.56164 .26953 L
.55922 .26808 L
.55686 .26669 L
.55431 .26524 L
.55195 .26394 L
s
.6 .31667 m
.59937 .31523 L
.59862 .31367 L
.59785 .31219 L
.59706 .31077 L
.59615 .30925 L
.59522 .30778 L
.59417 .30621 L
.5931 .3047 L
.59201 .30325 L
.59079 .30169 L
.58956 .30019 L
.58833 .29875 L
.58696 .29722 L
.58558 .29574 L
.58407 .29416 L
.58255 .29265 L
.58104 .29119 L
.57938 .28964 L
.57772 .28816 L
.57592 .28658 L
.57412 .28507 L
.57235 .28363 L
.57042 .28209 L
.5686 .2807 L
s
.6 .33333 m
.60002 .33301 L
.60004 .33266 L
.60006 .33229 L
.60007 .33195 L
.60007 .33176 L
.60007 .33157 L
.60008 .33148 L
.60008 .33138 L
.60008 .33132 L
.60008 .33127 L
.60008 .33122 L
.60008 .33117 L
.60008 .33112 L
.60008 .3311 L
.60008 .33107 L
.60008 .33103 L
.60008 .33098 L
.60008 .33096 L
.60008 .33093 L
.60008 .33091 L
.60008 .33088 L
.60008 .33084 L
.60008 .33079 L
.60008 .3307 L
.60008 .33062 L
.60007 .33044 L
.60007 .33026 L
.60007 .33006 L
.60005 .3297 L
.60004 .32936 L
.60002 .32903 L
.59998 .32836 L
.59991 .32761 L
.59974 .32616 L
.59951 .32475 L
.59921 .32325 L
.59885 .3218 L
.59846 .3204 L
.59798 .31891 L
.59745 .31747 L
.59683 .31593 L
.59617 .31444 L
.59548 .31301 L
.59468 .31148 L
.59385 .31 L
.593 .30858 L
.59204 .30706 L
.59105 .3056 L
.58994 .30404 L
Mistroke
.58881 .30253 L
.58768 .30108 L
.58641 .29954 L
.58514 .29807 L
Mfstroke
.6 .35 m
.60072 .34866 L
.60144 .3472 L
.60206 .34583 L
.6026 .3445 L
.60312 .34309 L
.60356 .34173 L
.60397 .34028 L
.6043 .33887 L
.60457 .33752 L
.60479 .33608 L
.60487 .33536 L
.60494 .33469 L
.60499 .33404 L
.60503 .33334 L
.60505 .33299 L
.60505 .3328 L
.60506 .33259 L
.60506 .3324 L
.60507 .33222 L
.60507 .33214 L
.60507 .33205 L
.60507 .332 L
.60507 .33196 L
.60507 .33192 L
.60507 .33188 L
.60507 .33183 L
.60507 .33181 L
.60507 .33179 L
.60507 .33175 L
.60507 .3317 L
.60507 .33166 L
.60507 .33162 L
.60507 .33158 L
.60507 .33154 L
.60507 .33146 L
.60507 .33136 L
.60507 .33127 L
.60507 .33118 L
.60506 .33086 L
.60505 .33068 L
.60505 .33052 L
.60502 .32984 L
.60499 .32945 L
.60497 .32909 L
.60483 .32768 L
.60464 .32631 L
.60437 .32486 L
.60406 .32345 L
.60366 .32195 L
Mistroke
.60322 .3205 L
.60274 .3191 L
.60216 .3176 L
.60155 .31615 L
.60151 .31608 L
Mfstroke
.6 .36667 m
.60132 .36538 L
.60271 .36397 L
.60396 .36265 L
.60511 .36138 L
.60628 .36002 L
.60736 .35872 L
.60845 .35733 L
.60945 .35599 L
.61035 .35471 L
.61126 .35334 L
.61208 .35202 L
.61282 .35076 L
.61354 .34941 L
.61419 .34812 L
.61482 .34674 L
.61536 .34541 L
.61583 .34413 L
.61628 .34277 L
.61665 .34146 L
.61698 .34007 L
.61724 .33872 L
.61744 .33742 L
.61751 .33676 L
.61758 .33604 L
.61763 .33539 L
.61766 .33477 L
s
.6 .38333 m
.60188 .38209 L
.60388 .38074 L
.60572 .37947 L
.60744 .37825 L
.60924 .37695 L
.61092 .37571 L
.61266 .37439 L
.61428 .37313 L
.6158 .37192 L
.61737 .37064 L
.61883 .36941 L
.6202 .36824 L
.6216 .367 L
.6229 .36581 L
.62423 .36456 L
.62546 .36337 L
.6266 .36222 L
.62776 .36102 L
.62883 .35986 L
.62992 .35865 L
.63091 .35749 L
.63182 .35638 L
.63273 .3552 L
.63352 .35414 L
s
.6 .4 m
.60239 .39881 L
.60496 .39751 L
.60734 .39629 L
.6096 .39512 L
.61197 .39389 L
.61422 .39271 L
.61657 .39147 L
.61879 .39028 L
.6209 .38915 L
.6231 .38797 L
.62518 .38684 L
.62715 .38578 L
.62921 .38466 L
.63115 .38361 L
.63317 .38251 L
.63508 .38148 L
.63688 .3805 L
.63876 .3795 L
.64054 .37855 L
.64238 .37757 L
.64412 .37666 L
.64576 .37581 L
.64746 .37493 L
.64899 .37416 L
s
.6 .41667 m
.60285 .41552 L
.60595 .41428 L
.60883 .41311 L
.61158 .412 L
.61448 .41083 L
.61726 .40971 L
.62018 .40855 L
.62297 .40744 L
.62563 .4064 L
.62844 .40532 L
.63111 .4043 L
.63366 .40336 L
.63635 .40238 L
.63891 .40148 L
.64161 .40056 L
.64419 .39971 L
.64664 .39895 L
.64923 .39817 L
.65171 .39748 L
.65431 .3968 L
.65681 .3962 L
.65919 .39568 L
.66171 .39518 L
.664 .39479 L
s
.6 .43333 m
.60327 .43224 L
.60683 .43104 L
.61017 .42993 L
.61337 .42888 L
.61677 .42777 L
.62003 .42672 L
.62349 .42563 L
.62681 .42461 L
.62999 .42366 L
.63336 .42268 L
.6366 .42179 L
.6397 .42097 L
.64299 .42014 L
.64616 .41941 L
.64951 .41868 L
.65273 .41805 L
.65583 .41751 L
.65912 .41701 L
.66228 .41661 L
.66565 .41628 L
.66734 .41614 L
.6689 .41605 L
.67042 .41597 L
.67119 .41594 L
.67203 .41592 L
.67246 .41591 L
.67286 .4159 L
.67322 .4159 L
.67362 .41589 L
.67382 .41589 L
.67405 .41589 L
.67416 .41589 L
.67422 .41589 L
.67428 .41589 L
.67434 .41589 L
.6744 .41589 L
.67451 .41589 L
.67461 .41589 L
.67471 .41589 L
.67477 .41589 L
.67482 .41589 L
.67493 .41589 L
.67503 .41589 L
.67514 .41589 L
.67533 .41589 L
.67573 .4159 L
.6761 .4159 L
.67652 .41591 L
.67693 .41592 L
Mistroke
.67765 .41594 L
.67843 .41597 L
.67844 .41597 L
Mfstroke
.6 .45 m
.60364 .44895 L
.60763 .44781 L
.61137 .44675 L
.61498 .44575 L
.61883 .4447 L
.62254 .44372 L
.62648 .44271 L
.63029 .44178 L
.63396 .44092 L
.63786 .44005 L
.64163 .43928 L
.64526 .43859 L
.64912 .43793 L
.65286 .43737 L
.65683 .43686 L
.66068 .43646 L
.66439 .43617 L
.66631 .43606 L
.66836 .43597 L
.66937 .43594 L
.6699 .43592 L
.67046 .43591 L
.67096 .4359 L
.67122 .4359 L
.6715 .4359 L
.67176 .43589 L
.67199 .43589 L
.6721 .43589 L
.67223 .43589 L
.67234 .43589 L
.67245 .43589 L
.67257 .43589 L
.67269 .43589 L
.67279 .43589 L
.67291 .43589 L
.67303 .43589 L
.6731 .43589 L
.67316 .43589 L
.67329 .43589 L
.6734 .43589 L
.67362 .43589 L
.67386 .4359 L
.67429 .4359 L
.67476 .43591 L
.67528 .43592 L
.67633 .43595 L
.67734 .43598 L
.67827 .43602 L
.68036 .43614 L
Mistroke
.68227 .43628 L
.68436 .43648 L
.68849 .43699 L
.69221 .43759 L
Mfstroke
.6 .46667 m
.60397 .46566 L
.60832 .46458 L
.61243 .46357 L
.6164 .46263 L
.62066 .46164 L
.62477 .46073 L
.62916 .45979 L
.63341 .45894 L
.63753 .45818 L
.64193 .45743 L
.64618 .45678 L
.6503 .45622 L
.65471 .45573 L
.65898 .45535 L
.66116 .45519 L
.66355 .45505 L
.66466 .455 L
.66585 .45496 L
.66696 .45492 L
.66799 .4549 L
.66855 .45489 L
.66915 .45488 L
.66944 .45487 L
.66974 .45487 L
.66992 .45487 L
.67008 .45487 L
.67024 .45487 L
.6704 .45487 L
.67054 .45487 L
.67061 .45487 L
.67069 .45487 L
.67083 .45487 L
.67096 .45487 L
.67103 .45487 L
.67112 .45487 L
.6712 .45487 L
.67128 .45487 L
.67142 .45487 L
.6715 .45487 L
.67157 .45487 L
.67184 .45487 L
.67214 .45487 L
.67242 .45487 L
.67268 .45488 L
.67321 .45488 L
.67378 .45489 L
.67481 .45492 L
.67604 .45496 L
.67717 .455 L
Mistroke
.67935 .45512 L
.68174 .45529 L
.68648 .45576 L
.6911 .45641 L
.69608 .45731 L
.70096 .45841 L
.7052 .45955 L
Mfstroke
.6 .48333 m
.60425 .48238 L
.60892 .48135 L
.61334 .48039 L
.61764 .4795 L
.62224 .47858 L
.62672 .47773 L
.63151 .47687 L
.63617 .4761 L
.64069 .47543 L
.64553 .47479 L
.65024 .47426 L
.65481 .47385 L
.65737 .47366 L
.65972 .47351 L
.66216 .4734 L
.66449 .47331 L
.66568 .47328 L
.66634 .47327 L
.66695 .47326 L
.66753 .47325 L
.66783 .47325 L
.66815 .47325 L
.66842 .47325 L
.66857 .47325 L
.66872 .47325 L
.66886 .47325 L
.66899 .47324 L
.66912 .47324 L
.66925 .47324 L
.66939 .47324 L
.66954 .47324 L
.66969 .47325 L
.66982 .47325 L
.66997 .47325 L
.67013 .47325 L
.67045 .47325 L
.67078 .47325 L
.67112 .47326 L
.67174 .47326 L
.67237 .47327 L
.67296 .47329 L
.67406 .47332 L
.6753 .47336 L
.6766 .47341 L
.67896 .47355 L
.68147 .47373 L
.68384 .47394 L
.68891 .47453 L
.69438 .47539 L
Mistroke
.69975 .47647 L
.705 .47775 L
.7107 .47942 L
.7163 .48133 L
.71728 .48169 L
Mfstroke
.6 .5 m
.60447 .49909 L
.60941 .49812 L
.61411 .49721 L
.61868 .49637 L
.62359 .49551 L
.62838 .49472 L
.63352 .49394 L
.63854 .49326 L
.64342 .49267 L
.64867 .49214 L
.65379 .49173 L
.65638 .49157 L
.65877 .49144 L
.66135 .49134 L
.66278 .4913 L
.66349 .49129 L
.66414 .49127 L
.66476 .49126 L
.66543 .49125 L
.66579 .49125 L
.66613 .49125 L
.66646 .49124 L
.66664 .49124 L
.6668 .49124 L
.66694 .49124 L
.6671 .49124 L
.66726 .49124 L
.66742 .49124 L
.66756 .49124 L
.66771 .49124 L
.66784 .49124 L
.66799 .49124 L
.66816 .49124 L
.66831 .49124 L
.66866 .49124 L
.66897 .49125 L
.66929 .49125 L
.66997 .49126 L
.67059 .49127 L
.67199 .4913 L
.67328 .49133 L
.67451 .49138 L
.67727 .49151 L
.67984 .49168 L
.68539 .49219 L
.69081 .49289 L
.69668 .49388 L
.70244 .49509 L
.70868 .49671 L
Mistroke
.71483 .4986 L
.72088 .50077 L
.72748 .50349 L
.72833 .50387 L
Mfstroke
.6 .51667 m
.60466 .51581 L
.60981 .51488 L
.61473 .51403 L
.61952 .51324 L
.6247 .51244 L
.62975 .51171 L
.6352 .51101 L
.64052 .5104 L
.64572 .5099 L
.65132 .50947 L
.65414 .5093 L
.6568 .50917 L
.65937 .50908 L
.66082 .50904 L
.66215 .50901 L
.66283 .509 L
.66355 .50899 L
.66391 .50898 L
.66424 .50898 L
.66454 .50898 L
.66486 .50898 L
.66505 .50898 L
.66522 .50898 L
.66541 .50898 L
.66551 .50898 L
.66561 .50898 L
.66577 .50898 L
.66596 .50898 L
.66613 .50898 L
.66629 .50898 L
.66648 .50898 L
.66665 .50898 L
.66704 .50898 L
.66743 .50898 L
.66785 .50899 L
.66856 .509 L
.66923 .50901 L
.67075 .50904 L
.67224 .50908 L
.67384 .50915 L
.67699 .50931 L
.68 .50952 L
.6858 .51007 L
.69209 .51092 L
.69827 .512 L
.70432 .51332 L
.71091 .51506 L
.7174 .5171 L
.72448 .51969 L
Mistroke
.73148 .52266 L
.73825 .52591 L
Mfstroke
.6 .53333 m
.60479 .53252 L
.61011 .53165 L
.6152 .53085 L
.62017 .53011 L
.62555 .52937 L
.63082 .5287 L
.63652 .52806 L
.6421 .52752 L
.64756 .5271 L
.65036 .52693 L
.65348 .52677 L
.65491 .52671 L
.65645 .52665 L
.65791 .52661 L
.65927 .52657 L
.66077 .52655 L
.66157 .52654 L
.66198 .52653 L
.66242 .52653 L
.66262 .52653 L
.66284 .52653 L
.66304 .52653 L
.66323 .52652 L
.66341 .52652 L
.6636 .52652 L
.66371 .52652 L
.66381 .52652 L
.664 .52652 L
.66417 .52652 L
.66436 .52652 L
.66452 .52652 L
.66469 .52652 L
.66488 .52653 L
.66508 .52653 L
.66544 .52653 L
.6658 .52653 L
.66619 .52654 L
.66689 .52654 L
.66773 .52656 L
.66849 .52657 L
.67015 .52662 L
.67172 .52667 L
.67482 .52681 L
.6777 .52699 L
.68394 .52753 L
.69006 .52828 L
.69671 .52936 L
.70325 .5307 L
.71036 .53249 L
Mistroke
.71739 .53461 L
.72432 .53706 L
.73189 .54016 L
.7394 .54367 L
.7469 .54763 L
Mfstroke
.6 .55 m
.60488 .54924 L
.61031 .54842 L
.61552 .54767 L
.62062 .54698 L
.62616 .54629 L
.63159 .54568 L
.63748 .5451 L
.64327 .54464 L
.64895 .54428 L
.65192 .54414 L
.65345 .54409 L
.65511 .54403 L
.65666 .54399 L
.6581 .54396 L
.65879 .54395 L
.65954 .54394 L
.65989 .54394 L
.66026 .54394 L
.66057 .54394 L
.66092 .54393 L
.66112 .54393 L
.66133 .54393 L
.66144 .54393 L
.66155 .54393 L
.66165 .54393 L
.66175 .54393 L
.66194 .54393 L
.66215 .54393 L
.66233 .54393 L
.66252 .54393 L
.66273 .54393 L
.66295 .54393 L
.66335 .54393 L
.66382 .54394 L
.66426 .54394 L
.665 .54395 L
.6658 .54396 L
.66744 .54399 L
.66907 .54404 L
.67056 .54409 L
.67393 .54425 L
.67705 .54445 L
.68047 .54472 L
.6873 .54546 L
.69404 .54644 L
.70066 .54768 L
.70787 .54935 L
.71499 .55133 L
.72276 .55389 L
Mistroke
.73046 .55687 L
.73808 .56024 L
.74644 .56446 L
.75418 .56886 L
Mfstroke
.6 .56667 m
.60492 .56595 L
.61041 .56518 L
.61568 .56448 L
.62087 .56384 L
.62651 .5632 L
.63205 .56265 L
.63808 .56213 L
.64402 .56173 L
.64678 .56158 L
.64986 .56144 L
.65292 .56134 L
.65461 .56129 L
.65621 .56126 L
.65699 .56125 L
.6574 .56125 L
.65784 .56124 L
.65827 .56124 L
.65865 .56124 L
.65904 .56123 L
.65921 .56123 L
.6594 .56123 L
.65959 .56123 L
.65976 .56123 L
.65995 .56123 L
.66014 .56123 L
.66032 .56123 L
.6605 .56123 L
.66065 .56123 L
.66082 .56123 L
.66101 .56123 L
.66121 .56123 L
.66162 .56124 L
.662 .56124 L
.66236 .56124 L
.66312 .56125 L
.66394 .56126 L
.66562 .56129 L
.66718 .56134 L
.66864 .56138 L
.67201 .56153 L
.67511 .56172 L
.6819 .56229 L
.68858 .56308 L
.69586 .56423 L
.70304 .56566 L
.71013 .56739 L
.71787 .56965 L
.72553 .57229 L
.73392 .57565 L
Mistroke
.74225 .5795 L
.75052 .58383 L
.75963 .58921 L
.75998 .58943 L
Mfstroke
.6 .58333 m
.60491 .58266 L
.6104 .58195 L
.6157 .5813 L
.62091 .5807 L
.62659 .58012 L
.6322 .57961 L
.63831 .57915 L
.64142 .57895 L
.64434 .5788 L
.64739 .57866 L
.65028 .57857 L
.65169 .57853 L
.65323 .5785 L
.6541 .57848 L
.65494 .57847 L
.65569 .57846 L
.65651 .57845 L
.65692 .57845 L
.65713 .57845 L
.65736 .57845 L
.65756 .57845 L
.65767 .57845 L
.65778 .57845 L
.65798 .57845 L
.65817 .57845 L
.65836 .57845 L
.65857 .57845 L
.65877 .57845 L
.65896 .57845 L
.65931 .57845 L
.65968 .57845 L
.66008 .57846 L
.66052 .57846 L
.6613 .57847 L
.66224 .57848 L
.6631 .5785 L
.66472 .57853 L
.66623 .57858 L
.66969 .57872 L
.67316 .57891 L
.67635 .57914 L
.68333 .57981 L
.69022 .58071 L
.69774 .58199 L
.70518 .58357 L
.71253 .58547 L
.72057 .58794 L
.72854 .5908 L
.73727 .59445 L
Mistroke
.74596 .59862 L
.7546 .60332 L
.76412 .60915 L
.76417 .60919 L
Mfstroke
.6 .6 m
.60485 .59938 L
.6103 .59871 L
.61555 .59811 L
.62074 .59756 L
.62642 .59703 L
.63203 .59656 L
.63815 .59615 L
.64128 .59598 L
.64421 .59585 L
.6471 .59575 L
.64858 .5957 L
.6502 .59566 L
.65181 .59563 L
.65258 .59562 L
.6533 .59561 L
.65402 .59561 L
.6544 .59561 L
.6548 .5956 L
.65499 .5956 L
.65519 .5956 L
.65537 .5956 L
.65555 .5956 L
.65572 .5956 L
.65591 .5956 L
.65608 .5956 L
.65624 .5956 L
.65644 .5956 L
.65655 .5956 L
.65666 .5956 L
.65686 .5956 L
.65705 .5956 L
.65748 .5956 L
.65794 .59561 L
.65878 .59561 L
.65955 .59562 L
.66104 .59565 L
.66262 .59568 L
.66421 .59573 L
.66592 .59579 L
.66902 .59593 L
.67268 .59614 L
.67619 .59641 L
.68301 .59709 L
.69047 .59811 L
.69786 .5994 L
.70515 .60097 L
.71315 .60306 L
.72107 .60551 L
.72976 .60867 L
Mistroke
.7384 .61232 L
.74698 .61647 L
.75643 .62165 L
.76585 .62748 L
.76667 .62801 L
Mfstroke
.6 .61667 m
.60475 .61609 L
.61009 .61548 L
.61526 .61492 L
.62037 .61442 L
.62597 .61393 L
.63153 .61351 L
.6376 .61314 L
.64071 .61299 L
.64363 .61288 L
.6465 .61279 L
.64797 .61276 L
.6488 .61275 L
.64959 .61273 L
.65036 .61272 L
.6512 .61271 L
.65157 .61271 L
.65196 .61271 L
.65233 .6127 L
.65267 .6127 L
.65288 .6127 L
.6531 .6127 L
.65333 .6127 L
.65346 .6127 L
.65357 .6127 L
.65368 .6127 L
.65379 .6127 L
.65398 .6127 L
.6542 .6127 L
.65431 .6127 L
.65443 .6127 L
.65462 .6127 L
.65479 .6127 L
.6552 .6127 L
.6556 .6127 L
.65603 .61271 L
.65683 .61271 L
.65758 .61272 L
.6593 .61275 L
.66098 .61279 L
.66279 .61284 L
.66638 .61299 L
.66982 .61318 L
.67653 .61369 L
.68387 .61449 L
.69114 .61555 L
.69834 .61686 L
.70624 .61863 L
.71407 .62074 L
.72266 .62349 L
Mistroke
.7312 .62668 L
.73969 .63034 L
.74902 .63494 L
.75833 .64015 L
.76737 .64581 L
Mfstroke
.6 .63333 m
.6046 .63281 L
.60977 .63224 L
.6148 .63174 L
.61978 .63128 L
.62526 .63083 L
.63069 .63045 L
.63353 .63028 L
.63666 .63012 L
.63945 .63 L
.64258 .62989 L
.6456 .62982 L
.6464 .6298 L
.64727 .62979 L
.64808 .62978 L
.64884 .62977 L
.64961 .62976 L
.65003 .62976 L
.65042 .62976 L
.65063 .62975 L
.65085 .62975 L
.65096 .62975 L
.65109 .62975 L
.65121 .62975 L
.65131 .62975 L
.65142 .62975 L
.65152 .62975 L
.65163 .62975 L
.65175 .62975 L
.65185 .62975 L
.65196 .62975 L
.65216 .62975 L
.65235 .62975 L
.65253 .62975 L
.65273 .62975 L
.65294 .62976 L
.65329 .62976 L
.65367 .62976 L
.65455 .62977 L
.65536 .62978 L
.65706 .6298 L
.65867 .62984 L
.66173 .62993 L
.66506 .63008 L
.66819 .63025 L
.675 .63078 L
.68176 .63151 L
.68917 .63255 L
.69652 .63387 L
.70459 .63564 L
Mistroke
.71262 .63777 L
.72058 .64026 L
.72934 .64345 L
.73806 .64712 L
.74765 .65175 L
.75724 .65702 L
.76618 .66254 L
Mfstroke
.6 .65 m
.60439 .64952 L
.60936 .64901 L
.61418 .64855 L
.61898 .64813 L
.62426 .64772 L
.62952 .64738 L
.63227 .64723 L
.6353 .64709 L
.63802 .64698 L
.64106 .64689 L
.64247 .64685 L
.64399 .64682 L
.64484 .64681 L
.64562 .6468 L
.64636 .64679 L
.64715 .64678 L
.64756 .64678 L
.64794 .64678 L
.64828 .64677 L
.64846 .64677 L
.64865 .64677 L
.64884 .64677 L
.64901 .64677 L
.64919 .64677 L
.64938 .64677 L
.64956 .64677 L
.64973 .64677 L
.64989 .64677 L
.65006 .64677 L
.65025 .64677 L
.65044 .64677 L
.65086 .64678 L
.65127 .64678 L
.65172 .64678 L
.65253 .64679 L
.65327 .6468 L
.65482 .64682 L
.65626 .64685 L
.65958 .64695 L
.66292 .6471 L
.666 .64727 L
.67279 .64779 L
.67954 .6485 L
.68695 .64952 L
.69432 .65081 L
.70163 .65236 L
.70968 .65441 L
.71768 .65682 L
.72649 .65991 L
Mistroke
.73527 .66349 L
.74401 .66755 L
.75364 .67263 L
.76298 .67819 L
Mfstroke
.6 .66667 m
.60414 .66623 L
.60883 .66577 L
.61341 .66536 L
.61797 .66498 L
.62299 .66461 L
.628 .66431 L
.63063 .66417 L
.63353 .66404 L
.63613 .66395 L
.63905 .66386 L
.6404 .66383 L
.64186 .6638 L
.64267 .66379 L
.64342 .66378 L
.64413 .66377 L
.64453 .66377 L
.6449 .66377 L
.64526 .66377 L
.64565 .66376 L
.64583 .66376 L
.64601 .66376 L
.64618 .66376 L
.64634 .66376 L
.6465 .66376 L
.64667 .66376 L
.64683 .66376 L
.64698 .66376 L
.64716 .66376 L
.64732 .66376 L
.6475 .66376 L
.64769 .66376 L
.64805 .66376 L
.64844 .66377 L
.64915 .66377 L
.64957 .66377 L
.65 .66378 L
.65079 .66379 L
.65223 .66381 L
.65379 .66384 L
.65663 .66392 L
.65999 .66406 L
.66322 .66423 L
.66955 .66469 L
.67651 .66539 L
.68344 .6663 L
.69033 .66744 L
.69792 .66896 L
.70548 .67079 L
.7138 .67316 L
Mistroke
.7221 .67593 L
.73036 .67911 L
.73947 .68312 L
.74855 .68767 L
.75766 .69281 L
Mfstroke
.6 .68333 m
.60384 .68295 L
.60821 .68254 L
.61247 .68217 L
.61673 .68183 L
.62143 .6815 L
.62614 .68123 L
.6286 .68111 L
.63133 .68099 L
.63378 .6809 L
.63653 .68082 L
.63781 .6808 L
.63919 .68077 L
.63996 .68076 L
.64066 .68075 L
.64134 .68074 L
.64206 .68074 L
.64243 .68073 L
.64277 .68073 L
.64311 .68073 L
.64326 .68073 L
.64342 .68073 L
.64357 .68073 L
.64372 .68073 L
.64388 .68073 L
.64403 .68073 L
.64421 .68073 L
.64438 .68073 L
.64453 .68073 L
.6447 .68073 L
.64488 .68073 L
.64505 .68073 L
.64543 .68073 L
.64581 .68073 L
.64622 .68073 L
.64695 .68074 L
.64763 .68075 L
.64904 .68077 L
.65036 .68079 L
.65192 .68083 L
.6534 .68087 L
.65647 .68098 L
.6593 .68112 L
.66532 .68151 L
.67195 .68212 L
.67857 .68292 L
.68517 .68391 L
.69244 .68525 L
.69968 .68686 L
.70767 .68895 L
Mistroke
.71565 .69141 L
.7236 .69422 L
.73237 .69778 L
.74112 .70182 L
.75012 .70652 L
Mfstroke
.6 .7 m
.6035 .69966 L
.60747 .6993 L
.61137 .69897 L
.61526 .69868 L
.61958 .69839 L
.62391 .69814 L
.6287 .69793 L
.63117 .69784 L
.6335 .69778 L
.63581 .69773 L
.63699 .69771 L
.63767 .6977 L
.63831 .69769 L
.63893 .69769 L
.63961 .69768 L
.63991 .69768 L
.64023 .69768 L
.64053 .69768 L
.64081 .69768 L
.64098 .69768 L
.64106 .69768 L
.64115 .69768 L
.64132 .69768 L
.64148 .69768 L
.64157 .69768 L
.64166 .69768 L
.64183 .69768 L
.64192 .69768 L
.64201 .69768 L
.64221 .69768 L
.64252 .69768 L
.64286 .69768 L
.64321 .69768 L
.64355 .69768 L
.64417 .69769 L
.64485 .69769 L
.64625 .69771 L
.64755 .69774 L
.64877 .69776 L
.65162 .69785 L
.65425 .69796 L
.66008 .69828 L
.66589 .69874 L
.67232 .69942 L
.67875 .70027 L
.68516 .70132 L
.69223 .70271 L
.6993 .70435 L
.7071 .70647 L
Mistroke
.71489 .70894 L
.72267 .71175 L
.73125 .71529 L
.73982 .7193 L
.7402 .71949 L
Mfstroke
.6 .71667 m
.6031 .71638 L
.60663 .71606 L
.6101 .71578 L
.61358 .71553 L
.61744 .71527 L
.62132 .71506 L
.62562 .71486 L
.62785 .71478 L
.62995 .71472 L
.63203 .71467 L
.63311 .71465 L
.63428 .71463 L
.63489 .71463 L
.63546 .71462 L
.63603 .71462 L
.63655 .71461 L
.63705 .71461 L
.63733 .71461 L
.63759 .71461 L
.63772 .71461 L
.63787 .71461 L
.63794 .71461 L
.63803 .71461 L
.63817 .71461 L
.63831 .71461 L
.63846 .71461 L
.6386 .71461 L
.63873 .71461 L
.63887 .71461 L
.639 .71461 L
.63914 .71461 L
.6393 .71461 L
.63962 .71461 L
.63992 .71461 L
.64046 .71461 L
.64103 .71462 L
.64225 .71463 L
.64359 .71465 L
.64488 .71468 L
.64607 .71471 L
.64876 .71479 L
.65128 .71489 L
.65406 .71503 L
.65972 .71541 L
.66538 .71592 L
.67104 .71657 L
.6773 .71745 L
.68357 .71851 L
.69049 .71991 L
Mistroke
.69742 .72156 L
.70435 .72347 L
.712 .72588 L
.71965 .72864 L
.72774 .73195 L
Mfstroke
.6 .73333 m
.60265 .73309 L
.60568 .73283 L
.60866 .73259 L
.61166 .73237 L
.615 .73216 L
.61835 .73197 L
.62209 .7318 L
.62402 .73172 L
.62585 .73167 L
.62778 .73161 L
.62963 .73158 L
.63062 .73156 L
.63153 .73155 L
.63255 .73154 L
.63312 .73153 L
.6334 .73153 L
.63367 .73153 L
.63392 .73153 L
.6342 .73153 L
.63432 .73153 L
.63445 .73153 L
.63457 .73153 L
.63468 .73153 L
.63481 .73153 L
.63495 .73153 L
.63507 .73153 L
.6352 .73153 L
.63526 .73153 L
.63534 .73153 L
.63547 .73153 L
.63554 .73153 L
.63561 .73153 L
.63577 .73153 L
.63601 .73153 L
.63626 .73153 L
.63672 .73153 L
.63721 .73153 L
.63776 .73154 L
.63889 .73155 L
.63992 .73157 L
.64229 .73161 L
.6445 .73168 L
.64695 .73177 L
.65193 .73203 L
.65693 .73238 L
.66194 .73284 L
.66749 .73348 L
.67305 .73425 L
.67921 .73528 L
Mistroke
.68539 .73649 L
.69157 .73789 L
.69841 .73968 L
.70526 .74173 L
.71254 .74421 L
Mfstroke
.6 .75 m
.60216 .7498 L
.60463 .74959 L
.60706 .7494 L
.60951 .74922 L
.61225 .74904 L
.61501 .74888 L
.61809 .74874 L
.6212 .74861 L
.62433 .74852 L
.626 .74849 L
.62687 .74847 L
.62781 .74846 L
.62871 .74845 L
.62954 .74844 L
.62994 .74844 L
.63015 .74844 L
.63038 .74844 L
.6306 .74844 L
.6308 .74844 L
.63089 .74844 L
.631 .74844 L
.63109 .74844 L
.63119 .74844 L
.6313 .74844 L
.6314 .74844 L
.63151 .74844 L
.63158 .74844 L
.63164 .74844 L
.63173 .74844 L
.63184 .74844 L
.63195 .74844 L
.63206 .74844 L
.6323 .74844 L
.63252 .74844 L
.63302 .74844 L
.63348 .74844 L
.63399 .74845 L
.63501 .74846 L
.636 .74847 L
.6369 .74849 L
.63897 .74854 L
.64091 .7486 L
.64306 .74868 L
.64743 .7489 L
.65183 .7492 L
.65624 .74958 L
.66114 .75011 L
.66606 .75074 L
.67151 .75156 L
Mistroke
.677 .75254 L
.68249 .75366 L
.68858 .75508 L
.69435 .75662 L
Mfstroke
.6 .76667 m
.60161 .76652 L
.60346 .76635 L
.60529 .76621 L
.60713 .76607 L
.6092 .76593 L
.61128 .7658 L
.61362 .76568 L
.61598 .76557 L
.61836 .76549 L
.61961 .76545 L
.62102 .76541 L
.62241 .76538 L
.62371 .76536 L
.62441 .76536 L
.62508 .76535 L
.62543 .76535 L
.6258 .76535 L
.62601 .76534 L
.62621 .76534 L
.62639 .76534 L
.62659 .76534 L
.62668 .76534 L
.62678 .76534 L
.62686 .76534 L
.62695 .76534 L
.627 .76534 L
.62705 .76534 L
.62715 .76534 L
.62724 .76534 L
.62733 .76534 L
.62741 .76534 L
.6275 .76534 L
.62758 .76534 L
.62766 .76534 L
.62783 .76534 L
.62802 .76534 L
.62821 .76534 L
.62841 .76534 L
.62877 .76535 L
.62921 .76535 L
.6296 .76535 L
.63038 .76536 L
.6311 .76537 L
.63275 .7654 L
.63428 .76543 L
.636 .76549 L
.63949 .76563 L
.643 .76582 L
.64691 .76609 L
Mistroke
.65086 .76643 L
.65482 .76683 L
.65922 .76737 L
.66366 .768 L
.66858 .7688 L
.67286 .7696 L
Mfstroke
.6 .78333 m
.60102 .78323 L
.60218 .78312 L
.60334 .78302 L
.60451 .78292 L
.60583 .78282 L
.60716 .78273 L
.60866 .78263 L
.61017 .78255 L
.6117 .78247 L
.61342 .7824 L
.61516 .78234 L
.61692 .7823 L
.61785 .78228 L
.61888 .78226 L
.61939 .78225 L
.61995 .78225 L
.62049 .78224 L
.621 .78224 L
.62126 .78224 L
.62141 .78224 L
.62156 .78224 L
.62169 .78224 L
.62183 .78224 L
.6219 .78224 L
.62197 .78224 L
.62203 .78224 L
.62209 .78224 L
.62216 .78224 L
.62222 .78224 L
.62229 .78224 L
.62233 .78224 L
.62236 .78224 L
.62243 .78224 L
.62249 .78224 L
.62255 .78224 L
.62262 .78224 L
.62274 .78224 L
.62285 .78224 L
.62311 .78224 L
.62339 .78224 L
.62369 .78224 L
.62425 .78224 L
.6248 .78225 L
.62532 .78226 L
.62642 .78227 L
.62766 .7823 L
.63017 .78237 L
.63271 .78246 L
.63555 .7826 L
Mistroke
.63841 .78278 L
.6413 .78299 L
.64452 .78327 L
.64769 .7836 L
Mfstroke
.6 .8 m
.60037 .79994 L
.6008 .79988 L
.60122 .79982 L
.60166 .79977 L
.60214 .79971 L
.60264 .79966 L
.6032 .7996 L
.60377 .79955 L
.60434 .7995 L
.60499 .79944 L
.60565 .79939 L
.60632 .79935 L
.60707 .7993 L
.60783 .79926 L
.60869 .79922 L
.60956 .79918 L
.61044 .79915 L
.61143 .79912 L
.61243 .7991 L
.61296 .79909 L
.61355 .79908 L
.61414 .79907 L
.61442 .79907 L
.61469 .79907 L
.61498 .79907 L
.61525 .79907 L
.6154 .79907 L
.61555 .79906 L
.61562 .79906 L
.6157 .79906 L
.61574 .79906 L
.61579 .79906 L
.61583 .79906 L
.61587 .79906 L
.61591 .79906 L
.61595 .79906 L
.61597 .79906 L
.61599 .79906 L
.61602 .79906 L
.61606 .79906 L
.6161 .79906 L
.61614 .79906 L
.61619 .79906 L
.61626 .79906 L
.61632 .79906 L
.61648 .79906 L
.61664 .79907 L
.61679 .79907 L
.61714 .79907 L
Mistroke
.61744 .79907 L
.61773 .79907 L
.61838 .79908 L
Mfstroke
.6 .81667 m
.59967 .81666 L
.5993 .81665 L
.59893 .81664 L
.59855 .81662 L
.59813 .81661 L
.59771 .8166 L
.59723 .81659 L
.59674 .81658 L
.59625 .81657 L
.5957 .81655 L
.59514 .81654 L
.59457 .81653 L
.59394 .81652 L
.59329 .81651 L
.59257 .8165 L
.59184 .81649 L
.59109 .81648 L
.59026 .81647 L
.58941 .81646 L
.58893 .81646 L
.58846 .81646 L
.58823 .81646 L
.58798 .81646 L
.58777 .81646 L
.58753 .81645 L
.5874 .81645 L
.58734 .81645 L
.58728 .81645 L
.58723 .81645 L
.58717 .81645 L
.58714 .81645 L
.58711 .81645 L
.58707 .81645 L
.58704 .81645 L
.58701 .81645 L
.58698 .81645 L
.58696 .81645 L
.58694 .81645 L
.58693 .81645 L
.58691 .81645 L
.58687 .81645 L
.58684 .81645 L
.5868 .81645 L
.58676 .81645 L
.58664 .81645 L
.58657 .81645 L
.58651 .81645 L
.58637 .81645 L
.58623 .81645 L
Mistroke
.58597 .81646 L
.58571 .81646 L
.58546 .81646 L
.58489 .81646 L
.58436 .81646 L
.58435 .81646 L
Mfstroke
.6 .83333 m
.59893 .83337 L
.59769 .83341 L
.59646 .83345 L
.59521 .83348 L
.5938 .83352 L
.59236 .83356 L
.59074 .8336 L
.58909 .83365 L
.58741 .83369 L
.58552 .83374 L
.58359 .8338 L
.58163 .83386 L
.57942 .83394 L
.57717 .83402 L
.57463 .83412 L
.57204 .83423 L
.56941 .83436 L
.56643 .83451 L
.5634 .83468 L
.55998 .83489 L
.55648 .83513 L
.5529 .83538 L
.54887 .8357 L
.54495 .83603 L
s
.6 .85 m
.59813 .85008 L
.59597 .85018 L
.59381 .85026 L
.59161 .85035 L
.58913 .85044 L
.58659 .85054 L
.58372 .85064 L
.58079 .85076 L
.57779 .85089 L
.57441 .85103 L
.57095 .8512 L
.56742 .85138 L
.56344 .8516 L
.55936 .85185 L
.55475 .85215 L
.55002 .85249 L
.54519 .85287 L
.53972 .85333 L
.53411 .85384 L
.52776 .85447 L
.52121 .85516 L
.5145 .85591 L
.50688 .85683 L
.49944 .85777 L
s
.6 .86667 m
.59729 .8668 L
.59414 .86694 L
.59098 .86708 L
.58776 .86721 L
.58411 .86737 L
.58038 .86753 L
.57615 .86772 L
.57181 .86793 L
.56737 .86816 L
.56234 .86844 L
.55718 .86875 L
.5519 .8691 L
.54592 .86953 L
.53978 .87001 L
.53281 .87061 L
.52563 .87128 L
.51827 .87202 L
.50989 .87292 L
.50126 .87392 L
.49143 .87512 L
.48127 .87642 L
.47079 .87782 L
.45883 .87947 L
.44711 .88111 L
s
.6 .88333 m
.59639 .88351 L
.59219 .88371 L
.58797 .8839 L
.58366 .88409 L
.57876 .88431 L
.57373 .88455 L
.56803 .88484 L
.56215 .88516 L
.55613 .88552 L
.54928 .88596 L
.54224 .88647 L
.53501 .88703 L
.52679 .88774 L
.51832 .88853 L
.50867 .8895 L
.4987 .89059 L
.48842 .89177 L
.47669 .8932 L
.46455 .89474 L
.45066 .89656 L
.43624 .89846 L
.42131 .90042 L
.40421 .90258 L
.38739 .90456 L
s
.6 .9 m
.59544 .90023 L
.59013 .90047 L
.58478 .90072 L
.57929 .90097 L
.57305 .90127 L
.56663 .90159 L
.55933 .902 L
.55179 .90245 L
.54403 .90297 L
.53519 .90362 L
.52607 .90436 L
.51668 .90519 L
.50596 .90622 L
.49488 .90738 L
.48221 .90878 L
.46907 .91033 L
.45547 .91198 L
.43989 .91392 L
.42371 .91592 L
.40514 .91816 L
.38581 .92032 L
.36576 .92229 L
.35503 .9232 L
.34279 .92407 L
.33131 .92473 L
.32023 .92519 L
s
.6 .91667 m
.59444 .91694 L
.58795 .91724 L
.5814 .91754 L
.57467 .91786 L
.56699 .91824 L
.55907 .91867 L
.55004 .9192 L
.5407 .91982 L
.53105 .92052 L
.52003 .92141 L
.50862 .92242 L
.49684 .92356 L
.48334 .92496 L
.46935 .9265 L
.4533 .92835 L
.43658 .93031 L
.41923 .93234 L
.3993 .93459 L
.37856 .93672 L
.35472 .93879 L
.34203 .93966 L
.3363 .93999 L
.32991 .94031 L
.32404 .94056 L
.31765 .94078 L
.31407 .94087 L
.31077 .94094 L
.30917 .94097 L
.30743 .94099 L
.30577 .94101 L
.30424 .94102 L
.30345 .94103 L
.30263 .94103 L
.3018 .94104 L
.30088 .94104 L
.30009 .94104 L
.29924 .94104 L
.29844 .94104 L
.29771 .94103 L
.29726 .94103 L
.29678 .94103 L
.29591 .94102 L
.29396 .94101 L
.29226 .94099 L
.29038 .94096 L
.28663 .94088 L
.28257 .94076 L
.27514 .94046 L
.26827 .94008 L
Mistroke
.26066 .93954 L
.24651 .93816 L
Mfstroke
.61667 .08333 m
.60096 .08126 L
.58426 .07898 L
.56898 .07687 L
.55466 .07494 L
.53981 .07303 L
.52591 .07135 L
.51156 .06976 L
.49816 .06843 L
.48565 .06732 L
.47277 .06633 L
.46078 .06553 L
.44963 .0649 L
.43816 .06435 L
.4275 .06391 L
.41658 .06351 L
.40645 .06316 L
.39704 .06283 L
.38739 .06246 L
.37843 .06205 L
.36926 .06153 L
.36073 .06092 L
.3528 .06021 L
.34464 .05928 L
.33742 .05826 L
s
.61667 .1 m
.60232 .09798 L
.58702 .09574 L
.573 .09367 L
.55981 .09175 L
.54611 .08983 L
.53325 .08811 L
.51993 .08646 L
.50745 .08505 L
.49578 .08385 L
.48372 .08275 L
.47247 .08186 L
.46197 .08113 L
.45114 .08049 L
.44105 .07998 L
.43069 .07953 L
.42105 .07917 L
.41209 .07887 L
.40288 .07856 L
.39432 .07827 L
.38554 .07793 L
.37738 .07754 L
.36978 .07711 L
.36197 .07654 L
.35506 .07592 L
s
.61667 .11667 m
.60363 .1147 L
.5897 .11251 L
.57689 .11047 L
.56482 .10857 L
.55224 .10664 L
.5404 .1049 L
.52811 .10319 L
.51656 .1017 L
.50572 .10042 L
.49449 .09922 L
.48397 .09821 L
.47414 .09738 L
.46396 .09663 L
.45446 .09603 L
.44467 .0955 L
.43554 .09508 L
.42703 .09474 L
.41827 .09443 L
.41011 .09417 L
.40172 .09391 L
.39391 .09365 L
.38665 .09338 L
.37917 .09305 L
.37254 .09269 L
s
.61667 .13333 m
.6049 .13141 L
.59229 .12928 L
.58067 .12728 L
.56969 .1254 L
.55822 .12347 L
.54738 .12171 L
.53611 .11996 L
.52547 .1184 L
.51547 .11704 L
.50507 .11574 L
.4953 .11462 L
.48613 .11368 L
.47662 .1128 L
.46772 .11208 L
.45851 .11144 L
.4499 .11092 L
.44186 .11051 L
.43355 .11014 L
.4258 .10985 L
.41782 .10959 L
.41037 .10937 L
.40342 .10917 L
.39627 .10896 L
.38993 .10874 L
s
.61667 .15 m
.60612 .14813 L
.5948 .14605 L
.58433 .14409 L
.57441 .14224 L
.56402 .14032 L
.55418 .13854 L
.5439 .13676 L
.53419 .13515 L
.52501 .13371 L
.51545 .13231 L
.50643 .13109 L
.49795 .13003 L
.48912 .12903 L
.48082 .12818 L
.47221 .1274 L
.46414 .12676 L
.45658 .12624 L
.44874 .12577 L
.44141 .1254 L
.43384 .12507 L
.42676 .12482 L
.42014 .12461 L
.41332 .12442 L
.40726 .12426 L
s
.61667 .16667 m
.6073 .16485 L
.59722 .16282 L
.58787 .16091 L
.57899 .15908 L
.56965 .15718 L
.56079 .1554 L
.5515 .15359 L
.54269 .15194 L
.53435 .15044 L
.52562 .14895 L
.51736 .14763 L
.50957 .14646 L
.50143 .14533 L
.49375 .14435 L
.48577 .14343 L
.47825 .14265 L
.47118 .14199 L
.46384 .14139 L
.45694 .14089 L
.4498 .14045 L
.4431 .1401 L
.43683 .13982 L
.43033 .13957 L
.42456 .13939 L
s
.61667 .18333 m
.60844 .18156 L
.59955 .17959 L
.59129 .17773 L
.58341 .17594 L
.57511 .17406 L
.56721 .17229 L
.5589 .17046 L
.55099 .16877 L
.54347 .16722 L
.53558 .16566 L
.52809 .16425 L
.52099 .16298 L
.51355 .16173 L
.50651 .16062 L
.49916 .15955 L
.49222 .15862 L
.48566 .15781 L
.47883 .15705 L
.47239 .15641 L
.4657 .15581 L
.45941 .15532 L
.45349 .15492 L
.44734 .15456 L
.44187 .15429 L
s
.61667 .2 m
.60953 .19828 L
.6018 .19636 L
.59459 .19455 L
.58769 .1928 L
.5804 .19095 L
.57343 .18919 L
.56608 .18737 L
.55906 .18566 L
.55236 .18407 L
.54531 .18245 L
.53859 .18096 L
.5322 .1796 L
.52547 .17824 L
.51908 .17701 L
.51239 .17579 L
.50603 .17471 L
.50002 .17375 L
.49372 .17282 L
.48776 .17201 L
.48155 .17124 L
.47568 .17058 L
.47014 .17002 L
.46437 .1695 L
.4592 .16909 L
s
.61667 .21667 m
.61058 .215 L
.60396 .21314 L
.59776 .21137 L
.59181 .20967 L
.5855 .20785 L
.57945 .20612 L
.57304 .20431 L
.5669 .20259 L
.56102 .20098 L
.5548 .19931 L
.54885 .19776 L
.54317 .19633 L
.53717 .19487 L
.53145 .19353 L
.52543 .19218 L
.51969 .19096 L
.51423 .18985 L
.50849 .18876 L
.50304 .18778 L
.49733 .18682 L
.49191 .18598 L
.48678 .18523 L
.48141 .18452 L
.47659 .18394 L
s
.61667 .23333 m
.61158 .23171 L
.60603 .22991 L
.60081 .2282 L
.59578 .22654 L
.59042 .22477 L
.58527 .22307 L
.57979 .22128 L
.57451 .21957 L
.56944 .21795 L
.56405 .21626 L
.55887 .21467 L
.55391 .21318 L
.54865 .21164 L
.5436 .21021 L
.53827 .20874 L
.53316 .20739 L
.52829 .20615 L
.52314 .2049 L
.51822 .20376 L
.51304 .20261 L
.50811 .20158 L
.50342 .20065 L
.49848 .19973 L
.49403 .19896 L
s
.61667 .25 m
.61254 .24843 L
.60801 .24669 L
.60373 .24503 L
.59959 .24342 L
.59516 .2417 L
.59087 .24004 L
.5863 .23828 L
.58187 .23659 L
.5776 .23498 L
.57304 .23328 L
.56863 .23166 L
.56439 .23014 L
.55987 .22855 L
.55552 .22705 L
.55089 .22549 L
.54644 .22404 L
.54217 .22269 L
.53763 .22129 L
.53328 .22 L
.52867 .21869 L
.52426 .21748 L
.52004 .21637 L
.51558 .21525 L
.51153 .21428 L
s
.61667 .26667 m
.61345 .26515 L
.6099 .26346 L
.60652 .26186 L
.60324 .26031 L
.5997 .25864 L
.59627 .25703 L
.59258 .25531 L
.58898 .25365 L
.5855 .25206 L
.58176 .25038 L
.57812 .24876 L
.5746 .24722 L
.57083 .2456 L
.56718 .24406 L
.56328 .24244 L
.5595 .24091 L
.55585 .23947 L
.55196 .23797 L
.5482 .23656 L
.5442 .2351 L
.54035 .23374 L
.53664 .23246 L
.53269 .23116 L
.5291 .23 L
s
.61667 .28333 m
.61431 .28186 L
.6117 .28024 L
.60919 .2787 L
.60673 .2772 L
.60406 .27559 L
.60144 .27404 L
.59861 .27237 L
.59584 .27076 L
.59312 .2692 L
.59019 .26755 L
.58732 .26595 L
.58453 .26442 L
.58151 .2628 L
.57857 .26124 L
.5754 .2596 L
.57232 .25803 L
.56932 .25654 L
.56609 .25496 L
.56296 .25347 L
.5596 .2519 L
.55634 .25042 L
.55319 .24902 L
.54981 .24755 L
.5467 .24625 L
s
.61667 .3 m
.61514 .29858 L
.6134 .29702 L
.61172 .29553 L
.61005 .2941 L
.60821 .29255 L
.60639 .29106 L
.6044 .28945 L
.60242 .2879 L
.60047 .2864 L
.59833 .28479 L
.59622 .28324 L
.59415 .28174 L
.59189 .28015 L
.58966 .27861 L
.58724 .27697 L
.58487 .2754 L
.58253 .27389 L
.58001 .27228 L
.57753 .27075 L
.57485 .26912 L
.57223 .26757 L
.56966 .26608 L
.5669 .26452 L
.56434 .26311 L
s
.61667 .31667 m
.61591 .3153 L
.61502 .31379 L
.61412 .31237 L
.61321 .31099 L
.61217 .30952 L
.61112 .30809 L
.60993 .30656 L
.60873 .30507 L
.60752 .30364 L
.60617 .3021 L
.60481 .30061 L
.60345 .29917 L
.60194 .29763 L
.60044 .29614 L
.59878 .29455 L
.59712 .29302 L
.59547 .29153 L
.59366 .28995 L
.59187 .28842 L
.5899 .2868 L
.58795 .28523 L
.58603 .28372 L
.58393 .28212 L
.58196 .28066 L
s
.61667 .33333 m
.61667 .33329 L
.61667 .33326 L
.61667 .33321 L
.61667 .33317 L
.61667 .3331 L
.61667 .33303 L
.61666 .33294 L
.61666 .33285 L
.61666 .33269 L
.61666 .33252 L
.61665 .33237 L
.61664 .33201 L
.61662 .33165 L
.6166 .33132 L
.61654 .33057 L
.61648 .32992 L
.61639 .3292 L
.61618 .3278 L
.61591 .32644 L
.61557 .32499 L
.61517 .32359 L
.61474 .32224 L
.61421 .32079 L
.61364 .31938 L
.61304 .31803 L
.61234 .31658 L
.61161 .31517 L
.61076 .31367 L
.60989 .31221 L
.60899 .31081 L
.60798 .3093 L
.60694 .30784 L
.60589 .30643 L
.60471 .30492 L
.60352 .30346 L
.60219 .3019 L
.60085 .3004 L
.59954 .29897 L
s
.61667 .35 m
.61732 .34873 L
.61798 .34735 L
.61853 .34605 L
.61902 .3448 L
.61947 .34346 L
.61986 .34218 L
.6202 .34082 L
.62048 .33951 L
.62069 .33824 L
.62078 .3376 L
.62086 .33689 L
.62092 .33622 L
.62096 .33559 L
.62097 .33525 L
.62099 .33492 L
.621 .33462 L
.621 .33446 L
.621 .3343 L
.621 .33422 L
.621 .33413 L
.621 .33409 L
.621 .33405 L
.621 .33402 L
.621 .334 L
.621 .33397 L
.621 .33395 L
.621 .33391 L
.621 .33387 L
.621 .33383 L
.621 .33381 L
.621 .33378 L
.621 .33374 L
.621 .3337 L
.621 .33362 L
.621 .33355 L
.621 .33346 L
.621 .3333 L
.62099 .33315 L
.62099 .333 L
.62098 .33265 L
.62096 .33232 L
.62092 .3317 L
.62087 .33103 L
.6208 .33041 L
.62062 .32909 L
.62039 .32781 L
.62009 .32644 L
.61974 .32512 L
.61931 .32371 L
Mistroke
.61884 .32234 L
.61832 .32101 L
.61772 .3196 L
.61708 .31822 L
.61702 .3181 L
Mfstroke
.61667 .36667 m
.61796 .36545 L
.61931 .36412 L
.62053 .36288 L
.62166 .3617 L
.62281 .36044 L
.62386 .35924 L
.62493 .35797 L
.62591 .35676 L
.62679 .35559 L
.62769 .35436 L
.62849 .35318 L
.62922 .35205 L
.62994 .35085 L
.63059 .3497 L
.63122 .34848 L
.63177 .34731 L
.63226 .34619 L
.63272 .345 L
.63311 .34386 L
.63347 .34265 L
.63377 .34148 L
.634 .34036 L
.6342 .33916 L
.63432 .33807 L
s
.61667 .38333 m
.61855 .38216 L
.62056 .3809 L
.6224 .37972 L
.62413 .3786 L
.62593 .37742 L
.62762 .37631 L
.62938 .37513 L
.63102 .37402 L
.63256 .37297 L
.63415 .37186 L
.63564 .37082 L
.63704 .36983 L
.63848 .3688 L
.63983 .36782 L
.64121 .3668 L
.64251 .36584 L
.64371 .36494 L
.64496 .36399 L
.64611 .36311 L
.6473 .36218 L
.6484 .36131 L
.64942 .36049 L
.65047 .35964 L
.65139 .35888 L
s
.61667 .4 m
.61909 .39888 L
.62171 .39767 L
.62413 .39656 L
.62643 .3955 L
.62884 .39441 L
.63113 .39337 L
.63353 .3923 L
.63581 .3913 L
.63797 .39036 L
.64024 .3894 L
.64239 .3885 L
.64444 .38767 L
.64658 .38683 L
.64861 .38605 L
.65075 .38526 L
.65277 .38455 L
.6547 .3839 L
.65672 .38326 L
.65864 .38269 L
.66067 .38213 L
.66259 .38164 L
.66443 .38121 L
.66637 .38082 L
.66812 .3805 L
s
.61667 .41667 m
.61959 .41559 L
.62276 .41445 L
.62572 .41339 L
.62854 .41241 L
.63153 .41139 L
.63438 .41044 L
.63739 .40947 L
.64028 .40858 L
.64303 .40777 L
.64594 .40695 L
.64873 .40621 L
.65139 .40556 L
.65421 .40492 L
.65692 .40436 L
.65978 .40383 L
.66253 .4034 L
.66516 .40305 L
.66796 .40276 L
.66926 .40265 L
.67066 .40256 L
.67142 .40251 L
.67213 .40248 L
.67285 .40245 L
.67352 .40243 L
.67415 .40242 L
.6745 .40241 L
.67482 .40241 L
.675 .40241 L
.67517 .40241 L
.67526 .40241 L
.67535 .4024 L
.67545 .4024 L
.6755 .4024 L
.67555 .4024 L
.67563 .4024 L
.67568 .4024 L
.67573 .4024 L
.67582 .4024 L
.67587 .4024 L
.67591 .4024 L
.67599 .4024 L
.67608 .40241 L
.67624 .40241 L
.67641 .40241 L
.67658 .40241 L
.6769 .40241 L
.67727 .40242 L
.67762 .40243 L
.67837 .40245 L
Mistroke
.67908 .40248 L
.68045 .40255 L
.68173 .40264 L
.68442 .4029 L
Mfstroke
.61667 .43333 m
.62004 .43231 L
.62372 .43122 L
.62717 .43023 L
.63047 .42931 L
.63399 .42837 L
.63737 .4275 L
.64095 .42664 L
.6444 .42586 L
.64771 .42518 L
.65124 .42451 L
.65463 .42394 L
.65789 .42347 L
.66136 .42305 L
.66471 .42273 L
.66654 .42259 L
.66828 .42249 L
.66911 .42245 L
.67 .42241 L
.67083 .42238 L
.6716 .42236 L
.67203 .42235 L
.67249 .42235 L
.67296 .42234 L
.67322 .42234 L
.67334 .42234 L
.67346 .42234 L
.67358 .42234 L
.67369 .42234 L
.6738 .42234 L
.67391 .42234 L
.67401 .42234 L
.6741 .42234 L
.6742 .42234 L
.67431 .42234 L
.67443 .42234 L
.67455 .42234 L
.67479 .42234 L
.67502 .42234 L
.67523 .42234 L
.67567 .42235 L
.67615 .42236 L
.67702 .42238 L
.67787 .42241 L
.67865 .42244 L
.68031 .42254 L
.68213 .42267 L
.68573 .42303 L
.68922 .42353 L
.69297 .42421 L
Mistroke
.69663 .42503 L
.70018 .42597 L
Mfstroke
.61667 .45 m
.62045 .44903 L
.62458 .44799 L
.62847 .44706 L
.63222 .44621 L
.63622 .44534 L
.64008 .44456 L
.6442 .4438 L
.64817 .44314 L
.65201 .44258 L
.65611 .44207 L
.66007 .44168 L
.6639 .44139 L
.66587 .44128 L
.66799 .44119 L
.66903 .44116 L
.66957 .44115 L
.67015 .44114 L
.67071 .44113 L
.67122 .44113 L
.67147 .44113 L
.6716 .44113 L
.67173 .44112 L
.67185 .44112 L
.67198 .44112 L
.6721 .44112 L
.67221 .44112 L
.67234 .44112 L
.67241 .44112 L
.67248 .44112 L
.67261 .44112 L
.67273 .44112 L
.67287 .44112 L
.673 .44113 L
.67329 .44113 L
.67353 .44113 L
.67379 .44113 L
.67431 .44114 L
.67479 .44115 L
.6753 .44116 L
.67623 .44119 L
.67729 .44123 L
.67844 .44128 L
.68054 .4414 L
.68263 .44157 L
.68484 .44178 L
.68887 .44229 L
.6932 .44301 L
.69744 .44389 L
.70201 .44504 L
Mistroke
.70649 .44638 L
.71088 .4479 L
.71527 .44962 L
Mfstroke
.61667 .46667 m
.62081 .46574 L
.62535 .46477 L
.62964 .46389 L
.63378 .4631 L
.63823 .46231 L
.64253 .46162 L
.64713 .46096 L
.65159 .46042 L
.65591 .45998 L
.65811 .4598 L
.66055 .45963 L
.66289 .45949 L
.66504 .4594 L
.66618 .45936 L
.66727 .45934 L
.66783 .45932 L
.66842 .45931 L
.66877 .45931 L
.66908 .45931 L
.66937 .4593 L
.66968 .4593 L
.66983 .4593 L
.66998 .4593 L
.67012 .4593 L
.67025 .4593 L
.6704 .4593 L
.67048 .4593 L
.67056 .4593 L
.6707 .4593 L
.67085 .4593 L
.67097 .4593 L
.67111 .4593 L
.67124 .4593 L
.67136 .4593 L
.67163 .4593 L
.67192 .4593 L
.67252 .45931 L
.67308 .45932 L
.67369 .45933 L
.67435 .45935 L
.67555 .45938 L
.67685 .45944 L
.67923 .45956 L
.68158 .45973 L
.6841 .45995 L
.68866 .46049 L
.69359 .46127 L
.69841 .46223 L
.70361 .46351 L
Mistroke
.70873 .465 L
.71374 .4667 L
.7192 .46883 L
.72459 .47121 L
.72958 .47368 L
Mfstroke
.61667 .48333 m
.62112 .48246 L
.62601 .48154 L
.63065 .48072 L
.63516 .47999 L
.63999 .47928 L
.64469 .47867 L
.64973 .47811 L
.65464 .47767 L
.65941 .47736 L
.66189 .47725 L
.66314 .4772 L
.66453 .47716 L
.66519 .47714 L
.66581 .47713 L
.66638 .47712 L
.66699 .47711 L
.66733 .47711 L
.66764 .47711 L
.66796 .47711 L
.66825 .4771 L
.66842 .4771 L
.66851 .4771 L
.6686 .4771 L
.66877 .4771 L
.66892 .4771 L
.66901 .4771 L
.6691 .4771 L
.66927 .4771 L
.66936 .4771 L
.66945 .4771 L
.66964 .4771 L
.66995 .47711 L
.67023 .47711 L
.67087 .47711 L
.67144 .47712 L
.67203 .47713 L
.67329 .47716 L
.67468 .47721 L
.67722 .47732 L
.67996 .47749 L
.68276 .47771 L
.68543 .47798 L
.69058 .47864 L
.69614 .47959 L
.7016 .48075 L
.70694 .48213 L
.71274 .4839 L
.71845 .48593 L
.72467 .48847 L
Mistroke
.73082 .49132 L
.73691 .49449 L
.74298 .49799 L
Mfstroke
.61667 .5 m
.62138 .49917 L
.62658 .49831 L
.63153 .49755 L
.63634 .49688 L
.64152 .49624 L
.64657 .49571 L
.65201 .49524 L
.65476 .49506 L
.65731 .49492 L
.65981 .49481 L
.6611 .49476 L
.66248 .49472 L
.66319 .49471 L
.66386 .49469 L
.66452 .49468 L
.66513 .49467 L
.66571 .49467 L
.66603 .49467 L
.66633 .49466 L
.6665 .49466 L
.66665 .49466 L
.66682 .49466 L
.667 .49466 L
.66716 .49466 L
.6673 .49466 L
.66746 .49466 L
.66764 .49466 L
.6678 .49466 L
.66799 .49466 L
.66836 .49467 L
.66871 .49467 L
.66903 .49467 L
.66977 .49468 L
.67056 .49469 L
.67201 .49473 L
.67335 .49477 L
.676 .49488 L
.67891 .49505 L
.68169 .49527 L
.68469 .49555 L
.69071 .49631 L
.69661 .4973 L
.7024 .49851 L
.70868 .50012 L
.71486 .50201 L
.72094 .50417 L
.72758 .50688 L
.73414 .50993 L
.74133 .5137 L
Mistroke
.74847 .51789 L
.75534 .52234 L
Mfstroke
.61667 .51667 m
.6216 .51589 L
.62705 .51508 L
.63225 .51438 L
.63733 .51377 L
.64281 .51319 L
.64816 .51274 L
.65092 .51254 L
.65394 .51236 L
.65687 .51223 L
.65828 .51218 L
.6596 .51214 L
.66089 .5121 L
.66228 .51208 L
.66307 .51207 L
.66347 .51206 L
.66383 .51206 L
.66419 .51206 L
.66451 .51205 L
.6647 .51205 L
.66487 .51205 L
.66506 .51205 L
.66516 .51205 L
.66526 .51205 L
.66544 .51205 L
.66561 .51205 L
.66577 .51205 L
.66594 .51205 L
.66612 .51205 L
.66632 .51205 L
.66667 .51206 L
.66699 .51206 L
.6673 .51206 L
.66799 .51207 L
.66875 .51208 L
.66945 .51209 L
.67103 .51213 L
.67247 .51218 L
.67383 .51223 L
.67691 .51239 L
.67999 .51261 L
.68281 .51286 L
.68897 .51356 L
.695 .51449 L
.70155 .51577 L
.70799 .51733 L
.71432 .51916 L
.72123 .52151 L
.72805 .52419 L
.7355 .52755 L
Mistroke
.7429 .53134 L
.75024 .53556 L
.75832 .54072 L
.76639 .54643 L
.76652 .54652 L
Mfstroke
.61667 .53333 m
.62176 .5326 L
.62742 .53185 L
.63283 .5312 L
.63812 .53065 L
.64385 .53014 L
.64946 .52975 L
.65257 .52959 L
.65553 .52947 L
.65696 .52942 L
.65849 .52938 L
.6598 .52935 L
.66055 .52934 L
.66125 .52933 L
.662 .52933 L
.66243 .52932 L
.66263 .52932 L
.66282 .52932 L
.663 .52932 L
.6632 .52932 L
.66338 .52932 L
.66354 .52932 L
.66372 .52932 L
.66392 .52932 L
.66402 .52932 L
.66412 .52932 L
.66431 .52932 L
.6645 .52932 L
.66468 .52932 L
.66507 .52932 L
.66542 .52933 L
.66579 .52933 L
.66643 .52934 L
.66714 .52935 L
.66869 .52938 L
.67011 .52942 L
.67168 .52947 L
.67335 .52954 L
.67644 .52972 L
.67935 .52992 L
.68561 .53053 L
.69241 .53145 L
.69911 .53264 L
.70569 .53409 L
.71286 .53601 L
.71994 .53827 L
.72692 .54086 L
.73456 .54412 L
.74214 .54781 L
.75045 .55238 L
Mistroke
.75874 .5575 L
.767 .56317 L
.77612 .57009 L
.7764 .57031 L
Mfstroke
.61667 .55 m
.62189 .54932 L
.62769 .54862 L
.63326 .54802 L
.63872 .54752 L
.64464 .54708 L
.65045 .54676 L
.652 .54669 L
.65368 .54663 L
.65514 .54659 L
.65676 .54655 L
.65752 .54653 L
.65834 .54652 L
.65905 .54651 L
.65983 .5465 L
.66028 .5465 L
.6605 .5465 L
.6607 .5465 L
.6609 .5465 L
.66111 .54649 L
.66122 .54649 L
.66133 .54649 L
.66143 .54649 L
.66154 .54649 L
.66172 .54649 L
.6619 .54649 L
.66201 .54649 L
.66211 .54649 L
.6623 .54649 L
.6625 .54649 L
.66269 .5465 L
.66311 .5465 L
.66349 .5465 L
.66384 .5465 L
.66462 .54651 L
.66532 .54652 L
.66605 .54653 L
.66762 .54657 L
.66934 .54662 L
.67249 .54675 L
.6759 .54695 L
.67942 .54721 L
.68277 .54752 L
.68928 .54831 L
.69636 .54943 L
.70335 .55085 L
.71022 .55254 L
.71773 .55476 L
.72515 .55734 L
.73327 .56062 L
Mistroke
.74133 .56436 L
.74933 .56857 L
.75813 .57379 L
.7669 .5796 L
.77659 .58676 L
.78486 .59346 L
Mfstroke
.61667 .56667 m
.62196 .56603 L
.62786 .56539 L
.63353 .56484 L
.63911 .56439 L
.64227 .56418 L
.64517 .56401 L
.64826 .56386 L
.65114 .56375 L
.65256 .5637 L
.65412 .56366 L
.6557 .56363 L
.65657 .56362 L
.65739 .56361 L
.65818 .5636 L
.65862 .5636 L
.65884 .5636 L
.65904 .5636 L
.65923 .5636 L
.65944 .5636 L
.65962 .5636 L
.6598 .5636 L
.65999 .5636 L
.66019 .5636 L
.6603 .5636 L
.66041 .5636 L
.66061 .5636 L
.66081 .5636 L
.66099 .5636 L
.66141 .5636 L
.66178 .5636 L
.66217 .56361 L
.66284 .56361 L
.66359 .56363 L
.66523 .56366 L
.66674 .56369 L
.6684 .56375 L
.67017 .56382 L
.67345 .56399 L
.67654 .5642 L
.68323 .56481 L
.6905 .56574 L
.69769 .56695 L
.70478 .56845 L
.71252 .57044 L
.72018 .57279 L
.72775 .57551 L
.73605 .57896 L
.74429 .58288 L
.75334 .58778 L
Mistroke
.76237 .59329 L
.77137 .59943 L
.78132 .60697 L
.79129 .61533 L
.7918 .61577 L
Mfstroke
.61667 .58333 m
.62198 .58274 L
.62793 .58215 L
.63366 .58166 L
.6393 .58126 L
.6425 .58107 L
.64545 .58093 L
.64855 .58081 L
.65152 .58072 L
.65305 .58069 L
.65389 .58068 L
.65468 .58066 L
.65536 .58066 L
.65609 .58065 L
.6565 .58065 L
.65671 .58065 L
.6569 .58065 L
.65708 .58065 L
.65725 .58065 L
.65744 .58065 L
.65764 .58064 L
.65783 .58064 L
.65801 .58064 L
.65821 .58064 L
.65843 .58065 L
.65853 .58065 L
.65865 .58065 L
.65886 .58065 L
.65926 .58065 L
.65964 .58065 L
.66004 .58065 L
.66076 .58066 L
.6616 .58067 L
.66238 .58068 L
.66418 .58072 L
.66581 .58077 L
.66754 .58083 L
.67065 .58097 L
.67402 .58118 L
.67718 .58142 L
.68404 .58211 L
.69152 .58313 L
.69892 .58444 L
.70623 .58605 L
.71423 .58818 L
.72216 .5907 L
.73 .5936 L
.73861 .59727 L
.74717 .60145 L
.75658 .60667 L
Mistroke
.76597 .61256 L
.77534 .61911 L
.78571 .62717 L
.7961 .63612 L
.7971 .63703 L
Mfstroke
.61667 .6 m
.62196 .59946 L
.6279 .59892 L
.63363 .59847 L
.63928 .59812 L
.6425 .59796 L
.64547 .59784 L
.64696 .59779 L
.64859 .59774 L
.65013 .59771 L
.65158 .59768 L
.65236 .59767 L
.65308 .59766 L
.65388 .59766 L
.65432 .59765 L
.65455 .59765 L
.65475 .59765 L
.65494 .59765 L
.65515 .59765 L
.65527 .59765 L
.65538 .59765 L
.65559 .59765 L
.65577 .59765 L
.65597 .59765 L
.65618 .59765 L
.65637 .59765 L
.65648 .59765 L
.6566 .59765 L
.65682 .59765 L
.65723 .59765 L
.65771 .59765 L
.65815 .59766 L
.65891 .59767 L
.65973 .59768 L
.66122 .5977 L
.663 .59775 L
.66465 .5978 L
.66784 .59793 L
.67137 .59812 L
.67477 .59836 L
.67845 .59868 L
.68589 .59952 L
.69327 .60064 L
.70057 .60203 L
.70856 .60389 L
.71648 .60613 L
.72432 .60872 L
.73293 .61204 L
.74149 .61584 L
.7509 .62061 L
Mistroke
.76028 .62602 L
.76964 .63207 L
.77997 .63954 L
.79032 .64786 L
.80067 .65706 L
Mfstroke
.61667 .61667 m
.62189 .61617 L
.62776 .61568 L
.63344 .61529 L
.63906 .61498 L
.64201 .61485 L
.64521 .61474 L
.64679 .6147 L
.64852 .61466 L
.64932 .61465 L
.65017 .61464 L
.65097 .61463 L
.6517 .61462 L
.65207 .61462 L
.65247 .61462 L
.65265 .61462 L
.65285 .61462 L
.65303 .61462 L
.6532 .61462 L
.65341 .61462 L
.65352 .61462 L
.65364 .61462 L
.65383 .61462 L
.65395 .61462 L
.65405 .61462 L
.65425 .61462 L
.65442 .61462 L
.65463 .61462 L
.65483 .61462 L
.65518 .61462 L
.65556 .61462 L
.65624 .61463 L
.65698 .61464 L
.65779 .61465 L
.65945 .61468 L
.66097 .61471 L
.66445 .61483 L
.66765 .61498 L
.67121 .6152 L
.67833 .6158 L
.68538 .61664 L
.69311 .61783 L
.70078 .61932 L
.70838 .62113 L
.71671 .6235 L
.725 .62628 L
.73322 .62947 L
.74226 .63351 L
.75126 .6381 L
.76118 .64382 L
Mistroke
.77109 .65028 L
.78099 .65748 L
.79193 .66633 L
.80242 .67572 L
Mfstroke
.61667 .63333 m
.62177 .63289 L
.62752 .63245 L
.6331 .63209 L
.63862 .63183 L
.64153 .63172 L
.64469 .63163 L
.64625 .6316 L
.64708 .63159 L
.64796 .63158 L
.64873 .63157 L
.64914 .63156 L
.64959 .63156 L
.64999 .63156 L
.65037 .63156 L
.65055 .63156 L
.65074 .63156 L
.65093 .63156 L
.6511 .63156 L
.6513 .63156 L
.6514 .63156 L
.65152 .63156 L
.65171 .63156 L
.6519 .63156 L
.65201 .63156 L
.65212 .63156 L
.65232 .63156 L
.65253 .63156 L
.65277 .63156 L
.65317 .63156 L
.65359 .63156 L
.65435 .63157 L
.65508 .63158 L
.65577 .63159 L
.65734 .63162 L
.65894 .63165 L
.66064 .6317 L
.6637 .63183 L
.66702 .632 L
.67016 .6322 L
.67697 .63279 L
.68444 .63368 L
.69186 .63484 L
.69923 .63626 L
.70732 .63817 L
.71537 .64043 L
.72335 .64306 L
.73213 .64642 L
.74087 .65026 L
.75049 .6551 L
Mistroke
.76009 .66058 L
.76967 .66672 L
.78026 .67431 L
.79085 .68279 L
.80227 .69293 L
Mfstroke
.61667 .65 m
.6216 .6496 L
.62718 .64921 L
.63259 .6489 L
.63798 .64867 L
.64081 .64858 L
.64241 .64855 L
.6439 .64852 L
.64542 .64849 L
.64623 .64848 L
.64664 .64848 L
.64709 .64848 L
.64748 .64848 L
.64784 .64847 L
.64801 .64847 L
.6482 .64847 L
.64838 .64847 L
.64855 .64847 L
.64865 .64847 L
.64876 .64847 L
.64895 .64847 L
.64906 .64847 L
.64917 .64847 L
.64927 .64847 L
.64938 .64847 L
.64958 .64847 L
.64969 .64847 L
.64979 .64847 L
.64998 .64847 L
.65016 .64847 L
.65051 .64847 L
.6509 .64848 L
.65169 .64848 L
.65238 .64849 L
.65312 .6485 L
.65482 .64853 L
.65639 .64856 L
.65942 .64866 L
.66279 .6488 L
.66604 .64898 L
.66956 .64923 L
.67673 .6499 L
.68386 .65079 L
.69095 .65192 L
.69875 .65345 L
.7065 .6553 L
.71421 .65748 L
.72268 .66027 L
.73112 .6635 L
.74041 .66758 L
Mistroke
.74969 .67224 L
.75893 .67748 L
.76914 .68398 L
.77934 .69126 L
.79061 .70025 L
.80014 .70864 L
Mfstroke
.61667 .66667 m
.62139 .66631 L
.62673 .66597 L
.63193 .6657 L
.63462 .66559 L
.63711 .66551 L
.63984 .66544 L
.64137 .66541 L
.64206 .6654 L
.64282 .66539 L
.64349 .66538 L
.64422 .66538 L
.64462 .66537 L
.64499 .66537 L
.64536 .66537 L
.64571 .66537 L
.64588 .66537 L
.64603 .66537 L
.64621 .66537 L
.64637 .66537 L
.64655 .66537 L
.64672 .66537 L
.6469 .66537 L
.6471 .66537 L
.64726 .66537 L
.64742 .66537 L
.64773 .66537 L
.64809 .66537 L
.64843 .66537 L
.64914 .66538 L
.6499 .66538 L
.65128 .6654 L
.65278 .66543 L
.65444 .66547 L
.65744 .66557 L
.66073 .66571 L
.66395 .6659 L
.6674 .66614 L
.67379 .66672 L
.68082 .66756 L
.68783 .66864 L
.69554 .6701 L
.70323 .67186 L
.71089 .67394 L
.71932 .67663 L
.72774 .67973 L
.73611 .68326 L
.74534 .68768 L
.75455 .69268 L
.76471 .69889 L
Mistroke
.77488 .70587 L
.78503 .71363 L
.79594 .72287 L
Mfstroke
.61667 .68333 m
.62112 .68302 L
.62617 .68273 L
.6287 .68261 L
.63111 .68251 L
.63361 .68242 L
.63603 .68235 L
.63732 .68232 L
.63874 .68229 L
.64004 .68227 L
.64126 .68226 L
.64189 .68225 L
.64225 .68225 L
.64258 .68225 L
.64289 .68225 L
.64306 .68225 L
.64323 .68225 L
.6434 .68225 L
.64355 .68225 L
.64369 .68225 L
.64383 .68225 L
.644 .68225 L
.64418 .68225 L
.64428 .68225 L
.64437 .68225 L
.64455 .68225 L
.64473 .68225 L
.6449 .68225 L
.64522 .68225 L
.64559 .68225 L
.64594 .68225 L
.64673 .68226 L
.64739 .68226 L
.6481 .68227 L
.64939 .68229 L
.65095 .68233 L
.65239 .68236 L
.6552 .68246 L
.65832 .6826 L
.66461 .683 L
.67089 .68355 L
.67782 .68437 L
.68474 .6854 L
.69164 .68666 L
.69924 .68832 L
.70683 .69029 L
.71439 .69258 L
.72272 .69548 L
.73103 .69881 L
.7402 .70299 L
Mistroke
.74937 .70773 L
.75851 .71303 L
.76861 .7196 L
.7787 .72692 L
.78959 .73571 L
Mfstroke
.61667 .7 m
.62081 .69974 L
.62551 .69949 L
.62788 .69939 L
.63012 .6993 L
.63246 .69923 L
.63472 .69918 L
.63594 .69916 L
.63726 .69914 L
.63786 .69913 L
.63849 .69912 L
.63907 .69912 L
.63962 .69912 L
.63992 .69911 L
.64025 .69911 L
.6404 .69911 L
.64055 .69911 L
.6407 .69911 L
.64083 .69911 L
.641 .69911 L
.64109 .69911 L
.64119 .69911 L
.64135 .69911 L
.64144 .69911 L
.64152 .69911 L
.64168 .69911 L
.64182 .69911 L
.64199 .69911 L
.64215 .69911 L
.64244 .69911 L
.64275 .69912 L
.6433 .69912 L
.6439 .69912 L
.64456 .69913 L
.64591 .69915 L
.64716 .69917 L
.65001 .69924 L
.65265 .69933 L
.6556 .69947 L
.66154 .69984 L
.66748 .70035 L
.67404 .7011 L
.68061 .70203 L
.68717 .70317 L
.69441 .70467 L
.70164 .70645 L
.70886 .7085 L
.71682 .71112 L
.72477 .7141 L
.73354 .71785 L
Mistroke
.74232 .72211 L
.75107 .72687 L
.76074 .73275 L
.7704 .73931 L
.78097 .74731 L
Mfstroke
.61667 .71667 m
.62045 .71645 L
.62475 .71625 L
.62691 .71617 L
.62897 .7161 L
.63112 .71605 L
.63319 .71601 L
.63431 .71599 L
.6349 .71598 L
.63553 .71598 L
.63606 .71597 L
.63635 .71597 L
.63665 .71597 L
.63694 .71597 L
.63719 .71597 L
.63745 .71597 L
.63758 .71597 L
.6377 .71597 L
.63785 .71597 L
.63793 .71597 L
.63801 .71597 L
.63814 .71597 L
.6383 .71597 L
.63843 .71597 L
.63858 .71597 L
.63871 .71597 L
.63884 .71597 L
.63914 .71597 L
.63946 .71597 L
.64006 .71597 L
.64062 .71598 L
.64122 .71598 L
.6423 .716 L
.64345 .71601 L
.64471 .71604 L
.64702 .7161 L
.6496 .71619 L
.65238 .71632 L
.65754 .71663 L
.66326 .7171 L
.66899 .71771 L
.67533 .71855 L
.68168 .71958 L
.68803 .7208 L
.69505 .72239 L
.70207 .72425 L
.70908 .72637 L
.71683 .72904 L
.72457 .73207 L
.73311 .73585 L
Mistroke
.74167 .74012 L
.75021 .74487 L
.75964 .75072 L
.76906 .75722 L
.76997 .75788 L
Mfstroke
.61667 .73333 m
.62003 .73316 L
.62387 .73301 L
.62581 .73295 L
.62765 .7329 L
.62946 .73286 L
.63048 .73284 L
.63144 .73283 L
.63248 .73282 L
.63304 .73282 L
.63332 .73282 L
.63363 .73281 L
.6339 .73281 L
.63414 .73281 L
.63426 .73281 L
.63439 .73281 L
.63452 .73281 L
.63463 .73281 L
.6347 .73281 L
.63478 .73281 L
.63491 .73281 L
.63505 .73281 L
.63517 .73281 L
.6353 .73281 L
.63545 .73281 L
.6356 .73281 L
.63575 .73281 L
.63628 .73282 L
.63658 .73282 L
.63686 .73282 L
.63793 .73283 L
.63892 .73284 L
.63997 .73286 L
.64215 .7329 L
.64424 .73296 L
.6466 .73305 L
.6488 .73315 L
.65367 .73345 L
.65855 .73383 L
.66396 .73438 L
.66938 .73505 L
.67539 .73595 L
.68142 .73703 L
.68746 .73829 L
.69414 .7399 L
.70084 .74175 L
.70752 .74385 L
.71492 .74648 L
.72232 .74943 L
.73049 .7531 L
Mistroke
.73867 .7572 L
.74684 .76176 L
.75586 .76734 L
.75644 .76772 L
Mfstroke
.61667 .75 m
.61957 .74988 L
.62114 .74982 L
.62289 .74976 L
.62459 .74972 L
.62616 .74969 L
.62696 .74968 L
.62784 .74967 L
.62832 .74966 L
.62877 .74966 L
.6292 .74965 L
.62967 .74965 L
.6299 .74965 L
.63012 .74965 L
.63033 .74965 L
.63053 .74965 L
.63072 .74965 L
.63082 .74965 L
.63092 .74965 L
.63102 .74965 L
.63114 .74965 L
.63124 .74965 L
.63134 .74965 L
.63145 .74965 L
.63157 .74965 L
.63168 .74965 L
.63178 .74965 L
.63202 .74965 L
.63226 .74965 L
.63272 .74965 L
.63323 .74966 L
.63411 .74966 L
.63508 .74968 L
.63612 .74969 L
.6371 .74971 L
.63908 .74976 L
.64093 .74982 L
.64503 .75 L
.64915 .75024 L
.65373 .7506 L
.65833 .75104 L
.66344 .75164 L
.66857 .75236 L
.67373 .75321 L
.67944 .75429 L
.68517 .75555 L
.69091 .75698 L
.69727 .75877 L
.70364 .76079 L
.71068 .7633 L
Mistroke
.71775 .76611 L
.72481 .76923 L
.73261 .77307 L
.74019 .77718 L
Mfstroke
.61667 .76667 m
.61906 .76659 L
.62035 .76655 L
.6218 .76652 L
.62247 .76651 L
.62319 .7665 L
.62387 .76649 L
.62451 .76648 L
.62523 .76648 L
.62561 .76648 L
.62581 .76648 L
.62602 .76647 L
.6262 .76647 L
.62637 .76647 L
.62646 .76647 L
.62655 .76647 L
.62663 .76647 L
.62671 .76647 L
.62676 .76647 L
.62681 .76647 L
.6269 .76647 L
.62696 .76647 L
.62701 .76647 L
.62706 .76647 L
.62711 .76647 L
.6272 .76647 L
.62725 .76647 L
.6273 .76647 L
.62748 .76647 L
.62765 .76647 L
.62784 .76647 L
.62822 .76648 L
.62857 .76648 L
.6289 .76648 L
.62966 .76649 L
.63048 .7665 L
.63205 .76652 L
.63373 .76656 L
.63689 .76666 L
.6404 .76682 L
.64394 .76703 L
.64788 .76732 L
.65185 .76769 L
.65585 .76812 L
.6603 .76869 L
.66477 .76936 L
.66925 .77012 L
.67424 .77108 L
.67924 .77217 L
.68479 .77353 L
Mistroke
.69037 .77506 L
.69595 .77677 L
.70214 .77887 L
.70834 .7812 L
.71521 .78405 L
.72099 .78669 L
Mfstroke
.61667 .78333 m
.61755 .78332 L
.6185 .7833 L
.61949 .78329 L
.62006 .78328 L
.62032 .78328 L
.6206 .78328 L
.62088 .78328 L
.62114 .78328 L
.6214 .78327 L
.62152 .78327 L
.62159 .78327 L
.62166 .78327 L
.62172 .78327 L
.62179 .78327 L
.62185 .78327 L
.62191 .78327 L
.62197 .78327 L
.62203 .78327 L
.6221 .78327 L
.62217 .78327 L
.62223 .78327 L
.62229 .78327 L
.6224 .78327 L
.62252 .78327 L
.62265 .78328 L
.62293 .78328 L
.6232 .78328 L
.62371 .78328 L
.62427 .78329 L
.62488 .78329 L
.62601 .78331 L
.62724 .78333 L
.62954 .78339 L
.63211 .78349 L
.63469 .78362 L
.63758 .78379 L
.6405 .784 L
.64344 .78425 L
.64671 .78457 L
.65001 .78495 L
.65368 .78542 L
.65739 .78597 L
.66112 .78658 L
.66527 .78734 L
.66944 .7882 L
.67363 .78914 L
.67829 .7903 L
.68296 .79158 L
.68814 .79314 L
Mistroke
.69335 .79486 L
.69852 .79673 L
Mfstroke
.61667 .8 m
.61695 .8 L
.61725 .8 L
.61789 .80001 L
.61861 .80002 L
.61929 .80003 L
.62066 .80007 L
.62219 .80011 L
.62375 .80017 L
.62531 .80024 L
.62707 .80033 L
.62884 .80044 L
.63063 .80057 L
.63263 .80073 L
.63465 .8009 L
.63691 .80112 L
.63918 .80137 L
.64148 .80164 L
.64404 .80198 L
.64663 .80234 L
.64951 .80279 L
.65241 .80329 L
.65534 .80382 L
.6586 .80447 L
.66189 .80518 L
.66519 .80595 L
.66885 .80687 L
.67243 .80784 L
s
.61667 .81667 m
.61723 .81672 L
.61787 .81679 L
.61851 .81686 L
.61915 .81693 L
.61987 .817 L
.6206 .81709 L
.62141 .81718 L
.62223 .81728 L
.62306 .81738 L
.62398 .8175 L
.62492 .81762 L
.62586 .81775 L
.62691 .81789 L
.62797 .81805 L
.62916 .81822 L
.63036 .8184 L
.63156 .8186 L
.63291 .81882 L
.63427 .81905 L
.63578 .81931 L
.63732 .81959 L
.63886 .81988 L
.64058 .82022 L
.64222 .82056 L
s
.61667 .83333 m
.61652 .83343 L
.61634 .83354 L
.61616 .83365 L
.61598 .83374 L
.61576 .83385 L
.61554 .83394 L
.61528 .83405 L
.61502 .83414 L
.61474 .83424 L
.61443 .83433 L
.61411 .83442 L
.61378 .83451 L
.6134 .8346 L
.61302 .83469 L
.61258 .83477 L
.61212 .83486 L
.61166 .83493 L
.61114 .83501 L
.6106 .83509 L
.61 .83517 L
.60937 .83524 L
.60874 .8353 L
.60802 .83537 L
.60732 .83543 L
s
.61667 .85 m
.61576 .85015 L
.6147 .8503 L
.61364 .85044 L
.61255 .85056 L
.61132 .85069 L
.61006 .85081 L
.60863 .85093 L
.60717 .85104 L
.60567 .85114 L
.60398 .85125 L
.60225 .85134 L
.60049 .85143 L
.59849 .85153 L
.59646 .85161 L
.59416 .85171 L
.5918 .8518 L
.5894 .85189 L
.58669 .852 L
.58392 .8521 L
.58079 .85223 L
.57759 .85236 L
.57431 .85251 L
.57062 .85269 L
.56703 .85287 L
s
.61667 .86667 m
.61495 .86686 L
.61294 .86705 L
.61093 .86723 L
.60888 .86739 L
.60654 .86755 L
.60415 .8677 L
.60145 .86785 L
.59866 .86799 L
.59582 .86812 L
.5926 .86826 L
.5893 .86841 L
.58593 .86855 L
.58211 .86871 L
.5782 .86889 L
.57378 .86909 L
.56924 .86932 L
.5646 .86957 L
.55933 .86987 L
.55394 .87022 L
.54781 .87065 L
.54151 .87113 L
.53504 .87167 L
.5277 .87233 L
.52054 .87303 L
s
.61667 .88333 m
.61409 .88357 L
.61107 .88381 L
.60805 .88402 L
.60495 .88422 L
.60143 .88441 L
.59781 .8846 L
.59371 .88479 L
.58949 .88498 L
.58516 .88518 L
.58025 .8854 L
.57521 .88563 L
.57004 .88589 L
.56418 .8862 L
.55816 .88655 L
.55132 .88698 L
.54427 .88747 L
.53704 .88802 L
.52881 .88871 L
.52033 .88948 L
.51066 .89044 L
.50066 .8915 L
.49034 .89268 L
.47856 .89409 L
.46701 .89554 L
s
.61667 .9 m
.61317 .90028 L
.60909 .90057 L
.60498 .90082 L
.60076 .90105 L
.59596 .90129 L
.59102 .90152 L
.58541 .90178 L
.57962 .90204 L
.57367 .90233 L
.5669 .90267 L
.55993 .90305 L
.55277 .90348 L
.54461 .90401 L
.53621 .90462 L
.52664 .90539 L
.51673 .90626 L
.50651 .90724 L
.49484 .90845 L
.48276 .90978 L
.46893 .9114 L
.45455 .91314 L
.43965 .91499 L
.42255 .9171 L
.40571 .91912 L
s
.61667 .91667 m
.61221 .91699 L
.60699 .91732 L
.60173 .91761 L
.59631 .91789 L
.59015 .91818 L
.58378 .91847 L
.57653 .91881 L
.56904 .91917 L
.56132 .91958 L
.55251 .92008 L
.54341 .92066 L
.53404 .92132 L
.52333 .92216 L
.51226 .92311 L
.49959 .92431 L
.48642 .92565 L
.4728 .92712 L
.45718 .9289 L
.44093 .9308 L
.42226 .93298 L
.40278 .93519 L
.38254 .93731 L
.35928 .9394 L
.33637 .94096 L
s
.63333 .08333 m
.61705 .08138 L
.59974 .07911 L
.58391 .07696 L
.56907 .07493 L
.55367 .07287 L
.53925 .07103 L
.52435 .06926 L
.51041 .06774 L
.49741 .06647 L
.484 .0653 L
.47151 .06436 L
.45988 .0636 L
.44792 .06294 L
.43681 .06241 L
.42541 .06195 L
.41483 .06157 L
.40502 .06123 L
.39496 .06088 L
.38562 .06051 L
.37606 .06005 L
.36718 .05952 L
.35893 .0589 L
.35045 .05809 L
.34296 .0572 L
s
.63333 .1 m
.61844 .0981 L
.60257 .09589 L
.58802 .09379 L
.57434 .09178 L
.56012 .08973 L
.54676 .08786 L
.53292 .08603 L
.51994 .08444 L
.50779 .08307 L
.49522 .08179 L
.48348 .08074 L
.47253 .07987 L
.46122 .0791 L
.45068 .07848 L
.43985 .07794 L
.42978 .07751 L
.42041 .07717 L
.41078 .07684 L
.40183 .07654 L
.39266 .07622 L
.38413 .07588 L
.3762 .07549 L
.36805 .075 L
.36085 .07446 L
s
.63333 .11667 m
.61978 .11482 L
.60531 .11268 L
.59201 .11062 L
.57948 .10865 L
.56641 .1066 L
.5541 .10472 L
.54131 .10285 L
.52928 .10119 L
.51799 .09973 L
.50627 .09835 L
.49529 .09717 L
.48501 .09619 L
.47437 .09529 L
.46443 .09455 L
.45418 .0939 L
.44462 .09339 L
.43571 .09298 L
.42653 .09261 L
.41797 .09232 L
.40919 .09203 L
.40101 .09178 L
.3934 .09152 L
.38557 .09122 L
.37864 .0909 L
s
.63333 .13333 m
.62108 .13154 L
.60797 .12946 L
.59589 .12745 L
.58447 .12552 L
.57253 .12349 L
.56126 .12161 L
.54951 .1197 L
.53843 .11798 L
.528 .11645 L
.51714 .11497 L
.50693 .11368 L
.49734 .11257 L
.48738 .11154 L
.47805 .11067 L
.4684 .10989 L
.45937 .10925 L
.45093 .10874 L
.4422 .10828 L
.43406 .10792 L
.42567 .10761 L
.41785 .10735 L
.41055 .10713 L
.40304 .10691 L
.39638 .10671 L
s
.63333 .15 m
.62234 .14826 L
.61055 .14625 L
.59964 .14429 L
.58932 .1424 L
.57849 .1404 L
.56824 .13852 L
.55753 .1366 L
.54739 .13484 L
.53781 .13324 L
.52781 .13166 L
.51838 .13027 L
.50949 .12905 L
.50024 .12788 L
.49153 .12687 L
.4825 .12594 L
.47401 .12516 L
.46606 .12451 L
.45782 .12393 L
.4501 .12345 L
.44212 .12304 L
.43467 .12271 L
.4277 .12245 L
.4205 .12222 L
.41412 .12204 L
s
.63333 .16667 m
.62355 .16498 L
.61303 .16303 L
.60328 .16114 L
.59402 .15929 L
.58428 .15733 L
.57504 .15546 L
.56534 .15353 L
.55614 .15174 L
.54742 .1501 L
.53829 .14844 L
.52964 .14695 L
.52147 .14562 L
.51292 .14432 L
.50486 .14318 L
.49646 .14209 L
.48855 .14115 L
.48111 .14035 L
.47336 .13961 L
.46609 .13899 L
.45855 .13844 L
.45148 .13799 L
.44485 .13762 L
.43799 .1373 L
.43189 .13706 L
s
.63333 .18333 m
.62472 .1817 L
.61543 .17982 L
.6068 .17799 L
.59857 .17619 L
.5899 .17427 L
.58164 .17243 L
.57296 .17051 L
.56468 .1687 L
.55682 .16702 L
.54855 .16531 L
.5407 .16374 L
.53325 .16231 L
.52543 .16089 L
.51803 .15962 L
.51029 .15837 L
.50297 .15728 L
.49606 .15632 L
.48885 .15541 L
.48204 .15462 L
.47497 .15389 L
.4683 .15327 L
.46204 .15276 L
.45553 .1523 L
.44972 .15194 L
s
.63333 .2 m
.62585 .19842 L
.61774 .1966 L
.61019 .19484 L
.60297 .1931 L
.59534 .19123 L
.58805 .18943 L
.58036 .18753 L
.57301 .18572 L
.56599 .18402 L
.55859 .18226 L
.55154 .18063 L
.54482 .17913 L
.53775 .1776 L
.53103 .17621 L
.52397 .17483 L
.51727 .17358 L
.51091 .17246 L
.50425 .17137 L
.49795 .17041 L
.49136 .16948 L
.48514 .16868 L
.47926 .16799 L
.47313 .16734 L
.46764 .16682 L
s
.63333 .21667 m
.62693 .21514 L
.61997 .21339 L
.61346 .21169 L
.60722 .21002 L
.60061 .20821 L
.59426 .20645 L
.58755 .20458 L
.5811 .20279 L
.57494 .20109 L
.56841 .19931 L
.56215 .19764 L
.55618 .19608 L
.54987 .19447 L
.54384 .19298 L
.53748 .19147 L
.53142 .19009 L
.52565 .18883 L
.51958 .18756 L
.5138 .18643 L
.50774 .1853 L
.50199 .1843 L
.49653 .18342 L
.49082 .18256 L
.48568 .18184 L
s
.63333 .23333 m
.62796 .23186 L
.6221 .23018 L
.6166 .22855 L
.61132 .22694 L
.60569 .22519 L
.60027 .22349 L
.59451 .22167 L
.58897 .21991 L
.58364 .21823 L
.57798 .21645 L
.57253 .21476 L
.56731 .21317 L
.56176 .2115 L
.55644 .20994 L
.55081 .20833 L
.54542 .20683 L
.54026 .20545 L
.5348 .20403 L
.52959 .20274 L
.52409 .20143 L
.51885 .20023 L
.51385 .19915 L
.50859 .19808 L
.50384 .19716 L
s
.63333 .25 m
.62895 .24858 L
.62415 .24697 L
.61962 .24541 L
.61526 .24387 L
.61059 .24219 L
.60607 .24055 L
.60125 .23879 L
.59659 .23708 L
.5921 .23543 L
.58729 .23368 L
.58266 .232 L
.57819 .23039 L
.57342 .2287 L
.56883 .2271 L
.56394 .22542 L
.55924 .22384 L
.55471 .22236 L
.54991 .22082 L
.54529 .21939 L
.5404 .21792 L
.53571 .21656 L
.53121 .2153 L
.52646 .21401 L
.52214 .2129 L
s
.63333 .26667 m
.62989 .2653 L
.62611 .26376 L
.62252 .26227 L
.61903 .2608 L
.61529 .2592 L
.61166 .25764 L
.60776 .25595 L
.60397 .2543 L
.60029 .25271 L
.59634 .251 L
.59251 .24935 L
.5888 .24776 L
.58483 .24608 L
.58097 .24446 L
.57685 .24276 L
.57286 .24113 L
.569 .23959 L
.56487 .23797 L
.56089 .23644 L
.55665 .23484 L
.55255 .23334 L
.5486 .23194 L
.5444 .23048 L
.54057 .22919 L
s
.63333 .28333 m
.63079 .28202 L
.62797 .28055 L
.62528 .27913 L
.62265 .27773 L
.61981 .27622 L
.61703 .27474 L
.61403 .27313 L
.61109 .27157 L
.60822 .27004 L
.60512 .2684 L
.60209 .26681 L
.59914 .26527 L
.59596 .26362 L
.59285 .26204 L
.58951 .26034 L
.58625 .25872 L
.58308 .25716 L
.57968 .2555 L
.57636 .25392 L
.57281 .25225 L
.56935 .25067 L
.56601 .24916 L
.56242 .24757 L
.55912 .24615 L
s
.63333 .3 m
.63164 .29874 L
.62975 .29733 L
.62792 .29599 L
.62611 .29467 L
.62413 .29324 L
.62218 .29185 L
.62005 .29034 L
.61794 .28887 L
.61586 .28743 L
.6136 .28588 L
.61137 .28438 L
.60918 .28291 L
.60679 .28134 L
.60445 .27982 L
.6019 .27818 L
.5994 .2766 L
.59694 .27507 L
.59428 .27344 L
.59167 .27186 L
.58885 .27019 L
.58609 .26858 L
.58339 .26703 L
.58047 .26539 L
.57777 .2639 L
s
.63333 .31667 m
.63245 .31546 L
.63143 .31412 L
.63042 .31285 L
.6294 .31161 L
.62825 .31028 L
.6271 .30898 L
.62581 .30757 L
.62452 .30621 L
.62322 .30487 L
.62178 .30344 L
.62034 .30204 L
.6189 .30068 L
.61731 .29922 L
.61573 .2978 L
.61399 .29627 L
.61226 .29478 L
.61054 .29334 L
.60866 .29179 L
.60679 .29029 L
.60474 .28868 L
.60272 .28712 L
.60071 .28561 L
.59853 .284 L
.59648 .28252 L
s
.63333 .33333 m
.63328 .33277 L
.63321 .33218 L
.63302 .33091 L
.6328 .32976 L
.63251 .32852 L
.63218 .32733 L
.63177 .32605 L
.63131 .32481 L
.63083 .32361 L
.63025 .32232 L
.62964 .32107 L
.629 .31985 L
.62827 .31855 L
.62751 .31728 L
.62665 .31592 L
.62575 .31459 L
.62484 .31331 L
.62382 .31192 L
.62277 .31058 L
.6216 .30913 L
.62042 .30773 L
.61922 .30636 L
.61789 .30489 L
.61655 .30346 L
.61522 .30209 L
s
.63333 .35 m
.63393 .34889 L
.63452 .34769 L
.63503 .34657 L
.63547 .3455 L
.63589 .34435 L
.63624 .34325 L
.63656 .34209 L
.63681 .34097 L
.63701 .33989 L
.63709 .33934 L
.63717 .33874 L
.63722 .33816 L
.63727 .33763 L
.63728 .33737 L
.6373 .33709 L
.6373 .33693 L
.63731 .33678 L
.63731 .33663 L
.63732 .3365 L
.63732 .33635 L
.63732 .33628 L
.63732 .3362 L
.63732 .33617 L
.63732 .33613 L
.63732 .3361 L
.63732 .33606 L
.63732 .33604 L
.63732 .33603 L
.63732 .33601 L
.63732 .33599 L
.63732 .33595 L
.63732 .33592 L
.63732 .33588 L
.63732 .33585 L
.63732 .33582 L
.63732 .33579 L
.63732 .33571 L
.63732 .33565 L
.63732 .33552 L
.63732 .33539 L
.63731 .3351 L
.63729 .33479 L
.63728 .33449 L
.63726 .33421 L
.63722 .33368 L
.63716 .33309 L
.637 .33194 L
.63679 .33082 L
.63652 .32963 L
Mistroke
.63621 .32847 L
.63586 .32735 L
.63543 .32614 L
.63497 .32498 L
.63442 .32372 L
.63393 .32269 L
Mfstroke
.63333 .36667 m
.6346 .36561 L
.63593 .36448 L
.63713 .36343 L
.63825 .36244 L
.63939 .36139 L
.64045 .3604 L
.64152 .35937 L
.64251 .35838 L
.64342 .35745 L
.64435 .35647 L
.6452 .35554 L
.64597 .35465 L
.64675 .35373 L
.64747 .35284 L
.64818 .35192 L
.64882 .35104 L
.64941 .3502 L
.64998 .34932 L
.6505 .34848 L
.65101 .3476 L
.65145 .34676 L
.65184 .34595 L
.65222 .3451 L
.65253 .34433 L
s
.63333 .38333 m
.63522 .38233 L
.63724 .38127 L
.6391 .38029 L
.64086 .37938 L
.64269 .37843 L
.64441 .37755 L
.64621 .37665 L
.6479 .37581 L
.6495 .37503 L
.65117 .37423 L
.65274 .37349 L
.65423 .37282 L
.65578 .37213 L
.65724 .3715 L
.65877 .37087 L
.66021 .3703 L
.66158 .36978 L
.66301 .36926 L
.66436 .3688 L
.66577 .36835 L
.66711 .36796 L
.66839 .36761 L
.66972 .36729 L
.67093 .36703 L
s
.63333 .4 m
.6358 .39905 L
.63846 .39805 L
.64093 .39715 L
.64328 .39632 L
.64576 .39547 L
.64812 .3947 L
.65061 .39393 L
.65298 .39324 L
.65524 .39262 L
.65762 .39202 L
.6599 .3915 L
.66207 .39104 L
.66437 .39062 L
.66657 .39028 L
.6689 .38998 L
.67006 .38985 L
.67114 .38975 L
.67224 .38967 L
.67328 .38961 L
.67384 .38958 L
.67444 .38956 L
.67498 .38954 L
.67548 .38953 L
.67575 .38952 L
.67589 .38952 L
.67603 .38952 L
.67616 .38952 L
.6763 .38952 L
.67642 .38952 L
.67648 .38952 L
.67654 .38952 L
.6766 .38952 L
.67668 .38952 L
.67674 .38952 L
.67681 .38952 L
.67688 .38952 L
.67695 .38952 L
.67699 .38952 L
.67702 .38952 L
.6771 .38952 L
.67725 .38952 L
.67741 .38952 L
.6777 .38952 L
.67797 .38953 L
.67823 .38953 L
.67882 .38955 L
.67939 .38957 L
.68 .3896 L
.68119 .38967 L
Mistroke
.68233 .38976 L
.6845 .39 L
.68682 .39034 L
.68905 .39075 L
Mfstroke
.63333 .41667 m
.63633 .41577 L
.63958 .41483 L
.64262 .414 L
.64553 .41325 L
.64862 .41251 L
.65158 .41185 L
.65471 .41122 L
.65772 .41068 L
.66061 .41023 L
.66368 .40983 L
.66663 .40952 L
.66947 .40931 L
.67093 .40923 L
.67175 .4092 L
.6725 .40918 L
.67286 .40917 L
.67324 .40916 L
.67357 .40915 L
.67393 .40915 L
.67415 .40914 L
.67435 .40914 L
.67454 .40914 L
.67464 .40914 L
.67475 .40914 L
.67485 .40914 L
.67493 .40914 L
.67498 .40914 L
.67504 .40914 L
.67513 .40914 L
.67522 .40914 L
.67532 .40914 L
.6754 .40914 L
.67549 .40914 L
.67567 .40914 L
.67586 .40914 L
.67607 .40914 L
.67625 .40915 L
.67659 .40915 L
.67695 .40916 L
.67778 .40918 L
.67853 .40921 L
.67999 .40928 L
.68157 .40938 L
.68309 .40951 L
.6847 .40968 L
.68762 .41007 L
.69076 .41061 L
.69382 .41127 L
.69711 .41211 L
Mistroke
.70033 .41308 L
.70348 .41417 L
.70676 .41544 L
Mfstroke
.63333 .43333 m
.63682 .43248 L
.64061 .43161 L
.64418 .43086 L
.6476 .43018 L
.65125 .42954 L
.65477 .42899 L
.65851 .4285 L
.66213 .42811 L
.66561 .42783 L
.66742 .42772 L
.66834 .42768 L
.66933 .42764 L
.67027 .42761 L
.67112 .42759 L
.67153 .42758 L
.67198 .42757 L
.67218 .42757 L
.6724 .42757 L
.67259 .42757 L
.67279 .42756 L
.67291 .42756 L
.67303 .42756 L
.6731 .42756 L
.67316 .42756 L
.67323 .42756 L
.67329 .42756 L
.6734 .42756 L
.67352 .42756 L
.67363 .42756 L
.67374 .42756 L
.67386 .42756 L
.67399 .42756 L
.67422 .42757 L
.6745 .42757 L
.67476 .42757 L
.67519 .42758 L
.67567 .42758 L
.67662 .42761 L
.67757 .42764 L
.67843 .42768 L
.68038 .42778 L
.68216 .42792 L
.68411 .4281 L
.68797 .42857 L
.69172 .42918 L
.69538 .42992 L
.69933 .43089 L
.70318 .43201 L
.70736 .43342 L
Mistroke
.71147 .435 L
.7155 .43674 L
.7199 .43885 L
.72395 .44099 L
Mfstroke
.63333 .45 m
.63725 .4492 L
.64154 .4484 L
.64559 .44771 L
.64949 .44711 L
.65366 .44656 L
.6577 .44613 L
.65976 .44594 L
.66201 .44577 L
.66399 .44564 L
.66512 .44558 L
.66619 .44553 L
.66728 .44549 L
.66827 .44546 L
.66934 .44544 L
.66993 .44543 L
.67022 .44542 L
.67049 .44542 L
.67075 .44542 L
.67102 .44542 L
.67115 .44542 L
.67128 .44542 L
.6714 .44542 L
.67151 .44541 L
.67164 .44541 L
.67177 .44541 L
.6719 .44541 L
.67202 .44541 L
.67209 .44541 L
.67217 .44541 L
.6723 .44542 L
.67244 .44542 L
.67259 .44542 L
.67284 .44542 L
.67308 .44542 L
.6736 .44543 L
.67406 .44543 L
.67455 .44544 L
.67557 .44547 L
.67666 .4455 L
.67863 .44559 L
.68093 .44574 L
.68311 .44592 L
.68732 .44638 L
.69184 .44706 L
.69626 .44791 L
.70057 .44892 L
.70524 .45022 L
.70982 .45171 L
.71479 .45357 L
Mistroke
.71969 .45565 L
.72452 .45796 L
.7298 .46075 L
.73503 .4638 L
.74047 .46727 L
Mfstroke
.63333 .46667 m
.63764 .46592 L
.64238 .46517 L
.64685 .46455 L
.65119 .46404 L
.65584 .46358 L
.66035 .46325 L
.66283 .46312 L
.66397 .46307 L
.66519 .46302 L
.6663 .46299 L
.6669 .46298 L
.66753 .46296 L
.66812 .46296 L
.66866 .46295 L
.66891 .46295 L
.6692 .46294 L
.66946 .46294 L
.66958 .46294 L
.66971 .46294 L
.66986 .46294 L
.66995 .46294 L
.67002 .46294 L
.67016 .46294 L
.67031 .46294 L
.6704 .46294 L
.67049 .46294 L
.67057 .46294 L
.67065 .46294 L
.6708 .46294 L
.67096 .46294 L
.67125 .46294 L
.67152 .46295 L
.67215 .46295 L
.6727 .46296 L
.67321 .46297 L
.67436 .463 L
.67554 .46303 L
.67663 .46308 L
.67913 .46321 L
.68161 .46339 L
.68388 .46359 L
.6888 .46417 L
.69361 .46492 L
.6988 .46596 L
.70389 .4672 L
.70887 .46865 L
.71429 .47047 L
.71962 .47254 L
.72542 .4751 L
Mistroke
.73117 .47796 L
.73685 .4811 L
.74309 .4849 L
.74931 .48905 L
.75616 .49405 L
.75619 .49407 L
Mfstroke
.63333 .48333 m
.63799 .48264 L
.64312 .48195 L
.64798 .4814 L
.6527 .48095 L
.65536 .48075 L
.65778 .48059 L
.66035 .48046 L
.66273 .48036 L
.66391 .48033 L
.66517 .4803 L
.66583 .48028 L
.66644 .48028 L
.66712 .48027 L
.6675 .48027 L
.66768 .48026 L
.66785 .48026 L
.668 .48026 L
.66817 .48026 L
.66832 .48026 L
.66846 .48026 L
.66861 .48026 L
.66878 .48026 L
.66887 .48026 L
.66896 .48026 L
.66912 .48026 L
.66927 .48026 L
.66944 .48026 L
.66974 .48027 L
.67003 .48027 L
.6703 .48027 L
.67092 .48028 L
.67161 .48029 L
.673 .48032 L
.67432 .48036 L
.67554 .48041 L
.67829 .48055 L
.6808 .48072 L
.68357 .48096 L
.68906 .4816 L
.69443 .48244 L
.70023 .4836 L
.70594 .485 L
.71153 .48664 L
.71762 .48872 L
.72362 .4911 L
.72954 .49375 L
.73602 .49702 L
.74244 .50063 L
.74949 .50504 L
Mistroke
.75653 .50988 L
.76356 .51516 L
.77096 .5212 L
Mfstroke
.63333 .5 m
.63829 .49935 L
.64375 .49873 L
.64896 .49824 L
.65402 .49786 L
.65666 .49771 L
.65949 .49759 L
.66088 .49754 L
.66239 .4975 L
.66309 .49748 L
.66383 .49747 L
.66452 .49746 L
.66516 .49745 L
.66548 .49745 L
.66582 .49745 L
.66598 .49745 L
.66615 .49745 L
.66631 .49745 L
.66646 .49745 L
.66664 .49745 L
.66673 .49745 L
.66683 .49745 L
.667 .49745 L
.6671 .49745 L
.66719 .49745 L
.66736 .49745 L
.66751 .49745 L
.66769 .49745 L
.66786 .49745 L
.66817 .49745 L
.66849 .49745 L
.66908 .49746 L
.66971 .49747 L
.67041 .49748 L
.67182 .49751 L
.67312 .49755 L
.67607 .49768 L
.67876 .49784 L
.68173 .49807 L
.68762 .49869 L
.6934 .49953 L
.69965 .5007 L
.7058 .50213 L
.71184 .50382 L
.71841 .50599 L
.7249 .50848 L
.7313 .51128 L
.73831 .51475 L
.74526 .51861 L
.7529 .52333 L
Mistroke
.76052 .52855 L
.76813 .53427 L
.77656 .54119 L
.78464 .54839 L
Mfstroke
.63333 .51667 m
.63853 .51607 L
.64429 .5155 L
.64979 .51507 L
.65259 .5149 L
.65515 .51477 L
.65794 .51466 L
.65949 .51461 L
.66095 .51458 L
.66236 .51455 L
.66306 .51454 L
.66347 .51454 L
.66385 .51454 L
.66419 .51454 L
.66436 .51453 L
.66452 .51453 L
.66467 .51453 L
.66482 .51453 L
.66499 .51453 L
.66514 .51453 L
.66532 .51453 L
.66549 .51453 L
.66567 .51453 L
.66586 .51453 L
.66603 .51453 L
.66619 .51454 L
.66654 .51454 L
.66692 .51454 L
.66728 .51454 L
.66808 .51455 L
.66878 .51456 L
.66954 .51458 L
.67084 .51461 L
.67229 .51466 L
.67519 .51479 L
.67834 .51498 L
.68139 .51522 L
.68464 .51554 L
.69058 .51628 L
.69703 .51735 L
.70337 .51868 L
.71026 .52044 L
.71706 .52252 L
.72376 .52492 L
.73109 .52795 L
.73834 .53138 L
.74553 .5352 L
.75343 .5399 L
.7613 .54511 L
.76999 .55146 L
Mistroke
.7787 .55847 L
.78743 .56615 L
.79709 .57538 L
Mfstroke
.63333 .53333 m
.63874 .53278 L
.64474 .53228 L
.64769 .53207 L
.65047 .53191 L
.65335 .53177 L
.65609 .53167 L
.65755 .53162 L
.65914 .53159 L
.65985 .53158 L
.66059 .53157 L
.66124 .53156 L
.66194 .53155 L
.66232 .53155 L
.66253 .53155 L
.66273 .53155 L
.66292 .53155 L
.66309 .53155 L
.66329 .53155 L
.66348 .53155 L
.66365 .53155 L
.66384 .53155 L
.66399 .53155 L
.66416 .53155 L
.66454 .53155 L
.6649 .53155 L
.66531 .53156 L
.6657 .53156 L
.66644 .53157 L
.66724 .53158 L
.6681 .5316 L
.66956 .53164 L
.67117 .53169 L
.67446 .53184 L
.67752 .53203 L
.68085 .53229 L
.68753 .53301 L
.6941 .53397 L
.70055 .53518 L
.70758 .5368 L
.7145 .53874 L
.72206 .54124 L
.72954 .54414 L
.73694 .54743 L
.74505 .55153 L
.75313 .55614 L
.76115 .56124 L
.77001 .56749 L
.77887 .5744 L
.78869 .58281 L
Mistroke
.79858 .59209 L
.80816 .60187 L
Mfstroke
.63333 .55 m
.63889 .5495 L
.64508 .54905 L
.64813 .54887 L
.65101 .54874 L
.6538 .54863 L
.65538 .54859 L
.65683 .54856 L
.65757 .54854 L
.65837 .54853 L
.65904 .54852 L
.65979 .54852 L
.66022 .54851 L
.6606 .54851 L
.66081 .54851 L
.66093 .54851 L
.66105 .54851 L
.66116 .54851 L
.66127 .54851 L
.66147 .54851 L
.66168 .54851 L
.66186 .54851 L
.66207 .54851 L
.66217 .54851 L
.66228 .54851 L
.66248 .54851 L
.66268 .54851 L
.66305 .54851 L
.66346 .54852 L
.66389 .54852 L
.66466 .54853 L
.66549 .54854 L
.66642 .54856 L
.66807 .5486 L
.66964 .54865 L
.67291 .5488 L
.67593 .54898 L
.68252 .54953 L
.68899 .5503 L
.69603 .55141 L
.70297 .5528 L
.71054 .55466 L
.71802 .55688 L
.72541 .55946 L
.7335 .56273 L
.74154 .56647 L
.7495 .57066 L
.75826 .57584 L
.767 .58163 L
.77665 .58873 L
Mistroke
.78632 .59662 L
.79602 .6053 L
.80681 .61587 L
.81769 .6275 L
.81774 .62756 L
Mfstroke
.63333 .56667 m
.639 .56621 L
.642 .56601 L
.64532 .56582 L
.64848 .56567 L
.65139 .56556 L
.65285 .56552 L
.65445 .56548 L
.65533 .56547 L
.65614 .56545 L
.65692 .56544 L
.65735 .56544 L
.65775 .56544 L
.65812 .56543 L
.65853 .56543 L
.65871 .56543 L
.6589 .56543 L
.65909 .56543 L
.65925 .56543 L
.65946 .56543 L
.65965 .56543 L
.65986 .56543 L
.65997 .56543 L
.66008 .56543 L
.66028 .56543 L
.66049 .56543 L
.66069 .56543 L
.66087 .56543 L
.66159 .56544 L
.662 .56544 L
.66238 .56544 L
.66382 .56546 L
.66458 .56548 L
.66539 .56549 L
.66687 .56553 L
.67027 .56566 L
.67361 .56584 L
.67718 .56609 L
.68373 .56671 L
.69088 .56765 L
.69793 .56885 L
.70561 .5705 L
.71322 .57249 L
.72074 .57483 L
.72897 .57783 L
.73714 .58129 L
.74524 .58519 L
.75414 .59006 L
.76301 .59551 L
.77279 .60225 L
Mistroke
.78259 .60977 L
.7924 .61807 L
.80329 .62821 L
.81426 .63941 L
.82572 .65217 L
Mfstroke
.63333 .58333 m
.63906 .58293 L
.64209 .58275 L
.64546 .58259 L
.64863 .58247 L
.65162 .58238 L
.65242 .58237 L
.65328 .58235 L
.65405 .58234 L
.65486 .58233 L
.6556 .58232 L
.65602 .58232 L
.65641 .58232 L
.6566 .58232 L
.65677 .58231 L
.65693 .58231 L
.6571 .58231 L
.65729 .58231 L
.65746 .58231 L
.65766 .58231 L
.65785 .58231 L
.65804 .58231 L
.65822 .58231 L
.65842 .58231 L
.65864 .58231 L
.65907 .58232 L
.65947 .58232 L
.66024 .58232 L
.66098 .58233 L
.66261 .58236 L
.66354 .58238 L
.6644 .5824 L
.66751 .5825 L
.6693 .58258 L
.67099 .58267 L
.67764 .58314 L
.68115 .58347 L
.6849 .58389 L
.69179 .58486 L
.69933 .58621 L
.70678 .58788 L
.71493 .59008 L
.72301 .59268 L
.73102 .5957 L
.73981 .59951 L
.74856 .60386 L
.75725 .60874 L
.76683 .61479 L
.7764 .62155 L
.78698 .62986 L
Mistroke
.7976 .63912 L
.80826 .64933 L
.82012 .6618 L
.83198 .67545 L
Mfstroke
.63333 .6 m
.63907 .59964 L
.64211 .59949 L
.6455 .59935 L
.64703 .5993 L
.64869 .59926 L
.65025 .59922 L
.6517 .5992 L
.65249 .59919 L
.65333 .59918 L
.65377 .59918 L
.65418 .59917 L
.65463 .59917 L
.65488 .59917 L
.655 .59917 L
.65511 .59917 L
.65531 .59917 L
.65552 .59917 L
.65572 .59917 L
.65591 .59917 L
.65601 .59917 L
.65613 .59917 L
.65633 .59917 L
.65654 .59917 L
.65678 .59917 L
.65718 .59917 L
.65761 .59918 L
.65838 .59918 L
.65925 .59919 L
.66005 .59921 L
.66188 .59924 L
.6635 .59929 L
.66523 .59934 L
.66853 .59949 L
.67166 .59967 L
.67842 .60021 L
.6858 .60105 L
.69312 .60215 L
.70036 .60353 L
.70828 .60537 L
.71613 .60757 L
.72474 .61042 L
.73329 .61374 L
.7418 .61753 L
.75114 .62229 L
.76047 .62767 L
.76975 .63368 L
.78001 .6411 L
.79028 .64936 L
.80166 .65949 L
Mistroke
.81311 .67076 L
.8246 .68318 L
.83645 .69714 L
Mfstroke
.63333 .61667 m
.63609 .61651 L
.63903 .61636 L
.64232 .61622 L
.64543 .61612 L
.64689 .61608 L
.64829 .61605 L
.64906 .61604 L
.6499 .61603 L
.65062 .61602 L
.65138 .61601 L
.65179 .61601 L
.65216 .61601 L
.65234 .61601 L
.65253 .61601 L
.65271 .61601 L
.65289 .616 L
.65299 .616 L
.6531 .616 L
.6533 .616 L
.65342 .616 L
.65353 .616 L
.65364 .616 L
.65375 .616 L
.65395 .616 L
.65406 .616 L
.65416 .616 L
.65436 .61601 L
.65455 .61601 L
.65496 .61601 L
.6554 .61601 L
.65618 .61602 L
.65702 .61603 L
.65796 .61604 L
.65962 .61607 L
.66114 .61611 L
.66462 .61623 L
.66783 .61639 L
.67139 .61661 L
.67851 .61723 L
.68557 .61807 L
.69331 .61927 L
.70099 .62078 L
.7086 .6226 L
.71695 .62499 L
.72526 .62779 L
.73349 .63101 L
.74255 .63507 L
.75157 .63968 L
.76151 .64545 L
Mistroke
.77144 .65194 L
.78136 .65918 L
.79233 .66808 L
.80334 .67799 L
.81555 .69014 L
.82785 .70365 L
.83905 .71707 L
Mfstroke
.63333 .63333 m
.63604 .63319 L
.63895 .63307 L
.64194 .63296 L
.64367 .63292 L
.64526 .63288 L
.6468 .63285 L
.64827 .63283 L
.64908 .63283 L
.64947 .63282 L
.64983 .63282 L
.65022 .63282 L
.65043 .63282 L
.65066 .63282 L
.65077 .63282 L
.65089 .63282 L
.65101 .63282 L
.65112 .63282 L
.65132 .63282 L
.65143 .63282 L
.65154 .63282 L
.65173 .63282 L
.6519 .63282 L
.6521 .63282 L
.65231 .63282 L
.65273 .63282 L
.65312 .63282 L
.65387 .63283 L
.65459 .63284 L
.65619 .63286 L
.6571 .63288 L
.65794 .6329 L
.66099 .63299 L
.66275 .63305 L
.66441 .63313 L
.67098 .63354 L
.67446 .63383 L
.67819 .6342 L
.68507 .63506 L
.69263 .63626 L
.70014 .63775 L
.70837 .63973 L
.71657 .6421 L
.72472 .64485 L
.73368 .64837 L
.74261 .6524 L
.75149 .65695 L
.76128 .66261 L
.77106 .66897 L
.78186 .67684 L
Mistroke
.79268 .68565 L
.80351 .69539 L
.81552 .70733 L
.82759 .72055 L
.83971 .7351 L
Mfstroke
.63333 .65 m
.63598 .64988 L
.63881 .64978 L
.64174 .6497 L
.64341 .64967 L
.64417 .64965 L
.64499 .64964 L
.64581 .64963 L
.64657 .64962 L
.64729 .64962 L
.64766 .64962 L
.64787 .64962 L
.64807 .64962 L
.64824 .64962 L
.64843 .64962 L
.64861 .64962 L
.64877 .64961 L
.64896 .64961 L
.64914 .64961 L
.64934 .64962 L
.64953 .64962 L
.6497 .64962 L
.64987 .64962 L
.65019 .64962 L
.65053 .64962 L
.65091 .64962 L
.65172 .64963 L
.65249 .64964 L
.65394 .64966 L
.65552 .64969 L
.65725 .64973 L
.66043 .64985 L
.66386 .65001 L
.67018 .65044 L
.67713 .6511 L
.68404 .65198 L
.69164 .65321 L
.6992 .65473 L
.70671 .65653 L
.71497 .65889 L
.72319 .66164 L
.73224 .66515 L
.74128 .66918 L
.75028 .67375 L
.7602 .67944 L
.77012 .68585 L
.78002 .69298 L
.79097 .70175 L
.80192 .71149 L
.81406 .72344 L
Mistroke
.82626 .73669 L
.83838 .75116 L
Mfstroke
.63333 .66667 m
.63589 .66657 L
.63863 .66649 L
.63999 .66646 L
.64146 .66644 L
.64231 .66642 L
.64309 .66641 L
.64387 .66641 L
.64426 .6664 L
.64462 .6664 L
.64497 .6664 L
.64529 .6664 L
.64564 .6664 L
.64584 .6664 L
.64603 .6664 L
.64621 .6664 L
.6464 .66639 L
.64658 .66639 L
.64675 .66639 L
.64685 .6664 L
.64694 .6664 L
.64715 .6664 L
.64734 .6664 L
.64754 .6664 L
.64786 .6664 L
.64821 .6664 L
.64884 .6664 L
.64959 .66641 L
.65028 .66642 L
.65177 .66644 L
.65316 .66647 L
.65635 .66656 L
.65927 .66668 L
.66254 .66685 L
.66911 .66732 L
.67564 .66796 L
.68284 .6689 L
.69002 .67007 L
.69715 .6715 L
.70501 .67338 L
.71284 .67559 L
.72146 .67844 L
.73008 .68174 L
.73865 .6855 L
.74811 .69021 L
.75756 .69554 L
.76698 .70148 L
.77739 .70881 L
.78779 .71698 L
.7993 .72702 L
Mistroke
.81084 .73817 L
.82239 .75047 L
.83499 .76523 L
Mfstroke
.63333 .68333 m
.63578 .68326 L
.6384 .68321 L
.6398 .68319 L
.64111 .68317 L
.6415 .68317 L
.64187 .68317 L
.64221 .68316 L
.64257 .68316 L
.64275 .68316 L
.64296 .68316 L
.64314 .68316 L
.64332 .68316 L
.64341 .68316 L
.64352 .68316 L
.64363 .68316 L
.64374 .68316 L
.64384 .68316 L
.64395 .68316 L
.64405 .68316 L
.64414 .68316 L
.64431 .68316 L
.64446 .68316 L
.64463 .68316 L
.64482 .68316 L
.64519 .68316 L
.64554 .68316 L
.6462 .68317 L
.64684 .68317 L
.64825 .68319 L
.64981 .68322 L
.65117 .68325 L
.65269 .68329 L
.6558 .6834 L
.65872 .68354 L
.66193 .68373 L
.66844 .68424 L
.67495 .68493 L
.68143 .68581 L
.68858 .68701 L
.69571 .68845 L
.70357 .69035 L
.71142 .69259 L
.71925 .69518 L
.72788 .69846 L
.7365 .7022 L
.74509 .70642 L
.75458 .71166 L
.76405 .71753 L
.7745 .72477 L
Mistroke
.78497 .73287 L
.79543 .74183 L
.807 .75278 L
.81858 .76488 L
.82949 .77737 L
Mfstroke
.63333 .7 m
.63443 .69998 L
.63564 .69995 L
.63692 .69993 L
.63812 .69992 L
.63881 .69991 L
.63916 .69991 L
.63947 .69991 L
.63976 .69991 L
.64007 .69991 L
.64038 .69991 L
.64055 .69991 L
.64072 .6999 L
.64081 .6999 L
.64089 .6999 L
.64098 .6999 L
.64108 .6999 L
.64117 .6999 L
.64126 .6999 L
.64142 .6999 L
.64159 .69991 L
.64174 .69991 L
.6419 .69991 L
.64207 .69991 L
.64244 .69991 L
.64278 .69991 L
.64355 .69991 L
.64421 .69992 L
.64493 .69993 L
.64626 .69995 L
.64756 .69997 L
.64877 .7 L
.65135 .70008 L
.65424 .7002 L
.66007 .70054 L
.66589 .70101 L
.67231 .70169 L
.67875 .70256 L
.68516 .70362 L
.69225 .70502 L
.69933 .70668 L
.70714 .70882 L
.71496 .71131 L
.72276 .71415 L
.73137 .71773 L
.73997 .72177 L
.74855 .7263 L
.75802 .7319 L
.76749 .73814 L
.77794 .74581 L
Mistroke
.7884 .75435 L
.79885 .76376 L
.81039 .77523 L
.82181 .78773 L
Mfstroke
.63333 .71667 m
.63435 .71665 L
.63548 .71664 L
.63605 .71664 L
.63637 .71664 L
.63667 .71663 L
.63695 .71663 L
.6371 .71663 L
.63726 .71663 L
.63739 .71663 L
.63753 .71663 L
.63767 .71663 L
.63779 .71663 L
.63787 .71663 L
.63795 .71663 L
.6381 .71663 L
.63819 .71663 L
.63827 .71663 L
.63835 .71663 L
.63843 .71663 L
.63859 .71663 L
.63875 .71663 L
.63905 .71663 L
.63933 .71663 L
.6396 .71663 L
.64021 .71664 L
.64087 .71664 L
.64148 .71665 L
.64286 .71667 L
.64408 .71669 L
.64523 .71672 L
.64786 .71679 L
.65027 .71689 L
.65299 .71702 L
.65846 .71737 L
.66393 .71784 L
.66999 .71851 L
.67606 .71934 L
.68213 .72035 L
.68884 .72166 L
.69555 .72321 L
.70296 .7252 L
.71039 .7275 L
.71781 .73011 L
.726 .73339 L
.7342 .73709 L
.74238 .74122 L
.75141 .74631 L
.76043 .75198 L
.77039 .75894 L
Mistroke
.78036 .76667 L
.79031 .77518 L
.80129 .78553 L
.81187 .7965 L
Mfstroke
.63333 .73333 m
.63357 .73333 L
.63382 .73333 L
.63405 .73333 L
.63427 .73333 L
.6344 .73333 L
.63452 .73333 L
.63465 .73333 L
.63472 .73333 L
.6348 .73333 L
.63492 .73333 L
.63505 .73333 L
.63518 .73333 L
.6353 .73333 L
.63556 .73333 L
.63581 .73333 L
.63608 .73333 L
.63638 .73333 L
.63692 .73334 L
.63741 .73334 L
.63854 .73335 L
.63978 .73337 L
.64206 .73342 L
.64433 .73349 L
.64679 .73358 L
.65136 .73382 L
.65643 .73418 L
.66151 .73464 L
.66715 .73529 L
.67281 .73608 L
.67847 .73702 L
.68474 .73824 L
.69103 .73967 L
.69731 .74129 L
.70426 .74335 L
.71122 .74568 L
.7189 .74859 L
.7266 .75187 L
.73428 .75552 L
.74278 .76002 L
.75126 .76501 L
.76063 .77113 L
.77001 .77792 L
.77937 .78538 L
.7897 .79445 L
.79956 .80396 L
s
.63333 .75 m
.63417 .75001 L
.63509 .75002 L
.63699 .75005 L
.63912 .75011 L
.64115 .75017 L
.64519 .75035 L
.64968 .75063 L
.65419 .75099 L
.65873 .75143 L
.66376 .75204 L
.66883 .75275 L
.67389 .7536 L
.67952 .75467 L
.68515 .75591 L
.6914 .75748 L
.69767 .75926 L
.70393 .76126 L
.71087 .76375 L
.71782 .76652 L
.72551 .76995 L
.73321 .77377 L
.7409 .77799 L
.7494 .78313 L
.7579 .7888 L
.76637 .79501 L
.77571 .80252 L
.78475 .81047 L
s
.63333 .76667 m
.63486 .76671 L
.63651 .76676 L
.64014 .76692 L
.64357 .76712 L
.6474 .7674 L
.65125 .76775 L
.65553 .76821 L
.65984 .76875 L
.66418 .76939 L
.669 .77019 L
.67384 .77112 L
.67869 .77217 L
.68408 .77347 L
.68948 .77493 L
.69547 .77674 L
.70148 .77876 L
.7075 .781 L
.71415 .78373 L
.72082 .78675 L
.7282 .79043 L
.73558 .79448 L
.74296 .79892 L
.7511 .80428 L
.75924 .81015 L
.76725 .81645 L
s
.63333 .78333 m
.63598 .78347 L
.63902 .78367 L
.642 .78391 L
.64501 .78418 L
.64837 .78454 L
.65175 .78495 L
.65551 .78546 L
.6593 .78605 L
.66312 .78671 L
.66736 .78753 L
.67163 .78845 L
.67591 .78946 L
.68066 .7907 L
.68543 .79207 L
.69073 .79374 L
.69605 .79558 L
.70137 .79758 L
.70727 .80001 L
.71317 .80266 L
.71971 .80586 L
.72626 .80936 L
.7328 .81316 L
.74002 .81771 L
.74686 .8224 L
s
.63333 .8 m
.63541 .80018 L
.63778 .80042 L
.64012 .80068 L
.64248 .80096 L
.64512 .80131 L
.64777 .8017 L
.65073 .80217 L
.65371 .80268 L
.65672 .80325 L
.66006 .80393 L
.66343 .80467 L
.66681 .80548 L
.67057 .80645 L
.67434 .8075 L
.67854 .80875 L
.68275 .81012 L
.68698 .81159 L
.69167 .81334 L
.69637 .81523 L
.70157 .81749 L
.70679 .81994 L
.71201 .82256 L
.71779 .82569 L
.72326 .82887 L
s
.63333 .81667 m
.63478 .81689 L
.63644 .81717 L
.63807 .81745 L
.63972 .81774 L
.64155 .81809 L
.6434 .81845 L
.64545 .81887 L
.64753 .81932 L
.64962 .81979 L
.65194 .82034 L
.65429 .82092 L
.65664 .82153 L
.65925 .82225 L
.66188 .823 L
.6648 .82389 L
.66774 .82482 L
.67069 .82581 L
.67396 .82696 L
.67724 .82818 L
.68088 .82961 L
.68453 .83112 L
.68819 .83272 L
.69224 .8346 L
.69609 .83648 L
s
.63333 .83333 m
.63411 .8336 L
.63498 .83391 L
.63584 .83421 L
.6367 .83452 L
.63766 .83486 L
.63862 .8352 L
.63968 .83558 L
.64074 .83596 L
.64181 .83635 L
.64299 .83678 L
.64417 .83722 L
.64536 .83766 L
.64667 .83816 L
.64798 .83867 L
.64944 .83923 L
.6509 .83981 L
.65236 .8404 L
.65398 .84106 L
.6556 .84174 L
.65739 .8425 L
.65919 .84328 L
.66099 .84408 L
.66298 .84498 L
.66486 .84586 L
s
.63333 .85 m
.63338 .85031 L
.6334 .85048 L
.63342 .85066 L
.63343 .85082 L
.63344 .85098 L
.63344 .85107 L
.63344 .85111 L
.63345 .85115 L
.63345 .85118 L
.63345 .85122 L
.63345 .85124 L
.63345 .85126 L
.63345 .85127 L
.63345 .85128 L
.63345 .85129 L
.63345 .8513 L
.63345 .85131 L
.63345 .85132 L
.63345 .85133 L
.63345 .85134 L
.63345 .85135 L
.63345 .85136 L
.63345 .85136 L
.63345 .85137 L
.63345 .85138 L
.63345 .8514 L
.63345 .85142 L
.63345 .85146 L
.63345 .8515 L
.63345 .85154 L
.63344 .85163 L
.63344 .85171 L
.63343 .85178 L
.63342 .85195 L
.6334 .85212 L
.63338 .85227 L
.63333 .8526 L
.63326 .85291 L
.63316 .85325 L
.63305 .85357 L
.63291 .85391 L
.63275 .85424 L
.63257 .85456 L
.63235 .85489 L
.63211 .85521 L
.63186 .85551 L
.63156 .85583 L
.63123 .85614 L
.63085 .85646 L
Mistroke
.63045 .85677 L
.63002 .85706 L
.62952 .85736 L
.629 .85765 L
.62898 .85766 L
Mfstroke
.63333 .86667 m
.6326 .86702 L
.63174 .8674 L
.63086 .86774 L
.62994 .86807 L
.62889 .8684 L
.62781 .86871 L
.62656 .86902 L
.62527 .86931 L
.62394 .86958 L
.62242 .86985 L
.62086 .8701 L
.61925 .87032 L
.61742 .87055 L
.61554 .87076 L
.61341 .87097 L
.61122 .87116 L
.60897 .87133 L
.60642 .8715 L
.60381 .87166 L
.60084 .87182 L
.5978 .87197 L
.59468 .87212 L
.59115 .87228 L
.58771 .87242 L
s
.63333 .88333 m
.63178 .88373 L
.62995 .88414 L
.6281 .88451 L
.62619 .88484 L
.62401 .88518 L
.62176 .88548 L
.6192 .88578 L
.61656 .88604 L
.61384 .88628 L
.61075 .88652 L
.60757 .88674 L
.60431 .88694 L
.60062 .88714 L
.59682 .88733 L
.59251 .88754 L
.58807 .88774 L
.58353 .88794 L
.57837 .88818 L
.57307 .88843 L
.56706 .88873 L
.56086 .88908 L
.55449 .88946 L
.54725 .88994 L
.54019 .89045 L
s
.63333 .9 m
.6309 .90044 L
.62804 .90089 L
.62515 .90127 L
.62218 .90162 L
.61878 .90196 L
.61528 .90226 L
.61129 .90256 L
.60717 .90283 L
.60293 .90307 L
.59811 .90332 L
.59314 .90356 L
.58804 .9038 L
.58225 .90406 L
.57629 .90434 L
.5695 .90467 L
.56251 .90504 L
.55532 .90546 L
.54713 .90598 L
.53868 .90657 L
.52905 .90732 L
.51907 .90817 L
.50878 .90913 L
.49701 .91032 L
.48546 .91157 L
s
.63333 .91667 m
.62997 .91715 L
.62602 .91763 L
.62203 .91804 L
.61791 .9184 L
.6132 .91875 L
.60835 .91907 L
.60281 .91938 L
.59708 .91968 L
.59118 .91996 L
.58445 .92027 L
.57751 .92059 L
.57037 .92093 L
.56223 .92135 L
.55384 .92183 L
.54425 .92243 L
.53433 .92312 L
.52409 .92391 L
.51238 .92491 L
.50025 .92604 L
.48636 .92745 L
.47189 .92901 L
.45689 .93071 L
.43965 .93271 L
.42265 .93469 L
s
.65 .08333 m
.63314 .08159 L
.61525 .07944 L
.59888 .07731 L
.58354 .07523 L
.56761 .07307 L
.55269 .0711 L
.53727 .06915 L
.52283 .06746 L
.50934 .06601 L
.49543 .06467 L
.48245 .06357 L
.47037 .06268 L
.45793 .06189 L
.44637 .06126 L
.43451 .06072 L
.4235 .06028 L
.41329 .05992 L
.40281 .05956 L
.39309 .05921 L
.38314 .0588 L
.37391 .05833 L
.36535 .0578 L
.35655 .0571 L
.34878 .05632 L
s
.65 .1 m
.63456 .09832 L
.61814 .09624 L
.60308 .09417 L
.58893 .09214 L
.57422 .09 L
.56039 .08801 L
.54605 .08603 L
.53259 .08427 L
.51998 .08273 L
.50694 .08128 L
.49473 .08005 L
.48334 .07903 L
.47157 .07811 L
.46059 .07737 L
.44931 .07672 L
.4388 .07621 L
.42904 .0758 L
.41899 .07543 L
.40966 .07512 L
.40009 .0748 L
.3912 .07448 L
.38295 .07414 L
.37446 .07371 L
.36697 .07324 L
s
.65 .11667 m
.63594 .11504 L
.62095 .11304 L
.60717 .11104 L
.59419 .10905 L
.58066 .10694 L
.56791 .10496 L
.55465 .10295 L
.54217 .10114 L
.53045 .09952 L
.51827 .09796 L
.50685 .09661 L
.49616 .09547 L
.48507 .09441 L
.47471 .09353 L
.46402 .09275 L
.45404 .09212 L
.44473 .09162 L
.43513 .09118 L
.4262 .09083 L
.41702 .09051 L
.40847 .09023 L
.40052 .08998 L
.39234 .0897 L
.38511 .08942 L
s
.65 .13333 m
.63727 .13177 L
.62367 .12985 L
.61114 .12791 L
.59931 .12598 L
.58694 .12391 L
.57525 .12195 L
.56307 .11992 L
.55157 .11806 L
.54073 .11638 L
.52944 .11472 L
.51881 .11327 L
.50883 .112 L
.49845 .1108 L
.48871 .10978 L
.47863 .10884 L
.46919 .10807 L
.46037 .10744 L
.45124 .10688 L
.44272 .10643 L
.43393 .10604 L
.42574 .10573 L
.4181 .10547 L
.41023 .10523 L
.40326 .10503 L
s
.65 .15 m
.63856 .14849 L
.62631 .14665 L
.61499 .14478 L
.60428 .14292 L
.59305 .1409 L
.58242 .13896 L
.5713 .13694 L
.56077 .13505 L
.55081 .13332 L
.54042 .13159 L
.53059 .13003 L
.52134 .12865 L
.51168 .1273 L
.50259 .12614 L
.49315 .12504 L
.48428 .1241 L
.47595 .12332 L
.46731 .12261 L
.45922 .12202 L
.45086 .12151 L
.44304 .12109 L
.43572 .12076 L
.42816 .12047 L
.42146 .12025 L
s
.65 .16667 m
.63981 .16522 L
.62886 .16345 L
.61873 .16166 L
.60911 .15987 L
.599 .15791 L
.5894 .15601 L
.57933 .154 L
.56977 .15211 L
.5607 .15035 L
.5512 .14855 L
.54219 .14691 L
.53367 .14542 L
.52476 .14395 L
.51634 .14265 L
.50756 .14138 L
.49927 .14029 L
.49147 .13934 L
.48336 .13845 L
.47572 .1377 L
.46781 .13701 L
.46037 .13644 L
.4534 .13598 L
.44618 .13557 L
.43976 .13526 L
s
.65 .18333 m
.64101 .18194 L
.63133 .18026 L
.62234 .17855 L
.61378 .17682 L
.60478 .17493 L
.59619 .17308 L
.58717 .17111 L
.57857 .16923 L
.57038 .16745 L
.56178 .16561 L
.5536 .16391 L
.54583 .16235 L
.53768 .16076 L
.52994 .15933 L
.52185 .15792 L
.51418 .15666 L
.50694 .15554 L
.49937 .15447 L
.49222 .15353 L
.48478 .15265 L
.47777 .1519 L
.47117 .15126 L
.46431 .15068 L
.45818 .15022 L
s
.65 .2 m
.64216 .19867 L
.6337 .19706 L
.62583 .19543 L
.61831 .19379 L
.61038 .19197 L
.60279 .19019 L
.59479 .18827 L
.58714 .18641 L
.57984 .18464 L
.57214 .18279 L
.56479 .18104 L
.55779 .17942 L
.55041 .17775 L
.54339 .17622 L
.53601 .17467 L
.52899 .17326 L
.52232 .17199 L
.51534 .17073 L
.50871 .16961 L
.50179 .16852 L
.49523 .16756 L
.48904 .16673 L
.48257 .16594 L
.47677 .16529 L
s
.65 .21667 m
.64328 .21539 L
.63599 .21386 L
.62919 .21232 L
.62269 .21076 L
.6158 .20903 L
.60919 .20732 L
.6022 .20546 L
.5955 .20365 L
.58908 .20191 L
.58228 .20007 L
.57577 .19831 L
.56955 .19665 L
.56296 .19493 L
.55666 .19331 L
.55002 .19166 L
.54367 .19013 L
.53763 .18872 L
.53125 .18729 L
.52519 .186 L
.51882 .18471 L
.51276 .18355 L
.50701 .18251 L
.50098 .18149 L
.49555 .18063 L
s
.65 .23333 m
.64434 .23211 L
.63819 .23067 L
.63244 .22921 L
.62691 .22774 L
.62104 .2261 L
.61539 .22447 L
.6094 .2227 L
.60363 .22096 L
.59808 .21926 L
.59218 .21746 L
.58652 .21572 L
.58107 .21405 L
.57529 .2123 L
.56974 .21064 L
.56386 .20891 L
.55822 .20729 L
.55282 .20577 L
.54711 .20421 L
.54164 .20277 L
.53587 .2013 L
.53035 .19995 L
.52509 .19871 L
.51955 .19747 L
.51453 .19641 L
s
.65 .25 m
.64536 .24884 L
.64031 .24747 L
.63556 .2461 L
.63098 .24472 L
.6261 .24318 L
.62139 .24165 L
.61636 .23997 L
.61151 .23831 L
.60683 .23669 L
.60184 .23495 L
.59701 .23325 L
.59236 .23162 L
.5874 .22988 L
.58262 .22821 L
.57753 .22645 L
.57262 .22478 L
.5679 .22319 L
.56287 .22153 L
.55804 .21998 L
.55292 .21836 L
.548 .21686 L
.54328 .21546 L
.53828 .21402 L
.53373 .21276 L
s
.65 .26667 m
.64634 .26556 L
.64233 .26428 L
.63855 .263 L
.63489 .26171 L
.63097 .26027 L
.62717 .25885 L
.6231 .25728 L
.61915 .25572 L
.61533 .2542 L
.61123 .25254 L
.60725 .25092 L
.6034 .24935 L
.59927 .24766 L
.59527 .24602 L
.59098 .24428 L
.58684 .2426 L
.58282 .241 L
.57853 .2393 L
.57438 .23768 L
.56996 .23598 L
.56568 .23436 L
.56156 .23284 L
.55716 .23125 L
.55314 .22983 L
s
.65 .28333 m
.64727 .28228 L
.64426 .28108 L
.64141 .27989 L
.63863 .2787 L
.63564 .27738 L
.63273 .27606 L
.6296 .27461 L
.62653 .27318 L
.62355 .27177 L
.62034 .27023 L
.61721 .26872 L
.61415 .26724 L
.61086 .26564 L
.60766 .26408 L
.60421 .26241 L
.60085 .26078 L
.59757 .25921 L
.59406 .25753 L
.59063 .25591 L
.58695 .25419 L
.58338 .25254 L
.57991 .25096 L
.57618 .24928 L
.57275 .24777 L
s
.65 .3 m
.64816 .29901 L
.64611 .29788 L
.64414 .29678 L
.64222 .29569 L
.64013 .29448 L
.63807 .29329 L
.63585 .29198 L
.63365 .29068 L
.6315 .2894 L
.62917 .28801 L
.62687 .28663 L
.62462 .28528 L
.62218 .28382 L
.61978 .28239 L
.61718 .28084 L
.61462 .27932 L
.61212 .27785 L
.60941 .27626 L
.60675 .27471 L
.60387 .27305 L
.60105 .27144 L
.5983 .26989 L
.59532 .26822 L
.59256 .2667 L
s
.65 .31667 m
.649 .31573 L
.64786 .31468 L
.64675 .31367 L
.64564 .31268 L
.64441 .3116 L
.64319 .31053 L
.64184 .30937 L
.6405 .30822 L
.63916 .30709 L
.63769 .30587 L
.63623 .30466 L
.63477 .30348 L
.63318 .30219 L
.63159 .30093 L
.62985 .29956 L
.62813 .29822 L
.62642 .29691 L
.62455 .29549 L
.6227 .2941 L
.62067 .2926 L
.61867 .29113 L
.61669 .2897 L
.61453 .28816 L
.61251 .28674 L
s
.65 .33333 m
.64979 .33245 L
.64952 .33148 L
.64922 .33056 L
.64889 .32967 L
.6485 .32871 L
.64808 .32778 L
.64758 .32677 L
.64706 .32579 L
.64652 .32483 L
.6459 .3238 L
.64526 .32279 L
.6446 .3218 L
.64385 .32074 L
.64308 .31969 L
.64222 .31857 L
.64133 .31746 L
.64044 .31639 L
.63945 .31522 L
.63844 .31408 L
.63731 .31284 L
.63618 .31163 L
.63503 .31045 L
.63377 .30916 L
.63256 .30797 L
s
.65 .35 m
.65054 .34917 L
.65108 .34828 L
.65156 .34745 L
.65197 .34666 L
.65238 .34583 L
.65273 .34503 L
.65306 .34419 L
.65334 .34338 L
.65357 .34261 L
.65378 .34179 L
.65394 .341 L
.65406 .34025 L
.65412 .33982 L
.65416 .33944 L
.65417 .33925 L
.65419 .33904 L
.6542 .33885 L
.65421 .33866 L
.65421 .33857 L
.65422 .33846 L
.65422 .33837 L
.65422 .33827 L
.65422 .33816 L
.65422 .33811 L
.65422 .33808 L
.65422 .33805 L
.65422 .33803 L
.65422 .338 L
.65422 .33798 L
.65422 .33795 L
.65422 .33793 L
.65422 .3379 L
.65422 .33789 L
.65422 .33788 L
.65422 .33785 L
.65422 .33783 L
.65422 .3378 L
.65422 .33775 L
.65422 .3377 L
.65422 .33766 L
.65422 .33756 L
.65422 .33745 L
.65421 .33723 L
.6542 .33702 L
.65418 .33665 L
.65414 .33623 L
.65404 .33541 L
.6539 .33462 L
.65372 .33377 L
Mistroke
.65351 .33294 L
.65326 .33214 L
.65297 .33128 L
.65266 .33049 L
Mfstroke
.65 .36667 m
.65124 .3659 L
.65256 .36508 L
.65376 .36434 L
.65488 .36365 L
.65605 .36294 L
.65714 .36229 L
.65826 .36162 L
.65931 .36099 L
.6603 .36042 L
.66132 .35983 L
.66227 .35929 L
.66316 .35879 L
.66409 .35829 L
.66495 .35782 L
.66585 .35735 L
.66669 .35692 L
.66748 .35653 L
.6683 .35614 L
.66906 .35579 L
.66986 .35543 L
.67061 .35511 L
.67132 .35483 L
.67205 .35455 L
.67271 .35432 L
s
.65 .38333 m
.6519 .38262 L
.65394 .38188 L
.65583 .38123 L
.65762 .38064 L
.65951 .38006 L
.6613 .37954 L
.66318 .37905 L
.66498 .37862 L
.66669 .37825 L
.66849 .37791 L
.67021 .37764 L
.67186 .37743 L
.67277 .37733 L
.67361 .37725 L
.67447 .37719 L
.67528 .37714 L
.67609 .3771 L
.67653 .37709 L
.67676 .37709 L
.67699 .37708 L
.6772 .37708 L
.67731 .37708 L
.67743 .37708 L
.67755 .37707 L
.67761 .37707 L
.67764 .37707 L
.67767 .37707 L
.67773 .37707 L
.67776 .37707 L
.67779 .37707 L
.67785 .37707 L
.67788 .37707 L
.6779 .37707 L
.67796 .37707 L
.67801 .37707 L
.67807 .37707 L
.67812 .37707 L
.67822 .37708 L
.67832 .37708 L
.67856 .37708 L
.67877 .37708 L
.6792 .37709 L
.6796 .37711 L
.68049 .37715 L
.6813 .3772 L
.68219 .37728 L
.68393 .37747 L
.68562 .37773 L
.68742 .37807 L
Mistroke
.68918 .37848 L
.69089 .37894 L
.69262 .37947 L
Mfstroke
.65 .4 m
.65251 .39934 L
.65523 .39867 L
.65776 .39811 L
.66018 .39762 L
.66275 .39717 L
.66521 .3968 L
.66782 .39648 L
.66912 .39635 L
.67032 .39625 L
.67157 .39616 L
.67273 .3961 L
.67335 .39607 L
.67391 .39605 L
.67453 .39603 L
.67487 .39603 L
.6752 .39602 L
.67536 .39602 L
.67551 .39602 L
.67565 .39602 L
.6758 .39602 L
.67588 .39602 L
.67596 .39601 L
.67604 .39601 L
.67611 .39601 L
.67615 .39601 L
.67619 .39601 L
.67627 .39601 L
.67635 .39601 L
.6764 .39601 L
.67644 .39601 L
.67651 .39601 L
.67658 .39602 L
.67671 .39602 L
.67686 .39602 L
.677 .39602 L
.67729 .39602 L
.6776 .39603 L
.6782 .39604 L
.67884 .39606 L
.67999 .39611 L
.68134 .3962 L
.68262 .3963 L
.68506 .39658 L
.68768 .39697 L
.69022 .39745 L
.6927 .39802 L
.69536 .39874 L
.69796 .39955 L
.70077 .40055 L
Mistroke
.70353 .40165 L
.70624 .40285 L
.70918 .40428 L
.71209 .40582 L
.71228 .40592 L
Mfstroke
.65 .41667 m
.65307 .41606 L
.65642 .41547 L
.65955 .41499 L
.66257 .4146 L
.66578 .41427 L
.66726 .41415 L
.66887 .41404 L
.66975 .414 L
.67056 .41396 L
.67139 .41393 L
.67216 .4139 L
.67288 .41389 L
.67328 .41388 L
.67365 .41388 L
.67386 .41387 L
.67406 .41387 L
.67417 .41387 L
.67427 .41387 L
.67433 .41387 L
.67439 .41387 L
.67444 .41387 L
.6745 .41387 L
.67459 .41387 L
.67464 .41387 L
.6747 .41387 L
.67476 .41387 L
.67481 .41387 L
.67491 .41387 L
.67501 .41387 L
.6751 .41387 L
.6753 .41387 L
.67549 .41387 L
.67567 .41388 L
.67607 .41388 L
.67642 .41389 L
.67679 .41389 L
.67758 .41392 L
.67844 .41395 L
.68002 .41402 L
.68171 .41414 L
.68343 .41429 L
.68507 .41447 L
.68822 .4149 L
.6916 .41549 L
.69489 .41621 L
.6981 .41705 L
.70157 .4181 L
.70497 .41928 L
.70865 .42073 L
Mistroke
.71227 .42233 L
.71584 .42407 L
.71974 .42615 L
.72359 .4284 L
.72782 .43106 L
.73156 .43359 L
Mfstroke
.65 .43333 m
.65359 .43278 L
.65751 .43226 L
.66121 .43186 L
.66477 .43157 L
.66661 .43146 L
.66858 .43137 L
.66954 .43133 L
.67005 .43132 L
.67059 .43131 L
.67106 .4313 L
.67158 .43129 L
.67181 .43129 L
.67205 .43128 L
.67229 .43128 L
.6725 .43128 L
.67261 .43128 L
.67274 .43128 L
.67281 .43128 L
.67287 .43128 L
.67299 .43128 L
.6731 .43128 L
.67322 .43128 L
.67334 .43128 L
.67346 .43128 L
.67352 .43128 L
.67359 .43128 L
.67372 .43128 L
.67396 .43128 L
.67424 .43128 L
.6745 .43129 L
.67494 .43129 L
.67543 .4313 L
.67642 .43133 L
.67738 .43136 L
.67827 .43139 L
.68027 .4315 L
.68209 .43164 L
.6841 .43182 L
.68806 .4323 L
.69191 .43293 L
.69606 .43377 L
.70011 .43478 L
.70408 .43594 L
.70838 .4374 L
.7126 .43903 L
.71675 .44084 L
.72127 .44302 L
.72575 .44541 L
.73064 .44828 L
Mistroke
.7355 .45138 L
.74034 .45472 L
.74568 .45868 L
.7503 .46235 L
Mfstroke
.65 .45 m
.65406 .4495 L
.65851 .44905 L
.66069 .44887 L
.66272 .44873 L
.66481 .44862 L
.66679 .44854 L
.66784 .4485 L
.6684 .44849 L
.66899 .44848 L
.66948 .44847 L
.67003 .44846 L
.67027 .44846 L
.67053 .44846 L
.67077 .44845 L
.67099 .44845 L
.67113 .44845 L
.67127 .44845 L
.67138 .44845 L
.67151 .44845 L
.67165 .44845 L
.67172 .44845 L
.6718 .44845 L
.67193 .44845 L
.67206 .44845 L
.67219 .44845 L
.67231 .44845 L
.67254 .44846 L
.67278 .44846 L
.67305 .44846 L
.67362 .44847 L
.67422 .44848 L
.67531 .4485 L
.67633 .44854 L
.67744 .44858 L
.67945 .44869 L
.68166 .44884 L
.684 .44905 L
.68827 .44956 L
.69287 .45028 L
.69736 .45118 L
.70221 .45236 L
.70697 .45375 L
.71164 .45533 L
.71672 .45729 L
.72172 .45949 L
.72665 .46191 L
.73205 .46484 L
.7374 .46803 L
.74328 .47188 L
Mistroke
.74914 .47605 L
.755 .48055 L
.76148 .48591 L
.76799 .49169 L
.76837 .49203 L
Mfstroke
.65 .46667 m
.65449 .46621 L
.65683 .46602 L
.65942 .46583 L
.66186 .46569 L
.66409 .4656 L
.66529 .46556 L
.66642 .46553 L
.667 .46552 L
.66762 .46551 L
.66794 .4655 L
.6683 .4655 L
.6686 .46549 L
.66892 .46549 L
.66908 .46549 L
.66925 .46549 L
.66939 .46549 L
.66955 .46549 L
.66963 .46549 L
.66971 .46549 L
.66986 .46549 L
.66999 .46549 L
.67014 .46549 L
.67027 .46549 L
.67041 .46549 L
.67055 .46549 L
.67067 .46549 L
.67097 .46549 L
.67126 .46549 L
.67188 .4655 L
.67246 .46551 L
.6731 .46552 L
.67378 .46553 L
.67491 .46557 L
.67614 .46561 L
.67838 .46572 L
.68084 .46589 L
.68345 .46611 L
.68821 .46665 L
.69335 .46743 L
.69837 .46841 L
.70381 .46971 L
.70914 .47125 L
.71439 .47301 L
.72009 .47521 L
.72572 .47769 L
.73127 .48043 L
.73736 .48377 L
.7434 .48743 L
.75004 .49186 L
Mistroke
.75668 .4967 L
.76331 .50193 L
.77065 .5082 L
.77805 .51499 L
.78558 .52238 L
Mfstroke
.65 .48333 m
.65486 .48293 L
.65741 .48277 L
.66022 .48262 L
.66149 .48257 L
.66285 .48252 L
.66414 .48248 L
.66532 .48246 L
.66595 .48245 L
.66661 .48244 L
.66718 .48244 L
.6675 .48243 L
.66766 .48243 L
.66781 .48243 L
.66797 .48243 L
.66806 .48243 L
.66816 .48243 L
.66825 .48243 L
.66833 .48243 L
.66849 .48243 L
.66864 .48243 L
.66879 .48243 L
.66895 .48243 L
.66911 .48243 L
.66946 .48244 L
.66979 .48244 L
.67014 .48244 L
.67052 .48245 L
.67122 .48246 L
.67186 .48247 L
.67332 .4825 L
.67461 .48255 L
.67598 .48261 L
.67858 .48275 L
.68104 .48292 L
.68629 .48343 L
.69196 .48421 L
.69752 .4852 L
.70296 .4864 L
.70886 .48798 L
.71467 .48982 L
.72098 .49214 L
.72722 .49478 L
.73339 .49773 L
.74014 .50136 L
.74685 .50537 L
.75352 .50975 L
.76088 .51506 L
.76824 .52085 L
.77639 .52782 L
Mistroke
.78461 .53542 L
.79288 .54365 L
.80178 .55314 L
Mfstroke
.65 .5 m
.65252 .49982 L
.65519 .49965 L
.65792 .49951 L
.6595 .49945 L
.66093 .4994 L
.66232 .49937 L
.66363 .49934 L
.66435 .49933 L
.66502 .49932 L
.66537 .49932 L
.66575 .49932 L
.66595 .49932 L
.66616 .49932 L
.66626 .49932 L
.66635 .49932 L
.66653 .49932 L
.66671 .49932 L
.6668 .49932 L
.66689 .49932 L
.66706 .49932 L
.66723 .49932 L
.66739 .49932 L
.66754 .49932 L
.66787 .49932 L
.66823 .49932 L
.66856 .49932 L
.6693 .49933 L
.66994 .49934 L
.67063 .49936 L
.67189 .49939 L
.67322 .49943 L
.67469 .49949 L
.67769 .49965 L
.68048 .49984 L
.68351 .50011 L
.68957 .50083 L
.69551 .50177 L
.70133 .50294 L
.70765 .50449 L
.71387 .50632 L
.72064 .50866 L
.72733 .51134 L
.73394 .51436 L
.74118 .51809 L
.74838 .52225 L
.75553 .52683 L
.76342 .53239 L
.7713 .5385 L
.78004 .54588 L
Mistroke
.78883 .55398 L
.79769 .56278 L
.80757 .57338 L
.8168 .58399 L
Mfstroke
.65 .51667 m
.65265 .51651 L
.65547 .51637 L
.65836 .51626 L
.66 .51621 L
.66074 .5162 L
.66154 .51618 L
.66234 .51617 L
.66269 .51617 L
.66307 .51616 L
.66341 .51616 L
.66377 .51616 L
.66398 .51616 L
.66416 .51616 L
.66434 .51616 L
.66452 .51615 L
.6647 .51615 L
.66487 .51615 L
.66503 .51615 L
.66519 .51615 L
.66537 .51615 L
.66554 .51615 L
.66572 .51616 L
.66592 .51616 L
.66625 .51616 L
.66655 .51616 L
.66725 .51617 L
.66799 .51618 L
.6688 .51619 L
.67027 .51622 L
.67171 .51627 L
.67305 .51632 L
.67586 .51645 L
.67899 .51666 L
.68519 .51723 L
.69127 .51802 L
.69786 .51914 L
.70435 .52053 L
.71073 .52219 L
.71768 .52435 L
.72453 .52683 L
.73202 .52997 L
.73946 .53353 L
.74683 .53751 L
.75493 .5424 L
.76301 .54784 L
.77107 .5538 L
.77999 .56105 L
.78895 .569 L
.79891 .57863 L
Mistroke
.80897 .5892 L
.81914 .60073 L
.83048 .61456 L
Mfstroke
.65 .53333 m
.65277 .5332 L
.65571 .53308 L
.65727 .53304 L
.65872 .533 L
.65955 .53299 L
.66033 .53298 L
.66076 .53297 L
.66123 .53297 L
.66163 .53296 L
.66205 .53296 L
.66225 .53296 L
.66244 .53296 L
.66263 .53296 L
.6628 .53296 L
.66296 .53296 L
.66313 .53296 L
.66332 .53296 L
.66349 .53296 L
.66359 .53296 L
.6637 .53296 L
.66389 .53296 L
.66409 .53296 L
.66431 .53296 L
.66471 .53296 L
.66509 .53297 L
.6659 .53297 L
.66665 .53298 L
.66833 .53302 L
.66987 .53306 L
.6713 .53311 L
.67457 .53326 L
.67753 .53345 L
.68083 .53371 L
.68738 .53441 L
.69381 .53534 L
.7008 .53665 L
.7077 .53825 L
.71448 .54015 L
.72189 .54259 L
.72922 .54541 L
.73723 .54896 L
.7452 .55299 L
.75311 .5575 L
.76182 .56305 L
.77053 .56922 L
.77921 .576 L
.78885 .58426 L
.79853 .59333 L
.80931 .60435 L
Mistroke
.82022 .61647 L
.83125 .62973 L
.84267 .6445 L
Mfstroke
.65 .55 m
.65286 .54989 L
.65432 .54984 L
.6559 .5498 L
.65674 .54978 L
.65751 .54977 L
.65829 .54976 L
.65902 .54975 L
.65942 .54974 L
.65986 .54974 L
.66031 .54974 L
.66055 .54974 L
.66078 .54974 L
.66089 .54974 L
.661 .54974 L
.66121 .54974 L
.66141 .54974 L
.66159 .54974 L
.66171 .54974 L
.66182 .54974 L
.66202 .54974 L
.66213 .54974 L
.66223 .54974 L
.66247 .54974 L
.66285 .54974 L
.66321 .54974 L
.664 .54975 L
.66475 .54976 L
.66545 .54977 L
.66703 .5498 L
.66875 .54985 L
.67195 .54998 L
.67539 .55017 L
.67861 .55041 L
.68166 .55068 L
.68823 .55143 L
.69538 .55253 L
.70243 .55391 L
.70937 .55559 L
.71695 .55778 L
.72445 .56033 L
.73265 .56359 L
.7408 .56732 L
.74888 .57153 L
.75777 .57674 L
.76665 .58257 L
.7755 .58902 L
.78529 .59691 L
.79512 .60561 L
.80604 .61621 L
Mistroke
.81707 .62792 L
.82819 .64076 L
.84064 .65633 L
.85326 .67343 L
Mfstroke
.65 .56667 m
.65139 .56662 L
.65292 .56658 L
.65453 .56654 L
.65604 .56651 L
.65691 .5665 L
.65733 .5665 L
.65773 .5665 L
.65808 .56649 L
.65847 .56649 L
.65867 .56649 L
.65886 .56649 L
.65906 .56649 L
.65917 .56649 L
.65927 .56649 L
.65939 .56649 L
.65949 .56649 L
.65961 .56649 L
.65972 .56649 L
.65992 .56649 L
.66003 .56649 L
.66013 .56649 L
.66035 .56649 L
.66058 .56649 L
.66107 .56649 L
.66149 .5665 L
.66195 .5665 L
.66278 .56651 L
.66364 .56652 L
.66443 .56654 L
.66624 .56658 L
.66784 .56663 L
.66955 .5667 L
.6728 .56686 L
.67588 .56706 L
.68252 .56765 L
.68975 .56855 L
.69689 .56973 L
.70392 .57118 L
.71161 .57311 L
.71922 .5754 L
.72753 .57834 L
.73579 .58175 L
.74399 .58562 L
.753 .59046 L
.76198 .5959 L
.77092 .60195 L
.78081 .60937 L
.79071 .61761 L
.8017 .62768 L
Mistroke
.81277 .63883 L
.82392 .65109 L
.83636 .666 L
.84896 .68242 L
.86211 .70099 L
Mfstroke
.65 .58333 m
.65141 .5833 L
.65297 .58327 L
.65375 .58325 L
.6546 .58324 L
.6554 .58324 L
.65575 .58323 L
.65613 .58323 L
.65655 .58323 L
.65678 .58323 L
.657 .58323 L
.6572 .58323 L
.65739 .58323 L
.65749 .58323 L
.6576 .58323 L
.65781 .58323 L
.65793 .58323 L
.65805 .58323 L
.65815 .58323 L
.65826 .58323 L
.65852 .58323 L
.65875 .58323 L
.65918 .58323 L
.65963 .58323 L
.66046 .58324 L
.66123 .58325 L
.66299 .58328 L
.66472 .58333 L
.66637 .58338 L
.66948 .58351 L
.67287 .5837 L
.67604 .58393 L
.68293 .58458 L
.68972 .58547 L
.69714 .58671 L
.70447 .58825 L
.71249 .5903 L
.72043 .59273 L
.7283 .59555 L
.73694 .59913 L
.74552 .60321 L
.75496 .60832 L
.76438 .61409 L
.77378 .62053 L
.78417 .62847 L
.79459 .63729 L
.80503 .64702 L
.81663 .65889 L
.82833 .67199 L
.84137 .68795 L
Mistroke
.85458 .70561 L
.86792 .72499 L
.86914 .72683 L
Mfstroke
.65 .6 m
.65073 .59999 L
.65142 .59998 L
.65224 .59996 L
.65299 .59996 L
.65336 .59995 L
.65377 .59995 L
.65413 .59995 L
.65452 .59995 L
.65474 .59995 L
.65494 .59994 L
.65515 .59994 L
.65527 .59994 L
.65538 .59994 L
.65558 .59994 L
.65579 .59994 L
.65599 .59994 L
.65618 .59994 L
.65628 .59994 L
.6564 .59995 L
.65661 .59995 L
.65707 .59995 L
.65747 .59995 L
.65791 .59995 L
.65873 .59996 L
.6595 .59997 L
.66123 .6 L
.6631 .60005 L
.6648 .60011 L
.66666 .60018 L
.67009 .60035 L
.6735 .60058 L
.67718 .60088 L
.68392 .60159 L
.69129 .60264 L
.69859 .60395 L
.70658 .60573 L
.71451 .60787 L
.72236 .61037 L
.73097 .61358 L
.73953 .61726 L
.74894 .6219 L
.75833 .62717 L
.76769 .63308 L
.77803 .64038 L
.78838 .64854 L
.79874 .65756 L
.81023 .66859 L
.82178 .68079 L
.83464 .69569 L
Mistroke
.84763 .71218 L
.86073 .73031 L
.87427 .75066 L
Mfstroke
.65 .61667 m
.65073 .61666 L
.65142 .61665 L
.65181 .61665 L
.65217 .61665 L
.65237 .61665 L
.65259 .61665 L
.65279 .61665 L
.65298 .61665 L
.65317 .61665 L
.65336 .61665 L
.65355 .61665 L
.65372 .61665 L
.65391 .61665 L
.65403 .61665 L
.65413 .61665 L
.65453 .61665 L
.65474 .61665 L
.65494 .61665 L
.65532 .61665 L
.65617 .61666 L
.657 .61667 L
.65789 .61668 L
.65948 .61671 L
.6612 .61675 L
.66311 .61682 L
.66639 .61696 L
.66996 .61716 L
.67718 .61774 L
.68436 .61855 L
.69146 .61961 L
.69924 .62106 L
.70696 .62284 L
.71461 .62494 L
.72301 .62765 L
.73135 .63079 L
.74053 .63477 L
.74967 .63932 L
.75877 .64444 L
.7688 .6508 L
.77884 .65792 L
.78993 .6667 L
.80106 .67651 L
.81223 .68737 L
.82463 .70064 L
.83712 .71533 L
.84968 .73147 L
.86366 .75111 L
.87745 .77224 L
s
.65 .63333 m
.65018 .63333 L
.65035 .63333 L
.65053 .63333 L
.65073 .63333 L
.65091 .63333 L
.65108 .63333 L
.65124 .63333 L
.65141 .63333 L
.65159 .63333 L
.65179 .63333 L
.65197 .63333 L
.65214 .63333 L
.65256 .63333 L
.65296 .63334 L
.65374 .63334 L
.65446 .63335 L
.65526 .63336 L
.65612 .63337 L
.65796 .63341 L
.65971 .63346 L
.66301 .63358 L
.66637 .63375 L
.66951 .63395 L
.67638 .63453 L
.68318 .63532 L
.69065 .63644 L
.69807 .63783 L
.70621 .6397 L
.71431 .64193 L
.72236 .64454 L
.73121 .64787 L
.74002 .6517 L
.74878 .65603 L
.75844 .66143 L
.76808 .66749 L
.77872 .675 L
.78938 .6834 L
.80005 .6927 L
.81187 .7041 L
.82373 .71673 L
.83691 .73216 L
.85019 .74927 L
.86353 .76808 L
.87837 .79098 L
.87863 .7914 L
s
.65 .65 m
.65034 .65 L
.65071 .65 L
.65138 .65001 L
.65218 .65002 L
.65291 .65003 L
.6545 .65005 L
.65602 .65008 L
.65925 .65018 L
.66281 .65034 L
.66609 .65053 L
.66963 .65078 L
.67614 .65138 L
.68331 .65227 L
.69043 .65339 L
.69826 .65491 L
.70606 .65676 L
.7138 .65893 L
.72233 .66173 L
.73083 .66496 L
.74017 .66906 L
.74952 .67374 L
.75883 .67901 L
.76911 .68556 L
.77939 .69291 L
.78966 .70106 L
.80102 .71106 L
.81241 .72215 L
.82503 .73572 L
.83773 .75076 L
.85045 .7673 L
.86457 .78743 L
.87778 .80802 L
s
.65 .66667 m
.65135 .66669 L
.65283 .66671 L
.6544 .66675 L
.65587 .6668 L
.65905 .66692 L
.66251 .6671 L
.66928 .66759 L
.67603 .66826 L
.68275 .66914 L
.69015 .67036 L
.69753 .67184 L
.70486 .6736 L
.71294 .67588 L
.72099 .67854 L
.72985 .68192 L
.7387 .68579 L
.74752 .69017 L
.75725 .69562 L
.76697 .70174 L
.77771 .70932 L
.78846 .71781 L
.79922 .72721 L
.81112 .73874 L
.82306 .7515 L
.83501 .76553 L
.84824 .78259 L
.86149 .80135 L
.87487 .82207 L
s
.65 .68333 m
.65274 .6834 L
.65568 .68351 L
.65871 .68365 L
.6621 .68385 L
.66852 .68436 L
.67492 .68504 L
.68197 .68601 L
.68903 .6872 L
.69606 .68865 L
.7038 .69053 L
.71154 .69275 L
.71924 .69529 L
.72774 .69852 L
.73621 .70219 L
.74556 .70678 L
.75491 .71197 L
.76423 .71777 L
.77454 .72492 L
.78484 .73288 L
.79622 .74266 L
.80763 .75353 L
.81905 .76552 L
.83167 .78012 L
.84431 .79623 L
.85693 .81384 L
.86988 .83361 L
s
.65 .7 m
.65262 .70009 L
.65543 .70022 L
.66159 .70061 L
.66737 .70111 L
.67375 .70183 L
.68014 .70273 L
.68718 .70395 L
.69423 .70542 L
.70127 .70714 L
.70903 .70935 L
.7168 .71191 L
.72453 .71481 L
.73307 .71845 L
.7416 .72255 L
.75101 .72765 L
.76043 .73338 L
.76983 .73974 L
.78021 .74755 L
.79059 .7562 L
.80206 .76679 L
.81354 .77852 L
.82501 .7914 L
.83768 .80704 L
.85033 .82423 L
.86277 .84276 L
s
.65 .71667 m
.65514 .71693 L
.66097 .71736 L
.66668 .71791 L
.67238 .7186 L
.67869 .71954 L
.68501 .72067 L
.69198 .72214 L
.69898 .72388 L
.70596 .72587 L
.71368 .7284 L
.7214 .73128 L
.7291 .73451 L
.73761 .73853 L
.74611 .74303 L
.75549 .74858 L
.76489 .75477 L
.77426 .76161 L
.7846 .76996 L
.79494 .77918 L
.80635 .79041 L
.81777 .80279 L
.82914 .81635 L
.84167 .83274 L
.85349 .84971 L
s
.65 .73333 m
.65479 .73364 L
.66024 .73411 L
.66559 .73468 L
.67093 .73538 L
.67686 .73632 L
.68279 .73742 L
.68936 .73884 L
.69595 .7405 L
.70255 .74239 L
.70984 .74476 L
.71714 .74745 L
.72442 .75046 L
.73247 .75418 L
.74052 .75832 L
.74941 .76342 L
.75831 .76909 L
.76718 .77533 L
.77698 .78293 L
.78677 .7913 L
.79755 .80146 L
.80833 .81264 L
.81906 .82484 L
.83086 .83956 L
.84198 .85476 L
s
.65 .75 m
.6544 .75035 L
.65941 .75085 L
.66433 .75145 L
.66926 .75216 L
.67473 .75307 L
.68022 .75414 L
.6863 .7555 L
.6924 .75706 L
.69852 .75883 L
.70529 .76102 L
.71207 .7635 L
.71884 .76624 L
.72634 .76962 L
.73383 .77336 L
.74211 .77794 L
.75039 .78301 L
.75866 .78857 L
.76778 .79532 L
.77689 .80272 L
.78692 .81167 L
.79693 .8215 L
.8069 .83218 L
.81784 .84503 L
.82815 .85826 L
s
.65 .76667 m
.65396 .76706 L
.65847 .76759 L
.66291 .76821 L
.66736 .76892 L
.6723 .76982 L
.67726 .77084 L
.68277 .77213 L
.68831 .77358 L
.69386 .7752 L
.70001 .7772 L
.70618 .77943 L
.71234 .78189 L
.71916 .78489 L
.72599 .78819 L
.73353 .7922 L
.74108 .79662 L
.74861 .80144 L
.75693 .80725 L
.76523 .81361 L
.77436 .82126 L
.78348 .82961 L
.79255 .83866 L
.8025 .8495 L
.81187 .86062 L
s
.65 .78333 m
.65346 .78377 L
.65742 .78434 L
.66131 .78497 L
.66522 .78567 L
.66957 .78654 L
.67393 .78752 L
.67878 .78872 L
.68366 .79005 L
.68856 .79152 L
.69399 .79331 L
.69943 .79528 L
.70488 .79743 L
.71091 .80002 L
.71695 .80286 L
.72363 .80627 L
.73031 .81 L
.73698 .81404 L
.74434 .81889 L
.75169 .82414 L
.75978 .83044 L
.76785 .83727 L
.77588 .84463 L
.78469 .85341 L
.79298 .86236 L
s
.65 .8 m
.65292 .80048 L
.65626 .80108 L
.65955 .80172 L
.66285 .80242 L
.66652 .80326 L
.67022 .80418 L
.67432 .80529 L
.67845 .8065 L
.68259 .8078 L
.68719 .80937 L
.69181 .81107 L
.69643 .8129 L
.70154 .81508 L
.70667 .81744 L
.71233 .82024 L
.71801 .82328 L
.72367 .82653 L
.72992 .8304 L
.73616 .83455 L
.74303 .83949 L
.74989 .8448 L
.75671 .85049 L
.7642 .85721 L
.77125 .86403 L
s
.65 .81667 m
.65233 .81719 L
.65499 .81781 L
.65761 .81846 L
.66024 .81915 L
.66317 .81996 L
.66611 .82082 L
.66937 .82184 L
.67265 .82291 L
.67595 .82406 L
.6796 .8254 L
.68327 .82683 L
.68694 .82834 L
.69101 .83012 L
.69508 .832 L
.69958 .83421 L
.70408 .83656 L
.70858 .83905 L
.71355 .84197 L
.7185 .84507 L
.72396 .84871 L
.72941 .85258 L
.73483 .85667 L
.74078 .86147 L
.74638 .86628 L
s
.65 .83333 m
.65169 .83389 L
.65362 .83455 L
.6555 .83521 L
.65739 .83589 L
.65949 .83666 L
.66159 .83746 L
.66392 .83837 L
.66626 .83932 L
.6686 .8403 L
.6712 .84143 L
.67379 .84259 L
.67638 .8438 L
.67925 .84518 L
.68212 .84662 L
.68528 .84827 L
.68845 .84999 L
.6916 .85178 L
.69508 .85383 L
.69855 .85596 L
.70236 .85842 L
.70617 .86099 L
.70995 .86367 L
.7141 .86674 L
.71801 .86978 L
s
.65 .85 m
.651 .8506 L
.65213 .85128 L
.65322 .85195 L
.6543 .85261 L
.65549 .85335 L
.65667 .85409 L
.65797 .85491 L
.65926 .85573 L
.66054 .85655 L
.66194 .85747 L
.66333 .85839 L
.66471 .85932 L
.66622 .86035 L
.66772 .86139 L
.66936 .86254 L
.67098 .86371 L
.67259 .86488 L
.67435 .86619 L
.67609 .86751 L
.67799 .86898 L
.67987 .87047 L
.68173 .87198 L
.68375 .87366 L
.68565 .87527 L
s
.65 .86667 m
.65026 .86731 L
.65052 .86801 L
.65076 .86868 L
.65096 .86933 L
.65116 .87003 L
.65134 .87071 L
.6515 .87144 L
.65163 .87215 L
.65173 .87283 L
.65177 .87318 L
.65181 .87356 L
.65184 .87393 L
.65185 .87409 L
.65185 .87427 L
.65186 .87437 L
.65186 .87446 L
.65186 .87455 L
.65187 .87464 L
.65187 .87472 L
.65187 .87476 L
.65187 .8748 L
.65187 .87482 L
.65187 .87484 L
.65187 .87486 L
.65187 .87488 L
.65187 .8749 L
.65187 .87492 L
.65187 .87493 L
.65187 .87495 L
.65187 .87497 L
.65187 .87499 L
.65187 .87501 L
.65187 .87504 L
.65187 .87506 L
.65187 .8751 L
.65187 .87514 L
.65187 .87524 L
.65186 .87533 L
.65186 .87551 L
.65185 .87571 L
.65184 .8759 L
.65182 .8761 L
.65179 .87646 L
.65175 .87682 L
.65169 .87721 L
.65156 .87789 L
.65138 .87862 L
.65115 .87933 L
.65087 .88007 L
Mistroke
.65053 .88078 L
.65016 .88145 L
.64971 .88217 L
.6492 .88285 L
.64868 .88347 L
Mfstroke
.65 .88333 m
.64947 .88401 L
.64881 .88474 L
.64812 .88542 L
.64738 .88605 L
.6465 .88672 L
.64558 .88734 L
.6445 .88799 L
.64335 .88859 L
.64216 .88915 L
.64077 .88973 L
.63932 .89026 L
.63781 .89075 L
.63607 .89125 L
.63427 .89171 L
.6322 .89217 L
.63006 .89258 L
.62784 .89296 L
.62531 .89333 L
.6227 .89367 L
.61972 .894 L
.61664 .8943 L
.61347 .89456 L
.60986 .89482 L
.60634 .89505 L
s
.65 .9 m
.64862 .90072 L
.64698 .90147 L
.64529 .90215 L
.64353 .90277 L
.6415 .9034 L
.63939 .90398 L
.63695 .90455 L
.63442 .90507 L
.63179 .90553 L
.62879 .90599 L
.62568 .9064 L
.62247 .90676 L
.61881 .90711 L
.61504 .90743 L
.61073 .90774 L
.60629 .90802 L
.60172 .90827 L
.59652 .90854 L
.59117 .90879 L
.58507 .90907 L
.57877 .90936 L
.57229 .90967 L
.56491 .91005 L
.5577 .91045 L
s
.65 .91667 m
.64773 .91742 L
.64504 .9182 L
.64229 .91888 L
.63944 .91949 L
.63616 .92009 L
.63276 .92063 L
.62885 .92114 L
.6248 .9216 L
.62061 .92199 L
.61583 .92238 L
.61088 .92272 L
.60579 .92303 L
.59998 .92334 L
.59399 .92363 L
.58715 .92395 L
.58009 .92428 L
.57281 .92462 L
.56451 .92504 L
.55594 .92551 L
.54615 .9261 L
.536 .92679 L
.52551 .92758 L
.51352 .92858 L
.50173 .92966 L
s
.66667 .08333 m
.64924 .08192 L
.63077 .08 L
.6139 .07795 L
.59808 .07589 L
.58166 .07368 L
.56627 .07161 L
.55035 .06952 L
.53545 .06767 L
.52151 .06606 L
.50711 .06454 L
.49368 .06327 L
.48117 .06223 L
.46827 .0613 L
.45627 .06056 L
.44396 .05991 L
.43253 .0594 L
.42192 .05899 L
.41104 .05861 L
.40095 .05826 L
.39062 .05787 L
.38104 .05746 L
.37216 .057 L
.36304 .05639 L
.35499 .05572 L
s
.66667 .1 m
.65069 .09866 L
.63373 .09682 L
.61819 .09486 L
.6036 .09286 L
.58842 .09069 L
.57415 .08863 L
.55935 .08652 L
.54545 .08462 L
.53242 .08292 L
.51892 .08129 L
.50628 .0799 L
.49447 .07872 L
.48226 .07765 L
.47087 .07677 L
.45914 .07599 L
.44823 .07538 L
.43807 .07489 L
.42763 .07446 L
.41792 .07411 L
.40797 .07377 L
.39872 .07346 L
.39013 .07314 L
.38131 .07277 L
.37353 .07236 L
s
.66667 .11667 m
.6521 .11539 L
.6366 .11364 L
.62237 .11177 L
.60898 .10984 L
.59501 .10773 L
.58185 .1057 L
.56817 .10358 L
.55528 .10164 L
.54315 .09988 L
.53056 .09815 L
.51873 .09663 L
.50764 .09533 L
.49614 .0941 L
.48537 .09308 L
.47426 .09214 L
.46388 .09139 L
.45419 .09078 L
.4442 .09024 L
.43489 .08982 L
.42533 .08944 L
.41642 .08914 L
.40813 .08887 L
.39961 .0886 L
.39208 .08834 L
s
.66667 .13333 m
.65347 .13212 L
.63939 .13046 L
.62644 .12868 L
.61422 .12684 L
.60145 .12479 L
.58938 .1228 L
.5768 .1207 L
.56492 .11873 L
.55371 .11692 L
.54203 .11511 L
.53102 .11349 L
.52067 .11206 L
.5099 .11069 L
.49978 .10951 L
.48931 .10841 L
.47948 .10749 L
.47029 .10673 L
.46078 .10605 L
.45189 .1055 L
.44273 .10502 L
.43417 .10463 L
.4262 .10433 L
.41798 .10405 L
.4107 .10383 L
s
.66667 .15 m
.65479 .14885 L
.64209 .14729 L
.63039 .1456 L
.61931 .14384 L
.60772 .14188 L
.59674 .13993 L
.58525 .13786 L
.57437 .1359 L
.56408 .13406 L
.55332 .13219 L
.54315 .13048 L
.53355 .12895 L
.52353 .12744 L
.51409 .12611 L
.50427 .12483 L
.49504 .12374 L
.48636 .12282 L
.47736 .12196 L
.46891 .12124 L
.46018 .1206 L
.452 .12009 L
.44435 .11967 L
.43645 .11931 L
.42943 .11903 L
s
.66667 .16667 m
.65607 .16558 L
.64471 .16411 L
.63421 .16252 L
.62427 .16086 L
.61382 .15898 L
.6039 .15711 L
.59351 .15508 L
.58363 .15314 L
.57425 .15129 L
.56442 .14938 L
.5551 .14761 L
.54627 .14599 L
.53702 .14436 L
.52828 .1429 L
.51915 .14146 L
.51053 .1402 L
.50241 .1391 L
.49394 .13805 L
.48597 .13715 L
.4777 .13631 L
.46993 .13562 L
.46263 .13504 L
.45507 .13452 L
.44834 .13413 L
s
.66667 .18333 m
.6573 .18231 L
.64724 .18093 L
.63792 .17945 L
.62907 .17788 L
.61975 .1761 L
.61089 .17431 L
.60156 .17236 L
.59268 .17045 L
.58422 .16862 L
.57533 .1667 L
.56686 .16489 L
.55882 .16321 L
.55037 .16149 L
.54234 .15991 L
.53394 .15833 L
.52597 .15691 L
.51842 .15564 L
.51053 .1544 L
.50307 .1533 L
.4953 .15225 L
.48797 .15135 L
.48106 .15058 L
.47387 .14986 L
.46745 .14929 L
s
.66667 .2 m
.65849 .19904 L
.64968 .19776 L
.64151 .19638 L
.63372 .19491 L
.62551 .19324 L
.61767 .19154 L
.60941 .18968 L
.60151 .18784 L
.59398 .18605 L
.58602 .18414 L
.57842 .18233 L
.57118 .18061 L
.56354 .17883 L
.55626 .17717 L
.54861 .17548 L
.54132 .17392 L
.53439 .1725 L
.52712 .17107 L
.52021 .16979 L
.51298 .16853 L
.50613 .16741 L
.49965 .16643 L
.49288 .16548 L
.4868 .16469 L
s
.66667 .21667 m
.65963 .21576 L
.65204 .21458 L
.64497 .2133 L
.63823 .21195 L
.63109 .2104 L
.62427 .20881 L
.61705 .20704 L
.61013 .20529 L
.60351 .20357 L
.59649 .20171 L
.58977 .19992 L
.58335 .19821 L
.57654 .1964 L
.57003 .19469 L
.56315 .19292 L
.55658 .19126 L
.5503 .18972 L
.54369 .18814 L
.53738 .18669 L
.53074 .18523 L
.52442 .18391 L
.51842 .18272 L
.51211 .18153 L
.50643 .18052 L
s
.66667 .23333 m
.66073 .23249 L
.65431 .2314 L
.64831 .23023 L
.64257 .22899 L
.63649 .22756 L
.63066 .2261 L
.62447 .22446 L
.61852 .22281 L
.6128 .22118 L
.60673 .21941 L
.6009 .21767 L
.59529 .216 L
.58934 .2142 L
.58362 .21249 L
.57755 .21068 L
.57173 .20896 L
.56614 .20734 L
.56023 .20566 L
.55456 .20408 L
.54857 .20246 L
.54283 .20096 L
.53736 .19958 L
.53158 .19817 L
.52635 .19695 L
s
.66667 .25 m
.66178 .24922 L
.65648 .24823 L
.65153 .24717 L
.64677 .24604 L
.64171 .24475 L
.63684 .24341 L
.63166 .24191 L
.62667 .24039 L
.62186 .23888 L
.61673 .23722 L
.61178 .23558 L
.60701 .23398 L
.60192 .23225 L
.59701 .23057 L
.59178 .22878 L
.58674 .22706 L
.58188 .22541 L
.57671 .22367 L
.57174 .22202 L
.56645 .22029 L
.56136 .21866 L
.55648 .21713 L
.55129 .21555 L
.54657 .21415 L
s
.66667 .26667 m
.66279 .26595 L
.65857 .26505 L
.65461 .2641 L
.6508 .26309 L
.64674 .26194 L
.64281 .26074 L
.63863 .2594 L
.63457 .25803 L
.63065 .25666 L
.62646 .25515 L
.6224 .25364 L
.61847 .25215 L
.61426 .25053 L
.61018 .24895 L
.60582 .24723 L
.60159 .24557 L
.5975 .24395 L
.59312 .24223 L
.58889 .24056 L
.58436 .2388 L
.57999 .23711 L
.57576 .23551 L
.57124 .23381 L
.56711 .23229 L
s
.66667 .28333 m
.66375 .28268 L
.66057 .28187 L
.65757 .28103 L
.65468 .28015 L
.65158 .27914 L
.64857 .27809 L
.64535 .27692 L
.64222 .27572 L
.63919 .27452 L
.63592 .27318 L
.63275 .27184 L
.62966 .27051 L
.62634 .26905 L
.62311 .26761 L
.61964 .26604 L
.61626 .2645 L
.61297 .26299 L
.60943 .26135 L
.60598 .25976 L
.60228 .25806 L
.59868 .2564 L
.59518 .2548 L
.59142 .25309 L
.58795 .25153 L
s
.66667 .3 m
.66467 .2994 L
.66248 .29869 L
.66041 .29796 L
.65839 .2972 L
.65622 .29634 L
.65411 .29546 L
.65183 .29447 L
.64961 .29346 L
.64744 .29244 L
.6451 .29131 L
.64281 .29018 L
.64057 .28905 L
.63815 .2878 L
.63578 .28656 L
.63322 .2852 L
.6307 .28386 L
.62825 .28253 L
.62559 .28108 L
.62298 .27965 L
.62017 .27811 L
.61741 .27659 L
.61471 .27511 L
.61179 .27351 L
.60908 .27203 L
s
.66667 .31667 m
.66555 .31613 L
.6643 .31551 L
.66311 .31488 L
.66194 .31425 L
.66067 .31355 L
.65942 .31283 L
.65806 .31204 L
.65672 .31124 L
.65541 .31043 L
.65397 .30954 L
.65256 .30864 L
.65117 .30775 L
.64965 .30677 L
.64815 .30579 L
.64651 .30471 L
.6449 .30364 L
.6433 .30257 L
.64156 .30141 L
.63985 .30026 L
.63798 .299 L
.63613 .29775 L
.6343 .29652 L
.63231 .29518 L
.63045 .29393 L
s
.66667 .33333 m
.66637 .33286 L
.66603 .33232 L
.66568 .33181 L
.66532 .33131 L
.66491 .33076 L
.6645 .33022 L
.66403 .32963 L
.66356 .32905 L
.66308 .32847 L
.66253 .32784 L
.66199 .32722 L
.66143 .32661 L
.66081 .32594 L
.66019 .32527 L
.6595 .32455 L
.65879 .32383 L
.65809 .32312 L
.65731 .32235 L
.65652 .32158 L
.65565 .32074 L
.65478 .31991 L
.6539 .31908 L
.65293 .31818 L
.65201 .31734 L
s
.66667 .35 m
.66715 .34958 L
.66766 .34914 L
.66811 .34873 L
.66853 .34836 L
.66896 .34797 L
.66935 .3476 L
.66974 .34723 L
.6701 .34688 L
.67043 .34655 L
.67077 .34621 L
.67107 .3459 L
.67135 .3456 L
.67163 .34529 L
.67188 .345 L
.67213 .3447 L
.67236 .34442 L
.67257 .34415 L
.67277 .34387 L
.67296 .34361 L
.67314 .34334 L
.6733 .34308 L
.67344 .34284 L
.67358 .34259 L
.6737 .34236 L
s
.66667 .36667 m
.66789 .36631 L
.6692 .36595 L
.67042 .36565 L
.67157 .3654 L
.67279 .36517 L
.67395 .36499 L
.67518 .36484 L
.67579 .36478 L
.67635 .36473 L
.67693 .36469 L
.67747 .36467 L
.67773 .36466 L
.67801 .36465 L
.67817 .36464 L
.67832 .36464 L
.67846 .36464 L
.67854 .36464 L
.67861 .36464 L
.67865 .36464 L
.67869 .36464 L
.67872 .36464 L
.67876 .36464 L
.67878 .36464 L
.6788 .36464 L
.67882 .36464 L
.67884 .36464 L
.67888 .36464 L
.6789 .36464 L
.67892 .36464 L
.67895 .36464 L
.67898 .36464 L
.67906 .36464 L
.67913 .36464 L
.6792 .36464 L
.67934 .36464 L
.67949 .36464 L
.67974 .36465 L
.68002 .36466 L
.68031 .36467 L
.68085 .3647 L
.68146 .36475 L
.68205 .3648 L
.68317 .36494 L
.68436 .36513 L
.68552 .36535 L
.68664 .36562 L
.68785 .36595 L
.68902 .36631 L
.69029 .36676 L
Mistroke
.69153 .36724 L
.69274 .36776 L
.69406 .36836 L
.69535 .36901 L
.6954 .36904 L
Mfstroke
.66667 .38333 m
.66858 .38303 L
.67065 .38276 L
.67165 .38265 L
.67259 .38257 L
.67354 .3825 L
.67444 .38244 L
.67492 .38242 L
.67544 .3824 L
.67591 .38239 L
.67634 .38238 L
.67657 .38237 L
.67669 .38237 L
.67681 .38237 L
.67692 .38237 L
.67704 .38237 L
.6771 .38237 L
.67715 .38237 L
.6772 .38237 L
.67725 .38237 L
.67732 .38237 L
.67735 .38237 L
.67738 .38237 L
.67744 .38237 L
.6775 .38237 L
.67754 .38237 L
.67757 .38237 L
.67763 .38237 L
.6777 .38237 L
.67777 .38237 L
.67789 .38237 L
.67802 .38237 L
.67826 .38238 L
.67849 .38238 L
.67871 .38238 L
.6792 .3824 L
.67964 .38241 L
.6801 .38244 L
.68106 .38249 L
.68196 .38256 L
.68387 .38276 L
.68591 .38306 L
.6879 .38342 L
.68983 .38385 L
.6919 .38439 L
.69392 .38501 L
.69589 .38569 L
.69803 .38651 L
.70012 .3874 L
.70239 .38846 L
Mistroke
.70463 .38959 L
.70684 .3908 L
.70925 .39221 L
.71163 .3937 L
.71425 .39544 L
.71685 .39727 L
.71702 .39739 L
Mfstroke
.66667 .4 m
.66791 .39987 L
.66922 .39975 L
.67066 .39965 L
.672 .39957 L
.67322 .39952 L
.6739 .3995 L
.67452 .39948 L
.67484 .39948 L
.67501 .39948 L
.67518 .39947 L
.67533 .39947 L
.67547 .39947 L
.67554 .39947 L
.67562 .39947 L
.6757 .39947 L
.67578 .39947 L
.67583 .39947 L
.67588 .39947 L
.67592 .39947 L
.67596 .39947 L
.67604 .39947 L
.67613 .39947 L
.67617 .39947 L
.67622 .39947 L
.6763 .39947 L
.67641 .39947 L
.6765 .39947 L
.67666 .39947 L
.67684 .39948 L
.67716 .39948 L
.67748 .39949 L
.67778 .39949 L
.67847 .39951 L
.67914 .39954 L
.67987 .39957 L
.6812 .39966 L
.68261 .39977 L
.68516 .40005 L
.68791 .40045 L
.69057 .40095 L
.69343 .40161 L
.69622 .40237 L
.69895 .40323 L
.7019 .40428 L
.70479 .40545 L
.70763 .40671 L
.71072 .40822 L
.71377 .40984 L
.7171 .41176 L
Mistroke
.72041 .41382 L
.72368 .416 L
.72729 .41855 L
.73088 .42125 L
.73485 .42441 L
.73841 .42738 L
Mfstroke
.66667 .41667 m
.6682 .41656 L
.66982 .41648 L
.67061 .41644 L
.67146 .41641 L
.67195 .4164 L
.67239 .41639 L
.67281 .41638 L
.67326 .41637 L
.67345 .41637 L
.67365 .41637 L
.67377 .41637 L
.67387 .41637 L
.67398 .41637 L
.67408 .41637 L
.67417 .41637 L
.67426 .41637 L
.67437 .41637 L
.67447 .41637 L
.67456 .41637 L
.67465 .41637 L
.67475 .41637 L
.67483 .41637 L
.67493 .41637 L
.67504 .41637 L
.67523 .41637 L
.67546 .41637 L
.67566 .41637 L
.67611 .41638 L
.67654 .41639 L
.67734 .41641 L
.67818 .41644 L
.6797 .41651 L
.68132 .41661 L
.68284 .41674 L
.68607 .41709 L
.68955 .41761 L
.69293 .41825 L
.69622 .41901 L
.69978 .41999 L
.70326 .4211 L
.70702 .42247 L
.71073 .42399 L
.71437 .42566 L
.71834 .42767 L
.72227 .42985 L
.72616 .43218 L
.73042 .43495 L
.73466 .43791 L
.73934 .4414 L
Mistroke
.74402 .44513 L
.74871 .44909 L
.75391 .45373 L
.75915 .45866 L
.75942 .45891 L
Mfstroke
.66667 .43333 m
.66752 .43329 L
.66847 .43325 L
.66946 .43322 L
.67037 .4332 L
.67089 .43319 L
.67138 .43318 L
.67163 .43318 L
.6719 .43317 L
.67204 .43317 L
.67219 .43317 L
.67233 .43317 L
.67247 .43317 L
.67259 .43317 L
.67265 .43317 L
.67272 .43317 L
.67284 .43317 L
.67295 .43317 L
.67302 .43317 L
.67309 .43317 L
.67316 .43317 L
.67323 .43317 L
.67335 .43317 L
.67348 .43317 L
.67359 .43317 L
.67371 .43317 L
.67393 .43317 L
.67419 .43317 L
.67443 .43318 L
.67489 .43318 L
.67539 .43319 L
.67628 .43322 L
.67723 .43325 L
.67829 .43329 L
.68018 .4334 L
.68223 .43355 L
.68629 .43397 L
.69024 .43453 L
.69409 .43524 L
.69825 .43617 L
.70231 .43727 L
.7067 .43865 L
.71102 .44023 L
.71527 .44197 L
.71989 .44411 L
.72445 .44645 L
.72896 .44899 L
.73391 .45202 L
.73883 .4553 L
.74425 .4592 L
Mistroke
.74967 .4634 L
.75509 .46789 L
.7611 .4732 L
.76716 .47888 L
.77392 .48559 L
.77987 .49183 L
Mfstroke
.66667 .45 m
.66764 .44997 L
.66871 .44995 L
.66925 .44994 L
.66983 .44993 L
.67011 .44992 L
.67037 .44992 L
.67061 .44992 L
.67087 .44992 L
.67101 .44992 L
.67108 .44992 L
.67116 .44992 L
.6713 .44992 L
.67142 .44992 L
.6715 .44992 L
.67158 .44992 L
.67172 .44992 L
.6718 .44992 L
.67188 .44992 L
.67203 .44992 L
.67218 .44992 L
.67234 .44992 L
.67263 .44992 L
.67293 .44993 L
.67327 .44993 L
.67382 .44994 L
.67442 .44995 L
.6755 .44998 L
.67662 .45002 L
.67784 .45007 L
.68008 .4502 L
.68229 .45037 L
.68465 .45059 L
.68893 .45112 L
.69355 .45187 L
.69805 .45279 L
.70293 .45401 L
.70771 .45542 L
.71239 .45703 L
.71749 .45903 L
.72251 .46126 L
.72799 .46398 L
.73343 .46699 L
.73882 .47026 L
.74474 .47419 L
.75065 .47846 L
.75655 .48305 L
.76309 .48852 L
.76965 .4944 L
.77696 .50139 L
Mistroke
.78435 .50893 L
.79182 .51702 L
.79958 .52588 L
Mfstroke
.66667 .46667 m
.66722 .46666 L
.66775 .46665 L
.66832 .46664 L
.66864 .46664 L
.66893 .46664 L
.66908 .46664 L
.66924 .46663 L
.66937 .46663 L
.66952 .46663 L
.66968 .46663 L
.66982 .46663 L
.66991 .46663 L
.67 .46663 L
.67008 .46663 L
.67016 .46663 L
.67031 .46663 L
.67045 .46663 L
.67061 .46663 L
.67077 .46664 L
.67104 .46664 L
.67133 .46664 L
.67195 .46665 L
.67262 .46666 L
.67333 .46667 L
.674 .46669 L
.67519 .46673 L
.67647 .46678 L
.67908 .46692 L
.68158 .46709 L
.68637 .46757 L
.69154 .46828 L
.6966 .46919 L
.70154 .47028 L
.7069 .47171 L
.71216 .47336 L
.71788 .47544 L
.72352 .4778 L
.72908 .48041 L
.73517 .48361 L
.74121 .48713 L
.74784 .4914 L
.75447 .49607 L
.76108 .50114 L
.76841 .50721 L
.77577 .5138 L
.78318 .5209 L
.79144 .52937 L
.7998 .53852 L
.80918 .54945 L
Mistroke
.81835 .56079 L
Mfstroke
.66667 .48333 m
.66696 .48333 L
.66727 .48333 L
.66743 .48333 L
.66757 .48333 L
.6677 .48333 L
.66784 .48333 L
.668 .48333 L
.66816 .48333 L
.66831 .48333 L
.66846 .48333 L
.66863 .48333 L
.66878 .48333 L
.66886 .48333 L
.66896 .48333 L
.66913 .48333 L
.66947 .48333 L
.66978 .48333 L
.67048 .48334 L
.67113 .48335 L
.67174 .48336 L
.67313 .48339 L
.67442 .48344 L
.67734 .48357 L
.67987 .48373 L
.68267 .48396 L
.68821 .48457 L
.69362 .48538 L
.69948 .4865 L
.70524 .48787 L
.71088 .48948 L
.71702 .49153 L
.72307 .49386 L
.72904 .49648 L
.73557 .49971 L
.74204 .50329 L
.74914 .50766 L
.75623 .51247 L
.76329 .51771 L
.77111 .52402 L
.77897 .5309 L
.7877 .53917 L
.79653 .54819 L
.80545 .55796 L
.81546 .56968 L
.82565 .58243 L
.83599 .59619 L
s
.66667 .5 m
.66683 .5 L
.66698 .5 L
.66715 .5 L
.66732 .5 L
.66761 .5 L
.66792 .5 L
.66827 .50001 L
.66864 .50001 L
.6693 .50002 L
.66999 .50003 L
.67063 .50004 L
.6721 .50008 L
.67361 .50013 L
.67499 .50019 L
.67812 .50036 L
.68087 .50056 L
.68389 .50084 L
.68989 .50156 L
.69578 .50251 L
.70216 .50381 L
.70844 .50539 L
.71461 .50724 L
.72134 .5096 L
.72798 .51229 L
.73454 .51532 L
.74173 .51905 L
.74887 .5232 L
.75673 .52828 L
.76458 .53389 L
.77242 .54003 L
.78112 .54745 L
.78986 .55556 L
.79866 .56437 L
.80849 .57497 L
.81844 .58651 L
.82961 .6004 L
.84101 .61559 L
.85231 .63167 L
s
.66667 .51667 m
.66735 .51667 L
.66799 .51668 L
.66945 .51671 L
.67088 .51675 L
.67242 .5168 L
.67574 .51695 L
.6788 .51715 L
.68496 .51771 L
.691 .51849 L
.69756 .51959 L
.70401 .52096 L
.71034 .52259 L
.71724 .5247 L
.72405 .52715 L
.73149 .53023 L
.73887 .53372 L
.74618 .53763 L
.75421 .54243 L
.76222 .54776 L
.77106 .55427 L
.77993 .56147 L
.78883 .56935 L
.79873 .5789 L
.80873 .58937 L
.81882 .60078 L
.83013 .61455 L
.84163 .62959 L
.85456 .6478 L
.86713 .66677 L
s
.66667 .53333 m
.66806 .53336 L
.66958 .5334 L
.67119 .53345 L
.67269 .53352 L
.6759 .53369 L
.67938 .53394 L
.68611 .5346 L
.69273 .53552 L
.69923 .53668 L
.70631 .53826 L
.7133 .54014 L
.72018 .54234 L
.7277 .54514 L
.73514 .54833 L
.7433 .55233 L
.75142 .55683 L
.75949 .56183 L
.76838 .56797 L
.77729 .57477 L
.78714 .58306 L
.79707 .59223 L
.80706 .60228 L
.81821 .61447 L
.82951 .62787 L
.84094 .64249 L
.85378 .66019 L
.86686 .6796 L
.88029 .70102 L
s
.66667 .55 m
.66811 .55004 L
.66969 .55009 L
.67291 .55023 L
.67649 .55045 L
.67986 .55072 L
.68645 .55141 L
.6936 .55244 L
.70067 .55375 L
.70763 .55534 L
.71523 .55745 L
.72274 .55992 L
.73016 .56275 L
.7383 .56633 L
.74637 .57037 L
.75525 .5754 L
.7641 .58103 L
.77293 .58728 L
.7827 .59494 L
.79249 .6034 L
.80337 .61373 L
.81436 .62515 L
.82545 .63768 L
.83785 .65291 L
.85044 .66967 L
.86319 .68801 L
.87752 .71027 L
.89165 .73394 L
s
.66667 .56667 m
.66977 .56678 L
.67308 .56695 L
.67648 .56718 L
.68024 .5675 L
.6873 .56829 L
.69427 .56934 L
.70186 .57079 L
.70937 .57258 L
.71679 .5747 L
.72491 .57743 L
.73296 .5806 L
.74093 .58419 L
.7497 .58869 L
.75842 .59374 L
.76803 .59999 L
.77764 .60698 L
.78726 .61471 L
.79792 .62417 L
.80864 .63462 L
.82057 .64737 L
.83265 .66148 L
.84486 .67699 L
.85853 .69584 L
.8724 .71664 L
.88646 .73942 L
.90112 .76508 L
s
.66667 .58333 m
.66983 .58347 L
.67321 .58367 L
.67667 .58392 L
.68052 .58427 L
.68775 .58513 L
.69489 .58625 L
.70269 .58779 L
.71042 .58968 L
.71806 .59191 L
.72643 .59479 L
.73475 .59811 L
.74299 .60189 L
.75205 .60662 L
.76108 .61194 L
.77104 .61853 L
.78101 .62591 L
.79097 .63408 L
.80203 .64408 L
.81314 .65515 L
.82551 .66868 L
.83802 .68367 L
.85065 .70015 L
.86478 .72022 L
.87909 .74237 L
.89356 .76666 L
.9086 .79401 L
s
.66667 .6 m
.66987 .60016 L
.67328 .60038 L
.6807 .60104 L
.68759 .6019 L
.69513 .60311 L
.7026 .60462 L
.71077 .60663 L
.71888 .60903 L
.72693 .61183 L
.73576 .61539 L
.74454 .61947 L
.75327 .62406 L
.76289 .62978 L
.77249 .63619 L
.7831 .64409 L
.79374 .65292 L
.8044 .66268 L
.81624 .67462 L
.82815 .68782 L
.84143 .70395 L
.85485 .72181 L
.8684 .74146 L
.88353 .76539 L
.89883 .79179 L
.91405 .82039 L
s
.66667 .61667 m
.66988 .61685 L
.67331 .6171 L
.68078 .61781 L
.68773 .61872 L
.69534 .61999 L
.70289 .62155 L
.71117 .62364 L
.7194 .62612 L
.72757 .629 L
.73654 .63266 L
.74548 .63685 L
.75437 .64158 L
.76417 .64746 L
.77395 .65405 L
.78476 .66218 L
.79561 .67127 L
.80647 .68133 L
.81852 .69363 L
.83064 .70724 L
.84413 .72387 L
.85776 .7423 L
.87148 .76257 L
.88676 .78724 L
.90216 .81445 L
.91743 .8439 L
s
.66667 .63333 m
.66987 .63354 L
.6733 .63381 L
.68076 .63458 L
.68771 .63553 L
.69534 .63685 L
.70292 .63846 L
.71124 .6406 L
.71953 .64314 L
.72776 .64607 L
.73681 .64981 L
.74584 .65407 L
.75482 .65888 L
.76472 .66486 L
.77462 .67155 L
.78555 .67983 L
.79651 .68907 L
.80748 .69929 L
.81964 .7118 L
.83187 .72564 L
.84546 .74254 L
.85916 .76128 L
.87292 .78187 L
.88822 .80693 L
.90358 .83453 L
.91874 .86436 L
s
.66667 .65 m
.67323 .65052 L
.68063 .65134 L
.68782 .65238 L
.69495 .65366 L
.7028 .65537 L
.7106 .65741 L
.71919 .66007 L
.72775 .66316 L
.73627 .6667 L
.74566 .67115 L
.75502 .6762 L
.76436 .68185 L
.77467 .68885 L
.78497 .69665 L
.79637 .70625 L
.8078 .71694 L
.81925 .72874 L
.83195 .74314 L
.8447 .75904 L
.85885 .77844 L
.87308 .79988 L
.88734 .82341 L
.90309 .85196 L
.91798 .88162 L
s
.66667 .66667 m
.67312 .66724 L
.6804 .6681 L
.68748 .66917 L
.69453 .67048 L
.70229 .67223 L
.71002 .67429 L
.71852 .67695 L
.72702 .68005 L
.73548 .68358 L
.74481 .68802 L
.75412 .69305 L
.76341 .69867 L
.77366 .70561 L
.78391 .71335 L
.79524 .72287 L
.80661 .73346 L
.81797 .74514 L
.83056 .75938 L
.84318 .7751 L
.85716 .79424 L
.87118 .81537 L
.88519 .83853 L
.90062 .86658 L
.91516 .89566 L
s
.66667 .68333 m
.67295 .68395 L
.68006 .68485 L
.68699 .68596 L
.69389 .68729 L
.7015 .68905 L
.70909 .69112 L
.71745 .69378 L
.72581 .69685 L
.73414 .70034 L
.74334 .70472 L
.75252 .70967 L
.76168 .7152 L
.77179 .72201 L
.7819 .72959 L
.79307 .7389 L
.80426 .74925 L
.81544 .76065 L
.82781 .77454 L
.8402 .78983 L
.85388 .80844 L
.86758 .82895 L
.88123 .85137 L
.89621 .87848 L
.91029 .90652 L
s
.66667 .7 m
.67274 .70066 L
.67962 .7016 L
.68634 .70274 L
.69303 .70409 L
.70043 .70585 L
.70781 .70791 L
.71596 .71053 L
.72411 .71355 L
.73225 .71698 L
.74122 .72126 L
.75019 .72607 L
.75914 .73143 L
.76902 .73804 L
.7789 .74537 L
.7898 .75436 L
.80072 .76433 L
.81162 .77529 L
.82367 .78862 L
.8357 .80328 L
.84898 .82108 L
.86224 .84066 L
.87542 .86202 L
.88985 .88777 L
.90336 .91435 L
s
.66667 .71667 m
.67248 .71737 L
.67908 .71835 L
.68552 .71951 L
.69196 .72087 L
.69907 .72262 L
.70619 .72465 L
.71405 .72723 L
.72192 .73017 L
.72977 .73349 L
.73845 .73762 L
.74713 .74225 L
.75578 .7474 L
.76534 .75371 L
.77488 .7607 L
.78543 .76925 L
.79597 .77872 L
.80649 .7891 L
.8181 .80169 L
.82968 .81551 L
.84243 .83225 L
.85514 .85061 L
.86774 .87059 L
.88151 .89462 L
.89437 .91935 L
s
.66667 .73333 m
.67217 .73408 L
.67842 .73509 L
.68454 .73627 L
.69066 .73763 L
.69743 .73937 L
.70421 .74136 L
.7117 .74386 L
.71921 .7467 L
.72671 .74989 L
.735 .75383 L
.7433 .75823 L
.75157 .7631 L
.7607 .76905 L
.76983 .77562 L
.7799 .78363 L
.78997 .79247 L
.8 .80213 L
.81105 .81382 L
.82207 .82662 L
.83418 .84206 L
.84623 .85896 L
.85815 .87729 L
.87116 .89927 L
.88328 .92182 L
s
.66667 .75 m
.67181 .75079 L
.67766 .75183 L
.6834 .75302 L
.68914 .75438 L
.69549 .75609 L
.70186 .75802 L
.70891 .76044 L
.71598 .76315 L
.72305 .76618 L
.73086 .76989 L
.73868 .77402 L
.74648 .77856 L
.75509 .78409 L
.7637 .79016 L
.77318 .79754 L
.78267 .80564 L
.7921 .81447 L
.8025 .82512 L
.81284 .83672 L
.82419 .85068 L
.83546 .8659 L
.84661 .88236 L
.85874 .90202 L
.87004 .92213 L
s
.66667 .76667 m
.6714 .76749 L
.6768 .76857 L
.68209 .76977 L
.68739 .77111 L
.69326 .77279 L
.69915 .77466 L
.70567 .77696 L
.71222 .77953 L
.71877 .78237 L
.72601 .78583 L
.73326 .78964 L
.74049 .79381 L
.74848 .79886 L
.75645 .80437 L
.76524 .81103 L
.77402 .81832 L
.78276 .82622 L
.79236 .8357 L
.80192 .84598 L
.81238 .85831 L
.82277 .87169 L
.83302 .8861 L
.84418 .90324 L
.85455 .92071 L
s
.66667 .78333 m
.67095 .7842 L
.67582 .7853 L
.68061 .78651 L
.6854 .78784 L
.69072 .78946 L
.69606 .79125 L
.70198 .79343 L
.70792 .79584 L
.71386 .79847 L
.72043 .80164 L
.72701 .80511 L
.73357 .80888 L
.74082 .8134 L
.74805 .81831 L
.75603 .8242 L
.76398 .83059 L
.7719 .83749 L
.78059 .84572 L
.78923 .8546 L
.79869 .86518 L
.80806 .87661 L
.81731 .88886 L
.82736 .90336 L
.83671 .91807 L
s
.66667 .8 m
.67044 .80091 L
.67474 .80203 L
.67896 .80324 L
.68319 .80454 L
.68788 .80611 L
.69259 .80782 L
.69781 .80987 L
.70305 .81209 L
.70829 .81449 L
.71409 .81736 L
.7199 .82047 L
.72569 .8238 L
.73208 .82777 L
.73846 .83203 L
.74548 .83711 L
.75249 .84258 L
.75945 .84843 L
.7671 .85536 L
.77469 .86279 L
.78299 .87158 L
.79121 .881 L
.79932 .89104 L
.80813 .90286 L
.81632 .91478 L
s
.66667 .81667 m
.66988 .81761 L
.67354 .81876 L
.67714 .81996 L
.68074 .82124 L
.68473 .82275 L
.68873 .82436 L
.69317 .82626 L
.69762 .82829 L
.70207 .83046 L
.70698 .83301 L
.7119 .83573 L
.71681 .83862 L
.72222 .84201 L
.72761 .84562 L
.73355 .84987 L
.73947 .8544 L
.74534 .85919 L
.75179 .86482 L
.75818 .87079 L
.76517 .8778 L
.77208 .88524 L
.77889 .8931 L
.78629 .90228 L
.79318 .91147 L
s
.66667 .83333 m
.66927 .83432 L
.67224 .83549 L
.67514 .83668 L
.67805 .83793 L
.68126 .83937 L
.68448 .84088 L
.68804 .84263 L
.6916 .84446 L
.69515 .84638 L
.69908 .8486 L
.703 .85094 L
.7069 .85338 L
.71119 .8562 L
.71547 .85916 L
.72016 .86259 L
.72484 .86619 L
.72947 .86996 L
.73454 .87432 L
.73957 .87889 L
.74505 .88418 L
.75047 .88974 L
.7558 .89554 L
.76159 .90223 L
.76698 .90886 L
s
.66667 .85 m
.66862 .85102 L
.67082 .85221 L
.67297 .85339 L
.67511 .85461 L
.67747 .85597 L
.67982 .85738 L
.6824 .85897 L
.68498 .8606 L
.68754 .86228 L
.69035 .86418 L
.69314 .86613 L
.69591 .86813 L
.69895 .8704 L
.70195 .87274 L
.70524 .87539 L
.7085 .87812 L
.71172 .88092 L
.71522 .88411 L
.71868 .88738 L
.72244 .89111 L
.72614 .89494 L
.72977 .89888 L
.7337 .90335 L
.73734 .9077 L
s
.66667 .86667 m
.66791 .86773 L
.6693 .86893 L
.67063 .8701 L
.67194 .87127 L
.67336 .87257 L
.67475 .87386 L
.67626 .8753 L
.67775 .87673 L
.6792 .87817 L
.68077 .87976 L
.68231 .88135 L
.68381 .88293 L
.68543 .88469 L
.687 .88645 L
.6887 .88839 L
.69035 .89034 L
.69195 .89228 L
.69367 .89443 L
.69533 .89658 L
.6971 .89895 L
.6988 .90133 L
.70044 .9037 L
.70218 .90631 L
.70376 .90879 L
s
.66667 .88333 m
.66715 .88443 L
.66766 .88565 L
.66811 .88681 L
.66851 .88794 L
.66891 .88915 L
.66927 .89034 L
.6696 .89162 L
.66989 .89286 L
.67012 .89407 L
.67031 .89537 L
.67039 .89602 L
.67045 .89662 L
.6705 .89721 L
.67053 .89784 L
.67055 .89816 L
.67055 .89835 L
.67056 .89852 L
.67056 .89861 L
.67056 .89868 L
.67056 .89876 L
.67056 .89883 L
.67056 .89887 L
.67056 .89892 L
.67056 .89896 L
.67056 .89899 L
.67056 .89902 L
.67056 .89904 L
.67056 .89906 L
.67056 .89908 L
.67056 .89911 L
.67056 .89913 L
.67056 .89917 L
.67056 .89921 L
.67056 .89925 L
.67056 .89929 L
.67056 .89933 L
.67056 .8994 L
.67056 .89947 L
.67056 .89964 L
.67056 .8998 L
.67055 .9001 L
.67053 .90039 L
.67051 .9007 L
.67049 .90104 L
.67044 .90164 L
.67036 .90227 L
.67028 .90286 L
.67004 .90412 L
.6697 .90544 L
Mistroke
.66929 .90672 L
.6688 .90793 L
.66818 .90921 L
.66748 .91042 L
.66661 .91169 L
.66565 .91289 L
.66561 .91294 L
Mfstroke
.66667 .9 m
.66635 .90113 L
.66591 .90236 L
.66541 .9035 L
.66484 .90459 L
.66414 .90573 L
.66336 .90682 L
.66241 .90795 L
.66138 .90901 L
.66026 .91001 L
.65894 .91105 L
.65753 .91201 L
.65604 .91291 L
.6543 .91383 L
.65246 .91467 L
.65032 .91553 L
.64807 .91631 L
.64572 .91702 L
.64301 .91773 L
.64019 .91837 L
.63694 .91899 L
.63356 .91955 L
.63005 .92004 L
.62604 .92052 L
.6221 .92091 L
s
.66667 .91667 m
.66549 .91784 L
.66404 .91907 L
.66252 .9202 L
.66091 .92124 L
.65902 .92231 L
.65701 .9233 L
.65467 .92429 L
.6522 .92519 L
.64962 .92601 L
.64663 .92683 L
.64351 .92755 L
.64027 .9282 L
.63654 .92883 L
.63267 .92939 L
.62823 .92993 L
.62362 .9304 L
.61886 .9308 L
.61342 .9312 L
.60778 .93155 L
.60135 .9319 L
.59468 .93223 L
.5878 .93255 L
.57995 .93291 L
.57225 .93328 L
s
.68333 .08333 m
.67451 .08295 L
.66535 .08239 L
.64632 .0808 L
.62962 .07902 L
.61231 .07691 L
.59607 .07479 L
.57927 .07253 L
.56351 .07042 L
.54874 .0685 L
.53347 .06663 L
.51919 .065 L
.50586 .06362 L
.49209 .06234 L
.47926 .06129 L
.46608 .06036 L
.45382 .05963 L
.44243 .05905 L
.43073 .05854 L
.41988 .05813 L
.40878 .05774 L
.39848 .05738 L
.38893 .05702 L
.37915 .05658 L
.37007 .05608 L
.36173 .05551 L
s
.68333 .1 m
.67524 .09964 L
.66683 .09913 L
.64934 .09764 L
.63396 .09597 L
.61798 .09396 L
.60296 .09191 L
.58738 .08969 L
.57273 .08758 L
.55897 .08563 L
.54469 .08368 L
.5313 .08196 L
.51875 .08045 L
.50576 .07903 L
.49362 .07783 L
.4811 .07674 L
.46942 .07586 L
.45853 .07515 L
.44733 .07452 L
.4369 .07403 L
.42621 .0736 L
.41627 .07324 L
.40704 .07293 L
.39756 .07261 L
.38876 .07228 L
.38067 .07193 L
s
.68333 .11667 m
.67595 .11634 L
.66827 .11586 L
.65228 .11449 L
.63819 .11292 L
.62351 .11102 L
.6097 .10906 L
.59532 .10689 L
.58177 .10481 L
.56901 .10284 L
.55574 .10084 L
.54324 .09903 L
.53151 .09742 L
.51932 .09586 L
.50788 .09452 L
.49605 .09326 L
.48498 .09221 L
.47462 .09134 L
.46393 .09056 L
.45396 .08994 L
.44369 .08939 L
.43413 .08896 L
.42522 .08861 L
.41606 .0883 L
.40754 .08802 L
.39969 .08777 L
s
.68333 .13333 m
.67664 .13303 L
.66967 .1326 L
.65513 .13134 L
.6423 .12988 L
.62891 .1281 L
.61627 .12623 L
.60309 .12414 L
.59064 .12209 L
.57888 .12014 L
.56661 .11811 L
.55503 .11624 L
.54412 .11455 L
.53274 .11286 L
.52204 .11138 L
.51093 .10995 L
.50049 .10873 L
.4907 .10769 L
.48055 .10673 L
.47105 .10594 L
.46124 .10523 L
.45207 .10466 L
.44351 .10421 L
.43469 .10381 L
.42645 .10349 L
.41886 .10323 L
s
.68333 .15 m
.6773 .14973 L
.67102 .14934 L
.6579 .14818 L
.64629 .14684 L
.63416 .14518 L
.62268 .14342 L
.61068 .14142 L
.59932 .13944 L
.58856 .13752 L
.5773 .13549 L
.56664 .13359 L
.55657 .13183 L
.54603 .13005 L
.53608 .12844 L
.52572 .12686 L
.51594 .12547 L
.50674 .12426 L
.49717 .12311 L
.48818 .12213 L
.47887 .12122 L
.47013 .12047 L
.46194 .11986 L
.45347 .11931 L
.44555 .11887 L
.43822 .11852 L
s
.68333 .16667 m
.67795 .16642 L
.67233 .16607 L
.66058 .16503 L
.65017 .16381 L
.63926 .16228 L
.62892 .16063 L
.61809 .15875 L
.60781 .15685 L
.59804 .15498 L
.5878 .15298 L
.57807 .15107 L
.56885 .14928 L
.55917 .14743 L
.55 .14573 L
.54041 .14402 L
.53133 .14248 L
.52276 .14111 L
.51381 .13976 L
.50536 .13859 L
.49658 .13747 L
.4883 .13651 L
.48052 .1357 L
.47245 .13494 L
.46486 .13432 L
.45782 .13382 L
s
.68333 .18333 m
.67857 .18312 L
.6736 .18281 L
.66318 .18188 L
.65392 .18078 L
.64421 .17938 L
.63499 .17787 L
.62531 .17611 L
.61609 .17432 L
.60732 .17253 L
.59809 .17059 L
.5893 .1687 L
.58095 .16691 L
.57215 .16502 L
.56378 .16326 L
.555 .16145 L
.54665 .15979 L
.53874 .15827 L
.53044 .15676 L
.52258 .1554 L
.51438 .15406 L
.50661 .15289 L
.49928 .15186 L
.49164 .15088 L
.48443 .15004 L
.47772 .14933 L
s
.68333 .2 m
.67917 .19981 L
.67482 .19954 L
.67044 .19919 L
.66569 .19873 L
.65704 .19768 L
.64882 .19646 L
.64019 .19499 L
.63196 .19343 L
.62411 .19182 L
.61583 .19003 L
.60792 .18824 L
.60038 .18649 L
.59241 .18461 L
.58481 .1828 L
.57679 .1809 L
.56914 .17911 L
.56185 .17743 L
.55418 .1757 L
.54687 .17411 L
.53919 .1725 L
.5319 .17103 L
.52497 .1697 L
.51771 .16839 L
.51083 .16722 L
.50431 .16619 L
.49796 .16525 L
s
.68333 .21667 m
.67974 .21651 L
.67599 .21628 L
.67221 .21597 L
.66811 .21557 L
.66063 .21466 L
.6535 .21359 L
.646 .21227 L
.63884 .21087 L
.63199 .2094 L
.62475 .20774 L
.61782 .20607 L
.61118 .20441 L
.60416 .2026 L
.59743 .20084 L
.59031 .19896 L
.58349 .19716 L
.57697 .19544 L
.57008 .19364 L
.56349 .19195 L
.55653 .19021 L
.54989 .18859 L
.54356 .1871 L
.53689 .18558 L
.53053 .1842 L
.52449 .18294 L
.51857 .18177 L
s
.68333 .23333 m
.68188 .23328 L
.6803 .2332 L
.67712 .23301 L
.67365 .23273 L
.67044 .23242 L
.66432 .23167 L
.65788 .23069 L
.65172 .22959 L
.64583 .2284 L
.6396 .22701 L
.63362 .22557 L
.62788 .22411 L
.62179 .22248 L
.61594 .22085 L
.60974 .21908 L
.60377 .21734 L
.59804 .21564 L
.59195 .21383 L
.5861 .21209 L
.5799 .21026 L
.57395 .20851 L
.56824 .20686 L
.5622 .20514 L
.55641 .20353 L
.55087 .20203 L
.54501 .20049 L
.53957 .19911 L
s
.68333 .25 m
.68214 .24996 L
.68083 .2499 L
.67821 .24974 L
.67534 .24952 L
.67268 .24926 L
.66762 .24865 L
.66228 .24783 L
.65716 .2469 L
.65225 .24588 L
.64705 .24468 L
.64205 .24342 L
.63724 .24213 L
.63212 .24067 L
.62719 .2392 L
.62194 .23757 L
.61688 .23596 L
.612 .23437 L
.60679 .23264 L
.60178 .23096 L
.59644 .22915 L
.59128 .22741 L
.58632 .22573 L
.58103 .22396 L
.57595 .22227 L
.57105 .22067 L
.56585 .21899 L
.561 .21746 L
s
.68333 .26667 m
.68238 .26664 L
.68134 .26659 L
.67925 .26648 L
.67696 .2663 L
.67484 .2661 L
.67079 .26562 L
.66651 .26497 L
.6624 .26421 L
.65846 .26338 L
.65427 .26239 L
.65023 .26133 L
.64634 .26024 L
.64219 .25899 L
.63818 .25772 L
.6339 .2563 L
.62976 .25486 L
.62575 .25343 L
.62146 .25186 L
.61731 .25031 L
.61288 .24863 L
.60858 .24697 L
.60441 .24536 L
.59996 .24363 L
.59565 .24195 L
.59148 .24034 L
.58703 .23862 L
.58285 .23702 L
s
.68333 .28333 m
.68261 .28331 L
.68183 .28329 L
.68024 .28321 L
.67851 .28309 L
.6769 .28295 L
.67383 .28259 L
.67058 .28211 L
.66745 .28154 L
.66445 .2809 L
.66125 .28013 L
.65816 .2793 L
.65518 .27844 L
.65199 .27744 L
.6489 .2764 L
.64559 .27523 L
.64239 .27404 L
.63927 .27284 L
.63593 .27151 L
.63268 .27017 L
.62919 .2687 L
.62579 .26724 L
.62249 .2658 L
.61894 .26422 L
.61549 .26268 L
.61213 .26116 L
.60852 .25953 L
.60512 .25799 L
s
.68333 .3 m
.68308 .3 L
.68283 .29999 L
.68229 .29998 L
.68176 .29996 L
.68119 .29994 L
.67998 .29987 L
.67888 .29978 L
.67669 .29956 L
.6746 .29926 L
.67237 .29888 L
.67023 .29844 L
.66816 .29795 L
.66595 .29736 L
.66382 .29673 L
.66153 .296 L
.65931 .29523 L
.65715 .29443 L
.65483 .29353 L
.65257 .2926 L
.65014 .29156 L
.64777 .29051 L
.64545 .28944 L
.64296 .28826 L
.64051 .28707 L
.63813 .28589 L
.63556 .28459 L
.63304 .2833 L
.63032 .28189 L
.62778 .28056 L
s
.68333 .31667 m
.68318 .31667 L
.68305 .31667 L
.68297 .31667 L
.68289 .31667 L
.68285 .31667 L
.68281 .31667 L
.68277 .31667 L
.68273 .31667 L
.68269 .31667 L
.68266 .31667 L
.68262 .31667 L
.68258 .31667 L
.68255 .31667 L
.68252 .31667 L
.6825 .31667 L
.68242 .31667 L
.68238 .31667 L
.68234 .31667 L
.68227 .31667 L
.6821 .31667 L
.68194 .31667 L
.68176 .31666 L
.68145 .31665 L
.68112 .31664 L
.68076 .31662 L
.68014 .31658 L
.67948 .31653 L
.67818 .31638 L
.67693 .31619 L
.67572 .31597 L
.67443 .31569 L
.67319 .31538 L
.67198 .31504 L
.67069 .31463 L
.66943 .31421 L
.66808 .31371 L
.66677 .31319 L
.66548 .31265 L
.6641 .31203 L
.66274 .3114 L
.66128 .31069 L
.65984 .30996 L
.65844 .30923 L
.65691 .3084 L
.65541 .30757 L
.65394 .30674 L
.65234 .30581 L
.6508 .3049 L
s
.68333 .33333 m
.68296 .3334 L
.68255 .33346 L
.68236 .33348 L
.68218 .3335 L
.68199 .33351 L
.68182 .33352 L
.68173 .33352 L
.68163 .33353 L
.68159 .33353 L
.68154 .33353 L
.6815 .33353 L
.68146 .33353 L
.68144 .33353 L
.68141 .33353 L
.68139 .33353 L
.68137 .33353 L
.68136 .33353 L
.68135 .33353 L
.68134 .33353 L
.68133 .33353 L
.68132 .33353 L
.68131 .33353 L
.68131 .33353 L
.6813 .33353 L
.68129 .33353 L
.68128 .33353 L
.68127 .33353 L
.68126 .33353 L
.68123 .33353 L
.68121 .33353 L
.68119 .33353 L
.68111 .33353 L
.68106 .33353 L
.68102 .33353 L
.68093 .33352 L
.68076 .33352 L
.68059 .3335 L
.6804 .33349 L
.68003 .33345 L
.67967 .33339 L
.67929 .33332 L
.67892 .33324 L
.67856 .33315 L
.67818 .33303 L
.6778 .33291 L
.67744 .33278 L
.67705 .33263 L
.67666 .33247 L
.67625 .33229 L
Mistroke
.67585 .33209 L
.67545 .3319 L
.67502 .33167 L
.67459 .33144 L
.67413 .33117 L
.67411 .33116 L
Mfstroke
.68333 .35 m
.68377 .35013 L
.68425 .35029 L
.68471 .35046 L
.68516 .35064 L
.68565 .35085 L
.68612 .35107 L
.68664 .35133 L
.68715 .3516 L
.68765 .35188 L
.6882 .3522 L
.68873 .35253 L
.68927 .35288 L
.68985 .35327 L
.69043 .35366 L
.69106 .35412 L
.69169 .35458 L
.69232 .35506 L
.69301 .35559 L
.6937 .35614 L
.69446 .35676 L
.69522 .35739 L
.69598 .35803 L
.69682 .35875 L
.69762 .35945 L
s
.68333 .36667 m
.68454 .36686 L
.68586 .36712 L
.68711 .36742 L
.68833 .36775 L
.68964 .36816 L
.69092 .36861 L
.6923 .36915 L
.69366 .36973 L
.69499 .37035 L
.69643 .37108 L
.69786 .37184 L
.69926 .37265 L
.70079 .37358 L
.70231 .37454 L
.70397 .37566 L
.70563 .37682 L
.70727 .37803 L
.70908 .37941 L
.71089 .38083 L
.71288 .38247 L
.71488 .38416 L
.71688 .38591 L
.71911 .3879 L
.72123 .38985 L
s
.68333 .38333 m
.68526 .38359 L
.68738 .38395 L
.68938 .38437 L
.69133 .38486 L
.69343 .38547 L
.69548 .38615 L
.69769 .38697 L
.69986 .38787 L
.702 .38884 L
.70431 .38999 L
.7066 .39122 L
.70886 .39252 L
.71133 .39404 L
.71377 .39563 L
.71646 .39749 L
.71914 .39944 L
.7218 .40148 L
.72475 .40384 L
.7277 .40631 L
.73096 .40916 L
.73425 .41214 L
.73756 .41525 L
.74124 .41883 L
.74478 .42238 L
s
.68333 .4 m
.68594 .40031 L
.6888 .40077 L
.69151 .40132 L
.69415 .40195 L
.697 .40276 L
.69978 .40367 L
.70279 .40478 L
.70575 .40601 L
.70865 .40734 L
.71182 .40893 L
.71494 .41064 L
.71803 .41247 L
.72142 .41461 L
.72478 .41689 L
.72847 .41955 L
.73217 .42238 L
.73586 .42536 L
.73995 .42883 L
.74405 .43248 L
.74861 .43674 L
.75323 .44124 L
.75788 .44597 L
.76309 .45148 L
.76811 .45698 L
s
.68333 .41667 m
.68656 .41704 L
.69012 .41759 L
.6935 .41826 L
.6968 .41904 L
.70035 .42004 L
.70383 .42118 L
.7076 .42258 L
.71131 .42414 L
.71495 .42583 L
.71893 .42788 L
.72287 .43009 L
.72676 .43246 L
.73103 .43527 L
.73529 .43826 L
.73998 .4418 L
.74468 .44558 L
.74938 .44958 L
.7546 .45427 L
.75986 .45926 L
.76573 .46511 L
.77168 .47134 L
.77771 .47795 L
.78448 .48571 L
.79102 .49353 L
s
.68333 .43333 m
.68715 .43376 L
.69135 .43441 L
.69536 .43519 L
.69926 .43612 L
.70348 .43731 L
.70762 .43867 L
.71211 .44035 L
.71653 .44224 L
.72088 .44431 L
.72564 .44681 L
.73035 .44953 L
.73502 .45246 L
.74015 .45596 L
.74527 .45971 L
.75093 .46417 L
.75661 .46895 L
.7623 .47405 L
.76864 .48008 L
.77504 .48652 L
.7822 .49413 L
.78948 .50229 L
.79689 .51101 L
.80523 .52132 L
.81331 .5318 L
s
.68333 .45 m
.68768 .45049 L
.69249 .45122 L
.69707 .45212 L
.70155 .45318 L
.70639 .45456 L
.71114 .45613 L
.71631 .4581 L
.7214 .46031 L
.72643 .46274 L
.73192 .4657 L
.73737 .46894 L
.74278 .47244 L
.74874 .47664 L
.7547 .48118 L
.76128 .48658 L
.7679 .49242 L
.77456 .49868 L
.78198 .50612 L
.7895 .51412 L
.79792 .52362 L
.80651 .53389 L
.81526 .54491 L
.82514 .55805 L
.83474 .57149 L
s
.68333 .46667 m
.68817 .46721 L
.69353 .46803 L
.69864 .46904 L
.70365 .47024 L
.70907 .47179 L
.7144 .47357 L
.72019 .47581 L
.72592 .47833 L
.73158 .48113 L
.73777 .48454 L
.74392 .48829 L
.75003 .49237 L
.75678 .49728 L
.76352 .5026 L
.77099 .50898 L
.77852 .5159 L
.78609 .52336 L
.79456 .53227 L
.80314 .54189 L
.81278 .55339 L
.82262 .56589 L
.83266 .57939 L
.84402 .59556 L
.85508 .6122 L
s
.68333 .48333 m
.68862 .48393 L
.69447 .48484 L
.70007 .48595 L
.70556 .48727 L
.71152 .48899 L
.71738 .49098 L
.72376 .49348 L
.73008 .49631 L
.73632 .49946 L
.74316 .50331 L
.74997 .50756 L
.75675 .51221 L
.76423 .51782 L
.77171 .52393 L
.78002 .53128 L
.7884 .5393 L
.79684 .54797 L
.80629 .55837 L
.81588 .56966 L
.82666 .58323 L
.83769 .59803 L
.84894 .6141 L
.86169 .63345 L
.87409 .65346 L
s
.68333 .5 m
.68901 .50066 L
.69532 .50164 L
.70136 .50285 L
.70728 .5043 L
.71373 .50618 L
.72008 .50835 L
.727 .5111 L
.73386 .51422 L
.74064 .51771 L
.74809 .52199 L
.75551 .52673 L
.7629 .53192 L
.77106 .53821 L
.77924 .5451 L
.78833 .55341 L
.7975 .56251 L
.80675 .57239 L
.81711 .58428 L
.82763 .59725 L
.83947 .61288 L
.85158 .63002 L
.86395 .64869 L
.87794 .67127 L
.89155 .69471 L
s
.68333 .51667 m
.68936 .51738 L
.69607 .51844 L
.7025 .51974 L
.70882 .5213 L
.7157 .52333 L
.72249 .52569 L
.72991 .52867 L
.73726 .53207 L
.74454 .53587 L
.75254 .54055 L
.76052 .54575 L
.76846 .55147 L
.77726 .55842 L
.78607 .56605 L
.79587 .57529 L
.80577 .58544 L
.81576 .59649 L
.82695 .60984 L
.83832 .62445 L
.85111 .64212 L
.86419 .66154 L
.87754 .68279 L
.89263 .70855 L
.90727 .73536 L
s
.68333 .53333 m
.68966 .5341 L
.69672 .53523 L
.70349 .53662 L
.71016 .53829 L
.71743 .54046 L
.72462 .54299 L
.73247 .54619 L
.74026 .54983 L
.74799 .55393 L
.75649 .55899 L
.76497 .56462 L
.77343 .57083 L
.78279 .5784 L
.79218 .58673 L
.80262 .59685 L
.81317 .60798 L
.82382 .62016 L
.83575 .6349 L
.84787 .65106 L
.86149 .67068 L
.87541 .69229 L
.8896 .71599 L
.90559 .74479 L
.92106 .77481 L
s
.68333 .55 m
.68992 .55082 L
.69727 .55202 L
.70434 .5535 L
.71131 .55526 L
.71892 .55756 L
.72645 .56024 L
.73468 .56363 L
.74287 .56752 L
.75099 .57188 L
.75994 .57728 L
.76886 .58331 L
.77777 .58997 L
.78763 .59811 L
.79753 .60708 L
.80854 .618 L
.81966 .63006 L
.83088 .64326 L
.84345 .65929 L
.85621 .6769 L
.87054 .69831 L
.88516 .72196 L
.90002 .74792 L
.91673 .7795 L
.93281 .81246 L
s
.68333 .56667 m
.69012 .56753 L
.69772 .56881 L
.70504 .57036 L
.71226 .57221 L
.72016 .57463 L
.72798 .57744 L
.73654 .58102 L
.74506 .5851 L
.75353 .5897 L
.76285 .59541 L
.77217 .60179 L
.78146 .60885 L
.79176 .61749 L
.80209 .62704 L
.81358 .63869 L
.82519 .65156 L
.8369 .66569 L
.85 .68287 L
.86329 .70177 L
.87819 .72479 L
.89335 .75024 L
.90873 .7782 L
.92594 .81222 L
.94243 .84773 L
s
.68333 .58333 m
.69028 .58425 L
.69807 .58559 L
.70558 .58721 L
.71301 .58915 L
.72114 .59167 L
.7292 .5946 L
.73804 .59832 L
.74684 .60259 L
.75559 .6074 L
.76523 .61337 L
.77487 .62005 L
.78449 .62746 L
.79514 .63653 L
.80584 .64657 L
.81773 .65884 L
.82974 .67242 L
.84184 .68734 L
.85536 .7055 L
.86906 .72551 L
.88438 .74989 L
.89994 .77686 L
.91566 .80649 L
.93318 .84254 L
.94986 .88013 L
s
.68333 .6 m
.69039 .60097 L
.69832 .60237 L
.70598 .60405 L
.71356 .60606 L
.72187 .60867 L
.73011 .6117 L
.73917 .61556 L
.74819 .61997 L
.75717 .62495 L
.76706 .63113 L
.77695 .63807 L
.78683 .64576 L
.79777 .65518 L
.80876 .66563 L
.82096 .6784 L
.83327 .69255 L
.84566 .70812 L
.85949 .72707 L
.87348 .74796 L
.88909 .77342 L
.90488 .80158 L
.92078 .83252 L
.93841 .87011 L
.95509 .90924 L
s
.68333 .61667 m
.69046 .61768 L
.69846 .61914 L
.70622 .62088 L
.7139 .62295 L
.72233 .62564 L
.73071 .62875 L
.73992 .63271 L
.7491 .63724 L
.75824 .64235 L
.76832 .6487 L
.77841 .65583 L
.78847 .66373 L
.79962 .67342 L
.81081 .68417 L
.82323 .69732 L
.83575 .7119 L
.84833 .72793 L
.86236 .74746 L
.87651 .76899 L
.89226 .79522 L
.90815 .82422 L
.92407 .85603 L
.94164 .89464 L
.95814 .93474 L
s
.68333 .63333 m
.69047 .6344 L
.69851 .63591 L
.7063 .6377 L
.71404 .63983 L
.72254 .64257 L
.73099 .64575 L
.74029 .64979 L
.74957 .6544 L
.75881 .6596 L
.76901 .66607 L
.77921 .67332 L
.78939 .68136 L
.80067 .69123 L
.81197 .70217 L
.82452 .71556 L
.83715 .7304 L
.84983 .74673 L
.86393 .76661 L
.87813 .78851 L
.89389 .81517 L
.90972 .84462 L
.92553 .87687 L
.94287 .91593 L
.95905 .9564 L
s
.68333 .65 m
.69044 .65111 L
.69845 .65267 L
.70623 .65451 L
.71397 .65668 L
.72247 .65947 L
.73094 .66269 L
.74026 .66678 L
.74957 .67144 L
.75886 .67669 L
.7691 .68322 L
.77934 .69053 L
.78957 .69863 L
.80089 .70858 L
.81223 .7196 L
.82481 .73309 L
.83745 .74803 L
.85012 .76445 L
.86419 .78444 L
.87832 .80644 L
.89395 .83319 L
.9096 .86267 L
.92515 .89492 L
.94213 .93388 L
.95787 .97412 L
s
.68333 .66667 m
.69036 .66782 L
.69829 .66943 L
.70601 .67131 L
.71368 .67351 L
.72213 .67633 L
.73056 .67958 L
.73984 .68369 L
.74912 .68836 L
.75837 .69362 L
.76858 .70015 L
.77879 .70745 L
.78899 .71555 L
.80027 .72547 L
.81156 .73645 L
.82407 .74988 L
.83662 .76475 L
.84919 .78108 L
.86311 .80092 L
.87705 .82273 L
.89243 .84921 L
.90778 .87835 L
.92296 .91013 L
.93945 .94843 L
.95465 .98787 L
s
.68333 .68333 m
.69023 .68453 L
.69803 .68618 L
.70562 .68809 L
.71318 .69032 L
.72152 .69316 L
.72984 .69641 L
.73901 .70051 L
.74819 .70517 L
.75734 .71039 L
.76744 .71686 L
.77755 .72409 L
.78763 .73209 L
.79878 .74189 L
.80994 .75272 L
.82228 .76594 L
.83465 .78057 L
.84701 .7966 L
.86067 .81605 L
.87432 .8374 L
.88933 .86326 L
.90425 .89165 L
.91896 .92254 L
.93486 .95965 L
.94944 .99775 L
s
.68333 .7 m
.69005 .70125 L
.69766 .70293 L
.70508 .70487 L
.71247 .70711 L
.72063 .70995 L
.72878 .71319 L
.73778 .71725 L
.74677 .72185 L
.75575 .727 L
.76567 .73336 L
.77558 .74045 L
.78548 .74828 L
.79641 .75785 L
.80734 .76841 L
.81941 .78128 L
.8315 .79548 L
.84355 .81102 L
.85685 .82984 L
.8701 .85045 L
.88463 .87536 L
.89902 .90263 L
.91317 .93222 L
.92839 .96766 L
s
.92839 .96766 m
.94079 1 L
s
.68333 .71667 m
.68982 .71795 L
.69718 .71968 L
.70437 .72163 L
.71154 .72388 L
.71946 .7267 L
.72737 .72991 L
.73611 .73391 L
.74486 .73842 L
.7536 .74345 L
.76324 .74964 L
.77289 .75653 L
.78251 .76411 L
.79313 .77335 L
.80374 .78353 L
.81545 .7959 L
.82715 .80952 L
.8388 .82439 L
.85162 .84235 L
.86437 .86197 L
.87831 .88561 L
.89208 .91141 L
.90557 .93932 L
.92004 .97265 L
s
.92004 .97265 m
.93064 1 L
s
.68333 .73333 m
.68955 .73466 L
.6966 .73642 L
.7035 .73839 L
.71038 .74063 L
.718 .74342 L
.72561 .74658 L
.73403 .75049 L
.74245 .75488 L
.75086 .75975 L
.76015 .76572 L
.76944 .77233 L
.7787 .7796 L
.78892 .78842 L
.79911 .7981 L
.81035 .80984 L
.82157 .82273 L
.83272 .83675 L
.84496 .85364 L
.85711 .87203 L
.87036 .89412 L
.88341 .91815 L
.89616 .94406 L
.90981 .97488 L
s
.90981 .97488 m
.91975 1 L
s
.68333 .75 m
.68922 .75137 L
.69591 .75315 L
.70246 .75513 L
.709 .75735 L
.71625 .76011 L
.72349 .76319 L
.7315 .76699 L
.73952 .77123 L
.74753 .7759 L
.75638 .7816 L
.76522 .78789 L
.77403 .79476 L
.78375 .80308 L
.79344 .81217 L
.8041 .82316 L
.81473 .83516 L
.82528 .84819 L
.83684 .86382 L
.84828 .88078 L
.86074 .90107 L
.87298 .92305 L
.88491 .94668 L
.89766 .97468 L
s
.89766 .97468 m
.90799 1 L
s
.68333 .76667 m
.68885 .76808 L
.69512 .76988 L
.70126 .77186 L
.7074 .77406 L
.7142 .77677 L
.721 .77976 L
.72853 .78342 L
.73607 .78747 L
.7436 .79192 L
.75191 .7973 L
.76021 .80321 L
.76848 .80963 L
.7776 .81737 L
.78668 .82578 L
.79666 .8359 L
.80659 .84691 L
.81644 .8588 L
.82721 .87301 L
.83785 .88836 L
.84941 .90665 L
.86075 .92638 L
.87178 .9475 L
.88355 .97242 L
.89423 .99757 L
s
.68333 .78333 m
.68842 .78478 L
.69422 .78661 L
.69989 .78859 L
.70557 .79076 L
.71185 .79339 L
.71815 .79628 L
.7251 .79978 L
.73208 .80362 L
.73904 .8078 L
.74672 .81283 L
.75439 .81831 L
.76203 .82423 L
.77044 .83132 L
.7788 .83899 L
.78799 .84815 L
.79712 .85806 L
.80615 .86872 L
.81602 .88138 L
.82575 .89499 L
.8363 .91112 L
.84664 .92844 L
.85668 .94688 L
.86739 .96855 L
.87711 .99032 L
s
.68333 .8 m
.68795 .80149 L
.69321 .80333 L
.69835 .8053 L
.7035 .80743 L
.7092 .80999 L
.71491 .81276 L
.72122 .81608 L
.72754 .81969 L
.73384 .82358 L
.7408 .82822 L
.74774 .83323 L
.75464 .83861 L
.76223 .84499 L
.76978 .85185 L
.77805 .85999 L
.78626 .86873 L
.79437 .87807 L
.80322 .8891 L
.81192 .90087 L
.82135 .91475 L
.83057 .92955 L
.83952 .94523 L
.84906 .96355 L
.85773 .98187 L
s
.68333 .81667 m
.68743 .81819 L
.69208 .82005 L
.69664 .822 L
.7012 .82409 L
.70624 .82655 L
.71129 .82919 L
.71686 .83232 L
.72244 .83568 L
.72799 .83925 L
.73412 .84348 L
.74022 .84799 L
.74628 .85279 L
.75294 .85844 L
.75955 .86445 L
.76679 .87152 L
.77395 .87905 L
.78102 .88703 L
.78871 .89637 L
.79627 .90627 L
.80444 .91785 L
.81242 .93011 L
.82016 .94301 L
.82841 .95798 L
.83591 .97286 L
s
.68333 .83333 m
.68686 .8349 L
.69085 .83677 L
.69476 .8387 L
.69866 .84073 L
.70297 .8431 L
.70728 .8456 L
.71202 .84851 L
.71676 .8516 L
.72148 .85485 L
.72666 .85864 L
.73182 .86264 L
.73693 .86684 L
.74254 .87173 L
.74808 .87687 L
.75414 .88285 L
.76013 .88916 L
.76602 .89577 L
.77242 .90343 L
.77869 .91147 L
.78545 .92078 L
.79204 .93055 L
.79842 .94072 L
.80522 .95244 L
.8114 .96398 L
s
.68333 .85 m
.68623 .8516 L
.68951 .85348 L
.69271 .85538 L
.69589 .85735 L
.69939 .85962 L
.70287 .86197 L
.70669 .86466 L
.7105 .86747 L
.71427 .87038 L
.71841 .87372 L
.7225 .8772 L
.72655 .8808 L
.73096 .88492 L
.73532 .88921 L
.74005 .89412 L
.74471 .89922 L
.74928 .90449 L
.75422 .91053 L
.75903 .91678 L
.76421 .92392 L
.76923 .93131 L
.77408 .93892 L
.77922 .94757 L
.78389 .956 L
s
.68333 .86667 m
.68556 .8683 L
.68806 .87018 L
.69048 .87206 L
.69287 .87397 L
.69548 .87612 L
.69805 .87831 L
.70086 .88078 L
.70364 .8833 L
.70636 .88587 L
.70933 .88877 L
.71224 .89172 L
.71509 .89473 L
.71817 .89811 L
.72119 .90156 L
.72444 .90544 L
.72761 .9094 L
.73068 .91342 L
.73397 .91793 L
.73714 .92252 L
.74052 .92766 L
.74376 .93289 L
.74684 .93818 L
.75008 .94409 L
.75299 .94974 L
s
.68333 .88333 m
.68484 .885 L
.6865 .88689 L
.68807 .88873 L
.6896 .89057 L
.69124 .8926 L
.69283 .89463 L
.69452 .89687 L
.69616 .89911 L
.69773 .90134 L
.69939 .9038 L
.70099 .90625 L
.70251 .90869 L
.70411 .91138 L
.70563 .91404 L
.70721 .91697 L
.7087 .91988 L
.71008 .92277 L
.7115 .92592 L
.71281 .92905 L
.71412 .93245 L
.71531 .93582 L
.71636 .93913 L
.71736 .94272 L
.71818 .94607 L
s
.68333 .9 m
.68406 .9017 L
.68482 .90359 L
.68549 .90539 L
.68609 .90716 L
.68667 .90907 L
.68718 .91094 L
.68766 .91295 L
.68804 .91491 L
.68834 .91681 L
.68847 .91778 L
.68858 .91886 L
.68867 .91988 L
.68869 .92034 L
.68872 .92084 L
.68873 .92111 L
.68874 .92136 L
.68875 .92163 L
.68876 .92186 L
.68876 .9221 L
.68877 .92232 L
.68877 .92244 L
.68877 .92255 L
.68877 .92261 L
.68877 .92267 L
.68877 .92274 L
.68877 .9228 L
.68877 .92287 L
.68877 .9229 L
.68877 .92293 L
.68877 .923 L
.68877 .92306 L
.68877 .92319 L
.68876 .92333 L
.68876 .92346 L
.68876 .92359 L
.68875 .92383 L
.68874 .92428 L
.68872 .92478 L
.68869 .9253 L
.68865 .92577 L
.68855 .92684 L
.68843 .92781 L
.68827 .92886 L
.68784 .93093 L
.68729 .9329 L
.68663 .93479 L
.68576 .93676 L
.68477 .93864 L
.68353 .94059 L
Mistroke
.68213 .94242 L
.6806 .94414 L
.67881 .94586 L
Mfstroke
.68333 .91667 m
.68332 .91707 L
.6833 .91751 L
.68327 .91797 L
.68324 .9184 L
.68315 .91931 L
.68303 .92028 L
.68271 .92214 L
.68228 .92391 L
.68175 .92561 L
.68104 .92739 L
.68023 .92908 L
.6793 .93069 L
.67816 .93236 L
.67689 .93394 L
.67535 .93557 L
.67368 .93709 L
.67188 .9385 L
.66974 .93994 L
.66745 .94126 L
.66477 .9426 L
.66192 .94381 L
.65891 .9449 L
.65542 .94598 L
.65175 .94694 L
.64792 .94779 L
.6435 .94862 L
.63889 .94933 L
.63406 .94996 L
s
.7 .08333 m
.69943 .08333 L
.69891 .08334 L
.6983 .08334 L
.69774 .08333 L
.69721 .08333 L
.69673 .08333 L
.6962 .08333 L
.69564 .08333 L
.69447 .08332 L
.69338 .0833 L
.6909 .08326 L
.68851 .08321 L
.68633 .08316 L
.68146 .08299 L
.67661 .08278 L
.67136 .0825 L
.66191 .08187 L
.64362 .08026 L
.6265 .07839 L
.6088 .0762 L
.59219 .07401 L
.57662 .07191 L
.56049 .06977 L
.54538 .06782 L
.53125 .06611 L
.51663 .06447 L
.50298 .06309 L
.48893 .06182 L
.47584 .06079 L
.46366 .05996 L
.45114 .05924 L
.43951 .05867 L
.42872 .05821 L
.41763 .0578 L
.40735 .05744 L
.39682 .05707 L
.38705 .05669 L
.378 .05628 L
.36911 .05577 L
s
.7 .1 m
.69947 .1 L
.699 .10001 L
.69844 .10001 L
.69792 .10001 L
.69744 .10001 L
.697 .10001 L
.69651 .10001 L
.696 .1 L
.69548 .1 L
.69492 .1 L
.69392 .09999 L
.69273 .09998 L
.69164 .09996 L
.68951 .09992 L
.68718 .09987 L
.68298 .09974 L
.67841 .09955 L
.67358 .0993 L
.66499 .09875 L
.64776 .09724 L
.63159 .09544 L
.61641 .09351 L
.60064 .09134 L
.58582 .08923 L
.5719 .08723 L
.55743 .08518 L
.54384 .08334 L
.52978 .08154 L
.51661 .07998 L
.50428 .07865 L
.49155 .07741 L
.47966 .0764 L
.46857 .07557 L
.45714 .07484 L
.44649 .07426 L
.43556 .07375 L
.42539 .07334 L
.41594 .073 L
.40623 .07268 L
.39722 .07237 L
.38854 .07204 L
s
.7 .11667 m
.69952 .11667 L
.69908 .11667 L
.69861 .11668 L
.6981 .11668 L
.69763 .11668 L
.6972 .11668 L
.69678 .11668 L
.69634 .11668 L
.69587 .11668 L
.69537 .11668 L
.69489 .11668 L
.69445 .11668 L
.69338 .11667 L
.69237 .11666 L
.6904 .11663 L
.68857 .1166 L
.68445 .11648 L
.68023 .11632 L
.67642 .11614 L
.66799 .11562 L
.65276 .11432 L
.63846 .11274 L
.62358 .11082 L
.60957 .10882 L
.59638 .10684 L
.58262 .10473 L
.56967 .10273 L
.5562 .1007 L
.54353 .09887 L
.53162 .09724 L
.51926 .09565 L
.50767 .09429 L
.49681 .09313 L
.48557 .09206 L
.47505 .09118 L
.46421 .09038 L
.45409 .08975 L
.44465 .08924 L
.43492 .0888 L
.42587 .08844 L
.41657 .08811 L
.40812 .08784 L
s
.7 .13333 m
.69917 .13334 L
.69828 .13335 L
.69785 .13336 L
.69744 .13336 L
.69708 .13336 L
.69668 .13336 L
.69624 .13337 L
.69578 .13337 L
.69535 .13337 L
.69495 .13337 L
.69448 .13336 L
.69405 .13336 L
.69355 .13336 L
.69307 .13336 L
.69221 .13335 L
.69128 .13334 L
.68962 .13331 L
.68765 .13327 L
.68588 .13323 L
.68214 .1331 L
.67812 .13292 L
.67091 .1325 L
.66396 .13197 L
.65671 .13131 L
.64386 .12989 L
.63045 .12813 L
.61779 .12628 L
.6046 .1242 L
.59213 .12216 L
.58036 .12021 L
.56807 .11817 L
.55647 .1163 L
.54554 .11459 L
.53415 .1129 L
.52342 .1114 L
.51229 .10995 L
.50182 .10871 L
.49201 .10766 L
.48184 .10668 L
.47231 .10587 L
.46248 .10515 L
.45328 .10457 L
.44469 .1041 L
.43584 .10369 L
.42792 .10338 L
s
.7 .15 m
.69925 .15001 L
.69845 .15003 L
.69776 .15004 L
.69701 .15004 L
.69655 .15005 L
.69613 .15005 L
.69573 .15005 L
.6953 .15005 L
.69492 .15005 L
.69457 .15006 L
.69418 .15006 L
.69376 .15005 L
.69332 .15005 L
.69292 .15005 L
.69248 .15005 L
.69201 .15005 L
.69114 .15004 L
.69035 .15003 L
.68876 .15 L
.68726 .14997 L
.68385 .14987 L
.68072 .14975 L
.67374 .14937 L
.66781 .14895 L
.66136 .14838 L
.64896 .14703 L
.63724 .14548 L
.625 .14365 L
.61342 .14175 L
.60245 .13986 L
.59097 .13781 L
.5801 .13586 L
.56982 .13402 L
.55905 .13212 L
.54888 .13039 L
.53826 .12866 L
.52824 .12711 L
.5188 .12574 L
.50896 .12442 L
.49971 .12327 L
.4901 .1222 L
.48109 .1213 L
.47263 .12055 L
.46387 .11987 L
.45566 .11931 L
.448 .11887 L
s
.7 .16667 m
.69861 .1667 L
.69733 .16672 L
.6966 .16673 L
.69592 .16674 L
.69554 .16674 L
.69513 .16675 L
.69476 .16675 L
.69442 .16675 L
.69408 .16675 L
.69371 .16675 L
.69351 .16675 L
.69331 .16675 L
.69294 .16675 L
.69255 .16675 L
.6922 .16675 L
.6918 .16675 L
.69138 .16675 L
.69063 .16674 L
.68992 .16673 L
.6886 .16671 L
.68711 .16668 L
.68554 .16664 L
.68274 .16655 L
.67975 .16642 L
.67648 .16625 L
.66512 .16538 L
.65438 .16424 L
.64317 .16276 L
.63254 .16114 L
.62247 .15944 L
.61189 .15753 L
.60185 .15563 L
.59233 .15378 L
.58232 .15182 L
.57283 .14996 L
.56288 .14805 L
.55345 .14628 L
.54451 .14466 L
.53517 .14304 L
.52633 .14159 L
.51711 .14016 L
.50841 .13892 L
.50021 .13784 L
.49168 .13681 L
.48364 .13593 L
.4761 .13519 L
.46843 .13453 L
s
.7 .18333 m
.69877 .18337 L
.69763 .1834 L
.69638 .18343 L
.69505 .18345 L
.69438 .18346 L
.69403 .18346 L
.69366 .18346 L
.69333 .18346 L
.69316 .18346 L
.69298 .18346 L
.69265 .18347 L
.69235 .18347 L
.69203 .18347 L
.69169 .18347 L
.69137 .18346 L
.69107 .18346 L
.69077 .18346 L
.6905 .18346 L
.6899 .18346 L
.68922 .18345 L
.6885 .18344 L
.68722 .18341 L
.68584 .18338 L
.68433 .18334 L
.68164 .18324 L
.67914 .18312 L
.67403 .18281 L
.66941 .18245 L
.65963 .18146 L
.65036 .18026 L
.64063 .17879 L
.63139 .1772 L
.6226 .17557 L
.61335 .17374 L
.60454 .17192 L
.59528 .16996 L
.58646 .16807 L
.57807 .16626 L
.56925 .16438 L
.56085 .16263 L
.55205 .16083 L
.54369 .15919 L
.53576 .1577 L
.52746 .15621 L
.51959 .15487 L
.51216 .15369 L
.50438 .15254 L
.49704 .15154 L
.48939 .15058 L
Mistroke
.48925 .15057 L
Mfstroke
.7 .2 m
.69793 .20008 L
.69674 .20012 L
.69567 .20014 L
.69453 .20017 L
.69395 .20018 L
.69332 .20018 L
.69274 .20019 L
.69249 .20019 L
.6922 .20019 L
.69194 .20019 L
.69169 .2002 L
.69143 .2002 L
.69115 .2002 L
.69099 .2002 L
.69084 .2002 L
.69068 .2002 L
.69052 .2002 L
.69024 .2002 L
.69008 .20019 L
.68993 .20019 L
.68929 .20019 L
.68896 .20019 L
.6886 .20018 L
.68736 .20016 L
.6862 .20014 L
.68403 .20008 L
.68172 .19999 L
.67703 .19975 L
.67264 .19943 L
.66436 .19864 L
.65568 .19755 L
.64743 .1963 L
.63958 .19494 L
.6313 .19336 L
.6234 .19173 L
.61508 .18992 L
.60712 .18811 L
.59954 .18635 L
.59153 .18445 L
.58388 .18263 L
.57582 .18073 L
.56813 .17893 L
.56081 .17724 L
.55309 .17551 L
.54575 .17392 L
.53877 .17246 L
.53143 .17099 L
.52447 .16966 L
.51717 .16834 L
Mistroke
.51053 .16722 L
Mfstroke
.7 .21667 m
.69821 .21676 L
.69626 .21684 L
.69528 .21687 L
.69423 .2169 L
.69325 .21692 L
.69236 .21694 L
.69185 .21694 L
.69157 .21695 L
.6913 .21695 L
.69106 .21695 L
.69084 .21695 L
.6906 .21695 L
.69046 .21695 L
.69033 .21695 L
.69019 .21695 L
.69007 .21695 L
.68992 .21695 L
.68979 .21695 L
.68955 .21695 L
.68941 .21695 L
.68928 .21695 L
.68902 .21695 L
.68873 .21695 L
.68843 .21695 L
.68814 .21695 L
.68714 .21693 L
.68624 .21692 L
.68519 .21689 L
.6842 .21687 L
.68235 .2168 L
.6804 .21671 L
.67691 .21651 L
.67326 .21624 L
.66984 .21592 L
.66269 .2151 L
.65517 .21402 L
.64799 .21281 L
.64115 .2115 L
.63391 .20999 L
.62699 .20843 L
.61968 .20668 L
.61268 .20494 L
.60597 .20323 L
.59887 .20137 L
.59207 .19958 L
.58556 .19785 L
.57868 .19603 L
.57209 .19431 L
.56513 .19252 L
Mistroke
.55847 .19084 L
.55213 .18927 L
.54543 .18767 L
.53904 .1862 L
.53233 .18472 L
.53229 .18471 L
Mfstroke
.7 .23333 m
.69848 .23344 L
.69683 .23354 L
.69509 .23362 L
.69352 .23368 L
.69262 .2337 L
.69178 .23372 L
.69088 .23374 L
.69038 .23374 L
.69016 .23375 L
.68992 .23375 L
.68971 .23375 L
.68952 .23375 L
.68933 .23375 L
.68915 .23375 L
.68894 .23375 L
.68874 .23375 L
.68853 .23375 L
.68841 .23375 L
.6883 .23375 L
.6882 .23375 L
.68808 .23375 L
.68788 .23375 L
.68766 .23375 L
.68742 .23375 L
.687 .23374 L
.6866 .23374 L
.68578 .23372 L
.6849 .23371 L
.6833 .23366 L
.68175 .2336 L
.68032 .23353 L
.67734 .23335 L
.67407 .2331 L
.66775 .23244 L
.66173 .23162 L
.65538 .23058 L
.6493 .22943 L
.64349 .2282 L
.63733 .22678 L
.63142 .22532 L
.62516 .22369 L
.61914 .22204 L
.61336 .22041 L
.60722 .21864 L
.60132 .2169 L
.59566 .21522 L
.58964 .21342 L
.58386 .2117 L
.57773 .20988 L
Mistroke
.57185 .20816 L
.56621 .20654 L
.56023 .20485 L
.55457 .20328 L
Mfstroke
.7 .25 m
.69738 .25023 L
.69464 .25042 L
.69321 .25049 L
.69189 .25054 L
.69115 .25056 L
.69044 .25058 L
.69006 .25059 L
.68964 .2506 L
.68929 .2506 L
.68891 .25061 L
.68856 .25061 L
.68825 .25061 L
.6881 .25061 L
.68794 .25061 L
.68778 .25061 L
.68764 .25061 L
.68755 .25061 L
.68745 .25061 L
.68728 .25061 L
.68712 .25061 L
.68696 .25061 L
.6868 .25061 L
.68661 .25061 L
.68624 .25061 L
.68588 .2506 L
.68554 .2506 L
.68479 .25059 L
.6841 .25057 L
.68344 .25055 L
.68217 .25051 L
.68081 .25044 L
.67839 .2503 L
.67585 .25011 L
.67347 .24989 L
.66847 .2493 L
.6632 .24852 L
.65815 .24762 L
.65331 .24664 L
.64818 .24547 L
.64325 .24425 L
.63801 .24285 L
.63296 .24142 L
.6281 .23997 L
.62292 .23837 L
.61793 .23678 L
.61312 .2352 L
.60798 .2335 L
.60303 .23184 L
.59776 .23005 L
Mistroke
.59268 .22832 L
.58778 .22666 L
.58256 .2249 L
.57753 .22322 L
.5774 .22317 L
Mfstroke
.7 .26667 m
.6979 .26693 L
.69571 .26715 L
.69351 .26733 L
.69226 .26741 L
.69113 .26747 L
.69004 .26752 L
.68903 .26755 L
.68847 .26756 L
.68795 .26757 L
.68766 .26758 L
.68739 .26758 L
.68711 .26758 L
.68696 .26758 L
.6868 .26758 L
.68672 .26758 L
.68665 .26758 L
.68653 .26758 L
.68639 .26759 L
.68631 .26759 L
.68624 .26759 L
.68612 .26759 L
.68599 .26758 L
.68585 .26758 L
.68573 .26758 L
.68543 .26758 L
.68516 .26758 L
.68485 .26758 L
.68456 .26757 L
.68355 .26755 L
.68298 .26753 L
.68245 .26752 L
.6805 .26743 L
.67836 .26729 L
.67636 .26713 L
.67422 .26691 L
.67001 .26638 L
.66597 .26574 L
.6621 .26501 L
.65799 .26412 L
.65404 .26317 L
.64983 .26205 L
.64577 .26089 L
.64185 .25969 L
.63767 .25834 L
.63362 .25698 L
.62971 .25561 L
.62553 .2541 L
.62147 .2526 L
.61714 .25097 L
Mistroke
.61294 .24936 L
.60887 .24778 L
.60452 .24609 L
.60079 .24463 L
Mfstroke
.7 .28333 m
.69674 .28389 L
.69507 .28413 L
.69326 .28434 L
.69157 .2845 L
.69005 .28461 L
.68848 .28469 L
.68762 .28473 L
.68724 .28474 L
.68681 .28475 L
.68642 .28476 L
.68605 .28476 L
.68584 .28476 L
.68566 .28477 L
.68555 .28477 L
.68544 .28477 L
.68533 .28477 L
.68524 .28477 L
.68515 .28477 L
.68505 .28477 L
.68495 .28477 L
.68487 .28477 L
.68479 .28477 L
.68471 .28477 L
.68462 .28477 L
.68453 .28477 L
.68435 .28477 L
.68417 .28476 L
.68379 .28476 L
.68341 .28475 L
.68301 .28474 L
.6823 .28472 L
.68153 .28469 L
.68068 .28465 L
.67918 .28456 L
.67758 .28442 L
.67442 .28408 L
.67139 .28364 L
.66849 .28313 L
.6654 .28249 L
.66242 .28179 L
.65925 .28095 L
.65618 .28007 L
.65321 .27914 L
.65004 .27808 L
.64696 .27699 L
.64398 .27589 L
.64078 .27465 L
.63766 .27341 L
.63432 .27203 L
Mistroke
.63107 .27065 L
.62791 .26928 L
.62474 .26789 L
Mfstroke
.7 .3 m
.69772 .30063 L
.6953 .3012 L
.69307 .30163 L
.69097 .30196 L
.68982 .3021 L
.68878 .30221 L
.68769 .3023 L
.6867 .30237 L
.68621 .30239 L
.68568 .30241 L
.68515 .30243 L
.68486 .30244 L
.68459 .30244 L
.68433 .30245 L
.68419 .30245 L
.68412 .30245 L
.68405 .30245 L
.68399 .30245 L
.68392 .30245 L
.68386 .30245 L
.6838 .30245 L
.68374 .30245 L
.68367 .30245 L
.68364 .30245 L
.6836 .30245 L
.68353 .30245 L
.68347 .30245 L
.68341 .30245 L
.68327 .30245 L
.68316 .30245 L
.68303 .30244 L
.68281 .30244 L
.68257 .30244 L
.68205 .30242 L
.68157 .30241 L
.68049 .30235 L
.67952 .30229 L
.67846 .30219 L
.67638 .30196 L
.67439 .30166 L
.67227 .30127 L
.67022 .30082 L
.66825 .30033 L
.66614 .29975 L
.6641 .29912 L
.66212 .29847 L
.66 .29771 L
.65793 .29693 L
.65571 .29604 L
Mistroke
.65354 .29513 L
.65143 .2942 L
.64921 .29319 L
Mfstroke
.7 .31667 m
.69866 .31736 L
.69725 .31806 L
.69597 .31865 L
.69477 .31917 L
.69354 .31966 L
.69239 .32009 L
.6912 .32048 L
.69008 .32082 L
.68903 .3211 L
.68793 .32135 L
.6869 .32155 L
.68592 .32171 L
.68538 .32178 L
.68489 .32183 L
.68438 .32188 L
.68392 .32191 L
.68344 .32194 L
.68319 .32195 L
.68305 .32196 L
.68293 .32196 L
.6828 .32196 L
.68267 .32197 L
.68254 .32197 L
.68246 .32197 L
.68243 .32197 L
.6824 .32197 L
.68236 .32197 L
.68233 .32197 L
.6823 .32197 L
.68227 .32197 L
.68224 .32197 L
.68222 .32197 L
.68219 .32197 L
.68216 .32197 L
.68212 .32197 L
.68209 .32197 L
.68205 .32197 L
.68202 .32197 L
.6819 .32197 L
.68183 .32197 L
.68177 .32197 L
.68164 .32196 L
.6814 .32196 L
.68117 .32195 L
.68094 .32194 L
.68046 .32191 L
.68001 .32188 L
.67907 .32178 L
.67806 .32164 L
Mistroke
.67709 .32147 L
.67616 .32127 L
.67516 .32103 L
.67419 .32076 L
.67416 .32075 L
Mfstroke
.7 .33333 m
.69955 .3341 L
.6991 .33492 L
.69873 .33566 L
.69841 .33637 L
.69811 .33711 L
.69786 .33781 L
.69763 .33854 L
.69745 .33924 L
.69731 .33991 L
.69726 .34025 L
.69721 .34062 L
.69717 .34097 L
.69714 .3413 L
.69713 .34146 L
.69712 .34163 L
.69711 .34173 L
.69711 .34182 L
.69711 .34191 L
.69711 .34199 L
.6971 .34208 L
.6971 .34213 L
.6971 .34215 L
.6971 .34218 L
.6971 .3422 L
.6971 .34222 L
.6971 .34224 L
.6971 .34226 L
.6971 .34228 L
.6971 .3423 L
.6971 .34232 L
.6971 .34234 L
.6971 .34235 L
.6971 .34239 L
.6971 .34243 L
.69711 .34247 L
.69711 .34251 L
.69711 .34259 L
.69711 .34267 L
.69712 .34285 L
.69712 .34301 L
.69715 .34337 L
.69718 .34371 L
.69723 .34407 L
.69734 .3448 L
.69749 .3455 L
.69766 .34618 L
.69788 .34693 L
.69813 .34765 L
.69843 .34844 L
Mistroke
.69876 .34922 L
.69912 .34998 L
.6995 .35076 L
Mfstroke
.7 .35 m
.70039 .35083 L
.70087 .35177 L
.70136 .35267 L
.70187 .35357 L
.70247 .35455 L
.70308 .35553 L
.70379 .35661 L
.70453 .35769 L
.70529 .35877 L
.70615 .35997 L
.70703 .36116 L
.70794 .36237 L
.70897 .3637 L
.71002 .36505 L
.71121 .36654 L
.71242 .36806 L
.71366 .36958 L
.71506 .37129 L
.71649 .37302 L
.7181 .37496 L
.71975 .37693 L
.72142 .37894 L
.72331 .38119 L
.72514 .38336 L
s
.7 .36667 m
.70119 .36757 L
.70254 .36862 L
.70386 .36967 L
.70517 .37076 L
.70662 .37199 L
.70807 .37325 L
.70968 .37468 L
.7113 .37615 L
.71293 .37766 L
.71474 .37937 L
.71656 .38113 L
.71839 .38292 L
.72044 .38496 L
.7225 .38705 L
.7248 .38943 L
.72714 .39187 L
.72949 .39438 L
.73214 .39723 L
.73482 .40017 L
.73783 .40352 L
.7409 .40699 L
.74401 .41056 L
.74752 .41465 L
.75091 .41866 L
s
.7 .38333 m
.70195 .3843 L
.70412 .38546 L
.70622 .38667 L
.70829 .38794 L
.71056 .38941 L
.71282 .39096 L
.7153 .39275 L
.71777 .39462 L
.72024 .39657 L
.72297 .39882 L
.7257 .40116 L
.72844 .40359 L
.73148 .40639 L
.73455 .4093 L
.73796 .41264 L
.74141 .41612 L
.7449 .41974 L
.7488 .42391 L
.75277 .42826 L
.75721 .43327 L
.76175 .43852 L
.76638 .444 L
.77159 .45034 L
.77665 .45665 L
s
.7 .4 m
.70266 .40103 L
.70561 .40231 L
.70845 .40366 L
.71124 .40511 L
.71429 .40682 L
.71731 .40865 L
.72062 .4108 L
.72392 .41308 L
.7272 .41548 L
.73082 .41829 L
.73444 .42124 L
.73806 .42434 L
.74208 .42795 L
.74613 .43173 L
.75064 .43612 L
.7552 .44075 L
.75981 .4456 L
.76498 .45124 L
.77023 .45718 L
.77614 .4641 L
.78218 .47142 L
.78835 .47915 L
.79534 .48819 L
.80213 .49727 L
s
.7 .41667 m
.70332 .41776 L
.707 .41914 L
.71054 .42064 L
.71401 .42227 L
.7178 .42422 L
.72155 .42632 L
.72565 .42883 L
.72974 .43152 L
.73379 .43438 L
.73827 .43775 L
.74275 .44134 L
.74723 .44514 L
.7522 .44959 L
.75721 .45429 L
.76279 .45981 L
.76844 .46567 L
.77416 .47186 L
.78058 .47912 L
.78712 .48682 L
.79449 .49588 L
.80204 .50555 L
.80977 .51585 L
.81855 .52799 L
.82711 .54032 L
s
.7 .43333 m
.70393 .43449 L
.7083 .43598 L
.71249 .43761 L
.7166 .43941 L
.72109 .44159 L
.72553 .44397 L
.73039 .44683 L
.73522 .44993 L
.74002 .45325 L
.74531 .4572 L
.75061 .46143 L
.75592 .46594 L
.76181 .47126 L
.76774 .47693 L
.77436 .48363 L
.78107 .49079 L
.78787 .49841 L
.79552 .50741 L
.80332 .51703 L
.81213 .52842 L
.82117 .54069 L
.83045 .55384 L
.841 .56949 L
.8513 .5855 L
s
.7 .45 m
.7045 .45122 L
.7095 .45281 L
.7143 .45457 L
.71902 .45654 L
.72416 .45895 L
.72924 .46159 L
.73481 .4648 L
.74035 .4683 L
.74585 .47208 L
.75193 .4766 L
.75801 .48148 L
.7641 .48671 L
.77087 .49292 L
.77769 .49959 L
.78531 .5075 L
.79305 .51601 L
.80089 .52513 L
.80972 .53597 L
.81874 .54763 L
.82894 .56152 L
.83943 .57658 L
.85019 .59284 L
.86244 .61232 L
.87443 .63237 L
s
.7 .46667 m
.70502 .46794 L
.71061 .46963 L
.71597 .47153 L
.72124 .47365 L
.727 .47627 L
.73269 .47918 L
.73892 .48272 L
.74512 .48661 L
.75129 .49085 L
.7581 .49593 L
.76493 .50146 L
.77176 .50741 L
.77936 .51452 L
.78703 .52218 L
.7956 .53133 L
.8043 .54123 L
.81314 .5519 L
.82309 .56463 L
.83327 .57841 L
.84479 .59492 L
.85664 .61293 L
.86881 .63247 L
.88266 .65601 L
.89619 .68038 L
s
.7 .48333 m
.7055 .48467 L
.71162 .48645 L
.7175 .48847 L
.72329 .49075 L
.7296 .49357 L
.73586 .49673 L
.74271 .50059 L
.74953 .50486 L
.75632 .50954 L
.76382 .51518 L
.77134 .52133 L
.77887 .528 L
.78725 .53599 L
.79571 .54465 L
.80517 .55504 L
.81479 .56634 L
.82455 .57856 L
.83556 .59322 L
.84682 .60916 L
.85956 .62836 L
.87267 .64938 L
.88612 .67231 L
.9014 .70004 L
.91631 .72888 L
s
.7 .5 m
.70593 .50139 L
.71253 .50327 L
.71888 .5054 L
.72514 .50782 L
.73198 .51085 L
.73875 .51424 L
.74617 .51841 L
.75356 .52304 L
.76093 .52813 L
.76907 .53431 L
.77723 .54108 L
.78541 .54843 L
.79452 .55729 L
.80371 .56693 L
.81399 .57854 L
.82445 .59121 L
.83507 .60498 L
.84705 .62155 L
.85929 .63965 L
.87313 .66152 L
.88737 .68557 L
.90195 .71189 L
.91847 .74383 L
.93452 .77713 L
s
.7 .51667 m
.70631 .51812 L
.71335 .52008 L
.72012 .52232 L
.7268 .52488 L
.73411 .52809 L
.74135 .5317 L
.74929 .53616 L
.75721 .54114 L
.76511 .54663 L
.77383 .55331 L
.78258 .56066 L
.79135 .56868 L
.80112 .57836 L
.81099 .58894 L
.82202 .60173 L
.83324 .61574 L
.84464 .631 L
.85748 .64943 L
.87059 .66963 L
.88541 .69411 L
.90062 .72111 L
.91615 .75072 L
.93369 .78674 L
.95062 .82435 L
s
.7 .53333 m
.70664 .53484 L
.71406 .53688 L
.72122 .53923 L
.72828 .54191 L
.736 .54529 L
.74367 .54911 L
.75208 .55384 L
.76047 .55914 L
.76884 .56499 L
.77809 .57215 L
.78737 .58005 L
.79668 .58869 L
.80705 .59915 L
.81751 .61062 L
.82922 .62452 L
.84112 .63979 L
.8532 .65647 L
.8668 .67668 L
.88067 .69886 L
.89631 .72582 L
.91232 .75561 L
.92861 .78833 L
.9469 .82816 L
.96444 .86975 L
s
.7 .55 m
.70693 .55156 L
.71468 .55368 L
.72216 .55612 L
.72955 .55893 L
.73765 .56246 L
.74569 .56646 L
.75451 .57144 L
.76333 .57703 L
.77212 .58323 L
.78184 .59082 L
.79159 .59922 L
.80137 .60843 L
.81227 .61962 L
.82326 .6319 L
.83556 .64683 L
.84805 .66327 L
.86071 .68126 L
.87494 .7031 L
.88944 .72712 L
.90575 .75635 L
.92237 .78868 L
.93922 .82422 L
.95801 .86748 L
.97588 .9126 L
s
.7 .56667 m
.70717 .56828 L
.7152 .57048 L
.72296 .57301 L
.73063 .57592 L
.73905 .57959 L
.74741 .58376 L
.75659 .58896 L
.76577 .59481 L
.77493 .60132 L
.78505 .60929 L
.79522 .61814 L
.80541 .62787 L
.81676 .6397 L
.82821 .65272 L
.841 .66857 L
.85398 .68606 L
.86712 .70522 L
.88187 .72852 L
.89686 .75417 L
.91367 .78541 L
.93073 .81997 L
.94793 .85795 L
.96696 .90414 L
.98488 .95222 L
s
.7 .58333 m
.70736 .585 L
.71562 .58727 L
.72361 .58988 L
.73151 .59288 L
.74019 .59668 L
.74882 .60101 L
.75831 .6064 L
.7678 .61248 L
.77726 .61924 L
.78773 .62756 L
.79824 .6368 L
.80877 .64697 L
.8205 .65936 L
.83232 .67302 L
.84551 .68967 L
.85888 .70805 L
.8724 .72823 L
.88754 .75277 L
.90288 .77981 L
.92002 .81274 L
.93734 .84916 L
.95469 .88914 L
.97374 .93767 L
.99146 .98804 L
s
.7 .6 m
.70751 .60172 L
.71594 .60405 L
.7241 .60673 L
.73219 .60982 L
.74108 .61374 L
.74993 .61818 L
.75966 .62374 L
.76939 .63001 L
.77911 .637 L
.78985 .6456 L
.80064 .65516 L
.81144 .6657 L
.82346 .67856 L
.83557 .69275 L
.84907 .71005 L
.86274 .72918 L
.87652 .75018 L
.89192 .77572 L
.90748 .80386 L
.92479 .83813 L
.9422 .87598 L
.95951 .91746 L
.97835 .96768 L
s
.97835 .96768 m
.98913 1 L
s
.7 .61667 m
.7076 .61843 L
.71615 .62083 L
.72444 .62358 L
.73267 .62674 L
.74171 .63075 L
.75072 .6353 L
.76064 .64099 L
.77055 .64741 L
.78045 .65458 L
.79141 .6634 L
.8024 .67322 L
.81341 .68405 L
.82564 .69727 L
.83795 .71186 L
.85166 .72966 L
.86551 .74935 L
.87945 .77096 L
.89499 .79724 L
.91063 .82618 L
.92796 .86138 L
.94529 .9002 L
.9624 .94265 L
.98086 .99388 L
s
.98086 .99388 m
.9828 1 L
s
.7 .63333 m
.70765 .63515 L
.71627 .6376 L
.72463 .64041 L
.73294 .64363 L
.74208 .64771 L
.75119 .65235 L
.76123 .65814 L
.77127 .66468 L
.78129 .67197 L
.79238 .68095 L
.80351 .69095 L
.81464 .70198 L
.827 .71545 L
.83943 .73031 L
.85325 .74845 L
.86718 .7685 L
.88118 .7905 L
.89673 .81724 L
.91232 .84665 L
.92953 .88236 L
.94662 .92166 L
.9634 .96453 L
s
.9634 .96453 m
.97573 1 L
s
.7 .65 m
.70765 .65186 L
.71628 .65436 L
.72467 .65722 L
.733 .6605 L
.74218 .66464 L
.75134 .66933 L
.76143 .67519 L
.77153 .6818 L
.78161 .68917 L
.79277 .69825 L
.80395 .70835 L
.81513 .71948 L
.82754 .73308 L
.84 .74808 L
.85382 .76638 L
.86774 .78659 L
.88168 .80875 L
.89712 .83564 L
.91255 .86518 L
.92949 .90097 L
.94623 .94027 L
.96254 .983 L
s
.96254 .983 m
.96827 1 L
s
.7 .66667 m
.7076 .66858 L
.71619 .67113 L
.72454 .67403 L
.73285 .67734 L
.74201 .68151 L
.75116 .68624 L
.76124 .69214 L
.77133 .69878 L
.7814 .70618 L
.79254 .71528 L
.8037 .7254 L
.81486 .73655 L
.82723 .75015 L
.83963 .76515 L
.85336 .78342 L
.86715 .80358 L
.88093 .82566 L
.89615 .85241 L
.9113 .88173 L
.92786 .91718 L
.94412 .95598 L
.95987 .99804 L
s
.95987 .99804 m
.96052 1 L
s
.7 .68333 m
.70751 .68529 L
.71599 .68788 L
.72426 .69081 L
.73249 .69416 L
.74157 .69835 L
.75064 .70309 L
.76064 .70898 L
.77065 .71561 L
.78065 .72298 L
.7917 .73204 L
.80277 .7421 L
.81382 .75317 L
.82605 .76665 L
.8383 .7815 L
.85185 .79957 L
.86541 .81947 L
.87893 .84122 L
.89382 .86753 L
.90858 .89629 L
.92464 .93097 L
.94034 .96882 L
s
.94034 .96882 m
.95186 1 L
s
.7 .7 m
.70736 .702 L
.71569 .70463 L
.72382 .70759 L
.73191 .71094 L
.74085 .71514 L
.74978 .71986 L
.75963 .72572 L
.7695 .7323 L
.77934 .73959 L
.79023 .74853 L
.80111 .75845 L
.81198 .76934 L
.824 .78259 L
.836 .79714 L
.84926 .81482 L
.8625 .83425 L
.87567 .85545 L
.89011 .88101 L
.90439 .90889 L
.91986 .94241 L
.9349 .97887 L
s
.9349 .97887 m
.94266 1 L
s
.7 .71667 m
.70717 .71871 L
.71529 .72137 L
.72321 .72435 L
.73112 .72771 L
.73985 .73188 L
.74858 .73657 L
.75821 .74236 L
.76785 .74884 L
.77748 .756 L
.78811 .76476 L
.79874 .77445 L
.80934 .78507 L
.82104 .79796 L
.83272 .81208 L
.84558 .82919 L
.8584 .84796 L
.87112 .86837 L
.88503 .89292 L
.89872 .91961 L
.9135 .95159 L
.92782 .98625 L
s
.92782 .98625 m
.93286 1 L
s
.7 .73333 m
.70693 .73542 L
.71478 .73811 L
.72245 .7411 L
.73011 .74444 L
.73857 .74859 L
.74702 .75321 L
.75636 .7589 L
.7657 .76523 L
.77503 .77222 L
.78533 .78073 L
.79562 .79012 L
.80586 .80037 L
.81716 .81278 L
.82842 .82634 L
.84079 .84272 L
.8531 .86063 L
.86527 .88004 L
.87854 .90332 L
.89157 .92854 L
.90558 .95864 L
.9191 .99114 L
s
.9191 .99114 m
.92237 1 L
s
.7 .75 m
.70663 .75212 L
.71416 .75484 L
.72152 .75783 L
.72887 .76116 L
.73699 .76525 L
.74511 .76978 L
.75408 .77534 L
.76305 .78149 L
.772 .78825 L
.78188 .79645 L
.79174 .80546 L
.80154 .81526 L
.81235 .82708 L
.82309 .83996 L
.83487 .85545 L
.84656 .87232 L
.8581 .89055 L
.87064 .91232 L
.88291 .93581 L
.89607 .96375 L
.90872 .99378 L
s
.90872 .99378 m
.91105 1 L
s
.7 .76667 m
.70629 .76883 L
.71344 .77157 L
.72043 .77455 L
.72741 .77784 L
.73512 .78186 L
.74284 .78629 L
.75135 .79168 L
.75987 .79762 L
.76837 .8041 L
.77774 .81194 L
.78708 .82049 L
.79636 .82977 L
.80657 .8409 L
.8167 .85297 L
.82779 .86743 L
.83877 .88312 L
.84958 .89999 L
.8613 .92005 L
.87273 .94161 L
.88495 .96713 L
.89667 .99444 L
s
.89667 .99444 m
.8988 1 L
s
.7 .78333 m
.7059 .78553 L
.71261 .78829 L
.71916 .79126 L
.72571 .79451 L
.73296 .79844 L
.74019 .80274 L
.74818 .80794 L
.75617 .81362 L
.76413 .81979 L
.77289 .8272 L
.78163 .83524 L
.79029 .84391 L
.7998 .85427 L
.80923 .86544 L
.81953 .87875 L
.8297 .89311 L
.83968 .90849 L
.85047 .92668 L
.86098 .94612 L
.87218 .96903 L
.8829 .99342 L
s
.8829 .99342 m
.88549 1 L
s
.7 .8 m
.70546 .80224 L
.71167 .805 L
.71774 .80795 L
.72379 .81115 L
.73049 .81498 L
.73718 .81913 L
.74456 .82411 L
.75193 .8295 L
.75926 .83532 L
.76733 .84225 L
.77536 .84973 L
.78331 .85774 L
.79203 .86724 L
.80064 .87743 L
.81004 .88949 L
.81929 .90243 L
.82835 .91619 L
.83813 .93238 L
.84761 .94959 L
.8577 .96974 L
.86734 .99108 L
s
.86734 .99108 m
.87096 1 L
s
.7 .81667 m
.70497 .81894 L
.71062 .82171 L
.71614 .82464 L
.72164 .82777 L
.72772 .83148 L
.73378 .83547 L
.74046 .8402 L
.74713 .84528 L
.75375 .85071 L
.76103 .85713 L
.76825 .86399 L
.7754 .87129 L
.78321 .87988 L
.79091 .88902 L
.79929 .89976 L
.80752 .91119 L
.81555 .92326 L
.82419 .93737 L
.83256 .95226 L
.84143 .96958 L
.84989 .9878 L
s
.84989 .9878 m
.855 1 L
s
.7 .83333 m
.70444 .83564 L
.70946 .83842 L
.71437 .84131 L
.71925 .84436 L
.72464 .84795 L
.73 .85175 L
.7359 .85622 L
.74177 .86096 L
.74759 .86598 L
.75397 .87185 L
.76029 .87806 L
.76652 .88461 L
.77331 .89224 L
.77999 .90029 L
.78723 .90966 L
.79431 .91955 L
.80121 .9299 L
.8086 .94189 L
.81573 .95444 L
.82326 .96891 L
.83043 .98402 L
.83716 .99965 L
s
.83716 .99965 m
.83729 1 L
s
.7 .85 m
.70385 .85234 L
.7082 .85512 L
.71242 .85797 L
.71662 .86094 L
.72124 .86439 L
.72583 .86799 L
.73085 .87217 L
.73583 .87656 L
.74076 .88114 L
.74613 .88644 L
.75143 .89198 L
.75664 .89775 L
.76229 .90441 L
.76783 .91135 L
.7738 .91934 L
.77961 .92767 L
.78524 .9363 L
.79124 .94619 L
.79701 .95643 L
.80306 .96812 L
.80879 .98019 L
.81415 .99257 L
s
.81415 .99257 m
.81705 1 L
s
.7 .86667 m
.70321 .86904 L
.70682 .87181 L
.71031 .87461 L
.71376 .8775 L
.71753 .88079 L
.72125 .88419 L
.72531 .88807 L
.7293 .89208 L
.73323 .89622 L
.73749 .90093 L
.74166 .90579 L
.74573 .91078 L
.75012 .91646 L
.75438 .92229 L
.75894 .92892 L
.76334 .93572 L
.76756 .94268 L
.77202 .95055 L
.77625 .95858 L
.78066 .96762 L
.78478 .97683 L
.78859 .98615 L
.79242 .99656 L
s
.79242 .99656 m
.79356 1 L
s
.7 .88333 m
.70252 .88573 L
.70533 .8885 L
.70801 .89125 L
.71064 .89404 L
.71349 .89717 L
.71627 .90036 L
.71926 .90393 L
.72217 .90756 L
.725 .91124 L
.72803 .91536 L
.73095 .91954 L
.73376 .92376 L
.73673 .92848 L
.73958 .93325 L
.74257 .93856 L
.74539 .94391 L
.74804 .94929 L
.75078 .95526 L
.7533 .96125 L
.75585 .96785 L
.75814 .97445 L
.76017 .98102 L
.76211 .9882 L
.76365 .99495 L
s
.7 .9 m
.70178 .90243 L
.70372 .90519 L
.70554 .90788 L
.70729 .91057 L
.70913 .91353 L
.71087 .91649 L
.7127 .91975 L
.71443 .923 L
.71604 .92622 L
.71771 .92977 L
.71925 .93329 L
.72066 .93676 L
.72208 .94057 L
.72336 .94432 L
.72459 .94841 L
.72566 .95244 L
.72655 .95638 L
.72735 .96065 L
.72794 .96481 L
.72818 .96711 L
.72828 .96817 L
.72836 .96929 L
.72843 .97032 L
.72849 .97146 L
.72851 .97196 L
.72853 .9725 L
.72854 .97297 L
.72855 .97347 L
.72856 .97374 L
.72856 .97404 L
.72856 .97418 L
.72856 .97432 L
.72856 .97445 L
.72857 .97458 L
.72857 .97472 L
.72857 .9748 L
.72857 .97488 L
.72857 .97497 L
.72857 .97505 L
.72857 .97512 L
.72857 .9752 L
.72857 .97527 L
.72857 .97535 L
.72857 .9755 L
.72856 .97565 L
.72856 .97578 L
.72856 .97606 L
.72856 .97633 L
.72855 .97684 L
Mistroke
.72853 .97738 L
.72851 .97797 L
.72846 .9791 L
.7284 .98012 L
.7282 .98241 L
.72798 .98431 L
.72768 .98637 L
Mfstroke
.7 .91667 m
.70099 .91913 L
.70201 .92187 L
.7029 .9245 L
.70368 .92708 L
.70443 .92987 L
.70506 .9326 L
.70562 .93554 L
.70605 .93841 L
.7062 .93974 L
.70634 .9412 L
.70644 .94265 L
.70648 .94344 L
.70651 .94419 L
.70652 .94455 L
.70653 .94495 L
.70654 .94513 L
.70654 .94532 L
.70654 .9455 L
.70654 .94567 L
.70654 .94576 L
.70654 .94585 L
.70654 .94592 L
.70654 .94601 L
.70654 .9461 L
.70654 .94615 L
.70654 .9462 L
.70654 .94629 L
.70654 .94637 L
.70654 .94645 L
.70654 .94654 L
.70654 .94669 L
.70654 .94685 L
.70654 .94703 L
.70653 .94739 L
.70652 .94777 L
.70649 .94845 L
.70645 .94919 L
.7064 .94999 L
.70627 .95143 L
.70608 .95297 L
.70584 .95453 L
.70556 .956 L
.70488 .9588 L
.70393 .96173 L
.70279 .96451 L
.70146 .96713 L
.69978 .96986 L
.69788 .97241 L
.69555 .97502 L
Mistroke
.69298 .97743 L
.69019 .97964 L
.68711 .98171 L
Mfstroke
.71667 .08333 m
.71433 .08344 L
.71217 .08352 L
.70961 .0836 L
.70729 .08366 L
.70612 .08369 L
.70486 .08371 L
.70377 .08373 L
.70258 .08374 L
.70131 .08375 L
.70062 .08375 L
.70029 .08376 L
.69997 .08376 L
.69937 .08376 L
.69882 .08376 L
.69823 .08376 L
.69789 .08376 L
.69758 .08376 L
.69726 .08376 L
.69692 .08376 L
.6963 .08375 L
.69564 .08375 L
.69492 .08374 L
.69363 .08373 L
.69242 .08371 L
.69018 .08368 L
.68778 .08362 L
.68239 .08345 L
.67752 .08325 L
.66867 .08276 L
.65918 .08208 L
.64095 .08041 L
.62388 .0785 L
.60788 .0765 L
.59128 .0743 L
.57571 .0722 L
.55959 .07005 L
.54448 .06811 L
.53036 .06641 L
.51575 .06477 L
.50211 .0634 L
.48807 .06214 L
.47499 .06112 L
.46282 .0603 L
.45032 .05958 L
.43871 .05902 L
.42793 .05857 L
.41686 .05816 L
.4066 .05781 L
.39609 .05744 L
Mistroke
.38634 .05705 L
.3773 .05663 L
Mfstroke
.71667 .1 m
.71254 .1002 L
.70805 .10036 L
.7058 .10042 L
.70457 .10045 L
.70341 .10047 L
.70233 .10048 L
.70117 .1005 L
.70065 .1005 L
.70011 .10051 L
.69964 .10051 L
.69913 .10051 L
.69882 .10051 L
.69854 .10051 L
.69797 .10051 L
.69746 .10052 L
.69691 .10051 L
.6966 .10051 L
.69627 .10051 L
.69595 .10051 L
.69566 .10051 L
.69508 .10051 L
.69454 .1005 L
.69354 .10049 L
.69246 .10048 L
.69027 .10045 L
.68783 .10039 L
.68562 .10033 L
.68067 .10016 L
.67251 .09975 L
.66376 .09916 L
.64694 .09766 L
.63115 .09589 L
.61633 .094 L
.60091 .09187 L
.58642 .0898 L
.57137 .08764 L
.55724 .08564 L
.54397 .08383 L
.53021 .08206 L
.51732 .08053 L
.50401 .07909 L
.49156 .07788 L
.47994 .07689 L
.46796 .07599 L
.4568 .07528 L
.44642 .07471 L
.43572 .07422 L
.42578 .07382 L
.41558 .07345 L
Mistroke
.4061 .07314 L
.3973 .07284 L
Mfstroke
.71667 .11667 m
.71289 .11688 L
.70879 .11706 L
.70674 .11713 L
.70455 .11719 L
.7025 .11724 L
.70064 .11726 L
.69957 .11728 L
.69903 .11728 L
.69844 .11728 L
.69793 .11729 L
.69765 .11729 L
.69739 .11729 L
.69689 .11729 L
.69642 .11729 L
.69613 .11729 L
.69587 .11729 L
.69557 .11729 L
.69529 .11729 L
.69478 .11729 L
.69424 .11728 L
.69364 .11728 L
.69301 .11727 L
.69188 .11726 L
.68986 .11723 L
.68798 .11719 L
.68374 .11707 L
.67963 .1169 L
.67576 .11671 L
.66859 .11627 L
.65405 .11505 L
.63895 .11339 L
.62474 .11157 L
.61136 .10967 L
.59741 .10758 L
.58426 .10556 L
.57058 .10345 L
.55769 .10149 L
.54557 .09972 L
.53298 .09797 L
.52114 .09644 L
.50889 .09498 L
.49741 .09374 L
.48666 .09271 L
.47556 .09176 L
.46518 .09099 L
.4555 .09037 L
.44551 .08983 L
.43621 .08939 L
.42663 .08901 L
Mistroke
.41772 .0887 L
.41753 .08869 L
Mfstroke
.71667 .13333 m
.71324 .13356 L
.70951 .13376 L
.70765 .13384 L
.70566 .13392 L
.7038 .13397 L
.7021 .13402 L
.70008 .13405 L
.69902 .13407 L
.69849 .13407 L
.69791 .13408 L
.6974 .13408 L
.69694 .13408 L
.69648 .13409 L
.69603 .13409 L
.69579 .13409 L
.69552 .13409 L
.69505 .13409 L
.69476 .13409 L
.69449 .13409 L
.69425 .13409 L
.69398 .13408 L
.69352 .13408 L
.6931 .13408 L
.69213 .13407 L
.69119 .13406 L
.69018 .13405 L
.68837 .13401 L
.68671 .13397 L
.68316 .13386 L
.6799 .13373 L
.67259 .13333 L
.66609 .13286 L
.65901 .13225 L
.64541 .13079 L
.6326 .12914 L
.61924 .1272 L
.60663 .12522 L
.59471 .12328 L
.58226 .12121 L
.57051 .11925 L
.55826 .11725 L
.5467 .11543 L
.53582 .1138 L
.52449 .11219 L
.51384 .1108 L
.50383 .10959 L
.49345 .10845 L
.48371 .10749 L
.47363 .10662 L
Mistroke
.46421 .10591 L
.4554 .10533 L
.44629 .10482 L
.43809 .10443 L
Mfstroke
.71667 .15 m
.71357 .15024 L
.71021 .15046 L
.70673 .15064 L
.70351 .15077 L
.70168 .15082 L
.69995 .15086 L
.69841 .15089 L
.69754 .1509 L
.69674 .15091 L
.69633 .15091 L
.69588 .15091 L
.69547 .15091 L
.69508 .15092 L
.69485 .15092 L
.69464 .15092 L
.6944 .15092 L
.69415 .15092 L
.69391 .15092 L
.69369 .15092 L
.69327 .15091 L
.69305 .15091 L
.69282 .15091 L
.69235 .15091 L
.69151 .1509 L
.69052 .15089 L
.68961 .15088 L
.68799 .15085 L
.68622 .15081 L
.68304 .15071 L
.67996 .15058 L
.67712 .15043 L
.66481 .14956 L
.65322 .14839 L
.6411 .14687 L
.62965 .14521 L
.61768 .1433 L
.60634 .14136 L
.59561 .13946 L
.58436 .13743 L
.57372 .13551 L
.5626 .13353 L
.55208 .13171 L
.54214 .13006 L
.53177 .12841 L
.52199 .12696 L
.51277 .12568 L
.50318 .12445 L
.49415 .12339 L
.48479 .12241 L
Mistroke
.47601 .12159 L
.46777 .12091 L
.45924 .12029 L
.45903 .12028 L
Mfstroke
.71667 .16667 m
.7139 .16692 L
.71088 .16716 L
.70773 .16737 L
.70488 .16752 L
.70173 .16764 L
.70001 .1677 L
.69838 .16773 L
.69766 .16775 L
.69689 .16776 L
.69623 .16777 L
.69551 .16778 L
.69511 .16778 L
.69475 .16778 L
.69438 .16778 L
.69404 .16778 L
.69384 .16779 L
.69364 .16779 L
.69326 .16779 L
.69303 .16779 L
.69282 .16779 L
.69263 .16779 L
.69242 .16778 L
.69206 .16778 L
.69173 .16778 L
.69099 .16778 L
.6903 .16777 L
.68966 .16776 L
.68821 .16774 L
.68664 .16771 L
.6835 .16761 L
.68061 .16749 L
.67533 .16721 L
.66956 .1668 L
.65848 .16574 L
.64799 .16445 L
.63702 .16286 L
.62662 .16116 L
.61675 .15941 L
.60639 .15747 L
.59655 .15557 L
.58624 .15355 L
.57644 .15162 L
.56714 .1498 L
.5574 .14794 L
.54817 .14623 L
.53943 .14468 L
.53028 .14313 L
.52164 .14175 L
.51263 .1404 L
Mistroke
.50412 .13923 L
.49611 .13821 L
.48777 .13725 L
.48042 .13648 L
Mfstroke
.71667 .18333 m
.71154 .18386 L
.70621 .18427 L
.70345 .18443 L
.70089 .18454 L
.69945 .18459 L
.6981 .18463 L
.69655 .18467 L
.69582 .18468 L
.69514 .18469 L
.69452 .1847 L
.69395 .1847 L
.69365 .1847 L
.69332 .18471 L
.69314 .18471 L
.69297 .18471 L
.69264 .18471 L
.69247 .18471 L
.69229 .18471 L
.69197 .18471 L
.69165 .18471 L
.69136 .18471 L
.69104 .18471 L
.6907 .18471 L
.69034 .1847 L
.69 .1847 L
.68881 .18469 L
.68773 .18467 L
.68648 .18464 L
.6853 .18461 L
.68287 .18453 L
.68029 .18442 L
.6757 .18417 L
.67088 .18381 L
.6664 .18342 L
.65704 .18238 L
.64722 .18104 L
.6379 .17955 L
.62904 .17798 L
.61972 .1762 L
.61085 .17441 L
.60152 .17245 L
.59264 .17054 L
.58418 .16871 L
.57528 .16679 L
.56681 .16498 L
.55876 .16329 L
.55031 .16157 L
.54228 .15999 L
.53387 .15841 L
Mistroke
.52589 .15699 L
.51835 .15572 L
.51045 .15447 L
.50299 .15338 L
.50234 .15329 L
Mfstroke
.71667 .2 m
.71217 .20056 L
.70749 .20102 L
.70282 .20135 L
.7002 .20149 L
.69904 .20155 L
.69778 .20159 L
.69654 .20163 L
.6954 .20166 L
.69431 .20168 L
.69376 .20169 L
.69316 .2017 L
.69263 .2017 L
.69214 .2017 L
.6919 .20171 L
.69165 .20171 L
.6914 .20171 L
.69118 .20171 L
.6909 .20171 L
.69063 .20171 L
.69039 .20171 L
.69013 .20171 L
.68984 .2017 L
.68954 .2017 L
.68901 .2017 L
.68844 .20169 L
.68791 .20169 L
.68691 .20167 L
.68583 .20165 L
.68466 .20161 L
.68257 .20154 L
.68065 .20146 L
.67659 .20123 L
.67215 .2009 L
.66359 .20006 L
.65547 .19901 L
.64694 .1977 L
.63881 .19627 L
.63106 .19476 L
.62289 .19306 L
.61509 .19134 L
.60686 .18945 L
.599 .1876 L
.59149 .18581 L
.58357 .18391 L
.57601 .1821 L
.5688 .1804 L
.5612 .17863 L
.55395 .17699 L
.54633 .17531 L
Mistroke
.53908 .17378 L
.53219 .17238 L
.52496 .17099 L
.52483 .17096 L
Mfstroke
.71667 .21667 m
.71277 .21725 L
.70873 .21776 L
.70469 .21817 L
.7024 .21835 L
.70033 .21849 L
.69848 .2186 L
.6965 .21868 L
.69541 .21872 L
.69441 .21875 L
.69346 .21877 L
.69294 .21878 L
.69245 .21879 L
.69198 .2188 L
.69148 .2188 L
.69126 .21881 L
.69102 .21881 L
.6908 .21881 L
.69059 .21881 L
.69037 .21881 L
.69013 .21881 L
.68991 .21881 L
.68969 .21881 L
.68948 .21881 L
.68929 .21881 L
.68909 .21881 L
.68886 .21881 L
.6886 .21881 L
.68836 .21881 L
.68781 .2188 L
.68733 .2188 L
.68681 .21879 L
.68593 .21877 L
.68495 .21875 L
.68305 .21869 L
.68132 .21862 L
.67744 .21841 L
.67394 .21815 L
.67014 .21781 L
.66277 .21696 L
.65575 .21595 L
.64836 .21469 L
.6413 .21333 L
.63456 .2119 L
.62743 .21028 L
.6206 .20864 L
.61406 .207 L
.60713 .20522 L
.60049 .20347 L
.59347 .20159 L
Mistroke
.58674 .19979 L
.5803 .19806 L
.57349 .19625 L
.56696 .19454 L
.56008 .19277 L
.55351 .19113 L
.54796 .18977 L
Mfstroke
.71667 .23333 m
.70993 .23451 L
.70649 .23498 L
.70279 .23539 L
.69938 .23568 L
.69625 .23588 L
.69454 .23596 L
.69371 .23599 L
.69294 .23602 L
.69225 .23603 L
.6915 .23605 L
.69074 .23606 L
.69033 .23607 L
.68995 .23607 L
.68975 .23607 L
.68954 .23608 L
.68935 .23608 L
.68915 .23608 L
.68903 .23608 L
.68892 .23608 L
.68881 .23608 L
.6887 .23608 L
.6885 .23608 L
.68839 .23608 L
.68829 .23608 L
.68808 .23608 L
.68789 .23608 L
.68772 .23608 L
.68753 .23608 L
.68711 .23607 L
.68672 .23607 L
.68604 .23606 L
.6853 .23604 L
.68379 .23601 L
.6822 .23595 L
.68075 .23588 L
.67751 .23569 L
.67458 .23547 L
.67139 .23516 L
.6652 .23442 L
.6593 .23354 L
.65307 .23244 L
.6471 .23123 L
.64139 .22996 L
.63533 .2285 L
.62951 .227 L
.62393 .2255 L
.61799 .22383 L
.61229 .22218 L
.60623 .22039 L
Mistroke
.60041 .21865 L
.59481 .21695 L
.58886 .21515 L
.58315 .21341 L
.57709 .21159 L
.57176 .21001 L
Mfstroke
.71667 .25 m
.71108 .25126 L
.70516 .25229 L
.70234 .25268 L
.69975 .25297 L
.69712 .25321 L
.69466 .25338 L
.69337 .25345 L
.69197 .25351 L
.69136 .25354 L
.69071 .25356 L
.69011 .25357 L
.68955 .25358 L
.68924 .25359 L
.68891 .25359 L
.6886 .2536 L
.68833 .2536 L
.68817 .2536 L
.688 .2536 L
.68782 .2536 L
.68765 .2536 L
.68749 .2536 L
.68732 .2536 L
.68718 .2536 L
.68702 .2536 L
.68686 .2536 L
.68671 .2536 L
.68643 .2536 L
.68613 .2536 L
.6858 .25359 L
.68521 .25358 L
.68467 .25357 L
.68344 .25354 L
.68228 .2535 L
.67967 .25338 L
.67712 .2532 L
.6748 .253 L
.66987 .25246 L
.66515 .25179 L
.66016 .25093 L
.65538 .24998 L
.65032 .24885 L
.64544 .24764 L
.64075 .2464 L
.63576 .24499 L
.63095 .24355 L
.62632 .24211 L
.62138 .24052 L
.61661 .23895 L
.61153 .23723 L
Mistroke
.60662 .23555 L
.60188 .23391 L
.59683 .23216 L
.59626 .23196 L
Mfstroke
.71667 .26667 m
.71218 .268 L
.70744 .26918 L
.70312 .27006 L
.69907 .2707 L
.69685 .27097 L
.69485 .27118 L
.6928 .27134 L
.69087 .27146 L
.68989 .2715 L
.68885 .27154 L
.68797 .27156 L
.68747 .27157 L
.68701 .27158 L
.68675 .27158 L
.68663 .27158 L
.68651 .27158 L
.68645 .27158 L
.68638 .27158 L
.68625 .27158 L
.68618 .27158 L
.68611 .27158 L
.68604 .27158 L
.68597 .27158 L
.68585 .27158 L
.68573 .27158 L
.68566 .27158 L
.68559 .27158 L
.68547 .27158 L
.68522 .27158 L
.68499 .27158 L
.68457 .27157 L
.68411 .27156 L
.68316 .27154 L
.68217 .27151 L
.68126 .27147 L
.67922 .27135 L
.67738 .27121 L
.67538 .27103 L
.67147 .27056 L
.66772 .26998 L
.66375 .26925 L
.65994 .26844 L
.65627 .26756 L
.65236 .26653 L
.64859 .26545 L
.64495 .26433 L
.64106 .26308 L
.63729 .2618 L
.63327 .26037 L
Mistroke
.62937 .25894 L
.62559 .25752 L
.62154 .25596 L
.62149 .25594 L
Mfstroke
.71667 .28333 m
.71324 .28474 L
.70964 .28607 L
.70637 .28714 L
.70332 .28801 L
.70016 .28878 L
.6972 .28937 L
.69412 .28986 L
.6926 .29005 L
.69121 .29019 L
.68978 .29031 L
.68845 .2904 L
.68781 .29043 L
.68713 .29046 L
.68674 .29047 L
.68637 .29048 L
.686 .29049 L
.68567 .29049 L
.68551 .29049 L
.68533 .2905 L
.68516 .2905 L
.685 .2905 L
.68491 .2905 L
.68483 .2905 L
.68475 .2905 L
.6847 .2905 L
.68465 .2905 L
.68456 .2905 L
.68451 .2905 L
.68446 .2905 L
.68438 .2905 L
.68429 .2905 L
.68421 .2905 L
.68413 .2905 L
.68397 .2905 L
.68368 .29049 L
.68335 .29049 L
.683 .29048 L
.68234 .29046 L
.68164 .29044 L
.68037 .29037 L
.6789 .29027 L
.67752 .29015 L
.67489 .28985 L
.6721 .28944 L
.66943 .28895 L
.66685 .2884 L
.66411 .28774 L
.66146 .28703 L
.65862 .28619 L
Mistroke
.65588 .28531 L
.65322 .2844 L
.65037 .28337 L
.6476 .28231 L
.64742 .28224 L
Mfstroke
.71667 .3 m
.71425 .30149 L
.71174 .30296 L
.70949 .30422 L
.70741 .30532 L
.70528 .30638 L
.70331 .30729 L
.70128 .30817 L
.6994 .30891 L
.69764 .30955 L
.69582 .31014 L
.69412 .31063 L
.69251 .31103 L
.69084 .31139 L
.68927 .31166 L
.68762 .31189 L
.68681 .31197 L
.68606 .31204 L
.68534 .31209 L
.68457 .31213 L
.68418 .31214 L
.68397 .31215 L
.68375 .31215 L
.68356 .31215 L
.68345 .31216 L
.68334 .31216 L
.68325 .31216 L
.68317 .31216 L
.68312 .31216 L
.68309 .31216 L
.68307 .31216 L
.68302 .31216 L
.68297 .31216 L
.68293 .31216 L
.68288 .31216 L
.68283 .31216 L
.68279 .31216 L
.6827 .31216 L
.68262 .31216 L
.68251 .31216 L
.68241 .31215 L
.68223 .31215 L
.6819 .31214 L
.68154 .31213 L
.68118 .31212 L
.68078 .3121 L
.67999 .31205 L
.67925 .31198 L
.67846 .3119 L
.67691 .3117 L
Mistroke
.67542 .31145 L
.67403 .31118 L
Mfstroke
.71667 .31667 m
.71522 .31823 L
.71376 .31985 L
.71248 .32129 L
.71133 .32262 L
.7102 .32398 L
.70919 .32522 L
.7082 .3265 L
.70732 .32768 L
.70654 .32878 L
.70577 .3299 L
.7051 .33096 L
.70451 .33194 L
.70395 .33296 L
.70346 .33392 L
.70299 .33492 L
.7026 .33586 L
.70227 .33675 L
.70198 .33768 L
.70174 .33857 L
.70154 .33951 L
.70146 .33998 L
.7014 .34041 L
.70134 .34085 L
.7013 .34127 L
.70127 .34168 L
.70126 .34191 L
.70126 .34203 L
.70125 .34214 L
.70125 .34225 L
.70125 .34236 L
.70125 .34242 L
.70125 .34247 L
.70125 .3425 L
.70125 .34253 L
.70125 .34254 L
.70125 .34256 L
.70125 .34258 L
.70125 .34259 L
.70125 .34262 L
.70125 .34265 L
.70125 .34267 L
.70125 .3427 L
.70125 .34272 L
.70125 .34275 L
.70125 .34278 L
.70125 .34281 L
.70125 .34291 L
.70125 .34296 L
.70125 .34301 L
Mistroke
Mfstroke
.71667 .33333 m
.71614 .33497 L
.71568 .33673 L
.71533 .33836 L
.71509 .33992 L
.715 .34072 L
.71492 .34157 L
.71489 .34199 L
.71487 .34244 L
.71486 .34264 L
.71485 .34286 L
.71484 .34307 L
.71484 .34326 L
.71484 .34335 L
.71484 .34345 L
.71484 .34355 L
.71484 .34359 L
.71484 .34364 L
.71484 .34367 L
.71483 .3437 L
.71483 .34375 L
.71483 .34379 L
.71483 .34384 L
.71483 .34389 L
.71483 .34394 L
.71484 .344 L
.71484 .34405 L
.71484 .34415 L
.71484 .34425 L
.71484 .34444 L
.71485 .34463 L
.71485 .3448 L
.71487 .34519 L
.71488 .34556 L
.71494 .34641 L
.71503 .34724 L
.71512 .34801 L
.71538 .34966 L
.71572 .35127 L
.71616 .35301 L
.71668 .35472 L
.71732 .35658 L
.71804 .35842 L
.71881 .36024 L
.71974 .36223 L
.72073 .36422 L
.72177 .36619 L
.72299 .36837 L
.72427 .37055 L
.72574 .37296 L
Mistroke
.72728 .3754 L
.72888 .37785 L
.72898 .378 L
Mfstroke
.71667 .35 m
.71702 .35171 L
.71751 .3536 L
.71806 .35542 L
.71868 .35721 L
.71944 .35916 L
.72026 .36109 L
.72124 .3632 L
.72229 .36531 L
.7234 .36741 L
.7247 .36973 L
.72606 .37206 L
.72749 .37439 L
.72912 .37699 L
.73082 .3796 L
.73277 .38252 L
.73479 .38548 L
.73688 .38848 L
.73926 .39185 L
.74171 .39529 L
.74451 .39916 L
.7474 .40313 L
.75038 .4072 L
.75376 .41182 L
.75707 .41632 L
s
.71667 .36667 m
.71785 .36845 L
.71925 .37048 L
.72065 .37248 L
.7221 .37449 L
.72374 .37673 L
.72543 .37901 L
.72735 .38156 L
.72933 .38415 L
.73135 .38679 L
.73365 .38976 L
.736 .39279 L
.7384 .39587 L
.74113 .39937 L
.74392 .40294 L
.74708 .40701 L
.75032 .41119 L
.75365 .41549 L
.75742 .4204 L
.76128 .42548 L
.76568 .4313 L
.7702 .43735 L
.77485 .44365 L
.78014 .45089 L
.78531 .45808 L
s
.71667 .38333 m
.71864 .38518 L
.72089 .38735 L
.72311 .38952 L
.72535 .39175 L
.72784 .3943 L
.73036 .39692 L
.73319 .3999 L
.73605 .40299 L
.73896 .40618 L
.74222 .40982 L
.74554 .41359 L
.74891 .41748 L
.7527 .42193 L
.75657 .42656 L
.76093 .43187 L
.7654 .43741 L
.76997 .44318 L
.77514 .44983 L
.78044 .4568 L
.78647 .46487 L
.79268 .47339 L
.79907 .48234 L
.80635 .49279 L
.81348 .50327 L
s
.71667 .4 m
.71938 .40192 L
.72244 .40421 L
.72543 .40656 L
.72842 .40901 L
.73172 .41184 L
.73504 .41481 L
.73873 .41823 L
.74246 .42182 L
.74621 .42557 L
.75041 .4299 L
.75467 .43444 L
.75897 .43917 L
.76381 .44464 L
.76874 .45038 L
.77429 .45704 L
.77996 .46406 L
.78576 .47144 L
.79233 .48003 L
.79908 .48912 L
.80674 .49976 L
.81466 .51109 L
.82282 .52314 L
.83213 .53734 L
.84127 .55175 L
s
.71667 .41667 m
.72007 .41865 L
.7239 .42107 L
.72762 .42358 L
.73131 .42625 L
.73539 .42937 L
.73947 .43267 L
.74398 .43653 L
.74853 .44063 L
.7531 .44494 L
.7582 .44998 L
.76336 .4553 L
.76858 .4609 L
.77443 .46744 L
.78038 .47436 L
.78708 .48245 L
.79395 .49105 L
.80096 .50016 L
.8089 .51086 L
.81707 .52228 L
.82636 .53576 L
.83597 .55026 L
.84589 .5658 L
.85722 .58429 L
.86836 .60322 L
s
.71667 .43333 m
.72072 .43539 L
.72527 .43792 L
.72967 .4406 L
.73403 .44347 L
.73883 .44687 L
.74363 .4505 L
.74893 .4548 L
.75426 .45939 L
.75961 .46428 L
.76557 .47002 L
.7716 .47615 L
.77769 .48264 L
.78451 .49027 L
.79146 .4984 L
.79928 .50799 L
.80729 .51826 L
.81547 .5292 L
.82475 .54216 L
.8343 .55609 L
.84517 .57266 L
.85643 .59061 L
.86804 .60999 L
.88132 .63324 L
.89437 .65722 L
s
.71667 .45 m
.72132 .45212 L
.72653 .45477 L
.73157 .4576 L
.73657 .46067 L
.74205 .46434 L
.74753 .4683 L
.75357 .47302 L
.75964 .47811 L
.76573 .48356 L
.77251 .49001 L
.77936 .49694 L
.78628 .50433 L
.79404 .51308 L
.80193 .52245 L
.81082 .53358 L
.81992 .54557 L
.82923 .55843 L
.83979 .57375 L
.85065 .59032 L
.86303 .61016 L
.87584 .6318 L
.88905 .65531 L
.90414 .68367 L
.91893 .7131 L
s
.71667 .46667 m
.72188 .46885 L
.72771 .47161 L
.73334 .47459 L
.73892 .47785 L
.74505 .48178 L
.75116 .48606 L
.7579 .49119 L
.76466 .49676 L
.77145 .50276 L
.779 .50992 L
.78663 .51764 L
.79433 .52593 L
.80297 .5358 L
.81175 .54643 L
.82165 .55911 L
.83179 .57285 L
.84216 .58768 L
.85392 .60543 L
.86601 .62473 L
.87979 .64796 L
.89402 .67343 L
.90869 .70124 L
.92539 .73495 L
.94168 .77007 L
s
.71667 .48333 m
.72238 .48558 L
.72878 .48845 L
.73496 .49157 L
.74108 .49501 L
.74781 .49919 L
.75451 .50377 L
.7619 .5093 L
.76932 .51533 L
.77675 .52188 L
.78503 .52972 L
.79338 .53822 L
.80182 .5474 L
.81128 .55837 L
.8209 .57024 L
.83174 .58448 L
.84284 .59998 L
.85418 .61678 L
.86705 .63698 L
.88027 .65904 L
.8953 .68571 L
.91081 .71506 L
.92673 .74723 L
.94478 .78635 L
.96228 .82719 L
s
.71667 .5 m
.72285 .50231 L
.72976 .50528 L
.73645 .50854 L
.74306 .51215 L
.75033 .51657 L
.75758 .52143 L
.76557 .52734 L
.77359 .53382 L
.78163 .54088 L
.79057 .54938 L
.79961 .55864 L
.80872 .56867 L
.81894 .58072 L
.82933 .59382 L
.84103 .60958 L
.85301 .62681 L
.86524 .64555 L
.8791 .66817 L
.89333 .69296 L
.90946 .72303 L
.92605 .75622 L
.94301 .79268 L
.96211 .83708 L
.98044 .88347 L
s
.71667 .51667 m
.72326 .51903 L
.73064 .5221 L
.73778 .52549 L
.74485 .52927 L
.75262 .53391 L
.76037 .53904 L
.76891 .5453 L
.77748 .5522 L
.78607 .55975 L
.79563 .56888 L
.80528 .57887 L
.81501 .58972 L
.82593 .6028 L
.83701 .61707 L
.84949 .6343 L
.86225 .6532 L
.87528 .67382 L
.89001 .69878 L
.90509 .72619 L
.92215 .75954 L
.93961 .79641 L
.95736 .83695 L
.97717 .88634 L
.99597 .93789 L
s
.71667 .53333 m
.72363 .53576 L
.73143 .53892 L
.73897 .54243 L
.74645 .54636 L
.75467 .5512 L
.76286 .55659 L
.7719 .56318 L
.78097 .57048 L
.79006 .57849 L
.80017 .5882 L
.81038 .59886 L
.82067 .61049 L
.83221 .62454 L
.84391 .63992 L
.85708 .65854 L
.87053 .67902 L
.88423 .70141 L
.8997 .72857 L
.91549 .75846 L
.93328 .79486 L
.95139 .83515 L
.96967 .87945 L
.98985 .93335 L
s
.98985 .93335 m
1 .96354 L
s
.71667 .55 m
.72395 .55248 L
.73211 .55573 L
.74002 .55935 L
.74785 .56342 L
.75647 .56846 L
.76506 .57407 L
.77455 .58097 L
.78406 .58863 L
.7936 .59706 L
.8042 .60731 L
.8149 .6186 L
.82568 .63094 L
.83776 .64589 L
.85001 .66229 L
.86377 .68219 L
.8778 .70412 L
.89206 .72814 L
.90812 .75732 L
.92447 .78946 L
.94279 .82863 L
.96133 .87198 L
.97986 .91959 L
s
.97986 .91959 m
1 .97713 L
s
.71667 .56667 m
.72422 .56921 L
.7327 .57254 L
.74091 .57626 L
.74906 .58046 L
.75803 .58566 L
.76697 .59149 L
.77684 .59866 L
.78674 .60664 L
.79666 .61545 L
.80769 .62619 L
.81882 .63805 L
.83003 .65103 L
.84256 .66679 L
.85526 .6841 L
.86951 .70516 L
.88402 .72838 L
.89873 .75385 L
.91524 .78483 L
.93198 .81895 L
.95064 .86052 L
.96937 .90648 L
.98793 .95686 L
s
.98793 .95686 m
1 .99373 L
s
.71667 .58333 m
.72444 .58593 L
.73318 .58933 L
.74166 .59315 L
.75007 .59746 L
.75933 .60283 L
.76857 .60883 L
.77876 .61625 L
.78899 .62452 L
.79925 .63366 L
.81064 .64483 L
.82212 .65718 L
.83368 .67072 L
.8466 .68719 L
.85967 .7053 L
.8743 .72735 L
.88916 .75169 L
.9042 .77841 L
.92102 .8109 L
.93799 .84668 L
.9568 .89024 L
.97552 .93829 L
.99386 .99083 L
s
.99386 .99083 m
.99668 1 L
s
.71667 .6 m
.72462 .60265 L
.73357 .60612 L
.74225 .61003 L
.75088 .61444 L
.76037 .61994 L
.76985 .6261 L
.78032 .63373 L
.79082 .64224 L
.80134 .65167 L
.81302 .6632 L
.82479 .67596 L
.83663 .68998 L
.84984 .70703 L
.86319 .72581 L
.8781 .74868 L
.89321 .77395 L
.90846 .80167 L
.92544 .83537 L
.94249 .87245 L
.96126 .91752 L
.97978 .96712 L
s
.97978 .96712 m
.99069 1 L
s
.71667 .61667 m
.72475 .61936 L
.73385 .62291 L
.74269 .62689 L
.75148 .63139 L
.76116 .637 L
.77083 .6433 L
.7815 .65109 L
.79221 .65981 L
.80294 .66946 L
.81484 .68128 L
.82682 .69438 L
.83886 .70877 L
.85228 .72629 L
.86581 .74559 L
.8809 .76909 L
.89615 .79505 L
.91148 .82353 L
.92848 .8581 L
.94547 .8961 L
.96404 .94218 L
.9822 .99274 L
s
.9822 .99274 m
.98449 1 L
s
.71667 .63333 m
.72483 .63608 L
.73403 .63969 L
.74298 .64373 L
.75188 .64831 L
.76169 .65401 L
.77149 .66042 L
.7823 .66834 L
.79316 .67721 L
.80402 .68704 L
.81607 .69907 L
.82819 .71241 L
.84035 .72707 L
.85389 .74492 L
.86752 .76458 L
.88268 .78852 L
.89795 .81494 L
.91325 .84389 L
.93015 .879 L
.94694 .9175 L
.96516 .96407 L
s
.96516 .96407 m
.97761 1 L
s
.71667 .65 m
.72486 .6528 L
.73411 .65646 L
.74311 .66056 L
.75207 .6652 L
.76195 .67097 L
.77182 .67745 L
.78272 .68547 L
.79365 .69444 L
.80458 .70438 L
.81671 .71656 L
.82889 .73005 L
.8411 .74486 L
.85467 .76291 L
.86829 .78276 L
.88342 .80692 L
.89861 .83355 L
.91377 .86269 L
.93044 .89797 L
.9469 .93656 L
.96465 .98311 L
s
.96465 .98311 m
.97032 1 L
s
.71667 .66667 m
.72485 .66951 L
.73409 .67322 L
.74309 .67737 L
.75205 .68205 L
.76194 .68788 L
.77182 .69441 L
.78273 .70248 L
.79367 .7115 L
.80462 .72149 L
.81674 .73372 L
.8289 .74727 L
.84108 .76213 L
.85459 .78022 L
.86813 .8001 L
.88311 .82426 L
.89811 .85085 L
.91303 .87989 L
.92935 .91497 L
.94539 .95325 L
.96255 .99926 L
s
.96255 .99926 m
.96279 1 L
s
.71667 .68333 m
.72478 .68622 L
.73396 .68998 L
.74291 .69417 L
.75182 .69888 L
.76166 .70473 L
.77149 .71128 L
.78235 .71936 L
.79323 .72838 L
.80411 .73837 L
.81615 .75057 L
.82822 .76407 L
.84028 .77887 L
.85364 .79685 L
.867 .81658 L
.88174 .84052 L
.89645 .86683 L
.91102 .89548 L
.9269 .93001 L
.94241 .96757 L
s
.94241 .96757 m
.95429 1 L
s
.71667 .7 m
.72467 .70293 L
.73373 .70673 L
.74257 .71095 L
.75138 .71567 L
.7611 .72153 L
.77082 .72806 L
.78156 .73612 L
.79231 .74509 L
.80306 .755 L
.81494 .7671 L
.82683 .78045 L
.8387 .79507 L
.85181 .81279 L
.8649 .83221 L
.8793 .85571 L
.89362 .88148 L
.90775 .90947 L
.92308 .9431 L
.93798 .97956 L
s
.93798 .97956 m
.94537 1 L
s
.71667 .71667 m
.72451 .71964 L
.7334 .72347 L
.74207 .72771 L
.75072 .73243 L
.76027 .73827 L
.76981 .74477 L
.78035 .75275 L
.7909 .76162 L
.80144 .7714 L
.81308 .7833 L
.82471 .79641 L
.8363 .81073 L
.84909 .82805 L
.86181 .84699 L
.87578 .86985 L
.88962 .89483 L
.90322 .92189 L
.91791 .95429 L
.93211 .98929 L
s
.93211 .98929 m
.93595 1 L
s
.71667 .73333 m
.7243 .73635 L
.73296 .74021 L
.74141 .74445 L
.74983 .74917 L
.75915 .75496 L
.76845 .76139 L
.77872 .76926 L
.789 .77798 L
.79925 .78756 L
.81057 .79919 L
.82186 .81196 L
.83309 .82587 L
.84545 .84265 L
.85773 .86094 L
.87116 .88295 L
.88442 .90692 L
.89741 .9328 L
.91138 .96367 L
.92482 .99689 L
s
.92482 .99689 m
.92593 1 L
s
.71667 .75 m
.72404 .75305 L
.73241 .75694 L
.74058 .76118 L
.74873 .76587 L
.75774 .7716 L
.76674 .77793 L
.77666 .78565 L
.78659 .79417 L
.79648 .80349 L
.80739 .81476 L
.81826 .82711 L
.82905 .8405 L
.84089 .85661 L
.85263 .8741 L
.86543 .89507 L
.87803 .91782 L
.89032 .94229 L
.90349 .97136 L
s
.90349 .97136 m
.91509 1 L
s
.71667 .76667 m
.72374 .76976 L
.73176 .77366 L
.73959 .77789 L
.74741 .78253 L
.75604 .78818 L
.76466 .79439 L
.77417 .80192 L
.78367 .81019 L
.79312 .8192 L
.80353 .83005 L
.81389 .84187 L
.82415 .85465 L
.83539 .86996 L
.84649 .88651 L
.85857 .90627 L
.87041 .92761 L
.88193 .95046 L
.89422 .97749 L
s
.89422 .97749 m
.90338 1 L
s
.71667 .78333 m
.72338 .78646 L
.731 .79037 L
.73843 .79458 L
.74585 .79917 L
.75405 .80472 L
.76222 .81078 L
.77123 .81808 L
.78022 .82605 L
.78916 .83469 L
.79898 .84504 L
.80874 .85627 L
.81838 .86835 L
.82892 .88274 L
.8393 .89823 L
.85056 .91662 L
.86156 .93639 L
.87222 .95745 L
.88355 .98223 L
s
.88355 .98223 m
.89083 1 L
s
.71667 .8 m
.72298 .80316 L
.73013 .80708 L
.73711 .81126 L
.74407 .81578 L
.75175 .82121 L
.75941 .82709 L
.76784 .83412 L
.77624 .84176 L
.78458 .84998 L
.79372 .85978 L
.80279 .87033 L
.81173 .88163 L
.82147 .895 L
.83104 .90932 L
.84138 .92622 L
.85144 .94427 L
.86116 .96341 L
.87145 .98579 L
s
.87145 .98579 m
.87731 1 L
s
.71667 .81667 m
.72252 .81986 L
.72915 .82378 L
.73562 .82792 L
.74206 .83237 L
.74916 .83765 L
.75622 .84333 L
.76399 .85007 L
.77171 .85733 L
.77937 .86509 L
.78774 .87427 L
.79602 .88409 L
.80416 .89453 L
.81301 .90681 L
.82166 .91986 L
.83098 .93516 L
.84002 .9514 L
.84871 .9685 L
.85787 .98837 L
s
.85787 .98837 m
.8627 1 L
s
.71667 .83333 m
.72201 .83656 L
.72806 .84048 L
.73396 .84457 L
.73981 .84892 L
.74626 .85404 L
.75266 .8595 L
.75967 .86592 L
.76664 .87277 L
.77352 .88003 L
.78102 .88854 L
.78841 .89758 L
.79566 .90711 L
.8035 .91822 L
.81115 .92994 L
.81934 .94358 L
.82725 .95793 L
.83482 .97293 L
.84276 .99022 L
s
.84276 .99022 m
.84681 1 L
s
.71667 .85 m
.72146 .85326 L
.72687 .85717 L
.73212 .8612 L
.73733 .86545 L
.74304 .87039 L
.7487 .87561 L
.75488 .88168 L
.76099 .88809 L
.76701 .89482 L
.77354 .90263 L
.77995 .91084 L
.7862 .91941 L
.79293 .92933 L
.79946 .93967 L
.80641 .9516 L
.81308 .96403 L
.81942 .9769 L
.82602 .9916 L
s
.82602 .9916 m
.82943 1 L
s
.71667 .86667 m
.72086 .86996 L
.72556 .87385 L
.73011 .87782 L
.73461 .88195 L
.73951 .88671 L
.74435 .89166 L
.7496 .89736 L
.75477 .90331 L
.75982 .90948 L
.76528 .91656 L
.7706 .92392 L
.77575 .93151 L
.78125 .9402 L
.78654 .94916 L
.79213 .95936 L
.79744 .96988 L
.80243 .98064 L
.80757 .99279 L
s
.80757 .99279 m
.81032 1 L
s
.71667 .88333 m
.7202 .88665 L
.72414 .89053 L
.72793 .89443 L
.73164 .89843 L
.73566 .90298 L
.7396 .90766 L
.74383 .91298 L
.74796 .91844 L
.75195 .92404 L
.75622 .93038 L
.76033 .93686 L
.76427 .94348 L
.76842 .95093 L
.77235 .95851 L
.77644 .96703 L
.78024 .97567 L
.78375 .98439 L
.78728 .99411 L
s
.78728 .99411 m
.78919 1 L
s
.71667 .9 m
.7195 .90335 L
.72262 .9072 L
.72557 .91102 L
.72843 .91489 L
.73149 .91923 L
.73444 .92362 L
.73755 .92853 L
.74054 .9335 L
.74337 .93852 L
.74634 .9441 L
.74913 .94973 L
.75173 .95537 L
.75439 .96162 L
.75682 .96787 L
.75925 .97476 L
.7614 .98163 L
.76327 .98843 L
.76501 .99587 L
s
.76501 .99587 m
.7658 1 L
s
.71667 .91667 m
.71874 .92004 L
.72097 .92386 L
.72304 .9276 L
.72498 .93133 L
.72699 .93544 L
.72886 .93954 L
.73076 .94404 L
.7325 .94852 L
.73407 .95295 L
.7356 .95779 L
.73694 .96257 L
.73807 .96727 L
.7391 .97237 L
.73989 .97736 L
.7402 .97992 L
.74048 .98273 L
.74059 .98404 L
.74068 .98544 L
.74075 .98675 L
.7408 .98796 L
.74082 .98862 L
.74084 .98932 L
.74085 .98968 L
.74085 .99002 L
.74086 .9904 L
.74086 .9906 L
.74086 .99069 L
.74086 .99079 L
.74086 .99096 L
.74086 .99105 L
.74086 .99114 L
.74086 .99129 L
.74086 .99145 L
.74086 .99154 L
.74086 .99163 L
.74086 .99173 L
.74086 .99182 L
.74086 .99199 L
.74086 .99217 L
.74085 .99252 L
.74085 .99285 L
.74084 .99347 L
.74082 .99408 L
.7408 .99476 L
.74073 .99612 L
.74065 .99738 L
.74056 .99857 L
s
.74056 .99857 m
.74042 1 L
s
.73333 .08333 m
.7287 .08376 L
.72368 .08415 L
.71844 .08447 L
.71372 .08469 L
.71103 .08479 L
.7085 .08487 L
.70585 .08493 L
.70436 .08495 L
.70298 .08497 L
.7018 .08498 L
.70124 .08499 L
.7007 .08499 L
.70007 .08499 L
.6995 .08499 L
.69888 .08499 L
.69853 .08499 L
.6982 .08499 L
.69789 .08499 L
.69754 .08499 L
.69692 .08499 L
.69632 .08499 L
.69577 .08499 L
.69451 .08498 L
.69318 .08496 L
.69082 .08492 L
.68867 .08488 L
.68387 .08474 L
.67947 .08457 L
.67532 .08438 L
.65784 .08321 L
.63976 .08151 L
.62283 .07959 L
.60696 .07758 L
.59048 .07539 L
.57503 .07329 L
.55903 .07115 L
.54403 .06922 L
.53001 .06752 L
.5155 .0659 L
.50196 .06453 L
.48801 .06328 L
.47502 .06226 L
.46293 .06144 L
.4505 .06073 L
.43896 .06017 L
.42825 .05972 L
.41724 .05931 L
.40704 .05896 L
.39659 .05859 L
Mistroke
.3869 .05821 L
.38647 .0582 L
Mfstroke
.73333 .1 m
.72908 .10044 L
.72446 .10085 L
.71964 .1012 L
.7153 .10146 L
.7105 .10167 L
.70788 .10176 L
.70542 .10182 L
.70432 .10184 L
.70315 .10186 L
.70215 .10188 L
.70107 .10189 L
.70047 .10189 L
.69992 .1019 L
.69936 .1019 L
.69884 .1019 L
.69854 .1019 L
.69823 .1019 L
.69767 .10191 L
.69732 .10191 L
.697 .10191 L
.69671 .10191 L
.69639 .1019 L
.69585 .1019 L
.69535 .1019 L
.69477 .1019 L
.69423 .10189 L
.69327 .10188 L
.69222 .10187 L
.68986 .10183 L
.68769 .10178 L
.68328 .10165 L
.67864 .10146 L
.67041 .10101 L
.66278 .10047 L
.64695 .09904 L
.63055 .09719 L
.61513 .0952 L
.60064 .09318 L
.58557 .09102 L
.57141 .08897 L
.55672 .08688 L
.54293 .085 L
.52999 .08333 L
.5166 .08173 L
.50406 .08037 L
.49234 .07923 L
.48023 .07818 L
.46894 .07733 L
.45731 .07658 L
Mistroke
.44649 .07598 L
.43642 .07551 L
.42607 .07509 L
.41644 .07475 L
.40714 .07444 L
Mfstroke
.73333 .11667 m
.72522 .11755 L
.71683 .11822 L
.71249 .11847 L
.70849 .11864 L
.7062 .11872 L
.70413 .11877 L
.70299 .1188 L
.70175 .11882 L
.70068 .11883 L
.70008 .11884 L
.69952 .11885 L
.69903 .11885 L
.69849 .11886 L
.69801 .11886 L
.69756 .11886 L
.69709 .11886 L
.69667 .11886 L
.69618 .11886 L
.69573 .11886 L
.69522 .11886 L
.69496 .11886 L
.69468 .11886 L
.69373 .11885 L
.69319 .11885 L
.69262 .11884 L
.69158 .11883 L
.68934 .11879 L
.68723 .11874 L
.6833 .11862 L
.67954 .11847 L
.67557 .11828 L
.66852 .11784 L
.65433 .11664 L
.63957 .11502 L
.62567 .11324 L
.61122 .11118 L
.59759 .10912 L
.58475 .10713 L
.57136 .10505 L
.55876 .10313 L
.54567 .1012 L
.53335 .09948 L
.52178 .09796 L
.50979 .09652 L
.49855 .09529 L
.48802 .09425 L
.47713 .0933 L
.46695 .09253 L
.45646 .09184 L
Mistroke
.44668 .0913 L
.43755 .09086 L
.42816 .09048 L
Mfstroke
.73333 .13333 m
.72595 .13425 L
.71832 .13498 L
.71437 .13527 L
.71073 .13548 L
.70676 .13566 L
.70456 .13574 L
.70256 .13579 L
.70079 .13583 L
.69982 .13584 L
.69892 .13585 L
.69815 .13586 L
.69733 .13587 L
.69686 .13587 L
.69641 .13587 L
.69601 .13588 L
.69558 .13588 L
.69533 .13588 L
.69507 .13588 L
.69482 .13588 L
.69459 .13588 L
.69415 .13587 L
.69369 .13587 L
.6932 .13587 L
.69274 .13587 L
.69169 .13586 L
.69079 .13584 L
.68996 .13583 L
.68811 .1358 L
.68459 .1357 L
.68136 .13558 L
.6741 .13521 L
.66766 .13477 L
.66064 .13418 L
.64715 .13277 L
.63445 .13115 L
.6212 .12924 L
.60868 .12728 L
.59686 .12534 L
.5845 .12327 L
.57283 .12131 L
.56066 .1193 L
.54918 .11746 L
.53835 .1158 L
.52709 .11417 L
.51649 .11274 L
.50653 .11151 L
.49618 .11033 L
.48647 .10934 L
.47643 .10843 L
Mistroke
.46702 .10769 L
.45823 .10708 L
.44961 .10657 L
Mfstroke
.73333 .15 m
.72666 .15095 L
.71977 .15174 L
.7129 .15232 L
.70906 .15256 L
.70552 .15273 L
.70385 .1528 L
.70204 .15285 L
.70046 .15289 L
.69959 .15291 L
.69879 .15293 L
.698 .15294 L
.69729 .15295 L
.69649 .15295 L
.69605 .15296 L
.69564 .15296 L
.69529 .15296 L
.69492 .15296 L
.69457 .15296 L
.69425 .15296 L
.69388 .15296 L
.69348 .15296 L
.6931 .15296 L
.69275 .15296 L
.69234 .15296 L
.69196 .15295 L
.69124 .15295 L
.69046 .15294 L
.68962 .15293 L
.68811 .1529 L
.68671 .15287 L
.68353 .15277 L
.68017 .15264 L
.67408 .1523 L
.66842 .1519 L
.65663 .1508 L
.64434 .14932 L
.63271 .14768 L
.62171 .14595 L
.6102 .144 L
.59928 .14207 L
.58787 .13999 L
.57705 .13802 L
.56682 .13617 L
.55611 .13427 L
.54599 .13254 L
.53643 .13098 L
.52645 .12943 L
.51703 .12807 L
.50724 .12676 L
Mistroke
.49803 .12563 L
.48937 .12466 L
.48037 .12376 L
.47193 .12301 L
.47156 .12298 L
Mfstroke
.73333 .16667 m
.72736 .16766 L
.72117 .1685 L
.71501 .16916 L
.71153 .16945 L
.70839 .16967 L
.7056 .16983 L
.7026 .16997 L
.70096 .17002 L
.69945 .17007 L
.69801 .1701 L
.69723 .17011 L
.69649 .17012 L
.69581 .17013 L
.69546 .17014 L
.69507 .17014 L
.69472 .17014 L
.6944 .17014 L
.69408 .17015 L
.69378 .17015 L
.69342 .17015 L
.69305 .17015 L
.69273 .17015 L
.69238 .17015 L
.69201 .17015 L
.69179 .17014 L
.6916 .17014 L
.69088 .17014 L
.69021 .17013 L
.68959 .17012 L
.6882 .1701 L
.68697 .17008 L
.68568 .17004 L
.68304 .16996 L
.68021 .16984 L
.67512 .16956 L
.66961 .16916 L
.66386 .16865 L
.65362 .16752 L
.64289 .16606 L
.63273 .16448 L
.62208 .16265 L
.61196 .16078 L
.60235 .15893 L
.59226 .15694 L
.58267 .15503 L
.57358 .15322 L
.56402 .15134 L
.55497 .1496 L
.54548 .14785 L
Mistroke
.5365 .14625 L
.52801 .14482 L
.51913 .14341 L
.51075 .14217 L
.50202 .14097 L
.49411 .13998 L
Mfstroke
.73333 .18333 m
.72802 .18436 L
.72253 .18525 L
.7166 .18605 L
.71117 .18661 L
.70634 .18699 L
.70366 .18715 L
.70124 .18727 L
.7 .18732 L
.69868 .18736 L
.69755 .18739 L
.69634 .18742 L
.69566 .18743 L
.69504 .18744 L
.69441 .18745 L
.69383 .18745 L
.69348 .18746 L
.69316 .18746 L
.6928 .18746 L
.6926 .18746 L
.69242 .18746 L
.69226 .18746 L
.69209 .18746 L
.69178 .18746 L
.69145 .18746 L
.69126 .18746 L
.69109 .18746 L
.69077 .18746 L
.69043 .18746 L
.68983 .18745 L
.68918 .18745 L
.68847 .18744 L
.6872 .18741 L
.686 .18739 L
.68379 .18732 L
.68142 .18723 L
.67652 .18697 L
.67141 .18661 L
.6623 .18573 L
.65275 .18455 L
.64369 .1832 L
.63418 .18158 L
.62513 .17989 L
.61651 .17818 L
.60744 .17628 L
.59879 .17442 L
.59056 .17262 L
.58189 .17071 L
.57363 .1689 L
.56495 .16703 L
Mistroke
.55669 .16528 L
.54885 .16367 L
.54061 .16204 L
.5328 .16057 L
.52463 .1591 L
.51733 .15787 L
Mfstroke
.73333 .2 m
.72385 .20201 L
.71904 .20282 L
.71387 .20355 L
.70909 .20408 L
.70481 .20445 L
.70042 .20472 L
.69803 .20482 L
.69696 .20486 L
.69578 .20489 L
.69468 .20492 L
.69366 .20494 L
.69309 .20494 L
.69257 .20495 L
.69229 .20495 L
.69198 .20495 L
.69168 .20495 L
.69141 .20496 L
.69116 .20496 L
.69089 .20496 L
.69063 .20496 L
.6904 .20496 L
.69018 .20496 L
.68995 .20496 L
.6897 .20495 L
.68948 .20495 L
.68896 .20495 L
.68848 .20494 L
.68742 .20493 L
.68639 .20491 L
.68529 .20489 L
.68333 .20483 L
.68123 .20474 L
.67892 .20462 L
.67485 .20436 L
.67049 .20401 L
.662 .2031 L
.65393 .202 L
.64626 .20077 L
.63817 .1993 L
.63046 .19776 L
.62232 .19602 L
.61455 .19426 L
.60712 .19252 L
.59928 .19064 L
.59178 .18881 L
.58463 .18706 L
.57706 .18521 L
.56985 .18347 L
.56224 .18166 L
Mistroke
.55499 .17998 L
.54808 .17842 L
.54129 .17694 L
Mfstroke
.73333 .21667 m
.72512 .21877 L
.71649 .22048 L
.7124 .22112 L
.70865 .22161 L
.70486 .22201 L
.70132 .2223 L
.69946 .22242 L
.69746 .22253 L
.69565 .2226 L
.69399 .22266 L
.69312 .22268 L
.69219 .22269 L
.69174 .2227 L
.69132 .22271 L
.69094 .22271 L
.69052 .22271 L
.69026 .22271 L
.69002 .22271 L
.6898 .22272 L
.68957 .22272 L
.68944 .22272 L
.68931 .22272 L
.68917 .22272 L
.68904 .22272 L
.68881 .22271 L
.68867 .22271 L
.68855 .22271 L
.68811 .22271 L
.68762 .22271 L
.68674 .22269 L
.68586 .22268 L
.68503 .22266 L
.68315 .2226 L
.68132 .22253 L
.67937 .22243 L
.67579 .2222 L
.67205 .22189 L
.66536 .22117 L
.65831 .2202 L
.65159 .21909 L
.64451 .21776 L
.63773 .21634 L
.63125 .21487 L
.62439 .21322 L
.61781 .21156 L
.6115 .20992 L
.60482 .20813 L
.59841 .20638 L
.59163 .20451 L
Mistroke
.58512 .20272 L
.57889 .20101 L
.57229 .19921 L
.56605 .19754 L
Mfstroke
.73333 .23333 m
.72634 .23552 L
.71901 .23741 L
.71237 .23877 L
.70616 .23973 L
.70303 .2401 L
.69973 .24041 L
.69813 .24053 L
.69641 .24064 L
.69493 .24072 L
.6933 .24079 L
.69255 .24081 L
.69174 .24084 L
.69104 .24085 L
.69027 .24086 L
.68983 .24087 L
.68942 .24087 L
.68922 .24088 L
.68903 .24088 L
.68892 .24088 L
.68881 .24088 L
.68861 .24088 L
.68843 .24088 L
.68832 .24088 L
.68823 .24088 L
.68803 .24088 L
.68792 .24088 L
.68782 .24088 L
.68764 .24088 L
.68745 .24088 L
.68709 .24088 L
.68674 .24087 L
.68636 .24087 L
.68568 .24086 L
.68487 .24084 L
.68413 .24082 L
.6826 .24077 L
.681 .2407 L
.67809 .24054 L
.67539 .24034 L
.6697 .23977 L
.66372 .23897 L
.658 .23805 L
.65253 .23701 L
.64674 .23578 L
.64118 .23449 L
.63585 .23315 L
.63018 .23164 L
.62473 .23012 L
.61894 .22844 L
Mistroke
.61337 .22677 L
.60801 .22513 L
.6023 .22336 L
.59681 .22164 L
.59167 .22002 L
Mfstroke
.73333 .25 m
.72752 .25228 L
.72145 .25434 L
.71596 .25592 L
.71085 .25715 L
.70557 .25817 L
.70062 .25889 L
.69797 .25918 L
.69549 .2594 L
.6943 .25948 L
.69305 .25956 L
.69188 .25961 L
.69082 .25965 L
.68969 .25969 L
.68907 .2597 L
.68878 .25971 L
.68848 .25971 L
.68819 .25971 L
.68794 .25972 L
.68768 .25972 L
.68743 .25972 L
.6873 .25972 L
.68715 .25972 L
.68702 .25972 L
.68689 .25972 L
.68674 .25972 L
.68666 .25972 L
.68658 .25972 L
.68644 .25972 L
.6863 .25972 L
.68602 .25972 L
.68575 .25972 L
.68547 .25971 L
.68516 .25971 L
.68452 .2597 L
.68395 .25969 L
.68289 .25966 L
.68178 .25961 L
.67948 .25949 L
.67734 .25934 L
.67284 .25891 L
.66809 .2583 L
.66354 .25756 L
.65918 .25673 L
.65456 .25573 L
.65011 .25466 L
.64584 .25354 L
.64128 .25226 L
.63688 .25095 L
.6322 .24948 L
Mistroke
.62767 .248 L
.62331 .24652 L
.61864 .24491 L
.61818 .24475 L
Mfstroke
.73333 .26667 m
.72866 .26903 L
.72379 .27127 L
.71942 .27308 L
.71538 .27458 L
.71123 .27593 L
.70736 .27702 L
.70336 .27797 L
.69962 .27868 L
.6961 .2792 L
.69435 .2794 L
.69243 .27958 L
.69063 .27971 L
.68896 .2798 L
.68805 .27983 L
.68761 .27985 L
.68719 .27985 L
.68682 .27986 L
.68643 .27987 L
.6862 .27987 L
.68599 .27987 L
.68589 .27987 L
.6858 .27987 L
.68569 .27987 L
.68559 .27987 L
.68548 .27987 L
.68542 .27987 L
.68537 .27987 L
.68527 .27987 L
.68516 .27987 L
.68507 .27987 L
.68498 .27987 L
.68477 .27987 L
.68455 .27987 L
.68435 .27987 L
.6839 .27986 L
.68353 .27985 L
.68313 .27984 L
.68233 .27982 L
.68145 .27978 L
.68066 .27974 L
.67888 .27963 L
.67726 .2795 L
.67551 .27932 L
.67208 .27889 L
.66879 .27836 L
.66563 .27776 L
.66227 .27702 L
.65904 .27622 L
.65559 .27528 L
Mistroke
.65225 .27429 L
.64903 .27327 L
.6456 .27211 L
Mfstroke
.73333 .28333 m
.72975 .28578 L
.72605 .28819 L
.72276 .29023 L
.71975 .292 L
.71669 .2937 L
.71387 .29518 L
.711 .29658 L
.70835 .29777 L
.70588 .2988 L
.70335 .29975 L
.70098 .30055 L
.69877 .30121 L
.69648 .30182 L
.69433 .30229 L
.69208 .3027 L
.68997 .303 L
.68796 .30321 L
.68694 .30328 L
.68586 .30334 L
.68533 .30336 L
.68505 .30336 L
.68476 .30337 L
.6845 .30338 L
.68437 .30338 L
.68422 .30338 L
.68409 .30338 L
.68397 .30338 L
.68391 .30338 L
.68385 .30338 L
.68379 .30338 L
.68373 .30338 L
.68367 .30338 L
.68361 .30338 L
.68356 .30338 L
.6835 .30338 L
.68343 .30338 L
.68337 .30338 L
.68324 .30338 L
.68312 .30338 L
.683 .30338 L
.68279 .30338 L
.68253 .30337 L
.68229 .30337 L
.68174 .30335 L
.68126 .30333 L
.6808 .30331 L
.67977 .30324 L
.67875 .30316 L
.67783 .30306 L
Mistroke
.67584 .30281 L
.67394 .30251 L
.67391 .3025 L
Mfstroke
.73333 .3 m
.73079 .30253 L
.72822 .3051 L
.72597 .30737 L
.72396 .30942 L
.72196 .31147 L
.72017 .31334 L
.7184 .31522 L
.71681 .31693 L
.71538 .31849 L
.71398 .32007 L
.71272 .32152 L
.71159 .32286 L
.71047 .32422 L
.70948 .32548 L
.70851 .32676 L
.70764 .32796 L
.70688 .32906 L
.70614 .3302 L
.70548 .33127 L
.70486 .33237 L
.70431 .33341 L
.70385 .33438 L
.70341 .33539 L
.70306 .33631 L
s
.73333 .31667 m
.73179 .31928 L
.7303 .32202 L
.72905 .32451 L
.728 .32683 L
.72703 .32924 L
.72624 .33151 L
.72553 .33388 L
.72499 .33613 L
.72459 .33827 L
.72443 .33937 L
.7243 .34053 L
.72425 .34105 L
.7242 .3416 L
.72416 .34213 L
.72414 .34261 L
.72411 .34317 L
.7241 .34346 L
.7241 .34361 L
.7241 .34377 L
.72409 .34393 L
.72409 .34407 L
.72409 .34421 L
.72409 .34428 L
.72409 .34435 L
.72409 .34442 L
.72409 .34449 L
.72409 .34456 L
.72409 .34463 L
.72409 .34469 L
.72409 .34475 L
.72409 .34481 L
.72409 .34488 L
.72409 .34501 L
.72409 .34515 L
.7241 .3454 L
.7241 .34566 L
.72411 .34596 L
.72413 .34648 L
.72416 .34697 L
.72424 .3481 L
.72434 .34914 L
.72465 .35138 L
.72506 .35357 L
.72562 .35594 L
.72628 .35827 L
.72702 .36056 L
.72795 .36305 L
.72896 .36553 L
.73017 .36825 L
Mistroke
.73147 .37097 L
.73286 .37367 L
.73297 .37388 L
Mfstroke
.73333 .33333 m
.73275 .33602 L
.7325 .33741 L
.73228 .33893 L
.73212 .34033 L
.73201 .34163 L
.73196 .34235 L
.73192 .34303 L
.7319 .34364 L
.73189 .34398 L
.73188 .3443 L
.73188 .34446 L
.73188 .34461 L
.73188 .3447 L
.73187 .34479 L
.73187 .34488 L
.73187 .34496 L
.73187 .34504 L
.73187 .34511 L
.73187 .34519 L
.73187 .34528 L
.73187 .34535 L
.73187 .34543 L
.73187 .3455 L
.73187 .34558 L
.73188 .34576 L
.73188 .34593 L
.73188 .34612 L
.73189 .34631 L
.73189 .34663 L
.7319 .34699 L
.73193 .34763 L
.73197 .34834 L
.73208 .34979 L
.73222 .35113 L
.73241 .35258 L
.73291 .35548 L
.73354 .35832 L
.73429 .3611 L
.73524 .36413 L
.73631 .36713 L
.73762 .37042 L
.73905 .37371 L
.74059 .37698 L
.74241 .38061 L
.74434 .38426 L
.74637 .38793 L
.74873 .39203 L
.75121 .39618 L
.75407 .40084 L
Mistroke
.75707 .40561 L
.76018 .41046 L
.76347 .41554 L
Mfstroke
.73333 .35 m
.73347 .35134 L
.73366 .35277 L
.73418 .35583 L
.7348 .35864 L
.73561 .3617 L
.73656 .36471 L
.73773 .368 L
.73903 .37127 L
.74045 .37453 L
.74213 .37813 L
.74394 .38174 L
.74584 .38536 L
.74807 .3894 L
.75042 .39348 L
.75313 .39805 L
.75598 .40271 L
.75895 .40746 L
.76237 .41281 L
.76592 .41831 L
.77001 .42456 L
.77426 .43102 L
.77867 .43769 L
.78373 .44534 L
.78899 .4533 L
.79437 .46149 L
s
.73333 .36667 m
.73452 .36951 L
.73598 .37273 L
.73751 .37587 L
.73913 .379 L
.74103 .38249 L
.74303 .386 L
.74535 .38993 L
.74779 .39391 L
.75032 .39795 L
.75324 .4025 L
.75628 .40714 L
.75942 .41189 L
.76302 .41726 L
.76675 .42279 L
.77102 .4291 L
.77545 .43563 L
.78003 .44238 L
.78528 .45014 L
.79071 .45823 L
.79693 .46758 L
.8034 .47741 L
.8101 .48773 L
.81779 .49976 L
.82536 .51183 L
s
.73333 .38333 m
.73534 .38626 L
.73769 .38962 L
.74006 .39297 L
.7425 .39637 L
.74528 .40021 L
.74815 .40414 L
.7514 .40859 L
.75477 .41318 L
.75823 .41789 L
.76216 .42327 L
.76622 .42883 L
.77038 .43458 L
.77513 .44117 L
.78002 .44803 L
.78559 .45593 L
.79136 .46421 L
.79731 .47287 L
.80411 .48293 L
.81114 .49354 L
.81921 .50594 L
.82759 .51914 L
.83629 .53316 L
.84627 .5497 L
.85612 .56649 L
s
.73333 .4 m
.73611 .403 L
.73931 .40651 L
.74248 .41006 L
.7457 .41372 L
.74932 .41791 L
.75301 .42225 L
.75716 .42723 L
.76142 .43243 L
.76577 .43783 L
.77069 .44406 L
.77573 .45057 L
.78089 .45736 L
.78675 .46523 L
.79277 .47349 L
.79963 .48311 L
.80671 .49328 L
.81401 .50403 L
.82235 .51662 L
.83098 .53003 L
.84087 .54586 L
.85117 .56288 L
.86185 .58114 L
.87412 .60289 L
.88622 .6252 L
s
.73333 .41667 m
.73684 .41974 L
.74083 .42339 L
.74476 .42713 L
.74871 .43105 L
.75313 .43558 L
.75761 .44033 L
.76263 .44584 L
.76774 .45165 L
.77294 .45775 L
.7788 .46484 L
.7848 .47232 L
.79092 .48019 L
.79786 .48938 L
.80498 .49911 L
.81308 .51054 L
.82144 .52273 L
.83005 .5357 L
.83989 .55103 L
.85007 .56749 L
.86175 .58708 L
.8739 .60832 L
.8865 .63129 L
.90096 .6589 L
.91521 .68744 L
s
.73333 .43333 m
.73752 .43647 L
.74226 .44026 L
.7469 .4442 L
.75155 .44836 L
.75673 .45322 L
.76195 .45837 L
.76779 .46441 L
.77372 .47083 L
.77973 .47761 L
.78649 .48557 L
.7934 .49404 L
.80044 .50301 L
.80841 .51356 L
.81659 .52481 L
.82588 .53811 L
.83546 .55241 L
.84534 .56773 L
.85661 .58595 L
.86829 .60566 L
.88166 .62928 L
.89556 .65508 L
.90995 .68316 L
.92643 .71712 L
.94259 .75245 L
s
.73333 .45 m
.73815 .45321 L
.74359 .45713 L
.7489 .46125 L
.75421 .46564 L
.7601 .47083 L
.76603 .47638 L
.77264 .48292 L
.77934 .48994 L
.78612 .49741 L
.79374 .50624 L
.80151 .51569 L
.80943 .52576 L
.81838 .53769 L
.82755 .55049 L
.83798 .56572 L
.84873 .58218 L
.85979 .59993 L
.87242 .62117 L
.88549 .64426 L
.90042 .67211 L
.91592 .70269 L
.93192 .73615 L
.95013 .7768 L
.96787 .81923 L
s
.73333 .46667 m
.73873 .46995 L
.74483 .47399 L
.75076 .47829 L
.75668 .48291 L
.76324 .48841 L
.76983 .49433 L
.77717 .50137 L
.78459 .50897 L
.7921 .51712 L
.80053 .5268 L
.80912 .53723 L
.81785 .54841 L
.82773 .56171 L
.83784 .57607 L
.84932 .59324 L
.86116 .6119 L
.87333 .6321 L
.88721 .65642 L
.90153 .68298 L
.91788 .71515 L
.93477 .75062 L
.95212 .78957 L
.97173 .83701 L
.9906 .88661 L
s
.73333 .48333 m
.73927 .48668 L
.74597 .49085 L
.75248 .49531 L
.75897 .50015 L
.76615 .50595 L
.77336 .51223 L
.78137 .51975 L
.78948 .52792 L
.79767 .53672 L
.80685 .54724 L
.81619 .55862 L
.8257 .57088 L
.83643 .58555 L
.84741 .60144 L
.85987 .62054 L
.8727 .64138 L
.88588 .66405 L
.90087 .69143 L
.91632 .72146 L
.93387 .75794 L
.95192 .79828 L
.97033 .84266 L
.9909 .89675 L
s
.9909 .89675 m
1 .92308 L
s
.73333 .5 m
.73977 .50341 L
.74701 .5077 L
.75405 .51232 L
.76107 .51736 L
.76882 .52344 L
.7766 .53007 L
.78525 .53805 L
.79398 .54676 L
.8028 .55619 L
.81268 .56751 L
.82272 .57982 L
.83293 .59313 L
.84445 .60912 L
.85623 .62652 L
.86957 .6475 L
.8833 .67048 L
.89736 .69556 L
.91333 .72594 L
.92973 .75934 L
.94827 .80002 L
.96721 .84506 L
.98634 .89463 L
s
.98634 .89463 m
1 .93371 L
s
.73333 .51667 m
.74021 .52014 L
.74796 .52454 L
.75548 .52931 L
.76298 .53454 L
.77126 .54089 L
.77956 .54785 L
.78878 .55626 L
.79809 .56548 L
.80749 .57551 L
.818 .58759 L
.82869 .60079 L
.83954 .61511 L
.85177 .63236 L
.86426 .6512 L
.87839 .67398 L
.89289 .69902 L
.90773 .72641 L
.92451 .75966 L
.94168 .79628 L
.96097 .84092 L
.98052 .89036 L
s
.98052 .89036 m
1 .94465 L
s
.73333 .53333 m
.74061 .53687 L
.74881 .54137 L
.75677 .54628 L
.7647 .55169 L
.77346 .55829 L
.78223 .56555 L
.79198 .57437 L
.80181 .58407 L
.81172 .59466 L
.82281 .60746 L
.83407 .62149 L
.84549 .63675 L
.85835 .6552 L
.87147 .67539 L
.88628 .69988 L
.90145 .72684 L
.91692 .75639 L
.93436 .79231 L
.9521 .83191 L
.9719 .88018 L
.99175 .93358 L
s
.99175 .93358 m
1 .9583 L
s
.73333 .55 m
.74096 .5536 L
.74956 .5582 L
.75791 .56324 L
.76622 .56882 L
.77541 .57565 L
.78461 .58319 L
.79482 .59237 L
.80511 .60251 L
.81549 .61362 L
.82709 .62709 L
.83886 .64188 L
.85078 .65802 L
.86418 .67757 L
.87783 .69901 L
.89321 .72506 L
.90892 .75379 L
.92489 .7853 L
.94282 .82364 L
.96094 .8659 L
.98101 .91738 L
s
.98101 .91738 m
1 .97167 L
s
.73333 .56667 m
.74127 .57032 L
.75021 .57502 L
.7589 .58017 L
.76755 .58591 L
.77711 .59294 L
.78669 .60074 L
.7973 .61026 L
.80801 .6208 L
.81879 .63238 L
.83083 .64645 L
.84303 .66193 L
.85537 .67886 L
.86924 .6994 L
.88332 .72196 L
.89916 .74941 L
.91529 .77971 L
.93162 .81296 L
.94986 .85341 L
.96818 .89796 L
.98827 .95213 L
s
.98827 .95213 m
1 .98772 L
s
.73333 .58333 m
.74153 .58705 L
.75076 .59183 L
.75974 .59709 L
.76868 .60297 L
.77856 .61019 L
.78846 .61821 L
.79942 .62803 L
.81048 .63893 L
.8216 .65092 L
.83401 .66551 L
.84657 .68161 L
.85927 .69923 L
.8735 .72064 L
.88793 .74417 L
.90411 .77283 L
.92052 .80447 L
.93708 .8392 L
.95547 .8814 L
.9738 .92781 L
.9937 .98411 L
s
.9937 .98411 m
.99864 1 L
s
.73333 .6 m
.74174 .60377 L
.75121 .60863 L
.76043 .614 L
.76961 .61999 L
.77976 .62738 L
.78992 .63559 L
.80118 .64567 L
.81251 .65688 L
.82392 .66922 L
.83663 .68427 L
.84948 .70088 L
.86244 .71909 L
.87694 .74122 L
.89162 .76557 L
.90802 .79522 L
.92461 .82796 L
.94126 .86386 L
.95964 .90743 L
.97781 .95525 L
s
.97781 .95525 m
.99292 1 L
s
.73333 .61667 m
.7419 .62049 L
.75156 .62542 L
.76097 .63088 L
.77034 .63698 L
.7807 .6445 L
.79106 .65289 L
.80255 .66318 L
.81411 .67464 L
.82573 .68727 L
.83866 .70269 L
.85172 .71972 L
.86488 .7384 L
.87957 .76111 L
.89439 .7861 L
.9109 .81652 L
.92753 .85007 L
.94414 .88682 L
.96236 .93135 L
.98024 .9801 L
s
.98024 .9801 m
.98667 1 L
s
.73333 .63333 m
.74201 .63721 L
.75181 .64221 L
.76135 .64774 L
.77086 .65393 L
.78137 .66157 L
.79189 .67009 L
.80354 .68056 L
.81526 .69221 L
.82703 .70507 L
.84012 .72076 L
.85331 .73811 L
.86657 .75714 L
.88135 .78027 L
.89622 .8057 L
.91273 .83664 L
.92929 .87073 L
.94574 .908 L
.96367 .95306 L
s
.96367 .95306 m
.98031 1 L
s
.73333 .65 m
.74208 .65392 L
.75196 .65898 L
.76158 .66458 L
.77118 .67084 L
.78179 .67858 L
.7924 .68719 L
.80415 .69779 L
.81596 .70958 L
.82781 .7226 L
.84097 .73848 L
.85421 .75603 L
.8675 .77527 L
.88228 .79865 L
.8971 .82434 L
.9135 .85554 L
.92987 .88987 L
.94605 .92732 L
.96357 .97248 L
s
.96357 .97248 m
.97303 1 L
s
.73333 .66667 m
.7421 .67064 L
.752 .67575 L
.76166 .68141 L
.77129 .68772 L
.78193 .69552 L
.79258 .7042 L
.80436 .71487 L
.8162 .72675 L
.82805 .73985 L
.84121 .75583 L
.85443 .77347 L
.86767 .79279 L
.88234 .81625 L
.89702 .84199 L
.9132 .8732 L
.92928 .90746 L
.94508 .94475 L
.96208 .98956 L
s
.96208 .98956 m
.96557 1 L
s
.73333 .68333 m
.74206 .68735 L
.75194 .69251 L
.76158 .69821 L
.77118 .70457 L
.7818 .7124 L
.79242 .72111 L
.80417 .73182 L
.81596 .74371 L
.82776 .75682 L
.84083 .77279 L
.85395 .79041 L
.86705 .80968 L
.88153 .83304 L
.89598 .85862 L
.91184 .88958 L
.92752 .92348 L
.94285 .96026 L
s
.94285 .96026 m
.95762 1 L
s
.73333 .7 m
.74199 .70406 L
.75178 .70927 L
.76133 .71499 L
.77087 .72137 L
.7814 .72921 L
.79193 .73793 L
.80357 .74861 L
.81525 .76046 L
.82692 .77351 L
.83983 .78938 L
.85275 .80685 L
.86563 .82593 L
.87984 .84902 L
.89396 .87424 L
.9094 .90469 L
.92459 .93793 L
.93937 .97389 L
s
.93937 .97389 m
.94891 1 L
s
.73333 .71667 m
.74186 .72077 L
.75151 .72601 L
.76093 .73176 L
.77033 .73814 L
.78072 .74596 L
.7911 .75464 L
.80256 .76525 L
.81405 .77701 L
.82552 .78991 L
.83818 .80558 L
.85083 .82279 L
.86342 .84155 L
.87725 .86419 L
.89096 .88886 L
.90588 .91854 L
.9205 .95085 L
.93464 .98567 L
s
.93464 .98567 m
.9398 1 L
s
.73333 .73333 m
.74168 .73748 L
.75114 .74275 L
.76037 .7485 L
.76958 .75487 L
.77975 .76265 L
.78992 .77126 L
.80113 .78175 L
.81236 .79334 L
.82355 .80603 L
.83589 .8214 L
.84819 .83824 L
.86039 .85655 L
.87376 .87856 L
.88696 .90249 L
.90128 .93117 L
.91524 .96228 L
.92867 .99567 L
s
.92867 .99567 m
.93021 1 L
s
.73333 .75 m
.74146 .75418 L
.75066 .75947 L
.75965 .76522 L
.76861 .77156 L
.7785 .77928 L
.78838 .78777 L
.79928 .7981 L
.81017 .80947 L
.82101 .82188 L
.83293 .83686 L
.84479 .85321 L
.85653 .87093 L
.86935 .89217 L
.88197 .91516 L
.89559 .94263 L
.90881 .97228 L
s
.90881 .97228 m
.91987 1 L
s
.73333 .76667 m
.74118 .77089 L
.75008 .77619 L
.75876 .78193 L
.76741 .78821 L
.77696 .79584 L
.78649 .80419 L
.79699 .81431 L
.80746 .8254 L
.81787 .83745 L
.8293 .85195 L
.84064 .86771 L
.85183 .88472 L
.86402 .90504 L
.87596 .92693 L
.88881 .95297 L
.90121 .98096 L
s
.90121 .98096 m
.90876 1 L
s
.73333 .78333 m
.74086 .78759 L
.74939 .7929 L
.7577 .79861 L
.76599 .80483 L
.77513 .81234 L
.78424 .82052 L
.79426 .83038 L
.80424 .84113 L
.81415 .85277 L
.82499 .86669 L
.83572 .88177 L
.84628 .89796 L
.85774 .91721 L
.86893 .93786 L
.88091 .96229 L
.89241 .98841 L
s
.89241 .98841 m
.89698 1 L
s
.73333 .8 m
.74049 .80429 L
.74859 .80961 L
.75648 .81527 L
.76434 .82141 L
.773 .82878 L
.78162 .83676 L
.79109 .84631 L
.8005 .85667 L
.80981 .86783 L
.81999 .88111 L
.83002 .8954 L
.83986 .91068 L
.85051 .92874 L
.86085 .948 L
.87188 .97067 L
.88241 .99476 L
s
.88241 .99476 m
.88446 1 L
s
.73333 .81667 m
.74006 .82099 L
.74768 .8263 L
.75509 .83192 L
.76247 .83796 L
.77057 .84516 L
.77863 .8529 L
.78746 .86212 L
.79621 .87204 L
.80485 .88266 L
.81427 .89522 L
.82352 .90865 L
.83256 .92292 L
.84229 .93968 L
.85171 .95745 L
.86169 .97822 L
s
.86169 .97822 m
.87111 1 L
s
.73333 .83333 m
.73959 .83769 L
.74666 .84299 L
.75353 .84855 L
.76035 .85448 L
.76784 .86148 L
.77526 .86897 L
.78336 .8778 L
.79138 .88724 L
.79927 .89727 L
.80783 .90905 L
.8162 .92155 L
.82435 .93473 L
.83307 .95011 L
.84147 .96629 L
.85032 .98507 L
s
.85032 .98507 m
.85666 1 L
s
.73333 .85 m
.73907 .85438 L
.74554 .85967 L
.7518 .86515 L
.75801 .87096 L
.7648 .87775 L
.7715 .88495 L
.7788 .89337 L
.78599 .90229 L
.79304 .91168 L
.80064 .92262 L
.80805 .93414 L
.81521 .94618 L
.82283 .9601 L
.83011 .97464 L
.83773 .99135 L
s
.83773 .99135 m
.84128 1 L
s
.73333 .86667 m
.7385 .87108 L
.7443 .87634 L
.7499 .88174 L
.75543 .88741 L
.76144 .89397 L
.76736 .90086 L
.77377 .90883 L
.78004 .9172 L
.78615 .92592 L
.7927 .93598 L
.79903 .94646 L
.80511 .95732 L
.81152 .96975 L
.81759 .98259 L
.82387 .99722 L
s
.82387 .99722 m
.82494 1 L
s
.73333 .88333 m
.73788 .88777 L
.74295 .893 L
.74783 .89832 L
.7526 .90383 L
.75777 .91015 L
.76282 .9167 L
.76824 .9242 L
.77351 .93198 L
.77859 .94001 L
.78398 .94915 L
.78914 .95857 L
.79403 .96822 L
.79912 .97914 L
.80387 .99028 L
s
.80387 .99028 m
.8076 1 L
s
.73333 .9 m
.73721 .90446 L
.7415 .90966 L
.74558 .91488 L
.74954 .92022 L
.75378 .92628 L
.75787 .93248 L
.76222 .93949 L
.76638 .94667 L
.77034 .95397 L
.77447 .96219 L
.77834 .97053 L
.78193 .97896 L
.78558 .98837 L
.78888 .99784 L
s
.78888 .99784 m
.78954 1 L
s
.73333 .91667 m
.73649 .92115 L
.73993 .92631 L
.74315 .93142 L
.74622 .93659 L
.74946 .94236 L
.75252 .9482 L
.75569 .9547 L
.75865 .96126 L
.76138 .96784 L
.76413 .97512 L
.7666 .98239 L
.76878 .98963 L
.77085 .99756 L
s
.77085 .99756 m
.77139 1 L
s
.75 .08333 m
.74008 .08473 L
.72986 .08581 L
.72459 .08624 L
.71973 .08656 L
.71446 .08683 L
.71153 .08695 L
.70888 .08703 L
.70653 .08709 L
.70525 .08711 L
.70406 .08713 L
.70295 .08715 L
.70195 .08716 L
.70084 .08717 L
.70022 .08717 L
.69964 .08717 L
.69901 .08717 L
.69845 .08717 L
.69813 .08717 L
.69779 .08717 L
.69718 .08717 L
.6966 .08717 L
.69599 .08717 L
.69491 .08716 L
.69364 .08715 L
.69246 .08713 L
.68979 .08708 L
.68744 .08703 L
.6849 .08696 L
.68031 .08679 L
.6718 .08636 L
.66287 .08577 L
.65352 .08501 L
.63707 .08338 L
.62 .08138 L
.60399 .07932 L
.5874 .07708 L
.57183 .07495 L
.55724 .07299 L
.54212 .07104 L
.52796 .06933 L
.51335 .0677 L
.49971 .06634 L
.48698 .0652 L
.47387 .06418 L
.46167 .06337 L
.45033 .06272 L
.43866 .06216 L
.42783 .0617 L
.41673 .0613 L
Mistroke
.40643 .06094 L
.39688 .06061 L
.39682 .0606 L
Mfstroke
.75 .1 m
.74087 .10143 L
.73147 .10259 L
.72215 .10343 L
.71695 .10377 L
.71215 .10401 L
.7099 .1041 L
.70747 .10418 L
.70518 .10424 L
.7041 .10426 L
.70308 .10428 L
.70209 .10429 L
.70119 .10431 L
.7002 .10431 L
.69965 .10432 L
.69913 .10432 L
.69862 .10432 L
.69809 .10433 L
.69759 .10433 L
.69713 .10433 L
.6966 .10433 L
.69629 .10433 L
.69602 .10432 L
.69551 .10432 L
.69497 .10432 L
.69386 .10431 L
.69282 .1043 L
.69088 .10427 L
.68879 .10423 L
.68653 .10418 L
.68248 .10404 L
.67876 .10389 L
.67097 .10347 L
.66249 .10287 L
.64627 .10137 L
.63104 .09963 L
.61524 .09758 L
.60038 .09549 L
.5864 .09346 L
.57186 .09134 L
.5582 .08937 L
.54403 .08741 L
.53074 .08568 L
.51828 .08416 L
.50539 .08273 L
.49333 .08153 L
.48207 .08054 L
.47044 .07964 L
.45959 .07891 L
.44844 .07828 L
Mistroke
.43805 .07778 L
.4284 .07738 L
.41847 .07702 L
.4183 .07701 L
Mfstroke
.75 .11667 m
.74164 .11814 L
.73304 .11936 L
.7245 .12029 L
.71968 .1207 L
.71534 .121 L
.71123 .12122 L
.70737 .12138 L
.70527 .12144 L
.70333 .12149 L
.70122 .12153 L
.70016 .12154 L
.69955 .12155 L
.69899 .12156 L
.69847 .12156 L
.698 .12156 L
.69748 .12156 L
.6972 .12157 L
.69693 .12157 L
.69644 .12157 L
.696 .12157 L
.6955 .12157 L
.69498 .12157 L
.69455 .12156 L
.69409 .12156 L
.69325 .12155 L
.69225 .12154 L
.69135 .12153 L
.68935 .1215 L
.68718 .12145 L
.68326 .12133 L
.67965 .12119 L
.6757 .12099 L
.66779 .12049 L
.65294 .11919 L
.63897 .11763 L
.62445 .11572 L
.61076 .11374 L
.59786 .11177 L
.5844 .10966 L
.57172 .10767 L
.55853 .10563 L
.5461 .10377 L
.53442 .10211 L
.52228 .1005 L
.51089 .09911 L
.50021 .09791 L
.48914 .0968 L
.47878 .09587 L
.46809 .09504 L
Mistroke
.4581 .09437 L
.44878 .09383 L
.44025 .0934 L
Mfstroke
.75 .13333 m
.74239 .13484 L
.73456 .13613 L
.72678 .13715 L
.7224 .13762 L
.71845 .13798 L
.71495 .13825 L
.71118 .13848 L
.70724 .13867 L
.70533 .13874 L
.70355 .1388 L
.70177 .13884 L
.70015 .13888 L
.69929 .13889 L
.69836 .1389 L
.69785 .13891 L
.69737 .13891 L
.69689 .13891 L
.69644 .13892 L
.69597 .13892 L
.69572 .13892 L
.69546 .13892 L
.69502 .13892 L
.69477 .13892 L
.69454 .13892 L
.69411 .13892 L
.69371 .13892 L
.69326 .13891 L
.69283 .13891 L
.69188 .1389 L
.691 .13889 L
.68901 .13886 L
.68739 .13883 L
.68565 .13878 L
.68251 .13867 L
.67881 .13851 L
.67543 .13833 L
.66207 .13734 L
.64949 .13605 L
.63637 .13441 L
.62399 .13263 L
.61107 .13061 L
.59886 .12859 L
.58731 .12663 L
.57525 .12458 L
.56386 .12266 L
.5531 .12089 L
.54188 .11912 L
.5313 .11753 L
.5203 .11599 L
Mistroke
.50995 .11464 L
.50023 .11349 L
.49014 .1124 L
.48067 .11149 L
.47089 .11067 L
.46277 .11007 L
Mfstroke
.75 .15 m
.74312 .15154 L
.73604 .1529 L
.72842 .1541 L
.72147 .15496 L
.71529 .15555 L
.7088 .156 L
.70547 .15617 L
.70372 .15624 L
.70188 .1563 L
.70028 .15634 L
.69943 .15636 L
.69852 .15637 L
.69769 .15639 L
.69693 .1564 L
.69616 .1564 L
.69579 .15641 L
.69544 .15641 L
.69505 .15641 L
.69484 .15641 L
.69462 .15641 L
.69425 .15641 L
.69385 .15641 L
.69349 .15641 L
.6931 .15641 L
.69274 .15641 L
.69241 .15641 L
.69162 .1564 L
.69076 .15639 L
.68995 .15638 L
.6892 .15637 L
.68641 .15631 L
.68501 .15627 L
.68347 .15622 L
.67752 .15596 L
.67118 .15555 L
.65888 .15447 L
.64726 .15311 L
.63628 .15159 L
.62479 .1498 L
.61389 .14796 L
.6025 .14593 L
.59169 .14394 L
.58145 .14204 L
.57073 .14006 L
.56057 .13821 L
.55097 .13651 L
.54092 .1348 L
.53143 .13327 L
.52153 .13176 L
Mistroke
.5122 .13044 L
.50342 .12929 L
.49428 .1282 L
.48595 .1273 L
Mfstroke
.75 .16667 m
.73747 .16967 L
.73116 .17087 L
.7244 .17194 L
.71817 .17273 L
.7126 .17327 L
.7069 .17368 L
.7038 .17385 L
.70242 .17391 L
.7009 .17396 L
.69957 .174 L
.69815 .17404 L
.69737 .17405 L
.69666 .17406 L
.69593 .17407 L
.69526 .17408 L
.69465 .17409 L
.69433 .17409 L
.69399 .17409 L
.6938 .17409 L
.69362 .17409 L
.69327 .17409 L
.69295 .17409 L
.69262 .17409 L
.69232 .17409 L
.692 .17409 L
.6917 .17409 L
.69142 .17409 L
.69075 .17409 L
.69012 .17408 L
.68885 .17406 L
.68745 .17404 L
.68599 .174 L
.68463 .17397 L
.67961 .17376 L
.67695 .17362 L
.67417 .17345 L
.66923 .17307 L
.65918 .17209 L
.64867 .17078 L
.63871 .1693 L
.62827 .16756 L
.61835 .16576 L
.60892 .16396 L
.59902 .16199 L
.5896 .16008 L
.58066 .15826 L
.57126 .15635 L
.56234 .15457 L
.55299 .15275 L
Mistroke
.54412 .15108 L
.53572 .14957 L
.52693 .14807 L
.51861 .14673 L
.50995 .14543 L
.50989 .14542 L
Mfstroke
.75 .18333 m
.73886 .18643 L
.72725 .18891 L
.72178 .18982 L
.71677 .19051 L
.71172 .19107 L
.70702 .19148 L
.70455 .19164 L
.7019 .19179 L
.6995 .19189 L
.6973 .19196 L
.69616 .19199 L
.69553 .192 L
.69493 .19201 L
.69438 .19202 L
.69377 .19202 L
.69323 .19203 L
.69296 .19203 L
.69272 .19203 L
.69241 .19203 L
.69224 .19203 L
.69207 .19203 L
.69177 .19203 L
.69161 .19204 L
.69145 .19204 L
.69116 .19203 L
.6909 .19203 L
.69059 .19203 L
.6903 .19203 L
.68966 .19203 L
.68907 .19202 L
.68842 .19201 L
.68774 .192 L
.68549 .19195 L
.68423 .19192 L
.68308 .19188 L
.67876 .19168 L
.67432 .1914 L
.6695 .19101 L
.66019 .19004 L
.65135 .18887 L
.64208 .18741 L
.63326 .18585 L
.62486 .18423 L
.61602 .18242 L
.60758 .1806 L
.59954 .17883 L
.59107 .17692 L
.58299 .1751 L
.57448 .17318 L
Mistroke
.56638 .17138 L
.55867 .1697 L
.55057 .16798 L
.54286 .1664 L
.53478 .16482 L
.53468 .1648 L
Mfstroke
.75 .2 m
.74021 .2032 L
.73001 .20589 L
.72082 .20776 L
.71228 .20902 L
.70799 .2095 L
.70346 .20988 L
.70128 .21002 L
.69892 .21015 L
.69671 .21023 L
.69468 .21029 L
.69371 .21031 L
.69317 .21032 L
.69267 .21033 L
.6922 .21033 L
.69195 .21033 L
.69168 .21034 L
.69144 .21034 L
.69122 .21034 L
.691 .21034 L
.69079 .21034 L
.69054 .21034 L
.69027 .21034 L
.69013 .21034 L
.68998 .21034 L
.68972 .21034 L
.68946 .21034 L
.68921 .21034 L
.68874 .21033 L
.68819 .21033 L
.68768 .21032 L
.68654 .2103 L
.68559 .21028 L
.68457 .21026 L
.68273 .21019 L
.68055 .2101 L
.67856 .20999 L
.67445 .20972 L
.67065 .2094 L
.66315 .20859 L
.65555 .20756 L
.64757 .20627 L
.63995 .20486 L
.63268 .20339 L
.625 .20171 L
.61766 .20002 L
.61064 .19834 L
.60322 .19651 L
.59612 .19473 L
.58862 .19283 L
Mistroke
.58144 .19101 L
.57459 .18929 L
.56735 .18749 L
.56043 .1858 L
.56041 .18579 L
Mfstroke
.75 .21667 m
.74151 .21996 L
.73268 .22286 L
.72475 .22499 L
.7174 .22658 L
.7134 .22728 L
.70982 .22781 L
.70612 .22827 L
.70274 .2286 L
.69932 .22886 L
.69754 .22897 L
.69566 .22906 L
.69402 .22912 L
.6931 .22915 L
.69226 .22916 L
.69148 .22918 L
.69107 .22918 L
.69063 .22919 L
.69022 .22919 L
.68984 .22919 L
.68965 .22919 L
.68946 .2292 L
.68927 .2292 L
.6891 .2292 L
.68888 .2292 L
.68868 .2292 L
.68849 .22919 L
.68829 .22919 L
.68807 .22919 L
.68784 .22919 L
.68743 .22919 L
.68669 .22918 L
.68588 .22917 L
.685 .22915 L
.68406 .22912 L
.68237 .22906 L
.679 .2289 L
.67547 .22866 L
.66917 .22806 L
.66253 .22723 L
.6562 .22625 L
.64953 .22504 L
.64314 .22374 L
.63702 .22238 L
.63055 .22082 L
.62433 .21925 L
.61837 .21767 L
.61205 .21594 L
.60598 .21424 L
.59954 .2124 L
Mistroke
.59335 .21062 L
.58742 .20891 L
.58715 .20883 L
Mfstroke
.75 .23333 m
.74276 .23673 L
.73527 .23983 L
.72856 .24223 L
.72236 .24413 L
.716 .24575 L
.71008 .24696 L
.70712 .24745 L
.70396 .2479 L
.70122 .24823 L
.69822 .24851 L
.69542 .24871 L
.6939 .24879 L
.69248 .24885 L
.69179 .24887 L
.69104 .2489 L
.69038 .24891 L
.68967 .24892 L
.68932 .24893 L
.68898 .24893 L
.68868 .24894 L
.68852 .24894 L
.68835 .24894 L
.68819 .24894 L
.68804 .24894 L
.68788 .24894 L
.68771 .24894 L
.68756 .24894 L
.68741 .24894 L
.68727 .24894 L
.68713 .24894 L
.68696 .24894 L
.68681 .24894 L
.68647 .24893 L
.68616 .24893 L
.68584 .24893 L
.68517 .24892 L
.68443 .2489 L
.68296 .24886 L
.68159 .2488 L
.67884 .24866 L
.67636 .24848 L
.67106 .24796 L
.66601 .2473 L
.66067 .24644 L
.65555 .24548 L
.65065 .24443 L
.64545 .24321 L
.64045 .24194 L
.63514 .24049 L
Mistroke
.63002 .23902 L
.6251 .23754 L
.61985 .23591 L
.61496 .23435 L
Mfstroke
.75 .25 m
.74398 .25349 L
.73777 .25679 L
.73224 .25946 L
.72717 .26168 L
.722 .2637 L
.71721 .26535 L
.7123 .26679 L
.70773 .26792 L
.70345 .26878 L
.69902 .26947 L
.69685 .26973 L
.69484 .26993 L
.69293 .27008 L
.6909 .2702 L
.68986 .27025 L
.68931 .27027 L
.68872 .27029 L
.68816 .2703 L
.68766 .27031 L
.68741 .27031 L
.68715 .27031 L
.6869 .27032 L
.68667 .27032 L
.68655 .27032 L
.68642 .27032 L
.68631 .27032 L
.6862 .27032 L
.68607 .27032 L
.686 .27032 L
.68593 .27032 L
.6858 .27032 L
.68569 .27032 L
.68557 .27032 L
.68545 .27032 L
.68524 .27032 L
.68501 .27031 L
.68477 .27031 L
.68424 .2703 L
.68369 .27029 L
.68268 .27026 L
.68166 .27022 L
.68055 .27017 L
.67854 .27004 L
.67657 .26988 L
.67449 .26967 L
.67077 .26921 L
.66683 .26859 L
.66305 .26788 L
.65903 .26701 L
Mistroke
.65517 .26607 L
.65144 .26508 L
.64747 .26394 L
.6439 .26284 L
Mfstroke
.75 .26667 m
.74514 .27025 L
.74018 .27375 L
.7358 .27669 L
.73182 .27923 L
.7278 .28166 L
.72413 .28375 L
.72041 .28573 L
.71699 .28742 L
.71383 .28886 L
.71059 .29021 L
.70759 .29134 L
.7048 .29228 L
.70191 .29314 L
.6992 .29383 L
.6964 .29443 L
.69376 .29489 L
.69126 .29521 L
.69 .29534 L
.68866 .29545 L
.688 .29549 L
.6873 .29553 L
.68669 .29556 L
.68637 .29557 L
.68603 .29558 L
.68569 .29559 L
.68538 .2956 L
.68523 .2956 L
.68507 .2956 L
.68492 .2956 L
.68478 .2956 L
.68462 .29561 L
.68454 .29561 L
.6845 .29561 L
.68445 .29561 L
.68441 .29561 L
.68436 .29561 L
.68431 .29561 L
.68427 .29561 L
.68422 .29561 L
.68418 .29561 L
.6841 .29561 L
.68402 .29561 L
.68394 .29561 L
.68387 .29561 L
.6838 .29561 L
.68363 .2956 L
.68347 .2956 L
.68316 .2956 L
.68282 .29559 L
Mistroke
.68221 .29557 L
.68162 .29555 L
.68107 .29553 L
.67981 .29545 L
.67867 .29537 L
.67622 .29511 L
.67397 .2948 L
Mfstroke
.75 .28333 m
.74626 .28701 L
.7425 .2907 L
.73923 .29391 L
.73631 .29678 L
.73342 .29963 L
.73083 .30218 L
.72828 .30472 L
.72599 .307 L
.72393 .30907 L
.7219 .31114 L
.72007 .31302 L
.71843 .31473 L
.7168 .31645 L
.71533 .31803 L
.71389 .31962 L
.71259 .32107 L
.71143 .32241 L
.71028 .32378 L
.70925 .32503 L
.70825 .32631 L
.70735 .3275 L
.70656 .3286 L
.70578 .32973 L
.70513 .33074 L
s
.75 .3 m
.74734 .30377 L
.74473 .30765 L
.74253 .31113 L
.74064 .31432 L
.73884 .31759 L
.73731 .32062 L
.73589 .32373 L
.73472 .32665 L
.73375 .32939 L
.7329 .33224 L
.73225 .33495 L
.73176 .33752 L
.73156 .33893 L
.7314 .34023 L
.73134 .34087 L
.73128 .34156 L
.73124 .34221 L
.73121 .34283 L
.73119 .34316 L
.73118 .34352 L
.73117 .34382 L
.73116 .34415 L
.73116 .34432 L
.73115 .3445 L
.73115 .3446 L
.73115 .3447 L
.73115 .34479 L
.73115 .34488 L
.73115 .34496 L
.73115 .34504 L
.73115 .34513 L
.73115 .34518 L
.73115 .34522 L
.73115 .34531 L
.73115 .34538 L
.73115 .34547 L
.73115 .34555 L
.73115 .34573 L
.73115 .34589 L
.73116 .34619 L
.73117 .34652 L
.73118 .34688 L
.73121 .34752 L
.73124 .34812 L
.73133 .34938 L
.73147 .35078 L
.73186 .35355 L
.73238 .35624 L
.73308 .35916 L
Mistroke
.73391 .36204 L
.73485 .36488 L
.73601 .36798 L
.73728 .37107 L
.73732 .37115 L
Mfstroke
.75 .31667 m
.74837 .32052 L
.74687 .3246 L
.74571 .32833 L
.7448 .33185 L
.74406 .33554 L
.7438 .33723 L
.74356 .33906 L
.74346 .34005 L
.74338 .34097 L
.74331 .3419 L
.74325 .34277 L
.74322 .34358 L
.7432 .344 L
.74319 .34445 L
.74318 .34471 L
.74318 .34494 L
.74317 .34519 L
.74317 .34541 L
.74317 .34552 L
.74317 .34563 L
.74317 .34574 L
.74317 .34584 L
.74317 .34595 L
.74317 .34606 L
.74317 .34612 L
.74317 .34618 L
.74317 .3463 L
.74317 .3464 L
.74317 .34647 L
.74317 .34653 L
.74317 .34677 L
.74317 .34698 L
.74318 .34721 L
.74319 .34773 L
.7432 .3482 L
.74324 .34908 L
.74329 .35001 L
.74342 .35179 L
.74359 .35346 L
.74409 .35703 L
.74484 .36089 L
.74576 .36469 L
.74685 .36843 L
.74821 .37253 L
.74974 .37661 L
.75141 .38067 L
.75342 .38516 L
.75557 .38967 L
.75811 .3947 L
Mistroke
.76082 .39979 L
.76368 .40496 L
.76701 .41077 L
.77038 .41651 L
Mfstroke
.75 .33333 m
.74966 .33526 L
.74936 .33727 L
.74912 .33931 L
.749 .34048 L
.74892 .34154 L
.74886 .34249 L
.74881 .34351 L
.74878 .34408 L
.74877 .3446 L
.74876 .3451 L
.74875 .34535 L
.74875 .34562 L
.74874 .34587 L
.74874 .34602 L
.74874 .34615 L
.74874 .34627 L
.74874 .34639 L
.74874 .34652 L
.74874 .34665 L
.74874 .34676 L
.74874 .34688 L
.74874 .34698 L
.74874 .3471 L
.74875 .34735 L
.74875 .34758 L
.74876 .34812 L
.74877 .3486 L
.74879 .34916 L
.74881 .34969 L
.74887 .35067 L
.74893 .35172 L
.7491 .35359 L
.74932 .35559 L
.74958 .35747 L
.75029 .36151 L
.75128 .36589 L
.75246 .37021 L
.75383 .37449 L
.75552 .37918 L
.75739 .38388 L
.75964 .38907 L
.76209 .39431 L
.7647 .39959 L
.76778 .40551 L
.77104 .41153 L
.77447 .41767 L
.77847 .42461 L
.78265 .43174 L
.7875 .43987 L
Mistroke
.79259 .4483 L
.7979 .45704 L
.80402 .4671 L
.80407 .46717 L
Mfstroke
.75 .35 m
.75005 .35093 L
.75012 .35196 L
.7503 .35403 L
.75057 .35632 L
.75088 .35847 L
.75165 .36265 L
.75271 .36719 L
.75398 .37168 L
.75543 .37612 L
.75723 .38101 L
.75921 .3859 L
.76136 .3908 L
.76392 .39625 L
.76666 .40176 L
.76989 .40793 L
.77331 .41423 L
.77691 .42066 L
.7811 .42794 L
.7855 .43544 L
.7906 .444 L
.79595 .45289 L
.80154 .46214 L
.80799 .4728 L
.81474 .48398 L
.82176 .4957 L
.82987 .50936 L
.83807 .52336 L
s
.75 .36667 m
.75119 .37078 L
.75274 .3754 L
.75444 .37989 L
.75629 .38437 L
.75851 .38934 L
.7609 .39435 L
.76373 .39993 L
.76674 .40561 L
.76991 .41138 L
.77361 .41789 L
.77751 .42457 L
.78157 .43141 L
.78628 .43921 L
.79119 .44728 L
.79687 .45654 L
.8028 .46621 L
.80898 .47629 L
.8161 .48798 L
.82353 .5003 L
.83211 .51468 L
.84108 .53 L
.85044 .54629 L
.86125 .56553 L
.87195 .58511 L
s
.75 .38333 m
.75204 .38753 L
.75452 .39232 L
.75708 .39706 L
.75977 .40185 L
.76291 .40724 L
.76619 .41274 L
.76999 .41896 L
.77396 .42537 L
.7781 .43196 L
.78287 .43948 L
.78784 .44728 L
.79299 .45537 L
.79892 .46468 L
.80508 .47441 L
.81216 .4857 L
.81955 .49762 L
.82722 .51018 L
.83606 .52488 L
.84528 .54054 L
.8559 .55903 L
.86702 .57893 L
.87861 .60032 L
.89197 .62587 L
.90521 .65215 L
s
.75 .4 m
.75285 .40427 L
.7562 .40923 L
.75959 .41421 L
.76309 .4193 L
.76709 .42511 L
.77123 .4311 L
.77596 .43796 L
.78086 .4451 L
.78593 .45252 L
.79173 .46108 L
.79773 .47004 L
.80394 .47941 L
.81105 .49031 L
.81842 .5018 L
.82688 .51525 L
.83568 .52957 L
.84482 .5448 L
.85534 .5628 L
.86629 .58213 L
.87891 .60516 L
.8921 .63019 L
.90584 .65732 L
.92164 .69002 L
.93722 .72393 L
s
.75 .41667 m
.7536 .42102 L
.75778 .42614 L
.76196 .43134 L
.76622 .43674 L
.77105 .44294 L
.776 .44943 L
.78163 .45692 L
.78742 .46479 L
.79338 .47305 L
.80016 .48265 L
.80717 .4928 L
.81438 .5035 L
.82263 .51603 L
.83117 .52935 L
.84095 .54506 L
.85113 .56193 L
.86167 .57999 L
.87379 .6015 L
.88641 .62478 L
.90092 .65274 L
.91606 .68334 L
.93176 .71674 L
.94975 .75724 L
.96735 .79949 L
s
.75 .43333 m
.75432 .43776 L
.75927 .44304 L
.76419 .44846 L
.76918 .45414 L
.77479 .46075 L
.78052 .46771 L
.78699 .47583 L
.79363 .48443 L
.80043 .49352 L
.80816 .50418 L
.81612 .51552 L
.8243 .52756 L
.83363 .54176 L
.84328 .55696 L
.85432 .57502 L
.8658 .59452 L
.87768 .61555 L
.8913 .64074 L
.90547 .66818 L
.92171 .70133 L
.9386 .73782 L
.95602 .77785 L
.9758 .82659 L
.99494 .87756 L
s
.75 .45 m
.75498 .45451 L
.76067 .45993 L
.76628 .46557 L
.77195 .47153 L
.7783 .47852 L
.78476 .48594 L
.79204 .49467 L
.79948 .50399 L
.80708 .51391 L
.8157 .52561 L
.82456 .53815 L
.83366 .55154 L
.84402 .56743 L
.85471 .58454 L
.86694 .60497 L
.87962 .62718 L
.89273 .65124 L
.90775 .68022 L
.9233 .71194 L
.94108 .75044 L
.95945 .79298 L
.97824 .83979 L
.99933 .89688 L
s
.99933 .89688 m
1 .89887 L
s
.75 .46667 m
.7556 .47125 L
.76197 .47682 L
.76823 .48266 L
.77454 .48888 L
.78159 .49624 L
.78874 .50412 L
.79676 .51344 L
.80496 .52346 L
.81332 .53419 L
.82277 .54693 L
.83248 .56065 L
.84243 .57538 L
.85375 .59295 L
.86542 .61196 L
.87873 .63478 L
.89253 .6597 L
.90676 .68682 L
.92301 .71962 L
.93978 .75565 L
.95883 .79952 L
.97837 .84811 L
.99813 .90161 L
s
.99813 .90161 m
1 .9072 L
s
.75 .48333 m
.75617 .48798 L
.76318 .4937 L
.77004 .49973 L
.77695 .50621 L
.78464 .51392 L
.79243 .52223 L
.80116 .53213 L
.81006 .54283 L
.81912 .55435 L
.82936 .56809 L
.83985 .58297 L
.85059 .59901 L
.86279 .61823 L
.87535 .63912 L
.88967 .6643 L
.90445 .6919 L
.91967 .72204 L
.93698 .75861 L
.95476 .79888 L
.97481 .84799 L
.99515 .90242 L
s
.99515 .90242 m
1 .91673 L
s
.75 .5 m
.7567 .50472 L
.76428 .51056 L
.77171 .51678 L
.77916 .52351 L
.78746 .53156 L
.79585 .54028 L
.80523 .55072 L
.81478 .56207 L
.82449 .57435 L
.83545 .58906 L
.84666 .60505 L
.85812 .62237 L
.87113 .6432 L
.88449 .66591 L
.89968 .69338 L
.91534 .72358 L
.9314 .75665 L
.94958 .79685 L
.96814 .84118 L
.98889 .89526 L
s
.98889 .89526 m
1 .9273 L
s
.75 .51667 m
.75717 .52146 L
.76529 .52742 L
.77324 .53382 L
.78119 .54077 L
.79004 .54914 L
.79897 .55825 L
.80895 .56921 L
.8191 .58118 L
.82941 .59417 L
.84102 .6098 L
.85289 .62687 L
.865 .6454 L
.87872 .66776 L
.89279 .69221 L
.90874 .72186 L
.92514 .75454 L
.94188 .79038 L
.96074 .834 L
.97984 .88211 L
s
.97984 .88211 m
1 .93807 L
s
.75 .53333 m
.7576 .53819 L
.76621 .54427 L
.77461 .55083 L
.78303 .558 L
.79238 .56666 L
.80181 .57614 L
.81233 .58758 L
.82302 .60013 L
.83386 .6138 L
.84606 .6303 L
.85851 .64836 L
.8712 .66804 L
.88554 .69183 L
.90022 .71792 L
.91682 .74961 L
.93381 .7846 L
.95108 .823 L
.97041 .86974 L
.98981 .92127 L
s
.98981 .92127 m
1 .9514 L
s
.75 .55 m
.75799 .55492 L
.76702 .56112 L
.77585 .56783 L
.78467 .57519 L
.79447 .58413 L
.80435 .59394 L
.81536 .60583 L
.82653 .61891 L
.83785 .63321 L
.85056 .65051 L
.86352 .6695 L
.8767 .69023 L
.89158 .71535 L
.90676 .74293 L
.92387 .77649 L
.94131 .81356 L
.95895 .85426 L
.97854 .90378 L
.99802 .95827 L
s
.99802 .95827 m
1 .9645 L
s
.75 .56667 m
.75833 .57165 L
.76774 .57795 L
.77693 .5848 L
.78612 .59234 L
.79632 .60153 L
.80658 .61165 L
.81802 .62395 L
.82962 .63752 L
.84135 .65238 L
.85451 .67041 L
.8679 .69024 L
.8815 .71191 L
.89681 .73823 L
.91238 .76715 L
.92988 .80236 L
.94763 .84127 L
.96547 .88396 L
.98514 .93583 L
s
.98514 .93583 m
1 .97961 L
s
.75 .58333 m
.75861 .58837 L
.76836 .59477 L
.77786 .60175 L
.78737 .60946 L
.79791 .61887 L
.80852 .62926 L
.82033 .64193 L
.83228 .65593 L
.84436 .6713 L
.85789 .68997 L
.87164 .71053 L
.88557 .73305 L
.90121 .7604 L
.91708 .79048 L
.93483 .82711 L
.95274 .86756 L
.97064 .91191 L
.99019 .96568 L
s
.99019 .96568 m
1 .99607 L
s
.75 .6 m
.75886 .6051 L
.76887 .61159 L
.77865 .61868 L
.78842 .62654 L
.79925 .63615 L
.81014 .64678 L
.82225 .65976 L
.8345 .67414 L
.84687 .68994 L
.8607 .70916 L
.87473 .73036 L
.8889 .75359 L
.90478 .78181 L
.92083 .81285 L
.9387 .85064 L
.95665 .89233 L
.97445 .93795 L
.99372 .99313 L
s
.99372 .99313 m
.99583 1 L
s
.75 .61667 m
.75905 .62182 L
.76929 .62839 L
.77928 .63559 L
.78926 .64357 L
.80033 .65336 L
.81145 .66419 L
.82381 .67744 L
.83629 .69213 L
.84887 .70829 L
.86292 .72798 L
.87714 .74969 L
.89148 .77348 L
.90749 .8024 L
.92362 .83419 L
.9415 .87285 L
.95934 .91544 L
.97691 .96195 L
s
.97691 .96195 m
.9897 1 L
s
.75 .63333 m
.7592 .63854 L
.7696 .64519 L
.77976 .65248 L
.78991 .66057 L
.80115 .67049 L
.81244 .6815 L
.82498 .69496 L
.83762 .70991 L
.85036 .72635 L
.86455 .74638 L
.87888 .76849 L
.8933 .79271 L
.90934 .82213 L
.92545 .85444 L
.94321 .89369 L
.96083 .93683 L
.97805 .98382 L
s
.97805 .98382 m
.98329 1 L
s
.75 .65 m
.75929 .65526 L
.76981 .66198 L
.78008 .66934 L
.79034 .67752 L
.8017 .68756 L
.8131 .69869 L
.82576 .71232 L
.8385 .72745 L
.85132 .74409 L
.86557 .76437 L
.87994 .78674 L
.89434 .81123 L
.91033 .84096 L
.9263 .87356 L
.94384 .91308 L
.96112 .95643 L
s
.96112 .95643 m
.97664 1 L
s
.75 .66667 m
.75934 .67197 L
.76992 .67875 L
.78025 .68618 L
.79057 .69443 L
.80199 .70455 L
.81344 .71577 L
.82614 .72951 L
.83892 .74475 L
.85174 .76152 L
.86598 .78193 L
.88029 .80443 L
.89461 .82904 L
.91043 .85886 L
.92619 .89152 L
.94339 .93101 L
.96023 .9742 L
s
.96023 .9742 m
.96917 1 L
s
.75 .68333 m
.75935 .68869 L
.76993 .69552 L
.78027 .703 L
.79058 .71129 L
.80201 .72147 L
.81345 .73274 L
.82613 .74653 L
.83886 .76181 L
.85163 .77862 L
.86577 .79905 L
.87994 .82154 L
.89408 .8461 L
.90966 .87582 L
.92509 .90829 L
.94186 .94745 L
.95816 .99014 L
s
.95816 .99014 m
.96149 1 L
s
.75 .7 m
.7593 .7054 L
.76983 .71227 L
.78012 .71979 L
.79039 .72811 L
.80175 .73831 L
.81312 .74959 L
.8257 .76338 L
.83833 .77863 L
.85096 .79538 L
.86492 .81572 L
.87888 .83807 L
.89276 .86243 L
.908 .89183 L
.92302 .92387 L
.93925 .9624 L
s
.93925 .9624 m
.95334 1 L
s
.75 .71667 m
.75921 .72211 L
.76963 .72902 L
.77981 .73656 L
.78998 .74489 L
.80121 .75508 L
.81245 .76633 L
.82487 .78005 L
.83731 .79521 L
.84974 .81182 L
.86344 .83194 L
.8771 .85401 L
.89064 .87801 L
.90544 .90689 L
.91997 .93828 L
.93558 .97589 L
s
.93558 .97589 m
.94445 1 L
s
.75 .73333 m
.75906 .73882 L
.76933 .74576 L
.77935 .7533 L
.78935 .76162 L
.80039 .77177 L
.81143 .78295 L
.82362 .79655 L
.83581 .81154 L
.84795 .82792 L
.86131 .84772 L
.87459 .86937 L
.8877 .89285 L
.90198 .92103 L
.91594 .95153 L
.93084 .98795 L
s
.93084 .98795 m
.9352 1 L
s
.75 .75 m
.75887 .75552 L
.76892 .76248 L
.77872 .77003 L
.7885 .77831 L
.79929 .78838 L
.81007 .79945 L
.82194 .81287 L
.8338 .82762 L
.84558 .8437 L
.85852 .86306 L
.87133 .88417 L
.88395 .90698 L
.89762 .93425 L
.91092 .96367 L
.92504 .99863 L
s
.92504 .99863 m
.92553 1 L
s
.75 .76667 m
.75863 .77223 L
.7684 .7792 L
.77793 .78672 L
.78743 .79496 L
.7979 .80493 L
.80835 .81584 L
.81984 .82903 L
.83128 .84347 L
.84264 .85915 L
.85506 .87797 L
.86733 .89841 L
.87936 .92041 L
.89235 .9466 L
.90491 .97473 L
s
.90491 .97473 m
.91498 1 L
s
.75 .78333 m
.75834 .78893 L
.76778 .79591 L
.77697 .8034 L
.78613 .81156 L
.79622 .8214 L
.80627 .83212 L
.81729 .84502 L
.82826 .85908 L
.8391 .87429 L
.85093 .89247 L
.86257 .91211 L
.87394 .93317 L
.88615 .95812 L
.8979 .98479 L
s
.8979 .98479 m
.90387 1 L
s
.75 .8 m
.758 .80563 L
.76704 .81261 L
.77585 .82005 L
.78461 .82812 L
.79425 .83779 L
.80382 .84829 L
.81431 .86085 L
.82471 .87447 L
.83497 .88913 L
.84612 .90656 L
.85704 .92531 L
.86766 .9453 L
.87902 .96887 L
.88988 .99392 L
s
.88988 .99392 m
.89223 1 L
s
.75 .81667 m
.75761 .82233 L
.7662 .8293 L
.77456 .83668 L
.78286 .84464 L
.79197 .85412 L
.801 .86435 L
.81087 .87652 L
.82063 .88964 L
.83022 .90368 L
.8406 .92029 L
.85073 .93803 L
.86053 .95685 L
.87094 .9789 L
s
.87094 .9789 m
.87991 1 L
s
.75 .83333 m
.75717 .83902 L
.76526 .84597 L
.77311 .85329 L
.78088 .86111 L
.7894 .87038 L
.79781 .88031 L
.80698 .89204 L
.81601 .90461 L
.82485 .91797 L
.83438 .93366 L
.84362 .95032 L
.85251 .96787 L
.8619 .98829 L
s
.8619 .98829 m
.86673 1 L
s
.75 .85 m
.75668 .85572 L
.7642 .86264 L
.77148 .86987 L
.77867 .87755 L
.78651 .88657 L
.79424 .89617 L
.80263 .90742 L
.81085 .91938 L
.81885 .932 L
.82743 .94671 L
.83569 .96221 L
.84359 .97841 L
.85186 .99712 L
s
.85186 .99712 m
.853 1 L
s
.75 .86667 m
.75614 .87241 L
.76303 .8793 L
.76968 .88644 L
.77622 .89395 L
.78332 .90271 L
.79029 .91193 L
.7978 .92267 L
.80512 .93398 L
.81221 .94581 L
.81974 .95948 L
.82694 .97376 L
.83375 .98855 L
s
.83375 .98855 m
.83853 1 L
s
.75 .88333 m
.75556 .8891 L
.76176 .89595 L
.7677 .90298 L
.77353 .91031 L
.77982 .91878 L
.78594 .92761 L
.7925 .93779 L
.79883 .94841 L
.8049 .95941 L
.8113 .972 L
.81733 .98501 L
.82297 .99835 L
s
.82297 .99835 m
.8236 1 L
s
.75 .9 m
.75492 .90578 L
.76037 .9126 L
.76556 .9195 L
.7706 .92664 L
.77599 .93479 L
.78119 .94321 L
.7867 .95281 L
.79196 .9627 L
.79693 .97284 L
.80208 .98431 L
.80685 .99602 L
s
.80685 .99602 m
.80832 1 L
s
.75 .91667 m
.75423 .92247 L
.75887 .92923 L
.76323 .93601 L
.76742 .94293 L
.77185 .95075 L
.77605 .95874 L
.78042 .96772 L
.7845 .97687 L
.78827 .98612 L
.79207 .99645 L
s
.79207 .99645 m
.79323 1 L
s
.76667 .08333 m
.75648 .0854 L
.74602 .08713 L
.73568 .08846 L
.72986 .08905 L
.72463 .08949 L
.72001 .0898 L
.71504 .09007 L
.71233 .09018 L
.70984 .09027 L
.7075 .09033 L
.70621 .09036 L
.70498 .09039 L
.70384 .09041 L
.70259 .09042 L
.70146 .09043 L
.70041 .09044 L
.69985 .09044 L
.69933 .09045 L
.69886 .09045 L
.69835 .09045 L
.69779 .09045 L
.69721 .09045 L
.69671 .09045 L
.69616 .09044 L
.69551 .09044 L
.6949 .09043 L
.69376 .09042 L
.69253 .09041 L
.6912 .09039 L
.68881 .09034 L
.6866 .09028 L
.6822 .09014 L
.6781 .08997 L
.66885 .08946 L
.65187 .08813 L
.63431 .08631 L
.61783 .08432 L
.60238 .08229 L
.58633 .08009 L
.57127 .07801 L
.55568 .07589 L
.54106 .07399 L
.52737 .07232 L
.51322 .07074 L
.5 .0694 L
.48766 .06828 L
.47494 .06727 L
.46309 .06646 L
.45092 .06576 L
Mistroke
.4396 .0652 L
.42909 .06476 L
.4183 .06435 L
.40858 .06402 L
Mfstroke
.76667 .1 m
.75729 .10211 L
.74766 .10392 L
.73734 .10545 L
.72797 .10652 L
.71966 .1072 L
.71508 .10748 L
.71094 .10767 L
.70883 .10775 L
.70659 .10782 L
.7047 .10787 L
.70261 .10791 L
.70145 .10792 L
.70039 .10793 L
.6998 .10794 L
.69917 .10794 L
.69887 .10795 L
.69856 .10795 L
.69801 .10795 L
.69745 .10795 L
.69714 .10795 L
.69685 .10795 L
.69632 .10795 L
.69576 .10795 L
.69526 .10795 L
.69479 .10794 L
.69373 .10793 L
.69263 .10792 L
.69161 .10791 L
.68932 .10787 L
.6873 .10782 L
.68517 .10776 L
.67749 .10746 L
.67365 .10725 L
.66954 .107 L
.66217 .10646 L
.64591 .10493 L
.63064 .10316 L
.61628 .10126 L
.60135 .09914 L
.58729 .09707 L
.57269 .0949 L
.55895 .0929 L
.54604 .09108 L
.53265 .08929 L
.52009 .08772 L
.50833 .08638 L
.49615 .08512 L
.48476 .08407 L
.47301 .08312 L
Mistroke
.46205 .08236 L
.45184 .08175 L
.44132 .08121 L
.43153 .08078 L
.43104 .08076 L
Mfstroke
.76667 .11667 m
.75807 .11882 L
.74925 .1207 L
.7398 .12235 L
.73122 .12354 L
.72361 .12436 L
.71562 .12499 L
.71154 .12522 L
.7094 .12532 L
.70714 .12541 L
.70518 .12547 L
.70303 .12552 L
.70209 .12554 L
.70108 .12556 L
.70013 .12558 L
.69926 .12558 L
.69828 .12559 L
.69774 .1256 L
.69724 .1256 L
.69677 .1256 L
.69634 .1256 L
.69586 .1256 L
.69536 .1256 L
.69486 .1256 L
.69457 .1256 L
.69432 .1256 L
.69334 .12559 L
.6928 .12559 L
.69221 .12558 L
.69114 .12557 L
.68921 .12554 L
.68717 .12549 L
.68353 .12538 L
.68002 .12524 L
.67626 .12506 L
.66952 .12464 L
.65464 .12337 L
.64064 .12182 L
.62746 .12009 L
.61371 .11811 L
.60074 .11611 L
.58723 .11396 L
.57448 .11191 L
.56247 .11001 L
.54996 .10809 L
.53817 .10636 L
.5271 .10482 L
.51558 .10334 L
.50477 .10206 L
.49358 .10086 L
Mistroke
.4831 .09987 L
.47329 .09904 L
.46316 .0983 L
.45412 .09773 L
Mfstroke
.76667 .13333 m
.75081 .13748 L
.74287 .13912 L
.73438 .14057 L
.72659 .14162 L
.71963 .14235 L
.71255 .1429 L
.7087 .14311 L
.70698 .14319 L
.7051 .14326 L
.70345 .14332 L
.70169 .14336 L
.70072 .14339 L
.69984 .1434 L
.69894 .14342 L
.69811 .14343 L
.69735 .14343 L
.69696 .14344 L
.69654 .14344 L
.6963 .14344 L
.69608 .14344 L
.69565 .14344 L
.69525 .14344 L
.69484 .14344 L
.69447 .14344 L
.69407 .14344 L
.6937 .14344 L
.69336 .14344 L
.69297 .14344 L
.69253 .14344 L
.69175 .14343 L
.69095 .14342 L
.69009 .14341 L
.68854 .14338 L
.6867 .14334 L
.68502 .14329 L
.68158 .14317 L
.67797 .143 L
.67143 .14261 L
.66541 .14215 L
.65282 .14092 L
.63972 .13931 L
.62733 .13755 L
.61562 .13572 L
.60339 .13369 L
.59181 .1317 L
.58086 .12979 L
.56941 .12781 L
.55859 .12596 L
.5473 .12411 L
Mistroke
.53665 .12243 L
.52661 .12094 L
.51615 .11949 L
.50632 .11823 L
.49612 .11704 L
.48654 .11604 L
.47794 .11523 L
Mfstroke
.76667 .15 m
.75232 .15426 L
.74513 .15601 L
.73746 .15759 L
.72414 .15968 L
.71774 .1604 L
.71101 .16095 L
.70777 .16115 L
.70429 .16132 L
.7027 .16138 L
.70102 .16143 L
.69946 .16147 L
.69803 .1615 L
.69732 .16151 L
.69654 .16152 L
.69581 .16153 L
.69514 .16153 L
.69494 .16153 L
.69473 .16153 L
.69435 .16154 L
.69398 .16154 L
.69364 .16154 L
.69327 .16154 L
.69306 .16154 L
.69286 .16154 L
.69247 .16153 L
.69225 .16153 L
.69204 .16153 L
.69133 .16153 L
.69068 .16152 L
.68919 .1615 L
.68789 .16148 L
.68651 .16145 L
.6837 .16136 L
.68069 .16124 L
.67528 .16096 L
.66942 .16054 L
.66332 .16001 L
.65244 .15883 L
.64108 .15733 L
.63031 .15568 L
.61904 .1538 L
.60835 .15188 L
.59821 .15 L
.58758 .14798 L
.5775 .14606 L
.56795 .14425 L
.55793 .1424 L
.54845 .14069 L
.53854 .13899 L
Mistroke
.52918 .13745 L
.52033 .13609 L
.51111 .13477 L
.5026 .13364 L
Mfstroke
.76667 .16667 m
.75378 .17104 L
.74046 .17461 L
.72852 .17701 L
.71748 .17858 L
.71194 .17913 L
.70611 .17956 L
.7033 .17971 L
.70183 .17978 L
.70027 .17983 L
.69892 .17988 L
.69743 .17991 L
.69679 .17992 L
.69609 .17994 L
.69543 .17995 L
.69483 .17995 L
.69415 .17996 L
.69378 .17996 L
.69343 .17996 L
.6931 .17996 L
.6928 .17996 L
.69248 .17997 L
.69213 .17996 L
.69178 .17996 L
.69158 .17996 L
.6914 .17996 L
.69106 .17996 L
.69073 .17996 L
.68999 .17995 L
.6892 .17994 L
.68786 .17992 L
.68644 .17989 L
.68391 .17982 L
.68146 .17973 L
.67884 .1796 L
.67412 .17931 L
.66366 .17841 L
.65376 .17726 L
.64437 .17594 L
.63452 .17435 L
.62516 .17268 L
.61533 .1708 L
.60598 .16892 L
.59708 .16708 L
.58772 .16512 L
.57882 .16324 L
.57036 .16147 L
.56146 .15964 L
.55301 .15795 L
.54416 .15623 L
Mistroke
.53577 .15468 L
.52823 .15335 L
Mfstroke
.76667 .18333 m
.7552 .18782 L
.74337 .19163 L
.73279 .19434 L
.72301 .19626 L
.71771 .19707 L
.71297 .19767 L
.70813 .19815 L
.70361 .19848 L
.70132 .19861 L
.69891 .19872 L
.69687 .19878 L
.69571 .19881 L
.69463 .19883 L
.69408 .19884 L
.69349 .19885 L
.69315 .19885 L
.69284 .19886 L
.69253 .19886 L
.69224 .19886 L
.69197 .19886 L
.69168 .19886 L
.69139 .19886 L
.69123 .19886 L
.69108 .19886 L
.6908 .19886 L
.69055 .19886 L
.69026 .19886 L
.68998 .19886 L
.68947 .19886 L
.68893 .19885 L
.68796 .19884 L
.68692 .19882 L
.68577 .1988 L
.6835 .19873 L
.68142 .19865 L
.67677 .1984 L
.67259 .1981 L
.66806 .19769 L
.65927 .19671 L
.65093 .19554 L
.64217 .1941 L
.63382 .19256 L
.62586 .19097 L
.61747 .18919 L
.60946 .1874 L
.60182 .18565 L
.59375 .18377 L
.58605 .18195 L
.57793 .18004 L
Mistroke
.57019 .17824 L
.56281 .17654 L
.55504 .1748 L
.55494 .17478 L
Mfstroke
.76667 .2 m
.75658 .20459 L
.74619 .20865 L
.73693 .21167 L
.7284 .21395 L
.71966 .2158 L
.71154 .21707 L
.70721 .21757 L
.70316 .21794 L
.70124 .21808 L
.69921 .2182 L
.69732 .21829 L
.6956 .21835 L
.69377 .21841 L
.69277 .21842 L
.69231 .21843 L
.69182 .21844 L
.69136 .21844 L
.69094 .21845 L
.69074 .21845 L
.69053 .21845 L
.69032 .21845 L
.69014 .21845 L
.68992 .21845 L
.68971 .21845 L
.68949 .21845 L
.68925 .21845 L
.68899 .21845 L
.68876 .21845 L
.68831 .21844 L
.68786 .21844 L
.68743 .21843 L
.68647 .21842 L
.68553 .2184 L
.68453 .21837 L
.68271 .21831 L
.68106 .21824 L
.67752 .21805 L
.67368 .21777 L
.66624 .21703 L
.65916 .2161 L
.65172 .21493 L
.64461 .21363 L
.63782 .21226 L
.63064 .21068 L
.62377 .20907 L
.6172 .20746 L
.61024 .20569 L
.60356 .20395 L
.5965 .20208 L
Mistroke
.58974 .20027 L
.58326 .19854 L
.58282 .19842 L
Mfstroke
.76667 .21667 m
.75791 .22137 L
.74893 .22566 L
.74095 .22899 L
.73363 .23165 L
.72618 .23394 L
.71927 .23569 L
.71219 .23711 L
.70872 .23766 L
.70556 .23809 L
.70234 .23845 L
.69936 .23871 L
.69638 .23891 L
.69482 .23899 L
.69314 .23905 L
.69238 .23907 L
.69157 .23909 L
.6911 .2391 L
.69068 .23911 L
.69025 .23912 L
.68986 .23912 L
.68948 .23913 L
.68929 .23913 L
.68909 .23913 L
.68898 .23913 L
.68888 .23913 L
.68869 .23913 L
.68858 .23913 L
.68847 .23913 L
.68836 .23913 L
.68826 .23913 L
.68808 .23913 L
.68791 .23913 L
.68773 .23913 L
.68753 .23913 L
.68713 .23913 L
.68676 .23912 L
.68603 .23911 L
.68526 .2391 L
.68387 .23906 L
.68222 .23901 L
.68073 .23894 L
.67784 .23877 L
.67473 .23853 L
.66866 .2379 L
.66287 .23712 L
.65734 .23621 L
.6515 .2351 L
.6459 .23391 L
.63997 .23253 L
Mistroke
.63427 .2311 L
.6288 .22965 L
.62299 .22803 L
.61739 .22641 L
.61198 .2248 L
Mfstroke
.76667 .23333 m
.7592 .23814 L
.75158 .24266 L
.74485 .24632 L
.73872 .24935 L
.73251 .2521 L
.7268 .25435 L
.72099 .25635 L
.71559 .25793 L
.71058 .25916 L
.70539 .26018 L
.70287 .26058 L
.70054 .2609 L
.69818 .26117 L
.69597 .26138 L
.69356 .26156 L
.69138 .26167 L
.69026 .26171 L
.68964 .26173 L
.68907 .26174 L
.68853 .26175 L
.68825 .26176 L
.68795 .26176 L
.6877 .26176 L
.68756 .26176 L
.68742 .26176 L
.68729 .26177 L
.68717 .26177 L
.68705 .26177 L
.68694 .26177 L
.6868 .26177 L
.68666 .26177 L
.68653 .26177 L
.68641 .26177 L
.68627 .26177 L
.68612 .26177 L
.68597 .26176 L
.68582 .26176 L
.68552 .26176 L
.68525 .26176 L
.68464 .26175 L
.68412 .26174 L
.68356 .26172 L
.68254 .26169 L
.68146 .26165 L
.68028 .26159 L
.6779 .26143 L
.67571 .26125 L
.67337 .26101 L
.66878 .26043 L
Mistroke
.66438 .25972 L
.66016 .25893 L
.65569 .25796 L
.65138 .25693 L
.64681 .25573 L
.64249 .25451 L
Mfstroke
.76667 .25 m
.76044 .25491 L
.75414 .25967 L
.74862 .26363 L
.74364 .26704 L
.73865 .27028 L
.73412 .27305 L
.72956 .27566 L
.72538 .27788 L
.72154 .27978 L
.71764 .28154 L
.71402 .28303 L
.71067 .28427 L
.70722 .2854 L
.704 .28632 L
.70067 .28712 L
.69755 .28774 L
.69461 .2882 L
.69299 .28841 L
.69154 .28856 L
.69002 .28868 L
.68863 .28877 L
.68794 .28881 L
.68722 .28883 L
.6865 .28886 L
.68608 .28886 L
.68589 .28887 L
.6857 .28887 L
.68553 .28887 L
.68534 .28887 L
.68515 .28888 L
.68504 .28888 L
.68499 .28888 L
.68494 .28888 L
.68486 .28888 L
.68476 .28888 L
.68468 .28888 L
.6846 .28888 L
.6845 .28888 L
.68442 .28888 L
.68432 .28888 L
.68423 .28887 L
.68406 .28887 L
.68389 .28887 L
.68358 .28887 L
.68325 .28886 L
.68289 .28885 L
.68216 .28883 L
.68149 .28881 L
.68 .28873 L
Mistroke
.67865 .28863 L
.67718 .28849 L
.67438 .28817 L
Mfstroke
.76667 .26667 m
.76164 .27168 L
.75661 .27666 L
.75227 .28094 L
.74841 .28473 L
.74461 .28845 L
.74123 .29176 L
.73789 .29502 L
.73491 .29793 L
.73225 .30055 L
.72961 .30314 L
.72725 .30548 L
.72513 .30758 L
.72302 .3097 L
.72112 .31161 L
.71925 .31353 L
.71756 .31527 L
.71605 .31686 L
.71455 .31847 L
.7132 .31993 L
.71187 .32142 L
.71067 .32278 L
.70961 .32404 L
.70855 .32532 L
.70766 .32644 L
s
.76667 .28333 m
.76279 .28845 L
.75899 .29366 L
.75579 .29824 L
.75302 .30242 L
.75038 .30663 L
.74811 .3105 L
.74598 .31443 L
.74419 .31807 L
.74268 .32145 L
.7413 .32495 L
.74019 .32823 L
.73931 .33132 L
.73856 .33455 L
.73802 .33763 L
.7378 .3393 L
.73764 .34088 L
.73758 .34163 L
.73753 .34243 L
.73749 .34319 L
.73747 .34387 L
.73745 .34426 L
.73745 .34446 L
.73745 .34466 L
.73744 .34484 L
.73744 .345 L
.73744 .34519 L
.73744 .34529 L
.73744 .34538 L
.73744 .34548 L
.73744 .34558 L
.73744 .34563 L
.73744 .34569 L
.73744 .34579 L
.73744 .34589 L
.73744 .34599 L
.73744 .34607 L
.73744 .34617 L
.73744 .34638 L
.73745 .34661 L
.73745 .34702 L
.73747 .34744 L
.73748 .34782 L
.73752 .3487 L
.73757 .34947 L
.73763 .35029 L
.73778 .35185 L
.73795 .35331 L
.73845 .35644 L
.73916 .35982 L
Mistroke
.74002 .36315 L
.74102 .36642 L
.74226 .37 L
Mfstroke
.76667 .3 m
.7639 .30521 L
.76128 .31064 L
.75918 .31554 L
.75746 .32009 L
.75595 .32481 L
.75477 .32924 L
.75382 .33387 L
.75346 .33616 L
.75318 .33827 L
.75298 .34031 L
.75289 .34136 L
.75282 .34248 L
.75276 .34359 L
.75273 .34461 L
.75271 .3451 L
.75271 .34536 L
.7527 .34564 L
.7527 .3459 L
.7527 .34614 L
.7527 .34626 L
.7527 .34638 L
.7527 .3465 L
.7527 .34661 L
.75269 .34675 L
.7527 .34688 L
.7527 .347 L
.7527 .34713 L
.7527 .34726 L
.7527 .34741 L
.7527 .34768 L
.7527 .34792 L
.75271 .34815 L
.75272 .34867 L
.75273 .34924 L
.75275 .34976 L
.75281 .35094 L
.75287 .35202 L
.75295 .35302 L
.75317 .35531 L
.75345 .35759 L
.75376 .35968 L
.75462 .36422 L
.75569 .36869 L
.75708 .37357 L
.75867 .37841 L
.76045 .38323 L
.76262 .38856 L
.76497 .39391 L
.76778 .39988 L
Mistroke
.77079 .40593 L
.774 .41207 L
.77774 .41899 L
.77802 .4195 L
Mfstroke
.76667 .31667 m
.76496 .32198 L
.76348 .32762 L
.76244 .33282 L
.76204 .33541 L
.76174 .33776 L
.7615 .34028 L
.76139 .34167 L
.76132 .34297 L
.76126 .34422 L
.76124 .34485 L
.76122 .34554 L
.76121 .34613 L
.76121 .34646 L
.76121 .34662 L
.7612 .34676 L
.7612 .3469 L
.7612 .34704 L
.7612 .34721 L
.7612 .34735 L
.7612 .34749 L
.7612 .34764 L
.7612 .34778 L
.7612 .34791 L
.7612 .34807 L
.76121 .34823 L
.76121 .34851 L
.76121 .34882 L
.76122 .34916 L
.76123 .34977 L
.76125 .35033 L
.7613 .35163 L
.76138 .353 L
.76158 .35553 L
.76182 .35791 L
.76255 .36301 L
.76364 .36853 L
.76498 .37399 L
.76656 .37938 L
.76854 .38532 L
.77077 .39126 L
.77348 .39784 L
.77644 .40451 L
.77962 .41125 L
.78339 .41883 L
.7874 .42659 L
.79165 .43453 L
.79661 .44356 L
.80183 .4529 L
.80791 .46362 L
Mistroke
.81431 .47482 L
.81469 .4755 L
Mfstroke
.76667 .33333 m
.76629 .33597 L
.76598 .33874 L
.76575 .34154 L
.76566 .34312 L
.76562 .34383 L
.76559 .3446 L
.76557 .34535 L
.76556 .34569 L
.76556 .34605 L
.76555 .34638 L
.76555 .34672 L
.76555 .34691 L
.76555 .34709 L
.76554 .34726 L
.76554 .34743 L
.76554 .34759 L
.76554 .34774 L
.76554 .34791 L
.76554 .34807 L
.76554 .34822 L
.76555 .34836 L
.76555 .34867 L
.76555 .34898 L
.76556 .34932 L
.76557 .35001 L
.76559 .35074 L
.76562 .35144 L
.76568 .35273 L
.76576 .35413 L
.76588 .35566 L
.76615 .35844 L
.76652 .36142 L
.76742 .36684 L
.7687 .37274 L
.77024 .37857 L
.77223 .38497 L
.77448 .39137 L
.77698 .39778 L
.77999 .40492 L
.78327 .41215 L
.78717 .42028 L
.79135 .42861 L
.79579 .43714 L
.80099 .44685 L
.8065 .45692 L
.81228 .46735 L
.81901 .47937 L
.82608 .49195 L
.83429 .50659 L
Mistroke
.84292 .5221 L
.85189 .53838 L
Mfstroke
.76667 .35 m
.76668 .35066 L
.7667 .35127 L
.76677 .35267 L
.76685 .35404 L
.76695 .3555 L
.76725 .35866 L
.76761 .36156 L
.76858 .36741 L
.76983 .37316 L
.77149 .37944 L
.77343 .38568 L
.77562 .39191 L
.7783 .39882 L
.78124 .40579 L
.78476 .41358 L
.78856 .42153 L
.79262 .42964 L
.79739 .43884 L
.80244 .44832 L
.80836 .45918 L
.81462 .4705 L
.8212 .48231 L
.82885 .496 L
.8369 .51045 L
.84533 .52567 L
.8551 .54353 L
.86534 .56258 L
.87722 .58516 L
.88908 .60829 L
s
.76667 .36667 m
.76788 .37226 L
.76954 .37852 L
.77144 .3846 L
.77358 .39066 L
.7762 .39739 L
.77907 .40416 L
.78251 .41174 L
.78623 .41946 L
.79019 .42734 L
.79485 .43627 L
.79979 .44548 L
.805 .45497 L
.81106 .46587 L
.81743 .47722 L
.82484 .49036 L
.83263 .50422 L
.84079 .5188 L
.85025 .5359 L
.86017 .55411 L
.87168 .57566 L
.88378 .59891 L
.89643 .62397 L
.91107 .654 L
.92559 .68499 L
s
.76667 .38333 m
.76876 .38901 L
.77138 .39548 L
.77417 .40184 L
.77718 .40826 L
.78074 .41548 L
.78453 .42284 L
.78898 .43118 L
.7937 .43977 L
.79866 .44863 L
.80444 .45879 L
.81051 .46936 L
.81687 .48038 L
.82422 .49314 L
.83193 .50658 L
.84085 .52227 L
.85021 .53899 L
.85999 .55675 L
.87131 .57777 L
.88317 .60038 L
.89689 .6274 L
.91129 .65683 L
.9263 .68883 L
.9436 .72753 L
.96064 .76779 L
s
.76667 .4 m
.76959 .40577 L
.77312 .41242 L
.77677 .41906 L
.7806 .42584 L
.78506 .43354 L
.78974 .44148 L
.79515 .45058 L
.80083 .46005 L
.80676 .4699 L
.81361 .4813 L
.82078 .49329 L
.82824 .50588 L
.83684 .52059 L
.84583 .5362 L
.85622 .5546 L
.86709 .57435 L
.87844 .59552 L
.89154 .62076 L
.90523 .64814 L
.92104 .68111 L
.93756 .71729 L
.95469 .75692 L
.97427 .80511 L
.99333 .85549 L
s
.76667 .41667 m
.77038 .42252 L
.77477 .42936 L
.77923 .43626 L
.78385 .44339 L
.78916 .45156 L
.79468 .46009 L
.80102 .46993 L
.80762 .48027 L
.81448 .49113 L
.82235 .50379 L
.83056 .51721 L
.83908 .5314 L
.84888 .54811 L
.8591 .56598 L
.87088 .58719 L
.88319 .61012 L
.89601 .63487 L
.91077 .66457 L
.92617 .697 L
.94385 .73628 L
.96222 .77964 L
.98112 .82733 L
s
.98112 .82733 m
1 .87887 L
s
.76667 .43333 m
.77112 .43927 L
.77632 .44628 L
.78155 .45344 L
.78692 .46091 L
.79304 .46955 L
.79936 .47864 L
.80657 .48922 L
.81405 .50043 L
.82179 .51229 L
.83064 .52621 L
.83984 .54107 L
.84936 .55689 L
.8603 .57563 L
.87168 .5958 L
.88476 .6199 L
.89841 .6461 L
.91259 .67454 L
.92887 .70886 L
.94577 .74651 L
.96507 .79233 L
.98493 .84306 L
s
.98493 .84306 m
1 .8848 L
s
.76667 .45 m
.77182 .45602 L
.77778 .4632 L
.78373 .47061 L
.78981 .4784 L
.7967 .48749 L
.80377 .49713 L
.81181 .50843 L
.82012 .5205 L
.82868 .53334 L
.83846 .54852 L
.84859 .56481 L
.85906 .58226 L
.87106 .60305 L
.88351 .62554 L
.8978 .65255 L
.91268 .68207 L
.92808 .71426 L
.94569 .75325 L
.96387 .79619 L
.98445 .84856 L
s
.98445 .84856 m
1 .89171 L
s
.76667 .46667 m
.77247 .47276 L
.77914 .48011 L
.78577 .48776 L
.79252 .49586 L
.80012 .50539 L
.80791 .51556 L
.81673 .52756 L
.82581 .54046 L
.83515 .55427 L
.84579 .57068 L
.8568 .58839 L
.86814 .60745 L
.88112 .63027 L
.89456 .65507 L
.90995 .68498 L
.92592 .71781 L
.94238 .75371 L
.96111 .79735 L
.9803 .84548 L
s
.9803 .84548 m
1 .89936 L
s
.76667 .48333 m
.77307 .48951 L
.78041 .49702 L
.78767 .50488 L
.79503 .51328 L
.80331 .52323 L
.81176 .53391 L
.82131 .5466 L
.83112 .5603 L
.84118 .57505 L
.85262 .59265 L
.86443 .61175 L
.87658 .63239 L
.89045 .6572 L
.90478 .68426 L
.92114 .71701 L
.93805 .75306 L
.95541 .7926 L
.97503 .84073 L
.99494 .89386 L
s
.99494 .89386 m
1 .90878 L
s
.76667 .5 m
.77363 .50625 L
.78158 .51391 L
.78943 .52199 L
.79737 .53067 L
.80627 .54102 L
.81533 .55219 L
.82555 .56552 L
.83603 .58 L
.84676 .59565 L
.85894 .61441 L
.87148 .63484 L
.88436 .657 L
.89903 .68373 L
.91414 .71297 L
.93134 .74845 L
.94904 .78761 L
.9671 .83061 L
.98735 .88298 L
s
.98735 .88298 m
1 .91893 L
s
.76667 .51667 m
.77414 .52299 L
.78266 .53079 L
.79105 .53907 L
.79951 .54803 L
.80899 .55875 L
.81862 .57037 L
.82946 .58433 L
.84055 .59954 L
.85188 .61604 L
.86473 .6359 L
.87792 .6576 L
.89145 .68121 L
.90682 .70977 L
.9226 .74108 L
.94049 .77915 L
.95881 .82122 L
.97739 .86744 L
.99803 .92372 L
s
.99803 .92372 m
1 .92968 L
s
.76667 .53333 m
.7746 .53973 L
.78363 .54766 L
.79251 .55614 L
.80146 .56534 L
.81146 .57641 L
.8216 .58847 L
.83301 .603 L
.84465 .6189 L
.85653 .6362 L
.86997 .6571 L
.88375 .67999 L
.89783 .70496 L
.9138 .73522 L
.93014 .76846 L
.94858 .80892 L
.96736 .85366 L
.98625 .9028 L
s
.98625 .9028 m
1 .94234 L
s
.76667 .55 m
.77502 .55646 L
.78451 .56452 L
.79383 .57317 L
.80321 .58261 L
.81369 .59401 L
.8243 .60647 L
.8362 .62153 L
.84834 .63807 L
.8607 .65612 L
.87466 .67797 L
.88893 .70196 L
.9035 .72818 L
.91995 .76 L
.93673 .79499 L
.95557 .83762 L
.97464 .88474 L
.99366 .93645 L
s
.99366 .93645 m
1 .95568 L
s
.76667 .56667 m
.77539 .57319 L
.78529 .58137 L
.79501 .59019 L
.80477 .59984 L
.81567 .61153 L
.82669 .62436 L
.83903 .63991 L
.8516 .65703 L
.86438 .67576 L
.87878 .69847 L
.89347 .72346 L
.90842 .75081 L
.92525 .78402 L
.94235 .82058 L
.96145 .8651 L
.98064 .91427 L
.99961 .96813 L
s
.99961 .96813 m
1 .96937 L
s
.76667 .58333 m
.77571 .58992 L
.78597 .59821 L
.79603 .60718 L
.80614 .61702 L
.81739 .62899 L
.82877 .64214 L
.8415 .65813 L
.85443 .67577 L
.86756 .6951 L
.88232 .71858 L
.89735 .74446 L
.91259 .77278 L
.9297 .80722 L
.947 .8451 L
.96621 .89122 L
.98537 .94208 L
s
.98537 .94208 m
1 .98546 L
s
.76667 .6 m
.77598 .60665 L
.78655 .61504 L
.79691 .62414 L
.8073 .63416 L
.81887 .64636 L
.83054 .65981 L
.84359 .67618 L
.85683 .69427 L
.87024 .71413 L
.88528 .73828 L
.90056 .7649 L
.916 .79406 L
.93327 .82951 L
.95066 .86849 L
.96985 .91588 L
.98882 .96804 L
s
.98882 .96804 m
.99915 1 L
s
.76667 .61667 m
.77621 .62338 L
.78703 .63186 L
.79763 .64108 L
.80826 .65125 L
.82008 .66366 L
.832 .67736 L
.8453 .69406 L
.85877 .71253 L
.87239 .73283 L
.88764 .75753 L
.90308 .78476 L
.91864 .8146 L
.93597 .85084 L
.95332 .89066 L
.97236 .93899 L
.99101 .99204 L
s
.99101 .99204 m
.99348 1 L
s
.76667 .63333 m
.77638 .6401 L
.78741 .64867 L
.7982 .658 L
.80901 .6683 L
.82103 .68088 L
.83314 .69478 L
.84662 .71175 L
.86026 .73054 L
.87403 .75118 L
.88939 .77631 L
.90491 .80402 L
.9205 .83435 L
.93778 .87117 L
.955 .91155 L
.97375 .96046 L
s
.97375 .96046 m
.9872 1 L
s
.76667 .65 m
.77651 .65682 L
.78769 .66546 L
.79862 .67489 L
.80956 .68529 L
.82172 .69802 L
.83395 .71208 L
.84756 .72926 L
.8613 .74828 L
.87513 .76918 L
.89054 .79461 L
.90605 .82264 L
.92157 .85329 L
.9387 .89044 L
.95568 .93112 L
.97403 .98026 L
s
.97403 .98026 m
.98054 1 L
s
.76667 .66667 m
.7766 .67354 L
.78786 .68225 L
.79888 .69175 L
.8099 .70224 L
.82214 .71507 L
.83444 .72925 L
.8481 .74657 L
.86186 .76574 L
.8757 .78681 L
.89106 .81241 L
.90648 .8406 L
.92185 .87139 L
.93873 .90865 L
.95537 .94934 L
.97323 .99834 L
s
.97323 .99834 m
.97375 1 L
s
.76667 .68333 m
.77663 .69025 L
.78793 .69902 L
.79898 .70858 L
.81004 .71913 L
.82229 .73204 L
.83459 .74629 L
.84823 .76369 L
.86196 .78293 L
.87572 .80406 L
.89095 .82971 L
.90619 .8579 L
.92133 .88865 L
.93787 .92576 L
.95407 .96618 L
s
.95407 .96618 m
.9661 1 L
s
.76667 .7 m
.77662 .70697 L
.7879 .71579 L
.79893 .72539 L
.80995 .73598 L
.82217 .74892 L
.83441 .7632 L
.84797 .78061 L
.86158 .79984 L
.87519 .82092 L
.89022 .84648 L
.90519 .87453 L
.92001 .90504 L
.93612 .94177 L
.9518 .98165 L
s
.9518 .98165 m
.95818 1 L
s
.76667 .71667 m
.77655 .72368 L
.78776 .73254 L
.79872 .74216 L
.80966 .75277 L
.82177 .76571 L
.83389 .77997 L
.84729 .79732 L
.86071 .81647 L
.8741 .83741 L
.88884 .86274 L
.90347 .89047 L
.91788 .92056 L
.93348 .95668 L
.94855 .99577 L
s
.94855 .99577 m
.94999 1 L
s
.76667 .73333 m
.77644 .74039 L
.78752 .74928 L
.79834 .75892 L
.80915 .76952 L
.82109 .78242 L
.83302 .79661 L
.84619 .81384 L
.85935 .8328 L
.87245 .85351 L
.88681 .87849 L
.90102 .90575 L
.91495 .93524 L
.92994 .97052 L
s
.92994 .97052 m
.9411 1 L
s
.76667 .75 m
.77628 .75709 L
.78718 .76601 L
.79781 .77564 L
.80841 .78621 L
.82012 .79904 L
.8318 .81311 L
.84467 .83016 L
.8575 .84886 L
.87022 .86922 L
.88413 .89372 L
.89783 .92036 L
.9112 .94908 L
.9255 .9833 L
s
.9255 .9833 m
.93171 1 L
s
.76667 .76667 m
.77607 .7738 L
.78673 .78272 L
.79711 .79234 L
.80746 .80285 L
.81887 .81557 L
.83024 .82948 L
.84272 .84627 L
.85514 .86464 L
.86742 .88456 L
.88079 .90845 L
.8939 .93432 L
.90663 .96211 L
.92018 .99507 L
s
.92018 .99507 m
.92197 1 L
s
.76667 .78333 m
.77582 .7905 L
.78617 .79943 L
.79625 .80901 L
.80629 .81944 L
.81733 .83201 L
.82831 .84572 L
.84034 .86219 L
.85227 .88014 L
.86403 .89954 L
.87678 .92269 L
.88922 .94766 L
.90124 .97436 L
s
.90124 .97436 m
.91158 1 L
s
.76667 .8 m
.77551 .8072 L
.7855 .81612 L
.79523 .82565 L
.80489 .83598 L
.8155 .84838 L
.82602 .86182 L
.83752 .87792 L
.84889 .89538 L
.86004 .91415 L
.87209 .93646 L
.88378 .9604 L
.89501 .98586 L
s
.89501 .98586 m
.90059 1 L
s
.76667 .81667 m
.77515 .82389 L
.78473 .8328 L
.79403 .84226 L
.80326 .85247 L
.81336 .86466 L
.82336 .8778 L
.83426 .89346 L
.84498 .91036 L
.85545 .92843 L
.86671 .94978 L
.87758 .97257 L
.88795 .99668 L
s
.88795 .99668 m
.88922 1 L
s
.76667 .83333 m
.77475 .84059 L
.78385 .84948 L
.79267 .85885 L
.8014 .86891 L
.81093 .88085 L
.82034 .89366 L
.83054 .90883 L
.84053 .92509 L
.85026 .94238 L
.86064 .96269 L
.8706 .98422 L
s
.8706 .98422 m
.87717 1 L
s
.76667 .85 m
.77429 .85728 L
.78286 .86614 L
.79114 .87542 L
.79931 .88531 L
.8082 .89697 L
.81693 .9094 L
.82636 .92402 L
.83555 .93958 L
.84444 .95603 L
.85386 .9752 L
.86283 .99538 L
s
.86283 .99538 m
.86467 1 L
s
.76667 .86667 m
.77379 .87397 L
.78176 .88279 L
.78944 .89196 L
.79698 .90166 L
.80516 .91301 L
.81314 .92503 L
.82172 .93905 L
.83002 .95386 L
.83799 .96939 L
.84636 .98735 L
s
.84636 .98735 m
.85168 1 L
s
.76667 .88333 m
.77323 .89065 L
.78055 .89942 L
.78757 .90847 L
.79442 .91796 L
.80181 .92898 L
.80897 .94055 L
.81661 .95393 L
.82393 .96794 L
.83089 .9825 L
.83813 .99919 L
s
.83813 .99919 m
.83844 1 L
s
.76667 .9 m
.77263 .90734 L
.77923 .91605 L
.78552 .92496 L
.79162 .93422 L
.79814 .94489 L
.80441 .95597 L
.81101 .96867 L
.81727 .98183 L
.82314 .99538 L
s
.82314 .99538 m
.82494 1 L
s
.76667 .91667 m
.77197 .92402 L
.7778 .93267 L
.7833 .94142 L
.78857 .95044 L
.79415 .96072 L
.79944 .97129 L
.80493 .98328 L
.81004 .99556 L
s
.81004 .99556 m
.8117 1 L
s
.78333 .08333 m
.77288 .08619 L
.76219 .08866 L
.75077 .09082 L
.74044 .09236 L
.7313 .09341 L
.72174 .09421 L
.71685 .09451 L
.7143 .09463 L
.71161 .09475 L
.70927 .09483 L
.7067 .0949 L
.70558 .09492 L
.70438 .09494 L
.70324 .09496 L
.70222 .09498 L
.70105 .09499 L
.70041 .09499 L
.6998 .095 L
.69924 .095 L
.69873 .095 L
.69817 .095 L
.69757 .095 L
.69697 .095 L
.69663 .095 L
.69633 .095 L
.69573 .09499 L
.69517 .09499 L
.69391 .09498 L
.69255 .09496 L
.69026 .09493 L
.68784 .09487 L
.68352 .09475 L
.67935 .09458 L
.6749 .09437 L
.66693 .09388 L
.64936 .09242 L
.6329 .09065 L
.61745 .08874 L
.60141 .08659 L
.58634 .08448 L
.57072 .08228 L
.55605 .08026 L
.5423 .07843 L
.52806 .07666 L
.51473 .07513 L
.50227 .07383 L
.48939 .07262 L
.47737 .07164 L
.46501 .07076 L
Mistroke
.4535 .07006 L
.4428 .06951 L
.4318 .06903 L
.42204 .06865 L
Mfstroke
.78333 .1 m
.76386 .10546 L
.75416 .10759 L
.74383 .10944 L
.73448 .11076 L
.72595 .11168 L
.72134 .11207 L
.71702 .11237 L
.71321 .11258 L
.71106 .11268 L
.70906 .11276 L
.70691 .11284 L
.70495 .11289 L
.70287 .11293 L
.70172 .11295 L
.70064 .11296 L
.69971 .11297 L
.6992 .11298 L
.69873 .11298 L
.69828 .11298 L
.6978 .11298 L
.69737 .11298 L
.69696 .11299 L
.69649 .11299 L
.69604 .11298 L
.69555 .11298 L
.69503 .11298 L
.69448 .11298 L
.69396 .11297 L
.69299 .11297 L
.69202 .11295 L
.6911 .11294 L
.68903 .1129 L
.68702 .11286 L
.68486 .11279 L
.67745 .11249 L
.67363 .11229 L
.66949 .11203 L
.66123 .11141 L
.64566 .1099 L
.63103 .10817 L
.61584 .10612 L
.60152 .10405 L
.58805 .10202 L
.57402 .09989 L
.56082 .09791 L
.54841 .09611 L
.53551 .09433 L
.52339 .09277 L
.51085 .09127 L
Mistroke
.4991 .09 L
.48811 .08894 L
.47674 .08797 L
.46613 .08718 L
.45521 .08648 L
.4457 .08597 L
Mfstroke
.78333 .11667 m
.76548 .12225 L
.7566 .1245 L
.74714 .12651 L
.73848 .12802 L
.73078 .1291 L
.72295 .12996 L
.71865 .13033 L
.71473 .13061 L
.71121 .13082 L
.70736 .13099 L
.70551 .13105 L
.70352 .13111 L
.70243 .13114 L
.70144 .13116 L
.70042 .13118 L
.69949 .13119 L
.69857 .1312 L
.69771 .1312 L
.69723 .13121 L
.69679 .13121 L
.69632 .13121 L
.69607 .13121 L
.69581 .13121 L
.69537 .13121 L
.69496 .13121 L
.69449 .13121 L
.69405 .13121 L
.69365 .13121 L
.69327 .1312 L
.69242 .1312 L
.69151 .13119 L
.69065 .13117 L
.68872 .13114 L
.68683 .1311 L
.68481 .13104 L
.68134 .13091 L
.67756 .13074 L
.67003 .13028 L
.65582 .12907 L
.64245 .12758 L
.62854 .12575 L
.61541 .12382 L
.60301 .12187 L
.59008 .11977 L
.57786 .11776 L
.56634 .11588 L
.55431 .11396 L
.54298 .11222 L
.53119 .11051 L
Mistroke
.52011 .109 L
.50969 .10769 L
.49888 .10646 L
.48874 .10541 L
.47826 .10445 L
.47016 .1038 L
Mfstroke
.78333 .13333 m
.76707 .13905 L
.75037 .14359 L
.74258 .14525 L
.73549 .14653 L
.72837 .14758 L
.72178 .14837 L
.71833 .1487 L
.71463 .14901 L
.70823 .14941 L
.70502 .14955 L
.70319 .14961 L
.70152 .14966 L
.69976 .1497 L
.6988 .14972 L
.69788 .14973 L
.69704 .14974 L
.69626 .14974 L
.69581 .14975 L
.69541 .14975 L
.69518 .14975 L
.69494 .14975 L
.69471 .14975 L
.6945 .14975 L
.69408 .14975 L
.69369 .14975 L
.69334 .14975 L
.69295 .14975 L
.69253 .14974 L
.69209 .14974 L
.69129 .14973 L
.68987 .14972 L
.68831 .14969 L
.68664 .14965 L
.68484 .1496 L
.68161 .14948 L
.67519 .14916 L
.66851 .1487 L
.65665 .1476 L
.64427 .14614 L
.63257 .14451 L
.62035 .1426 L
.60878 .14067 L
.59783 .13875 L
.58637 .1367 L
.57551 .13475 L
.56525 .13293 L
.55451 .13106 L
.54436 .12936 L
.53378 .12768 L
Mistroke
.5238 .12618 L
.5144 .12486 L
.50461 .1236 L
.49557 .12253 L
Mfstroke
.78333 .15 m
.76861 .15584 L
.75351 .16066 L
.74008 .16396 L
.72772 .16619 L
.72155 .16703 L
.71508 .16773 L
.71196 .16799 L
.7086 .16823 L
.70572 .16839 L
.70258 .16853 L
.70112 .16858 L
.69955 .16862 L
.69808 .16866 L
.69673 .16868 L
.69595 .16869 L
.69523 .1687 L
.69481 .1687 L
.69444 .1687 L
.69423 .1687 L
.694 .1687 L
.69379 .1687 L
.69359 .1687 L
.69324 .16871 L
.6929 .1687 L
.69254 .1687 L
.69233 .1687 L
.69215 .1687 L
.69177 .1687 L
.69136 .1687 L
.69063 .16869 L
.68995 .16869 L
.68923 .16868 L
.68792 .16865 L
.68637 .16862 L
.68495 .16858 L
.68205 .16848 L
.679 .16834 L
.67347 .16801 L
.66838 .16762 L
.6577 .16657 L
.64655 .16516 L
.63598 .16359 L
.62595 .16193 L
.61544 .16005 L
.60545 .15817 L
.59597 .15632 L
.58601 .15436 L
.57656 .15249 L
.56665 .15054 L
Mistroke
.55724 .14874 L
.54834 .14708 L
.53901 .14542 L
.53018 .14392 L
.52205 .14261 L
Mfstroke
.78333 .16667 m
.7701 .17263 L
.75657 .17773 L
.74455 .18139 L
.73353 .18403 L
.72757 .18518 L
.72226 .18605 L
.71679 .18678 L
.71181 .18731 L
.7068 .18773 L
.70418 .18789 L
.70143 .18803 L
.69903 .18812 L
.69769 .18816 L
.69646 .18819 L
.69533 .18821 L
.69473 .18822 L
.6941 .18822 L
.69378 .18823 L
.69349 .18823 L
.6932 .18823 L
.69294 .18823 L
.69268 .18823 L
.69242 .18823 L
.69215 .18823 L
.69186 .18823 L
.69153 .18823 L
.69123 .18823 L
.69108 .18823 L
.6909 .18823 L
.69055 .18823 L
.69024 .18823 L
.68991 .18823 L
.68932 .18822 L
.68811 .1882 L
.68701 .18818 L
.6845 .18812 L
.68187 .18802 L
.67706 .18778 L
.67264 .18748 L
.66334 .18662 L
.65362 .18543 L
.64438 .18407 L
.63561 .18259 L
.62638 .18088 L
.61759 .17913 L
.60923 .17739 L
.60041 .17549 L
.59201 .17365 L
.58317 .1717 L
Mistroke
.57475 .16984 L
.56673 .1681 L
.55831 .1663 L
.55029 .16464 L
.54975 .16453 L
Mfstroke
.78333 .18333 m
.77155 .18942 L
.75954 .19479 L
.74891 .19881 L
.73918 .20188 L
.72928 .2044 L
.72013 .20619 L
.71558 .20688 L
.71073 .20749 L
.70613 .20794 L
.70396 .20812 L
.70194 .20825 L
.69983 .20837 L
.69791 .20845 L
.69578 .20852 L
.69462 .20855 L
.69405 .20856 L
.69351 .20857 L
.693 .20858 L
.69245 .20859 L
.69195 .20859 L
.69148 .20859 L
.69123 .2086 L
.69099 .2086 L
.69072 .2086 L
.69057 .2086 L
.69044 .2086 L
.69017 .2086 L
.69001 .2086 L
.68987 .2086 L
.68961 .2086 L
.68934 .20859 L
.68888 .20859 L
.68839 .20859 L
.68751 .20857 L
.68646 .20856 L
.6855 .20854 L
.68347 .20847 L
.68159 .2084 L
.67735 .20818 L
.67319 .20788 L
.66945 .20754 L
.66147 .20665 L
.65389 .20558 L
.64591 .20427 L
.6383 .20285 L
.63104 .20137 L
.62336 .19969 L
.61603 .19801 L
.60829 .19616 L
Mistroke
.60088 .19434 L
.5938 .19258 L
.58632 .19071 L
.57916 .18892 L
.57882 .18883 L
Mfstroke
.78333 .2 m
.77296 .2062 L
.76242 .21185 L
.75314 .21624 L
.74469 .21973 L
.73613 .22277 L
.72825 .22511 L
.7202 .22704 L
.71272 .22842 L
.70573 .22936 L
.7022 .2297 L
.70041 .22985 L
.6985 .22997 L
.69672 .23007 L
.6951 .23014 L
.69432 .23017 L
.69348 .2302 L
.69274 .23022 L
.69195 .23023 L
.69147 .23024 L
.69104 .23025 L
.69063 .23025 L
.69018 .23026 L
.68999 .23026 L
.68978 .23026 L
.68959 .23026 L
.68941 .23026 L
.68921 .23026 L
.68899 .23026 L
.68878 .23026 L
.68859 .23026 L
.68839 .23026 L
.68817 .23026 L
.68796 .23026 L
.68777 .23026 L
.68733 .23025 L
.68687 .23025 L
.686 .23023 L
.68505 .23021 L
.68332 .23017 L
.68176 .2301 L
.67828 .22992 L
.67512 .22969 L
.67171 .22939 L
.66506 .22863 L
.65872 .22771 L
.65267 .22667 L
.64628 .22543 L
.64016 .22411 L
.63368 .2226 L
Mistroke
.62746 .22105 L
.6215 .21949 L
.61517 .21777 L
.60937 .21615 L
Mfstroke
.78333 .21667 m
.77432 .22299 L
.76522 .22891 L
.75725 .23366 L
.75004 .23758 L
.74279 .24116 L
.73617 .24407 L
.72945 .24667 L
.72327 .24873 L
.71753 .25036 L
.71164 .25173 L
.70613 .25274 L
.70097 .25344 L
.69837 .25371 L
.6956 .25393 L
.69428 .25402 L
.69283 .25409 L
.69148 .25414 L
.69022 .25418 L
.68957 .25419 L
.68922 .2542 L
.68886 .2542 L
.68854 .25421 L
.68837 .25421 L
.68819 .25421 L
.68803 .25421 L
.68788 .25421 L
.68773 .25421 L
.68758 .25421 L
.68744 .25421 L
.68729 .25422 L
.68714 .25422 L
.68699 .25421 L
.68685 .25421 L
.68672 .25421 L
.68659 .25421 L
.68644 .25421 L
.68613 .25421 L
.68585 .25421 L
.6852 .2542 L
.68456 .25419 L
.68387 .25417 L
.68261 .25413 L
.68139 .25408 L
.68027 .25402 L
.67792 .25387 L
.67534 .25367 L
.67035 .25313 L
.66559 .25246 L
.66055 .2516 L
Mistroke
.65572 .25065 L
.65108 .24962 L
.64616 .24841 L
.64151 .24718 L
Mfstroke
.78333 .23333 m
.77564 .23977 L
.76793 .24596 L
.76123 .25107 L
.75524 .25544 L
.74927 .25956 L
.74388 .26308 L
.73849 .26638 L
.73358 .26918 L
.72909 .27156 L
.72454 .27378 L
.72035 .27564 L
.71648 .27719 L
.71251 .27862 L
.70882 .27979 L
.70502 .28082 L
.70146 .28162 L
.69811 .28224 L
.69628 .28251 L
.69463 .28272 L
.69292 .28291 L
.69135 .28305 L
.68975 .28315 L
.68892 .2832 L
.68804 .28323 L
.68727 .28326 L
.68683 .28327 L
.68644 .28327 L
.68607 .28328 L
.68586 .28328 L
.68567 .28328 L
.68559 .28328 L
.68551 .28328 L
.68541 .28328 L
.68532 .28328 L
.68523 .28328 L
.68513 .28328 L
.68504 .28328 L
.68495 .28328 L
.68484 .28328 L
.68474 .28328 L
.68464 .28328 L
.68452 .28328 L
.68433 .28328 L
.68412 .28328 L
.68373 .28327 L
.68337 .28326 L
.68256 .28324 L
.68169 .28321 L
.67999 .28312 L
Mistroke
.6784 .28301 L
.67537 .28271 L
.67533 .28271 L
Mfstroke
.78333 .25 m
.77692 .25655 L
.77055 .263 L
.7651 .26848 L
.76028 .27329 L
.75556 .27797 L
.75138 .28211 L
.74729 .28615 L
.74365 .28974 L
.7404 .29294 L
.7372 .2961 L
.73434 .29892 L
.73178 .30146 L
.72924 .30399 L
.72696 .30628 L
.72471 .30855 L
.72269 .31061 L
.72088 .31248 L
.71908 .31436 L
.71747 .31607 L
.71588 .3178 L
.71445 .31938 L
.71318 .32082 L
.71191 .32229 L
.71084 .32357 L
s
.78333 .26667 m
.77814 .27333 L
.77308 .28004 L
.76883 .28588 L
.76516 .29113 L
.76167 .29639 L
.75867 .30117 L
.75585 .30599 L
.75346 .31041 L
.75144 .31449 L
.74958 .31868 L
.74805 .32258 L
.74681 .32623 L
.74573 .33003 L
.74491 .33363 L
.74457 .33544 L
.74427 .33741 L
.74403 .3393 L
.74387 .34101 L
.7438 .34187 L
.74375 .34279 L
.74372 .3433 L
.7437 .34377 L
.74369 .34421 L
.74368 .34469 L
.74367 .34493 L
.74367 .34515 L
.74366 .34537 L
.74366 .34546 L
.74366 .34557 L
.74366 .34566 L
.74366 .34576 L
.74366 .34587 L
.74366 .34596 L
.74366 .34607 L
.74366 .34619 L
.74366 .34629 L
.74366 .34639 L
.74366 .34645 L
.74366 .34652 L
.74366 .34664 L
.74366 .34686 L
.74367 .34712 L
.74367 .34736 L
.74368 .3478 L
.7437 .34827 L
.74373 .34912 L
.74378 .35004 L
.7439 .35172 L
.7441 .35366 L
Mistroke
.74434 .35551 L
.74494 .35908 L
.74578 .36295 L
.74679 .36675 L
.74801 .37066 L
Mfstroke
.78333 .28333 m
.77933 .29011 L
.77552 .29707 L
.77244 .30327 L
.76989 .30897 L
.76758 .31481 L
.76574 .32024 L
.76417 .32587 L
.763 .33117 L
.7622 .33619 L
.7619 .33877 L
.76178 .34008 L
.76167 .34149 L
.76159 .3428 L
.76154 .34401 L
.76152 .34459 L
.7615 .34522 L
.76149 .34551 L
.76148 .34582 L
.76148 .34608 L
.76148 .34637 L
.76147 .34671 L
.76147 .34689 L
.76147 .34698 L
.76147 .34706 L
.76147 .34723 L
.76147 .34737 L
.76147 .34753 L
.76147 .34762 L
.76147 .3477 L
.76147 .34787 L
.76147 .34803 L
.76147 .34821 L
.76148 .3484 L
.76148 .34878 L
.76149 .34914 L
.7615 .34975 L
.76152 .35041 L
.76158 .35175 L
.76165 .35309 L
.76174 .3543 L
.76199 .35704 L
.76229 .35956 L
.7627 .36232 L
.76374 .36783 L
.76503 .37326 L
.76656 .37862 L
.7685 .38452 L
.77067 .39041 L
.77331 .39695 L
Mistroke
.77621 .40355 L
.77932 .41023 L
.78301 .41773 L
.78667 .42486 L
Mfstroke
.78333 .3 m
.78047 .30689 L
.77788 .3141 L
.77592 .32065 L
.77445 .3268 L
.77379 .33018 L
.7733 .33322 L
.77288 .3364 L
.77258 .33933 L
.77247 .34075 L
.77237 .34231 L
.77229 .34388 L
.77226 .34474 L
.77223 .34554 L
.77222 .34632 L
.77221 .34675 L
.77221 .34696 L
.7722 .34716 L
.7722 .34734 L
.7722 .34755 L
.7722 .34773 L
.7722 .3479 L
.7722 .34808 L
.7722 .34829 L
.7722 .34839 L
.7722 .3485 L
.7722 .34869 L
.7722 .34889 L
.7722 .34906 L
.77221 .34947 L
.77221 .34982 L
.77222 .3502 L
.77223 .35086 L
.77226 .35158 L
.77232 .35316 L
.7724 .3546 L
.77265 .35788 L
.77296 .36087 L
.7734 .36416 L
.77455 .37072 L
.77601 .37718 L
.77795 .38425 L
.78021 .39132 L
.78275 .39839 L
.78586 .40625 L
.78927 .41422 L
.79295 .4223 L
.79732 .43143 L
.802 .44079 L
.80749 .45145 L
Mistroke
.81334 .46252 L
.81951 .47401 L
.82654 .48695 L
Mfstroke
.78333 .31667 m
.78156 .32366 L
.78082 .32724 L
.78014 .33112 L
.77963 .33474 L
.77927 .33802 L
.77913 .33965 L
.779 .34142 L
.7789 .34328 L
.77886 .34419 L
.77883 .34504 L
.7788 .34582 L
.77879 .34667 L
.77878 .34715 L
.77878 .34739 L
.77877 .34761 L
.77877 .34783 L
.77877 .34802 L
.77877 .34824 L
.77877 .34836 L
.77877 .34847 L
.77877 .34868 L
.77877 .3488 L
.77877 .34891 L
.77877 .34914 L
.77877 .34926 L
.77877 .34938 L
.77878 .34981 L
.77878 .35022 L
.77879 .35069 L
.7788 .35112 L
.77882 .35211 L
.77885 .35292 L
.77889 .35378 L
.77897 .35535 L
.77924 .35895 L
.7796 .36247 L
.78009 .36621 L
.78128 .37306 L
.78295 .38053 L
.78497 .38795 L
.78756 .39613 L
.79051 .40436 L
.79377 .41265 L
.79771 .42195 L
.802 .43145 L
.8066 .44116 L
.81204 .4522 L
.81783 .46363 L
.82463 .47676 L
Mistroke
.83186 .49051 L
.83948 .50492 L
.84837 .52171 L
.85774 .53951 L
.86714 .55755 L
Mfstroke
.78333 .33333 m
.78293 .3368 L
.78261 .34043 L
.78249 .34233 L
.7824 .34411 L
.78237 .34513 L
.78234 .34605 L
.78233 .34656 L
.78232 .34712 L
.78232 .34738 L
.78232 .34765 L
.78231 .34788 L
.78231 .348 L
.78231 .34813 L
.78231 .34837 L
.78231 .34859 L
.78231 .34882 L
.78231 .34903 L
.78231 .34923 L
.78231 .34945 L
.78231 .34966 L
.78231 .34985 L
.78232 .35028 L
.78233 .35075 L
.78234 .3517 L
.78237 .35254 L
.7824 .35344 L
.78247 .35506 L
.78258 .35693 L
.78274 .35897 L
.7831 .3627 L
.78357 .3664 L
.78418 .37036 L
.78559 .3776 L
.78751 .38553 L
.7898 .39342 L
.7927 .40215 L
.79596 .41095 L
.79955 .41985 L
.80388 .42986 L
.80857 .44011 L
.81414 .45176 L
.82012 .46384 L
.82648 .47638 L
.83394 .49085 L
.84185 .50605 L
.85019 .52203 L
.8599 .54074 L
.87015 .56065 L
.88207 .5842 L
Mistroke
.89465 .60961 L
.9078 .63692 L
Mfstroke
.78333 .35 m
.78334 .35042 L
.78334 .35086 L
.78336 .35167 L
.78339 .35263 L
.78342 .3535 L
.7835 .3554 L
.78361 .3572 L
.78392 .36099 L
.78439 .36514 L
.78562 .37297 L
.78725 .38071 L
.78922 .38836 L
.79177 .3968 L
.79468 .40527 L
.79827 .41471 L
.80223 .42431 L
.80653 .43408 L
.81166 .44516 L
.81717 .45658 L
.82368 .46967 L
.83063 .48333 L
.838 .49762 L
.84662 .51423 L
.85575 .53182 L
.86534 .55044 L
.87652 .57239 L
.88829 .59594 L
.90197 .62401 L
.91637 .65452 L
.93144 .68765 L
.94765 .72483 L
s
.78333 .36667 m
.78457 .37397 L
.78638 .38213 L
.78853 .39005 L
.79101 .39795 L
.79412 .40672 L
.79757 .41558 L
.80176 .42552 L
.80632 .4357 L
.81123 .44613 L
.81704 .45802 L
.82325 .47036 L
.82982 .48318 L
.83751 .498 L
.84565 .51359 L
.85514 .5318 L
.86519 .5512 L
.87574 .57185 L
.88802 .59634 L
.90093 .62274 L
.91592 .65439 L
.93168 .68898 L
.94813 .72674 L
.96705 .77255 L
.9856 .82038 L
s
.78333 .38333 m
.78548 .39073 L
.78828 .39912 L
.79135 .40736 L
.79473 .41568 L
.7988 .42503 L
.8032 .43458 L
.80842 .44541 L
.81403 .45662 L
.81998 .46822 L
.82695 .48158 L
.83434 .49558 L
.84212 .51025 L
.85118 .52736 L
.86073 .54552 L
.87183 .56693 L
.88354 .58994 L
.89581 .61465 L
.91005 .64418 L
.92497 .67629 L
.94222 .71509 L
.96024 .75783 L
.9789 .80476 L
s
.9789 .80476 m
1 .8618 L
s
.78333 .4 m
.78635 .40749 L
.79008 .4161 L
.79403 .42466 L
.79826 .43339 L
.80326 .4433 L
.80857 .45354 L
.81479 .46526 L
.82139 .4775 L
.82834 .49029 L
.83643 .50514 L
.84496 .52083 L
.8539 .5374 L
.86427 .55689 L
.87516 .57773 L
.8878 .60249 L
.90108 .6293 L
.91497 .65828 L
.93102 .69317 L
.94777 .73136 L
.967 .77777 L
.98691 .82914 L
s
.98691 .82914 m
1 .86557 L
s
.78333 .41667 m
.78717 .42425 L
.79179 .43307 L
.79658 .44193 L
.80162 .45107 L
.8075 .46154 L
.81367 .47244 L
.82084 .48505 L
.82839 .49833 L
.8363 .5123 L
.84546 .52865 L
.85507 .54606 L
.86511 .56457 L
.87673 .58649 L
.88889 .61008 L
.90296 .63829 L
.91771 .66903 L
.93307 .70246 L
.95075 .74292 L
.96908 .78741 L
.98993 .84168 L
s
.98993 .84168 m
1 .87013 L
s
.78333 .43333 m
.78794 .44101 L
.7934 .45003 L
.79899 .45919 L
.8048 .46871 L
.81151 .47973 L
.81851 .49129 L
.82659 .50477 L
.83504 .51907 L
.84385 .53422 L
.85402 .55207 L
.86465 .5712 L
.87572 .59166 L
.88851 .61604 L
.90185 .64242 L
.91725 .67415 L
.93332 .70889 L
.95 .74685 L
.96906 .79296 L
.98867 .84383 L
s
.98867 .84383 m
1 .87577 L
s
.78333 .45 m
.78867 .45776 L
.79492 .46697 L
.80126 .47642 L
.8078 .48633 L
.8153 .49787 L
.82308 .51007 L
.832 .5244 L
.84131 .5397 L
.85097 .55602 L
.86209 .57536 L
.87368 .5962 L
.88572 .61861 L
.89957 .64544 L
.914 .67462 L
.93059 .70986 L
.94784 .74861 L
.96563 .79109 L
.98582 .84281 L
s
.98582 .84281 m
1 .88226 L
s
.78333 .46667 m
.78935 .47452 L
.79635 .48391 L
.80339 .49363 L
.81062 .5039 L
.81886 .51595 L
.82736 .52878 L
.83709 .54393 L
.84719 .56022 L
.85765 .57767 L
.86965 .59847 L
.88213 .62099 L
.89505 .64532 L
.90989 .67457 L
.92529 .70651 L
.94293 .74522 L
.96117 .78791 L
.97986 .83481 L
s
.97986 .83481 m
1 .88957 L
s
.78333 .48333 m
.78998 .49127 L
.79768 .50084 L
.80537 .51082 L
.81324 .52144 L
.82218 .53397 L
.83137 .5474 L
.84185 .56335 L
.85269 .58058 L
.86389 .59915 L
.8767 .62136 L
.88999 .64552 L
.90371 .67172 L
.91943 .70333 L
.93568 .73794 L
.9542 .78002 L
.97326 .82651 L
.99263 .87763 L
s
.99263 .87763 m
1 .89896 L
s
.78333 .5 m
.79057 .50801 L
.79891 .51776 L
.80722 .52799 L
.81569 .53893 L
.82526 .55193 L
.83509 .56594 L
.84626 .58265 L
.85778 .60079 L
.86966 .62041 L
.88321 .64399 L
.89723 .66972 L
.91167 .69772 L
.92815 .73159 L
.94513 .76877 L
.96438 .81405 L
.98404 .86413 L
s
.98404 .86413 m
1 .90849 L
s
.78333 .51667 m
.79111 .52476 L
.80005 .53467 L
.80892 .54513 L
.81794 .55639 L
.82811 .56983 L
.83852 .58437 L
.85032 .6018 L
.86247 .62081 L
.87496 .64144 L
.88917 .66631 L
.90384 .69354 L
.91891 .72324 L
.93604 .75925 L
.95361 .79885 L
.97342 .84711 L
.99349 .9005 L
s
.99349 .9005 m
1 .91958 L
s
.78333 .53333 m
.7916 .5415 L
.80109 .55156 L
.81047 .56225 L
.81999 .5738 L
.83071 .58765 L
.84165 .6027 L
.85403 .62081 L
.86674 .64063 L
.87977 .66221 L
.89458 .68829 L
.90981 .71692 L
.9254 .74821 L
.94306 .7862 L
.96109 .82802 L
.98129 .87901 L
s
.98129 .87901 m
1 .931 L
s
.78333 .55 m
.79205 .55824 L
.80203 .56844 L
.81188 .57933 L
.82186 .59116 L
.83307 .60539 L
.84449 .62091 L
.85737 .63966 L
.87058 .66022 L
.8841 .68268 L
.89941 .70989 L
.91511 .73981 L
.93114 .77255 L
.94921 .81235 L
.96756 .85617 L
.98798 .90957 L
s
.98798 .90957 m
1 .94447 L
s
.78333 .56667 m
.79245 .57498 L
.80287 .58531 L
.81314 .5964 L
.82353 .60847 L
.83517 .62305 L
.84702 .63901 L
.86035 .65833 L
.874 .67958 L
.88792 .70284 L
.90365 .73106 L
.91974 .76214 L
.9361 .79619 L
.95447 .83759 L
.97301 .88316 L
.99348 .93864 L
s
.99348 .93864 m
1 .95842 L
s
.78333 .58333 m
.7928 .59171 L
.80361 .60217 L
.81426 .61343 L
.825 .62573 L
.83702 .64064 L
.84924 .65698 L
.86296 .67682 L
.87697 .69869 L
.89124 .72266 L
.90731 .75179 L
.92369 .78389 L
.94029 .81907 L
.95883 .86185 L
.97743 .9089 L
.9978 .96608 L
s
.9978 .96608 m
1 .97307 L
s
.78333 .6 m
.79311 .60844 L
.80425 .61902 L
.81522 .63043 L
.82627 .64294 L
.83862 .65813 L
.85114 .67483 L
.86519 .69512 L
.8795 .71753 L
.89404 .74212 L
.91036 .77202 L
.92695 .805 L
.94368 .84114 L
.96228 .88505 L
.98082 .93328 L
s
.98082 .93328 m
1 .98906 L
s
.78333 .61667 m
.79337 .62517 L
.80479 .63586 L
.81603 .64741 L
.82733 .6601 L
.83996 .67554 L
.85274 .69253 L
.86704 .71322 L
.88158 .73609 L
.89631 .7612 L
.91281 .79175 L
.9295 .82544 L
.94628 .86234 L
.96483 .90713 L
.98318 .95624 L
s
.98318 .95624 m
.99771 1 L
s
.78333 .63333 m
.79358 .6419 L
.80523 .65268 L
.81669 .66436 L
.8282 .6772 L
.84104 .69285 L
.85401 .7101 L
.8685 .73112 L
.8832 .75436 L
.89806 .77989 L
.91464 .81095 L
.93136 .84518 L
.94807 .88264 L
.96646 .92803 L
.98451 .9777 L
s
.98451 .9777 m
.99167 1 L
s
.78333 .65 m
.79374 .65862 L
.80557 .66949 L
.81719 .68127 L
.82886 .69425 L
.84185 .71007 L
.85496 .72752 L
.86957 .74879 L
.88436 .77232 L
.89926 .79817 L
.91585 .82959 L
.9325 .86419 L
.94907 .90199 L
.96718 .94773 L
.98483 .99763 L
s
.98483 .99763 m
.98557 1 L
s
.78333 .66667 m
.79385 .67534 L
.80581 .68628 L
.81754 .69816 L
.82931 .71124 L
.84239 .7272 L
.85557 .7448 L
.87025 .76625 L
.88505 .78998 L
.89993 .81602 L
.91642 .84765 L
.93292 .88244 L
.94926 .92039 L
.967 .96618 L
s
.967 .96618 m
.97865 1 L
s
.78333 .68333 m
.79392 .69206 L
.80595 .70307 L
.81773 .71502 L
.82955 .72818 L
.84267 .74422 L
.85586 .76192 L
.87052 .78349 L
.88527 .80732 L
.90004 .83344 L
.91637 .86514 L
.93262 .89993 L
.94864 .9378 L
.96592 .98337 L
s
.96592 .98337 m
.97149 1 L
s
.78333 .7 m
.79394 .70877 L
.80598 .71984 L
.81777 .73184 L
.82957 .74505 L
.84267 .76115 L
.85581 .7789 L
.87038 .80049 L
.885 .82433 L
.8996 .85043 L
.91568 .88203 L
.9316 .91665 L
.94721 .95423 L
.96394 .99931 L
s
.96394 .99931 m
.96417 1 L
s
.78333 .71667 m
.79391 .72549 L
.80591 .73659 L
.81765 .74863 L
.82939 .76187 L
.84239 .77798 L
.85542 .79572 L
.86983 .81727 L
.88425 .84102 L
.89861 .86697 L
.91434 .89833 L
.92986 .93259 L
.94498 .96966 L
s
.94498 .96966 m
.956 1 L
s
.78333 .73333 m
.79383 .7422 L
.80573 .75334 L
.81736 .76539 L
.82898 .77863 L
.84184 .79471 L
.85469 .81238 L
.86886 .83382 L
.88301 .85738 L
.89704 .88308 L
.91236 .91404 L
.92739 .94776 L
.94195 .98413 L
s
.94195 .98413 m
.94758 1 L
s
.78333 .75 m
.7937 .7589 L
.80545 .77007 L
.81692 .78212 L
.82836 .79533 L
.841 .81134 L
.85361 .82889 L
.86747 .85013 L
.88127 .87342 L
.89491 .89874 L
.90972 .92916 L
.92418 .96216 L
.9381 .99763 L
s
.9381 .99763 m
.93893 1 L
s
.78333 .76667 m
.79352 .77561 L
.80506 .78679 L
.81631 .79882 L
.82752 .81197 L
.83988 .82787 L
.85217 .84525 L
.86566 .86622 L
.87903 .88914 L
.89219 .91397 L
.90643 .94369 L
.92024 .97582 L
s
.92024 .97582 m
.92953 1 L
s
.78333 .78333 m
.7933 .79231 L
.80457 .80349 L
.81554 .81549 L
.82646 .82855 L
.83846 .8443 L
.85038 .86145 L
.86341 .88208 L
.87629 .90454 L
.8889 .92878 L
.90248 .95767 L
.91556 .98875 L
s
.91556 .98875 m
.91978 1 L
s
.78333 .8 m
.79302 .80901 L
.80397 .82018 L
.81461 .83212 L
.82517 .84508 L
.83676 .86063 L
.84823 .87751 L
.86073 .89772 L
.87303 .91962 L
.88502 .94317 L
.89785 .9711 L
s
.89785 .9711 m
.90973 1 L
s
.78333 .81667 m
.7927 .8257 L
.80326 .83686 L
.81351 .84873 L
.82366 .86155 L
.83476 .87687 L
.84571 .89342 L
.85761 .91314 L
.86925 .93441 L
.88054 .95716 L
.89255 .984 L
s
.89255 .984 m
.89894 1 L
s
.78333 .83333 m
.79232 .84239 L
.80244 .85353 L
.81224 .8653 L
.82191 .87796 L
.83246 .89301 L
.84283 .90918 L
.85403 .92835 L
.86494 .9489 L
.87546 .97077 L
.88656 .99641 L
s
.88656 .99641 m
.88795 1 L
s
.78333 .85 m
.7919 .85908 L
.80152 .87018 L
.8108 .88185 L
.81994 .89432 L
.82986 .90906 L
.83957 .9248 L
.85001 .94335 L
.8601 .96312 L
.86977 .98401 L
s
.86977 .98401 m
.87641 1 L
s
.78333 .86667 m
.79143 .87577 L
.80049 .88682 L
.8092 .89836 L
.81773 .91062 L
.82696 .92502 L
.83594 .94029 L
.84552 .95816 L
.85472 .97708 L
.86346 .99692 L
s
.86346 .99692 m
.86467 1 L
s
.78333 .88333 m
.79091 .89246 L
.79934 .90345 L
.80742 .91485 L
.81529 .92687 L
.82375 .94089 L
.83192 .95565 L
.84057 .97279 L
.8488 .99079 L
s
.8488 .99079 m
.85259 1 L
s
.78333 .9 m
.79033 .90914 L
.79809 .92006 L
.80547 .9313 L
.81261 .94307 L
.82022 .95667 L
.82751 .97089 L
.83514 .98725 L
s
.83514 .98725 m
.84051 1 L
s
.78333 .91667 m
.78971 .92582 L
.79673 .93667 L
.80334 .94773 L
.80969 .95921 L
.81638 .97238 L
.82271 .98601 L
s
.82271 .98601 m
.82859 1 L
s
.8 .08333 m
.77837 .09042 L
.76766 .09321 L
.7563 .09568 L
.74592 .09749 L
.73672 .09877 L
.72737 .09976 L
.72232 .10017 L
.7176 .10048 L
.71314 .10071 L
.71072 .10081 L
.70846 .10089 L
.70639 .10095 L
.7045 .10099 L
.70241 .10102 L
.70127 .10104 L
.70018 .10104 L
.69962 .10105 L
.69933 .10105 L
.69902 .10105 L
.69846 .10105 L
.69794 .10105 L
.69744 .10105 L
.69698 .10105 L
.69647 .10105 L
.69592 .10105 L
.69534 .10105 L
.69471 .10104 L
.69357 .10103 L
.69245 .10102 L
.69143 .10101 L
.68957 .10097 L
.68754 .10093 L
.68343 .1008 L
.67909 .10063 L
.67514 .10044 L
.66634 .09989 L
.64997 .0985 L
.63461 .09683 L
.61866 .09483 L
.60368 .09279 L
.58812 .09057 L
.57349 .08845 L
.55975 .0865 L
.5455 .08454 L
.53213 .0828 L
.5196 .08129 L
.50662 .07985 L
.49449 .07865 L
.48198 .07754 L
Mistroke
.47031 .07665 L
.45943 .07593 L
.44823 .0753 L
.43781 .0748 L
.43757 .07479 L
Mfstroke
.8 .1 m
.78007 .10723 L
.75975 .11281 L
.75032 .1148 L
.74175 .1163 L
.73317 .11751 L
.72522 .11838 L
.72108 .11874 L
.71663 .11906 L
.71265 .11929 L
.70895 .11946 L
.7051 .11958 L
.70307 .11963 L
.7009 .11967 L
.69982 .11968 L
.69925 .11968 L
.69864 .11969 L
.69806 .11969 L
.69753 .11969 L
.69727 .1197 L
.697 .1197 L
.6965 .1197 L
.69601 .1197 L
.69574 .1197 L
.69548 .1197 L
.69497 .11969 L
.69468 .11969 L
.69441 .11969 L
.69343 .11969 L
.69251 .11968 L
.69069 .11965 L
.6887 .11961 L
.68662 .11956 L
.68468 .11951 L
.67755 .11921 L
.67378 .11901 L
.66984 .11876 L
.66286 .11824 L
.64873 .11689 L
.63404 .11516 L
.6202 .1133 L
.60581 .11118 L
.59224 .1091 L
.57944 .1071 L
.56612 .10503 L
.55358 .10313 L
.54178 .10142 L
.52951 .09973 L
.51798 .09825 L
.50604 .09685 L
Mistroke
.49485 .09567 L
.48438 .09467 L
.47356 .09377 L
.46344 .09304 L
.4627 .09299 L
Mfstroke
.8 .11667 m
.78173 .12404 L
.76313 .12994 L
.74666 .13383 L
.73157 .13635 L
.72406 .13726 L
.71617 .13796 L
.71238 .13821 L
.70831 .13843 L
.70645 .1385 L
.70449 .13857 L
.70267 .13862 L
.701 .13866 L
.70017 .13868 L
.69927 .13869 L
.69841 .1387 L
.69763 .13871 L
.69719 .13871 L
.69672 .13871 L
.69646 .13871 L
.69622 .13872 L
.69575 .13872 L
.69535 .13872 L
.69491 .13872 L
.69445 .13872 L
.69402 .13872 L
.69362 .13871 L
.69318 .13871 L
.69239 .13871 L
.69162 .1387 L
.6909 .13869 L
.68929 .13866 L
.68758 .13863 L
.68431 .13854 L
.68081 .1384 L
.67454 .13808 L
.66774 .13762 L
.66067 .13702 L
.6481 .13569 L
.635 .13402 L
.62263 .13223 L
.60972 .13019 L
.59751 .12817 L
.58598 .12621 L
.57393 .12416 L
.56254 .12225 L
.5518 .12049 L
.54059 .11874 L
.53003 .11716 L
.51904 .11564 L
Mistroke
.50871 .11431 L
.499 .11317 L
.48893 .1121 L
.48886 .1121 L
Mfstroke
.8 .13333 m
.78334 .14084 L
.76641 .14706 L
.75146 .15137 L
.73778 .15435 L
.73098 .1555 L
.72385 .15648 L
.71674 .15723 L
.71353 .1575 L
.71015 .15774 L
.70707 .15791 L
.70372 .15806 L
.70225 .15811 L
.70068 .15815 L
.69932 .15818 L
.69786 .15821 L
.697 .15822 L
.69621 .15823 L
.69584 .15823 L
.69543 .15823 L
.69504 .15823 L
.69469 .15824 L
.69427 .15824 L
.69389 .15824 L
.69367 .15824 L
.69347 .15824 L
.69323 .15824 L
.69301 .15824 L
.6928 .15823 L
.69257 .15823 L
.69217 .15823 L
.69173 .15823 L
.69125 .15822 L
.69044 .15822 L
.6897 .15821 L
.68804 .15818 L
.68658 .15814 L
.68505 .1581 L
.68213 .158 L
.67903 .15786 L
.67349 .15754 L
.66713 .15706 L
.66119 .15652 L
.65 .15526 L
.63832 .15368 L
.62725 .15198 L
.61677 .15022 L
.60578 .14826 L
.59536 .14635 L
.58445 .14431 L
Mistroke
.5741 .14237 L
.5643 .14056 L
.55405 .13871 L
.54434 .13702 L
.53422 .13534 L
.52465 .13384 L
.51623 .1326 L
Mfstroke
.8 .15 m
.78491 .15765 L
.76961 .16419 L
.75614 .1689 L
.74385 .17235 L
.73136 .17504 L
.71983 .1768 L
.7137 .17747 L
.71092 .17771 L
.708 .17793 L
.70534 .17809 L
.70243 .17823 L
.70117 .17828 L
.69981 .17833 L
.69863 .17836 L
.69737 .17839 L
.69662 .1784 L
.69594 .17842 L
.69525 .17842 L
.69462 .17843 L
.69426 .17843 L
.69388 .17844 L
.69349 .17844 L
.69328 .17844 L
.69308 .17844 L
.69289 .17844 L
.69271 .17844 L
.69238 .17844 L
.6922 .17844 L
.69202 .17844 L
.69184 .17844 L
.69163 .17844 L
.6913 .17844 L
.691 .17844 L
.69031 .17843 L
.68971 .17842 L
.68907 .17842 L
.68772 .17839 L
.68626 .17836 L
.68353 .17828 L
.68106 .17818 L
.67558 .17788 L
.6706 .17753 L
.66526 .17705 L
.6549 .1759 L
.64507 .17454 L
.63575 .17307 L
.62595 .17135 L
.61664 .1696 L
.60686 .16766 L
Mistroke
.59756 .16576 L
.5887 .16392 L
.5794 .16197 L
.57055 .16014 L
.56127 .15824 L
.55246 .15649 L
.54497 .15505 L
Mfstroke
.8 .16667 m
.78644 .17445 L
.77273 .1813 L
.7607 .18644 L
.74977 .19037 L
.73871 .19362 L
.72853 .19598 L
.72349 .19692 L
.71812 .19776 L
.71348 .19836 L
.70844 .19888 L
.70374 .19923 L
.7012 .19938 L
.69883 .19948 L
.69768 .19952 L
.69643 .19956 L
.69525 .19959 L
.69469 .1996 L
.69416 .1996 L
.69364 .19961 L
.69308 .19962 L
.69257 .19962 L
.69211 .19962 L
.69185 .19963 L
.6916 .19963 L
.69133 .19963 L
.69105 .19963 L
.69075 .19963 L
.69046 .19963 L
.69021 .19963 L
.68993 .19962 L
.6894 .19962 L
.68883 .19962 L
.68781 .1996 L
.68659 .19958 L
.68547 .19955 L
.68318 .19948 L
.68078 .19938 L
.67641 .19914 L
.67238 .19884 L
.66392 .19802 L
.65505 .1969 L
.64661 .1956 L
.63858 .1942 L
.63013 .19257 L
.62206 .1909 L
.61437 .18922 L
.60624 .18738 L
.59848 .18558 L
.59031 .18365 L
Mistroke
.5825 .1818 L
.57526 .18009 L
Mfstroke
.8 .18333 m
.78792 .19125 L
.77576 .19842 L
.76514 .20397 L
.75554 .20839 L
.74588 .21224 L
.73703 .21522 L
.72805 .21771 L
.71973 .21953 L
.712 .22081 L
.70809 .2213 L
.70401 .22171 L
.70027 .222 L
.69861 .22209 L
.69681 .22218 L
.6958 .22222 L
.69486 .22225 L
.69389 .22228 L
.69302 .2223 L
.69216 .22232 L
.69135 .22233 L
.69091 .22233 L
.6905 .22233 L
.69029 .22234 L
.69006 .22234 L
.68981 .22234 L
.68959 .22234 L
.68935 .22234 L
.68924 .22234 L
.68911 .22234 L
.68888 .22234 L
.68866 .22234 L
.68841 .22233 L
.68818 .22233 L
.68766 .22233 L
.68724 .22232 L
.68678 .22232 L
.68585 .2223 L
.6841 .22225 L
.68247 .2222 L
.67878 .22202 L
.67545 .22179 L
.66837 .22114 L
.66163 .2203 L
.65453 .21922 L
.64776 .21802 L
.64129 .21673 L
.63445 .21525 L
.6279 .21372 L
.62097 .21202 L
Mistroke
.61432 .21031 L
.60795 .20863 L
.60726 .20844 L
Mfstroke
.8 .2 m
.78936 .20805 L
.7787 .21553 L
.76946 .2215 L
.76116 .22642 L
.75287 .23088 L
.74534 .23452 L
.73776 .23777 L
.7308 .24035 L
.72438 .2424 L
.71781 .24415 L
.7117 .24547 L
.70599 .24642 L
.70287 .24682 L
.70006 .24712 L
.69719 .24736 L
.69449 .24753 L
.69313 .24759 L
.69238 .24762 L
.69169 .24764 L
.69103 .24766 L
.69033 .24768 L
.68969 .24769 L
.68911 .24769 L
.68876 .2477 L
.68845 .2477 L
.68828 .2477 L
.68819 .2477 L
.68809 .2477 L
.68791 .2477 L
.68775 .2477 L
.6876 .2477 L
.68744 .2477 L
.68729 .2477 L
.68715 .2477 L
.68699 .2477 L
.68682 .2477 L
.68648 .24769 L
.68611 .24769 L
.68577 .24769 L
.685 .24767 L
.6843 .24766 L
.68363 .24764 L
.6823 .24759 L
.68089 .24753 L
.67837 .24738 L
.67572 .24718 L
.67325 .24696 L
.66806 .24635 L
.66257 .24554 L
Mistroke
.65733 .24461 L
.6523 .2436 L
.64697 .24239 L
.64185 .24113 L
.64113 .24095 L
Mfstroke
.8 .21667 m
.79075 .22485 L
.78156 .23263 L
.77366 .23902 L
.76663 .24445 L
.75968 .24954 L
.75345 .25386 L
.74725 .25791 L
.74164 .26133 L
.73654 .26423 L
.73139 .26694 L
.72667 .26921 L
.72233 .27111 L
.71788 .27286 L
.71377 .2743 L
.70954 .27558 L
.7056 .2766 L
.70191 .27738 L
.69808 .27803 L
.69447 .27849 L
.69252 .27867 L
.69164 .27874 L
.69071 .2788 L
.68985 .27885 L
.68892 .27889 L
.68807 .27892 L
.68728 .27894 L
.68684 .27895 L
.6866 .27895 L
.68636 .27895 L
.68614 .27895 L
.68603 .27896 L
.6859 .27896 L
.68579 .27896 L
.68569 .27896 L
.68559 .27896 L
.68549 .27896 L
.68538 .27896 L
.68529 .27896 L
.68518 .27896 L
.68508 .27896 L
.6849 .27896 L
.68471 .27895 L
.6845 .27895 L
.68427 .27895 L
.68386 .27894 L
.68343 .27893 L
.68304 .27892 L
.68216 .2789 L
.68135 .27886 L
Mistroke
.68057 .27882 L
.67886 .27871 L
.67728 .27858 L
.67698 .27856 L
Mfstroke
.8 .23333 m
.7921 .24164 L
.78433 .24973 L
.77773 .25654 L
.77194 .26248 L
.76631 .26821 L
.76135 .27325 L
.75652 .27814 L
.75225 .28245 L
.74845 .28628 L
.74473 .29005 L
.74142 .29341 L
.73847 .29642 L
.73555 .2994 L
.73295 .30209 L
.73038 .30476 L
.72809 .30718 L
.72605 .30937 L
.72402 .31157 L
.72222 .31357 L
.72044 .31559 L
.71886 .31743 L
.71745 .31912 L
.71606 .32083 L
.71489 .32233 L
s
.8 .25 m
.7934 .25843 L
.78701 .26682 L
.78168 .27405 L
.7771 .2805 L
.77276 .28689 L
.76904 .29266 L
.76555 .29844 L
.7626 .3037 L
.76011 .30854 L
.75781 .31347 L
.75592 .31804 L
.75437 .32231 L
.75302 .32673 L
.75198 .3309 L
.75154 .333 L
.75114 .33526 L
.75083 .33745 L
.7506 .33942 L
.75042 .34147 L
.75035 .3426 L
.75032 .3431 L
.7503 .34365 L
.75028 .34414 L
.75026 .34467 L
.75025 .34496 L
.75025 .34522 L
.75024 .34549 L
.75024 .34574 L
.75024 .34597 L
.75024 .34609 L
.75024 .34621 L
.75024 .34634 L
.75024 .34648 L
.75024 .34661 L
.75024 .34673 L
.75024 .34684 L
.75024 .34695 L
.75024 .34706 L
.75024 .34718 L
.75024 .34744 L
.75024 .34766 L
.75025 .34817 L
.75027 .3487 L
.7503 .34966 L
.75035 .3507 L
.75042 .35184 L
.7506 .35388 L
.75085 .35609 L
.75153 .36051 L
Mistroke
.75243 .36484 L
.75352 .3691 L
.75481 .37342 L
Mfstroke
.8 .26667 m
.79466 .27522 L
.7896 .28391 L
.7855 .29155 L
.7821 .29851 L
.77901 .30558 L
.77651 .3121 L
.77434 .3188 L
.77269 .32507 L
.77149 .33097 L
.77101 .33399 L
.77061 .33717 L
.77046 .33859 L
.77033 .34011 L
.77023 .34153 L
.77015 .34286 L
.77008 .34437 L
.77005 .34517 L
.77004 .34558 L
.77003 .34602 L
.77003 .34645 L
.77002 .34684 L
.77002 .34721 L
.77002 .3474 L
.77001 .3475 L
.77001 .3476 L
.77001 .34779 L
.77001 .34796 L
.77001 .34815 L
.77001 .34825 L
.77001 .34835 L
.77001 .34851 L
.77002 .34868 L
.77002 .34887 L
.77002 .34904 L
.77002 .3494 L
.77003 .34974 L
.77004 .35052 L
.77007 .35127 L
.7701 .35207 L
.77017 .35353 L
.77025 .35486 L
.77048 .35777 L
.77083 .36094 L
.77179 .36726 L
.77307 .37348 L
.77463 .37961 L
.77664 .38635 L
.77893 .39308 L
.78176 .40055 L
Mistroke
.78489 .40809 L
.78828 .41572 L
.79232 .4243 L
.7966 .43299 L
Mfstroke
.8 .28333 m
.79588 .29201 L
.79211 .30099 L
.7892 .30904 L
.78693 .31652 L
.78506 .32426 L
.78376 .33156 L
.78324 .3355 L
.78305 .3373 L
.78288 .3392 L
.78275 .34095 L
.78263 .34287 L
.7826 .34371 L
.78256 .34461 L
.78253 .3454 L
.78251 .34625 L
.7825 .34675 L
.7825 .34721 L
.78249 .34743 L
.78249 .34767 L
.78249 .34789 L
.78249 .3481 L
.78249 .34823 L
.78249 .34834 L
.78248 .34847 L
.78248 .34861 L
.78248 .34874 L
.78248 .34889 L
.78248 .34902 L
.78248 .34915 L
.78249 .34937 L
.78249 .3495 L
.78249 .34962 L
.78249 .34986 L
.78249 .35012 L
.7825 .35057 L
.7825 .35105 L
.78252 .35189 L
.78255 .35289 L
.78259 .35381 L
.78268 .35575 L
.7828 .35758 L
.7831 .36103 L
.78352 .36476 L
.78401 .36823 L
.78536 .37576 L
.78707 .38319 L
.78933 .39136 L
.79194 .39952 L
.7952 .40858 L
Mistroke
.79882 .41777 L
.80279 .42709 L
.80753 .43762 L
.81265 .44844 L
.81871 .46079 L
.82519 .47365 L
.83207 .48706 L
.8399 .50213 L
Mfstroke
.8 .3 m
.79705 .3088 L
.79452 .31806 L
.79354 .32246 L
.79276 .32652 L
.7921 .33064 L
.7916 .33451 L
.79139 .33656 L
.79119 .33877 L
.79104 .34076 L
.79093 .34262 L
.79085 .34458 L
.79082 .34561 L
.79079 .34673 L
.79078 .34729 L
.79077 .34758 L
.79077 .3479 L
.79077 .3482 L
.79077 .34847 L
.79076 .3486 L
.79076 .34875 L
.79076 .34901 L
.79076 .34926 L
.79076 .3494 L
.79076 .34953 L
.79076 .3498 L
.79076 .34995 L
.79076 .35009 L
.79077 .35034 L
.79077 .3506 L
.79077 .35109 L
.79078 .35157 L
.79079 .3521 L
.79081 .35304 L
.79085 .35417 L
.79089 .3552 L
.791 .35733 L
.79115 .35958 L
.79152 .36372 L
.79198 .36761 L
.7933 .37598 L
.79523 .38511 L
.79761 .3942 L
.80038 .40329 L
.80388 .41339 L
.80778 .42364 L
.81206 .43404 L
.81721 .44581 L
.82277 .45793 L
.82938 .47181 L
Mistroke
.83646 .48628 L
.84398 .5014 L
.85281 .51898 L
.86218 .53759 L
.87314 .55947 L
.88413 .5817 L
Mfstroke
.8 .31667 m
.79903 .32103 L
.79817 .32558 L
.7974 .33054 L
.79684 .33512 L
.79647 .33925 L
.79632 .34155 L
.79621 .34365 L
.79617 .34473 L
.79613 .34587 L
.79611 .34685 L
.7961 .3474 L
.79609 .34792 L
.79609 .34821 L
.79609 .34852 L
.79609 .34882 L
.79608 .34909 L
.79608 .34936 L
.79608 .34961 L
.79608 .34989 L
.79608 .35016 L
.79608 .35046 L
.79609 .3506 L
.79609 .35076 L
.79609 .35132 L
.7961 .35163 L
.7961 .35197 L
.79611 .35257 L
.79614 .35375 L
.79618 .35485 L
.79629 .35733 L
.79642 .35953 L
.7966 .36187 L
.79703 .36629 L
.79755 .37047 L
.79904 .37945 L
.80118 .38927 L
.80379 .39906 L
.80683 .40885 L
.81064 .41978 L
.81489 .43088 L
.82006 .4434 L
.82572 .45631 L
.83181 .46964 L
.83905 .48495 L
.8468 .50097 L
.85503 .51777 L
.86468 .53737 L
.87492 .5582 L
.88689 .5828 L
Mistroke
.89957 .6093 L
.9129 .63784 L
.9284 .67208 L
.92842 .67212 L
Mfstroke
.8 .33333 m
.79977 .33544 L
.79956 .33774 L
.79938 .34016 L
.79925 .34236 L
.79919 .34354 L
.79914 .34482 L
.79912 .34552 L
.7991 .34617 L
.79909 .34682 L
.79908 .34744 L
.79907 .34797 L
.79906 .34853 L
.79906 .34886 L
.79906 .34916 L
.79906 .34944 L
.79906 .34974 L
.79906 .3499 L
.79906 .35006 L
.79906 .35035 L
.79906 .35051 L
.79906 .35066 L
.79906 .351 L
.79906 .35127 L
.79907 .35157 L
.79907 .35217 L
.79908 .35276 L
.7991 .3534 L
.79913 .35456 L
.79921 .35673 L
.79935 .35927 L
.79952 .36163 L
.79992 .36604 L
.80051 .37094 L
.8021 .38067 L
.80418 .39028 L
.80698 .40087 L
.81027 .41151 L
.81399 .42223 L
.81858 .43428 L
.82364 .44659 L
.82973 .4606 L
.83634 .47514 L
.84343 .49026 L
.85181 .50776 L
.86077 .52622 L
.87025 .5457 L
.88135 .56861 L
.89311 .59312 L
.90683 .62231 L
Mistroke
.92133 .65399 L
.93654 .68836 L
.95415 .72986 L
.97158 .77307 L
Mfstroke
.8 .35 m
.8 .35028 L
.8 .35053 L
.8 .35082 L
.8 .3511 L
.80001 .35159 L
.80002 .35212 L
.80003 .3527 L
.80004 .35333 L
.80007 .35444 L
.80015 .35668 L
.80028 .35914 L
.80045 .36163 L
.80068 .36432 L
.80121 .36922 L
.80275 .37928 L
.80481 .38923 L
.80734 .39912 L
.81062 .41007 L
.81438 .42113 L
.81904 .43353 L
.8242 .44625 L
.82982 .45931 L
.83655 .47424 L
.8438 .48981 L
.85154 .50606 L
.86066 .52495 L
.87036 .54495 L
.88173 .56849 L
.89382 .59377 L
.90656 .62092 L
.9214 .65339 L
.93702 .68875 L
.95333 .72719 L
.97212 .77378 L
.99157 .82502 L
s
.99157 .82502 m
1 .84889 L
s
.8 .36667 m
.80127 .37592 L
.80326 .38625 L
.80572 .39628 L
.80861 .4063 L
.81229 .41744 L
.81643 .42874 L
.8215 .44147 L
.82707 .45456 L
.8331 .46807 L
.84027 .48356 L
.84797 .49977 L
.85616 .51673 L
.86579 .53652 L
.876 .55753 L
.88796 .58234 L
.90064 .60905 L
.91398 .63781 L
.9295 .6723 L
.9458 .70993 L
.96463 .75556 L
.98425 .80599 L
s
.98425 .80599 m
1 .84935 L
s
.8 .38333 m
.80221 .39269 L
.80522 .40328 L
.80862 .41368 L
.81243 .42418 L
.8171 .43599 L
.82222 .44809 L
.82836 .46187 L
.835 .47617 L
.8421 .49106 L
.85049 .5083 L
.85942 .52649 L
.86887 .54569 L
.87993 .56828 L
.89161 .59244 L
.90525 .62121 L
.91964 .65243 L
.93473 .68629 L
.9522 .72716 L
.97041 .77204 L
.99126 .82675 L
s
.99126 .82675 m
1 .85152 L
s
.8 .4 m
.80311 .40946 L
.80708 .4203 L
.81139 .43106 L
.81608 .44204 L
.8217 .45451 L
.82775 .4674 L
.83491 .48221 L
.84258 .49773 L
.85071 .51402 L
.86025 .53303 L
.87037 .55324 L
.88101 .57472 L
.89342 .60018 L
.90649 .62761 L
.92169 .66048 L
.93767 .69639 L
.95433 .73555 L
.9735 .78306 L
.99331 .83546 L
s
.99331 .83546 m
1 .85463 L
s
.8 .41667 m
.80396 .42623 L
.80885 .4373 L
.81402 .44841 L
.81955 .45986 L
.82607 .47297 L
.83301 .48664 L
.84114 .50248 L
.84979 .51922 L
.85891 .5369 L
.86955 .55768 L
.88077 .57994 L
.89255 .60374 L
.90623 .63212 L
.92058 .66287 L
.93721 .69993 L
.9546 .74063 L
.97264 .7852 L
.9932 .83946 L
s
.9932 .83946 m
1 .85888 L
s
.8 .43333 m
.80476 .44299 L
.81053 .45429 L
.81651 .46575 L
.82283 .47764 L
.83021 .49138 L
.83799 .50582 L
.84706 .52268 L
.85663 .54061 L
.86668 .55967 L
.87834 .58223 L
.89061 .60652 L
.90344 .63264 L
.9183 .66395 L
.93382 .69806 L
.95172 .73933 L
.97034 .78483 L
.9895 .83481 L
s
.9895 .83481 m
1 .86441 L
s
.8 .45 m
.80552 .45975 L
.81211 .47128 L
.81887 .48306 L
.82594 .49539 L
.83413 .50974 L
.84271 .52493 L
.85265 .54277 L
.86309 .56187 L
.874 .5823 L
.88664 .60661 L
.89987 .63291 L
.91367 .66135 L
.92958 .69557 L
.94615 .73298 L
.96515 .77843 L
.98479 .82867 L
s
.98479 .82867 m
1 .87066 L
s
.8 .46667 m
.80623 .47651 L
.81359 .48825 L
.82108 .50034 L
.82886 .51309 L
.83781 .52803 L
.84714 .54394 L
.8579 .56275 L
.86915 .58299 L
.88088 .60476 L
.8944 .63077 L
.90852 .65906 L
.92319 .68975 L
.94005 .72682 L
.95753 .76748 L
.97745 .81699 L
.99786 .87179 L
s
.99786 .87179 m
1 .87805 L
s
.8 .48333 m
.8069 .49327 L
.81498 .50521 L
.82315 .5176 L
.83159 .53075 L
.84126 .54626 L
.85129 .56286 L
.8628 .5826 L
.87481 .60395 L
.88728 .627 L
.90162 .65467 L
.91655 .68488 L
.93199 .71775 L
.94968 .75758 L
.96791 .80136 L
.98855 .85475 L
s
.98855 .85475 m
1 .88704 L
s
.8 .5 m
.80752 .51002 L
.81627 .52215 L
.82508 .53483 L
.83414 .54836 L
.84446 .56441 L
.85514 .58168 L
.86737 .6023 L
.88007 .62471 L
.89322 .64901 L
.90829 .67827 L
.92392 .71031 L
.94005 .74527 L
.95842 .78772 L
.97726 .83446 L
.99843 .89149 L
s
.99843 .89149 m
1 .89615 L
s
.8 .51667 m
.80809 .52678 L
.81747 .53909 L
.82687 .55204 L
.83649 .56593 L
.84743 .58249 L
.85871 .60039 L
.87157 .62185 L
.8849 .64527 L
.89866 .67074 L
.91438 .7015 L
.93064 .73528 L
.94733 .77222 L
.96627 .81712 L
.98556 .8666 L
s
.98556 .8666 m
1 .90716 L
s
.8 .53333 m
.80862 .54352 L
.81857 .55601 L
.8285 .56921 L
.83865 .58345 L
.85015 .60048 L
.86197 .61897 L
.87542 .64123 L
.88931 .66559 L
.90361 .69216 L
.9199 .72434 L
.93667 .75973 L
.95384 .79849 L
.9732 .84566 L
.99279 .89763 L
s
.99279 .89763 m
1 .91877 L
s
.8 .55 m
.80909 .56027 L
.81957 .57292 L
.83 .58636 L
.84062 .60091 L
.85263 .61839 L
.86494 .63743 L
.8789 .66042 L
.89329 .68566 L
.90806 .71325 L
.92482 .74672 L
.94202 .7836 L
.95954 .82402 L
.97919 .87322 L
.99893 .92739 L
s
.99893 .92739 m
1 .93068 L
s
.8 .56667 m
.80952 .57701 L
.82047 .58981 L
.83134 .60347 L
.84239 .61832 L
.85485 .63621 L
.86759 .65576 L
.88201 .67942 L
.89683 .70546 L
.91199 .73398 L
.92914 .76863 L
.94667 .80684 L
.96444 .84873 L
.98425 .89971 L
s
.98425 .89971 m
1 .94447 L
s
.8 .58333 m
.80991 .59375 L
.82127 .60669 L
.83254 .62056 L
.84396 .63567 L
.85682 .65393 L
.86994 .67394 L
.88475 .69822 L
.89992 .72498 L
.9154 .75432 L
.93285 .79001 L
.95061 .82939 L
.96852 .87255 L
.98836 .92503 L
s
.98836 .92503 m
1 .95927 L
s
.8 .6 m
.81024 .61049 L
.82198 .62356 L
.83358 .63761 L
.84533 .65296 L
.85853 .67156 L
.87197 .69198 L
.8871 .71679 L
.90256 .74419 L
.91828 .77425 L
.93594 .81084 L
.95384 .8512 L
.97179 .89542 L
.99153 .94911 L
s
.99153 .94911 m
1 .97492 L
s
.8 .61667 m
.81053 .62722 L
.82258 .64041 L
.83448 .65463 L
.8465 .67019 L
.85999 .68909 L
.87368 .70986 L
.88907 .73514 L
.90474 .76308 L
.92063 .79375 L
.93841 .83108 L
.95634 .87224 L
.97423 .91729 L
.99375 .97188 L
s
.99375 .97188 m
1 .99159 L
s
.8 .63333 m
.81077 .64395 L
.82308 .65725 L
.83522 .67161 L
.84747 .68736 L
.86118 .70651 L
.87507 .72759 L
.89064 .75326 L
.90646 .78163 L
.92244 .8128 L
.94025 .85071 L
.95813 .89247 L
.97585 .93812 L
.99504 .9933 L
s
.99504 .9933 m
.99709 1 L
s
.8 .65 m
.81097 .66067 L
.82348 .67408 L
.83581 .68856 L
.84823 .70447 L
.8621 .72383 L
.87614 .74515 L
.89182 .77113 L
.90771 .79985 L
.92371 .83138 L
.94146 .8697 L
.95918 .91187 L
.97664 .95786 L
s
.97664 .95786 m
.9909 1 L
s
.8 .66667 m
.81111 .6774 L
.82378 .69088 L
.83624 .70548 L
.84878 .72151 L
.86276 .74104 L
.87687 .76255 L
.8926 .78876 L
.90848 .81771 L
.92442 .84948 L
.94203 .88805 L
.95951 .9304 L
.97662 .9765 L
s
.97662 .9765 m
.98436 1 L
s
.8 .68333 m
.81121 .69412 L
.82398 .70768 L
.83652 .72236 L
.84912 .73849 L
.86315 .75814 L
.87728 .77978 L
.89298 .80613 L
.90878 .83522 L
.92458 .86709 L
.94196 .90573 L
.95911 .94806 L
.97579 .99402 L
s
.97579 .99402 m
.9777 1 L
s
.8 .7 m
.81126 .71084 L
.82407 .72446 L
.83664 .73921 L
.84925 .75541 L
.86326 .77513 L
.87734 .79683 L
.89295 .82324 L
.9086 .85235 L
.92419 .88421 L
.94125 .92273 L
.95799 .96484 L
s
.95799 .96484 m
.97045 1 L
s
.8 .71667 m
.81126 .72755 L
.82406 .74123 L
.83661 .75602 L
.84917 .77226 L
.8631 .792 L
.87707 .81372 L
.8925 .84009 L
.90793 .86912 L
.92323 .90082 L
.93989 .93906 L
.95613 .98074 L
s
.95613 .98074 m
.9628 1 L
s
.8 .73333 m
.81121 .74426 L
.82395 .75798 L
.83641 .77279 L
.84887 .78904 L
.86266 .80876 L
.87645 .83042 L
.89164 .85668 L
.90677 .88552 L
.9217 .91693 L
.93788 .95472 L
.95355 .99576 L
s
.95355 .99576 m
.95498 1 L
s
.8 .75 m
.81112 .76097 L
.82373 .77471 L
.83605 .78953 L
.84835 .80575 L
.86194 .82541 L
.87548 .84695 L
.89036 .873 L
.90511 .90155 L
.9196 .93254 L
.93522 .9697 L
s
.93522 .9697 m
.94654 1 L
s
.8 .76667 m
.81097 .77767 L
.8234 .79143 L
.83553 .80623 L
.84762 .8224 L
.86093 .84195 L
.87416 .86331 L
.88865 .88907 L
.90295 .9172 L
.91693 .94765 L
.93191 .98403 L
s
.93191 .98403 m
.93773 1 L
s
.8 .78333 m
.81078 .79438 L
.82297 .80814 L
.83485 .8229 L
.84666 .83898 L
.85963 .85837 L
.87249 .87949 L
.88651 .90487 L
.90029 .9325 L
.91368 .96228 L
.92794 .99771 L
s
.92794 .99771 m
.92875 1 L
s
.8 .8 m
.81054 .81107 L
.82244 .82483 L
.834 .83953 L
.84548 .8555 L
.85805 .87468 L
.87046 .8955 L
.88394 .92042 L
.89711 .94744 L
.90985 .97643 L
s
.90985 .97643 m
.91909 1 L
s
.8 .81667 m
.81024 .82777 L
.82179 .84151 L
.83299 .85613 L
.84407 .87195 L
.85616 .89088 L
.86806 .91133 L
.88092 .93572 L
.89342 .96203 L
.90543 .99013 L
s
.90543 .99013 m
.90918 1 L
s
.8 .83333 m
.8099 .84446 L
.82104 .85817 L
.83181 .87269 L
.84243 .88833 L
.85399 .90696 L
.8653 .92701 L
.87747 .95078 L
.88921 .97628 L
s
.88921 .97628 m
.89902 1 L
s
.8 .85 m
.80951 .86115 L
.82018 .87481 L
.83046 .88922 L
.84057 .90466 L
.85151 .92295 L
.86217 .94252 L
.87356 .9656 L
.88448 .99021 L
s
.88448 .99021 m
.88836 1 L
s
.8 .86667 m
.80907 .87784 L
.81921 .89145 L
.82895 .90571 L
.83847 .92091 L
.84873 .93882 L
.85866 .95787 L
.8692 .98019 L
s
.8692 .98019 m
.87758 1 L
s
.8 .88333 m
.80858 .89452 L
.81813 .90806 L
.82726 .92217 L
.83614 .93711 L
.84564 .9546 L
.85478 .97307 L
.86438 .99457 L
s
.86438 .99457 m
.86655 1 L
s
.8 .9 m
.80804 .9112 L
.81694 .92467 L
.8254 .9386 L
.83357 .95325 L
.84225 .97027 L
.85051 .98813 L
s
.85051 .98813 m
.85545 1 L
s
.8 .91667 m
.80745 .92788 L
.81565 .94126 L
.82337 .95499 L
.83076 .96933 L
.83854 .98586 L
s
.83854 .98586 m
.84455 1 L
s
.81667 .08333 m
.79457 .09242 L
.77223 .09947 L
.7619 .10202 L
.75256 .10396 L
.74322 .10555 L
.73459 .10673 L
.72528 .1077 L
.71699 .10831 L
.71272 .10854 L
.7104 .10864 L
.70823 .10872 L
.70625 .10877 L
.70444 .10882 L
.70244 .10885 L
.70134 .10887 L
.70029 .10888 L
.69976 .10889 L
.69919 .10889 L
.69865 .10889 L
.69815 .10889 L
.6977 .1089 L
.69721 .1089 L
.69669 .1089 L
.69621 .1089 L
.69594 .10889 L
.69565 .10889 L
.69512 .10889 L
.69461 .10889 L
.69413 .10888 L
.69305 .10887 L
.6919 .10886 L
.69001 .10883 L
.68824 .10879 L
.68423 .10868 L
.68018 .10853 L
.67594 .10832 L
.66844 .10787 L
.65329 .10662 L
.63756 .10493 L
.62278 .10307 L
.60743 .10094 L
.59297 .09883 L
.57937 .0968 L
.56523 .0947 L
.55194 .09279 L
.53945 .09106 L
.52648 .08938 L
.51433 .08792 L
.50176 .08655 L
Mistroke
.48999 .0854 L
.479 .08445 L
.46766 .08359 L
.45708 .0829 L
.45563 .08282 L
Mfstroke
.81667 .1 m
.7963 .10924 L
.77574 .11666 L
.75767 .12161 L
.7412 .12488 L
.73303 .12609 L
.72447 .12707 L
.72036 .12744 L
.71595 .12778 L
.71217 .128 L
.70805 .12819 L
.70614 .12826 L
.70409 .12833 L
.70216 .12837 L
.7004 .1284 L
.69938 .12841 L
.69844 .12842 L
.69789 .12843 L
.6974 .12843 L
.69713 .12843 L
.69683 .12843 L
.69656 .12843 L
.6963 .12843 L
.69583 .12843 L
.6954 .12843 L
.69492 .12843 L
.69466 .12843 L
.69441 .12843 L
.69393 .12843 L
.69339 .12842 L
.69243 .12842 L
.69155 .12841 L
.69061 .12839 L
.68891 .12836 L
.68689 .12832 L
.68505 .12826 L
.68127 .12813 L
.67732 .12794 L
.67015 .12751 L
.66357 .12701 L
.6498 .12568 L
.6355 .12396 L
.62201 .12209 L
.60928 .12018 L
.59601 .11808 L
.58348 .11605 L
.57166 .11413 L
.55933 .11216 L
.5477 .11037 L
.53562 .10859 L
Mistroke
.52425 .10703 L
.51356 .10566 L
.50248 .10436 L
.49208 .10325 L
.48258 .10235 L
Mfstroke
.81667 .11667 m
.79799 .12606 L
.77917 .13384 L
.76267 .13926 L
.74767 .14306 L
.73962 .14466 L
.73247 .14584 L
.72511 .14682 L
.71844 .14751 L
.71174 .14802 L
.70826 .14822 L
.70634 .14831 L
.70459 .14838 L
.70306 .14843 L
.70139 .14847 L
.69964 .14851 L
.69877 .14853 L
.69798 .14854 L
.69718 .14854 L
.69644 .14855 L
.69603 .14855 L
.69565 .14856 L
.69524 .14856 L
.6948 .14856 L
.69445 .14856 L
.69408 .14856 L
.69372 .14856 L
.6934 .14856 L
.69302 .14855 L
.69261 .14855 L
.69187 .14855 L
.6911 .14854 L
.69026 .14853 L
.68876 .1485 L
.68698 .14846 L
.68536 .14842 L
.68202 .1483 L
.67853 .14815 L
.67219 .14777 L
.66636 .14733 L
.65416 .14615 L
.64145 .14459 L
.62943 .14287 L
.61806 .14107 L
.60617 .13907 L
.59491 .1371 L
.58425 .1352 L
.5731 .13321 L
.56254 .13135 L
.55153 .12947 L
Mistroke
.54112 .12776 L
.5313 .12623 L
.52106 .12472 L
.51142 .12341 L
.51086 .12334 L
Mfstroke
.81667 .13333 m
.79963 .14288 L
.78252 .15103 L
.76756 .15691 L
.754 .16124 L
.7403 .16465 L
.7277 .16695 L
.72103 .16786 L
.71483 .16851 L
.71189 .16876 L
.7088 .16899 L
.70592 .16915 L
.70331 .16927 L
.70053 .16937 L
.69901 .16941 L
.69757 .16944 L
.69693 .16945 L
.69625 .16946 L
.69566 .16947 L
.69503 .16947 L
.69464 .16948 L
.69428 .16948 L
.69394 .16948 L
.69358 .16948 L
.69326 .16948 L
.69295 .16948 L
.69262 .16948 L
.69227 .16948 L
.69192 .16948 L
.69153 .16948 L
.69113 .16947 L
.69075 .16947 L
.68935 .16945 L
.68856 .16944 L
.68783 .16943 L
.68619 .16939 L
.68342 .16931 L
.68051 .16919 L
.67499 .16889 L
.66991 .16852 L
.65926 .16751 L
.64815 .16615 L
.63761 .16461 L
.62762 .16297 L
.61714 .16111 L
.60718 .15924 L
.59773 .1574 L
.5878 .15543 L
.57837 .15356 L
.56849 .15161 L
Mistroke
.5591 .14979 L
.55021 .14812 L
.5409 .14643 L
.54068 .1464 L
Mfstroke
.81667 .15 m
.80123 .1597 L
.78578 .16821 L
.77233 .17457 L
.76018 .17944 L
.74797 .1835 L
.73678 .18647 L
.73127 .18768 L
.7254 .18877 L
.71486 .19027 L
.70975 .19078 L
.70717 .19099 L
.70442 .19117 L
.70186 .19131 L
.69953 .19141 L
.69842 .19145 L
.69721 .19148 L
.69615 .1915 L
.69502 .19153 L
.69434 .19153 L
.69371 .19154 L
.69312 .19155 L
.69282 .19155 L
.69265 .19155 L
.69249 .19155 L
.69219 .19155 L
.69192 .19155 L
.69163 .19155 L
.69131 .19155 L
.69104 .19155 L
.69074 .19155 L
.69049 .19155 L
.69021 .19155 L
.68956 .19154 L
.68895 .19154 L
.6876 .19152 L
.68641 .19149 L
.68516 .19146 L
.68287 .19138 L
.68045 .19128 L
.6761 .19104 L
.67111 .19067 L
.66643 .19024 L
.6576 .18924 L
.64835 .18794 L
.63954 .18651 L
.63118 .18499 L
.62236 .18327 L
.61395 .18152 L
.60511 .17961 L
Mistroke
.59667 .17774 L
.58863 .17593 L
.58015 .17402 L
.57225 .17225 L
Mfstroke
.81667 .16667 m
.80279 .17652 L
.78895 .18538 L
.77697 .19222 L
.76622 .19765 L
.75546 .20239 L
.74567 .20607 L
.73578 .20916 L
.72666 .21145 L
.71821 .21309 L
.71404 .21373 L
.70952 .2143 L
.7053 .21473 L
.7014 .21502 L
.69929 .21515 L
.69729 .21524 L
.69552 .2153 L
.69459 .21533 L
.69358 .21535 L
.69303 .21536 L
.69253 .21537 L
.69205 .21537 L
.69153 .21538 L
.69131 .21538 L
.69107 .21538 L
.69086 .21538 L
.69063 .21538 L
.69038 .21539 L
.69014 .21539 L
.6899 .21539 L
.68969 .21539 L
.68945 .21538 L
.68919 .21538 L
.68895 .21538 L
.68873 .21538 L
.68822 .21538 L
.68769 .21537 L
.68668 .21536 L
.68557 .21533 L
.68357 .21528 L
.68176 .21521 L
.67773 .21499 L
.67406 .21473 L
.67012 .21438 L
.66244 .21351 L
.65513 .21247 L
.64817 .21131 L
.64081 .20992 L
.63379 .20846 L
.62638 .2068 L
Mistroke
.61928 .20512 L
.61248 .20345 L
.60579 .20176 L
Mfstroke
.81667 .18333 m
.8043 .19333 L
.79204 .20255 L
.7815 .20987 L
.77211 .21587 L
.76279 .2213 L
.75437 .22572 L
.74595 .22966 L
.73825 .23282 L
.73119 .23533 L
.72399 .23749 L
.71731 .23914 L
.71109 .24035 L
.70772 .24089 L
.70467 .2413 L
.70152 .24164 L
.69864 .24189 L
.69573 .24208 L
.69421 .24216 L
.69337 .24219 L
.69259 .24222 L
.69186 .24224 L
.69105 .24226 L
.69024 .24227 L
.6898 .24228 L
.68939 .24228 L
.6892 .24229 L
.689 .24229 L
.68882 .24229 L
.68863 .24229 L
.68846 .24229 L
.68827 .24229 L
.6881 .24229 L
.68794 .24229 L
.68775 .24229 L
.68765 .24229 L
.68755 .24229 L
.68736 .24229 L
.68719 .24229 L
.6868 .24228 L
.68639 .24228 L
.6856 .24227 L
.68488 .24225 L
.68325 .24221 L
.68182 .24215 L
.6803 .24208 L
.67746 .24191 L
.67482 .2417 L
.66927 .24112 L
.66341 .24032 L
Mistroke
.65782 .2394 L
.65246 .23837 L
.64679 .23716 L
.6415 .23591 L
Mfstroke
.81667 .2 m
.80577 .21014 L
.79504 .21971 L
.78591 .22751 L
.77784 .23409 L
.76993 .24024 L
.76287 .24543 L
.7559 .25028 L
.74963 .25438 L
.74395 .25784 L
.73825 .26107 L
.73305 .26379 L
.72828 .26607 L
.72342 .26818 L
.71894 .26992 L
.71436 .27149 L
.71009 .27275 L
.70612 .27375 L
.702 .27459 L
.69813 .27521 L
.69619 .27546 L
.69412 .27568 L
.69213 .27584 L
.69119 .27591 L
.69032 .27595 L
.68939 .276 L
.68856 .27603 L
.68811 .27604 L
.68763 .27605 L
.68712 .27606 L
.68689 .27606 L
.68664 .27607 L
.6864 .27607 L
.6863 .27607 L
.68619 .27607 L
.68609 .27607 L
.68598 .27607 L
.68587 .27607 L
.68577 .27607 L
.6857 .27607 L
.68564 .27607 L
.68558 .27607 L
.68551 .27607 L
.68539 .27607 L
.68533 .27607 L
.68526 .27607 L
.68505 .27607 L
.68492 .27607 L
.68481 .27607 L
.68434 .27606 L
Mistroke
.68407 .27606 L
.68382 .27605 L
.68288 .27603 L
.68198 .276 L
.68112 .27596 L
.67954 .27587 L
Mfstroke
.81667 .21667 m
.80719 .22695 L
.79796 .23687 L
.79019 .24515 L
.78342 .25231 L
.77689 .25919 L
.77117 .2652 L
.76563 .271 L
.76077 .2761 L
.75647 .28062 L
.75228 .28504 L
.74857 .28898 L
.74529 .2925 L
.74206 .29599 L
.73919 .29913 L
.73639 .30226 L
.7339 .30508 L
.73169 .30765 L
.72952 .31022 L
.7276 .31258 L
.72573 .31495 L
.72407 .31712 L
.72261 .31913 L
.7212 .32117 L
.72002 .32296 L
s
.81667 .23333 m
.80857 .24376 L
.80079 .25402 L
.79435 .26278 L
.78885 .27053 L
.78367 .27816 L
.77926 .285 L
.77513 .29181 L
.77166 .29799 L
.76875 .30363 L
.76607 .30937 L
.76387 .31468 L
.76209 .31961 L
.76053 .32473 L
.75934 .32954 L
.75885 .33195 L
.75839 .33456 L
.75804 .33708 L
.75779 .33935 L
.75759 .34171 L
.75752 .343 L
.75749 .34359 L
.75747 .34422 L
.75745 .34479 L
.75743 .34539 L
.75743 .34573 L
.75742 .34603 L
.75742 .34618 L
.75742 .34634 L
.75742 .34649 L
.75741 .34663 L
.75741 .34675 L
.75741 .34689 L
.75741 .34704 L
.75741 .34718 L
.75741 .34732 L
.75741 .34747 L
.75741 .34763 L
.75742 .34778 L
.75742 .34805 L
.75742 .34829 L
.75743 .34884 L
.75745 .34942 L
.75746 .35004 L
.75751 .35115 L
.75758 .35234 L
.75767 .35365 L
.75789 .35601 L
.75819 .35856 L
.75902 .36366 L
Mistroke
.76009 .36867 L
.76139 .37361 L
.76293 .37864 L
Mfstroke
.81667 .25 m
.8099 .26057 L
.80353 .27117 L
.79838 .2804 L
.79412 .28874 L
.79025 .29714 L
.78713 .30484 L
.7844 .31269 L
.7823 .32001 L
.78075 .32687 L
.78014 .3303 L
.77958 .33404 L
.77918 .33757 L
.7789 .34086 L
.77879 .34266 L
.77875 .34354 L
.77871 .34436 L
.77868 .34516 L
.77867 .34589 L
.77865 .34669 L
.77864 .34714 L
.77864 .34734 L
.77864 .34756 L
.77864 .34777 L
.77863 .34797 L
.77863 .34817 L
.77863 .34836 L
.77863 .34858 L
.77863 .34878 L
.77863 .349 L
.77863 .34912 L
.77863 .34924 L
.77864 .34947 L
.77864 .34968 L
.77864 .35016 L
.77865 .35058 L
.77866 .35102 L
.77868 .35181 L
.7787 .35255 L
.77877 .35422 L
.77888 .35605 L
.779 .35778 L
.7793 .36103 L
.77973 .36455 L
.78021 .36783 L
.78153 .37494 L
.78319 .38195 L
.78536 .38965 L
.78786 .39735 L
.79098 .40589 L
Mistroke
.79444 .41454 L
.79821 .42331 L
.80272 .4332 L
.80757 .44335 L
.8081 .44444 L
Mfstroke
.81667 .26667 m
.81119 .27737 L
.80618 .2883 L
.80229 .29801 L
.79923 .30694 L
.79664 .31611 L
.79477 .32469 L
.79399 .32931 L
.79341 .33364 L
.79318 .33571 L
.79297 .3379 L
.79281 .33995 L
.79269 .34183 L
.79259 .34382 L
.79255 .34493 L
.79252 .34597 L
.7925 .34644 L
.79249 .34694 L
.79249 .34737 L
.79248 .34783 L
.79248 .34812 L
.79247 .34838 L
.79247 .34863 L
.79247 .3489 L
.79247 .34913 L
.79247 .34936 L
.79247 .3496 L
.79247 .34986 L
.79247 .35012 L
.79247 .35027 L
.79247 .3504 L
.79248 .35071 L
.79248 .35098 L
.79249 .35148 L
.79249 .35202 L
.79252 .35317 L
.79256 .35438 L
.79265 .35643 L
.79278 .35868 L
.79312 .36289 L
.79362 .36742 L
.79504 .37653 L
.79693 .38554 L
.79923 .39449 L
.80223 .40438 L
.80565 .41435 L
.80946 .42442 L
.81409 .43576 L
.81914 .44737 L
.82518 .4606 L
Mistroke
.83168 .47433 L
.83862 .48861 L
.8468 .50514 L
.85512 .52181 L
Mfstroke
.81667 .28333 m
.81244 .29417 L
.80874 .30543 L
.80607 .31561 L
.80417 .32513 L
.80344 .32996 L
.80284 .33509 L
.80261 .33758 L
.80241 .34027 L
.80227 .34282 L
.80217 .34516 L
.80214 .34629 L
.80213 .34691 L
.80212 .34751 L
.80211 .34806 L
.8021 .34835 L
.8021 .34865 L
.8021 .34894 L
.8021 .3492 L
.8021 .34946 L
.8021 .3497 L
.8021 .35 L
.8021 .35031 L
.8021 .35047 L
.8021 .35065 L
.8021 .35096 L
.8021 .35127 L
.8021 .35156 L
.80211 .35211 L
.80212 .35276 L
.80213 .35336 L
.80217 .35472 L
.8022 .35584 L
.80226 .35706 L
.80237 .35926 L
.80255 .36189 L
.80275 .36431 L
.80324 .36898 L
.80392 .37414 L
.80574 .38443 L
.80806 .39463 L
.81117 .4059 L
.81479 .41725 L
.81888 .42873 L
.82391 .44167 L
.82944 .45495 L
.83543 .46863 L
.84257 .48431 L
.85023 .50069 L
.85929 .51971 L
Mistroke
.86897 .53986 L
.87924 .56122 L
.89126 .58645 L
.90321 .61191 L
Mfstroke
.81667 .3 m
.81364 .31096 L
.81237 .31653 L
.81121 .32255 L
.81034 .32814 L
.80972 .33319 L
.80924 .3384 L
.80906 .34126 L
.80899 .34254 L
.80893 .34396 L
.80888 .3452 L
.80884 .34653 L
.80883 .34726 L
.80882 .34793 L
.80881 .34826 L
.80881 .34861 L
.8088 .34892 L
.8088 .34925 L
.8088 .34958 L
.8088 .34989 L
.8088 .3502 L
.8088 .35048 L
.8088 .35078 L
.8088 .35111 L
.8088 .35146 L
.8088 .35179 L
.80881 .35238 L
.80882 .35292 L
.80884 .35414 L
.80887 .35542 L
.80892 .35678 L
.80903 .35922 L
.80919 .36185 L
.80941 .36477 L
.80992 .36998 L
.81065 .37565 L
.81261 .38704 L
.81516 .39836 L
.81823 .40966 L
.82218 .42225 L
.82666 .43502 L
.83219 .44944 L
.8383 .46431 L
.84494 .47968 L
.85287 .49738 L
.8614 .51596 L
.87051 .53549 L
.88123 .55839 L
.89263 .58281 L
.906 .6118 L
Mistroke
.92018 .6432 L
.9351 .67719 L
.95122 .71528 L
Mfstroke
.81667 .31667 m
.81566 .32209 L
.81479 .32776 L
.81411 .33345 L
.81382 .33667 L
.8136 .33966 L
.81351 .34107 L
.81343 .3426 L
.81337 .34395 L
.81332 .34539 L
.81328 .34668 L
.81327 .34736 L
.81326 .3481 L
.81325 .34877 L
.81324 .34939 L
.81324 .34968 L
.81324 .35001 L
.81324 .35031 L
.81324 .3506 L
.81324 .35096 L
.81324 .35114 L
.81324 .35134 L
.81324 .35169 L
.81324 .35202 L
.81325 .35241 L
.81325 .35276 L
.81326 .35356 L
.81327 .35425 L
.81329 .355 L
.81333 .35636 L
.81344 .35908 L
.81358 .3616 L
.81398 .36689 L
.8146 .37278 L
.81635 .38445 L
.81871 .396 L
.82194 .40874 L
.82577 .42158 L
.83013 .43456 L
.83555 .4492 L
.84153 .46425 L
.84877 .48147 L
.85666 .49946 L
.86514 .51829 L
.8752 .54026 L
.88596 .56362 L
.89737 .58848 L
.91076 .61799 L
.92492 .64986 L
.94144 .68817 L
Mistroke
.95883 .73016 L
.97697 .77611 L
.99751 .83138 L
Mfstroke
.81667 .33333 m
.81642 .33595 L
.8162 .3388 L
.81602 .34178 L
.8159 .34455 L
.81585 .34614 L
.81583 .34692 L
.81582 .34764 L
.81581 .34828 L
.8158 .34898 L
.81579 .34935 L
.81579 .34969 L
.81579 .35005 L
.81579 .35026 L
.81579 .35044 L
.81579 .35065 L
.81579 .35083 L
.81579 .35104 L
.81579 .35124 L
.81579 .3516 L
.81579 .3518 L
.81579 .35199 L
.81579 .35238 L
.8158 .35281 L
.81581 .35368 L
.81582 .35445 L
.81584 .35527 L
.81589 .35676 L
.81594 .35829 L
.81601 .35971 L
.81619 .36294 L
.81668 .36884 L
.81729 .37435 L
.81815 .3805 L
.82039 .39275 L
.82323 .40493 L
.82701 .41845 L
.83141 .43213 L
.83637 .44604 L
.84245 .46182 L
.84914 .47812 L
.85719 .49686 L
.86593 .51656 L
.8753 .53729 L
.88638 .5616 L
.89821 .58759 L
.91074 .61539 L
.92541 .64857 L
.94089 .68458 L
.95888 .72808 L
Mistroke
.97774 .77598 L
.99726 .82859 L
Mfstroke
.99726 .82859 m
1 .83653 L
s
.81667 .35 m
.81667 .35034 L
.81666 .35066 L
.81666 .35102 L
.81667 .35136 L
.81667 .35168 L
.81667 .35197 L
.81667 .35229 L
.81667 .35263 L
.81668 .35334 L
.81669 .354 L
.81672 .35551 L
.81677 .35697 L
.81682 .35831 L
.81696 .36134 L
.81716 .36439 L
.81744 .36772 L
.81809 .37385 L
.81994 .38617 L
.82244 .39839 L
.82588 .41187 L
.82996 .42549 L
.83463 .43929 L
.84041 .4549 L
.84681 .47099 L
.85379 .48763 L
.86214 .50682 L
.87115 .52698 L
.88183 .55056 L
.89327 .57574 L
.90543 .60265 L
.9197 .63469 L
.9348 .66946 L
.95065 .70716 L
.96901 .75273 L
.98812 .8028 L
s
.98812 .8028 m
1 .8361 L
s
.81667 .36667 m
.81722 .37222 L
.81798 .37812 L
.82019 .39093 L
.82288 .40287 L
.82648 .4161 L
.83068 .42946 L
.83595 .44449 L
.84185 .45993 L
.84832 .47584 L
.85612 .49412 L
.86457 .51326 L
.87362 .53335 L
.88432 .55687 L
.89574 .58193 L
.90916 .61166 L
.92342 .64384 L
.93845 .67866 L
.95593 .72064 L
.97423 .76671 L
.99525 .82284 L
s
.99525 .82284 m
1 .83651 L
s
.81667 .38333 m
.81896 .39491 L
.82221 .40799 L
.82599 .42085 L
.83032 .43384 L
.83569 .44848 L
.84163 .46353 L
.84883 .48074 L
.85667 .49871 L
.86511 .51751 L
.87512 .53944 L
.88583 .56275 L
.8972 .58754 L
.91053 .61695 L
.92463 .64871 L
.94109 .68688 L
.95842 .72869 L
.97649 .77443 L
.99721 .8301 L
s
.99721 .8301 m
1 .83818 L
s
.81667 .4 m
.81988 .41169 L
.82413 .42505 L
.82884 .43831 L
.83407 .45185 L
.84041 .46726 L
.84731 .48322 L
.85555 .50163 L
.86445 .52102 L
.87395 .54146 L
.88514 .56546 L
.89706 .59117 L
.90965 .61868 L
.92435 .65154 L
.93984 .68723 L
.95781 .73035 L
.97663 .77784 L
.99608 .82998 L
s
.99608 .82998 m
1 .84131 L
s
.81667 .41667 m
.82076 .42846 L
.82596 .44209 L
.83156 .45576 L
.83764 .46983 L
.8449 .48597 L
.85271 .50284 L
.86196 .52244 L
.87185 .54324 L
.88236 .56531 L
.89467 .5914 L
.90772 .6195 L
.92144 .64977 L
.93741 .68609 L
.95414 .72575 L
.97345 .77387 L
.9935 .82704 L
s
.9935 .82704 m
1 .84557 L
s
.81667 .43333 m
.8216 .44524 L
.82769 .45913 L
.83413 .47318 L
.84103 .48776 L
.84917 .50463 L
.85784 .52238 L
.86803 .54316 L
.87887 .56534 L
.89032 .58902 L
.90368 .61718 L
.91777 .64768 L
.93254 .68068 L
.94964 .72047 L
.96748 .76407 L
.98791 .81714 L
s
.98791 .81714 m
1 .85093 L
s
.81667 .45 m
.82239 .46201 L
.82933 .47615 L
.83657 .49057 L
.84423 .50566 L
.8532 .52322 L
.86269 .54184 L
.87377 .56376 L
.88549 .5873 L
.89782 .61257 L
.91215 .64277 L
.9272 .67562 L
.94291 .71132 L
.96102 .7545 L
.97979 .80197 L
s
.97979 .80197 m
1 .8568 L
s
.81667 .46667 m
.82313 .47877 L
.83087 .49315 L
.83886 .50794 L
.84725 .5235 L
.857 .54175 L
.86726 .56119 L
.87917 .58422 L
.89171 .60909 L
.90485 .63591 L
.92006 .66809 L
.93599 .70325 L
.95253 .74156 L
.9715 .78805 L
.99103 .83926 L
s
.99103 .83926 m
1 .86472 L
s
.81667 .48333 m
.82383 .49554 L
.83232 .51014 L
.84102 .52527 L
.85009 .5413 L
.86057 .56019 L
.87154 .58044 L
.88422 .60454 L
.89752 .63069 L
.9114 .659 L
.92741 .6931 L
.9441 .73048 L
.96137 .77131 L
.98105 .82097 L
s
.98105 .82097 m
1 .87252 L
s
.81667 .5 m
.82447 .5123 L
.83367 .52712 L
.84303 .54258 L
.85273 .55904 L
.86389 .57856 L
.87552 .59958 L
.88891 .6247 L
.90291 .65207 L
.91746 .68181 L
.93418 .71775 L
.95154 .75723 L
.9694 .80047 L
.98965 .85309 L
s
.98965 .85309 m
1 .88236 L
s
.81667 .51667 m
.82508 .52906 L
.83493 .54409 L
.84489 .55985 L
.85518 .57673 L
.86697 .59684 L
.87921 .61858 L
.89325 .64468 L
.90787 .67321 L
.92301 .7043 L
.94035 .74197 L
.95827 .78344 L
.97662 .82891 L
.99727 .8843 L
s
.99727 .8843 m
1 .89232 L
s
.81667 .53333 m
.82563 .54581 L
.83609 .56104 L
.84661 .57709 L
.85744 .59437 L
.8698 .61503 L
.88259 .63745 L
.89722 .66447 L
.91239 .69408 L
.92806 .72645 L
.94592 .76573 L
.96429 .80904 L
.98301 .85656 L
s
.98301 .85656 m
1 .9036 L
s
.81667 .55 m
.82614 .56256 L
.83715 .57797 L
.84819 .5943 L
.85951 .61194 L
.87239 .63312 L
.88567 .65618 L
.90081 .68404 L
.91647 .71467 L
.93258 .7482 L
.95087 .78897 L
.9696 .83395 L
.98855 .88332 L
s
.98855 .88332 m
1 .91606 L
s
.81667 .56667 m
.8266 .57931 L
.83811 .5949 L
.84961 .61148 L
.86137 .62946 L
.87472 .65111 L
.88844 .67476 L
.90403 .7034 L
.9201 .73495 L
.93657 .76955 L
.9552 .81164 L
.97417 .85813 L
.99325 .90912 L
s
.99325 .90912 m
1 .92908 L
s
.81667 .58333 m
.82702 .59606 L
.83897 .6118 L
.85089 .62862 L
.86304 .64691 L
.8768 .66899 L
.89089 .69318 L
.90687 .72253 L
.92328 .75491 L
.94003 .79045 L
.9589 .83372 L
.978 .8815 L
.99709 .93387 L
s
.99709 .93387 m
1 .94276 L
s
.81667 .6 m
.82739 .6128 L
.83973 .62869 L
.85202 .64572 L
.86451 .66429 L
.87862 .68677 L
.89303 .71143 L
.90932 .74141 L
.92599 .77452 L
.94295 .81088 L
.96196 .85516 L
.9811 .90402 L
s
.9811 .90402 m
1 .95728 L
s
.81667 .61667 m
.82771 .62953 L
.8404 .64556 L
.85299 .66278 L
.86578 .68161 L
.88017 .70443 L
.89485 .72951 L
.91138 .76003 L
.92824 .79377 L
.94533 .83083 L
.96438 .87594 L
.98345 .92566 L
s
.98345 .92566 m
1 .97355 L
s
.81667 .63333 m
.82798 .64627 L
.84096 .66242 L
.85381 .67981 L
.86684 .69885 L
.88147 .72198 L
.89635 .74742 L
.91305 .77839 L
.93002 .81264 L
.94716 .85026 L
.96616 .89601 L
.98506 .94637 L
s
.98506 .94637 m
1 .99079 L
s
.81667 .65 m
.8282 .663 L
.84142 .67926 L
.85448 .6968 L
.86769 .71603 L
.8825 .73941 L
.89751 .76514 L
.91431 .79648 L
.93133 .83113 L
.94843 .86916 L
.9673 .91536 L
.98594 .96612 L
s
.98594 .96612 m
.99702 1 L
s
.81667 .66667 m
.82838 .67973 L
.84178 .69609 L
.855 .71376 L
.86834 .73314 L
.88326 .75671 L
.89835 .78268 L
.91518 .81429 L
.93216 .84922 L
.94914 .88752 L
.96778 .93398 L
.98607 .9849 L
s
.98607 .9849 m
.99087 1 L
s
.81667 .68333 m
.82851 .69645 L
.84203 .7129 L
.85536 .73067 L
.86878 .75017 L
.88375 .7739 L
.89885 .80002 L
.91564 .83181 L
.9325 .8669 L
.9493 .90533 L
.96762 .95184 L
s
.96762 .95184 m
.98452 1 L
s
.81667 .7 m
.82859 .71317 L
.84219 .72969 L
.85556 .74754 L
.86901 .76713 L
.88397 .79096 L
.89901 .81717 L
.91568 .84904 L
.93236 .88417 L
.94889 .92257 L
.96681 .96894 L
s
.96681 .96894 m
.97746 1 L
s
.81667 .71667 m
.82862 .72989 L
.84224 .74647 L
.85561 .76437 L
.86902 .78402 L
.8839 .80789 L
.89883 .83413 L
.91531 .86598 L
.93173 .90102 L
.94791 .93925 L
.96535 .98527 L
s
.96535 .98527 m
.97028 1 L
s
.81667 .73333 m
.8286 .7466 L
.84218 .76323 L
.85549 .78117 L
.86881 .80083 L
.88356 .82469 L
.89831 .85088 L
.91453 .88262 L
.93061 .91746 L
.94637 .95536 L
s
.94637 .95536 m
.96293 1 L
s
.81667 .75 m
.82854 .76331 L
.84202 .77997 L
.85522 .79792 L
.86839 .81757 L
.88294 .84137 L
.89744 .86744 L
.91332 .89897 L
.92899 .93347 L
.94426 .9709 L
s
.94426 .9709 m
.95481 1 L
s
.81667 .76667 m
.82843 .78002 L
.84176 .79669 L
.85478 .81463 L
.86775 .83423 L
.88204 .85792 L
.89622 .8838 L
.91169 .91501 L
.92687 .94907 L
.94157 .98588 L
s
.94157 .98588 m
.94657 1 L
s
.81667 .78333 m
.82826 .79672 L
.84139 .8134 L
.85418 .83131 L
.86689 .85081 L
.88084 .87434 L
.89464 .89997 L
.90962 .93077 L
.92424 .96426 L
s
.92424 .96426 m
.93819 1 L
s
.81667 .8 m
.82805 .81342 L
.84092 .83009 L
.85342 .84794 L
.86581 .86733 L
.87936 .89063 L
.89271 .91593 L
.90713 .94623 L
.92111 .97904 L
s
.92111 .97904 m
.92908 1 L
s
.81667 .81667 m
.82779 .83011 L
.84033 .84677 L
.85249 .86453 L
.8645 .88376 L
.87758 .90679 L
.89041 .93171 L
.9042 .96141 L
.91747 .99343 L
s
.91747 .99343 m
.91989 1 L
s
.81667 .83333 m
.82748 .8468 L
.83964 .86343 L
.85139 .88108 L
.86296 .90012 L
.87551 .92283 L
.88776 .94729 L
.90082 .97631 L
s
.90082 .97631 m
.91033 1 L
s
.81667 .85 m
.82712 .86349 L
.83884 .88007 L
.85013 .89759 L
.8612 .91641 L
.87314 .93875 L
.88473 .96269 L
.89701 .99094 L
s
.89701 .99094 m
.90051 1 L
s
.81667 .86667 m
.82671 .88018 L
.83794 .89669 L
.8487 .91407 L
.8592 .93263 L
.87047 .95455 L
.88133 .97791 L
s
.88133 .97791 m
.89053 1 L
s
.81667 .88333 m
.82625 .89686 L
.83692 .9133 L
.8471 .9305 L
.85697 .94878 L
.8675 .97023 L
.87755 .99295 L
s
.87755 .99295 m
.88034 1 L
s
.81667 .9 m
.82575 .91354 L
.8358 .9299 L
.84532 .9469 L
.85451 .96486 L
.86422 .9858 L
s
.86422 .9858 m
.87014 1 L
s
.81667 .91667 m
.82519 .93021 L
.83456 .94647 L
.84338 .96326 L
.8518 .98087 L
s
.8518 .98087 m
.86008 1 L
s
.83333 .08333 m
.81079 .09467 L
.78822 .10376 L
.76854 .10987 L
.75069 .11397 L
.74186 .11551 L
.73264 .11679 L
.72822 .11729 L
.72348 .11775 L
.71942 .11808 L
.71499 .11837 L
.71074 .11859 L
.7068 .11874 L
.70464 .1188 L
.70267 .11885 L
.70158 .11886 L
.7004 .11888 L
.69987 .11889 L
.69929 .11889 L
.69876 .1189 L
.69826 .1189 L
.69776 .1189 L
.6975 .1189 L
.69722 .1189 L
.69692 .1189 L
.69664 .1189 L
.69611 .1189 L
.69562 .1189 L
.69517 .1189 L
.69467 .1189 L
.69414 .1189 L
.69306 .11889 L
.69204 .11888 L
.69092 .11886 L
.68972 .11884 L
.6877 .1188 L
.68558 .11874 L
.68181 .11861 L
.67417 .11824 L
.66716 .11778 L
.65252 .1165 L
.63733 .11479 L
.62303 .11292 L
.60956 .11098 L
.59553 .10885 L
.58231 .1068 L
.56985 .10486 L
.55687 .10288 L
.54465 .10109 L
.53197 .09933 L
Mistroke
.52006 .09779 L
.50888 .09645 L
.49731 .0952 L
.48646 .09415 L
.47679 .09331 L
Mfstroke
.83333 .1 m
.81255 .11151 L
.7918 .12102 L
.77374 .12765 L
.75742 .13234 L
.74869 .13434 L
.74095 .13583 L
.73301 .13709 L
.72583 .13801 L
.71862 .13872 L
.71464 .13902 L
.71095 .13925 L
.70766 .13941 L
.70415 .13954 L
.70216 .13959 L
.70029 .13963 L
.69947 .13965 L
.69861 .13966 L
.69811 .13966 L
.69766 .13967 L
.6972 .13967 L
.69678 .13967 L
.69638 .13967 L
.69596 .13968 L
.69571 .13968 L
.69548 .13968 L
.69505 .13968 L
.6946 .13968 L
.69418 .13968 L
.69373 .13968 L
.69349 .13967 L
.69324 .13967 L
.69243 .13967 L
.69157 .13966 L
.69001 .13964 L
.68816 .1396 L
.68622 .13956 L
.68278 .13944 L
.6795 .13931 L
.67602 .13913 L
.66981 .13873 L
.65602 .13752 L
.64302 .13603 L
.63075 .13437 L
.61795 .13244 L
.60584 .13048 L
.5944 .12856 L
.58244 .12652 L
.57113 .12459 L
.55933 .12261 L
Mistroke
.54819 .1208 L
.53769 .11917 L
.52675 .11756 L
.51644 .11616 L
.50603 .11484 L
Mfstroke
.83333 .11667 m
.81427 .12834 L
.79529 .13827 L
.77883 .14543 L
.764 .15072 L
.74911 .15492 L
.73547 .1578 L
.72826 .15897 L
.72159 .15983 L
.7151 .16048 L
.70921 .16091 L
.70615 .16108 L
.70331 .1612 L
.70172 .16125 L
.70021 .1613 L
.69849 .16133 L
.69767 .16135 L
.69691 .16136 L
.69617 .16136 L
.69578 .16137 L
.69537 .16137 L
.69502 .16137 L
.69464 .16137 L
.69429 .16138 L
.69397 .16138 L
.69377 .16138 L
.69356 .16138 L
.69318 .16138 L
.69281 .16137 L
.69246 .16137 L
.69209 .16137 L
.69168 .16137 L
.69085 .16136 L
.69013 .16135 L
.68947 .16134 L
.68798 .16132 L
.6853 .16125 L
.68236 .16115 L
.67965 .16103 L
.67354 .16068 L
.66757 .16023 L
.6622 .15974 L
.6508 .15847 L
.64003 .15702 L
.62876 .15528 L
.61807 .15347 L
.60793 .15165 L
.5973 .14968 L
.58721 .14776 L
.57665 .14575 L
Mistroke
.56663 .14386 L
.55714 .14211 L
.54721 .14033 L
.53781 .13872 L
.537 .13858 L
Mfstroke
.83333 .13333 m
.81594 .14518 L
.79869 .15551 L
.7838 .16322 L
.77045 .16912 L
.7571 .17405 L
.74493 .17769 L
.73261 .18054 L
.72664 .18163 L
.72124 .18245 L
.71574 .18313 L
.71068 .18362 L
.70564 .18399 L
.703 .18414 L
.70154 .1842 L
.70018 .18425 L
.69879 .1843 L
.69753 .18433 L
.69614 .18436 L
.69538 .18437 L
.69466 .18438 L
.69403 .18439 L
.69368 .18439 L
.69336 .18439 L
.69308 .18439 L
.69279 .1844 L
.69246 .1844 L
.69217 .1844 L
.692 .1844 L
.69182 .1844 L
.6915 .1844 L
.69133 .1844 L
.69116 .18439 L
.69079 .18439 L
.69046 .18439 L
.69016 .18439 L
.68948 .18438 L
.68827 .18437 L
.68698 .18434 L
.68466 .18428 L
.68192 .18418 L
.67944 .18407 L
.67465 .18378 L
.66951 .18339 L
.65953 .18237 L
.65007 .18114 L
.6411 .17977 L
.63167 .17816 L
.62269 .17648 L
.61326 .1746 L
Mistroke
.60428 .17274 L
.59572 .17092 L
.58672 .16898 L
.57815 .16712 L
.56994 .16536 L
Mfstroke
.83333 .15 m
.81757 .16201 L
.80201 .17275 L
.78865 .181 L
.77675 .18753 L
.76492 .19323 L
.75421 .19765 L
.74344 .2014 L
.73356 .20419 L
.72444 .20623 L
.71995 .20705 L
.71509 .20779 L
.71051 .20836 L
.70638 .20877 L
.70217 .20909 L
.69987 .20922 L
.6977 .20932 L
.69567 .20938 L
.69453 .20941 L
.69351 .20943 L
.69256 .20944 L
.69202 .20945 L
.69176 .20945 L
.69153 .20945 L
.6913 .20945 L
.69109 .20945 L
.69086 .20945 L
.69062 .20945 L
.69038 .20945 L
.69013 .20945 L
.68989 .20945 L
.68966 .20945 L
.68942 .20945 L
.68916 .20945 L
.6887 .20945 L
.68821 .20944 L
.68767 .20944 L
.6867 .20942 L
.6858 .2094 L
.68375 .20934 L
.68157 .20926 L
.67723 .20903 L
.67317 .20873 L
.6655 .20799 L
.65745 .20696 L
.64979 .20577 L
.64249 .20448 L
.63479 .20297 L
.62743 .20141 L
.61967 .19966 L
Mistroke
.61224 .19791 L
.60514 .19618 L
.60512 .19617 L
Mfstroke
.83333 .16667 m
.81916 .17884 L
.80524 .18999 L
.79338 .19878 L
.7829 .20596 L
.77256 .21243 L
.7633 .2177 L
.75406 .2224 L
.74568 .22616 L
.73802 .22917 L
.73023 .23178 L
.72305 .23379 L
.71638 .23531 L
.70951 .23652 L
.70307 .23733 L
.69964 .23764 L
.69807 .23776 L
.69641 .23786 L
.69475 .23794 L
.69326 .238 L
.69254 .23802 L
.69176 .23804 L
.69108 .23805 L
.69036 .23806 L
.68996 .23807 L
.68959 .23807 L
.68941 .23807 L
.68922 .23807 L
.68904 .23808 L
.68887 .23808 L
.68868 .23808 L
.6885 .23808 L
.6883 .23808 L
.68818 .23808 L
.68808 .23808 L
.68789 .23808 L
.68778 .23807 L
.68767 .23807 L
.68747 .23807 L
.68725 .23807 L
.68682 .23807 L
.68642 .23806 L
.68567 .23805 L
.68479 .23803 L
.68398 .23801 L
.68249 .23796 L
.6811 .2379 L
.67796 .23772 L
.67488 .23749 L
.67209 .23723 L
Mistroke
.66615 .23654 L
.66048 .2357 L
.6545 .23466 L
.64877 .23352 L
.64279 .2322 L
Mfstroke
.83333 .18333 m
.8207 .19567 L
.80839 .20722 L
.798 .21655 L
.7889 .22439 L
.78003 .23167 L
.77219 .23781 L
.76448 .24353 L
.75759 .24834 L
.75138 .25242 L
.74519 .25623 L
.73956 .25943 L
.73443 .26214 L
.72923 .26464 L
.72445 .26673 L
.71957 .26863 L
.71506 .27018 L
.71087 .27143 L
.70654 .27252 L
.70249 .27335 L
.6983 .27402 L
.69623 .27428 L
.69435 .27448 L
.69252 .27463 L
.6916 .27469 L
.69062 .27475 L
.68963 .2748 L
.68874 .27483 L
.68831 .27484 L
.68784 .27485 L
.68744 .27486 L
.687 .27487 L
.68676 .27487 L
.68654 .27487 L
.68634 .27488 L
.68623 .27488 L
.68612 .27488 L
.68605 .27488 L
.68599 .27488 L
.68587 .27488 L
.68581 .27488 L
.68575 .27488 L
.68568 .27488 L
.68561 .27488 L
.6855 .27488 L
.68539 .27488 L
.68527 .27488 L
.68515 .27487 L
.6849 .27487 L
.68462 .27487 L
Mistroke
.68412 .27486 L
.68364 .27485 L
.68319 .27484 L
Mfstroke
.83333 .2 m
.82219 .2125 L
.81145 .22444 L
.80249 .23432 L
.79475 .24282 L
.78732 .25093 L
.78088 .25799 L
.77468 .26478 L
.76927 .27073 L
.76453 .27598 L
.75993 .28112 L
.75589 .28569 L
.75233 .28978 L
.74886 .29384 L
.74581 .2975 L
.74284 .30114 L
.74024 .30444 L
.73795 .30744 L
.73572 .31048 L
.73378 .31326 L
.73191 .31608 L
.73029 .31868 L
.72888 .32109 L
.72755 .32356 L
.72647 .32575 L
s
.83333 .21667 m
.82365 .22932 L
.81442 .24165 L
.80685 .25208 L
.80044 .26124 L
.79443 .27021 L
.78936 .27821 L
.78465 .28613 L
.78071 .29329 L
.77742 .29982 L
.77443 .30644 L
.77199 .31255 L
.77004 .31823 L
.76836 .32411 L
.7671 .32965 L
.7666 .33242 L
.76614 .33543 L
.76581 .3383 L
.76557 .34095 L
.76548 .34241 L
.76541 .34379 L
.76536 .34503 L
.76535 .34572 L
.76534 .34605 L
.76533 .34636 L
.76533 .3467 L
.76533 .34701 L
.76533 .34719 L
.76533 .34735 L
.76533 .34752 L
.76533 .34761 L
.76532 .34771 L
.76533 .34787 L
.76533 .34802 L
.76533 .34819 L
.76533 .34836 L
.76533 .34865 L
.76533 .34897 L
.76534 .34935 L
.76535 .34969 L
.76537 .35045 L
.76539 .35116 L
.76542 .35184 L
.76549 .35319 L
.76558 .35462 L
.7658 .3572 L
.76612 .35996 L
.76648 .36255 L
.76747 .36813 L
.76886 .3742 L
Mistroke
.77053 .38022 L
.77245 .3862 L
.77264 .38677 L
Mfstroke
.83333 .23333 m
.82506 .24614 L
.81731 .25886 L
.8111 .26983 L
.80598 .27967 L
.80135 .28951 L
.79763 .29848 L
.79438 .30758 L
.7919 .31603 L
.79006 .32393 L
.78933 .32786 L
.78867 .33216 L
.78818 .33621 L
.78785 .33998 L
.78772 .34204 L
.78766 .34305 L
.78762 .34399 L
.78759 .34491 L
.78756 .34574 L
.78754 .34666 L
.78753 .34717 L
.78753 .34765 L
.78752 .34788 L
.78752 .34812 L
.78752 .34836 L
.78752 .34857 L
.78752 .34882 L
.78752 .34896 L
.78752 .34909 L
.78752 .34932 L
.78752 .34958 L
.78752 .34982 L
.78752 .35008 L
.78752 .35032 L
.78752 .35055 L
.78753 .35107 L
.78754 .35162 L
.78756 .35252 L
.78759 .35337 L
.78766 .35528 L
.78778 .35737 L
.78792 .35935 L
.78826 .36307 L
.78874 .36711 L
.78929 .37087 L
.79081 .37902 L
.79271 .38708 L
.79521 .39595 L
.79809 .40484 L
.80169 .41474 L
Mistroke
.80569 .42479 L
.81005 .43503 L
.81527 .44663 L
.8209 .45859 L
.82151 .45986 L
Mfstroke
.83333 .25 m
.82642 .26296 L
.82011 .27606 L
.81521 .28758 L
.81135 .29809 L
.80808 .3088 L
.80568 .31877 L
.80472 .32376 L
.80387 .32911 L
.80324 .33422 L
.803 .33664 L
.80282 .33891 L
.80266 .3413 L
.80255 .34348 L
.8025 .34472 L
.80246 .3459 L
.80244 .34714 L
.80242 .34785 L
.80242 .34817 L
.80242 .3485 L
.80241 .34881 L
.80241 .34915 L
.80241 .34945 L
.80241 .34974 L
.80241 .34991 L
.80241 .35008 L
.80241 .35039 L
.80241 .35056 L
.80241 .35072 L
.80241 .35089 L
.80241 .35108 L
.80241 .35137 L
.80242 .35167 L
.80242 .35223 L
.80243 .3529 L
.80245 .35351 L
.80247 .35456 L
.80251 .35572 L
.80261 .35806 L
.80276 .36058 L
.80293 .36287 L
.80344 .36806 L
.80404 .37284 L
.80485 .37809 L
.80692 .38863 L
.80952 .39911 L
.81257 .40959 L
.81645 .42128 L
.8208 .43313 L
.82613 .44651 L
Mistroke
.83197 .4603 L
.8383 .47454 L
.84583 .49091 L
.85391 .50806 L
.86346 .52804 L
.87254 .54695 L
Mfstroke
.83333 .26667 m
.82774 .27978 L
.82282 .29325 L
.8192 .3053 L
.81657 .31649 L
.81544 .3226 L
.81461 .3281 L
.81395 .33377 L
.8135 .3391 L
.81333 .34181 L
.81326 .3433 L
.81321 .34469 L
.81317 .34598 L
.81314 .34715 L
.81313 .34782 L
.81312 .34845 L
.81311 .34912 L
.81311 .3495 L
.81311 .34986 L
.8131 .35022 L
.8131 .3504 L
.8131 .3506 L
.8131 .35095 L
.8131 .35128 L
.8131 .35148 L
.81311 .35166 L
.81311 .35202 L
.81311 .3524 L
.81312 .35282 L
.81313 .35352 L
.81314 .35426 L
.81317 .35561 L
.81321 .35689 L
.81326 .35809 L
.8134 .36084 L
.81358 .36361 L
.81382 .36655 L
.81436 .37182 L
.81594 .38283 L
.81833 .39488 L
.82131 .4069 L
.82523 .42024 L
.82975 .43379 L
.83482 .44758 L
.84102 .46325 L
.84782 .47947 L
.85517 .4963 L
.86392 .51578 L
.87331 .5363 L
.8844 .56038 L
Mistroke
.89625 .58616 L
.9088 .61377 L
.92348 .64671 L
.92471 .64951 L
Mfstroke
.83333 .28333 m
.82901 .29659 L
.82544 .31043 L
.82409 .31699 L
.82306 .32302 L
.82222 .32914 L
.82162 .33488 L
.82138 .33791 L
.82117 .3412 L
.8211 .34264 L
.82104 .34418 L
.82099 .34559 L
.82096 .34692 L
.82094 .34765 L
.82093 .34844 L
.82092 .34879 L
.82092 .34916 L
.82091 .34951 L
.82091 .34983 L
.82091 .35023 L
.82091 .35044 L
.82091 .35067 L
.82091 .35105 L
.82091 .35126 L
.82091 .35146 L
.82091 .35184 L
.82091 .35218 L
.82091 .35257 L
.82092 .35295 L
.82092 .35363 L
.82094 .35435 L
.82096 .35565 L
.821 .35705 L
.82105 .3586 L
.8212 .36173 L
.82138 .3646 L
.82194 .37112 L
.82264 .37708 L
.82359 .38368 L
.82607 .39689 L
.82922 .41007 L
.83339 .42472 L
.83824 .43961 L
.84369 .4548 L
.85039 .47209 L
.85775 .49004 L
.86573 .50871 L
.87524 .5304 L
.88546 .55335 L
.89755 .58036 L
Mistroke
.91047 .6094 L
.92416 .64065 L
.94017 .6781 L
.95705 .71899 L
.97641 .7681 L
Mfstroke
.83333 .3 m
.8317 .30658 L
.83024 .3134 L
.82893 .32079 L
.82797 .3276 L
.82731 .33371 L
.82703 .33712 L
.82682 .34022 L
.82674 .34181 L
.82666 .3435 L
.82661 .34496 L
.82656 .34653 L
.82654 .34741 L
.82653 .34821 L
.82652 .34902 L
.82651 .34979 L
.82651 .35022 L
.82651 .35046 L
.8265 .35068 L
.8265 .3511 L
.8265 .3515 L
.8265 .35173 L
.8265 .35197 L
.82651 .3524 L
.82651 .35264 L
.82651 .35287 L
.82651 .35338 L
.82652 .35423 L
.82654 .35503 L
.82658 .35682 L
.82662 .35841 L
.82669 .3601 L
.82684 .36302 L
.82705 .36625 L
.82761 .37272 L
.82844 .37975 L
.83075 .3939 L
.83381 .408 L
.83753 .42212 L
.84235 .43791 L
.84786 .45402 L
.85469 .47234 L
.86225 .49137 L
.87049 .51121 L
.88036 .53426 L
.89102 .5587 L
.9024 .58465 L
.91582 .61541 L
.93008 .64859 L
.94677 .68845 L
Mistroke
.96441 .73213 L
.98283 .77993 L
Mfstroke
.98283 .77993 m
1 .8272 L
s
.83333 .31667 m
.83229 .32329 L
.83143 .3302 L
.8311 .33357 L
.83081 .33717 L
.83067 .33923 L
.83056 .3411 L
.83048 .34288 L
.8304 .34476 L
.83036 .34639 L
.83034 .34726 L
.83032 .34819 L
.83031 .34904 L
.8303 .34982 L
.83029 .3502 L
.83029 .35061 L
.83029 .35099 L
.83029 .35135 L
.83029 .3518 L
.83029 .35206 L
.83029 .35229 L
.83029 .35272 L
.83029 .35317 L
.8303 .35358 L
.8303 .35396 L
.83031 .35482 L
.83033 .35575 L
.83035 .3566 L
.8304 .35852 L
.83046 .36018 L
.83054 .36195 L
.83072 .36513 L
.8313 .37236 L
.83206 .37921 L
.83297 .38571 L
.83548 .39975 L
.83907 .41524 L
.84341 .43086 L
.84843 .44671 L
.85471 .46464 L
.86172 .48316 L
.87025 .50445 L
.87959 .52685 L
.88967 .55047 L
.90166 .57822 L
.91451 .60799 L
.92816 .63994 L
.94415 .6782 L
.96104 .71991 L
.98064 .77049 L
Mistroke
Mfstroke
.98064 .77049 m
1 .82344 L
s
.83333 .33333 m
.83307 .33652 L
.83285 .34 L
.83275 .34175 L
.83267 .34363 L
.83261 .34538 L
.83257 .34701 L
.83255 .34794 L
.83253 .34893 L
.83252 .34944 L
.83252 .34992 L
.83252 .35045 L
.83251 .35074 L
.83251 .35101 L
.83251 .35124 L
.83251 .35149 L
.83251 .35194 L
.83251 .35221 L
.83251 .35247 L
.83251 .3527 L
.83252 .35295 L
.83252 .35342 L
.83252 .35392 L
.83253 .3548 L
.83255 .35565 L
.83257 .35655 L
.83261 .35819 L
.83268 .36013 L
.83275 .36191 L
.83295 .36544 L
.83318 .36871 L
.83388 .37616 L
.83472 .38292 L
.83587 .39048 L
.83881 .4056 L
.84251 .42074 L
.84739 .43763 L
.85303 .45488 L
.85937 .47257 L
.86714 .49281 L
.87567 .51394 L
.88594 .53851 L
.89707 .56463 L
.90901 .59246 L
.92311 .6255 L
.93814 .66128 L
.95401 .70005 L
.97246 .74687 L
.99175 .7983 L
s
.99175 .7983 m
1 .82176 L
s
.83333 .35 m
.83333 .35042 L
.83333 .3508 L
.83333 .35124 L
.83333 .35166 L
.83333 .35204 L
.83333 .3524 L
.83333 .35279 L
.83333 .3532 L
.83333 .35362 L
.83334 .35406 L
.83335 .35487 L
.83336 .35583 L
.83338 .35671 L
.83343 .35845 L
.8335 .36034 L
.83366 .36381 L
.8339 .36761 L
.83423 .37168 L
.83501 .37905 L
.83609 .38692 L
.83734 .39445 L
.84038 .40921 L
.84455 .42557 L
.8495 .44217 L
.85515 .45907 L
.86215 .47831 L
.86989 .49827 L
.87928 .52135 L
.88951 .54574 L
.90052 .57158 L
.91357 .60211 L
.92753 .635 L
.94231 .67046 L
.95957 .71311 L
.97771 .75978 L
.99862 .81656 L
s
.99862 .81656 m
1 .82056 L
s
.83333 .36667 m
.8339 .37342 L
.83471 .3806 L
.83717 .39618 L
.84027 .41072 L
.84447 .42688 L
.84942 .44325 L
.85568 .46175 L
.86273 .48087 L
.8705 .5007 L
.87989 .52364 L
.8901 .54786 L
.90105 .5735 L
.91402 .60378 L
.92786 .63637 L
.94412 .67541 L
.96134 .7181 L
.9794 .76474 L
s
.9794 .76474 m
1 .82094 L
s
.83333 .38333 m
.83571 .3974 L
.83925 .41329 L
.84348 .42891 L
.84839 .44473 L
.85456 .46261 L
.86146 .48106 L
.86987 .50226 L
.87909 .52453 L
.88905 .54799 L
.90091 .57554 L
.91363 .60506 L
.92714 .63672 L
.943 .67461 L
.95974 .71588 L
.97917 .7659 L
.99947 .82115 L
s
.99947 .82115 m
1 .8227 L
s
.83333 .4 m
.83667 .41419 L
.84123 .43039 L
.84641 .44648 L
.85224 .46292 L
.8594 .48167 L
.86728 .50117 L
.87676 .52375 L
.88705 .54766 L
.89809 .57302 L
.91115 .60301 L
.92509 .63534 L
.93982 .67022 L
.95702 .71218 L
.97507 .75811 L
.99586 .814 L
s
.99586 .814 m
1 .82592 L
s
.83333 .41667 m
.83758 .43097 L
.84311 .44748 L
.8492 .46402 L
.85591 .48106 L
.86401 .50066 L
.87282 .5212 L
.88332 .54515 L
.89462 .57069 L
.90668 .59794 L
.92087 .63035 L
.93593 .66549 L
.95178 .70358 L
.97017 .74962 L
.98935 .80019 L
s
.98935 .80019 m
1 .83019 L
s
.83333 .43333 m
.83844 .44776 L
.8449 .46455 L
.85185 .48153 L
.85939 .49917 L
.8684 .51959 L
.87808 .54114 L
.88954 .56644 L
.9018 .59357 L
.91481 .62269 L
.93003 .6575 L
.94613 .69542 L
.96297 .7367 L
.98241 .78675 L
s
.98241 .78675 m
1 .83495 L
s
.83333 .45 m
.83926 .46454 L
.8466 .48161 L
.85437 .49902 L
.8627 .51722 L
.87255 .53844 L
.88306 .56098 L
.89541 .58759 L
.90857 .61629 L
.92245 .64724 L
.93863 .6844 L
.95565 .72505 L
.97337 .76943 L
.99369 .82338 L
s
.99369 .82338 m
1 .8414 L
s
.83333 .46667 m
.84004 .48131 L
.8482 .49866 L
.85674 .51647 L
.86581 .53522 L
.87646 .55722 L
.88774 .58071 L
.90094 .60859 L
.91492 .63882 L
.92961 .67154 L
.94665 .71098 L
.96448 .75427 L
.98295 .80165 L
s
.98295 .80165 m
1 .84845 L
s
.83333 .48333 m
.84076 .49809 L
.84971 .51569 L
.85897 .53389 L
.86874 .55317 L
.88013 .57591 L
.89214 .60031 L
.90611 .62943 L
.92084 .66112 L
.93626 .69555 L
.95406 .73719 L
.9726 .78301 L
.99168 .83325 L
s
.99168 .83325 m
1 .85688 L
s
.83333 .5 m
.84144 .51485 L
.85112 .5327 L
.86106 .55128 L
.87148 .57105 L
.88356 .5945 L
.89624 .61979 L
.91092 .65008 L
.92633 .68317 L
.9424 .71924 L
.96087 .76297 L
.97999 .81118 L
.99956 .86411 L
s
.99956 .86411 m
1 .86541 L
s
.83333 .51667 m
.84207 .53162 L
.85243 .5497 L
.86301 .56863 L
.87403 .58888 L
.88674 .61301 L
.90003 .63912 L
.91536 .67053 L
.93138 .70494 L
.94802 .74255 L
.96705 .78825 L
.98664 .83869 L
s
.98664 .83869 m
1 .87587 L
s
.83333 .53333 m
.84266 .54838 L
.85364 .56668 L
.8648 .58594 L
.87638 .60665 L
.88968 .6314 L
.90352 .65831 L
.91943 .69076 L
.93599 .72641 L
.9531 .76547 L
.97259 .81298 L
.99254 .86548 L
s
.99254 .86548 m
1 .88685 L
s
.83333 .55 m
.8432 .56514 L
.85476 .58365 L
.86646 .60322 L
.87853 .62434 L
.89237 .64969 L
.9067 .67733 L
.92312 .71075 L
.94014 .74756 L
.95765 .78794 L
.9775 .83711 L
.99769 .89146 L
s
.99769 .89146 m
1 .8983 L
s
.83333 .56667 m
.84369 .58189 L
.85578 .6006 L
.86796 .62046 L
.88049 .64197 L
.8948 .66787 L
.90957 .69618 L
.92642 .7305 L
.94383 .76835 L
.96166 .80993 L
.98176 .8606 L
s
.98176 .8606 m
1 .91089 L
s
.83333 .58333 m
.84414 .59864 L
.8567 .61753 L
.86931 .63766 L
.88225 .65953 L
.89697 .68593 L
.91212 .71486 L
.92934 .74998 L
.94705 .78878 L
.96512 .83143 L
.98536 .88339 L
s
.98536 .88339 m
1 .92473 L
s
.83333 .6 m
.84454 .61539 L
.85752 .63445 L
.87052 .65482 L
.88381 .67702 L
.89888 .70387 L
.91435 .73335 L
.93187 .76919 L
.9498 .80882 L
.96802 .85239 L
.98831 .90546 L
s
.98831 .90546 m
1 .93929 L
s
.83333 .61667 m
.84489 .63213 L
.85824 .65135 L
.87157 .67194 L
.88517 .69443 L
.90054 .72169 L
.91626 .75165 L
.93399 .78812 L
.95209 .82845 L
.97036 .87279 L
.99061 .92676 L
s
.99061 .92676 m
1 .95465 L
s
.83333 .63333 m
.84519 .64887 L
.85886 .66823 L
.87247 .68902 L
.88632 .71177 L
.90192 .73937 L
.91784 .76975 L
.93572 .80674 L
.95389 .84766 L
.97215 .89262 L
.99224 .94726 L
s
.99224 .94726 m
1 .97091 L
s
.83333 .65 m
.84544 .66561 L
.85938 .68509 L
.87322 .70606 L
.88726 .72902 L
.90305 .75693 L
.91909 .78765 L
.93705 .82506 L
.95521 .86644 L
.97337 .91185 L
.99322 .96695 L
s
.99322 .96695 m
1 .98819 L
s
.83333 .66667 m
.84565 .68234 L
.8598 .70193 L
.87381 .72305 L
.888 .7462 L
.9039 .77434 L
.92 .80533 L
.93797 .84307 L
.95604 .88476 L
.97402 .93046 L
.99354 .98581 L
s
.99354 .98581 m
.99795 1 L
s
.83333 .68333 m
.84581 .69907 L
.86011 .71876 L
.87425 .74 L
.88852 .7633 L
.90448 .79162 L
.92058 .82281 L
.93848 .86076 L
.95639 .90264 L
.97411 .94846 L
s
.97411 .94846 m
.99189 1 L
s
.83333 .7 m
.84592 .71579 L
.86032 .73557 L
.87453 .7569 L
.88884 .78031 L
.90478 .80876 L
.92082 .84007 L
.93857 .87812 L
.95625 .92004 L
.97363 .96582 L
s
.97363 .96582 m
.98515 1 L
s
.83333 .71667 m
.84598 .73251 L
.86043 .75235 L
.87465 .77377 L
.88894 .79724 L
.90481 .82576 L
.92072 .85711 L
.93825 .89515 L
.95562 .93698 L
.97258 .98254 L
s
.97258 .98254 m
.97832 1 L
s
.83333 .73333 m
.846 .74923 L
.86044 .76912 L
.87461 .79058 L
.88882 .81409 L
.90456 .84262 L
.92027 .87392 L
.93751 .91185 L
.95449 .95345 L
.97097 .99863 L
s
.97097 .99863 m
.9714 1 L
s
.83333 .75 m
.84596 .76594 L
.86034 .78587 L
.87441 .80735 L
.88849 .83085 L
.90403 .85933 L
.91948 .89052 L
.93635 .92822 L
.95286 .96945 L
s
.95286 .96945 m
.96376 1 L
s
.83333 .76667 m
.84588 .78264 L
.86013 .80261 L
.87406 .82408 L
.88794 .84753 L
.90321 .8759 L
.91833 .90689 L
.93476 .94425 L
.95074 .98498 L
s
.95074 .98498 m
.95596 1 L
s
.83333 .78333 m
.84575 .79935 L
.85982 .81932 L
.87354 .84076 L
.88716 .86413 L
.9021 .89232 L
.91683 .92304 L
.93274 .95996 L
s
.93274 .95996 m
.94809 1 L
s
.83333 .8 m
.84557 .81605 L
.8594 .83601 L
.87285 .85739 L
.88617 .88064 L
.90071 .9086 L
.91498 .93897 L
.93029 .97533 L
s
.93029 .97533 m
.93951 1 L
s
.83333 .81667 m
.84534 .83274 L
.85888 .85269 L
.872 .87398 L
.88495 .89707 L
.89903 .92474 L
.91276 .95469 L
.92741 .99039 L
s
.92741 .99039 m
.93089 1 L
s
.83333 .83333 m
.84506 .84944 L
.85825 .86935 L
.87099 .89053 L
.8835 .91341 L
.89705 .94074 L
.91018 .97019 L
s
.91018 .97019 m
.92205 1 L
s
.83333 .85 m
.84473 .86612 L
.85751 .88598 L
.8698 .90703 L
.88183 .92967 L
.89477 .95659 L
.90724 .98547 L
s
.90724 .98547 m
.91282 1 L
s
.83333 .86667 m
.84436 .88281 L
.85667 .9026 L
.86845 .92349 L
.87993 .94585 L
.89219 .97232 L
s
.89219 .97232 m
.9037 1 L
s
.83333 .88333 m
.84393 .89949 L
.85571 .9192 L
.86693 .9399 L
.87779 .96195 L
.88932 .9879 L
s
.88932 .9879 m
.89412 1 L
s
.83333 .9 m
.84345 .91616 L
.85465 .93579 L
.86524 .95627 L
.87542 .97797 L
s
.87542 .97797 m
.88472 1 L
s
.83333 .91667 m
.84293 .93283 L
.85347 .95235 L
.86338 .9726 L
.87282 .99392 L
s
.87282 .99392 m
.87523 1 L
s
.85 .08333 m
.82703 .09718 L
.8043 .1086 L
.78467 .11656 L
.76704 .12221 L
.75764 .12464 L
.74934 .12647 L
.73315 .12919 L
.72545 .13011 L
.72154 .13049 L
.71727 .13084 L
.71356 .13109 L
.7096 .1313 L
.70744 .13139 L
.70547 .13146 L
.7036 .13151 L
.70162 .13156 L
.70062 .13158 L
.69969 .13159 L
.69884 .1316 L
.69841 .1316 L
.69793 .13161 L
.69752 .13161 L
.69707 .13161 L
.6966 .13162 L
.69616 .13162 L
.69572 .13162 L
.69531 .13162 L
.69494 .13162 L
.69454 .13162 L
.69406 .13161 L
.69362 .13161 L
.69261 .1316 L
.69162 .13159 L
.69056 .13158 L
.68866 .13155 L
.68692 .1315 L
.68335 .1314 L
.68005 .13126 L
.67265 .13086 L
.66543 .13034 L
.65894 .12978 L
.64522 .12832 L
.63229 .12667 L
.61881 .12473 L
.60608 .12275 L
.59407 .12081 L
.58152 .11874 L
.56967 .1168 L
.55733 .11481 L
Mistroke
.54569 .113 L
.53473 .11138 L
.52333 .1098 L
.51261 .10842 L
.50184 .10715 L
Mfstroke
.85 .1 m
.82882 .11404 L
.80793 .12592 L
.78996 .13448 L
.77388 .1408 L
.75781 .14586 L
.74316 .14937 L
.73596 .15072 L
.72832 .1519 L
.72112 .15277 L
.7146 .15337 L
.70834 .15378 L
.70482 .15394 L
.70154 .15405 L
.69993 .15409 L
.69907 .15411 L
.69817 .15412 L
.6973 .15413 L
.69651 .15414 L
.69613 .15414 L
.69572 .15415 L
.69534 .15415 L
.69498 .15415 L
.69464 .15415 L
.69427 .15415 L
.69392 .15415 L
.6936 .15415 L
.69323 .15415 L
.69282 .15415 L
.69244 .15415 L
.69209 .15414 L
.69139 .15414 L
.69062 .15413 L
.68906 .15411 L
.6875 .15408 L
.68586 .15403 L
.68295 .15394 L
.67983 .15381 L
.67644 .15363 L
.6704 .15324 L
.66401 .15271 L
.65156 .1514 L
.6398 .14987 L
.62867 .14822 L
.61703 .14632 L
.606 .1444 L
.59555 .14252 L
.58459 .14051 L
.57422 .13861 L
.56337 .13664 L
Mistroke
.5531 .13483 L
.5434 .13318 L
.53402 .13166 L
Mfstroke
.85 .11667 m
.83056 .1309 L
.81147 .14323 L
.79513 .1524 L
.78058 .15942 L
.76612 .16529 L
.75301 .16964 L
.73979 .17309 L
.7334 .17443 L
.72763 .17545 L
.72177 .17632 L
.71638 .17697 L
.71103 .17747 L
.70804 .17769 L
.70523 .17786 L
.70253 .17799 L
.70112 .17805 L
.69962 .1781 L
.69823 .17814 L
.69698 .17816 L
.69638 .17817 L
.69573 .17818 L
.69511 .17819 L
.69455 .1782 L
.69391 .1782 L
.69355 .1782 L
.69322 .1782 L
.69291 .1782 L
.69262 .17821 L
.69231 .17821 L
.69198 .1782 L
.69164 .1782 L
.69146 .1782 L
.69129 .1782 L
.69064 .1782 L
.6903 .1782 L
.68992 .17819 L
.68917 .17818 L
.68775 .17816 L
.68625 .17813 L
.68355 .17805 L
.68084 .17794 L
.67792 .17779 L
.67267 .17745 L
.66215 .1765 L
.6522 .17532 L
.64277 .17396 L
.63286 .17235 L
.62345 .17067 L
.61357 .16878 L
Mistroke
.60417 .1669 L
.59523 .16506 L
.58583 .1631 L
.57688 .16124 L
.56842 .15949 L
Mfstroke
.85 .13333 m
.83227 .14775 L
.81493 .16055 L
.80019 .17033 L
.78714 .17805 L
.77426 .18478 L
.76267 .19002 L
.75107 .19446 L
.74048 .1978 L
.73074 .20028 L
.72079 .20221 L
.71597 .20294 L
.71154 .20348 L
.70735 .2039 L
.7029 .20423 L
.70064 .20436 L
.69818 .20447 L
.69706 .20451 L
.69587 .20455 L
.69483 .20457 L
.69374 .20459 L
.69318 .2046 L
.69257 .2046 L
.6923 .20461 L
.69201 .20461 L
.69174 .20461 L
.69149 .20461 L
.69134 .20461 L
.69118 .20461 L
.69102 .20461 L
.69084 .20461 L
.69069 .20461 L
.69052 .20461 L
.69037 .20461 L
.69022 .20461 L
.68995 .20461 L
.6898 .20461 L
.68966 .20461 L
.68907 .20461 L
.6885 .2046 L
.68796 .20459 L
.68696 .20458 L
.68588 .20456 L
.68472 .20452 L
.68269 .20446 L
.68047 .20436 L
.67601 .2041 L
.67193 .20379 L
.66758 .20338 L
.65908 .20239 L
Mistroke
.65099 .20121 L
.6433 .19991 L
.63519 .19839 L
.62744 .1968 L
.61929 .19502 L
.61149 .19323 L
.60537 .19179 L
Mfstroke
.85 .15 m
.83392 .1646 L
.81831 .17785 L
.80513 .18825 L
.79356 .1967 L
.78223 .20431 L
.77215 .21048 L
.76215 .21599 L
.75313 .22042 L
.74492 .22396 L
.73662 .22707 L
.72898 .22948 L
.72193 .23134 L
.71467 .23286 L
.7079 .23393 L
.70429 .23436 L
.70091 .23468 L
.6993 .23481 L
.69761 .23492 L
.69603 .23501 L
.69458 .23507 L
.6929 .23513 L
.69201 .23515 L
.69157 .23516 L
.69108 .23517 L
.69066 .23517 L
.69028 .23518 L
.68989 .23518 L
.68953 .23518 L
.68932 .23518 L
.68921 .23519 L
.6891 .23519 L
.68892 .23519 L
.68871 .23519 L
.6886 .23519 L
.68849 .23519 L
.68829 .23519 L
.68817 .23519 L
.68807 .23519 L
.68783 .23518 L
.68762 .23518 L
.68741 .23518 L
.68702 .23518 L
.6866 .23517 L
.68614 .23517 L
.68532 .23515 L
.68455 .23513 L
.68313 .23509 L
.6816 .23503 L
.67826 .23485 L
Mistroke
.67512 .23462 L
.66919 .23404 L
.66294 .23322 L
.65697 .23227 L
.65068 .2311 L
.64519 .22996 L
Mfstroke
.85 .16667 m
.83554 .18144 L
.8216 .19515 L
.80994 .20616 L
.79982 .21535 L
.79003 .22387 L
.78143 .23102 L
.77303 .23767 L
.76558 .24327 L
.7589 .24802 L
.75228 .25245 L
.74629 .2562 L
.74086 .25937 L
.73539 .26234 L
.73038 .26482 L
.7253 .26711 L
.72062 .269 L
.71629 .27056 L
.71184 .27195 L
.7077 .27306 L
.70342 .27401 L
.69941 .27471 L
.69564 .2752 L
.69371 .27539 L
.6917 .27555 L
.69081 .2756 L
.68987 .27565 L
.68817 .27571 L
s
.85 .18333 m
.83711 .19829 L
.82481 .21244 L
.81464 .22407 L
.80593 .23401 L
.79765 .24346 L
.79051 .25164 L
.7837 .25949 L
.7778 .26636 L
.77267 .27242 L
.76773 .27835 L
.76343 .28363 L
.75968 .28835 L
.75605 .29305 L
.7529 .29729 L
.74986 .30154 L
.74723 .3054 L
.74496 .30893 L
.74279 .31252 L
.74092 .31583 L
.73918 .31922 L
.73771 .32236 L
.73648 .3253 L
.73537 .32835 L
.73452 .33107 L
s
.85 .2 m
.83864 .21513 L
.82792 .22973 L
.81921 .24198 L
.81189 .25267 L
.80509 .26308 L
.79939 .27232 L
.79414 .28144 L
.78979 .28967 L
.7862 .29716 L
.78297 .30474 L
.78037 .31174 L
.77833 .31825 L
.77662 .325 L
.77539 .33136 L
.77489 .33479 L
.77452 .33803 L
.77438 .33957 L
.77426 .34121 L
.77417 .34275 L
.7741 .34416 L
.77407 .34496 L
.77405 .34581 L
.77404 .34622 L
.77403 .34666 L
.77403 .34691 L
.77403 .34714 L
.77402 .34736 L
.77402 .34759 L
.77402 .34779 L
.77402 .3479 L
.77402 .348 L
.77402 .34819 L
.77402 .34839 L
.77402 .34849 L
.77402 .34861 L
.77402 .34873 L
.77402 .34884 L
.77402 .34904 L
.77402 .34925 L
.77403 .34968 L
.77403 .35008 L
.77405 .35083 L
.77407 .35157 L
.7741 .35239 L
.77418 .35405 L
.77427 .35558 L
.77438 .35703 L
.77469 .36032 L
.77506 .36335 L
Mistroke
.77614 .36995 L
.77752 .37643 L
.77939 .38353 L
.78156 .3906 L
.78428 .39837 L
Mfstroke
.85 .21667 m
.84012 .23197 L
.83095 .24701 L
.82366 .25987 L
.81769 .27133 L
.81234 .28272 L
.80805 .29305 L
.80435 .30351 L
.80154 .31318 L
.79948 .32221 L
.79867 .3267 L
.79795 .33161 L
.79743 .33622 L
.79708 .34053 L
.79694 .34288 L
.79689 .34403 L
.79685 .3451 L
.79683 .34607 L
.7968 .3471 L
.79679 .34769 L
.79679 .34798 L
.79679 .34825 L
.79678 .34848 L
.79678 .34874 L
.79678 .34901 L
.79678 .34928 L
.79678 .34958 L
.79678 .34985 L
.79678 .34999 L
.79678 .35015 L
.79678 .35031 L
.79678 .35047 L
.79678 .35075 L
.79678 .35101 L
.79679 .35159 L
.7968 .35208 L
.79681 .35261 L
.79683 .35369 L
.79687 .35488 L
.79692 .35614 L
.79704 .35843 L
.7972 .36076 L
.79741 .36329 L
.7979 .36792 L
.79933 .37746 L
.80126 .38688 L
.80362 .39623 L
.80669 .40657 L
.81021 .41699 L
.81456 .42865 L
Mistroke
.81939 .44058 L
.82464 .45279 L
.83093 .46672 L
.8372 .48014 L
Mfstroke
.85 .23333 m
.84156 .2488 L
.8339 .26427 L
.82799 .27776 L
.82334 .28998 L
.8194 .30236 L
.8165 .31383 L
.81534 .31954 L
.81431 .32567 L
.81354 .33151 L
.81325 .33428 L
.81302 .33686 L
.81281 .33959 L
.81267 .34208 L
.81261 .3434 L
.81255 .34484 L
.81251 .34636 L
.81249 .34711 L
.81248 .3478 L
.81247 .34851 L
.81246 .34888 L
.81246 .34928 L
.81246 .34962 L
.81245 .34994 L
.81245 .35029 L
.81245 .35049 L
.81245 .35067 L
.81245 .351 L
.81245 .35131 L
.81246 .35164 L
.81246 .352 L
.81246 .3526 L
.81247 .35327 L
.81249 .35402 L
.8125 .35472 L
.81254 .35628 L
.81259 .35766 L
.81266 .35911 L
.81281 .36178 L
.81301 .36463 L
.81349 .36981 L
.81424 .37588 L
.81512 .38167 L
.8173 .39297 L
.82032 .4054 L
.82393 .4179 L
.82807 .43051 L
.83321 .4447 L
.83891 .45926 L
.84583 .47587 L
Mistroke
.85336 .49318 L
.86147 .51126 L
.87109 .53229 L
.88138 .55459 L
.89255 .5788 L
Mfstroke
.85 .25 m
.84295 .26564 L
.83675 .28153 L
.83218 .29563 L
.82882 .30862 L
.82736 .31568 L
.82626 .32201 L
.82535 .3286 L
.82473 .33464 L
.82449 .33762 L
.82429 .34078 L
.82414 .34394 L
.82408 .34574 L
.82405 .34662 L
.82403 .34743 L
.82402 .34826 L
.82401 .34902 L
.824 .34945 L
.824 .34985 L
.824 .35028 L
.824 .35053 L
.824 .35075 L
.824 .35113 L
.824 .35148 L
.824 .35187 L
.824 .35228 L
.824 .35249 L
.824 .35272 L
.824 .35313 L
.82401 .35391 L
.82402 .35462 L
.82404 .3554 L
.82408 .35699 L
.82413 .35846 L
.82418 .35985 L
.82434 .36301 L
.82457 .36635 L
.82511 .37235 L
.82588 .37882 L
.82677 .3849 L
.82923 .3981 L
.83269 .41265 L
.83687 .42734 L
.84169 .44222 L
.84771 .45905 L
.8544 .47641 L
.86172 .49439 L
.87052 .51515 L
.88002 .537 L
.89132 .56261 L
Mistroke
.90344 .59002 L
.91633 .61938 L
.93145 .65444 L
.94746 .69258 L
.94894 .69618 L
Mfstroke
.85 .26667 m
.8443 .28246 L
.83952 .29878 L
.83769 .30646 L
.83625 .31349 L
.83505 .3206 L
.83414 .32725 L
.83376 .33074 L
.8334 .33453 L
.83315 .33794 L
.83296 .34112 L
.83281 .34446 L
.83276 .34624 L
.83274 .34723 L
.83272 .34814 L
.8327 .3491 L
.8327 .3496 L
.83269 .35014 L
.83269 .35038 L
.83269 .35065 L
.83269 .35088 L
.83269 .35113 L
.83269 .35135 L
.83269 .3516 L
.83269 .35203 L
.83269 .3525 L
.83269 .35292 L
.83269 .35315 L
.83269 .35341 L
.8327 .35387 L
.83271 .35476 L
.83272 .35559 L
.83276 .35723 L
.83281 .359 L
.83294 .36222 L
.83316 .36605 L
.83342 .36957 L
.83408 .37638 L
.83502 .3839 L
.83759 .39897 L
.84094 .41399 L
.84545 .4307 L
.85076 .4477 L
.85677 .4651 L
.8642 .48495 L
.8724 .50563 L
.88131 .52724 L
.89197 .55246 L
.90344 .57926 L
.91704 .61101 L
Mistroke
.93157 .64535 L
.94696 .6825 L
.96492 .7273 L
.98377 .7765 L
Mfstroke
.98377 .7765 m
1 .82134 L
s
.85 .28333 m
.8456 .29929 L
.8438 .30735 L
.84219 .31602 L
.84102 .32398 L
.8402 .33133 L
.83985 .33534 L
.83959 .33913 L
.83942 .34253 L
.83935 .34444 L
.83929 .34621 L
.83925 .34799 L
.83924 .34898 L
.83923 .34945 L
.83922 .34989 L
.83922 .35034 L
.83922 .35074 L
.83922 .35118 L
.83921 .35166 L
.83921 .35208 L
.83921 .35253 L
.83922 .35295 L
.83922 .35334 L
.83922 .3538 L
.83922 .35428 L
.83923 .35516 L
.83925 .35621 L
.83927 .35717 L
.83933 .35924 L
.8394 .36121 L
.83957 .36491 L
.83982 .36884 L
.84044 .37596 L
.84132 .38355 L
.84236 .39076 L
.84524 .40637 L
.8493 .42364 L
.85422 .44112 L
.85989 .45892 L
.86698 .47915 L
.87488 .50015 L
.8845 .52443 L
.89502 .55011 L
.90638 .57735 L
.91987 .60957 L
.93432 .64434 L
.94964 .6819 L
.96753 .72715 L
.98633 .77676 L
s
.98633 .77676 m
1 .815 L
s
.85 .3 m
.84832 .30791 L
.84686 .31611 L
.8457 .32433 L
.84517 .32901 L
.84478 .33325 L
.8445 .33703 L
.84426 .34112 L
.84416 .34337 L
.84409 .34544 L
.84404 .34742 L
.84402 .34842 L
.84401 .34899 L
.844 .34952 L
.844 .35005 L
.84399 .35052 L
.84399 .35105 L
.84399 .35134 L
.84399 .35161 L
.84399 .3521 L
.84399 .35256 L
.84399 .35306 L
.84399 .35359 L
.84399 .35403 L
.844 .35451 L
.844 .35536 L
.84402 .35638 L
.84404 .35731 L
.84409 .35938 L
.84417 .36163 L
.84436 .36572 L
.8446 .36952 L
.84493 .37374 L
.84583 .38233 L
.8469 .39034 L
.84834 .3991 L
.85199 .41688 L
.85655 .4348 L
.86193 .45297 L
.86875 .47357 L
.87642 .49488 L
.88581 .51946 L
.89615 .54541 L
.90736 .57288 L
.92072 .60532 L
.93507 .6403 L
.95031 .67804 L
.96815 .72349 L
.98692 .77329 L
s
.98692 .77329 m
1 .80999 L
s
.85 .31667 m
.84892 .32462 L
.84808 .33293 L
.84776 .33727 L
.84753 .34131 L
.84743 .34363 L
.84736 .34574 L
.84733 .3469 L
.84731 .34817 L
.8473 .34875 L
.84729 .34936 L
.84728 .34989 L
.84728 .35047 L
.84727 .35101 L
.84727 .35151 L
.84727 .35199 L
.84727 .35251 L
.84727 .35301 L
.84727 .35349 L
.84727 .35391 L
.84727 .35438 L
.84728 .35488 L
.84728 .35544 L
.8473 .35657 L
.84732 .35761 L
.84734 .35859 L
.84746 .36227 L
.84755 .36434 L
.84765 .36622 L
.84822 .37423 L
.84865 .37879 L
.84912 .38303 L
.85162 .39999 L
.85501 .41685 L
.85968 .4356 L
.86523 .45465 L
.87229 .47624 L
.88027 .49864 L
.8891 .52196 L
.89978 .5491 L
.91141 .57791 L
.92529 .61199 L
.94023 .64886 L
.95612 .68879 L
.97473 .73698 L
.99431 .79 L
s
.99431 .79 m
1 .80631 L
s
.85 .33333 m
.84972 .33716 L
.84949 .34133 L
.8494 .34344 L
.84933 .34569 L
.8493 .34678 L
.84928 .34782 L
.84926 .34881 L
.84925 .34975 L
.84924 .35029 L
.84924 .35078 L
.84923 .35132 L
.84923 .35162 L
.84923 .35191 L
.84923 .35219 L
.84923 .35248 L
.84923 .35301 L
.84923 .35333 L
.84923 .35364 L
.84923 .35391 L
.84923 .3542 L
.84924 .3547 L
.84924 .35525 L
.84926 .35635 L
.84927 .35737 L
.84929 .35832 L
.84936 .36068 L
.84944 .36283 L
.84968 .36767 L
.84997 .37191 L
.85029 .37586 L
.85125 .38485 L
.85237 .39304 L
.85388 .40221 L
.85768 .42062 L
.86239 .43918 L
.86856 .46005 L
.87568 .48154 L
.88364 .50378 L
.89338 .52949 L
.90406 .55661 L
.91689 .58852 L
.93078 .62285 L
.94563 .65985 L
.96311 .70432 L
.98161 .75306 L
s
.98161 .75306 m
1 .80383 L
s
.85 .35 m
.85 .3505 L
.84999 .35096 L
.84999 .35149 L
.84999 .35199 L
.84999 .35245 L
.84999 .35288 L
.84999 .35334 L
.84999 .35384 L
.84999 .35434 L
.85 .35487 L
.85001 .35584 L
.85002 .35699 L
.85004 .35805 L
.8501 .36013 L
.85017 .36241 L
.85037 .36656 L
.85066 .37112 L
.85105 .376 L
.85199 .38486 L
.8533 .39433 L
.85482 .4034 L
.85851 .42122 L
.86359 .44109 L
.86961 .46135 L
.87648 .48213 L
.88501 .50595 L
.89445 .53088 L
.90589 .55998 L
.91836 .59104 L
.93177 .62428 L
.94765 .66397 L
.96457 .70719 L
.98237 .75425 L
s
.98237 .75425 m
1 .80312 L
s
.85 .36667 m
.85024 .37052 L
.85057 .37476 L
.85145 .38337 L
.85273 .39296 L
.85421 .40204 L
.85787 .41995 L
.86292 .43989 L
.86894 .46025 L
.87584 .48114 L
.8844 .50508 L
.89391 .53017 L
.90428 .55654 L
.91671 .58752 L
.93012 .6207 L
.946 .66031 L
.96296 .7035 L
.98085 .75059 L
s
.98085 .75059 m
1 .80346 L
s
.85 .38333 m
.85248 .40017 L
.85634 .4192 L
.86108 .43793 L
.86667 .45693 L
.87376 .4785 L
.88174 .50085 L
.89153 .52667 L
.9023 .55397 L
.91397 .58294 L
.92789 .61721 L
.94283 .65424 L
.95869 .69428 L
.97723 .74259 L
.99667 .79563 L
s
.99667 .79563 m
1 .80527 L
s
.85 .4 m
.85347 .41697 L
.85838 .43635 L
.86409 .4556 L
.87061 .47531 L
.87871 .49786 L
.88768 .52141 L
.89856 .54882 L
.91042 .57801 L
.92318 .60917 L
.93831 .64626 L
.95445 .68657 L
.97148 .73036 L
.99125 .78342 L
s
.99125 .78342 m
1 .80826 L
s
.85 .41667 m
.85441 .43377 L
.86032 .45349 L
.86696 .47325 L
.87437 .49365 L
.88343 .51716 L
.89335 .54188 L
.90525 .57086 L
.91814 .60191 L
.93192 .63525 L
.94815 .67514 L
.96539 .7187 L
.98346 .7662 L
s
.98346 .7662 m
1 .81205 L
s
.85 .43333 m
.8553 .45057 L
.86217 .47061 L
.86969 .49087 L
.87795 .51193 L
.88792 .53638 L
.89873 .56226 L
.9116 .59277 L
.92544 .62565 L
.94016 .66113 L
.95742 .70378 L
.97562 .75053 L
.9946 .80167 L
s
.9946 .80167 m
1 .81719 L
s
.85 .45 m
.85615 .46736 L
.86392 .48771 L
.87228 .50845 L
.88135 .53016 L
.89218 .55551 L
.90382 .58251 L
.9176 .61452 L
.93232 .6492 L
.94791 .68676 L
.96607 .7321 L
.98513 .78195 L
s
.98513 .78195 m
1 .82315 L
s
.85 .46667 m
.85695 .48414 L
.86558 .5048 L
.87473 .526 L
.88455 .54833 L
.89619 .57456 L
.90862 .60265 L
.92324 .63611 L
.93877 .67251 L
.95514 .7121 L
.97411 .76004 L
.9939 .81288 L
s
.9939 .81288 m
1 .83029 L
s
.85 .48333 m
.85771 .50092 L
.86714 .52187 L
.87704 .54351 L
.88757 .56644 L
.89996 .59352 L
.91312 .62265 L
.92851 .6575 L
.94478 .69557 L
.96184 .7371 L
.98152 .78752 L
s
.98152 .78752 m
1 .83801 L
s
.85 .5 m
.85842 .5177 L
.8686 .53892 L
.8792 .56098 L
.8904 .58448 L
.90349 .61237 L
.91731 .6425 L
.93341 .67868 L
.95035 .71834 L
.96801 .76172 L
.98828 .81449 L
s
.98828 .81449 m
1 .8473 L
s
.85 .51667 m
.85908 .53448 L
.86997 .55596 L
.88122 .57842 L
.89303 .60246 L
.90677 .63111 L
.9212 .66219 L
.93793 .69964 L
.95545 .7408 L
.97364 .78591 L
.99438 .84088 L
s
.99438 .84088 m
1 .85701 L
s
.85 .53333 m
.8597 .55125 L
.87124 .57298 L
.88309 .59582 L
.89547 .62037 L
.9098 .64974 L
.92478 .68171 L
.94207 .72034 L
.9601 .76291 L
.97872 .80964 L
.99982 .86662 L
s
.99982 .86662 m
1 .86715 L
s
.85 .55 m
.86027 .56801 L
.87242 .58998 L
.88481 .61317 L
.89771 .6382 L
.91257 .66825 L
.92805 .70105 L
.94583 .74079 L
.96428 .78465 L
.98324 .83286 L
s
.98324 .83286 m
1 .87903 L
s
.85 .56667 m
.86079 .58477 L
.87349 .60696 L
.88639 .63049 L
.89976 .65596 L
.91509 .68663 L
.931 .7202 L
.94919 .76095 L
.96799 .80599 L
.98719 .85554 L
s
.98719 .85554 m
1 .89155 L
s
.85 .58333 m
.86126 .60153 L
.87447 .62392 L
.88782 .64776 L
.9016 .67364 L
.91735 .70489 L
.93363 .73915 L
.95216 .78082 L
.97122 .82692 L
.99058 .87764 L
s
.99058 .87764 m
1 .90469 L
s
.85 .6 m
.86169 .61828 L
.87534 .64087 L
.8891 .66498 L
.90324 .69124 L
.91935 .72301 L
.93593 .7579 L
.95473 .80038 L
.97397 .84741 L
.9934 .89914 L
s
.9934 .89914 m
1 .91852 L
s
.85 .61667 m
.86207 .63503 L
.87612 .65779 L
.89022 .68216 L
.90468 .70875 L
.92108 .74099 L
.93791 .77644 L
.9569 .81963 L
.97623 .86744 L
.99565 .92001 L
s
.99565 .92001 m
1 .93307 L
s
.85 .63333 m
.86241 .65178 L
.8768 .6747 L
.8912 .69929 L
.90591 .72618 L
.92255 .75882 L
.93955 .79475 L
.95866 .83854 L
.97801 .88699 L
.99733 .94023 L
s
.99733 .94023 m
1 .94844 L
s
.85 .65 m
.86269 .66852 L
.87737 .69158 L
.89202 .71638 L
.90694 .74353 L
.92375 .77651 L
.94086 .81284 L
.96002 .85711 L
.9793 .90606 L
.99843 .95977 L
s
.99843 .95977 m
1 .96471 L
s
.85 .66667 m
.86293 .68525 L
.87784 .70845 L
.89268 .73342 L
.90775 .76079 L
.92468 .79405 L
.94184 .83069 L
.96096 .87532 L
.9801 .92463 L
.99896 .97863 L
s
.99896 .97863 m
1 .98198 L
s
.85 .68333 m
.86312 .70199 L
.87822 .72529 L
.89319 .75041 L
.90836 .77795 L
.92534 .81144 L
.94248 .84831 L
.96149 .89319 L
.98041 .94269 L
.99892 .99679 L
s
.99892 .99679 m
.99989 1 L
s
.85 .7 m
.86326 .71871 L
.87848 .74212 L
.89355 .76735 L
.90875 .79503 L
.92572 .82867 L
.94278 .86569 L
.9616 .91068 L
.98022 .96023 L
s
.98022 .96023 m
.99354 1 L
s
.85 .71667 m
.86335 .73544 L
.87865 .75892 L
.89374 .78425 L
.90893 .81201 L
.92582 .84574 L
.94273 .88282 L
.96129 .92781 L
.97954 .97724 L
s
.97954 .97724 m
.98698 1 L
s
.85 .73333 m
.8634 .75215 L
.87871 .7757 L
.89378 .80109 L
.9089 .8289 L
.92565 .86266 L
.94234 .8997 L
.96057 .94457 L
.97836 .99374 L
s
.97836 .99374 m
.98036 1 L
s
.85 .75 m
.86339 .76887 L
.87867 .79246 L
.89365 .81788 L
.90864 .8457 L
.92519 .87941 L
.9416 .91634 L
.95941 .96096 L
s
.95941 .96096 m
.97324 1 L
s
.85 .76667 m
.86334 .78558 L
.87852 .80921 L
.89337 .83463 L
.90817 .86241 L
.92444 .89601 L
.94051 .93273 L
.95784 .97698 L
s
.95784 .97698 m
.9658 1 L
s
.85 .78333 m
.86324 .80228 L
.87827 .82592 L
.89292 .85132 L
.90748 .87902 L
.92342 .91244 L
.93906 .94888 L
.95583 .99263 L
s
.95583 .99263 m
.95832 1 L
s
.85 .8 m
.86309 .81898 L
.87791 .84262 L
.89231 .86796 L
.90657 .89553 L
.9221 .92872 L
.93726 .96477 L
s
.93726 .96477 m
.95044 1 L
s
.85 .81667 m
.86289 .83568 L
.87744 .8593 L
.89154 .88455 L
.90543 .91195 L
.92049 .94483 L
.9351 .98043 L
s
.9351 .98043 m
.94222 1 L
s
.85 .83333 m
.86265 .85237 L
.87687 .87596 L
.8906 .90109 L
.90407 .92828 L
.91859 .96079 L
.93258 .99584 L
s
.93258 .99584 m
.93405 1 L
s
.85 .85 m
.86235 .86906 L
.87619 .89259 L
.88949 .91758 L
.90248 .94452 L
.91639 .97659 L
s
.91639 .97659 m
.92544 1 L
s
.85 .86667 m
.862 .88574 L
.8754 .90921 L
.88822 .93403 L
.90066 .96066 L
.91389 .99224 L
s
.91389 .99224 m
.91678 1 L
s
.85 .88333 m
.86161 .90242 L
.87451 .9258 L
.88677 .95042 L
.89861 .97672 L
s
.89861 .97672 m
.90798 1 L
s
.85 .9 m
.86116 .9191 L
.8735 .94238 L
.88516 .96676 L
.89632 .99269 L
s
.89632 .99269 m
.89913 1 L
s
.85 .91667 m
.86066 .93577 L
.87238 .95893 L
.88337 .98306 L
s
.88337 .98306 m
.8903 1 L
s
.86667 .08333 m
.84328 .09998 L
.82045 .11399 L
.80097 .12407 L
.78365 .13151 L
.76644 .13748 L
.75082 .14167 L
.74317 .14331 L
.73506 .14475 L
.72808 .14576 L
.72054 .14661 L
.71353 .1472 L
.70975 .14744 L
.70623 .14761 L
.70453 .14767 L
.70268 .14773 L
.70105 .14777 L
.70016 .14779 L
.69932 .14781 L
.69851 .14782 L
.69762 .14783 L
.69682 .14784 L
.69644 .14784 L
.69608 .14784 L
.69575 .14784 L
.69539 .14784 L
.69499 .14785 L
.69463 .14785 L
.69425 .14785 L
.69384 .14785 L
.69345 .14784 L
.69309 .14784 L
.6927 .14784 L
.69229 .14784 L
.69155 .14783 L
.69076 .14782 L
.68989 .14781 L
.68834 .14778 L
.6869 .14775 L
.68363 .14765 L
.68015 .14751 L
.67325 .14713 L
.66682 .14666 L
.65473 .1455 L
.64212 .14398 L
.63021 .14229 L
.61895 .14053 L
.60716 .13856 L
.59599 .13661 L
.58432 .13454 L
Mistroke
.57328 .13258 L
.56283 .13075 L
.55191 .12888 L
.5416 .12719 L
.53187 .12567 L
Mfstroke
.86667 .1 m
.8451 .11686 L
.82414 .13139 L
.80634 .14214 L
.79061 .15036 L
.77507 .15725 L
.76105 .16237 L
.74698 .16647 L
.73409 .16931 L
.7222 .1712 L
.71622 .17189 L
.71321 .17217 L
.71 .17243 L
.70702 .17262 L
.70431 .17277 L
.70161 .17288 L
.69906 .17296 L
.69763 .17299 L
.69633 .17301 L
.69562 .17302 L
.69524 .17302 L
.69484 .17303 L
.6945 .17303 L
.69412 .17303 L
.69377 .17303 L
.69345 .17303 L
.69312 .17303 L
.69278 .17303 L
.69245 .17303 L
.69214 .17303 L
.69187 .17303 L
.69157 .17303 L
.69095 .17303 L
.69029 .17302 L
.68958 .17301 L
.6883 .17299 L
.68692 .17297 L
.68564 .17293 L
.68276 .17284 L
.67996 .17272 L
.67699 .17256 L
.67122 .17217 L
.66582 .17171 L
.65567 .17063 L
.64504 .16922 L
.63496 .16766 L
.6254 .16603 L
.61535 .16418 L
.6058 .16234 L
.59578 .16034 L
Mistroke
.58625 .15842 L
.5772 .15658 L
.56785 .1547 L
Mfstroke
.86667 .11667 m
.84688 .13373 L
.82774 .14878 L
.8116 .16022 L
.79743 .16923 L
.78353 .17707 L
.7711 .18318 L
.75872 .18838 L
.74747 .19232 L
.73716 .19527 L
.72667 .19762 L
.72161 .19852 L
.71695 .19922 L
.71228 .1998 L
.7079 .20023 L
.70563 .20041 L
.70316 .20058 L
.70095 .2007 L
.69889 .2008 L
.69775 .20084 L
.69652 .20087 L
.69551 .2009 L
.6944 .20092 L
.69381 .20093 L
.69319 .20094 L
.69285 .20094 L
.69254 .20094 L
.69222 .20095 L
.69193 .20095 L
.69166 .20095 L
.69137 .20095 L
.69108 .20095 L
.69092 .20095 L
.69076 .20095 L
.69049 .20095 L
.69024 .20095 L
.68996 .20095 L
.68967 .20095 L
.68909 .20094 L
.68855 .20094 L
.68753 .20092 L
.68644 .2009 L
.68526 .20087 L
.68315 .20081 L
.68121 .20073 L
.6771 .20051 L
.67262 .20018 L
.66397 .19934 L
.65576 .1983 L
.64714 .19699 L
Mistroke
.63893 .19555 L
.6311 .19404 L
.62285 .19233 L
.61497 .1906 L
.60672 .18872 L
Mfstroke
.86667 .13333 m
.84861 .1506 L
.83126 .16616 L
.81674 .17829 L
.8041 .18812 L
.79183 .19694 L
.78096 .20409 L
.77027 .21048 L
.76066 .21562 L
.75196 .21976 L
.74321 .22341 L
.73519 .22628 L
.72781 .22852 L
.72025 .23039 L
.71322 .23176 L
.70973 .23231 L
.70598 .2328 L
.70239 .23317 L
.69918 .23343 L
.69588 .23362 L
.69408 .2337 L
.69327 .23372 L
.69239 .23375 L
.69156 .23376 L
.69078 .23378 L
.69035 .23378 L
.68996 .23379 L
.68975 .23379 L
.68951 .23379 L
.68941 .23379 L
.68929 .23379 L
.68909 .23379 L
.6889 .23379 L
.68873 .23379 L
.68854 .23379 L
.68835 .23379 L
.68818 .23379 L
.68802 .23379 L
.68765 .23379 L
.68745 .23378 L
.68725 .23378 L
.68689 .23378 L
.68608 .23377 L
.68532 .23375 L
.6845 .23373 L
.68284 .23368 L
.6813 .23362 L
.67988 .23355 L
.67664 .23334 L
.6737 .2331 L
Mistroke
.66746 .23244 L
.66151 .23163 L
.65523 .23059 L
.64923 .22945 L
.64888 .22938 L
Mfstroke
.86667 .15 m
.8503 .16747 L
.83469 .18354 L
.82176 .19636 L
.81063 .20701 L
.79995 .21685 L
.79064 .2251 L
.78161 .23276 L
.77365 .23921 L
.76657 .24468 L
.75959 .24981 L
.75332 .25416 L
.74767 .25787 L
.742 .26135 L
.73685 .26431 L
.73166 .26706 L
.7269 .26937 L
.72252 .2713 L
.71805 .27308 L
.71391 .27454 L
.70966 .27584 L
.7057 .27687 L
.70199 .27767 L
.69815 .27833 L
.69471 .27878 L
s
.86667 .16667 m
.85194 .18433 L
.83804 .20091 L
.82666 .21443 L
.817 .22592 L
.8079 .2368 L
.80011 .24619 L
.79275 .2552 L
.78643 .26306 L
.78097 .27 L
.77578 .2768 L
.7713 .28286 L
.76743 .28829 L
.76374 .29373 L
.76057 .29865 L
.75758 .3036 L
.75503 .30814 L
.75288 .31232 L
.75088 .31659 L
.74922 .32057 L
.74774 .32466 L
.74656 .32852 L
.74565 .33215 L
.74528 .33397 L
.74492 .33596 L
.74446 .3394 L
s
.86667 .18333 m
.85354 .20119 L
.8413 .21827 L
.83144 .23249 L
.82323 .24482 L
.81566 .25679 L
.80939 .26736 L
.80366 .27779 L
.79897 .28717 L
.79515 .2957 L
.79176 .30435 L
.78909 .31235 L
.78706 .31979 L
.78613 .32385 L
.78541 .32753 L
.78479 .33133 L
.78432 .33484 L
.78395 .33839 L
.7838 .34026 L
.78367 .34225 L
.78358 .34417 L
.78355 .34525 L
.78353 .34576 L
.78352 .34624 L
.78351 .34669 L
.7835 .34711 L
.7835 .34757 L
.7835 .34782 L
.78349 .34806 L
.78349 .34829 L
.78349 .34841 L
.78349 .34854 L
.78349 .34877 L
.78349 .34899 L
.78349 .34911 L
.78349 .34924 L
.78349 .34947 L
.78349 .3496 L
.78349 .34972 L
.7835 .34999 L
.7835 .35048 L
.78351 .35093 L
.78353 .35195 L
.78355 .35285 L
.78359 .35381 L
.78367 .35546 L
.78378 .35728 L
.78408 .36094 L
.78452 .3649 L
.78575 .37283 L
Mistroke
.78739 .38066 L
.78938 .38841 L
.79197 .39696 L
.79491 .40555 L
.79819 .4142 L
Mfstroke
.86667 .2 m
.8551 .21805 L
.84447 .23562 L
.83609 .25054 L
.82929 .26373 L
.82324 .27679 L
.81845 .2886 L
.81435 .30051 L
.81128 .31151 L
.80908 .32177 L
.80821 .32698 L
.80749 .33246 L
.80723 .33489 L
.807 .33751 L
.80682 .33996 L
.80669 .34222 L
.80658 .34482 L
.80653 .3462 L
.80652 .34696 L
.8065 .34766 L
.80649 .34832 L
.80649 .34894 L
.80649 .34926 L
.80648 .34944 L
.80648 .34961 L
.80648 .34979 L
.80648 .34998 L
.80648 .35015 L
.80648 .35032 L
.80648 .35062 L
.80648 .35094 L
.80648 .35122 L
.80649 .35152 L
.80649 .35184 L
.80649 .35219 L
.8065 .35283 L
.80651 .35344 L
.80653 .3541 L
.80656 .35529 L
.80661 .35671 L
.80666 .358 L
.80682 .3608 L
.80701 .36346 L
.80751 .36869 L
.8081 .37354 L
.80984 .38409 L
.81208 .39451 L
.81511 .40602 L
.81866 .41759 L
.82313 .43052 L
Mistroke
.82814 .44374 L
.83365 .45727 L
.84028 .47272 L
.84746 .48878 L
.85556 .50638 L
Mfstroke
.86667 .21667 m
.85661 .23491 L
.84756 .25297 L
.84062 .26858 L
.8352 .28264 L
.83063 .29681 L
.8273 .30989 L
.82596 .31639 L
.82479 .32336 L
.82391 .32999 L
.82358 .33313 L
.82332 .33607 L
.8231 .33916 L
.82294 .34198 L
.82287 .34348 L
.82281 .34511 L
.82278 .346 L
.82276 .34684 L
.82274 .34769 L
.82273 .34848 L
.82272 .34925 L
.82271 .34965 L
.82271 .35008 L
.82271 .3503 L
.82271 .35051 L
.82271 .35074 L
.82271 .35097 L
.82271 .35137 L
.82271 .3516 L
.82271 .35181 L
.82271 .35218 L
.82271 .35253 L
.82272 .35291 L
.82272 .35333 L
.82273 .35417 L
.82274 .35494 L
.82278 .35631 L
.82282 .35781 L
.82295 .36082 L
.82313 .36408 L
.82335 .36705 L
.824 .37376 L
.82478 .37996 L
.82584 .38677 L
.82854 .40048 L
.83194 .41419 L
.83596 .42798 L
.84105 .44346 L
.84679 .4593 L
.85383 .47736 L
Mistroke
.86157 .49615 L
.86996 .51578 L
.87996 .53862 L
.89071 .56286 L
.90343 .59148 L
.91554 .61896 L
Mfstroke
.86667 .23333 m
.85808 .25176 L
.85056 .2703 L
.84503 .2866 L
.84095 .30153 L
.83917 .30961 L
.83783 .31684 L
.83671 .32435 L
.83592 .33122 L
.83562 .33455 L
.83535 .3382 L
.83514 .34187 L
.83506 .34388 L
.835 .34575 L
.83495 .34755 L
.83493 .34857 L
.83493 .34906 L
.83492 .34952 L
.83492 .34996 L
.83491 .35043 L
.83491 .35086 L
.83491 .35125 L
.83491 .35168 L
.83491 .35215 L
.83491 .35239 L
.83491 .35264 L
.83491 .3531 L
.83491 .35355 L
.83492 .35397 L
.83493 .35491 L
.83494 .35574 L
.83496 .35662 L
.835 .35815 L
.83505 .35984 L
.83522 .36352 L
.83542 .3669 L
.83607 .37457 L
.83687 .3816 L
.838 .38938 L
.84092 .40499 L
.84463 .42061 L
.84957 .43804 L
.85532 .45586 L
.86181 .47414 L
.86977 .49507 L
.87854 .51696 L
.88805 .53991 L
.89939 .56679 L
.91159 .59546 L
.92601 .62954 L
Mistroke
.94141 .66652 L
.95767 .70668 L
.97613 .75402 L
Mfstroke
.86667 .25 m
.8595 .2686 L
.85347 .28762 L
.8493 .30461 L
.84771 .31294 L
.84654 .32041 L
.84556 .3284 L
.84515 .33276 L
.84483 .33688 L
.8446 .34079 L
.84451 .34276 L
.84443 .34493 L
.84438 .34678 L
.84436 .34779 L
.84434 .34876 L
.84433 .34966 L
.84432 .35013 L
.84432 .35064 L
.84432 .3511 L
.84432 .35153 L
.84431 .35195 L
.84431 .35235 L
.84431 .35282 L
.84432 .35332 L
.84432 .3538 L
.84432 .35423 L
.84433 .35473 L
.84433 .35528 L
.84435 .35629 L
.84437 .35733 L
.84439 .35845 L
.84445 .36045 L
.8446 .364 L
.84482 .36792 L
.84545 .37581 L
.8464 .38439 L
.84912 .40169 L
.85278 .41896 L
.85727 .43633 L
.86312 .45586 L
.86982 .47592 L
.87815 .49887 L
.8874 .52293 L
.89751 .54822 L
.90962 .5779 L
.92271 .6097 L
.93667 .64382 L
.95311 .68468 L
.97051 .72924 L
.99073 .78333 L
Mistroke
Mfstroke
.99073 .78333 m
1 .80964 L
s
.86667 .26667 m
.86088 .28545 L
.85847 .29486 L
.85629 .30494 L
.85463 .31425 L
.85345 .32261 L
.85254 .33121 L
.85217 .33591 L
.85204 .33802 L
.85191 .34035 L
.85182 .34238 L
.85173 .34457 L
.8517 .34577 L
.85167 .34688 L
.85164 .348 L
.85163 .34904 L
.85161 .34999 L
.85161 .35052 L
.8516 .351 L
.8516 .35153 L
.8516 .35211 L
.8516 .35265 L
.8516 .35315 L
.8516 .35362 L
.8516 .35406 L
.8516 .35454 L
.85161 .35505 L
.85162 .3561 L
.85164 .35706 L
.85168 .35916 L
.85175 .36138 L
.85191 .36539 L
.85216 .36971 L
.85252 .3745 L
.85336 .38307 L
.85457 .39242 L
.85786 .41132 L
.86217 .43029 L
.86738 .44947 L
.87409 .47115 L
.88173 .49354 L
.89118 .51933 L
.90164 .54653 L
.91303 .57532 L
.92666 .60932 L
.94134 .646 L
.95696 .6856 L
.97526 .73333 L
.99452 .78568 L
s
.99452 .78568 m
1 .80148 L
s
.86667 .28333 m
.86431 .29266 L
.86221 .30229 L
.86035 .31269 L
.85902 .32224 L
.85813 .33079 L
.85776 .33556 L
.85751 .33989 L
.8574 .34212 L
.85732 .34448 L
.85726 .34649 L
.85723 .34763 L
.85721 .34871 L
.8572 .34931 L
.85719 .34996 L
.85719 .35055 L
.85718 .35109 L
.85718 .3514 L
.85718 .35174 L
.85718 .35209 L
.85718 .35242 L
.85718 .35273 L
.85717 .35306 L
.85718 .35366 L
.85718 .35421 L
.85718 .3548 L
.85719 .35536 L
.85719 .35586 L
.85721 .35711 L
.85723 .35829 L
.85728 .36041 L
.85735 .36275 L
.85757 .3675 L
.85784 .37191 L
.85816 .37607 L
.8591 .38554 L
.86024 .39434 L
.86356 .41362 L
.86786 .43292 L
.87367 .45456 L
.88047 .47673 L
.88904 .50207 L
.89868 .52863 L
.90928 .55657 L
.92207 .58939 L
.93594 .62462 L
.95079 .66251 L
.96829 .70801 L
.98681 .75777 L
s
.98681 .75777 m
1 .79499 L
s
.86667 .3 m
.86494 .30938 L
.8635 .31913 L
.86242 .3289 L
.86197 .33441 L
.86181 .33686 L
.86166 .33953 L
.86154 .34215 L
.86145 .34457 L
.86139 .34689 L
.86136 .34805 L
.86134 .34934 L
.86133 .34993 L
.86133 .3505 L
.86132 .35101 L
.86132 .35156 L
.86131 .35215 L
.86131 .3527 L
.86131 .35304 L
.86131 .35335 L
.86131 .35395 L
.86131 .35447 L
.86132 .35503 L
.86132 .3555 L
.86133 .35602 L
.86134 .35718 L
.86136 .35827 L
.86141 .36067 L
.86149 .3633 L
.86171 .36808 L
.86199 .37275 L
.86232 .37708 L
.86323 .38622 L
.86454 .39643 L
.86808 .41686 L
.8727 .43738 L
.87892 .46041 L
.88622 .48409 L
.8945 .50858 L
.90471 .53691 L
.91598 .56684 L
.92958 .60211 L
.94435 .64015 L
.96018 .68126 L
.97881 .73081 L
.9985 .78528 L
s
.9985 .78528 m
1 .78965 L
s
.86667 .31667 m
.86609 .32118 L
.86555 .3261 L
.86508 .33127 L
.86474 .33596 L
.86446 .34118 L
.86435 .34405 L
.86431 .34536 L
.86427 .34675 L
.86424 .34795 L
.86422 .34926 L
.86421 .34983 L
.86421 .35045 L
.8642 .35103 L
.8642 .35157 L
.86419 .35192 L
.86419 .35224 L
.86419 .35259 L
.86419 .35297 L
.86419 .3533 L
.86419 .35366 L
.86419 .3543 L
.86419 .35494 L
.8642 .35525 L
.8642 .3556 L
.86421 .3568 L
.86422 .35745 L
.86423 .35804 L
.86425 .3594 L
.86432 .36186 L
.86439 .36409 L
.86449 .36647 L
.86476 .37142 L
.86515 .3769 L
.86609 .38664 L
.86745 .39728 L
.87117 .41881 L
.87606 .44048 L
.88199 .46247 L
.88964 .48744 L
.89836 .51336 L
.90915 .5434 L
.9211 .57529 L
.93411 .60927 L
.94965 .64969 L
.96635 .69361 L
.98405 .74136 L
s
.98405 .74136 m
1 .78619 L
s
.86667 .33333 m
.86637 .33786 L
.86614 .34281 L
.86606 .34531 L
.86602 .34668 L
.86599 .34798 L
.86597 .34919 L
.86596 .34982 L
.86595 .3505 L
.86595 .35106 L
.86594 .35169 L
.86594 .35226 L
.86594 .35279 L
.86594 .35312 L
.86594 .35347 L
.86594 .35409 L
.86594 .35448 L
.86594 .35484 L
.86594 .35517 L
.86595 .35552 L
.86595 .35618 L
.86596 .35688 L
.86598 .35812 L
.866 .35933 L
.86602 .36045 L
.8661 .36301 L
.8662 .36579 L
.86632 .36834 L
.86667 .37406 L
.86751 .38381 L
.86876 .39453 L
.87229 .41612 L
.87698 .43779 L
.88272 .45973 L
.89016 .48461 L
.89868 .51038 L
.90923 .5402 L
.92093 .57178 L
.93368 .60536 L
.94894 .64525 L
.96533 .68848 L
.98464 .74069 L
s
.98464 .74069 m
1 .78397 L
s
.86667 .35 m
.86666 .3506 L
.86665 .35114 L
.86665 .35176 L
.86665 .35235 L
.86665 .3529 L
.86665 .3534 L
.86665 .35396 L
.86665 .35455 L
.86665 .35514 L
.86665 .35577 L
.86666 .35637 L
.86667 .35692 L
.86668 .35826 L
.86671 .35953 L
.86677 .36203 L
.86685 .36434 L
.86709 .36961 L
.86744 .37508 L
.86785 .38006 L
.86904 .39131 L
.87043 .40142 L
.87229 .41254 L
.877 .43516 L
.88288 .45813 L
.8898 .4816 L
.89857 .50846 L
.90842 .53655 L
.92049 .56934 L
.93375 .60438 L
.94809 .64196 L
.96512 .68694 L
.9833 .73607 L
s
.9833 .73607 m
1 .78293 L
s
.86667 .36667 m
.86691 .37123 L
.86725 .37625 L
.8682 .38643 L
.86963 .39779 L
.87132 .40855 L
.87552 .4298 L
.88139 .45356 L
.88843 .47791 L
.89652 .50305 L
.9066 .53205 L
.91781 .56267 L
.93004 .5951 L
.94471 .63353 L
.9605 .67505 L
.97914 .72506 L
.99892 .78007 L
s
.99892 .78007 m
1 .78324 L
s
.86667 .38333 m
.86778 .39296 L
.86926 .40325 L
.8735 .42576 L
.87859 .44708 L
.88533 .47111 L
.89316 .49589 L
.90297 .52442 L
.91392 .55451 L
.92594 .58639 L
.94038 .62411 L
.95598 .66488 L
.9726 .70902 L
.99207 .76236 L
s
.99207 .76236 m
1 .78511 L
s
.86667 .4 m
.87028 .42007 L
.87559 .44297 L
.8819 .46575 L
.8892 .48913 L
.89835 .51597 L
.90855 .54413 L
.92098 .57709 L
.93458 .61242 L
.94923 .65038 L
.96659 .6959 L
.98506 .74572 L
s
.98506 .74572 m
1 .78772 L
s
.86667 .41667 m
.87125 .43687 L
.87758 .46015 L
.88484 .48351 L
.89305 .50766 L
.90317 .53559 L
.91433 .56509 L
.92779 .59983 L
.94241 .63728 L
.95806 .67772 L
.97649 .72645 L
.99598 .77997 L
s
.99598 .77997 m
1 .79161 L
s
.86667 .43333 m
.87217 .45368 L
.87949 .47732 L
.88764 .50124 L
.89672 .52614 L
.90776 .55513 L
.91982 .58593 L
.93425 .62241 L
.94981 .66194 L
.96638 .70482 L
.98577 .75667 L
s
.98577 .75667 m
1 .79661 L
s
.86667 .45 m
.87305 .47048 L
.88129 .49447 L
.89031 .51893 L
.9002 .54456 L
.91211 .57457 L
.92501 .60664 L
.94034 .64482 L
.95677 .68637 L
.97417 .73162 L
.9944 .78651 L
s
.9944 .78651 m
1 .8026 L
s
.86667 .46667 m
.87388 .48728 L
.88301 .51161 L
.89283 .53658 L
.90349 .56291 L
.91622 .59392 L
.9299 .62721 L
.94607 .66703 L
.96329 .71054 L
.98142 .75807 L
s
.98142 .75807 m
1 .80932 L
s
.86667 .48333 m
.87467 .50407 L
.88462 .52872 L
.89521 .55419 L
.90659 .5812 L
.92008 .61316 L
.93449 .64763 L
.95141 .68902 L
.96934 .73441 L
.98812 .78412 L
s
.98812 .78412 m
1 .81751 L
s
.86667 .5 m
.87541 .52086 L
.88614 .54582 L
.89744 .57176 L
.9095 .59941 L
.92369 .63228 L
.93877 .66788 L
.95638 .71078 L
.97494 .75795 L
.99426 .80972 L
s
.99426 .80972 m
1 .82619 L
s
.86667 .51667 m
.8761 .53764 L
.88756 .5629 L
.89953 .58929 L
.91221 .61755 L
.92706 .65129 L
.94274 .68795 L
.96096 .73227 L
.98006 .78112 L
.99983 .83483 L
s
.99983 .83483 m
1 .83534 L
s
.86667 .53333 m
.87675 .55442 L
.88889 .57996 L
.90147 .60678 L
.91473 .63561 L
.93017 .67016 L
.94639 .70784 L
.96515 .75349 L
.9847 .80391 L
s
.9847 .80391 m
1 .8461 L
s
.86667 .55 m
.87734 .57119 L
.89012 .59699 L
.90327 .62422 L
.91705 .65359 L
.93302 .68891 L
.94972 .72752 L
.96894 .77441 L
.98887 .82627 L
s
.98887 .82627 m
1 .85748 L
s
.86667 .56667 m
.8779 .58796 L
.89125 .61401 L
.90492 .64161 L
.91917 .67149 L
.93562 .70752 L
.95273 .747 L
.97233 .79502 L
.99255 .84819 L
s
.99255 .84819 m
1 .86945 L
s
.86667 .58333 m
.8784 .60473 L
.89228 .63101 L
.90641 .65895 L
.92109 .6893 L
.93795 .72598 L
.95542 .76625 L
.97532 .81529 L
.99573 .86963 L
s
.99573 .86963 m
1 .88202 L
s
.86667 .6 m
.87886 .62149 L
.89321 .64799 L
.90776 .67625 L
.92281 .70703 L
.94002 .74429 L
.95778 .78527 L
.97791 .83523 L
.99843 .89058 L
s
.99843 .89058 m
1 .89523 L
s
.86667 .61667 m
.87927 .63824 L
.89404 .66494 L
.90896 .6935 L
.92432 .72466 L
.94182 .76245 L
.9598 .80406 L
.98008 .8548 L
s
.98008 .8548 m
1 .90928 L
s
.86667 .63333 m
.87963 .655 L
.89477 .68187 L
.91 .71069 L
.92563 .7422 L
.94336 .78046 L
.96149 .8226 L
.98185 .87401 L
s
.98185 .87401 m
1 .92442 L
s
.86667 .65 m
.87995 .67174 L
.8954 .69878 L
.91089 .72783 L
.92673 .75964 L
.94463 .79829 L
.96285 .84089 L
.9832 .89284 L
s
.9832 .89284 m
1 .94026 L
s
.86667 .66667 m
.88021 .68848 L
.89592 .71567 L
.91162 .74493 L
.92762 .77698 L
.94562 .81597 L
.96387 .85893 L
.98413 .91127 L
s
.98413 .91127 m
1 .95685 L
s
.86667 .68333 m
.88043 .70522 L
.89635 .73254 L
.9122 .76196 L
.9283 .79423 L
.94634 .83347 L
.96454 .8767 L
.98464 .92931 L
s
.98464 .92931 m
1 .97423 L
s
.86667 .7 m
.88061 .72195 L
.89667 .74938 L
.91262 .77895 L
.92876 .81137 L
.94678 .8508 L
.96488 .8942 L
.98474 .94695 L
s
.98474 .94695 m
1 .99248 L
s
.86667 .71667 m
.88073 .73868 L
.89689 .7662 L
.91289 .79588 L
.92901 .82842 L
.94695 .86796 L
.96486 .91143 L
.98441 .96418 L
s
.98441 .96418 m
.99617 1 L
s
.86667 .73333 m
.8808 .7554 L
.89701 .783 L
.91299 .81275 L
.92905 .84536 L
.94683 .88494 L
.9645 .92839 L
.98366 .98099 L
s
.98366 .98099 m
.98976 1 L
s
.86667 .75 m
.88083 .77212 L
.89702 .79977 L
.91294 .82957 L
.92887 .8622 L
.94643 .90175 L
.96379 .94508 L
.98248 .9974 L
s
.98248 .9974 m
.9833 1 L
s
.86667 .76667 m
.88081 .78883 L
.89693 .81653 L
.91272 .84634 L
.92847 .87893 L
.94575 .91837 L
.96273 .96149 L
s
.96273 .96149 m
.9762 1 L
s
.86667 .78333 m
.88074 .80554 L
.89673 .83325 L
.91234 .86304 L
.92785 .89556 L
.94478 .93482 L
.96132 .97762 L
s
.96132 .97762 m
.96896 1 L
s
.86667 .8 m
.88062 .82224 L
.89643 .84996 L
.9118 .8797 L
.92701 .91209 L
.94352 .95109 L
.95954 .99348 L
s
.95954 .99348 m
.96171 1 L
s
.86667 .81667 m
.88045 .83894 L
.89602 .86664 L
.9111 .89629 L
.92594 .92851 L
.94197 .96719 L
s
.94197 .96719 m
.95407 1 L
s
.86667 .83333 m
.88023 .85563 L
.8955 .8833 L
.91023 .91283 L
.92465 .94483 L
.94013 .98311 L
s
.94013 .98311 m
.94618 1 L
s
.86667 .85 m
.87997 .87232 L
.89488 .89994 L
.90919 .92932 L
.92314 .96104 L
.93799 .99885 L
s
.93799 .99885 m
.93839 1 L
s
.86667 .86667 m
.87965 .889 L
.89415 .91655 L
.90799 .94575 L
.92139 .97715 L
s
.92139 .97715 m
.93008 1 L
s
.86667 .88333 m
.87928 .90568 L
.8933 .93314 L
.90662 .96213 L
.91941 .99317 L
s
.91941 .99317 m
.92191 1 L
s
.86667 .9 m
.87887 .92235 L
.89236 .9497 L
.90507 .97845 L
s
.90507 .97845 m
.91361 1 L
s
.86667 .91667 m
.8784 .93902 L
.8913 .96625 L
.90336 .99472 L
s
.90336 .99472 m
.90536 1 L
s
.88333 .08333 m
.85956 .10308 L
.83669 .11999 L
.81745 .13245 L
.80056 .14197 L
.78397 .14994 L
.76909 .15589 L
.75423 .16069 L
.74066 .16407 L
.72819 .16637 L
.72194 .16723 L
.71544 .16794 L
.71256 .16819 L
.7095 .16842 L
.70665 .16859 L
.70402 .16872 L
.70103 .16883 L
.69946 .16888 L
.69865 .1689 L
.69779 .16891 L
.69696 .16893 L
.6962 .16894 L
.69548 .16894 L
.69511 .16895 L
.69471 .16895 L
.69436 .16895 L
.69403 .16895 L
.6937 .16895 L
.69339 .16895 L
.69303 .16895 L
.6927 .16895 L
.69233 .16895 L
.69215 .16895 L
.69195 .16895 L
.69127 .16895 L
.69088 .16895 L
.69053 .16894 L
.68904 .16892 L
.68776 .1689 L
.68639 .16887 L
.68328 .16877 L
.68047 .16866 L
.67509 .16836 L
.66932 .16795 L
.65814 .16686 L
.64755 .16555 L
.63754 .16408 L
.62703 .16236 L
.61705 .16059 L
.60659 .15862 L
Mistroke
.59664 .15669 L
.58721 .15483 L
.5773 .15286 L
.56836 .1511 L
Mfstroke
.88333 .1 m
.86141 .11997 L
.84043 .13746 L
.82291 .15069 L
.80764 .16109 L
.79276 .17012 L
.77953 .17717 L
.76643 .18319 L
.75458 .18778 L
.74378 .19125 L
.73281 .19407 L
.72269 .19604 L
.7133 .19735 L
.70859 .19783 L
.7036 .1982 L
.70121 .19833 L
.69862 .19845 L
.69744 .19848 L
.69619 .19852 L
.69501 .19854 L
.69394 .19856 L
.69341 .19857 L
.69282 .19857 L
.69252 .19857 L
.69221 .19858 L
.69191 .19858 L
.69163 .19858 L
.69136 .19858 L
.69111 .19858 L
.69084 .19858 L
.69055 .19858 L
.6903 .19858 L
.69006 .19858 L
.68952 .19857 L
.68894 .19857 L
.68833 .19856 L
.68724 .19854 L
.68606 .19852 L
.68479 .19849 L
.68247 .19841 L
.68037 .19831 L
.6757 .19804 L
.67146 .19772 L
.66691 .1973 L
.65804 .19627 L
.64962 .19506 L
.64161 .19373 L
.63317 .19216 L
.62513 .19055 L
.61665 .18874 L
Mistroke
.60934 .18711 L
Mfstroke
.88333 .11667 m
.86321 .13687 L
.84409 .15493 L
.82825 .16893 L
.81457 .18023 L
.80138 .19036 L
.78978 .19856 L
.77844 .2059 L
.76832 .21183 L
.7592 .21662 L
.75007 .22088 L
.74175 .22426 L
.73413 .22693 L
.72634 .22922 L
.71913 .23095 L
.71173 .23233 L
.70812 .23285 L
.70481 .23325 L
.70145 .23358 L
.69832 .23381 L
.69667 .23391 L
.6949 .23399 L
.69329 .23405 L
.69182 .23409 L
.69105 .2341 L
.69063 .23411 L
.69022 .23411 L
.68985 .23411 L
.68966 .23412 L
.68945 .23412 L
.68927 .23412 L
.68908 .23412 L
.6889 .23412 L
.68874 .23412 L
.68854 .23412 L
.68833 .23412 L
.68822 .23412 L
.6881 .23412 L
.68789 .23412 L
.68769 .23412 L
.68749 .23411 L
.68712 .23411 L
.68669 .23411 L
.68629 .2341 L
.68539 .23408 L
.68463 .23407 L
.68382 .23404 L
.68237 .23399 L
.67907 .23383 L
.67571 .2336 L
Mistroke
.67255 .23332 L
.66657 .23266 L
.66027 .23176 L
.65426 .23074 L
.6541 .23071 L
Mfstroke
.88333 .13333 m
.86498 .15375 L
.84766 .17239 L
.83347 .18717 L
.82135 .19939 L
.80982 .21065 L
.79985 .22007 L
.79026 .22882 L
.78186 .2362 L
.77445 .24247 L
.76719 .24837 L
.76072 .25341 L
.75493 .25772 L
.74917 .26181 L
.74397 .26531 L
.73876 .26862 L
.73403 .27143 L
.72972 .27384 L
.72534 .2761 L
.72132 .27802 L
.71723 .27979 L
.71344 .28126 L
.70992 .28248 L
.7063 .28358 L
.70309 .28442 L
s
.88333 .15 m
.86669 .17064 L
.85115 .18984 L
.83857 .2054 L
.82799 .21856 L
.8181 .23098 L
.80972 .24168 L
.80187 .25192 L
.7952 .26087 L
.7895 .26878 L
.78413 .27654 L
.77957 .28348 L
.77568 .28973 L
.77203 .29601 L
.76895 .30173 L
.76612 .30752 L
.76378 .31287 L
.76187 .31783 L
.76018 .32296 L
.75888 .32777 L
.75781 .33279 L
.7574 .33528 L
.7571 .33756 L
.75686 .33977 L
.75677 .3409 L
.75668 .34211 L
.75662 .34332 L
.75657 .34442 L
.75656 .34495 L
.75655 .34523 L
.75654 .34553 L
.75654 .34579 L
.75653 .34607 L
.75653 .34633 L
.75653 .34646 L
.75653 .34658 L
.75653 .34672 L
.75653 .34686 L
.75653 .347 L
.75653 .34713 L
.75653 .34728 L
.75653 .34742 L
.75653 .34757 L
.75653 .34774 L
.75653 .34804 L
.75654 .34832 L
.75655 .34896 L
.75656 .34951 L
.75658 .35001 L
.75663 .35114 L
Mistroke
.75664 .35136 L
Mfstroke
.88333 .16667 m
.86836 .18752 L
.85455 .20728 L
.84355 .22363 L
.83447 .23773 L
.82619 .25136 L
.81939 .26338 L
.81326 .2752 L
.80831 .28584 L
.80433 .29553 L
.80088 .30536 L
.79824 .31446 L
.79631 .32297 L
.79547 .32762 L
.79485 .33184 L
.79435 .33617 L
.79401 .34027 L
.79388 .34234 L
.79383 .34348 L
.79379 .34455 L
.79375 .34555 L
.79374 .34608 L
.79373 .34663 L
.79372 .3471 L
.79371 .34762 L
.7937 .34808 L
.7937 .34852 L
.7937 .34879 L
.7937 .34893 L
.7937 .34908 L
.7937 .34935 L
.7937 .3496 L
.7937 .34975 L
.7937 .3499 L
.7937 .35017 L
.7937 .35032 L
.7937 .35046 L
.7937 .35078 L
.79371 .35132 L
.79371 .35182 L
.79374 .35292 L
.79376 .35392 L
.7938 .35499 L
.79389 .35695 L
.79402 .35901 L
.79419 .36128 L
.79464 .3659 L
.79519 .3702 L
.79592 .37487 L
.79778 .38428 L
Mistroke
.80011 .39363 L
.80285 .40297 L
.80632 .41335 L
.81022 .42386 L
.8148 .43522 L
Mfstroke
.88333 .18333 m
.86999 .2044 L
.85787 .22472 L
.84841 .24184 L
.8408 .25691 L
.8341 .27176 L
.82885 .28515 L
.82442 .29864 L
.82118 .31109 L
.81892 .3227 L
.81807 .3286 L
.81771 .3316 L
.81739 .33481 L
.81714 .33781 L
.81695 .34055 L
.81688 .34186 L
.81681 .34329 L
.81677 .34455 L
.81672 .3459 L
.8167 .34671 L
.81669 .34746 L
.81667 .34816 L
.81667 .34853 L
.81666 .34892 L
.81666 .34928 L
.81666 .34961 L
.81665 .34994 L
.81665 .35025 L
.81665 .3506 L
.81665 .35093 L
.81665 .35128 L
.81665 .35166 L
.81666 .35204 L
.81666 .35239 L
.81666 .35277 L
.81667 .35317 L
.81668 .35384 L
.81669 .35458 L
.81673 .35625 L
.81678 .35781 L
.81693 .3609 L
.81711 .36383 L
.81758 .36934 L
.81826 .37532 L
.81905 .3809 L
.82126 .39303 L
.82406 .40509 L
.82778 .41846 L
.83209 .43198 L
.83749 .4472 L
Mistroke
.84352 .46285 L
.85012 .47899 L
.85806 .49755 L
.86666 .517 L
.87688 .53969 L
.87703 .54002 L
Mfstroke
.88333 .2 m
.87158 .22128 L
.8611 .24215 L
.85314 .26005 L
.84697 .27609 L
.84182 .29219 L
.8381 .307 L
.83663 .31435 L
.83535 .32222 L
.83441 .32971 L
.83406 .33326 L
.83379 .33658 L
.83358 .3398 L
.83341 .34326 L
.83334 .34523 L
.83331 .3462 L
.83329 .3471 L
.83327 .34798 L
.83326 .34877 L
.83325 .34966 L
.83324 .35015 L
.83324 .35061 L
.83324 .35102 L
.83324 .35146 L
.83324 .35188 L
.83324 .35226 L
.83324 .35271 L
.83324 .35296 L
.83324 .3532 L
.83324 .35363 L
.83325 .35408 L
.83326 .35499 L
.83327 .35583 L
.83332 .35776 L
.83337 .35942 L
.83343 .36094 L
.8336 .36437 L
.83383 .36789 L
.8341 .37118 L
.83488 .37869 L
.83589 .3862 L
.83702 .39312 L
.84011 .40837 L
.84394 .42365 L
.84897 .44073 L
.85476 .45819 L
.86125 .4761 L
.86918 .49663 L
.87787 .51807 L
.88831 .54304 L
Mistroke
.89961 .56959 L
.91172 .59788 L
.92601 .63151 L
.94123 .66794 L
.94186 .66947 L
Mfstroke
.88333 .21667 m
.87312 .23815 L
.86424 .25956 L
.85775 .27825 L
.85299 .29525 L
.85091 .30443 L
.84935 .31263 L
.84804 .32113 L
.84712 .3289 L
.84677 .33265 L
.84646 .33678 L
.84622 .34092 L
.84611 .34319 L
.84604 .34531 L
.84599 .34734 L
.84597 .34849 L
.84596 .34904 L
.84595 .34956 L
.84594 .35005 L
.84594 .35058 L
.84594 .35107 L
.84593 .35151 L
.84593 .352 L
.84593 .35253 L
.84593 .3528 L
.84593 .35308 L
.84594 .3536 L
.84594 .35411 L
.84594 .35458 L
.84595 .35564 L
.84597 .35658 L
.84599 .35757 L
.84603 .3593 L
.84609 .3612 L
.84628 .36536 L
.84651 .36918 L
.84724 .37784 L
.84816 .38578 L
.84943 .39458 L
.85276 .41226 L
.857 .43002 L
.86264 .4499 L
.8692 .47031 L
.87659 .49136 L
.88569 .51559 L
.8957 .54108 L
.90655 .56798 L
.91951 .59969 L
.93342 .63375 L
.94984 .67453 L
Mistroke
.96732 .71911 L
.98569 .76782 L
Mfstroke
.98569 .76782 m
1 .80779 L
s
.88333 .23333 m
.87462 .25502 L
.86729 .27697 L
.86223 .29643 L
.85884 .31441 L
.85762 .32348 L
.85668 .33308 L
.85636 .33774 L
.85622 .3402 L
.85611 .34279 L
.85603 .34506 L
.85599 .34626 L
.85596 .34756 L
.85594 .34874 L
.85593 .34983 L
.85592 .35035 L
.85592 .35092 L
.85591 .35145 L
.85591 .35195 L
.85591 .35254 L
.85591 .35283 L
.85591 .35315 L
.85591 .35373 L
.85591 .35426 L
.85591 .35459 L
.85591 .35489 L
.85592 .35547 L
.85593 .35676 L
.85595 .35789 L
.85597 .35893 L
.85604 .3613 L
.85611 .36325 L
.8562 .36542 L
.85644 .3698 L
.85677 .37444 L
.85714 .37871 L
.85821 .38841 L
.86114 .40725 L
.86507 .42606 L
.87044 .44705 L
.8768 .46849 L
.88487 .49293 L
.89398 .51844 L
.90405 .5452 L
.91623 .57654 L
.92947 .61007 L
.94367 .64604 L
.96044 .6891 L
.97825 .73609 L
.99897 .79315 L
Mistroke
Mfstroke
.99897 .79315 m
1 .79616 L
s
.88333 .25 m
.87607 .27188 L
.87304 .28276 L
.87026 .29436 L
.86813 .30504 L
.86658 .31459 L
.86535 .32439 L
.86483 .32973 L
.86444 .33477 L
.86416 .33956 L
.86405 .34197 L
.86395 .34462 L
.86389 .34688 L
.86386 .34815 L
.86384 .34931 L
.86383 .35039 L
.86382 .351 L
.86382 .35156 L
.86381 .35211 L
.86381 .3526 L
.86381 .35317 L
.86381 .35371 L
.86381 .35428 L
.86382 .35489 L
.86382 .35547 L
.86382 .356 L
.86384 .35729 L
.86386 .35852 L
.86391 .36096 L
.864 .36361 L
.86421 .36836 L
.86447 .37277 L
.86524 .38209 L
.86643 .39249 L
.86974 .41327 L
.87417 .43408 L
.88022 .4574 L
.88738 .48133 L
.89555 .50606 L
.90567 .53462 L
.91686 .56477 L
.93041 .60028 L
.94515 .63855 L
.96097 .67989 L
.9796 .72971 L
.99932 .78447 L
s
.99932 .78447 m
1 .78646 L
s
.88333 .26667 m
.87747 .28874 L
.87515 .29983 L
.87313 .31174 L
.87173 .32266 L
.87124 .3275 L
.87081 .33273 L
.87061 .3356 L
.87046 .33825 L
.87034 .34072 L
.87023 .34345 L
.87015 .34588 L
.8701 .34817 L
.87008 .34943 L
.87007 .35058 L
.87006 .35121 L
.87006 .35155 L
.87005 .35191 L
.87005 .35256 L
.87005 .35317 L
.87005 .35382 L
.87005 .35419 L
.87005 .35454 L
.87005 .3549 L
.87005 .35523 L
.87006 .35598 L
.87006 .35661 L
.87007 .3573 L
.87009 .35856 L
.87012 .36003 L
.87016 .36159 L
.87024 .3644 L
.87047 .36944 L
.87081 .37503 L
.8717 .38532 L
.87302 .39654 L
.87675 .41924 L
.88174 .44209 L
.88783 .46527 L
.89574 .49161 L
.90478 .51898 L
.916 .55075 L
.92844 .58453 L
.94199 .62059 L
.9582 .66358 L
.97561 .71039 L
.99403 .76139 L
s
.99403 .76139 m
1 .77868 L
s
.88333 .28333 m
.88091 .29428 L
.87884 .3056 L
.8772 .31689 L
.87646 .3233 L
.87592 .32911 L
.87551 .33466 L
.87522 .33988 L
.8751 .34275 L
.87501 .34539 L
.87497 .34689 L
.87494 .3483 L
.87492 .34976 L
.87491 .35054 L
.8749 .35137 L
.8749 .35175 L
.8749 .3521 L
.87489 .35276 L
.87489 .35347 L
.87489 .35388 L
.87489 .35425 L
.87489 .35486 L
.87489 .35554 L
.8749 .35625 L
.87491 .35691 L
.87492 .35844 L
.87495 .35984 L
.87498 .36145 L
.87502 .36297 L
.87523 .36827 L
.87538 .37127 L
.87554 .37405 L
.87637 .38443 L
.87766 .39601 L
.8813 .41917 L
.8862 .44242 L
.89292 .46854 L
.90089 .49546 L
.90999 .52339 L
.92126 .55581 L
.93374 .59021 L
.94883 .63096 L
.96523 .67516 L
.98277 .72319 L
s
.98277 .72319 m
1 .77197 L
s
.88333 .3 m
.88156 .311 L
.88015 .32245 L
.87959 .32841 L
.87918 .33394 L
.87884 .34 L
.8787 .34339 L
.87866 .34485 L
.87861 .34646 L
.87858 .34779 L
.87856 .34921 L
.87855 .34999 L
.87854 .35071 L
.87853 .35144 L
.87853 .35212 L
.87852 .35273 L
.87852 .35339 L
.87852 .35413 L
.87852 .35479 L
.87852 .35542 L
.87853 .3561 L
.87853 .35674 L
.87854 .35733 L
.87856 .35875 L
.87858 .36007 L
.87865 .36308 L
.87875 .36601 L
.87888 .36916 L
.8792 .37498 L
.87967 .38133 L
.88083 .39299 L
.88235 .4046 L
.88437 .41716 L
.88906 .44046 L
.89554 .46661 L
.90325 .49346 L
.91309 .52429 L
.9242 .55675 L
.93648 .59108 L
.95134 .6317 L
.96744 .6756 L
.98655 .72848 L
s
.98655 .72848 m
1 .767 L
s
.88333 .31667 m
.88274 .32196 L
.88219 .32773 L
.88174 .33372 L
.88142 .3393 L
.88129 .34249 L
.88119 .3455 L
.88113 .3482 L
.88111 .34973 L
.88109 .35113 L
.88108 .35186 L
.88108 .35226 L
.88108 .35264 L
.88108 .35338 L
.88107 .35406 L
.88107 .35445 L
.88107 .35486 L
.88108 .3556 L
.88108 .35605 L
.88108 .35648 L
.88109 .35728 L
.8811 .35807 L
.88111 .35891 L
.88113 .36041 L
.88117 .36203 L
.88122 .36381 L
.88132 .36686 L
.88145 .36976 L
.88175 .37521 L
.88218 .3811 L
.88275 .38754 L
.8841 .39934 L
.88595 .41208 L
.89036 .43567 L
.89659 .46208 L
.90408 .48913 L
.91371 .52014 L
.92466 .55273 L
.93679 .58715 L
.95151 .62783 L
.96751 .67175 L
.98652 .72463 L
s
.98652 .72463 m
1 .76333 L
s
.88333 .33333 m
.88316 .33608 L
.88303 .33864 L
.88289 .34168 L
.8828 .34445 L
.88276 .34584 L
.88272 .34735 L
.88269 .34866 L
.88267 .3501 L
.88266 .35088 L
.88266 .35162 L
.88265 .3524 L
.88265 .35284 L
.88265 .35324 L
.88265 .35395 L
.88265 .35473 L
.88265 .35546 L
.88265 .35614 L
.88265 .35654 L
.88266 .35695 L
.88266 .3577 L
.88269 .35939 L
.88271 .36085 L
.88275 .36246 L
.88284 .36542 L
.88294 .3682 L
.88326 .37442 L
.88373 .38113 L
.88497 .39391 L
.88656 .40618 L
.8907 .43022 L
.89671 .45704 L
.90406 .4845 L
.91261 .51281 L
.92335 .54553 L
.93536 .58008 L
.94998 .62087 L
.96595 .66493 L
.98311 .71266 L
s
.98311 .71266 m
1 .76093 L
s
.88333 .35 m
.88332 .3507 L
.88332 .35133 L
.88331 .35206 L
.88331 .35276 L
.88331 .3534 L
.88331 .35399 L
.88331 .35464 L
.88331 .35533 L
.88331 .35602 L
.88331 .35676 L
.88332 .35746 L
.88333 .3581 L
.88335 .35967 L
.88338 .36117 L
.88345 .36409 L
.88354 .36681 L
.88383 .37298 L
.88425 .37939 L
.88473 .38523 L
.88615 .39844 L
.88781 .41032 L
.89002 .42342 L
.89564 .45016 L
.90264 .47746 L
.91087 .50554 L
.92129 .53791 L
.93299 .57205 L
.9473 .61226 L
.96299 .65565 L
.97989 .70262 L
.99984 .75935 L
s
.99984 .75935 m
1 .75982 L
s
.88333 .36667 m
.88358 .37201 L
.88394 .37788 L
.88497 .38982 L
.88657 .40312 L
.88848 .41573 L
.89331 .44071 L
.9001 .46873 L
.90829 .49761 L
.91772 .52759 L
.92949 .56242 L
.94257 .59947 L
.95685 .63905 L
.97394 .68633 L
.99225 .73785 L
s
.99225 .73785 m
1 .76044 L
s
.88333 .38333 m
.88447 .3946 L
.88606 .40665 L
.89072 .43301 L
.89643 .45802 L
.90409 .48632 L
.91303 .51562 L
.92429 .54954 L
.9369 .58556 L
.95074 .62399 L
.96737 .6698 L
.9853 .71971 L
s
.9853 .71971 m
1 .76181 L
s
.88333 .4 m
.88711 .42347 L
.89286 .45027 L
.89984 .47697 L
.90801 .50445 L
.91833 .53613 L
.92991 .56953 L
.94405 .60886 L
.95954 .65129 L
.97622 .6972 L
.99593 .75263 L
s
.99593 .75263 m
1 .76456 L
s
.88333 .41667 m
.8881 .4403 L
.89491 .46751 L
.90285 .49486 L
.91195 .5232 L
.92325 .5561 L
.93578 .59101 L
.95095 .63234 L
.96745 .67718 L
.9851 .7259 L
s
.9851 .7259 m
1 .7684 L
s
.88333 .43333 m
.88906 .45711 L
.89687 .48473 L
.90573 .5127 L
.9157 .54189 L
.92793 .57598 L
.94136 .61235 L
.95749 .65565 L
.97491 .70283 L
.99343 .75429 L
s
.99343 .75429 m
1 .77336 L
s
.88333 .45 m
.88996 .47393 L
.89873 .50194 L
.90846 .53051 L
.91926 .56051 L
.93237 .59575 L
.94664 .63355 L
.96366 .67876 L
.98191 .72821 L
s
.98191 .72821 m
1 .77897 L
s
.88333 .46667 m
.89083 .49073 L
.90049 .51912 L
.91105 .54827 L
.92263 .57906 L
.93656 .61542 L
.95161 .65459 L
.96944 .70164 L
.98844 .75328 L
s
.98844 .75328 m
1 .78611 L
s
.88333 .48333 m
.89164 .50754 L
.90216 .53629 L
.9135 .56599 L
.92581 .59754 L
.9405 .63496 L
.95627 .67546 L
.97483 .72427 L
.9945 .77801 L
s
.9945 .77801 m
1 .79385 L
s
.88333 .5 m
.89241 .52434 L
.90373 .55343 L
.9158 .58367 L
.92879 .61594 L
.94419 .65438 L
.96061 .69614 L
.97983 .74663 L
s
.97983 .74663 m
1 .80215 L
s
.88333 .51667 m
.89313 .54113 L
.90521 .57055 L
.91796 .6013 L
.93158 .63425 L
.94762 .67367 L
.96464 .71662 L
.98444 .7687 L
s
.98444 .7687 m
1 .81195 L
s
.88333 .53333 m
.89381 .55792 L
.90659 .58765 L
.91997 .61888 L
.93417 .65248 L
.9508 .69281 L
.96834 .7369 L
.98864 .79046 L
s
.98864 .79046 m
1 .82237 L
s
.88333 .55 m
.89443 .5747 L
.90787 .60473 L
.92183 .63641 L
.93656 .67062 L
.95372 .71181 L
.97172 .75695 L
.99244 .81188 L
s
.99244 .81188 m
1 .83338 L
s
.88333 .56667 m
.89501 .59148 L
.90905 .62179 L
.92354 .65389 L
.93875 .68867 L
.95638 .73066 L
.97478 .77676 L
.99583 .83295 L
s
.99583 .83295 m
1 .84498 L
s
.88333 .58333 m
.89555 .60825 L
.91013 .63882 L
.9251 .67131 L
.94074 .70663 L
.95878 .74935 L
.9775 .79633 L
.99881 .85365 L
s
.99881 .85365 m
1 .85714 L
s
.88333 .6 m
.89604 .62502 L
.91111 .65583 L
.92652 .68869 L
.94253 .72448 L
.9609 .76787 L
.97989 .81565 L
s
.97989 .81565 m
1 .87025 L
s
.88333 .61667 m
.89648 .64179 L
.912 .67282 L
.92778 .70601 L
.94411 .74224 L
.96276 .78622 L
.98194 .8347 L
s
.98194 .8347 m
1 .88425 L
s
.88333 .63333 m
.89687 .65854 L
.91278 .68978 L
.92888 .72327 L
.94548 .75989 L
.96436 .8044 L
.98366 .85349 L
s
.98366 .85349 m
1 .89885 L
s
.88333 .65 m
.89721 .6753 L
.91346 .70672 L
.92984 .74048 L
.94665 .77744 L
.96567 .8224 L
.98503 .87199 L
s
.98503 .87199 m
1 .91407 L
s
.88333 .66667 m
.89751 .69204 L
.91404 .72364 L
.93064 .75763 L
.9476 .79488 L
.96672 .84022 L
.98607 .89021 L
s
.98607 .89021 m
1 .92994 L
s
.88333 .68333 m
.89776 .70879 L
.91452 .74053 L
.93128 .77472 L
.94834 .81221 L
.96748 .85785 L
.98676 .90814 L
s
.98676 .90814 m
1 .94649 L
s
.88333 .7 m
.89796 .72552 L
.91489 .75739 L
.93177 .79175 L
.94887 .82944 L
.96797 .87529 L
.9871 .92577 L
s
.9871 .92577 m
1 .96376 L
s
.88333 .71667 m
.89811 .74226 L
.91517 .77423 L
.93209 .80872 L
.94919 .84655 L
.96818 .89254 L
.98709 .94311 L
s
.98709 .94311 m
1 .98181 L
s
.88333 .73333 m
.89822 .75898 L
.91534 .79105 L
.93226 .82563 L
.94929 .86354 L
.96811 .90959 L
.98674 .96015 L
s
.98674 .96015 m
.99977 1 L
s
.88333 .75 m
.89827 .7757 L
.9154 .80784 L
.93227 .84248 L
.94917 .88043 L
.96776 .92645 L
.98604 .97688 L
s
.98604 .97688 m
.99343 1 L
s
.88333 .76667 m
.89828 .79242 L
.91536 .82461 L
.93212 .85927 L
.94883 .8972 L
.96712 .94312 L
.98498 .99331 L
s
.98498 .99331 m
.98707 1 L
s
.88333 .78333 m
.89824 .80913 L
.91522 .84134 L
.93181 .876 L
.94827 .91385 L
.96619 .95959 L
s
.96619 .95959 m
.98028 1 L
s
.88333 .8 m
.89815 .82583 L
.91497 .85806 L
.93133 .89267 L
.94749 .93039 L
.96498 .97586 L
s
.96498 .97586 m
.9732 1 L
s
.88333 .81667 m
.89801 .84253 L
.91461 .87475 L
.93069 .90927 L
.94649 .94682 L
.96347 .99193 L
s
.96347 .99193 m
.96615 1 L
s
.88333 .83333 m
.89782 .85923 L
.91415 .89141 L
.92989 .92581 L
.94526 .96313 L
s
.94526 .96313 m
.9588 1 L
s
.88333 .85 m
.89759 .87592 L
.91358 .90805 L
.92891 .9423 L
.94381 .97933 L
s
.94381 .97933 m
.95119 1 L
s
.88333 .86667 m
.8973 .8926 L
.9129 .92466 L
.92778 .95872 L
.94213 .99541 L
s
.94213 .99541 m
.94371 1 L
s
.88333 .88333 m
.89697 .90928 L
.91211 .94124 L
.92647 .97508 L
s
.92647 .97508 m
.93591 1 L
s
.88333 .9 m
.89658 .92595 L
.91122 .9578 L
.92499 .99138 L
s
.92499 .99138 m
.92814 1 L
s
.88333 .91667 m
.89615 .94262 L
.91021 .97434 L
s
.91021 .97434 m
.92034 1 L
s
.9 .08333 m
.87586 .10648 L
.85302 .12661 L
.83412 .14177 L
.81778 .15365 L
.80196 .16396 L
.788 .17202 L
.77424 .17893 L
.76187 .18423 L
.75063 .18828 L
.73928 .19162 L
.72883 .19402 L
.71917 .19569 L
.71433 .19632 L
.70922 .19686 L
.70677 .19706 L
.70412 .19725 L
.7016 .19739 L
.69934 .19749 L
.69819 .19754 L
.69695 .19757 L
.69589 .1976 L
.69472 .19762 L
.69408 .19763 L
.69348 .19764 L
.69285 .19765 L
.6925 .19765 L
.69218 .19765 L
.69188 .19765 L
.69161 .19765 L
.6913 .19765 L
.69115 .19765 L
.69098 .19765 L
.6907 .19765 L
.6904 .19765 L
.69012 .19765 L
.68985 .19765 L
.68928 .19764 L
.68876 .19764 L
.6876 .19762 L
.68653 .1976 L
.68551 .19758 L
.68325 .19751 L
.68081 .19741 L
.67634 .19716 L
.67165 .19681 L
.66331 .19599 L
.65455 .19487 L
.64623 .1936 L
.63748 .19208 L
Mistroke
.62914 .19048 L
.62119 .18884 L
.61344 .18716 L
Mfstroke
.9 .1 m
.87774 .1234 L
.85682 .14417 L
.83966 .16018 L
.82497 .17307 L
.81091 .18459 L
.79864 .19393 L
.78673 .2023 L
.77616 .20908 L
.7667 .2146 L
.75728 .21953 L
.74874 .2235 L
.74095 .22668 L
.73304 .22946 L
.72574 .23161 L
.71828 .23341 L
.71134 .23471 L
.70485 .23559 L
.70157 .23593 L
.69812 .23619 L
.69644 .23629 L
.69464 .23638 L
.69381 .23641 L
.69294 .23644 L
.69213 .23646 L
.69139 .23648 L
.69102 .23648 L
.69061 .23649 L
.69026 .23649 L
.68988 .2365 L
.68947 .2365 L
.68925 .2365 L
.68904 .2365 L
.68884 .2365 L
.68867 .2365 L
.68847 .2365 L
.68826 .2365 L
.68808 .2365 L
.68792 .2365 L
.68772 .2365 L
.68754 .2365 L
.68722 .2365 L
.68688 .2365 L
.68609 .23649 L
.68537 .23647 L
.68384 .23643 L
.68242 .23638 L
.67921 .23623 L
.67608 .23601 L
.67323 .23577 L
Mistroke
.66717 .23511 L
.6614 .23429 L
.66109 .23425 L
Mfstroke
.9 .11667 m
.87957 .14031 L
.86053 .16172 L
.84508 .1786 L
.83201 .1925 L
.81968 .20529 L
.80911 .21597 L
.79902 .2259 L
.79027 .23429 L
.7826 .24145 L
.77516 .24822 L
.76858 .25402 L
.76275 .25904 L
.75699 .26383 L
.75185 .26799 L
.74675 .27196 L
.74217 .27541 L
.73803 .2784 L
.73388 .28128 L
.73011 .28379 L
.72632 .28618 L
.72286 .28825 L
.71968 .29004 L
.71646 .29175 L
.71364 .29315 L
s
.9 .13333 m
.88136 .15722 L
.86416 .17926 L
.85038 .19701 L
.8389 .21196 L
.82828 .22603 L
.81937 .23813 L
.81111 .24972 L
.80417 .25986 L
.79832 .26883 L
.79287 .27766 L
.78832 .2856 L
.78451 .29279 L
.78102 .30004 L
.77816 .30671 L
.77561 .31351 L
.77362 .31984 L
.7721 .32578 L
.77142 .32904 L
.77089 .33197 L
.77044 .33504 L
.7701 .33785 L
.76985 .34072 L
.76975 .34223 L
.7697 .34306 L
.76967 .34382 L
.76964 .3445 L
.76962 .34523 L
.76961 .34564 L
.7696 .34601 L
.76959 .34639 L
.76959 .34674 L
.76958 .34705 L
.76958 .3472 L
.76958 .34737 L
.76958 .34755 L
.76958 .34774 L
.76958 .34791 L
.76958 .34807 L
.76958 .34825 L
.76958 .34842 L
.76958 .34858 L
.76958 .34875 L
.76959 .34913 L
.76959 .34948 L
.7696 .35017 L
.76962 .35092 L
.76967 .35228 L
.76975 .35389 L
.76985 .35537 L
Mistroke
.7701 .35823 L
.77046 .36138 L
.77144 .36763 L
.77147 .36775 L
Mfstroke
.9 .15 m
.88311 .17413 L
.8677 .19679 L
.85556 .21541 L
.84565 .23142 L
.8367 .24683 L
.82944 .2604 L
.82299 .27374 L
.81785 .28576 L
.81381 .29671 L
.8104 .30786 L
.8079 .31822 L
.80618 .32794 L
.80555 .33287 L
.80504 .33813 L
.80487 .34067 L
.80479 .34201 L
.80472 .34344 L
.80467 .34481 L
.80463 .34605 L
.80461 .34665 L
.8046 .3473 L
.80459 .34791 L
.80458 .34847 L
.80458 .34876 L
.80458 .34907 L
.80458 .3494 L
.80457 .34971 L
.80457 .35 L
.80457 .35031 L
.80457 .35057 L
.80458 .35086 L
.80458 .35102 L
.80458 .3512 L
.80458 .35151 L
.80458 .35184 L
.80459 .35221 L
.8046 .35287 L
.80461 .35348 L
.80464 .35482 L
.80468 .35604 L
.80481 .35878 L
.80496 .3613 L
.80514 .36363 L
.80566 .36893 L
.80628 .37375 L
.80711 .37912 L
.80922 .38982 L
.81185 .40046 L
.8153 .41225 L
Mistroke
.81928 .42417 L
.82373 .43626 L
.82917 .44993 L
.83456 .46268 L
Mfstroke
.9 .16667 m
.88481 .19103 L
.87116 .21432 L
.86062 .23381 L
.85224 .25088 L
.84494 .26766 L
.8393 .28275 L
.83463 .29794 L
.8313 .31197 L
.83012 .31825 L
.82908 .32508 L
.82829 .33175 L
.82795 .33539 L
.8277 .33878 L
.8276 .34043 L
.82751 .34224 L
.82744 .34383 L
.82738 .34552 L
.82736 .34638 L
.82734 .34719 L
.82732 .34798 L
.82731 .34871 L
.8273 .34941 L
.8273 .34976 L
.8273 .35014 L
.8273 .35052 L
.82729 .35087 L
.82729 .35129 L
.82729 .35168 L
.82729 .35207 L
.8273 .35244 L
.8273 .35284 L
.8273 .35328 L
.82731 .35416 L
.82732 .35498 L
.82736 .35647 L
.8274 .35803 L
.82753 .36135 L
.82774 .36498 L
.82828 .37158 L
.82907 .37869 L
.83134 .39307 L
.83439 .40738 L
.83812 .42172 L
.84298 .43776 L
.84854 .45413 L
.85474 .47091 L
.86231 .49012 L
.87058 .51015 L
.8805 .53343 L
Mistroke
.89122 .55813 L
.90209 .58298 L
Mfstroke
.9 .18333 m
.88647 .20793 L
.87453 .23183 L
.86555 .2522 L
.85867 .27035 L
.85299 .28852 L
.84895 .30519 L
.84728 .31406 L
.84604 .32232 L
.84555 .32627 L
.84512 .33043 L
.84478 .33432 L
.84452 .33787 L
.84432 .34166 L
.84423 .34374 L
.84417 .34572 L
.84414 .3466 L
.84412 .34754 L
.8441 .34836 L
.84409 .34924 L
.84408 .34977 L
.84408 .35027 L
.84408 .35075 L
.84407 .35125 L
.84407 .3517 L
.84407 .35212 L
.84407 .35258 L
.84407 .35307 L
.84407 .35356 L
.84407 .35384 L
.84408 .3541 L
.84408 .35463 L
.84409 .35519 L
.8441 .35622 L
.84412 .35716 L
.84417 .35933 L
.84425 .36161 L
.84443 .36549 L
.8447 .36975 L
.8454 .37774 L
.84642 .38636 L
.84929 .40383 L
.85312 .42131 L
.85779 .43893 L
.86385 .45876 L
.87078 .47917 L
.8785 .50027 L
.88791 .52464 L
.89819 .5503 L
.91052 .58045 L
Mistroke
.92385 .61281 L
.93809 .6476 L
.95483 .68931 L
.97181 .73291 L
Mfstroke
.9 .2 m
.88808 .22482 L
.87781 .24934 L
.87036 .27058 L
.86495 .28982 L
.8626 .30017 L
.86085 .3094 L
.85939 .31897 L
.85837 .3277 L
.85798 .33201 L
.85765 .33657 L
.8574 .34113 L
.85729 .34372 L
.85722 .34615 L
.85719 .34725 L
.85717 .34843 L
.85716 .34911 L
.85715 .34973 L
.85714 .35035 L
.85714 .35093 L
.85713 .35147 L
.85713 .35205 L
.85713 .35263 L
.85713 .35296 L
.85713 .35327 L
.85713 .35382 L
.85713 .35433 L
.85713 .35492 L
.85714 .35547 L
.85715 .3565 L
.85717 .3576 L
.85721 .35956 L
.85727 .36168 L
.85735 .36402 L
.85758 .36869 L
.85787 .37299 L
.85874 .38275 L
.85983 .3917 L
.86133 .40164 L
.8652 .42167 L
.8701 .44185 L
.8766 .46456 L
.88415 .48799 L
.89265 .5123 L
.90309 .54047 L
.91457 .57031 L
.92701 .60201 L
.94183 .63966 L
.9577 .6804 L
.97637 .72954 L
Mistroke
.99611 .78363 L
Mfstroke
.99611 .78363 m
1 .79489 L
s
.9 .21667 m
.88965 .24171 L
.881 .26683 L
.87505 .28894 L
.87106 .30927 L
.86962 .31949 L
.86851 .3303 L
.86812 .33555 L
.86796 .3383 L
.86782 .34122 L
.86772 .34377 L
.86767 .34512 L
.86763 .34658 L
.8676 .34791 L
.86758 .34913 L
.86757 .34971 L
.86757 .35035 L
.86756 .35092 L
.86756 .35152 L
.86755 .35184 L
.86755 .3522 L
.86755 .35282 L
.86755 .35317 L
.86755 .35355 L
.86755 .35391 L
.86755 .35423 L
.86755 .35486 L
.86755 .35522 L
.86756 .35555 L
.86756 .35615 L
.86757 .35679 L
.86758 .35796 L
.8676 .35907 L
.86766 .36158 L
.86775 .36428 L
.86785 .36675 L
.86815 .37235 L
.86851 .37741 L
.86893 .38215 L
.87013 .39298 L
.87339 .41389 L
.87827 .43705 L
.88435 .4606 L
.89152 .48473 L
.9006 .51237 L
.91081 .54136 L
.92205 .5719 L
.93564 .60787 L
.95035 .64653 L
.96783 .69289 L
Mistroke
.9865 .74367 L
Mfstroke
.9865 .74367 m
1 .78191 L
s
.9 .23333 m
.89117 .2586 L
.88411 .28431 L
.88154 .29632 L
.87961 .30728 L
.87815 .3177 L
.87701 .32871 L
.87659 .3344 L
.87641 .33739 L
.87625 .34056 L
.87614 .34332 L
.87609 .34479 L
.87605 .34637 L
.87602 .34781 L
.87599 .34913 L
.87598 .34977 L
.87598 .35046 L
.87597 .35107 L
.87596 .35172 L
.87596 .35207 L
.87596 .35246 L
.87596 .35314 L
.87596 .35352 L
.87596 .35393 L
.87596 .35431 L
.87596 .35467 L
.87596 .35535 L
.87596 .35573 L
.87596 .35609 L
.87597 .35675 L
.87598 .35744 L
.87599 .35871 L
.87601 .35991 L
.87608 .36263 L
.87617 .36556 L
.87628 .36824 L
.87662 .37431 L
.87701 .37981 L
.87747 .38494 L
.87878 .3967 L
.88235 .41943 L
.88769 .44465 L
.89435 .47038 L
.90219 .49683 L
.91211 .52725 L
.92326 .55928 L
.93554 .59318 L
.95035 .63329 L
.96637 .67663 L
.98534 .72883 L
Mistroke
Mfstroke
.98534 .72883 m
1 .77057 L
s
.9 .25 m
.89265 .27548 L
.88971 .28819 L
.88713 .30178 L
.88529 .31419 L
.88403 .32561 L
.88353 .33184 L
.88317 .33772 L
.88305 .34028 L
.88294 .34298 L
.88285 .34595 L
.88282 .34726 L
.88279 .34869 L
.88278 .34946 L
.88277 .35018 L
.88276 .35092 L
.88275 .35159 L
.88275 .35226 L
.88274 .35288 L
.88274 .35354 L
.88274 .35425 L
.88274 .35497 L
.88274 .35538 L
.88274 .35576 L
.88275 .35653 L
.88276 .35736 L
.88276 .35813 L
.88277 .35886 L
.8828 .36023 L
.88286 .36292 L
.88293 .36541 L
.88317 .37107 L
.88351 .3768 L
.88391 .3822 L
.88514 .39461 L
.88676 .40695 L
.8886 .41846 L
.89369 .4439 L
.90005 .46971 L
.90843 .49906 L
.9181 .5296 L
.93017 .56513 L
.94361 .60303 L
.95829 .64364 L
.97586 .69225 L
.9947 .7454 L
s
.9947 .7454 m
1 .76088 L
s
.9 .26667 m
.89684 .27933 L
.89409 .29236 L
.8917 .30638 L
.89077 .31313 L
.89006 .31923 L
.88951 .32476 L
.88902 .33074 L
.8888 .33402 L
.88863 .33703 L
.88848 .34014 L
.88837 .34297 L
.88828 .34586 L
.88824 .34746 L
.88821 .34897 L
.88819 .35036 L
.88818 .35166 L
.88817 .3524 L
.88817 .35308 L
.88817 .35385 L
.88817 .35459 L
.88817 .35533 L
.88817 .35615 L
.88817 .35656 L
.88818 .357 L
.88818 .35779 L
.8882 .35933 L
.88822 .36074 L
.88826 .36238 L
.8883 .36416 L
.88841 .3674 L
.88868 .37327 L
.88909 .37976 L
.89027 .39302 L
.89178 .4054 L
.89385 .41897 L
.89927 .44668 L
.90616 .47491 L
.91436 .50392 L
.92482 .53733 L
.93664 .57256 L
.95114 .61405 L
.96709 .65886 L
.9843 .7074 L
s
.9843 .7074 m
1 .7527 L
s
.9 .28333 m
.89753 .29606 L
.89548 .30923 L
.89396 .3224 L
.89333 .3298 L
.8931 .3331 L
.8929 .33667 L
.89273 .3402 L
.89261 .34345 L
.89252 .34655 L
.89249 .34812 L
.89246 .34984 L
.89245 .35064 L
.89244 .3514 L
.89243 .35208 L
.89243 .35282 L
.89242 .35362 L
.89242 .35407 L
.89242 .35448 L
.89242 .35528 L
.89243 .35602 L
.89243 .35673 L
.89243 .35747 L
.89244 .35811 L
.89245 .35881 L
.89247 .36037 L
.8925 .36182 L
.89258 .36505 L
.8927 .36858 L
.893 .37499 L
.89341 .38127 L
.89388 .3871 L
.89515 .3994 L
.89701 .41319 L
.90196 .44095 L
.90839 .46908 L
.91704 .50102 L
.92716 .53431 L
.9386 .56926 L
.95269 .61034 L
.96817 .6545 L
.98674 .70748 L
s
.98674 .70748 m
1 .74611 L
s
.9 .3 m
.89819 .31279 L
.89683 .3261 L
.89632 .33304 L
.89598 .33949 L
.89583 .34319 L
.89574 .34655 L
.8957 .34841 L
.89568 .34939 L
.89567 .35043 L
.89566 .35134 L
.89566 .35182 L
.89565 .35234 L
.89565 .35281 L
.89565 .35325 L
.89564 .3541 L
.89564 .35495 L
.89564 .35576 L
.89565 .35648 L
.89565 .35726 L
.89566 .35811 L
.89567 .35902 L
.89569 .36063 L
.89572 .36213 L
.89575 .36353 L
.89584 .36671 L
.89597 .37019 L
.89612 .37337 L
.89655 .38054 L
.89706 .38721 L
.89765 .3934 L
.89932 .40759 L
.90382 .43517 L
.90978 .46298 L
.9179 .49446 L
.92746 .5271 L
.93955 .56498 L
.95315 .60531 L
.96809 .64845 L
.98604 .70008 L
s
.98604 .70008 m
1 .7409 L
s
.9 .31667 m
.89938 .32281 L
.89883 .32951 L
.89861 .33288 L
.8984 .33648 L
.89824 .33985 L
.89813 .34296 L
.89802 .34664 L
.89798 .34858 L
.89797 .34957 L
.89795 .35064 L
.89794 .35157 L
.89794 .35242 L
.89793 .35328 L
.89793 .35409 L
.89793 .35455 L
.89793 .35503 L
.89793 .35591 L
.89793 .35644 L
.89793 .35695 L
.89794 .35789 L
.89795 .35868 L
.89796 .35955 L
.89798 .36129 L
.89801 .36291 L
.89805 .36443 L
.89815 .36784 L
.8983 .37151 L
.89867 .37844 L
.89922 .38602 L
.90059 .39992 L
.90239 .4138 L
.90481 .42883 L
.91042 .45681 L
.9182 .48839 L
.92747 .52105 L
.93927 .55888 L
.95261 .59907 L
.96732 .64199 L
.98505 .69329 L
s
.98505 .69329 m
1 .73712 L
s
.9 .33333 m
.89982 .33653 L
.89968 .3395 L
.89955 .34303 L
.89945 .34624 L
.89942 .34785 L
.89939 .34961 L
.89938 .35042 L
.89937 .35127 L
.89936 .35207 L
.89936 .3528 L
.89935 .35363 L
.89935 .35452 L
.89935 .35535 L
.89935 .35614 L
.89935 .35658 L
.89936 .35705 L
.89936 .3579 L
.89937 .35891 L
.89938 .35982 L
.89941 .36163 L
.89945 .36355 L
.89954 .36698 L
.89968 .37067 L
.89987 .37474 L
.90032 .38204 L
.90087 .3889 L
.90236 .40318 L
.90414 .4164 L
.90934 .44568 L
.91609 .47537 L
.92515 .50915 L
.93576 .54442 L
.94774 .58148 L
.96248 .62516 L
.97864 .67218 L
.998 .72874 L
s
.998 .72874 m
1 .73473 L
s
.9 .35 m
.89999 .35081 L
.89998 .35155 L
.89998 .3524 L
.89997 .3532 L
.89997 .35394 L
.89997 .35463 L
.89997 .35538 L
.89997 .35618 L
.89997 .35698 L
.89998 .35785 L
.89998 .35866 L
.89999 .35941 L
.90002 .36123 L
.90005 .36296 L
.90014 .36635 L
.90025 .36951 L
.90059 .37668 L
.90108 .38412 L
.90165 .39091 L
.90334 .40628 L
.9053 .42012 L
.90792 .43541 L
.91455 .46675 L
.9228 .49893 L
.93249 .53226 L
.94474 .57099 L
.95847 .61216 L
.97522 .66111 L
.99349 .71443 L
s
.99349 .71443 m
1 .73379 L
s
.9 .36667 m
.90011 .36987 L
.90024 .37287 L
.90063 .37968 L
.90111 .38635 L
.90176 .39353 L
.90357 .40915 L
.90572 .42364 L
.91141 .45345 L
.91863 .4838 L
.92824 .51845 L
.93939 .55475 L
.95192 .59302 L
.96728 .63826 L
.98406 .68712 L
s
.98406 .68712 m
1 .73397 L
s
.9 .38333 m
.90118 .3964 L
.90288 .41037 L
.90801 .44097 L
.91442 .47008 L
.92309 .50312 L
.93328 .5375 L
.94613 .57755 L
.96055 .62036 L
.97638 .66637 L
.99534 .72162 L
s
.99534 .72162 m
1 .73551 L
s
.9 .4 m
.90395 .42721 L
.9102 .4583 L
.91793 .48933 L
.92707 .52137 L
.93868 .55848 L
.95176 .59781 L
.96777 .64442 L
.98529 .69505 L
s
.98529 .69505 m
1 .73812 L
s
.9 .41667 m
.90498 .44405 L
.9123 .4756 L
.92101 .50735 L
.93108 .54036 L
.94369 .57883 L
.95772 .61985 L
.97474 .66871 L
.99324 .72203 L
s
.99324 .72203 m
1 .74201 L
s
.9 .43333 m
.90596 .46088 L
.91431 .49288 L
.92395 .52532 L
.93491 .55927 L
.94844 .59907 L
.96337 .64173 L
.98133 .69279 L
s
.98133 .69279 m
1 .74669 L
s
.9 .45 m
.90689 .47771 L
.91622 .51014 L
.92675 .54325 L
.93854 .57811 L
.95296 .6192 L
.96871 .66345 L
.98754 .71664 L
s
.98754 .71664 m
1 .75279 L
s
.9 .46667 m
.90778 .49453 L
.91804 .52737 L
.9294 .56114 L
.94198 .59688 L
.95722 .6392 L
.97374 .68499 L
.99335 .74023 L
s
.99335 .74023 m
1 .75967 L
s
.9 .48333 m
.90863 .51134 L
.91976 .54459 L
.93192 .57897 L
.94523 .61556 L
.96123 .65908 L
.97845 .70634 L
.99875 .76354 L
s
.99875 .76354 m
1 .76721 L
s
.9 .5 m
.90942 .52815 L
.92138 .56178 L
.93428 .59676 L
.94828 .63415 L
.96498 .67881 L
.98284 .72748 L
s
.98284 .72748 m
1 .77592 L
s
.9 .51667 m
.91017 .54496 L
.92291 .57896 L
.9365 .6145 L
.95114 .65265 L
.96848 .6984 L
.98691 .7484 L
s
.98691 .7484 m
1 .78552 L
s
.9 .53333 m
.91088 .56176 L
.92434 .5961 L
.93857 .63218 L
.9538 .67106 L
.97171 .71783 L
.99064 .76908 L
s
.99064 .76908 m
1 .79577 L
s
.9 .55 m
.91154 .57855 L
.92567 .61323 L
.9405 .64981 L
.95625 .68938 L
.97468 .7371 L
.99405 .78952 L
s
.99405 .78952 m
1 .80662 L
s
.9 .56667 m
.91215 .59534 L
.9269 .63032 L
.94227 .66739 L
.95851 .70759 L
.97739 .7562 L
.99712 .80969 L
s
.99712 .80969 m
1 .81804 L
s
.9 .58333 m
.91271 .61212 L
.92803 .6474 L
.9439 .6849 L
.96056 .7257 L
.97983 .77513 L
.99986 .8296 L
s
.99986 .8296 m
1 .83001 L
s
.9 .6 m
.91322 .6289 L
.92907 .66445 L
.94537 .70236 L
.9624 .7437 L
.98201 .79388 L
s
.98201 .79388 m
1 .84305 L
s
.9 .61667 m
.91369 .64567 L
.93 .68147 L
.94669 .71976 L
.96404 .76159 L
.98391 .81243 L
s
.98391 .81243 m
1 .85669 L
s
.9 .63333 m
.91411 .66244 L
.93083 .69847 L
.94786 .7371 L
.96547 .77937 L
.98554 .8308 L
s
.98554 .8308 m
1 .87088 L
s
.9 .65 m
.91449 .6792 L
.93156 .71544 L
.94887 .75437 L
.96669 .79703 L
.98689 .84897 L
s
.98689 .84897 m
1 .88563 L
s
.9 .66667 m
.91481 .69595 L
.9322 .73238 L
.94973 .77158 L
.9677 .81458 L
.98797 .86694 L
s
.98797 .86694 m
1 .90093 L
s
.9 .68333 m
.91509 .7127 L
.93272 .7493 L
.95043 .78873 L
.9685 .832 L
.98877 .8847 L
s
.98877 .8847 m
1 .91681 L
s
.9 .7 m
.91532 .72944 L
.93315 .76619 L
.95098 .80581 L
.96909 .84931 L
.98929 .90226 L
s
.98929 .90226 m
1 .93329 L
s
.9 .71667 m
.9155 .74618 L
.93347 .78306 L
.95137 .82283 L
.96945 .86649 L
.98953 .91961 L
s
.98953 .91961 m
1 .95039 L
s
.9 .73333 m
.91564 .76291 L
.93369 .79989 L
.95159 .83979 L
.96961 .88355 L
.98949 .93674 L
s
.98949 .93674 m
1 .96816 L
s
.9 .75 m
.91572 .77964 L
.93381 .8167 L
.95166 .85667 L
.96954 .90049 L
.98916 .95366 L
s
.98916 .95366 m
1 .98665 L
s
.9 .76667 m
.91576 .79636 L
.93382 .83348 L
.95157 .87349 L
.96926 .9173 L
.98855 .97037 L
s
.98855 .97037 m
.99809 1 L
s
.9 .78333 m
.91575 .81307 L
.93373 .85023 L
.95131 .89024 L
.96875 .93398 L
.98764 .98686 L
s
.98764 .98686 m
.99179 1 L
s
.9 .8 m
.91569 .82978 L
.93353 .86696 L
.9509 .90693 L
.96802 .95054 L
s
.96802 .95054 m
.98536 1 L
s
.9 .81667 m
.91558 .84648 L
.93322 .88365 L
.95032 .92354 L
.96707 .96697 L
s
.96707 .96697 m
.9784 1 L
s
.9 .83333 m
.91542 .86318 L
.93281 .90032 L
.94957 .94009 L
.9659 .98328 L
s
.9659 .98328 m
.97149 1 L
s
.9 .85 m
.91521 .87987 L
.93229 .91696 L
.94866 .95657 L
.9645 .99946 L
s
.9645 .99946 m
.96467 1 L
s
.9 .86667 m
.91496 .89655 L
.93166 .93357 L
.94758 .97299 L
s
.94758 .97299 m
.95729 1 L
s
.9 .88333 m
.91465 .91323 L
.93093 .95016 L
.94633 .98934 L
s
.94633 .98934 m
.95005 1 L
s
.9 .9 m
.91429 .9299 L
.93009 .96671 L
s
.93009 .96671 m
.94278 1 L
s
.9 .91667 m
.91389 .94657 L
.92913 .98324 L
s
.92913 .98324 m
.9353 1 L
s
.91667 .08333 m
.89219 .11021 L
.86945 .13389 L
.85099 .15206 L
.83532 .16664 L
.82046 .17967 L
.80758 .19023 L
.79517 .19972 L
.78424 .20744 L
.77452 .21376 L
.76491 .21946 L
.75624 .2241 L
.74838 .22787 L
.74044 .23123 L
.73317 .2339 L
.72576 .23621 L
.71891 .23798 L
.71253 .23929 L
.70905 .23987 L
.70594 .24031 L
.70271 .24069 L
.69977 .24097 L
.69679 .24119 L
.69523 .24127 L
.6936 .24135 L
.69215 .24139 L
.69135 .24141 L
.69061 .24143 L
.68993 .24144 L
.68955 .24144 L
.68919 .24144 L
.68889 .24145 L
.68871 .24145 L
.68854 .24145 L
.68837 .24145 L
.68821 .24145 L
.68804 .24145 L
.68785 .24145 L
.68767 .24145 L
.68757 .24145 L
.68747 .24145 L
.68711 .24144 L
.68678 .24144 L
.68643 .24144 L
.6857 .24143 L
.68491 .24141 L
.6835 .24137 L
.68219 .24133 L
.6792 .24118 L
.67649 .24099 L
Mistroke
.67073 .24045 L
.67016 .24039 L
Mfstroke
.91667 .1 m
.8941 .12715 L
.8733 .15154 L
.85661 .17067 L
.84262 .18638 L
.82956 .20079 L
.81844 .21285 L
.80795 .22405 L
.79892 .23356 L
.79109 .2417 L
.78356 .24944 L
.77699 .25613 L
.77121 .26195 L
.76558 .26758 L
.76061 .27252 L
.75575 .27731 L
.75145 .28153 L
.74762 .28527 L
.74386 .28894 L
.7405 .29221 L
.73719 .29542 L
.73423 .29829 L
.73159 .30087 L
.72897 .30343 L
.72673 .30561 L
s
.91667 .11667 m
.89596 .14408 L
.87707 .16918 L
.86211 .18927 L
.84978 .20613 L
.83848 .22198 L
.82911 .23559 L
.82052 .24864 L
.8134 .26008 L
.80748 .27023 L
.80207 .28028 L
.79764 .28935 L
.79403 .29761 L
.79082 .30602 L
.78831 .3138 L
.78622 .32182 L
.78539 .32575 L
.78473 .32936 L
.78418 .33305 L
.78377 .33651 L
.78359 .33834 L
.78343 .34032 L
.78332 .3421 L
.78323 .34376 L
.7832 .34468 L
.78317 .34552 L
.78315 .34645 L
.78314 .34697 L
.78313 .34745 L
.78313 .34769 L
.78313 .34792 L
.78313 .34816 L
.78313 .34828 L
.78313 .34842 L
.78312 .34865 L
.78312 .34889 L
.78312 .34909 L
.78313 .34932 L
.78313 .34946 L
.78313 .34958 L
.78313 .34983 L
.78313 .35009 L
.78313 .35037 L
.78314 .35088 L
.78315 .35135 L
.78317 .35222 L
.7832 .35315 L
.78327 .35483 L
.78339 .35684 L
.78352 .35868 L
Mistroke
.78385 .36225 L
.78433 .36617 L
.78561 .37397 L
.78729 .38168 L
.7894 .38964 L
Mfstroke
.91667 .13333 m
.89777 .16102 L
.88075 .18681 L
.86749 .20787 L
.85678 .2259 L
.84723 .24322 L
.83958 .25846 L
.83288 .27346 L
.82766 .28698 L
.82366 .29934 L
.82041 .31197 L
.81915 .31809 L
.81817 .32376 L
.81737 .32948 L
.81679 .33488 L
.81655 .3377 L
.81635 .34078 L
.81628 .34213 L
.81621 .34357 L
.81616 .34483 L
.81612 .34616 L
.8161 .3469 L
.81609 .34772 L
.81608 .34846 L
.81607 .34915 L
.81607 .34957 L
.81606 .34978 L
.81606 .34997 L
.81606 .35032 L
.81606 .35051 L
.81606 .35071 L
.81606 .35091 L
.81606 .35112 L
.81606 .35132 L
.81606 .35151 L
.81606 .35171 L
.81606 .35193 L
.81607 .35238 L
.81607 .35278 L
.81608 .35315 L
.81609 .35385 L
.8161 .35461 L
.81612 .35542 L
.81616 .3569 L
.81621 .35826 L
.81635 .36109 L
.81652 .36374 L
.81704 .36982 L
.81775 .37584 L
.81856 .38141 L
Mistroke
.82082 .39358 L
.82368 .4057 L
.82746 .41914 L
.83185 .43274 L
.83734 .44806 L
.84347 .46383 L
.85018 .48013 L
.858 .49829 L
Mfstroke
.91667 .15 m
.89955 .17794 L
.88435 .20443 L
.87275 .22646 L
.86363 .24568 L
.85579 .26451 L
.84984 .28144 L
.84502 .29849 L
.84313 .30675 L
.84169 .31425 L
.84049 .32191 L
.83961 .32901 L
.83897 .33612 L
.83873 .33988 L
.83863 .34197 L
.83854 .34392 L
.83848 .34576 L
.83844 .34773 L
.83842 .34885 L
.83841 .3494 L
.8384 .34991 L
.8384 .35037 L
.8384 .35086 L
.83839 .35135 L
.83839 .35163 L
.83839 .35189 L
.83839 .35236 L
.83839 .35263 L
.83839 .35287 L
.8384 .35333 L
.8384 .35381 L
.8384 .35423 L
.83841 .35464 L
.83842 .35555 L
.83844 .35654 L
.83846 .35744 L
.83852 .35948 L
.83858 .36128 L
.83867 .3632 L
.83886 .36666 L
.83916 .3708 L
.8395 .37457 L
.84032 .38197 L
.84147 .39009 L
.84448 .40645 L
.84836 .42284 L
.85298 .43937 L
.8589 .458 L
.86561 .47714 L
.87387 .49908 L
Mistroke
.88299 .52207 L
.8929 .54624 L
.90474 .57459 L
.91748 .60493 L
.93117 .63771 L
Mfstroke
.91667 .16667 m
.90128 .19486 L
.88785 .22204 L
.87788 .24504 L
.87032 .26546 L
.86417 .28584 L
.85989 .30452 L
.85817 .31445 L
.85692 .32372 L
.85644 .32814 L
.85602 .33281 L
.85572 .33718 L
.8555 .34117 L
.85541 .34335 L
.85534 .34542 L
.85528 .3476 L
.85526 .34884 L
.85525 .34939 L
.85525 .34999 L
.85524 .35055 L
.85524 .35107 L
.85523 .35156 L
.85523 .35209 L
.85523 .35256 L
.85523 .35299 L
.85523 .35347 L
.85523 .35399 L
.85523 .35454 L
.85524 .35514 L
.85524 .3557 L
.85525 .35622 L
.85528 .35826 L
.85531 .35935 L
.85533 .36035 L
.85541 .36262 L
.85559 .36672 L
.85587 .37129 L
.85624 .37611 L
.85716 .3852 L
.85828 .39376 L
.86148 .41238 L
.86613 .43301 L
.87182 .45397 L
.87845 .47542 L
.88679 .49993 L
.89613 .52555 L
.90638 .55244 L
.91873 .58397 L
.9321 .61771 L
.94798 .65795 L
Mistroke
.96499 .70182 L
.98296 .74965 L
Mfstroke
.98296 .74965 m
1 .79712 L
s
.91667 .18333 m
.90296 .21178 L
.89128 .23964 L
.88289 .26361 L
.87686 .28524 L
.87427 .29685 L
.87236 .3072 L
.8708 .31779 L
.86971 .32768 L
.8693 .33272 L
.86895 .33804 L
.86874 .34257 L
.86865 .34515 L
.86859 .34756 L
.86857 .34889 L
.86855 .35012 L
.86854 .35083 L
.86854 .35147 L
.86854 .35183 L
.86853 .35221 L
.86853 .35258 L
.86853 .35291 L
.86853 .35352 L
.86853 .35409 L
.86853 .35472 L
.86854 .35539 L
.86854 .35573 L
.86854 .35609 L
.86855 .35676 L
.86856 .35801 L
.86858 .35915 L
.86861 .36042 L
.86868 .36298 L
.86877 .36536 L
.86886 .36759 L
.86915 .3727 L
.86954 .3781 L
.87047 .38782 L
.8718 .39832 L
.87333 .40824 L
.87755 .42994 L
.88346 .45418 L
.89058 .47903 L
.89877 .50469 L
.909 .53432 L
.92038 .56561 L
.93281 .59878 L
.94772 .63812 L
.96378 .68067 L
.98273 .73196 L
Mistroke
Mfstroke
.98273 .73196 m
1 .7805 L
s
.91667 .2 m
.9046 .2287 L
.89461 .25723 L
.88778 .28217 L
.88323 .30502 L
.8816 .31647 L
.88035 .32858 L
.87992 .33445 L
.87974 .33753 L
.87958 .3408 L
.87947 .34365 L
.87942 .34516 L
.87938 .34679 L
.87935 .34828 L
.87933 .34964 L
.87932 .3503 L
.87931 .35101 L
.8793 .35165 L
.8793 .35232 L
.8793 .35268 L
.8793 .35308 L
.87929 .35378 L
.87929 .35417 L
.87929 .35459 L
.8793 .35499 L
.8793 .35536 L
.8793 .35606 L
.8793 .35646 L
.87931 .35683 L
.87932 .35822 L
.87934 .35945 L
.87937 .36082 L
.87944 .36358 L
.87954 .36656 L
.87968 .36979 L
.88001 .37564 L
.88042 .38117 L
.88098 .38726 L
.88241 .39966 L
.88638 .42411 L
.89168 .44874 L
.89893 .47648 L
.90751 .50517 L
.91729 .53507 L
.9294 .5699 L
.9428 .60704 L
.95735 .6468 L
.9747 .69438 L
.99325 .7463 L
s
.99325 .7463 m
1 .76595 L
s
.91667 .21667 m
.9062 .24561 L
.89786 .2748 L
.89482 .28836 L
.89254 .30071 L
.89081 .31242 L
.88944 .32478 L
.88893 .33116 L
.88871 .33451 L
.88851 .33805 L
.88837 .34115 L
.88825 .34455 L
.88821 .34604 L
.88818 .34765 L
.88815 .34916 L
.88813 .35055 L
.88812 .35135 L
.88811 .3521 L
.88811 .35277 L
.88811 .3535 L
.88811 .3543 L
.88811 .3547 L
.88811 .35514 L
.88811 .35592 L
.88811 .35665 L
.88812 .35739 L
.88813 .35808 L
.88814 .35939 L
.88816 .36079 L
.8882 .36232 L
.88829 .36557 L
.88841 .36902 L
.88873 .37523 L
.88913 .3811 L
.88966 .38746 L
.89091 .39907 L
.89268 .41199 L
.895 .42586 L
.90037 .4518 L
.90776 .48104 L
.91652 .51125 L
.92767 .54615 L
.94025 .58316 L
.95413 .6226 L
.97088 .66961 L
.98897 .72081 L
s
.98897 .72081 m
1 .75285 L
s
.91667 .23333 m
.90775 .26251 L
.90418 .27697 L
.90102 .29237 L
.89874 .30638 L
.89717 .31923 L
.89651 .32624 L
.89603 .33284 L
.89571 .33875 L
.89557 .34208 L
.89547 .34515 L
.89543 .34673 L
.8954 .34823 L
.89537 .34996 L
.89536 .35073 L
.89536 .35154 L
.89535 .35232 L
.89535 .35303 L
.89534 .35374 L
.89534 .35441 L
.89534 .35519 L
.89534 .35591 L
.89535 .3567 L
.89535 .35753 L
.89536 .35838 L
.89537 .35916 L
.89539 .3609 L
.89542 .36252 L
.89546 .36405 L
.89556 .36747 L
.89571 .37121 L
.89605 .37747 L
.89654 .38441 L
.89791 .39859 L
.89962 .41185 L
.90194 .42641 L
.90794 .45621 L
.91552 .48669 L
.92449 .51813 L
.9359 .55451 L
.94875 .59305 L
.96449 .63866 L
.98173 .68816 L
s
.98173 .68816 m
1 .74124 L
s
.91667 .25 m
.91272 .26454 L
.90926 .27941 L
.90623 .29536 L
.90409 .30991 L
.90268 .3229 L
.90211 .33012 L
.90172 .33667 L
.90156 .34005 L
.90144 .34362 L
.90135 .34666 L
.90132 .3484 L
.90129 .35002 L
.90128 .35091 L
.90127 .35189 L
.90126 .35281 L
.90126 .35366 L
.90126 .35451 L
.90126 .35527 L
.90126 .35616 L
.90126 .35699 L
.90127 .35791 L
.90128 .35887 L
.9013 .3606 L
.90133 .36246 L
.90138 .3645 L
.90149 .36816 L
.90162 .37164 L
.90196 .37816 L
.90245 .38522 L
.90311 .39293 L
.9047 .40709 L
.90689 .42239 L
.91216 .4508 L
.91963 .48278 L
.92864 .51577 L
.94022 .55389 L
.95338 .59432 L
.96795 .63744 L
.98556 .68892 L
s
.98556 .68892 m
1 .73154 L
s
.91667 .26667 m
.91345 .28127 L
.91073 .29631 L
.90863 .31128 L
.90773 .31967 L
.90707 .32745 L
.90681 .33112 L
.90658 .33509 L
.9064 .3386 L
.90626 .34231 L
.90616 .34564 L
.90612 .34754 L
.90608 .34932 L
.90607 .35015 L
.90606 .35094 L
.90605 .35167 L
.90605 .35243 L
.90604 .35327 L
.90604 .35404 L
.90604 .35496 L
.90604 .35579 L
.90604 .35666 L
.90604 .35747 L
.90605 .35837 L
.90606 .35933 L
.90608 .36128 L
.90612 .36307 L
.9062 .36651 L
.90631 .36978 L
.90664 .37706 L
.90716 .38501 L
.90848 .39963 L
.91044 .4154 L
.91534 .44459 L
.9225 .47735 L
.93128 .51104 L
.9427 .5499 L
.95576 .59105 L
.97029 .63489 L
.98791 .68719 L
s
.98791 .68719 m
1 .72329 L
s
.91667 .28333 m
.91415 .298 L
.91214 .3132 L
.91135 .3211 L
.91076 .32842 L
.91028 .33642 L
.91009 .3409 L
.91002 .34283 L
.90996 .34496 L
.90991 .34671 L
.90988 .34858 L
.90986 .34962 L
.90985 .35057 L
.90984 .35153 L
.90983 .35242 L
.90982 .35324 L
.90982 .35411 L
.90982 .35508 L
.90982 .35595 L
.90982 .35678 L
.90982 .35768 L
.90983 .35853 L
.90984 .35931 L
.90986 .36118 L
.90989 .36292 L
.90993 .36484 L
.90998 .36689 L
.91012 .37109 L
.91029 .37493 L
.91072 .38242 L
.91123 .38938 L
.91281 .40528 L
.91471 .41981 L
.91733 .43617 L
.92402 .46937 L
.93241 .50339 L
.94346 .5425 L
.95621 .58381 L
.97049 .62773 L
.98789 .68004 L
s
.98789 .68004 m
1 .71649 L
s
.91667 .3 m
.91571 .30706 L
.91483 .31473 L
.91406 .32279 L
.91352 .33009 L
.91328 .33398 L
.91308 .3382 L
.9129 .34265 L
.91284 .34466 L
.91279 .34686 L
.91275 .34889 L
.91272 .3508 L
.91271 .35185 L
.91271 .35281 L
.9127 .35334 L
.9127 .35392 L
.9127 .35446 L
.9127 .35497 L
.9127 .35595 L
.9127 .35687 L
.9127 .3577 L
.91271 .3586 L
.91272 .35958 L
.91273 .36061 L
.91276 .36246 L
.91279 .36442 L
.91284 .36628 L
.91294 .36975 L
.91309 .37351 L
.91329 .37759 L
.91374 .38497 L
.91428 .39183 L
.91575 .40649 L
.91793 .42294 L
.92381 .45615 L
.93146 .48998 L
.94177 .52866 L
.95385 .56931 L
.96749 .61236 L
.98425 .66346 L
s
.98425 .66346 m
1 .71112 L
s
.91667 .31667 m
.91603 .32374 L
.91548 .33146 L
.91527 .33535 L
.91508 .3395 L
.91494 .34341 L
.91485 .34697 L
.91481 .34902 L
.91479 .35014 L
.91478 .35119 L
.91477 .35215 L
.91476 .35304 L
.91476 .35402 L
.91476 .35456 L
.91475 .35508 L
.91475 .35563 L
.91475 .35614 L
.91476 .35672 L
.91476 .35726 L
.91476 .35824 L
.91477 .35878 L
.91477 .35929 L
.9148 .36152 L
.91481 .36265 L
.91484 .36389 L
.91494 .36789 L
.91509 .37218 L
.91546 .37995 L
.916 .38798 L
.91674 .39676 L
.91854 .41292 L
.92084 .42909 L
.92387 .44666 L
.93079 .47957 L
.94026 .51702 L
.95144 .5561 L
.9656 .60183 L
.9815 .65092 L
.9989 .7039 L
s
.9989 .7039 m
1 .70726 L
s
.91667 .33333 m
.91648 .33701 L
.91634 .34043 L
.91621 .34418 L
.91616 .34627 L
.91612 .34819 L
.91609 .35021 L
.91607 .35128 L
.91606 .3524 L
.91606 .35338 L
.91605 .3543 L
.91605 .3553 L
.91605 .35587 L
.91605 .35639 L
.91605 .35733 L
.91606 .35821 L
.91606 .35918 L
.91607 .36021 L
.9161 .36212 L
.91613 .36385 L
.91624 .36814 L
.91637 .37209 L
.91656 .37644 L
.91681 .38105 L
.91734 .38883 L
.91808 .39741 L
.91984 .41325 L
.92231 .43054 L
.92895 .46605 L
.93753 .50248 L
.94783 .54026 L
.96102 .58421 L
.97594 .63113 L
.99238 .68149 L
s
.99238 .68149 m
1 .70485 L
s
.91667 .35 m
.91665 .35093 L
.91665 .35178 L
.91664 .35276 L
.91663 .35368 L
.91663 .35454 L
.91663 .35533 L
.91663 .3562 L
.91663 .35712 L
.91663 .35804 L
.91664 .35903 L
.91665 .35997 L
.91666 .36083 L
.91669 .36293 L
.91673 .36492 L
.91683 .36883 L
.91696 .37246 L
.91737 .38072 L
.91795 .38929 L
.91862 .39712 L
.9206 .41486 L
.92291 .43086 L
.92598 .44858 L
.93374 .48504 L
.94338 .5227 L
.95468 .562 L
.96894 .60801 L
.98487 .65736 L
s
.98487 .65736 m
1 .70368 L
s
.91667 .36667 m
.91678 .37036 L
.91691 .3738 L
.91732 .38165 L
.91785 .38932 L
.91856 .39758 L
.9206 .41558 L
.92304 .43228 L
.92953 .46675 L
.93782 .502 L
.94885 .54247 L
.96167 .58514 L
.97606 .63048 L
.99366 .68447 L
s
.99366 .68447 m
1 .70393 L
s
.91667 .38333 m
.91789 .39837 L
.91971 .41445 L
.92537 .44969 L
.93256 .4833 L
.94236 .52161 L
.95391 .56169 L
.96851 .60866 L
.9849 .65924 L
s
.9849 .65924 m
1 .70534 L
s
.91667 .4 m
.91843 .4151 L
.92081 .4313 L
.92762 .46708 L
.9358 .50147 L
.94665 .54095 L
.95921 .58252 L
.97489 .63155 L
.99231 .68461 L
s
.99231 .68461 m
1 .70808 L
s
.91667 .41667 m
.92187 .44815 L
.92977 .48444 L
.93932 .52104 L
.95046 .55923 L
.96449 .60392 L
.98015 .65183 L
.99915 .70924 L
s
.99915 .70924 m
1 .71184 L
s
.91667 .43333 m
.92288 .465 L
.93183 .50178 L
.94232 .53916 L
.95436 .57839 L
.96932 .62456 L
.98586 .67429 L
s
.98586 .67429 m
1 .71682 L
s
.91667 .45 m
.92384 .48184 L
.93379 .5191 L
.94518 .55722 L
.95806 .59746 L
.97389 .64506 L
.99125 .69657 L
s
.99125 .69657 m
1 .72284 L
s
.91667 .46667 m
.92476 .49867 L
.93565 .5364 L
.9479 .57524 L
.96156 .61645 L
.97821 .66543 L
.99631 .71864 L
s
.99631 .71864 m
1 .72972 L
s
.91667 .48333 m
.92563 .5155 L
.93742 .55367 L
.95047 .5932 L
.96488 .63535 L
.98227 .68565 L
s
.98227 .68565 m
1 .73742 L
s
.91667 .5 m
.92645 .53232 L
.93909 .57092 L
.95289 .61111 L
.96799 .65415 L
.98608 .70572 L
s
.98608 .70572 m
1 .74622 L
s
.91667 .51667 m
.92723 .54914 L
.94067 .58814 L
.95517 .62896 L
.97091 .67286 L
.98962 .72563 L
s
.98962 .72563 m
1 .75577 L
s
.91667 .53333 m
.92797 .56595 L
.94215 .60534 L
.9573 .64675 L
.97362 .69146 L
.9929 .74536 L
s
.9929 .74536 m
1 .766 L
s
.91667 .55 m
.92865 .58275 L
.94352 .62251 L
.95928 .66449 L
.97613 .70996 L
.99591 .76492 L
s
.99591 .76492 m
1 .77683 L
s
.91667 .56667 m
.92929 .59955 L
.94481 .63966 L
.96112 .68216 L
.97844 .72834 L
.99865 .78429 L
s
.99865 .78429 m
1 .78823 L
s
.91667 .58333 m
.92988 .61635 L
.94599 .65678 L
.9628 .69978 L
.98054 .74661 L
s
.98054 .74661 m
1 .80036 L
s
.91667 .6 m
.93042 .63313 L
.94707 .67387 L
.96433 .71733 L
.98244 .76477 L
s
.98244 .76477 m
1 .81327 L
s
.91667 .61667 m
.93092 .64991 L
.94805 .69093 L
.9657 .73481 L
.98413 .7828 L
s
.98413 .7828 m
1 .8267 L
s
.91667 .63333 m
.93137 .66669 L
.94893 .70796 L
.96693 .75223 L
.98561 .80071 L
s
.98561 .80071 m
1 .84064 L
s
.91667 .65 m
.93177 .68346 L
.94971 .72497 L
.968 .76958 L
.98688 .8185 L
s
.98688 .8185 m
1 .85507 L
s
.91667 .66667 m
.93213 .70022 L
.95039 .74195 L
.96891 .78686 L
.98793 .83616 L
s
.98793 .83616 m
1 .86999 L
s
.91667 .68333 m
.93243 .71697 L
.95097 .75889 L
.96967 .80407 L
.98878 .85369 L
s
.98878 .85369 m
1 .88539 L
s
.91667 .7 m
.93269 .73372 L
.95144 .77581 L
.97026 .82121 L
.98941 .87109 L
s
.98941 .87109 m
1 .90129 L
s
.91667 .71667 m
.9329 .75047 L
.95182 .7927 L
.97071 .83828 L
.98982 .88835 L
s
.98982 .88835 m
1 .91768 L
s
.91667 .73333 m
.93306 .7672 L
.95208 .80956 L
.97099 .85528 L
.99001 .90548 L
s
.99001 .90548 m
1 .93461 L
s
.91667 .75 m
.93318 .78394 L
.95225 .82639 L
.97111 .8722 L
.98999 .92247 L
s
.98999 .92247 m
1 .95208 L
s
.91667 .76667 m
.93324 .80066 L
.95231 .84318 L
.97107 .88906 L
.98975 .93933 L
s
.98975 .93933 m
1 .97014 L
s
.91667 .78333 m
.93326 .81738 L
.95226 .85995 L
.97087 .90584 L
.98929 .95604 L
s
.98929 .95604 m
1 .98883 L
s
.91667 .8 m
.93323 .83409 L
.95211 .87669 L
.9705 .92254 L
.9886 .97262 L
s
.9886 .97262 m
.99737 1 L
s
.91667 .81667 m
.93315 .85079 L
.95185 .8934 L
.96998 .93917 L
.98769 .98907 L
s
.98769 .98907 m
.99111 1 L
s
.91667 .83333 m
.93302 .86749 L
.95149 .91007 L
.96928 .95573 L
s
.96928 .95573 m
.98469 1 L
s
.91667 .85 m
.93284 .88418 L
.95102 .92672 L
.96843 .97222 L
s
.96843 .97222 m
.97788 1 L
s
.91667 .86667 m
.93261 .90087 L
.95044 .94333 L
.9674 .98863 L
s
.9674 .98863 m
.97117 1 L
s
.91667 .88333 m
.93234 .91755 L
.94976 .95991 L
s
.94976 .95991 m
.9644 1 L
s
.91667 .9 m
.93201 .93422 L
.94897 .97647 L
s
.94897 .97647 m
.95732 1 L
s
.91667 .91667 m
.93164 .95089 L
.94806 .99299 L
s
.94806 .99299 m
.95047 1 L
s
.479 0 1 r
.0001 w
0 0 m
0 0 rlineto s
% Start of user PostScript
-3. -3. -2.99125 -3.11456 MAarrowhead1
% End of user PostScript
.477 0 1 r
0 .02564 m
.00166 .00657 L
s
% Start of user PostScript
-3. -2.84615 -2.99007 -2.96057 MAarrowhead1
% End of user PostScript
.475 0 1 r
0 .05128 m
.00182 .03224 L
s
% Start of user PostScript
-3. -2.69231 -2.98911 -2.80658 MAarrowhead1
% End of user PostScript
.472 0 1 r
0 .07692 m
.00194 .0579 L
s
% Start of user PostScript
-3. -2.53846 -2.98837 -2.65259 MAarrowhead1
% End of user PostScript
.469 0 1 r
0 .10256 m
.00202 .08357 L
s
% Start of user PostScript
-3. -2.38462 -2.98785 -2.4986 MAarrowhead1
% End of user PostScript
.465 0 1 r
0 .12821 m
.00207 .10923 L
s
% Start of user PostScript
-3. -2.23077 -2.98755 -2.34461 MAarrowhead1
% End of user PostScript
.459 0 1 r
0 .15385 m
.00209 .1349 L
s
% Start of user PostScript
-3. -2.07692 -2.98748 -2.19062 MAarrowhead1
% End of user PostScript
.453 0 1 r
0 .17949 m
.00206 .16056 L
s
% Start of user PostScript
-3. -1.92308 -2.98762 -2.03663 MAarrowhead1
% End of user PostScript
.446 0 1 r
0 .20513 m
.002 .18623 L
s
% Start of user PostScript
-3. -1.76923 -2.98798 -1.88264 MAarrowhead1
% End of user PostScript
.438 0 1 r
0 .23077 m
.00191 .21189 L
s
% Start of user PostScript
-3. -1.61538 -2.98857 -1.72866 MAarrowhead1
% End of user PostScript
.43 0 1 r
0 .25641 m
.00177 .23756 L
s
% Start of user PostScript
-3. -1.46154 -2.98937 -1.57467 MAarrowhead1
% End of user PostScript
.421 0 1 r
0 .28205 m
.0016 .26322 L
s
% Start of user PostScript
-3. -1.30769 -2.9904 -1.42068 MAarrowhead1
% End of user PostScript
.411 0 1 r
0 .30769 m
.00139 .28889 L
s
% Start of user PostScript
-3. -1.15385 -2.99164 -1.26669 MAarrowhead1
% End of user PostScript
.402 0 1 r
0 .33333 m
.00115 .31455 L
s
% Start of user PostScript
-3. -1. -2.99311 -1.1127 MAarrowhead1
% End of user PostScript
.393 0 1 r
0 .35897 m
.00087 .34022 L
s
% Start of user PostScript
-3. -0.846154 -2.99479 -0.958708 MAarrowhead1
% End of user PostScript
.384 0 1 r
0 .38462 m
.00055 .36588 L
s
% Start of user PostScript
-3. -0.692308 -2.9967 -0.804718 MAarrowhead1
% End of user PostScript
.377 0 1 r
0 .41026 m
.0002 .39155 L
s
% Start of user PostScript
-3. -0.538462 -2.99883 -0.650729 MAarrowhead1
% End of user PostScript
.371 0 1 r
0 .4359 m
0 0 rlineto s
% Start of user PostScript
-3. -0.384615 -3.00118 -0.49674 MAarrowhead1
% End of user PostScript
.368 0 1 r
0 .46154 m
0 0 rlineto s
% Start of user PostScript
-3. -0.230769 -3.00374 -0.34275 MAarrowhead1
% End of user PostScript
.367 0 1 r
0 .48718 m
0 0 rlineto s
% Start of user PostScript
-3. -0.0769231 -3.00653 -0.188761 MAarrowhead1
% End of user PostScript
.37 0 1 r
0 .51282 m
0 0 rlineto s
% Start of user PostScript
-3. 0.0769231 -3.00954 -0.0347712 MAarrowhead1
% End of user PostScript
.377 0 1 r
0 .53846 m
0 0 rlineto s
% Start of user PostScript
-3. 0.230769 -3.01277 0.119218 MAarrowhead1
% End of user PostScript
.389 0 1 r
0 .5641 m
0 0 rlineto s
% Start of user PostScript
-3. 0.384615 -3.01622 0.273208 MAarrowhead1
% End of user PostScript
.406 0 1 r
0 .58974 m
0 0 rlineto s
% Start of user PostScript
-3. 0.538462 -3.01989 0.427197 MAarrowhead1
% End of user PostScript
.43 0 1 r
0 .61538 m
0 0 rlineto s
% Start of user PostScript
-3. 0.692308 -3.02378 0.581187 MAarrowhead1
% End of user PostScript
.461 0 1 r
0 .64103 m
0 0 rlineto s
% Start of user PostScript
-3. 0.846154 -3.02789 0.735176 MAarrowhead1
% End of user PostScript
.5 0 1 r
0 .66667 m
0 0 rlineto s
% Start of user PostScript
-3. 1. -3.03223 0.889165 MAarrowhead1
% End of user PostScript
.547 0 1 r
0 .69231 m
0 0 rlineto s
% Start of user PostScript
-3. 1.15385 -3.03678 1.04315 MAarrowhead1
% End of user PostScript
.604 0 1 r
0 .71795 m
0 0 rlineto s
% Start of user PostScript
-3. 1.30769 -3.04155 1.19714 MAarrowhead1
% End of user PostScript
.671 0 1 r
0 .74359 m
0 0 rlineto s
% Start of user PostScript
-3. 1.46154 -3.04654 1.35113 MAarrowhead1
% End of user PostScript
.749 0 1 r
0 .76923 m
0 0 rlineto s
% Start of user PostScript
-3. 1.61538 -3.05176 1.50512 MAarrowhead1
% End of user PostScript
.838 0 1 r
0 .79487 m
0 0 rlineto s
% Start of user PostScript
-3. 1.76923 -3.05719 1.65911 MAarrowhead1
% End of user PostScript
.939 0 1 r
0 .82051 m
0 0 rlineto s
% Start of user PostScript
-3. 1.92308 -3.06285 1.8131 MAarrowhead1
% End of user PostScript
1 0 .948 r
0 .84615 m
0 0 rlineto s
% Start of user PostScript
-3. 2.07692 -3.06872 1.96709 MAarrowhead1
% End of user PostScript
1 0 .823 r
0 .87179 m
0 0 rlineto s
% Start of user PostScript
-3. 2.23077 -3.07482 2.12108 MAarrowhead1
% End of user PostScript
1 0 .684 r
0 .89744 m
0 0 rlineto s
% Start of user PostScript
-3. 2.38462 -3.08113 2.27507 MAarrowhead1
% End of user PostScript
1 0 .533 r
0 .92308 m
0 0 rlineto s
% Start of user PostScript
-3. 2.53846 -3.08767 2.42906 MAarrowhead1
% End of user PostScript
1 0 .369 r
0 .94872 m
0 0 rlineto s
% Start of user PostScript
-3. 2.69231 -3.09442 2.58305 MAarrowhead1
% End of user PostScript
1 0 .191 r
0 .97436 m
0 0 rlineto s
% Start of user PostScript
-3. 2.84615 -3.1014 2.73704 MAarrowhead1
% End of user PostScript
1 0 0 r
0 1 m
0 0 rlineto s
% Start of user PostScript
-3. 3. -3.1086 2.89103 MAarrowhead1
% End of user PostScript
0 .215 1 r
.02564 0 m
0 0 rlineto s
% Start of user PostScript
-2.84615 -3. -2.83969 -3.09691 MAarrowhead1
% End of user PostScript
0 .216 1 r
.02564 .02564 m
.02694 .00951 L
s
% Start of user PostScript
-2.84615 -2.84615 -2.83836 -2.94292 MAarrowhead1
% End of user PostScript
0 .218 1 r
.02564 .05128 m
.02713 .03518 L
s
% Start of user PostScript
-2.84615 -2.69231 -2.83724 -2.78893 MAarrowhead1
% End of user PostScript
0 .22 1 r
.02564 .07692 m
.02727 .06084 L
s
% Start of user PostScript
-2.84615 -2.53846 -2.83635 -2.63494 MAarrowhead1
% End of user PostScript
0 .223 1 r
.02564 .10256 m
.02739 .08651 L
s
% Start of user PostScript
-2.84615 -2.38462 -2.83568 -2.48095 MAarrowhead1
% End of user PostScript
0 .227 1 r
.02564 .12821 m
.02746 .11217 L
s
% Start of user PostScript
-2.84615 -2.23077 -2.83523 -2.32696 MAarrowhead1
% End of user PostScript
0 .231 1 r
.02564 .15385 m
.0275 .13784 L
s
% Start of user PostScript
-2.84615 -2.07692 -2.835 -2.17297 MAarrowhead1
% End of user PostScript
0 .237 1 r
.02564 .17949 m
.0275 .1635 L
s
% Start of user PostScript
-2.84615 -1.92308 -2.83498 -2.01898 MAarrowhead1
% End of user PostScript
0 .243 1 r
.02564 .20513 m
.02747 .18917 L
s
% Start of user PostScript
-2.84615 -1.76923 -2.83519 -1.86499 MAarrowhead1
% End of user PostScript
0 .251 1 r
.02564 .23077 m
.0274 .21483 L
s
% Start of user PostScript
-2.84615 -1.61538 -2.83562 -1.711 MAarrowhead1
% End of user PostScript
0 .259 1 r
.02564 .25641 m
.02729 .2405 L
s
% Start of user PostScript
-2.84615 -1.46154 -2.83627 -1.55701 MAarrowhead1
% End of user PostScript
0 .268 1 r
.02564 .28205 m
.02714 .26616 L
s
% Start of user PostScript
-2.84615 -1.30769 -2.83715 -1.40302 MAarrowhead1
% End of user PostScript
0 .277 1 r
.02564 .30769 m
.02696 .29183 L
s
% Start of user PostScript
-2.84615 -1.15385 -2.83824 -1.24903 MAarrowhead1
% End of user PostScript
0 .287 1 r
.02564 .33333 m
.02674 .31749 L
s
% Start of user PostScript
-2.84615 -1. -2.83955 -1.09504 MAarrowhead1
% End of user PostScript
0 .296 1 r
.02564 .35897 m
.02649 .34316 L
s
% Start of user PostScript
-2.84615 -0.846154 -2.84108 -0.941055 MAarrowhead1
% End of user PostScript
0 .305 1 r
.02564 .38462 m
.02619 .36882 L
s
% Start of user PostScript
-2.84615 -0.692308 -2.84283 -0.787066 MAarrowhead1
% End of user PostScript
0 .312 1 r
.02564 .41026 m
.02587 .39449 L
s
% Start of user PostScript
-2.84615 -0.538462 -2.84481 -0.633076 MAarrowhead1
% End of user PostScript
0 .318 1 r
.02564 .4359 m
.0255 .42015 L
s
% Start of user PostScript
-2.84615 -0.384615 -2.847 -0.479087 MAarrowhead1
% End of user PostScript
0 .322 1 r
.02564 .46154 m
.0251 .44582 L
s
% Start of user PostScript
-2.84615 -0.230769 -2.84941 -0.325097 MAarrowhead1
% End of user PostScript
.02564 .48718 m
.02466 .47148 L
s
% Start of user PostScript
-2.84615 -0.0769231 -2.85205 -0.171108 MAarrowhead1
% End of user PostScript
0 .319 1 r
.02564 .51282 m
.02418 .49715 L
s
% Start of user PostScript
-2.84615 0.0769231 -2.8549 -0.0171186 MAarrowhead1
% End of user PostScript
0 .312 1 r
.02564 .53846 m
.02367 .52281 L
s
% Start of user PostScript
-2.84615 0.230769 -2.85798 0.136871 MAarrowhead1
% End of user PostScript
0 .299 1 r
.02564 .5641 m
.02312 .54848 L
s
% Start of user PostScript
-2.84615 0.384615 -2.86127 0.29086 MAarrowhead1
% End of user PostScript
0 .28 1 r
.02564 .58974 m
.02254 .57414 L
s
% Start of user PostScript
-2.84615 0.538462 -2.86479 0.44485 MAarrowhead1
% End of user PostScript
0 .254 1 r
.02564 .61538 m
.02191 .59981 L
s
% Start of user PostScript
-2.84615 0.692308 -2.86853 0.598839 MAarrowhead1
% End of user PostScript
0 .221 1 r
.02564 .64103 m
.02125 .62547 L
s
% Start of user PostScript
-2.84615 0.846154 -2.87248 0.752829 MAarrowhead1
% End of user PostScript
0 .178 1 r
.02564 .66667 m
.02056 .65114 L
s
% Start of user PostScript
-2.84615 1. -2.87666 0.906818 MAarrowhead1
% End of user PostScript
0 .127 1 r
.02564 .69231 m
.01982 .6768 L
s
% Start of user PostScript
-2.84615 1.15385 -2.88106 1.06081 MAarrowhead1
% End of user PostScript
0 .065 1 r
.02564 .71795 m
.01905 .70247 L
s
% Start of user PostScript
-2.84615 1.30769 -2.88568 1.2148 MAarrowhead1
% End of user PostScript
.008 0 1 r
.02564 .74359 m
.01825 .72813 L
s
% Start of user PostScript
-2.84615 1.46154 -2.89052 1.36879 MAarrowhead1
% End of user PostScript
.092 0 1 r
.02564 .76923 m
.0174 .7538 L
s
% Start of user PostScript
-2.84615 1.61538 -2.89557 1.52278 MAarrowhead1
% End of user PostScript
.188 0 1 r
.02564 .79487 m
.01652 .77946 L
s
% Start of user PostScript
-2.84615 1.76923 -2.90085 1.67677 MAarrowhead1
% End of user PostScript
.297 0 1 r
.02564 .82051 m
.01561 .80513 L
s
% Start of user PostScript
-2.84615 1.92308 -2.90635 1.83075 MAarrowhead1
% End of user PostScript
.418 0 1 r
.02564 .84615 m
.01465 .83079 L
s
% Start of user PostScript
-2.84615 2.07692 -2.91207 1.98474 MAarrowhead1
% End of user PostScript
.552 0 1 r
.02564 .87179 m
.01366 .85646 L
s
% Start of user PostScript
-2.84615 2.23077 -2.91802 2.13873 MAarrowhead1
% End of user PostScript
.7 0 1 r
.02564 .89744 m
.01264 .88212 L
s
% Start of user PostScript
-2.84615 2.38462 -2.92418 2.29272 MAarrowhead1
% End of user PostScript
.861 0 1 r
.02564 .92308 m
.01157 .90779 L
s
% Start of user PostScript
-2.84615 2.53846 -2.93056 2.44671 MAarrowhead1
% End of user PostScript
1 0 .965 r
.02564 .94872 m
.01047 .93345 L
s
% Start of user PostScript
-2.84615 2.69231 -2.93716 2.6007 MAarrowhead1
% End of user PostScript
1 0 .778 r
.02564 .97436 m
.00934 .95912 L
s
% Start of user PostScript
-2.84615 2.84615 -2.94398 2.75469 MAarrowhead1
% End of user PostScript
1 0 .577 r
.02564 1 m
.00816 .98478 L
s
% Start of user PostScript
-2.84615 3. -2.95103 2.90868 MAarrowhead1
% End of user PostScript
0 .835 1 r
.05128 0 m
0 0 rlineto s
% Start of user PostScript
-2.69231 -3. -2.68814 -3.08114 MAarrowhead1
% End of user PostScript
0 .837 1 r
.05128 .02564 m
.05223 .01214 L
s
% Start of user PostScript
-2.69231 -2.84615 -2.68665 -2.92715 MAarrowhead1
% End of user PostScript
0 .838 1 r
.05128 .05128 m
.05244 .03781 L
s
% Start of user PostScript
-2.69231 -2.69231 -2.68538 -2.77316 MAarrowhead1
% End of user PostScript
0 .84 1 r
.05128 .07692 m
.05261 .06347 L
s
% Start of user PostScript
-2.69231 -2.53846 -2.68434 -2.61917 MAarrowhead1
% End of user PostScript
0 .842 1 r
.05128 .10256 m
.05275 .08914 L
s
% Start of user PostScript
-2.69231 -2.38462 -2.68351 -2.46518 MAarrowhead1
% End of user PostScript
0 .845 1 r
.05128 .12821 m
.05285 .1148 L
s
% Start of user PostScript
-2.69231 -2.23077 -2.6829 -2.31119 MAarrowhead1
% End of user PostScript
0 .849 1 r
.05128 .15385 m
.05291 .14047 L
s
% Start of user PostScript
-2.69231 -2.07692 -2.68252 -2.1572 MAarrowhead1
% End of user PostScript
0 .854 1 r
.05128 .17949 m
.05294 .16613 L
s
% Start of user PostScript
-2.69231 -1.92308 -2.68235 -2.00321 MAarrowhead1
% End of user PostScript
0 .86 1 r
.05128 .20513 m
.05293 .1918 L
s
% Start of user PostScript
-2.69231 -1.76923 -2.68241 -1.84922 MAarrowhead1
% End of user PostScript
0 .867 1 r
.05128 .23077 m
.05289 .21746 L
s
% Start of user PostScript
-2.69231 -1.61538 -2.68268 -1.69523 MAarrowhead1
% End of user PostScript
0 .874 1 r
.05128 .25641 m
.0528 .24313 L
s
% Start of user PostScript
-2.69231 -1.46154 -2.68318 -1.54124 MAarrowhead1
% End of user PostScript
0 .883 1 r
.05128 .28205 m
.05268 .26879 L
s
% Start of user PostScript
-2.69231 -1.30769 -2.68389 -1.38725 MAarrowhead1
% End of user PostScript
0 .892 1 r
.05128 .30769 m
.05253 .29446 L
s
% Start of user PostScript
-2.69231 -1.15385 -2.68483 -1.23326 MAarrowhead1
% End of user PostScript
0 .902 1 r
.05128 .33333 m
.05234 .32012 L
s
% Start of user PostScript
-2.69231 -1. -2.68599 -1.07927 MAarrowhead1
% End of user PostScript
0 .911 1 r
.05128 .35897 m
.05211 .34579 L
s
% Start of user PostScript
-2.69231 -0.846154 -2.68737 -0.925285 MAarrowhead1
% End of user PostScript
0 .92 1 r
.05128 .38462 m
.05184 .37145 L
s
% Start of user PostScript
-2.69231 -0.692308 -2.68896 -0.771295 MAarrowhead1
% End of user PostScript
0 .928 1 r
.05128 .41026 m
.05154 .39712 L
s
% Start of user PostScript
-2.69231 -0.538462 -2.69078 -0.617306 MAarrowhead1
% End of user PostScript
0 .934 1 r
.05128 .4359 m
.0512 .42278 L
s
% Start of user PostScript
-2.69231 -0.384615 -2.69282 -0.463317 MAarrowhead1
% End of user PostScript
0 .938 1 r
.05128 .46154 m
.05082 .44845 L
s
% Start of user PostScript
-2.69231 -0.230769 -2.69508 -0.309327 MAarrowhead1
% End of user PostScript
.05128 .48718 m
.05041 .47411 L
s
% Start of user PostScript
-2.69231 -0.0769231 -2.69756 -0.155338 MAarrowhead1
% End of user PostScript
0 .935 1 r
.05128 .51282 m
.04996 .49978 L
s
% Start of user PostScript
-2.69231 0.0769231 -2.70026 -0.00134826 MAarrowhead1
% End of user PostScript
0 .927 1 r
.05128 .53846 m
.04947 .52544 L
s
% Start of user PostScript
-2.69231 0.230769 -2.70318 0.152641 MAarrowhead1
% End of user PostScript
0 .913 1 r
.05128 .5641 m
.04895 .55111 L
s
% Start of user PostScript
-2.69231 0.384615 -2.70632 0.306631 MAarrowhead1
% End of user PostScript
0 .893 1 r
.05128 .58974 m
.04839 .57677 L
s
% Start of user PostScript
-2.69231 0.538462 -2.70969 0.46062 MAarrowhead1
% End of user PostScript
0 .865 1 r
.05128 .61538 m
.04779 .60243 L
s
% Start of user PostScript
-2.69231 0.692308 -2.71327 0.61461 MAarrowhead1
% End of user PostScript
0 .828 1 r
.05128 .64103 m
.04715 .6281 L
s
% Start of user PostScript
-2.69231 0.846154 -2.71707 0.768599 MAarrowhead1
% End of user PostScript
0 .782 1 r
.05128 .66667 m
.04648 .65376 L
s
% Start of user PostScript
-2.69231 1. -2.72109 0.922588 MAarrowhead1
% End of user PostScript
0 .726 1 r
.05128 .69231 m
.04578 .67943 L
s
% Start of user PostScript
-2.69231 1.15385 -2.72534 1.07658 MAarrowhead1
% End of user PostScript
0 .658 1 r
.05128 .71795 m
.04503 .70509 L
s
% Start of user PostScript
-2.69231 1.30769 -2.7298 1.23057 MAarrowhead1
% End of user PostScript
0 .579 1 r
.05128 .74359 m
.04425 .73076 L
s
% Start of user PostScript
-2.69231 1.46154 -2.73449 1.38456 MAarrowhead1
% End of user PostScript
0 .488 1 r
.05128 .76923 m
.04343 .75642 L
s
% Start of user PostScript
-2.69231 1.61538 -2.73939 1.53855 MAarrowhead1
% End of user PostScript
0 .384 1 r
.05128 .79487 m
.04258 .78209 L
s
% Start of user PostScript
-2.69231 1.76923 -2.74452 1.69254 MAarrowhead1
% End of user PostScript
0 .267 1 r
.05128 .82051 m
.04169 .80775 L
s
% Start of user PostScript
-2.69231 1.92308 -2.74986 1.84653 MAarrowhead1
% End of user PostScript
0 .137 1 r
.05128 .84615 m
.04076 .83342 L
s
% Start of user PostScript
-2.69231 2.07692 -2.75543 2.00051 MAarrowhead1
% End of user PostScript
.006 0 1 r
.05128 .87179 m
.0398 .85908 L
s
% Start of user PostScript
-2.69231 2.23077 -2.76122 2.1545 MAarrowhead1
% End of user PostScript
.163 0 1 r
.05128 .89744 m
.0388 .88475 L
s
% Start of user PostScript
-2.69231 2.38462 -2.76722 2.30849 MAarrowhead1
% End of user PostScript
.333 0 1 r
.05128 .92308 m
.03776 .91041 L
s
% Start of user PostScript
-2.69231 2.53846 -2.77345 2.46248 MAarrowhead1
% End of user PostScript
.517 0 1 r
.05128 .94872 m
.03668 .93608 L
s
% Start of user PostScript
-2.69231 2.69231 -2.7799 2.61647 MAarrowhead1
% End of user PostScript
.713 0 1 r
.05128 .97436 m
.03557 .96174 L
s
% Start of user PostScript
-2.69231 2.84615 -2.78657 2.77046 MAarrowhead1
% End of user PostScript
.923 0 1 r
.05128 1 m
.03442 .98741 L
s
% Start of user PostScript
-2.69231 3. -2.79346 2.92445 MAarrowhead1
% End of user PostScript
0 1 .616 r
.07692 0 m
0 0 rlineto s
% Start of user PostScript
-2.53846 -3. -2.53658 -3.06715 MAarrowhead1
% End of user PostScript
0 1 .613 r
.07692 .02564 m
.07751 .01447 L
s
% Start of user PostScript
-2.53846 -2.84615 -2.53494 -2.91316 MAarrowhead1
% End of user PostScript
0 1 .611 r
.07692 .05128 m
.07775 .04014 L
s
% Start of user PostScript
-2.53846 -2.69231 -2.53352 -2.75917 MAarrowhead1
% End of user PostScript
0 1 .609 r
.07692 .07692 m
.07795 .0658 L
s
% Start of user PostScript
-2.53846 -2.53846 -2.53232 -2.60518 MAarrowhead1
% End of user PostScript
0 1 .608 r
.07692 .10256 m
.07811 .09147 L
s
% Start of user PostScript
-2.53846 -2.38462 -2.53134 -2.45119 MAarrowhead1
% End of user PostScript
0 1 .605 r
.07692 .12821 m
.07824 .11713 L
s
% Start of user PostScript
-2.53846 -2.23077 -2.53058 -2.2972 MAarrowhead1
% End of user PostScript
0 1 .602 r
.07692 .15385 m
.07833 .1428 L
s
% Start of user PostScript
-2.53846 -2.07692 -2.53004 -2.14321 MAarrowhead1
% End of user PostScript
0 1 .598 r
.07692 .17949 m
.07838 .16846 L
s
% Start of user PostScript
-2.53846 -1.92308 -2.52972 -1.98922 MAarrowhead1
% End of user PostScript
0 1 .593 r
.07692 .20513 m
.0784 .19413 L
s
% Start of user PostScript
-2.53846 -1.76923 -2.52962 -1.83523 MAarrowhead1
% End of user PostScript
0 1 .587 r
.07692 .23077 m
.07838 .21979 L
s
% Start of user PostScript
-2.53846 -1.61538 -2.52974 -1.68124 MAarrowhead1
% End of user PostScript
0 1 .58 r
.07692 .25641 m
.07832 .24546 L
s
% Start of user PostScript
-2.53846 -1.46154 -2.53008 -1.52725 MAarrowhead1
% End of user PostScript
0 1 .572 r
.07692 .28205 m
.07823 .27112 L
s
% Start of user PostScript
-2.53846 -1.30769 -2.53064 -1.37326 MAarrowhead1
% End of user PostScript
0 1 .563 r
.07692 .30769 m
.0781 .29679 L
s
% Start of user PostScript
-2.53846 -1.15385 -2.53143 -1.21927 MAarrowhead1
% End of user PostScript
0 1 .553 r
.07692 .33333 m
.07793 .32245 L
s
% Start of user PostScript
-2.53846 -1. -2.53243 -1.06528 MAarrowhead1
% End of user PostScript
0 1 .544 r
.07692 .35897 m
.07772 .34812 L
s
% Start of user PostScript
-2.53846 -0.846154 -2.53365 -0.911295 MAarrowhead1
% End of user PostScript
0 1 .535 r
.07692 .38462 m
.07748 .37378 L
s
% Start of user PostScript
-2.53846 -0.692308 -2.5351 -0.757306 MAarrowhead1
% End of user PostScript
0 1 .526 r
.07692 .41026 m
.07721 .39945 L
s
% Start of user PostScript
-2.53846 -0.538462 -2.53676 -0.603316 MAarrowhead1
% End of user PostScript
0 1 .52 r
.07692 .4359 m
.07689 .42511 L
s
% Start of user PostScript
-2.53846 -0.384615 -2.53865 -0.449327 MAarrowhead1
% End of user PostScript
0 1 .516 r
.07692 .46154 m
.07654 .45078 L
s
% Start of user PostScript
-2.53846 -0.230769 -2.54075 -0.295337 MAarrowhead1
% End of user PostScript
0 1 .515 r
.07692 .48718 m
.07615 .47644 L
s
% Start of user PostScript
-2.53846 -0.0769231 -2.54308 -0.141348 MAarrowhead1
% End of user PostScript
0 1 .519 r
.07692 .51282 m
.07573 .50211 L
s
% Start of user PostScript
-2.53846 0.0769231 -2.54562 0.0126416 MAarrowhead1
% End of user PostScript
0 1 .527 r
.07692 .53846 m
.07527 .52777 L
s
% Start of user PostScript
-2.53846 0.230769 -2.54839 0.166631 MAarrowhead1
% End of user PostScript
0 1 .542 r
.07692 .5641 m
.07477 .55344 L
s
% Start of user PostScript
-2.53846 0.384615 -2.55138 0.32062 MAarrowhead1
% End of user PostScript
0 1 .565 r
.07692 .58974 m
.07424 .5791 L
s
% Start of user PostScript
-2.53846 0.538462 -2.55458 0.47461 MAarrowhead1
% End of user PostScript
0 1 .595 r
.07692 .61538 m
.07366 .60477 L
s
% Start of user PostScript
-2.53846 0.692308 -2.55801 0.628599 MAarrowhead1
% End of user PostScript
0 1 .635 r
.07692 .64103 m
.07306 .63043 L
s
% Start of user PostScript
-2.53846 0.846154 -2.56166 0.782589 MAarrowhead1
% End of user PostScript
0 1 .686 r
.07692 .66667 m
.07241 .6561 L
s
% Start of user PostScript
-2.53846 1. -2.56553 0.936578 MAarrowhead1
% End of user PostScript
0 1 .747 r
.07692 .69231 m
.07173 .68176 L
s
% Start of user PostScript
-2.53846 1.15385 -2.56962 1.09057 MAarrowhead1
% End of user PostScript
0 1 .821 r
.07692 .71795 m
.07101 .70743 L
s
% Start of user PostScript
-2.53846 1.30769 -2.57393 1.24456 MAarrowhead1
% End of user PostScript
0 1 .907 r
.07692 .74359 m
.07026 .73309 L
s
% Start of user PostScript
-2.53846 1.46154 -2.57846 1.39855 MAarrowhead1
% End of user PostScript
0 .994 1 r
.07692 .76923 m
.06947 .75876 L
s
% Start of user PostScript
-2.53846 1.61538 -2.58321 1.55254 MAarrowhead1
% End of user PostScript
0 .882 1 r
.07692 .79487 m
.06864 .78442 L
s
% Start of user PostScript
-2.53846 1.76923 -2.58818 1.70653 MAarrowhead1
% End of user PostScript
0 .757 1 r
.07692 .82051 m
.06777 .81009 L
s
% Start of user PostScript
-2.53846 1.92308 -2.59337 1.86051 MAarrowhead1
% End of user PostScript
0 .618 1 r
.07692 .84615 m
.06687 .83575 L
s
% Start of user PostScript
-2.53846 2.07692 -2.59878 2.0145 MAarrowhead1
% End of user PostScript
0 .465 1 r
.07692 .87179 m
.06593 .86142 L
s
% Start of user PostScript
-2.53846 2.23077 -2.60442 2.16849 MAarrowhead1
% End of user PostScript
0 .299 1 r
.07692 .89744 m
.06496 .88708 L
s
% Start of user PostScript
-2.53846 2.38462 -2.61027 2.32248 MAarrowhead1
% End of user PostScript
0 .12 1 r
.07692 .92308 m
.06394 .91275 L
s
% Start of user PostScript
-2.53846 2.53846 -2.61634 2.47647 MAarrowhead1
% End of user PostScript
.072 0 1 r
.07692 .94872 m
.06289 .93841 L
s
% Start of user PostScript
-2.53846 2.69231 -2.62264 2.63046 MAarrowhead1
% End of user PostScript
.276 0 1 r
.07692 .97436 m
.06181 .96408 L
s
% Start of user PostScript
-2.53846 2.84615 -2.62915 2.78445 MAarrowhead1
% End of user PostScript
.493 0 1 r
.07692 1 m
.06069 .98974 L
s
% Start of user PostScript
-2.53846 3. -2.63588 2.93844 MAarrowhead1
% End of user PostScript
0 1 .134 r
.10256 0 m
0 0 rlineto s
% Start of user PostScript
-2.38462 -3. -2.38503 -3.05484 MAarrowhead1
% End of user PostScript
0 1 .129 r
.10256 .02564 m
.10279 .01653 L
s
% Start of user PostScript
-2.38462 -2.84615 -2.38323 -2.90085 MAarrowhead1
% End of user PostScript
0 1 .126 r
.10256 .05128 m
.10306 .04219 L
s
% Start of user PostScript
-2.38462 -2.69231 -2.38166 -2.74686 MAarrowhead1
% End of user PostScript
0 1 .124 r
.10256 .07692 m
.10328 .06786 L
s
% Start of user PostScript
-2.38462 -2.53846 -2.3803 -2.59287 MAarrowhead1
% End of user PostScript
0 1 .123 r
.10256 .10256 m
.10347 .09352 L
s
% Start of user PostScript
-2.38462 -2.38462 -2.37917 -2.43888 MAarrowhead1
% End of user PostScript
0 1 .121 r
.10256 .12821 m
.10362 .11919 L
s
% Start of user PostScript
-2.38462 -2.23077 -2.37825 -2.28489 MAarrowhead1
% End of user PostScript
0 1 .119 r
.10256 .15385 m
.10374 .14485 L
s
% Start of user PostScript
-2.38462 -2.07692 -2.37756 -2.1309 MAarrowhead1
% End of user PostScript
0 1 .116 r
.10256 .17949 m
.10382 .17051 L
s
% Start of user PostScript
-2.38462 -1.92308 -2.37708 -1.97691 MAarrowhead1
% End of user PostScript
0 1 .112 r
.10256 .20513 m
.10386 .19618 L
s
% Start of user PostScript
-2.38462 -1.76923 -2.37683 -1.82292 MAarrowhead1
% End of user PostScript
0 1 .106 r
.10256 .23077 m
.10387 .22184 L
s
% Start of user PostScript
-2.38462 -1.61538 -2.3768 -1.66893 MAarrowhead1
% End of user PostScript
0 1 .1 r
.10256 .25641 m
.10384 .24751 L
s
% Start of user PostScript
-2.38462 -1.46154 -2.37698 -1.51494 MAarrowhead1
% End of user PostScript
0 1 .092 r
.10256 .28205 m
.10377 .27317 L
s
% Start of user PostScript
-2.38462 -1.30769 -2.37739 -1.36095 MAarrowhead1
% End of user PostScript
0 1 .083 r
.10256 .30769 m
.10366 .29884 L
s
% Start of user PostScript
-2.38462 -1.15385 -2.37802 -1.20696 MAarrowhead1
% End of user PostScript
0 1 .074 r
.10256 .33333 m
.10352 .3245 L
s
% Start of user PostScript
-2.38462 -1. -2.37887 -1.05297 MAarrowhead1
% End of user PostScript
0 1 .064 r
.10256 .35897 m
.10334 .35017 L
s
% Start of user PostScript
-2.38462 -0.846154 -2.37994 -0.898984 MAarrowhead1
% End of user PostScript
0 1 .055 r
.10256 .38462 m
.10313 .37583 L
s
% Start of user PostScript
-2.38462 -0.692308 -2.38123 -0.744995 MAarrowhead1
% End of user PostScript
0 1 .046 r
.10256 .41026 m
.10288 .4015 L
s
% Start of user PostScript
-2.38462 -0.538462 -2.38274 -0.591005 MAarrowhead1
% End of user PostScript
0 1 .039 r
.10256 .4359 m
.10259 .42716 L
s
% Start of user PostScript
-2.38462 -0.384615 -2.38447 -0.437016 MAarrowhead1
% End of user PostScript
0 1 .035 r
.10256 .46154 m
.10226 .45283 L
s
% Start of user PostScript
-2.38462 -0.230769 -2.38642 -0.283026 MAarrowhead1
% End of user PostScript
0 1 .034 r
.10256 .48718 m
.1019 .47849 L
s
% Start of user PostScript
-2.38462 -0.0769231 -2.38859 -0.129037 MAarrowhead1
% End of user PostScript
0 1 .038 r
.10256 .51282 m
.1015 .50416 L
s
% Start of user PostScript
-2.38462 0.0769231 -2.39098 0.0249526 MAarrowhead1
% End of user PostScript
0 1 .047 r
.10256 .53846 m
.10107 .52982 L
s
% Start of user PostScript
-2.38462 0.230769 -2.3936 0.178942 MAarrowhead1
% End of user PostScript
0 1 .063 r
.10256 .5641 m
.1006 .55549 L
s
% Start of user PostScript
-2.38462 0.384615 -2.39643 0.332931 MAarrowhead1
% End of user PostScript
0 1 .088 r
.10256 .58974 m
.10009 .58115 L
s
% Start of user PostScript
-2.38462 0.538462 -2.39948 0.486921 MAarrowhead1
% End of user PostScript
0 1 .121 r
.10256 .61538 m
.09954 .60682 L
s
% Start of user PostScript
-2.38462 0.692308 -2.40275 0.64091 MAarrowhead1
% End of user PostScript
0 1 .165 r
.10256 .64103 m
.09896 .63248 L
s
% Start of user PostScript
-2.38462 0.846154 -2.40625 0.7949 MAarrowhead1
% End of user PostScript
0 1 .221 r
.10256 .66667 m
.09834 .65815 L
s
% Start of user PostScript
-2.38462 1. -2.40996 0.948889 MAarrowhead1
% End of user PostScript
0 1 .288 r
.10256 .69231 m
.09768 .68381 L
s
% Start of user PostScript
-2.38462 1.15385 -2.4139 1.10288 MAarrowhead1
% End of user PostScript
0 1 .369 r
.10256 .71795 m
.09699 .70948 L
s
% Start of user PostScript
-2.38462 1.30769 -2.41805 1.25687 MAarrowhead1
% End of user PostScript
0 1 .462 r
.10256 .74359 m
.09626 .73514 L
s
% Start of user PostScript
-2.38462 1.46154 -2.42243 1.41086 MAarrowhead1
% End of user PostScript
0 1 .569 r
.10256 .76923 m
.0955 .76081 L
s
% Start of user PostScript
-2.38462 1.61538 -2.42703 1.56485 MAarrowhead1
% End of user PostScript
0 1 .69 r
.10256 .79487 m
.09469 .78647 L
s
% Start of user PostScript
-2.38462 1.76923 -2.43184 1.71884 MAarrowhead1
% End of user PostScript
0 1 .824 r
.10256 .82051 m
.09385 .81214 L
s
% Start of user PostScript
-2.38462 1.92308 -2.43688 1.87283 MAarrowhead1
% End of user PostScript
0 1 .972 r
.10256 .84615 m
.09298 .8378 L
s
% Start of user PostScript
-2.38462 2.07692 -2.44214 2.02682 MAarrowhead1
% End of user PostScript
0 .867 1 r
.10256 .87179 m
.09206 .86347 L
s
% Start of user PostScript
-2.38462 2.23077 -2.44762 2.1808 MAarrowhead1
% End of user PostScript
0 .693 1 r
.10256 .89744 m
.09111 .88913 L
s
% Start of user PostScript
-2.38462 2.38462 -2.45331 2.33479 MAarrowhead1
% End of user PostScript
0 .507 1 r
.10256 .92308 m
.09013 .9148 L
s
% Start of user PostScript
-2.38462 2.53846 -2.45923 2.48878 MAarrowhead1
% End of user PostScript
0 .308 1 r
.10256 .94872 m
.0891 .94046 L
s
% Start of user PostScript
-2.38462 2.69231 -2.46537 2.64277 MAarrowhead1
% End of user PostScript
0 .097 1 r
.10256 .97436 m
.08804 .96613 L
s
% Start of user PostScript
-2.38462 2.84615 -2.47173 2.79676 MAarrowhead1
% End of user PostScript
.126 0 1 r
.10256 1 m
.08695 .99179 L
s
% Start of user PostScript
-2.38462 3. -2.47831 2.95075 MAarrowhead1
% End of user PostScript
.281 1 0 r
.12821 0 m
0 0 rlineto s
% Start of user PostScript
-2.23077 -3. -2.23348 -3.0441 MAarrowhead1
% End of user PostScript
.29 1 0 r
.12821 .02564 m
.12808 .01831 L
s
% Start of user PostScript
-2.23077 -2.84615 -2.23153 -2.89011 MAarrowhead1
% End of user PostScript
.295 1 0 r
.12821 .05128 m
.12837 .04398 L
s
% Start of user PostScript
-2.23077 -2.69231 -2.2298 -2.73612 MAarrowhead1
% End of user PostScript
.299 1 0 r
.12821 .07692 m
.12862 .06964 L
s
% Start of user PostScript
-2.23077 -2.53846 -2.22829 -2.58213 MAarrowhead1
% End of user PostScript
.301 1 0 r
.12821 .10256 m
.12883 .09531 L
s
% Start of user PostScript
-2.23077 -2.38462 -2.227 -2.42814 MAarrowhead1
% End of user PostScript
.302 1 0 r
.12821 .12821 m
.12901 .12097 L
s
% Start of user PostScript
-2.23077 -2.23077 -2.22593 -2.27416 MAarrowhead1
% End of user PostScript
.304 1 0 r
.12821 .15385 m
.12915 .14664 L
s
% Start of user PostScript
-2.23077 -2.07692 -2.22508 -2.12017 MAarrowhead1
% End of user PostScript
.306 1 0 r
.12821 .17949 m
.12926 .1723 L
s
% Start of user PostScript
-2.23077 -1.92308 -2.22445 -1.96618 MAarrowhead1
% End of user PostScript
.309 1 0 r
.12821 .20513 m
.12933 .19797 L
s
% Start of user PostScript
-2.23077 -1.76923 -2.22404 -1.81219 MAarrowhead1
% End of user PostScript
.313 1 0 r
.12821 .23077 m
.12936 .22363 L
s
% Start of user PostScript
-2.23077 -1.61538 -2.22385 -1.6582 MAarrowhead1
% End of user PostScript
.319 1 0 r
.12821 .25641 m
.12935 .2493 L
s
% Start of user PostScript
-2.23077 -1.46154 -2.22389 -1.50421 MAarrowhead1
% End of user PostScript
.326 1 0 r
.12821 .28205 m
.12931 .27496 L
s
% Start of user PostScript
-2.23077 -1.30769 -2.22414 -1.35022 MAarrowhead1
% End of user PostScript
.334 1 0 r
.12821 .30769 m
.12923 .30063 L
s
% Start of user PostScript
-2.23077 -1.15385 -2.22462 -1.19623 MAarrowhead1
% End of user PostScript
.344 1 0 r
.12821 .33333 m
.12912 .32629 L
s
% Start of user PostScript
-2.23077 -1. -2.22531 -1.04224 MAarrowhead1
% End of user PostScript
.353 1 0 r
.12821 .35897 m
.12896 .35196 L
s
% Start of user PostScript
-2.23077 -0.846154 -2.22622 -0.88825 MAarrowhead1
% End of user PostScript
.363 1 0 r
.12821 .38462 m
.12877 .37762 L
s
% Start of user PostScript
-2.23077 -0.692308 -2.22736 -0.734261 MAarrowhead1
% End of user PostScript
.372 1 0 r
.12821 .41026 m
.12855 .40329 L
s
% Start of user PostScript
-2.23077 -0.538462 -2.22872 -0.580271 MAarrowhead1
% End of user PostScript
.38 1 0 r
.12821 .4359 m
.12828 .42895 L
s
% Start of user PostScript
-2.23077 -0.384615 -2.23029 -0.426282 MAarrowhead1
% End of user PostScript
.385 1 0 r
.12821 .46154 m
.12799 .45462 L
s
% Start of user PostScript
-2.23077 -0.230769 -2.23209 -0.272292 MAarrowhead1
% End of user PostScript
.386 1 0 r
.12821 .48718 m
.12765 .48028 L
s
% Start of user PostScript
-2.23077 -0.0769231 -2.23411 -0.118303 MAarrowhead1
% End of user PostScript
.382 1 0 r
.12821 .51282 m
.12728 .50595 L
s
% Start of user PostScript
-2.23077 0.0769231 -2.23634 0.0356866 MAarrowhead1
% End of user PostScript
.372 1 0 r
.12821 .53846 m
.12687 .53161 L
s
% Start of user PostScript
-2.23077 0.230769 -2.2388 0.189676 MAarrowhead1
% End of user PostScript
.354 1 0 r
.12821 .5641 m
.12642 .55728 L
s
% Start of user PostScript
-2.23077 0.384615 -2.24148 0.343665 MAarrowhead1
% End of user PostScript
.327 1 0 r
.12821 .58974 m
.12594 .58294 L
s
% Start of user PostScript
-2.23077 0.538462 -2.24438 0.497655 MAarrowhead1
% End of user PostScript
.29 1 0 r
.12821 .61538 m
.12542 .60861 L
s
% Start of user PostScript
-2.23077 0.692308 -2.2475 0.651644 MAarrowhead1
% End of user PostScript
.241 1 0 r
.12821 .64103 m
.12486 .63427 L
s
% Start of user PostScript
-2.23077 0.846154 -2.25084 0.805634 MAarrowhead1
% End of user PostScript
.18 1 0 r
.12821 .66667 m
.12427 .65994 L
s
% Start of user PostScript
-2.23077 1. -2.2544 0.959623 MAarrowhead1
% End of user PostScript
.106 1 0 r
.12821 .69231 m
.12364 .6856 L
s
% Start of user PostScript
-2.23077 1.15385 -2.25818 1.11361 MAarrowhead1
% End of user PostScript
.018 1 0 r
.12821 .71795 m
.12297 .71127 L
s
% Start of user PostScript
-2.23077 1.30769 -2.26218 1.2676 MAarrowhead1
% End of user PostScript
0 1 .083 r
.12821 .74359 m
.12227 .73693 L
s
% Start of user PostScript
-2.23077 1.46154 -2.2664 1.42159 MAarrowhead1
% End of user PostScript
0 1 .199 r
.12821 .76923 m
.12153 .7626 L
s
% Start of user PostScript
-2.23077 1.61538 -2.27084 1.57558 MAarrowhead1
% End of user PostScript
0 1 .328 r
.12821 .79487 m
.12075 .78826 L
s
% Start of user PostScript
-2.23077 1.76923 -2.27551 1.72957 MAarrowhead1
% End of user PostScript
0 1 .47 r
.12821 .82051 m
.11994 .81393 L
s
% Start of user PostScript
-2.23077 1.92308 -2.28039 1.88356 MAarrowhead1
% End of user PostScript
0 1 .626 r
.12821 .84615 m
.11908 .83959 L
s
% Start of user PostScript
-2.23077 2.07692 -2.28549 2.03755 MAarrowhead1
% End of user PostScript
0 1 .794 r
.12821 .87179 m
.1182 .86526 L
s
% Start of user PostScript
-2.23077 2.23077 -2.29082 2.19154 MAarrowhead1
% End of user PostScript
0 1 .974 r
.12821 .89744 m
.11727 .89092 L
s
% Start of user PostScript
-2.23077 2.38462 -2.29636 2.34553 MAarrowhead1
% End of user PostScript
0 .833 1 r
.12821 .92308 m
.11631 .91659 L
s
% Start of user PostScript
-2.23077 2.53846 -2.30212 2.49952 MAarrowhead1
% End of user PostScript
0 .628 1 r
.12821 .94872 m
.11532 .94225 L
s
% Start of user PostScript
-2.23077 2.69231 -2.30811 2.65351 MAarrowhead1
% End of user PostScript
0 .412 1 r
.12821 .97436 m
.11428 .96792 L
s
% Start of user PostScript
-2.23077 2.84615 -2.31431 2.8075 MAarrowhead1
% End of user PostScript
0 .186 1 r
.12821 1 m
.11321 .99358 L
s
% Start of user PostScript
-2.23077 3. -2.32074 2.96149 MAarrowhead1
% End of user PostScript
.632 1 0 r
.15385 0 m
0 0 rlineto s
% Start of user PostScript
-2.07692 -3. -2.08192 -3.03484 MAarrowhead1
% End of user PostScript
.647 1 0 r
.15385 .02564 m
.15336 .01986 L
s
% Start of user PostScript
-2.07692 -2.84615 -2.07982 -2.88085 MAarrowhead1
% End of user PostScript
.657 1 0 r
.15385 .05128 m
.15368 .04552 L
s
% Start of user PostScript
-2.07692 -2.69231 -2.07793 -2.72686 MAarrowhead1
% End of user PostScript
.663 1 0 r
.15385 .07692 m
.15396 .07119 L
s
% Start of user PostScript
-2.07692 -2.53846 -2.07627 -2.57288 MAarrowhead1
% End of user PostScript
.666 1 0 r
.15385 .10256 m
.1542 .09685 L
s
% Start of user PostScript
-2.07692 -2.38462 -2.07483 -2.41889 MAarrowhead1
% End of user PostScript
.668 1 0 r
.15385 .12821 m
.1544 .12252 L
s
% Start of user PostScript
-2.07692 -2.23077 -2.0736 -2.2649 MAarrowhead1
% End of user PostScript
.669 1 0 r
.15385 .15385 m
.15457 .14818 L
s
% Start of user PostScript
-2.07692 -2.07692 -2.0726 -2.11091 MAarrowhead1
% End of user PostScript
.67 1 0 r
.15385 .17949 m
.1547 .17385 L
s
% Start of user PostScript
-2.07692 -1.92308 -2.07182 -1.95692 MAarrowhead1
% End of user PostScript
.672 1 0 r
.15385 .20513 m
.15479 .19951 L
s
% Start of user PostScript
-2.07692 -1.76923 -2.07125 -1.80293 MAarrowhead1
% End of user PostScript
.676 1 0 r
.15385 .23077 m
.15485 .22518 L
s
% Start of user PostScript
-2.07692 -1.61538 -2.07091 -1.64894 MAarrowhead1
% End of user PostScript
.68 1 0 r
.15385 .25641 m
.15487 .25084 L
s
% Start of user PostScript
-2.07692 -1.46154 -2.07079 -1.49495 MAarrowhead1
% End of user PostScript
.687 1 0 r
.15385 .28205 m
.15485 .27651 L
s
% Start of user PostScript
-2.07692 -1.30769 -2.07089 -1.34096 MAarrowhead1
% End of user PostScript
.694 1 0 r
.15385 .30769 m
.1548 .30217 L
s
% Start of user PostScript
-2.07692 -1.15385 -2.07121 -1.18697 MAarrowhead1
% End of user PostScript
.703 1 0 r
.15385 .33333 m
.15471 .32784 L
s
% Start of user PostScript
-2.07692 -1. -2.07175 -1.03298 MAarrowhead1
% End of user PostScript
.713 1 0 r
.15385 .35897 m
.15458 .3535 L
s
% Start of user PostScript
-2.07692 -0.846154 -2.07251 -0.878991 MAarrowhead1
% End of user PostScript
.723 1 0 r
.15385 .38462 m
.15442 .37917 L
s
% Start of user PostScript
-2.07692 -0.692308 -2.07349 -0.725002 MAarrowhead1
% End of user PostScript
.733 1 0 r
.15385 .41026 m
.15422 .40483 L
s
% Start of user PostScript
-2.07692 -0.538462 -2.07469 -0.571012 MAarrowhead1
% End of user PostScript
.741 1 0 r
.15385 .4359 m
.15398 .4305 L
s
% Start of user PostScript
-2.07692 -0.384615 -2.07612 -0.417023 MAarrowhead1
% End of user PostScript
.746 1 0 r
.15385 .46154 m
.15371 .45616 L
s
% Start of user PostScript
-2.07692 -0.230769 -2.07776 -0.263034 MAarrowhead1
% End of user PostScript
.748 1 0 r
.15385 .48718 m
.1534 .48183 L
s
% Start of user PostScript
-2.07692 -0.0769231 -2.07962 -0.109044 MAarrowhead1
% End of user PostScript
.744 1 0 r
.15385 .51282 m
.15305 .50749 L
s
% Start of user PostScript
-2.07692 0.0769231 -2.0817 0.0449453 MAarrowhead1
% End of user PostScript
.733 1 0 r
.15385 .53846 m
.15267 .53316 L
s
% Start of user PostScript
-2.07692 0.230769 -2.08401 0.198935 MAarrowhead1
% End of user PostScript
.714 1 0 r
.15385 .5641 m
.15224 .55882 L
s
% Start of user PostScript
-2.07692 0.384615 -2.08653 0.352924 MAarrowhead1
% End of user PostScript
.684 1 0 r
.15385 .58974 m
.15179 .58449 L
s
% Start of user PostScript
-2.07692 0.538462 -2.08928 0.506914 MAarrowhead1
% End of user PostScript
.642 1 0 r
.15385 .61538 m
.15129 .61015 L
s
% Start of user PostScript
-2.07692 0.692308 -2.09224 0.660903 MAarrowhead1
% End of user PostScript
.588 1 0 r
.15385 .64103 m
.15076 .63582 L
s
% Start of user PostScript
-2.07692 0.846154 -2.09543 0.814893 MAarrowhead1
% End of user PostScript
.521 1 0 r
.15385 .66667 m
.15019 .66148 L
s
% Start of user PostScript
-2.07692 1. -2.09883 0.968882 MAarrowhead1
% End of user PostScript
.439 1 0 r
.15385 .69231 m
.14959 .68715 L
s
% Start of user PostScript
-2.07692 1.15385 -2.10246 1.12287 MAarrowhead1
% End of user PostScript
.344 1 0 r
.15385 .71795 m
.14895 .71281 L
s
% Start of user PostScript
-2.07692 1.30769 -2.10631 1.27686 MAarrowhead1
% End of user PostScript
.234 1 0 r
.15385 .74359 m
.14827 .73848 L
s
% Start of user PostScript
-2.07692 1.46154 -2.11037 1.43085 MAarrowhead1
% End of user PostScript
.111 1 0 r
.15385 .76923 m
.14756 .76414 L
s
% Start of user PostScript
-2.07692 1.61538 -2.11466 1.58484 MAarrowhead1
% End of user PostScript
0 1 .026 r
.15385 .79487 m
.14681 .7898 L
s
% Start of user PostScript
-2.07692 1.76923 -2.11917 1.73883 MAarrowhead1
% End of user PostScript
0 1 .175 r
.15385 .82051 m
.14602 .81547 L
s
% Start of user PostScript
-2.07692 1.92308 -2.1239 1.89282 MAarrowhead1
% End of user PostScript
0 1 .337 r
.15385 .84615 m
.14519 .84113 L
s
% Start of user PostScript
-2.07692 2.07692 -2.12885 2.04681 MAarrowhead1
% End of user PostScript
0 1 .511 r
.15385 .87179 m
.14433 .8668 L
s
% Start of user PostScript
-2.07692 2.23077 -2.13402 2.2008 MAarrowhead1
% End of user PostScript
0 1 .697 r
.15385 .89744 m
.14343 .89246 L
s
% Start of user PostScript
-2.07692 2.38462 -2.13941 2.35479 MAarrowhead1
% End of user PostScript
0 1 .894 r
.15385 .92308 m
.1425 .91813 L
s
% Start of user PostScript
-2.07692 2.53846 -2.14502 2.50878 MAarrowhead1
% End of user PostScript
0 .898 1 r
.15385 .94872 m
.14153 .94379 L
s
% Start of user PostScript
-2.07692 2.69231 -2.15085 2.66277 MAarrowhead1
% End of user PostScript
0 .68 1 r
.15385 .97436 m
.14052 .96946 L
s
% Start of user PostScript
-2.07692 2.84615 -2.1569 2.81676 MAarrowhead1
% End of user PostScript
0 .451 1 r
.15385 1 m
.13947 .99512 L
s
% Start of user PostScript
-2.07692 3. -2.16317 2.97074 MAarrowhead1
% End of user PostScript
.916 1 0 r
.17949 0 m
0 0 rlineto s
% Start of user PostScript
-1.92308 -3. -1.93037 -3.02696 MAarrowhead1
% End of user PostScript
.941 1 0 r
.17949 .02564 m
.17865 .02117 L
s
% Start of user PostScript
-1.92308 -2.84615 -1.92811 -2.87297 MAarrowhead1
% End of user PostScript
.959 1 0 r
.17949 .05128 m
.17899 .04684 L
s
% Start of user PostScript
-1.92308 -2.69231 -1.92607 -2.71898 MAarrowhead1
% End of user PostScript
.97 1 0 r
.17949 .07692 m
.17929 .0725 L
s
% Start of user PostScript
-1.92308 -2.53846 -1.92425 -2.56499 MAarrowhead1
% End of user PostScript
.976 1 0 r
.17949 .10256 m
.17956 .09817 L
s
% Start of user PostScript
-1.92308 -2.38462 -1.92265 -2.411 MAarrowhead1
% End of user PostScript
.98 1 0 r
.17949 .12821 m
.17979 .12383 L
s
% Start of user PostScript
-1.92308 -2.23077 -1.92128 -2.25701 MAarrowhead1
% End of user PostScript
.981 1 0 r
.17949 .15385 m
.17998 .1495 L
s
% Start of user PostScript
-1.92308 -2.07692 -1.92012 -2.10302 MAarrowhead1
% End of user PostScript
.982 1 0 r
.17949 .17949 m
.18014 .17516 L
s
% Start of user PostScript
-1.92308 -1.92308 -1.91918 -1.94903 MAarrowhead1
% End of user PostScript
.983 1 0 r
.17949 .20513 m
.18026 .20083 L
s
% Start of user PostScript
-1.92308 -1.76923 -1.91847 -1.79504 MAarrowhead1
% End of user PostScript
.985 1 0 r
.17949 .23077 m
.18034 .22649 L
s
% Start of user PostScript
-1.92308 -1.61538 -1.91797 -1.64105 MAarrowhead1
% End of user PostScript
.988 1 0 r
.17949 .25641 m
.18038 .25216 L
s
% Start of user PostScript
-1.92308 -1.46154 -1.91769 -1.48706 MAarrowhead1
% End of user PostScript
.993 1 0 r
.17949 .28205 m
.18039 .27782 L
s
% Start of user PostScript
-1.92308 -1.30769 -1.91764 -1.33307 MAarrowhead1
% End of user PostScript
1 1 0 r
.17949 .30769 m
.18037 .30349 L
s
% Start of user PostScript
-1.92308 -1.15385 -1.9178 -1.17909 MAarrowhead1
% End of user PostScript
1 .992 0 r
.17949 .33333 m
.1803 .32915 L
s
% Start of user PostScript
-1.92308 -1. -1.91819 -1.0251 MAarrowhead1
% End of user PostScript
1 .982 0 r
.17949 .35897 m
.1802 .35482 L
s
% Start of user PostScript
-1.92308 -0.846154 -1.9188 -0.871106 MAarrowhead1
% End of user PostScript
1 .971 0 r
.17949 .38462 m
.18006 .38048 L
s
% Start of user PostScript
-1.92308 -0.692308 -1.91962 -0.717117 MAarrowhead1
% End of user PostScript
1 .961 0 r
.17949 .41026 m
.17989 .40615 L
s
% Start of user PostScript
-1.92308 -0.538462 -1.92067 -0.563127 MAarrowhead1
% End of user PostScript
1 .952 0 r
.17949 .4359 m
.17968 .43181 L
s
% Start of user PostScript
-1.92308 -0.384615 -1.92194 -0.409138 MAarrowhead1
% End of user PostScript
1 .945 0 r
.17949 .46154 m
.17943 .45748 L
s
% Start of user PostScript
-1.92308 -0.230769 -1.92343 -0.255148 MAarrowhead1
% End of user PostScript
1 .943 0 r
.17949 .48718 m
.17914 .48314 L
s
% Start of user PostScript
-1.92308 -0.0769231 -1.92513 -0.101159 MAarrowhead1
% End of user PostScript
1 .947 0 r
.17949 .51282 m
.17882 .50881 L
s
% Start of user PostScript
-1.92308 0.0769231 -1.92706 0.0528305 MAarrowhead1
% End of user PostScript
1 .959 0 r
.17949 .53846 m
.17846 .53447 L
s
% Start of user PostScript
-1.92308 0.230769 -1.92921 0.20682 MAarrowhead1
% End of user PostScript
1 .98 0 r
.17949 .5641 m
.17807 .56013 L
s
% Start of user PostScript
-1.92308 0.384615 -1.93158 0.360809 MAarrowhead1
% End of user PostScript
.986 1 0 r
.17949 .58974 m
.17764 .5858 L
s
% Start of user PostScript
-1.92308 0.538462 -1.93417 0.514799 MAarrowhead1
% End of user PostScript
.94 1 0 r
.17949 .61538 m
.17717 .61146 L
s
% Start of user PostScript
-1.92308 0.692308 -1.93698 0.668788 MAarrowhead1
% End of user PostScript
.879 1 0 r
.17949 .64103 m
.17666 .63713 L
s
% Start of user PostScript
-1.92308 0.846154 -1.94001 0.822778 MAarrowhead1
% End of user PostScript
.805 1 0 r
.17949 .66667 m
.17612 .66279 L
s
% Start of user PostScript
-1.92308 1. -1.94327 0.976767 MAarrowhead1
% End of user PostScript
.716 1 0 r
.17949 .69231 m
.17554 .68846 L
s
% Start of user PostScript
-1.92308 1.15385 -1.94674 1.13076 MAarrowhead1
% End of user PostScript
.613 1 0 r
.17949 .71795 m
.17493 .71412 L
s
% Start of user PostScript
-1.92308 1.30769 -1.95043 1.28475 MAarrowhead1
% End of user PostScript
.496 1 0 r
.17949 .74359 m
.17428 .73979 L
s
% Start of user PostScript
-1.92308 1.46154 -1.95434 1.43874 MAarrowhead1
% End of user PostScript
.366 1 0 r
.17949 .76923 m
.17359 .76545 L
s
% Start of user PostScript
-1.92308 1.61538 -1.95848 1.59272 MAarrowhead1
% End of user PostScript
.223 1 0 r
.17949 .79487 m
.17286 .79112 L
s
% Start of user PostScript
-1.92308 1.76923 -1.96283 1.74671 MAarrowhead1
% End of user PostScript
.068 1 0 r
.17949 .82051 m
.1721 .81678 L
s
% Start of user PostScript
-1.92308 1.92308 -1.96741 1.9007 MAarrowhead1
% End of user PostScript
0 1 .099 r
.17949 .84615 m
.1713 .84245 L
s
% Start of user PostScript
-1.92308 2.07692 -1.9722 2.05469 MAarrowhead1
% End of user PostScript
0 1 .276 r
.17949 .87179 m
.17046 .86811 L
s
% Start of user PostScript
-1.92308 2.23077 -1.97722 2.20868 MAarrowhead1
% End of user PostScript
0 1 .465 r
.17949 .89744 m
.16959 .89378 L
s
% Start of user PostScript
-1.92308 2.38462 -1.98245 2.36267 MAarrowhead1
% End of user PostScript
0 1 .664 r
.17949 .92308 m
.16868 .91944 L
s
% Start of user PostScript
-1.92308 2.53846 -1.98791 2.51666 MAarrowhead1
% End of user PostScript
0 1 .873 r
.17949 .94872 m
.16774 .94511 L
s
% Start of user PostScript
-1.92308 2.69231 -1.99358 2.67065 MAarrowhead1
% End of user PostScript
0 .908 1 r
.17949 .97436 m
.16675 .97077 L
s
% Start of user PostScript
-1.92308 2.84615 -1.99948 2.82464 MAarrowhead1
% End of user PostScript
0 .678 1 r
.17949 1 m
.16573 .99644 L
s
% Start of user PostScript
-1.92308 3. -2.0056 2.97863 MAarrowhead1
% End of user PostScript
1 .872 0 r
.20513 0 m
0 0 rlineto s
% Start of user PostScript
-1.76923 -3. -1.77882 -3.02035 MAarrowhead1
% End of user PostScript
1 .83 0 r
.20513 .02564 m
.20393 .02227 L
s
% Start of user PostScript
-1.76923 -2.84615 -1.7764 -2.86636 MAarrowhead1
% End of user PostScript
1 .8 0 r
.20513 .05128 m
.2043 .04794 L
s
% Start of user PostScript
-1.76923 -2.69231 -1.77421 -2.71237 MAarrowhead1
% End of user PostScript
1 .78 0 r
.20513 .07692 m
.20463 .0736 L
s
% Start of user PostScript
-1.76923 -2.53846 -1.77224 -2.55838 MAarrowhead1
% End of user PostScript
1 .767 0 r
.20513 .10256 m
.20492 .09927 L
s
% Start of user PostScript
-1.76923 -2.38462 -1.77048 -2.40439 MAarrowhead1
% End of user PostScript
1 .76 0 r
.20513 .12821 m
.20517 .12493 L
s
% Start of user PostScript
-1.76923 -2.23077 -1.76895 -2.2504 MAarrowhead1
% End of user PostScript
1 .757 0 r
.20513 .15385 m
.20539 .1506 L
s
% Start of user PostScript
-1.76923 -2.07692 -1.76764 -2.09641 MAarrowhead1
% End of user PostScript
1 .756 0 r
.20513 .17949 m
.20558 .17626 L
s
% Start of user PostScript
-1.76923 -1.92308 -1.76655 -1.94242 MAarrowhead1
% End of user PostScript
.20513 .20513 m
.20572 .20193 L
s
% Start of user PostScript
-1.76923 -1.76923 -1.76568 -1.78843 MAarrowhead1
% End of user PostScript
1 .755 0 r
.20513 .23077 m
.20583 .22759 L
s
% Start of user PostScript
-1.76923 -1.61538 -1.76503 -1.63444 MAarrowhead1
% End of user PostScript
1 .754 0 r
.20513 .25641 m
.2059 .25326 L
s
% Start of user PostScript
-1.76923 -1.46154 -1.7646 -1.48045 MAarrowhead1
% End of user PostScript
1 .75 0 r
.20513 .28205 m
.20594 .27892 L
s
% Start of user PostScript
-1.76923 -1.30769 -1.76439 -1.32646 MAarrowhead1
% End of user PostScript
1 .745 0 r
.20513 .30769 m
.20593 .30459 L
s
% Start of user PostScript
-1.76923 -1.15385 -1.7644 -1.17247 MAarrowhead1
% End of user PostScript
1 .737 0 r
.20513 .33333 m
.20589 .33025 L
s
% Start of user PostScript
-1.76923 -1. -1.76463 -1.01848 MAarrowhead1
% End of user PostScript
1 .728 0 r
.20513 .35897 m
.20582 .35592 L
s
% Start of user PostScript
-1.76923 -0.846154 -1.76508 -0.864493 MAarrowhead1
% End of user PostScript
1 .717 0 r
.20513 .38462 m
.20571 .38158 L
s
% Start of user PostScript
-1.76923 -0.692308 -1.76576 -0.710503 MAarrowhead1
% End of user PostScript
1 .705 0 r
.20513 .41026 m
.20556 .40725 L
s
% Start of user PostScript
-1.76923 -0.538462 -1.76665 -0.556514 MAarrowhead1
% End of user PostScript
1 .695 0 r
.20513 .4359 m
.20537 .43291 L
s
% Start of user PostScript
-1.76923 -0.384615 -1.76776 -0.402524 MAarrowhead1
% End of user PostScript
1 .687 0 r
.20513 .46154 m
.20515 .45858 L
s
% Start of user PostScript
-1.76923 -0.230769 -1.7691 -0.248535 MAarrowhead1
% End of user PostScript
1 .684 0 r
.20513 .48718 m
.20489 .48424 L
s
% Start of user PostScript
-1.76923 -0.0769231 -1.77065 -0.0945456 MAarrowhead1
% End of user PostScript
1 .687 0 r
.20513 .51282 m
.2046 .50991 L
s
% Start of user PostScript
-1.76923 0.0769231 -1.77242 0.0594439 MAarrowhead1
% End of user PostScript
1 .7 0 r
.20513 .53846 m
.20426 .53557 L
s
% Start of user PostScript
-1.76923 0.230769 -1.77442 0.213433 MAarrowhead1
% End of user PostScript
1 .724 0 r
.20513 .5641 m
.20389 .56124 L
s
% Start of user PostScript
-1.76923 0.384615 -1.77663 0.367423 MAarrowhead1
% End of user PostScript
1 .762 0 r
.20513 .58974 m
.20349 .5869 L
s
% Start of user PostScript
-1.76923 0.538462 -1.77907 0.521412 MAarrowhead1
% End of user PostScript
1 .814 0 r
.20513 .61538 m
.20305 .61257 L
s
% Start of user PostScript
-1.76923 0.692308 -1.78173 0.675402 MAarrowhead1
% End of user PostScript
1 .881 0 r
.20513 .64103 m
.20257 .63823 L
s
% Start of user PostScript
-1.76923 0.846154 -1.7846 0.829391 MAarrowhead1
% End of user PostScript
1 .964 0 r
.20513 .66667 m
.20205 .6639 L
s
% Start of user PostScript
-1.76923 1. -1.7877 0.983381 MAarrowhead1
% End of user PostScript
.94 1 0 r
.20513 .69231 m
.2015 .68956 L
s
% Start of user PostScript
-1.76923 1.15385 -1.79102 1.13737 MAarrowhead1
% End of user PostScript
.83 1 0 r
.20513 .71795 m
.20091 .71523 L
s
% Start of user PostScript
-1.76923 1.30769 -1.79456 1.29136 MAarrowhead1
% End of user PostScript
.707 1 0 r
.20513 .74359 m
.20028 .74089 L
s
% Start of user PostScript
-1.76923 1.46154 -1.79832 1.44535 MAarrowhead1
% End of user PostScript
.572 1 0 r
.20513 .76923 m
.19962 .76656 L
s
% Start of user PostScript
-1.76923 1.61538 -1.80229 1.59934 MAarrowhead1
% End of user PostScript
.425 1 0 r
.20513 .79487 m
.19892 .79222 L
s
% Start of user PostScript
-1.76923 1.76923 -1.80649 1.75333 MAarrowhead1
% End of user PostScript
.267 1 0 r
.20513 .82051 m
.19818 .81789 L
s
% Start of user PostScript
-1.76923 1.92308 -1.81091 1.90732 MAarrowhead1
% End of user PostScript
.098 1 0 r
.20513 .84615 m
.19741 .84355 L
s
% Start of user PostScript
-1.76923 2.07692 -1.81555 2.06131 MAarrowhead1
% End of user PostScript
0 1 .081 r
.20513 .87179 m
.1966 .86922 L
s
% Start of user PostScript
-1.76923 2.23077 -1.82041 2.2153 MAarrowhead1
% End of user PostScript
0 1 .27 r
.20513 .89744 m
.19575 .89488 L
s
% Start of user PostScript
-1.76923 2.38462 -1.8255 2.36929 MAarrowhead1
% End of user PostScript
0 1 .469 r
.20513 .92308 m
.19487 .92055 L
s
% Start of user PostScript
-1.76923 2.53846 -1.8308 2.52327 MAarrowhead1
% End of user PostScript
0 1 .678 r
.20513 .94872 m
.19395 .94621 L
s
% Start of user PostScript
-1.76923 2.69231 -1.83632 2.67726 MAarrowhead1
% End of user PostScript
0 1 .896 r
.20513 .97436 m
.19299 .97188 L
s
% Start of user PostScript
-1.76923 2.84615 -1.84206 2.83125 MAarrowhead1
% End of user PostScript
0 .877 1 r
.20513 1 m
.192 .99754 L
s
% Start of user PostScript
-1.76923 3. -1.84803 2.98524 MAarrowhead1
% End of user PostScript
1 .737 0 r
.23077 0 m
0 0 rlineto s
% Start of user PostScript
-1.61538 -3. -1.62726 -3.0149 MAarrowhead1
% End of user PostScript
1 .675 0 r
.23077 .02564 m
.22922 .02318 L
s
% Start of user PostScript
-1.61538 -2.84615 -1.6247 -2.86091 MAarrowhead1
% End of user PostScript
1 .626 0 r
.23077 .05128 m
.22961 .04885 L
s
% Start of user PostScript
-1.61538 -2.69231 -1.62235 -2.70692 MAarrowhead1
% End of user PostScript
1 .589 0 r
.23077 .07692 m
.22996 .07451 L
s
% Start of user PostScript
-1.61538 -2.53846 -1.62022 -2.55293 MAarrowhead1
% End of user PostScript
1 .564 0 r
.23077 .10256 m
.23028 .10018 L
s
% Start of user PostScript
-1.61538 -2.38462 -1.61831 -2.39894 MAarrowhead1
% End of user PostScript
1 .549 0 r
.23077 .12821 m
.23056 .12584 L
s
% Start of user PostScript
-1.61538 -2.23077 -1.61663 -2.24495 MAarrowhead1
% End of user PostScript
1 .542 0 r
.23077 .15385 m
.23081 .15151 L
s
% Start of user PostScript
-1.61538 -2.07692 -1.61516 -2.09097 MAarrowhead1
% End of user PostScript
1 .539 0 r
.23077 .17949 m
.23101 .17717 L
s
% Start of user PostScript
-1.61538 -1.92308 -1.61392 -1.93698 MAarrowhead1
% End of user PostScript
.23077 .20513 m
.23118 .20284 L
s
% Start of user PostScript
-1.61538 -1.76923 -1.61289 -1.78299 MAarrowhead1
% End of user PostScript
1 .54 0 r
.23077 .23077 m
.23132 .2285 L
s
% Start of user PostScript
-1.61538 -1.61538 -1.61209 -1.629 MAarrowhead1
% End of user PostScript
1 .541 0 r
.23077 .25641 m
.23142 .25417 L
s
% Start of user PostScript
-1.61538 -1.46154 -1.6115 -1.47501 MAarrowhead1
% End of user PostScript
1 .539 0 r
.23077 .28205 m
.23148 .27983 L
s
% Start of user PostScript
-1.61538 -1.30769 -1.61114 -1.32102 MAarrowhead1
% End of user PostScript
1 .536 0 r
.23077 .30769 m
.2315 .3055 L
s
% Start of user PostScript
-1.61538 -1.15385 -1.61099 -1.16703 MAarrowhead1
% End of user PostScript
1 .53 0 r
.23077 .33333 m
.23149 .33116 L
s
% Start of user PostScript
-1.61538 -1. -1.61107 -1.01304 MAarrowhead1
% End of user PostScript
1 .521 0 r
.23077 .35897 m
.23144 .35683 L
s
% Start of user PostScript
-1.61538 -0.846154 -1.61137 -0.859049 MAarrowhead1
% End of user PostScript
1 .51 0 r
.23077 .38462 m
.23135 .38249 L
s
% Start of user PostScript
-1.61538 -0.692308 -1.61189 -0.70506 MAarrowhead1
% End of user PostScript
1 .497 0 r
.23077 .41026 m
.23123 .40815 L
s
% Start of user PostScript
-1.61538 -0.538462 -1.61263 -0.551071 MAarrowhead1
% End of user PostScript
1 .485 0 r
.23077 .4359 m
.23107 .43382 L
s
% Start of user PostScript
-1.61538 -0.384615 -1.61358 -0.397081 MAarrowhead1
% End of user PostScript
1 .475 0 r
.23077 .46154 m
.23087 .45948 L
s
% Start of user PostScript
-1.61538 -0.230769 -1.61476 -0.243092 MAarrowhead1
% End of user PostScript
1 .47 0 r
.23077 .48718 m
.23064 .48515 L
s
% Start of user PostScript
-1.61538 -0.0769231 -1.61616 -0.0891023 MAarrowhead1
% End of user PostScript
1 .473 0 r
.23077 .51282 m
.23037 .51081 L
s
% Start of user PostScript
-1.61538 0.0769231 -1.61778 0.0648872 MAarrowhead1
% End of user PostScript
1 .486 0 r
.23077 .53846 m
.23006 .53648 L
s
% Start of user PostScript
-1.61538 0.230769 -1.61962 0.218877 MAarrowhead1
% End of user PostScript
1 .514 0 r
.23077 .5641 m
.22972 .56214 L
s
% Start of user PostScript
-1.61538 0.384615 -1.62169 0.372866 MAarrowhead1
% End of user PostScript
1 .557 0 r
.23077 .58974 m
.22934 .58781 L
s
% Start of user PostScript
-1.61538 0.538462 -1.62397 0.526856 MAarrowhead1
% End of user PostScript
1 .616 0 r
.23077 .61538 m
.22892 .61347 L
s
% Start of user PostScript
-1.61538 0.692308 -1.62647 0.680845 MAarrowhead1
% End of user PostScript
1 .691 0 r
.23077 .64103 m
.22847 .63914 L
s
% Start of user PostScript
-1.61538 0.846154 -1.62919 0.834834 MAarrowhead1
% End of user PostScript
1 .78 0 r
.23077 .66667 m
.22798 .6648 L
s
% Start of user PostScript
-1.61538 1. -1.63214 0.988824 MAarrowhead1
% End of user PostScript
1 .882 0 r
.23077 .69231 m
.22745 .69047 L
s
% Start of user PostScript
-1.61538 1.15385 -1.6353 1.14281 MAarrowhead1
% End of user PostScript
1 .998 0 r
.23077 .71795 m
.22689 .71613 L
s
% Start of user PostScript
-1.61538 1.30769 -1.63868 1.2968 MAarrowhead1
% End of user PostScript
.876 1 0 r
.23077 .74359 m
.22629 .7418 L
s
% Start of user PostScript
-1.61538 1.46154 -1.64229 1.45079 MAarrowhead1
% End of user PostScript
.737 1 0 r
.23077 .76923 m
.22565 .76746 L
s
% Start of user PostScript
-1.61538 1.61538 -1.64611 1.60478 MAarrowhead1
% End of user PostScript
.589 1 0 r
.23077 .79487 m
.22497 .79313 L
s
% Start of user PostScript
-1.61538 1.76923 -1.65016 1.75877 MAarrowhead1
% End of user PostScript
.43 1 0 r
.23077 .82051 m
.22426 .81879 L
s
% Start of user PostScript
-1.61538 1.92308 -1.65442 1.91276 MAarrowhead1
% End of user PostScript
.261 1 0 r
.23077 .84615 m
.22352 .84446 L
s
% Start of user PostScript
-1.61538 2.07692 -1.65891 2.06675 MAarrowhead1
% End of user PostScript
.083 1 0 r
.23077 .87179 m
.22273 .87012 L
s
% Start of user PostScript
-1.61538 2.23077 -1.66361 2.22074 MAarrowhead1
% End of user PostScript
0 1 .104 r
.23077 .89744 m
.22191 .89579 L
s
% Start of user PostScript
-1.61538 2.38462 -1.66854 2.37473 MAarrowhead1
% End of user PostScript
0 1 .301 r
.23077 .92308 m
.22105 .92145 L
s
% Start of user PostScript
-1.61538 2.53846 -1.67369 2.52872 MAarrowhead1
% End of user PostScript
0 1 .507 r
.23077 .94872 m
.22016 .94712 L
s
% Start of user PostScript
-1.61538 2.69231 -1.67906 2.68271 MAarrowhead1
% End of user PostScript
0 1 .723 r
.23077 .97436 m
.21923 .97278 L
s
% Start of user PostScript
-1.61538 2.84615 -1.68465 2.8367 MAarrowhead1
% End of user PostScript
0 1 .947 r
.23077 1 m
.21826 .99845 L
s
% Start of user PostScript
-1.61538 3. -1.69045 2.99069 MAarrowhead1
% End of user PostScript
1 .683 0 r
.25641 0 m
0 0 rlineto s
% Start of user PostScript
-1.46154 -3. -1.47571 -3.01053 MAarrowhead1
% End of user PostScript
1 .597 0 r
.25641 .02564 m
.2545 .02391 L
s
% Start of user PostScript
-1.46154 -2.84615 -1.47299 -2.85654 MAarrowhead1
% End of user PostScript
1 .524 0 r
.25641 .05128 m
.25492 .04958 L
s
% Start of user PostScript
-1.46154 -2.69231 -1.47049 -2.70255 MAarrowhead1
% End of user PostScript
1 .466 0 r
.25641 .07692 m
.2553 .07524 L
s
% Start of user PostScript
-1.46154 -2.53846 -1.4682 -2.54856 MAarrowhead1
% End of user PostScript
1 .422 0 r
.25641 .10256 m
.25564 .10091 L
s
% Start of user PostScript
-1.46154 -2.38462 -1.46614 -2.39457 MAarrowhead1
% End of user PostScript
1 .391 0 r
.25641 .12821 m
.25595 .12657 L
s
% Start of user PostScript
-1.46154 -2.23077 -1.4643 -2.24058 MAarrowhead1
% End of user PostScript
1 .374 0 r
.25641 .15385 m
.25622 .15223 L
s
% Start of user PostScript
-1.46154 -2.07692 -1.46268 -2.08659 MAarrowhead1
% End of user PostScript
1 .365 0 r
.25641 .17949 m
.25645 .1779 L
s
% Start of user PostScript
-1.46154 -1.92308 -1.46128 -1.9326 MAarrowhead1
% End of user PostScript
1 .364 0 r
.25641 .20513 m
.25665 .20356 L
s
% Start of user PostScript
-1.46154 -1.76923 -1.4601 -1.77861 MAarrowhead1
% End of user PostScript
1 .366 0 r
.25641 .23077 m
.25681 .22923 L
s
% Start of user PostScript
-1.46154 -1.61538 -1.45914 -1.62462 MAarrowhead1
% End of user PostScript
1 .369 0 r
.25641 .25641 m
.25693 .25489 L
s
% Start of user PostScript
-1.46154 -1.46154 -1.4584 -1.47063 MAarrowhead1
% End of user PostScript
1 .371 0 r
.25641 .28205 m
.25702 .28056 L
s
% Start of user PostScript
-1.46154 -1.30769 -1.45789 -1.31664 MAarrowhead1
% End of user PostScript
1 .37 0 r
.25641 .30769 m
.25707 .30622 L
s
% Start of user PostScript
-1.46154 -1.15385 -1.45759 -1.16265 MAarrowhead1
% End of user PostScript
1 .366 0 r
.25641 .33333 m
.25708 .33189 L
s
% Start of user PostScript
-1.46154 -1. -1.45751 -1.00866 MAarrowhead1
% End of user PostScript
1 .359 0 r
.25641 .35897 m
.25706 .35755 L
s
% Start of user PostScript
-1.46154 -0.846154 -1.45766 -0.854674 MAarrowhead1
% End of user PostScript
1 .348 0 r
.25641 .38462 m
.257 .38322 L
s
% Start of user PostScript
-1.46154 -0.692308 -1.45802 -0.700685 MAarrowhead1
% End of user PostScript
1 .335 0 r
.25641 .41026 m
.2569 .40888 L
s
% Start of user PostScript
-1.46154 -0.538462 -1.4586 -0.546696 MAarrowhead1
% End of user PostScript
1 .32 0 r
.25641 .4359 m
.25677 .43455 L
s
% Start of user PostScript
-1.46154 -0.384615 -1.45941 -0.392706 MAarrowhead1
% End of user PostScript
1 .307 0 r
.25641 .46154 m
.25659 .46021 L
s
% Start of user PostScript
-1.46154 -0.230769 -1.46043 -0.238717 MAarrowhead1
% End of user PostScript
1 .298 0 r
.25641 .48718 m
.25639 .48588 L
s
% Start of user PostScript
-1.46154 -0.0769231 -1.46168 -0.0847273 MAarrowhead1
% End of user PostScript
1 .299 0 r
.25641 .51282 m
.25614 .51154 L
s
% Start of user PostScript
-1.46154 0.0769231 -1.46314 0.0692622 MAarrowhead1
% End of user PostScript
1 .314 0 r
.25641 .53846 m
.25586 .53721 L
s
% Start of user PostScript
-1.46154 0.230769 -1.46483 0.223252 MAarrowhead1
% End of user PostScript
1 .346 0 r
.25641 .5641 m
.25554 .56287 L
s
% Start of user PostScript
-1.46154 0.384615 -1.46674 0.377241 MAarrowhead1
% End of user PostScript
1 .395 0 r
.25641 .58974 m
.25519 .58854 L
s
% Start of user PostScript
-1.46154 0.538462 -1.46886 0.53123 MAarrowhead1
% End of user PostScript
1 .462 0 r
.25641 .61538 m
.2548 .6142 L
s
% Start of user PostScript
-1.46154 0.692308 -1.47121 0.68522 MAarrowhead1
% End of user PostScript
1 .543 0 r
.25641 .64103 m
.25437 .63987 L
s
% Start of user PostScript
-1.46154 0.846154 -1.47378 0.839209 MAarrowhead1
% End of user PostScript
1 .638 0 r
.25641 .66667 m
.25391 .66553 L
s
% Start of user PostScript
-1.46154 1. -1.47657 0.993199 MAarrowhead1
% End of user PostScript
1 .744 0 r
.25641 .69231 m
.2534 .6912 L
s
% Start of user PostScript
-1.46154 1.15385 -1.47958 1.14719 MAarrowhead1
% End of user PostScript
1 .862 0 r
.25641 .71795 m
.25287 .71686 L
s
% Start of user PostScript
-1.46154 1.30769 -1.48281 1.30118 MAarrowhead1
% End of user PostScript
1 .99 0 r
.25641 .74359 m
.25229 .74253 L
s
% Start of user PostScript
-1.46154 1.46154 -1.48626 1.45517 MAarrowhead1
% End of user PostScript
.872 1 0 r
.25641 .76923 m
.25168 .76819 L
s
% Start of user PostScript
-1.46154 1.61538 -1.48993 1.60916 MAarrowhead1
% End of user PostScript
.724 1 0 r
.25641 .79487 m
.25103 .79386 L
s
% Start of user PostScript
-1.46154 1.76923 -1.49382 1.76315 MAarrowhead1
% End of user PostScript
.567 1 0 r
.25641 .82051 m
.25034 .81952 L
s
% Start of user PostScript
-1.46154 1.92308 -1.49793 1.91714 MAarrowhead1
% End of user PostScript
.401 1 0 r
.25641 .84615 m
.24962 .84519 L
s
% Start of user PostScript
-1.46154 2.07692 -1.50226 2.07112 MAarrowhead1
% End of user PostScript
.225 1 0 r
.25641 .87179 m
.24886 .87085 L
s
% Start of user PostScript
-1.46154 2.23077 -1.50681 2.22511 MAarrowhead1
% End of user PostScript
.041 1 0 r
.25641 .89744 m
.24807 .89652 L
s
% Start of user PostScript
-1.46154 2.38462 -1.51159 2.3791 MAarrowhead1
% End of user PostScript
0 1 .153 r
.25641 .92308 m
.24724 .92218 L
s
% Start of user PostScript
-1.46154 2.53846 -1.51658 2.53309 MAarrowhead1
% End of user PostScript
0 1 .355 r
.25641 .94872 m
.24637 .94785 L
s
% Start of user PostScript
-1.46154 2.69231 -1.52179 2.68708 MAarrowhead1
% End of user PostScript
0 1 .566 r
.25641 .97436 m
.24546 .97351 L
s
% Start of user PostScript
-1.46154 2.84615 -1.52723 2.84107 MAarrowhead1
% End of user PostScript
0 1 .786 r
.25641 1 m
.24452 .99918 L
s
% Start of user PostScript
-1.46154 3. -1.53288 2.99506 MAarrowhead1
% End of user PostScript
1 .694 0 r
.28205 0 m
0 0 rlineto s
% Start of user PostScript
-1.30769 -3. -1.32416 -3.00712 MAarrowhead1
% End of user PostScript
1 .59 0 r
.28205 .02564 m
.27979 .02448 L
s
% Start of user PostScript
-1.30769 -2.84615 -1.32128 -2.85313 MAarrowhead1
% End of user PostScript
1 .497 0 r
.28205 .05128 m
.28023 .05014 L
s
% Start of user PostScript
-1.30769 -2.69231 -1.31862 -2.69914 MAarrowhead1
% End of user PostScript
1 .416 0 r
.28205 .07692 m
.28064 .07581 L
s
% Start of user PostScript
-1.30769 -2.53846 -1.31619 -2.54515 MAarrowhead1
% End of user PostScript
1 .348 0 r
.28205 .10256 m
.281 .10147 L
s
% Start of user PostScript
-1.30769 -2.38462 -1.31397 -2.39116 MAarrowhead1
% End of user PostScript
1 .294 0 r
.28205 .12821 m
.28134 .12714 L
s
% Start of user PostScript
-1.30769 -2.23077 -1.31198 -2.23717 MAarrowhead1
% End of user PostScript
1 .257 0 r
.28205 .15385 m
.28163 .1528 L
s
% Start of user PostScript
-1.30769 -2.07692 -1.3102 -2.08318 MAarrowhead1
% End of user PostScript
1 .235 0 r
.28205 .17949 m
.28189 .17847 L
s
% Start of user PostScript
-1.30769 -1.92308 -1.30865 -1.92919 MAarrowhead1
% End of user PostScript
1 .227 0 r
.28205 .20513 m
.28211 .20413 L
s
% Start of user PostScript
-1.30769 -1.76923 -1.30731 -1.7752 MAarrowhead1
% End of user PostScript
1 .228 0 r
.28205 .23077 m
.2823 .2298 L
s
% Start of user PostScript
-1.30769 -1.61538 -1.3062 -1.62121 MAarrowhead1
% End of user PostScript
1 .234 0 r
.28205 .25641 m
.28245 .25546 L
s
% Start of user PostScript
-1.30769 -1.46154 -1.30531 -1.46722 MAarrowhead1
% End of user PostScript
1 .241 0 r
.28205 .28205 m
.28256 .28113 L
s
% Start of user PostScript
-1.30769 -1.30769 -1.30464 -1.31323 MAarrowhead1
% End of user PostScript
1 .245 0 r
.28205 .30769 m
.28264 .30679 L
s
% Start of user PostScript
-1.30769 -1.15385 -1.30418 -1.15924 MAarrowhead1
% End of user PostScript
.28205 .33333 m
.28267 .33246 L
s
% Start of user PostScript
-1.30769 -1. -1.30395 -1.00526 MAarrowhead1
% End of user PostScript
1 .241 0 r
.28205 .35897 m
.28268 .35812 L
s
% Start of user PostScript
-1.30769 -0.846154 -1.30394 -0.851266 MAarrowhead1
% End of user PostScript
1 .232 0 r
.28205 .38462 m
.28264 .38379 L
s
% Start of user PostScript
-1.30769 -0.692308 -1.30415 -0.697277 MAarrowhead1
% End of user PostScript
1 .218 0 r
.28205 .41026 m
.28257 .40945 L
s
% Start of user PostScript
-1.30769 -0.538462 -1.30458 -0.543287 MAarrowhead1
% End of user PostScript
1 .2 0 r
.28205 .4359 m
.28246 .43512 L
s
% Start of user PostScript
-1.30769 -0.384615 -1.30523 -0.389298 MAarrowhead1
% End of user PostScript
1 .181 0 r
.28205 .46154 m
.28232 .46078 L
s
% Start of user PostScript
-1.30769 -0.230769 -1.3061 -0.235308 MAarrowhead1
% End of user PostScript
1 .166 0 r
.28205 .48718 m
.28213 .48645 L
s
% Start of user PostScript
-1.30769 -0.0769231 -1.30719 -0.0813188 MAarrowhead1
% End of user PostScript
1 .162 0 r
.28205 .51282 m
.28192 .51211 L
s
% Start of user PostScript
-1.30769 0.0769231 -1.3085 0.0726706 MAarrowhead1
% End of user PostScript
1 .178 0 r
.28205 .53846 m
.28166 .53778 L
s
% Start of user PostScript
-1.30769 0.230769 -1.31004 0.22666 MAarrowhead1
% End of user PostScript
1 .216 0 r
.28205 .5641 m
.28137 .56344 L
s
% Start of user PostScript
-1.30769 0.384615 -1.31179 0.380649 MAarrowhead1
% End of user PostScript
1 .274 0 r
.28205 .58974 m
.28104 .58911 L
s
% Start of user PostScript
-1.30769 0.538462 -1.31376 0.534639 MAarrowhead1
% End of user PostScript
1 .347 0 r
.28205 .61538 m
.28067 .61477 L
s
% Start of user PostScript
-1.30769 0.692308 -1.31596 0.688628 MAarrowhead1
% End of user PostScript
1 .433 0 r
.28205 .64103 m
.28027 .64044 L
s
% Start of user PostScript
-1.30769 0.846154 -1.31837 0.842618 MAarrowhead1
% End of user PostScript
1 .53 0 r
.28205 .66667 m
.27983 .6661 L
s
% Start of user PostScript
-1.30769 1. -1.321 0.996607 MAarrowhead1
% End of user PostScript
1 .637 0 r
.28205 .69231 m
.27936 .69177 L
s
% Start of user PostScript
-1.30769 1.15385 -1.32386 1.1506 MAarrowhead1
% End of user PostScript
1 .754 0 r
.28205 .71795 m
.27884 .71743 L
s
% Start of user PostScript
-1.30769 1.30769 -1.32693 1.30459 MAarrowhead1
% End of user PostScript
1 .881 0 r
.28205 .74359 m
.2783 .7431 L
s
% Start of user PostScript
-1.30769 1.46154 -1.33023 1.45858 MAarrowhead1
% End of user PostScript
.983 1 0 r
.28205 .76923 m
.27771 .76876 L
s
% Start of user PostScript
-1.30769 1.61538 -1.33375 1.61257 MAarrowhead1
% End of user PostScript
.839 1 0 r
.28205 .79487 m
.27709 .79443 L
s
% Start of user PostScript
-1.30769 1.76923 -1.33748 1.76655 MAarrowhead1
% End of user PostScript
.685 1 0 r
.28205 .82051 m
.27643 .82009 L
s
% Start of user PostScript
-1.30769 1.92308 -1.34144 1.92054 MAarrowhead1
% End of user PostScript
.523 1 0 r
.28205 .84615 m
.27573 .84576 L
s
% Start of user PostScript
-1.30769 2.07692 -1.34562 2.07453 MAarrowhead1
% End of user PostScript
.352 1 0 r
.28205 .87179 m
.275 .87142 L
s
% Start of user PostScript
-1.30769 2.23077 -1.35001 2.22852 MAarrowhead1
% End of user PostScript
.172 1 0 r
.28205 .89744 m
.27423 .89709 L
s
% Start of user PostScript
-1.30769 2.38462 -1.35463 2.38251 MAarrowhead1
% End of user PostScript
0 1 .016 r
.28205 .92308 m
.27342 .92275 L
s
% Start of user PostScript
-1.30769 2.53846 -1.35947 2.5365 MAarrowhead1
% End of user PostScript
0 1 .214 r
.28205 .94872 m
.27258 .94842 L
s
% Start of user PostScript
-1.30769 2.69231 -1.36453 2.69049 MAarrowhead1
% End of user PostScript
0 1 .42 r
.28205 .97436 m
.2717 .97408 L
s
% Start of user PostScript
-1.30769 2.84615 -1.36981 2.84448 MAarrowhead1
% End of user PostScript
0 1 .634 r
.28205 1 m
.27078 .99975 L
s
% Start of user PostScript
-1.30769 3. -1.37531 2.99847 MAarrowhead1
% End of user PostScript
1 .747 0 r
.30769 0 m
0 0 rlineto s
% Start of user PostScript
-1.15385 -3. -1.1726 -3.00457 MAarrowhead1
% End of user PostScript
1 .631 0 r
.30769 .02564 m
.30507 .0249 L
s
% Start of user PostScript
-1.15385 -2.84615 -1.16957 -2.85059 MAarrowhead1
% End of user PostScript
1 .525 0 r
.30769 .05128 m
.30554 .05057 L
s
% Start of user PostScript
-1.15385 -2.69231 -1.16676 -2.6966 MAarrowhead1
% End of user PostScript
1 .428 0 r
.30769 .07692 m
.30597 .07623 L
s
% Start of user PostScript
-1.15385 -2.53846 -1.16417 -2.54261 MAarrowhead1
% End of user PostScript
1 .341 0 r
.30769 .10256 m
.30637 .1019 L
s
% Start of user PostScript
-1.15385 -2.38462 -1.1618 -2.38862 MAarrowhead1
% End of user PostScript
1 .266 0 r
.30769 .12821 m
.30672 .12756 L
s
% Start of user PostScript
-1.15385 -2.23077 -1.15965 -2.23463 MAarrowhead1
% End of user PostScript
1 .203 0 r
.30769 .15385 m
.30705 .15323 L
s
% Start of user PostScript
-1.15385 -2.07692 -1.15772 -2.08064 MAarrowhead1
% End of user PostScript
1 .157 0 r
.30769 .17949 m
.30733 .17889 L
s
% Start of user PostScript
-1.15385 -1.92308 -1.15601 -1.92665 MAarrowhead1
% End of user PostScript
1 .13 0 r
.30769 .20513 m
.30758 .20456 L
s
% Start of user PostScript
-1.15385 -1.76923 -1.15453 -1.77266 MAarrowhead1
% End of user PostScript
1 .124 0 r
.30769 .23077 m
.30779 .23022 L
s
% Start of user PostScript
-1.15385 -1.61538 -1.15326 -1.61867 MAarrowhead1
% End of user PostScript
1 .132 0 r
.30769 .25641 m
.30796 .25589 L
s
% Start of user PostScript
-1.15385 -1.46154 -1.15221 -1.46468 MAarrowhead1
% End of user PostScript
1 .145 0 r
.30769 .28205 m
.3081 .28155 L
s
% Start of user PostScript
-1.15385 -1.30769 -1.15138 -1.31069 MAarrowhead1
% End of user PostScript
1 .157 0 r
.30769 .30769 m
.3082 .30722 L
s
% Start of user PostScript
-1.15385 -1.15385 -1.15078 -1.1567 MAarrowhead1
% End of user PostScript
1 .165 0 r
.30769 .33333 m
.30827 .33288 L
s
% Start of user PostScript
-1.15385 -1. -1.15039 -1.00271 MAarrowhead1
% End of user PostScript
1 .167 0 r
.30769 .35897 m
.3083 .35855 L
s
% Start of user PostScript
-1.15385 -0.846154 -1.15023 -0.848722 MAarrowhead1
% End of user PostScript
1 .162 0 r
.30769 .38462 m
.30829 .38421 L
s
% Start of user PostScript
-1.15385 -0.692308 -1.15028 -0.694733 MAarrowhead1
% End of user PostScript
1 .15 0 r
.30769 .41026 m
.30824 .40988 L
s
% Start of user PostScript
-1.15385 -0.538462 -1.15056 -0.540744 MAarrowhead1
% End of user PostScript
1 .131 0 r
.30769 .4359 m
.30816 .43554 L
s
% Start of user PostScript
-1.15385 -0.384615 -1.15105 -0.386754 MAarrowhead1
% End of user PostScript
1 .106 0 r
.30769 .46154 m
.30804 .46121 L
s
% Start of user PostScript
-1.15385 -0.230769 -1.15177 -0.232765 MAarrowhead1
% End of user PostScript
1 .078 0 r
.30769 .48718 m
.30788 .48687 L
s
% Start of user PostScript
-1.15385 -0.0769231 -1.15271 -0.0787752 MAarrowhead1
% End of user PostScript
1 .06 0 r
.30769 .51282 m
.30769 .51254 L
s
% Start of user PostScript
-1.15385 0.0769231 -1.15386 0.0752142 MAarrowhead1
% End of user PostScript
1 .075 0 r
.30769 .53846 m
.30746 .5382 L
s
% Start of user PostScript
-1.15385 0.230769 -1.15524 0.229204 MAarrowhead1
% End of user PostScript
1 .123 0 r
.30769 .5641 m
.30719 .56387 L
s
% Start of user PostScript
-1.15385 0.384615 -1.15684 0.383193 MAarrowhead1
% End of user PostScript
1 .188 0 r
.30769 .58974 m
.30689 .58953 L
s
% Start of user PostScript
-1.15385 0.538462 -1.15866 0.537183 MAarrowhead1
% End of user PostScript
1 .265 0 r
.30769 .61538 m
.30655 .6152 L
s
% Start of user PostScript
-1.15385 0.692308 -1.1607 0.691172 MAarrowhead1
% End of user PostScript
1 .351 0 r
.30769 .64103 m
.30617 .64086 L
s
% Start of user PostScript
-1.15385 0.846154 -1.16296 0.845161 MAarrowhead1
% End of user PostScript
1 .447 0 r
.30769 .66667 m
.30576 .66653 L
s
% Start of user PostScript
-1.15385 1. -1.16544 0.999151 MAarrowhead1
% End of user PostScript
1 .552 0 r
.30769 .69231 m
.30531 .69219 L
s
% Start of user PostScript
-1.15385 1.15385 -1.16814 1.15314 MAarrowhead1
% End of user PostScript
1 .666 0 r
.30769 .71795 m
.30482 .71785 L
s
% Start of user PostScript
-1.15385 1.30769 -1.17106 1.30713 MAarrowhead1
% End of user PostScript
1 .788 0 r
.30769 .74359 m
.3043 .74352 L
s
% Start of user PostScript
-1.15385 1.46154 -1.1742 1.46112 MAarrowhead1
% End of user PostScript
1 .919 0 r
.30769 .76923 m
.30374 .76918 L
s
% Start of user PostScript
-1.15385 1.61538 -1.17756 1.61511 MAarrowhead1
% End of user PostScript
.941 1 0 r
.30769 .79487 m
.30314 .79485 L
s
% Start of user PostScript
-1.15385 1.76923 -1.18115 1.7691 MAarrowhead1
% End of user PostScript
.792 1 0 r
.30769 .82051 m
.30251 .82051 L
s
% Start of user PostScript
-1.15385 1.92308 -1.18495 1.92309 MAarrowhead1
% End of user PostScript
.635 1 0 r
.30769 .84615 m
.30184 .84618 L
s
% Start of user PostScript
-1.15385 2.07692 -1.18897 2.07708 MAarrowhead1
% End of user PostScript
.469 1 0 r
.30769 .87179 m
.30113 .87184 L
s
% Start of user PostScript
-1.15385 2.23077 -1.19321 2.23107 MAarrowhead1
% End of user PostScript
.295 1 0 r
.30769 .89744 m
.30039 .89751 L
s
% Start of user PostScript
-1.15385 2.38462 -1.19768 2.38506 MAarrowhead1
% End of user PostScript
.112 1 0 r
.30769 .92308 m
.29961 .92317 L
s
% Start of user PostScript
-1.15385 2.53846 -1.20236 2.53905 MAarrowhead1
% End of user PostScript
0 1 .079 r
.30769 .94872 m
.29879 .94884 L
s
% Start of user PostScript
-1.15385 2.69231 -1.20727 2.69303 MAarrowhead1
% End of user PostScript
0 1 .28 r
.30769 .97436 m
.29793 .9745 L
s
% Start of user PostScript
-1.15385 2.84615 -1.21239 2.84702 MAarrowhead1
% End of user PostScript
0 1 .488 r
.30769 1 m
0 0 rlineto s
.30769 1 m
.30769 1 L
s
% Start of user PostScript
-1.15385 3. -1.21774 3.00101 MAarrowhead1
% End of user PostScript
1 .822 0 r
.33333 0 m
0 0 rlineto s
% Start of user PostScript
-1. -3. -1.02105 -3.00279 MAarrowhead1
% End of user PostScript
1 .699 0 r
.33333 .02564 m
.33036 .0252 L
s
% Start of user PostScript
-1. -2.84615 -1.01786 -2.8488 MAarrowhead1
% End of user PostScript
1 .583 0 r
.33333 .05128 m
.33085 .05086 L
s
% Start of user PostScript
-1. -2.69231 -1.0149 -2.69482 MAarrowhead1
% End of user PostScript
1 .477 0 r
.33333 .07692 m
.33131 .07653 L
s
% Start of user PostScript
-1. -2.53846 -1.01215 -2.54083 MAarrowhead1
% End of user PostScript
1 .379 0 r
.33333 .10256 m
.33173 .10219 L
s
% Start of user PostScript
-1. -2.38462 -1.00963 -2.38684 MAarrowhead1
% End of user PostScript
1 .291 0 r
.33333 .12821 m
.33211 .12786 L
s
% Start of user PostScript
-1. -2.23077 -1.00733 -2.23285 MAarrowhead1
% End of user PostScript
1 .212 0 r
.33333 .15385 m
.33246 .15352 L
s
% Start of user PostScript
-1. -2.07692 -1.00524 -2.07886 MAarrowhead1
% End of user PostScript
1 .143 0 r
.33333 .17949 m
.33277 .17919 L
s
% Start of user PostScript
-1. -1.92308 -1.00338 -1.92487 MAarrowhead1
% End of user PostScript
1 .087 0 r
.33333 .20513 m
.33304 .20485 L
s
% Start of user PostScript
-1. -1.76923 -1.00174 -1.77088 MAarrowhead1
% End of user PostScript
1 .053 0 r
.33333 .23077 m
.33328 .23052 L
s
% Start of user PostScript
-1. -1.61538 -1.00032 -1.61689 MAarrowhead1
% End of user PostScript
1 .057 0 r
.33333 .25641 m
.33348 .25618 L
s
% Start of user PostScript
-1. -1.46154 -0.999115 -1.4629 MAarrowhead1
% End of user PostScript
1 .08 0 r
.33333 .28205 m
.33364 .28185 L
s
% Start of user PostScript
-1. -1.30769 -0.998134 -1.30891 MAarrowhead1
% End of user PostScript
1 .104 0 r
.33333 .30769 m
.33377 .30751 L
s
% Start of user PostScript
-1. -1.15385 -0.997373 -1.15492 MAarrowhead1
% End of user PostScript
1 .122 0 r
.33333 .33333 m
.33386 .33318 L
s
% Start of user PostScript
-1. -1. -0.996833 -1.00093 MAarrowhead1
% End of user PostScript
1 .133 0 r
.33333 .35897 m
.33391 .35884 L
s
% Start of user PostScript
-1. -0.846154 -0.996514 -0.846942 MAarrowhead1
% End of user PostScript
1 .136 0 r
.33333 .38462 m
.33393 .38451 L
s
% Start of user PostScript
-1. -0.692308 -0.996414 -0.692952 MAarrowhead1
% End of user PostScript
1 .13 0 r
.33333 .41026 m
.33391 .41017 L
s
% Start of user PostScript
-1. -0.538462 -0.996536 -0.538963 MAarrowhead1
% End of user PostScript
1 .116 0 r
.33333 .4359 m
.33385 .43584 L
s
% Start of user PostScript
-1. -0.384615 -0.996877 -0.384974 MAarrowhead1
% End of user PostScript
1 .094 0 r
.33333 .46154 m
.33376 .4615 L
s
% Start of user PostScript
-1. -0.230769 -0.99744 -0.230984 MAarrowhead1
% End of user PostScript
1 .063 0 r
.33333 .48718 m
.33363 .48717 L
s
% Start of user PostScript
-1. -0.0769231 -0.998222 -0.0769947 MAarrowhead1
% End of user PostScript
1 .024 0 r
.33333 .51282 m
.33346 .51283 L
s
% Start of user PostScript
-1. 0.0769231 -0.999225 0.0769947 MAarrowhead1
% End of user PostScript
1 .013 0 r
.33333 .53846 m
.33326 .5385 L
s
% Start of user PostScript
-1. 0.230769 -1.00045 0.230984 MAarrowhead1
% End of user PostScript
1 .069 0 r
.33333 .5641 m
.33302 .56416 L
s
% Start of user PostScript
-1. 0.384615 -1.00189 0.384974 MAarrowhead1
% End of user PostScript
1 .134 0 r
.33333 .58974 m
.33274 .58983 L
s
% Start of user PostScript
-1. 0.538462 -1.00356 0.538963 MAarrowhead1
% End of user PostScript
1 .207 0 r
.33333 .61538 m
.33243 .61549 L
s
% Start of user PostScript
-1. 0.692308 -1.00544 0.692952 MAarrowhead1
% End of user PostScript
1 .29 0 r
.33333 .64103 m
.33208 .64116 L
s
% Start of user PostScript
-1. 0.846154 -1.00755 0.846942 MAarrowhead1
% End of user PostScript
1 .381 0 r
.33333 .66667 m
.33169 .66682 L
s
% Start of user PostScript
-1. 1. -1.00987 1.00093 MAarrowhead1
% End of user PostScript
1 .48 0 r
.33333 .69231 m
.33126 .69249 L
s
% Start of user PostScript
-1. 1.15385 -1.01242 1.15492 MAarrowhead1
% End of user PostScript
1 .588 0 r
.33333 .71795 m
.3308 .71815 L
s
% Start of user PostScript
-1. 1.30769 -1.01519 1.30891 MAarrowhead1
% End of user PostScript
1 .705 0 r
.33333 .74359 m
.3303 .74382 L
s
% Start of user PostScript
-1. 1.46154 -1.01817 1.4629 MAarrowhead1
% End of user PostScript
1 .83 0 r
.33333 .76923 m
.32977 .76948 L
s
% Start of user PostScript
-1. 1.61538 -1.02138 1.61689 MAarrowhead1
% End of user PostScript
1 .964 0 r
.33333 .79487 m
.3292 .79515 L
s
% Start of user PostScript
-1. 1.76923 -1.02481 1.77088 MAarrowhead1
% End of user PostScript
.893 1 0 r
.33333 .82051 m
.32859 .82081 L
s
% Start of user PostScript
-1. 1.92308 -1.02846 1.92487 MAarrowhead1
% End of user PostScript
.742 1 0 r
.33333 .84615 m
.32795 .84648 L
s
% Start of user PostScript
-1. 2.07692 -1.03233 2.07886 MAarrowhead1
% End of user PostScript
.583 1 0 r
.33333 .87179 m
.32726 .87214 L
s
% Start of user PostScript
-1. 2.23077 -1.03641 2.23285 MAarrowhead1
% End of user PostScript
.414 1 0 r
.33333 .89744 m
.32655 .89781 L
s
% Start of user PostScript
-1. 2.38462 -1.04072 2.38684 MAarrowhead1
% End of user PostScript
.237 1 0 r
.33333 .92308 m
.32579 .92347 L
s
% Start of user PostScript
-1. 2.53846 -1.04525 2.54083 MAarrowhead1
% End of user PostScript
.052 1 0 r
.33333 .94872 m
.325 .94914 L
s
% Start of user PostScript
-1. 2.69231 -1.05 2.69482 MAarrowhead1
% End of user PostScript
0 1 .142 r
.33333 .97436 m
.32417 .9748 L
s
% Start of user PostScript
-1. 2.84615 -1.05498 2.8488 MAarrowhead1
% End of user PostScript
0 1 .345 r
.33333 1 m
0 0 rlineto s
.33333 1 m
.33333 1 L
s
% Start of user PostScript
-1. 3. -1.06017 3.00279 MAarrowhead1
% End of user PostScript
1 .907 0 r
.35897 0 m
0 0 rlineto s
% Start of user PostScript
-0.846154 -3. -0.869496 -3.00167 MAarrowhead1
% End of user PostScript
1 .777 0 r
.35897 .02564 m
.35564 .02539 L
s
% Start of user PostScript
-0.846154 -2.84615 -0.866156 -2.84769 MAarrowhead1
% End of user PostScript
1 .655 0 r
.35897 .05128 m
.35616 .05105 L
s
% Start of user PostScript
-0.846154 -2.69231 -0.863037 -2.6937 MAarrowhead1
% End of user PostScript
1 .542 0 r
.35897 .07692 m
.35664 .07672 L
s
% Start of user PostScript
-0.846154 -2.53846 -0.860138 -2.53971 MAarrowhead1
% End of user PostScript
1 .437 0 r
.35897 .10256 m
.35709 .10238 L
s
% Start of user PostScript
-0.846154 -2.38462 -0.857459 -2.38572 MAarrowhead1
% End of user PostScript
1 .341 0 r
.35897 .12821 m
.3575 .12805 L
s
% Start of user PostScript
-0.846154 -2.23077 -0.855001 -2.23173 MAarrowhead1
% End of user PostScript
1 .253 0 r
.35897 .15385 m
.35787 .15371 L
s
% Start of user PostScript
-0.846154 -2.07692 -0.852764 -2.07774 MAarrowhead1
% End of user PostScript
1 .175 0 r
.35897 .17949 m
.35821 .17938 L
s
% Start of user PostScript
-0.846154 -1.92308 -0.850747 -1.92375 MAarrowhead1
% End of user PostScript
1 .105 0 r
.35897 .20513 m
.35851 .20504 L
s
% Start of user PostScript
-0.846154 -1.76923 -0.84895 -1.76976 MAarrowhead1
% End of user PostScript
1 .043 0 r
.35897 .23077 m
.35877 .23071 L
s
% Start of user PostScript
-0.846154 -1.61538 -0.847374 -1.61577 MAarrowhead1
% End of user PostScript
1 .004 0 r
.35897 .25641 m
.359 .25637 L
s
% Start of user PostScript
-0.846154 -1.46154 -0.846018 -1.46178 MAarrowhead1
% End of user PostScript
1 .043 0 r
.35897 .28205 m
.35919 .28203 L
s
% Start of user PostScript
-0.846154 -1.30769 -0.844883 -1.30779 MAarrowhead1
% End of user PostScript
1 .079 0 r
.35897 .30769 m
.35934 .3077 L
s
% Start of user PostScript
-0.846154 -1.15385 -0.843968 -1.1538 MAarrowhead1
% End of user PostScript
1 .106 0 r
.35897 .33333 m
.35945 .33336 L
s
% Start of user PostScript
-0.846154 -1. -0.843274 -0.999812 MAarrowhead1
% End of user PostScript
1 .125 0 r
.35897 .35897 m
.35953 .35903 L
s
% Start of user PostScript
-0.846154 -0.846154 -0.8428 -0.845823 MAarrowhead1
% End of user PostScript
1 .136 0 r
.35897 .38462 m
.35958 .38469 L
s
% Start of user PostScript
-0.846154 -0.692308 -0.842546 -0.691833 MAarrowhead1
% End of user PostScript
1 .138 0 r
.35897 .41026 m
.35958 .41036 L
s
% Start of user PostScript
-0.846154 -0.538462 -0.842513 -0.537844 MAarrowhead1
% End of user PostScript
1 .132 0 r
.35897 .4359 m
.35955 .43602 L
s
% Start of user PostScript
-0.846154 -0.384615 -0.842701 -0.383854 MAarrowhead1
% End of user PostScript
1 .117 0 r
.35897 .46154 m
.35948 .46169 L
s
% Start of user PostScript
-0.846154 -0.230769 -0.843108 -0.229865 MAarrowhead1
% End of user PostScript
1 .096 0 r
.35897 .48718 m
.35938 .48735 L
s
% Start of user PostScript
-0.846154 -0.0769231 -0.843737 -0.0758755 MAarrowhead1
% End of user PostScript
1 .07 0 r
.35897 .51282 m
.35924 .51302 L
s
% Start of user PostScript
-0.846154 0.0769231 -0.844585 0.0781139 MAarrowhead1
% End of user PostScript
1 .049 0 r
.35897 .53846 m
.35906 .53868 L
s
% Start of user PostScript
-0.846154 0.230769 -0.845655 0.232103 MAarrowhead1
% End of user PostScript
1 .059 0 r
.35897 .5641 m
.35884 .56435 L
s
% Start of user PostScript
-0.846154 0.384615 -0.846944 0.386093 MAarrowhead1
% End of user PostScript
1 .103 0 r
.35897 .58974 m
.35859 .59001 L
s
% Start of user PostScript
-0.846154 0.538462 -0.848454 0.540082 MAarrowhead1
% End of user PostScript
1 .165 0 r
.35897 .61538 m
.3583 .61568 L
s
% Start of user PostScript
-0.846154 0.692308 -0.850185 0.694072 MAarrowhead1
% End of user PostScript
1 .239 0 r
.35897 .64103 m
.35798 .64134 L
s
% Start of user PostScript
-0.846154 0.846154 -0.852136 0.848061 MAarrowhead1
% End of user PostScript
1 .322 0 r
.35897 .66667 m
.35762 .66701 L
s
% Start of user PostScript
-0.846154 1. -0.854307 1.00205 MAarrowhead1
% End of user PostScript
1 .414 0 r
.35897 .69231 m
.35722 .69267 L
s
% Start of user PostScript
-0.846154 1.15385 -0.856699 1.15604 MAarrowhead1
% End of user PostScript
1 .515 0 r
.35897 .71795 m
.35678 .71834 L
s
% Start of user PostScript
-0.846154 1.30769 -0.859311 1.31003 MAarrowhead1
% End of user PostScript
1 .625 0 r
.35897 .74359 m
.35631 .744 L
s
% Start of user PostScript
-0.846154 1.46154 -0.862144 1.46402 MAarrowhead1
% End of user PostScript
1 .744 0 r
.35897 .76923 m
.3558 .76967 L
s
% Start of user PostScript
-0.846154 1.61538 -0.865197 1.61801 MAarrowhead1
% End of user PostScript
1 .871 0 r
.35897 .79487 m
.35525 .79533 L
s
% Start of user PostScript
-0.846154 1.76923 -0.868471 1.772 MAarrowhead1
% End of user PostScript
.992 1 0 r
.35897 .82051 m
.35467 .821 L
s
% Start of user PostScript
-0.846154 1.92308 -0.871965 1.92599 MAarrowhead1
% End of user PostScript
.848 1 0 r
.35897 .84615 m
.35405 .84666 L
s
% Start of user PostScript
-0.846154 2.07692 -0.875679 2.07998 MAarrowhead1
% End of user PostScript
.694 1 0 r
.35897 .87179 m
.3534 .87233 L
s
% Start of user PostScript
-0.846154 2.23077 -0.879614 2.23397 MAarrowhead1
% End of user PostScript
.532 1 0 r
.35897 .89744 m
.35271 .89799 L
s
% Start of user PostScript
-0.846154 2.38462 -0.88377 2.38796 MAarrowhead1
% End of user PostScript
.361 1 0 r
.35897 .92308 m
.35198 .92366 L
s
% Start of user PostScript
-0.846154 2.53846 -0.888145 2.54195 MAarrowhead1
% End of user PostScript
.182 1 0 r
.35897 .94872 m
.35121 .94932 L
s
% Start of user PostScript
-0.846154 2.69231 -0.892742 2.69593 MAarrowhead1
% End of user PostScript
0 1 .006 r
.35897 .97436 m
.35041 .97499 L
s
% Start of user PostScript
-0.846154 2.84615 -0.897558 2.84992 MAarrowhead1
% End of user PostScript
0 1 .202 r
.35897 1 m
0 0 rlineto s
.35897 1 m
.35897 1 L
s
% Start of user PostScript
-0.846154 3. -0.902596 3.00391 MAarrowhead1
% End of user PostScript
1 .995 0 r
.38462 0 m
0 0 rlineto s
% Start of user PostScript
-0.692308 -3. -0.717942 -3.00112 MAarrowhead1
% End of user PostScript
1 .859 0 r
.38462 .02564 m
.38093 .02548 L
s
% Start of user PostScript
-0.692308 -2.84615 -0.714448 -2.84713 MAarrowhead1
% End of user PostScript
1 .731 0 r
.38462 .05128 m
.38147 .05114 L
s
% Start of user PostScript
-0.692308 -2.69231 -0.711175 -2.69314 MAarrowhead1
% End of user PostScript
1 .611 0 r
.38462 .07692 m
.38198 .07681 L
s
% Start of user PostScript
-0.692308 -2.53846 -0.708121 -2.53915 MAarrowhead1
% End of user PostScript
1 .501 0 r
.38462 .10256 m
.38245 .10247 L
s
% Start of user PostScript
-0.692308 -2.38462 -0.705289 -2.38516 MAarrowhead1
% End of user PostScript
1 .399 0 r
.38462 .12821 m
.38289 .12814 L
s
% Start of user PostScript
-0.692308 -2.23077 -0.702676 -2.23117 MAarrowhead1
% End of user PostScript
1 .305 0 r
.38462 .15385 m
.38329 .1538 L
s
% Start of user PostScript
-0.692308 -2.07692 -0.700285 -2.07718 MAarrowhead1
% End of user PostScript
1 .22 0 r
.38462 .17949 m
.38365 .17947 L
s
% Start of user PostScript
-0.692308 -1.92308 -0.698113 -1.92319 MAarrowhead1
% End of user PostScript
1 .144 0 r
.38462 .20513 m
.38397 .20513 L
s
% Start of user PostScript
-0.692308 -1.76923 -0.696162 -1.7692 MAarrowhead1
% End of user PostScript
1 .077 0 r
.38462 .23077 m
.38426 .2308 L
s
% Start of user PostScript
-0.692308 -1.61538 -0.694432 -1.61521 MAarrowhead1
% End of user PostScript
1 .02 0 r
.38462 .25641 m
.38451 .25646 L
s
% Start of user PostScript
-0.692308 -1.46154 -0.692922 -1.46122 MAarrowhead1
% End of user PostScript
1 .025 0 r
.38462 .28205 m
.38473 .28213 L
s
% Start of user PostScript
-0.692308 -1.30769 -0.691632 -1.30723 MAarrowhead1
% End of user PostScript
1 .066 0 r
.38462 .30769 m
.38491 .30779 L
s
% Start of user PostScript
-0.692308 -1.15385 -0.690563 -1.15324 MAarrowhead1
% End of user PostScript
1 .099 0 r
.38462 .33333 m
.38505 .33346 L
s
% Start of user PostScript
-0.692308 -1. -0.689714 -0.999253 MAarrowhead1
% End of user PostScript
1 .124 0 r
.38462 .35897 m
.38515 .35912 L
s
% Start of user PostScript
-0.692308 -0.846154 -0.689086 -0.845263 MAarrowhead1
% End of user PostScript
1 .141 0 r
.38462 .38462 m
.38522 .38479 L
s
% Start of user PostScript
-0.692308 -0.692308 -0.688678 -0.691274 MAarrowhead1
% End of user PostScript
1 .149 0 r
.38462 .41026 m
.38525 .41045 L
s
% Start of user PostScript
-0.692308 -0.538462 -0.688491 -0.537284 MAarrowhead1
% End of user PostScript
1 .15 0 r
.38462 .4359 m
.38525 .43612 L
s
% Start of user PostScript
-0.692308 -0.384615 -0.688524 -0.383295 MAarrowhead1
% End of user PostScript
1 .143 0 r
.38462 .46154 m
.3852 .46178 L
s
% Start of user PostScript
-0.692308 -0.230769 -0.688777 -0.229305 MAarrowhead1
% End of user PostScript
1 .128 0 r
.38462 .48718 m
.38512 .48745 L
s
% Start of user PostScript
-0.692308 -0.0769231 -0.689251 -0.0753159 MAarrowhead1
% End of user PostScript
1 .108 0 r
.38462 .51282 m
.38501 .51311 L
s
% Start of user PostScript
-0.692308 0.0769231 -0.689946 0.0786735 MAarrowhead1
% End of user PostScript
1 .087 0 r
.38462 .53846 m
.38486 .53878 L
s
% Start of user PostScript
-0.692308 0.230769 -0.69086 0.232663 MAarrowhead1
% End of user PostScript
1 .074 0 r
.38462 .5641 m
.38467 .56444 L
s
% Start of user PostScript
-0.692308 0.384615 -0.691996 0.386652 MAarrowhead1
% End of user PostScript
1 .088 0 r
.38462 .58974 m
.38444 .59011 L
s
% Start of user PostScript
-0.692308 0.538462 -0.693352 0.540642 MAarrowhead1
% End of user PostScript
1 .13 0 r
.38462 .61538 m
.38418 .61577 L
s
% Start of user PostScript
-0.692308 0.692308 -0.694928 0.694631 MAarrowhead1
% End of user PostScript
1 .191 0 r
.38462 .64103 m
.38388 .64144 L
s
% Start of user PostScript
-0.692308 0.846154 -0.696724 0.848621 MAarrowhead1
% End of user PostScript
1 .265 0 r
.38462 .66667 m
.38354 .6671 L
s
% Start of user PostScript
-0.692308 1. -0.698741 1.00261 MAarrowhead1
% End of user PostScript
1 .349 0 r
.38462 .69231 m
.38317 .69277 L
s
% Start of user PostScript
-0.692308 1.15385 -0.700979 1.1566 MAarrowhead1
% End of user PostScript
1 .442 0 r
.38462 .71795 m
.38276 .71843 L
s
% Start of user PostScript
-0.692308 1.30769 -0.703437 1.31059 MAarrowhead1
% End of user PostScript
1 .545 0 r
.38462 .74359 m
.38231 .7441 L
s
% Start of user PostScript
-0.692308 1.46154 -0.706115 1.46458 MAarrowhead1
% End of user PostScript
1 .657 0 r
.38462 .76923 m
.38183 .76976 L
s
% Start of user PostScript
-0.692308 1.61538 -0.709014 1.61857 MAarrowhead1
% End of user PostScript
1 .778 0 r
.38462 .79487 m
.38131 .79543 L
s
% Start of user PostScript
-0.692308 1.76923 -0.712133 1.77256 MAarrowhead1
% End of user PostScript
1 .908 0 r
.38462 .82051 m
.38075 .82109 L
s
% Start of user PostScript
-0.692308 1.92308 -0.715473 1.92655 MAarrowhead1
% End of user PostScript
.954 1 0 r
.38462 .84615 m
.38016 .84676 L
s
% Start of user PostScript
-0.692308 2.07692 -0.719033 2.08054 MAarrowhead1
% End of user PostScript
.807 1 0 r
.38462 .87179 m
.37953 .87242 L
s
% Start of user PostScript
-0.692308 2.23077 -0.722814 2.23453 MAarrowhead1
% End of user PostScript
.651 1 0 r
.38462 .89744 m
.37886 .89809 L
s
% Start of user PostScript
-0.692308 2.38462 -0.726815 2.38852 MAarrowhead1
% End of user PostScript
.486 1 0 r
.38462 .92308 m
.37816 .92375 L
s
% Start of user PostScript
-0.692308 2.53846 -0.731037 2.5425 MAarrowhead1
% End of user PostScript
.313 1 0 r
.38462 .94872 m
.37742 .94942 L
s
% Start of user PostScript
-0.692308 2.69231 -0.735479 2.69649 MAarrowhead1
% End of user PostScript
.131 1 0 r
.38462 .97436 m
.37664 .97508 L
s
% Start of user PostScript
-0.692308 2.84615 -0.740141 2.85048 MAarrowhead1
% End of user PostScript
0 1 .059 r
.38462 1 m
0 0 rlineto s
.38462 1 m
.38462 1 L
s
% Start of user PostScript
-0.692308 3. -0.745024 3.00447 MAarrowhead1
% End of user PostScript
.915 1 0 r
.41026 0 m
0 0 rlineto s
% Start of user PostScript
-0.538462 -3. -0.566389 -3.00101 MAarrowhead1
% End of user PostScript
1 .942 0 r
.41026 .02564 m
.40621 .0255 L
s
% Start of user PostScript
-0.538462 -2.84615 -0.56274 -2.84702 MAarrowhead1
% End of user PostScript
1 .808 0 r
.41026 .05128 m
.40678 .05116 L
s
% Start of user PostScript
-0.538462 -2.69231 -0.559312 -2.69303 MAarrowhead1
% End of user PostScript
1 .683 0 r
.41026 .07692 m
.40732 .07683 L
s
% Start of user PostScript
-0.538462 -2.53846 -0.556105 -2.53905 MAarrowhead1
% End of user PostScript
1 .566 0 r
.41026 .10256 m
.40781 .10249 L
s
% Start of user PostScript
-0.538462 -2.38462 -0.553118 -2.38506 MAarrowhead1
% End of user PostScript
1 .458 0 r
.41026 .12821 m
.40827 .12816 L
s
% Start of user PostScript
-0.538462 -2.23077 -0.550351 -2.23107 MAarrowhead1
% End of user PostScript
1 .358 0 r
.41026 .15385 m
.4087 .15382 L
s
% Start of user PostScript
-0.538462 -2.07692 -0.547805 -2.07708 MAarrowhead1
% End of user PostScript
1 .267 0 r
.41026 .17949 m
.40909 .17949 L
s
% Start of user PostScript
-0.538462 -1.92308 -0.545479 -1.92309 MAarrowhead1
% End of user PostScript
1 .185 0 r
.41026 .20513 m
.40944 .20515 L
s
% Start of user PostScript
-0.538462 -1.76923 -0.543374 -1.7691 MAarrowhead1
% End of user PostScript
1 .112 0 r
.41026 .23077 m
.40975 .23082 L
s
% Start of user PostScript
-0.538462 -1.61538 -0.541489 -1.61511 MAarrowhead1
% End of user PostScript
1 .049 0 r
.41026 .25641 m
.41003 .25648 L
s
% Start of user PostScript
-0.538462 -1.46154 -0.539825 -1.46112 MAarrowhead1
% End of user PostScript
1 .016 0 r
.41026 .28205 m
.41027 .28215 L
s
% Start of user PostScript
-0.538462 -1.30769 -0.538381 -1.30713 MAarrowhead1
% End of user PostScript
1 .051 0 r
.41026 .30769 m
.41047 .30781 L
s
% Start of user PostScript
-0.538462 -1.15385 -0.537158 -1.15314 MAarrowhead1
% End of user PostScript
1 .089 0 r
.41026 .33333 m
.41064 .33347 L
s
% Start of user PostScript
-0.538462 -1. -0.536155 -0.999151 MAarrowhead1
% End of user PostScript
1 .12 0 r
.41026 .35897 m
.41077 .35914 L
s
% Start of user PostScript
-0.538462 -0.846154 -0.535372 -0.845161 MAarrowhead1
% End of user PostScript
1 .143 0 r
.41026 .38462 m
.41087 .3848 L
s
% Start of user PostScript
-0.538462 -0.692308 -0.53481 -0.691172 MAarrowhead1
% End of user PostScript
1 .157 0 r
.41026 .41026 m
.41092 .41047 L
s
% Start of user PostScript
-0.538462 -0.538462 -0.534468 -0.537183 MAarrowhead1
% End of user PostScript
1 .163 0 r
.41026 .4359 m
.41094 .43613 L
s
% Start of user PostScript
-0.538462 -0.384615 -0.534347 -0.383193 MAarrowhead1
% End of user PostScript
1 .162 0 r
.41026 .46154 m
.41093 .4618 L
s
% Start of user PostScript
-0.538462 -0.230769 -0.534446 -0.229204 MAarrowhead1
% End of user PostScript
1 .152 0 r
.41026 .48718 m
.41087 .48746 L
s
% Start of user PostScript
-0.538462 -0.0769231 -0.534766 -0.0752142 MAarrowhead1
% End of user PostScript
1 .136 0 r
.41026 .51282 m
.41078 .51313 L
s
% Start of user PostScript
-0.538462 0.0769231 -0.535306 0.0787752 MAarrowhead1
% End of user PostScript
1 .115 0 r
.41026 .53846 m
.41066 .53879 L
s
% Start of user PostScript
-0.538462 0.230769 -0.536066 0.232765 MAarrowhead1
% End of user PostScript
1 .094 0 r
.41026 .5641 m
.41049 .56446 L
s
% Start of user PostScript
-0.538462 0.384615 -0.537047 0.386754 MAarrowhead1
% End of user PostScript
1 .083 0 r
.41026 .58974 m
.41029 .59012 L
s
% Start of user PostScript
-0.538462 0.538462 -0.538249 0.540744 MAarrowhead1
% End of user PostScript
1 .099 0 r
.41026 .61538 m
.41005 .61579 L
s
% Start of user PostScript
-0.538462 0.692308 -0.539671 0.694733 MAarrowhead1
% End of user PostScript
1 .143 0 r
.41026 .64103 m
.40978 .64145 L
s
% Start of user PostScript
-0.538462 0.846154 -0.541313 0.848722 MAarrowhead1
% End of user PostScript
1 .206 0 r
.41026 .66667 m
.40947 .66712 L
s
% Start of user PostScript
-0.538462 1. -0.543176 1.00271 MAarrowhead1
% End of user PostScript
1 .281 0 r
.41026 .69231 m
.40912 .69278 L
s
% Start of user PostScript
-0.538462 1.15385 -0.545259 1.1567 MAarrowhead1
% End of user PostScript
1 .368 0 r
.41026 .71795 m
.40874 .71845 L
s
% Start of user PostScript
-0.538462 1.30769 -0.547563 1.31069 MAarrowhead1
% End of user PostScript
1 .464 0 r
.41026 .74359 m
.40832 .74411 L
s
% Start of user PostScript
-0.538462 1.46154 -0.550087 1.46468 MAarrowhead1
% End of user PostScript
1 .569 0 r
.41026 .76923 m
.40786 .76978 L
s
% Start of user PostScript
-0.538462 1.61538 -0.552831 1.61867 MAarrowhead1
% End of user PostScript
1 .683 0 r
.41026 .79487 m
.40737 .79544 L
s
% Start of user PostScript
-0.538462 1.76923 -0.555796 1.77266 MAarrowhead1
% End of user PostScript
1 .807 0 r
.41026 .82051 m
.40684 .82111 L
s
% Start of user PostScript
-0.538462 1.92308 -0.558982 1.92665 MAarrowhead1
% End of user PostScript
1 .939 0 r
.41026 .84615 m
.40627 .84677 L
s
% Start of user PostScript
-0.538462 2.07692 -0.562388 2.08064 MAarrowhead1
% End of user PostScript
.92 1 0 r
.41026 .87179 m
.40566 .87244 L
s
% Start of user PostScript
-0.538462 2.23077 -0.566014 2.23463 MAarrowhead1
% End of user PostScript
.771 1 0 r
.41026 .89744 m
.40502 .8981 L
s
% Start of user PostScript
-0.538462 2.38462 -0.569861 2.38862 MAarrowhead1
% End of user PostScript
.612 1 0 r
.41026 .92308 m
.40435 .92377 L
s
% Start of user PostScript
-0.538462 2.53846 -0.573928 2.54261 MAarrowhead1
% End of user PostScript
.445 1 0 r
.41026 .94872 m
.40363 .94943 L
s
% Start of user PostScript
-0.538462 2.69231 -0.578216 2.6966 MAarrowhead1
% End of user PostScript
.27 1 0 r
.41026 .97436 m
.40288 .9751 L
s
% Start of user PostScript
-0.538462 2.84615 -0.582724 2.85059 MAarrowhead1
% End of user PostScript
.086 1 0 r
.41026 1 m
0 0 rlineto s
.41026 1 m
.41026 1 L
s
% Start of user PostScript
-0.538462 3. -0.587452 3.00457 MAarrowhead1
% End of user PostScript
.826 1 0 r
.4359 0 m
0 0 rlineto s
% Start of user PostScript
-0.384615 -3. -0.414835 -3.00127 MAarrowhead1
% End of user PostScript
.974 1 0 r
.4359 .02564 m
.43149 .02545 L
s
% Start of user PostScript
-0.384615 -2.84615 -0.411032 -2.84728 MAarrowhead1
% End of user PostScript
1 .886 0 r
.4359 .05128 m
.43209 .05112 L
s
% Start of user PostScript
-0.384615 -2.69231 -0.40745 -2.69329 MAarrowhead1
% End of user PostScript
1 .754 0 r
.4359 .07692 m
.43265 .07678 L
s
% Start of user PostScript
-0.384615 -2.53846 -0.404088 -2.5393 MAarrowhead1
% End of user PostScript
1 .632 0 r
.4359 .10256 m
.43318 .10245 L
s
% Start of user PostScript
-0.384615 -2.38462 -0.400947 -2.38531 MAarrowhead1
% End of user PostScript
1 .517 0 r
.4359 .12821 m
.43366 .12811 L
s
% Start of user PostScript
-0.384615 -2.23077 -0.398026 -2.23132 MAarrowhead1
% End of user PostScript
1 .412 0 r
.4359 .15385 m
.43411 .15378 L
s
% Start of user PostScript
-0.384615 -2.07692 -0.395326 -2.07733 MAarrowhead1
% End of user PostScript
1 .315 0 r
.4359 .17949 m
.43453 .17944 L
s
% Start of user PostScript
-0.384615 -1.92308 -0.392846 -1.92334 MAarrowhead1
% End of user PostScript
1 .227 0 r
.4359 .20513 m
.4349 .20511 L
s
% Start of user PostScript
-0.384615 -1.76923 -0.390586 -1.76935 MAarrowhead1
% End of user PostScript
1 .147 0 r
.4359 .23077 m
.43524 .23077 L
s
% Start of user PostScript
-0.384615 -1.61538 -0.388547 -1.61536 MAarrowhead1
% End of user PostScript
1 .076 0 r
.4359 .25641 m
.43555 .25644 L
s
% Start of user PostScript
-0.384615 -1.46154 -0.386728 -1.46137 MAarrowhead1
% End of user PostScript
1 .017 0 r
.4359 .28205 m
.43581 .2821 L
s
% Start of user PostScript
-0.384615 -1.30769 -0.38513 -1.30738 MAarrowhead1
% End of user PostScript
1 .031 0 r
.4359 .30769 m
.43604 .30777 L
s
% Start of user PostScript
-0.384615 -1.15385 -0.383752 -1.15339 MAarrowhead1
% End of user PostScript
1 .076 0 r
.4359 .33333 m
.43623 .33343 L
s
% Start of user PostScript
-0.384615 -1. -0.382595 -0.999405 MAarrowhead1
% End of user PostScript
1 .112 0 r
.4359 .35897 m
.43639 .3591 L
s
% Start of user PostScript
-0.384615 -0.846154 -0.381658 -0.845416 MAarrowhead1
% End of user PostScript
1 .141 0 r
.4359 .38462 m
.43651 .38476 L
s
% Start of user PostScript
-0.384615 -0.692308 -0.380942 -0.691426 MAarrowhead1
% End of user PostScript
1 .161 0 r
.4359 .41026 m
.43659 .41043 L
s
% Start of user PostScript
-0.384615 -0.538462 -0.380446 -0.537437 MAarrowhead1
% End of user PostScript
1 .173 0 r
.4359 .4359 m
.43664 .43609 L
s
% Start of user PostScript
-0.384615 -0.384615 -0.38017 -0.383447 MAarrowhead1
% End of user PostScript
1 .176 0 r
.4359 .46154 m
.43665 .46176 L
s
% Start of user PostScript
-0.384615 -0.230769 -0.380115 -0.229458 MAarrowhead1
% End of user PostScript
1 .172 0 r
.4359 .48718 m
.43662 .48742 L
s
% Start of user PostScript
-0.384615 -0.0769231 -0.38028 -0.0754686 MAarrowhead1
% End of user PostScript
1 .16 0 r
.4359 .51282 m
.43656 .51309 L
s
% Start of user PostScript
-0.384615 0.0769231 -0.380666 0.0785209 MAarrowhead1
% End of user PostScript
1 .141 0 r
.4359 .53846 m
.43645 .53875 L
s
% Start of user PostScript
-0.384615 0.230769 -0.381272 0.23251 MAarrowhead1
% End of user PostScript
1 .116 0 r
.4359 .5641 m
.43632 .56442 L
s
% Start of user PostScript
-0.384615 0.384615 -0.382099 0.3865 MAarrowhead1
% End of user PostScript
1 .091 0 r
.4359 .58974 m
.43614 .59008 L
s
% Start of user PostScript
-0.384615 0.538462 -0.383146 0.540489 MAarrowhead1
% End of user PostScript
1 .079 0 r
.4359 .61538 m
.43593 .61575 L
s
% Start of user PostScript
-0.384615 0.692308 -0.384414 0.694479 MAarrowhead1
% End of user PostScript
1 .097 0 r
.4359 .64103 m
.43568 .64141 L
s
% Start of user PostScript
-0.384615 0.846154 -0.385902 0.848468 MAarrowhead1
% End of user PostScript
1 .145 0 r
.4359 .66667 m
.4354 .66708 L
s
% Start of user PostScript
-0.384615 1. -0.38761 1.00246 MAarrowhead1
% End of user PostScript
1 .211 0 r
.4359 .69231 m
.43508 .69274 L
s
% Start of user PostScript
-0.384615 1.15385 -0.389539 1.15645 MAarrowhead1
% End of user PostScript
1 .29 0 r
.4359 .71795 m
.43472 .71841 L
s
% Start of user PostScript
-0.384615 1.30769 -0.391688 1.31044 MAarrowhead1
% End of user PostScript
1 .379 0 r
.4359 .74359 m
.43432 .74407 L
s
% Start of user PostScript
-0.384615 1.46154 -0.394058 1.46443 MAarrowhead1
% End of user PostScript
1 .478 0 r
.4359 .76923 m
.43389 .76974 L
s
% Start of user PostScript
-0.384615 1.61538 -0.396648 1.61842 MAarrowhead1
% End of user PostScript
1 .586 0 r
.4359 .79487 m
.43342 .7954 L
s
% Start of user PostScript
-0.384615 1.76923 -0.399459 1.7724 MAarrowhead1
% End of user PostScript
1 .703 0 r
.4359 .82051 m
.43292 .82107 L
s
% Start of user PostScript
-0.384615 1.92308 -0.40249 1.92639 MAarrowhead1
% End of user PostScript
1 .829 0 r
.4359 .84615 m
.43238 .84673 L
s
% Start of user PostScript
-0.384615 2.07692 -0.405742 2.08038 MAarrowhead1
% End of user PostScript
1 .964 0 r
.4359 .87179 m
.4318 .8724 L
s
% Start of user PostScript
-0.384615 2.23077 -0.409214 2.23437 MAarrowhead1
% End of user PostScript
.892 1 0 r
.4359 .89744 m
.43118 .89806 L
s
% Start of user PostScript
-0.384615 2.38462 -0.412906 2.38836 MAarrowhead1
% End of user PostScript
.74 1 0 r
.4359 .92308 m
.43053 .92373 L
s
% Start of user PostScript
-0.384615 2.53846 -0.416819 2.54235 MAarrowhead1
% End of user PostScript
.579 1 0 r
.4359 .94872 m
.42984 .94939 L
s
% Start of user PostScript
-0.384615 2.69231 -0.420953 2.69634 MAarrowhead1
% End of user PostScript
.41 1 0 r
.4359 .97436 m
.42912 .97506 L
s
% Start of user PostScript
-0.384615 2.84615 -0.425306 2.85033 MAarrowhead1
% End of user PostScript
.231 1 0 r
.4359 1 m
0 0 rlineto s
.4359 1 m
.4359 1 L
s
% Start of user PostScript
-0.384615 3. -0.429881 3.00432 MAarrowhead1
% End of user PostScript
.735 1 0 r
.46154 0 m
0 0 rlineto s
% Start of user PostScript
-0.230769 -3. -0.263282 -3.00178 MAarrowhead1
% End of user PostScript
.89 1 0 r
.46154 .02564 m
.45678 .02537 L
s
% Start of user PostScript
-0.230769 -2.84615 -0.259325 -2.84779 MAarrowhead1
% End of user PostScript
1 .964 0 r
.46154 .05128 m
.4574 .05103 L
s
% Start of user PostScript
-0.230769 -2.69231 -0.255588 -2.6938 MAarrowhead1
% End of user PostScript
1 .827 0 r
.46154 .07692 m
.45799 .0767 L
s
% Start of user PostScript
-0.230769 -2.53846 -0.252072 -2.53981 MAarrowhead1
% End of user PostScript
1 .698 0 r
.46154 .10256 m
.45854 .10236 L
s
% Start of user PostScript
-0.230769 -2.38462 -0.248776 -2.38582 MAarrowhead1
% End of user PostScript
1 .578 0 r
.46154 .12821 m
.45905 .12803 L
s
% Start of user PostScript
-0.230769 -2.23077 -0.245701 -2.23183 MAarrowhead1
% End of user PostScript
1 .466 0 r
.46154 .15385 m
.45953 .15369 L
s
% Start of user PostScript
-0.230769 -2.07692 -0.242846 -2.07784 MAarrowhead1
% End of user PostScript
1 .363 0 r
.46154 .17949 m
.45996 .17936 L
s
% Start of user PostScript
-0.230769 -1.92308 -0.240212 -1.92385 MAarrowhead1
% End of user PostScript
1 .269 0 r
.46154 .20513 m
.46037 .20502 L
s
% Start of user PostScript
-0.230769 -1.76923 -0.237798 -1.76986 MAarrowhead1
% End of user PostScript
1 .183 0 r
.46154 .23077 m
.46073 .23069 L
s
% Start of user PostScript
-0.230769 -1.61538 -0.235605 -1.61587 MAarrowhead1
% End of user PostScript
1 .106 0 r
.46154 .25641 m
.46106 .25635 L
s
% Start of user PostScript
-0.230769 -1.46154 -0.233632 -1.46188 MAarrowhead1
% End of user PostScript
1 .037 0 r
.46154 .28205 m
.46135 .28202 L
s
% Start of user PostScript
-0.230769 -1.30769 -0.231879 -1.30789 MAarrowhead1
% End of user PostScript
1 .01 0 r
.46154 .30769 m
.46161 .30768 L
s
% Start of user PostScript
-0.230769 -1.15385 -0.230347 -1.1539 MAarrowhead1
% End of user PostScript
1 .061 0 r
.46154 .33333 m
.46183 .33335 L
s
% Start of user PostScript
-0.230769 -1. -0.229035 -0.999914 MAarrowhead1
% End of user PostScript
1 .104 0 r
.46154 .35897 m
.46201 .35901 L
s
% Start of user PostScript
-0.230769 -0.846154 -0.227944 -0.845924 MAarrowhead1
% End of user PostScript
1 .138 0 r
.46154 .38462 m
.46215 .38468 L
s
% Start of user PostScript
-0.230769 -0.692308 -0.227073 -0.691935 MAarrowhead1
% End of user PostScript
1 .164 0 r
.46154 .41026 m
.46226 .41034 L
s
% Start of user PostScript
-0.230769 -0.538462 -0.226423 -0.537946 MAarrowhead1
% End of user PostScript
1 .182 0 r
.46154 .4359 m
.46233 .43601 L
s
% Start of user PostScript
-0.230769 -0.384615 -0.225993 -0.383956 MAarrowhead1
% End of user PostScript
1 .191 0 r
.46154 .46154 m
.46237 .46167 L
s
% Start of user PostScript
-0.230769 -0.230769 -0.225784 -0.229967 MAarrowhead1
% End of user PostScript
.46154 .48718 m
.46237 .48734 L
s
% Start of user PostScript
-0.230769 -0.0769231 -0.225795 -0.0759773 MAarrowhead1
% End of user PostScript
1 .183 0 r
.46154 .51282 m
.46233 .513 L
s
% Start of user PostScript
-0.230769 0.0769231 -0.226026 0.0780122 MAarrowhead1
% End of user PostScript
1 .168 0 r
.46154 .53846 m
.46225 .53867 L
s
% Start of user PostScript
-0.230769 0.230769 -0.226478 0.232002 MAarrowhead1
% End of user PostScript
1 .145 0 r
.46154 .5641 m
.46214 .56433 L
s
% Start of user PostScript
-0.230769 0.384615 -0.227151 0.385991 MAarrowhead1
% End of user PostScript
1 .115 0 r
.46154 .58974 m
.46199 .59 L
s
% Start of user PostScript
-0.230769 0.538462 -0.228043 0.53998 MAarrowhead1
% End of user PostScript
1 .084 0 r
.46154 .61538 m
.46181 .61566 L
s
% Start of user PostScript
-0.230769 0.692308 -0.229157 0.69397 MAarrowhead1
% End of user PostScript
1 .065 0 r
.46154 .64103 m
.46158 .64133 L
s
% Start of user PostScript
-0.230769 0.846154 -0.23049 0.847959 MAarrowhead1
% End of user PostScript
1 .084 0 r
.46154 .66667 m
.46133 .66699 L
s
% Start of user PostScript
-0.230769 1. -0.232045 1.00195 MAarrowhead1
% End of user PostScript
1 .138 0 r
.46154 .69231 m
.46103 .69266 L
s
% Start of user PostScript
-0.230769 1.15385 -0.233819 1.15594 MAarrowhead1
% End of user PostScript
1 .209 0 r
.46154 .71795 m
.4607 .71832 L
s
% Start of user PostScript
-0.230769 1.30769 -0.235814 1.30993 MAarrowhead1
% End of user PostScript
1 .292 0 r
.46154 .74359 m
.46033 .74399 L
s
% Start of user PostScript
-0.230769 1.46154 -0.23803 1.46392 MAarrowhead1
% End of user PostScript
1 .385 0 r
.46154 .76923 m
.45992 .76965 L
s
% Start of user PostScript
-0.230769 1.61538 -0.240466 1.61791 MAarrowhead1
% End of user PostScript
1 .487 0 r
.46154 .79487 m
.45948 .79532 L
s
% Start of user PostScript
-0.230769 1.76923 -0.243122 1.7719 MAarrowhead1
% End of user PostScript
1 .598 0 r
.46154 .82051 m
.459 .82098 L
s
% Start of user PostScript
-0.230769 1.92308 -0.245999 1.92589 MAarrowhead1
% End of user PostScript
1 .718 0 r
.46154 .84615 m
.45848 .84665 L
s
% Start of user PostScript
-0.230769 2.07692 -0.249096 2.07987 MAarrowhead1
% End of user PostScript
1 .847 0 r
.46154 .87179 m
.45793 .87231 L
s
% Start of user PostScript
-0.230769 2.23077 -0.252414 2.23386 MAarrowhead1
% End of user PostScript
1 .985 0 r
.46154 .89744 m
.45734 .89798 L
s
% Start of user PostScript
-0.230769 2.38462 -0.255952 2.38785 MAarrowhead1
% End of user PostScript
.869 1 0 r
.46154 .92308 m
.45671 .92364 L
s
% Start of user PostScript
-0.230769 2.53846 -0.25971 2.54184 MAarrowhead1
% End of user PostScript
.714 1 0 r
.46154 .94872 m
.45605 .94931 L
s
% Start of user PostScript
-0.230769 2.69231 -0.263689 2.69583 MAarrowhead1
% End of user PostScript
.55 1 0 r
.46154 .97436 m
.45535 .97497 L
s
% Start of user PostScript
-0.230769 2.84615 -0.267889 2.84982 MAarrowhead1
% End of user PostScript
.378 1 0 r
.46154 1 m
0 0 rlineto s
.46154 1 m
.46154 1 L
s
% Start of user PostScript
-0.230769 3. -0.272309 3.00381 MAarrowhead1
% End of user PostScript
.644 1 0 r
.48718 0 m
0 0 rlineto s
% Start of user PostScript
-0.0769231 -3. -0.111728 -3.00244 MAarrowhead1
% End of user PostScript
.805 1 0 r
.48718 .02564 m
.48206 .02526 L
s
% Start of user PostScript
-0.0769231 -2.84615 -0.107617 -2.84845 MAarrowhead1
% End of user PostScript
.957 1 0 r
.48718 .05128 m
.48271 .05092 L
s
% Start of user PostScript
-0.0769231 -2.69231 -0.103726 -2.69446 MAarrowhead1
% End of user PostScript
1 .9 0 r
.48718 .07692 m
.48332 .07659 L
s
% Start of user PostScript
-0.0769231 -2.53846 -0.100056 -2.54047 MAarrowhead1
% End of user PostScript
1 .765 0 r
.48718 .10256 m
.4839 .10225 L
s
% Start of user PostScript
-0.0769231 -2.38462 -0.0966056 -2.38648 MAarrowhead1
% End of user PostScript
1 .639 0 r
.48718 .12821 m
.48444 .12792 L
s
% Start of user PostScript
-0.0769231 -2.23077 -0.093376 -2.23249 MAarrowhead1
% End of user PostScript
1 .522 0 r
.48718 .15385 m
.48494 .15358 L
s
% Start of user PostScript
-0.0769231 -2.07692 -0.090367 -2.0785 MAarrowhead1
% End of user PostScript
1 .413 0 r
.48718 .17949 m
.4854 .17925 L
s
% Start of user PostScript
-0.0769231 -1.92308 -0.0875783 -1.92451 MAarrowhead1
% End of user PostScript
1 .313 0 r
.48718 .20513 m
.48583 .20491 L
s
% Start of user PostScript
-0.0769231 -1.76923 -0.0850101 -1.77052 MAarrowhead1
% End of user PostScript
1 .222 0 r
.48718 .23077 m
.48622 .23058 L
s
% Start of user PostScript
-0.0769231 -1.61538 -0.0826624 -1.61653 MAarrowhead1
% End of user PostScript
1 .14 0 r
.48718 .25641 m
.48658 .25624 L
s
% Start of user PostScript
-0.0769231 -1.46154 -0.0805351 -1.46254 MAarrowhead1
% End of user PostScript
1 .068 0 r
.48718 .28205 m
.4869 .28191 L
s
% Start of user PostScript
-0.0769231 -1.30769 -0.0786282 -1.30855 MAarrowhead1
% End of user PostScript
1 .022 0 r
.48718 .30769 m
.48718 .30757 L
s
% Start of user PostScript
-0.0769231 -1.15385 -0.0769418 -1.15456 MAarrowhead1
% End of user PostScript
1 .054 0 r
.48718 .33333 m
.48742 .33324 L
s
% Start of user PostScript
-0.0769231 -1. -0.0754759 -1.00058 MAarrowhead1
% End of user PostScript
1 .1 0 r
.48718 .35897 m
.48763 .3589 L
s
% Start of user PostScript
-0.0769231 -0.846154 -0.0742303 -0.846586 MAarrowhead1
% End of user PostScript
1 .139 0 r
.48718 .38462 m
.4878 .38457 L
s
% Start of user PostScript
-0.0769231 -0.692308 -0.0732053 -0.692596 MAarrowhead1
% End of user PostScript
1 .17 0 r
.48718 .41026 m
.48793 .41023 L
s
% Start of user PostScript
-0.0769231 -0.538462 -0.0724006 -0.538607 MAarrowhead1
% End of user PostScript
1 .193 0 r
.48718 .4359 m
.48803 .4359 L
s
% Start of user PostScript
-0.0769231 -0.384615 -0.0718165 -0.384618 MAarrowhead1
% End of user PostScript
1 .207 0 r
.48718 .46154 m
.48809 .46156 L
s
% Start of user PostScript
-0.0769231 -0.230769 -0.0714527 -0.230628 MAarrowhead1
% End of user PostScript
1 .213 0 r
.48718 .48718 m
.48812 .48723 L
s
% Start of user PostScript
-0.0769231 -0.0769231 -0.0713094 -0.0766386 MAarrowhead1
% End of user PostScript
1 .21 0 r
.48718 .51282 m
.4881 .51289 L
s
% Start of user PostScript
-0.0769231 0.0769231 -0.0713866 0.0773508 MAarrowhead1
% End of user PostScript
1 .199 0 r
.48718 .53846 m
.48805 .53856 L
s
% Start of user PostScript
-0.0769231 0.230769 -0.0716842 0.23134 MAarrowhead1
% End of user PostScript
1 .18 0 r
.48718 .5641 m
.48797 .56422 L
s
% Start of user PostScript
-0.0769231 0.384615 -0.0722022 0.38533 MAarrowhead1
% End of user PostScript
1 .152 0 r
.48718 .58974 m
.48784 .58989 L
s
% Start of user PostScript
-0.0769231 0.538462 -0.0729407 0.539319 MAarrowhead1
% End of user PostScript
1 .118 0 r
.48718 .61538 m
.48768 .61555 L
s
% Start of user PostScript
-0.0769231 0.692308 -0.0738997 0.693309 MAarrowhead1
% End of user PostScript
1 .078 0 r
.48718 .64103 m
.48749 .64122 L
s
% Start of user PostScript
-0.0769231 0.846154 -0.075079 0.847298 MAarrowhead1
% End of user PostScript
1 .047 0 r
.48718 .66667 m
.48725 .66688 L
s
% Start of user PostScript
-0.0769231 1. -0.0764789 1.00129 MAarrowhead1
% End of user PostScript
1 .066 0 r
.48718 .69231 m
.48698 .69255 L
s
% Start of user PostScript
-0.0769231 1.15385 -0.0780992 1.15528 MAarrowhead1
% End of user PostScript
1 .126 0 r
.48718 .71795 m
.48668 .71821 L
s
% Start of user PostScript
-0.0769231 1.30769 -0.0799399 1.30927 MAarrowhead1
% End of user PostScript
1 .203 0 r
.48718 .74359 m
.48633 .74388 L
s
% Start of user PostScript
-0.0769231 1.46154 -0.082001 1.46326 MAarrowhead1
% End of user PostScript
1 .29 0 r
.48718 .76923 m
.48595 .76954 L
s
% Start of user PostScript
-0.0769231 1.61538 -0.0842827 1.61725 MAarrowhead1
% End of user PostScript
1 .386 0 r
.48718 .79487 m
.48554 .79521 L
s
% Start of user PostScript
-0.0769231 1.76923 -0.0867847 1.77123 MAarrowhead1
% End of user PostScript
1 .492 0 r
.48718 .82051 m
.48508 .82087 L
s
% Start of user PostScript
-0.0769231 1.92308 -0.0895072 1.92522 MAarrowhead1
% End of user PostScript
1 .606 0 r
.48718 .84615 m
.48459 .84654 L
s
% Start of user PostScript
-0.0769231 2.07692 -0.0924502 2.07921 MAarrowhead1
% End of user PostScript
1 .729 0 r
.48718 .87179 m
.48406 .8722 L
s
% Start of user PostScript
-0.0769231 2.23077 -0.0956136 2.2332 MAarrowhead1
% End of user PostScript
1 .861 0 r
.48718 .89744 m
.4835 .89787 L
s
% Start of user PostScript
-0.0769231 2.38462 -0.0989974 2.38719 MAarrowhead1
% End of user PostScript
.998 1 0 r
.48718 .92308 m
.4829 .92353 L
s
% Start of user PostScript
-0.0769231 2.53846 -0.102602 2.54118 MAarrowhead1
% End of user PostScript
.849 1 0 r
.48718 .94872 m
.48226 .9492 L
s
% Start of user PostScript
-0.0769231 2.69231 -0.106426 2.69517 MAarrowhead1
% End of user PostScript
.691 1 0 r
.48718 .97436 m
.48159 .97486 L
s
% Start of user PostScript
-0.0769231 2.84615 -0.110472 2.84916 MAarrowhead1
% End of user PostScript
.525 1 0 r
.48718 1 m
0 0 rlineto s
.48718 1 m
.48718 1 L
s
% Start of user PostScript
-0.0769231 3. -0.114737 3.00315 MAarrowhead1
% End of user PostScript
.553 1 0 r
.51282 0 m
0 0 rlineto s
% Start of user PostScript
0.0769231 -3. 0.0398254 -3.00315 MAarrowhead1
% End of user PostScript
.719 1 0 r
.51282 .02564 m
.50735 .02514 L
s
% Start of user PostScript
0.0769231 -2.84615 0.044091 -2.84916 MAarrowhead1
% End of user PostScript
.877 1 0 r
.51282 .05128 m
.50802 .0508 L
s
% Start of user PostScript
0.0769231 -2.69231 0.0481362 -2.69517 MAarrowhead1
% End of user PostScript
1 .974 0 r
.51282 .07692 m
.50866 .07647 L
s
% Start of user PostScript
0.0769231 -2.53846 0.0519609 -2.54118 MAarrowhead1
% End of user PostScript
1 .833 0 r
.51282 .10256 m
.50926 .10213 L
s
% Start of user PostScript
0.0769231 -2.38462 0.0555652 -2.38719 MAarrowhead1
% End of user PostScript
1 .702 0 r
.51282 .12821 m
.50982 .1278 L
s
% Start of user PostScript
0.0769231 -2.23077 0.058949 -2.2332 MAarrowhead1
% End of user PostScript
1 .579 0 r
.51282 .15385 m
.51035 .15346 L
s
% Start of user PostScript
0.0769231 -2.07692 0.0621124 -2.07921 MAarrowhead1
% End of user PostScript
1 .464 0 r
.51282 .17949 m
.51084 .17913 L
s
% Start of user PostScript
0.0769231 -1.92308 0.0650554 -1.92522 MAarrowhead1
% End of user PostScript
1 .359 0 r
.51282 .20513 m
.5113 .20479 L
s
% Start of user PostScript
0.0769231 -1.76923 0.0677779 -1.77123 MAarrowhead1
% End of user PostScript
1 .263 0 r
.51282 .23077 m
.51171 .23046 L
s
% Start of user PostScript
0.0769231 -1.61538 0.0702799 -1.61725 MAarrowhead1
% End of user PostScript
1 .176 0 r
.51282 .25641 m
.51209 .25612 L
s
% Start of user PostScript
0.0769231 -1.46154 0.0725616 -1.46326 MAarrowhead1
% End of user PostScript
1 .102 0 r
.51282 .28205 m
.51244 .28179 L
s
% Start of user PostScript
0.0769231 -1.30769 0.0746227 -1.30927 MAarrowhead1
% End of user PostScript
1 .052 0 r
.51282 .30769 m
.51274 .30745 L
s
% Start of user PostScript
0.0769231 -1.15385 0.0764634 -1.15528 MAarrowhead1
% End of user PostScript
1 .061 0 r
.51282 .33333 m
.51301 .33312 L
s
% Start of user PostScript
0.0769231 -1. 0.0780837 -1.00129 MAarrowhead1
% End of user PostScript
1 .103 0 r
.51282 .35897 m
.51325 .35878 L
s
% Start of user PostScript
0.0769231 -0.846154 0.0794836 -0.847298 MAarrowhead1
% End of user PostScript
1 .145 0 r
.51282 .38462 m
.51344 .38445 L
s
% Start of user PostScript
0.0769231 -0.692308 0.0806629 -0.693309 MAarrowhead1
% End of user PostScript
1 .18 0 r
.51282 .41026 m
.5136 .41011 L
s
% Start of user PostScript
0.0769231 -0.538462 0.0816219 -0.539319 MAarrowhead1
% End of user PostScript
1 .208 0 r
.51282 .4359 m
.51373 .43578 L
s
% Start of user PostScript
0.0769231 -0.384615 0.0823604 -0.38533 MAarrowhead1
% End of user PostScript
1 .227 0 r
.51282 .46154 m
.51381 .46144 L
s
% Start of user PostScript
0.0769231 -0.230769 0.0828784 -0.23134 MAarrowhead1
% End of user PostScript
1 .238 0 r
.51282 .48718 m
.51386 .48711 L
s
% Start of user PostScript
0.0769231 -0.0769231 0.083176 -0.0773508 MAarrowhead1
% End of user PostScript
1 .241 0 r
.51282 .51282 m
.51388 .51277 L
s
% Start of user PostScript
0.0769231 0.0769231 0.0832532 0.0766386 MAarrowhead1
% End of user PostScript
1 .235 0 r
.51282 .53846 m
.51385 .53844 L
s
% Start of user PostScript
0.0769231 0.230769 0.0831099 0.230628 MAarrowhead1
% End of user PostScript
1 .221 0 r
.51282 .5641 m
.51379 .5641 L
s
% Start of user PostScript
0.0769231 0.384615 0.0827461 0.384618 MAarrowhead1
% End of user PostScript
1 .198 0 r
.51282 .58974 m
.51369 .58977 L
s
% Start of user PostScript
0.0769231 0.538462 0.082162 0.538607 MAarrowhead1
% End of user PostScript
1 .167 0 r
.51282 .61538 m
.51356 .61543 L
s
% Start of user PostScript
0.0769231 0.692308 0.0813573 0.692596 MAarrowhead1
% End of user PostScript
1 .128 0 r
.51282 .64103 m
.51339 .6411 L
s
% Start of user PostScript
0.0769231 0.846154 0.0803323 0.846586 MAarrowhead1
% End of user PostScript
1 .081 0 r
.51282 .66667 m
.51318 .66676 L
s
% Start of user PostScript
0.0769231 1. 0.0790868 1.00058 MAarrowhead1
% End of user PostScript
1 .033 0 r
.51282 .69231 m
.51294 .69243 L
s
% Start of user PostScript
0.0769231 1.15385 0.0776208 1.15456 MAarrowhead1
% End of user PostScript
1 .045 0 r
.51282 .71795 m
.51266 .71809 L
s
% Start of user PostScript
0.0769231 1.30769 0.0759344 1.30855 MAarrowhead1
% End of user PostScript
1 .113 0 r
.51282 .74359 m
.51234 .74376 L
s
% Start of user PostScript
0.0769231 1.46154 0.0740275 1.46254 MAarrowhead1
% End of user PostScript
1 .195 0 r
.51282 .76923 m
.51198 .76942 L
s
% Start of user PostScript
0.0769231 1.61538 0.0719002 1.61653 MAarrowhead1
% End of user PostScript
1 .286 0 r
.51282 .79487 m
.51159 .79509 L
s
% Start of user PostScript
0.0769231 1.76923 0.0695525 1.77052 MAarrowhead1
% End of user PostScript
1 .386 0 r
.51282 .82051 m
.51116 .82075 L
s
% Start of user PostScript
0.0769231 1.92308 0.0669843 1.92451 MAarrowhead1
% End of user PostScript
1 .494 0 r
.51282 .84615 m
.5107 .84642 L
s
% Start of user PostScript
0.0769231 2.07692 0.0641956 2.0785 MAarrowhead1
% End of user PostScript
1 .612 0 r
.51282 .87179 m
.5102 .87208 L
s
% Start of user PostScript
0.0769231 2.23077 0.0611866 2.23249 MAarrowhead1
% End of user PostScript
1 .738 0 r
.51282 .89744 m
.50966 .89775 L
s
% Start of user PostScript
0.0769231 2.38462 0.057957 2.38648 MAarrowhead1
% End of user PostScript
1 .872 0 r
.51282 .92308 m
.50908 .92341 L
s
% Start of user PostScript
0.0769231 2.53846 0.0545071 2.54047 MAarrowhead1
% End of user PostScript
.985 1 0 r
.51282 .94872 m
.50847 .94908 L
s
% Start of user PostScript
0.0769231 2.69231 0.0508366 2.69446 MAarrowhead1
% End of user PostScript
.833 1 0 r
.51282 .97436 m
.50782 .97474 L
s
% Start of user PostScript
0.0769231 2.84615 0.0469458 2.84845 MAarrowhead1
% End of user PostScript
.672 1 0 r
.51282 1 m
0 0 rlineto s
.51282 1 m
.51282 1 L
s
% Start of user PostScript
0.0769231 3. 0.0428345 3.00244 MAarrowhead1
% End of user PostScript
.461 1 0 r
.53846 0 m
0 0 rlineto s
% Start of user PostScript
0.230769 -3. 0.191379 -3.00381 MAarrowhead1
% End of user PostScript
.634 1 0 r
.53846 .02564 m
.53263 .02503 L
s
% Start of user PostScript
0.230769 -2.84615 0.195799 -2.84982 MAarrowhead1
% End of user PostScript
.797 1 0 r
.53846 .05128 m
.53333 .05069 L
s
% Start of user PostScript
0.230769 -2.69231 0.199998 -2.69583 MAarrowhead1
% End of user PostScript
.952 1 0 r
.53846 .07692 m
.534 .07636 L
s
% Start of user PostScript
0.230769 -2.53846 0.203977 -2.54184 MAarrowhead1
% End of user PostScript
1 .902 0 r
.53846 .10256 m
.53462 .10202 L
s
% Start of user PostScript
0.230769 -2.38462 0.207736 -2.38785 MAarrowhead1
% End of user PostScript
1 .764 0 r
.53846 .12821 m
.53521 .12769 L
s
% Start of user PostScript
0.230769 -2.23077 0.211274 -2.23386 MAarrowhead1
% End of user PostScript
1 .635 0 r
.53846 .15385 m
.53577 .15335 L
s
% Start of user PostScript
0.230769 -2.07692 0.214592 -2.07987 MAarrowhead1
% End of user PostScript
1 .516 0 r
.53846 .17949 m
.53628 .17902 L
s
% Start of user PostScript
0.230769 -1.92308 0.217689 -1.92589 MAarrowhead1
% End of user PostScript
1 .405 0 r
.53846 .20513 m
.53676 .20468 L
s
% Start of user PostScript
0.230769 -1.76923 0.220566 -1.7719 MAarrowhead1
% End of user PostScript
1 .304 0 r
.53846 .23077 m
.5372 .23035 L
s
% Start of user PostScript
0.230769 -1.61538 0.223222 -1.61791 MAarrowhead1
% End of user PostScript
1 .214 0 r
.53846 .25641 m
.53761 .25601 L
s
% Start of user PostScript
0.230769 -1.46154 0.225658 -1.46392 MAarrowhead1
% End of user PostScript
1 .136 0 r
.53846 .28205 m
.53798 .28168 L
s
% Start of user PostScript
0.230769 -1.30769 0.227874 -1.30993 MAarrowhead1
% End of user PostScript
1 .082 0 r
.53846 .30769 m
.53831 .30734 L
s
% Start of user PostScript
0.230769 -1.15385 0.229869 -1.15594 MAarrowhead1
% End of user PostScript
1 .077 0 r
.53846 .33333 m
.53861 .33301 L
s
% Start of user PostScript
0.230769 -1. 0.231643 -1.00195 MAarrowhead1
% End of user PostScript
1 .112 0 r
.53846 .35897 m
.53887 .35867 L
s
% Start of user PostScript
0.230769 -0.846154 0.233197 -0.847959 MAarrowhead1
% End of user PostScript
1 .154 0 r
.53846 .38462 m
.53909 .38434 L
s
% Start of user PostScript
0.230769 -0.692308 0.234531 -0.69397 MAarrowhead1
% End of user PostScript
1 .193 0 r
.53846 .41026 m
.53927 .41 L
s
% Start of user PostScript
0.230769 -0.538462 0.235644 -0.53998 MAarrowhead1
% End of user PostScript
1 .225 0 r
.53846 .4359 m
.53942 .43567 L
s
% Start of user PostScript
0.230769 -0.384615 0.236537 -0.385991 MAarrowhead1
% End of user PostScript
1 .249 0 r
.53846 .46154 m
.53953 .46133 L
s
% Start of user PostScript
0.230769 -0.230769 0.23721 -0.232002 MAarrowhead1
% End of user PostScript
1 .266 0 r
.53846 .48718 m
.53961 .487 L
s
% Start of user PostScript
0.230769 -0.0769231 0.237661 -0.0780122 MAarrowhead1
% End of user PostScript
1 .274 0 r
.53846 .51282 m
.53965 .51266 L
s
% Start of user PostScript
0.230769 0.0769231 0.237893 0.0759773 MAarrowhead1
% End of user PostScript
.53846 .53846 m
.53965 .53833 L
s
% Start of user PostScript
0.230769 0.230769 0.237904 0.229967 MAarrowhead1
% End of user PostScript
1 .265 0 r
.53846 .5641 m
.53962 .56399 L
s
% Start of user PostScript
0.230769 0.384615 0.237695 0.383956 MAarrowhead1
% End of user PostScript
1 .248 0 r
.53846 .58974 m
.53954 .58966 L
s
% Start of user PostScript
0.230769 0.538462 0.237265 0.537946 MAarrowhead1
% End of user PostScript
1 .222 0 r
.53846 .61538 m
.53944 .61532 L
s
% Start of user PostScript
0.230769 0.692308 0.236614 0.691935 MAarrowhead1
% End of user PostScript
1 .188 0 r
.53846 .64103 m
.53929 .64099 L
s
% Start of user PostScript
0.230769 0.846154 0.235744 0.845924 MAarrowhead1
% End of user PostScript
1 .145 0 r
.53846 .66667 m
.53911 .66665 L
s
% Start of user PostScript
0.230769 1. 0.234652 0.999914 MAarrowhead1
% End of user PostScript
1 .094 0 r
.53846 .69231 m
.53889 .69232 L
s
% Start of user PostScript
0.230769 1.15385 0.233341 1.1539 MAarrowhead1
% End of user PostScript
1 .035 0 r
.53846 .71795 m
.53863 .71798 L
s
% Start of user PostScript
0.230769 1.30769 0.231809 1.30789 MAarrowhead1
% End of user PostScript
1 .024 0 r
.53846 .74359 m
.53834 .74365 L
s
% Start of user PostScript
0.230769 1.46154 0.230056 1.46188 MAarrowhead1
% End of user PostScript
1 .1 0 r
.53846 .76923 m
.53801 .76931 L
s
% Start of user PostScript
0.230769 1.61538 0.228083 1.61587 MAarrowhead1
% End of user PostScript
1 .186 0 r
.53846 .79487 m
.53765 .79498 L
s
% Start of user PostScript
0.230769 1.76923 0.22589 1.76986 MAarrowhead1
% End of user PostScript
1 .28 0 r
.53846 .82051 m
.53725 .82064 L
s
% Start of user PostScript
0.230769 1.92308 0.223476 1.92385 MAarrowhead1
% End of user PostScript
1 .383 0 r
.53846 .84615 m
.53681 .84631 L
s
% Start of user PostScript
0.230769 2.07692 0.220841 2.07784 MAarrowhead1
% End of user PostScript
1 .494 0 r
.53846 .87179 m
.53633 .87197 L
s
% Start of user PostScript
0.230769 2.23077 0.217987 2.23183 MAarrowhead1
% End of user PostScript
1 .614 0 r
.53846 .89744 m
.53582 .89764 L
s
% Start of user PostScript
0.230769 2.38462 0.214911 2.38582 MAarrowhead1
% End of user PostScript
1 .743 0 r
.53846 .92308 m
.53527 .9233 L
s
% Start of user PostScript
0.230769 2.53846 0.211616 2.53981 MAarrowhead1
% End of user PostScript
1 .88 0 r
.53846 .94872 m
.53468 .94897 L
s
% Start of user PostScript
0.230769 2.69231 0.2081 2.6938 MAarrowhead1
% End of user PostScript
.974 1 0 r
.53846 .97436 m
.53406 .97463 L
s
% Start of user PostScript
0.230769 2.84615 0.204363 2.84779 MAarrowhead1
% End of user PostScript
.819 1 0 r
.53846 1 m
0 0 rlineto s
.53846 1 m
.53846 1 L
s
% Start of user PostScript
0.230769 3. 0.200406 3.00178 MAarrowhead1
% End of user PostScript
.37 1 0 r
.5641 0 m
0 0 rlineto s
% Start of user PostScript
0.384615 -3. 0.342932 -3.00432 MAarrowhead1
% End of user PostScript
.549 1 0 r
.5641 .02564 m
.55792 .02494 L
s
% Start of user PostScript
0.384615 -2.84615 0.347507 -2.85033 MAarrowhead1
% End of user PostScript
.718 1 0 r
.5641 .05128 m
.55864 .05061 L
s
% Start of user PostScript
0.384615 -2.69231 0.35186 -2.69634 MAarrowhead1
% End of user PostScript
.879 1 0 r
.5641 .07692 m
.55933 .07627 L
s
% Start of user PostScript
0.384615 -2.53846 0.355994 -2.54235 MAarrowhead1
% End of user PostScript
1 .969 0 r
.5641 .10256 m
.55998 .10194 L
s
% Start of user PostScript
0.384615 -2.38462 0.359907 -2.38836 MAarrowhead1
% End of user PostScript
1 .826 0 r
.5641 .12821 m
.5606 .1276 L
s
% Start of user PostScript
0.384615 -2.23077 0.363599 -2.23437 MAarrowhead1
% End of user PostScript
1 .692 0 r
.5641 .15385 m
.56118 .15327 L
s
% Start of user PostScript
0.384615 -2.07692 0.367071 -2.08038 MAarrowhead1
% End of user PostScript
1 .566 0 r
.5641 .17949 m
.56172 .17893 L
s
% Start of user PostScript
0.384615 -1.92308 0.370323 -1.92639 MAarrowhead1
% End of user PostScript
1 .45 0 r
.5641 .20513 m
.56223 .2046 L
s
% Start of user PostScript
0.384615 -1.76923 0.373354 -1.7724 MAarrowhead1
% End of user PostScript
1 .344 0 r
.5641 .23077 m
.56269 .23026 L
s
% Start of user PostScript
0.384615 -1.61538 0.376165 -1.61842 MAarrowhead1
% End of user PostScript
1 .249 0 r
.5641 .25641 m
.56313 .25593 L
s
% Start of user PostScript
0.384615 -1.46154 0.378755 -1.46443 MAarrowhead1
% End of user PostScript
1 .167 0 r
.5641 .28205 m
.56352 .28159 L
s
% Start of user PostScript
0.384615 -1.30769 0.381125 -1.31044 MAarrowhead1
% End of user PostScript
1 .108 0 r
.5641 .30769 m
.56388 .30726 L
s
% Start of user PostScript
0.384615 -1.15385 0.383274 -1.15645 MAarrowhead1
% End of user PostScript
1 .092 0 r
.5641 .33333 m
.5642 .33292 L
s
% Start of user PostScript
0.384615 -1. 0.385203 -1.00246 MAarrowhead1
% End of user PostScript
1 .121 0 r
.5641 .35897 m
.56449 .35859 L
s
% Start of user PostScript
0.384615 -0.846154 0.386911 -0.848468 MAarrowhead1
% End of user PostScript
1 .164 0 r
.5641 .38462 m
.56473 .38425 L
s
% Start of user PostScript
0.384615 -0.692308 0.388399 -0.694479 MAarrowhead1
% End of user PostScript
1 .206 0 r
.5641 .41026 m
.56494 .40992 L
s
% Start of user PostScript
0.384615 -0.538462 0.389667 -0.540489 MAarrowhead1
% End of user PostScript
1 .243 0 r
.5641 .4359 m
.56512 .43558 L
s
% Start of user PostScript
0.384615 -0.384615 0.390714 -0.3865 MAarrowhead1
% End of user PostScript
1 .272 0 r
.5641 .46154 m
.56526 .46125 L
s
% Start of user PostScript
0.384615 -0.230769 0.391541 -0.23251 MAarrowhead1
% End of user PostScript
1 .294 0 r
.5641 .48718 m
.56536 .48691 L
s
% Start of user PostScript
0.384615 -0.0769231 0.392147 -0.0785209 MAarrowhead1
% End of user PostScript
1 .308 0 r
.5641 .51282 m
.56542 .51258 L
s
% Start of user PostScript
0.384615 0.0769231 0.392533 0.0754686 MAarrowhead1
% End of user PostScript
1 .313 0 r
.5641 .53846 m
.56545 .53824 L
s
% Start of user PostScript
0.384615 0.230769 0.392698 0.229458 MAarrowhead1
% End of user PostScript
1 .31 0 r
.5641 .5641 m
.56544 .56391 L
s
% Start of user PostScript
0.384615 0.384615 0.392643 0.383447 MAarrowhead1
% End of user PostScript
1 .299 0 r
.5641 .58974 m
.56539 .58957 L
s
% Start of user PostScript
0.384615 0.538462 0.392367 0.537437 MAarrowhead1
% End of user PostScript
1 .279 0 r
.5641 .61538 m
.56531 .61524 L
s
% Start of user PostScript
0.384615 0.692308 0.391871 0.691426 MAarrowhead1
% End of user PostScript
1 .25 0 r
.5641 .64103 m
.56519 .6409 L
s
% Start of user PostScript
0.384615 0.846154 0.391155 0.845416 MAarrowhead1
% End of user PostScript
1 .213 0 r
.5641 .66667 m
.56504 .66657 L
s
% Start of user PostScript
0.384615 1. 0.390218 0.999405 MAarrowhead1
% End of user PostScript
1 .168 0 r
.5641 .69231 m
.56484 .69223 L
s
% Start of user PostScript
0.384615 1.15385 0.389061 1.15339 MAarrowhead1
% End of user PostScript
1 .114 0 r
.5641 .71795 m
.56461 .7179 L
s
% Start of user PostScript
0.384615 1.30769 0.387683 1.30738 MAarrowhead1
% End of user PostScript
1 .051 0 r
.5641 .74359 m
.56435 .74356 L
s
% Start of user PostScript
0.384615 1.46154 0.386085 1.46137 MAarrowhead1
% End of user PostScript
1 .007 0 r
.5641 .76923 m
.56404 .76923 L
s
% Start of user PostScript
0.384615 1.61538 0.384266 1.61536 MAarrowhead1
% End of user PostScript
1 .087 0 r
.5641 .79487 m
.5637 .79489 L
s
% Start of user PostScript
0.384615 1.76923 0.382227 1.76935 MAarrowhead1
% End of user PostScript
1 .175 0 r
.5641 .82051 m
.56333 .82056 L
s
% Start of user PostScript
0.384615 1.92308 0.379967 1.92334 MAarrowhead1
% End of user PostScript
1 .272 0 r
.5641 .84615 m
.56291 .84622 L
s
% Start of user PostScript
0.384615 2.07692 0.377487 2.07733 MAarrowhead1
% End of user PostScript
1 .378 0 r
.5641 .87179 m
.56246 .87189 L
s
% Start of user PostScript
0.384615 2.23077 0.374787 2.23132 MAarrowhead1
% End of user PostScript
1 .492 0 r
.5641 .89744 m
.56198 .89755 L
s
% Start of user PostScript
0.384615 2.38462 0.371866 2.38531 MAarrowhead1
% End of user PostScript
1 .615 0 r
.5641 .92308 m
.56145 .92322 L
s
% Start of user PostScript
0.384615 2.53846 0.368725 2.5393 MAarrowhead1
% End of user PostScript
1 .746 0 r
.5641 .94872 m
.56089 .94888 L
s
% Start of user PostScript
0.384615 2.69231 0.365363 2.69329 MAarrowhead1
% End of user PostScript
1 .886 0 r
.5641 .97436 m
.5603 .97455 L
s
% Start of user PostScript
0.384615 2.84615 0.361781 2.84728 MAarrowhead1
% End of user PostScript
.965 1 0 r
.5641 1 m
0 0 rlineto s
.5641 1 m
.5641 1 L
s
% Start of user PostScript
0.384615 3. 0.357978 3.00127 MAarrowhead1
% End of user PostScript
.28 1 0 r
.58974 0 m
0 0 rlineto s
% Start of user PostScript
0.538462 -3. 0.494486 -3.00457 MAarrowhead1
% End of user PostScript
.465 1 0 r
.58974 .02564 m
.5832 .0249 L
s
% Start of user PostScript
0.538462 -2.84615 0.499215 -2.85059 MAarrowhead1
% End of user PostScript
.64 1 0 r
.58974 .05128 m
.58395 .05057 L
s
% Start of user PostScript
0.538462 -2.69231 0.503723 -2.6966 MAarrowhead1
% End of user PostScript
.807 1 0 r
.58974 .07692 m
.58467 .07623 L
s
% Start of user PostScript
0.538462 -2.53846 0.50801 -2.54261 MAarrowhead1
% End of user PostScript
.965 1 0 r
.58974 .10256 m
.58535 .1019 L
s
% Start of user PostScript
0.538462 -2.38462 0.512078 -2.38862 MAarrowhead1
% End of user PostScript
1 .886 0 r
.58974 .12821 m
.58599 .12756 L
s
% Start of user PostScript
0.538462 -2.23077 0.515924 -2.23463 MAarrowhead1
% End of user PostScript
1 .746 0 r
.58974 .15385 m
.58659 .15323 L
s
% Start of user PostScript
0.538462 -2.07692 0.519551 -2.08064 MAarrowhead1
% End of user PostScript
1 .615 0 r
.58974 .17949 m
.58716 .17889 L
s
% Start of user PostScript
0.538462 -1.92308 0.522956 -1.92665 MAarrowhead1
% End of user PostScript
1 .493 0 r
.58974 .20513 m
.58769 .20456 L
s
% Start of user PostScript
0.538462 -1.76923 0.526142 -1.77266 MAarrowhead1
% End of user PostScript
1 .381 0 r
.58974 .23077 m
.58818 .23022 L
s
% Start of user PostScript
0.538462 -1.61538 0.529107 -1.61867 MAarrowhead1
% End of user PostScript
1 .279 0 r
.58974 .25641 m
.58864 .25589 L
s
% Start of user PostScript
0.538462 -1.46154 0.531851 -1.46468 MAarrowhead1
% End of user PostScript
1 .191 0 r
.58974 .28205 m
.58906 .28155 L
s
% Start of user PostScript
0.538462 -1.30769 0.534376 -1.31069 MAarrowhead1
% End of user PostScript
1 .125 0 r
.58974 .30769 m
.58945 .30722 L
s
% Start of user PostScript
0.538462 -1.15385 0.536679 -1.1567 MAarrowhead1
% End of user PostScript
1 .1 0 r
.58974 .33333 m
.58979 .33288 L
s
% Start of user PostScript
0.538462 -1. 0.538762 -1.00271 MAarrowhead1
% End of user PostScript
1 .125 0 r
.58974 .35897 m
.5901 .35855 L
s
% Start of user PostScript
0.538462 -0.846154 0.540625 -0.848722 MAarrowhead1
% End of user PostScript
1 .17 0 r
.58974 .38462 m
.59038 .38421 L
s
% Start of user PostScript
0.538462 -0.692308 0.542268 -0.694733 MAarrowhead1
% End of user PostScript
1 .216 0 r
.58974 .41026 m
.59061 .40988 L
s
% Start of user PostScript
0.538462 -0.538462 0.543689 -0.540744 MAarrowhead1
% End of user PostScript
1 .258 0 r
.58974 .4359 m
.59082 .43554 L
s
% Start of user PostScript
0.538462 -0.384615 0.544891 -0.386754 MAarrowhead1
% End of user PostScript
1 .293 0 r
.58974 .46154 m
.59098 .46121 L
s
% Start of user PostScript
0.538462 -0.230769 0.545872 -0.232765 MAarrowhead1
% End of user PostScript
1 .321 0 r
.58974 .48718 m
.59111 .48687 L
s
% Start of user PostScript
0.538462 -0.0769231 0.546632 -0.0787752 MAarrowhead1
% End of user PostScript
1 .34 0 r
.58974 .51282 m
.5912 .51254 L
s
% Start of user PostScript
0.538462 0.0769231 0.547172 0.0752142 MAarrowhead1
% End of user PostScript
1 .351 0 r
.58974 .53846 m
.59125 .5382 L
s
% Start of user PostScript
0.538462 0.230769 0.547492 0.229204 MAarrowhead1
% End of user PostScript
1 .354 0 r
.58974 .5641 m
.59127 .56387 L
s
% Start of user PostScript
0.538462 0.384615 0.547591 0.383193 MAarrowhead1
% End of user PostScript
1 .349 0 r
.58974 .58974 m
.59125 .58953 L
s
% Start of user PostScript
0.538462 0.538462 0.54747 0.537183 MAarrowhead1
% End of user PostScript
1 .335 0 r
.58974 .61538 m
.59119 .6152 L
s
% Start of user PostScript
0.538462 0.692308 0.547128 0.691172 MAarrowhead1
% End of user PostScript
1 .312 0 r
.58974 .64103 m
.59109 .64086 L
s
% Start of user PostScript
0.538462 0.846154 0.546566 0.845161 MAarrowhead1
% End of user PostScript
1 .281 0 r
.58974 .66667 m
.59096 .66653 L
s
% Start of user PostScript
0.538462 1. 0.545784 0.999151 MAarrowhead1
% End of user PostScript
1 .242 0 r
.58974 .69231 m
.5908 .69219 L
s
% Start of user PostScript
0.538462 1.15385 0.544781 1.15314 MAarrowhead1
% End of user PostScript
1 .194 0 r
.58974 .71795 m
.59059 .71785 L
s
% Start of user PostScript
0.538462 1.30769 0.543557 1.30713 MAarrowhead1
% End of user PostScript
1 .137 0 r
.58974 .74359 m
.59035 .74352 L
s
% Start of user PostScript
0.538462 1.46154 0.542113 1.46112 MAarrowhead1
% End of user PostScript
1 .072 0 r
.58974 .76923 m
.59007 .76918 L
s
% Start of user PostScript
0.538462 1.61538 0.540449 1.61511 MAarrowhead1
% End of user PostScript
1 0 0 r
.58974 .79487 m
.58976 .79485 L
s
% Start of user PostScript
0.538462 1.76923 0.538564 1.7691 MAarrowhead1
% End of user PostScript
1 .072 0 r
.58974 .82051 m
.58941 .82051 L
s
% Start of user PostScript
0.538462 1.92308 0.536459 1.92309 MAarrowhead1
% End of user PostScript
1 .163 0 r
.58974 .84615 m
.58902 .84618 L
s
% Start of user PostScript
0.538462 2.07692 0.534133 2.07708 MAarrowhead1
% End of user PostScript
1 .262 0 r
.58974 .87179 m
.5886 .87184 L
s
% Start of user PostScript
0.538462 2.23077 0.531587 2.23107 MAarrowhead1
% End of user PostScript
1 .37 0 r
.58974 .89744 m
.58814 .89751 L
s
% Start of user PostScript
0.538462 2.38462 0.52882 2.38506 MAarrowhead1
% End of user PostScript
1 .487 0 r
.58974 .92308 m
.58764 .92317 L
s
% Start of user PostScript
0.538462 2.53846 0.525833 2.53905 MAarrowhead1
% End of user PostScript
1 .612 0 r
.58974 .94872 m
.5871 .94884 L
s
% Start of user PostScript
0.538462 2.69231 0.522626 2.69303 MAarrowhead1
% End of user PostScript
1 .746 0 r
.58974 .97436 m
.58653 .9745 L
s
% Start of user PostScript
0.538462 2.84615 0.519198 2.84702 MAarrowhead1
% End of user PostScript
1 .889 0 r
.58974 1 m
0 0 rlineto s
.58974 1 m
.58974 1 L
s
% Start of user PostScript
0.538462 3. 0.51555 3.00101 MAarrowhead1
% End of user PostScript
.192 1 0 r
.61538 0 m
0 0 rlineto s
% Start of user PostScript
0.692308 -3. 0.646039 -3.00447 MAarrowhead1
% End of user PostScript
.382 1 0 r
.61538 .02564 m
.60849 .02492 L
s
% Start of user PostScript
0.692308 -2.84615 0.650922 -2.85048 MAarrowhead1
% End of user PostScript
.564 1 0 r
.61538 .05128 m
.60926 .05058 L
s
% Start of user PostScript
0.692308 -2.69231 0.655585 -2.69649 MAarrowhead1
% End of user PostScript
.736 1 0 r
.61538 .07692 m
.61 .07625 L
s
% Start of user PostScript
0.692308 -2.53846 0.660027 -2.5425 MAarrowhead1
% End of user PostScript
.901 1 0 r
.61538 .10256 m
.61071 .10191 L
s
% Start of user PostScript
0.692308 -2.38462 0.664248 -2.38852 MAarrowhead1
% End of user PostScript
1 .944 0 r
.61538 .12821 m
.61137 .12758 L
s
% Start of user PostScript
0.692308 -2.23077 0.668249 -2.23453 MAarrowhead1
% End of user PostScript
1 .798 0 r
.61538 .15385 m
.61201 .15324 L
s
% Start of user PostScript
0.692308 -2.07692 0.67203 -2.08054 MAarrowhead1
% End of user PostScript
1 .66 0 r
.61538 .17949 m
.6126 .17891 L
s
% Start of user PostScript
0.692308 -1.92308 0.67559 -1.92655 MAarrowhead1
% End of user PostScript
1 .532 0 r
.61538 .20513 m
.61315 .20457 L
s
% Start of user PostScript
0.692308 -1.76923 0.67893 -1.77256 MAarrowhead1
% End of user PostScript
1 .413 0 r
.61538 .23077 m
.61367 .23024 L
s
% Start of user PostScript
0.692308 -1.61538 0.682049 -1.61857 MAarrowhead1
% End of user PostScript
1 .304 0 r
.61538 .25641 m
.61416 .2559 L
s
% Start of user PostScript
0.692308 -1.46154 0.684948 -1.46458 MAarrowhead1
% End of user PostScript
1 .208 0 r
.61538 .28205 m
.6146 .28157 L
s
% Start of user PostScript
0.692308 -1.30769 0.687627 -1.31059 MAarrowhead1
% End of user PostScript
1 .132 0 r
.61538 .30769 m
.61501 .30723 L
s
% Start of user PostScript
0.692308 -1.15385 0.690084 -1.1566 MAarrowhead1
% End of user PostScript
1 .095 0 r
.61538 .33333 m
.61539 .3329 L
s
% Start of user PostScript
0.692308 -1. 0.692322 -1.00261 MAarrowhead1
% End of user PostScript
1 .118 0 r
.61538 .35897 m
.61572 .35856 L
s
% Start of user PostScript
0.692308 -0.846154 0.694339 -0.848621 MAarrowhead1
% End of user PostScript
1 .168 0 r
.61538 .38462 m
.61602 .38423 L
s
% Start of user PostScript
0.692308 -0.692308 0.696136 -0.694631 MAarrowhead1
% End of user PostScript
1 .221 0 r
.61538 .41026 m
.61629 .40989 L
s
% Start of user PostScript
0.692308 -0.538462 0.697712 -0.540642 MAarrowhead1
% End of user PostScript
1 .269 0 r
.61538 .4359 m
.61651 .43556 L
s
% Start of user PostScript
0.692308 -0.384615 0.699068 -0.386652 MAarrowhead1
% End of user PostScript
1 .31 0 r
.61538 .46154 m
.6167 .46122 L
s
% Start of user PostScript
0.692308 -0.230769 0.700203 -0.232663 MAarrowhead1
% End of user PostScript
1 .344 0 r
.61538 .48718 m
.61685 .48689 L
s
% Start of user PostScript
0.692308 -0.0769231 0.701118 -0.0786735 MAarrowhead1
% End of user PostScript
1 .37 0 r
.61538 .51282 m
.61697 .51255 L
s
% Start of user PostScript
0.692308 0.0769231 0.701812 0.0753159 MAarrowhead1
% End of user PostScript
1 .387 0 r
.61538 .53846 m
.61705 .53822 L
s
% Start of user PostScript
0.692308 0.230769 0.702286 0.229305 MAarrowhead1
% End of user PostScript
1 .396 0 r
.61538 .5641 m
.61709 .56388 L
s
% Start of user PostScript
0.692308 0.384615 0.70254 0.383295 MAarrowhead1
% End of user PostScript
1 .397 0 r
.61538 .58974 m
.6171 .58955 L
s
% Start of user PostScript
0.692308 0.538462 0.702573 0.537284 MAarrowhead1
% End of user PostScript
1 .389 0 r
.61538 .61538 m
.61706 .61521 L
s
% Start of user PostScript
0.692308 0.692308 0.702385 0.691274 MAarrowhead1
% End of user PostScript
1 .373 0 r
.61538 .64103 m
.617 .64088 L
s
% Start of user PostScript
0.692308 0.846154 0.701978 0.845263 MAarrowhead1
% End of user PostScript
1 .348 0 r
.61538 .66667 m
.61689 .66654 L
s
% Start of user PostScript
0.692308 1. 0.701349 0.999253 MAarrowhead1
% End of user PostScript
1 .314 0 r
.61538 .69231 m
.61675 .69221 L
s
% Start of user PostScript
0.692308 1.15385 0.700501 1.15324 MAarrowhead1
% End of user PostScript
1 .272 0 r
.61538 .71795 m
.61657 .71787 L
s
% Start of user PostScript
0.692308 1.30769 0.699431 1.30723 MAarrowhead1
% End of user PostScript
1 .222 0 r
.61538 .74359 m
.61636 .74354 L
s
% Start of user PostScript
0.692308 1.46154 0.698142 1.46122 MAarrowhead1
% End of user PostScript
1 .162 0 r
.61538 .76923 m
.61611 .7692 L
s
% Start of user PostScript
0.692308 1.61538 0.696632 1.61521 MAarrowhead1
% End of user PostScript
1 .095 0 r
.61538 .79487 m
.61582 .79487 L
s
% Start of user PostScript
0.692308 1.76923 0.694901 1.7692 MAarrowhead1
% End of user PostScript
1 .019 0 r
.61538 .82051 m
.61549 .82053 L
s
% Start of user PostScript
0.692308 1.92308 0.69295 1.92319 MAarrowhead1
% End of user PostScript
1 .054 0 r
.61538 .84615 m
.61513 .8462 L
s
% Start of user PostScript
0.692308 2.07692 0.690779 2.07718 MAarrowhead1
% End of user PostScript
1 .147 0 r
.61538 .87179 m
.61473 .87186 L
s
% Start of user PostScript
0.692308 2.23077 0.688387 2.23117 MAarrowhead1
% End of user PostScript
1 .249 0 r
.61538 .89744 m
.6143 .89753 L
s
% Start of user PostScript
0.692308 2.38462 0.685775 2.38516 MAarrowhead1
% End of user PostScript
1 .36 0 r
.61538 .92308 m
.61382 .92319 L
s
% Start of user PostScript
0.692308 2.53846 0.682942 2.53915 MAarrowhead1
% End of user PostScript
1 .479 0 r
.61538 .94872 m
.61331 .94886 L
s
% Start of user PostScript
0.692308 2.69231 0.679889 2.69314 MAarrowhead1
% End of user PostScript
1 .607 0 r
.61538 .97436 m
.61277 .97452 L
s
% Start of user PostScript
0.692308 2.84615 0.676615 2.84713 MAarrowhead1
% End of user PostScript
1 .744 0 r
.61538 1 m
0 0 rlineto s
.61538 1 m
.61538 1 L
s
% Start of user PostScript
0.692308 3. 0.673121 3.00112 MAarrowhead1
% End of user PostScript
.104 1 0 r
.64103 0 m
0 0 rlineto s
% Start of user PostScript
0.846154 -3. 0.797593 -3.00391 MAarrowhead1
% End of user PostScript
.301 1 0 r
.64103 .02564 m
.63377 .02501 L
s
% Start of user PostScript
0.846154 -2.84615 0.80263 -2.84992 MAarrowhead1
% End of user PostScript
.489 1 0 r
.64103 .05128 m
.63457 .05068 L
s
% Start of user PostScript
0.846154 -2.69231 0.807447 -2.69593 MAarrowhead1
% End of user PostScript
.668 1 0 r
.64103 .07692 m
.63534 .07634 L
s
% Start of user PostScript
0.846154 -2.53846 0.812043 -2.54195 MAarrowhead1
% End of user PostScript
.838 1 0 r
.64103 .10256 m
.63607 .10201 L
s
% Start of user PostScript
0.846154 -2.38462 0.816419 -2.38796 MAarrowhead1
% End of user PostScript
1 1 0 r
.64103 .12821 m
.63676 .12767 L
s
% Start of user PostScript
0.846154 -2.23077 0.820574 -2.23397 MAarrowhead1
% End of user PostScript
1 .847 0 r
.64103 .15385 m
.63742 .15334 L
s
% Start of user PostScript
0.846154 -2.07692 0.824509 -2.07998 MAarrowhead1
% End of user PostScript
1 .703 0 r
.64103 .17949 m
.63804 .179 L
s
% Start of user PostScript
0.846154 -1.92308 0.828224 -1.92599 MAarrowhead1
% End of user PostScript
1 .567 0 r
.64103 .20513 m
.63862 .20467 L
s
% Start of user PostScript
0.846154 -1.76923 0.831718 -1.772 MAarrowhead1
% End of user PostScript
1 .441 0 r
.64103 .23077 m
.63917 .23033 L
s
% Start of user PostScript
0.846154 -1.61538 0.834992 -1.61801 MAarrowhead1
% End of user PostScript
1 .325 0 r
.64103 .25641 m
.63967 .256 L
s
% Start of user PostScript
0.846154 -1.46154 0.838045 -1.46402 MAarrowhead1
% End of user PostScript
1 .219 0 r
.64103 .28205 m
.64015 .28166 L
s
% Start of user PostScript
0.846154 -1.30769 0.840877 -1.31003 MAarrowhead1
% End of user PostScript
1 .128 0 r
.64103 .30769 m
.64058 .30733 L
s
% Start of user PostScript
0.846154 -1.15385 0.84349 -1.15604 MAarrowhead1
% End of user PostScript
1 .074 0 r
.64103 .33333 m
.64098 .33299 L
s
% Start of user PostScript
0.846154 -1. 0.845882 -1.00205 MAarrowhead1
% End of user PostScript
1 .099 0 r
.64103 .35897 m
.64134 .35866 L
s
% Start of user PostScript
0.846154 -0.846154 0.848053 -0.848061 MAarrowhead1
% End of user PostScript
1 .159 0 r
.64103 .38462 m
.64167 .38432 L
s
% Start of user PostScript
0.846154 -0.692308 0.850004 -0.694072 MAarrowhead1
% End of user PostScript
1 .22 0 r
.64103 .41026 m
.64196 .40999 L
s
% Start of user PostScript
0.846154 -0.538462 0.851734 -0.540082 MAarrowhead1
% End of user PostScript
1 .276 0 r
.64103 .4359 m
.64221 .43565 L
s
% Start of user PostScript
0.846154 -0.384615 0.853244 -0.386093 MAarrowhead1
% End of user PostScript
1 .325 0 r
.64103 .46154 m
.64242 .46132 L
s
% Start of user PostScript
0.846154 -0.230769 0.854534 -0.232103 MAarrowhead1
% End of user PostScript
1 .365 0 r
.64103 .48718 m
.6426 .48698 L
s
% Start of user PostScript
0.846154 -0.0769231 0.855603 -0.0781139 MAarrowhead1
% End of user PostScript
1 .398 0 r
.64103 .51282 m
.64274 .51265 L
s
% Start of user PostScript
0.846154 0.0769231 0.856452 0.0758755 MAarrowhead1
% End of user PostScript
1 .422 0 r
.64103 .53846 m
.64285 .53831 L
s
% Start of user PostScript
0.846154 0.230769 0.85708 0.229865 MAarrowhead1
% End of user PostScript
1 .437 0 r
.64103 .5641 m
.64291 .56398 L
s
% Start of user PostScript
0.846154 0.384615 0.857488 0.383854 MAarrowhead1
% End of user PostScript
1 .444 0 r
.64103 .58974 m
.64295 .58964 L
s
% Start of user PostScript
0.846154 0.538462 0.857675 0.537844 MAarrowhead1
% End of user PostScript
1 .442 0 r
.64103 .61538 m
.64294 .61531 L
s
% Start of user PostScript
0.846154 0.692308 0.857642 0.691833 MAarrowhead1
% End of user PostScript
1 .432 0 r
.64103 .64103 m
.6429 .64097 L
s
% Start of user PostScript
0.846154 0.846154 0.857389 0.845823 MAarrowhead1
% End of user PostScript
1 .414 0 r
.64103 .66667 m
.64282 .66664 L
s
% Start of user PostScript
0.846154 1. 0.856915 0.999812 MAarrowhead1
% End of user PostScript
1 .386 0 r
.64103 .69231 m
.6427 .6923 L
s
% Start of user PostScript
0.846154 1.15385 0.85622 1.1538 MAarrowhead1
% End of user PostScript
1 .351 0 r
.64103 .71795 m
.64255 .71797 L
s
% Start of user PostScript
0.846154 1.30769 0.855306 1.30779 MAarrowhead1
% End of user PostScript
1 .307 0 r
.64103 .74359 m
.64236 .74363 L
s
% Start of user PostScript
0.846154 1.46154 0.85417 1.46178 MAarrowhead1
% End of user PostScript
1 .254 0 r
.64103 .76923 m
.64214 .76929 L
s
% Start of user PostScript
0.846154 1.61538 0.852815 1.61577 MAarrowhead1
% End of user PostScript
1 .193 0 r
.64103 .79487 m
.64187 .79496 L
s
% Start of user PostScript
0.846154 1.76923 0.851238 1.76976 MAarrowhead1
% End of user PostScript
1 .124 0 r
.64103 .82051 m
.64157 .82062 L
s
% Start of user PostScript
0.846154 1.92308 0.849442 1.92375 MAarrowhead1
% End of user PostScript
1 .052 0 r
.64103 .84615 m
.64124 .84629 L
s
% Start of user PostScript
0.846154 2.07692 0.847425 2.07774 MAarrowhead1
% End of user PostScript
1 .047 0 r
.64103 .87179 m
.64086 .87195 L
s
% Start of user PostScript
0.846154 2.23077 0.845187 2.23173 MAarrowhead1
% End of user PostScript
1 .134 0 r
.64103 .89744 m
.64045 .89762 L
s
% Start of user PostScript
0.846154 2.38462 0.842729 2.38572 MAarrowhead1
% End of user PostScript
1 .237 0 r
.64103 .92308 m
.64001 .92328 L
s
% Start of user PostScript
0.846154 2.53846 0.840051 2.53971 MAarrowhead1
% End of user PostScript
1 .349 0 r
.64103 .94872 m
.63953 .94895 L
s
% Start of user PostScript
0.846154 2.69231 0.837152 2.6937 MAarrowhead1
% End of user PostScript
1 .47 0 r
.64103 .97436 m
.63901 .97461 L
s
% Start of user PostScript
0.846154 2.84615 0.834033 2.84769 MAarrowhead1
% End of user PostScript
1 .601 0 r
.64103 1 m
0 0 rlineto s
.64103 1 m
.64103 1 L
s
% Start of user PostScript
0.846154 3. 0.830693 3.00167 MAarrowhead1
% End of user PostScript
.018 1 0 r
.66667 0 m
0 0 rlineto s
% Start of user PostScript
1. -3. 0.949147 -3.00279 MAarrowhead1
% End of user PostScript
.221 1 0 r
.66667 .02564 m
.65906 .0252 L
s
% Start of user PostScript
1. -2.84615 0.954338 -2.8488 MAarrowhead1
% End of user PostScript
.415 1 0 r
.66667 .05128 m
.65988 .05086 L
s
% Start of user PostScript
1. -2.69231 0.959309 -2.69482 MAarrowhead1
% End of user PostScript
.6 1 0 r
.66667 .07692 m
.66068 .07653 L
s
% Start of user PostScript
1. -2.53846 0.96406 -2.54083 MAarrowhead1
% End of user PostScript
.777 1 0 r
.66667 .10256 m
.66143 .10219 L
s
% Start of user PostScript
1. -2.38462 0.96859 -2.38684 MAarrowhead1
% End of user PostScript
.945 1 0 r
.66667 .12821 m
.66215 .12786 L
s
% Start of user PostScript
1. -2.23077 0.9729 -2.23285 MAarrowhead1
% End of user PostScript
1 .895 0 r
.66667 .15385 m
.66283 .15352 L
s
% Start of user PostScript
1. -2.07692 0.976989 -2.07886 MAarrowhead1
% End of user PostScript
1 .744 0 r
.66667 .17949 m
.66348 .17919 L
s
% Start of user PostScript
1. -1.92308 0.980858 -1.92487 MAarrowhead1
% End of user PostScript
1 .602 0 r
.66667 .20513 m
.66408 .20485 L
s
% Start of user PostScript
1. -1.76923 0.984506 -1.77088 MAarrowhead1
% End of user PostScript
1 .468 0 r
.66667 .23077 m
.66466 .23052 L
s
% Start of user PostScript
1. -1.61538 0.987934 -1.61689 MAarrowhead1
% End of user PostScript
1 .343 0 r
.66667 .25641 m
.66519 .25618 L
s
% Start of user PostScript
1. -1.46154 0.991141 -1.4629 MAarrowhead1
% End of user PostScript
1 .228 0 r
.66667 .28205 m
.66569 .28185 L
s
% Start of user PostScript
1. -1.30769 0.994128 -1.30891 MAarrowhead1
% End of user PostScript
1 .122 0 r
.66667 .30769 m
.66615 .30751 L
s
% Start of user PostScript
1. -1.15385 0.996895 -1.15492 MAarrowhead1
% End of user PostScript
1 .036 0 r
.66667 .33333 m
.66657 .33318 L
s
% Start of user PostScript
1. -1. 0.999441 -1.00093 MAarrowhead1
% End of user PostScript
1 .069 0 r
.66667 .35897 m
.66696 .35884 L
s
% Start of user PostScript
1. -0.846154 1.00177 -0.846942 MAarrowhead1
% End of user PostScript
1 .147 0 r
.66667 .38462 m
.66731 .38451 L
s
% Start of user PostScript
1. -0.692308 1.00387 -0.692952 MAarrowhead1
% End of user PostScript
1 .219 0 r
.66667 .41026 m
.66763 .41017 L
s
% Start of user PostScript
1. -0.538462 1.00576 -0.538963 MAarrowhead1
% End of user PostScript
1 .284 0 r
.66667 .4359 m
.6679 .43584 L
s
% Start of user PostScript
1. -0.384615 1.00742 -0.384974 MAarrowhead1
% End of user PostScript
1 .34 0 r
.66667 .46154 m
.66814 .4615 L
s
% Start of user PostScript
1. -0.230769 1.00887 -0.230984 MAarrowhead1
% End of user PostScript
1 .387 0 r
.66667 .48718 m
.66835 .48717 L
s
% Start of user PostScript
1. -0.0769231 1.01009 -0.0769947 MAarrowhead1
% End of user PostScript
1 .427 0 r
.66667 .51282 m
.66852 .51283 L
s
% Start of user PostScript
1. 0.0769231 1.01109 0.0769947 MAarrowhead1
% End of user PostScript
1 .457 0 r
.66667 .53846 m
.66865 .5385 L
s
% Start of user PostScript
1. 0.230769 1.01187 0.230984 MAarrowhead1
% End of user PostScript
1 .479 0 r
.66667 .5641 m
.66874 .56416 L
s
% Start of user PostScript
1. 0.384615 1.01244 0.384974 MAarrowhead1
% End of user PostScript
1 .493 0 r
.66667 .58974 m
.6688 .58983 L
s
% Start of user PostScript
1. 0.538462 1.01278 0.538963 MAarrowhead1
% End of user PostScript
1 .498 0 r
.66667 .61538 m
.66882 .61549 L
s
% Start of user PostScript
1. 0.692308 1.0129 0.692952 MAarrowhead1
% End of user PostScript
1 .494 0 r
.66667 .64103 m
.6688 .64116 L
s
% Start of user PostScript
1. 0.846154 1.0128 0.846942 MAarrowhead1
% End of user PostScript
1 .482 0 r
.66667 .66667 m
.66875 .66682 L
s
% Start of user PostScript
1. 1. 1.01248 1.00093 MAarrowhead1
% End of user PostScript
1 .462 0 r
.66667 .69231 m
.66866 .69249 L
s
% Start of user PostScript
1. 1.15385 1.01194 1.15492 MAarrowhead1
% End of user PostScript
1 .433 0 r
.66667 .71795 m
.66853 .71815 L
s
% Start of user PostScript
1. 1.30769 1.01118 1.30891 MAarrowhead1
% End of user PostScript
1 .395 0 r
.66667 .74359 m
.66837 .74382 L
s
% Start of user PostScript
1. 1.46154 1.0102 1.4629 MAarrowhead1
% End of user PostScript
1 .35 0 r
.66667 .76923 m
.66817 .76948 L
s
% Start of user PostScript
1. 1.61538 1.009 1.61689 MAarrowhead1
% End of user PostScript
1 .296 0 r
.66667 .79487 m
.66793 .79515 L
s
% Start of user PostScript
1. 1.76923 1.00758 1.77088 MAarrowhead1
% End of user PostScript
1 .235 0 r
.66667 .82051 m
.66766 .82081 L
s
% Start of user PostScript
1. 1.92308 1.00593 1.92487 MAarrowhead1
% End of user PostScript
1 .169 0 r
.66667 .84615 m
.66735 .84648 L
s
% Start of user PostScript
1. 2.07692 1.00407 2.07886 MAarrowhead1
% End of user PostScript
1 .106 0 r
.66667 .87179 m
.667 .87214 L
s
% Start of user PostScript
1. 2.23077 1.00199 2.23285 MAarrowhead1
% End of user PostScript
1 .081 0 r
.66667 .89744 m
.66661 .89781 L
s
% Start of user PostScript
1. 2.38462 0.999684 2.38684 MAarrowhead1
% End of user PostScript
1 .138 0 r
.66667 .92308 m
.66619 .92347 L
s
% Start of user PostScript
1. 2.53846 0.99716 2.54083 MAarrowhead1
% End of user PostScript
1 .232 0 r
.66667 .94872 m
.66574 .94914 L
s
% Start of user PostScript
1. 2.69231 0.994415 2.69482 MAarrowhead1
% End of user PostScript
1 .343 0 r
.66667 .97436 m
.66524 .9748 L
s
% Start of user PostScript
1. 2.84615 0.99145 2.8488 MAarrowhead1
% End of user PostScript
1 .464 0 r
.66667 1 m
0 0 rlineto s
.66667 1 m
.66667 1 L
s
% Start of user PostScript
1. 3. 0.988265 3.00279 MAarrowhead1
% End of user PostScript
0 1 .069 r
.69231 0 m
0 0 rlineto s
% Start of user PostScript
1.15385 -3. 1.1007 -3.00101 MAarrowhead1
% End of user PostScript
.14 1 0 r
.69231 .02564 m
.68434 .0255 L
s
% Start of user PostScript
1.15385 -2.84615 1.10605 -2.84702 MAarrowhead1
% End of user PostScript
.34 1 0 r
.69231 .05128 m
.6852 .05116 L
s
% Start of user PostScript
1.15385 -2.69231 1.11117 -2.69303 MAarrowhead1
% End of user PostScript
.532 1 0 r
.69231 .07692 m
.68601 .07683 L
s
% Start of user PostScript
1.15385 -2.53846 1.11608 -2.53905 MAarrowhead1
% End of user PostScript
.715 1 0 r
.69231 .10256 m
.68679 .10249 L
s
% Start of user PostScript
1.15385 -2.38462 1.12076 -2.38506 MAarrowhead1
% End of user PostScript
.889 1 0 r
.69231 .12821 m
.68754 .12816 L
s
% Start of user PostScript
1.15385 -2.23077 1.12522 -2.23107 MAarrowhead1
% End of user PostScript
1 .945 0 r
.69231 .15385 m
.68824 .15382 L
s
% Start of user PostScript
1.15385 -2.07692 1.12947 -2.07708 MAarrowhead1
% End of user PostScript
1 .788 0 r
.69231 .17949 m
.68892 .17949 L
s
% Start of user PostScript
1.15385 -1.92308 1.13349 -1.92309 MAarrowhead1
% End of user PostScript
1 .64 0 r
.69231 .20513 m
.68955 .20515 L
s
% Start of user PostScript
1.15385 -1.76923 1.13729 -1.7691 MAarrowhead1
% End of user PostScript
1 .5 0 r
.69231 .23077 m
.69015 .23082 L
s
% Start of user PostScript
1.15385 -1.61538 1.14088 -1.61511 MAarrowhead1
% End of user PostScript
1 .369 0 r
.69231 .25641 m
.69071 .25648 L
s
% Start of user PostScript
1.15385 -1.46154 1.14424 -1.46112 MAarrowhead1
% End of user PostScript
1 .247 0 r
.69231 .28205 m
.69123 .28215 L
s
% Start of user PostScript
1.15385 -1.30769 1.14738 -1.30713 MAarrowhead1
% End of user PostScript
1 .135 0 r
.69231 .30769 m
.69172 .30781 L
s
% Start of user PostScript
1.15385 -1.15385 1.1503 -1.15314 MAarrowhead1
% End of user PostScript
1 .04 0 r
.69231 .33333 m
.69217 .33347 L
s
% Start of user PostScript
1.15385 -1. 1.153 -0.999151 MAarrowhead1
% End of user PostScript
1 .068 0 r
.69231 .35897 m
.69258 .35914 L
s
% Start of user PostScript
1.15385 -0.846154 1.15548 -0.845161 MAarrowhead1
% End of user PostScript
1 .152 0 r
.69231 .38462 m
.69296 .3848 L
s
% Start of user PostScript
1.15385 -0.692308 1.15774 -0.691172 MAarrowhead1
% End of user PostScript
1 .23 0 r
.69231 .41026 m
.6933 .41047 L
s
% Start of user PostScript
1.15385 -0.538462 1.15978 -0.537183 MAarrowhead1
% End of user PostScript
1 .301 0 r
.69231 .4359 m
.6936 .43613 L
s
% Start of user PostScript
1.15385 -0.384615 1.1616 -0.383193 MAarrowhead1
% End of user PostScript
1 .364 0 r
.69231 .46154 m
.69387 .4618 L
s
% Start of user PostScript
1.15385 -0.230769 1.1632 -0.229204 MAarrowhead1
% End of user PostScript
1 .418 0 r
.69231 .48718 m
.6941 .48746 L
s
% Start of user PostScript
1.15385 -0.0769231 1.16457 -0.0752142 MAarrowhead1
% End of user PostScript
1 .463 0 r
.69231 .51282 m
.69429 .51313 L
s
% Start of user PostScript
1.15385 0.0769231 1.16573 0.0787752 MAarrowhead1
% End of user PostScript
1 .5 0 r
.69231 .53846 m
.69444 .53879 L
s
% Start of user PostScript
1.15385 0.230769 1.16667 0.232765 MAarrowhead1
% End of user PostScript
1 .529 0 r
.69231 .5641 m
.69456 .56446 L
s
% Start of user PostScript
1.15385 0.384615 1.16738 0.386754 MAarrowhead1
% End of user PostScript
1 .549 0 r
.69231 .58974 m
.69465 .59012 L
s
% Start of user PostScript
1.15385 0.538462 1.16788 0.540744 MAarrowhead1
% End of user PostScript
1 .56 0 r
.69231 .61538 m
.69469 .61579 L
s
% Start of user PostScript
1.15385 0.692308 1.16816 0.694733 MAarrowhead1
% End of user PostScript
1 .563 0 r
.69231 .64103 m
.6947 .64145 L
s
% Start of user PostScript
1.15385 0.846154 1.16821 0.848722 MAarrowhead1
% End of user PostScript
1 .558 0 r
.69231 .66667 m
.69467 .66712 L
s
% Start of user PostScript
1.15385 1. 1.16805 1.00271 MAarrowhead1
% End of user PostScript
1 .544 0 r
.69231 .69231 m
.69461 .69278 L
s
% Start of user PostScript
1.15385 1.15385 1.16766 1.1567 MAarrowhead1
% End of user PostScript
1 .522 0 r
.69231 .71795 m
.69451 .71845 L
s
% Start of user PostScript
1.15385 1.30769 1.16705 1.31069 MAarrowhead1
% End of user PostScript
1 .492 0 r
.69231 .74359 m
.69437 .74411 L
s
% Start of user PostScript
1.15385 1.46154 1.16623 1.46468 MAarrowhead1
% End of user PostScript
1 .454 0 r
.69231 .76923 m
.6942 .76978 L
s
% Start of user PostScript
1.15385 1.61538 1.16518 1.61867 MAarrowhead1
% End of user PostScript
1 .409 0 r
.69231 .79487 m
.69399 .79544 L
s
% Start of user PostScript
1.15385 1.76923 1.16391 1.77266 MAarrowhead1
% End of user PostScript
1 .356 0 r
.69231 .82051 m
.69374 .82111 L
s
% Start of user PostScript
1.15385 1.92308 1.16242 1.92665 MAarrowhead1
% End of user PostScript
1 .298 0 r
.69231 .84615 m
.69345 .84677 L
s
% Start of user PostScript
1.15385 2.07692 1.16072 2.08064 MAarrowhead1
% End of user PostScript
1 .238 0 r
.69231 .87179 m
.69313 .87244 L
s
% Start of user PostScript
1.15385 2.23077 1.15879 2.23463 MAarrowhead1
% End of user PostScript
1 .184 0 r
.69231 .89744 m
.69277 .8981 L
s
% Start of user PostScript
1.15385 2.38462 1.15664 2.38862 MAarrowhead1
% End of user PostScript
1 .156 0 r
.69231 .92308 m
.69238 .92377 L
s
% Start of user PostScript
1.15385 2.53846 1.15427 2.54261 MAarrowhead1
% End of user PostScript
1 .181 0 r
.69231 .94872 m
.69195 .94943 L
s
% Start of user PostScript
1.15385 2.69231 1.15168 2.6966 MAarrowhead1
% End of user PostScript
1 .254 0 r
.69231 .97436 m
.69148 .9751 L
s
% Start of user PostScript
1.15385 2.84615 1.14887 2.85059 MAarrowhead1
% End of user PostScript
1 .354 0 r
.69231 1 m
0 0 rlineto s
.69231 1 m
.69231 1 L
s
% Start of user PostScript
1.15385 3. 1.14584 3.00457 MAarrowhead1
% End of user PostScript
0 1 .159 r
.71795 0 m
.70871 .00025 L
s
% Start of user PostScript
1.30769 -3. 1.25225 -2.99847 MAarrowhead1
% End of user PostScript
.056 1 0 r
.71795 .02564 m
.70963 .02592 L
s
% Start of user PostScript
1.30769 -2.84615 1.25775 -2.84448 MAarrowhead1
% End of user PostScript
.262 1 0 r
.71795 .05128 m
.71051 .05158 L
s
% Start of user PostScript
1.30769 -2.69231 1.26303 -2.69049 MAarrowhead1
% End of user PostScript
.459 1 0 r
.71795 .07692 m
.71135 .07725 L
s
% Start of user PostScript
1.30769 -2.53846 1.26809 -2.5365 MAarrowhead1
% End of user PostScript
.647 1 0 r
.71795 .10256 m
.71216 .10291 L
s
% Start of user PostScript
1.30769 -2.38462 1.27293 -2.38251 MAarrowhead1
% End of user PostScript
.826 1 0 r
.71795 .12821 m
.71292 .12858 L
s
% Start of user PostScript
1.30769 -2.23077 1.27755 -2.22852 MAarrowhead1
% End of user PostScript
.997 1 0 r
.71795 .15385 m
.71366 .15424 L
s
% Start of user PostScript
1.30769 -2.07692 1.28195 -2.07453 MAarrowhead1
% End of user PostScript
1 .841 0 r
.71795 .17949 m
.71435 .17991 L
s
% Start of user PostScript
1.30769 -1.92308 1.28613 -1.92054 MAarrowhead1
% End of user PostScript
1 .689 0 r
.71795 .20513 m
.71501 .20557 L
s
% Start of user PostScript
1.30769 -1.76923 1.29008 -1.76655 MAarrowhead1
% End of user PostScript
1 .546 0 r
.71795 .23077 m
.71564 .23124 L
s
% Start of user PostScript
1.30769 -1.61538 1.29382 -1.61257 MAarrowhead1
% End of user PostScript
1 .414 0 r
.71795 .25641 m
.71622 .2569 L
s
% Start of user PostScript
1.30769 -1.46154 1.29733 -1.45858 MAarrowhead1
% End of user PostScript
1 .295 0 r
.71795 .28205 m
.71677 .28257 L
s
% Start of user PostScript
1.30769 -1.30769 1.30063 -1.30459 MAarrowhead1
% End of user PostScript
1 .194 0 r
.71795 .30769 m
.71728 .30823 L
s
% Start of user PostScript
1.30769 -1.15385 1.30371 -1.1506 MAarrowhead1
% End of user PostScript
1 .133 0 r
.71795 .33333 m
.71776 .3339 L
s
% Start of user PostScript
1.30769 -1. 1.30656 -0.996607 MAarrowhead1
% End of user PostScript
1 .143 0 r
.71795 .35897 m
.7182 .35956 L
s
% Start of user PostScript
1.30769 -0.846154 1.30919 -0.842618 MAarrowhead1
% End of user PostScript
1 .203 0 r
.71795 .38462 m
.7186 .38523 L
s
% Start of user PostScript
1.30769 -0.692308 1.31161 -0.688628 MAarrowhead1
% End of user PostScript
1 .275 0 r
.71795 .41026 m
.71897 .41089 L
s
% Start of user PostScript
1.30769 -0.538462 1.3138 -0.534639 MAarrowhead1
% End of user PostScript
1 .345 0 r
.71795 .4359 m
.7193 .43656 L
s
% Start of user PostScript
1.30769 -0.384615 1.31577 -0.380649 MAarrowhead1
% End of user PostScript
1 .41 0 r
.71795 .46154 m
.71959 .46222 L
s
% Start of user PostScript
1.30769 -0.230769 1.31753 -0.22666 MAarrowhead1
% End of user PostScript
1 .467 0 r
.71795 .48718 m
.71984 .48789 L
s
% Start of user PostScript
1.30769 -0.0769231 1.31906 -0.0726706 MAarrowhead1
% End of user PostScript
1 .517 0 r
.71795 .51282 m
.72006 .51355 L
s
% Start of user PostScript
1.30769 0.0769231 1.32037 0.0813188 MAarrowhead1
% End of user PostScript
1 .56 0 r
.71795 .53846 m
.72024 .53922 L
s
% Start of user PostScript
1.30769 0.230769 1.32146 0.235308 MAarrowhead1
% End of user PostScript
1 .594 0 r
.71795 .5641 m
.72039 .56488 L
s
% Start of user PostScript
1.30769 0.384615 1.32233 0.389298 MAarrowhead1
% End of user PostScript
1 .619 0 r
.71795 .58974 m
.7205 .59055 L
s
% Start of user PostScript
1.30769 0.538462 1.32298 0.543287 MAarrowhead1
% End of user PostScript
1 .637 0 r
.71795 .61538 m
.72057 .61621 L
s
% Start of user PostScript
1.30769 0.692308 1.32341 0.697277 MAarrowhead1
% End of user PostScript
1 .647 0 r
.71795 .64103 m
.7206 .64188 L
s
% Start of user PostScript
1.30769 0.846154 1.32362 0.851266 MAarrowhead1
% End of user PostScript
1 .648 0 r
.71795 .66667 m
.7206 .66754 L
s
% Start of user PostScript
1.30769 1. 1.32361 1.00526 MAarrowhead1
% End of user PostScript
1 .641 0 r
.71795 .69231 m
.72056 .69321 L
s
% Start of user PostScript
1.30769 1.15385 1.32338 1.15924 MAarrowhead1
% End of user PostScript
1 .626 0 r
.71795 .71795 m
.72049 .71887 L
s
% Start of user PostScript
1.30769 1.30769 1.32293 1.31323 MAarrowhead1
% End of user PostScript
1 .604 0 r
.71795 .74359 m
.72038 .74454 L
s
% Start of user PostScript
1.30769 1.46154 1.32226 1.46722 MAarrowhead1
% End of user PostScript
1 .574 0 r
.71795 .76923 m
.72023 .7702 L
s
% Start of user PostScript
1.30769 1.61538 1.32136 1.62121 MAarrowhead1
% End of user PostScript
1 .536 0 r
.71795 .79487 m
.72004 .79587 L
s
% Start of user PostScript
1.30769 1.76923 1.32025 1.7752 MAarrowhead1
% End of user PostScript
1 .492 0 r
.71795 .82051 m
.71982 .82153 L
s
% Start of user PostScript
1.30769 1.92308 1.31892 1.92919 MAarrowhead1
% End of user PostScript
1 .443 0 r
.71795 .84615 m
.71956 .8472 L
s
% Start of user PostScript
1.30769 2.07692 1.31736 2.08318 MAarrowhead1
% End of user PostScript
1 .39 0 r
.71795 .87179 m
.71926 .87286 L
s
% Start of user PostScript
1.30769 2.23077 1.31559 2.23717 MAarrowhead1
% End of user PostScript
1 .337 0 r
.71795 .89744 m
.71893 .89853 L
s
% Start of user PostScript
1.30769 2.38462 1.31359 2.39116 MAarrowhead1
% End of user PostScript
1 .292 0 r
.71795 .92308 m
.71856 .92419 L
s
% Start of user PostScript
1.30769 2.53846 1.31138 2.54515 MAarrowhead1
% End of user PostScript
1 .265 0 r
.71795 .94872 m
.71816 .94986 L
s
% Start of user PostScript
1.30769 2.69231 1.30894 2.69914 MAarrowhead1
% End of user PostScript
1 .271 0 r
.71795 .97436 m
.71771 .97552 L
s
% Start of user PostScript
1.30769 2.84615 1.30628 2.85313 MAarrowhead1
% End of user PostScript
1 .318 0 r
.71795 1 m
0 0 rlineto s
.71795 1 m
.71795 1 L
s
% Start of user PostScript
1.30769 3. 1.30341 3.00712 MAarrowhead1
% End of user PostScript
0 1 .256 r
.74359 0 m
.73397 .00082 L
s
% Start of user PostScript
1.46154 -3. 1.40381 -2.99506 MAarrowhead1
% End of user PostScript
0 1 .036 r
.74359 .02564 m
.73491 .02649 L
s
% Start of user PostScript
1.46154 -2.84615 1.40946 -2.84107 MAarrowhead1
% End of user PostScript
.174 1 0 r
.74359 .05128 m
.73582 .05215 L
s
% Start of user PostScript
1.46154 -2.69231 1.4149 -2.68708 MAarrowhead1
% End of user PostScript
.376 1 0 r
.74359 .07692 m
.73668 .07782 L
s
% Start of user PostScript
1.46154 -2.53846 1.42011 -2.53309 MAarrowhead1
% End of user PostScript
.568 1 0 r
.74359 .10256 m
.73752 .10348 L
s
% Start of user PostScript
1.46154 -2.38462 1.4251 -2.3791 MAarrowhead1
% End of user PostScript
.751 1 0 r
.74359 .12821 m
.73831 .12915 L
s
% Start of user PostScript
1.46154 -2.23077 1.42987 -2.22511 MAarrowhead1
% End of user PostScript
.924 1 0 r
.74359 .15385 m
.73907 .15481 L
s
% Start of user PostScript
1.46154 -2.07692 1.43443 -2.07112 MAarrowhead1
% End of user PostScript
1 .913 0 r
.74359 .17949 m
.73979 .18048 L
s
% Start of user PostScript
1.46154 -1.92308 1.43876 -1.91714 MAarrowhead1
% End of user PostScript
1 .76 0 r
.74359 .20513 m
.74048 .20614 L
s
% Start of user PostScript
1.46154 -1.76923 1.44287 -1.76315 MAarrowhead1
% End of user PostScript
1 .62 0 r
.74359 .23077 m
.74113 .23181 L
s
% Start of user PostScript
1.46154 -1.61538 1.44676 -1.60916 MAarrowhead1
% End of user PostScript
1 .493 0 r
.74359 .25641 m
.74174 .25747 L
s
% Start of user PostScript
1.46154 -1.46154 1.45043 -1.45517 MAarrowhead1
% End of user PostScript
1 .386 0 r
.74359 .28205 m
.74231 .28314 L
s
% Start of user PostScript
1.46154 -1.30769 1.45388 -1.30118 MAarrowhead1
% End of user PostScript
1 .306 0 r
.74359 .30769 m
.74285 .3088 L
s
% Start of user PostScript
1.46154 -1.15385 1.45711 -1.14719 MAarrowhead1
% End of user PostScript
1 .265 0 r
.74359 .33333 m
.74335 .33447 L
s
% Start of user PostScript
1.46154 -1. 1.46012 -0.993199 MAarrowhead1
% End of user PostScript
1 .27 0 r
.74359 .35897 m
.74382 .36013 L
s
% Start of user PostScript
1.46154 -0.846154 1.46291 -0.839209 MAarrowhead1
% End of user PostScript
1 .31 0 r
.74359 .38462 m
.74425 .3858 L
s
% Start of user PostScript
1.46154 -0.692308 1.46548 -0.68522 MAarrowhead1
% End of user PostScript
1 .368 0 r
.74359 .41026 m
.74464 .41146 L
s
% Start of user PostScript
1.46154 -0.538462 1.46782 -0.53123 MAarrowhead1
% End of user PostScript
1 .43 0 r
.74359 .4359 m
.74499 .43713 L
s
% Start of user PostScript
1.46154 -0.384615 1.46995 -0.377241 MAarrowhead1
% End of user PostScript
1 .492 0 r
.74359 .46154 m
.74531 .46279 L
s
% Start of user PostScript
1.46154 -0.230769 1.47186 -0.223252 MAarrowhead1
% End of user PostScript
1 .55 0 r
.74359 .48718 m
.74559 .48846 L
s
% Start of user PostScript
1.46154 -0.0769231 1.47355 -0.0692622 MAarrowhead1
% End of user PostScript
1 .601 0 r
.74359 .51282 m
.74584 .51412 L
s
% Start of user PostScript
1.46154 0.0769231 1.47501 0.0847273 MAarrowhead1
% End of user PostScript
1 .647 0 r
.74359 .53846 m
.74604 .53979 L
s
% Start of user PostScript
1.46154 0.230769 1.47626 0.238717 MAarrowhead1
% End of user PostScript
1 .685 0 r
.74359 .5641 m
.74621 .56545 L
s
% Start of user PostScript
1.46154 0.384615 1.47728 0.392706 MAarrowhead1
% End of user PostScript
1 .715 0 r
.74359 .58974 m
.74635 .59112 L
s
% Start of user PostScript
1.46154 0.538462 1.47809 0.546696 MAarrowhead1
% End of user PostScript
1 .738 0 r
.74359 .61538 m
.74645 .61678 L
s
% Start of user PostScript
1.46154 0.692308 1.47867 0.700685 MAarrowhead1
% End of user PostScript
1 .753 0 r
.74359 .64103 m
.74651 .64245 L
s
% Start of user PostScript
1.46154 0.846154 1.47903 0.854674 MAarrowhead1
% End of user PostScript
1 .761 0 r
.74359 .66667 m
.74653 .66811 L
s
% Start of user PostScript
1.46154 1. 1.47918 1.00866 MAarrowhead1
% End of user PostScript
.74359 .69231 m
.74652 .69378 L
s
% Start of user PostScript
1.46154 1.15385 1.4791 1.16265 MAarrowhead1
% End of user PostScript
1 .753 0 r
.74359 .71795 m
.74647 .71944 L
s
% Start of user PostScript
1.46154 1.30769 1.4788 1.31664 MAarrowhead1
% End of user PostScript
1 .737 0 r
.74359 .74359 m
.74638 .74511 L
s
% Start of user PostScript
1.46154 1.46154 1.47828 1.47063 MAarrowhead1
% End of user PostScript
1 .715 0 r
.74359 .76923 m
.74626 .77077 L
s
% Start of user PostScript
1.46154 1.61538 1.47755 1.62462 MAarrowhead1
% End of user PostScript
1 .686 0 r
.74359 .79487 m
.7461 .79644 L
s
% Start of user PostScript
1.46154 1.76923 1.47659 1.77861 MAarrowhead1
% End of user PostScript
1 .65 0 r
.74359 .82051 m
.7459 .8221 L
s
% Start of user PostScript
1.46154 1.92308 1.47541 1.9326 MAarrowhead1
% End of user PostScript
1 .609 0 r
.74359 .84615 m
.74567 .84777 L
s
% Start of user PostScript
1.46154 2.07692 1.47401 2.08659 MAarrowhead1
% End of user PostScript
1 .565 0 r
.74359 .87179 m
.7454 .87343 L
s
% Start of user PostScript
1.46154 2.23077 1.47239 2.24058 MAarrowhead1
% End of user PostScript
1 .518 0 r
.74359 .89744 m
.74509 .89909 L
s
% Start of user PostScript
1.46154 2.38462 1.47055 2.39457 MAarrowhead1
% End of user PostScript
1 .472 0 r
.74359 .92308 m
.74475 .92476 L
s
% Start of user PostScript
1.46154 2.53846 1.46849 2.54856 MAarrowhead1
% End of user PostScript
1 .433 0 r
.74359 .94872 m
.74437 .95042 L
s
% Start of user PostScript
1.46154 2.69231 1.4662 2.70255 MAarrowhead1
% End of user PostScript
1 .408 0 r
.74359 .97436 m
.74395 .97609 L
s
% Start of user PostScript
1.46154 2.84615 1.4637 2.85654 MAarrowhead1
% End of user PostScript
1 .405 0 r
.74359 1 m
0 0 rlineto s
.74359 1 m
.74359 1 L
s
% Start of user PostScript
1.46154 3. 1.46098 3.01053 MAarrowhead1
% End of user PostScript
0 1 .365 r
.76923 0 m
.75923 .00155 L
s
% Start of user PostScript
1.61538 -3. 1.55536 -2.99069 MAarrowhead1
% End of user PostScript
0 1 .142 r
.76923 .02564 m
.76019 .02722 L
s
% Start of user PostScript
1.61538 -2.84615 1.56117 -2.8367 MAarrowhead1
% End of user PostScript
.071 1 0 r
.76923 .05128 m
.76113 .05288 L
s
% Start of user PostScript
1.61538 -2.69231 1.56676 -2.68271 MAarrowhead1
% End of user PostScript
.275 1 0 r
.76923 .07692 m
.76202 .07855 L
s
% Start of user PostScript
1.61538 -2.53846 1.57213 -2.52872 MAarrowhead1
% End of user PostScript
.469 1 0 r
.76923 .10256 m
.76288 .10421 L
s
% Start of user PostScript
1.61538 -2.38462 1.57727 -2.37473 MAarrowhead1
% End of user PostScript
.653 1 0 r
.76923 .12821 m
.7637 .12988 L
s
% Start of user PostScript
1.61538 -2.23077 1.5822 -2.22074 MAarrowhead1
% End of user PostScript
.826 1 0 r
.76923 .15385 m
.76448 .15554 L
s
% Start of user PostScript
1.61538 -2.07692 1.58691 -2.06675 MAarrowhead1
% End of user PostScript
.987 1 0 r
.76923 .17949 m
.76523 .18121 L
s
% Start of user PostScript
1.61538 -1.92308 1.59139 -1.91276 MAarrowhead1
% End of user PostScript
1 .865 0 r
.76923 .20513 m
.76594 .20687 L
s
% Start of user PostScript
1.61538 -1.76923 1.59566 -1.75877 MAarrowhead1
% End of user PostScript
1 .733 0 r
.76923 .23077 m
.76662 .23254 L
s
% Start of user PostScript
1.61538 -1.61538 1.5997 -1.60478 MAarrowhead1
% End of user PostScript
1 .618 0 r
.76923 .25641 m
.76725 .2582 L
s
% Start of user PostScript
1.61538 -1.46154 1.60353 -1.45079 MAarrowhead1
% End of user PostScript
1 .527 0 r
.76923 .28205 m
.76786 .28387 L
s
% Start of user PostScript
1.61538 -1.30769 1.60713 -1.2968 MAarrowhead1
% End of user PostScript
1 .464 0 r
.76923 .30769 m
.76842 .30953 L
s
% Start of user PostScript
1.61538 -1.15385 1.61052 -1.14281 MAarrowhead1
% End of user PostScript
1 .435 0 r
.76923 .33333 m
.76895 .3352 L
s
% Start of user PostScript
1.61538 -1. 1.61368 -0.988824 MAarrowhead1
% End of user PostScript
1 .438 0 r
.76923 .35897 m
.76944 .36086 L
s
% Start of user PostScript
1.61538 -0.846154 1.61662 -0.834834 MAarrowhead1
% End of user PostScript
1 .467 0 r
.76923 .38462 m
.76989 .38653 L
s
% Start of user PostScript
1.61538 -0.692308 1.61934 -0.680845 MAarrowhead1
% End of user PostScript
1 .512 0 r
.76923 .41026 m
.77031 .41219 L
s
% Start of user PostScript
1.61538 -0.538462 1.62185 -0.526856 MAarrowhead1
% End of user PostScript
1 .565 0 r
.76923 .4359 m
.77069 .43786 L
s
% Start of user PostScript
1.61538 -0.384615 1.62413 -0.372866 MAarrowhead1
% End of user PostScript
1 .621 0 r
.76923 .46154 m
.77103 .46352 L
s
% Start of user PostScript
1.61538 -0.230769 1.62619 -0.218877 MAarrowhead1
% End of user PostScript
1 .675 0 r
.76923 .48718 m
.77134 .48919 L
s
% Start of user PostScript
1.61538 -0.0769231 1.62803 -0.0648872 MAarrowhead1
% End of user PostScript
1 .726 0 r
.76923 .51282 m
.77161 .51485 L
s
% Start of user PostScript
1.61538 0.0769231 1.62965 0.0891023 MAarrowhead1
% End of user PostScript
1 .772 0 r
.76923 .53846 m
.77184 .54052 L
s
% Start of user PostScript
1.61538 0.230769 1.63105 0.243092 MAarrowhead1
% End of user PostScript
1 .812 0 r
.76923 .5641 m
.77204 .56618 L
s
% Start of user PostScript
1.61538 0.384615 1.63223 0.397081 MAarrowhead1
% End of user PostScript
1 .845 0 r
.76923 .58974 m
.7722 .59185 L
s
% Start of user PostScript
1.61538 0.538462 1.63319 0.551071 MAarrowhead1
% End of user PostScript
1 .872 0 r
.76923 .61538 m
.77232 .61751 L
s
% Start of user PostScript
1.61538 0.692308 1.63393 0.70506 MAarrowhead1
% End of user PostScript
1 .892 0 r
.76923 .64103 m
.77241 .64317 L
s
% Start of user PostScript
1.61538 0.846154 1.63445 0.859049 MAarrowhead1
% End of user PostScript
1 .905 0 r
.76923 .66667 m
.77246 .66884 L
s
% Start of user PostScript
1.61538 1. 1.63474 1.01304 MAarrowhead1
% End of user PostScript
1 .91 0 r
.76923 .69231 m
.77247 .6945 L
s
% Start of user PostScript
1.61538 1.15385 1.63482 1.16703 MAarrowhead1
% End of user PostScript
1 .909 0 r
.76923 .71795 m
.77245 .72017 L
s
% Start of user PostScript
1.61538 1.30769 1.63468 1.32102 MAarrowhead1
% End of user PostScript
1 .9 0 r
.76923 .74359 m
.77239 .74583 L
s
% Start of user PostScript
1.61538 1.46154 1.63431 1.47501 MAarrowhead1
% End of user PostScript
1 .885 0 r
.76923 .76923 m
.77229 .7715 L
s
% Start of user PostScript
1.61538 1.61538 1.63373 1.629 MAarrowhead1
% End of user PostScript
1 .864 0 r
.76923 .79487 m
.77215 .79716 L
s
% Start of user PostScript
1.61538 1.76923 1.63292 1.78299 MAarrowhead1
% End of user PostScript
1 .836 0 r
.76923 .82051 m
.77198 .82283 L
s
% Start of user PostScript
1.61538 1.92308 1.6319 1.93698 MAarrowhead1
% End of user PostScript
1 .803 0 r
.76923 .84615 m
.77178 .84849 L
s
% Start of user PostScript
1.61538 2.07692 1.63065 2.09097 MAarrowhead1
% End of user PostScript
1 .766 0 r
.76923 .87179 m
.77153 .87416 L
s
% Start of user PostScript
1.61538 2.23077 1.62919 2.24495 MAarrowhead1
% End of user PostScript
1 .726 0 r
.76923 .89744 m
.77125 .89982 L
s
% Start of user PostScript
1.61538 2.38462 1.6275 2.39894 MAarrowhead1
% End of user PostScript
1 .685 0 r
.76923 .92308 m
.77093 .92549 L
s
% Start of user PostScript
1.61538 2.53846 1.62559 2.55293 MAarrowhead1
% End of user PostScript
1 .646 0 r
.76923 .94872 m
.77058 .95115 L
s
% Start of user PostScript
1.61538 2.69231 1.62347 2.70692 MAarrowhead1
% End of user PostScript
1 .612 0 r
.76923 .97436 m
.77019 .97682 L
s
% Start of user PostScript
1.61538 2.84615 1.62112 2.86091 MAarrowhead1
% End of user PostScript
1 .588 0 r
.76923 1 m
0 0 rlineto s
.76923 1 m
.76923 1 L
s
% Start of user PostScript
1.61538 3. 1.61855 3.0149 MAarrowhead1
% End of user PostScript
0 1 .494 r
.79487 0 m
.78449 .00246 L
s
% Start of user PostScript
1.76923 -3. 1.70691 -2.98524 MAarrowhead1
% End of user PostScript
0 1 .269 r
.79487 .02564 m
.78548 .02812 L
s
% Start of user PostScript
1.76923 -2.84615 1.71288 -2.83125 MAarrowhead1
% End of user PostScript
0 1 .055 r
.79487 .05128 m
.78644 .05379 L
s
% Start of user PostScript
1.76923 -2.69231 1.71862 -2.67726 MAarrowhead1
% End of user PostScript
.149 1 0 r
.79487 .07692 m
.78736 .07945 L
s
% Start of user PostScript
1.76923 -2.53846 1.72414 -2.52327 MAarrowhead1
% End of user PostScript
.342 1 0 r
.79487 .10256 m
.78824 .10512 L
s
% Start of user PostScript
1.76923 -2.38462 1.72944 -2.36929 MAarrowhead1
% End of user PostScript
.523 1 0 r
.79487 .12821 m
.78909 .13078 L
s
% Start of user PostScript
1.76923 -2.23077 1.73452 -2.2153 MAarrowhead1
% End of user PostScript
.691 1 0 r
.79487 .15385 m
.7899 .15645 L
s
% Start of user PostScript
1.76923 -2.07692 1.73939 -2.06131 MAarrowhead1
% End of user PostScript
.846 1 0 r
.79487 .17949 m
.79067 .18211 L
s
% Start of user PostScript
1.76923 -1.92308 1.74403 -1.90732 MAarrowhead1
% End of user PostScript
.985 1 0 r
.79487 .20513 m
.79141 .20778 L
s
% Start of user PostScript
1.76923 -1.76923 1.74845 -1.75333 MAarrowhead1
% End of user PostScript
1 .894 0 r
.79487 .23077 m
.79211 .23344 L
s
% Start of user PostScript
1.76923 -1.61538 1.75265 -1.59934 MAarrowhead1
% End of user PostScript
1 .795 0 r
.79487 .25641 m
.79277 .25911 L
s
% Start of user PostScript
1.76923 -1.46154 1.75662 -1.44535 MAarrowhead1
% End of user PostScript
1 .719 0 r
.79487 .28205 m
.7934 .28477 L
s
% Start of user PostScript
1.76923 -1.30769 1.76038 -1.29136 MAarrowhead1
% End of user PostScript
1 .669 0 r
.79487 .30769 m
.79399 .31044 L
s
% Start of user PostScript
1.76923 -1.15385 1.76392 -1.13737 MAarrowhead1
% End of user PostScript
1 .647 0 r
.79487 .33333 m
.79454 .3361 L
s
% Start of user PostScript
1.76923 -1. 1.76724 -0.983381 MAarrowhead1
% End of user PostScript
1 .649 0 r
.79487 .35897 m
.79506 .36177 L
s
% Start of user PostScript
1.76923 -0.846154 1.77034 -0.829391 MAarrowhead1
% End of user PostScript
1 .672 0 r
.79487 .38462 m
.79554 .38743 L
s
% Start of user PostScript
1.76923 -0.692308 1.77321 -0.675402 MAarrowhead1
% End of user PostScript
1 .708 0 r
.79487 .41026 m
.79598 .4131 L
s
% Start of user PostScript
1.76923 -0.538462 1.77587 -0.521412 MAarrowhead1
% End of user PostScript
1 .752 0 r
.79487 .4359 m
.79638 .43876 L
s
% Start of user PostScript
1.76923 -0.384615 1.77831 -0.367423 MAarrowhead1
% End of user PostScript
1 .801 0 r
.79487 .46154 m
.79675 .46443 L
s
% Start of user PostScript
1.76923 -0.230769 1.78052 -0.213433 MAarrowhead1
% End of user PostScript
1 .851 0 r
.79487 .48718 m
.79709 .49009 L
s
% Start of user PostScript
1.76923 -0.0769231 1.78252 -0.0594439 MAarrowhead1
% End of user PostScript
1 .898 0 r
.79487 .51282 m
.79738 .51576 L
s
% Start of user PostScript
1.76923 0.0769231 1.78429 0.0945456 MAarrowhead1
% End of user PostScript
1 .943 0 r
.79487 .53846 m
.79764 .54142 L
s
% Start of user PostScript
1.76923 0.230769 1.78584 0.248535 MAarrowhead1
% End of user PostScript
1 .983 0 r
.79487 .5641 m
.79786 .56709 L
s
% Start of user PostScript
1.76923 0.384615 1.78718 0.402524 MAarrowhead1
% End of user PostScript
.982 1 0 r
.79487 .58974 m
.79805 .59275 L
s
% Start of user PostScript
1.76923 0.538462 1.78829 0.556514 MAarrowhead1
% End of user PostScript
.952 1 0 r
.79487 .61538 m
.7982 .61842 L
s
% Start of user PostScript
1.76923 0.692308 1.78918 0.710503 MAarrowhead1
% End of user PostScript
.929 1 0 r
.79487 .64103 m
.79831 .64408 L
s
% Start of user PostScript
1.76923 0.846154 1.78986 0.864493 MAarrowhead1
% End of user PostScript
.912 1 0 r
.79487 .66667 m
.79838 .66975 L
s
% Start of user PostScript
1.76923 1. 1.79031 1.01848 MAarrowhead1
% End of user PostScript
.902 1 0 r
.79487 .69231 m
.79842 .69541 L
s
% Start of user PostScript
1.76923 1.15385 1.79054 1.17247 MAarrowhead1
% End of user PostScript
.898 1 0 r
.79487 .71795 m
.79843 .72108 L
s
% Start of user PostScript
1.76923 1.30769 1.79055 1.32646 MAarrowhead1
% End of user PostScript
.9 1 0 r
.79487 .74359 m
.79839 .74674 L
s
% Start of user PostScript
1.76923 1.46154 1.79034 1.48045 MAarrowhead1
% End of user PostScript
.909 1 0 r
.79487 .76923 m
.79832 .77241 L
s
% Start of user PostScript
1.76923 1.61538 1.78991 1.63444 MAarrowhead1
% End of user PostScript
.923 1 0 r
.79487 .79487 m
.79821 .79807 L
s
% Start of user PostScript
1.76923 1.76923 1.78926 1.78843 MAarrowhead1
% End of user PostScript
.944 1 0 r
.79487 .82051 m
.79807 .82374 L
s
% Start of user PostScript
1.76923 1.92308 1.78839 1.94242 MAarrowhead1
% End of user PostScript
.969 1 0 r
.79487 .84615 m
.79788 .8494 L
s
% Start of user PostScript
1.76923 2.07692 1.7873 2.09641 MAarrowhead1
% End of user PostScript
.999 1 0 r
.79487 .87179 m
.79766 .87507 L
s
% Start of user PostScript
1.76923 2.23077 1.78599 2.2504 MAarrowhead1
% End of user PostScript
1 .968 0 r
.79487 .89744 m
.79741 .90073 L
s
% Start of user PostScript
1.76923 2.38462 1.78446 2.40439 MAarrowhead1
% End of user PostScript
1 .932 0 r
.79487 .92308 m
.79712 .9264 L
s
% Start of user PostScript
1.76923 2.53846 1.7827 2.55838 MAarrowhead1
% End of user PostScript
1 .896 0 r
.79487 .94872 m
.79679 .95206 L
s
% Start of user PostScript
1.76923 2.69231 1.78073 2.71237 MAarrowhead1
% End of user PostScript
1 .862 0 r
.79487 .97436 m
.79642 .97773 L
s
% Start of user PostScript
1.76923 2.84615 1.77854 2.86636 MAarrowhead1
% End of user PostScript
1 .832 0 r
.79487 1 m
0 0 rlineto s
.79487 1 m
.79487 1 L
s
% Start of user PostScript
1.76923 3. 1.77612 3.02035 MAarrowhead1
% End of user PostScript
0 1 .65 r
.82051 0 m
.80974 .00356 L
s
% Start of user PostScript
1.92308 -3. 1.85847 -2.97863 MAarrowhead1
% End of user PostScript
0 1 .427 r
.82051 .02564 m
.81076 .02923 L
s
% Start of user PostScript
1.92308 -2.84615 1.86458 -2.82464 MAarrowhead1
% End of user PostScript
0 1 .214 r
.82051 .05128 m
.81175 .05489 L
s
% Start of user PostScript
1.92308 -2.69231 1.87048 -2.67065 MAarrowhead1
% End of user PostScript
0 1 .013 r
.82051 .07692 m
.81269 .08056 L
s
% Start of user PostScript
1.92308 -2.53846 1.87616 -2.51666 MAarrowhead1
% End of user PostScript
.175 1 0 r
.82051 .10256 m
.8136 .10622 L
s
% Start of user PostScript
1.92308 -2.38462 1.88161 -2.36267 MAarrowhead1
% End of user PostScript
.35 1 0 r
.82051 .12821 m
.81447 .13189 L
s
% Start of user PostScript
1.92308 -2.23077 1.88685 -2.20868 MAarrowhead1
% End of user PostScript
.51 1 0 r
.82051 .15385 m
.81531 .15755 L
s
% Start of user PostScript
1.92308 -2.07692 1.89187 -2.05469 MAarrowhead1
% End of user PostScript
.655 1 0 r
.82051 .17949 m
.81611 .18322 L
s
% Start of user PostScript
1.92308 -1.92308 1.89666 -1.9007 MAarrowhead1
% End of user PostScript
.782 1 0 r
.82051 .20513 m
.81687 .20888 L
s
% Start of user PostScript
1.92308 -1.76923 1.90123 -1.74671 MAarrowhead1
% End of user PostScript
.889 1 0 r
.82051 .23077 m
.8176 .23455 L
s
% Start of user PostScript
1.92308 -1.61538 1.90559 -1.59272 MAarrowhead1
% End of user PostScript
.975 1 0 r
.82051 .25641 m
.81829 .26021 L
s
% Start of user PostScript
1.92308 -1.46154 1.90972 -1.43874 MAarrowhead1
% End of user PostScript
1 .962 0 r
.82051 .28205 m
.81894 .28588 L
s
% Start of user PostScript
1.92308 -1.30769 1.91363 -1.28475 MAarrowhead1
% End of user PostScript
1 .922 0 r
.82051 .30769 m
.81955 .31154 L
s
% Start of user PostScript
1.92308 -1.15385 1.91733 -1.13076 MAarrowhead1
% End of user PostScript
1 .905 0 r
.82051 .33333 m
.82013 .33721 L
s
% Start of user PostScript
1.92308 -1. 1.9208 -0.976767 MAarrowhead1
% End of user PostScript
1 .907 0 r
.82051 .35897 m
.82068 .36287 L
s
% Start of user PostScript
1.92308 -0.846154 1.92405 -0.822778 MAarrowhead1
% End of user PostScript
1 .925 0 r
.82051 .38462 m
.82118 .38854 L
s
% Start of user PostScript
1.92308 -0.692308 1.92708 -0.668788 MAarrowhead1
% End of user PostScript
1 .955 0 r
.82051 .41026 m
.82165 .4142 L
s
% Start of user PostScript
1.92308 -0.538462 1.92989 -0.514799 MAarrowhead1
% End of user PostScript
1 .993 0 r
.82051 .4359 m
.82208 .43987 L
s
% Start of user PostScript
1.92308 -0.384615 1.93248 -0.360809 MAarrowhead1
% End of user PostScript
.965 1 0 r
.82051 .46154 m
.82248 .46553 L
s
% Start of user PostScript
1.92308 -0.230769 1.93485 -0.20682 MAarrowhead1
% End of user PostScript
.92 1 0 r
.82051 .48718 m
.82283 .49119 L
s
% Start of user PostScript
1.92308 -0.0769231 1.937 -0.0528305 MAarrowhead1
% End of user PostScript
.876 1 0 r
.82051 .51282 m
.82316 .51686 L
s
% Start of user PostScript
1.92308 0.0769231 1.93893 0.101159 MAarrowhead1
% End of user PostScript
.833 1 0 r
.82051 .53846 m
.82344 .54252 L
s
% Start of user PostScript
1.92308 0.230769 1.94064 0.255148 MAarrowhead1
% End of user PostScript
.794 1 0 r
.82051 .5641 m
.82369 .56819 L
s
% Start of user PostScript
1.92308 0.384615 1.94213 0.409138 MAarrowhead1
% End of user PostScript
.759 1 0 r
.82051 .58974 m
.8239 .59385 L
s
% Start of user PostScript
1.92308 0.538462 1.94339 0.563127 MAarrowhead1
% End of user PostScript
.728 1 0 r
.82051 .61538 m
.82407 .61952 L
s
% Start of user PostScript
1.92308 0.692308 1.94444 0.717117 MAarrowhead1
% End of user PostScript
.703 1 0 r
.82051 .64103 m
.82421 .64518 L
s
% Start of user PostScript
1.92308 0.846154 1.94527 0.871106 MAarrowhead1
% End of user PostScript
.683 1 0 r
.82051 .66667 m
.82431 .67085 L
s
% Start of user PostScript
1.92308 1. 1.94587 1.0251 MAarrowhead1
% End of user PostScript
.669 1 0 r
.82051 .69231 m
.82438 .69651 L
s
% Start of user PostScript
1.92308 1.15385 1.94626 1.17909 MAarrowhead1
% End of user PostScript
.66 1 0 r
.82051 .71795 m
.8244 .72218 L
s
% Start of user PostScript
1.92308 1.30769 1.94643 1.33307 MAarrowhead1
% End of user PostScript
.657 1 0 r
.82051 .74359 m
.8244 .74784 L
s
% Start of user PostScript
1.92308 1.46154 1.94637 1.48706 MAarrowhead1
% End of user PostScript
.66 1 0 r
.82051 .76923 m
.82435 .77351 L
s
% Start of user PostScript
1.92308 1.61538 1.94609 1.64105 MAarrowhead1
% End of user PostScript
.669 1 0 r
.82051 .79487 m
.82427 .79917 L
s
% Start of user PostScript
1.92308 1.76923 1.9456 1.79504 MAarrowhead1
% End of user PostScript
.683 1 0 r
.82051 .82051 m
.82415 .82484 L
s
% Start of user PostScript
1.92308 1.92308 1.94488 1.94903 MAarrowhead1
% End of user PostScript
.702 1 0 r
.82051 .84615 m
.82399 .8505 L
s
% Start of user PostScript
1.92308 2.07692 1.94395 2.10302 MAarrowhead1
% End of user PostScript
.725 1 0 r
.82051 .87179 m
.8238 .87617 L
s
% Start of user PostScript
1.92308 2.23077 1.94279 2.25701 MAarrowhead1
% End of user PostScript
.752 1 0 r
.82051 .89744 m
.82357 .90183 L
s
% Start of user PostScript
1.92308 2.38462 1.94141 2.411 MAarrowhead1
% End of user PostScript
.782 1 0 r
.82051 .92308 m
.8233 .9275 L
s
% Start of user PostScript
1.92308 2.53846 1.93981 2.56499 MAarrowhead1
% End of user PostScript
.813 1 0 r
.82051 .94872 m
.823 .95316 L
s
% Start of user PostScript
1.92308 2.69231 1.93799 2.71898 MAarrowhead1
% End of user PostScript
.845 1 0 r
.82051 .97436 m
.82266 .97883 L
s
% Start of user PostScript
1.92308 2.84615 1.93595 2.87297 MAarrowhead1
% End of user PostScript
.875 1 0 r
.82051 1 m
0 0 rlineto s
.82051 1 m
.82051 1 L
s
% Start of user PostScript
1.92308 3. 1.93369 3.02696 MAarrowhead1
% End of user PostScript
0 1 .844 r
.84615 0 m
.835 .00488 L
s
% Start of user PostScript
2.07692 -3. 2.01002 -2.97074 MAarrowhead1
% End of user PostScript
0 1 .624 r
.84615 .02564 m
.83605 .03054 L
s
% Start of user PostScript
2.07692 -2.84615 2.01629 -2.81676 MAarrowhead1
% End of user PostScript
0 1 .416 r
.84615 .05128 m
.83706 .05621 L
s
% Start of user PostScript
2.07692 -2.69231 2.02234 -2.66277 MAarrowhead1
% End of user PostScript
0 1 .222 r
.84615 .07692 m
.83803 .08187 L
s
% Start of user PostScript
2.07692 -2.53846 2.02817 -2.50878 MAarrowhead1
% End of user PostScript
0 1 .041 r
.84615 .10256 m
.83896 .10754 L
s
% Start of user PostScript
2.07692 -2.38462 2.03379 -2.35479 MAarrowhead1
% End of user PostScript
.125 1 0 r
.84615 .12821 m
.83986 .1332 L
s
% Start of user PostScript
2.07692 -2.23077 2.03918 -2.2008 MAarrowhead1
% End of user PostScript
.274 1 0 r
.84615 .15385 m
.84072 .15887 L
s
% Start of user PostScript
2.07692 -2.07692 2.04434 -2.04681 MAarrowhead1
% End of user PostScript
.407 1 0 r
.84615 .17949 m
.84155 .18453 L
s
% Start of user PostScript
2.07692 -1.92308 2.04929 -1.89282 MAarrowhead1
% End of user PostScript
.521 1 0 r
.84615 .20513 m
.84234 .2102 L
s
% Start of user PostScript
2.07692 -1.76923 2.05402 -1.73883 MAarrowhead1
% End of user PostScript
.614 1 0 r
.84615 .23077 m
.84309 .23586 L
s
% Start of user PostScript
2.07692 -1.61538 2.05853 -1.58484 MAarrowhead1
% End of user PostScript
.688 1 0 r
.84615 .25641 m
.8438 .26152 L
s
% Start of user PostScript
2.07692 -1.46154 2.06282 -1.43085 MAarrowhead1
% End of user PostScript
.741 1 0 r
.84615 .28205 m
.84448 .28719 L
s
% Start of user PostScript
2.07692 -1.30769 2.06689 -1.27686 MAarrowhead1
% End of user PostScript
.773 1 0 r
.84615 .30769 m
.84512 .31285 L
s
% Start of user PostScript
2.07692 -1.15385 2.07073 -1.12287 MAarrowhead1
% End of user PostScript
.787 1 0 r
.84615 .33333 m
.84573 .33852 L
s
% Start of user PostScript
2.07692 -1. 2.07436 -0.968882 MAarrowhead1
% End of user PostScript
.786 1 0 r
.84615 .35897 m
.84629 .36418 L
s
% Start of user PostScript
2.07692 -0.846154 2.07776 -0.814893 MAarrowhead1
% End of user PostScript
.77 1 0 r
.84615 .38462 m
.84682 .38985 L
s
% Start of user PostScript
2.07692 -0.692308 2.08095 -0.660903 MAarrowhead1
% End of user PostScript
.745 1 0 r
.84615 .41026 m
.84732 .41551 L
s
% Start of user PostScript
2.07692 -0.538462 2.08391 -0.506914 MAarrowhead1
% End of user PostScript
.712 1 0 r
.84615 .4359 m
.84778 .44118 L
s
% Start of user PostScript
2.07692 -0.384615 2.08666 -0.352924 MAarrowhead1
% End of user PostScript
.675 1 0 r
.84615 .46154 m
.8482 .46684 L
s
% Start of user PostScript
2.07692 -0.230769 2.08918 -0.198935 MAarrowhead1
% End of user PostScript
.635 1 0 r
.84615 .48718 m
.84858 .49251 L
s
% Start of user PostScript
2.07692 -0.0769231 2.09149 -0.0449453 MAarrowhead1
% End of user PostScript
.594 1 0 r
.84615 .51282 m
.84893 .51817 L
s
% Start of user PostScript
2.07692 0.0769231 2.09357 0.109044 MAarrowhead1
% End of user PostScript
.554 1 0 r
.84615 .53846 m
.84924 .54384 L
s
% Start of user PostScript
2.07692 0.230769 2.09543 0.263034 MAarrowhead1
% End of user PostScript
.517 1 0 r
.84615 .5641 m
.84951 .5695 L
s
% Start of user PostScript
2.07692 0.384615 2.09708 0.417023 MAarrowhead1
% End of user PostScript
.482 1 0 r
.84615 .58974 m
.84975 .59517 L
s
% Start of user PostScript
2.07692 0.538462 2.0985 0.571012 MAarrowhead1
% End of user PostScript
.451 1 0 r
.84615 .61538 m
.84995 .62083 L
s
% Start of user PostScript
2.07692 0.692308 2.0997 0.725002 MAarrowhead1
% End of user PostScript
.424 1 0 r
.84615 .64103 m
.85011 .6465 L
s
% Start of user PostScript
2.07692 0.846154 2.10068 0.878991 MAarrowhead1
% End of user PostScript
.402 1 0 r
.84615 .66667 m
.85024 .67216 L
s
% Start of user PostScript
2.07692 1. 2.10144 1.03298 MAarrowhead1
% End of user PostScript
.385 1 0 r
.84615 .69231 m
.85033 .69783 L
s
% Start of user PostScript
2.07692 1.15385 2.10198 1.18697 MAarrowhead1
% End of user PostScript
.373 1 0 r
.84615 .71795 m
.85038 .72349 L
s
% Start of user PostScript
2.07692 1.30769 2.1023 1.34096 MAarrowhead1
% End of user PostScript
.366 1 0 r
.84615 .74359 m
.8504 .74916 L
s
% Start of user PostScript
2.07692 1.46154 2.1024 1.49495 MAarrowhead1
% End of user PostScript
.365 1 0 r
.84615 .76923 m
.85038 .77482 L
s
% Start of user PostScript
2.07692 1.61538 2.10228 1.64894 MAarrowhead1
% End of user PostScript
.368 1 0 r
.84615 .79487 m
.85032 .80049 L
s
% Start of user PostScript
2.07692 1.76923 2.10194 1.80293 MAarrowhead1
% End of user PostScript
.377 1 0 r
.84615 .82051 m
.85023 .82615 L
s
% Start of user PostScript
2.07692 1.92308 2.10137 1.95692 MAarrowhead1
% End of user PostScript
.39 1 0 r
.84615 .84615 m
.8501 .85182 L
s
% Start of user PostScript
2.07692 2.07692 2.10059 2.11091 MAarrowhead1
% End of user PostScript
.407 1 0 r
.84615 .87179 m
.84993 .87748 L
s
% Start of user PostScript
2.07692 2.23077 2.09959 2.2649 MAarrowhead1
% End of user PostScript
.428 1 0 r
.84615 .89744 m
.84973 .90315 L
s
% Start of user PostScript
2.07692 2.38462 2.09836 2.41889 MAarrowhead1
% End of user PostScript
.453 1 0 r
.84615 .92308 m
.84949 .92881 L
s
% Start of user PostScript
2.07692 2.53846 2.09692 2.57288 MAarrowhead1
% End of user PostScript
.479 1 0 r
.84615 .94872 m
.84921 .95448 L
s
% Start of user PostScript
2.07692 2.69231 2.09526 2.72686 MAarrowhead1
% End of user PostScript
.507 1 0 r
.84615 .97436 m
.8489 .98014 L
s
% Start of user PostScript
2.07692 2.84615 2.09337 2.88085 MAarrowhead1
% End of user PostScript
.535 1 0 r
.84615 1 m
0 0 rlineto s
.84615 1 m
.84615 1 L
s
% Start of user PostScript
2.07692 3. 2.09127 3.03484 MAarrowhead1
% End of user PostScript
0 .915 1 r
.87179 0 m
.86026 .00642 L
s
% Start of user PostScript
2.23077 -3. 2.16157 -2.96149 MAarrowhead1
% End of user PostScript
0 1 .872 r
.87179 .02564 m
.86133 .03208 L
s
% Start of user PostScript
2.23077 -2.84615 2.168 -2.8075 MAarrowhead1
% End of user PostScript
0 1 .671 r
.87179 .05128 m
.86237 .05775 L
s
% Start of user PostScript
2.23077 -2.69231 2.17421 -2.65351 MAarrowhead1
% End of user PostScript
0 1 .486 r
.87179 .07692 m
.86337 .08341 L
s
% Start of user PostScript
2.23077 -2.53846 2.18019 -2.49952 MAarrowhead1
% End of user PostScript
0 1 .315 r
.87179 .10256 m
.86433 .10908 L
s
% Start of user PostScript
2.23077 -2.38462 2.18596 -2.34553 MAarrowhead1
% End of user PostScript
0 1 .161 r
.87179 .12821 m
.86525 .13474 L
s
% Start of user PostScript
2.23077 -2.23077 2.1915 -2.19154 MAarrowhead1
% End of user PostScript
0 1 .023 r
.87179 .15385 m
.86614 .16041 L
s
% Start of user PostScript
2.23077 -2.07692 2.19682 -2.03755 MAarrowhead1
% End of user PostScript
.096 1 0 r
.87179 .17949 m
.86699 .18607 L
s
% Start of user PostScript
2.23077 -1.92308 2.20193 -1.88356 MAarrowhead1
% End of user PostScript
.197 1 0 r
.87179 .20513 m
.8678 .21174 L
s
% Start of user PostScript
2.23077 -1.76923 2.20681 -1.72957 MAarrowhead1
% End of user PostScript
.28 1 0 r
.87179 .23077 m
.86858 .2374 L
s
% Start of user PostScript
2.23077 -1.61538 2.21147 -1.57558 MAarrowhead1
% End of user PostScript
.343 1 0 r
.87179 .25641 m
.86932 .26307 L
s
% Start of user PostScript
2.23077 -1.46154 2.21591 -1.42159 MAarrowhead1
% End of user PostScript
.387 1 0 r
.87179 .28205 m
.87002 .28873 L
s
% Start of user PostScript
2.23077 -1.30769 2.22014 -1.2676 MAarrowhead1
% End of user PostScript
.415 1 0 r
.87179 .30769 m
.87069 .3144 L
s
% Start of user PostScript
2.23077 -1.15385 2.22414 -1.11361 MAarrowhead1
% End of user PostScript
.426 1 0 r
.87179 .33333 m
.87132 .34006 L
s
% Start of user PostScript
2.23077 -1. 2.22792 -0.959623 MAarrowhead1
% End of user PostScript
.424 1 0 r
.87179 .35897 m
.87191 .36573 L
s
% Start of user PostScript
2.23077 -0.846154 2.23148 -0.805634 MAarrowhead1
% End of user PostScript
.411 1 0 r
.87179 .38462 m
.87247 .39139 L
s
% Start of user PostScript
2.23077 -0.692308 2.23482 -0.651644 MAarrowhead1
% End of user PostScript
.389 1 0 r
.87179 .41026 m
.87299 .41706 L
s
% Start of user PostScript
2.23077 -0.538462 2.23794 -0.497655 MAarrowhead1
% End of user PostScript
.36 1 0 r
.87179 .4359 m
.87347 .44272 L
s
% Start of user PostScript
2.23077 -0.384615 2.24084 -0.343665 MAarrowhead1
% End of user PostScript
.327 1 0 r
.87179 .46154 m
.87392 .46839 L
s
% Start of user PostScript
2.23077 -0.230769 2.24351 -0.189676 MAarrowhead1
% End of user PostScript
.291 1 0 r
.87179 .48718 m
.87433 .49405 L
s
% Start of user PostScript
2.23077 -0.0769231 2.24597 -0.0356866 MAarrowhead1
% End of user PostScript
.253 1 0 r
.87179 .51282 m
.8747 .51972 L
s
% Start of user PostScript
2.23077 0.0769231 2.24821 0.118303 MAarrowhead1
% End of user PostScript
.216 1 0 r
.87179 .53846 m
.87504 .54538 L
s
% Start of user PostScript
2.23077 0.230769 2.25023 0.272292 MAarrowhead1
% End of user PostScript
.18 1 0 r
.87179 .5641 m
.87534 .57105 L
s
% Start of user PostScript
2.23077 0.384615 2.25202 0.426282 MAarrowhead1
% End of user PostScript
.147 1 0 r
.87179 .58974 m
.8756 .59671 L
s
% Start of user PostScript
2.23077 0.538462 2.2536 0.580271 MAarrowhead1
% End of user PostScript
.116 1 0 r
.87179 .61538 m
.87583 .62238 L
s
% Start of user PostScript
2.23077 0.692308 2.25496 0.734261 MAarrowhead1
% End of user PostScript
.089 1 0 r
.87179 .64103 m
.87602 .64804 L
s
% Start of user PostScript
2.23077 0.846154 2.25609 0.88825 MAarrowhead1
% End of user PostScript
.065 1 0 r
.87179 .66667 m
.87617 .67371 L
s
% Start of user PostScript
2.23077 1. 2.25701 1.04224 MAarrowhead1
% End of user PostScript
.046 1 0 r
.87179 .69231 m
.87628 .69937 L
s
% Start of user PostScript
2.23077 1.15385 2.2577 1.19623 MAarrowhead1
% End of user PostScript
.031 1 0 r
.87179 .71795 m
.87636 .72504 L
s
% Start of user PostScript
2.23077 1.30769 2.25817 1.35022 MAarrowhead1
% End of user PostScript
.021 1 0 r
.87179 .74359 m
.8764 .7507 L
s
% Start of user PostScript
2.23077 1.46154 2.25843 1.50421 MAarrowhead1
% End of user PostScript
.016 1 0 r
.87179 .76923 m
.87641 .77637 L
s
% Start of user PostScript
2.23077 1.61538 2.25846 1.6582 MAarrowhead1
% End of user PostScript
.015 1 0 r
.87179 .79487 m
.87638 .80203 L
s
% Start of user PostScript
2.23077 1.76923 2.25827 1.81219 MAarrowhead1
% End of user PostScript
.019 1 0 r
.87179 .82051 m
.87631 .8277 L
s
% Start of user PostScript
2.23077 1.92308 2.25787 1.96618 MAarrowhead1
% End of user PostScript
.027 1 0 r
.87179 .84615 m
.87621 .85336 L
s
% Start of user PostScript
2.23077 2.07692 2.25724 2.12017 MAarrowhead1
% End of user PostScript
.039 1 0 r
.87179 .87179 m
.87606 .87903 L
s
% Start of user PostScript
2.23077 2.23077 2.25639 2.27416 MAarrowhead1
% End of user PostScript
.055 1 0 r
.87179 .89744 m
.87589 .90469 L
s
% Start of user PostScript
2.23077 2.38462 2.25532 2.42814 MAarrowhead1
% End of user PostScript
.075 1 0 r
.87179 .92308 m
.87567 .93036 L
s
% Start of user PostScript
2.23077 2.53846 2.25403 2.58213 MAarrowhead1
% End of user PostScript
.097 1 0 r
.87179 .94872 m
.87542 .95602 L
s
% Start of user PostScript
2.23077 2.69231 2.25252 2.73612 MAarrowhead1
% End of user PostScript
.121 1 0 r
.87179 .97436 m
.87513 .98169 L
s
% Start of user PostScript
2.23077 2.84615 2.25079 2.89011 MAarrowhead1
% End of user PostScript
.146 1 0 r
.87179 1 m
0 0 rlineto s
.87179 1 m
.87179 1 L
s
% Start of user PostScript
2.23077 3. 2.24884 3.0441 MAarrowhead1
% End of user PostScript
0 .617 1 r
.89744 0 m
.88552 .00821 L
s
% Start of user PostScript
2.38462 -3. 2.31313 -2.95075 MAarrowhead1
% End of user PostScript
0 .822 1 r
.89744 .02564 m
.88662 .03387 L
s
% Start of user PostScript
2.38462 -2.84615 2.31971 -2.79676 MAarrowhead1
% End of user PostScript
0 1 .988 r
.89744 .05128 m
.88768 .05954 L
s
% Start of user PostScript
2.38462 -2.69231 2.32607 -2.64277 MAarrowhead1
% End of user PostScript
0 1 .813 r
.89744 .07692 m
.8887 .0852 L
s
% Start of user PostScript
2.38462 -2.53846 2.33221 -2.48878 MAarrowhead1
% End of user PostScript
0 1 .654 r
.89744 .10256 m
.88969 .11087 L
s
% Start of user PostScript
2.38462 -2.38462 2.33813 -2.33479 MAarrowhead1
% End of user PostScript
0 1 .512 r
.89744 .12821 m
.89064 .13653 L
s
% Start of user PostScript
2.38462 -2.23077 2.34383 -2.1808 MAarrowhead1
% End of user PostScript
0 1 .387 r
.89744 .15385 m
.89155 .1622 L
s
% Start of user PostScript
2.38462 -2.07692 2.3493 -2.02682 MAarrowhead1
% End of user PostScript
0 1 .28 r
.89744 .17949 m
.89243 .18786 L
s
% Start of user PostScript
2.38462 -1.92308 2.35456 -1.87283 MAarrowhead1
% End of user PostScript
0 1 .19 r
.89744 .20513 m
.89327 .21353 L
s
% Start of user PostScript
2.38462 -1.76923 2.3596 -1.71884 MAarrowhead1
% End of user PostScript
0 1 .118 r
.89744 .23077 m
.89407 .23919 L
s
% Start of user PostScript
2.38462 -1.61538 2.36441 -1.56485 MAarrowhead1
% End of user PostScript
0 1 .064 r
.89744 .25641 m
.89484 .26486 L
s
% Start of user PostScript
2.38462 -1.46154 2.36901 -1.41086 MAarrowhead1
% End of user PostScript
0 1 .026 r
.89744 .28205 m
.89556 .29052 L
s
% Start of user PostScript
2.38462 -1.30769 2.37339 -1.25687 MAarrowhead1
% End of user PostScript
0 1 .002 r
.89744 .30769 m
.89626 .31619 L
s
% Start of user PostScript
2.38462 -1.15385 2.37754 -1.10288 MAarrowhead1
% End of user PostScript
.007 1 0 r
.89744 .33333 m
.89691 .34185 L
s
% Start of user PostScript
2.38462 -1. 2.38148 -0.948889 MAarrowhead1
% End of user PostScript
.005 1 0 r
.89744 .35897 m
.89753 .36752 L
s
% Start of user PostScript
2.38462 -0.846154 2.38519 -0.7949 MAarrowhead1
% End of user PostScript
0 1 .006 r
.89744 .38462 m
.89811 .39318 L
s
% Start of user PostScript
2.38462 -0.692308 2.38869 -0.64091 MAarrowhead1
% End of user PostScript
0 1 .026 r
.89744 .41026 m
.89866 .41885 L
s
% Start of user PostScript
2.38462 -0.538462 2.39196 -0.486921 MAarrowhead1
% End of user PostScript
0 1 .052 r
.89744 .4359 m
.89917 .44451 L
s
% Start of user PostScript
2.38462 -0.384615 2.39501 -0.332931 MAarrowhead1
% End of user PostScript
0 1 .082 r
.89744 .46154 m
.89964 .47018 L
s
% Start of user PostScript
2.38462 -0.230769 2.39785 -0.178942 MAarrowhead1
% End of user PostScript
0 1 .115 r
.89744 .48718 m
.90008 .49584 L
s
% Start of user PostScript
2.38462 -0.0769231 2.40046 -0.0249526 MAarrowhead1
% End of user PostScript
0 1 .149 r
.89744 .51282 m
.90047 .52151 L
s
% Start of user PostScript
2.38462 0.0769231 2.40285 0.129037 MAarrowhead1
% End of user PostScript
0 1 .184 r
.89744 .53846 m
.90084 .54717 L
s
% Start of user PostScript
2.38462 0.230769 2.40502 0.283026 MAarrowhead1
% End of user PostScript
0 1 .218 r
.89744 .5641 m
.90116 .57284 L
s
% Start of user PostScript
2.38462 0.384615 2.40697 0.437016 MAarrowhead1
% End of user PostScript
0 1 .25 r
.89744 .58974 m
.90145 .5985 L
s
% Start of user PostScript
2.38462 0.538462 2.4087 0.591005 MAarrowhead1
% End of user PostScript
0 1 .28 r
.89744 .61538 m
.9017 .62417 L
s
% Start of user PostScript
2.38462 0.692308 2.41021 0.744995 MAarrowhead1
% End of user PostScript
0 1 .308 r
.89744 .64103 m
.90192 .64983 L
s
% Start of user PostScript
2.38462 0.846154 2.4115 0.898984 MAarrowhead1
% End of user PostScript
0 1 .332 r
.89744 .66667 m
.9021 .6755 L
s
% Start of user PostScript
2.38462 1. 2.41257 1.05297 MAarrowhead1
% End of user PostScript
0 1 .353 r
.89744 .69231 m
.90224 .70116 L
s
% Start of user PostScript
2.38462 1.15385 2.41342 1.20696 MAarrowhead1
% End of user PostScript
0 1 .369 r
.89744 .71795 m
.90234 .72683 L
s
% Start of user PostScript
2.38462 1.30769 2.41405 1.36095 MAarrowhead1
% End of user PostScript
0 1 .382 r
.89744 .74359 m
.90241 .75249 L
s
% Start of user PostScript
2.38462 1.46154 2.41446 1.51494 MAarrowhead1
% End of user PostScript
0 1 .39 r
.89744 .76923 m
.90244 .77816 L
s
% Start of user PostScript
2.38462 1.61538 2.41464 1.66893 MAarrowhead1
% End of user PostScript
0 1 .395 r
.89744 .79487 m
.90244 .80382 L
s
% Start of user PostScript
2.38462 1.76923 2.41461 1.82292 MAarrowhead1
% End of user PostScript
.89744 .82051 m
.90239 .82949 L
s
% Start of user PostScript
2.38462 1.92308 2.41436 1.97691 MAarrowhead1
% End of user PostScript
0 1 .391 r
.89744 .84615 m
.90231 .85515 L
s
% Start of user PostScript
2.38462 2.07692 2.41388 2.1309 MAarrowhead1
% End of user PostScript
0 1 .383 r
.89744 .87179 m
.9022 .88081 L
s
% Start of user PostScript
2.38462 2.23077 2.41319 2.28489 MAarrowhead1
% End of user PostScript
0 1 .371 r
.89744 .89744 m
.90205 .90648 L
s
% Start of user PostScript
2.38462 2.38462 2.41227 2.43888 MAarrowhead1
% End of user PostScript
0 1 .357 r
.89744 .92308 m
.90186 .93214 L
s
% Start of user PostScript
2.38462 2.53846 2.41114 2.59287 MAarrowhead1
% End of user PostScript
0 1 .339 r
.89744 .94872 m
.90163 .95781 L
s
% Start of user PostScript
2.38462 2.69231 2.40978 2.74686 MAarrowhead1
% End of user PostScript
0 1 .319 r
.89744 .97436 m
.90137 .98347 L
s
% Start of user PostScript
2.38462 2.84615 2.40821 2.90085 MAarrowhead1
% End of user PostScript
0 1 .297 r
.89744 1 m
0 0 rlineto s
.89744 1 m
.89744 1 L
s
% Start of user PostScript
2.38462 3. 2.40641 3.05484 MAarrowhead1
% End of user PostScript
0 .255 1 r
.92308 0 m
.91078 .01026 L
s
% Start of user PostScript
2.53846 -3. 2.46468 -2.93844 MAarrowhead1
% End of user PostScript
0 .449 1 r
.92308 .02564 m
.9119 .03592 L
s
% Start of user PostScript
2.53846 -2.84615 2.47142 -2.78445 MAarrowhead1
% End of user PostScript
0 .628 1 r
.92308 .05128 m
.91299 .06159 L
s
% Start of user PostScript
2.53846 -2.69231 2.47793 -2.63046 MAarrowhead1
% End of user PostScript
0 .791 1 r
.92308 .07692 m
.91404 .08725 L
s
% Start of user PostScript
2.53846 -2.53846 2.48422 -2.47647 MAarrowhead1
% End of user PostScript
0 .937 1 r
.92308 .10256 m
.91505 .11292 L
s
% Start of user PostScript
2.53846 -2.38462 2.4903 -2.32248 MAarrowhead1
% End of user PostScript
0 1 .933 r
.92308 .12821 m
.91603 .13858 L
s
% Start of user PostScript
2.53846 -2.23077 2.49615 -2.16849 MAarrowhead1
% End of user PostScript
0 1 .82 r
.92308 .15385 m
.91696 .16425 L
s
% Start of user PostScript
2.53846 -2.07692 2.50178 -2.0145 MAarrowhead1
% End of user PostScript
0 1 .724 r
.92308 .17949 m
.91787 .18991 L
s
% Start of user PostScript
2.53846 -1.92308 2.50719 -1.86051 MAarrowhead1
% End of user PostScript
0 1 .645 r
.92308 .20513 m
.91873 .21558 L
s
% Start of user PostScript
2.53846 -1.76923 2.51239 -1.70653 MAarrowhead1
% End of user PostScript
0 1 .582 r
.92308 .23077 m
.91956 .24124 L
s
% Start of user PostScript
2.53846 -1.61538 2.51736 -1.55254 MAarrowhead1
% End of user PostScript
0 1 .534 r
.92308 .25641 m
.92035 .26691 L
s
% Start of user PostScript
2.53846 -1.46154 2.52211 -1.39855 MAarrowhead1
% End of user PostScript
0 1 .501 r
.92308 .28205 m
.92111 .29257 L
s
% Start of user PostScript
2.53846 -1.30769 2.52664 -1.24456 MAarrowhead1
% End of user PostScript
0 1 .481 r
.92308 .30769 m
.92182 .31824 L
s
% Start of user PostScript
2.53846 -1.15385 2.53095 -1.09057 MAarrowhead1
% End of user PostScript
0 1 .473 r
.92308 .33333 m
.92251 .3439 L
s
% Start of user PostScript
2.53846 -1. 2.53504 -0.936578 MAarrowhead1
% End of user PostScript
0 1 .475 r
.92308 .35897 m
.92315 .36957 L
s
% Start of user PostScript
2.53846 -0.846154 2.53891 -0.782589 MAarrowhead1
% End of user PostScript
0 1 .486 r
.92308 .38462 m
.92376 .39523 L
s
% Start of user PostScript
2.53846 -0.692308 2.54255 -0.628599 MAarrowhead1
% End of user PostScript
0 1 .504 r
.92308 .41026 m
.92433 .4209 L
s
% Start of user PostScript
2.53846 -0.538462 2.54598 -0.47461 MAarrowhead1
% End of user PostScript
0 1 .527 r
.92308 .4359 m
.92486 .44656 L
s
% Start of user PostScript
2.53846 -0.384615 2.54919 -0.32062 MAarrowhead1
% End of user PostScript
0 1 .554 r
.92308 .46154 m
.92536 .47223 L
s
% Start of user PostScript
2.53846 -0.230769 2.55218 -0.166631 MAarrowhead1
% End of user PostScript
0 1 .584 r
.92308 .48718 m
.92582 .49789 L
s
% Start of user PostScript
2.53846 -0.0769231 2.55494 -0.0126416 MAarrowhead1
% End of user PostScript
0 1 .616 r
.92308 .51282 m
.92625 .52356 L
s
% Start of user PostScript
2.53846 0.0769231 2.55749 0.141348 MAarrowhead1
% End of user PostScript
0 1 .649 r
.92308 .53846 m
.92664 .54922 L
s
% Start of user PostScript
2.53846 0.230769 2.55982 0.295337 MAarrowhead1
% End of user PostScript
0 1 .681 r
.92308 .5641 m
.92699 .57489 L
s
% Start of user PostScript
2.53846 0.384615 2.56192 0.449327 MAarrowhead1
% End of user PostScript
0 1 .712 r
.92308 .58974 m
.9273 .60055 L
s
% Start of user PostScript
2.53846 0.538462 2.56381 0.603316 MAarrowhead1
% End of user PostScript
0 1 .741 r
.92308 .61538 m
.92758 .62622 L
s
% Start of user PostScript
2.53846 0.692308 2.56547 0.757306 MAarrowhead1
% End of user PostScript
0 1 .769 r
.92308 .64103 m
.92782 .65188 L
s
% Start of user PostScript
2.53846 0.846154 2.56691 0.911295 MAarrowhead1
% End of user PostScript
0 1 .793 r
.92308 .66667 m
.92802 .67755 L
s
% Start of user PostScript
2.53846 1. 2.56814 1.06528 MAarrowhead1
% End of user PostScript
0 1 .815 r
.92308 .69231 m
.92819 .70321 L
s
% Start of user PostScript
2.53846 1.15385 2.56914 1.21927 MAarrowhead1
% End of user PostScript
0 1 .833 r
.92308 .71795 m
.92832 .72888 L
s
% Start of user PostScript
2.53846 1.30769 2.56992 1.37326 MAarrowhead1
% End of user PostScript
0 1 .848 r
.92308 .74359 m
.92841 .75454 L
s
% Start of user PostScript
2.53846 1.46154 2.57048 1.52725 MAarrowhead1
% End of user PostScript
0 1 .858 r
.92308 .76923 m
.92847 .78021 L
s
% Start of user PostScript
2.53846 1.61538 2.57083 1.68124 MAarrowhead1
% End of user PostScript
0 1 .866 r
.92308 .79487 m
.92849 .80587 L
s
% Start of user PostScript
2.53846 1.76923 2.57095 1.83523 MAarrowhead1
% End of user PostScript
0 1 .869 r
.92308 .82051 m
.92847 .83154 L
s
% Start of user PostScript
2.53846 1.92308 2.57085 1.98922 MAarrowhead1
% End of user PostScript
0 1 .868 r
.92308 .84615 m
.92842 .8572 L
s
% Start of user PostScript
2.53846 2.07692 2.57053 2.14321 MAarrowhead1
% End of user PostScript
0 1 .864 r
.92308 .87179 m
.92833 .88287 L
s
% Start of user PostScript
2.53846 2.23077 2.56999 2.2972 MAarrowhead1
% End of user PostScript
0 1 .857 r
.92308 .89744 m
.9282 .90853 L
s
% Start of user PostScript
2.53846 2.38462 2.56923 2.45119 MAarrowhead1
% End of user PostScript
0 1 .846 r
.92308 .92308 m
.92804 .9342 L
s
% Start of user PostScript
2.53846 2.53846 2.56825 2.60518 MAarrowhead1
% End of user PostScript
0 1 .832 r
.92308 .94872 m
.92784 .95986 L
s
% Start of user PostScript
2.53846 2.69231 2.56705 2.75917 MAarrowhead1
% End of user PostScript
0 1 .816 r
.92308 .97436 m
.9276 .98553 L
s
% Start of user PostScript
2.53846 2.84615 2.56562 2.91316 MAarrowhead1
% End of user PostScript
0 1 .798 r
.92308 1 m
0 0 rlineto s
.92308 1 m
.92308 1 L
s
% Start of user PostScript
2.53846 3. 2.56398 3.06715 MAarrowhead1
% End of user PostScript
.179 0 1 r
.94872 0 m
.93604 .01259 L
s
% Start of user PostScript
2.69231 -3. 2.61624 -2.92445 MAarrowhead1
% End of user PostScript
0 .003 1 r
.94872 .02564 m
.93719 .03826 L
s
% Start of user PostScript
2.69231 -2.84615 2.62312 -2.77046 MAarrowhead1
% End of user PostScript
0 .169 1 r
.94872 .05128 m
.9383 .06392 L
s
% Start of user PostScript
2.69231 -2.69231 2.62979 -2.61647 MAarrowhead1
% End of user PostScript
0 .32 1 r
.94872 .07692 m
.93937 .08959 L
s
% Start of user PostScript
2.69231 -2.53846 2.63624 -2.46248 MAarrowhead1
% End of user PostScript
0 .454 1 r
.94872 .10256 m
.94041 .11525 L
s
% Start of user PostScript
2.69231 -2.38462 2.64247 -2.30849 MAarrowhead1
% End of user PostScript
0 .572 1 r
.94872 .12821 m
.94141 .14092 L
s
% Start of user PostScript
2.69231 -2.23077 2.64848 -2.1545 MAarrowhead1
% End of user PostScript
0 .674 1 r
.94872 .15385 m
.94238 .16658 L
s
% Start of user PostScript
2.69231 -2.07692 2.65426 -2.00051 MAarrowhead1
% End of user PostScript
0 .76 1 r
.94872 .17949 m
.9433 .19225 L
s
% Start of user PostScript
2.69231 -1.92308 2.65983 -1.84653 MAarrowhead1
% End of user PostScript
0 .83 1 r
.94872 .20513 m
.9442 .21791 L
s
% Start of user PostScript
2.69231 -1.76923 2.66517 -1.69254 MAarrowhead1
% End of user PostScript
0 .886 1 r
.94872 .23077 m
.94505 .24358 L
s
% Start of user PostScript
2.69231 -1.61538 2.6703 -1.53855 MAarrowhead1
% End of user PostScript
0 .928 1 r
.94872 .25641 m
.94587 .26924 L
s
% Start of user PostScript
2.69231 -1.46154 2.6752 -1.38456 MAarrowhead1
% End of user PostScript
0 .957 1 r
.94872 .28205 m
.94665 .29491 L
s
% Start of user PostScript
2.69231 -1.30769 2.67989 -1.23057 MAarrowhead1
% End of user PostScript
0 .974 1 r
.94872 .30769 m
.94739 .32057 L
s
% Start of user PostScript
2.69231 -1.15385 2.68435 -1.07658 MAarrowhead1
% End of user PostScript
0 .981 1 r
.94872 .33333 m
.9481 .34624 L
s
% Start of user PostScript
2.69231 -1. 2.6886 -0.922588 MAarrowhead1
% End of user PostScript
0 .979 1 r
.94872 .35897 m
.94877 .3719 L
s
% Start of user PostScript
2.69231 -0.846154 2.69262 -0.768599 MAarrowhead1
% End of user PostScript
0 .969 1 r
.94872 .38462 m
.9494 .39757 L
s
% Start of user PostScript
2.69231 -0.692308 2.69642 -0.61461 MAarrowhead1
% End of user PostScript
0 .953 1 r
.94872 .41026 m
.95 .42323 L
s
% Start of user PostScript
2.69231 -0.538462 2.7 -0.46062 MAarrowhead1
% End of user PostScript
0 .931 1 r
.94872 .4359 m
.95056 .44889 L
s
% Start of user PostScript
2.69231 -0.384615 2.70337 -0.306631 MAarrowhead1
% End of user PostScript
0 .906 1 r
.94872 .46154 m
.95108 .47456 L
s
% Start of user PostScript
2.69231 -0.230769 2.70651 -0.152641 MAarrowhead1
% End of user PostScript
0 .878 1 r
.94872 .48718 m
.95157 .50022 L
s
% Start of user PostScript
2.69231 -0.0769231 2.70943 0.00134826 MAarrowhead1
% End of user PostScript
0 .849 1 r
.94872 .51282 m
.95202 .52589 L
s
% Start of user PostScript
2.69231 0.0769231 2.71213 0.155338 MAarrowhead1
% End of user PostScript
0 .818 1 r
.94872 .53846 m
.95243 .55155 L
s
% Start of user PostScript
2.69231 0.230769 2.71461 0.309327 MAarrowhead1
% End of user PostScript
0 .788 1 r
.94872 .5641 m
.95281 .57722 L
s
% Start of user PostScript
2.69231 0.384615 2.71687 0.463317 MAarrowhead1
% End of user PostScript
0 .758 1 r
.94872 .58974 m
.95315 .60288 L
s
% Start of user PostScript
2.69231 0.538462 2.71891 0.617306 MAarrowhead1
% End of user PostScript
0 .729 1 r
.94872 .61538 m
.95345 .62855 L
s
% Start of user PostScript
2.69231 0.692308 2.72073 0.771295 MAarrowhead1
% End of user PostScript
0 .702 1 r
.94872 .64103 m
.95372 .65421 L
s
% Start of user PostScript
2.69231 0.846154 2.72232 0.925285 MAarrowhead1
% End of user PostScript
0 .678 1 r
.94872 .66667 m
.95395 .67988 L
s
% Start of user PostScript
2.69231 1. 2.7237 1.07927 MAarrowhead1
% End of user PostScript
0 .656 1 r
.94872 .69231 m
.95414 .70554 L
s
% Start of user PostScript
2.69231 1.15385 2.72486 1.23326 MAarrowhead1
% End of user PostScript
0 .636 1 r
.94872 .71795 m
.9543 .73121 L
s
% Start of user PostScript
2.69231 1.30769 2.7258 1.38725 MAarrowhead1
% End of user PostScript
0 .62 1 r
.94872 .74359 m
.95442 .75687 L
s
% Start of user PostScript
2.69231 1.46154 2.72651 1.54124 MAarrowhead1
% End of user PostScript
0 .607 1 r
.94872 .76923 m
.9545 .78254 L
s
% Start of user PostScript
2.69231 1.61538 2.72701 1.69523 MAarrowhead1
% End of user PostScript
0 .598 1 r
.94872 .79487 m
.95455 .8082 L
s
% Start of user PostScript
2.69231 1.76923 2.72728 1.84922 MAarrowhead1
% End of user PostScript
0 .592 1 r
.94872 .82051 m
.95456 .83387 L
s
% Start of user PostScript
2.69231 1.92308 2.72734 2.00321 MAarrowhead1
% End of user PostScript
0 .589 1 r
.94872 .84615 m
.95453 .85953 L
s
% Start of user PostScript
2.69231 2.07692 2.72717 2.1572 MAarrowhead1
% End of user PostScript
0 .59 1 r
.94872 .87179 m
.95446 .8852 L
s
% Start of user PostScript
2.69231 2.23077 2.72679 2.31119 MAarrowhead1
% End of user PostScript
0 .594 1 r
.94872 .89744 m
.95436 .91086 L
s
% Start of user PostScript
2.69231 2.38462 2.72618 2.46518 MAarrowhead1
% End of user PostScript
0 .602 1 r
.94872 .92308 m
.95423 .93653 L
s
% Start of user PostScript
2.69231 2.53846 2.72536 2.61917 MAarrowhead1
% End of user PostScript
0 .612 1 r
.94872 .94872 m
.95405 .96219 L
s
% Start of user PostScript
2.69231 2.69231 2.72431 2.77316 MAarrowhead1
% End of user PostScript
0 .624 1 r
.94872 .97436 m
.95384 .98786 L
s
% Start of user PostScript
2.69231 2.84615 2.72304 2.92715 MAarrowhead1
% End of user PostScript
0 .639 1 r
.94872 1 m
0 0 rlineto s
.94872 1 m
.94872 1 L
s
% Start of user PostScript
2.69231 3. 2.72155 3.08114 MAarrowhead1
% End of user PostScript
.692 0 1 r
.97436 0 m
.9613 .01522 L
s
% Start of user PostScript
2.84615 -3. 2.76779 -2.90868 MAarrowhead1
% End of user PostScript
.522 0 1 r
.97436 .02564 m
.96247 .04088 L
s
% Start of user PostScript
2.84615 -2.84615 2.77483 -2.75469 MAarrowhead1
% End of user PostScript
.368 0 1 r
.97436 .05128 m
.96361 .06655 L
s
% Start of user PostScript
2.84615 -2.69231 2.78165 -2.6007 MAarrowhead1
% End of user PostScript
.229 0 1 r
.97436 .07692 m
.96471 .09221 L
s
% Start of user PostScript
2.84615 -2.53846 2.78826 -2.44671 MAarrowhead1
% End of user PostScript
.106 0 1 r
.97436 .10256 m
.96577 .11788 L
s
% Start of user PostScript
2.84615 -2.38462 2.79464 -2.29272 MAarrowhead1
% End of user PostScript
0 .001 1 r
.97436 .12821 m
.9668 .14354 L
s
% Start of user PostScript
2.84615 -2.23077 2.8008 -2.13873 MAarrowhead1
% End of user PostScript
0 .092 1 r
.97436 .15385 m
.96779 .16921 L
s
% Start of user PostScript
2.84615 -2.07692 2.80674 -1.98474 MAarrowhead1
% End of user PostScript
0 .17 1 r
.97436 .17949 m
.96874 .19487 L
s
% Start of user PostScript
2.84615 -1.92308 2.81246 -1.83075 MAarrowhead1
% End of user PostScript
0 .232 1 r
.97436 .20513 m
.96966 .22054 L
s
% Start of user PostScript
2.84615 -1.76923 2.81796 -1.67677 MAarrowhead1
% End of user PostScript
0 .282 1 r
.97436 .23077 m
.97054 .2462 L
s
% Start of user PostScript
2.84615 -1.61538 2.82324 -1.52278 MAarrowhead1
% End of user PostScript
0 .319 1 r
.97436 .25641 m
.97138 .27187 L
s
% Start of user PostScript
2.84615 -1.46154 2.8283 -1.36879 MAarrowhead1
% End of user PostScript
0 .344 1 r
.97436 .28205 m
.97219 .29753 L
s
% Start of user PostScript
2.84615 -1.30769 2.83314 -1.2148 MAarrowhead1
% End of user PostScript
0 .359 1 r
.97436 .30769 m
.97296 .3232 L
s
% Start of user PostScript
2.84615 -1.15385 2.83776 -1.06081 MAarrowhead1
% End of user PostScript
0 .365 1 r
.97436 .33333 m
.97369 .34886 L
s
% Start of user PostScript
2.84615 -1. 2.84216 -0.906818 MAarrowhead1
% End of user PostScript
0 .363 1 r
.97436 .35897 m
.97439 .37453 L
s
% Start of user PostScript
2.84615 -0.846154 2.84633 -0.752829 MAarrowhead1
% End of user PostScript
0 .354 1 r
.97436 .38462 m
.97505 .40019 L
s
% Start of user PostScript
2.84615 -0.692308 2.85029 -0.598839 MAarrowhead1
% End of user PostScript
0 .339 1 r
.97436 .41026 m
.97567 .42586 L
s
% Start of user PostScript
2.84615 -0.538462 2.85403 -0.44485 MAarrowhead1
% End of user PostScript
0 .319 1 r
.97436 .4359 m
.97626 .45152 L
s
% Start of user PostScript
2.84615 -0.384615 2.85754 -0.29086 MAarrowhead1
% End of user PostScript
0 .296 1 r
.97436 .46154 m
.97681 .47719 L
s
% Start of user PostScript
2.84615 -0.230769 2.86084 -0.136871 MAarrowhead1
% End of user PostScript
0 .27 1 r
.97436 .48718 m
.97732 .50285 L
s
% Start of user PostScript
2.84615 -0.0769231 2.86391 0.0171186 MAarrowhead1
% End of user PostScript
0 .242 1 r
.97436 .51282 m
.97779 .52852 L
s
% Start of user PostScript
2.84615 0.0769231 2.86677 0.171108 MAarrowhead1
% End of user PostScript
0 .214 1 r
.97436 .53846 m
.97823 .55418 L
s
% Start of user PostScript
2.84615 0.230769 2.8694 0.325097 MAarrowhead1
% End of user PostScript
0 .184 1 r
.97436 .5641 m
.97864 .57985 L
s
% Start of user PostScript
2.84615 0.384615 2.87182 0.479087 MAarrowhead1
% End of user PostScript
0 .156 1 r
.97436 .58974 m
.979 .60551 L
s
% Start of user PostScript
2.84615 0.538462 2.87401 0.633076 MAarrowhead1
% End of user PostScript
0 .128 1 r
.97436 .61538 m
.97933 .63118 L
s
% Start of user PostScript
2.84615 0.692308 2.87598 0.787066 MAarrowhead1
% End of user PostScript
0 .102 1 r
.97436 .64103 m
.97962 .65684 L
s
% Start of user PostScript
2.84615 0.846154 2.87774 0.941055 MAarrowhead1
% End of user PostScript
0 .077 1 r
.97436 .66667 m
.97988 .68251 L
s
% Start of user PostScript
2.84615 1. 2.87927 1.09504 MAarrowhead1
% End of user PostScript
0 .055 1 r
.97436 .69231 m
.9801 .70817 L
s
% Start of user PostScript
2.84615 1.15385 2.88058 1.24903 MAarrowhead1
% End of user PostScript
0 .035 1 r
.97436 .71795 m
.98028 .73384 L
s
% Start of user PostScript
2.84615 1.30769 2.88167 1.40302 MAarrowhead1
% End of user PostScript
0 .017 1 r
.97436 .74359 m
.98042 .7595 L
s
% Start of user PostScript
2.84615 1.46154 2.88254 1.55701 MAarrowhead1
% End of user PostScript
0 .003 1 r
.97436 .76923 m
.98053 .78517 L
s
% Start of user PostScript
2.84615 1.61538 2.88319 1.711 MAarrowhead1
% End of user PostScript
.008 0 1 r
.97436 .79487 m
.9806 .81083 L
s
% Start of user PostScript
2.84615 1.76923 2.88362 1.86499 MAarrowhead1
% End of user PostScript
.016 0 1 r
.97436 .82051 m
.98064 .8365 L
s
% Start of user PostScript
2.84615 1.92308 2.88383 2.01898 MAarrowhead1
% End of user PostScript
.021 0 1 r
.97436 .84615 m
.98064 .86216 L
s
% Start of user PostScript
2.84615 2.07692 2.88382 2.17297 MAarrowhead1
% End of user PostScript
.023 0 1 r
.97436 .87179 m
.9806 .88783 L
s
% Start of user PostScript
2.84615 2.23077 2.88359 2.32696 MAarrowhead1
% End of user PostScript
.022 0 1 r
.97436 .89744 m
.98052 .91349 L
s
% Start of user PostScript
2.84615 2.38462 2.88314 2.48095 MAarrowhead1
% End of user PostScript
.018 0 1 r
.97436 .92308 m
.98041 .93916 L
s
% Start of user PostScript
2.84615 2.53846 2.88246 2.63494 MAarrowhead1
% End of user PostScript
.011 0 1 r
.97436 .94872 m
.98026 .96482 L
s
% Start of user PostScript
2.84615 2.69231 2.88157 2.78893 MAarrowhead1
% End of user PostScript
.002 0 1 r
.97436 .97436 m
.98008 .99049 L
s
% Start of user PostScript
2.84615 2.84615 2.88046 2.94292 MAarrowhead1
% End of user PostScript
0 .01 1 r
.97436 1 m
0 0 rlineto s
.97436 1 m
.97436 1 L
s
% Start of user PostScript
2.84615 3. 2.87912 3.09691 MAarrowhead1
% End of user PostScript
1 0 .713 r
1 0 m
.98656 .01816 L
s
% Start of user PostScript
3. -3. 2.91934 -2.89103 MAarrowhead1
% End of user PostScript
1 0 .871 r
1 .02564 m
.98776 .04383 L
s
% Start of user PostScript
3. -2.84615 2.92654 -2.73704 MAarrowhead1
% End of user PostScript
.987 0 1 r
1 .05128 m
.98892 .06949 L
s
% Start of user PostScript
3. -2.69231 2.93352 -2.58305 MAarrowhead1
% End of user PostScript
.86 0 1 r
1 .07692 m
.99005 .09516 L
s
% Start of user PostScript
3. -2.53846 2.94027 -2.42906 MAarrowhead1
% End of user PostScript
.748 0 1 r
1 .10256 m
.99113 .12082 L
s
% Start of user PostScript
3. -2.38462 2.94681 -2.27507 MAarrowhead1
% End of user PostScript
.651 0 1 r
1 .12821 m
.99219 .14649 L
s
% Start of user PostScript
3. -2.23077 2.95313 -2.12108 MAarrowhead1
% End of user PostScript
.568 0 1 r
1 .15385 m
.9932 .17215 L
s
% Start of user PostScript
3. -2.07692 2.95922 -1.96709 MAarrowhead1
% End of user PostScript
.498 0 1 r
1 .17949 m
.99418 .19782 L
s
% Start of user PostScript
3. -1.92308 2.9651 -1.8131 MAarrowhead1
% End of user PostScript
.442 0 1 r
1 .20513 m
.99513 .22348 L
s
% Start of user PostScript
3. -1.76923 2.97075 -1.65911 MAarrowhead1
% End of user PostScript
.398 0 1 r
1 .23077 m
.99603 .24915 L
s
% Start of user PostScript
3. -1.61538 2.97618 -1.50512 MAarrowhead1
% End of user PostScript
.365 0 1 r
1 .25641 m
.9969 .27481 L
s
% Start of user PostScript
3. -1.46154 2.9814 -1.35113 MAarrowhead1
% End of user PostScript
.342 0 1 r
1 .28205 m
.99773 .30048 L
s
% Start of user PostScript
3. -1.30769 2.98639 -1.19714 MAarrowhead1
% End of user PostScript
.329 0 1 r
1 .30769 m
.99853 .32614 L
s
% Start of user PostScript
3. -1.15385 2.99116 -1.04315 MAarrowhead1
% End of user PostScript
.324 0 1 r
1 .33333 m
.99929 .35181 L
s
% Start of user PostScript
3. -1. 2.99572 -0.889165 MAarrowhead1
% End of user PostScript
.326 0 1 r
1 .35897 m
0 0 rlineto s
1 .35897 m
1 .35897 L
s
% Start of user PostScript
3. -0.846154 3.00005 -0.735176 MAarrowhead1
% End of user PostScript
.335 0 1 r
1 .38462 m
0 0 rlineto s
1 .38462 m
1 .38462 L
s
% Start of user PostScript
3. -0.692308 3.00416 -0.581187 MAarrowhead1
% End of user PostScript
.349 0 1 r
1 .41026 m
0 0 rlineto s
1 .41026 m
1 .41026 L
s
% Start of user PostScript
3. -0.538462 3.00805 -0.427197 MAarrowhead1
% End of user PostScript
.367 0 1 r
1 .4359 m
0 0 rlineto s
1 .4359 m
1 .4359 L
s
% Start of user PostScript
3. -0.384615 3.01172 -0.273208 MAarrowhead1
% End of user PostScript
.389 0 1 r
1 .46154 m
0 0 rlineto s
1 .46154 m
1 .46154 L
s
% Start of user PostScript
3. -0.230769 3.01517 -0.119218 MAarrowhead1
% End of user PostScript
.413 0 1 r
1 .48718 m
0 0 rlineto s
1 .48718 m
1 .48718 L
s
% Start of user PostScript
3. -0.0769231 3.0184 0.0347712 MAarrowhead1
% End of user PostScript
.439 0 1 r
1 .51282 m
0 0 rlineto s
1 .51282 m
1 .51282 L
s
% Start of user PostScript
3. 0.0769231 3.02141 0.188761 MAarrowhead1
% End of user PostScript
.466 0 1 r
1 .53846 m
0 0 rlineto s
1 .53846 m
1 .53846 L
s
% Start of user PostScript
3. 0.230769 3.0242 0.34275 MAarrowhead1
% End of user PostScript
.494 0 1 r
1 .5641 m
0 0 rlineto s
1 .5641 m
1 .5641 L
s
% Start of user PostScript
3. 0.384615 3.02677 0.49674 MAarrowhead1
% End of user PostScript
.522 0 1 r
1 .58974 m
0 0 rlineto s
1 .58974 m
1 .58974 L
s
% Start of user PostScript
3. 0.538462 3.02911 0.650729 MAarrowhead1
% End of user PostScript
.549 0 1 r
1 .61538 m
0 0 rlineto s
1 .61538 m
1 .61538 L
s
% Start of user PostScript
3. 0.692308 3.03124 0.804718 MAarrowhead1
% End of user PostScript
.574 0 1 r
1 .64103 m
0 0 rlineto s
1 .64103 m
1 .64103 L
s
% Start of user PostScript
3. 0.846154 3.03315 0.958708 MAarrowhead1
% End of user PostScript
.599 0 1 r
1 .66667 m
0 0 rlineto s
1 .66667 m
1 .66667 L
s
% Start of user PostScript
3. 1. 3.03483 1.1127 MAarrowhead1
% End of user PostScript
.621 0 1 r
1 .69231 m
0 0 rlineto s
1 .69231 m
1 .69231 L
s
% Start of user PostScript
3. 1.15385 3.0363 1.26669 MAarrowhead1
% End of user PostScript
.642 0 1 r
1 .71795 m
0 0 rlineto s
1 .71795 m
1 .71795 L
s
% Start of user PostScript
3. 1.30769 3.03755 1.42068 MAarrowhead1
% End of user PostScript
.66 0 1 r
1 .74359 m
0 0 rlineto s
1 .74359 m
1 .74359 L
s
% Start of user PostScript
3. 1.46154 3.03857 1.57467 MAarrowhead1
% End of user PostScript
.675 0 1 r
1 .76923 m
0 0 rlineto s
1 .76923 m
1 .76923 L
s
% Start of user PostScript
3. 1.61538 3.03937 1.72866 MAarrowhead1
% End of user PostScript
.688 0 1 r
1 .79487 m
0 0 rlineto s
1 .79487 m
1 .79487 L
s
% Start of user PostScript
3. 1.76923 3.03996 1.88264 MAarrowhead1
% End of user PostScript
.698 0 1 r
1 .82051 m
0 0 rlineto s
1 .82051 m
1 .82051 L
s
% Start of user PostScript
3. 1.92308 3.04032 2.03663 MAarrowhead1
% End of user PostScript
.705 0 1 r
1 .84615 m
0 0 rlineto s
1 .84615 m
1 .84615 L
s
% Start of user PostScript
3. 2.07692 3.04047 2.19062 MAarrowhead1
% End of user PostScript
.71 0 1 r
1 .87179 m
0 0 rlineto s
1 .87179 m
1 .87179 L
s
% Start of user PostScript
3. 2.23077 3.04039 2.34461 MAarrowhead1
% End of user PostScript
.711 0 1 r
1 .89744 m
0 0 rlineto s
1 .89744 m
1 .89744 L
s
% Start of user PostScript
3. 2.38462 3.04009 2.4986 MAarrowhead1
% End of user PostScript
.71 0 1 r
1 .92308 m
0 0 rlineto s
1 .92308 m
1 .92308 L
s
% Start of user PostScript
3. 2.53846 3.03957 2.65259 MAarrowhead1
% End of user PostScript
.706 0 1 r
1 .94872 m
0 0 rlineto s
1 .94872 m
1 .94872 L
s
% Start of user PostScript
3. 2.69231 3.03883 2.80658 MAarrowhead1
% End of user PostScript
.699 0 1 r
1 .97436 m
0 0 rlineto s
1 .97436 m
1 .97436 L
s
% Start of user PostScript
3. 2.84615 3.03788 2.96057 MAarrowhead1
% End of user PostScript
.69 0 1 r
1 1 m
0 0 rlineto s
1 1 m
1 1 L
s
% Start of user PostScript
3. 3. 3.0367 3.11456 MAarrowhead1
% End of user PostScript
0 g
.02 w
.66667 .66667 Mdot
.83333 .83333 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{482, 482},
  ImageMargins->{{38, 0}, {0, 8.625}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;C0002db000`400?l00000o`00003oo`3ooooo
0?ooomD0oooo003o0?ooool0ooooe@3oool00?l0ooooo`3ooooE0?ooo`00o`3ooooo0?ooomD0oooo
003o0?oooe`0oooo00D0_g@0000000000000000004RLg`3o0?ooog@0oooo003o0?oooe/0oooo00L0
_g@0001d_`3oool0oooo0?oo_`1d0000B9cO0?l0ooooL`3oool00?l0ooooH03oool00`3o_g@007Bo
0?ooo`3o0?ooog80oooo003o0?oooel0oooo00<0omnL04P0B02Lgol02P3oool500000?l0ooooI03o
ool000T0oooo00@000000?ooo`000000oooo100000000`3oool000000000000:000000030?ooo`00
0000000000@0000000<0oooo0000000000001P0000000`3oool0000000000005000000050?ooo`00
000000000000003oool01@000000103oool000000?ooo`3oool:000000040?ooo`00000000000?oo
o`h0000000<0oooo0000000000004@0000001@2Qo`0000000000002Qo`00oooo00h0000000<0j_l0
0000003Zo`00200000020?ooo`80000000@0oooo000000000000oooo0P3og`03000000030?ooo`00
0000oooo00@0000000<0oooo0000000000000`3oool00`3o_000oooo0?nl000?0?ooo`040?n^003o
ool0ojh00?n^00h0oooo0P3o/@0@0?ooo`80okl0403oool20?oB0100oooo0P3oj00@0?ooo`80ooh0
3`3oool20>[o0100oooo0P3Co`0@0?ooo`80_?l00P3oool00`2LB000000000000003000000030018
W03oool0oooo0080oooo00<0gia80000000004P00P2To`0:0?ooo`030000003oool0oooo00<0oooo
0P2=o`0A0?ooo`<0M_l03`3oool305ko00l0oooo0`17o`0?0?ooo`<0<Ol03P3oool301[o00l0oooo
0`04o`0?0?ooo`<00?lA3P3oool2003o:0l0oooo1000od4=0?ooo`@00?mM403oool5003oOPh0oooo
00@00?nV0?ooo`00ojH00?nV3`3oool01000omP0oooo003of000omP@0?ooo`800>[o4@3oool00`00
WOl0oooo0?ooo`0@0?ooo`030011o`3oool0oooo00l0oooo00<0;@3o0?ooo`3oool03`3oool00`2a
0?l0oooo0?ooo`0?0?ooo`030?l0]P3oool0oooo00@0oooo00090?ooo`040000003oool000000?oo
o`@0000000<0oooo0000000000002P0000000`3oool0000000000004000000030?ooo`0000000000
00D000000P3oool7000000050?ooo`00000000000000003oool01@000000103oool000000?ooo`3o
ool:000000040?ooo`00000000000?ooo`h0000000<0oooo0000000000005@0000000`3oool00000
00000004000000030?ooo`000000000000D0000000<0j_l00000000000002@0000001@3oool00000
000000000000oooo0080000000<0oml00000003og`000`0000000`3oool000000?ooo`0400000004
0?ooo`000000000000000080oooo00<0ok`00?ooo`3oool03`3oool00`3o[P00oooo0?ooo`0@0?oo
o`030?na003oool0oooo00l0oooo0P3o_`0@0?ooo`80om80403oool20?oX0100oooo0P3ooP0?0?oo
o`80j_l0403oool20=?o0100oooo0P2lo`0=0?ooo`030?oOW01804P0W=oo0080Y?l0203oool00`00
0000oooo0?ooo`050?ooo`80SOl0S@3oool2003o:0l0oooo0`00od4?0?ooo`<00?mM303oool6003o
OPd0oooo1@00ojH?0?ooo`<00?oH403oool2003Zo`l0oooo00@009go0?ooo`00WOl009go4P3oool0
0`00@Ol0oooo0?ooo`0?0?ooo`0302d0o`3oool0oooo00l0oooo00<0/@3o0?ooo`3oool03`3oool0
0`3o0;H0oooo0?ooo`050?ooo`002@3oool010000000oooo0000003oool4000000030?ooo`000000
000000X0000000<0oooo000000000000100000000`3oool000000000000500000080oooo2`000000
0`3oool0000000000003000000040?ooo`000000oooo0?ooo`X0000000@0oooo000000000000oooo
;@0000000`3oool000000000000A00000080oooo0P000000103oool000000000003og`0500000003
0?ooo`000000oooo00@0000000<0oooo0000000000000P0000000`3oool0ok`00?ooo`0A0?ooo`03
0?n^003oool0oooo09`0oooo00<0_g@007Boo`3oool02@3oool00`000000oooo0?ooo`3H0?ooo`<0
0?nV403oool5003of0l0oooo0P00j_l?0?ooo`03002Mo`3oool009go01<0oooo00<0047o0?ooo`3o
ool03`3oool00`0]0?l0oooo0?ooo`0@0?ooo`030;40o`3oool0oooo00l0oooo00<0o`2f0?ooo`3o
ool01@3oool000T0oooo00@000000?ooo`000000oooo4@000000103oool000000000003oool30000
00030?ooo`000000000000D000000P3oool;000000030?ooo`000000000000<0000000@0oooo0000
003oool0oooo2P000000103oool000000000003ooolT000000030?ooo`000000000001/0000000<0
oooo0000000000001`0000000`3oool0000000000002000000030?ooo`00000000000080000000@0
oooo0000000000000000[P3oool01`3o_g@0001809cOo`3oool0omnL04P0B02Lgol02P3oool00`00
0000oooo0?ooo`3Z0?ooo`<00?oH403oool5003Zo`d0oooo00@009go0?ooo`00WOl009go403oool3
0011oa40oooo00<0;@3o0?ooo`3oool0403oool00`2a0?l0oooo0?ooo`0?0?ooo`030?l0]P3oool0
oooo00H0oooo00090?ooo`030000001j0?l0000000X0000000<0oooo0000000000000`0000000`3o
ool000000?ooo`02000000030?ooo`000000000000T000000P3oool@00000080oooo00<000000?oo
o`3oool02P000000103oool000000000003ooolg000000030?ooo`00000000000080000000<0oooo
0000000000000`0000001@3oool00000000000000000oooo00P0000000<0oooo0000003oool01@00
0000103oool0000000000000002^0?ooo`050?oOW018000000000000001d_ol02`3oool00`000000
oooo0?ooo`3l0?ooo`<00>[o403oool3002Moa00oooo0`00@Ol?0?ooo`0302d0o`3oool0;@3o0180
oooo00<0/@3o0?ooo`3oool03`3oool00`3o0;H0oooo0?ooo`070?ooo`002P3oool00`1j0?l00000
00000009000000030?ooo`000000000000@000000P3oool2000000040?ooo`00000000000?ooo`P0
00000P3oool@00000080oooo00<000000?ooo`3oool02P000000103oool000000000003oool^0000
00030?ooo`000000000000D0000000<0oooo0000000000002P0000000`3oool000000?ooo`070000
00030?ooo`00000000000080000000<0oooo0000000000000P0000000`3oool00000000000020000
0;d0oooo00<000000?ooo`3oool0o`3oool?0?ooo`8009go4@3oool30011o`l0oooo00<0;@3o0?oo
o`0]0?l04P3oool00`2a0?l0oooo0?ooo`0?0?ooo`030?l0]P3oool0oooo00P0oooo00090?ooo`80
NP3o4@0000000`00=ol0oooo0?ooo`02000000040?ooo`00000000000?ooo`P0000000<0oooo0000
000000000`0000000`3oool0000000000009000000030?ooo`00000000000080oooo2P000000103o
ool000000000003ooolW000000030?ooo`000000000000@0000000<0oooo0000000000004P000000
1@3oool00000000000000000oooo00P0000000<0oooo0000000000000P000000103oool000000000
003oool300000;d0oooo00<000000?ooo`3oool0o`3ooolR0?ooo`80047o403oool202d0o`030?oo
o`0]0?l0oooo00h0oooo0P2a0?lB0?ooo`030?l0]P3oool0oooo00P0oooo00090?ooo`80NP3o1@00
00000`3oool000000000000900000003000go`3oool0oooo00D0000000<0oooo0000000000001P00
00000`3oool0000000000003000000030?ooo`000000000000T0000000@0oooo000000000000oooo
2`000000103oool000000000003ooolW000000030?ooo`000000000000@0000000<0oooo00000000
00001`0000000`3oool0000000000002000000030?ooo`000000oooo00<0000000@0oooo00000000
0000oooo4P000000103oool0000000000000002l0?ooo`030000003oool0oooo0?l0oooo8@3oool0
0`00@Ol0oooo0?ooo`0?0?ooo`@0;@3o3`3oool20;40o`030?ooo`2a0?l0oooo00l0oooo00<0o`2f
0?ooo`3oool02@3oool000X0oooo00<0NP3o0000000000000`0000000`3oool000000?ooo`080000
008003Oo00<0oooo000000000000100000000`3oool0000000000004000000040?ooo`000000oooo
003Fo`@0000000<0oooo0000000000000P0000000`3oool0000000000004000000040?ooo`000000
00000?ooo`/0000000@0oooo000000000000oooo>00000000`3oool0000000000009000000050?oo
o`00000000000000003oool0200000000`3oool000000000000500000080oooo0`00002k0?ooo`03
0000003oool0oooo0?l0oooo<`3oool202d0oa40oooo0`2a0?l?0?ooo`80o`2f303oool000X0oooo
00<0NP3o0000000000000`0000000`3oool000000?ooo`080000008003Oo00<0oooo000000000000
100000000`3oool0000000000006000000800=Ko100000000`3oool0000000000002000000030?oo
o`000000000000@0000000@0oooo000000000000oooo2`000000103oool000000000003ooolg0000
00030?ooo`000000000000X0000000D0oooo00000000000000000?ooo`09000000030?ooo`000000
000000D0000000<0oooo0000000000000P00002j0?ooo`030000003oool0oooo0?l0ooooA@3oool3
0;40o`l0oooo0P3o0;H00`3oool0o`2f0?ooo`0:0?ooo`002P3oool00`1j0?l00000000000030000
00030?ooo`000000oooo00L0000000@003Oo00000000=ol0oooo1P0000000`3oool0000000000006
000000800=Ko100000000`3oool0000000000003000000030?ooo`000000000000<0000000@00?nL
000000000000oooo2`000000103oool000000000003ooolg000000030?ooo`000000000000H00000
00<0oooo0000000000003`0000000`3oool0000000000006000000040?ooo`000000000000000;X0
oooo00<000000?ooo`3oool0o`3ooom50?ooo`030;40o`3oool0oooo00l0oooo0`3o0;H<0?ooo`00
2@3oool00`1j0?l0000000000004000000030?ooo`000000000000@0000000L0oooo000000000000
03Oo00000000=ol0oooo00H0000000<0oooo0000000000001@0000000`00e_l0oooo003Fo`040000
00030?ooo`000000000000<0000000<0oooo0000000000000`0000001000oi`000000000003oool;
000000040?ooo`0000000000003o8A<0000000<0oooo0000000000008`0000000`3oool000000000
0009000000050?ooo`00000000000000003oool02@000000103oool000000000003oool200000004
0?ooo`000000oooo0?ooo`<00000^@3oool00`000000oooo0?ooo`3o0?oooeH0oooo0`3o0;H=0?oo
o`002@3oool00`1j0?l000000?ooo`04000000030?ooo`000000000000@0000000L0oooo00000000
00000000000go`000000oooo00H0000000<0oooo0000000000001@0000000`00e_l0oooo003Fo`04
000000030?ooo`000000000000<0000000<0oooo0000000000000P000002003oW080000000D0oooo
00000000000000000?ooo`07000000040?ooo`0000000000003o8A40000000<0B_l00000003oool0
4P0000000`3oool000000000000@000000030?ooo`000000000000T0000000D0oooo000000000000
00000?ooo`02000000030?ooo`000000000000d000000P3oool300000;P0oooo00<000000?ooo`3o
ool0o`3ooomF0?ooo`030?l0]P3oool0oooo00d0oooo00090?ooo`0307X0o`000000oooo00/00000
00L0oooo0000000000000000000go`000000oooo00H0000000<0oooo0000000000001P000002003F
o`@0000000<0oooo0000000000000`0000000`3oool0000000000002000000<00?nL00<000000?oo
o`0000000P0000000`3oool000000000000800000003003o8@000000000000l0000000<0B_l00000
003oool03`0000000`2Uo`0000000?ooo`09000000030?ooo`000000000000L0000000<0oooo0000
000000001@0000000`3oool0000000000002000000050?ooo`00000000000000003oool02@000000
0`3oool000000?ooo`03000000030?ooo`00000000000080oooo0`00002g0?ooo`030000003oool0
oooo0?l0ooooIP3oool000T0oooo00<0NP3o0000000000002`0000001`3oool00000000000000000
03Oo0000003oool01P0000000`3oool0000000000005000000030?ooo`00e_l0000000X0000000<0
oooo0000000000000P000003003oW0030000003oool0000000<0000000<0oooo0000000000001P00
0003003o8A00000000<0B_l00000003oool03`0000000`2Uo`0000000?ooo`02000000030?ooo`00
0000000000X0000000<0l?l00000000000000P0000000`3oool0000000000003000000030?ooo`00
0000000000<0000000D0oooo00000000000000000?ooo`02000000030?ooo`000000000000P00000
00<0oooo0000000000000`0000000`3oool000000000000200000;H0oooo00<000000?ooo`3oool0
o`3ooomV0?ooo`002@3oool00`1j0?l000000000000?00000003000go`000000oooo0080000000L0
oooo00000000000000000?ooo`000000oooo00D0000000<0oooo003Fo`0000002P0000000`3oool0
00000000000300000004003oW000000000000?ooo`@0000000<0oooo0000000000001P000003003o
8@l000000`1:o`000`3oool000000000000=00000080YOl00`0000000`3oool000000000000:0000
00030?3o0000000000000080000000<0oooo0000000000002@0000000`3oool0om@0000000020000
00030?ooo`000000000000`0000000@0oooo00000000000000000P3oool2000000030?ooo`000000
oooo0;@0oooo00<000000?ooo`3oool0o`3ooomV0?ooo`002@3oool00`1j0?l000000000000?0000
0003000go`000000oooo0080000000D0oooo00000000000000000?ooo`07000000030?ooo`00e_l0
000000X0000000<0oooo0000000000000`0000001000oi`000000000003oool4000000030?ooo`00
0000000000H000000`00ob4?000000<0B_l000<0oooo000000000000300000000`2Uo`0000000:Go
0003000000030?ooo`000000000000X000000P3`o`03000000030?ooo`000000000000X000000P3o
e002000000030?ooo`000000000000P0000000@0oooo0000003oool0oj`01@0000020?ooo`800000
00<0oooo0000003oool01@3oool00`3oV000oooo0?ooo`170?ooo`<0olH03`3oool30?oK00l0oooo
0`3ol@0?0?ooo`<0nOl03`3oool30>?o00l0oooo0`3>o`070?ooo`030000003oool0oooo00D0oooo
0`2ho`0?0?ooo`<0X_l03`3oool308co00l0oooo0`1go`0?0?ooo`80HOl0403oool204go00l0oooo
0`0ho`0?0?ooo`<08ol0403oool200ko0100oooo0P00o`Vl0?ooo`002@3oool00`1j0?l000000000
000?00000003000go`000000oooo0080000000<0oooo0000000000002@0000000`3oool00=Ko0000
0005000000030?ooo`00000000000080000000<0oooo0000000000000`0000001000oi`000000000
003oool4000000030?ooo`000000000000L0000000<00?lQ0000000000003P00000304[o00030?oo
o`000000000000`0000000@0YOl00000002Uo`00YOl03`0000020?3o00<0000000<0oooo00000000
0000100000000`3oool000000000000300000080om@00P0000000`3oool000000000000;00000080
oj`000<0oooo0000003oool00P0000020?ooo`80000000<0oooo0000003oool01@3oool00`3oV000
oooo0?ooo`0>0?ooo`80oiL0403oool50?nQ00d0oooo1@3o/P0<0?ooo`@0olH03P3oool40?oK00h0
oooo103ol@0>0?ooo`@0nOl03P3oool50>?o00d0oooo1@3>o`080?ooo`030000003oool0oooo0080
oooo1@2ho`0=0?ooo`D0X_l03@3oool508co00d0oooo1@1go`0=0?ooo`D0HOl03@3oool604go00/0
oooo1`0ho`0;0?ooo`L08ol03@3oool500ko00d0oooo1@00o`T?0?ooo`<00?lT3`3oool01000od@0
oooo003oA000od@>0?ooo`04003oK@3oool00?m]003oKA40oooo00<00?nO0?ooo`3oool03`3oool0
0`00oml0oooo0?ooo`0?0?ooo`03003Bo`3oool0oooo0100oooo00<007;o0?ooo`3oool03`3oool0
0`000?l0oooo0?ooo`0?0?ooo`0308D0o`3oool0oooo01D0oooo00090?oooa80000000<0oooo0000
000000000P0000000`3oool000000?ooo`09000000030?ooo`000000000000D0000000<0oooo0000
000000002`0000000`3oool000000?ooo`02000000030?ooo`000000000001/0000000<0oooo0000
00000000300000001P2Uo`0000000000002Uo`0000000?ooo`d0000000<0l?l00000003`o`000P00
00020?ooo`D0000000<0oooo0000000000000P000000103oool0om@00?ooo`3oe002000000030?oo
o`000000000000P0000000H0oooo0000003o[00000000?n/003oool400000080oooo0P0000000`3o
ool000000?ooo`040?ooo`<0oiP03`3oool40?nG00h0oooo0P3oX@0@0?ooo`80ok80403oool20?o6
0100oooo0P3of`0@0?ooo`80oo40403oool20?Wo0100oooo0P3So`0@0?ooo`80c_l02@3oool00`00
0000oooo0?ooo`040?ooo`80^?l03`3oool20:;o0100oooo0P2<o`0@0?ooo`80Mol0403oool2067o
0100oooo0P1=o`0@0?ooo`80>?l0403oool202?o00h0oooo100>o`0>0?ooo`@00?l9403oool3003o
90l0oooo1000od@?0?ooo`<00?m]403oool3003oWa00oooo0P00omlA0?ooo`03003Bo`3oool0oooo
0100oooo00<007;o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`0?0?ooo`0308D0o`3oool0oooo
00l0oooo00<0o`3N0?ooo`3oool0103oool000T0oooo300000000`3oool000000000000300000003
0?ooo`000000000000@0000000<0oooo0000000000001`0000000`3oool000000000000500000003
0?ooo`000000000000/0000000<0oooo0000003oool00P0000000`3oool000000000000K00000003
0?ooo`00000000000140000000<0oooo0000000000002`0000000`3`o`0000000?3o000300000003
0?ooo`000000000000T0000000H0om@00?ooo`000000om@00000003oool2000000030?ooo`000000
000000H0000000H0oooo0000003o[00000000?n/003oool4000000030?ooo`000000000000800000
1P3oool00`3oV000oooo0?nH000?0?ooo`030?nG003oool0oooo0100oooo0P3oX@0@0?ooo`80ok80
403oool20?o60100oooo0P3of`0@0?ooo`80oo40403oool20?Wo0100oooo0P3So`0@0?ooo`80c_l0
1`3oool00`000000oooo0?ooo`060?ooo`80^?l03`3oool20:;o0100oooo0P2<o`0@0?ooo`80Mol0
403oool2067o0100oooo0P1=o`0@0?ooo`80>?l0403oool202?o00l0oooo0`0>o`0?0?ooo`<00?l9
303oool6003o90`0oooo1P00od@=0?ooo`D00?m]3`3oool2003oWa00oooo0P00oml@0?ooo`03003B
o`3oool00=;o0180oooo00<007;o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`0?0?ooo`0308D0
o`3oool0oooo0100oooo00<0o`3N0?ooo`3oool0103oool000T0oooo1P0000000`3oool000000000
0003000000030?ooo`000000000000@0000000<0oooo000000000000100000000`3oool000000000
0006000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`0<000000030?oo
o`000000oooo00<0000000<0oooo0000000000006P0000000`3oool000000000000A000000030?oo
o`000000oooo00L0000000<0oooo0000000000001`0000000`3oool0000000000009000000030?oD
003oool0000000<0000000<0oooo000000000000200000020?ooo`030?n/00000000oooo00D00000
0P3oool5000000D0oooo00<0oiP00?ooo`3oool03`3oool00`3oU`00oooo0?ooo`2F0?ooo`030000
003oool0oooo0=T0oooo0`00ofd@0?ooo`D00?nO3P3oool2003oga00oooo0`00d_lB0?ooo`03001b
o`3oool0oooo00l0oooo00<0003o0?ooo`3oool0403oool00`250?l0oooo0?ooo`0?0?ooo`030?l0
gP3oool0oooo00D0oooo00090?ooo`H0000000<0oooo0000000000002P0000000`3oool000000000
0004000000030?ooo`000000000000H0000000<0oooo0000000000000`000000103oool000000000
003oool<000000030?ooo`000000000000<0000000<0oooo0000000000006P0000000`3oool00000
0000000A000000030?ooo`000000oooo0140000000<0oooo000000000000100000000`3oool00000
00000002000000030?ooo`000000oooo00<0000000@0oooo000000000000oooo200000000`3oool0
000000000002000000030?ooo`0000000000008000000P3oool500000:l0oooo00<000000?ooo`3o
ool0j`3oool3003oWa00oooo1000oml>0?ooo`800=;o00<0oooo003Bo`3oool03P3oool00`00L_l0
oooo001bo`0A0?ooo`030000o`3oool0oooo0100oooo00<0Q@3o0?ooo`3oool03`3oool00`3o0=h0
oooo0?ooo`060?ooo`002@3oool00`000000N@3o00000003000000030?ooo`000000000000L00000
00@0oooo000000000000oooo1P0000000`3oool0000000000006000000030?ooo`000000000000<0
000000H0oooo000000000000oooo0000003oool900000080oooo8P0000000`3oool000000000000C
000000030?ooo`000000000000l000000P3oool5000000030?ooo`00000000000080000000<0oooo
0000003oool02P0000000`3oool000000000000200000080oooo0P0000001@3oool0000000000000
0000oooo008000000P3oool400000:l0oooo00<000000?ooo`3oool0o@3oool3003oga00oooo0`00
d_l?0?ooo`04001bo`3oool007;o001bo`l0oooo0P000?lB0?ooo`0308D0o`3oool0oooo0100oooo
00<0o`3N0?ooo`3oool01P3oool000T0oooo00<0000007T0o`0000000`0000000`3oool000000000
0007000000040?ooo`00000000000?ooo`H0000000<0oooo0000000000001P0000000`3oool00000
00000003000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool00000000000040000
0080oooo8P0000000`3oool000000000000@000000040?ooo`00000000000?oooa00000000<0oooo
0000003oool0300000020?ooo`<0000000<0oooo0000000000002@0000020?ooo`T0000000<0oooo
0000003oool00`00002^0?ooo`<00000o`3oool@0?ooo`800=;o4@3oool3001bo`l0oooo0P000?lB
0?ooo`0308D0o`3oool0oooo0100oooo00<0o`3N0?ooo`3oool01`3oool000T0oooo0P1i0?l40000
00030?ooo`000000000000X0000000<003Oo000000000000100000000`3oool00000000000060000
00030?ooo`000000000000<0000000H0oooo000000000000oooo0000003oool2000000030?ooo`00
0000000000@000000P3ooolR000000030?ooo`00000000000100000000@0oooo000000000000oooo
4P0000000`3oool000000000000:00000080oooo0`0000000`3oool0000000000004000000030?oo
o`000000000000<0000000<0oooo0000000000001`0000020?ooo`030000003oool0000000800000
[@3oool00`000000oooo0?ooo`3o0?ooob80oooo0`00L_l?0?ooo`80003o00<0oooo0000o`000?l0
3P3oool208D0oa80oooo00<0o`3N0?ooo`3oool0203oool000T0oooo0P1i0?l;000000030?ooo`00
0000000000<0000000<003Oo000000000000100000000`3oool0000000000006000000030?ooo`00
0000000000<0000000<0oooo0000000000000P000000103oool000000000003oool600000080oooo
8P0000000`3oool000000000000V000000030?ooo`000000000000@0000000<0oooo000000000000
0P0000000`3oool0000000000004000000030?ooo`000000000000T000000P3oool5000000040?oo
o`000000000000000080oooo00<000000?ooo`0000000P00002/0?ooo`030000003oool0oooo0?l0
oooo8P3oool00`00L_l0oooo0?ooo`0?0?ooo`<0003o3`3oool208D0o`030?ooo`250?l0oooo00l0
oooo00<0o`3N0?ooo`3oool02@3oool000T0oooo00<0000007T0o`0000002P0000000`3oool00000
000000020000008003Oo1P0000000`3oool0000000000006000000030?ooo`0000000=Ko00<00000
00<0oooo0000000000000P000000103oool000000000003oool600000080oooo8P0000000`3oool0
00000000000V000000030?ooo`00000000000080000000<0oooo0000003oool01`0000001@3oool0
0000000000000000oooo00H0000000<0oooo0000003oool00`0000000`3oool00000000000050000
00030?ooo`00000000000080oooo00<000000?ooo`0000000P00002[0?ooo`030000003oool0oooo
0?l0oooo<`3oool20000oa40oooo0`250?l@0?ooo`80o`3N2`3oool000T0oooo00<0000007T0o`00
00003`000002000go`H0000000<0oooo0000000000001P0000000`3oool00000003Fo`0300000003
0?ooo`00000000000080000000@0oooo000000000000oooo1P0000000`3oool00000000000090000
00030?ooo`00000000000180000000@0oooo000000000000oooo:00000001@3oool0000000000000
0000oooo00T0000000<0oooo0000000000000P0000000`3oool000000000000:00000080oooo0P00
0000103oool000000000003oool400000080oooo0P000000103oool0000000000000002Y0?ooo`03
0000003oool0oooo0?l0ooooA@3oool308D0oa00oooo0P3o0=h00`3oool0o`3N0?ooo`090?ooo`00
2@3oool00`000000N@3o0000000>00000003000go`00000003Oo00H0000000<0oooo000000000000
1P0000000`3oool00=Ko003Fo`03000000030?ooo`00000000000080000000@0oooo000000000000
oooo0`000000103oool00000003oW03oool;000000030?ooo`00000000000180000000@0oooo0000
00000000oooo9`0000000`3oool0000000000007000000030?ooo`00000000000080000000<0oooo
0000003oool00P0000000`3oool0000000000005000000030?ooo`000000oooo00<0000000D0oooo
00000000000000000?ooo`02000000040?ooo`0000000000000000<0oooo0P000000103oool00000
00000000002X0?ooo`030000003oool0oooo0?l0ooooA@3oool00`250?l0oooo0?ooo`0@0?ooo`03
0?l0gP3oool0o`3N00/0oooo00090?ooo`0307T0o`000000000000L0000000<0oooo000000000000
100000000`00=ol00000000go`06000000030?ooo`000000000000D000000P3oool2003Fo`P00000
00@0oooo000000000000oooo0`000000103oool00?nL003oW03oool;000000030?ooo`0000000000
0080000000<00?lP000000000000400000000`3oool000000000000U000000030?ooo`000000oooo
00H0000000<0oooo0000000000001@0000001@3oool00000000000000000oooo00<0000000<0oooo
0000000000001P0000000`3oool0000000000005000000040?ooo`000000oooo000000<0oooo0P00
0000103oool0000000000000002W0?ooo`030000003oool0oooo0?l0ooooE`3oool30?l0gP`0oooo
00090?ooo`0307T0o`00000000000080000000<0oooo0000000000000P0000000`3oool000000000
0004000000030?ooo`00=ol0000000H0000000<0oooo0000000000001@000000103oool00=Ko0000
0000e_l8000000040?ooo`00000000000?ooo`<0000000@0oooo003oW000oi`0oooo100000000`3o
ool0000000000004000000060?ooo`00000000000?ooo`0000000?lP400000000`1;o`0000000?oo
o`0D000000030?ooo`00000000000180000000<0oooo0000000000000P0000001@3oool000000?oo
o`000000oooo00D0000000D0oooo00000000000000000?ooo`07000000030?ooo`000000oooo00<0
000000L0oooo00000000000000000?ooo`000000oooo00D000000`3oool2000000040?ooo`000000
000000000:H0oooo00<000000?ooo`3oool0o`3ooomG0?ooo`030?l0gP3oool0oooo00`0oooo0009
0?ooo`0307T0o`00000000000080000000H0oooo000000000000oooo0000003oool6000000030?oo
o`00=ol0000000h0000000@0oooo003Fo`00e_l00=Ko1@000000103oool000000000003oool20000
00080?ooo`000000000000000000oi`00000003oW03oool4000000030?ooo`000000000000@00000
00@0oooo000000000000oooo0P00ob0@0000000304_o00000000oooo01@0000000<0oooo00000000
00004P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P0000000`3o
ool0000000000002000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`04
000000030?ooo`00000000000080000000<0oooo0000003oool01@0000020?ooo`040000003oool0
00000?ooo`<00000Y@3oool00`000000oooo0?ooo`3o0?ooofH0oooo00090?ooo`0307T0o`000000
00000080000000<0oooo0000000000000P0000000`3oool0000000000004000000030?ooo`00=ol0
000000@0000000<0oooo0000000000001`0000020?ooo`03003Fo`000000000000@0000000@0oooo
000000000000oooo0P000000103oool00000000000000003003oW0030?ooo`000000000000800000
00<0oooo0000000000001`0000000`3oool00?lP003o800@00000080Bol000<0oooo000000000000
3@0000000`2Xo`00000000000002000000030?ooo`000000000000X0000000<0mOl0000000000000
100000000`3oool0000000000007000000030?ooo`00000000000080000000<0oooo0000003oool0
0`000000103oool000000000003oool4000000030?ooo`000000oooo00<0000000@0oooo00000000
000000000P3oool010000000oooo0000003oool300000080oooo00@000000?ooo`000000oooo1000
002S0?ooo`030000003oool0oooo0?l0ooooIP3oool000T0oooo00<0N@3o0000000000000P000000
0`3oool0000000000009000000030?ooo`00=ol0000000@0000000<0oooo0000000000001`000000
0`3oool00000003Fo`06000000050?ooo`00000000000000003oool01@000000103oool00?nL003o
W03oool4000000030?ooo`000000000000L000000`00ob0?000000<0Bol000<0oooo000000000000
3@0000000`2Xo`00000000000002000000030?ooo`000000000000X0000000<0mOl0000000000000
100000000`3oool0000000000006000000030?ooo`000000ol`000D0000000D0oooo000000000000
00000?ooo`04000000030?ooo`00000000000080oooo100000000`3oool000000000000200000006
0?ooo`00000000000?ooo`000000oooo0`0000020?ooo`040000003oool000000?ooo`@00000XP3o
ool00`000000oooo0?ooo`3o0?ooofH0oooo00090?ooo`0307T0o`00000000000080000000<0oooo
0000000000001`000000103oool0000000000000=ol6000000030?ooo`000000000000H0000000<0
oooo00000000e_l00P0000001@3oool00000000000000000oooo00<0000000<0oooo000000000000
0`000000103oool00?nL0?ooo`3oool4000000030?ooo`000000000000L000000`00ob0?00000080
Bol000<0000004_o000000003@0000030:So00<0000000<0oooo0000003oool02P0000020?Go00D0
000000<0oooo0000000000001P000000103oool000000?o<003oc003000000030?ooo`0000000000
00<0000000@0oooo000000000000oooo0`000000103oX000oooo0000003oool3000000030?ooo`00
000000000080000000<0oooo0000000000000P000000103oool0ohH00000000000020?ooo`040000
003oool000000?ooo`D00000X03oool00`000000oooo0?ooo`1=0?ooo`<0T?l03`3oool307go00l0
oooo0`1Zo`0?0?ooo`<0Eol0403oool204?o0<d0oooo00090?ooo`0307T0o`000000000000800000
00<0oooo0000000000001`000000103oool0000000000000=ol6000000030?ooo`000000000000H0
000000<0oooo00000000e_l00P0000002@3oool00000000000000000oooo0000003oool000000?oo
o`05000000040?ooo`00oi`0oooo0?ooo`@0000000<0oooo0000000000001`0000000`3oool00?lP
0000000?00000080Bol000<0000004_o000000003@0000000`2Xo`0000000:So0003000000030?oo
o`000000oooo00X000000P3eo`0@00000080ol`00`0000000`3oool000000?ooo`03000000030?oo
o`00000000000080000000D0oooo0000003oX000oj000?ooo`05000000040?ooo`00000000000000
0080oooo0`0000000`3oool0ohH00?n6000200000080oooo1@000000103oool00000000000000003
0?ooo`<0ogl03`3oool60?n600`0oooo1P3oU@0<0?ooo`H0ojL0303oool60?nk00`0oooo1@3ocP0=
0?ooo`D0on803@3oool50?of00d0oooo1@3do`070?ooo`030000003oool0oooo0080oooo1P3Po`0<
0?ooo`H0c?l0303oool60;Oo00`0oooo1P2So`0<0?ooo`<0T?l03`3oool307go00l0oooo0`1Zo`0?
0?ooo`<0Eol04@3oool204?o0140oooo0P0/o`0A0?ooo`0301;o003oool0oooo00l0oooo00<00?l>
0?ooo`3oool03P3oool00`00ocH0oooo0?ooo`250?ooo`002@3oool00`1i0?l00000000000020000
00030?ooo`000000000000@0000000@0oooo000000000000oooo0P0000000`00=ol0000000000004
000000030?ooo`000000000000H0000000<0oooo00000000e_l00`0000001P3oool000000000003o
ool000000?ooo`L0000000@0oooo003oW03oool0oooo100000000`3oool000000000000700000003
0?ooo`00ob0000000100000000<0Bol00000003oool03P000000102Xo`0000000:So002Xo`020000
00030?ooo`000000oooo00X000000`3eo`06000000030?ooo`00000000000080000000@0oooo0000
00000000oooo0`3oc004000000030?ooo`00000000000080000000@0oooo000000000000oooo0P00
00020?nP00030?ooo`000000oooo00<0000000<0oooo0000003oool00P0000001P3oool000000000
003oool000000?ooo`<0ohH000H000000?ooo`3oool0oooo0000003oool2000000030?ooo`000000
0000008000000P3oool00`3oO`00oooo0?mo00020?mo00d0oooo0P3oQP0@0?ooo`80oiD0403oool2
0?nW0100oooo0P3o^`0@0?ooo`80olh0403oool20?oR0100oooo0`3omP0?0?ooo`<0m?l0203oool0
0`000000oooo0?ooo`040?ooo`<0h?l03`3oool30<co00l0oooo0`2go`0?0?ooo`<0Xol03`3oool3
093o00l0oooo101mo`0>0?ooo`@0J_l03P3oool405Oo00`0oooo1P13o`0<0?ooo`H0;?l03P3oool4
01;o00h0oooo1@00o`h=0?ooo`03003o=P3oool0oooo00800?lf3P3oool01000ofX0oooo0?ooo`00
ofXA0?ooo`03003oZ`3oool0oooo00l0oooo00<00?ol0?ooo`3oool0403oool00`00X?l0oooo0?oo
o`0?0?ooo`03000[o`3oool0oooo00l0oooo00<0GP3o0?ooo`3oool05@3oool000T0oooo1@000000
0`3oool0000000000004000000040?ooo`00000000000?ooo`80000000<0oooo0000000000001000
00000`3oool0000000000006000000030?ooo`000000000000<0000000<0oooo0000000000000P00
00000`3oool0000000000005000000040?ooo`000000oooo0?ooo`@0000000<0oooo000000000000
1`0000000`3oool000000000000B000000030?ooo`00000000000180000000<0oooo0000003oool0
2P0000000`3eo`0000000?Go0006000000050?ooo`00000000000000003oool0100000000`3oc000
00000?o<0004000000030?ooo`00000000000080000000<0oooo0000000000000P0000001@3oool0
00000?nP003oX000oooo00D0000000<0oooo0000000000000P0000002P3oool000000000003oool0
00000?n6003oool000000?n6000000030?ooo`030000003oool0000000H000000P3oool00`3oO`00
oooo0?ooo`0?0?ooo`80ohH04@3oool20?nE0100oooo0P3oY`0@0?ooo`80ok/0403oool20?o>0100
oooo0P3ohP0@0?ooo`80ooH0403oool20?Co00L0oooo00<000000?ooo`3oool01P3oool20>3o0100
oooo0P3<o`0@0?ooo`80]ol0403oool20:?o0100oooo0P2@o`0@0?ooo`80OOl0403oool206[o0100
oooo0P1Go`0?0?ooo`<0@ol03`3oool302co00`0oooo1P0Bo`0<0?ooo`H00?l>3@3oool4003o=Pl0
oooo00@00?mZ0?ooo`00ofX00?mZ3`3oool3003oZ`h0oooo00@00?ol0?ooo`00oo`00?ol4P3oool0
0`00X?l0oooo0?ooo`0?0?ooo`03000[o`3oool0oooo00l0oooo00<0GP3o0?ooo`3oool03`3oool0
0`3l0?l0oooo0?ooo`040?ooo`002@3oool9000000040?ooo`00000000000?ooo`D0000000<0oooo
000000000000100000000`3oool0000000000006000000030?ooo`000000oooo00<0000000<0oooo
0000000000000P000000103oool000000000003oool4000000040?ooo`000000oooo0?ooo`@00000
00<0oooo000000000000700000000`3oool000000000000B000000030?ooo`000000oooo01<00000
00<0oooo0000000000001P000000103oc00000000000003oc002000000030?ooo`000000000000@0
000000/0oooo00000000000000000?ooo`000000oj000000003oX00000000?ooo`04000000030?oo
o`00000000000080000000<0oooo0000000000000P0000000`3oQP00oooo0000000200000080oooo
00D000000?ooo`3oool000000?ooo`06000000030?ooo`3oO`00oooo0140oooo00<0ohH00?ooo`3o
ool0P`3oool00`000000oooo0?ooo`3J0?ooo`<00?lf403oool4003oJPl0oooo0`00oj/>0?ooo`03
003oo03oool00?ol01<0oooo00<00:3o0?ooo`3oool03`3oool00`00:ol0oooo0?ooo`0?0?ooo`03
05h0o`3oool0oooo0100oooo00<0o03o0?ooo`3oool0103oool000T0oooo2@0000000`3oool00000
0000000=000000030?ooo`000000000000H0000000<0oooo0000003oool00`0000000`3oool00000
0?ooo`02000000040?ooo`00000000000?ooo`@0000000<0oooo0000003oool01@0000000`3oool0
00000000000L000000030?ooo`000000000001@0000000<0oooo000000000000400000000`3oool0
000000000008000000030?ooo`00000000000080000000<0oooo0000003oool0100000000`3oool0
000000000002000000040?ooo`3oX00000000?ooo`H000000P3oool2000000030?ooo`000000oooo
00<0000000@0ohH00?ooo`000000oooo0P0000020?ooo`040000003oool0oooo00000080oooo1P00
000]0?ooo`<0000000<0oooo0000000000006@00001<0?ooo`030000003oool0oooo0>`0oooo0`00
ofX?0?ooo`<00?n[3`3oool00`00oo`0oooo003oo002003oo0l0oooo00<00:3o0?ooo`00X?l04@3o
ool00`00:ol0oooo0?ooo`0@0?ooo`0305h0o`3oool0oooo00l0oooo00<0o03o0?ooo`3oool01@3o
ool000T0oooo00D0000007P0o`00000000000?ooo`04000000030?ooo`000000000000@0000000<0
oooo0000000000001P0000000`3oool0000000000006000000030?ooo`000000000000<0000000<0
oooo0000003oool00P000000103oool000000000003oool3000000040?ooo`00000000000?ooo`D0
000000<0oooo000000000000700000000`3oool000000000000A000000040?ooo`00000000000?oo
o`d0000000<0oooo0000000000000P0000000`3oool000000?ooo`0?000000060?ooo`0000000000
0?ooo`000000oooo100000000`3oool000000?ooo`03000000060?ooo`00000000000?ooo`000000
oooo0`0000001@3oool000000?ooo`000000oooo0080000000<0oooo0000000000000`0000001@3o
ool000000?ooo`3oool000000080oooo1`00000V0?oood400000;`3oool00`000000oooo0?ooo`3m
0?ooo`800?n[4@3oool3003oo100oooo0`00X?l?0?ooo`03000[o`3oool002_o0180oooo00<0GP3o
0?ooo`3oool03`3oool00`3l0?l0oooo0?ooo`060?ooo`002@3oool01@000000N03o000000000000
oooo0080000000<0oooo0000003oool01P0000000`3oool0000000000006000000030?ooo`000000
000000D000000P3oool7000000040?ooo`00000000000?ooo`H0000000@0oooo000000000000oooo
1@0000000`3oool000000000000L000000030?ooo`00000000000140000000@0oooo000000000000
oooo4P0000000`3oool000000?ooo`0>000000030?ooo`000000000000@0000000D0oooo00000000
000000000?ooo`03000000040?ooo`00000000000?ooo`<000000P3oool3000000050?ooo`000000
00000000003oool00P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`800000
0P3oool00`000000oooo00000005000001`0oooo0`0000000`3oool0000000000006000000@0oooo
B`00000L0?ooo`030000003oool0oooo0?l0oooo403oool2003oo140oooo0`00X?l@0?ooo`03000[
o`3oool002_o0140oooo00<0GP3o0?ooo`3oool0403oool00`3l0?l0oooo0?ooo`060?ooo`002@3o
ool207P0o`80000000<0oooo0000000000000P0000000`3oool0000000000004000000040?ooo`00
00000000000ho`@0000000<0oooo0000003oool01P0000020?ooo`L0000000@0oooo000000000000
oooo1P000000103oool000000000003ooolT000000030?ooo`00000000000140000000@0oooo0000
00000000oooo500000000`3oool0000000000002000000030?ooo`000000000000L0000000<0oooo
0000003oool00P0000000`3oool000000?ooo`04000000030?ooo`000000oooo00<0000000H0oooo
000000000000oooo0000003oool5000000070?ooo`00000000000000003oool000000?ooo`050000
0080oooo0P000000103oool000000?ooo`3oool9000001H0oooo0`0000040?ooo`D00000103oool;
000000D0ooooC`00000<0?ooo`030000003oool0oooo0?l0oooo8`3oool2002Poa00oooo00@002_o
0?ooo`00:ol002_o3`3oool205h0oa80oooo00<0o03o0?ooo`3oool01`3oool000T0oooo0`1h0?l0
0`000000oooo0000000;000000030?ooo`00000003So00@0000000<0oooo0000003oool01P000002
0?ooo`L0000000@0oooo000000000000oooo1P000000103oool000000000003ooolT000000030?oo
o`00000000000140000000@0oooo000000000000oooo500000001@3oool00000000000000000oooo
00<0000000<0oooo0000003oool01P0000001P3oool000000000003oool000000?ooo`@0000000D0
oooo00000000000000000?ooo`02000000030?ooo`00000000000080000000L0oooo000000000000
00000?ooo`000000oooo00<0000000<0oooo0000003oool01@0000030?ooo`040000003oool00000
00000080oooo100000000`3oool000000000000400000080oooo00<000000?ooo`3oool01@3oool3
000000040?ooo`0000000000000000@0oooo1@0000040?ooo`/00000103oool=000000`0ooooAP00
00000`3oool000000?ooo`3o0?ooob<0oooo00<00:3o0?ooo`3oool0403oool3000[o`l0oooo0P1N
0?l00`3oool0GP3o0?ooo`0?0?ooo`030?`0o`3oool0oooo00P0oooo00090?ooo`050000001h0?l0
N03o0000003oool0300000000`3oool003So000ho`04000000030?ooo`000000000000H000000P3o
ool200000003003Go`000000000000D0000000<0oooo00000000000010000000103oool000000000
003ooolh000000040?ooo`00000000000?oooa@0000000<0oooo0000000000001@0000000`3oool0
00000?ooo`05000000030?ooo`000000000000@0000000<0oooo0000000000000P0000000`3oool0
00000?ooo`03000000040?ooo`00000000000?ooo`<0000000@0oooo00000000000000000P3oool3
000000030?ooo`000000oooo00D000000`3oool00`000000oooo0?ooo`02000000030?ooo`000000
000000d000000P3oool2000000@0oooo2@0000040?ooo`D000002P3oool<000000D0oooo7000000>
0?oooc800000o`3oool^0?ooo`<002_o403oool305h0oa00oooo0P3l0?l:0?ooo`002@3oool01@00
0000N03o07P0o`000000oooo00`0000000@0oooo000ho`00>?l003So0`0000000`3oool000000000
0006000000050?ooo`000000000000000000eol0200000000`3oool0000000000003000000040?oo
o`00000000000?ooocP0000000@0oooo000000000000oooo500000000`3oool000000000000=0000
00030?ooo`000000oooo0080000000<0oooo0000003oool0100000001@3oool00000000000000000
oooo0080000000<0oooo0000000000000P0000000`3oool0000000000003000000030?ooo`000000
00000080000000D0oooo0000003oool000000?ooo`03000000<0oooo00@000000?ooo`3oool0oooo
600000040?ooo`8000000`3oool5000000@0oooo2`00000;0?oooa@000000`3ooolQ000000P0oooo
:P00003o0?ooobD0oooo00<002_o0?ooo`3oool03`3oool305h0oa00oooo0P3l0?l00`3oool0o03o
0?ooo`080?ooo`002@3oool01@000000N03o000000000000oooo00H0000000@0oooo000000000000
oooo0P0000001000>?l00000000ho`00>?l3000000030?ooo`000000000000H0000000<0oooo0000
000000000P00eol8000000030?ooo`000000000000<0000000@0oooo0000000000000?nK20000000
0`3oool000000000000]000000040?ooo`00000000000?oooa@0000000<0oooo0000000000000`00
00000`3oool0000000000006000000040?ooo`00000000000?ooo`80000000@0oooo0000003oool0
oooo0`0000020?ooo`030000003oool000000080000000@0oooo000000000000oooo0`0000001P3o
ool000000000003oool000000?ooo`@0000000<0oooo0000003oool01@0000030?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`000000oooo100000000`3oool000000000000@000000030?oo
o`0000000000010000001@3ooolB000000d0ooooG`00003o0?ooobh0oooo00<0GP3o0?ooo`3oool0
403oool00`3l0?l0oooo0?`0o`0:0?ooo`002@3oool01@1h0?l00000000000000000oooo00H00000
00@0oooo000000000000oooo0P0000001000>?l00000000ho`00>?l3000000030?ooo`0000000000
00H0000000<0oooo0000003oool00P00eol8000000030?ooo`000000000000<0000000@0oooo0000
0000oi/00?nK200000000`3oool000000000000600000003003o7`000000000002@0000000@0oooo
000000000000oooo500000020?ooo`<0000000<0oooo0000000000000`0000000`3oool000000000
0004000000030?ooo`000000000000<0000000<0oooo0000000000000P0000001@3oool000000000
00000000oooo0080000000H0oooo000000000000oooo0000003oool500000080oooo0P000000103o
ool000000?ooo`0000020?ooo`@000000`3oool2000000<0oooo100000000`3oool0000000000009
000000050?ooo`00000000000000003oool02P0000050?ooo`D00000103oool<000000/0oooo6`00
000?0?oooa00000000<0oooo0000000000003P0000060?ooo`030000003oool0oooo02000000o`3o
oolh0?ooo`<0o03o2`3oool000T0oooo00D0N03o00000000000000000?ooo`03000000030?ooo`00
0000000000H0000000<0oooo000ho`000000100000000`3oool0000000000006000000060?ooo`00
00000=Oo00000000eol0oooo1@0000000`3oool0000000000005000000040?ooo`0000000?nK003o
V`<0000000<0oooo0000000000000P0000000`3oool000000000000600000003003o7`0000000000
02@0000000@0oooo000000000000oooo4`0000000`3oool000000?ooo`07000000030?ooo`000000
oooo00H0000000<0oooo0000000000000`0000000`3oool000000000000200000080oooo00<00000
0?ooo`0000000P0000000`3oool0000000000003000000060?ooo`00000000000000003oool00000
0P3oool2000000040?ooo`000000oooo00000080oooo1@0000030?ooo`030000003oool0oooo0080
oooo100000000`3oool000000000000=000000@0oooo2P0000050?ooo`X000001P3ooolI000000`0
oooo600000080?oooa`000001`3ooolM00000?l0oooo<P3oool00`3l0?l0oooo0?ooo`0;0?ooo`00
2@3oool00`1h0?l0000000000005000000030?ooo`000000000000H0000000<0oooo000ho`000000
100000000`3oool0000000000006000000030?ooo`0000000=Oo00800=Oo00<0oooo000000000000
0`000000103oool000000000003oool500000003003oV`3oool00?nK00<0000000<0oooo00000000
00000P0000000`3oool0000000000005000000800?lO200000000`3oool000000000000600000003
04co00000000000001D0000000<0oooo0000003oool04@0000000`3oool000000?ooo`0700000003
0?ooo`000000oooo00D0000000<0oooo0000003oool0100000020?ooo`80000000<0oooo0000003o
ool01P000000103oool000000000003oool3000000050?ooo`00000000000?ooo`0000000P3oool2
000000040?ooo`000000oooo00000080oooo1@0000030?ooo`800000103oool4000000030?ooo`00
0000000000P0000000<0oooo000000000000100000050?ooo`l000001@3oool<000001<0oooo7000
00020?oooaL000002@3ooolC000000H0oooo200000000`3oool000000000000B00000?l0oooo>03o
ool000T0oooo00<0N03o0000000000001@0000000`3oool0000000000006000000030?ooo`00>?l0
000000@0000000<0oooo0000000000001P000000103oool000000?ooo`00eol4000000040?ooo`00
000000000?ooo`80000000<0oooo0000000000000`000003003oV`<0000000<0oooo000000000000
0P0000000`3oool0000000000005000000800?lO200000000`3oool000000000000500000080C?l0
4@0000000`2Yo`00000000000003000000030?ooo`000000oooo01<0000000<0oooo000000000000
1`0000000`3oool0000000000003000000030?ooo`000000oooo00@000000P3oool4000000040?oo
o`00000000000?ooo`<0000000<0oooo0000000000000`0000000`3oool000000?ooo`0200000004
0?ooo`000000oooo0?ooo`80000000@0oooo0000003oool000000P3oool00`000000oooo00000003
000000<0oooo00<000000?ooo`3oool00`3oool4000000030?ooo`000000000000X000000P3oool5
000000H0oooo1@0000050?ooo`/000001P3ooolP000000l0oooo400000030?ooo`l000001@3oool0
10000000oooo0?ooo`3ooolC000000<0oooo7`00003o0?oooc00oooo00090?ooo`0407P0o`000000
00000?ooo`80000000<0oooo0000003oool01P000000103oool0000000000000>?l5000000030?oo
o`000000000000H0000000@0oooo0000003oool00=Oo10000000103oool000000000003oool60000
00030?ooo`000000000000800?nK0`0000000`3oool0000000000002000000030?ooo`0000000000
00@000000`00oal@00000080C?l0400000020:Wo00L0000000<0oooo0000000000001`0000000`3h
o`00000000000007000000030?ooo`000000000000@0000000@0olL0000000000000oooo1`000000
0`3oool000000000000200000080oooo0`0000000`3oool000000?ooo`06000000040?ooo`000000
00000?ooo`80000000@0oooo0000003oool000000P3oool00`000000oooo0?ooo`02000000040?oo
o`000000oooo00000080oooo00<000000?ooo`0000000`0000030?ooo`8000001@3ooolD00000003
0?ooo`000000000000T0000000<0oooo000000000000200000040?oooch000002@3oool900000080
oooo4000000:0?ooo`L0000000<0oooo0000000000009`00003o0?ooobX0oooo00090?ooo`0407P0
o`00000000000?ooo`/0000000@0oooo00000000000003So100000020?ooo`L000000P3oool20000
0003003Go`00000000000080000000@0oooo000000000000oooo1P000000103oool0000000000000
oi/4000000030?ooo`000000000000T000000`00oal?00000080C?l000<0000004co000000003P00
00020:Wo00L0000000<0oooo0000000000001`0000000`3ho`00000000000007000000030?ooo`00
0000000000@0000000D0olL000000000000000000?ooo`06000000030?ooo`000000000000<00000
00<0oooo0?nF000000000`000000103oool000000000003oool7000000070?ooo`000000oooo0?oo
o`000000oooo000000020?ooo`030000003oool000000080000000@0oooo0000003oool000000P3o
ool00`000000oooo00000004000000<0oooo0P0000050?ooo`8000000P3ooolB00000080oooo1@00
00000`3oool000000000001L000000030?ooo`000000000001T00000203oool5000000030?ooo`00
0000000000`000000`3ooolK00000?l0oooo8P3oool000T0oooo00@0N03o000000000000oooo3000
00000`3oool00000000ho`04000000030?ooo`000000oooo00H000000P3oool200000003003Go`00
000000000080000000@0oooo000000000000oooo1P000000103oool0000000000000oi/500000003
0?ooo`000000000000T0000000<00?lO0000000000003P00000204co00030000001<o`00000000d0
000000@0ZOl00000002Yo`00ZOl01P0000000`3oool000000000000600000080n?l02@0000000`3o
ool000000000000400000080olL00P0000000`3oool000000000000400000080oooo100000000`3o
ool0oiH00?nF0002000000030?ooo`000000oooo00@0000000<0oooo0000003oool0100000000`3o
M`00oooo0?ooo`0300000080oooo00<000000?ooo`0000000P0000001@3oool000000?ooo`000000
oooo0080ofX000<0oooo0000003oool00`0000040?ooo`800000103oool30?m]0080oooo0`000000
0`3oool0000000000007000000H0ogX00P0000020?ooo`/000000`3oRP0?000000<0oi`03`000003
0?n^00l000000`3o`@0?000000<0om<03`0000030?oV00H0oooo00@000000?ooo`3oool0oooo0P00
00060?oi00/0000000<0oooo0??o003co`00103co`03000000030?ooo`000000000000H000001P3Q
o`040?ooo`P000001P3>o`0<000000H0_?l0303oool50:_o00d0oooo1@2Io`0@0?ooo`80R?l03`3o
ool307Go00l0oooo0`1Po`0@0?ooo`80A_l0403oool00`0Vo`00oooo0?ooo`0?0?ooo`03003o0`3o
ool0oooo08@0oooo00090?ooo`0407P0o`00000000000?ooo``0000000<0oooo00000000>?l01000
00000`3oool000000?ooo`06000000050?ooo`000000000000000000eol0200000000`3oool00000
00000003000000040?ooo`0000000000003oVa40000000<00?lO0000000000003`0000000`1<o`00
00000000000>000000040:Wo00000000ZOl00:Wo00H0000000<0oooo0000000000001P0000030?So
00P0000000<0oooo000000000000100000020?o700P0000000<0oooo0000003oool01@0000020?nF
0080000000<0oooo0000003oool00`0000001@3oool00000000000000000oooo0080000000<0oooo
0?mg003oM`000P3oool300000080oooo00<000000?ooo`000000100000000`3oool0000000000003
0?mZ00L000000`3oool300000080oooo1@3oK@020?ooo`@0000000<0oooo00000000000010000002
0?mj00l000000`3oRP0?000000<0oi`03`0000030?n^00l000000`3o`@0?000000@0om<03P000004
0?oV00X000001@3oool30?oi00<0oooo300000030??o00l000000`3Qo`08000000<0oooo10000003
0<ko00l000000`2lo`04000000/0oooo102[o`0>0?ooo`@0VOl03@3oool508So00`0oooo1P1eo`0<
0?ooo`H0H?l03P3oool404Ko00l0oooo00@09_l00?ooo`0Vo`009_l03P3oool01000o`<0oooo003o
0`00o`<?0?ooo`03003o>03oool00?lh0140oooo00<00?ml0?ooo`3oool03`3oool00`00om00oooo
0?ooo`0@0?ooo`03003:o`3oool0oooo00l0oooo00<0057o0?ooo`3oool03`3oool00`0j0?l0oooo
0?ooo`0E0?ooo`002@3oool3000000030?ooo`000000000000X0000000<0oooo0000000000001000
00000`3oool0000000000006000000030?ooo`00000000000100000000@0oooo000000000000oooo
?P0000000`3oool0000000000006000000030?So00000000n?l000P000000P3oool5000000030?o7
00000000olL000L0000000<0oooo0000003oool010000000103oool000000?nF003oUP0200000005
0?ooo`00000000000000003oool00P0000000`3oool000000?ooo`04000000<0ogL000@000000?oo
o`00000000000P3oool00`000000oooo0000000400000080oooo00<0ofX00?ooo`3oool00P3oJP07
000000@0oooo0P000000103oool0ofd00?m]003oool4000000<0oooo100000020?ooo`<000000P3o
NP0@000000<0ohX03`0000030?nL00l000000`3o[P0?000000<0ol403`0000030?oC00h000000`3o
iP0@00000080ooT02@3oool700000080lol0300000020?ooo`8000000P3Qo`0?000000030?ooo`3>
o`00c_l0010000000P2lo`0?000000030?ooo`2[o`00Zol00100oooo0P2Io`0?0?ooo`<0R?l03`3o
ool307Go00l0oooo0`1Po`0<0?ooo`H0A_l03@3oool502Ko00d0oooo1@00o`<?0?ooo`<00?lh3`3o
ool3003oO140oooo00<00?o@0?ooo`3oool0403oool00`00b_l0oooo0?ooo`0?0?ooo`03001Ao`3o
ool0oooo00l0oooo00<0>P3o0?ooo`3oool03`3oool00`3L0?l0oooo0?ooo`040?ooo`002@3oool3
000000030?ooo`000000000000X0000000<0oooo000000000000100000000`3oool0000000000006
000000030?ooo`00000000000100000000@0oooo000000000000oooo2`0000000`3oool000000000
000F000000030?ooo`000000000001L0000000<0oooo0000000000004P0000000`3oool000000000
0003000000050?o700000000olL00000003oool00`000000103oool000000000000000020?ooo`D0
000000L0oiH00000003oUP0000000?ooo`000000oooo00<0000000<0oooo0000000000000`000000
203oool000000?mg00000000oooo0?mg00000000oooo0P0000020?ooo`030000003oool0000000@0
00000P3oool00`3oJP00oooo0?ooo`02000000030?ooo`000000000000@0000000<0oooo0000003o
ool00P3oool2000000030?ooo`3oK@00oooo00<0oooo1@0000020?ooo`@000000P3oool00`000000
ogX000000026000000@0oooo1`0000030?ooo`/000001@3ooolA000000H0oooo8P00001O0?ooo`<0
9_l03`3oool3003o0a00oooo1@00ocP>0?ooo`@00?ml3`3oool2003od180oooo00<00<[o0?ooo`3o
ool03`3oool00`00DOl0oooo0?ooo`0@0?ooo`0303X0o`3oool0oooo00l0oooo00<0g03o0?ooo`3o
ool0103oool000T0oooo0`0000001@3oool00000000000000000oooo00P0000000<0oooo00000000
0000100000000`3oool0000000000006000000030?ooo`00000000000100000000@0oooo00000000
0000oooo20000000103oool000000000003ooolH000000030?ooo`000000000001L0000000<0oooo
000000000000400000000`3oool000000?ooo`09000000050?ooo`00000000000000003oool00P00
00000`3oool000000?ooo`05000000030?nF003oool0000000<0000000@0oooo000000000000oooo
0P0000000`3oool0000000000004000000050?mg003oool0oooo0000003oool00`000000103oool0
00000?ooo`3oool6000000030?ooo`3oJP00oooo0080oooo00D000000?ooo`3oool000000?ooo`06
000000<0oooo0`0000080?ooo`@0000000<0oooo000000000000100000000`3oool000000000001R
000000<0oooo:00000000`3oool000000000000D000000<0oooo500000030?ooobH00000N@3oool3
003o>100oooo0`00og`@0?ooo`<00?o@3`3oool00`00b_l0oooo003:o`0B0?ooo`03001Ao`3oool0
oooo00l0oooo00<0>P3o0?ooo`3oool03`3oool00`3L0?l0oooo0?ooo`050?ooo`002@3oool01000
0000N03o0000003oool3000000030?ooo`000000000000H0000000<0oooo00000000000010000000
0`3oool0000000000006000000030?ooo`000000oooo0100000000@0oooo000000000000oooo2000
0000103oool000000000003ooolE000000040?ooo`00000000000?oooaT0000000<0oooo00000000
00004P0000000`3oool000000000000;000000060?ooo`00000000000?ooo`000000oooo1P000000
1`3oool00000000000000000oooo0000003oool00`0000000`3oool000000000000700000080oooo
00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`04000000040?ooo`000000oooo0000
00<0oooo0P0000000`3oool000000000000900000080oooo0`0000020?ooo`8000000P3oool20000
00050?ooo`00000000000000003oool0V00000060?oooa8000001P3ooolA000000H0oooo=@000006
0?ooo`H000002P3oool2000000P0oooo1000000:0?ooo`8000002@3oool2000000X0oooo0P00000:
0?ooo`8000002`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo0P00og`0
0`3oool000000?ooo`090?ooo`030000003oool0oooo0080oooo0`00om040?ooo`030000003oool0
oooo00P0oooo00@00<[o00000000b_l00<[o3`3oool00`00DOl0oooo001Ao`0A0?ooo`0303X0o`3o
ool0oooo0100oooo00<0g03o0?ooo`3oool01@3oool000T0oooo00<0000007P0o`00000010000000
0`3oool0000000000006000000030?ooo`000000000000@0000000<0oooo0000000000001P000000
0`3oool000000?ooo`08000000030?ooo`000000000000@0000000D0oooo00000000000000000?oo
o`0300000080oooo0`000000103oool000000000003ooolH000000030?ooo`000000000001L00000
00<0oooo0000000000004P0000000`3oool0000000000003000000030?ooo`000000oooo00X00000
00D0oooo00000000000000000?ooo`02000000070?ooo`00000000000000003oool000000?ooo`02
000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool01@0000020?ooo`8000000`3oool01@000000
oooo0?ooo`000000oooo00/0000000<0oooo0000000000000P3oool9000000@0oooo2@0000050?oo
oaH000004P3ooolK000000P0oooo600000080?oooad000004P3oool8000000h0oooo2`00000>0?oo
o`T000001P3oool^000000<0oooo1`00000:0?ooo`@000001`3oool4000000T0oooo0`00000:0?oo
o`8000002`3oool2000000X0oooo0P00000:0?ooo`8000002P3oool00`000000oooo0?ooo`030?oo
o`800?o@103oool00`000000oooo0?ooo`090?ooo`<00<[o403oool2001Aoa80oooo00<0>P3o0?oo
o`3oool03`3oool00`3L0?l0oooo0?ooo`060?ooo`002@3oool207P0o`030?ooo`00000000000080
000000<0oooo000000000000100000000`3oool000000?ooo`06000000030?ooo`000000000000D0
00000P3oool01@000000oooo000000000000oooo00D0000000<0oooo000000000000100000000`3o
ool00000000000020?ooo`<000000P3oool3000000030?ooo`000000000003<0000000<0oooo0000
000000004P0000000`3oool0000000000005000000040?ooo`00000000000?ooo`L0000000<0oooo
000000000000100000020?ooo`@0000000<0oooo0000000000001@0000000`3oool0000000000002
000000060?ooo`00000000000?ooo`000000oooo0`0000020?ooo`050000003oool0oooo0000003o
ool0100000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000000000002@0000000`3o
ool0000000000003000000@0oooo100000000`3oool0000000000007000000@0oooo2`00000@0?oo
oaP000003@3oool4000000@0oooo3`0000050?oooaD00000203ooolM00000140oooo1P00000C0?oo
o`T000003P3oool=00000240oooo2@00000;0?ooo`H00000203oool3000000X0oooo0`00000;0?oo
o`8000002`3oool2000000X0oooo0P00000;0?ooo`030000003oool0oooo00P0oooo0P0000050?oo
o`03003od03oool0oooo00<0oooo00<000000?ooo`3oool02@3oool3003:oa00oooo0P00DOl00`3o
ool0057o0?ooo`0=0?ooo`0303X0o`3oool0>P3o0180oooo00<0g03o0?ooo`3oool01P3oool000T0
oooo0`1h0?l4000000030?ooo`000000000000@0000000<0oooo0000000000000P0000001@00>Ol0
0000000000000000oooo00L000000P3oool01@000000oooo000000000000oooo00D0000000<0oooo
00000000000010000000103oool000000000003oool400000080oooo0`0000000`3oool000000000
000c000000030?ooo`00000000000180000000<0oooo000000000000200000001@3oool000000000
00000000oooo00<000000P3oool500000080oooo100000020?ooo`80000000<0oooo000000000000
0P0000000`3oool0000000000002000000060?ooo`000000oooo0?ooo`000000oooo0`0000020?oo
o`050000003oool0oooo0000003oool0100000020?ooo`8000000`3oool2000000030?ooo`000000
000000X0000000<0oooo0000000000001`0000000`3oool0000000000003000000D0oooo2@000006
0?oooaP000000`3oool3000000X0oooo800000040?ooo`P000001@3ooolF000000P0oooo7@00000>
0?ooo`P00000503oool6000001D0oooo8@00000=0?ooo`L000002P3oool4000000X0oooo0`00000<
0?ooo`8000002`3oool2000000/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool00`0000000<[o0?ooo`0A
0?ooo`<0057o3`3oool00`0j0?l0oooo03X0o`0A0?ooo`030=`0o`3oool0oooo00L0oooo00090?oo
o`030000001h0?l0N03o00`0000000<0oooo0000000000000P00>Ol3000000030?ooo`0000000000
00D000000P3oool400000004003Go`00000000000?ooo`80000000<0oooo00000000000010000000
103oool000000000003oool400000080oooo0`0000000`3oool000000000000c000000030?ooo`00
000000000180000000<0oooo000000000000300000001P3oool000000000003oool000000?ooo`<0
000000@0oooo000000000000oooo1@0000000`3oool0000000000005000000030?ooo`0000000000
0080000000<0oooo0000000000000P3oool00`000000oooo0000000200000080oooo00D000000?oo
o`3oool000000?ooo`04000000<0oooo00<000000?ooo`3oool00P3oool200000080oooo3@000000
0`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo0000000000001`000005
0?ooo`l000001P3ooolY000000@0oooo8@0000050?oooaH000001P3oool6000000030?ooo`000000
000001D000003P3oool;000000l0oooo2@00000a0?ooo`T000003@3oool4000000/0oooo0`00000<
0?ooo`<000002`3oool2000000/0oooo0P00000;0?ooo`8000002P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04@3oool3001Aoa00oooo0P0j0?l@
0?ooo`030=`0o`3oool0g03o00T0oooo00090?ooo`030000001h0?l0N03o00`0000000<0oooo0000
000000000P00>Ol2000000030?ooo`000000oooo00H000000P3oool400000004003Go`0000000000
0?ooo`D0000000D0oooo00000000000000000?ooo`02000000030?ooo`0000000000008000000P3o
oole000000050?ooo`00000000000000003oool0500000000`3oool000000?ooo`0?000000030?oo
o`000000oooo00<0000000@0oooo000000000000oooo1@0000020?ooo`80000000H0oooo00000000
0000oooo0000003oool4000000070?ooo`00000000000000003oool000000?ooo`0300000080oooo
00<000000?ooo`3oool01P0000030?ooo`800000103oool200000080oooo100000000`3oool00000
00000008000000030?ooo`0000000000008000000P3oool4000000H0oooo2@00000;0?ooocd00000
1@3ooolJ000000H0oooo5P0000020?ooo`P0000000<0oooo0000000000004`00000D0?ooo`P00000
403ooola00000180oooo1000000<0?ooo`<000003@3oool2000000`0oooo0P00000;0?ooo`800000
303oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0A0?ooo`03001Ao`3oool0oooo00l0oooo0P0j0?lA0?ooo`<0g03o
2@3oool000T0oooo00<0000007P0o`3oool030000000103oool00000000io`000002000io`040000
003oool000000?ooo`H0000000<0oooo0000000000000P000002003Go`80000000<0oooo00000000
00001`0000001P3oool000000000003oool00000003oV`8000000P3ooole000000050?ooo`000000
00000000003oool0500000000`3oool000000?ooo`0A000000050?ooo`00000000000000003oool0
0`0000001`3oool00000000000000000oooo0000003oool00P0000000`3oool00000000000020000
00060?ooo`00000000000?ooo`000000oooo0P0000001@3oool000000?ooo`000000oooo00<00000
0P3oool010000000oooo0?ooo`3oool6000000<0oooo00<000000?ooo`3oool00`3oool200000080
oooo4@0000000`3oool0000000000003000000030?ooo`000000000000L000001P3ooolQ000000D0
oooo<P0000050?oooa<000001P3ooolE000000030?ooo`000000000001`000005@3oool6000004L0
oooo1P00000<0?ooo`@000003P3oool2000000`0oooo0P00000;0?ooo`800000303oool2000000/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02@0
oooo0P0j0?lA0?ooo`80g03o2P3oool000T0oooo00<0N03o0000003oool030000000103oool00000
000io`000002000io`040000003oool000000?ooo`H0000000<0oooo0000000000000P000003003G
o`030000003oool0000000P0000000H0oooo000000000000oooo00000000oi/2000000030?ooo`00
0000000003@0000000D0oooo00000000000000000?ooo`0D000000030?ooo`000000000001400000
00<0oooo0000000000001@0000001`3oool00000000000000000oooo0000003oool00P0000020?oo
o`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`0300000080oooo00<000000?oo
o`0000000`0000000`3oool000000?ooo`020?ooo`030000003oool0000000<000000`3oool20000
00D0oooo0P0000020?ooo`P0000000<0oooo0000000000004P0000020?oooaH000001@3ooom:0000
00H0oooo4`0000070?oooa0000001P3ooolJ000001H0oooo2@00000a0?ooo`d000003P3oool40000
00l0oooo0`00000<0?ooo`800000303oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00T0oooo0P00000<0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool09@3oool00`0j
0?l0oooo0?ooo`0?0?ooo`80g03o2`3oool000T0oooo00<0N03o0000003oool0300000001@3oool0
000000000000000003Wo0080000000<0oooo0000000000001P0000001P3oool000000?ooo`000000
0=Oo000000800=Oo00<000000?ooo`00000020000000103oool000000000003oool2003oV`800000
00<0oooo000000000000100000000`3oool000000000000500000003003o7`000000000002D00000
00D0oooo00000000000000000?ooo`0D000000030?ooo`00000000000140000000<0oooo00000000
00000P0000000`3oool00000000000020?ooo`@0000000D0oooo00000000000000000?ooo`020000
0080oooo0P0000000`3oool00000000000020?ooo`050000003oool000000?ooo`0000000P3oool4
000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000`0000040?ooo`8000001@3oool3
000000<0oooo:00000070?oooal000001P3ooold000000L0oooo4`0000040?oooa400000103ooolM
000001L0oooo5P00000<0?ooo`l000005`3oool400000100oooo0`00000<0?ooo`<00000303oool2
000000`0oooo0P00000;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0h0?ooo`80g03o2`3oool000T0oooo00<0N03o0000003oool00`0000000`3o
ool0000000000006000000040?ooo`0000000000000io`<0000000<0oooo0000000000001P000000
103oool000000?ooo`000002003Go`0400000000eol000000?ooo`T0000000@0oooo000000000000
oooo0`00oi/00`000000oooo00000005000000030?ooo`000000000000@000000P00oalA00000003
04go00000000000001<0000000D0oooo00000000000000000?ooo`0K000000030?ooo`0000000000
00X000000P3oool3000000030?ooo`00000000000080oooo0`0000000`3oool000000?ooo`020000
0080oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo0080000000@0oooo0000
003oool000000P3oool4000000030?ooo`00000000000080oooo1`0000040?ooo`8000001P3oool3
000000<0ooooA@0000030?oooaL000000`3oool/000000H0oooo4P0000040?oooa8000000`3oool9
00000080oooo5`00000Q0?ooo``00000803oool600000140oooo0`00000=0?ooo`8000003@3oool2
000000d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0>@3oool00`3L0?l0oooo0?ooo`0:0?ooo`002@3oool00`1h
0?l000000?ooo`03000000030?ooo`000000000000H0000000@0oooo00000000000003Wo0`000000
0`3oool0000000000006000000030?ooo`000000oooo0080000000<00=Oo0000000000002P000000
103oool00000000000000002003oV`0400000000oi/000000?ooo`H0000000<0oooo000000000000
10000002003o7a0000000P1=o`0A000000050:[o0000000000000000003oool00`0000000`3oool0
00000000000I000000030?ooo`000000000000T0000000<0oooo0000003oool00`0000001@3oool0
0000000000000000oooo00<0000000<0oooo0000003oool00`0000000`3oool00000000000020?oo
o`030000003oool0000000<0000000@0oooo0000003oool000000P3oool00`000000oooo0?ooo`03
000000<0oooo00H000000?ooo`3oool0oooo0000003oool6000000<0oooo0P0000070?ooo`<00000
103oool400000080ooooCP0000030?oooc`00000103oool5000000030?ooo`000000000000800000
00<0oooo0000000000000`0000060?oooa4000001@3oool900000080oooo6P00000k0?ooo`L00000
503oool3000000h0oooo0P00000>0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
A`3oool000T0oooo00@0N03o000000000000oooo0P0000000`3oool0000000000006000000040?oo
o`0000000000000io`<0000000<0oooo0000000000001P0000000`3oool000000?ooo`0200000003
003Go`000000000000<0000000<0oooo00000000000010000000103oool00000000000000002003o
V`0400000000oi/000000?ooo`<0000000@0oooo000000000000oooo1@000003003o7a0000000P1=
o`0A000000050:[o0000000000000000003oool00`0000000`3oool0000000000007000000030?Wo
00000000000000T0000000<0oooo0000000000000`000000103oool000000000003oool800000003
0?ooo`000000oooo00L0000000<0oooo0000000000000P0000000`3oool000000000000200000080
oooo0P0000000`3oool000000?ooo`02000000070?ooo`000000oooo0?ooo`000000oooo00000002
0?ooo`030000003oool0oooo00<000000`3oool010000000oooo0?ooo`3oool9000000<0oooo0`00
00070?ooo`@00000103oool400000080ooooT00000020?oooa8000001@3ooolB000000@0oooo2@00
00020?oooad00000;03oool6000001P0oooo0`00000?0?ooo`8000003P3oool2000000d0oooo0P00
000<0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`180?ooo`002@3oool0101h0?l000000000003oool2000000030?ooo`000000000000@0000000<0
oooo0000000000000P0000001@00>Ol00000000000000000oooo00L000000P3oool01@000000oooo
0000000000000=Oo00D0000000<0oooo000000000000100000001P3oool00000000000000000oooo
003oV`8000000P3oool3000000040?ooo`00000000000?ooo`D000000`00oal?00000080COl000<0
000004go000000003P0000020:[o00<0000000D0oooo00000000000000000?ooo`09000000030?Wo
00000000000000T0000000<0oooo0000000000000`000000103oa00000000000003oool:00000005
0?ooo`00000000000000003oT0000`0000020?ooo`<0000000<0oooo0000003oool00`000000103o
ool000000000003oool2000000030?ooo`00000000000080000000<0oooo0000000000000P000002
0?ooo`030000003oool0oooo00@0000000<0oooo0000003oool0103oool00`000000oooo00000007
000000<0oooo0P0000090?ooo`<000001@3oool7000000@0oooo@P0000020?ooodL000001@3ooolA
000000H0oooo200000000`3oool0000000000006000000H0oooo2@0000030?ooo`H000000`3ooolh
000000P0oooo1000000:0?ooo`8000000P3oool3000000@0oooo0P0000090?ooo`<000002`3oool0
0`000000oooo0?ooo`02000000L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00D0oooo0P0000020?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool02@3oool2000000X0oooo00<000000?ooo`3oool0?P3oool000T0oooo00<0N03o0000
000000002`0000001@3oool0000000000000000003Wo00<0000000<0oooo0000000000001@000002
0?ooo`050000003oool0000000000000eol01@0000000`3oool0000000000004000000060?ooo`00
000000000?ooo`0000000?nK0P0000030?ooo`X0000000<0oooo00000000oal04000000204go0003
0000001=o`00000000h000000`2Zo`02000000050?ooo`00000000000000003oool0200000020?Wo
00/0000000<0oooo0000000000000`0000001P3oa00000000000003oool000000?ooo``0000000@0
oi000?ooo`00000000000P3oool5000000050?ooo`00000000000000003oool00P000000103oK000
oooo0000003oool2000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`050000003o
ool0oeT00000003oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0000000<00000
0P3oE`03000001/0oooo1`0000020?m_00h0oooo00@000000?n0003oP000oh003`0000030?n@00@0
00002`3oool30?nQ00D0oooo2P0000030?nb00l0oooo0`3o``05000000030?ooo`000000oooo00H0
oooo00@000000?oE003oe@00omD03`0000030?oV00`000001P3on0070?ooo`D000001P3go`080?oo
o`@000001P3Vo`03000000/0oooo00@000000=Ko003Fo`00e_l01`0000080?ooo`<0a_l03`000003
0;Oo00l000000`2Uo`05000000L0oooo100000000`2Ao`0000000?ooo`090?ooo`H0000000<0N?l0
0000003oool00`3oool3000000T0oooo00<0Eol00000000000002`3oool2000000030?ooo`0/o`00
000000L0oooo0P0000050?ooo`8000000`3oool2000000L0oooo00D000000?ooo`3oool0oooo0000
000:0?ooo`030000003oool0oooo00T0oooo0P00000:0?ooo`030000003oool0oooo03l0oooo0009
0?ooo`0307P0o`3oool0000000/0000000D0oooo0000000000000000000io`04000000050?ooo`00
000000000000003oool00P0000020?ooo`@0000000<00=Oo0000000000001@0000000`3oool00000
00000002000000060?ooo`00000000000?ooo`0000000?nK0P0000020?ooo`d0000000<00?lO0000
000000003`0000000`1=o`00000004go000>000000040:[o00000000Z_l00:[o0080000000D0oooo
00000000000000000?ooo`08000000<0nOl02P0000000`3oool000000000000200000080ol@00P00
00000`3oool000000?ooo`0<00000080oi000P0000020?ooo`@0000000<0oooo0000003oool00P00
00020?ooo`030000003oK000of`00080000000<0oooo0000000000000P0000020?ooo`030000003o
ool0000000<0oooo00D000000?mI003oF@0000000?ooo`05000000@0oooo00<000000?ooo`3oool0
0`0000040?mG00@000002@3oool50?mQ00030000003oool0oooo00H00000103oool30?m_0080oooo
300000030?n000@000002`3oool30?n@00D0oooo2P0000030?nQ00d000000P3oool40?nb0080oooo
300000040?o300H0000000<0oooo0000000000001@0000040?oE00<000000`3oool8000000@0onH0
400000020?oh00P000001P3oool200000080mol00`00000=0?ooo`80i_l03@0000000`3oool0e_l0
0=Ko00030=Ko00P0oooo1@0000050<Ko00d0oooo1@2go`0=0?ooo`D0YOl01P3oool700000080oooo
0`2Ao`060?ooo`T000000`1ho`000`3oool0000000000002000000X0oooo00@0000005Oo001Go`00
Eol02P3oool2000000030?ooo`000000;?l00080oooo00<0;?l00?ooo`3oool00P3oool2000000H0
oooo00H000000?ooo`3oool00?l:0?ooo`00o`X80?ooo`030000003oool0oooo00800000103oool0
0`00oe00oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<00?nW0000003oool02@3oool0
0`000000oooo0?ooo`040?ooo`03003_o`3oool0oooo00l0oooo00<007Co0?ooo`3oool03`3oool0
0`0K0?l0oooo0?ooo`0E0?ooo`002@3oool00`000000oooo0000000;000000030?ooo`0000000000
00<0000000@0oooo000000000000oooo0`0000000`3oool00000000000020?ooo``0000000<0oooo
0000000000000P000000103oool000000000003oool400000080oooo<0000000102Zo`0000000000
002Zo`02000000050?ooo`00000000000000003oool01`000000103io`0000000000003io`0:0000
00030?ooo`00000000000080000000@0ol@00?ooo`3oa000oooo1`0000003P3oool000000000003o
ool000000?ooo`000000oi000000003oT00000000?ooo`000000oooo100000000`3oool000000?oo
o`03000000090?ooo`000000of`00?m/003oool000000?ooo`000000oooo008000000P3oool40000
00<0oooo00D000000?mI003oF@00oeT00?ooo`03000000030?ooo`000000000000<0oooo0P000002
0?ooo`030000003oE`00000000T0000000<0oooo0000000000000P3oool200000080of400`3oool3
000000D0oooo1P0000030?m_00@000002`3oool30?n000030?ooo`000000000000`000000`3oT00?
000000<0oj403`0000030?nb00`000000`3oool30?o300`0000000<0oooo0000000000000`3oe@05
000000D0oooo10000000103oool0onH00?oV003oiP0@00000080ooP03@0000030?ooo`80mol000<0
oooo000000000000200000050?ooo`80i_l01P3oool9000000<0e_l03`3oool30<Ko00l000000`2g
o`0?000000<0YOl01@0000070?ooo`H0TOl02@0000030?ooo`H0N?l02`3oool2000000D0Eol0203o
ool2000000050?ooo`000000000002co003oool00`0/o`020?ooo`8000001P3oool200000080oooo
0`00o`X80?ooo`040000003oool0oooo000000@0oooo0P00oe050?ooo`030000003oool0oooo00T0
oooo00<00?nW0?ooo`0000002@3oool00`000000oooo0?ooo`040?ooo`03003_o`3oool0oooo00l0
oooo00<007Co0?ooo`3oool03`3oool00`0K0?l0oooo0?ooo`0F0?ooo`002@3oool00`000000oooo
0000000;000000030?ooo`000000000000<0000000@0oooo000000000000oooo0`000000103oool0
00000000003oool8000000030?ooo`000000000000L0000000@0oooo000000000000oooo10000002
0?oooc@0000000<0oooo0000003oool02`000000103io`0000000000003io`0:000000030?ooo`00
000000000080000000<0ol@00?ooo`3oa00020000000203oool000000000003oool000000?ooo`00
0000oi000P000000103oT000oooo0000003oool4000000030?ooo`000000oooo00<0000000D0oooo
0000003oK000oooo0?m/0002000000050?ooo`00000000000?ooo`0000000P3oool3000000090?oo
o`000000oooo0000003oF@00oooo0000003oF@00oooo00<000000P3oool2000000<0oooo0P000002
0?ooo`030?mG000000000000010000000P3oH@03000000030?ooo`000000000000H000002P3ooolB
000000D0oooo@@0000020?ooo`L0000000<0oooo0000000000001@0000020?ooo`P000000`3oool7
000000@0oooo7@00000;0?ooo`P000002P3oool>000003P0oooo2`0000080?ooo`D000002P3oool4
000000040?ooo`1Go`00Eol005Oo00T0oooo0P0000000`3oool00000000000020?ooo`<0;?l00P3o
ool2000000H0oooo0P0000030?ooo`@00?l:1P3oool200000080oooo00<000000?ooo`3oool00P3o
ool3003oD0@0oooo00<000000?ooo`3oool0203oool2003oY`030?ooo`000000oooo00T0oooo00<0
00000?ooo`3oool00`3oool00`00kol0oooo0?ooo`0@0?ooo`03001do`3oool0oooo00l0oooo00<0
6`3o0?ooo`3oool03`3oool00`2o0?l0oooo0?ooo`040?ooo`002@3oool00`000000oooo0000000;
000000030?ooo`000000000000@0000000<0oooo0000003oool01P0000000`3oool000000?ooo`06
000000030?ooo`000000000000L0000000@0oooo000000000000oooo100000020?ooo`D0000000<0
oooo000000000000;00000000`3oool000000?ooo`07000000030?ooo`000000000000l0000000<0
oooo0000000000000`0000000`3oool0000000000007000000080?ooo`00000000000?ooo`000000
oooo0000003oT002000000060?n@003oool000000?ooo`000000oooo100000020?ooo`050000003o
ool000000?ooo`3oK0000P000000103oK00000000?ooo`3oool400000080oooo0`0000001P3oool0
00000?ooo`000000oeT00?ooo`80000000@0oooo0000003oool000000`3oool00`000000oooo0?oo
o`020?ooo`80000000<0oooo0?mG000000003P0000020?ooo`@0000000<0oooo0000000000001P00
00000`3oool000000000000;000000l0oooo@P0000040?oooaT000000P3oool800000080oooo2@00
00020?oooad00000303oool6000000`0oooo6P00000F0?oooa<000002@3oool5000000`0oooo1000
000>0?ooo`80000000<0oooo0000000000000`3oool202co0080oooo0P0000070?ooo`030000003o
ool0oooo0080oooo0`00o`X70?ooo`030000003oool0oooo00800000103oool3003oD0@0oooo00<0
00000?ooo`3oool0203oool2003oY`030?ooo`00ojL0oooo00T0oooo00<000000?ooo`3oool00P3o
ool2003_oa80oooo00<007Co0?ooo`3oool03`3oool00`0K0?l0oooo0?ooo`0@0?ooo`030;l0o`3o
ool0oooo00@0oooo00090?ooo`030000003oool0000000/0000000<0oooo00000000000010000000
0`3oool0000000000006000000030?ooo`000000oooo00H0000000<0oooo0000000000001`000000
103oool000000000003oool400000080oooo1@0000000`3oool000000000000f000000030?ooo`00
0000000000l0000000<0oooo0000000000000`0000000`3oool0000000000007000000030?ooo`00
000000000080000000<0oooo0000000000001@0000020?ooo`@0000000<0oooo0000003oool00`00
00000`3oool0of`00?ooo`04000000030?ooo`000000oooo008000000P3oool4000000040?ooo`00
0000oooo000000<0oooo00<000000?ooo`0000000`0000020?ooo`030000003oool0oooo00<0oooo
0P0000030?oooaT000000P3oool8000000H0oooo7@00000:0?oood8000000`3oool;000000030?oo
o`000000000000L000000P3oool6000000030?ooo`000000000001d000002`3oool700000100oooo
<@00000<0?ooo`@000003@3oool5000000l0oooo1@0000070?ooo`8000001`3oool2000000@0oooo
00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000060?ooo`800?m@103oool00`000000
oooo0?ooo`090?ooo`<00?nW2P3oool00`000000oooo0?ooo`020?ooo`04003_o`3oool00>oo003_
o`h0oooo00<007Co0?ooo`00M?l04P3oool00`0K0?l0oooo0?ooo`0?0?ooo`030;l0o`3oool0oooo
00D0oooo00090?ooo`030000001g0?l000000080000000<0oooo0000000000001P0000000`3oool0
00000?ooo`04000000030?ooo`000000000000H0000000<0oooo0000003oool01P0000000`3oool0
000000000006000000050?ooo`00000000000000003oool0100000020?ooo`D0000000<0oooo0000
00000000;`0000000`3oool000000000000F000000030?ooo`000000000000<0000000<0oooo0000
000000001`0000000`3oool0000000000002000000030?ooo`000000000000D000000P3oool40000
00030?ooo`000000oooo00<000000P3oool3000000040?ooo`00000000000?ooo`80000000@0oooo
0000003oool0oooo10000000103oool000000?ooo`0000030?ooo`030000003oool0oooo00<00000
0P3oool2000000D0oooo0P0000040?oooa@000000P3oool800000080oooo5P0000020?ooocL00000
0`3ooolQ000000<0oooo1P0000000`3oool000000000000400000080oooo2@0000000`3oool00000
00000002000000@0oooo7@00000=0?ooo`/00000?@3oool5000000d0oooo1@00000@0?ooo`D00000
203oool2000000P0oooo00<000000?ooo`3oool00P3oool2000000P0oooo0P0000020?ooo`030000
003oool0oooo00@0oooo00<00?m@0?ooo`3oool00P3oool2000000/0oooo0`00ojL:0?ooo`030000
003oool0oooo00<0oooo0`00kol?0?ooo`03001do`3oool007Co0140oooo00<06`3o0?ooo`3oool0
403oool00`2o0?l0oooo0?ooo`050?ooo`002@3oool207L0o`<0000000<0oooo0000000000001P00
00000`3oool0000000000004000000030?ooo`000000000000H0000000<0oooo0000003oool03`00
00001@3oool00000000000000000oooo00@000000P3oool5000000030?ooo`000000000002l00000
00<0oooo0000003oool05P0000000`3oool0000000000003000000030?ooo`000000000000<00000
00<0oooo0000000000001P0000020?ooo`D0000000<0oooo0000003oool010000000303oool00000
0?ooo`3oool000000?ooo`000000oooo0000003oool000000?ooo`80000000<0oooo0000003oool0
0P0000030?ooo`D000000P3oool01@000000oooo0?ooo`3oool000000080oooo100000020?ooo`03
0000003oool0oooo00@0oooo0`0000040?oooiP0000000<0oooo0000000000002@0000020?ooo`T0
000000<0oooo0000000000001@0000040?oooah00000403oool8000002X0oooo2`00000>0?ooo`H0
0000403oool3000000030?ooo`000000000000P0oooo0P0000080?ooo`800000103oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo008000002`3oool2000000/0oooo00<00000003oY`00
00002P3oool00`000000oooo0?ooo`030?ooo`<00>oo403oool3001do`l0oooo00<06`3o0?ooo`0K
0?l04@3oool00`2o0?l0oooo0?ooo`060?ooo`002@3oool207L0o`@0000000<0oooo000000000000
0`0000000`3oool000000000000400000003000jo`000000oooo00P0000000<0oooo0000003oool0
200000000`3oool0000000000004000000040?ooo`00000000000?ooo`D0000000<0oooo00000000
0000100000000`3oool000000?ooo`0_000000030?ooo`000000oooo01H0000000<0oooo00000000
00000`0000000`3oool0000000000003000000030?ooo`000000000000D0000000<0oooo0000003o
ool01@0000001@3oool000000?ooo`000000oooo0080000000X0oooo0000003oool0oooo0000003o
ool000000?ooo`000000oooo0P000000103oool000000000003oool2000000030?ooo`000000oooo
0080oooo00D000000?ooo`000000oooo000000020?ooo`040000003oool0oooo0?ooo`80000000<0
oooo0000003oool00`0000000`3oool00000000000070?ooo`<00000103oool3000000030?ooo`00
0000000009D000000`3oool:000000030?ooo`000000000000P0000000<0oooo0000000000001@00
00040?ooo`L0000000<0oooo0000000000005`00000>0?ooobX000005@3oool600000140oooo0`00
0000103oool000000000000000080?ooo`800000203oool2000000@0oooo0P0000090?ooo`040000
003oool0oooo000000`0oooo0P00000<0?ooo`8000002P3oool00`000000oooo0?ooo`040?ooo`03
003_o`3oool0oooo00l0oooo0`00M?l@0?ooo`<06`3o4@3oool00`2o0?l0oooo0?ooo`060?ooo`00
2P3oool207L0o`X0000000<0oooo0000000000000P000002000jo`80000000<0oooo000000000000
100000020?ooo`@0000000<0oooo0000000000000`0000000`3oool0000000000004000000040?oo
o`00000000000?ooo`@000000P3oool_000000030?ooo`000000000000H0000000<0oooo0000003o
ool05P0000000`3oool0000000000009000000030?ooo`000000000000D0000000<0oooo0000003o
ool01@0000001`3oool000000?ooo`000000oooo0000003oool00`0000020?ooo`8000000P3oool3
000000060?ooo`00000000000?ooo`000000oooo0`0000030?ooo`050000003oool000000?ooo`00
00000P3oool200000080oooo0P0000000`3oool000000000000300000080oooo0P0000080?ooo`<0
0000103oool3000000030?ooo`000000000009/0000000<0oooo0000000000002@0000020?ooo`P0
000000<0oooo0000000000000`0000050?ooobH00000?@3oool800000140oooo0`0000020?ooo`80
00002@3oool2000000T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`80
00000P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo0P00000;0?ooo`03
0000003oool0oooo01H0oooo0P00M?lA0?ooo`806`3o403oool20;l0o`T0oooo000:0?ooo`80M`3o
2P0000000`3oool00000000000020000008003[o0P0000001@3oool00000000000000000oooo0080
00000P3oool4000000030?ooo`0000000=So00D0000000<0oooo0000000000000P000000103oool0
00000000003oool400000080oooo2`0000000`3oool000000000000Q000000030?ooo`0000000000
00H0000000<0oooo0000003oool05P0000000`3oool0000000000009000000030?ooo`0000000000
00<0000000D0oooo0000003oool000000?ooo`04000000030?ooo`00000000000080oooo0P000000
103oool000000?ooo`0000020?ooo`<0000000<0oooo0000003oool00P000000103oool000000000
003oool2000000030?ooo`000000oooo0080oooo1P0000030?ooo`030000003oool0oooo00800000
0P3oool2000000030?ooo`00000000000080oooo0P0000090?ooo`<00000103oool7000000030?oo
o`000000000006H000000`3oooln000000<0oooo100000020?ooo`L000001@3ooolW000002l0oooo
2P00000B0?ooo`<000000`3oool2000000T0oooo0P0000090?ooo`800000103oool2000000T0oooo
00<000000?ooo`3oool00P00000<0?ooo`030000003oool0oooo00/0oooo0P00000;0?ooo`030000
003oool0oooo01L0oooo00<007Co0?ooo`3oool03`3oool201/0oa40oooo0`2o0?l80?ooo`002P3o
ool207L0o`X0000000H0oooo0000000000000000000jo`000002000jo`030000003oool000000080
000000@0oooo000000000000oooo1@0000000`3oool00=So003Ho`06000000050?ooo`0000000000
0000003oool00P0000001@3oool000000000000000000?nJ0080oooo7`0000000`3oool000000000
000=000000030?ooo`000000000000H0000000<0oooo0000003oool05P0000000`3oool000000000
0009000000030?ooo`000000000000<0000000D0oooo0000003oool000000?ooo`04000000030?oo
o`00000000000080oooo10000000103oool000000000003oool300000080oooo0`000000303oool0
00000000003oool000000?ooo`000000oooo0000003oool000000?ooo`<0000000@0oooo00000000
000000000P3oool01@000000oooo0?ooo`3oool000000080oooo1P0000020?ooo`8000002P3oool2
000000T0oooo0P0000060?ooo`H000001@3oool[00000080oooo2@0000000`3oool0000000000009
000000P0oooo100000030?ooo`T000001P3oool8000000030?ooo`000000000002@0000000<0oooo
0000000000000`0000020?ooo`@000000`3oool700000080oooo1@0000070?ooo`H00000103ooolf
000000H0oooo4P0000090?ooo`<000000`3oool400000080oooo100000080?ooo`<000002@3oool2
000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0000000X0oooo0`0000090?ooo`030000003o
ool0000000T0oooo00<000000?ooo`3oool0803oool201/0oa40oooo0P2o0?l90?ooo`002P3oool0
0`1g0?l0000000000009000000060?ooo`000000000000000000>_l000000P00>_l00`000000oooo
00000002000000040?ooo`00000000000?ooo`H000000P00f?l:000000040?ooo`00000000000?oo
o`<0000000<00?nJ0?ooo`3oool01@0000000`3oool000000000000G000000030?ooo`0000000000
00d0000000<0oooo000000000000200000000`3oool000000000000D000000030?ooo`0000000000
00T0000000<0oooo0000000000000`000000103oool000000?ooo`0000020?ooo`<0000000D0oooo
0000003oool000000?ooo`04000000030?ooo`000000oooo0080oooo0P0000020?ooo`@0000000@0
oooo000000000000oooo0P0000020?ooo`060000003oool000000?ooo`000000oooo0P0000000`3o
ool00000000000020?ooo`040000003oool0oooo0?ooo`8000000P3oool6000002@0oooo1@00000Q
0?oooaL000002`3oool=000000T0oooo2@0000070?oooa0000000P3oool8000000030?ooo`000000
0000010000001P3oool7000000<0oooo2@00000;0?ooo`L000001`3ooom1000000L0oooo1@000002
0?ooo`@000000`3oool4000000T0oooo0`0000090?ooo`<000000`3oool2000000D0oooo0P000003
0?ooo`80000000<0oooo0000000000000P3oool2000000T0oooo00<000000?ooo`0000002P3oool3
000000T0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`0Q0?ooo`0301/0o`3oool0
oooo00l0oooo0P2o0?l:0?ooo`002@3oool00`1g0?l000000000000:000000030?ooo`0000000000
00<000000P00>_l00`000000oooo00000002000000040?ooo`00000000000?ooo`D0000000@00=So
00000000f?l00=So2@000000103oool000000000003oool2000000800?nJ0P3oool5000000030?oo
o`000000000000L0000000<00?lN000000000000:00000000`3oool0000000000008000000030?oo
o`000000000000T0000000<0oooo0000000000002@0000000`3oool0000000000003000000040?oo
o`000000oooo00000080oooo0`0000002@3oool000000?ooo`000000oooo0000003oool000000?oo
o`02000000<0oooo0`0000020?ooo`<000000P3oool00`000000oooo0?ooo`02000000040?ooo`00
0000oooo00000080oooo00D000000?ooo`00000000000?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`03000000040?ooo`0000000000000002L0oooo800000020?oo
o`<000000`3ooolP000000P0oooo1`0000030?ooo`030000003oool0oooo00<0oooo2@0000070?oo
oa40000000<0oooo0000000000001@0000000`3oool0000000000009000000030?ooo`0000000000
00D000001P3oool7000000D0oooo2000000:0?ooo`/00000203ooolQ000000<0oooo2`0000090?oo
o`@000000`3oool4000000@0oooo100000090?ooo`@000002@3oool3000000<0oooo0P0000050?oo
o`800000103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`0000002P3oool3000000T0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`0d
0?ooo`80_`3o2P3oool000T0oooo00<0M`3o0000000000002P0000000`3oool00000000000020000
0003000jo`000000oooo00P0000000<0oooo0000003oool00`0000001000f?l00000003Ho`00f?l8
00000080oooo0P0000000`3oool0000000000003003oVP030?ooo`000000000000<0000000<0oooo
0000000000001P000002003o7Q40000000<0COl00000000000005P0000000`3oool0000000000008
000000030?ooo`000000000000T0000000<0oooo0000000000002@0000000`3oool0000000000005
00000080oooo00<000000?ooo`0000000P000000303oool000000?ooo`000000oooo0000003oool0
00000?ooo`000000oooo00000080oooo0`0000020?ooo`@0000000/0oooo000000000000oooo0000
003oool000000?ooo`000000oooo000000020?ooo`050000003oool000000000003oool00`000000
0`3oool000000?ooo`030?ooo`8000000P3oool8000001/0oooo3000000M0?oooaX0000000<0oooo
0000000000004`0000070?ooo`h000000P3oool:000000H0oooo400000020?oooa00000000<0oooo
0000000000001@0000090?ooo`@000002@3oool400000140oooo;000000@0?ooo`@000000`3oool4
000000D0oooo100000090?ooo`D000002@3oool3000000<0oooo0P0000050?ooo`800000103oool2
000000030?ooo`000000000000<0oooo00<000000?ooo`3oool0203oool3000000X0oooo0`00000:
0?ooo`8000002P3oool00`000000oooo0?ooo`0d0?ooo`030;l0o`3oool0oooo00T0oooo00090?oo
o`0307L0o`000000000000X0000000<0oooo0000003oool00P0000000`00>_l000000?ooo`080000
00030?ooo`000000oooo00@0000000<00=So000000000000200000001P3oool00000000000000000
oooo000000800?nJ00<00000003oVP3oool01@0000000`3oool0000000000006000000800?lN4@00
00000`1=o`00000000000005000000030?ooo`000000000000@0000000@0oooo000000000000Zol0
0P0000001@3oool00000000000000000oooo00L0000000D0oooo00000000000000000?ooo`0:0000
00030?ooo`000000000000T0000000<0oooo0000000000001@0000020?ooo`030000003oool00000
00<0000000<0oooo0000000000000P3oool4000000030?ooo`000000oooo0080oooo0`0000020?oo
o`<000000P3oool01@000000oooo0?ooo`000000oooo008000000P3oool01@000000oooo0?ooo`00
0000oooo0080000000H0oooo0000003oool000000?ooo`0000050?ooo`8000000P3oool00`000000
oooo00000006000001<0oooo2@0000080?oooc4000001P3ooolR000000T0oooo1`0000020?ooo`X0
00001@3oool>00000080oooo1`0000000`3oool0000000000009000000030?ooo`000000000000D0
00001P3oool7000000H0oooo1`0000100?ooo`H000000`3oool4000000D0oooo1@00000:0?ooo`@0
00002P3oool3000000<0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3o
ool000000`3oool2000000T0oooo0`00000;0?ooo`80000000<0oooo0000003oool0203oool00`00
0000oooo000000090?ooo`030000003oool0oooo0440oooo00090?ooo`0307L0o`00000000000080
000000<0oooo0000000000001@0000000`3oool000000000000200000003000jo`000000oooo00P0
000000<0oooo0000003oool0100000001@00f?l00000000000000000oooo00H0000000@0oooo0000
00000000oooo0P000002003oVP0300000000oiX0000000d000000`00oah@00000080COl01`000000
0`3oool0000000000007000000040:_o0000000000000?ooo`<0000000<0oooo0000000000001P00
00001@3oool000000?[o00000000oooo00T0000000<0oooo000000000000200000000`3oool00000
00000003000000030?ooo`00000000000080oooo00<000000?ooo`0000000`0000001@3oool00000
0?ooo`000000oooo00@0000000<0oooo0000003oool00P3oool300000080oooo100000002@3oool0
00000000003oool000000?ooo`000000oooo000000020?ooo`030000003oool0oooo0080000000P0
oooo0000003oool000000?ooo`000000oooo000000H0oooo00<000000?ooo`3oool00P0000000`3o
ool0000000000006000000030?ooo`000000000000<0000000<0oooo0000003oool00P3oool50000
00T0oooo3`00000>0?ooo`L000002@3ooolZ000000030?ooo`0000000000014000001P3oool50000
00D0oooo2@0000020?oooa40000000<0oooo0000000000001@0000000`3oool000000000000:0000
00030?ooo`000000000000L00000103oool:000000<0oooo2`00000Y0?ooo``000001@3oool40000
00@0oooo1`00000:0?ooo`D000002@3oool4000000<0oooo0P0000060?ooo`800000103oool20000
00030?ooo`000000000000<0oooo00<000000?ooo`3oool0203oool3000000/0oooo0P0000000`3o
ool000000?ooo`080?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool0@P3oool000T0
oooo00<0M`3o0000000000000P0000000`3oool0000000000003000000030?ooo`000000000000@0
000000<003[o0000003oool01`0000020?ooo`H0000000D00=So00000000000000000?ooo`060000
00040?ooo`00000000000?ooo`<0000000<00?nJ0?ooo`3oool0200000000`3oool0000000000003
000000<00?lN400000000`1=o`00000004go0006000000030?ooo`000000000000H000000P2[o`02
000000030?ooo`000000000000`0000000<0n_l00000003oool02@0000000`3oool0000000000003
000000030?o200000000000000P0000000P0oooo00000000000000000?ooo`000000oooo0?n<00<0
000000T0oooo0000003oool000000?ooo`000000oooo0000003oool00P0000030?ooo`80000000<0
oooo0000003oool0100000020?ooo`080000003oool0oooo0000003oool000000?ooo`0000020?oo
o`030000003oool0oooo0080000000L0oooo0000003oool000000?ooo`000000oooo008000001@3o
ool010000000oooo0?ooo`3oool200000080oooo500000000`3oool000000000000<000000X0oooo
;P0000040?oooc4000000`3oool5000000P0oooo200000020?oooa4000000P3ooolA000000030?oo
o`000000000000X000001`3oool:000000@0oooo:@00000=0?ooo`@00000103oool7000000/0oooo
1P0000090?ooo`@00000103oool00`000000oooo0?ooo`040?ooo`8000001@3oool010000000oooo
0?ooo`0000030?ooo`8000002P3oool00`000000oooo0000000;0?ooo`80000000<0oooo0000003o
ool0203oool00`000000oooo000000090?ooo`030000003oool0oooo04<0oooo00090?ooo`0307L0
o`00000000000080000000<0oooo0000000000000`0000000`3oool000000000000400000004000j
o`00000000000?ooo`H000000P3oool4000000030?ooo`0000000=So00<0000000<0oooo00000000
000010000000103oool000000000003oool300000003003oVP3oool0oooo00l000000P00oah?0000
0080COl000<0000004go000000003P0000030:_o00l000000P3jo`0;000000030?ooo`0000000000
00<0000000D0ol8000000000000000000?ooo`06000000080?ooo`00000000000000003oool00000
0?ooo`3oS0030000000<0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool0
00000P3oool02`3oI0000000000000000000oooo0000003oool000000?ooo`000000oooo00800000
00H0oooo0000003oool000000?ooo`3oB`030?ooo`0:0000003oool000000?ooo`000000oooo0000
003oool000000?ooo`80000000<0oooo0000003oool0103oool300000080oooo0`0000020?oooaP0
00000`3oE`050?ooo`X000000`3oIP0?000000<0ogD01000000;0?ooo`<0oh@03`0000020?nC0003
0000003oool0oooo00<0oooo2P0000030?nS0080000000<0oooo0000000000002P0000030?nc00l0
00000`3o``000`000000oooo0?ooo`090?ooo`<000000P3od`050?ooo`/000000P3ohP020?ooo`h0
00000P3ol@04000000030?ooo`000000000000P0000000<0oooo0?oo003oo`002@3oool700000080
lOl0403oool20>?o0100oooo0P3Co`020?ooo`/00000103oool00`30o`00000000000004000000/0
oooo00D0Yol000000000000000000?ooo`02000000X0oooo00@0QOl00000000000000000103oool2
000000D0oooo0P0000000`3oool0FOl00?ooo`030?ooo`040000003oool00000000000<0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0000000;0?ooo`80000000<0oooo0000003oool0203o
ool00`000000oooo000000090?ooo`030000003oool0oooo04@0oooo00090?ooo`0307L0o`000000
000000T0000000<0oooo0000000000000`0000001000>_l000000000003oool600000080oooo1000
00000`3oool00000003Ho`03000000030?ooo`000000oooo00@0000000@0oooo000000000000oooo
0`0000000`00oiX0oooo0?ooo`0;000000050?ooo`000000000000000000oah03`0000001@3oool0
COl004go00000000COl000/0000000D0oooo000000000000Zol0000000020:_o0080000000D0oooo
0000003oool000000?ooo`08000000<0n_l02P0000000`3oool0000000000003000000050?o20000
000000000000003oool02P0000000`3oool000000?ooo`020?n<0080000000@0oooo000000000000
00000P3oool4000000050?ooo`000000oooo0?ooo`3oI0000`0000020?ooo`@000000P3oool00`00
0000oooo0?ooo`0300000080od/00P3oool02@000000oooo0?ooo`000000oooo0000003oool00000
0?ooo`04000000030?ooo`3oA000od@000H0oooo0P0000030?ooo`<0000000<0oooo0000003oBP00
1@3oBP0<000000<0oeL03`0000030?mV00<00000303oool30?me00030?ooo`000000000000`00000
0`3oQ009000000H0oooo0`3oT`0?000000<0oj<000<0oooo000000000000200000040?ooo`<0ok<0
3`0000030?o300/00000103oool30?oC00030?ooo`000000000000@000001P3oool2000000<0on80
2@0000000`3oool0000000000003000000<0oo400P0000000`3oool000000000000:000000@0ool0
1`0000070?ooo`@0lOl03P0000040>?o00h00000103Co`03000000T0oooo100000020<3o00030000
003oool0oooo00`0oooo00<000000:Oo002Wo`000P3oool3000000T0oooo0P0000000`25o`000000
08Go00040?ooo`8000001P3oool01`000000oooo0?ooo`1Io`00oooo05Wo003oool00P0000000`3o
ool000000?ooo`030?ooo`030000003oool0oooo00<0oooo00<07ol00?ooo`0Oo`000`3oool00`00
0000oooo0000000;0?ooo`04003o:@000000oooo000000T0oooo00<000000?ooo`0000000P3oool0
0`00oh<0oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<00?o^0?ooo`3oool03`3oool0
0`00T_l0oooo0?ooo`0?0?ooo`030000o`3oool0oooo01D0oooo00090?ooo``0000000<0oooo0000
000000000`000000103oool000000000003oool6000000030?ooo`000000000000<0000000<0oooo
0000000000001P0000001@3oool00000000000000000oooo0080000000<0oooo0000000000000P00
00020?oooal0000000<0oooo00000000000040000000102[o`0000000000002[o`02000000050?oo
o`000000oooo0000003oool01`000000103jo`0000000000003jo`0:000000030?ooo`0000000000
0080000000<0ol800000003o`P000P0000000`3oool0000000000008000000050?ooo`000000oh`0
0000003oS0001P0000020?ooo`@0000000@0oooo0000003oool0oooo0P3oI00200000080oooo00H0
00000?ooo`000000oooo0000003oool200000080oooo0P0000020?m;00040000003oool0oooo0000
0080oooo00D000000?ooo`000000oooo000000020?ooo`040000003oool00000000000@0od@01@3o
ool3000000<0oooo0`0000020?m:0080oooo3P0000020?mG014000000`3oIP0?000000<0ogD03`00
00030?n400030000003oool0oooo0080oooo2@0000020?nC00P000000P3oool600000080oj<04000
00020?nc00D0oooo2`0000020?o3010000000P3od`000`000000oooo0?ooo`030?ooo`L000000`3o
ool20?oR010000000P3ol@000`3oool0000000000006000000030?ooo`000000000000@000000P3o
o`0?00000080oooo0`3ao`0?0?ooo`<0hol03`3oool30=?o00030?ooo`000000000000T0000000<0
oooo0<3o0030o`000`30o`0;0?ooo`8000001@2Wo`000`000000oooo0?ooo`080?ooo`<000001025
o`020?ooo`8000001P3oool200000080oooo00H0FOl00?ooo`1Io`00FOl00000003oool2000000<0
oooo0P0000050?ooo`0301oo003oool07ol00080oooo1000000:0?ooo`800?lY00<000000?ooo`00
00002P3oool200000080oooo00<00?n30?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`03
003okP3oool0oooo00l0oooo00<009;o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`0F0?ooo`00
2@3oool<000000030?ooo`000000000000<0000000@0oooo000000000000oooo0`000000103oool0
00000000003ooolB000000040?ooo`00000000000?ooo`@000000P3oool5000000030?ooo`000000
00000380000000<0oooo0000003oool01`000000103jo`0000000000003jo`0900000080oooo1000
00000`3o`P0000000?o20002000000030?ooo`000000000000P0000000<0oooo0000003oS0000P00
00000`3oS000000000000002000000030?ooo`000000oooo00H000000P3oool20?mT00<0000000L0
oooo0000003oool000000?ooo`000000oooo008000000P3oool300000080od/000D000000?ooo`3o
ool000000?ooo`02000000040?ooo`000000oooo00000080oooo00D000000?ooo`00000000000?m4
0002000000P0oooo0P0000060?ooo`80odX000<000000?ooo`3oool03@0000020?mG04H000000P3o
T`030?ooo`d000000P3oX`020?ooo`h000000P3o/`04000000H0oooo1P0000020?o3010000000P3o
d`05000000H0oooo1@0000020?oR00@0oooo300000020?oa00@000000P3oool:00000080ool0>@00
000F0?ooo`P000002`3oool5000000<0QOl00P3oool2000000H0oooo0P0000040?ooo`<0FOl000<0
00000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`807ol000<0oooo01oo000000000P00
000;0?ooo`800?lY00<00000003o:@0000002P3oool200000080oooo0P00oh<60?ooo`030000003o
ool0oooo00T0oooo00<00?o^0?ooo`3oool03`3oool00`00T_l0oooo0?ooo`0?0?ooo`030000o`3o
ool0oooo00l0oooo00<0YP3o0?ooo`3oool0103oool000T0oooo300000000`3oool0000000000003
000000030?ooo`000000000000@0000000@0oooo000000000000oooo4P000000103oool000000000
003oool400000080oooo1@0000000`3oool000000000000b000000030?ooo`000000oooo01@00000
0P3oool4000000030?o200000000ol800080000000<0oooo000000000000200000000`3oool00000
0?n<0002000000030?n<0000000000000080000000<0oooo0000003oool00`0000002P3oool00000
0?ooo`000000oooo0?mT003oool0of@00?ooo`0000020?ooo`@000000P3oool200000080oooo0P00
00000`3oB`00oooo0?m;00030?ooo`80000000D0oooo0000003oool000000?ooo`02000000060?oo
o`00000000000?ooo`000000od@00P0000090?ooo`<000001P3oool5000000<0ooooFP0000060?oo
o`P0000000<0oooo0000003oool05@0000000`3oool000000000000O000000H0oooo1P0000070?oo
oa0000000`3ooolQ000000X0oooo0P00000U0?ooo`P000003@3oool4000000H0oooo0P0000060?oo
o`8000001@3oool205Wo00040000003oool00000000000<0oooo0P0000070?ooo`@07ol00`00000<
0?ooo`<00?lY00<000000?ooo`3oool0203oool010000000oooo0000003oool3003oP`D0oooo00<0
00000?ooo`3oool01`3oool00`00onh0oooo003okP0A0?ooo`03002Bo`3oool0oooo00l0oooo00<0
003o0?ooo`3oool0403oool00`2V0?l0oooo0?ooo`040?ooo`002@3oool<000000030?ooo`000000
oooo00@0000000<0oooo0000000000001P0000000`3oool000000000000@000000040?ooo`000000
00000?ooo`@000000P3oool`000000030?ooo`000000000000L0000000<0oooo0000003oool05000
00020?ooo`T0000000<0oooo000000000000200000000`3oool000000?ooo`07000000030?ooo`00
0000oooo00D0000000D0oooo0000003oool0of@00?ooo`0300000080oooo00D000000?ooo`000000
oooo000000020?ooo`80000000@0oooo0000003oool0od/00P3oool010000000oooo0?ooo`3oool2
000000040?ooo`000000oooo00000080oooo00D000000?ooo`3oool000000?ooo`05000000X0oooo
0P0000090?ooo`8000002P3oool2000000H0oooo1P0000000`3oool000000000000^000000<0oooo
200000020?ooo`/000001P3oool9000000<0oooo100000000`3oool000000000000/000000T0oooo
2@0000020?ooo`<000001@3oool<00000080oooo1@0000020?ooo`X0000000<0oooo000000000000
800000040?ooo`P000001`3oool7000000P0oooo0P0000060?ooo`D000001@3oool2000000<0oooo
0P0000000`3oool00000000000070?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo0P0Oo`001P3oool00000000000000000oooo0000
00X0oooo0`00obT00`000000oooo0?ooo`060?ooo`050000003oool000000?ooo`0000000P3oool2
003oP`<0oooo00@000000?ooo`3oool00000203oool0100000000?o^003okP00onh?0?ooo`8009;o
4P3oool00`000?l0oooo0?ooo`0?0?ooo`030:H0o`3oool0oooo00D0oooo00090?ooo`050000001e
0?l000000000003oool01`0000000`3oool000000?ooo`04000000030?ooo`000000000000H00000
00<0oooo0000003oool0200000000`3oool0000000000008000000030?ooo`000000000000800000
00@0oooo000000000000oooo2`0000000`3oool000000000000P000000030?ooo`000000000000<0
000000L0oooo00000000000000000?ooo`000000oooo01@0000000@0oooo000000000000oooo0`00
00000`3oool000000000000<000000040?ooo`000000oooo0?ooo`H0000000<0oooo0000003oool0
1@0000000`3oool000000?ooo`020?ooo`@000000`3oool00`000000oooo000000020?ooo`800000
00@0oooo0000003oool000000`3oool010000000oooo0?ooo`3oool4000000@0oooo00D000000?oo
o`3oool000000?ooo`04000002d0oooo4@00000H0?ooo`P0000000<0oooo0000000000005@000002
0?ooo`H000000`3oool00`000000oooo0?ooo`020?ooo`L000002@3oool[000000h0oooo1P00000;
0?ooo`l000001`3ooolC000000D0oooo4@0000090?ooo`P000002@3oool4000000D0oooo1P000005
0?ooo`8000000`3oool2000000030?ooo`000000000000L0oooo1@0000030?ooo`8000000`3oool2
000000H0oooo0P000000103oool000000?ooo`00000:0?ooo`0400000000obT0oooo000000P0oooo
00D000000?ooo`000000oooo000000020?ooo`800?n30`3oool010000000oooo0?ooo`0000080?oo
o`0400000000onh00?o^003okQ00oooo0P00T_lA0?ooo`030000o`3oool0oooo0100oooo00<0YP3o
0?ooo`3oool01@3oool000T0oooo0P1e0?l2000000030?ooo`000000000000D0000000<0oooo0000
00000000100000000`3oool0000000000006000000030?ooo`000000000000P0000000<0oooo0000
000000001`0000000`3oool0000000000003000000040?ooo`00000000000?ooo`/0000000<0oooo
0000000000002@0000000`3oool000000000000D000000070?ooo`00000000000000003oool00000
0?ooo`03000000030?ooo`000000oooo00P0000000<0oooo0000000000002@000000103oool00000
0000003oool3000000030?ooo`00000000000080000000<0oooo0000000000001`000000103oool0
00000?ooo`3oool4000000070?ooo`000000oooo0000003oool000000?ooo`02000000050?ooo`00
0000oooo0000003oool01@0000030?ooo`<000000`3oool2000000040?ooo`000000oooo000000<0
oooo00@000000?ooo`3oool000000P3oool2000000@0oooo0P000000103oool000000000003oool3
000003d0ooooC00000020?ooo`L000002P3oool/000000`0oooo1000000;0?oooa8000004`3oool6
000000h0oooo3@00000;0?ooo`@000001`3oool5000000D0oooo0`0000030?ooo`80000000<0oooo
000000000000203oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`050?ooo`H000002P3oool2000000030?ooo`000000oooo00L0oooo00D00000
0?ooo`000000oooo000000030?ooo`05003oP`3oool0oooo0?ooo`0000000P3oool00`000000oooo
0?ooo`070?ooo`0300000000onh00?o^0100oooo0P00T_l00`3oool009;o0?ooo`0=0?ooo`030000
o`3oool0003o0140oooo00<0YP3o0?ooo`3oool01P3oool000T0oooo0P1e0?l2000000030?ooo`00
0000000000`0000000<003_o0000000000001@0000020?ooo`@0000000<0oooo0000000000000`00
00000`3oool0000000000007000000030?ooo`00000000000080000000D0oooo0000000000000000
0?ooo`08000000040?ooo`00000000000?ooo`/0000000<0oooo000000000000600000000`3oool0
00000?ooo`03000000030?ooo`000000oooo00H0000000<0oooo0000003oool02`000000103oool0
00000000003oool3000000030?ooo`00000000000080000000<0oooo0000000000001`000000103o
ool000000?ooo`3oool4000000070?ooo`000000oooo0000003oool000000?ooo`02000000070?oo
o`000000oooo0000003oool000000?ooo`03000000@0oooo0`0000020?ooo`8000000P3oool20000
00<0oooo00D000000?ooo`3oool0oooo000000020?ooo`<00000103oool2000000040?ooo`000000
00000?ooo`@000009@3ooolC000001L0oooo=@0000020?ooo`H000000P3oool8000000030?ooo`00
0000oooo00D0oooo8`0000000`3oool0000000000007000000X0oooo1`00000;0?oooad000001`3o
oolE000000`0oooo1@0000080?ooo`H000001@3oool2000000<0oooo0`0000000`3oool000000000
00080?ooo`80000000<0oooo0000000000000`3oool2000000<0oooo0P0000070?ooo`<0000000<0
oooo0000003oool02P3oool2000000030?ooo`000000oooo00L0oooo00<000000?ooo`3oool00P00
00080?ooo`030000003oool0000000T0oooo00<000000?ooo`00onh04@3oool00`00T_l0oooo002B
o`0?0?ooo`80003o00<0oooo0000o`3oool03`3oool00`2V0?l0oooo0?ooo`060?ooo`002@3oool0
1@000000M@3o07D0o`000000oooo00D0000000<0oooo0000000000001@000002000ko`030?ooo`00
0000000000@000000P3oool4000000030?ooo`000000000000<0000000<0oooo0000000000001000
0000103oool000000000003oool4000000030?ooo`000000000001T0000000<0oooo000000000000
60000000103oool000000000003oool2000000030?ooo`000000oooo01@0000000@0oooo00000000
0000oooo0`0000000`3oool0000000000002000000030?ooo`000000000000L0000000@0oooo0000
003oool0oooo100000001`3oool000000?ooo`000000oooo0000003oool0100000001@3oool00000
0?ooo`000000oooo0080000000<0oooo0000003oool00P3oool300000080oooo0`0000020?ooo`80
00000`3oool02@000000oooo0?ooo`3oool000000?ooo`000000oooo000000060?ooo`030000003o
ool0oooo00P000007@3oool2000001H0oooo7P00000<0?oooa40000000<0oooo0000000000005000
00020?ooo`L000000P3oool8000000D0oooo1`0000030?ooob<000003@3oool9000000/0oooo:`00
000<0?ooo`D000002@3oool7000000D0oooo0`0000030?ooo`8000000P3oool2000000P0oooo0P00
00020?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`@00000
00<0oooo0000003oool02P3oool2000000030?ooo`000000oooo00L0oooo00<000000?ooo`3oool0
0P0000080?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool04@3oool3002Boa00oooo
0`000?l?0?ooo`80YP3o2@3oool000T0oooo00D0000007D0o`1e0?l000000?ooo`06000000030?oo
o`000000000000@000000P00>ol00`3oool000000000000400000080oooo200000000`00fOl00000
00000002000000050?ooo`00000000000000003oool00P0000000`3oool000000000000200000003
0?ooo`000000000000P0000000<0oooo0000000000004`0000000`3oool000000000000C00000004
0?ooo`00000000000?ooo`@0000000<0oooo0000000000004P000000103oool000000000003oool3
000000030?ooo`000000000000h000000P3oool4000000040?ooo`000000oooo00000080oooo1@00
0000103oool000000?ooo`3oool3000000030?ooo`000000oooo0080oooo0`0000030?ooo`800000
0P3oool00`000000oooo000000030?ooo`090000003oool0oooo0?ooo`000000oooo0000003oool0
000000H0oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000000000<00000703ooolL
000001@0oooo500000070?ooo``0000000<0oooo000000000000500000030?ooo`H000000P3oool9
000000<0oooo1`0000030?oooa0000000P3ooolB00000100oooo2@00000c0?ooo`H000002P3oool8
000000D0oooo0`0000030?ooo`<000000P3oool2000000P0oooo0P0000020?ooo`8000000`3oool0
0`000000oooo0?ooo`020?ooo`8000001`3oool6000000/0oooo0P0000000`3oool000000?ooo`07
0?ooo`060000003oool0oooo0000003oool000001`3oool010000000oooo0?ooo`0000090?ooo`03
0000003oool0oooo0140oooo00<009;o0?ooo`3oool03`3oool30000oa00oooo0`2V0?l80?ooo`00
2@3oool00`000000M@3o07D0o`08000000030?ooo`000000000000<0000000@003_o00000000>ol0
03_o1P0000020?ooo`L000000P00fOl4000000050?ooo`00000000000000003oool00P0000000`3o
ool0000000000002000000030?ooo`00oiX0000001h0000000<0oooo0000000000005P0000000`3o
ool000000000000G000000030?ooo`000000000000@0000000<0oooo0000000000003P0000020?oo
o`@0000000D0oooo00000000000000000?ooo`06000000060?ooo`000000oooo0?ooo`000000oooo
100000030?ooo`<000000P3oool300000080oooo0P0000020?ooo`030000003oool000000080oooo
00<000000?ooo`3oool0100000050?ooo`800000103oool2000000030?ooo`000000000000@00000
0P3oool2000000h0oooo2`00000H0?oooah000002@3oool;000000P0oooo7P0000030?ooo`D00000
103oool9000000<0oooo;`00000A0?ooo`/000006P3oool>000000/0oooo2@0000060?ooo`<00000
0`3oool300000080oooo0`0000080?ooo`8000000`3oool010000000oooo0?ooo`3oool2000000@0
oooo00<000000?ooo`3oool01P3oool5000000`0oooo0P0000000`3oool000000?ooo`070?ooo`06
0000003oool0oooo0000003oool000001`3oool010000000oooo0?ooo`0000090?ooo`030000003o
ool0oooo02@0oooo0P000?lA0?ooo`80YP3o2@3oool000X0oooo00<0M@3o0000000000001`000000
0`3oool000000000000300000004000ko`00000003_o000ko`H0000000<0oooo0000000000001P00
0002003Io`P0000000@0oooo000000000000oooo100000000`3oool00?nJ0000000[000000030?oo
o`000000000000L0000000L0oooo0000003oool000000?ooo`000000oooo00X0000000<0oooo0000
00000000200000000`3oool0000000000004000000030?ooo`000000000000h000000P3oool40000
00050?ooo`00000000000000003oool00P0000001P3oool00000000000000000oooo00000080oooo
00<000000?ooo`0000000`0000030?ooo`<000000`3oool200000080oooo00<000000?ooo`000000
0P3oool2000000<0oooo00@000000?ooo`3oool0oooo0`0000060?ooo`800000103oool200000003
0?ooo`000000000000P000000P3oool4000000030?ooo`000000000000T000001@3ooolT000000L0
oooo5@0000090?ooo`/000000`3oool6000000030?ooo`000000000001D000000`3oool4000000L0
oooo1`0000050?ooobD0000000<0oooo0000000000002@00000C0?oooaX00000503oool:000000L0
oooo0`0000040?ooo`8000000`3oool2000000T0oooo0P0000030?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`8000001`3oool4000000030?ooo`000000oooo00/0oooo100000080?ooo`06
0000003oool0oooo0000003oool00000203oool00`000000oooo000000090?ooo`030000003oool0
oooo02D0oooo00<0003o0?ooo`3oool03`3oool20:H0o`X0oooo00090?ooo`0307D0o`0000000000
00P0000000<0oooo0000000000000`000000103oool00000000ko`00>ol6000000030?ooo`000000
000000D0000000@00=Wo00000000fOl00=Wo1`000000103oool000000000003oool4000000800?nJ
00<000000?ooo`0000003P0000000`00oah000000000000H000000050?ooo`00000000000000003o
ool01@0000001`3oool000000?ooo`000000oooo0000003oool05@0000000`3oool000000?ooo`04
000000030?ooo`000000000000<0000000<0oooo000000000000200000020?ooo`@0000000D0oooo
00000000000000000?ooo`02000000060?ooo`00000000000000003oool000000P3oool01P000000
oooo000000000000oooo000000<0oooo0P000000103oool000000?ooo`3oool200000080oooo00<0
00000?ooo`0000000`3oool2000000<0oooo0P0000020?ooo`<000001`3oool2000000@0oooo0P00
00000`3oool000000000000D000000@0oooo5P0000070?ooob<000000`3oool<000000H0oooo2`00
00020?oooad000000P3oool5000000L0oooo1P0000060?ooo`D0000000<0oooo0000000000000P00
00000`3oool000000000000;000000<0oooo6P00000b0?ooo`/000002@3oool3000000@0oooo0`00
00020?ooo`<000002@3oool2000000<0oooo0P0000030?ooo`800000103oool00`000000oooo0?oo
o`060?ooo`H00000303oool3000000X0oooo00D000000?ooo`000000oooo000000080?ooo`030000
003oool0000000X0oooo00<000000?ooo`3oool0=`3oool20:H0o`X0oooo00090?ooo`0407D0o`00
000000000?ooo`L0000000<0oooo0000003oool0100000000`00>ol0000000000006000000030?oo
o`000000000000D0000000@00=Wo00000000fOl00=Wo1`000000103oool000000000003oool40000
00<00?nJ00<0oooo00000000000030000002003o7Q40000000<0COl0000000000000100000000`3o
ool0000000000009000000070?ooo`00000000000000003oool000000?ooo`0E000000030?ooo`00
0000oooo00@0000000<0oooo0000000000000`0000000`3oool000000000000800000080oooo1000
00001@3oool00000000000000000oooo0080000000H0oooo00000000000000000?ooo`0000020?oo
o`030000003oool0oooo00@000000`3oool300000080oooo0`0000020?ooo`030000003oool00000
0080oooo00@000000?ooo`00000000000`3oool01P000000oooo0?ooo`000000oooo000000P0oooo
0P0000040?ooo`@000000P3ooolW000000@0oooo=00000030?ooo`d000000P3oool00`000000oooo
0?ooo`0=00000080oooo5`0000000`3oool0000000000005000000@0oooo1`0000050?oooc`00000
7@3oool@000000X0oooo100000040?ooo`<000000`3oool2000000T0oooo0`0000030?ooo`800000
0`3oool2000000@0oooo0P0000080?ooo`D000003@3oool3000000X0oooo00D000000?ooo`000000
oooo000000080?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0>03oool00`2V
0?l0oooo0?ooo`090?ooo`002@3oool0101e0?l000000000003oool7000000030?ooo`000000oooo
00@0000000<003_o0000000000001P0000000`3oool000000000000600000003003Io`0000000=Wo
00T0000000<0oooo0000000000000P000002003oVP0300000000oiX0oooo00P0000000<0oooo0000
000000000`000002003o7Q40000000<0COl0000000000000100000000`3oool00000000000080000
00030:_o003oool000000080000000<0oooo0000003oool01P0000000`3oool00000000000050000
00030?ooo`000000000000@0000000<0oooo0000003oool0100000000`3oool00000000000030000
00030?ooo`000000000000P000000P3oool4000000040?ooo`00000000000?ooo`<0000000T0oooo
000000000000oooo0000003oool000000?ooo`0000000P3oool4000000<0oooo0`0000030?ooo`80
00000P3oool00`000000oooo000000030?ooo`030000003oool0000000@0oooo00D000000?ooo`3o
ool000000?ooo`02000000P0oooo0P0000060?ooo`<000000`3ooom500000080oooo7P0000040?oo
o`L000001@3oool7000000030?ooo`000000000000@000000P3ooolH000000030?ooo`0000000000
00<00000103oool8000000D0ooooGP00000:0?ooo`D00000103oool4000000<0oooo0`0000090?oo
o`<000000`3oool2000000<0oooo0P0000040?ooo`800000203oool4000000030?ooo`000000oooo
00`0oooo0`00000:0?ooo`050000003oool000000?ooo`000000203oool010000000oooo0?ooo`00
00090?ooo`030000003oool0oooo04D0oooo00090?ooo`0407D0o`00000000000?ooo`L0000000<0
oooo0000003oool0100000000`00>ol0000000000006000000030?ooo`00000000000080000000L0
oooo0000000000000000003Io`000000oooo00T0000000<0oooo0000000000000P000002003oVP03
00000000oiX0oooo00P0000000<0oooo0000000000000P000002003o7P0300000000oah0000000D0
000000<0oooo0000000000001P00000204go0140000000<0Zol00?ooo`0000000P0000000`3oool0
00000?ooo`07000000040?ooo`00000000000?_o00<0000000<0oooo0000000000000`0000020?oo
o`030000003oool0000000<0000000<0oooo0000000000000`0000000`3oool00000000000080000
0080oooo10000000103oool000000000003oool3000000090?ooo`00000000000?ooo`000000oooo
0000003oool000000080oooo100000040?ooo`<000000P3oool300000080oooo00<000000?ooo`00
00000`3oool3000000@0oooo00D000000?ooo`3oool000000?ooo`02000000T0oooo0P0000070?oo
o`@00000103ooom>00000080oooo5P0000020?ooo`T000001P3oool6000000030?ooo`0000000000
00@0000000<0oooo0000000000000`0000020?oooa40000000<0oooo0000000000000P0000060?oo
o`L000001P3oool4000000<0oooo200000030?ooocd000003P3oool5000000D0oooo100000050?oo
o`8000002@3oool4000000<0oooo0P0000030?ooo`800000103oool2000000T0oooo100000000`3o
ool000000?ooo`0<0?ooo`<000002P3oool00`000000oooo000000020?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`160?ooo`002@3oool0101e0?l0
00000000003oool7000000030?ooo`000000000000@0000000<003_o0000000000001@0000020?oo
o`@0000000L0oooo0000000000000000003Io`000000oooo0080000000<0oooo0000000000001000
00000`3oool0000000000002000000030?ooo`00oiX0000000l000000P00oah00`0000000?lN0000
0005000000030?ooo`000000000000H0000000<0COl00000001=o`003`0000020:_o00070?ooo`00
000000000000003oool000000?ooo`08000000030?ooo`000000nol000T000000P3oool00`000000
oooo00000003000000030?o100000000000000<0000000<0oooo000000000000200000020?ooo`@0
000000@0oooo000000000000oooo0`0000000`3oool00000000000020000000;0?ooo`000000oooo
0?ooo`000000oooo0000003oool000000?ooo`0000000`3oool3000000<0oooo0P0000030?ooo`03
0000003oool0000000<0oooo0P0000050?ooo`80000000<0oooo0000000000000`0000090?ooo`80
00002@3oool2000000X0oooo0P00000:0?ooo`8000002P3oool2000000T0oooo0`0000090?ooo`<0
0000203oool3000000030?ooo`000000000000h000000P3ooolA000000H0oooo2`0000030?ooo`H0
000000<0oooo0000000000001`0000050?ooo`l0000000<0oooo000000000000203oool7000000H0
oooo1@0000040?ooo`D000001P3ooolB00000080oooo8@0000040?ooo``000001@3oool5000000H0
oooo100000080?ooo`@000000`3oool2000000<0oooo0`0000030?ooo`8000001P3oool010000000
oooo0?ooo`3oool600000080oooo00<000000?ooo`3oool0203oool3000000X0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`030?ooo`060000003oool0oooo0000003oool000001P3o
ool01@000000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool0?P3oool000T0oooo00<0
M@3o0000000000001P0000000`3oool000000000000600000003000ko`3oool0000000D000000P3o
ool800000006003Io`00000000000?ooo`000000oooo1P0000000`3oool000000000000200000003
0?ooo`00oiX0000000P0000000<0oooo0000000000001@0000000`00oah00000003o7P0>00000080
COl000<0000004go000000000P0000000`3oool0000000000003000000030?ooo`000000000000<0
00000`2[o`05000000030?ooo`000000000000L000000P3ko`0900000080oooo00<000000?ooo`00
00000`0000000`3o`@00000000000008000000030?ooo`000000000000<0000000<0oooo0?n:0000
00001P000000103oool000000000003oool5000000060?ooo`3oG`0000000?ooo`000000oooo0`00
00000`3oool000000?ooo`020?ooo`80000000L0oooo0000003oool0oooo0000003oool000000080
oooo0P0000000`3oool000000?ooo`020?ooo`8000001@3oool01P000000oooo0?ooo`3oool00000
0?ooo`<00000;P3oool30?m>00@0oooo2`0000030?mK00l000000`3oJ@04000000030?ooo`000000
000000P000000`3oM`030?ooo``000000P3oool?000000T0oooo1P0000030?ooo`H0000000<0oooo
0000000000001`0000030?oooa0000002`3oool8000000D0oooo3P0000030?oH0080oooo3@000003
0?oU00X000001@3oool30?oa00H0oooo2P0000020?oo00P000001@3oool300000080k?l00P000005
0?ooo`H000000`3oool00`3Co`00oooo0?ooo`020?ooo`<00000103oool2000000@0oooo00<0/?l0
0000000000000P3oool2000000H0oooo0P0000020?ooo`0608;o0000000000000000003oool00000
0P3oool2000000X0oooo0`00000:0?ooo`060000003oool0oooo0000003oool000001@3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo0000
00070?ooo`030000003oool0oooo03l0oooo00090?ooo`0307D0o`000000000000L0000000<0oooo
0000000000001@0000000`00>ol0oooo0000000500000080oooo200000001P00fOl000000000003o
ool000000?ooo`<0000000@0oooo000000000000oooo100000000`3oool00?nJ0000000800000003
0?ooo`000000000000D0000000<00?lN0000000000002`0000000`3oool000000000000204go0003
0000001=o`00000000P0000000<0oooo0000000000000P000000102[o`0000000:_o002[o`0?0000
00<0nol0200000020?ooo`030000003oool00000008000000P3o`@0:000000080?ooo`0000000000
0000003oool000000?ooo`3oRP07000000040?ooo`00000000000?ooo`D0000000H0oooo0?mO0000
0000oooo0000003oool3000000030?ooo`000000oooo00<0oooo00P000000?ooo`000000oooo0?m1
00000000oooo00000080oooo0P0000020?ooo`050000003oool0oooo0000003oool00P0000001@3o
ool0oc<00?lc003oool0000000<0oooo1@0000060?ooo`<0ocH03`3oool60?m000`0oooo0`3oCP0?
0?ooo`<0oe/03`3oool30?mY00L0oooo200000030?mg00/00000103oool60?n500`000001P3oU000
0`000000oooo0?ooo`040?ooo`<0000000<0oooo0000003oXP001@3oXP020?ooo`X000001P3o/@00
0`000000oooo00000009000000H0okh0303oool60?o<008000001`3oool3000000@0omP01`000007
0?ooo`@0onD03P0000040?oa010000000P3oo`050?ooo`/000000P3/o`000`000000oooo0?ooo`02
0?ooo`L00000103oool20=?o00<0oooo0`0000040?ooo`800000103oool00`000000/?l00;3o0002
0?ooo`8000001P3oool2000000<0oooo00H0P_l000000022o`0000000?ooo`0000020?ooo`030000
003oool0oooo00P0oooo0P16o`02000000X0oooo00H000000?ooo`3oool000000?ooo`00o`D50?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool01@00of<000000?ooo`3o
ool0000000P0oooo00<000000?ooo`3oool00`3oool00`00om40oooo0?ooo`0?0?ooo`03002/o`3o
ool0oooo00l0oooo00<001Oo0?ooo`3oool05@3oool000T0oooo2P0000000`3oool0000000000003
000000040?ooo`00000000000?ooo`H0000000<0oooo00000000000040000000103oool000000000
003oool4000000030?ooo`000000000002h0000000<0oooo0000000000000P000000102[o`000000
0000002[o`0>000000040?_o00000000oooo0?_o00P000000P3oool00`000000oooo000000020000
00030?o100000000ol4000T0000000H0oooo00000000000000000?ooo`0000020?n:00L0000000@0
oooo000000000000oooo1@0000001P3oool0oel00?mO003oool000000?ooo`<0000000<0oooo0000
003oool00`3oool010000000oooo0000003oool20?m100030000003oool000000080oooo0P000000
0`3oool000000?ooo`020?ooo`050000003oool000000000003oool00P3o<`000`3oool000000000
00030?ooo`H00000103oool00`3o=P00oooo0?lf00020?lf00d0oooo0P3o@00A0?ooo`80odh00P3o
ool>00000080oe/0400000020?mY010000000P3oM`000`3oool000000000000=00000080ohD00P00
00020?ooo``000000P3oU009000000<0oooo0`0000020?nR00030?ooo`000000000000@000001@3o
ool400000080ok4000<000000?ooo`0000003@0000020?nn00T00000203oool20?o<00<0oooo2@00
00040?ooo`80omP000<0oooo0000000000003@0000020?oU00D000002`3oool20?oa00h0oooo1P3o
o`03000000030?ooo`000000000000H000001P3/o`06000000H0oooo1P3Co`000`000000oooo0?oo
o`030?ooo`800000103oool00`000000/?l00;3o00030;3o00030000003oool0oooo00@0oooo0P00
00030?ooo`0300000022o`00000000<0P_l000@000000?ooo`3oool000002P3oool304Ko00030000
003oool0oooo00P0oooo00@000000?ooo`3oool000000P00o`D60?ooo`060000003oool0oooo0000
003oool000001@3oool00`00of<000000?ooo`020?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool00`3oool00`00om40oooo0?ooo`0?0?ooo`03002/o`3oool0oooo0100oooo00<001Oo
0?ooo`3oool05@3oool000T0oooo2P0000000`3oool0000000000003000000040?ooo`0000000000
0?ooo`<0000000@0oooo000000000000oooo2P0000000`3oool0000000000005000000040?ooo`00
000000000?ooo`D0000000<0oooo0000003oool0;@0000000`3oool0000000000004000000030?oo
o`000000oooo00<0000000<0oooo0000000000001`000000103ko`0000000000003ko`0800000004
0?ooo`000000oooo0?ooo`80000000@0ol40000000000000ol402@0000002@3oool0000000000000
0000oooo0000003oRP00oooo0?n:0004000000030?ooo`000000oooo0080000000<0oooo00000000
00000`0000001@3oG`0000000?mO003oool000000080oooo0P0000000`3oool000000?ooo`030?oo
o`80000000L0oooo0000003o@@00oooo0?m1003oool000000080oooo0P0000020?ooo`060000003o
ool0oooo0?ooo`000000oooo0P0000001P3o<`00oooo0?lc003o<`00oooo000000@0oooo00<00000
0?ooo`0000000P0000040?ooo`80ocH04@3oool20?m00140oooo0P3oCP0@0?ooo`80oe/0403oool2
0?mY00030?ooo`000000000000X0000000<0oooo0000000000000P3oM`06000000<0oooo1`000002
0?n500H00000103oool600000080oi@03@0000020?ooo`80oj802P0000050?ooo`030000003o/@00
ok4000X00000103oool200000080okh0300000050?ooo`80ol`01@3oool;00000080omP01`3oool6
000000<0oooo0P3oi@030?ooo`d000000P3ol@0<000000D0oooo1@0000090?ooo`L000002`3oool4
000000D0oooo0P0000040?ooo`8000000`2`o`000`3oool00000000000050?ooo`800000103oool2
000000<0P_l000<000000?ooo`3oool00P00000:0?ooo`<0A_l000<000000?ooo`3oool0203oool0
10000000oooo0?ooo`000002003o1@030?ooo`00o`D0oooo00<0oooo00H000000?ooo`3oool00000
0?ooo`0000050?ooo`800?mS0`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<00?oA0?ooo`3oool03`3oool00`00[?l0oooo0?ooo`0?0?ooo`03000Go`3oool0oooo00l0
oooo00<0T@3o0?ooo`3oool0103oool000T0oooo2P0000000`3oool0000000000003000000030?oo
o`000000000000L0000000<0oooo000000000000200000000`3oool0000000000005000000040?oo
o`00000000000?ooo`L0000000<0oooo0000000000001P0000000`3oool000000000000M00000003
0?ooo`000000000000T0000000L0oooo0000003oool000000?ooo`000000oooo0080000000<0oooo
000000000000200000000`3oool0000000000005000000040?ooo`000000oooo0?ooo`80000000@0
ol40000000000000ol401P000000103oool000000000003oool3000000050?ooo`000000ohX00?oo
o`3oRP00100000000`3oool000000?ooo`02000000030?ooo`00000000000080000000H0oooo0?mO
0000000000000?mO000000020?ooo`80000000<0oooo0000003oool0103oool02@000000oooo0000
003oool0od400?ooo`3o@@00oooo000000020?ooo`80000000<0oooo0000003oool00`3oool01@00
0000oooo0000003oool0oc<000@0oooo0P0000030?ooo`H00000103oool00`3o=P00oooo0?ooo`0N
0?ooodX00000103ooolF000000<0oooo2`0000020?ooo`/000000`3oool5000000030?ooo`000000
000000L00000103oool@000000d0oooo2@00000;0?ooobP00000203oool7000000h0oooo10000005
0?ooo`<00000103oool3000000<0oooo0P0000050?ooo`800000103oool2000000050?ooo`22o`00
P_l00?ooo`0000000P3oool00`000000oooo0?ooo`090?ooo`0400000016o`00A_l0000000X0oooo
00D000000?ooo`3oool000000?ooo`03003o1@@0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`020?ooo`800?mS00@0oooo003oH`3oool00000203oool00`000000oooo0?ooo`02
0?ooo`800?oA4@3oool00`00[?l0oooo0?ooo`0@0?ooo`03000Go`3oool0oooo00l0oooo00<0T@3o
0?ooo`3oool0103oool000T0oooo2P0000000`3oool0000000000004000000030?ooo`0000000000
00H0000000<0oooo000000000000200000000`3oool0000000000005000000040?ooo`0000000000
0?ooo`L0000000<0oooo0000000000001P0000000`3oool000000000000M000000030?ooo`000000
000000T0000000L0oooo00000000000000000?ooo`000000oooo00d0000000<0oooo000000000000
1@000000103oool000000?ooo`3oool3000000030?ooo`000000000000H0000000@0oooo00000000
0000oooo0`000000103oool000000000003oool5000000030?ooo`000000oooo0080000000<0oooo
0000000000000P000000203oool0oel0000000000000oel00?ooo`000000oooo0`0000000`3oool0
00000?ooo`030?ooo`80000000@0oooo0000003o@@00oooo0`0000020?ooo`050000003oool00000
0?ooo`000000103oool01@000000oooo0000003oool0oc<000D0oooo00<000000?ooo`3oool00P3o
ool8000001`0oooo1000000W0?oooaP000001P3ooolV00000080oooo300000020?ooo`/000000P3o
ool9000000030?ooo`000000000000D0000000<0oooo0000000000004P00000=0?ooo`d000009P3o
ool:00000100oooo1@0000050?ooo`<00000103oool3000000D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000000000000P0000020?ooo`030000003o
ool0oooo00T0oooo00@0000004Ko0000000000002P3oool01@000000oooo0?ooo`000000oooo00<0
0?l5103oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<00?mS0000
0000of<00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00<00?oA0?oo
o`00om40403oool00`00[?l0oooo0?ooo`0?0?ooo`03000Go`3oool0oooo00l0oooo00<0T@3o0?oo
o`3oool01@3oool000T0oooo00<0000007<0o`0000001`0000000`3oool000000?ooo`0400000003
0?ooo`000000000000H0000000<0oooo0000000000000P0000000`3oool000000000000300000004
0?ooo`00000000000?ooo`H0000000<0oooo000000000000>@0000000`3oool000000?ooo`050000
00030?ooo`000000000000`0000000<0oooo00000000000010000000103oool000000?ooo`3oool3
000000030?ooo`000000000000d0000000@0oooo000000000000oooo100000020?ooo`070000003o
ool000000000003oool000000?ooo`02000000040?ooo`000000000000000080oooo00<000000?oo
o`0000000P0000000`3oool000000?ooo`030?ooo`80000000<0oooo0000003oool00P3oool00`00
0000oooo000000020?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000
000000H0oooo0P0000040?ooo`<0000000<0oooo0000000000001000000L0?oooc0000001`3ooolB
000000H0oooo1@0000000`3oool0000000000003000000@0oooo5P0000000`3oool0000000000006
000000<0oooo2`0000030?oooa00000000<0oooo0000000000004P00000@0?oooa@000002`3oool>
000001@0oooo1@0000050?ooo`@00000103oool4000000D0oooo0P0000050?ooo`800000103oool2
00000080oooo00<000000?ooo`0000000P3oool2000000/0oooo0`00000;0?ooo`070000003oool0
oooo0000003oool00000003o1@050?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool00`3oool3003oH`80oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`<0
0?oA3`3oool2002/oa80oooo00<001Oo0?ooo`3oool03`3oool00`2A0?l0oooo0?ooo`050?ooo`00
2@3oool00`000000L`3o00000007000000030?ooo`000000oooo00@0000000<0oooo000000000000
1@0000020?ooo`/0000000<0oooo0000003oool01P0000000`3oool0000000000002000000030?oo
o`000000000001T0000000<0oooo000000000000300000000`3oool0000000000003000000030?oo
o`000000000000D0000000<0oooo0000000000002P0000000`3oool0000000000005000000030?oo
o`000000000000<000000P3oool01`000000oooo000000000000oooo0000003oool01@0000000`3o
ool0000000000007000000040?ooo`000000oooo0?ooo`@0000000@0oooo000000000000oooo0P00
00000`3oool000000?ooo`02000000040?ooo`000000000000000080oooo00<000000?ooo`000000
0P0000000`3oool000000?ooo`030?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo
000000030?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`02000000L0oooo
00<000000?ooo`3oool0103oool;000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooob@000003`3ooolC000000@0oooo00<0oono07@0000000003P0000000`3oool00000
00000004000000030?ooo`000000000000<00000103ooolM000000@0oooo2`0000040?ooo`l00000
0P3ooolE000001/0oooo4@00000K0?ooo`H000001@3oool3000000H0oooo100000050?ooo`800000
1@3oool2000000@0oooo0`0000000`3oool000000000000200000080oooo00<000000?ooo`3oool0
2@3oool4000000/0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool01@00of<0oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool00`3oool2003odA00oooo0`00[?l?0?ooo`8001Oo4P3oool0
0`2A0?l0oooo0?ooo`050?ooo`002@3oool207<0o`P0000000<0oooo0000000000001@0000000`3o
ool003co0000000400000080oooo2`0000000`3oool000000?ooo`06000000030?ooo`0000000000
0080000000<0oooo000000000000200000000`3oool000000000000C000000030?ooo`0000000000
00L0000000<0oooo0000000000000`0000000`3oool0000000000005000000030?ooo`0000000000
00/0000000<0oooo0000000000002P0000020?ooo`070000003oool000000000003oool000000?oo
o`05000000030?ooo`000000000000L0000000@0oooo0000003oool0oooo10000000103oool00000
0000003oool2000000030?ooo`000000oooo0080000000@0oooo00000000000000000P3oool00`00
0000oooo00000002000000030?ooo`000000oooo00<0oooo1@0000020?ooo`80000000@0oooo0000
003oool0oooo0P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P000007
0?ooo`8000001P3oool3000000030?ooo`000000000002D00000403ooolJ000000H0oooo30000000
0`3oool0giad09cOo`050?ooo`T000000P3oool<000000@0oooo700000030?ooo``000000`3oool5
000000030?ooo`000000000000P00000103ooolF000003X0oooo200000050?ooo`<000001P3oool5
000000D0oooo0P0000050?ooo`8000001@3oool2000000050?ooo`00000000000?ooo`0000000P3o
ool2000000/0oooo1000000;0?ooo`80000000D0oooo0000003oool0oooo000000060?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool00000
00L0oooo00<000000?ooo`3oool00`3oool2003odA00oooo0`00[?l@0?ooo`<001Oo403oool00`2A
0?l0oooo0?ooo`060?ooo`002@3oool307<0o`L0000000<0oooo0000000000001@0000000`3oool0
03co0000000400000080oooo2`0000000`3oool0000000000006000000030?ooo`000000000000<0
000000<0oooo0000000000001`0000000`3oool000000000000C000000030?ooo`000000000000d0
000000<0oooo0000000000001@0000000`3oool000000000000<000000030?ooo`000000000000T0
00000P3oool01`000000oooo000000000000oooo0000003oool01@0000000`3oool0000000000007
000000040?ooo`000000oooo0?ooo`@0000000@0oooo000000000000oooo0P0000000`3oool00000
0?ooo`02000000040?ooo`000000000000000080oooo00<000000?ooo`3oool00P0000001@3oool0
00000?ooo`3oool000000080oooo100000030?ooo`030000003oool0000000<0oooo0P0000000`3o
ool000000?ooo`040?ooo`030000003oool0oooo00<000001`3oool00`000000oooo0?ooo`060?oo
o`@0000000<0oooo000000000000F00000000`3oool000000000000M00000080oooo1`0000000`3o
ool000000000000N000000<0oooo300000020?oooa80000000<0oooo0000000000006`00000[0?oo
o`P000001@3oool4000000H0oooo1P0000050?ooo`8000001@3oool2000000D0oooo1@0000000`3o
ool00000000000020?ooo`030000003oool0oooo00X0oooo1000000;0?ooo`80000000D0oooo0000
003oool0oooo000000060?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103o
ool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool00`3oool00`00om40oooo
0?ooo`0?0?ooo`800:co4@3oool2000Goa00oooo0P2A0?l80?ooo`002@3oool00`000000L`3o07<0
o`05000000030?ooo`000000000000@0000000<0oooo0000000000000P00??l5000000030?ooo`00
0000000000T0000000<00=[o00000000000010000000103oool000000000003oool5000000030?oo
o`000000000000d0000000<0oooo0000000000003@0000000`3oool000000000000;000000030?oo
o`000000oooo00L0000000<0oooo000000000000600000020?ooo`050000003oool000000000003o
ool00`0000000`3oool0000000000008000000050?ooo`00000000000?ooo`0000000P3oool40000
00030?ooo`000000000000<0000000<0oooo0000003oool00P000000103oool000000?ooo`000002
0?ooo`030000003oool0oooo0080000000D0oooo0000003oool0oooo000000020?ooo`80000000<0
oooo0000003oool00P3oool2000000080?ooo`000000oooo0?ooo`000000oooo0000003oool20000
00@0oooo0P0000020?ooo`<000001P3oool4000000P0oooo0`0000040?oood<0000000<0oooo0000
00000000;@0000000`3oool000000000000300000080oooo6`0000020?ooo`X00000103oool<0000
00<0oooo400000030?ooob`000002`3oool00`000000oooo0?ooo`040?ooo`P000001@3oool50000
00H0oooo1P0000050?ooo`<000000P3oool00`000000oooo0?ooo`02000000D0oooo1@0000000`3o
ool00000000000030?ooo`040000003oool0oooo000000T0oooo1000000:0?ooo`<0000000D0oooo
0000003oool0oooo000000040?ooo`030000003oool000000080oooo00@000000?ooo`3oool00000
0P3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`3oool0oooo000000040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool00`00[?l0oooo0?ooo`0?0?oo
o`8001Oo4@3oool30940o`L0oooo00090?ooo`030000001c0?l0L`3o00H0000000<0oooo00000000
00000`0000000`3oool0000000000003000lo`@0000000<0oooo0000000000001P000000103oool0
00000?ooo`00f_l6000000040?ooo`00000000000?ooo`D0000000<0oooo0000003oool0=@000000
0`3oool000000000000>000000030?ooo`000000000000L0000000H0oooo0000003oool0oooo0000
003oool4000000030?ooo`000000000000@0000000D0oooo00000000000000000?ooo`0200000006
0?ooo`000000oooo0?ooo`000000oooo0P000000103oool000000000003oool2000000030?ooo`00
0000oooo0080000000@0oooo0000003oool000000P3oool020000000oooo0?ooo`000000oooo0000
003oool000000P3oool01P000000oooo0?ooo`000000oooo000000@0oooo00<000000?ooo`000000
0`3oool01@000000oooo0?ooo`3oool0000000H0oooo00H000000?ooo`3oool000000?ooo`000011
0?oooaT000002P3oool00`2LB00000000000000?00000080oooo1@0000000`3oool000000?ooo`08
000000T0oooo1@0000040?ooo`l0000000<0oooo0000000000001`0000000`3oool0000000000007
000000D0oooo2`0000090?ooo`/000001P3ooolk000000D0oooo1P0000060?ooo`L000001@3oool2
000000<0oooo0P0000020?ooo`030000003oool0oooo00@0oooo100000020?ooo`040000003oool0
oooo0?ooo`80000000<0oooo0000000000002@3oool4000000X0oooo0`0000001@3oool000000?oo
o`3oool0000000@0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool00000
00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0R0?ooo`8001Oo4@3oool20940o`P0oooo00090?oo
o`030000001c0?l0000000H0000000<0oooo0000000000000`000000103oool00000000lo`000002
000lo`050000003oool000000000003oool02P000002003Jo`H0000000@0oooo000000000000oooo
1`0000000`00oiT0000000000006000000030?ooo`000000000001d0000000<0oooo000000000000
3@0000000`3oool0000000000002000000030?ooo`00000000000100000000P0oooo0000003oool0
oooo0000003oool000000?ooo`80000000<0oooo000000000000100000001@3oool000000?ooo`00
0000oooo0080000000H0oooo0000003oool0oooo0000003oool2000000040?ooo`00000000000?oo
o`80000000<0oooo0000003oool00P000000103oool000000?ooo`0000020?ooo`030000003oool0
oooo00<0000000D0oooo0000003oool0oooo000000020?ooo`030000003oool0000000@0oooo0P00
00000`3oool000000?ooo`020?ooo`050000003oool0oooo0?ooo`0000001@3oool01`000000oooo
0?ooo`3oool000000?ooo`000000F@3oool?000000P0oooo8@0000040?ooo`D000001@3ooolP0000
00H0oooo1P0000000`3oool0000000000003000000/0oooo300000060?ooobh000001@3oool70000
00L0oooo1`0000050?ooo`<000000`3oool200000080oooo0P0000050?ooo`@000000P3oool20000
00<0oooo00@000000?ooo`3oool000002P3oool4000000X0oooo0`0000001@3oool000000?ooo`3o
ool0000000@0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`05
0000003oool0oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0R0?ooo`03000Go`3oool0oooo00l0oooo0P2A0?l9
0?ooo`002@3oool00`1c0?l0000000000006000000030?ooo`000000000000<0000000@0oooo0000
0000??l000000P00??l4000000050?ooo`00000000000000003oool01P000003003Jo`030?ooo`00
000000000080000000@0oooo000000000000oooo1P000002003oVA40000000<00?lM000000000000
800000001@3oool00000000000000000oooo0100000000<0oooo00000000000010000000203oool0
00000?ooo`3oool000000?ooo`000000oooo0P0000000`3oool0000000000004000000030?ooo`00
0000oooo00@0000000<0oooo0000003oool00P000000103oool000000000003oool2000000060?oo
o`00000000000?ooo`000000oooo0P000000103oool000000?ooo`0000020?ooo`030000003oool0
oooo00<0000000D0oooo0000003oool0oooo000000020?ooo`<000001@3oool00`000000oooo0000
00030?ooo`040000003oool0oooo0?ooo`8000001@3oool01P000000oooo0?ooo`3oool000000?oo
o`<00000>03ooolD000001L0oooo2P0000000`3oool0_g@007Boo`060?ooo`T00000103oool@0000
00@0oooo1@0000050?ooo`L000000`3ooolH000000D0oooo1@0000000`3oool00000000000050000
00/0oooo3000000<0?oooaD000003@3oool7000000P0oooo1`0000060?ooo`800000103oool20000
0080oooo0P0000050?ooo`D000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
000000X0oooo1000000:0?ooo`<0000000D0oooo0000003oool0oooo000000040?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01@000000oooo0?ooo`3oool00000
00@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo03D0oooo0P2A0?l90?ooo`002@3oool00`1c0?l0000000000006000000030?ooo`0000000000
00@0000000<0oooo00000000??l01P0000000`3oool000000000000700000005003Jo`3oool00=[o
003Jo`3oool01P0000020?ooo`H000000P00oiTA00000003003o7@000000000000H0000000<0oooo
0000003oool01P0000000`1>o`0000000000000>000000050?ooo`00000000000000003oool04000
00000`3oool0000000000004000000080?ooo`000000oooo0?ooo`000000oooo0000003oool30000
00030?ooo`000000000000<0000000<0oooo0000003oool0100000000`3oool000000?ooo`020000
00040?ooo`00000000000?ooo`80000000H0oooo000000000000oooo0000003oool2000000040?oo
o`000000oooo00000080oooo00<000000?ooo`3oool00`0000001@3oool000000?ooo`3oool00000
0080oooo0`0000050?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P00
00050?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000003oool0BP3ooolA000000`0oooo
00<0okmd0000M00000002P0000040?ooo`X00000103oool400000080oooo2P0000040?ooo`800000
203oool6000000030?ooo`00000000000080oooo20000000103oool000000000000000020?ooo`T0
00001@3oool4000000030?ooo`000000000000H000003@3oool>000001T0oooo3P0000090?ooo`P0
00001`3oool2000000@0oooo0P0000020?ooo`8000001P3oool400000080oooo0P0000030?ooo`80
000000<0oooo0000000000002P3oool4000000X0oooo0`0000020?ooo`030000003oool0000000D0
oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo
0?ooo`000000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0e0?ooo`030940o`3oool0oooo00P0oooo00090?ooo`0307<0o`000000
000000H0000000<0oooo000000000000100000000`3oool00000000lo`0500000080oooo2@000002
003Jo`030?ooo`00f_l0oooo00H0000000<0oooo0000000000000`0000000`3oool00?nI00000002
003oV@030000003oool0000000`000000P00oad:000000030?ooo`000000000000@0000000<0C_l0
0000000000001P0000000`3oool0000000000005000000030?ooo`2[o`00000000X0000000<0oooo
0000000000001@0000000`3oool000000000000300000080oooo00<000000?ooo`0000000P3oool0
0`000000oooo00000002000000030?ooo`000000000000D0000000<0oooo00000000000010000000
103oool000000000003oool2000000040?ooo`00000000000?ooo`80000000<0oooo0000003oool0
0P0000000`3oool000000?ooo`02000000040?ooo`000000oooo0?ooo`<0000000D0oooo0000003o
ool0oooo000000020?ooo`80000000<0oooo0000003oool00`3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`03
0?ooo`030000003oool0000000800000;`3oool?000001/0oooo300000001P3oool0okmd00000000
0000001809cOo`@0oooo2@0000080?ooo`D000000`3oool500000080oooo2@0000020?ooo`@00000
2@3oool7000000@0oooo2`0000020?ooo`T000001@3oool5000000030?ooo`000000000000D00000
4@3ooolX000000X0oooo2@0000080?ooo`800000103oool200000080oooo0P0000060?ooo`D00000
00<0oooo000000000000103oool010000000oooo0?ooo`00000:0?ooo`D000002P3oool300000080
oooo00<000000?ooo`0000001@3oool00`000000oooo000000020?ooo`050000003oool0oooo0?oo
o`0000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`3oool0oooo0000
00040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0@@3oool000T0oooo00<0L`3o
0000000000001P0000000`3oool000000?ooo`04000000030?ooo`00000003co00D000000P3oool:
00000003003Jo`3oool0000000L0000000<0oooo0000000000000`0000001`3oool00?nI003oV@00
00000?nI0000003oool00`0000000`3oool000000000000700000003003o7@0000000?lM00T00000
00<0oooo0000000000000`00000204ko00P0000000<0oooo0000000000001@0000000`3oool0Zol0
0000000;000000030?ooo`00000000000080000000<0nol00000003oool01@0000020?ooo`030000
003oool000000080oooo00<000000?ooo`0000001P0000001@3oool00000000000000000oooo00H0
000000<0oooo0000000000000`000000103oool000000000003oool2000000030?ooo`000000oooo
0080000000<0oooo0000003oool00P000000103oool000000?ooo`3oool300000080oooo00<00000
0?ooo`0000000`3oool00`000000oooo000000040?ooo`80000000<0oooo0000003oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2
000000040?ooo`0000000000000003`0oooo6P00000<0?ooo`T000002@3oool9000000H0oooo1@00
00030?ooo`D000000P3oool6000000<0oooo1`0000060?ooo`T0000000<0oooo0000000000003000
00000`3oool0000000000007000000H0oooo1`0000000`3oool000000000000:00000140oooo3P00
000C0?ooo`H0000000@0oooo0000000000000000203oool4000000<0oooo0`0000020?ooo`800000
1P3oool5000000030?ooo`000000000000@0oooo0P0000000`3oool000000000000:0?ooo`<00000
00<0oooo0000003oool02@3oool300000080oooo00<000000?ooo`0000001@3oool01P000000oooo
0?ooo`000000oooo000000<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`110?ooo`002@3oool00`1c0?l0000000000006000000030?ooo`000000000000D0000000<0oooo
000lo`000000100000020?ooo`X0000000<00=[o0?ooo`0000001`0000000`3oool0000000000003
000000030?ooo`0000000?nI00<0000000D0oooo00000000000000000?ooo`08000000800?lM00<0
0000003o7@000000200000000`3oool00000000000030000000304ko00000000C_l000L0000000<0
oooo0000000000001@0000020:_o0140000000<0nol00?ooo`0000001@0000020?ooo`030000003o
ool000000080oooo0`0000000`3o`@00000000000003000000050?ooo`00000000000000003oool0
0`000000103oool000000000003oool5000000040?ooo`00000000000?ooo`80000000<0oooo0000
003oool00P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`0000000P0000020?oo
o`030000003oool0000000<0oooo0`0000050?ooo`80000000L0oooo0000003oool0oooo0000003o
ool0000000<0oooo0P0000060?ooo`8000001@3oool00`000000oooo0?ooo`04000002@0oooo3`00
000H0?oooa<000002@3oool9000000030?ooo`000000oooo00D0oooo1`0000060?ooo`D000000`3o
ool=000000030?ooo`000000000000L000001@3oool:000000030?ooo`000000000000X000000`3o
ool:000000L0oooo5000000U0?ooo`P0000000<0oooo0000000000000P0000070?ooo`@00000103o
ool300000080oooo0`0000060?ooo`P00000103oool200000080oooo00<000000?ooo`3oool02@3o
ool3000000030?ooo`000000oooo00T0oooo0`0000020?ooo`030000003oool0000000D0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?oo
o`000000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`120?ooo`002@3oool00`1c0?l000000000000>000000030?ooo`00??l00000
00@000000P3oool:00000003003Jo`000000000000@0000000@0oooo000000000000oooo1@000000
0`3oool00000003oV@0=000000030?ooo`000000000000800?lM00<00000003o7@00000020000000
0`3oool000000000000200000080C_l000<0000004ko000000003P0000030:_o00030?ooo`000000
000000X0000000D0oooo0000003ko`00nol00?ooo`0600000080oooo00<000000?ooo`0000000P3o
ool3000000040?o10000000000000?ooo`<0000000@0oooo000000000000oooo0`0000001@3oool0
00000?ooo`3oool0ohT000@0000000@0oooo000000000000oooo0P0000000`3oool000000?ooo`02
000000030?ooo`000000oed0008000000P3oool00`000000oooo0000000200000080oooo00@00000
0?ooo`3oool000000P3oool3000000D0oooo0P0000001@3oool000000?ooo`3oool000000080oooo
00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo0080oooo0P0000040?ooo`80
00000P3oool5000001h0oooo0`3o>00?0?ooo`<0od@03`0000030?m@00T000001P3oool30?mL00`0
00002P3oool5000000L0oooo200000050?ooo`P0000000<0oooo0000000000003@0000030?ooo`D0
00001P3oool8000000<0oooo2`0000040?ooo`/000001`3oool=00000080okh03P0000020?ooo`80
olT04@0000000`3oe`0000000?ooo`06000000L0oooo0P0000000`3oj@0000000?ooo`040?ooo`<0
00000P3oool300000080oooo00<0o?l00?ooo`3oool00P3oool6000000030?ooo`000000oooo00<0
oooo00@000000=So003oool0oooo0P00000;0?ooo`80000000<0Yol00?ooo`0000002P3oool30000
0080oooo00<000000?ooo`0000001@3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0480oooo00090?ooo`0307<0
o`000000000000@0000000<0oooo000000000000100000001@3oool000000000003oool003co00D0
000000<0oooo0000000000002@0000000`00f_l0000000000004000000040?ooo`00000000000?oo
o`L0000000<00?nI0000000000002`0000001@3oool000000000000000000?lM010000000P1>o`00
1@000000C_l0000000000000oooo00/0000000D0Zol00000002[o`00Zol00?ooo`0=000000040?oo
o`3ko`00nol00?_o00H0000000H0oooo0000003oool0oooo0000003oool300000080ol401P000000
0`3oool0000000000004000000060?ooo`000000oooo0000003oR@00oooo0`0000002@3oool00000
000000000000oooo0000003oool000000?ooo`02000000040?ooo`000000oed0000000<0oooo00<0
00000?ooo`0000000P0000020?ooo`040000003oool0oooo00000080oooo00@0oc`00000003oool0
00001@3oool010000000oooo0?ooo`0000020?ooo`030000003oool000000080obP00P3oool20000
0080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool30?lT008000000P3oool5
000000H0oooo1P3o;00<0?ooo`<0ocP03`0000030?m400l000000`3oD00:00000080oooo0`000003
0?mL00D00000203oool2000000H0ofT00P0000030?ooo`030000003oool0oooo00@000001P3oMP03
0?ooo`T000001P3oQ006000000030?ooo`000000000000<000001P3oT003000000@0oooo1@000000
0`3oool0oid00?nM00030?nM00H00000103oool3000000D0ojP01@0000040?ooo`@000001@3o/`03
000000L0oooo0`0000030?nn00P000000P3oool5000000<0olT0200000000`3oool0000000000006
00000080omL00`0000090?ooo`@000000P3oj@040?ooo`<000000P3oool3000000@0oooo00<0o?l0
0?ooo`3oool01`0000000`3oool00000000000030?ooo`8000000P3Ho`000`3oool000000?ooo`0;
0?ooo`8000000P2Wo`000`000000oooo0?ooo`080?ooo`<000000P3oool206So00030?ooo`000000
oooo00<0oooo00@000000?ooo`3oool000000P3oool020000000oooo0?ooo`000000oooo01So003o
ool000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo00<00?m7
0000003oool01P3oool00`000000oooo0?ooo`070?ooo`03003o^@3oool0oooo00l0oooo00<00<;o
0?ooo`3oool03`3oool00`00:ol0oooo0?ooo`0E0?ooo`002P3oool6000000030?ooo`0000000000
00@0000000@0oooo000000000000oooo0`000000103oool000000000003ooolB000000040?ooo`00
000000000?ooo`L0000000<0oooo0000000000002`0000000`3oool000000000000<000000030?oo
o`000000000001D0000000D0Zol0000000000000Zol00?ooo`0=000000040?_o0000000000000?_o
00H0000000`0oooo0000003oool0oooo0000003oool000000?ooo`000000ol400?ooo`3o`@050000
00030?ooo`000000000000@0000000<0oooo0000003oool00P3oR@001@3oool00000000000000000
oooo00<0000000<0oooo0000000000000P3oool2000000040?ooo`000000oed0000000<0oooo00<0
00000?ooo`0000000P0000020?ooo`040000003oool0oooo00000080oooo00@0oc`00000003oool0
00001@3oool010000000oooo0?ooo`0000030?ooo`8000000P3o:0030?ooo`8000000P3oool00`00
0000oooo0?ooo`030?ooo`060000003oool0oooo0?ooo`3o9000oooo0`3o9002000000030?ooo`00
0000000000H000000`3oool20?l/00T0oooo1@0000020?ooo`80ocP03`3oool00`000000od@00?m4
000@0?ooo`80oe00400000020?mL00l0000000<0oooo0?mY003oJ@000P3oool6000000<0oooo0P00
00030?ooo`80ogH000<0oooo0000000000000`0000060?ooo`@000000P3oQ0050?ooo`P0000000<0
oooo0000000000000P3oT00;000000<0oooo0P0000020?nM00L0oooo1`0000020?ooo`80ojP00P00
00000`3oool000000000000900000080oooo0P3o/`0;000000D0oooo0P3o_P080?ooo`P000000P3o
b@09000000H0oooo1@3oe`060?ooo`D000000P3oool50?oY00<000000P3oool3000000H0oooo00@0
o?l00?ooo`3lo`00o?l01@0000000`3oool00000000000030?ooo`80000000<0oooo0=So003Ho`00
0P3Ho`0<0?ooo`8000000P2Wo`000`000000Yol00?ooo`080?ooo`80000000<0oooo0000003oool0
0P1Xo`000`3oool0J?l00?ooo`040?ooo`030000003oool000000080oooo00P000000?ooo`3oool0
oooo0000000Ho`00oooo000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3o
ool000000080oooo00<00?m70?ooo`0000001P3oool00`000000oooo0?ooo`070?ooo`03003o^@3o
ool0oooo0100oooo00<00<;o0?ooo`3oool03`3oool00`00:ol0oooo0?ooo`0E0?ooo`002@3oool8
000000030?ooo`000000000000<0000000<0oooo0000000000001`0000001@3oool0000000000000
0000oooo00H0000000<0oooo0000000000001@000000103oool000000?ooo`3oool3000000050?oo
o`00000000000000003oool0700000000`3oool000000000000E000000050?ooo`00000000000000
003oool02@0000001@3oool00000000000000000nol00080000000<0nol000000000000010000000
2@3oool000000?ooo`3oool000000?ooo`000000oooo0?o10002000000030?o100000000000000<0
000000<0oooo000000000000100000001P3oool000000?ooo`3oR@0000000?n900<0000000D0oooo
00000000000000000?ooo`0200000080oooo0P000000103oool0oed00?ooo`3oG@030?ooo`030000
003oool00000008000000P3oool010000000oooo0?ooo`0000020?ooo`80oc`000<0oooo0000003o
ool0103oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000`3o:0020?ooo`05
0000003oool0oooo0?ooo`0000001@3oool3000000030?ooo`3o9000ob@000@0oooo0`0000030?oo
o`P000000P3o;00@00000080ocP0400000020?m4010000000P3oD009000000@0oooo0`0000020?mL
00X000000`3oool300000080ofT0103oool<00000080ogH00P0000000`3oool00000000000030000
00L0oooo00<000000?n4003oQ0000P0000060?ooo`P000000P3oT0020?ooo`h000000P3oW@000`00
0000oooo0?ooo`060?ooo`L000000P3oZ00@00000080ok<0400000020?nn0100oooo0P3ob@0D0?oo
o`@000002@3oool300000080oooo0`0000080?ooo`<0o?l01@0000000`3oool00000000000030?oo
o`8000000P3oool30=So00030000003oool0oooo00T0oooo100000030:Oo00T0oooo0P0000001`3o
ool000000?ooo`000000J?l00?ooo`1Xo`001@3oool01P000000oooo0?ooo`000000oooo000000<0
oooo00D0000001So000Ho`006?l0000000030?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool000000P3oool2003oA`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool0
0`00okT0oooo0?ooo`0?0?ooo`030032o`3oool0oooo00l0oooo00<002_o0?ooo`3oool03`3oool0
0`1o0?l0oooo0?ooo`040?ooo`002@3oool8000000030?ooo`000000000000<0000000<0oooo0000
000000001`0000000`3oool0000000000008000000040?ooo`00000000000?ooo`H000000P3oool3
000000030?ooo`000000000000@0000000<0oooo0000000000005`0000000`3oool000000000000=
000000030?ooo`000000000000D0000000D0oooo00000000000000000?ooo`0G000000090?ooo`00
0000oooo0?ooo`000000oooo0000003oool0ol400080000000D0ol4000000000000000000?ooo`05
000000090?ooo`00000000000?ooo`000000oooo0?n900000000ohT0008000000P3oool300000003
0?ooo`00000000000080oooo0P000000103oool0oed00?ooo`3oG@030?ooo`080000003oool00000
0000003oool000000?ooo`0000020?ooo`030000003oool0oooo0080oc`000<0oooo0000003oool0
1@3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool0103o:000oooo0?ooo`3o:0020?oo
o`050000003oool0oooo0?ooo`0000001`3oool010000000oooo0?ooo`3o90060?ooo`8000001P3o
oom=000000D0oooo4`0000020?oooa0000000P3oool4000000H0oooo1@0000070?ooo`/000000P3o
ool@000000P0oooo2P0000000`3oool000000000000>000000P0oooo6`0000060?ooo`/000001@3o
ool200000080oooo100000020?ooo`@000002@3oool7000000030?ooo`000000000000<0oooo0P00
00050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool3000000030?ooo`2W
o`00Yol000X0oooo0P000000103oool000000?ooo`00000306So00<0oooo00<000000?ooo`000000
0P3oool010000000oooo0?ooo`0000020?ooo`8000000P0Ho`001@000000oooo0?ooo`3oool00000
00<0oooo0P0000030?ooo`080000003oool0oooo003oA`3oool00?m70?ooo`0000040?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`00okT00?ni4P3oool00`00`_l0oooo0?ooo`0?0?ooo`03
000[o`3oool0oooo00l0oooo00<0O`3o0?ooo`3oool0103oool000T0oooo200000000`3oool00000
00000004000000030?ooo`000000000000H0000000<0oooo0000000000002@0000000`3oool00000
00000006000000030?ooo`000000oooo00<0000000<0oooo0000000000000`0000000`3oool00000
0000000G000000030?ooo`000000000000P0000000<0oooo0000000000000P0000000`3oool00000
00000005000000030?ooo`000000000000d0000000<0oooo0000000000002@000000103oool00000
0?ooo`0000020?ooo`030000003oool0000000H0000000@0oooo000000000000oooo0P0000001P3o
ool000000?ooo`3oool000000?ooo`80000000<0ohT00?ooo`0000000P3oool3000000030?ooo`00
000000000080oooo0P000000103oool0oed00?ooo`3oG@030?ooo`080000003oool0oooo0000003o
ool000000?ooo`0000020?ooo`070000003oool0oooo0?ll00000000oc`0000000060?ooo`800000
1@3oool010000000oooo0000003o:0040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0G03oool:000000<0oooo2@0000030?ooo`P00000203ooolC000000D0oooo1@0000060?ooo`<0
00000`3ooolC00000100oooo2@0000030?ooo`d000002`3ooolM000000@0oooo300000020?ooo`H0
0000203oool7000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`800000103oool00`00
0000oooo0?ooo`050?ooo`<0000000<0oooo0000003oool02P3oool2000000070?ooo`000000oooo
0000003oool0J?l0000000030?ooo`030000003oool000000080oooo00@000000?ooo`3oool00000
0P3oool2000000806?l000D000000?ooo`3oool0oooo000000030?ooo`8000000`3oool00`000000
oooo0?ooo`03003oA`030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`03003o^A00oooo00<00<;o0?ooo`3oool0403oool00`00:ol0oooo0?ooo`0?0?ooo`03
07l0o`3oool0oooo00@0oooo00090?ooo`030000001b0?l0000000D0000000<0oooo000000000000
100000000`3oool000000000000500000080oooo2`0000000`3oool0000000000006000000030?oo
o`000000000000T0000000<0oooo0000000000005`0000000`3oool000000000000=000000030?oo
o`000000000000D0000000<0oooo0000000000003P000000103oool000000000003oool600000080
oooo00<000000?ooo`0000000P3oool9000000080?ooo`00000000000000003oool000000?ooo`00
00020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool01P0000020?ooo`800000
00@0oooo00000000000000000`3oool020000000oooo0?ooo`000000oooo0000003oool000000P3o
ool01`000000oooo0?ooo`3o?00000000?ooo`0000001P3oool2000000H0oooo00<000000?ooo`3o
:0001@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000400oooo3@00000G0?oo
o`X000000P3oool4000000@0oooo00<000000?ooo`0000002@0000040?ooo`@000000`3oool<0000
00D0oooo1@0000040?ooo`D000000P3ooolC00000100oooo2`0000040?oooa4000006@3oool<0000
00L0oooo1@00000:0?ooo`@0000000<0oooo0000000000000`3oool200000080oooo0`0000050?oo
o`030000003oool0oooo0080oooo0P0000060?ooo`H000002`3oool2000000040?ooo`000000oooo
00000080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00@000000?ooo`3oool0
00000`3oool01@000000oooo01So003oool000000080oooo00<000000?ooo`3oool00P3oool20000
0080oooo00@000000?ooo`3oool0oooo0P00odL00`000000oooo000000040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00P00okT@0?ooo`800<;o4@3oool00`00:ol0oooo0?ooo`0?
0?ooo`0307l0o`3oool0oooo00D0oooo00090?ooo`030000001b0?l0000000D0000000<0oooo0000
00000000100000000`3oool000000000000500000080oooo500000000`3oool00000000000090000
00030?ooo`000000000000L0000000<0oooo0000000000003@0000000`3oool00000000000070000
00030?ooo`000000000000h0000000<0oooo0000000000003P0000000`3oool000000?ooo`040000
00060?ooo`00000000000?ooo`000000oooo100000000`3oool0000000000004000000030?ooo`00
0000000000@000000P3oool01@000000oooo000000000000oooo0080000000<0oooo000000000000
0`000000103oool000000?ooo`3oool2000000040?ooo`000000000000000080oooo0P0000020?oo
o`050000003oool000000?ooo`0000000P3oool010000000oooo0?ooo`3oool2000000050?ooo`00
0000oooo0?ooo`0000000`3oool2000000D0oooo00<000000?ooo`0000001P3oool00`000000oooo
0?ooo`020?ooo`80000000<0oooo0000003oool0B`3oool?000000D0oooo2@0000040?ooo`h00000
0`3oool4000000030?ooo`000000000000800000103ooolC000000H0oooo1@0000040?ooo``00000
0P3oool?000000h0oooo2`00000;0?ooobD000001P3oool6000000/0oooo100000020?ooo`800000
0`3oool200000080oooo0`0000050?ooo`800000103oool00`000000oooo0?ooo`050?ooo`H00000
2`3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000040?ooo`8000000`3oool00`00
0000oooo000000030?ooo`8000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P000003
0?ooo`080000003oool0oooo0?ooo`00odL000000?ooo`0000050?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00P00okTA0?ooo`030032o`3oool00<;o0100oooo00<002_o0?ooo`3o
ool03`3oool00`1o0?l0oooo0?ooo`050?ooo`002@3oool20780o`H0000000<0oooo000000000000
1@000000103oool0000000000000?_l300000080oooo4@000000103oool000000000003ooolE0000
00030?ooo`000000000000`0000000<0oooo000000000000200000000`3oool000000000000:0000
00070?ooo`00000000000000003oool000000?ooo`0>000000030?ooo`000000oooo00@0000000H0
oooo000000000000oooo0000003oool4000000030?ooo`000000000000@0000000<0oooo00000000
000010000000103oool000000000003oool5000000040?ooo`00000000000?ooo`80000000<0oooo
0000003oool01`0000020?ooo`8000000P3oool01@000000oooo0000003oool000000080oooo00@0
00000?ooo`3oool0oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo0P0000050?ooo`04
0000003oool0oooo000000H0oooo0P0000040?ooo`040000003oool00000000005T0oooo2P000004
0?ooo`L00000103oool4000000<0oooo100000030?ooo`@0000000<0oooo0000000000000P000004
0?oooa<000001`3oool400000080oooo0`0000000`3oool0000000000008000000<0oooo4000000?
0?ooo`/000003`3oool<000000h0oooo2000000<0?ooo`D0000000@0oooo00000000000000000`3o
ool200000080oooo0`0000050?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`@0000000<0
oooo0000003oool02`3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000040?ooo`80
00000`3oool010000000oooo0?ooo`0000020?ooo`8000000P3oool01@000000oooo0?ooo`3oool0
000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02003o^A00oooo0`00`_l?0?ooo`8002_o
00<0oooo000[o`3oool03`3oool00`1o0?l0oooo0?ooo`050?ooo`002@3oool30780o`<0000000<0
oooo0000000000001`000000103oool0000000000000?_l300000080oooo4@000000103oool00000
0000003oool3000000030?ooo`000000000000l0000000<0oooo000000000000300000000`3oool0
000000000008000000030?ooo`000000000000@0000000<0oooo0000000000000`0000001@3oool0
0000000000000000oooo0180000000<0oooo0000000000000P000000203oool000000?ooo`3oool0
00000?ooo`000000oooo0P0000000`3oool0000000000004000000030?ooo`000000000000@00000
00@0oooo000000000000oooo1@000000103oool000000000003oool2000000030?ooo`000000oooo
00L000000P3oool200000080oooo0`0000001@3oool000000000003oool0000000<0oooo0P000000
1@3oool000000?ooo`3oool0000000<0oooo0P0000060?ooo`060000003oool0oooo0000003oool0
00001@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000003L0oooo700000040?oo
o`T000000P3oool:000000030?ooo`0000000000014000000`3oool9000000D0oooo400000090?oo
o`8000000`3oool4000000030?ooo`00000000000080oooo6P00000@0?ooo`d000006@3oool<0000
00`0oooo1`0000000`3oool00000000000030?ooo`<000000P3oool3000000D0oooo0P0000050?oo
o`8000001P3oool6000000`0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00L00000
0?ooo`3oool0oooo0000003oool000000080oooo00@000000?ooo`3oool000000P3oool2000000<0
oooo00@000000?ooo`3oool00000103oool2000000<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo000000050?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo003o^@0A
0?ooo`800<;o403oool3000[oa40oooo00<0O`3o0?ooo`3oool01@3oool000T0oooo00<000000780
o`1b0?l00`0000000`3oool0000000000004000000050?ooo`00000000000?ooo`0000000P00?_l0
103oool000000000003oool=00000003003Lo`00000000000080000000@0oooo0000003oool0oooo
0`0000001@3oool00000000000000000oooo00d0000000<0oooo000000000000300000000`3oool0
000000000008000000030?ooo`000000000000X0000000D0oooo00000000000000000?ooo`0B0000
00030?ooo`00000000000080000000P0oooo0000003oool0oooo0000003oool000000?ooo`X00000
00D0oooo000000000000oooo000000020?ooo`P0000000T0oooo00000000000000000?ooo`000000
oooo0000003oool00P0000000`3oool000000000000200000080oooo00@000000?ooo`3oool0oooo
0P0000020?ooo`040000003oool0oooo000000<0oooo0P0000001@3oool000000?ooo`3oool00000
00<0oooo0P0000060?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`80000000<0oooo000000000000D@3oool<000000030?ooo`000000
000000@000001P3oool3000000D0oooo100000050?ooo`/000000`3oool6000000@0oooo2@000000
0`3oool0000000000004000000L0oooo100000030?ooo`80000000<0oooo0000000000000P000002
0?oooa`000004@3ooolS00000100oooo20000000103oool000000000000000030?ooo`8000000`3o
ool3000000D0oooo0P0000060?ooo`030000003oool0oooo00D0oooo1P00000<0?ooo`80000000D0
oooo0000003oool0oooo000000020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?oo
o`040000003oool0oooo000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003o
ool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0C0?ooo`030032o`3oool0oooo00l0
oooo0P00:ol@0?ooo`<0O`3o1`3oool000T0oooo00<000000780o`1b0?l00`0000000`3oool00000
00000004000000030?ooo`0000000000008000000`00?_l2000000050?ooo`00000000000000003o
ool02@0000000`00g?l0000000000002000000040?ooo`000000oooo0?ooo`<0000000D0oooo0000
0000000000000?ooo`0=000000030?ooo`000000000000`0000000<0oooo0000000000005@000000
0`3oool000000000000C000000030?ooo`000000000000L0000000@0oooo000000000000oooo1`00
0000103oool000000000003oool2000000060?ooo`000000oooo0?ooo`000000oooo0`0000000`3o
ool0000000000004000000050?ooo`000000oooo0000003oool00P0000000`3oool0000000000002
00000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`040000003oool0oooo000000<0oooo
0P0000001@3oool000000?ooo`3oool0000000@0oooo0P0000060?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`80000000@0oooo00000000
00000000;@3ooolL00000140oooo3P0000020?ooo`P0000000<0oooo0000000000001P0000000`3o
ool0000000000002000000<0oooo100000040?ooo`D000001@3oool@000000H0oooo2@0000000`3o
ool000000000000;000000030?ooo`000000000000d0000000<0oooo0000000000001000000j0?oo
o`P000000P3oool3000000<0oooo0`0000030?ooo`<000001@3oool2000000H0oooo0P0000060?oo
o`L00000303oool2000000050?ooo`000000oooo0?ooo`0000000P3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`8000000P3oool01@000000
oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0
000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`8002_o403oool2
07l0o`P0oooo00090?ooo`030000001b0?l0000000<0000000<0oooo000000000000100000001P3o
ool0000000000000000003ko0000008003ko0P0000000`3oool0000000000003000000030?ooo`00
0000000000@000000P00g?l600000080oooo0`0000000`3oool000000000000300000003003oU`3o
ool0000001P0000000<0oooo0000000000003@0000000`3oool000000000000400000080oooo4@00
00001@3oool00000000000000000oooo00T0000000@0oooo000000000000oooo1`000000203oool0
0000000000000000oooo0000003oool000000P3oool00`000000oooo000000030000000;0?ooo`00
000000000000003oool000000?ooo`000000oooo0000003oool00P0000000`3oool0000000000002
00000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`040000003oool0oooo000000<0oooo
0P0000001@3oool000000?ooo`3oool0000000@0oooo0P0000060?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<00000A`3oool>000000X0oooo3`0000020?ooo`<000001P3oool4000000030?ooo`0000000000
008000000`3oool4000000@0oooo1P0000040?ooo`/0000000<0oooo0000000000000`0000060?oo
o`T000000P3oool;000000<0oooo5P00000_0?ooo`T000000P3oool4000000<0oooo0`0000030?oo
o`<000001P3oool2000000H0oooo0P0000070?ooo`@0000000<0oooo0000003oool0303oool20000
00050?ooo`000000oooo0?ooo`0000000P3oool01`000000oooo0?ooo`3oool000000?ooo`000000
0`3oool010000000oooo0?ooo`0000020?ooo`8000000P3oool01@000000oooo0?ooo`3oool00000
00@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo02H0oooo00<002_o0?ooo`3oool03`3oool2
07l0o`P0oooo00090?ooo`030780o`000000000000@0000000<0oooo000000000000100000001@3o
ool0000000000000?_l00000008003ko0P0000000`3oool0000000000003000000030?ooo`000000
00000080000000<0oooo00000000g?l00P00g?l5000000030?ooo`000000000000<0000000@0oooo
00000000000000000P00oiL00`3oool000000000000>00000003003o70000000000000H0000000<0
oooo0000000000001`0000000`3oool000000000000:000000050?ooo`00000000000000003oool0
3P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P0000001@3oool0
0000000000000000oooo00L0000000<0oooo000000000000100000020?ooo`030000003oool00000
00<0000000/0oooo00000000000000000?ooo`000000oooo0000003oool000000?ooo`0200000003
0?ooo`0000000000008000000P3oool010000000oooo0?ooo`3oool200000080oooo00@000000?oo
o`3oool000000`3oool2000000050?ooo`000000oooo0?ooo`000000103oool2000000H0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`8000001P3oool200000080oooo
1@00000Q0?ooob<000003@3oool:000000L0oooo1P000000103oool000000000000000030?ooo`P0
00000P3oool300000080oooo100000030?ooo`@000000`3oool2000000030?ooo`00000000000080
0000103oool<000000030?ooo`0000000000008000001`3oool800000080oooo0P0000020?ooo`P0
0000103ooolF00000240oooo3@0000000`3oool0000000000003000000<0oooo100000040?ooo`<0
00001P3oool2000000H0oooo0P0000080?ooo`@0000000<0oooo0000003oool0303oool200000005
0?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool01000
0000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?ooo`0000050?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0>@3oool00`1o0?l0oooo0?ooo`070?ooo`00
2@3oool00`1b0?l0000000000004000000030?ooo`000000000000@0000000D0oooo000000000000
0000000no`04000000030?ooo`000000000000P0000000<0oooo003Lo`0000000P00g?l500000003
0?ooo`000000000000L000000P00oiL00`3oool000000000000>00000003003o7000000000000100
000000<0oooo000000000000100000000`3oool0000000000003000000050?ooo`00000000000000
003oool04P0000000`3oool0000000000002000000030?ooo`00000000000080000000<0oooo0000
000000002@0000000`3oool0000000000004000000040?ooo`00000000000?ooo`D0000000H0oooo
000000000000oooo0000003oool200000080oooo0P0000000`3oool000000000000200000080oooo
00@000000?ooo`3oool0oooo0P0000020?ooo`040000003oool0oooo000000<0oooo0P0000000`3o
ool000000?ooo`020?ooo`040000003oool0oooo0?ooo`8000001`3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool2000000<0oooo1P00
000^0?ooo`8000003@3ooolB000000L0oooo1`0000070?ooo``0000000<0oooo0000000000002@00
00020?ooo`@000000`3oool9000000030?ooo`00000000000080000000<0oooo0000000000001000
00000`3oool0000000000006000000030?ooo`000000000000T0oooo1`0000000`3oool000000000
0002000000<0oooo200000040?oood000000103oool4000000D0oooo100000060?ooo`8000001P3o
ool2000000P0oooo1`00000=0?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`030000
003oool0oooo0080oooo0P0000030?ooo`040000003oool0oooo000000<0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0i0?ooo`0307l0o`3oool0oooo00L0oooo00090?ooo`030780o`0000000000
00@0000000<0oooo000000000000100000001@3oool0000000000000000003ko00@0000000<0oooo
0000000000002@000002003Lo`0300000000g?l0000000@0000000<0oooo0000000000001P000000
1000oiL00000003oU`00oiL9000000030?ooo`000000000000<000000P00oa`A0000000304oo003o
ool0000000/0000000D0oooo00000000000000000?ooo`0B000000030?ooo`000000000000800000
00@0oooo00000000000000000P3oool00`000000oooo00000008000000030?ooo`000000000000@0
000000@0oooo000000000000oooo1@000000103oool000000000003oool400000080oooo0P000000
0`3oool000000000000200000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`040000003o
ool0oooo000000<0oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool0oooo0?ooo`<0
00001P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00@0oooo0P0000080?oo
o`8000001@3oool:000000l0oooo=P0000020?ooo`H00000203oool7000000030?ooo`000000oooo
0080oooo2P0000020?ooo`/0000000<0oooo0000000000000`0000040?ooo`<0000000<0oooo0000
000000000P0000000`3oool000000000000=000000030?ooo`000000000000D000001`3oool90000
00030?ooo`000000000000@0000000<0oooo000000000000200000040?oooc@000001P3oool40000
00H0oooo100000070?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`@0000000<0oooo0000
000000003@3oool2000000050?ooo`000000oooo0?ooo`0000000`3oool01`000000oooo0?ooo`3o
ool000000?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`8000000P3oool01@000000
oooo0?ooo`3oool0000000@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04@0oooo00090?oo
o`030780o`000000000000@0000000<0oooo000000000000100000001@3oool00000000000000000
03ko00@0000000<0oooo0000000000002P0000000`00g?l0000000000002000000040?ooo`000000
00000?ooo`P000000P00oiL00`0000000?nG00000008000000030?ooo`000000000000<000000`00
oa`6000000030?ooo`000000000000H000000P1?o`000`3oool000000000000900000080oooo0`00
00000`2/o`0000000000000@000000030?ooo`00000000000080000000@0oooo0000000000000000
0P3oool00`000000oooo00000008000000060?ooo`00000000000000003oool000000P3oool00`00
0000oooo00000002000000040?ooo`00000000000?ooo`80000000H0oooo000000000000oooo0000
003oool3000000040?ooo`0000000000000000<0oooo00<000000?ooo`3oool00`0000020?ooo`04
0000003oool0oooo000000<0oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool0oooo
0?ooo`<000001`3oool010000000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`000000
0`3oool00`000000oooo0?ooo`070?ooo`800000203ooolo000000L0oooo4@0000090?ooo`P00000
103oool800000080oooo400000040?ooo`8000000`3oool300000080oooo0P000000103oool00000
0000003oool<000000040?ooo`0000000000000000P0oooo2P0000020?ooo`<00000103oool80000
00H0oooo:@0000080?ooo`@000001@3oool7000000H0oooo0P0000020?ooo`8000000`3oool20000
00D0oooo00<000000?ooo`3oool01@0000001@3oool000000?ooo`3oool0000000/0oooo0P000000
1@3oool000000?ooo`3oool0000000<0oooo00L000000?ooo`000000oooo0000003oool000000080
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000`3o
ool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`040000003o
ool0oooo000000@0oooo0P0000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
?P3oool000T0oooo00<0LP3o000000000000100000000`3oool0000000000005000000050?ooo`00
00000000000no`3oool00P0000020?ooo``0000000<00=co0000000000000P000000103oool00000
0?ooo`3oool3000000030?ooo`000000000000<0000000<00?nG00000000oiL02@0000000`3oool0
000000000002000000800?lL00<00000003o700000001@0000000`3oool000000000000600000080
Col0300000020?ooo`8000000P2/o`08000000030?ooo`00000000000080000000H0oooo00000000
000000000?_o003oool300000080oooo0`000000103oool000000000003oool4000000040?o10000
000000000?ooo`80000000D0oooo000000000000oooo000000020?ooo`030000003oool000000080
000000@0oooo000000000000oooo0P0000001P3oool000000000003oool000000?ooo`8000000P3o
ool3000000<0oooo00<000000?ooo`3oool00`0000020?ooo`040000003oool0oooo000000<0oooo
0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo0080oooo0P0000070?ooo`030000
003oool0oooo00D0oooo00@000000?ooo`3oool0oooo0P00001:0?ooo`P000005P3oool6000000T0
oooo00@000000?ooo`3oool0oooo1@0000060?ooo`L0000000<0oooo0000000000000P0000000`3o
ool0000000000008000000@0oooo0`0000070?ooo`H000000`3oool<00000080oooo0P0000090?oo
o`X00000203oool8000000L0oooo7P0000080?ooo`D000001P3oool8000000H0oooo0P0000020?oo
o`8000000`3oool2000000D0oooo0P0000020?ooo`@0000000<0oooo0000000000000P3oool00`00
0000oooo0?ooo`080?ooo`<0000000D0oooo0000003oool0oooo000000030?ooo`070000003oool0
00000?ooo`000000oooo000000020?ooo`040000003oool0oooo0?ooo`8000000P3oool01@000000
oooo0?ooo`3oool0000000<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000P3oool010000000oooo0?ooo`0000050?ooo`800000103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo03h0oooo00090?ooo`030780o`000000000000@0000000<0oooo0000
000000001@0000001@3oool0000000000000?_l0oooo0080000000<0oooo0000000000002`000000
0`00g?l0000000000002000000040?ooo`000000oooo0?ooo`<0000000<0oooo0000000000000P00
00000`3oool00?nG0000000:000000030?ooo`0000000000008000000P00oa`00`0000000?lL0000
0005000000030?ooo`000000000000D000000P1?o`000`000000Col00000000:00000080oooo0P00
00020:co00L000000P3oool4000000030?ooo`00000000000080nol0100000000`3oool000000000
0002000000040?ooo`00000000000?ooo`@0000000L0ol4000000000000000000?ooo`000000oooo
0080000000H0oooo0000003oool0oooo0000003oool3000000040?n90000000000000?ooo`800000
00D0oooo00000000000000000?ooo`03000000050?ooo`00000000000000003oG@000`3oool00`00
0000oooo0?ooo`0300000080oooo00@000000?ooo`3oool000000`3oool2000000030?ooo`000000
oooo0080oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo02L0oooo00<0ob@00?ooo`3oool03`3oool0
0`3o;`00oooo0?ooo`0?0?ooo`030?lj003oool0oooo0080oooo3P00000>0?ooo`H000000`3oool0
0`000000oooo0?ooo`040?ooo`D000001`3oool7000000030?ooo`00000000000080000000<0oooo
0000000000001`0000040?ooo`D000001@3oool8000000030?ooo`000000000000<0oooo3000000:
0?ooo`X000002@3oool:00000180oooo0P3oX`090?ooo`L000000P3o/0060?ooo`P000000P3oool0
0`3o`P00oooo0?ooo`030?ooo`8000000P3oool2000000<0oooo0P0000000`3oool0omd00?ooo`02
0?ooo`8000000P3oool5000000060?ooo`00000000000?ooo`3lo`0000002P3oool3000000050?oo
o`000000oooo0<So000000000`3oool01`000000oooo0000003oool000000?ooo`0000000`3oool0
20000000oooo0?ooo`000000oooo0000003oool000000`3oool00`000000oooo0?ooo`020?ooo`80
00000`3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03l0oooo00090?ooo`030780o`00000000000080000000<0oooo00000000000010000000103o
ool000000000003oool200000005000no`3oool000000000003oool03@0000000`00g?l000000000
000400000080oooo0`0000000`3oool000000000000300000003003oU`000000000000l0000000<0
0?lL0000000000001P0000000`3oool000000000000500000080Col000<0000004oo000000001000
00000`3oool000000000000300000080oooo00<000000:co000000000P2/o`0600000080oooo1000
00000`3oool00000000000020?_o00@0000000<0oooo0000003oool00P0000000`3oool000000000
000400000080ol400`000000103oool000000000003oool3000000040?ooo`00000000000?ooo`80
00000P3oR@000`000000oooo0?ooo`06000000050?ooo`00000000000000003oool00`0000000`3o
G@00oooo0?ooo`0200000080oooo0`0000000`3oool00000000000020?ooo`040000003oool0oooo
0?lj0080000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool0
0`3o8@00oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool0
0`3o5P0000000?ooo`0C0?ooo`80oaX03`3oool20?lT0100oooo0P3o;`0@0?ooo`80ocX04@3oool2
0?m400P000001@3oool60?m@00030?ooo`000000000000D00000103oool60?mK00H000000`3oool3
000000H0ofL00`0000000`3oool0000000000006000000H0og<0100000060?ooo`8000001P3oOP02
00000080oooo200000060?n800/0oooo00<000000?nA003oT@00103oT@02000000X0oooo1P3oVP0>
00000080oj<0300000040?ooo`80ok00103oool9000000<0oooo0P3o`P020?ooo`@0000000@0oooo
00000000000000000`3oool200000080oooo00<0omd00?ooo`3oool00P0000020?ooo`D0000000L0
oooo00000000000000000?ooo`3lo`00000000X0oooo0`0000001@3oool000000?ooo`38o`000000
00<0oooo00L000000?ooo`000000oooo0000003oool0000000<0oooo00H000000?ooo`3oool0QOl0
0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo0P0000030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000050?ooo`800000103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo03l0oooo00090?ooo`030780o`0000000000
0080000000<0oooo000000000000100000000`3oool000000000000300000005000no`0000000000
0000003oool01@0000000`3oool000000000000500000003003Lo`000000000000@000000P3oool3
000000030?ooo`000000000000<0000000<00?nG0?ooo`0000003`0000000`00oa`000000000000?
0000000404oo0000000000000?ooo`X0000000D0oooo000000000000[?l00?ooo`020:co00H00000
00/0oooo00000000000000000?ooo`000000oooo0000003ko`0000000?_o0004000000030?ooo`00
0000oooo0080000000<0oooo000000000000100000030?o10080000000@0oooo000000000000oooo
0`000000103oool000000000003oool200000080ohT000<000000?ooo`3oool0100000001`3oool0
00000?ooo`000000oooo0000003oool00P0000020?mM00040?ooo`000000000000000080oooo0`00
00000`3oool00000000000020?ooo`040000003oool0oooo0?lj0080000000<0oooo0000003oool0
0P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool20?lQ00<0oooo00<000000?ooo`3oool0
1@3oool2000000@0oooo0P3o5P0@0?ooo`<0oaX03`3oool20?lT0100oooo0P3o;`0;0?ooo`D00000
0P3o>P0:000000H0oooo0`3oA00:0?ooo`H0000000<0oe000?ooo`3oool01P3oool00`000000oooo
0?ooo`0400000080oooo00<0oe/00?ooo`3oool01P3oool5000000<0oooo00<000000?mW00000000
100000020?ooo`@0000000<0oooo0000000000000`0000000`3oL`0000000?ooo`060?ooo`<00000
1P3oool0103oOP0000000000003oool>00000080ohP01000000<0?ooo`80oi4000<0oooo00000000
0000200000050?ooo`<0oiX03P3oool30?nS00l0oooo1P3o/007000000D0oooo1P3o`P030?ooo`80
0000103oool200000080oooo1@3og@030?ooo`@0000000@0oooo00000000000000000P3oool50?co
00L0oooo1@0000000`3oool0b?l0000000020<So00080?ooo`000000oooo0000003oool000000?oo
o`0000030?ooo`050000003oool0oooo08Go003oool00P25o`000`3oool000000?ooo`020?ooo`04
0000003oool0oooo0?ooo`8000000`3oool00`000000<_l003;o00020?ooo`060000003oool0oooo
0000003oool000000`3oool00`000000oooo0?ooo`020?ooo`0300000000oc00oooo00@0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`03003oY@3oool0oooo00l0oooo00<0
0=Co0?ooo`3oool03`3oool00`00>ol0oooo0?ooo`0E0?ooo`002@3oool5000000030?ooo`000000
000000@0000000<0oooo0000000000001`0000000`3oool0000000000003000000030?ooo`000000
00000080000000<0oooo0000000000001`0000020?ooo`@0000000<0oooo0000000000000`000000
0`3oool000000000000Q000000030?ooo`000000oooo00X0000000D0oooo00000000000000000?oo
o`0>000000050?ooo`000000nol00000003ko`0010000000103oool000000?ooo`0000020?ooo`03
0000003oool000000080000000@0ol40000000000000ol400P000000103oool000000000003oool3
0000000:0?ooo`00000000000?ooo`000000ohT00000003oool0ohT00?ooo`D0000000L0oooo0000
003oool000000?ooo`000000oooo0080000000<0oed00000003oG@000P0000030?ooo`8000000P3o
ool200000080oooo00@000000?ooo`000000ocX00P0000000`3oool000000?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`0000000P3oool20?lQ00<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`020?ooo`040?lF00000000oaH00?lF00l0oooo0P3o6P0A0?ooo`<0
ob@03`3oool30?l_00l0oooo0`3o>P070?ooo`P000000`3oA00=0?ooo`8000000P3oD003000000<0
oooo00<000000?ooo`3oool0103oool300000080oe/00P0000080?ooo`D0000000<0oooo0?mW003o
I`001`0000020?ooo`@000000P3oool00`000000og<00?mc0002000000L0oooo0P0000050?ooo`80
ogh00`0000020?ooo`8000000P3oool800000080ohP01`0000090?ooo`80oi40103oool=00000080
oiX03`3oool30?nS00P0oooo300000090?ooo`@000000`3oool3000000@0oooo0P0000030?ooo`<0
omd00P0000020?ooo`D0000000@0oooo00000000000000000P3oool30?co00T0oooo00@000000?oo
o`00000000000`3oool30<So00060?ooo`000000oooo0?ooo`000000oooo0P0000030?ooo`040000
003oool0oooo000000<0QOl000<0oooo0000003oool00P3oool00`000000oooo0?ooo`020?ooo`80
00000`3oool203;o00060?ooo`0bo`00oooo0000003oool000000P3oool010000000oooo0?ooo`00
00040?ooo`800?l`00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo00<00?nU0?ooo`3oool0403oool00`00e?l0oooo0?ooo`0?0?ooo`03000ko`3o
ool0oooo01D0oooo00090?ooo`H0000000<0oooo000000000000100000000`3oool0000000000006
000000030?ooo`000000000000P0000000<0oooo0000000000001`0000000`3oool0000000000009
000000030?ooo`000000000000L0000000<0oooo0000000000005`0000000`3oool0000000000002
000000030?ooo`000000000000@000000P3oool3000000030?ooo`000000000001D0000000@0oooo
00000000000000000P3oool00`000000oooo00000002000000050?o10000000000000?o100000000
0P3oool3000000060?ooo`000000oooo0?ooo`000000oooo0P0000001@3oR@0000000000003oR@00
oooo0080000000@0oooo00000000000000000P3oool2000000040?ooo`00000000000?mM00800000
00<0oed00000000000000`3oool200000080oooo0P0000020?ooo`080000003oool0ocX00?ooo`3o
>P0000000?ooo`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P3oool0
0`000000ob400?lQ00020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool0
103o5P0000000000003o5P03000000d0oooo0P3o6P0]0?ooo`030000003oool0oooo01P0oooo2000
00090?ooo`030?m@003oool0000000H000002@3oool00`3oF`00000000000002000000P0oooo1@00
0000103oI`00oooo0?ooo`3oool700000080oooo100000000`3oool0og<000000004000000D0oooo
1@0000020?ooo`030?mn003oool0oooo00X0000000<0oooo0000000000004000000?0?ooobT00000
303oool3000000@0oooo0`0000040?ooo`<000001P3oool200000080oooo1@000000103oool00000
0000000000030?ooo`030000003oool0oooo00T0oooo00@000000?ooo`00000000000`3oool20<So
0080oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo00@000000?ooo`3oool0
oooo0`25o`020?ooo`040000003oool0oooo000000@0oooo0P0000030?ooo`060000000bo`00oooo
03;o003oool000000P3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo0P00
oc000`3oool00?l`0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3o
ool00`00ojD0oooo003oY@0A0?ooo`03003Do`3oool0oooo00l0oooo00<003_o0?ooo`3oool05P3o
ool000T0oooo1P0000000`3oool0000000000004000000030?ooo`000000000000H0000000<0oooo
000000000000200000000`3oool000000?ooo`07000000030?ooo`000000000000T0000000<0oooo
0000000000001`0000000`3oool000000000000D000000040?ooo`00000000000?ooo`/000000P3o
ool3000000030?ooo`000000000001@000000P3oool300000080oooo2P0000000`3oool000000?oo
o`02000000060?ooo`000000oooo0?ooo`000000oooo1@0000000`3oR@00oooo0000000200000003
0?ooo`00000000000080oooo0P0000001`3oool000000000003oG@0000000?ooo`3oG@000P000003
0?ooo`8000000P3oool040000000oooo0?ooo`3oool000000?ooo`3o>P00oooo0?lj00000000oooo
0000003oool000000?ooo`0000030?ooo`80000000P0oooo0000003oool0oooo0000003o8@00oooo
0?lQ0080oooo00<000000?ooo`3oool01P3oool2000000<0oooo00@0oaH00?ooo`00000000000P3o
ool2000003D0oooo6P00000;0?ooo``000001`3oool00`000000oooo0?ooo`03000000/0oooo0`00
00090?ooo`D00000103oool700000080oooo0`0000000`3oool0000000000005000000D0oooo1000
00070?ooo`T0000000<0oooo0000000000000P3oool?000000l0oooo7`00000=0?ooo`@00000103o
ool3000000D0oooo0P0000070?ooo`8000000P3oool4000000030?ooo`000000oooo008000000`3o
ool2000000/0oooo00@000000?ooo`00000000000`3oool01@000000oooo0?ooo`3oool000000080
oooo00D000000?ooo`000000oooo000000020?ooo`070000003oool0oooo0?ooo`000000QOl00000
00020?ooo`050000003oool0oooo0?ooo`0000000`3oool2000000<0oooo00@0000003;o000bo`00
<_l00P3oool00`000000oooo000000020?ooo`040000003oool0oooo000000D0oooo00<00?l`0000
0000oc000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0`00ojDA0?oo
o`03003Do`3oool0oooo00l0oooo00<003_o0?ooo`3oool03`3oool00`1a0?l0oooo0?ooo`040?oo
o`002P3oool00`1`0?l0000000000002000000030?ooo`000000000000@0000000<0oooo00000000
00000P0000001@3oool00000000000000000oooo00X0000000<0oooo0000000000001`0000000`3o
ool000000000000C000000030?ooo`000000000001@0000000@0oooo000000000000oooo2`000000
0`3oool000000?ooo`0:000000030?ooo`000000000000<0000000<0oooo0000000000001P000000
0`3oool0000000000002000000030?ooo`000000000000T0000000L0oooo000000000000oooo0000
003oool000000080oooo00<000000?ooo`000000100000020?ooo`<0000000@0oooo000000000000
oooo0`0000000`3oool000000000000200000080oooo0P0000030?ooo`8000000P3oool040000000
oooo0?ooo`000000oooo0000003o>P00oooo0?lj00000000oooo0000003oool000000?ooo`000003
0?ooo`80000000H0oooo0000003oool0oooo0000003o8@040?ooo`030000003oool0oooo00@0oooo
00@000000?ooo`3oool00000103oool0103o5P00oooo0?ooo`0000030?ooo`800000C@3oool:0000
00T0oooo2P0000000`3oool000000?ooo`040?ooo`L000001`3oool4000000T0oooo1@0000040?oo
o`L0000000@0oooo000000000000oooo200000060?ooo`@000001`3oool;00000080oooo4@00000b
0?ooo`@000001@3oool3000000H0oooo0P0000070?ooo`8000000P3oool4000000040?ooo`000000
00000?ooo`8000000`3oool00`000000oooo0?ooo`0:0?ooo`040000003oool00000000000<0oooo
00D000000?ooo`3oool0oooo000000020?ooo`050000003oool000000?ooo`0000000P3oool01`00
0000oooo0?ooo`3oool000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000@0oooo
00<000000?ooo`3oool00P3oool00`000000<_l00?ooo`020?ooo`060000003oool0oooo0000003o
ool000000`3oool00`000000oooo0?ooo`020?ooo`<00?l`103oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo0P00ojD@0?ooo`800=Co4P3oool00`00>ol0oooo0?ooo`0?0?oo
o`030740o`3oool0oooo00@0oooo00090?ooo`030000001`0?l0000000<0000000<0oooo00000000
0000100000000`3oool0000000000002000000050?ooo`00000000000000003oool04`0000020?oo
o`P0000000<0oooo0000000000002P0000000`3oool000000000000<000000030?ooo`0000000000
00h0000000<0oooo0000000000000`0000000`3oool000000000000:000000030?ooo`0000000000
00<0000000D0oooo00000000000000000?ooo`04000000030?ooo`000000oooo0080000000<0oooo
0000003oool02@000000103oool000000000003oool3000000040?ooo`00000000000?ooo`<00000
00@0oooo0000003oool0oooo0`000000103oool000000000003oool3000000030?ooo`0000000000
0080000000@0oooo00000000000000000`3oool200000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`80000000H0oooo0000003oool000000?ooo`0000030?ooo`80000000D0oooo0000
003oool0oooo000000050?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000001`3o
ool2000000<0oooo1000000Y0?ooob00000000<0oooo000000000000100000030?ooo`P000001`3o
ool7000000X0oooo1@0000060?ooo`@000002@3oool4000000H0oooo2@0000020?ooo`P00000103o
ool6000000P0oooo2`0000000`3oool000000000000@000002P0oooo1@0000060?ooo`<000001P3o
ool3000000L0oooo0P0000020?ooo`L0000000<0oooo0000000000000`3oool2000000`0oooo1000
00030?ooo`050000003oool0oooo0?ooo`0000000P3oool01@000000oooo0000003oool0000000<0
oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`040000003oool0oooo000000@0oooo0P00
00030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool010000000oooo0?oo
o`0000050?ooo`800?l`1@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo
0P00ojDA0?ooo`<00=Co4@3oool00`00>ol0oooo0?ooo`0?0?ooo`030740o`3oool0oooo00@0oooo
00090?ooo`80L03o100000000`3oool0000000000004000000030?ooo`00000000000080000000D0
oooo0010o`00000000000?ooo`0C00000080oooo200000000`3oool000000000000`000000050?oo
o`00000000000000003oool0200000001@3oool00000000000000000oooo00D0000000<0oooo0000
000000000P000000203oool000000000003oool000000?ooo`000000oooo1`0000000`3oool00000
0?ooo`02000000050?ooo`00000000000000003oool00P0000000`3oool000000000000300000006
0?ooo`00000000000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`@0000000@0oooo
00000000000000000P3oool300000080oooo00d000000?ooo`3oool000000?ooo`000000oooo0000
003oool000000?ooo`000000oooo00800000103oool2000000050?ooo`000000oooo0?ooo`000000
1@3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000T0oooo0P0000040?ooo`@0
0000;03oool>000000`0oooo3`0000030?ooo`D000001`3oool7000000030?ooo`000000000000D0
oooo1@0000060?ooo`D000000P3oool2000000D0oooo0`0000060?ooo`D0000000<0oooo00000000
00000P0000000`3oool0000000000005000000H0oooo1000000:0?ooo``0000000<0oooo00000000
00005`00000C0?ooo`T000001P3oool5000000H0oooo0`0000080?ooo`8000000P3oool700000080
oooo0P0000020?ooo`8000003@3oool2000000030?ooo`000000oooo0080oooo00D000000?ooo`3o
ool0oooo000000020?ooo`050000003oool000000?ooo`0000000`3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`3oool2000000@0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0
oooo00<0oooo00<00?l`0000003oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo0P00ojDA0?ooo`800=Co403oool3000koa40oooo00<0L@3o0?ooo`3oool0103oool0
00T0oooo0`1`0?l3000000030?ooo`000000000000D0000000P0oooo00000000000000000?ooo`00
@?l000000?oooa@000000P3oool3000000030?ooo`000000000002P0000000<0oooo000000000000
2P0000001@3oool00000000000000000oooo01L0000000@0oooo00000000000000000P3oool00`00
0000oooo0000000700000080oooo00@000000?ooo`000000oooo0P0000000`3oool0000000000006
000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`<00000
0P3oool2000000<0oooo0P0000020?ooo`8000000P3oool010000000oooo0000003oool200000080
oooo00@000000?ooo`0000000000103oool2000000050?ooo`000000oooo0?ooo`0000001P3oool0
0`000000oooo0?ooo`040?ooo`8000000P3oool00`000000oooo0?ooo`080?ooo`8000001@3oool7
000001X0oooo300000020?oooa/000001P3oool;000000<0oooo1P0000000`3oool000000?ooo`02
0?ooo`T000001@3oool6000000D0oooo1@000000103oool000000000000000040?ooo`@000001P3o
ool500000080oooo300000060?ooo`D000001`3oool3000000030?ooo`000000000000<0000000<0
oooo0000000000000`0000000`3oool000000000000U000000T0oooo1P0000060?ooo`D000002@3o
ool2000000<0oooo1P0000020?ooo`8000000`3oool00`000000oooo0?ooo`0<0?ooo`80000000<0
oooo0000003oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`000000
oooo000000030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000050?ooo`8000001@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<00?nU0?ooo`3oool03`3oool2003Doa40
oooo0`00>ol@0?ooo`030740o`3oool0oooo00D0oooo00090?ooo`030000001`0?l0L03o00<00000
00<0oooo0000000000001@000000103oool000000000000000020010o`030000003oool0000000<0
000000<0oooo000000000000200000000`00gOl000000000000200000080oooo0`0000000`3oool0
00000000000X000000030?ooo`00000000000080000000<0oooo000000000000100000000`3oool0
00000?ooo`02000000030?ooo`000000000001T000000P3oool00`000000oooo0000000300000005
0?ooo`00000000000000003oool00P000000103oool000000?ooo`0000020?ooo`030000003oool0
000000D0000000D0oooo00000000000000000?ooo`0600000080oooo0`0000020?ooo`8000000`3o
ool200000080oooo0P0000020?ooo`040000003oool000000?ooo`80000000@0oooo0000003oool0
oooo0P0000040?ooo`80000000D0oooo0000003oool0oooo000000060?ooo`030000003oool0oooo
00D0oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00P0oooo<P000005
0?oooa8000002P3oool2000000030?ooo`000000000000<00000103oool7000000<0oooo2P000003
0?ooo`D000001@3oool5000000030?ooo`00000000000080000000<0oooo0000000000000`000006
0?ooo`H000000`3oool=00000080oooo1`0000070?ooo`<0000000<0oooo00000000000010000002
0?ooo`<000001P3oool8000000<0oooo4P0000040?ooo`P000001P3oool6000000X0oooo0`000003
0?ooo`/000000P3oool2000000<0oooo00<000000?ooo`3oool0203oool2000000030?ooo`000000
oooo0080oooo00H000000?ooo`3oool0oooo0000003oool2000000040?ooo`000000oooo000000<0
oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`020?ooo`060000003oool0oooo0000
003oool000000P3oool2000000<0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo
00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0403oool2003Doa40oooo
0P00>ol@0?ooo`<0L@3o1P3oool000T0oooo00D000000700o`1`0?l000000?ooo`06000000030?oo
o`000000000000@000000`00@?l00`3oool0000000000003000000030?ooo`000000000000800000
00<0oooo0000000000000P0000000`00gOl0000000000002000000030?ooo`000000000000800000
00<0oooo000000000000100000000`3oool000000000000N000000040?ooo`00000000000?ooo`/0
000000<0oooo0000003oool00P0000000`3oool000000000000F000000030?ooo`00000000000080
oooo2P000000203oool000000000003oool000000?ooo`000000oooo0P0000000`3oool000000000
0003000000<0oooo0P0000000`3oool000000?ooo`05000000040?ooo`000000000000000080oooo
0P0000030?ooo`8000000P3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000020?oo
o`030000003oool0oooo00800000103oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01@3oool2000001l0oooo4`00000[0?ooo`T000003@3oool6
000000D0oooo0P0000040?ooo`<00000103oool3000000<0oooo1@0000060?ooo`D0000000<0oooo
0000000000000`000000103oool000000000000000060?ooo`@000001@3oool2000000030?ooo`00
0000000000P0000000<0oooo0000000000000P0000000`3oool000000000000=0?ooo`X00000203o
oolP000000L0oooo1P00000:0?ooo`@000000`3oool;000000<0oooo00@000000?ooo`3oool0oooo
0P0000090?ooo`<0000000<0oooo0000003oool00P3oool01P000000oooo0?ooo`3oool000000?oo
o`80000000@0oooo0000003oool000000`3oool00`000000oooo0?ooo`02000000030?ooo`000000
oooo0080oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003oool0oooo0080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo00000080oooo0P0000040?oo
o`8000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0403oool00`00e?l0oooo0?ooo`0@0?ooo`8003_o403oool30740o`H0oooo00090?ooo`03
0000001`0?l000000080000000<0oooo0000000000000`0000000`3oool000000000000300000005
0010o`000000043o0010o`3oool01@0000000`3oool0000000000002000000040?ooo`0000000000
000000800=go100000000`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo
003oUP0000000P0000000`3oool000000000000I000000040?ooo`00000000000?ooo`/0000000<0
oooo0000003oool00P0000000`3oool0000000000005000000030?ooo`000000000000L0000000<0
oooo000000000000100000000`3oool00000000000020?ooo`@0000000<0oooo0000000000000`00
0000103oool000000000003oool3000000040?ooo`00000000000?ooo`D000000P3oool300000003
0?ooo`000000oooo00<0000000<0oooo0000003oool00P0000030?ooo`030000003oool0oooo0080
oooo0P0000020?ooo`@000000P3oool00`000000oooo000000020?ooo`050000003oool000000?oo
o`000000103oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`1T0?ooo`D000001`3oool400000080oooo1P000002
0?ooo`H0000000<0oooo00000000000010000000103oool000000000000000030?ooo`H000001@3o
ool5000000030?ooo`0000000000008000000P3oool4000000H0oooo1P000000103oool000000000
000000020?ooo`P000000`3oool600000140oooo2P00000S0?ooo`D000003@3oool5000000<0oooo
0`0000000`3oool0000000000002000000030?ooo`000000000000<0oooo0P0000030?ooo`030000
003oool0oooo00P0oooo0`0000000`3oool000000?ooo`020?ooo`030000003oool0oooo0080oooo
0`0000020?ooo`8000000`3oool00`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool0
00000`3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00L000000?ooo`3o
ool0oooo0000003oool000000080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`03
0?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0T
0?ooo`03000ko`3oool0oooo00l0oooo0P1a0?l70?ooo`002@3oool00`1`0?l00000000000020000
00030?ooo`000000000000@0000000<0oooo0000000000000P0000001@00@?l000000010o`00@?l0
oooo00D0000000<0oooo0000000000000P000000103oool00000000000000003003Mo`<0000000<0
oooo0000000000001P0000001@3oool000000000003oool00?nF00<0000000<0oooo000000000000
2`0000000`00oa/000000000000;000000030?ooo`000000000000`0000000<0oooo000000000000
2P0000001@3oool00000000000000000oooo00X0000000@0oooo00000000000000000P3oool00`00
0000oooo00000002000000070?ooo`00000000000000003oool000000?ooo`03000000040?ooo`00
000000000?ooo`P000000P3oool010000000oooo0000003oool2000000040?ooo`00000000000000
0080oooo0P0000020?ooo`800000103oool010000000oooo0?ooo`3oool2000000040?ooo`000000
oooo00000080oooo00P000000?ooo`3oool000000?ooo`000000oooo000000@0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`160?ooo`T000004`3oool7000000@0oooo0`00
00050?ooo`<000001@3oool3000000@0oooo0`000000103oool000000000000000030?ooo`H00000
1P3oool9000000<0oooo0`0000070?ooo`@000000P3oool4000000030?ooo`000000000000H00000
103oool7000001@0oooo2P00000C0?ooo`T000003P3oool5000000@0oooo0`0000000`3oool00000
00000002000000030?ooo`000000000000@0oooo00@000000?ooo`3oool0oooo0P00000:0?ooo`<0
000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`020?ooo`<000000P3oool00`000000
oooo000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool01@000000oooo0?ooo`3oool0
00000080oooo00<000000?ooo`0000000P3oool2000000<0oooo0P0000020?ooo`030000003oool0
00000080oooo00@000000?ooo`3oool000000P3oool2000000@0oooo0P0000050?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0T0?ooo`03000ko`3o
ool0oooo00l0oooo0P1a0?l70?ooo`002@3oool00`1`0?l0000000000002000000030?ooo`000000
000000@0000000<0oooo0000000000000`0000001000@?l000000000003oool:000000050?ooo`00
00000000003Mo`0000000P00gOl3000000030?ooo`000000000000H0000000<0oooo000000000000
0P00oiHA00000003003o6`000000000001X0000000D0oooo00000000000000000?ooo`0500000004
0?ooo`00000000000?ooo`h0000000@0oooo00000000000000000P3oool00`000000oooo00000006
000000070?ooo`00000000000000003oool000000?ooo`02000000030?ooo`000000oooo00H00000
0P3oool010000000oooo0000003oool600000080oooo0P0000020?ooo`8000000`3oool2000000<0
oooo0P000000103oool000000?ooo`0000020?ooo`080000003oool0oooo0000003oool000000?oo
o`0000040?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0103oool010000000oooo
0?ooo`0000060?ooo`030000003oool0oooo00<0oooo0P00001@0?ooo`X00000403oool500000003
0?ooo`000000000000@000000`3oool5000000<0oooo0`0000040?ooo`<0000000<0oooo00000000
00000P0000020?ooo`L000001@3oool:00000080oooo100000060?ooo`<00000103oool600000003
0?ooo`000000000000@00000103oool7000001P0oooo6000000A0?ooo`D00000103oool400000003
0?ooo`00000000000080000000@0oooo00000000000000000`3oool2000000<0oooo00<000000?oo
o`3oool0203oool2000000040?ooo`000000oooo000000<0oooo00<000000?ooo`3oool00P3oool3
00000080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02000000030?ooo`000000
oooo0080oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003oool0oooo0080oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`030?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0f0?ooo`030740o`3oool0oooo00H0oooo00090?ooo`030700o`000000000000800000
00<0oooo000000000000100000000`3oool0000000000002000000050?ooo`00@?l000000000003o
ool03@000002003Mo`0300000000gOl000000080000000<0oooo0000000000001P0000000`3oool0
000000000003003oUPl000000P00oa/?000000030?ooo`000000D?l00080000000<0oooo0000003o
ool01@0000001@3oool00000000000000000oooo00P0000000<0oooo00000000000030000000103o
ool000000000000000020?ooo`030000003oool0000000H0000000D0oooo00000000000000000?oo
o`02000000050?ooo`00000000000000003oool01P0000020?ooo`80000000<0oooo000000000000
1@000000103oool000000000000000020?ooo`8000000P3oool300000080oooo00T000000?ooo`00
0000oooo0000003oool000000?ooo`0000000`3oool010000000oooo0000000000050?ooo`030000
003oool0000000<0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000060?ooo`03
0000003oool0oooo00@0oooo0P00001I0?ooo`L000000`3oool6000000D0oooo0P0000050?ooo`<0
00001@3oool3000000<0oooo0`0000040?ooo`@0000000@0oooo00000000000000000`3oool60000
00D0oooo0P0000000`3oool0000000000005000000<0oooo0`0000050?ooo`@000001P3oool<0000
00D0oooo1`00000i0?ooo`D00000103oool:000000040?ooo`0000000000000000@0oooo00@00000
0?ooo`3oool0oooo0P00000:0?ooo`80000000@0oooo00000000000000000`3oool00`000000oooo
0?ooo`020?ooo`<000000P3oool00`000000oooo000000030?ooo`030000003oool0oooo00800000
00<0oooo0000003oool00P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool20000
00<0oooo0P0000020?ooo`030000003oool000000080oooo00@000000?ooo`3oool000000P3oool2
000000@0oooo0P0000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0g0?ooo`030740o`3oool0oooo00H0oooo00090?ooo`030700o`0000000000
0080000000<0oooo000000000000100000000`3oool0000000000002000000050?ooo`00@?l00000
0000003oool03P0000000`00gOl000000000000200000080oooo200000001P3oool00000003oUP00
oiH00000003oUPl000000`00oa/;000000040?ooo`00000000000?ooo`80D?l00P0000000`3oool0
000000000006000000040?ooo`00000000000?ooo`80000000<0[Ol00000000000005P0000020?oo
o`80000000<0oooo0000003oool01@000000103oool000000000003oool3000000040?ooo`000000
00000?ooo`D000000P3oool3000000030?ooo`000000oooo00D0000000@0oooo0000000000000000
0P3oool200000080oooo0P0000030?ooo`040000003oool0000000000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`040?ooo`040000003oool0oooo000000H0oooo0P0000060?ooo`030000003oool0oooo
03h0oooo3`00000A0?ooo`L000000P3oool5000000030?ooo`000000000000D000000P3oool50000
00<0oooo0`0000030?ooo`<000001@3oool3000000040?ooo`0000000000000000<0oooo1P000004
0?ooo`80000000<0oooo0000000000001`0000020?ooo`8000001P3oool5000000030?ooo`000000
000000<0oooo3@0000040?ooo`L00000<@3oool6000000D0oooo2P000000103oool0000000000000
00040?ooo`8000000`3oool00`000000oooo0?ooo`090?ooo`80000000<0oooo000000000000103o
ool00`000000oooo0?ooo`020?ooo`<000000P3oool00`000000oooo000000030?ooo`030000003o
ool0oooo0080000000<0oooo0000003oool00P3oool01`000000oooo0?ooo`3oool000000?ooo`00
00000`3oool00`000000oooo0?ooo`020?ooo`060000003oool0oooo0000003oool000000`3oool0
0`000000oooo000000030?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`100?ooo`002@3oool00`1`
0?l0000000000002000000030?ooo`000000000000@0000000<0oooo0000000000000P0000001@3o
ool0043o000000000000oooo00h0000000<00=go0000000000000P0000000`3oool0000000000002
000000030?ooo`000000000000@000000P00oiH00`0000000?nF0000000=000000800?lK00<00000
003o6`0000002P000000103oool000000000003oool2053o0080000000<0oooo0000000000001000
00000`3oool000000?ooo`0400000080[Ol03P0000001P3oool000000000003lo`0000000?ooo`80
000000<0oooo0000003oool01@0000000`3oool0000000000002000000030?o1003oool000000080
000000D0oooo000000000000oooo000000020?ooo`D000000P3oool3000000040?ooo`0000000000
0?ooo`<000000P3oool010000000oooo0000003oool300000080oooo0P0000030?ooo`040000003o
ool0000000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0000
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1<0?ooo`X000003P3oool40000
00<0oooo0P0000060?ooo`8000001@3oool3000000<0oooo0`0000030?ooo`<000001@3oool30000
00040?ooo`0000000000000000<0oooo1`0000020?ooo`H0000000<0oooo0000000000000`000002
0?ooo`<000001`3oool800000080oooo0P0000000`3oool0000000000009000000D0oooo3000000P
0?ooo`T000001@3oool;00000080oooo0`0000050?ooo`040000003oool0oooo0?ooo`80000000<0
oooo0?nk003oool0203oool5000000@0oooo00<000000?ooo`3oool00P3oool300000080oooo00<0
00000?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`3oool0
oooo000000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool01`000000
oooo0?ooo`3oool000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`800000103o
ool00`000000oooo000000040?ooo`800000103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0400oooo00090?ooo`030700o`00000000000080000000<0oooo0000000000001@000000
1`3oool00000000000000000oooo0010o`0000000P3oool3000000030?ooo`000000000000P00000
00<00=go0000000000000P0000000`3oool0000000000002000000030?ooo`000000000000D00000
00<00?nF0000000000003P000002003o6`030?ooo`00oa/0000000X0000000<0oooo000000000000
0P1@o`0010000000D?l00000003oool6000000050?ooo`000000oooo0000003oool00P0000020:go
00050000003oool000000000003oool02`0000020?co00030000003oool00000008000000P3oool9
000000030?ooo`3o`@00oooo00<0000000D0oooo000000000000oooo000000020?ooo`D0000000H0
oooo0?n:00000000oooo0000003oool2000000040?ooo`000000000000000080oooo00@000000?oo
o`000000oooo0P0000030?ooo`8000000P3oool3000000040?ooo`000000oooo00000080oooo00<0
00000?ooo`3oool00`0000000`3oool000000?ooo`030?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`8000001P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0=03oool:00000180oooo
2@0000090?ooo`X000000`3oool5000000<0oooo0`0000030?ooo`<000000`3oool3000000D0oooo
0`000000103oool000000000000000040?ooo`H000000`3oool5000000030?ooo`00000000000080
00000`3oool3000000P0oooo2`0000020?ooo`@0000000<0oooo000000000000100000050?oooa80
0000303oool>000000<0oooo00<0oh/00?ooo`0000001P0000000`3oool0000000000003000000<0
oooo00<0oih00000000000001@3oool2000000<0oooo00@000000?ooo`3oool0ok/0203oool40000
00030?ooo`000000oooo0080oooo00<0on@00000003oool00`3oool300000080oooo00<000000?oo
o`000000103oool00`3So`00oooo0?ooo`02000000030?ooo`000000oooo0080oooo00L000000?oo
o`3oool0oooo0000003oool000000080oooo0P0000040?ooo`060000003oool0oooo0000003oool0
00000`3oool00`000000oooo000000030?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`110?ooo`00
2@3oool00`1`0?l0000000000002000000030?ooo`000000000000D0000000P0oooo000000000000
00000?ooo`00@?l000000?ooo`D0000000<0oooo0000000000000P0000000`3oool0000000000002
00000003003Mo`00000000000080000000<0oooo0000000000000P0000000`3oool0000000000004
000000030?ooo`00oiH000000100000000<00?lK0?ooo`0000002`0000000`3oool0000000000002
053o00030000001@o`00000000L0000000P0oooo0000003oool000000?ooo`000000[Ol000000080
[Ol000@0oooo000000000000oooo0`0000000`3oool000000000000500000080o?l01@0000020?oo
o`030000003oool0000000H000000P3o`@02000000040?ooo`00000000000?ooo`<0000000<0oooo
00000000000010000000103oool0ohX00000003oool2000000030?ooo`000000000000<0000000P0
oooo000000000000oooo0000003oool000000?mM00<0oooo00@000000?ooo`3oool0oooo0`000000
1P3oool000000?ooo`000000oooo00000080oooo00H0ocX00000003oool000000?ooo`0000040?oo
o`040000003oool0oooo000000<0oooo00<000000?lO003oool00P3oool00`000000oooo00000002
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`02
0?ooo`8000005`3oool20?lC0100oooo0P3o70060?ooo`<000001`3oool30?lU00h0000000@0oooo
0?l^003o;P00obh0203oool7000000L0oooo0`0000030?ooo`<000001@3oool3000000<0oooo0`00
00030?ooo`<0odd000<000000?ooo`3oool00`0000020?ooo`80000000D0oooo0000000000000000
0?ooo`030?mH00@0oooo1@0000040?ooo`8000000`3oH@000`3oool0000000000002000000<0oooo
100000030?ooo`<0ofT000<0oooo0000000000002P0000020?ooo`H0og001P0000090?ooo`<0ogL0
3`0000030?mo00T000001@3oool00`000000oh/00?n;000=00000080oooo00@000000?nN003oWP00
00001@3oool2000000<0oooo0P0000020?ooo`040?nk003oool0oooo0?nk00D0oooo0P000000103o
ool000000?ooo`0000030?ooo`040?oT00000000oooo0?oT00<0oooo00<000000?ooo`0000000P3o
ool00`000000oooo000000030?ooo`070>?o003oool0oooo0>?o00000000oooo000000030?ooo`03
0000003oool0oooo0080oooo0P000000103oool0WOl00?ooo`0000040?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`02000000@0oooo00<0
00000?ooo`000000103oool2000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`110?ooo`002@3oool0101`0?l000000000000000020?ooo`@0000000@0oooo000000000000oooo
100000000`00@?l000000?ooo`05000000030?ooo`00000000000080000000<0oooo000000000000
0P0000000`00gOl0000000000002000000030?ooo`000000000000<0000000<0oooo000000000000
0`0000000`3oool00?nF00000002000000030?ooo`000000000000/0000000<00?lK0?ooo`000000
3`0000000`1@o`000000053o0008000000080?ooo`00000000000000003oool000000:go00000002
0:go00030?ooo`000000000000/0000000<0o?l00000003lo`001@0000020?ooo`80000000<0oooo
000000000000100000020?o10080000000@0oooo000000000000oooo0`0000000`3oool000000000
0003000000030?ooo`3oRP00ohX00080000000<0oooo0000003oool01@000000103oool000000000
000000020?ooo`80oed00P3oool2000000<0oooo0`0000001`3oool000000?ooo`000000oooo0000
003oool00P3o>P001@000000oooo0000003oool0000000@0oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?lO00030?ooo`030000003oool000000080oooo00<000000?ooo`3oool01@3oool0
0`000000o`d00?ooo`070?ooo`8000001@3oool200000080o`/0403oool30?lC00l0oooo0`3o7009
0?ooo`H000000`3o9@07000000P0oooo0`3o;P06000000T0oooo1P3o>00200000080oooo00<00000
0?ooo`3oool01@0000060?m300<0oooo0`0000020?ooo`<000000P3oool00`3oC@0000000?m=0002
0?m=00030000003oool0oooo00<0000000D0oooo00000000000000000?ooo`02000000030?mH003o
ool0oeP00080oeP0103oool4000000D0oooo00<0of400000003oH@000P3oH@06000000<0oooo0`00
00000`3oool0ofT00?ooo`030?mY00040?ooo`00000000000?ooo`T000000P3oL0000`3oool00000
0000000<000000<0ogL03`3oool30?mo00d0oooo0`0000050?n;00T000000P3oool2000000D0oih0
0P3oool3000000@0oooo00<000000?ooo`3oool00P3oool30?nk00D0oooo100000000`3oool00000
0?ooo`020?ooo`040000003oi000on@00?oT00<0oooo00<000000?ooo`0000000P3oool00`000000
oooo000000030?ooo`070000003So`00hol00>?o00000000oooo000000030?ooo`8000000`3oool0
10000000oooo0000003oool309go00@0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`04
0000003oool0Aol004Oo0080oooo00<000000?ooo`3oool00`3oool2000000D0oooo00<000000?oo
o`00oah00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<00?nD0?oo
o`3oool03`3oool00`00h_l0oooo0?ooo`0?0?ooo`030018o`3oool0oooo01D0oooo00090?ooo`@0
000000<0oooo0000000000000`0000000`3oool0000000000007000000030?ooo`000000000000<0
000000<0oooo0000000000000P0000000`3oool0000000000007000000030?ooo`000000000000H0
000000@0oooo000000000000oooo200000000`3oool000000000000G000000030?ooo`0000000000
00X0000000<0oooo0000000000001P0000000`2]o`0000000000000<000000030?co00000000o?l0
00D0000000<0oooo0000000000000P0000000`3oool0000000000002000000030?o100000000ol40
0080000000H0oooo00000000000000000?ooo`0000020?ooo`80000000@0oooo000000000000oooo
0P3oRP05000000040?ooo`000000000000000080oooo00D000000?ooo`000000oooo000000020?mM
0080oooo0P0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`060000003o>P00oooo
0?lj00000000oooo0P0000050?ooo`030000003oool0000000<0oooo00<000000?lO003o7`000`3o
ool00`000000oooo000000020?ooo`030000003oool0oooo00D0oooo0P3o3@000`000000oooo0?oo
o`070?ooo`030000003oool0oooo00@0oooo00<000000?l;003o2`000P3o2`0?0?ooo`<0oa<03`3o
ool30?lL00L000000P3oool7000000<0obD03P0000030?l^00X00000103oool20?lh00030?ooo`00
0000000000H000001P3oool00`000000od<00?m300020?ooo`@000000`3oool2000000<0oooo0`00
00020?m=00H000000P3oool3000000030?ooo`0000000000008000000P3oF003000000H0oooo0`00
00040?ooo`80of402`0000030?ooo`8000000P3oJ@050?ooo`<000000P3oool700000080og0000<0
00000?ooo`3oool03@0000030?mg00H000002@3oool30?mo00<0oooo300000001@3oool000000000
00000000oooo00@000000`3oool4000000D0oooo0P0000050?ooo`800000103oool20?nk00H0oooo
0`0000020?ooo`050000003oool0oooo0?ooo`0000000`3oi0030?ooo`<000000P3oool00`000000
oooo000000030?ooo`080000003So`00hol00>?o003oool000000?ooo`0000030?ooo`080000003o
ool0oooo0?ooo`000000oooo0000003oool309go00@0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`0304Oo003oool0Aol000800000103oool00`000000oooo0000
00050?ooo`0300000000oah00?lN00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`060?ooo`03003oU03oool0oooo00l0oooo00<00>;o0?ooo`3oool03`3oool00`00B?l0oooo0?oo
o`0E0?ooo`002@3oool4000000030?ooo`000000000000<0000000<0oooo0000000000001`000000
0`3oool0000000000003000000030?ooo`00000000000080000000<0oooo0000000000001`000000
0`3oool0000000000006000000030?ooo`000000000000T0000000<0oooo0000000000005`000000
0`3oool000000000000;000000030?ooo`00000000000180000000D0oooo00000000000000000?co
0005000000030?ooo`000000000000<0000000L0oooo00000000000000000?o100000000ol4000<0
000000H0oooo000000000000oooo0000003oool3000000070?ooo`000000oooo0?n:00000000ohX0
0?ooo`04000000040?ooo`000000000000000080oooo00L000000?ooo`000000oooo0?mM00000000
oed00080oooo0P0000020?ooo`80000000D0oooo000000000000oooo000000020?ooo`040000003o
>P00oooo0?lj0080000000<0oooo0000003oool00`3oool010000000oooo0?ooo`0000030?ooo`03
0000003o7`00oal000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`050?ooo`80
o`d000<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030?l;003oool0000000d0
00000`3oool900000080oooo5P00000:0?ooo`030000003oool0oooo00P0oooo0P0000050?ooo`L0
0000103oool20?lh00@0oooo1P0000060?ooo`80od<00`3oool3000000<0oooo0P0000030?ooo`<0
000000<0odd00000000000001P0000020?ooo`<0000000D0oooo00000000000000000?mH00050000
00D0oooo1@0000020?ooo`030?mQ003oool0000000h0000000<0oooo0?mY003oool01P3oool30000
00<0oooo1@000000103oL00000000000000000040?oooc<0000000<0oooo0000000000000`000006
0?ooo`@00000103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo0`000000
0`3oool00000000000030?ooo`030000003oool0on@000@0oooo0`0000020?ooo`030000003oool0
000000<0oooo0P0000001P3So`00oooo000000000000oooo000000<0oooo00<000000?ooo`000000
0P3oool200000080oooo0P2Mo`001P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`0000000`3oool2000000<0Aol000<0oooo0000003oool0103oool2000000D0oooo0P0000001P00
oah0oooo003o7P000000oooo000000D0oooo00T000000?ooo`3oool0oooo0000003oool00?nD0?oo
o`00oi@04@3oool00`00h_l0oooo0?ooo`0?0?ooo`030018o`3oool0oooo01H0oooo00090?ooo`@0
000000<0oooo000000000000100000000`3oool0000000000006000000030?ooo`000000oooo00<0
000000<0oooo0000000000000`0000000`3oool0000000000006000000030?ooo`000000000000H0
000000<0oooo00000000000080000000103oool000000000003oool4000000030?ooo`0000000000
00H0000000<0oooo0000003oool020000000103oool000000000000000020?ooo`@0000000<0oooo
0000000000000`0000000`3oool00000000000020?ooo`030000003oool0000000<0000000X0oooo
000000000000oooo0000003oool000000?ooo`000000oooo0P0000000`3oool000000?ooo`050000
00040?ooo`3oRP0000000?n:0080oooo0P0000000`3oool0000000000002000000030?ooo`000000
000000<0oooo00L0oed00000003oG@00oooo0000003oool0000000<0oooo00H000000?ooo`000000
00000?ooo`0000020?ooo`080?lj003oool0oooo0?lj003oool000000?ooo`0000040?ooo`030000
003oool0oooo00@0oooo00<0oal00?ooo`3o7`000`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00@0oooo00@0o`d00?ooo`3oool0o`d04`3oool00`3o2`00oooo0?ooo`060?ooo`X0
00000`3oool=00000380oooo100000080?ooo`030000003oool0oooo0080oooo1000000:0?ooo`D0
00001P3oool3000000030?ooo`000000000000<0oooo0`0000020?ooo`8000000P3oool200000080
oooo1@0000070?ooo`<000000`3oool7000000030?ooo`000000000000H000003P3oool?00000003
0?ooo`0000000000030000001P3oool4000000@0oooo0P0000050?ooo`8000001P3oool300000003
0?ooo`000000000000<0oooo00<000000?ooo`3oool0103oool300000080oooo00@000000?ooo`3o
ool000000P3oool200000080oooo0P0000000`3oool000000?ooo`020?ooo`<000000P3oool00`00
0000oooo000000020?ooo`0709go00000000oooo0?ooo`000000oooo000000020?ooo`030000003o
ool0000000<0oooo0P000000103oool0Aol004Oo003oool2000000@0oooo0`0000050?ooo`050000
003oool00?lN003o7P3oool00P0000050?ooo`030000003oool0oooo0080oooo00@000000?ooo`00
oi@0oooo0P00oi@@0?ooo`03003Ro`3oool0oooo00l0oooo00<004So0?ooo`3oool03`3oool00`1U
0?l0oooo0?ooo`040?ooo`002@3oool4000000030?ooo`000000000000@0000000<0oooo00000000
00001P0000000`3oool000000?ooo`09000000030?ooo`000000000000X0000000<0oooo00000000
00000P0000000`3oool000000000000C000000030?ooo`000000000000X0000000<0oooo00000000
00001@0000000`3oool0000000000004000000050?ooo`000000oooo0000003oool01@0000000`3o
ool0000000000004000000030?ooo`000000000000T0000000<0oooo0000000000000P3oool00`00
0000oooo00000003000000040?ooo`00000000000?ooo`<0000000@0oooo00000000000000000P3o
ool00`000000oooo0000000400000080oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000
00000002000000030?ooo`00000000000080oooo0`0000001@3oG@00oooo0000003oool000000080
oooo00@000000?ooo`00000000000P3oool00`000000oooo000000030?ooo`040?lj003oool00000
000000D0oooo00<000000?ooo`3oool00`3oool010000000oal00?ooo`3o7`020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0103oool0103o3@00oooo0?ooo`3o3@0S0?ooo`H00000
0P3oool3000002L0oooo1P00000A0?ooo`@00000103oool00`000000oooo0?ooo`060?ooo`800000
2`3oool4000000L0oooo1P0000030?ooo`<0000000D0oooo00000000000000000?ooo`02000000<0
oooo1@0000070?ooo`<00000103oool6000000030?ooo`000000000000D000003P3ooolE000000<0
oooo400000000`3oool000000000000B000000L0oooo100000040?ooo`8000001@3oool2000000L0
oooo00<000000?ooo`0000000`0000030?ooo`030000003oool0oooo00@0oooo0`0000020?ooo`04
0000003oool0oooo000000<0oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo
0P000000103oool000000?ooo`3oool200000080oooo0P0000030?ooo`050000003oool000000?oo
o`0000000P3oool010000000oooo0?ooo`3oool30000000404Oo003oool0oooo000000D0oooo0P00
00060?ooo`0700000000oah00?lN0?ooo`000000oooo000000050?ooo`050000003oool0oooo0?oo
o`0000000P3oool3003oU0l0oooo00<00>;o0?ooo`00h_l04@3oool00`00B?l0oooo0?ooo`0?0?oo
o`0306D0o`3oool0oooo00@0oooo00090?ooo`050000001^0?l000000000003oool01P0000000`3o
ool0000000000006000000030?ooo`000000oooo01H0000000<0oooo000000000000600000000`3o
ool000000000000:000000030?ooo`000000000000D0000000<0oooo000000000000100000001@3o
ool000000?ooo`000000oooo00`0000000<0oooo000000000000300000000`3oool0000000000002
000000040?ooo`00000000000?ooo`<0000000D0oooo00000000000000000?ooo`02000000040?oo
o`00000000000?ooo`D000000P3oool01`000000oooo0?ooo`000000oooo0000003oool00`000002
0?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000oooo000000020?ooo`040000003o
ool0000000000080oooo0`0000030?ooo`040000003oool00000000000@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool01`3oool2000005X0oooo1`00000>0?ooo`D000002P3oool5000000P0oooo1@0000070?ooo`80
000000<0oooo000000000000103oool3000000030?ooo`000000000000<00000103oool5000000L0
oooo0P0000050?ooo`D000000P3oool600000100oooo200000030?ooob/000001`3oool4000000D0
oooo0P0000050?ooo`8000001`3oool2000000050?ooo`00000000000?ooo`0000000`3oool00`00
0000oooo0?ooo`030?ooo`@000000P3oool010000000oooo0?ooo`0000030?ooo`080000003oool0
oooo0000003oool000000?ooo`0000030?ooo`030000003oool000000080oooo0P0000030?ooo`80
00000P3oool00`000000oooo000000020?ooo`030000003oool0000000<0oooo0P000000103oool0
00000?ooo`3oool2000000@0oooo0`0000050?ooo`080000003oool00?lN003o7P3oool000000?oo
o`0000050?ooo`050000003oool0oooo0?ooo`0000000P3oool2003oU100oooo0`00h_lA0?ooo`03
0018o`3oool0oooo00l0oooo00<0I@3o0?ooo`3oool0103oool000T0oooo0P1^0?l2000000030?oo
o`000000000000@0000000<0oooo0000000000001P0000001@3oool00000000000000000oooo00l0
000000<0oooo0000000000000P0000000`3oool000000000000H000000030?ooo`00000000000080
000000<0oooo0000000000003P0000000`3oool0000000000003000000050?ooo`00000000000000
003oool0300000000`3oool0000000000008000000050?ooo`00000000000000003oool010000000
0`3oool0000000000004000000050?ooo`00000000000000003oool00P0000000`3oool000000?oo
o`05000000<0oooo00L000000?ooo`3oool000000?ooo`000000oooo00<000000P3oool010000000
oooo0?ooo`3oool200000080oooo00<000000?ooo`0000000`3oool020000000oooo000000000000
oooo0000003oool00000103oool3000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000090?ooo`030000003oool0oooo0600oooo
1@00000=0?ooo`@00000303oool2000000T0oooo100000070?ooo`D000001@3oool200000080oooo
1@0000040?ooo`D000001P3oool2000000L0oooo0`0000030?ooo`L00000403oool<000000D0oooo
3P0000020?ooo`h00000203oool3000000H0oooo0P0000050?ooo`800000203oool2000000030?oo
o`0000000000008000000`3oool00`000000oooo0?ooo`030?ooo`<0000000L0oooo0000003oool0
oooo0000003oool0000000<0oooo0P0000020?ooo`80000000<0oooo0000003oool00P3oool30000
0080oooo0P0000030?ooo`8000000`3oool01@000000oooo0000003oool000000080oooo00@00000
0?ooo`3oool0oooo0`0000030?ooo`800000103oool2000000H0oooo00<000000?ooo`00oah00P3o
ool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02003oU100oooo0P00
h_l@0?ooo`<004So4@3oool00`1U0?l0oooo0?ooo`040?ooo`002@3oool206h0o`80000000<0oooo
0000000000001@0000001@3oool00000000000000000oooo0080000000<004;o0?ooo`0000000P00
00000`3oool0000000000003000000030?ooo`000000000000L0000000<0oooo0000000000000P00
00000`3oool000000000000H000000030?ooo`000000000001T0000000<0oooo0000000000003P00
00000`3oool0000000000002000000030?ooo`000000000000<0000000D0oooo0000000000000000
0?ooo`0=000000030?ooo`000000oooo0080000000<0oooo0000003oool01@0000020?ooo`800000
0P3oool2000000030?ooo`00000000000080000000<0oooo0000000000000`3oool200000080oooo
00@000000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`030000003oool0000000<0
oooo00@000000?ooo`00000000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
04d0oooo2000000@0?ooo`D00000203oool010000000oooo0?ooo`3oool4000000X0oooo0`000008
0?ooo`D000001`3oool3000000H0oooo0`0000020?ooo`D000000`3oool5000000H0oooo0`000007
0?ooo`@0000000@0oooo000000000000oooo1@0000030?ooo`800000303ooolV000000X0oooo1000
00050?ooo`<000001@3oool2000000T0oooo1P0000040?ooo`030000003oool0oooo00<0oooo0`00
00001`3oool000000?ooo`3oool000000?ooo`0000000`3oool200000080oooo0P0000020?ooo`03
0000003oool0oooo0080000000@0oooo0000003oool0oooo0P0000030?ooo`8000000P3oool00`00
0000oooo000000020?ooo`030000003oool0000000<0oooo0P000000103oool000000?ooo`3oool2
000000@0oooo0`0000050?ooo`8000000`3oool00`000000oooo000000050?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`00oi@0oooo0?ooo`0?0?ooo`800>;o403oool30018oa00oooo00<0
I@3o0?ooo`3oool01@3oool000T0oooo00D0000006h0o`00000000000?ooo`07000000060?ooo`00
000000000000003oool000000P00@_l00`3oool0000000000002000000030?ooo`00000000000080
000000<0oooo0000000000001`0000000`3oool0000000000002000000030?ooo`000000000000@0
000000<0oooo0000000000000P0000000`3oool000000000000<000000030?ooo`000000000000<0
000000<0oooo0000000000001P0000000`3oool000000000000:000000030?ooo`000000000000d0
000000<0oooo0000003oool00`0000000`3oool0000000000003000000070?ooo`00000000000000
003oool000000?ooo`08000000040?ooo`00000000000?ooo`80000000D0oooo0000003oool00000
0?ooo`0500000080oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`0200000003
0?ooo`00000000000080oooo0`0000020?ooo`040000003oool000000?ooo`80000000D0oooo0000
00000000oooo000000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool00`3o
ool00`000000oooo0?ooo`040?ooo`800000103oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo04/0oooo
1`00000>0?ooo`@00000103oool00`000000oooo0?ooo`030?ooo`@000002`3oool2000000T0oooo
100000080?ooo`<000001P3oool3000000040?ooo`00000000000?ooo`<000000P3oool5000000L0
oooo0`0000070?ooo`h0000000<0oooo0000000000000P00000C0?oooa4000003`3oool7000000D0
oooo0P0000070?ooo`030000003oool0oooo00L0oooo1`0000040?ooo`030000003oool0oooo00<0
oooo0`0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`3oool00P0000020?oo
o`050000003oool000000?ooo`0000000`3oool00`000000oooo000000020?ooo`8000000`3oool2
000000<0oooo00D000000?ooo`000000oooo000000020?ooo`040000003oool0oooo0?ooo`<00000
0`3oool2000000@0oooo0P0000060?ooo`030000003oool0oooo0080oooo0P0000060?ooo`050000
003oool0oooo0?ooo`0000005@3oool00`00h_l0oooo0?ooo`0?0?ooo`8004So403oool306D0o`H0
oooo00090?ooo`030000001^0?l000000080oooo10000000103oool000000000003oool500000080
04;o1@0000000`3oool0000000000002000000030?ooo`000000000000@0000000@00=oo00000000
0000oooo1@000000103oool000000000003oool2000000030?ooo`000000000000H0000000<0oooo
000000000000200000000`3oool0000000000009000000040?ooo`00000000000?ooo`d0000000<0
oooo0000003oool02@0000001P3oool000000000003oool000000?ooo`X0000000@0oooo0000003o
ool0oooo0`0000000`3oool0000000000004000000040?ooo`00000000000?ooo`<0000000@0oooo
000000000000oooo1@0000020?ooo`030000003oool0oooo00<0000000L0oooo000000000000oooo
0000003oool0000000<0oooo0P0000020?ooo`<000000P3oool00`000000oooo0?ooo`0200000004
0?ooo`000000oooo000000<0oooo00D000000?ooo`000000oooo000000040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00@0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo0580oooo1P00
00090?ooo`P000002@3oool4000000T0oooo0P0000090?ooo`D000001`3oool4000000H0oooo0P00
00000`3oool00000000000020?ooo`8000000`3oool5000000L0oooo0`0000060?oooaD00000:`3o
ool7000000H0oooo0`0000070?ooo`8000002@3oool4000000030?ooo`000000000000@0oooo00<0
00000?ooo`3oool00`3oool3000000050?ooo`000000oooo0?ooo`0000000P3oool01@000000oooo
0?ooo`3oool000000080oooo00D000000?ooo`000000oooo000000030?ooo`<000000P3oool20000
00<0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool00000
00<0oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo0080oooo0`0000060?oo
o`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool04`3oool00`00h_l0oooo0?ooo`0?0?ooo`8004So403oool306D0o`H0oooo00090?ooo`03
0000001^0?l000000080oooo100000000`3oool0000000000005000000030012o`00000004;o00D0
000000<0oooo0000000000000P0000000`3oool0000000000003000000800=oo0P0000000`3oool0
000000000006000000030?ooo`000000000000<0000000<00?nD0000000000000`0000000`3oool0
000000000007000000030?ooo`000000000000X0000000@0oooo000000000000oooo100000000`3o
ool0000000000004000000050?ooo`000000oooo0000003oool0300000000`3oool000000000000<
000000030?ooo`00000000000080000000<0oooo00000000000020000000103oool000000000003o
ool2000000030?ooo`000000000000<000000P3oool01`000000oooo0?ooo`000000oooo0000003o
ool00`0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool00`000000oooo000000020?oo
o`040000003oool0000000000080oooo00<000000?ooo`0000000`3oool010000000oooo00000000
00050?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0?03oool?000000d0oooo1@0000080?ooo`H000002@3oool4000000T0oooo1@00
00070?ooo`@00000203oool3000000H0oooo0P0000001@3oool00000000000000000oooo00800000
103oool5000000L0oooo100000040?ooo`L0000000<0oooo0000000000004000000P0?ooo`L00000
203oool2000000P0oooo0P0000090?ooo`D0000000<0oooo000000000000103oool00`000000oooo
0?ooo`030?ooo`<0000000D0oooo0000003oool0oooo000000020?ooo`050000003oool0oooo0?oo
o`0000000`3oool200000080oooo00<000000?ooo`3oool00P000000103oool000000?ooo`3oool2
000000<0oooo0P0000030?ooo`<0000000D0oooo0000003oool0oooo000000030?ooo`<000000`3o
ool2000000@0oooo0P0000060?ooo`8000000`3oool00`000000oooo000000050?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool09@3oool00`00B?l0oooo0?ooo`0?0?ooo`80I@3o1`3o
ool000T0oooo00@0000006h0o`000000oooo1@0000000`3oool0000000000005000000050012o`00
000004;o0000003oool00`0000000`3oool0000000000003000000030?ooo`000000000000800000
0P00gol2000000030?ooo`000000000000H0000000<0oooo0000000000000`0000000`00oi@00000
0000000=000000030?ooo`000000000001<0000000<0oooo0000000000000`0000001@3oool00000
0?ooo`000000oooo00`0000000<0oooo000000000000200000001@3oool00000000000000000oooo
00l0000000H0oooo000000000000oooo0000003oool6000000030?ooo`00000000000080oooo0P00
00000`3oool0000000000002000000040?ooo`00000000000?ooo`@000000P3oool00`000000oooo
000000020?ooo`060000003oool000000000003oool000000P3oool01P000000oooo0?ooo`3oool0
00000?ooo`800000103oool2000000D0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool010000000oooo0?ooo`3oool2000000T0oooo0P00001<0?ooo`P00000
1`3oool00`000000oooo0?ooo`05000000H0oooo1`0000090?ooo`8000002P3oool4000000030?oo
o`000000oooo00@0oooo1@0000080?ooo`<000001@3oool200000080oooo1@0000040?ooo`H00000
1`3oool4000000D0oooo7P00000@0?ooo`/000002@3oool3000000T0oooo00<000000?ooo`3oool0
1`3oool6000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool0103oool2000000050?oo
o`000000oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool200000080oooo0P0000020?oo
o`070000003oool0oooo0?ooo`000000oooo000000020?ooo`8000000`3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00<000000?ooo`0000000`3oool2000000030?ooo`00
0000oooo0080oooo0P0000040?ooo`8000001P3oool00`000000oooo0?ooo`020?ooo`8000001P3o
ool01@000000oooo0?ooo`3oool0000002P0oooo00<004So0?ooo`3oool03`3oool206D0o`L0oooo
00090?ooo`0406h0o`00000000000?ooo`H0000000<0oooo0000000000001P0000000`00@_l00000
0?ooo`03000000030?ooo`000000000000<0000000H0oooo0000000000000000003Oo`000002003O
o`X0000000<0oooo0000000000000P000002003oU0l0000000<0oooo00000000oaT06@0000001@3o
ool00000000000000000oooo00d0000000<0oooo0000000000001`0000001`3oool0000000000000
0000oooo0000003oool0200000001P3oool000000000003oool000000?ooo`80000000<0oooo0000
003oool01@0000020?ooo`8000000P3oool2000000030?ooo`000000oooo0080000000D0oooo0000
0000000000000?ooo`02000000<0oooo0P0000020?ooo`040000003oool0000000000080oooo00@0
00000?ooo`00000000000P3oool010000000oooo0000000000040?ooo`8000001P3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000060?ooo`050000003oool0oooo0?oo
o`0000002`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02h0oooo4@00000;0?oo
o`D000000`3oool4000000<0oooo0`0000030?ooo`040000003oool0oooo0?ooo`D000002@3oool2
000000D0oooo00<000000?ooo`3oool0103oool4000000H0oooo100000050?ooo`80000000<0oooo
0000000000000P0000040?ooo`8000000`3oool5000000@0oooo1@0000080?ooo`@000001@3oool7
000000@0oooo9`00000:0?ooo`<000002P3oool2000000T0oooo1@0000000`3oool0000000000005
0?ooo`030000003oool0oooo00@0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00<0
00000?ooo`3oool00P3oool020000000oooo0?ooo`000000oooo0000003oool000000`3oool00`00
0000oooo000000020?ooo`8000000`3oool00`000000oooo000000030?ooo`<0000000D0oooo0000
003oool0oooo000000030?ooo`<000000`3oool2000000@0oooo0P0000070?ooo`070000003oool0
oooo0?ooo`000000oooo000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
>03oool00`1U0?l0oooo0?ooo`060?ooo`002@3oool0101^0?l000000000003oool6000000030?oo
o`000000000000D0000000@004;o0?ooo`000000oooo2@0000001P3oool000000000000000000=oo
000000800=oo1@0000000`3oool0000000000007000000<00?nD3P0000000`3oool00?lI003o6@02
000000030?ooo`000000000000`0000000<0DOl00000000000001@0000000`3oool000000000000?
000000030?ooo`000000000000L0000000L0oooo00000000000000000?ooo`000000oooo00P00000
00@0oooo000000000000oooo0P0000001@3oool00000000000000000oooo00D0000000<0oooo0000
000000000`3oool4000000080?ooo`00000000000?ooo`000000oooo0000003oool200000080oooo
00<000000?ooo`0000000P3oool01P000000oooo000000000000oooo00000080oooo0P0000020?oo
o`040000003oool00000000000<0oooo0P0000060?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000030?ooo`030000003o
ool0oooo00P0oooo0P0000070?ooo`@000002`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01P3oool?000000<0oooo2@0000070?ooo`D000000P3o
ool3000000<0oooo100000070?ooo`D000001`3oool400000080oooo0P0000060?ooo`D000001@3o
ool4000000D0oooo0P0000000`3oool0000000000002000000@0oooo0`0000030?ooo`D000000`3o
ool5000000T0oooo0`0000060?ooo`/0000000<0oooo0000000000005`0000030?ooo`030000003o
ool0oooo00P0oooo0P0000020?ooo`8000001`3oool00`000000oooo0?ooo`03000000H0oooo00@0
00000?ooo`3oool0oooo0P0000000`3oool000000?ooo`04000000@0oooo00<000000?ooo`3oool0
0`3oool2000000030?ooo`000000000000<0oooo00D000000?ooo`000000oooo000000020?ooo`0;
0000003oool0oooo0000003oool000000?ooo`000000oooo0000003oool00P000000103oool00000
0?ooo`3oool200000080oooo0P0000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool3
000000<0oooo0P0000000`3oool000000?ooo`020?ooo`800000103oool2000000<0oooo00<00000
0?ooo`3oool00P0000030?ooo`050000003oool000000?ooo`0000000`3oool00`000000oooo0?oo
o`020?ooo`040000003oool0oooo000003L0oooo00<0I@3o0?ooo`3oool01P3oool000T0oooo00@0
KP3o000000000000oooo1P0000000`3oool0000000000005000000030012o`3oool0000000800000
00<0oooo0000000000002P0000001000gol000000000003oool4000000030?ooo`000000000000H0
00000P00oi@01@0000000?nD000000000000oooo00/0000000<0oooo003o6@00oaT00P0000000`3o
ool0000000000009000000040?ooo`000000DOl0057o00L0000000@0oooo000000000000oooo1P00
00000`2^o`00000000000003000000030?ooo`000000oooo00X0000000<0oooo0000000000000P00
00000`3oool0000000000005000000050?ooo`00000000000000003oool00`0000000`3oool00000
00000006000000030?ooo`00000000000080oooo00<000000?ooo`3oool0100000001@3oool00000
000000000000oooo008000000`3oool010000000oooo0000003oool2000000060?ooo`000000oooo
0?ooo`000000oooo0P0000020?ooo`030000003oool0000000D0oooo0P0000060?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000002<0oooo
100000080?ooo`@000001P3oool600000080oooo2P00000Y0?ooo`@000000P3oool00`000000oooo
0?ooo`070?ooo`<00000103oool3000000<0oooo0`0000020?ooo`@00000103oool5000000H0oooo
0`0000050?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`<000001@3oool300000080oooo
1@00000:0?ooo`@000002P3oool6000000X0oooo400000070?ooo`@0000000@0oooo000000000000
00001`3oool2000000030?ooo`000000000000P0oooo00<000000?ooo`3oool01@0000000`3oool0
000000000002000000<0oooo0P0000050?ooo`80000000<0oooo0000000000000`3oool01@000000
oooo0000003oool000000080oooo0P0000020?ooo`8000000P3oool200000080oooo00<000000?oo
o`0000000P3oool200000080oooo0P0000001`3oool000000?ooo`3oool000000?ooo`0000000P3o
ool010000000oooo0000000000030?ooo`80000000@0oooo0000003oool0oooo0P0000050?ooo`80
00000`3oool010000000oooo0?ooo`0000040?ooo`8000000P3oool01@000000oooo0?ooo`3oool0
000000<0oooo00D000000?ooo`3oool0oooo000000100?ooo`002@3oool0101^0?l000000000003o
ool6000000030?ooo`000000000000D0000000<004;o0?ooo`0000000P0000000`3oool000000000
000:00000004003Oo`00000000000?ooo`@0000000<0oooo0000000000001P000002003oU0050000
0000oi@000000000003oool02`000002003o6@0400000000oaT000000?ooo`d000000P1Ao`060000
0080oooo0P0000000`3oool000000000000300000080[_l01@0000000`3oool00000000000080000
00040?ooo`3lo`0000000?ooo`D0000000<0oooo0000000000000`0000000`3oool0000000000002
000000040?ooo`00000000000?ooo`P0000000<0oooo0000000000000P3oool00`000000oooo0?oo
o`04000000050?ooo`00000000000000003oool00P0000030?ooo`8000000P3oool00`000000oooo
000000030?ooo`040000003oool0000000000080oooo00<000000?ooo`000000103oool00`000000
oooo000000060?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0200000240oooo0`0000080?ooo`040?l5000000000000000000H0oooo100000020?oo
o`80000000@0o``000000000000000008`3oool5000000h0oooo0`00000<0?ooo`8000001@3oool2
000000@0oooo0`0000030?ooo`8000001@3oool4000000H0oooo100000050?ooo`@0000000<0oooo
0000000000001@3oool2000000H0oooo0P0000030?ooo`D000002`3oool3000000X0oooo2P00000C
0?ooo``000001`3oool6000000P0oooo00@000000?mn003oool0oooo100000020?ooo`@000000`3o
ool00`000000oih00?ooo`040?ooo`80000000<0oooo0000000000000`3oool01P000000oooo0?oo
o`3ob`00oooo00000080oooo00`000000?ooo`3oool000000?ooo`000000oooo0000003oool00000
0?ooo`0000020?ooo`050000003oool000000?ooo`0000000P3oool3000000<0oooo0`0000020?oo
o`80000000@0oooo0000003oool0oooo0P0000000`3oool000000?ooo`020?ooo`800000103oool2
000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`050000003oool000000?ooo`000000
103oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0?`3oool000T0oooo
00@0KP3o000000000000oooo1`0000001@3oool00000000000000000oooo0080000000<004;o0?oo
o`0000000`0000000`3oool0000000000002000000030?ooo`000000000000@0000000@00=oo0000
00000000oooo100000000`3oool000000000000700000003003oU0000000000000h000000P00oaT0
0`0000000?lI0000000:000000030?ooo`00000000000080DOl000<00000057o0000000010000000
1@3oool000000?ooo`000000oooo00D000000P2^o`06000000030?ooo`000000000000L000000P3l
o`02000000030?ooo`000000000000<0000000<0oooo0000000000000P0000001P3oool000000000
003oool0ol400?ooo`@0000000<0oooo0000000000000`0000020?ooo`80000000<0oooo0000003o
RP000P3oool00`000000oooo00000006000000080?ooo`000000oooo0?ooo`000000oooo0000003o
ool2000000050?ooo`000000oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool2000000D0
oooo00<000000?ooo`0000001@3oool00`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`000000103oool01@000000oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool0703oool0
0`000000o`D0000000060?ooo`@000000P3oool3000000030?ooo`3o3000oooo02/0oooo1000000<
0?ooo`@000001P3oool00`000000oooo0?ooo`020?ooo`8000001@3oool2000000D0oooo0P000003
0?ooo`8000001@3oool5000000D0oooo100000050?ooo`@0000000<0oooo0000003oool01@3oool2
000000H0oooo0`0000020?ooo`H000002`3oool3000000h0oooo6P00000<0?ooo`030?mY00000000
000000<000002@3oool2000000030?mn003oool0000000<000000P3oool4000000@0oooo00<00000
0?nN003oool01@3oool4000000<0oooo00H000000?ooo`3oool000000?o;000000020?ooo`0;0000
003oool0oooo0000003oool000000?ooo`000000oooo0000003oool00P000000103oool0nOl00?oo
o`3oool200000080oooo0P0000001`3oool000000?ooo`3oool000000?ooo`0000000`3oool30000
00<0oooo0P0000000`3oool000000?ooo`020?ooo`800000103oool2000000<0oooo00@000000?oo
o`3oool00000103oool01@000000oooo0000003oool0000000<0oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000110?ooo`002@3oool0101^0?l000000?ooo`3oool7000000050?oo
o`00000000000000003oool00P0000000`00@_l0oooo00000003000000030?ooo`00000000000080
000000@0oooo000000000000oooo0`0000001000gol000000000003oool5000000030?ooo`000000
000000<0000000@0oooo0000000000000?nD3`0000000`3oool00000003o6@0=000000030?ooo`00
000000000080DOl000<00000057o00000000100000001@3oool00000000000000000oooo00@00000
00@0[_l00000002^o`00[_l01@0000000`3oool000000000000700000080o?l00P0000000`3oool0
00000000000700000080oooo0P0000020?o100030?ooo`000000oooo0080000000<0oooo00000000
00000`0000000`3oool00000000000020?ooo`030000003oRP00oooo0080000000<0oooo00000000
00000`0000000`3oool00000000000030?ooo`040000003oool000000?mN0080000000H0oooo0000
003oool0oooo0000003oool2000000<0oooo0P0000020?ooo`030?lk003oool0oooo008000001P3o
ool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`02000000/0oooo0P00000M0?ooo`D0o`D00`3oool2000000P0oooo1@3o
300?0?ooo`<0oa<03`3oool30?lK00X0oooo100000080?ooo`040000003oool0oooo0?ooo`<00000
103oool3000000<0oooo0`0000040?ooo`8000001@3oool2000000<0oooo0`0000040?ooo`800000
00<0oooo0000000000001P3oool4000000@0oooo1`0000050?ooo`8000001`3oool2000000030?oo
o`000000oooo00H000001`3oool:000000T0oooo0`3oE`0?0?ooo`80oeh03`3oool20?mY00030?oo
o`000000000000X0oooo0P0000000`3oool0ogh0000000020?mn00060?ooo`000000oooo0?ooo`00
0000oooo0P0000040?ooo`050000003oWP00oooo0?ooo`3oWP000`3oool3000000050?ooo`000000
oooo0?ooo`0000000P3oool01P000000ol/00000003oool0ol/0000000<0oooo0P0000020?ooo`80
00000P3oool020000000oooo0?ooo`3io`00oooo0?Wo003oool000000P3oool3000000<0oooo0`00
00001P3oool0/?l0000000000000oooo00000080oooo0P0000000`3oool000000?ooo`020?ooo`80
0000103oool3000000<0oooo00@000000?ooo`3oool00000103oool200000080oooo00D000000?oo
o`3oool0oooo000000030?ooo`050000003oool0oooo0?ooo`000000@@3oool000T0oooo00@0KP3o
0000003oool0oooo1`0000000`3oool0000000000004000000030012o`000000000000<0000000<0
oooo0000000000000P000000103oool000000000003oool300000004003Oo`00000000000?ooo`D0
000000@0oooo000000000000oooo1@0000001@00oi@00000000000000000oooo00/0000000<0oooo
00000000oaT03@0000001`3oool00000000000000000DOl00000001Ao`001@0000001@3oool00000
000000000000oooo00@0000000H0[_l00000002^o`00[_l00000003oool3000000030?ooo`000000
000000H0000000<0o?l00000003lo`000P0000000`3oool000000?ooo`0700000080oooo0P000002
0?o10080000000<0oooo0000000000001P0000000`3oool00000000000020?ooo`80ohX000<0oooo
0000000000000P0000001@3oool00000000000000000oooo008000000`3oool200000080oeh000P0
oooo000000000000oooo0000003oool000000?ooo`8000000`3oool2000000030?ooo`3o>`00oc/0
0080oooo0P0000050?ooo`030000003oool0000000<0oooo00D000000?ooo`3o8@00oooo00000004
0?ooo`050000003oool0oooo0?ooo`0000001P3oool00`3o3P00oooo0?ooo`030?ooo`030000003o
ool0oooo00T0oooo00<0o`400?ooo`3oool03`3oool30?l500l0oooo0`3o300?0?ooo`<0oa<03`3o
ool30?lK008000003@3oool60?lS00@0oooo00<000000?ooo`3oool0103oool00`000000obd00?l]
00040?l]00800000103oool2000000@0oooo1P3o=P000`3oool00000000000040?ooo`8000000`3o
ool30?lo00030?ooo`000000000000H0oooo100000030?ooo`D0odL00`0000050?ooo`8000000`3o
ool50?m=008000000`3oool600000080oooo1P3oD`00103oool000000000000000020?ooo`@00000
0P3oool30?mG00l0oooo0`3oGP0:0?ooo`D000001P3oJ@090?ooo`8000000P3oool30?mn00<00000
00<0oooo0000000000000`0000040?ooo`030000003oool0oih00080oih00`3oool3000000050?oo
o`000000oooo0?ooo`0000000P3oool00`000000oooo0?o;00020?o;00040000003oool0oooo0?oo
o`8000000P3oool010000000oooo0000003oool2000000040?ooo`3io`00nOl00?Wo008000000P3o
ool2000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`<0/?l000@000000?ooo`3o
ool0oooo0P0000000`3oool000000?ooo`020?ooo`8000000P3oool205Oo008000000`3oool00`00
0000oooo0?ooo`02000000<0oooo00H000000?ooo`000000oooo003o400000030?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`03003oR03oool0oooo00l0oooo
00<00>go0?ooo`3oool03`3oool00`00DOl0oooo0?ooo`0E0?ooo`002@3oool200000080oooo1000
00000`3oool0000000000007000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00000`3oool0000000000006000000030?ooo`00000000000100000000<0oooo0000000000002@00
00000`3oool000000000000I000000030?ooo`000000000000T0000000L0[_l00000000000000000
0?ooo`000000oooo00P0000000<0o?l00000003lo`00100000000`3oool000000000000500000080
oooo00@000000?o100000000ol400P0000000`3oool000000?ooo`0500000080oooo0P0000020?oo
o`80ohX000<0oooo0000000000001`000000103oool000000?ooo`3oool2000000070?mN003oool0
oeh00000003oool000000?ooo`0200000080oooo00@000000?ooo`3oool0oooo0`000000103o>`00
oooo0?lk003oool2000000H0oooo00<000000?ooo`0000000`3oool01@000000ob400?lQ003oool0
000000@0oooo00@000000?ooo`3oool000001@3oool20?l>00D0oooo00<000000?ooo`3oool0@`3o
ool30?lC00l0oooo0`3o6`04000000T0oooo0P3o8`020?ooo`8000000`3oool00`000000oooo0?oo
o`02000000@0oooo00<0obd0000000000000103oool2000000@0oooo0P0000030?ooo`030?lf0000
0000000000D0oooo0P0000040?ooo`8000000P3oool00`3o?`0000000?lo00020?lo008000001P3o
ool3000000<0oooo00D0odL000000000000000000?ooo`0700000080oooo0P0000020?ooo`030?m=
003oool0oooo0080oooo0`0000040?ooo`D0000000<0oooo0?mC003oD`001`3oool3000000<0oooo
0`0000020?mG00030000003oool0oooo00l0oooo0`3oGP030?ooo`@000000`3oool4000000/0oooo
0P0000030?ooo`80ogh000@000000?ooo`000000oooo0P000000103oool000000000000000040?oo
o`040000003oool0oih00?nN00@0oooo0`0000001@3oool000000?ooo`3oool0000000<0oooo00@0
00000?o;003ob`00ol/00P0000020?ooo`080000003oool000000?ooo`000000oooo0000003oool2
00000080oooo0P3io`000`000000oooo000000020?ooo`<000000P3oool010000000oooo00000000
00020?ooo`80/?l000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool0oooo00800000
0`3oool305Oo00050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0000000800?l@0`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
00H0oooo00<00?n80?ooo`3oool03`3oool00`00kOl0oooo0?ooo`0?0?ooo`03001Ao`3oool0oooo
01D0oooo00090?ooo`8000000P3oool4000000030?ooo`000000000000L0000000<0oooo00000000
00000`0000000`3oool0000000000003000000030?ooo`000000000000H0000000<0oooo00000000
0000400000000`3oool0000000000009000000030?ooo`00000000000080000000<0oooo00000000
0000300000000`3oool0000000000005000000030?ooo`000000000000T0000000D0oooo00000000
000000000?ooo`0:000000050?ooo`000000o?l00000003oool00P000000103oool000000000003o
ool4000000080?ooo`00000000000?o100000000ol400000003oool2000000030?ooo`0000000000
00<000000P3oool01`000000oooo0?ooo`3oRP00oooo0?n:003oool00`000000103oool000000000
003oool2000000040?ooo`000000oooo0?ooo`8000000P3oGP02000000060?ooo`00000000000?oo
o`000000oooo0P0000030?ooo`80000000<0oooo0?lk003o>`000P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool000000080oooo00D000000?lQ003o8@00oooo000000040?ooo`040000003o
ool0oooo000000@0oooo0`3o3P050?ooo`800000GP3oool4000000L0oooo0P3o8`020?ooo`@00000
103oool2000000<0oooo0P3o;@000`000000oooo0?ooo`030?ooo`<000000`3oool200000080oooo
0P3o=P03000000@0oooo0P0000040?ooo`80000000<0oooo0?lo003o?`000P0000020?ooo`800000
1P3oool2000000<0oooo00<0odL00?ooo`3oool00P000000103oool000000000003oool400000080
oooo0`0000020?m=00@0oooo100000040?ooo`D000000P3oD`080?ooo`H000000P3oool20?mG01H0
0000103oool3000000d0oooo0P0000030?ooo`H0000000@0oooo0000003oool0oooo0P0000050?oo
o`030000003oool0oooo00D0oooo0`0000001@3oool000000?ooo`3oool0000000<0oooo00<00000
0?ooo`3ob`000P3oool010000000oooo0?ooo`3oool200000080oooo00@000000?ooo`000000oooo
0P000000103oool0nOl00?Wo003oool200000080oooo0P0000001`3oool000000?ooo`3oool00000
0?ooo`0000000P3oool20;3o008000000`3oool2000000030?ooo`000000oooo0080oooo0P000003
0?ooo`80Eol00P0000030?ooo`040000003oool0oooo000000@0oooo0P000000103oool00?l@0000
0000oa020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool00`00ohP0
oooo0?ooo`0@0?ooo`03003]o`3oool0oooo00l0oooo00<0057o0?ooo`3oool05@3oool000T0oooo
0P0000000`3oool0000000000003000000030?ooo`000000000000L0000000<0oooo0000003oool0
2@0000000`3oool000000000000500000080oooo0`0000000`3oool000000000000<000000030?oo
o`000000000000T0000000<0oooo0000000000000P0000000`3oool0000000000006000000030?oo
o`000000000000<0000000<0oooo000000000000100000020?ooo`80000000<0oooo000000000000
2P0000000`3oool0000000000008000000050?ooo`00000000000000003oool02@0000020?ooo`80
000000D0oooo0000003o`@0000000?ooo`02000000030?ooo`000000000000<000000P3oool01`00
0000oooo0?ooo`3oRP00oooo0?n:003oool00`0000000`3oool000000000000400000080oooo0P00
00001P3oGP00oooo0?mN003oool000000?ooo`80000000@0oooo0000003oool000000`3oool30000
00040?lk003oool0oc/00?ooo`8000001P3oool00`000000oooo000000020?ooo`050000003o8@00
oooo0?lQ00000000103oool01@000000oooo0?ooo`3oool0000000H0oooo00<0o`h00?ooo`3oool0
0P3oool2000004h0oooo1@00000@0?ooo`@000002P3oool3000000@0oooo0P0000030?ooo`030?l]
00000000000000800000103oool2000000<0oooo0P0000020?ooo`030?lf003oool0oooo00800000
103oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?lo003oool00P0000020?ooo`<0
00001@3oool3000000030?ooo`3oA`00oooo0080oooo100000020?ooo`D000000P3oool200000003
0?m=003oool0oooo00@0oooo100000040?ooo`P000002P3oool9000000`0oooo2@00000>0?ooo`80
00000`3oool600000080oooo00<000000?ooo`0000000P0000050?ooo`030000003oool0oooo00D0
oooo00D000000?ooo`000000oooo000000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`040000003oool0oooo0?ooo`8000000P3oool010000000oooo0000003oool200000004
0?ooo`000000nOl00?ooo`8000000`3oool300000080oooo00@000000?ooo`00000000000P3oool2
0;3o00030?ooo`000000oooo0080oooo0P0000000`3oool000000?ooo`020?ooo`8000000P3oool2
05Oo008000000`3oool00`000000oooo0?ooo`02000000<0oooo00@000000?ooo`000000oooo0P00
oa030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`<00?n8
403oool00`00kOl0oooo0?ooo`0?0?ooo`03001Ao`3oool0oooo01H0oooo00090?ooo`80000000<0
oooo000000000000100000000`3oool0000000000006000000030?ooo`000000oooo0140000000<0
oooo0000003oool00P0000000`3oool000000000000<000000030?ooo`000000000000h0000000<0
oooo0000000000001P0000000`3oool000000000000:000000050?ooo`00000000000000003oool0
2@0000001@3oool00000000000000000oooo00T0000000D0oooo00000000000000000?ooo`090000
0080oooo0`000000103oool000000000003oool2000000030?ooo`0000000000008000000P3oool2
00000080oooo00D000000?ooo`3oool000000?ooo`02000000030?ooo`000000oooo00@000000P3o
ool200000080oooo00D0oeh00000003oool000000?ooo`02000000030?ooo`000000000000<0oooo
0P0000030?ooo`030?lk003oool0000000H0oooo00<000000?ooo`0000000`3oool01@000000oooo
0?ooo`3o8@00000000<0oooo00D000000?ooo`3oool0oooo000000060?ooo`030?l>003oool0oooo
00<0oooo00<000000?ooo`3oool02P3oool2000004H0oooo1`00000=0?ooo`800000103oool01@00
0000oooo0?ooo`3oool000000080oooo0`0000030?ooo`8000001P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo0`0000040?ooo`8000000`3oool2000000@0oooo00<00000
0?ooo`3oool00`3oool2000000<0oooo0P0000040?ooo`@000001P3oool4000000040?ooo`000000
00000?ooo`8000000`3oool2000000H0oooo1@0000030?ooo`T00000403oool<000001D0oooo0P00
00040?ooo`D000000`3oool00`000000oooo00000002000000@0oooo0P0000070?ooo`050000003o
ool000000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`8000000P3oool01`000000oooo
0?ooo`3oool000000?ooo`0000000P3oool200000080oooo00@000000?ooo`3oool000000P3oool2
00000080oooo00@000000?ooo`00000000000P3oool00`000000oooo000000030?ooo`040;3o0000
0000oooo00000080oooo0P0000020?ooo`030000003oool0oooo008000000`3oool205Oo00800000
0`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0000000800?l@103oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool2003oR0l0oooo00<00>go0?oo
o`00kOl04@3oool00`00DOl0oooo0?ooo`0?0?ooo`0305d0o`3oool0oooo00@0oooo00090?ooo`03
0000001[0?l0oooo00H0000000<0oooo0000000000001P0000000`3oool000000000000A00000003
0?ooo`00000000000080000000<0oooo0000000000007@0000000`3oool000000000000700000003
0?ooo`000000000000T0000000<0oooo0000000000002`0000001@3oool00000000000000000oooo
00X0000000<0oooo0000000000002P0000020?ooo`<0000000@0oooo000000000000oooo1`000002
0?ooo`8000000P3oool00`000000oooo0?ooo`0300000080oooo00X000000?ooo`00000000000?oo
o`000000oooo0000003oool000000P3oool2000000070?ooo`00000000000?ooo`000000oooo0000
00040?ooo`800000103oool2000000H0oooo00<000000?ooo`0000000P3oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`3oool00P00000:0?ooo`8000002`3oool3000004h0oooo
1@00000:0?ooo`@0000000D0oooo000000000000oooo000000050?ooo`8000000`3oool3000000@0
oooo0P0000040?ooo`8000001@3oool2000000@0oooo0P0000030?ooo`80000000<0oooo0000003o
ool00P0000050?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`@000001P3oool400000004
0?ooo`000000oooo0?ooo`8000000`3oool3000000H0oooo1@0000000`3oool000000000000<0000
02L0oooo100000040?ooo`H000000`3oool4000000D0oooo00<000000?ooo`3oool01P3oool01@00
0000oooo0000003oool0000000<0oooo00P000000?ooo`3oool0oooo0000003oool000000?ooo`80
00000`3oool200000080oooo00@000000?ooo`000000oooo0P000000103oool000000?ooo`3oool2
000000<0oooo0`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000000`3o
ool2000000030?ooo`000000oooo0080oooo0P0000030?ooo`0405Oo000000000000000000<0oooo
00@000000?ooo`3oool00000103oool00`000000oooo00000002003o40<0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000050?ooo`800?n83`3oool01000kOl0oooo003]o`00kOl@
0?ooo`03001Ao`3oool0oooo00l0oooo00<0G@3o0?ooo`3oool0103oool000T0oooo0P1[0?l00`3o
ool0000000000004000000030?ooo`000000000000H0000000D0oooo00000000000000000?ooo`0?
000000030?ooo`000000000000<0000000<0oooo000000000000700000000`3oool0000000000007
000000030?ooo`000000000000T0000000<0oooo0000000000002`0000001@3oool0000000000000
0000oooo00/0000000D0oooo00000000000000000?ooo`02000000030?ooo`000000000000800000
0P3oool00`000000oooo00000002000000040?ooo`00000000000?ooo`D0000000<0oooo00000000
00000P3oool010000000oooo0?ooo`3oool3000000050?ooo`00000000000000003oool00P000002
0?ooo`<000000P3oool3000000060?ooo`000000oooo0000003oool000000`3oool2000000D0oooo
00<000000?ooo`3oool0103oool00`000000oooo000000030?ooo`040000003oool0oooo000000@0
oooo00@000000?ooo`3oool00000303oool2000000X0oooo0P00000m0?ooo`h000002P3oool40000
00X0oooo0P000000103oool000000000000000060?ooo`800000103oool00`000000oooo0?ooo`03
0?ooo`<000000`3oool3000000@0oooo0P0000030?ooo`<000000`3oool4000000030?ooo`000000
000000D0oooo0P0000020?ooo`030000003oool0oooo00@0oooo100000060?ooo`L0000000<0oooo
000000000000103oool2000000P0oooo200000020?ooo`D0000000<0oooo0000000000001000000N
0?ooo`<000001@3oool800000080oooo1@0000050?ooo`030000003oool0oooo00H0oooo00D00000
0?ooo`000000oooo000000030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`0;
0000003oool0oooo0?ooo`000000oooo0000003oool000000?ooo`0000000P3oool00`000000oooo
000000020?ooo`030000003oool0000000<0oooo0`0000020?ooo`030000003oool0000000<0oooo
0P0000000`3oool000000?ooo`020?ooo`80000000@0oooo0000003oool0oooo0P0000050?ooo`80
0000103oool010000000oooo0000000000040?ooo`80000000<0oooo003o400000000`3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`00ohP0oooo0?ooo`0>
0?ooo`03003]o`3oool00>go00l0oooo00@0057o0?ooo`00DOl0057o403oool00`1M0?l0oooo0?oo
o`040?ooo`002@3oool206/0o`030?ooo`000000000000D0000000D0oooo00000000000000000?oo
o`0200000080oooo00@004Co000000000000oooo3`0000000`3oool0000000000003000000030?oo
o`000000000000<0000000<0oooo000000000000400000000`3oool000000000000=000000030?oo
o`000000000000<0000000<0oooo0000000000000`0000000`3oool0000000000005000000030?oo
o`000000000000D0000000<0oooo000000000000200000001@3oool00000000000000000oooo00T0
00000P3oool2000000050?ooo`00000000000000003oool00P0000000`3oool00000000000020000
0080oooo0P0000020?ooo`040000003oool0oooo0?ooo`<0000000<0oooo00000000000010000002
0?ooo`<0000000@0oooo000000000000oooo0P000000103oool000000?ooo`0000040?ooo`800000
103oool2000000D0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000040?ooo`05
0000003oool0oooo0?ooo`0000002`3oool2000000T0oooo0P00000:0?ooo`<000002@3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo0P0000090?ooo`<000000`3oool80000
00L0oooo1@0000090?ooo`<000002@3oool6000000H0oooo0`0000020?ooo`<000001@3oool00`00
0000oooo0?ooo`020?ooo`<00000103oool010000000oooo0?ooo`3oool3000000@0oooo10000000
0`3oool000000?ooo`050?ooo`80000000<0oooo0000000000000P3oool00`000000oooo0?ooo`02
0?ooo`<000001P3oool4000000050?ooo`00000000000?ooo`0000001@3oool2000000X0oooo6P00
00090?ooo`8000001`3oool5000000D0oooo10000000103oool000000000000000020?ooo`800000
00<0oooo0000000000000`3oool010000000oooo0000000000080?ooo`050000003oool000000?oo
o`0000000`3oool00`000000oooo0?ooo`02000000050?ooo`000000oooo0?ooo`0000000`3oool0
0`000000oooo000000020?ooo`040000003oool000000?ooo`<000000P3oool3000000<0oooo0`00
00020?ooo`80000000<0oooo0000003oool00P3oool3000000<0oooo0P0000020?ooo`030000003o
ool0oooo008000000`3oool010000000oooo0000000000030?ooo`030000003oool0oooo00800000
0`3oool00`000000oooo000000020?ooo`030000003oool0oooo008000000`3oool01@000000oooo
0?ooo`3oool000000080oooo00@000000?ooo`3oool00?n84@3oool2003]o`l0oooo00@0057o0?oo
o`00DOl0057o403oool00`1M0?l0oooo0?ooo`040?ooo`002@3oool00`000000J`3o0?ooo`070000
00050?ooo`00000000000000003oool00P0000000`3oool004Co0014o`03000000030?ooo`000000
00000080000000@0oooo000000000000oooo1P0000000`3oool0000000000003000000030?ooo`00
0000000000<0000000<0oooo000000000000100000000`3oool0000000000009000000030?ooo`00
000000000140000000<0oooo0000000000001@0000000`3oool0000000000005000000050?ooo`00
000000000000003oool00`0000000`3oool0000000000008000000050?ooo`00000000000000003o
ool02@0000020?ooo`040000003oool000000?ooo`80000000@0oooo000000000000oooo10000002
0?ooo`80000000<0oooo0000000000000P3oool01@000000oooo0?ooo`000000oooo0080000000<0
oooo0000000000000`3oool200000080oooo0`0000001P3oool000000?ooo`000000oooo000000<0
oooo0`0000040?ooo`030000003oool0oooo00@0oooo0`0000060?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0303oool2000001P0oooo0`0000070?ooo`030000003oool0oooo00P0
oooo0P0000090?ooo`8000001`3oool:000001l0oooo0`0000080?ooo`040000003oool0oooo0?oo
o`800000303oool2000000T0oooo0`0000090?ooo`<000001P3oool4000000H0oooo00<000000?oo
o`3oool00P0000000`3oool00000000000050?ooo`8000001P3oool00`000000oooo0?ooo`020?oo
o`@000004`3oool8000000L0oooo400000060?ooo`H000001@3oool300000080oooo0`0000020?oo
o`80000000<0oooo000000000000103oool00`000000oooo000000090?ooo`050000003oool00000
0?ooo`0000000`3oool01@000000oooo0?ooo`000000oooo008000000P3oool200000080oooo00P0
00000?ooo`00000000000?ooo`000000oooo00000080oooo00@000000?ooo`000000oooo0P000000
0`3oool000000?ooo`020?ooo`<000000P3oool3000000<0oooo0P0000000`3oool000000?ooo`02
0?ooo`80000000@0oooo0000003oool0oooo0`0000030?ooo`@000000`3oool00`000000oooo0?oo
o`02000000<0oooo00D000000?ooo`000000oooo000000030?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo0180oooo00<00>go0?ooo`3o
ool03P3oool00`00DOl0oooo001Ao`0?0?ooo`0305d0o`3oool0G@3o00H0oooo00090?ooo`030000
001[0?l0oooo00L0000000<0oooo000000000000100000000`3oool004Co0014o`03000000030?oo
o`00000000000080000000@0oooo000000000000oooo1@0000000`00h_l0oooo0000000400000003
0?ooo`000000000000X0000000<0oooo0000000000002@0000000`3oool000000000000200000003
0?ooo`000000000000`0000000<0oooo000000000000100000000`3oool000000?ooo`0600000003
0?ooo`000000000000H0000000<0oooo000000000000200000000`3oool000000000000200000003
0?ooo`000000000000D000000P3oool010000000oooo0000003oool2000000030?ooo`0000000000
00D000000P3oool2000000030?ooo`00000000000080oooo00@000000?ooo`000000oooo0`000000
0`3oool00000000000020?ooo`030000003oool000000080oooo00@000000?ooo`00000000000P3o
ool00`000000oooo000000020?ooo`030000003oool0000000@0oooo0P0000050?ooo`<000001`3o
ool01@000000oooo0?ooo`3oool0000000h0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`070?ooo`800000203oool2000000H0oooo0`0000030?ooo`030000003oool0oooo02H0oooo
0`0000050?ooo`030000003oool0oooo00<0oooo0`00000;0?ooo`030000003oool0oooo00P0oooo
0`0000090?ooo`<000001P3oool4000000D0oooo00@000000?ooo`3oool0oooo0P0000000`3oool0
0000000000050?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`D000005P3oool;000000`0
oooo2`0000050?ooo`<000000P3oool400000080oooo0P0000020?ooo`8000000`3oool200000003
0?ooo`000000oooo00P0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000030?oo
o`<000000`3oool02@000000oooo0?ooo`3oool000000?ooo`000000oooo000000020?ooo`030000
003oool00000008000000P3oool3000000<0oooo0`0000020?ooo`80000000<0oooo0000003oool0
0P3oool2000000040?ooo`000000oooo0?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0
oooo00@000000?ooo`0000000000103oool010000000oooo0000000000040?ooo`8000000P3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo0180oooo00<00>go0?ooo`3oool03`3oool2001Ao`l0oooo00<0G@3o0?ooo`1M0?l0
1P3oool000T0oooo00<0000006/0o`3oool01`0000000`3oool0000000000004000000030014o`00
000004Co00<0000000<0oooo0000000000000P0000000`3oool0000000000005000000800>;o00<0
oooo0000000000003P0000000`00oi8000000?ooo`0;000000030?ooo`00000000000080000000<0
oooo000000000000300000000`3oool0000000000004000000070?ooo`00000000000000003oool0
00000?ooo`0;000000050?ooo`00000000000000003oool01P0000000`3oool00000000000020000
00040?ooo`00000000000?ooo`@000000P3oool00`000000oooo00000003000000030?ooo`000000
000000D0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`02000000030?ooo`000000
oooo00H000000P3oool010000000oooo0000003oool3000000060?ooo`000000oooo0000003oool0
00000`3oool3000000@0oooo00<000000?ooo`3oool0103oool2000000L0oooo00D000000?ooo`3o
ool0oooo0000000=0?ooo`<00000903oool2000000P0oooo00<000000?ooo`3oool01P3oool20000
00D0oooo0`00000a0?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00T0oooo0`00000:0?ooo`030000003oool0oooo00L0oooo0`0000070?ooo`@00000103oool20000
00<0oooo0P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo00D0oooo0P0000050?oo
o`@000005`3ooolL000000D0oooo100000020?ooo`@000000P3oool200000080oooo0`0000030?oo
o`040000003oool0oooo000000P0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00@0
00000?ooo`3oool0oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo00<000000?ooo`00
00000P3oool00`000000oooo000000020?ooo`040000003oool000000?ooo`80000000<0oooo0000
003oool00P3oool300000080oooo100000030?ooo`030000003oool0000000<0oooo0P0000020?oo
o`030000003oool0oooo008000000`3oool010000000oooo0000000000030?ooo`030000003oool0
oooo00800000103oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0
oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0U0?ooo`03001Ao`3oool0oooo00h0oooo0`1M
0?l60?ooo`002@3oool00`000000J`3o0?ooo`04000000030?ooo`000000000000L0000000<004Co
00000000A?l00`0000000`3oool0000000000003000000030?ooo`000000000000@000000P00h_l0
0`3oool000000000000>00000003003oTP000000oooo0100000000<0oooo0000000000001`000000
0`3oool0000000000002000000030?ooo`000000000000@0000000<0oooo0000000000003`000000
0`3oool0000000000009000000050?ooo`00000000000000003oool01P0000020?ooo`<0000000@0
oooo000000000000oooo0P0000000`3oool000000000000200000080oooo0P0000020?ooo`030000
003oool0oooo00<0000000@0oooo000000000000oooo0`0000030?ooo`8000000P3oool010000000
oooo0000000000020?ooo`<000000P3oool00`000000oooo000000040?ooo`8000001@3oool30000
00H0oooo00<000000?ooo`3oool00P00000<0?ooo`<000009`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00D0oooo0P00000/0?ooo`<000003@3oool4000000T0oooo0P00000;0?oo
o`8000002P3oool2000000T0oooo0`0000070?ooo`040000003oool00000000000@0oooo0P000003
0?ooo`<000001@3oool3000000H0oooo0P0000050?ooo`@000001P3oool00`000000oooo0?ooo`0D
0?ooo`X000002@3oool800000080oooo0`0000030?ooo`8000000P3oool400000080oooo0P000002
0?ooo`030000003oool0oooo00H0oooo100000020?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`000000
oooo000000020?ooo`030000003oool000000080oooo0P000000103oool000000?ooo`3oool30000
00<0oooo00<000000?ooo`0000000`3oool2000000030?ooo`000000oooo0080oooo0P000000103o
ool000000?ooo`3oool300000080oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0
oooo008000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo008000000`3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool09@3oool00`00DOl0oooo0?oo
o`0?0?ooo`80G@3o1P3oool000T0oooo00<0J`3o000000000000100000000`3oool0000000000007
000000030?ooo`00000004Co00<0000000<0oooo0000000000002@0000000`00h_l00000003Ro`04
000000030?ooo`000000000000T000000P00oi800`000000oooo0000000>00000003003o5`3oool0
000000P0000000<0oooo0000000000002@0000000`3oool0000000000005000000030?ooo`000000
000000D0000000<0oooo0000003oool0200000000`3oool0000000000003000000030?ooo`000000
000000D000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000D000000P3o
ool2000000030?ooo`00000000000080oooo00@000000?ooo`000000oooo1P0000020?ooo`030000
003oool000000080oooo00@000000?ooo`00000000000P3oool2000000<0oooo00<000000?ooo`00
0000103oool2000000D0oooo0P0000060?ooo`040000003oool0oooo0?ooo`8000001`3oool00`00
0000oooo0?ooo`020?ooo`8000004@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo
03H0oooo0`00000=0?ooo`8000002P3oool3000000X0oooo0P00000:0?ooo`8000002@3oool20000
00L0oooo0P0000000`3oool00000000000040?ooo`8000000`3oool3000000@0oooo100000060?oo
o`<00000103oool700000080oooo0`00000Q0?ooo`T00000103oool3000000<0oooo0P0000020?oo
o`80000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`02000000P0oooo100000020?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`0000000`3oool02@000000oooo0?ooo`3o
ool000000?ooo`000000oooo000000020?ooo`070000003oool0oooo0000003oool000000?ooo`02
000000030?ooo`000000oooo0080oooo0`0000020?ooo`80000000<0oooo0000003oool00P3oool0
10000000oooo0?ooo`0000020?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo00@0
00000?ooo`0000000000103oool00`000000oooo00000002000000<0oooo00D000000?ooo`000000
oooo000000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000020?oo
o`030000003oool0oooo03L0oooo00<0G@3o0?ooo`3oool01@3oool000T0oooo00<0J`3o00000000
00001@0000000`3oool0000000000006000000030?ooo`00A?l0000000l0000000<00>;o00000000
h_l0100000000`3oool0000000000009000000<00?nB3`000002003o5`X0000000<0oooo00000000
0000100000000`1Co`0000000000000:000000030?ooo`000000000000D0000000<0oooo00000000
00000P0000000`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo00000000
00001@0000020?ooo`040000003oool000000?ooo`80000000<0oooo0000000000001@0000020?oo
o`040000003oool0oooo000000<0oooo00H000000?ooo`000000oooo0000003oool400000080oooo
00@000000?ooo`000000oooo0`0000000`3oool000000?ooo`0300000080oooo00@000000?ooo`00
000000000`3oool3000000D0oooo0P0000060?ooo`040000003oool0oooo0?ooo`8000001P3oool0
10000000oooo0?ooo`3oool3000000l0oooo0`00000X0?ooo`030?l4003oool0o`@00340oooo0P00
000;0?ooo`<00000303oool00`000000oooo0?ooo`080?ooo`8000002P3oool2000000T0oooo0P00
00080?ooo`80000000<0oooo0000003oool0103oool01P000000oooo0?ooo`3oool000000?ooo`80
0000103oool4000000L0oooo0P0000040?ooo`@0000000<0oooo0000000000000`3oool4000001<0
oooo3`0000020?ooo`L000000`3oool200000080oooo0P0000000`3oool00000000000020?ooo`80
000000<0oooo0000000000002@3oool3000000040?ooo`000000oooo00000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000030?ooo`060000003oool0oooo0?ooo`000000oooo0P00
0000103oool000000?ooo`0000020?ooo`030000003oool000000080oooo0P0000001`3oool00000
0?ooo`3oool000000?ooo`0000000`3oool010000000oooo0000000000020?ooo`80000000<0oooo
0000003oool00P3oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`040000003oool0
0000000000<0oooo00<000000?ooo`3oool00P0000040?ooo`8000000P3oool01@000000oooo0?oo
o`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00000i0?ooo`03
05d0o`3oool0oooo00D0oooo00090?ooo`0306/0o`3oool0000000D0000000<0oooo000000000000
1P0000000`3oool004Co0000000@000000800>;o1@0000000`3oool0000000000007000000800?nB
00@00000003oTP000000oooo2@000000103oool00000000000000002003o5a40000000@0Dol00000
00000000oooo0P0000000`3oool0000000000004000000060?ooo`00000000000000003oool0[ol0
0P0000000`3oool0000000000002000000030?ooo`000000000000@0000000<0oooo000000000000
0P0000000`3oool000000000000500000080oooo00<000000?ooo`0000000`0000000`3oool00000
0000000500000080oooo00@000000?ooo`3oool000000P3oool01`000000oooo0?ooo`000000oooo
0000003oool00P0000001P3oool000000?ooo`000000oooo00000080oooo00H000000?ooo`000000
oooo0000003oool2000000<0oooo00<000000?ooo`000000103oool2000000D0oooo00<000000?oo
o`0000001@3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?ooo`3oool00P3oool2
000000h0oooo0`00000G0?ooo`030?l6003oool0oooo0100oooo00<0o`@00?ooo`3o1000903oool0
0`000000oooo0?ooo`0<0?ooo`<00000203oool00`000000oooo0?ooo`02000000/0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo0P000008
0?ooo`<000001@3oool200000080oooo00<000000?ooo`3oool00P0000040?ooo`@000001`3oool2
000000D0oooo1P0000050?ooo`<000003@3oool<000000H0oooo1P0000040?ooo`8000000P3oool5
000000<0oooo00@000000?ooo`00000000002`3oool2000000040?ooo`000000oooo00000080oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`8000000`3oool01@000000
oooo0000003oool000000080oooo00L000000?ooo`3oool000000?ooo`000000oooo0080000000<0
oooo0000003oool00P3oool300000080oooo0P0000000`3oool000000?ooo`020?ooo`80000000@0
oooo0000003oool0oooo0`000000103oool000000?ooo`3oool2000000<0oooo00<000000?ooo`3o
ool00P0000030?ooo`030000003oool0oooo00800000103oool200000080oooo00<000000?ooo`3o
ool00P0000030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`0o0?oo
o`002@3oool00`1[0?l0oooo00000005000000030?ooo`000000000000H0000000<0oooo0014o`00
0000400000000`00h_l0oooo00000004000000030?ooo`000000000000<0000000@0oooo00000000
000000000P00oi80100000000?nB0000003oool9000000030?ooo`000000000000800?lG00<00000
003o5`0000003P00000205?o00D0000000<0oooo000000000000100000000`3oool0000000000002
000000050:oo0000000000000000003oool00`0000000`3oool0000000000005000000050?ooo`00
0000o_l00000003oool00P000000103oool000000000000000020?ooo`<0000000<0oooo00000000
00001@0000001@3oool00000000000000000oooo008000000P3oool01`000000oooo0?ooo`000000
oooo0000003oool01P0000020?ooo`040000003oool000000?ooo`80000000L0oooo000000000000
oooo0000003oool0000000<0oooo0`0000040?ooo`800000103oool3000000D0oooo00@000000?oo
o`3oool0oooo0P0000060?ooo`030000003oool0oooo0080oooo0P00000=0?ooo`<000006@3oool0
0`3o1P00oooo0?ooo`0@0?ooo`030?l4003oool0o`@002D0oooo1@00000<0?ooo`8000001P3oool0
0`000000oooo0?ooo`020?ooo`8000002P3oool3000000T0oooo0P00000:0?ooo`8000002@3oool2
000000P0oooo00<000000?ooo`0000001P3oool2000000030?ooo`00000000000080oooo0P000004
0?ooo`@000001`3oool2000000L0oooo1@0000050?ooo`L000004`3oool9000000<0oooo0`000000
0`3oool000000?m;0003000000@0oooo0P0000000`3oool000000?ooo`040?ooo`030?mR003oool0
oooo00@0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0ohH00080oooo
0P000000103oool000000?ooo`3oool2000000<0oooo00P000000?ooo`00000000000?nh00000000
oooo00000080oooo00<000000?ooo`0000000P3oool2000000060?ooo`000000oooo0?ooo`000000
oooo0P0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000000`3oool20000
0080oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0oooo008000000`3oool00`00
0000oooo00000002000000<0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`000004
0?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`0o0?ooo`002@3oool0
0`1[0?l0oooo00000006000000030?ooo`000000000000@000000P3oool00`00A?l000000000000?
00000003003Ro`3oool0000000@0000000<0oooo0000000000000`0000000`3oool0000000000002
00000003003oTP000000000000/0000000<0oooo0000000000000P00oaL00`3oool00?lG0000000<
000000050?ooo`000000Dol00000001Co`000P0000001`3oool00000000000000000oooo0000003o
ool01P0000020:oo00<0000000D0oooo00000000000000000?ooo`07000000050?ooo`000000o_l0
0000003oool01P0000020?ooo`040000003oool000000?ooo`80000000<0oooo0?no000000001@00
00020?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`000000oooo1P0000020?ooo`80
00000P3oool3000000030?ooo`000000oooo008000000`3oool00`000000oooo000000040?ooo`80
0000103oool3000000H0oooo00<000000?ooo`3oool00P0000060?ooo`040000003oool0oooo0?oo
o`<00000303oool2000001X0oooo00@0o`H00?ooo`3oool0o`H04P3oool00`3o1000oooo0?ooo`0X
0?ooo`@000002`3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000/0oooo0P00000:
0?ooo`8000002P3oool00`000000oooo0?ooo`070?ooo`800000203oool010000000oooo00000000
00060?ooo`030000003oool0oooo008000000P3oool2000000@0oooo100000070?ooo`8000001`3o
ool7000000P0oooo5P0000040?ooo`D000000P3oool2000000030?m;00000000000000D0oooo00@0
00000?ooo`3oool000001@3oool00`3oHP00oooo0?ooo`030?ooo`80000000D0oooo000000000000
oooo000000020?ooo`070000003oool0oooo0?n6003oool0ohH0000000020?ooo`040000003oool0
oooo000000<0oooo00T000000?ooo`00000000000?ooo`3o^000oooo0?nh000000000P3oool00`00
0000oooo000000020?ooo`030000003oool0000000<0oooo00<0ooH00000000000000`3oool00`00
0000oooo000000030?ooo`80000000<0oooo0000003oool00P3oool200000080oooo00<000000?oo
o`3oool00P0000030?ooo`040000003oool00000000000@0oooo00<000000?ooo`0000000P000003
0?ooo`050000003oool000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`050000003o
ool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`100?ooo`002@3oool00`1[0?l000000000
0006000000030?ooo`000000000000@000000P3oool00`00A?l000000000000?00000003003Ro`3o
ool0000000@0000000<0oooo0000003oool0200000000`00oi8000000000000?00000003003o5`3o
ool00?lG00P0000000<0oooo0000000000000P0000001@3oool0Dol005?o00000000Dol000800000
00D0oooo00000000000000000?ooo`08000000<0[ol00P0000000`3oool000000000000600000004
0?ooo`000000000000000080o_l0200000020?ooo`040000003oool000000?ooo`8000000P3o_`06
00000080oooo00@000000?ooo`3oool000000`3oool010000000oooo0000003oR@06000000050?oo
o`000000oooo0000003oool00P0000001`3oool000000000003oool0oeh00?ooo`0000000`3oool3
000000@0oooo0P0000030?ooo`030?lm00000000000000H0oooo00<000000?ooo`3oool00P000006
0?ooo`030000003oool0oooo0080oooo0P00000;0?ooo`<00000203oool30?l;0140oooo0`3o1P0B
0?ooo`030?l4003oool0oooo0180oooo0`3o100F0?ooo`@000002P3oool200000080oooo00<00000
0?ooo`3oool01@3oool2000000X0oooo0`00000:0?ooo`030000003oool0oooo00P0oooo00D00000
0?ooo`3oool0oooo000000050?ooo`<0000000<0oooo0000003oool0103oool2000000030?ooo`00
0000oooo00D0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`800000103oool3000000P0oooo
100000050?ooo`T00000303oool5000000@0oooo0`3o?`030?ooo`<000001@3oool200000080od/0
00<000000?ooo`3oool00`3oool200000080oooo00<000000?ooo`3oool00`3oool00`3oHP00oooo
0?ooo`020?mR00050?ooo`00000000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?oo
o`040?n6003oool0ohH000000080oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0
00000080oooo0P3o^0001P000000oooo0?ooo`000000oooo00000080oooo0P0000001P3oool00000
0?ooo`3oool000000?of0080000000H0ooH00?ooo`00000000000?ooo`0000030?ooo`040000003o
ool0oooo00000080oooo00D0_Ol00000003oool0oooo000000030?ooo`050000003oool0oooo0?oo
o`0000000P3oool2000000<0oooo00<000000?ooo`3oool00P0000040?ooo`8000000P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00120?ooo`002@3oool00`1[0?l0000000000006000000030?ooo`000000000000@000000P3oool0
1000A?l000000000003oool5000000040?ooo`00000000000?ooo`D0000000<00>;o0?ooo`000000
100000000`3oool000000000000800000003003oTP000000oooo00l0000000<00?lG0?ooo`000000
200000000`3oool0000000000002000000050?ooo`1Co`00Dol00000001Co`000P0000000`3oool0
000000000005000000060?ooo`00000000000000002_o`0000000P2_o`000`3oool0000000000008
000000040?ooo`000000000000000080o_l000<0oooo0000000000001@0000020?ooo`030000003o
ool0000000<000000P3o_`000`3oool0000000000003000000040?ooo`00000000000?ooo`800000
0P3oool00`000000oooo0?ooo`020?n900D000000P3oool010000000oooo0000003oool200000003
0?ooo`00000000000080oeh000<0oooo0000003oool00P3oool2000000@0oooo0P0000030?ooo`80
ocd00P0000050?ooo`040000003oool0oooo0?ooo`800000103oool00`3o9@0000000?ooo`030?oo
o`800000203oool30?lD008000002`3oool2000000<0o`/01@00000;0?ooo`80o`H04@3oool00`3o
1000oooo0?ooo`0?0?ooo`<0o`@02P3oool5000000H0o`T01`3oool300000080oooo0P3o4@060?oo
o`030000003oool0000000P0oooo00<0oaX00000000000002P3oool2000000<0oooo00<0ob800?oo
o`3oool0103oool2000000@0oooo00<000000?ooo`3oool00P3oool0103o:P0000000?ooo`3oool2
000000D0oooo0P0000000`3oool000000?ooo`020?ooo`050?l`003oool0oooo0000003oool00P00
00050?ooo`030000003oool0oooo0080oooo00@000000?le003o=@00ocD00P0000040?ooo`<00000
1P3oool30?lh00030?ooo`000000000000P0oooo100000060?lj00030000003oool0oooo00T0oooo
0`3o?`000`3oool0000000000003000000@0oooo100000000`3oool0od/00?m;00040?m;0080oooo
00D000000?ooo`3oool0oooo000000060?ooo`<0of800P3oool2000000050?ooo`000000oooo0?oo
o`0000000`3oool00`000000oooo0?ooo`020?n60080000000<0oooo0000003oool00P3oool01P00
0000oooo0?ooo`3oool000000?ooo`80000000@0oooo0?nh003o^00000000P3oool2000000070?oo
o`000000oooo0?ooo`000000oooo000000030?ooo`040000003omP00ooH00?of0080oooo00@00000
0?ooo`3oool000000P3oool2000000030?ooo`000000oooo0080oooo0`2mo`00103oool000000?oo
o`3oool2000000<0oooo00<000000?ooo`3oool00P000000103oool0Hol006?o000000020?ooo`80
0000103oool200000080oooo00D000000?ooo`3oool00000003o1P030?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool000001P3oool00`00oh00oooo0?ooo`0?0?ooo`03003do`3oool0
oooo00l0oooo00<005So0?ooo`3oool05@3oool000T0oooo2@0000000`3oool00000000000040000
0080oooo100000000`3oool0000000000002000000030?ooo`000000000000H000000P3ooolB0000
00030?ooo`000000000000h0000000<0oooo0000000000001`0000000`3oool00000000000090000
00030?ooo`000000000000D0000000D0oooo00000000000000000:oo0002000000030:oo003oool0
000000<0000000<0oooo000000000000100000001P3oool000000?ko00000000o_l00?ooo`800000
00@0oooo00000000000000000P3oool3000000070?ooo`00000000000?no00000000okl00?ooo`04
00000080oooo00@000000?ooo`3oool000000`3oool010000000oooo0?n9003oR@0600000080oooo
0P0000020?ooo`@0000000@0oeh00000003oGP0000000`3oool2000000@0oooo00<000000?ooo`00
00000P3oool20?lm008000001P3oool00`000000oooo0?ooo`02000000@0oooo00<0obD00000003o
ool00`3oool2000000H0oooo0`3o50000`3oool0oa@0000000050?ooo`8000000`3oool2000000<0
o`/01`3oool4000000P0oooo0P00000:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0203oool2000000<0oooo0`3o10000`3oool0000000000002000000P0oooo00@0o`T000000000
000000002P3oool200000080oooo0`3o4@050?ooo`8000002@3oool20?lJ00030000003oool0oooo
00P0oooo0P0000030?ooo`80ob801@3oool2000000@0oooo00<000000?ooo`3oool00P3oool20?lZ
00<0oooo00<000000?ooo`3oool00`3oool500000080oooo0P3o<0000`3oool00000000000030000
00@0oooo0P0000040?ooo`030?le003oool0ocD00080ocD01@3oool3000000D0oooo00<0ocP00?oo
o`3o>0000P3o>002000000P0oooo100000020?lj00030000003oool0oooo00h000000`3o?`000`00
0000oooo0?ooo`020?ooo`8000000`3oool3000000D0oooo0P0000020?ooo`<000001@3oool20?mR
00<0oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo00D000000?ooo`3oool000000?n6
000200000080oooo00<000000?ooo`3oool00`0000001`3oool000000?ooo`3oool000000?ooo`00
00000P3o^0001P000000oooo000000000000oooo00000080oooo0P0000001P3oool000000?ooo`3o
ool000000?ooo`80ooH00`3oool00`000000oooo000000020?ooo`<0000000<0oooo0000003oool0
0P3oool20;go0080oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo0?ooo`80
000000D0oooo06?o001So`00Hol00?ooo`0300000080oooo0P0000001@3oool000000?ooo`3oool0
00000080oooo0P00o`H0103oool000000?ooo`0000030?ooo`070000003oool0oooo0?ooo`000000
oooo000000040?ooo`03003oP03oool0oooo00l0oooo00<00?Co0?ooo`3oool03`3oool00`00F?l0
oooo0?ooo`0E0?ooo`002@3oool9000000030?ooo`000000000000@0000000<0oooo000000000000
0`0000000`3oool0000000000002000000030?ooo`000000000000H000000P3ooolB000000030?oo
o`000000000001L0000000<0oooo0000000000002`0000000`3oool0000000000008000000030?oo
o`00000000000080000000D0oooo00000000000000000?ooo`07000000050?ooo`3no`0000000?ko
003oool01P0000020?ooo`030000003oool000000080oooo00@000000?no00000000okl01@000002
0?ooo`040000003oool0oooo00000080oooo0P0000000`3oool0ohT00?n9000500000080oooo00D0
00000?ooo`000000oooo000000020?ooo`8000000P3oGP000`3oool000000?ooo`020?ooo`800000
0`3oool00`000000oooo000000020?ooo`030?lm003oool0ocd0008000001@3oool010000000oooo
0?ooo`0000040?ooo`<0obD0103oool00`000000oooo0?ooo`080?ooo`80oa@01@3oool3000001@0
oooo100000050?ooo`8000002@3oool2000000X0oooo00<000000?ooo`3oool01`3oool2000000H0
oooo0`00000<0?ooo`80o`T0403oool0103o4@00oooo0?lA003o4@040?ooo`800000203oool0103o
6P00oooo0?lJ003o6P0;0?ooo`040000003oool0oooo0?ooo`<0ob801@3oool00`000000oooo0?oo
o`020?ooo`060000003oool0oooo0?ooo`3o:P00oooo0P3o:P020?ooo`030000003oool0oooo00<0
oooo0P0000020?ooo`040000003oool0oc000?ooo`80oc0000<0oooo0000000000001`3oool20000
00<0oooo00@0ocD00?ooo`3oool0oooo0P0000040?ooo`@00000103oool20?lh00@0oooo1000000:
0?ooo`80ocX0400000050?ooo`T00000103oool200000080oooo0P0000000`3oool000000?ooo`09
0?ooo`@000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool00P0000001P3oool000000?ooo`000000oooo00000080oooo00@000000?nh
00000000oooo0`0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`3oool00P00
00020?of0080oooo00@000000?ooo`3oool000000P3oool200000080oooo00@000000?ooo`3oool0
00000P2mo`000`3oool00000000000020?ooo`8000000P3oool00`000000oooo0?ooo`0300000005
0?ooo`1So`00Hol00000003oool00`0000020?ooo`80000000@0oooo0000003oool000000`3oool3
003o1P030000003oool0000000<0oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo
00<00?n00?ooo`3oool0403oool00`00m?l0oooo0?ooo`0?0?ooo`03001Ho`3oool0oooo01D0oooo
00090?ooo`H0000000<0oooo0000000000001`0000000`3oool0000000000003000000030?ooo`00
0000000000/000000P3oool4000000030?ooo`000000000002D0000000<0oooo0000000000002`00
00000`3oool000000?ooo`02000000030?ooo`000000000000P0000000D0oooo0000000000000000
0?ooo`0;000000030?ooo`000000000000@000000P3oool02@000000oooo000000000000oooo0000
003oool000000?no000500000080oooo00@000000?ooo`3oool000000P3oool2000000030?n9003o
ool0ohT000D000000P3oool01P000000oooo0000003oool000000?ooo`80000000<0oeh00?ooo`3o
GP000P0000001@3oool000000000003oool0000000<0oooo00L000000?ooo`000000oooo0?lm003o
ool0ocd0008000001@3oool00`000000oooo0?ooo`02000000<0oooo00@0obD00?ooo`3o9@000000
0`3oool00`000000oooo0?ooo`080?ooo`030?lD003oool0oooo00<0oooo0`00000I0?ooo`<00000
1@3oool2000000P0oooo0P0000090?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
5P3oool00`3o2@00oooo0?ooo`0>0?ooo`030?lA003oool0oooo00@0oooo0`0000080?ooo`040?lJ
003oool0oooo000000/0oooo0P0000020?ooo`030?lR003oool0000000D0oooo00<000000?ooo`3o
ool00P3oool01`000000oooo0?ooo`3oool0obX00?ooo`0000000`3oool2000000D0oooo00H00000
0?ooo`3oool000000?ooo`3o<0040?ooo`8000001`3oool2000000<0oooo00<0ocD00?ooo`3oool0
0P3oool2000000@0oooo100000040?ooo`030?lh003oool0oooo00D0oooo0P00000O0?ooo`800000
0P3oool2000000D0oooo0P0000030?ooo`040000003oool00000000000X0oooo100000030?ooo`07
0000003oool0oooo0?ooo`000000oooo000000020?ooo`050000003oool0oooo0?ooo`0000000P3o
ool01@000000oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo
000000000000oooo000000<0oooo00<000000?ooo`0000000P3oool010000000oooo0000003omP03
0?ooo`050000003oool000000000003oool00`0000000`3oool000000?ooo`020?ooo`050000002m
o`00oooo0?ooo`0000000P3oool2000000<0oooo00<000000?ooo`3oool00P0000020?ooo`80Hol0
0P3oool2000000<0oooo0`0000020?ooo`040000003oool0oooo0?ooo`800?l600@0oooo0000003o
ool000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<00?n0403oool0
0`00m?l0oooo0?ooo`0?0?ooo`03001Ho`3oool0oooo01H0oooo00090?ooo`H0000000<0oooo0000
000000001`0000000`3oool000000?ooo`03000000030?ooo`000000000000/0000000<0oooo0000
000000000`0000000`3oool000000000000<000000030?ooo`000000000000L0000000<0oooo0000
000000000P0000000`3oool0000000000007000000030?ooo`000000000000T0000000D0oooo0000
0000000000000?ooo`02000000030?ooo`00000000000140000000<0oooo0000000000002`000002
0?ooo`030000003oool0000000D0000000<0oooo0000000000000P0000030?ooo`040000003oool0
000000000080oooo00@000000?ooo`000000oooo1P0000001P3oool000000?ooo`000000oooo0000
0080oooo0P0000001`3oool000000?mN00000000oooo0000003oool00P0000040?ooo`800000103o
ool00`3o?@000000000000050?ooo`040000003oool00000000000H0oooo00D0obD00?ooo`3oool0
oooo0000000?0?ooo`<000007P3oool00`000000oooo0?ooo`030?ooo`800000203oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool200000080
oooo00<0oa400?ooo`3oool00`3oool010000000oooo0?ooo`0000080?ooo`030?lJ003oool0oooo
008000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool01P000000oooo0?ooo`3oool0obX00?ooo`8000000`3oool00`000000oooo0?oo
o`030?ooo`060000003oool0oooo0000003oool0oc001@3oool2000000H0oooo0`0000080?ooo`03
0000003oool0oooo00<0oooo1@00000;0?ooo`@000001P3oool00`000000oooo0?ooo`0<0?ooo`X0
00001@3oool2000000<0oooo1000000<0?ooo`80000000D0oooo0000003oool0oooo000000030?oo
o`050000003oool0oooo0000003oool00P0000020?ooo`030000003oool0oooo0080000000H0oooo
0000003oool000000?ooo`0000020?ooo`040000003oool000000?ooo`<0000000@0oooo0000003o
ool0oooo0P0000001`3oool000000?ooo`3oool000000?ooo`000000103oool00`000000oooo0000
00020?ooo`<0000000<0oooo0000003oool00P3oool01@000000_Ol00?ooo`3oool000000080oooo
0P0000030?ooo`030000003oool0oooo008000000P3oool01P1So`0000000?ooo`000000oooo0000
00<0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`000002003o1P040000003oool0
oooo000000<0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`<00?n03`3oool2003doa40
oooo00<005So0?ooo`3oool03`3oool00`1G0?l0oooo0?ooo`040?ooo`002@3oool00`1Y0?l00000
00000004000000030?ooo`000000000000H0000000<0oooo0000000000004@0000000`3oool00000
00000003000000030?ooo`000000000000`0000000<0oooo0000000000001`0000000`3oool00000
00000002000000030?ooo`000000000000L0000000<0oooo0000000000000P0000000`3oool00000
00000004000000030?ooo`000000000000T0000000<0oooo000000000000300000000`3oool00000
0000000:00000080oooo100000000`3oool000000?ooo`02000000030?ooo`000000000000800000
0P3oool010000000oooo0?ooo`0000020?ooo`80000000D0oooo0000003oool000000?ooo`030000
0080oooo00X000000?ooo`000000oooo0000003oool000000?ooo`000000oooo0`0000001@3oool0
00000000003oool0000000<0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`00000000001P3oool01@000000oooo0?ooo`3oool0000000l0oooo00<000000?ooo`3oool09`3o
ool2000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0^0?ooo`8000001`3o
ool01@000000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000050?ooo`80
000000<0oooo0000003oool01P3oool2000000H0oooo00<000000?ooo`000000203oool2000000D0
oooo00<000000?ooo`3oool00P00000=0?ooo`H0000000<0oooo000000000000300000000`3oool0
000000000003000000L0oooo0P0000030?ooo`80000000<0oooo0000003oool0303oool200000003
0?ooo`000000oooo0080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00@00000
0?ooo`3oool000000`3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`000000
0P3oool01P000000oooo000000000000oooo000000<0oooo00<000000?ooo`0000000P3oool40000
00<0oooo00@000000?ooo`3oool000000P3oool200000080oooo00<000000?ooo`3oool00P000002
0?ooo`8000000P3oool2000000<0oooo00<000000?ooo`0000000P0000020?ooo`0306?o00000000
oooo00<000000P3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool01P0000000?l60?oo
o`000000oooo000000@0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`800?n0403oool3
003doa00oooo00<005So0?ooo`3oool03`3oool00`1G0?l0oooo0?ooo`040?ooo`002@3oool00`1Y
0?l0000000000004000000030?ooo`000000000000H0000000<0oooo0000000000004@0000000`3o
ool0000000000003000000030?ooo`000000000000<0000000<0oooo0000000000004`0000000`3o
ool000000?ooo`09000000030?ooo`000000000000T0000000<0oooo0000000000002@0000001@3o
ool00000000000000000oooo00@0000000<0oooo000000000000100000000`3oool0000000000005
000000040?ooo`000000000000000080oooo00P000000?ooo`00000000000?ooo`000000oooo0000
0080oooo100000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`000000
103oool000000000000000020?ooo`8000000P3oool01P000000oooo0000003oool000000?ooo`80
00000P3oool2000000030?ooo`000000oooo0080oooo0P0000050?ooo`800000103oool00`000000
oooo0?ooo`02000000D0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`@00000:@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0<03oool20000
00D0oooo00<000000?ooo`3oool00P3oool2000000X0oooo0P0000050?ooo`8000000`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`040?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`000000203oool0
0`000000oooo0?ooo`040?ooo`040000003oool00000000000P0oooo00<000000?ooo`3oool00`3o
ool200000080oooo00<000000?ooo`3oool0403oool@000000X0oooo0P0000040?ooo`040000003o
ool00000000000`0oooo0`0000000`3oool000000?ooo`020?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`040000003oool0oooo000000<0oooo0P0000001P3oool000000?ooo`00
0000oooo00000080oooo00@000000?ooo`000000oooo0`000000103oool000000?ooo`3oool20000
00060?ooo`000000oooo0?ooo`000000oooo0P0000030?ooo`050000003oool000000000003oool0
0`0000000`3oool000000?ooo`020?ooo`8000000P3oool2000000040?ooo`000000000000000080
oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool00000008000000P3oool200000005
0?ooo`000000oooo0?ooo`0000000P3oool01P0000000?l60?ooo`000000oooo000000@0oooo00H0
00000?ooo`3oool000000?ooo`0000030?ooo`800?n0403oool2003doa00oooo0P00F?lA0?ooo`03
05L0o`3oool0oooo00@0oooo00090?ooo`0306T0o`000000000000@0000000<0oooo000000000000
1P000000103oool0000000000000A_l@000000030?ooo`000000000000<0000000<0oooo00000000
00006`0000000`3oool000000000000600000080oooo2`0000000`3oool000000000000900000005
0?ooo`00000000000000003oool0100000000`3oool0000000000004000000030?ooo`0000000000
0080000000<0oooo000000000000100000020?ooo`090000003oool000000000003oool000000?oo
o`000000oooo00D0000000<0oooo0000000000000P3oool4000000030?ooo`000000oooo00D00000
0P3oool01@000000oooo0000003oool000000080oooo0P0000001@3oool00000000000000000oooo
0080000000<0oooo0000003oool00`3oool2000000@0oooo0P0000050?ooo`040000003oool00000
000000D0oooo00L000000?ooo`3oool0oooo0000003oool0000000/0oooo0P0000000`3oool00000
0?ooo`1`0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`8000002`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool010000000oooo
0?ooo`0000070?ooo`030000003oool0000000L0oooo0`0000050?ooo`80000000<0oooo0000003o
ool01`3oool2000000D0oooo1@00000V0?ooo`@00000103oool4000000d0oooo0`000000103oool0
00000?ooo`3oool2000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`000002
0?ooo`80000000@0oooo0000003oool000000P3oool00`000000oooo000000020?ooo`060000003o
ool000000000003oool000000`3oool00`000000oooo000000030?ooo`<000000`3oool200000004
0?ooo`000000oooo0?ooo`<0000000<0oooo0000003oool00P3oool200000080oooo00<000000?oo
o`3oool00P0000030?ooo`030000003oool0oooo008000000`3oool00`000000oooo0?ooo`030000
0080oooo0P000000103oool000000?ooo`0000030?ooo`060000003oool0oooo0000003oool00000
0`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool00`00oh00oooo0?ooo`0?0?oo
o`800?Co403oool3001Hoa00oooo00<0E`3o0?ooo`3oool0103oool000T0oooo0P1Y0?l500000003
0?ooo`000000000000H0000000@0oooo00000000000004Ko400000000`3oool00000000000030000
00030?ooo`000000oooo01/0000000<0oooo0000000000001P0000020?oooa@0000000@0oooo0000
00000000oooo1@000000103oool000000000003ooolB00000080oooo00<000000?ooo`0000001@00
00000`3oool000000000000200000080oooo0P0000020?ooo`@0000000<0oooo0000000000001@00
00020?ooo`0:0000003oool000000?ooo`000000oooo0000003oool000000?ooo`8000000P3oool2
000000030?ooo`000000oooo0080oooo0P0000050?ooo`800000103oool010000000oooo00000000
00050?ooo`070000003oool0oooo0?ooo`000000oooo000000090?ooo`030000003oool0oooo00<0
00004@3oool400000580oooo0P00000:0?ooo`8000000`3oool00`000000oooo0?ooo`040?ooo`80
00001P3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool00P3oool20000
00@0oooo0P0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01@00
0000oooo0?ooo`3oool0000000L0oooo00@000000?ooo`00000000001P3oool00`000000oooo0000
00060?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool00P3oool2000000H0oooo
1@00000O0?ooo`@000001P3oool4000000h0oooo0`0000001@3oool000000?ooo`3oool0000000@0
oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`8000000P3oool01000
0000oooo0000003oool2000000040?ooo`000000oooo00000080oooo0P000000103oool000000?oo
o`3oool2000000060?ooo`000000oooo0?ooo`000000oooo0P0000030?ooo`040000003oool00000
00000080oooo0`000000103oool000000?ooo`3oool3000000030?ooo`00000000000080oooo0P00
00030?ooo`030000003oool0oooo008000000`3oool00`000000oooo0?ooo`0300000080oooo00<0
00000?ooo`0000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool01@000000
oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000`3oool00`00oh00oooo0?ooo`0?
0?ooo`03003do`3oool0oooo00l0oooo0P00F?l@0?ooo`80E`3o1P3oool000T0oooo0P1Y0?l50000
00030?ooo`000000000000D000000P3oool00`00000004Ko0016o`0@000000030?ooo`00i?l00000
00<0000000@0oooo000000000000oooo8@0000000`3oool000000?ooo`0E000000030?ooo`000000
000000T0000000<0oooo0000000000000P0000000`3oool000000000000;000000080?ooo`000000
00000?ooo`000000oooo0000003oool2000000030?ooo`00000000000080000000D0oooo0000003o
ool000000?ooo`02000000030?ooo`000000oooo00P000000P3oool200000080oooo00P000000?oo
o`00000000000?ooo`000000oooo00000080oooo00<000000?ooo`000000103oool2000000@0oooo
0P0000050?ooo`80000000<0oooo0000003oool0103oool01P000000oooo0?ooo`000000oooo0000
00P0oooo0P000000103oool0000000000000000=0?ooo`H00000E`3oool2000000X0oooo0P000002
0?ooo`030000003oool0oooo00D0oooo0P0000060?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D00000
0?ooo`3oool0oooo000000060?ooo`050000003oool0oooo0?ooo`0000001P3oool3000000H0oooo
0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool8000000T0oooo0`0000080?ooo`L000002P3oool2000000l0oooo0`0000001@3oool00000
0?ooo`3oool0000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000030?oo
o`060000003oool0oooo0000003oool000000P3oool01`000000oooo0?ooo`000000oooo0000003o
ool00P0000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`0000040?oo
o`080000003oool000000000003oool000000?ooo`0000020?ooo`030000003oool0oooo00800000
0P3oool200000080oooo0P0000030?ooo`030000003oool00000008000000`3oool00`000000oooo
00000002000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000050?oo
o`000000oooo0?ooo`0000000`3oool01P000000oooo0?ooo`000000oooo000001H0oooo00<00?Co
0?ooo`3oool03`3oool2001Hoa00oooo0P1G0?l60?ooo`002@3oool206T0o`D0000000<0oooo0000
000000001@0000020?ooo`0300000000A_l004Ko010000000P00i?l7000000030?ooo`0000000000
0240000000<0oooo0000000000002@0000001@3oool00000000000000000oooo00/0000000<0oooo
000000000000200000000`3oool0000000000006000000040?ooo`000000000000000080oooo00P0
00000?ooo`3oool000000?ooo`000000oooo00000080oooo100000000`3oool00000000000020?oo
o`80000000<0oooo0000003oool01P000000103oool000000?ooo`3oool2000000070?ooo`000000
oooo0000003oool000000?ooo`0200000080oooo0P0000000`3oool000000?ooo`020?ooo`800000
103oool3000000@0oooo0P0000000`3oool000000?ooo`040?ooo`060000003oool0oooo0000003o
ool00000203oool00`000000oooo0?ooo`02000000`0oooo1000001M0?ooo`8000002P3oool20000
00030?ooo`000000oooo00L0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0
000000D0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo0000
00060?ooo`050000003oool0oooo0?ooo`0000001`3oool3000000H0oooo00<000000?ooo`000000
0`3oool2000000@0oooo0P0000060?ooo`<000000`3oool3000000T0oooo2000000?0?ooo`800000
403oool3000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo
000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00@000000?ooo`00
0000oooo0P000000103oool000000?ooo`0000020?ooo`8000000P3oool01P000000oooo00000000
0000oooo00000080oooo100000030?ooo`80000000@0oooo000000000000oooo0`0000000`3oool0
00000?ooo`020?ooo`8000000P3oool2000000040?ooo`0000000000000000<0oooo00@000000?oo
o`0000000000103oool00`000000oooo00000002000000<0oooo00<000000?ooo`0000000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0000000@0oooo00H000000?ooo`3oool00000
0?ooo`00000X0?ooo`03001Ho`3oool0oooo00l0oooo0P1G0?l60?ooo`002@3oool00`1Y0?l00000
00000004000000030?ooo`000000000000D0000000D0oooo00000000A_l000000016o`0600000003
0?ooo`000000000000H0000000<0oooo003To`00i?l01`0000000`3oool000000000000700000003
003oT0000000000000P0000000<0oooo0000000000000P0000000`3oool000000000000<00000003
0?ooo`000000000000@0000000<0oooo0000000000002@0000001@3oool00000000000000000oooo
00X0000000<0oooo0000000000002P0000020?ooo`030000003oool0000000<0000000<0oooo0000
003oool00P000000103oool000000000003oool200000080oooo100000000`3oool000000?ooo`05
00000080oooo00H000000?ooo`000000oooo0000003oool2000000040?ooo`000000oooo00000080
oooo0`0000030?ooo`8000001@3oool2000000@0oooo00@000000?ooo`00000000001@3oool01P00
0000oooo0?ooo`000000oooo000000P0oooo00<000000?ooo`0000000P00000:0?ooo`<00000E`3o
ool00`000000oooo0?ooo`080?ooo`8000002P3oool3000000H0oooo00@000000?ooo`3oool00000
1P3oool2000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00P0000060?ooo`8000000P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0000000H0oooo00@000000?ooo`00000000000`3oool00`000000
oooo0?ooo`030?ooo`8000001`3oool3000000<0oooo0`00000K0?ooo`8000004@3oool300000003
0?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`80
00000P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3oool000000P3oool2000000060?ooo`00
0000oooo0?ooo`000000oooo0P0000030?ooo`040000003oool0000000000080oooo0`000000103o
ool000000?ooo`3oool3000000030?ooo`00000000000080oooo0P0000030?ooo`030000003oool0
oooo00800000103oool00`000000oooo0000000200000080oooo0P0000001@3oool000000?ooo`3o
ool000000080oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`060000003oool0oooo0000
003oool00000:03oool00`00F?l0oooo0?ooo`0?0?ooo`80E`3o1P3oool000T0oooo00<0J@3o0000
00000000100000000`3oool0000000000005000000050?ooo`00000004Ko00000000A_l01P000000
0`3oool000000000000600000003003To`3oool00>Co00L0000000<0oooo0000000000001P000002
003oT0X0000000<0oooo0000000000000P0000000`3oool00000003o5@0<000000030?ooo`000000
000000@0000000<0oooo0000000000002@0000001@3oool00000000000000000oooo00@0000000<0
oooo000000000000100000000`3oool0000000000002000000030?ooo`000000000000@000000P3o
ool00`000000oooo00000005000000030?ooo`00000000000080000000D0oooo0000003oool00000
0?ooo`04000000030?ooo`000000000000H000000P3oool2000000040?ooo`000000oooo0?ooo`80
000000D0oooo00000000000000000?ooo`04000000<0oooo0P0000040?ooo`800000103oool01000
0000oooo0000000000050?ooo`040000003oool0oooo0?ooo`800000203oool010000000oooo0000
0000000:0?ooo`800000303oool8000004H0oooo0P00000:0?ooo`8000002P3oool2000000H0oooo
0P0000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00800000
1`3oool010000000oooo0?ooo`0000070?ooo`030000003oool0000000H0oooo100000030?ooo`80
00001@3oool2000000P0oooo0`0000030?ooo`H00000503oool00`000000oooo0?ooo`0@0?ooo`<0
000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
0080oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00H0
00000?ooo`00000000000?ooo`0000020?ooo`040000003oool0oooo00000080oooo00H000000?oo
o`3oool000000?ooo`0000030?ooo`<00000103oool01`000000oooo000000000000oooo0000003o
ool00P000000103oool000000?ooo`3oool3000000030?ooo`00000000000080oooo0P0000030?oo
o`030000003oool0oooo00800000103oool00`000000oooo0000000200000080oooo0P000000103o
ool000000?ooo`0000030?ooo`060000003oool0oooo0000003oool00000103oool01P000000oooo
0?ooo`000000oooo000003X0oooo00<0E`3o0?ooo`3oool01@3oool000T0oooo00<0J@3o00000000
00001P000000103oool000000000003oool2000000040?ooo`00000000000016o`P0000000<0oooo
0000000000001@0000000`00i?l0oooo003To`03000000030?ooo`000000000000X000000P00oi00
0`3oool0000000000007000000030?ooo`00000000000080000000<0oooo00000000oaD04@000000
0`1Eo`00000000000008000000040?ooo`00000000000?ooo`<0000000<0oooo0000003oool00P00
00000`3oool0000000000006000000030?ooo`000000000000L0000000P0oooo000000000000oooo
0000003oool000000?ooo`80000000<0oooo0000000000000P0000000`3oool00000000000020?oo
o`80000000D0oooo0000003oool000000?ooo`060000000;0?ooo`000000oooo0000003oool00000
0?ooo`000000oooo0000003oool00P0000020?ooo`<000000`3oool2000000D0oooo0P0000040?oo
o`030000003oool0000000H0oooo00<000000?ooo`3oool00P0000070?ooo`80000000<0oooo0000
000000002P3oool00`000000oooo0?ooo`080?ooo`@000001`3oool7000000H0oooo0`0000090?oo
o`8000002P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo0P00000:0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool3000000D0oooo00D000000?oo
o`3oool0oooo000000060?ooo`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool01`000000oooo0?oo
o`3oool000000?ooo`0000001@3oool01@000000oooo0000003oool0000000L0oooo00@000000?oo
o`3oool000001`3oool00`000000oooo000000080?ooo`800000103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo100000050?ooo`D000002@3oool6000000L0oooo00<00000
0?ooo`3oool0203oool3000000030?ooo`000000oooo00<0oooo00@000000?ooo`3oool0oooo0P00
00001@3oool000000?ooo`3oool0000000<0oooo00<000000?ooo`0000000P0000020?ooo`030000
003oool000000080oooo0P000000103oool000000?ooo`0000020?ooo`050000003oool0oooo0000
003oool00`0000001P3oool000000?ooo`3oool000000?ooo`80000000<0oooo0000003oool00P00
00002@3oool000000000003oool000000?ooo`000000oooo000000030?ooo`8000000P3oool20000
0080oooo0P0000030?ooo`030000003oool0oooo008000000P3oool200000080oooo0`0000020?oo
o`@0000000<0oooo0000003oool00P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0000000h0?ooo`0305L0o`3oool0oooo00D0oooo
00090?ooo`0306T0o`000000000000`0000000@0oooo00000000000004Ko400000000`3oool00>Co
003To`03000000030?ooo`000000000000T0000000<00?n@00000000oi002P0000000`3oool00000
00000002000000030?ooo`00oaD00?lE00L0000000<0oooo0000000000001`0000000`1Eo`000000
00000008000000040?ooo`00000000000?ooo`<0000000<0/Ol00000000000000P0000000`3oool0
000000000002000000030?ooo`000000000000/0000000P0oooo0000003oool0oooo0000003oool0
00000?ooo`L0000000<0oooo0000000000000P3oool2000000050?ooo`000000oooo0000003oool0
100000030?ooo`8000000P3oool010000000oooo0000000000020?ooo`80000000<0oooo00000000
00000P0000030?ooo`800000103oool2000000H0oooo0P0000050?ooo`050000003oool0oooo0?oo
o`0000001`3oool010000000oooo0?ooo`00000X0?ooo`@000001@3oool3000000P0oooo0P00000:
0?ooo`8000002P3oool2000000T0oooo0P00000Q0?ooo`030000003oool0oooo00D0oooo0P00000:
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`07
0?ooo`800000203oool00`000000oooo000000070?ooo`040000003oool0oooo000000D0oooo00D0
00000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
4P3oool8000000030?ooo`000000oooo00X000002P3oool00`000000oooo0?ooo`080?ooo`<00000
00<0oooo0000003oool00`3oool010000000oooo0?ooo`3oool200000080oooo00@000000?ooo`3o
ool000000`3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`<000000P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0000000<000000`3oool01`000000oooo
000000000000oooo0000003oool00P000000103oool000000?ooo`3oool3000000030?ooo`000000
oooo0080oooo0P0000020?ooo`030000003oool0oooo00<000000`3oool00`000000oooo00000002
00000080oooo0P0000020?ooo`<000000P3oool00`000000oooo000000020?ooo`050000003oool0
oooo0?ooo`0000000P3oool00`000000oooo000000030?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`000000@03oool000T0oooo00<0J@3o0000000000000`0000000`3oool000000000
0006000000040?ooo`000000oooo0016oa00000000<0oooo003To`0000000`0000000`3oool00000
00000009000000<00?n@400000000`00oaD00000003o5@06000000030?ooo`000000000000H00000
0P1Eo`000`3oool0000000000007000000030?ooo`000000000000@0000000<0/Ol0000000000000
1`0000000`3oool0000000000005000000030?oo003oool00000008000000P3oool00`000000oooo
0?ooo`03000000030?ooo`000000000000D0000000<0oooo0000000000000P3oool2000000070?oo
o`00000000000000003oool000000?ooo`02000000<0oooo0P000000103oool000000?ooo`3oool2
00000080oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0000000@0oooo0P000006
0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`000000oooo000000070?ooo`040000003o
ool0oooo000001H0oooo0`00000D0?ooo`030000003o4000000000@0oooo100000070?ooo`030000
003o3@00oooo00P0oooo0P0000060?ooo`040?l7003oool0oooo0?ooo`800000:P3oool2000000P0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0
oooo0P0000090?ooo`800000203oool00`000000oooo000000070?ooo`040000003oool0oooo0000
00D0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00<0oooo0P00000D
0?ooo`h000003@3oool2000000@0oooo00<0oc400?ooo`3oool00`3oool3000000030?ooo`000000
oooo00<0oooo00@000000?ooo`3oCP00oooo0P0000020?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`0000000P0000001@3oMP00oooo0000003oool000000080oooo0P000000103oool0
00000?ooo`0000020?ooo`80000000D0oj/00000003oool000000?ooo`03000000<0oooo00D00000
0?ooo`000000oooo000000020?ooo`070000003oool000000000003oool000000?ooo`0400000080
oooo0`0000000`3oool00000000000020?ooo`8000000`3oool00`000000oooo0?ooo`0200000080
oooo00<000000?ooo`0000000P3oool200000080oooo0P0000001@3oool000000?ooo`3oool00000
0080oooo0P0000000`3oool000000?ooo`02000000<0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo000000100?ooo`002@3oool00`1Y0?l0000000000003000000030?ooo`0000000000
00H0000000@0oooo0000003oool004Ko400000000`3oool00>Co00000003000000030?ooo`000000
000000X0000000<00?n@0000000000003P000002003o5@0300000000oaD0000000D0000000<0oooo
0000000000001P0000000`1Eo`00000005Go0003000000030?ooo`000000000000D0000000@0oooo
00000000000000000P2ao`09000000030?ooo`000000000000<0000000@0oooo0000003oo`00oooo
0`0000020?ooo`030000003oool0oooo00<0000000<0oooo0000003oool00P0000001@3o_P000000
0000003oool000000080oooo0P0000001@3oool000000?ooo`000000oooo0080000000<0oooo0000
000000000P3oool02@000000oooo0000003oool000000?ooo`000000oooo000000020?ooo`030000
003oool0000000<000000`3oool2000000D0oooo00<000000?ooo`3oool0103oool2000000D0oooo
0P0000000`3oool000000?ooo`060?ooo`040000003oool0oooo000001<0oooo100000050?ooo`03
0?lD003oool0oooo0140oooo00@0oa000000000000000000103oool3000000L0oooo00<0o`d00000
003oool0203oool2000000D0oooo00@0o`L00?ooo`3oool0oooo0`00000X0?ooo`8000002@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo0P0000090?ooo`030000003oool0
oooo00P0oooo0P0000070?ooo`040000003oool0oooo000000L0oooo00@000000?ooo`3oool00000
1@3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0103oool200000080
oooo00<000000?ooo`3oool07P3oool00`3o8P00oooo0?ooo`050?ooo`8000001@3oool0103o<@00
oooo0?ooo`3o<@020?ooo`<0000000<0oooo0000003oool00`3oool02@000000oooo0?ooo`3oCP00
00000?m>00000000oooo000000020?ooo`8000000P3oool02P000000oooo0000003oool000000?oo
o`3oMP0000000?mf000000030?ooo`<000000P3oool03@000000oooo0?ooo`000000oooo0?n[0000
0000oooo0?n[003oool000000?ooo`0000000P3oool4000000060?ooo`000000oooo0?ooo`3ok000
oooo0P0000000`3oool000000?ooo`03000000<0oooo0`0000000`3oool00000000000020?ooo`80
00000`3oool00`000000oooo0?ooo`0200000080oooo00@000000?ooo`000000oooo0`0000020?oo
o`80000000D0oooo0000003oool0oooo000000020?ooo`80000000<0oooo0000003oool00P000003
0?ooo`040000003oool0oooo00000080oooo0P0000110?ooo`002@3oool00`1Y0?l0000000000003
000000030?ooo`000000000000H0000000@0oooo0000003oool004Ko400000000`3oool00>Co0000
0005000000030?ooo`000000000000P0000000<00?n@0000000000003P000002003o5@0300000000
oaD0000000D0000000<0oooo0000000000001@00000205Go00030000001Eo`0000000080000000<0
oooo0000000000001@000000103oool000000000000000030;7o00/0000000@0oooo000000000000
oooo0P3oo`04000000080?ooo`00000000000?ooo`000000oooo0000003oool2000000060?ooo`00
0000okh00?nn00000000oooo0P0000020?ooo`80000000D0oooo0000003oool000000?ooo`050000
00040?n9003oool0000000000080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`03000000060?mN003oool0oooo0000003oool00000103oool2000000<0oooo00@000000?ooo`00
00000000103oool2000000040?ooo`000000oooo000000H0oooo00@000000?ooo`3oool000004@3o
ool3000000X0oooo0P3o500?0?ooo`80oa0000D0oooo0?l@003oool0oooo000000050?ooo`800000
103oool20?l=00040?ooo`3o3@000000000000P0oooo0P0000020?ooo`80o`L000<0oooo0?l7003o
ool0;@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0203oool2000000T0oooo0P0000090?ooo`800000203oool00`000000oooo000000080?ooo`04
0000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0
oooo00D0oooo00@000000?ooo`3oool000007@3oool20?lR00D0oooo0`0000070?ooo`030?la003o
ool0oc400080oooo0`0000000`3oool000000?ooo`030?ooo`090000003oool0oooo0?m>003oool0
odh00000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P000000103oool000000000003o
ool20?mf00040?ooo`000000oooo0?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`05
0000003oool0oj/00?ooo`3oZ`00100000030?ooo`0;0000003oool000000000003oool000000?oo
o`000000on`00?ooo`3ok0000P3oool01@000000oooo0000003oool0000000<0oooo0P0000020?oo
o`0400000035o`00oooo0?ooo`8000000`3oool00`000000oooo0?ooo`0200000080oooo00@00000
0?ooo`000000oooo0`0000020?ooo`@000000P3oool00`000000oooo0?ooo`02000000030?ooo`00
0000oooo008000000`3oool020000000oooo0?ooo`000000oooo0000003oool00000@@3oool000T0
oooo00<0J@3o0000000000000`0000000`3oool0000000000006000000040?ooo`00000000000016
oa00000000<0oooo003To`0000001@0000000`3oool000000000000800000003003oT00000000000
00P0000000<0oooo000000000000100000000`00oaD000000000000>00000080EOl000<0000005Go
000000000P0000000`3oool0000000000005000000050?ooo`00000000000;7o003oool00P2ao`02
000000030?ooo`000000000000H0000000@0oooo00000000000000000P3oo`04000000080?ooo`00
0000oooo0?ooo`000000oooo0000003oool400000080okh000@000000?ooo`00000000000P3oool8
000000030?ooo`00000000000080ohT000T0oooo000000000000oooo0000003oool000000?ooo`00
00000P3oool01@000000oooo0000003oool000000080oeh00P3oool2000000@0oooo0P0000030?oo
o`030000003oool000000080och00`3oool01P000000oooo0?ooo`000000oooo000000H0oooo00@0
00000?ooo`3o:00000003P3oool30?lJ00030000003oool0oooo00T0oooo1P3o500?0?ooo`<0oa00
2@3oool3000000<0oooo0`3o3@03000000P0oooo0P0000020?ooo`<0o`L04P3oool00`3o0P00oooo
0?ooo`0?0?ooo`030?l5003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`3o3@00oooo
0000000:0?ooo`030000003oool0oooo0080oooo00<0oa@00?ooo`3oool00`3oool2000000T0oooo
00<000000?lK003oool0203oool2000000H0oooo00D0oal00?ooo`000000oooo000000080?ooo`03
0000003oool000000080oooo00D0ob400?ooo`3oool0oooo000000030?ooo`030000003oool0oooo
0080oooo00D000000?ooo`3oool0oooo000000020?lP00D0oooo0P0000000`3oool0000000000006
0?ooo`H0oal03@3oool50?lR00<0oooo00<000000?ooo`3oool01`3oool30?la0080oooo0`000002
0?ooo`050000003oool0oooo0?ooo`0000000`3oool20?m>00040000003oool0oooo00000080oooo
00X000000?ooo`3oool0oooo0000003oool000000?ooo`000000oooo0P3oMP020?ooo`030000003o
ool0oooo00<000000P3oool00`000000oooo0?ooo`02000000050?ooo`3oZ`00oj/00000003oool0
0`0000030?ooo`080000003oool000000000003oool000000?ooo`0000020?o/00030000003oool0
oooo00<0000000<0oooo0000003oool00P3oool200000080oooo00@000000<Go0035o`00aOl00P00
00030?ooo`040000003oool0oooo00000080oooo00@000000?ooo`000000oooo0P1Zo`0200000080
oooo100000020?ooo`040000003oool0oooo00000080oooo00<00000003o000000000`3oool02@00
0000oooo0?ooo`3oool000000?ooo`000000oooo000000050?ooo`03003oN`3oool0oooo00l0oooo
00<00?Wo0?ooo`3oool03`3oool00`00Fol0oooo0?ooo`0E0?ooo`002@3oool6000000030?ooo`00
0000000000H0000000<0oooo0000000000004@0000000`3oool0000000000005000000030?ooo`00
0000000001<0000000<0oooo0000000000004@0000000`3oool0000000000005000000030?ooo`00
0000000000D0000000@0oooo000000000000oooo0P000000102ao`00oooo0000002ao`0200000003
0?ooo`000000000000P0000000@0oooo0?oo00000000ool00`0000020?ooo`030000003oool0oooo
00<0000000T0oooo00000000000000000?nn00000000okh00000003oool00P000000103oool00000
0000003oool3000000030?ooo`00000000000080000000D0ohT00?ooo`3oR@00oooo000000020?oo
o`040000003oool0000000000080oooo0P0000002P3oool000000000003oGP0000000?mN003oool0
00000?ooo`0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000och0103oool0
1@000000oooo0000003oool0000000L0oooo0P3o:0000`000000oooo0?ooo`0:0?ooo`<0oaX000<0
00000?lJ003oool00P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo00H0oooo0P00
000b0?ooo`030?l5003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool20?l=00030000003o
ool0oooo00P0oooo00<000000?ooo`0000000P3oool20?lD00@0oooo0P00000:0?ooo`80oa/0203o
ool00`000000oooo000000050?ooo`80oal000@0oooo0000003oool000001`3oool00`000000oooo
000000030?ooo`80ob400P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3o
ool0oooo000000030?lP00D0oooo00<000000?ooo`3oool00P0000050?ooo`80oal05@3oool30000
00X0oooo00@0oc400?ooo`3oool0oooo0`0000020?ooo`050000003oool0oooo0?ooo`000000103o
ool01@3oCP0000000?ooo`3oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`06
0000003oool0ogH00?mf003oool000000P3oool010000000oooo0000000000020?ooo`040000003o
ool0oooo00000080oooo0P3oZ`001@000000oooo0000003oool0000000<0oooo00D000000?ooo`00
0000oooo000000020?ooo`070000003ok000on`00000003oool000000?ooo`02000000030?ooo`00
0000oooo0080oooo0P0000020?ooo`0300000035o`00aOl000800000103oool010000000oooo0?oo
o`0000020?ooo`040000003oool000000?ooo`<0J_l00`3oool4000000030?ooo`000000oooo0080
oooo00<000000?ooo`3oool00P00o`001@000000oooo0?ooo`3oool000000080oooo00H000000?oo
o`3oool000000?ooo`0000050?ooo`03003oN`3oool0oooo00l0oooo00<00?Wo0?ooo`3oool03`3o
ool00`00Fol0oooo0?ooo`0E0?ooo`002@3oool6000000030?ooo`000000000000H0000000<0oooo
0000000000004@0000000`3oool0000000000006000000030?ooo`000000000000H0000000<0oooo
0000000000002@0000000`3oool000000000000<000000030?ooo`00000000000080000000<0oooo
000000000000400000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P00
00000`3oool0000000000003000000040?ooo`3oo`0000000?oo00<000000P3oool00`000000oooo
0?ooo`0200000080oooo0`0000001P3o_P0000000?nn00000000oooo00000080oooo0P0000001@3o
ool00000000000000000oooo00@000000P3oR@001@3oool000000000003oool000000080oooo0P00
00020?ooo`070000003oool0oooo0000003oGP0000000?mN00020?ooo`800000103oool2000000<0
oooo00<000000?ooo`3o?P000P3o?P030?ooo`030000003oool0oooo008000001P3oool30?lX0004
0000003oool0oooo000000/0oooo00@000000?lJ003o6P00oooo0`00001Y0?ooo`80o`D0203oool0
0`000000oooo0?ooo`060?ooo`80o`d000<000000?ooo`3oool0203oool400000080oooo0P3o5004
0?ooo`8000002@3oool20?lK00T0oooo0P0000060?ooo`<0oal00P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool000000080oooo00H0ob400?ooo`3o8@00ob400?ooo`0000030?ooo`050000
003oool0oooo0?ooo`000000103oool00`3o800000000?ooo`020?lP00@0oooo0P0000020?ooo`80
00001@3oool20?lO00l0oooo1000000@0?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo0P0000020?ooo`030000003oool0oooo008000000P3oool010000000
oooo0000003oool2000000050?ooo`3oMP00oooo0?ooo`0000000P3oool00`000000oooo00000003
0?ooo`040000003oool0oooo00000080oooo00<0oj/00?ooo`0000000P0000000`3oool000000?oo
o`020?ooo`<0000000L0oooo0000003oool0oooo0000003ok00000000080oooo00<000000?ooo`00
00000P0000030?ooo`<000000P3oool00`000000aOl00<Go0002000000<0oooo00<000000?ooo`3o
ool00P0000020?ooo`040000003oool000000?ooo`80J_l000@000000?ooo`3oool0oooo0`000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool3003o00<0oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo000000050?ooo`03003oN`3oool0oooo00l0oooo00<00?Wo0?ooo`3oool0
3`3oool00`00Fol0oooo0?ooo`0E0?ooo`002@3oool6000000030?ooo`000000000000H0000000<0
oooo0000000000004@0000000`3oool0000000000006000000030?ooo`00000000000180000000<0
oooo0000000000000P0000000`3oool0000000000007000000030?ooo`000000000000P0000000<0
oooo00000000000060000000103oool000000000003oool2000000040?ooo`00000000000?ooo`<0
00000P3oool01P000000oooo0000003oool000000?ooo`H0000000@0okh00?ooo`3oool000000P3o
ool40000000:0?ooo`00000000000000003oool000000?n9003oool0ohT00?ooo`80000000<0oooo
0000003oool00P0000020?ooo`80000000<0oooo0000003oGP000P0000000`3oGP00oooo0?ooo`02
000000@0oooo00<000000?ooo`3oool00P3oool010000000och00000003o?P040?ooo`@000001P3o
ool010000000oooo0?ooo`3o:0020?ooo`030000003oool0oooo00L0oooo0`000000103o6P00oooo
00000000001/0?ooo`030?l5003oool0o`D000L0oooo00<000000?ooo`3oool01`3oool20?l=00/0
oooo00<000000?ooo`0000000P3oool00`3o5000oooo0?lD00030?ooo`8000002P3oool20?lK00P0
oooo0`0000050?ooo`060?lO003oool0oooo0?lO003oool00000203oool00`000000oooo00000002
0?ooo`050?lQ003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00<0ob000000003oool01`3oool200000080oooo0P0000050?ooo`030?lO0000
0000000000`000004`3oool300000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`030?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`06
0000003oool0oooo0000003oool000000P3oool400000080oooo00<000000?ooo`3oool00P000000
1@3oool000000?ooo`000000oooo00<000000`3oool01`000000oooo000000000000oooo0000003o
ool00P0000001P3ok00000000?ooo`3oool000000?ooo`<000000`3oool020000000oooo0000003o
ool000000?ooo`35o`00oooo0P0000030?ooo`030000003oool0oooo008000000P3oool010000000
oooo0000003oool206[o00050000003oool0oooo0000003oool00P0000020?ooo`050000003oool0
oooo0?ooo`0000000P3oool2003o00050000003oool0oooo0?ooo`0000000P3oool01P000000oooo
0?ooo`000000oooo000000<0oooo00<00?mk0?ooo`00og/04@3oool00`00nOl0oooo0?ooo`0?0?oo
o`03001Ko`3oool0oooo01D0oooo00090?ooo`H0000000<0oooo0000000000001@0000000`3oool0
000000000008000000030?ooo`000000000000L0000000<0oooo0000000000006`0000000`3oool0
00000000000<000000030?ooo`000000000000P0000000D0oooo00000000000000000?ooo`0;0000
00030?ooo`000000000000P0000000@0oooo000000000000oooo0P0000000`3oool0000000000004
000000080?ooo`000000oooo0?ooo`000000oooo0000003oool7000000040?ooo`00000000000?oo
o`80000000<0oooo0000000000001`000000203oool0ohT00000003oool000000?ooo`000000oooo
0P0000020?ooo`030000003oool0oooo00<0000000<0oooo0?mN003oool00P0000040?ooo`800000
0`3oool01@000000oooo000000000000och000<0oooo0P0000000`3oool000000?ooo`050?ooo`04
0000003oool0oooo0?lX0080oooo00<000000?ooo`3oool01P3oool300000080oooo0P00000:0?oo
o`l00000C@3oool00`000000oooo0?ooo`040?ooo`040?l500000000oooo0?l500L0oooo00<00000
0?ooo`3oool01`3oool00`3o3@0000000?l=000:0?ooo`030000003oool0000000<0oooo00<0oa@0
0?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030?lK003oool0oa/000P0oooo0P000006
0?ooo`030?lO003oool000000080oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`00
00020?ooo`050?lQ003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<0ob00000000000000203oool200000080oooo0P00000T0?ooo`<00000
0`3oool01@000000oooo0?ooo`3oool0000000D0oooo0P0000020?ooo`030000003oool0oooo0080
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool0100000020?ooo`030000003oool0oooo0080000000P0oooo0000003oool000000?ooo`000000
oooo000000<0oooo00L000000?ooo`00000000000?ooo`000000oooo0080000000@0oooo0000003o
ool0oooo0`0000000`3oool000000?ooo`020?ooo`080000003oool000000?ooo`000000oooo0<Go
003oool2000000<0oooo00<000000?ooo`3oool00P0000020?ooo`8000000P3oool00`1Zo`000000
000000020?ooo`80000000D0oooo0000003oool0oooo000000030?ooo`030000003oool0oooo0080
0?l000D000000?ooo`3oool0oooo000000020?ooo`060000003oool0oooo0000003oool000000`3o
ool3003oNa40oooo00<00?Wo0?ooo`3oool03`3oool00`00Fol0oooo0?ooo`0E0?ooo`002@3oool0
0`1V0?l0000000000003000000030?ooo`000000000000D0000000<0oooo0000000000000P000000
0`3oool0000000000004000000030?ooo`000000000000H0000000D0oooo00000000000000000?oo
o`0I000000030?ooo`000000000000`0000000<0oooo000000000000200000001@3oool000000000
00000000oooo00L0000000D0oooo00000000000000000?ooo`0?000000030?ooo`000000000000D0
000000@0oooo0000003oool0oooo0`0000000`3oool0000000000005000000040?ooo`000000oooo
0?ooo`80000000D0oooo00000000000000000?ooo`04000000<0oooo0P0000020?ooo`030000003o
ool0000000<0oooo00<000000?ooo`0000000`0000030?ooo`8000000`3oool2000000@0oooo0`00
00050?ooo`80000000<0oooo0000003oool0103oool010000000oooo0000000000020?ooo`030000
003oool0oooo00H0oooo0`0000000`3oool00000000000080?ooo`@00000FP3oool3000000H0oooo
00@0o`D00000003oool0o`D01`3oool00`000000oooo0?ooo`070?ooo`030?l=003oool0000000<0
oooo00<000000?ooo`3oool0103oool00`000000oooo000000030?ooo`030?lD003oool0oooo00<0
oooo0P0000090?ooo`030?lK003oool0oooo00P0oooo0P0000090?ooo`030000003oool0000000L0
oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`8000000`3oool4000001l0oooo0`000003
0?ooo`050000003oool0oooo0?ooo`0000001@3oool200000080oooo00D000000?ooo`3oool0oooo
000000030?ooo`8000000P3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool010000000
oooo0000000000020?ooo`030000003oool0oooo0080000000<0oooo0000003oool00`0000000`3o
ool000000?ooo`020?ooo`030000003oool00000008000000P3oool01`000000oooo0?ooo`000000
oooo0000003oool00P0000000`3oool000000?ooo`020?ooo`8000000P3oool00`000000oooo0?oo
o`03000000<0oooo00<000000?ooo`3oool00P000000103oool000000?ooo`0000020?ooo`0306[o
0000000000000080oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo00@000000?ooo`3o
ool00?l00P0000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000`3oool3
003oN`l0oooo0`00nOlA0?ooo`03001Ko`3oool0oooo01D0oooo00090?ooo`0306H0o`0000000000
00<0000000<0oooo0000000000001@0000000`3oool0000000000002000000030?ooo`0000000000
00@0000000<0oooo0000000000001P0000001@3oool00000000000000000oooo00H0000000<0oooo
000000000000400000000`3oool000000000000<000000030?ooo`000000000000P0000000D0oooo
00000000000000000?ooo`07000000050?ooo`00000000000000003oool0100000000`3oool00000
00000008000000030?ooo`000000000000@0000000<0oooo0000000000000P3oool200000080oooo
1P0000020?ooo`030000003oool0oooo00@0000000<0oooo000000000000100000030?ooo`800000
00<0oooo0000003oool00P0000020?ooo`80000000@0oooo00000000000000000`3oool2000000@0
oooo0P0000030?ooo`80000000<0oooo0000003oool00`3oool2000000030?ooo`000000oooo00@0
oooo00<000000?ooo`0000000P3oool2000000P0oooo0P0000000`3oool00000000000070?ooo`<0
00002@3oool6000004`0oooo100000070?ooo`8000002P3oool00`000000oooo0?ooo`090?ooo`05
0000003oool0oooo0?ooo`0000001P3oool010000000oooo0?ooo`0000080?ooo`8000002P3oool0
0`000000oooo0?ooo`080?ooo`040000003oool0oooo000000H0oooo00D000000?ooo`000000oooo
000000060?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool2000000@0
oooo1@0000020?ooo`030000003oool0oooo01D0oooo0P0000001@3oool000000?ooo`3oool00000
00@0oooo00<000000?ooo`3oool00P3oool2000000<0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`<00000
0`3oool010000000oooo0000000000020?ooo`030000003oool000000080000000<0oooo0000003o
ool00P3oool2000000030?ooo`00000000000080oooo00L000000?ooo`00000000000?ooo`000000
oooo0080000000<0oooo0000003oool00P3oool200000080oooo00<000000?ooo`3oool00`000003
0?ooo`030000003oool0oooo0080000000@0oooo0000003oool000000P3oool00`000000oooo0000
00020?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`80000000<0oooo00000000o`00
0P0000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000103oool00`00og/0
oooo0?ooo`0>0?ooo`<00?Wo3`3oool2001KoaP0oooo00090?ooo`0306H0o`000000000000800000
0P3oool7000000050?ooo`000000oooo00000000BOl01`0000000`3oool000000000000500000003
0?ooo`00000000000080000000<0oooo000000000000100000000`3oool000000000000@00000003
0?ooo`000000000000`0000000<0oooo0000000000002@0000000`3oool000000000000<00000003
0?ooo`000000oooo0080000000<0oooo0000000000000P000000103oool000000000003oool20000
00040?ooo`00000000000?ooo`<0000000P0oooo000000000000oooo0000003oool000000?ooo`L0
000000H0oooo000000000000oooo0000003oool3000000030?ooo`000000000000@000000P3oool0
1P000000oooo0000003oool000000?ooo`8000000P3oool010000000oooo0000003oool2000000<0
oooo0P0000030?ooo`8000000`3oool010000000oooo0000000000040?ooo`050000003oool00000
0?ooo`0000001@3oool01@000000oooo0000003oool0000000P0oooo0`0000000`3oool000000?oo
o`070?ooo`030000003oool0oooo00P0oooo0`0000050?ooo`X000001P3oool3000000T0oooo0`00
00090?ooo`8000002P3oool2000000T0oooo1`0000000`3oool00000000000020?ooo`8000002P3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00D000000?ooo`3oool0oooo
000000060?ooo`040000003oool0oooo000000P0oooo0P00000:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool200000080oooo00<000000?ooo`3oool0103oool010000000
oooo0000000000060?ooo`040000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`030000003oool0oooo00<0oooo0P00000:0?ooo`030000003oool0oooo00H0oooo1000
000:0?ooo`030000003oool0oooo00P0oooo0P0000000`3oool000000?ooo`020?ooo`070000003o
ool0oooo0?ooo`000000oooo000000030?ooo`050000003oool0oooo0?ooo`0000000`3oool02000
0000oooo0?ooo`3oool000000?ooo`000000oooo0P0000001@3oool000000000003oool000000080
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`0200000080oooo0P0000000`3o
ool000000000000200000080oooo100000000`3oool000000?ooo`02000000060?ooo`000000oooo
0?ooo`000000oooo100000000`3oool000000000000200000080oooo00<000000?ooo`3oool00P00
00001@3oool000000?ooo`3oool000000080oooo0P0000000`3oool000000?ooo`02000000030?oo
o`000000000000<0oooo1@000000103oool000000?ooo`3oool2000000030?ooo`000000oooo00<0
000000<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`8000000`3oool00`00og/0
oooo0?ooo`0>0?ooo`800?Wo403oool3001Koa00oooo00<0E03o0?ooo`3oool0103oool000T0oooo
0P1V0?l300000080oooo10000000203oool000000000003oool000000?ooo`00000004Wo1`000000
0`3oool0000000000005000000030?ooo`00000000000080000000<0oooo0000000000005P000000
0`3oool000000000000<00000080oooo2`0000000`3oool000000?ooo`0;00000080oooo00D00000
0?ooo`00000000000?ooo`0400000080oooo100000000`3oool000000000000600000080oooo00@0
00000?ooo`000000oooo1`000000103oool000000?ooo`3oool2000000030?ooo`000000oooo00H0
00000`3oool010000000oooo0?ooo`3oool300000080oooo0P000000103oool000000?ooo`000003
0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`040000003oool00000000000D0oooo0`00
00040?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000
903oool6000000D0oooo0`0000090?ooo`8000002@3oool3000000T0oooo0`00000<0?ooo`@00000
6P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001P3oool01@000000
oooo0?ooo`3oool0000000H0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00@0oooo0P00000L0?ooo`<000002`3oool00`000000oooo00000002
0?ooo`800000103oool2000000<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool2
00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`02000000050?ooo`00
0000oooo0?ooo`0000000P3oool02P000000oooo0?ooo`000000oooo0000003oool000000?ooo`00
00030?ooo`070000003oool000000000003oool000000?ooo`02000000080?ooo`000000oooo0?oo
o`000000oooo0000003oool2000000060?ooo`00000000000?ooo`000000oooo0P0000020?ooo`80
000000@0oooo0000003oool000000P3oool200000080oooo00D000000?ooo`00000000000?ooo`02
000000<0oooo1@0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`0000000P00
00000`3oool000000?ooo`020?ooo`070000003oool000000?ooo`000000oooo000000030?ooo`03
003oN`3oool0oooo00l0oooo00<00?Wo0?ooo`3oool03P3oool3001Koa00oooo00<0E03o0?ooo`3o
ool0103oool000T0oooo0P1V0?l300000080oooo10000000203oool000000000003oool000000?oo
o`00000004Wo1`0000000`3oool0000000000005000000040?ooo`0000000000003VoaX0000000<0
oooo000000000000300000000`3oool0000000000002000000030?ooo`000000000000<0000000D0
oooo0000003oool000000?ooo`0;000000030?ooo`000000000000P000000P3oool=00000080oooo
0`0000000`3oool0000000000005000000040?ooo`000000oooo0?ooo`<000000P3oool00`000000
oooo0000000300000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo0P000000
103oool000000000000000030?ooo`8000000`3oool2000000<0oooo00H000000?ooo`0000000000
0?ooo`0000030?ooo`8000001@3oool00`000000oooo000000030?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`0000000P00000Z0?ooo`D00000103oool3000000P0oooo0`0000080?ooo`<0
00002P3oool4000002H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool00000
00L0oooo00@000000?ooo`3oool000001P3oool010000000oooo0?ooo`0000070?ooo`030000003o
ool0oooo00L0oooo0P0000060?ooo`800000303oool00`000000oooo0?ooo`090?ooo`<000003@3o
ool300000080oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000020?ooo`050000003o
ool0oooo0?ooo`000000103oool2000000030?ooo`00000000000080oooo00@000000?ooo`3oool0
00000P3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool01@000000oooo0?ooo`000000
oooo00<0000000<0oooo0000003oool00P3oool00`000000oooo0000000200000080oooo00@00000
0?ooo`3oool000000P3oool30000000:0?ooo`00000000000000003oool000000?ooo`000000oooo
000000<0oooo0P000000103oool000000?ooo`0000020?ooo`8000000P3oool00`000000oooo0000
00020?ooo`8000000P3oool00`000000oooo00000004000000<0oooo00X000000?ooo`3oool00000
0?ooo`000000oooo0000003oool000000`3oool01`000000oooo0000003oool000000?ooo`000000
5@3oool00`00nOl0oooo0?ooo`0?0?ooo`03001Ko`3oool0oooo00h0oooo0P1D0?l60?ooo`002@3o
ool206H0o`<0000000<0oooo0000000000001P0000000`3oool000000?ooo`030019o`H0000000<0
oooo0000000000001@000000103oool0000000000000i_lC000000030?ooo`000000000000@00000
00<0oooo000000000000300000000`3oool0000000000002000000030?ooo`000000000000<00000
00D0oooo00000000000000000?ooo`0;000000030?ooo`000000000000P0000000<0oooo00000000
00002@0000000`3oool00000000000020?ooo`8000000P3oool6000000030?ooo`00000000000080
oooo0`0000020?ooo`H000000P3oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool0
1@000000oooo0000003oool0000000<0oooo0P0000040?ooo`030000003oool0oooo0080oooo00D0
00000?ooo`000000oooo000000030?ooo`030000003oool0000000D0oooo0P0000030?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`000000<P3oool2000000D0oooo0`0000070?ooo`<00000
2@3oool3000000X0oooo1000000S0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
103oool01@000000oooo0?ooo`3oool0000000H0oooo00@000000?ooo`3oool000001`3oool01000
0000oooo0?ooo`0000070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`090?ooo``000003`3oool2000000050?ooo`000000oooo0?ooo`0000001@3o
ool2000000@0oooo00D000000?ooo`3oool0oooo000000030?ooo`080000003oool0oooo0?ooo`00
0000oooo0000003oool2000000050?ooo`00000000000?ooo`0000000`3oool2000000030?ooo`00
0000oooo0080000000<0oooo0000000000000P3oool00`000000oooo00000002000000030?ooo`00
0000oooo0080oooo00<000000?ooo`0000000P0000020?ooo`040000003oool0000000000080oooo
0`0000001@3oool00000000000000000oooo008000000P3oool010000000oooo0?ooo`3oool30000
0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool000000080oooo0P0000020?oo
o`030000003oool0000000@000000`3oool02P000000oooo0?ooo`000000oooo0000003oool00000
0?ooo`0000030?ooo`070000003oool000000?ooo`000000oooo0000000W0?ooo`03001Ko`3oool0
oooo00h0oooo0P1D0?l60?ooo`002@3oool00`1V0?l0000000000002000000030?ooo`0000000000
00H0000000<0oooo0000003oool00`00BOl>000000040?ooo`0000000>Ko003Vo`@0000000<0oooo
0000000000002P0000000`00ohd0000000000006000000030?ooo`000000000000`0000000<0oooo
000000000000200000001@3oool00000000000000000oooo00L0000000D0oooo0000000000000000
0?ooo`04000000030?ooo`000000000000<0000000<0oooo0000000000000P000000103oool00000
0000003oool3000000080?ooo`00000000000?ooo`000000oooo0000003oool7000000030?ooo`00
000000000080oooo0`0000000`3oool0000000000004000000<0oooo00D000000?ooo`3oool00000
0?ooo`0200000080oooo0P000000103oool000000000000000030?ooo`8000000`3oool2000000<0
oooo00<000000?ooo`0000000P0000040?ooo`8000001@3oool200000080oooo0P0000070?ooo`03
0000003oool0000001@0oooo2@00000H0?ooo`@00000103oool2000000L0oooo100000080?ooo`<0
0000;`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`800000103oool2000000<0oooo0P0000030?ooo`03
0000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000060?ooo`040000003oool0oooo
000000L0oooo00@000000?ooo`3oool000001`3oool010000000oooo0?ooo`0000070?ooo`030000
003oool0oooo00D0oooo0P00000T0?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo
0?ooo`020?ooo`800000103oool200000080oooo00D000000?ooo`3oool0oooo000000040?ooo`80
00000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0000003oool00P000002
0?ooo`80000000D0oooo000000000000oooo000000020?ooo`<0000000<0oooo0000003oool00P3o
ool00`000000oooo00000002000000040?ooo`00000000000?ooo`8000000P3oool3000000050?oo
o`000000oooo0000003oool00P0000020?ooo`040000003oool0oooo0?ooo`<000000P3oool00`00
0000oooo0?ooo`0200000080oooo00<000000?ooo`0000000P3oool200000080oooo0P0000000`3o
ool000000?ooo`02000000<0oooo00X000000?ooo`3oool000000?ooo`000000oooo0000003oool0
00000`3oool01`000000oooo0000003oool000000?ooo`0000009`3oool00`00Fol0oooo0?ooo`0>
0?ooo`80E03o1P3oool000T0oooo00<0IP3o0000000000000P0000000`3oool00000000000060000
00030?ooo`000000000000<004Wo3P000000103oool00000003Vo`00i_l4000000030?ooo`000000
000000T000000P00ohd8000000030?ooo`00000000000080000000D0oooo0000000000000000003o
4P05000000030?ooo`000000000000<0000000<0oooo0000000000000P0000000`3oool000000000
000:000000040?ooo`00000000000?ooo`@0000000<0oooo0000000000000`0000000`3oool00000
00000002000000040?ooo`00000000000?ooo`H0000000D0oooo0000003oool000000?ooo`070000
00060?ooo`00000000000?ooo`000000oooo0P0000000`3oool000000?ooo`04000000<0oooo00D0
00000?ooo`3oool000000?ooo`0200000080oooo00<000000?ooo`3oool00`0000020?ooo`800000
103oool01P000000oooo0?ooo`3oool000000?ooo`80000000<0oooo0000003oool00P3oool00`00
0000oooo000000040?ooo`050000003oool000000?ooo`0000001`3oool2000000030?ooo`000000
oooo0100oooo1000000T0?ooo`8000001@3oool3000000L0oooo0`0000090?ooo`<00000:P3oool0
0`000000oooo000000040?ooo`800000203oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00D0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo0?ooo`8000001@3oool01@000000oooo0?ooo`3oool0000000H0oooo00D000000?ooo`3o
ool0oooo000000060?ooo`040000003oool0oooo000000L0oooo0P0000000`3oool000000?ooo`06
0?ooo`8000001`3oool200000280oooo0P00000:0?ooo`030000003oool0000000@0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo0P0000020?ooo`040000003o
ool0000000000080oooo00<000000?ooo`3oool00P0000001@3oool000000?ooo`3oool000000080
oooo00@000000?ooo`3oool000000P3oool500000080oooo100000000`3oool000000?ooo`020000
00030?ooo`00000000000080oooo1@0000000`3oool000000000000200000080oooo00@000000?oo
o`3oool0oooo0`0000020?ooo`030000003oool0oooo008000000P3oool00`000000oooo00000002
0?ooo`8000000P3oool2000000030?ooo`000000oooo008000000`3oool02P000000oooo0?ooo`00
0000oooo0000003oool000000?ooo`0000020?ooo`080000003oool0oooo0000003oool000000?oo
o`00000i0?ooo`0305@0o`3oool0oooo00@0oooo00090?ooo`0306H0o`00000000000080000000<0
oooo0000000000001P0000001@3oool0000000000000000004Wo00H0000000<0oooo000000000000
1P000000103oool00>Ko00000000i_l4000000030?ooo`000000000000T000000P00ohd400000005
0?ooo`00000000000000003oool0100000001@3oool000000000000000000?lB00D0000000<0oooo
000000000000200000000`3oool0F?l00000000:000000060?ooo`00000000000?ooo`000000oooo
0P0000000`3oool000000000000200000080oooo100000000`3oool0000000000007000000050?oo
o`00000000000000003oool01P0000020?ooo`030000003oool0oooo00<000000P3oool00`000000
oooo0000000300000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool00000
008000000`3oool2000000<0oooo0P0000030?ooo`050000003oool000000?ooo`000000103oool2
000000@0oooo0`0000020?ooo`030000003oool0oooo00@0oooo00@000000?ooo`00000000003`3o
ool300000380oooo0P0000070?ooo`<00000<`3oool2000000030?ooo`000000oooo00<0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00@0
00000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000H0oooo00D000000?ooo`3o
ool0oooo000000070?ooo`040000003oool0oooo000000L0oooo00@000000?ooo`3oool000001`3o
ool00`000000oooo0?ooo`060?ooo`800000803oool2000000/0oooo0P0000040?ooo`8000000`3o
ool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`000000oooo0P0000000`3oool0
0000000000020?ooo`030000003oool0oooo0080000000D0oooo0000003oool0oooo000000020?oo
o`0:0000003oool0oooo0000003oool000000?ooo`000000oooo000000<0oooo100000000`3oool0
00000?ooo`02000000080?ooo`000000oooo0?ooo`000000oooo0000003oool2000000030?ooo`00
000000000080000000<0oooo0000000000000`3oool300000080oooo00<000000?ooo`3oool00P00
00020?ooo`040000003oool000000?ooo`<000000P3oool2000000030?ooo`000000oooo00800000
0`3oool02P000000oooo0?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`080000003o
ool0oooo0000003oool000000?ooo`00000i0?ooo`0305@0o`3oool0oooo00@0oooo00090?ooo`03
06H0o`00000000000080000000<0oooo0000000000001P0000001@3oool0000000000000000004Wo
00H0000000<0oooo0000000000001P000000103oool00>Ko003Vo`00i_l4000000030?ooo`000000
000000P0000000<00?n=00000000ohd0200000000`3oool0000000000005000000800?lB1@000000
0`3oool0000000000008000000030?ooo`1Ho`00000000`000000P3oool01@000000oooo00000000
0000oooo00@000000P3oool>000000030?ooo`00000000000080oooo1P0000000`3oool000000000
00020?ooo`<0000000H0oooo000000000000oooo0000003oool200000080oooo00@000000?ooo`3o
ool0oooo0`0000020?ooo`80000000@0oooo00000000000000000P3oool2000000@0oooo00<00000
0?ooo`3oool00P3oool3000000030?ooo`000000oooo0080oooo0P0000040?ooo`8000000`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0000000h0oooo0`00001c0?ooo`8000000P3oool0
10000000oooo0?ooo`3oool2000000P0oooo0P0000090?ooo`030000003oool0oooo00D0oooo00@0
00000?ooo`3oool000001@3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001`3oool010000000oooo0?ooo`0000070?oo
o`040000003oool0oooo000000L0oooo00@000000?ooo`3oool000001`3oool2000000P0oooo0P00
000F0?ooo`030?l:003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`3o8P00oooo0?oo
o`040?ooo`030000003oool0oooo0080oooo0P0000020?ooo`040000003oool0od<00?ooo`800000
0`3oool200000080oooo00<000000?ooo`3oool00P000000103oool000000?ooo`3oool300000005
0?ooo`000000oooo0?ooo`0000000P3oool01@000000oooo0?ooo`000000oooo00<0000000<0oooo
0000003oool00P3oool01`000000oooo000000000000oooo0000003oool00P000000103oool00000
0?ooo`3oool3000000040?ooo`00000000000?ooo`@0000000<0oooo0000000000000P3oool40000
0080oooo00<000000?ooo`0000000P0000020?ooo`<0000000@0oooo00000000000000000P3oool2
000000030?ooo`000000oooo008000000`3oool00`000000oooo000000020?ooo`8000000P3oool0
10000000oooo0?ooo`0000020?ooo`050000003oool000000?ooo`000000@03oool000T0oooo00<0
IP3o0000000000000P0000000`3oool0000000000006000000050?ooo`000000000000000000BOl0
1P0000000`3oool000000?ooo`06000000030?ooo`0000000>Ko010000000`00ohd8000000030?oo
o`000000000000D000000P00oa8400000080oooo2P00000205So00030000003oool0000000@00000
00<0oooo0000000000000`0000001@3oool00000000000000000/ol000H0000000<0oooo00000000
0000200000001@3oo@00oooo000000000000oooo00<000000P3oool6000000030?ooo`0000000000
0080oooo0`0000000`3oool000000?ooo`04000000<0oooo00D000000?ooo`3oool000000?ooo`02
00000080oooo00@000000?ooo`000000oooo0P0000020?ooo`8000000`3oool2000000<0oooo00D0
00000?ooo`000000oooo000000030?ooo`8000001@3oool200000080oooo00<000000?ooo`3oool0
103oool00`000000oooo000000020?ooo`<00000203oool2000000L0oooo0`00000K0?ooo`030?lI
003oool0oooo0440oooo00<0okmd0000000000000`0000000`00M;l0oooo0?ooo`020?ooo`<00000
0`3oool00`000000oooo0?ooo`02000000T0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`050?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00P3oool2000000@0
oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000L0oooo00@000000?oo
o`3oool000001`3oool010000000oooo0?ooo`0000080?ooo`030000003oool0000000P0oooo00<0
00000?ooo`3oool01`3oool2000001D0oooo00<0o`X00?ooo`3oool01@3oool2000000H0oooo00<0
ob800?ooo`3o8P00103oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool01@000000
oooo0?m3003oool0od<000@0oooo0P0000020?ooo`040000003oool0oooo00000080oooo00D00000
0?m_003oool0ofl00?ooo`0200000080oooo0P0000000`3oool00000000000020?ooo`030000003o
ool0000000@000000`3oool01`000000oooo000000000000oooo0000003oool00P000000103oool0
00000?ooo`3oool3000000040?ooo`000000oooo0?ooo`@0000000<0oooo0000000000000P3oool3
000000<0oooo00<000000?ooo`0000000P0000020?ooo`8000000P3oool300000080oooo0P000000
103oool000000?ooo`0000030?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`0000000000@@3oool000T0oooo00<0IP3o00000000
00000P0000000`3oool0000000000005000000030?ooo`00000000000080000000<004Wo00000000
0000100000000`3oool0000000000006000000050?ooo`0000000>Ko0000003oool03`000002003o
S@P0000000<0oooo00000000000010000003003o4P@000000P3oool:0000000405So003oool0F?l0
0?ooo`/0000000<0oooo0000000000000P2co`06000000030?ooo`000000000000D0000000D0oooo
000000000000ood00?ooo`02000000050?ooo`000000oooo0000003oool01`0000000`3oool00000
0?nl00020?ooo`<0000000<0oooo0000003oool0100000030?ooo`030000003oool0oooo00800000
00<0oooo0000003oool00P000000103oool000000000000000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P3oool3000000070?ooo`000000oooo0?ooo`000000oooo00000004
0?ooo`8000000P3oool00`000000oooo0?ooo`030?ooo`80000000D0oooo0000003oool0oooo0000
00090?ooo`80000000<0oooo0000003oool00`3oool3000000P0oooo0`0000000`3o6`0000000000
0002000000l0oooo00<0oaT00?ooo`3oool03@3oool00`3o5P00oooo0?ooo`0?0?ooo`80oa<08P3o
ool0102LB4P0W=oo0000000000030?ooo`8000001@3oool010000000oooo0000000000090?ooo`03
0000003oool0oooo00P0oooo0P0000070?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`8000001@3oool01@000000oooo0?ooo`3oool0
000000L0oooo00@000000?ooo`3oool000001`3oool010000000oooo0?ooo`0000080?ooo`030000
003oool0000000P0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0B0?ooo`04
0?l:003oool0oooo0?l:00D0oooo00<000000?ooo`3oool01@3oool20?lR00D0oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`030000003oool0oooo0080od<000P000000?ooo`3oool0oooo0000
003oool000000?ooo`8000000P3oool020000000oooo0?ooo`000000ofl00?ooo`3oK`00oooo0P00
00020?ooo`030000003oool0oooo008000000P3oool01`000000oooo0000003oY@0000000?nU0000
00000`3oool01`000000oooo000000000000oooo0000003oool00P000000103oool000000?oW003o
ool3000000040?ooo`000000oooo0?ooo`@0000000<0oooo0000000000000P3oool3000000<0oooo
00@000000?ooo`00000000000`3oool200000080oooo0P0000030?ooo`80000000@0oooo0000003o
ool000000`3oool01@000000oooo0?ooo`000000oooo00<000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0000000000440oooo00090?ooo`0306H0o`00000000000080000000<0
oooo0000000000001@0000000`3oool0000000000002000000030019o`000000000000@0000000<0
oooo0000000000001P0000001@3oool00000003Vo`000000oooo00H0000000<0oooo000000000000
1P0000000`00ohd0000000000007000000030?ooo`000000000000@000000`00oa84000000030?oo
o`000000000000P000000P1Ho`000`3oool0F?l00?ooo`0;000000030?ooo`00000000000080/ol0
00<0oooo0000000000000`0000000`3oool0000000000005000000050?ooo`000000ood00?om003o
ool00P0000001@3oool00000000000000000oooo00H000000P3oool00`000000ok`00?ooo`030000
0080oooo1P0000020?ooo`050000003oool0oooo0?ooo`3oQ`000P0000000`3oool0000000000005
00000080oooo0P0000030?ooo`030?mM00000000oooo0080oooo0`0000000`3oool000000?ooo`02
0?ooo`8000001@3oool2000000030?ooo`000000oooo00@0oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`060?ooo`80000000@0oooo000000000000oooo100000040?ooo`L00000
103oool20?lK0080oooo200000070?ooo`030?lI003oool0oooo00h0oooo00<0oaH00?ooo`3oool0
403oool20?lC00h0oooo0`3o3`0=0?ooo`D000000P3oool3000000H0oooo0`0000090?ooo`800000
2P3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool01@000000
oooo0?ooo`3oool0000000L0oooo00@000000?ooo`3oool000001`3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`000000203oool00`000000oooo
0?ooo`030?ooo`800000303oool00`3o2P00oooo0?l:00050?ooo`030000003oool0oooo00H0oooo
0P3o8P040?ooo`030000003oool0oooo0080oooo0P0000020?ooo`030000003oool0oooo0080od<0
00P000000?ooo`3oool0oooo0000003oool000000?ooo`8000000P3oool010000000oooo0?ooo`00
00020?m_0080000000D0oooo0000003oool0oooo000000020?ooo`80000000D0oooo0000003oool0
oooo000000020?nU008000000`3oool2000000030?ooo`00000000000080oooo00L000000?ooo`3o
ool000000?oW003oool0onL00080000000@0oooo0000003oool0oooo0P0000000`3oool000000?oo
o`0200000080oooo00<0bOl000000039o`000`3oool010000000oooo0000000000020?ooo`030000
003oool000000080oooo0P0000030?ooo`H000000`3oool01@000000oooo0?ooo`000000oooo00<0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0000000000440oooo00090?oo
o`0306H0o`00000000000080000000<0oooo0000000000001@0000000`3oool00000000000020000
00030019o`000000000000@0000000<0oooo000000000000200000000`00i_l000000?ooo`060000
00030?ooo`000000000000H0000000<00?n=0000000000001P0000020?ooo`L0000000<00?lB0000
000000000`0000000`3oool000000000000800000080F?l000<0000005So003oool0200000001`3o
ool000000000003oool000000;?o000000000P2co`0400000080oooo2@0000020?om00040?ooo`00
000000000?ooo`<0000000<0oooo000000000000100000001@3oool000000?nl003o_000oooo00<0
000000<0oooo0000003oool0100000030?ooo`030000003oool0oooo0080ohL00P0000001`3oool0
00000000003oool000000?ooo`0000000`3oool200000080oooo0P3oG@040?ooo`80000000@0oooo
0000003oool0oooo0P000000103oool000000?ooo`3oool20?ln0080000000<0oooo0000003oool0
1@3oool2000000<0oooo00<000000?lZ003o:P001@3oool200000080oooo00@000000?ooo`000000
00000P3oool30?lO00<000001`3oool5000000<0oa/0103oool00`000000oooo0?ooo`050?ooo`<0
oaT000<0oooo0?lI003o6@002P3oool00`000000oooo0?ooo`050?lF00@0oooo00<000000?ooo`3o
ool01P3oool60?lC00P0oooo00<000000?ooo`3oool0103oool30?l?0080oooo2@000000103oool0
W4Q809cOo`0000030?l=00P0oooo1@0000040?ooo`040?l?003oool0oooo000000X0oooo0P000002
0?ooo`030?lC003oool0oooo0080oooo00@000000?ooo`3oool000001P3oool01P000000oooo0?oo
o`3o5`00oooo000000@0oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0oaT0
00L0oooo00@000000?ooo`3oool000001P3oool20?lH00040000003oool00000000000L0oooo00@0
00000?ooo`3oool000000P3oool00`3o4P00oooo0?ooo`030?ooo`040000003oool00000000000L0
oooo00<000000?l9003oool0103oool7000000D0oooo0`3o2P020?ooo`030000003oool0oooo0080
00001`3oool00`000000ob800?ooo`040?ooo`030000003oool0oooo0080oooo00D000000?ooo`3o
ool0oooo000000020?ooo`030?m30000000000000080oooo0P0000000`3oool000000?ooo`020000
0080oooo00@000000?ooo`3oool000000P3oK`02000000060?ooo`000000oooo0?ooo`000000oooo
0P0000020?ooo`040000003oool000000?ooo`80ojD00`0000001@3oool00000000000000000oooo
008000000P3oool010000000oooo0000000000030?oW0080000000T0oooo0000003oool000000?oo
o`000000oooo0000003oool00P0000020?ooo`<0bOl000D0oooo0000003oool000000?ooo`020000
0080oooo00@000000?ooo`000000oooo0P00000206go0080oooo1P0000030?ooo`070000003oool0
oooo0000003oool00000007o0002000000070?ooo`000000oooo0?ooo`000000oooo000000020?oo
o`<00000103oool00`00ogT0oooo0?ooo`0?0?ooo`03003ko`3oool0oooo00l0oooo00<005go0?oo
o`3oool05@3oool000T0oooo1@0000000`3oool0000000000005000000030?ooo`00000000000080
000000<0oooo000000000000100000000`3oool000000000000:000000030?ooo`000000000000@0
000000<0oooo000000000000100000000`3oool0000000000008000000040?ooo`00000000000?oo
o`/0000000<0oooo000000000000200000001@3oool00000000000000000oooo00P0000000H0oooo
000000000000oooo0000002co`02000000030;?o000000000000008000000P3oool8000000070?om
00000000ood00000003oool000000?ooo`03000000030?ooo`000000oooo00@0000000D0oooo0000
003o_000ok`00?ooo`03000000050?ooo`000000oooo0000003oool00P0000020?ooo`070000003o
ool0oooo0?n700000000ohL00?ooo`08000000<0oooo00H000000?ooo`3oool0oed00?ooo`3oG@03
0?ooo`8000000P3oool010000000oooo0000003oool2000000<0oooo00<0och00?ooo`0000000P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0`3o:P070?ooo`<0000000<0
oooo0000003oool00`3o7`000`3oool0oal00?ooo`0<0?ooo`<0oa/00`3oool:000000D0oooo0`3o
6@02000000T0oooo0`000000103oool0oaH00?lF003o5P050?ooo`8000002@3oool4000000P0oooo
1@0000020?l?00T000001@3oool30?l=00030?ooo`3o3@00oooo00P0oooo00<000000?ooo`3oool0
1@3oool00`3o3`00oooo0?ooo`0<0?ooo`030000003oool0oooo0080oa<0103oool00`000000oooo
0?ooo`060?ooo`80000000<0oooo0?lG003o5`001P3oool00`000000oooo0?ooo`070?ooo`030000
003o6@00oooo00L0oooo00<000000?ooo`0000001`3oool00`3o600000000?ooo`02000000X0oooo
00@000000?ooo`3oool0oa80203oool00`000000oooo0?ooo`060?ooo`80o`T0203oool2000000H0
oooo00<0o`X00?ooo`3oool00P3oool010000000oooo0?ooo`0000080?ooo`030000003o8P00oooo
00@0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`040000003oool0oooo0?m3008000000P3o
ool2000000030?ooo`000000oooo0080000000L0oooo000000000000oooo0000003oool0ofl000<0
000000H0oooo0000003oool0oooo0000003oool200000080oooo00X000000?ooo`000000oooo0?nU
003oool000000?ooo`000000oooo100000001P3oool000000?ooo`3oool000000?ooo`80000000<0
oooo0?oW000000000P0000002@3oool000000?ooo`000000oooo0000003oool000000?ooo`020000
0080oooo0`39o`000`3oool00000000000020?ooo`8000000P3oool010000000oooo0000003oool2
000000<0KOl000<0oooo000000000000100000030?ooo`070000003oool0oooo0000003oool00000
007o0003000000<0oooo00<000000?ooo`0000000P3oool3000000@0oooo00<00?mi0?ooo`3oool0
3`3oool00`00nol0oooo0?ooo`0?0?ooo`03001Mo`3oool0oooo01D0oooo00090?ooo`d0000000<0
oooo0000000000000P0000000`3oool0000000000004000000030?ooo`000000000000X0000000<0
oooo000000000000100000000`3oool0000000000004000000030?ooo`000000000000P0000000@0
oooo000000000000oooo2`0000000`3oool0000000000003000000030?ooo`000000000000800000
00D0oooo00000000000000000?ooo`08000000060?ooo`000000oooo0?ooo`000000oooo1`000002
0?ooo`P0000000D0ood00000003oo@0000000?ooo`0400000080oooo1P000000103oool0ok`00000
003o_002000000050?ooo`000000oooo0000003oool01@000000103oool000000?ooo`3oool20?n7
0080oooo0`0000000`3oool0000000000002000000<0oooo00H000000?ooo`3oG@00oooo0?mM0000
00030?ooo`80000000@0oooo0000003oool0oooo0`0000020?ooo`<0och000@000000?ooo`000000
0000103oool2000000<0oooo0P3o:P000`3oool0obX00?ooo`060?ooo`030000003oool000000080
0000103oool20?lO01/0oooo1`0000060?ooo`@000001`3oool3000000T0oooo100000080?ooo`D0
00001`3oool20?l?0100oooo00@0W4Q809cOo`3o3@00o`d02P3oool00`000000oooo0?ooo`030?oo
o`80o`l01`3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0?ooo`80oa<00`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oaL01P3oool00`000000oooo0?ooo`07
0?ooo`030000003o6@00oooo00L0oooo00<000000?ooo`0000001P3oool20?lH00030000003oool0
000000/0oooo00@000000?ooo`3o4P00oa80203oool00`000000oooo0?ooo`060?ooo`80o`T05@3o
ool010000000oooo0000000000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0P3oool200000080oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool300000080
oooo0P000000303oool000000000003oool000000?ooo`3oK`0000000?ooo`000000oooo00000080
oooo00@000000?ooo`00000000000P3oool030000000oooo000000000000ojD00?ooo`000000oooo
0000003oool000000?ooo`80000000H0oooo0000003oool0oooo0000003oool2000000030?ooo`3o
i`00000000@0000000L0oooo0000003oool000000?ooo`000000oooo008000000P3oool010000000
bOl00000003oool200000080oooo0P0000020?ooo`060000003oool000000000003oool000000`1]
o`000`3oool000000?ooo`04000000<0oooo00D000000?ooo`3oool000000?ooo`03007o00800000
0`3oool00`000000oooo000000020?ooo`<00000103oool00`00ogT0oooo0?ooo`0?0?ooo`03003k
o`3oool0oooo00l0oooo00<005go0?ooo`3oool05@3oool000T0oooo3@0000000`3oool000000000
0002000000030?ooo`000000000000@0000000<0oooo0000000000002P0000000`3oool000000000
0004000000030?ooo`000000000000H0000000<0oooo0000000000001P0000000`3oool000000000
0002000000030?ooo`000000000000L0000000<0oooo000000000000200000001@3oool000000000
00000000oooo00X000000P3oool9000000030?ooo`000000oooo00D0000000L0oooo000000000000
00000?ooo`000000oooo00@000000P3oool500000080oooo00<0ok`00000003o_0000P0000001@3o
ool000000?ooo`000000oooo00D0000000T0oooo0000003oool0ohL00000003oQ`00oooo0000003o
ool00P000000103oool000000000000000030?ooo`030000003oool0oed00080oooo00@0oed00?oo
o`3oool0oooo0P0000020?ooo`030000003oool0oooo00<0000000D0oooo0?ln003oool0och00?oo
o`02000000D0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3o:P060?ooo`030000
003oool0000000H0oooo00<0oal00?ooo`3oool0803oool6000000H0oooo0`0000070?ooo`<00000
2@3oool3000000/0oooo1@00000D0?ooo`0309a8B03o3@00oooo00/0oooo00<000000?ooo`3oool0
0P3oool00`3o3`00oooo0?l?00060?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`030?lC
003oool0oa<000<0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?lG003oool0oaL000H0
oooo00<000000?ooo`3oool01P3oool010000000oaT00000003o6@070?ooo`030000003oool00000
00H0oooo00D0oaP00?ooo`3o6000oooo0000000;0?ooo`050000003oool0oa800?ooo`3o4P001`3o
ool00`000000oooo0?ooo`070?ooo`80o`T04`3oool00`000000oooo0?ooo`02000000P0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
0`3oool200000080oooo0P000000103oool000000?ooo`3oool2000000050?ooo`000000oooo0?oo
o`0000000P3oool010000000oooo0000000000030?ooo`040000003oool0000000000080oooo00<0
00000?ooo`0000000P0000001`3oool000000?ooo`000000oooo0000003oool00P0000001`3oool0
00000?ooo`3oool000000?ooo`0000000P3oool00`3oi`00oooo00000003000000030?ooo`000000
oooo008000000P3oool200000080oooo00@000000<Wo00000000oooo0P0000020?ooo`8000000P3o
ool00`000000oooo000000040000000506go003oool0oooo0000003oool0100000030?ooo`050000
003oool0oooo0000003oool00`01o`02000000<0oooo00H000000?ooo`000000oooo0000003oool2
00000080oooo00<00?mi0?ooo`00ogT04@3oool00`00nol0oooo0?ooo`0?0?ooo`03001Mo`3oool0
oooo01D0oooo00090?ooo`d0000000<0oooo0000000000000P0000000`3oool00000000000040000
00030?ooo`000000000000D0000000<0oooo0000000000004P0000000`3oool00000000000060000
00030?ooo`00000000000080000000<0oooo0000000000001`0000000`3oool00000000000090000
00030?ooo`000000000000D0000000<0oooo000000000000100000000`3oool00000000000070000
00030?ooo`000000oooo00D0000000D0oooo00000000000000000?ooo`02000000050?ooo`000000
00000000003oool01P0000001@3oool00000000000000000oooo00<0000000<0oooo000000000000
10000000103oool000000?ooo`0000020?ooo`050000003oQ`00oooo0000003oool00P000000103o
ool000000000000000030?ooo`060000003oool0oooo0?ooo`000000oed00`3oool2000000040?oo
o`000000oooo0?ooo`<00000103oool0103o?P0000000?ooo`0000040?ooo`800000103oool01000
0000oooo0?ooo`3o:P040?ooo`D00000;P3oool5000000H0oooo0`0000070?ooo`<000002@3oool3
000000`0oooo1`00000;0?ooo`050=nLB000000004RL09a8B02Lgol0303oool00`000000oooo0?oo
o`030?ooo`030?l?003oool0oooo00@0oooo00<000000?ooo`3oool0103oool2000000<0oooo00<0
oa<00?ooo`3o4`000P3oool00`000000oooo0?ooo`070?ooo`060000003oool0oooo0?lG003oool0
oaL01@3oool00`000000oooo0?ooo`070?ooo`040000003o6@00oooo0?lI00L0oooo00<000000?oo
o`0000001@3oool01P3o6000oooo0?ooo`3o6000oooo000000T0oooo00@000000?ooo`000000oa80
0P3oool00`3o4P00oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<0o`T00?ooo`3o2@00
4P3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P0000020?ooo`80000000D0oooo0000
003oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`0000000000
0`3oool010000000oooo0000000000020?ooo`030000003oool000000080000000L0oooo0000003o
ool000000?ooo`000000oooo0080000000<0oooo0000003oool00P0000001P3oool000000?ooo`3o
ool000000?ooo`@0000000<0oooo0000003oool00P0000020?ooo`080000003oool0oooo0?ooo`00
0000bOl00000003oool200000080oooo0P0000020?ooo`030000003oool0000000@0000000D0KOl0
0?ooo`3oool000000?ooo`04000000<0oooo00D000000?ooo`3oool000000?ooo`02007o00<00000
0`3oool01P000000oooo0000003oool000000?ooo`8000000P3oool3003oNA40oooo00<00?_o0?oo
o`3oool03`3oool00`00GOl0oooo0?ooo`0E0?ooo`002@3oool01@1T0?l00000000000000000oooo
00P0000000<0oooo0000000000000P0000000`3oool0000000000004000000030?ooo`0000000000
00D0000000<0oooo0000000000004P0000000`3oool0000000000006000000030?ooo`0000000000
0080000000<0oooo0000000000001`0000000`3oool0000000000009000000030?ooo`000000oooo
00D0000000<0oooo000000000000100000000`3oool0000000000007000000030?ooo`000000oooo
00T0000000@0oooo000000000000oooo0`0000000`3oool0000000000004000000060?ooo`000000
00000?ooo`000000oooo0P0000000`3oool000000?ooo`05000000030?ooo`000000oooo0080oooo
00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`3oool200000080oooo00H000000?ooo`3oool000000?ooo`00
00030?ooo`040000003oool0oooo000000@0oooo0P0000030?ooo`8000001`3oool010000000oooo
00000000000e0?ooo`<000001@3oool3000000P0oooo0P00000:0?ooo`D000006`3oool00`3OW4P0
001809cOo`0<0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00@0oa<00?ooo`00000000002@3oool00`00
0000oooo0?ooo`020?ooo`030?lG003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool01000
0000oaT00?ooo`3o6@070?ooo`8000001P3oool01P3o6000oooo0?ooo`3o6000oooo000000T0oooo
00@000000?ooo`000000oa800P3oool00`3o4P00oooo0?ooo`050?ooo`030000003oool0oooo00L0
oooo00<0o`T00?ooo`3oool04P3oool010000000oooo0000000000080?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P000002
0?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`00000000000P3oool2000000030?ooo`00000000000080oooo00<000000?ooo`00
00000P0000001`3oool000000?ooo`000000oooo0000003oool00P0000000`3oool000000?ooo`02
000000060?ooo`000000oooo0?ooo`000000oooo100000000`3oool000000?ooo`0200000080oooo
00@000000?ooo`3oool0oooo10000000103oool000000?ooo`3oool200000080oooo00<000000?oo
o`000000100000001@1]o`00oooo0?ooo`000000oooo00@000000`3oool01`000000oooo0?ooo`00
0000oooo00000001o`000`0000030?ooo`060000003oool000000?ooo`000000oooo0P0000020?oo
o`<00?mi3`3oool2003ko`030?ooo`00nol0oooo00l0oooo00<005go0?ooo`3oool05@3oool000T0
oooo00D0I03o00000000000000000?ooo`08000000030?ooo`000000000000T0000000<0oooo0000
000000001@0000000`3oool000000000000;000000030?ooo`000000000000@0000000<0oooo0000
000000000P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000001P000002
0?ooo`/0000000<0oooo0000003oool01@000000103oool000000000003oool3000000050?ooo`00
000000000000003oool0100000020?ooo`030000003oool0000000P0000000<0oooo000000000000
100000000`3oool0000000000004000000040?ooo`00000000000?ooo`80000000D0oooo0000003o
ool000000?ooo`05000000040?ooo`000000oooo0?ooo`80000000<0oooo0000003oool00P000000
103oool000000000000000030?ooo`040000003oool0oooo0?ooo`8000000`3oool2000000040?oo
o`000000oooo0?ooo`<00000103oool010000000oooo0?ooo`0000030?ooo`8000000`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0000001@0oooo3@00000I0?ooo`<000001@3oool30000
00L0oooo1000000:0?ooo`D000009P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo0P0000070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`00
0000oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`000000203oool00`00
0000oooo000000080?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`0000002`3oool0
0`000000oooo0?ooo`0K0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000`3oool200000080oooo
0P0000001@3oool000000?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo008000000P3oool00`000000oooo00000002
000000070?ooo`000000oooo0000003oool000000?ooo`02000000030?ooo`000000oooo00800000
00H0oooo0000003oool0oooo0000003oool4000000030?ooo`000000oooo008000000P3oool01000
0000oooo0?ooo`3oool4000000040?ooo`000000oooo0?ooo`8000000P3oool00`000000oooo0000
0004000000<0oooo00<000000?ooo`0000000`0000030?ooo`070000003oool0oooo0000003oool0
0000007o0003000000<0oooo00H000000?ooo`000000oooo0000003oool2000000<0oooo00<00?mi
0?ooo`3oool03P3oool2003ko`030?ooo`00nol0oooo00h0oooo00<005go0?ooo`3oool05P3oool0
00T0oooo00D0I03o00000000000000000?ooo`08000000030?ooo`00000000000080000000<004_o
000000000000100000000`3oool0000000000005000000030?ooo`000000000000D0000000<0oooo
0000000000000`0000000`3oool0000000000004000000030?ooo`000000000000H0000000<0oooo
0000000000002`0000020?ooo`T0000000D0oooo0000003oool000000?ooo`05000000040?ooo`00
000000000?ooo`@0000000@0oooo000000000000oooo100000020?ooo`030000003oool0000000L0
00000P3oool6000000030?ooo`000000oooo00<000000P3oool2000000040?ooo`00000000000000
0080oooo00<000000?ooo`00000010000000103oool000000?ooo`3oool2000000050?ooo`000000
oooo0000003oool0100000030?ooo`050000003oool0oooo0?ooo`0000000`3oool200000080oooo
00<000000?ooo`0000000P0000050?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`80000000<0oooo0000003oool0403oool4000002T0oooo
0P0000060?ooo`<00000203oool300000380oooo00<000000?ooo`3oool00P0000040?ooo`800000
1`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool0
00001`3oool00`000000oooo0?ooo`070?ooo`8000002@3oool00`000000oooo000000080?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`00000000002`3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo00d0oooo0P0000000`3oool000000?ooo`080?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo00@0
00000?ooo`3oool0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0000000000020?ooo`030000003oool0oooo008000000P3oool0
0`000000oooo00000002000000070?ooo`000000oooo0000003oool000000?ooo`02000000030?oo
o`000000oooo0080000000P0oooo0000003oool0oooo0000003oool000000?ooo`80000000<0oooo
0000000000000P0000020?ooo`040000003oool0oooo0?ooo`@0000000@0oooo0000003oool0oooo
0P0000020?ooo`030000003oool0000000@000000`3oool00`000000oooo00000003000000<0oooo
00L000000?ooo`3oool000000?ooo`000000oooo00<000000`3oool01P000000oooo0000003oool0
00000?ooo`8000000`3oool00`00ogT0oooo0?ooo`0>0?ooo`<00?_o3`3oool2001Mo`030?ooo`00
GOl0oooo00h0oooo00<0DP3o0?ooo`3oool0103oool000T0oooo0P1T0?l2000000030?ooo`000000
000000H0000000<0oooo0000000000000P0000000`00Bol000000000000300000080oooo1`000000
0`3oool0000000000005000000030?ooo`000000000000<0000000<0oooo0000000000003@000000
0`3oool000000000000;000000030?ooo`000000000000P0000000D0oooo00000000000000000?oo
o`08000000030?ooo`00000000000080000000<0oooo0000000000001@000000103oool000000?oo
o`3oool8000000040?ooo`00000000000?ooo`X000000P3oool2000000050?ooo`00000000000000
003oool0200000000`3oool000000?ooo`02000000030?ooo`000000oooo0080000000@0oooo0000
003oool000000`3oool010000000oooo0?ooo`3oool2000000<0oooo0P000000103oool000000?oo
o`3oool3000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`00000000003P3oool4000003P0oooo0P0000090?ooo`80
0000<03oool3000000@0oooo0`0000070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0203oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00L0oooo0P0000090?oo
o`8000002@3oool00`000000oooo000000090?ooo`030000003oool0000000/0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000`3oool0
10000000oooo0?ooo`3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P0000020?oo
o`030000003oool000000080000000L0oooo0000003oool000000?ooo`000000oooo0080000000<0
oooo0000003oool00P000000203oool000000?ooo`3oool000000?ooo`000000oooo0P0000000`3o
ool000000000000200000080oooo00@000000?ooo`3oool0oooo10000000103oool000000?ooo`3o
ool200000080oooo00<000000?ooo`000000100000020?ooo`80000000<0oooo0000000000000P00
00030?ooo`070000003oool0oooo0000003oool000000?ooo`03000000<0oooo00H000000?ooo`00
0000oooo0000003oool2000000<0oooo00<00?mi0?ooo`3oool03`3oool2003ko`l0oooo0`00GOl@
0?ooo`030580o`3oool0oooo00@0oooo00090?ooo`80I03o0P0000000`3oool00000000000060000
00030?ooo`00000000000080000000<004_o0000000000000`0000000`3oool00000000000060000
00040?ooo`0000000000003Yo`@0000000<0oooo0000000000000`0000000`3oool000000000000=
000000030?ooo`000000000000/0000000<0oooo000000000000200000001@3oool0000000000000
0000oooo00P0000000<0oooo0000003oool02P0000000`3oool000000?ooo`09000000040?ooo`00
000000000?ooo`<0000000<0oooo000000000000100000000`3oool0000000000002000000040?oo
o`00000000000?ooo`L0000000@0oooo0000003oool0oooo0P0000000`3oool000000?ooo`060000
00<0oooo00D000000?ooo`3oool0oooo000000030?ooo`8000000P3oool00`000000oooo00000002
000000D0oooo0P0000040?ooo`8000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
00000080oooo0P0000090?ooo`<00000M@3oool00`000000oooo00000002000000D0oooo0P000008
0?ooo`8000002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`000000203oool00`000000oooo0?ooo`070?ooo`8000002@3oool00`000000oooo00000008
0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`0000002P3oool2000000`0oooo0P00
000A0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`3oool200000005
0?ooo`000000oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool00P000000103oool000000000003oool3000000070?oo
o`000000oooo0000003oool000000?ooo`02000000030?ooo`000000oooo0080000000@0oooo0000
003oool0oooo0`000000103oool000000000003oool400000080oooo00@000000?ooo`3oool0oooo
10000000103oool000000?ooo`3oool200000080oooo00<000000?ooo`000000100000020?ooo`80
000000<0oooo0000000000000P0000030?ooo`070000003oool0oooo0000003oool000000?ooo`03
000000<0oooo00H000000?ooo`000000oooo0000003oool2000001D0oooo00<00?_o0?ooo`3oool0
3P3oool3001Mo`l0oooo0P1B0?l60?ooo`002@3oool206@0o`80000000<0oooo0000000000001P00
0000103oool00000000000000003001;o`@0000000<0oooo0000000000001P000000103oool00000
00000000jOlJ000000030?ooo`000000000000/0000000<0oooo000000000000200000001@3oool0
0000000000000000oooo00/0000000<0oooo0000000000001`0000000`3oool000000?ooo`090000
00030?ooo`000000000000@0000000<0oooo00000000000010000000103oool000000000003oool2
000000050?ooo`000000oooo0000003oool01@0000001@3oool000000?ooo`3oool000000080oooo
1@0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
oooo0P000000103oool000000?ooo`3oool3000000@0oooo00<000000?ooo`0000000`3oool20000
00<0oooo00<000000?ooo`3oool0103oool00`000000oooo000000020?ooo`030000003oool0oooo
00L0oooo0P0000090?ooo`D00000IP3oool7000000030?ooo`000000oooo0080oooo0P0000080?oo
o`8000002@3oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000080?oo
o`8000002@3oool2000000T0oooo00<000000?ooo`000000203oool00`000000oooo000000090?oo
o`030000003oool0000000/0oooo00<000000?ooo`3oool02P3oool200000180oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000030?ooo`040000003oool0oooo0?ooo`80000000D0oooo0000003oool0oooo
000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`02000000040?ooo`000000oooo0?ooo`<0000000L0oooo0000003oool000000?oo
o`000000oooo0080000000<0oooo0000003oool00P000000103oool000000?ooo`3oool300000004
0?ooo`00000000000?ooo`@000000P3oool010000000oooo0?ooo`3oool4000000030?ooo`000000
oooo00<000000P3oool00`000000oooo0000000400000080oooo0P0000000`3oool0000000000002
000000<0oooo00L000000?ooo`3oool000000?ooo`000000oooo00<000000P3oool01`000000oooo
0?ooo`000000oooo0000003oool00P00000E0?ooo`03003ko`3oool0oooo00l0oooo00<005go0?oo
o`3oool03P3oool20580o`H0oooo00090?ooo`0506@0o`00000000000000003oool020000000103o
ool00000000000000003001;o`@0000000<0oooo0000000000001P000000103oool0000000000000
jOl>000000050?ooo`000000000000000000oh/01P000000103oool000000000003oool;00000003
0?ooo`000000000000<0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo
00@0000000<0oooo000000000000100000000`3oool0000000000007000000030?ooo`000000oooo
0080000000<0oooo000000000000100000000`3oool0000000000004000000030?ooo`0000000000
00<000000P3oool2000000040?ooo`00000000000?ooo`L0000000@0oooo0000003oool000000P3o
ool00`000000oooo0?ooo`03000000040?ooo`0000000000000000<0oooo00D000000?ooo`3oool0
oooo000000030?ooo`80000000@0oooo0000003oool0oooo0`0000040?ooo`030000003oool00000
00<0oooo0P0000030?ooo`030000003oool0oooo00D0oooo0P0000000`3oool00000000000080?oo
o`8000000`3oool2000000<0oooo5`00001C0?ooo`P00000103oool00`000000oooo000000020000
00P0oooo0P00000:0?ooo`030000003oool0oooo0080oooo0P0000040?ooo`040000003oool0oooo
000000P0oooo00<000000?ooo`3oool01`3oool2000000T0oooo00<000000?ooo`0000002@3oool0
0`000000oooo000000090?ooo`030000003oool0000000X0oooo0P00000;0?ooo`8000004`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000001@3oool00000
0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080000000@0oooo0000003oool0oooo0`0000001`3oool000000?oo
o`000000oooo0000003oool00P0000000`3oool000000?ooo`02000000040?ooo`000000oooo0?oo
o`<0000000@0oooo000000000000oooo100000020?ooo`030000003oool0oooo00D0000000<0oooo
0000003oool00`0000020?ooo`030000003oool0000000@000000P3oool2000000030?ooo`000000
0000008000000`3oool01`000000oooo0?ooo`000000oooo0000003oool00`0000020?ooo`070000
003oool0oooo0000003oool000000?ooo`02000002L0oooo00<005go0?ooo`3oool03P3oool20580
o`H0oooo00090?ooo`0506@0o`00000000000000003oool01`0000000`3oool00000000000020000
00<004_o100000000`3oool0000000000006000000030?ooo`0000000>Wo00800>Wo1P0000000`3o
ool0000000000004000000050?ooo`000000000000000000oh/01P000000103oool000000000003o
ool700000005003o4000000000000000003oool02`000000103oool000000000003oool400000003
0?ooo`000000000000@0000000<0oooo0000000000001`0000000`3oool000000?ooo`0900000003
0?ooo`000000000000D0000000<0oooo0000000000000P0000020?ooo`80000000D0oooo00000000
000000000?ooo`07000000040?ooo`000000oooo0?ooo`80000000<0oooo0000003oool01P000003
0?ooo`050000003oool0oooo0?ooo`0000000`3oool2000000040?ooo`000000oooo0?ooo`800000
103oool00`000000oooo000000040?ooo`070000003oool0oooo0?ooo`000000oooo000000040?oo
o`8000000P3oool00`000000oooo0?ooo`060?ooo`8000000P3oool3000000030?ooo`0000000000
00D00000203oool8000000@0oooo1@0000070?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo0P00000:0?oo
oa000000203oool2000000X0oooo00<000000?ooo`3oool0203oool2000000D0oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`0000080?ooo`8000002@3oool2000000T0oooo00<00000
0?ooo`000000203oool00`000000oooo000000090?ooo`030000003oool0000000/0oooo00<00000
0?ooo`3oool02@3oool2000000X0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`08
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`8000000P3oool01@000000oooo0?ooo`3o
ool0000000<0oooo0P0000001@3oool000000?ooo`3oool000000080oooo00<000000?ooo`3oool0
0P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`3oool00P000000103oool00000
0?ooo`3oool3000000070?ooo`000000oooo0000003oool000000?ooo`02000000030?ooo`000000
oooo00@000000P3oool3000000040?ooo`00000000000?ooo`@000000P3oool00`000000oooo0?oo
o`07000000040?ooo`000000000000000080oooo00<000000?ooo`000000100000020?ooo`800000
00<0oooo0000000000000P0000030?ooo`070000003oool0oooo0000003oool000000?ooo`030000
0080oooo00L000000?ooo`3oool000000?ooo`000000oooo00800000>@3oool00`1B0?l0oooo0?oo
o`040?ooo`002@3oool01@1T0?l00000000000000000oooo00L0000000<0oooo0000000000000`00
00000`00Bol0000000000003000000030?ooo`000000000000H0000000<0oooo00000000jOl00P00
jOl6000000030?ooo`000000000000@0000000<0oooo0000000000000P00oh/6000000060?ooo`00
000000000?ooo`000000oooo1@0000001@00oa000000000000000000oooo00/0000000@0oooo0000
003oool0oooo100000000`3oool0000000000004000000030?ooo`000000000000D0000000D0oooo
0000003oool000000?ooo`0;00000080oooo1P0000000`3oool00000000000020?ooo`80000000T0
oooo00000000000000000?ooo`000000oooo0000003oool00`0000001@3oool000000?ooo`3oool0
00000080oooo0P000000103oool000000000003oool200000080oooo00D000000?ooo`3oool0oooo
000000030?ooo`80000000@0oooo0000003oool0oooo0P0000050?ooo`800000103oool00`000000
oooo0?ooo`020?ooo`800000103oool01@000000oooo0?ooo`3oool0000000`0oooo00<000000?oo
o`0000000P00000G0?ooo`/000001P3oool5000000L0oooo0`0000090?ooo`<000002@3oool40000
00P0oooo5@00000=0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`050?ooo`8000001`3oool2000000T0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0G0?ooo`800000203oool2000000X0oooo0P0000040?ooo`030000003oool0oooo
0080oooo0P0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool2000000050?ooo`000000
oooo0?ooo`0000000P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo008000000P3o
ool00`000000oooo0?ooo`02000000040?ooo`000000oooo0?ooo`<0000000L0oooo0000003oool0
00000?ooo`000000oooo0080000000<0oooo0000003oool0100000020?ooo`<0000000@0oooo0000
00000000oooo100000000`3oool00000000000020?ooo`L0000000@0oooo00000000000000000P3o
ool00`000000oooo0000000400000080oooo0P0000000`3oool000000?ooo`02000000<0oooo00L0
00000?ooo`3oool000000?ooo`000000oooo00<000000P3oool01`000000oooo0?ooo`000000oooo
0000003oool00P00000i0?ooo`030580o`3oool0oooo00@0oooo00090?ooo`0506@0o`0000000000
0000003oool01`0000000`3oool000000000000300000003001;o`000000000000<0000000<0oooo
0000000000001P0000000`3oool00000003Yo`02003Yo`H0000000<0oooo00000000000010000000
0`3oool0000000000002003oR`H0000000<0oooo0000000000000P0000000`3oool0000000000002
000000800?l@0`0000000`3oool0000000000009000000030?ooo`000000F_l00080000000@0oooo
000000000000oooo1P0000000`3oool0000000000006000000040?ooo`000000oooo0?ooo`/00000
00D0oooo0000003oool000000?ooo`06000000030?ooo`000000oooo0080000000<0oooo00000000
00000P000000203oool00000000000000000oooo0000003oool000000P3oool010000000oooo0000
003oool2000000040?ooo`0000000000000000<0oooo00D000000?ooo`3oool0oooo000000030?oo
o`80000000@0oooo0000003oool0oooo0P0000040?ooo`030000003oool0000000<0oooo00@00000
0?ooo`3oool0oooo0P000000103oool000000?ooo`3oool2000000@0oooo00<000000?ooo`3oool0
1`3oool500000240oooo2@0000060?ooo`800000203oool3000000T0oooo100000090?ooo`@00000
9P3oool00`000000oooo0?ooo`0B0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`090?ooo`040000
003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo
00X0oooo0P00000K0?ooo`8000001`3oool00`000000oooo0?ooo`080?ooo`030?lT00000000oooo
00<0oooo00<000000?ooo`3oool00P3oool200000080oooo00@000000?ooo`3oool0oooo0P000002
0?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`030000003oool0oooo0080000000<0
oooo0000003oool00P0000020?ooo`030000003oool0oooo0080000000@0oooo0000003oool0oooo
0`0000001`3oool000000?ooo`000000oooo0000003oool00P0000000`3oool000000?ooo`040000
0080oooo0`000000103oool000000000003oool4000000030?ooo`00000000000080oooo1`000000
103oool000000000000000020?ooo`030000003oool0000000@000000P3oool2000000030?ooo`00
0000oooo008000000`3oool01`000000oooo0?ooo`000000oooo0000003oool00`0000020?ooo`07
0000003oool0oooo0000003oool000000?ooo`02000003T0oooo00<0DP3o0?ooo`3oool0103oool0
00T0oooo00D0I03o00000000000000000?ooo`07000000030?ooo`000000000000<0000000<004_o
0000000000000`0000000`3oool000000000000900000003003Yo`3oool0000000D0000000<0oooo
0000000000001P000003003oR`H0000000<0oooo0000000000000P0000000`3oool0000000000002
000000800?l@0`0000000`3oool0000000000007000000030?ooo`000000oooo0080F_l01`000000
0`3oool0000000000002000000030?ooo`00000000000080000000L0]_l000000000000000000?oo
o`000000oooo00T0000000P0oooo000000000000oooo0000003oool000000?ooo`H0000000@0oooo
000000000000oooo0P0000001@3oool00000000000000000oooo00<0000000<0oooo000000000000
0P3oool2000000060?ooo`00000000000?ooo`000000oooo0`0000030?ooo`050000003oool0oooo
0?ooo`0000000P3oool010000000oooo0000000000020?ooo`800000103oool010000000oooo0?oo
o`0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?oo
o`8000002@3oool010000000oooo00000000000W0?ooo`P000001@3oool3000000P0oooo10000009
0?ooo`<000002P3oool7000001l0oooo00<000000?ooo`3oool0403oool2000000H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001`3o
ool010000000oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo00P0oooo00@0oa4000000000000000001P3oool00`00
0000oooo0?ooo`050?ooo`040?lT003oool0ob@0000000@0oooo00<000000?ooo`3oool00P3oool2
00000080oooo00H000000?ooo`3oool0odD00000003oA@020?ooo`80000000D0oooo0000003oool0
oooo000000020?ooo`080000003oool0oooo0000003oL000oooo0?m`003oool200000080oooo00<0
00000?ooo`3oool00P0000020?ooo`030000003oool000000080000000L0oooo0000003oool00000
0?ooo`000000oooo0080000000<0oooo0000003oool00P000000103oool000000?ooo`3oool30000
00040?ooo`00000000000?ooo`@000000P3oool00`000000oooo0?ooo`07000000040?ooo`000000
000000000080oooo00<000000?ooo`000000100000020?ooo`80000000<0oooo0000003oool00P00
00030?ooo`070000003oool0oooo0000003oool000000?ooo`0300000080oooo00L000000?ooo`3o
ool000000?ooo`000000oooo00800000@03oool000T0oooo00<0I03o0000000000002@0000000`3o
ool000000000000300000003001;o`000000000000<0000000<0oooo0000000000002@0000000`00
jOl0oooo0000000>000000<00?n;1P0000000`3oool0000000000002000000040?ooo`0000000000
000000<00?l@00@0oooo000000000000oooo2@0000000`3oool000000?ooo`0205[o00X0000000<0
oooo0000003oool00`0000020;Ko00<0000000<0oooo0000003oool00P0000000`3oool000000000
0004000000040?ooo`000000oo/00?ooo`T000000P3oool2000000040?ooo`00000000000?nj0080
000000<0oooo0000003oool00`0000001@3oool000000?ooo`3oool000000080oooo0`0000020?oo
o`<000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P000000103oool000000?ooo`3o
ool2000000@0oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`080?ooo`<00000;P3oool7000000@0
oooo100000000`3o7P00oooo0?ooo`050?ooo`<000002@3oool4000000d0oooo2000000G0?ooo`03
0000003oool0oooo00l0oooo0P0000050?ooo`8000001`3oool2000000P0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3o
ool0oooo000000060?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo
0?ooo`000000203oool00`000000oooo0?ooo`0>0?ooo`800000303oool00`3o4@00oooo00000007
0?ooo`030000003oool0oooo00D0oooo0P3o90000`000000oooo0?ooo`030?ooo`040000003oool0
oooo0?ooo`<0000000L0oooo0000003oool0oooo0?m500000000odD00080oooo0P0000001@3oool0
00000?ooo`3oool000000080oooo00P000000?ooo`3oool000000?m`003oool0og000?ooo`800000
0P3oool00`000000oooo0?ooo`0200000080oooo00`000000?ooo`000000ojH00000003oool0ojH0
0?ooo`000000oooo0000003oool2000000030?ooo`000000oooo0080000000@0oooo0000003oool0
oooo0`000000103oool000000000003oool400000080oooo00<000000?ooo`3oool01`000000103o
ool000000000000000020?ooo`030000003oool0000000@000000P3oool2000000030?ooo`000000
oooo008000000`3oool01`000000oooo0?ooo`000000oooo0000003oool00`0000020?ooo`070000
003oool0oooo0000003oool000000?ooo`0200000400oooo00090?ooo`0306@0o`000000000000T0
000000<0oooo0000000000000`0000000`00Bol0000000000003000000030?ooo`000000000000T0
000000<00>Wo0000000000003P0000000`3oool00?n;00000002000000050?ooo`00000000000000
003oool020000003003o40030?ooo`000000000000X0000000H0oooo0000001Jo`00F_l00?ooo`1J
o`09000000040?ooo`00000000000?ooo`8000000P2fo`03000000030?ooo`000000oooo00800000
00<0oooo00000000000010000000103oool0oo/00?ok003oool900000080oooo0P0000001`3oool0
00000000003o^P00oooo0000003oool00`0000000`3oool00000000000030?ooo`030000003oool0
oooo0080000000D0ohD00?ooo`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000
0P3oool010000000oooo0000000000020?ooo`<000000`3oool010000000oooo0?ooo`0000020?oo
o`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`050000003oool0oooo0?ooo`000000
203oool4000001X0oooo0P3o7`0A0?ooo`030?lO003oool0oooo00<0oooo0`000000103oool00000
0000000000050?ooo`030000003o7P00oah000P0oooo0`0000040?ooo`80oa`0103oool5000000L0
oooo0P3o6P0N0?ooo`030000003oool0oooo00T0oooo0P0000030?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000080?ooo`050000003oool0oooo
0?ooo`000000203oool00`000000oooo0?ooo`0<0?ooo`<00000303oool00`3o4@00oooo0?lA0002
0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`040?lT003oool0ob@0000000@0oooo00@0
00000?ooo`3oool0oooo0`0000020?ooo`050000003oool0odD00?m5000000000P3oool200000005
0?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0200000080og0000<0oooo0000
000000000P3oool00`000000oooo0?ooo`0200000080oooo00`000000?ooo`000000ojH00000003o
ool0ojH00?ooo`000000oooo0000003oool2000000030?ooo`000000oooo0080000000P0oooo0000
003oool0onP00000003oj00000000?ooo`80000000<0oooo0000000000000P0000020?ooo`030000
003oool0oooo00L0000000@0oooo00000000000000000P3oool00`000000oooo0000000400000080
oooo0P0000000`3oool000000?ooo`02000000<0oooo00L000000?ooo`3oool000000?ooo`000000
oooo00<000000P3oool01`000000oooo0?ooo`000000oooo0000003oool00P0000100?ooo`002@3o
ool00`1T0?l0000000000009000000030?ooo`000000000000<0000000<004_o0000000000000`00
00000`3oool000000000000900000003003Yo`000000000000h0000000<0oooo003oR`0000000P00
00001@3oool00000000000000000oooo00T0000000<00?l@0000000000001P0000000`3oool00000
00000003000000060?ooo`000000F_l005[o003oool0F_l02@0000001`3oool000000000003oool0
00000;Ko000000000P2fo`02000000030?ooo`000000oooo0080000000<0oooo0000000000001@00
00020?ok00040?ooo`00000000000?ooo`H0000000H0oooo0000003oool000000?ooo`0000020?nj
00030?ooo`000000oooo00<0000000<0oooo0000000000000P3oool2000000030?ooo`000000oooo
0080ohD000@0oooo00000000000000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P00
0000103oool000000?mK003oool2000000@0oooo00<000000?ooo`0000000`3oool01P000000oooo
0?ooo`000000ocd0000000<0oooo00D000000?ooo`3oool0oooo000000070?ooo`80obX000<0oooo
0000003oool0303oool30?lR00X0oooo0P0000020?ooo`80oal0403oool20?lO00X0oooo0P000003
0?ooo`D0oah02@3oool400000080oooo0P3o70070?ooo`D00000103oool20?lJ00h0oooo0`3o6@0;
0?ooo`030000003oool0oooo00@0oooo0`3o6P02000000<0oooo0P0000060?ooo`050000003oool0
oooo0?ooo`3o7000103oool00`000000oooo0?ooo`070?ooo`80000000<0oooo0?lN003oool00`3o
ool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo00<0oal00?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo00000080oooo00<0oah00?ooo`3o
ool00`3oool010000000oooo0?ooo`3oool2000000H0oooo00<0oaT00000003oool0303oool20000
0080oa403P3oool30?lA00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?oo
o`80ob@000<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool300000080oooo00D00000
0?ooo`3oool0odD0000000030?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P3o
ool200000080og0000<0oooo0000000000000P3oool2000000030?ooo`00000000000080oooo00`0
00000?ooo`00000000000?nV003oool0ojH00?ooo`000000oooo0000003oool2000000030?ooo`00
0000oooo0080000000P0oooo0000003oool0onP00000003oj00000000?ooo`80000000<0oooo0000
000000000P0000020?ooo`070000003oool0oooo0?ooo`39o`0000000<Wo0003000000040?ooo`00
0000000000000080oooo00<000000?ooo`000000100000020?ooo`80000000<0oooo0000003oool0
0P0000030?ooo`070000003oool0oooo0000003oool000000?ooo`0300000080oooo00L000000?oo
o`3oool000000?ooo`000000oooo00800000@03oool000T0oooo00<0I03o0000000000002@000000
0`3oool0000000000002000000030?ooo`00Bol0000000@0000000<0oooo0000000000001@000000
1@3oool000000000000000000>Wo0140000000<00?n;0000000000001@0000000`3oool000000000
000700000003003o40000000000000L0000000<0oooo0000000000000P0000001@3oool000000000
001Jo`00oooo00X0000000<0oooo0000000000000P0000001@2fo`0000000;Ko002fo`00oooo0080
00000P3oool8000000080?ooo`3on`0000000?ok00000000oooo0000003oool3000000040?ooo`00
000000000?ooo`80000000<0oooo0000000000000P3o^P02000000050?ooo`00000000000000003o
ool00P0000020?ooo`030000003oool0oooo008000000P3oQ@03000000<0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool000000?ooo`80oe/00`0000030?ooo`030000003oool0
000000<0oooo00@000000?ooo`3oool000000P3o?@0010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo00@0oooo103o:P000`000000oooo0?ooo`090?ooo`<0ob8000@0oooo0?lR003o8P00
oooo3P0000030?lO00030000003oool0oooo00X0oooo1@3o7`0:0?ooo`@000000P3oool30?lN00<0
00002@3oool60?lL00X0oooo00<000000?ooo`3oool00P3oool30?lJ00l0oooo0`3o6@080?ooo`04
0000003oool0oooo0?ooo`<0oaX000<0oooo0?lJ003o6P000`3oool2000000H0oooo0P0000030?oo
o`80oa`00P3oool2000000T0oooo00<000000?ooo`3oool00P3o7P030?ooo`8000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0P3o7`030?ooo`030000003oool0oooo
00@0oooo00H000000?ooo`3oool0oooo0000003oool20?lN00D0oooo00@000000?ooo`3oool00000
1`3oool20?lI00D0oooo0P0000060?ooo`030000003o4@00oa400080oa40403oool20?lA00<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030?lT00000000oooo00<0oooo
00<000000?ooo`3oool00P3oool200000080oooo00D000000?ooo`3oool0odD0000000030?ooo`80
000000H0oooo0000003oool0oooo0000003oool2000000030?ooo`00000000000080og0000<0oooo
0000000000000P3oool2000000030?ooo`00000000000080oooo00@000000?ooo`00000000000P3o
YP001P000000oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P0000000`3oool0
00000?ooo`020?oX0080000000@0oooo000000000000oooo100000020?ooo`040000003oool0oooo
0?ooo`<0bOl00`000000103oool000000000000000020?ooo`030000003oool0000000<000000`1/
o`02000000030?ooo`0000000000008000000`3oool01`000000oooo0?ooo`000000oooo00000001
o`000`0000020?ooo`070000003oool0oooo0000003oool000000?ooo`02000000@0oooo00<00?mi
0?ooo`3oool03`3oool00`00n_l0oooo0?ooo`0?0?ooo`03001Lo`3oool0oooo01D0oooo00090?oo
o``0000000<0oooo0000000000000P0000000`3oool0000000000004000000030?ooo`0000000000
00D0000000<0oooo0000000000001@0000000`3oool000000000000C000000030?ooo`0000000000
00/0000000<0oooo000000000000200000001@3oool00000000000000000oooo00/0000000<0oooo
000000000000100000001@2fo`00oooo000000000000oooo00T0000000@0oooo0?ok00000000oo/0
0`0000000`3oool00000000000040000000:0?ooo`00000000000?ooo`000000okX00?ooo`3o^P00
00000?ooo`<0000000@0oooo0000003oool000000P3oool01`000000oooo0?ooo`000000ohD00000
003oQ@000`0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000<0oe/000<0oooo
000000000000103oool00`000000oooo000000020?ooo`030000003oool0oooo00<0ocd000@00000
0?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`80obX000<000000?lZ000000000P00
000=0?ooo`80ob800`00000;0?ooo`<0oal08`3oool00`000000oooo0?ooo`050?ooo`<000002@3o
ool3000000`0oooo0`3o6P0B0?ooo`80oaT02@3oool00`000000oooo0?ooo`020?ooo`030000003o
6P00oaX00080oooo0`0000060?ooo`8000000`3oool30?lL0080oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?lN00020?lN00<0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000
003oool0oooo0?ooo`<0oal00`3oool00`000000oooo0?ooo`040?ooo`060000003oool0oooo0?oo
o`000000oooo0P3o7P050?ooo`040000003oool0oooo000000H0oooo0`3o6@050?ooo`8000001@3o
ool01@000000oa400?lA003oool0oa4001d0oooo00<000000?ooo`3oool01P3oool2000000@0oooo
00@000000?ooo`3oool0oooo0`0000000`3oool000000?ooo`020?ooo`040000003oool0oooo0?oo
o`80000000D0oooo0000003oool0oooo000000020?ooo`060000003oool000000000003oool0og00
0`0000030?ooo`040000003oool0000000000080oooo00<000000?ooo`0000000P0000000`3oYP00
00000?ooo`03000000060?ooo`00000000000?ooo`000000oooo0P000000203oool000000?ooo`3o
ool0onP00?ooo`000000oooo0P0000000`3oool000000000000200000080oooo00@000000?ooo`3o
ool0oooo0P39o`0400000080oooo0P0000020?ooo`030000003oool0000000<000000`1/o`020000
00030?ooo`0000000000008000000`3oool01@000000oooo0?ooo`000000oooo00800Ol000<00000
007o000000000P3oool01`000000oooo0?ooo`000000oooo0000003oool00P0000040?ooo`03003o
N@3oool0oooo00l0oooo00<00?[o0?ooo`3oool03`3oool00`00G?l0oooo0?ooo`0E0?ooo`002@3o
ool<000000030?ooo`00000000000080000000<0oooo000000000000100000000`3oool000000000
0005000000030?ooo`000000000000D0000000<0oooo0000000000008@0000000`3oool000000000
0008000000030?ooo`00000000000080oooo2`0000000`3oool0000000000005000000040?ooo`00
000000000?ooo`T0000000@0oooo000000000000oo/00`0000000`3oool00000000000040000000:
0?ooo`00000000000?ooo`000000okX00000003o^P0000000?ooo`<0000000<0oooo000000000000
0`3oool01`000000oooo0?ooo`000000ohD00000003oQ@000`0000020?ooo`050000003oool0oooo
0?ooo`0000000P3oool01P000000oooo0?mK003oool000000?mK00<000000`3oool00`000000oooo
000000020?ooo`070000003oool0oooo0?lm00000000oooo0?lm00020?ooo`050000003oool0oooo
0?ooo`0000001`3oool01@000000oooo0?lZ003oool0000000/0oooo0P0000000`3o8P00oooo0?oo
o`0o0?ooo`030000003oool0oooo02P0oooo0P3o6@0;0?ooo`D0000000<0oaX00?ooo`3oool00P00
00080?ooo`030000003oool0oooo0080oooo00@0oa`00?ooo`3oool0oa`00P00000:0?ooo`800000
00<0oah00?ooo`3o7P000`3oool00`000000oooo0?ooo`02000000@0oooo00P000000?ooo`3oool0
oooo0?lO003oool000000?lO0080oooo00<000000?ooo`3oool0103oool02@000000oooo0?ooo`3o
ool000000?ooo`3o7P00oooo0?lN00030?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`03
0?lI003oool0oaT000D0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<0oa400?ooo`3o
ool0703oool00`000000oooo0?ooo`050?ooo`800000103oool010000000oooo0?ooo`3oool30000
0080oooo00<000000?ooo`3oool00P0000020?ooo`80000000D0oooo0000003oool0oooo00000002
0?ooo`050000003oool0oooo0000003oool0100000030?ooo`040000003oool0000000000080oooo
00<000000?ooo`0000000P0000000`3oYP0000000?ooo`03000000060?ooo`00000000000?ooo`00
0000oooo0P0000001P3oool000000?ooo`3oool0onP00?ooo`@0000000<0oooo0000003oool00P00
00020?ooo`060000003oool0oooo0?ooo`000000bOl0100000020?ooo`8000000P3oool00`000000
oooo0000000300000080K?l000@0oooo000000000000oooo100000030?ooo`050000003oool0oooo
0000003oool00P01o`000`0000000Ol0000000020?ooo`070000003oool0oooo0000003oool00000
0?ooo`0200000080oooo00@00?mi0?ooo`00ogT00?mi403oool00`00n_l0oooo0?ooo`0?0?ooo`03
001Lo`3oool0oooo01D0oooo00090?ooo``0000000<0oooo0000000000000P0000000`3oool00000
00000004000000030?ooo`000000000000D0000000<0oooo0000000000001@0000000`3oool00000
0000000E000000030?ooo`000000000000T0000000<0oooo000000000000200000000`3oool00000
000000020?ooo`H0000000<0oooo0000000000000P0000000`3oool0000000000005000000040?oo
o`00000000000?ooo``0000000<0oooo0000000000000P3oool500000080oooo00<000000?ooo`3o
ool00`0000000`3oool000000?ooo`03000000030?ooo`00000000000080oooo0P0000000`3oool0
00000?ooo`02000000040?n500000000000000000080oooo00D000000?ooo`3oool0oooo00000002
0?ooo`060000003oool000000000003oool0oe/00P0000040?ooo`030000003oool000000080oooo
00H000000?ooo`3oool0oooo0000003o?@030?ooo`040000003oool00000000000L0oooo00<00000
0?ooo`3o:P000P00000:0?ooo`800000N@3oool5000000<0oooo0`0000080?ooo`8000001`3oool0
0`3o700000000?ooo`090?ooo`<000000`3oool0103o7P00oooo0?ooo`0000020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oal00?ooo`3oool0000000L0oooo
00P000000?ooo`3oool000000?ooo`3o7P00oooo0?lN00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`80000000@0oaT00?ooo`3oool0oooo0P0000050?ooo`030000003o
ool0oooo00<0oooo00<0oa400?ooo`3oool0203oool2000001@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<000000P3oool01@000000oooo
0?ooo`3oool0000000<0oooo0`0000020?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`0000000P0000001P3oool000000?ooo`3oool000000?ooo`8000000P3oool01@000000oooo0000
00000000oooo0080000000D0oooo00000000000000000?ooo`02000000030?ooo`000000oooo0080
000000H0oooo0000003oool0oooo0000003oool4000000030?ooo`000000oooo008000000P3oool0
1P000000oooo0?ooo`3oool000000<Wo00@000000P3oool200000080oooo00<000000?ooo`000000
100000001@1/o`00oooo000000000000oooo00@000000`3oool01@000000oooo0?ooo`000000oooo
00<00Ol00P0000020?ooo`070000003oool0oooo0000003oool000000?ooo`0200000080oooo00@0
0?mi0?ooo`00ogT00?mi403oool00`00n_l0oooo0?ooo`0?0?ooo`03001Lo`3oool0oooo01D0oooo
00090?ooo`030680o`000000000000T0000000<0oooo0000000000000P0000000`3oool000000000
0004000000030?ooo`000000000000D0000000<0oooo0000000000001@0000000`3oool000000000
0007000000030?ooo`000000000000P0000000H0oooo000000000000oooo0000003oool900000003
0?ooo`000000000000P0000000@0oooo000000000000oooo1`0000000`3oool00000000000020000
00030?ooo`000000000000P0000000<0oooo0000000000002P000000103oool000000000003oool6
000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool000000?ooo`04000000040?oo
o`000000oooo0?ooo`80000000<0oooo0000003oool01@0000030?ooo`050000003oool0oooo0?oo
o`0000000P3oool2000000030?ooo`000000oooo00<000000`3oool00`000000oooo000000030?oo
o`060000003oool0oooo0000003oool0ocd00P3oool010000000oooo0000000000070?ooo`@00000
2@3oool3000000@0oooo00<000000?ooo`3oool00P3ooolC000005T0oooo1`0000020?ooo`030000
003oool00000008000002@3oool2000000P0oooo00<000000?lL003oool02@3oool2000000L0oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`030?ooo`050000003oool0oal00?oo
o`0000001`3oool010000000oooo0?ooo`0000040?ooo`040?lN003oool0oooo000000<0oooo0P00
00060?ooo`030000003oool0oaT000<0oooo0P0000040?ooo`8000002`3oool=00000100oooo00<0
00000?ooo`3oool0103oool2000000@0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`040000
003oool0oooo0?ooo`8000000P3oool300000080oooo00@000000?ooo`3oool000000P3oool20000
00050?ooo`00000000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`050000003o
ool000000000003oool00P0000001@3oool00000000000000000oooo0080000000L0oooo0000003o
ool0oooo0000003oool000000080oooo00<000000?ooo`0000000`0000000`3oool000000?ooo`02
00000080oooo00@000000?ooo`3oool0oooo1P0000020?ooo`8000000P3oool00`000000oooo0000
00040000000506co003oool000000000003oool0100000030?ooo`060000003oool0oooo0000003o
ool000000P01o`02000000<0oooo00H000000?ooo`000000oooo0000003oool2000000<0oooo0`00
ogT>0?ooo`04003jo`3oool00?[o003joa00oooo00<005co0?ooo`3oool05@3oool000T0oooo00<0
HP3o0000000000002@0000000`3oool0000000000009000000030?ooo`000000000000D0000000<0
oooo000000000000200000000`3oool0000000000004000000030?ooo`000000000000P0000000H0
oooo000000000000oooo0000003oool9000000030?ooo`000000000000T0000000<0oooo0000003o
ool01`0000000`3oool0000000000002000000030?ooo`000000000000P0000000@0oooo00000000
0000oooo0P0000000`3oool0000000000003000000050?ooo`000000oooo0000003oool01P000000
103oool000000000003oool20000000;0?ooo`00000000000?ooo`000000oooo0000003oool00000
0?ooo`0000000P3oool2000000050?ooo`00000000000000003oool00`0000030?ooo`040000003o
ool0oooo000000<0oooo0`000000103oool000000000000000040?ooo`8000000`3oool01P000000
oooo0?ooo`000000oooo00000080oooo00@000000?ooo`00000000001`3oool2000000030?ooo`00
0000oooo00P0oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000000000D000001`3o
ool8000000030?ooo`000000000000@000002@3oool2000000X0oooo0P00000:0?ooo`8000002P3o
ool2000000T0oooo100000080?oooa000000203oool3000000T0oooo0P0000090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P3oool2000000L0oooo00@000000?ooo`3oool00000
1@3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001`3oool010000000
oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool4000000P0oooo0P000000
103oool000000000000000050?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0oooo
000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`0000030?ooo`030000
003oool0oooo0080000000H0oooo00000000000000000?ooo`0000020?ooo`050000003oool0oooo
0000003oool00P0000001@3oool000000000003oool000000080oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`0:000000030?ooo`00000000000080oooo00L000000?ooo`000000
00000?ooo`000000oooo00@0000000<0oooo0000003oool00P0000020?ooo`040000003oool0oooo
0?ooo`H000000P3oool200000080oooo00<000000?ooo`000000100000030?ooo`030000003oool0
000000<000000`3oool01`000000oooo0?ooo`000000oooo00000001o`000`0000030?ooo`060000
003oool000000?ooo`000000oooo0P0000030?ooo`800?mi3`3oool01000n_l0oooo003jo`00n_l@
0?ooo`03001Lo`3oool0oooo01D0oooo00090?ooo`030680o`000000000000T0000000<0oooo0000
00000000200000020?ooo`L0000000<0oooo000000000000200000000`3oool00000000000040000
00030?ooo`000000000000P0000000<0oooo0000000000000P0000000`3oool00000000000070000
00030?ooo`000000000000T0000000<0oooo0000003oool00P0000000`3oool00000000000020000
00030?ooo`00000000000080000000<0oooo0000000000001`000000103oool00000000000000002
0?ooo`L0000000D0oooo0000003oool000000?ooo`06000000030?ooo`00000000000080oooo00X0
00000?ooo`00000000000?ooo`000000oooo0000003oool00000103oool010000000oooo0000003o
ool2000000030?ooo`000000000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`050000
003oool0oooo0000003oool00`0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`00
00000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000001P3oool010000000oooo00000000
000=0?ooo`8000000P3oool2000001H0oooo1P0000000`3oool0000000000003000000H0oooo1000
00080?ooo`<000002@3oool4000000P0oooo100000090?oooaT000001`3oool00`000000oooo0?oo
o`0J0?ooo`030000003oool0oooo0080oooo0P0000060?ooo`8000001`3oool2000000T0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool03`3oool3000000`0oooo1P0000040?ooo`8000001P3oool01@000000oooo0?oo
o`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0000003oool200000080
oooo00H000000?ooo`3oool0oooo0000003oool3000000050?ooo`000000oooo0?ooo`0000000P3o
ool01`000000oooo000000000000oooo0000003oool00P0000020?ooo`040000003oool000000000
0080oooo00<000000?ooo`3oool01`000000103oool000000000003oool200000080oooo00L00000
0?ooo`00000000000?ooo`000000oooo00@0000000<0oooo0000003oool00P0000020?ooo`800000
0P3oool600000080oooo0P0000020?ooo`030000003oool0000000@000000`3oool00`000000oooo
00000003000000<0oooo00L000000?ooo`3oool000000?ooo`0000000Ol000<000000`3oool01P00
0000oooo0000003oool000000?ooo`800000103oool00`00ogT0oooo0?ooo`0>0?ooo`<00?[o3`3o
ool3001LoaH0oooo00090?ooo`80HP3o2P0000000`3oool000000000000300000003001>o`000000
00000080000000<0oooo0000000000001P0000000`3oool0000000000008000000030?ooo`000000
000000@0000000<0oooo000000000000200000000`3oool0000000000002000000030?ooo`000000
000000@0000000<0oooo000000000000300000000`3oool000000?ooo`07000000040?ooo`000000
000000000080oooo2@0000001@3oool00000000000000000oooo00D0000000P0oooo000000000000
oooo0000003oool000000?ooo`D000000P3oool010000000oooo0?ooo`3oool2000000030?ooo`00
0000oooo00<0000000<0oooo0000003oool00P3oool2000000050?ooo`000000oooo0000003oool0
0`0000030?ooo`040000003oool0oooo000000<0oooo0`000000103oool000000000000000040?oo
o`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003o
ool0000000D0oooo0P0000000`3oool000000?ooo`0;0?ooo`<0000000@0oooo0000000000000000
7P3oool9000000L0oooo0`0000080?ooo`<000002P3oool2000000X0oooo1@00000T0?ooo`030000
003oool0oooo01L0oooo0`0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0:0?ooo`8000003`3oool3000001<0oooo0`0000050?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`3oool000000`3oool2000000<0oooo00<000000?ooo`3o
ool00`0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000050?ooo`000000oooo
0?ooo`0000000P3oool01`000000oooo000000000000oooo0000003oool00P0000020?ooo`030000
003oool00000008000000P3oool00`000000oooo00000002000000050?ooo`00000000000000003o
ool00P0000000`3oool00000000000020?ooo`040000003oool0000000000080oooo1@0000000`3o
ool000000?ooo`0200000080oooo0P0000020?ooo`H000000P3oool200000080oooo00<000000?oo
o`000000100000030?ooo`030000003oool0000000<000000`3oool01`000000oooo0?ooo`000000
oooo0000003oool00`0000030?ooo`060000003oool000000?ooo`000000oooo0P0000040?ooo`03
003oN@3oool0oooo00h0oooo0P00n_l@0?ooo`<005co5P3oool000T0oooo0P1R0?l:000000030?oo
o`000000000000<0000000<004ko0000000000000P0000000`3oool0000000000006000000050?oo
o`000000000000000000jol01P0000000`3oool0000000000004000000030?ooo`000000oooo00P0
000000<0oooo0000000000002@0000000`3oool0000000000004000000030?ooo`000000000000D0
000000<0oooo0000003oool00`0000000`3oool0000000000005000000030?ooo`000000oooo00D0
000000@0oooo000000000000oooo0`0000000`3oool0000000000003000000040?ooo`0000000000
0?ooo`8000000P3oool500000080oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?oo
o`04000000@0oooo0P000000203oool000000?ooo`000000oooo0000003oool000000`3oool01000
0000oooo0?ooo`0000030?ooo`<0000000@0oooo00000000000000000`3oool00`000000oooo0?oo
o`020?ooo`060000003oool0oooo0000003oool000000`3oool00`000000oooo000000050?ooo`04
0000003oool0oooo000000/0oooo0P000000103oool0000000000000000V0?ooo`P000001P3oool3
000000P0oooo0`0000090?ooo`D000002P3oool8000001`0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`070?ooo`8000002P3oool00`000000oooo0?ooo`060?ooo`80000000<0oooo
0000003oool0203oool010000000oooo0?ooo`00000>0?ooo`<00000603oool2000000D0oooo00<0
00000?ooo`3oool0103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo
00@000000?ooo`000000oooo0P0000050?ooo`80000000<0oooo0000000000000P0000020?ooo`05
0000003oool0oooo0000003oool00P0000020?ooo`<000000P3oool2000000030?ooo`0000000000
0080oooo00<000000?ooo`0000000P0000001@3oool00000000000000000oooo0080000000<0oooo
0000000000000P3oool400000080oooo0`0000001@3oool000000?ooo`000000oooo008000000P3o
ool200000080oooo0`0000000`3oool00000000000020?ooo`8000000P3oool00`000000oooo0000
0004000000<0oooo00<000000?ooo`000000100000020?ooo`070000003oool0oooo0000003oool0
00000?ooo`03000000<0oooo00H000000?ooo`000000oooo0000003oool2000001H0oooo00<00?[o
0?ooo`3oool03P3oool3001Lo`l0oooo00<0D`3o0?ooo`3oool0103oool000T0oooo0P1R0?l:0000
00030?ooo`0000000000008000000P00C_l4000000030?ooo`000000000000H0000000D0oooo0000
000000000000003[o`06000000030?ooo`000000000000H0000000<0oooo0000000000001P000000
0`3oool0000000000009000000030?ooo`000000000000@0000000<0oooo0000000000000`000000
1@3oool000000?ooo`000000oooo00/0000000<0oooo0000003oool01@000000103oool000000000
003oool3000000030?ooo`000000000000<0000000@0oooo000000000000oooo0P0000020?ooo`D0
00000P3oool010000000oooo0?ooo`3oool4000000030?ooo`000000000000800000103oool20000
00050?ooo`00000000000000003oool00`0000020?ooo`040000003oool0oooo000000<0oooo0P00
00000`3oool000000?ooo`02000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000001P3oool00`000000oooo0000000;0?ooo`040000
003oool00000000002d0oooo0`0000000`3oool0000000000002000000D0oooo0`0000080?ooo`@0
00002P3oool4000000h0oooo2P00000B0?ooo`030000003oool0oooo0100oooo00@000000?ooo`3o
ool0oooo0P0000040?ooo`<000001@3oool3000000P0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`070?ooo`<00000203oool010000000oooo0?ooo`0000090?ooo`040000003oool0
0000000000d0oooo0P00000M0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`050000003o
ool0oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080oooo0`0000060?ooo`03
0000003oool000000080000000H0oooo0000003oool0oooo0000003oool2000000040?ooo`000000
00000?ooo`<000000`3oool010000000oooo0000000000020?ooo`030000003oool0000000800000
00L0oooo0000003oool000000?ooo`000000oooo00<000000P3oool400000080oooo0`0000001@3o
ool000000?ooo`000000oooo00<0000000<0oooo0000000000000P3oool3000000030?ooo`000000
00000080oooo0P0000020?ooo`040000003oool000000?ooo`<000000`3oool700000080oooo00L0
00000?ooo`3oool000000?ooo`000000oooo00<000000`3oool01P000000oooo0000003oool00000
0?ooo`8000005P3oool00`00n_l0oooo0?ooo`0?0?ooo`03001Lo`3oool0oooo00h0oooo00<0D`3o
0?ooo`3oool0103oool000T0oooo00<0HP3o0000003oool02@0000000`3oool00000000000020000
00<004ko0`0000000`3oool000000000000:00000003003[o`000000000000d0000000<0oooo0000
0000ohP01P0000000`3oool0000000000009000000030?ooo`000000000000@0000000<0oooo0000
000000000`0000001@3oool000000?ooo`000000oooo00/0000000<0oooo00000000000020000000
1@3oool00000000000000000oooo00P0000000@0oooo000000000000oooo1P0000000`3oool00000
000000020?ooo`030000003oool0000000L000000`3oool2000000030?ooo`000000oooo00D00000
0`3oool010000000oooo0?ooo`0000030?ooo`<0000000@0oooo00000000000000000`3oool00`00
0000oooo0?ooo`020?ooo`060000003oool0oooo0000003oool000000`3oool2000000H0oooo00<0
00000?ooo`0000002@3oool500000380oooo10000000103oool000000000000000050?ooo`@00000
203oool3000000/0oooo1@00000U0?ooo`030000003oool0oooo00h0oooo0P0000020?ooo`800000
1@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`070?ooo`<00000203oool010000000oooo0?ooo`0000070?ooo`<0
000000<0oooo0000003oool02P3oool010000000oooo00000000000Q0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo0080oooo00@000000?ooo`000000oooo0P0000050?ooo`030000003oool0oooo0080000000H0
oooo0000003oool0oooo0000003oool2000000040?ooo`00000000000?ooo`80000000H0oooo0000
003oool0oooo0000003oool200000080oooo00<000000?ooo`3oool00P0000001`3oool000000000
00000000oooo0000003oool00P0000000`3oool000000?ooo`02000000040?ooo`000000oooo0?oo
o`<0000000D0oooo0000003oool000000?ooo`03000000030?ooo`00000000000080oooo0`000000
1@3oool000000?ooo`000000oooo008000000P3oool010000000oooo0000003oool3000000<0oooo
1`0000020?ooo`070000003oool0oooo0000003oool000000?ooo`03000000<0oooo00H000000?oo
o`000000oooo0000003oool2000002P0oooo00<005co0?ooo`3oool03P3oool00`1C0?l0oooo0?oo
o`040?ooo`002@3oool00`1R0?l000000?ooo`09000000030?ooo`0000000000008000000`00C_l3
000000030?ooo`000000000000D0000000@0oooo00000000000000000`00jol>000000030?ooo`00
00000?n800H0000000<0oooo0000000000002@0000000`3oool0000000000004000000030?ooo`00
0000000000<0000000D0oooo0000003oool000000?ooo`0;000000030?ooo`000000000000P00000
00D0oooo00000000000000000?ooo`04000000050?ooo`00000000000000003oool00P0000000`3o
ool0000000000004000000030?ooo`00000000000080oooo00<000000?ooo`0000001@0000000`3o
ool000000?ooo`020?ooo`80000000D0oooo00000000000000000?ooo`0300000080oooo00D00000
0?ooo`3oool0oooo000000020?ooo`050000003oool000000000003oool00P0000040?ooo`050000
003oool0oooo0?ooo`0000000P3oool00`000000oooo000000030?ooo`030000003oool0000000D0
oooo00<000000?ooo`0000002@3oool010000000oooo0?ooo`00000h0?ooo`8000000P3oool30000
00H0oooo0P0000090?ooo`@00000303oool6000001l0oooo00<000000?ooo`3oool02`3oool30000
0080oooo0P0000050?ooo`8000001`3oool00`000000oooo0?ooo`060?ooo`<000002@3oool30000
00L0oooo0P0000080?ooo`D000001`3oool00`000000oooo0?ooo`02000000/0oooo00<000000?oo
o`000000903oool2000000<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo00@0oooo0`0000060?ooo`030000003oool0000000<000000P3oool0
1@000000oooo000000000000oooo0080000000<0oooo0000003oool00P0000020?ooo`040000003o
ool0000000000080oooo00<000000?ooo`3oool00P0000000`3oool0000000000003000000060?oo
o`00000000000?ooo`000000oooo0P000000103oool000000?ooo`3oool3000000050?ooo`000000
oooo0000003oool00`0000000`3oool00000000000020?ooo`<0000000D0oooo0000003oool00000
0?ooo`03000000050?ooo`000000oooo0000003oool00`0000030?ooo`L000000P3oool01`000000
oooo0?ooo`000000oooo0000003oool00`0000030?ooo`060000003oool000000?ooo`000000oooo
0P00000X0?ooo`03001Lo`3oool0oooo01D0oooo00090?ooo`040680o`00000000000?ooo`P00000
00<0oooo0000000000000`0000000`00C_l0000000000002000000030?ooo`000000000000D00000
00@0oooo00000000000000000`00jol@00000003003oR0000000000000@0000000<0oooo00000000
00002@0000000`00o`h0000000000004000000030?ooo`000000000000<0000000D0oooo00000000
000000000?ooo`0;000000030?ooo`000000000000P0000000<0oooo0000000000001P0000000`3o
ool0000000000002000000030?ooo`000000oooo00H0000000<0oooo0000000000000P3oool20000
00030?ooo`000000oooo00D000000`3oool2000000050?ooo`00000000000000003oool010000000
103oool000000?ooo`3oool200000080oooo0P0000000`3oool0000000000002000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000@0oooo0P0000000`3oool000000?oo
o`020?ooo`030000003oool0000000T0oooo0P0000000`3oool000000?ooo`0A0?oooa0000007P3o
ool3000000D0oooo100000090?ooo`@000003P3oool2000001d0oooo00<000000?ooo`3oool02@3o
ool200000080oooo0`0000040?ooo`<000001`3oool2000000P0oooo00<000000?ooo`3oool02@3o
ool2000000P0oooo0P0000080?ooo`030000003oool0000000T0oooo00@000000?ooo`3oool00000
2`3oool400000140oooo1P00000@0?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000
oooo0?ooo`0000020?ooo`8000001@3oool00`000000oooo000000060?ooo`030000003oool00000
0080000000@0oooo0000003oool000000P3oool01`000000oooo000000000000oooo0000003oool0
0P0000020?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`00000000000P3oool70000
00030?ooo`000000oooo0080000000@0oooo0000003oool0oooo0P0000001@3oool0000000000000
0000oooo00@0000000<0oooo0000000000000P3oool3000000050?ooo`000000oooo0000003oool0
0`0000001@3oool000000?ooo`000000oooo00<000000`3oool700000080oooo00L000000?ooo`3o
ool000000?ooo`000000oooo00@000000P3oool00`000000oooo000000020?ooo`<00000@03oool0
00T0oooo00@0HP3o000000000000oooo200000000`3oool000000000000300000003001>o`000000
00000080000000<0oooo0000000000001@000000103oool00000000000000003003[o`l000000`00
ohP5000000030?ooo`000000000000P000000P00o`h?00000080oooo00<0G?l00000000000000`00
00000`3oool0000000000002000000030?ooo`000000000000P0000000@0oooo000000000000oooo
1@0000002P3oool000000000003oool000000?ooo`000000oooo0000003oool300000080oooo00@0
00000?ooo`3oool0oooo100000000`3oool0000000000003000000<0oooo00<000000?ooo`3oool0
200000001@3oool000000?ooo`3oool000000080oooo00D000000?ooo`00000000000?ooo`030000
00<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0000000<0oooo0P000000
0`3oool000000?ooo`020?ooo`040000003oool0oooo000000P0oooo1000000>0?ooo`D00000403o
ool3000001h0oooo100000050?ooo`<000002P3oool4000002T0oooo00<000000?ooo`3oool01P3o
ool3000000040?ooo`0000000000000000D0oooo0P0000080?ooo`8000002@3oool00`000000oooo
0?ooo`070?ooo`@00000203oool00`000000oooo0?ooo`070?ooo`030000003oool0000000T0oooo
00@000000?ooo`00000000002@3oool4000000l0oooo1P0000050?ooo`H000002`3oool200000080
oooo0P0000040?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`3oool010000000
oooo0000000000050?ooo`030000003oool0oooo0080000000H0oooo0000003oool0oooo0000003o
ool2000000040?ooo`00000000000?ooo`<000000P3oool2000000030?ooo`00000000000080oooo
00<000000?ooo`0000000P0000000`3oool0000000000005000000030?ooo`000000oooo00800000
00H0oooo0000003oool0oooo0000003oool4000000030?ooo`00000000000080000000<0oooo0000
000000000P3oool5000000030?ooo`000000oooo00<0000000<0oooo0000003oool01@0000030?oo
o`L000000P3oool01@000000oooo0?ooo`000000oooo00H000000P3oool00`000000oooo00000002
0?ooo`<00000@03oool000T0oooo00@0HP3o000000000000oooo200000000`3oool0000000000003
00000003001>o`00000000000080000000<0oooo0000003oool01@0000000`3oool0000000000002
00000003003[o`000000000000h000000`00ohP@000000800?l>3`0000000`3oool0G?l005co0005
000000030?ooo`00000000000080000000<0oooo000000000000100000000`2io`00000000000004
000000030?ooo`000000000000<0000000X0oooo000000000000oooo0000003oool000000?ooo`00
0000oooo0`0000000`3oool00000000000020?ooo`D0000000<0oooo0000000000000`0000020?oo
o`80000000<0oooo0000000000000`0000000`3oool00000000000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`0000001@0000030?ooo`050000003oool0oooo0?ooo`0000000P3o
ool2000000<0oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool00000000000L0oooo
1000000>0?ooo`800000@P3oool4000000X0oooo00<000000?ooo`3oool09P3oool00`000000oooo
0?ooo`020?ooo`@0000000@0oooo00000000000000001`3oool00`000000oooo0?ooo`060?ooo`80
00002@3oool2000000@0oooo0P0000030?ooo`040000003oool00000000000L0oooo0P0000090?oo
o`030000003oool0000000T0oooo0`00000:0?ooo`030000003oool0000000d0oooo1000000A0?oo
o`8000002`3oool01@000000oooo0?ooo`3oool0oc<000@0oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`030?ooo`040000003oool000000?m?00D0oooo00<000000?ooo`0000000`00
00020?ooo`050000003oool0oooo0000003oM`000P0000000`3oool000000?ooo`0200000080oooo
00@000000?ooo`00000000000P3oool00`000000oooo00000002000000030?ooo`000000oooo00@0
000000@0oooo000000000000oooo1@0000000`3oool000000?ooo`04000000030?ooo`0000000000
008000000P3oool00`000000oooo0?ooo`05000000030?ooo`000000oooo00<0000000<0oooo0000
003oool01@0000030?ooo`80000000<0oooo0000003oool00P0000020?ooo`050000003oool0oooo
0000003oool01P0000020?ooo`050000003oool0oooo0000003oool00`0000100?ooo`002@3oool0
101R0?l000000000003oool8000000030?ooo`000000000000<0000000<004ko0000000000000P00
00000`3oool0000000000005000000030?ooo`00000000000080000000<00>_o0000000000003P00
0003003oR0l000000`00o`h?000000030?ooo`1Lo`00G?l000H0000000<0oooo0000000000000P00
00000`3oool0000000000003000000040;Wo0000000000000?ooo`<0000000<0oooo000000000000
0`0000001`3oool000000000003oool000000?oh003oool01P0000000`3oool00000000000020?oo
o`X000000`3oool2000000050?ooo`00000000000000003oool0100000000`3oool000000?ooo`02
0?ooo`030000003oool0oooo00<0000000@0oooo0000003oool000000`3oool01@000000oooo0?oo
o`3oool000000080oooo00<000000?ooo`0000000P3oool010000000oooo0000000000040?ooo`80
0000203oool2000000030?ooo`000000oooo00/0oooo0`00000U0?ooo`030?lT003oool0oooo0100
oooo00<0ob@00?ooo`3oool03`3oool00`3o9000oooo0?ooo`0^0?ooo`H0000000@0oooo00000000
000000001P3oool4000000L0oooo0P0000090?ooo`8000001@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000P0oooo0P0000080?ooo`@000001`3oool4000000/0oooo0`00000:0?oo
o`@000000P3oool4000000d0oooo00<0obH00?ooo`3oool03@3oool01@000000oooo0?ooo`3oool0
oc<000@0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`030?m?00000000
odl000D0oooo00<000000?ooo`0000000`0000040?ooo`030?mg00000000ogL00080000000<0oooo
0000003oool00P0000020?ooo`040000003oool0000000000080oooo00X000000?n/00000000oj`0
0000003oool000000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`@000000P3oool5
000000030?ooo`000000oooo008000000P3oool2000000030?ooo`000000000000D0000000L0oooo
00000000000000000?ooo`000000oooo00H000000P3oool2000000030?ooo`000000oooo00800000
0P3oool01@000000oooo0?ooo`000000oooo00H000000P3oool01@000000oooo0?ooo`000000oooo
00<00000@03oool000T0oooo00@0HP3o000000000000oooo200000000`3oool00000000000030000
0003001>o`00000000000080000000<0oooo0000000000001@0000000`3oool00000000000020000
0004003[o`00000000000?ooo`h0000000<00?n80000000000003P000003003o3P030000003oool0
000000`000000P1Lo`000`000000G?l000000004000000030?ooo`00000000000080000000<0oooo
0000000000000P0000020;Wo0080000000D0oooo00000000000000000?ooo`05000000040?ooo`00
000000000?ooo`80ooP000<0oooo000000000000100000000`3oool00000000000020?ooo`800000
00@0oooo000000000000okL0100000030?ooo`H0000000L0oooo00000000000000000?n2003oool0
000000<0oooo00@000000?ooo`000000oooo0P000000103oool000000000000000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool2000000<0oooo0`0000040?ooo`030000003oool0000000P0
oooo0`00000:0?ooo`<0000000@0oooo00000000000000001P3oool<000000040?lR000000000000
000000l0oooo00<0ob@00?ooo`3oool0403oool00`3o9000oooo0?ooo`0?0?ooo`030?lT003oool0
oooo00d0oooo0P3o8`0G0?ooo`P000000P3oool4000000H0oooo0`0000090?ooo`8000002P3oool0
0`000000oooo0?ooo`030?ooo`8000000`3oool2000000030?ooo`000000oooo00L0oooo0P000008
0?ooo`030000003oool0000000P0oooo00@000000?ooo`3oool000002@3oool3000000X0oooo0`00
00020?ooo`@000001@3oool:000000<0oooo00<0obH00?ooo`3oool03@3oool20?lc00030?ooo`3o
<`00oooo00<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`80odl0
00<000000?ooo`3oool00P3oool01`000000oooo0000003oool000000?ooo`000000103oool20?mg
008000000P3oool01P000000oooo000000000000oooo00000080oooo00/000000?ooo`3oool00000
0?n/003oool0oj`00000003oool000000?ooo`03000000060?ooo`00000000000?ooo`000000oooo
0P000000103ok00000000?ooo`3ok005000000030?ooo`000000oooo008000000P3oool200000003
0?ooo`00000000000080000000<0oooo0000000000000P3oool200000080oooo00<000000?ooo`00
0000100000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`040000003oool0oooo0000
0080oooo1@0000020?ooo`050000003oool0oooo0000003oool00`0000100?ooo`002@3oool0101R
0?l000000000003oool8000000030?ooo`000000000000<0000000<004ko0000000000000P000000
0`3oool0000000000003000000030?ooo`000000oooo00@0000000@00>_o000000000000oooo3P00
00000`00ohP000000000000?00000003003o3P000000000000@0000000<0oooo0000000000001`00
000205co00030000001Lo`00000000@0000000H0oooo000000000000oooo0000003oool4000000<0
^Ol000<000000?ooo`0000000P0000000`3oool0000000000003000000040?ooo`00000000000?oo
o`80ooP000<0oooo000000000000100000000`3oool00000000000020?ooo`80000000@0oooo0000
003o]`00okL0100000030?ooo`030000003oool000000080000000<0oooo0000000000000P000000
0`3oPP00oooo000000020?ooo`030000003oool0oooo00<0000000@0oooo00000000000000000`3o
ool00`000000oeT00?ooo`020?ooo`050000003oool000000?ooo`0000000P3oool010000000oooo
0000000000030?ooo`030?lk003oool0000000L0oooo0`0000040?ooo`80obT01@3oool00`000000
oooo0?ooo`0200000080oooo0`3o8P06000000L0oooo100000020?lR00X000001@3oool40?lT0003
0000003oool0oooo00P0oooo0P0000000`3oool0ob@00?lT00030?lT00@0oooo0P00000:0?ooo`80
ob@02@3oool5000000030?ooo`3o8`00ob<000@0oooo2P0000030?lS00D000000`3oool00`000000
oooo0?ooo`03000000040?ooo`3o9@00obD00?lU00D0oooo00<000000?ooo`3oool0203oool20000
00X0oooo0P0000050?ooo`030000003oool0oooo0080obT000@000000?ooo`00000000001`3oool2
000000<0oooo0P3o:`040?ooo`030000003oool0000000L0oooo0P0000020?l[00030000003oool0
oooo00L0oooo0`00000:0?ooo`030000003oool0oooo00<0000000@0oooo0?lU003o9@00obD00P3o
ool3000000T0oooo0P0000020?lV00030000003o9P00oooo00@0oooo00<000000?ooo`3oool0203o
ool30?lc00@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030?m?
003oool0odl000<0oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`030?ooo`03
0?mg00000000ogL00080000000<0oooo0000003oool00P000000103oool000000000003oool20000
0080oooo00<000000?n/003o[0001`0000001P3oool000000000003oool000000?ooo`80000000P0
on`00000003oool0on`00000003oool000000?ooo`80000000@0oooo00000000000000000P3oool2
000000040?ooo`35o`0000000<Go00@000000P3oool200000080oooo00<000000?ooo`0000001000
00020?ooo`80000000<0oooo0000003oool00P0000020?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`0000000P0000020?ooo`050000003oool0oooo0000003oool00`0000100?ooo`00
2@3oool0101R0?l000000000003oool7000000030?ooo`000000000000@0000000<004ko00000000
00000P0000000`3oool0000000000003000000030?ooo`000000oooo00@0000000@00>_o00000000
0000oooo3P0000000`00ohP000000000000?00000003003o3P000000000000@0000000<0oooo0000
000000001@0000001P3oool000000?ooo`1Lo`00000005co00D0000000H0oooo000000000000oooo
0000003oool3000000060;Wo00000000^Ol00;Wo00000000oooo0`0000000`3oool0000000000002
00000080oooo00@000000?ooo`3on00000000P3on006000000030?ooo`00000000000080oooo00@0
00000?ooo`3oool000000P3o]`04000000<0oooo00<000000?ooo`0000000P000000103oool00000
0000000000020?n200@0oooo00@000000?ooo`000000oooo0P000000103oool000000?ooo`000003
0?ooo`80oeT00P3oool01@000000oooo0?ooo`3oool0000000<0oooo0`0000030?ooo`80oc/000<0
00000?ooo`3oool01@3oool2000000@0oooo103o:@060?ooo`8000000`3oool3000000040?ooo`3o
8P00ob800?lR00`0oooo1P3o8P0<000000<0oooo0`3o9004000000P0oooo0`000000103oool0ob@0
0?lT003o90050?ooo`@000000`3oool60?lT00@00000203oool60?lS00l000000`3o8`05000000<0
oooo00<000000?ooo`3oool0103oool30?lU00d0oooo1@3o9`070?ooo`040000003oool0oooo0?oo
o`<0000000D0oooo0?lY003o:@00obT00?ooo`02000000H0oooo0`0000030?ooo`<0ob/00P3oool3
000000T0oooo00@000000?l[003o:`00ob/02@3oool200000080oooo1P3o:0060?ooo`8000001`3o
ool30?lU00l0oooo0`3o9P000`000000oooo0?ooo`020?ooo`<000001`3oool01@000000oooo0?lc
003o<`00000000H0oooo00@000000?ooo`00000000001@3oool20?m?00070000003oool0oooo0000
003oool000000?ooo`04000000@0oooo00<000000?mg003oM`000P0000020?ooo`<0000000@0oooo
000000000000oooo0P0000020?ooo`030000003o[000oj`000X0000000<0oooo0000003oool00P00
0000203oool0on`00?o/003ok00000000?ooo`000000oooo0P000000103oool00000000000000002
0?ooo`80000000@0oooo0<Go0035o`00aOl0100000020?ooo`8000000P3oool00`000000oooo0000
0002000000<0JOl000@0oooo000000000000oooo1@0000000`3oool00000000000020?ooo`040000
003oool00?l10?ooo`<000000P3oool01@000000oooo0?ooo`000000oooo00<00000103oool00`00
og`0oooo0?ooo`0?0?ooo`03003ho`3oool0oooo00l0oooo00<005[o0?ooo`3oool05@3oool000T0
oooo0`0000000`3oool0000000000005000000030?ooo`000000000000T0000000<0oooo00000000
00000`0000000`3oool000000?ooo`07000000030?ooo`000000000001L0000000<0oooo00000000
0000100000000`3oool0000000000004000000030?ooo`000000000000D0000000<0oooo0000003o
ool00`0000000`3oool0000000000002000000060?ooo`00000000000?ooo`000000oooo0`000000
1P2io`0000000000002io`0000000?ooo`8000000P3oool4000000050?ooo`00000000000?ooo`3o
n0000P0000000`3on000000000000004000000030?ooo`00000000000080oooo00@000000?ooo`3o
ool0okL00P000000103o]`0000000?ooo`0000030?ooo`060000003oool000000?ooo`000000oooo
0`0000020?n200<0oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000000000<0oooo
00<0oeT00?ooo`3oF@000P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000000`3oool0
0000000000030?lk00030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool20?lY0003
0?ooo`3o:@00oooo00D0oooo0P0000030?ooo`800000103oool20?lR01P0oooo100000000`3oool0
000000000004000000H0oooo0`0000080?ooo`@000002@3oool3000000X0oooo1P00000@0?ooo`<0
000000@0oooo0?lS003o8`00ob<02`3oool00`000000oooo0?ooo`040?ooo`80obD04@3oool00`3o
9`00oooo0?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`020?lY00040?ooo`3o:@000000
000000L0oooo00<000000?ooo`3oool00P3oool20?l[00030?ooo`3o:`00oooo008000002P3oool0
1@000000ob/00?l[003oool0ob/000L0oooo0`0000080?ooo`030?lX003oool0oooo0080oooo0`00
00090?ooo`80obD0503oool3000000@0oooo0P0000060?ooo`050000003oool000000?ooo`000000
1P3oool010000000oooo0000000000040?ooo`040000003oC`00000000000080oooo00@000000?oo
o`000000oooo0P0000000`3oool000000?ooo`020?ooo`80000000<0ogL00000000000000P3oool3
00000080oooo1@000000103oool000000?ooo`3o[002000000030?ooo`000000oooo00D0000000H0
oooo0000003oool0oooo0000003oool20?o/00050?ooo`000000oooo0000003oool00P0000000`3o
ool0000000000002000000040?ooo`00000000000?ooo`80aOl01@0000020?ooo`8000000P3oool0
0`000000oooo00000002000000<0JOl000@0oooo000000000000oooo1@0000000`3oool000000000
00020?ooo`0500000000o`400?l10?ooo`00o`400P0000020?ooo`050000003oool0oooo0000003o
ool0100000030?ooo`03003oO03oool0oooo00l0oooo00<00?So0?ooo`3oool03`3oool00`00F_l0
oooo0?ooo`0E0?ooo`002@3oool3000000030?ooo`000000000000D0000000<0oooo000000000000
3`0000000`3oool000000?ooo`07000000030?ooo`000000000001L0000000<0oooo000000000000
100000000`3oool0000000000004000000030?ooo`000000000000L0000000D0oooo000000000000
00000?ooo`04000000040?ooo`00000000000?ooo`X0000000H0oooo000000000000oooo0000003o
ool3000000030?ooo`00000000000080oooo00<000000?ooo`3on0001@0000000`3oool000000000
00020?ooo`080000003oool0oooo0000003o]`0000000?ooo`3o]`02000000@0oooo0`0000000`3o
ool000000?ooo`02000000030?n2003oool0oh8000<0oooo00<000000?ooo`3oool00P0000000`3o
ool000000?ooo`0200000080oooo00<0oeT00000003oF@000`3oool010000000oooo0?ooo`000003
0?ooo`050000003oool000000000003o>`000P3oool00`3o>`00oooo0?ooo`050?ooo`8000001`3o
ool00`3o:@00oooo0?ooo`020?ooo`8000000P3oool3000000@0oooo0P3o8P0N0?ooo`D000000P3o
ool3000000H0oooo0`0000090?ooo`<000002@3oool4000000`0oooo1`00000K0?ooo`030000003o
ool0oooo0080oooo0P3o9@0B0?ooo`030?lW003oool0oooo00<0oooo00@000000?ooo`3oool0oooo
0`0000050?ooo`030?lY00000000oooo00L0oooo00<000000?ooo`3oool01@3oool00`3o:`00oooo
0000000;0?ooo`050000003oool0oooo0?ooo`3o:`001`3oool00`000000oooo0?ooo`070?ooo`80
obP00`3oool2000000X0oooo0P3o9@0I0?ooo`<000000`3oool00`000000oooo0?ooo`040?ooo`<0
000000<0oooo0000003oool0103oool00`000000oooo0?ooo`02000000@0oooo0`0000020?ooo`04
0000003oool000000?ooo`@00000103oool2000000060?ooo`000000oooo0?ooo`000000oooo0P00
0000103oool000000000003oool2000000040?ooo`000000oooo0?n/0080000000<0oooo0000003o
ool00`000000103oool000000000000000020?ooo`<0000000<0on`00?ooo`3oool00P000000103o
ool000000000003oool400000080oooo00@000000?ooo`3oool0aOl01@0000020?ooo`<0000000<0
oooo0000003oool01000000206Wo00030?ooo`00000000000080oooo100000020?ooo`040000003o
ool0oooo000000800?l100@0oooo003o0@00000000000P3oool01@000000oooo0?ooo`000000oooo
00@000000`3oool00`00og`0oooo0?ooo`0?0?ooo`03003ho`3oool0oooo00l0oooo00<005[o0?oo
o`3oool05@3oool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000000000l0
000000<0oooo0000003oool01`0000000`3oool000000000000G000000030?ooo`000000000000@0
000000<0oooo000000000000100000000`3oool0000000000007000000030?ooo`000000oooo00T0
000000<0oooo0000000000001P0000000`3oool000000?ooo`02000000030?ooo`000000oooo00<0
000000@0oooo000000000000oooo0P0000020?ooo`<0000000<0oooo0000003oool00P0000020?oo
o`070000003oool0oooo0000003oool000000?ooo`03000000@0oooo0P000000103oool000000?oo
o`3oool2000000030?n2003oool0oh8000<0oooo00@000000?ooo`000000oooo0P0000000`3oool0
0000000000020?ooo`040?mI00000000oooo0?mI0080oooo00D000000?ooo`3oool0oooo00000002
0?ooo`80000000<0oooo0000003oool00P3oool00`3o>`0000000?ooo`060?ooo`030000003oool0
oooo00D0oooo00@0obT00?ooo`3oool0oooo0P000000103oool0000000000000000/0?ooo`@00000
00<0oooo0000000000000P0000050?ooo`@00000203oool4000000T0oooo1000000?0?ooo`h00000
3@3oool00`000000oooo0?ooo`0E0?ooo`040?lW00000000oooo0?ooo`<000000P3oool2000000H0
oooo00<000000?lY000000001`3oool2000000L0oooo00<0ob/00000000000002P3oool2000000<0
oooo00<0ob/00?ooo`3oool0103oool2000000040?ooo`0000000000000000D0oooo00<0obP00?oo
o`3oool00`00000B0?ooo`X00000303oool400000080oooo0P0000060?ooo`@000001@3oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`000000oooo
0P0000000`3oool000000?ooo`020?ooo`80000000H0oooo000000000000oooo0000003oool20000
0080oooo00@000000?ooo`00000000000P3oool01@000000oooo000000000000oooo00D0000000@0
oooo00000000000000000P3oool3000000030?o/003oool0oooo00D0000000<0oooo000000000000
0P0000020?ooo`060000003oool0oooo0<Go00000000oooo100000001`3oool00000000000000000
oooo0000003oool01000000206Wo00030?ooo`00000000000080oooo100000020?ooo`080000003o
ool0oooo0000003oool00?l10?ooo`00o`4200000080oooo00D000000?ooo`3oool000000?ooo`04
000000030?ooo`00og`0oooo00800?ml403oool00`00n?l0oooo0?ooo`0?0?ooo`03001Jo`3oool0
oooo01D0oooo00090?ooo`<0000000<0oooo0000000000001@0000000`3oool000000000000?0000
00030?ooo`000000oooo00L0000000@0oooo000000000000oooo5P0000000`3oool000000000000;
000000030?ooo`000000000000L0000000<0oooo0000000000002@0000001@3oool0000000000000
0000oooo00@0000000<0oooo0000003oool00P0000000`3oool000000?ooo`03000000040?ooo`00
000000000?ooo`8000000P3oool5000000030?ooo`00000000000080oooo00D000000?ooo`3oool0
00000?ooo`05000000@0oooo0P000000103oool000000?ooo`3oool3000000@0oooo00D000000?oo
o`3oool000000?ooo`02000000030?ooo`000000000000<0oooo00<000000?ooo`3oF@000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool00000008000000`3oool00`3o>`00oooo0?oo
o`040?ooo`8000001`3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool0<@3o
ool2000000<0oooo0`0000060?ooo`<000002@3oool3000000X0oooo1P00000T0?ooo`030000003o
ool0oooo01<0oooo1P0000020?ooo`<000001P3oool2000000T0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`070?ooo`<000000`3oool2000000H0oooo00@000000?ooo`3oool00000
203oool300000080oooo0`00000;0?ooo`D000002P3oool5000000T0oooo0`0000030?ooo`800000
1P3oool00`000000oooo000000050?ooo`040000003oool0oooo000000@0oooo0`0000020?ooo`04
0000003oool000000?ooo`@000000`3oool01@000000oooo0000003oool000000080oooo0`000002
0?ooo`030000003oool000000080000000<0oooo0000003oool0200000001P3oool000000000003o
ool000000?ooo`80000000P0oooo0000003oool0oooo0000003oool000000?ooo`H000000P3oool0
0`000000oooo0?ooo`02000000030?ooo`0000000000008000000P3oool2000000030?ooo`000000
oooo00D0000000@0JOl00?ooo`00000000000P3oool400000080oooo00D000000?ooo`3oool00000
0?ooo`02003o0@<000000P3oool01@000000oooo0?ooo`000000oooo00@0000000<0oooo003oO03o
ool00P00og`?0?ooo`<00?So403oool00`00F_l0oooo0?ooo`0E0?ooo`002@3oool0101P0?l00000
0000003oool7000000030?ooo`000000000000l0000000<0oooo0000003oool02P0000000`3oool0
00000000000D000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool0
000000000009000000050?ooo`00000000000000003oool00P0000001@3oool000000?ooo`000000
oooo0080000000<0oooo0000003oool00`000000103oool000000000003oool200000080oooo1@00
00000`3oool00000000000020?ooo`030000003oool0oooo00H00000103oool020000000oooo0000
003oool000000?ooo`000000oooo0P0000040?ooo`050000003oool0oooo0000003oool00P000000
0`3oool00000000000030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?oo
o`04000000@0oooo00<000000?ooo`3oool00`3oool2000000L0oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`0d0?ooo`D0000000<0oooo0000000000001`3oool3000000T0oooo
1000000<0?ooo`H000007P3oool00`000000oooo0?ooo`0@0?ooo`H00000103oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo0`0000080?ooo`8000001P3oool010000000oooo
0?ooo`0000050?ooo`030000003oool0oooo00<0oooo0`0000000`3oool00000000000070?ooo`80
00000`3oool2000000T0oooo1@00000P0?ooo`8000000P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0000000@0oooo00@000000?ooo`3oool00000103oool010000000oooo000000000002
0?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00P3oool2000000040?ooo`00
000000000?ooo`<000000P3oool5000000030?ooo`000000oooo00<0000000<0oooo000000000000
1@0000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool010000000oooo0000003oool6
00000080oooo00@000000?ooo`3oool0oooo1P0000020?ooo`8000000P3oool5000000040?ooo`1Y
o`00oooo0?ooo`80000000<0oooo0000000000000P0000020?ooo`070000003oool0oooo0000003o
ool00000003o0@0300000080oooo00D000000?ooo`3oool000000?ooo`0400000080oooo0P00og`@
0?ooo`<00?So403oool00`00F_l0oooo0?ooo`0E0?ooo`002@3oool0101P0?l000000000003oool7
000000030?ooo`00000000000140000000<0oooo000000000000200000000`3oool000000000000D
000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool0000000000004
000000030?ooo`00000000000080000000<0oooo000000000000100000001@3oool000000?ooo`00
0000oooo0080000000<0oooo0000003oool00`000000103oool000000000003oool200000080oooo
1@0000000`3oool00000000000020?ooo`030000003oool0oooo00H00000103oool01P000000oooo
0000003oool000000?ooo`<000001@3oool00`000000oooo0?ooo`02000000030?ooo`0000000000
008000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0oooo1000
00030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool010000000oooo0?oo
o`0000020?ooo`800000503oool:000001h0oooo00<000000?ooo`3oool01@0000050?ooo`@00000
2@3oool4000000h0oooo1@00000I0?ooo`030000003oool0oooo00d0oooo1P0000040?ooo`<00000
1P3oool3000000L0oooo0P00000:0?ooo`030000003oool0oooo00<0oooo0`0000000`3oool00000
000000020?ooo`@00000103oool2000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`03000000L0oooo1000000W0?ooo`80000000<0oooo0000003oool01P3oool2000000D0oooo
00@000000?ooo`3oool00000103oool00`000000oooo000000020?ooo`040000003oool000000?oo
o`@000000`3oool5000000030?ooo`000000oooo008000000P3oool01P000000oooo000000000000
oooo00000080oooo0P0000000`3oool000000?ooo`03000000040?ooo`000000000000000080oooo
0`0000030?ooo`80000000@0oooo000000000000oooo100000000`3oool000000?ooo`020?ooo`H0
00000P3oool200000080oooo1`0000020?ooo`80000000<0oooo0000000000000P0000020?ooo`07
0000003oool0oooo0000003oool00000003o0@03000000<0oooo00H000000?ooo`000000oooo0000
003oool200000080oooo0P00og`@0?ooo`<00?So3`3oool3001JoaH0oooo00090?ooo`040600o`00
000000000?ooo`L0000000<0oooo000000000000100000000`00Col000000000000:000000030?oo
o`000000000000P0000000<0oooo0000000000003`0000000`3oool0000000000002000000030?oo
o`000000000000/0000000<0oooo0000000000003`0000000`3oool0000000000002000000030?oo
o`000000000000<0000000<0oooo0000003oool0100000000`3oool000000?ooo`03000000040?oo
o`000000oooo0?ooo`8000000P3oool5000000040?ooo`00000000000?ooo`8000000P3oool20000
00040?ooo`0000000000000000@0oooo2@0000040?ooo`80000000<0oooo0000003oool00P000000
0`3oool00000000000030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?oo
o`04000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`8000000P3o
ool010000000oooo0?ooo`00000@0?ooo`L000002@3oool7000001l0oooo0P0000070?ooo`<00000
2P3oool5000002L0oooo00<000000?ooo`3oool02P3oool6000000@0oooo0`0000070?ooo`800000
203oool2000000T0oooo0`0000040?ooo`8000000`3oool01@000000oooo0?ooo`3oool0000000H0
oooo0P0000000`3oool0000000000002000000D0oooo100000000`3oool00000000000070?ooo`<0
0000203oool300000240oooo1@0000060?ooo`8000001@3oool010000000oooo0?ooo`0000040?oo
o`<000000P3oool010000000oooo0000003oool3000000@0oooo0P0000001@3oool0000000000000
0000oooo008000000P3oool00`000000oooo00000002000000030?ooo`000000oooo0080000000<0
oooo0000000000000`000000103oool000000000000000020?ooo`@000000P3oool5000000030?oo
o`0000000000008000000P3oool00`000000oooo0?ooo`0600000080oooo0P0000020?ooo`L00000
0P3oool2000000030?ooo`0000000000008000000P3oool200000080oooo0`0000000`3oool00000
000000030?ooo`060000003oool000000?ooo`000000oooo0P0000030?ooo`03003oO03oool0oooo
00l0oooo00<00?So0?ooo`3oool03P3oool3001JoaH0oooo00090?ooo`80H03o00<000000?ooo`00
00001P0000000`3oool000000000000400000003001?o`000000000000X0000000<0oooo00000000
0000200000000`3oool000000000000D000000030?ooo`000000000000H0000000<0oooo00000000
00000P0000000`3oool000000000000?000000030?ooo`00000000000080000000<0oooo00000000
00000`000000103oool000000000003oool3000000030?ooo`000000oooo00D000000P3oool20000
00030?ooo`000000000000@0000000@0oooo000000000000oooo0P0000001@3oool0000000000000
0000oooo00<00000103oool2000000030?ooo`000000000000@00000103oool2000000030?ooo`00
0000oooo00D000000`3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`@0
00000`3oool00`000000oooo0?ooo`030?ooo`8000001@3oool00`000000oooo0?ooo`0200000003
0?ooo`000000000000d0oooo1000000h0?ooo`<000001`3oool4000000/0oooo0P00000U0?ooo`03
0000003oool0oooo00D0oooo200000040?ooo`<000001`3oool3000000T0oooo00<000000?ooo`3o
ool01`3oool2000000D0oooo0P0000030?ooo`8000000P3oool2000000H0oooo00@000000?ooo`3o
ool00000203oool00`000000oooo0?ooo`03000000L0oooo0P0000060?ooo`D000000`3oool?0000
01<0oooo0P0000020?ooo`8000001@3oool2000000D0oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo000000020?ooo`030000003oool0oooo00D000000`3oool5000000060?ooo`000000
00000?ooo`000000oooo0P0000001P3oool000000000003oool000000?ooo`P0000000H0oooo0000
00000000oooo0000003oool400000080oooo1@0000000`3oool000000000000200000080oooo00<0
00000?ooo`3oool01P0000020?ooo`8000000P3oool00`000000oooo0000000400000080oooo0P00
00000`3oool000000000000200000080oooo0P0000020?ooo`<0000000<0oooo0000000000000`3o
ool01P000000oooo0000003oool000000?ooo`8000005@3oool00`00n?l0oooo0?ooo`0>0?ooo`<0
05[o3`3oool00`1E0?l0oooo0?ooo`040?ooo`002@3oool20600o`030000003oool0000000H00000
00<0oooo0000000000000`000002001?o``0000000H0oooo00000000000000000?ooo`00kOl50000
00030?ooo`000000000001@0000000<0oooo0000000000001P0000000`3oool000000000000D0000
00060?ooo`00000000000?ooo`000000oooo1@000000103oool000000000003oool3000000030?oo
o`000000oooo00D000000P3oool00`000000oooo0?ooo`0500000080oooo0P000000203oool00000
0?ooo`3oool000000?ooo`000000oooo0P0000040?ooo`030000003oool000000080000000<0oooo
0000000000000P0000040?ooo`050000003oool0oooo0000003oool01@0000020?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0
0`3oool2000000D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0;0?ooo`80
0000BP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0000000T00000103oool4000000P0
oooo0P0000090?ooo`<00000203oool3000000D0oooo00@000000?ooo`3oool0oooo0P0000020?oo
o`8000001P3oool2000000030?ooo`000000000000L0oooo0P0000000`3oool00000000000070?oo
o`<00000103oool4000000<0oooo1@00000?0?ooo`D000003`3oool300000080oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`040000003oool00000000000<0oooo00<00000
0?ooo`0000000P3oool010000000oooo0000003oool3000000@0oooo1P000000103oool000000000
003oool2000000050?ooo`00000000000?ooo`0000000P3oool2000000040?ooo`00000000000?oo
o`@0000000<0oooo0000003oool00P000000203oool000000?ooo`3oool000000?ooo`000000oooo
1P0000020?ooo`030000003oool0oooo0080000000H0oooo000000000000oooo0000003oool30000
00030?ooo`000000oooo00D000000P3oool2000000030?ooo`000000000000<0000000<0oooo0000
000000000P3oool010000000oooo0000003oool2000000<0oooo00<000000?ooo`3oool00P000000
0`3oool000000000000E0?ooo`03003ho`3oool0oooo00l0oooo00<005[o0?ooo`3oool03P3oool0
0`1E0?l0oooo0?ooo`040?ooo`002@3oool0101P0?l000000000003oool7000000030?ooo`000000
000000<000000`00Col;000000060?ooo`00000000000000003oool00>go4@0000000`00ohH00000
00000008000000030?ooo`000000000000H0000000<0oooo00000000000050000000203oool00000
0000003oool000000?ooo`000000oooo0`000000103oool000000000003oool3000000030?ooo`00
0000oooo00D000000P3oool00`000000oooo0?ooo`03000000030?ooo`000000oooo008000000P3o
ool01@000000oooo0?ooo`000000oooo00@00000103oool00`000000oooo00000002000000030?oo
o`000000000000800000103oool00`000000oooo0?ooo`02000000040?ooo`0000000000000000<0
oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00@000000P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`090?ooo`<000002@3oool>00000600oooo3`0000050?ooo`<000002@3oool30000
00T0oooo0P00000:0?ooo`8000001@3oool200000080oooo0P0000030?ooo`030000003oool0oooo
00@0oooo0P0000000`3oool00000000000070?ooo`8000000P3oool00`000000oooo0?ooo`050?oo
o`800000103oool3000000<0oooo100000080?ooo`X000001`3oool4000000d0oooo0P0000020?oo
o`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0000000@0oooo0P0000030?oo
o`030000003oool0000000@000000`3oool5000000030?ooo`000000000000<0oooo00<000000?oo
o`0000000P0000000`3oool000000?ooo`02000000030?ooo`000000000000<0000000@0oooo0000
0000000000000P3oool300000080oooo00@000000?ooo`000000oooo1P0000020?ooo`030000003o
ool0oooo00L000000P3oool2000000030?ooo`000000oooo00D000000P3oool2000000030?ooo`00
0000000000<0000000<0oooo0000000000000P3oool010000000oooo0000003oool2000000<0oooo
00<000000?ooo`3oool00P0000000`3oool000000000000W0?ooo`03001Jo`3oool0oooo00h0oooo
00<0E@3o0?ooo`3oool0103oool000T0oooo00@0H03o000000000000oooo1`0000000`3oool00000
00000003000000<004oo2`000000103oool00000000000000002003]oa40000000<00?n600000000
00004@0000000`3oool000000000000D000000080?ooo`00000000000?ooo`000000oooo0000003o
ool3000000040?ooo`00000000000?ooo`8000000P3oool4000000030?ooo`00000000000080oooo
00<000000?ooo`3oool00`0000000`3oool000000?ooo`0200000080oooo00D000000?ooo`3oool0
00000?ooo`04000000@0oooo00<000000?ooo`0000001P0000050?ooo`030000003oool0oooo00H0
00000`3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`<000000`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00H000000?ooo`3oool000000?oo
o`00000:0?ooo`<000001`3oool5000000T0oooo2`0000000`3oool0000000000002000000P0oooo
100000080?ooo`8000002P3oool2000000X0oooo100000070?ooo`H000001P3ooolD000000@0oooo
0`0000090?ooo`030000003oool0oooo00P0oooo0P00000:0?ooo`8000001@3oool00`000000oooo
0?ooo`020?ooo`8000001@3oool2000000<0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`04
0000003oool00000000000L0oooo0P0000020?ooo`8000001P3oool2000000@0oooo0P0000040?oo
o`8000002P3oool2000000X0oooo1P0000050?ooo`<000002@3oool010000000oooo0?ooo`000002
0?ooo`800000103oool2000000D0oooo00<000000?ooo`0000000P3oool2000000080?ooo`000000
oooo0?ooo`000000oooo0000003oool3000000@0oooo100000000`3oool00000000000030?ooo`80
000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000000000<0000000<0oooo
0000000000000P0000000`3oool000000000000200000080oooo0P0000000`3oool0000000000004
00000080oooo00@000000?ooo`3oool0oooo1P0000020?ooo`8000000P3oool5000000040?ooo`00
0000oooo0?ooo`80000000<0oooo0000000000000P0000020?ooo`050000003oool0oooo0000003o
ool0100000030?ooo`050000003oool0oooo0000003oool00`00000W0?ooo`03001Jo`3oool0oooo
01D0oooo00090?ooo`040600o`00000000000?ooo`L0000000<0oooo000000000000100000000`00
Col000000000000:000000040?ooo`0000000000000000<00>go400000000`00ohH000000000000?
00000003003o2`000000oooo01H0000000@0oooo000000000000oooo0`0000000`3oool000000000
0004000000030?ooo`00000000000080oooo10000000103oool000000000003oool200000080oooo
0`0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`3oool01P0000030?ooo`030000
003oool0oooo00L00000103oool01@000000oooo0?ooo`000000oooo00<0000000<0oooo0000003o
ool01@3oool01@000000oooo0?ooo`3oool000000080oooo100000020?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00000<0?ooo`030000003oool0
oooo00@0oooo1000000F0?ooo`L0000000<0oooo0000000000000P0000080?ooo`<000001`3oool5
000000L0oooo1@0000090?ooo`@000002@3oool<000000@0oooo00<000000?ooo`3oool00P3oool;
000002D0oooo0`0000020?ooo`<00000103oool3000000L0oooo0P0000090?ooo`030000003oool0
oooo00L0oooo1000000:0?ooo`@000005@3oool8000000H0oooo1@0000030?ooo`<00000203oool2
000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0oooo00@00000
0?ooo`00000000000P3oool3000000<0oooo00<000000?ooo`000000100000030?ooo`D0000000<0
oooo0000000000000`3oool01`000000oooo000000000000oooo0000003oool00`0000000`3oool0
000000000005000000030?ooo`000000oooo00@000000P3oool5000000030?ooo`00000000000080
000000<0oooo0000003oool00P3oool600000080oooo0P0000020?ooo`D0000000@0oooo0000003o
ool0oooo0P0000000`3oool000000000000200000080oooo00D000000?ooo`3oool000000?ooo`05
00000080oooo00D000000?ooo`3oool000000?ooo`03000003l0oooo00090?ooo`040600o`000000
00000?ooo`L0000000<0oooo000000000000100000000`00Col000000000000:000000040?ooo`00
00000000000000<00>go3`000003003oQQ00000000<00?l;0000003oool0400000000`1Oo`00oooo
00000003000000040?ooo`00000000000?ooo`<0000000<0oooo0000000000000P0000000`3oool0
00000?ooo`02000000030?ooo`000000oooo00<0000000@0oooo000000000000oooo0P0000020?oo
o`D0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`06000000<0oooo00D000000?oo
o`00000000000?ooo`05000000@0oooo00D000000?ooo`3oool000000?ooo`04000000L0oooo00@0
00000?ooo`3oool000000`3oool3000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`060000003oool000000000003oool00000203oool3000000D0oooo0P00000P0?oo
o`D0000000@0oooo0000000000000000203oool3000000T0oooo0`0000090?ooo`<000002P3oool5
00000100oooo2@0000090?ooo`030000003oool0oooo0280oooo0P0000030?ooo`8000001@3oool2
000000L0oooo0`0000070?ooo`@00000203oool2000000`0oooo0P00000A0?ooo`P00000203oool2
000000L0oooo100000030?ooo`<00000203oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo0P0000040?ooo`030000003oool000000080oooo0P000000203oool000000?oo
o`3oool000000?ooo`000000oooo0`0000030?ooo`D0000000<0oooo0000000000000`3oool01000
0000oooo0000000000020?ooo`050000003oool000000000003oool01`0000000`3oool000000?oo
o`02000000040?ooo`000000oooo0?ooo`D0000000<0oooo0000000000000P0000020?ooo`030000
003oool0oooo00H000000P3oool200000080oooo1`0000020?ooo`80000000<0oooo000000000000
0P0000020?ooo`050000003oool0oooo0000003oool01@0000020?ooo`050000003oool0oooo0000
003oool01000000n0?ooo`002@3oool0101P0?l000000000003oool7000000030?ooo`0000000000
00@0000000<004oo0000000000002P0000000`3oool000000000000200000003003]o`0000000000
00X0000000@0oooo00000000000000000`00ohH?000000800?l;00<000000?ooo`00000030000000
1@3oool000000000001Oo`00oooo00L0000000D0oooo00000000000000000?ooo`04000000030;_o
00000000oooo0080000000<0oooo0000003oool00`000000103oool000000000003oool200000080
oooo1@000000103oool000000000003oool200000080oooo0P000000103oool00000000000000003
0?ooo`030000003oool000000080000000<0oooo0000000000000P0000040?ooo`030000003oool0
oooo00@0000000<0oooo0000003oool01@3oool010000000oooo0?ooo`3oool2000000040?ooo`00
0000oooo000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000
003oool000000080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`<00000
9P3oool4000000030?ooo`0000000000008000001`3oool2000000X0oooo0`0000090?ooo`@00000
2`3oool7000001/0oooo00<000000?ooo`3oool07`3oool300000080oooo0`0000050?ooo`800000
1`3oool2000000P0oooo0P00000:0?ooo`8000002`3oool3000000l0oooo1000000M0?ooo`<00000
0P3oool4000000H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`80
000000L0oooo0?mN003oool0oooo0000003oool000000080oooo100000020?ooo`030000003oool0
000000@000000`3oool5000000030?ooo`00000000000080oooo0P0000001P3oool000000000003o
ool000000?ooo`80000000<0oooo0000000000000`0000000`3oool0000000000002000000040?oo
o`000000000000000080oooo00@000000?ooo`000000oooo1P0000020?ooo`030000003oool0oooo
00H000000P3oool200000080oooo1`0000020?ooo`80000000<0oooo0000000000000P0000020?oo
o`050000003oool0oooo0000003oool01@0000030?ooo`040000003oool000000?ooo`@00000?P3o
ool000T0oooo00@0H03o000000000000oooo1`0000000`3oool000000?ooo`0400000003001?o`00
0000000000X0000000<0oooo0000000000000P0000000`00kOl000000000000:000000040?ooo`00
00000000000000<00?n63`000003003o2`030?ooo`000000000000/0000000D0oooo0000001Oo`00
Gol00?ooo`07000000050?ooo`00000000000000003oool0100000000`2ko`0000000?ooo`020000
00030?ooo`000000oooo00<0000000@0oooo000000000000oooo0P0000000`3oool0ooH000000004
000000040?ooo`00000000000?ooo`80000000D0oooo00000000000000000?ooo`03000000<0oooo
00<000000?ooo`0000000P0000000`3oool0000000000002000000@0oooo00<000000?ooo`3oool0
1P0000060?ooo`050000003oool0oooo0000003oool00P0000000`3oool00000000000030?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`000000oooo
000000P0oooo00<000000?ooo`3oool00P3oool2000002/0oooo1@0000020?ooo`<000001P3oool3
000000030?ooo`3o:000oooo00L0oooo0P00000;0?ooo`D000003@3ooolB000000T0oooo00<00000
0?ooo`3oool06`3oool010000000oooo0000000000030?ooo`8000001@3oool3000000L0oooo0P00
00080?ooo`8000002`3oool00`000000oooo0?ooo`090?ooo`8000003P3oool4000002<0oooo1000
00001@3oool000000000003oAP00000000D0oooo0P0000001@3oool000000?ooo`3oool0000000@0
oooo00<000000?ooo`3oGP000P3oool010000000oooo0000000000020?ooo`030000003oool00000
0080oooo00H000000?ooo`000000oooo0000003oP`0200000080oooo0P000000103oool000000000
003oool2000000<0oooo00H000000?ooo`000000okD00?ooo`0000020?ooo`L0000000<0oooo0000
000000000P0000000`3oool0000000000002000000050?ooo`000000oooo0000003oool01P000002
0?ooo`030000003oool0oooo00H000000P3oool200000080oooo00@000000?ooo`000000oooo0`00
00020?ooo`80000000<0oooo0000000000000P0000020?ooo`80000000@0oooo0000003oool0oooo
100000030?ooo`040000003oool000000?ooo`@00000?P3oool000T0oooo00@0H03o000000000000
oooo1`0000000`3oool000000?ooo`0400000003001?o`000000000000X0000000<0oooo00000000
00000P0000000`00kOl000000000000:000000030?ooo`00000000000080000000<00?n600000000
00003P000003003o2`050?ooo`00000000000000003oool02@0000001@3oool0000005oo00000000
Gol000L0000000D0oooo00000000000000000?ooo`0300000080^ol000L000000?ooo`0000000000
0?ooo`000000oooo00<0000000@0oooo0000003oool0oooo0P0000000`3oool0ooH0000000030000
0080oooo0P000000103oool000000?ooo`3oool3000000030?ooo`000000ok@000@0oooo00<00000
0?ooo`0000001P0000040?ooo`070?mo00000000oooo0000003oool000000?ooo`03000000H0oooo
00<000000?ooo`3oool00P0000000`3oool000000?ooo`02000000<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01X0oooo00<0ob<00?ooo`3oool0
3`3oool0103o9P00oooo0?ooo`3oool300000080oooo0`0000060?ooo`80000000<0obP00?ooo`3o
ool01`3oool500000080oooo00<0obT00?ooo`3oool01P3oool4000000@0oooo0P3o:@0N0?ooo`03
0000003oool0oooo01P0oooo1@0000030?ooo`8000001@3oool2000000P0oooo0P0000090?ooo`03
0000003oool0oooo00T0oooo0P0000070?ooo`80000000<0oooo0000000000001`3oool300000080
oooo1000000K0?ooo`80ocX03@3oool300000080oooo00<0odH00000003oool01@3oool300000080
oooo00P000000?ooo`3oool0oooo0?mN00000000oooo0?mN0080oooo00<000000?ooo`0000000P3o
ool2000000090?ooo`000000oooo0?ooo`000000oooo0?n300000000oh<0008000000`3oool50000
00030?ooo`00000000000080oooo00P000000?ne00000000okD00000003oool000000?ooo`800000
00<0oooo0000000000001@000000103oool000000?ooo`3om00300000080oooo0P000000103oool0
00000000003oool4000000030?ooo`000000oooo0080oooo1P0000020?ooo`8000000P3oool60000
0080oooo0P0000000`3oool000000000000200000080oooo0P0000020?ooo`030000003oool00000
00<000000`3oool010000000oooo0000003oool4000003h0oooo00090?ooo`040600o`0000000000
0?ooo`L0000000<0oooo0000003oool0100000000`00Col000000000000:000000030?ooo`000000
00000080000000<00>go0000000000002P0000000`3oool000000?ooo`0200000003003oQP000000
000000l000000P00o`/01@3oool00000000000000000oooo00L0000000<0oooo0000003oool00P1O
o`000`000000Gol000000006000000050?ooo`00000000000000003oool00`0000030;_o00060?oo
o`00000000000?ooo`000000oooo0`000000103oool000000?ooo`3oool200000080ooH010000002
0?ooo`80000000H0oooo0000003oool0oooo0000003oool200000080ok@000H000000?ooo`3oool0
oooo0000003oool7000000@0oooo00L0ogl00?ooo`3oool000000?ooo`000000oooo008000001`3o
ool010000000oooo0000003oE@02000000030?ooo`000000000000<0oooo00<000000?ooo`3oool0
0P3oool02@000000oooo0?ooo`3oool0ocL00?ooo`000000oooo000000020?ooo`030000003oool0
oooo00D0oooo00@000000?ooo`3oool0oooo0P00000:0?ooo`<0ob404@3oool20?lS0100oooo0P3o
9P040?ooo`8000000`3oool3000000H0oooo0P3o:003000000T0oooo0`0000020?lY00X0oooo1P00
00020?lY00h0oooo0`3o:`0;0?ooo`030000003oool0oooo0080oooo0P3o;P0@0?ooo`D00000103o
ool3000000D0oooo0P0000070?ooo`<000002@3oool2000000P0oooo100000070?ooo`80000000<0
oooo0000000000001`3oool2000000030?ooo`0000000000008000003@3oool30?lh00030?ooo`00
0000000000X00000103oool20?lj00d0oooo00<000000?m6003oAP000`3oAP070?ooo`8000000P3o
ool01`000000oooo0?ooo`3oool0oeh00000003oGP000`3oool00`000000oooo000000020?ooo`@0
000000@0oooo0000003oool000000P3oP`0300000080oooo0P000000103oool000000000003oool2
00000080oooo00P000000?ne003oool0okD00000003oool000000?ooo`T0000000P0oooo0000003o
m000oooo0?od00000000oooo00000080oooo0P000000103oool000000000003oool4000000050?oo
o`2no`00oooo0;ko003oool01P0000020?ooo`8000000P3oool5000000040?ooo`000000oooo0?oo
o`L000000P3oool01@000000oooo0?ooo`000000oooo00@000000`3oool00`000000oooo0?ooo`02
000000030?ooo`000000000003h0oooo00090?ooo`040600o`00000000000?ooo`L0000000<0oooo
0000003oool0100000000`00Col000000000000:000000030?ooo`00000000000080000000<00>go
0000000000002P0000000`3oool000000?ooo`0200000003003oQP000000000000l0000000<00?l;
0000003oool00`0000000`3oool0000000000007000000050?ooo`1Oo`00Gol00000001Oo`001`00
00001@3oool00000000000000000oooo0080000000D0^ol00000002ko`00^ol00?ooo`0200000003
0?ooo`000000oooo00<0000000H0oooo0000003oool0oooo0000003oool30?of00040000003oool0
00000?ooo`8000000P3oool01@000000oooo0?ooo`000000oooo008000000P3o]0001P000000oooo
0?ooo`3oool000000?ooo`L000000`3oool20?mo0080oooo1P0000060?ooo`030000003oool0oooo
0080oeD000<0oooo0000003oool00P0000030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P3o=`001P000000oooo0?ooo`000000oooo000000H0oooo0P000000103oool0obH00?lV
003o9P0?0?ooo`<0ob40103oool4000000@0oooo1P3o8`0=0?ooo`D0obH0103oool3000000<0oooo
0`0000060?lX0080oooo0`0000070?ooo`H0obT000<000000?ooo`3oool0303oool30?lY00D00000
2P3oool30?l[00P0oooo00<000000?ooo`3oool0103oool30?l^00X0oooo0`0000060?la00<00000
1@3oool3000000030?ooo`3o=000oc@000@0oc@00P00000:0?ooo`H0ocL0103oool4000000@0oooo
1P3o>002000000D0oooo100000000`3oool0ocP00?lh00040?lh00L0oooo2@0000030?lh00X0oooo
0P0000060?lj00d0oooo0P0000030?m600030000003oool0oooo00@0oooo0`0000000`3oool00000
0?ooo`020?ooo`<0oeh00P3oool010000000oooo0?ooo`0000020?ooo`<000000P3oool00`000000
oooo000000020?n3008000000`3oool5000000030?ooo`00000000000080oooo00L000000?ne003o
]@0000000?ooo`000000oooo00P0000000@0oooo00000000000000000P3om004000000070?ooo`00
000000000000003oool000000?ooo`04000000050?ooo`2no`00__l00;ko003oool01P0000020?oo
o`8000000P3oool2000000<0Hol000@0oooo0000003oool0oooo1`0000020?ooo`050000003oool0
oooo003o1P3oool0100000030?ooo`030000003oool0oooo0080000000<0oooo0000000000000P3o
ool00`00oh40oooo0?ooo`0?0?ooo`03003co`3oool0oooo00l0oooo00<005Ko0?ooo`3oool05@3o
ool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000oooo0140000000<0oooo
0000000000003`0000000`3oool000000?ooo`0F000000050?ooo`00000000000000003oool02@00
00000`3oool0000000000009000000050?ooo`00000000000000003oool00P000000102ko`000000
0?ooo`2ko`03000000030?ooo`000000oooo00<0000000d0oooo0000003oool0oooo0000003omP00
oooo0000003omP0000000?ooo`000000oooo008000000P3oool00`000000oooo0?ooo`0300000004
0?nd0000000000000?nd00<0oooo0`0000000`3oool0000000000003000000<0oooo00@0ogl00000
003oO`00oooo0P000000103oool000000000000000060?ooo`090000003oool0oeD00000003oE@00
oooo0000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?lg
00060?ooo`000000oooo0000003oool000001P3oool01P000000obH00?lV003o9P0000000?lV0100
oooo0P3o8@06000000<0oooo2P00000I0?ooo`8000001@3oool3000000L0oooo0`00000;0?ooo`<0
0000203oool30?lY00l0oooo0`3o:`0;0?ooo`030000003oool0oooo00@0oooo0P3o;P070?ooo`D0
00000`3oool010000000oc400?la000000070?ooo`800000203oool00`3o=00000000?ooo`070?oo
o`@00000103oool0103o=`00oooo0?ooo`3oool4000000H0oooo100000000`3o>000oooo0?ooo`04
0?ooo`80000000<0oooo0000000000000P0000030?ooo`80ocP00`3oool8000000<0oooo0`3o>00C
0?ooo`D00000303oool200000080oooo00<000000?ooo`3oool0103oool010000000oooo00000000
00040?ooo`030000003oGP0000000080oooo00L000000?ooo`00000000000?ooo`000000oooo0080
000000H0oooo0000003oool000000?ooo`3oP`0300000080oooo0P000000103oool000000000003o
ool200000080oooo00H000000?ne003o]@0000000?ooo`0000020?ooo`030000003oool0000000L0
000000@0oooo0?od003om000oo@00`0000001@3oool000000?ooo`000000oooo00H000000P3oool2
0;ko00030?ooo`000000000000@000000P3oool200000080oooo0P00000306?o008000000P3oool2
000000030?ooo`0000000000008000000P3oool01P000000oooo0?ooo`00o`H0oooo003o1P@00000
0P3oool01@000000oooo0?ooo`000000oooo00@0000000<0oooo003oP@3oool0403oool00`00lol0
oooo0?ooo`0?0?ooo`03001Fo`3oool0oooo01D0oooo00090?ooo`<0000000<0oooo000000000000
1@0000000`3oool000000?ooo`0A000000030?ooo`000000000000l0000000<0oooo000000000000
5P0000001@3oool00000000000000000oooo00T0000000<0oooo0000000000000P0000000`3oool0
000000000004000000050?ooo`00000000000000003oool0100000000`3oool00000000000020000
00030?ooo`000000oooo00<0000000d0oooo0000003oool0oooo0000003omP00oooo0000003omP00
00000?ooo`000000oooo008000000P3oool00`000000oooo0?ooo`03000000040?nd000000000000
0?nd00<0oooo100000000`3oool000000000000200000080oooo00P0ogl00?ooo`000000ogl00000
003oool000000?ooo`<000001@3oool2000000030?ooo`3oE@00oeD00080000000<0oooo00000000
00000P3oool00`000000oooo0?ooo`030?ooo`0:0000003oool0ocL00?ooo`3o=`0000000?ooo`00
0000oooo000000H0oooo00<000000?ooo`3oool00P0000000`3o9P00oooo0?ooo`050?ooo`800000
103oool200000080ob405@3oool00`000000oooo0?ooo`0P0?ooo`<000001`3oool3000000/0oooo
1P00000R0?ooo`030000003oool0oooo0080oooo0P3o;P040?ooo`L000000`3oool200000080oc40
1P3oool4000000H0oooo0P0000020?ld00P0oooo0P0000030?ooo`<000000P3o=`020?ooo`@00000
1P3oool400000080ocP01@3oool2000000030?ooo`000000000000D0oooo0P3o>0030?ooo`H00000
3`3oool4000000l0oooo0P00000<0?ooo`80000000<0oooo0000003oool01@3oool010000000oooo
0000000000050?ooo`060000003oool0oooo0?ooo`000000oooo0P0000000`3oool0000000000002
000000050?ooo`000000oooo0000003oool0100000020?ooo`L000000`3oool01`000000okD00000
00000000oooo0000003oool01P000000103oool000000000003oool200000080oo@00`0000020?oo
o`80000000@0oooo000000000000oooo100000000`3oool0__l00;ko00020?ooo`D000000P3oool2
00000080oooo0`00000206?o008000000P3oool2000000030?ooo`0000000000008000000P3oool0
1P000000oooo003o1P00o`H0oooo003o1P@000000`3oool010000000oooo0000003oool400000003
0?ooo`00oh40oooo0100oooo00<00??o0?ooo`3oool03`3oool00`00E_l0oooo0?ooo`0E0?ooo`00
2@3oool3000000030?ooo`000000000000D0000000<0oooo0000003oool04@0000000`3oool00000
0000000?000000030?ooo`000000000001H0000000D0oooo00000000000000000?ooo`0900000003
0?ooo`000000000000T0000000D0oooo00000000000000000?ooo`04000000030?ooo`0000000000
0080000000<0oooo0000003oool00P000000103oool000000000003oool200000080oooo0`000000
0`3oool000000?ooo`0200000080oooo00<000000?ooo`3oool00P0000001@3oool0000000000000
0000ok@000<0oooo200000030?ooo`080?mo0000000000000?mo00000000oooo0000003oool30000
00D0oooo00P000000?ooo`3oE@0000000?mE003oool000000?ooo`80000000<0oooo0000003oool0
103oool02P000000oooo0?lg003oool0ocL00000003oool000000?ooo`0000060?ooo`060000003o
ool0oooo0000003oool0obH01`3oool00`000000oooo0?ooo`04000003l0oooo00<000000?ooo`3o
ool01`3oool4000002l0oooo00@000000?ooo`3oool0oooo2P0000030?ooo`@000001P3oool40000
00P0oooo0P0000000`3oool0oc@00?ooo`070?ooo`8000000`3oool200000080oooo00<0ocL00?oo
o`3oool00P0000060?ooo`H0000000<0oooo0?lh003oool0103oool5000000P0oooo1P00000:0?oo
o`T00000103oool8000000T0oooo0P00000<0?ooo`040000003oool00000000000D0oooo00<00000
0?ooo`0000000P0000040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`00
00020?ooo`80000000<0oooo0000000000000P0000020?ooo`80000000@0oooo000000000000oooo
0P0000020?ooo`070000003oool000000000003oool000000?ooo`08000000030?ooo`0000000000
0080000000<0oo@00000000000000P000000103oool000000000003oool2000000030?ooo`000000
00000080000000<0oooo0000002no`000P3oool500000080oooo0P0000030?ooo`8000000P1So`02
00000080oooo0P0000000`3oool000000000000200000080oooo00H000000?ooo`00o`H00?l60?oo
o`00o`H4000000<0oooo00@000000?ooo`000000oooo10000003003oPA00oooo00<00??o0?ooo`3o
ool03`3oool00`00E_l0oooo0?ooo`0E0?ooo`002@3oool3000000030?ooo`000000000000D00000
00<0oooo0000003oool04@0000000`3oool000000000000X000000050?ooo`00000000000000003o
ool02@0000000`3oool000000000000:000000030?ooo`000000000000H0000000L0oooo00000000
000000000?ooo`000000oooo0080000000@0oooo000000000000oooo0P0000020?ooo`D0000000@0
oooo000000000000oooo0P0000001@3oool00000000000000000oooo00<000000`3oool00`000000
oooo00000006000000@0oooo0P0000000`3oool0000000000004000000H0oooo00T000000?ooo`3o
ool000000?mE003oool000000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00D0ocL00?ooo`000000oooo000000030?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool01P3oool2000000030?ooo`000000000000P0oooo400000090?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00T0oooo5@0000030?ooo`D000001P3oool4000000P0oooo100000080?ooo`@0
00000`3oool2000000<0oooo100000060?ooo`H000001@3oool6000000P0oooo100000080?ooo`L0
000000<0oooo0000000000003@0000000`3oool000000?ooo`020?ooo`D000000P3oool200000080
oooo0P0000060?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool01`00
0000oooo0000003oool000000?ooo`0000000`3oool3000000050?ooo`000000oooo0?ooo`000000
0P3oool3000000050?ooo`000000oooo0000003oool0100000020?ooo`L000000P3oool200000004
0?ooo`000000000000000080oooo00<000000?ooo`0000000`000000103oool000000000003oool2
000000030?ooo`00000000000080000000L0oooo00000000000000000?ooo`000000oooo00@00000
0P3oool00`2no`00oooo0000000600000080oooo00<000000?ooo`3oool010000000101So`000000
0?ooo`0000020?ooo`H000000`3oool010000000oooo003o1P00o`H5000000<0oooo00@000000?oo
o`000000oooo10000003003oPA00oooo0P00lol@0?ooo`03001Fo`3oool0oooo01D0oooo00090?oo
o`<0000000<0oooo0000000000001@0000000`3oool000000?ooo`0A000000030?ooo`0000000000
01h0000000<0oooo0000000000001`0000001@3oool00000000000000000oooo00D0000000<0oooo
0000000000003P0000000`3oool0000000000006000000070?ooo`00000000000000003oool00000
0?ooo`02000000040?ooo`00000000000?ooo`8000000P3oool5000000040?ooo`00000000000?oo
o`80000000D0oooo00000000000000000?ooo`03000000<0oooo00D000000?ooo`00000000000?oo
o`04000000@0oooo0P0000020?ooo`030000003oool00000008000001@3oool01@000000oooo0?oo
o`000000oooo0080000000<0oooo0000000000001`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`080?ooo`8000002@3oool40000
00h0oooo200000040?ooo`<000002@3oool3000000T0oooo0`0000090?ooo`<000002@3oool30000
00P0oooo1@0000070?oooaP000001@3oool00`000000oooo0?ooo`0W0?ooo`040000003oool0oooo
0?ooo`8000001@3oool2000000H0oooo0P0000090?ooo`8000002P3oool5000000d0oooo1P00000?
0?ooo`L000000`3oool6000000T0oooo0P0000030?ooo`80000000<0oooo0000003oool00P3oool0
1`000000oooo0000003oool000000?ooo`0000000`3oool200000080oooo00D000000?ooo`3oool0
00000?ooo`03000000030?ooo`000000000000<0oooo0`0000020?ooo`80000000<0oooo00000000
00000`0000020?ooo`070000003oool000000000003oool000000?ooo`06000000040?ooo`000000
00000?ooo`80000000<0oooo0000000000000P0000001@3oool000000?ooo`000000oooo00H00000
0P3oool00`000000oooo0000000600000080oooo0P0000000`3oool00000000000020000000406?o
00000000oooo00000080oooo1`0000020?ooo`040000003oool00?l6003o1PD000000`3oool00`00
0000oooo0?ooo`05000000800?n1403oool00`00lol0oooo003co`0@0?ooo`03001Fo`3oool0oooo
01D0oooo00090?ooo`<0000000<0oooo0000000000001@0000000`3oool000000?ooo`0A00000003
0?ooo`000000000001h0000000<0oooo00000000000010000000103oool000000000003oool30000
00030?ooo`000000000000<0000000<0oooo0000000000003P0000000`3oool00000000000060000
00030?ooo`00000000000080oooo00D000000?ooo`00000000000?ooo`0500000080oooo1@000000
1@3oool000000000003oool000000080oooo00<000000?ooo`000000100000030?ooo`050000003o
ool000000000003oool0100000040?ooo`060000003oool0oooo0?ooo`000000oooo0`0000050?oo
o`030000003oool0oooo0080000000<0oooo0000003oool00P0000060?ooo`030000003oool0oooo
0080oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`070?ooo`8000006@3oool5000000<0oooo100000080?ooo`<000002@3o
ool3000000T0oooo0`0000090?ooo`@000002@3oool:00000140oooo2@00000V0?ooo`P000000`3o
ool4000000H0oooo0P0000080?ooo`<000002P3oool2000000d0oooo1@00000K0?ooo`H000000`3o
ool4000000P0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00@000000?ooo`000000oooo
0P0000040?ooo`8000000P3oool00`000000oooo000000020?ooo`<0000000<0oooo000000000000
0P3oool400000080oooo100000000`3oool00000000000020?ooo`H000000P3oool5000000030?oo
o`000000oooo00P000000P3oool5000000030?ooo`00000000000080000000<0oooo0000003oool0
1`0000020?ooo`80000000<0oooo00000000000010000000103oool000000?ooo`3oool700000080
oooo00@000000?ooo`3oool00?l61@0000030?ooo`030000003oool0oooo00D0000000<0oooo003o
P@3oool03`3oool00`00lol0oooo003co`0?0?ooo`04001Fo`3oool005Ko001FoaD0oooo00090?oo
o`0405h0o`00000000000?ooo`L0000000<0oooo0000003oool0100000000`00DOl000000000000:
000000030?ooo`000000000001h0000000<0oooo000000000000100000000`3oool0000000000004
000000030?ooo`000000000000<0000000<0oooo0000000000003P0000000`3oool0000000000006
000000030?ooo`00000000000080oooo100000000`3oool000000000000300000080oooo0P000000
103oool000000000003oool2000000060?ooo`000000oooo0?ooo`000000oooo1@0000030?ooo`80
000000<0oooo0000003oool0100000040?ooo`060000003oool0oooo0?ooo`000000oooo0`000005
0?ooo`030000003oool0oooo0080000000@0oooo00000000000000001`3oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`0000000P3oool2000000T0oooo00<000000?ooo`3oool0
1@3oool3000001l0oooo1@0000030?ooo`<00000203oool3000000T0oooo0`0000090?ooo`<00000
2P3oool5000000h0oooo4@0000030?ooo`030000003oool0oooo02L0oooo0P0000020?ooo`800000
1@3oool2000000P0oooo0P0000080?ooo`8000002@3oool4000000d0oooo0P00000U0?ooo`<00000
103oool3000000L0oooo00<000000?ooo`3oool00P3oool400000080oooo00<000000?ooo`000000
0`0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`060000003oool00000
0000003oool000000P3oool300000080oooo0P0000000`3oool000000000000300000080oooo00L0
00000?ooo`00000000000?ooo`000000oooo00H0000000@0oooo000000000000oooo0P0000000`3o
ool0000000000002000000070?ooo`00000000000000003oool000000?ooo`04000000040?ooo`00
0000oooo0?ooo`H000000P3oool200000080oooo0`000000103oool000000000000000020?ooo`L0
00000P3oool01@000000oooo0?ooo`000000oooo00D000000P3oool01@000000oooo0?ooo`000000
oooo00<0000000<0oooo003oP@3oool0403oool2003co`l0oooo00@005Ko0?ooo`00E_l005Ko5@3o
ool000T0oooo00@0GP3o000000000000oooo1`0000000`3oool000000?ooo`0400000003001Ao`00
0000000000X0000000<0oooo0000000000007P0000000`3oool0000000000004000000030?ooo`00
0000000000@0000000<0oooo0000000000000`0000000`3oool000000000000>000000030?ooo`00
0000000000H0000000H0oooo000000000000oooo0000003oool3000000030?ooo`000000000000<0
000000D0oooo00000000000000000?ooo`0400000080oooo00D000000?ooo`3oool000000?ooo`05
000000<0oooo0P0000001@3oool000000?ooo`000000oooo008000000`3oool2000000<0oooo00@0
00000?ooo`00000000001@3oool01@000000oooo0?ooo`000000oooo0080000000<0oooo00000000
00001P3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`030000003oool0oooo00L0oooo0P0000060?ooo`8000009P3oool4000000<0oooo0`000008
0?ooo`<000002@3oool3000000T0oooo1@00000:0?ooo`L000006`3oool00`000000oooo0?ooo`0U
0?ooo`8000000P3oool2000000@0oooo0`0000060?ooo`@000001P3oool4000000P0oooo0`00000<
0?ooo`D00000503oool500000140oooo0`0000030?ooo`<000001P3oool2000000<0oooo00@00000
0?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo000000@0oooo00@000000?ooo`3o
ool0oooo0P0000020?ooo`<0000000<0oooo0000000000000P3oool3000000<0oooo100000000`3o
ool00000000000020?ooo`H0000000<0oooo00000000000010000000103oool000000000003oool2
000000030?ooo`00000000000080000000D0oooo0000003oool000000?ooo`0600000080oooo00<0
00000?ooo`0000001P0000000`3oool00000000000020?ooo`<0000000@0oooo0000000000000000
0P3oool700000080oooo00D000000?ooo`3oool000000?ooo`05000000<0oooo00@000000?ooo`00
0000oooo0`00000C0?ooo`800??o403oool3001Fo`h0oooo00<0F@3o0?ooo`3oool0103oool000T0
oooo00@0000005h0o`000000oooo1`0000000`3oool000000?ooo`0300000080057o300000000`3o
ool000000000000200000003003_o`000000000001T0000000<0oooo000000000000100000000`3o
ool0000000000004000000030?ooo`000000000000<0000000<0oooo0000000000003P0000000`3o
ool0000000000006000000060?ooo`00000000000?ooo`000000oooo0`0000000`3oool000000000
0003000000050?ooo`00000000000000003oool0100000020?ooo`050000003oool0oooo0000003o
ool01@0000030?ooo`80000000<0oooo0000000000000`0000040?ooo`8000000P3oool300000003
0?ooo`000000oooo00@0oooo00D000000?ooo`3oool000000?ooo`02000000030?ooo`0000000000
00H0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`800000;03oool3000000<0oooo10000007
0?ooo`<000002@3oool3000000/0oooo0`00000>0?oooaD000001P3oool00`000000oooo0?ooo`0P
0?ooo`T00000103oool2000000L0oooo0P0000080?ooo`8000002P3oool2000000/0oooo1000000?
0?ooo`/000000`3oool:000000X0oooo0`0000030?ooo`<000001P3oool200000080oooo0P000000
1@3oool000000?ooo`3oool000000080oooo00<000000?ooo`000000103oool01P000000oooo0?oo
o`000000oooo00000080oooo10000000103oool000000?ooo`3oool300000080oooo0P0000000`3o
ool000000?ooo`02000000<0oooo00L000000?ooo`00000000000?ooo`000000oooo00D0000000<0
oooo0000003oool0200000020?ooo`80000000<0oooo000000000000100000020?ooo`030000003o
ool0000000H000000P3oool00`000000oooo0?ooo`06000000040?ooo`000000oooo0?ooo`@00000
00<0oooo0000003oool00P3oool010000000oooo0000003oool5000000<0oooo00@000000?ooo`00
0000oooo0`00000D0?ooo`03003co`3oool0oooo00h0oooo0P00E_l?0?ooo`0305T0o`3oool0oooo
00@0oooo00090?ooo`040000001N0?l000000?ooo`L0000000<0oooo0000003oool00`000003001A
o`/0000000<0oooo0000000000000P0000000`00kol000000000000?00000003003oQ@0000000000
00L0000000<0oooo000000000000100000000`3oool0000000000004000000030?ooo`0000000000
00<0000000<0oooo000000000000300000000`3oool000000?ooo`08000000060?ooo`0000000000
0?ooo`000000oooo0`0000000`3oool0000000000003000000070?ooo`00000000000000003oool0
00000?ooo`0200000080oooo00D000000?ooo`3oool000000?ooo`05000000<0oooo0P0000000`3o
ool0000000000003000000@0oooo0P0000020?ooo`<0000000<0oooo0000003oool0103oool00`00
0000oooo0?ooo`02000000040?ooo`0000000000000000H0oooo00<000000?ooo`3oool00P3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0?ooo`050?ooo`800000
1P3oool00`000000oooo0?ooo`0_0?ooo`<00000103oool3000000L0oooo0`0000090?ooo`<00000
2`3oool5000002@0oooo00<000000?ooo`3oool0703oool500000080oooo0P0000040?ooo`@00000
1`3oool2000000P0oooo0P00000:0?ooo`8000002P3oool3000000`0oooo1`00000H0?ooo`H00000
1`3oool300000080oooo0`0000060?ooo`80000000D0oooo000000000000oooo000000020?ooo`03
0000003oool000000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool00000
0080oooo1@0000020?ooo`<000000P3oool00`000000oooo00000002000000030?ooo`0000000000
0080oooo1P0000000`3oool0000000000004000000040?ooo`00000000000?ooo`80000000<0oooo
0000000000000P0000000`3oool0000000000008000000030?ooo`000000oooo00L000000P3oool2
000000030?ooo`000000000000@0000000@0oooo0000003oool0oooo1P0000030?ooo`030000003o
ool0oooo00H000000`3oool010000000oooo0000003oool4000002D0oooo00<005Ko0?ooo`3oool0
503oool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000oooo0080000000@0
057o00000000DOl0057o2`0000000`3oool000000000000200000003003_o`000000000000l00000
00<00?n50000000000001`0000000`3oool0000000000004000000030?ooo`000000000000@00000
00<0oooo0000000000000`0000000`3oool000000000000<000000030?ooo`000000oooo00P00000
00H0oooo000000000000oooo0000003oool3000000030?ooo`000000000000<0000000<0oooo0000
000000000`0000000`3oool00000000000020?ooo`050000003oool0oooo0000003oool01@000002
0?ooo`040000003oool000000?ooo`D00000103oool010000000oooo0?ooo`3oool5000000D0oooo
00<000000?ooo`3oool00`0000000`3oool00000000000060?ooo`050000003oool0oooo0?ooo`00
00000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool2000003D0oooo0`0000040?ooo`<000001`3oool3000000T0oooo0`00000=0?ooo`L0
00007@3oool00`000000oooo0?ooo`0H0?ooo`D000000P3oool4000000@0oooo0P0000060?ooo`D0
00001`3oool3000000L0oooo1@00000:0?ooo`80000000<0oooo0000000000000P0000080?ooo`80
00000P3oool00`000000oooo0?ooo`0P0?ooo`800000203oool7000000H0oooo00<000000?ooo`3o
ool010000000103oool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool2
000000<0oooo00D000000?ooo`000000oooo000000020?ooo`<000000P3oool2000000030?ooo`00
0000oooo008000000`3oool00`000000oooo00000002000000030?ooo`000000000000@0000000@0
oooo000000000000oooo0P0000000`3oool0000000000002000000050?ooo`000000oooo0000003o
ool01P000000103oool000000000003oool600000080oooo0P0000000`3oool00000000000040000
00040?ooo`000000oooo0?ooo`H000000`3oool00`000000oooo0?ooo`06000000<0oooo00@00000
0?ooo`000000oooo1000000U0?ooo`03001Fo`3oool0oooo01@0oooo00090?ooo`<0000000<0oooo
0000000000001@0000000`3oool000000?ooo`0200000004001Ao`000000057o001Ao`/0000000@0
oooo00000000000000000`00kol@00000003003oQ@000000000000L0000000<0oooo000000000000
100000000`3oool00?l900000004000000030?ooo`00000000000180000000<0oooo0000003oool0
200000001P3oool000000000003oool000000?ooo`<0000000<0oooo0000000000000`0000000`3o
ool0000000000003000000030?ooo`00000000000080oooo00D000000?ooo`3oool000000?ooo`05
00000080oooo00D000000?ooo`00000000000?ooo`04000000@0oooo00@000000?ooo`3oool0oooo
100000050?ooo`050000003oool0oooo0000003oool00P0000000`3oool00000000000060?ooo`05
0000003oool0oooo0?ooo`0000000`3oool200000080oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?ooo`0@0?ooo`<000008@3oool30000
00@0oooo0`0000070?ooo`<000002@3oool5000000l0oooo1`00000F0?ooo`030000003oool0oooo
01@0oooo2`0000040?ooo`@000001P3oool2000000P0oooo100000080?ooo`8000001@3oool30000
0080oooo1@0000000`3oool00000000000070?ooo`T000002`3oool=000001L0oooo1`0000050?oo
o`80000000T0oooo000000000000oooo0000003oool000000?ooo`0000000P3oool010000000oooo
0?ooo`3oool200000080oooo0P0000020?ooo`@0000000<0oooo0000003oool0100000000`3oool0
000000000003000000030?ooo`00000000000080oooo100000000`3oool000000?ooo`0@00000080
oooo0P0000000`3oool000000000000400000080oooo00<000000?ooo`0000001P0000000`3oool0
0000000000020?ooo`<0000000@0oooo00000000000000000P3oool3000000040?ooo`0000000000
00000080oooo00D000000?ooo`3oool000000?ooo`0500000080oooo00@000000?ooo`000000oooo
1000000l0?ooo`002@3oool3000000030?ooo`000000000000D0000000<0oooo0000003oool01000
00000`00DOl000000000000:000000040?ooo`0000000000000000<00>oo3`000003003oQ@P00000
00<0oooo000000000000100000000`3oool00?l900000004000000030?ooo`000000000000T00000
00<0HOl00000000000000P0000001`3oool00000000000000000oooo0000003oool0200000001P3o
ool000000000003oool000000?ooo`<0000000<0oooo0000000000000`0000000`3oool000000000
0003000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo1@0000020?ooo`05
0000003oool000000000003oool0100000030?ooo`8000000P3oool00`000000oooo000000020000
00D0oooo00<000000?ooo`3oool00P000000103oool000000000000000060?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`3oool2000000/0oooo2@0000000`3oool00000
00000009000001X0oooo0`0000040?ooo`030000003oool0oooo00L0oooo0`00000;0?ooo`<00000
4`3oool3000001<0oooo00<000000?ooo`3oool0403oool;000000H0oooo0P0000080?ooo`800000
203oool2000000X0oooo0P0000040?ooo`<000000`3oool2000000030?ooo`000000000000<00000
103oool9000000P0oooo2000000=0?ooo`L000004P3oool4000000030?ooo`000000oooo00D0oooo
00X000000?ooo`3oool000000?ooo`000000oooo0000003oool000000P3oool01@000000oooo0?oo
o`3oool000000080oooo00<000000?ooo`0000000P3oool500000080oooo0`0000020?ooo`800000
00<0oooo0000003oool00P0000030?ooo`030000003oool000000080000000<0oooo000000000000
10000000103oool000000000003oool2000000030?ooo`00000000000080000000@0oooo00000000
0000oooo1P0000020?ooo`030000003oool0000000H0000000<0oooo0000000000000P3oool70000
0080oooo1`0000020?ooo`050000003oool0oooo0000003oool01@0000020?ooo`050000003oool0
oooo0000003oool00`00000l0?ooo`002@3oool3000000030?ooo`000000000000D0000000<0oooo
0000003oool0100000000`00DOl000000000000:000000040?ooo`0000000000000000<00>oo3`00
0003003oQ@P0000000<0oooo000000000000100000000`3oool00?l900000004000000030?ooo`00
0000000000T0000000<0HOl00000000000001P0000000`3oool000000?ooo`07000000070;go003o
ool000000000003oool000000?ooo`03000000030?ooo`000000000000<0000000<0oooo0000003o
ool00`000000103oool000000000003oool2000000040?ooo`00000000000?ooo`D000000P3oool0
1@000000oooo000000000000oooo00<00000103oool200000080oooo1@0000050?ooo`030000003o
ool0oooo00<0000000<0oooo0000000000001P3oool01@000000oooo0?ooo`3oool0000000<0oooo
0P0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool01@000000oooo
0?ooo`3oool0000000T0oooo1000000E0?ooo`030000003oool0oooo01l0oooo0`0000090?ooo`<0
00002`3oool5000002@0oooo00<000000?ooo`3oool02P3oool=000000H0oooo100000060?ooo`@0
0000203oool2000000T0oooo0`0000040?ooo`8000000`3oool6000000H0oooo0`0000020?ooo`80
0000203oool5000000<0oooo2P00000?0?ooo`<000004@3oool6000000D0oooo00X000000?ooo`3o
ool000000?ooo`000000oooo0000003oool000000P3oool00`000000oooo0?ooo`0200000080oooo
00P000000?ooo`000000oooo0000003oool000000?ooo`80000000<0oooo0000000000000P000000
0`3oool0000000000003000000030?ooo`00000000000080oooo100000000`3oool000000?ooo`08
000000030?ooo`000000000000D0000000<0oooo0000003oool0200000000`3oool0000000000007
00000080oooo0P0000000`3oool000000000000500000080oooo1@000000103oool000000?ooo`3o
ool2000000030?ooo`000000oooo00D000000P3oool01@000000oooo0?ooo`000000oooo00<00000
?03oool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000oooo00@0000000<0
057o0000000000002P0000000`3oool000000000000200000003003_o`000000000000h000000`00
ohD8000000030?ooo`000000000000@000000`00o`T4000000030?ooo`000000000000T0000000<0
HOl00000000000001P0000000`3oool0000000000007000000070;go003oool000000000003oool0
00000?ooo`03000000090?ooo`00000000000000003oool000000?ooo`000000oo<000<0000000@0
oooo000000000000oooo0P000000103oool000000000003oool500000080oooo00D000000?ooo`00
000000000?ooo`03000000@0oooo00@000000?ooo`3oool0oooo1@0000050?ooo`030000003oool0
oooo00<0000000<0oooo0000003oool01@3oool00`000000oooo0?ooo`020?ooo`060000003oool0
oooo0000003oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000080?ooo`8000001P3oool4000003@0oooo0`0000090?ooo`<0
00003@3oool400000200oooo00<000000?ooo`3oool00P3ooolA000000D0oooo1@0000070?ooo`<0
00002@3oool3000000L0oooo1@0000000`3oool0000000000003000000030?ooo`00000000000080
000000<0oooo0000000000001`3oool7000000D0oooo1@0000030?ooo`D0000000<0oooo00000000
00004@0000080?ooo`H000001@3oool00`3oF000oooo0?ooo`050?ooo`D00000103oool02`000000
oooo0?ooo`3oKP0000000?ooo`000000oooo0000003oool000000080oooo00<000000?ooo`3oool0
0P0000020?ooo`80000000<0oi000?ooo`0000000P000000103oool000000000003oool300000080
oooo0P0000001@3oool000000?ooo`3o`000000000<0oooo1@0000000`3oool00000000000040000
00030?ooo`000000000000L0000000D0oooo0000003oool000000?ooo`06000000040?ooo`000000
00000?ooo`H000000P3oool2000000030?ooo`000000000000@0000000H0oooo0000003oool0oooo
0000003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool01P0000030?ooo`04
0000003oool000000?ooo`<00000?03oool000T0oooo0`0000000`3oool000000000000500000003
0?ooo`000000oooo00@0000000<0057o0000000000002P0000000`3oool000000000000200000003
003_o`000000000000l0000000<00?n50000000000001`0000000`3oool0000000000004000000<0
0?l9100000000`3oool0000000000008000000<0HOl01`0000001@3oool00000000000000000oooo
00@000000P2mo`001P3oool000000000003oool000000?ooo`<0000000T0oooo0000003oool00000
0?ooo`000000oooo0000003ol`000`000000103oool000000000003oool2000000040?ooo`000000
00000?ooo`@0000000D0ok400?ooo`3oool000000?ooo`02000000040?ooo`0000000000000000@0
oooo00@000000?ooo`3oool0oooo100000050?ooo`040000003oool0oooo0?ooo`D000001P3oool0
1@000000oooo0?ooo`3oool0000000<0oooo0P0000020?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000L0oooo0P0000040?ooo`@00000
0P3oool>000000030?lQ003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool0103o9P00oooo
0?ooo`00000;0?ooo`030000003oool0oooo0080obT01@3oool3000000T0oooo00<0ob`000000000
00002P3oool00`000000oooo0?ooo`020?ooo`030?l^003oool0oooo00@0oooo0`0000090?oooah0
00001@3oool4000000P0oooo100000080?ooo`@00000203oool2000000@0oooo0P0000040?ooo`L0
0000103oool7000000D0oooo1@0000030?ooo`/000001@3oool=000000030?ooo`3oC@00odd000@0
00000`3oool2000000<0oooo0`0000030?ooo`030?mH00000000oooo00D0oooo1P0000030?ooo`0;
0000003oool0ofh00?ooo`000000oooo0000003oool000000?ooo`0000000P3oool00`000000oooo
0?ooo`02000000040?ooo`3oT00000000?n@0080oooo1@0000020?ooo`<000000P3oool400000007
0?o00000000000000000003oool000000?ooo`02000000030?ooo`000000oooo00H0000000<0ooh0
0000003oool00P0000000`3oool0000000000002000000040?ooo`00000000000?ooo`H0000000@0
oooo000000000000oooo1`000000103oool000000000003oool6000000030?ooo`000000oooo00L0
00000`3oool00`000000oooo00000006000000<0oooo00@000000?ooo`000000oooo0`00000l0?oo
o`002@3oool3000000030?ooo`000000000000D0000000<0oooo0000003oool0100000000`00DOl0
00000000000:000000030?ooo`00000000000080000000<00>oo0000000000003`0000000`00ohD0
000000000002000000030?ooo`00000000000080000000<0oooo00000000000010000003003o2@@0
000000<0oooo00000000000020000003067o00L0000000D0oooo00000000000000000?ooo`040000
00<0_Ol00P0000000`3oool000000?ooo`05000000030?ooo`00000000000080oooo0P3ol`030000
00040?ooo`00000000000?ooo`80000000D0oooo0000003oool000000?ooo`03000000030?na003o
ool000000080oooo1P0000040?ooo`060000003oool0oooo0?ml00000000oooo0P0000050?ooo`03
0000003oool0oooo0080oooo0`0000000`3oD@00oooo0?ooo`080?ooo`060000003oool0oooo0000
003oool00000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo0`00000C
0?ooo`8000000P3o8@02000000D0oooo100000050?ooo`80obH000@0oooo00000000000000002@3o
ool3000000030?ooo`3o:@00obT000H0oooo0`0000070?ooo`80ob`00`0000080?ooo`D000000P3o
;P070?ooo`P000000P3o<@0?00000300oooo0P0000020?ooo`<00000103oool2000000H0oooo0P00
00080?ooo`D000002`3oool5000000`0oooo0`3oB00>0?ooo`<000000P3oC@000`000000oooo0000
0007000000<0oooo0P0000020?ooo`030?mH00000000000000D0oooo0`0000004@3oool000000000
00000000oooo0?m^00000000oooo0?m^003oool000000?ooo`000000oooo0000003oool000000080
oooo00@000000?ooo`3oool000000P3oool0103oT00000000?n@003oool3000000030?ooo`000000
00000080oooo0P0000020?ooo`060000003o`00000000000003o`000oooo0`0000000`3oool00000
00000003000000030?ooo`00000000000080000000@0ooh00000003ooP00oooo200000000`3oool0
000000000006000000050;Ko003oool000000000003oool01`0000001@3oool00000000000000000
oooo00L0000000<0oooo0000000000001P0000020?ooo`050000003oool000000000003oool01@00
00020?ooo`040000003oool000000?ooo`@00000>`3oool000T0oooo00@0GP3o000000000000oooo
1`0000000`3oool000000?ooo`0400000003001Ao`000000000000X0000000<0oooo000000000000
0P0000000`00kol000000000000?00000003003oQ@00000000000080000000<0oooo000000000000
0P0000000`3oool0000000000004000000030?ooo`00o`T0000000@0000000<0oooo000000000000
20000003067o00L0000000D0oooo00000000000000000?ooo`03000000040;go00000000_Ol00;go
0080000000<0oooo0000003oool01@0000000`3oool00000000000020?ooo`<0oo<00P0000001@3o
ool000000000003oool000000080oooo00<000000?ooo`0000000`0000020?na00040?ooo`000000
oooo0?ooo`H00000103oool010000000oooo0?ml003oO0020?ooo`8000001@3oool00`000000oooo
0?ooo`020?ooo`8000000P3oD@090?ooo`040000003oool000000?ooo`8000000P3oool20?lc00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?lQ00H0oooo0P0000040?ooo`H0
oad03`3oool30?lQ00@000001@3oool3000000030?ooo`3o9P00obH000<0obH00P3oool3000000P0
oooo1P3o:@070?ooo`<000000P3oool60?l/00030?ooo`000000000000<000002@3oool30?l^00L0
0000203oool30?la00P0oooo1@0000050?le00d0oooo1P3o>@0<0?ooo`H0och00`3oool6000000<0
oooo1P3o@P030?ooo`<000001P3oool60?m400T0oooo100000060?m600/0oooo100000030?m800`0
00000`3oool30?m=00/0000000P0oooo0?mH003oF000oeP00?ooo`3oF000oooo000000H0oooo0P00
00001@3oool00000000000000000oooo00<0ofh00P3oool02@000000oooo0000003oool000000?oo
o`000000oooo000000030?ooo`030000003oool0oooo0080oi0000<000000?ooo`0000000P000000
103oool000000?ooo`3oool300000080oooo00<000000?o0000000000P3o`0001P3oool000000000
003oool000000?ooo`<0000000<0oooo0000000000000`0000020?on00L0000000D0oooo00000000
000000000?ooo`02000000030?ooo`000000]_l00080]_l02`0000020?ooo`80000000<0oooo05co
001Lo`001@0000000`3oool000000000000600000080oooo00D00?l=0?ooo`00000000000?ooo`05
00000080oooo00@000000?ooo`000000oooo0`0000000`00ohH0oooo0?ooo`0?0?ooo`03003^o`3o
ool0oooo00l0oooo00<0057o0?ooo`3oool05@3oool000T0oooo0`0000000`3oool0000000000005
000000030?ooo`000000oooo0140000000<0oooo0000000000006@0000000`3oool0000000000002
000000030?ooo`000000000000@0000000<0oooo000000000000100000000`3oool000000000000B
000000050?ooo`00000000000000003oool00`000000102mo`0000000000002mo`02000000030?oo
o`000000oooo00D0000000D0oooo000000000000oooo0?oc0002000000040?oc0000000000000?oo
o`80000000H0oooo0000003oool0oooo0000003oool4000000050?na003oool0ok400000003oool0
0P0000000`3oool0000000000002000000@0oooo00@000000?ooo`3oO000og`00P3oool2000000D0
oooo00L000000?ooo`3oool0oooo0000003oool000000080oe402@3oool00`000000oooo00000003
00000080oooo00<0oc<00?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
ob400080ob401@3oool2000000T0oooo0P3o7@0=0?ooo`<0ob401P3oool5000000@0oooo0`000008
0?ooo`<000002@3oool3000000T0oooo0`00000;0?ooo`D0000000@0oooo0?l^003o;P00obh02P3o
ool6000000<0oc402`0000060?ooo`80ocD0403oool20?li0140oooo0P3o?P06000000<0oooo1@00
00020?ooo`80od800P3oool2000000P0oooo0`0000000`3oool0od@00?m400070?ooo`<000001P3o
ool20?m600L0oooo1P0000030?ooo`80odP03P3oool30?m=008000001@3oool9000000030?ooo`00
0000oeP00080oeP000<0oooo0000000000001@3oool200000080oooo0P0000020?ooo`80ofh00P3o
ool02@000000oooo0000003oool000000?ooo`000000oooo000000030?ooo`030000003oool0oooo
0080oi000P0000001@3oool000000000003oool000000080oooo0P0000030?ooo`050000003o`000
ol000?o0003oool00`0000000`3oool0000000000003000000030?ooo`000000oooo008000000`3o
oP02000000030?ooo`000000000000D0000000<0oooo0000000000000P0000030;Ko00050000003o
ool000000000003oool01P0000020?ooo`8000000`1Lo`0500000080oooo0P0000001@3oool00000
0000003oool000000080oooo00D00?l=00000000o`d000000?ooo`0500000080oooo00D000000?oo
o`00000000000?ooo`0200000003003oQP3oool0oooo00l0oooo00<00>ko0?ooo`3oool03`3oool0
0`00DOl0oooo0?ooo`0E0?ooo`002@3oool3000000030?ooo`000000000000D0000000<0oooo0000
003oool04@0000000`3oool000000000000I000000030?ooo`00000000000080000000<0oooo0000
00000000100000000`3oool0000000000004000000030?ooo`00000000000180000000D0oooo0000
0000000000000?ooo`06000000060?ooo`00000000000?ooo`000000oooo1@0000001@3oool00000
0000003oool0oo<00080000000@0oo<0000000000000oooo0P0000001P3oool000000?ooo`3oool0
00000?ooo`<0000000H0ok400000003oool0ok400000003oool2000000030?ooo`00000000000080
0000103oool01P000000og`00?ooo`000000og`00?ooo`8000001@3oool010000000oooo0?ooo`3o
ool2000000030?mA00000000oe4000T0oooo00<000000?ooo`0000000`0000030?lc00@0oooo00<0
00000?ooo`3oool01@3oool01@000000ob400?lQ003oool0ob4000D0oooo00<000000?ooo`3oool0
1`3oool20?lM01`0oooo0`0000050?ooo`8000002@3oool3000000T0oooo0`0000090?ooo`@00000
303oool7000001X0oooo00<000000?ooo`3oool00P3oool20?le0100oooo0P3o>@0A0?ooo`80och0
0P000000103oool000000000000000030?ooo`8000001@3oool20?m200@00000203oool200000080
oooo0P3oA0040?ooo`D000001`3oool20?m600030?ooo`000000000000H000001`3oool20?m801d0
oooo20000000103oool000000000000000020?ooo`8000001@3oool01@000000oooo0?ooo`3oool0
000000<0oooo0P0000002P3oool000000?ooo`000000oooo0000003oool000000?ooo`0000030?oo
o`030000003oool0oooo0080000000@0oooo000000000000oooo0P0000020?ooo`<000000P3oool3
000000030?o0003oool0oooo0080000000<0oooo0000003oool00`000000103oool000000000003o
ool200000080ooh03`0000001@3oool0]_l00;Ko00000000oooo0080000000<0oooo000000000000
1@0000000`3oool000000000000305co00@0000000<0oooo0000003oool00P0000000`3oool00000
00000002000000030?ooo`00o`d0000000800?l=1`0000020?ooo`050000003oool000000000003o
ool00P0000000`00ohH0oooo0?ooo`0?0?ooo`03003^o`3oool0oooo00l0oooo00<0057o0?ooo`3o
ool05@3oool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000oooo01400000
00<0oooo0000000000006@0000000`3oool0000000000002000000030?ooo`000000000000@00000
00<0oooo000000000000100000000`3oool000000000000B000000050?ooo`00000000000000003o
ool01P0000001P3oool000000000003oool000000?ooo`D0000000<0oooo0000000000000P3oool5
000000050?ooo`00000000000?ooo`0000000P3oool00`000000oooo00000002000000060?na0000
0000oooo0?na00000000oooo0P0000000`3oool0000000000002000000@0oooo00H000000?ml003o
ool000000?ml003oool2000000D0oooo00@000000?ooo`3oool0oooo0P0000000`3oD@0000000?mA
00090?ooo`@0000000@0oooo0?lc003oool0oc<01@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0080oooo00@0ob400?ooo`3oool0oooo0P00000Z0?ooo`@00000103oool3000000T0
oooo0`0000090?ooo`8000002`3oool5000000h0oooo2@00000A0?ooo`030000003oool0oooo02@0
oooo200000040?ooo`8000001P3oool2000000P0oooo1@0000070?ooo`<000003@3oool200000340
oooo1`0000020?ooo`040000003oool0oooo0?ooo`800000103oool200000080oooo00<000000?oo
o`3oool00P3oool010000000oooo0000003oool3000000040?ooo`000000oooo00000080oooo0P00
00001@3oool00000000000000000oooo00<0000000@0oooo0000003oool0oooo0P0000030?ooo`@0
000000<0oooo0000000000002@0000001@3oool00000000000000000ooh000D0000000<0oooo0000
000000001P0000001P3oool000000;Ko002fo`0000000?ooo`X0000000@0oooo0000000000000000
0P1Lo`06000000040?ooo`00000000000?ooo`D0000000@0oooo003o3@00o`d00?l=1`0000030?oo
o`050000003oool000000?ooo`0000000`00ohH@0?ooo`03003^o`3oool0oooo00l0oooo00<0057o
0?ooo`3oool05@3oool000T0oooo0`0000000`3oool0000000000005000000030?ooo`000000oooo
0140000000<0oooo0000000000006@0000000`3oool0000000000002000000030?ooo`0000000000
00@0000000<0oooo000000000000100000000`3oool000000000000B000000050?ooo`0000000000
0000003oool01P0000001P3oool000000000003oool000000?ooo`D0000000<0oooo000000000000
0P3oool5000000050?ooo`00000000000?ooo`0000000P3oool00`000000oooo0000000400000080
oooo00D000000?ooo`00000000000?ooo`04000000@0oooo00D000000?ooo`3oool000000?ooo`03
000000D0oooo00D000000?ooo`3oool000000?ooo`03000000030?mA003oool0oooo00H0oooo00<0
00000?ooo`0000000`0000020?ooo`030?lc003oool0oooo00<0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`050?lQ003oool0oooo0?ooo`000000<03oool3000000@0oooo
0`0000090?ooo`030000003oool0oooo00P0oooo0`00000=0?ooo`<00000503oool=000000@0oooo
00<000000?ooo`3oool07`3oool5000000040?ooo`0000000000000000<0oooo1@0000050?ooo`<0
00001`3oool3000000X0oooo0P00000:0?ooo`H00000303ooolH00000180oooo1P0000000`3oool0
00000?ooo`030?ooo`800000103oool2000000030?ooo`000000oooo00<0oooo00@000000?ooo`00
0000oooo0`0000000`3oool00000000000030?ooo`80000000L0oooo00000000000000000?ooo`00
0000oooo00<000000P3oool200000080oooo100000020?ooo`80000000<0oooo0000000000000`00
0000103oool000000000003oool4000000030?ooo`000000oooo00L0000000<0oooo000000000000
0P0000000`3oool0]_l000000005000000030?ooo`000000000000<000000P3oool200000080G?l0
1P0000000`3oool0000000000006000000040?ooo`00o`d00?l=003o3@80000000<0oooo00000000
00000`0000020?ooo`050000003oool000000?ooo`0000000`00ohH@0?ooo`800>ko403oool00`00
DOl0oooo0?ooo`0E0?ooo`002@3oool3000000030?ooo`000000000000D0000000<0oooo0000003o
ool04@0000000`3oool000000000000I000000030?ooo`00000000000080000000<0oooo00000000
0000100000000`3oool0000000000004000000030?ooo`00000000000180000000D0oooo00000000
000000000?ooo`04000000030?ooo`000000oooo0080000000<0oooo0000003oool01@0000000`3o
ool00000000000020?ooo`@000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
000000@000000P3oool01@000000oooo000000000000oooo00@000000`3oool200000080oooo00<0
00000?ooo`0000000P0000040?ooo`040000003oool0oooo0?ooo`80000000<0oooo000000000000
1@3oool010000000oooo0?ooo`3oool2000000040?ooo`0000000000000000L0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00800000=03oool20000
00D0oooo0`0000070?ooo`<000002P3oool5000000/0oooo1@00000P0?ooo`030000003oool0oooo
01/0oooo2P0000040?ooo`8000001@3oool5000000P0oooo0P0000080?ooo`D000002P3oool20000
00P0oooo00<000000?ooo`3oool00P3oool5000001P0oooo1P00000>0?ooo`H000001P3oool20000
00<0oooo0P0000000`3oool00000000000030?ooo`040000003oool000000?ooo`<0000000<0oooo
0000000000000`3oool4000000050?ooo`00000000000000003oool00`000000103oool000000000
000000020?ooo`@000000P3oool6000000050?ooo`00000000000000003oool02@0000000`3oool0
000000000007000000050?ooo`00000000000000003oool00P0000000`3oool00000000000050000
00050?ooo`00000000000?ooo`1Lo`001P0000020?ooo`80000000<0oooo0000000000000P000002
0?ooo`800?l=0P0000000`3oool000000000000300000080oooo00H000000?ooo`000000oooo0000
003oool2003oQPl0oooo00<00>ko0?ooo`00k_l0403oool00`00DOl0oooo0?ooo`0E0?ooo`002@3o
ool3000000030?ooo`000000000000D0000000<0oooo0000003oool04@0000000`3oool000000000
000I000000030?ooo`00000000000080000000<0oooo000000000000100000000`3oool000000000
0004000000030?ooo`00000000000180000000D0oooo00000000000000000?ooo`04000000030?oo
o`000000oooo0080000000<0oooo0000000000001@0000000`3oool00000000000020?ooo`@00000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0000000@000000P3oool01@000000
oooo000000000000oooo00@000000`3oool200000080oooo00<000000?ooo`0000000P0000040?oo
o`040000003oool0oooo0?ooo`80000000<0oooo0000000000001@3oool010000000oooo0?ooo`3o
ool2000000030?ooo`000000000000L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`020?ooo`040000003oool0oooo000001@0oooo1`00000M0?ooo`<000001@3oool3000000L0oooo
0`00000<0?ooo`<000003@3oool7000001T0oooo00<000000?ooo`3oool05`3oool:000000<0oooo
1@0000050?ooo`800000203oool5000000L0oooo0`0000090?ooo`H000001`3oool8000002<0oooo
0`00000=0?ooo`80000000@0oooo00000000000000001P3oool010000000oooo0?ooo`3oool20000
00030?ooo`000000000000<0oooo00@000000?ooo`000000oooo0`0000000`3oool0000000000003
0?ooo`D0000000H0oooo00000000000000000?ooo`0000020?ooo`8000000P3oool400000080oooo
0P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`H0000000<0oooo0000003o
ool03@0000000`3oool0000000000008000000030?ooo`000000000000L0000000<0oooo0000003o
ool00P0000000`3oool000000000000200000080oooo00D00000003o3@3oool000000?ooo`050000
0080oooo00@000000?ooo`000000oooo0P000002003oQPl0oooo00<00>ko0?ooo`00k_l04@3oool2
001AoaD0oooo00090?ooo`<0000000<0oooo0000000000001@0000000`3oool000000?ooo`030000
0003001Bo`000000000000/0000000<0oooo0000000000007P0000000`3oool00000000000040000
00030?ooo`000000000000@0000000<0oooo0000000000004P0000001@3oool00000000000000000
oooo00@0000000<0oooo0000003oool00P0000000`3oool0000000000005000000030?ooo`000000
00000080oooo100000000`3oool00000000000020?ooo`050000003oool0oooo0000003oool01@00
00020?ooo`050000003oool000000000003oool00`0000040?ooo`060000003oool0oooo0?ooo`00
0000oooo0P0000050?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool01@3oool0
0`000000oooo0?ooo`02000000040?ooo`000000oooo000000L0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0000000l0oooo1P0000070?ooo`L000006@3o
ool3000000D0oooo0`0000070?ooo`<00000303oool300000140oooo2000000A0?ooo`030000003o
ool0oooo0180oooo2P0000060?ooo`800000203oool2000000L0oooo0`00000:0?ooo`8000002P3o
ool3000000H0oooo200000090?oooaP000002`3oool3000000`0oooo0P000000103oool000000000
000000050?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000`3oool010000000
oooo0000003oool3000000030?ooo`000000000000<0oooo00<000000?ooo`0000000P0000000`3o
ool0000000000003000000040?ooo`000000000000000080oooo100000020?ooo`<0000000@0oooo
000000000000oooo0`0000000`3oool0000000000004000000030?ooo`000000000000X0000000<0
oooo0000000000002`0000000`3oool0000000000009000000040?ooo`00000000000?ooo`@00000
0P3oool2000000030?ooo`000000000000D000000P3oool01@000000oooo000000000000oooo0080
000000<00?n60?ooo`3oool03P3oool2003^o`l0oooo00@0057o0?ooo`00DOl0057o5@3oool000T0
oooo00@0GP3o000000000000oooo1`0000000`3oool000000000000300000003001Bo`0000000000
00/0000000<0oooo0000000000007P0000000`3oool0000000000004000000030?ooo`0000000000
00@0000000<0oooo0000000000004P0000001@3oool00000000000000000oooo00@0000000<0oooo
0000000000000P0000000`3oool0000000000005000000030?ooo`00000000000080oooo10000000
0`3oool00000000000020?ooo`050000003oool0oooo0000003oool01@0000020?ooo`030000003o
ool0000000D00000103oool01P000000oooo0?ooo`3oool000000?ooo`800000103oool00`000000
oooo0?ooo`020?ooo`@000001P3oool00`000000oooo0?ooo`02000000030?ooo`000000000000L0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000d0
oooo1P00000]0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool3000000`0
oooo1000000V0?ooo`030000003oool0oooo00`0oooo300000050?ooo`D000001@3oool5000000L0
oooo0P00000:0?ooo`<0000000<0oooo000000000000103oool6000000D0oooo1P0000080?ooo`X0
0000503oool7000000L0oooo0`00000;0?ooo`D000001@3oool00`000000oooo0?ooo`020?ooo`@0
00000`3oool010000000oooo0000003oool4000000040?ooo`000000oooo0?ooo`80000000<0oooo
0000000000000P3oool00`000000oooo00000002000000050?ooo`00000000000000003oool01000
00020?ooo`T0000000<0oooo0000003oool00P0000000`3oool000000000000=000000030?ooo`00
000000000080000000<0oooo0000003oool01P0000020?ooo`80000000<0oooo0000000000001@00
00000`3oool0000000000006000000040?ooo`00000000000?ooo`L000000P3oool01@000000oooo
0?ooo`000000oooo0080000000<00?n60000003oool03P3oool2003^o`l0oooo00@0057o0?ooo`00
DOl0057o5@3oool000T0oooo00@0GP3o000000000000oooo1`0000000`3oool00000000000030000
008005;o300000000`3oool000000000000200000003003`o`000000000000X0000000<0oooo0000
00000000300000000`3oool0000000000004000000030?ooo`000000000000@0000000<0oooo0000
000000004P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P000000
0`3oool0000000000005000000030?ooo`00000000000080oooo100000000`3oool0000000000002
0?ooo`050000003oool0oooo0000003oool01@0000020?ooo`030000003oool0000000D00000103o
ool010000000oooo0?ooo`0000020?ooo`800000103oool00`000000oooo0?ooo`020?ooo`@00000
1@3oool01@000000oooo0?ooo`000000oooo0080000000<0oooo0000003oool01@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000303oool4000003X0
oooo0`0000090?ooo`@00000303oool500000240oooo00<000000?ooo`3oool00`3oool@000000H0
oooo100000050?ooo`D000001`3oool5000000L0oooo1@0000020?ooo`8000000`3oool5000000@0
oooo200000060?ooo`H000002@3ooolE000000H0oooo1P0000040?ooo`<000002P3oool5000000@0
oooo0P0000030?ooo`@000000`3oool02P000000oooo000000000000oooo0000003oool000000?oo
o`0000020?ooo`030000003oool000000080000000H0oooo00000000000000000?ooo`0000020?oo
o`8000000P3oool4000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`02
000000030?ooo`00000000000080000000D0oooo0000003oool000000?ooo`07000000030?ooo`00
0000000000<0000000<0oooo000000000000200000000`3oool000000000000800000080oooo0P00
00000`3oool000000000000200000080oooo00D000000?ooo`00000000000?ooo`0500000080oooo
00@000000?ooo`000000oooo1000000@0?ooo`03003^o`3oool0oooo00h0oooo0P00DOlF0?ooo`00
2@3oool0101N0?l000000000003oool7000000030?ooo`0000000000008000000`00D_l<00000003
0?ooo`000000oooo0080000000<00?3o0000000000002P0000000`3oool000000000000<00000003
0?ooo`000000000000@0000000<0oooo000000000000100000000`3oool000000000000B00000005
0?ooo`00000000000000003oool0100000000`3oool0000000000002000000030?ooo`0000000000
00D0000000<0oooo0000000000000P3oool4000000030?ooo`00000000000080oooo00D000000?oo
o`3oool000000?ooo`04000000<0oooo00<000000?ooo`0000001@0000040?ooo`040000003oool0
000000000080oooo0P0000030?ooo`800000103oool4000000D0oooo00D000000?ooo`3oool00000
0?ooo`03000000L0oooo00<000000?ooo`3oool00`3oool01`000000oooo0?ooo`3oool000000?oo
o`0000002`3oool3000000T0oooo3P0000090?ooo`<000002@3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00D0oooo0`0000000`3oool000000?ooo`070?ooo`@000002P3oool50000
00L0oooo1@0000070?oooa`000001`3oool5000000L0oooo0P00000:0?ooo`8000002P3oool20000
0080oooo1@0000030?ooo`<000001@3oool5000000H0oooo2@0000070?ooo`D000000P3ooolI0000
00<0oooo0P000000103oool000000000000000040?ooo`<000002@3oool4000000D0oooo00@00000
0?ooo`3oool0oooo100000030?ooo`050000003oool000000000003oool00`000000203oool00000
0?ooo`3oool000000?ooo`000000oooo1`000000103oool000000000000000020?ooo`<000000P3o
ool6000000040?ooo`00000000000?oooa@0000000<0oooo0000000000002`0000000`3oool00000
00000009000000040?ooo`00000000000?ooo`@000000P3oool01@000000oooo000000000000oooo
00D000000P3oool010000000oooo0000003oool400000240oooo0P00DOlF0?ooo`002@3oool30000
00030?ooo`000000000000D0000000<0oooo0000000000000P000002001Bo`0300000000D_l00000
00X0000000@0oooo00000000000000000P00l?l<000000030?ooo`00000000000080000000<00?n4
0000000000001`0000000`3oool0000000000004000000030?ooo`000000000000@0000000<0oooo
0000000000004P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P00
00000`3oool0000000000002000000040?ooo`00000000000?ooo`8000000P3oool4000000030?oo
o`00000000000080oooo00D000000?ooo`3oool000000?ooo`04000000<0oooo00<000000?ooo`00
00001@0000040?ooo`040000003oool0000000000080oooo0P0000030?ooo`8000000`3oool00`00
0000oooo00000002000000D0oooo00<000000?ooo`3oool00P3oool3000000`0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`8000005`3oool6000000P0oooo0P0000080?ooo`<000002@3oool3
000000T0oooo0`0000080?ooo`H00000203oool5000000T0oooo6`00000`0?ooo`8000000P3oool3
000000<0oooo1@0000060?ooo`800000203oool3000000h0oooo2@00000D0?ooo`T0000000<0oooo
000000000000100000050?ooo`800000203oool5000000@0oooo00@000000?ooo`3oool0oooo1@00
00020?ooo`030000003oool0000000D0000000P0oooo0000003oool0oooo0000003oool000000?oo
o`80000000@0oooo0000003oool000000P3oool3000000030?ooo`00000000000080000000<0oooo
0000000000000P0000001@3oool00000000000000000oooo0080000000<0oooo0000000000004000
00000`3oool0000000000005000000030?ooo`000000000000<0000000<0oooo0000000000002@00
0000103oool000000000003oool400000080oooo0P0000000`3oool000000?ooo`0500000080oooo
00H000000?ooo`000000oooo0000003oool200000280oooo00<0057o0?ooo`3oool0503oool000T0
oooo0`0000000`3oool0000000000005000000030?ooo`0000000000008000000P00D_l00`000000
05;o0000000:000000040?ooo`0000000000000000<00?3o2`0000000`3oool000000?ooo`020000
0003003oQ0000000000000L0000000<0oooo000000000000100000000`3oool00?l8000000040000
00030?ooo`00000000000180000000D0oooo00000000000000000?ooo`04000000030?ooo`000000
00000080000000<0oooo0000000000000P000000103oool000000000003oool200000080oooo1000
00000`3oool00000000000020?ooo`050000003oool0oooo0000003oool0100000030?ooo`030000
003oool0000000D00000103oool01@000000oooo000000000000oooo00<000000P3oool00`000000
oooo000000030?ooo`030000003oool0000000800000103oool00`000000oooo0?ooo`020?ooo`80
000000<0oooo0000003oool02P3oool01`000000oooo0?ooo`3oool000000?ooo`0000002P3oool2
000001d0oooo1P0000060?ooo`<00000203oool3000000T0oooo0`0000090?ooo`<000002`3oool3
000000X0oooo2000000D0?ooo`030000003oool0oooo00@0oooo1@00000Z0?ooo`80000000@0oooo
00000000000000000`3oool3000000D0oooo1P0000070?ooo`<000002`3oool600000280oooo1`00
00020?ooo`@000001@3oool3000000H0oooo0P000000103oool000000000000000030?ooo`800000
0P3oool5000000040?ooo`000000oooo0?ooo`@0000000D0oooo0000003oool000000?ooo`090000
00030?ooo`000000oooo00<000000P3oool300000080oooo1P000000103oool000000000003oool>
000000030?ooo`000000000000H0000000<0oooo00000000000020000000103oool000000000003o
ool7000000030?ooo`000000000000D000000P3oool2000000030?ooo`000000000000D000000P3o
ool00`000000oooo000000020?ooo`@00000>03oool000T0oooo0`0000000`3oool0000000000005
000000030?ooo`000000000000@0000000<005;o0000000000002P0000001@3oool0000000000000
l?l0000000800?3o2`000000103oool000000?ooo`000002003oQ100000000<0oooo003o20000000
100000000`3oool00000000000090000000306;o00000000000000H0000000D0oooo000000000000
00000?ooo`04000000030?ooo`000000oooo0080000000<0oooo0000000000000P000000103oool0
00000000003oool200000080oooo100000000`3oool00000000000020?ooo`050000003oool0oooo
0000003oool0100000030?ooo`030000003oool0000000D00000103oool2000000030?ooo`000000
oooo00<000000P3oool00`000000oooo000000030?ooo`040000003oool00000000000D0oooo00<0
00000?ooo`3oool00P3oool2000000030?ooo`000000oooo00X0oooo00L000000?ooo`3oool0oooo
0000003oool0000000X0oooo00<000000?ooo`3oool0803oool4000000L0oooo0P0000090?ooo`80
00002P3oool3000000T0oooo0`00000;0?ooo`D000003@3ooolK000002`0oooo1P0000030?ooo`<0
00001@3oool3000000P0oooo1@0000080?ooo`H000005`3oool00`000000oooo0?ooo`0B0?ooo`H0
00000P3oool4000000D0oooo0P0000050?ooo`H00000103oool01P000000oooo0?ooo`3oool00000
0?ooo`80000000@0oooo0000003oool0oooo1@0000001P3oool000000?ooo`3oool000000?ooo`P0
00000P3oool3000000030?ooo`00000000000080000000<0oooo0000000000000P0000001@3oool0
0000000000000000oooo0080000000@0oooo000000000000oooo3`0000000`3oool000000000000;
000000030?ooo`000000000000T0000000@0oooo000000000000oooo100000020?ooo`070000003o
ool000000000003oool000000?ooo`02000000<0oooo00@000000?ooo`000000oooo1000000h0?oo
o`002@3oool3000000030?ooo`000000000000D0000000<0oooo000000000000100000000`00D_l0
00000000000:000000050?ooo`0000000000003`o`0000000P00l?l;000000040?ooo`0000000000
000000<00?n4400000000`00o`P0000000000003000000030?ooo`000000000000T0000000<0H_l0
0000000000001P0000001@3oool00000000000000000oooo00@0000000<0__l00000003oool00P00
00000`3oool0000000000002000000040?ooo`00000000000?ooo`8000000P3oool4000000030?oo
o`00000000000080oooo00D000000?ooo`3oool000000?ooo`04000000<0oooo0P0000000`3oool0
000000000003000000@0oooo0P0000000`3oool000000?ooo`0300000080oooo00<000000?ooo`00
00000`3oool010000000oooo0000000000050?ooo`060000003oool0oooo0?ooo`000000oooo0P00
000;0?ooo`030000003oool0oooo0080oooo0P0000090?ooo`8000009P3oool5000000D0oooo0`00
00080?ooo`<000002P3oool00`000000oooo0?ooo`090?ooo`@00000303oool6000001/0oooo00<0
00000?ooo`3oool0:`3oool6000000<0oooo1@0000060?ooo`800000203oool3000000X0oooo0`00
000=0?oooad00000303oool6000000040?ooo`0000000000000000D0oooo0P0000050?ooo`H00000
0`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0?ooo`050000
00030?ooo`000000oooo0080000000<0oooo0000003oool00P0000001@3oool000000?ooo`000000
oooo00<000000P3oool300000080oooo1P0000001@3oool00000000000000000oooo0180000000<0
oooo0000000000001@0000000`3oool0000000000003000000030?ooo`000000000000T0000000@0
oooo000000000000oooo100000020?ooo`050000003oool000000000003oool01@0000020?ooo`04
0000003oool000000?ooo`@00000>03oool000T0oooo0`0000000`3oool000000000000500000003
0?ooo`000000000000@0000000<005;o0000000000002P0000000`3oool000000000000200000003
003`o`000000000000X0000000@0oooo00000000000000000`00oh@?000000<00?l800D0oooo0000
0000000000000?ooo`05000000030?ooo`000000000000<0000000<0H_l00000000000001P000000
1@3oool00000000000000000oooo00@0000000<0__l00000003oool00P0000000`3oool000000000
0002000000040?ooo`00000000000?ooo`8000000P3oool01@000000oo40000000000000oooo0080
00000P3oool01@000000oooo0?ooo`000000oooo00@000000`3oool2000000030?ooo`0000000000
00<00000103oool2000000030?ooo`000000oooo00<000000P3oool00`000000oooo000000030?oo
o`040000003oool00000000000D0oooo00H000000?ooo`3oool0oooo0000003oool2000000/0oooo
00@000000?ooo`3oool0oooo0P0000090?ooo`030000003oool0oooo02T0oooo1@0000020?ooo`03
0?lT003oool0oooo00<00000203oool2000000T0oooo0`00000<0?ooo`<000003`3oool7000001@0
oooo00<000000?ooo`3oool09P3oool9000000<0oooo0P0000050?ooo`H000001@3oool5000000L0
oooo1P00000:0?ooo`H000007@3oool7000000P0oooo1@000000103oool000000000000000050?oo
o`8000001@3oool00`000000ogd000000002000000<0oooo00L000000?ooo`3oool0oooo0000003o
ool000000080oooo00<000000?ooo`3oWP001@0000000`3oool000000?ooo`02000000030?ooo`00
0000oooo00@0000000<0oooo0000003oool00`0000000`3oool0000000000002000000030?ooo`00
000000000080000000D0oooo00000000000000000?ooo`02000000030?ooo`000000000000X00000
00<0oooo0000000000001P0000000`3oool0000000000004000000050?ooo`00000000000000003o
ool02P000000103oool000000000003oool400000080oooo100000000`3oool00000000000030000
0080oooo00H000000?ooo`000000oooo0000003oool2000003P0oooo00090?ooo`<0000000<0oooo
0000000000001@0000000`3oool000000000000400000003001Bo`00000000000080000000<0oooo
0000000000001@0000000`3oool000000000000200000003003`o`000000000000X0000000<0oooo
0000000000000P0000000`00oh@000000000000>000000<00?l800D0oooo00000000000000000?oo
o`05000000030?ooo`0000000000008000000`1Ro`07000000050?ooo`00000000000000003oool0
100000020;ko00040?ooo`00000000000?ooo`@0000000@0oooo000000000000oooo0P0000020?oo
o`050000003ol@0000000000003oool00P0000020?ooo`050000003oool0oooo0000003oool01000
00000`3oool0ojl00?ooo`02000000030?ooo`000000000000<000000`3oool3000000030?ooo`00
0000oooo008000000`3oool00`000000oooo000000030?ooo`040000003oool00000000000D0oooo
00@000000?ooo`3oool0oooo1000000;0?ooo`030000003oool0oooo008000002@3oool00`000000
oooo0?ooo`0N0?ooo`030?lM003oool0oooo00h0oooo0P0000000`3oool0ob@00?ooo`030?ooo`80
0000203oool2000000030?lY003oool0oooo00L0oooo100000040?ooo`030?l]003oool0oooo00@0
oooo1@0000060?ooo`030?l`003oool0oooo00P0oooo4P0000020?ooo`030000003oool0oooo02@0
oooo1P0000030?ooo`D000001@3oool2000000P0oooo0`00000:0?ooo`8000002P3oool600000280
oooo00<0oed00?ooo`3oool01@3oool3000000L0oooo00<0ofP00000000000000P000000103oool0
00000000000000050?ooo`030000003oool0oooo00<0oooo00<000000?mm000000000P0000030?oo
o`040000003oool0oooo0?ooo`<000000P3oool010000000oooo0?nN003oool4000000<0oooo2@00
00000`3oc@0000000?ooo`0200000080oooo100000000`3oool0000000000004000000050?ooo`3g
o`0000000000003oool0200000000`3oool0000000000007000000030?ooo`000000000000/00000
00<0oooo000000000000400000020?ooo`80000000<0oooo0000003oool01@0000020?ooo`060000
003oool000000?ooo`000000oooo0P00000h0?ooo`002@3oool3000000030?ooo`000000000000D0
000000<0oooo000000000000100000000`00D_l0000000000002000000030?ooo`000000000000D0
000000<0oooo0000000000000P0000000`00l?l000000000000:000000030?ooo`00000000000080
000000<00?n40000000000003P000003003o20050?ooo`00000000000000003oool01@0000000`3o
ool0000000000002000000<0H_l01`0000001@3oool00000000000000000oooo00<0000000@0__l0
0000002no`00oooo0P0000000`3oool0000000000002000000040?ooo`00000000000?ooo`800000
00@0oooo0000003ol@00oo400P0000000`3oool00000000000020?ooo`050000003oool0oooo0000
003oool0100000000`3oool0ojl00?ooo`02000000030?ooo`000000000000<000000`3oool30000
00030?ooo`000000ogT0008000000`3oool00`000000oooo000000030?ooo`040000003oool00000
00000080oooo00<0odh00?ooo`000000103oool4000000X0oooo00H000000?ooo`3oool000000?oo
o`0000080?ooo`030000003oool0oooo00`0oooo0`3o600A0?ooo`80oad03`3oool20?lT00030000
003o9000oooo00@0oooo0P0000090?ooo`80obT02`3oool300000080oooo0P3o;@090?ooo`@00000
0`3oool20?l`00l0oooo0P3o=00;0?ooo`030000003oool0oooo0080oooo0`3o>P0J0?ooo`P00000
0`3oool3000000D0oooo1@0000070?ooo`<000001`3oool6000000T0oooo0`00000=0?ooo`P00000
0`3oE`0?00000080oooo0P3oG@080?ooo`8000001P3oool00`3oJ000oooo0?ooo`0300000080oooo
0P0000040?ooo`030000003oool0oooo0080ogd000<0oooo0?mm000000000`0000030?ooo`0;0000
003oool0oooo0?ooo`000000oooo0000003oool0oih00000003oWP000P3oool4000000<0oooo00@0
00000?ooo`000000oooo0P0000001@3oc@0000000?o=00000000oooo00<000000P3oool300000003
0?ooo`00000000000080000000P0oooo0?Oo00000000mol00000003oool000000?ooo``0000000H0
oooo0000002/o`00oooo0000003oool7000000030?ooo`000000000000<0000000<0oooo00000000
00002@000000103oool000000000003oool400000080oooo00<000000?ooo`0000001P0000020?oo
o`@0000000<0oooo0000000000000P00000g0?ooo`002@3oool0101N0?l000000000003oool70000
0080oooo1@0000000`00D_l0000000000002000000030?ooo`000000000000D0000000<0oooo0000
000000000P0000000`00l?l000000000000:000000030?ooo`00000000000080000000<00?n40000
000000003`0000000`00o`P000000?ooo`03000000030?ooo`000000000000<0000000<0oooo0000
000000000P00000306;o00L0000000D0oooo00000000000000000?ooo`03000000040;ko00000000
__l00;ko0080000000<0oooo0000000000000P000000103oool000000000003oool2000000030?oo
o`000000oo400080oo4000@000000?ooo`00000000000P3oool01@000000oooo0?ooo`000000oooo
00@0000000<0oooo0?n_003oool00P0000000`3oool0000000000003000000<0oooo0`0000000`3o
ool000000?mi0002000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`020000
0080oooo00<0odh00?ooo`000000103oool4000000L0oooo0P3o;P001`000000oooo0?ooo`3oool0
00000?ooo`0000001`3oool010000000oooo0?ooo`3o6`080?ooo`800000103oool010000000oaP0
0?lH003o6008000000@0oooo1P3o7@0?0?ooo`<0ob@000<000000?ooo`3oool00`3oool2000000D0
oooo1P3o:@000`000000oooo0?ooo`090?ooo`H0obd02`3oool4000000<0oc003`3oool30?ld00P0
oooo00<000000?ooo`3oool01@3oool30?lj00`0oooo1P3o?`08000000<0oooo00<000000?m5003o
A@00103oA@030?ooo`<000001P3oool60?m;00L0oooo0`0000030?ooo`D0odl000<0oooo00000000
0000100000060?ooo`H0oe<01000000;0?ooo`<0oeL0303oool3000000<0oed000<000000?ooo`3o
ool02P3oool40?mX0080oooo0`0000020?ooo`8000000`3oool010000000oooo0?ooo`3oool30?mm
00@000000`3oool020000000oooo0?ooo`3oool000000?ooo`000000oooo0`3oWP000`3oool00000
00000002000000<0oooo0P0000000`3oool000000?ooo`02000000050?o=00000000old00000003o
ool00`0000000`3oool0000000000002000000030?ooo`000000000000<000000P3go`0300000006
0?ooo`00000000000?ooo`000000oooo1`0000030:co00d0000000<0oooo0000000000000P1Co`0:
000000040?ooo`00000000000?ooo`80000000H00?lD0000003oool0oooo0000003oool200000003
0?ooo`000000000000<000000P3oool300000003003oS@0000000000008000003@3oool00`00iol0
oooo0?ooo`0?0?ooo`03001;o`3oool0oooo01D0oooo00090?ooo`<0000000<0oooo000000000000
1@0000020?oooa80000000<0oooo000000000000:00000001@3oool00000000000000000oooo00D0
000000<0oooo000000000000300000001@3oool00000000000000000oooo00<0000000@0__l00000
00000000__l00P0000000`3oool0000000000002000000040?ooo`00000000000?ooo`80000000L0
oooo0?oa0000000000000?oa00000000oooo008000000P3oool01@000000oooo0?ooo`000000oooo
00@0000000<0ojl00?ooo`3o[`000P0000000`3oool0000000000003000000<0oooo0`0000000`3o
ool0ogT00?mi0002000000<0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`000002
0?ooo`80odh000<0oooo0000003oool00P3oool010000000oooo0000000000080?ooo`80obh000@0
00000?ooo`000000oooo0P0000070?ooo`040000003oool0oooo0?lK00L0oooo0P0000030?ooo`04
0000003o6000oaP00?lH00/0oooo0P00000K0?ooo`8000001@3oool3000000T0oooo0P00000<0?oo
o`<00000303oool30?l`00030?ooo`000000000000D00000203oool30?ld00X0oooo00<000000?oo
o`3oool0103oool20?lj00l0oooo00<000000?lo003o?`001@0000030?ooo`D00000103oool20?m5
00040?ooo`0000000000000000L0oooo0`0000020?ooo`80od/01@3oool3000000P0oooo0P3oC`02
00000080oooo1@0000030?ooo`@000000P3oD`06000000H0oooo0P0000030?mG00/00000103oool3
0?mM00@0oooo0`00000;0?ooo`<0ofP00P3oool300000080oooo0`0000020?ooo`8000000`3oool2
0?mm00@000000`3oool200000080oooo00@000000?ooo`000000oooo0P3oWP020?ooo`80000000<0
oooo0000003oool00P3oool2000000030?ooo`0000000000008000000P3oc@0500000080oooo0`00
00020?ooo`<0000000H0oooo0?Oo003go`00mol00000003oool=000000<0[?l00`0000000`3oool0
000000000009000000<0Dol02P000000103oool000000000003oool200000004003o50000000oooo
0?ooo`@0000000<0oooo0000000000000`0000020?ooo`040000003oool00000003oS@@000003@3o
ool00`00iol0oooo0?ooo`0?0?ooo`03001;o`3oool0oooo01D0oooo00090?ooo`<0000000<0oooo
0000000000001@0000020?oooa80000000<0oooo000000000000:00000001@3oool0000000000000
0000oooo01@0000000D0oooo0000003oool000000?ooo`06000000040?ooo`00000000000?ooo`L0
000000D0oooo000000000000oooo0?oa0002000000030?oa00000000oooo008000000P3oool01@00
0000oooo0?ooo`000000oooo00@0000000<0ojl00?ooo`3o[`000P0000000`3oool0000000000003
000000<0oooo0`0000001@3oool0ogT00?ooo`3oN@00000000<0oooo0P0000030?ooo`040000003o
ool0000000000080oooo00@0odh00?ooo`3oCP0000000`3oool010000000oooo0000000000070?oo
o`050?l^003oool0obh00000003oool00`0000070?ooo`040000003oool0oa/00?lK00H0oooo0P00
00020?ooo`<00000;P3oool2000000H0oooo0`0000080?ooo`<00000303oool4000001<0oooo1000
000A0?ooo`030000003oool0oooo0080oooo0P3o>P0:0?ooo`H000000P3o?`04000000@0oooo0P00
00070?ooo`80odD00`0000070?ooo`<000000`3oool20?m;00030?ooo`000000000000@000001P3o
ool300000080odl000<000000?ooo`3oool00`0000050?ooo`<0000000@0oooo0000003oD`00oe<0
1@3oool9000000D0oooo1@0000060?ooo`P000001P3oool4000000h0oooo0`000000103oool00000
0000000000030?ooo`8000001@3oool4000000<0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030?nN003oool0oooo0080000000<0oooo0000003oool00P3oool010000000oooo0000003o
ool3000000030?ooo`3oc@00000000@0000000<0oooo0000000000000P0000000`3oool000000000
000300000080mol000@0oooo000000000000oooo0P0000000`3oool000000000000700000080[?l0
0`0000000`3oool0000000000002000000040?ooo`00000000000?ooo`@000000P1Co`0600000003
0?ooo`000000000000L000000`00oa@01P3oool000000000003oool000000?ooo`D000000P3oool0
1P000000oooo00000000ohd000000?ooo`8000003@3oool00`00iol0oooo0?ooo`0?0?ooo`03001;
o`3oool0oooo01D0oooo00090?ooo`<0000000<0oooo0000000000001@0000020?oooa80000000<0
oooo000000000000200000000`3oool000000000000?000000030?ooo`000000000000/0000000D0
oooo00000000000000000?ooo`0D000000030?ooo`000000oooo00P0000000@0oooo000000000000
oooo1`000000103oool000000000003oool5000000030?ooo`00000000000080oooo00D000000?oo
o`3oool000000?ooo`04000000030?n_003oool0ojl00080000000<0oooo0000000000000`000003
0?ooo`<0000000D0oooo0?mi003oool0ogT0000000030?ooo`8000000`3oool01P000000oooo0000
00000000oooo0?m>0080oooo00<0odh00000003oool00P3oool2000000030?ooo`000000oooo00H0
oooo0P3o;P000`000000oooo0?ooo`03000000L0oooo00@000000?lK003oool0oa/01@3oool00`00
0000oooo0?ooo`02000003`0oooo00<000000?ooo`3oool0203oool3000000d0oooo0`00000U0?oo
o`030000003oool0oooo00D0oooo6@0000040?ooo`D000001`3oool5000000L0oooo0P0000080?oo
o`D0000000<0oooo000000000000100000000`3oool0000000000009000000030?ooo`0000000000
00D00000103ooolI000000@0oooo1`0000030?ooo`@00000303oool3000000040?ooo`0000000000
000000<0oooo00<000000?ooo`3oool00`3oool4000000<0oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool0oooo00@000000`3oool010000000oooo0000003oool300000003
0?ooo`000000oooo00<000000P3oool300000080oooo1@000000103go`0000000000003oool=0000
0080[?l04000000305?o00X0000000D0oooo000000000000oooo00000003003o5080oooo00@00000
0?ooo`000000oooo1@0000020?ooo`030000003oool00?n=00800?n=00<0oooo0000000000003@3o
ool00`00iol0oooo0?ooo`0@0?ooo`03001;o`3oool0oooo01@0oooo00090?ooo`<0000000<0oooo
0000000000001@0000020?oooa80000000<0oooo000000000000200000000`3oool000000000000?
000000030?ooo`000000000000/0000000D0oooo00000000000000000?ooo`0D000000030?ooo`00
0000oooo00P0000000@0oooo000000000000oooo1`000000103oool000000000003oool500000003
0?ooo`00000000000080oooo00D000000?ooo`3oool000000?ooo`04000000<0oooo0P0000000`3o
ool0000000000003000000<0oooo0`0000001@3oool000000?ooo`3oN@00000000<0oooo0P000003
0?ooo`060000003oool000000000003oool0odh00P3oool00`3oCP0000000?ooo`020?ooo`800000
00<0oooo0000003oool01@3oool0203o;P00oooo0?l^00000000oooo0000003oool000001`3oool0
10000000oooo0?ooo`3o6`050?ooo`040000003oool0oooo000000/0oooo2P0000000`3oool00000
00000002000000P0oooo0P00000:0?ooo`8000002P3oool2000000<0oooo0`0000040?ooo`800000
103oool3000000<0oooo0P0000080?ooo`D00000203oool5000000L0oooo5@0000020?ooo`T00000
0`3oool2000000X0oooo0P00000:0?ooo`8000002P3oool2000000P0oooo10000000103oool00000
0000000000050?ooo`L000001@3oool2000000030?ooo`000000000000`000001`3ooolE00000080
oooo1@0000040?ooo`D000002@3oool700000080oooo0P0000020?ooo`030000003oool0000000<0
00000`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool010000003
0?ooo`060000003oool000000000003oool000000P3oool500000080oooo0`0000000`3oool00000
00000002000000040?ooo`00000000000?ooo`80000000<0oooo0000000000002P0000000`2/o`00
000000000002000000030?ooo`000000000000L0000000<0oooo0000000000000P1Co`0800000003
0?ooo`000000oooo0080000000<0oooo0000000000000P00oa@20?ooo`050000003oool000000000
003oool01@0000000`3oool0000000000003003oS@<000003@3oool00`00iol0oooo0?ooo`0@0?oo
o`03001;o`3oool0oooo01@0oooo00090?ooo`<0000000<0oooo0000000000001@0000020?oooa80
000000<0oooo000000000000200000000`3oool000000000000?000000030?ooo`000000000000/0
000000D0oooo00000000000000000?ooo`09000000030?ooo`000000000000P0000000<0oooo0000
003oool020000000103oool000000000003oool4000000040?ooo`00000000000?ooo`80000000<0
oooo0000000000000`0000000`3oool00000000000020?ooo`050000003oool0oooo0000003oool0
100000030?ooo`80000000<0oooo0000000000000`0000030?ooo`<0000000<0oooo0000003oool0
0P0000030?ooo`8000000`3oool010000000oooo0000000000050?ooo`070000003oool0oooo0?oo
o`000000oooo000000090?ooo`030?l^003oool0oooo00<000003P3oool2000001T0oooo10000000
103oool000000000000000070?ooo`<000002@3oool2000000X0oooo0P0000040?ooo`800000103o
ool2000000D0oooo100000000`3oool0000000000002000000P0oooo1P0000080?oooah00000=`3o
ool300000080oooo0`0000060?ooo`<000002`3oool300000240oooo300000000`3oool000000000
0004000000@0oooo1@0000080?ooo`D00000103oool01`000000oooo0?ooo`000000oooo0000003o
ool00P0000030?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`04
00000080oooo0`0000001@3oool000000?ooo`000000oooo00D000000P3oool4000000030?ooo`00
0000000000`0000000D0oooo00000000000000000?ooo`03000000030?ooo`000000000000800000
00<0oooo0000000000000P0000000`3oool000000?ooo`060000000305?o00000000000000/00000
00<0oooo0000000000000P00oa@20?ooo`@0000000<0oooo0000000000000`0000020?ooo`040000
003oool00?n=003oS@@000002`3oool01000iol0oooo003Wo`00iol@0?ooo`03001;o`3oool0oooo
01@0oooo00090?ooo`/000000P3ooolB000000030?ooo`000000000000P0000000<0oooo00000000
00003`0000000`3oool000000000000;000000030?ooo`000000000000/0000000<0oooo00000000
0000200000000`3oool000000?ooo`08000000040?ooo`00000000000?ooo`@0000000@0oooo0000
00000000oooo0P0000000`3oool0000000000003000000030?ooo`00000000000080oooo00D00000
0?ooo`3oool000000?ooo`04000000<0oooo0P0000000`3oool0000000000003000000<0oooo0`00
00000`3oool000000?ooo`02000000<0oooo0P0000030?ooo`040000003oool00000000000D0oooo
00L000000?ooo`3oool0oooo0000003oool0000000`0oooo0`00000>0?ooo`030000003oool0oooo
01`0oooo0`000000103oool000000000000000070?ooo`8000002@3oool2000000X0oooo0`000009
0?ooo`<000002`3oool3000000/0oooo1`00000D0?ooo`030000003oool0oooo00T0oooo0P00000[
0?ooo`h000001P3oool3000000L0oooo1`00000;0?oooah000000P3oool9000000030?ooo`000000
0000008000001@3oool4000000P0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0
oooo00<0000000<0oooo0000000000000`3oool00`000000oooo0?ooo`0300000080oooo00<00000
0?ooo`3oool0100000020?ooo`<0000000D0oooo00000000000000000?ooo`0500000080oooo0`00
00001P3oool000000000003oool000000?ooo`80000000@0oooo000000000000oooo7`0000000`3o
ool0000000000008000000030?ooo`000000000000<0000000<00?lD0000003oool00P0000000`3o
ool000000?ooo`06000000030?ooo`000000oooo00800?n=1000000;0?ooo`04003Wo`3oool00>Oo
003Woa00oooo00<004_o0?ooo`3oool0503oool000T0oooo2`0000020?ooo`@0000000<005;o0000
000000002@0000000`3oool000000?ooo`07000000040?ooo`00000000000?oooa40000000<0oooo
0000000000000P0000000`3oool0000000000006000000030?ooo`000000000000/0000000<0oooo
0000000000002P0000000`3oool0000000000006000000040?ooo`00000000000?ooo`@0000000<0
oono0000000000002@0000020?ooo`030000003oool0oooo0080000000<0oooo0000003oool01000
00030?ooo`80000000<0oooo0000000000000`0000030?ooo`<0000000<0oooo0000003oool00P00
00030?ooo`8000000`3oool010000000oooo0000000000050?ooo`070000003oool0oooo0?ooo`00
0000oooo000000060?ooo`030000003oool0oooo0080oooo0`00000=0?ooo`8000004P3oool00`3o
_g@000000000000300000003001d_`3oool0oooo00L0oooo0`0000000`3oool00000000000070?oo
o`<00000203oool3000000X0oooo0P00000:0?ooo`<000002`3oool3000000l0oooo8000000Z0?oo
o`H000000`3oool3000000D0oooo1P0000040?ooo`H000002`3oool7000000T0oooo00<0okmd0000
000000000`0000000`00M;l0oooo0?ooo`0<0?ooo`<000001`3oool5000000040?ooo`0000000000
000000@0oooo100000080?ooo`@000000`3oool200000080oooo1@0000030?ooo`030000003oool0
oooo00<0000000<0oooo0000003oool00P3oool400000080oooo10000000103oool000000000003o
ool5000000030?ooo`00000000000080000000<0oooo0000000000003@0000000`3oool000000000
0004000000060?ooo`00000000000?ooo`000000oooo2@0000001@3oool00000000000000000oooo
00X0000000@0oooo000000000000oooo100000020?ooo`040000003oool000000?ooo`H0000000L0
oooo0000003oool00000003oS@000000oooo00800000303oool2003Woa00oooo0`00Bol<0?ooo`05
0;md00000000000000000018W=l0103oool000T0oooo00<0G@3o000000000000200000020?ooo`@0
000000<005;o0000000000002`0000020?ooo`H0000000@0oooo000000000000oooo4@0000000`3o
ool0000000000002000000030?ooo`000000000000H0000000<0oooo0000000000002`0000000`3o
ool000000000000:000000030?ooo`000000000000H0000000@0oooo000000000000oooo10000000
103oool0_g@00000002oool2000000030=nLM0000000000000<000000P3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo00@000000`3oool2000000030?ooo`000000000000<000000`3o
ool3000000030?ooo`000000oooo008000000`3oool2000000<0oooo00@000000?ooo`0000000000
103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool0
0`3oool3000000d0oooo00<000000?ooo`3oool0503oool00`2LB4P0W=oo0?ooo`0=0?ooo`H00000
1`3oool2000000T0oooo00<000000?ooo`3oool02@3oool2000000/0oooo0`00000;0?ooo`H00000
7@3oool00`000000oooo0?ooo`0^0?ooo`P000000`3oool3000000D0oooo0`0000070?ooo`<00000
2`3oool6000001<0oooo00<0W4Q809cOo`3oool06`3oool6000000030?ooo`000000000000@0oooo
100000070?ooo`80000000<0oooo0000003oool00`3oool01@000000oooo0?ooo`000000oooo00<0
00000`3oool00`000000oooo0?ooo`03000000030?ooo`000000oooo0080oooo100000000`3oool0
00000?ooo`05000000040?ooo`00000000000?ooo`8000000P3oool3000000060?ooo`0000000000
0?ooo`000000oooo0P000000102oM00000000000003oool;000000030?ooo`000000000000800000
00<0oooo0000000000000P0000000`3oool000000?ooo`06000000030?ooo`000000000000P00000
00@0oooo000000000000oooo100000020?ooo`050000003oool000000000003oool01@0000001`3o
ool000000?ooo`0000000?n=0000003oool00P00000<0?ooo`800>Oo403oool3001;o`/0oooo00L0
_g@0001d_`3oool0oooo0?oo_`1d0000B9cO00<0oooo00090?ooo`0305d0o`000000000000P00000
0P3oool400000003001Bo`00000000000080000000<0oooo0000000000001P0000020?ooo`800000
00D00?3o00000000000000000?ooo`02000000030?ooo`000000000000l0000000<0oooo00000000
00000P0000000`3oool000000000000D000000030?ooo`000000000000X0000000<0oooo00000000
00001P000000103oool000000000003oool400000080oooo00<000000000B00000001`0000020?oo
o`80000000H0oooo000000000000oooo0000003oool4000000<0oooo0P0000000`3oool000000000
0003000000<0oooo0`0000000`3oool000000?ooo`02000000<0oooo0P0000030?ooo`040000003o
ool00000000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool3000000`0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0?0?ooo`0309a8B02Lgol0oooo0140oooo00<000000?ooo`0000000P0000060?ooo`80
0000203oool3000000X0oooo0`00000;0?ooo`@000003@3oool5000001P0oooo00<000000?ooo`3o
ool0:`3oool600000080oooo1P0000020?ooo`H000001`3oool3000000L0oooo1`00000=0?oooal0
00003@3oool6000000030?ooo`000000000000@0oooo00@000000?ooo`00000000001`3oool00`00
0000oooo000000040?ooo`050000003oool0oooo0000003oool00`0000020?ooo`040000003oool0
oooo0?ooo`<0000000@0oooo0000003oool0oooo1@0000001@3oool000000?ooo`000000oooo00<0
000000@0oooo000000000000oooo0P0000000`3oool0000000000002000000030?ooo`0000000000
02L0000000<0oooo000000000000200000000`3oool000000000000400000080oooo100000000`3o
ool000000000000300000080oooo00@000000?ooo`000000oooo0`00000=0?ooo`03003Wo`3oool0
oooo00l0oooo0P00Bol@0?ooo`030?noM000M;l0oooo0080oooo00090?ooo`0505d0o`0000000000
0000003oool01`000000103oool00000000000000003001Bo`<0000000<0oooo0000000000001`00
0000103oool0000000000000l?l3000000040?ooo`00000000000?oooa40000000<0oooo00000000
00000P0000000`3oool000000000000D000000050?ooo`00000000000000003oool01`0000000`3o
ool0000000000007000000030?ooo`00000000000080oooo0`0000020?ooo`D0000000<0oooo0000
000000000P0000020?ooo`80000000H0oooo000000000000oooo0000003oool4000000<0oooo0P00
00000`3oool0000000000003000000<0oooo0`0000000`3oool000000?ooo`02000000<0oooo0P00
00030?ooo`040000003oool00000000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool3000000`0oooo0P0000040?ooo`03
0000003oool0oooo0100oooo00<0W4Q809cOo`3oool05P3oool2000000H0oooo0P0000090?ooo`<0
00002P3oool3000000`0oooo0`00000?0?ooo`X000003P3oool00`000000oooo0?ooo`0U0?ooo`T0
00000`3oool2000000D0oooo0`0000070?ooo`H000001`3oool3000000d0oooo1`00000<0?ooo`03
09a8B02Lgol0oooo0100oooo0`00000=0?ooo`D0000000@0oooo00000000000000001@3oool00`00
0000oooo0?ooo`050?ooo`@000000`3oool2000000030?ooo`000000oooo00<000000P3oool01000
0000oooo0?ooo`3oool200000080oooo00<000000?ooo`3oool00`0000000`3oool000000?ooo`0<
00000080oooo0`0000000`3oool0000000000002000000040?ooo`00000000000?ooo`80000000D0
B9cO00000000000000000?ooo`03000000050?ooo`00000000000000003oool0100000000`3oool0
000000000002000000030?ooo`000000000000H0000000<0oooo000000000000200000000`3oool0
000000000005000000060?ooo`00000000000?ooo`000000oooo1P0000001@3oool000000?ooo`00
0000oooo00@000007P3oool2001;o`l0oooo00<0omnL04P0B02Lgol00`3oool000030?ooo`2LB000
000000@0000000<004RL0?ooo`0000002`000000103oool00000000000000003001Bo`040000003o
ool000000?ooo`T0000000<0oooo0000000000000P00l?l@00000003003oP`000000000000@00000
00<0oooo0000000000000P0000000`3oool000000000000D000000050?ooo`00000000000000003o
ool01`0000000`3oool00000000000070000000309a800000000000000D000000P3oool500000003
0?ooo`0000000000008000000P3oool2000000060?ooo`00000000000?ooo`000000oooo10000003
0?ooo`030000003oool0000000D000000`3oool3000000030?ooo`000000oooo008000000`3oool2
000000<0oooo00@000000?ooo`0000000000103oool01@000000oooo0?ooo`3oool000000080oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`<000002`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00D0oooo00<0W4P00000000000000`0000000`00B9`00000
000000030000000309a8B02Lgol0oooo01P0oooo00<000000?ooo`3oool01@3oool2000000X0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0<0?ooo`<000005P3oool<00000080oooo
00<000000?ooo`3oool0803oool900000080oooo1P0000000`3oool0000000000004000000L0oooo
0`00000:0?ooo`<000002P3oool6000000h0oooo3P00000=0?ooo`@00000303oool4000000040?oo
o`0000000000000000@0oooo0P0000060?ooo`80000000<0oooo0000003oool00`3oool010000000
oooo0000003oool300000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0
oooo00@0000000<0oooo00000000000020000000103oool000000000003oool4000000030?ooo`00
0000000001l0000000<0oooo000000000000100000000`3oool0000000000006000000030?ooo`00
0000oooo0080000000<0oooo0000000000000P0000020?ooo`040000003oool000000?ooo`H00000
00L0oooo0000003oool000000?ooo`000000oooo008000007`3oool00`00Bol0oooo0?ooo`0;0?oo
o`040=nLB0000000001809cOo`@0oooo00090?ooo``0000000@0oooo0000003oool000000`00D_l3
000000030?ooo`000000000000L0000000<0oooo00000000l?l00P00l?l@00000003003oP`000000
000000@0000000<0oooo0000000000000P0000000`3oool000000000000400000003003o20000000
000000@0000000<0oooo0000000000001P0000000`3oool0000000000009000000030?ooo`000000
000000L0000000D0oooo00000000000000000?ooo`0300000080oooo1@0000000`2oool000000?oo
o`0200000080oooo0P0000001P3oool000000000003oool000000?ooo`D000000P3oool00`000000
oooo00000005000000<0oooo0`0000000`3oool000000?ooo`02000000<0oooo0P0000030?ooo`04
0000003oool00000000000@0oooo00@000000?ooo`3oool0oooo100000050?ooo`030000003oool0
oooo0080oooo0`00000;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool6
000000@0oooo0P00000J0?ooo`8000001`3oool3000000P0oooo0`00000:0?ooo`@000003@3oool6
000001h0oooo00<000000?ooo`3oool06`3oool900000080oooo1@0000050?ooo`8000001`3oool6
000000L0oooo1P0000060?ooo`L000002@3oool;000000D0oooo00<0W4Q809cOo`3oool01P3oool;
000000H0oooo1000000:0?ooo`@0000000@0oooo0000000000000000103oool00`000000oooo0?oo
o`050?ooo`040000003oool00000000000<0oooo00@000000?ooo`000000oooo0`0000020?ooo`04
0000003oool0oooo0?ooo`80000000H0oooo0000003oool0oooo0000003oool3000000040?ooo`00
000000000?ooo`@0000000<0oooo0000000000000`0000001@3oool00000000000000000oooo00L0
000000<0oooo0000000000001@000000103oool000000000003oool3000000060?ooo`0000000000
0?ooo`000000oooo3@0000000`3oool0000000000007000000030?ooo`000000000000D000000P3o
ool01@000000oooo000000000000oooo00D0000000L0oooo0000003oool000000?ooo`000000oooo
00800000;`3oool00`3ogi`0B01809cOo`030?ooo`002@3oool<000000030?ooo`000000oooo00<0
000000D005;o00000000000000000?ooo`09000000060?ooo`0000000?3o003`o`0000000?3o3`00
0002003oP`D0000000<0oooo0000000000000P0000000`3oool000000000000400000003003o2000
0000000000@0000000<0oooo0000000000001P0000000`3oool0000000000009000000030?ooo`00
0000000000L0000000D0oooo00000000000000000?ooo`03000000030?ooo`3OW4P0000000@00000
00<0M;oo0000003oool00P0000020?ooo`80000000H0oooo000000000000oooo0000003oool50000
0080oooo00<000000?ooo`0000001@0000030?ooo`<0000000<0oooo0000003oool00P0000030?oo
o`8000000`3oool010000000oooo0000000000040?ooo`040000003oool0oooo0?ooo`@000001@3o
ool00`000000oooo0?ooo`020?ooo`<000002P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00H0oooo0`00000:0?ooo`0309a8B02Lgol0oooo01/0oooo0`0000070?ooo`030000003o
ool0oooo00P0oooo0`00000;0?ooo`<00000403oool5000001T0oooo00<000000?ooo`3oool05P3o
ool900000080oooo1@0000040?ooo`H000001`3oool2000000X0oooo0`0000090?ooo`<000002P3o
ool600000100oooo00<0W4Q809cOo`3oool04@3oool4000000H0oooo100000080?ooo`@0000000@0
oooo00000000000000000`3oool00`000000oooo0?ooo`050?ooo`80000000<0oooo000000000000
0P3oool00`000000oooo0000000400000080oooo00@000000?ooo`3oool0oooo0P000000103oool0
00000?ooo`3oool5000000040?ooo`00000000000?ooo`H0000000H0oooo000000000000oooo0000
003oool2000000030?ooo`000000000001P0000000<0oooo0000000000002`0000000`3oool00000
00000008000000030?ooo`000000000000D0000000H0oooo000000000000oooo0000003oool50000
00040?ooo`00000000000?ooo`D00000<03oool00`2oM000M;oo0?ooo`020?ooo`002@3oool<0000
00030?ooo`000000oooo00<0000000D005;o00000000000000000?ooo`09000000040?ooo`000000
0?3o000000800?3o3`000002003oP`D0000000<0oooo0000000000000P0000000`3oool000000000
000400000003003o20000000000000@0000000<0oooo0000000000001P0000000`3oool0000006;o
0009000000050?ooo`00000000000000003oool01@0000001@3oool00000000000000000oooo00@0
000000<0okmd0000000000000`0000000`2Lgol000000?ooo`0200000080oooo0P0000001P3oool0
00000000003oool000000?ooo`D000000P3oool00`000000oooo00000005000000<0oooo0`000000
0`3oool000000?ooo`02000000<0oooo0P0000030?ooo`040000003oool00000000000@0oooo00@0
00000?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00<0oooo0`00000:0?ooo`040000
003oool0oooo0?ooo`8000001`3oool2000000T0oooo00D0gia800000000B9`0W4Q809cOo`0O0?oo
o`8000001P3oool2000000/0oooo00<000000?ooo`3oool02`3oool300000180oooo2000000A0?oo
o`030000003oool0oooo00l0oooo2P0000000`3oool0000000000005000000L0oooo0P0000070?oo
o`H000001P3oool6000000H0oooo1P0000060?ooo`L000001`3ooolR000000D0oooo100000060?oo
o`<000001`3oool4000000040?ooo`000000000000000080oooo0P0000070?ooo`80000000D0oooo
0000003oool0oooo000000020?ooo`@000000P3oool010000000oooo0?ooo`3oool2000000040?oo
o`000000oooo0?ooo`D0000000<0oooo0000003oool010000000103oool000000000003oool20000
00030?ooo`000000000000T0000000<0oooo0000000000005`0000000`3oool00000000000040000
00030?ooo`000000000000P0000000<0oooo0000000000001@0000020?ooo`040000003oool00000
0?ooo`H0000000D0oooo0000003oool000000?ooo`04000002X0oooo00L0okmd0000B02Lgol0oooo
0?oOW01804P0W=oo00<0oooo00090?ooo``0000000<0oooo0000000000000`0000001@00D_l00000
000000000000oooo00T0000000D0oooo0000000000000000003`o`0=000000030?ooo`0000000000
00<00?n32@0000000`3oool0000000000003000000<00?l81@0000000`3oool00000000000060000
00030?ooo`000000H_l000T0000000D0oooo00000000000000000?ooo`03000000030;oo00000000
oooo00<0000000<0oooo0000003oool00P0000000`3oool0000000000003000000030?ooo`000000
0000008000000P3oool2000000060?ooo`00000000000?ooo`000000oooo1@0000020?ooo`030000
003oool0000000D000000`3oool3000000030?ooo`000000oooo008000000`3oool2000000<0oooo
00<000000?ooo`0000000P0000030?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000
oooo0?ooo`020?ooo`<000002P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0
oooo0P00000=0?ooo`030=nLB00004P0W=oo00P0oooo00<0oaP00?ooo`3oool0403oool00`3o8000
oooo0?ooo`0;0?ooo`8000002P3oool3000000d0oooo0`00000X0?ooo`030000003oool0oooo00<0
oooo4@0000000`3oool0000000000004000000L0oooo1P0000060?ooo`<000002@3oool3000000T0
oooo0`0000000`3oool00000000000050?ooo`H000001P3oool8000000@0oooo5P0000060?ooo`@0
00001@3oool3000000H0oooo00<000000?ooo`3oool01P3oool4000000030?ooo`000000000000<0
oooo00<000000?ooo`3oool01@3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool40000
0080oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo10000000103oool00000
0000003oool4000000030?ooo`000000000000<0000000D0oooo00000000000000000?ooo`020000
00030?ooo`00000000000100000000<0oooo0000000000000P0000000`3oool000000000000:0000
0080oooo2@0000000`3oool000000000000500000080oooo00@000000?ooo`000000oooo1P000000
1`3oool000000?ooo`000000oooo0000003oool00P00000[0?ooo`050?oOW018000000000000001d
_ol0103oool000T0oooo300000000`3oool000000000000300000003001Bo`000000000000/00000
00D0oooo0000000000000000003`o`0=000000030?ooo`000000000000800?n32P0000000`3oool0
000000000003000000<00?l81@0000000`3oool0000000000006000000030?ooo`1Ro`00H_l000T0
000000D0oooo00000000000000000?ooo`03000000030;oo00000000oooo00<0000000<0oooo0000
003oool00P0000000`3oool0000000000003000000030?ooo`3ol@000000008000000P3oool20000
00060?ooo`00000000000?ooo`000000oooo1@000000103o[`00oooo0000003oool600000080oooo
100000000`3oool000000?ooo`02000000<0oooo0P0000030?ooo`030000003oool0000000800000
0`3oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool00P3oool3000000X0
oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00T0oooo200000030?oo
o`<0000000<0oooo0?lH003oool01P3oool2000000T0oooo00<0ob000000000000002P3oool40000
00030?lV003oool0oooo00D0oooo0P000000103oool000000000000000040?ooo`040?l/003oool0
0000000000D0oooo1`0000020?ooo`030?l`003oool0oooo00@0oooo1`0000050?ooobD000002P3o
ool2000000X0oooo0P00000:0?ooo`8000002P3oool2000000040?ooo`0000000000000000<0oooo
1@0000040?ooo`P000002@3ooolP00000080oooo100000040?ooo`<0000000@0ogL00?ooo`000000
00002P3oool4000000030?ooo`3oS00000000080oooo0P0000000`3oool000000?ooo`030?ooo`80
000000T0oooo0000003oool0oooo0000003o[000oooo0000003oool00P0000020?ooo`030000003o
ool0oooo00<0000000H0oooo0000003oool000000?ooo`3of@02000000050?ooo`00000000000000
003oool00P000000103oool000000000003ooolQ000000030?ooo`000000000000/0000000<0oooo
0000000000001`0000020?ooo`L0000000<0oooo0000000000000P0000000`3oool0000000000003
000000070?ooo`000000oooo0000003oool000000?ooo`02000003@0oooo00090?ooo``0000000<0
oooo0000000000000`0000000`00D_l000000000000;000000050?ooo`000000oooo00000000l?l0
3@0000001@3oool000000000000000000?n3010000000`00o`P5000000030?ooo`00000000000080
000000<0oooo0000000000000P00000306;o0080000000<0oooo0000000000000`0000001@3oool0
0000000000000000oooo0080000000<0_ol00000002oo`00100000000`3oool000000?ooo`020000
00040?ooo`00000000000?ooo`80000000<0oooo0?oa000000000P0000020?ooo`80000000P0oooo
000000000000oooo0000003oool000000?ooo`<0000000@0ojl00?ooo`000000oooo10000000103o
ool000000?ooo`3oool4000000030?ooo`000000ogP0008000000P3oool3000000<0oooo00D00000
0?ooo`000000oooo000000020?ooo`030?m<00000000oooo0080oooo0`0000050?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`0000003@3oool00`000000oooo0?ooo`0=0?ooo`<0oa002P3o
ool400000080oooo0P0000000`3o6000oooo0?ooo`060?ooo`8000001@3oool00`3o8000oooo0?lP
00020?ooo`<000002@3oool3000000030?lV00000000oooo00H0oooo0P0000020?ooo`8000000`3o
ool00`3o;000oooo0?ooo`03000000H0oooo1P0000000`3o<00000000?ooo`0:0?ooo`@000000P3o
=P0I000003H0oooo300000050?ooo`@00000203oool:000000L0oooo0`3oH`0>0?ooo`80000000<0
of/00000000000001P0000000`3oool0000000000003000000@0oooo0P3oM`000`3oool000000000
0002000000L0oooo100000000`3oool0oh`0000000030?ooo`<000001@3oool02P000000oooo0000
003oool0oj`00000003o[000oooo0000003oool200000080oooo00<000000?ooo`3oool00`000000
1@3oool000000?oI00000000omT000<0000000<0oooo0000003oool0100000000`3oool000000000
0005000000030>_o00000000oooo0080000000<0oooo0000000000002`0000000`2Ro`00oooo0000
0002000000030?ooo`000000000000P0000000<0oooo000000000000100000000`3oool000000000
0008000000030?ooo`000000000000D000000P3oool010000000oooo0000003oool5000000040?oo
o`00000000000?ooo`80000000<0oooo000000000000=03oool000T0oooo00<0G@3o000000000000
2@0000000`3oool000000000000300000003001Bo`000000000000/0000000D0oooo0000003oool0
0000003`o`0?000000030?ooo`0000000?n30140000000<00?l8000000000000100000000`3oool0
000000000007000000<0H_l00P0000000`3oool0000000000003000000050?ooo`00000000000000
003oool00P0000000`2oo`0000000;oo0004000000030?ooo`00000000000080000000@0oooo0000
00000000oooo0P0000000`3oool0oo400?oa000200000080oooo0P0000000`3oool0000000000002
000000030?ooo`000000oooo00<0000000@0ojl00?ooo`000000oooo100000001P3oool000000?oo
o`3oool000000?ooo`80000000<0oooo0000003oN0000P0000020?ooo`<000000`3oool01@000000
oooo0000003oool000000080oooo00<0od`00000003oool00P3oool3000000D0oooo00<000000?oo
o`3oool00P3oool00`3o:P00oooo0000000=0?ooo`040000003oool0oooo0?lC00l0oooo0`3o400;
0?ooo`050000003o6000oaP00?lH003oool00P3o60000`000000oooo0?ooo`050?ooo`800000103o
ool40?lP00<0oooo00<000000?ooo`3oool01`3oool50?lV00P0oooo0`0000000`3oool000000?l/
00040?l/00<0oooo100000090?ooo`<0oc001000000;0?ooo`<0ocH0203oool00`000000oooo0?oo
o`020?ooo`H0oc`0303oool60?m400`0oooo1P3oB`0<0?ooo`H0oe800`0000030?ooo`<00000103o
ool60?mH00030000003oool0oooo00H0oooo0`0000060?mM00l0oooo0`3oH`0>0?ooo`<0of/00P3o
ool8000000040?ooo`0000000000000000D0ogL000<000000?ooo`3oool00P0000070?ooo`030000
003oS000oh`000<0oh`0103oool3000000@0oooo00@000000?ooo`000000oooo0P3o[00200000080
oooo0P000000103oool000000?ooo`3oool5000000040?ooo`3of@0000000?oI0080000000@0oooo
000000000000oooo0`0000020?ooo`@0000000<0jol00000003[o`00400000030:;o00T0000000<0
oooo0000000000001000000204[o00@000000P3oool9000000030?ooo`00oad0000000D000000P3o
ool010000000oooo0000003oool600000005003oU@000000oooo0000003oool00`00000:0?ooo`03
003Po`3oool0oooo00l0oooo00<004Go0?ooo`3oool05@3oool000T0oooo300000000`3oool00000
0000000A000000030?ooo`000000oooo0140000000<0oooo0000000000004@0000000`3oool00000
00000004000000030?ooo`000000000000L0000000<0oooo0000000000000P0000000`3oool00000
00000002000000030?ooo`00000000000080000000@0oooo000000000000_ol00P0000001@2oo`00
oooo000000000000oooo00@0000000@0oooo000000000000oooo0P0000000`3oool0oo400?oa0002
00000080oooo0P0000020?ooo`<0000000<0oooo0000003oool00P0000001@3o[`00oooo0?n_0000
0000oooo00@0000000<0oooo0000003oool00P3oool3000000030?ooo`000000ogP0008000000P3o
ool3000000<0oooo00D000000?ooo`000000oooo000000020?ooo`030?m<00000000oooo0080oooo
0`0000050?ooo`030000003oool0oooo0080oooo00<0obX00?ooo`000000303oool2000000030?oo
o`3o4`00oa<000h0oooo0P3o400?0?ooo`8000000`3o6002000000P0oooo0`0000030?ooo`80ob00
103oool2000000X0oooo0`3o9P0:0?ooo`<000000P3oool30?l/00H0oooo0`0000030?ooo`H0oc00
103oool9000000<0ocH02P3oool00`000000oooo0?ooo`040?ooo`80oc`000<0oooo000000000000
0P00000;0?ooo`80od@04@3oool20?m;00d0oooo0`0000020?mB00L000001@3oool3000000030?oo
o`3oF000oeP000D0oooo1P0000050?ooo`80oed0103oool<00000080of<03P0000060?m[00D0oooo
1`000000103oool000000000000000030?mg00<0000000<0oooo0000000000001`3oool2000000<0
oh`000L000000?ooo`3oool0oooo0000003oool0000000@0oooo00@000000?ooo`000000oooo0P3o
[00200000080oooo0P000000103oool000000?ooo`3oool5000000030?ooo`3of@00omT000<00000
00<0oooo0000000000000P0000001P3oool000000?ooo`3oool000000?ooo`8000000P3[o`020000
00030?ooo`000000000000`000000P2Ro`05000000030?ooo`000000000000L000000`1:o`050000
00030?ooo`000000000000L0000000<0oooo003o7@0000001@0000020?ooo`030000003oool00000
00L0000000L00?nE0000003oool000000?ooo`000000oooo008000002@3oool00`00h?l0oooo0?oo
o`0?0?ooo`030015o`3oool0oooo01D0oooo00090?ooo``0000000<0oooo0000000000004@000000
0`3oool0000000000008000000030?ooo`000000000000H0000000<0oooo0000000000004@000000
0`3oool000000000000>000000030?ooo`000000000000L0000000H0oooo000000000000oooo0000
003oool2000000050?ooo`00000000000000003oool00P0000000`3oool000000000000200000004
0?ooo`00000000000?ooo`80000000D0oooo0?oa00000000oo40000000020?ooo`8000000P3oool2
000000040?ooo`00000000000?ooo`80000000D0ojl00?ooo`3o[`0000000?ooo`04000000030?oo
o`000000oooo0080oooo0`0000001@3oool0ogP00?ooo`3oN00000000080oooo0`0000030?ooo`09
0000003oool000000?ooo`000000oooo0?m<003oool0od`000<0oooo0`0000050?ooo`040000003o
ool0oooo0?ooo`80obX000<0oooo0000003oool02`3oool010000000oooo0?lC003o4`0=0?ooo`80
oa00503oool3000000030?ooo`000000000000T0oooo0P0000090?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02P3oool3000000/0oooo1@00000B0?oooa4000000P3o?003000000d0
oooo0P3oA00A0?ooo`80od/02@3oool6000000030?ooo`3oDP00oe8000<00000103oool700000080
oooo0P3oF007000000T0oooo0P3oG@06000000X0oooo0P3oH`0B0?ooo`@000002@3oool:000000<0
oooo0P0000000`3oool000000?ooo`070?ooo`<0000000<0oooo0000000000000P3oool3000000@0
oooo100000001@3oool0oj`0000000000000oooo00<0000000@0oooo0000003oool0oooo0`000000
1@3oool000000?ooo`3oool0omT000<0000000<0oooo000000000000100000000`3oool000000000
000300000080jol00`0000000`3oool0000000000007000000030?ooo`000000000000<0X_l01000
00000`3oool0000000000002000000030?ooo`000000000000<000000P1:o`05000000030?ooo`00
0000000000L0000000@0oooo003o7@00oad00?lM1@0000000`3oool0000000000002000000030?oo
o`000000000000<0000000<00?nE0000003oool00`0000000`3oool00000000000090?ooo`03003P
o`3oool0oooo00l0oooo00<004Go0?ooo`3oool05@3oool000T0oooo3@0000000`3oool000000000
000K000000030?ooo`000000000000H0000000<0oooo0000000000001P0000000`3oool000000000
000C000000030?ooo`000000000000<0000000<0oooo0000000000002P0000000`3oool000000000
0002000000050?ooo`00000000000000003oool00P0000000`3oool0000000000002000000040?oo
o`00000000000?ooo`80000000<0oooo0000000000000P0000020?ooo`8000000P3oool200000004
0?ooo`00000000000?ooo`80000000D0ojl00?ooo`3o[`0000000?ooo`04000000030?ooo`000000
oooo0080oooo0P0000001P3oool000000?mh003oool0ogP000000080oooo0`0000030?ooo`090000
003oool000000?ooo`000000oooo0?m<003oool0od`000<0oooo0`0000050?ooo`070000003oool0
oooo0?ooo`3o:P0000000?lZ000<0?ooo`80000000<0oa<00?ooo`3o4`00:@3oool2000000T0oooo
00<000000?ooo`3oool01`3oool3000000X0oooo0`00000<0?ooo`030000003oool0oooo00d0oooo
1000000J0?ooo`030000003oool0oooo02l0oooo2`0000050?ooo`<00000203oool3000000X0oooo
1`00000?0?ooo`h00000303oool7000000L0oooo0`000000103oool000000000000000030?ooo`@0
0000203oool5000000<0oooo0`0000030?ooo`80000000@0oooo0000003oool0oooo0P0000001P3o
ool00000000000000000oooo00000080oooo0`0000001@3oool000000?ooo`000000oooo00<00000
00<0oooo0000003oool00`0000020?ooo`030000003oool000000080000000<0jol0000000000000
3`0000020:;o00l000000`1:o`0400000080oooo2@000003003o7@D000000P3oool010000000oooo
0000003oool5000000800?nE00D000000?ooo`00000000000?ooo`02000000X0oooo00<00>3o0?oo
o`3oool03P3oool00`00AOl0oooo0?ooo`0E0?ooo`002@3oool=000000030?ooo`000000000000P0
000000<0oooo0000000000003@000000103oool000000000003oool8000000030?ooo`0000000000
00H0000000<0oooo0000000000004`0000000`3oool0000000000003000000030?ooo`0000000000
00T0000000<0oooo0000000000001`000000103oool000000000003oool4000000040?ooo`000000
00000?ooo`8000000P3oool00`000000oooo000000020?ooo`8000000P3oool2000000040?ooo`00
000000000?ooo`<000000P3oool00`000000oooo0000000300000080oooo00<000000?ooo`3oool0
0P0000001P3oool000000?mh003oool0ogP000000080oooo0`0000030?ooo`090000003oool00000
0?ooo`000000oooo0?m<003oool0od`000<0oooo0`0000050?ooo`070000003oool0oooo0?ooo`3o
:P0000000?lZ000<0?ooo`040000003o4`00oooo0?lC00h0oooo1@00000I0?ooo`800000203oool2
000000X0oooo00<000000?ooo`3oool02P3oool2000000/0oooo1000000?0?ooo`P000004P3oool0
0`000000oooo0?ooo`0Y0?ooo`H000000`3oool3000000@0oooo1P0000040?ooo`L000001`3oool6
000000X0oooo3000000>0?ooo`/000004P3oool3000000030?ooo`000000000000<0oooo10000007
0?ooo`<0000000<0oooo0000000000000P3oool00`000000oooo000000030?ooo`80000000@0oooo
0000003oool0oooo0P0000001`3oool00000000000000000oooo0000003oool0100000000`3oool0
00000?ooo`04000000030?ooo`000000000000@000000P3oool00`000000oooo0000000200000004
0?ooo`00000000000?ooo`h0000000<0X_l00000000000000`0000000`3oool00000000000080000
0080B_l01@0000000`3oool0000000000007000000030?ooo`00oad00?lM00D000000P3oool01P00
0000oooo0000003oool000000?ooo`8000000`00oiD010000000oooo0000003oool3000000X0oooo
00<00>3o0?ooo`3oool03`3oool00`00AOl0oooo0?ooo`0D0?ooo`002@3oool=000000030?ooo`00
0000000000L0000000<0oooo0000000000003P0000000`3oool000000000000B000000030?ooo`00
000000000080000000<0oooo0000000000003P0000000`3oool0000000000003000000030?ooo`00
0000000000T0000000<0oooo0000000000001`000000103oool000000000003oool7000000080?oo
o`00000000000000003oool000000?ooo`0000020?ooo`8000000P3oool2000000030?ooo`000000
oooo00@000000P3oool01P000000oooo000000000000oooo00000080oooo00<000000?ooo`3oool0
0P000000203oool000000000003oool000000?ooo`000000oooo0P0000002@3oool000000?ooo`3o
ool000000?ooo`000000oooo000000030?ooo`040000003oool0oooo0?ooo`<000001@3oool00`00
0000oooo0?ooo`020?ooo`030000003o:P00oooo00/0oooo00@000000?ooo`3oool0oa<0303oool3
000001l0oooo0P0000080?ooo`8000002@3oool2000000`0oooo0P00000=0?ooo`<00000503oool<
000000H0oooo00<000000?ooo`3oool0903oool600000080oooo1P0000040?ooo`<000001`3oool3
000000X0oooo100000090?ooo`L000009@3oool400000100oooo0`000000103oool0000000000000
00020?ooo`@000001`3oool500000080oooo0`0000030?ooo`80000000@0oooo0000003oool0oooo
0P0000020?ooo`80000000<0oooo0000003oool01@0000020?ooo`@0000000<0oooo000000000000
100000000`3oool000000?ooo`0F000000030?ooo`00000000000080000000<0oooo000000000000
200000000`3oool0B_l000000004000000030?ooo`000000000000L0000000<0oooo003o7@00oad0
1P0000000`3oool000000000000600000009003oU@0000000?nE0000003oool000000?ooo`000000
oooo00800000203oool3003Poa00oooo00<004Go0?ooo`3oool0503oool000T0oooo3@0000000`3o
ool000000000000H000000030?ooo`00000000000180000000<0oooo0000000000000P0000000`3o
ool000000000000>000000030?ooo`000000000000<0000000<0oooo0000000000002@0000000`3o
ool0000000000007000000030?ooo`000000000000P000000P3oool2000000040?ooo`0000000000
00000080oooo0`0000001P3oool000000000003oool000000?ooo`@000000`3oool3000000050?oo
o`00000000000?ooo`0000000P3oool2000000080?ooo`00000000000?ooo`000000oooo0000003o
ool2000000090?ooo`000000oooo0?ooo`000000oooo0000003oool0000000<0oooo00@000000?oo
o`3oool0oooo0`0000050?ooo`030000003oool0oooo0080oooo0P00000<0?ooo`030000003oool0
oooo00/0oooo0P00000T0?ooo`800000203oool00`000000oooo0?ooo`080?ooo`<000002`3oool3
000000d0oooo1@00000K0?ooo`@000000P3oool00`000000oooo0?ooo`0N0?ooo`h00000103oool6
000000@0oooo1P0000070?ooo`H000001P3oool7000000X0oooo7P0000080?ooo`D000003@3oool3
00000080oooo0P0000020?ooo`040000003oool00000000000L0oooo100000030?ooo`8000000`3o
ool2000000040?ooo`000000oooo0?ooo`8000000P3oool2000000030?ooo`000000oooo00D00000
0P3oool4000000040?ooo`00000000000?ooo`<0000000<0oooo0000003oool01P0000000`3oool0
00000000000B000000030?ooo`000000000000h000000P3oool9000000030?ooo`00oad0000000D0
000000H0oooo000000000000oooo0000003oool4000000800?nE00<000000?ooo`0000000P000000
0`3oool00000000000080?ooo`<00>3o403oool00`00AOl0oooo0?ooo`0D0?ooo`002@3oool=0000
00050?ooo`000000000000000000DOl0:`0000000`3oool0000000000002000000030?ooo`000000
00000200000000<0oooo0000000000001P0000000`3oool0000000000007000000040?ooo`000000
00000?ooo`80000000@0oooo00000000000000000P3oool3000000080?ooo`00000000000?ooo`00
0000oooo0000003oool2000000<0oooo0`0000001@3oool000000000003oool000000080oooo1000
00001P3oool000000000003oool000000?ooo`80000000T0oooo0000003oool0oooo0000003oool0
00000?ooo`0000000`3oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool0
0P3oool2000000H0oooo00<000000?ooo`3oool00P3oool2000000`0oooo0P00000W0?ooo`800000
1`3oool2000000/0oooo00<000000?ooo`3oool02`3oool200000100oooo0`00000N0?ooo`030000
003oool0oooo01L0oooo3`0000050?ooo`D000001`3oool3000000H0oooo1`0000090?ooo`<00000
2@3oool8000001h0oooo100000090?ooo`<00000303oool300000080oooo0P0000001@3oool00000
0000003oool0000000L0oooo100000030?ooo`<000000P3oool3000000<0oooo0P0000001`3oool0
0000000000000000oooo0000003oool00`0000000`3oool000000?ooo`04000000030?ooo`000000
000000@0000000<0oooo0000003oool00P0000000`3oool000000000000;000000030?ooo`000000
000000<0000000<0oooo0000000000000P0000000`3oool0000000000008000000030?ooo`000000
000000@0000000<0oooo0000000000001`0000000`3oool00?lM0000000500000080oooo00@00000
0?ooo`000000oooo10000002003oU@80000000@0oooo000000000000oooo0P0000090?ooo`800>3o
3`3oool30015oaD0oooo00090?ooo`d0000000D0oooo0000000000000000001Ao`0?000000050?oo
o`00000000000000003oool05`0000000`3oool0000000000002000000030?ooo`000000000000`0
000000<0oooo0000000000004@0000001@3oool00000000000000000oooo00@0000000<0oooo0000
0000000010000000103oool000000000003oool2000000040?ooo`00000000000?ooo`<000000`3o
ool2000000080?ooo`00000000000?ooo`000000oooo0000003oool2000000<0oooo0P0000001P3o
ool00000000000000000oooo00000080oooo100000000`3oool000000?ooo`02000000050?ooo`00
000000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0oooo00@000000?ooo`3oool0
oooo0`0000050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02P3oool2000002X0oooo0P0000070?ooo`030000003oool0oooo00T0
oooo0`00000<0?ooo`<00000403oool6000001P0oooo00<000000?ooo`3oool03`3oool;00000080
oooo1@0000040?ooo`H000001P3oool6000000H0oooo0`0000090?ooo`L000001@3oool700000080
oooo0P0000050?oooa/000001P3oool8000000@0oooo0P00000=0?ooo`<0000000@0oooo00000000
0000oooo100000060?ooo`@000000`3oool00`000000oooo000000020?ooo`<000000`3oool20000
00070?ooo`000000oooo0000003oool000000?ooo`03000000030?ooo`000000oooo00@0000000<0
oooo0000003oool0100000000`3oool000000?ooo`06000000030?ooo`00000000000180000000<0
oooo0000000000003P0000000`3oool000000000000700000080oooo1`0000001@3oool000000?oo
o`000000oooo00D0000000H00?nE0?ooo`000000oooo0000003oool3000000T0oooo0P00h?l?0?oo
o`<004Go5@3oool000T0oooo00<0GP3o0000000000003P0000000`00DOl000000000000?00000003
003_o`00000000000?l00000o`00001n00000003003Po`000000000000h000000P00AOl@000000D0
oooo00090?ooo`0305h0o`000000000000X0000000<0oooo0000000000000`00DOl>000000030?oo
o`0000000>oo0140000000<0oooo0000000000000`0000000`3oool000000?ooo`0L000000030?oo
o`00000000000080000000<0oooo0000000000000`0000001@3oool00000000000000000oooo00T0
000000<0oooo0000000000000P000000103oool000000000003oool2000000040?ooo`0000000000
000000<0oooo0P0000020?ooo`D0000000@0oooo00000000000000000P3oool00`000000oooo0000
0003000000060?ooo`000000oooo0?ooo`000000oooo0P0000000`3oool000000?ooo`0200000080
oooo0`0000030?ooo`040000003oool00000000000@0oooo00<000000?ooo`3oool00`0000050?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo01D0oooo1P0000060?ooo`8000002@3oool2000000/0oooo00<000000?oo
o`3oool01`3oool3000000T0oooo0`00000:0?ooo`8000000P3oool3000000D0oooo100000070?oo
o`L000001P3ooolI000000D0oooo1`00000E0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool00`3oool5000000030?ooo`000000000000D00000103oool800000100oooo4P0000030?oo
o`/00000103oool4000000L0oooo1P0000000`3oool000000?ooo`020?ooo`<00000103oool40000
0080oooo100000020?ooo`<000000P3oool3000000030?ooo`00000000000080oooo1P0000030?oo
o`<0000000<0oooo0000000000001@0000000`3oool000000000000H000000030?ooo`0000000000
00P0000000<0oooo000000000000100000000`3oool000000000000?000000060?ooo`0000000000
0?ooo`000000oooo1@0000000`3oool000000?ooo`03000000030?ooo`000000000000T0oooo00<0
0>3o0?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`8004Go3`3oool00`000000oooo0?oo
o`030?ooo`002@3oool=000000030?ooo`000000000000<0057o3P000000103oool00000003_o`00
kol@00000003003oQ0000000000000<0000000<0oooo0000000000002`0000000`3oool000000000
000>000000030?ooo`00000000000080000000<0oooo00000000000010000000103oool000000000
003oool9000000030?ooo`00000000000080000000@0oooo000000000000oooo0P000000103oool0
00000000000000030?ooo`8000000P3oool2000000040?ooo`00000000000?ooo`<000000P3oool4
000000040?ooo`000000oooo000000<0oooo0P000000103oool000000000003oool200000080oooo
0`0000030?ooo`040000003oool00000000000@0oooo00@000000?ooo`3oool0oooo0P0000050?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool00`3oool3000000D0oooo0P0000070?oo
o`040000003oool00000000000X0oooo0P0000080?ooo`<000002`3oool3000000L0oooo00<00000
0?ooo`0000000P0000020?ooo`<000001P3oool3000000@0oooo00<000000?ooo`3oool0103oool=
000000@0oooo00<000000?ooo`3oool00P3oool>000000@0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0000000<000000P3oool4000000D0oooo1`00000;
0?oooaL000000`3oool:00000080oooo1@0000000`3oool0000000000002000000<0oooo0`000005
0?ooo`030000003oool0oooo00L000000`3oool3000000<0oooo00L000000?ooo`00000000000?oo
o`000000oooo00<000000P3oool300000080oooo0`0000000`3oool00000000000020?ooo`H00000
0P3oool3000000030?ooo`000000oooo00H0000000<0oooo0000003oool0600000000`3oool00000
0000000>000000030?ooo`00000000000100000000<0oooo0000003oool01P0000001@3oool00000
000000000000oooo00D000004`3oool00`000000oooo0?ooo`050?ooo`030015o`3oool0oooo00d0
oooo00<000000?ooo`3oool00`3oool000T0oooo1@0000000`3oool0000000000005000000030?oo
o`000000000000<0057o3P000000103oool00>oo003_o`00kol@00000003003oQ0000000000000<0
000000<0oooo0000000000002@0000001@00o`T000000?ooo`000000oooo00h0000000<0oooo0000
000000000P0000000`3oool0000000000004000000040?ooo`00000000000?ooo`H0000000@0oooo
000000000000oooo10000000103oool000000000003oool2000000040?ooo`0000000000000000<0
oooo0`000000103oool000000000003oool2000000040?ooo`000000000000000080oooo10000000
103oool000000?ooo`0000030?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`<00000
0`3oool01@000000oooo0000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?oo
o`8000005`3oool00`000000oooo0?ooo`060?ooo`<000000`3oool3000000D0oooo00D000000?oo
o`3oool0oooo0000000;0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`0000000`000009
0?ooo`<000001P3oool00`000000oooo0?ooo`020?ooo`<000000P3oool2000000L0oooo1P00000B
0?ooo`T000004P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0140oooo30000005
0?ooo`@000001P3oool00`000000oooo00000009000000`0oooo00<000000?ooo`3oool0203oool4
000000L0oooo1@0000030?ooo`D0000000<0oooo0000000000000P0000020?ooo`<000000P3oool0
0`000000oooo0?ooo`020?ooo`L000000`3oool2000000<0oooo1@0000020?ooo`<000000P3oool3
00000080oooo0`0000001P3oool000000000003oool000000?ooo`D000000P3oool3000000040?oo
o`00000000000?ooo`P0000000<0oooo000000000000500000000`3oool000000000000?00000003
0?ooo`000000000000l0000000<0oooo000000000000200000000`3oool000000?ooo`05000001<0
oooo00<000000?ooo`3oool01@3oool00`00AOl0oooo0?ooo`0=0?ooo`030000003oool0oooo00<0
oooo00090?ooo`d0000000D0oooo0000000000000000001Ao`0=000000030?ooo`000000oooo0080
0>oo00<00000003_o`0000003P000002003oQ0@0000000@0oooo000000000000oooo200000000`00
o`T0oooo0000000@000000030?ooo`00000000000080000000<0oooo000000000000100000000`3o
ool0000000000007000000040?ooo`00000000000?ooo`@0000000@0oooo000000000000oooo0P00
00020?ooo`<000000P3oool3000000050?ooo`00000000000?ooo`0000000P3oool300000080oooo
10000000103oool000000?ooo`0000030?ooo`80000000<0oooo0000000000000P3oool00`000000
oooo0?ooo`03000000<0oooo00D000000?ooo`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`8000001@3oool01P000000oooo0?ooo`000000oooo000000H0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
203oool2000000D0oooo00<000000?ooo`3oool01`3oool2000000X0oooo0P00000;0?ooo`030000
003oool0oooo00T0oooo0`00000;0?ooo`@000003@3oool7000000l0oooo00<000000?ooo`3oool0
?03oool400000080oooo0`0000050?ooo`L000001@3oool700000180oooo2000000G0?ooo`@00000
0P3oool500000080oooo0P0000020?ooo`8000001`3oool5000000030?ooo`000000oooo0080oooo
0P0000040?ooo`@000000P3oool300000080oooo0`0000020?ooo`<0000000H0oooo000000000000
oooo0000003oool500000080oooo0`0000000`3oool0000000000003000000050?ooo`000000oooo
0000003oool0100000000`3oool000000000000A000000030?ooo`000000000000L0000000<0oooo
000000000000100000000`3oool000000000000?000000040?ooo`00000000000?ooo`L0000000<0
oooo0000003oool01P00000Z0?ooo`030000003oool0oooo00<0oooo00090?ooo`d0000000<0oooo
0000000000000P0000000`00DOl000000000000:000000030?ooo`000000oooo00800>oo00<00000
003_o`0000003@000003003oQ0L0000000<0oooo0000000000001P000002003o2@d0000000D0oooo
0000000000000000067o000;000000030?ooo`000000000000L0000000D0oooo0000000000000000
0?ooo`0300000080oooo1@000000103oool000000000000000030?ooo`80000000D0oooo00000000
0000oooo000000030?ooo`8000000`3oool00`000000oooo00000004000000<0oooo0P0000000`3o
ool00000000000020?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?ooo`020000
00<0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`050000003oool000000?ooo`0000001P3o
ool00`000000oooo0?ooo`020?ooo`8000003P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00`3oool2000000T0oooo0P00000:0?ooo`030000003o
ool0oooo00T0oooo0P00000<0?ooo`8000003@3oool300000140oooo7@00000[0?ooo``000000P3o
ool6000000P0oooo1000000:0?ooo`l00000103oool010000000oooo0?ooo`3oool<000000l0oooo
2@0000020?ooo`8000000P3oool00`000000oooo0?ooo`060?ooo`@0000000<0oooo000000000000
0P3oool2000000@0oooo100000020?ooo`030000003oool000000080oooo0`0000020?ooo`D00000
0P3oool00`000000oooo0000000300000080oooo0`0000000`3oool0000000000009000000070?oo
o`00000000000000003oool000000?ooo`05000000030?ooo`000000000000P0000000<0oooo0000
000000003P0000020?oooa0000000P3oool00`000000oooo00000006000000040?ooo`0000000000
0?ooo`80000000<0oooo000000000000:P3oool00`000000oooo0?ooo`030?ooo`002@3oool=0000
00030?ooo`00000000000080000000<0057o00000000000030000000103oool0000000000000kol4
000000030?ooo`000000000000P000000P00oh@00`0000000?n400000005000000030?ooo`000000
00000080000000@0oooo00000000000000000P00o`TA00000003067o00000000000000T0000000L0
oooo00000000000000000?ooo`000000__l00080000000<0oooo0000000000000P0000000`3oool0
000000000002000000030?ooo`000000000000<0000000@0oooo00000000000000000`3oool20000
00050?ooo`00000000000?ooo`0000000`3oool2000000<0oooo00<000000?ooo`0000000`000000
103oool000000?ooo`3oool2000000040?ooo`000000oooo00000080oooo00H000000?ooo`000000
00000?ooo`0000020?ooo`030000003oool0oooo008000000`3oool010000000oooo0?ooo`3oool2
000000H0oooo00<000000?ooo`3oool00P0000060?ooo`030000003oool0oooo0080oooo0P00000=
0?ooo`030000003oool0oooo01H0oooo00<0oa400?ooo`3oool00`3oool2000000T0oooo00<00000
0?lK003oool0203oool2000000/0oooo0P00000<0?ooo`8000003P3oool5000001/0oooo00<00000
0?ooo`3oool0<03oool6000000<0oooo0`0000050?ooo`<000001`3oool7000000L0oooo1`00000S
0?ooo`D00000303oool:000000040?ooo`00000000000?ooo`800000203oool700000080oooo0P00
00030?ooo`@000000P3oool00`000000oooo000000020?ooo`<000000P3oool500000080oooo1P00
00020?ooo`<0000000<0oooo0000003oool00`0000000`3oool000000000000D000000030?ooo`00
0000000000<0000000<0oooo0000000000001`0000000`3oool0000000000004000000030?ooo`00
0000000000l0000000<0oooo0000003oool01P0000001`3oool00000000000000000oooo0000003o
ool00`00000`0?ooo`002@3oool=000000030?ooo`00000000000080000000<0057o000000000000
30000000103oool0000000000000kol?00000004003oQ00000000?n4003oQ0H0000000<0oooo0000
000000000P000000103oool00000000000000003003o2A00000000D0HOl00?ooo`00000000000?oo
o`07000000070?ooo`00000000000000003oool000000;ko0002000000030?ooo`00000000000080
000000<0oooo0000000000000P0000001`3oool000000000003oool000000?ob003oool00`000003
0?ooo`8000000P3oool400000080oooo0`0000020?ooo`080000003oool000000000003oool00000
0?ooo`0000030?ooo`<0000000H0oooo0000003oool0oooo0000003oool2000000050?ooo`000000
oooo0?ooo`0000000P3oool2000000<0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`030000
003oool0oooo008000001`3oool01@000000oooo0?ooo`3oool0000000d0oooo0P00000I0?ooo`03
0?lA003oool0oooo00<0oooo0P0000090?ooo`030000003o6`00oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`3o8P00oooo0?ooo`040?ooo`8000002@3oool00`3o:000oooo0?ooo`03000000`0
oooo00@0obh00?ooo`3oool0oooo1000000G0?ooo`030000003oool0oooo02d0oooo300000000`3o
ool0000000000005000000<0oooo1`0000070?ooo`L000003P3ooolG000000X0oooo1000000<0?oo
o`P0000000@0oooo000000000000oooo0P0000000`3oool0oiT00?ooo`040?ooo`@0000000<0oooo
0000000000000P3oool200000080oooo00<0okT00000000000000P0000020?ooo`030000003oool0
00000080oooo0`0000001@3oool00000000000000000onD0008000000P3oool600000080oooo0`00
00000`3oool0000000000005000000040?ooo`00000000000?ooo`<0000000<0oooo000000000000
1@0000000`3oool0000000000003000000030?ooo`00000000000080000000@0oooo000000000000
oooo3@0000000`3oool000000000000?000000040?ooo`00000000000?ooo`L0000000D0oooo0000
003oool000000?ooo`0300000300oooo00090?ooo`h0000000D0oooo0000000000000000001Ao`0>
000000040?ooo`0000000000003_oa40000000<00?n40000000000001@0000000`3oool000000000
0002000000040?ooo`0000000000000000<00?l93`000003067o0080000000<0oooo0000003oool0
1@0000001P3oool00000000000000000oooo00000080__l000<000000?ooo`0000000`0000000`3o
ool0000000000002000000070?ooo`00000000000?ooo`000000oo800?ooo`03000000<0oooo0P00
00020?ooo`@000000P3oool00`3o[`000000000000020?ooo`@0000000@0oooo0000003oool00000
0`3oool3000000050?mi00000000oooo0?ooo`0000000P3oool3000000<0oooo00@000000?ooo`00
000000000`3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?ooo`3oool00P000007
0?ooo`040000003oool0oooo0?ooo`800000303oool00`000000oooo0?ooo`030?ooo`80o`H0403o
ool20?lA00030?ooo`3o4@00oooo00H0oooo00<000000?ooo`3oool01@3oool00`3o6`00oooo0?lK
000;0?ooo`<000000`3oool00`3o8P00oooo0?ooo`050?ooo`<000001`3oool00`3o:000oooo0?oo
o`020?ooo`<000002P3oool00`3o;P00oooo0?ooo`040?ooo`L000000`3oool00`3o=@00oooo0?oo
o`0:0?ooo`030000003oool0oooo02L0oooo2`0000050?ooo`<000001`3oool3000000X0oooo1000
000:0?ooo`/00000203oool20?m]00d0oooo100000000`3oMP00000000000002000000D0oooo1@00
00040?ooo`030?n4003oool0oooo00<0oooo1`000000103oool000000000003oool2000000030?nI
003oool0oooo00@0oooo1P0000020?ooo`8000000P3oool00`3o^@00oooo0000000200000080oooo
00<000000?ooo`0000000P3oool010000000oooo0000003oool2000000070?oU003oool000000000
003oool000000?ooo`0500000080oooo0P000000103oool000000000003Po`02000000030?ooo`00
0000000000<0000000<0oooo0000000000003P0000000`3oool000000000000>000000030?ooo`00
0000000000<0000000D0oooo00000000000000000?ooo`0<00000080oooo00@000000?ooo`000000
oooo1@0000000`3oool000000?ooo`06000002l0oooo00090?ooo`h0000000D0oooo000000000000
0000001Ao`0?000000030?ooo`0000000>oo0140000000<00?n40000000000002P0000000`3oool0
00000000000200000003003o2@000000oooo00h000000`1Qo`001@000000oooo000000000000oooo
00D000000P3oool2000000080?ooo`2no`0000000;ko00000000oooo0000003oool2000000030?oo
o`00000000000080000000D0oooo000000000000oooo000000020?ob00<000000`3oool200000080
oooo0P0000001@3oool000000000003oool0ojl0008000000P3oool4000000040?ooo`000000oooo
000000<0oooo0`0000001@3oN@0000000?ooo`3oool000000080oooo0`0000030?ooo`060000003o
ool000000?ooo`000000od`00P3oool00`000000oooo0?ooo`02000000H0oooo00H000000?ooo`3o
ool000000?lY000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool0
0`3o3`00oooo0?ooo`030?ooo`8000001`3oool20?l60100oooo0`3o4@070?ooo`030000003oool0
oooo00D0oooo0`3o6`000`000000oooo0?ooo`0:0?ooo`030000003o8P00ob8000<0ob80203oool0
0`000000oooo0?ooo`020?ooo`D0obP01@3oool4000000L0oooo0P3o;P0;0?ooo`@000000P3o=@04
000000H0oooo00<000000?ooo`3oool00P3oool30?lm00l0oooo1P3oAP050?ooo`L000001P3oCP00
0`000000oooo0?ooo`020?ooo`H0000000<0oooo0?mG003oE`00103oE`03000000H0oooo10000006
0?mN00<0oooo200000000`3oool0ofD00?mU00040?mU00D0oooo2@0000020?m]00X000001P3oool2
0?mf0080oooo1@0000050?ooo`<000000P3oool20?n400D0oooo0`0000020?ooo`80000000H0oooo
0000003oV@00oiT00000003oV@070?ooo`<0000000<0oooo0000003oool00P3oool00`3o^@00oooo
0?ni00020?ooo`@0000000@0oooo0000003oool000000P3oool2000000060?ooo`3oi@0000000000
003oi@00oooo0P0000000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`<0000000<0
h?l00000003Po`000`0000001@3oool00000000000000000oooo00@0000000<0oooo000000000000
0`0000000`2Ho`0000000?ooo`05000000030?ooo`00000000000080000000<0oooo000000000000
1`0000000`3oool0000000000004000000030?ooo`000000000000l0000000<0oooo0000003oool0
1`000000103oool000000000003oool5000002l0oooo00090?ooo`0305h0o`000000000000/00000
00D0oooo0000000000000000001Ao`03000000030?ooo`000000000000T0000000<0oooo00000000
kol03P000000103oool0000000000000oh@:000000030?ooo`000000oooo00@0000000<00?l90000
003oool03P000002067o00030?ooo`00000000000080000000<0oooo0000000000000`0000020?oo
o`<0000000L0__l00000002no`00__l00?ooo`000000oooo008000000P3oool010000000oooo0000
003oool2000000040?ooo`000000oo800?ob00<000000`3oool3000000040?ooo`00000000000?oo
o`80000000@0oooo0?n_003o[`0000000P3oool3000000050?ooo`00000000000?ooo`0000000`3o
ool300000080ogT00`3oool01P000000oooo000000000000oooo00000080oooo00H000000?ooo`00
0000oooo0000003oC0020?ooo`030000003oool0oooo008000001P3oool01P000000oooo0?ooo`00
0000obT0000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030?l?
003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool30?l60100oooo0P3o4@070?ooo`800000
1`3oool20?lK008000002`3oool2000000040?ooo`3o8P00ob800?lR00P0oooo0`0000040?ooo`<0
obP0203oool3000000030?ooo`3o;P00obh000@0obh03@3oool50?le0080oooo0P0000040?ooo`03
0000003oool0oooo00D0oooo0`3o?@0>0?ooo`<0odH03P0000030?ooo`030?m>00000000000000@0
00001P3oool3000000030?ooo`3oE`00oeL000@0oooo1P0000060?ooo`<0oeh0100000090?ooo`80
00000`3oI@06000000X0oooo0`3oK@080?ooo`D000001@3oMP050?ooo`@00000103oool60?n400D0
oooo0`0000020?ooo`80000000<0oooo0000003oV@000P3oV@000`000000oooo0?ooo`040?ooo`H0
00000P3oool30?ni0080oooo10000000103oool000000?ooo`0000020?ooo`80000000@0oooo0?oU
00000000onD00`0000020?ooo`H000000P3oool3000000<0h?l0200000000`3oool0000000000004
000000<0V?l01`0000000`3oool000000000000600000080@?l02`0000000`3oool0000000000002
00000003003o9P000000000000X0000000@0oooo000000000000oooo0P0000002P00oid000000000
003oool000000?ooo`000000oooo0000003oool3000000D0oooo00<00=Wo0?ooo`3oool03`3oool0
0`00?Ol0oooo0?ooo`0E0?ooo`002@3oool>000000030?ooo`000000000000D0000000<0oooo0000
000000002@0000000`3oool000000000000>000000030?ooo`000000000001<0000000<0oooo0000
000000003`0000000`3oool0000000000002000000030?ooo`000000000000<000000P3oool30000
00070;ko0000000000000000003oool000000?ooo`03000000050?ooo`000000oooo0000003oool0
0P0000001@3oool000000?ob00000000oo8000<000000`3oool2000000040?ooo`00000000000?oo
o`80000000<0oooo0?n_003o[`000P0000020?ooo`030000003oool0000000<0000000@0oooo0000
003oool0oooo0`0000020?mi00070000003oool0oooo0000003oool000000?ooo`02000000<0oooo
00@000000?ooo`00000000000P3oC0000`3oool000000?ooo`020?ooo`8000001P3oool00`000000
oooo000000020?lY00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`80
o`l01@3oool00`000000oooo0?ooo`040?ooo`<0o`H07@3oool2000000X0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo0`00000N0?ooo`03
0000003oool0oooo0080oooo0`3o?@0=0?ooo`8000000P3oAP0;000000@0oooo0`0000020?m>0003
0000003oool0oooo00@0oooo1P0000020?ooo`80oeL00P3oool4000000T0oooo00<000000?mN003o
GP002@3oool700000080ofD00`3oool=000000<0ofd03@0000060?ooo`D000001P3oool4000000d0
oooo0`0000020?ooo`040000003oool0oooo00000080oiT00P0000050?ooo`H000000`3oool20?ni
0080oooo10000000103oool000000000000000020?ooo`80000000@0oooo0?oU003oi@00onD00`00
00020?ooo`H000000P3oool2000000030?ooo`3Po`00h?l000<0000000<0oooo0000000000001P00
0000103oool0000000000000000209So0080000000<0oooo0000000000000`0000000`3oool00000
00000002000000030?ooo`000000@?l00080@?l01P0000000`3oool000000000000700000003003o
9P0000000?lV00X000000P3oool01@000000oooo0000003oool00?nM00@0000000D0oooo0000003o
ool000000?ooo`03000000D0oooo00<00=Wo0?ooo`3oool03`3oool00`00?Ol0oooo0?ooo`0E0?oo
o`002@3oool6000000030?ooo`000000000000D0000000<0oooo0000000000004@0000000`3oool0
00000000000G000000030?ooo`000000000000X0000000@0oooo000000000000oooo3P0000000`3o
ool0000000000009000000050?ooo`00000000000000003oool0100000000`3oool0000000000002
000000040?ooo`000000000000000080oooo0`0000000`3olP0000000?ooo`03000000<0oooo0P00
00002`3oool000000000003oool000000?ooo`000000ojl00000003o[`0000000080oooo00<00000
0?ooo`0000000`0000000`3oool000000?ooo`020?ooo`80000000<0ogT00?ooo`3oN@000P3oool0
0`000000oooo0?ooo`03000000<0oooo00@000000?ooo`000000oooo0P3oC0000`3oool000000?oo
o`020?ooo`8000001P3oool00`000000oooo000000020?lY00H0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`030?l?003oool0o`l000@0oooo00<000000?ooo`3oool02@3o
ool2000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01P3oool4000000X0oooo00<000000?ooo`3oool00`3o
ool400000080oooo00<000000?ooo`3oool02@3oool3000000T0oooo7`0000040?ooo`D000000P3o
ool00`3oCP00oooo0?ooo`020?ooo`D000001`3oool5000000L0oooo1P0000050?ooo`L000001@3o
ool7000000D0oooo5`0000000`3oool0000000000005000000@0oooo100000060?ooo`@000002P3o
ool00`000000oooo0000000400000080oooo0P0000000`3oool000000?ooo`050?ooo`H000000P3o
ool010000000oooo0?ooo`3oool800000080oooo0P0000020?ooo`030?oU00000000000000800000
00<0oooo0000003oool00P000000103oool000000?ooo`3oool3000000030?ooo`000000h?l000D0
000000@0oooo000000000000oooo1`00000209So00L0000000<0oooo0000000000001@000002043o
00`0000000@0oooo00000000000000000`00obH=000000050?ooo`000000000000000000oid00`00
0000103oool000000?ooo`3oool5000000@0oooo00<00=Wo0?ooo`3oool03`3oool00`00?Ol0oooo
0?ooo`0E0?ooo`002@3oool>000000030?ooo`00000000000140000000<0oooo0000000000005`00
00000`3oool000000000000:000000030?ooo`000000000000H0000000<0oooo0000000000000P00
00000`3oool000000000000=000000050?ooo`00000000000000003oool0100000000`3oool00000
0000000200000080oooo0`0000000`3oool0000000000003000000040?ooo`0000000000000000<0
oooo0P0000020?ooo`060000003oool000000?ooo`000000oooo0`0000020?ooo`040000003oool0
00000?ooo`80000000<0oooo0000003oool00P3oool2000000030?mi003oool0ogT00080oooo00<0
00000?ooo`3oool00P000000303oool000000?ooo`3oool000000?ooo`000000oooo0?m<003oool0
od`0000000<0oooo0P0000060?ooo`060000003oool0oooo0?lY003oool0obT01P3oool00`000000
oooo0?ooo`050?ooo`040?l?003oool0oooo0?l?0140oooo0`0000080?ooo`8000002P3oool20000
00X0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool00`3oool20000
00@0oooo00<000000?ooo`3oool0203oool2000000X0oooo100000050?ooo`T00000203ooolJ0000
00T0oooo1000000c0?ooo`8000001@3oool8000000D0oooo4P0000040?oooa<000000P3oool60000
00<0oooo100000090?ooo`80000000<0oooo0000000000000`0000020?ooo`030000003oool00000
00H0oooo1P0000020?ooo`030000003oool0oooo0080oooo1`0000020?ooo`8000000P3oool50000
00030?ooo`000000oooo0080000000@0oooo0000003oool0oooo0`0000000`3oool0000000000002
000000030?ooo`000000000000H0000000<0oooo0000000000000P000000102Ho`0000000000003o
ool:000000030?ooo`00000000000080@?l01P0000000`3oool0000000000006000000<00?lV3`00
00000`00oid00000003oW@03000000040?ooo`00000000000?ooo`D000001@3oool00`00fOl0oooo
0?ooo`0?0?ooo`03000mo`3oool0oooo01@0oooo00090?ooo`h0000000<0oooo0000000000004@00
00000`3oool000000000000G000000030?ooo`000000000001<0000000@0oooo000000000000oooo
1P000000103oool000000000003oool7000000050?ooo`00000000000000003oool0100000000`3o
ool000000?ooo`0200000080oooo0`0000001P3oool000000000003oool000000?ooo`@000000`3o
ool200000080oooo0P000000103oool000000000003oool4000000050?ooo`00000000000000003o
ool00P0000000`3oool000000?ooo`020?ooo`<0000000<0oooo0000003oool00P3oool01P000000
oooo000000000000oooo00000080oooo00D000000?ooo`3oool000000?m<00030?ooo`060000003o
ool0oooo0000003oool000001P3oool00`000000oooo0?lY00080?ooo`030000003oool0oooo00D0
oooo00@0o`l00?ooo`3oool0o`l04`3oool3000000L0oooo0P00000:0?ooo`8000002P3oool20000
00<0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool00P3oool20000
00T0oooo1000000;0?ooo`<000002`3oool:000000L0oooo00<000000?ooo`3oool03@3oool:0000
03@0oooo0`0000030?ooo`@000001@3oool800000200oooo3P0000000`3oool00000000000030000
00@0oooo0`0000080?ooo`80000000<0oooo0000000000000P0000020?ooo`@000001@3oool60000
0080oooo00<000000?ooo`3oool00P3oool700000080oooo0P0000020?ooo`D0000000<0oooo0000
00000000100000001@3oool00000000000000000oooo00D0000000D0oooo00000000000000000?oo
o`0A000000030?ooo`000000000000H0000000<0@?l00000000000003P000002003o9P/0000000D0
oooo000000000000oooo00000002003oW@@0000000D0oooo0000003oool000000?ooo`03000000D0
oooo0P00fOl@0?ooo`03000mo`3oool0oooo01@0oooo00090?ooo`h0000000<0oooo000000000000
4@0000000`3oool000000000000G000000040?ooo`00000000000?oooa80000000<0oooo00000000
00001`0000001P3oool000000000003oool000000?ooo`D0000000D0oooo00000000000000000?oo
o`04000000030?ooo`000000oooo008000000P3oool3000000080?ooo`00000000000?ooo`000000
oooo0000003oool300000080oooo0P0000020?ooo`80000000@0oooo000000000000oooo10000002
0?ooo`8000000P3oool010000000oooo0?ooo`0000020?ooo`<0000000<0oooo0000003oool00P3o
ool01P000000oooo000000000000oooo00000080oooo00<000000?ooo`3oool00P0000030?ooo`06
0000003oool0oooo0000003oool000001P3oool00`000000oooo000000080?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool04`3oool2000000L0oooo0P00000:0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool00`3oool3
000000<0oooo0P00000:0?ooo`@000002`3oool500000100oooo5`00000g0?ooo`d000000P3oool7
000000T0oooo7000000<0?ooo`d000001@3oool2000000P0oooo00<000000?ooo`00000010000002
0?ooo`<000001@3oool600000080oooo0P0000030?ooo`L000000P3oool200000080oooo10000000
0`3oool000000?ooo`0400000080oooo0`0000000`3oool000000?ooo`0;000000030?ooo`000000
000000D0000000<0oooo000000000000200000000`3oool000000000000=000000040?ooo`000000
0000000000800?lV2`0000001@3oool000000000003oool0000000<00?nM0`0000001@3oool00000
0?ooo`000000oooo00@000000`3oool3003Ioa00oooo00<003go0?ooo`3oool0503oool000T0oooo
3P0000000`3oool000000000000A000000030?ooo`000000000000D0000000<0oooo000000000000
4P0000001P3oool000000000003oool000000?ooo`D0000000<0oooo0000000000001@0000000`3o
ool0000000000007000000030?ooo`00000000000080000000<0oooo0000000000000`0000020?oo
o`D0000000D0oooo0000003oool000000?ooo`03000000050?ooo`000000oooo0000003oool01000
00000`3oool000000?ooo`03000000<0oooo0P000000103oool000000000003oool200000080oooo
0`0000020?ooo`8000000P3oool2000000040?ooo`000000oooo0?ooo`@0000000D0oooo0000003o
ool0oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000030?oo
o`040000003oool0oooo0?ooo`8000001P3oool010000000oooo0?ooo`0000070?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0703oool2000000X0oooo0P00000:0?ooo`8000002`3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P00000;0?ooo`@000003@3o
ool600000140oooo00<000000?ooo`3oool0@@3oool900000080oooo1`0000080?ooo`P00000703o
ool7000000T0oooo1@0000000`3oool0000000000004000000@0oooo0P0000070?ooo`80000000<0
oooo0000000000000`0000020?ooo`8000001P3oool500000080oooo0P0000030?ooo`D0000000<0
oooo0000003oool00`0000020?ooo`@0000000<0oooo0000003oool00P0000000`3oool000000?oo
o`09000000030?ooo`000000000000P0000000<0oooo000000000000200000000`3oool000000000
000G00000003003o9P000000000000l000000P00oid3000000040?ooo`00000000000?ooo`D00000
0`3oool3003Io`l0oooo0`00?OlE0?ooo`002@3oool>000000030?ooo`00000004oo014000000P3o
ool6000000030?ooo`000000000001d0000000<0oooo0000000000001P0000000`3oool000000000
0006000000030?ooo`00000000000080000000<0oooo0000000000000`0000020?ooo`L0000000<0
oooo0000003oool00`0000020?ooo`80000000<0oooo00000000000010000000103oool000000?oo
o`0000030?ooo`80000000P0oooo000000000000oooo0000003oool000000?ooo`<000000P3oool0
10000000oooo0000003oool200000080oooo00<000000?ooo`3oool00`0000001@3oool000000?oo
o`3oool000000080oooo00<000000?ooo`0000000`3oool010000000oooo0000000000040?ooo`03
0000003oool0oooo008000001P3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool07@3oool2000000X0oooo0P00000;0?ooo`030000003oool0oooo
00T0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0303oool30000
0100oooo1`00000:0?ooo`030000003oool0oooo03T0oooo2P0000050?ooo`@000001`3oool80000
00`0oooo5`00000C0?ooo`H0000000<0oooo0000000000000`0000040?ooo`8000001`3oool20000
00030?ooo`0000000000008000000`3oool2000000D0oooo1@0000020?ooo`8000000`3oool00`00
0000oooo00000002000000030?ooo`000000oooo00<000000P3oool4000000030?ooo`000000oooo
0080000000<0oooo0000003oool00`0000000`3oool0000000000008000000040?ooo`0000000000
0?ooo`L0000000<0oooo0000000000000P0000000`3oool0000000000003000000030?ooo`000000
00000140000000<0oooo0000000000002P000000103oool000000000003oool200000003003oW@00
000000000080000000D0oooo0000003oool000000?ooo`03000000@0oooo0P00fOl?0?ooo`<003go
5@3oool000T0oooo1@0000000`3oool000000000000800000003001?o`000000000000l000000P3o
oolV000000030?ooo`000000000000H0000000@0oooo000000000000oooo1@0000000`3oool00000
00000002000000030?ooo`000000000000<000000P3oool3000000030?ooo`000000000000800000
00<0oooo0000000000000P0000020?ooo`H0000000@0oooo000000000000oooo0`0000030?ooo`80
00000P3oool01P000000oooo0000003oool000000?ooo`<000000P3oool3000000030?ooo`000000
00000080oooo00<000000?ooo`3oool00`0000000`3oool000000?ooo`020?ooo`030000003oool0
0000008000000`3oool01@000000oooo0000003oool0000000<0oooo00@000000?ooo`3oool0oooo
0P0000060?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0N0?ooo`8000002P3oool00`000000oooo0?ooo`0:0?ooo`8000002`3oool00`000000oooo
0?ooo`0:0?ooo`<000003P3oool3000001@0oooo5P00000Z0?ooo`d0000000<0oooo000000000000
1@0000040?ooo`L000001`3oool=000001L0oooo1@00000B0?ooo`@0000000<0oooo000000000000
100000030?ooo`8000001`3oool00`000000oooo00000004000000<0oooo00<000000?ooo`3oool0
0`3oool500000080oooo0P0000030?ooo`030000003oool000000080000000<0oooo0000003oool0
0`0000000`3oool0000000000003000000030?ooo`000000000000<000000P3oool3000000030?oo
o`000000000001P0000000<0oooo0000000000004P0000000`3oool000000000000>000000060?oo
o`00000000000?ooo`000000oooo1@0000001@3oool000000?ooo`000000oooo00<00000103oool2
003Ioa00oooo0P00?OlE0?ooo`002@3oool00`1P0?l0000000000002000000030?ooo`0000000000
00L0000000<0oooo001?o`00Col0400000000`3oool00>go0000000U000000050?ooo`0000000000
0000003oool0100000001P3oool000000000003oool000000?ooo`<0000000<0oooo000000000000
2@0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000000P0000020?ooo`<0
000000@0oooo000000000000oooo0P0000000`3oool000000000000200000080oooo0P0000020?oo
o`80000000<0oooo0000000000000P3oool3000000050?ooo`00000000000000003oool00P000002
0?ooo`030000003oool0oooo00D000000`3oool01P000000oooo0?ooo`000000oooo00000080oooo
00D000000?ooo`000000oooo000000040?ooo`030000003oool0oooo008000001P3oool010000000
oooo0?ooo`0000070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool07P3oool00`00
0000oooo0?ooo`090?ooo`8000002`3oool00`000000oooo0?ooo`0:0?ooo`8000003@3oool00`00
0000oooo0?ooo`0>0?ooo`<000006`3oool00`000000oooo0?ooo`0]0?ooo``000000P3oool60000
00@0oooo1`0000070?ooo`L000003`3ooolA000000T0oooo2@00000<0?ooo`@0000000<0oooo0000
00000000100000020?ooo`8000001P3oool2000000030?ooo`000000000000<000000P3oool20000
00@0oooo1@0000020?ooo`8000000`3oool00`000000oooo00000002000000030?ooo`000000oooo
00<0000000<0oooo0000000000000P0000000`3oool000000?ooo`0400000080oooo400000000`3o
ool0000000000005000000030?ooo`00000000000080000000<0oooo0000000000000`0000000`3o
ool000000?ooo`0X000000040?ooo`000000oooo0?ooo`D00000103oool00`00fOl0oooo0?ooo`0>
0?ooo`8003go5@3oool000T0oooo1@0000000`3oool0000000000007000000030?ooo`00Col004oo
0140000000<00>go0000003oool02P0000000`3oool000000000000200000003003oQP0000000000
00D0000000<0oooo0000000000003P0000000`3oool0000000000002000000040?ooo`0000000000
0?ooo`T0000000<0oooo0000000000001@0000000`3oool0000000000006000000030?ooo`000000
oooo008000000P3oool3000000040?ooo`00000000000?ooo`8000000P3oool3000000<0oooo0P00
0000103oool000000000003oool200000080oooo0`0000020?ooo`8000000P3oool010000000oooo
0?ooo`0000020?ooo`060000003oool000000000003oool000000P3oool01P000000oooo0?ooo`00
0000oooo000000<0oooo00@000000?ooo`0000000000103oool010000000oooo0?ooo`3oool20000
00D0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02`3oool300000100oooo1P00000E0?ooo`030000003oool0
oooo02L0oooo300000040?ooo`@000001`3oool3000000X0oooo100000090?ooo`d000004@3oool7
000000/0oooo1000000:0?ooo`L0000000@0oooo00000000000000000P3oool2000000H0oooo2000
00020?ooo`030000003oool0oooo0080oooo1P0000000`3oool000000?ooo`030?ooo`80000000@0
oooo00000000000000000P3oool200000080oooo100000000`3oool000000?ooo`04000000050?oo
o`00000000000000003oool0@@0000000`3oool000000?ooo`06000000040?ooo`00000000000?oo
o`D000005P3oool00`00?Ol0oooo0?ooo`0C0?ooo`002@3oool7000000030?ooo`000000000000D0
000000@0oooo001?o`00Col004oo3`000002003]o`030000003oool0000000T0000000<0oooo0000
000000000P0000000`00ohH0000000000005000000030?ooo`000000000001<0000000@0oooo0000
00000000oooo1P000000103oool000000000003oool7000000030?ooo`000000000000H0000000<0
oooo0000003oool00P0000020?ooo`P0000000H0oooo0000003oool000000?ooo`0000030?ooo`80
000000@0oooo000000000000oooo0P0000020?ooo`<000000P3oool010000000oooo0000003oool2
00000080oooo00<000000?ooo`3oool00P0000000`3oool00000000000030?ooo`060000003oool0
00000000003oool000000P3oool01@000000oooo0000003oool0000000@0oooo00<000000?ooo`3o
ool00P0000060?ooo`030000003oool0000000L0oooo0`0000090?ooo`8000008@3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00X0oooo0P00000<0?ooo`<000003@3oool3000001<0
oooo1@00000@0?ooo`030000003oool0oooo0240oooo300000040?ooo`H00000103oool7000000H0
oooo1`0000060?ooo`L000003@3oool@000000P0oooo2P0000050?ooo`8000002`3oool600000004
0?ooo`000000000000000080oooo0P0000060?ooo`D0000000@0oooo0000003oool0oooo0P000004
0?ooo`D0000000<0oooo0000003oool00`3oool2000000040?ooo`000000000000000080oooo0P00
00020?ooo`@0000000<0oooo0000003oool00`0000020?oooa00000000<0oooo0000000000001@00
00000`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo0000000000001`00
00000`3oool000000000000C000000060?ooo`00000000000?ooo`000000oooo1@0000001@3oool0
00000?ooo`000000oooo00<000005P3oool00`00?Ol0oooo0?ooo`0C0?ooo`002P3oool600000003
0?ooo`000000000000D0000000<0oooo001?o`00Col040000003003]o`H0000000@0oooo00000000
0000oooo1P000002003oQP80000000<0oooo0000000000002`0000001@00o``00000000000000000
oooo00L0000000<0oooo0000000000001`0000000`3oool0000000000002000000030?ooo`000000
000000<000000P3oool9000000040?ooo`000000000000000080oooo2@000000103oool000000000
000000030?ooo`80000000P0oooo000000000000oooo0000003oool000000?ooo`<000000P3oool3
000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P0000000`3oool0000000000003
0?ooo`060000003oool000000000003oool000000P3oool01@000000oooo0000003oool0000000@0
oooo00<000000?ooo`3oool00P0000060?ooo`040000003oool0oooo000000L0oooo0P00000:0?oo
o`030000003oool0oooo01l0oooo0P00000;0?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0=0?ooo`<000005@3oool8000000P0oooo00<000000?oo
o`3oool0703oool;000000@0oooo1P0000030?ooo`L000001P3oool7000000D0oooo200000090?oo
o`/00000403oool:000000P0oooo100000030?ooo`@000002P3oool5000000040?ooo`0000000000
00000080oooo0P0000060?ooo`H000000P3oool2000000@0oooo1@0000000`3oool000000?ooo`03
0?ooo`H000000P3oool2000000030?ooo`000000000000<0000000<0oooo0000000000000`000002
0?ooob80000000<0oooo000000000000800000000`3oool0000000000005000000050?ooo`000000
oooo0000003oool01000000[0?ooo`002P3oool>000000030?ooo`00000004oo010000000`00kOl6
000000040?ooo`00000000000?ooo`D000000`00ohH9000000030?ooo`00000000000080000000<0
oooo00000000o``00`0000000`3oool000000000000500000080oooo100000001@1Oo`0000000000
00000000oooo00@0000000<0oooo0000000000000`0000020?ooo`040000003oool000000?ooo`D0
000000@0oooo00000000000000000P3oool3000000040?ooo`00000000000?ooo`80000000<0oooo
0000000000000P0000020?ooo`040000003oool000000?ooo`80000000@0oooo000000000000oooo
10000000103oool000000000003oool300000080oooo00<000000?ooo`3oool0100000001@3oool0
00000?ooo`3oool000000080oooo0P0000002@3oool000000?ooo`3oool000000?ooo`000000oooo
000000030?ooo`030000003oool0oooo008000001`3oool010000000oooo0?ooo`0000060?ooo`<0
00002P3oool00`000000oooo0?ooo`0L0?ooo`040?l<003oool0oooo000000`0oooo00<000000?lF
003oool02`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool06P3oool2000000H0oooo00<000000?ooo`3oool04@3oool@000000@0oooo1P0000060?oo
o`<000002P3oool3000000T0oooo0`0000090?ooo`P00000103ooolN000000<0oooo1@0000070?oo
o`8000001@3oool3000000X0oooo1`0000030?ooo`030000003oool0oooo00@0oooo1P0000030?oo
o`8000000`3oool2000000050?ooo`00000000000?ooo`000000103oool4000000030?ooo`000000
oooo00<0000000<0oooo0000000000000P0000020?ooo`D0000000D0oooo00000000000000000?oo
o`0<000000030?ooo`000000000000D0000000<0oooo0000000000000P0000000`3oool000000000
000B000000030?ooo`000000000000l0000000<0oooo0000000000001P000000103oool000000000
003oool5000002/0oooo000:0?ooo`h0000000<0oooo00000000Col04@0000000`3oool00>go0000
0005000000040?ooo`00000000000?ooo`D000000P00ohH00`0000000?n600000007000000030?oo
o`00000000000080000000@0oooo00000000o``00?l<0P0000000`3oool000000000000600000003
0?ooo`00000000000080000000D0Gol000000000000000000?ooo`04000000030?ooo`0000000000
00@0000000D0oooo000000000000^ol00?ooo`04000000030?ooo`0000000000008000000P3oool3
000000040?ooo`00000000000?ooo`8000000P3oool3000000<0oooo0P000000103oool000000000
003oool200000080oooo0`0000020?ooo`030000003oool0000000<0000000P0oooo0000003oool0
oooo0000003oool000000?ooo`8000000P3oool00`000000oooo0?ooo`02000000090?ooo`000000
oooo0?ooo`000000oooo0000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000060?oo
o`040000003oool0oooo000000L0oooo0P00000;0?ooo`030000003oool0oooo00P0oooo0P000000
0`3oool0o`<00?ooo`070?ooo`8000000P3oool0103o3000oooo0?ooo`3o30040?ooo`030000003o
ool0oooo00L0oooo00<0oaH00?ooo`3o5P002`3oool01@000000oooo0000003oool0oad000L0oooo
00<000000?ooo`3oool00P3oool2000000<0oooo00<0ob@00?ooo`0000002P3oool3000000T0oooo
0`0000090?ooo`<000002@3ooolO000000@0oooo1@0000070?ooo`D000001`3oool6000000H0oooo
1P0000050?ooo`L000001@3oool7000000D0oooo7@0000040?ooo`D00000103oool4000000030?oo
o`000000000000X0oooo00<000000?ooo`3oool01`0000020?ooo`8000001P3oool5000000<0oooo
0P0000030?ooo`D0000000<0oooo0000003oool00P3oool5000000030?ooo`000000oooo00800000
0P3oool6000000030?ooo`00000000000080000000<0oooo0000000000002`0000000`3oool00000
0000000B000000030?ooo`000000000001d0000000@0oooo000000000000oooo1P0000020?ooo`04
0000003oool000000?ooo`<00000:`3oool000T0oooo3`0000000`3oool00000001?o`0A00000003
0?ooo`00kOl0000000h0000000@00?n600000000ohH00?n6200000000`3oool00000000000040000
00800?l<0P0000001@3oool00000000000000000oooo00@0000000D0oooo000000000000oooo0000
000205oo0080000000D0oooo00000000000000000?ooo`0700000080oooo00<000000;_o00000000
100000000`3oool000000?ooo`0200000080oooo1@000000103om@00oooo0000000000020?ooo`03
0000003oool0000000<0oooo0P000000103oool000000000003oool200000080oooo0`0000020?oo
o`040000003oool000000?ooo`8000000P3oool00`000000oooo0?ooo`02000000040?ooo`000000
oooo00000080oooo00D000000?ooo`000000oooo000000030?ooo`050000003oool000000?ooo`00
00001`3oool2000000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?ooo`<0
000000D0oooo0?l3003oool0oooo0?l300070?ooo`070000003oool0oooo0?ooo`3o3000oooo0?l<
00050?ooo`030000003oool0oooo00L0oooo0P3o5P000`000000oooo0?ooo`090?ooo`050000003o
ool000000?ooo`3o7@001`3oool00`000000oooo0?ooo`030?ooo`060000003oool0oooo0?ooo`3o
9000oooo0P0000090?ooo`@0000000<0ob/00?ooo`3oool01`3oool3000000T0oooo7@00001=0?oo
o`H000005`3ooolF000000@0oooo1@0000090?ooo`8000000P3oool00`3oY@000000000000040000
00030?ooo`000000000000H0oooo0`0000000`3oa@0000000?ooo`020?ooo`8000000`3oool50000
00030?ooo`000000oooo0080oooo1P0000020?ooo`8000000P3oool6000000040?ooo`0000000000
00000080oooo3`0000000`3oool0000000000005000000030?ooo`00000000000080000000<0oooo
0000000000004P0000001@3oool00000000000000000oooo00@0000000<0oooo0000000000001`00
00000`3oool0000000000005000000050?ooo`000000oooo0000003oool00`00000[0?ooo`002@3o
ool?000000040?ooo`0000000000001?oa00000000<0oooo003]o`000000400000000`00ohH00000
00000005000000030?ooo`000000000000H000000`00o``5000000030?ooo`000000000000800000
00<0oooo0000000000000P00000205oo00H0000000<0oooo0000000000001@0000020?ooo`030000
002ko`00^ol000H0000000<0oooo0000000000000P3oool00`000000oooo00000002000000040?oe
00000000000000000080oooo00<000000?ooo`0000000`3oool200000080oooo0P000000103o/`00
00000000003oool4000000040?ooo`000000oooo0?ooo`<000000P3oool01@000000oooo0?ml0000
0000oooo0080000000D0oooo0000003oool0oooo000000020?ooo`800000103oool01@000000oooo
0000003oool0000000L0oooo0P0000090?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool05@3oool00`3o0`00oooo0?l300080?ooo`070000003oool0oooo0?ooo`3o3000oooo0?l<0005
0?ooo`800000203oool0103o5P00oooo0?lF0000000;0?ooo`040000003o7@0000000?lM00P0oooo
0P0000040?ooo`050000003o9000ob@00?ooo`3o90000P3oool00`000000oooo0?ooo`090?ooo`80
000000<0ob/00000000000000P0000070?ooo`D0000000<0oc800000000000002P3oool00`000000
oooo0?ooo`0E0?ooo`@00000=P3oool2000000030?ooo`000000000000X0000000<0oooo00000000
00003`0000000`3oM000000000000004000000/0oooo0P3oO`0;00000080oooo10000000103oS`00
oooo0?ooo`3oool4000000P0oooo0P0000001@3oool0ojD0000000000000oooo00<0000000@0oooo
00000000000000001@3oool3000000030?o500000000oooo0080oooo0P0000040?ooo`@0000000D0
oooo0000003oool0oo400?ooo`0600000080oooo0P0000000`3oool0000000000003000000030?oo
o`3Eo`00000000<0000000D0oooo00000000000000000?ooo`06000000030?ooo`000000000001D0
000000<0oooo000000000000300000000`3oool000000000000H000000030?ooo`000000000000H0
0000:P3oool000T0oooo3`000000103oool0000000000000ColA00000003003]o`000000oooo00X0
000000<0oooo0000000000000P0000000`00ohH000000?ooo`0>000000800?l<1P0000000`3oool0
000000000002000000030?ooo`0000000000008000000`1Oo`0=00000080oooo00<000000;_o002k
o`001P000000103oool000000000000000020?ooo`<0000000D0oooo0?oe003om@00oooo00000002
0?ooo`D0000000D0oooo00000000000000000?ooo`0200000080ok<000<000000?ooo`0000000`00
00020?ooo`030000003oool0000000<0000000D0oooo0000003oool0og`00?ooo`03000000030?oo
o`000000oooo0080oooo00@000000?ooo`0000000000103oool00`3oD000oooo0?ooo`02000000L0
oooo0P0000040?ooo`030?l]003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0D0?ooo`<0o`<02@3oool00`000000oooo0?ooo`020?ooo`80o``01P3oool00`000000
oooo0?ooo`070?ooo`80oaH00P00000;0?ooo`040000003o7@00oad00?lM00T0oooo00<000000?oo
o`3oool0103oool30?lT0080oooo0`0000080?ooo`D0ob/00P00000=0?ooo`80oc803`0000030?ll
00l000000`3oAP0?0?ooo`<0oe00403oool20?mI00`0oooo100000030?mS00@000001@3oool60000
00<0of`04@3oool20?md0140oooo0P3oO`060?ooo`X000000P3oS`030?ooo`D000001P3oool20?nU
00030?ooo`3oY@00oooo00H0000000@0oooo0000000000000000103oool00`3oa@0000000?o50002
000000<0oooo0P0000040?ooo`@0000000D0oooo0?oa003oool0oo400?ooo`02000000040?ooo`00
0000000000000080oooo0P0000001`3oool00000000000000000eOl00000003Eo`001@0000000`3o
ool0000000000009000000030?ooo`2=o`00000000T0000000<0oooo0000000000000`0000000`3o
ool000000000000L000000030?ooo`00000000000080000000@0oooo000000000000oooo1P000000
1P3oool000000000003oool000000?ooo`<00000:P3oool000T0oooo00<0H03o0000000000003`00
00000`00Col000000000000?00000003003]o`000000oooo00X0000000<0oooo0000000000000P00
00000`00ohH000000000000?00000005003o3000000000000000003oool01`0000000`3oool00000
0000000200000080Gol0200000000`3oool0000000000004000000030?ooo`000000^ol00080^ol0
100000000`3oool000000000000200000080oooo0`000000103oool0ooD00?oe003oool200000080
oooo100000020?ooo`80000000<0oooo0000000000000P3o/`000`000000oooo0000000300000080
oooo00T000000?ooo`3oool000000?ooo`000000oooo0000003oool00P3oO002000000040?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool00P0000030?ooo`80oe0000@0oooo0000003oool0
00001`3oool2000000<0oooo0P3o;@040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00`3o4`0@0?ooo`030?l3003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`3o3000
oooo0?ooo`040?ooo`8000002@3oool0103o5P00oooo00000000000;0?ooo`040000003oool0oad0
0?lM00T0oooo0P0000050?ooo`030000003o9000ob@000@0oooo0`0000080?ooo`<0ob/000<0oooo
0000000000000`0000060?ooo`H0oc80203oool00`000000oooo0?ooo`050?ooo`<0oc`03`3oool3
0?m600l0oooo0`3oD00?0?ooo`<0oeT00`3oool=000000<0of<01P0000090?ooo`<0of`03`000003
0?md00d000001P3oO`060?ooo`H000001P3oS`0200000080oooo100000060?ooo`<0ojD000<0oooo
0000000000001P0000000`3oool000000?ooo`030?ooo`<0olD00`0000030?ooo`030000003oool0
oooo0080oooo100000000`3oool0oo400?oa00020?ooo`80000000@0oooo00000000000000000P3o
ool2000000040?ooo`0000000000000000<0eOl000D0oooo00000000000000000?ooo`0300000003
0?ooo`000000000000@000000`2=o`0@0000000303Oo00000000=ol00080000000<0oooo00000000
00002P0000000`00obl000000?ooo`03000000030?ooo`00000000000080000000<0oooo00000000
00001@0000000`00ojH000000?ooo`07000000050?ooo`000000oooo0000003oool00`0000000`00
dOl0oooo0?ooo`0?0?ooo`03000fo`3oool0oooo01D0oooo00090?oooaX0000000<0oooo00000000
00001`0000000`3oool0000000000005000000060?ooo`00000000000?ooo`000000oooo10000000
0`3oool0000000000008000000030?ooo`00000000000080000000<0oooo0000000000000`000000
0`3oool000000000000500000080oooo100000001@3oool00000000000000000oooo00/000000P3o
ool00`2ko`0000000?ooo`0900000080oooo00L000000?ooo`00000000000?oe00000000ooD00080
00000P3oool01P000000oooo0000003oool000000?ooo`8000000P3oool01P000000ok<00?ooo`3o
/`0000000?ooo`<000000P3oool00`000000oooo0?ooo`0300000080oooo00D000000?ml003oO000
00000?ooo`02000000030?ooo`000000oooo0080oooo00@000000?ooo`00000000000`3oool20?m@
0080oooo0P0000070?ooo`800000103oool30?l]00<0oooo00<000000?ooo`3oool01P3oool01@00
0000oooo0?ooo`3o4`00oooo00<0oa<06P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool2000000030?ooo`000000oooo00T0oooo00<00000
0?ooo`3oool0103oool2000000H0oooo00<000000?ooo`3oool03P3oool5000000l0oooo00<00000
0?ooo`3oool00P3oool30?ll00l0oooo0`3oAP0@0?ooo`<0oe003`3oool30?mI00/000000P3oool2
000000<0of<00P0000040?ooo`T000000`3oK00?0?ooo`<0og@0403oool5000000/0oooo1`000002
0?ooo`@0000000<0oooo0000000000000P0000060?ooo`80ojD00P3oool9000000D0oooo0P3oa@03
000000<0oooo00<000000?ooo`3oool00P3oool4000000030?ooo`3ol@00oo400080oooo0P000000
0`3oool00000000000020?ooo`030000003oool0000000@000000P3Eo`000`000000oooo00000002
000000030?ooo`000000000000P000000P2=o`000`000000oooo00000008000000040?ooo`000000
000000000080=ol000<0000003Oo000000003P0000000`00obl00000003o;`0@00000003003oYP00
0000000000L0000000D0oooo0000003oool000000?ooo`0300000003003Ao`3oool0oooo00l0oooo
00<003Ko0?ooo`3oool05@3oool000T0oooo200000000`3oool0000000000005000000030?ooo`00
000000000140000000<0oooo0000000000001@000000103oool000000000003ooolA000000030?oo
o`00000000000080000000<0oooo0000000000000`0000000`3oool0000000000006000000030?oo
o`00000000000080000000D0oooo00000000000000000?ooo`03000000030?ooo`000000000000D0
00000P3oool2000000030?ooo`000000oooo00@0000000<0oooo0000000000000P3oool01`000000
oooo000000000000ooD00000003oool00P0000020?ooo`0@0000003oool000000?ooo`000000oooo
0000003oool000000?ooo`000000ok<00?ooo`000000ok<00?ooo`<000000`3oool00`000000oooo
00000003000000050?ooo`000000og`00?ooo`3oO0000`0000020?ooo`040000003oool0oooo0000
0080oooo0P0000030?ooo`80oe0000<0oooo000000000000203oool2000000<0oooo00@0obd00000
003oool0obd00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oa<0703oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0:0?ooo`8000003@3oool300000180oooo1`0000080?ooo`030000003oool0
oooo03H0oooo2P0000020?ooo`L00000103oool7000000/0oooo8@0000070?ooo`<000003@3oool5
000000030?ooo`0000000000008000000P3oool3000000H0oooo0P0000000`3oool0000000000003
000000040?ooo`0000000000000000H0oooo100000030?ooo`030000003oool0oooo0080oooo1000
00000`3oool000000?oa00020?ooo`80000000<0oooo0000000000000P3oool2000000030?ooo`00
00000000008000000P3Eo`05000000030?ooo`000000000000L000000`2=o`0?000000<0=ol03`00
0003003o;`030?ooo`000000000000h0000000<00?nV0000003oool01P000000103oool000000000
003oool400000003003Ao`3oool0oooo0100oooo00<003Ko0?ooo`3oool0503oool000T0oooo00<0
00000?ooo`0000001@0000000`3oool0000000000005000000030?ooo`00000000000140000000<0
oooo0000000000001@0000000`3oool000000000000@000000030?ooo`000000oooo00@0000000<0
oooo0000000000001`0000000`3oool0000000000002000000030?ooo`0000000000018000000P3o
ool9000000070?ooo`00000000000000003oool000000?ooo`02000000050?ooo`00000000000?oo
o`0000000P3oool500000080oooo0P000000103oool000000?nc003oool200000080oooo0`000002
0?ooo`040000003oool000000?ooo`8000000P3oool00`3oO000oooo0?ooo`02000000040?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool00P0000030?ooo`040?m@00000000oe000?ooo`80
00001`3oool00`000000oooo000000030?ooo`030?l]00000000oooo00@0oooo00<000000?ooo`3o
ool01P3oool01@000000oooo0?ooo`3oool0oa<001/0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0:0?ooo`800000303oool00`000000oooo0?ooo`0<0?ooo`8000003P3oool30000
01H0oooo4@00000Z0?ooo`T000001@3oool4000000L0oooo1000000:0?ooo`P000008@3oool60000
01<0oooo1@0000000`3oool000000000000200000080oooo0`0000060?ooo`80000000<0oooo0000
000000001`0000050?ooo`@000000`3oool01P000000oooo0?ooo`3oool000000?ooo`<0000000@0
oooo0000003oool0oooo0`0000000`3oool00000000000020?ooo`80000000<0oooo000000000000
0P0000000`3Eo`00oooo00000003000000050?ooo`00000000000000003oool010000000103oool0
000008go002=o`0;000000040?ooo`0000000000000000<0=ol00`0000000`3oool000000000000:
000000800?l_00<0oooo0000000000001P0000000`3oool000000000000300000005003oYP000000
0?nV003oYP3oool01`0000001@3oool000000?ooo`000000oooo00<0000000<00=7o0?ooo`3oool0
3`3oool00`00=_l0oooo0?ooo`0D0?ooo`002@3oool8000000030?ooo`000000000000D0000000<0
oooo0000000000004@0000020?ooo`@0000000<0oooo0000000000002P0000000`3oool000000?oo
o`05000000030?ooo`000000000000d0000000<0oooo0000000000000`0000000`3oool000000000
000<000000030?ooo`000000000000@0000000<0oooo0000000000002`0000020?ooo`<0000000@0
oooo000000000000oooo0P0000020?ooo`040000003oool0000000000080oooo0P0000000`3oool0
0000000000020?ooo`H000000`3oool00`000000oooo00000003000000060?ooo`000000oooo0?oo
o`000000oooo0P0000020?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`070?m@003o
ool000000?ooo`000000oooo000000070?ooo`8000000`3oool00`3o;@0000000?ooo`050?ooo`03
0000003oool0oooo00D0oooo0P00000N0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0;0?ooo`8000003P3oool2000000l0oooo0`00000K0?ooo`03
0000003oool0oooo02X0oooo300000020?ooo`H00000103oool7000000L0oooo1`0000060?ooob80
00001`3oool500000140oooo2@0000020?ooo`<000001P3oool7000000040?ooo`00000000000000
00D0oooo100000030?ooo`8000000P3oool400000080oooo00<000000?ooo`3oool00`0000000`3o
ool00000000000020?ooo`L0000000<0oooo0000003oool00`0000000`3oool00000000000080000
000308go00000000000000h000000P0go`0@000000<00?l_3`000003003oYPP0000000D0oooo0000
003oool000000?ooo`03000000800=7o403oool00`00=_l0oooo0?ooo`0D0?ooo`002P3oool?0000
00030?ooo`00000000000180000000<0oooo0000000000002P0000000`3oool00000000000020000
00030?ooo`000000oooo01/0000000<0oooo0000000000000`0000000`3oool00000000000060000
00030?ooo`000000000000@000000P3oool2000000030?ooo`000000000000L000000P3oool01`00
0000oooo000000000000oooo0000003oool00P0000020?ooo`060000003oool000000?ooo`000000
oooo0P0000020?ooo`80000000<0oooo000000000000100000030?ooo`030000003oool0000000<0
000000<0oooo0000003oool00P3oool2000000040?ooo`000000oooo00000080oooo00<000000?oo
o`3oool00P0000040?ooo`030000003oool0oooo00<000001`3oool2000000@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0;0?ooo`8000003@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo00l0oooo1000000G0?ooo`030000003oool0oooo02<0oooo3@0000000`3o
ool0000000000005000000<0oooo1`0000060?ooo`P000001@3oool8000000l0oooo2@00000:0?oo
o`X000000P3oool5000000h0oooo2@0000020?ooo`<000001P3oool4000000030?ooo`0000000000
00<000001P3oool400000080oooo0P0000020?ooo`@000000P3oool00`000000oooo0?ooo`030000
00040?ooo`00000000000?ooo`H0000000<0oooo0000003oool01@0000000`3oool000000000000D
000000030?ooo`00000000000080000000<0=ol00000000000000P0000000`3oool000000000000:
000000800?l_00<0oooo00000000000030000003003oYP030000003oool0000000D0000000@0oooo
000000000000oooo0`000003003Aoa00oooo00<003Ko0?ooo`3oool0503oool000X0oooo3`000000
0`3oool000000000000B000000030?ooo`000000000000X0000000<0oooo0000000000000P000000
0`3oool0000000000008000000030?ooo`000000000000P0000000<0oooo0000000000001@000002
0?ooo`@0000000D0oooo00000000000000000?ooo`03000000030?ooo`000000000000D000000P3o
ool2000000040?ooo`00000000000?ooo`<0000000<0oooo0000000000000P3oool01`000000oooo
000000000000oooo0000003oool00P0000020?ooo`D0000000D0oooo00000000000000000?ooo`02
000000040?ooo`00000000000?ooo`<000000`3oool010000000oooo0000003oool3000000060?oo
o`000000oooo0?ooo`000000oooo0P000000103oool000000?ooo`3oool200000080oooo0P000004
0?ooo`050000003oool000000?ooo`0000001`3oool00`000000oooo000000040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01`3oool2000000030?ooo`000000000001P0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool03@3oool2000001<0oooo1000000C0?ooo`030000003oool0oooo01`0oooo3P00
00000`3oool0000000000004000000<0oooo1`0000060?ooo`L000001P3oool7000000T0oooo3P00
00090?ooo``00000203oool500000080oooo1@00000<0?ooo`P000000P3oool3000000H0oooo00<0
00000?ooo`0000000`000000103oool000000000000000050?ooo`@000000P3oool200000080oooo
100000020?ooo`030000003oool0oooo00@0000000D0oooo0000003oool000000?ooo`0600000005
0?ooo`00000000000000003oool0100000000`3oool000000000000X00000003003o;`3oool00000
00h000000P00ojH00`000000oooo00000008000000040?ooo`000000oooo000000<00=7o4@3oool2
000foa@0oooo00090?oooa00000000<004co0000000000001P0000000`3oool000000?ooo`090000
00030?ooo`000000000000D0000000<0oooo0000000000000P0000000`3oool00000000000020000
00030?ooo`000000000000P0000000<0oooo0000000000000P0000000`3oool00000000000030000
00030?ooo`000000000000D000000P3oool2000000030?ooo`000000000000<0000000<0oooo0000
000000002@0000020?ooo`D0000000@0oooo000000000000oooo100000000`3oool000000?ooo`02
000000050?ooo`00000000000?ooo`0000000P3oool500000080oooo0P0000000`3oool000000000
00020?ooo`H000000`3oool2000000060?ooo`00000000000000003oool000000`3oool200000004
0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00P0000040?ooo`040000003oool00000
0?ooo`8000001`3oool2000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`07
0?ooo`<0000000@0oooo00000000000000009@3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool03P3oool2000001D0oooo1@00000>0?ooo`030000003o
ool0oooo0180oooo6@0000030?ooo`H000001P3oool7000000D0oooo200000040?ooo``00000103o
oolJ000000D0oooo1@0000080?ooo`@000000`3oool4000000X0oooo200000030?ooo`030000003o
ool0oooo00@0oooo0P0000000`3oool0000000000005000000D0oooo100000020?ooo`8000000P3o
ool400000080oooo00<000000?ooo`3oool01P0000000`3oool000000?ooo`05000000030?ooo`00
0000oooo00<0000000<0oooo000000000000500000000`3oool0000000000007000000030?ooo`00
0000000000`0000000<0oooo0000000000003@0000000`00ojH0000000000007000000050?ooo`00
0000oooo0000003oool00P000002003Ao`l0oooo00@003Ko0?ooo`00=_l003Ko503oool000T0oooo
400000000`00C?l0000000000006000000030?ooo`000000000000T0000000<0oooo000000000000
1@000000103oool000000000003oool?000000030?ooo`000000oooo00@0000000<0oooo00000000
0000300000000`3oool000000000000<000000030?ooo`000000oooo00@0000000<0oooo00000000
00002`0000020?ooo`H0000000<0oooo0000000000000P3oool3000000030?ooo`000000oooo0080
00000P3oool2000000030?ooo`000000000000@000000`3oool010000000oooo0000003oool30000
00060?ooo`000000oooo0?ooo`000000oooo0P000000103oool000000?ooo`3oool200000080oooo
0P0000040?ooo`050000003oool000000?ooo`000000203oool2000000D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`080?ooo`8000000P3oool:000000X0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool01P3oool2000000030?ooo`000000oooo00X0oooo0P00000:0?ooo`030000003oool0oooo00@0
oooo0P0000020?ooo`<000002@3oool3000000L0oooo1`0000070?oooaH0000000<0oooo00000000
00003`0000070?ooo`8000002P3oool2000000X0oooo0P0000090?ooo`<000002@3oool7000000D0
oooo9P0000050?ooo`8000000P3oool2000000030?ooo`000000000000L0oooo2P0000020?ooo`<0
00001P3oool00`000000oooo00000003000000040?ooo`0000000000000000@0oooo100000020?oo
o`8000000P3oool4000000030?ooo`00000000000080oooo00<000000?ooo`0000000`0000000`3o
ool0000000000003000000030?ooo`000000oooo00D0000000<0oooo0000000000001@0000000`3o
ool000000000000T000000050?ooo`00000000000000003oool0300000000`3oool000000?ooo`06
000000040?ooo`00000000000?ooo`<000000P00dOl@0?ooo`<003Ko503oool000T0oooo40000002
001<oa00000000@00>Wo000000000000oooo1`0000000`3oool000000000000@000000030?ooo`00
0000000000@0000000<0oooo0000000000001P0000000`3oool0000000000003000000030?ooo`00
0000000000`0000000<0oooo000000000000100000020?ooo`80000000<0oooo0000000000000`00
0000103oool000000000000000020?ooo`070000003oool000000000003oool000000?ooo`020000
0080oooo1@0000001@3oool000000?ooo`000000oooo0080000000@0oooo000000000000oooo1000
00030?ooo`80000000@0oooo00000000000000001@3oool2000000040?ooo`000000oooo00000080
oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool0oooo00800000203oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P0000080?ooo`040000003oool000000000
00/0oooo0`0000090?ooo`8000001P3oool300000080oooo00<000000?ooo`3oool02@3oool50000
00T0oooo7`00001Z0?oooa8000000`3oool3000000040?ooo`00000000000?ooo`8000001`3oool7
000000040?ooo`00000000000?ooo`<000001P3oool00`000000oooo00000005000000030?ooo`00
0000oooo00<0oooo100000020?ooo`8000000P3oool4000000030?ooo`00000000000080oooo00<0
00000?ooo`0000002@0000000`3oool000000?ooo`03000000030?ooo`00000000000080000000<0
oooo000000000000400000000`3oool0000000000007000000030?ooo`000000oooo00`0000000<0
oooo0000000000003`0000000`3oool000000?ooo`07000000030?ooo`00000000000080000000<0
0=7o0?ooo`3oool03P3oool3000foa@0oooo00090?ooo`80000000<0oooo0000000000002P000000
0`00C?l00000001<o`0@00000004003Yo`00000000000?ooo`h0000000<00?n:0000000000000`00
00000`3oool000000000000I000000030?ooo`000000000000<0000000D0oooo0000000000000000
0?ooo`04000000030?ooo`000000000000@000000P3oool2000000040?ooo`00000000000?ooo`80
00000P3oool200000080oooo00D000000?ooo`00000000000?ooo`0400000080oooo1@0000020?oo
o`8000000P3oool00`000000oooo0?ooo`06000000<0oooo00@000000?ooo`000000oooo0`000004
0?ooo`060000003oool000000000003oool000000P3oool010000000oooo0?ooo`3oool2000000@0
oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool08`3oool2000000`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00L0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0000000:
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`00000=0?ooo`D000002`3oool0
0`000000oooo0?ooo`1J0?ooo`X000001P3oool;000000l0oooo1P0000000`3oool0000000000008
00000080oooo1P0000090?ooo`T000000P3oool3000000D0oooo00<000000?ooo`3oool00P000000
1@3oool000000000003oool0000000@0oooo100000020?ooo`8000000P3oool4000000040?ooo`00
000000000?ooo`80000000<0oooo0000000000000`0000000`3oool0000000000004000000030?oo
o`00000000000080000000<0oooo000000000000;00000000`3oool0000000000008000000030?oo
o`000000000000`0000000D0oooo0000003oool000000?ooo`0300000140oooo0P00=_lD0?ooo`00
2@3oool9000000030?ooo`000000000000<0000000@004co00000000C?l004co3`000002003Yo`l0
000000<0oooo003oRP00ohX00P0000000`3oool000000?ooo`08000000030?ooo`000000000000P0
000000<0oooo0000000000001@0000020?ooo`P0000000<0oooo0000000000001@000000103oool0
00000000000000020?ooo`D0000000<0oooo0000000000000P3oool300000080oooo1P0000001P3o
ool000000000003oool000000?ooo`<000000P3oool200000080oooo0P000000203oool000000000
00000000oooo0000003oool000000P3oool010000000oooo0000003oool3000000D0oooo00H00000
0?ooo`00000000000?ooo`0000020?ooo`030000003oool0oooo008000001@3oool010000000oooo
0?ooo`3oool2000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00L0oooo00@000000?ooo`3oool00000303oool00`000000oooo0000000:0?oo
o`8000001`3oool2000000<0oooo0`00000?0?ooo`L00000103oool00`000000oooo0?ooo`0B0?oo
o`@00000=03oool600000080oooo200000020?ooo`h000002`3oool300000140oooo400000000`3o
ool0000000000004000000P0oooo2@0000020?ooo`8000001@3oool00`000000oooo0?ooo`050000
00030?ooo`000000oooo00<0oooo100000020?ooo`040000003oool0oooo0?ooo`@0000000@0oooo
000000000000oooo0P0000001@3oool000000?ooo`000000oooo0080000000H0oooo000000000000
oooo0000003oool8000000030?ooo`000000000001`0000000<0oooo0000000000002@0000000`3o
ool000000000000>000000030?ooo`000000000000H0000000<0oooo0000003oool01P00000A0?oo
o`03000fo`3oool0oooo0180oooo00090?ooo`T0000000<0oooo0000000000000`0000000`00C?l0
0000001<o`0@000000800>Wo0P0000000`3oool000000000000:000000030?ooo`00ohX00?n:0080
000000<0oooo000000000000200000001@3oool000000000000000000?l@00H0000000<0oooo0000
000000001P000000103oool000000000003oool;000000030?ooo`000000oooo00@000000P3oool8
000000040?ooo`000000000000000080oooo100000000`3oool000000?ooo`0200000080oooo1@00
00000`3oool00000000000020?ooo`8000000P3oool00`000000oooo00000003000000<0oooo00@0
00000?ooo`000000oooo0P0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`00
00000`3oool2000000D0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
00@0oooo0P00000R0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`070?ooo`040000003oool0oooo000000`0oooo0`00000;0?ooo`030000003oool0
oooo00H0oooo0P0000040?ooo`<000004`3ooolI000003D0oooo2`0000020?ooo`P00000203ooolG
000001<0oooo200000020?ooo`@0000000@0oooo000000000000oooo0P0000080?ooo`T000000P3o
ool2000000@0oooo0P0000000`3oool0000000000005000000@0oooo100000020?ooo`040000003o
ool0oooo0?ooo`H000000P3oool6000000030?ooo`000000000000<0000000<0oooo0000003oool0
200000000`3oool000000000000D000000030?ooo`00000000000140000000<0oooo000000000000
3`0000000`3oool000000?ooo`04000000040?ooo`00000000000?ooo`D000009P3oool000T0oooo
4@0000000`00C?l0000000000008000000030?ooo`000000000000<000000`00jOl00`000000oooo
00000006000000030?ooo`00000000000080000000@0oooo003oRP00ohX00?n:2P0000000`3oool0
00000?ooo`0300000003003o403oool0000000L0000000<0oooo0000000000000`0000000`3oool0
000005[o0007000000030?ooo`00000000000080000000<0oooo000000000000100000020?ooo`80
000000@0oooo000000000000oooo0P0000020?ooo`8000000P3oool01@000000oooo000000000000
oooo00@000000P3oool500000080oooo0P0000020?ooo`80000000P0oooo00000000000000000?oo
o`000000oooo00000080oooo00@000000?ooo`000000oooo0`0000050?ooo`030000003oool00000
0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000050?ooo`030000003oool0
oooo00800000203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01d0oooo0P00000?
0?ooo`030000003oool0oooo00P0oooo00<0oa800?ooo`3o4P002P3oool010000000oooo00000000
000=0?ooo`8000002`3oool3000000h0oooo1000000C0?ooo`030000003oool0oooo0400oooo2P00
00020?ooo`P00000103oool<000001L0oooo2@00000?0?ooo`L0000000D0oooo0000000000000000
0?ooo`05000000P0oooo2@0000000`3oool00000000000050?ooo`030000003oool0000000H00000
103oool400000080oooo00@000000?ooo`3oool0oooo1P0000020?ooo`030000003oool0000000/0
000000<0oooo0000000000000P0000000`3oool000000000000O000000030?ooo`000000000000T0
000000D0oooo00000000000000000?ooo`06000000030?ooo`000000000000`0000000D0oooo0000
003oool000000?ooo`03000002H0oooo00090?oooa40000000<004co0000000000001P0000000`3o
ool0000000000005000000800>Wo0P0000000`3oool0000000000005000000030?ooo`0000000000
00<000000`00ohX:000000030?ooo`000000000000<000000P00oa0>000000030?ooo`000000F_l0
00<0000000D0oooo00000000000000000?ooo`02000000030?ooo`000000oooo0080000000@0oooo
0000002fo`0000000P3oool2000000030?ooo`000000000000<000000P3oool300000080oooo1P00
0000103oool000000000003oool500000080oooo0P0000020?ooo`8000000P3oool00`000000oooo
00000003000000<0oooo00<000000?ooo`0000000`0000050?ooo`040000003oool0000000000080
oooo00<000000?ooo`0000000`3oool2000000D0oooo00@000000?ooo`3oool0oooo0P0000080?oo
o`030000003oool0oooo00D0oooo0P00000L0?ooo`8000002`3oool01@3o3`00oooo0?ooo`3oool0
000000/0oooo00<0oa800?ooo`3o4P002P3oool01@000000oooo0?ooo`000000oaP000`0oooo00<0
00000?ooo`0000000P3oool00`3o7@00oooo0?ooo`080?ooo`800000403oool5000000h0oooo00<0
00000?ooo`3oool0>@3oool:00000080oooo1`0000050?ooo`L00000303ooolG000000T0oooo1@00
000>0?ooo`D000000P3oool3000000030?ooo`000000000000800000203oool00`000000oooo0000
0009000000@0oooo00<000000?ooo`0000000P000000103oool000000000000000040?ooo`@00000
0P3oool010000000oooo0?ooo`3oool6000000060?ooo`00000000000?ooo`000000oooo0`000000
1@3oool00000000000000000oooo00X0000000<0oooo0000000000001P0000000`3oool000000000
000;000000030?ooo`00000000000100000000<0oooo0000000000003P0000000`3oool000000000
0006000000050?ooo`000000oooo0000003oool00`00000V0?ooo`002@3ooolA00000003001<o`00
0000000000H0000000<0oooo0000000000001P0000001000jOl0oooo0000003oool=000000800?n:
00H00000003oRP000000oooo0000003oool8000000030?ooo`000000000000800?l@1P0000000`3o
ool000000000000500000080oooo0P1Jo`06000000030?ooo`000000000000<0000000@0oooo0000
003oool000000P2fo`030?ooo`P0000000@0oooo00000000000000000P3oool01`3onP0000000000
00000000oooo0000003oool00P0000020?ooo`80000000<0oooo0000000000000P3oool00`000000
oooo0?ooo`03000000080?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`040000003o
ool000000?ooo`<000001@3oool00`000000oooo000000030?ooo`030000003oool0000000<0oooo
0P0000050?ooo`040000003oool0oooo0?ooo`800000203oool2000000H0oooo0`00000H0?ooo`03
0?lA00000000000000`0oooo00D0o`l00?ooo`3o3`00oooo0000000;0?ooo`040?lB003oool0oa80
000000`0oooo0P3o600=0?ooo`8000000`3oool00`3o7@00oooo0?ooo`090?ooo`050000003oool0
oooo0?ooo`3o9@00403oool5000000T0oooo00<000000?ooo`3oool0<P3oool:00000080oooo1`00
00040?ooo`P000001P3oool=000001L0oooo200000060?ooo`<000003P3oool400000080oooo0`00
00000`3oool0000000000003000000H0oooo0P0000000`3oool0000000000004000000030?ooo`00
0000000000@0oooo0P000000103oool000000000003oool3000000@0oooo100000020?ooo`040000
003oool0oooo0?ooo`H0000000P0oooo000000000000oooo0000003oool000000?ooo`80000000<0
oooo0000000000000P0000000`3oool0000000000002000000030?ooo`000000000002/0000000<0
oooo0000000000003`0000000`3oool000000?ooo`04000000040?ooo`00000000000?ooo`D00000
9@3oool000T0oooo0`0000000`3oool000000000000<00000003001<o`000000000000l0000000<0
0>Wo0000003oool03P0000001`00ohX00000000000000000oooo0000003oool0200000000`3oool0
000000000003003o40D0000000<0oooo0000000000001P000000103oool0F_l005[o003oool;0000
00040?ooo`000000000000000080]_l000<000000?ooo`3oool00P0000000`3oool0000000000003
00000080oooo0P0000020?ooo`030?oj003oool0000000@0000000@0oooo000000000000oooo1@00
00020?ooo`040?ni00000000oooo0?ooo`8000000P3oool00`000000oooo0000000300000080oooo
00<000000?ooo`3oool0100000060?ooo`<000000P3oool010000000oooo0?ooo`0000030?ooo`80
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool3000001D0oooo0P3o4@000`000000oooo0?ooo`0;0?ooo`030?l?003oool0o`l00080
oooo00<000000?ooo`3oool02P3oool00`3o4P00oooo0000000=0?ooo`80oaP03P3oool20?lM0003
0?ooo`3o7@00oooo00/0oooo0`0000000`3oool0obD00?ooo`0?0?ooo`040?l^003oool0oooo0?oo
o``00000;03oool900000080oooo1`0000040?ooo`L000001`3oool7000000/0oooo6P0000060?oo
o`80ohL01000000=0?ooo`030?nH003oool0oooo00D0oooo10000000203oool00000000000000000
oooo0000003o[`00oooo0P0000060?ooo`80000000<0oooo000000000000100000000`3oc`000000
000000040?ooo`050000003oool000000000003oool00`0000040?ooo`040?ok0000000000000000
0080oooo00<000000?ooo`3oool010000000103oool000000000003oool2000000050<_o00000000
00000000003oool02P0000000`3oool000000?ooo`0I000000030?ooo`00000000000100000000D0
oooo00000000000000000?ooo`06000000030?ooo`000000000000`0000000<0oooo0000003oool0
1@00000U0?ooo`002@3oool3000000030?ooo`000000000000`0000000<004co0000000000003`00
00000`00jOl000000000000?00000003003oRP00000000000080000000<0oooo0000000000001P00
00000`3oool0000000000002003o40H0000000D0oooo00000000000000000?ooo`04000000040?oo
o`1Jo`00F_l005[o0080000000D0oooo00000000000000000?ooo`04000000030?ooo`0000000000
008000000P2fo`020?ooo`80000000<0oooo0000000000000`0000020?ooo`<0000000<0oooo0?oj
003onP000`0000000`3oool000000?ooo`0200000080oooo0`0000000`3oool000000?ooo`020?ni
0080oooo0`000000203oool000000?ooo`000000oooo0000003oool000000P3oool010000000oh<0
0000003oool3000000D0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?mH00030?oo
o`8000001@3oool2000000<0oooo00<000000?ooo`3o=`00203oool00`000000oooo0?ooo`050?oo
o`<000004@3oool20?lA0100oooo0P3o3`030?ooo`030000003oool0oooo00X0oooo00<0oa800?oo
o`0000003P3oool00`3o600000000?ooo`0=0?ooo`040000003o7@00oad00?lM00d0oooo1@3o9@0?
0?ooo`80obh02P3oool01@000000oooo0?ooo`000000oooo00<0ocP03`3oool30?m300`0oooo0`00
00030?m?00H000000P3oool600000080oooo0P3oFP07000000H0oooo0`0000030?mU008000001@3o
ool8000000<0ofl00P00000>0?ooo`80ogX02P3oool800000080ohL00P3oool6000000P0oooo0P3o
V0070?ooo`@0000000P0oooo00000000000000000?ooo`3o[`0000000?ooo`8000001P3oool00`00
0000oooo0?ooo`05000000030?o?003oool0000000@0oooo00<000000?ooo`0000001@0000040?oo
o`040?ok00000000000000000080oooo00<000000?ooo`3oool0100000001P3oool000000000003o
ool000000<_o0180000000<0Q?l00000000000003@0000000`3oool0000000000004000000030?oo
o`00000000000180000000<0oooo0000000000001P0000000`3oool0000000000003000000030?oo
o`000000000000L0000000D0oooo0000003oool000000?ooo`03000002D0oooo00090?ooo`0306<0
o`000000000000L0000000<0oooo0000000000001@0000000`00C?l000000000000?00000006003Y
o`00000000000?ooo`000000oooo300000000`00ohX000000000000?00000003003o400000000000
00d0000000<0oooo05[o001Jo`000`0000001@3oool00000000000000000oooo0080000000L0oooo
0000003oool0oooo0000003oool0000000<0]_l00P3oool800000080oooo0P0000000`3oool0ooX0
0?oj0003000000030?ooo`000000oooo008000000P3oool5000000040?ooo`3o^@00okT000000080
oooo0P000000103oool000000000003oool400000080oooo00D000000?n3003oP`0000000?ooo`02
000000H0oooo00<000000?ooo`0000000`3oool00`000000oeP00?mH00030?ooo`8000001P3oool0
1@000000oooo0?ooo`3oool000000080ocL0203oool00`000000oooo0?ooo`050?ooo`<0oal00P00
000=0?ooo`H0oa403@3oool00`3o3`00oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00@0
oa800?ooo`3oool000003P3oool00`3o6000oooo0?ooo`0>0?ooo`030000003o7@00oad000l0oooo
0`3o9@0?0?ooo`<0obh0203oool00`000000oooo0?ooo`050?ooo`<0ocP03`3oool30?m300030?oo
o`000000000000`000000`3oC`05000000<0oooo1`0000030?mJ00<0oooo1`0000060?ooo`<0ofD0
100000050?ooo`H000000`3oK`0?000000<0ogX03@0000030?ooo`<0ohL00`0000030?ooo`D00000
00<0oooo0?nH003oV000103oV0070?ooo`@0000000<0oooo0?n_003o[`000`3o[`0010000000oooo
0000000000050?ooo`80000000<0oooo000000000000103oc`000`3oool00000000000030?ooo`H0
000000H0oooo000000000000oo/00?ooo`3on`04000000030?ooo`000000oooo0080oooo1@000000
0`3oool0bol00?ooo`020<_o00030000003oool0000000<0000000<0oooo0000000000000`000000
0`3oool000000000000308Co0100000000<0;_l00000000^o`001@0000000`3oool0000000000004
000000040?ooo`0000000000003o=`P0000000<0oooo0000000000001`0000000`00ojh000000000
0005000000030?ooo`000000oooo00@0000000@0oooo0000000000000<Wo1@00000<0?ooo`03000_
o`3oool0oooo01D0oooo00090?ooobL0000000<0oooo0000000000001@0000000`3oool000000000
000:000000030?ooo`000000000000<0000000<0oooo0000000000002`0000000`3oool000000000
000500000080oooo3P0000001`3oool00000000000000000]_l00?ooo`0000000P3oool200000003
0?ooo`000000000000<000000P3oool3000000030?oj00000000ooX000D0000000<0oooo00000000
00000P3oool3000000030?ooo`000000oooo0080okT00P3oool200000080oooo00L000000?ooo`00
0000oooo0000003oool000000080oooo00@0oh<00?ooo`3oP`00oh<00`0000060?ooo`<000000P3o
ool010000000oeP00?ooo`3oF0020?ooo`8000001`3oool01@000000oooo0?ooo`3oool0000000<0
ocL01`3oool2000000H0oooo00<0oal00?ooo`3o7`000P3o7`0300000200oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool04@3oool2000000X0oooo0`3o;P0;0?ooo`030000003oool0oooo0080oooo0`3o>00:0?ooo`D0
00000`3o@`0:000000030?ooo`000000000000D000000P3oC`030?ooo`H000001P3oool00`000000
oeX00?mJ0004000000D0oooo1@0000030?mU00@0oooo200000030?ooo`<0ofl03`0000030?mj00/0
00001@3oool30?n700800000103oool5000000<0oooo1000000=0?ooo`D000000`3o[`0200000003
0?ooo`000000oooo00D0oooo00<000000?ooo`0000000P0000030?o?00030000003oool0000000@0
oooo1@0000000`3oool00000000000030?ok00@0000000<0oooo0000003oool00P3oool600000004
0<_o003oool0bol00?ooo`<0000000<0oooo000000000000200000000`3oool0Q?l008Co000?0000
000402ko003oool0;_l002ko00@0000000<0oooo000000000000200000000`00ocL00000003o=`06
000000030?ooo`000000000000L0000000<00?n^0000000000003@0000000`3oool000000039o`05
000000`0oooo00<002oo0?ooo`3oool05@3oool000T0oooo6`0000000`3oool00000000000050000
00050?ooo`000000oooo0000003oool04P0000000`3oool000000?ooo`08000000030?ooo`000000
000000P0000000<0oooo0000000000001P000000103oool000000000003oool6000000030?ooo`00
000000000080000000<0oooo000000000000100000020?ooo`80000000<0oooo0000000000000`00
00020?ooo`<0000000<0ooX00?ooo`0000000`0000000`3oool000000?ooo`0200000080oooo1@00
0000103oool0okT00000003o^@020?ooo`80000000@0oooo000000000000oooo100000030?ooo`04
0?n3003oool000000?n300<000001@3oool010000000oooo0000000000020?ooo`040000003oF000
00000?mH0080oooo0P0000060?ooo`030000003oool0oooo0080oooo00@000000?lg003oool0ocL0
203oool00`000000oooo0?ooo`040?ooo`80oal00`3oool00`000000oooo0000000:000000X0oooo
00<000000?ooo`3oool0203oool2000000/0oooo00D000000?ooo`3oool0oooo000000070?ooo`03
0000003oool0oooo00D0oooo0P0000020?ooo`030000003oool0oooo00T0oooo0`0000080?ooo`80
00002P3oool3000000T0oooo100000080?oooa`0000000<0oooo000000000000200000030?ooo`80
odl00`3oool2000000X0oooo00<000000?mJ003oFP002@3oool2000000T0oooo0`0000090?ooo`<0
00002@3ooolV000000<0oooo100000020?ooo`@00000203oool200000080oooo1`0000000`3oool0
000000000002000000D0oooo100000000`3oool0000000000002000000030?ooo`000000oooo0080
oooo1P000000103oool000000000003oool20?ok00@0000000<0oooo0000003oool00P3oool60000
00<0bol0100000000`3oool0000000000008000000<0Q?l03`00000302ko00H0000000<0oooo0000
00000000100000000`3oool00000003o=`02003o=`L0000000<0oooo0000000000001P0000000`00
ojh000000000000=000000040?ooo`000000oooo0039o`@000003@3oool00`00;ol0oooo0?ooo`0D
0?ooo`002@3ooolU000000030?ooo`000000oooo0140000000@0oooo000000000000oooo20000000
0`3oool0000000000008000000050?ooo`00000000000000003oool0100000000`3oool000000000
0003000000050?ooo`00000000000000003oool00P000000103oool000000?ooo`3oool5000000<0
oooo0P0000000`3oool000000?ooo`0300000080oooo0P0000020?ooo`050000003oool000000000
003oool00P000000103oool000000?ooo`3oool5000000040?ooo`3o^@00oooo00000080oooo0P00
00020?ooo`070000003oool000000?ooo`000000oooo000000020?ooo`030?n3003oool0oooo0080
oooo0`0000050?ooo`040000003oool0oooo00000080oooo00<0oeP00?ooo`0000000`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?lg003oool04@3oool00`3o
7`00oooo0?ooo`0E0?ooo`8000002P3oool3000000/0oooo00D000000?ooo`3oool0oooo00000007
0?ooo`8000001`3oool01@000000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`0000002@3o
ool2000000/0oooo1@0000080?ooo`/000001`3oool00`000000oooo0?ooo`040?ooo``00000I@3o
oolD000000030?ooo`00000000000080oooo1@0000070?ooo`<0000000<0oooo0000000000001000
00000`3oool0000000000002000000H0oooo00<000000?ooo`0000001@0000000`3oool000000000
00020?ooo`H0000000<0oooo0000000000000`3oool4000000030?ooo`000000oooo0080oooo1P00
00000`3oool0bol00?ooo`0<000000030?ooo`00000000000080Q?l00P0000000`3oool000000000
000;000000<0;_l03`000002003o=`L0000000<0oooo0000000000001`000002003o[PP0000000<0
oooo0000000000000P000000103oool000000?ooo`00bOl5000000`0oooo00<002oo0?ooo`3oool0
503oool000T0oooo:00000000`3oool0000000000008000000030?ooo`000000000002<0000000<0
oooo0000000000000`0000001@3oool00000000000000000oooo0080000000@0oooo000000000000
oooo10000000103oool000000?ooo`3oool2000000030?ooo`000000000000<000000P3oool30000
0080oooo00<000000?ooo`0000000`0000000`3oool00000000000020?ooo`D000000P3oool20000
0080oooo0P0000020?ooo`030000003oool0000000<000000`3oool010000000oooo0?ooo`3oool2
000000030?ooo`000000oooo00@0oooo00H000000?ooo`3oool000000?ooo`3oF0020?ooo`050000
003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`800000:03oool2000000/0
oooo0`00000;0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`060?oo
o`040000003oool0oooo000000`0oooo00@000000?ooo`00000000002@3oool2000000d0oooo0`00
000>0?ooo`030000003oool0oooo00h00000C`3oool600000240oooo1`0000000`3oool000000000
0002000000030?ooo`000000000000H000000P3oool4000000P0oooo0P0000000`3oool000000000
0004000000030?ooo`0000000000008000001@3oool800000080oooo00<000000?ooo`3oool01P00
00000`3oool00000000000030?ooo`@0000000<0oooo0000003oool00P3oool6000000050?ooo`00
0000oooo0000003oool03@0000000`24o`0000000000000?00000080;_l01P0000000`3oool00000
00000004000000030?ooo`0000000?lg00800?lg3`000003003o[Ph0000000@0oooo00000000bOl0
0<Wo1000000<0?ooo`03000_o`3oool0oooo01@0oooo00090?ooo`@0000000<0oooo000000000000
100000000`3oool000000000000J000000030?ooo`000000000000P0000000<0oooo000000000000
1`0000000`3oool0000000000003000000030?ooo`000000000000/0000000<0oooo000000000000
1@0000020?ooo`80000000<0oooo0000003oool0100000000`3oool0000000000002000000030?oo
o`000000000000@000000`3oool7000000<0oooo0P0000020?ooo`060000003oool000000000003o
ool000000P3oool00`000000oooo0?ooo`02000000030?ooo`000000000000<0oooo00<000000?oo
o`3oool00P0000030?ooo`80000000@0oooo0000003oool000000`3oool010000000oooo0?ooo`3o
ool3000000D0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00D000000?ooo`3o
ool0oooo000000070?ooo`030000003oool0oooo0080oooo0P00000T0?ooo`<000003@3oool20000
00`0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00H0oooo00D00000
0?ooo`3oool0oooo0000000<0?ooo`80000000<0oooo0000003oool02@3oool2000000h0oooo1`00
00070?ooo`030000003oool0oooo05D0oooo200000020?oooaT000004@3oool:00000080oooo1`00
00020?ooo`<00000203oool2000000030?ooo`000000000000@0000000<0oooo0000000000000P00
00050?ooo`L000000P3oool00`000000oooo0?ooo`06000000030?ooo`000000000000<0oooo1000
0000103oool000000?ooo`3oool4000000040?ooo`000000oooo0?ooo`D0000000<0oooo00000000
00001@0000001@3oool00000000000000000oooo0080000000<0oooo0000000000002`0000000`3o
ool0;_l00000000?000000800?lg1`0000000`3oool0000000000005000000<00?n^3P000000103o
ool00<Wo0?ooo`00bOl4000000`0oooo00<002oo0?ooo`3oool0503oool000T0oooo100000000`3o
ool0000000000004000000030?ooo`00000000000140000000<0oooo0000000000001P0000000`3o
ool000000000000B000000030?ooo`000000000000<0000000@0oooo000000000000oooo2P000000
1@3oool00000000000000000oooo00@0000000@0oooo000000000000oooo0P0000001@3oool00000
000000000000oooo0080000000@0oooo0000003oool0oooo10000000103oool000000?ooo`3oool2
000000030?ooo`000000000000<000000P3oool3000000030?ooo`000000oooo00D0000000<0oooo
0000000000000P3oool500000080oooo0P000000103oool000000000000000020?ooo`030000003o
ool0000000<000000`3oool010000000oooo0?ooo`3oool2000000030?ooo`000000oooo00@0oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo00D000000?ooo`3oool0oooo00000007
0?ooo`800000103oool00`000000oooo0?ooo`0O0?ooo`<000003`3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`070?ooo`050000003o
ool0oooo0?ooo`0000003@3oool010000000oooo00000000000:0?ooo`<000004P3oool600000003
0?ooo`000000oooo04T0oooo5`00000`0?ooo`L000000P3oool700000080oooo0P0000080?ooo`03
0000003oool0oooo00H0000000<0oooo0000003oool00P0000040?ooo`030000003oool0000000D0
000000<0oooo0000003oool00P3oool500000080oooo00@000000?ooo`3oool0oooo0`0000020?oo
o`030000003oool0oooo00@0000000<0oooo0000003oool01P0000000`3oool00000000000050000
00030?ooo`000000000001X0000000<0oooo0000000000001`0000000`00ocL000000?ooo`0>0000
00800?n^2@0000000`3oool0000000000002000000040?ooo`0000000<Wo0039o`@000003@3oool2
000_oa@0oooo00090?ooo`l0000000<004Oo0000000000005P0000000`3oool000000000000?0000
00040?ooo`00000000000?ooo`P0000000<0oooo000000000000200000001@3oool0000000000000
0000oooo00@0000000<0oooo0000000000000`0000001@3oool00000000000000000oooo00D00000
00<0oooo0000000000000P000000103oool000000?ooo`3oool2000000030?ooo`000000000000<0
00000P3oool300000080oooo00L000000?ooo`00000000000?ooo`000000oooo008000000P3oool2
000000030?ooo`000000000000<0oooo00<000000?ooo`3oool00P0000030?ooo`80000000@0oooo
0000003oool000000`3oool010000000oooo0?ooo`3oool3000000H0oooo00P000000?ooo`3oool0
oooo0000003oool000000?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`8000000`3oool2
000001@0oooo2`00000A0?ooo`8000003@3oool010000000oooo0?ooo`3oool2000000P0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo0P00
00000`3oool000000?ooo`0;0?ooo`8000005P3ooolE00000300oooo4P0000090?ooob8000005P3o
ool=00000080oooo0P0000070?ooo`8000000P3oool3000000040?ooo`000000oooo00000080oooo
00<000000?ooo`3oool00P3oool2000000080?ooo`00000000000000003oool000000?ooo`000003
0?ooo`D000000P3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool01P00
00000`3oool000000?ooo`0B000000030?ooo`000000000000/0000000<0oooo0000000000008000
0002003o[Pl0000000@0oooo0039o`00bOl00<Wo1000000:0?ooo`04000_o`3oool002oo000_oa@0
oooo00090?ooo`l000000P00Aol3000000030?ooo`00000000000140000000<0oooo000000000000
2@0000000`3oool000000000000L000000030?ooo`000000000000@000000P3oool4000000030?oo
o`000000000000L0000000<0oooo000000000000100000030?ooo`H0000000@0oooo0000003oool0
oooo0P0000020?ooo`060000003oool000000000003oool000000P3oool010000000oooo0?ooo`3o
ool500000080oooo0P000000103oool000000000000000020?ooo`030000003oool0000000800000
00D0oooo0000003oool0oooo000000040?ooo`<000001@3oool01@000000oooo0?ooo`3oool00000
0080oooo00@000000?ooo`00000000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0<0?ooo`040000003oool0
oooo0?ooo`800000203oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`000000
3P3oool00`000000oooo0?ooo`0>0?ooo`<00000503oool00`000000oooo0?ooo`0j0?oooa800000
103oool<000000P0oooo4000000:0?ooo`L000004P3oool<00000080oooo0P0000070?ooo`030000
003oool0oooo00P0000000<0oooo0000003oool0103oool00`000000oooo00000002000000040?oo
o`000000oooo000000<0oooo1@0000020?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000
003oool00P3oool6000000030?ooo`000000oooo00/0000000<0oooo000000000000100000000`3o
ool000000000000C000000030?ooo`000000000000l0000000<0oooo0000000000001P0000000`00
ojh000000000000=000000040?ooo`0000000<Wo0039o`@000002`3oool3000_oa@0oooo00090?oo
o`l000000P00AolA00000003003To`000000000000<000000P3oool:000000030?ooo`0000000000
01/0000000D0oooo00000000000000000?ooo`04000000060?ooo`00000000000?ooo`000000oooo
100000000`3oool000000000000200000080oooo10000000103oool000000?ooo`3oool200000003
0?ooo`000000000000<000000P3oool300000080oooo1P0000000`3oool00000000000020?ooo`80
000000<0oooo0000000000000`3oool00`000000oooo0?ooo`02000000<0oooo0P000000103oool0
00000000000000030?ooo`030000003oool0oooo0080oooo0`0000050?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00<0oooo0P00000/0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0303o
ool200000140oooo1000000@0?ooo`030000003oool0oooo03@0oooo400000050?ooo`L00000203o
ool<00000100oooo2`0000060?ooo`D00000403oool5000000030?ooo`000000000000<000000P3o
ool00`000000oooo0?ooo`050?ooo`8000000P3oool5000000040?ooo`000000oooo000000D0oooo
00<000000?ooo`000000100000000`3oool000000?ooo`020?ooo`D000000P3oool010000000oooo
0?ooo`3oool3000000040?ooo`000000oooo0?ooo`@0000000@0oooo0000003oool0oooo1@000000
0`3oool0000000000005000000030?ooo`000000000000<0000000<0oooo0000000000000P000000
0`3oool0000000000006000000030?ooo`000000000002/0000000<0oooo0000000000000P000000
103oool0000000000000bOl4000000/0oooo0`00;olD0?ooo`002@3oool<000000030?ooo`000000
000000<004Oo400000000`00i?l0000000000004000000030?ooo`000000000000P0000000<0oooo
0000000000001`0000000`3oool0000000000003000000040?ooo`00000000000?ooo`X0000000D0
oooo00000000000000000?ooo`04000000040?ooo`00000000000?ooo`80000000D0oooo00000000
000000000?ooo`05000000030?ooo`00000000000080000000@0oooo0000003oool0oooo0P000000
0`3oool000000000000300000080oooo0`0000020?ooo`060000003oool000000000003oool00000
0P3oool010000000oooo0?ooo`3oool3000000040?ooo`000000oooo0?ooo`8000000P3oool20000
00<0oooo0`0000000`3oool00000000000030?ooo`030000003oool0oooo0080oooo0`0000050?oo
o`070000003oool0oooo0?ooo`000000oooo000000020?ooo`8000000`3oool2000000L0oooo0P00
00050?ooo`<00000:03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0303oool2000000l0oooo00<000000?ooo`3oool04P3oool3000000d0oooo00<0
00000?ooo`3oool0;@3ooolA000000@0oooo1`0000070?ooo`P000002@3ooolH000000H0oooo2P00
0000103oool0000000000000000@0?ooo`@000000P3oool4000000030?ooo`000000000000L0oooo
0P0000000`3oool0000000000005000000030?ooo`000000000000@0oooo00<000000?ooo`000000
100000000`3oool000000?ooo`020?ooo`D000000P3oool010000000oooo0?ooo`3oool300000004
0?ooo`000000oooo0?ooo`@0000000D0oooo0000003oool000000?ooo`0;000000030?ooo`000000
000000@0000000<0oooo0000000000004`0000000`3oool000000000000?000000030?ooo`000000
000000H0000000<0oooo0000000000003@0000000`3oool000000?ooo`05000000/0oooo0P00;olD
0?ooo`002@3oool<000000030?ooo`0000000000008004Oo00<000000017o`00000030000000103o
ool00000003To`00i?l5000000030?ooo`000000oooo00D0000000@0oooo0000000000000?n@1P00
00000`3oool0000000000002000000030?ooo`000000000000@0000000<0oooo0000000000002000
00001@3oool00000000000000000oooo00@000000P3oool4000000050?ooo`00000000000000003o
ool01@0000000`3oool0000000000004000000<0oooo0P0000000`3oool000000000000300000080
oooo0P0000030?ooo`<0000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000
000000000`3oool00`000000oooo0?ooo`02000000<0oooo0P0000001@3oool000000000003oool0
00000080oooo00<000000?ooo`3oool00P3oool4000000D0oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo0P0000040?ooo`030000003oool0oooo00H0oooo0P0000060?ooo`800000
903oool200000100oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo00h0oooo0P00000E0?ooo`H000001`3oool00`000000oooo0?ooo`0U0?oooa800000
103oool7000000H0oooo200000050?ooo``00000603oool9000000L0oooo1@00000A0?ooo`D00000
00<0oooo0000000000000P0000000`3oool00000000000070?ooo`80000000<0oooo000000000000
1@0000000`3oool000000?ooo`030?ooo`80000000<0oooo000000000000100000030?ooo`D00000
00<0oooo0000000000000P3oool4000000040?ooo`000000oooo0?ooo`@0000000D0oooo0000003o
ool000000?ooo`0;000000030?ooo`00000000000140000000<0oooo000000000000<00000000`3o
ool000000?ooo`05000000`0oooo00<002oo0?ooo`3oool04P3oool000T0oooo1@0000000`3oool0
0000000000070000008004Oo100000000`3oool000000000000:000000800>Co1@0000000`3oool0
00000000000800000003003oT0000000000000l0000000<00?lF0000000000002P0000000`3oool0
000000000004000000030?ooo`000000oooo0080000000<0oooo0000003oool0100000000`3oool0
000000000003000000030?ooo`00000000000080000000@0oooo0000003oool0oooo0P0000000`3o
ool000000000000300000080oooo0`0000020?ooo`@0000000D0oooo0000003oool0oooo00000003
0?ooo`<0000000@0oooo0000003oool0oooo0P0000020?ooo`8000000`3oool3000000030?ooo`00
0000000000<0oooo00<000000?ooo`3oool00P3oool4000000D0oooo00L000000?ooo`3oool0oooo
0000003oool000000080oooo0P0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01@3oool300000240oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03`3oool2000001T0oooo1@0000020?ooo`03
0000003oool0oooo01d0oooo3@0000000`3oool0000000000003000000@0oooo1`0000060?ooo`L0
00001P3oool7000000D0oooo8`0000050?ooo`D000001`3oool200000140oooo1@0000000`3oool0
000000000002000000040?ooo`0000000000000000H0oooo0P0000000`3oool00000000000040000
00030?ooo`000000oooo00@0oooo00<000000?ooo`0000000P0000000`3oool00000000000030?oo
o`D0000000<0oooo0000000000000P3oool4000000040?ooo`000000oooo0?ooo`D000000P3oool7
000000030?ooo`000000000000<0000000<0oooo0000000000000`0000000`3oool000000000000C
000000030?ooo`00000000000280000000<0oooo0000000000000P0000000`3oool0000000000005
00000240oooo00090?oooa40000000<004Oo0000000000003P000003003To`D0000000<0oooo0000
000000001`000002003oT10000000P00oaH00`3oool0000000000008000000070?ooo`0000000000
0000003oool0000005?o0002000000040?ooo`00000000000?ooo`80000000D0oooo000000000000
00000?ooo`05000000030?ooo`000000000000@000000`3oool6000000040?ooo`000000oooo0?oo
o`8000000`3oool3000000040?ooo`000000oooo0?ooo`8000000`3oool010000000oooo00000000
00030?ooo`050000003oool0oooo0?ooo`000000103oool4000000030?ooo`000000oooo0080oooo
00H000000?ooo`3oool0oooo0000003oool2000000H0oooo00@000000?ooo`3oool000000P3oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01`3oool2000000P0oooo1P00
000I0?ooo`8000004@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo0P00
000B0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool02@3oool010000000oooo0?oo
o`3ooolN000000<0oooo1P0000060?ooo`L000001@3oool8000000@0oooo200000040?oooah00000
00<0oooo0000000000003@0000040?ooo`@00000403oool4000000030?ooo`000000000000800000
0P3oool2000000H0oooo00<000000?ooo`0000001@0000000`3oool00000000000040?ooo`030000
003oool000000080000000<0oooo0000000000000`3oool5000000030?ooo`00000000000080oooo
10000000103oool000000?ooo`3oool3000000030?ooo`000000oooo00@0000000<0oooo00000000
00001P0000001@3oool00000000000000000oooo0080000000<0oooo0000000000002P000000103o
ool000000000003ooolF000000030?ooo`000000000000H0000000<0oooo0000000000000`000000
0`3oool0000000000007000000030?ooo`000000oooo00D00000803oool000T0oooo4@0000000`00
Aol000000000000>000000800>Co1P0000000`3oool0000000000007000000800?n@3`000000103o
ool00?lF003o5P3oool:000000070?ooo`00000000000000003oool0000005?o000200000080oooo
100000001@3oool00000000000000000oooo00@0000000<0[ol00000000000001@0000030?ooo`80
000000<0oooo0000000000000`0000020?ooo`<000000P3oool4000000050?ooo`000000oooo0?oo
o`0000000`3oool500000080oooo0P0000030?ooo`030000003oool0oooo0080oooo0P0000000`3o
ool00000000000040?ooo`040000003oool0oooo0?ooo`@000001P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`080?ooo`800000
2P3oool>000000T0oooo0P0000000`3oool000000?ooo`080?ooo`030000003oool0oooo00L0oooo
00D000000?ooo`000000oooo0?lF00090?ooo`080000003oool0oooo0000003oool0oaD00?ooo`3o
5@040?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool0oaL02P3oool2000000<0oooo
0P0000050?ooo`8000002P3oool6000000H0oooo6`0000080?ooo`8000002P3oool2000000X0oooo
0P00000:0?ooo`8000002@3oool3000000T0oooo0`0000090?ooo`8000001`3ooolQ000000<0oooo
1@0000090?ooo`8000000P3oool4000000030?ooo`0000000000008000000P3oool2000000D0oooo
100000000`3oool0000000000002000000080?ooo`000000oooo0?ooo`000000oooo0000003oool6
00000080oooo1@0000020?ooo`040000003oool0oooo0?ooo`@0000000@0oooo0000003oool0oooo
1`000000103oool000000000003oool8000000030?ooo`000000000000H0000000<0oooo0000003o
ool0>P0000000`3oool000000?ooo`0500000200oooo00090?ooo`d0000000D0oooo000000000000
00000017o`0?000000030?ooo`0000000>Co00H0000000<0oooo0000000000001@0000000`3oool0
0000003oT002003oT0D0000000<0oooo0000000000000P0000000`3oool000000000000300000080
0?lF2P0000000`3oool000000?ooo`0300000080Dol000<0oooo0000003oool00P0000000`3oool0
00000?ooo`04000000040?ooo`000000oooo00000080[ol000<0oooo0000000000000P000000103o
ool000000?ooo`3oool7000000030?co003oool0oooo00<000000`3oool3000000050?ooo`000000
oooo0?ooo`000000103oool010000000oooo0000000000030?ooo`040000003oool0oooo0?ooo`80
00000`3oool300000080oooo00D000000?ooo`3oool0oooo000000040?ooo`80000000<0oooo0000
003oool01@3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`0/0?oo
o`D00000203oool00`3o6P0000000?ooo`090?ooo`8000000P3oool00`3o5P00oooo0?lF00070?oo
o`080000003oool0oooo0000003oool0oaD00?ooo`3o5@040?ooo`030000003oool0oooo00H0oooo
00D000000?lG003oool0oaL00000000;0?ooo`80000000<0oooo0?lM003oool00P0000050?ooo`@0
0000303oool7000001/0oooo2@00001N0?ooo``0000000<0oooo0000000000001P0000030?ooo`D0
00001`3oool300000080oooo0`0000000`3oool000000000000200000080oooo0P0000050?ooo`P0
000000@0oooo0000003oool0oooo0`000000103oool000000000003oool300000080oooo1@000000
0`3oool00000000000020?ooo`@0000000<0oooo0000003oool00P3oool8000000030?ooo`000000
00000080000000<0oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000
000000d0000000<0oooo000000000000;00000000`3oool000000000000500000200oooo000:0?oo
o`/0000000<0oooo0000000000000P0000000`00Aol000000000000=000000040?ooo`0000000000
003To`D0000000<0oooo000000000000200000000`00oi0000000000000?00000003003o5P000000
0?lF00T000000P3oool3000000030?ooo`1Co`00Dol0008000000P3oool3000000030?ooo`000000
00000080000000@0oooo00000000000000000P2_o`000`3oool0000000000004000000<0oooo0P00
0000103oool000000000000000020?co0080oooo0P0000030?ooo`@0000000P0oooo0000003oool0
oooo0000003oool0ol<00?ooo`80000000<0oooo0000000000000P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo0`0000020?ooo`050000003oool0oooo0?ooo`000000103o
ool2000000030?ooo`000000oooo00D0oooo00<000000?ooo`3oool0103oool010000000oooo0?oo
o`3oool200000100oooo1000000C0?ooo`80ob800`00000<0?ooo`030?lJ00000000oaX000T0oooo
00L000000?ooo`000000oooo0?lF003oool0oaH000P0oooo00@000000?ooo`3oool000000P3oool2
0?lE00D0oooo00<000000?ooo`3oool01P3oool010000000oaL00?ooo`3o5`0=0?ooo`030000003o
ool0oad00080oooo0P0000070?ooo`<000000P3oool00`3o9P00oooo0?ooo`0:0?oooa`00000J@3o
ool20?n<00030?ooo`000000000000T0000000<0oooo0000000000000P0000000`3oWP0000000000
00030?ooo`@00000203oool010000000okL00?ooo`3oool800000080oooo0P0000030?ooo`030?oH
00000000000000H0000000<0oooo0000000000000P3oool2000000040?ooo`00000000000?_o00<0
00000P3oool5000000030?ooo`00000000000080oooo10000000103oool000000?ooo`3oool50000
00030?ooo`00000000000080000000D0oooo00000000000000000?ooo`04000000030?ooo`000000
000000P0000000<0oooo000000000000:00000000`3oool000000000000=000000030?ooo`000000
oooo00@00000803oool000T0oooo300000000`3oool0000000000003000000030017o`0000000000
00l0000000<00>Co0000000000003`0000000`00oi0000000000000=000000040?ooo`00oaH00?lF
0?ooo`@0000000<0oooo0000000000000`0000001@3oool00000000000000000oooo00<0Dol000<0
00000?ooo`3oool0100000000`3oool0000000000002000000040?ooo`00000000000?ooo`80[ol0
0P0000001@3oool000000000003oool000000080oooo1P0000020?co0080oooo0`0000030?ooo`<0
000000H0oooo000000000000oooo0000003oool20?o300030?ooo`000000oooo008000000`3oool0
10000000oooo0?ooo`3oool200000080oooo00<0ohh00000003oool00P0000000`3oool000000?oo
o`030?ooo`030000003oool0oooo0080oooo0P0000000`3oI@0000000?ooo`050?ooo`030000003o
ool0oooo00@0oooo0P0000020?ooo`8000004`3oool5000000T0oooo0`0000020?lR00030000003o
ool0oooo00d0oooo0`3o6P090?ooo`050000003oool000000000003oool00P3o5P090?ooo`040000
003oool0oooo00000080oooo0P3o5@050?ooo`030000003oool0oooo00H0oooo0P0000020?lG0080
00002`3oool50?lM0080oooo00<000000?ooo`3oool01`3oool300000080obH02P3oool00`000000
oooo0?ooo`020?ooo`80oc80403oool30?lo00l0oooo0`3oC00R0?ooo`<0ofD0203oool7000000<0
og4000<000000?ooo`3oool0103oool900000080ogh04P3oool20?n<00@0oooo2@0000001@3oool0
00000000003oWP00oooo00<000000`3oool3000000P0oooo00@0okL00000003oool0oooo20000002
0?ooo`060000003oool0oooo0?ooo`3of000oooo1`0000020?ooo`030000003oool0oooo00D00000
00@0nol000000000000000000P3oool5000000030?ooo`00000000000080oooo0P0000001032o`00
00000?ooo`0000020?ooo`L0000000L0oooo00000000000000000?ooo`000000Nol00080000000@0
oooo000000000000oooo1@0000000`3oool0000000000003000000030?ooo`000000000000P00000
00<0oooo000000000000:`0000000`3oool000000?ooo`05000001l0oooo00090?ooo`0306L0o`00
0000000000<0000000<0oooo0000000000002@0000000`00Aol000000000000?00000003003To`00
0000000000@0000000<0oooo000000000000200000000`00oi00000000000006000000040?ooo`00
000000000?ooo`D0000000<00?lF0?ooo`0000002@0000000`3oool000000?ooo`0200000080Dol0
00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`04000000040?ooo`000000oooo0000
00<0[ol0100000000`3oool000000?ooo`020?ooo`@0000000@0oooo0000003lo`00o?l00P3oool2
000000<0oooo100000001@3oool000000?ooo`3oool000000080ol<000@0oooo000000000000oooo
0P0000030?ooo`040000003oool0oooo0?ooo`80000000<0oooo0?n>003oSP00100000000`3oool0
00000?ooo`030?ooo`030000003oool0oooo0080oooo0P0000000`3oI@0000000?ooo`050?ooo`03
0000003oool0oooo00D0oooo00D000000?ooo`3oAP00odH00000000?0?ooo`H0oc000P3oool:0000
00<0ob80403oool20?lJ00/0oooo00<000000?ooo`0000000P3oool00`3o5P00oooo0?ooo`080?oo
o`040000003oool0oooo000000<0oooo00<0oaD00?ooo`3oool00`3oool00`000000oooo0?ooo`07
0?ooo`050000003oool0oaL00?lG000000003P3oool30?lM00l0oooo0`3o9P000`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo0`3o<P0@0?ooo`<0ocl03`3oool30?m<00d0oooo1@3o
F@0@0?ooo`<0ofD03`0000030?ma00@000002P3oool010000000ogh00?mn003oOP02000000h0oooo
0`3oS0070?ooo`D000001@3oWP000`3oool0000000000002000000<0oooo0`0000020?ooo`D0okL0
00<000000?ooo`3oool01P0000001@3oool000000000003oool0000000@0omP000D0oooo0000003o
ool000000?ooo`04000000040?ooo`000000oooo0?ooo`80000000@0nol00000003ko`00oooo0`00
00020?ooo`D0000000L0oooo000000000000oooo0<;o00000000`_l00080000000@0oooo0000003o
ool0oooo2`00000207_o00D0000000D0oooo00000000000000000?ooo`02000000070?ooo`000000
00000000000Uo`00000002Go000?00000003003o?`00000000000100000000<00?nf000000000000
3`0000001000`_l000000000003oool3000000040?ooo`0000000000000000L0oooo00<002Oo0?oo
o`3oool05@3oool000T0oooo:`0000000`3oool0000000000005000000030?ooo`000000000000L0
000000<0oooo000000000000500000020?ooo`<0000000<0oooo0000000000000P0000020?ooo`<0
000000<0oooo0000000000000P0000001@3oool00000000000000000[ol000@0000000@0oooo0000
0000000000000`3oool2000000080?ooo`00000000000000003lo`0000000?co003oool3000000<0
oooo0`0000001P3oool000000000003oool000000?ooo`80ol<000@0oooo000000000000oooo0P00
00020?ooo`030000003oool0oooo0080oooo0P0000002@3oool0ohh00?n>003oSP0000000?ooo`00
0000oooo000000040?ooo`030000003oool0oooo00<0oooo0`3oI@060?ooo`030000003oool0oooo
00D0oooo0P0000040?m600h0oooo0P3o<00B0?ooo`<0ob80303oool2000000/0oooo00<000000?oo
o`0000003@3oool200000080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?oo
o`050000003oool0oooo0?ooo`0000003`3oool00`000000oooo0?ooo`0:0?ooo`<0obH0103oool6
000000030?ooo`000000oooo00<0oooo0`3o<P0A0?ooo`80ocl04@3oool20?m<0100oooo0P3oF@08
0?ooo`P000000P3oI@07000000H0oooo00@000000?ma003oL@00og40400000030?mn00P000001`3o
ool30?n<00l0oooo0`0000030?nN0080000000<0oooo0000000000000P0000030?ooo`<000000P3o
ool30?ng008000000P3oool6000000050?ooo`000000oooo0?ooo`0000000`3of0000`3oool00000
00000006000000030?ooo`000000oooo0080oooo00D000000?_o003ko`00nol00?ooo`0300000080
oooo1@000000203oool000000000003oool0`_l000000032o`00oooo0P0000030?ooo`T0000000D0
Nol00000001ko`00Nol00?ooo`04000000030?ooo`000000000000L000000`0Uo`0?00000003003o
?`00000000000100000000<00?nf0000000000003`0000000`00`_l0000000000003000000030?oo
o`0000000000008000001`3oool00`009ol0oooo0?ooo`0E0?ooo`002@3oool=000000030?ooo`00
0000000000<0000000<0oooo000000000000300000000`3oool0000000000006000000030?ooo`00
0000000000D0000000<0oooo000000000000500000000`3oool0000000000002000000030?ooo`00
00000000008000000P3oool800000080oooo100000000`3oool0000000000002000000030?ooo`00
000000000080oooo00<000000?ooo`0000000`000000103oool000000?ooo`3oool6000000030?co
003oool000000080oooo0P0000030?ooo`060000003oool000000000003oool000000P3oool01000
0000ol<00?ooo`3o``02000000030?ooo`000000000000<0oooo010000000?ooo`3oool0oooo0000
003oool000000?n>003oool000000?n>00000000oooo0000003oool00000103oool00`000000oooo
0?ooo`030?ooo`030?mU00000000ofD000H0oooo0P0000070?ooo`040000003oAP00oooo0?ooo`80
00003P3oool20?l`01d0oooo0P00000<0?ooo`040000003oool0oooo000000d0oooo00D000000?oo
o`3oool0oooo0000000:0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0=0?ooo`8000005`3oool?000000T0oooo0P3o?`0A0?ooo`80od`0403oool2
0?mI00<0oooo3@0000020?mU00030000003oool0oooo00<0oooo2@00000O0?ooo`X000004@3oool9
000000030?ooo`0000000000008000000`3oool2000000D0oooo0P0000000`3oool0000000000004
000000040?ooo`000000oooo0?ooo`8000000P3of0020?ooo`L0000000<0oooo0000000000000P3o
ool200000080nol000@0oooo00000000000000000P3oool5000000040?ooo`00000000000?ooo`80
`_l0100000030?ooo`@0000000<0oooo0000000000000P00000307_o00<0000000<0oooo00000000
00000`000000103oool000000000003oool3000000809Ol03`000003003o?a00000000<00?nf0000
00000000400000001P00`_l000000000003oool000000?ooo`D000001`3oool00`009ol0oooo0?oo
o`0D0?ooo`002@3oool=000000030?ooo`000000000003X0000000<0oooo0000000000000P000000
0`3oool0000000000003000000030?ooo`000000000000L0000000@0oooo000000000000oooo1P00
00001`3oool000000?ooo`000000oooo0000003oool01P0000030?ooo`80000000<0oooo00000000
00000`0000020?ooo`<000000`3oool3000000030?ooo`00000000000080oooo00@0ol<00?ooo`3o
ool0oooo0P0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`000000ohh00?ooo`03000000030?ooo`000000oooo008000000`3oool00`000000oooo0?ooo`02
0?ooo`040000003oI@000000000000L0oooo00<000000?ooo`3oool01P3oool0103oAP00oooo0?oo
o`3oool3000002P0oooo0P00000@0?ooo`030000003oool0oooo00`0oooo00D000000?ooo`3oool0
oooo0000000:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03`3oool2000001H0
oooo00<000000?ooo`3oool0=03ooolC000000030?ooo`000000000000T00000103ooolW000000L0
oooo1@00000?0?ooo`d000000`3oool2000000D0oooo0P0000000`3oool000000000000600000080
oooo00<000000?ooo`3oool00P3oool700000080oooo00<000000?ooo`3oool01@0000000`3oool0
0000000000020?ooo`D0000000<0oooo0000000000000P3oool01@32o`0000000000003oool00000
0080oooo1@0000000`3oool0000000000002000000<0Nol01@0000001@3oool00000000000000000
oooo00D000000`0Uo`0?000000800?lo4@000002003o]Q00000000@00<;o000000000000oooo0`00
0000103oool000000000000000070?ooo`03000Wo`3oool0oooo01@0oooo00090?ooob`0000000<0
oooo000000000000200000000`3oool0000000000006000000040?ooo`00000000000?oooa400000
0P3oool3000000030?ooo`0000000000008000000P3oool4000000030?ooo`000000000000800000
00<0oooo0000000000000P3oool00`000000oooo00000004000000<0oooo1`000000103oool00000
0?ooo`3oool2000000@0oooo0`0000001@3oool000000?ooo`3oool0000000@0oooo1@0000020?oo
o`040000003oool0oooo0?ooo`80000000@0oooo0000003oool0oooo0`0000001@3oool000000?oo
o`3oool0000000<0oooo00<000000?ooo`3oool00P3oool4000000L0oooo0P0000060?ooo`800000
103oool3000002<0oooo0`00000A0?ooo`030000003oool0oooo00d0oooo00D000000?ooo`3oool0
oooo0000000:0?ooo`030000003oool0oooo00d0oooo0P00000A0?ooo`800000503oool00`000000
oooo0?ooo`0^0?oooa80000000<0oooo0000000000001@0000070?ooo`P000002P3ooolE000000P0
oooo1@0000070?ooo`<000003`3oool<000000<0oooo00<000000?ooo`3oool0103oool200000003
0?ooo`000000000000<0000000D0oooo0000003oool0oooo000000040?ooo`030000003oool00000
00D0000000@0oooo0000003oool0oooo1@0000000`3oool00000000000020?ooo`D0000000@0oooo
000000000000oooo10000000103oool000000?ooo`3oool;0000000307_o00000000000000@00000
00<0oooo0000000000001`00000202Go00l000000P00ocl@000000<00?nf400000000`00`_l00000
00000003000000030?ooo`0000000000008000001`3oool00`009ol0oooo0?ooo`0D0?ooo`002@3o
ool/000000030?ooo`000000000000D0000000<0oooo0000000000001`0000000`3oool000000000
000:000000030?ooo`00000000000080000000<0oooo0000000000000P0000020?ooo`P000000P3o
ool4000000030?ooo`00000000000080000000<0oooo0000000000000P3oool00`000000oooo0000
0005000000<0oooo0P0000000`3oool0000000000003000000<0oooo0P0000030?ooo`@0000000D0
oooo0000003oool0oooo000000030?ooo`80000000<0oooo0000000000000`3oool010000000oooo
0?ooo`3oool2000000040?ooo`000000oooo0?ooo`<0000000D0oooo0000003oool0oooo00000003
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P0000070?ooo`8000001P3oool2
000000@0oooo1@00000M0?ooo`8000004`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0A0?ooo`8000004P3oool0
0`000000oooo0?ooo`0V0?oooa000000103oool7000000L0oooo1`0000060?ooo``000005@3oool;
00000080oooo1P00000F0?ooo`D0000000<0oooo0000000000000`0000020?ooo`8000001P3oool2
000000030?ooo`000000000000D0000000<0oooo0000000000000`3oool6000000040?ooo`000000
oooo00000080oooo1@0000000`3oool00000000000020?ooo`@000000P3oool00`000000oooo0?oo
o`05000000<0oooo2`0000001@3oool00000000000000000oooo00D0000000<0oooo000000000000
100000000`0Uo`0000000000000>000000800?lo3`000003003o]Pl0000000<00<;o00000000`_l0
0P0000000`3oool000000?ooo`05000000H0oooo00<002Oo0?ooo`3oool0503oool000T0oooo;000
00000`3oool0000000000005000000030?ooo`00000000000140000000@0oooo000000000000oooo
100000000`3oool0000000000003000000030?ooo`000000000000L000000P3oool9000000040?oo
o`00000000000?ooo`80000000<0oooo0000000000000`0000030?ooo`80000000<0oooo00000000
00000`0000030?ooo`<000000`3oool3000000030?ooo`00000000000080oooo00@000000?ooo`3o
ool0oooo0P0000000`3oool00000000000030?ooo`040000003oool0oooo0?ooo`<000000P3oool0
1P000000oooo000000000000oooo00000080oooo00D000000?ooo`3oool0oooo000000040?ooo`03
0000003oool0000000800000203oool00`000000oooo0?ooo`050?ooo`<000001@3oool5000001D0
oooo1000000D0?ooo`8000003`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool04P3oool4000000h0oooo00<000000?ooo`3oool07P3ooolB000000@0
oooo1P0000030?ooo`/000000P3oool;000000D0oooo900000030?ooo`H000000P3oool5000001@0
oooo2P0000020?ooo`030000003oool0oooo00D0oooo0P0000000`3oool000000000000400000080
oooo00<000000?ooo`3oool00P3oool5000000040?ooo`000000oooo00000080oooo1@0000000`3o
ool00000000000020?ooo`@000000P3oool00`000000oooo0?ooo`05000000<0oooo100000000`3o
ool0000000000004000000030?ooo`000000000000<0000000<0oooo0000000000001`0000000`3o
ool000000000000?00000003003o?`000000000000h000000P00okH5000000030?ooo`0000000000
00P000000P00`_l6000000040?ooo`0000000000000000L0oooo0P009olD0?ooo`002@3oool>0000
00030?ooo`00@Ol0000001/0000000<0oooo0000000000004P000000103oool000000000003ooolA
00000080oooo0`0000000`3oool000000000000200000080oooo100000000`3oool0000000000002
000000030?ooo`00000000000080oooo00<000000?ooo`0000001@0000030?ooo`80000000<0oooo
0000000000000`0000030?ooo`8000000`3oool4000000050?ooo`000000oooo0?ooo`000000103o
ool2000000030?ooo`000000000000<0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000
003oool00000008000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`00
0000oooo0P0000070?ooo`8000001`3oool5000000D0oooo1`0000090?ooo`H000001`3oool00`00
0000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0000000/0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?oo
o`060?ooo`030000003oool0000000/0oooo00<000000?ooo`3oool01`3oool3000000/0oooo0`00
00090?oooah000001@3oool8000000@0oooo1@0000070?ooo`H000001@3oool;000000030?ooo`00
0000000002H00000103oool500000080oooo100000040?ooo`8000002P3oool00`000000oooo0000
000<000000L0oooo00D000000?ooo`00000000000?ooo`0300000080oooo00D000000?ooo`3oool0
00000?ooo`05000000050?ooo`00000000000000003oool01P0000000`3oool00000000000020?oo
o`@000000P3oool00`000000oooo0?ooo`03000000040?ooo`000000oooo0?ooo`D0000000<0oooo
0000000000000P0000000`3oool0000000000002000000030?ooo`000000000002/0000000<0oooo
003o]P00okH0400000020032o`D0000000<0oooo0000000000000P0000060?ooo`<002Oo503oool0
00T0oooo3P0000000`3oool0047o0000000L000000030?ooo`000000000000P0000000<0oooo0000
00000000100000000`3oool000000?ooo`0:000000030?ooo`00000000000080000000<0oooo0000
000000000P0000020?ooo`80000000<0oooo0000000000000P0000000`3oool000000?ooo`090000
00030?ooo`00000000000080oooo0P0000000`3oool0000000000003000000<0oooo0P0000020?oo
o`@000000`3oool3000000<0oooo0`0000020?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`0000000`0000030?ooo`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo0000
0002000000L0oooo00<000000?ooo`3oool00P3oool200000080oooo0P00000A0?ooo`<000002`3o
ool<000000T0oooo0P00000;0?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo
0?ooo`070?ooo`040000003oool0oooo000000/0oooo00@000000?ooo`3oool00000203oool00`00
0000oooo0?ooo`060?ooo`040000003oool0oooo000000/0oooo0P0000090?ooo`D000001`3ooolO
000005P0oooo5@0000030?ooo`@000000P3oool3000000<0oooo0`0000080?ooo`80000000<0oooo
0000000000002`0000060?ooo`T0000000H0oooo0000003oool0oooo0000003oool500000080oooo
0P0000000`3oool0000000000004000000040?ooo`00000000000?ooo`D000000P3oool00`000000
oooo0?ooo`03000000040?ooo`000000oooo0?ooo`/0000000D0oooo00000000000000000?ooo`0;
000000030?ooo`000000000000T0000000<0oooo000000000000500000000`00okH000000000000>
000000030?ooo`00`_l00<;o0080000000<0oooo0000003oool0100000060?ooo`<002Oo503oool0
00T0oooo3`0000020011oa00000000<00=go0000000000002@0000000`3oool00000000000050000
00030?ooo`00000000000140000000@0oooo000000000000oooo100000000`3oool0000000000003
000000030?ooo`000000oooo00D0000000@0oooo0000003oool0oooo10000000103oool000000000
000000020?ooo`8000000P3oool00`000000oooo00000005000000<0oooo0P0000000`3oool00000
00000003000000<0oooo0P0000030?ooo`@0000000<0oooo0000000000000P3oool010000000oooo
0?ooo`3oool2000000040?ooo`0000000000000000<0oooo00@000000?ooo`3oool0oooo0P000003
0?ooo`030000003oool00000008000001`3oool2000000<0oooo0P0000020?ooo`<000004P3oool4
000001L0oooo1@00000;0?ooo`8000000P3oool2000000P0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0000000<0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01`3o
ool2000000030?ooo`000000oooo00/0oooo0P00000<0?ooo`@000000`3oool00`000000oooo0?oo
o`200?ooo`h0000000<0oooo0000000000000P0000020?ooo`@000000P3oool2000000P0oooo0P00
00000`3oool0000000000008000000030?ooo`000000000000H0oooo100000001@3oool000000000
00000000oooo0080000000<0oooo0000003oool01@0000020?ooo`030000003oool0oooo00H00000
00@0oooo000000000000oooo1@0000000`3oool00000000000020?ooo`@000000`3oool400000003
0?ooo`000000000003d0000000<0oooo0000000000001@0000001@3oool000000000000000000<;o
00H0000000@0oooo00000000000000001P3oool2000Woa@0oooo00090?ooo`l000000P00@Ol@0000
00800=go2P0000000`3oool000000000000E000000030?ooo`000000000000@0000000<0oooo0000
00000000200000020?ooo`H0000000@0oooo0000003oool0oooo100000000`3oool0000000000002
000000030?ooo`00000000000080oooo00<000000?ooo`0000001@0000030?ooo`8000000P3oool0
10000000oooo0000000000040?ooo`8000000`3oool300000080oooo00@000000?ooo`3oool00000
103oool2000000030?ooo`000000000000@0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`D0
0000203oool010000000oooo0?ooo`3oool3000000040?ooo`0000000000000001D0oooo1P00000=
0?ooo`@000003`3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool01`3o
ool010000000oooo0?ooo`00000<0?ooo`040000003oool0oooo000000P0oooo0P0000090?ooo`04
0000003oool0oooo000000d0oooo0P00000>0?ooo`T000005@3oool3000006X0oooo4`0000000`3o
ool0000000000004000000P0oooo3@0000000`3oool00000000000050?ooo`P000000P3oool00`00
0000oooo00000002000000030?ooo`00000000000080000000@0oooo0000003oool0oooo1P000000
103oool000000000003oool5000000040?ooo`00000000000?ooo`D000000P3oool:000000030?oo
o`00000000000080000000<0oooo0000000000002@0000000`3oool0000000000009000000030?oo
o`000000000000D0000000<0oooo0000000000002P0000000`3oool000000000000L000000H0oooo
0P009olD0?ooo`002@3oool?000000<0047o3`000002003Mo`X0000000<0oooo0000000000001000
00000`00oiP000000000000F000000030?ooo`00000000000080000000@0oooo000000000000oooo
0P0000000`3oool0000000000005000000030?ooo`000000oooo00D0000000@0oooo000000000000
00000P3oool200000080oooo00<000000?ooo`0000001@0000030?ooo`80000000<0oooo00000000
00000`0000030?ooo`<000000`3oool00`000000oooo000000020?ooo`040000003oool0oooo0000
00@0oooo1@0000030?ooo`030000003oool0oooo0080oooo0`0000000`3oool000000?ooo`040000
00P0oooo0P0000020?ooo`050000003oool000000000003oool00P00000J0?ooo`d000004@3oool2
000000<0oooo00<000000?ooo`3oool01P3oool2000000X0oooo00<000000?ooo`0000003@3oool0
10000000oooo0?ooo`0000090?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000
3P3oool2000000l0oooo00<000000?ooo`3oool00`3ooolE000004<0oooo0P00000]0?ooo`/00000
0P3oool400000080oooo100000090?ooo`H0000000<0oooo0000000000000P0000020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`0000001@0000020?ooo`030000003oool0oooo00800000
00<0oooo0000000000000P000000103oool000000?ooo`3oool6000000040?ooo`000000oooo0?oo
o`D0000000@0oooo000000000000oooo0`000000103oool000000?ooo`3oool:000000030?ooo`00
0000000004H0000000<0oooo0000003oool0100000070?ooo`03000Wo`3oool0oooo0180oooo0009
0?ooo`l000000`00@Ol?000000<00=go2P0000000`3oool000000000000300000003003oV0000000
000000T0000000<0oooo0000000000000`0000001@00oah00000000000000000oooo0080000000<0
oooo0000000000000P0000000`3oool0000000000003000000030?ooo`000000oooo0080000000D0
oooo000000000000oooo000000020?ooo`@0000000H0oooo000000000000oooo0000003oool20000
0080oooo00<000000?ooo`0000001@0000030?ooo`8000000P3oool010000000oooo000000000004
0?ooo`8000000`3oool400000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
0003000000<0oooo00<000000?ooo`3oool00P3oool01P000000oooo0000003oool000000?ooo`@0
00002@3oool00`000000oooo0?ooo`02000000040?ooo`00000000000?ooo`800000=03oool20000
00<0oooo0P0000080?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool00000303oool0
1@000000oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool02@3oool010000000oooo0?oo
o`00000?0?ooo`<00000303oool00`000000oooo0?ooo`1?0?ooo``0000000<0oooo000000000000
5P00000K0?ooo`T000000`3oool9000000P0oooo1P0000000`3oool0000000000002000000030?oo
o`000000oooo00@0oooo1@0000001P3oool00000000000000000oooo00000080oooo0P0000000`3o
ool000000000000400000080oooo1P000000103oool000000?ooo`3oool700000080oooo0`000000
103oool000000?ooo`3oool>000000030?ooo`000000oooo01D0000000<0oooo0000000000004P00
00000`3oool000000000000H000000040?ooo`0000000000000001/0oooo00090?oooa40000000<0
047o0000000000003@000002003Mo`0300000000gOl0000000P0000000<0oooo0000000000000`00
0002003oV0030?ooo`000000000000d000000P00oah5000000030?ooo`000000000000P0000000D0
B_l00?ooo`00000000000?ooo`04000000030?ooo`000000oooo0080000000<0oooo000000000000
10000000103oool000000000000000020?ooo`030000003oool0000000D000000`3oool200000003
0?ooo`000000000000<00000103oool2000000<0oooo00H000000?ooo`00000000000?ooo`000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`0000030?ooo`030000003oool0
oooo0080oooo00@000000?ooo`000000oooo1`0000080?ooo`8000000P3oool2000000040?ooo`00
000000000?ooo`<00000;`3oool200000080oooo0`0000090?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0200000140oooo0`0000090?ooo`030000003oool0oooo04P0
oooo1`0000000`3oool000000000000:000000<0oooo5P00000O0?ooo`L000000`3oool9000000L0
oooo1@0000000`3oool0000000000002000000030?ooo`000000000000D0oooo20000000103oool0
00000?ooo`3oool2000000030?ooo`000000000000@000000P3oool2000000060?ooo`0000000000
0000003oool000000P3oool7000000030?ooo`000000000000<000000P3oool:000000030?ooo`00
000000000080000000<0oooo0000000000001@0000000`3oool000000000000l000000040?ooo`00
00000000000001/0oooo00090?oooa40000000<0047o0000000000003@0000000`00gOl00000003M
o`0:000000030?ooo`000000000000<000000P00oiP5000000030?ooo`000000000000P000000P00
oah6000000030?ooo`00000000000080000000<0oooo0000000000000P00000204[o00L0000000@0
oooo0000003oool0oooo100000001P3oool000000000003oool000000?ooo`8000000P3oool00`00
0000oooo00000004000000040?ooo`000000oooo0?ooo`8000000P3oool00`000000oooo00000002
000000<0oooo0P0000030?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`030000003o
ool0oooo0080oooo1P0000030?ooo`030000003oool0oooo0080oooo0P0000030?ooo`L00000203o
ool010000000oooo0?ooo`3oool2000000040?ooo`00000000000?ooo`@00000:@3oool3000000l0
oooo00<000000?ooo`3oool01`3oool01@3o8@00oooo000000000000oooo008000002P3oool0103o
6@00oooo0?ooo`0000030?ooo`030000003oool0oooo00H0oooo00<0oa@00?ooo`3o50003`3oool0
0`3o5@00oooo0?ooo`0A0?ooo`@000001@3oool00`000000oooo0?ooo`0o0?oooa4000000P3oool=
000001H0oooo2@00000I0?ooo`L000000P3oool3000000@0oooo0P0000070?ooo`D0000000@0oooo
00000000000000000P3oool00`000000oooo0?ooo`030?ooo`P0000000@0oooo0000003oool0oooo
0P0000000`3oool000000000000400000080oooo0`0000000`3oool000000000000200000080oooo
10000000103oool000000000003oool3000000040?ooo`000000oooo0?ooo`X0000000<0oooo0000
000000006@0000000`3oool000000000000R000000030?ooo`000000000000@0000000<0oooo0000
003oool01000000K0?ooo`002@3ooolA000000030011o`000000000000l0000000<00=go00000000
0000200000020?ooo`@000000`00oiP;000000040?ooo`0000000000000000<00?lN1@0000000`3o
ool000000000000700000080B_l000<000000?ooo`0000001P0000020?ooo`80000000D0oooo0000
0000000000000:Co0002000000040?ooo`000000000000000080oooo00<000000?ooo`0000001@00
00000`3oool0l?l00?ooo`02000000030?ooo`000000000000<00000103oool2000000<0oooo1000
00020?ooo`040000003oool0oooo000000@0oooo1P0000030?ooo`030000003oool0oooo0080oooo
0P0000030?ooo`D0000000<0oooo0000003oool01`3oool2000000<0oooo0P0000000`3oool00000
0000000500000280oooo1@00000;0?ooo`030?lZ003oool0oooo0080oooo0P00000:0?ooo`050?lQ
00000000oooo0?ooo`000000303oool0103o6@00oooo0?lI000000020?ooo`030000003oool0oooo
00L0oooo00<0oa@00?ooo`3o50003@3oool0103o5@00oooo0?lE0000000F0?ooo`H00000>@3oool>
000000H0oooo1`0000080?oooal000001@3oool;00000100oooo200000020?ooo`800000103oool2
000000L0oooo00<000000?ooo`0000001P0000000`3oool00000000000040?ooo`030000003oool0
000000D0000000@0oooo000000000000oooo0P0000000`3oool000000000000400000080oooo2000
00000`3oool0000000000003000000040?ooo`00000000000?ooo`<0000000@0oooo0000003oool0
oooo3P0000000`3oool000000?ooo`05000000030?ooo`00000000000240000000<0oooo00000000
000060000000103oool0000000000000000J0?ooo`002@3oool@000000030?ooo`00@Ol0000000H0
000000<0oooo0000000000001`0000000`00gOl0000000000009000000030?ooo`00000000000080
00000P00oiP00`000000oooo0000000=000000800?lN00<00000003o7P0000000`0000020?ooo`T0
00000P1:o`07000000030?ooo`000000oooo0080000000@0oooo000000000000oooo0P2To`000`3o
ool000000?ooo`0200000080oooo00<000000?ooo`00000010000000103oool000000?3o003`o`02
00000080oooo00<000000?ooo`0000000P0000030?ooo`<0000000D0oooo0?o@0000000000000?oo
o`02000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P3oool6000000<0oooo00<0
00000?ooo`3oool00P3oool2000000<0oooo1@0000000`3oool000000?ooo`080?ooo`030000003o
ool0oooo0080oooo0P0000020?ooo`L000002P3oool6000000<0oooo00<000000?ooo`3oool01`00
00000`3o=00000000?ooo`0>0?ooo`030?lZ003oool0oooo0080oooo00<000000?ooo`3oool02@3o
ool01P3o8@00oooo0000003o8@00oooo000000`0oooo0P3o6@001@000000oooo0?ooo`3oool00000
00T0oooo00<0oa@00?ooo`3o50003P3oool0103o5@00oooo0?lE0000000=0?ooo`030?lN003oool0
oooo00X0oooo1P00000]0?ooo`h000000P3oool;000000@0oooo2`0000080?oooa0000001`3oool:
000000H0oooo0`0000090?ooo`030?nS003oool0oooo00@0oooo1`0000020?ooo`80000000D0oooo
0?nl003oool0oooo000000070?ooo`80000000<0oooo0000000000000P0000001@3og`0000000?oo
o`3oool0000000@0oooo1@0000000`3oool00000000000020?ooo`050??o003oool000000000003o
ool00P000000103oool000000000000000020?ooo`@0000000D0oooo00000000000000000?ooo`06
000000030?ooo`000000oooo00D0000000<0oooo0000000000001@000000103oool000000000003o
oolK000000030?ooo`000000000002`0000000@0oooo00000000000000006P3oool000T0oooo4P00
00000`00@Ol000000000000?00000003003Mo`3oool0000000P0000000<0oooo0000000000001000
00000`00oiP000000000000=00000003003o7P0000000?lN00H0000000<0oooo0000000000000P00
00000`3oool0000000000002000000<0B_l0200000020?ooo`80000000<0oooo0000003oool00`2T
o`000`000000oooo0000000200000080oooo00<000000?ooo`0000001@0000020?3o00030?ooo`00
000000000080oooo1@0000030?ooo`<000000P3od002000000050?ooo`00000000000?ooo`000000
0P3oool00`000000oooo0?ooo`030?ooo`80000000@0oid000000000000000000`3oool00`000000
oooo0?ooo`020?ooo`8000000`3oool00`000000ogH00?mf0002000000030?ooo`000000oooo00P0
oooo0P0000040?ooo`<0000000@0oooo0000003oool0oooo1@00000=0?ooo`H000001@3oool20?ld
00l0oooo1@3o:P000`3oool000000?ooo`0;0?ooo`050?lQ003oool0ob400?ooo`000000303oool2
0?lI00030?ooo`000000oooo00d0oooo00<0oa@00000003oool03P3oool20?lE00030?ooo`000000
000000`0oooo0P3o7P0:0?ooo`030000003oool0oooo0080oooo0P3o:P0@0?ooo`<0ocP03`3oool3
0?m700l000000P3oool6000000@0oooo1`0000030?mS00030000003oool0oooo00@0oooo20000003
0?ma008000003P3oool20?mo00/000001@3oool20?n?00@000003P3oool00`3oX`00oooo0?ooo`06
0?ooo`H000000P3oool2000000030?nl003oool0oooo008000001`3oool00`000000oooo00000003
000000050?oO0000000000000?ooo`0000001@3oool700000080oooo00@0lol00?ooo`0000000000
0P3oool00`000000oooo0000000200000080oooo100000001@3oool0^_l0000000000000oooo00L0
000000H0oooo00000000000000000?ooo`0000020?ooo`D0000000<0oooo0000000000000P000000
0`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo0000000000008@000000
0`3oool000000000000=000000030?ooo`000000000000@0000000<0oooo0000003oool01000000J
0?ooo`002@3oool00`1^0?l000000000000?000000030011o`000000000000l0000000<00=go0000
00000000200000000`3oool000000000000400000003003oV0000000000000X0000000<0oooo0000
000000000P0000000`00oah0000000000004000000030?ooo`000000000000L000000P1:o`000`00
0000oooo00000005000000030?ooo`000000oooo0080000000@0oooo000000000000oooo0`2To`00
10000000oooo0000000000020?ooo`L0000000@0oooo0000003`o`00l?l00P0000020?ooo`H00000
0P3oool3000000040?ooo`3od000om000?o@00@0000000D0oooo0000003oool0oooo000000050?oo
o`040000003oW@00oid00?nM008000000`3oool00`000000oooo0?ooo`020?ooo`<000000P3oool0
1P000000ogH00?mf003oMP0000000?ooo`8000002@3oool00`000000oeP00?mH00040?mH00d00000
1P3o@`0<0?ooo`<0oc@03`3oool30?lZ00040?ooo`0000000000000000`0oooo0`3o8@000`3oool0
00000?ooo`0<0?ooo`80oaT000<0oooo0000003oool03@3oool00`3o500000000000000@0?ooo`03
0?lE003oool0000000X0oooo1P3o7P080?ooo`030000003oool0oooo00@0oooo0`3o:P0@0?ooo`<0
ocP0103oool;000000<0odL00`0000020?ooo`L000001P3oE@06000000H0oooo100000030?mS00@0
000000<0oooo000000000000200000030?ma00l000000`3oO`04000000@0oooo1`0000020?n?0003
0000003oool0000000D000001P3oool50?nS00P0oooo1P0000040?nl00<0oooo0P0000060?ooo`80
000000<0oooo0?oO003og`000P3og`02000000030?ooo`000000000000@0oooo00<000000?ooo`00
00000`0000001@3co`0000000??o00000000oooo008000000P3oool00`000000oooo000000020000
0080oooo0P0000001@2jo`0000000;[o003oool000000080oooo0`0000001@3oool0000000000000
0000oooo00<0000000@0oooo0000001co`00Lol03P0000000`3oool0000001go000A00000004003o
A`00000000000?ooo`l0000000<00?nm0000000000003`0000000`00^_l000000000000800000003
0?ooo`000000oooo00<0000000<0oooo000Po`3oool05P3oool000T0oooo1`0000000`3oool00000
0000000U00000080oooo1`0000000`3oool000000000000D00000080oooo2P0000000`3oool00000
0000000700000080oooo0P000000103oool000000?ooo`2To`03000000040?ooo`00000000000000
0080oooo00<000000?ooo`0000001@0000000`3`o`00oooo0?3o000200000080oooo00<000000?oo
o`0000000P0000030?ooo`<0000000D0om000?ooo`3oool0om000?ooo`03000000050?ooo`000000
oooo0?ooo`0000001@3oool00`000000oid00?ooo`020?nM00050000003oool0oooo0?ooo`000000
1@3oool200000080oooo00<0ogH00000003oool00P3oMP000`000000oooo0000000:0?ooo`030?mH
00000000oooo00D0oooo0`0000000`3oool00000000000030?ooo`8000000P3o@`05000000<0oooo
00@000000?ooo`3oool0oooo1@000000103oool0oc@00?ld003o=0060?ooo`030000003oool0oooo
00H0oooo00@000000?ooo`3oool000002`3oool01@000000ob400?ooo`3oool0000000L0oooo00<0
00000?ooo`3oool0103oool00`3o6@00oooo000000020?ooo`030000003oool0oooo00T0oooo00@0
00000?lD003oool000001`3oool00`000000oooo0?ooo`090?ooo`8000002P3oool00`000000oooo
0?ooo`090?ooo`8000000P3oool30?lZ00D0oooo2`0000030?lh00P0000000<0oooo000000000000
1P0000020?m700030000003oool0000000@000001`3oool300000080oeD01`3oool6000000<0oooo
0P3oH`07000000D0oooo0P0000030?ma010000000`3oO`0?000000H0ohl01@0000000`3oool00000
00000003000000<0oooo00@000000?nS003oX`00oj<0203oool7000000<0ok`000@000000?ooo`00
0000oooo0P0000060?ooo`030000003oool0000000<0oml00P0000020?ooo`050000003oool0oooo
0000003oool01@000000103oool0lol00??o003co`05000000030?ooo`000000oooo00<000000P3o
ool2000000030;[o00000000^_l0008000000P3oool5000000030?ooo`000000oooo00<0000000<0
Lol00000001co`001@0000000`3oool000000?ooo`02000000030?ooo`000000000000@000000P0M
o`03000000030?ooo`000000000000T0000000<00?m7000000000000400000000`00okd000000000
000?00000003002jo`000000000000X0000000H0oooo00000000000000000?ooo`008?lG0?ooo`00
2@3ooolA000000030?ooo`000000000000H0000000<0oooo0000000000002P0000000`3oool00000
00000006000000030?ooo`000000000001<0000000<0oooo0000000000001`0000001P3oool00000
0000003oool000000?ooo`D0000000<0oooo0000003oool01`0000020?ooo`80000000@0oooo0000
00000000oooo0P0000000`3oool000000?ooo`0200000080oooo0P0000000`3oool0000000000003
000000040?3o003oool0oooo0?ooo`80000000<0oooo000000000000100000040?ooo`80000000D0
om000?ooo`3oool000000?ooo`02000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool0
0`3oool00`3oW@0000000?ooo`03000000<0oooo00<000000?ooo`3oool0103oool2000000040?oo
o`3oMP0000000?ooo`@000002`3oool20?mH00P0oooo0P0000080?ooo`80od<00P3oool8000000`0
oooo0`0000060?ooo`<000000P3oool00`000000oooo0?ooo`090?ooo`050000003oool0oooo0?oo
o`0000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0000000/0oooo0P0000020?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool2000000X0oooo0`0000080?oo
o`030000003oool0000000`000000P3oool00`000000oooo0?ooo`0@000000D0oooo0P3oA`0A0?oo
o`80oeD0403oool20?mS02L0oooo5@0000020?ooo`L0000000<0oooo0000000000000`3oool30000
00P0oooo2@0000000`3oool0000000000002000000030?ooo`000000000000D0oooo00@000000?oo
o`00000000000P3og`03000000050?ooo`000000oooo0?ooo`0000000P3oool4000000040?ooo`00
0000lol00??o00<0000000D0oooo0000003oool000000?ooo`03000000040?ooo`00000000000?oo
o`80^_l00`0000000`3oool0000000000004000000030?ooo`000000000000<000000`1co`050000
00030?ooo`000000000000H0000000@0oooo01go000Mo`007Ol040000002003oA`030000003oool0
000000h0000000D00?nm00000000000000000?ooo`0=00000003002jo`000000000000H0000000<0
oooo000000000000100000020?ooo`03000Po`3oool0oooo01@0oooo00090?oooc00000000<0oooo
000000000000400000000`3oool000000000000:000000030?ooo`000000000000P0000000<0oooo
0000000000001P000000103oool000000?ooo`3oool9000000040?ooo`000000000000000080oooo
00<000000?ooo`0000001@0000040?ooo`030000003oool0oooo00H000000`3oool2000000060?o@
003oool0oooo0?ooo`000000oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo
0080oooo00@000000?nM00000000oooo0`0000030?ooo`030000003oool0oooo00D0oooo0P000000
0`3oMP00000000000005000000/0oooo00<0oeP00?ooo`3oool01`3oool6000001@0oooo1P000007
0?ooo`8000000P3oool3000000/0oooo00<000000?ooo`3oool00P0000070?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`3oool000002`3oool01@000000oooo0?ooo`3oool0000000P0oooo
00<000000?ooo`3oool02P3oool3000000/0oooo0`0000050?ooo`030000003oool0oooo00/0oooo
1P00001_0?oooaP000000`3oool2000000P0oooo0P0000000`3oool0000000000004000000040?oo
o`000000000000000080oooo0P0000040?ooo`D0000000H0oooo00000000000000000?ooo`000002
0?ooo`80000000<0oooo0000000000000P000000103oool000000000003oool3000000050?ooo`00
000000000000003oool00`0000000`3oool0000000000002000000050;[o0000000000000000003o
ool01`0000001@3oool00000000000000000oooo0080Lol000<0oooo0000000000003@00000201go
00@0000000<0oooo00000000000020000003003oAa4000000P00okd@00000003002jo`0000000000
00P0000000<0oooo0000003oool00`0000000`3oool0023o0?ooo`0E0?ooo`002@3oool`00000003
0?ooo`000000000000H0000000<0oooo0000000000002`0000000`3oool000000000000700000004
0?ooo`00000000000?ooo`L0000000<0oooo0000003oool00P0000000`3oool00000000000020000
0080oooo0P000000103oool000000000003oool2000000030?ooo`000000oooo00<0000000@0oooo
000000000000oooo1P0000030?ooo`8000000P3oool5000000@0oooo0P0000040?ooo`060000003o
ool000000000003oool000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool000000?oo
o`<000000`3oool2000000L0oooo00D000000?ooo`3oool000000?ooo`04000001X0oooo5000000:
0?ooo`<000000P3oool2000000d0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?oo
o`060?ooo`040000003oool0oooo000000`0oooo00D000000?ooo`3oool0oooo000000090?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0303oool4000000030?ooo`000000oooo08H0
oooo5P0000020?ooo`800000203oool=00000080oooo0P0000040?ooo`/000000P3oool010000000
oooo0000003oool2000000040?ooo`00000000000?ooo`<0000000D0oooo00000000000000000?oo
o`03000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`07000000070?oo
o`00000000000000003oool0000007?o0005000000030?ooo`000000oooo00H0000000H0oooo0000
000Mo`007Ol00000003oool=000000800?m70P0000000`3oool000000000000;000000<00?nm0`00
00000`3oool000000000000:00000003002jo`000000000000X0000000H0oooo0000000000000000
0?ooo`008?lF0?ooo`002@3oool8000000030?ooo`000000000002H0000000<0oooo000000000000
4`0000000`3oool0000000000007000000030?ooo`000000000000P0000000<0oooo000000000000
1P000000103oool000000?ooo`3oool9000000040?ooo`000000000000000080oooo00<000000?oo
o`000000100000000`3oool000000?ooo`020?ooo`80000000@0oooo000000000000oooo0`000004
0?ooo`800000103oool01P000000oooo000000000000oooo000000<0oooo00<000000?ooo`3oool0
0P3oool010000000oooo0000003oool3000000@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`07000000/0oooo0P00000U0?ooo`@000000P3oool3000000`0oooo0`0000020?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`00000<0?oo
o`050000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo00l0oooo1`0000270?ooo`/0000000<0oooo0000000000001P0000000`3oool0000000000009
0?ooo`/000000`3oool00`000000oooo0?ooo`020?ooo`T0000000P0oooo0000003oool0oooo0000
003oool000000?ooo`80000000@0oooo000000000000oooo0`0000001@3oool00000000000000000
oooo00<0000000<0oooo0000000000000`000000103oool000000?ooo`3oool600000080oooo1@00
00000`3oool0000000000003000000030?ooo`000000000000P0000000<07Ol00000000000003P00
0002003oAa0000000P00okd@00000003002jo`0000000;[o00L0000000<0oooo0000000000001000
00000`3oool0023o0?ooo`0E0?ooo`002@3ooolB000000030?ooo`000000000000<0000000@0oooo
000000000000oooo300000000`3oool0000000000006000000030?ooo`000000000001d0000000<0
oooo0000000000002@0000000`3oool000000?ooo`02000000030?ooo`0000000000008000000P3o
ool2000000040?ooo`00000000000?ooo`@0000000D0oooo00000000000000000?ooo`0200000003
0?ooo`000000000000@00000103oool2000000030?ooo`000000000000@00000103oool2000000<0
oooo0P0000001@3oool000000000003oool0000000<0oooo00<000000?ooo`3oool00P3oool01000
0000oooo0000003oool3000000@0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3o
ool7000000/0oooo0`00000N0?ooo`@000000P3oool4000000h0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000
3@3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool03@3oool200000100
oooo00<000000?ooo`3oool00`3oool@000003l0oooo1P0000060?oooa8000007P3oool:00000080
oooo2P0000080?ooo`/000000P3oool00`000000oooo0?ooo`030?ooo`P0000000@0oooo0000003o
ool0oooo2@0000001@3oool00000000000000000oooo00<0000000D0oooo00000000000000000?oo
o`07000000030?ooo`000000000000D0000000<0oooo0000000000000`0000020?ooo`T0000000<0
oooo0000000000005@0000000`00odL000000000000>000000<00?nm3P0000001000^_l00000002j
o`00^_l9000000030?ooo`000000oooo008000000P3oool00`008?l0oooo0?ooo`0C0?ooo`002@3o
ool?00000003000ho`000000000001l0000000<0oooo0000000000001P0000000`3oool000000000
000;000000030?ooo`000000000000L0000000@0oooo000000000000oooo10000000103oool00000
0000003oool3000000030?ooo`00000000000080000000@0oooo0000003oool0oooo1@000000103o
ool000000000000000020?ooo`8000000P3oool00`000000oooo0?ooo`04000000030?ooo`000000
oooo0080oooo0`0000000`3oool0000000000004000000<0oooo0`0000030?ooo`80000000D0oooo
000000000000oooo000000030?ooo`030000003oool0oooo0080oooo0`000000103oool000000000
000000040?ooo`8000001P3oool2000000<0oooo2000000;0?ooo`H000006P3oool400000100oooo
0P0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`02000000d0oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00d0
oooo0`00000>0?ooo`030000003oool0oooo04X0oooo500000060?ooo`/000008`3oool900000080
oooo1P0000000`3oool0000000000002000000H0oooo2`0000000`3oool00000000000040?ooo`@0
000000<0oooo0000000000000`0000030?ooo`030000003oool0000000D0000000D0oooo00000000
000000000?ooo`03000000030?ooo`00000000000080oooo00<000000?ooo`000000100000000`3o
ool0000000000005000000030?ooo`000000000000<0000000<0oooo0000000000000`0000000`3o
ool0000000000006000000030?ooo`0000000000028000000P00okd3000000030?ooo`0000000000
00T000000`00^_l00`000000oooo00000008000000040?ooo`0000000000000000<0023o503oool0
00X0oooo3P0000000`00>?l000000000000c000000060?ooo`00000000000?ooo`000000oooo1`00
00000`3oool0000000000009000000030?ooo`000000oooo0080000000<0oooo0000000000000P00
00020?ooo`80000000@0oooo000000000000oooo10000000103oool000000000000000020?ooo`03
0000003oool0000000D00000103oool9000000@0oooo0P0000040?ooo`D0000000<0oooo0000003o
ool00P3oool00`000000oooo0?ooo`030?ooo`<0000000@0oooo0000000000000000103oool00`00
0000oooo0?ooo`050?ooo`8000000`3oool2000000030?ooo`000000000000<000003`3oool60000
00d0oooo1`00000C0?ooo`030000003oool0oooo0080oooo0P0000080?ooo`8000002P3oool01000
0000oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0@03ooolA000000<0oooo4000
000;0?ooo``00000703oool700000080oooo0`0000050?ooo`8000001P3oool6000000030?ooo`00
000000000080000000<0oooo0000003oool00`3oool:000000<0oooo00<000000?ooo`0000001@00
00001@3oool00000000000000000oooo00@0000000H0oooo0000003oool0oooo0000003oool50000
00030?ooo`000000000000@000000P3oool5000000030?ooo`000000000001<0000000<0oooo0000
000000006`0000000`00okd000000000000=000000<00;[o200000000`3oool00000000000040000
00<0023o503oool000X0oooo3P000002000hoa00000000<00=?o0000000000001@0000000`3oool0
000000000006000000030?ooo`000000000001h0000000@0oooo000000000000oooo1`0000001@3o
ool00000000000000000oooo00@0000000@0oooo0000003oool0oooo1@0000001P3oool000000000
003oool000000?ooo`8000000P3oool2000000030?ooo`00000000000080000000<0oooo0000003o
ool00`3oool2000000030?ooo`000000000000@00000103oool2000000<0oooo00<000000?ooo`00
00000`0000000`3oool000000?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`80
0000103oool2000000L0oooo0P0000030?ooo`80000000@0oooo000000000000oooo0`00000B0?oo
o`d000005P3oool400000080oooo0`0000080?ooo`8000002`3oool010000000oooo0?ooo`00000>
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool04@3oool2000000/0oooo00<00000
0?ooo`3oool0>@3oool=000000<0oooo2`0000050?oooah00000103oool;000001@0oooo1`000000
103oool000000000000000050?ooo`8000001P3oool6000000030?ooo`000000000000@00000103o
ool5000000030?ooo`0000000000008000000P3oool00`000000oooo00000005000000050?ooo`00
000000000000003oool01P000000103oool000000000003oool2000000040?ooo`000000oooo0?oo
o`H000000P3oool5000000030?ooo`00000000000080000000<0oooo0000000000001P0000000`3o
ool000000000000W000000030?ooo`000000000000T000000P00^_l:000000030?ooo`0000000000
0080000000<0oooo000Po`008?l0503oool000T0oooo3`000002000ho`P0000000@0oooo00000000
0000oooo100000000`00dol000000000000U000000030?ooo`000000oooo00L0000000<0oooo0000
000000002@0000000`3oool000000?ooo`02000000030?ooo`0000000000008000000P3oool50000
00030?ooo`00000000000080000000@0oooo00000000000000000P3oool00`000000oooo00000004
000000030?ooo`000000oooo00<0oooo0P000000103oool000000000003oool3000000@0oooo0P00
00030?ooo`030000003oool0000000<0000000<0oooo0000003oool00P3oool00`000000oooo0?oo
o`030?ooo`@0000000@0oooo0000000000000000103oool2000000<0oooo0P0000020?ooo`800000
0`3oool2000000030?ooo`000000000000H00000<03oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`00000?0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool04P3oool2000000T0oooo00<000000?ooo`3o
ool0<@3ooolH000000D0oooo2`00000;0?ooo`X000002@3oool:000000D0oooo0`00000D0?ooo`H0
000000@0oooo00000000000000001@3oool00`000000oooo0?ooo`050?ooo`P0000000@0oooo0000
003oool00000103oool5000000050?ooo`00000000000?ooo`0000000P3oool00`000000oooo0000
0005000000050?ooo`00000000000000003oool00P0000001@3oool00000000000000000oooo00D0
000000<0oooo0000003oool01`0000000`3oool0000000000003000000030?ooo`000000000000<0
000000<0oooo000000000000?00000001000^_l000000000003oool9000000040?ooo`0000000000
00000080023o503oool000T0oooo3`000003000ho`l000000P00dol@00000003003oXP0000000000
0100000000<0oooo0000000000002@0000000`3oool000000?ooo`04000000030?ooo`0000000000
00<0000000D0oooo00000000000000000?ooo`04000000040?ooo`000000oooo0?ooo`D0000000<0
oooo0000000000000P0000000`3oool00000000000030?ooo`030000003oool0000000D000001@3o
ool2000000040?ooo`00000000000?ooo`<00000103oool2000000<0oooo00<000000?ooo`000000
0`0000000`3oool00000000000020?ooo`030000003oool0oooo00@0oooo1`0000050?ooo`040000
003oool0oooo0?ooo`8000000`3oool2000000<0oooo100000000`3oool0000000000007000002L0
oooo1000000@0?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool000003`3oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo01@0oooo0P0000070?ooo`030000003oool0oooo
02L0oooo3`0000030?ooo`H00000103oool;000000H0oooo4000000:0?ooo`h000001@3oool60000
01T0oooo1@000000103oool000000000000000040?ooo`8000001`3oool7000000040?ooo`000000
oooo000000@0oooo200000001P3oool000000?ooo`3oool000000?ooo`H0000000D0oooo00000000
000000000?ooo`02000000050?ooo`00000000000000003oool01`0000000`3oool0000000000004
00000080oooo1@000000103oool000000000003oool:000000030?ooo`000000000003d0000000<0
oooo000000000000100000000`3oool0023o0?ooo`0C0?ooo`002@3oool?000000<003So3`000002
003Coa0000000P00oj8;000000040?ooo`00000000000?ooo`80000000L00?lZ0000000000000000
0?ooo`000000oooo00@0000000@0oooo000000000000oooo2`0000000`3oool000000?ooo`020000
00030?ooo`0000000000008000000P3oool5000000030?ooo`0000000000008000000P3oool20000
0080oooo0P0000000`3oool0000000000002000000030?ooo`000000oooo00<0oooo1P0000000`3o
ool00000000000050?ooo`<000000P3oool00`000000oooo0000000300000080oooo00<000000?oo
o`3oool00P0000050?ooo`@0000000@0oooo0000000000000000103oool2000000<0oooo0P000003
0?ooo`<00000103oool3000000030?ooo`000000000000X000007`3oool2000001<0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool05P3oool3000000@0oooo00<000000?ooo`3oool07P3oool@000000<0oooo20000004
0?ooo`H000001`3oool:00000080oooo8P0000040?ooo`X0000000<0oooo0000000000000`00000F
0?ooo`D0000000@0oooo0000000000000000103oool00`000000oooo0?ooo`050?ooo`L0000000<0
oooo0000000000000P0000030?ooo`/0000000<0oooo0000003oool01P0000001@3oool000000000
00000000oooo0080000000D0oooo00000000000000000?ooo`07000000030?ooo`000000000000@0
00000P3oool5000000030?ooo`00000000000080000000<0oooo000000000000200000000`3oool0
00000000000O000000030?ooo`000000000001X0000000<0oooo0000000000000P00000F0?ooo`00
2P3oool@00000003000ho`000000000000d000000`00dol?000000800?nR4@0000000`00obX0oooo
00000003000000030?ooo`000000000000D0000000<0oooo0000000000000`0000000`3oool00000
00000003000000030?ooo`000000000000H0000000@0oooo0000003oool0oooo1@0000000`3oool0
000000000002000000040?ooo`000000000000000080oooo00<000000?ooo`000000100000000`3o
ool000000?ooo`030?ooo`80000000D0oooo00000000000000000?ooo`02000000D0oooo0`000002
0?ooo`030000003oool0000000<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`000000
0`3oool01@000000oooo000000000000oooo00@00000103oool00`000000oooo0?ooo`020?ooo`80
0000103oool2000000D0oooo10000000103oool000000000003ooolG000000P0oooo1@0000090?oo
o`030000003oool0oooo00L0oooo0`00000;0?ooo`040000003oool0oooo000000P0oooo00<00000
0?ooo`3oool01P3oool010000000oooo0?ooo`00000:0?ooo`050000003oool0oooo0?ooo`000000
1`3oool00`000000oooo0?ooo`090?ooo`8000002P3oool3000000T0oooo7P0000050?ooo`D00000
1`3oool5000000L0oooo1P0000050?ooo`L000001@3ooolW000000@0oooo2P0000060?ooo`800000
2P3oool00`000000oooo00000008000000030?ooo`000000oooo008000001P3oool00`000000oooo
0000000400000080oooo00D000000?ooo`000000oooo000000020?ooo`D0000000P0oooo00000000
0000oooo0000003oool000000?ooo`<0000000@0oooo000000000000oooo0`000000103oool00000
0000003oool3000000030?ooo`00000000000080000000@0oooo0000003oool0oooo1@0000000`3o
ool000000?ooo`04000000030?ooo`000000000000@0000000<0oooo000000000000100000000`3o
ool0000000000002000000030?ooo`000000000003/0000000@0oooo00000000000000005@3oool0
00T0oooo1P0000000`3oool0000000000004000000050?ooo`000000000000000000>?l020000000
103oool000000000003oool300000003003Co`0000000=?o010000000P00oj8@000000800?lZ2`00
00000`3oool000000?ooo`020000000303go00000000000000H0000000<0oooo0000003oool00P00
0000103oool000000000000000040?ooo`P000000`3oool300000080oooo00<000000?ooo`000000
100000000`3oool000000?ooo`030?ooo`8000000P3oool2000000030?ooo`000000000000D0oooo
00<000000?ooo`0000000P3oool010000000oooo0000003oool2000000H0oooo00@000000?ooo`00
000000000P3oool2000000030?ooo`000000000000D000002@3oool3000000`0oooo0`00000I0?oo
o`L000002P3oool4000000T0oooo00<000000?ooo`0000002`3oool010000000oooo0?ooo`000008
0?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool000000`3oool00`3o6000oooo0?oo
o`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o40000P3oool0103o4000oooo0000
0000000;0?ooo`8000002@3oool00`000000oooo0?ooo`06000001T0oooo1@00001D0?oooa000000
0P3oool9000000D0oooo0`0000080?ooo`80000000<0oooo0000000000002@0000000`3oool00000
000000050?ooo`P0000000H0oooo0000003oool000000?ooo`0000020?ooo`P0000000D0oooo0000
003oool000000?ooo`03000000040?ooo`00000000000?ooo`<0000000<0oooo0000000000000`00
0000103oool000000000003oool2000000030?ooo`000000oooo00H0000000<0oooo000000000000
100000000`3oool000000000000d000000030?ooo`000000000000h0000000<0oooo000000000000
0P0000000`3oool0000000000004000001D0oooo00090?ooo`d0000000D0oooo0000000000000000
000ho`0A00000003003Co`000000000000h000000`00oj8:000000050?ooo`00000000000?ooo`00
00000P00obX3000000030?ooo`000000oooo00X000000P0mo`000`000000oooo0000000400000003
0?ooo`000000000000H0000000@0U_l00?ooo`3oool0oooo1@000000103oool00000000000000002
0?ooo`<000000P3oool2000000030?ooo`000000000000<0000000<0oooo0000003oool00`3oool2
00000080oooo0P0000000`3oool00000000000050?ooo`030000003oool000000080oooo00@00000
0?ooo`000000oooo0P0000060?ooo`030000003oool0oooo008000000P3oool01@000000oooo0?oo
o`000000oooo00@000002`3oool4000000/0oooo2`0000000`3oool000000000000=000000d0oooo
0P0000090?ooo`H000001@3oool00`3o<000oooo0?ooo`030?ooo`040000003oool0oooo000000L0
oooo00<0ob@00000003oool0203oool010000000oooo0?ooo`0000030?ooo`030?lH003oool0oooo
00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?l@00020?ooo`030?l@003oool0oooo
00800000203oool0103o4`00oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3oool01P3ooolI
00000640oooo4@0000000`3oool0000000000002000000D0oooo0`0000070?ooo`8000000P3oool9
00000080oooo0P0000050?ooo`030000003oool0000000@0000000<0oooo0000003oool010000000
0`3oool000000?ooo`06000000050?ooo`000000oooo0000003oool00`000000103oool000000000
003oool9000000030?ooo`000000000000D0000000<0oooo0000000000001@0000000`3oool00000
0000000200000080ooooC@0000000`3oool0000000000002000001D0oooo00090?oooa40000000<0
03So0000000000003`0000000`00dol0oooo0000000>000000800?nR40000003003o:P/0000000@0
oooo0000003oool000000`0mo`07000000030?ooo`00000000000080000000<0oooo000000000000
0P2Fo`030?ooo`T000000P3oool3000000030>7o003oool000000080oooo100000000`3oool00000
0?ooo`040?ooo`80000000@0on40000000000000oooo0`0000050?ooo`030000003oool000000080
oooo00@000000?ooo`000000oooo0`0000050?ooo`8000000P3oool00`000000oooo0?ooo`020000
00040?ooo`00000000000?ooo`@000003@3oool400000180oooo1`00000B0?ooo`@00000103oool0
0`3o?@00oooo0?ooo`020?ooo`80000000@0oooo00000000000000001P3oool00`3o<000oooo0?oo
o`020?ooo`8000000P3oool00`000000oooo0?ooo`050?ooo`040?lT00000000oooo0?lT00L0oooo
00@000000?ooo`3oool000000`3oool0103o6000oooo0?ooo`3o60050?ooo`030000003oool0oooo
0080oooo00H000000?ooo`3oool0oa000?ooo`3o40030?ooo`030000003oool0oooo00L0oooo00<0
oa<00?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool0Q`3oool>000000040?nU0000
00000000000000D0oooo100000050?ooo`040000003o`00000000?ooo`T000000P3oool020000000
oooo0?ooo`3oool0on@00?ooo`000000oooo1@0000002P3oool000000000003oool000000?ooo`00
0000oooo0000003oool3000000080?ooo`00000000000?ooo`000000oooo0000003oool300000004
0?ooo`00000000000?ooo`80000000@0oooo000000000000oooo0`0000000`3oool0000000000005
000000030?ooo`000000000000<0000000<0oooo0000003oool0100000000`3oool000000000001=
000000040?ooo`0000000000000001@0oooo00090?ooo`h0000000D0oooo0000000000000000000h
o`0<000000030?ooo`00000000000080000000<00=?o0000000000003P0000000`3oool00?nR0000
000:000000070?ooo`00000000000?ooo`00obX00000003o:P05000000030?ooo`000000000000P0
000000@0?Ol00000000mo`00oooo1@0000020?ooo`@0000000<0oooo0000000000000`2Fo`000`3o
ool0000000000007000000<0oooo0P0000020>7o00030?ooo`000000oooo0080000000D0oooo0000
00000000oooo000000050?ooo`030000003oh@00on400080000000@0oooo00000000000000001@3o
ool00`000000oooo000000020?ooo`80ok0000<000000?ooo`0000000P0000060?ooo`040000003o
ool0oooo000000<0oooo0P000000103oool000000000003oool4000000l0oooo0`00000N0?ooo`03
0?m:003oool0oooo00@0oooo0`0000070?ooo`040?lm003oool0oooo0?ooo`80000000<0oooo0000
00000000203oool01P3o<000oooo0?l`003o<000oooo000000<0oooo00<000000?ooo`3oool01P3o
ool00`3o9000oooo0?lT00070?ooo`040000003oool0oooo000000@0oooo00<0oaP00?ooo`3o6000
1P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oa00103oool2000000T0oooo
00<0oa<00?ooo`3oool00`3oool300000080oooo00<000000?ooo`3oool00P3oool20?lP0100oooo
0`3o<0160?ooo`<0ofh0403oool00`3oOP00oooo0?ooo`0?0?ooo`80oi00203oool8000000030?oo
o`000000ojD000D000001P3oool2000000D0oooo00@0ol00000000000000oooo200000020?ooo`80
00000P3oool00`3oi000oooo0000000600000080oooo00P000000?ooo`000000oooo0000003oool0
00000>go00<0000000@0oooo000000000000oooo0`0000001@3oool00000000000000000oooo0080
000000@0oooo0;?o00000000oooo0P0000001@3oool00000000000000000oooo00@0000000@0oooo
0000003oool0oooo1@0000000`3oool0000000000004000000030?ooo`000000000002h0000000<0
oooo0000000000001@0000000`3oool000000000000;000000030?ooo`00000000000080000000<0
oooo0000000000001000000D0?ooo`002@3oool00`1f0?l000000000000;000000050?ooo`000000
000000000000>?l04@0000000`00dol000000000000>000000030?ooo`00oj8000000100000000<0
0?lZ0?ooo`0000002P000000103oool000000?ooo`00000203go00P0000000<0oooo000000000000
0P0000001@3oool000000000002Fo`00oooo0080U_l000<0oooo0000000000000`000000103oool0
00000000000000020?ooo`80000000<0hOl00000003Qo`000P0000000`3oool00000000000030000
00030?ooo`000000oooo00@0oooo00T000000?oQ003oh@00on400000003oool000000?ooo`000000
1@3oool4000000050?ooo`3o/000ok000?n`003oool00`0000060?ooo`80000000<0oooo00000000
00000P3oR`00103oool000000?ooo`3oool2000000030?ooo`000000000000<00000103oool60?m^
00D0oooo100000030?ooo`H0oeT03P3oool30?m:0080oooo1@0000080?ooo`D0ocd000@000000?oo
o`00000000002@3oool30?l`0080oooo00D000000?ooo`3oool0oooo000000080?ooo`<0ob@01`3o
ool01@000000oooo0?ooo`3oool0000000<0oooo0`3o60070?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo0?l@00050?ooo`030000003oool0oooo00@0oooo0`3o4`000`3oool0
oa<00?lC00060?ooo`@000001@3oool30?lP0100oooo0`3o<00<0?ooo`H0ocl0303oool60?m?00d0
oooo1P3oG`0?0?ooo`<0ofh0200000060?ooo`<0ogh0403oool20?n@00X0oooo1`0000020?nU00H0
00001@3oool2000000030?ooo`3o`000ol000080ol0000@0oooo000000000000oooo200000020?oo
o`@0on@00P3oool00`000000oooo00000004000000030?ooo`000000oooo00<0000000<0kOl00000
003]o`000`000000103oool000000000003oool3000000050?ooo`00000000000000003oool00P00
0000102co`0000000000003oool3000000030?ooo`000000000000D0000000<0oooo0000003oool0
0P1/o`05000000030?ooo`00000000000080000000<0oooo0000000000000`0000000`0Fo`000000
0000000?00000003003oCP00000000000100000000<00?o40000000000003`0000000`00/ol00000
0000000>000000030?ooo`006_l0000000800000503oool000T0oooo3P0000000`3oool000000000
0007000000030?ooo`000000000000X0000000<0oooo0000000000002`0000001P3oool000000000
003oool000000?oooaH0000000<0oooo0000000000004@0000020?ooo`@0000000@0oooo00000000
0000U_l0103oool900000080oooo0P0000000`3Qo`00oooo0>7o0002000000030?ooo`0000000000
00<0000000<0oooo0000003oool0103oool02@3oh@00oooo0?ooo`3oh@0000000?ooo`000000oooo
000000050?ooo`80000000D0oooo0000003o/000oooo000000020?n`00@000001P3oool200000003
0?ooo`000000oh/000<0oh/000<000000?ooo`3oool00P0000000`3oool0000000000003000000<0
oooo00<0ofh00?ooo`3oool02`3oool500000080oeT03`0000060?m:00`0oooo0`3o?@0200000003
0?ooo`000000000000X0oooo0P3o<0020?ooo`8000000P3oool2000000P0oooo00<000000?lT003o
ool01`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<0oaP00?ooo`3oool01`3oool00`00
0000oooo0?ooo`060?ooo`030?l@003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool30?lC
00P0oooo00@000000?ooo`00000000000`3o800B0?ooo`80oc00403oool20?lo0140oooo0P3oC`0>
0?ooo`8000000P3oG`000`000000oooo0000000=00000080ofh03`3oool50?mn00d0oooo1P3oT00<
0?ooo`H0ojD000<0oooo000000000000100000050?ooo`80000000@0oooo0?o0003o`000ol000P3o
ool2000000030?ooo`000000000000H000000P3oool30?oT0080oooo1`0000001P3oool000000000
003oool000000?ooo`<0kOl00`000000103oool000000000003oool3000000050?ooo`0000000000
0000002co`000P000000102co`0000000000003oool3000000030?ooo`000000000000H0000000<0
K?l00?ooo`1/o`002`0000000`3oool0000000000003000000805_l0400000000`00odh000000000
000?00000003003oa0000000000000l0000000<00;?o0000000000003`0000000`006_l0oooo0000
0002000001<0oooo00090?ooocH0000000<0oooo000000000000500000000`3oool000000?ooo`06
000000030?ooo`000000oooo0080000000<0oooo0000000000001P0000000`3oool0000000000007
000000<0oooo1@000000103oool000000000000000020?ooo`040000003oool0hOl000000080oooo
0P0000000`3oool0000000000003000000030?ooo`000000oooo00@0oooo00<0on400?ooo`3oool0
0P000000103oool000000?ooo`0000050?ooo`@0000000<0ok000?ooo`0000000P0000000`3oool0
000000000002000000H0oooo00D000000?ooo`3oool0oh/0000000020?ooo`8000000P3oool20000
00030?ooo`000000000000@0000000<0oooo0?m^003oKP004P3oool20?mI01d0oooo2000000=0?oo
o`<000000`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00@000000?oo
o`3oool000003P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool00`3oool6000000/0oooo0P3o<00@0?ooo`80ocl04@3oool20?m?00H0oooo2P000002
0?mO00@0000000<0oooo0000000000002@0000020?m^01d000006`3oool6000000040?ooo`000000
00000?ooo`8000001@3oool2000000H0oooo100000000`3oool000000000000400000080oooo0P3o
i0030?ooo`H000000P3oool010000000oooo0000003oool20>go00@0000000@0oooo000000000000
oooo0`000000103oool000000000000000030;?o00L0000000<0oooo0000003oool01P00000306co
00@0000000<0oooo00000000000010000000103oool0000000000000000301Ko010000000P00odhA
00000003003oa0000000000000l0000000<00;?o0?ooo`0000001`0000001@3oool0000000000000
0000oooo00<0000000@001[o00000000000000004`3oool000T0oooo0P0000000`3oool000000000
000:000000030?ooo`000000000000h0000000<0oooo0000000000004`0000000`3oool000000000
0006000000030?ooo`000000000000P0000000<0oooo000000000000200000000`3oool000000000
000<00000080oooo00D000000?ooo`00000000000?ooo`03000000@0oooo0P000000103oool00000
0000003oool300000080oooo100000020?ooo`030000003oool0000000D0000000<0oooo0000003o
ool00`3oool0103oh@0000000?ooo`3oool2000000040?ooo`000000oooo000000D0oooo00D00000
0?ooo`000000oooo0?n`00020?ooo`80000000D0oooo000000000000oooo000000060?ooo`800000
00<0oooo0?n;000000000P0000000`3oool00000000000020?ooo`X0000000<0ofh00?ooo`3oool0
:P3oool4000000030?ooo`00000000000100oooo0P0000040?ooo`800000203oool2000000X0oooo
00D000000?ooo`3oool0oooo0000000>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0h0?ooo`h0000000<0oooo0000000000002@0000060?oooad0
00001`3oool5000001P0oooo2@0000000`3oool00000000000050?ooo`8000001P3oool400000005
0?ooo`00000000000000003oool00P0000000`3oool000000?ooo`040?ooo`H0000000T0oooo0000
003oool000000?ooo`000000kOl00000003oool00P000000103oool000000000003oool300000003
0?ooo`0000000000008000000P2co`09000000030?ooo`00000000000080000000@0oooo0000001/
o`00K?l01@0000000`3oool0000000000003000000030?ooo`0000000000008000000P0Fo`0?0000
0003003oCP0000000?m>014000000P00ol@@00000003002co`000000000000H0000000<0oooo0000
000000001@0000000`3oool001[o00000002000001<0oooo00090?ooo`l0000000<0oooo00000000
00001@0000000`3oool000000000000M000000030?ooo`000000000001@0000000<0oooo0000003o
ool01P0000000`3oool000000?ooo`02000000030?ooo`000000000000H0000000<0oooo00000000
00001`0000040?ooo`80000000<0oooo000000000000100000020?ooo`@0000000@0oooo00000000
0000oooo1@0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P000000103o
ool000000000000000050?ooo`050000003oool000000?ooo`0000000P3oool3000000040?ooo`00
0000oooo000000L0oooo0P0000030?ooo`80000000<0oooo0000000000000P000000103oool00000
0000003oool9000002P0oooo1@00000@0?ooo`8000001@3oool00`000000oooo0?ooo`060?ooo`80
00002`3oool01@000000oooo0?ooo`3oool0000000l0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo0300oooo3@0000040?ooo`H000001P3oool;0000
00`0oooo1P00000;0?ooo`X000000P3oool4000001L0oooo200000000`3oool00000000000050?oo
o`030000003oool0oooo00D0oooo20000000103oool000000?ooo`0000050?ooo`H0000000L0oooo
0000003oool000000?ooo`000000oooo00@0000000@0oooo000000000000oooo0`0000000`3oool0
000000000003000000030?ooo`000000000000@0000000<0oooo0000000000001@000000103oool0
00000?ooo`1/o`0;000000030?ooo`0000000000008000000P0Fo`0;000000040?ooo`0000000000
000000<00?m>3`000003003oa0d0000000@0oooo0000000000000;?o4@0000000`006_l0oooo0000
000200000180oooo00090?ooo`l0000000<0oooo0000000000009@0000000`3oool000000000000A
000000030?ooo`000000000000P0000000<0oooo000000000000300000020?ooo`P00000103oool5
000000030?ooo`00000000000080000000<0oooo0000003oool00`000000103oool000000000003o
ool2000000050?ooo`00000000000?ooo`0000001P3oool00`000000oooo0?ooo`02000000030?oo
o`000000000000800000103oool600000080oooo1`0000070?ooo`030000003oool0oooo0080oooo
0P0000030?ooo`H000000P3oool9000001h0oooo1P00000C0?ooo`8000000`3oool4000000P0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0W0?oooa00000000<0oooo000000000000
1`0000020?ooo`X000000`3ooolE000000@0oooo4@0000050?ooo`D000006`3oool;000000<0oooo
0P0000070?ooo`D0000000D0oooo0000003oool000000?ooo`02000000@0oooo1P0000001`3oool0
00000?ooo`000000oooo0000003oool010000000103oool000000000003oool3000000030?ooo`00
0000000000<0000000@0oooo000000000000oooo0`0000000`3oool0000000000007000000030?oo
o`000000000000<0000000<0oooo000000000000100000000`3oool00000000000020000000301Ko
00000000000000h000000P00odh9000000030?ooo`000000000000@000000P00ol@@00000003002c
o`0000000;?o00P0000000<0oooo0000000000001@00000010006_l0000000000000000B0?ooo`00
2@3oool@000000030?ooo`000000000000h0000000<0oooo0000000000004@0000000`3oool00000
0000000=000000030?ooo`000000000000L0000000<0oooo0000003oool01P0000000`3oool00000
0?ooo`02000000030?ooo`000000000000H0000000D0oooo00000000000000000?ooo`05000000@0
oooo0P000000103oool000000000003oool300000080oooo100000020?ooo`80000000<0oooo0000
000000000`0000000`3oool000000?ooo`050?ooo`030000003oool0oooo0080000000D0oooo0000
00000000oooo000000050?ooo`050000003oool000000?ooo`0000000P3oool7000000L0oooo0P00
00040?ooo`800000103oool2000000030?ooo`0000000000008000000P3oool>000000l0oooo1P00
000G0?ooo`8000003`3oool200000100oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool07@3oool@000000<0oooo2000
00020?ooo`T000000`3oool:00000080oooo9P0000020?ooo`l00000603oool5000000040?ooo`00
000000000?ooo`8000000`3oool00`000000oooo0?ooo`050?ooo`X0000000<0oooo0000003oool0
0`3oool:000000030?ooo`000000oooo00@0000000@0oooo000000000000oooo0`0000000`3oool0
000000000006000000050?ooo`00000000000000003oool02@0000000`3oool00000000000030000
00030?ooo`000000000000<0000000<0oooo00000000000050000002003oCPl000000`00ol@>0000
0004002co`0000000;?o002co`L0000000<0oooo0000000000001@0000000`3oool001[o00000002
00000180oooo00090?ooo`<0000000<0oooo0000000000002P0000000`3oool000000000000U0000
00030?ooo`000000000000L0000000<0oooo0000000000000P0000000`3oool00000000000020000
00030?ooo`000000000000P0000000<0oooo0000000000003@0000000`3oool00000000000060000
00D0oooo0P000000103oool000000000003oool300000080oooo100000020?ooo`P0000000<0oooo
0000003oool01@3oool00`000000oooo0?ooo`02000000050?ooo`00000000000?ooo`0000001@3o
ool01@000000oooo0000003oool0000000<0oooo1`0000070?ooo`800000103oool400000080oooo
0P0000030?ooo`@000000P3oool3000000030?ooo`000000000001D000001`3oool4000000/0oooo
00<000000?ooo`3oool00P0000070?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool0
00002`3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00D0oooo00@000000?oo
o`3oool000002`3oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`09
0?ooo`8000002P3ooolK000000P0oooo100000080?ooo`8000002P3oool2000000T0oooo0`000009
0?ooobL000000P3oool:000000P0oooo0P00000:0?ooo`030000003oool0000000H0000000D0oooo
00000000000000000?ooo`02000000L0oooo1@000000203oool000000?ooo`000000oooo0000003o
ool000000`3oool4000000030?ooo`000000oooo0080000000<0oooo0000003oool010000000203o
ool000000000003oool000000?ooo`000000oooo0`0000000`3oool0000000000006000000030?oo
o`000000oooo00<0000000<0oooo0000000000000P3oool;000000030?ooo`000000000000<00000
00<0oooo0000000000003P0000000`00odh000000000000>000000800?o43`000003002coa000000
0P006_l300000140oooo00090?ooo`<0000000<0oooo000000000000200000000`00;Ol000000?oo
o`02000000030?ooo`00000000000080000000<0oooo0000000000007@0000000`3oool000000000
000;000000030?ooo`000000000000L0000000<0oooo0000003oool01P0000000`3oool000000?oo
o`02000000030?ooo`000000000000H0000000D0oooo00000000000000000?ooo`05000000@0oooo
0P0000020?ooo`030000003oool0000000<000000P3oool010000000oooo0000000000020?ooo`H0
000000@0oooo0000003oool000001P3oool00`000000oooo0?ooo`02000000050?ooo`0000000000
0?ooo`0000001`3oool010000000oooo0000000000030?ooo`L000003`3oool3000000P0oooo1`00
000G0?ooo`H000002P3oool8000000L0oooo0P0000070?ooo`80000000<0oooo0000000000002`3o
ool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0
oooo0000000;0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0000000<00000M@3oool?00000080oooo2P0000050?ooo`<0
0000203oool2000000030?ooo`000000000000D0000000D0oooo00000000000000000?ooo`020000
00H0oooo1`0000001P3oool000000?ooo`000000oooo000000<0oooo100000000`3oool000000?oo
o`02000000030?ooo`000000oooo00@0000000<0oooo0000000000000P0000000`3oool000000?oo
o`03000000030?ooo`000000000000D000000P3oool5000000040?ooo`00000000000?ooo`D00000
00<0oooo0000000000000`0000000`3oool000000000000V00000003003oa0000000000000d00000
0`00/ol?00000003000Jo`3oool001[o00<000004@3oool000T0oooo3P000002000]oa00000000<0
0<So0000003oool0300000000`3oool0000000000007000000030?ooo`000000000000L0000000<0
oooo0000000000000P0000000`3oool0000000000002000000030?ooo`000000000000<0000000<0
oooo0000000000000P0000000`3oool000000000000=000000050?ooo`00000000000000003oool0
1@0000040?ooo`80000000@0oooo000000000000oooo10000000103oool000000?ooo`3oool20000
0080oooo1P000000103oool000000?ooo`0000060?ooo`060000003oool0oooo0?ooo`000000oooo
100000070?ooo`80000000<0oooo0000000000000P3oool3000000030?ooo`000000000000800000
403oool2000000d0oooo5`00000=0?ooo`P00000203oool2000000L0oooo0P0000020?ooo`030000
003oool0oooo00T0oooo0P0000000`3oool00000000000080?ooo`030000003oool0oooo00H0oooo
00@000000?ooo`3oool00000303oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`D00000NP3oool:00000080
oooo0P0000020?ooo`@000001@3oool3000000L0oooo0P0000000`3oool000000000000500000005
0?ooo`00000000000000003oool00P0000050?ooo`T0000000<0oooo0000003oool00P0000020?oo
o`T0000000<0oooo0000003oool0100000000`3oool000000?ooo`02000000030?ooo`0000000000
00@0000000<0oooo000000000000100000020?ooo`P0000000<0oooo0000000000000`0000000`3o
ool0000000000003000000030?ooo`000000000000<0000000<0oooo000000000000<0000002002c
oa0000000P006_l300000140oooo00090?ooo`h000000P00;Ol00`000000oooo0000000=00000080
0<So5`0000000`3oool0000000000002000000030?ooo`00000000000100000000<0oooo0000003o
ool01P0000000`3oool000000?ooo`02000000050?ooo`00000000000000003oool0100000000`3o
ool000000?ooo`07000000D0oooo00<000000?ooo`3oool00P0000000`3oool00000000000020000
00030?ooo`000000oooo00<000000P3oool6000000040?ooo`000000oooo000000H0oooo0P000002
0?ooo`80000000<0oooo0000000000000P0000070?ooo`040000003oool0oooo000000<0oooo0`00
00000`3oool0000000000002000000@0oooo00<000000?ooo`3oool02@3oool3000002P0oooo2@00
00080?ooo`D000001`3oool200000080oooo0P00000;0?ooo`040000003oool00000000000P0oooo
0P0000080?ooo`050000003oool0oooo0?ooo`000000303oool00`000000oooo0?ooo`0;0?ooo`80
0000203oool00`000000oooo0?ooo`080?oooa400000KP3oool<00000080oooo100000050?ooo`@0
00001@3oool:000000060?ooo`00000000000000003oool000001P3oool5000000030?ooo`000000
000000<0000000@0oooo0000003oool0oooo1@0000001`3oool00000000000000000oooo0000003o
ool0100000000`3oool000000?ooo`03000000030?ooo`000000000000X0000000<0oooo00000000
00001`0000001@3oool00000000000000000oooo00H000000P3ooolh00000003002co`000000oooo
00h000000`006_l300000100oooo00090?ooo`@0000000<0oooo0000000000001`000003000]o`03
0?ooo`000000000000`000000P00b?lA00000007003o[`00000000000000003oool000000?ooo`02
000000030?ooo`000000000000X0000000<0oooo0000000000000`0000000`3oool0000000000002
000000030?ooo`00000000000080000000<0oooo0000000000003@0000001@3oool0000000000000
0000oooo00D000001@3oool010000000oooo0?ooo`0000020?ooo`<000000P3oool010000000oooo
0000000000030?ooo`030000003oool0000000<0000000<0oooo0000003oool00P0000050?ooo`80
00000`3oool00`000000oooo00000003000000L0oooo00<000000?ooo`3oool00P0000030?ooo`<0
00000P3oool400000080oooo0P00000<0?ooo`P000006P3oool6000000030?ooo`000000000000<0
00002@3oool2000000X0oooo0P0000020?ooo`800000303oool00`000000oooo000000090?ooo`03
0000003oool0oooo00P0oooo00@000000?ooo`3oool000003@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0R`3oool;00000080oooo100000060?oo
o`8000001P3oool:000000030?ooo`0000000000008000001@3oool7000000060?ooo`000000oooo
0000003oool000000P3oool5000000030?ooo`000000000000<0000000<0oooo0000000000000P00
00000`3oool000000?ooo`03000000040?ooo`00000000000?ooo`T0000000<0oooo000000000000
0`0000000`3oool00000000000020?ooo`@0000000<0oooo0000000000000`0000000`3oool00000
000000180000008001[o0`00000@0?ooo`002@3oool>0000008002go00<00000000]o`0000003P00
00020038o`d0000000<0oooo0000000000000P00ojl5000000030?ooo`00000000000080000000<0
oooo000000000000400000000`3oool000000?ooo`06000000030?ooo`000000000000`0000000<0
oooo0000000000001P0000050?ooo`8000000P3oool00`000000oooo0?ooo`0300000080oooo00@0
00000?ooo`00000000000`3oool01@000000oooo000000000000oooo00<000000P3oool00`000000
oooo000000030?ooo`8000000`3oool00`000000oooo00000003000000L0oooo0P0000020?ooo`80
00000`3oool300000080oooo100000020?ooo`@00000403ooolQ000000/0oooo0`00000:0?ooo`80
00000P3oool2000000`0oooo100000090?ooo`030000003oool0oooo00L0oooo0P0000020?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0700oooo1P00000H0?ooo`/000000P3oool3000000H0oooo0P0000060?ooo`@0
000000<0oooo0000000000000`0000000`3oool000000?ooo`02000000D0oooo200000000`3oool0
00000?ooo`02000000030?ooo`000000oooo00<0000000<0oooo0000000000000`0000000`3oool0
000000000002000000030?ooo`000000oooo00<0000000D0oooo00000000000000000?ooo`080000
00030?ooo`000000000000<0000000@0oooo000000000000oooo2P0000020?ooocD0000000<0oooo
0000000000004@0000000`3oool001[o0000000200000100oooo00090?oooa00000000<002go0000
003oool03P0000020038oa0000000P00ojl5000000040?ooo`00000000000?ooo`L0000000<00?lh
0000003oool00P0000000`3oool0000000000003000000030?ooo`00000000000080000000<0oooo
0000000000000P0000000`3oool0000000000004000000030?ooo`000000000000H0000000D0oooo
0000003oool000000?ooo`05000000D0oooo00<000000?ooo`3oool00P0000000`3oool000000000
000200000080oooo00@000000?ooo`00000000000`3oool00`000000oooo0000000500000080oooo
00<000000?ooo`000000103oool200000080oooo0P0000000`3oool0000000000002000000<0oooo
0P0000020?ooo`8000000P3oool2000000<0oooo0`0000020?ooo`D000000`3oool4000001d0oooo
2@00000?0?ooo`<000002`3oool200000080oooo0P00000<0?ooo`80000000<0oooo0000003oool0
2@3oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`0000003P3oool200000100
oooo0P0000050?ooo`030000003oool0oooo0580oooo4@00000<0?ooo`P000006`3oool:00000080
oooo0`0000050?ooo`8000001P3oool9000000040?ooo`00000000000?ooo`800000103oool50000
00030?ooo`000000000000<0000000<0oooo0000003oool01@000000103oool000000?ooo`3oool2
000000030?ooo`000000oooo0080000000<0oooo0000003oool01`0000000`3oool000000000000?
000000030?ooo`000000000000P0000000<0oooo0000000000009@0000000`3oool000000000000I
000000030?ooo`00000000000080000000@0oooo000000000000oooo0`00000?0?ooo`002@3oool@
00000003000]o`000000oooo00h000000`00b?l@000000800?n_1@0000000`3oool0000000000002
000000030?ooo`0000000000008000000P00ocP>000000040?ooo`000000000002ko00<0000000<0
oooo0000000000002@000000203oool000000000003oool000000?ooo`000000oooo1@0000050?oo
o`030000003oool0oooo0080000000<0oooo0000000000000P0000020?ooo`040000003oool00000
000000<0oooo00<000000?ooo`0000001@0000020?ooo`030000003oool0000000@0oooo0P000002
0?ooo`80000000<0oooo0000000000000P0000040?ooo`040000003oool0oooo0?ooo`<0000000<0
oooo000000000000103oool3000000030?ooo`000000000000<000001@3oool5000002X0oooo1P00
000;0?ooo`L000003@3oool010000000oooo0000000000090?ooo`8000002@3oool01@000000oooo
0?ooo`3oool0000000l0oooo00<000000?ooo`3oool0303oool00`3o3000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0@`3oool4000000030?ooo`000000000002h0
00007P3oool900000080oooo0P0000050?ooo`8000001P3oool9000000050?ooo`00000000000?oo
o`000000103oool7000000060?ooo`000000oooo0000003oool000000P3oool600000080oooo0P00
00000`3oool000000?ooo`02000000030?ooo`000000oooo00l0000000<0oooo0000000000001`00
00000`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00000`3oool0000000000005000000030?ooo`000000000003h000003`3oool000T0oooo1@000000
0`3oool000000000000900000003000]o`000000000000h0000000<00<So00000000000030000000
1P3oool0000000000000ojl00000003o[`@0000000H0oooo000000000000oooo0000003oool40000
00<00?lh00@0oooo000000000000oooo1@0000000`3oool0000000000002000000060?ooo`000000
;_l002ko00000000oooo100000000`3oool000000?ooo`070000000308Go00000000oooo00D00000
00@0oooo00000000000000001@3oool00`000000oooo0?ooo`02000000030?ooo`00000000000080
00000P3oool010000000oooo0000000000030?ooo`030000003oool0000000D000000P3oool01000
0000oooo0000000000030?ooo`8000000`3oool2000000030?ooo`0000000000008000000`3oool2
000000@0oooo0P0000000`3oool00000000000040?ooo`<000000`3oool5000000H0oooo1000000P
0?ooo`H000003`3oool400000100oooo0P0000000`3oool000000?ooo`090?ooo`030000003oool0
oooo00/0oooo00<0obD00?ooo`0000003`3oool00`3o5@00oooo0?ooo`050?ooo`030?noM0000000
00000080000000<0o``0001d_`3o30001@3oool200000080oooo00<000000?ooo`3oool0>P3ooolH
000000L0oooo9P00000J0?ooo`T0000000<0oooo0000000000001@3oool2000000H0oooo2@000000
103oool000000?ooo`0000050?ooo`P0000000@0oooo0000003oool000000P3oool600000080oooo
0P0000000`3oool000000?ooo`02000000050?ooo`000000oooo0000003oool03@0000000`3oool0
000000000003000000040?ooo`00000000000?ooo`<0000000<0oooo000000000000100000020?oo
o`<0000000<0oooo000000000000@P0000000`3oool0000000000003000000h0oooo00090?oooa40
000000<002go0000003oool03`0000000`00b?l000000000000>000000800?n_2`0000000`3oool0
00000000000200000003003o>00000000?lh00l000000`0^o`02000000030?ooo`000000000000<0
000000<0oooo0000000000000`0000000`3oool0QOl008Go00020?ooo`80000000<0oooo00000000
0000100000040?ooo`040000003>o`00oooo0?ooo`80000000<0oooo0000000000000P0000020?oo
o`@000000`3oool00`000000oooo0000000500000080oooo00@000000?ooo`3oool000000`3oool2
000000<0oooo0P0000000`3oool0000000000002000000@0oooo00<000000?ooo`3oool00`3oool2
000000030?ooo`000000000000D0oooo100000000`3oool0000000000006000000D0oooo1P00000C
0?ooo`L000004P3oool4000000/0oooo00<0od<00?ooo`3oool00`3oool2000000030?ooo`000000
000000L0oooo00@0oc@00?ooo`3oool000003@3oool00`3o9@00oooo0000000?0?ooo`030?lE003o
ool0oaD000T0oooo00<0W4Q809cOo`3oool00P3o30060?ooo`80000000<0oooo0000003oool00`3o
ool00`3o5000oooo0?ooo`0/0?ooo`/000000`3oool9000000<0oooo3P00000C0?ooo`l000008@3o
ool;000000030?ooo`3o`P00oooo0080oooo00<000000?ooo`3oool01@3oool6000000030?ooo`00
0000000000@00000103oool5000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`H0
00000P3oool2000000030?ooo`000000oooo00@0000000<0oooo0000003oool00`0000000`3oool0
000000000007000000030?ooo`000000000000H0000000<0oooo000000000000200000000`3oool0
000000000003000000030?ooo`000000000000D0000000<0oooo000000000000<P0000000`3oool0
000000000005000000040?ooo`0000000000000000h0oooo00090?ooo`030000003oool0000000h0
000000<002go0000003oool02@0000000`3oool0000000000003000000030038o`000000oooo00P0
000000D0oooo00000000000000000?ooo`0200000003003o[`000000000000@0000000<0oooo0000
000000000P0000000`3oool0000000000002000000800?lh00D000000?ooo`00000000000?ooo`05
0000000;0?ooo`00000000000?ooo`000000oooo0000000^o`00000002ko003oool0100000000`3o
ool000000?ooo`06000000080?ooo`25o`00QOl008Go00000000oooo0000003oool6000000@0oooo
0P3>o`000`3oool00000000000020?ooo`@000000P3oool400000080oooo00<0ooH0000000000000
0`0000000`3oool00000000000020?ooo`80000000<0oooo0000003oool00P3oool20?o700030000
003oool0oooo00<0000000<0oooo0000000000000P0000030?ooo`8000001@3oool2000000030?oo
o`000000000000D0oooo3`0000070?oooa<00000103oool00`3oH@00oooo0?ooo`0=0?ooo`800000
00<0oe800000000000000P00000<0?ooo`030?m3003oool0oooo0080oooo0P0000000`3oool00000
000000080?ooo`040?ld003oool00000000000d0oooo00<0obD00?ooo`0000000P3o9@0=0?ooo`03
0?lE00000000oaD000X0oooo00H0W4Q809cOo`3oool0o``00?ooo`3o30060?ooo`<000001@3oool0
0`3o5000oooo0?ooo`0>0?ooo`030?lU003oool0oooo0140oooo3@0000020?ooo`P000000`3oool9
000000@0oooo:`0000000`3oool000000000000500000080ohh000<000000?ooo`3oool03P3oool0
0`3oY@00oooo0?ooo`060?ooo`H0000000<0oooo0000000000000P000000103o`P00oooo0?ooo`3o
ool2000000L0oooo10000000203oi`00oooo0?ooo`000000oooo0000003oool00000103oool70000
00050>Wo003oool000000?ooo`0000000P3oool600000080oooo0P0000000`3oool000000:ko000:
000000030?ooo`000000000001D0000000<0oooo0000000000000`0000001@3oool0000000000000
0000oooo03`0000000<0oooo0000000000002P00000>0?ooo`002@3oool00`000000oooo00000003
000000050?ooo`00000000000000003oool01`0000000`00;Ol000000000000?000000030038o`00
0000000000/0000000D0oooo0000000000000000003o[`05000000030?ooo`000000000000P00000
00<00?lh0000000000002P0000000`3oool000000000000200000080;_l00`0000000`3oool00000
00000003000000030?ooo`000000000000@000000P25o`0020000000QOl00000003oool000000?oo
o`000000oooo0`0000050?ooo`<0c_l00P0000020?ooo`@000000P3oool4000000040?ooo`3omP00
ooH00?of00@0000000<0oooo0000000000000`3oool010000000oooo0000000000020?ooo`<0olL0
0`3oool3000000030?ooo`0000000000008000000`3oool30?nS00@0oooo0P0000000`3oool00000
00000002000000@0oooo00<000000?n7003oQ`00103oQ`0<000000H0og803`3oool20?mQ0100oooo
0P3oDP02000000d0oooo1@3o@`02000000`0oooo00@0oc@00?ooo`3o=000oc@03P3oool30?lU00l0
oooo0P3o5@0;0?ooo`0409a8B02Lgol0oooo0?ooo`80o``0203oool00`000000oooo0?ooo`040?oo
o`80oa@03`3oool20?lU00<0oooo300000030?lf00<000000P3oool9000000030?ooo`3oA`00odL0
00@0odL0100000040?ooo`D000001P3oF@000`3oool0000000000009000000<0ofT08P0000020?oo
o`80ohh01000000<0?ooo`80ojD0203oool6000000040?ooo`00000000000?o2008000000`3oool0
0`000000oooo0?ooo`050?ooo`@0000000<0onL00?ooo`3oool00`0000000`3oool000000?ooo`04
0?ooo`H0000000D0jOl0000000000000oooo000000020?ooo`H000000P3oool2000000050?ooo`00
0000[_l00000003oool02@0000000`3oool00000000000030000000306Ko00000000oooo00P00000
00D0oooo00000000000000000?ooo`06000000030?ooo`000000000004H0000000<0oooo00000000
00000`00000=0?ooo`002@3oool00`1o0?l0000000000003000000030?ooo`000000000000T00000
00<002go0000000000003`0000000`00b?l000000?ooo`0?00000003003o[`000000000000@00000
00<0oooo0000000000000P0000000`3oool000000000000300000003003o>0000000oooo00800000
00<0oooo0000000000000`0000001P3oool000000000003oool000000?ooo`80;_l0100000000`3o
ool0000000000003000000030?ooo`000000oooo00@000000P25o`020?ooo`D0000000@0oooo0000
000000000000103oool0103>o`0000000<ko003>o`0200000080oooo100000020?ooo`@0000000<0
oooo0?of003omP000P3omP00103oool000000000003oool300000080oooo00D000000?ooo`3oool0
00000?ooo`020?o700030000003oa`00olL000<0oooo0`0000000`3oool000000000000200000080
oooo1@3oX`030?ooo`030000003oool0oooo0080oooo100000020?ooo`030?n700000000oooo00@0
oooo2`0000030?mb00l000001@3oH@030?ooo`D000000P3oool3000000H0oe8000<000000?ooo`3o
ool02@3oool30?m300<000001P3oool00`000000oooo0?ooo`040?ooo`<0oc@00P3oool00`000000
oooo0?ooo`070?ooo`<000000P3o9@080?ooo`030000003oool0oooo00D0oooo0P3o5@020?ooo`03
0000003oool0oooo00L0oooo00<0W4Q809cOo`0000000P3oool00`3o3000oooo0?ooo`060?ooo`@0
00001P3o50020?ooo`P000000`3oool300000080obD000@000000?ooo`3oool0oooo300000030?lf
008000002P3oool2000000030?ooo`3oA`00odL000L0oooo0P0000070?ooo`<0oeT00P0000090?oo
o`@0000000@0oooo0?mY003oJ@00ofT0103ooolK000000H0ohh00P3oool3000000L0oooo1P3oY@08
0?ooo`D00000103o`P001@3oool00000000000000000oooo008000001`3oool50?oW0080oooo1P00
00030?ooo`<0000000@0jOl00000003Yo`00oooo0P000000103oool000000?ooo`3oool600000004
0?ooo`000000[_l000000080[_l00P0000000`3oool000000?ooo`07000000030?ooo`0000000000
00<0I_l00P0000000`3oool000000?ooo`06000000030?ooo`00000000000080000000<04?l00000
000@o`000`0000000`3oool000000000000900000003003oE000000000000100000000<00?o;0000
000000003`0000000`00[Ol000000000000>000000030?ooo`004ol0000000T000003@3oool000T0
oooo500000000`3oool0000000000007000000030?ooo`00000000000180000000<0oooo00000000
00001`0000000`3oool0000000000007000000030?ooo`000000000000X0000000@0oooo00000000
0000oooo1P0000020?ooo`<0000000@0oooo0000003oool0oooo1@0000000`3oool0000000000002
0?ooo`80000000@0oooo000000000000oooo0`0000040?ooo`040<ko00000000oooo0?ooo`800000
0P3oool400000080oooo0P0000000`3oool000000?of00020?ooo`80000000@0oooo000000000000
oooo0`0000020?ooo`80000000D0oooo000000000000olL00?ooo`04000000<0oooo0`000000103o
ool000000000000000020?ooo`80oj<00P3oool2000000X0oooo0P0000000`3oool0ohL00?n70008
0?ooo`P000000P3oool20?mb00/0oooo2P0000040?ooo`<000000P3oool3000000X0oooo2@000007
0?ooo`8000001P3oool200000080oooo0P0000090?ooo`040000003oool00000000000T0oooo00<0
00000?ooo`3oool01P3oool010000000oooo0?ooo`00000:0?ooo`0309a8B02Lgol0000000/0oooo
0`00000A0?ooo`<000000`3o9@06000000T0oooo0`3o=P0@0?ooo`80odL0403oool20?mI0100oooo
0`3oJ@0<0?oooaT0000000<0oooo0000000000000`0000000`3oool0000000000004000000H0oooo
0`0000090?ooo`D000000`3o`P000`000000oooo00000002000000030?ooo`000000000000H0oooo
0P0000030?oW0080oooo00@000000?ooo`000000oooo0P0000030?ooo`<000000`3Yo`0300000004
0?ooo`000000oooo0?ooo`H0000000<0oooo0000002^o`000`2^o`02000000050?ooo`000000oooo
0000003oool02000000306Ko00X0000000<0oooo0000000000000P000003013o010000000P00oe@@
00000003003ob`000000000000l0000000<00:go0000000000003@0000000`3oool00000000Co`0:
000000d0oooo000:0?ooo`030000003oool0000001L0000000<0oooo000000000000800000000`3o
ool0000000000002000000030?ooo`000000000000D0000000@0oooo000000000000oooo1@000000
103oool000000000003oool700000080oooo1@0000000`3oool0000000000007000000050?ooo`00
0000oooo0000003oool00P000000103oool000000000000000040?ooo`8000000P3oool200000080
oooo100000020?ooo`@0000000<0ooH00?ooo`3oool00P0000000`3oool00000000000020?ooo`80
00000`3oool01@000000oooo0?ooo`000000olL00080oooo100000030?ooo`<0000000@0oooo0000
0000000000000P3oool0103oX`00oooo0?ooo`3oool3000000T0oooo0`0000000`3oQ`00oooo0?oo
o`0=0?ooo`l000001`3oool700000080oooo0`00000:0?ooo`<000000P3oool2000000T0oooo0`00
00060?ooo`8000000P3oool2000000X0oooo00<000000?ooo`0000002P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo008000002P3oool00`2LB4P0W=oo0000000;0?ooo`030000003o
ool0oooo00800000JP3oool=000000P0oooo300000030?ooo`D000001P3oool3000000T0oooo1`00
00020?ooo`<0000000<0oooo0000000000001@3oool6000000050?ooo`00000000000000003oool0
0`0000030?ooo`80000000<0oooo0>Wo003Yo`000`000000103oool000000?ooo`3oool600000003
0?ooo`000000oooo0080[_l01@0000001`3oool000000?ooo`000000oooo0000003oool00P000000
103oool0000006Ko001Vo`02000000030?ooo`000000000000H0000000D0oooo0000000000000000
0?ooo`02013o00@0000000<0oooo00000000000020000003003oE140000000<00?o;000000000000
3`0000000`00[Ol000000000000?00000003000Co`00000000000080000000<0oooo000000000000
0`00000<0?ooo`002@3oool7000000030?ooo`000000000001<0000000<0oooo0000000000007P00
00000`3oool0000000000007000000030?ooo`000000000000X0000000@0oooo000000000000oooo
1`0000020?ooo`D0000000<0oooo0000000000001P0000020?ooo`<0000000<0oooo0000003oool0
100000040?ooo`8000000P3oool200000080oooo100000020?ooo`@00000103oool00`000000oooo
00000002000000030?ooo`000000000000<0oooo0P0000000`3oool00000000000030?ooo`@00000
0P3oool300000080oooo100000060?ooo`<000002P3oool5000000@0oooo700000020?ooo`L00000
2P3oool300000080oooo0`0000090?ooo`8000001`3oool200000080oooo0P00000:0?ooo`800000
00<0oooo0000003oool02@3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000P0
oooo00H0gia800000000B9`0W4Q809cOo`00000;0?ooo`030000003oool0oooo0080oooo0P00001Y
0?ooo``000003@3oool<00000080oooo100000060?ooo`@000001`3oool700000080oooo0`000000
0`3oool000000?ooo`050?ooo`030000003oool0000000<0000000L0oooo000000000000oooo0000
003oool0000000<0oooo0P0000000`3oool000000?ooo`03000000040?ooo`000000oooo0?ooo`H0
000000D0oooo000000000000oooo0:ko0005000000070?ooo`00000000000000003oool000000?oo
o`050000000606Ko0000000000000?ooo`000000oooo1P000000103oool00000000000000003013o
00@0000000<0oooo00000000000020000003003oE10000000P00ol/@00000003002]o`0000000000
00l0000000<001?o0000000000002000000<0?ooo`002@3ooolE000000030?ooo`000000000001/0
000000<0oooo0000000000002@0000000`3oool0000000000002000000030?ooo`000000000000D0
000000@0oooo000000000000oooo100000000`3oool000000000000900000080oooo1@000000103o
ool000000000003oool600000080oooo0`0000000`3oool000000?ooo`04000000@0oooo0P000002
0?ooo`8000000P3oool4000000<0oooo100000030?ooo`80000000@0oooo000000000000oooo0`00
00030?ooo`030000003oool0oooo008000000`3oool3000000<0oooo0`0000020?ooo`@000001`3o
ool3000000`0oooo3000000<0?ooo`X000003P3oool300000080oooo0`0000090?ooo`<000001`3o
ool200000080oooo0P00000;0?ooo`040000003oool00000000000X0oooo00<000000?ooo`3oool0
1P3oool200000080oooo00<000000?ooo`3oool02@3oool0103OW4P0001809cOo`00000;0?ooo`03
0000003oool0oooo00@0oooo0`00001W0?ooo`X000004`3oool;000000030?ooo`00000000000080
00001`3oool2000000L0oooo1P0000020?ooo`030000003oool0000000<000001@3oool600000003
0?ooo`000000000000@000000`3oool2000000030?ooo`000000oooo00D000000P3oool600000004
0?ooo`00000000000?ooo`<0000000<0oooo0000000000001`0000000`3oool00000000000070000
00030?ooo`000000000000<0000000<0oooo0000000000000P000002013o00@0000000<0oooo0000
000000002@000002003oE0l0000000<00?o;00000000ol/0400000000`00[Ol00000002]o`0?0000
0003000Co`000000000000P00000303oool000T0oooo700000000`3oool000000000000800000003
0?ooo`000000000001D0000000<0oooo0000000000001`0000000`3oool000000000000:00000006
0?ooo`00000000000?ooo`000000oooo1@0000020?ooo`D0000000<0oooo0000000000000`000000
103oool000000000000000020?ooo`80000000@0oooo000000000000oooo100000040?ooo`800000
0P3oool200000080oooo100000030?ooo`@000000`3oool2000000030?ooo`00000000000080oooo
0P0000030?ooo`8000000P3oool2000000<0oooo0`0000030?ooo`<000000P3oool5000000L0oooo
0P00000F0?ooo``000005@3oool300000080oooo0`00000:0?ooo`800000203oool200000080oooo
0P00000;0?ooo`80000000<0oooo0000003oool02P3oool00`000000oooo0?ooo`0:0?ooo`800000
3P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo1000001T0?ooo`P00000
603oool500000080oooo0`0000020?ooo`<000001P3oool2000000L0oooo1P0000001P3oool00000
0000003oool000000?ooo`8000001@3oool5000000050?ooo`000000oooo0000003oool00`000002
0?ooo`@0000000<0oooo0000000000000`0000020?ooo`T0000000D0oooo00000000000000000?oo
o`0B000000030?ooo`000000000000@0000000<0oooo0000000000000P0000000`0@o`0000000000
0003000000030?ooo`000000000000T000000P00oe@?000000800?o;3`0000001000[Ol00000002]
o`00[Ol@00000003000Co`00000000000080000000<0oooo0000000000000`00000;0?ooo`002@3o
ool8000000030?ooo`000000000000/0000000<0oooo0000000000001@0000000`3oool000000?oo
o`03000000030?ooo`000000000000L0000000<0oooo0000000000003`0000000`3oool000000000
0002000000030?ooo`000000000000D0000000@0oooo000000000000oooo100000001P3oool00000
0000003oool000000?ooo`H000000P3oool6000000030?ooo`000000000000<0000000@0oooo0000
0000000000000P3oool2000000040?ooo`00000000000?ooo`D000000`3oool200000080oooo0P00
00020?ooo`@000000`3oool010000000oooo0000000000040?ooo`030000003oool0000000800000
00<0oooo000000000000103oool200000080oooo00<000000?ooo`3oool00P3oool3000000@0oooo
0`0000000`3oool0000000000004000000H0oooo1000000/0?ooo`L000000P3oool3000000X0oooo
0`0000070?ooo`<000000P3oool2000000/0oooo0P0000000`3oool000000000000:0?ooo`800000
303oool00`000000oooo0?ooo`0=0?ooo`8000002`3oool00`000000oooo0?ooo`0;0?ooo`800000
A03oool9000001H0oooo1P00000M0?ooo`@000000P3oool300000080oooo0`0000050?ooo`800000
1`3oool6000000030?ooo`000000oooo0080000000<0oooo000000000000103oool00`000000oooo
00000002000000080?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`@0000000<0oooo
0000000000000`0000020?ooo`T0000000D0oooo00000000000000000?ooo`03000000030?ooo`00
0000000000@0000000<0oooo0000000000000`0000000`3oool000000?ooo`06000000030?ooo`00
0000000000L0000000<0oooo0000000000002P0000000`00oe@0000000000003000000030?ooo`00
0000000000P000000P00ol/?000000<00:go40000002000Co`T000002`3oool000T0oooo3P000000
0`008?l000000000000H000000030?ooo`000000000001@0000000<0oooo0000000000001`000000
1@3oool00000000000000000oooo00P0000000@0oooo000000000000oooo1`0000020?ooo`H00000
00<0oooo0000000000001P0000030?ooo`80000000@0oooo000000000000oooo1@0000030?ooo`80
00000P3oool200000080oooo100000030?ooo`D000000`3oool2000000040?ooo`00000000000?oo
o`<00000103oool2000000030?ooo`000000000000D0oooo0`0000040?ooo`<0000000<0oooo0000
000000001@0000060?ooo`X000007`3oool3000000D0oooo100000070?ooo`H000001`3oool30000
0080oooo0`00000;0?ooo`80000000<0oooo0000000000002P3oool2000000h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04D0oooo;`00000R0?oo
o`@0000000<0oooo0000000000000P0000020?ooo`8000001@3oool2000000H0oooo2@0000001@3o
ool000000000003oool0000000@0oooo2@000000103oool000000?ooo`0000030?ooo`<0000000@0
oooo000000000000oooo0P0000020?ooo`<0000000<0oooo0000000000000`0000000`3oool00000
00000002000000040?ooo`00000000000?oooa@0000000D0oooo00000000000000000?ooo`060000
00030?ooo`000000000001/0000000<00?o;0000000000003@000003002]o`l0000000<001?o0000
00004ol02@00000;0?ooo`002@3oool>00000003000Po`000000000000h0000000<0oooo00000000
00007`0000000`3oool0000000000002000000030?ooo`000000000000D0000000@0oooo00000000
0000oooo1P000000103oool000000000003oool700000080oooo0P0000000`3oool0000000000002
0?ooo`P000000P3oool3000000040?ooo`00000000000?ooo`<0000000<0oooo0000003oool00P3o
ool200000080oooo0`0000000`3oool0000000000002000000@0oooo0P0000000`3oool000000?oo
o`020?ooo`80000000D0oooo00000000000000000?ooo`03000000@0oooo0P0000000`3oool00000
000000050?ooo`@00000103oool300000080oooo1`00000<0?oooal0000000<0oooo000000000000
1@0000080?ooo`<000002`3oool2000000<0oooo0P00000<0?ooo`80000000<0oooo000000000000
2P3oool2000000h0oooo0P00000@0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
>`3oool00`000000oooo00000007000000<0oooo2@0000090?oooa@000001P3oool300000240oooo
2@0000020?ooo`8000001@3oool2000000H0oooo1P0000001`3oool000000000003oool000000?oo
o`0000001@3oool5000000070?ooo`00000000000?ooo`000000oooo000000030?ooo`<0000000@0
oooo000000000000oooo0P0000020?ooo`<0000000<0oooo0000000000000`0000000`3oool00000
00000007000000030?ooo`000000oooo00T0000000<0oooo000000000000100000000`3oool00000
0000000J000000030?ooo`000000000001T000000P00[Ol@0000008001?o100000000`3oool00000
00000003000000X0oooo00090?ooo`h000000P008?l7000000030?ooo`000000000000H0000000<0
0;Wo0000000000004P0000000`3oool0000000000009000000030?ooo`000000000000L0000000D0
oooo00000000000000000?ooo`08000000050?ooo`00000000000000003oool01P0000020?ooo`H0
000000<0oooo0000000000000`000000103oool000000?ooo`0000020?ooo`<0000000@0oooo0000
003oool0oooo0`0000000`3oool000000?ooo`020?ooo`8000000`3oool2000000030?ooo`000000
000000800000103oool5000000<0oooo0P0000001@3oool00000000000000000oooo00<00000103o
ool2000000030?ooo`000000000000D0oooo1@0000040?ooo`@000000`3oool500000280oooo1`00
000;0?ooo`@000002`3oool300000080oooo0`00000<0?ooo`8000000P3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03`3oool2000000`0oooo00<0
00000?ooo`3oool0<P3ooolF00000080oooo4000000D0?ooo`d00000803oool800000080oooo0P00
00050?ooo`8000001P3oool500000080oooo1P0000040?ooo`D0000000<0oooo0000000000000P00
00000`3oool000000?ooo`020?ooo`<0000000@0oooo000000000000oooo0P0000020?ooo`<00000
00<0oooo0000000000000`000000103oool000000000003oool8000000030?ooo`00000000000080
000000<0oooo0000000000000P0000000`3oool000000000000>000000030?ooo`000000000002`0
000000<00:go0000000000003P000003000Co`T000002P3oool000T0oooo3P000002000Po`H00000
00<0oooo0000000000001`000002002io`L0000000<0oooo0000000000001P0000000`00okl00000
0000000=000000030?ooo`000000000000L0000000@0oooo000000000000oooo0P0000000`3oool0
000000000004000000040?ooo`00000000000?ooo`L000000P3oool6000000030?ooo`0000000000
00<0000000@0oooo0000003oool000000P3oool3000000040?ooo`000000oooo0?ooo`<0000000<0
oooo0000003oool00P3oool300000080oooo0P0000001@3oool000000000003oool0000000@0oooo
0`0000000`3oool000000?ooo`020?ooo`<0000000D0oooo00000000000000000?ooo`02000000D0
oooo0P0000000`3oool00000000000060?ooo`D00000103oool@000002X0oooo0`00000<0?ooo`<0
00000P3oool3000000d0oooo0P00000>0?ooo`8000003`3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0:P3ooolC000000@0oooo2@0000040?ooobL0
00001P3oool5000001l0oooo1P0000020?ooo`<00000103oool2000000H0oooo1@0000020?ooo`05
0000003oool000000?ooo`000000103oool5000000030?ooo`000000oooo0080000000<0oooo0000
000000000P3oool3000000040?ooo`00000000000?ooo`8000000P3oool3000000030?ooo`000000
oooo0080000000D0oooo00000000000000000?ooo`0:000000030?ooo`000000000000@0000000<0
oooo000000000000100000001@3oool00000000000000000oooo01P0000000<0oooo000000000000
:`000002000Co`T000002P3oool000T0oooo3P000003000Po`L0000000<0oooo0000000000001@00
0003002io`l000000P00okl2000000030?ooo`000000000000T0000000<0oooo0000000000001`00
00001@3oool00000000000000000oooo0080000000<0oooo00000000000010000000103oool00000
0000003oool8000000040?ooo`00000000000?ooo`8000000P3oool5000000040?ooo`000000oooo
00000080oooo00D000000?ooo`000000oooo000000020?ooo`<0000000<0oooo0000003oool00P3o
ool300000080oooo0P0000020?ooo`H000000P3oool2000000030?ooo`000000oooo00<0oooo0P00
00020?ooo`8000000P3oool2000000D0oooo0P0000000`3oool00000000000060?ooo`80000000@0
oooo00000000000000001@3ooolK000000/0oooo00<000000?ooo`3oool01P3oool7000000H0oooo
0P0000050?ooo`8000000P3oool3000000X0oooo0P0000020?ooo`8000001`3oool00`000000oooo
0?ooo`050?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo000000090?ooo`03
0000003oool0oooo00H0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo800000040?ooo`T000000`3oool:000000030?ooo`0000000000
02d0000000<0oooo000000000000100000050?ooo`8000002P3oool2000000T0oooo1`0000020?oo
o`8000000P3oool010000000oooo0000000000050?ooo`D000000P3oool01@000000oooo0000003o
ool000000080oooo00<000000?ooo`3oool0100000000`3oool000000?ooo`03000000040?ooo`00
0000oooo0?ooo`<0000000@0oooo000000000000oooo0P0000020?ooo`<0000000<0oooo0000003o
ool01P0000000`3oool0000000000008000000030?ooo`000000000000@0000000<0oooo00000000
0000100000000`3oool0000000000007000000030?ooo`000000000003h0000000<001?o00000000
00000P0000000`3oool0000000000003000000T0oooo00090?ooo`h0000000<0023o000000008?l0
400000000`00^Ol00000002io`06000000030?ooo`000000000000D000000P00okl?000000030?oo
o`0000000?m900L0000000<0oooo0000000000000`0000000`3oool000000?ooo`04000000050?oo
o`00000000000000003oool02`0000020?ooo`030000003oool0oooo00L0000000T0oooo0000003o
ool0oooo0000003oool000000?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo0`00
00030?ooo`030000003oool0oooo00@0000000<0oooo0000000000000P3oool010000000oooo0000
000000030?ooo`<000000P3oool200000080oooo0P0000080?ooo`<000002@3oool3000000P0oooo
2@0000030?oooa@0000000<0oooo0000000000001`0000090?ooo`<00000203oool4000000X0oooo
0P0000020?ooo`8000001P3oool3000000H0oooo0P0000020?ooo`8000002P3oool3000000T0oooo
00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`3o
ool02@3oool4000005d0oooo8@000000103oool000000000000000090?ooo`<00000203oool20000
00030?ooo`0000000000008000000P3oool2000000050?ooo`00000000000?ooo`0000001P3oool5
000000030?ooo`000000oooo00@0000000@0oooo0000003oool0oooo100000000`3oool000000?oo
o`03000000040?ooo`000000oooo0?ooo`<0000000<0oooo0000000000000`0000020?ooo`<00000
00<0oooo0000003oool01P0000000`3oool0000000000003000000030?ooo`000000000000l00000
00<0oooo000000000000200000000`3oool000000000000?000000030?ooo`000000000000H00000
00<0oooo000000000000800000000`3oool000000000000:000000T0oooo00090?ooo`<0000000<0
oooo0000000000002P0000000`008?l000000000000<000000050?ooo`0000000;Wo002io`3oool0
3`000002003o_`80000000<0oooo0000000000002@000000103oool00000003oB@00odT600000005
0?ooo`00000000000000003oool00P000000103oool000000000000Ko`03000000030?ooo`000000
00000080oooo1P0000000`3oool0000000000002000000030?ooo`00000000000080oooo10000000
0`3oool000000?ooo`0200000080oooo00D000000?ooo`000000oooo000000020?ooo`<0000000<0
oooo0000003oool00P3oool3000000<0oooo00<000000?ooo`3oool01@000000103oool000000?oo
o`3oool2000000030?ooo`000000oooo00<0oooo0`0000020?ooo`8000000P3oool3000000P0oooo
100000080?ooo`<000002P3ooolQ000000T0oooo100000080?ooo`@00000303oool01@000000oooo
0?ooo`3oool0000000H0oooo0P0000070?ooo`8000000P3oool2000000/0oooo0P00000:0?ooo`03
0000003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool00`3o4000oooo0?ooo`050?oo
o`030000003oool0oooo00D0oooo00<0o`P00?ooo`3oool01@3oool6000006@0oooo6`0000090?oo
o`<000001`3oool700000080oooo0P000000103oool000000?ooo`0000070?ooo`@0000000T0oooo
000000000000oooo0000003oool000000?ooo`0000000P3oool4000000040?ooo`000000oooo0?oo
o`80000000@0oooo0000003oool0oooo0`0000000`3oool000000000000300000080oooo1@000000
103oool000000000003oool4000000030?ooo`000000000000@0000000<0oooo0000000000001P00
00000`3oool0000000000004000000030?ooo`000000000000L0000000<0oooo000000000000B000
00090?ooo`002@3oool=000000050?ooo`0000000000000000008?l01`0000000`3oool000000000
000600000003002io`000000000000H0000000<0oooo0000000000001@000003003o_`h0000000@0
oooo003oB@00odT00?m91P0000000`3oool0000000000004000000040?ooo`0000006ol001_o00<0
000000@0oooo000000000000oooo200000001@3oool0L?l0000000000000oooo0080000000<0oooo
0000000000000`0000000`3oool000000?ooo`0200000080oooo00D000000?ooo`000000oooo0000
00020?ooo`<0000000<0oooo0000003oool00P3oool3000000<0oooo0P000000103oool000000000
003oool4000000<0oooo100000040?ooo`<000000P3oool3000000040?ooo`0000000000000000X0
oooo0`0000080?ooo`@00000:03oool8000000D0oooo2000000=0?ooo`80000000@0oooo00000000
000000001P3oool00`000000oooo0?ooo`050?ooo`8000000P3oool2000000/0oooo0P00000;0?oo
o`80000000<0ob<00?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030?l@003oool0oooo
00D0oooo00<000000?ooo`3oool00`3oool00`3o2000oooo0?l8000=0?ooo`/00000HP3oool=0000
0080oooo0P000000103oool000000000000000090?ooo`8000001`3oool700000080oooo1P000006
0?ooo`D0000000P0oooo0000003oool000000?ooo`000000oooo000000<0oooo1P0000001P3oool0
00000000003oool000000?ooo`@0000000<0oooo0000000000000`0000020?ooo`80000000<0oooo
0000000000003`0000000`3oool000000?ooo`06000000030?ooo`000000000000h0000000<0oooo
0000000000002P0000000`3oool0000000000002000000030?ooo`000000000003H00000203oool0
00T0oooo2`0000000`3oool000000000000300000003000Po`000000000000l0000000<00;Wo0000
000000001@0000000`3oool0000000000005000000800?no0`0000000`3oool00000000000060000
000:0?ooo`00000000000?ooo`0000000?m900000000odT000000?ooo`<0000000<0oooo00000000
0000100000000`3oool000000?ooo`0301_o00060?ooo`00000000000?ooo`000000oooo20000000
0`3oool0L?l0000000020?ooo`80000000<0oooo0000000000000`0000000`3oool000000?ooo`02
000000070?ooo`2go`0000000?ooo`000000oooo000000020?ooo`<0000000<0oooo000000000000
0P3oool4000000<0oooo00<000000?ooo`3oool01`0000030?ooo`@00000103oool300000080oooo
0`000000103oool0000000000000000;0?ooo`<000002@3oool:000001H0oooo2000000:0?ooo`<0
000000@0oooo00000000000000003P3oool00`000000oeT000000003000000L0oooo0P0000040?oo
o`040?m700000000000000000080oooo0P00000:0?ooo`040?lf003oool00000000000/0oooo00<0
00000?ooo`3o8`002P3oool00`000000oooo0?ooo`040?ooo`030?l@003oool0oa0000D0oooo0P00
00050?ooo`80o`P0O`3oool>00000080oooo0`0000080?ooo`8000001`3oool700000080oooo00D0
00000?ooo`000000oooo000000070?ooo`H0000000<0oooo000000000000100000020?ooo`@00000
00<0oooo0000003oool00P0000000`3oool000000?ooo`04000000060?ooo`000000oooo0000003o
ool000000P3oool2000000030?ooo`000000000000`0000000<0oooo0000000000000P0000000`3o
ool000000000000:000000050?ooo`00000000000000003oool01@0000000`3oool000000000000k
000000030?ooo`000000000000X00000203oool000T0oooo100000000`3oool000000000000:0000
0003000Po`000000000000H0000000<0oooo0000000000001P0000000`00^Ol000000000000?0000
0003003o_`000000000000d0000000<0oooo003oB@00odT01`0000001@3oool00000000000000000
oooo0080000000P0oooo0000000Ko`006ol00000000Ko`0000000?ooo`8000000P3oool8000000<0
L?l00P3oool2000000030?ooo`000000000000<0000000<0oooo0000003oool00P0000020;Oo00<0
000000@0oooo0000003oool0oooo100000000`3oool000000?ooo`020?ooo`80l?l000D000000?oo
o`3oool0oooo000000020?ooo`L000000`3oool00`3oh@0000000?ooo`02000000<0oooo10000003
0?ooo`80000000<0oooo0000000000000P00000;0?ooo`@000003`3ooolF000000<0oooo0P3oNP09
0?ooo`P0000000<0ofT00?ooo`3oool02`3oool3000000030?mI00000000000000P0oooo0P000005
0?ooo`030?m700000000oooo0080oooo0P00000;0?ooo`030?lf00000000000000`0oooo00<00000
0?ooo`3o8`000P3oool20?lS00H0oooo00<000000?ooo`3oool0103oool00`3o4000oooo0?l@0006
0?ooo`8000001@3oool00`3o2000oooo0?l8000=0?ooo`030?lH003oool0oooo05T0oooo00<0ogH0
0?ooo`3oool03`3oool20?n;00H0oooo2`0000000`3oY000oooo0?ooo`03000000L0oooo0P000004
0?ooo`030?o2003oool0oooo00H000000P3oool00`000000oooo00000003000000030?ooo`3oj000
oooo00<0oooo1P0000020?ooo`070000003oool000000?ooo`000000oooo0>Ko0004000000030?oo
o`000000oooo0080000000<0oooo0000003oool0100000001P3oool000000:_o00000000oooo0000
0080oooo0P0000000`3oool000000?ooo`0>000000030?ooo`000000000000H0000000<0oooo0000
000000003P0000000`3oool000000000000:000000030?ooo`00000000000080000000<0oooo0000
00000000=@0000080?ooo`002@3oool>000000050?ooo`0000000000000000008?l01P0000000`3o
ool000000000000800000003002io`000000000000D0000000<0oooo0000000000001P0000001@00
okl00000000000000000oooo00P0000000<0oooo0000000000000P0000001@00odT0000000000000
0000oooo00<0000000<0oooo0000000000001@0000000`3oool0000001_o0004000000040?ooo`00
000000000?ooo`L0000000<0oooo0000001`o`000P1`o`020?ooo`80000000<0oooo000000000000
1@0000000`3oool00000000000030;Oo0080000000@0oooo0000003oool0oooo100000000`3oool0
00000?ooo`020?ooo`<0l?l00`3oool00`000000oooo0?ooo`0800000080oooo0P3oh@000`000000
oooo000000040?ooo`@000000`3oool00`000000okh00?nn00040?nn008000002P3oool60?nS0003
0000003oool0oooo00d0oooo0`3oS@0>0?ooo`80ogX00P3oool=00000080oooo0P3oJ@070?ooo`P0
00000P3oF@080?ooo`<00000103oool00`000000odL00?m700030?m700800000303oool0103o=P00
00000?lf003o=P0:0?ooo`8000000P3oool30?lS00L0oooo0P0000060?ooo`80oa001`3oool20000
00H0oooo0P3o200>0?ooo`80oaP03`3oool30?l[00l0oooo0`3o?@0@0?ooo`80oe00403oool30?mR
0140oooo0P3oMP0A0?ooo`80oh/02@3oool5000000050?ooo`000000oj@00?nT000000000P3oool3
000000H0oooo0P0000030?ooo`040?o2003oool0oooo0?ooo`H0000000H0oooo000000000000oooo
0000003oool2000000030?oX003oool0oooo0080oooo1P0000020?ooo`070000003oool000000?oo
o`000000oooo0>Ko0004000000030?ooo`000000oooo0080000000<0oooo0000003oool01P000000
1@2[o`0000000?ooo`000000oooo00<0000000<0oooo0000003oool00P0000001P3oool000000000
00000000oooo06;o00H0000000<0oooo0000000000005P0000000`3oool0000000000017000000P0
oooo00090?ooo`0308`0o`000000000000l0000000<0023o0000000000003@0000000`3oool00000
002io`0A00000003003o_`000000000000d0000000@0oooo00000000odT0oooo1P0000000`3oool0
000000000004000000040?ooo`0000006ol001_o0080000000H0oooo000000000000oooo0000003o
ool7000000040?ooo`000000L?l0073o00<0oooo00<000000?ooo`3oool01`000000103oool00000
0;Oo003oool20;Oo00@000000P3oool4000000060?ooo`00000000000?ooo`3`o`0000000`3`o`02
0?ooo`8000000P3oool5000000030?ooo`000000000000@0on400`0000040?ooo`@000000`3oool2
0?nn00030000003oool0oooo00D00000203oool30?nS00<0oooo1`0000050?ooo`<0ohd03`000003
0?mj00<0000000<0oooo0000000000001P0000040?ooo`D0ofT00P3oool4000000@0oooo0`000006
0?mI0080oooo0`0000050?ooo`8000000`3oA`02000000h0oooo0`3o=P0:0?ooo`8000000`3oool2
0?lS00P0oooo00<000000?ooo`3oool01P3oool00`3o4000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<0o`P00?ooo`3oool02P3oool60?lH0100oooo0`3o:`0?0?ooo`<0ocd03`3oool3
0?m@0100oooo0`3oHP0?0?ooo`<0ogH03@3oool60?n;00X0oooo0P0000060?nT00040000003oool0
oooo0?ooo`8000001P3oool00`000000ol800?o200020?o200@0oooo1@0000020?ooo`030000003o
ool0000000D0onP0103oool6000000080?ooo`00000000000000003Vo`0000000>Ko003oool40000
00030?ooo`000000oooo0080000000<0oooo0000003oool00`0000030:_o00050?ooo`000000oooo
0000003oool00`0000000`3oool000000?ooo`0500000080H_l02@0000000`3oool0000000000004
0000000300_o000000002ol000<0000000D0oooo00000000000000000?ooo`05000000030?ooo`00
00000?mJ00X0000000<0oooo0000000000001@0000000`00om0000000000000?00000003002Wo`00
0000000000l0000000D000ko00000000000000000?ooo`0<000000L0oooo00090?ooo`l0000000<0
oooo0000000000002@0000000`3oool000000000000?000000030?ooo`000000000000X0000000<0
oooo0000003oool01P0000000`3oool000000000000;000000050?ooo`000000oooo0000003oool0
0P0000000`3oool0000000000004000000030?ooo`00000000000080oooo1`000000103oool00000
0000000000030?ooo`030000003oool0oooo00T0000000H0]ol00?ooo`3oool0oooo0000003oool2
00000080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?3o0004000000<0oooo00<0
00000?ooo`3oool01P0000000`3oool000000?oQ00030?ooo`@000001@3oool300000080oooo0P3o
_P03000000<0oooo100000080?ooo`80oj<0203oool7000000<0ohd0400000030?mj00030000003o
ool0oooo00h0oooo0`0000040?ooo`@00000203oool3000000H0oooo0P0000040?ooo`030000003o
ool0oooo00`0oooo0P00000;0?ooo`8000003P3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo02H0oooo0`3o:`0?0?ooo`<0ocd02P3oool6000000<0oe0000@000000?ooo`3oool0oooo
2`0000030?mR00d000000P3oool30?mf02<0oooo200000030?ooo`<000001@3oool010000000ol80
0?o2003o`P040?ooo`D000000P3oool2000000030?ooo`000000000000<0onP0103oool600000080
oooo00<000000?ooo`3Vo`000P3Vo`000`3oool0000000000002000000030?ooo`000000oooo0080
000000<0oooo0000003oool00`0000030:_o0080000000<0oooo0000003oool00`0000000`3oool0
0000000000030000000406;o00000000H_l006;o00@0000000<0oooo0000000000002000000300_o
0100000000<00?mJ00000000oeX03`0000000`00om0000000000000?00000003002Wo`0000000000
00l0000000<000ko0000000000001`0000000`3oool0000000000004000000L0oooo00090?ooo`d0
000000<0oooo0000000000004`0000000`3oool0000000000004000000040?ooo`00000000000?oo
oaT0000000@0oooo000000000000oooo0P0000001@3oool00000000000000000oooo00@0000000@0
oooo000000000000oooo1P0000000`3oool00000000000020?ooo`D0000000@0oooo000000000000
oooo0P0000030?ooo`030000003oool0oooo00H0000000@0oooo00000000000000000`3oool00`00
0000oooo00000002000000030?ooo`000000000000<0000000D0oooo0000003oool0l?l00?ooo`03
000000<0oooo0P0000020?ooo`D000000P3oool00`3oh@0000000?ooo`020?ooo`@000001@3oool3
00000080oooo00<0okh00?ooo`0000000`0000030?ooo`D00000>03oool4000000@0oooo0`000009
0?ooo`<00000203oool00`000000oooo0?ooo`020?ooo`8000003@3oool2000000`0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03/0oooo2P000000
0`3oool000000000000:000000@0oooo5P00000[0?ooo`P00000103oool2000000D0oooo0P000006
0?ooo`D000000P3oool2000000040?ooo`000000oooo000000D0oooo1P0000020?ooo`030000003o
ool000000080i_l000<0oooo0000000000000P0000000`3oool000000?ooo`02000000030?ooo`00
0000oooo00<000000P2[o`03000000030?ooo`000000oooo00T000000`1Ro`0@000000802ol01000
0000103oool000000000003oool6000000050?ooo`00oeX00?mJ00000000oeX0200000000`3oool0
00000000000500000003003od0000000000000l0000000<00:Oo0000000000003`0000000`003_l0
00000000000=000000L0oooo000:0?oooa/0000000<0oooo0000000000003`0000000`3oool00000
0000000:000000030?ooo`000000oooo01@0000000D0oooo00000000000000000?ooo`0200000003
0?ooo`000000000000<0000000H0oooo000000000000oooo0000003oool9000000030?ooo`000000
00000080oooo0P0000020?ooo`030000003oool0000000<0000000@0oooo00000000000000000`3o
ool00`000000oooo00000002000000030?ooo`000000000000<0000000<0oooo0000003oool00P3o
ool400000080oooo0`0000020?ooo`D000000P3oool2000000@0oooo0`0000060?ooo`<000001@3o
ool5000000030?ooo`000000000000L00000;03oool=000000P0oooo100000080?ooo`<000000P3o
ool3000000`0oooo0`00000<0?ooo`8000003P3oool2000001<0oooo0P00000e0?ooo`P000000P3o
ool900000080oooo3P00000F0?ooo`d000008@3oool7000000@0oooo0P0000050?ooo`8000001P3o
ool500000080oooo1P0000040?ooo`L0000000L0oooo0000003oool000000?ooo`000000oooo00@0
000000<0oooo0000003oool00P0000000`3oool000000?ooo`02000000030?ooo`000000Zol000<0
000000<0oooo0000003oool00P0000000`3oool000000?ooo`02000000030?ooo`000000H_l00080
H_l0200000000`3oool0000000000004000000<02ol03P000000103oool00?mJ003oFP00oeX@0000
00800?o@400000000`00Yol000000000000?00000003000>o`000000000000h000001P3oool000T0
oooo6`0000000`3oool0000000000006000000030?ooo`000000000000L0000000<0oooo00000000
00008@0000001P3oool000000000003oool000000?ooo`80000000<0oooo0000000000000`000000
1P3oool000000000003oool000000?ooo`T0000000<0oooo0000000000000P3oool200000080oooo
00<000000?ooo`0000000`000000103oool000000000000000030?ooo`030000003oool000000080
000000@0oooo000000000000oooo1@0000030?ooo`<000000P3oool3000000<0oooo1@0000020?oo
o`800000103oool3000000L0oooo100000050?ooo`@000000P3oool=000001d0oooo3000000=0?oo
o`<000002@3oool300000080oooo0`00000=0?ooo`8000003P3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0:@3ooolD000000030?ooo`0000000000
00P000000`3ooolZ000000@0oooo1000000P0?ooo`H00000103oool2000000D0oooo0P0000060?oo
o`D000000P3oool01@000000oooo0000003oool0000000@0oooo1@0000002@3oool000000?ooo`00
0000oooo0000003oool000000?ooo`04000000030?ooo`000000oooo0080000000<0oooo0000003o
ool00P0000000`3oool000000000000400000080oooo0P0000000`3oool000000?ooo`0500000003
06;o00000000000000<0000000<0oooo0000000000002000000200_o00h0000000<0oooo00000000
oeX00P00oeX8000000030?ooo`000000000000<0000000<00?o@00000000om004@000002002Wo`l0
000000<000ko0000000000001`0000000`3oool0000000000004000000H0oooo00090?ooo`h00000
00<0oooo000000000000300000000`3oool0000000000004000000030?ooo`000000000000P00000
00<0oooo0000000000002P0000001@3oool000000?ooo`000000oooo00P0000000<0oooo00000000
00000`0000001@3oool00000000000000000oooo00@0000000@0oooo000000000000oooo1P000000
0`3oool00000000000020?ooo`030000003oool0000000H0000000<0oooo0000000000000P3oool2
00000080oooo00<000000?ooo`0000000`000000103oool000000000000000030?ooo`030000003o
ool000000080000000@0oooo000000000000oooo0`0000000`3oool000000?ooo`030?ooo`800000
0`3oool300000080oooo1P0000020?ooo`800000103oool4000000L0oooo1@0000050?ooo`D00000
00<0oooo000000000000900000040?ooo`<000002P3oool200000080oooo100000040?ooo`800000
0`3oool300000080oooo1000000:0?ooo`80000000<0oooo0000000000001`3oool2000000D0oooo
0P0000030?ooo`030000003oool0oooo00P0oooo0P00000;0?ooo`030000003oool0oooo00T0oooo
0`0000090?ooo`030000003oool0oooo00P0oooo100000030?ooo`040000003oool0oooo0?oooa@0
00001@3oool6000000H0oooo1`0000040?oooc<00000203oool2000000X0oooo0P0000070?ooo`80
000000<0oooo0000000000000`0000020?ooo`8000000`3oool010000000oooo0000000000050?oo
o`D000000P3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`3oool010000000
0`3oool000000?ooo`0:000000030?ooo`000000oooo0080000000H0oooo000000000000oooo0000
003oool6000000070?ooo`00000000000000003oool000000?ooo`07000000030?ooo`0000000000
00`0000000<02ol00000000000000`0000000`3oool0000000000007000000040?ooo`0000000?mJ
003oFPl000000P00om0@000000<00:Oo400000001@003_l00000000000000000oooo00/000001P3o
ool000T0oooo4`0000000`3oool000000000000I000000030?ooo`000000000000/0000000<0oooo
0000000000001P0000000`3oool000000000000:000000030?ooo`000000oooo008000000P3oool0
0`000000oooo00000006000000040?ooo`00000000000?ooo`P0000000<0oooo0000003oool00P00
00020?ooo`030000003oool0oooo0080000000<0oooo000000000000100000000`3oool000000?oo
o`020?ooo`<0000000<0oooo0000003oool0200000040?ooo`<000000`3oool2000000<0oooo0P00
00020?ooo`8000000P3oool2000000H0oooo0`0000090?ooo`<000001`3oool8000000H0oooo4@00
00040?ooo`T00000203oool8000000D0oooo0`0000070?ooo`D000002@3oool6000000L0oooo0P00
00050?ooo`800000103oool00`000000oooo0?ooo`070?ooo`<000002P3oool2000000/0oooo0P00
000;0?ooo`030000003oool0oooo00`0oooo1`00001=0?oooa/000001@3oool3000000T0oooo0`00
00060?ooo`P000000P3oool200000080oooo0P0000000`3oool000000?ooo`050?ooo`D0000000<0
oooo0000003oool010000000103oool000000?ooo`3oool4000000040?ooo`000000oooo0?ooo`<0
000000<0oooo0000000000000`0000000`3oool000000?ooo`02000000040?ooo`00000000000?oo
o`<0000000H0oooo000000000000oooo0000003oool5000000030?ooo`000000000000D0000000<0
oooo000000000000100000000`3oool000000000000D000000040?ooo`0000000000003oFQ000000
0P00om0@000000800:Oo40000002000>o`h000001P3oool000T0oooo3@0000000`004?l000000?oo
o`0E000000030?ooo`000000000000P0000000<0oooo000000000000300000000`3oool000000?oo
o`08000000030?ooo`000000000000L0000000<0oooo0000000000000P000000103oool000000000
003oool7000000040?ooo`00000000000?ooo`T000000P3oool200000080oooo00<000000?ooo`3o
ool00P0000001@3oool00000000000000000oooo0080000000<0oooo0000003oool00P3oool30000
00040?ooo`00000000000?ooo`80000000<0oooo0000000000000`0000040?ooo`800000103oool2
000000<0oooo0P0000020?ooo`8000000P3oool2000000L0oooo0`0000090?ooo`D000002P3ooolK
000000`0oooo2@0000050?ooo`@000001`3oool5000000T0oooo1P0000070?ooo`<000001@3oool2
000000@0oooo0P0000080?ooo`80000000<0oooo0000003oool02@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0000000`0oooo00<000000?ooo`3oool0K03ooolB000000@0oooo10000008
0?ooo`8000001P3oool800000080oooo0P0000020?ooo`030000003oool0000000L0oooo10000000
203oool000000000003oool000000?ooo`000000oooo0P0000000`3oool000000000000200000004
0?ooo`000000oooo0?ooo`<0000000<0oooo0000000000000`0000000`3oool000000?ooo`020000
00030?ooo`000000000000D0000000D0oooo0000003oool000000?ooo`06000000030?ooo`000000
000000L0000000D0oooo00000000000000000?ooo`06000000030?ooo`000000000000d0000000<0
oooo0000000000004@0000000`00om0000000000000>000000<00:Oo3P0000000`003_l00000000>
o`08000000030?ooo`000000oooo00<000001P3oool000T0oooo3@000002000@o`030?ooo`000000
000000`0000000<0oooo0000000000003`0000000`3oool000000000000;000000030?ooo`000000
000000X0000000<0oooo000000000000100000001@3oool00000000000000000oooo00<0000000@0
oooo000000000000oooo1@0000000`3oool000000?ooo`02000000030?ooo`000000000000L00000
0P3oool200000080oooo00<000000?ooo`3oool00P0000001@3oool000000?ooo`000000oooo0080
000000<0oooo0000000000000`3oool3000000030?ooo`000000oooo00T000000`3oool3000000@0
oooo0P0000030?ooo`<0000000D0oooo00000000000000000?ooo`02000000P0oooo1@0000080?oo
o`L000008`3oool8000000X0oooo100000070?ooo`D000002P3oool6000000P0oooo0P0000050?oo
o`<00000103oool2000000T0oooo1000000:0?ooo`8000002`3oool2000000030?ooo`000000oooo
00/0oooo0P00001b0?ooo`l000001P3oool4000000H0oooo0P0000060?ooo`L000000`3oool20000
00030?ooo`0000000000008000001P3oool400000080oooo00D000000?ooo`000000oooo00000002
0?ooo`030000003oool0oooo00H0000000D0oooo00000000000000000?ooo`05000000030?ooo`00
0000oooo0080000000<0oooo0000000000001@0000001@3oool00000000000000000oooo00`00000
00<0oooo0000000000006`0000000`3oool000000000000S000000800:Oo3`000002000>o`<00000
00<0oooo000000000000200000060?ooo`002@3oool=00000080013o1@0000000`3oool000000000
000800000003002Xo`000000000000@0000000<0oooo000000000000200000000`3oool000000000
000<000000030?ooo`000000000000D0000000<0oooo0000000000000P3oool00`000000oooo0000
0003000000050?ooo`00000000000000003oool00P0000020?ooo`030000003oool0oooo00D00000
00<0oooo0000003oool00P0000000`3oool000000000000700000080oooo0P0000020?ooo`030000
003oool0oooo0080000000<0oooo0000000000001@0000000`3oool000000?ooo`020?ooo`040000
003oool000000?ooo`80000000@0oooo000000000000oooo0`0000000`3oool00000000000030?oo
o`<00000103oool2000000<0oooo0`0000000`3oool0000000000005000000X0oooo1@0000090?oo
obP000002@3oool5000000L0oooo1P00000;0?ooo`D00000203oool3000000D0oooo0P0000050?oo
o`8000002@3oool3000000`0oooo00<000000?ooo`3oool02P3oool200000080oooo00<000000?oo
o`3oool02`3oool2000007H0oooo3P0000060?ooo`8000001P3oool2000000H0oooo100000000`3o
ool00000000000030?ooo`060000003oool0oooo0000003oool000001`3oool4000000030?ooo`00
0000oooo00@0000000@0oooo0000003oool0oooo100000000`3oool000000?ooo`03000000030?oo
o`000000oooo00<0000000<0oooo0000000000000`0000000`3oool000000000000;000000030?oo
o`000000oooo00L0000000<0oooo000000000000100000000`3oool000000000000D000000030?oo
o`000000000002<0000000<00:Oo0000000000003@000003000>o`d000001P3oool000T0oooo3P00
0002000@o`030?ooo`000000000000`000000P00Z?l@000000030?ooo`00om80000000/0000000D0
oooo00000000000000000?ooo`08000000030?ooo`000000000000L0000000<0oooo0000003oool0
0P0000020?ooo`030000003oool0000000H0000000D0oooo00000000000000000?ooo`0900000080
oooo0P0000020?ooo`80000000<0oooo0000000000001P000000103oool000000?ooo`0000030?oo
o`040000003oool000000?ooo`80000000<0oooo0000000000001@0000000`3oool0000000000003
0?ooo`<00000103oool2000000@0oooo3000000;0?ooo`@000003@3ooolG000000d0oooo1@000009
0?ooo`D000003@3oool4000000P0oooo0`0000050?ooo`<00000103oool3000000X0oooo0P00000;
0?ooo`<00000303oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00`0oooo0P00001j
0?ooo`d00000103oool2000000H0oooo0`0000050?ooo`@0000000<0oooo0000000000000P3oool0
0`000000oooo0?ooo`04000000H0oooo10000000203oool000000?ooo`3oool000000?ooo`000000
oooo0P0000000`3oool0000000000002000000030?ooo`000000oooo00<0000000<0oooo0000003o
ool00`0000001`3oool00000000000000000oooo0000003oool02@0000000`3oool000000000000>
000000050?ooo`00000000000000003oool05@0000000`3oool000000000000d0000008000ko2000
00000`3oool000000?ooo`02000000H0oooo000:0?ooo`d000000`004?l4000000030?ooo`000000
000000L000000`00Z?l5000000030?ooo`000000000000P000000P00om8E000000070?ooo`000000
00000000003oool000000?ooo`07000000030?ooo`00000000000080000000@0oooo000000000000
oooo1`0000000`3oool00000000000020?ooo`030000003oool0000000H0000000@0oooo00000000
000000000P3oool200000080oooo1`0000000`3oool000000?ooo`0200000080oooo0`0000020?oo
o`80000000@0oooo000000000000oooo0`0000020?ooo`8000000`3oool3000000@0oooo0`000000
103oool000000000003oool=000000/0oooo1@00000T0?ooo`P000002@3oool6000000h0oooo1000
00090?ooo`8000001P3oool2000000D0oooo0P00000<0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02`3oool2000000D0oooo00<000000?ooo`3oool0S@3oool7000000040?ooo`00
00000000000000<0oooo0P0000070?ooo`8000001P3oool3000000040?ooo`000000oooo0?ooo`80
00000P3oool010000000oooo0000000000050?ooo`@0000000L0oooo0000003oool0oooo0000003o
ool000000080oooo00<000000?ooo`0000000`0000000`3oool000000?ooo`03000000030?ooo`00
0000oooo00<0000000L0oooo00000000000000000?ooo`000000oooo00T0000000<0oooo00000000
00002P0000000`3oool000000000000K000000030?ooo`000000000000h0000000<0oooo00000000
00008`0000001@003_l00000000000000000oooo00T000001P3oool000T0oooo1`0000000`3oool0
00000000000400000080013o40000003002Xo`l000000P00om8<000000050?ooo`000000oooo0000
0000oeh0200000020?ooo`030000003oool0000000<0000000D0oooo00000000000000000?ooo`03
000000040?ooo`00000000000?ooo`L0000000<0oooo0000000000000P3oool00`000000oooo0000
0006000000040?ooo`000000000000000080oooo0P0000020?ooo`80000000<0oooo000000000000
100000020?ooo`030000003oool0oooo00<000000P3oool2000000030?ooo`000000000000D00000
0P3oool2000000<0oooo0`0000050?oooaD00000303ooolT000000d0oooo1P00000?0?ooo`@00000
2P3oool2000000D0oooo0`0000040?ooo`<00000303oool2000000/0oooo0P00000=0?ooo`800000
1P3oool00`000000oooo0?ooo`2@0?ooo`L0000000<0oooo0000000000000`3oool3000000H0oooo
0P0000060?ooo`D000000P3oool00`000000oooo0?ooo`02000000030?ooo`000000000000D0oooo
0`000000103oool000000000003oool4000000030?ooo`000000oooo00@0000000<0oooo0000003o
ool0100000020?ooo`@0000000H0oooo000000000000oooo0000003oool4000000030?ooo`000000
00000080000000<0oooo0000000000002P0000000`3oool0000000000004000000030?ooo`000000
000000X0000000<0oooo000000000000A`000000103oool000000000000000060?ooo`002@3oool@
00000003000@o`3oool0000000<0000000<0oooo0000000000001`000002002Xo`0300000000Z?l0
000000<0000000<0oooo00000000000020000002003odP030000003oool0000000`000000P00oeh8
000000030?ooo`000000000000D0000000D0oooo00Co0000000000000?ooo`03000000040?ooo`00
000000000?ooo`L0000000@0oooo000000000000oooo0P0000000`3oool000000000000400000080
oooo0`0000020?ooo`8000000P3oool2000000030?ooo`000000000000D0000000@0oooo0000003o
ool0oooo100000001@3oool00000000000000000oooo00H000000`3oool2000000<0oooo0`000005
0?ooo`<000000P3ooolC000002d0oooo3000000@0?ooo`@00000303oool2000000@0oooo0`000004
0?ooo`<00000303oool3000000/0oooo0P00000=0?ooo`800000203oool00`000000oooo0?ooo`1@
0?oooa400000<P3oool9000000@0oooo0P0000060?ooo`8000001@3oool500000080oooo0P000002
0?ooo`80000000<0oooo0000003oool0103oool40000000:0?ooo`000000oooo0?ooo`000000oooo
0000003oool000000?ooo`@0000000<0oooo0000003oool00P000000103oool000000?ooo`3oool4
000000060?ooo`00000000000?ooo`000000oooo10000000103oool000000000003oool400000003
0?ooo`000000oooo00X0000000<0oooo000000000000100000000`3oool000000000000<00000005
0?ooo`00000000000000003oool0400000000`3oool000000000000/000000040?ooo`000000oooo
000000H0oooo000:0?ooo`l0000000<0013o0000000000003@0000000`00Z?l00000002Xo`0@0000
00<00?oB2@0000001P3oool000000?ooo`000000oooo000000<00?mN0`0000001`3oool000000000
00000000oooo0000003oool01@00000200Co00030?ooo`000000oooo008000000P3oool010000000
oooo0000003oool4000000030?ooo`1Ho`00oooo0080000000@0oooo000000000000oooo1P000002
0?ooo`<000000P3oool200000080oooo0P0000000`3oool0000000000003000000030?ooo`000000
oooo008000000P3oool4000000030?ooo`00000000000080oooo1P0000030?ooo`8000000`3oool3
000000H0oooo0`0000020?ooo`H0000000<0oooo0000000000001P0000000`3oool0000000000004
000001h0oooo2@0000030?ooo`D00000403oool4000000d0oooo0`0000030?ooo`<00000103oool3
000000d0oooo0P00000<0?ooo`8000003P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00P0oooo00<0o`/00?ooo`3oool0;`3oool7000000<0oooo300000050?oooa@00000;03oool9
000000@0oooo0P0000060?ooo`8000001@3oool500000080oooo0P0000020?ooo`030000003oool0
000000D0oooo100000002P3oool000000?ooo`3oool000000?ooo`000000oooo0000003oool40000
00030?ooo`000000oooo0080000000@0oooo0000003oool0oooo100000001P3oool000000000003o
ool000000?ooo`D0000000@0oooo000000000000oooo300000000`3oool000000000000K00000003
0?ooo`000000000003D0000000<0oooo0000003oool0200000060?ooo`002@3oool8000000030?oo
o`000000000000H0000000<0013o0000000000003@0000000`3oool00:So00000005000000030?oo
o`000000000000L000000P00om82000000030?ooo`000000000000X0000000D0oooo003oGP00oeh0
0000003oGP07000000030?ooo`000000oooo00D000000P04o`000`3oool000000000000200000080
oooo00@000000?ooo`000000oooo1000000205So00040?ooo`00000000000?ooo`80000000<0oooo
000000000000100000020?ooo`030000002Lo`00W?l00080oooo0P0000030?ooo`030000003oool0
oooo00H000000P3oool00`000000oooo0?ooo`05000000030?ooo`00000000000080oooo1P000003
0?ooo`800000103oool3000000H0oooo300000030?ooo`L000000P3oool9000000/0oooo5P00000@
0?ooo`D000003@3oool4000000<0oooo0`0000040?ooo`<000003P3oool00`3oBP0000000?ooo`0;
0?ooo`8000000`3oool00`3o=@00oooo0?ooo`080?ooo`8000001@3oool00`3o8000oooo0?ooo`03
0?ooo`030000003oool0oooo00L0oooo00<0o`/00?ooo`3oool0:03ooolB000000@0oooo3@00000D
0?ooo``000008`3oool9000000<0oooo0P0000060?ooo`800000103oool600000080oooo0P000000
0`3oool0000000000002000000@0oooo10000000203oool000000000003oool000000?ooo`000000
oooo1P0000000`3oool000000?ooo`02000000060?ooo`000000oooo0?ooo`000000oooo0P000000
103oool000000000003oool7000000040?ooo`00000000000?ooo`H0000000<0oooo000000000000
0`0000000`3oool0000000000004000000030?ooo`000000000000l0000000D0oooo000000000000
00000?ooo`0@000000030?ooo`000000000002`0000000<0oooo0000000000001P3oool000T0oooo
300000000`3oool000000000000200000003000@o`3oool0000000`0000000@0oooo000000000000
0:So4@0000000`00om80000000000003000000030?ooo`000000000000@0000000@0oooo0000003o
ool000000P00oeh8000000040?ooo`00000000000?ooo`<0000000H0oooo00Co0004o`001?l00000
003oool3000000040?ooo`00000000000?ooo`H000000`1Ho`02000000040?ooo`00000000000?oo
o`L000000P3oool309co00040?ooo`000000000000000080oooo0P0000000`3oool0000000000004
000000050=Co003oool000000000003oool00`000000103oool000000000003oool200000080oooo
1P0000030?ooo`<000000`3oool5000000D0oooo3P0000050?ooo`P000000`3ooolE000001H0oooo
0P3oP`05000000`0oooo00<0og400?ooo`0000000P00000;0?ooo`80000000<0oeh00?ooo`3oool0
303oool2000000030?m:003oool0oooo00X0oooo0P0000040?ooo`030?le003oool0oooo00H0oooo
0`0000060?ooo`030?lP003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool0103o2`00oooo
0?ooo`3o2`0M0?oooa8000000`3oool;00000080oooo9P0000001@3oKP000000000000000000oooo
00T00000103oool20?n50140oooo00<0oj000?ooo`3oool00`3oool900000080oooo0P0000000`3o
`000oooo0?ooo`030?ooo`800000103oool6000000080?oX003oool000000000003oool000000?oo
o`0000040?ooo`@000000P3oool01@000000iOl00000003oool000000080oooo1@0000000`3oool0
00000?ooo`02000000060?ooo`000000oooo0?ooo`000000oooo0P0000001@3oool0000000000000
0000oooo00T0000000@0oooo000000000000oooo1`0000000`3oool0000000000002000000030?oo
o`000000000001L0000000<0oooo000000000000?00000000`3oool000000?ooo`060?ooo`002@3o
ool9000000030?ooo`000000000000H0000000<0013o0000000000003@0000000`3oool00:So0000
0005000000030?ooo`000000000000P0000000<00?oB0000000000002`0000000`3oool000000?oo
o`02003oGPD0000000D0oooo00000000000000000?ooo`070000000500Co0000000000000000003o
ool00`000000103oool000000000003oool50000000405So00000000F?l005So0080000000@0oooo
000000000000oooo1`0000000`3oool0W?l009co000309co00<000000P3oool2000000030?ooo`00
0000000000<0000000D0oooo0=Co003Do`00oooo000000020?ooo`<0000000<0oooo0000003oool0
0P0000020?ooo`040000003oo`00ool00?oo00<00000103oool2000000@0oooo0`0000050?oL00<0
oooo3@0000030?o100@0oooo2`0000030?nZ00@0000000<0oooo0000000000002@0000030?nF00D0
oooo0`0000060?ooo`80oh<01000000:0?ooo`80000000<0oooo0?ma003oL@000P0000050?ooo`80
0000103oool300000080oeh000<0oooo0000000000002P3oool2000000030?ooo`3oBP00oooo00L0
oooo00<000000?ooo`3oool00P0000040?ooo`80ocD000<0oooo0000003oool01@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00D0ob000`3oool2000000P0oooo00@0o`/00?ooo`3o
2`00o`/02@3oool30?l800X0oooo1P0000030?lM00<0oooo1@0000070?ooo`<0oc400P0000070?oo
o`H0000000<0oooo0?m5003oA@000P3oool>000000<0oeT04@0000020?m^00D000001P3oool30000
00<0oooo0P3oQ@040?ooo`<000002@3oool00`3oX00000000?ooo`050?ooo`P000000`3oool00`3o
`00000000?ooo`020?ooo`040000003oool00000000000@0oooo0`0000000`3oool000000?oX0002
0?ooo`<0000000D0oooo0000003oool0oooo000000020?ooo`<000000P3oool00`000000iOl00000
0003000000030?ooo`000000000000<0000000<0oooo0000003oool00P0000000`3oool000000:So
0002000000030?ooo`000000000000@0000000<0oooo0000003oool00P0000001@3oool000000000
00000000Gol000<0000000<0oooo0000000000001P0000000`3oool0000000000004000000030?oo
o`000000000000X0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo0100
000000<0oooo0000000000009P0000000`3oool0000000000005000000H0oooo00090?ooo`0309X0
o`000000000000H0000000<0oooo0000000000001P0000000`004?l0oooo0000000<000000040?oo
o`0000000000002Xoa40000000<00?oB0000000000000`0000000`3oool000000000000700000003
0?ooo`0000000?mN00/0000000<0oooo0000000000000P00000200Co00040000003oool000000?oo
o`<0000000@0oooo000000000000oooo1@000000101Ho`00000005So003oool2000000040?ooo`00
000000000?ooo`80000000<0oooo0000003oool00P0000001@3oool0W?l00000002Lo`0000000080
oooo0P0000020?ooo`80000000<0oooo0000000000000`000000103Do`0000000=Co003Do`020000
00030?ooo`0000000000008000000`3oool200000080oooo1@3oo`02000000@0oooo0`0000050?oo
o`80om`00P0000080?ooo`D000000`3o`@0;000000@0oooo103oZP08000000H0oooo00@000000?nF
003oUP00oiH03`0000060?n300L0oooo1P0000060?ma00030?ooo`0000000000008000000`3oool3
000000030?ooo`3oGP00oeh000@0oeh0203oool300000080oooo1@3oBP030?ooo`D000001@3oool6
0?le00@0oooo00<000000?ooo`3oool00`0000020?ooo`<0ob00103oool2000000030?ooo`000000
oooo00L0oooo0P3o2`000`000000oooo0?ooo`0;0?ooo`<0o`P00P00000>0?ooo`<0oad03`3oool3
0?la00l0oooo0`3oA@0@0?ooo`<0oeT0203oool7000000<0ofh03@0000060?n500D0oooo1@000002
0?ooo`D0oj000P0000050?ooo`L00000103o`00200000080oooo0P0000000`3oool0000000000004
0?ooo`030000003oj000onP000<0onP00P3oool5000000040?ooo`000000oooo0?ooo`<0000000<0
iOl00?ooo`3Uo`000P3oool3000000030?ooo`000000000000<0000000<0oooo0000003oool00P00
00030:So0080000000<0oooo000000000000100000000`3oool0000000000003000000040?ooo`1O
o`00Gol00?ooo``0000000H0oooo0000000000001ol000000007o`04000000050?ooo`0000000000
0000003oool01P0000000`00oeh0000000000005000000030?ooo`000000000000P0000000<00?oE
0000000000003`0000000`00X_l000000000000?000000030008o`000000000000d0000000<0oooo
0000003oool01@3oool000T0oooo8`0000000`3oool0000000000005000000030?ooo`0000000000
00P0000000<0oooo000000000000100000000`3oool0000000000004000000050?ooo`000000oooo
0000003oool02@000000103oool000000000003oool7000000030?ooo`000000oooo00<0000000D0
oooo00000000000000000?ooo`030000000305So0000000000000080oooo0P0000000`3oool00000
00000005000000080?ooo`00000000000?ooo`2Lo`0000000?ooo`0000020?ooo`8000000`3oool2
000000030?ooo`00000000000080000000<0e?l00?ooo`0000000P3oool00`000000oooo0?ooo`04
000000<0oooo0P0000000`3oool0ool00?oo0007000000@0oooo0`0000030?ooo`80om`000@0oooo
00000000000000002P3oool200000080ol400P0000000`3oool000000000000<000000<0ojX04000
00030?nF00<00000103oool6000000P0oooo1`0000060?ooo`@00000103oool300000080oooo1000
00090?ooo`<000002P3oool4000000P0oooo0`00000:0?ooo`030000003oool0oooo00T0oooo0P00
00020?ooo`030000003oool0oooo00H0oooo0P00000;0?ooo`<0o`P01@3oool4000000L0oooo0`3o
7@0A0?ooo`80oc403`3oool30?m500l0oooo0`3oF@0?0?ooo`<0ofh01@3ooolC000000P0oooo0P00
00030?ooo`<0oj0000<0oooo0000000000001@3oool7000000<0ol0000<0oooo0000000000000P3o
ool00`000000oooo0?ooo`02000000<0oooo0`0000030?oX0080oooo00H000000?ooo`000000oooo
0000003oool2000000040?ooo`0000000000000000<0iOl00P3oool3000000030?ooo`0000000000
00<0000000<0oooo0000003oool00P0000020:So00030?ooo`00000000000080000000H0oooo0000
00000000oooo0000003oool40000000505oo003oool0Gol005oo003oool01P0000001@3oool00000
000000000000oooo00@000000P07o`0@00000004003oGP00000000000?ooo`<0000000<0oooo0000
00000000200000000`00omD000000000000?00000003002Ro`000000000000l0000000<000So0000
000000003@0000000`3oool000000?ooo`050?ooo`002@3oool:000000030?ooo`000000000000L0
000000<0oooo0000000000002`0000000`3oool000000000000B000000040?ooo`00000000000?oo
o`X0000000D0oooo0000003oool000000?ooo`06000000040?ooo`00000000000?ooo`X0000000<0
oooo0000003oool00P0000020?ooo`<0000000<0oooo000000000000100000020?ooo`80000000<0
oooo0000003oool00P0000000`3oool000000000000300000080oooo0`0000030?ooo`8000000P3o
ool2000000030?ooo`00000000000080000000D0e?l00?ooo`00000000000?ooo`0200000080oooo
100000030?ooo`<0000000<0ool00000000000001`0000040?ooo`<000000P3oool0103og000oooo
0?ooo`3oool5000000T0oooo0P3o`@0600000080oooo5P0000020?ooo``000002@3oool8000000H0
oooo100000060?ooo`80000000<0oooo0000000000000P00000:0?ooo`<000002`3oool3000000P0
oooo0`00000:0?ooo`<000002@3oool3000000@0oooo00<000000?ooo`3oool01@3oool200000340
oooo0P3o<@120?oooa4000001`3oool3000000H0oooo0P0000050?ooo`D0000000<0oooo00000000
00000`3oool2000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P3oool4000000<0
oooo0`0000001P3oool000000?ooo`3oool000000?ooo`@000000P3Uo`000`000000oooo00000002
000000030?ooo`000000000000<0000000<0oooo0000003oool00P0000020:So00030?ooo`000000
00000080000000<0oooo0000000000000P0000000`3oool0000000000002000000<0Gol000L00000
0?ooo`00000000000?ooo`000000oooo0080000000H0oooo00000000000000000?ooo`00000300Oo
00D0000000<0oooo000000000000200000000`00oeh00000003oGP05000000030?ooo`0000000000
00P0000000<00?oE0000000000003`0000000`00X_l000000000000?000000030008o`0000000000
00L0000000<0oooo000000000000100000060?ooo`002@3oool:000000030?ooo`000000000001L0
000000<0oooo0000000000001@0000000`3oool0000000000008000000030?ooo`000000000000@0
000000<0oooo0000000000001P0000000`3oool000000000000:000000030?ooo`000000000000T0
00000P3oool200000080oooo00@000000?ooo`000000oooo1P0000020?ooo`80000000<0oooo0000
003oool0200000030?ooo`<000000P3oool2000000<0oooo00<000000?ooo`000000100000020?oo
o`80000000<0oooo0000000000000P3oool4000000<0oooo0`0000020?ooo`T00000103oool30000
00P0oooo1`00000:0?oooaX00000403oool8000000H0oooo1@0000070?ooo`<0000000<0oooo0000
000000002P3oool4000000/0oooo0`0000090?ooo`8000002`3oool2000000/0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`030?ooo`800000O03oool@000000H0oooo0`0000050?oo
o`8000001@3oool5000000030?ooo`000000oooo00<0oooo0P000000103oool000000?ooo`3oool2
000000<0oooo1@0000030?ooo`80000000D0oooo000000000000oooo000000020?ooo`<000000P3o
ool00`000000oooo00000002000000030?ooo`000000oooo00<0000000<0oooo0000000000000`00
00000`2Xo`00oooo00000003000000030?ooo`00000000000080000000<0oooo0000000000000P00
000305oo00l000000`07o`0>00000006003oGP0000000?mN003oGP000000oooo0`0000000`3oool0
000000000008000000800?oE400000000`00X_l000000000000?000000030008o`000000000000d0
00001`3oool000T0oooo2`0000000`3oool0000000000008000000030?ooo`000000000000X00000
00<0oooo0000000000004P000000103oool000000000003oool:000000030?ooo`000000oooo00/0
00000P3oool00`000000oooo00000002000000030?ooo`000000000000<000000P3oool200000006
0?ooo`00000000000?ooo`000000oooo1P0000020?ooo`80000000<0oooo0000003oool02@000002
0?ooo`030000003oool000000080oooo0P0000030?ooo`80000000<0oooo0000000000000`000002
0?ooo`030000003oool0oooo008000000P3oool4000000@0oooo0P0000030?ooo`T00000103oool3
000000`0oooo1P00000T0?ooo`d000001P3oool5000000P0oooo100000020?ooo`8000002@3oool4
000000/0oooo100000080?ooo`<000002`3oool2000000/0oooo0P0000080?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0P03oool;000000030?ooo`0000000000008000001@3oool2
000000D0oooo0P0000050?ooo`L00000103oool400000080oooo00@000000?ooo`3oool0oooo0`00
00000`3oool000000?ooo`020?ooo`<0000000<0oooo0000003oool00P000000103oool000000000
000000020?ooo`030000003oool000000080000000L0oooo0000003oool000000?ooo`000000oooo
00D000000P3oool4000000050?ooo`00000000000000003oool01@000000103oool0Gol00000003o
ool:000000040?ooo`0000000000000000801ol03`0000000`00oeh00000003oGP06000000030?oo
o`000000000000H000000`00omDA000000800:;o3`0000000`002?l0000000000006000000030?oo
o`000000000000@000001`3oool000T0oooo2`0000000`3oool000000000000D000000040?ooo`00
000000000?ooo`L0000000<0oooo0000000000003`0000000`3oool0000000000007000000030?oo
o`000000oooo00H0000000@0oooo000000000000oooo0P0000001@3oool00000000000000000oooo
00D0000000D0oooo00000000000000000?ooo`02000000030?ooo`000000oooo00H000000P3oool2
000000030?ooo`000000oooo00H0000000<0oooo0000000000000P3oool3000000<0oooo0P000003
0?ooo`P0000000<0oooo0000000000000P3oool200000080oooo100000040?ooo`800000103oool8
000000D0oooo1000000:0?ooo`l00000303ooolE000000H0oooo1@0000080?ooo`D000000P3oool4
000000L0oooo1@00000;0?ooo`D00000203oool2000000X0oooo1000000:0?ooo`<000002P3oool0
0`000000oooo00000002000008P0oooo200000030?ooo`8000001@3oool2000000D0oooo0P000005
0?ooo`L00000103oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo10000003
0?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo0000000200000080oooo00<0
00000?ooo`0000000P0000001`3oool000000?ooo`000000oooo0000003oool01@0000020?ooo`D0
000000@0oooo000000000000oooo20000000103oool000000000003oool4000000030?ooo`000000
000000@0000000<01ol00000000000001`0000000`3oool0000000000004000000<00?mN00<00000
0?ooo`00000030000002003oeA0000000`00X_l@000000030008o`000000000000L0000000<0oooo
0000000000000`0000060?ooo`002@3oool<000000030?ooo`000000000000P0000000<0oooo0000
000000002P0000000`3oool0000000000007000000030?ooo`000000000000P0000000@0oooo0000
00000000oooo0`0000000`3oool0000000000006000000040?ooo`00000000000?ooo`H0000000@0
oooo000000000000oooo300000001@3oool00000000000000000oooo0080000000<0oooo0000003o
ool01`000000103oool000000000003oool8000000030?ooo`00000000000080oooo100000020?oo
o`<000000P3oool2000000030?ooo`000000000000@0000000<0oooo0000000000000P3oool20000
0080oooo100000040?ooo`<00000103oool8000000H0oooo1@00000=0?oooad00000303oool50000
00P0oooo1@0000030?ooo`@000001`3oool7000000T0oooo100000000`3oool00000000000070?oo
o`<000002P3oool2000000d0oooo00<000000?ooo`3oool02`3oool3000008h0oooo20000000103o
ool000000000000000040?ooo`8000001@3oool2000000D0oooo100000000`3oool0000000000003
0?ooo`@0000000<0oooo0000000000000`3oool500000080oooo00@000000?ooo`000000oooo0P00
00000`3oool000000?ooo`0300000080oooo00<000000?ooo`0000000`0000020?ooo`80000000<0
oooo0000003oool0100000000`3oool0000000000007000000030?ooo`000000000000T0000000<0
oooo0000000000006`0000000`00oeh0000000000004000000030?ooo`000000000000H000000`00
omD@000000800:;o400000020008o`h000001P3oool000T0oooo200000001@3oool0000000000000
00000P3o01H0000000@0oooo000000000000oooo1`0000000`3oool000000000000<000000030?oo
o`000000000000P0000000<0oooo0000003oool0300000000`3oool000000000000:000000050?oo
o`00000000000000003oool00P0000000`3oool000000?ooo`05000000030?ooo`000000oooo0080
00000P3oool5000000030?ooo`000000000000<0000000D0oooo000000000000oooo000000030?oo
o`8000000`3oool2000000030?ooo`000000000000<000000P3oool200000080oooo0P0000030?oo
o`@000000`3oool4000000@0oooo2P0000060?ooo`H00000:P3oool6000000P0oooo1@0000030?oo
o`D00000203oool7000000T0oooo0`0000030?ooo`8000001P3oool3000000/0oooo0P00000=0?oo
o`8000003@3oool2000004l0oooo1P00000n0?ooo`P0000000@0oooo00000000000000000`3oool2
000000D0oooo0P0000050?ooo`@0000000<0oooo0000000000000`3oool01P000000oooo00000000
0000oooo000000@0oooo0P0000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool01000
0000oooo0000003oool300000080oooo00H000000?ooo`00000000000?ooo`0000020?ooo`800000
00<0oooo0000003oool0100000000`3oool0000000000002000000030?ooo`000000000000800000
00<0oooo0000000000001@0000000`3oool0000000000008000000030?ooo`000000000000D00000
00<0oooo00000000000070000002003oeA0000000`00X_l>000000030008o`00000000So00L00000
00<0oooo0000003oool0100000060?ooo`002P3oool;000000800P3o5`0000000`3oool000000000
0007000000030?ooo`000000000000P0000000<0oooo000000000000100000000`3oool000000000
0002000000040?ooo`00000000000?ooo`<0000000<0oooo0000000000000P0000000`3oool00000
0000000200000080oooo00<000000?ooo`0000001`0000000`3oool000000?ooo`03000000060?oo
o`00000000000?ooo`000000oooo1@0000000`3oool000000?ooo`0200000080oooo200000000`3o
ool00000000000020?ooo`@000000P3oool3000000<0oooo0P0000000`3oool00000000000030000
0080oooo0P0000020?ooo`8000000`3oool5000000@0oooo100000030?ooo`d000001P3oool<0000
0100oooo3P0000090?ooo`D000000`3oool5000000/0oooo1@00000:0?ooo`<000002`3oool30000
00/0oooo0`00000;0?ooo`@000003P3oool00`000000oooo000000130?ooo``000001@3ooolE0000
02d0oooo1`0000020?ooo`8000000`3oool2000000D0oooo0P0000050?ooo`@0000000<0oooo0000
003oool00P3oool01P000000oooo0?ooo`000000oooo000000@0oooo100000020?ooo`030000003o
ool000000080oooo00@000000?ooo`000000oooo0`0000020?ooo`070000003oool000000000003o
ool000000?ooo`03000000030?ooo`000000oooo00@0000000<0oooo0000000000000P0000000`3o
ool0000000000007000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000P000000
0`3oool000000000000>000000030?ooo`000000000000`0000000<0oooo0000000000001`000000
0`00omD000000000000?000000800:;o3`0000020008o`T0000000<0oooo0000000000000P000006
0?ooo`002P3oool;000000800P3o4@0000000`00U?l0000000000002000000030?ooo`0000000000
00P0000000<0oooo000000000000300000001@3oool00000000000000000oooo00/0000000<0oooo
000000000000100000000`3oool00000000000020?ooo`030000003oool0000000L0000000<0oooo
0000003oool00`0000001P3oool000000000003oool000000?ooo`D0000000<0oooo0000003oool0
0`0000000`3oool000000?ooo`0900000080oooo0P0000000`3oool000000?ooo`020?ooo`<00000
0P3oool200000080oooo1@0000020?ooo`8000000P3oool2000000@0oooo1@000000103oool00000
0000003oool500000080oooo3P00000>0?oooa0000003@3oool:000000<0oooo1@00000<0?ooo`D0
00002`3oool3000000/0oooo0`00000<0?ooo`800000303oool2000001@0oooo00<000000?ooo`3o
ool0=`3oool:000000@0oooo3@00000E0?ooo`/00000903oool700000080oooo0P0000030?ooo`80
00001@3oool2000000D0oooo1@0000030?ooo`80000000@0oooo00000000000000001@3oool40000
00030?ooo`000000oooo0080000000D0oooo0000003oool000000?ooo`0300000080oooo00L00000
0?ooo`00000000000?ooo`000000oooo00<0000000<0oooo0000003oool0100000000`3oool00000
00000002000000050?ooo`00000000000000003oool00`0000000`3oool000000000000200000004
0?ooo`00000000000?ooo`H0000000<0oooo000000000000=`0000000`00X_l000000000000=0000
00<000So3@0000060?ooo`002@3oool6000000030?ooo`000000000000@000000P020?l@00000080
09Co1@0000000`3oool0000000000007000000030?ooo`000000000000P0000000<0oooo00000000
00003P0000000`3oool0000000000007000000030?ooo`00000000000080oooo00<000000?ooo`00
00001`0000000`3oool000000?ooo`03000000060?ooo`00000000000?ooo`000000oooo1@000000
0`3oool000000?ooo`03000000030?ooo`000000oooo00X000000P3oool4000000<0oooo0P000003
0?ooo`8000000P3oool500000080oooo0P0000020?ooo`<00000103oool8000000030?ooo`000000
000000@000000P3ooolE000001T0oooo1`0000070?ooo`H000003@3oool4000000h0oooo0P00000;
0?ooo`<00000303oool3000000`0oooo0P00000F0?ooo`030000003oool0oooo02P0oooo3`000004
0?ooo`X000000P3ooolZ000000030?ooo`000000000002D0oooo1P0000020?ooo`8000000`3oool2
000000D0oooo0P0000040?ooo`H000000`3oool00`000000oooo0?ooo`03000000@0oooo0P000000
103oool000000?ooo`0000020?ooo`060000003oool000000?ooo`000000oooo0`0000020?ooo`07
0000003oool000000000003oool000000?ooo`03000000030?ooo`000000oooo00<000000P3oool5
000000040?ooo`00000000000?oooa80000000<0oooo0000000000006P0000000`3oool000000000
000Z0000008000So2@000000103oool000000000000000060?ooo`002@3oool00`000000oooo0000
000:000000<00P3o3`000002002Do`@0000000<0oooo000000000000200000000`3oool00?oX0000
000:000000030?ooo`000000000000<0000000<0oooo0000000000000P000000203oool000000000
003oool000000?ooo`000000oooo1`0000000`3oool00000000000020?ooo`030000003oool00000
00L0000000<0oooo0000003oool00`0000001@3oool000000000003oool000000080oooo10000000
0`3oool000000?ooo`03000000030?ooo`000000000000H0000000@0oooo00000000000000000`3o
ool010000000oooo0000000000030?ooo`8000000`3oool200000080oooo1@0000020?ooo`800000
0`3oool3000000@0oooo200000020?ooo`L000000`3ooolY000000<0oooo2P0000070?ooo`<00000
103oool8000000X0oooo1@0000070?ooo`H000001P3oool2000000@0oooo0`0000030?ooo`030000
003oool0oooo00L0oooo0`0000090?ooo`<000002P3oool4000000L0oooo0`00000:0?ooo`030000
003oool0oooo00T0oooo200000040?ooo`<000002@3oool3000000T0oooo0`0000080?ooo`T00000
0`3ooolE000000030?ooo`000000000000L000001@3oool2000000T0oooo0`0000090?ooo`800000
103oool5000000040?ooo`0000000000000000<0oooo0P0000040?ooo`<00000103oool600000080
oooo0P000000103oool000000?ooo`0000020?ooo`030000003oool0000000<0000000X0oooo0000
003oool0oooo0000003oool000000?ooo`000000oooo0`0000020?ooo`070000003oool000000000
003oool000000?ooo`03000000030?ooo`000000000000<000000P3oool8000000030?ooo`000000
000000D0000000@0oooo000000000000oooo100000000`3oool000000000001:000000030008o`00
0000000000L0000000@0oooo00000000000000001P3oool000T0oooo1`0000000`3oool000000000
0003000000040080o`3oool00P3o0?ooo`l000000P00U?l7000000030?ooo`000000000000D00000
0P00onP00`000000oooo0000000:000000050?ooo`000000000000000000ogH01`0000001@3oool0
0000000000000000oooo00@0000000<0oooo0000000000000`0000020?ooo`030000003oool00000
00L0000000<0oooo0000003oool00`0000000`3oool000000000000200000080oooo10000000103o
ool000000?ooo`3oool200000080oooo0P0000020?ooo`P000000P3oool2000000030?ooo`000000
oooo00<0oooo0P0000020?ooo`<000000P3oool6000000L0oooo0`0000060?ooo`L000001@3oool4
000000D0oooo:`0000070?ooo`D000000P3oool:000000P0oooo1`0000060?ooo`H000001P3oool4
000000<0oooo0`0000030?ooo`<000001@3oool7000000P0oooo0P00000:0?ooo`<0000000<0oooo
0000003oool01`3oool00`000000oooo0?ooo`090?ooo`800000FP3oool:000000030?ooo`000000
000000<000000`3oool5000000L0oooo100000070?ooo`<00000103oool8000000<0oooo0P000003
0?ooo`@000000`3oool700000080oooo00<000000?ooo`0000000P0000020?ooo`030000003oool0
000000<0000000@0oooo0000003oool0oooo0`0000000`3oool000000?ooo`0300000080oooo00L0
00000?ooo`00000000000?ooo`000000oooo00<0000000<0oooo0000000000000`0000000`3oool0
000000000002000000030?ooo`000000000000D0000000<0oooo0000003oool00P000000103oool0
00000000003oool6000000030?ooo`000000000005D000001P3oool000T0oooo1`0000000`3oool0
000000000005000000030080o`000000000000h000000`00U?l3000000030?ooo`000000000000P0
000000@0oooo003oj000onP00?oX200000000`3oool0000000000004000000800?mf200000000`3o
ool000000000000500000003003o5@000000000000<0000000@0oooo000000000000oooo20000000
0`3oool000000?ooo`03000000030?ooo`0000000000008000000P3oool4000000040?ooo`000000
00000?ooo`<0000000D0oooo00000000000000000?ooo`04000000030?ooo`000000000000800000
0P3oool4000000@0oooo0P0000020?ooo`<000000P3oool7000000L0oooo0`0000060?ooo`P00000
1@3oool8000000/0oooo3@00000;0?ooo``0000000<0oooo0000000000002@0000080?ooo`L00000
1P3oool5000000030?ooo`000000000000H0oooo0`0000040?ooo`<000000P3oool4000000D0oooo
1`0000090?ooo`8000002@3oool3000000@0oooo00<000000?ooo`3oool00`3oool3000000X0oooo
0`00001R0?ooo`d00000103oool5000000H0oooo0`0000070?ooo`800000103oool8000000<0oooo
0P0000030?ooo`040000003oool00000000000<0oooo1P0000020?ooo`030000003oool0oooo0080
00000P3oool2000000060?ooo`00000000000000003oool000000`3oool2000000030?ooo`000000
oooo00<000000P3oool01`000000oooo000000000000oooo0000003oool00`0000000`3oool00000
00000003000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`0300000003
0?ooo`000000000000T0000000<0oooo000000000000A`0000000`3oool000000000000:00000003
0?ooo`000000000000H0oooo00090?ooo`l0000000<0oooo0080o`3oool03P0000000`00U?l00000
002Do`07000000030?ooo`000000000000D000000P00onP00`0000000?oX00000008000000030?oo
o`000000000000<000000P00ogH6000000030?ooo`000000oooo00D0000000D0oooo003o5@00oaD0
00000?ooo`03000000030?ooo`000000000000T0000000<0>ol00000003oool00`0000000`3oool0
00000000000200000080oooo100000020?ooo`030000003oool00000008000000P3oool200000080
oooo2@0000020?ooo`@00000103oool200000080oooo10000000103oool000000000003oool50000
00L0oooo0`0000080?ooo`T000001`3ooolS000000L0oooo300000080?ooo`L000001`3oool40000
00<0oooo0`0000040?ooo`@000000`3oool400000080oooo0`0000060?ooo`D000002P3oool40000
00T0oooo0P0000070?ooo`040000003oool0oooo0?ooo`8000002`3oool3000006/0oooo2`000004
0?ooo`@000001@3oool3000000H0oooo0P0000040?ooo`P000000`3oool200000080oooo0P000000
0`3oool000000?ooo`030?ooo`D000000P3oool2000000030?ooo`000000000000<0oooo00<00000
0?ooo`0000000P0000000`3oool00000000000020?ooo`80000000<0oooo0000003oool00`000002
0?ooo`070000003oool000000000003oool000000?ooo`03000000030?ooo`000000000000<00000
00<0oooo0000000000000P0000001@3oool00000000000000000oooo0080000000<0oooo00000000
00000P000000103oool000000000003oool4000000030?ooo`000000oooo05<0000000<0oooo0000
000000001P3oool000T0oooo200000000`3oool0000000000005000000030080o`000000000000l0
000000<009Co0000000000000P0000000`3oool0000000000009000000800?oX2`0000000`3oool0
00000?ooo`02000000<00?mf1P0000001@3oool000000?ooo`000000oooo00<0000000D0oooo003o
5@00oaD00?lE0?ooo`03000000030?ooo`000000000000P000000P0ko`001P000000oooo0000003o
ool000000?ooo`@000000P3oool40000000407ko003oool000000?ooo`@000000P3oool00`000000
oooo0?ooo`0:00000080oooo100000040?ooo`8000000P3oool7000000030?ooo`000000000000@0
00001`3oool4000000X0oooo3@00000L0?ooo`/0000000<0oooo0000000000000`0000090?ooo`L0
0000203oool4000000<0oooo100000030?ooo`@000000`3oool4000000<0oooo0`0000070?ooo`@0
00002P3oool3000000X0oooo0`0000090?ooo`@000002`3oool300000780oooo2P0000040?ooo`80
00001P3oool2000000H0oooo0P0000040?ooo`@0000000@0oooo00000000000000000`3oool20000
0080oooo00@000000?ooo`00000000000`3oool600000080oooo00<000000?ooo`0000000P000002
0?ooo`030000003oool00000008000000P3oool00`000000oooo0?ooo`02000000030?ooo`000000
oooo00<000000P3oool2000000030?ooo`00000000000080oooo0`0000000`3oool0000000000003
000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`02000000030?ooo`00
0000oooo0080000000@0oooo000000000000ooooG00000060?ooo`002@3oool2000000030?ooo`00
0000000000/0000000<0oooo0080o`000000400000000`00U?l0000000000002000000040?ooo`00
000000000?ooo`L0000000@0oooo00000000onP0oooo200000000`3oool000000000000400000080
0?mf2@0000000`3oool000000?ooo`03000000800?lE00<00000003o5@3oool00`0000000`3oool0
000000000008000000<0>ol000D0oooo0000003oool000000?ooo`05000000030?ooo`0000000000
008000000P1no`000`000000oooo0?ooo`0300000080oooo0P0000020?ooo`<000000`2do`040000
0080oooo100000040?ooo`8000000P3oool?000000P0oooo0`00000;0?oooc400000203oool80000
00X0oooo0P3oR`000`000000oooo0?ooo`05000000<0oooo100000020?ooo`030?mf003oool00000
00800000103oool3000000H0oooo00<0of400?ooo`0000000P00000;0?ooo`80000000<0oooo0?m:
003oool0203oool2000000H0oooo00<0oc<00?ooo`3oool00P3oool2000000/0oooo0P3o70000`00
0000oooo0?ooo`1d0?ooo`040?mm003oool0oooo0?ooo`@0000000<0oooo0000000000000P000002
0?ooo`<0000000<0oooo0?nJ003oool00P3oool2000000H0oooo0P0000040?ooo`050000003o_000
00000000003oool00P0000040?ooo`80000000P0oooo000000000000oooo0000003oool0onH00?oo
o`H000000P3oool00`000000oooo0000000200000080oooo0P0000000`3Vo`000000000000020?oo
o`030000003oool0oooo0080000000<0oooo0000003oool00`0000020?ooo`D000000P3oool20000
00030?ooo`000000oooo00<000000P3oool3000000030?ooo`000000000000D0000000<0oooo0000
000000002@0000000`3oool0000000000004000000030?ooo`000000000004`0000000<0oooo0000
003oool01@3oool000T0oooo2@0000000`3oool0000000000005000000030080o`000000000000l0
000000<009Co0000000000003P0000000`3oool00?oX00000009000000030?ooo`000000000000<0
00000P00ogH9000000050?ooo`00000000000000003oool00P000002003o5@80000000<0oooo0000
000000000P3oool90000000903_o00000000>ol003_o003oool000000?ooo`000000oooo00<00000
00<0oooo0000003oool00`00000407ko0080oooo100000020?ooo`8000000P3oool2000000D0]?l0
0`0000020?ooo`@00000103oool30>3o0080oooo3@0000060?om00@0oooo100000080?ooo`80on40
2@3oool7000000<0olT03@0000030?ooo`80ok@02`3oool500000080oil00P00000<0?ooo`030000
003oR`00oh/000D000001P3oool2000000@0oooo0P3oMP02000000<0oooo100000070?ooo`80of40
0P00000;0?ooo`<0000000<0oooo0?m:003oBP001`3oool3000000H0oooo0P3o<`000`3oool00000
00000002000000030?ooo`000000oooo00P0oooo0P3o700B0?ooo`<0o`H0;03oool30?lh0100oooo
0`3oCP0?0?ooo`<0ofD04@3oool20?mm00D0oooo200000020?ooo`80000000<0oiX00?ooo`3oool0
0P3oool2000000H0oooo0P0000040?ooo`050?nl0000000000000000003oool00P0000040?ooo`08
0000003oool0oooo0000003oool000000?ooo`3oiP020?ooo`D000000P3oool00`000000oooo0?oo
o`02000000<0oooo00@000000>Ko0000000000000P3oool00`000000oooo0?ooo`02000000030?oo
o`000000oooo00<000000P3oool00`2Xo`00000000000002000000050?ooo`00000000000000003o
ool00P000000103oool000000000003oool4000000050?ooo`00000000000000003oool00P000000
0`3oool0000000000002000000040?ooo`00000000000?ooo`@0000000<0oooo0000003oool01`00
00000`3oool000000000000>000000030?ooo`000000000003L0000000<0oooo0000003oool01@3o
ool000T0oooo00@0Z`3o000000000000oooo3@0000000`3oool00P3o00000008000000030?ooo`00
0000000000D0000000<009Co0000000000000P0000000`3oool0000000000003000000030?ooo`00
0000000000@0000000<00?oX0000000000002@0000000`3oool000000000000300000003003oMP00
0000000000D0000000<0oooo0000003oool00`0000001@3oool00000003o5@0000000?lE00800000
00<0oooo0000000000000P3oool90000000503_o00000000>ol00000003oool00`0000001P3oool0
00000?ooo`000000oooo00000080oooo0P0000000`1no`00000007ko0002000000030?ooo`000000
0000008000000P3oool3000000030?ooo`000000000000<0]?l01`0000000`3oool0000000000002
000000<0oooo1@3Po`020?ooo`D0000000<0oooo0000000000000`0000030?om00<000001`3oool5
000000<0on4000<000000?ooo`3oool0303oool40?o900l0oooo0`3o]0070?ooo`P000000`3oW`0;
0?ooo`@000000`3oR`000`000000oooo0?ooo`060?ooo`<00000103oool60?mf00<000002@3oool6
0?mQ00P0oooo0`0000020?ooo`D0odX00P3oool4000000L0oooo1P3o<`040?ooo`030000003oool0
oooo00D0oooo1P3o700=0?ooo`<0o`H02P3oool60?l=00d0oooo1P3o8`0?0?ooo`<0ocP0403oool3
0?m>00l0oooo0`3oI@0=0?ooo`D0ogd01@3oool8000000D0oiX0103oool2000000H0oooo0P000004
0?nl00@0000000<0oooo0000003oool00`3oool2000000030?ooo`000000onH000<0onH00P3oool3
000000050?ooo`000000oooo0?ooo`0000000P3oool3000000030>Ko003oool0i_l000<000000P3o
ool00`000000oooo0?ooo`02000000030?ooo`000000oooo0080000000@0oooo0:So002Xo`00Z?l0
100000001@3oool00000000000000000oooo00<0000000@0oooo0000003oool000000P1Mo`000`00
0000oooo00000002000000040?ooo`00000000000?ooo`@0000000@0oooo0000000000001Ol00`00
00000`3oool000000000000;00000003003oH@00000000000100000000<00?oI0000000000003`00
00000`00W_l000000000000?000000030004o`000000000000l000001P3oool000T0oooo2P000000
0`3oool0000000000005000000030?ooo`000000000000d0000000<0oooo00000000000040000000
103oool000000000003oool8000000050?ooo`00000000000000003oool00`0000000`3oool00000
00000002000000060?ooo`00000000000?ooo`000000oooo2@0000020?ooo`8000000P3oool80000
000403_o0000000000000?ooo`80000000<0oooo0000000000001`0000001@3oool000000000001n
o`0000000080oooo00<000000?ooo`3oool0100000020?ooo`<0000000<0oooo0000002do`001`00
0000103oool000000000003oool400000080oooo0P3Po`04000000@0oooo100000020?ooo`<00000
0P3oo@06000000T0oooo0P3oh@000`3oool0000000000009000000H0oooo0`3ob@0;0?ooo`@00000
0`3o]008000000P0oooo0`3oW`020?ooo`T00000103oool30?n;00030?ooo`000000000000<00000
0`3oool8000000/0oooo0`00000;0?ooo`<000002@3oool3000000/0oooo0P0000080?ooo`030000
003oool0oooo01/0oooo0`3o1P0;0?ooo`030?l=003oool0oooo00h0oooo0P3o8`0A0?ooo`80ocP0
3P3oool30?m>00l0oooo0`3oI@0M0?ooo`D0000000<0oooo0000000000000`3oVP02000000<0oooo
0P0000060?ooo`8000000`3o_004000000030?ooo`000000000000@0oooo00@000000?ooo`3oool0
00000`3oiP020?ooo`H0000000L0oooo0000003oool0oooo0000003oool0000000<0i_l00`000002
0?ooo`030000003oool0oooo0080000000<0oooo0000003oool00P000000103oool0Z?l00:So003o
ool4000000050?ooo`00000000000000003oool00`0000001@3oool0000005go00000000GOl00080
000000<0oooo000000000000100000000`3oool0000000000005000000801Ol00P0000000`3oool0
000000000004000000030?ooo`000000000000@0000000<00?mQ0000000000002P0000000`3oool0
00000000000200000003003of@000000000000l0000000<009ko0000000000003`0000000`001?l0
00000000000>000000L0oooo00090?ooo`030000003oool0000000<0000000<0oooo000000000000
2@0000000`3oool0000000000008000000030?ooo`000000000000X0000000<0oooo000000000000
2P0000000`3oool0000000000008000000030?ooo`000000000000<0000000<0oooo0000003oool0
10000000203oool000000000003oool000000?ooo`000000oooo1`000000103oool0000000000000
00020?ooo`D0000000D0oooo00000000000000000?ooo`02000000030?ooo`000000oooo00<00000
00<0oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000oooo0080oooo
0`0000030?ooo`<0000000<0oooo0;Co000000001`000000103oool000000000003oool500000003
0?ooo`3Po`00oooo00@000001@3oool3000000@0oooo00<000000?om000000002P0000050?ooo`80
on401`3ooolJ000001@0oooo200000080?ooo`H00000103oool4000000<0oooo0P00000<0?ooo`80
00002`3oool3000000T0oooo0`00000:0?ooo`@000002P3oool00`000000oooo0?ooo`0W0?ooo`80
o`d03`3oool20?lS00<0oooo1@0000090?ooo`80ocP00`3ooolF000002/0oooo200000030?ooo`80
00000`3oool2000000H0oooo0P0000030?ooo`L000000`3oool01@000000oooo0?ooo`3oool00000
0080onH00`3oool5000000080?ooo`000000oooo0?ooo`000000oooo0000003oool20>Ko00<00000
0P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo0080000000@0oooo0:So002Xo`00
oooo100000001@3oool00000000000000000oooo00D000000`1Mo`000`000000oooo000000050000
0080oooo1@00000300Go0080000000<0oooo0000000000002`0000000`00of400000003oH@0@0000
0003003of@000000000000l0000000<009ko0000000000003`0000000`001?l000000000000=0000
00L0oooo000:0?ooo`<0000000<0oooo000000000000100000000`3oool000000000000500000003
0?ooo`000000000001T0000000<0oooo0000003oool04@0000000`3oool000000000000300000003
0?ooo`000000000000T0000000<0oooo0000003oool01`000000103oool000000000000000020?oo
o`D0000000<0oooo000000000000100000000`3oool000000?ooo`03000000030?ooo`0000000000
00<0000000<0oooo0000000000000`0000000`3oool00000000000020?ooo`@000000P3oool30000
0080oooo2@000000103oool000000000003oool2000000030?ooo`000000000000@0oooo10000005
0?ooo`@000001@3oool?000002T0oooo3`0000080?ooo`D000001`3oool3000000<0oooo1000000;
0?ooo`<000002@3oool4000000T0oooo0`00000:0?ooo`<000003P3oool00`000000oooo0?ooo`0V
0?ooo`030?l=003oool0oooo00/0oooo2@0000050?ooo`h00000A03oool7000000<0oooo0P000003
0?ooo`8000001P3oool2000000<0oooo0`000000103oool000000000000000020?ooo`8000000P3o
ool2000000@0oooo0`000000103oool000000?ooo`0000020?ooo`030000003oool000000080oooo
100000020?ooo`030000003oool0oooo0080000000<0oooo0000003oool00P0000020?ooo`030:So
003oool0000000L0000000<0oooo0000003oool00P0000000`3oool0GOl005go0002000000030?oo
o`000000000000@0000000<0oooo0000000000000P000000103oool0000000Go0005o`0300000003
0?ooo`000000000000T0000000@00?mQ00000000of400?mQ2`0000000`3oool00000000000020000
00800?oI400000000`00W_l000000000000?000000050004o`00000000000000003oool030000006
0?ooo`002P3oool00`000000oooo00000003000000030?ooo`000000000000T0000000<0oooo0000
00000000200000000`3oool000000000000:000000030?ooo`000000000000T0000000<0oooo0000
000000002@0000000`3oool0000000000004000000030?ooo`000000000000T0000000<0oooo0000
003oool01`000000103oool000000000000000020?ooo`D0000000<0oooo00000000000010000000
0`3oool0000000000004000000030?ooo`000000000000T0000000<0oooo0000003oool00P3oool4
00000080oooo0`0000020?ooo``0000000@0oooo000000000000oooo0`0000040?ooo`@000001@3o
ool5000000D0oooo5P00000D0?ooo`X000000P3oool6000000X0oooo1@00000=0?ooo`D000002`3o
ool4000000T0oooo0`00000:0?ooo`<000002`3oool200000140oooo00<000000?ooo`3oool0;@3o
ool8000000@0oooo2@0000030?ooobP00000:P3oool6000000<0oooo0P0000030?ooo`8000001P3o
ool2000000<0oooo100000000`3oool000000?ooo`020?ooo`040000003oool0oooo0?ooo`800000
0`3oool3000000040?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool400000080
oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`00
00000P0000001P3oool000000000003oool000000?ooo`@0000000<0oooo0000001Mo`000P000000
0`3oool0000000000004000000030?ooo`000000000000@000000P05o`0?00000003003oH@000000
0?mQ00l000000`00omTA00000003002No`000000000000h0000000<000Co0000000000003P000006
0?ooo`002@3oool2000000040?ooo`00000000000?ooo`H0000000<0oooo0000000000008@000000
0`3oool0000000000005000000030?ooo`000000000000T0000000D0oooo00000000000000000?oo
o`02000000030?ooo`000000000000<0000000<0oooo0000000000001@0000000`3oool000000000
0005000000040?ooo`000000000000000080oooo1@0000000`3oool000000000000400000080oooo
0P000000103oool000000000003oool5000000030?ooo`000000000000H000000`3oool3000000<0
oooo0`0000020?ooo`l000000P3oool2000000H0oooo100000050?ooo`H000001`3oool6000000<0
oooo7P0000030?ooo`P000001`3oool6000000P0oooo0`0000020?ooo`D000000P3oool3000000H0
oooo1P0000080?ooo`@000002@3oool4000000D0oooo2@0000040?ooo`@000002@3oool3000000P0
oooo100000080?ooo`<000002@3oool3000000/0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo100000080?oooah000001P3oool2000000T0
oooo0`0000090?ooo`8000000P3oool5000000<0oooo0P0000030?ooo`8000001@3oool300000080
oooo200000000`3oool000000?ooo`020?ooo`8000000`3oool5000000040?ooo`000000oooo0?oo
o`@0000000<0oooo0000000000000P0000020?ooo`030000003oool0oooo0080000000<0oooo0000
003oool00P0000020?ooo`80000000@0oooo000000000000oooo0`0000000`3oool0000000000003
000000030?ooo`000000000000P000000P3oool60000000500Go0000000000000000003oool03000
0003003oH@/0000000@0oooo00000000000000000P00omTA0000008009ko400000000`001?l00000
0000000=000000H0oooo00090?ooo`040000003oool000000?oooa00000000<0oooo000000000000
200000000`3oool000000000000J000000030?ooo`00000000000080000000D0oooo000000000000
00000?ooo`03000000050?ooo`00000000000000003oool0100000000`3oool00000000000050000
00030?ooo`000000000000<0000000<0oooo0000000000000`0000020?ooo`80000000@0oooo0000
00000000oooo1P0000020?ooo`030000003oool0oooo0080000000<0oooo0000000000002P000000
0`3oool00000000000030?ooo`<000000`3oool300000080oooo3@0000040?ooo`@000001P3oool4
000000D0oooo2P0000050?ooob@00000103oool=000000H0oooo2`0000020?ooo`D00000103oool8
000000L0oooo1P0000080?ooo`@000001@3oool3000000/0oooo0P0000090?ooo`@000000P3oool0
0`000000oooo0?ooo`030?ooo`<00000203oool4000000X0oooo0`00001=0?oooa400000103oool5
000000L0oooo100000070?ooo`8000000P3oool6000000040?ooo`0000000000000000<0oooo0P00
00040?ooo`<000000`3oool7000000030?ooo`000000oooo0080oooo0P0000030?ooo`D0000000<0
oooo0000003oool00P3oool3000000030?ooo`0000000000008000000P3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo008000000P3oool5000000050?ooo`00000000000000003oool0
1@0000001@3oool000000?ooo`000000oooo00H0000000<0oooo0000000000000P000000103oool0
00000000003ooolA00000003003oH@000000000000d000000`00omT?00000003002No`00000009ko
0100000000D000Co00000000000000000?ooo`0;000000H0oooo00090?ooo`<0000000<0oooo0000
000000001P0000000`0G0?l0oooo0000000A000000030?ooo`000000oooo00d0000000<0oooo0000
000000001P0000000`3oool000000000000900000080oooo1@0000000`3oool000000?ooo`040000
00030?ooo`00000000000080000000@0oooo000000000000oooo2`0000030?ooo`050000003oool0
00000000003oool01P0000020?ooo`80000000D0oooo00000000000000000?ooo`0<000000030?oo
o`000000oooo0080oooo100000020?ooo`@000000P3oool>000000D0oooo1@0000001@3oool00000
000000000000oooo00@000001`3oool<000001`0oooo3@0000090?ooo``0000000<0oooo00000000
0000100000040?ooo`P000001`3oool6000000T0oooo1@0000050?ooo`<000002`3oool3000000T0
oooo0P0000060?ooo`030000003oool0oooo00<00000203oool3000006D0oooo200000000`3oool0
000000000003000000D0oooo100000070?ooo`8000001`3oool200000080oooo0`000000103oool0
00000000003oool3000000<0oooo0P0000040?ooo`<000000P3oool2000000030?ooo`0000000000
0080000000<0oooo0000000000000`3oool010000000oooo0?ooo`3oool7000000<0oooo0`000000
0`3oool000000000000200000080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`02
00000080oooo2@0000000`3oool000000?ooo`02000000060?ooo`00000000000?ooo`000000oooo
1P0000000`3oool0000000000004000000030?ooo`000000000001`0000000@0oooo000000000000
00000P00omT@0000008009ko3`00000010001?l000000004o`001?l=000000H0oooo00090?ooo`80
000000<0oooo0000003oool01`00000201L0o`L0000000<0oooo000000000000200000000`3oool0
00000000000?000000030?ooo`000000000000D0000000<0oooo0000000000002@0000000`3oool0
000000000004000000030?ooo`000000000000@0000000<0oooo0000000000000P000000103oool0
00000?ooo`3oool3000000030?ooo`000000000000D000000`3oool;000000<0oooo00H000000?oo
o`000000oooo0000003oool4000000030?ooo`000000000000D0000000<0oooo0000000000000`3o
ool400000080oooo100000020?ooo`h00000203oool8000000030?ooo`000000000000<000002`3o
oolP000000l0oooo300000020?ooo`D000001P3oool7000000T0oooo1@0000090?ooo`D000001P3o
ool3000000/0oooo0`0000070?ooo`D00000203oool3000000L0oooo1000001_0?ooo`D0000000<0
oooo0000000000000`0000050?ooo`@000001@3oool3000000H0oooo0P0000020?ooo`<0000000@0
oooo000000000000oooo0`0000030?ooo`8000000`3oool3000000<0oooo1`0000000`3oool00000
0?ooo`020?ooo`030000003oool0oooo0080oooo1`0000020?ooo`<0000000<0oooo000000000000
0P0000020?ooo`030000003oool0oooo0080000000<0oooo0000003oool00P0000000`3oool00000
0?ooo`0=000000030?ooo`000000000000T0000000D0oooo00000000000000000?ooo`0200000005
0?ooo`00000000000000003oool07P0000000`00omT000000000000?0000008009ko3`0000030004
o`d000001P3oool000X0oooo0`0000000`3oool0000000000005000000805`3o00<0oooo00000000
00002P000000103oool0000000000000O?l2000000030?ooo`000000oooo00<0000000<0oooo0000
000000004@000000103oool000000000003oool8000000050?ooo`00000000000000003oool00P00
00000`3oool0000000000004000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`<0
000000<0oooo0000000000001P0000020?ooo``000000P3oool00`000000oooo0000000300000003
0?ooo`000000000000X0000000<0oooo0000000000000`3oool400000080oooo100000020?ooo`l0
00002P3oool8000000030?ooo`000000000000L000009@3ooolB00000080oooo1P0000080?ooo`D0
00002@3oool5000000X0oooo1@0000060?ooo`@00000203oool6000000P0oooo0P0000090?ooo`D0
00001`3oool2000007L0oooo1@0000000`3oool0000000000004000000@0oooo0P0000060?ooo`<0
00001@3oool200000080oooo0`000000103oool000000000003oool2000000@0oooo00<000000?oo
o`3oool00P3oool300000080oooo0P0000000`3oool0000000000002000000030?ooo`000000oooo
0080oooo0P0000030?ooo`<0000000@0oooo0000003oool000000P3oool800000080oooo00<00000
0?ooo`0000000`0000001`3oool00000000000000000oooo0000003oool01`0000000`3oool00000
00000003000000030?ooo`000000oooo00P0000000<0oooo0000000000000P0000000`3oool00000
0000000e00000003002No`000000000000d000000`001?l=000000H0oooo000:0?ooo`<0000000<0
oooo0000000000001P00000201L0o`L0000000<0oooo0000000000001@000002001lo`030000003o
ool0000000l0000000<0oooo0000000000002P0000000`3oool0000000000006000000050?ooo`00
000000000000003oool00P0000000`3oool0000000000004000000070?ooo`00000000000?ooo`00
0000oooo000000020?ooo`<0000000<0oooo0000000000001P0000020?ooo`D0000000<0oooo0000
00000000100000020?ooo`80000000D0oooo0000003oool000000?ooo`04000000030?ooo`000000
000000H0000000<0oooo0000000000000`3oool400000080oooo1@0000000`3oool000000000000>
000000/0oooo3@0000000`3oool000000000000S000000@0oooo1`0000020?ooo`L000002P3oool5
000000T0oooo1`0000080?ooo`D000001`3oool3000000T0oooo0`00000;0?ooo`<000001P3oool5
000000@0oooo00<000000?ooo`3oool01@00001m0?ooo`D000000`3oool400000080oooo0`000006
0?ooo`8000001@3oool200000080oooo0`000000103oool000000000003oool2000000<0oooo0P00
00030?ooo`<000000P3oool7000000030?ooo`000000oooo0080oooo0P0000030?ooo`<0000000@0
oooo0000003oool000000P3oool2000000030?ooo`000000000000<000000P3oool00`000000oooo
00000003000000030?ooo`00000000000080oooo00<000000?ooo`0000000P0000001@3oool00000
000000000000oooo00L0000000<0oooo0000003oool01P0000000`3oool000000000000400000005
0?ooo`00000000000000003oool0@@0000020004o`d000001P3oool000/0oooo0`0000000`3oool0
000000000005000000<05`3o300000000`3oool0000000000002001lo`040000003oool000000?oo
o``0000000<00?ko0000003oool0200000000`3oool0000000000006000000050?ooo`0000000000
0000003oool01P0000000`3oool0000000000007000000040?ooo`000000oooo00000080oooo0`00
00000`3oool000000000000600000080oooo1@0000000`3oool000000000000500000080oooo0`00
0000103oool000000000003oool=000000030?ooo`000000000000<0oooo100000020?ooo`D00000
0P3ooolA000000`0oooo1@0000030?ooo``000004@3oool=00000080oooo1`00000;0?ooo`P00000
2@3oool6000000L0oooo1P0000090?ooo`800000203oool4000000P0oooo1P0000070?ooo`800000
2@3oool3000008L0oooo1@0000020?ooo`8000000`3oool2000000H0oooo0P0000050?ooo`800000
0P3oool3000000040?ooo`00000000000?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`80
00000`3oool00`000000oooo00000003000000030?ooo`000000000000<0oooo00@000000?ooo`3o
ool0oooo0`000000103oool000000?ooo`0000020?ooo`80000000<0oooo0000000000000`000002
0?ooo`030000003oool0000000<0000000<0oooo0000000000000P3oool5000000070?ooo`000000
00000000003oool000000?ooo`02000000030?ooo`000000000000T0000000D0oooo000000000000
00000?ooo`18000000030004o`000000000000/000001P3oool000/0oooo0`0000000`3oool00000
000000050000000301L0o`0000005`3o00L0000000<0oooo0000000000001@000003001lo`80oooo
3@000002003no`X0000000@0oooo000000000000oooo0P0000000`00oi4000000000000500000003
0?ooo`000000000000d0000000@0oooo0000003oool000000P3oool3000000030?ooo`0000000000
00H000000P3oool=000000<0oooo0`000000103oool000000?ooo`3oool=000000040?ooo`000000
000000000080oooo1@0000020?ooo`D000000`3ooolC000000/0oooo300000030?oooa4000000P3o
ool=000000`0oooo2P0000080?ooo`H00000203oool5000000/0oooo0`0000070?ooo`<000002@3o
ool3000000L0oooo1P0000070?ooo`D00000S03oool900000080oooo0`0000050?ooo`8000001@3o
ool200000080oooo0`0000000`3oool000000?ooo`0300000080oooo0P0000040?ooo`8000000P3o
ool2000000030?ooo`00000000000080000000<0oooo0000003oool00P3oool2000000<0oooo1000
0000103oool000000?ooo`3oool2000000030?ooo`000000000000<000000P3oool00`000000oooo
00000003000000030?ooo`00000000000080oooo0`0000000`3oool0000000000008000000030?oo
o`000000000000d0000000<0oooo0000003oool0D`0000060?ooo`00303oool010000000oooo0000
003oool6000000040?ooo`0000005`3o0?ooo``0000000<0oooo0000000000000`00O?l00`3oool0
00000000000;000000<00?ko2P0000001@3oool000000000003oool0000000800?nA1@0000000`3o
ool000000?ooo`0?000000030?ooo`000000oooo0080000000D0oooo00000000000000000?ooo`08
00000080oooo1P0000000`3oool000000000000500000080oooo1P0000000`3oool0000000000004
000000030?ooo`000000000000D000000P3oool2000000<0oooo1@0000020?ooo`D00000103oool>
000000030?ooo`000000000000D00000403ooolF00000180oooo2`0000080?ooo`P000002@3oool3
000000/0oooo1@0000060?ooo`@000002@3oool3000000P0oooo0P0000090?ooo`@00000103oool0
0`000000oooo0?ooo`2<0?ooo`H0000000<0oooo0000000000000`3oool2000000D0oooo0P000005
0?ooo`8000000P3oool900000080oooo0P0000040?ooo`060000003oool0oooo0?ooo`000000oooo
100000000`3oool000000?ooo`020?ooo`8000000`3oool4000000040?ooo`000000oooo0?ooo`80
000000<0oooo0000000000000`0000020?ooo`030000003oool0000000<0000000H0oooo00000000
0000oooo0000003oool2000000030?ooo`00000000000080000000<0oooo0000000000000`000000
1@3oool000000?ooo`000000oooo00H0000000<0oooo0000000000002`0000000`3oool000000000
0019000000H0oooo000<0?ooo`<0000000<0oooo0000000000001`0000000`0G0?l000000000000=
0000008007co00<000000?ooo`3oool01@000000103oool000000000003oool4000000<00?ko00@0
oooo000000000000oooo1@0000001P3oool00000000000000000oooo000000<00?nA100000000`3o
ool000000?ooo`0800000003003o<P000000000000@0000000<0oooo0000003oool00P0000000`3o
ool000000000000;000000030?ooo`000000000000@0000000<0oooo0000000000001@0000030?oo
o`030000003oool00000008000000P3oool>00000080oooo0`0000030?ooo`@000000P3oool70000
00<0oooo4@0000020?ooo`D000009P3ooolA000000P0oooo2@00000;0?ooo`@000002@3oool50000
00T0oooo0P0000090?ooo`@00000203oool3000001<0oooo00<000000?ooo`3oool0B@3oool;0000
03`0oooo200000020?ooo`8000001@3oool3000000@0oooo0P0000020?ooo`@0000000<0oooo0000
000000000P0000020?ooo`8000000`3oool200000080oooo00<000000?ooo`0000000`0000000`3o
ool00000000000020?ooo`8000000`3oool4000000040?ooo`000000oooo0?ooo`80000000<0oooo
0000000000000`0000020?ooo`030000003oool0000000H0000000<0oooo0000003oool01`000000
0`3oool0000000000005000000030?ooo`000000000000X0000000<0oooo000000000000B@000000
0`3oool0000000000006000000H0oooo000=0?ooo`040000003oool000000?ooo`H0000000@0oooo
0000000G0?l0oooo300000001`3oool0000000000000000007co0000003oool03@0000001@00o_l0
0000003no`000000oooo00P0000000<0oooo0000000000000P000002003oT@0300000000oi40oooo
00<0000000<0oooo0000003oool0100000000`3oool0000000000003003o<PD0000000H0oooo0000
003oool0oooo0000003oool40000000301co00000000000000<0000000<0oooo0000000000000P3o
ool>00000080oooo0P000000103oool000000000000000020?ooo`h000000`3oool2000000<0oooo
1@0000020?ooo`P000000P3ooolR00000080oooo7000000>0?ooo`T00000303oool5000000P0oooo
1@00000;0?ooo`<000001`3oool4000000P0oooo1000000F0?ooo`030000003oool0oooo03l0oooo
2P00000<0?ooo`D00000>P3oool3000000030?ooo`00000000000080oooo0P0000060?ooo`800000
103oool200000080oooo10000000103oool000000000000000030?ooo`040000003oool0oooo0?oo
o`8000000P3oool7000000040?ooo`000000oooo0?ooo`8000000`3oool7000000040?ooo`000000
00000?ooo`D000000P3oool00`000000oooo00000006000000040?ooo`00000000000?ooo`800000
00<0oooo0000000000000`000000103oool000000000003ooolA000000030?ooo`000000000004l0
00001P3oool000T0oooo00@000000?ooo`3oool0oooo0`0000000`3oool000000000000700000003
01L0o`000000000000/0000000L0oooo0000000000000000001lo`000000oooo00l0000000@00?ko
000000000000oooo1`0000001@3oool000000000003oool0000000800?nA1P0000000`3oool00000
0?ooo`04000000030?ooo`000000000000@00?lb100000001P3oool000000?ooo`3oool000000?oo
o`@000000P0Lo`04000000030?ooo`00000000000080oooo1P00000305go00D000000`3oool20000
00040?ooo`000000000000000080oooo0`2Bo`0;000000<0oooo0P0000040?ooo`D000000P3oool7
000000@0oooo<00000050?ooo`8000002@3oool2000000<0oooo2@00000:0?ooo`L000001@3oool2
000000030?ooo`000000000000<000000`3oool00`3oT@000000000000050?ooo`L000000`3oool0
0`3oNP00000000000002000000030?ooo`000000000000H0oooo0`0000000`3oool000000?mR000:
0?ooo`8000001@3oool00`3oBP00oooo0?ooo`030?ooo`<000002@3oool00`3o<@00oooo0?ooo`08
0?ooo`030000003oool0oooo00D0oooo00D0oaT00?ooo`3oool0oooo0000000;0?ooo`<000002@3o
ool7000000D0oooo9@0000060?ooo`80oeT00P3oool2000000X0oooo0P0000000`3oool0og@00?oo
o`060?ooo`8000002@3oool01@3oTP000000000000000000oooo008000000P3oool200000080oooo
00L000000?ooo`3oool0oooo0000003oool0okL000<0oooo0`000000103oool00000000000000002
0?ooo`8000000`3oool010000000on800?ooo`3oool200000080oooo0P0000001`3oool000000000
003oool000000?ooo`0000000P3oool0103Xo`0000000?ooo`3oool6000000030?ooo`000000oooo
0080000000<0oooo0000000000000`0000020?ooo`T0000000<0oooo0000000000000`0000000`3o
ool0000000000008000000030?ooo`000000000000X0000000<0oooo000000000000D@0000060?oo
o`002@3oool00`000000oooo0?ooo`020?ooo`040000003oool000000?ooo`H0000000@0oooo0000
000G0?l0oooo300000001`3oool0000000000000000007co0000003oool00`000000103oool00000
0000003oool800000003003no`000000000000T0000000L0oooo000000000000oooo003oT@000000
0?nA00H0000000<0oooo0000003oool0100000001@3oool00000003o<P0000000?lb00H0000000H0
oooo000000000000oooo0000003oool30000000401co000000007?l001co00<0000000<0oooo0000
000000000P3oool200000080oooo0P00000505go00@000000`3oool00`000000oooo0?ooo`030000
00030?ooo`2Bo`00T_l000<0T_l02`0000000`3oool0_?l00;co00040;co00@0oooo100000020?oo
o`H000000`3Oo`020?ooo`d000000`3ko`02000000@0oooo2P0000020?o[00l0000000@0oooo0?oD
003oe000om@04@0000000`3o_P00oooo0?ooo`060?ooo`H000000`3oool00`3oZ000oooo0?ooo`02
0?ooo`H000001P3oool20?nA00040000003oool0oooo0?ooo`@000000`3oool200000080oooo0P00
0000103oNP0000000?ooo`3oool3000000@0oooo100000000`3oool00000000000020?mR00P0oooo
0`0000050?ooo`80odX00`3oool4000000L0oooo0P0000020?la00H0oooo1@0000060?ooo`80oaT0
1@00000G0?ooo`<0oa803`3oool30?lY0100oooo0P3o@@0B00000080oeT00P3oool3000000T0oooo
0P0000000`3oM000oooo0?ooo`060?ooo`800000203oool00`3oTP00000000000002000000030?oo
o`00000000000080oooo0P0000000`3oool00000000000020?ooo`80000000<0okL00?ooo`3oool0
0P3oool7000000030?ooo`000000000000<0oooo00<000000?oR003oool00P3oool200000080oooo
00P000000?ooo`00000000000?ooo`000000oooo00000080oooo00@0j?l00000003oool0oooo1P00
00000`3oool000000?ooo`05000000030:So003oool000000080oooo200000020?ooo`D0000000@0
oooo000000000000oooo1`0000000`3oool000000000000:000000030?ooo`000000000005000000
1P3oool000T0oooo00<0_`3o0000003oool00P3oool010000000oooo0000003oool90000000301L0
o`000000000000/0000000L0oooo0000000000000000001lo`000000oooo00@0000000<0oooo0000
00000000200000000`00o_l000000?ooo`0800000080oooo0P000000103oool0000000000000oi46
000000030?ooo`000000000000@0000000D0oooo00000000oc800000003o<P06000000050?ooo`00
000000000?ooo`0000000P3oool20000000401co00000000000001co00@0000000<0oooo00000000
00000P3oool2000000030?ooo`000000000000@0GOl000<000000?ooo`0000000`0000020?ooo`80
00000P3oool3000000<0T_l01`0000000`3oool0000000000004000000@0_?l000<000000?ooo`3o
ool01P3oool4000000030?ooo`3Oo`00gol00080gol0100000050?ooo`D00000103ko`0?000000@0
on/03P0000040?oD00d00000103oool20?nn0080oooo2@0000050?ooo`80ojP000<0oooo00000000
0000100000070?ooo`030000003oT@00oi4000H000000`3oool800000080ogX00P3oool2000000<0
oooo100000000`3oool000000000000200000080of801`3oool3000000H0oooo1P3oBP001@000000
oooo0?ooo`3oool0000000<0oooo100000060?la00@000001P3oool300000080oaT0403oool00`3o
0@00oooo0?ooo`0>0?ooo`<0oa803`3oool30?lY00l0oooo0`3o@@080?ooo`P000000`3oF@000`00
0000oooo0?ooo`04000000D0oooo1@3oM0080?ooo`<000000`3oool50?nB00@0000000<0oooo0000
000000000P3oool2000000030?ooo`000000000000@0okL01@3oool600000080oooo00<000000?oR
003ohP000P3ohP0010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`0000000`000000
1P3oool0j?l00?ooo`3Xo`00oooo00000080oooo1P0000000`3oool000000?ooo`0400000080Z?l0
00D0oooo0000003oool000000?ooo`07000000040?ooo`000000oooo00000080GOl01@0000001@3o
ool00000000000000000oooo00H0000000<01?l00000000000003`0000000`00of<000000000000@
00000003003of`000000000000l0000000<009_o0000000000003`0000000`000?l000000000000?
000000H0oooo000:0?ooo`030000003oool0oooo0080oooo00D000000?ooo`00000000000?ooo`05
000000040?ooo`00000000000?ooo`L0000000<0oooo0000000000002@0000000`3oool000000000
000H000000030?ooo`000000000000/0000000D0oooo00000000000000000?ooo`02000000030?oo
o`000000000000D0000000<0oooo0000000000000`000000103oool000000?ooo`3oool200000003
01co003oool0000000D0000000<0oooo0000000000000P3oool2000000050?ooo`00000000000000
001Mo`000`0000000`3oool0000000000002000000<0oooo0P0000020?ooo`<0000000<0T_l00?oo
o`3oool03@0000020;co0080oooo0`0000090?ooo`8000000P3Oo`030?ooo`L000001@3oool20000
0080nol02`0000000`3oool0000000000003000000<0on/02P0000020?ooo`@000000`3oe0050000
00L0oooo00<000000?nn003o_P000`3o_P05000000H0oooo0P0000060?nX00800000103oool60000
00H0oi4000<0oooo0000000000000`0000020?ooo`8000000`3oool60?mj00@0000000<0oooo0000
000000000P0000030?ooo`H0of8000@0oooo0000000000000000203oool3000000L0oooo1@000007
0?ooo`<000001@3oool5000000D0oooo0`3o6@0K0?ooo`<0oa803`3oool30?lY0100oooo0`3o@@0?
0?ooo`<0oeT000<0oooo0000000000002`0000040?ooo`<0og@00P0000080?ooo`800000103oool3
0?nB00030?ooo`00000000000080000000<0oooo0000003oool00P3oool2000000030?ooo`000000
000000<0okL01@3oool700000080oooo00@000000?oR003ohP00on800P0000020?ooo`8000000P3o
ool6000000060?ooo`3Xo`00j?l00>So003oool000000P3oool6000000040?ooo`000000oooo0000
0080Z?l000<0oooo0:So000000000P0000000`3oool000000?ooo`05000000090?ooo`000000oooo
0000001Mo`00oooo05go00000000oooo00D0000000<0oooo0000000000000P0000000`3oool00000
00000002000000801?l01P0000000`3oool000000000000700000003003oH`000000000000l00000
00<00?oK0000000000003`0000000`00Vol000000000000?000000030000o`000000000000l00000
1P3oool000X0oooo0P0000030?ooo`040000003oool000000?oooaD0000000<0oooo000000000000
1@0000000`3oool000000?ooo`0=000000030?ooo`000000000000T0000000@0oooo000000000000
oooo1@0000000`3oool0000000000002000000050?ooo`00000000000000003oool00P0000001@3o
ool00000000000000000oooo00<0000000<0oooo0000003oool00`000000103oool000000000003o
ool>000000040?ooo`00000000000?ooo`@0000000D0oooo00000000000000000?ooo`04000000<0
oooo00@000000?ooo`3oool0oooo0`0000030?ooo`d0000000D0_?l000000000000000000?ooo`03
000000T0oooo00<000000=oo003Oo`001P3oool900000080oooo0P3ko`090?oooaD000002`3oool<
000000L0oooo300000020?ooo`X00000103oool5000000<0oooo100000020?ooo`T0000000<0oooo
0000000000000P00000:0?ooo`@000001@3oool6000000D0oooo1@0000000`3oool000000?ooo`02
0?ooo`L000000`3oool5000006H0oooo3P0000050?ooo`@000001P3oool3000000L0oooo1P000003
0?ooo`030000003oool0oooo00@000001P3oool4000000040?ooo`000000oooo0?ooo`8000000P3o
hP0200000080oooo0`0000000`3oool000000000000600000080j?l000@0oooo0000003oool0oooo
0`0000001P3oool000000000003oool000000?ooo`8000000`2Xo`03000000030?ooo`0000000000
0080000000<0oooo0000000000000P0000000`3oool0000005go000205go00030000003oool00000
00`000000`04o`0@00000003003oH`0000000?mS0100000000<00?oK000000000000200000000`3o
ool000000000000400000003002Ko`000000000000l0000000<0003o0000000000003P0000060?oo
o`002`3oool010000000oooo0?ooo`3oool2000000040?ooo`00000000000?ooo`D0000000@0oooo
000000000000oooo3@0000000`3oool0000000000003000000030?ooo`000000000000d0000000<0
oooo0000000000002@000000103oool000000000003oool5000000040?ooo`000000000000000080
oooo0`000000103oool000000000003oool3000000070?ooo`00000000000000003oool000000?oo
o`03000000040?ooo`00000000000?ooo`/0000000<0oooo0000000000000P3oool2000000030?oo
o`000000000000/000000P3oool2000000<0oooo0`0000030?ooo`T0000000<0oooo000000000000
2`0000080?ooo`@000002@3oool?000001<0oooo400000090?ooo``000000P3oool7000000<0oooo
0P0000030?ooo`H000000`3oool5000000030?ooo`000000000000<0000000@0oooo000000000000
00000P3oool4000000/0oooo0`0000050?ooo`@00000203oool3000000H0oooo00@000000?ooo`00
000000001`3oool300000780oooo2`0000050?ooo`8000001`3oool2000000P0oooo1@0000020?oo
o`8000000P3oool010000000oooo0000000000050?ooo`H000000P3oool200000080oooo0P000002
0?ooo`040000003oool000000?ooo`D0000000<0oooo0000000000000`3oool00`000000oooo0?oo
o`03000000070?ooo`000000oooo0000003oool000000?ooo`0200000080Z?l00P0000020?ooo`@0
000000@0oooo00000000000000000P3oool00`000000GOl005go0002000000050?ooo`0000000000
0000003oool00`0000000`3oool0000000000003000000801?l000<0oooo0000000000003@000003
003oHa0000000P00om/@00000003002Ko`000000000000l0000000<0003o0000000000003P000006
0?ooo`002@3oool010000000oooo0000000000030?ooo`040000003oool000000?oooa80000000@0
oooo000000000000oooo3P0000000`3oool0000000000007000000030?ooo`000000oooo00T00000
00@0oooo000000000000oooo1@000000103oool000000000000000020?ooo`<0000000@0oooo0000
00000000oooo0`0000002`3oool00000000000000000oooo0000003oool000000?ooo`000000oooo
0080000000<0oooo0000000000003@0000001@3oool00000000000000000oooo00<0000000<0oooo
0000000000001`0000020?ooo`8000000`3oool4000000<0oooo4`0000000`3oool0000000000002
000000H0oooo3000000<0?oooaH000004@3oool<000000@0oooo1@0000050?ooo`X000000`3oool6
000000030?ooo`000000000000<000002@3oool2000000/0oooo100000050?ooo`<000002@3oool3
000000H0oooo1@0000070?ooo`800000N@3oool6000000040?ooo`0000000000000000@0oooo0`00
00060?ooo`<000001`3oool500000080oooo0P000000103oool000000000003oool2000000D0oooo
1P0000020?ooo`030000003oool0oooo008000000P3oool300000080oooo100000000`3oool00000
000000030?ooo`030000003oool0oooo00<0000000D0oooo0000003oool000000?ooo`0200000003
0?ooo`000000000000<0000000<0oooo0000003oool01`0000001@3oool000000?ooo`000000GOl0
0080000000<0oooo0000000000001`000000103oool0000000000000000200Co00X0000000<0oooo
0000000000000`000002003oH`l000000`00om/A00000003002Ko`000000000000h0000000<0003o
0000000000003P0000060?ooo`002P3oool00`000000oooo000000030?ooo`80000000@0oooo0000
00000000oooo1@000000103oool000000000003ooolE000000030?ooo`00000000000140000000<0
oooo0000000000001@0000000`3oool000000?ooo`05000000040?ooo`000000000000000080oooo
0`0000001@3oool00000000000000000oooo00P0000000@0oooo0000003oool000000P3oool00`00
0000oooo00000003000000030?ooo`000000000000<0000000<0oooo0000000000001P0000020?oo
o`d000000P3oool2000000<0oooo100000040?oooa<000000P3oool6000000H0oooo3`00000P0?oo
o`l00000203oool3000000@0oooo1P0000020?ooo`<000000P3oool600000080oooo1@00000:0?oo
o`@00000203oool5000000D0oooo100000060?ooo`H000000`3oool6000000<0oooo00<000000?oo
o`3oool0Q03oool500000080oooo0P0000050?ooo`8000001`3oool2000000L0oooo1@0000020?oo
o`80000000D0oooo0000003oool0oooo000000060?ooo`D000000P3oool00`000000oooo0?ooo`03
00000080oooo0`0000000`3oool0000000000002000000030?ooo`000000000000<0oooo00<00000
0?ooo`3oool01@0000000`3oool000000?ooo`02000000030?ooo`000000000000<0000000<0oooo
0000003oool01`000000103oool000000000003oool2000000030?ooo`000000000000`0000000<0
1?l00000000000003P000003003oH`l000000P00om/A0000008009_o400000000`000?l000000000
000=000000H0oooo000:0?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool05@00
00000`3oool0000000000007000000030?ooo`000000000000d0000000<0oooo0000000000002`00
00000`3oool000000?ooo`05000000040?ooo`000000000000000080oooo0`0000001@3oool00000
000000000000oooo00P0000000<0oooo0000003oool00P000000103oool000000000003oool:0000
00060?ooo`00000000000?ooo`000000oooo0`0000000`3oool000000000000<00000080oooo0P00
00030?ooo`D000000`3ooolE000000@0oooo1@0000090?ooobl000002P3oool<000000@0oooo2@00
00050?ooo`<000002P3oool5000000P0oooo100000060?ooo`@000001P3oool4000000H0oooo0`00
00090?ooo`030000003oool0oooo08H0oooo2P0000040?ooo`8000001`3oool2000000L0oooo1@00
00020?ooo`@0000000<0oooo0000000000001@3oool6000000070?ooo`00000000000?ooo`000000
oooo000000020?ooo`040000003oool000000?ooo`@0000000<0oooo0000000000000P3oool30000
00030?ooo`000000000000<0000000<0oooo0000003oool0200000001P3oool000000000003oool0
00000?ooo`@0000000<0oooo0000000000000`0000001@3oool00000000000000000oooo00<00000
00<0oooo0000000000001@000000103oool000000000003oool3000000030?ooo`000000000000H0
00000P00of<?000000<00?oK3`000003002Koa00000000<0003o0000000000003@0000060?ooo`00
2`3oool00`000000oooo000000030?ooo`060000003oool0oooo0300o`000000oooo1@000000103o
ool000000000003oool8000000030?ooo`000000000000T0000000<0oooo0000000000003@000000
0`3oool000000000000;000000030?ooo`000000oooo00D0000000@0oooo00000000000000000P3o
ool3000000030?ooo`000000000000d0000000<0oooo0000003oool00P0000000`3oool000000000
0008000000030?ooo`000000000000<0000000<0oooo0000000000000P3oool>00000080oooo0P00
00040?ooo`D000000P3oool7000000030?ooo`000000000000l000000`3oool:000000T0oooo6000
00070?oooaD00000103oool7000000040?ooo`0000000000000000H0oooo100000080?ooo`D00000
203oool5000000H0oooo100000070?ooo`<000001`3oool3000000`0oooo00<000000?ooo`3oool0
R@3oool9000000@0oooo0P0000070?ooo`8000001P3oool5000000<0oooo00<000000?ooo`000000
0P3oool00`000000oooo0?ooo`040?ooo`060000003oool000000?ooo`000000oooo0P000000103o
ool000000000000000020?ooo`040000003oool000000?ooo`L000000P3oool010000000oooo0000
003oool5000000030?ooo`000000oooo00<0000000<0oooo0000000000000P0000001P3oool00000
0000003oool000000?ooo`<000000P3oool5000000050?ooo`00000000000000003oool06`000000
0`00of<000000000000>000000800?oK40000002002Koa00000000<0003o000000000?l03@000006
0?ooo`002`3oool010000000oooo0000000000030?ooo`040000003oool0<03o0300oa@0000000<0
oooo0000000000002@0000000`3oool0000000000002000000030?ooo`000000000000T0000000<0
oooo0000000000002@0000000`3oool000000?ooo`05000000040?ooo`000000000000000080oooo
0`000000103oool000000000003oool8000000070?ooo`000000oooo0000003oool000000?ooo`02
000000030?ooo`000000oooo00P000000P3oool2000000040?ooo`000000oooo0?ooo`8000000P3o
ool?000000030?ooo`000000000000D0oooo1P0000000`3oool0000000000006000000030?ooo`00
00000000018000001P3oool<00000100oooo300000050?ooo`P00000103oool8000000<0oooo1@00
00030?ooo`H000001P3oool6000000P0oooo1@0000060?ooo`D000001`3oool4000000H0oooo1000
000?0?ooo`030000003oool0oooo08d0oooo0P0000000`3oool0000000000003000000<0oooo0`00
00060?ooo`8000001P3oool500000080oooo100000000`3oool00000000000050?ooo`060000003o
ool000000?ooo`000000oooo0P0000020?ooo`8000000P3oool010000000oooo0000003oool80000
00050?ooo`000000oooo0000003oool010000000103oool000000?ooo`3oool3000000030?ooo`00
0000000000<0000000<0oooo0000003oool01@0000000`3oool000000?ooo`0C000000030?ooo`00
0000000000@0000000<0oooo000000000000600000000`00om/000000000000>000000<009_o3P00
000010000?l000000000o`000?l=000000H0oooo000<0?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool00P0`0?l00`3oool0000000000006000000030?ooo`000000000000@0000000D0
06;o0000003oool000000?ooo`09000000030?ooo`00000000000140000000<0oooo000000000000
1@0000000`3oool0000000000002000000030?ooo`000000000000<0000000@0oooo000000000000
00000P3oool3000000030?ooo`000000000000/0000000<0oooo0000003oool00P0000000`3oool0
00000000000;000000030?ooo`000000000000<0000000@0oooo00000000000000000P3oool?0000
00040?ooo`0000000000000000D0oooo:@00000:0?oooa000000103oool=000000D0oooo1`000007
0?ooo`@0000000<0oooo0000000000001@0000070?ooo`D00000203oool6000000H0oooo1@000007
0?ooo`D000000`3oool7000001<0oooo00<000000?ooo`3oool0>P3oool600000100oooo1`00000h
0?ooo`P00000103oool3000000D0oooo00<000000?ooo`3oool0103oool5000000<0oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`P000000P3oool200000080oooo00@00000
0?ooo`000000oooo1P0000001`3oool000000?ooo`000000oooo0000003oool010000000103oool0
00000?ooo`3oool3000000030?ooo`000000000000@0000000<0oooo00000000000010000000103o
ool000000000003oool2000000050?ooo`000000oooo0000003oool00`0000000`3oool000000000
000h0000008009_o3`0000030000o`d000001P3oool000T0oooo00H000000?ooo`3oool000000?oo
o`0000040?ooo`030000003oool0<03o0080<03o0`0000000`3oool00000000000090000008006;o
:P0000001@3oool00000000000000000oooo00D0000000@0oooo00000000000000000P3oool30000
00030?ooo`000000000000D0000000<0oooo0000000000001@000000103oool000000000003oool2
000000030?ooo`000000000000T0000000@0oooo000000000000oooo0P0000000`3oool000000000
00030?ooo`l000000P3oool2000000H0oooo1P0000000`3oool0000000000005000000030?ooo`00
0000000000@0000000<0oooo000000000000<@0000030?ooo`X000001P3oool4000000030?ooo`00
0000000000T00000203oool4000000P0oooo100000080?ooo`@00000203oool4000000@0oooo1000
00000`3oool000000000000:0?ooo`8000002P3oool2000000X0oooo0P0000090?ooo`8000002@3o
ool3000000H0oooo1P00000;0?ooo`<000002@3ooolR000000030?ooo`000000oooo00X0oooo0P00
000:0?ooo`8000002@3oool2000000D0oooo0`0000000`3oool0000000000003000000@0oooo0P00
00020?ooo`040000003oool00000000000H0oooo1@0000020?ooo`<000000P3oool00`000000oooo
000000030?ooo`80000000<0oooo0000003oool0100000000`3oool00000000000020?ooo`040000
003oool000000?ooo`H0000000L0oooo0000003oool000000?ooo`000000oooo00@0000000@0oooo
0000003oool0oooo1`000000103oool000000000003oool6000000030?ooo`000000000000L00000
00<0oooo000000000000100000000`3oool000000000000e00000003002Ko`000000000000d00000
0`000?l=000000H0oooo00090?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`03
0000003oool0oooo00<0<03o3P000002001Ro`<0000000<0oooo0000000000002P0000000`00hOl0
00000000000;000000030?ooo`000000000000X0000000D0oooo00000000000000000?ooo`050000
00040?ooo`000000000000000080oooo100000000`3oool0000000000004000000030?ooo`000000
00000080000000L0oooo00000000000000000?ooo`000000oooo00l0000000@0oooo000000000000
oooo0P0000000`3oool00000000000030?ooo`l000000P3oool4000000H0oooo1@0000040?ooo`D0
00000P3oool5000000D0oooo=00000020?ooo`d000000P3oool5000000L0oooo1P0000070?ooo`D0
00001`3oool5000000H0oooo1P0000040?ooo`<0000000<0oooo0000000000000P0000090?ooo`<0
00002@3oool3000000030?ooo`000000oooo00@0oooo1@0000050?ooo`H00000103oool@000003H0
oooo500000040?ooo`<000002@3oool2000000T0oooo0P0000050?ooo`<0000000<0oooo00000000
00000`0000040?ooo`80000000@0oooo000000000000oooo0P0000050?ooo`D000000`3oool20000
0080oooo00<000000?ooo`000000103oool010000000oooo0000003oool4000000030?ooo`000000
00000080oooo0`0000000`3oool0000000000004000000050?ooo`000000oooo0000003oool01000
00001@3oool000000?ooo`000000oooo00P0000000@0oooo000000000000oooo1P0000000`3oool0
00000000000B000000030?ooo`0000000000044000000P000?l=000000H0oooo000:0?ooo`040000
003oool0oooo0?ooo`800000103oool01P000000oooo0300o`0`0?l000000?ooo`h000000P00H_l=
000000040?ooo`0000000>7o003Qo`<0000000<0oooo0000000000001`0000001@3oool000000?oo
o`0000000?n`00P0000000<0oooo0000000000001`000000103oool000000000000000020?ooo`05
0000003oool000000000003oool02`0000001@3oool000000?ooo`000000oooo00D0000000@0oooo
000000000000oooo200000020?ooo`80000000@0oooo000000000000oooo0P0000030?oooa000000
0`3oool4000000H0oooo1@0000050?ooo`H0000000<0oooo0000000000002@0000050?oooa/00000
2P3oool<000000D0oooo100000050?ooo`P00000203oool5000000P0oooo1@0000040?ooo`H00000
203oool5000000T0oooo100000060?ooo`H00000103oool6000000D0oooo1@0000040?ooo`d00000
B`3oool600000080oooo0`0000040?ooo`L00000103oool2000000T0oooo0P0000060?ooo`800000
00<0oooo0000000000000`0000040?ooo`80000000@0oooo000000000000oooo0P0000050?ooo`D0
00000`3oool2000000040?ooo`0000000000000000@0oooo00H000000?ooo`000000oooo0000003o
ool2000000030?ooo`000000000000<0oooo0P0000000`3oool0000000000004000000050?ooo`00
0000oooo0000003oool0100000001@3oool000000?ooo`000000oooo00T0000000<0oooo00000000
00001@0000000`3oool000000?ooo`03000000050?ooo`000000oooo0000003oool00`0000000`3o
ool0000000000019000000030000o`000000000000/000001P3oool000X0oooo00L000000?ooo`3o
ool0oooo0000003oool0000000<0oooo00H000000?ooo`3oool000000300o`3oool>00000003001R
o`00000006;o0080000000<0oooo0000000000002P000003003Qo`80000000<0oooo000000000000
0`0000001`3oool00000000000000000oooo0000003oool00P00ok08000000030?ooo`0000000000
00L0000000@0oooo00000000000000000P3oool01@000000oooo000000000000oooo0080000000<0
oooo0000000000000P0000000`3oool0000000000008000000040?ooo`00000000000?ooo``00000
0P3oool2000000040?ooo`00000000000?ooo`8000000`3ooolB000000<0oooo100000060?ooo`L0
00001@3oool500000080oooo<`0000070?ooo`H000000P3oool;000000H0oooo1`0000070?ooo`H0
00000`3oool7000000L0oooo1@00000:0?ooo`@000001P3oool4000000D0oooo1P0000050?ooo`D0
00000P3oool7000005d0oooo300000050?ooo`800000103oool3000000P0oooo0P0000060?ooo`P0
0000103oool010000000oooo0?ooo`0000020?ooo`800000103oool6000000<0oooo00<000000?oo
o`3oool00`0000030?ooo`030000003oool000000080000000@0oooo000000000000oooo0P000003
0?ooo`80000000<0oooo000000000000100000000`3oool000000?ooo`02000000090?ooo`000000
00000000003oool000000?ooo`000000oooo00<0000000<0oooo000000000000100000000`3oool0
000000000004000000040?ooo`00000000000?ooo`d0000000<0oooo000000000000200000000`3o
ool0000000000018000000H0oooo000;0?ooo`040000003oool0oooo0?ooo`800000103oool01P00
0000oooo0?ooo`0`0?l000000?ooo`/0000000D0oooo00000000H_l00000001Ro`03000000030?oo
o`000000000000T0000000@00>7o00000000hOl00>7o0P0000000`3oool000000000000700000003
0?ooo`000000oooo00<00?n`1`0000000`3oool000000000000400000004003oD`00000000000?oo
o`<000000P3oool01@000000oooo000000000000oooo0080000000<0oooo0000000000000P000000
0`3oool0000000000002000000050?ooo`000000oooo0000003oool01@0000000`3oool000000000
000:00000080oooo0P000000103oool000000000003oool2000000<0oooo4`0000040?ooo`@00000
1P3oool9000000@0oooo1P0000050?ooob0000000`3ooolK000000D0oooo2@0000060?ooo`L00000
1@3oool7000000D0oooo1@00000:0?ooo`D000001`3oool3000000D0oooo100000050?ooo`H00000
0P3oool5000006X0oooo2@0000040?ooo`8000001@3oool4000000H0oooo0`0000060?ooo`L00000
0`3oool2000000030?ooo`00000000000080oooo00<000000?ooo`3oool00`3oool3000000030?oo
o`00000000000080oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool00000
0080000000@0oooo000000000000oooo0P0000030?ooo`80000000<0oooo0000000000001@000002
0?ooo`80000000<0oooo0000000000000`0000000`3oool000000?ooo`03000000050?ooo`000000
00000000003oool00P0000000`3oool0000000000004000000030?ooo`000000000006<000001P3o
ool000/0oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo00H000000?ooo`3oool0
00000300o`3oool@00000003001Ro`000000oooo00`0000000@0oooo003Qo`00hOl0oooo2P000000
1@3oool000000?ooo`3oool0000000800?n`00<00000003o/0000000100000000`3oool000000?oo
o`06000000800?mC00<000000?ooo`0000000`0000000`3oool0000000000005000000030?ooo`00
00000?l60080000000<0oooo0000000000000P0000000`3oool000000?ooo`0700000080oooo1000
00000`3oool000000000000500000080oooo0P000000103oool000000000003oool300000080oooo
500000050?ooo`@000001P3oool:000000D0oooo:00000080?ooo``000001@3oool9000000H0oooo
200000070?ooo`L000001@3oool4000000/0oooo100000070?ooo`D000001@3oool3000000@0oooo
1P0000000`3oool0000000000004000007<0oooo2@0000020?ooo`<000001P3oool4000000D0oooo
0P0000060?ooo`@0000000<0oooo0000003oool00`3oool2000000040?ooo`000000oooo0?ooo`80
0000103oool300000080oooo00<000000?ooo`3oool00P000000103oool000000?ooo`0000030?oo
o`D0000000@0oooo000000000000oooo0P0000030?ooo`80000000<0oooo0000000000000P000000
203oool000000000003oool000000?ooo`000000oooo10000000103oool000000?ooo`3oool30000
00050?ooo`00000000000000003oool00P0000000`3oool0000000000003000000030?ooo`000000
oooo00<0000000D0oooo00000000000000000?ooo`03000000030?ooo`000000000005D000001P3o
ool000T0oooo00@000000?ooo`3oool000000`3oool2000000@0oooo00H000000?ooo`3oool00000
0300o`3oool;000000030?ooo`00000000000080000000@006;o000000000000oooo2`0000000`3o
ool00000003Qo`0;000000050?ooo`000000oooo0?ooo`0000000P00ok07000000040?ooo`000000
00000?ooo`@000001000oe<00`3oool000000000000200000080oooo10000000103oool000000?oo
o`000002003o1P80000000<0oooo000000000000100000000`3oool000000?ooo`03000000<0>Ol0
1@0000000`3oool000000000000500000080oooo0P000000103oool000000000003oool3000000<0
oooo2P0000000`3oool0000000000008000000D0oooo100000070?oooa400000703ooolA000000D0
oooo2P0000080?ooo`H00000203oool8000000P0oooo0P00000:0?ooo`D000001`3oool400000080
oooo200000030?ooo`@00000103oool3000000X0oooo00<0odT00?ooo`3oool0H`3oool00`3oB`00
oooo0?ooo`0;0?ooo`D0000000@0ofP00000003oool0oooo100000060?ooo`8000000`3oool00`3o
R@00oooo00000002000000D0oooo1P0000030?ooo`030?n_00000000oooo008000000P3oool00`00
0000oooo0?ooo`030?ooo`8000000P3oool00`000000oooo0?oM0002000000040?ooo`000000oooo
000000<0oooo0P000000103oool000000000003oool2000000030?ooo`000000000000<0oooo0P00
00000`3oool0000000000002000000080?ooo`00000000000?ooo`000000oooo0000003oool40000
00040?ooo`000000oooo0?ooo`@0000000D0oooo00000000000000000?ooo`07000000030?ooo`00
0000000000h0000000<0oooo000000000000700000000`3oool000000000000b000000H0oooo0009
0?ooo`040000003oool0oooo000000@0oooo0P0000030?ooo`80000000@0oooo0000000`0?l0oooo
400000001@00H_l00000000000000000oooo00d0000000<00>7o0000000000002@0000001`3oool0
00000?ooo`3oool00?n`0?ooo`00ok001`000000103oool000000000003oool400000005003oD`00
00000?mC0000003oool0100000020?ooo`@0000000D0oooo0000000000000?l600000002003o1P03
0000003oool0000000<0000000<0oooo0000003oool0100000000`3oool0>Ol003Wo000303Wo00@0
000000<0oooo0000000000001@00000606co00030000003oool00000008000000`3oool5000000H0
U_l000<000000?ooo`0000002@0000030?ooo`<0^Ol01000000<0?ooo`<0e_l03`0000030?3o0140
000000<0ooH00000000000000`0000050?ooo`L000000P3ogP000`000000oooo0?ooo`0:0?ooo`@0
000000<0olL00?ooo`3oool0103oool8000000<0oooo00<0ojh00?ooo`3oool0103oool5000000H0
oooo00<000000?nF000000000`0000070?ooo`D0000000<0oooo0?ml000000000`0000080?ooo`<0
00000P3oool00`000000of8000000003000000030?ooo`000000oooo00T0oooo00<0odT00?ooo`3o
ool03`3oool30?l_0100oooo0`3o5P0J0?ooo`<0oaP0403oool20?la0140oooo0P3oB`0>0?ooo`<0
000000@0ofP000000000000000000`3oool3000000D0oooo0P0000020?ooo`040?n9003oool0oooo
0?ooo`8000001@3oool600000080oooo00D0ojl0000000000000oooo000000020?ooo`800000103o
ool3000000070?ooo`000000oooo0?oM003oool000000?ooo`03000000@0oooo00P000000?ooo`00
000000000?ooo`000000k?l00?ooo`8000000`3oool2000000030?ooo`00000000000080000000P0
oooo000000000000oooo0000002[o`0000000?ooo`@0000000<0oooo0000003oool02P0000000`3o
ool0000000000004000000030?ooo`0000000000064000001P3oool000T0oooo00D0eP3o0000003o
ool0oooo000000030?ooo`800000103oool020000000oooo0?ooo`000000<03o0?ooo`000000oooo
3P0000000`00H_l000000?ooo`0?00000003003Qo`000000000000T0000000T0oooo0000003oool0
oooo0000003oool00?n`0000003oool01@000000103oool000000000003oool3000000060?ooo`00
oe<00000003oD`000000oooo100000020?ooo`@000000P3oool01`0000000?l60000000000000?l6
0000003oool01`0000000`3oool00000000000020000000503Wo00000000>Ol003Wo003oool01@00
00000`3oool0000000000004000000D0K?l000<0oooo0000000000000P3oool3000000<0oooo0`00
000409Ko00d000001@2io`050?ooo`T00000103Fo`0>0?ooo`D0l?l0403oool20?of00@0oooo2@00
00030?ooo`80omh02@3oool7000000030?ooo`3oa`00olL000<0oooo1`0000060?ooo`80ojh000<0
oooo000000000000100000060?ooo`<000000`3oUP070?ooo`D000000P3oool200000080og`000<0
00000?ooo`3oool00P3oool8000000030?ooo`000000000000<0of801P3oool00`000000oooo0?oo
o`060?ooo`80odT03`3oool30?l_0100oooo0`3o5P0?0?ooo`030?l0003oool0oooo00h0oooo0`3o
600?0?ooo`<0oc40403oool20?m;00d0oooo1@3oJ003000000@0oooo0P0000050?ooo`D0ohT00`3o
ool2000000D0oooo0`0000020?n_00060?ooo`3o[`00oooo0?ooo`000000oooo0P0000020?ooo`03
0000003oool0oooo00<0oooo00<000000?oM003og@000P3og@020?ooo`80000000<0oooo00000000
0000103oool020000000oooo000000000000k?l00000003/o`00oooo0P0000020?ooo`040000003o
ool000000?ooo`@0000000L0oooo000000000000oooo0:_o00000000oooo00D0000000<0oooo0000
003oool00`000000103oool0000000000000000205ko00030000003oool0000000@0000000<0oooo
0000003oool00`0000001@3oool0000000000003o`00oooo00<0000000@0oooo000000000000oooo
1P000000103oool0000000000000ofDB00000003003og@000000oooo00l0000000<009Wo00000000
00003`0000000`020?l000000000000?000000H0oooo000:0?ooo`040000003oool0oooo000000@0
oooo0P0000040?ooo`030000003oool0oooo0080000000<0oooo0000000000001@0000000`3oool0
00000000000D000000050?ooo`00000000000000003oool01P0000000`3oool00000000000020000
00030?ooo`000000oooo0080000000@0oooo000000000000oooo1@000000103oool000000000003o
ool3000000030?ooo`000000000000L000000P3oool00`000000oooo00000002000000030?ooo`00
00000?l60080000000@0oooo000000000000oooo100000000`3oool00000000000040000000303Wo
0000000000000080000000<0oooo0000000000000`0000000`3oool000000000000400000080K?l0
00@0oooo000000000000oooo0P0000030?ooo`@000000P3oool00`000000U_l009Ko000@00000080
^Ol01`0000090?ooo`80e_l04@0000020?3o00l000000P3omP08000000P0oooo1P3ogP09000000@0
oooo1@3oa`05000000H0oooo0P0000060?n^00D0oooo1P0000020?ooo`D0oiH000<0oooo00000000
00000`0000030?ooo`@000001P3oO003000000D0oooo100000000`3oool0of800?mR00030?mR00D0
oooo00<000000?ooo`3oool01@3oool60?m900l0oooo0`3o;`0?0?ooo`80oaH07P3oool20?lH00h0
oooo0`3o<@0@0?ooo`H0od/03`3oool30?mX00D000000`3oool2000000D0oooo00@000000?n9003o
R@00ohT0103oool2000000D0oooo0`0000030?n_0080oooo0P000000103oool000000?ooo`3oool2
000000@0oooo0P0000030?oM0080oooo0P000000103oool000000000000000030?ooo`040000003o
ool00000000000<0k?l000<0oooo0000000000000P3oool010000000oooo0000003oool400000007
0?ooo`2[o`00oooo0?ooo`2[o`0000000?ooo`03000000050?ooo`000000oooo0000003oool00`00
00001@3oool0000005ko00000000G_l000P0000000<0oooo0000003oool01P00000200?o01000000
00<00?mU0000000000003`0000000`00omd000000000000?00000003002Io`000000000000l00000
00<00P3o0000000000003`0000060?ooo`002`3oool010000000oooo0?ooo`0000030?ooo`800000
103oool2000000060?ooo`00000000000?ooo`000000oooo1`0000000`3oool000000000000D0000
00030?ooo`000000000000h0000000<0oooo0000000000000`0000000`3oool00000000000030000
00040?ooo`00000000000?ooo`<0000000<0oooo0000000000001`0000020?ooo`030000003oool0
00000080000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000000000<00000
00<0oooo0000003oool010000000103oool000000000000000020?ooo`D0000000<0oooo00000000
00001P000000103oool000000000003oool2000000@0oooo100000020?ooo`0309Ko000000000000
00l000000P2io`0;000000D0oooo0P3Fo`070?ooo`X000000P3`o`0;000000@0oooo0`3omP0:0?oo
o`X000002P3oool7000000H0oooo1@0000080?ooo`D000002@3oool5000000<0oooo1@0000030?oo
o`D00000203oool2000000l0oooo00<000000?ooo`3oool0;P3oool20?lF01X0oooo0P3o600m0?oo
o`H000000P3oool2000000D0oooo0P0000060?ooo`8000001@3oool300000080ojl00`3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000020?oM0080oooo0P000000
103oool000000?ooo`0000030?ooo`040000003oool0000000000080k?l000@000000?ooo`000000
00000P3oool010000000oooo0000003oool4000000040?ooo`2[o`00Zol00:_o0080000000T0oooo
00000000000000000?ooo`000000oooo0000003oool01@00000305ko00030?ooo`000000000000D0
000000<0oooo0000000000001000000300?o00<0000000@0oooo000000000000oooo2@0000000`00
ofD00000003oI@0@00000003003og@000000oooo00l0000000<009Wo0000000000003`0000000`02
0?l000000000000>000000H0oooo00090?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P3oool2000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`0@00000003
0?ooo`000000000000/0000000<0oooo0000000000003P0000000`3oool000000000000300000003
0?ooo`000000000000H0000000D0oooo00000000000000000?ooo`0900000080oooo00<000000?oo
o`0000000P0000020?ooo``0000000<0oooo0000000000001@000000103oool00000000000000002
0?ooo`h0000000@0oooo000000000000oooo0`0000030?ooo`D000000P3ooolS000002D0oooo3000
000:0?ooo`P000002@3oool4000000X0oooo0`0000090?ooo`D000000`3oool5000000@0oooo1000
000N0?ooo`030000003oool0oooo04X0oooo2000000k0?ooo`@000000P3oool3000000@0oooo0P00
00060?ooo`030000003oool0oooo00@0oooo1@0000020?ooo`80000000D0oooo0000003oool0oooo
000000050?ooo`80000000@0oooo0000003oool0oooo0P000000103oool000000?ooo`0000030?oo
o`080000003oool000000000003oool0k?l00000003oool200000080oooo00@000000?ooo`000000
oooo10000000103oool000000:_o002[o`02000000030?ooo`000000000000<0000000D0oooo0000
003oool000000?ooo`0300000080G_l00P0000000`3oool0000000000005000000060?ooo`000000
00000000003oool000000P03o`0@000000<00?mU40000002003ogA00000000<009Wo000000000000
3`0000000`020?l000000000000>000000H0oooo000:0?ooo`030000003oool000000080oooo00@0
00000?ooo`3oool0oooo0`0000040?ooo`050000003oool000000000003oool0<P0000000`3oool0
00000?ooo`03000000030?ooo`000000000000H0000000D0oooo00000000000000000?ooo`050000
00040?ooo`000000000000000080oooo1P0000001P3oool000000000003oool000000?ooo`P00000
00<0oooo000000000000100000020?ooo`<000000P3ooolA00000080oooo100000000`3oool00000
00000004000000<0oooo200000020?oooc/000000`3oool6000000@0oooo200000080?ooo`T00000
0`3oool400000080oooo1@0000000`3oool000000000000900000080oooo1P0000050?ooo`@00000
2@3oool2000000X0oooo0P00000:0?ooo`@00000203oool2000000P0oooo0`0000080?ooo`@00000
103ooolD000000/0oooo1P0000050?ooo`/0000000<0oooo0000000000000P0000080?ooo`<00000
2@3oool2000000X0oooo0P0000090?ooo`030000003oool0oooo0080oooo100000030?ooo`800000
103oool00`000000oooo0?ooo`030?ooo`<000001@3oool5000000<0oooo00H000000?ooo`000000
00000?ooo`0000020?ooo`030000003oool0oooo0080000000<0oooo0000003oool00P3oool30000
00030?ooo`000000oooo0080oooo00D000000?ooo`00000000000?ooo`0200000080oooo00L00000
0?ooo`3oool000000?ooo`000000oooo00@0000000@0oooo0000003oool0oooo0P0000000`3oool0
000000000002000000030?ooo`000000oooo00L0000000<0G_l00000000000001P0000000`3oool0
00000?ooo`05000000800ol040000002003oIA0000000P00omd00`000000oooo0000000>00000003
002Io`000000000000h0000000<00P3o0000000000003P0000060?ooo`002P3oool00`000000oooo
000000020?ooo`030000003oool0oooo0080oooo0P0000040?ooo`80000000P0oooo000000000000
oooo0000003oool000000?ooo`D0000000<0oooo0000000000003@0000000`3oool0000000000007
000000030?ooo`000000oooo00`0000000<0oooo0000003oool0300000020?ooo`P0000000<0oooo
0000000000000P0000020?ooo`060000003oool000000?ooo`000000oooo200000000`3oool00000
0000000200000080oooo00<000000?ooo`0000000`0000020?ooo`<000000P3oool@000000D0oooo
0`0000000`3oool0000000000004000000@0oooo1@0000070?ooo`/0000000<0oooo000000000000
:P0000000`3oool000000000000;000000@0oooo300000030?ooo`/0000000<0oooo000000000000
1`0000040?ooo`P000000`3oool7000000H0oooo1@0000070?ooo`D00000103oool8000000030?oo
o`000000oooo00<0oooo1P0000020?ooo`P000000`3oool@000003D0oooo3@0000030?ooo`D00000
1P3oool6000000H0oooo0`0000070?ooo`800000103oool4000000<0oooo0P0000030?ooo`800000
103oool4000000D0oooo1@0000020?ooo`80000000<0oooo0000003oool00P000000103oool00000
0?ooo`3oool500000080oooo1@0000030?ooo`050000003oool000000000003oool00P0000020?oo
o`070000003oool0oooo0000003oool000000?ooo`04000000060?ooo`000000oooo0?ooo`000000
oooo1@0000000`3oool000000?ooo`0@000000030?ooo`000000000000D0000000<00ol000000000
00000P000000103oool000000000003oool8000000<00?mU3P0000000`00omd00000003og@0A0000
008009Wo400000000`020?l000000000000=000000H0oooo000;0?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`000000oooo300000000`3o
ool0000000000005000000040?ooo`00000000000?ooo`d0000000<0oooo00000000000030000000
0`3oool000000?ooo`0:000000040?ooo`000000oooo0?ooo`<0000000<0oooo0000000000001`00
00020?ooo`030000003oool0000000<0000000<0oooo0000000000000P0000000`3oool000000000
0006000000040?ooo`00000000000?ooo`@000000P3oool300000080oooo4P0000040?ooo`@00000
00<0oooo000000000000100000050?ooo`L000001P3oool@000000<0oooo4@0000020?oooa@00000
00<0oooo000000000000300000060?ooo`P00000103oool8000000D0oooo200000020?ooo`P00000
103oool6000000P0oooo100000050?ooo`@000001`3oool700000080oooo1P0000030?ooo`l00000
B03oool900000080oooo1@0000070?ooo`<000001P3oool3000000H0oooo0`0000030?ooo`D00000
0P3oool2000000<0oooo0P0000040?ooo`<000001@3oool5000000<0oooo00P000000?ooo`000000
00000?ooo`000000oooo000000<0oooo0P000000103oool000000?ooo`3oool2000000030?ooo`00
0000000000<0oooo00D000000?ooo`00000000000?ooo`0200000080oooo00<000000?ooo`3oool0
0P0000020?ooo`<0000000<0oooo0000003oool00P3oool00`000000oooo00000004000000030?oo
o`000000oooo00P0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00<0
000000<0oooo0000000000004@000002003oI@l000000`00omd00`000000oooo0000000<000000<0
09Wo400000000`020?l000000000000=000000H0oooo000;0?ooo`030000003oool000000080oooo
00<000000?ooo`3oool00P3oool3000000@0oooo00D000000?ooo`00000000000?ooo`0D00000003
0?ooo`000000oooo00T0000000D0oooo00000000000000000?ooo`0;000000080?ooo`0000000000
0?ooo`000000oooo0000003oool8000000040?ooo`00000000000?ooo`<0000000<0oooo00000000
00000`0000000`3oool0000000000002000000080?ooo`000000oooo0?ooo`000000oooo0000003o
ool5000000040?ooo`00000000000?ooo`D0000000@0oooo000000000000oooo100000030?ooo`80
00000`3ooolB000000D0oooo300000050?ooo``000001`3ooolP000000L0oooo3P0000080?ooo`P0
00001P3oool9000000@0oooo1`0000040?ooo`H000001@3oool5000000T0oooo1@0000050?ooo`@0
00001`3oool400000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo``00000E`3oool80000
0080oooo0`0000070?ooo`<000001P3oool2000000L0oooo0P0000030?ooo`80000000<0oooo0000
000000000P3oool2000000<0oooo00<000000?ooo`3oool00`3oool3000000D0oooo1@0000020?oo
o`070000003oool0oooo0000003oool000000?ooo`0200000080oooo0P000000103oool000000?oo
o`3oool600000080oooo00D000000?ooo`00000000000?ooo`0200000080oooo00<000000?ooo`3o
ool00P0000020?ooo`<0000000@0oooo0000003oool0oooo0P0000000`3oool00000000000040000
0080oooo00<000000?ooo`0000001P0000000`3oool0000000000003000000030?ooo`0000000000
00d0000000<0oooo00000000000010000000103oool0000000000000ofD@000000800?oM40000002
002Ioa00000000<00P3o000000020?l03@0000060?ooo`00303oool00`000000oooo000000020?oo
o`050000003oool0oooo04`0o`3oool00P0000040?ooo`<0000000D0oooo0000003oool000000?oo
o`0N000000030?ooo`000000000000@0000000<0oooo0000000000001P000000203oool000000?oo
o`3oool000000?ooo`000000oooo2`0000000`3oool000000000000<000000080?ooo`0000000000
0?ooo`000000oooo0000003oool3000000030?ooo`000000000000T0000000@0oooo000000000000
oooo100000030?ooo`<000000P3ooolD000000D0oooo3P0000070?ooo`l00000603oool@000000T0
oooo2@0000050?ooo``000000P3oool7000000D0oooo1`0000050?ooo`D000002@3oool5000000D0
oooo1@0000030?ooo`P000000`3ooolA000006<0oooo1`0000020?ooo`<000001`3oool2000000H0
oooo0P0000070?ooo`8000000`3oool2000000030?ooo`00000000000080oooo0P0000020?ooo`80
0000103oool3000000D0oooo1@0000020?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo0?ooo`02000000040?ooo`000000oooo0?ooo`@0000000D0oooo0000003oool0oooo
000000020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P0000020?ooo`<0
000000@0oooo0000003oool0oooo0P0000000`3oool0000000000002000000040?ooo`000000oooo
0?ooo`l0000000<0oooo0000000000001@0000000`3oool000000000000:000000030?ooo`000000
000001<0000000@00?oM000000000000oooo3@000003002Io`h0000000@00P3o000000020?l00P3o
3@0000060?ooo`003@3oool2000000<0oooo00@000000?ooo`1<0?l0C03o0`0000040?ooo`050000
003oool000000000003oool04`0000000`3oool0000000000003000000030?ooo`000000000000P0
000000D0oooo00000000000000000?ooo`08000000080?ooo`000000oooo0?ooo`000000oooo0000
003oool;000000030?ooo`000000oooo00d0000000<0oooo0000003oool0100000000`3oool00000
00000003000000030?ooo`000000000000L0000000@0oooo000000000000oooo100000030?ooo`<0
00000`3oool7000000030?ooo`000000000000/000001@3oool400000080oooo3`0000020?ooobD0
00002P3oool@000000030?ooo`000000000000/000000P3oool9000000H0oooo1`0000060?ooo`<0
0000203oool6000000D0oooo1@0000030?ooo`D000001`3oool?000006h0oooo2P0000060?ooo`80
00001P3oool3000000H0oooo0P0000030?ooo`80000000@0oooo000000000000oooo0P0000030?oo
o`800000103oool3000000@0oooo0`000000103oool000000?ooo`3oool2000000040?ooo`000000
oooo00000080oooo00<000000?ooo`3oool0100000020?ooo`@0000000H0oooo0000003oool0oooo
0000003oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`0000000000
0080000000@0oooo0000003oool0oooo0P0000000`3oool0000000000002000000040?ooo`000000
oooo0?ooo`H0000000<0oooo0000000000001`0000000`3oool000000000000B000000030?ooo`00
0000000002<000000P00VOl?000000<00P3o3@0000060?ooo`003@3oool00`000000oooo00000002
0?ooo`030000003oool0C03o0080C03o0`0000040?ooo`80000000<0oooo0000003oool00`000000
0`00A?l000000000000=000000030?ooo`000000000000@0000000<0oooo0000000000001`000000
1@3oool00000000000000000oooo00P0000000P0oooo0000003oool0oooo0000003oool000000?oo
o`d0000000@0oooo000000000000oooo1@0000000`3oool0000000000005000000040?ooo`000000
oooo00000080oooo1@000000103oool000000000003oool6000000030?ooo`000000000000D00000
103oool300000080oooo200000000`3oool000000000000<000000D0oooo1@0000030?ooo`H00000
0`3oool;000001T0oooo3@0000000`3oool000000000000C000000@0oooo2`0000030?ooo`L00000
2@3oool4000000H0oooo1@0000060?ooo`D000000`3oool5000000<0oooo3@0000020?ooo`800000
N03oool200000080oooo1P0000050?ooo`8000001`3oool2000000H0oooo0P0000030?ooo`800000
00@0oooo000000000000oooo0P0000030?ooo`030000003oool0oooo0080oooo0`0000050?ooo`@0
00000`3oool00`000000oooo00000003000000030?ooo`000000oooo0080oooo0`0000020?ooo`@0
000000H0oooo0000003oool0oooo0000003oool2000000040?ooo`00000000000?ooo`8000000P3o
ool2000000030?ooo`00000000000080000000H0oooo0000003oool0oooo0000003oool500000003
0?ooo`000000oooo00T0000000<0oooo0000000000000`0000000`3oool000000000000=00000003
0?ooo`00000000000080000000<0oooo0000000000005P0000000`3oool000000000000<00000003
002Io`000000000000d000000`020?l=000000H0oooo000>0?ooo`8000000`3oool00`000000oooo
04`0o`0204`0o`800000103oool400000080oooo00@000000?ooo`00A?l004Co3`0000000`3oool0
00000031o`04000000030?ooo`000000000000L0000000D0oooo00000000000000000?ooo`080000
00080?ooo`000000oooo0?ooo`000000oooo0000003oool:000000030?ooo`000000000000l00000
00<0oooo000000000000100000000`3oool0000000000004000000040?ooo`00000000000?ooo`H0
00000P3oool2000000030?ooo`0000000000008000000`3oool400000080oooo4`0000000`3oool0
000000000003000000D0oooo1`0000020?oooc`000000`3oool4000000L0oooo2P0000020?ooo`H0
00002@3oool7000000<0oooo1`0000060?ooo`D000000`3oool5000000<0oooo1@0000050?ooo`@0
00001`3oool00`000000oooo0?ooo`1m0?ooo`H00000103oool3000000H0oooo0P0000060?ooo`80
00000`3oool2000000040?ooo`000000oooo0?ooo`8000000P3oool2000000@0oooo0P0000050?oo
o`D000000P3oool020000000oooo0?ooo`000000oooo0000003oool000000`3oool4000000030?oo
o`00000000000080000000H0oooo0000003oool0oooo0000003oool2000000050?ooo`0000000000
0?ooo`0000000`3oool00`000000oooo0?ooo`05000000<0oooo00<000000?ooo`0000001@000002
0?ooo`030000003oool0000000`0000000<0oooo0000000000001@0000000`3oool000000000000;
000000030?ooo`000000000003@000000P020?l=000000H0oooo000>0?ooo`030000003oool00000
00<0oooo00@0000004`0o`3oool0C03o0`0000040?ooo`040000003oool0000000000080oooo0P00
00030014o`@0000000<0oooo000000000000200000020031o`h0000000D0oooo0000000000000000
0?ooo`0:00000080oooo00@000000?ooo`000000oooo2P0000000`3oool000000?ooo`0200000003
0?ooo`000000000000/0000000H0oooo0000003oool000000?ooo`0000020?ooo`H0000000@0oooo
000000000000oooo1P0000020?ooo`L000000`3oool5000000030?ooo`000000000000@0000000D0
oooo00000000000000000?ooo`0;000000030?ooo`000000000000D000001@3oool=000000/0oooo
1`00000>0?ooo`X000000`3oool7000000@0oooo2@0000060?ooo`@000001`3oool8000000D0oooo
1@0000070?ooo`H000000`3oool5000000<0oooo3`00000;0?ooo`030000003oool0oooo0800oooo
1`0000030?ooo`8000001P3oool2000000H0oooo0P0000030?ooo`@0000000<0oooo000000000000
0`3oool2000000<0oooo0`0000040?ooo`<0000000D0oooo0000003oool0oooo000000020?ooo`04
0000003oool000000?ooo`8000000P3oool2000000030?ooo`000000oooo00@0000000H0oooo0000
003oool0oooo0000003oool2000000050?ooo`00000000000?ooo`0000000`3oool00`000000oooo
0?ooo`05000000<0oooo00<000000?ooo`0000000`000000103oool000000?ooo`3ooolN00000003
0?ooo`000000000001/0000000<0oooo0000000000007@0000000`020?l000000000000;000000H0
oooo000?0?ooo`8000000`3oool01@000000oooo0?ooo`1<0?l0oooo00<000000`3oool200000004
0?ooo`00000000000?ooo`8000000P00A?l01000000004Co0000003oool=000000<00<7o3@000000
0`3oool00?oB0000000<00000080oooo5@0000000`3oool0000000000009000000030?ooo`000000
000000@000000P3oool6000000040?ooo`00000000000?ooo`H000000`3oool7000000<0oooo1@00
00000`3oool0000000000009000000030?ooo`000000000000`0000000<0oooo0000000000001000
00090?oooc0000000P3oool9000000T0oooo1P0000060?ooo`D000002P3oool3000000D0oooo1`00
00030?ooo`H000000`3oool5000000030?ooo`0000000000008000005@3oool00`000000oooo0?oo
o`230?ooo`<0000000<0oooo0000000000000`3oool3000000D0oooo0P0000060?ooo`8000000`3o
ool4000000030?ooo`000000000000<0oooo0P0000020?ooo`<00000103oool01@000000oooo0000
003oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo
0080000000<0oooo0000003oool0100000001P3oool000000?ooo`3oool000000?ooo`80000000D0
oooo000000000000oooo000000030?ooo`030000003oool0oooo00D000000`3oool00`000000oooo
00000003000000040?ooo`000000oooo0?ooo`L0000000<0oooo000000000000100000000`3oool0
000000000005000000030?ooo`0000000000050000001P3oool00100oooo0P0000030?ooo`040000
003oool0oooo04`0o`<00000103oool400000080oooo0P0000020014oa0000000P00`Ol010000000
0<7o0000003oool;000000030?ooo`00om800?oB00`000000P3oool00`0000000?mh003oN00<0000
00040?ooo`00000000000?ooo`l0000000<0oooo0000003oool00`0000020?ooo`L0000000@0oooo
000000000000oooo1`0000020?ooo`L000001@3oool400000080oooo2`0000000`3oool000000000
000>000000030?ooo`000000000000D000002@3ooolH000000X0oooo2@0000090?ooo`T00000203o
ool4000000X0oooo1@0000030?ooo`D000001@3oool5000000<0oooo1P0000030?ooo`<000006@3o
ool00`000000oooo0?ooo`260?ooo`80000000<0oooo000000000000103oool2000000D0oooo0P00
00060?ooo`8000000`3oool010000000oooo0000003oool3000000<0oooo00@000000?ooo`3oool0
oooo0P0000040?ooo`<0000000@0oooo0000003oool0oooo0P000000103oool000000?ooo`000002
0?ooo`030000003oool0oooo0080000000<0oooo0000003oool01@0000030?ooo`050000003oool0
00000000003oool00P0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0000000H0
oooo0000003oool0oooo0000003oool600000080oooo2@0000000`3oool000000000000300000003
0?ooo`00000000000080000000<0oooo0000000000001`0000000`3oool0000000000018000000H0
oooo00090?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`040000003oool0C03o0?ooo`<0
0000103oool010000000oooo0000000000020?ooo`80000000<0oooo0014o`0000000`0000000`3o
ool0000000000008000000030?ooo`00`Ol00<7o00<0000000<0oooo0000000000002@000004003o
dP`0000000<0oooo00000000ogP00P00ogP;000000040?ooo`0000000000000000800?l/00<00000
0?ooo`0000003@000000103oool000000000000000020?ooo`L0000000<0oooo0000000000002@00
00020?ooo`L000001@3oool5000000030?ooo`000000000004X000002@3oool9000000X0oooo1`00
00060?ooo`P00000103oool4000000L0oooo0`0000030?ooo`D000001@3oool4000001`0oooo00<0
00000?ooo`3oool0R03oool2000000040?ooo`0000000000000000<0oooo0P0000050?ooo`800000
1P3oool010000000oooo0?ooo`3oool7000000<0oooo0P0000020?ooo`<00000103oool500000080
oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool000000080000000<0oooo0000
003oool01@0000030?ooo`030000003oool0000000@0000000@0oooo0000003oool0oooo0P000000
0`3oool000000000000400000080oooo00<000000?ooo`0000001@0000020?oooaH0000000<0oooo
0000000000000P0000000`3oool000000000001:000000H0oooo00090?ooo`030000003oool0oooo
00D0oooo0P0000030?ooo`060000003oool0oooo04`0o`000000oooo0P0000030?ooo`80000000@0
oooo000000000000oooo0`0000001@3oool004Co000000000000oooo00D0000000<0oooo00000000
0000100000000`00`Ol000000031o`03000000030?ooo`000000000000H0000000<0oooo00000000
00000P00om800`000000oooo0000000;000000040?ooo`00ogP00?mh0?ooo`800?mh0P0000000`3o
ool000000000000500000080oooo0P000003003o;0040?ooo`00000000000?ooo`T0000000@0oooo
017o000Ao`004Ol00`0000000`3oool0000000000006000000030?ooo`000000000000X000000P3o
ool3000000030?ooo`0000000000008000001@3oool400000080oooo3P0000000`3oool000000000
000b000000@0oooo2P0000040?ooo`D000000P3oool:000000D0oooo1`0000060?ooo`H000001@3o
ool7000000040?ooo`0000000000000000@0oooo1P0000060?ooo`<000002@3oool3000000X0oooo
0P0000060?ooo`H000001`3oool4000000H0oooo1P0000020?ooob8000002P3oool7000000D0oooo
1@0000070?ooo`<000001@3oool01@3o?000oooo0?ooo`3oool0000000/0oooo0P0000000`3oool0
oe/00?ooo`060?ooo`<0000000<0oooo0000000000000`3oool2000000030?mm00000000oooo0080
oooo0P0000050?ooo`8000000`3oool00`000000oooo0?nV000300000080oooo00<000000?ooo`00
00000P3oool3000000@0oooo00<000000?oF000000000P0000020?ooo`050000003oool000000?oo
o`0000000P3oool00`000000oooo00000002000000030?ooo`000000oooo00D000000`3oool00`00
0000oooo00000003000000030?ooo`00000000000080oooo0P000000103oool000000000003oool2
000000<0oooo00<000000?ooo`0000000`0000000`3oool000000?ooo`07000000030?ooo`000000
000000D0000000<0oooo000000000000EP0000060?ooo`002P3oool00`000000oooo0?ooo`040?oo
o`800000103oool010000000oooo0?ooo`1<0?l3000000@0oooo0P000000103oool000000000003o
ool3000000030014o`000000000000L0000000<0oooo000000000000100000000`3oool00<7o0000
0003000000030?ooo`000000000000H0000000<0oooo0000000000000P00om820?ooo``0000000D0
oooo003oN000ogP00?mh0?ooo`03000000030?ooo`000000000000D000000P3oool00`0000000?l/
00000003003o;0d000001@0Ao`0200000080oooo1`0000000`3oool0000004Co000504Co00H00000
0P3oool3000000030?ooo`1^o`00K_l000@0K_l0103oool4000000<0oooo3`0000050?oooaL00000
0P3:o`0@00000080i?l04@0000000`3mo`0000000000000:000000<0oooo0P0000020?oX00D00000
0`3oool9000000030?o>003oool0000000l000000P3o/`05000000H0oooo1@0000000`3oool0oiT0
0?ooo`040?ooo`D000000`3oool400000080ogd010000000103oool000000?ooo`3oool4000000<0
oooo0P0000000`3oHP0000000000000?00000080odL02P0000070?ooo`030?l/003oool0oooo00l0
oooo0P3o4P080?ooo`80o`@02@3oool7000000040?ooo`3o7`00oooo0?ooo`D000001@3oool30000
00<0oooo0P3o?0020?ooo`D00000203oool2000000030?mK003oool0oooo00H0oooo0`0000000`3o
ool00000000000030?ooo`040000003oO@000000000000<0oooo0P0000050?ooo`8000000P3oool0
1@000000oooo0?nV00000000oooo0080000000@0oooo0000003oool000000`3oool3000000<0oooo
00D0omH0000000000000oooo000000020?ooo`050000003oool000000?ooo`0000000P3oool02000
0000oooo0000003oool0lOl00?ooo`000000oooo1@0000030?ooo`030000003oool0000000<00000
00<0oooo0:ko000000000P3oool2000000030?ooo`000000000000<000000P3oool2000000030?oo
o`00000000000080000000<0oooo0000003oool02@0000000`3oool0000000000003000000030?oo
o`000000000000T0000000@0oooo000000000000ooooB00000060?ooo`002P3oool00`000000oooo
0?ooo`050?ooo`800000103oool010000000oooo04`0o`3oool3000000@0oooo00D000000?ooo`00
000000000?ooo`03000000030?ooo`00A?l0000000l0000000<0oooo0031o`3oool0300000001@3o
ool000000000003oool00?oB0080oooo300000001@3oool00?mh00000000ogP0oooo00`0000000@0
oooo00000000ob`000000P00ob`20?ooo`80000000<0oooo0000000000001`000003017o00030000
003oool00000008000000P3oool8000000<0A?l00P0000000`3oool000000000000600000080oooo
0P00000306ko00L000000P3oool6000000H0TOl0300000060:oo00L00000203oool20<[o00X0oooo
1P0000020>Co00L000000P3oool800000080oOl0100000050?ooo`L000000P3oj0030?ooo`X00000
0`3oool00`000000olh00?o>000@00000080ok<000<000000?ooo`3oool00`3oool7000000@0oooo
0P3oV@000`3oool0000000000003000000@0oooo100000020?ooo`80ogd00P3oool8000000<0oooo
100000020?mR010000000P3oA`02000000l0oooo0P3o;00@0?ooo`80oa80303oool20?l400h0oooo
0P0000020?lO00030000003oool0oooo0080oooo100000040?ooo`@0000000<0oooo0?ll003o?000
1@3oool3000000D0oooo1@3oF`090?ooo`80000000<0oooo0000000000000P3oO@000`3oool0ogd0
00000002000000<0oooo00<000000?ooo`3oool0103oool020000000ojH00?nV00000000ojH00?oo
o`000000oooo0P000000103oool000000000000000030?ooo`<0000000P0omH00?ooo`3oool0omH0
0?ooo`000000oooo00000080oooo00D000000?ooo`000000oooo000000020?ooo`060000003oool0
lOl00?ooo`3ao`0000000P3oool500000080oooo0`0000001P3oool00000000000000000[_l00000
00<0oooo00<000000?ooo`3oool01@0000020?ooo`050000003oool000000000001Po`000`000002
0?oooaH0000000<0oooo000000000000C@0000060?ooo`002@3oool00`3`0?l0oooo000000070?oo
o`800000103oool00`000000oooo04`0o`02000000030?ooo`000000oooo0080oooo0P000000103o
ool000000000003oool3000000030?ooo`00A?l0000000D0000000<0oooo0000000000001`000000
0`3oool00<7o0?ooo`0<000000090?ooo`00000000000?ooo`00om8000000?ooo`000000oooo00P0
000000<0oooo0000000000000P3oool00`00ogP0oooo0000000<000000070?ooo`00ob`0oooo0000
0000ob`000000?ooo`0=000000<04Ol01@0000020?ooo`L000001014o`0200000080oooo20000002
0?ooo`040000001^o`00K_l006ko0080oooo1`0000020?ooo`<00000102Ao`03000000<0oooo2@00
00030:oo00h000001@3:o`09000000040?ooo`0000000000000000D0i?l0300000020?ooo`@0oOl0
0P3oool9000000<0oooo103oj009000000<0oooo0`0000060?o>00<00000103oool300000080oooo
1P3o/`04000000P0oooo00<000000?nI003oV@00103oV@030?ooo`D00000103oool60?mm00<0oooo
2P0000050?mR00P000001@3oool30?m70100oooo0P3o;00@0?ooo`<0oa803P3oool30?l400`0oooo
1P3o7`000`000000oooo0?ooo`040?ooo`@000000P3oool60?ll00L0oooo0`0000050?ooo`<0oe/0
00<000000?ooo`3oool01P3oool3000000030?ooo`000000oooo00<0ogd000@000000?ooo`000000
00000P3oool00`000000oooo0?ooo`040?ooo`8000000`3oYP03000000040?ooo`000000oooo0?oo
o`<000000`3oool2000000<0omH00`000000103oool000000?ooo`3oool3000000060?ooo`000000
00000?ooo`000000oooo0P3ao`0200000080oooo1@0000020?ooo`060000003oool000000000002^
o`0000000P2^o`000`000000oooo0?ooo`02000000030?ooo`000000000000@000000P3oool01000
0000oooo063o001Po`02000000030?ooo`000000oooo00L0000000T0oooo0000003oool0000000Co
000000001?l00000003oool02`000000103oool00000003oI@3ooolA00000003003ogP0000000000
00H0000000<0oooo0000000000001P0000000`00Uol000000000000?0000000300@0o`0000000000
00l000001P3oool000/0oooo00<000000?ooo`3oool01@3oool2000000@0oooo00@000000?ooo`3o
ool0oooo0P0000000`3oool000000?ooo`020?ooo`80000000@0oooo000000000000oooo0`000000
0`3oool0000000000005000000030?ooo`000000oooo00T0000000<0oooo0000000000002P000000
103oool000000000003oool2000000030?ooo`000000000000P0000000<0oooo0000000000000P3o
ool00`000000oooo00000003000000030?ooo`000000000000H0000000<0oooo0000000000000`00
00020?ooo`h000000P3oool500000080oooo1`0000000`14o`00000000000004000000030?ooo`00
0000000000P0000000<0oooo06ko000000000P0000040?ooo`L0000000@0oooo0000002Ao`00TOl0
2@0000040?ooo`@000000P2_o`0@000000<0b_l03`0000030>Co00<00000103oool9000000<0oOl0
0`0000050?ooo`L000000`3oj0000`000000oooo0?ooo`0=000000D0oooo1@0000040?ooo`D00000
203oool6000000@0oooo1P0000050?ooo`D000000`3oool500000080oooo2P00000C0?ooo`<0odL0
3`3oool30?l/0100oooo0`3o4P080?ooo`<0o`@0803oool4000000<0oooo100000070?ooo`800000
1`3oool2000000P0oooo0P0000000`3oool00000000000030?ooo`80000000@0oooo000000000000
oooo0P0000060?ooo`8000000P3oYP0010000000oooo0000003oool2000000040?ooo`000000oooo
000000<0oooo0P000000103oool0omH00?oF003oool2000000030?ooo`000000oooo0080oooo0P00
00001P3oool000000000003oool000000?ooo`80lOl00P0000020?ooo`D000000P3oool02@000000
oooo000000000000[_l00000002^o`00oooo000000020?ooo`80000000<0oooo0000000000001000
0000103oool00000063o003oool2063o0080000000D0oooo0000003oool000000?ooo`08000000<0
1?l00P0000000`3oool0000000000004000000030?ooo`000000000000@0000000<00?mU00000000
ofD03`0000000`00omh000000000000?00000003002Go`000000000000l0000000<0103o00000000
00003`0000060?ooo`00303oool00`000000oooo0?ooo`050?ooo`800000103oool01@000000oooo
0?ooo`000000oooo00800000103oool00`000000oooo0?ooo`0500000080oooo2@0000000`3oool0
000000000007000000030?ooo`00000000000100000000<0oooo000000000000200000000`3oool0
0000000000020?ooo`030000003oool0000000d0000000<0oooo0000000000000`0000000`3oool0
00000000000=00000080oooo1@0000030?ooo`h0000000<0oooo0000000000002@000000103oool0
00000000000000060?ooo`P000000P3ooolA000001l0oooo4`0000030?ooo`/000000`3ooolA0000
00030?ooo`000000000000H000001@3oool4000000L0oooo1P0000040?ooo`H000001P3oool50000
00<0oooo3`00001a0?ooo`8000001@3oool3000000H0oooo0P0000070?ooo`800000203oool20000
00030?ooo`000000oooo00<0oooo0P0000001@3oool000000?ooo`3oool0000000H0oooo0P000004
0?ooo`080000003oool0oooo0000003oool000000?ooo`0000030?ooo`<000000`3oool200000003
0?ooo`000000oooo0080oooo0P000000203oool000000000003oool000000?ooo`000000lOl00P00
00020?ooo`D000000P3oool010000000oooo0000000000030:ko0080000000<0oooo000000000000
200000000`3oool00000063o0002063o00`0000000@0oooo00000000000000000P04o`0>00000005
0?ooo`00ofD00?mU0?ooo`00ofD0400000000`00omh0000000000006000000030?ooo`0000000000
00H0000000<009Oo0000000000003`0000000`040?l000000000000>000000H0oooo000<0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`0200000003
0?ooo`000000oooo0080oooo0P0000020?ooo`030000003oool000000080000000<0oooo00000000
0000200000000`3oool0000000000007000000030?ooo`000000000000`0000000D0oooo00000000
000000000?ooo`0;000000040?ooo`000000oooo0?ooo`L0000000<0oooo0000000000001P000002
0?ooo`030000003oool000000080000000<0oooo0000000000003@0000020?ooo`H000000P3ooolP
000000H0oooo2`0000080?ooobT00000203oool:000000<0oooo6`0000080?ooo`D00000103oool7
000000@0oooo1P0000060?oooa80000000<0oooo0000000000000`0000020?ooo`030000003oool0
oooo07<0oooo100000040?ooo`<000001@3oool2000000L0oooo0P0000080?ooo`@00000103oool0
1@000000oooo000000000000oooo008000001P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00<0000000<0oooo0000003oool00P3oool3000000<0oooo100000030?ooo`80000000H0
oooo000000000000oooo0000003oool400000080oooo1@0000020?ooo`030000003oool000000080
000000<0[_l00?ooo`0000002`0000020?ooo`060000001Po`00H?l0063o00000000oooo0P000000
0`3oool0000000000008000000<01?l00P0000000`3oool0000000000009000000040?ooo`00ofD0
0?mU003oIA0000000P00omh@00000003002Go`000000000000/0000000D0oooo0000000000000000
00@0o`0@000000H0oooo000=0?ooo`030000003oool0oooo00D0oooo0P0000040?ooo`040000003o
ool0oooo0?ooo`80000000<0oooo0000003oool00P3oool2000000040?ooo`00000000000?ooo`<0
000000<0oooo0000000000001@000000103oool000000000003oool9000000030?ooo`0000000000
00T0000000@0oooo000000000000oooo0`0000000`3oool0000000000009000000040?ooo`000000
00000?ooo`80000000<0oooo000000000000300000000`3oool0000000000003000000030?ooo`00
0000000000h000000`3oool6000000030?ooo`000000000001/0000000<0oooo0000000000000`00
00060?oooa@00000703oool@000000030?ooo`000000000000T0000000<0oooo0000000000004000
00080?ooo`P00000103oool5000000H0oooo1@0000060?ooo`X000000`3oool<000000L0oooo00<0
00000?ooo`3oool0M`3oool2000000D0oooo0P0000050?ooo`<000001P3oool2000000L0oooo0P00
00000`3oool00000000000030?ooo`80000000@0oooo000000000000oooo0P0000050?ooo`800000
0`3oool00`000000oooo0?ooo`05000000@0oooo0P0000030?ooo`@000000`3oool200000080oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`80000000@0oooo0000003oool0
oooo0P0000000`3oool000000000000?000000050?ooo`00000000000?ooo`1Po`000`0000001@3o
ool000000?ooo`000000oooo00P000000P04o`03000000030?ooo`000000000000@0000000H0oooo
00000000000000000?ooo`000003003oI@h0000000<00?oN00000000omh0200000000`3oool00000
000000060000008009Oo3`0000000`040?l000000000000>000000H0oooo000=0?ooo`030000003o
ool0oooo00H0oooo0P0000040?ooo`080000003oool0oooo0000003oool000000?ooo`0000030?oo
o`030000003oool0oooo0080000000D0oooo00000000000000000?ooo`02000000030?ooo`000000
00000080000000@0oooo0000003oool0oooo1P000000103oool000000000003oool;000000040?oo
o`00000000000?ooo`<0000000<0oooo0000000000002P0000001P3oool000000?ooo`3oool00000
0?ooo`D0000000<0oooo0000000000001`0000000`3oool0000000000003000000030?ooo`000000
000000h000000`3oool7000000030?ooo`000000000001`000000P3oool7000000`0oooo:P000002
0?ooo`P00000103oool:000000D0oooo100000080?ooo`L00000203oool4000000L0oooo10000005
0?ooo`H000000P3oool400000080oooo1`0000000`1d00000000000000030000000307Boo`3oool0
oooo00P0oooo00<000000?ooo`3oool0N@3oool3000000@0oooo0`0000050?ooo`8000001P3oool2
000000L0oooo0P0000000`3oool00000000000030?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`3oool00`3oool2000000<0oooo0P000000103oool000000000003oool3000000<0oooo
0P0000030?ooo`@000000`3oool200000080oooo00<000000?ooo`0000000P3oool00`000000oooo
000000020?ooo`80000000@0oooo0000003oool0oooo0P0000000`3oool000000000000?00000004
0?ooo`00000000000?ooo`@0000000<0oooo0000000000001P0000001@3oool00000000000000000
1?l000<0000000<0oooo0000000000002@000000103oool00000003oI@00ofD?000000800?oN4000
0003002Goa00000000<0103o0000000000003@0000060?ooo`003P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`02
0?ooo`8000000P3oool2000000050?ooo`00000000000000003oool00P0000000`3oool000000000
0002000000030?ooo`000000oooo00L0000000<0oooo00000000000030000000103oool000000000
003oool300000080oooo2`000000103oool000000000003oool2000000030?ooo`000000000000`0
00000P3oool5000000030?ooo`000000000000D0000000<0oooo0000000000001P0000040?ooobX0
00000P3oool<000001/0oooo7@0000080?ooo`L00000203oool4000000T0oooo1P0000060?ooo`D0
00000P3oool7000000@0oooo300000050?ooo`030;md000007@0_ooo0080oooo00<0giad09cOo`3o
ool02@3oool00`000000oooo0?ooo`1l0?ooo`8000001@3oool2000000D0oooo0P0000060?ooo`03
0000003oool0oooo00H0oooo0P0000000`3oool00000000000020?ooo`80000000D0oooo0000003o
ool0oooo000000050?ooo`800000103oool020000000oooo0?ooo`000000oooo0000003oool00000
0`3oool2000000<0oooo100000030?ooo`8000000P3oool00`000000oooo000000020?ooo`040000
003oool000000?ooo`<0000000@0oooo0000003oool0oooo500000000`3oool00000000000030000
00030?ooo`000000000000d0000000@0oooo000000000000oooo1P0000001@3oool0000000000000
0000oooo0080000000<00?mU0000000000003P000002003ogPP0000000<0oooo0000003oool01@00
0002002Goa00000000<0103o000000040?l03@0000060?ooo`003P3oool00`000000oooo0?ooo`02
0?ooo`0406/0o`3oool0oooo0?ooo`800000103oool010000000oooo0?ooo`3oool2000000030?oo
o`000000oooo0080oooo0P0000020?ooo`070000003oool0oooo0000003oool000000?ooo`020000
00030?ooo`00000000000080000000D0oooo0000003oool000000?ooo`05000000030?ooo`000000
000000@0000000@0oooo000000000000oooo2`0000020?ooo`h0000000@0oooo000000000000oooo
3`0000020?ooo`D0000000<0oooo0000000000001@0000000`3oool0000000000006000000@0oooo
1@0000000`3oool000000000000=000000030?ooo`000000000001/000000`3oool[000000/0oooo
2P0000080?ooo`L00000103oool9000000@0oooo200000020?ooo`D00000103oool=000000`0oooo
00<0okmd0000B02Lgol03@3oool00`000000oooo0?ooo`1n0?ooo`<00000103oool2000000D0oooo
0P0000050?ooo`800000203oool2000000030?ooo`000000oooo0080oooo100000000`3oool00000
000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`0000000`3oool00000
0?ooo`020?ooo`8000000`3oool500000080oooo0P0000020?ooo`8000000`3oool200000080oooo
0`0000001P3oool000000?ooo`3oool000000?ooo`l0000000<0oooo0000000000000P0000000`3o
ool0000000000006000000030?ooo`00000000000080000000<0oooo0000000000001@0000000`3o
ool0000000000009000000030?ooo`00000000000140000000<00?oN0000000000003P000003002G
o`h0000000@0103o000000040?l0103o3@0000060?ooo`003`3oool010000000oooo0?ooo`3oool2
06/0o`80oooo00<000000?ooo`000000103oool020000000oooo0?ooo`000000oooo0000003oool0
00000`3oool00`000000oooo0?ooo`02000000040?ooo`00000000000?ooo`@0000000<0oooo0000
000000000P0000000`3oool000000?ooo`07000000030?ooo`000000000000@0000000@0oooo0000
00000000oooo1P0000001@3oool000000000003oool000000080oooo3P0000020?ooo`030000003o
ool0oooo00@0000000<0oooo000000000000200000000`3oool0000000000004000000030?ooo`00
0000000000D0000000<0oooo0000000000001`0000040?ooo`D0000000<0oooo0000000000003P00
00030?ooob@000007`3oool=000000T0oooo2@0000040?ooo`L000001@3oool8000000H0oooo1000
00020?ooo`/000005P3oool00`3ogi`0B00004RLg`0<0?ooo`030000003oool0oooo0840oooo0P00
00040?ooo`8000001@3oool2000000D0oooo0P0000080?ooo`030000003oool0000000@0oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool2000000060?ooo`00
000000000000003oool000000`3oool2000000<0oooo00<000000?ooo`0000000P0000020?ooo`80
00000P3oool2000000<0oooo0P0000020?ooo`<0000000@0oooo0000003oool0oooo4`0000000`3o
ool0000000000005000000030?ooo`000000000000h0000000<0oooo000000000000100000001@3o
ool00000000000000000oooo0080000000<0oooo00000000000080000002002Go`l000000`040?l=
000000H0oooo000?0?ooo`030000003oool0oooo0080oooo0`1[0?l0103oool000000?ooo`000004
0?ooo`080000003oool0oooo0000003oool00000000So`0000020?ooo`8000000P3oool200000005
0?ooo`00000000000000003oool00`0000000`3oool0000000000002000000030?ooo`000000oooo
00P0000000<0oooo0000000000000`000000103oool000000000003oool9000000040?ooo`000000
oooo0?ooo``0000000@0oooo000000000000oooo0P0000000`3oool0000000000003000000030?oo
o`000000000000L000000P3oool6000000030?ooo`000000000000D0000000<0oooo000000000000
2@0000030?ooo`@000000P3oool:00000080oooo1P0000020?ooo`80000000<0oooo000000000000
>P0000000`3oool0000000000006000000<0oooo2P0000060?ooo`L000001@3oool7000000H0oooo
500000040?ooo`<000002@3oool3000000T0oooo0`0000040?ooo``0000000<0oooo000000000000
1@0000020?ooo`T0000000<0oooo000000000000;@0000080?ooo`<000002`3oool3000000T0oooo
0P00000:0?ooo`<000002@3oool010000000oooo0?ooo`3oool2000000@0oooo0`0000040?ooo`80
0000103oool3000000L0oooo100000030?ooo`<000000P3oool00`000000oooo000000030?ooo`80
0000103oool00`000000oooo00000004000000<0oooo0P0000001@3oool000000?ooo`000000oooo
00<000000P3oool2000000040?ooo`000000000000000080oooo0`0000020?ooo`D0000000<0oooo
0000000000008P0000000`3oool0000000000003000000030?ooo`000000000000/0000000<0oooo
0000000000008`0000000`00Uol000000000000=000000<0103o3@0000060?ooo`00403oool01000
0000oooo0?ooo`3oool206/0o`030?ooo`1[0?l0oooo00800000103oool010000000oooo0?ooo`3o
ool20000008002?o0`3oool200000080oooo0P0000001@3oool00000000000000000oooo00<00000
00<009ko000000000000100000000`3oool0000000000006000000030?ooo`000000000000<00000
00@0oooo000000000000oooo2@000000103oool000000000003oool?00000080oooo1`0000000`3o
ool000000000000800000080oooo1P0000000`3oool000000000000500000080oooo2`0000020?oo
o`<000001@3oool;00000080oooo1`0000040?ooocP000000P3oool=00000080oooo5P0000040?oo
oaT0000000<0oooo0000000000001@0000050?ooo`L000001P3oool600000080oooo1@0000070?oo
o`H0000000<0oooo0000000000001P0000030?oooad000007@3oool500000100oooo0`0000080?oo
o`@000002@3oool2000000P0oooo0`0000020?ooo`800000103oool4000000<0oooo0P0000030?oo
o`@000001`3oool3000000@0oooo0`000000103oool000000000000000040?ooo`030000003oool0
oooo0080oooo100000000`3oool00000000000030?ooo`80000000D0oooo0000003oool000000?oo
o`0300000080oooo0P000000103oool000000000000000020?ooo`<000000P3oool5000000030?oo
o`000000000001@0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00@0
000000<0oooo0000000000001@0000000`3oool000000000000;000000030?ooo`00000000000340
00000P040?l=000000H0oooo000A0?ooo`040000003oool0oooo0?ooo`80J`3o0P3oool00`000000
oooo000000040?ooo`060000003oool0oooo0000003oool000000`008ol20?ooo`8000000P3oool2
000000050?ooo`000000oooo0000003oool00P000002002No`H0000000<0oooo0000000000001P00
00000`3oool0000000000003000000040?ooo`00000000000?ooo`L0000000<0oooo0000003oool0
0P0000020?ooo`l0000000<0oooo0000000000001P0000000`3oool000000000000800000080oooo
1P0000000`3oool000000000000500000080oooo300000020?ooo`<000001P3oool4000000030?oo
o`000000000000D00000103oool8000000D0oooo<P0000060?ooob@00000103ooolD000000D0oooo
1`0000070?ooo`H000000P3oool6000000030;md001d_ol0oooo00X0000000<0oooo000000000000
0`0000030?oooa@000000P3oool200000440oooo100000090?ooo`8000002@3oool2000000T0oooo
0`0000000`3oool00000000000040?ooo`040000003oool00000000000<0oooo0P0000030?ooo`<0
00001`3oool4000000@0oooo0P0000020?ooo`<000000`3oool2000000@0oooo0`0000000`3oool0
0000000000030?ooo`80000000D0oooo0000003oool000000?ooo`0300000080oooo0P000000103o
ool000000000000000020?ooo`<000000P3oool4000000030?ooo`000000000000`0000000<0oooo
0000000000002`0000000`3oool000000000000;000000030?ooo`000000000000L0000000D0oooo
00000000000000000?ooo`0A000000030?ooo`000000000000P0000000<0oooo0000000000005`00
00000`040?l000000000000;000000H0oooo000B0?ooo`030000003oool0oooo0080oooo00H0J`3o
0?ooo`3oool000000?ooo`0000040?ooo`070000003oool0oooo0000003oool002?o0?ooo`02000S
o`80oooo0P0000001`3oool000000?ooo`000000oooo0000003oool010000003002No`h000000P00
ooP7000000030?ooo`000000000000D0000000<0oooo0000000000000P0000020?ooo`l000000P3o
ool8000000030?ooo`000000000000P000000P3oool?000000030?ooo`000000000000`0000000<0
oooo0000000000000P0000060?ooo`D0000000<0oooo0000000000001P0000050?ooo``000008@3o
oolE000000@0oooo2`0000030?ooo`L00000103ooolC000000H0oooo1`0000080?ooo`H000000P3o
ool6000000040?ooo`3o_g@0001d0;ooo`D000001P3ooolG000005<0oooo0`0000080?ooo`<00000
203oool2000000X0oooo0P0000060?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo
0?ooo`020?ooo`<000001P3oool5000000<0oooo0P0000030?ooo`8000000`3oool2000000@0oooo
0P0000020?ooo`8000000`3oool2000000050?ooo`00000000000000003oool00`0000020?ooo`80
000000@0oooo00000000000000000P3oool300000080oooo100000000`3oool000000000000M0000
00030?ooo`00000000000080000000<0oooo0000000000001@0000000`3oool000000000000;0000
00030?ooo`000000000003l000001P3oool00180oooo00<000000?ooo`3oool00P3oool01P1[0?l0
oooo0?ooo`000000oooo000000@0oooo00T000000?ooo`3oool0oooo0000003oool002?o0?ooo`00
8ol00`3oool2000000030?ooo`000000oooo00<0000000H0oooo0000000000000000002No`000002
002No`h000000`00ooP>000000040?ooo`00oj0000000?ooo`80000000<0oooo0000000000002`00
0000103oool000000000003oool4000000030?ooo`00000000000080000000<0oooo000000000000
200000020?oooa00000000<0oooo000000000000300000020?ooo`@000001`3oool500000080oooo
2@0000050?ooobh000002P3oool8000000H0oooo2P0000000`3oool000000000000;000000<0oooo
100000060?ooo`H00000203oool7000000030?ooo`000000000000D00000103ooolQ000005d0oooo
0P0000090?ooo`800000203oool2000000X0oooo0P0000060?ooo`@000000`3oool00`000000oooo
0?ooo`020?ooo`<000001`3oool4000000<0oooo0P0000030?ooo`8000000`3oool2000000@0oooo
0`0000000`3oool00000000000030?ooo`8000000P3oool2000000040?ooo`000000000000000080
oooo1P0000001P3oool000000000003oool000000?ooo`D0000000<0oooo00000000000020000002
0?ooo`030000003oool0000000<0000000<0oooo0000000000001P0000000`3oool0000000000003
000000050?ooo`00000000000000003oool00`0000000`3oool0000000000007000000050?ooo`00
000000000000003oool04@0000000`3oool0000000000008000000030?ooo`000000000002@00000
1P3oool001<0oooo00<000000?ooo`3oool00P3oool01P1[0?l0oooo0?ooo`000000oooo000000@0
oooo00P000000?ooo`3oool000000?ooo`000000oooo000So`@0oooo0P0000000`3oool000000?oo
o`03000000040?ooo`00000000000000008009ko3`000002003on00300000000ooP00?oh00h00000
0P00oj000`3oool00000000000020?ooo`030000003oool0000000L000000P00oeH01@000000oooo
000000000000oooo01@000000P3ooolA00000080oooo3P0000020?ooo`@000001`3oool7000000<0
oooo5000000D0?oooaL000000`3oool>00000080oooo5P0000060?ooo`@000001P3oool800000003
0?ooo`000000000000D00000103oool=000000@0oooo3@00001N0?ooo`030?l=003oool0oooo00P0
oooo0P0000090?ooo`<000001`3oool3000000T0oooo00<000000?ooo`3oool01@3oool400000080
oooo0P0000040?ooo`<000001P3oool010000000oooo0000000000040?ooo`8000000P3oool20000
00@0oooo00H000000?ooo`3oool0oooo0000003oool2000000030?ooo`000000000000<0oooo0P00
00020?ooo`80000000<0oooo0000000000000P3oool00`000000oooo00000002000000030?ooo`00
0000oooo00<000000P3oool3000000030?ooo`000000oooo00T000000P3oool2000000030?ooo`00
000000000080000000<0oooo0000000000003P0000000`3oool000000000000C000000030?ooo`00
0000000003h000001P3oool001@0oooo00<000000?ooo`3oool00P3oool01P1[0?l0oooo0?ooo`00
0000oooo000000@0oooo00P000000?ooo`3oool000000?ooo`000000oooo000So`@0oooo0P000000
0`3oool000000?ooo`03000000060?ooo`0000000000002No`00000009ko3`000003003on0030?oo
o`000000000000D0000000<0oooo0000000000000`0000000`3oool00?nP003oX002003oX0800000
0P3oool7000000030?ooo`000000000000<00?mF0P3oool=000000<00?lI1`0000020?oooa800000
0P3oool?00000080oooo1P0000060?ooocT0000000<0oooo0000000000003`0000020?ooo`/00000
0P3oool<000000L0oooo1P0000040?ooo`H00000103oool5000000@0oooo3P0000050?ooo`d00000
0P3oool00`000000oooo0?ooo`1B0?ooo`030?l=003oool0oooo00X0oooo00<0o`d00?ooo`3oool0
2@3oool2000000<0oooo00<0ob/00?ooo`3oool0103oool2000000P0oooo00<000000?m<003oool0
1`3oool2000000L0oooo00@000000?ma0000000000000P3oool00`000000oooo0?ooo`020?ooo`@0
00001@3oool00`3oV`00000000000002000000<0oooo0P0000020?ooo`800000103oool01P000000
old00?ooo`3oool000000?ooo`80000000<0oooo0000000000000`3oool200000080oooo0P000000
0`3oool00000000000020?ooo`030000003oool0000000<000000P3oool300000080oooo10000002
0?ooo`T000000P3oool2000000030?ooo`000000000000h0000000<0oooo0000000000000P000000
0`3oool000000000000<000000050?ooo`00000000000000003oool0@P0000060?ooo`00503oool0
0`000000oooo0?ooo`030?ooo`0306/0o`3oool000000080oooo00<000000?ooo`3oool00P3oool0
20000000oooo0?ooo`000000oooo0000003oool002?o103oool01@000000oooo0?ooo`000000oooo
008000000P3oool3000000030?ooo`00W_l0000000h0000000@00?oh00000000ooP0oooo0`000000
1@3oool00000000000000000oooo00D0000000H0oooo003oX000oj000?nP0000003oool200000003
0?ooo`000000000000P000001000oeH20?ooo``000001@00oaT600000080oooo0P0000000`3oool0
000001Wo000501Wo00X0000000<0oooo0000000000000`00000304;o00P00000103oool8000000L0
oooo5@00000:0?oooaP000001@3oool300000080fOl01P0000050?ooo`H0000000<0m?l00000003o
ool01P3oool900000080oo00103oool4000000H0oooo0`0000000`3oe000oooo0?ooo`020?ooo`D0
000000<0oooo000000000000100000000`3oool0okL00?ng00030?ooo`X00000103oool00`3oV`00
oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo0P3oOP0A0?ooo`030?mR003oool0oooo00l0
oooo0P3oA@0A0?ooo`030?lY003oool0oooo00h0oooo00<0o`d00?ooo`3oool0203oool20?l=0003
0?ooo`3o3@00oooo00`0oooo0`0000000`3oool0ob/00?ooo`060?ooo`800000203oool00`3oC000
oooo0?ooo`070?ooo`8000001P3oool010000000og400?ooo`0000020?ooo`800000103oool30000
00D0oooo00<0oi/00000000000000P0000030?ooo`8000000`3oool2000000<0oooo00H0old00?oo
o`3oool0oooo0000003oool600000080oooo0P0000020?ooo`030?So000000000000008000000P3o
ool00`000000oooo0000000300000080oooo0`0000000`3oool0/ol00000000300000080oooo00@0
00000?ooo`000000oooo1@0000020?ooo`H0000000<0oooo0000000000001P0000000`3oool00000
00000003000000030?ooo`000000000001D0000000<0oooo000000000000?@0000060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooo`0606/0o`3oool0oooo0000003oool00000103oool010000000
oooo0?ooo`0000020?ooo`030000003oool002?o00<0oooo0P000000103oool000000?ooo`3oool2
00000080oooo0`0000000`3oool009ko0000000>000000060?ooo`0000000?oh0?ooo`000000oooo
2`000000103oool00?nP00000000oj0400000080oooo2@0000001@00oeH00000003oEP00oeH00000
0080oooo2`000003003o6@X0000000@0oooo000000000000oooo100Io`0>000000<0@_l03`000006
06Ko0080oooo1`0000040?ooo`H0QOl00P3oool=000000<0X_l02`0000050?ooo`80_Ol000<0oooo
000000000000300000020=Wo00P0oooo1@0000040?ooo`80m?l000<0oooo0000000000001P000007
0?ooo`80oo001P0000040?ooo`H0000000@0oooo0?oD003oe000oooo100000000`3oool000000000
0003000000D0oooo0P3o]`09000000P0oooo0P3oV`070?ooo`030000003oool0oooo00H0oooo0P3o
OP0A0?ooo`80of80403oool20?m50140oooo0P3o:@0?0?ooo`D0o`d02P3oool30?l=00h0oooo0P3o
:`000`3oool0ob/00?ooo`070?ooo`800000103oool50?m<00T0oooo0P0000030?ooo`80og4000@0
oooo0?ma0000000000000`3oool2000000@0oooo0P0000001@3oool0oi/00?nK003oool0oi/00080
oooo0`0000030?ooo`8000000`3oool2000000040?o=003oool0oooo0?o=00<0oooo00<000000?oo
o`0000000`000000103oool000000?ooo`3oool2000000030?So003oool0n?l000@000000P3oool0
0`000000oooo0000000300000080oooo0`0000000`2co`0000000000000300000080oooo00<00000
0?ooo`0000001@0000030?ooo`0306?o003oool0000000<0000000<0oooo0000000000002@000000
0`3oool0000000000002000000030?ooo`000000000000`0000000D0oooo00000000000000000?oo
o`11000000H0oooo00090?ooo`030?l0lP3oool0oooo00X0oooo00<000000?ooo`3oool00P3oool0
1P1[0?l0oooo0?ooo`000000oooo000000@0oooo00T000000?ooo`3oool000000?ooo`000000oooo
000000008ol00`3oool2000000040?ooo`000000oooo0?ooo`8000000P3oool3000000030?ooo`00
W_l0000000@0000000<0oooo0000000000001`000000103oool00000003on03oool=000000040?oo
o`0000000000003oX0D0000000<0oooo0000000000001P0000001@3oool00?mF0000000000000?mF
0080000000<0oooo0000000000002P000003003o6@d000000P0Io`000`3oool06Ol001Wo000=0000
00D0@_l03P00000406Ko00D00000103oool5000000@0QOl03@0000060:;o00d000001@2mo`080000
00D0oooo1@3Io`07000000L0oooo103do`000`000000oooo0?ooo`050?ooo`H00000103ol0000`3o
ool0000000000007000000D0oooo0`3oe002000000030?ooo`0000000000008000000`3oool50000
00H0okL000<000000?ooo`3oool02P3oool60?nK00D0oooo00<000000?ooo`3oool0103oool30?mn
0100oooo0`3oHP0?0?ooo`<0odD0403oool60?lY00`0oooo0`3o3@0?0?ooo`80o`d03`3oool30?l[
00T0oooo0P0000050?ooo`<0od`00P0000080?ooo`8000000`3oool30?ma00<000000`3oool00`00
0000oooo0?ooo`020?ooo`<0000000@0oooo0?nK003oV`00oi/00P3oool3000000@0oooo00@00000
0?ooo`3oool0oooo0P0000030?o=008000000P3oool00`000000oooo00000003000000040?ooo`00
0000oooo0?ooo`8000000P3ho`0500000080oooo0P000000203oool000000?ooo`000000oooo0000
002co`0000000P2co`0500000080oooo00<000000?ooo`0000000`0000000`3oool000000?ooo`02
06?o00030000003oool0000000d0000000D01_l000000006o`0000000?ooo`03000000030?ooo`00
0000000000L0000000<00?mT0?ooo`0000001`0000000`3oool000000000000600000004003ogP00
000000000?ooo`h0000000<009Ko0000000000003`0000000`050?l000000000000?000000H0oooo
000G0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000000103oool020000000oooo0?oo
o`000000oooo0000003oool00000103oool2000000040?ooo`000000oooo0?ooo`8000000P3oool3
000000030?ooo`000000000000@0000000<0oooo0000000000002P0000000`3oool0000000000002
000000050?ooo`00000000000000003oool01@0000000`3oool0000000000005000000030?ooo`00
0000000000h0000000<0oooo000000000000600000000`3oool0000001Wo000200000080oooo3@00
000204;o00030000003oool0000000h000000P1Vo`0=000000<0oooo0P25o`0@0?ooo`<0X_l0403o
ool30;go0080oooo3@0000030=Wo00H0oooo1`0000030?ooo`<0m?l01P0000040?ooo`D000000`3o
l0040?ooo``000000`3oe00<000001h0oooo00<000000?ooo`3oool01`3oool30?mn0100oooo0`3o
HP0?0?ooo`<0odD0D03oool2000000P0oooo0P0000080?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`0000000`3oool2000000<0oooo0`0000020?ooo`80oi/00P3oool4000000<0oooo0P00
00020?ooo`80000000<0oooo0?o=003oc@000P0000020?ooo`030000003oool0oooo00<0000000@0
oooo0000003oool0oooo0P0000020?So00050?ooo`00000000000?ooo`0000000P3oool20000000:
0?ooo`000000oooo0000003oool000000;?o00000000/ol00?ooo`@000000P3oool3000000030?oo
o`00000000000080000000D0Hol00?ooo`1So`00Hol00?ooo`04000000030?ooo`000000000000L0
00000`06o`04000000030?ooo`000000000000H0000000L0oooo0000000000000?mT00000000of@0
oooo00<0000000<0oooo000000000000200000000`00omh000000000000?00000003002Fo`000000
000000l0000000<01@3o0000000000003`0000060?ooo`005`3oool00`000000oooo0?ooo`050?oo
o`040000003oool0oooo000000<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0000
00040?ooo`80000000<0oooo0000003oool00`0000020?ooo`<0000000<0oooo0000000000001000
00000`3oool0000000000008000000030?ooo`000000oooo00P0000000<0oooo0000000000000`00
00020?ooo`T0000000<0oooo000000000000200000000`3oool00000000000020?ooo`H0000000<0
oooo0000000000004P0000020?ooo`<000000P3oool3000000030?ooo`000000000000d0000000<0
oooo000000000000@`0000050?ooo`<000001P3oool8000000L0oooo1@0000070?ooo`@000001@3o
oolM000000X0oooo0P0000090?ooo`<000002@3oool3000000T0oooo0`0000090?ooo`8000002P3o
ool2000000X0oooo0P00000;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`090?ooo`040000003oool00000000000L0oooo0`0000070?ooo`030000
003oool0000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`020?ooo`800000
1@3oool00`000000oooo00000002000000<0oooo0P0000020?ooo`8000000`3oool200000080oooo
00<000000?ooo`0000001@0000020?ooo`80000000<0oooo0?So000000000P000000103oool00000
0?ooo`3oool2000000060?ooo`000000oooo0000003oool000000`2co`000`3oool0000000000002
000000040?ooo`00000000000?ooo`80000000@0oooo0000003oool000000`1So`000`000000oooo
00000003000000030?ooo`000000000000L000000P06o`06000000030?ooo`000000000000L00000
00<00?mT00000000of@01`0000000`3oool000000000000600000004003ogP00000000000?ooo`h0
000000<009Ko0000000000003`0000000`050?l000000000000>000000H0oooo000H0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`000000103oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0000000@0oooo0`0000020?ooo`<0000000<0oooo0000003oool00P0000001@3oool0
0000000000000000oooo0080000000<0oooo00000000000020000000103oool000000?ooo`3oool=
00000080oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000000000/0000000<0oooo
0000000000000P3oool6000000030?ooo`000000000001<000000P3oool300000080oooo10000002
0?ooo`P000000P3oool=000000@0ooooAP0000040?ooo`P000001@3oool7000000D0oooo2`000004
0?ooo`P00000103oool4000000P0oooo100000040?ooo`L000001P3oool600000080oooo00<00000
0?ooo`3oool00P3oool5000000<0oooo2@0000000`3oool000000000000j000000/0oooo00<00000
0?ooo`3oool02P3oool2000000X0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`00
00070?ooo`<000001`3oool00`000000oooo000000040?ooo`@000000`3oool00`000000oooo0?oo
o`020?ooo`<00000103oool00`000000oooo00000002000000<0oooo0P0000020?ooo`8000000`3o
ool200000080oooo00@000000?ooo`00000000000P3oool200000080oooo0P0000000`3oool00000
00000002000000050?ooo`000000oooo0000003oool00`0000000`3oool000000?ooo`0200000003
0;?o003oool0000000@0000000@0oooo000000000000oooo100000000`3oool0000006?o000206?o
00030000003oool0000000`000000`06o`02000000030?ooo`000000000000P0000000<0oooo003o
I00000000P00of@@000000800?oN400000000`00U_l000000000000?0000000300D0o`0000000000
00h000001P3oool001T0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000040?ooo`04
0000003oool0oooo00000080oooo0P0000050?ooo`<000000P3oool3000000030?ooo`000000oooo
0080000000<0oooo000000000000100000000`3oool0000000000008000000040?ooo`000000oooo
0?ooo`@0000000<0oooo0000000000001`0000020?oooaD0000000<0oooo0000000000000P3ooolM
00000080oooo100000020?ooo`h000001P3ooomR000000<0oooo2`0000040?ooo`T00000103oool6
000000L0oooo1@0000030?ooo`D000001`3oool600000080oooo2`0000030?ooo`D0000000<0oooo
0000000000007`0000020?oooaH000005`3oool00`000000oooo0?ooo`0;0?ooo`8000002P3oool2
000000X0oooo00<000000?ooo`3oool00P0000070?ooo`8000001`3oool010000000oooo00000000
00040?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0000
0002000000<0oooo0P0000020?ooo`8000000`3oool200000080oooo00@000000?ooo`0000000000
0P3oool200000080oooo0P0000000`3oool000000000000300000080oooo00<000000?ooo`000000
200000000`3oool0000000000004000000030?ooo`000000oooo00H0000000<0oooo06?o00000000
0P3oool3000000050?ooo`00000000000000003oool01@00000200Ko00030?ooo`000000000000`0
000000@00?mT00000000of@00?mT1`0000000`3oool0000000000004000000<00?oN4@000002002F
o`l0000000<01@3o0000000000003P0000060?ooo`006P3oool00`000000oooo0?ooo`040?ooo`04
0000003oool0oooo000000@0oooo00@000000?ooo`3oool000000P3oool2000000D0oooo0`000002
0?ooo`<0000000<0oooo0000003oool00P0000000`3oool000000?ooo`04000000030?ooo`000000
000000P0000000@0oooo000000000000oooo200000000`3oool000000000000300000080oooo0P00
00000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`/0000000<0oooo000000000000
0P3ooolN000000<0oooo0`0000050?ooo`l000001P3ooomj000000D0oooo200000040?ooo`@00000
1@3oool700000080oooo1P0000040?ooob@000003@3oool2000002d0oooo00<000000?ooo`3oool0
3@3oool2000000X0oooo00<000000?ooo`3oool0203oool200000080oooo0P0000060?ooo`800000
1`3oool2000000030?ooo`000000oooo00@0oooo0P0000030?ooo`030000003oool0oooo00<0oooo
0P0000040?ooo`030000003oool00000008000000`3oool2000000040?ooo`0000000000000000<0
oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00@000000?ooo`3oool0oooo0P00
00000`3oool000000000000300000080oooo00L000000?ooo`00000000000?ooo`000000oooo00<0
00000P3oool4000000030?ooo`000000oooo00<0000000<0oooo0000003oool00P000000103oool0
00000000003oool4000000030?ooo`000000000000L0000000<01_l00000000000003P000003003o
I0l000000P00omh00`3oool000000000000=000000<009Ko400000000`050?l000000000000=0000
00H0oooo000J0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000103oool01000
0000oooo0?ooo`0000020?ooo`8000001@3oool300000080oooo0`0000000`3oool000000?ooo`02
000000030?ooo`000000oooo00l0000000H0oooo000000000000oooo0000003oool6000000030?oo
o`000000000000@000000P3oool4000000030?ooo`000000000000l0000000<0oooo000000000000
0P3oool:000000030?ooo`0000000000018000000`3oool4000000L0oooo200000000`3oool00000
00000006000000H0oooo<00000030?ooocH000001P3oool8000000L0oooo1@0000020?ooo`L00000
0P3oool7000000<0oooo7`0000170?ooo`8000004@3oool00`000000oooo0?ooo`080?ooo`800000
2P3oool200000080oooo00<000000?ooo`3oool01@3oool2000000L0oooo0`0000050?ooo`<00000
0P3oool00`000000oooo0?ooo`030?ooo`<000000`3oool00`000000oooo00000002000000<0oooo
0P000000103oool000000000000000030?ooo`060000003oool0oooo0?ooo`000000oooo0P000002
0?ooo`040000003oool0oooo0?ooo`80000000H0oooo0000003oool000000?ooo`0000020?ooo`07
0000003oool000000000003oool000000?ooo`0300000080oooo100000000`3oool0000000000003
000000040?ooo`000000oooo00000080oooo0P0000000`3oool000000000000N00000003003oI000
0000000000H0000000<0oooo00000000000010000003003ogQ0000000P00U_l@0000000300D0o`00
00001@3o00d000001P3oool00180oooo00<0S@3o0?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0000000D0oooo00@000000?ooo`3oool000000P3oool2000000D0oooo0`00
00020?ooo`<0000000<0oooo0000003oool00P0000000`3oool000000000000@000000030?ooo`00
0000oooo00D0000000<0oooo0000000000001`0000030?ooo`030000003oool000000080oooo4@00
00000`3oool00000000000030?ooo`@0000000<0oooo0000000000006@0000030?ooo`H000001`3o
ool:000000030?ooo`000000000000l000001@3oool>000000D0oooo7@0000030?ooo`/0000000<0
oooo000000000000200000050?ooo`@000001P3oool7000000L0oooo3`0000020?ooo`L00000103o
ool6000000030?ooo`000000000001<00000C`3oool2000001<0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`090?ooo`80000000<0oooo0000000000001P3oool2000000P0oooo0P00
00060?ooo`8000000P3oool2000000@0oooo0`0000030?ooo`030000003oool00000008000000`3o
ool2000000040?ooo`0000000000000000<0oooo00H000000?ooo`3oool0oooo0000003oool20000
00030?ooo`000000000000<0oooo0P0000003`3oool00000000000000000oooo0000003oool00000
0?ooo`000000oooo0000003oool000000?ooo`03000000030?ooo`000000000000@0000000@0oooo
0000003oool0oooo1@0000020?ooo`030000003oool0oooo00<0000000D0oooo0000000000000000
0?ooo`0=000000030?ooo`000000000001P000000P00omh00`3oool000000000000=000000<009Ko
3P00000010050?l0000000D0o`050?l=000000H0oooo000B0?ooo`80S@3o203oool00`000000oooo
0?ooo`040?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`040?ooo`<000000P3oool3000000030?ooo`000000oooo0080000000<0oooo0000
000000001`0000000`3oool0000000000006000000040?ooo`00000000000?ooo`l000000P3oool4
000000030?ooo`000000000000<0000000<0oooo0000000000002P0000000`3oool0000000000003
0?ooo`@0000000<0oooo0000000000000`0000000`3oool000000000000E000000D0oooo1P000007
0?oooed000001@3oool7000000H0oooo100000050?ooo`T0000000<0oooo0000000000001@000003
0?ooo`H00000103ooolI000005P0oooo0P00000E0?ooo`8000002P3oool2000000/0oooo00<00000
0?ooo`3oool00P0000060?ooo`8000001`3oool2000000H0oooo0P0000030?ooo`800000103oool2
000000<0oooo00<000000?ooo`0000000P0000030?ooo`80000000<0oooo0000000000000P000002
0?ooo`060000003oool0oooo0?ooo`000000oooo0P0000000`3oool00000000000030?ooo`800000
00<0oooo0000000000000`0000000`3oool000000?ooo`03000000030?ooo`000000000000<00000
00<0oooo000000000000100000001`3oool000000?ooo`000000oooo0000003oool00P000000103o
ool000000000003oool>000000030?ooo`000000000001P0000000<0oooo0000000000000`000000
0`3oool00000003ogP08000000030?ooo`000000000000H000000P00U_l?000000<01@3o3@000006
0?ooo`004`3oool308d0o`L0oooo00<000000?ooo`3oool0103oool0100000000@3o0?ooo`000005
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool300000080oooo1@00
0000103oool000000000003oool;000000030?ooo`000000000000@0000000H0oooo000000000000
oooo0000003oool>00000080oooo100000000`3oool0000000000003000000030?ooo`0000000000
00X0000000@0oooo00000000000000000`3oool>000000030?ooo`000000000001@000001@3oool4
000000L0ooooCP0000050?ooo`/000001P3oool700000080oooo1`0000060?ooo`@000001P3oool4
000000<0oooo1`0000000`3oool000000000000:000000T0oooo00<000000?ooo`3oool0L@3oool0
0`000000oooo0?ooo`090?ooo`8000002P3oool200000080oooo0P0000050?ooo`8000001`3oool3
000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo0P0000030?ooo`D000000P3oool0
10000000oooo0000003oool2000000050?ooo`000000oooo0?ooo`0000000`3oool01@000000oooo
000000000000oooo008000000P3oool2000000030?ooo`000000000000@0000000<0oooo0000003o
ool0200000020?ooo`@0000000X0oooo00000000000000000?ooo`000000oooo0000003oool00000
0P3oool00`000000oooo0?ooo`03000000050?ooo`00000000000000003oool01`0000000`3oool0
00000000000>000000030?ooo`00000000000140000000<0oooo000000000000300000000`00U_l0
00000000000=000000<01@3o3@0000060?ooo`004`3oool208d0o`030?ooo`2=0?l0oooo00D0oooo
00<000000?ooo`3oool01@3oool20040o`030?ooo`000000oooo00@0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`040?ooo`050000003oool000000000003oool01@000000103o
ool000000000003oool;000000030?ooo`000000000000@0000000<0oooo0000000000000P000000
1@3oool00000000000000000oooo00X000000P3oool5000000030?ooo`000000000000<0000000<0
oooo0000000000003P0000030?ooobT000000`3oool6000000T0oooo>`0000080?ooo`P000002@3o
ool8000000@0oooo1@0000060?ooo`L00000103oool=000000030?ooo`000000000000X00000403o
ool00`000000oooo0?ooo`1b0?ooo`8000002`3oool2000000X0oooo00D000000?ooo`3oool0oooo
000000060?ooo`8000001P3oool4000000@0oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`020?ooo`800000103oool5000000050?ooo`000000oooo0000003oool00P0000001@3oool0
00000?ooo`3oool0000000<0oooo00D000000?ooo`00000000000?ooo`0200000080oooo0P000000
0`3oool000000000000300000080oooo00L000000?ooo`00000000000?ooo`000000oooo00<00000
0P3oool5000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000P3oool00`000000
oooo00000003000000050?ooo`00000000000000003oool01@0000000`3oool000000000000H0000
00030?ooo`000000000000<0000000<0oooo0000000000008P00000200D0o`d000001P3oool001@0
oooo0P2=0?l80?ooo`030000003oool0oooo00D0oooo0`010?l60?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`00Mol0103oool01@000000oooo0?ooo`000000oooo00D000000P3oool0
0`000000oooo0000000:000000030?ooo`000000000000@000000P3oool4000000030?ooo`000000
000000`000000P3oool5000000030?ooo`000000000000<0000000<0oooo0000000000002`000000
103oool000000000000000030?ooo`80000000<0oooo0000000000009@0000050?oooa8000006P3o
ool?000000/0oooo1P00000;0?ooo`H000001@3oool700000080oooo2@0000020?ooo`h0000000<0
oooo0000000000002`00000G0?ooo`030000003oool0oooo07@0oooo0P00000;0?ooo`8000002@3o
ool010000000oooo0?ooo`3oool2000000D0oooo0`0000060?ooo`<00000103oool00`000000oooo
000000030?ooo`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0000000800000
00<0oooo0000003oool0100000001@3oool000000?ooo`3oool0000000<0oooo0`000000103oool0
00000?ooo`0000020?ooo`80000000H0oooo00000000000000000?ooo`0000020?ooo`0;0000003o
ool000000000003oool000000?ooo`000000oooo0000003oool01P0000001`3oool000000?ooo`00
0000oooo0000003oool00P000000103oool000000000003oool7000000030?ooo`000000000001H0
000000<0oooo0000000000004@0000000`3oool000000000000M0000000300D0o`000000000000/0
00001P3oool001@0oooo00<0S@3o0?ooo`2=0?l0203oool00`000000oooo0?ooo`040?ooo`040040
o`3oool00@3o0040o`H0oooo00@000000?ooo`3oool000000P3oool010000000oooo001go`00Mol3
0?ooo`050000003oool0oooo0000003oool01P0000000`3oool00000003Mo`04000000030?ooo`00
0000000000@0000000<0oooo0000000000001@0000001P3oool000000000003oool000000?ooo`l0
00000P3oool5000000030?ooo`000000000000<0000000<0oooo000000000000400000020?ooo`<0
000000<0oooo0000000000005P0000000`3oool000000000000F000000X0oooo6P00000>0?ooo``0
00002@3oool8000000<0oooo200000020?ooo`L00000103oool7000000@0oooo4@00000N0?ooo`03
0000003oool0oooo07H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`80
00000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000L0oooo0`0000030?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`00
00000P000000103oool000000?ooo`3oool3000000050?ooo`000000oooo0?ooo`000000103oool2
000000030?ooo`000000000000<0oooo0P0000003@3oool00000000000000000oooo0000003oool0
00000?ooo`000000oooo0000003oool00`0000000`3oool000000?ooo`08000000030?ooo`000000
000000<000000P3oool00`000000oooo0?ooo`03000000050?ooo`00000000000000003oool01@00
00000`3oool0000000000005000000030?ooo`00000000000100000000<0oooo000000000000=P00
00060?ooo`005`3oool00`2=0?l0oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00@00@3o
0?ooo`010?l000001P3oool010000000oooo0?ooo`0000020?ooo`0300000000Mol007Oo008007Oo
00<0oooo0000000000000P3oool00`000000oooo00000003000000040?ooo`000000oooo00000080
0=go0`0000000`3oool0000000000009000000800?o;00<000000?ooo`0000001`0000000`3oool0
00000000000:000000050?ooo`00000000000000003oool00P0000000`3oool00000000000030000
00030?ooo`000000000000`0000000@0oooo00000000000000000`3oool?000000030?ooo`000000
0000034000002`3ooolF000000X0oooo2`0000050?ooo`H00000103oool6000000L0oooo10000004
0?oooa4000009@3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`0000001`3o
ool3000000<0oooo0`0000030?ooo`030000003oool0oooo0080oooo0P0000040?ooo`040000003o
ool0000000000080oooo00<000000?ooo`3oool00`0000001@3oool000000?ooo`3oool0000000@0
oooo0P0000000`3oool00000000000020?ooo`040000003oool000000?ooo`@000000P3oool00`00
0000oooo0000000700000080oooo1@0000001@3oool000000?ooo`000000oooo00@0000000@0oooo
000000000000oooo100000001@3oool00000000000000000oooo00D0000000<0oooo000000000000
3`0000000`3oool0000000000009000000030?ooo`0000000000038000001P3oool001P0oooo00<0
S@3o0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`04000000010?l0oooo000000H0oooo
00@000000?ooo`3oool000000P3oool00`00000007Oo001go`030?ooo`8000000P3oool010000000
oooo0000003oool2000000030?ooo`000000oooo00@00=go2P000000103oool00000000000000003
003ob`80oooo0P0000000`3oool000000000000800000003003oPP000000000000@000000P3oool3
000000040?ooo`00000000000?ooo`D000000P3oool>000000030?ooo`000000000000D0oooo0`00
00000`3oool0000000000009000000030?ooo`000000000000H0000000<0oooo000000000000<`00
00070?ooo`D000000P3oool>000000030?ooo`000000000000@0000000<0oooo0000000000004000
00020?ooo`<0000000<0oooo0000000000006P0000040?ooo`800000203oool4000000P0oooo1000
00090?ooo`D000001`3oool3000000T0oooo0P00000:0?ooo`8000001`3oool5000000L0oooo1@00
00060?ooo`H000002@3oool2000000/0oooo00<000000?ooo`3oool01@3oool01@3o3000oooo0?oo
o`3oool0000000T0oooo00<0oa/00?ooo`000000103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`030000
003oool0000000<0oooo0`0000050?ooo`030000003oool0oooo00800000103oool2000000040?oo
o`000000oooo000000@0oooo0P0000030?ooo`030000003oool0oooo008000000P3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00P3oool2000000030?ooo`00000000000080
oooo00@000000?ooo`000000oooo100000020?ooo`070000003oool000000000003oool000000?oo
o`03000000030?ooo`000000000000@0000000L0oooo0000003oool000000?ooo`000000oooo0080
000000@0oooo0000003oool0oooo1`0000000`3oool000000000000;000000030?ooo`0000000000
0100000000<0oooo000000000000=@0000060?ooo`006@3oool00`2=0?l0oooo0?ooo`050?ooo`03
0000003oool0oooo00D0oooo00@000000040o`3oool000001P3oool010000000oooo0?ooo`000002
0?ooo`0400000000Mol007Oo001go`80oooo0P0000020?ooo`040000003oool000000?ooo`800000
00<0oooo0000003oool00`00gOl4000000030?ooo`000000000000P000001000ol/20?ooo`800000
00@0oooo0000003oool0oooo1P000002003oPPH000000P3oool3000000040?ooo`00000000000?oo
o`<00?m60`0000000`3oool0000000000002000000030?ooo`000000000000L0000000@0oooo0000
0000000000001@3oool4000000030?ooo`000000000000X000000P3ooomV000000<0oooo6P000000
0`3oool0000000000004000000H0oooo100000040?ooo`H000001@3oool7000000H0oooo1`000002
0?ooo`040000003oool0oooo0?ooo`H0000000<0oooo000000000000A000000;0?ooo`<000001P3o
ool00`3o3000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00@0oa/00?ooo`3oool00000
103oool2000000D0oooo00@000000?ooo`3oool0oc`00`3oool200000080oooo0P0000050?ooo`04
0000003oool0oooo0?mS00800000103oool2000000D0oooo00<000000?ooo`3oool00P0000000`3o
T000oooo0?ooo`020?ooo`040000003oool000000?ooo`8000000`3oool2000000<0oooo00D0ol@0
0?ooo`000000oooo000000020?ooo`030000003oool0oooo00@000000`3oool010000000oooo0?oo
o`3oool3000000030?ooo`00000000000080oooo0P0000020?ooo`@000000P3oool01`000000oooo
000000000000oooo0000003oool00`0000000`3oool0000000000002000000050?ooo`000000oooo
0000003oool01@0000000`3oool00000000000020?ooo`<0000000D0oooo00000000000000000?oo
o`0G000000030?ooo`000000000000T0000000<0oooo0000000000002P0000000`3oool000000000
000T000000H0oooo000I0?ooo`0308d0o`3oool0oooo00H0oooo00<000000?ooo`3oool01@3oool0
100000000@3o0?ooo`0000060?ooo`040000003oool0oooo00000080oooo0P000000103oool007Oo
0?ooo`3oool200000080oooo00@000000?ooo`000000oooo0P0000001P3oool000000?ooo`00gOl0
0000003Mo`@0000000<0oooo0000003oool020000002003ob`8000000P3oool2000000040?ooo`00
000000000?ooo`D0000000@00?n200000000oh800?n21P0000020?ooo`<0000000<0oooo00000000
00001@00odH=000000H00?lD0`0000060?ooo`@000000P3oool;00000080oooo2`0000020?ooo`h0
0000103ooolH000000D0oooo3@0000050?ooo``000000`3oool900000080oooo600000050?ooo`L0
0000103oool4000000D0oooo0P000000103of00000000000000000050?ooo`T000000P3o^P0:0000
0080oooo1@0000020?nL00L0000000<0oooo000000000000:P0000020?ooo`030?m3003oool0oooo
00l0oooo0P3o9@000`3oool0000000000002000000T0oooo00@0o``00?ooo`3oool0o``00P3oool0
0`000000oooo0?ooo`040?ooo`040?lK003oool0oooo0?lK0080oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`80oc`000<0oooo0?ll003oool00`3oool01@000000oooo0?oo
o`3oool0000000D0oooo0P000000103oool0of<00000000000050?ooo`030000003oool0oooo00<0
oooo0P000000103oool000000000003oT0040?ooo`<000000P3oool010000000oooo0?ooo`3oool2
00000080oooo00H0ol@00000003oool000000?ooo`0000020?ooo`030000003oool0oooo00@00000
0`3oool0103oo`00oooo0?ooo`3oool3000000030?ooo`00000000000080oooo0P0000000`3oool0
00000000000300000080oooo0P0000000`3oool000000?ooo`0400000080oooo1@0000001@3oool0
00000?ooo`000000oooo00@0000000@0oooo000000000000oooo10000000103oool000000000003o
ool=000000030?ooo`00000000000100000000<0oooo000000000000=00000060?ooo`006P3oool0
0`2=0?l0oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00@000000040o`3oool000001@3o
ool01@000000oooo0?ooo`3oool000000080oooo0P000000103oool007Oo0?ooo`3oool200000080
oooo00@000000?ooo`000000oooo0P0000000`3oool000000000000200000003003Mo`3oool00000
0080000000<0oooo0000003oool020000003003ob`8000000P3oool2000000040?ooo`000000oooo
0?ooo`@0000000<00?n20000000000000P00oh8600000080oooo0`0000000`3oool00000003oAP03
003oAPh000001000oa@8000000D0oooo1P0Eo`020?ooo`/000001P0io`0<000000<0oooo0`1Jo`0@
000000<0N?l03P0000001@3oool0UOl009Go002Eo`00oooo00l000000P2ao`0<00000080oooo0P00
00030<ko010000000P3[o`0010000000oooo0?ooo`3oool:00000080oooo0`3omP06000000D0oooo
100000020?oH0080oooo1`0000000`3oool000000000000400000080okX000<0oooo000000000000
3P0000020?nL014000000`3oOP0>00000080oooo0`3oH00?0?ooo`80od<0303oool400000080obD0
0`00000<0?ooo`040?l<003oool0o``00?l<00<0oooo00<000000?ooo`3oool01@3oool30?lK00<0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`040000003o?000oc`00?ll
00@0oooo00D000000?ooo`3oool0oooo000000050?ooo`030?mS00000000of<00080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`80oi0000<000000?n@003oool01@3oool2
00000080oooo00H000000?ooo`3oool0oooo0000003oa0020?ooo`060?o400000000oooo0000003o
ool000000P3oool010000000oooo0000003oool3000000040?ooo`3oo`00oooo0?oo00<0oooo1000
00001`3oool000000?ooo`000000oooo0000003oool00`0000001@2io`0000000?ooo`000000oooo
00@0000000@0oooo00000000000000000P3oool40000000406So003oool000000?ooo`<0000000D0
oooo000000000000oooo000000020?ooo`L0000000<0oooo0000000000005@0000000`3oool00000
00000009000000030?ooo`0000000000030000001P3oool000T0oooo00<0o`3B0?ooo`3oool03`3o
ool00`2=0?l0oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00@000000040o`3oool00000
1@3oool01@000000oooo0?ooo`3oool000000080oooo0P000000103oool007Oo0?ooo`3oool30000
00030?ooo`000000oooo00@000000P3oool300000003003Mo`3oool0000000l0000000D00?o;0000
0000000000000?ooo`02000000030?ooo`00000000000080oooo0`0000001@00oh80000000000000
00000?n200P0000000@0oooo00000000000000000P3oool01@00odH00000003oAP00odH0oooo00`0
00000P00oa@00`0000000?lD003o500:000000<0oooo1@0Eo`000`000000oooo0?ooo`020?ooo`P0
00001@0io`06000000030?ooo`000000000000<000001P1Jo`0=000000H0N?l03000000609Go00d0
00001@2ao`0=000000D0c_l0300000020?ooo`@0jol01@0000050?ooo`@00000103omP000`000000
oooo0?ooo`040?ooo`P00000103of00:00000080oooo0P0000040?nj00030000003oool0oooo0080
oooo2P0000030?nL00l000000`3oOP0@0?ooo`<0of003`3oool00`000000od<00?m3000>00000080
oooo0`3o9@0@0?ooo`80o``01@3oool00`000000oooo0?ooo`070?ooo`80oa/00`3oool2000000@0
oooo0P0000040?ooo`8000000P3o?0040?ooo`050000003oool0oooo0?ooo`0000001@3oool30?mS
0080oooo0P0000040?ooo`030000003oool0oooo00@0oooo00@000000?n@003oT000oi001P3oool2
00000080oooo00D000000?ooo`3oool0oooo000000030?o400060?ooo`000000oooo0000003oool0
00000P3oool00`000000oooo00000004000000040?ooo`3oo`00ool0000000<0oooo0P0000001@3o
ool000000?ooo`000000oooo008000000P3oool0102io`0000000;Wo000000020?ooo`070000003o
ool000000000003oool000000?ooo`03000000040?ooo`000000000000000080J?l000<000000?oo
o`0000001P0000000`3oool00000000000020?ooo`80000000<02Ol00?ooo`09o`00200000000`3o
ool000000000000400000003003oHP00000000000100000000<00?oM000000000000200000000`3o
ool000000000000400000003002Go`000000000000l0000000<01@3o0000000000003`0000060?oo
o`00903oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000D0oooo00D000000?oo
o`3oool0oooo000000020?ooo`800000103oool01@000000oooo0000003oool000000080oooo0`00
00020?ooo`@0000000P0oooo000000000000oooo0000003oool000000?ooo`h0000000D0oooo0000
00000000oooo000000020?oooa40000000@0oooo00000000000000000P3ooolA00000003003o5000
0000000000h0000000<0oooo01Go000Eo`000P3oool7000000030?ooo`000000000000@000000P0i
o`0@000000<0F_l0100000090?ooo`<000000`1ho`0:0?ooo`D000000`2Eo`0@000000<0/Ol03`00
00030<ko00D00000103oool500000080oooo0`3[o`08000000H0oooo00@000000?of003omP00ooH0
2`0000020?ooo`<000000`3of0020?ooo`P00000103oool010000000okX00?nj003o^P0@000000<0
oi`000@0oooo00000000000000002`3oool30?mn0100oooo0`3oH00?0?ooo`<0od<0403oool30?lU
01@0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`3oool2000000D0oooo0P3oH`03
0?ooo`8000000`3oool2000000D0oooo00@000000?ooo`3oT000oi001P3oool200000080oooo00D0
00000?ooo`3oool0oooo000000030?o400060?ooo`000000oooo0000003oool000000P3oool00`00
0000oooo00000002000000030?ooo`000000oooo0080ool000@000000?ooo`3oool0oooo0P000000
0`3oool00000000000020?ooo`8000000P3oool0102io`0000000;Wo000000020?ooo`050000003o
ool000000000003oool00`0000001P3oool000000?ooo`000000J?l000000080J?l000<0oooo0000
003oool01P000000103oool000000000003oool3000000802Ol00P0000000`3oool000000000000;
00000003003oHP000000000000L0000000<0oooo0000000000001@0000001@00omd0000000000000
0000oooo00d0000000<009Oo0000000000003`0000000`050?l000000000000?000000H0oooo000U
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`0000001P3oool01@000000oooo0?ooo`3o
ool000000080oooo0P0000040?ooo`050000003oool000000?ooo`0000000P3oool300000080oooo
00<000000?ooo`000000100000001@3oool00000000000000000oooo01@000000P3ooolF00000080
oooo900000070?ooo`L0000000<0oooo000000000000400000030?ooob0000000`3ooolS000000@0
oooo200000050?ooo`D000001P3oool8000000@0oooo100000050?ooo`@000000P3oool6000000D0
oooo3`0000020?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool2000000<0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0?oo
o`8000001@3oool010000000oooo0000000000060?ooo`80000000<0oooo0000000000000`3oool2
000000080?o4003oool0oooo0000003oool000000?ooo`0000020?ooo`030000003oool000000080
000000D0oooo0000003oool0oooo0?oo00040?ooo`80000000T0oooo000000000000oooo0000003o
ool000000?ooo`0000000P2io`0200000080oooo0P0000000`3oool000000000000400000080oooo
00H0000006So001Xo`00J?l00000003oool7000000030?ooo`00000000000080oooo00@0000000Wo
0009o`002Ol02@0000000`3oool000000000000400000003003oHP0000000?mR0100000000<00?oM
000000000000200000000`3oool0000000000002000000030?ooo`00000009Oo0140000000<01@3o
0000000000003P0000060?ooo`009P3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo
000000H0oooo00D000000?ooo`3oool0oooo000000020?ooo`800000103oool6000000030?ooo`00
000000000080000000<0oooo0000003oool00`0000000`3oool000000?ooo`0300000080oooo3P00
00000`3oool0000000000003000000030?ooo`000000000001D000000`3ooolP000000030?ooo`00
0000000000<000002@3oool4000000T0ooooA00000040?ooo`/000001@3oool8000000H0oooo1@00
00050?ooo`L000000P3oool700000080oooo100000030?oooa0000002@3oool00`000000oooo0?oo
o`1X0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`050?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo0000000000060?ooo`80
000000<0oooo0000000000000`3oool200000080oooo0`0000020?ooo`050000003oool0oooo0000
003oool0100000030?ooo`040000003oool0oooo0?ooo`<0000000P0oooo000000000000oooo0000
003oool000000?ooo`80000000H0^Ol0000000000000oooo0000003oool2000000030?ooo`000000
oooo00<000000P3oool01@000000J?l006So001Xo`00oooo00<0000000<0oooo0000000000000P00
0000103oool000000000003oool2000000<02Ol00P0000000`3oool000000000000900000006003o
HP0000000?mR003oHP000000oooo1P0000000`3oool0000000000005000000800?oM400000000`00
Uol000000000000?0000000300D0o`000000000000h000001P3oool002L0oooo00<000000?ooo`3o
ool01@3oool010000000oooo0?ooo`0000060?ooo`040000003oool0oooo0?ooo`80000000<0oooo
0000000000001@3oool01@000000oooo0000003oool000000080oooo0`0000000`3oool000000000
0003000000030?ooo`000000000000@0000000<0oooo0000000000003@0000001@3oool000000000
003oool000000080oooo600000020?ooob<0000000<0oooo000000000000100000070?ooo`d00000
0P3ooolT000000030?ooo`000000000000X000001`3oool:000000L0oooo2@0000060?oooa/00000
0P3ooolF00000140oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000D0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`00000000001P3oool2000000030?ooo`000000000000<0oooo0P0000020?oo
o`<000000P3oool00`000000oooo0?ooo`02000000040?ooo`0000000000000000<0oooo00@00000
0?ooo`3oool0oooo0`000000103oool000000000003oool200000080oooo100000020?ooo`0;0000
003oool000000000003oool000000?ooo`000000oooo0000003oool00`0000001@1Xo`0000000?oo
o`000000oooo00<0000000D0oooo000000000000oooo000000020?ooo`8000000P09o`0300000003
0?ooo`000000000000<0000000<0oooo0000000000000`0000000`00of80oooo003oHP0?000000<0
0?oM3`0000000`3oool00000002Go`0@0000000300D0o`000000000000h000001P3oool002L0oooo
00<000000?ooo`3oool01P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0080
oooo00@000000?ooo`00000000001@3oool01@000000oooo0000003oool000000080oooo10000000
0`3oool000000?ooo`05000000040?ooo`000000000000000080oooo3`0000000`3oool000000000
000200000080oooo6@0000020?ooo`L0000000<0oooo000000000000700000000`3oool000000000
0007000000/0oooo9`00000<0?ooo`L000002`3oool6000000@0oooo4`0000020?ooo`L000000`3o
oolH000001P0oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool01@3oool200000080oooo0P0000040?ooo`800000103o
ool010000000oooo0?ooo`3oool2000000D0oooo00@000000?ooo`00000000001P3oool200000003
0?ooo`000000000000<0oooo0P0000020?ooo`<000000P3oool00`000000oooo0?ooo`0200000004
0?ooo`0000000000000000<0oooo00@000000?ooo`3oool0oooo1@0000020?ooo`8000000P3oool4
00000080oooo00<000000?ooo`0000001@0000000`3oool000000?ooo`03000000030?ooo`000000
oooo00L0000000<0oooo0000000000000P3oool20000000300Wo00000000000000h000000`00of80
0`000000oooo0000000<000000800?oM4@000002002Go`d0000000@0oooo0000000000001@3o3`00
00060?ooo`00:03oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000H0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000050?ooo`030000003oool0000000800000
0P3oool4000000030?ooo`000000oooo00<0000000<0oooo0000003oool00`0000020?oooa000000
00<0oooo0000000000000P0000020?oooaT000000`3oool2000000030?ooo`000000000002L00000
00<0oooo0000000000004@00000H0?oooa<000002@3oool9000000030?ooo`000000000000L00000
1@3oool6000000@0oooo1P0000020?oooaT000007`3oool00`000000oooo0?ooo`1W0?ooo`800000
503oool00`000000oooo0?ooo`0:0?ooo`8000001`3oool01@000000oooo0?ooo`3oool0000000D0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool2000000D0oooo00@000000?oo
o`00000000001P3oool2000000030?ooo`000000000000<0oooo0P0000020?ooo`<0000000<0oooo
0000003oool00P3oool2000000040?ooo`000000000000000080oooo00<000000?ooo`3oool00P3o
ool2000000080?ooo`00000000000?ooo`000000oooo0000003oool5000000030?ooo`000000oooo
00@0000000@0oooo00000000000000000P3oool4000000030?ooo`000000000000H0000000@0oooo
000000000000oooo1`0000000`3oool0000000000003000000030?ooo`000000000000@0000000<0
oooo003oHP0000003P000003003og@l0000000<009Oo00000000Uol0400000000`050?l0000000D0
o`0=000000H0oooo000A0?ooo`030;<0o`3oool0oooo01D0oooo00<000000?ooo`3oool01P3oool0
10000000oooo0?ooo`0000060?ooo`030000003oool0oooo0080oooo00@000000?ooo`0000000000
1@3oool2000000030?ooo`000000000000<0oooo0`000000103oool000000?ooo`3oool200000003
0?ooo`000000oooo00@0000000<0oooo0000000000003`0000000`3oool000000000000200000080
oooo5@0000020?ooo`<000000P3oool300000080oooo;`00000:0?oooaP000002`3ooolA000000@0
oooo1P0000060?ooo`P000000P3oool8000000<0oooo1@0000000`3oool000000000000<000000<0
oooo0`00000S0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0oooo000000050?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P0000050?ooo`040000003oool0
0000000000H0oooo0P0000000`3oool00000000000030?ooo`80000000<0oooo0000003oool00P00
00000`3oool000000?ooo`020?ooo`H000000P3oool00`000000oooo0?ooo`020?ooo`80000000@0
oooo000000000000oooo0P0000020?ooo`D0000000<0oooo0000003oool00P0000001P3oool00000
0?ooo`000000oooo00000080oooo100000000`3oool0000000000003000000030?ooo`0000000000
008000000P3oool3000000030?ooo`00000000000140000000<0oooo0000000000002`000002003o
g@l0000000<0oooo002Go`00Uol03`00000010050?l0000000D0o`050?l=000000H0oooo000B0?oo
o`030;<0o`3oool0oooo01D0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`000006
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000001P3oool010000000oooo0000
000000030?ooo`D000000P3oool5000000040?ooo`000000000000000080oooo4@0000000`3oool0
000000000002000000<0oooo0`0000000`3oool000000000000?00000080oooo0`0000020?ooo`<0
00000`3ooolE000000030?ooo`0000000000040000001P3oool?00000080oooo2P0000020?ooo`X0
000000<0oooo0000000000005P0000050?ooo`D00000203oool4000000P0oooo100000080?ooo`@0
0000203oool4000000P0oooo0`0000040?ooo`P000001@3oool7000000<0oooo2@0000000`3oool0
000000000009000000H0oooo1@00000:0?ooo`8000002P3oool2000000/0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000000H0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`030?ooo`060000003oool0oooo0000003oool000000`3o
ool2000000@0oooo0P0000000`3oool00000000000060?ooo`80000000<0oooo0000000000000`3o
ool00`000000oooo0?ooo`04000000040?ooo`000000oooo0?ooo`80000000@0oooo000000000000
00000`3oool00`000000oooo0?ooo`020?ooo`D0000000<0oooo0000000000000P3oool400000004
0?ooo`000000oooo0?ooo`<000000P3oool010000000oooo0000003oool3000000030?ooo`000000
000000L0000000@0oooo000000000000oooo1`0000000`3oool0000000000003000000030?ooo`00
0000000000@0000000<0oooo0000000000003`0000000`00omd000000000000?0000008009Oo1P00
00000`3oool0000000000006000000<01@3o3@0000060?ooo`004P3oool30;<0o`l0oooo00<0:@3o
0?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000H0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0000000@0oooo
1P0000001@3oool00000000000000000oooo00D000000P3ooolB000000030?ooo`000000000000<0
00000P3ooolE000000<0oooo100000000`3oool0000000000002000000D0ooooK@0000020?ooob<0
0000103oool7000000H0oooo1`0000030?ooo`T000001@3oool7000000<0oooo00<000000?ooo`00
0000B`00000:0?ooo`D00000303oool2000000/0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`080?ooo`040000003oool0oooo000000H0oooo00H000000?ooo`00000000000?ooo`00
00050?ooo`060000003oool0oooo0000003oool000000`3oool2000000@0oooo0P000000103oool0
00000000000000050?ooo`80000000<0oooo0000000000000P3oool200000080oooo10000000103o
ool000000?ooo`3oool2000000040?ooo`0000000000000000<0oooo00@000000?ooo`3oool0oooo
1P000000103oool000000000003oool5000000030?ooo`000000oooo00@0000000@0oooo00000000
000000000P3oool4000000030?ooo`000000000000T0000000D0oooo00000000000000000?ooo`0C
000000030?ooo`000000000000`0000000<0oooo0000000000003@0000000`3oool00000002Go`0?
000000<01@3o3@0000060?ooo`004`3oool30;<0o`h0oooo0P0Y0?l60?ooo`030000003oool0oooo
00H0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo008000001@3oool010000000oooo0000000000040?ooo`D000000P3oool900000080oooo4P00
00000`3oool000000000000300000080oooo5P0000040?ooo`@0000000<0oooo0000000000000P00
00060?ooo`X0000000<0oooo0000000000000P0000000`3oool000000000000o000000<0oooo2P00
00020?oooa0000000`3ooolB000000H0oooo1P0000080?ooo`D000000`3oool7000000D0oooo7000
00020?oooc0000004`3oool:00000100oooo0P00000=0?ooo`030000003oool0oooo00T0oooo0P00
000:0?ooo`040000003oool0oooo000000H0oooo0P000000103oool000000?ooo`0000050?ooo`06
0000003oool0oooo0000003oool00000103oool00`000000oooo0?ooo`020?ooo`80000000@0oooo
0000003oool000001@3oool2000000030?ooo`00000000000080oooo0P0000020?ooo`D000000`3o
ool2000000040?ooo`000000000000000080oooo00<000000?ooo`3oool00P3oool2000000040?oo
o`00000000000?ooo`8000000P3oool3000000050?ooo`00000000000000003oool00P0000001`3o
ool000000?ooo`000000oooo0000003oool01@0000000`3oool0000000000003000000030?ooo`00
0000oooo0080000000<0oooo0000000000001@0000000`3oool0000000000003000000030?ooo`00
0000000000@0000000<0oooo000000000000<0000000103oool0000000D0o`050?l=000000H0oooo
000C0?ooo`030;<0o`3oool0/`3o00l0oooo0`0Y0?l50?ooo`030000003oool0oooo00H0oooo00@0
0000001<o`3oool000001P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
00001@3oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`0000000P0000020?ooo`X0
00000P3oool:000000030?ooo`000000000000/000000P3ooolG000000D0oooo2P0000050?oooa80
00000`3ooom=00000080oooo5`0000050?ooo`L000001`3oool7000000@0oooo100000040?oood80
00004`3ooolD000001P0oooo0P00000?0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool02@3oool010000000oooo0?ooo`0000070?ooo`050000003oool000000?ooo`0000001@3oool0
1P000000oooo0?ooo`000000oooo000000@0oooo00<000000?ooo`3oool00P3oool2000000040?oo
o`000000oooo000000D0oooo0P0000000`3oool000000?ooo`020?ooo`8000000P3oool5000000<0
oooo0P000000103oool000000000000000020?ooo`030000003oool0oooo0080oooo0P000000103o
ool000000000003oool2000000030?ooo`000000000000D000000P3oool300000080oooo00@00000
0?ooo`000000oooo0`0000000`3oool0000000000007000000040?ooo`00000000000?oooaL00000
00<0oooo000000000000300000000`3oool000000000000=000000030?ooo`000000000001000000
00<01@3o0000000000002`0000060?ooo`00503oool00`2c0?l0oooo0;<0o`0>0?ooo`0402T0o`3o
ool0:@3o02T0o`D0oooo00<000000?ooo`3oool01P3oool3001<o`8000001@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00800;7o1P3oool00`000000oooo000000040?ooo`H00000
0P3oool:00000080oooo2P0000000`3oool0000000000003000000030?ooo`000000000000H00000
00<0oooo0000000000005`0000060?ooo`X00000103ooom^000000H0oooo200000030?ooo`/00000
103ooolF000000030?ooo`000000000000D000000P3ooolR000000`0oooo5P00000Z0?ooo`800000
4@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool0
00001`3oool01@000000oooo0000003oool0000000D0oooo00H000000?ooo`3oool000000?ooo`00
00040?ooo`030000003oool0oooo0080oooo0P000000103oool000000?ooo`0000040?ooo`800000
00<0oooo0000000000000`3oool200000080oooo0P0000000`3oool00000000000020?ooo`040000
003oool000000?ooo`8000000`3oool01P000000oooo0?ooo`3oool000000?ooo`@0000000@0oooo
000000000000oooo1`0000000`3oool0000000000002000000050?ooo`000000oooo0000003oool0
1@0000000`3oool0000000000003000000030?ooo`000000oooo008000000P3oool<000000030?oo
o`000000000000@0000000<0oooo000000000000@00000060?ooo`005P3oool00`2c0?l0oooo0?oo
o`0=0?ooo`0302T0o`3oool0:@3o00H0oooo00<000000?ooo`3oool01P3oool4001<o`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03002ao`D0oooo00@0
00000?ooo`0000000000103oool200000005003on@00000000000000003oool00`0000000`3oool0
00000000000500000080oooo400000000`3oool0000000000006000000030?ooo`000000000000X0
00000P3oool>000000H0oooo100000000`3oool0000000000003000000H0oooo@`0000000`3oool0
00000000000H000000T0oooo1P0000030?ooo`P000001@3oool@000000D0oooo100000040?oooa80
000000<0oooo0000000000001@0000000`3oool000000000000500000140oooo2000000m0?ooo`<0
0000503oool00`000000oooo0?ooo`0;0?ooo`8000002P3oool010000000oooo0?ooo`0000060?oo
o`060000003oool0oooo0000003oool000001@3oool01P000000oooo0?ooo`000000oooo000000@0
oooo00<000000?ooo`3oool00P3oool2000000040?ooo`000000oooo000000@0oooo0P0000000`3o
ool00000000000030?ooo`8000000P3oool2000000030?ooo`00000000000080oooo0P000000103o
ool000000000000000020?ooo`8000000`3oool4000000030?ooo`000000oooo0080000000D0oooo
00000000000000000?ooo`03000000030?ooo`00000000000080000000D0oooo0000003oool00000
0?ooo`03000000030?ooo`000000000000L0000000@0oooo000000000000oooo5`0000000`3oool0
00000000000<000000030?ooo`000000000002d000001P3oool001L0oooo00<0/`3o0?ooo`3oool0
3`3oool00`0Y0?l0oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<004co0?ooo`00C?l0
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00/Ol0
1000/Ol40?ooo`80000000<0oooo0000003oool00`3oool01@000000oooo003on@00ooT0oooo0080
000000<0oooo0000000000002@0000020?oooa00000000<0oooo0000000000001P0000020?ooo`d0
000000<0oooo0000000000003P0000050?ooo`D0000000<0oooo0000000000001@0000080?ooodl0
00001@3oool:000000<0oooo1P0000050?ooo`P000000`3oool5000000D0oooo200000000`3oool0
00000000000H000000030?ooo`000000000000D00000F@3oool4000001D0oooo00<0oa@00?ooo`3o
50003@3oool00`000000obl00000000:0?ooo`040000003oool0oooo000000H0oooo00H000000?oo
o`3oool000000?ooo`0000050?ooo`060000003oool0oooo0000003oool00000103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo008000001@3oool2000000030?ooo`000000oooo00<0
oooo00@000000?ooo`3oool0oooo0`000000103oool000000?ooo`3oool2000000040?ooo`000000
000000000080oooo00<000000?ooo`3oool00P3oool2000000030?ooo`00000000000080oooo00<0
00000?ooo`0000001P0000000`3oool0000000000002000000050?ooo`00000000000000003oool0
1@000000103oool000000000003oool2000000030?ooo`000000oooo008000000P3oool<00000003
0?ooo`000000000000@0000000<0oooo0000000000007`0000000`3oool000000000000M000000H0
oooo000H0?ooo`030;<0o`3oool0oooo00l0oooo00<0:@3o0?ooo`3oool00`3oool00`000000oooo
0?ooo`060?ooo`06001<o`3oool004co001<o`3oool000001@3oool2000000<0oooo0P0000000`00
/Ol0oooo002ao`070?ooo`030000003oool0000000@0oooo00<00000003on@3oool00P00ooT00`3o
ool000000?ooo`05000000030?ooo`0000000000008000000`00ok800`3oool000000000000=0000
00800?mg00<0oooo0000000000001P0000020?ooo`d0000000<0oooo000000000000400000050?oo
o`@00000103oool9000000h0oooo9P0000060?ooo`X000000P3oool=000000@0oooo2@0000050?oo
o`H000000`3oool]00000080oooo1`0000030?ooo`030000003oool0oooo05@0oooo1P00000I0?oo
o`80oa@000<000000?ooo`3oool02P3oool0103o;`00oooo0?l_0000000;0?ooo`050000003oool0
oooo0000003oEP001@3oool300000080oooo00<000000?ooo`3oool00`3oool01P000000oooo0?n4
00000000oooo000000@0oooo00@000000?ooo`3oool0oooo0P0000001P3oool000000?ooo`000000
oooo0?ni00<0oooo0P0000000`3oool000000?ooo`020?ooo`8000000`3oool4000000<0oooo0P00
0000103oool000000000000000020?ooo`060000003oool0oooo0?ooo`000000oooo10000000103o
ool000000000003oool3000000050?ooo`00000000000000003oool0100000001@3oool000000?oo
o`000000oooo00D0000000<0oooo0000000000001@000000103oool000000000003ooolG00000003
0?ooo`000000000003/000001P3oool001T0oooo00<0/`3o0?ooo`3oool03`3oool00`0Y0?l0oooo
0?ooo`030?ooo`030000003oool0oooo00P0oooo00@00000001<o`3oool000001P3oool00`000000
oooo0?ooo`020?ooo`0400000000/Ol0oooo002ao`L0oooo00@000000?ooo`0000000000103oool0
0`00ooT0oooo003on@0:000000040?ooo`000000oooo000000D00?nb3P000004003oM`X0000000<0
oooo0000000000001P00odDM000000030?ooo`000000000000D000001P3ooolj00000080oooo2P00
00070?ooo`X000001@3oool9000000030?ooo`000000000000h000000P3oool<00000080oooo3@00
00000`3oool0000000000007000000X0oooo00<000000?ooo`3oool0B03oool<00000100oooo00<0
ob800?ooo`3oool0303oool20?lD00030000003oool0oooo00/0oooo0P3o;`02000000/0oooo00D0
00000?ooo`3oEP0000000?mF00060?ooo`8000000P3oool00`000000oooo0?ooo`030?ooo`060000
003oQ000oooo0000003oool00000103oool010000000oooo0?ooo`3oool2000000050?ooo`000000
oooo0000003o^@00103oool2000000030?ooo`000000oooo0080oooo0P0000020?ooo`80000000<0
ooL00000000000000P3oool010000000oooo0000003oool3000000030?ooo`000000000000<0oooo
1P000000103oool000000000003oool600000080oooo100000000`3oool000000?ooo`0500000003
0?ooo`000000000000@0000000D0oooo000000000000oooo000000020?ooo`80000000<0oooo0000
003oool01`0000000`3oool0000000000004000000030?ooo`000000000003h000001P3oool001X0
oooo00<0/`3o0?ooo`3oool03`3oool00`0Y0?l0oooo0?ooo`030?ooo`030000003oool0oooo00P0
oooo00<00000001<o`3oool00P0000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P00/Ol60?ooo`040000003oool0oooo000000@0oooo00H00?oi00000000ooT00?oi0000003o
ool3000000030?ooo`000000000000@0000000<0oooo003o/P00ok800`00ok800`3oool000000000
000;000000@00?mg00<000000?ooo`0000001@0000000`3oool0000000000002000000D00?m53@00
0006003o6P`000001P0:o`0@000000<0;?l03`3oool304_o0100oooo0P1Yo`0;000000D0oooo0`28
o`020?ooo`L000001@3oool3000000030:Ko00000000000000@00000103oool6000000030?ooo`35
o`00aOl000D00000103oool8000000030>Co00000000000000d000000P3oool20?ol00030?ooo`00
0000000000<000002P3oool30?oL00H0oooo00<000000?ooo`3oool01`3oool20?nl0100oooo0`3o
W@0@0?ooo`80ogd0403oool30?mN0100oooo0P3o?`0?0?ooo`80ob803`3oool00`3o5000oooo0000
000=0?ooo`030?l_003oool0obl0008000002`3oool010000000oooo0?mF003oEP070?ooo`800000
0P3oool02@000000oooo0?ooo`3oool0oh@00?ooo`000000oh@0000000020?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool0oooo0P0000001@3oool0okT00?ooo`000000okT000<0oooo
1@0000030?ooo`8000000P3oool20?og00030?ooo`00000000000080oooo00<000000?ooo`000000
0`0000020?ooo`030000003oool0oooo0080oooo00T0`?l000000000000000000?ooo`000000oooo
0000003oool01`0000000`3oool0000000000002000000050?ooo`000000oooo0000003oool01@00
0000103oool000000000003oool4000000040?ooo`00000000000?oooaL0000000<0oooo0000003o
ool06`0000000`3oool000000000000L000000H0oooo00090?ooo`030?l0[`3oool0oooo00l0oooo
00<0/`3o0?ooo`3oool03`3oool00`0Y0?l0oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
00D00000001<o`3oool0oooo000000050?ooo`8000000`3oool01@000000oooo0?ooo`3oool00;7o
00H0oooo0P0000000`3oool000000?ooo`040?ooo`80000000@00?oi000000000000oooo2P000000
103oool00?nb000000000002003o/P030?ooo`000000000000/0000000H00?mg00000000ogL00?mg
0000003oool6000000<0oooo00D00000003oA@00odD0oooo00000002003oA@`000001P00oaX=0000
00D02_l00`0000090?ooo`H0;?l03000000704_o00`000001P1Yo`060?ooo`H000001P28o`020000
00H0oooo1P000000103oool0Y_l00:Ko002Vo`0?000000<0aOl00P3oool>00000080i?l020000007
0?ooo`@0oo`03P3oool40?oL00P0oooo00<000000?ooo`3oool0103oool30?nl00l0oooo0`3oW@0@
0?ooo`<0ogd03`3oool30?mN0100oooo0`3o?`0?0?ooo`H0ob803@3oool0103o5000oooo0?ooo`00
000=0?ooo`80obl000<0oooo0000003oool02`3oool010000000oooo0?mF003oEP070?ooo`800000
0P3oool010000000oooo0?ooo`3oool30?n400050?ooo`000000oooo0?ooo`000000103oool01000
0000oooo0?ooo`3oool2000000040?ooo`3o^@00okT00?ni00@0oooo1@0000030?ooo`8000000P3o
ool20?og00030000003oool000000080oooo00<000000?ooo`0000000`0000020?ooo`060000003o
ool0`?l00?ooo`30o`00oooo100000020?ooo`030000003oool000000080000000D0oooo00000000
000000000?ooo`0206go0080000000<0oooo0000003oool02`0000001P0>o`00oooo000000000000
oooo00000080oooo0P0000000`3oool000000?ooo`0500000003003oGP000000oooo00H0000000<0
oooo0000000000001`0000000`00om/000000000000?00000003002Ho`000000000000l0000000<0
1@3o0000000000003`0000060?ooo`00=03oool00`000000oooo0?ooo`080?ooo`8000000P3oool0
0`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool2000000H0oooo00@0
00000?ooo`00000000001@3oool5000000030?ooo`000000000000P0000000<0oooo000000000000
0P0000020?oooa<0000000@0oooo000000000000oooo100000020?ooo`04003oA@00000000000000
0080oooo30000002003o6Q4000000P0:o`0?000000<0;?l02@0000070?ooo`<0Bol00P3oool>0000
00<0JOl01P0000090?ooo`<0R?l03@0000060:Ko00`000001P35o`0=000000H0i?l000<000000?oo
o`3oool0303oool30?ol0100oooo0`3og0060?ooo`030000003oool0oooo00H0oooo0`3o_00@0?oo
o`<0oid03`3oool30?mm0100oooo0`3oGP0?0?ooo`<0ocl08`3oool00`000000oooo0?ooo`0<0?oo
o`040?l_003oool0oooo000000`0oooo00@000000?ooo`000000oeH01`3oool2000000030?ooo`00
0000oooo00@0oooo0P3oQ0001@3oool000000?ooo`3oool0000000@0oooo00D000000?ooo`3oool0
oooo000000020?ooo`<0okT0103oool010000000oooo0000000000040?ooo`8000000P3oool01@3o
m`00oooo0000003oool000000080oooo0P000000103oool000000000000000020?ooo`050000003o
ool0`?l00?ooo`30o`001@000000103oool000000000003oool60000000306go003oool0KOl000D0
000000<0oooo000000000000100000000`3oool0000000000002000000803_l000D000000?ooo`00
000000000?ooo`0;00000003003oGP000000000000T0000000<0oooo0000003oool00`0000000`00
om/000000000000?00000003002Ho`000000000000<0000000<0oooo0000000000002@0000000`05
0?l000000000000?000000H0oooo000e0?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3o
ool000001P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0103oool0
10000000oooo0?ooo`0000060?ooo`D0000000<0oooo0000000000001`0000020?ooo`@000000P3o
oolG000000040?ooo`0000000000000000@0oooo100000020?oooa<000000P3ooomJ00000080oooo
4`0000000`3oool000000000000E000000H0oooo1@0000070?ooo`D000001`3oool5000000P0oooo
1P0000060?ooo`@0000000<0oooo000000000000200000030?ooobd0000000<0oooo000000000000
200000090?ooo`<000002P3oool2000000/0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`060?ooo`<000002`3oool00`000000oooo000000080?ooo`80000000<0oooo0000003o
ool01@3oool00`000000oooo00000002000000D0oooo00<000000?ooo`3oool00`0000000`3oool0
00000?ni00050?ooo`040000003oool00000000000<0oooo00L000000?ooo`000000oooo0000003o
m`00oooo008000000P3oool00`000000oooo00000004000000040?ooo`00000000000?ooo`80`?l0
1@0000020?ooo`030000003oool0oooo00H000000`1]o`02000000030?ooo`000000oooo00X00000
0`0>o`02000000030?ooo`000000oooo00D0000000<0oooo0000000000000`000002003oGP030?oo
o`000000000000@0000000@0oooo000000000000oooo1P0000000`00om/000000000000?00000003
002Ho`000000000000l0000000<01@3o0000000000003P0000060?ooo`00=P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00L0oooo0P0000070?ooo`030000003oool0oooo00L0oooo
0P0000060?ooo`l000000P3oool5000000030?ooo`000000000001D000000P3oool4000000@0oooo
100000020?oooaP000000P3oool9000000030?ooo`000000000002`00000103oooll000000@0oooo
200000020?ooo`X000000`3oool9000000@0ooooE@0000080?ooo`/000002`3oool2000000d0oooo
00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`070?ooo`<000002`3oool00`000000
oooo000000070?ooo`050000003oool000000?ooo`0000001@3oool00`000000oooo0?ooo`030000
00@0oooo0P0000020?ooo`<0000000<0oooo0000000000001@3oool4000000<0oooo0P0000020?oo
o`80000000<0oooo0000000000000P3oool00`000000oooo0000000300000080oooo00P000000?oo
o`3oool0oooo0<3o003oool000000?ooo`8000000P3oool00`000000oooo00000002000000040?oo
o`000000000000000080KOl01@000000103oool000000000003oool7000000803_l00P0000020?oo
o`030000003oool0000000P0000000<00?mN00000000oeh03@000000103oool00000000000000002
003ofa00000000<009So0000000000003`0000000`050?l000000000000>000000H0oooo000g0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?oo
o`8000002@3oool00`000000oooo0?ooo`050?ooo`/000000P3oool200000080oooo1@0000000`3o
ool000000000000F000000<0oooo100000040?oooaL0000000<0oooo0000000000001`0000030?oo
ofL000001`3oool600000080oooo200000030?ooo`X00000103oool>000000H0oooo>000000:0?oo
oa0000004`3oool3000000h0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`06
0?ooo`80000000<0oooo0000003oool02@3oool2000000030?ooo`000000oooo00H0oooo00D00000
0?ooo`000000oooo000000050?ooo`060000003oool0oooo0000003oool00000103oool200000080
oooo0`0000000`3oool00000000000040?ooo`D000000`3oool200000080oooo0`0000001P3oool0
00000?ooo`3oool000000?ooo`@000000P3oool010000000oooo0?ooo`3oool500000080oooo00<0
00000?ooo`3oool01P0000000`3oool0000006go0002000000040?ooo`00000000000?ooo`X00000
0P0>o`02000000030?ooo`000000oooo00X0000000@00?mN00000000oeh0oooo2@0000000`3oool0
000000000002000000<00?oK4@0000000`00V?l000000000000>0000000300D0o`000000000000h0
00001P3oool003P0oooo0P00000:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`070?ooo`8000001`3oool;00000080oooo0`0000000`3oool00000
00000003000000030?ooo`000000000001P000000`3oool4000000H0oooo1@0000000`3oool00000
0000000B000000030?ooo`000000000001@000002P3ooolZ00000080oooo600000040?ooo`T00000
0P3oool6000000<0oooo200000050?ooo`h000001`3ooolO000000030?ooo`000000000000X00000
1`3ooolG000001h0oooo1@00000A0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3o
ool01`3oool3000000/0oooo0P0000000`3oool000000?ooo`060?ooo`050000003oool000000?oo
o`0000001@3oool01P000000oooo0?ooo`000000oooo000000@0oooo0P0000020?ooo`8000000P3o
ool2000000@0oooo1@0000030?ooo`80000000<0oooo0000000000000P000000103oool000000?oo
o`3oool6000000030?ooo`000000000000<0oooo1@0000020?ooo`030000003oool0oooo00800000
00D0oooo00000000000000000?ooo`04000000030?ooo`000000000000/0000000<03_l000000000
00000P3oool00`000000oooo00000009000000800?mN3@0000000`3oool0000000000002003ofa40
00000P00V?l@0000000300D0o`000000000000d000001P3oool003X0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo0P0000090?ooo`030000
003oool0oooo00H0oooo300000020?ooo`80000000<0oooo000000000000100000000`3oool00000
0000000I000000<0oooo1P0000050?ooo`@000000`3ooomY000000D0oooo2@0000030?ooo`P00000
103oool5000000D0oooo200000030?ooo`@000001@3ooolY000000P0oooo2`00000_0?ooo`H00000
5@3oool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool0203oool3000000/0
oooo00@000000?ooo`3oool000001`3oool01@000000oooo0000003oool0000000D0oooo00H00000
0?ooo`3oool000000?ooo`0000040?ooo`040000003oool0oooo0?ooo`80000000<0oooo00000000
00001@3oool4000000<0oooo00@000000?ooo`000000oooo0P0000000`3oool00000000000020?oo
o`030000003oool0000000@0000000<0oooo0000003oool00`3oool2000000030?ooo`0000000000
0080oooo00<000000?ooo`3oool01@0000000`3oool000000?ooo`02000000040?ooo`0000000000
0?ooo`P0000000<0oooo0000000000000`0000000`3oool000000?ooo`0<00000003003oGP3oool0
000000P0000000<0oooo0000000000000P000003003of`l000000`00V?l@0000000300D0o`000000
000000d000001P3oool00140oooo00<0g03o0?ooo`3oool09`3oool00`000000oooo0?ooo`080?oo
o`8000002@3oool2000000P0oooo00<000000?ooo`3oool01`3oool2000000P0oooo300000020?oo
o`T0000000<0oooo0000000000000P0000000`3oool000000000000F000000D0oooo1@0000040?oo
o`L000000`3ooom;000000L0oooo1P0000090?ooo`H000000P3oool:000000@0oooo200000040?oo
o`H000000`3oool/000000P0oooo3P00000^0?ooo``000006P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool01`3oool2000000030?ooo`000000oooo
00X0oooo00@000000?ooo`3oool000001`3oool3000000030?ooo`000000oooo00@0oooo00<00000
0?ooo`0000000P0000050?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000000000001@3o
ool010000000oooo0000000000030?ooo`040000003oool000000?ooo`80000000<0oooo00000000
00000P3oool00`000000oooo0000000300000080oooo00@000000?ooo`3oool0oooo1@0000020?oo
o`80000000<0oooo000000000000100000000`3oool0000000000002000000030?ooo`0000000000
00L0000000<0oooo0000000000000P0000001P3oool000000?ooo`3oool000000?oooaT0000000<0
oooo0000000000000P00om/@0000008009So4@00000200D0o`d000001P3oool00140oooo0P3L0?lY
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`06
0?ooo`8000002@3oool00`000000oooo0?ooo`070?ooo`d000000P3oool9000000030?ooo`000000
00000080000000<0oooo000000000000600000050?ooo`@000001`3oool9000000030?ooo`000000
000003L000000`3oool?000000D0oooo2P0000020?ooo`H00000103oool:000000@0oooo;0000000
0`3oool000000000000600000080oooo3P00000Z0?oooa8000009@3oool2000000<0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`080?ooo`80000000<0oooo0000003oool02P3oool0
0`000000oooo000000090?ooo`<000001P3oool00`000000oooo00000002000000@0oooo0P000003
0?ooo`80000000<0oooo000000000000103oool2000000030?ooo`000000000000<0oooo0P000002
0?ooo`<0000000H0oooo0000003oool0oooo0000003oool400000080oooo00@000000?ooo`3oool0
oooo0P0000000`3oool00000000000020?ooo`030000003oool0oooo0080000000D0oooo00000000
000000000?ooo`0?000000030?ooo`000000000000<0000000<0oooo0000003oool05`0000000`3o
ool000000000000300000003003of`000000000000h000000`00V?l>0000000400D0o`0000001@3o
00D0o`d000001P3oool00180oooo0`3L0?l>0?ooo`0305D0o`3oool0oooo01L0oooo0P00000:0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool2000000P0oooo0P0000090?oo
o`h0000000@0oooo000000000000oooo1`0000000`3oool000000000000Q00000080oooo1`000009
0?ooo`d000004@3oool5000000T0oooo4@0000050?ooo`l000000P3oool:000000@0oooo1P000005
0?ooob`0000000<0oooo0000000000001`0000000`3oool0000000000007000002H0oooo4P00000f
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`08
0?ooo`050000003oool0oooo0?ooo`0000002P3oool2000000030?ooo`000000oooo00P0oooo00<0
00000?ooo`0000001P3oool01@000000oooo0000003oool0000000@0oooo00<000000?ooo`3oool0
0P3oool4000000D0oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool000000?ooo`@0
000000@0oooo0000003oool0oooo1@0000020?ooo`8000000`3oool2000000040?ooo`000000oooo
0?ooo`80000000<0oooo000000000000100000000`3oool0000000000002000000050?ooo`000000
00000000003oool01@0000000`3oool0000000000002000000060?ooo`000000oooo0?ooo`000000
oooo1@0000000`3oool000000000000A000000030?ooo`0000000000018000000P00V?l?000000<0
1@3o3@0000060?ooo`004P3oool0103L0?l0oooo0=`0o`3L0?l>0?ooo`80E@3o6@3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo0P0000090?ooo`030000003oool0oooo00L0
oooo0P0000090?ooo`D0000000<0oooo0000000000001P0000001@3oool00000000000000000oooo
00L0000000<0oooo0000000000009P0000000`3oool0000000000008000000`0oooo7`00000;0?oo
o`/000001`3oool:000000@0oooo2P0000050?ooo`H0000000<0oooo000000000000100000020?oo
ob@000001@3oool5000000H0oooo00<000000?ooo`3oool0K03oool2000000D0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo000000/0oooo0P000000
0`3oool000000?ooo`080?ooo`030000003oool0000000H0oooo00D000000?ooo`000000oooo0000
00040?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000001@3oool4000000<0oooo
0P0000020?ooo`80000000<0oooo0000000000000P3oool00`000000oooo0000000300000080oooo
00@000000?ooo`3oool0oooo1@0000020?ooo`80000000<0oooo0000000000000P0000000`3oool0
00000?ooo`04000000030?ooo`000000000000P0000000<0oooo0000000000000`0000000`3oool0
00000000000G000000030?ooo`000000oooo01D0000000<009So0000000000003P00000200D0o`d0
00001P3oool001<0oooo00<0g03o0?ooo`3L0?l03P3oool405D0o`h0oooo00<001ko0?ooo`3oool0
1`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
1`3oool2000000T0oooo0P0000090?ooo`D0000000<0oooo0000000000001`0000000`3oool00000
000000020?ooo`L0000000<0oooo000000000000I000000:0?ooo`P000000`3oool;000000D0oooo
8P0000000`3oool000000000000>000001X0oooo00<000000?ooo`3oool0J`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0203oool01@000000oooo
0?ooo`3oool0000000/0oooo0P0000000`3oool000000?ooo`080?ooo`030000003oool0000000D0
oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`040000003oool0oooo0?ooo`80000000<0
oooo000000000000103oool5000000<0oooo0P0000020?ooo`80000000<0oooo0000000000000P3o
ool00`000000oooo0000000300000080oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000
000000020?ooo`030000003oool0oooo00D0000000<0oooo0000003oool00P0000001@3oool00000
000000000000oooo00D0000000<0oooo0000000000000P0000001P3oool000000?ooo`3oool00000
0?ooo`D0000000<0oooo0000000000004@0000000`3oool000000000000C000000030?ooo`000000
000000h0000000<01@3o0000000000002`0000060?ooo`004`3oool0103L0?l0oooo0?ooo`3L0?l>
0?ooo`80E@3o00<0oooo05D0o`3oool03@3oool2000No`P0oooo0P0000050?ooo`80087o0P3oool2
000000X0oooo00<000000?ooo`3oool0203oool2000000T0oooo0P0000090?ooo`H0000000<0oooo
0000000000002P0000020?ooo`L0000000<0oooo000000000000;00000000`3oool0000000000009
000001d0oooo5P0000030?ooo`P000000P3oooli00000280oooo00<000000?ooo`3oool0J@3oool2
000001L0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`00000;0?ooo`050000003o
ool000000?ooo`000000203oool3000000H0oooo00<000000?ooo`0000000P0000040?ooo`030000
003oool0oooo0080oooo0`0000000`3oool000000?ooo`030?ooo`80000000<0oooo0000003oool0
0`3oool010000000oooo0?ooo`3oool3000000040?ooo`000000oooo0?ooo`D000000P3oool20000
00<0oooo100000020?ooo`80000000<0oooo0000000000000P0000000`3oool000000?ooo`040000
00030?ooo`000000000000h0000000@0oooo000000000000oooo5P0000000`3oool000000?ooo`0d
000000H0oooo000F0?ooo`030=`0o`3oool0oooo00d0oooo0P1E0?l?0?ooo`@001ko203oool00`00
0000oooo0?ooo`030?ooo`<0087o0P3oool00`000000oooo0?ooo`080?ooo`8000002P3oool20000
00T0oooo0P0000070?ooo`/0000000<0oooo0000000000001`0000030?ooo`P0000000<0oooo0000
000000001P0000000`3oool0000000000018000000T0oooo6P0000040?ooo`L000000`3ooolU0000
02P0oooo00<000000?ooo`3oool0IP3oool3000001T0oooo00<000000?ooo`3oool02P3oool01000
0000oooo0?ooo`00000;0?ooo`80000000<0oooo0000003oool0203oool3000000D0oooo00<00000
0?ooo`3oool00`0000040?ooo`030000003oool0oooo0080oooo100000050?ooo`80000000<0oooo
0000003oool00P3oool200000080oooo1@0000040?ooo`@000000P3oool010000000oooo0?ooo`3o
ool2000000030?ooo`00000000000080oooo00<000000?ooo`3oool01`000000103oool000000000
003oool3000000030?ooo`000000000000<0000000<0oooo0000000000000P0000001P3oool00000
0?ooo`3oool000000?ooo`D0000000<0oooo0000000000004@0000000`3oool000000000000C0000
00030?ooo`000000000001/000001P3oool001L0oooo00<0g03o0?ooo`3oool03P3oool205D0o`h0
oooo00<001ko0?ooo`007_l02@3oool00`000000oooo0?ooo`030?ooo`@0087o00<0oooo0000003o
ool02P3oool3003Eo`T0oooo00<000000?ooo`3oool0203oool2000000T0oooo2P0000001@3oool0
0000000000000000oooo00D000000`3oool4000000030?ooo`00000000000080000000<0oooo0000
00000000W@0000050?ooo`H000001`3oool5000000L0oooo1@0000070?oooa`000000P3oooli0000
00D0oooo1`0000060?ooo`H000002`3oool00`000000oooo0?ooo`090?ooo`080000003oool0oooo
0000003oool0obL00?ooo`3o9`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000
0`3oool00`3oBP00oooo0?ooo`060?ooo`80000000<0oooo0000003oool01`3oool2000000030?oo
o`000000oooo00@0oooo00D000000?ooo`3oool000000?ooo`02000000<0oooo00@000000?ooo`3o
ool0oooo1@0000050?ooo`@0000000@0oooo0000003oool000000`3oool5000000040?ooo`000000
oooo0?ooo`<000000`3oool00`000000oooo0?ooo`03000000030?ooo`000000oooo0080oooo00<0
00000?ooo`0000000`0000001@3oool000000?ooo`000000oooo0080000000D0oooo000000000000
00000?ooo`0<000000040?ooo`00000000000?oooaP0000000<0oooo000000000000<@0000060?oo
o`00603oool00`3L0?l0oooo0?ooo`0?0?ooo`0305D0o`3oool0oooo00`0oooo00<001ko0?ooo`00
7_l03`3oool30021o`h0oooo1@00eOl<0?ooo`<00?oT3`3oool:00000080oooo2P0000030?ooo`<0
00000P3oool4000000030?ooo`000000000009<000000P3oool900000080oooo2`0000020?ooo`X0
00000`3oool>000000@0oooo@P0000050?ooo``00000203oool8000000`0oooo0P0000020?ooo`03
0?lS003oool0oooo00L0oooo00P000000?ooo`3oool000000?ooo`3o9`00oooo0?lW00@0oooo00<0
00000?ooo`3oool00P3oool020000000oooo0000003oool0odX00?ooo`3oBP0000001`3oool20000
0080oooo00<000000?ooo`3oool00`3oool00`3oN000oooo0?ooo`02000000030?ooo`000000oooo
00@0oooo00L000000?ooo`3oool000000?ooo`000000ojl00080oooo00<000000?ooo`3oool00P3o
ool2000000030?ooo`000000000000@0oooo1@000000103oool000000?ooo`0000030?ooo`<00000
00D0oooo0000003oool000000?ooo`0400000080oooo00@000000?ooo`3oool0oooo1@0000020?oo
o`030000003oool0oooo00@0000000<0oooo0000003oool010000000103oool000000000003oool5
000000030?ooo`00000000000080000000H0oooo0000003oool0oooo0000003ooom<000000H0oooo
000I0?ooo`030=`0o`3oool0oooo00l0oooo00<0E@3o0?ooo`3oool03P3oool2000No`h0oooo00<0
087o0?ooo`00POl03P3oool3003Eo`h0oooo1@00on@=0?ooo`H00?nY00<000000?ooo`0000000`00
00030?ooo`@000001@00ogP00`000000oooo0?ooo`0400000080oooo1P0000000`3oool000000000
001h000000@0oooo1`0000060?ooo`H000000P3oool9000000030?ooo`000000000000X000000`3o
ool=000000H0oooo9@0000020?ooo``000001P3ooolG000000`0oooo3@0000020?ooo`030?ll003o
ool0oooo00T0oooo00D000000?ooo`3oool0oooo0?lS00020?ooo`030?lS003oool0oooo00@0oooo
0P0000020?ooo`050000003oool0obL00?ooo`3o9`00103oool00`000000oooo0?ooo`030?ooo`08
0000003oool000000?ooo`3oBP00oooo0?m:000000070?ooo`80000000<0oooo0000000000000P3o
ool00`3oN000oooo0?mh00030?ooo`<000001P3oool00`000000oooo0?ooo`02000000050?n_003o
ool0oooo0?ooo`000000103oool5000000@0oooo00H000000?o^003oool000000?ooo`0000020?oo
o`030000003oool0oooo0080000000D0oooo000000000000oooo000000020?ooo`@000000P3oool0
0`000000oooo0?ooo`03000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool01`000000
103oool000000000003oool3000000030?ooo`000000000000X0000000@0oooo000000000000oooo
600000000`3oool0000000000007000000030?ooo`000000000000T0000000<0oooo000000000000
6P0000060?ooo`006P3oool00`3L0?l0oooo0?ooo`0?0?ooo`0305D0o`3oool0oooo00l0oooo00<0
01ko0?ooo`3oool03P3oool20021o`d0oooo00@00=Go0?ooo`00eOl00=Go3@3oool2003oi0040?oo
o`00on@00?oT003oi0`0oooo1@00ojT4000000030?ooo`000000000000<000000P3oool2000000D0
0?mh1@0000000`3oool000000000000200000080oooo1P00odd00`000000oooo0?ooo`020?ooo`/0
00000P00obL@000000<00?l44000000201co014000000P0lo`04000000030?ooo`000000000000X0
000000<0G?l00000000000003`00000207co0080oooo2P0000030?ooo`80000000<0W?l000000000
00001@0000020?ooo`H000000P3oool00`000000_Ol000000005000000@0oooo1`0000020=ko00H0
00001P3oool5000000030?oo00000000000000h000000`3og`0700000080oooo1`0000020?nn0100
00000`3oW@04000000`0oooo0P3oO00@0?ooo`<0oe`02P0000050?ooo`80oc`02`3oool01P000000
oooo0?ooo`3oool0ob<00?ooo`80ob<01`3oool01@000000oooo0?ooo`3oool000000080oooo00<0
obL00?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0000003oool0
0P3oBP000`000000oooo0?ooo`060?ooo`80000000<0oooo0000003oool00P3oool20?mh00<0oooo
00@000000?ooo`00000000001@3oool010000000oooo0?ooo`3o[`02000000050?n_003oool0oooo
0?ooo`0000000`3oool2000000040?ooo`000000oooo00000080oooo00X0onh00?ooo`3okP000000
0?ooo`000000oooo0000003oool000000`3oool5000000040?ooo`000000b?l00?ooo`<000000P3o
ool010000000oooo0?ooo`3oool3000000040?ooo`000000oooo0?ooo`80000000<0oooo00000000
00000P0000000`3oool000000?ooo`04000000040?ooo`00000000000?ooo`D0000000<0oooo0000
000000000P0000001P3oool000000?ooo`3oool000000?ooob@0000000<0oooo0000000000009000
00060?ooo`002@3oool00`3o08P0oooo0?ooo`0?0?ooo`030=`0o`3oool0oooo00l0oooo00<0E@3o
0?ooo`3oool03`3oool00`007_l0oooo0?ooo`0?0?ooo`030021o`3oool0oooo00h0oooo0P00eOl=
0?ooo`04003oi03oool0oooo0?ooo`800?oT303oool2003oZ@040?ooo`00ojT00?nY003oZ@@00000
00<0oooo000000000000100000000`3oool00?mh003oN002000000800?mh00<000000?ooo`3oool0
2@000006003oC@D000001P3oool7003o9`/000001`00o`@<000000L07?l03@00000503co00h00000
101Lo`08000000030?ooo`000000000000<00000101lo`02000000<0oooo2P00000309co00T00000
0P3oool500000080_Ol00`3oool8000000030?ooo`0000000000008000000`3No`030?ooo`d00000
0P3oo`0>000000@0oml03`0000030?nn00L00000203oool30?nM0100oooo0`3oO0040?ooo`/00000
0`3oG0000`000000oooo0?ooo`0=0?ooo`H0oc`01P3oool3000000@0oooo0P3o8`090?ooo`040000
003oool0oooo0?ooo`80000000<0oooo0?lW003oool01@3oool00`000000oooo0?ooo`030?ooo`05
0000003oool0oooo0000003oool00P3oBP000`000000oooo0?ooo`050?ooo`8000000P3oool01000
0000oooo0?ooo`3oool20?mh00<0oooo0P0000000`3oool000000?ooo`040?ooo`030000003oool0
oooo00<0ojl0103oool010000000oooo0?ooo`3oool2000000030?ooo`000000000000<0oooo0P3o
kP00203oool00000000000000000oooo0000003oool000000`3oool020000000oooo0000003oool0
b?l00?ooo`38o`00oooo100000020?ooo`040000003oool0oooo0?ooo`D0000000<0oooo07?o001c
o`000P3oool2000000030?ooo`00000000000080000000@0oooo000000000000oooo0`0000000`0C
o`0000000000000:000000060?ooo`00000000000?ooo`0000000?mK4P0000001@00omP000000000
00000000oooo00T0000000D0oooo0000000000000000002Jo`07000000030?ooo`000000000000L0
000000<0103o0000000000003`0000060?ooo`00RP3oool6000000030?ooo`000000000000@00000
00<00?mh0000000000001`0000030?ooo`D000000P00odd3000000@0oooo1`000000103oool00?lW
003o9`00obL@000000<00?l43`00000301co00d000001P0lo`0=000000H0G?l000<0oooo00000000
00001P0000030?ooo`H0O?l01@0000020?ooo`H000001P2Lo`000`3oool0000000000007000000<0
oooo1@2mo`02000000030?ooo`000000000000P000001P3No`0;000000030?ooo`000000ool000@0
ool02`0000050?ooo`<0oml00P3oool7000000H0oooo0`3o_P0@0?ooo`<0oid0400000030?ml0003
0000003oool0oooo00`0oooo0`3oG00G0?ooo`8000001P3oool00`3o8`00oooo0?ooo`090?ooo`05
0000003oool0oooo0?ooo`0000000P3oool00`3o9`00oooo0?ooo`050?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool000000P3oool00`3oBP0000000?ooo`070?ooo`80000000<0oooo
0000000000000`3oool00`3oN000oooo0?ooo`020?ooo`80000000<0oooo0000003oool0103oool0
0`000000oooo0?ooo`030?n_00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000002
00000080oooo0`3okP04000000040?ooo`000000000000000080oooo0P0000001`3oool000000000
0038o`0000000<So003oool00P0000000`3oool000000?ooo`0200000080oooo0`0000000`3oool0
000007?o000207?o00030000003oool0000000<0000000<0oooo0000003oool010000000103oool0
00000000003oool201?o00H0000000@0oooo0000003oool000000P3oool010000000oooo00000000
oe/;000000030?ooo`000000000000@0000000<00?oH0000000000003`0000000`00V_l000000000
000?0000000300@0o`000000000000l000001P3oool008d0oooo0P0000000`3oool000000000000>
000000030?ooo`000000000000@000000`3oool;000000@0oooo3@0000050?ooobD000002@3oool@
000000D0oooo2`0000000`3oool000000000000500000080oooo2`0000030?ooocD0000000<0oooo
0000000000004000000?0?oooa@00000>@3oool3000001@0oooo00D000000?ooo`3oool0oooo0000
000:0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`060?ooo`80000000<0oooo0000003oool0203oool00`000000oooo000000060?ooo`060000
003oool000000000003o[`0000000`3oool010000000oooo0?ooo`3oool2000000030?ooo`000000
000000<0oooo0P3okP04000000030?ooo`000000oooo008000000P3oool500000080b?l000<0oooo
0000000000000P0000020?ooo`040000003oool0oooo0?ooo`D000000P1co`000`000000oooo0?oo
o`02000000030?ooo`00000000000080000000@0oooo000000000000oooo0P00000301?o00/00000
00D0oooo000000000000oooo00000002003oFa00000000<0oooo003of0000000200000001@3oool0
0000000000000000oooo00<0000000<009[o0000000000003`0000000`040?l000000000000>0000
00H0oooo002?0?ooo`<000000P3ooolA00000080oooo1@0000040?oooa<000000`3ooolc000000T0
oooo300000000`3oool000000000000900000080oooo1`0000040?ooo`X000000P3oool600000003
0?ooo`000000000002/00000103oool00`000000oooo0?ooo`0;0?ooo`l00000B03oool5000001H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`050?ooo`8000000P3oool00`00
0000oooo0?ooo`060?ooo`80000000<0oooo0000003oool0103oool01@000000oooo0?ooo`000000
oooo008000000`3oool010000000oooo0?ooo`3oool2000000030?ooo`000000000000<0oooo00<0
onh00?ooo`0000000`000000103oool000000?ooo`0000030?ooo`040000003oool0000000000080
oooo00<0b?l00?ooo`0000000`0000020?ooo`030000003oool0oooo00D0000000D0oooo07?o001c
o`0000000?ooo`04000000030?ooo`000000oooo00@0000000<0oooo0000000000000P0Co`070000
00040?ooo`000000oooo00000080oooo00<000000?ooo`00oe/00P00oe/:000000030?ooo`000000
000000@000000P00omP00`3oool000000?ooo`09000000050?ooo`000000000000000000V_l04@00
00000`040?l000000000000>000000H0oooo002B0?ooo`@0000000<0oooo0000000000000P000002
0?ooo`L0000000<0oooo000000000000100000000`3oool0000000000004000000<0oooo1P000008
0?ooo`h000006@3ooolH000000030?ooo`000000000000X000000P3oool;000000<0oooo20000002
0?ooobT000000`3oool8000000h0oooo00<000000?ooo`3oool00`3oool800000580oooo1@00000J
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool01P3oool2000000030?ooo`00
0000000000P0oooo00@000000?ooo`00000000001@3oool00`000000oooo0?ooo`03000000@0oooo
00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo100000020?ooo`<0
00000P3oool5000000030?ooo`000000oooo00@000000P3oool010000000oooo0?ooo`3oool50000
00050?ooo`1co`0000000000003oool010000000103oool000000000003oool2000000040?ooo`00
00000000000000804ol02`000000103oool000000000003oool2003oF`030?ooo`000000000000d0
00000`00omPA00000003002Jo`000000000000h0000000<0103o0000000000003P0000060?ooo`00
UP3ooolD000000030?ooo`000000000000<000000P3oool8000000030?ooo`000000000000`00000
203ooolI000000X0oooo3`0000020?ooo``000000`3ooolf000000D0oooo1P00000F0?ooo`H00000
D03oool:000001l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`060?ooo`04
0000003oool0oooo000000T0oooo00@000000?ooo`0000000000103oool00`000000oooo0?ooo`04
000000<0oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000000000050?ooo`@000000P3o
ool300000080oooo0`0000001@3oool000000?ooo`000000oooo00@000000P3oool010000000oooo
0?ooo`3oool5000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool000000?ooo`04
000000050?ooo`00000000000?ooo`0Co`001`000000103oool000000?ooo`0000020?ooo`030000
003oool00?mK00800?mK2P0000000`3oool0000000000003000000800?oH00@000000?ooo`000000
oooo2@000000103oool00000000000000002002Joa00000000<0103o0000000000003@0000060?oo
o`00W03oool=000000030?ooo`000000000000X00000103oool=00000080oooo:`0000090?oooaL0
00000`3oool?000000<0oooo6`0000030?ooo`P00000703oool00`000000oooo0?ooo`130?oooa00
0000:@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00H0oooo0P0000000`3o
ool00000000000080?ooo`80000000<0oooo0000003oool0103oool01@000000oooo0?ooo`000000
oooo008000000`3oool010000000oooo0?ooo`3oool2000000030?ooo`000000000000D0oooo1000
00000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`8000000P3oool2000000060?oo
o`00000000000000003oool000000`3oool500000080oooo0P0000000`3oool00000000000020000
00040?ooo`00000000000?ooo`80000000D0oooo00000000000000000?ooo`0<000000040?ooo`00
000000000?ooo`800?mK40000003003of0l000000`00V_l@0000000300@0o`000000000000d00000
1P3oool00:00oooo400000020?ooo`l000001P3oooln00000080oooo5`0000000`3oool000000000
000V000002@0oooo00<000000?ooo`3oool0<03ooolC000003P0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool000002@3oool010000000
oooo0000000000050?ooo`050000003oool0oooo0000003oool00P0000020?ooo`040000003oool0
oooo0?ooo`<0000000<0oooo0000003oool0103oool400000080oooo0`0000020?ooo`D0000000<0
oooo0000003oool0100000020?ooo`040000003oool0oooo0?ooo`D0000000H0oooo000000000000
oooo0000003oool2000000030?ooo`000000oooo00@0000000@0oooo000000000000oooo20000000
103oool000000?ooo`0000020?ooo`040000003oool00000003oFa4000000P00omP00`000000oooo
0000000=0000008009[o400000000`040?l0000000@0o`0=000000H0oooo000@0?ooo`030?l0m`3o
ool0oooo0940oooo<P00000@0?oooa<000001@3oool9000000030?ooo`000000000002L000000`3o
ool700000300oooo0`00001j0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0?ooo`070?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`0000001P3oool00`000000
oooo00000003000000<0oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000000000050?oo
o`@0000000<0oooo0000003oool00P0000020?ooo`@000000P3oool2000000050?ooo`0000000000
0000003oool00P0000020?ooo`D000000P3oool2000000030?ooo`00000000000080000000@0oooo
000000000000oooo0P0000001@3oool00000000000000000oooo00`0000000<0oooo000000000000
2P0000000`3oool0000000000003000000050?ooo`000000000000000000omP040000003002Jo`h0
000000@0103o000000040?l0103o3@0000060?ooo`00403oool30?l0m`l0oooo00<0Q03o0?ooo`3o
ool0P`3oool/00000080oooo400000020?oooaH000000P3ooolZ00000440oooo00<000000?ooo`3o
ool0N@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01P3oool20000
00030?ooo`000000oooo00P0oooo0P0000000`3oool000000?ooo`040?ooo`050000003oool0oooo
0000003oool00P0000020?ooo`030000003oool0oooo0080oooo0P0000000`3oool0000000000004
0?ooo`030000003oool000000080000000H0oooo000000000000oooo0000003oool5000000030?oo
o`000000oooo00@000000P3oool010000000oooo0?ooo`3oool5000000060?ooo`00000000000?oo
o`000000oooo0P0000000`3oool000000?ooo`04000000040?ooo`00000000000?ooo`P0000000D0
oooo0000003oool000000?ooo`02000000030?ooo`000000000001`0000000<0oooo000000000000
10000002002Jo`l000000`040?l=000000H0oooo000A0?ooo`@0o`3g3P3oool208@0ohX0ooooL@00
001;0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000
003oool0oooo00L0oooo00@000000?ooo`3oool000002@3oool010000000oooo0?ooo`0000050?oo
o`060000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`3oool6000000@0oooo
100000000`3oool000000?ooo`0200000080oooo0`0000001@3oool000000?ooo`000000oooo00@0
000000<0oooo0000000000000P3oool500000080oooo0P0000000`3oool000000000000200000004
0?ooo`00000000000?ooo`80000000D0oooo00000000000000000?ooo`0<000000030?ooo`000000
00000100000000<0oooo0000000000001P0000000`3oool000000000000:00000003002Jo`000000
000000d000000`040?l=000000H0oooo000A0?ooo`030?l0m`3oool0o`3g00l0oooo10240?l>0?oo
o`804P3oP03ooomM000005L0oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`000005
0?ooo`030000003oool0oooo00L0oooo00@000000?ooo`00000000002@3oool00`000000oooo0000
00060?ooo`040000003oool000000?ooo`8000000`3oool010000000oooo0?ooo`3oool200000003
0?ooo`000000000000@0oooo00<000000?ooo`0000000P0000000`3oool000000?ooo`0200000004
0?ooo`00000000000?ooo`80000000<0oooo0000003oool01@0000000`3oool000000?ooo`020?oo
o`D0000000<0oooo0000000000000P0000001P3oool000000000003oool000000?ooo`@0000000@0
oooo000000000000oooo200000001@3oool000000?ooo`000000oooo0080000000<0oooo00000000
0000700000000`3oool000000000000E00000080103o3@0000060?ooo`004P3oool00`3o0?L0oooo
0?l0m`0?0?ooo`0408@0o`3oool0Q03o08@0o`h0oooo0`0B0?n30?oooe000000G`3oool00`000000
oooo0?ooo`1e0?ooo`800000203oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00@0
oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00L0oooo00@000000?oo
o`3oool000002@3oool2000000030?ooo`000000oooo00D0oooo00D000000?ooo`000000oooo0000
00030?ooo`030000003oool0oooo0080oooo1@0000040?ooo`80000000T0oooo0000003oool00000
0?ooo`000000oooo0000003oool01@0000000`3oool000000?ooo`04000000030?ooo`0000000000
0080oooo0`000000103oool000000?ooo`3oool2000000030?ooo`00000000000080000000<0oooo
0000003oool00`0000001@3oool00000000000000000oooo00`0000000<0oooo0000000000001@00
00000`3oool0000000000005000000030?ooo`000000000002L0000000<0103o0000000000002`00
00060?ooo`005@3oool20?l0m`h0oooo00<0Q03o0?ooo`240?l03P3oool00`0B0?l0oooo0180o`02
0180o`d0oooo0P00C_mo0?ooobP000001P3oool9000006/0oooo00<000000?ooo`3oool0L`3oool2
000000X0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`040?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0?ooo`080?ooo`040000003oool00000000000T0oooo
00<000000?ooo`0000001P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00@000000?oo
o`3oool0oooo0P000000103oool000000000000000030?ooo`030000003oool000000080000000<0
oooo0000003oool00P0000020?ooo`@000000P3oool00`000000oooo00000003000000030?ooo`00
000000000080oooo1@0000000`3oool0000000000002000000060?ooo`00000000000?ooo`000000
oooo10000000103oool000000000003oool8000000050?ooo`000000oooo0000003oool00P000000
0`3oool0000000000012000000H0oooo000G0?ooo`030?l0m`3oool0oooo00h0oooo00<0Q03o0?oo
o`3oool0303oool00`0B0?l0oooo0180o`0?0?ooo`@004ko3@3oool3002Pool0oooo3`3oool00`00
0000oooo0?ooo`1a0?ooo`8000002`3oool00`000000oooo0?ooo`050?ooo`030?l^003oool0oooo
00H0oooo00<000000?ooo`3oool01@3oool0103o@`00oooo0?ooo`0000050?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`3oool000002@3oool2000000030?ooo`000000oooo00D0oooo00@0
00000?ooo`000000oooo0P0000020?ooo`030000003oool0oooo0080oooo0P0000000`3oool00000
000000040?ooo`040000003oool0000000000080oooo0P0000000`3oool000000?ooo`0500000003
0?ooo`000000oooo00@0000000<0oooo0000000000000P3oool3000000040?ooo`00000000000?oo
o`80000000<0oooo0000000000000P0000000`3oool000000?ooo`03000000050?ooo`0000000000
0000003oool0300000000`3oool000000000000=000000030?ooo`000000000000h0000000<0oooo
0000000000008`0000060?ooo`00603oool00`3o0?L0oooo0?ooo`0>0?ooo`0308@0o`3oool0oooo
00`0oooo00@04P3o0?ooo`0B0?l04P3o3P3oool3001>o`h0oooo1@00X?l=0?ooo`<00>Gon`3oool0
0`000000oooo0?ooo`1_0?ooo`800000303oool00`000000oooo0?ooo`060?ooo`030?l^003oool0
oooo00H0oooo00<000000?ooo`3oool00`3oool00`3o@`00oooo0?m300030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool01P3oool00`3oKP00oooo000000020?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`000000ojD01@3oool01P000000oooo0?ooo`000000oooo000000<0
oooo00@000000?ooo`3oool0oooo1P0000040?ooo`80000000D0oooo0000003oool000000?ooo`02
00000080oooo0`0000001@3oool000000?ooo`000000oooo00@0000000<0oooo0000000000000P3o
ool5000000030?ooo`00000000000080000000H0oooo000000000000oooo0000003oool400000004
0?ooo`00000000000?ooo`P0000000D0oooo0000003oool000000?ooo`02000000030?ooo`000000
000001H0000000<0oooo000000000000:00000060?ooo`006@3oool00`3o0?L0oooo0?ooo`0>0?oo
o`80Q03o403oool00`0B0?l0oooo0?ooo`0<0?ooo`04001>o`3oool004ko001>o`d0oooo1000X?l>
0?ooo`D00>Go303oool6003ognH0oooo00<000000?ooo`3oool0JP3oool5000000L0oooo00<0oc/0
0?ooo`3oool00P3oool2000000T0oooo00<0obh00?ooo`3o;P001P3oool00`000000oooo0?ooo`03
0?ooo`030?m3003oool0od<000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`04
0?ooo`050?m^003oool0ofh00?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0ojD000H0oooo00<000000?ooo`0000000`0000020?ooo`050000003oool0oooo0?ooo`3oi@00
0P0000000`3oool00000000000040?ooo`040000003oool0000000000080oooo00D000000?ooo`00
000000000?ooo`05000000030?ooo`000000oooo00@0000000<0oooo0000000000000P3oool30000
00040?ooo`00000000000?ooo`80000000<0oooo0000000000000P0000000`3oool000000?ooo`03
000000050?ooo`00000000000000003oool0300000000`3oool000000?ooo`0=000000030?ooo`00
0000000003<000001P3oool001X0oooo00<0o`3g0?ooo`3oool03`3oool00`240?l0oooo0?ooo`0>
0?ooo`804P3o403oool2001>o`d0oooo00@00:3o0?ooo`00X?l00:3o3@3oool2003Uo`040?ooo`00
iOl00>Go003Uo`/0oooo1P00oml<0?ooo`H00?n]303oool6003oPA00oooo0`00oeX@0?ooo`800?lf
403oool3003o5140oooo00<03Ol00?ooo`3oool03`3oool202ko0140oooo00<0D?l00?ooo`3oool0
3`3oool2077o0140oooo0P2Do`0A0?ooo`030;Ko003oool0oooo00l0oooo0P3Io`070?ooo`030000
003oool0oooo00L0oooo00<0o?l00?ooo`3oool03`3oool20?oQ0140oooo0P3o_P0?0?ooo`<0oi`0
4@3oool20?mj0140oooo00@0oeT00?ooo`3oool0oooo0P00000;0?ooo`030?lk003oool0oooo00d0
oooo00<0obh00?ooo`3o;P001`3oool00`000000oooo0?ooo`040?ooo`80od<0103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo0P3oKP000`3oool00000000000020?ooo`03
0000003oool0oooo00L0oooo00<0ojD00?ooo`3oY@001P3oool01P000000oooo0?ooo`000000oooo
000000<0oooo00@000000?oU003oool0onD01P0000040?ooo`80000000L0oooo0000003oool00000
0?ooo`3@o`0000000080oooo0`0000001@3oool000000?ooo`000000oooo00@0000000<0oooo0000
000000000P3oool5000000030?ooo`00000000000080000000H0oooo000000000000oooo0000003o
ool4000000040?ooo`00000000000?ooo`P0000000D0oooo0000003oool000000?ooo`0200000003
0?ooo`000000000000X0000000<0oooo0000000000002@0000000`3oool000000000000W000000H0
oooo00090?ooo`030?l0GP3oool0oooo00l0oooo00<0o`3g0?ooo`3oool03`3oool00`240?l0oooo
0?ooo`0?0?ooo`030180o`3oool0oooo00l0oooo00<004ko0?ooo`3oool03P3oool2002Po`d0oooo
00@00>Go0?ooo`3oool0oooo0P00iOl;0?ooo`800?oO0P3oool3003og`X0oooo0P00ojd00`3oool0
0?n]003o[@03003o[@/0oooo1`00oh4:0?ooo`P00?mJ2`3oool7003o=P/0oooo2000oa@=0?ooo`D0
3Ol03@3oool502ko00h0oooo101@o`0>0?ooo`@0LOl03`3oool309Co0100oooo0`2fo`0?0?ooo`<0
fOl0203oool00`000000oooo0?ooo`050?ooo`80o?l0403oool20?oQ0140oooo0P3o_P0>0?ooo`<0
oi`04@3oool30?mj0100oooo0`3oF@04000000/0oooo1@3o>`0=0?ooo`80obh0203oool00`000000
oooo0?ooo`040?ooo`80od<0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0
oooo0`3oKP00103oool000000?ooo`3oool2000000T0oooo0`3oY@060?ooo`030000003oool00000
00<000000`3oool010000000onD00?oU003oool2000000040?ooo`0000000000000000<0oooo00<0
00000?ooo`0000000P0000000`3@o`0000000=3o000200000080oooo10000000103oool000000?oo
o`3oool300000080oooo0P1jo`001@3oool00000000000000000oooo0080000000@0oooo00000000
0000oooo100000000`3oool06?l00?ooo`03000000030?ooo`000000000000P0000000<0oooo0000
0000oeH00`0000000`3oool000000?ooo`0<00000003003oe03oool0000000l0000000<009co0000
0000000030000000103oool00000000000020?lA000000H0oooo002E0?ooo`800?n]4@3oool2003o
PA00oooo0`00oeX>0?ooo`800?lf4@3oool2003o50l0oooo100=o`0>0?ooo`@0;_l03`3oool3053o
00l0oooo0`1ao`0@0?ooo`<0U?l0403oool30;Ko00l0oooo1P3Io`070?ooo`030000003oool0oooo
00<0oooo1P3lo`0<0?ooo`H0on403@3oool60?nn00h0oooo0P3oW00?0?ooo`H0ogX02@3oool40000
00D0oeT03@3oool30?lk0100oooo00<0obh00?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030?m3003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?oo
o`80ofh000<0oooo0000000000000P3oool00`000000oooo0?ooo`070?ooo`030000003oY@00ojD0
00H0oooo00<000000?ooo`3oool00`0000030?ooo`050000003oi@00onD00?oU003oool00P000000
0`3oool00000000000040?ooo`80000000<0oooo0000003oool00`3@o`000`000000oooo0?ooo`03
000000050?ooo`000000oooo0000003oool01000000307[o0080oooo1@0000000`3oool000000000
0002000000070?ooo`00000000000?ooo`0Ho`00oooo01So0003000000040?ooo`00000000000?oo
o`P0000000D00?mF0000003oool000000?ooo`0>00000003003oe03oool0000000l0000000<009co
0000000000003`0000000`020?l000000000000?000000H0oooo003=0?ooo`800?lf4@3oool2003o
5100oooo0`0=o`0?0?ooo`<0;_l0403oool3053o00l0oooo0`1ao`0@0?ooo`<0U?l03`3oool30;Ko
01X0oooo00<000000?ooo`3oool0?P3oool20?nL04l0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00@0ofh00?ooo`00000000000`3oool0
0`000000oooo0?ooo`070?ooo`030000003oY@00000000H0oooo00H000000?ooo`3oool000000?oo
o`0000030?ooo`040000003oi@00onD00?ooo`80000000@0oooo0000000000000000103oool20000
00030?ooo`000000oooo0080d?l00P0000020?ooo`@0000000@0oooo0000003oool0oooo0`000000
0`3oool0N_l007[o00020?ooo`<0000000@0oooo000000000000oooo0P0000000`3oool000000000
0002000000<06?l00`0000000`3oool0000000000008000000040?ooo`0000000?mF003oEP800000
00<0oooo0000003oool00`0000000`3oool000000000000600000003003oe0000000000000T00000
00<0oooo0000000000000`0000000`00W?l000000000000?000000030080o`000000000000h00000
1P3oool00?l0ooooK03oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`8000000P3oool00`000000oooo0?oo
o`070?ooo`@000001@3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oi@000P3o
ool2000000040?ooo`000000oooo000000<0oooo0P000000103oool000000?ooo`3oool20=3o0003
0000003oool0oooo00<0000000D0oooo0000003oool000000?ooo`04000000030?ooo`1jo`00N_l0
0080oooo1@0000000`3oool0000000000002000000040?ooo`00000000000?ooo`806?l01`000000
0`3oool0000000000005000000<00?mF0P0000000`3oool000000000000<00000003003oe03oool0
000000l0000000<009co00000000000030000000103oool00000000000020?l@000000H0oooo003o
0?ooof`0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool01`3oool2000000<0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo000000060?ooo`030000003oool0oooo00<000000`3oool010000000oooo0?ooo`3o
ool2000000040?ooo`0000000000000000@0oooo0P0000001@3oool000000?ooo`000000d?l00080
00000P3oool4000000040?ooo`000000oooo0?ooo`<000000P3oool00`1jo`00oooo0?ooo`030000
00040?ooo`00000000000?ooo`80000000<0oooo0000000000000P00000301So00<0000000<0oooo
000000000000200000000`3oool00?mF003oEP03000000030?ooo`000000oooo00<0000000<0oooo
00000000000010000003003oe100000000<009co0000000000003`0000000`020?l000000000000>
000000H0oooo003o0?ooof`0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool200000080oooo00<000000?oo
o`3oool01`3oool4000000D0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000003oool0
oooo0080oooo0P000000103oool000000?ooo`0000040?ooo`030000003oool000000080oooo00<0
00000?ooo`0000000P3oool3000000050?ooo`000000oooo0000003oool0100000000`3oool00000
000000020?ooo`D0000000<0oooo0000000000000P000000103oool000000000003oool201So00L0
000000<0oooo0000000000001@000003003oEP80000000<0oooo0000003oool02`000002003oe100
000000<009co00000000W?l0400000000`020?l000000000000=000000H0oooo003o0?ooof`0oooo
00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01`3oool200000080oooo00<000000?ooo`3oool0203oool00`000000oooo
000000060?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0000000800000103oool2000000050?ooo`000000oooo0000003oool00P0000020?ooo`@0
000000@0oooo0000003oool0oooo0`0000020?ooo`030000003oool0oooo00<0000000@0oooo0000
00000000oooo0P0000000`3oool00000000000030000000301So003oool000000080000000<0oooo
000000000000200000000`3oool00?mF003oEP03000000030?ooo`000000oooo00<0000000<0oooo
00000000000010000002003oe10000000`00W?l=000000040?ooo`00000000000080o`l000001P3o
ool00?l0ooooK03oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`8000000P3oool00`000000oooo0?ooo`07
0?ooo`@000002@3oool300000080oooo00<000000?ooo`3oool00P3oool2000000040?ooo`000000
oooo000000@0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`<0000000D0
oooo0000003oool000000?ooo`04000000030?ooo`00000000000080oooo1@0000001P3oool00000
0000003oool000000?ooo`80000000<0oooo0000003oool01`0000000`3oool00000000000020000
00050?ooo`000000000000000000oeH00`0000000`3oool000000?ooo`03000000030?ooo`000000
000000D000000P00om@;000000040?ooo`0000000000000000<009co0`0000000`3oool000000000
000:000000800P3o3P0000060?ooo`003`3oool00`3o0<L0oooo0?ooo`3o0?oooeX0oooo00<00000
0?ooo`3oool0SP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0203oool200000080oooo00<000000?ooo`3oool0203oool010000000oooo00000000
00080?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000800000103o
ool2000000050?ooo`000000oooo0000003oool00P0000020?ooo`@0000000@0oooo0000003oool0
oooo0`0000020?ooo`030000003oool0oooo00<0000000@0oooo000000000000oooo0P0000000`3o
ool0000000000004000000050?ooo`00000000000000003oool02P0000000`3oool0000000000002
00000080oooo3@0000000`00om@0oooo0000000>0000008009co3P000000103oool00P3o00000002
0?l>000000H0oooo000@0?ooo`80o`37o`3ooomJ0?ooo`030000003oool0oooo08d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo0P000002
0?ooo`030000003oool0oooo00L0oooo100000090?ooo`<000000P3oool00`000000oooo0?ooo`02
0?ooo`80000000@0oooo0000000000000000103oool020000000oooo000000000000oooo0000003o
ool000000P3oool3000000050?ooo`000000oooo0000003oool0100000000`3oool0000000000002
0?ooo`D0000000@0oooo000000000000oooo100000000`3oool000000?ooo`0<000000030?ooo`00
0000oooo00D0000000<0oooo0000003oool00`0000000`3oool0000000000005000000030?ooo`00
0000000000h000000P00W?l4000000030?ooo`000000000000T000000P020?l>000000H0oooo000@
0?ooo`@0o`373P3oool00`2f0?l0oooo0?ooo`3o0?ooodL0oooo00<000000?ooo`3oool0S@3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool2
00000080oooo00<000000?ooo`3oool0203oool010000000oooo0000000000080?ooo`@000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0000000800000103oool2000000050?ooo`00
0000oooo0000003oool00P0000020?ooo`@0000000@0oooo0000003oool0oooo10000000103oool0
00000?ooo`3oool3000000040?ooo`00000000000?ooo`80000000<0oooo00000000000010000000
1@3oool00000000000000000oooo00l000000P3ooolN00000003002Lo`00000000000080000000<0
oooo0000000000002@0000030080o`d000001P3oool00140oooo0P3o0<L@0?ooo`80]P3o3`3oool2
04H0ool0oooo=P3oool00`000000oooo0?ooo`2<0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`0000002@3o
ool4000000T0oooo0`0000020?ooo`030000003oool0oooo0080oooo0P000000103oool000000000
000000040?ooo`080000003oool000000000003oool000000?ooo`0000020?ooo`D0000000<0oooo
0000003oool0100000000`3oool00000000000020?ooo`D0000000@0oooo000000000000oooo1P00
00000`3oool000000000000<000000030?ooo`000000000000<0000000<0oooo0000003oool00`00
00000`3oool000000000000L000000030?ooo`000000000000L0000000@0oooo000000020?l00P3o
3@0000060?ooo`004P3oool20?l0a`l0oooo102f0?l>0?ooo`<0AP3oo`3ooold0?ooo`030000003o
ool0oooo08`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00T0oooo0P0000020?ooo`030000003oool0oooo00P0oooo00@000000?ooo`0000000000
203oool400000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000@0oooo
0P0000001@3oool000000?ooo`000000oooo008000000P3oool4000000040?ooo`000000oooo0?oo
o`@0000000@0oooo0000003oool0oooo0`000000103oool000000000003oool2000000030?ooo`00
0000000000@0000000D0oooo00000000000000000?ooo`0?000000030?ooo`000000000000X00000
00<0oooo0000000000005@0000000`3oool000000000000:000000030080o`000000000000/00000
1P3oool001@0oooo00<0o`370?ooo`3oool03@3oool00`2f0?l0oooo0;H0o`0>0?ooo`0304H0o`3o
ool0AP3o0080AP3o3@3oool3000Hool0oooo8P3oool3000008/0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo
000000090?ooo`@000002@3oool300000080oooo00<000000?ooo`3oool00P3oool200000080oooo
0P0000040?ooo`080000003oool000000000003oool000000?ooo`0000020?ooo`D0000000<0oooo
0000003oool0100000000`3oool00000000000020?ooo`D0000000@0oooo000000000000oooo1P00
00000`3oool0000000000007000000030?ooo`00000000000080000000<0oooo0000000000000`00
00000`3oool000000000000<000000030?ooo`00000000000180000000<0oooo0000000000006000
00060?ooo`005@3oool20?l0a`h0oooo00<0]P3o0?ooo`2f0?l03P3oool00`160?l0oooo04H0o`0?
0?ooo`D001So303oool3001Yool0oooo403oool00`000000oooo0?ooo`2:0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`8000000P3oool0
0`000000oooo0?ooo`080?ooo`040000003oool00000000000P0oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00800000103oool2000000050?oo
o`000000oooo0000003oool00P0000020?ooo`@0000000@0oooo0000003oool0oooo10000000103o
ool000000?ooo`3oool3000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo
0`0000001@3oool00000000000000000oooo0080000000<0oooo0000000000002P0000000`3oool0
00000?ooo`03000000030?ooo`000000000001`0000000<0oooo0000000000001`0000000`3oool0
00000000000=000000H0oooo000G0?ooo`030?l0a`3oool0oooo00h0oooo00<0]P3o0?ooo`3oool0
303oool010160?l0oooo04H0o`160?l>0?ooo`<001So3P3oool5001Yo`d0oooo0`00[_ol0?ooo`03
0000003oool0oooo08L0oooo00@0od400?ooo`3oool00000303oool00`3oA@00oooo0?m500050?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oJ0000P3oool00`3oJ000oooo0?ooo`050?oo
o`8000000P3oool00`000000oooo0?ooo`080?ooo`@00000203oool4000000<0oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`800000103oool020000000oooo000000000000oooo0000003oool0
00000P3oool5000000030?ooo`000000oooo00@0000000<0oooo0000000000000P3oool500000004
0?ooo`00000000000?ooo`H0000000<0oooo0000000000001`0000000`3oool00000000000030000
00040?ooo`000000000000000080oooo200000000`3oool000000000000D000000050?ooo`000000
00000000003oool06@0000060?ooo`00603oool00`3o0<L0oooo0?ooo`0>0?ooo`030;H0o`3oool0
oooo00l0oooo00<0AP3o0?ooo`3oool0303oool00`006?l0oooo000Ho`0>0?ooo`<006Wo3`3oool5
002^o`d0oooo1@00j?oW0?ooo`030000003oool0oooo07H0oooo00<0oeL00?ooo`3oool03@3oool0
103o@@00oooo0?ooo`00000=0?ooo`80odD01P3oool00`000000oooo0?ooo`040?ooo`050000003o
ool0ofP00?ooo`3oJ000203oool02@000000oooo0?ooo`3oool000000?ooo`3oW000oooo0?nL0006
0?ooo`040000003oool00000000000P0oooo00@0om`00000003oool000000P3oool00`000000oooo
0?ooo`020?ooo`80000000<0oooo000000000000103oool2000000050?ooo`000000oooo0000003o
ool00P0000000`3oool0000000000003000000040?ooo`000000oooo0?ooo`@0000000@0oooo0000
003oool0oooo0`000000103oool000000000003oool2000000050?ooo`00000000000000003oool0
0P0000001@3oool00000000000000000oooo0080000000<0oooo0000000000000P0000000`3oool0
000000000005000000030?ooo`000000oooo00<0000000<0oooo0000000000001P0000000`3oool0
00000000000M000000030?ooo`000000000000`000001P3oool001T0oooo00<0o`370?ooo`3oool0
3P3oool20;H0oa00oooo00<0AP3o0?ooo`3oool03P3oool2000Ho`h0oooo0`00JOl>0?ooo`D00:ko
3@3oool4003Xo`d0oooo1P00onD=0?ooo`H00?ni3`3oool3003oT100oooo0`00of/A0?ooo`03003o
A`3oool0oooo04L0oooo0P15o`0A0?ooo`0306So003oool0oooo00l0oooo0P2<o`0A0?ooo`030;3o
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool20=Go0140oooo0P3io`0@0?ooo`80on80
4@3oool20?nn0140oooo00<0oi/00?ooo`3oool03`3oool20?mh0100oooo00<0oeL00?ooo`3oool0
3@3oool00`3o@@00oooo0?ooo`020?m100d0oooo0P3oA@060?ooo`030000003oool0oooo00@0oooo
00D000000?ooo`3oJ000oooo0?mX00080?ooo`8000000P3oool00`000000oooo0?ooo`020?nL00H0
oooo00@000000?ooo`00000000001P3oool00`3og000oooo0?oL0003000000<0oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`80000000H0oooo0=So003oool0oooo0000003oool2000000040?oo
o`000000oooo00000080oooo1@0000000`3oool000000?ooo`04000000030?ooo`00000000000080
oooo1@000000103oool000000000003oool6000000030?ooo`000000000000d0000000D0oooo0000
0000000000000?ooo`0T000000030?ooo`000000000001H000001P3oool001X0oooo00<0o`370?oo
o`3oool03`3oool00`2f0?l0oooo0?ooo`0>0?ooo`80AP3o403oool2000Ho`l0oooo0P00JOl>0?oo
o`03002^o`3oool0oooo00800:ko3@3oool5003Xo``0oooo1@00onD=0?ooo`D00?ni303oool4003o
T0l0oooo1000of/A0?ooo`800?m74@3oool3003o9100oooo0P00o`4@0?ooo`<08Ol03`3oool204Go
0140oooo0P1Xo`0@0?ooo`80S?l04@3oool20;3o00T0oooo00<000000?ooo`3oool0103oool20=Go
0140oooo0P3io`0@0?ooo`80on804@3oool20?nn0140oooo0P3oV`0@0?ooo`80ogP0403oool20?mG
0100oooo0`3o@@000`000000oooo0?ooo`0<0?ooo`030?m5003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`020?mX00T0oooo00H000000?ooo`3oool0oooo0000003o
ool20?nL00H0oooo0P0000000`3oool00000000000060?ooo`80om`00P0000001@3oool000000?oo
o`3oool0000000@0oooo0P0000001@3oool000000=So003oool0f?l00080oooo0P0000001@3oool0
00000?ooo`000000oooo0080000000<0oooo0000000000000`000000103oool0POl00?ooo`3oool4
000000040?ooo`000000oooo0?ooo`<0000000@0oooo000000000000oooo0P0000001`3oool00000
000000000000oooo0000003oool010000000103oool000000000003oool4000000030?ooo`000000
000000D0000000<0oooo0000003oool08@0000000`3oool000000000000F000000H0oooo00090?oo
o`030?l0<03oool0oooo00l0oooo00<0o`370?ooo`3oool03`3oool00`2f0?l0oooo0?ooo`0?0?oo
o`0304H0o`3oool0oooo00l0oooo00<001So0?ooo`3oool03P3oool2001Yoa40oooo0P00[_l@0?oo
o`800>So303oool2003oi@040?ooo`00onD00?oU003oi@`0oooo0P00okT0103oool00?ni003o^@00
okT;0?ooo`L00?n@303oool6003oJ`/0oooo2000odL:0?ooo`P00?lT2`3oool7003o0@/0oooo1`0Q
o`0<0?ooo`H0AOl03@3oool506So00d0oooo1P2<o`0=0?ooo`D0/?l0203oool00`000000oooo0?oo
o`020?ooo`D0eOl03P3oool40?Wo00h0oooo103ohP0?0?ooo`<0okh0403oool20?nK0100oooo1P3o
N00=0?ooo`H0oeL0303oool20?m100030?ooo`000000oooo00h0oooo00<0odD00?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080ofP02@3oool01@000000oooo0?oo
o`3oool000000080oooo0P3oW0060?ooo`040000003oool00000000000H0oooo0`3og0000`3oool0
0000000000030?ooo`040000003oool0oooo0?ooo`8000000P3oool00`000000f?l00=So00030?oo
o`050000003oool000000000003oool00P0000030?ooo`<000000`21o`000`000000oooo00000003
000000030?ooo`00000000000080oooo0P0000001`3oool000000000000No`00000001ko003oool0
1P0000001@3oool00000000000000000oooo00<0000000<00?mA0000000000001@0000001@3oool0
0000000000000000oooo00D0000000<0oooo003od0000000400000000`00Wol00000000000090000
00030?ooo`000000000000<0000000D0003o00000000000000000?ooo`0=000000H0oooo002j0?oo
o`800?n@4@3oool2003oJ`l0oooo0`00odL@0?ooo`<00?lT403oool3003o0@l0oooo0`0Qo`0@0?oo
o`<0AOl03`3oool306So0100oooo0`2<o`0?0?ooo`<0/?l0203oool00`000000oooo0?ooo`050?oo
o`<0eOl0403oool30?Wo00l0oooo0`3ohP0@0?ooo`<0okh03`3oool30?nK03@0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?mX00T0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030?nL003oool0oooo00@0oooo00<000000?ooo`3oool00P00
00060?ooo`80om`00P0000001@3oool000000?ooo`3oool0000000@0oooo0P0000000`3oool00000
0=So00020=So0080oooo0P0000001P3oool000000?ooo`000000oooo00000080oooo10000002087o
00030000003oool0000000@0000000@0oooo0000003oool0oooo0`0000000`3oool07_l000000002
01ko00030000003oool000000080000000<0oooo0000003oool0100000001P3oool0000000000000
oe400000003oD@80000000@0oooo000000000000oooo100000000`3oool000000000000300000003
003od03oool0000000l0000000<009oo0000000000001@0000001@3oool00000000000000000oooo
00D0000000<0003o0000000000003`0000060?ooo`00o`3ooom/0?ooo`030000003oool0oooo08D0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0
oooo0P0000030?ooo`030000003oool0oooo00L0oooo0P0000000`3oool00000000000070?ooo`03
0?oL00000000oooo008000000`3oool010000000oooo0?ooo`3oool200000080oooo00<000000=So
003Ho`000`3oool01@000000oooo000000000000oooo008000000`3oool3000000<0POl000<00000
0?ooo`0000000`0000000`3oool00000000000020?ooo`80000000<0oooo0000000No`000P0No`00
0`000000oooo00000005000000050?ooo`00000000000000003oool00P000003003oD@X0000000<0
oooo0000003oool00`0000000`3oool00?o@00000002000000050?ooo`00000000000000003oool0
2@0000000`00Wol0000000000003000000030?ooo`00000000000080000000<0oooo000000000000
100000000`000?l000000000000>000000H0oooo003o0?ooof`0oooo00<000000?ooo`3oool0Q03o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3o
ool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool00P0000080?ooo`800000
00D0oooo0000003oool0oooo000000040?ooo`80000000@0oooo000000000000f?l00`3oool40000
00040?ooo`000000oooo00000080oooo0P0000001P3oool00000087o0021o`0000000?ooo`@00000
0P3oool00`000000oooo0?ooo`03000000030?ooo`0000007_l000807_l000<0oooo000000000000
0P0000000`3oool000000?ooo`07000000800?mA1P0000000`3oool0000000000008000000800?o@
400000000`00Wol0000000000009000000030?ooo`000000000000<0000000<0003o000000000000
3P0000060?ooo`00o`3ooom/0?ooo`030000003oool0oooo0880oooo0P00000K0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool02`3oool2000000<0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`02000000P0oooo00@000000?ooo`00000000000`3oool010000000oooo
0?ooo`3oool2000000030?ooo`000000000000D0oooo00D000000?ooo`00000000000?ooo`020000
00<0oooo100000001021o`00oooo0000003oool4000000030?ooo`00000000000080oooo0P000000
0`3oool000000000000201ko00030000003oool0000000T0000000<0oooo0000000000000`00oe4:
000000030?ooo`000000oooo0080000000<00?o@00000000om00400000000`00Wol00000002Oo`05
000000050?ooo`00000000000000003oool01@0000000`000?l000000000000>000000H0oooo003o
0?ooof`0oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool02`3oool2000000<0oooo00<000000?ooo`3oool0203oool0
10000000oooo0?ooo`0000090?ooo`80000000D0oooo0000003oool0oooo000000040?ooo`800000
00<0oooo000000000000103oool4000000040?ooo`000000oooo00000080oooo0P0000001P3oool0
00000000003oool000000?ooo`@000000P3oool00`000000oooo0?ooo`05000000040?ooo`0No`00
00000?ooo`@0000000<0oooo0000003oool01`000002003oD@H0000000L0oooo0000000000000000
0?ooo`000000oooo00<000000P00om0?00000004002Oo`00000009oo002Oo`@0000000<0oooo0000
000000002@0000000`000?l0000000000005000000030?ooo`000000000000D000001P3oool00?l0
ooooK03oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool02`3oool2000000<0oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`0000090?oo
o`040000003oool00000000000<0oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000000
00050?ooo`030000003oool000000080oooo0P0000030?ooo`D0000000@0oooo000000000000oooo
0`0000000`3oool00000000000020?ooo`80000000@0oooo000000000000oooo0P000000103oool0
00000000003oool7000000050?ooo`00000000000?ooo`00oe400P000000103oool000000000003o
ool5000000030?ooo`000000000000<000000P00om0?000000<009oo2P0000000`3oool000000000
000300000080003o3P0000060?ooo`003P3oool20?l0Tol0ooooG03oool00`000000oooo0?ooo`2N
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3o
ool0000000/0oooo00@000000?ooo`3oool00000203oool4000000<0oooo00<000000?ooo`3oool0
0P3oool2000000030?ooo`000000000000@0oooo10000000103oool000000?ooo`0000020?ooo`80
000000H0oooo000000000000oooo0000003oool2000000050?ooo`000000oooo0?ooo`0000000P3o
ool500000080oooo00<000000?ooo`0000000`0000000`3oool000000?ooo`0C000000030?ooo`00
0000oooo00<0000000<0oooo003od00000003P000003002Oo`H0000000D0oooo0000000000000000
0?ooo`04000000030000o`000000003o00h000001P3oool000l0oooo0`3o09?o0?oooeX0oooo00<0
00000?ooo`3oool0WP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo0P00
00030?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool000002@3oool010000000oooo
0000000000020?ooo`030000003oool0oooo0080oooo0P0000000`3oool00000000000050?ooo`03
0000003oool000000080oooo0P0000030?ooo`@000000P3oool2000000050?ooo`00000000000000
003oool00P0000020?ooo`80000000@0oooo000000000000oooo0P000000103oool000000000003o
ool2000000030?ooo`00000000000080000000@0oooo000000000000oooo1`0000000`3oool00000
00000009000000030?ooo`000000000000d000000P00Wol5000000030?ooo`000000000000P00000
0P000?l7000000030?ooo`000000000000@000001P3oool000l0oooo0P3o09<00`3oool0o`2C0?l0
T`0=0?ooo`030>`0o`3oool0oooo0?l0ooooB03oool00`000000oooo0?ooo`2W0?ooo`030000003o
ool0oooo00`0oooo0P0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`0000002@3o
ool4000000<0oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000oooo00<0oooo1000
0000103oool000000?ooo`0000020?ooo`80000000H0oooo000000000000oooo0000003oool20000
00030?ooo`000000oooo008000000P3oool2000000030?ooo`00000000000080oooo00<000000?oo
o`0000000`0000000`3oool000000?ooo`03000000030?ooo`000000000000@0000000<0oooo0000
000000001P0000000`3oool000000?ooo`0E00000003002Oo`000000000000T0000000<0oooo0000
000000000P0000030000o`d000001P3oool00100oooo0`3o09<?0?ooo`80k03o403oool00`1n0?l0
oooo0?ooo`3o0?ooocD0oooo00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`0<0?ooo`80
00000`3oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo000000T0oooo00<000000?oo
o`0000000`3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000000000001@3oool30000
0080oooo0P0000020?ooo`D000000P3oool500000080oooo0P0000020?ooo`80000000@0oooo0000
00000000oooo0P000000103oool000000000003oool2000000030?ooo`000000000000d0000000<0
oooo0000000000000`0000000`3oool000000000000E000000030?ooo`00000000000080000000<0
oooo0000000000000P0000000`3oool000000000000300000080003o0P0000000`3oool000000000
0002000000030?ooo`000000000000<000001P3oool00140oooo00<0o`2C0?ooo`3o09<03P3oool4
0>`0o`l0oooo0P1n0?oo0?ooocD0oooo00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`0=
0?ooo`050000003oool0oooo0?ooo`0000002`3oool010000000oooo0?ooo`0000090?ooo`040000
003oool00000000000<0oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000oooo00<0
oooo00P000000?ooo`00000000000?ooo`000000oooo00000080oooo0P000000103oool000000?oo
o`3oool2000000050?ooo`000000oooo0000003oool00P0000020?ooo`80000000@0oooo00000000
0000oooo0P0000000`3oool0000000000002000000040?ooo`00000000000?ooo`80000000<0oooo
0000003oool01`0000000`3oool0000000000003000000030?ooo`000000oooo00@0000000<0oooo
0000000000003`0000000`3oool000000000000>000000030000o`000000000000/000001P3oool0
01@0oooo00<0o`2C0?ooo`3oool0303oool00`3/0?l0oooo0>`0o`0?0?ooo`0407h0o`3oool0OP3o
07h0o`d0oooo0`0P0?oo0?ooob<0oooo00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`0=
0?ooo`8000000`3oool00`000000oooo0?ooo`080?ooo`8000000P3oool00`000000oooo0?ooo`06
0?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo
0000000000001@3oool300000080oooo0P0000020?ooo`80000000H0oooo000000000000oooo0000
003oool400000080oooo00@000000?ooo`3oool0oooo0P000000103oool000000?ooo`3oool50000
00040?ooo`00000000000?ooo`l0000000L0oooo00000000000000000?ooo`000000oooo02400000
00<0oooo0000000000004@0000060?ooo`005@3oool00`3o09<0oooo0?ooo`0<0?ooo`030>`0o`3o
ool0k03o00l0oooo00<0OP3o0?ooo`1n0?l03P3oool50200o`d0oooo0P00;ooo0?oooa40oooo00<0
00000?ooo`3oool0Y`3oool00`000000oooo0?ooo`0>0?ooo`050000003oool0oooo0?ooo`000000
2`3oool010000000oooo0?ooo`0000090?ooo`030000003oool0000000<0oooo00<000000?ooo`3o
ool00P3oool5000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`@0
00000P3oool2000000050?ooo`000000oooo0000003oool00P0000020?ooo`80000000@0oooo0000
003oool0oooo0P0000000`3oool0000000000008000000030?ooo`000000oooo00P0000000<0oooo
0000000000003`0000000`3oool0000000000009000000030?ooo`00000000000080000000<0oooo
0000000000005P0000060?ooo`005P3oool00`3o09<0oooo0?ooo`0>0?ooo`80k03o3P3oool0101n
0?l0oooo07h0o`1n0?l=0?ooo`<0803o3`3oool4000_o`d0oooo0`00Loo]0?ooo`050;md00000000
000000000018W=l02`3oool00`000000oooo0?ooo`2H0?ooo`030?mA003oool0oooo00`0oooo00D0
00000?mW003oool0oooo0?mW000<0?ooo`8000000P3oool00`000000oooo0?ooo`090?ooo`050000
003oool0oooo0?ooo`000000203oool4000000<0oooo00<000000?ooo`3oool00P3oool200000003
0?ooo`000000000000D0oooo0`000000103oool000000?ooo`0000020?ooo`80000000H0oooo0000
00000000oooo0000003oool4000000030?ooo`00000000000080oooo0P000000103oool000000?oo
o`3oool2000000030?ooo`00000000000080000000@0oooo000000000000oooo0P0000000`3oool0
000000000004000000040?ooo`00000000000?ooo`D0000000<0oooo0000003oool05P0000000`3o
ool0000000000008000000030?ooo`000000000000/0000000<0oooo0000000000000P0000060?oo
o`005`3oool20?l0Ta00oooo00<0k03o0?ooo`3oool03`3oool00`1n0?l0oooo0?ooo`0<0?ooo`<0
803o3P3oool3000_o`h0oooo1@00Lol=0?ooo`H00:goeP3oool01`2oM00007Bo0?ooo`3oool0oono
07@00018W=l02P3oool00`000000oooo0?ooo`280?ooo`030?mJ003oool0oooo00d0oooo00<0oe40
0?ooo`3oD@00303oool01@000000ofL00?ooo`3oool0ofL000d0oooo00D000000?nF003oool0oiH0
0000000:0?ooo`8000000P3oool00`000000oooo0?oD00070?ooo`030000003oool0000000<0oooo
00<000000?ooo`3oool00P3oool2000000030?ooo`000000000000D0oooo00<000000?ooo`000000
0P3oool2000000<0oooo100000020?ooo`80000000D0oooo00000000000000000?ooo`0200000080
oooo0P000000103oool000000?ooo`3oool2000000030?ooo`000000000000P0000000@0oooo0000
00000000oooo1`0000001@3oool00000000000000000oooo01T0000000<0oooo0000000000000P00
00000`3oool0000000000002000000030?ooo`00000000000080000000<0oooo0000000000001P00
00000`3oool0000000000002000000H0oooo000I0?ooo`030?l0T`3oool0oooo00h0oooo00<0k03o
0?ooo`3oool03`3oool00`1n0?l0oooo0?ooo`0>0?ooo`80803o3P3oool3000_o`d0oooo0P00Lol0
0`3oool007?o001co`0=0?ooo`@00:go3P3oool5003Poa00oooo0`00oo8@0?ooo`800?o9Y03oool0
0`3o_g@007Bo0?ooo`090?ooo`030000003oool0oooo01P0oooo0P3Ao`0A0?ooo`80mol04@3oool0
0`3oh`00oooo0?ooo`0?0?ooo`80okh04@3oool00`3oV@00oooo0?ooo`0?0?ooo`80ogH0403oool0
0`3oFP00oooo0?ooo`0>0?ooo`80oe403@3oool010000000ofL00?ooo`3oI`0>0?ooo`050000003o
UP00oooo0?nF000000002`3oool01P000000oooo0?ooo`3oe000oooo0?oD00L0oooo00@000000?oo
o`00000000000P3oool01`000000oooo0?ooo`3oool0gol00?ooo`0000000P3oool00`000000oooo
0?ooo`040?ooo`<0000000<0oooo0000000000000`3oool400000080oooo00<000000?ooo`000000
0`0000000`3oool00000000000020?ooo`80000000@0oooo0000003oool0oooo0P0000000`3oool0
000000000008000000040?ooo`00000000000?ooo`L0000000D0oooo00000000000000000?ooo`0I
000000030?ooo`00000000000080000000<0oooo0000000000005@0000060?ooo`006P3oool00`3o
09<0oooo0?ooo`0>0?ooo`80k03o403oool207h0oa00oooo0P0P0?l?0?ooo`8002oo3@3oool00`00
Lol0oooo0?ooo`03001co`/0oooo0P00[Ol00`3oool00:go002]o`02002]o`/0oooo1P00h?l;0?oo
o`D00?ob3P3oool4003obA40oooo0`00oj8@0?ooo`<00?ml403oool2003oF100oooo0`00oc<@0?oo
o`800?l?403oool301Ko0100oooo0`0ko`0@0?ooo`80H?l03P3oool00`3ogi`0B01808Ko000208Ko
00P0oooo00<000000?ooo`3oool01@3oool20:co00l0oooo0P3Ao`0A0?ooo`80mol04@3oool20?oS
0100oooo0P3o_P0A0?ooo`80oiT0403oool20?mf0100oooo1@3oFP0=0?ooo`80oe403P3oool01000
0000oooo0?mW003oI`0>0?ooo`050000003oool0oiH00?nF000000002`3oool01P000000oooo0?oo
o`3oe00000000?oD00P0oooo00<000000?ooo`0000000`3oool01@000000gol00?ooo`3Oo`00oooo
0080000000<0oooo0000000000001@3oool00`000000oooo000000020?ooo`80000000<0R?l00?oo
o`3oool0100000020?ooo`H0000000<0oooo0000000000000P3oool2000000040?ooo`000000oooo
0?ooo`80000000<0oooo0000000000000`0000000`3oool0000000000002000000040?ooo`000000
00000?ooo`L0000000L0oooo00000000000000000?ooo`000000oooo01`0000000<0oooo00000000
00000P0000000`3oool0000000000002000000030?ooo`000000000000H0000000@0oooo00000000
000000001P3oool000T0oooo00<0o`000?ooo`3oool03`3oool00`3o09<0oooo0?ooo`0?0?ooo`03
0>`0o`3oool0oooo00l0oooo00<0OP3o0?ooo`3oool03`3oool00`0P0?l0oooo0?ooo`0>0?ooo`80
02oo4@3oool2001co`/0oooo00<00:go0?ooo`3oool00P3oool2002]o`/0oooo0P00h?l20?ooo`<0
0>3o2`3oool7003olPX0oooo0P00olT00`3oool00?o9003ob@03003ob@T0oooo2@00oj8:0?ooo`<0
0?ml1@3oool00`00og`0oooo0?ooo`080?ooo`<00?mH103oool00`00oeP0oooo0?ooo`080?ooo`<0
0?lc103oool00`00oc<0oooo0?ooo`090?ooo`<00?l?0`3oool00`00o`l0oooo0?ooo`090?ooo`<0
5_l00`3oool00`0Fo`00oooo0?ooo`0:0?ooo`<0>ol00P3oool00`0ko`00oooo0?ooo`0;0?ooo`<0
H?l00P3oool00`1Po`00oooo0?ooo`090?ooo`040=nLB026o`00Q_l008Ko0080oooo00<0Q_l00?oo
o`3oool01P3oool5000000<0[?l000<0oooo0:co003oool0303oool30=7o00030?ooo`3Ao`00oooo
00d0oooo103go`0?0?ooo`<0on<03`3oool30?nn0100oooo0`3oV@0?0?ooo`H0ogH03@3oool30?mJ
0100oooo0P3oD@0>0?ooo`030000003oool0ofL000l0oooo00D000000?ooo`3oUP00oiH00000000<
0?ooo`030000003oool0oooo0080om@0203oool010000000oooo0000000000020?ooo`050000003o
ool0gol00=oo003oool00P0000020?ooo`030000003oool0oooo00<0oooo10000000103oool0R?l0
08So0028o`020?ooo`@000000P3oool00`000000oooo00000003000000050?ooo`0000009Ol00?oo
o`0Uo`000P000000103oool000000?ooo`3oool2000000030?ooo`000000000000<0000000<0oooo
003oC00000000P000000103oool000000000003oool7000000050?ooo`000000000000000000ol`0
4@0000000`00Xol000000000000:000000030?ooo`00000000000080000000<000;o000000000000
0P0000000`3oool0000000000006000000040?ooo`0000000000000000H0oooo003o0?oooel0oooo
00<0omnL04P0B02Lgol0o`3ooomc0?ooo`00o`3ooomP0?ooo`030;md001d_ol0oooo0?l0ooooLP3o
ool00?l0ooooF`3oool01`3o_g@0001809cOo`3oool0omnL04P0B02Lgol0o`3ooomc0?ooo`00o`3o
oomL0?ooo`050?oOW018000000000000001d_ol0o`3ooomd0?ooo`00o`3ooooo0?ooomD0oooo003o
0?ooool0ooooe@3oool00001\
\>"],
  ImageRangeCache->{{{0, 722}, {722, 0}} -> {-3.07624, -3.05719, 0.012703, \
0.012703}}]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 722}},
PrintingStyleEnvironment->"Working",
WindowSize->{1014, 695},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5,
StyleDefinitions -> "DemoText.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 989, 17, 395, "Input"],
Cell[2746, 70, 210, 5, 109, "Input"],

Cell[CellGroupData[{
Cell[2981, 79, 532, 9, 187, "Input"],
Cell[3516, 90, 130, 3, 91, "Output"]
}, Open  ]],
Cell[3661, 96, 26, 0, 57, "Input"],
Cell[3690, 98, 292, 5, 109, "Input"],
Cell[3985, 105, 26, 0, 57, "Input"],

Cell[CellGroupData[{
Cell[4036, 109, 652, 13, 259, "Input"],
Cell[4691, 124, 2715859, 123967, 760, 1761824, 112184, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

