(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    222888,       4573]*)
(*NotebookOutlinePosition[    223586,       4597]*)
(*  CellTagsIndexPosition[    223542,       4593]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\( (*\ \ Datos\ del\ sistema\ \ *) \)\(\n\)\(\[IndentingNewLine]\)\( \
(*\ \ Sugerencias\ del\ Cheff\ *) \)\(\n\)\( (*\ 
      Sistema\ 1\ \ \ \ \ \ \ \ Sistema\ 2\ \ \ \ *) \)\(\n\)\( (*\ \ M0 = \
\(0.5\ \ \ \ \ \ \ \ \ M0 = 
          0.4773\)\ \ \ *) \)\(\n\)\( (*\ \ M1 = \(0.2773\ \ \ \ \ M1 = 
          0.1\)\ \ \ \ \ \ \ *) \)\(\n\)\( (*\ \ M2 = \
\(1.2\ \ \ \ \ \ \ \ \ M2 = 
          1\)\ \ \ \ \ \ \ \ \ \ *) \)\(\n\)\( (*\ \ M3 = \
\(0.3\ \ \ \ \ \ \ \ \ M3 = 
          0.6\)\ \ \ \ \ \ \ \ *) \)\(\[IndentingNewLine]\)\(\
\[IndentingNewLine]\)\(mB = 0.386; mp = 1.484; r = 0.1; lB = 0.438;\n
    M0 = 0.4773; \ M1 = 0.1; \ M2 = 1; M3 = 0.6; g = 9.81;\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(\( (*\ \ Constantes\ Definidas\ a\ partir\ de\ los\ datos\ \ *) \)\(\
\[IndentingNewLine]\)\(\(K = \((1/2)\)*mB*lB*g;\)\[IndentingNewLine]
    \(Me = M2 - M1 - M0;\)\[IndentingNewLine]
    \(Mf = M2 - M1;\)\[IndentingNewLine]
    \(Mpf = M2 - M1 - M3;\)\[IndentingNewLine]
    \(Ie = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M0 + M1 + M2)\) 
            r^2;\)\[IndentingNewLine]
    \(Ifa = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M1 + M2)\) 
            r^2;\)\[IndentingNewLine]
    \(Ipf = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M1 + M2 + M3)\) 
            r^2;\)\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[{
    \(\(EKeq = \((K/Ie)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMeq = \((Me/Ie)\)*g*r;\)\), "\[IndentingNewLine]", 
    \(\(EKf = \((K/Ifa)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMf = \((Mf/Ifa)\)*g*r;\)\), "\[IndentingNewLine]", 
    \(\(EKpf = \((K/Ipf)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMpf = \((Mpf/Ipf)\)*g*r;\)\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ie)\) Sin[\[Delta]], EMeq}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<Emeq,(K/Ie)Sin[\[Delta]] \
\>"}];\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0208419 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.28125 ]
[1.025 .01472 10 6.28125 ]
[.01131 .11892 -6 -4.5 ]
[.01131 .11892 0 4.5 ]
[.01131 .22313 -12 -4.5 ]
[.01131 .22313 0 4.5 ]
[.01131 .32734 -12 -4.5 ]
[.01131 .32734 0 4.5 ]
[.01131 .43155 -12 -4.5 ]
[.01131 .43155 0 4.5 ]
[.01131 .53576 -12 -4.5 ]
[.01131 .53576 0 4.5 ]
[.02381 .64303 -56 0 ]
[.02381 .64303 56 12.5625 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .11892 m
.03006 .11892 L
s
[(5)] .01131 .11892 1 0 Mshowa
.02381 .22313 m
.03006 .22313 L
s
[(10)] .01131 .22313 1 0 Mshowa
.02381 .32734 m
.03006 .32734 L
s
[(15)] .01131 .32734 1 0 Mshowa
.02381 .43155 m
.03006 .43155 L
s
[(20)] .01131 .43155 1 0 Mshowa
.02381 .53576 m
.03006 .53576 L
s
[(25)] .01131 .53576 1 0 Mshowa
.125 Mabswid
.02381 .03556 m
.02756 .03556 L
s
.02381 .0564 m
.02756 .0564 L
s
.02381 .07724 m
.02756 .07724 L
s
.02381 .09808 m
.02756 .09808 L
s
.02381 .13977 m
.02756 .13977 L
s
.02381 .16061 m
.02756 .16061 L
s
.02381 .18145 m
.02756 .18145 L
s
.02381 .20229 m
.02756 .20229 L
s
.02381 .24398 m
.02756 .24398 L
s
.02381 .26482 m
.02756 .26482 L
s
.02381 .28566 m
.02756 .28566 L
s
.02381 .3065 m
.02756 .3065 L
s
.02381 .34819 m
.02756 .34819 L
s
.02381 .36903 m
.02756 .36903 L
s
.02381 .38987 m
.02756 .38987 L
s
.02381 .41071 m
.02756 .41071 L
s
.02381 .4524 m
.02756 .4524 L
s
.02381 .47324 m
.02756 .47324 L
s
.02381 .49408 m
.02756 .49408 L
s
.02381 .51492 m
.02756 .51492 L
s
.02381 .55661 m
.02756 .55661 L
s
.02381 .57745 m
.02756 .57745 L
s
.02381 .59829 m
.02756 .59829 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -117 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Emeq) show
87.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
93.000 12.813 moveto
(H) show
99.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
105.000 12.813 moveto
(\\220) show
111.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ie) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
123.000 12.813 moveto
(L) show
129.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
147.000 12.813 moveto
(@) show
153.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
159.000 12.813 moveto
(D) show
171.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .30904 m
.06244 .30904 L
.10458 .30904 L
.14415 .30904 L
.18221 .30904 L
.22272 .30904 L
.26171 .30904 L
.30316 .30904 L
.34309 .30904 L
.3815 .30904 L
.42237 .30904 L
.46172 .30904 L
.49955 .30904 L
.53984 .30904 L
.57861 .30904 L
.61984 .30904 L
.65954 .30904 L
.69774 .30904 L
.73838 .30904 L
.77751 .30904 L
.81909 .30904 L
.85916 .30904 L
.89771 .30904 L
.93871 .30904 L
.97619 .30904 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo
003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0
oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3o
oom20?ooo`00o`3ooooo0?oood80oooo002U0?ooo`0509a80000000000000000M02oool01`3oool0
103OW4P000000000B02Lgol70?ooo`060?oOW018000000000000000004P0W=oo<03oool00`2LB000
000000000004000000030000M02oool0oooo02d0oooo00<0W4P0000000000000100000000`0007@0
_ooo0?ooo`040?ooo`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000000000000000B02L
gol_0?ooo`030=nLB0000000000000D0000000<004RL0?ooo`3oool0;03oool00`3OW4P000000000
0005000000030018W03oool0oooo00@0oooo00@0gia80000000004P0W=oo1`3oool01P3ogi`0B000
000000000000001809cOoc40oooo00H0W4P000000000000000000000M02ooolk0?ooo`00Y03oool0
1P2oM000B9cO0?ooo`3oool0okmd0018W0L0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0
000007Boo`020?ooo`030?noM0000000M;oo0380oooo00<0gia8001d_`3oool0=03oool00`3OW4P0
07Bo0?ooo`080?ooo`0409a800000000000004RLg`H0oooo00<0gia80000001d_ol00P3oool00`3o
_g@0000007Boo`0^0?ooo`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool0;@3oool00`3o
_g@0001809cOo`040?ooo`030?noM000M;l0oooo00D0oooo00@0W4P0000000000000B9cO1P3oool0
0`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo02h0oooo00<0omnL04P00018W=l00`3oool0
0`3OW4P0000007Boo`0j0?ooo`00X`3oool00`3o_g@007Bo0?ooo`030?ooo`030;md0018W=l0oooo
00D0oooo00@0gia80000000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0
_ooo0340oooo00<0gia8001d_`3oool0=03oool00`3OW4P007Bo0?ooo`080?ooo`040=nLB0000000
001809cOo`D0oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`0^0?ooo`030?noM000
04P0W=oo03@0oooo00<0okmd0000B02Lgol02`3oool0103OW4P000000000B02Lgol50?ooo`030?oO
W01807@0_ooo00@0oooo00<0okmd0000M02oool0=03oool00`3OW4P004RL0?ooo`0i0?ooo`00X`3o
ool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo01D0oooo00<0oono07@0B02Lgol0<@3o
ool00`3OW4P007Bo0?ooo`0d0?ooo`030=nLB000M;l0oooo01P0oooo00<0oono07@0B02Lgol0;`3o
ool00`3ogi`0B01809cOo`0d0?ooo`030?oOW01804P0W=oo01X0oooo00<0oono07@0B02Lgol0=03o
ool00`3ookl0M01809cOo`0i0?ooo`00X`3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0
_ooo01D0oooo00<0oono07@0B02Lgol0<@3oool00`3OW4P007Bo0?ooo`0d0?ooo`030=nLB000M;l0
oooo01P0oooo00<0oono07@0B02Lgol0<03oool00`3ogi`0B01809cOo`0d0?ooo`030?oOW01804P0
W=oo01T0oooo00<0oono07@0B02Lgol0=03oool00`3ookl0M01809cOo`0i0?ooo`00XP3oool00`3o
okl0M01809cOo`040?ooo`030?oOW01807@0_ooo01D0oooo00<0oono07@0M02oool0<@3oool00`3O
W4P007Bo0?ooo`0d0?ooo`030=nLB000M;l0oooo01P0oooo00<0oono07@0M02oool0<@3oool00`3o
gi`0B01809cOo`0d0?ooo`030?oOW01804P0W=oo01P0oooo00<0oono07@0M02oool0=03oool00`3O
W4P004RL0?ooo`0i0?ooo`00XP3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00l0
oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`0a0?ooo`030=nLB000M;l0oooo03@0
oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo0380
oooo00<0omnL04P0B02Lgol0=03oool00`3ogi`0B01809cOo`0A0?ooo`030?oOW018000004RL00<0
oooo00<0W4P004RLg`3oool0<`3oool00`2oM000001d0;ooo`0j0?ooo`00XP3oool00`3ookl0M018
09cOo`040?ooo`030?oOW01807@0_ooo00l0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo
0?ooo`0a0?ooo`030=nLB000M;l0oooo03@0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d
09bLB0030000000304RLg`3oool0oooo03<0oooo00<0omnL04P0M02oool0=03oool00`3ogi`0B01d
0;ooo`0@0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool0<03oool01@3ogi`0B000
0000000004P0W=oo03/0oooo002S0?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool0
3`3oool00`3ogi`0B01d0;ooo`0g0?ooo`030=nLB000M;l0oooo03@0oooo00<0gia8001d_`3oool0
4P3oool00`3ogi`0B01d0;ooo`0j0?ooo`030=nLB000M;l0oooo03@0oooo00<0gia8001d_`3oool0
3`3oool00`3ogi`0B01d0;ooo`0i0?ooo`030?noM00004P0W=oo03X0oooo002S0?ooo`030;md001d
_ol0oooo00<0oooo00<0okmd0018W03oool03`3oool00`3ogi`0B01d0;ooo`0g0?ooo`030=nLB000
M;l0oooo03@0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`0d0?ooo`0309adW03o
ool0oooo00<0oooo00<0okmd0018W03oool0;P3oool00`2LM9`0oooo0?ooo`030?ooo`030?noM000
B9`0oooo00l0oooo00<0omnL04P0M02oool0>P3oool00`3OW4P007Bo0?ooo`0i0?ooo`00X`3oool0
0`3o_g@004RL0?ooo`030?ooo`030;md0018W=l0oooo00l0oooo00<0omnL04P0M02oool0=`3oool0
0`3OW4P007Bo0?ooo`0d0?ooo`030=nLB000M;l0oooo0180oooo00<0omnL04P0M02oool0<`3oool0
0`3ookl0M00007Boo`040?ooo`030;md0000M;l0oooo02d0oooo00<0oono07@0001d_ol0103oool0
0`2oM00007Bo0?ooo`0?0?ooo`030?oOW01807@0_ooo03X0oooo00<0gia8001d_`3oool0>@3oool0
0:@0oooo00H0_g@0001d_`3oool0oooo0=nLB000B9`A0?ooo`030?oOW01807@0_ooo03@0oooo00D0
W4P00000000007@0W9a8001d_`0b0?ooo`0509a800000000001d09bLB000M;l04`3oool00`3ogi`0
B01d0;ooo`0d0?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0;`3oool00`3o_g@0
000007Boo`020?ooo`030;md000007@0_ooo0100oooo00<0omnL04P0M02oool0=03oool00`2LB000
001809cOo`020?ooo`030?noM0000000M;oo03X0oooo002U0?ooo`050;md0000000000000000M02o
ool04@3oool00`3ogi`0B000000000040000000307Boo`3oool0oooo02l0oooo00<0okmd00000000
M;l0=03oool00`3o_g@00000001d_`0C0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3o
ool0;P3oool01@3ogi`0B00000000000000004RL0380oooo00D0omnL04P00000000000000018W00B
0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool0;P3oool01P3ogi`0B00000000000
0000001809cOoc/0oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00L03oool00`00
0000oooo0?ooo`3o0?ooolh0oooo001`0?ooo`030000003oool0oooo0?l0oooocP3oool00700oooo
00<000000?ooo`3oool0o`3ooonn0?ooo`030?oOW018000000000080000000<0B9cO0?ooo`3oool0
203oool00700oooo00<000000?ooo`3oool0o`3ooonm0?ooo`030?oOW01804P0W=oo00<0oooo00<0
_g@00018W03Oool0203oool00700oooo00<000000?ooo`3oool0o`3ooonm0?ooo`030;md001d_ol0
oooo00@0oooo00<0gia8001d_`3oool01`3oool00700oooo00<000000?ooo`3oool0o`3ooonm0?oo
o`030;mdB02Lgol0oooo00@0oooo00<0oooO09a8B02Lgol01`3oool006D0ooooo`00002l000000l0
oooo00<0gia807Boo`3oool01@3oool00`3OW4P0B9cO0?ooo`060?ooo`00L03oool2000000/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00l0oooo
00<0omnL04Qd_`3oool01@3oool00`3o_g@0B9cO0?ooo`060?ooo`00L03oool2000000/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0100oooo00<0
gia804RLg`3oool0103oool00`3OW4P0M;oo0?ooo`060?ooo`00L03oool00`000000oooo00000010
0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`10
0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo01/0oooo00<0gia80000001d_ol00P3oool00`3ookl0M01d0;ooo`07
0?ooo`00L03oool00`000000oooo0000003o0?oooj40oooo00<000000?ooo`3oool07@3oool01@2o
M00000000000000004P0W=oo00P0oooo001`0?ooo`040000003oool0oooo00000?l0ooooW`3oool0
0`000000oooo0?ooo`0N0?ooo`030?noM0000000M;oo00X0oooo001`0?ooo`040000003oool0oooo
00000?l0ooooW`3oool00`000000oooo0?ooo`0M0?ooo`030?oOW018M;l0oooo00/0oooo001`0?oo
o`050000003oool0oooo0?ooo`000000o`3ooonM0?ooo`030000003oool0oooo01h0oooo00<0omnL
04Qd_`3oool00P3oool00`3ogi`0B7Bo0?ooo`060?ooo`00L03oool01@000000oooo0?ooo`3oool0
00000?l0ooooW@3oool00`000000oooo0?ooo`0O0?ooo`060?noM000000000000000000004P0W=oo
1`3oool00700oooo0P0000030?ooo`030000003oool0oooo0?l0ooooV@3oool00`000000oooo0?oo
o`0]0?ooo`00L03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0ooooV@3oool0
0`000000oooo0?ooo`0]0?ooo`00L03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0?l0ooooU`3oool00`000000oooo0?ooo`0^0?ooo`00L03oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo0?l0ooooU`3oool00`000000oooo0?ooo`0^0?ooo`00L03oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0?l0ooooU@3oool00`000000oooo0?ooo`0_0?ooo`00L03o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooU@3oool00`000000oooo0?oo
o`0_0?ooo`00L03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0ooooT`3oool0
0`000000oooo0?ooo`0`0?ooo`00L03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0?l0ooooT`3oool00`000000oooo0?ooo`0`0?ooo`00L03oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo0?l0ooooT@3oool00`000000oooo0?ooo`0a0?ooo`00L03oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0?l0ooooT@3oool00`000000oooo0?ooo`0a0?ooo`00L03o
ool2000000P0oooo00<000000?ooo`3oool0o`3ooon?0?ooo`030000003oool0oooo0380oooo001`
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0o`3ooon?0?ooo`030000003oool0
oooo0380oooo001`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0o`3ooon=0?oo
o`030000003oool0oooo03<0oooo001`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0o`3ooon=0?ooo`030000003oool0oooo03<0oooo001`0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0o`3ooon;0?ooo`030000003oool0oooo03@0oooo001`0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0o`3ooon;0?ooo`030000003oool0oooo03@0oooo001`
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0o`3ooon90?ooo`030000003oool0
oooo03D0oooo001`0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0o`3ooon90?oo
o`030000003oool0oooo03D0oooo001`0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool0o`3ooon70?ooo`030000003oool0oooo03H0oooo001`0?ooo`800000303oool00`000000oooo
0?ooo`3o0?ooohL0oooo00<000000?ooo`3oool0=P3oool00700oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`3o0?ooohD0oooo00<000000?ooo`3oool0=`3oool00700oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`3o0?ooohD0oooo00<000000?ooo`3oool0=`3oool0
0700oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`3o0?oooh<0oooo00<000000?oo
o`3oool0>03oool00700oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`3o0?oooh<0
oooo00<000000?ooo`3oool0>03oool00700oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`3o0?oooh40oooo00<000000?ooo`3oool0>@3oool00700oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`3o0?oooh00oooo00<000000?ooo`3oool0>P3oool00700oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooogl0oooo00<000000?ooo`3oool0>P3oool0
0700oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?oo
o`3oool0>`3oool00700oooo0P00000A0?ooo`030000003oool0oooo0?l0ooooO@3oool00`000000
oooo0?ooo`0k0?ooo`00L03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0?l0oooo
O03oool00`000000oooo0?ooo`0l0?ooo`00L03oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo0?l0ooooN`3oool00`000000oooo0?ooo`0l0?ooo`00L03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0?l0ooooNP3oool00`000000oooo0?ooo`0m0?ooo`00H@3oool01P3o
gi`0B000000000000000001809cOo`T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`3o0?ooogT0oooo00<000000?ooo`3oool0?@3oool00600oooo00<0gia80000001d_ol00P3oool0
0`3o_g@0000007Boo`080?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0o`3ooomh
0?ooo`030000003oool0oooo03h0oooo001O0?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000
M02oool01`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0?l0ooooM`3oool00`00
0000oooo0?ooo`0n0?ooo`00IP3oool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool0o`3ooomf0?ooo`030000003oool0oooo03l0oooo001V0?ooo`030?oo
_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`3o0?ooogD0oooo
00<000000?ooo`3oool0?`3oool006H0oooo00<0oono07@0M02oool01`3oool3000001@0oooo00<0
00000?ooo`3oool0o`3ooomd0?ooo`030000003oool0oooo0400oooo001P0?ooo`030?oOW0180000
04RL00<0oooo00<0W4P004RLg`3oool01`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo0?l0ooooL`3oool00`000000oooo0?ooo`100?ooo`00H03oool00`3ogi`0B01d09bLB0030000
000304RLg`3oool0oooo00L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`3o0?oo
og80oooo00<000000?ooo`3oool0@@3oool00600oooo00<0omnL04P0M02oool03@3oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo0?l0ooooL@3oool00`000000oooo0?ooo`110?ooo`00
H03oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
o`3ooom`0?ooo`030000003oool0oooo0480oooo001P0?ooo`030?oOW01807@0_ooo00d0oooo00<0
00000?ooo`3oool05`3oool00`000000oooo0?ooo`3o0?ooofl0oooo00<000000?ooo`3oool0@P3o
ool00600oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo0?l0ooooKP3oool00`000000oooo0?ooo`130?ooo`00H03oool00`3ogi`0B000000000040000
000307Boo`3oool0oooo00H0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`3o0?oo
ofd0oooo00<000000?ooo`3oool0@`3oool00700oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`3o0?ooof`0oooo00<000000?ooo`3oool0A03oool00700oooo00<000000?ooo`3oool0
6@3oool00`000000oooo0?ooo`3o0?ooof/0oooo00<000000?ooo`3oool0A03oool00700oooo0P00
000J0?ooo`030000003oool0oooo0?l0ooooJP3oool00`000000oooo0?ooo`150?ooo`00L03oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0?l0ooooJ@3oool00`000000oooo0?ooo`15
0?ooo`00L03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0?l0ooooJ03oool00`00
0000oooo0?ooo`160?ooo`00L03oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0?l0
ooooI`3oool00`000000oooo0?ooo`160?ooo`00L03oool00`000000oooo0?ooo`0K0?ooo`030000
003oool0oooo0?l0ooooIP3oool00`000000oooo0?ooo`170?ooo`00L03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`170?ooo`00L03oool0
0`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0?l0ooooI03oool00`000000oooo0?ooo`18
0?ooo`00L03oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0?l0ooooH`3oool00`00
0000oooo0?ooo`180?ooo`00L03oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0?l0
ooooHP3oool00`000000oooo0?ooo`190?ooo`00L03oool2000001l0oooo00<000000?ooo`3oool0
o`3ooomQ0?ooo`030000003oool0oooo04T0oooo001`0?ooo`030000003oool0oooo01h0oooo00<0
00000?ooo`3oool0o`3ooomP0?ooo`030000003oool0oooo04X0oooo001`0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool0o`3ooomO0?ooo`030000003oool0oooo04X0oooo001`0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool0o`3ooomN0?ooo`030000003oool0oooo
04/0oooo001`0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0o`3ooomL0?ooo`03
0000003oool0oooo04`0oooo001`0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
o`3ooomK0?ooo`030000003oool0oooo04`0oooo001`0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0o`3ooomJ0?ooo`030000003oool0oooo04d0oooo001`0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool0o`3ooomI0?ooo`030000003oool0oooo04d0oooo001`0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool0o`3ooomH0?ooo`030000003oool0oooo
04h0oooo001`0?ooo`800000903oool00`000000oooo0?ooo`3o0?oooeL0oooo00<000000?ooo`3o
ool0CP3oool00700oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`3o0?oooeH0oooo
00<000000?ooo`3oool0C`3oool00700oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`3o0?oooeD0oooo00<000000?ooo`3oool0C`3oool00700oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`3o0?oooe@0oooo00<000000?ooo`3oool0D03oool00700oooo00<000000?oo
o`3oool09@3oool00`000000oooo0?ooo`3o0?oooe<0oooo00<000000?ooo`3oool0D03oool00700
oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3o0?oooe40oooo00<000000?ooo`3o
ool0D@3oool00700oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3o0?oooe00oooo
00<000000?ooo`3oool0DP3oool00700oooo00<000000?ooo`3oool09`3oool00`000000oooo0?oo
o`3o0?ooodl0oooo00<000000?ooo`3oool0DP3oool00700oooo00<000000?ooo`3oool09`3oool0
0`000000oooo0?ooo`3o0?ooodh0oooo00<000000?ooo`3oool0D`3oool00700oooo0P00000Y0?oo
o`030000003oool0oooo0?l0ooooC@3oool00`000000oooo0?ooo`1C0?ooo`00L03oool00`000000
oooo0?ooo`0X0?ooo`030000003oool0oooo0?l0ooooC03oool00`000000oooo0?ooo`1D0?ooo`00
L03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0?l0ooooB`3oool00`000000oooo
0?ooo`1D0?ooo`00L03oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0?l0ooooB@3o
ool00`000000oooo0?ooo`1E0?ooo`00E03oool00`2LB000000000000004000000030000M02oool0
oooo00@0oooo00D0W4P0000000000000001d0;ooo`090?ooo`030000003oool0oooo02X0oooo00<0
00000?ooo`3oool0o`3ooom90?ooo`030000003oool0oooo05D0oooo001G0?ooo`030=nLB000M;l0
oooo00L0oooo00H0_g@004RLg`3oool0oooo0?noM000B9`90?ooo`030000003oool0oooo02/0oooo
00<000000?ooo`3oool0o`3ooom70?ooo`030000003oool0oooo05H0oooo001G0?ooo`030=nLB000
M;l0oooo00H0oooo00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?ooo`070?ooo`030000003o
ool0oooo02/0oooo00<000000?ooo`3oool0o`3ooom60?ooo`030000003oool0oooo05L0oooo001G
0?ooo`030=nLB000M;l0oooo00H0oooo00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`07
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0o`3ooom50?ooo`030000003oool0
oooo05L0oooo001G0?ooo`030=nLB000M;l0oooo00H0oooo00<0W4P007Boo`3oool00`3oool00`3o
gi`0B01d0;ooo`070?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0o`3ooom40?oo
o`030000003oool0oooo05P0oooo001G0?ooo`030=nLB000M;l0oooo00D0oooo00<0oono07@0B02L
gol0103oool00`3ogi`0B01d0;ooo`070?ooo`<00000;@3oool00`000000oooo0?ooo`3o0?oood<0
oooo00<000000?ooo`3oool0F03oool005L0oooo00<0gia8001d_`3oool01@3oool00`3ookl0M018
09cOo`040?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0;@3oool00`000000oooo
0?ooo`3o0?oood80oooo00<000000?ooo`3oool0F@3oool005L0oooo00<0gia8001d_`3oool01@3o
ool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0;P3o
ool00`000000oooo0?ooo`3o0?oood40oooo00<000000?ooo`3oool0F@3oool005L0oooo00<0gia8
001d_`3oool01P3oool00`2LB4P0W=oo0?ooo`030?ooo`030?oOW01807@0_ooo00L0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?ooocl0oooo00<000000?ooo`3oool0FP3oool0
05L0oooo00<0gia8001d_`3oool01P3oool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo
00L0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?ooocl0oooo00<000000?oo
o`3oool0FP3oool005L0oooo00<0gia8001d_`3oool01P3oool00`3o_g@004RL0?ooo`030?ooo`03
0;md0018W=l0oooo00L0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`3o0?ooocd0
oooo00<000000?ooo`3oool0F`3oool005@0oooo00D0W4P00000000007@0W9a8001d_`080?ooo`06
0;md0000M;l0oooo0?ooo`3OW4P004RL2@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo0?l0oooo?@3oool00`000000oooo0?ooo`1K0?ooo`00EP3oool00`3o_g@00000001d_`090?oo
o`050;md0000000000000000M02oool02@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0
oooo0?l0oooo>`3oool00`000000oooo0?ooo`1L0?ooo`00L03oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo0?l0oooo>P3oool00`000000oooo0?ooo`1M0?ooo`00L03oool00`000000
oooo0?ooo`0b0?ooo`030000003oool0oooo0?l0oooo>@3oool00`000000oooo0?ooo`1M0?ooo`00
L03oool2000003@0oooo00<000000?ooo`3oool0o`3ooolg0?ooo`030000003oool0oooo05h0oooo
001`0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0o`3ooolg0?ooo`030000003o
ool0oooo05h0oooo001`0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0o`3ooole
0?ooo`030000003oool0oooo05l0oooo001`0?ooo`030000003oool0oooo03@0oooo00<000000?oo
o`3oool0o`3ooold0?ooo`030000003oool0oooo0600oooo001`0?ooo`030000003oool0oooo03D0
oooo00<000000?ooo`3oool0o`3ooolc0?ooo`030000003oool0oooo0600oooo001`0?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool0o`3ooola0?ooo`030000003oool0oooo0640oooo
001`0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0o`3ooola0?ooo`030000003o
ool0oooo0640oooo001`0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0o`3oool_
0?ooo`030000003oool0oooo0680oooo001`0?ooo`030000003oool0oooo03L0oooo00<000000?oo
o`3oool0o`3oool^0?ooo`030000003oool0oooo06<0oooo001`0?ooo`800000>@3oool00`000000
oooo0?ooo`3o0?ooobd0oooo00<000000?ooo`3oool0H`3oool00700oooo00<000000?ooo`3oool0
>03oool00`000000oooo0?ooo`3o0?ooob`0oooo00<000000?ooo`3oool0I03oool00700oooo00<0
00000?ooo`3oool0>@3oool00`000000oooo0?ooo`3o0?ooob/0oooo00<000000?ooo`3oool0I03o
ool00700oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`3o0?ooobT0oooo00<00000
0?ooo`3oool0I@3oool00700oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`3o0?oo
obP0oooo00<000000?ooo`3oool0IP3oool00700oooo00<000000?ooo`3oool0>`3oool00`000000
oooo0?ooo`3o0?ooobL0oooo00<000000?ooo`3oool0IP3oool00700oooo00<000000?ooo`3oool0
>`3oool00`000000oooo0?ooo`3o0?ooobH0oooo00<000000?ooo`3oool0I`3oool00700oooo00<0
00000?ooo`3oool0?03oool00`000000oooo0?ooo`3o0?ooobD0oooo00<000000?ooo`3oool0I`3o
ool00700oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`3o0?ooob<0oooo00<00000
0?ooo`3oool0J03oool00700oooo0P00000n0?ooo`030000003oool0oooo0?l0oooo8P3oool00`00
0000oooo0?ooo`1Y0?ooo`00L03oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0?l0
oooo8@3oool00`000000oooo0?ooo`1Y0?ooo`00L03oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo0?l0oooo803oool00`000000oooo0?ooo`1Z0?ooo`00L03oool00`000000oooo0?oo
o`0o0?ooo`030000003oool0oooo0?l0oooo7`3oool00`000000oooo0?ooo`1Z0?ooo`00L03oool0
0`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0?l0oooo7P3oool00`000000oooo0?ooo`1[
0?ooo`00L03oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0?l0oooo703oool00`00
0000oooo0?ooo`1/0?ooo`00L03oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0?l0
oooo6`3oool00`000000oooo0?ooo`1/0?ooo`00L03oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo0?l0oooo6P3oool00`000000oooo0?ooo`1]0?ooo`00L03oool00`000000oooo0?oo
o`120?ooo`030000003oool0oooo0?l0oooo6@3oool00`000000oooo0?ooo`1]0?ooo`00L03oool2
000004<0oooo00<000000?ooo`3oool0o`3ooolH0?ooo`030000003oool0oooo06h0oooo001`0?oo
ool00000Y`00000Z0?ooo`00L03oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0?l0
oooo5@3oool00`000000oooo0?ooo`1_0?ooo`00L03oool00`000000oooo0?ooo`140?ooo`030000
003oool0oooo0?l0oooo503oool00`000000oooo0?ooo`1`0?ooo`00L03oool00`000000oooo0?oo
o`150?ooo`030000003oool0oooo0?l0oooo4`3oool00`000000oooo0?ooo`1`0?ooo`00E03oool0
0`2LB000000000000004000000030000M02oool0oooo00<0oooo00H0omnL04P00000000000000000
B02Lgol90?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000
003oool0oooo0740oooo001G0?ooo`030=nLB000M;l0oooo00H0oooo00<0gia80000001d_ol00P3o
ool00`3o_g@0000007Boo`080?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0o`3o
ool@0?ooo`030000003oool0oooo0780oooo001G0?ooo`030=nLB000M;l0oooo00D0oooo00<0omnL
04P0M02oool0103oool00`3o_g@0001d0;ooo`070?ooo`030000003oool0oooo04L0oooo00<00000
0?ooo`3oool0o`3oool?0?ooo`030000003oool0oooo0780oooo001G0?ooo`030=nLB000M;l0oooo
00`0oooo00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo
0?l0oooo3P3oool00`000000oooo0?ooo`1c0?ooo`00E`3oool00`3OW4P007Bo0?ooo`0<0?ooo`03
0?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`3o0?ooo`d0
oooo00<000000?ooo`3oool0L`3oool005L0oooo00<0gia8001d_`3oool0303oool00`3ookl0M01d
0;ooo`070?ooo`<00000B@3oool00`000000oooo0?ooo`3o0?ooo`/0oooo00<000000?ooo`3oool0
M03oool005L0oooo00<0gia8001d_`3oool01P3oool00`3ogi`0B0000018W0030?ooo`0309a80018
W=l0oooo00L0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`3o0?ooo`X0oooo00<0
00000?ooo`3oool0M@3oool005L0oooo00<0gia8001d_`3oool01P3oool00`3ogi`0B01d09bLB003
0000000304RLg`3oool0oooo00L0oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`3o
0?ooo`T0oooo00<000000?ooo`3oool0M@3oool005L0oooo00<0gia8001d_`3oool01P3oool00`3o
gi`0B01d0;ooo`0=0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0o`3oool80?oo
o`030000003oool0oooo07H0oooo001G0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P0M02o
ool03@3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo0?l0oooo1`3oool00`000000
oooo0?ooo`1f0?ooo`00E`3oool00`3OW4P007Bo0?ooo`060?ooo`030?oOW01807@0_ooo00d0oooo
00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`3o0?ooo`D0oooo00<000000?ooo`3oool0
M`3oool005@0oooo00D0W4P00000000007@0W9a8001d_`070?ooo`030?oOW01807@0_ooo00d0oooo
00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool0
N03oool005H0oooo00<0okmd00000000M;l01`3oool00`3ogi`0B000000000040000000307Boo`3o
ool0oooo00H0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`3o0?ooo`<0oooo00<0
00000?ooo`3oool0N03oool00700oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`3o
0?ooo`40oooo00<000000?ooo`3oool0N@3oool00700oooo0P00001?0?ooo`030000003oool0oooo
0?l0oooo0@3oool00`000000oooo0?ooo`1i0?ooo`00L03oool00`000000oooo0?ooo`1?0?ooo`03
0000003oool0oooo0?h0oooo00<000000?ooo`3oool0NP3oool00700oooo00<000000?ooo`3oool0
C`3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0oooo07/0oooo001`0?ooo`030000003o
ool0oooo0500oooo00<000000?ooo`3oool0o03oool00`000000oooo0?ooo`1k0?ooo`00L03oool0
0`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0?X0oooo00<000000?ooo`3oool0O03oool0
0700oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`3j0?ooo`030000003oool0oooo
07`0oooo001`0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0n03oool00`000000
oooo0?ooo`1m0?ooo`00L03oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo0?H0oooo
00<000000?ooo`3oool0OP3oool00700oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?oo
o`3f0?ooo`030000003oool0oooo07h0oooo001`0?ooo`800000E@3oool00`000000oooo0?ooo`3d
0?ooo`030000003oool0oooo07l0oooo001`0?ooo`030000003oool0oooo05@0oooo00<000000?oo
o`3oool0m03oool00`000000oooo0?ooo`1o0?ooo`00L03oool00`000000oooo0?ooo`1E0?ooo`03
0000003oool0oooo0?80oooo00<000000?ooo`3oool0P03oool00700oooo00<000000?ooo`3oool0
EP3oool00`000000oooo0?ooo`3`0?ooo`030000003oool0oooo0840oooo001`0?ooo`030000003o
ool0oooo05H0oooo00<000000?ooo`3oool0l03oool00`000000oooo0?ooo`210?ooo`00L03oool0
0`000000oooo0?ooo`1G0?ooo`030000003oool0oooo0>h0oooo00<000000?ooo`3oool0PP3oool0
0700oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`3/0?ooo`030000003oool0oooo
08<0oooo001`0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0k03oool00`000000
oooo0?ooo`230?ooo`00L03oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo0>X0oooo
00<000000?ooo`3oool0Q03oool00700oooo0P00001K0?ooo`030000003oool0oooo0>P0oooo00<0
00000?ooo`3oool0Q@3oool00700oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`3X
0?ooo`030000003oool0oooo08D0oooo001`0?ooo`030000003oool0oooo05/0oooo00<000000?oo
o`3oool0iP3oool00`000000oooo0?ooo`260?ooo`00L03oool00`000000oooo0?ooo`1L0?ooo`03
0000003oool0oooo0>@0oooo00<000000?ooo`3oool0Q`3oool00700oooo00<000000?ooo`3oool0
G03oool00`000000oooo0?ooo`3T0?ooo`030000003oool0oooo08L0oooo001`0?ooo`030000003o
ool0oooo05d0oooo00<000000?ooo`3oool0hP3oool00`000000oooo0?ooo`280?ooo`00L03oool0
0`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0>00oooo00<000000?ooo`3oool0R@3oool0
0700oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`3N0?ooo`030000003oool0oooo
08X0oooo001`0?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3oool0gP3oool00`000000
oooo0?ooo`2:0?ooo`00L03oool200000640oooo00<000000?ooo`3oool0g03oool00`000000oooo
0?ooo`2;0?ooo`00L03oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo0=X0oooo00<0
00000?ooo`3oool0S03oool00700oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`3J
0?ooo`030000003oool0oooo08`0oooo001`0?ooo`030000003oool0oooo0680oooo00<000000?oo
o`3oool0f03oool00`000000oooo0?ooo`2=0?ooo`00L03oool00`000000oooo0?ooo`1S0?ooo`03
0000003oool0oooo0=H0oooo00<000000?ooo`3oool0SP3oool005<0oooo00<0gia8000000000000
1@0000000`00B9`0oooo0?ooo`040?ooo`0509a80000000000000000M02oool02@3oool00`000000
oooo0?ooo`1S0?ooo`030000003oool0oooo0=H0oooo00<000000?ooo`3oool0SP3oool005<0oooo
00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`040?ooo`060;md0018W=l0oooo0?ooo`3o
_g@004RL2@3oool00`000000oooo0?ooo`1T0?ooo`030000003oool0oooo0=@0oooo00<000000?oo
o`3oool0S`3oool005@0oooo00<0okmd0000B02Lgol02@3oool00`3o_g@007Bo0?ooo`030?ooo`03
0;md0018W=l0oooo00L0oooo00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`3B0?ooo`03
0000003oool0oooo0900oooo001E0?ooo`030?oOW01804P0W=oo00P0oooo00<0_g@004RLg`3oool0
0`3oool00`3o_g@004RL0?ooo`070?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool0
dP3oool00`000000oooo0?ooo`2@0?ooo`00EP3oool00`3ogi`0B01809cOo`070?ooo`0309a8001d
_ol0oooo00<0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`1V0?ooo`030000003o
ool0oooo0=00oooo00<000000?ooo`3oool0T@3oool005L0oooo00<0omnL04P0B02Lgol01@3oool0
0`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00L0oooo0`00001W0?ooo`030000003oool0
oooo0<h0oooo00<000000?ooo`3oool0TP3oool005P0oooo00<0omnL04P0B02Lgol0103oool00`3o
okl0M01809cOo`040?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0I`3oool00`00
0000oooo0?ooo`3=0?ooo`030000003oool0oooo09<0oooo001I0?ooo`030?oOW01807@0_ooo00<0
oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`070?ooo`030000003oool0oooo06P0
oooo00<000000?ooo`3oool0c03oool00`000000oooo0?ooo`2C0?ooo`00FP3oool00`3OW4P007Bo
0?ooo`030?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool01`3oool00`000000oooo
0?ooo`1Y0?ooo`030000003oool0oooo0<X0oooo00<000000?ooo`3oool0U03oool005@0oooo00<0
W7BL0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`030?ooo`030;md001d_ol0oooo00<0oooo00<0
okmd0018W03oool01`3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo0<P0oooo00<0
00000?ooo`3oool0U@3oool005<0oooo00<0oono07@0001d_ol0103oool00`2oM00007Bo0?ooo`03
0?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool01`3oool00`000000oooo0?ooo`1Z
0?ooo`030000003oool0oooo0<L0oooo00<000000?ooo`3oool0UP3oool005@0oooo00<0okmd0000
001d_ol00P3oool00`2oM000001d0;ooo`050?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL2@3o
ool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo0<H0oooo00<000000?ooo`3oool0UP3o
ool005D0oooo00D0omnL04P00000000000000018W0080?ooo`050;md0000000000000000M02oool0
2@3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo0<@0oooo00<000000?ooo`3oool0
U`3oool00700oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`320?ooo`030000003o
ool0oooo09P0oooo001`0?ooo`800000KP3oool00`000000oooo0?ooo`310?ooo`030000003oool0
oooo09T0oooo001`0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0_`3oool00`00
0000oooo0?ooo`2J0?ooo`00L03oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0;h0
oooo00<000000?ooo`3oool0VP3oool00700oooo00<000000?ooo`3oool0L03oool00`000000oooo
0?ooo`2l0?ooo`030000003oool0oooo09/0oooo001`0?ooo`030000003oool0oooo0700oooo00<0
00000?ooo`3oool0^`3oool00`000000oooo0?ooo`2L0?ooo`00L03oool00`000000oooo0?ooo`1a
0?ooo`030000003oool0oooo0;T0oooo00<000000?ooo`3oool0W@3oool00700oooo00<000000?oo
o`3oool0LP3oool00`000000oooo0?ooo`2g0?ooo`030000003oool0oooo09h0oooo001`0?ooo`03
0000003oool0oooo07<0oooo00<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`2N0?ooo`00
L03oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0;D0oooo00<000000?ooo`3oool0
W`3oool00700oooo0P00001e0?ooo`030000003oool0oooo0;<0oooo00<000000?ooo`3oool0X03o
ool00700oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`2a0?ooo`030000003oool0
oooo0:40oooo001`0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0/03oool00`00
0000oooo0?ooo`2Q0?ooo`00L03oool00`000000oooo0?ooo`1f0?ooo`030000003oool0oooo0:l0
oooo00<000000?ooo`3oool0XP3oool00700oooo00<000000?ooo`3oool0M`3oool00`000000oooo
0?ooo`2]0?ooo`030000003oool0oooo0:<0oooo001`0?ooo`030000003oool0oooo07P0oooo00<0
00000?ooo`3oool0Z`3oool00`000000oooo0?ooo`2T0?ooo`00L03oool00`000000oooo0?ooo`1i
0?ooo`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0Y@3oool00700oooo00<000000?oo
o`3oool0NP3oool00`000000oooo0?ooo`2W0?ooo`030000003oool0oooo0:H0oooo001`0?ooo`03
0000003oool0oooo07/0oooo00<000000?ooo`3oool0Y@3oool00`000000oooo0?ooo`2W0?ooo`00
L03oool2000007d0oooo00<000000?ooo`3oool0X`3oool00`000000oooo0?ooo`2X0?ooo`00L03o
ool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo0:40oooo00<000000?ooo`3oool0Z@3o
ool00700oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0
oooo0:X0oooo001`0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0W@3oool00`00
0000oooo0?ooo`2[0?ooo`00L03oool00`000000oooo0?ooo`200?ooo`030000003oool0oooo09/0
oooo00<000000?ooo`3oool0[03oool00700oooo00<000000?ooo`3oool0P@3oool00`000000oooo
0?ooo`2J0?ooo`030000003oool0oooo0:`0oooo001`0?ooo`030000003oool0oooo0840oooo00<0
00000?ooo`3oool0V@3oool00`000000oooo0?ooo`2]0?ooo`00L03oool00`000000oooo0?ooo`22
0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool0[P3oool00700oooo00<000000?oo
o`3oool0P`3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0:l0oooo001`0?ooo`03
0000003oool0oooo08@0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`2`0?ooo`00
L03oool2000008H0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`2a0?ooo`00L03o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo08l0oooo00<000000?ooo`3oool0/P3o
ool00700oooo00<000000?ooo`3oool0Q`3oool00`000000oooo0?ooo`2=0?ooo`030000003oool0
oooo0;<0oooo001`0?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0R`3oool00`00
0000oooo0?ooo`2d0?ooo`00D`3oool00`3OW4P0000000000005000000030018W03oool0oooo00<0
oooo00H0omnL04P00000000000000000B02Lgol90?ooo`030000003oool0oooo08T0oooo00<00000
0?ooo`3oool0R@3oool00`000000oooo0?ooo`2e0?ooo`00D`3oool00`3o_g@0001809cOo`040?oo
o`030?noM000M;l0oooo00<0oooo00<0gia80000001d_ol00P3oool00`3o_g@0000007Boo`080?oo
o`030000003oool0oooo08X0oooo00<000000?ooo`3oool0Q`3oool00`000000oooo0?ooo`2f0?oo
o`00E03oool00`3o_g@0001809cOo`080?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02o
ool01`3oool00`000000oooo0?ooo`2;0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3o
ool0]`3oool005D0oooo00<0omnL04P0B02Lgol03P3oool00`3ookl0M01809cOo`070?ooo`030000
003oool0oooo08`0oooo0P0000230?ooo`800000^P3oool005H0oooo00<0omnL04P0B02Lgol03@3o
ool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo08h0oooo00<000000?ooo`3oool0O`3o
ool00`000000oooo0?ooo`2j0?ooo`00E`3oool00`3ogi`0B01809cOo`0<0?ooo`030?oo_`1d07@0
_ooo00L0oooo0`00002?0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool0^`3oool0
05P0oooo00<0omnL04P0B02Lgol01@3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo
00L0oooo00<000000?ooo`3oool0T03oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo
0;`0oooo001I0?ooo`030?oOW01807@0_ooo00@0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0
oooo0?ooo`070?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool0N@3oool00`000000
oooo0?ooo`2m0?ooo`00FP3oool00`3OW4P007Bo0?ooo`030?ooo`030?oOW01807@0_ooo00d0oooo
00<000000?ooo`3oool0TP3oool2000007P0oooo00<000000?ooo`3oool0_P3oool005@0oooo00<0
W7BL0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`030?ooo`030?oOW01807@0_ooo00d0oooo00<0
00000?ooo`3oool0U03oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo0;l0oooo001C
0?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool00`3oool00`3ogi`0B01d0;ooo`0=
0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0L@3oool200000<80oooo001D0?oo
o`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0103oool00`3ogi`0B01d0;ooo`0=0?oo
o`030000003oool0oooo09H0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`320?oo
o`00E@3oool01@3ogi`0B00000000000000004RL00H0oooo00<0omnL04P000000000100000000`1d
_ol0oooo0?ooo`060?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool0K@3oool00`00
0000oooo0?ooo`330?ooo`00L03oool00`000000oooo0?ooo`2H0?ooo`800000K03oool00`000000
oooo0?ooo`340?ooo`00L03oool2000009/0oooo00<000000?ooo`3oool0J03oool00`000000oooo
0?ooo`350?ooo`00L03oool00`000000oooo0?ooo`2K0?ooo`030000003oool0oooo06D0oooo0P00
00380?ooo`00L03oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo06<0oooo00<00000
0?ooo`3oool0b03oool00700oooo00<000000?ooo`3oool0W@3oool200000640oooo0P00003;0?oo
o`00L03oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3o
ool0b`3oool00700oooo00<000000?ooo`3oool0X03oool00`000000oooo0?ooo`1J0?ooo`800000
cP3oool00700oooo00<000000?ooo`3oool0X@3oool2000005T0oooo00<000000?ooo`3oool0cP3o
ool00700oooo00<000000?ooo`3oool0X`3oool00`000000oooo0?ooo`1D0?ooo`800000d@3oool0
0700oooo00<000000?ooo`3oool0Y03oool2000005<0oooo00<000000?ooo`3oool0d@3oool00700
oooo0P00002W0?ooo`800000C`3oool200000=@0oooo001`0?ooo`030000003oool0oooo0:P0oooo
0P00001<0?ooo`030000003oool0oooo0=@0oooo001`0?ooo`030000003oool0oooo0:X0oooo0P00
00180?ooo`800000e`3oool00700oooo00<000000?ooo`3oool0[03oool3000004<0oooo0P00003I
0?ooo`00L03oool00`000000oooo0?ooo`2_0?ooo`800000?`3oool200000=/0oooo001`0?ooo`03
0000003oool0oooo0;40oooo0P00000k0?ooo`800000g@3oool00700oooo00<000000?ooo`3oool0
/`3oool2000003L0oooo0P00003O0?ooo`00L03oool00`000000oooo0?ooo`2e0?ooo`<00000<03o
ool400000>40oooo001`0?ooo`030000003oool0oooo0;P0oooo0`00000Y0?ooo`@00000i@3oool0
0700oooo0P00002l0?ooo`8000009@3oool200000>T0oooo001`0?ooo`030000003oool0oooo0;d0
oooo1@00000I0?ooo`L00000j`3oool00700oooo00<000000?ooo`3oool0`P3oool8000000/0oooo
1P00003b0?ooo`00L03oool00`000000oooo0?ooo`3:0?ooo`/00000n03oool00700oooo00<00000
0?ooo`3oool0o`3oooo>0?ooo`00L03oool00`000000oooo0?ooo`3o0?ooolh0oooo001`0?ooo`03
0000003oool0oooo0?l0oooocP3oool00700oooo00<000000?ooo`3oool0o`3oooo>0?ooo`00L03o
ool00`000000oooo0?ooo`3o0?ooolh0oooo001`0?ooo`030000003oool0oooo0?l0oooocP3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3o
oom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00
o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oo
od80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o
0?ooool0oooo@P3oool002h0oooo00<0gia80000000000000P0000000`00M;l0oooo0?ooo`0A0?oo
o`030?oo_`1dB9`0gooo03@0oooo00<0oooO09a8M02oool0<03oool01@3OW4P0000000000000B9`0
gooo0100oooo00D0oooO09a800000000000004RLg`3o0?ooogH0oooo000`0?ooo`030?oo_`1d04P0
W=oo00<0oooo00<0omnL04P0001d_ol03P3oool00`2oM4P0W=oo0?ooo`0e0?ooo`030?oOW01dW=l0
oooo02l0oooo00<0gia807Boo`3oool05@3oool00`3o_g@0B9cO0?ooo`3o0?ooogD0oooo000`0?oo
o`030?oo_`1d04P0W=oo00<0oooo00<0oono07@00000B9`03@3oool00`3ookl0M4RL0=ooo`0A0?oo
o`030?noM018W=l0oooo0280oooo00<0oooO09a8M02oool0;`3oool00`3OW4P0M;oo0?ooo`0E0?oo
o`030?noM018W=l0oooo0?l0ooooM@3oool00300oooo00<0oono07@0B02Lgol0103oool00`2oM000
000007Boo`0<0?ooo`030=nLB01d_ol0oooo0140oooo00<0oono07@0M02oool08`3oool00`3o_g@0
B9cO0?ooo`0^0?ooo`030=nLB01d_ol0oooo01D0oooo00<0okmd04RLg`3oool0o`3ooome0?ooo`00
103oool00`3o_g@000000000000700000003001d_`3ogi`0B0000080000000L0001d0;ooo`3OW4P0
00000000B02Lgol0okmd0080000000@0M;oo0?ooo`3oool0okmd1@0000000`1d_ol0oooo0?ooo`03
0?ooo`0809a800000000000000000000B9`0oono07@0B02Lgol40?ooo`030?noM000000004RL00/0
oooo00<0oooO09a8M02oool0103oool00`3o_g@00000000000020000000704RLg`3oool0oooo0?oo
o`2LB00000000018W0030?ooo`030=nLB01d_ol0oooo00L0oooo00<0oono07@0000000001@000000
0`0007@0_ooo0?ooo`030?ooo`030?noM0000000000000<0000000<0M;oo0?ooo`3oool0103oool0
0`3ookl0M4RL0=ooo`060?ooo`030?noM000B9`0gia800@0000000<007Bo0?ooo`3oool00P3oool0
0`3o_g@00000000000060000000407Boo`3oool0omnL04P00080000000@0001d0;ooo`3ookl0M000
0P0000000`0004P0W=oo0?ooo`040?ooo`030=nLB01d_ol0oooo00H0oooo00<0omnL04P000000000
0P0000000`18W=l0oooo0?ooo`070?ooo`030?noM018W=l0oooo0?l0ooooM@3oool000H0oooo00<0
_g@004RLg`3oool0103oool01P3OW4P007Bo0?ooo`3oool0_g@004RLg`80oooo00H0gia8001d_`3o
ool0oooo0?noM000B9`30?ooo`030=nLB00007@0_ooo00<0oooo00<0oono07@00018W=l00`3oool0
0`2oM000B9cO0?ooo`020?ooo`040=nLB000B4P0M01809cOo`@0oooo00@0omnL04P000000000M;oo
2P3oool00`3ogi`0B7Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0000M02oool0
103oool00`3ogi`0B4RL0=ooo`0;0?ooo`030=nLB000M;l0oooo00H0oooo00<0gia80000M02oool0
0`3oool00`3ookl0M00004RLg`060?ooo`030;mdB02Lgol0oooo00D0oooo00<0okmd00000000B9`0
103oool00`2oM00007Bo0?ooo`060?ooo`030=nLB000M;l0oooo00H0oooo00<0_g@004RLg`3oool0
0`3oool00`3OW4P007Bo0?ooo`060?ooo`030=nLB01d_ol0oooo00D0oooo00<0omnL04P0B02Lgol0
0`3oool00`2oM00004RL0=ooo`070?ooo`030?noM018W=l0oooo0?l0ooooM@3oool000H0oooo00<0
_g@004RLg`3oool0103oool01P3OW4P007Bo0?ooo`3oool0_g@004RLg`80oooo00H0gia8001d_`3o
ool0oooo0?noM000B9`20?ooo`030?oOW018B9`0oooo00T0oooo00<0okmd0018W03oool0103oool0
0`3OW4P0001809cOo`050?ooo`0409a800000000001d0;ooo`T0oooo00<0okmd04RLg`3oool01P3o
ool00`2oM000B9cO0?ooo`030?ooo`030;md0018W=l0oooo00D0oooo00<0_gA809cOo`3oool02P3o
ool00`3OW4P007Bo0?ooo`050?ooo`030?oOW018B9`0oooo00d0oooo00<0gia807Boo`3oool01@3o
ool00`3o_g@004RL0?ooo`040?ooo`030?oo_`1d04P0W=oo00H0oooo00<0gia8001d_`3oool01P3o
ool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo00<0gia807Boo`3oool01@3o
ool00`2oM000M;oo0?ooo`040?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd04RLg`3oool0o`3o
oome0?ooo`001P3oool00`2oM000B9cO0?ooo`040?ooo`060=nLB018W=l0oooo0?ooo`2oM000B9cO
0P3oool01P3OW4P007Bo0?ooo`3oool0okmd0018W080oooo00<0_g@004RLg`3oool02@3oool00`2o
M000B9cO0?ooo`040?ooo`030?oo_`1d04P0W=oo0180oooo00<0gia807Boo`3oool01P3oool00`2o
M000B9cO0?ooo`020?ooo`030?oOW01807@0_ooo00H0oooo00<0okmd001d_`3oool02P3oool00`3O
W4P007Bo0?ooo`050?ooo`030;md0018W=l0oooo00d0oooo00<0okmd04RLg`3oool03@3oool00`2L
B000M;oo0?ooo`050?ooo`030=nLB000M;l0oooo00H0oooo00<0_g@004RLg`3oool00`3oool00`3O
W4P007Bo0?ooo`060?ooo`030=nLB01d_ol0oooo00D0oooo00<0_gA809cOo`3oool0103oool00`3o
oml0W4Q809cOo`060?ooo`030?noM018W=l0oooo0?l0ooooM@3oool000H0oooo00H0_g@004RLg`3o
ool0oono07@0M02oool50?ooo`060;md0018W=l0oooo0?ooo`3OW4P007Bo0P3oool01@3o_g@004RL
0?ooo`3oool0_g@000P0000000D0B9cO0?ooo`3oool0_g@004RLg`050?ooo`030?oo_`1d04P0W=oo
0180oooo00<0gia807Boo`3oool01P3oool00`2oM000B9cO0?ooo`020?ooo`0309a80018W=l0oooo
00H0oooo00<0oooO09a8M02oool02P3oool00`3OW4P007Bo0?ooo`050?ooo`030;md000000000000
00H0000000<0B9cO0?ooo`3oool0103oool00`3o_g@0B9cO0?ooo`0<0?ooo`030?oo_`1d0000M;oo
00H0oooo00<0gia8001d_`3oool01P3oool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo
00H0oooo00<0gia807Boo`3oool01@3oool00`3OW4P0M;oo0?ooo`050?ooo`030=nLB018W=l0oooo
00D0oooo00<0okmd04RLg`3oool0o`3ooome0?ooo`001P3oool01P2oM000B9cO0?ooo`3ookl0M018
09cOo`D0oooo00H0_g@004RLg`3oool0oooo0=nLB000M;l20?ooo`060?noM000B9`0oooo0?ooo`2o
M000B9cO1P3oool01P2LB000M;oo0?ooo`3oool0_g@004RLg`D0oooo00<0oono07@0B02Lgol04P3o
ool00`3OW4P0B9cO0?ooo`060?ooo`060;md0000000007Bo0?oOW018000007Bo2@3oool00`3OW4P0
B9cO0?ooo`090?ooo`030=nLB000M;l0oooo00D0oooo00<0_g@004RLg`3oool01@3oool00`2LB000
M;oo0?ooo`050?ooo`030?noM018W=l0oooo00/0oooo00<0oono07@00000B9`01`3oool00`3OW4P0
07Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0gia8001d_`3oool01P3oool00`3OW4P0
M;oo0?ooo`050?ooo`030?oOW018M;l0oooo00D0oooo00<0okmd04RLg`3oool01@3oool00`3o_g@0
B9cO0?ooo`3o0?ooogD0oooo00060?ooo`060;md0000000000000000000004P0W=oo1@3oool01P2o
M00007Bo0?ooo`3oool0gia8001d_`80oooo00H0okmd0018W03oool0oooo0?noM000B9`50?ooo`03
0?oOW01807@0_ooo0080oooo00<0okmd0018W03oool0103oool00`3OW4P0001809cOo`0B0?ooo`03
0?noM000M;l0oooo00H0oooo00D0_g@004RLg`2oM000001809cOo`0:0?ooo`030?oo_`1dB9`0gooo
00T0oooo00<0gia8001d_`3oool01@3oool00`3o_g@004RL0?ooo`040?ooo`030?oOW01807@0_ooo
00H0oooo00<0gia807Boo`3oool01`3oool00`3ookl0M000000000020000000307Boo`3oool0oooo
00H0oooo00<0gia8001d_`3oool01P3oool00`2oM000001809cOo`030?ooo`030=nLB000M;l0oooo
00H0oooo00<0gia807Boo`3oool01P3oool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB01d_ol0oooo
00D0oooo00<0okmd04RLg`3oool0o`3ooome0?ooo`001P3oool01P2oM000B9cO0?ooo`3ookl0M018
09cOo`D0oooo00X0_g@00000001d_ol0oooo09a800000000B9cO0?ooo`2oM00007Bo0`3oool00`2L
B00004RL0?ooo`020?ooo`030?oOW0180000M;oo00@0oooo00<0_g@00018W03oool00P3oool0102o
M00004Q807@0B02LgolB0?ooo`030?oOW018B9`0gooo00H0oooo00H0_g@004RLg`3oool0gia80000
M02oool:0?ooo`030;md001d_ol0oooo00P0oooo00<0gia8001d_`3oool01P3oool00`2LB00004RL
0?ooo`020?ooo`030?oOW0180000M;oo00H0oooo00<0oooO09a8B02Lgol01`3oool00`3OW4P00000
07Boo`0<0?ooo`030=nLB000M;l0oooo00H0oooo00P0_g@004QdM01807@0_ooo0?ooo`3ogi`0B000
07Boo`L0oooo00<0gia807Boo`3oool01`3oool00`3OW4P0000007Boo`020?ooo`030?oo_`1d07@0
_ooo00H0oooo00<0okmd04RLg`3oool0o`3ooome0?ooo`001P3oool01P2oM000B9cO0?ooo`3ookl0
M01d0;ooo`<0oooo00`0omnL04P000000000B9bL07@00000000004RL0?oo_`1d000000000000M02o
ool40?ooo`0609a80000000000000000000004P0W=oo1P3oool02@3OW4P0000000000000000007Bo
0?oo_`1d00000000001d_`0A0?ooo`030?oog`2LB4P0W=oo00H0oooo00L0_g@004RLg`3oool0oooo
0?noM00004P0W=oo00T0oooo00<0omnL04Qd_`3oool0203oool00`3OW4P007Bo0?ooo`070?ooo`06
09a80000000000000000000004P0W=oo1`3oool00`3ookl0M4RL0=ooo`070?ooo`0309a8001d_ol0
oooo00T0oooo00D0gia80000000000000000001d_`050?ooo`050?oOW0180000000004RLg`3o_g@0
0`0000000`18W=l0oooo0?ooo`060?ooo`030=nLB01d_ol0oooo00T0oooo00D0_g@0000000000000
001809cOo`070?ooo`030?noM018W=l0oooo0?l0ooooM@3oool000H0oooo00<0_g@004RLg`3oool0
0`3oool00`3ookl0M01809cOo`0g0?ooo`030=nLB018W=l0oooo00D0oooo00<0_g@004RLg`3oool0
0P3oool00`3ogi`0B00007Boo`080?ooo`030?oog`2LB4P0W=oo00P0oooo00<0gia8001d_`3oool0
503oool00`3OW4P0M;oo0?ooo`070?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0M02oool0
7P3oool00`3OW4P0M;oo0?ooo`090?ooo`030?noM0000000M;oo00T0oooo00<0okmd04RLg`3oool0
o`3ooome0?ooo`001P3oool00`2oM000B9cO0?ooo`030?ooo`030?oo_`1d04P0W=oo03L0oooo00<0
oono07@0M02oool01@3oool00`2oM000B9cO0?ooo`030?ooo`030?oo_`1d0000B9cO00P0oooo00<0
okmd04RLg`3oool01`3oool00`3OW4P007Bo0?ooo`0C0?ooo`030?oog`2LB7@0_ooo00P0oooo00<0
gia80000M02oool00P3oool0103ookl0M0000000M02ooolN0?ooo`030=nLB01d_ol0oooo00P0oooo
00<0omnL04Qd_`3oool02P3oool00`3o_g@0B9cO0?ooo`3o0?ooogD0oooo00040?ooo`030?noM000
0000000000H0000000<0001809cOo`3oool0=`3oool00`3OW4P0M;oo0?ooo`020?ooo`030?noM000
000000000080000000@0B9cO0?ooo`3ookl0M0000P0000000`0007@0_ooo0?ooo`050?ooo`030?oo
_`1d07@0_ooo00<0oooo00<0oono07@0000000001@0000000`0007@0_ooo0?ooo`0?0?ooo`030?no
M018W=l0oooo00T0oooo00<0okmd0000000000000P0000000`1dW9`0B01d0;ooo`050?ooo`030?oo
_`1d000007Bo01H0oooo00<0gia807Boo`3oool0203oool00`3ogi`0B7Bo0?ooo`020?ooo`030?oO
W018M;l0oooo00D0oooo00<0okmd04RLg`3oool0o`3ooome0?ooo`00A`3oool00`3ookl0M4RL0=oo
o`0F0?ooo`030=nLB01d_ol0oooo01/0oooo00<0oooO09adW03Oool05`3oool00`3ookl0M000001d
_`0F0?ooo`050=nLB000000000000018W03Oool01`3oool01P3o_g@00000000000000000001809cO
o`<0oooo00D0oooO09a800000000000004RLg`3o0?ooogH0oooo003o0?ooool0oooo@P3oool00?l0
ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom2
0?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3o
oooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80
oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?oo
ool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo0000\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.834992, -4.08098, \
0.0149103, 0.216875}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[\((K/Ie)\) Sin[\[Delta]] == EMeq, {\[Delta], 0, 1}]\)], "Input",\

  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(TraditionalForm\`{\[Delta] \[Rule] 0.5236397548799593`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ifa)\) Sin[\[Delta]], EMf}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<EMf,(K/If)Sin[\[Delta]] \>"}];\)\)], \
"Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0163941 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.28125 ]
[1.025 .01472 10 6.28125 ]
[.01131 .09669 -6 -4.5 ]
[.01131 .09669 0 4.5 ]
[.01131 .17866 -12 -4.5 ]
[.01131 .17866 0 4.5 ]
[.01131 .26063 -12 -4.5 ]
[.01131 .26063 0 4.5 ]
[.01131 .3426 -12 -4.5 ]
[.01131 .3426 0 4.5 ]
[.01131 .42457 -12 -4.5 ]
[.01131 .42457 0 4.5 ]
[.01131 .50654 -12 -4.5 ]
[.01131 .50654 0 4.5 ]
[.01131 .58851 -12 -4.5 ]
[.01131 .58851 0 4.5 ]
[.02381 .64303 -53 0 ]
[.02381 .64303 53 12.5625 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .09669 m
.03006 .09669 L
s
[(5)] .01131 .09669 1 0 Mshowa
.02381 .17866 m
.03006 .17866 L
s
[(10)] .01131 .17866 1 0 Mshowa
.02381 .26063 m
.03006 .26063 L
s
[(15)] .01131 .26063 1 0 Mshowa
.02381 .3426 m
.03006 .3426 L
s
[(20)] .01131 .3426 1 0 Mshowa
.02381 .42457 m
.03006 .42457 L
s
[(25)] .01131 .42457 1 0 Mshowa
.02381 .50654 m
.03006 .50654 L
s
[(30)] .01131 .50654 1 0 Mshowa
.02381 .58851 m
.03006 .58851 L
s
[(35)] .01131 .58851 1 0 Mshowa
.125 Mabswid
.02381 .03111 m
.02756 .03111 L
s
.02381 .0475 m
.02756 .0475 L
s
.02381 .0639 m
.02756 .0639 L
s
.02381 .08029 m
.02756 .08029 L
s
.02381 .11308 m
.02756 .11308 L
s
.02381 .12947 m
.02756 .12947 L
s
.02381 .14587 m
.02756 .14587 L
s
.02381 .16226 m
.02756 .16226 L
s
.02381 .19505 m
.02756 .19505 L
s
.02381 .21144 m
.02756 .21144 L
s
.02381 .22784 m
.02756 .22784 L
s
.02381 .24423 m
.02756 .24423 L
s
.02381 .27702 m
.02756 .27702 L
s
.02381 .29341 m
.02756 .29341 L
s
.02381 .30981 m
.02756 .30981 L
s
.02381 .3262 m
.02756 .3262 L
s
.02381 .35899 m
.02756 .35899 L
s
.02381 .37539 m
.02756 .37539 L
s
.02381 .39178 m
.02756 .39178 L
s
.02381 .40817 m
.02756 .40817 L
s
.02381 .44096 m
.02756 .44096 L
s
.02381 .45736 m
.02756 .45736 L
s
.02381 .47375 m
.02756 .47375 L
s
.02381 .49014 m
.02756 .49014 L
s
.02381 .52293 m
.02756 .52293 L
s
.02381 .53933 m
.02756 .53933 L
s
.02381 .55572 m
.02756 .55572 L
s
.02381 .57211 m
.02756 .57211 L
s
.02381 .6049 m
.02756 .6049 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -114 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(EMf) show
81.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
87.000 12.813 moveto
(H) show
93.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
99.000 12.813 moveto
(\\220) show
105.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(If) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
117.000 12.813 moveto
(L) show
123.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
141.000 12.813 moveto
(@) show
147.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
153.000 12.813 moveto
(D) show
165.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08498 L
.10458 .16028 L
.14415 .22846 L
.18221 .29062 L
.22272 .35199 L
.26171 .40539 L
.30316 .45506 L
.34309 .49515 L
.3815 .52587 L
.40095 .53832 L
.42237 .54954 L
.44268 .55772 L
.45178 .56059 L
.46172 .56317 L
.4671 .56432 L
.4721 .56523 L
.47727 .56602 L
.48196 .56659 L
.48658 .56703 L
.4887 .56719 L
.49093 .56732 L
.49332 .56744 L
.49438 .56748 L
.49552 .56751 L
.49675 .56754 L
.49789 .56756 L
.49859 .56757 L
.49925 .56757 L
.50049 .56757 L
.50163 .56756 L
.50286 .56755 L
.50401 .56752 L
.50508 .56749 L
.50754 .5674 L
.51014 .56726 L
.51268 .56709 L
.51504 .56689 L
.5204 .56632 L
.5293 .56499 L
.53882 .56304 L
.54906 .56035 L
.56016 .55672 L
.58032 .54828 L
.62123 .52395 L
.66064 .49175 L
.69852 .4532 L
.73886 .40465 L
.77769 .3514 L
.81897 .28876 L
Mistroke
.85873 .22361 L
.89697 .15755 L
.93767 .08478 L
.97619 .01472 L
Mfstroke
.02381 .60332 m
.06244 .60332 L
.10458 .60332 L
.14415 .60332 L
.18221 .60332 L
.22272 .60332 L
.26171 .60332 L
.30316 .60332 L
.34309 .60332 L
.3815 .60332 L
.42237 .60332 L
.46172 .60332 L
.49955 .60332 L
.53984 .60332 L
.57861 .60332 L
.61984 .60332 L
.65954 .60332 L
.69774 .60332 L
.73838 .60332 L
.77751 .60332 L
.81909 .60332 L
.85916 .60332 L
.89771 .60332 L
.93871 .60332 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo
003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0
oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool009l0oooo00D0
W4P0000000000000001d0;ooo`070?ooo`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000
000000000000B02Lgola0?ooo`0309a800000000000000@0000000<0001d0;ooo`3oool0;P3oool0
0`2LB000000000000004000000030000M02oool0oooo00@0oooo00@0gia80000000004P0W=oo1`3o
ool01P3ogi`0B000000000000000001809cOoc00oooo00<0gia80000000000001@0000000`00B9`0
oooo0?ooo`0]0?ooo`030=nLB0000000000000D0000000<004RL0?ooo`3oool0103oool0103OW4P0
00000000B02Lgol70?ooo`060?oOW018000000000000000004P0W=oo<P3oool01P2LB00000000000
00000000001d0;oooc`0oooo002N0?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0102L
B000000000000018W=l60?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0<`3oool0
0`3OW4P007Bo0?ooo`0e0?ooo`030=nLB000M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3o
ool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo02l0oooo00<0okmd0000B02Lgol0103o
ool00`3o_g@007Bo0?ooo`0^0?ooo`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool01@3o
ool0102LB000000000000018W=l60?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0
;`3oool00`3ogi`0B00004RLg`030?ooo`030=nLB0000000M;oo03/0oooo002M0?ooo`030?noM000
M;l0oooo00<0oooo00<0_g@004RLg`3oool01@3oool0103OW4P000000000B02Lgol50?ooo`030?oO
W01807@0_ooo00@0oooo00<0okmd0000M02oool0<P3oool00`3OW4P007Bo0?ooo`0e0?ooo`030=nL
B000M;l0oooo00P0oooo00@0gia80000000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`03
0?noM00007@0_ooo02l0oooo00<0okmd0000B02Lgol0=@3oool00`3o_g@0001809cOo`0;0?ooo`04
0=nLB0000000001809cOo`D0oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`0e0?oo
o`030=nLB000B9`0oooo03X0oooo002M0?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03o
ool05@3oool00`3ookl0M01809cOo`0b0?ooo`030=nLB000M;l0oooo03D0oooo00<0gia8001d_`3o
ool0603oool00`3ookl0M01809cOo`0`0?ooo`030?oOW01804P0W=oo03D0oooo00<0omnL04P0B02L
gol06P3oool00`3ookl0M01809cOo`0e0?ooo`030?oo_`1d04P0W=oo03X0oooo002M0?ooo`0309a8
001d_ol0oooo00<0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01809cOo`0b0?ooo`030=nL
B000M;l0oooo03D0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01809cOo`0a0?ooo`030?oO
W01804P0W=oo03D0oooo00<0omnL04P0B02Lgol06@3oool00`3ookl0M01809cOo`0e0?ooo`030?oo
_`1d04P0W=oo03X0oooo002L0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3o
ool00`3ookl0M01d0;ooo`0b0?ooo`030=nLB000M;l0oooo03D0oooo00<0gia8001d_`3oool0603o
ool00`3ookl0M01d0;ooo`0b0?ooo`030?oOW01804P0W=oo03D0oooo00<0omnL04P0B02Lgol0603o
ool00`3ookl0M01d0;ooo`0e0?ooo`030=nLB000B9`0oooo03X0oooo002L0?ooo`030?oo_`1d04P0
W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0
oooo0380oooo00<0gia8001d_`3oool0=@3oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW0180000
04RL00<0oooo00<0W4P004RLg`3oool0<`3oool00`3ogi`0B01809cOo`0e0?ooo`030?oOW01804P0
W=oo0140oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`0d0?ooo`030;md000007@0
_ooo03/0oooo002L0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3o
gi`0B01d09bLB0030000000304RLg`3oool0oooo0380oooo00<0gia8001d_`3oool0=@3oool00`3O
W4P007Bo0?ooo`0B0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool0=03oool00`3o
gi`0B01d0;ooo`0e0?ooo`030?oOW01807@0_ooo0100oooo00<0omnL04P0M02LW4P00`0000000`18
W=l0oooo0?ooo`0a0?ooo`050?oOW018000000000000B02Lgol0?03oool009d0oooo00<0W4Q809cO
o`3oool00`3oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW01807@0_ooo03P0oooo00<0gia8001d
_`3oool0=@3oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW01807@0_ooo03/0oooo00<0gia8001d
_`3oool0=@3oool00`3OW4P007Bo0?ooo`0?0?ooo`030?oOW01807@0_ooo03X0oooo00<0okmd0000
B02Lgol0>`3oool009d0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`03
0?oOW01807@0_ooo03P0oooo00<0gia8001d_`3oool0=@3oool00`3OW4P007Bo0?ooo`0B0?ooo`03
0?oOW01807@0_ooo03D0oooo00<0W7BL0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`0_0?ooo`03
09adW03oool0oooo00<0oooo00<0okmd0018W03oool03`3oool00`3ogi`0B01d0;ooo`0k0?ooo`03
0=nLB000M;l0oooo03X0oooo002M0?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool0
3`3oool00`3ogi`0B01d0;ooo`0h0?ooo`030=nLB000M;l0oooo03D0oooo00<0gia8001d_`3oool0
4P3oool00`3ogi`0B01d0;ooo`0d0?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool0
;P3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0oooo00l0oooo00<0omnL04P0M02oool0
>`3oool00`3OW4P007Bo0?ooo`0j0?ooo`00WP3oool01P2oM00007Bo0?ooo`3oool0gia80018W140
oooo00<0omnL04P0M02oool0=@3oool01@2LB00000000000M02LW4P007Bo03<0oooo00D0W4P00000
000007@0W9a8001d_`0C0?ooo`030?oOW01807@0_ooo03D0oooo00<0okmd0000001d_ol00P3oool0
0`2oM000001d0;ooo`0`0?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0403oool0
0`3ogi`0B01d0;ooo`0e0?ooo`0309a8000004P0W=oo0080oooo00<0okmd0000001d_ol0>`3oool0
09l0oooo00D0_g@0000000000000001d0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo
0?ooo`3oool0<03oool00`3o_g@00000001d_`0e0?ooo`030?noM000000007Bo01<0oooo00<0omnL
04P000000000100000000`1d_ol0oooo0?ooo`0_0?ooo`050?oOW0180000000000000000B9`0<`3o
ool01@3ogi`0B00000000000000004RL0180oooo00<0omnL04P000000000100000000`1d_ol0oooo
0?ooo`0_0?ooo`060?oOW018000000000000000004P0W=oo?03oool00?l0ooooo`3ooom20?ooo`00
o`3ooooo0?oood80oooo001Z0?ooo`030000003oool0oooo0?l0ooooe03oool006X0oooo00<00000
0?ooo`3oool0o`3ooooD0?ooo`00JP3oool00`000000oooo0?ooo`3o0?oool@0oooo00<0omnL04P0
000000000P0000000`18W=l0oooo0?ooo`080?ooo`00JP3oool00`000000oooo0?ooo`3o0?oool<0
oooo00<0omnL04P0B02Lgol00`3oool00`2oM00004RL0=ooo`080?ooo`00JP3oool00`000000oooo
0?ooo`3o0?oool<0oooo00<0_g@007Boo`3oool0103oool00`3OW4P007Bo0?ooo`070?ooo`00JP3o
ool00`000000oooo0?ooo`3o0?oool<0oooo00<0_gA809cOo`3oool0103oool00`3ooml0W4Q809cO
o`070?ooo`00G`3ooooo00000<8000003`3oool00`3OW4P0M;oo0?ooo`050?ooo`030=nLB018W=l0
oooo00H0oooo001Z0?ooo`8000002`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool03`3oool00`3ogi`0B7Bo0?ooo`050?ooo`030?noM018W=l0oooo
00H0oooo001Z0?ooo`8000002`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0403oool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB01d_ol0oooo00H0
oooo001Z0?ooo`030000003oool000000400oooo00<000000?ooo`3oool0@@3oool00`000000oooo
0?ooo`110?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0@@3oool00`000000oooo
0?ooo`110?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool06`3oool00`3OW4P00000
07Boo`020?ooo`030?oo_`1d07@0_ooo00L0oooo001Z0?ooo`030000003oool000000?l0ooooY`3o
ool00`000000oooo0?ooo`0M0?ooo`050;md0000000000000000B02Lgol0203oool006X0oooo00@0
00000?ooo`3oool00000o`3ooonU0?ooo`030000003oool0oooo01h0oooo00<0okmd0000001d_ol0
2P3oool006X0oooo00@000000?ooo`3oool00000o`3ooonU0?ooo`030000003oool0oooo01d0oooo
00<0omnL04Qd_`3oool02`3oool006X0oooo00D000000?ooo`3oool0oooo0000003o0?oooj<0oooo
00<000000?ooo`3oool07P3oool00`3ogi`0B7Bo0?ooo`020?ooo`030?oOW018M;l0oooo00H0oooo
001Z0?ooo`8000000P3oool00`000000oooo0?ooo`3o0?oooj00oooo00<000000?ooo`3oool0803o
ool01P3o_g@00000000000000000001809cOo`L0oooo001Z0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0o`3ooonO0?ooo`030000003oool0oooo02d0oooo001Z0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0o`3ooonN0?ooo`030000003oool0oooo02h0oooo001Z
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooonM0?ooo`030000003oool0
oooo02h0oooo001Z0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooonL0?oo
o`030000003oool0oooo02l0oooo001Z0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0o`3ooonK0?ooo`030000003oool0oooo02l0oooo001Z0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0o`3ooonJ0?ooo`030000003oool0oooo0300oooo001Z0?ooo`8000001P3o
ool00`000000oooo0?ooo`3o0?oooiT0oooo00<000000?ooo`3oool0<03oool006X0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?oooiP0oooo00<000000?ooo`3oool0<@3oool0
06X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`3o0?oooiH0oooo00<000000?oo
o`3oool0<P3oool006X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`3o0?oooiD0
oooo00<000000?ooo`3oool0<P3oool006X0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`3o0?oooi@0oooo00<000000?ooo`3oool0<`3oool006X0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`3o0?oooi<0oooo00<000000?ooo`3oool0<`3oool006X0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`3o0?oooi80oooo00<000000?ooo`3oool0=03oool0
06X0oooo0P00000:0?ooo`030000003oool0oooo0?l0ooooT@3oool00`000000oooo0?ooo`0d0?oo
o`00JP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0?l0ooooT03oool00`000000
oooo0?ooo`0e0?ooo`00JP3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0?l0oooo
SP3oool00`000000oooo0?ooo`0f0?ooo`00JP3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0?l0ooooSP3oool00`000000oooo0?ooo`0f0?ooo`00JP3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo0?l0ooooS03oool00`000000oooo0?ooo`0g0?ooo`00JP3oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo0?l0ooooS03oool00`000000oooo0?ooo`0g0?oo
o`00JP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0?l0ooooRP3oool00`000000
oooo0?ooo`0h0?ooo`00JP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0?l0oooo
RP3oool00`000000oooo0?ooo`0h0?ooo`00JP3oool2000000h0oooo00<000000?ooo`3oool0o`3o
oon80?ooo`030000003oool0oooo03T0oooo001Z0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool0o`3ooon80?ooo`030000003oool0oooo03T0oooo001K0?ooo`060?oOW01800000000
0000000004P0W=oo2@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0?l0ooooQP3o
ool00`000000oooo0?ooo`0j0?ooo`00FP3oool00`3OW4P0000007Boo`020?ooo`030?noM0000000
M;oo00P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?oooh@0oooo00<00000
0?ooo`3oool0>`3oool005T0oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`070?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0o`3ooon40?ooo`030000003oool0oooo
03/0oooo001P0?ooo`030?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`3o0?oooh80oooo00<000000?ooo`3oool0?03oool00600oooo00<0oono07@0B02Lgol0
1`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0?l0ooooPP3oool00`000000oooo
0?ooo`0l0?ooo`00H03oool00`3ookl0M01d0;ooo`070?ooo`<000004@3oool00`000000oooo0?oo
o`3o0?oooh00oooo00<000000?ooo`3oool0?@3oool005X0oooo00<0omnL04P00000B9`00`3oool0
0`2LB000B9cO0?ooo`070?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0o`3ooon0
0?ooo`030000003oool0oooo03d0oooo001J0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?oo
o`3oool01`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0?l0ooooOP3oool00`00
0000oooo0?ooo`0n0?ooo`00FP3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0o`3ooomm0?ooo`030000003oool0oooo03l0oooo001J0?ooo`030?oO
W01807@0_ooo00d0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`3o0?ooog`0oooo
00<000000?ooo`3oool0?`3oool005X0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo0?l0ooooNP3oool00`000000oooo0?ooo`100?ooo`00FP3oool0
0`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0o`3ooomj
0?ooo`030000003oool0oooo0400oooo001J0?ooo`030?oOW0180000000000@0000000<0M;oo0?oo
o`3oool01P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0?l0ooooN03oool00`00
0000oooo0?ooo`110?ooo`00JP3oool2000001H0oooo00<000000?ooo`3oool0o`3ooomh0?ooo`03
0000003oool0oooo0440oooo001Z0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
o`3ooomf0?ooo`030000003oool0oooo0480oooo001Z0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0o`3ooomf0?ooo`030000003oool0oooo0480oooo001Z0?ooo`030000003oool0
oooo01L0oooo00<000000?ooo`3oool0o`3ooomd0?ooo`030000003oool0oooo04<0oooo001Z0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0o`3ooomc0?ooo`030000003oool0oooo
04@0oooo001Z0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0o`3ooomb0?ooo`03
0000003oool0oooo04@0oooo001Z0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
o`3ooom`0?ooo`030000003oool0oooo04D0oooo001Z0?ooo`8000006P3oool00`000000oooo0?oo
o`3o0?ooog00oooo00<000000?ooo`3oool0A@3oool006X0oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`3o0?ooofh0oooo00<000000?ooo`3oool0AP3oool006X0oooo00<000000?oo
o`3oool06P3oool00`000000oooo0?ooo`3o0?ooofh0oooo00<000000?ooo`3oool0AP3oool006X0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`3o0?ooof`0oooo00<000000?ooo`3o
ool0A`3oool006X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`3o0?ooof/0oooo
00<000000?ooo`3oool0B03oool006X0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`3o0?ooofX0oooo00<000000?ooo`3oool0B03oool006X0oooo00<000000?ooo`3oool07@3oool0
0`000000oooo0?ooo`3o0?ooofP0oooo00<000000?ooo`3oool0B@3oool006X0oooo0P00000N0?oo
o`030000003oool0oooo0?l0ooooJ03oool00`000000oooo0?ooo`190?ooo`00JP3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo0?l0ooooIP3oool00`000000oooo0?ooo`1:0?ooo`00
JP3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0?l0ooooIP3oool00`000000oooo
0?ooo`1:0?ooo`00JP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0?l0ooooI03o
ool00`000000oooo0?ooo`1;0?ooo`00JP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo0?l0ooooI03oool00`000000oooo0?ooo`1;0?ooo`00JP3oool00`000000oooo0?ooo`0P0?oo
o`030000003oool0oooo0?l0ooooHP3oool00`000000oooo0?ooo`1<0?ooo`00JP3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo0?l0ooooH@3oool00`000000oooo0?ooo`1=0?ooo`00
JP3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0?l0ooooH03oool00`000000oooo
0?ooo`1=0?ooo`00JP3oool2000002<0oooo00<000000?ooo`3oool0o`3ooomN0?ooo`030000003o
ool0oooo04h0oooo001Z0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0o`3ooomN
0?ooo`030000003oool0oooo04h0oooo001>0?ooo`0309a800000000000000@0000000<0001d0;oo
o`3oool0103oool01@2LB00000000000000007@0_ooo00T0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`3o0?oooe`0oooo00<000000?ooo`3oool0C`3oool00540oooo00<0gia8001d
_`3oool01`3oool01P2oM000B9cO0?ooo`3oool0okmd0018W0T0oooo00<000000?ooo`3oool08`3o
ool00`000000oooo0?ooo`3o0?oooe`0oooo00<000000?ooo`3oool0C`3oool00540oooo00<0gia8
001d_`3oool01P3oool00`3o_g@007Bo0?ooo`030?ooo`030;md0018W=l0oooo00L0oooo00<00000
0?ooo`3oool0903oool00`000000oooo0?ooo`3o0?oooeX0oooo00<000000?ooo`3oool0D03oool0
0540oooo00<0gia8001d_`3oool01P3oool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo
00L0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`3o0?oooeT0oooo00<000000?oo
o`3oool0D@3oool00540oooo00<0gia8001d_`3oool01P3oool00`2LB000M;oo0?ooo`030?ooo`03
0?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`3o0?oooeP0
oooo00<000000?ooo`3oool0D@3oool00540oooo00<0gia8001d_`3oool01@3oool00`3ookl0M018
09cOo`040?ooo`030?oOW01807@0_ooo00L0oooo0`00000V0?ooo`030000003oool0oooo0?l0oooo
EP3oool00`000000oooo0?ooo`1B0?ooo`00D@3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d
04P0W=oo00@0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`0V0?ooo`030000003o
ool0oooo0?l0ooooEP3oool00`000000oooo0?ooo`1B0?ooo`00D@3oool00`3OW4P007Bo0?ooo`05
0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`0W
0?ooo`030000003oool0oooo0?l0ooooE03oool00`000000oooo0?ooo`1C0?ooo`00D@3oool00`3O
W4P007Bo0?ooo`060?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool01`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo0?l0ooooE03oool00`000000oooo0?ooo`1C0?oo
o`00D@3oool00`3OW4P007Bo0?ooo`060?ooo`030;md001d_ol0oooo00<0oooo00<0okmd0018W03o
ool01`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0?l0ooooDP3oool00`000000
oooo0?ooo`1D0?ooo`00D@3oool00`3OW4P007Bo0?ooo`060?ooo`030?noM000B9`0oooo00<0oooo
00<0_g@004RLg`3oool01`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0?l0oooo
D@3oool00`000000oooo0?ooo`1E0?ooo`00CP3oool01@2LB00000000000M02LW4P007Bo00P0oooo
00H0_g@0001d_`3oool0oooo0=nLB000B9`90?ooo`030000003oool0oooo02T0oooo00<000000?oo
o`3oool0o`3ooom@0?ooo`030000003oool0oooo05D0oooo001@0?ooo`030?noM000000007Bo00T0
oooo00D0_g@0000000000000001d0;ooo`090?ooo`800000:P3oool00`000000oooo0?ooo`3o0?oo
odl0oooo00<000000?ooo`3oool0EP3oool006X0oooo00<000000?ooo`3oool0:P3oool00`000000
oooo0?ooo`3o0?ooodh0oooo00<000000?ooo`3oool0EP3oool006X0oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`3o0?oood`0oooo00<000000?ooo`3oool0E`3oool006X0oooo00<0
00000?ooo`3oool0:`3oool00`000000oooo0?ooo`3o0?oood`0oooo00<000000?ooo`3oool0E`3o
ool006X0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`3o0?ooodX0oooo00<00000
0?ooo`3oool0F03oool006X0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`3o0?oo
odX0oooo00<000000?ooo`3oool0F03oool006X0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`3o0?ooodP0oooo00<000000?ooo`3oool0F@3oool006X0oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`3o0?ooodL0oooo00<000000?ooo`3oool0FP3oool006X0oooo0P00
000_0?ooo`030000003oool0oooo0?l0ooooAP3oool00`000000oooo0?ooo`1J0?ooo`00JP3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0?l0ooooA03oool00`000000oooo0?ooo`1K
0?ooo`00JP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0?l0ooooA03oool00`00
0000oooo0?ooo`1K0?ooo`00JP3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0?l0
oooo@P3oool00`000000oooo0?ooo`1L0?ooo`00JP3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo0?l0oooo@P3oool00`000000oooo0?ooo`1L0?ooo`00JP3oool00`000000oooo0?oo
o`0a0?ooo`030000003oool0oooo0?l0oooo@03oool00`000000oooo0?ooo`1M0?ooo`00JP3oool0
0`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0?l0oooo?`3oool00`000000oooo0?ooo`1N
0?ooo`00JP3oool2000003<0oooo00<000000?ooo`3oool0o`3oooln0?ooo`030000003oool0oooo
05h0oooo001Z0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0o`3oooll0?ooo`03
0000003oool0oooo05l0oooo001Z0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0
o`3oooll0?ooo`030000003oool0oooo05l0oooo001Z0?ooo`030000003oool0oooo03@0oooo00<0
00000?ooo`3oool0o`3ooolj0?ooo`030000003oool0oooo0600oooo001Z0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0o`3ooolh0?ooo`030000003oool0oooo0640oooo001Z0?oo
o`030000003oool0oooo03D0oooo00<000000?ooo`3oool0o`3ooolh0?ooo`030000003oool0oooo
0640oooo001Z0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0o`3ooolf0?ooo`03
0000003oool0oooo0680oooo001Z0?ooo`800000=`3oool00`000000oooo0?ooo`3o0?ooocD0oooo
00<000000?ooo`3oool0H`3oool006X0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?oo
o`3o0?oooc@0oooo00<000000?ooo`3oool0H`3oool006X0oooo00<000000?ooo`3oool0>03oool0
0`000000oooo0?ooo`3o0?oooc80oooo00<000000?ooo`3oool0I03oool004h0oooo00<0W4P00000
00000000100000000`0007@0_ooo0?ooo`030?ooo`060?oOW018000000000000000004P0W=oo2@3o
ool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo0?l0oooo<P3oool00`000000oooo0?oo
o`1T0?ooo`00D@3oool00`3OW4P007Bo0?ooo`060?ooo`030=nLB0000000M;oo0080oooo00<0okmd
0000001d_ol0203oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0?l0oooo<03oool0
0`000000oooo0?ooo`1U0?ooo`00D@3oool00`3OW4P007Bo0?ooo`050?ooo`030?oOW01807@0_ooo
00@0oooo00<0okmd0000M02oool01`3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo
0?l0oooo;P3oool00`000000oooo0?ooo`1V0?ooo`00D@3oool00`3OW4P007Bo0?ooo`0<0?ooo`03
0?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`3o0?ooobh0
oooo00<000000?ooo`3oool0IP3oool00540oooo00<0gia8001d_`3oool0303oool00`3ookl0M018
09cOo`070?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0o`3oool/0?ooo`030000
003oool0oooo06L0oooo001A0?ooo`030=nLB000M;l0oooo00`0oooo00<0oono07@0M02oool01`3o
ool3000003`0oooo00<000000?ooo`3oool0o`3ooolZ0?ooo`030000003oool0oooo06P0oooo001A
0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`07
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0o`3ooolZ0?ooo`030000003oool0
oooo06P0oooo001A0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P0M02LW4P00`0000000`18
W=l0oooo0?ooo`070?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0o`3ooolX0?oo
o`030000003oool0oooo06T0oooo001A0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P0M02o
ool03@3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0?l0oooo9`3oool00`000000
oooo0?ooo`1Y0?ooo`00D@3oool00`3OW4P007Bo0?ooo`060?ooo`030?oOW01807@0_ooo00d0oooo
00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`3o0?ooobH0oooo00<000000?ooo`3oool0
JP3oool00540oooo00<0gia8001d_`3oool01P3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003o
ool0oooo03l0oooo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo06/0oooo001>
0?ooo`0509a800000000001d09bLB000M;l01`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003o
ool0oooo03l0oooo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo06/0oooo001@
0?ooo`030?noM000000007Bo00L0oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`06
0?ooo`800000@@3oool00`000000oooo0?ooo`3o0?ooob80oooo00<000000?ooo`3oool0K03oool0
06X0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`3o0?ooob00oooo00<000000?oo
o`3oool0K@3oool006X0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`3o0?ooob00
oooo00<000000?ooo`3oool0K@3oool006X0oooo00<000000?ooo`3oool0@P3oool00`000000oooo
0?ooo`3o0?oooah0oooo00<000000?ooo`3oool0KP3oool006X0oooo00<000000?ooo`3oool0@`3o
ool00`000000oooo0?ooo`3o0?oooad0oooo00<000000?ooo`3oool0KP3oool006X0oooo00<00000
0?ooo`3oool0@`3oool00`000000oooo0?ooo`3o0?oooa`0oooo00<000000?ooo`3oool0K`3oool0
06X0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`3o0?oooaX0oooo00<000000?oo
o`3oool0L03oool006X0oooo0P0000160?ooo`030000003oool0oooo0?l0oooo6@3oool00`000000
oooo0?ooo`1`0?ooo`00JP3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo0?l0oooo
603oool00`000000oooo0?ooo`1a0?ooo`00JP3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo0?l0oooo5P3oool00`000000oooo0?ooo`1b0?ooo`00JP3oool00`000000oooo0?ooo`17
0?ooo`030000003oool0oooo0?l0oooo5@3oool00`000000oooo0?ooo`1b0?ooo`00JP3oool00`00
0000oooo0?ooo`170?ooo`030000003oool0oooo0?l0oooo503oool00`000000oooo0?ooo`1c0?oo
o`00JP3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0?l0oooo4P3oool00`000000
oooo0?ooo`1d0?ooo`00JP3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0?l0oooo
4P3oool00`000000oooo0?ooo`1d0?ooo`00JP3oool00`000000oooo0?ooo`190?ooo`030000003o
ool0oooo0?l0oooo403oool00`000000oooo0?ooo`1e0?ooo`00JP3oool2000004/0oooo00<00000
0?ooo`3oool0o`3oool?0?ooo`030000003oool0oooo07D0oooo001Z0?ooo`030000003oool0oooo
04X0oooo00<000000?ooo`3oool0o`3oool>0?ooo`030000003oool0oooo07H0oooo001Z0?ooo`03
0000003oool0oooo04/0oooo00<000000?ooo`3oool0o`3oool<0?ooo`030000003oool0oooo07L0
oooo001Z0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0o`3oool;0?ooo`030000
003oool0oooo07L0oooo001Z0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0o`3o
ool:0?ooo`030000003oool0oooo07P0oooo001Z0?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool0o`3oool80?ooo`030000003oool0oooo07T0oooo001Z0?ooo`030000003oool0oooo
04h0oooo00<000000?ooo`3oool0o`3oool70?ooo`030000003oool0oooo07T0oooo001Z0?ooo`80
0000C`3oool00`000000oooo0?ooo`3o0?ooo`H0oooo00<000000?ooo`3oool0NP3oool006X0oooo
00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool0
N`3oool004d0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`040?ooo`0509a80000
000000000000M02oool02@3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo0?l0oooo
0`3oool00`000000oooo0?ooo`1k0?ooo`00C@3oool00`3o_g@0001809cOo`040?ooo`030?noM000
M;l0oooo00@0oooo00H0_g@004RLg`3oool0oooo0?noM000B9`90?ooo`030000003oool0oooo0500
oooo00<000000?ooo`3oool0o`3oool20?ooo`030000003oool0oooo07`0oooo001>0?ooo`030?no
M00004P0W=oo00T0oooo00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?ooo`070?ooo`030000
003oool0oooo0540oooo00<000000?ooo`3oool0o`3oool00`000000oooo0?ooo`1m0?ooo`00C`3o
ool00`3ogi`0B01809cOo`080?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool01`3o
ool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0?l0oooo00<000000?ooo`3oool0O@3o
ool00500oooo00<0omnL04P0B02Lgol01`3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0
_ooo00L0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0
oooo07h0oooo001A0?ooo`030?oOW01804P0W=oo00D0oooo00<0oono07@0B02Lgol0103oool00`3o
gi`0B01d0;ooo`070?ooo`<00000D`3oool00`000000oooo0?ooo`3l0?ooo`030000003oool0oooo
07h0oooo001B0?ooo`030?oOW01804P0W=oo00@0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0
B01d0;ooo`070?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool0n`3oool00`000000
oooo0?ooo`1o0?ooo`00D`3oool00`3ogi`0B01d0;ooo`030?ooo`030?oo_`1d04P0W=oo00@0oooo
00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0?T0oooo
00<000000?ooo`3oool0P03oool005@0oooo00<0gia8001d_`3oool00`3oool00`2LB4P0W=oo0?oo
o`030?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?oo
o`3h0?ooo`030000003oool0oooo0800oooo001>0?ooo`0309adW03oool0oooo00<0oooo00<0okmd
0018W03oool00`3oool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<00000
0?ooo`3oool0E@3oool00`000000oooo0?ooo`3g0?ooo`030000003oool0oooo0840oooo001=0?oo
o`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool00`3oool00`3o_g@004RL0?ooo`030?oo
o`030;md0018W=l0oooo00L0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`3e0?oo
o`030000003oool0oooo0880oooo001>0?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02o
ool01@3oool01P2oM00007Bo0?ooo`3oool0gia80018W0T0oooo00<000000?ooo`3oool0E`3oool0
0`000000oooo0?ooo`3c0?ooo`030000003oool0oooo08<0oooo001?0?ooo`050?oOW01800000000
00000000B9`0203oool01@2oM00000000000000007@0_ooo00T0oooo00<000000?ooo`3oool0E`3o
ool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo08<0oooo001Z0?ooo`800000F@3oool0
0`000000oooo0?ooo`3a0?ooo`030000003oool0oooo08@0oooo001Z0?ooo`030000003oool0oooo
05T0oooo00<000000?ooo`3oool0k`3oool00`000000oooo0?ooo`250?ooo`00JP3oool00`000000
oooo0?ooo`1J0?ooo`030000003oool0oooo0>d0oooo00<000000?ooo`3oool0QP3oool006X0oooo
00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`3]0?ooo`030000003oool0oooo08H0oooo
001Z0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0j`3oool00`000000oooo0?oo
o`270?ooo`00JP3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo0>T0oooo00<00000
0?ooo`3oool0R03oool006X0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`3X0?oo
o`030000003oool0oooo08T0oooo001Z0?ooo`800000GP3oool00`000000oooo0?ooo`3W0?ooo`03
0000003oool0oooo08T0oooo001Z0?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool0
i@3oool00`000000oooo0?ooo`2:0?ooo`00JP3oool00`000000oooo0?ooo`1N0?ooo`030000003o
ool0oooo0>@0oooo00<000000?ooo`3oool0R`3oool006X0oooo00<000000?ooo`3oool0G`3oool0
0`000000oooo0?ooo`3R0?ooo`030000003oool0oooo08`0oooo001Z0?ooo`030000003oool0oooo
0600oooo00<000000?ooo`3oool0h@3oool00`000000oooo0?ooo`2<0?ooo`00JP3oool00`000000
oooo0?ooo`1Q0?ooo`030000003oool0oooo0=l0oooo00<000000?ooo`3oool0S@3oool006X0oooo
00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`3N0?ooo`030000003oool0oooo08h0oooo
001Z0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool0g03oool00`000000oooo0?oo
o`2?0?ooo`00JP3oool2000006@0oooo00<000000?ooo`3oool0f`3oool00`000000oooo0?ooo`2?
0?ooo`00JP3oool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo0=X0oooo00<000000?oo
o`3oool0T03oool006X0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`3H0?ooo`03
0000003oool0oooo0940oooo001Z0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool0
eP3oool00`000000oooo0?ooo`2B0?ooo`00JP3oool00`000000oooo0?ooo`1V0?ooo`030000003o
ool0oooo0=D0oooo00<000000?ooo`3oool0TP3oool006X0oooo00<000000?ooo`3oool0IP3oool0
0`000000oooo0?ooo`3D0?ooo`030000003oool0oooo09<0oooo001Z0?ooo`030000003oool0oooo
06L0oooo00<000000?ooo`3oool0dP3oool00`000000oooo0?ooo`2D0?ooo`00JP3oool2000006T0
oooo00<000000?ooo`3oool0d03oool00`000000oooo0?ooo`2E0?ooo`00JP3oool00`000000oooo
0?ooo`1Y0?ooo`030000003oool0oooo0<l0oooo00<000000?ooo`3oool0U@3oool004d0oooo00<0
gia80000000000001@0000000`00B9`0oooo0?ooo`030?ooo`060?oOW018000000000000000004P0
W=oo2@3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo0<d0oooo00<000000?ooo`3o
ool0UP3oool004d0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`030?ooo`030=nL
B0000000M;oo0080oooo00<0okmd0000001d_ol0203oool00`000000oooo0?ooo`1Z0?ooo`030000
003oool0oooo0<`0oooo00<000000?ooo`3oool0U`3oool004h0oooo00<0okmd0000B02Lgol0203o
ool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo00L0oooo00<000000?ooo`3oool0J`3o
ool00`000000oooo0?ooo`3:0?ooo`030000003oool0oooo09P0oooo001?0?ooo`030?oOW01804P0
W=oo00h0oooo00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0
oooo0<P0oooo00<000000?ooo`3oool0V@3oool00500oooo00<0omnL04P0B02Lgol03@3oool00`3o
okl0M01809cOo`070?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0aP3oool00`00
0000oooo0?ooo`2J0?ooo`00D@3oool00`3ogi`0B01809cOo`0<0?ooo`030?oo_`1d07@0_ooo00L0
oooo0`00001^0?ooo`030000003oool0oooo0<D0oooo00<000000?ooo`3oool0VP3oool00580oooo
00<0omnL04P0B02Lgol01@3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo00L0oooo
00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`330?ooo`030000003oool0oooo09/0oooo
001C0?ooo`030?oOW01807@0_ooo00@0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?oo
o`070?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0`@3oool00`000000oooo0?oo
o`2L0?ooo`00E03oool00`3OW4P007Bo0?ooo`030?ooo`030?oOW01807@0_ooo00d0oooo00<00000
0?ooo`3oool0L03oool00`000000oooo0?ooo`300?ooo`030000003oool0oooo09d0oooo001>0?oo
o`0309adW03oool0oooo00<0oooo00<0okmd0018W03oool00`3oool00`3ogi`0B01d0;ooo`0=0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0_P3oool00`000000oooo0?ooo`2N0?oo
o`00C@3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0oooo00<0oooo00<0omnL04P0M02o
ool03@3oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo0;d0oooo00<000000?ooo`3o
ool0WP3oool004h0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;ooo`040?ooo`030?oO
W01807@0_ooo00d0oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`2k0?ooo`030000
003oool0oooo09l0oooo001?0?ooo`050?oOW0180000000000000000B9`01P3oool00`3ogi`0B000
000000040000000307Boo`3oool0oooo00H0oooo00<000000?ooo`3oool0M03oool00`000000oooo
0?ooo`2i0?ooo`030000003oool0oooo0:00oooo001Z0?ooo`800000MP3oool00`000000oooo0?oo
o`2g0?ooo`030000003oool0oooo0:40oooo001Z0?ooo`030000003oool0oooo07H0oooo00<00000
0?ooo`3oool0]@3oool00`000000oooo0?ooo`2R0?ooo`00JP3oool00`000000oooo0?ooo`1g0?oo
o`030000003oool0oooo0;<0oooo00<000000?ooo`3oool0X`3oool006X0oooo00<000000?ooo`3o
ool0M`3oool00`000000oooo0?ooo`2c0?ooo`030000003oool0oooo0:<0oooo001Z0?ooo`030000
003oool0oooo07P0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`2T0?ooo`00JP3o
ool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo0:l0oooo00<000000?ooo`3oool0Y@3o
ool006X0oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`2]0?ooo`030000003oool0
oooo0:H0oooo001Z0?ooo`800000O03oool00`000000oooo0?ooo`2[0?ooo`030000003oool0oooo
0:L0oooo001Z0?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3oool0Z@3oool00`000000
oooo0?ooo`2X0?ooo`00JP3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo0:L0oooo
00<000000?ooo`3oool0Z@3oool006X0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?oo
o`2U0?ooo`030000003oool0oooo0:X0oooo001Z0?ooo`030000003oool0oooo07l0oooo00<00000
0?ooo`3oool0X`3oool00`000000oooo0?ooo`2[0?ooo`00JP3oool00`000000oooo0?ooo`200?oo
o`030000003oool0oooo0:40oooo00<000000?ooo`3oool0[03oool006X0oooo00<000000?ooo`3o
ool0P@3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo0:d0oooo001Z0?ooo`800000
P`3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0oooo0:h0oooo001Z0?ooo`030000003o
ool0oooo08<0oooo00<000000?ooo`3oool0V`3oool00`000000oooo0?ooo`2_0?ooo`00JP3oool0
0`000000oooo0?ooo`240?ooo`030000003oool0oooo09T0oooo00<000000?ooo`3oool0/03oool0
06X0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`2G0?ooo`030000003oool0oooo
0;40oooo001Z0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0U@3oool00`000000
oooo0?ooo`2b0?ooo`00JP3oool00`000000oooo0?ooo`270?ooo`030000003oool0oooo09<0oooo
00<000000?ooo`3oool0/`3oool006X0oooo00<000000?ooo`3oool0R03oool00`000000oooo0?oo
o`2A0?ooo`030000003oool0oooo0;@0oooo001Z0?ooo`030000003oool0oooo08T0oooo00<00000
0?ooo`3oool0S`3oool00`000000oooo0?ooo`2e0?ooo`00JP3oool2000008/0oooo00<000000?oo
o`3oool0S@3oool00`000000oooo0?ooo`2f0?ooo`00JP3oool00`000000oooo0?ooo`2;0?ooo`03
0000003oool0oooo08/0oooo00<000000?ooo`3oool0]`3oool004l0oooo00H0W4P0000000000000
00000000M02oool70?ooo`0509a80000000000000000M02oool02@3oool00`000000oooo0?ooo`2<
0?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool0^03oool004d0oooo00<0omnL04P0
0018W=l00`3oool00`3OW4P0000007Boo`050?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL2@3o
ool00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo08H0oooo0P00002k0?ooo`00E03oool0
0`3OW4P004RL0?ooo`030?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3oool01`3oool0
0`000000oooo0?ooo`2>0?ooo`800000Q@3oool00`000000oooo0?ooo`2k0?ooo`00E03oool00`3o
okl0M01809cOo`030?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool01`3oool00`00
0000oooo0?ooo`2@0?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool0_03oool005@0
oooo00<0oono07@0B02Lgol00`3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0_ooo00L0
oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo0;d0
oooo001D0?ooo`030=nLB000B9`0oooo0080oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d
0;ooo`070?ooo`<00000TP3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo0;h0oooo
001C0?ooo`030;md000007@0_ooo00<0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;oo
o`070?ooo`030000003oool0oooo09<0oooo00<000000?ooo`3oool0NP3oool200000<40oooo001@
0?ooo`050?oOW018000000000000B02Lgol0103oool00`3ookl0M01809cOo`040?ooo`030?oOW018
07@0_ooo00L0oooo00<000000?ooo`3oool0U03oool2000007T0oooo00<000000?ooo`3oool0`@3o
ool005<0oooo00<0okmd0000B02Lgol0103oool00`2LB4P0W=oo0?ooo`030?ooo`030?oOW01807@0
_ooo00L0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`1e0?ooo`030000003oool0
oooo0<80oooo001D0?ooo`030=nLB000M;l0oooo00<0oooo00<0_g@007Boo`3oool00`3oool00`3o
_g@004RL0?ooo`070?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool0L`3oool00`00
0000oooo0?ooo`330?ooo`00E03oool00`3OW4P007Bo0?ooo`030?ooo`030?noM000B9`0oooo00<0
oooo00<0_g@004RLg`3oool01`3oool00`000000oooo0?ooo`2H0?ooo`030000003oool0oooo0740
oooo00<000000?ooo`3oool0a03oool004h0oooo00<0W4P00000B02Lgol00P3oool00`3o_g@00000
07Boo`050?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL2@3oool00`000000oooo0?ooo`2I0?oo
o`030000003oool0oooo06h0oooo0P0000370?ooo`00C`3oool01P3ogi`0B0000000000000000018
09cOo`L0oooo00D0_g@0000000000000001d0;ooo`090?ooo`800000V`3oool2000006d0oooo00<0
00000?ooo`3oool0a`3oool006X0oooo00<000000?ooo`3oool0W03oool00`000000oooo0?ooo`1Y
0?ooo`030000003oool0oooo0<P0oooo001Z0?ooo`030000003oool0oooo09d0oooo00<000000?oo
o`3oool0IP3oool200000</0oooo001Z0?ooo`030000003oool0oooo09h0oooo0P00001T0?ooo`80
0000c@3oool006X0oooo00<000000?ooo`3oool0X03oool200000640oooo00<000000?ooo`3oool0
c@3oool006X0oooo00<000000?ooo`3oool0XP3oool2000005d0oooo0P00003@0?ooo`00JP3oool0
0`000000oooo0?ooo`2T0?ooo`800000FP3oool00`000000oooo0?ooo`3@0?ooo`00JP3oool00`00
0000oooo0?ooo`2V0?ooo`030000003oool0oooo05D0oooo0P00003C0?ooo`00JP3oool200000:P0
oooo0P00001C0?ooo`800000e@3oool006X0oooo00<000000?ooo`3oool0Z@3oool200000500oooo
00<000000?ooo`3oool0e@3oool006X0oooo00<000000?ooo`3oool0Z`3oool2000004`0oooo0P00
003H0?ooo`00JP3oool00`000000oooo0?ooo`2]0?ooo`800000B03oool200000=X0oooo001Z0?oo
o`030000003oool0oooo0:l0oooo0P0000140?ooo`800000g03oool006X0oooo00<000000?ooo`3o
ool0/@3oool2000003l0oooo0`00003N0?ooo`00JP3oool00`000000oooo0?ooo`2c0?ooo`800000
>P3oool300000>40oooo001Z0?ooo`800000]P3oool2000003D0oooo0`00003T0?ooo`00JP3oool0
0`000000oooo0?ooo`2g0?ooo`<00000<03oool200000>L0oooo001Z0?ooo`030000003oool0oooo
0;X0oooo1@00000W0?ooo`@00000j@3oool006X0oooo00<000000?ooo`3oool0_`3oool300000200
oooo1000003]0?ooo`00JP3oool00`000000oooo0?ooo`320?ooo`D000005`3oool400000?40oooo
001Z0?ooo`030000003oool0oooo0<L0oooo5`00003e0?ooo`00JP3oool00`000000oooo0?ooo`3o
0?ooom@0oooo001Z0?ooo`800000o`3ooooE0?ooo`00JP3oool00`000000oooo0?ooo`3o0?ooom@0
oooo001Z0?ooo`030000003oool0oooo0?l0ooooe03oool004l0oooo00H0W4P00000000000000000
0000M02oool60?ooo`060?oOW018000000000000000004P0W=oo2@3oool00`000000oooo0?ooo`3o
0?ooom@0oooo001=0?ooo`030?oOW0180000B9cO00<0oooo00<0gia80000001d_ol0103oool00`3O
W4P0000007Boo`020?ooo`030?noM0000000M;oo00P0oooo00<000000?ooo`3oool0o`3ooooD0?oo
o`00E03oool00`3OW4P004RL0?ooo`020?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02o
ool01`3oool00`000000oooo0?ooo`3o0?ooom@0oooo001D0?ooo`030?oo_`1d04P0W=oo00T0oooo
00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`3o0?ooom@0oooo001D0?ooo`030?oo_`1d
04P0W=oo00T0oooo00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`3o0?ooom@0oooo001D
0?ooo`030=nLB000B9`0oooo00T0oooo00<0oono07@0M02oool01`3oool300000?l0ooooe03oool0
05<0oooo00<0_g@00000M02oool0103oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo
00L0oooo00<000000?ooo`3oool0o`3ooooD0?ooo`00D03oool01@3ogi`0B0000000000004P0W=oo
00D0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`070?ooo`030000003oool0oooo
0?l0ooooe03oool005<0oooo00<0okmd0000B02Lgol0103oool00`3ogi`0B01d0;ooo`0=0?ooo`03
0000003oool0oooo0?l0ooooe03oool005@0oooo00<0gia8001d_`3oool00`3oool00`3ogi`0B01d
0;ooo`0=0?ooo`030000003oool0oooo0?l0ooooe03oool005@0oooo00<0gia8001d_`3oool00`3o
ool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0?l0ooooe03oool004h0oooo00<0W4P0
0000B02Lgol00P3oool00`3o_g@0000007Boo`040?ooo`030?oOW01807@0_ooo00d0ooooo`00002]
000002X0oooo001?0?ooo`060?oOW018000000000000000004P0W=oo1@3oool00`3ogi`0B0000000
00040000000307Boo`3oool0oooo00H0oooo0P00003o0?ooomD0oooo001Z0?ooo`030000003oool0
oooo0?l0ooooe03oool006X0oooo00<000000?ooo`3oool0o`3ooooD0?ooo`00JP3oool00`000000
oooo0?ooo`3o0?ooom@0oooo001Z0?ooo`030000003oool0oooo0?l0ooooe03oool006X0oooo00<0
00000?ooo`3oool0o`3ooooD0?ooo`00JP3oool00`000000oooo0?ooo`3o0?ooom@0oooo003o0?oo
ool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3o
ool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0oooo
o`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?oo
o`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo
0?oood80oooo000k0?ooo`030?oo_`1dB9`0gooo03@0oooo00<0oooO09a8M02oool0<03oool01@3O
W4P0000000000000B9`0gooo0100oooo00D0oooO09a800000000000004RLg`3o0?oooh80oooo000Z
0?ooo`030?oOW0180000M;oo00h0oooo00<0_gA809cOo`3oool0=@3oool00`3ogi`0M9cO0?ooo`0_
0?ooo`030=nLB01d_ol0oooo01D0oooo00<0okmd04RLg`3oool0o`3ooon10?ooo`00:P3oool00`3o
okl0M0000018W00=0?ooo`030?oo_`1dB9`0gooo0140oooo00<0okmd04RLg`3oool08P3oool00`3o
oml0W4Qd0;ooo`0_0?ooo`030=nLB01d_ol0oooo01D0oooo00<0okmd04RLg`3oool0o`3ooon10?oo
o`00:`3oool00`2oM000000007Boo`0<0?ooo`030=nLB01d_ol0oooo0140oooo00<0oono07@0M02o
ool08`3oool00`3o_g@0B9cO0?ooo`0^0?ooo`030=nLB01d_ol0oooo01D0oooo00<0okmd04RLg`3o
ool0o`3ooon10?ooo`00103oool00`3o_g@000000000000700000003001d_`3o_g@0000000<00000
00@0B9cO0?ooo`3oool0_g@00`000000100007@0_ooo0?oOW0180006000000030018W03oool0oooo
00<0oooo00<0okmd00000000B9`02`3oool00`3ooml0W4Qd0;ooo`040?ooo`030?noM00000000000
0080000000L0B9cO0?ooo`3oool0oooo09a80000000004RL00<0oooo00<0gia807Boo`3oool01`3o
ool00`3ookl0M00000000005000000060000M02oool0oooo0?ooo`3ogi`0B0001P0000000`00B9`0
oooo0?ooo`040?ooo`030?oo_`1dB9`0gooo00H0oooo00<0okmd0018W03OW4P0100000000`00M;l0
oooo0?ooo`020?ooo`030?noM0000000000000H0000000@0M;oo0?ooo`3ogi`0B0000P0000001000
07@0_ooo0?oo_`1d0002000000030000B02Lgol0oooo00@0oooo00<0gia807Boo`3oool01P3oool0
0`3ogi`0B000000000020000000304RLg`3oool0oooo00L0oooo00<0okmd04RLg`3oool0o`3ooon1
0?ooo`001P3oool00`2oM000B9cO0?ooo`040?ooo`060=nLB000M;l0oooo0?ooo`2LB000M;oo1P3o
ool00`2oM000B9cO0?ooo`040?ooo`030=nLB000M;l0oooo00P0oooo00@0omnL04P000000000M;oo
2P3oool00`3ogi`0B7Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0000M02oool0
103oool00`3ogi`0B4RL0=ooo`0;0?ooo`030=nLB000M;l0oooo00P0oooo00<0gia8001d_`3oool0
2P3oool00`2oM4P0W=oo0?ooo`050?ooo`030?noM000000004RL00@0oooo00<0_g@0001d_`3oool0
1P3oool00`3OW4P007Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0gia8001d_`3oool0
1P3oool00`3OW4P0M;oo0?ooo`050?ooo`030?oOW01804P0W=oo00<0oooo00<0_g@00018W03Oool0
1`3oool00`3o_g@0B9cO0?ooo`3o0?oooh40oooo00060?ooo`030;md0018W=l0oooo00@0oooo00H0
gia8001d_`3oool0oooo09a8001d_ol60?ooo`030;md0018W=l0oooo00@0oooo00<0gia8001d_`3o
ool02@3oool0102LB00000000000M02oool90?ooo`030?noM018W=l0oooo00H0oooo00<0_g@004RL
g`3oool00`3oool00`2oM000B9cO0?ooo`050?ooo`030;mdB02Lgol0oooo00X0oooo00<0gia8001d
_`3oool0203oool00`3OW4P007Bo0?ooo`0:0?ooo`030=nLB01d_ol0oooo00D0oooo00<0okmd0018
W03oool0103oool00`3ookl0M01809cOo`060?ooo`030=nLB000M;l0oooo00H0oooo00<0_g@004RL
g`3oool00`3oool00`3OW4P007Bo0?ooo`060?ooo`030=nLB01d_ol0oooo00D0oooo00<0_g@007Bo
o`3oool0103oool00`3OW4P007Bo0?ooo`060?ooo`030?noM018W=l0oooo0?l0ooooP@3oool000H0
oooo00<0_g@004RLg`3oool0103oool01P3OW4P0B9cO0?ooo`3oool0W4P007Boo`H0oooo00<0_g@0
04RLg`3oool0103oool00`3OW4P007Bo0?ooo`0F0?ooo`030=nLB01d_ol0oooo00H0oooo00<0_g@0
04RLg`3oool00P3oool00`3ogi`0B01d0;ooo`060?ooo`030?noM000M;l0oooo00X0oooo00<0gia8
001d_`3oool0203oool00`3OW4P007Bo0?ooo`0:0?ooo`030?noM018W=l0oooo00d0oooo00<0W4P0
07Boo`3oool01@3oool00`3OW4P007Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0gia8
001d_`3oool01P3oool00`3OW4P0M;oo0?ooo`050?ooo`030;mdB02Lgol0oooo00@0oooo00<0oooO
09a8B02Lgol01P3oool00`3o_g@0B9cO0?ooo`3o0?oooh40oooo00060?ooo`060;md0018W=l0oooo
0?oo_`1d07@0_ooo1@3oool01P2LB000M;oo0?ooo`3oool0W4P00018W080oooo00<0_g@004RLg`3o
ool0103oool00`3OW4P007Bo0?ooo`0F0?ooo`030=nLB01d_ol0oooo00H0oooo00<0_g@004RLg`3o
ool00P3oool00`2LB000B9cO0?ooo`060?ooo`030?oog`2LB7@0_ooo00X0oooo00<0gia8001d_`3o
ool0203oool00`3OW4P007Bo0?ooo`0:0?ooo`030?noM018W=l0oooo00`0oooo00<0oono07@0001d
_ol01P3oool00`3OW4P007Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0gia8001d_`3o
ool01P3oool00`3OW4P0M;oo0?ooo`050?ooo`030=nLB01d_ol0oooo00D0oooo00<0gia804RLg`3o
ool01@3oool00`3o_g@0B9cO0?ooo`3o0?oooh40oooo00060?ooo`060;md0018W=l0oooo0?oo_`1d
04P0W=oo1@3oool0102LB000M;oo0?ooo`3o_g@20000000407Boo`3oool0_g@004RLg`D0oooo00<0
gia8001d_`3oool05P3oool00`3OW4P0B9cO0?ooo`060?ooo`060;md0000000007Bo0?oOW0180000
07Bo2@3oool00`3OW4P0B9cO0?ooo`090?ooo`030=nLB000M;l0oooo00P0oooo00<0gia8001d_`3o
ool02P3oool00`3o_g@0B9cO0?ooo`0;0?ooo`030?oo_`1d000004RL00L0oooo00<0gia8001d_`3o
ool01P3oool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo00<0gia807Boo`3o
ool01@3oool00`3ogi`0B7Bo0?ooo`050?ooo`030?noM018W=l0oooo00D0oooo00<0okmd04RLg`3o
ool0o`3ooon10?ooo`001P3oool01P2oM0000000000000000000001809cOo`D0oooo00X0W4P007Bo
o`3oool0W4P004RLg`3OW4P007Bo0?ooo`2oM000B9cO1@3oool00`3OW4P007Bo0?ooo`0F0?ooo`03
0?noM000M;l0oooo00H0oooo00D0_g@004RLg`2oM000001809cOo`0:0?ooo`030?oo_`1dB9`0gooo
00T0oooo00<0gia8001d_`3oool0203oool00`3OW4P007Bo0?ooo`0:0?ooo`030=nLB01d_ol0oooo
00L0oooo00<0oono07@0000000000P0000000`1d_ol0oooo0?ooo`060?ooo`030=nLB000M;l0oooo
00H0oooo00<0_g@00000B02Lgol00`3oool00`3OW4P007Bo0?ooo`060?ooo`030=nLB01d_ol0oooo
00H0oooo00<0gia804RLg`3oool0103oool00`3OW4P0M;oo0?ooo`050?ooo`030?noM018W=l0oooo
0?l0ooooP@3oool000H0oooo00H0_g@004RLg`3oool0oono07@0B02Lgol50?ooo`0:09a8001d_ol0
omnL04P0B02Lgol0omnL04P0B02Lgol0_g@004RLg`D0oooo00<0gia8001d_`3oool05P3oool00`3o
gi`0B4RL0=ooo`060?ooo`060;md0018W=l0oooo0=nLB00007@0_ooo2P3oool00`2oM000M;oo0?oo
o`080?ooo`030=nLB000M;l0oooo00P0oooo00<0gia8001d_`3oool02@3oool00`3ooml0W4Q809cO
o`070?ooo`030=nLB0000000M;oo00`0oooo00<0gia8001d_`3oool01P3oool0202oM000B7Ad04P0
M02oool0oooo0?oOW0180000M;oo1`3oool00`3OW4P0M;oo0?ooo`070?ooo`030=nLB0000000M;oo
0080oooo00<0oono07@0M02oool01P3oool00`3o_g@0B9cO0?ooo`3o0?oooh40oooo00060?ooo`06
0;md0018W=l0oooo0?oo_`1d07@0_ooo1@3oool0102LB000M;oo0;md0000M;l20?ooo`0409a80018
W=l0_g@004RLg`<0oooo00<0W4P0000000000000100000000`0007@0_ooo0?ooo`0A0?ooo`030?oo
g`2LB4P0W=oo00H0oooo00L0_g@004RLg`3oool0oooo0?noM00004P0W=oo00T0oooo00<0omnL04Qd
_`3oool0203oool00`3OW4P007Bo0?ooo`060?ooo`0309a800000000000000@0000000<0001d0;oo
o`3oool0103oool00`3ookl0M4RL0=ooo`070?ooo`0309a8001d_ol0oooo00T0oooo00D0gia80000
000000000000001d_`050?ooo`050?oOW0180000000004RLg`3o_g@00`0000000`18W=l0oooo0?oo
o`060?ooo`030=nLB01d_ol0oooo00T0oooo00D0_g@0000000000000001809cOo`070?ooo`030?no
M018W=l0oooo0?l0ooooP@3oool000H0oooo00<0_g@004RLg`3oool00`3oool00`3ookl0M01809cO
o`020?ooo`0409a8001dW9`0B01809cOo`80oooo00@0okmd0000M01dM000B9cO1@3oool00`3OW4P0
07Bo0?ooo`0G0?ooo`030=nLB018W=l0oooo00D0oooo00<0_g@004RLg`3oool00P3oool00`3ogi`0
B00007Boo`080?ooo`030?oog`2LB4P0W=oo00P0oooo00<0gia8001d_`3oool0203oool00`3OW4P0
07Bo0?ooo`090?ooo`030=nLB01d_ol0oooo00L0oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0
B01d0;ooo`0N0?ooo`030=nLB01d_ol0oooo00T0oooo00<0okmd0000001d_ol02@3oool00`3o_g@0
B9cO0?ooo`3o0?oooh40oooo00060?ooo`030;md0018W=l0oooo00<0oooo00<0oono07@0B02Lgol0
0P3oool00`2LB000B4Q80018W0030?ooo`040?oo_`1d0000000004RLg`D0oooo00<0gia8001d_`3o
ool05`3oool00`3ookl0M01d0;ooo`050?ooo`030;md0018W=l0oooo00<0oooo00<0oono07@00018
W=l0203oool00`3o_g@0B9cO0?ooo`070?ooo`030=nLB000M;l0oooo00P0oooo00<0gia8001d_`3o
ool0203oool00`3ooml0W4Qd0;ooo`080?ooo`030=nLB00007@0_ooo0080oooo00@0oono07@00000
07@0_ooo7P3oool00`3OW4P0M;oo0?ooo`080?ooo`030?oOW018M;l0oooo00X0oooo00<0okmd04RL
g`3oool0o`3ooon10?ooo`00103oool00`3o_g@0000000000006000000040000B02Lgol0oooo09a8
0080000000<0M;oo0?ooo`3oool00P3oool0103OW4P0000000000000M;l40?ooo`030?oOW01804P0
W=oo01P0oooo00<0gia807Boo`3oool00P3oool00`3o_g@00000000000020000000404RLg`3oool0
oono07@00080000000<0001d0;ooo`3oool01@3oool00`3ookl0M01d0;ooo`030?ooo`030?oo_`1d
0000000000D0000000<0001d0;ooo`3oool0103oool00`3ogi`0B01809cOo`080?ooo`030?noM018
W=l0oooo00T0oooo00<0okmd0000000000000P0000000`1dW9`0B01d0;ooo`050?ooo`030?oo_`1d
000007Bo01H0oooo00<0gia807Boo`3oool0203oool00`3ogi`0B7Bo0?ooo`020?ooo`030?oOW018
M;l0oooo00D0oooo00<0okmd04RLg`3oool0o`3ooon10?ooo`008@3oool00`3o_g@0000000000002
000000030000M02oool0oooo0180oooo00<0oono07A8W03Oool05P3oool00`3OW4P0M;oo0?ooo`0B
0?ooo`030?noM000000000000080000000L0001d0;ooo`3oool0oooo0?oog`2LM9`0gooo01L0oooo
00<0oono07@00000M;l05P3oool01@3OW4P0000000000000B9`0gooo00L0oooo00H0okmd00000000
000000000000B02Lgol30?ooo`050?oog`2LB000000000000018W=l0o`3ooon20?ooo`00o`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo
003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0
oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3o
oom20?ooo`00o`3ooooo0?oood80oooo0000\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.779701, -4.86786, \
0.0147111, 0.27203}}]
}, Open  ]],

Cell[BoxData[
    \( (*FindRoot[\((K/Ifa)\) Sin[\[Delta]] == EMf, {\[Delta], 0, 
          1}]*) \)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ipf)\) Sin[\[Delta]], EMpf}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<EMpf,(K/Ipf)Sin[\[Delta]] \
\>"}];\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0217128 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.28125 ]
[1.025 .01472 10 6.28125 ]
[.01131 .12328 -6 -4.5 ]
[.01131 .12328 0 4.5 ]
[.01131 .23184 -12 -4.5 ]
[.01131 .23184 0 4.5 ]
[.01131 .34041 -12 -4.5 ]
[.01131 .34041 0 4.5 ]
[.01131 .44897 -12 -4.5 ]
[.01131 .44897 0 4.5 ]
[.01131 .55754 -12 -4.5 ]
[.01131 .55754 0 4.5 ]
[.02381 .64303 -59 0 ]
[.02381 .64303 59 12.5625 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .12328 m
.03006 .12328 L
s
[(5)] .01131 .12328 1 0 Mshowa
.02381 .23184 m
.03006 .23184 L
s
[(10)] .01131 .23184 1 0 Mshowa
.02381 .34041 m
.03006 .34041 L
s
[(15)] .01131 .34041 1 0 Mshowa
.02381 .44897 m
.03006 .44897 L
s
[(20)] .01131 .44897 1 0 Mshowa
.02381 .55754 m
.03006 .55754 L
s
[(25)] .01131 .55754 1 0 Mshowa
.125 Mabswid
.02381 .03643 m
.02756 .03643 L
s
.02381 .05814 m
.02756 .05814 L
s
.02381 .07985 m
.02756 .07985 L
s
.02381 .10157 m
.02756 .10157 L
s
.02381 .14499 m
.02756 .14499 L
s
.02381 .1667 m
.02756 .1667 L
s
.02381 .18842 m
.02756 .18842 L
s
.02381 .21013 m
.02756 .21013 L
s
.02381 .25356 m
.02756 .25356 L
s
.02381 .27527 m
.02756 .27527 L
s
.02381 .29698 m
.02756 .29698 L
s
.02381 .31869 m
.02756 .31869 L
s
.02381 .36212 m
.02756 .36212 L
s
.02381 .38383 m
.02756 .38383 L
s
.02381 .40555 m
.02756 .40555 L
s
.02381 .42726 m
.02756 .42726 L
s
.02381 .47068 m
.02756 .47068 L
s
.02381 .4924 m
.02756 .4924 L
s
.02381 .51411 m
.02756 .51411 L
s
.02381 .53582 m
.02756 .53582 L
s
.02381 .57925 m
.02756 .57925 L
s
.02381 .60096 m
.02756 .60096 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -120 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(EMpf) show
87.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
93.000 12.813 moveto
(H) show
99.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
105.000 12.813 moveto
(\\220) show
111.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ipf) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
129.000 12.813 moveto
(L) show
135.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
153.000 12.813 moveto
(@) show
159.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
165.000 12.813 moveto
(D) show
177.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .2236 m
.06244 .2236 L
.10458 .2236 L
.14415 .2236 L
.18221 .2236 L
.22272 .2236 L
.26171 .2236 L
.30316 .2236 L
.34309 .2236 L
.3815 .2236 L
.42237 .2236 L
.46172 .2236 L
.49955 .2236 L
.53984 .2236 L
.57861 .2236 L
.61984 .2236 L
.65954 .2236 L
.69774 .2236 L
.73838 .2236 L
.77751 .2236 L
.81909 .2236 L
.85916 .2236 L
.89771 .2236 L
.93871 .2236 L
.97619 .2236 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo
003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0
oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3o
oom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00
ZP3oool01@2LB00000000000000007@0_ooo00L0oooo00@0gia80000000004P0W=oo1`3oool01P3o
gi`0B000000000000000001809cOobl0oooo00<0W4P0000000000000100000000`0007@0_ooo0?oo
o`0/0?ooo`0309a800000000000000@0000000<0001d0;ooo`3oool0103oool0103OW4P000000000
B02Lgol70?ooo`060?oOW018000000000000000004P0W=oo;P3oool00`3OW4P00000000000050000
00030018W03oool0oooo02/0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`040?oo
o`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000000000000000B02Lgol`0?ooo`0609a8
0000000000000000000007@0_ooo>`3oool00:T0oooo00H0_g@004RLg`3oool0oooo0?noM000B9`7
0?ooo`0409a800000000000004RLg`H0oooo00<0gia80000001d_ol00P3oool00`3o_g@0000007Bo
o`0a0?ooo`030=nLB000M;l0oooo03<0oooo00<0gia8001d_`3oool0203oool0102LB00000000000
0018W=l60?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0;@3oool00`3o_g@00018
09cOo`040?ooo`030?noM000M;l0oooo02`0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo
0?ooo`050?ooo`0409a800000000000004RLg`H0oooo00<0gia80000001d_ol00P3oool00`3o_g@0
000007Boo`0]0?ooo`030?oOW0180000B9cO00<0oooo00<0gia80000001d_ol0>P3oool00:P0oooo
00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?ooo`050?ooo`040=nLB0000000001809cOo`D0
oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`0`0?ooo`030=nLB000M;l0oooo03<0
oooo00<0gia8001d_`3oool0203oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo
00@0oooo00<0okmd0000M02oool0;@3oool00`3o_g@0001809cOo`0c0?ooo`030?noM00004P0W=oo
00/0oooo00@0gia80000000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0
_ooo03<0oooo00<0gia80018W03oool0>@3oool00:P0oooo00<0_g@004RLg`3oool00`3oool00`3o
_g@004RL0?ooo`0E0?ooo`030?oo_`1d04P0W=oo0300oooo00<0gia8001d_`3oool0<`3oool00`3O
W4P007Bo0?ooo`0H0?ooo`030?oo_`1d04P0W=oo02h0oooo00<0omnL04P0B02Lgol0<`3oool00`3o
gi`0B01809cOo`0J0?ooo`030?oo_`1d04P0W=oo03<0oooo00<0oono07@0B02Lgol0>@3oool00:P0
oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`0E0?ooo`030?oo_`1d04P0W=oo0300
oooo00<0gia8001d_`3oool0<`3oool00`3OW4P007Bo0?ooo`0H0?ooo`030?oo_`1d04P0W=oo02l0
oooo00<0omnL04P0B02Lgol0<`3oool00`3ogi`0B01809cOo`0I0?ooo`030?oo_`1d04P0W=oo03<0
oooo00<0oono07@0B02Lgol0>@3oool00:L0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d
0;ooo`0E0?ooo`030?oo_`1d07@0_ooo0300oooo00<0gia8001d_`3oool0<`3oool00`3OW4P007Bo
0?ooo`0H0?ooo`030?oo_`1d07@0_ooo0300oooo00<0omnL04P0B02Lgol0<`3oool00`3ogi`0B018
09cOo`0H0?ooo`030?oo_`1d07@0_ooo03<0oooo00<0gia80018W03oool0>@3oool00:L0oooo00<0
oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW018000004RL00<0oooo00<0
W4P004RLg`3oool0<03oool00`3OW4P007Bo0?ooo`0c0?ooo`030=nLB000M;l0oooo0180oooo00<0
omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`0a0?ooo`030?oOW01804P0W=oo03<0oooo00<0
omnL04P0B02Lgol04@3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo0380oooo00<0
_g@00000M02oool0>P3oool00:L0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?
0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool0<03oool00`3OW4P007Bo0?ooo`0c
0?ooo`030=nLB000M;l0oooo0180oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`0b
0?ooo`030?oOW01807@0_ooo03<0oooo00<0omnL04P0M02oool0403oool00`3ogi`0B01d09bLB003
0000000304RLg`3oool0oooo02l0oooo00D0omnL04P000000000001809cOo`0k0?ooo`00Z03oool0
0`2LB4P0W=oo0?ooo`030?ooo`030?oOW01807@0_ooo00l0oooo00<0omnL04P0M02oool0=P3oool0
0`3OW4P007Bo0?ooo`0c0?ooo`030=nLB000M;l0oooo0180oooo00<0omnL04P0M02oool0>@3oool0
0`3OW4P007Bo0?ooo`0c0?ooo`030=nLB000M;l0oooo00l0oooo00<0omnL04P0M02oool0>03oool0
0`3o_g@0001809cOo`0j0?ooo`00Z03oool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo
00l0oooo00<0omnL04P0M02oool0=P3oool00`3OW4P007Bo0?ooo`0c0?ooo`030=nLB000M;l0oooo
0180oooo00<0omnL04P0M02oool0<`3oool00`2LM9`0oooo0?ooo`030?ooo`030?noM000B9`0oooo
02d0oooo00<0W7BL0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030?oOW01807@0_ooo
03T0oooo00<0gia8001d_`3oool0>@3oool00:P0oooo00<0okmd0018W03oool00`3oool00`2oM000
B9cO0?ooo`0?0?ooo`030?oOW01807@0_ooo03H0oooo00<0gia8001d_`3oool0<`3oool00`3OW4P0
07Bo0?ooo`0B0?ooo`030?oOW01807@0_ooo0380oooo00<0oono07@0001d_ol0103oool00`2oM000
07Bo0?ooo`0/0?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool03`3oool00`3ogi`0
B01d0;ooo`0i0?ooo`030=nLB000M;l0oooo03T0oooo002Y0?ooo`060;md0000M;l0oooo0?ooo`3O
W4P004RL4@3oool00`3ogi`0B01d0;ooo`0c0?ooo`0509a800000000001d09bLB000M;l0<@3oool0
1@2LB00000000000M02LW4P007Bo01<0oooo00<0omnL04P0M02oool0<`3oool00`3o_g@0000007Bo
o`020?ooo`030;md000007@0_ooo02h0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;oo
o`0@0?ooo`030?oOW01807@0_ooo03<0oooo00<0W4P00000B02Lgol00P3oool00`3o_g@0000007Bo
o`0j0?ooo`00ZP3oool01@2oM00000000000000007@0_ooo0140oooo00<0omnL04P0000000001000
00000`1d_ol0oooo0?ooo`0^0?ooo`030?noM000000007Bo03<0oooo00<0okmd00000000M;l04`3o
ool00`3ogi`0B000000000040000000307Boo`3oool0oooo02d0oooo00D0omnL04P0000000000000
0018W00a0?ooo`050?oOW0180000000000000000B9`04P3oool00`3ogi`0B0000000000400000003
07Boo`3oool0oooo02d0oooo00H0omnL04P00000000000000000B02Lgolk0?ooo`00o`3ooooo0?oo
od80oooo003o0?ooool0oooo@P3oool007H0oooo00<000000?ooo`3oool0o`3oooo80?ooo`00MP3o
ool00`000000oooo0?ooo`3o0?ooolP0oooo001f0?ooo`030000003oool0oooo0?l0oooo^03oool0
0`3ogi`0B000000000020000000304RLg`3oool0oooo00P0oooo001f0?ooo`030000003oool0oooo
0?l0oooo]`3oool00`3ogi`0B01809cOo`030?ooo`030;md0000B9`0gooo00P0oooo001f0?ooo`03
0000003oool0oooo0?l0oooo]`3oool00`2oM000M;oo0?ooo`040?ooo`030=nLB000M;l0oooo00L0
oooo001f0?ooo`030000003oool0oooo0?l0oooo]`3oool00`2oM4P0W=oo0?ooo`040?ooo`030?oo
g`2LB4P0W=oo00L0oooo001[0?ooool00000]`00000>0?ooo`030=nLB01d_ol0oooo00D0oooo00<0
gia804RLg`3oool01P3oool007H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3o
ool0000000P0oooo00<000000?ooo`3oool03`3oool00`3ogi`0B7Bo0?ooo`050?ooo`030?noM018
W=l0oooo00H0oooo001f0?ooo`8000002`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<0
00000?ooo`3oool0403oool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB01d_ol0oooo00H0oooo001f
0?ooo`800000@03oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo03l0oooo00<00000
0?ooo`3oool0?`3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo03l0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0K0?ooo`030=nLB0000000M;oo0080oooo00<0oono
07@0M02oool01`3oool007H0oooo00<000000?ooo`000000o`3ooonK0?ooo`030000003oool0oooo
01d0oooo00D0_g@0000000000000001809cOo`080?ooo`00MP3oool00`000000oooo0000003o0?oo
oiX0oooo00<000000?ooo`3oool07P3oool00`3o_g@0000007Boo`0:0?ooo`00MP3oool010000000
oooo0?ooo`00003o0?oooiT0oooo00<000000?ooo`3oool07@3oool00`3ogi`0B7Bo0?ooo`0;0?oo
o`00MP3oool010000000oooo0?ooo`00003o0?oooiP0oooo00<000000?ooo`3oool07P3oool00`3o
gi`0B7Bo0?ooo`020?ooo`030?oOW018M;l0oooo00H0oooo001f0?ooo`050000003oool0oooo0?oo
o`000000o`3ooonG0?ooo`030000003oool0oooo01l0oooo00H0okmd00000000000000000000B02L
gol70?ooo`00MP3oool01@000000oooo0?ooo`3oool000000?l0ooooUP3oool00`000000oooo0?oo
o`0]0?ooo`00MP3oool2000000<0oooo00<000000?ooo`3oool0o`3ooonC0?ooo`030000003oool0
oooo02d0oooo001f0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3ooonB0?oo
o`030000003oool0oooo02h0oooo001f0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0o`3ooonA0?ooo`030000003oool0oooo02h0oooo001f0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0o`3ooon@0?ooo`030000003oool0oooo02l0oooo001f0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0o`3ooon?0?ooo`030000003oool0oooo02l0oooo001f
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0o`3ooon>0?ooo`030000003oool0
oooo0300oooo001f0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0o`3ooon=0?oo
o`030000003oool0oooo0300oooo001f0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0o`3ooon<0?ooo`030000003oool0oooo0340oooo001f0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0o`3ooon;0?ooo`030000003oool0oooo0340oooo001f0?ooo`8000001`3o
ool00`000000oooo0?ooo`3o0?ooohX0oooo00<000000?ooo`3oool0<P3oool007H0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`3o0?ooohT0oooo00<000000?ooo`3oool0<P3oool0
07H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`3o0?ooohP0oooo00<000000?oo
o`3oool0<`3oool007H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`3o0?ooohL0
oooo00<000000?ooo`3oool0<`3oool007H0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`3o0?ooohH0oooo00<000000?ooo`3oool0=03oool007H0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`3o0?ooohD0oooo00<000000?ooo`3oool0=03oool007H0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`3o0?oooh@0oooo00<000000?ooo`3oool0=@3oool0
07H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3o0?oooh<0oooo00<000000?oo
o`3oool0=@3oool007H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3o0?oooh80
oooo00<000000?ooo`3oool0=P3oool007H0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`3o0?oooh40oooo00<000000?ooo`3oool0=P3oool007H0oooo0P00000<0?ooo`030000003o
ool0oooo0?l0ooooP03oool00`000000oooo0?ooo`0g0?ooo`00MP3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo0?l0ooooO`3oool00`000000oooo0?ooo`0g0?ooo`00MP3oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0h0?oo
o`00MP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?l0ooooO@3oool00`000000
oooo0?ooo`0h0?ooo`00MP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?l0oooo
O03oool00`000000oooo0?ooo`0i0?ooo`00MP3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo0?l0ooooNP3oool00`000000oooo0?ooo`0j0?ooo`00MP3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo0?l0ooooNP3oool00`000000oooo0?ooo`0j0?ooo`00MP3oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo0?l0ooooN03oool00`000000oooo0?ooo`0k0?oo
o`00MP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0?l0ooooN03oool00`000000
oooo0?ooo`0k0?ooo`00MP3oool200000140oooo00<000000?ooo`3oool0o`3ooomf0?ooo`030000
003oool0oooo03`0oooo001f0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0o`3o
oomf0?ooo`030000003oool0oooo03`0oooo001f0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0o`3ooomd0?ooo`030000003oool0oooo03d0oooo001f0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool0o`3ooomd0?ooo`030000003oool0oooo03d0oooo001W0?ooo`06
0?oOW018000000000000000004P0W=oo2@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo0?l0ooooLP3oool00`000000oooo0?ooo`0n0?ooo`00IP3oool00`3OW4P0000007Boo`020?oo
o`030?noM0000000M;oo00P0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`3o0?oo
og80oooo00<000000?ooo`3oool0?P3oool006D0oooo00<0omnL04P0M02oool0103oool00`3o_g@0
001d0;ooo`070?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`03
0000003oool0oooo03l0oooo001/0?ooo`030?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`3o0?ooofl0oooo00<000000?ooo`3oool0?`3oool006`0oooo00<0
oono07@0B02Lgol01`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?l0ooooKP3o
ool00`000000oooo0?ooo`100?ooo`00K03oool00`3ookl0M01d0;ooo`070?ooo`<000005@3oool0
0`000000oooo0?ooo`3o0?ooofd0oooo00<000000?ooo`3oool0@03oool006H0oooo00<0omnL04P0
0000B9`00`3oool00`2LB000B9cO0?ooo`070?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0o`3ooom/0?ooo`030000003oool0oooo0440oooo001V0?ooo`030?oOW01807@0W9a800<0
000000<0B9cO0?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0?l0
ooooJ`3oool00`000000oooo0?ooo`110?ooo`00IP3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool0o`3ooomZ0?ooo`030000003oool0oooo0480oooo
001V0?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`3o0?ooofT0oooo00<000000?ooo`3oool0@P3oool006H0oooo00<0omnL04P0M02oool03@3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0?l0ooooJ03oool00`000000oooo0?ooo`13
0?ooo`00IP3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo01P0oooo00<000000?oo
o`3oool0o`3ooomW0?ooo`030000003oool0oooo04<0oooo001V0?ooo`030?oOW0180000000000@0
000000<0M;oo0?ooo`3oool01P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0?l0
ooooIP3oool00`000000oooo0?ooo`140?ooo`00MP3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`140?ooo`00MP3oool00`000000oooo0?oo
o`0I0?ooo`030000003oool0oooo0?l0ooooI03oool00`000000oooo0?ooo`150?ooo`00MP3oool2
000001/0oooo00<000000?ooo`3oool0o`3ooomS0?ooo`030000003oool0oooo04D0oooo001f0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool0o`3ooomQ0?ooo`030000003oool0oooo
04H0oooo001f0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0o`3ooomQ0?ooo`03
0000003oool0oooo04H0oooo001f0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
o`3ooomO0?ooo`030000003oool0oooo04L0oooo001f0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0o`3ooomO0?ooo`030000003oool0oooo04L0oooo001f0?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0o`3ooomM0?ooo`030000003oool0oooo04P0oooo001f0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool0o`3ooomM0?ooo`030000003oool0oooo
04P0oooo001f0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0o`3ooomK0?ooo`03
0000003oool0oooo04T0oooo001f0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0
o`3ooomK0?ooo`030000003oool0oooo04T0oooo001f0?ooo`800000803oool00`000000oooo0?oo
o`3o0?oooeT0oooo00<000000?ooo`3oool0BP3oool007H0oooo00<000000?ooo`3oool07`3oool0
0`000000oooo0?ooo`3o0?oooeP0oooo00<000000?ooo`3oool0B`3oool007H0oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`3o0?oooeL0oooo00<000000?ooo`3oool0B`3oool007H0
oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`3o0?oooeD0oooo00<000000?ooo`3o
ool0C03oool007H0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`3o0?oooeD0oooo
00<000000?ooo`3oool0C03oool007H0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`3o0?oooe<0oooo00<000000?ooo`3oool0C@3oool007H0oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`3o0?oooe<0oooo00<000000?ooo`3oool0C@3oool007H0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`3o0?oooe40oooo00<000000?ooo`3oool0CP3oool007H0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`3o0?oooe40oooo00<000000?ooo`3o
ool0CP3oool007H0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`3o0?ooodl0oooo
00<000000?ooo`3oool0C`3oool007H0oooo0P00000U0?ooo`030000003oool0oooo0?l0ooooC`3o
ool00`000000oooo0?ooo`1?0?ooo`00MP3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0
oooo0?l0ooooC@3oool00`000000oooo0?ooo`1@0?ooo`00MP3oool00`000000oooo0?ooo`0U0?oo
o`030000003oool0oooo0?l0ooooC03oool00`000000oooo0?ooo`1A0?ooo`00MP3oool00`000000
oooo0?ooo`0V0?ooo`030000003oool0oooo0?l0ooooB`3oool00`000000oooo0?ooo`1A0?ooo`00
MP3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0?l0ooooB@3oool00`000000oooo
0?ooo`1B0?ooo`00MP3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0?l0ooooB@3o
ool00`000000oooo0?ooo`1B0?ooo`00MP3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo0?l0ooooA`3oool00`000000oooo0?ooo`1C0?ooo`00MP3oool00`000000oooo0?ooo`0X0?oo
o`030000003oool0oooo0?l0ooooA`3oool00`000000oooo0?ooo`1C0?ooo`00MP3oool00`000000
oooo0?ooo`0Y0?ooo`030000003oool0oooo0?l0ooooA@3oool00`000000oooo0?ooo`1D0?ooo`00
MP3oool2000002X0oooo00<000000?ooo`3oool0o`3ooom50?ooo`030000003oool0oooo05@0oooo
001f0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0o`3ooom30?ooo`030000003o
ool0oooo05D0oooo001f0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0o`3ooom2
0?ooo`030000003oool0oooo05H0oooo001f0?ooo`030000003oool0oooo02/0oooo00<000000?oo
o`3oool0o`3ooom10?ooo`030000003oool0oooo05H0oooo001f0?ooo`030000003oool0oooo02`0
oooo00<000000?ooo`3oool0o`3ooolo0?ooo`030000003oool0oooo05L0oooo001J0?ooo`0309a8
00000000000000@0000000<0001d0;ooo`3oool0103oool01@2LB00000000000000007@0_ooo00T0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`3o0?ooocl0oooo00<000000?ooo`3o
ool0E`3oool005d0oooo00<0gia8001d_`3oool01`3oool01P2oM000B9cO0?ooo`3oool0okmd0018
W0T0ooooo`00002Q000002X0oooo001M0?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd001d_`3o
ool00`3oool00`2oM000B9cO0?ooo`070?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0o`3ooolm0?ooo`030000003oool0oooo05P0oooo001M0?ooo`030=nLB000M;l0oooo00H0oooo
00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`070?ooo`030000003oool0oooo02h0oooo
00<000000?ooo`3oool0o`3ooolk0?ooo`030000003oool0oooo05T0oooo001M0?ooo`030=nLB000
M;l0oooo00H0oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`030000003o
ool0oooo02h0oooo00<000000?ooo`3oool0o`3ooolk0?ooo`030000003oool0oooo05T0oooo001M
0?ooo`030=nLB000M;l0oooo00D0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`07
0?ooo`<00000;`3oool00`000000oooo0?ooo`3o0?ooocT0oooo00<000000?ooo`3oool0FP3oool0
05d0oooo00<0gia8001d_`3oool01@3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo
00L0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?ooocT0oooo00<000000?oo
o`3oool0FP3oool005d0oooo00<0gia8001d_`3oool01@3oool00`3ookl0M01809cOo`040?ooo`03
0?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`3o0?ooocL0
oooo00<000000?ooo`3oool0F`3oool005d0oooo00<0gia8001d_`3oool01P3oool00`2LB4P0W=oo
0?ooo`030?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`3o0?ooocH0oooo00<000000?ooo`3oool0G03oool005d0oooo00<0gia8001d_`3oool01P3o
ool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`3o0?ooocD0oooo00<000000?ooo`3oool0G03oool005d0oooo00<0gia8
001d_`3oool01P3oool00`3o_g@004RL0?ooo`030?ooo`030;md0018W=l0oooo00L0oooo00<00000
0?ooo`3oool0<P3oool00`000000oooo0?ooo`3o0?oooc<0oooo00<000000?ooo`3oool0G@3oool0
05X0oooo00D0W4P00000000007@0W9a8001d_`080?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL
2@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo0?l0oooo<`3oool00`000000oooo
0?ooo`1M0?ooo`00G03oool00`3o_g@00000001d_`090?ooo`050;md0000000000000000M02oool0
2@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0?l0oooo<@3oool00`000000oooo
0?ooo`1N0?ooo`00MP3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0?l0oooo<@3o
ool00`000000oooo0?ooo`1N0?ooo`00MP3oool2000003D0oooo00<000000?ooo`3oool0o`3oool_
0?ooo`030000003oool0oooo05l0oooo001f0?ooo`030000003oool0oooo03D0oooo00<000000?oo
o`3oool0o`3oool]0?ooo`030000003oool0oooo0600oooo001f0?ooo`030000003oool0oooo03D0
oooo00<000000?ooo`3oool0o`3oool]0?ooo`030000003oool0oooo0600oooo001f0?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool0o`3oool[0?ooo`030000003oool0oooo0640oooo
001f0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0o`3oool[0?ooo`030000003o
ool0oooo0640oooo001f0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0o`3ooolY
0?ooo`030000003oool0oooo0680oooo001f0?ooo`030000003oool0oooo03L0oooo00<000000?oo
o`3oool0o`3ooolY0?ooo`030000003oool0oooo0680oooo001f0?ooo`030000003oool0oooo03P0
oooo00<000000?ooo`3oool0o`3ooolW0?ooo`030000003oool0oooo06<0oooo001f0?ooo`030000
003oool0oooo03T0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`030000003oool0oooo06@0oooo
001f0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`030000003o
ool0oooo06@0oooo001f0?ooo`800000>`3oool00`000000oooo0?ooo`3o0?ooob<0oooo00<00000
0?ooo`3oool0I@3oool007H0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`3o0?oo
ob<0oooo00<000000?ooo`3oool0I@3oool007H0oooo00<000000?ooo`3oool0>`3oool00`000000
oooo0?ooo`3o0?ooob40oooo00<000000?ooo`3oool0IP3oool007H0oooo00<000000?ooo`3oool0
?03oool00`000000oooo0?ooo`3o0?ooob00oooo00<000000?ooo`3oool0IP3oool007H0oooo00<0
00000?ooo`3oool0?03oool00`000000oooo0?ooo`3o0?oooal0oooo00<000000?ooo`3oool0I`3o
ool007H0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`3o0?oooah0oooo00<00000
0?ooo`3oool0I`3oool007H0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`3o0?oo
oad0oooo00<000000?ooo`3oool0J03oool007H0oooo00<000000?ooo`3oool0?P3oool00`000000
oooo0?ooo`3o0?oooa/0oooo00<000000?ooo`3oool0J@3oool007H0oooo00<000000?ooo`3oool0
?P3oool00`000000oooo0?ooo`3o0?oooa/0oooo00<000000?ooo`3oool0J@3oool007H0oooo0P00
00100?ooo`030000003oool0oooo0?l0oooo6@3oool00`000000oooo0?ooo`1Z0?ooo`00MP3oool0
0`000000oooo0?ooo`100?ooo`030000003oool0oooo0?l0oooo603oool00`000000oooo0?ooo`1Z
0?ooo`00MP3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0?l0oooo5`3oool00`00
0000oooo0?ooo`1[0?ooo`00MP3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0?l0
oooo5P3oool00`000000oooo0?ooo`1[0?ooo`00MP3oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo0?l0oooo5@3oool00`000000oooo0?ooo`1/0?ooo`00MP3oool00`000000oooo0?oo
o`120?ooo`030000003oool0oooo0?l0oooo4`3oool00`000000oooo0?ooo`1]0?ooo`00MP3oool0
0`000000oooo0?ooo`130?ooo`030000003oool0oooo0?l0oooo4P3oool00`000000oooo0?ooo`1]
0?ooo`00MP3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0?l0oooo4@3oool00`00
0000oooo0?ooo`1^0?ooo`00MP3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0?l0
oooo403oool00`000000oooo0?ooo`1^0?ooo`00MP3oool00`000000oooo0?ooo`140?ooo`030000
003oool0oooo0?l0oooo3`3oool00`000000oooo0?ooo`1_0?ooo`00MP3oool2000004H0oooo00<0
00000?ooo`3oool0o`3oool=0?ooo`030000003oool0oooo0700oooo001f0?ooo`030000003oool0
oooo04H0oooo00<000000?ooo`3oool0o`3oool<0?ooo`030000003oool0oooo0700oooo001f0?oo
o`030000003oool0oooo04H0oooo00<000000?ooo`3oool0o`3oool;0?ooo`030000003oool0oooo
0740oooo001f0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0o`3oool:0?ooo`03
0000003oool0oooo0740oooo001J0?ooo`0309a800000000000000@0000000<0001d0;ooo`3oool0
0`3oool01P3ogi`0B000000000000000001809cOo`T0oooo00<000000?ooo`3oool0A`3oool00`00
0000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`3oool0LP3oool005d0oooo00<0gia8001d_`3o
ool01P3oool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo00P0oooo00<000000?ooo`3o
ool0B03oool00`000000oooo0?ooo`3o0?ooo`L0oooo00<000000?ooo`3oool0L`3oool005d0oooo
00<0gia8001d_`3oool01@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo00L0oooo
00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`3o0?ooo`L0oooo00<000000?ooo`3oool0
L`3oool005d0oooo00<0gia8001d_`3oool0303oool00`3ookl0M01809cOo`070?ooo`030000003o
ool0oooo04T0oooo00<000000?ooo`3oool0o`3oool50?ooo`030000003oool0oooo07@0oooo001M
0?ooo`030=nLB000M;l0oooo00`0oooo00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`1:
0?ooo`030000003oool0oooo0?l0oooo103oool00`000000oooo0?ooo`1d0?ooo`00G@3oool00`3O
W4P007Bo0?ooo`0<0?ooo`030?oo_`1d07@0_ooo00L0oooo0`00001:0?ooo`030000003oool0oooo
0?l0oooo0`3oool00`000000oooo0?ooo`1e0?ooo`00G@3oool00`3OW4P007Bo0?ooo`060?ooo`03
0?oOW018000004RL00<0oooo00<0W4P004RLg`3oool01`3oool00`000000oooo0?ooo`1;0?ooo`03
0000003oool0oooo0?l0oooo0@3oool00`000000oooo0?ooo`1f0?ooo`00G@3oool00`3OW4P007Bo
0?ooo`060?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool01`3oool00`000000oooo
0?ooo`1;0?ooo`030000003oool0oooo0?l0oooo0@3oool00`000000oooo0?ooo`1f0?ooo`00G@3o
ool00`3OW4P007Bo0?ooo`060?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool0C03o
ool00`000000oooo0?ooo`3n0?ooo`030000003oool0oooo07L0oooo001M0?ooo`030=nLB000M;l0
oooo00H0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0
oooo0?d0oooo00<000000?ooo`3oool0M`3oool005d0oooo00<0gia8001d_`3oool01P3oool00`3o
gi`0B01d0;ooo`0=0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0o03oool00`00
0000oooo0?ooo`1h0?ooo`00FP3oool01@2LB00000000000M02LW4P007Bo00L0oooo00<0omnL04P0
M02oool03@3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo0?X0oooo00<000000?oo
o`3oool0N@3oool005`0oooo00<0okmd00000000M;l01`3oool00`3ogi`0B0000000000400000003
07Boo`3oool0oooo00H0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`3j0?ooo`03
0000003oool0oooo07T0oooo001f0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0
n03oool00`000000oooo0?ooo`1j0?ooo`00MP3oool00`000000oooo0?ooo`1?0?ooo`030000003o
ool0oooo0?P0oooo00<000000?ooo`3oool0NP3oool007H0oooo0P00001A0?ooo`030000003oool0
oooo0?H0oooo00<000000?ooo`3oool0N`3oool007H0oooo00<000000?ooo`3oool0D@3oool00`00
0000oooo0?ooo`3d0?ooo`030000003oool0oooo07`0oooo001f0?ooo`030000003oool0oooo0540
oooo00<000000?ooo`3oool0m03oool00`000000oooo0?ooo`1l0?ooo`00MP3oool00`000000oooo
0?ooo`1B0?ooo`030000003oool0oooo0?80oooo00<000000?ooo`3oool0O@3oool007H0oooo00<0
00000?ooo`3oool0DP3oool00`000000oooo0?ooo`3b0?ooo`030000003oool0oooo07d0oooo001f
0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool0l03oool00`000000oooo0?ooo`1n
0?ooo`00MP3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0>h0oooo00<000000?oo
o`3oool0O`3oool007H0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`3^0?ooo`03
0000003oool0oooo07l0oooo001f0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0
k03oool00`000000oooo0?ooo`200?ooo`00MP3oool2000005L0oooo00<000000?ooo`3oool0jP3o
ool00`000000oooo0?ooo`210?ooo`00MP3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0
oooo0>T0oooo00<000000?ooo`3oool0PP3oool007H0oooo00<000000?ooo`3oool0E`3oool00`00
0000oooo0?ooo`3X0?ooo`030000003oool0oooo0880oooo001f0?ooo`030000003oool0oooo05P0
oooo00<000000?ooo`3oool0iP3oool00`000000oooo0?ooo`230?ooo`00MP3oool00`000000oooo
0?ooo`1H0?ooo`030000003oool0oooo0>D0oooo00<000000?ooo`3oool0Q03oool007H0oooo00<0
00000?ooo`3oool0F@3oool00`000000oooo0?ooo`3T0?ooo`030000003oool0oooo08@0oooo001f
0?ooo`030000003oool0oooo05X0oooo00<000000?ooo`3oool0hP3oool00`000000oooo0?ooo`25
0?ooo`00MP3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo0>40oooo00<000000?oo
o`3oool0QP3oool007H0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`3O0?ooo`03
0000003oool0oooo08L0oooo001f0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0
gP3oool00`000000oooo0?ooo`270?ooo`00MP3oool2000005h0oooo00<000000?ooo`3oool0g03o
ool00`000000oooo0?ooo`280?ooo`00MP3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0
oooo0=/0oooo00<000000?ooo`3oool0R@3oool007H0oooo00<000000?ooo`3oool0GP3oool00`00
0000oooo0?ooo`3J0?ooo`030000003oool0oooo08T0oooo001f0?ooo`030000003oool0oooo05l0
oooo00<000000?ooo`3oool0f03oool00`000000oooo0?ooo`2:0?ooo`00MP3oool00`000000oooo
0?ooo`1O0?ooo`030000003oool0oooo0=L0oooo00<000000?ooo`3oool0R`3oool007H0oooo00<0
00000?ooo`3oool0H03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo08/0oooo001f
0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0e03oool00`000000oooo0?ooo`2<
0?ooo`00MP3oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo0=<0oooo00<000000?oo
o`3oool0S@3oool007H0oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`3A0?ooo`03
0000003oool0oooo08h0oooo001f0?ooo`800000I03oool00`000000oooo0?ooo`3@0?ooo`030000
003oool0oooo08h0oooo001f0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool0c`3o
ool00`000000oooo0?ooo`2?0?ooo`00MP3oool00`000000oooo0?ooo`1T0?ooo`030000003oool0
oooo0<d0oooo00<000000?ooo`3oool0T03oool007H0oooo00<000000?ooo`3oool0I@3oool00`00
0000oooo0?ooo`3;0?ooo`030000003oool0oooo0940oooo001f0?ooo`030000003oool0oooo06H0
oooo00<000000?ooo`3oool0bP3oool00`000000oooo0?ooo`2A0?ooo`00F@3oool00`3OW4P00000
00000005000000030018W03oool0oooo00@0oooo00D0W4P0000000000000001d0;ooo`090?ooo`03
0000003oool0oooo06H0oooo00<000000?ooo`3oool0b@3oool00`000000oooo0?ooo`2B0?ooo`00
F@3oool00`3o_g@0001809cOo`040?ooo`030?noM000M;l0oooo00@0oooo00H0_g@004RLg`3oool0
oooo0?noM000B9`90?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0a`3oool00`00
0000oooo0?ooo`2C0?ooo`00FP3oool00`3o_g@0001809cOo`090?ooo`030?noM000M;l0oooo00<0
oooo00<0_g@004RLg`3oool01`3oool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo0<D0
oooo00<000000?ooo`3oool0U03oool005/0oooo00<0omnL04P0B02Lgol0203oool00`2oM000B9cO
0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`340?ooo`030000003oool0oooo09@0oooo001L0?ooo`030?oOW01804P0W=oo00L0oooo00<0
W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`030000003oool0oooo06T0oooo00<0
00000?ooo`3oool0``3oool00`000000oooo0?ooo`2E0?ooo`00G@3oool00`3ogi`0B01809cOo`05
0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool01`3oool3000006X0oooo00<00000
0?ooo`3oool0`@3oool00`000000oooo0?ooo`2F0?ooo`00GP3oool00`3ogi`0B01809cOo`040?oo
o`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`1[0?oo
o`030000003oool0oooo0;l0oooo00<000000?ooo`3oool0U`3oool005l0oooo00<0omnL04P0M02o
ool00`3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3o
ool0K03oool00`000000oooo0?ooo`2m0?ooo`030000003oool0oooo09P0oooo001P0?ooo`030=nL
B000M;l0oooo00<0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`030000
003oool0oooo06d0oooo00<000000?ooo`3oool0_03oool00`000000oooo0?ooo`2H0?ooo`00FP3o
ool00`2LM9`0oooo0?ooo`030?ooo`030?noM000B9`0oooo00<0oooo00<0_g@007Boo`3oool00`3o
ool00`3o_g@004RL0?ooo`070?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0^`3o
ool00`000000oooo0?ooo`2I0?ooo`00F@3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0
oooo00<0oooo00<0okmd0018W03oool00`3oool00`2oM000B9cO0?ooo`070?ooo`030000003oool0
oooo06h0oooo00<000000?ooo`3oool0^@3oool00`000000oooo0?ooo`2J0?ooo`00FP3oool00`3o
_g@0000007Boo`020?ooo`030;md000007@0_ooo00D0oooo00H0_g@0001d_`3oool0oooo0=nLB000
B9`90?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0]`3oool00`000000oooo0?oo
o`2K0?ooo`00F`3oool01@3ogi`0B00000000000000004RL00P0oooo00D0_g@0000000000000001d
0;ooo`090?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0]@3oool00`000000oooo
0?ooo`2L0?ooo`00MP3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo0;@0oooo00<0
00000?ooo`3oool0W03oool007H0oooo0P00001b0?ooo`030000003oool0oooo0;<0oooo00<00000
0?ooo`3oool0W@3oool007H0oooo00<000000?ooo`3oool0LP3oool00`000000oooo0?ooo`2a0?oo
o`030000003oool0oooo09h0oooo001f0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3o
ool0[`3oool00`000000oooo0?ooo`2O0?ooo`00MP3oool00`000000oooo0?ooo`1d0?ooo`030000
003oool0oooo0:h0oooo00<000000?ooo`3oool0W`3oool007H0oooo00<000000?ooo`3oool0M03o
ool00`000000oooo0?ooo`2]0?ooo`030000003oool0oooo0:00oooo001f0?ooo`030000003oool0
oooo07D0oooo00<000000?ooo`3oool0Z`3oool00`000000oooo0?ooo`2Q0?ooo`00MP3oool00`00
0000oooo0?ooo`1f0?ooo`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0XP3oool007H0
oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`2W0?ooo`030000003oool0oooo0:<0
oooo001f0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0Y@3oool00`000000oooo
0?ooo`2T0?ooo`00MP3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo0:<0oooo00<0
00000?ooo`3oool0Y@3oool007H0oooo0P00001k0?ooo`030000003oool0oooo0:40oooo00<00000
0?ooo`3oool0YP3oool007H0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`2O0?oo
o`030000003oool0oooo0:L0oooo001f0?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3o
ool0W@3oool00`000000oooo0?ooo`2X0?ooo`00MP3oool00`000000oooo0?ooo`1m0?ooo`030000
003oool0oooo09/0oooo00<000000?ooo`3oool0Z@3oool007H0oooo00<000000?ooo`3oool0OP3o
ool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo0:X0oooo001f0?ooo`030000003oool0
oooo07l0oooo00<000000?ooo`3oool0V03oool00`000000oooo0?ooo`2Z0?ooo`00MP3oool00`00
0000oooo0?ooo`200?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool0Z`3oool007H0
oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo0:`0
oooo001f0?ooo`030000003oool0oooo0880oooo00<000000?ooo`3oool0TP3oool00`000000oooo
0?ooo`2]0?ooo`00MP3oool2000008@0oooo00<000000?ooo`3oool0T03oool00`000000oooo0?oo
o`2^0?ooo`00MP3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo08h0oooo00<00000
0?ooo`3oool0[`3oool007H0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`2<0?oo
o`030000003oool0oooo0;00oooo001f0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3o
ool0RP3oool00`000000oooo0?ooo`2a0?ooo`00MP3oool00`000000oooo0?ooo`270?ooo`030000
003oool0oooo08P0oooo00<000000?ooo`3oool0/P3oool007H0oooo00<000000?ooo`3oool0R03o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0;<0oooo001f0?ooo`030000003oool0
oooo08T0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`2d0?ooo`00MP3oool00`00
0000oooo0?ooo`2:0?ooo`030000003oool0oooo0880oooo00<000000?ooo`3oool0]@3oool007H0
oooo00<000000?ooo`3oool0R`3oool00`000000oooo0?ooo`1o0?ooo`800000^03oool007H0oooo
00<000000?ooo`3oool0S03oool2000007h0oooo00<000000?ooo`3oool0^03oool007H0oooo0P00
002?0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0^@3oool007H0oooo00<00000
0?ooo`3oool0S`3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo0;X0oooo001f0?oo
o`030000003oool0oooo0900oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`2k0?oo
o`00MP3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3o
ool0_03oool005T0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`030?ooo`060?oO
W018000000000000000004P0W=oo2@3oool00`000000oooo0?ooo`2B0?ooo`030000003oool0oooo
0780oooo00<000000?ooo`3oool0_@3oool005T0oooo00<0okmd0000B02Lgol0103oool00`3o_g@0
07Bo0?ooo`030?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0203oool00`000000
oooo0?ooo`2C0?ooo`030000003oool0oooo06l0oooo0P0000300?ooo`00FP3oool00`3o_g@00018
09cOo`080?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02oool01`3oool00`000000oooo
0?ooo`2D0?ooo`800000KP3oool00`000000oooo0?ooo`300?ooo`00F`3oool00`3ogi`0B01809cO
o`0>0?ooo`030?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?oo
o`1Z0?ooo`030000003oool0oooo0<40oooo001L0?ooo`030?oOW01804P0W=oo00d0oooo00<0oono
07@0B02Lgol01`3oool00`000000oooo0?ooo`2G0?ooo`030000003oool0oooo06P0oooo00<00000
0?ooo`3oool0`P3oool005d0oooo00<0omnL04P0B02Lgol0303oool00`3ookl0M01d0;ooo`070?oo
o`<00000V03oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo0<<0oooo001N0?ooo`03
0?oOW01804P0W=oo00D0oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`070?ooo`03
0000003oool0oooo09T0oooo00<000000?ooo`3oool0H`3oool200000<H0oooo001O0?ooo`030?oO
W01807@0_ooo00@0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`070?ooo`030000
003oool0oooo09X0oooo0P00001Q0?ooo`800000b03oool00600oooo00<0gia8001d_`3oool00`3o
ool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo09`0oooo00<000000?ooo`3oool0G@3o
ool00`000000oooo0?ooo`380?ooo`00FP3oool00`2LM9`0oooo0?ooo`030?ooo`030?noM000B9`0
oooo00<0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`2M0?ooo`800000F`3oool2
00000</0oooo001I0?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool00`3oool00`3o
gi`0B01d0;ooo`0=0?ooo`030000003oool0oooo09l0oooo0P00001H0?ooo`030000003oool0oooo
0</0oooo001J0?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0103oool00`3ogi`0
B01d0;ooo`0=0?ooo`030000003oool0oooo0:40oooo00<000000?ooo`3oool0D`3oool200000<h0
oooo001K0?ooo`050?oOW0180000000000000000B9`01P3oool00`3ogi`0B0000000000400000003
07Boo`3oool0oooo00H0oooo00<000000?ooo`3oool0XP3oool200000540oooo0P00003@0?ooo`00
MP3oool00`000000oooo0?ooo`2T0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0
d03oool007H0oooo00<000000?ooo`3oool0Y@3oool2000004/0oooo0P00003C0?ooo`00MP3oool2
00000:P0oooo00<000000?ooo`3oool0AP3oool200000=D0oooo001f0?ooo`030000003oool0oooo
0:P0oooo0P0000150?ooo`030000003oool0oooo0=D0oooo001f0?ooo`030000003oool0oooo0:X0
oooo0P0000110?ooo`800000f03oool007H0oooo00<000000?ooo`3oool0[03oool3000003`0oooo
0P00003J0?ooo`00MP3oool00`000000oooo0?ooo`2_0?ooo`<00000=`3oool200000=`0oooo001f
0?ooo`030000003oool0oooo0;80oooo0P00000b0?ooo`<00000gP3oool007H0oooo00<000000?oo
o`3oool0]03oool2000002h0oooo0P00003Q0?ooo`00MP3oool00`000000oooo0?ooo`2f0?ooo`@0
00009P3oool400000><0oooo001f0?ooo`030000003oool0oooo0;X0oooo0`00000O0?ooo`@00000
i`3oool007H0oooo0P00002n0?ooo`H000004P3oool700000>/0oooo001f0?ooo`030000003oool0
oooo0<<0oooo4P00003b0?ooo`00MP3oool00`000000oooo0?ooo`3o0?ooolP0oooo001f0?ooo`03
0000003oool0oooo0?l0oooob03oool007H0oooo00<000000?ooo`3oool0o`3oooo80?ooo`00MP3o
ool00`000000oooo0?ooo`3o0?ooolP0oooo001f0?ooo`030000003oool0oooo0?l0oooob03oool0
07H0oooo00<000000?ooo`3oool0o`3oooo80?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo
@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0
ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom2
0?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3o
oooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00703oool00`2oM000
0000000000020000000304RLg`3oool0oooo02<0oooo00<0oono07A8W03Oool09P3oool00`2oM000
0000000000020000000304RLg`3oool0oooo0180oooo00<0oooO09a8M02oool0<03oool01@3OW4P0
000000000000B9`0gooo0100oooo00D0oooO09a800000000000004RLg`3o0?ooofX0oooo000M0?oo
o`030?oOW01807@0_ooo01H0oooo00<0omnL04P0001d_ol03P3oool00`2oM4P0W=oo0?ooo`0W0?oo
o`030?oOW01807@0_ooo01L0oooo00<0omnL07BLg`3oool0;`3oool00`3OW4P0M;oo0?ooo`0E0?oo
o`030?noM018W=l0oooo0?l0ooooJ@3oool001d0oooo00<0omnL04P0M02oool05P3oool00`3ookl0
M0000018W00=0?ooo`030?oo_`1dB9`0gooo0140oooo00<0okmd04RLg`3oool0503oool00`3ogi`0
B01d0;ooo`0G0?ooo`030?oog`2LB7@0_ooo02l0oooo00<0gia807Boo`3oool05@3oool00`3o_g@0
B9cO0?ooo`3o0?ooofT0oooo000M0?ooo`030?oOW01807@0_ooo01L0oooo00<0_g@00000001d_ol0
303oool00`3OW4P0M;oo0?ooo`0A0?ooo`030?oo_`1d07@0_ooo01@0oooo00<0omnL04P0M02oool0
603oool00`3o_g@0B9cO0?ooo`0^0?ooo`030=nLB01d_ol0oooo01D0oooo00<0okmd04RLg`3oool0
o`3ooomY0?ooo`00103oool00`3o_g@000000000000700000003001d_`3o_g@0000000<0000000@0
B9cO0?ooo`3oool0_g@00`0000001P0007@0_ooo0?oOW01807@0_ooo0;md00<0000000<004RL0?oo
o`3oool00P3oool00`3ogi`0B00000000005000000030018W03oool0oooo00<0oooo00<0okmd0000
0000B9`02`3oool00`3ooml0W4Qd0;ooo`040?ooo`030?noM000000000000080000000L0B9cO0?oo
o`3oool0oooo09a80000000004RL00<0oooo00<0gia807Boo`3oool01`3oool00`3ookl0M0000000
0005000000080000M02oool0oooo0?ooo`3ogi`0B01d0;ooo`2oM003000000030018W03oool0oooo
0080oooo00<0omnL04P0000000001@0000000`00B9`0oooo0?ooo`040?ooo`030?oo_`1dB9`0gooo
00H0oooo00<0okmd0018W03OW4P0100000000`00M;l0oooo0?ooo`020?ooo`030?noM00000000000
00H0000000@0M;oo0?ooo`3ogi`0B0000P000000100007@0_ooo0?oo_`1d0002000000030000B02L
gol0oooo00@0oooo00<0gia807Boo`3oool01P3oool00`3ogi`0B000000000020000000304RLg`3o
ool0oooo00L0oooo00<0okmd04RLg`3oool0o`3ooomY0?ooo`001P3oool00`2oM000B9cO0?ooo`04
0?ooo`060=nLB000M;l0oooo0?ooo`2LB000M;oo1P3oool0202oM000B9cO0?ooo`3oool0omnL04P0
M018B00007Bo0`3oool00`3OW4P004RL0?ooo`050?ooo`030=nLB000M;l0oooo00P0oooo00@0omnL
04P000000000M;oo2P3oool00`3ogi`0B7Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0
okmd0000M02oool0103oool00`3ogi`0B4RL0=ooo`0;0?ooo`030=nLB000M;l0oooo00D0oooo00@0
omnL04P0M018B00007Bo0`3oool00`3OW4P004RL0?ooo`050?ooo`030=nLB000M;l0oooo00X0oooo
00<0_gA809cOo`3oool01@3oool00`3o_g@000000018W0040?ooo`030;md0000M;l0oooo00H0oooo
00<0gia8001d_`3oool01P3oool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo
00<0gia807Boo`3oool01@3oool00`3ogi`0B01809cOo`030?ooo`030;md0000B9`0gooo00L0oooo
00<0okmd04RLg`3oool0o`3ooomY0?ooo`001P3oool00`2oM000B9cO0?ooo`040?ooo`060=nLB000
M;l0oooo0?ooo`2LB000M;oo1P3oool01`2oM000B9cO0?ooo`3oool0omnL04P00018W=l01@3oool0
0`3OW4P0B9cO0?ooo`040?ooo`030=nLB000M;l0oooo00T0oooo00@0W4P00000000007@0_ooo2@3o
ool00`3o_g@0B9cO0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0_g@004RLg`3oool01@3o
ool00`2oM4P0W=oo0?ooo`0:0?ooo`030=nLB000M;l0oooo00D0oooo00<0omnL04P00018W=l01@3o
ool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB000M;l0oooo00X0oooo00<0gia807Boo`3oool01@3o
ool00`3o_g@004RL0?ooo`040?ooo`030?oo_`1d04P0W=oo00H0oooo00<0gia8001d_`3oool01P3o
ool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo00<0gia807Boo`3oool01@3o
ool00`2oM000M;oo0?ooo`040?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd04RLg`3oool0o`3o
oomY0?ooo`001P3oool00`2oM000B9cO0?ooo`040?ooo`060=nLB018W=l0oooo0?ooo`2LB000M;oo
1P3oool01`2oM000B9cO0?ooo`3oool0omnL04P0B02Lgol01@3oool00`3ogi`0B4RL0?ooo`040?oo
o`030=nLB000M;l0oooo01H0oooo00<0gia807Boo`3oool01P3oool00`2oM000B9cO0?ooo`020?oo
o`030?oOW01807@0_ooo00H0oooo00<0okmd001d_`3oool02P3oool00`3OW4P007Bo0?ooo`050?oo
o`030?oOW01804P0W=oo00D0oooo00<0omnL04Q8W03oool0103oool00`3OW4P007Bo0?ooo`0:0?oo
o`030?noM018W=l0oooo00d0oooo00<0W4P007Boo`3oool01@3oool00`3OW4P007Bo0?ooo`060?oo
o`030;md0018W=l0oooo00<0oooo00<0gia8001d_`3oool01P3oool00`3OW4P0M;oo0?ooo`050?oo
o`030;mdB02Lgol0oooo00@0oooo00<0oooO09a8B02Lgol01P3oool00`3o_g@0B9cO0?ooo`3o0?oo
ofT0oooo00060?ooo`060;md0018W=l0oooo0?oo_`1d07@0_ooo1@3oool01P2LB000M;oo0?ooo`3o
ool0W4P00018W080oooo00L0_g@004RLg`3oool0oooo0?oOW01807@0_ooo00D0oooo00<0omnL04P0
M02oool0103oool00`3OW4P007Bo0?ooo`0F0?ooo`030=nLB01d_ol0oooo00H0oooo00<0_g@004RL
g`3oool00P3oool00`2LB000B9cO0?ooo`060?ooo`030?oog`2LB7@0_ooo00X0oooo00<0gia8001d
_`3oool01@3oool00`3ogi`0B01d0;ooo`050?ooo`030?oOW01807@0_ooo00@0oooo00<0gia8001d
_`3oool02P3oool00`3o_g@0B9cO0?ooo`0<0?ooo`030?oo_`1d0000M;oo00H0oooo00<0gia8001d
_`3oool01P3oool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo00<0gia807Bo
o`3oool01@3oool00`3OW4P0M;oo0?ooo`050?ooo`030=nLB018W=l0oooo00D0oooo00<0okmd04RL
g`3oool0o`3ooomY0?ooo`001P3oool01P2oM000B9cO0?ooo`3ookl0M01809cOo`D0oooo00@0W4P0
07Boo`3oool0okmd0P000000101d_ol0oooo0;md0018W=l20?ooo`030?oOW01804P0W=oo00D0oooo
00<0omnL04Q8W03oool0103oool00`3OW4P007Bo0?ooo`0F0?ooo`030=nLB018W=l0oooo00H0oooo
00H0_g@000000000M;l0omnL04P00000M;l90?ooo`030=nLB018W=l0oooo00T0oooo00<0gia8001d
_`3oool01@3oool00`3ogi`0B01809cOo`050?ooo`030?oOW018B9`0oooo00@0oooo00<0gia8001d
_`3oool02P3oool00`3o_g@0B9cO0?ooo`0;0?ooo`030?oo_`1d000004RL00L0oooo00<0gia8001d
_`3oool01P3oool00`2oM000B9cO0?ooo`030?ooo`030=nLB000M;l0oooo00H0oooo00<0gia807Bo
o`3oool01@3oool00`3ogi`0B7Bo0?ooo`050?ooo`030?noM018W=l0oooo00D0oooo00<0okmd04RL
g`3oool0o`3ooomY0?ooo`001P3oool01P2oM0000000000000000000001809cOo`D0oooo00X0W4P0
07Boo`3oool0W4P004RLg`3OW4P007Bo0?ooo`2oM000B9cO0P3oool00`3ogi`0B00004RLg`050?oo
o`030=nLB018W=l0oooo00@0oooo00<0gia8001d_`3oool05P3oool00`3o_g@007Bo0?ooo`060?oo
o`050;md0018W=l0_g@00000B02Lgol02P3oool00`3ookl0M4RL0=ooo`090?ooo`030=nLB000M;l0
oooo00D0oooo00<0omnL04P00018W=l01@3oool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB000M;l0
oooo00X0oooo00<0gia807Boo`3oool01`3oool00`3ookl0M000000000020000000307Boo`3oool0
oooo00H0oooo00<0gia8001d_`3oool01P3oool00`2oM000001809cOo`030?ooo`030=nLB000M;l0
oooo00H0oooo00<0gia807Boo`3oool01P3oool00`3OW4P0B9cO0?ooo`040?ooo`030=nLB01d_ol0
oooo00D0oooo00<0okmd04RLg`3oool0o`3ooomY0?ooo`001P3oool01P2oM000B9cO0?ooo`3ookl0
M01809cOo`D0oooo00X0W4P007Boo`3ogi`0B01809cOo`3ogi`0B01809cOo`2oM000B9cO0P3oool0
103ogi`0B01d04Q80000M;l30?ooo`030;md0000B9`0oooo00D0oooo00<0gia8001d_`3oool05P3o
ool00`3ogi`0B4RL0=ooo`060?ooo`060;md0018W=l0oooo0=nLB00007@0_ooo2P3oool00`2oM000
M;oo0?ooo`080?ooo`030=nLB000M;l0oooo00D0oooo00@0omnL04P0M018B00007Bo0`3oool00`2o
M00004RL0?ooo`050?ooo`030=nLB000M;l0oooo00T0oooo00<0oooO09a8B02Lgol01`3oool00`3O
W4P0000007Boo`0<0?ooo`030=nLB000M;l0oooo00H0oooo00P0_g@004QdM01807@0_ooo0?ooo`3o
gi`0B00007Boo`L0oooo00<0gia807Boo`3oool01`3oool00`3OW4P0000007Boo`020?ooo`030?oo
_`1d07@0_ooo00H0oooo00<0okmd04RLg`3oool0o`3ooomY0?ooo`001P3oool01P2oM000B9cO0?oo
o`3ookl0M01d0;ooo`D0oooo00@0W4P007Boo`2oM00007Bo0P3oool02P2LB000B9cO0;md0018W=l0
oooo0;md00000000001d0;ooo`2LB00300000003001d_`3oool0oooo00<0oooo00<0W4P000000000
0000100000000`0007@0_ooo0?ooo`0A0?ooo`030?oog`2LB4P0W=oo00H0oooo00L0_g@004RLg`3o
ool0oooo0?noM00004P0W=oo00T0oooo00<0omnL04Qd_`3oool0203oool00`3OW4P007Bo0?ooo`04
0?ooo`050;md00000000001d0;ooo`2LB0000`0000000`00M;l0oooo0?ooo`030?ooo`0309a80000
0000000000@0000000<0001d0;ooo`3oool0103oool00`3ookl0M4RL0=ooo`070?ooo`0309a8001d
_ol0oooo00T0oooo00D0gia80000000000000000001d_`050?ooo`050?oOW0180000000004RLg`3o
_g@00`0000000`18W=l0oooo0?ooo`060?ooo`030=nLB01d_ol0oooo00T0oooo00D0_g@000000000
0000001809cOo`070?ooo`030?noM018W=l0oooo0?l0ooooJ@3oool000H0oooo00<0_g@004RLg`3o
ool00`3oool00`3ookl0M01809cOo`020?ooo`0409a8001dW9`0B01809cOo`80oooo00@0okmd0000
M01dM000B9cO4@3oool00`3OW4P007Bo0?ooo`0G0?ooo`030=nLB018W=l0oooo00D0oooo00<0_g@0
04RLg`3oool00P3oool00`3ogi`0B00007Boo`080?ooo`030?oog`2LB4P0W=oo00P0oooo00<0gia8
001d_`3oool0503oool00`3OW4P007Bo0?ooo`090?ooo`030=nLB01d_ol0oooo00L0oooo00<0W4P0
07Boo`3oool00`3oool00`3ogi`0B01d0;ooo`0N0?ooo`030=nLB01d_ol0oooo00T0oooo00<0okmd
0000001d_ol02@3oool00`3o_g@0B9cO0?ooo`3o0?ooofT0oooo00060?ooo`030;md0018W=l0oooo
00<0oooo00<0oono07@0B02Lgol00P3oool00`2LB000B4Q80018W0030?ooo`040?oo_`1d00000000
04RLga40oooo00<0gia8001d_`3oool05`3oool00`3ookl0M01d0;ooo`050?ooo`030;md0018W=l0
oooo00<0oooo00<0oono07@00018W=l0203oool00`3o_g@0B9cO0?ooo`070?ooo`030=nLB000M;l0
oooo01@0oooo00<0gia8001d_`3oool0203oool00`3ooml0W4Qd0;ooo`080?ooo`030=nLB00007@0
_ooo0080oooo00@0oono07@0000007@0_ooo7P3oool00`3OW4P0M;oo0?ooo`080?ooo`030?oOW018
M;l0oooo00X0oooo00<0okmd04RLg`3oool0o`3ooomY0?ooo`00103oool00`3o_g@0000000000006
000000040000B02Lgol0oooo09a80080000000<0M;oo0?ooo`3oool00P3oool0103OW4P000000000
0000M;l@0?ooo`030?oOW01804P0W=oo01P0oooo00<0gia807Boo`3oool00P3oool00`3o_g@00000
000000020000000404RLg`3oool0oono07@00080000000<0001d0;ooo`3oool01@3oool00`3ookl0
M01d0;ooo`030?ooo`030?oo_`1d0000000000D0000000<0001d0;ooo`3oool0403oool00`3ogi`0
B01809cOo`080?ooo`030?noM018W=l0oooo00T0oooo00<0okmd0000000000000P0000000`1dW9`0
B01d0;ooo`050?ooo`030?oo_`1d000007Bo01H0oooo00<0gia807Boo`3oool0203oool00`3ogi`0
B7Bo0?ooo`020?ooo`030?oOW018M;l0oooo00D0oooo00<0okmd04RLg`3oool0o`3ooomY0?ooo`00
;@3oool00`3o_g@0000000000002000000030000M02oool0oooo0180oooo00<0oono07A8W03Oool0
5P3oool00`3OW4P0M;oo0?ooo`0N0?ooo`030?noM000000000000080000000L0001d0;ooo`3oool0
oooo0?oog`2LM9`0gooo01L0oooo00<0oono07@00000M;l05P3oool01@3OW4P0000000000000B9`0
gooo00L0oooo00H0okmd00000000000000000000B02Lgol30?ooo`050?oog`2LB000000000000018
W=l0o`3ooomZ0?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom2
0?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3o
oooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80
oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?oo
ool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3o
ool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00001\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.891802, -4.16579, \
0.015115, 0.211035}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[\((K/Ipf)\) Sin[\[Delta]] == EMpf, {\[Delta], 2.5, 
        3}]\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(TraditionalForm\`{\[Delta] \[Rule] 2.778799679873963`}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(\(EMeq = \((Me/Ie)\)*g*
          r;\)\[IndentingNewLine]
    \(EMf = \((Mf/Ifa)\)*g*r;\)\[IndentingNewLine]
    \(EMpf = \((Mpf/Ipf)\)*g*r;\)\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(A1 = \[Integral]\_\[Delta]eq\%\[Delta]ac\((1/Ifa)\) \((Mf - 
              K*Sin[x])\) \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(A2 = \[Integral]\_\[Delta]ac\%\[Delta]ines\((1/Ipf)\) \((Mpf - 
              K*Sin[x])\) \[DifferentialD]x\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(TraditionalForm\`36.598782431706056`\ \[Delta]ac + 
      33.72287206749205`\ \(cos(\[Delta]ac)\) - 
      48.36875520413109`\)], "Output"],

Cell[BoxData[
    \(TraditionalForm\`\(-9.806811693720716`\)\ \[Delta]ac - 
      27.108594944745473`\ \(cos(\[Delta]ac)\) + 
      4.354800193156176`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(\(A = A1 + A2\)\(\[IndentingNewLine]\)
    \) (*Definir\ en\ los\ proximos\ dos\ renglones\ \[IndentingNewLine]los\ \
valores\ de\ \[Delta]eq\ y\ \[Delta]ines\ \ *) \), "\[IndentingNewLine]", 
    \(\ \(\(\[Delta]eq = 0.52364\)\(;\)\(\[Delta]ines = 
      2.31352\)\(;\)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\)\)}], \
"Input"],

Cell[BoxData[
    \(TraditionalForm\`26.791970737985338`\ \[Delta]ac + 
      6.614277122746575`\ \(cos(\[Delta]ac)\) - 
      44.01395501097491`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"Plot", "[", 
        RowBox[{
          FormBox[
            
            FormBox[\(26.791970737985338  x + 6.614277122746575  Cos[x] - 
                44.01395501097491\),
              "TraditionalForm"],
            "TraditionalForm"], ",", \({x, 0, Pi}\), 
          ",", \(AxesLabel -> {"\<\[Delta]\>", "\<A1+A2=0 \>"}\)}], "]"}], 
      ";"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.325024 0.0082971 [
[.17539 .31252 -9 -9 ]
[.17539 .31252 9 0 ]
[.32696 .31252 -3 -9 ]
[.32696 .31252 3 0 ]
[.47854 .31252 -9 -9 ]
[.47854 .31252 9 0 ]
[.63011 .31252 -3 -9 ]
[.63011 .31252 3 0 ]
[.78169 .31252 -9 -9 ]
[.78169 .31252 9 0 ]
[.93327 .31252 -3 -9 ]
[.93327 .31252 3 0 ]
[1.025 .32502 0 -6.28125 ]
[1.025 .32502 10 6.28125 ]
[.01131 .07611 -18 -4.5 ]
[.01131 .07611 0 4.5 ]
[.01131 .15908 -18 -4.5 ]
[.01131 .15908 0 4.5 ]
[.01131 .24205 -18 -4.5 ]
[.01131 .24205 0 4.5 ]
[.01131 .40799 -12 -4.5 ]
[.01131 .40799 0 4.5 ]
[.01131 .49097 -12 -4.5 ]
[.01131 .49097 0 4.5 ]
[.01131 .57394 -12 -4.5 ]
[.01131 .57394 0 4.5 ]
[.02381 .64303 -26 0 ]
[.02381 .64303 26 12.5625 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .32502 m
.17539 .33127 L
s
[(0.5)] .17539 .31252 0 1 Mshowa
.32696 .32502 m
.32696 .33127 L
s
[(1)] .32696 .31252 0 1 Mshowa
.47854 .32502 m
.47854 .33127 L
s
[(1.5)] .47854 .31252 0 1 Mshowa
.63011 .32502 m
.63011 .33127 L
s
[(2)] .63011 .31252 0 1 Mshowa
.78169 .32502 m
.78169 .33127 L
s
[(2.5)] .78169 .31252 0 1 Mshowa
.93327 .32502 m
.93327 .33127 L
s
[(3)] .93327 .31252 0 1 Mshowa
.125 Mabswid
.05412 .32502 m
.05412 .32877 L
s
.08444 .32502 m
.08444 .32877 L
s
.11476 .32502 m
.11476 .32877 L
s
.14507 .32502 m
.14507 .32877 L
s
.2057 .32502 m
.2057 .32877 L
s
.23602 .32502 m
.23602 .32877 L
s
.26633 .32502 m
.26633 .32877 L
s
.29665 .32502 m
.29665 .32877 L
s
.35728 .32502 m
.35728 .32877 L
s
.38759 .32502 m
.38759 .32877 L
s
.41791 .32502 m
.41791 .32877 L
s
.44822 .32502 m
.44822 .32877 L
s
.50885 .32502 m
.50885 .32877 L
s
.53917 .32502 m
.53917 .32877 L
s
.56948 .32502 m
.56948 .32877 L
s
.5998 .32502 m
.5998 .32877 L
s
.66043 .32502 m
.66043 .32877 L
s
.69074 .32502 m
.69074 .32877 L
s
.72106 .32502 m
.72106 .32877 L
s
.75138 .32502 m
.75138 .32877 L
s
.81201 .32502 m
.81201 .32877 L
s
.84232 .32502 m
.84232 .32877 L
s
.87264 .32502 m
.87264 .32877 L
s
.90295 .32502 m
.90295 .32877 L
s
.96358 .32502 m
.96358 .32877 L
s
.9939 .32502 m
.9939 .32877 L
s
.25 Mabswid
0 .32502 m
1 .32502 L
s
gsave
1.025 .32502 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .07611 m
.03006 .07611 L
s
[(-30)] .01131 .07611 1 0 Mshowa
.02381 .15908 m
.03006 .15908 L
s
[(-20)] .01131 .15908 1 0 Mshowa
.02381 .24205 m
.03006 .24205 L
s
[(-10)] .01131 .24205 1 0 Mshowa
.02381 .40799 m
.03006 .40799 L
s
[(10)] .01131 .40799 1 0 Mshowa
.02381 .49097 m
.03006 .49097 L
s
[(20)] .01131 .49097 1 0 Mshowa
.02381 .57394 m
.03006 .57394 L
s
[(30)] .01131 .57394 1 0 Mshowa
.125 Mabswid
.02381 .09271 m
.02756 .09271 L
s
.02381 .1093 m
.02756 .1093 L
s
.02381 .12589 m
.02756 .12589 L
s
.02381 .14249 m
.02756 .14249 L
s
.02381 .17568 m
.02756 .17568 L
s
.02381 .19227 m
.02756 .19227 L
s
.02381 .20886 m
.02756 .20886 L
s
.02381 .22546 m
.02756 .22546 L
s
.02381 .25865 m
.02756 .25865 L
s
.02381 .27524 m
.02756 .27524 L
s
.02381 .29184 m
.02756 .29184 L
s
.02381 .30843 m
.02756 .30843 L
s
.02381 .34162 m
.02756 .34162 L
s
.02381 .35821 m
.02756 .35821 L
s
.02381 .37481 m
.02756 .37481 L
s
.02381 .3914 m
.02756 .3914 L
s
.02381 .42459 m
.02756 .42459 L
s
.02381 .44118 m
.02756 .44118 L
s
.02381 .45778 m
.02756 .45778 L
s
.02381 .47437 m
.02756 .47437 L
s
.02381 .50756 m
.02756 .50756 L
s
.02381 .52415 m
.02756 .52415 L
s
.02381 .54075 m
.02756 .54075 L
s
.02381 .55734 m
.02756 .55734 L
s
.02381 .05952 m
.02756 .05952 L
s
.02381 .04292 m
.02756 .04292 L
s
.02381 .02633 m
.02756 .02633 L
s
.02381 .00973 m
.02756 .00973 L
s
.02381 .59053 m
.02756 .59053 L
s
.02381 .60713 m
.02756 .60713 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -87 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(A1) show
75.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(A2) show
93.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
99.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
111.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .0426 L
.10458 .07201 L
.14415 .09869 L
.18221 .12354 L
.22272 .14917 L
.26171 .17311 L
.30316 .19786 L
.34309 .22111 L
.3815 .24303 L
.42237 .26599 L
.46172 .28786 L
.49955 .30877 L
.53984 .33104 L
.57861 .35259 L
.61984 .37576 L
.65954 .39844 L
.69774 .4207 L
.73838 .44498 L
.77751 .469 L
.81909 .49533 L
.85916 .52154 L
.89771 .5476 L
.93871 .57626 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00=03oool00`000000oooo
0?ooo`3o0?ooool0oooo2`3oool003@0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`/0oooo000d
0?ooo`030000003oool0oooo0?l0ooooo`3oool;0?ooo`00=03oool00`000000oooo0?ooo`3o0?oo
ool0oooo2`3oool003@0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`/0oooo000d0?ooo`800000
o`3ooooo0?ooo``0oooo000d0?ooo`030000003oool0oooo0?l0ooooo`3oool;0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?ooool0oooo2`3oool003@0oooo0`00003o0?ooool0oooo2`3oool003@0
oooo00@000000?ooo`3oool00000o`3ooooo0?ooo`X0oooo000d0?ooo`050000003oool0oooo0?oo
o`000000o`3ooooo0?ooo`T0oooo000d0?ooo`030000003oool0oooo0080oooo0P00003o0?ooool0
oooo1`3oool003@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooool0oooo
103oool003@0oooo0P0000060?ooo`030000003oool0oooo0?l0ooooo`3oool30?ooo`00=03oool0
0`000000oooo0?ooo`060?ooo`800000o`3ooooo0?ooo`<0oooo000d0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`00=03oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo0?l0oooooP3oool003@0oooo00<000000?ooo`3oool02P3oool200000?l0oooo
oP3oool003@0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`3o0?oooo/0oooo000d
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0o`3ooooj0?ooo`00=03oool00`00
0000oooo0?ooo`0>0?ooo`800000o`3ooooj0?ooo`00=03oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0?l0oooom`3oool003@0oooo0P00000B0?ooo`800000o`3oooog0?ooo`00=03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0?l0oooom03oool003@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`3o0?oooo<0oooo000d0?ooo`030000003oool0oooo
01D0oooo0P00003o0?oooo<0oooo000d0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0o`3oooo`0?ooo`00=03oool00`000000oooo0?ooo`0H0?ooo`800000o`3oooo`0?ooo`00=03o
ool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0?l0ooook@3oool003@0oooo00<00000
0?ooo`3oool06`3oool00`000000oooo0?ooo`3o0?ooon`0oooo000d0?ooo`8000007@3oool20000
0?l0ooook03oool003@0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3o0?ooonT0
oooo000d0?ooo`030000003oool0oooo01l0oooo0P00003o0?ooonT0oooo000H0?ooo`0609a80000
000000000000000007@0_ooo1`3oool01@2LB00000000000000007@0_ooo00X0oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`3o0?ooonH0oooo000F0?ooo`030?oOW0180000B9cO00<0
oooo00<0gia80000001d_ol01@3oool01P2oM000B9cO0?ooo`3oool0okmd0018W0X0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`3o0?ooonD0oooo000M0?ooo`030=nLB000B9`0oooo
00<0oooo00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?ooo`080?ooo`030000003oool0oooo
02<0oooo0P00003o0?ooonD0oooo000M0?ooo`030?oo_`1d04P0W=oo00<0oooo00<0_g@004RLg`3o
ool00`3oool00`3o_g@004RL0?ooo`080?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3o
ool0o`3ooooR0?ooo`007@3oool00`3ookl0M01809cOo`030?ooo`0309a8001d_ol0oooo00<0oooo
00<0omnL04P0M02oool0203oool00`000000oooo0?ooo`0V0?ooo`800000o`3ooooR0?ooo`002P3o
ool00`3OW4P00000000000060000000307Boo`3oool0oooo00L0oooo00<0gia80018W03oool00P3o
ool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00P0oooo1000000W0?ooo`030000003o
ool0oooo0?l0oooog`3oool001`0oooo00<0_g@00000M02oool00`3oool00`3ookl0M01809cOo`04
0?ooo`030?oOW01807@0_ooo00P0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`3o
0?ooomh0oooo000I0?ooo`050?oOW018000000000000B02Lgol0103oool00`3ookl0M01809cOo`04
0?ooo`030?oOW01807@0_ooo00P0oooo00<000000?ooo`3oool0:P3oool200000?l0oooogP3oool0
01`0oooo00<0okmd0000B02Lgol0103oool00`2LB4P0W=oo0?ooo`030?ooo`030?oOW01807@0_ooo
00P0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`3o0?ooom/0oooo000M0?ooo`03
0=nLB000M;l0oooo00<0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`080?ooo`03
0000003oool0oooo02d0oooo0P00003o0?ooom/0oooo000M0?ooo`030=nLB000M;l0oooo00<0oooo
00<0okmd0018W03oool00`3oool00`2oM000B9cO0?ooo`080?ooo`030000003oool0oooo02l0oooo
00<000000?ooo`3oool0o`3ooooH0?ooo`005`3oool00`2LB000001809cOo`020?ooo`030?noM000
0000M;oo00D0oooo00H0_g@0001d_`3oool0oooo0=nLB000B9`:0?ooo`030000003oool0oooo0300
oooo0P00003o0?ooomP0oooo000H0?ooo`060?oOW018000000000000000004P0W=oo1`3oool01@2o
M00000000000000007@0_ooo00X0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`3o
0?ooomD0oooo000d0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0o`3ooooD0?oo
o`00=03oool2000003D0oooo0P00003o0?ooom@0oooo000d0?ooo`030000003oool0oooo03H0oooo
00<000000?ooo`3oool0o`3ooooA0?ooo`00=03oool00`000000oooo0?ooo`0g0?ooo`800000o`3o
oooA0?ooo`00=03oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0?l0oooocP3oool0
03@0oooo00<000000?ooo`3oool0>P3oool200000?l0oooocP3oool003@0oooo00<000000?ooo`3o
ool0?03oool00`000000oooo0?ooo`3o0?oool/0oooo000d0?ooo`030000003oool0oooo03d0oooo
0P00003o0?oool/0oooo000d0?ooo`030000003oool0oooo03l0oooo0P00003o0?ooolT0oooo000d
0?ooo`800000@P3oool00`000000oooo0?ooo`3o0?ooolH0oooo000d0?ooo`030000003oool0oooo
0480oooo0P00003o0?ooolH0oooo000d0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3o
ool0o`3oooo30?ooo`00=03oool00`000000oooo0?ooo`150?ooo`800000o`3oooo30?ooo`00=03o
ool00`000000oooo0?ooo`170?ooo`800000o`3oooo10?ooo`00=03oool00`000000oooo0?ooo`19
0?ooo`030000003oool0oooo0?l0oooo_P3oool003@0oooo00<000000?ooo`3oool0BP3oool20000
0?l0oooo_P3oool003@0oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`3o0?oook/0
oooo000d0?ooo`800000CP3oool200000?l0oooo^`3oool003@0oooo00<000000?ooo`3oool0C`3o
ool00`000000oooo0?ooo`3o0?oookP0oooo000d0?ooo`030000003oool0oooo0500oooo0P00003o
0?oookP0oooo000d0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0o`3ooone0?oo
o`00=03oool00`000000oooo0?ooo`1C0?ooo`800000o`3ooone0?ooo`00=03oool00`000000oooo
0?ooo`1E0?ooo`030000003oool0oooo0?l0oooo/P3oool003@0oooo00<000000?ooo`3oool0EP3o
ool200000?l0oooo/P3oool003@0oooo00<000000?ooo`3oool0F03oool200000?l0oooo/03oool0
03@0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`3o0?ooojd0oooo000d0?ooo`80
0000G03oool200000?l0oooo[@3oool003@0oooo00<000000?ooo`3oool0G@3oool00`000000oooo
0?ooo`3o0?ooojX0oooo000d0?ooo`030000003oool0oooo05h0oooo0P00003o0?ooojX0oooo000F
0?ooo`030=nLB0000000000000D0000000<004RL0?ooo`3oool0103oool01@2LB000000000000000
07@0_ooo00X0oooo00<000000?ooo`3oool0H03oool00`000000oooo0?ooo`3o0?ooojL0oooo000F
0?ooo`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool0103oool01P2oM000B9cO0?ooo`3o
ool0okmd0018W0X0oooo00<000000?ooo`3oool0H@3oool200000?l0ooooY`3oool001L0oooo00<0
okmd0000B02Lgol02@3oool00`3o_g@007Bo0?ooo`030?ooo`030;md0018W=l0oooo00P0oooo00<0
00000?ooo`3oool0H`3oool200000?l0ooooY@3oool001P0oooo00<0omnL04P0B02Lgol0203oool0
0`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo00P0oooo00<000000?ooo`3oool0I@3oool0
0`000000oooo0?ooo`3o0?oooj80oooo000I0?ooo`030?oOW01804P0W=oo00L0oooo00<0W4P007Bo
o`3oool00`3oool00`3ogi`0B01d0;ooo`080?ooo`030000003oool0oooo06H0oooo0P00003o0?oo
oj80oooo000:0?ooo`030=nLB0000000000000H0000000<0M;oo0?ooo`3oool0103oool00`3ogi`0
B01809cOo`050?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0203oool4000006L0
oooo0P00003o0?oooj00oooo000K0?ooo`030?oOW01804P0W=oo00@0oooo00<0oono07@0B02Lgol0
103oool00`3ogi`0B01d0;ooo`080?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0
o`3ooonM0?ooo`00703oool00`3ogi`0B01d0;ooo`030?ooo`030?oo_`1d04P0W=oo00@0oooo00<0
omnL04P0M02oool0203oool00`000000oooo0?ooo`1[0?ooo`800000o`3ooonM0?ooo`007@3oool0
0`3OW4P007Bo0?ooo`030?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool0203oool0
0`000000oooo0?ooo`1]0?ooo`800000o`3ooonK0?ooo`005`3oool00`2LM9`0oooo0?ooo`030?oo
o`030?noM000B9`0oooo00<0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`080?oo
o`030000003oool0oooo06l0oooo00<000000?ooo`3oool0o`3ooonH0?ooo`005P3oool00`3ookl0
M00007Boo`040?ooo`030;md0000M;l0oooo00<0oooo00<0okmd0018W03oool00`3oool00`2oM000
B9cO0?ooo`080?ooo`030000003oool0oooo0700oooo0P00003o0?oooiP0oooo000G0?ooo`030?no
M0000000M;oo0080oooo00<0_g@00000M02oool01@3oool01P2oM00007Bo0?ooo`3oool0gia80018
W0X0oooo00<000000?ooo`3oool0LP3oool200000?l0ooooUP3oool001P0oooo00D0omnL04P00000
000000000018W0080?ooo`050;md0000000000000000M02oool02P3oool00`000000oooo0?ooo`1d
0?ooo`030000003oool0oooo0?l0ooooT`3oool003@0oooo0P00001f0?ooo`800000o`3ooonC0?oo
o`00=03oool00`000000oooo0?ooo`1g0?ooo`800000o`3ooonA0?ooo`00=03oool00`000000oooo
0?ooo`1i0?ooo`800000o`3ooon?0?ooo`00=03oool00`000000oooo0?ooo`1k0?ooo`030000003o
ool0oooo0?l0ooooS03oool003@0oooo00<000000?ooo`3oool0O03oool200000?l0ooooS03oool0
03@0oooo00<000000?ooo`3oool0OP3oool200000?l0ooooRP3oool003@0oooo00<000000?ooo`3o
ool0P03oool200000?l0ooooR03oool003@0oooo00<000000?ooo`3oool0PP3oool00`000000oooo
0?ooo`3o0?ooohD0oooo000d0?ooo`030000003oool0oooo08<0oooo0P00003o0?ooohD0oooo000d
0?ooo`800000QP3oool200000?l0ooooP`3oool003@0oooo00<000000?ooo`3oool0Q`3oool20000
0?l0ooooP@3oool003@0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`3o0?ooogh0
oooo000d0?ooo`030000003oool0oooo08X0oooo0P00003o0?ooogh0oooo000d0?ooo`030000003o
ool0oooo08`0oooo0P00003o0?ooog`0oooo000d0?ooo`030000003oool0oooo08h0oooo00<00000
0?ooo`3oool0o`3ooomi0?ooo`00=03oool00`000000oooo0?ooo`2?0?ooo`800000o`3ooomi0?oo
o`00=03oool00`000000oooo0?ooo`2A0?ooo`800000o`3ooomg0?ooo`00=03oool2000009@0oooo
00<000000?ooo`3oool0o`3ooomd0?ooo`00=03oool00`000000oooo0?ooo`2D0?ooo`800000o`3o
oomd0?ooo`00=03oool00`000000oooo0?ooo`2F0?ooo`800000o`3ooomb0?ooo`00=03oool00`00
0000oooo0?ooo`2H0?ooo`030000003oool0oooo0?l0ooooK`3oool003@0oooo00<000000?ooo`3o
ool0V@3oool200000?l0ooooK`3oool003@0oooo00<000000?ooo`3oool0V`3oool200000?l0oooo
K@3oool003@0oooo00<000000?ooo`3oool0W@3oool00`000000oooo0?ooo`3o0?ooofX0oooo000d
0?ooo`030000003oool0oooo09h0oooo0P00003o0?ooofX0oooo000d0?ooo`800000X@3oool20000
0?l0ooooJ03oool003@0oooo00<000000?ooo`3oool0XP3oool200000?l0ooooIP3oool003@0oooo
00<000000?ooo`3oool0Y03oool00`000000oooo0?ooo`3o0?ooof<0oooo000d0?ooo`030000003o
ool0oooo0:D0oooo0P00003o0?ooof<0oooo000G0?ooo`0309a800000000000000@0000000<0001d
0;ooo`3oool0103oool01@2LB00000000000000007@0_ooo00X0oooo00<000000?ooo`3oool0Y`3o
ool200000?l0ooooH@3oool001X0oooo00<0gia8001d_`3oool01`3oool01P2oM000B9cO0?ooo`3o
ool0okmd0018W0X0oooo00<000000?ooo`3oool0Z@3oool00`000000oooo0?ooo`3o0?oooeh0oooo
000J0?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?oo
o`080?ooo`030000003oool0oooo0:X0oooo0P00003o0?oooeh0oooo000J0?ooo`030=nLB000M;l0
oooo00H0oooo00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`080?ooo`030000003oool0
oooo0:`0oooo0P00003o0?oooe`0oooo000J0?ooo`030=nLB000M;l0oooo00H0oooo00<0W4P007Bo
o`3oool00`3oool00`3ogi`0B01d0;ooo`080?ooo`030000003oool0oooo0:h0oooo0P00003o0?oo
oeX0oooo000:0?ooo`030=nLB0000000000000H0000000<0M;oo0?ooo`3oool0103oool00`3OW4P0
07Bo0?ooo`050?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0203oool400000:l0
oooo00<000000?ooo`3oool0o`3ooomG0?ooo`006P3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo
_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0203oool00`000000oooo0?ooo`2a0?ooo`800000
o`3ooomG0?ooo`006P3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d04P0W=oo00@0oooo00<0
omnL04P0M02oool0203oool00`000000oooo0?ooo`2c0?ooo`800000o`3ooomE0?ooo`006P3oool0
0`3OW4P007Bo0?ooo`060?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool0203oool0
0`000000oooo0?ooo`2e0?ooo`800000o`3ooomC0?ooo`006P3oool00`3OW4P007Bo0?ooo`060?oo
o`030;md001d_ol0oooo00<0oooo00<0okmd0018W03oool0203oool00`000000oooo0?ooo`2g0?oo
o`030000003oool0oooo0?l0ooooD03oool001X0oooo00<0gia8001d_`3oool01P3oool00`3o_g@0
04RL0?ooo`030?ooo`030;md0018W=l0oooo00P0oooo00<000000?ooo`3oool0^03oool200000?l0
ooooD03oool001L0oooo00D0W4P00000000007@0W9a8001d_`080?ooo`060;md0000M;l0oooo0?oo
o`3OW4P004RL2P3oool00`000000oooo0?ooo`2j0?ooo`800000o`3ooom>0?ooo`006@3oool00`3o
_g@00000001d_`090?ooo`050;md0000000000000000M02oool02P3oool00`000000oooo0?ooo`2l
0?ooo`800000o`3ooom<0?ooo`00=03oool200000;l0oooo00<000000?ooo`3oool0o`3ooom90?oo
o`00=03oool00`000000oooo0?ooo`2o0?ooo`800000o`3ooom90?ooo`00=03oool00`000000oooo
0?ooo`310?ooo`800000o`3ooom70?ooo`00=03oool00`000000oooo0?ooo`330?ooo`800000o`3o
oom50?ooo`00=03oool00`000000oooo0?ooo`350?ooo`030000003oool0oooo0?l0oooo@P3oool0
03@0oooo00<000000?ooo`3oool0aP3oool200000?l0oooo@P3oool003@0oooo00<000000?ooo`3o
ool0b03oool200000?l0oooo@03oool003@0oooo00<000000?ooo`3oool0bP3oool200000?l0oooo
?P3oool003@0oooo0P00003=0?ooo`800000o`3oooll0?ooo`00=03oool00`000000oooo0?ooo`3>
0?ooo`030000003oool0oooo0?l0oooo>@3oool003@0oooo00<000000?ooo`3oool0c`3oool20000
0?l0oooo>@3oool003@0oooo00<000000?ooo`3oool0>`3oool01@2LB00000000000000007@0_ooo
00L0oooo00@0gia80000000004P0W=oo1`3oool01P3ogi`0B000000000000000001809cOocT0oooo
00<0W4P0000000000000100000000`0007@0_ooo0?ooo`0f0?ooo`L0000000<0001d0;ooo`3oool0
103oool0103OW4P000000000B02Lgol70?ooo`060?oOW018000000000000000004P0W=oo>03oool0
0`3OW4P0000000000005000000030018W03oool0oooo03D0oooo00<0gia80000000000001@000000
0`00B9`0oooo0?ooo`040?ooo`040=nLB0000000001809cOo`L0oooo00H0omnL04P0000000000000
0000B02Lgolj0?ooo`0609a80000000000000000000007@0_ooo@@3oool003@0oooo00<000000?oo
o`3oool0>P3oool01P2oM000B9cO0?ooo`3oool0okmd0018W0L0oooo00@0W4P0000000000000B9cO
1P3oool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo03/0oooo00<0gia8001d_`3oool0
?03oool200000003001d_`3oool0oooo00L0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0
000007Boo`020?ooo`030?noM0000000M;oo03L0oooo00<0okmd0000B02Lgol0103oool00`3o_g@0
07Bo0?ooo`0f0?ooo`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool01@3oool0102LB000
000000000018W=l60?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0=`3oool00`3o
gi`0B00004RLg`030?ooo`030=nLB0000000M;oo0400oooo000d0?ooo`030000003oool0oooo03T0
oooo00<0okmd001d_`3oool00`3oool00`2oM000B9cO0?ooo`050?ooo`040=nLB0000000001809cO
o`D0oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`0j0?ooo`030=nLB000M;l0oooo
03d0oooo00<0gia8000000000000203oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0
_ooo00@0oooo00<0okmd0000M02oool0=`3oool00`3o_g@0001809cOo`0m0?ooo`030?noM00004P0
W=oo00/0oooo00@0gia80000000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM000
07@0_ooo03d0oooo00<0gia80018W03oool0?`3oool003@0oooo00<000000?ooo`3oool0>@3oool0
0`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo01D0oooo00<0oono07@0B02Lgol0>P3oool0
0`3OW4P007Bo0?ooo`0m0?ooo`030=nLB000M;l0oooo008000005P3oool00`3ookl0M01809cOo`0h
0?ooo`030?oOW01804P0W=oo03d0oooo00<0omnL04P0B02Lgol06P3oool00`3ookl0M01809cOo`0m
0?ooo`030?oo_`1d04P0W=oo03l0oooo000d0?ooo`030000003oool0oooo03T0oooo00<0W4P007Bo
o`3oool00`3oool00`3ogi`0B01d0;ooo`0E0?ooo`030?oo_`1d04P0W=oo03X0oooo00<0gia8001d
_`3oool0?@3oool00`3OW4P007Bo0?ooo`020?ooo`030000003oool0oooo01<0oooo00<0oono07@0
B02Lgol0>@3oool00`3ogi`0B01809cOo`0m0?ooo`030?oOW01804P0W=oo01T0oooo00<0oono07@0
B02Lgol0?@3oool00`3ookl0M01809cOo`0o0?ooo`00=03oool00`000000oooo0?ooo`0h0?ooo`03
0?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01d0;ooo`0j0?ooo`03
0=nLB000M;l0oooo03d0oooo00<0gia8001d_`3oool00`3oool2000001<0oooo00<0oono07@0M02o
ool0>P3oool00`3ogi`0B01809cOo`0m0?ooo`030?oOW01804P0W=oo01P0oooo00<0oono07@0M02o
ool0?@3oool00`3OW4P004RL0?ooo`0o0?ooo`00=03oool2000003T0oooo00<0oono07@0B02Lgol0
103oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0
>P3oool00`3OW4P007Bo0?ooo`0m0?ooo`030=nLB000M;l0oooo00D0oooo0P00000;0?ooo`030?oO
W018000004RL00<0oooo00<0W4P004RLg`3oool0>`3oool00`3ogi`0B01809cOo`0m0?ooo`030?oO
W01804P0W=oo0140oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?ooo`0l0?ooo`030;md
000007@0_ooo0400oooo000d0?ooo`030000003oool0oooo03P0oooo00<0oono07@0B02Lgol0103o
ool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool0>P3o
ool00`3OW4P007Bo0?ooo`0m0?ooo`030=nLB000M;l0oooo00L0oooo0P0000090?ooo`030?oOW018
07@0W9a800<0000000<0B9cO0?ooo`3oool0?03oool00`3ogi`0B01d0;ooo`0m0?ooo`030?oOW018
07@0_ooo0100oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`0i0?ooo`050?oOW018
000000000000B02Lgol0@@3oool003@0oooo00<000000?ooo`3oool0>@3oool00`2LB4P0W=oo0?oo
o`030?ooo`030?oOW01807@0_ooo00l0oooo00<0omnL04P0M02oool0@03oool00`3OW4P007Bo0?oo
o`0m0?ooo`030=nLB000M;l0oooo00T0oooo0P0000070?ooo`030?oOW01807@0_ooo04<0oooo00<0
gia8001d_`3oool0?@3oool00`3OW4P007Bo0?ooo`0?0?ooo`030?oOW01807@0_ooo0480oooo00<0
okmd0000B02Lgol0@03oool003@0oooo00<000000?ooo`3oool0>@3oool00`2oM000M;oo0?ooo`03
0?ooo`030?noM000B9`0oooo00l0oooo00<0omnL04P0M02oool0@03oool00`3OW4P007Bo0?ooo`0m
0?ooo`030=nLB000M;l0oooo00/0oooo0P0000050?ooo`030?oOW01807@0_ooo03d0oooo00<0W7BL
0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`0g0?ooo`0309adW03oool0oooo00<0oooo00<0okmd
0018W03oool03`3oool00`3ogi`0B01d0;ooo`130?ooo`030=nLB000M;l0oooo03l0oooo000d0?oo
o`030000003oool0oooo03T0oooo00<0okmd0018W03oool00`3oool00`2oM000B9cO0?ooo`0?0?oo
o`030?oOW01807@0_ooo0400oooo00<0gia8001d_`3oool0?@3oool00`3OW4P007Bo0?ooo`0=0?oo
o`8000000`3oool00`3ogi`0B01d0;ooo`0l0?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d
_`3oool0=P3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0oooo00l0oooo00<0omnL04P0
M02oool0@`3oool00`3OW4P007Bo0?ooo`0o0?ooo`00=03oool00`000000oooo0?ooo`0j0?ooo`06
0;md0000M;l0oooo0?ooo`3OW4P004RL4@3oool00`3ogi`0B01d0;ooo`0m0?ooo`0509a800000000
001d09bLB000M;l0>`3oool01@2LB00000000000M02LW4P007Bo0100oooo0P000000103oool0omnL
04P0M02ooolm0?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0>03oool00`3o_g@0
000007Boo`020?ooo`030;md000007@0_ooo0100oooo00<0omnL04P0M02oool0?@3oool00`2LB000
001809cOo`020?ooo`030?noM0000000M;oo0400oooo000d0?ooo`030000003oool0oooo03/0oooo
00D0_g@0000000000000001d0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3o
ool0>03oool00`3o_g@00000001d_`0m0?ooo`030?noM000000007Bo0180oooo0P0000000`180000
0000000000030000000307Boo`3oool0oooo03L0oooo00D0omnL04P00000000000000018W00k0?oo
o`050?oOW0180000000000000000B9`04P3oool00`3ogi`0B000000000040000000307Boo`3oool0
oooo03L0oooo00H0omnL04P00000000000000000B02Lgom10?ooo`00=03oool00`000000oooo0?oo
o`3Z0?ooo`800000o`3ooolN0?ooo`00=03oool200000>d0oooo00<000000?ooo`3oool0o`3ooolK
0?ooo`00=03oool00`000000oooo0?ooo`3]0?ooo`800000o`3ooolK0?ooo`00=03oool00`000000
oooo0?ooo`3_0?ooo`800000o`3ooolI0?ooo`00=03oool00`000000oooo0?ooo`3a0?ooo`800000
o`3ooolG0?ooo`00=03oool00`000000oooo0?ooo`3c0?ooo`800000o`3oool50?ooo`030?oOW018
000000000080000000<0B9cO0?ooo`3oool0203oool003@0oooo00<000000?ooo`3oool0m@3oool0
0`000000oooo0?ooo`3o0?ooo`40oooo00<0omnL04P0B02Lgol00`3oool00`2oM00004RL0=ooo`08
0?ooo`00=03oool00`000000oooo0?ooo`3f0?ooo`800000o`3oool10?ooo`030;md001d_ol0oooo
00@0oooo00<0gia8001d_`3oool01`3oool003@0oooo00<000000?ooo`3oool0n03oool200000?h0
oooo00<0_gA809cOo`3oool0103oool00`3ooml0W4Q809cOo`070?ooo`00:03ooooo00000?P00000
403oool00`3OW4P0M;oo0?ooo`050?ooo`030=nLB018W=l0oooo00H0oooo000d0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool02@3oool2000000030?ooo`000000oooo00h0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0140oooo00<0
omnL04Qd_`3oool01@3oool00`3o_g@0B9cO0?ooo`060?ooo`00=03oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00/0oooo0P00000?0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0B0?ooo`030=nLB018W=l0oooo00@0oooo00<0gia8
07Boo`3oool01P3oool003@0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`190?oo
o`030000003oool0oooo04T0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0Z0?oo
o`030000003oool0oooo04T0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0b0?oo
o`030=nLB0000000M;oo0080oooo00<0oono07@0M02oool01`3oool003@0oooo00<000000?ooo`3o
ool0o`3oool20?ooo`800000n@3oool01@2oM00000000000000004P0W=oo00P0oooo000d0?ooo`03
0000003oool0oooo0?l0oooo103oool200000?L0oooo00<0okmd0000001d_ol02P3oool003@0oooo
00<000000?ooo`3oool0o`3oool60?ooo`800000m03oool00`3ogi`0B7Bo0?ooo`0;0?ooo`00=03o
ool00`000000oooo0?ooo`3o0?ooo`P0oooo00<000000?ooo`3oool0l@3oool00`3ogi`0B7Bo0?oo
o`020?ooo`030?oOW018M;l0oooo00H0oooo000d0?ooo`030000003oool0oooo0?l0oooo2@3oool2
00000?80oooo00H0okmd00000000000000000000B02Lgol70?ooo`00=03oool200000?l0oooo303o
ool200000?d0oooo000d0?ooo`030000003oool0oooo0?l0oooo3@3oool00`000000oooo0?ooo`3j
0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooo`h0oooo0P00003j0?ooo`00=03oool00`000000
oooo0?ooo`3o0?oooa00oooo0P00003h0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooa80oooo
0P00003f0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooa@0oooo00<000000?ooo`3oool0l`3o
ool003@0oooo00<000000?ooo`3oool0o`3ooolE0?ooo`800000l`3oool003@0oooo00<000000?oo
o`3oool0o`3ooolG0?ooo`800000l@3oool003@0oooo0P00003o0?oooaX0oooo0P00003_0?ooo`00
=03oool00`000000oooo0?ooo`3o0?oooa/0oooo00<000000?ooo`3oool0k03oool003@0oooo00<0
00000?ooo`3oool0o`3ooolL0?ooo`800000k03oool003@0oooo00<000000?ooo`3oool0o`3ooolN
0?ooo`800000jP3oool003@0oooo00<000000?ooo`3oool0o`3ooolP0?ooo`800000j03oool003@0
oooo00<000000?ooo`3oool0o`3ooolR0?ooo`030000003oool0oooo0>D0oooo000d0?ooo`030000
003oool0oooo0?l0oooo8`3oool200000>D0oooo000d0?ooo`030000003oool0oooo0?l0oooo9@3o
ool200000><0oooo000d0?ooo`800000o`3ooolX0?ooo`800000h@3oool003@0oooo00<000000?oo
o`3oool0o`3ooolY0?ooo`030000003oool0oooo0=h0oooo000d0?ooo`030000003oool0oooo0?l0
oooo:P3oool200000=h0oooo000d0?ooo`030000003oool0oooo0?l0oooo;03oool200000=`0oooo
000d0?ooo`030000003oool0oooo0?l0oooo;P3oool200000=X0oooo000d0?ooo`030000003oool0
oooo0?l0oooo<03oool200000=P0oooo000d0?ooo`030000003oool0oooo0?l0oooo<P3oool00`00
0000oooo0?ooo`3E0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooc<0oooo0P00003E0?ooo`00
=03oool00`000000oooo0?ooo`3o0?ooocD0oooo0P00003C0?ooo`00=03oool200000?l0oooo>03o
ool200000=40oooo000d0?ooo`030000003oool0oooo0?l0oooo>@3oool200000<l0oooo000d0?oo
o`030000003oool0oooo0?l0oooo>`3oool200000<d0oooo000G0?ooo`0309a800000000000000@0
000000<0001d0;ooo`3oool0103oool01@2LB00000000000000007@0_ooo00X0oooo00<000000?oo
o`3oool0o`3ooolm0?ooo`030000003oool0oooo0<X0oooo000J0?ooo`030=nLB000M;l0oooo00L0
oooo00H0_g@004RLg`3oool0oooo0?noM000B9`:0?ooo`030000003oool0oooo0?l0oooo?P3oool2
00000<X0oooo000J0?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd001d_`3oool00`3oool00`2o
M000B9cO0?ooo`080?ooo`030000003oool0oooo0?l0oooo@03oool200000<P0oooo000J0?ooo`03
0=nLB000M;l0oooo00H0oooo00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`080?ooo`03
0000003oool0oooo0?l0oooo@P3oool200000<H0oooo000J0?ooo`030=nLB000M;l0oooo00H0oooo
00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`080?ooo`030000003oool0oooo0?l0oooo
A03oool00`000000oooo0?ooo`330?ooo`006P3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d
04P0W=oo00@0oooo00<0omnL04P0M02oool0203oool400000?l0ooooA03oool200000<<0oooo000J
0?ooo`030=nLB000M;l0oooo00D0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`08
0?ooo`030000003oool0oooo0?l0ooooA`3oool200000<40oooo000J0?ooo`030=nLB000M;l0oooo
00D0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`080?ooo`030000003oool0oooo
0?l0ooooB@3oool00`000000oooo0?ooo`2n0?ooo`006P3oool00`3OW4P007Bo0?ooo`060?ooo`03
09a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool0203oool00`000000oooo0?ooo`3o0?ooodX0
oooo0P00002n0?ooo`006P3oool00`3OW4P007Bo0?ooo`060?ooo`030;md001d_ol0oooo00<0oooo
00<0okmd0018W03oool0203oool00`000000oooo0?ooo`3o0?oood`0oooo0P00002l0?ooo`006P3o
ool00`3OW4P007Bo0?ooo`060?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool0203o
ool00`000000oooo0?ooo`3o0?ooodh0oooo0P00002j0?ooo`005`3oool01@2LB00000000000M02L
W4P007Bo00P0oooo00H0_g@0001d_`3oool0oooo0=nLB000B9`:0?ooo`030000003oool0oooo0?l0
ooooD03oool00`000000oooo0?ooo`2g0?ooo`006@3oool00`3o_g@00000001d_`090?ooo`050;md
0000000000000000M02oool02P3oool00`000000oooo0?ooo`3o0?oooe40oooo0P00002g0?ooo`00
=03oool200000?l0ooooE03oool200000;D0oooo000d0?ooo`030000003oool0oooo0?l0ooooE@3o
ool00`000000oooo0?ooo`2b0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooeH0oooo0P00002b
0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooeP0oooo00<000000?ooo`3oool0[`3oool003@0
oooo00<000000?ooo`3oool0o`3ooomI0?ooo`800000[`3oool003@0oooo00<000000?ooo`3oool0
o`3ooomK0?ooo`800000[@3oool003@0oooo00<000000?ooo`3oool0o`3ooomM0?ooo`030000003o
ool0oooo0:X0oooo000d0?ooo`030000003oool0oooo0?l0ooooGP3oool200000:X0oooo000d0?oo
o`030000003oool0oooo0?l0ooooH03oool00`000000oooo0?ooo`2W0?ooo`00=03oool200000?l0
ooooHP3oool200000:L0oooo000d0?ooo`030000003oool0oooo0?l0ooooH`3oool200000:D0oooo
000d0?ooo`030000003oool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`2R0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?ooofH0oooo0P00002R0?ooo`00=03oool00`000000oooo0?ooo`3o0?oo
ofP0oooo00<000000?ooo`3oool0W`3oool003@0oooo00<000000?ooo`3oool0o`3ooomY0?ooo`80
0000W`3oool003@0oooo00<000000?ooo`3oool0o`3ooom[0?ooo`800000W@3oool003@0oooo00<0
00000?ooo`3oool0o`3ooom]0?ooo`030000003oool0oooo09X0oooo000d0?ooo`800000o`3ooom_
0?ooo`800000VP3oool003@0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo
09L0oooo000d0?ooo`030000003oool0oooo0?l0ooooL@3oool2000009L0oooo000d0?ooo`030000
003oool0oooo0?l0ooooL`3oool2000009D0oooo000d0?ooo`030000003oool0oooo0?l0ooooM@3o
ool00`000000oooo0?ooo`2B0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooogH0oooo0P00002B
0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooogP0oooo00<000000?ooo`3oool0S`3oool003@0
oooo00<000000?ooo`3oool0o`3ooomi0?ooo`800000S`3oool003@0oooo0P00003o0?ooog`0oooo
0P00002=0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooogd0oooo00<000000?ooo`3oool0RP3o
ool003@0oooo00<000000?ooo`3oool0o`3ooomn0?ooo`800000RP3oool003@0oooo00<000000?oo
o`3oool0o`3ooon00?ooo`030000003oool0oooo08L0oooo000F0?ooo`030=nLB0000000000000D0
000000<004RL0?ooo`3oool0103oool01@2LB00000000000000007@0_ooo00X0oooo00<000000?oo
o`3oool0o`3ooon10?ooo`800000Q`3oool001H0oooo00<0okmd0000B02Lgol0103oool00`3o_g@0
07Bo0?ooo`040?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL2P3oool00`000000oooo0?ooo`3o
0?oooh<0oooo0P0000250?ooo`005`3oool00`3o_g@0001809cOo`090?ooo`030?noM000M;l0oooo
00<0oooo00<0_g@004RLg`3oool0203oool00`000000oooo0?ooo`3o0?ooohD0oooo00<000000?oo
o`3oool0PP3oool001P0oooo00<0omnL04P0B02Lgol0203oool00`2oM000B9cO0?ooo`030?ooo`03
0?noM000B9`0oooo00P0oooo00<000000?ooo`3oool0o`3ooon60?ooo`800000PP3oool001T0oooo
00<0omnL04P0B02Lgol01`3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0_ooo00P0oooo
00<000000?ooo`3oool0o`3ooon80?ooo`030000003oool0oooo07l0oooo000J0?ooo`030?oOW018
04P0W=oo00D0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`080?ooo`@00000o`3o
oon80?ooo`800000O`3oool001/0oooo00<0omnL04P0B02Lgol0103oool00`3ookl0M01809cOo`04
0?ooo`030?oOW01807@0_ooo00P0oooo00<000000?ooo`3oool0o`3ooon;0?ooo`800000O@3oool0
01`0oooo00<0omnL04P0M02oool00`3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo
00P0oooo00<000000?ooo`3oool0o`3ooon=0?ooo`030000003oool0oooo07X0oooo000M0?ooo`03
0=nLB000M;l0oooo00<0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`080?ooo`03
0000003oool0oooo0?l0ooooSP3oool2000007X0oooo000G0?ooo`0309adW03oool0oooo00<0oooo
00<0okmd0018W03oool00`3oool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00P0oooo
00<000000?ooo`3oool0o`3ooon@0?ooo`030000003oool0oooo07L0oooo000F0?ooo`030?oo_`1d
0000M;oo00@0oooo00<0_g@0001d_`3oool00`3oool00`3o_g@004RL0?ooo`030?ooo`030;md0018
W=l0oooo00P0oooo00<000000?ooo`3oool0o`3ooonA0?ooo`800000M`3oool001L0oooo00<0okmd
0000001d_ol00P3oool00`2oM000001d0;ooo`050?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL
2P3oool00`000000oooo0?ooo`3o0?oooi<0oooo00<000000?ooo`3oool0M03oool001P0oooo00D0
omnL04P00000000000000018W0080?ooo`050;md0000000000000000M02oool02P3oool00`000000
oooo0?ooo`3o0?oooi@0oooo0P00001d0?ooo`00=03oool200000?l0ooooU`3oool00`000000oooo
0?ooo`1a0?ooo`00=03oool00`000000oooo0?ooo`3o0?oooiL0oooo0P00001a0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?oooiT0oooo0P00001_0?ooo`00=03oool00`000000oooo0?ooo`3o0?oo
oi/0oooo00<000000?ooo`3oool0K03oool003@0oooo00<000000?ooo`3oool0o`3ooonL0?ooo`80
0000K03oool003@0oooo00<000000?ooo`3oool0o`3ooonN0?ooo`030000003oool0oooo06T0oooo
000d0?ooo`030000003oool0oooo0?l0ooooW`3oool2000006T0oooo000d0?ooo`030000003oool0
oooo0?l0ooooX@3oool00`000000oooo0?ooo`1V0?ooo`00=03oool200000?l0ooooX`3oool20000
06H0oooo000d0?ooo`030000003oool0oooo0?l0ooooY03oool00`000000oooo0?ooo`1S0?ooo`00
=03oool00`000000oooo0?ooo`3o0?ooojD0oooo0P00001S0?ooo`00=03oool00`000000oooo0?oo
o`3o0?ooojL0oooo00<000000?ooo`3oool0H03oool003@0oooo00<000000?ooo`3oool0o`3ooonX
0?ooo`800000H03oool003@0oooo00<000000?ooo`3oool0o`3ooonZ0?ooo`030000003oool0oooo
05d0oooo000d0?ooo`030000003oool0oooo0?l0ooooZ`3oool2000005d0oooo000d0?ooo`030000
003oool0oooo0?l0oooo[@3oool2000005/0oooo000d0?ooo`030000003oool0oooo0?l0oooo[`3o
ool00`000000oooo0?ooo`1H0?ooo`00=03oool200000?l0oooo/@3oool2000005P0oooo000d0?oo
o`030000003oool0oooo0?l0oooo/P3oool00`000000oooo0?ooo`1E0?ooo`00=03oool00`000000
oooo0?ooo`3o0?oook<0oooo0P00001E0?ooo`00=03oool00`000000oooo0?ooo`3o0?oookD0oooo
00<000000?ooo`3oool0DP3oool003@0oooo00<000000?ooo`3oool0o`3ooonf0?ooo`800000DP3o
ool003@0oooo00<000000?ooo`3oool0o`3ooonh0?ooo`030000003oool0oooo04l0oooo000d0?oo
o`030000003oool0oooo0?l0oooo^@3oool00`000000oooo0?ooo`1>0?ooo`00=03oool00`000000
oooo0?ooo`3o0?oookX0oooo0P00001>0?ooo`00=03oool200000?l0oooo_@3oool00`000000oooo
0?ooo`1;0?ooo`00=03oool00`000000oooo0?ooo`3o0?oookd0oooo0P00001;0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?oookl0oooo00<000000?ooo`3oool0B03oool001P0oooo00H0W4P00000
0000000000000000M02oool70?ooo`0509a80000000000000000M02oool02P3oool00`000000oooo
0?ooo`3o0?oool00oooo0P0000180?ooo`005P3oool00`3ogi`0B00004RLg`030?ooo`030=nLB000
0000M;oo00D0oooo00H0_g@004RLg`3oool0oooo0?noM000B9`:0?ooo`030000003oool0oooo0?l0
oooo`P3oool00`000000oooo0?ooo`150?ooo`007@3oool00`3OW4P004RL0?ooo`030?ooo`030?no
M000M;l0oooo00<0oooo00<0_g@004RLg`3oool0203oool00`000000oooo0?ooo`3o0?oool<0oooo
00<000000?ooo`3oool0A03oool001d0oooo00<0oono07@0B02Lgol00`3oool00`2oM000B9cO0?oo
o`030?ooo`030?noM000B9`0oooo00P0oooo00<000000?ooo`3oool0o`3oooo40?ooo`800000A03o
ool001d0oooo00<0oono07@0B02Lgol00`3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0
_ooo00P0oooo00<000000?ooo`3oool0o`3oooo60?ooo`030000003oool0oooo0440oooo000M0?oo
o`030=nLB000B9`0oooo0080oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`080?oo
o`@00000o`3oooo60?ooo`800000@@3oool001`0oooo00<0_g@00000M02oool00`3oool00`3ookl0
M01809cOo`040?ooo`030?oOW01807@0_ooo00P0oooo00<000000?ooo`3oool0o`3oooo90?ooo`03
0000003oool0oooo03h0oooo000I0?ooo`050?oOW018000000000000B02Lgol0103oool00`3ookl0
M01809cOo`040?ooo`030?oOW01807@0_ooo00P0oooo00<000000?ooo`3oool0o`3oooo:0?ooo`80
0000?P3oool001`0oooo00<0okmd0000B02Lgol0103oool00`2LB4P0W=oo0?ooo`030?ooo`030?oO
W01807@0_ooo00P0oooo00<000000?ooo`3oool0o`3oooo<0?ooo`030000003oool0oooo03/0oooo
000M0?ooo`030=nLB000M;l0oooo00<0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?oo
o`080?ooo`030000003oool0oooo0?l0ooooc@3oool00`000000oooo0?ooo`0j0?ooo`007@3oool0
0`3OW4P007Bo0?ooo`030?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool0203oool0
0`000000oooo0?ooo`3o0?ooolh0oooo0P00000j0?ooo`005`3oool00`2LB000001809cOo`020?oo
o`030?noM0000000M;oo00D0oooo00H0_g@0001d_`3oool0oooo0=nLB000B9`:0?ooo`030000003o
ool0oooo0?l0ooood03oool00`000000oooo0?ooo`0g0?ooo`00603oool01P3ogi`0B00000000000
0000001809cOo`L0oooo00D0_g@0000000000000001d0;ooo`0:0?ooo`030000003oool0oooo0?l0
ooood@3oool00`000000oooo0?ooo`0f0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooom80oooo
0P00000f0?ooo`00=03oool200000?l0ooooe@3oool00`000000oooo0?ooo`0c0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?ooomD0oooo00<000000?ooo`3oool0<P3oool003@0oooo00<000000?oo
o`3oool0o`3ooooF0?ooo`800000<P3oool003@0oooo00<000000?ooo`3oool0o`3ooooH0?ooo`03
0000003oool0oooo02l0oooo000d0?ooo`030000003oool0oooo0?l0oooof@3oool00`000000oooo
0?ooo`0^0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooomX0oooo0P00000^0?ooo`00=03oool0
0`000000oooo0?ooo`3o0?ooom`0oooo00<000000?ooo`3oool0:`3oool003@0oooo00<000000?oo
o`3oool0o`3ooooo0?ooo`/0oooo000d0?ooo`800000o`3ooooo0?ooo``0oooo000d0?ooo`030000
003oool0oooo0?l0ooooo`3oool;0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooool0oooo2`3o
ool003@0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`/0oooo000d0?ooo`030000003oool0oooo
0?l0ooooo`3oool;0?ooo`00=03oool00`000000oooo0?ooo`3o0?ooool0oooo2`3oool00?l0oooo
o`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?oo
o`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo
003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0
oooo@P3oool00?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool0
0?l0ooooo`3ooom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool000<0oooo00<0
okmd0000000000000P000000101d_ol0oooo0?ooo`3OW4P3000000040000B02Lgol0oooo09a800H0
000000<0001d0;ooo`3oool01@3oool00`3o_g@0M;oo0?ooo`030?ooo`030?noM000000000000080
000000@0M;oo0?ooo`3oool0gia80`0000000`0004P0W=oo0=nLB007000000030018W03oool0oooo
0100oooo00D0W4P0000000000000001d0;ooo`3o0?ooon`0oooo00040?ooo`030?oo_`1d0000M;oo
00H0oooo00<0_g@0001d_`3oool01@3oool00`3OW4P007Bo0?ooo`090?ooo`030?noM01d_ol0oooo
00@0oooo00<0oono07@0001d_ol01P3oool01`2oM00007Bo0?ooo`3oool0okmd0000B02Lgol0103o
ool00`3o_g@007Bo0?ooo`0@0?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RLo`3oooo/0?ooo`00
1@3oool00`3OW4P004RL0?ooo`040?ooo`030?oo_`1d0000M;oo00H0oooo00<0gia8001d_`3oool0
2@3oool00`3o_g@0M;oo0?ooo`050?ooo`030=nLB000B9`0oooo00@0oooo00<0oono07@0001d_ol0
0`3oool00`3o_g@0001809cOo`080?ooo`030?oo_`1d0000000000D0000000<0001d0;ooo`3oool0
0P3oool00`3o_g@007Bo0?ooo`030?ooo`030;md0018W=l0oooo0?l0oooojP3oool000D0oooo00<0
omnL04P0B02Lgol0103oool00`3o_g@0001d0;ooo`060?ooo`030=nLB000M;l0oooo00T0oooo00<0
okmd07Boo`3oool01@3oool00`3ogi`0B01809cOo`040?ooo`030?noM00007@0_ooo00@0oooo00<0
omnL04P0B02Lgol0503oool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo0?l0oooojP3o
ool000H0oooo00<0W4P0000000000000100000000`00M;l0oooo0?ooo`050?ooo`030=nLB000M;l0
oooo00D0oooo00<0oono07@0000000001@0000000`0007@0_ooo0?ooo`020?ooo`0309a800000000
000000@0000000<007Bo0?ooo`3oool0103oool00`3ogi`0B01809cOo`0C0?ooo`0309a8001d_ol0
oooo00<0oooo00<0omnL04P0M02oool0o`3ooooZ0?ooo`001P3oool00`3OW4P004RL0?ooo`020?oo
o`030?oo_`1d0000M;oo00L0oooo00<0gia8001d_`3oool02@3oool00`3o_g@0M;oo0?ooo`060?oo
o`030=nLB000B9`0oooo0080oooo00<0oono07@0001d_ol01`3oool00`3ogi`0B01809cOo`0A0?oo
o`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0o`3ooooZ0?ooo`001P3oool00`3ogi`0
B01809cOo`020?ooo`030?noM00007@0_ooo00L0oooo00<0gia8001d_`3oool02@3oool00`3o_g@0
M;oo0?ooo`060?ooo`030?oOW01804P0W=oo0080oooo00<0okmd0000M02oool0203oool00`3ogi`0
B01809cOo`040?ooo`030?oo_`1d0000000000D0000000L0001d0;ooo`3oool0oooo0?oo_`1d04P0
W=oo00@0oooo00<0omnL04P0M02oool0o`3ooooZ0?ooo`001`3oool01P2LB000B9cO0?ooo`3oool0
_g@0001d_`P0oooo00<0gia8001d_`3oool02@3oool00`3o_g@0M;oo0?ooo`070?ooo`0609a80018
W=l0oooo0?ooo`2oM00007Bo2P3oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oo_`1d04P0W=oo00@0
oooo00<0omnL04P0M02oool0o`3ooooZ0?ooo`001`3oool01P3OW4P004RL0?ooo`3ookl0M00007Bo
o`P0oooo00<0gia8001d_`3oool02@3oool00`3o_g@0M;oo0?ooo`070?ooo`060=nLB000B9`0oooo
0?oo_`1d0000M;oo2`3oool00`3OW4P007Bo0?ooo`0?0?ooo`0309a8B02Lgol0oooo00<0oooo00<0
omnL04P0M02oool0o`3ooooZ0?ooo`001`3oool01P3ookl0M00007Boo`3o_g@0001d0;ooo`P0oooo
00<0gia8001d_`3oool04`3oool01P3ookl0M00007Boo`3o_g@0001d0;ooo`D0oooo00<0W7BL0?oo
o`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030;md001d_ol0oooo00<0oooo00<0okmd0018
W03oool0o`3ooooZ0?ooo`00203oool0102oM00007Bo0;md0000M;l90?ooo`030=nLB000M;l0oooo
01@0oooo00@0_g@0001d_`2oM00007Bo1@3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0
oooo00l0oooo00<0okmd0018W03oool00`3oool00`2oM000B9cO0?ooo`3o0?ooonX0oooo00050?oo
o`030=nLB0000000000000<0000000<0M;oo0?ooo`3oool0103oool01@2LB00000000000M02LW4P0
07Bo0180oooo00<0gia80000000000000`0000000`1d_ol0oooo0?ooo`040?ooo`030?noM0000000
M;oo0080oooo00<0_g@00000M02oool04@3oool01P2oM00007Bo0?ooo`3oool0gia80018W?l0oooo
k03oool001@0oooo00<0okmd00000000M;l0803oool01@3ogi`0B00000000000000004RL01@0oooo
00D0_g@0000000000000001d0;ooo`3o0?ooon`0oooo003o0?ooool0oooo@P3oool00?l0ooooo`3o
oom20?ooo`00o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00?l0ooooo`3ooom20?ooo`00
o`3ooooo0?oood80oooo003o0?ooool0oooo@P3oool00001\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.34144, -39.9761, \
0.0131317, 0.479796}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"FindRoot", "[", 
      RowBox[{
        RowBox[{
          FormBox[
            
            FormBox[\(26.791970737985338  x + 6.614277122746575  Cos[x] - 
                44.01395501097491\),
              "TraditionalForm"],
            "TraditionalForm"], "\[Equal]", "0"}], ",", \({x, 1.5, 2}\)}], 
      "]"}]], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(TraditionalForm\`{x \[Rule] 1.666360476651179`}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 722}},
WindowSize->{1007, 695},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 735, 13, 617, "Input"],
Cell[2492, 66, 647, 12, 441, "Input"],
Cell[3142, 80, 428, 7, 353, "Input"],

Cell[CellGroupData[{
Cell[3595, 91, 201, 4, 177, "Input"],
Cell[3799, 97, 56271, 1126, 372, 10687, 559, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60107, 1228, 126, 3, 133, "Input"],
Cell[60236, 1233, 89, 1, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60362, 1239, 200, 4, 177, "Input"],
Cell[60565, 1245, 57641, 1168, 372, 11114, 589, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[118221, 2416, 141, 3, 103, "Input"],

Cell[CellGroupData[{
Cell[118387, 2423, 203, 4, 177, "Input"],
Cell[118593, 2429, 56712, 1129, 372, 10631, 556, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[175342, 3563, 136, 3, 133, "Input"],
Cell[175481, 3568, 88, 1, 125, "Output"]
}, Open  ]],
Cell[175584, 3572, 237, 5, 265, "Input"],

Cell[CellGroupData[{
Cell[175846, 3581, 311, 5, 231, "Input"],
Cell[176160, 3588, 159, 3, 125, "Output"],
Cell[176322, 3593, 164, 3, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[176523, 3601, 357, 6, 295, "Input"],
Cell[176883, 3609, 159, 3, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[177079, 3617, 402, 11, 193, "Input"],
Cell[177484, 3630, 44884, 921, 372, 8389, 466, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[222405, 4556, 383, 11, 221, "Input"],
Cell[222791, 4569, 81, 1, 125, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

