(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    156855,       2897]*)
(*NotebookOutlinePosition[    157553,       2921]*)
(*  CellTagsIndexPosition[    157509,       2917]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(\(EKeq = 24.8553  Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMeq = 12.4276;\)\), "\[IndentingNewLine]", 
    \(\(EKf = 29.2367  Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMf = 31.9112;\)\), "\[IndentingNewLine]", 
    \(\(EKpf = 26.4402  Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMpf = 19.4756;\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{EKeq, EMeq}, {\[Delta], 0, Pi}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0236812 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[.01131 .13312 -6 -4.5 ]
[.01131 .13312 0 4.5 ]
[.01131 .25153 -12 -4.5 ]
[.01131 .25153 0 4.5 ]
[.01131 .36993 -12 -4.5 ]
[.01131 .36993 0 4.5 ]
[.01131 .48834 -12 -4.5 ]
[.01131 .48834 0 4.5 ]
[.01131 .60675 -12 -4.5 ]
[.01131 .60675 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13312 m
.03006 .13312 L
s
[(5)] .01131 .13312 1 0 Mshowa
.02381 .25153 m
.03006 .25153 L
s
[(10)] .01131 .25153 1 0 Mshowa
.02381 .36993 m
.03006 .36993 L
s
[(15)] .01131 .36993 1 0 Mshowa
.02381 .48834 m
.03006 .48834 L
s
[(20)] .01131 .48834 1 0 Mshowa
.02381 .60675 m
.03006 .60675 L
s
[(25)] .01131 .60675 1 0 Mshowa
.125 Mabswid
.02381 .0384 m
.02756 .0384 L
s
.02381 .06208 m
.02756 .06208 L
s
.02381 .08576 m
.02756 .08576 L
s
.02381 .10944 m
.02756 .10944 L
s
.02381 .1568 m
.02756 .1568 L
s
.02381 .18048 m
.02756 .18048 L
s
.02381 .20417 m
.02756 .20417 L
s
.02381 .22785 m
.02756 .22785 L
s
.02381 .27521 m
.02756 .27521 L
s
.02381 .29889 m
.02756 .29889 L
s
.02381 .32257 m
.02756 .32257 L
s
.02381 .34625 m
.02756 .34625 L
s
.02381 .39362 m
.02756 .39362 L
s
.02381 .4173 m
.02756 .4173 L
s
.02381 .44098 m
.02756 .44098 L
s
.02381 .46466 m
.02756 .46466 L
s
.02381 .51202 m
.02756 .51202 L
s
.02381 .5357 m
.02756 .5357 L
s
.02381 .55938 m
.02756 .55938 L
s
.02381 .58307 m
.02756 .58307 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .30902 m
.06244 .30902 L
.10458 .30902 L
.14415 .30902 L
.18221 .30902 L
.22272 .30902 L
.26171 .30902 L
.30316 .30902 L
.34309 .30902 L
.3815 .30902 L
.42237 .30902 L
.46172 .30902 L
.49955 .30902 L
.53984 .30902 L
.57861 .30902 L
.61984 .30902 L
.65954 .30902 L
.69774 .30902 L
.73838 .30902 L
.77751 .30902 L
.81909 .30902 L
.85916 .30902 L
.89771 .30902 L
.93871 .30902 L
.97619 .30902 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{368.688, 227.875},
  ImageMargins->{{44, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;Q0001ab000`400?l00000o`00003oo`3ooooo
0?ooon<0oooo003o0?ooool0ooooh`3oool008@0oooo00D0W4P0000000000000001d0;ooo`070?oo
o`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000000000000000B02LgomH0?ooo`0309a8
00000000000000@0000000<0001d0;ooo`3oool0EP3oool00`2LB000000000000004000000030000
M02oool0oooo00@0oooo00@0gia80000000004P0W=oo1`3oool01P3ogi`0B0000000000000000018
09cOoeL0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`1D0?ooo`030=nLB0000000
000000D0000000<004RL0?ooo`3oool0103oool0103OW4P000000000B02Lgol70?ooo`060?oOW018
000000000000000004P0W=ooF@3oool01P2LB0000000000000000000001d0;oooc@0oooo00230?oo
o`060;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0102LB000000000000018W=l60?ooo`030=nL
B0000000M;oo0080oooo00<0okmd0000001d_ol0FP3oool00`3OW4P007Bo0?ooo`1M0?ooo`030=nL
B000M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0000007Boo`020?ooo`03
0?noM0000000M;oo05H0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`1E0?ooo`03
0?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool01@3oool0102LB000000000000018W=l60?oo
o`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0EP3oool00`3ogi`0B00004RLg`030?oo
o`030=nLB0000000M;oo03<0oooo00220?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3o
ool01@3oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000
M02oool0F@3oool00`3OW4P007Bo0?ooo`1M0?ooo`030=nLB000M;l0oooo00P0oooo00@0gia80000
000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo05H0oooo00<0okmd
0000B02Lgol0G03oool00`3o_g@0001809cOo`0;0?ooo`040=nLB0000000001809cOo`D0oooo00<0
omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`1L0?ooo`030=nLB000B9`0oooo0380oooo0022
0?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool05@3oool00`3ookl0M01809cOo`1I
0?ooo`030=nLB000M;l0oooo05d0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01809cOo`1G
0?ooo`030?oOW01804P0W=oo05`0oooo00<0omnL04P0B02Lgol06P3oool00`3ookl0M01809cOo`1L
0?ooo`030?oo_`1d04P0W=oo0380oooo00220?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0
M02oool05@3oool00`3ookl0M01809cOo`1I0?ooo`030=nLB000M;l0oooo05d0oooo00<0gia8001d
_`3oool0603oool00`3ookl0M01809cOo`1H0?ooo`030?oOW01804P0W=oo05`0oooo00<0omnL04P0
B02Lgol06@3oool00`3ookl0M01809cOo`1L0?ooo`030?oo_`1d04P0W=oo0380oooo00210?ooo`03
0?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01d0;ooo`1I0?ooo`03
0=nLB000M;l0oooo05d0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01d0;ooo`1I0?ooo`03
0?oOW01804P0W=oo05`0oooo00<0omnL04P0B02Lgol0603oool00`3ookl0M01d0;ooo`1L0?ooo`03
0=nLB000B9`0oooo0380oooo00210?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0
3`3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo05T0oooo00<0gia8001d_`3oool0
G@3oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0
FP3oool00`3ogi`0B01809cOo`1L0?ooo`030?oOW01804P0W=oo0140oooo00<0omnL04P00000B9`0
0`3oool00`2LB000B9cO0?ooo`1K0?ooo`030;md000007@0_ooo03<0oooo00210?ooo`030?oo_`1d
04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B01d09bLB0030000000304RLg`3o
ool0oooo05T0oooo00<0gia8001d_`3oool0G@3oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018
07@0W9a800<0000000<0B9cO0?ooo`3oool0F`3oool00`3ogi`0B01d0;ooo`1L0?ooo`030?oOW018
07@0_ooo0100oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`1H0?ooo`050?oOW018
000000000000B02Lgol0=03oool00880oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;oo
o`0?0?ooo`030?oOW01807@0_ooo05l0oooo00<0gia8001d_`3oool0G@3oool00`3OW4P007Bo0?oo
o`0B0?ooo`030?oOW01807@0_ooo0680oooo00<0gia8001d_`3oool0G03oool00`3OW4P007Bo0?oo
o`0?0?ooo`030?oOW01807@0_ooo0640oooo00<0okmd0000B02Lgol0<`3oool00880oooo00<0_g@0
07Boo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030?oOW01807@0_ooo05l0oooo00<0gia8
001d_`3oool0G@3oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW01807@0_ooo05`0oooo00<0W7BL
0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`1F0?ooo`0309adW03oool0oooo00<0oooo00<0okmd
0018W03oool03`3oool00`3ogi`0B01d0;ooo`1R0?ooo`030=nLB000M;l0oooo0380oooo00220?oo
o`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool03`3oool00`3ogi`0B01d0;ooo`1O0?oo
o`030=nLB000M;l0oooo05d0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`1K0?oo
o`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool0E@3oool00`3ookl0M00007Boo`040?oo
o`030;md0000M;l0oooo00l0oooo00<0omnL04P0M02oool0HP3oool00`3OW4P007Bo0?ooo`0b0?oo
o`00P`3oool01P2oM00007Bo0?ooo`3oool0gia80018W140oooo00<0omnL04P0M02oool0G03oool0
1@2LB00000000000M02LW4P007Bo05/0oooo00D0W4P00000000007@0W9a8001d_`0C0?ooo`030?oO
W01807@0_ooo05`0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;ooo`1G0?ooo`030?no
M0000000M;oo0080oooo00<0_g@00000M02oool0403oool00`3ogi`0B01d0;ooo`1L0?ooo`0309a8
000004P0W=oo0080oooo00<0okmd0000001d_ol0<`3oool008@0oooo00D0_g@0000000000000001d
0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool0E`3oool00`3o_g@00000
001d_`1M0?ooo`030?noM000000007Bo01<0oooo00<0omnL04P000000000100000000`1d_ol0oooo
0?ooo`1F0?ooo`050?oOW0180000000000000000B9`0FP3oool01@3ogi`0B00000000000000004RL
0180oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`1F0?ooo`060?oOW01800000000
0000000004P0W=oo=03oool00?l0ooooo`3ooooS0?ooo`009`3oool00`000000oooo0?ooo`3o0?oo
ool0oooo^@3oool002L0oooo00<000000?ooo`3oool0o`3ooooo0?oookT0oooo000W0?ooo`030000
003oool0oooo0?l0ooooo`3oooni0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooool0oooo^@3o
ool002L0oooo00<000000?ooo`3oool0o`3ooooo0?oookT0oooo000W0?ooo`030000003oool0oooo
0?l0ooooo`3oooni0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooool0oooo^@3oool002L0oooo
00<000000?ooo`3oool0o`3ooooo0?oookT0oooo000W0?ooo`030000003oool0oooo0?l0ooooo`3o
ooni0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooool0oooo^@3oool002L0oooo00<000000?oo
o`3oool0o`3ooooo0?oookT0oooo000F0?ooool00000o`000036000000L0oooo000W0?ooo`800000
4`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
2@3oool002L0oooo0P00000C0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`090?ooo`009`3oool00`000000oooo0000001X0?ooo`030000003oool0
oooo06P0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1X0?ooo`030000003oool0
oooo06P0oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0
oooo01L0oooo000W0?ooo`030000003oool0000006P0oooo00<000000?ooo`3oool0J03oool00`00
0000oooo0?ooo`1Y0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool0J03oool00`00
0000oooo0?ooo`1X0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool05`3oool002L0
oooo00@000000?ooo`3oool00000o`3ooooo0?oooid0oooo00<000000?ooo`3oool0603oool002L0
oooo00@000000?ooo`3oool00000o`3ooooo0?oooid0oooo00<000000?ooo`3oool0603oool002L0
oooo00D000000?ooo`3oool0oooo0000003o0?ooool0ooooV`3oool00`000000oooo0?ooo`0I0?oo
o`009`3oool01@000000oooo0?ooo`3oool000000?l0ooooo`3ooonK0?ooo`030000003oool0oooo
01T0oooo000W0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3ooooo0?oooiL0
oooo00<000000?ooo`3oool06P3oool002L0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`3o0?ooool0ooooU`3oool00`000000oooo0?ooo`0J0?ooo`009`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0?l0ooooo`3ooonE0?ooo`030000003oool0oooo01/0oooo000W
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooooo0?oooiD0oooo00<00000
0?ooo`3oool06`3oool002L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oo
ool0ooooT`3oool00`000000oooo0?ooo`0L0?ooo`009`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0?l0ooooo`3ooonB0?ooo`030000003oool0oooo01d0oooo000W0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0o`3ooooo0?oooi40oooo00<000000?ooo`3oool0
7@3oool002L0oooo0`0000050?ooo`030000003oool0oooo0?l0ooooo`3ooon@0?ooo`030000003o
ool0oooo01h0oooo000W0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0o`3ooooo
0?ooohl0oooo00<000000?ooo`3oool07P3oool002L0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`3o0?ooool0ooooSP3oool00`000000oooo0?ooo`0O0?ooo`009`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0?l0ooooo`3ooon=0?ooo`030000003oool0oooo01l0
oooo000W0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0o`3ooooo0?oooh`0oooo
00<000000?ooo`3oool0803oool002L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`3o0?ooool0ooooR`3oool00`000000oooo0?ooo`0P0?ooo`009`3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo0?l0ooooo`3ooon:0?ooo`030000003oool0oooo0240oooo000W0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0o`3ooooo0?ooohT0oooo00<000000?oo
o`3oool08@3oool002L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`3o0?ooool0
ooooR03oool00`000000oooo0?ooo`0R0?ooo`009`3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0?l0ooooo`3ooon70?ooo`030000003oool0oooo0280oooo000W0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0o`3ooooo0?ooohH0oooo00<000000?ooo`3oool08`3o
ool002L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`3o0?ooool0ooooQ03oool0
0`000000oooo0?ooo`0T0?ooo`009`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
0?l0ooooo`3ooon40?ooo`030000003oool0oooo02@0oooo000W0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool0o`3ooooo0?oooh80oooo00<000000?ooo`3oool09@3oool002L0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`3o0?ooool0ooooPP3oool00`000000oooo
0?ooo`0U0?ooo`009`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?l0ooooo`3o
oon00?ooo`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool0o`3ooooo0?oooh00oooo00<000000?ooo`3oool09P3oool002L0oooo0`00000>0?oo
o`030000003oool0oooo0?l0ooooo`3ooomn0?ooo`030000003oool0oooo02L0oooo000W0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0o`3ooooo0?ooogh0oooo00<000000?ooo`3o
ool09`3oool002L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooool0oooo
O03oool00`000000oooo0?ooo`0X0?ooo`009`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo02P0oooo000W0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool0o`3ooooo0?ooogX0oooo00<000000?ooo`3oool0:@3oool0
02L0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`3o0?ooool0ooooNP3oool00`00
0000oooo0?ooo`0Y0?ooo`009`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?l0
ooooo`3ooomh0?ooo`030000003oool0oooo02X0oooo000W0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0o`3ooooo0?ooogL0oooo00<000000?ooo`3oool0:`3oool002L0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`3o0?ooool0ooooMP3oool00`000000oooo0?oo
o`0[0?ooo`009`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0?l0ooooo`3ooome
0?ooo`030000003oool0oooo02`0oooo000W0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool0o`3ooooo0?ooog@0oooo00<000000?ooo`3oool0;03oool002L0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`3o0?ooool0ooooL`3oool00`000000oooo0?ooo`0]0?ooo`00
9`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?l0ooooo`3ooomb0?ooo`030000
003oool0oooo02d0oooo000W0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0o`3o
oooo0?ooog40oooo00<000000?ooo`3oool0;P3oool002L0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`3o0?ooool0ooooL03oool00`000000oooo0?ooo`0^0?ooo`009`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0?l0ooooo`3ooom_0?ooo`030000003oool0oooo
02l0oooo000W0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0o`3ooooo0?ooofh0
oooo00<000000?ooo`3oool0;`3oool002L0oooo0`00000F0?ooo`030000003oool0oooo0?l0oooo
o`3ooom]0?ooo`030000003oool0oooo0300oooo000W0?ooo`030000003oool0oooo01L0oooo00<0
00000?ooo`3oool0o`3ooooo0?ooof`0oooo00<000000?ooo`3oool0<03oool002L0oooo00<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`3o0?ooool0ooooJ`3oool00`000000oooo0?ooo`0a
0?ooo`009`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0?l0ooooo`3ooomY0?oo
o`030000003oool0oooo0380oooo000W0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooofP0oooo00<000000?ooo`3oool0<P3oool002L0oooo00<000000?ooo`3oool0
6@3oool00`000000oooo0?ooo`3o0?ooool0ooooI`3oool00`000000oooo0?ooo`0c0?ooo`009`3o
ool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0?l0ooooo`3ooomV0?ooo`030000003o
ool0oooo03<0oooo000W0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0o`3ooooo
0?ooofD0oooo00<000000?ooo`3oool0=03oool002L0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`3o0?ooool0ooooI03oool00`000000oooo0?ooo`0d0?ooo`009`3oool00`000000
oooo0?ooo`0K0?ooo`030000003oool0oooo0?l0ooooo`3ooomS0?ooo`030000003oool0oooo03D0
oooo000W0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0o`3ooooo0?ooof80oooo
00<000000?ooo`3oool0=@3oool002L0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`3o0?ooool0ooooH@3oool00`000000oooo0?ooo`0f0?ooo`009`3oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo0?l0ooooo`3ooomP0?ooo`030000003oool0oooo03H0oooo000W0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool0o`3ooooo0?oooel0oooo00<000000?oo
o`3oool0=`3oool002L0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3o0?ooool0
ooooGP3oool00`000000oooo0?ooo`0g0?ooo`009`3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo0?l0ooooo`3ooomM0?ooo`030000003oool0oooo03P0oooo000W0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0o`3ooooo0?oooe`0oooo00<000000?ooo`3oool0>03o
ool002L0oooo0`00000O0?ooo`030000003oool0oooo0?l0ooooo`3ooomK0?ooo`030000003oool0
oooo03T0oooo000W0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0o`3ooooo0?oo
oeX0oooo00<000000?ooo`3oool0>@3oool002L0oooo00<000000?ooo`3oool08@3oool00`000000
oooo0?ooo`3o0?ooool0ooooF03oool00`000000oooo0?ooo`0j0?ooo`009`3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo0?l0ooooo`3ooomH0?ooo`030000003oool0oooo03X0oooo
000W0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0o`3ooooo0?oooeH0oooo00<0
00000?ooo`3oool0>`3oool002L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`3o
0?ooool0ooooEP3oool00`000000oooo0?ooo`0k0?ooo`009`3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo0?l0ooooo`3ooomD0?ooo`030000003oool0oooo03`0oooo000W0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0o`3ooooo0?oooe@0oooo00<000000?ooo`3o
ool0?03oool002L0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`3o0?ooool0oooo
DP3oool00`000000oooo0?ooo`0m0?ooo`009`3oool00`000000oooo0?ooo`0T0?ooo`030000003o
ool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo03d0oooo000W0?ooo`030000003oool0
oooo02D0oooo00<000000?ooo`3oool0o`3ooooo0?oooe00oooo00<000000?ooo`3oool0?P3oool0
01D0oooo00H0omnL04P00000000000000000B02Lgol<0?ooo`030000003oool0oooo02D0oooo00<0
00000?ooo`3oool0o`3ooooo0?oooe00oooo00<000000?ooo`3oool0?P3oool001@0oooo00<0gia8
0000001d_ol00P3oool00`3o_g@0000007Boo`0;0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0o`3ooooo0?ooodh0oooo00<000000?ooo`3oool0?`3oool001<0oooo00<0omnL04P0
M02oool0103oool00`3o_g@0001d0;ooo`0:0?ooo`030000003oool0oooo02H0oooo00<000000?oo
o`3oool0o`3ooooo0?ooodh0oooo00<000000?ooo`3oool0?`3oool001X0oooo00<0oono07@0B02L
gol02P3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0?l0ooooo`3ooom<0?ooo`03
0000003oool0oooo0400oooo000J0?ooo`030?oo_`1d04P0W=oo00X0oooo00<000000?ooo`3oool0
:03oool00`000000oooo0?ooo`3o0?ooool0ooooB`3oool00`000000oooo0?ooo`100?ooo`006P3o
ool00`3ookl0M01d0;ooo`0:0?ooo`D000009P3oool00`000000oooo0?ooo`3o0?ooool0ooooBP3o
ool00`000000oooo0?ooo`110?ooo`00503oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0
oooo00X0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`3o0?ooool0ooooB@3oool0
0`000000oooo0?ooo`110?ooo`00503oool00`3ogi`0B01d09bLB0030000000304RLg`3oool0oooo
00X0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`3o0?ooool0ooooB03oool00`00
0000oooo0?ooo`120?ooo`00503oool00`3ogi`0B01d0;ooo`0@0?ooo`030000003oool0oooo02X0
oooo00<000000?ooo`3oool0o`3ooooo0?ooodL0oooo00<000000?ooo`3oool0@P3oool001@0oooo
00<0omnL04P0M02oool0403oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0?l0oooo
o`3ooom60?ooo`030000003oool0oooo04<0oooo000D0?ooo`030?oOW01807@0_ooo0100oooo00<0
00000?ooo`3oool0:`3oool00`000000oooo0?ooo`3o0?ooool0ooooA@3oool00`000000oooo0?oo
o`130?ooo`00503oool00`3ogi`0B01d0;ooo`0@0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool0o`3ooooo0?oood@0oooo00<000000?ooo`3oool0A03oool001@0oooo00<0omnL04P0
00000000100000000`1d_ol0oooo0?ooo`090?ooo`030000003oool0oooo02`0oooo00<000000?oo
o`3oool0o`3ooooo0?oood<0oooo00<000000?ooo`3oool0A03oool002L0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`3o0?ooool0oooo@P3oool00`000000oooo0?ooo`150?ooo`00
9`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo0?l0ooooo`3ooom10?ooo`030000
003oool0oooo04D0oooo000W0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0o`3o
oooo0?oood00oooo00<000000?ooo`3oool0AP3oool002L0oooo00<000000?ooo`3oool0;P3oool0
0`000000oooo0?ooo`3o0?ooool0oooo?`3oool00`000000oooo0?ooo`160?ooo`009`3oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo0?l0ooooo`3oooln0?ooo`030000003oool0oooo
04L0oooo000W0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0o`3ooooo0?ooocd0
oooo00<000000?ooo`3oool0A`3oool002L0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`3o0?ooool0oooo>`3oool00`000000oooo0?ooo`180?ooo`009`3oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo0?l0ooooo`3ooolk0?ooo`030000003oool0oooo04P0oooo000W
0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0o`3ooooo0?ooocT0oooo00<00000
0?ooo`3oool0B@3oool002L0oooo0`00000a0?ooo`030000003oool0oooo0?l0ooooo`3oooli0?oo
o`030000003oool0oooo04T0oooo000W0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0o`3ooooo0?ooocL0oooo00<000000?ooo`3oool0BP3oool002L0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`3o0?ooool0oooo=`3oool00`000000oooo0?ooo`1:0?ooo`009`3o
ool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0?l0ooooo`3ooole0?ooo`030000003o
ool0oooo04/0oooo000W0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0o`3ooooo
0?ooocD0oooo00<000000?ooo`3oool0B`3oool002L0oooo00<000000?ooo`3oool0=03oool00`00
0000oooo0?ooo`3o0?ooool0oooo<`3oool00`000000oooo0?ooo`1<0?ooo`009`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo0?l0ooooo`3ooolc0?ooo`030000003oool0oooo04`0
oooo000W0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0o`3ooooo0?oooc40oooo
00<000000?ooo`3oool0C@3oool002L0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?oo
o`3o0?ooool0oooo<03oool00`000000oooo0?ooo`1>0?ooo`009`3oool00`000000oooo0?ooo`0f
0?ooo`030000003oool0oooo0?l0ooooo`3oool_0?ooo`030000003oool0oooo04h0oooo000W0?oo
o`030000003oool0oooo03L0oooo00<000000?ooo`3oool0o`3ooooo0?ooobd0oooo00<000000?oo
o`3oool0C`3oool002L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`3o0?ooool0
oooo;@3oool00`000000oooo0?ooo`1?0?ooo`009`3oool00`000000oooo0?ooo`0h0?ooo`030000
003oool0oooo0?l0ooooo`3oool[0?ooo`030000003oool0oooo0500oooo000W0?ooo`030000003o
ool0oooo03P0oooo00<000000?ooo`3oool0o`3ooooo0?ooob/0oooo00<000000?ooo`3oool0D03o
ool002L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`3o0?ooool0oooo:@3oool0
0`000000oooo0?ooo`1A0?ooo`009`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo
0?l0ooooo`3ooolY0?ooo`030000003oool0oooo0540oooo000W0?ooo`030000003oool0oooo03X0
oooo00<000000?ooo`3oool0o`3ooooo0?ooobL0oooo00<000000?ooo`3oool0DP3oool002L0oooo
0`00000j0?ooo`030000003oool0oooo0?l0ooooo`3ooolW0?ooo`030000003oool0oooo0580oooo
000W0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0o`3ooooo0?ooobD0oooo00<0
00000?ooo`3oool0D`3oool002L0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`3o
0?ooool0oooo9@3oool00`000000oooo0?ooo`1C0?ooo`009`3oool00`000000oooo0?ooo`0l0?oo
o`030000003oool0oooo0?l0ooooo`3ooolS0?ooo`030000003oool0oooo05@0oooo000W0?ooo`03
0000003oool0oooo03`0oooo00<000000?ooo`3oool0o`3ooooo0?ooob80oooo00<000000?ooo`3o
ool0E@3oool002L0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`3o0?ooool0oooo
8@3oool00`000000oooo0?ooo`1E0?ooo`009`3oool00`000000oooo0?ooo`0n0?ooo`030000003o
ool0oooo0?l0ooooo`3ooolO0?ooo`030000003oool0oooo05H0oooo000W0?ooo`030000003oool0
oooo03h0oooo00<000000?ooo`3oool0o`3ooooo0?oooal0oooo00<000000?ooo`3oool0EP3oool0
02L0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`3o0?ooool0oooo7@3oool00`00
0000oooo0?ooo`1G0?ooo`009`3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0?l0
ooooo`3ooolM0?ooo`030000003oool0oooo05L0oooo000W0?ooo`030000003oool0oooo0400oooo
00<000000?ooo`3oool0o`3ooooo0?oooa/0oooo00<000000?ooo`3oool0F03oool002L0oooo00<0
00000?ooo`3oool0@03oool00`000000oooo0?ooo`3o0?ooool0oooo6`3oool00`000000oooo0?oo
o`1H0?ooo`009`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0?l0ooooo`3ooolI
0?ooo`030000003oool0oooo05T0oooo000W0?ooo`030000003oool0oooo0440oooo00<000000?oo
o`3oool0o`3ooooo0?oooaT0oooo00<000000?ooo`3oool0F@3oool002L0oooo00<000000?ooo`3o
ool0@P3oool00`000000oooo0?ooo`3o0?ooool0oooo5`3oool00`000000oooo0?ooo`1J0?ooo`00
9`3oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo0?l0ooooo`3ooolF0?ooo`030000
003oool0oooo05/0oooo000W0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0o`3o
oooo0?oooaD0oooo00<000000?ooo`3oool0F`3oool002L0oooo0`0000130?ooo`030000003oool0
oooo0?l0ooooo`3ooolD0?ooo`030000003oool0oooo05`0oooo000W0?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool0o`3ooooo0?oooa<0oooo00<000000?ooo`3oool0G03oool002L0
oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?ooool0oooo4@3oool00`000000
oooo0?ooo`1M0?ooo`009`3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo0?l0oooo
o`3ooolA0?ooo`030000003oool0oooo05d0oooo000W0?ooo`030000003oool0oooo04H0oooo00<0
00000?ooo`3oool0o`3ooooo0?ooo`l0oooo00<000000?ooo`3oool0GP3oool002L0oooo00<00000
0?ooo`3oool0AP3oool00`000000oooo0?ooo`3o0?ooool0oooo3`3oool00`000000oooo0?ooo`1N
0?ooo`009`3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo0?l0ooooo`3oool=0?oo
o`030000003oool0oooo05l0oooo000W0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooo`d0oooo00<000000?ooo`3oool0G`3oool002L0oooo00<000000?ooo`3oool0
B03oool00`000000oooo0?ooo`3o0?ooool0oooo2`3oool00`000000oooo0?ooo`1P0?ooo`009`3o
ool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0?l0ooooo`3oool;0?ooo`030000003o
ool0oooo0600oooo000W0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0o`3ooooo
0?ooo`T0oooo00<000000?ooo`3oool0H@3oool002L0oooo00<000000?ooo`3oool0B@3oool00`00
0000oooo0?ooo`3o0?ooool0oooo203oool00`000000oooo0?ooo`1R0?ooo`009`3oool00`000000
oooo0?ooo`1:0?ooo`030000003oool0oooo0?l0ooooo`3oool70?ooo`030000003oool0oooo0680
oooo000W0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`H0oooo
00<000000?ooo`3oool0H`3oool002L0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?oo
o`3o0?ooool0oooo1@3oool00`000000oooo0?ooo`1S0?ooo`009`3oool00`000000oooo0?ooo`1<
0?ooo`030000003oool0oooo0?l0ooooo`3oool30?ooo`030000003oool0oooo06@0oooo000W0?oo
o`<00000C03oool00`000000oooo0?ooo`3o0?ooool0oooo0`3oool00`000000oooo0?ooo`1T0?oo
o`009`3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0?l0ooooo`3oool10?ooo`03
0000003oool0oooo06D0oooo000W0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0
o`3ooooo0?ooo`40oooo00<000000?ooo`3oool0I@3oool002L0oooo00<000000?ooo`3oool0CP3o
ool00`000000oooo0?ooo`3o0?ooooh0oooo00<000000?ooo`3oool0IP3oool002L0oooo00<00000
0?ooo`3oool0CP3oool00`000000oooo0?ooo`3o0?ooooh0oooo00<000000?ooo`3oool0IP3oool0
02L0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`3o0?oooo`0oooo00<000000?oo
o`3oool0I`3oool002L0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`3o0?oooo`0
oooo00<000000?ooo`3oool0I`3oool002L0oooo00<000000?ooo`3oool0D03oool00`000000oooo
0?ooo`3o0?ooooX0oooo00<000000?ooo`3oool0J03oool002L0oooo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`3o0?ooooT0oooo00<000000?ooo`3oool0J@3oool002L0oooo00<00000
0?ooo`3oool0D@3oool00`000000oooo0?ooo`3o0?ooooP0oooo00<000000?ooo`3oool0J@3oool0
02L0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`3o0?ooooL0oooo00<000000?oo
o`3oool0JP3oool002L0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`3o0?ooooH0
oooo00<000000?ooo`3oool0JP3oool000P0oooo00<0W4P0000000000000100000000`0007@0_ooo
0?ooo`040?ooo`0509a80000000000000000M02oool0303oool00`000000oooo0?ooo`1C0?ooo`03
0000003oool0oooo0?l0oooom03oool00`000000oooo0?ooo`1[0?ooo`002`3oool00`3OW4P007Bo
0?ooo`070?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL303oool00`000000oooo0?ooo`1C0?oo
o`030000003oool0oooo0?l0ooool`3oool00`000000oooo0?ooo`1/0?ooo`002`3oool00`3OW4P0
07Bo0?ooo`060?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3oool02P3oool00`000000
oooo0?ooo`1D0?ooo`030000003oool0oooo0?l0oooolP3oool00`000000oooo0?ooo`1/0?ooo`00
2`3oool00`3OW4P007Bo0?ooo`060?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool0
2P3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0?l0ooool@3oool00`000000oooo
0?ooo`1]0?ooo`002`3oool00`3OW4P007Bo0?ooo`060?ooo`0309a8001d_ol0oooo00<0oooo00<0
omnL04P0M02oool02P3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo0?l0ooool03o
ool00`000000oooo0?ooo`1]0?ooo`002`3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d04P0
W=oo00@0oooo00<0omnL04P0M02oool02P3oool5000005@0oooo00<000000?ooo`3oool0o`3oooo^
0?ooo`030000003oool0oooo06h0oooo000;0?ooo`030=nLB000M;l0oooo00D0oooo00<0oono07@0
B02Lgol0103oool00`3ogi`0B01d0;ooo`0:0?ooo`030000003oool0oooo05H0oooo00<000000?oo
o`3oool0o`3oooo]0?ooo`030000003oool0oooo06l0oooo000;0?ooo`030=nLB000M;l0oooo00D0
oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0:0?ooo`030000003oool0oooo05L0
oooo00<000000?ooo`3oool0o`3oooo/0?ooo`030000003oool0oooo06l0oooo000;0?ooo`030=nL
B000M;l0oooo00H0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`0:0?ooo`030000
003oool0oooo05L0oooo00<000000?ooo`3oool0o`3oooo[0?ooo`030000003oool0oooo0700oooo
000;0?ooo`030=nLB000M;l0oooo00H0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?oo
o`0:0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0o`3ooooZ0?ooo`030000003o
ool0oooo0700oooo000;0?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd0018W03oool00`3oool0
0`2oM000B9cO0?ooo`0:0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0o`3ooooY
0?ooo`030000003oool0oooo0740oooo00080?ooo`0509a800000000001d09bLB000M;l0203oool0
1P2oM00007Bo0?ooo`3oool0gia80018W0`0oooo00<000000?ooo`3oool0F@3oool00`000000oooo
0?ooo`3o0?ooonP0oooo00<000000?ooo`3oool0L@3oool000X0oooo00<0okmd00000000M;l02@3o
ool01@2oM00000000000000007@0_ooo00`0oooo00<000000?ooo`3oool0FP3oool00`000000oooo
0?ooo`3o0?ooonH0oooo00<000000?ooo`3oool0LP3oool002L0oooo00<000000?ooo`3oool0FP3o
ool00`000000oooo0?ooo`3o0?ooonD0oooo00<000000?ooo`3oool0L`3oool002L0oooo00<00000
0?ooo`3oool0F`3oool00`000000oooo0?ooo`3o0?ooon@0oooo00<000000?ooo`3oool0L`3oool0
02L0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`3o0?ooon<0oooo00<000000?oo
o`3oool0M03oool002L0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`3o0?ooon80
oooo00<000000?ooo`3oool0M03oool002L0oooo00<000000?ooo`3oool0G@3oool00`000000oooo
0?ooo`3o0?ooon00oooo00<000000?ooo`3oool0M@3oool002L0oooo00<000000?ooo`3oool0G@3o
ool00`000000oooo0?ooo`3o0?oooml0oooo00<000000?ooo`3oool0MP3oool002L0oooo00<00000
0?ooo`3oool0GP3oool00`000000oooo0?ooo`3o0?ooomh0oooo00<000000?ooo`3oool0MP3oool0
02L0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`3o0?ooomd0oooo00<000000?oo
o`3oool0M`3oool002L0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`3o0?ooom`0
oooo00<000000?ooo`3oool0M`3oool002L0oooo0`00001O0?ooo`030000003oool0oooo0?l0oooo
f`3oool00`000000oooo0?ooo`1h0?ooo`009`3oool00`000000oooo0?ooo`1P0?ooo`030000003o
ool0oooo0?l0oooof@3oool00`000000oooo0?ooo`1i0?ooo`009`3oool00`000000oooo0?ooo`1Q
0?ooo`030000003oool0oooo0?l0oooof03oool00`000000oooo0?ooo`1i0?ooo`009`3oool00`00
0000oooo0?ooo`1Q0?ooo`030000003oool0oooo0?l0ooooe`3oool00`000000oooo0?ooo`1j0?oo
o`009`3oool00`000000oooo0?ooo`1R0?ooo`030000003oool0oooo0?l0ooooeP3oool00`000000
oooo0?ooo`1j0?ooo`009`3oool00`000000oooo0?ooo`1R0?ooo`030000003oool0oooo0?l0oooo
e@3oool00`000000oooo0?ooo`1k0?ooo`009`3oool00`000000oooo0?ooo`1S0?ooo`030000003o
ool0oooo0?l0ooood`3oool00`000000oooo0?ooo`1l0?ooo`009`3oool00`000000oooo0?ooo`1T
0?ooo`030000003oool0oooo0?l0oooodP3oool00`000000oooo0?ooo`1l0?ooo`009`3oool00`00
0000oooo0?ooo`1T0?ooo`030000003oool0oooo0?l0ooood@3oool00`000000oooo0?ooo`1m0?oo
o`009`3oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo0?l0ooood03oool00`000000
oooo0?ooo`1m0?ooo`009`3oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo0?l0oooo
c`3oool00`000000oooo0?ooo`1n0?ooo`009`3oool00`000000oooo0?ooo`1V0?ooo`030000003o
ool0oooo0?l0oooocP3oool00`000000oooo0?ooo`1n0?ooo`009`3oool00`000000oooo0?ooo`1W
0?ooo`030000003oool0oooo0?l0ooooc03oool00`000000oooo0?ooo`1o0?ooo`009`3oool00`00
0000oooo0?ooo`1W0?ooo`030000003oool0oooo0?l0oooob`3oool00`000000oooo0?ooo`200?oo
o`009`3oool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo0?l0oooobP3oool00`000000
oooo0?ooo`200?ooo`009`3oool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo0?l0oooo
b@3oool00`000000oooo0?ooo`210?ooo`009`3oool00`000000oooo0?ooo`1Y0?ooo`030000003o
ool0oooo0?l0oooob03oool00`000000oooo0?ooo`210?ooo`009`3oool3000006T0oooo00<00000
0?ooo`3oool0o`3oooo70?ooo`030000003oool0oooo0880oooo000W0?ooo`030000003oool0oooo
06X0oooo00<000000?ooo`3oool0o`3oooo50?ooo`030000003oool0oooo08<0oooo000W0?ooo`03
0000003oool0oooo06/0oooo00<000000?ooo`3oool0o`3oooo40?ooo`030000003oool0oooo08<0
oooo000W0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0o`3oooo30?ooo`030000
003oool0oooo08@0oooo000W0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0o`3o
ooo20?ooo`030000003oool0oooo08@0oooo000W0?ooo`030000003oool0oooo06`0oooo00<00000
0?ooo`3oool0o`3oooo10?ooo`030000003oool0oooo08D0oooo000W0?ooo`030000003oool0oooo
06d0oooo00<000000?ooo`3oool0o`3ooono0?ooo`030000003oool0oooo08H0oooo000W0?ooool0
0000o`00002U000001L0oooo000W0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0
o`3ooonm0?ooo`030000003oool0oooo08L0oooo000W0?ooo`030000003oool0oooo06l0oooo00<0
00000?ooo`3oool0o`3ooonl0?ooo`030000003oool0oooo08L0oooo000W0?ooo`030000003oool0
oooo06l0oooo00<000000?ooo`3oool0o`3ooonk0?ooo`030000003oool0oooo08P0oooo000W0?oo
o`030000003oool0oooo0700oooo00<000000?ooo`3oool0o`3oooni0?ooo`030000003oool0oooo
08T0oooo000W0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0o`3ooonh0?ooo`03
0000003oool0oooo08T0oooo000W0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0
o`3ooong0?ooo`030000003oool0oooo08X0oooo000W0?ooo`030000003oool0oooo0780oooo00<0
00000?ooo`3oool0o`3ooone0?ooo`030000003oool0oooo08/0oooo000W0?ooo`030000003oool0
oooo0780oooo00<000000?ooo`3oool0o`3ooone0?ooo`030000003oool0oooo08/0oooo000W0?oo
o`<00000L`3oool00`000000oooo0?ooo`3o0?oook<0oooo00<000000?ooo`3oool0S03oool002L0
oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`3o0?oook80oooo00<000000?ooo`3o
ool0S03oool002L0oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`3o0?oook40oooo
00<000000?ooo`3oool0S@3oool002L0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?oo
o`3o0?ooojl0oooo00<000000?ooo`3oool0SP3oool002L0oooo00<000000?ooo`3oool0M@3oool0
0`000000oooo0?ooo`3o0?ooojl0oooo00<000000?ooo`3oool0SP3oool002L0oooo00<000000?oo
o`3oool0MP3oool00`000000oooo0?ooo`3o0?ooojd0oooo00<000000?ooo`3oool0S`3oool002L0
oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`3o0?oooj`0oooo00<000000?ooo`3o
ool0S`3oool002L0oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`3o0?oooj/0oooo
00<000000?ooo`3oool0T03oool002L0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?oo
o`3o0?ooojT0oooo00<000000?ooo`3oool0T@3oool002L0oooo00<000000?ooo`3oool0N03oool0
0`000000oooo0?ooo`3o0?ooojT0oooo00<000000?ooo`3oool0T@3oool002L0oooo00<000000?oo
o`3oool0N@3oool00`000000oooo0?ooo`3o0?ooojL0oooo00<000000?ooo`3oool0TP3oool002L0
oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`3o0?ooojD0oooo00<000000?ooo`3o
ool0T`3oool002L0oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`3o0?ooojD0oooo
00<000000?ooo`3oool0T`3oool002L0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?oo
o`3o0?oooj<0oooo00<000000?ooo`3oool0U03oool002L0oooo00<000000?ooo`3oool0N`3oool0
0`000000oooo0?ooo`3o0?oooj<0oooo00<000000?ooo`3oool0U03oool002L0oooo00<000000?oo
o`3oool0O03oool00`000000oooo0?ooo`3o0?oooj40oooo00<000000?ooo`3oool0U@3oool002L0
oooo00<000000?ooo`3oool0O03oool00`000000oooo0?ooo`3o0?oooj00oooo00<000000?ooo`3o
ool0UP3oool002L0oooo0`00001m0?ooo`030000003oool0oooo0?l0ooooW`3oool00`000000oooo
0?ooo`2F0?ooo`009`3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0?l0ooooW@3o
ool00`000000oooo0?ooo`2G0?ooo`009`3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0
oooo0?l0ooooW03oool00`000000oooo0?ooo`2H0?ooo`009`3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo0?l0ooooV`3oool00`000000oooo0?ooo`2H0?ooo`009`3oool00`000000
oooo0?ooo`1o0?ooo`030000003oool0oooo0?l0ooooVP3oool00`000000oooo0?ooo`2I0?ooo`00
9`3oool00`000000oooo0?ooo`200?ooo`030000003oool0oooo0?l0ooooV@3oool00`000000oooo
0?ooo`2I0?ooo`009`3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo0?l0ooooU`3o
ool00`000000oooo0?ooo`2J0?ooo`009`3oool00`000000oooo0?ooo`210?ooo`030000003oool0
oooo0?l0ooooUP3oool00`000000oooo0?ooo`2K0?ooo`009`3oool00`000000oooo0?ooo`220?oo
o`030000003oool0oooo0?l0ooooU@3oool00`000000oooo0?ooo`2K0?ooo`009`3oool00`000000
oooo0?ooo`220?ooo`030000003oool0oooo0?l0ooooU03oool00`000000oooo0?ooo`2L0?ooo`00
9`3oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo0?l0ooooT`3oool00`000000oooo
0?ooo`2L0?ooo`009`3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo0?l0ooooT@3o
ool00`000000oooo0?ooo`2M0?ooo`00203oool00`2LB000000000000004000000030000M02oool0
oooo00<0oooo00H0omnL04P00000000000000000B02Lgol<0?ooo`030000003oool0oooo08@0oooo
00<000000?ooo`3oool0o`3ooon@0?ooo`030000003oool0oooo09h0oooo000;0?ooo`030=nLB000
M;l0oooo00H0oooo00<0gia80000001d_ol00P3oool00`3o_g@0000007Boo`0;0?ooo`030000003o
ool0oooo08D0oooo00<000000?ooo`3oool0o`3ooon?0?ooo`030000003oool0oooo09h0oooo000;
0?ooo`030=nLB000M;l0oooo00D0oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`0:
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0o`3ooon>0?ooo`030000003oool0
oooo09l0oooo000;0?ooo`030=nLB000M;l0oooo00`0oooo00<0oono07@0B02Lgol02P3oool00`00
0000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooS03oool00`000000oooo0?ooo`2P0?oo
o`002`3oool00`3OW4P007Bo0?ooo`0<0?ooo`030?oo_`1d04P0W=oo00X0oooo00<000000?ooo`3o
ool0Q`3oool00`000000oooo0?ooo`3o0?oooh/0oooo00<000000?ooo`3oool0X03oool000/0oooo
00<0gia8001d_`3oool0303oool00`3ookl0M01d0;ooo`0:0?ooo`D00000Q@3oool00`000000oooo
0?ooo`3o0?ooohX0oooo00<000000?ooo`3oool0X@3oool000/0oooo00<0gia8001d_`3oool01P3o
ool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo00X0oooo00<000000?ooo`3oool0R03o
ool00`000000oooo0?ooo`3o0?ooohT0oooo00<000000?ooo`3oool0X@3oool000/0oooo00<0gia8
001d_`3oool01P3oool00`3ogi`0B01d09bLB0030000000304RLg`3oool0oooo00X0oooo00<00000
0?ooo`3oool0R03oool00`000000oooo0?ooo`3o0?ooohP0oooo00<000000?ooo`3oool0XP3oool0
00/0oooo00<0gia8001d_`3oool01P3oool00`3ogi`0B01d0;ooo`0@0?ooo`030000003oool0oooo
08T0oooo00<000000?ooo`3oool0o`3ooon60?ooo`030000003oool0oooo0:<0oooo000;0?ooo`03
0=nLB000M;l0oooo00H0oooo00<0omnL04P0M02oool0403oool00`000000oooo0?ooo`2:0?ooo`03
0000003oool0oooo0?l0ooooQ@3oool00`000000oooo0?ooo`2S0?ooo`002`3oool00`3OW4P007Bo
0?ooo`060?ooo`030?oOW01807@0_ooo0100oooo00<000000?ooo`3oool0RP3oool00`000000oooo
0?ooo`3o0?oooh@0oooo00<000000?ooo`3oool0Y03oool000P0oooo00D0W4P00000000007@0W9a8
001d_`070?ooo`030?oOW01807@0_ooo0100oooo00<000000?ooo`3oool0R`3oool00`000000oooo
0?ooo`3o0?oooh80oooo00<000000?ooo`3oool0Y@3oool000X0oooo00<0okmd00000000M;l01`3o
ool00`3ogi`0B000000000040000000307Boo`3oool0oooo00T0oooo00<000000?ooo`3oool0S03o
ool00`000000oooo0?ooo`3o0?oooh40oooo00<000000?ooo`3oool0Y@3oool002L0oooo00<00000
0?ooo`3oool0S03oool00`000000oooo0?ooo`3o0?oooh00oooo00<000000?ooo`3oool0YP3oool0
02L0oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?oo
o`3oool0Y`3oool002L0oooo00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`3o0?ooogd0
oooo00<000000?ooo`3oool0Y`3oool002L0oooo00<000000?ooo`3oool0S`3oool00`000000oooo
0?ooo`3o0?ooog/0oooo00<000000?ooo`3oool0Z03oool002L0oooo00<000000?ooo`3oool0S`3o
ool00`000000oooo0?ooo`3o0?ooogX0oooo00<000000?ooo`3oool0Z@3oool002L0oooo00<00000
0?ooo`3oool0T03oool00`000000oooo0?ooo`3o0?ooogT0oooo00<000000?ooo`3oool0Z@3oool0
02L0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`3o0?ooogL0oooo00<000000?oo
o`3oool0ZP3oool002L0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`3o0?ooogH0
oooo00<000000?ooo`3oool0Z`3oool002L0oooo00<000000?ooo`3oool0TP3oool00`000000oooo
0?ooo`3o0?ooogD0oooo00<000000?ooo`3oool0Z`3oool002L0oooo0`00002C0?ooo`030000003o
ool0oooo0?l0ooooL`3oool00`000000oooo0?ooo`2/0?ooo`009`3oool00`000000oooo0?ooo`2C
0?ooo`030000003oool0oooo0?l0ooooLP3oool00`000000oooo0?ooo`2]0?ooo`009`3oool00`00
0000oooo0?ooo`2D0?ooo`030000003oool0oooo0?l0ooooL@3oool00`000000oooo0?ooo`2]0?oo
o`009`3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0?l0ooooK`3oool00`000000
oooo0?ooo`2^0?ooo`009`3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo0?l0oooo
K@3oool00`000000oooo0?ooo`2_0?ooo`009`3oool00`000000oooo0?ooo`2F0?ooo`030000003o
ool0oooo0?l0ooooK03oool00`000000oooo0?ooo`2`0?ooo`009`3oool00`000000oooo0?ooo`2G
0?ooo`030000003oool0oooo0?l0ooooJ`3oool00`000000oooo0?ooo`2`0?ooo`009`3oool00`00
0000oooo0?ooo`2H0?ooo`030000003oool0oooo0?l0ooooJ@3oool00`000000oooo0?ooo`2a0?oo
o`009`3oool00`000000oooo0?ooo`2H0?ooo`030000003oool0oooo0?l0ooooJ03oool00`000000
oooo0?ooo`2b0?ooo`009`3oool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo0?l0oooo
I`3oool00`000000oooo0?ooo`2b0?ooo`009`3oool00`000000oooo0?ooo`2J0?ooo`030000003o
ool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`2c0?ooo`009`3oool00`000000oooo0?ooo`2J
0?ooo`030000003oool0oooo0?l0ooooI03oool00`000000oooo0?ooo`2d0?ooo`009`3oool00`00
0000oooo0?ooo`2K0?ooo`030000003oool0oooo0?l0ooooH`3oool00`000000oooo0?ooo`2d0?oo
o`009`3oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo0?l0ooooH@3oool00`000000
oooo0?ooo`2e0?ooo`009`3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0oooo0?l0oooo
G`3oool00`000000oooo0?ooo`2f0?ooo`009`3oool00`000000oooo0?ooo`2M0?ooo`030000003o
ool0oooo0?l0ooooG`3oool00`000000oooo0?ooo`2f0?ooo`009`3oool3000009h0oooo00<00000
0?ooo`3oool0o`3ooomM0?ooo`030000003oool0oooo0;L0oooo000W0?ooo`030000003oool0oooo
09l0oooo00<000000?ooo`3oool0o`3ooomK0?ooo`030000003oool0oooo0;P0oooo000W0?ooo`03
0000003oool0oooo09l0oooo00<000000?ooo`3oool0o`3ooomK0?ooo`030000003oool0oooo0;P0
oooo000W0?ooo`030000003oool0oooo0:00oooo00<000000?ooo`3oool0o`3ooomI0?ooo`030000
003oool0oooo0;T0oooo000W0?ooo`030000003oool0oooo0:40oooo00<000000?ooo`3oool0o`3o
oomG0?ooo`030000003oool0oooo0;X0oooo000W0?ooo`030000003oool0oooo0:40oooo00<00000
0?ooo`3oool0o`3ooomG0?ooo`030000003oool0oooo0;X0oooo000W0?ooo`030000003oool0oooo
0:80oooo00<000000?ooo`3oool0o`3ooomE0?ooo`030000003oool0oooo0;/0oooo000W0?ooo`03
0000003oool0oooo0:<0oooo00<000000?ooo`3oool0o`3ooomC0?ooo`030000003oool0oooo0;`0
oooo000W0?ooo`030000003oool0oooo0:@0oooo00<000000?ooo`3oool0o`3ooomB0?ooo`030000
003oool0oooo0;`0oooo000W0?ooo`030000003oool0oooo0:@0oooo00<000000?ooo`3oool0o`3o
oomA0?ooo`030000003oool0oooo0;d0oooo000W0?ooo`030000003oool0oooo0:D0oooo00<00000
0?ooo`3oool0o`3ooom?0?ooo`030000003oool0oooo0;h0oooo000W0?ooo`030000003oool0oooo
0:H0oooo00<000000?ooo`3oool0o`3ooom=0?ooo`030000003oool0oooo0;l0oooo000W0?ooo`03
0000003oool0oooo0:L0oooo00<000000?ooo`3oool0o`3ooom<0?ooo`030000003oool0oooo0;l0
oooo000W0?ooo`030000003oool0oooo0:L0oooo00<000000?ooo`3oool0o`3ooom;0?ooo`030000
003oool0oooo0<00oooo000W0?ooo`030000003oool0oooo0:P0oooo00<000000?ooo`3oool0o`3o
oom90?ooo`030000003oool0oooo0<40oooo000W0?ooo`030000003oool0oooo0:T0oooo00<00000
0?ooo`3oool0o`3ooom70?ooo`030000003oool0oooo0<80oooo000W0?ooo`030000003oool0oooo
0:X0oooo00<000000?ooo`3oool0o`3ooom60?ooo`030000003oool0oooo0<80oooo000W0?ooo`<0
0000ZP3oool00`000000oooo0?ooo`3o0?ooodD0oooo00<000000?ooo`3oool0``3oool002L0oooo
00<000000?ooo`3oool0Z`3oool00`000000oooo0?ooo`3o0?oood<0oooo00<000000?ooo`3oool0
a03oool002L0oooo00<000000?ooo`3oool0[03oool00`000000oooo0?ooo`3o0?oood40oooo00<0
00000?ooo`3oool0a@3oool002L0oooo00<000000?ooo`3oool0[@3oool00`000000oooo0?ooo`3o
0?ooocl0oooo00<000000?ooo`3oool0aP3oool002L0oooo00<000000?ooo`3oool0[P3oool00`00
0000oooo0?ooo`3o0?oooch0oooo00<000000?ooo`3oool0aP3oool002L0oooo00<000000?ooo`3o
ool0[P3oool00`000000oooo0?ooo`3o0?ooocd0oooo00<000000?ooo`3oool0a`3oool002L0oooo
00<000000?ooo`3oool0[`3oool00`000000oooo0?ooo`3o0?oooc/0oooo00<000000?ooo`3oool0
b03oool002L0oooo00<000000?ooo`3oool0/03oool00`000000oooo0?ooo`3o0?ooocT0oooo00<0
00000?ooo`3oool0b@3oool002L0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`3o
0?ooocL0oooo00<000000?ooo`3oool0bP3oool002L0oooo00<000000?ooo`3oool0/P3oool00`00
0000oooo0?ooo`3o0?ooocH0oooo00<000000?ooo`3oool0bP3oool002L0oooo00<000000?ooo`3o
ool0/P3oool00`000000oooo0?ooo`3o0?ooocD0oooo00<000000?ooo`3oool0b`3oool002L0oooo
00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`3o0?oooc<0oooo00<000000?ooo`3oool0
c03oool002L0oooo00<000000?ooo`3oool0]03oool00`000000oooo0?ooo`3o0?oooc40oooo00<0
00000?ooo`3oool0c@3oool002L0oooo00<000000?ooo`3oool0]@3oool00`000000oooo0?ooo`3o
0?oooc00oooo00<000000?ooo`3oool0c@3oool002L0oooo00<000000?ooo`3oool0]@3oool00`00
0000oooo0?ooo`3o0?ooobl0oooo00<000000?ooo`3oool0cP3oool002L0oooo00<000000?ooo`3o
ool0]P3oool00`000000oooo0?ooo`3o0?ooobd0oooo00<000000?ooo`3oool0c`3oool002L0oooo
00<000000?ooo`3oool0]`3oool00`000000oooo0?ooo`3o0?ooob/0oooo00<000000?ooo`3oool0
d03oool002L0oooo0`00002h0?ooo`030000003oool0oooo0?l0oooo:@3oool00`000000oooo0?oo
o`3A0?ooo`009`3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo0?l0oooo:03oool0
0`000000oooo0?ooo`3A0?ooo`009`3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo
0?l0oooo9`3oool00`000000oooo0?ooo`3B0?ooo`009`3oool00`000000oooo0?ooo`2j0?ooo`03
0000003oool0oooo0?l0oooo9@3oool00`000000oooo0?ooo`3C0?ooo`009`3oool00`000000oooo
0?ooo`2k0?ooo`030000003oool0oooo0?l0oooo8`3oool00`000000oooo0?ooo`3D0?ooo`009`3o
ool00`000000oooo0?ooo`2l0?ooo`030000003oool0oooo0?l0oooo8@3oool00`000000oooo0?oo
o`3E0?ooo`009`3oool00`000000oooo0?ooo`2m0?ooo`030000003oool0oooo0?l0oooo803oool0
0`000000oooo0?ooo`3E0?ooo`009`3oool00`000000oooo0?ooo`2m0?ooo`030000003oool0oooo
0?l0oooo7`3oool00`000000oooo0?ooo`3F0?ooo`009`3oool00`000000oooo0?ooo`2n0?ooo`03
0000003oool0oooo0?l0oooo7@3oool00`000000oooo0?ooo`3G0?ooo`009`3oool00`000000oooo
0?ooo`2o0?ooo`030000003oool0oooo0?l0oooo6`3oool00`000000oooo0?ooo`3H0?ooo`009`3o
ool00`000000oooo0?ooo`300?ooo`030000003oool0oooo0?l0oooo6P3oool00`000000oooo0?oo
o`3H0?ooo`009`3oool00`000000oooo0?ooo`300?ooo`030000003oool0oooo0?l0oooo6@3oool0
0`000000oooo0?ooo`3I0?ooo`001`3oool00`3OW4P0000000000005000000030018W03oool0oooo
00@0oooo00D0W4P0000000000000001d0;ooo`0<0?ooo`030000003oool0oooo0<40oooo00<00000
0?ooo`3oool0o`3ooolG0?ooo`030000003oool0oooo0=X0oooo00070?ooo`030?noM00004P0W=oo
00@0oooo00<0okmd001d_`3oool0103oool01P2oM000B9cO0?ooo`3oool0okmd0018W0`0oooo00<0
00000?ooo`3oool0`P3oool00`000000oooo0?ooo`3o0?oooaD0oooo00<000000?ooo`3oool0f`3o
ool000P0oooo00<0okmd0000B02Lgol02@3oool00`3o_g@007Bo0?ooo`030?ooo`030;md0018W=l0
oooo00X0oooo00<000000?ooo`3oool0``3oool00`000000oooo0?ooo`3o0?oooa<0oooo00<00000
0?ooo`3oool0g03oool000T0oooo00<0omnL04P0B02Lgol0203oool00`2oM000B9cO0?ooo`030?oo
o`030?noM000B9`0oooo00X0oooo00<000000?ooo`3oool0a03oool00`000000oooo0?ooo`3o0?oo
oa40oooo00<000000?ooo`3oool0g@3oool000X0oooo00<0omnL04P0B02Lgol01`3oool00`2LB000
M;oo0?ooo`030?ooo`030?oOW01807@0_ooo00X0oooo00<000000?ooo`3oool0a@3oool00`000000
oooo0?ooo`3o0?ooo`l0oooo00<000000?ooo`3oool0gP3oool000/0oooo00<0omnL04P0B02Lgol0
1@3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00X0oooo1@0000340?ooo`030000
003oool0oooo0?l0oooo3@3oool00`000000oooo0?ooo`3O0?ooo`00303oool00`3ogi`0B01809cO
o`040?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool02P3oool00`000000oooo0?oo
o`370?ooo`030000003oool0oooo0?l0oooo2`3oool00`000000oooo0?ooo`3P0?ooo`003@3oool0
0`3ogi`0B01d0;ooo`030?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool02P3oool0
0`000000oooo0?ooo`380?ooo`030000003oool0oooo0?l0oooo2@3oool00`000000oooo0?ooo`3Q
0?ooo`003P3oool00`3OW4P007Bo0?ooo`030?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0
M02oool02P3oool00`000000oooo0?ooo`390?ooo`030000003oool0oooo0?l0oooo203oool00`00
0000oooo0?ooo`3Q0?ooo`00203oool00`2LM9`0oooo0?ooo`030?ooo`030?noM000B9`0oooo00<0
oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`0:0?ooo`030000003oool0oooo0<T0
oooo00<000000?ooo`3oool0o`3oool70?ooo`030000003oool0oooo0>80oooo00070?ooo`030?oo
_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool00`3oool00`3o_g@004RL0?ooo`030?ooo`030;md
0018W=l0oooo00X0oooo00<000000?ooo`3oool0bP3oool00`000000oooo0?ooo`3o0?ooo`D0oooo
00<000000?ooo`3oool0h`3oool000P0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;oo
o`050?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL303oool00`000000oooo0?ooo`3;0?ooo`03
0000003oool0oooo0?l0oooo0`3oool00`000000oooo0?ooo`3T0?ooo`002@3oool01@3ogi`0B000
00000000000004RL00P0oooo00D0_g@0000000000000001d0;ooo`0<0?ooo`030000003oool0oooo
0<`0oooo00<000000?ooo`3oool0o`3oool10?ooo`030000003oool0oooo0>D0oooo000W0?ooo`03
0000003oool0oooo0<d0oooo00<000000?ooo`3oool0oP3oool00`000000oooo0?ooo`3V0?ooo`00
9`3oool00`000000oooo0?ooo`3>0?ooo`030000003oool0oooo0?`0oooo00<000000?ooo`3oool0
i`3oool002L0oooo00<000000?ooo`3oool0c`3oool00`000000oooo0?ooo`3j0?ooo`030000003o
ool0oooo0>P0oooo000W0?ooo`030000003oool0oooo0=00oooo00<000000?ooo`3oool0n03oool0
0`000000oooo0?ooo`3Y0?ooo`009`3oool00`000000oooo0?ooo`3A0?ooo`030000003oool0oooo
0?H0oooo00<000000?ooo`3oool0jP3oool002L0oooo00<000000?ooo`3oool0dP3oool00`000000
oooo0?ooo`3d0?ooo`030000003oool0oooo0>/0oooo000W0?ooo`030000003oool0oooo0=<0oooo
00<000000?ooo`3oool0lP3oool00`000000oooo0?ooo`3/0?ooo`009`3oool00`000000oooo0?oo
o`3D0?ooo`030000003oool0oooo0?00oooo00<000000?ooo`3oool0k@3oool002L0oooo0`00003E
0?ooo`030000003oool0oooo0>h0oooo00<000000?ooo`3oool0kP3oool002L0oooo00<000000?oo
o`3oool0eP3oool00`000000oooo0?ooo`3]0?ooo`030000003oool0oooo0>h0oooo000W0?ooo`03
0000003oool0oooo0=L0oooo00<000000?ooo`3oool0j`3oool00`000000oooo0?ooo`3_0?ooo`00
9`3oool00`000000oooo0?ooo`3H0?ooo`030000003oool0oooo0>T0oooo00<000000?ooo`3oool0
l03oool002L0oooo00<000000?ooo`3oool0f03oool00`000000oooo0?ooo`3X0?ooo`030000003o
ool0oooo0?40oooo000W0?ooo`030000003oool0oooo0=T0oooo00<000000?ooo`3oool0iP3oool0
0`000000oooo0?ooo`3b0?ooo`009`3oool00`000000oooo0?ooo`3J0?ooo`030000003oool0oooo
0>@0oooo00<000000?ooo`3oool0l`3oool002L0oooo00<000000?ooo`3oool0f`3oool00`000000
oooo0?ooo`3R0?ooo`030000003oool0oooo0?@0oooo000W0?ooo`030000003oool0oooo0=`0oooo
00<000000?ooo`3oool0h03oool00`000000oooo0?ooo`3e0?ooo`009`3oool00`000000oooo0?oo
o`3M0?ooo`030000003oool0oooo0=h0oooo00<000000?ooo`3oool0mP3oool002L0oooo00<00000
0?ooo`3oool0gP3oool00`000000oooo0?ooo`3L0?ooo`030000003oool0oooo0?L0oooo000W0?oo
o`030000003oool0oooo0=l0oooo00<000000?ooo`3oool0f@3oool200000?X0oooo000W0?ooo`03
0000003oool0oooo0>00oooo00<000000?ooo`3oool0e`3oool00`000000oooo0?ooo`3j0?ooo`00
9`3oool00`000000oooo0?ooo`3Q0?ooo`030000003oool0oooo0=D0oooo00<000000?ooo`3oool0
n`3oool002L0oooo00<000000?ooo`3oool0hP3oool200000=@0oooo00<000000?ooo`3oool0o03o
ool002L0oooo00<000000?ooo`3oool0i03oool00`000000oooo0?ooo`3@0?ooo`030000003oool0
oooo0?d0oooo000W0?ooo`030000003oool0oooo0>D0oooo00<000000?ooo`3oool0cP3oool00`00
0000oooo0?ooo`3n0?ooo`009`3oool300000>H0oooo00<000000?ooo`3oool0b`3oool200000?l0
oooo0P3oool002L0oooo00<000000?ooo`3oool0i`3oool00`000000oooo0?ooo`390?ooo`030000
003oool0oooo0?l0oooo0P3oool002L0oooo00<000000?ooo`3oool0j03oool00`000000oooo0?oo
o`370?ooo`030000003oool0oooo0?l0oooo0`3oool002L0oooo00<000000?ooo`3oool0j@3oool2
00000<H0oooo00<000000?ooo`3oool0o`3oool40?ooo`009`3oool00`000000oooo0?ooo`3[0?oo
o`030000003oool0oooo0<80oooo00<000000?ooo`3oool0o`3oool50?ooo`009`3oool00`000000
oooo0?ooo`3/0?ooo`030000003oool0oooo0<00oooo00<000000?ooo`3oool0o`3oool60?ooo`00
9`3oool00`000000oooo0?ooo`3]0?ooo`030000003oool0oooo0;d0oooo0P00003o0?ooo`T0oooo
000W0?ooo`030000003oool0oooo0>h0oooo00<000000?ooo`3oool0^`3oool00`000000oooo0?oo
o`3o0?ooo`T0oooo000W0?ooo`030000003oool0oooo0>l0oooo0P00002j0?ooo`030000003oool0
oooo0?l0oooo2P3oool002L0oooo00<000000?ooo`3oool0l@3oool00`000000oooo0?ooo`2f0?oo
o`030000003oool0oooo0?l0oooo2`3oool002L0oooo00<000000?ooo`3oool0lP3oool00`000000
oooo0?ooo`2d0?ooo`030000003oool0oooo0?l0oooo303oool002L0oooo00<000000?ooo`3oool0
l`3oool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo0?l0oooo3@3oool002L0oooo00<0
00000?ooo`3oool0m03oool00`000000oooo0?ooo`2_0?ooo`800000o`3oool@0?ooo`009`3oool0
0`000000oooo0?ooo`3e0?ooo`030000003oool0oooo0:d0oooo00<000000?ooo`3oool0o`3oool@
0?ooo`009`3oool00`000000oooo0?ooo`3f0?ooo`800000[03oool00`000000oooo0?ooo`3o0?oo
oa40oooo000W0?ooo`030000003oool0oooo0?P0oooo00<000000?ooo`3oool0Z03oool00`000000
oooo0?ooo`3o0?oooa80oooo000W0?ooo`030000003oool0oooo0?T0oooo00<000000?ooo`3oool0
Y@3oool200000?l0oooo5@3oool002L0oooo0`00003j0?ooo`030000003oool0oooo0:<0oooo00<0
00000?ooo`3oool0o`3ooolE0?ooo`009`3oool00`000000oooo0?ooo`3k0?ooo`800000X@3oool2
00000?l0oooo603oool002L0oooo00<000000?ooo`3oool0o@3oool00`000000oooo0?ooo`2M0?oo
o`030000003oool0oooo0?l0oooo603oool002L0oooo00<000000?ooo`3oool0oP3oool2000009/0
oooo0P00003o0?oooa/0oooo000W0?ooo`030000003oool0oooo0?l0oooo0@3oool00`000000oooo
0?ooo`2G0?ooo`030000003oool0oooo0?l0oooo6`3oool002L0oooo00<000000?ooo`3oool0o`3o
ool20?ooo`800000U@3oool200000?l0oooo7P3oool002L0oooo00<000000?ooo`3oool0o`3oool4
0?ooo`800000TP3oool00`000000oooo0?ooo`3o0?oooah0oooo000W0?ooo`030000003oool0oooo
0?l0oooo1P3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo0?l0oooo7`3oool002L0
oooo00<000000?ooo`3oool0o`3oool70?ooo`800000S03oool200000?l0oooo8P3oool002L0oooo
00<000000?ooo`3oool0o`3oool90?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0
o`3ooolR0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooo`X0oooo0P0000260?ooo`800000o`3o
oolU0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooo``0oooo0P0000230?ooo`030000003oool0
oooo0?l0oooo9@3oool002L0oooo00<000000?ooo`3oool0o`3oool>0?ooo`800000O`3oool20000
0?l0oooo:03oool002L0oooo00<000000?ooo`3oool0o`3oool@0?ooo`800000O03oool00`000000
oooo0?ooo`3o0?ooobP0oooo000W0?ooo`030000003oool0oooo0?l0oooo4P3oool2000007P0oooo
0P00003o0?ooob/0oooo000W0?ooo`030000003oool0oooo0?l0oooo503oool2000007D0oooo00<0
00000?ooo`3oool0o`3oool[0?ooo`009`3oool00`000000oooo0?ooo`3o0?oooaH0oooo0P00001a
0?ooo`800000o`3oool^0?ooo`009`3oool300000?l0oooo603oool00`000000oooo0?ooo`1/0?oo
o`800000o`3oool`0?ooo`009`3oool00`000000oooo0?ooo`3o0?oooaT0oooo0P00001Z0?ooo`80
0000o`3ooolb0?ooo`009`3oool00`000000oooo0?ooo`3o0?oooa/0oooo0P00001U0?ooo`<00000
o`3ooold0?ooo`009`3oool00`000000oooo0?ooo`3o0?oooad0oooo0P00001Q0?ooo`800000o`3o
oolg0?ooo`009`3oool00`000000oooo0?ooo`3o0?oooal0oooo0P00001L0?ooo`<00000o`3oooli
0?ooo`009`3oool00`000000oooo0?ooo`3o0?ooob40oooo0P00001H0?ooo`800000o`3oooll0?oo
o`009`3oool00`000000oooo0?ooo`3o0?ooob<0oooo0P00001C0?ooo`<00000o`3oooln0?ooo`00
9`3oool00`000000oooo0?ooo`3o0?ooobD0oooo0`00001>0?ooo`800000o`3ooom10?ooo`009`3o
ool00`000000oooo0?ooo`3o0?ooobP0oooo100000170?ooo`<00000o`3ooom30?ooo`009`3oool0
0`000000oooo0?ooo`3o0?ooob`0oooo0`0000110?ooo`<00000o`3ooom60?ooo`009`3oool00`00
0000oooo0?ooo`3o0?ooobl0oooo1000000i0?ooo`@00000o`3ooom90?ooo`001`3oool00`3OW4P0
000000000005000000030018W03oool0oooo00<0oooo00H0omnL04P00000000000000000B02Lgol<
0?ooo`030000003oool0oooo0?l0oooo<`3oool300000340oooo1@00003o0?ooodd0oooo00070?oo
o`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool00`3oool00`3OW4P0000007Boo`020?oo
o`030?noM0000000M;oo00/0oooo00<000000?ooo`3oool0o`3ooolf0?ooo`L00000903oool60000
0?l0ooooDP3oool000P0oooo00<0okmd0000B02Lgol0203oool00`3ogi`0B01d0;ooo`040?ooo`03
0?noM00007@0_ooo00X0oooo00<000000?ooo`3oool0o`3ooolm0?ooo`L00000603oool500000?l0
ooooF03oool000T0oooo00<0omnL04P0B02Lgol03P3oool00`3ookl0M01809cOo`0:0?ooo`030000
003oool0oooo0?l0ooooA03ooolH00000?l0ooooG@3oool000X0oooo00<0omnL04P0B02Lgol03@3o
ool00`3ookl0M01809cOo`0:0?ooo`030000003oool0oooo0?l0ooooo`3oooni0?ooo`002`3oool0
0`3ogi`0B01809cOo`0<0?ooo`030?oo_`1d07@0_ooo00X0oooo1@00003o0?ooool0oooo]`3oool0
00`0oooo00<0omnL04P0B02Lgol01@3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo
00X0oooo00<000000?ooo`3oool0o`3ooooo0?oookT0oooo000=0?ooo`030?oOW01807@0_ooo00@0
oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`0:0?ooo`030000003oool0oooo0?l0
ooooo`3oooni0?ooo`003P3oool00`3OW4P007Bo0?ooo`030?ooo`030?oOW01807@0_ooo0100oooo
00<000000?ooo`3oool0o`3ooooo0?oookT0oooo00080?ooo`0309adW03oool0oooo00<0oooo00<0
okmd0018W03oool00`3oool00`3ogi`0B01d0;ooo`0@0?ooo`030000003oool0oooo0?l0ooooo`3o
ooni0?ooo`001`3oool00`3ookl0M00007Boo`040?ooo`030;md0000M;l0oooo00<0oooo00<0omnL
04P0M02oool0403oool00`000000oooo0?ooo`3o0?ooool0oooo^@3oool000P0oooo00<0okmd0000
001d_ol00P3oool00`2oM000001d0;ooo`040?ooo`030?oOW01807@0_ooo0100oooo00<000000?oo
o`3oool0o`3ooooo0?oookT0oooo00090?ooo`050?oOW0180000000000000000B9`01P3oool00`3o
gi`0B000000000040000000307Boo`3oool0oooo00T0oooo00<000000?ooo`3oool0o`3ooooo0?oo
okT0oooo000W0?ooo`030000003oool0oooo0?l0ooooo`3oooni0?ooo`00o`3ooooo0?ooon<0oooo
0000\
\>"],
  ImageRangeCache->{{{0, 736.375}, {454.75, 0}} -> {-0.18298, -1.602, \
0.00932399, 0.11936}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[EKeq == EMeq, {\[Delta], 0, 1}]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{\[Delta] \[Rule] 0.5235964527541487`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{EKf, EMf}, {\[Delta], 0, Pi}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0184451 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[.01131 .10694 -6 -4.5 ]
[.01131 .10694 0 4.5 ]
[.01131 .19917 -12 -4.5 ]
[.01131 .19917 0 4.5 ]
[.01131 .29139 -12 -4.5 ]
[.01131 .29139 0 4.5 ]
[.01131 .38362 -12 -4.5 ]
[.01131 .38362 0 4.5 ]
[.01131 .47584 -12 -4.5 ]
[.01131 .47584 0 4.5 ]
[.01131 .56807 -12 -4.5 ]
[.01131 .56807 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .10694 m
.03006 .10694 L
s
[(5)] .01131 .10694 1 0 Mshowa
.02381 .19917 m
.03006 .19917 L
s
[(10)] .01131 .19917 1 0 Mshowa
.02381 .29139 m
.03006 .29139 L
s
[(15)] .01131 .29139 1 0 Mshowa
.02381 .38362 m
.03006 .38362 L
s
[(20)] .01131 .38362 1 0 Mshowa
.02381 .47584 m
.03006 .47584 L
s
[(25)] .01131 .47584 1 0 Mshowa
.02381 .56807 m
.03006 .56807 L
s
[(30)] .01131 .56807 1 0 Mshowa
.125 Mabswid
.02381 .03316 m
.02756 .03316 L
s
.02381 .05161 m
.02756 .05161 L
s
.02381 .07005 m
.02756 .07005 L
s
.02381 .0885 m
.02756 .0885 L
s
.02381 .12539 m
.02756 .12539 L
s
.02381 .14383 m
.02756 .14383 L
s
.02381 .16228 m
.02756 .16228 L
s
.02381 .18072 m
.02756 .18072 L
s
.02381 .21761 m
.02756 .21761 L
s
.02381 .23606 m
.02756 .23606 L
s
.02381 .2545 m
.02756 .2545 L
s
.02381 .27295 m
.02756 .27295 L
s
.02381 .30984 m
.02756 .30984 L
s
.02381 .32828 m
.02756 .32828 L
s
.02381 .34673 m
.02756 .34673 L
s
.02381 .36517 m
.02756 .36517 L
s
.02381 .40206 m
.02756 .40206 L
s
.02381 .42051 m
.02756 .42051 L
s
.02381 .43895 m
.02756 .43895 L
s
.02381 .4574 m
.02756 .4574 L
s
.02381 .49429 m
.02756 .49429 L
s
.02381 .51273 m
.02756 .51273 L
s
.02381 .53118 m
.02756 .53118 L
s
.02381 .54962 m
.02756 .54962 L
s
.02381 .58651 m
.02756 .58651 L
s
.02381 .60496 m
.02756 .60496 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08326 L
.10458 .1567 L
.14415 .22321 L
.18221 .28384 L
.22272 .3437 L
.26171 .39579 L
.30316 .44424 L
.34309 .48334 L
.3815 .51331 L
.40095 .52546 L
.42237 .5364 L
.44268 .54438 L
.45178 .54718 L
.46172 .54969 L
.4671 .55081 L
.4721 .5517 L
.47727 .55247 L
.48196 .55303 L
.48658 .55346 L
.4887 .55361 L
.49093 .55375 L
.49332 .55386 L
.49438 .5539 L
.49552 .55393 L
.49675 .55396 L
.49789 .55397 L
.49859 .55398 L
.49925 .55399 L
.50049 .55399 L
.50163 .55398 L
.50286 .55396 L
.50401 .55394 L
.50508 .55391 L
.50754 .55382 L
.51014 .55369 L
.51268 .55352 L
.51504 .55332 L
.5204 .55277 L
.5293 .55147 L
.53882 .54957 L
.54906 .54694 L
.56016 .5434 L
.58032 .53517 L
.62123 .51144 L
.66064 .48003 L
.69852 .44243 L
.73886 .39507 L
.77769 .34313 L
.81897 .28203 L
Mistroke
.85873 .21848 L
.89697 .15404 L
.93767 .08306 L
.97619 .01472 L
Mfstroke
.02381 .60332 m
.06244 .60332 L
.10458 .60332 L
.14415 .60332 L
.18221 .60332 L
.22272 .60332 L
.26171 .60332 L
.30316 .60332 L
.34309 .60332 L
.3815 .60332 L
.42237 .60332 L
.46172 .60332 L
.49955 .60332 L
.53984 .60332 L
.57861 .60332 L
.61984 .60332 L
.65954 .60332 L
.69774 .60332 L
.73838 .60332 L
.77751 .60332 L
.81909 .60332 L
.85916 .60332 L
.89771 .60332 L
.93871 .60332 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool006P0oooo00D0W4P0000000000000001d0;ooo`070?oo
o`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000000000000000B02Lgom00?ooo`0309a8
00000000000000@0000000<0001d0;ooo`3oool0?@3oool00`2LB000000000000004000000030000
M02oool0oooo00@0oooo00@0gia80000000004P0W=oo1`3oool01P3ogi`0B0000000000000000018
09cOocl0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`0l0?ooo`030=nLB0000000
000000D0000000<004RL0?ooo`3oool0103oool0103OW4P000000000B02Lgol70?ooo`060?oOW018
000000000000000004P0W=oo@@3oool01P2LB0000000000000000000001d0;ooobP0oooo001W0?oo
o`060;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0102LB000000000000018W=l60?ooo`030=nL
B0000000M;oo0080oooo00<0okmd0000001d_ol0@P3oool00`3OW4P007Bo0?ooo`140?ooo`030=nL
B000M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0000007Boo`020?ooo`03
0?noM0000000M;oo03h0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`0m0?ooo`03
0?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool01@3oool0102LB000000000000018W=l60?oo
o`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0?P3oool00`3ogi`0B00004RLg`030?oo
o`030=nLB0000000M;oo02L0oooo001V0?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3o
ool01@3oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000
M02oool0@@3oool00`3OW4P007Bo0?ooo`140?ooo`030=nLB000M;l0oooo00P0oooo00@0gia80000
000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo03h0oooo00<0okmd
0000B02Lgol0A03oool00`3o_g@0001809cOo`0;0?ooo`040=nLB0000000001809cOo`D0oooo00<0
omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`140?ooo`030=nLB000B9`0oooo02H0oooo001V
0?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool05@3oool00`3ookl0M01809cOo`11
0?ooo`030=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01809cOo`0o
0?ooo`030?oOW01804P0W=oo04@0oooo00<0omnL04P0B02Lgol06P3oool00`3ookl0M01809cOo`14
0?ooo`030?oo_`1d04P0W=oo02H0oooo001V0?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0
M02oool05@3oool00`3ookl0M01809cOo`110?ooo`030=nLB000M;l0oooo04@0oooo00<0gia8001d
_`3oool0603oool00`3ookl0M01809cOo`100?ooo`030?oOW01804P0W=oo04@0oooo00<0omnL04P0
B02Lgol06@3oool00`3ookl0M01809cOo`140?ooo`030?oo_`1d04P0W=oo02H0oooo001U0?ooo`03
0?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01d0;ooo`110?ooo`03
0=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01d0;ooo`110?ooo`03
0?oOW01804P0W=oo04@0oooo00<0omnL04P0B02Lgol0603oool00`3ookl0M01d0;ooo`140?ooo`03
0=nLB000B9`0oooo02H0oooo001U0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0
3`3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo0440oooo00<0gia8001d_`3oool0
A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0
@P3oool00`3ogi`0B01809cOo`140?ooo`030?oOW01804P0W=oo0140oooo00<0omnL04P00000B9`0
0`3oool00`2LB000B9cO0?ooo`130?ooo`030;md000007@0_ooo02L0oooo001U0?ooo`030?oo_`1d
04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B01d09bLB0030000000304RLg`3o
ool0oooo0440oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018
07@0W9a800<0000000<0B9cO0?ooo`3oool0@`3oool00`3ogi`0B01d0;ooo`140?ooo`030?oOW018
07@0_ooo0100oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`100?ooo`050?oOW018
000000000000B02Lgol0:03oool006H0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;oo
o`0?0?ooo`030?oOW01807@0_ooo04L0oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?oo
o`0B0?ooo`030?oOW01807@0_ooo04X0oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?oo
o`0?0?ooo`030?oOW01807@0_ooo04T0oooo00<0okmd0000B02Lgol09`3oool006H0oooo00<0_g@0
07Boo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030?oOW01807@0_ooo04L0oooo00<0gia8
001d_`3oool0A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW01807@0_ooo04@0oooo00<0W7BL
0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`0n0?ooo`0309adW03oool0oooo00<0oooo00<0okmd
0018W03oool03`3oool00`3ogi`0B01d0;ooo`1:0?ooo`030=nLB000M;l0oooo02H0oooo001V0?oo
o`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool03`3oool00`3ogi`0B01d0;ooo`170?oo
o`030=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`130?oo
o`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool0?@3oool00`3ookl0M00007Boo`040?oo
o`030;md0000M;l0oooo00l0oooo00<0omnL04P0M02oool0BP3oool00`3OW4P007Bo0?ooo`0V0?oo
o`00I`3oool01P2oM00007Bo0?ooo`3oool0gia80018W140oooo00<0omnL04P0M02oool0A03oool0
1@2LB00000000000M02LW4P007Bo0480oooo00D0W4P00000000007@0W9a8001d_`0C0?ooo`030?oO
W01807@0_ooo04@0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;ooo`0o0?ooo`030?no
M0000000M;oo0080oooo00<0_g@00000M02oool0403oool00`3ogi`0B01d0;ooo`140?ooo`0309a8
000004P0W=oo0080oooo00<0okmd0000001d_ol09`3oool006P0oooo00D0_g@0000000000000001d
0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool0?`3oool00`3o_g@00000
001d_`140?ooo`030?noM000000007Bo01<0oooo00<0omnL04P000000000100000000`1d_ol0oooo
0?ooo`0n0?ooo`050?oOW0180000000000000000B9`0@P3oool01@3ogi`0B00000000000000004RL
0180oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`0n0?ooo`060?oOW01800000000
0000000004P0W=oo:03oool00?l0ooooo`3ooom20?ooo`008`3oool00`000000oooo0?ooo`3o0?oo
ool0oooo703oool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000
003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703o
ool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000003oool0oooo
0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool002<0oooo
00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000F0?ooool00000o`00000V000000H0oooo000S
0?ooo`8000003`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool01`3oool002<0oooo0P00000?0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`070?ooo`008`3oool00`000000oooo0000000>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`05
0000003oool0oooo0?ooo`0000002`3oool00`000000oooo0?ooo`070?ooo`008`3oool00`000000
oooo0000001@0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0D03oool00`000000
oooo0?ooo`1@0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0D03oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo000S0?ooo`040000003oool0oooo00000?l0
ooooo`3oool40?ooo`030000003oool0oooo01@0oooo000S0?ooo`040000003oool0oooo00000?l0
ooooo`3oool40?ooo`030000003oool0oooo01@0oooo000S0?ooo`050000003oool0oooo0?ooo`00
0000o`3ooooo0?ooo`80oooo00<000000?ooo`3oool05@3oool002<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`3o0?ooooh0oooo00<000000?ooo`3oool05@3oool002<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`3o0?ooood0oooo00<000000?ooo`3oool05P3o
ool002<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?oooo/0oooo00<00000
0?ooo`3oool05`3oool002<0oooo0`0000030?ooo`030000003oool0oooo0?l0oooon`3oool00`00
0000oooo0?ooo`0G0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0
oooon@3oool00`000000oooo0?ooo`0H0?ooo`008`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0?l0oooon03oool00`000000oooo0?ooo`0H0?ooo`008`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0?l0oooom`3oool00`000000oooo0?ooo`0I0?ooo`008`3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo0?l0oooomP3oool00`000000oooo0?ooo`0I
0?ooo`008`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0?l0oooom@3oool00`00
0000oooo0?ooo`0J0?ooo`008`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0?l0
oooom03oool00`000000oooo0?ooo`0J0?ooo`008`3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo0?l0ooool`3oool00`000000oooo0?ooo`0K0?ooo`008`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo0?l0ooool@3oool00`000000oooo0?ooo`0L0?ooo`008`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo0?l0ooool03oool00`000000oooo0?ooo`0L
0?ooo`008`3oool3000000T0oooo00<000000?ooo`3oool0o`3oooo_0?ooo`030000003oool0oooo
01d0oooo000S0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0o`3oooo^0?ooo`03
0000003oool0oooo01d0oooo000S0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
o`3oooo]0?ooo`030000003oool0oooo01h0oooo000S0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0o`3oooo/0?ooo`030000003oool0oooo01h0oooo000S0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool0o`3oooo[0?ooo`030000003oool0oooo01l0oooo000S0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0o`3ooooZ0?ooo`030000003oool0oooo
01l0oooo000S0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0o`3ooooX0?ooo`03
0000003oool0oooo0200oooo000S0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
o`3ooooX0?ooo`030000003oool0oooo0200oooo000S0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0o`3ooooV0?ooo`030000003oool0oooo0240oooo000S0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0o`3ooooU0?ooo`030000003oool0oooo0280oooo000S0?oo
o`<000003`3oool00`000000oooo0?ooo`3o0?ooon@0oooo00<000000?ooo`3oool08P3oool002<0
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`3o0?ooon80oooo00<000000?ooo`3o
ool08`3oool002<0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`3o0?ooon80oooo
00<000000?ooo`3oool08`3oool002<0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`3o0?ooon00oooo00<000000?ooo`3oool0903oool002<0oooo00<000000?ooo`3oool04@3oool0
0`000000oooo0?ooo`3o0?ooon00oooo00<000000?ooo`3oool0903oool002<0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`3o0?ooomh0oooo00<000000?ooo`3oool09@3oool002<0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`3o0?ooomh0oooo00<000000?ooo`3o
ool09@3oool002<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`3o0?ooom`0oooo
00<000000?ooo`3oool09P3oool002<0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`3o0?ooomX0oooo00<000000?ooo`3oool09`3oool002<0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`3o0?ooomX0oooo00<000000?ooo`3oool09`3oool002<0oooo0`00000E0?oo
o`030000003oool0oooo0?l0oooof03oool00`000000oooo0?ooo`0X0?ooo`008`3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo0?l0oooof03oool00`000000oooo0?ooo`0X0?ooo`00
8`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0?l0ooooeP3oool00`000000oooo
0?ooo`0Y0?ooo`008`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0?l0ooooeP3o
ool00`000000oooo0?ooo`0Y0?ooo`008`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo0?l0ooooe03oool00`000000oooo0?ooo`0Z0?ooo`00503oool01P3ogi`0B000000000000000
001809cOo`T0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`3o0?ooom80oooo00<0
00000?ooo`3oool0:`3oool001<0oooo00<0gia80000001d_ol00P3oool00`3o_g@0000007Boo`08
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`030000003oool0
oooo02/0oooo000B0?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02oool01`3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool0oooo0?l0ooood03oool00`000000oooo0?ooo`0/0?oo
o`006@3oool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool0o`3oooo@0?ooo`030000003oool0oooo02`0oooo000I0?ooo`030?oo_`1d04P0W=oo00L0oooo
00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`3o0?ooolh0oooo00<000000?ooo`3oool0
;@3oool001T0oooo00<0oono07@0M02oool01`3oool5000001P0oooo00<000000?ooo`3oool0o`3o
ooo>0?ooo`030000003oool0oooo02d0oooo000C0?ooo`030?oOW018000004RL00<0oooo00<0W4P0
04RLg`3oool01`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0?l0ooooc03oool0
0`000000oooo0?ooo`0^0?ooo`004`3oool00`3ogi`0B01d09bLB0030000000304RLg`3oool0oooo
00L0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`3o0?oool/0oooo00<000000?oo
o`3oool0;P3oool001<0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`0L0?ooo`03
0000003oool0oooo0?l0oooobP3oool00`000000oooo0?ooo`0_0?ooo`004`3oool00`3ogi`0B01d
0;ooo`0=0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0o`3oooo80?ooo`030000
003oool0oooo0300oooo000C0?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool07@3o
ool00`000000oooo0?ooo`3o0?ooolP0oooo00<000000?ooo`3oool0<03oool001<0oooo00<0omnL
04P0M02oool03@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0?l0ooooaP3oool0
0`000000oooo0?ooo`0a0?ooo`004`3oool00`3ogi`0B000000000040000000307Boo`3oool0oooo
00H0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3o0?ooolH0oooo00<000000?oo
o`3oool0<@3oool002<0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`3o0?oool@0
oooo00<000000?ooo`3oool0<P3oool002<0oooo00<000000?ooo`3oool0803oool00`000000oooo
0?ooo`3o0?oool<0oooo00<000000?ooo`3oool0<P3oool002<0oooo0`00000P0?ooo`030000003o
ool0oooo0?l0oooo`P3oool00`000000oooo0?ooo`0c0?ooo`008`3oool00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo0?l0oooo`03oool00`000000oooo0?ooo`0d0?ooo`008`3oool00`00
0000oooo0?ooo`0Q0?ooo`030000003oool0oooo0?l0oooo`03oool00`000000oooo0?ooo`0d0?oo
o`008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?l0oooo_P3oool00`000000
oooo0?ooo`0e0?ooo`008`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0?l0oooo
_@3oool00`000000oooo0?ooo`0e0?ooo`008`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo0?l0oooo_03oool00`000000oooo0?ooo`0f0?ooo`008`3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo0?l0oooo^`3oool00`000000oooo0?ooo`0f0?ooo`008`3oool00`00
0000oooo0?ooo`0T0?ooo`030000003oool0oooo0?l0oooo^P3oool00`000000oooo0?ooo`0g0?oo
o`008`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0?l0oooo^@3oool00`000000
oooo0?ooo`0g0?ooo`008`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0?l0oooo
^03oool00`000000oooo0?ooo`0h0?ooo`008`3oool3000002H0oooo00<000000?ooo`3oool0o`3o
oonf0?ooo`030000003oool0oooo03T0oooo000S0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool0o`3ooone0?ooo`030000003oool0oooo03T0oooo000S0?ooo`030000003oool0oooo
02L0oooo00<000000?ooo`3oool0o`3ooond0?ooo`030000003oool0oooo03X0oooo000S0?ooo`03
0000003oool0oooo02P0oooo00<000000?ooo`3oool0o`3ooonc0?ooo`030000003oool0oooo03X0
oooo000S0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0o`3ooonb0?ooo`030000
003oool0oooo03/0oooo000S0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0o`3o
oona0?ooo`030000003oool0oooo03/0oooo000S0?ooo`030000003oool0oooo02T0oooo00<00000
0?ooo`3oool0o`3ooon`0?ooo`030000003oool0oooo03`0oooo000S0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0o`3ooon^0?ooo`030000003oool0oooo03d0oooo000S0?ooo`03
0000003oool0oooo02/0oooo00<000000?ooo`3oool0o`3ooon]0?ooo`030000003oool0oooo03d0
oooo000S0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0o`3ooon/0?ooo`030000
003oool0oooo03h0oooo000S0?ooo`<00000;03oool00`000000oooo0?ooo`3o0?oooj/0oooo00<0
00000?ooo`3oool0?P3oool002<0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`3o
0?ooojX0oooo00<000000?ooo`3oool0?`3oool002<0oooo00<000000?ooo`3oool0;@3oool00`00
0000oooo0?ooo`3o0?ooojP0oooo00<000000?ooo`3oool0@03oool002<0oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<000000?ooo`3oool0@03oool002<0oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`3o0?ooojH0oooo00<000000?ooo`3oool0
@@3oool002<0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?ooojD0oooo00<0
00000?ooo`3oool0@@3oool002<0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o
0?oooj@0oooo00<000000?ooo`3oool0@P3oool002<0oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`3o0?oooj80oooo00<000000?ooo`3oool0@`3oool002<0oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`3o0?oooj80oooo00<000000?ooo`3oool0@`3oool002<0oooo
00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`3o0?oooj00oooo00<000000?ooo`3oool0
A03oool002<0oooo0`00000a0?ooo`030000003oool0oooo0?l0ooooX03oool00`000000oooo0?oo
o`140?ooo`008`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo0?l0ooooWP3oool0
0`000000oooo0?ooo`150?ooo`008`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
0?l0ooooW03oool00`000000oooo0?ooo`160?ooo`008`3oool00`000000oooo0?ooo`0c0?ooo`03
0000003oool0oooo0?l0ooooW03oool00`000000oooo0?ooo`160?ooo`008`3oool00`000000oooo
0?ooo`0d0?ooo`030000003oool0oooo0?l0ooooVP3oool00`000000oooo0?ooo`170?ooo`001`3o
ool00`2LB000000000000004000000030000M02oool0oooo00@0oooo00D0W4P0000000000000001d
0;ooo`090?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0o`3ooonJ0?ooo`030000
003oool0oooo04L0oooo000:0?ooo`030=nLB000M;l0oooo00L0oooo00H0_g@004RLg`3oool0oooo
0?noM000B9`90?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0o`3ooonH0?ooo`03
0000003oool0oooo04P0oooo000:0?ooo`030=nLB000M;l0oooo00H0oooo00<0okmd001d_`3oool0
0`3oool00`2oM000B9cO0?ooo`070?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0
o`3ooonG0?ooo`030000003oool0oooo04T0oooo000:0?ooo`030=nLB000M;l0oooo00H0oooo00<0
_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`070?ooo`030000003oool0oooo03H0oooo00<0
00000?ooo`3oool0o`3ooonF0?ooo`030000003oool0oooo04T0oooo000:0?ooo`030=nLB000M;l0
oooo00H0oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`030000003oool0
oooo03H0oooo00<000000?ooo`3oool0o`3ooonE0?ooo`030000003oool0oooo04X0oooo000:0?oo
o`030=nLB000M;l0oooo00D0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`070?oo
o`D00000=@3oool00`000000oooo0?ooo`3o0?oooi@0oooo00<000000?ooo`3oool0BP3oool000X0
oooo00<0gia8001d_`3oool01@3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo00L0
oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`3o0?oooi80oooo00<000000?ooo`3o
ool0B`3oool000X0oooo00<0gia8001d_`3oool01@3oool00`3ookl0M01809cOo`040?ooo`030?oO
W01807@0_ooo00L0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`3o0?oooi40oooo
00<000000?ooo`3oool0C03oool000X0oooo00<0gia8001d_`3oool01P3oool00`2LB4P0W=oo0?oo
o`030?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?oo
o`3o0?oooi00oooo00<000000?ooo`3oool0C03oool000X0oooo00<0gia8001d_`3oool01P3oool0
0`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?ooo`3oool0>@3oool0
0`000000oooo0?ooo`3o0?ooohl0oooo00<000000?ooo`3oool0C@3oool000X0oooo00<0gia8001d
_`3oool01P3oool00`3o_g@004RL0?ooo`030?ooo`030;md0018W=l0oooo00L0oooo00<000000?oo
o`3oool0>P3oool00`000000oooo0?ooo`3o0?ooohh0oooo00<000000?ooo`3oool0C@3oool000L0
oooo00D0W4P00000000007@0W9a8001d_`080?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL2@3o
ool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0?l0ooooS@3oool00`000000oooo0?oo
o`1>0?ooo`002@3oool00`3o_g@00000001d_`090?ooo`050;md0000000000000000M02oool02@3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo0?l0ooooR`3oool00`000000oooo0?oo
o`1?0?ooo`008`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo0?l0ooooRP3oool0
0`000000oooo0?ooo`1?0?ooo`008`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo
0?l0ooooR@3oool00`000000oooo0?ooo`1@0?ooo`008`3oool3000003d0oooo00<000000?ooo`3o
ool0o`3ooon80?ooo`030000003oool0oooo0500oooo000S0?ooo`030000003oool0oooo03d0oooo
00<000000?ooo`3oool0o`3ooon70?ooo`030000003oool0oooo0540oooo000S0?ooo`030000003o
ool0oooo03h0oooo00<000000?ooo`3oool0o`3ooon50?ooo`030000003oool0oooo0580oooo000S
0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0o`3ooon50?ooo`030000003oool0
oooo0580oooo000S0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0o`3ooon30?oo
o`030000003oool0oooo05<0oooo000S0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3o
ool0o`3ooon10?ooo`030000003oool0oooo05@0oooo000S0?ooo`030000003oool0oooo0400oooo
00<000000?ooo`3oool0o`3ooon10?ooo`030000003oool0oooo05@0oooo000S0?ooo`030000003o
ool0oooo0440oooo00<000000?ooo`3oool0o`3ooomo0?ooo`030000003oool0oooo05D0oooo000S
0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0
oooo05D0oooo000S0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0o`3ooomm0?oo
o`030000003oool0oooo05H0oooo000S0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3o
ool0o`3ooomk0?ooo`030000003oool0oooo05L0oooo000S0?ooo`<00000@`3oool00`000000oooo
0?ooo`3o0?ooog/0oooo00<000000?ooo`3oool0E`3oool002<0oooo00<000000?ooo`3oool0A03o
ool00`000000oooo0?ooo`3o0?ooogT0oooo00<000000?ooo`3oool0F03oool002<0oooo00<00000
0?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?ooogL0oooo00<000000?ooo`3oool0F@3oool0
02<0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?ooogL0oooo00<000000?oo
o`3oool0F@3oool002<0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`3o0?ooogD0
oooo00<000000?ooo`3oool0FP3oool002<0oooo00<000000?ooo`3oool0A`3oool00`000000oooo
0?ooo`3o0?ooog@0oooo00<000000?ooo`3oool0FP3oool002<0oooo00<000000?ooo`3oool0A`3o
ool00`000000oooo0?ooo`3o0?ooog<0oooo00<000000?ooo`3oool0F`3oool002<0oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`3o0?ooog40oooo00<000000?ooo`3oool0G03oool0
02<0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?oo
o`3oool0G03oool002<0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`3o0?ooofl0
oooo00<000000?ooo`3oool0G@3oool002<0oooo0`00001:0?ooo`030000003oool0oooo0?l0oooo
K@3oool00`000000oooo0?ooo`1N0?ooo`008`3oool00`000000oooo0?ooo`1:0?ooo`030000003o
ool0oooo0?l0ooooK@3oool00`000000oooo0?ooo`1N0?ooo`008`3oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo0?l0ooooJ`3oool00`000000oooo0?ooo`1O0?ooo`008`3oool00`00
0000oooo0?ooo`1<0?ooo`030000003oool0oooo0?l0ooooJP3oool00`000000oooo0?ooo`1O0?oo
o`008`3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo0?l0ooooJ@3oool00`000000
oooo0?ooo`1P0?ooo`008`3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0?l0oooo
I`3oool00`000000oooo0?ooo`1Q0?ooo`008`3oool00`000000oooo0?ooo`1>0?ooo`030000003o
ool0oooo0?l0ooooIP3oool00`000000oooo0?ooo`1Q0?ooo`008`3oool00`000000oooo0?ooo`1>
0?ooo`030000003oool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`1R0?ooo`008`3oool00`00
0000oooo0?ooo`1?0?ooo`030000003oool0oooo0?l0ooooH`3oool00`000000oooo0?ooo`1S0?oo
o`008`3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo0?l0ooooHP3oool00`000000
oooo0?ooo`1S0?ooo`008`3oool300000500oooo00<000000?ooo`3oool0o`3ooomQ0?ooo`030000
003oool0oooo06@0oooo000S0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0o`3o
oomP0?ooo`030000003oool0oooo06@0oooo000S0?ooo`030000003oool0oooo0540oooo00<00000
0?ooo`3oool0o`3ooomO0?ooo`030000003oool0oooo06D0oooo000S0?ooo`030000003oool0oooo
0580oooo00<000000?ooo`3oool0o`3ooomM0?ooo`030000003oool0oooo06H0oooo000S0?ooo`03
0000003oool0oooo05<0oooo00<000000?ooo`3oool0o`3ooomL0?ooo`030000003oool0oooo06H0
oooo00070?ooo`0309a800000000000000@0000000<0001d0;ooo`3oool00`3oool01P3ogi`0B000
000000000000001809cOo`T0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`3o0?oo
oe/0oooo00<000000?ooo`3oool0I`3oool000X0oooo00<0gia8001d_`3oool01P3oool00`3OW4P0
000007Boo`020?ooo`030?noM0000000M;oo00P0oooo00<000000?ooo`3oool0E03oool00`000000
oooo0?ooo`3o0?oooeT0oooo00<000000?ooo`3oool0J03oool000X0oooo00<0gia8001d_`3oool0
1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo00L0oooo00<000000?ooo`3oool0
E@3oool00`000000oooo0?ooo`3o0?oooeP0oooo00<000000?ooo`3oool0J03oool000X0oooo00<0
gia8001d_`3oool0303oool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo05D0oooo00<0
00000?ooo`3oool0o`3ooomG0?ooo`030000003oool0oooo06T0oooo000:0?ooo`030=nLB000M;l0
oooo00`0oooo00<0oono07@0B02Lgol01`3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0
oooo0?l0ooooE@3oool00`000000oooo0?ooo`1Z0?ooo`002P3oool00`3OW4P007Bo0?ooo`0<0?oo
o`030?oo_`1d07@0_ooo00L0oooo1@00001E0?ooo`030000003oool0oooo0?l0ooooE03oool00`00
0000oooo0?ooo`1Z0?ooo`002P3oool00`3OW4P007Bo0?ooo`060?ooo`030?oOW018000004RL00<0
oooo00<0W4P004RLg`3oool01`3oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo0?l0
ooooD`3oool00`000000oooo0?ooo`1[0?ooo`002P3oool00`3OW4P007Bo0?ooo`060?ooo`030?oO
W01807@0W9a800<0000000<0B9cO0?ooo`3oool01`3oool00`000000oooo0?ooo`1H0?ooo`030000
003oool0oooo0?l0ooooD@3oool00`000000oooo0?ooo`1/0?ooo`002P3oool00`3OW4P007Bo0?oo
o`060?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?oo
o`3o0?oooe00oooo00<000000?ooo`3oool0K03oool000X0oooo00<0gia8001d_`3oool01P3oool0
0`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0o`3ooom?
0?ooo`030000003oool0oooo06d0oooo000:0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P0
M02oool03@3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo0?l0ooooC@3oool00`00
0000oooo0?ooo`1^0?ooo`001`3oool01@2LB00000000000M02LW4P007Bo00L0oooo00<0omnL04P0
M02oool03@3oool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo0?l0ooooC03oool00`00
0000oooo0?ooo`1^0?ooo`002@3oool00`3o_g@00000001d_`070?ooo`030?oOW0180000000000@0
000000<0M;oo0?ooo`3oool01P3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo0?l0
ooooBP3oool00`000000oooo0?ooo`1_0?ooo`008`3oool00`000000oooo0?ooo`1L0?ooo`030000
003oool0oooo0?l0ooooB@3oool00`000000oooo0?ooo`1`0?ooo`008`3oool00`000000oooo0?oo
o`1M0?ooo`030000003oool0oooo0?l0ooooB03oool00`000000oooo0?ooo`1`0?ooo`008`3oool3
000005h0oooo00<000000?ooo`3oool0o`3ooom60?ooo`030000003oool0oooo0740oooo000S0?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`3oool0o`3ooom50?ooo`030000003oool0oooo
0780oooo000S0?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3oool0o`3ooom40?ooo`03
0000003oool0oooo0780oooo000S0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0
o`3ooom20?ooo`030000003oool0oooo07<0oooo000S0?ooo`030000003oool0oooo0600oooo00<0
00000?ooo`3oool0o`3ooom10?ooo`030000003oool0oooo07@0oooo000S0?ooo`030000003oool0
oooo0640oooo00<000000?ooo`3oool0o`3ooom00?ooo`030000003oool0oooo07@0oooo000S0?oo
o`030000003oool0oooo0680oooo00<000000?ooo`3oool0o`3oooln0?ooo`030000003oool0oooo
07D0oooo000S0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool0o`3ooolm0?ooo`03
0000003oool0oooo07H0oooo000S0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool0
o`3oooll0?ooo`030000003oool0oooo07H0oooo000S0?ooo`030000003oool0oooo06@0oooo00<0
00000?ooo`3oool0o`3ooolj0?ooo`030000003oool0oooo07L0oooo000S0?ooo`<00000I03oool0
0`000000oooo0?ooo`3o0?ooocT0oooo00<000000?ooo`3oool0N03oool002<0oooo00<000000?oo
o`3oool0I@3oool00`000000oooo0?ooo`3o0?ooocP0oooo00<000000?ooo`3oool0N03oool002<0
oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`3o0?ooocH0oooo00<000000?ooo`3o
ool0N@3oool002<0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`3o0?oooc@0oooo
00<000000?ooo`3oool0NP3oool002<0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?oo
o`3o0?oooc@0oooo00<000000?ooo`3oool0NP3oool002<0oooo00<000000?ooo`3oool0J03oool0
0`000000oooo0?ooo`3o0?oooc80oooo00<000000?ooo`3oool0N`3oool002<0oooo00<000000?oo
o`3oool0J@3oool00`000000oooo0?ooo`3o0?oooc00oooo00<000000?ooo`3oool0O03oool002<0
oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`3o0?oooc00oooo00<000000?ooo`3o
ool0O03oool002<0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`3o0?ooobh0oooo
00<000000?ooo`3oool0O@3oool002<0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?oo
o`3o0?ooob`0oooo00<000000?ooo`3oool0OP3oool002<0oooo0`00001/0?ooo`030000003oool0
oooo0?l0oooo:`3oool00`000000oooo0?ooo`1n0?ooo`008`3oool00`000000oooo0?ooo`1/0?oo
o`030000003oool0oooo0?l0oooo:P3oool00`000000oooo0?ooo`1o0?ooo`008`3oool00`000000
oooo0?ooo`1]0?ooo`030000003oool0oooo0?l0oooo:03oool00`000000oooo0?ooo`200?ooo`00
8`3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo0?l0oooo9P3oool00`000000oooo
0?ooo`210?ooo`008`3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0?l0oooo9@3o
ool00`000000oooo0?ooo`210?ooo`008`3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0
oooo0?l0oooo903oool00`000000oooo0?ooo`220?ooo`008`3oool00`000000oooo0?ooo`1`0?oo
o`030000003oool0oooo0?l0oooo8P3oool00`000000oooo0?ooo`230?ooo`008`3oool00`000000
oooo0?ooo`1a0?ooo`030000003oool0oooo0?l0oooo803oool00`000000oooo0?ooo`240?ooo`00
8`3oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo0?l0oooo7`3oool00`000000oooo
0?ooo`240?ooo`008`3oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo0?l0oooo7P3o
ool00`000000oooo0?ooo`250?ooo`008`3oool3000007<0oooo00<000000?ooo`3oool0o`3ooolL
0?ooo`030000003oool0oooo08H0oooo000S0?ooo`030000003oool0oooo07@0oooo00<000000?oo
o`3oool0o`3ooolK0?ooo`030000003oool0oooo08H0oooo000S0?ooo`030000003oool0oooo07D0
oooo00<000000?ooo`3oool0o`3ooolI0?ooo`030000003oool0oooo08L0oooo000S0?ooo`030000
003oool0oooo07D0oooo00<000000?ooo`3oool0o`3ooolH0?ooo`030000003oool0oooo08P0oooo
000S0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0o`3ooolF0?ooo`030000003o
ool0oooo08T0oooo00060?ooo`030=nLB0000000000000D0000000<004RL0?ooo`3oool0103oool0
1@2LB00000000000000007@0_ooo00T0oooo00<000000?ooo`3oool0M`3oool00`000000oooo0?oo
o`3o0?oooaD0oooo00<000000?ooo`3oool0R@3oool000H0oooo00<0okmd0000B02Lgol0103oool0
0`3o_g@007Bo0?ooo`040?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL2@3oool00`000000oooo
0?ooo`1h0?ooo`030000003oool0oooo0?l0oooo4`3oool00`000000oooo0?ooo`2:0?ooo`001`3o
ool00`3o_g@0001809cOo`090?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3oool01`3o
ool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo0?l0oooo4P3oool00`000000oooo0?oo
o`2;0?ooo`00203oool00`3ogi`0B01809cOo`080?ooo`030;md0018W=l0oooo00<0oooo00<0okmd
0018W03oool01`3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo0?l0oooo4@3oool0
0`000000oooo0?ooo`2;0?ooo`002@3oool00`3ogi`0B01809cOo`070?ooo`0309a8001d_ol0oooo
00<0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`1j0?ooo`030000003oool0oooo
0?l0oooo3`3oool00`000000oooo0?ooo`2<0?ooo`002P3oool00`3ogi`0B01809cOo`050?ooo`03
0?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool01`3oool5000007T0oooo00<000000?ooo`3o
ool0o`3oool=0?ooo`030000003oool0oooo08d0oooo000;0?ooo`030?oOW01804P0W=oo00@0oooo
00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`070?ooo`030000003oool0oooo07/0oooo
00<000000?ooo`3oool0o`3oool<0?ooo`030000003oool0oooo08h0oooo000<0?ooo`030?oOW018
07@0_ooo00<0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`070?ooo`030000003o
ool0oooo07`0oooo00<000000?ooo`3oool0o`3oool;0?ooo`030000003oool0oooo08h0oooo000=
0?ooo`030=nLB000M;l0oooo00<0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`07
0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool0o`3oool90?ooo`030000003oool0
oooo08l0oooo00070?ooo`0309adW03oool0oooo00<0oooo00<0okmd0018W03oool00`3oool00`2o
M000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?ooo`3oool0OP3oool00`00
0000oooo0?ooo`3o0?ooo`L0oooo00<000000?ooo`3oool0T03oool000H0oooo00<0oono07@0001d
_ol0103oool00`2oM00007Bo0?ooo`030?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3o
ool01`3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0?l0oooo1P3oool00`000000
oooo0?ooo`2A0?ooo`001`3oool00`3o_g@0000007Boo`020?ooo`030;md000007@0_ooo00D0oooo
00H0_g@0001d_`3oool0oooo0=nLB000B9`90?ooo`030000003oool0oooo07l0oooo00<000000?oo
o`3oool0o`3oool50?ooo`030000003oool0oooo0940oooo00080?ooo`050?oOW018000000000000
0000B9`0203oool01@2oM00000000000000007@0_ooo00T0oooo00<000000?ooo`3oool0P03oool0
0`000000oooo0?ooo`3o0?ooo`<0oooo00<000000?ooo`3oool0TP3oool002<0oooo00<000000?oo
o`3oool0P@3oool00`000000oooo0?ooo`3o0?ooo`40oooo00<000000?ooo`3oool0T`3oool002<0
oooo00<000000?ooo`3oool0PP3oool00`000000oooo0?ooo`3n0?ooo`030000003oool0oooo09@0
oooo000S0?ooo`<00000P`3oool00`000000oooo0?ooo`3l0?ooo`030000003oool0oooo09D0oooo
000S0?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0n`3oool00`000000oooo0?oo
o`2F0?ooo`008`3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo0?X0oooo00<00000
0?ooo`3oool0UP3oool002<0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`3h0?oo
o`030000003oool0oooo09L0oooo000S0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3o
ool0mP3oool00`000000oooo0?ooo`2H0?ooo`008`3oool00`000000oooo0?ooo`270?ooo`030000
003oool0oooo0?@0oooo00<000000?ooo`3oool0V@3oool002<0oooo00<000000?ooo`3oool0R03o
ool00`000000oooo0?ooo`3b0?ooo`030000003oool0oooo09X0oooo000S0?ooo`030000003oool0
oooo08P0oooo00<000000?ooo`3oool0l@3oool00`000000oooo0?ooo`2K0?ooo`008`3oool00`00
0000oooo0?ooo`290?ooo`030000003oool0oooo0>l0oooo00<000000?ooo`3oool0W03oool002<0
oooo00<000000?ooo`3oool0RP3oool00`000000oooo0?ooo`3]0?ooo`030000003oool0oooo09d0
oooo000S0?ooo`<00000R`3oool00`000000oooo0?ooo`3/0?ooo`030000003oool0oooo09d0oooo
000S0?ooo`030000003oool0oooo08`0oooo00<000000?ooo`3oool0jP3oool00`000000oooo0?oo
o`2N0?ooo`008`3oool00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo0>P0oooo00<00000
0?ooo`3oool0W`3oool002<0oooo00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`3V0?oo
o`030000003oool0oooo0:00oooo000S0?ooo`030000003oool0oooo08h0oooo00<000000?ooo`3o
ool0i@3oool00`000000oooo0?ooo`2Q0?ooo`008`3oool00`000000oooo0?ooo`2?0?ooo`030000
003oool0oooo0><0oooo00<000000?ooo`3oool0XP3oool002<0oooo00<000000?ooo`3oool0T03o
ool00`000000oooo0?ooo`3Q0?ooo`030000003oool0oooo0:<0oooo000S0?ooo`030000003oool0
oooo0940oooo00<000000?ooo`3oool0g`3oool00`000000oooo0?ooo`2T0?ooo`008`3oool00`00
0000oooo0?ooo`2B0?ooo`030000003oool0oooo0=h0oooo00<000000?ooo`3oool0Y03oool002<0
oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`3L0?ooo`030000003oool0oooo0:D0
oooo000S0?ooo`030000003oool0oooo09<0oooo00<000000?ooo`3oool0f`3oool00`000000oooo
0?ooo`2V0?ooo`008`3oool3000009@0oooo00<000000?ooo`3oool0f@3oool00`000000oooo0?oo
o`2W0?ooo`008`3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0=L0oooo00<00000
0?ooo`3oool0Z03oool002<0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`3E0?oo
o`030000003oool0oooo0:T0oooo000S0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3o
ool0d`3oool00`000000oooo0?ooo`2Z0?ooo`008`3oool00`000000oooo0?ooo`2H0?ooo`030000
003oool0oooo0=40oooo00<000000?ooo`3oool0Z`3oool002<0oooo00<000000?ooo`3oool0V@3o
ool00`000000oooo0?ooo`3?0?ooo`030000003oool0oooo0:`0oooo000S0?ooo`030000003oool0
oooo09X0oooo00<000000?ooo`3oool0c@3oool00`000000oooo0?ooo`2]0?ooo`008`3oool00`00
0000oooo0?ooo`2K0?ooo`030000003oool0oooo0</0oooo00<000000?ooo`3oool0[P3oool002<0
oooo00<000000?ooo`3oool0W03oool00`000000oooo0?ooo`390?ooo`030000003oool0oooo0:l0
oooo000S0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool0a`3oool00`000000oooo
0?ooo`2`0?ooo`008`3oool3000009h0oooo00<000000?ooo`3oool0a@3oool00`000000oooo0?oo
o`2a0?ooo`008`3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo0<<0oooo00<00000
0?ooo`3oool0/P3oool002<0oooo00<000000?ooo`3oool0X03oool00`000000oooo0?ooo`310?oo
o`030000003oool0oooo0;<0oooo000S0?ooo`030000003oool0oooo0:40oooo00<000000?ooo`3o
ool0_`3oool00`000000oooo0?ooo`2d0?ooo`008`3oool00`000000oooo0?ooo`2R0?ooo`030000
003oool0oooo0;d0oooo00<000000?ooo`3oool0]@3oool000H0oooo00<0gia80000000000001@00
00000`00B9`0oooo0?ooo`030?ooo`060?oOW018000000000000000004P0W=oo2@3oool00`000000
oooo0?ooo`2S0?ooo`030000003oool0oooo0;/0oooo00<000000?ooo`3oool0]P3oool000H0oooo
00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`030?ooo`030=nLB0000000M;oo0080oooo
00<0okmd0000001d_ol0203oool00`000000oooo0?ooo`2T0?ooo`030000003oool0oooo0;T0oooo
00<000000?ooo`3oool0]`3oool000L0oooo00<0okmd0000B02Lgol0203oool00`3ogi`0B01d0;oo
o`040?ooo`030?noM00007@0_ooo00L0oooo00<000000?ooo`3oool0Y@3oool00`000000oooo0?oo
o`2g0?ooo`030000003oool0oooo0;P0oooo00080?ooo`030?oOW01804P0W=oo00h0oooo00<0oono
07@0B02Lgol01`3oool00`000000oooo0?ooo`2V0?ooo`030000003oool0oooo0;D0oooo00<00000
0?ooo`3oool0^@3oool000T0oooo00<0omnL04P0B02Lgol03@3oool00`3ookl0M01809cOo`070?oo
o`030000003oool0oooo0:L0oooo00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`2j0?oo
o`002P3oool00`3ogi`0B01809cOo`0<0?ooo`030?oo_`1d07@0_ooo00L0oooo1@00002V0?ooo`03
0000003oool0oooo0;40oooo00<000000?ooo`3oool0^`3oool000/0oooo00<0omnL04P0B02Lgol0
1@3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo00L0oooo00<000000?ooo`3oool0
Z@3oool00`000000oooo0?ooo`2_0?ooo`030000003oool0oooo0;`0oooo000<0?ooo`030?oOW018
07@0_ooo00@0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`070?ooo`030000003o
ool0oooo0:X0oooo00<000000?ooo`3oool0[@3oool00`000000oooo0?ooo`2m0?ooo`003@3oool0
0`3OW4P007Bo0?ooo`030?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool0Z`3oool0
0`000000oooo0?ooo`2[0?ooo`030000003oool0oooo0;h0oooo00070?ooo`0309adW03oool0oooo
00<0oooo00<0okmd0018W03oool00`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo
0:`0oooo00<000000?ooo`3oool0Z03oool200000<40oooo00060?ooo`030?oo_`1d0000M;oo00@0
oooo00<0_g@0001d_`3oool00`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0:d0
oooo00<000000?ooo`3oool0YP3oool00`000000oooo0?ooo`310?ooo`001`3oool00`3o_g@00000
07Boo`020?ooo`030;md000007@0_ooo00@0oooo00<0omnL04P0M02oool03@3oool00`000000oooo
0?ooo`2^0?ooo`800000Y@3oool00`000000oooo0?ooo`320?ooo`00203oool01@3ogi`0B0000000
0000000004RL00H0oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`060?ooo`030000
003oool0oooo0;00oooo00<000000?ooo`3oool0X03oool200000<D0oooo000S0?ooo`030000003o
ool0oooo0;40oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`350?ooo`008`3oool0
0`000000oooo0?ooo`2b0?ooo`800000W@3oool00`000000oooo0?ooo`360?ooo`008`3oool30000
0;@0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`370?ooo`008`3oool00`000000
oooo0?ooo`2e0?ooo`030000003oool0oooo09H0oooo0P00003:0?ooo`008`3oool00`000000oooo
0?ooo`2f0?ooo`800000U@3oool00`000000oooo0?ooo`3:0?ooo`008`3oool00`000000oooo0?oo
o`2h0?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool0b`3oool002<0oooo00<00000
0?ooo`3oool0^@3oool00`000000oooo0?ooo`2>0?ooo`800000cP3oool002<0oooo00<000000?oo
o`3oool0^P3oool2000008d0oooo00<000000?ooo`3oool0cP3oool002<0oooo00<000000?ooo`3o
ool0_03oool00`000000oooo0?ooo`290?ooo`030000003oool0oooo0<l0oooo000S0?ooo`030000
003oool0oooo0;d0oooo00<000000?ooo`3oool0QP3oool200000=80oooo000S0?ooo`030000003o
ool0oooo0;h0oooo0P0000250?ooo`030000003oool0oooo0=80oooo000S0?ooo`030000003oool0
oooo0<00oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`3C0?ooo`008`3oool30000
0<40oooo00<000000?ooo`3oool0OP3oool200000=H0oooo000S0?ooo`030000003oool0oooo0<80
oooo0P00001l0?ooo`800000f03oool002<0oooo00<000000?ooo`3oool0a03oool00`000000oooo
0?ooo`1h0?ooo`030000003oool0oooo0=P0oooo000S0?ooo`030000003oool0oooo0<D0oooo0P00
001f0?ooo`800000f`3oool002<0oooo00<000000?ooo`3oool0a`3oool200000780oooo0P00003M
0?ooo`008`3oool00`000000oooo0?ooo`390?ooo`030000003oool0oooo06h0oooo00<000000?oo
o`3oool0g@3oool002<0oooo00<000000?ooo`3oool0bP3oool2000006`0oooo0P00003P0?ooo`00
8`3oool00`000000oooo0?ooo`3<0?ooo`030000003oool0oooo06L0oooo0P00003R0?ooo`008`3o
ool00`000000oooo0?ooo`3=0?ooo`800000I@3oool200000>@0oooo000S0?ooo`030000003oool0
oooo0<l0oooo0P00001R0?ooo`030000003oool0oooo0>@0oooo000S0?ooo`<00000d@3oool20000
05h0oooo0P00003W0?ooo`008`3oool00`000000oooo0?ooo`3C0?ooo`800000FP3oool200000>T0
oooo000S0?ooo`030000003oool0oooo0=D0oooo0P00001F0?ooo`800000j`3oool002<0oooo00<0
00000?ooo`3oool0e`3oool200000580oooo0P00003]0?ooo`008`3oool00`000000oooo0?ooo`3I
0?ooo`<00000C@3oool200000>l0oooo000S0?ooo`030000003oool0oooo0=`0oooo0`0000180?oo
o`800000l@3oool002<0oooo00<000000?ooo`3oool0g`3oool3000004<0oooo0P00003c0?ooo`00
8`3oool00`000000oooo0?ooo`3R0?ooo`<00000?@3oool300000?D0oooo000S0?ooo`030000003o
ool0oooo0>D0oooo0P00000h0?ooo`<00000n03oool002<0oooo00<000000?ooo`3oool0i`3oool4
00000300oooo1000003k0?ooo`008`3oool300000>/0oooo1000000V0?ooo`H00000o`3oool002<0
oooo00<000000?ooo`3oool0k`3oool5000001`0oooo1@00003o0?ooo`H0oooo000S0?ooo`030000
003oool0oooo0?@0oooo7000003o0?ooo`/0oooo000S0?ooo`030000003oool0oooo0?l0ooooo`3o
oolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool000P0oooo00H0W4P00000
0000000000000000M02oool70?ooo`0509a80000000000000000M02oool02@3oool00`000000oooo
0?ooo`3o0?ooool0oooo703oool000H0oooo00<0omnL04P00018W=l00`3oool00`3OW4P0000007Bo
o`050?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL2@3oool00`000000oooo0?ooo`3o0?ooool0
oooo703oool000d0oooo00<0gia80018W03oool00`3oool00`3o_g@007Bo0?ooo`030?ooo`030;md
0018W=l0oooo00L0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000=0?ooo`030?oo_`1d
04P0W=oo00<0oooo00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`070?ooo`030000003o
ool0oooo0?l0ooooo`3ooolL0?ooo`003@3oool00`3ookl0M01809cOo`030?ooo`0309a8001d_ol0
oooo00<0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool0
00d0oooo00<0gia80018W03oool00P3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo
00L0oooo1@00003o0?ooool0oooo6P3oool000`0oooo00<0_g@00000M02oool00`3oool00`3ookl0
M01809cOo`040?ooo`030?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0
oooo00090?ooo`050?oOW018000000000000B02Lgol0103oool00`3ookl0M01809cOo`040?ooo`03
0?oOW01807@0_ooo00L0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000<0?ooo`030?no
M00004P0W=oo00@0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`030000
003oool0oooo0?l0ooooo`3ooolL0?ooo`003@3oool00`3OW4P007Bo0?ooo`030?ooo`030;md001d
_ol0oooo00<0oooo00<0okmd0018W03oool01`3oool00`000000oooo0?ooo`3o0?ooool0oooo703o
ool000d0oooo00<0gia8001d_`3oool00`3oool00`3o_g@004RL0?ooo`030?ooo`030;md0018W=l0
oooo00L0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo00070?ooo`0309a8000004P0W=oo
0080oooo00<0okmd0000001d_ol01@3oool01P2oM00007Bo0?ooo`3oool0gia80018W0T0oooo00<0
00000?ooo`3oool0o`3ooooo0?oooa`0oooo00080?ooo`060?oOW018000000000000000004P0W=oo
1`3oool01@2oM00000000000000007@0_ooo00T0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0
oooo000S0?ooo`030000003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?oo
o`3o0?ooool0oooo703oool002<0oooo0`00003o0?ooool0oooo703oool002<0oooo00<000000?oo
o`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000003oool0oooo0?l0ooooo`3ooolL0?ooo`00
8`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool002<0oooo00<000000?ooo`3oool0o`3o
oooo0?oooa`0oooo000S0?ooo`030000003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`00
0000oooo0?ooo`3o0?ooool0oooo703oool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0
oooo000S0?ooo`030000003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3ooooo00000?l000003000
000C0?ooo`008`3oool300000?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?oo
ool0oooo703oool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000
003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703o
ool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000003oool0oooo
0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool00001\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.216552, -2.4615, \
0.0120601, 0.198213}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{EKpf, EMpf}, {\[Delta], 0, Pi}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0222617 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[.01131 .12602 -6 -4.5 ]
[.01131 .12602 0 4.5 ]
[.01131 .23733 -12 -4.5 ]
[.01131 .23733 0 4.5 ]
[.01131 .34864 -12 -4.5 ]
[.01131 .34864 0 4.5 ]
[.01131 .45995 -12 -4.5 ]
[.01131 .45995 0 4.5 ]
[.01131 .57126 -12 -4.5 ]
[.01131 .57126 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .12602 m
.03006 .12602 L
s
[(5)] .01131 .12602 1 0 Mshowa
.02381 .23733 m
.03006 .23733 L
s
[(10)] .01131 .23733 1 0 Mshowa
.02381 .34864 m
.03006 .34864 L
s
[(15)] .01131 .34864 1 0 Mshowa
.02381 .45995 m
.03006 .45995 L
s
[(20)] .01131 .45995 1 0 Mshowa
.02381 .57126 m
.03006 .57126 L
s
[(25)] .01131 .57126 1 0 Mshowa
.125 Mabswid
.02381 .03698 m
.02756 .03698 L
s
.02381 .05924 m
.02756 .05924 L
s
.02381 .0815 m
.02756 .0815 L
s
.02381 .10376 m
.02756 .10376 L
s
.02381 .14829 m
.02756 .14829 L
s
.02381 .17055 m
.02756 .17055 L
s
.02381 .19281 m
.02756 .19281 L
s
.02381 .21507 m
.02756 .21507 L
s
.02381 .25959 m
.02756 .25959 L
s
.02381 .28186 m
.02756 .28186 L
s
.02381 .30412 m
.02756 .30412 L
s
.02381 .32638 m
.02756 .32638 L
s
.02381 .3709 m
.02756 .3709 L
s
.02381 .39316 m
.02756 .39316 L
s
.02381 .41543 m
.02756 .41543 L
s
.02381 .43769 m
.02756 .43769 L
s
.02381 .48221 m
.02756 .48221 L
s
.02381 .50447 m
.02756 .50447 L
s
.02381 .52673 m
.02756 .52673 L
s
.02381 .549 m
.02756 .549 L
s
.02381 .59352 m
.02756 .59352 L
s
.02381 .61578 m
.02756 .61578 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .44828 m
.06244 .44828 L
.10458 .44828 L
.14415 .44828 L
.18221 .44828 L
.22272 .44828 L
.26171 .44828 L
.30316 .44828 L
.34309 .44828 L
.3815 .44828 L
.42237 .44828 L
.46172 .44828 L
.49955 .44828 L
.53984 .44828 L
.57861 .44828 L
.61984 .44828 L
.65954 .44828 L
.69774 .44828 L
.73838 .44828 L
.77751 .44828 L
.81909 .44828 L
.85916 .44828 L
.89771 .44828 L
.93871 .44828 L
.97619 .44828 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oo`3ooooo
0?oood80oooo003o0?ooool0oooo@P3oool006P0oooo00D0W4P0000000000000001d0;ooo`070?oo
o`040=nLB0000000001809cOo`L0oooo00H0omnL04P00000000000000000B02Lgom00?ooo`0309a8
00000000000000@0000000<0001d0;ooo`3oool0?@3oool00`2LB000000000000004000000030000
M02oool0oooo00@0oooo00@0gia80000000004P0W=oo1`3oool01P3ogi`0B0000000000000000018
09cOocl0oooo00<0gia80000000000001@0000000`00B9`0oooo0?ooo`0l0?ooo`030=nLB0000000
000000D0000000<004RL0?ooo`3oool0103oool0103OW4P000000000B02Lgol70?ooo`060?oOW018
000000000000000004P0W=oo@@3oool01P2LB0000000000000000000001d0;ooobP0oooo001W0?oo
o`060;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0102LB000000000000018W=l60?ooo`030=nL
B0000000M;oo0080oooo00<0okmd0000001d_ol0@P3oool00`3OW4P007Bo0?ooo`140?ooo`030=nL
B000M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0000007Boo`020?ooo`03
0?noM0000000M;oo03h0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`0m0?ooo`03
0?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool01@3oool0102LB000000000000018W=l60?oo
o`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0?P3oool00`3ogi`0B00004RLg`030?oo
o`030=nLB0000000M;oo02L0oooo001V0?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3o
ool01@3oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000
M02oool0@@3oool00`3OW4P007Bo0?ooo`140?ooo`030=nLB000M;l0oooo00P0oooo00@0gia80000
000004P0W=oo1@3oool00`3ogi`0B01d0;ooo`040?ooo`030?noM00007@0_ooo03h0oooo00<0okmd
0000B02Lgol0A03oool00`3o_g@0001809cOo`0;0?ooo`040=nLB0000000001809cOo`D0oooo00<0
omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`140?ooo`030=nLB000B9`0oooo02H0oooo001V
0?ooo`030;md0018W=l0oooo00<0oooo00<0okmd0018W03oool05@3oool00`3ookl0M01809cOo`11
0?ooo`030=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01809cOo`0o
0?ooo`030?oOW01804P0W=oo04@0oooo00<0omnL04P0B02Lgol06P3oool00`3ookl0M01809cOo`14
0?ooo`030?oo_`1d04P0W=oo02H0oooo001V0?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0
M02oool05@3oool00`3ookl0M01809cOo`110?ooo`030=nLB000M;l0oooo04@0oooo00<0gia8001d
_`3oool0603oool00`3ookl0M01809cOo`100?ooo`030?oOW01804P0W=oo04@0oooo00<0omnL04P0
B02Lgol06@3oool00`3ookl0M01809cOo`140?ooo`030?oo_`1d04P0W=oo02H0oooo001U0?ooo`03
0?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01d0;ooo`110?ooo`03
0=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01d0;ooo`110?ooo`03
0?oOW01804P0W=oo04@0oooo00<0omnL04P0B02Lgol0603oool00`3ookl0M01d0;ooo`140?ooo`03
0=nLB000B9`0oooo02H0oooo001U0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0
3`3oool00`3ogi`0B0000018W0030?ooo`0309a80018W=l0oooo0440oooo00<0gia8001d_`3oool0
A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0
@P3oool00`3ogi`0B01809cOo`140?ooo`030?oOW01804P0W=oo0140oooo00<0omnL04P00000B9`0
0`3oool00`2LB000B9cO0?ooo`130?ooo`030;md000007@0_ooo02L0oooo001U0?ooo`030?oo_`1d
04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B01d09bLB0030000000304RLg`3o
ool0oooo0440oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW018
07@0W9a800<0000000<0B9cO0?ooo`3oool0@`3oool00`3ogi`0B01d0;ooo`140?ooo`030?oOW018
07@0_ooo0100oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`100?ooo`050?oOW018
000000000000B02Lgol0:03oool006H0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;oo
o`0?0?ooo`030?oOW01807@0_ooo04L0oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?oo
o`0B0?ooo`030?oOW01807@0_ooo04X0oooo00<0gia8001d_`3oool0A03oool00`3OW4P007Bo0?oo
o`0?0?ooo`030?oOW01807@0_ooo04T0oooo00<0okmd0000B02Lgol09`3oool006H0oooo00<0_g@0
07Boo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030?oOW01807@0_ooo04L0oooo00<0gia8
001d_`3oool0A03oool00`3OW4P007Bo0?ooo`0B0?ooo`030?oOW01807@0_ooo04@0oooo00<0W7BL
0?ooo`3oool00`3oool00`3o_g@004RL0?ooo`0n0?ooo`0309adW03oool0oooo00<0oooo00<0okmd
0018W03oool03`3oool00`3ogi`0B01d0;ooo`1:0?ooo`030=nLB000M;l0oooo02H0oooo001V0?oo
o`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool03`3oool00`3ogi`0B01d0;ooo`170?oo
o`030=nLB000M;l0oooo04@0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`130?oo
o`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool0?@3oool00`3ookl0M00007Boo`040?oo
o`030;md0000M;l0oooo00l0oooo00<0omnL04P0M02oool0BP3oool00`3OW4P007Bo0?ooo`0V0?oo
o`00I`3oool01P2oM00007Bo0?ooo`3oool0gia80018W140oooo00<0omnL04P0M02oool0A03oool0
1@2LB00000000000M02LW4P007Bo0480oooo00D0W4P00000000007@0W9a8001d_`0C0?ooo`030?oO
W01807@0_ooo04@0oooo00<0okmd0000001d_ol00P3oool00`2oM000001d0;ooo`0o0?ooo`030?no
M0000000M;oo0080oooo00<0_g@00000M02oool0403oool00`3ogi`0B01d0;ooo`140?ooo`0309a8
000004P0W=oo0080oooo00<0okmd0000001d_ol09`3oool006P0oooo00D0_g@0000000000000001d
0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool0?`3oool00`3o_g@00000
001d_`140?ooo`030?noM000000007Bo01<0oooo00<0omnL04P000000000100000000`1d_ol0oooo
0?ooo`0n0?ooo`050?oOW0180000000000000000B9`0@P3oool01@3ogi`0B00000000000000004RL
0180oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`0n0?ooo`060?oOW01800000000
0000000004P0W=oo:03oool00?l0ooooo`3ooom20?ooo`008`3oool00`000000oooo0?ooo`3o0?oo
ool0oooo703oool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000
003oool0oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703o
ool002<0oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000003oool0oooo
0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool002<0oooo
00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000F0?ooool00000o`00000V000000H0oooo000S
0?ooo`8000003`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool01`3oool002<0oooo0P00000?0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`070?ooo`008`3oool00`000000oooo0000000>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`05
0000003oool0oooo0?ooo`0000002`3oool00`000000oooo0?ooo`070?ooo`008`3oool00`000000
oooo0000001@0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0D03oool00`000000
oooo0?ooo`1@0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0D03oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo01<0oooo000S0?ooo`040000003oool0oooo00000?l0
ooooo`3oool40?ooo`030000003oool0oooo01@0oooo000S0?ooo`040000003oool0oooo00000?l0
ooooo`3oool40?ooo`030000003oool0oooo01@0oooo000S0?ooo`050000003oool0oooo0?ooo`00
0000o`3ooooo0?ooo`80oooo00<000000?ooo`3oool05@3oool002<0oooo00D000000?ooo`3oool0
oooo0000003o0?ooool0oooo0P3oool00`000000oooo0?ooo`0E0?ooo`008`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0?l0ooooo@3oool00`000000oooo0?ooo`0F0?ooo`008`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0ooooo@3oool00`000000oooo0?oo
o`0F0?ooo`008`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0?l0oooon`3oool0
0`000000oooo0?ooo`0G0?ooo`008`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0?l0oooon`3oool00`000000oooo0?ooo`0G0?ooo`008`3oool3000000@0oooo00<000000?ooo`3o
ool0o`3ooooi0?ooo`030000003oool0oooo01P0oooo000S0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0o`3ooooh0?ooo`030000003oool0oooo01P0oooo000S0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0o`3oooog0?ooo`030000003oool0oooo01T0oooo000S
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0o`3oooof0?ooo`030000003oool0
oooo01T0oooo000S0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0o`3ooooe0?oo
o`030000003oool0oooo01X0oooo000S0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0o`3ooood0?ooo`030000003oool0oooo01X0oooo000S0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0o`3ooooc0?ooo`030000003oool0oooo01/0oooo000S0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0o`3oooob0?ooo`030000003oool0oooo01/0oooo000S
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0o`3ooooa0?ooo`030000003oool0
oooo01`0oooo000S0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0o`3oooo`0?oo
o`030000003oool0oooo01`0oooo000S0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0o`3oooo_0?ooo`030000003oool0oooo01d0oooo000S0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool0o`3oooo^0?ooo`030000003oool0oooo01d0oooo000S0?ooo`<000002P3o
ool00`000000oooo0?ooo`3o0?ooond0oooo00<000000?ooo`3oool07P3oool002<0oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`3o0?ooon`0oooo00<000000?ooo`3oool07P3oool0
02<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`3o0?ooon/0oooo00<000000?oo
o`3oool07`3oool002<0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`3o0?ooonX0
oooo00<000000?ooo`3oool07`3oool002<0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`3o0?ooonP0oooo00<000000?ooo`3oool0803oool002<0oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`3o0?ooonP0oooo00<000000?ooo`3oool0803oool002<0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`3o0?ooonH0oooo00<000000?ooo`3oool08@3oool0
02<0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`3o0?ooonH0oooo00<000000?oo
o`3oool08@3oool002<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooon@0
oooo00<000000?ooo`3oool08P3oool002<0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`3o0?ooon@0oooo00<000000?ooo`3oool08P3oool002<0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`3o0?ooon80oooo00<000000?ooo`3oool08`3oool002<0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`3o0?ooon80oooo00<000000?ooo`3oool08`3oool0
02<0oooo0`00000A0?ooo`030000003oool0oooo0?l0ooooh03oool00`000000oooo0?ooo`0T0?oo
o`008`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?l0ooooh03oool00`000000
oooo0?ooo`0T0?ooo`008`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0?l0oooo
gP3oool00`000000oooo0?ooo`0U0?ooo`008`3oool00`000000oooo0?ooo`0B0?ooo`030000003o
ool0oooo0?l0oooogP3oool00`000000oooo0?ooo`0U0?ooo`008`3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo0?l0oooog03oool00`000000oooo0?ooo`0V0?ooo`008`3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo0?l0oooofP3oool00`000000oooo0?ooo`0W0?oo
o`008`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?l0oooofP3oool00`000000
oooo0?ooo`0W0?ooo`008`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0?l0oooo
f03oool00`000000oooo0?ooo`0X0?ooo`008`3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo0?l0oooof03oool00`000000oooo0?ooo`0X0?ooo`008`3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo0?l0ooooeP3oool00`000000oooo0?ooo`0Y0?ooo`008`3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo0?l0ooooeP3oool00`000000oooo0?ooo`0Y0?oo
o`008`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0?l0ooooe03oool00`000000
oooo0?ooo`0Z0?ooo`008`3oool3000001L0oooo00<000000?ooo`3oool0o`3ooooD0?ooo`030000
003oool0oooo02X0oooo000S0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0o`3o
oooB0?ooo`030000003oool0oooo02/0oooo000S0?ooo`030000003oool0oooo01P0oooo00<00000
0?ooo`3oool0o`3ooooB0?ooo`030000003oool0oooo02/0oooo000S0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool0o`3oooo@0?ooo`030000003oool0oooo02`0oooo000S0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0o`3oooo@0?ooo`030000003oool0oooo02`0
oooo000S0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0o`3oooo>0?ooo`030000
003oool0oooo02d0oooo000S0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0o`3o
ooo>0?ooo`030000003oool0oooo02d0oooo000D0?ooo`060?oOW018000000000000000004P0W=oo
2@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0?l0ooooc03oool00`000000oooo
0?ooo`0^0?ooo`004`3oool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo00P0oooo00<0
00000?ooo`3oool06`3oool00`000000oooo0?ooo`3o0?oool`0oooo00<000000?ooo`3oool0;P3o
ool00180oooo00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`070?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0o`3oooo:0?ooo`030000003oool0oooo02l0oooo000I0?oo
o`030?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`3o0?oo
olX0oooo00<000000?ooo`3oool0;`3oool001T0oooo00<0oono07@0B02Lgol01`3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo0?l0oooob03oool00`000000oooo0?ooo`0`0?ooo`00
6@3oool00`3ookl0M01d0;ooo`070?ooo`D000006`3oool00`000000oooo0?ooo`3o0?ooolP0oooo
00<000000?ooo`3oool0<03oool001<0oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?oo
o`070?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0o`3oooo60?ooo`030000003o
ool0oooo0340oooo000C0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool01`3oool0
0`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0?l0ooooaP3oool00`000000oooo0?ooo`0a
0?ooo`004`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo01l0oooo00<000000?oo
o`3oool0o`3oooo40?ooo`030000003oool0oooo0380oooo000C0?ooo`030?oOW01807@0_ooo00d0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`3o0?oool<0oooo00<000000?ooo`3o
ool0<P3oool001<0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`0P0?ooo`030000
003oool0oooo0?l0oooo`P3oool00`000000oooo0?ooo`0c0?ooo`004`3oool00`3ogi`0B01d0;oo
o`0=0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0o`3oooo10?ooo`030000003o
ool0oooo03<0oooo000C0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool01P3oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0?l0oooo`03oool00`000000oooo0?ooo`0d
0?ooo`008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?l0oooo_`3oool00`00
0000oooo0?ooo`0d0?ooo`008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?l0
oooo_P3oool00`000000oooo0?ooo`0e0?ooo`008`3oool00`000000oooo0?ooo`0S0?ooo`030000
003oool0oooo0?l0oooo_@3oool00`000000oooo0?ooo`0e0?ooo`008`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo0?l0oooo_03oool00`000000oooo0?ooo`0f0?ooo`008`3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0?l0oooo^`3oool00`000000oooo0?ooo`0f
0?ooo`008`3oool3000002@0oooo00<000000?ooo`3oool0o`3ooonj0?ooo`030000003oool0oooo
03L0oooo000S0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0o`3oooni0?ooo`03
0000003oool0oooo03L0oooo000S0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0
o`3ooonh0?ooo`030000003oool0oooo03P0oooo000S0?ooo`030000003oool0oooo02H0oooo00<0
00000?ooo`3oool0o`3ooong0?ooo`030000003oool0oooo03P0oooo000S0?ooo`030000003oool0
oooo02H0oooo00<000000?ooo`3oool0o`3ooonf0?ooo`030000003oool0oooo03T0oooo000S0?oo
o`030000003oool0oooo02L0oooo00<000000?ooo`3oool0o`3ooone0?ooo`030000003oool0oooo
03T0oooo000S0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0o`3ooond0?ooo`03
0000003oool0oooo03X0oooo000S0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0
o`3ooonc0?ooo`030000003oool0oooo03X0oooo000S0?ooo`030000003oool0oooo02P0oooo00<0
00000?ooo`3oool0o`3ooonb0?ooo`030000003oool0oooo03/0oooo000S0?ooo`030000003oool0
oooo02T0oooo00<000000?ooo`3oool0o`3ooona0?ooo`030000003oool0oooo03/0oooo000S0?oo
o`030000003oool0oooo02T0oooo00<000000?ooo`3oool0o`3ooon`0?ooo`030000003oool0oooo
03`0oooo000S0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0o`3ooon^0?ooo`03
0000003oool0oooo03d0oooo000S0?ooo`<00000:`3oool00`000000oooo0?ooo`3o0?ooojd0oooo
00<000000?ooo`3oool0?@3oool002<0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?oo
o`3o0?oooj`0oooo00<000000?ooo`3oool0?P3oool002<0oooo00<000000?ooo`3oool0;03oool0
0`000000oooo0?ooo`3o0?oooj/0oooo00<000000?ooo`3oool0?P3oool002<0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`3o0?ooojX0oooo00<000000?ooo`3oool0?`3oool002<0
oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`3o0?ooojT0oooo00<000000?ooo`3o
ool0?`3oool002<0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`3o0?ooojP0oooo
00<000000?ooo`3oool0@03oool002<0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`3o0?ooojL0oooo00<000000?ooo`3oool0@03oool002<0oooo00<000000?ooo`3oool0;P3oool0
0`000000oooo0?ooo`3o0?ooojH0oooo00<000000?ooo`3oool0@@3oool002<0oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`3o0?oooj@0oooo00<000000?ooo`3oool0@P3oool002<0
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?oooj@0oooo00<000000?ooo`3o
ool0@P3oool002<0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`3o0?oooj80oooo
00<000000?ooo`3oool0@`3oool002<0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`3o0?oooj80oooo00<000000?ooo`3oool0@`3oool002<0oooo0`00000a0?ooo`030000003oool0
oooo0?l0ooooX03oool00`000000oooo0?ooo`140?ooo`008`3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo0?l0ooooX03oool00`000000oooo0?ooo`140?ooo`008`3oool00`000000
oooo0?ooo`0b0?ooo`030000003oool0oooo0?l0ooooWP3oool00`000000oooo0?ooo`150?ooo`00
8`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo0?l0ooooWP3oool00`000000oooo
0?ooo`150?ooo`008`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0?l0ooooW03o
ool00`000000oooo0?ooo`160?ooo`008`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo0?l0ooooV`3oool00`000000oooo0?ooo`170?ooo`008`3oool00`000000oooo0?ooo`0d0?oo
o`030000003oool0oooo0?l0ooooVP3oool00`000000oooo0?ooo`170?ooo`008`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo0?l0ooooV@3oool00`000000oooo0?ooo`180?ooo`00
8`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0?l0ooooV03oool00`000000oooo
0?ooo`180?ooo`008`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo0?l0ooooUP3o
ool00`000000oooo0?ooo`190?ooo`008`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0
oooo0?l0ooooUP3oool00`000000oooo0?ooo`190?ooo`008`3oool00`000000oooo0?ooo`0g0?oo
o`030000003oool0oooo0?l0ooooU03oool00`000000oooo0?ooo`1:0?ooo`008`3oool3000003L0
oooo00<000000?ooo`3oool0o`3ooonD0?ooo`030000003oool0oooo04X0oooo000S0?ooo`030000
003oool0oooo03P0oooo00<000000?ooo`3oool0o`3ooonB0?ooo`030000003oool0oooo04/0oooo
000S0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0o`3ooonB0?ooo`030000003o
ool0oooo04/0oooo000S0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0o`3ooon@
0?ooo`030000003oool0oooo04`0oooo000S0?ooo`030000003oool0oooo03T0oooo00<000000?oo
o`3oool0o`3ooon?0?ooo`030000003oool0oooo04d0oooo000S0?ooo`030000003oool0oooo03X0
oooo00<000000?ooo`3oool0o`3ooon>0?ooo`030000003oool0oooo04d0oooo000S0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool0o`3ooon=0?ooo`030000003oool0oooo04h0oooo
00070?ooo`0309a800000000000000@0000000<0001d0;ooo`3oool0103oool01@2LB00000000000
000007@0_ooo00T0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`3o0?oooh`0oooo
00<000000?ooo`3oool0CP3oool000X0oooo00<0gia8001d_`3oool01`3oool01P2oM000B9cO0?oo
o`3oool0okmd0018W0T0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`3o0?oooh/0
oooo00<000000?ooo`3oool0C`3oool000X0oooo00<0gia8001d_`3oool01P3oool00`3o_g@007Bo
0?ooo`030?ooo`030;md0018W=l0oooo00L0oooo00<000000?ooo`3oool0?03oool00`000000oooo
0?ooo`3o0?ooohX0oooo00<000000?ooo`3oool0C`3oool000X0oooo00<0gia8001d_`3oool01P3o
ool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?ooo`3oool0?03o
ool00`000000oooo0?ooo`3o0?ooohT0oooo00<000000?ooo`3oool0D03oool000X0oooo00<0gia8
001d_`3oool01P3oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0_ooo00L0oooo00<00000
0?ooo`3oool0?@3oool00`000000oooo0?ooo`3o0?ooohP0oooo00<000000?ooo`3oool0D03oool0
00X0oooo00<0gia8001d_`3oool01@3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0_ooo
00L0oooo1@00000k0?ooo`030000003oool0oooo0?l0ooooQ`3oool00`000000oooo0?ooo`1A0?oo
o`002P3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02o
ool01`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0?l0ooooQ@3oool00`000000
oooo0?ooo`1B0?ooo`002P3oool00`3OW4P007Bo0?ooo`050?ooo`030?oo_`1d04P0W=oo00@0oooo
00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo0?l0oooo
Q@3oool00`000000oooo0?ooo`1B0?ooo`002P3oool00`3OW4P007Bo0?ooo`060?ooo`0309a8B02L
gol0oooo00<0oooo00<0omnL04P0M02oool01`3oool00`000000oooo0?ooo`0o0?ooo`030000003o
ool0oooo0?l0ooooP`3oool00`000000oooo0?ooo`1C0?ooo`002P3oool00`3OW4P007Bo0?ooo`06
0?ooo`030;md001d_ol0oooo00<0oooo00<0okmd0018W03oool01`3oool00`000000oooo0?ooo`10
0?ooo`030000003oool0oooo0?l0ooooPP3oool00`000000oooo0?ooo`1C0?ooo`002P3oool00`3O
W4P007Bo0?ooo`060?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool01`3oool00`00
0000oooo0?ooo`100?ooo`030000003oool0oooo0?l0ooooP@3oool00`000000oooo0?ooo`1D0?oo
o`001`3oool01@2LB00000000000M02LW4P007Bo00P0oooo00H0_g@0001d_`3oool0oooo0=nLB000
B9`90?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0o`3ooon00?ooo`030000003o
ool0oooo05@0oooo00090?ooo`030?noM000000007Bo00T0oooo00D0_g@0000000000000001d0;oo
o`090?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0o`3ooomo0?ooo`030000003o
ool0oooo05D0oooo000S0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0o`3ooomm
0?ooo`030000003oool0oooo05H0oooo000S0?ooo`030000003oool0oooo0480oooo00<000000?oo
o`3oool0o`3ooomm0?ooo`030000003oool0oooo05H0oooo000S0?ooo`030000003oool0oooo04<0
oooo00<000000?ooo`3oool0o`3ooomk0?ooo`030000003oool0oooo05L0oooo000S0?ooo`030000
003oool0oooo04@0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`030000003oool0oooo05L0oooo
000S0?ooo`<00000A03oool00`000000oooo0?ooo`3o0?ooogT0oooo00<000000?ooo`3oool0F03o
ool002<0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?ooogL0oooo00<00000
0?ooo`3oool0F@3oool002<0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?oo
ogL0oooo00<000000?ooo`3oool0F@3oool002<0oooo00<000000?ooo`3oool0AP3oool00`000000
oooo0?ooo`3o0?ooogD0oooo00<000000?ooo`3oool0FP3oool002<0oooo00<000000?ooo`3oool0
A`3oool00`000000oooo0?ooo`3o0?ooog@0oooo00<000000?ooo`3oool0FP3oool002<0oooo00<0
00000?ooo`3oool0A`3oool00`000000oooo0?ooo`3o0?ooog<0oooo00<000000?ooo`3oool0F`3o
ool002<0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`3o0?ooog80oooo00<00000
0?ooo`3oool0F`3oool002<0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`3o0?oo
og40oooo00<000000?ooo`3oool0G03oool002<0oooo00<000000?ooo`3oool0B@3oool00`000000
oooo0?ooo`3o0?ooofl0oooo00<000000?ooo`3oool0G@3oool002<0oooo00<000000?ooo`3oool0
B@3oool00`000000oooo0?ooo`3o0?ooofl0oooo00<000000?ooo`3oool0G@3oool002<0oooo00<0
00000?ooo`3oool0BP3oool00`000000oooo0?ooo`3o0?ooofd0oooo00<000000?ooo`3oool0GP3o
ool002<0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`3o0?ooof`0oooo00<00000
0?ooo`3oool0GP3oool002<0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`3o0?oo
of/0oooo00<000000?ooo`3oool0G`3oool002<0oooo0`00001<0?ooo`030000003oool0oooo0?l0
ooooJP3oool00`000000oooo0?ooo`1O0?ooo`008`3oool00`000000oooo0?ooo`1<0?ooo`030000
003oool0oooo0?l0ooooJ@3oool00`000000oooo0?ooo`1P0?ooo`008`3oool00`000000oooo0?oo
o`1=0?ooo`030000003oool0oooo0?l0ooooI`3oool00`000000oooo0?ooo`1Q0?ooo`008`3oool0
0`000000oooo0?ooo`1>0?ooo`030000003oool0oooo0?l0ooooIP3oool00`000000oooo0?ooo`1Q
0?ooo`008`3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo0?l0ooooI@3oool00`00
0000oooo0?ooo`1R0?ooo`008`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0?l0
ooooI03oool00`000000oooo0?ooo`1R0?ooo`008`3oool00`000000oooo0?ooo`1?0?ooo`030000
003oool0oooo0?l0ooooH`3oool00`000000oooo0?ooo`1S0?ooo`008`3oool00`000000oooo0?oo
o`1@0?ooo`030000003oool0oooo0?l0ooooH@3oool00`000000oooo0?ooo`1T0?ooo`008`3oool0
0`000000oooo0?ooo`1@0?ooo`030000003oool0oooo0?l0ooooH@3oool00`000000oooo0?ooo`1T
0?ooo`008`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0?l0ooooG`3oool00`00
0000oooo0?ooo`1U0?ooo`008`3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo0?l0
ooooGP3oool00`000000oooo0?ooo`1U0?ooo`008`3oool00`000000oooo0?ooo`1B0?ooo`030000
003oool0oooo0?l0ooooG@3oool00`000000oooo0?ooo`1V0?ooo`008`3oool3000005<0oooo00<0
00000?ooo`3oool0o`3ooomL0?ooo`030000003oool0oooo06H0oooo000S0?ooo`030000003oool0
oooo05<0oooo00<000000?ooo`3oool0o`3ooomK0?ooo`030000003oool0oooo06L0oooo000S0?oo
o`030000003oool0oooo05@0oooo00<000000?ooo`3oool0o`3ooomI0?ooo`030000003oool0oooo
06P0oooo000S0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0o`3ooomH0?ooo`03
0000003oool0oooo06P0oooo000S0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0
o`3ooomG0?ooo`030000003oool0oooo06T0oooo000S0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool0o`3ooomF0?ooo`030000003oool0oooo06T0oooo000S0?ooo`030000003oool0
oooo05H0oooo00<000000?ooo`3oool0o`3ooomE0?ooo`030000003oool0oooo06X0oooo000S0?oo
o`030000003oool0oooo05L0oooo00<000000?ooo`3oool0o`3ooomC0?ooo`030000003oool0oooo
06/0oooo000S0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0o`3ooomB0?ooo`03
0000003oool0oooo06/0oooo000S0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0
o`3ooomA0?ooo`030000003oool0oooo06`0oooo000S0?ooo`030000003oool0oooo05T0oooo00<0
00000?ooo`3oool0o`3ooom@0?ooo`030000003oool0oooo06`0oooo000S0?ooo`030000003oool0
oooo05T0oooo00<000000?ooo`3oool0o`3ooom?0?ooo`030000003oool0oooo06d0oooo000S0?oo
o`<00000FP3oool00`000000oooo0?ooo`3o0?ooodd0oooo00<000000?ooo`3oool0KP3oool002<0
oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`3o0?oood`0oooo00<000000?ooo`3o
ool0KP3oool002<0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`3o0?oood/0oooo
00<000000?ooo`3oool0K`3oool002<0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?oo
o`3o0?ooodX0oooo00<000000?ooo`3oool0K`3oool002<0oooo00<000000?ooo`3oool0G@3oool0
0`000000oooo0?ooo`3o0?ooodP0oooo00<000000?ooo`3oool0L03oool002<0oooo00<000000?oo
o`3oool0G@3oool00`000000oooo0?ooo`3o0?ooodL0oooo00<000000?ooo`3oool0L@3oool002<0
oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`3o0?ooodH0oooo00<000000?ooo`3o
ool0L@3oool000L0oooo00<0W4P0000000000000100000000`0007@0_ooo0?ooo`030?ooo`060?oO
W018000000000000000004P0W=oo2@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo
0?l0ooooA@3oool00`000000oooo0?ooo`1b0?ooo`002P3oool00`3OW4P007Bo0?ooo`060?ooo`03
0=nLB0000000M;oo0080oooo00<0okmd0000001d_ol0203oool00`000000oooo0?ooo`1O0?ooo`03
0000003oool0oooo0?l0ooooA03oool00`000000oooo0?ooo`1b0?ooo`002P3oool00`3OW4P007Bo
0?ooo`050?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02oool01`3oool00`000000oooo
0?ooo`1P0?ooo`030000003oool0oooo0?l0oooo@P3oool00`000000oooo0?ooo`1c0?ooo`002P3o
ool00`3OW4P007Bo0?ooo`0<0?ooo`030?oo_`1d04P0W=oo00L0oooo00<000000?ooo`3oool0H03o
ool00`000000oooo0?ooo`3o0?oood80oooo00<000000?ooo`3oool0L`3oool000X0oooo00<0gia8
001d_`3oool0303oool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo0640oooo00<00000
0?ooo`3oool0o`3ooom00?ooo`030000003oool0oooo07@0oooo000:0?ooo`030=nLB000M;l0oooo
00`0oooo00<0oono07@0M02oool01`3oool5000005l0oooo00<000000?ooo`3oool0o`3ooolo0?oo
o`030000003oool0oooo07D0oooo000:0?ooo`030=nLB000M;l0oooo00H0oooo00<0omnL04P00000
B9`00`3oool00`2LB000B9cO0?ooo`070?ooo`030000003oool0oooo0680oooo00<000000?ooo`3o
ool0o`3oooln0?ooo`030000003oool0oooo07D0oooo000:0?ooo`030=nLB000M;l0oooo00H0oooo
00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`070?ooo`030000003oool0oooo06<0oooo
00<000000?ooo`3oool0o`3oooll0?ooo`030000003oool0oooo07H0oooo000:0?ooo`030=nLB000
M;l0oooo00H0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`1S0?ooo`030000003o
ool0oooo0?l0oooo?03oool00`000000oooo0?ooo`1f0?ooo`002P3oool00`3OW4P007Bo0?ooo`06
0?ooo`030?oOW01807@0_ooo00d0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`3o
0?ooocX0oooo00<000000?ooo`3oool0M`3oool000X0oooo00<0gia8001d_`3oool01P3oool00`3o
gi`0B01d0;ooo`0=0?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3oool0o`3oooli0?oo
o`030000003oool0oooo07P0oooo00070?ooo`0509a800000000001d09bLB000M;l01`3oool00`3o
gi`0B01d0;ooo`0=0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool0o`3ooolh0?oo
o`030000003oool0oooo07P0oooo00090?ooo`030?noM000000007Bo00L0oooo00<0omnL04P00000
0000100000000`1d_ol0oooo0?ooo`060?ooo`030000003oool0oooo06H0oooo00<000000?ooo`3o
ool0o`3ooolf0?ooo`030000003oool0oooo07T0oooo000S0?ooo`030000003oool0oooo06H0oooo
00<000000?ooo`3oool0o`3ooolf0?ooo`030000003oool0oooo07T0oooo000S0?ooo`030000003o
ool0oooo06L0oooo00<000000?ooo`3oool0o`3ooold0?ooo`030000003oool0oooo07X0oooo000S
0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool0o`3ooolb0?ooo`030000003oool0
oooo07/0oooo000S0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool0o`3ooolb0?oo
o`030000003oool0oooo07/0oooo000S0?ooo`<00000J@3oool00`000000oooo0?ooo`3o0?oooc00
oooo00<000000?ooo`3oool0O03oool002<0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`3o0?oooc00oooo00<000000?ooo`3oool0O03oool002<0oooo00<000000?ooo`3oool0JP3o
ool00`000000oooo0?ooo`3o0?ooobh0oooo00<000000?ooo`3oool0O@3oool002<0oooo00<00000
0?ooo`3oool0J`3oool00`000000oooo0?ooo`3o0?ooob`0oooo00<000000?ooo`3oool0OP3oool0
02<0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`3o0?ooob`0oooo00<000000?oo
o`3oool0OP3oool002<0oooo00<000000?ooo`3oool0K03oool00`000000oooo0?ooo`3o0?ooobX0
oooo00<000000?ooo`3oool0O`3oool002<0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`3o0?ooobP0oooo00<000000?ooo`3oool0P03oool002<0oooo00<000000?ooo`3oool0KP3o
ool00`000000oooo0?ooo`3o0?ooobL0oooo00<000000?ooo`3oool0P03oool002<0oooo00<00000
0?ooo`3oool0KP3oool00`000000oooo0?ooo`3o0?ooobH0oooo00<000000?ooo`3oool0P@3oool0
02<0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?oo
o`3oool0PP3oool002<0oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`3o0?ooob<0
oooo00<000000?ooo`3oool0PP3oool002<0oooo00<000000?ooo`3oool0L03oool00`000000oooo
0?ooo`3o0?ooob80oooo00<000000?ooo`3oool0P`3oool002<0oooo0`00001a0?ooo`030000003o
ool0oooo0?l0oooo803oool00`000000oooo0?ooo`240?ooo`008`3oool00`000000oooo0?ooo`1b
0?ooo`030000003oool0oooo0?l0oooo7`3oool00`000000oooo0?ooo`240?ooo`008`3oool00`00
0000oooo0?ooo`1c0?ooo`030000003oool0oooo0?l0oooo7@3oool00`000000oooo0?ooo`250?oo
o`008`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0?l0oooo703oool00`000000
oooo0?ooo`260?ooo`008`3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo0?l0oooo
6`3oool00`000000oooo0?ooo`260?ooo`008`3oool00`000000oooo0?ooo`1e0?ooo`030000003o
ool0oooo0?l0oooo6@3oool00`000000oooo0?ooo`270?ooo`008`3oool00`000000oooo0?ooo`1e
0?ooo`030000003oool0oooo0?l0oooo603oool00`000000oooo0?ooo`280?ooo`008`3oool00`00
0000oooo0?ooo`1f0?ooo`030000003oool0oooo0?l0oooo5P3oool00`000000oooo0?ooo`290?oo
o`008`3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo0?l0oooo5@3oool00`000000
oooo0?ooo`290?ooo`008`3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo0?l0oooo
503oool00`000000oooo0?ooo`2:0?ooo`008`3oool00`000000oooo0?ooo`1h0?ooo`030000003o
ool0oooo0?l0oooo4P3oool00`000000oooo0?ooo`2;0?ooo`008`3oool00`000000oooo0?ooo`1i
0?ooo`030000003oool0oooo0?l0oooo4@3oool00`000000oooo0?ooo`2;0?ooo`008`3oool00`00
0000oooo0?ooo`1j0?ooo`030000003oool0oooo0?l0oooo3`3oool00`000000oooo0?ooo`2<0?oo
o`008`3oool3000007X0oooo00<000000?ooo`3oool0o`3oool>0?ooo`030000003oool0oooo08d0
oooo000S0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0o`3oool=0?ooo`030000
003oool0oooo08d0oooo000S0?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3oool0o`3o
ool;0?ooo`030000003oool0oooo08h0oooo000S0?ooo`030000003oool0oooo07`0oooo00<00000
0?ooo`3oool0o`3oool:0?ooo`030000003oool0oooo08l0oooo000S0?ooo`030000003oool0oooo
07d0oooo00<000000?ooo`3oool0o`3oool90?ooo`030000003oool0oooo08l0oooo000S0?ooo`03
0000003oool0oooo07h0oooo00<000000?ooo`3oool0o`3oool70?ooo`030000003oool0oooo0900
oooo000S0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0o`3oool50?ooo`030000
003oool0oooo0940oooo000S0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0o`3o
ool50?ooo`030000003oool0oooo0940oooo000S0?ooo`030000003oool0oooo0800oooo00<00000
0?ooo`3oool0o`3oool30?ooo`030000003oool0oooo0980oooo000S0?ooo`030000003oool0oooo
0840oooo00<000000?ooo`3oool0o`3oool10?ooo`030000003oool0oooo09<0oooo000S0?ooo`03
0000003oool0oooo0880oooo00<000000?ooo`3oool0oP3oool00`000000oooo0?ooo`2D0?ooo`00
8`3oool00`000000oooo0?ooo`220?ooo`030000003oool0oooo0?h0oooo00<000000?ooo`3oool0
U03oool002<0oooo0`0000230?ooo`030000003oool0oooo0?`0oooo00<000000?ooo`3oool0U@3o
ool002<0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`3j0?ooo`030000003oool0
oooo09H0oooo000S0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0n03oool00`00
0000oooo0?ooo`2G0?ooo`008`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0?L0
oooo00<000000?ooo`3oool0V03oool002<0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3f0?ooo`030000003oool0oooo09P0oooo000S0?ooo`030000003oool0oooo08L0oooo00<0
00000?ooo`3oool0m03oool00`000000oooo0?ooo`2I0?ooo`008`3ooooo00000?l000003000000C
0?ooo`001P3oool00`3OW4P0000000000005000000030018W03oool0oooo00@0oooo00D0W4P00000
00000000001d0;ooo`090?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0l@3oool0
0`000000oooo0?ooo`2K0?ooo`001P3oool00`3o_g@0001809cOo`040?ooo`030?noM000M;l0oooo
00@0oooo00H0_g@004RLg`3oool0oooo0?noM000B9`90?ooo`030000003oool0oooo08T0oooo00<0
00000?ooo`3oool0l03oool00`000000oooo0?ooo`2K0?ooo`001`3oool00`3o_g@0001809cOo`09
0?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3oool01`3oool00`000000oooo0?ooo`2:
0?ooo`030000003oool0oooo0>h0oooo00<000000?ooo`3oool0W03oool000P0oooo00<0omnL04P0
B02Lgol0203oool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0oooo00L0oooo00<000000?oo
o`3oool0R`3oool00`000000oooo0?ooo`3/0?ooo`030000003oool0oooo09d0oooo00090?ooo`03
0?oOW01804P0W=oo00L0oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`070?ooo`03
0000003oool0oooo08/0oooo00<000000?ooo`3oool0j`3oool00`000000oooo0?ooo`2N0?ooo`00
2P3oool00`3ogi`0B01809cOo`050?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool0
1`3oool5000008X0oooo00<000000?ooo`3oool0j@3oool00`000000oooo0?ooo`2O0?ooo`002`3o
ool00`3ogi`0B01809cOo`040?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool01`3o
ool00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo0>P0oooo00<000000?ooo`3oool0W`3o
ool000`0oooo00<0omnL04P0M02oool00`3oool00`3ookl0M01809cOo`040?ooo`030?oOW01807@0
_ooo00L0oooo00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`3V0?ooo`030000003oool0
oooo0:00oooo000=0?ooo`030=nLB000M;l0oooo00<0oooo00<0W4Q809cOo`3oool00`3oool00`3o
gi`0B01d0;ooo`070?ooo`030000003oool0oooo08h0oooo00<000000?ooo`3oool0i@3oool00`00
0000oooo0?ooo`2Q0?ooo`001`3oool00`2LM9`0oooo0?ooo`030?ooo`030?noM000B9`0oooo00<0
oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`070?ooo`030000003oool0oooo08l0
oooo00<000000?ooo`3oool0h`3oool00`000000oooo0?ooo`2R0?ooo`001P3oool00`3ookl0M000
07Boo`040?ooo`030;md0000M;l0oooo00<0oooo00<0okmd0018W03oool00`3oool00`2oM000B9cO
0?ooo`070?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool0h@3oool00`000000oooo
0?ooo`2S0?ooo`001`3oool00`3o_g@0000007Boo`020?ooo`030;md000007@0_ooo00D0oooo00H0
_g@0001d_`3oool0oooo0=nLB000B9`90?ooo`030000003oool0oooo0940oooo00<000000?ooo`3o
ool0h03oool00`000000oooo0?ooo`2S0?ooo`00203oool01@3ogi`0B00000000000000004RL00P0
oooo00D0_g@0000000000000001d0;ooo`090?ooo`030000003oool0oooo0940oooo00<000000?oo
o`3oool0g`3oool00`000000oooo0?ooo`2T0?ooo`008`3oool00`000000oooo0?ooo`2B0?ooo`03
0000003oool0oooo0=d0oooo00<000000?ooo`3oool0Y@3oool002<0oooo00<000000?ooo`3oool0
T`3oool00`000000oooo0?ooo`3K0?ooo`030000003oool0oooo0:H0oooo000S0?ooo`030000003o
ool0oooo09@0oooo00<000000?ooo`3oool0fP3oool00`000000oooo0?ooo`2V0?ooo`008`3oool0
0`000000oooo0?ooo`2D0?ooo`030000003oool0oooo0=T0oooo00<000000?ooo`3oool0Y`3oool0
02<0oooo0`00002E0?ooo`030000003oool0oooo0=L0oooo00<000000?ooo`3oool0Z03oool002<0
oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`3E0?ooo`030000003oool0oooo0:T0
oooo000S0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool0d`3oool00`000000oooo
0?ooo`2Z0?ooo`008`3oool00`000000oooo0?ooo`2H0?ooo`030000003oool0oooo0=40oooo00<0
00000?ooo`3oool0Z`3oool002<0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`3?
0?ooo`030000003oool0oooo0:`0oooo000S0?ooo`030000003oool0oooo09X0oooo00<000000?oo
o`3oool0c@3oool00`000000oooo0?ooo`2]0?ooo`008`3oool00`000000oooo0?ooo`2K0?ooo`03
0000003oool0oooo0</0oooo00<000000?ooo`3oool0[P3oool002<0oooo00<000000?ooo`3oool0
W03oool00`000000oooo0?ooo`390?ooo`030000003oool0oooo0:l0oooo000S0?ooo`030000003o
ool0oooo09d0oooo00<000000?ooo`3oool0a`3oool00`000000oooo0?ooo`2`0?ooo`008`3oool0
0`000000oooo0?ooo`2N0?ooo`030000003oool0oooo0<D0oooo00<000000?ooo`3oool0/@3oool0
02<0oooo00<000000?ooo`3oool0W`3oool00`000000oooo0?ooo`330?ooo`030000003oool0oooo
0;80oooo000S0?ooo`030000003oool0oooo0:00oooo00<000000?ooo`3oool0`@3oool00`000000
oooo0?ooo`2c0?ooo`008`3oool300000:40oooo00<000000?ooo`3oool0`03oool00`000000oooo
0?ooo`2c0?ooo`008`3oool00`000000oooo0?ooo`2Q0?ooo`030000003oool0oooo0;l0oooo00<0
00000?ooo`3oool0]03oool002<0oooo00<000000?ooo`3oool0XP3oool00`000000oooo0?ooo`2m
0?ooo`030000003oool0oooo0;D0oooo000S0?ooo`030000003oool0oooo0:<0oooo00<000000?oo
o`3oool0^`3oool00`000000oooo0?ooo`2f0?ooo`008`3oool00`000000oooo0?ooo`2T0?ooo`03
0000003oool0oooo0;T0oooo00<000000?ooo`3oool0]`3oool002<0oooo00<000000?ooo`3oool0
Y@3oool00`000000oooo0?ooo`2g0?ooo`030000003oool0oooo0;P0oooo000S0?ooo`030000003o
ool0oooo0:H0oooo00<000000?ooo`3oool0]@3oool00`000000oooo0?ooo`2i0?ooo`008`3oool0
0`000000oooo0?ooo`2W0?ooo`030000003oool0oooo0;<0oooo00<000000?ooo`3oool0^P3oool0
02<0oooo00<000000?ooo`3oool0Z03oool00`000000oooo0?ooo`2a0?ooo`030000003oool0oooo
0;/0oooo000S0?ooo`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0[`3oool00`000000
oooo0?ooo`2l0?ooo`008`3oool00`000000oooo0?ooo`2Z0?ooo`030000003oool0oooo0:d0oooo
00<000000?ooo`3oool0_@3oool002<0oooo00<000000?ooo`3oool0Z`3oool00`000000oooo0?oo
o`2[0?ooo`030000003oool0oooo0;h0oooo000S0?ooo`030000003oool0oooo0:`0oooo00<00000
0?ooo`3oool0Z@3oool00`000000oooo0?ooo`2o0?ooo`008`3oool300000:d0oooo00<000000?oo
o`3oool0YP3oool200000<80oooo000S0?ooo`030000003oool0oooo0:h0oooo00<000000?ooo`3o
ool0Y03oool00`000000oooo0?ooo`320?ooo`008`3oool00`000000oooo0?ooo`2_0?ooo`800000
X`3oool00`000000oooo0?ooo`330?ooo`008`3oool00`000000oooo0?ooo`2a0?ooo`030000003o
ool0oooo09l0oooo00<000000?ooo`3oool0a03oool002<0oooo00<000000?ooo`3oool0/P3oool0
0`000000oooo0?ooo`2M0?ooo`030000003oool0oooo0<D0oooo000S0?ooo`030000003oool0oooo
0;<0oooo00<000000?ooo`3oool0V`3oool00`000000oooo0?ooo`360?ooo`008`3oool00`000000
oooo0?ooo`2d0?ooo`030000003oool0oooo09T0oooo00<000000?ooo`3oool0a`3oool002<0oooo
00<000000?ooo`3oool0]@3oool00`000000oooo0?ooo`2F0?ooo`800000bP3oool002<0oooo00<0
00000?ooo`3oool0]P3oool2000009D0oooo00<000000?ooo`3oool0bP3oool002<0oooo00<00000
0?ooo`3oool0^03oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo0</0oooo000S0?oo
o`030000003oool0oooo0;T0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?ooo`3<0?oo
o`008`3oool00`000000oooo0?ooo`2j0?ooo`030000003oool0oooo08d0oooo00<000000?ooo`3o
ool0c@3oool002<0oooo0`00002k0?ooo`030000003oool0oooo08/0oooo00<000000?ooo`3oool0
cP3oool002<0oooo00<000000?ooo`3oool0_03oool00`000000oooo0?ooo`280?ooo`800000d@3o
ool002<0oooo00<000000?ooo`3oool0_@3oool2000008L0oooo00<000000?ooo`3oool0d@3oool0
02<0oooo00<000000?ooo`3oool0_`3oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo
0=80oooo000S0?ooo`030000003oool0oooo0<00oooo00<000000?ooo`3oool0P@3oool00`000000
oooo0?ooo`3C0?ooo`008`3oool00`000000oooo0?ooo`310?ooo`030000003oool0oooo07h0oooo
0P00003F0?ooo`008`3oool00`000000oooo0?ooo`320?ooo`800000O@3oool00`000000oooo0?oo
o`3F0?ooo`001P3oool00`3OW4P0000000000005000000030018W03oool0oooo00<0oooo00H0omnL
04P00000000000000000B02Lgol90?ooo`030000003oool0oooo0<@0oooo00<000000?ooo`3oool0
N03oool200000=T0oooo00060?ooo`030?noM00004P0W=oo00@0oooo00<0okmd001d_`3oool00`3o
ool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo00P0oooo00<000000?ooo`3oool0a@3o
ool2000007H0oooo0P00003K0?ooo`001`3oool00`3o_g@0001809cOo`080?ooo`030?oOW01807@0
_ooo00@0oooo00<0okmd0000M02oool01`3oool00`000000oooo0?ooo`370?ooo`800000L`3oool0
0`000000oooo0?ooo`3K0?ooo`00203oool00`3ogi`0B01809cOo`0>0?ooo`030?oo_`1d04P0W=oo
00L0oooo00<000000?ooo`3oool0b@3oool00`000000oooo0?ooo`1^0?ooo`800000gP3oool000T0
oooo00<0omnL04P0B02Lgol03@3oool00`3ookl0M01809cOo`070?ooo`030000003oool0oooo0<X0
oooo0P00001]0?ooo`030000003oool0oooo0=h0oooo000:0?ooo`030?oOW01804P0W=oo00`0oooo
00<0oono07@0M02oool01`3oool500000<X0oooo00<000000?ooo`3oool0J03oool200000>40oooo
000;0?ooo`030?oOW01804P0W=oo00D0oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO0?oo
o`070?ooo`030000003oool0oooo0<d0oooo0P00001W0?ooo`030000003oool0oooo0>40oooo000<
0?ooo`030?oOW01807@0_ooo00@0oooo00<0omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`07
0?ooo`030000003oool0oooo0<l0oooo00<000000?ooo`3oool0HP3oool200000>@0oooo000=0?oo
o`030=nLB000M;l0oooo00<0oooo00<0omnL04P0M02oool03@3oool00`000000oooo0?ooo`3@0?oo
o`800000H03oool200000>H0oooo00070?ooo`0309adW03oool0oooo00<0oooo00<0okmd0018W03o
ool00`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0=80oooo0P00001M0?ooo`03
0000003oool0oooo0>H0oooo00060?ooo`030?oo_`1d0000M;oo00@0oooo00<0_g@0001d_`3oool0
0`3oool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0=@0oooo00<000000?ooo`3oool0
F03oool200000>T0oooo00070?ooo`030?noM0000000M;oo0080oooo00<0_g@00000M02oool0103o
ool00`3ogi`0B01d0;ooo`0=0?ooo`030000003oool0oooo0=D0oooo0P00001F0?ooo`800000j`3o
ool000P0oooo00D0omnL04P00000000000000018W0060?ooo`030?oOW0180000000000@0000000<0
M;oo0?ooo`3oool01P3oool00`000000oooo0?ooo`3G0?ooo`800000DP3oool200000>d0oooo000S
0?ooo`030000003oool0oooo0=T0oooo0P00001>0?ooo`800000k`3oool002<0oooo00<000000?oo
o`3oool0f`3oool2000004X0oooo0P00003a0?ooo`008`3oool00`000000oooo0?ooo`3M0?ooo`<0
0000A@3oool200000?<0oooo000S0?ooo`030000003oool0oooo0>00oooo0P0000100?ooo`<00000
m@3oool002<0oooo0`00003R0?ooo`@00000>@3oool300000?P0oooo000S0?ooo`030000003oool0
oooo0>H0oooo1000000b0?ooo`<00000n`3oool002<0oooo00<000000?ooo`3oool0jP3oool20000
02d0oooo0`00003n0?ooo`008`3oool00`000000oooo0?ooo`3/0?ooo`<000009P3oool400000?l0
oooo0P3oool002<0oooo00<000000?ooo`3oool0k`3oool5000001`0oooo1@00003o0?ooo`H0oooo
000S0?ooo`030000003oool0oooo0?@0oooo7000003o0?ooo`/0oooo000S0?ooo`030000003oool0
oooo0?l0ooooo`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool002<0
oooo00<000000?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`030000003oool0oooo0?l0oooo
o`3ooolL0?ooo`008`3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool002<0oooo00<00000
0?ooo`3oool0o`3ooooo0?oooa`0oooo000S0?ooo`<00000o`3ooooo0?oooa`0oooo000S0?ooo`03
0000003oool0oooo0?l0ooooo`3ooolL0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.216552, -2.0395, \
0.0120601, 0.164231}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[EKpf == EMpf, {\[Delta], 2, 3}]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{\[Delta] \[Rule] 2.3135773505195294`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Integral]\_ .5236\%1.098\((EMf - 
            EKf)\) \[DifferentialD]\[Delta]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`6.323825345618205`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\[Integral]\_1.098\%2.3135\((EKpf - 
            EMpf)\) \[DifferentialD]\[Delta]\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`6.2487156818006255`\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(If\)\(=\)\); \ \(\(Ipf\)\(=\)\); \(\(K\)\(=\)\); \(\(E\)\(=\)\); \(\
\(F\)\(=\)\);\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Integral]\_E\%A 
          C1*\((Mf - 
              K*Sin[\[Delta]])\) \[DifferentialD]\[Delta] + \[Integral]\_A\%F 
          C2*\((Mpf - K*Sin[\[Delta]])\) \[DifferentialD]\[Delta]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`C1\ \((A - \[ExponentialE])\)\ Mf + 
      C1\ K\ \((cos(A) - cos(\[ExponentialE]))\) - 
      C2\ \((\((A - F)\)\ Mpf + K\ \(cos(A)\) - K\ \(cos(F)\))\)\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 722}},
WindowSize->{1016, 695},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 362, 6, 265, "Input"],

Cell[CellGroupData[{
Cell[2141, 61, 75, 1, 95, "Input"],
Cell[2219, 64, 57698, 994, 472, 4798, 336, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[59954, 1063, 73, 1, 95, "Input"],
Cell[60030, 1066, 89, 1, 95, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60156, 1072, 73, 1, 95, "Input"],
Cell[60232, 1075, 47635, 889, 372, 5118, 360, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[107904, 1969, 75, 1, 95, "Input"],
Cell[107982, 1972, 47590, 874, 372, 4866, 342, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[155609, 2851, 73, 1, 95, "Input"],
Cell[155685, 2854, 89, 1, 95, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[155811, 2860, 112, 2, 126, "Input"],
Cell[155926, 2864, 69, 1, 95, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[156032, 2870, 150, 3, 163, "Input"],
Cell[156185, 2875, 70, 1, 95, "Output"]
}, Open  ]],
Cell[156270, 2879, 119, 2, 95, "Input"],

Cell[CellGroupData[{
Cell[156414, 2885, 218, 4, 155, "Input"],
Cell[156635, 2891, 204, 3, 125, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

