(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    152867,       3711]*)
(*NotebookOutlinePosition[    153565,       3735]*)
(*  CellTagsIndexPosition[    153521,       3731]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\( (*\ \ Datos\ del\ sistema\ \ *) \)\(\n\)\(\[IndentingNewLine]\)\( \
(*\ \ Sugerencias\ del\ Cheff\ *) \)\(\n\)\( (*\ 
      Sistema\ 1\ \ \ \ \ \ \ \ Sistema\ 2\ \ \ \ *) \)\(\n\)\( (*\ \ M0 = \
\(0.5\ \ \ \ \ \ \ \ \ M0 = 
          0.4773\)\ \ \ *) \)\(\n\)\( (*\ \ M1 = \(0.2773\ \ \ \ \ M1 = 
          0.1\)\ \ \ \ \ \ \ *) \)\(\n\)\( (*\ \ M2 = \
\(1.2\ \ \ \ \ \ \ \ \ M2 = 
          1\)\ \ \ \ \ \ \ \ \ \ *) \)\(\n\)\( (*\ \ M3 = \
\(0.3\ \ \ \ \ \ \ \ \ M3 = 
          0.6\)\ \ \ \ \ \ \ \ *) \)\(\[IndentingNewLine]\)\(\
\[IndentingNewLine]\)\(mB = 0.386; mp = 1.484; r = 0.1; lB = 0.438;\n
    M0 = 0.4641; \ M1 = 0.1; \ M2 = 1; M3 = 0.221; g = 9.81;\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(\( (*\ \ Constantes\ Definidas\ a\ partir\ de\ los\ datos\ \ *) \)\(\
\[IndentingNewLine]\)\(\(K = \((1/2)\)*mB*lB*g;\)\[IndentingNewLine]
    \(Me = M2 - M1 - M0;\)\[IndentingNewLine]
    \(Mf = M2 - M1;\)\[IndentingNewLine]
    \(Mpf = M2 - M1 - M3;\)\[IndentingNewLine]
    \(Ie = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M0 + M1 + M2)\) 
            r^2;\)\[IndentingNewLine]
    \(Ifa = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M1 + M2)\) 
            r^2;\)\[IndentingNewLine]
    \(Ipf = \((1/2)\) mp*r^2 + \((1/12)\) mB*lB^2 + \((M1 + M2 + M3)\) 
            r^2;\)\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[{
    \(\(EKeq = \((K/Ie)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMeq = \((Me/Ie)\)*g*r;\)\), "\[IndentingNewLine]", 
    \(\(EKf = \((K/Ifa)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMf = \((Mf/Ifa)\)*g*r;\)\), "\[IndentingNewLine]", 
    \(\(EKpf = \((K/Ipf)\) Sin[\[Delta]];\)\), "\[IndentingNewLine]", 
    \(\(EMpf = \((Mpf/Ipf)\)*g*r;\)\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ie)\) Sin[\[Delta]], EMeq}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<Emeq,(K/Ie)Sin[\[Delta]] \
\>"}];\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0207482 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.375 ]
[1.025 .01472 10 6.375 ]
[.01131 .11846 -6 -4.5 ]
[.01131 .11846 0 4.5 ]
[.01131 .2222 -12 -4.5 ]
[.01131 .2222 0 4.5 ]
[.01131 .32594 -12 -4.5 ]
[.01131 .32594 0 4.5 ]
[.01131 .42968 -12 -4.5 ]
[.01131 .42968 0 4.5 ]
[.01131 .53342 -12 -4.5 ]
[.01131 .53342 0 4.5 ]
[.02381 .64303 -56 0 ]
[.02381 .64303 56 12.75 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .11846 m
.03006 .11846 L
s
[(5)] .01131 .11846 1 0 Mshowa
.02381 .2222 m
.03006 .2222 L
s
[(10)] .01131 .2222 1 0 Mshowa
.02381 .32594 m
.03006 .32594 L
s
[(15)] .01131 .32594 1 0 Mshowa
.02381 .42968 m
.03006 .42968 L
s
[(20)] .01131 .42968 1 0 Mshowa
.02381 .53342 m
.03006 .53342 L
s
[(25)] .01131 .53342 1 0 Mshowa
.125 Mabswid
.02381 .03546 m
.02756 .03546 L
s
.02381 .05621 m
.02756 .05621 L
s
.02381 .07696 m
.02756 .07696 L
s
.02381 .09771 m
.02756 .09771 L
s
.02381 .1392 m
.02756 .1392 L
s
.02381 .15995 m
.02756 .15995 L
s
.02381 .1807 m
.02756 .1807 L
s
.02381 .20145 m
.02756 .20145 L
s
.02381 .24295 m
.02756 .24295 L
s
.02381 .26369 m
.02756 .26369 L
s
.02381 .28444 m
.02756 .28444 L
s
.02381 .30519 m
.02756 .30519 L
s
.02381 .34669 m
.02756 .34669 L
s
.02381 .36744 m
.02756 .36744 L
s
.02381 .38818 m
.02756 .38818 L
s
.02381 .40893 m
.02756 .40893 L
s
.02381 .45043 m
.02756 .45043 L
s
.02381 .47118 m
.02756 .47118 L
s
.02381 .49192 m
.02756 .49192 L
s
.02381 .51267 m
.02756 .51267 L
s
.02381 .55417 m
.02756 .55417 L
s
.02381 .57492 m
.02756 .57492 L
s
.02381 .59567 m
.02756 .59567 L
s
.02381 .61641 m
.02756 .61641 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -117 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Emeq) show
87.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
93.000 13.000 moveto
(H) show
99.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
105.000 13.000 moveto
(\\220) show
111.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ie) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
123.000 13.000 moveto
(L) show
129.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
147.000 13.000 moveto
(@) show
153.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
159.000 13.000 moveto
(D) show
171.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .31823 m
.06244 .31823 L
.10458 .31823 L
.14415 .31823 L
.18221 .31823 L
.22272 .31823 L
.26171 .31823 L
.30316 .31823 L
.34309 .31823 L
.3815 .31823 L
.42237 .31823 L
.46172 .31823 L
.49955 .31823 L
.53984 .31823 L
.57861 .31823 L
.61984 .31823 L
.65954 .31823 L
.69774 .31823 L
.73838 .31823 L
.77751 .31823 L
.81909 .31823 L
.85916 .31823 L
.89771 .31823 L
.93871 .31823 L
.97619 .31823 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Ha000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo002UOol01DT00000000>Gol0
1goo00A^B00000Q;O`Moo`06Og8P0000000024]o<7oo00=900000000100000<03UooOol0;Goo00=9
00000000100000<03UooOol017oo00A^B00000Q;O`Moo`06Og8P0000000024]o;goo00=^B0000000
1@0000<14WooOol0;7oo00=^B00000001@0000<14WooOol017oo00A^B00000Q;O`Moo`06Og8P0000
000024]o<Goo00I900000000000>GolkOol00:Aoo`06GL0RFgooOomnkP4B1goo00A90000000RF`Io
o`03KTP003[o009oo`03O^h003[o039oo`03KTP1egoo03Aoo`03KTP1egoo00Qoo`04B@0000008U/6
Ool00fi8000jo`02Ool00gk^000jo`0^Ool00gk^00Q;O`04Ool00gk^0MMoo`0]Ool00gk^00Q;O`04
Ool00gk^0MMoo`05Ool014T00000029K1Woo00=^B000>_l00Woo00=nkP00>_l0;Woo00=oLR008U/0
0goo00=^B000>_l0>Woo002SOol00gk^0MMoo`03Ool00eg08U]oo`05Ool016i8000024]o1Goo00=o
LR0>Gol017oo00=nkP0>Gol0<Goo00=^B07GOol0=7oo00=^B07GOol027oo00A^B00000Q;O`Eoo`03
Og8P3Uoo00Aoo`03O^h03Uoo02ioo`03O^h024]o03Aoo`03O^h024]o00]oo`04KTP00008Bgl5Ool0
0gmb80iOo`04Ool00gk^00iOo`0dOol00fi80A9oo`0iOol00:=oo`03GL0RFgoo00=oo`03O^h14Woo
01Eoo`03OoLh24]o035oo`03KTP1egoo03Aoo`03KTP1egoo01Qoo`03OoLh24]o02moo`03Og8P24]o
03Aoo`03Og8P24]o01Yoo`03OoLh24]o03Aoo`03OoLh24]o03Uoo`00Xgoo00=903[oOol00goo00=o
LR0>Gol05Goo00=omcP8Bgl0<Goo00=^B07GOol0=7oo00=^B07GOol067oo00=omcP8Bgl0<7oo00=o
LR08Bgl0=7oo00=oLR08Bgl06Goo00=omcP8Bgl0=7oo00=omcP8Bgl0>Goo002ROol00gog>0Q;O`04
Ool00gmb80iOo`0EOol00gog>0iOo`0aOol00fi80MMoo`0dOol00fi80MMoo`0HOol00gog>0iOo`0a
Ool00gmb80Q;O`0dOol00gmb80Q;O`0HOol00gog>0iOo`0dOol00fi80A9oo`0iOol00:9oo`03OoLh
24]o00Aoo`03Og8P3Uoo00moo`03Og8P004B00=oo`03B@0RFgoo035oo`03KTP1egoo03Aoo`03KTP1
egoo019oo`03Og8P004B00=oo`03B@0RFgoo039oo`03Og8P24]o03Aoo`03Og8P24]o015oo`03Og8P
004B00=oo`03B@0RFgoo03=oo`03GL003Uoo03Yoo`00XWoo00=omcP8Bgl017oo00=oLR0>Gol03goo
00=oLR0>BTP00`0000<RFgooOol0<Goo00=^B07GOol0=7oo00=^B07GOol04Woo00=oLR0>BTP00`00
00<RFgooOol0<goo00=oLR0>Gol0=7oo00=oLR0>Gol047oo00=oLR0>BTP00`0000<RFgooOol0<7oo
00EoLR00000024]o03]oo`00Xgoo00=924]oOol00goo00=oLR0>Gol03goo00=oLR0>Gol0=goo00=^
B07GOol0=7oo00=^B07GOol04Woo00=oLR0>Gol0>Woo00=^B07GOol0=7oo00=^B07GOol03goo00=o
LR0>Gol0>Goo00=nkP08Bgl0>Woo002SOol00eg0>_moo`03Ool00gk^0A9oo`0?Ool00gmb80iOo`0g
Ool00fi80MMoo`0dOol00fi80MMoo`0BOol00gmb80iOo`0dOol00dWBOomoo`03Ool00gk^0A9oo`0^
Ool00dWBOomoo`03Ool00gk^0A9oo`0?Ool00gmb80iOo`0jOol00fi80MMoo`0iOol00:=oo`03O^h1
4Woo00=oo`03GL0RFgoo00moo`03Og8P3Uoo03Moo`03KTP1egoo03Aoo`03KTP1egoo019oo`03Og8P
3Uoo03=oo`03OoLh03[o00Aoo`03GL01egoo02eoo`03OoLh03[o00Aoo`03GL01egoo00moo`03Og8P
3Uoo03Yoo`03KTP1egoo03Uoo`00Y7oo00IM`07GOomoofi80A8AOol00gmb80iOo`0dOol01DT00000
3TY80ML0<Woo00E9000000i:B07G01=oo`03Og8P3Uoo03Aoo`03O^h003[o009oo`03GL003Uoo02mo
o`03O^h003[o009oo`03GL003Uoo011oo`03Og8P3Uoo03Aoo`03B@0024]o009oo`03O^h003[o03Yo
o`00YGoo00EM`00000003Uoo015oo`03Og8P000000@00003>_moogoo02moo`03O^h0007G03Aoo`03
O^h0007G01=oo`03Og8P000000@00003>_moogoo02ioo`05Og8P000000014P0bOol01Gmb80000000
0A804Woo00=oLR000000100000<jogooOol0;Woo00IoLR0000000008BglkOol00?mooomood9oo`00
ogooogoo@Woo001`Ool00`00Oomoo`3oOoo>Ool0071oo`03001oogoo0?moolioo`00L7oo00<007oo
Ool0ogoo_Woo00=oLR0000000P0000<RFgooOol027oo001`Ool00`00Oomoo`3oOonmOol00gmb80Q;
O`03Ool00eg00A9_o`08Ool0071oo`03001oogoo0?mookeoo`03GL0jogoo00Aoo`03KTP1egoo00Mo
o`00L7oo00<007ooOol0ogoo_Goo00=Mb4]oOol017oo00=ondT8Bgl01goo001UOooo002l000?Ool0
0fi8>_moo`05Ool00fi88U]oo`06Ool0071oo`8000]oo`03001oogoo00Yoo`03001oogoo00]oo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00]oo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00]oo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03
001oogoo00Yoo`03001oogoo00]oo`03001oogoo00Yoo`03001oogoo009oo`03001oogoo00Ioo`03
001oogoo00moo`03Og8Qegoo00Eoo`03O^hRFgoo00Ioo`00L7oo0P002goo00<007ooOol02Woo00<0
07ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02Woo00<0
07ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02Woo00<0
07ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<0
07ooOol02Woo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<0
07ooOol02Woo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<0
07ooOol02Woo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo00<007ooOol00Woo00<0
07ooOol01Woo00<007ooOol047oo00=^B29KOol017oo00=^B3[oOol01Woo001`Ool00`00Ool00010
Ool00`00Oomoo`10Ool00`00Oomoo`10Ool00`00Oomoo`10Ool00`00Oomoo`10Ool00`00Oomoo`10
Ool00`00Oomoo`0>Ool00`00Oomoo`0KOol00fi8000jo`02Ool00gog>0iOo`07Ool0071oo`03001o
o`000?mooj5oo`03001oogoo01eoo`05GL00000000Q;O`08Ool0071oo`04001oogoo003oOonOOol0
0`00Oomoo`0NOol00gk^000jo`0:Ool0071oo`04001oogoo003oOonOOol00`00Oomoo`0MOol00gmb
8MMoo`0;Ool0071oo`05001oogooOol0003oOonMOol00`00Oomoo`0NOol00gmb8MMoo`02Ool00gmb
8MMoo`06Ool0071oo`05001oogooOol0003oOonMOol00`00Oomoo`0OOol01Wk^0000000000Q;O`Mo
o`00L7oo0P000goo00<007ooOol0ogooVGoo00<007ooOol0;Goo001`Ool00`00Oomoo`02Ool00`00
Oomoo`3oOonIOol00`00Oomoo`0]Ool0071oo`03001oogoo00=oo`03001oogoo0?mooiMoo`03001o
ogoo02ioo`00L7oo00<007ooOol00goo00<007ooOol0ogooUgoo00<007ooOol0;Woo001`Ool00`00
Oomoo`04Ool00`00Oomoo`3oOonEOol00`00Oomoo`0_Ool0071oo`03001oogoo00Aoo`03001oogoo
0?mooiEoo`03001oogoo02moo`00L7oo00<007ooOol01Goo00<007ooOol0ogooTgoo00<007ooOol0
<7oo001`Ool00`00Oomoo`05Ool00`00Oomoo`3oOonCOol00`00Oomoo`0`Ool0071oo`03001oogoo
00Ioo`03001oogoo0?mooi5oo`03001oogoo035oo`00L7oo0P001goo00<007ooOol0ogooTGoo00<0
07ooOol0<Goo001`Ool00`00Oomoo`07Ool00`00Oomoo`3oOon?Ool00`00Oomoo`0bOol0071oo`03
001oogoo00Moo`03001oogoo0?moohmoo`03001oogoo039oo`00L7oo00<007ooOol027oo00<007oo
Ool0ogooSGoo00<007ooOol0<goo001`Ool00`00Oomoo`08Ool00`00Oomoo`3oOon=Ool00`00Oomo
o`0cOol0071oo`03001oogoo00Uoo`03001oogoo0?mooh]oo`03001oogoo03Aoo`00L7oo00<007oo
Ool02Goo00<007ooOol0ogooRgoo00<007ooOol0=7oo001`Ool00`00Oomoo`0:Ool00`00Oomoo`3o
Oon9Ool00`00Oomoo`0eOol0071oo`03001oogoo00Yoo`03001oogoo0?moohUoo`03001oogoo03Eo
o`00L7oo00<007ooOol02goo00<007ooOol0ogooQgoo00<007ooOol0=Woo001`Ool2000<Ool00`00
Oomoo`3oOon7Ool00`00Oomoo`0fOol0071oo`03001oogoo00aoo`03001oogoo0?moohEoo`03001o
ogoo03Moo`00L7oo00<007ooOol037oo00<007ooOol0ogooQGoo00<007ooOol0=goo001`Ool00`00
Oomoo`0=Ool00`00Oomoo`3oOon3Ool00`00Oomoo`0hOol0071oo`03001oogoo00eoo`03001oogoo
0?mooh=oo`03001oogoo03Qoo`00L7oo00<007ooOol03Woo00<007ooOol0ogooPGoo00<007ooOol0
>Goo001`Ool00`00Oomoo`0>Ool00`00Oomoo`3oOon0Ool00`00Oomoo`0jOol0071oo`03001oogoo
00moo`03001oogoo0?moogmoo`03001oogoo03Yoo`00L7oo00<007ooOol03goo00<007ooOol0ogoo
OWoo00<007ooOol0>goo001`Ool2000AOol00`00Oomoo`3oOommOol00`00Oomoo`0kOol0071oo`03
001oogoo011oo`03001oogoo0?moogaoo`03001oogoo03aoo`00L7oo00<007ooOol04Goo00<007oo
Ool0ogooNgoo00<007ooOol0?7oo001`Ool00`00Oomoo`0AOol00`00Oomoo`3oOomjOol00`00Oomo
o`0mOol0065oo`06Og8P0000000024]o2Goo00<007ooOol04Woo00<007ooOol0ogooNGoo00<007oo
Ool0?Goo001POol00fi8000jo`02Ool00gk^000jo`08Ool00`00Oomoo`0BOol00`00Oomoo`3oOomh
Ool00`00Oomoo`0nOol005moo`03Og8P3Uoo00Aoo`03O^h03Uoo00Moo`03001oogoo01=oo`03001o
ogoo0?moogMoo`03001oogoo03ioo`00IWoo00=omcP8Bgl01goo00<007ooOol04goo00<007ooOol0
ogooMWoo00<007ooOol0?goo001VOol00gog>0Q;O`07Ool00`00Oomoo`0DOol00`00Oomoo`3oOome
Ool00`00Oomoo`0oOol006Ioo`03OoLh3Uoo00Moo`<001Aoo`03001oogoo0?moogAoo`03001oogoo
041oo`00H7oo00=oLR000A800goo00=9029KOol01goo00<007ooOol05Goo00<007ooOol0ogooLgoo
00<007ooOol0@7oo001POol00gmb80i:B00300000b9KOomoo`07Ool00`00Oomoo`0EOol00`00Oomo
o`3oOombOol00`00Oomoo`11Ool0061oo`03Og8P3Uoo00eoo`03001oogoo01Ioo`03001oogoo0?mo
og5oo`03001oogoo045oo`00H7oo00=oLR0>Gol03Goo00<007ooOol05Woo00<007ooOol0ogooL7oo
00<007ooOol0@Woo001POol00gmb80iOo`0=Ool00`00Oomoo`0GOol00`00Oomoo`3oOom^Ool00`00
Oomoo`13Ool0061oo`03Og8P3Uoo00eoo`03001oogoo01Moo`03001oogoo0?moofioo`03001oogoo
04=oo`00H7oo00=oLR000000100000<jogooOol01Woo00<007ooOol067oo00<007ooOol0ogooK7oo
00<007ooOol0A7oo001`Ool00`00Oomoo`0HOol00`00Oomoo`3oOom/Ool00`00Oomoo`14Ool0071o
o`8001Yoo`03001oogoo0?moofYoo`03001oogoo04Eoo`00L7oo00<007ooOol06Goo00<007ooOol0
ogooJWoo00<007ooOol0AGoo001`Ool00`00Oomoo`0JOol00`00Oomoo`3oOomXOol00`00Oomoo`16
Ool0071oo`03001oogoo01Yoo`03001oogoo0?moofQoo`03001oogoo04Ioo`00L7oo00<007ooOol0
6goo00<007ooOol0ogooIWoo00<007ooOol0Agoo001`Ool00`00Oomoo`0KOol00`00Oomoo`3oOomV
Ool00`00Oomoo`17Ool0071oo`03001oogoo01aoo`03001oogoo0?moofAoo`03001oogoo04Qoo`00
L7oo00<007ooOol077oo00<007ooOol0ogooI7oo00<007ooOol0B7oo001`Ool00`00Oomoo`0MOol0
0`00Oomoo`3oOomROol00`00Oomoo`19Ool0071oo`8001ioo`03001oogoo0?moof9oo`03001oogoo
04Uoo`00L7oo00<007ooOol07Woo00<007ooOol0ogooH7oo00<007ooOol0BWoo001`Ool00`00Oomo
o`0NOol00`00Oomoo`3oOomPOol00`00Oomoo`1:Ool0071oo`03001oogoo01moo`03001oogoo0?mo
oeioo`03001oogoo04]oo`00L7oo00<007ooOol07goo00<007ooOol0ogooGGoo00<007ooOol0C7oo
001`Ool00`00Oomoo`0POol00`00Oomoo`3oOomLOol00`00Oomoo`1<Ool0071oo`03001oogoo025o
o`03001oogoo0?mooeYoo`03001oogoo04eoo`00L7oo00<007ooOol08Goo00<007ooOol0ogooFWoo
00<007ooOol0CGoo001`Ool00`00Oomoo`0ROol00`00Oomoo`3oOomHOol00`00Oomoo`1>Ool0071o
o`03001oogoo029oo`03001oogoo0?mooeQoo`03001oogoo04ioo`00L7oo0P0097oo00<007ooOol0
ogooEWoo00<007ooOol0Cgoo001`Ool00`00Oomoo`0SOol00`00Oomoo`3oOomFOol00`00Oomoo`1?
Ool0071oo`03001oogoo02Aoo`03001oogoo0?mooeAoo`03001oogoo051oo`00L7oo00<007ooOol0
97oo00<007ooOol0ogooE7oo00<007ooOol0D7oo001`Ool00`00Oomoo`0UOol00`00Oomoo`3oOomB
Ool00`00Oomoo`1AOol0071oo`03001oogoo02Ioo`03001oogoo0?mooe1oo`03001oogoo059oo`00
L7oo00<007ooOol09Woo00<007ooOol0ogooD7oo00<007ooOol0DWoo001`Ool00`00Oomoo`0WOol0
0`00Oomoo`3oOom>Ool00`00Oomoo`1COol0071oo`03001oogoo02Moo`03001oogoo0?moodioo`03
001oogoo05=oo`00L7oo0P00:Goo00<007ooOol0ogooC7oo00<007ooOol0E7oo001`Ool00`00Oomo
o`0XOol00`00Oomoo`3oOom<Ool00`00Oomoo`1DOol0071oo`03001oogoo02Uoo`03001oogoo0?mo
odYoo`03001oogoo05Eoo`00L7oo00<007ooOol0:Woo00<007ooOol0ogooBGoo00<007ooOol0EGoo
001DOol00dT00000000400000`0>Gomoo`04Ool01DT00000000>Gol02Goo00<007ooOol0:Woo00<0
07ooOol0ogooB7oo00<007ooOol0EWoo001GOol00fi80MMoo`07Ool01Ug08U]oogooO^h14PUoo`03
001oogoo02]oo`03001oogoo0?moodIoo`03001oogoo05Moo`00Egoo00=^B07GOol01Woo00=nkP7G
Ool00goo00=M`29KOol01goo00<007ooOol0:goo00<007ooOol0ogooAWoo00<007ooOol0Egoo001G
Ool00fi80MMoo`06Ool00eg08U]oo`03Ool00gk^0A9oo`07Ool00`00Oomoo`0/Ool00`00Oomoo`3o
Oom4Ool00`00Oomoo`1HOol005Moo`03KTP1egoo00Ioo`03B@0jogoo00=oo`03Og8P3Uoo00Moo`03
001oogoo02aoo`03001oogoo0?moodAoo`03001oogoo05Qoo`00Egoo00=^B07GOol01Goo00=omcP8
Bgl017oo00=oLR0>Gol01goo0`00;Goo00<007ooOol0ogoo@Woo00<007ooOol0FGoo001GOol00fi8
0MMoo`05Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool00`00Oomoo`0]Ool00`00Oomoo`3oOom2Ool0
0`00Oomoo`1IOol005Moo`03KTP1egoo00Eoo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`03001oogoo
02ioo`03001oogoo0?mood1oo`03001oogoo05Yoo`00Egoo00=^B07GOol01Woo00=924]oOol00goo
00=oLR0>Gol01goo00<007ooOol0;goo00<007ooOol0ogoo?goo00<007ooOol0FWoo001GOol00fi8
0MMoo`06Ool00eg0>_moo`03Ool00gk^0A9oo`07Ool00`00Oomoo`0_Ool00`00Oomoo`3oOolnOol0
0`00Oomoo`1KOol005Moo`03KTP1egoo00Ioo`03O^h14Woo00=oo`03GL0RFgoo00Moo`03001oogoo
031oo`03001oogoo0?mooceoo`03001oogoo05]oo`00E7oo00E9000000i:B07G00Qoo`06GL01egoo
Oom^B04B2Goo00<007ooOol0<7oo00<007ooOol0ogoo?7oo00<007ooOol0G7oo001FOol00gk^0001
e`09Ool01Eg00000000>Gol02Goo00<007ooOol0<Goo00<007ooOol0ogoo>Woo00<007ooOol0GGoo
001`Ool00`00Oomoo`0aOol00`00Oomoo`3oOoljOol00`00Oomoo`1MOol0071oo`8003=oo`03001o
ogoo0?moocQoo`03001oogoo05ioo`00L7oo00<007ooOol0<goo00<007ooOol0ogoo=goo00<007oo
Ool0GWoo001`Ool00`00Oomoo`0cOol00`00Oomoo`3oOolfOol00`00Oomoo`1OOol0071oo`03001o
ogoo03Aoo`03001oogoo0?moocEoo`03001oogoo05moo`00L7oo00<007ooOol0=7oo00<007ooOol0
ogoo=7oo00<007ooOol0H7oo001`Ool00`00Oomoo`0eOol00`00Oomoo`3oOolbOol00`00Oomoo`1Q
Ool0071oo`03001oogoo03Ioo`03001oogoo0?mooc5oo`03001oogoo065oo`00L7oo00<007ooOol0
=Woo00<007ooOol0ogoo<7oo00<007ooOol0HWoo001`Ool00`00Oomoo`0gOol00`00Oomoo`3oOol_
Ool00`00Oomoo`1ROol0071oo`8003Qoo`03001oogoo0?moobioo`03001oogoo06=oo`00L7oo00<0
07ooOol0>7oo00<007ooOol0ogoo;7oo00<007ooOol0I7oo001`Ool00`00Oomoo`0hOol00`00Oomo
o`3oOol/Ool00`00Oomoo`1TOol0071oo`03001oogoo03Uoo`03001oogoo0?moobYoo`03001oogoo
06Eoo`00L7oo00<007ooOol0>Woo00<007ooOol0ogoo:Goo00<007ooOol0IGoo001`Ool00`00Oomo
o`0jOol00`00Oomoo`3oOolXOol00`00Oomoo`1VOol0071oo`03001oogoo03]oo`03001oogoo0?mo
obMoo`03001oogoo06Ioo`00L7oo00<007ooOol0>goo00<007ooOol0ogoo9Woo00<007ooOol0Igoo
001`Ool00`00Oomoo`0lOol00`00Oomoo`3oOolTOol00`00Oomoo`1XOol0071oo`8003ioo`03001o
ogoo0?moob=oo`03001oogoo06Qoo`00L7oo00<007ooOol0?Goo00<007ooOol0ogoo8Woo00<007oo
Ool0JGoo001`Ool00`00Oomoo`0nOol00`00Oomoo`3oOolQOol00`00Oomoo`1YOol0071oo`03001o
ogoo03ioo`03001oogoo0?moob1oo`03001oogoo06Yoo`00L7oo00<007ooOol0?goo00<007ooOol0
ogoo7Woo00<007ooOol0Jgoo001`Ool00`00Oomoo`0oOol00`00Oomoo`3oOolNOol00`00Oomoo`1[
Ool0071oo`03001oogoo041oo`03001oogoo0?mooaaoo`03001oogoo06aoo`00L7oo00<007ooOol0
@Goo00<007ooOol0ogoo6goo00<007ooOol0K7oo001`Ool00`00Oomoo`11Ool00`00Oomoo`3oOolJ
Ool00`00Oomoo`1]Ool0071oo`03001oogoo049oo`03001oogoo0?mooaUoo`03001oogoo06eoo`00
L7oo0P00@goo00<007ooOol0ogoo67oo00<007ooOol0KWoo001`Ool00`00Oomoo`13Ool00`00Oomo
o`3oOolFOol00`00Oomoo`1_Ool0071oo`03001oogoo04Aoo`03001oogoo0?mooaEoo`03001oogoo
06moo`00L7oo00<007ooOol0A7oo00<007ooOol0ogoo57oo00<007ooOol0L7oo001DOol00dT00000
000400000`0>Gomoo`03Ool01Wmb8000000000Q;O`Uoo`03001oogoo04Eoo`03001oogoo0?mooa=o
o`03001oogoo071oo`00Egoo00=^B07GOol01Woo00=^B000>_l00Woo00=nkP00>_l027ooo`00Y`00
:Woo001GOol00fi80MMoo`05Ool00gmb80iOo`04Ool00gk^00iOo`07Ool00`00Oomoo`16Ool00`00
Oomoo`3oOol@Ool00`00Oomoo`1bOol005Moo`03KTP1egoo00aoo`03OoLh24]o00Moo`03001oogoo
04Moo`03001oogoo0?moo`moo`03001oogoo079oo`00Egoo00=^B07GOol037oo00=omcP8Bgl01goo
00<007ooOol0Agoo00<007ooOol0ogoo3Woo00<007ooOol0Lgoo001GOol00fi80MMoo`0<Ool00gog
>0iOo`07Ool30018Ool00`00Oomoo`3oOol=Ool00`00Oomoo`1cOol005Moo`03KTP1egoo00Ioo`03
Og8P004B00=oo`03B@0RFgoo00Moo`03001oogoo04Uoo`03001oogoo0?moo`]oo`03001oogoo07Ao
o`00Egoo00=^B07GOol01Woo00=oLR0>BTP00`0000<RFgooOol01goo00<007ooOol0BGoo00<007oo
Ool0ogoo2Woo00<007ooOol0MGoo001GOol00fi80MMoo`06Ool00gmb80iOo`0=Ool00`00Oomoo`1:
Ool00`00Oomoo`3oOol9Ool00`00Oomoo`1eOol005Moo`03KTP1egoo00Ioo`03Og8P3Uoo00eoo`03
001oogoo04Yoo`03001oogoo0?moo`Qoo`03001oogoo07Ioo`00Egoo00=^B07GOol01Woo00=oLR0>
Gol03Goo00<007ooOol0Bgoo00<007ooOol0ogoo1goo00<007ooOol0MWoo001DOol01DT000003TY8
0ML01goo00=oLR0>Gol03Goo00<007ooOol0C7oo00<007ooOol0ogoo1Goo00<007ooOol0Mgoo001F
Ool00gk^0001e`07Ool00gmb8000000400000c[oOomoo`06Ool00`00Oomoo`1<Ool00`00Oomoo`3o
Ool4Ool00`00Oomoo`1hOol0071oo`03001oogoo04eoo`03001oogoo0?moo`=oo`03001oogoo07Qo
o`00L7oo0P00Cgoo00<007ooOol0ogoo0Goo00<007ooOol0NGoo001`Ool00`00Oomoo`1>Ool00`00
Oomoo`3oOol1Ool00`00Oomoo`1iOol0071oo`03001oogoo04moo`03001oogoo0?ioo`03001oogoo
07Yoo`00L7oo00<007ooOol0Cgoo00<007ooOol0oGoo00<007ooOol0Ngoo001`Ool00`00Oomoo`1@
Ool00`00Oomoo`3lOol00`00Oomoo`1kOol0071oo`03001oogoo055oo`03001oogoo0?Yoo`03001o
ogoo07aoo`00L7oo00<007ooOol0DGoo00<007ooOol0nWoo00<007ooOol0O7oo001`Ool00`00Oomo
o`1BOol00`00Oomoo`3hOol00`00Oomoo`1mOol0071oo`03001oogoo05=oo`03001oogoo0?Ioo`03
001oogoo07ioo`00L7oo0P00E7oo00<007ooOol0mWoo00<007ooOol0OWoo001`Ool00`00Oomoo`1D
Ool00`00Oomoo`3dOol00`00Oomoo`1oOol0071oo`03001oogoo05Aoo`03001oogoo0?Aoo`03001o
ogoo07moo`00L7oo00<007ooOol0EGoo00<007ooOol0lWoo00<007ooOol0P7oo001`Ool00`00Oomo
o`1FOol00`00Oomoo`3`Ool00`00Oomoo`21Ool0071oo`03001oogoo05Ioo`03001oogoo0?1oo`03
001oogoo085oo`00L7oo00<007ooOol0Egoo00<007ooOol0kWoo00<007ooOol0PWoo001`Ool00`00
Oomoo`1HOol00`00Oomoo`3/Ool00`00Oomoo`23Ool0071oo`03001oogoo05Qoo`03001oogoo0>ao
o`03001oogoo08=oo`00L7oo0P00FWoo00<007ooOol0jWoo00<007ooOol0Q7oo001`Ool00`00Oomo
o`1JOol00`00Oomoo`3XOol00`00Oomoo`25Ool0071oo`03001oogoo05Yoo`03001oogoo0>Qoo`03
001oogoo08Eoo`00L7oo00<007ooOol0Fgoo00<007ooOol0iWoo00<007ooOol0QWoo001`Ool00`00
Oomoo`1LOol00`00Oomoo`3TOol00`00Oomoo`27Ool0071oo`03001oogoo05aoo`03001oogoo0>Ao
o`03001oogoo08Moo`00L7oo00<007ooOol0GGoo00<007ooOol0hWoo00<007ooOol0R7oo001`Ool0
0`00Oomoo`1NOol00`00Oomoo`3POol00`00Oomoo`29Ool0071oo`03001oogoo05moo`03001oogoo
0=ioo`03001oogoo08Yoo`00L7oo0P00H7oo00<007ooOol0gWoo00<007ooOol0RWoo001`Ool00`00
Oomoo`1POol00`00Oomoo`3LOol00`00Oomoo`2;Ool0071oo`03001oogoo065oo`03001oogoo0=Yo
o`03001oogoo08aoo`00L7oo00<007ooOol0HGoo00<007ooOol0fWoo00<007ooOol0S7oo001`Ool0
0`00Oomoo`1ROol00`00Oomoo`3HOol00`00Oomoo`2=Ool005=oo`03KTP0000000D000030A9oogoo
00Aoo`05B@00000000iOo`09Ool00`00Oomoo`1SOol00`00Oomoo`3FOol00`00Oomoo`2>Ool005=o
o`03O^h024]o00Aoo`03O^h1egoo00Aoo`06GL0RFgooOomnkP4B2Goo00<007ooOol0Hgoo00<007oo
Ool0eWoo00<007ooOol0SWoo001DOol00gk^00Q;O`09Ool00gk^0MMoo`03Ool00eg08U]oo`07Ool0
0`00Oomoo`1TOol00`00Oomoo`3DOol00`00Oomoo`2?Ool005Eoo`03Og8P24]o00Qoo`03GL0RFgoo
00=oo`03O^h14Woo00Moo`03001oogoo06Eoo`03001oogoo0=9oo`03001oogoo091oo`00EWoo00=o
LR08Bgl01goo00=903[oOol00goo00=oLR0>Gol01goo00<007ooOol0IGoo00<007ooOol0dWoo00<0
07ooOol0T7oo001GOol00gmb80Q;O`05Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool3001VOol00`00
Oomoo`3@Ool00`00Oomoo`2AOol005Qoo`03Og8P24]o00Aoo`03OoLh24]o00Aoo`03Og8P3Uoo00Mo
o`03001oogoo06Moo`03001oogoo0<ioo`03001oogoo099oo`00FGoo00=oLR0>Gol00goo00=omcP8
Bgl017oo00=oLR0>Gol01goo00<007ooOol0Igoo00<007ooOol0cGoo00<007ooOol0Tgoo001JOol0
0fi80MMoo`03Ool00dT8Bgmoo`03Ool00gmb80iOo`07Ool00`00Oomoo`1XOol00`00Oomoo`3<Ool0
0`00Oomoo`2COol005Aoo`03BM9oogoo00=oo`03O^h14Woo00=oo`03GL0jogoo00=oo`03O^h14Woo
00Moo`03001oogoo06Uoo`03001oogoo0<Yoo`03001oogoo09Aoo`00Dgoo00=omcP0>_l017oo00=M
`07GOol00goo00=nkP4BOol00goo00=M`29KOol01goo00<007ooOol0JWoo00<007ooOol0b7oo00<0
07ooOol0UGoo001DOol00gk^000jo`02Ool00eg000iOo`05Ool01Ug00MMoogooKTP14PUoo`03001o
ogoo06Yoo`03001oogoo0<Moo`03001oogoo09Ioo`00EGoo00EoLR000000004B00Qoo`05GL000000
00iOo`09Ool00`00Oomoo`1[Ool00`00Oomoo`36Ool00`00Oomoo`2FOol0071oo`03001oogoo06ao
o`03001oogoo0<Aoo`03001oogoo09Moo`00L7oo0P00KWoo00<007ooOol0`Woo00<007ooOol0V7oo
001`Ool00`00Oomoo`1]Ool00`00Oomoo`31Ool00`00Oomoo`2IOol0071oo`03001oogoo06ioo`03
001oogoo0;moo`03001oogoo09Yoo`00L7oo00<007ooOol0Kgoo00<007ooOol0_Woo00<007ooOol0
VWoo001`Ool00`00Oomoo`1`Ool00`00Oomoo`2lOol00`00Oomoo`2KOol0071oo`03001oogoo071o
o`03001oogoo0;]oo`03001oogoo09aoo`00L7oo00<007ooOol0LGoo00<007ooOol0^Goo00<007oo
Ool0WGoo001`Ool00`00Oomoo`1bOol00`00Oomoo`2gOol00`00Oomoo`2NOol0071oo`03001oogoo
07=oo`03001oogoo0;Ioo`03001oogoo09ioo`00L7oo0P00M7oo00<007ooOol0]Goo00<007ooOol0
Wgoo001`Ool00`00Oomoo`1dOol00`00Oomoo`2cOol00`00Oomoo`2POol0071oo`03001oogoo07Eo
o`03001oogoo0;5oo`03001oogoo0:5oo`00L7oo00<007ooOol0MWoo00<007ooOol0/7oo00<007oo
Ool0XGoo001`Ool00`00Oomoo`1fOol00`00Oomoo`2_Ool00`00Oomoo`2ROol0071oo`03001oogoo
07Moo`03001oogoo0:eoo`03001oogoo0:=oo`00L7oo00<007ooOol0N7oo00<007ooOol0Zgoo00<0
07ooOol0Y7oo001`Ool00`00Oomoo`1iOol00`00Oomoo`2YOol00`00Oomoo`2UOol0071oo`03001o
ogoo07Yoo`03001oogoo0:Moo`03001oogoo0:Ioo`00L7oo0P00O7oo00<007ooOol0YGoo00<007oo
Ool0Ygoo001`Ool00`00Oomoo`1lOol00`00Oomoo`2SOol00`00Oomoo`2XOol0071oo`03001oogoo
07eoo`03001oogoo0:5oo`03001oogoo0:Uoo`00L7oo00<007ooOol0OWoo00<007ooOol0Wgoo00<0
07ooOol0ZWoo001`Ool00`00Oomoo`1oOol00`00Oomoo`2MOol00`00Oomoo`2[Ool0071oo`03001o
ogoo081oo`03001oogoo09]oo`03001oogoo0:aoo`00L7oo00<007ooOol0PGoo00<007ooOol0VWoo
00<007ooOol0[7oo001`Ool00`00Oomoo`22Ool00`00Oomoo`2HOol00`00Oomoo`2]Ool0071oo`03
001oogoo08=oo`03001oogoo09Ioo`03001oogoo0:ioo`00L7oo0P00QGoo00<007ooOol0U7oo00<0
07ooOol0[goo001`Ool00`00Oomoo`25Ool00`00Oomoo`2BOol00`00Oomoo`2`Ool0071oo`03001o
ogoo08Ioo`03001oogoo091oo`03001oogoo0;5oo`00L7oo00<007ooOol0Qgoo00<007ooOol0SWoo
00<007ooOol0/Woo001`Ool00`00Oomoo`28Ool00`00Oomoo`2<Ool00`00Oomoo`2cOol005=oo`03
KTP0000000D000030A9oogoo00=oo`06Og8P0000000024]o2Goo00<007ooOol0RGoo00<007ooOol0
RWoo00<007ooOol0]7oo001COol00gk^00Q;O`04Ool00gk^0MMoo`03Ool00fi8000jo`02Ool00gk^
000jo`08Ool00`00Oomoo`2:Ool00`00Oomoo`28Ool00`00Oomoo`2eOol005Aoo`03O^h024]o00Qo
o`03Og8P3Uoo00Aoo`03O^h03Uoo00Moo`03001oogoo08]oo`03001oogoo08Ioo`03001oogoo0;Io
o`00EGoo00=oLR08Bgl03Woo00=omcP8Bgl01goo00<007ooOol0S7oo00<007ooOol0Q7oo00<007oo
Ool0]goo001FOol00gmb80Q;O`0=Ool00gog>0Q;O`07Ool00`00Oomoo`2=Ool00`00Oomoo`21Ool2
002jOol005Moo`03Og8P24]o00aoo`03OoLh3Uoo00Moo`<008ioo`80081oo`03001oogoo0;Yoo`00
F7oo00=oLR08Bgl01Goo00=oLR000A800goo00=9029KOol01goo00<007ooOol0T7oo00<007ooOol0
O7oo00<007ooOol0^goo001IOol00gmb80iOo`04Ool00gmb80i:B00300000b9KOomoo`07Ool00`00
Oomoo`2AOol00`00Oomoo`1jOol00`00Oomoo`2lOol005Yoo`03KTP1egoo00=oo`03Og8P3Uoo00eo
o`03001oogoo099oo`03001oogoo07Qoo`03001oogoo0;eoo`00E7oo00=9dWooOol00goo00=nkP4B
Ool00goo00=oLR0>Gol03Goo00<007ooOol0Tgoo00<007ooOol0MWoo00<007ooOol0_Woo001COol0
0gog>00jo`04Ool00eg00MMoo`03Ool00gmb80iOo`0=Ool00`00Oomoo`2DOol00`00Oomoo`1dOol0
0`00Oomoo`2oOol005Aoo`03O^h003[o009oo`03GL003Uoo00Aoo`03Og8P3Uoo00eoo`03001oogoo
09Eoo`03001oogoo075oo`800<9oo`00EGoo00EoLR000000004B00Ioo`03Og8P000000@00003>_mo
ogoo00Ioo`03001oogoo09Ioo`80071oo`03001oogoo0<9oo`00L7oo00<007ooOol0V7oo00<007oo
Ool0K7oo00<007ooOol0`goo001`Ool2002JOol00`00Oomoo`1ZOol00`00Oomoo`34Ool0071oo`03
001oogoo09Yoo`03001oogoo06Qoo`03001oogoo0<Eoo`00L7oo00<007ooOol0Vgoo00<007ooOol0
IGoo0P00b7oo001`Ool00`00Oomoo`2LOol00`00Oomoo`1ROol2003:Ool0071oo`03001oogoo09eo
o`80065oo`03001oogoo0<Yoo`00L7oo00<007ooOol0Wgoo00<007ooOol0G7oo0P00cGoo001`Ool0
0`00Oomoo`2POol00`00Oomoo`1JOol00`00Oomoo`3=Ool0071oo`03001oogoo0:5oo`8005Qoo`80
0=1oo`00L7oo00<007ooOol0Xgoo00<007ooOol0Dgoo0P00dWoo001`Ool2002UOol2001BOol00`00
Oomoo`3BOol0071oo`03001oogoo0:Ioo`8004ioo`800=Eoo`00L7oo00<007ooOol0Z7oo0P00BWoo
0P00egoo001`Ool00`00Oomoo`2ZOol20016Ool2003IOol0071oo`03001oogoo0:aoo`<0045oo`80
0=]oo`00L7oo00<007ooOol0[goo0P00?Goo0P00gGoo001`Ool00`00Oomoo`2aOol2000iOol2003O
Ool0071oo`03001oogoo0;=oo`8003Aoo`<00>5oo`00L7oo00<007ooOol0]Goo0`00;goo0P00i7oo
001`Ool2002iOol4000WOol4003VOol0071oo`03001oogoo0;aoo`@001moo`@00>Yoo`00L7oo00<0
07ooOol0`7oo10005goo1000kWoo001`Ool00`00Oomoo`34Ool;00000goo00000009003bOol0071o
o`03001oogoo0<ioo`<00?aoo`00L7oo00<007ooOol0ogoocWoo001`Ool00`00Oomoo`3oOoo>Ool0
071oo`03001oogoo0?moolioo`00L7oo00<007ooOol0ogoocWoo001`Ool2003oOoo?Ool0071oo`03
001oogoo0?moolioo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
;Woo00=^B00000000P0000<1egooOol04Goo00=omcTBKol0=7oo00=ondT>Gol0<7oo00E^B0000001
4Voo011oo`05Oo]90000000RF`3oOomfOol0031oo`03OoLh24]o00=oo`03Og8P03[o00ioo`03GLQ;
Ogoo03Eoo`03Og8jFgoo02moo`03KTPjogoo01Eoo`03O^hRFgoo0?moogEoo`00<7oo00=omcP8Bgl0
0goo00=omcP00A803Goo00=omcTBKol04Goo00=nkR9KOol08Woo00=ondT>Gol0;goo00=^B3[oOol0
5Goo00=nkR9KOol0ogooMGoo000`Ool00gog>0Q;O`04Ool00eg0000jo`0<Ool00fi8>_moo`0AOol0
0gog>0iOo`0SOol00gk^8U]oo`0^Ool00fi8>_moo`0EOol00gk^8U]oo`3oOomeOol000Aoo`03O^h0
000000L000030MMoLR000080000700iOofi8000024]oO^h00P0000@jogooOomnkPD00003>_moogoo
00=oo`08B@00000000014Wog>0Q;O`Aoo`03O^h0004B00]oo`03Oo]93Uoo00Aoo`03O^h000000080
00078U]oogooOom900000A800goo00=^B3[oOol01goo00=omcP000001@0000<03UooOol00goo00=n
kP0000000`0000<jogooOol017oo00=omcTBKol01Woo00=nkP4BKTP0100000<1egooOol00Woo00=n
kP0000001P0000@jogooOg8P0080000400iOogog>00200000`08Bgmoo`04Ool00fi8>_moo`06Ool0
0gmb8000000200000b9KOomoo`07Ool00gk^8U]oo`3oOomeOol000Ioo`03GL0RFgoo00Aoo`06KTP1
egooOomM`29K0Woo00I^B07GOomoogk^0A83Ool00fi800iOo`03Ool00gog>00RF`03Ool00eg08U]o
o`02Ool016i80@Ph24]o17oo00AoLR00000jo`Yoo`03Og8Qegoo00Ioo`03GL0RFgoo00=oo`03O^h0
3Uoo00Aoo`03Og8Q4Voo00]oo`03KTP1egoo00Ioo`03KTP03Uoo00=oo`03OoLh029K00Ioo`03GLQ;
Ogoo00Eoo`03O^h0004B00Aoo`03GL01egoo00Ioo`03KTP1egoo00Ioo`03GL0RFgoo00=oo`03KTP1
egoo00Ioo`03KTPjogoo00Eoo`03Og8P24]o00=oo`03GL014Voo00Moo`03O^hRFgoo0?moogEoo`00
1Woo00=M`29KOol017oo00I^B07GOomooeg08U/2Ool01Vi80MMoogooO^h14P9oo`03Og8Q4Woo00Uo
o`03O^h14Woo00Aoo`03KTP024]o00Eoo`04B@00000>Gol9Ool00gk^8U]oo`06Ool00eg08U]oo`03
Ool00eg08U]oo`05Ool00eg8Bgmoo`0:Ool00fi80MMoo`05Ool00gmb8A9oo`0=Ool00fi8>_moo`05
Ool00gk^0A9oo`04Ool00gog>0Q;O`06Ool00fi80MMoo`06Ool00eg08U]oo`03Ool00fi80MMoo`06
Ool00fi8>_moo`05Ool00eg0>_moo`04Ool00fi80MMoo`06Ool00gk^8U]oo`3oOomeOol000Ioo`03
GL0RFgoo00Aoo`06KTPRFgooOomM`29K0Woo00I^B07GOomoogk^0A82Ool00eg08U]oo`09Ool00eg0
8U]oo`04Ool00gog>0Q;O`0BOol00fi8>_moo`06Ool00eg08U]oo`02Ool00gmb80iOo`06Ool00gk^
0MMoo`0:Ool00fi80MMoo`05Ool00eg08U]oo`0=Ool00gk^8U]oo`0=Ool00dT0>_moo`05Ool00fi8
0MMoo`06Ool00eg08U]oo`03Ool00fi80MMoo`06Ool00fi8>_moo`05Ool00eg8Bgmoo`04Ool00gok
B@Q;O`06Ool00gk^8U]oo`3oOomeOol000Ioo`06GL0RFgooOoLh3Uoo1Goo00IM`29KOomoofi80ML2
Ool01Gk^0A9oogooGL00200000DRFgooOomM`29K00Eoo`03OoLh24]o019oo`03KTPjogoo00Ioo`03
GL0RFgoo009oo`03B@0RFgoo00Ioo`03Oo]93Uoo00Yoo`03KTP1egoo00Eoo`03GL00000000H00003
8U]oogoo00Aoo`03O^hRFgoo00aoo`03OoLh03[o00Ioo`03KTP1egoo00Ioo`03GL0RFgoo00=oo`03
KTP1egoo00Ioo`03KTPjogoo00Eoo`03KTPjogoo00Eoo`03KTPRFgoo00Eoo`03O^hRFgoo0?moogEo
o`001Woo00IM`29KOomomcP8Bgl5Ool01Ug08U]oogooKTP1e`9oo`06O^h14WooOomM`29K1Woo00I9
03[oOomooeg08U/5Ool00gog>0Q;O`0BOol00fi88U]oo`06Ool01Ug00001egmb8001e`Uoo`03KTPR
Fgoo00Uoo`03KTP1egoo00Eoo`03GL0RFgoo00Eoo`03B@0jogoo00Eoo`03O^hRFgoo00]oo`03OoLh
004B00Moo`03KTP1egoo00Ioo`03GL0RFgoo00=oo`03KTP1egoo00Ioo`03KTPjogoo00Eoo`03Og8Q
egoo00Eoo`03O^hRFgoo00Eoo`03O^hRFgoo0?moogEoo`001Woo00IM`00000000008Bgl5Ool01Ug0
0MMoogooKTP1e`9oo`06O^h14WooOomnkP4B1Goo00=oLR0>Gol00Woo00=nkP4BOol017oo00=^B008
Bgl04Woo00=nkP7GOol01Woo00EM`29KGL0024]o00Yoo`03OoLi4Voo00Uoo`03KTP1egoo00Eoo`03
O^h14Woo00Aoo`03Og8P3Uoo00Ioo`03KTPjogoo00Moo`03OoLh000000800003>_moogoo00Ioo`03
KTP1egoo00Ioo`03GL0024]o00=oo`03KTP1egoo00Ioo`03KTPjogoo00Ioo`03KTPRFgoo00Aoo`03
KTPjogoo00Eoo`03O^hRFgoo0?moogEoo`001Woo00IM`29KOomomcP8Bgl5Ool02Ug0000jogooB@00
029KOomM`07G0goo00=9004BOol00Woo00=oLR00>_l017oo00=M`04BOol00Woo00AM`048>0Q;Oa9o
o`03Og8Q4Voo00Ioo`06GL0RFgooKTP03Uoo2Woo00=M`3[oOol027oo00=^B07GOol01Woo00=9004B
Ool00Woo00=oLR00>_l01Woo00=ondT8Bgl01goo00=^B000>_l037oo00=^B07GOol01Woo00QM`27>
80iOogooOg8P03[o1goo00=^B3[oOol01goo00=^B000>_l00Woo00=omcP>Gol01Woo00=nkR9KOol0
ogooMGoo0006Ool01Ug08U]oogog>0iOo`=oo`0<Og8P00008U8h00000A9omcP000003Uoo17oo00I9
000000000008Bgl6Ool02Fi8000000000MMomcP00001e`0AOol00gokB@Q;O`06Ool01eg08U]oogoo
O^h024]o00Uoo`03Og8Qegoo00Qoo`03KTP1egoo00Moo`06B@000000000024]o1goo00=omcTBKol0
1goo00=903[oOol02Goo00E^B0000000007G00Eoo`05Og8P00008U]nkP0300000b9KOomoo`06Ool0
0fi8>_moo`09Ool01Eg000000008Bgl01goo00=nkR9KOol0ogooMGoo0006Ool00eg08U]oo`03Ool0
0gog>0Q;O`0gOol00fi88U]oo`05Ool00eg08U]oo`02Ool00gmb800jo`08Ool00gokB@Q;O`08Ool0
0fi80MMoo`0DOol00fi8>_moo`07Ool00dT0>_moo`03Ool00gmb80iOo`0NOol00fi8>_moo`09Ool0
0gk^000jo`09Ool00gk^8U]oo`3oOomeOol000Ioo`03GL0RFgoo00=oo`03OoLh24]o03Moo`03OoLh
3Uoo00Eoo`03GL0RFgoo00=oo`03OoLh029K00Qoo`03O^hRFgoo00Moo`03KTP1egoo01=oo`03Oo]9
3Uoo00Qoo`03KTP03Uoo009oo`04OoLh000>GolNOol00fi8>_moo`08Ool00gmb8MMoo`0:Ool00gk^
8U]oo`3oOomeOol000Aoo`03O^h0000000H0000300Q;Ogoo03Moo`03KTPjogoo009oo`03O^h00000
008000048U]oogog>00200000`0>Gomoo`05Ool00gog>0iOo`03Ool00gog>000000500000`0>Gomo
o`0?Ool00gk^8U]oo`09Ool00gk^0000000200000cYB80iOo`05Ool00gog>001e`0FOol00fi8>_mo
o`08Ool00gmb8MMoo`02Ool00gmb8MMoo`05Ool00gk^8U]oo`3oOomeOol004Moo`03OoLi4Voo01Io
o`03KTPjogoo01]oo`03Oo]9dVoo01Moo`03OoLh007G01Ioo`05KTP000000A9_o`07Ool01Wk^0000
000000Q;O`=oo`05Oo]90000000RF`3oOomfOol00?mooomood9oo`00ogooogoo@Woo003oOoooOom2
Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00001\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.834992, -4.07899, \
0.0149103, 0.217855}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[\((K/Ie)\) Sin[\[Delta]] == EMeq, {\[Delta], 0, 1}]\)], "Input",\

  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({\[Delta] \[Rule] 0.5417667059100826`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ifa)\) Sin[\[Delta]], EMf}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<EMf,(K/If)Sin[\[Delta]] \>"}];\)\)], \
"Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0163941 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.375 ]
[1.025 .01472 10 6.375 ]
[.01131 .09669 -6 -4.5 ]
[.01131 .09669 0 4.5 ]
[.01131 .17866 -12 -4.5 ]
[.01131 .17866 0 4.5 ]
[.01131 .26063 -12 -4.5 ]
[.01131 .26063 0 4.5 ]
[.01131 .3426 -12 -4.5 ]
[.01131 .3426 0 4.5 ]
[.01131 .42457 -12 -4.5 ]
[.01131 .42457 0 4.5 ]
[.01131 .50654 -12 -4.5 ]
[.01131 .50654 0 4.5 ]
[.01131 .58851 -12 -4.5 ]
[.01131 .58851 0 4.5 ]
[.02381 .64303 -53 0 ]
[.02381 .64303 53 12.75 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .09669 m
.03006 .09669 L
s
[(5)] .01131 .09669 1 0 Mshowa
.02381 .17866 m
.03006 .17866 L
s
[(10)] .01131 .17866 1 0 Mshowa
.02381 .26063 m
.03006 .26063 L
s
[(15)] .01131 .26063 1 0 Mshowa
.02381 .3426 m
.03006 .3426 L
s
[(20)] .01131 .3426 1 0 Mshowa
.02381 .42457 m
.03006 .42457 L
s
[(25)] .01131 .42457 1 0 Mshowa
.02381 .50654 m
.03006 .50654 L
s
[(30)] .01131 .50654 1 0 Mshowa
.02381 .58851 m
.03006 .58851 L
s
[(35)] .01131 .58851 1 0 Mshowa
.125 Mabswid
.02381 .03111 m
.02756 .03111 L
s
.02381 .0475 m
.02756 .0475 L
s
.02381 .0639 m
.02756 .0639 L
s
.02381 .08029 m
.02756 .08029 L
s
.02381 .11308 m
.02756 .11308 L
s
.02381 .12947 m
.02756 .12947 L
s
.02381 .14587 m
.02756 .14587 L
s
.02381 .16226 m
.02756 .16226 L
s
.02381 .19505 m
.02756 .19505 L
s
.02381 .21144 m
.02756 .21144 L
s
.02381 .22784 m
.02756 .22784 L
s
.02381 .24423 m
.02756 .24423 L
s
.02381 .27702 m
.02756 .27702 L
s
.02381 .29341 m
.02756 .29341 L
s
.02381 .30981 m
.02756 .30981 L
s
.02381 .3262 m
.02756 .3262 L
s
.02381 .35899 m
.02756 .35899 L
s
.02381 .37539 m
.02756 .37539 L
s
.02381 .39178 m
.02756 .39178 L
s
.02381 .40817 m
.02756 .40817 L
s
.02381 .44096 m
.02756 .44096 L
s
.02381 .45736 m
.02756 .45736 L
s
.02381 .47375 m
.02756 .47375 L
s
.02381 .49014 m
.02756 .49014 L
s
.02381 .52293 m
.02756 .52293 L
s
.02381 .53933 m
.02756 .53933 L
s
.02381 .55572 m
.02756 .55572 L
s
.02381 .57211 m
.02756 .57211 L
s
.02381 .6049 m
.02756 .6049 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -114 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(EMf) show
81.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
87.000 13.000 moveto
(H) show
93.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
99.000 13.000 moveto
(\\220) show
105.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(If) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
117.000 13.000 moveto
(L) show
123.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
141.000 13.000 moveto
(@) show
147.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
153.000 13.000 moveto
(D) show
165.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08498 L
.10458 .16028 L
.14415 .22846 L
.18221 .29062 L
.22272 .35199 L
.26171 .40539 L
.30316 .45506 L
.34309 .49515 L
.3815 .52587 L
.40095 .53832 L
.42237 .54954 L
.44268 .55772 L
.45178 .56059 L
.46172 .56317 L
.4671 .56432 L
.4721 .56523 L
.47727 .56602 L
.48196 .56659 L
.48658 .56703 L
.4887 .56719 L
.49093 .56732 L
.49332 .56744 L
.49438 .56748 L
.49552 .56751 L
.49675 .56754 L
.49789 .56756 L
.49859 .56757 L
.49925 .56757 L
.50049 .56757 L
.50163 .56756 L
.50286 .56755 L
.50401 .56752 L
.50508 .56749 L
.50754 .5674 L
.51014 .56726 L
.51268 .56709 L
.51504 .56689 L
.5204 .56632 L
.5293 .56499 L
.53882 .56304 L
.54906 .56035 L
.56016 .55672 L
.58032 .54828 L
.62123 .52395 L
.66064 .49175 L
.69852 .4532 L
.73886 .40465 L
.77769 .3514 L
.81897 .28876 L
Mistroke
.85873 .22361 L
.89697 .15755 L
.93767 .08478 L
.97619 .01472 L
Mfstroke
.02381 .60332 m
.06244 .60332 L
.10458 .60332 L
.14415 .60332 L
.18221 .60332 L
.22272 .60332 L
.26171 .60332 L
.30316 .60332 L
.34309 .60332 L
.3815 .60332 L
.42237 .60332 L
.46172 .60332 L
.49955 .60332 L
.53984 .60332 L
.57861 .60332 L
.61984 .60332 L
.65954 .60332 L
.69774 .60332 L
.73838 .60332 L
.77751 .60332 L
.81909 .60332 L
.85916 .60332 L
.89771 .60332 L
.93871 .60332 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Ha000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool009moo`05B@00000000iOo`07Ool016i8000024]o1goo00IoLR00
00000008BglaOol00dT00000000400000`0>Gomoo`0^Ool00dT00000000400000`0>Gomoo`04Ool0
16i8000024]o1goo00IoLR0000000008Bgl`Ool00fi80000000500000`4BOomoo`0]Ool00fi80000
000500000`4BOomoo`04Ool016i8000024]o1goo00IoLR0000000008BglbOol01TT00000000000iO
ocaoo`00WWoo00IM`29KOomoogk^0A87Ool014T00000029K1Woo00=^B000>_l00Woo00=nkP00>_l0
<goo00=^B07GOol0=Goo00=^B07GOol027oo00A90000000RF`Ioo`03KTP003[o009oo`03O^h003[o
02moo`03O^h024]o00Aoo`03O^h1egoo02ioo`03O^h024]o00Aoo`03O^h1egoo00Eoo`04B@000000
8U/6Ool00fi8000jo`02Ool00gk^000jo`0_Ool00gmb800RF`03Ool00fi8000jo`0kOol009eoo`03
O^h1egoo00=oo`03GL0RFgoo00Eoo`04KTP00008Bgl5Ool00gmb80iOo`04Ool00gk^00iOo`0bOol0
0fi80MMoo`0eOol00fi80MMoo`08Ool016i8000024]o1Goo00=oLR0>Gol017oo00=nkP0>Gol0;goo
00=nkP08Bgl0=Goo00=nkP08Bgl02goo00A^B00000Q;O`Eoo`03Og8P3Uoo00Aoo`03O^h03Uoo03Eo
o`03KTP14Woo03Yoo`00WGoo00=M`29KOol00goo00=nkP4BOol05Goo00=omcP8Bgl0<Woo00=^B07G
Ool0=Goo00=^B07GOol067oo00=omcP8Bgl0<7oo00=oLR08Bgl0=Goo00=oLR08Bgl06Woo00=omcP8
Bgl0=Goo00=omcP8Bgl0>Woo002MOol00dT0>_moo`03Ool00gmb80iOo`0EOol00gog>0Q;O`0bOol0
0fi80MMoo`0eOol00fi80MMoo`0HOol00gog>0Q;O`0aOol00gmb80Q;O`0eOol00gmb80Q;O`0IOol0
0gog>0Q;O`0eOol00gog>0Q;O`0jOol009aoo`03OoLh24]o00Aoo`03Og8P3Uoo01Eoo`03OoLh3Uoo
039oo`03KTP1egoo03Eoo`03KTP1egoo01Qoo`03OoLh3Uoo039oo`03Og8P24]o03Eoo`03Og8P24]o
01Qoo`03OoLh3Uoo03Eoo`03KTP14Woo03Yoo`00W7oo00=omcP8Bgl017oo00=oLR0>Gol03goo00=o
LR000A800goo00=9029KOol0<Woo00=^B07GOol0=Goo00=^B07GOol04Woo00=oLR000A800goo00=9
029KOol0<goo00=oLR08Bgl0=Goo00=oLR08Bgl04Goo00=oLR000A800goo00=9029KOol0=7oo00=M
`00>Gol0>goo002LOol00gog>0Q;O`04Ool00gmb80iOo`0?Ool00gmb80i:B00300000b9KOomoo`0b
Ool00fi80MMoo`0eOol00fi80MMoo`0BOol00gmb80i:B00300000b9KOomoo`0dOol00gmb80iOo`0e
Ool00gmb80iOo`0@Ool00gmb80i:B00300000b9KOomoo`0aOol01Gmb80000008Bgl0?7oo002MOol0
0dT8Bgmoo`03Ool00gmb80iOo`0?Ool00gmb80iOo`0hOol00fi80MMoo`0eOol00fi80MMoo`0BOol0
0gmb80iOo`0kOol00fi80MMoo`0eOol00fi80MMoo`0?Ool00gmb80iOo`0jOol00gk^00Q;O`0kOol0
09eoo`03GL0jogoo00=oo`03O^h14Woo00moo`03Og8P3Uoo03Qoo`03KTP1egoo03Eoo`03KTP1egoo
019oo`03Og8P3Uoo03Eoo`03BM9oogoo00=oo`03O^h14Woo02moo`03BM9oogoo00=oo`03O^h14Woo
00moo`03Og8P3Uoo03]oo`03KTP1egoo03Yoo`00WGoo00=nkP4BOol00goo00=M`29KOol03goo00=o
LR0>Gol0>7oo00=^B07GOol0=Goo00=^B07GOol04Woo00=oLR0>Gol0=7oo00=omcP0>_l017oo00=M
`07GOol0;Woo00=omcP0>_l017oo00=M`07GOol03goo00=oLR0>Gol0>goo00=^B07GOol0>Woo002N
Ool01Ug00MMoogooKTP14Q5oo`03Og8P3Uoo03Eoo`05B@00000>BTP1e`0cOol01DT000003TY80ML0
4goo00=oLR0>Gol0=Goo00=nkP00>_l00Woo00=M`00>Gol0<7oo00=nkP00>_l00Woo00=M`00>Gol0
47oo00=oLR0>Gol0=Goo00=90008Bgl00Woo00=nkP00>_l0>goo002OOol01Eg00000000>Gol04Goo
00=oLR000000100000<jogooOol0<7oo00=nkP000ML0=Goo00=nkP000ML04goo00=oLR0000001000
00<jogooOol0;goo00EoLR000000004B03=oo`05Og8P000000014P0BOol00gmb8000000400000c[o
Oomoo`0_Ool01Wmb8000000000Q;Ocaoo`00ogooogoo@Woo003oOoooOom2Ool006Yoo`03001oogoo
0?moomAoo`00JWoo00<007ooOol0ogooe7oo001ZOol00`00Oomoo`3oOoo4Ool00gmb800000020000
0b9KOomoo`08Ool006Yoo`03001oogoo0?mool=oo`03Og8P24]o00=oo`03GL014Voo00Qoo`00JWoo
00<007ooOol0ogoo`goo00=M`3[oOol017oo00=^B07GOol01goo001ZOol00`00Oomoo`3oOoo3Ool0
0eg8Bgmoo`04Ool00gokB@Q;O`07Ool005moool00<8000moo`03KTPjogoo00Eoo`03KTPRFgoo00Io
o`00JWoo0P002goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02goo00<007ooOol02Woo
00<007ooOol02goo00<007ooOol00Woo00<007ooOol01Woo00<007ooOol03goo00=oLR7GOol01Goo
00=nkR9KOol01Woo001ZOol2000;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`02Ool00`00Oomoo`06Ool00`00Oomoo`0@Ool0
0fi88U]oo`04Ool00fi8>_moo`06Ool006Yoo`03001oo`00041oo`03001oogoo045oo`03001oogoo
045oo`03001oogoo045oo`03001oogoo045oo`03001oogoo045oo`03001oogoo00moo`03001oogoo
01]oo`03KTP003[o009oo`03OoLh3Uoo00Moo`00JWoo00<007oo0000ogooYgoo00<007ooOol07Goo
00EM`000000024]o00Qoo`00JWoo00@007ooOol00?moojEoo`03001oogoo01ioo`03O^h003[o00Yo
o`00JWoo00@007ooOol00?moojEoo`03001oogoo01eoo`03Og8Qegoo00]oo`00JWoo00D007ooOomo
o`000?mooj=oo`03001oogoo01ioo`03Og8Qegoo009oo`03Og8Qegoo00Ioo`00JWoo0P000Woo00<0
07ooOol0ogooX7oo00<007ooOol087oo00InkP0000000008Bgl7Ool006Yoo`03001oogoo009oo`03
001oogoo0?mooimoo`03001oogoo02eoo`00JWoo00<007ooOol00Woo00<007ooOol0ogooWWoo00<0
07ooOol0;Woo001ZOol00`00Oomoo`03Ool00`00Oomoo`3oOonMOol00`00Oomoo`0^Ool006Yoo`03
001oogoo00=oo`03001oogoo0?mooiaoo`03001oogoo02moo`00JWoo00<007ooOol017oo00<007oo
Ool0ogooVgoo00<007ooOol0;goo001ZOol00`00Oomoo`04Ool00`00Oomoo`3oOonJOol00`00Oomo
o`0`Ool006Yoo`8000Ioo`03001oogoo0?mooiUoo`03001oogoo031oo`00JWoo00<007ooOol01Goo
00<007ooOol0ogooV7oo00<007ooOol0<Goo001ZOol00`00Oomoo`06Ool00`00Oomoo`3oOonFOol0
0`00Oomoo`0bOol006Yoo`03001oogoo00Moo`03001oogoo0?mooiEoo`03001oogoo039oo`00JWoo
00<007ooOol01goo00<007ooOol0ogooU7oo00<007ooOol0<goo001ZOol00`00Oomoo`08Ool00`00
Oomoo`3oOonCOol00`00Oomoo`0cOol006Yoo`03001oogoo00Qoo`03001oogoo0?mooi9oo`03001o
ogoo03Aoo`00JWoo0P002Woo00<007ooOol0ogooTGoo00<007ooOol0=7oo001ZOol00`00Oomoo`09
Ool00`00Oomoo`3oOon@Ool00`00Oomoo`0eOol006Yoo`03001oogoo00Yoo`03001oogoo0?moohio
o`03001oogoo03Ioo`00JWoo00<007ooOol02Woo00<007ooOol0ogooSWoo00<007ooOol0=Woo001Z
Ool00`00Oomoo`0;Ool00`00Oomoo`3oOon<Ool00`00Oomoo`0gOol006Yoo`03001oogoo00]oo`03
001oogoo0?moohaoo`03001oogoo03Moo`00JWoo00<007ooOol037oo00<007ooOol0ogooRWoo00<0
07ooOol0>7oo001ZOol00`00Oomoo`0<Ool00`00Oomoo`3oOon:Ool00`00Oomoo`0hOol006Yoo`80
00ioo`03001oogoo0?moohQoo`03001oogoo03Uoo`00JWoo00<007ooOol03Goo00<007ooOol0ogoo
R7oo00<007ooOol0>Goo001KOol01Wmb8000000000Q;O`Uoo`03001oogoo00ioo`03001oogoo0?mo
ohIoo`03001oogoo03Yoo`00FWoo00=^B000>_l00Woo00=nkP00>_l027oo00<007ooOol03goo00<0
07ooOol0ogooQ7oo00<007ooOol0>goo001IOol00gmb80iOo`04Ool00gk^00iOo`07Ool00`00Oomo
o`0?Ool00`00Oomoo`3oOon4Ool00`00Oomoo`0kOol0061oo`03OoLh24]o00Moo`03001oogoo011o
o`03001oogoo0?mooh9oo`03001oogoo03aoo`00H7oo00=omcP8Bgl01goo00<007ooOol047oo00<0
07ooOol0ogooPWoo00<007ooOol0?7oo001POol00gog>0iOo`07Ool3000AOol00`00Oomoo`3oOon0
Ool00`00Oomoo`0mOol005Yoo`03Og8P004B00=oo`03B@0RFgoo00Moo`03001oogoo015oo`03001o
ogoo0?mooh1oo`03001oogoo03eoo`00FWoo00=oLR0>BTP00`0000<RFgooOol01goo00<007ooOol0
4Woo00<007ooOol0ogooOWoo00<007ooOol0?Woo001JOol00gmb80iOo`0=Ool00`00Oomoo`0BOol0
0`00Oomoo`3oOommOol00`00Oomoo`0oOol005Yoo`03Og8P3Uoo00eoo`03001oogoo01=oo`03001o
ogoo0?moogaoo`03001oogoo03moo`00FWoo00=oLR0>Gol03Goo00<007ooOol057oo00<007ooOol0
ogooNWoo00<007ooOol0@7oo001JOol00gmb80iOo`0=Ool00`00Oomoo`0DOol00`00Oomoo`3oOomj
Ool00`00Oomoo`10Ool005Yoo`03Og8P000000@00003>_moogoo00Ioo`8001Ioo`03001oogoo0?mo
ogQoo`03001oogoo045oo`00JWoo00<007ooOol05Goo00<007ooOol0ogooN7oo00<007ooOol0@Goo
001ZOol00`00Oomoo`0FOol00`00Oomoo`3oOomfOol00`00Oomoo`12Ool006Yoo`03001oogoo01Io
o`03001oogoo0?moogIoo`03001oogoo049oo`00JWoo00<007ooOol05goo00<007ooOol0ogooM7oo
00<007ooOol0@goo001ZOol00`00Oomoo`0GOol00`00Oomoo`3oOomcOol00`00Oomoo`14Ool006Yo
o`03001oogoo01Qoo`03001oogoo0?moog9oo`03001oogoo04Aoo`00JWoo00<007ooOol06Goo00<0
07ooOol0ogooL7oo00<007ooOol0AGoo001ZOol2000JOol00`00Oomoo`3oOom`Ool00`00Oomoo`15
Ool006Yoo`03001oogoo01Yoo`03001oogoo0?moofioo`03001oogoo04Ioo`00JWoo00<007ooOol0
6Woo00<007ooOol0ogooKWoo00<007ooOol0AWoo001ZOol00`00Oomoo`0KOol00`00Oomoo`3oOom/
Ool00`00Oomoo`17Ool006Yoo`03001oogoo01]oo`03001oogoo0?moof]oo`03001oogoo04Qoo`00
JWoo00<007ooOol077oo00<007ooOol0ogooJWoo00<007ooOol0B7oo001ZOol00`00Oomoo`0MOol0
0`00Oomoo`3oOomXOol00`00Oomoo`19Ool006Yoo`8001ioo`03001oogoo0?moofQoo`03001oogoo
04Uoo`00JWoo00<007ooOol07Woo00<007ooOol0ogooIWoo00<007ooOol0BWoo001ZOol00`00Oomo
o`0NOol00`00Oomoo`3oOomVOol00`00Oomoo`1:Ool006Yoo`03001oogoo01moo`03001oogoo0?mo
ofAoo`03001oogoo04]oo`00JWoo00<007ooOol07goo00<007ooOol0ogooI7oo00<007ooOol0Bgoo
001ZOol00`00Oomoo`0POol00`00Oomoo`3oOomROol00`00Oomoo`1<Ool006Yoo`03001oogoo021o
o`03001oogoo0?moof5oo`03001oogoo04eoo`00JWoo0P008Woo00<007ooOol0ogooH7oo00<007oo
Ool0CGoo001ZOol00`00Oomoo`0ROol00`00Oomoo`3oOomNOol00`00Oomoo`1>Ool006Yoo`03001o
ogoo029oo`03001oogoo0?mooeioo`03001oogoo04ioo`00CWoo00=900000000100000<03UooOol0
17oo00E9000000003Uoo00Uoo`03001oogoo02=oo`03001oogoo0?mooeaoo`03001oogoo04moo`00
DGoo00=^B07GOol01goo00IM`29KOomoogk^0A89Ool00`00Oomoo`0SOol00`00Oomoo`3oOomLOol0
0`00Oomoo`1?Ool0055oo`03KTP1egoo00Ioo`03O^h1egoo00=oo`03GL0RFgoo00Moo`03001oogoo
02Aoo`03001oogoo0?mooeYoo`03001oogoo051oo`00DGoo00=^B07GOol01Woo00=M`29KOol00goo
00=nkP4BOol01goo00<007ooOol097oo00<007ooOol0ogooFGoo00<007ooOol0DGoo001AOol00fi8
0MMoo`06Ool00dT0>_moo`03Ool00gmb80iOo`07Ool00`00Oomoo`0UOol00`00Oomoo`3oOomHOol0
0`00Oomoo`1AOol0055oo`03KTP1egoo00Eoo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`<002Ioo`03
001oogoo0?mooeIoo`03001oogoo059oo`00DGoo00=^B07GOol01Goo00=omcP8Bgl017oo00=oLR0>
Gol01goo00<007ooOol09Woo00<007ooOol0ogooEWoo00<007ooOol0DWoo001AOol00fi80MMoo`05
Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool00`00Oomoo`0WOol00`00Oomoo`3oOomDOol00`00Oomo
o`1COol0055oo`03KTP1egoo00Ioo`03B@Q;Ogoo00=oo`03Og8P3Uoo00Moo`03001oogoo02Moo`03
001oogoo0?mooeAoo`03001oogoo05=oo`00DGoo00=^B07GOol01Woo00=M`3[oOol00goo00=nkP4B
Ool01goo00<007ooOol0:7oo00<007ooOol0ogooDWoo00<007ooOol0E7oo001AOol00fi80MMoo`06
Ool00gk^0A9oo`03Ool00eg08U]oo`07Ool00`00Oomoo`0XOol00`00Oomoo`3oOomAOol00`00Oomo
o`1EOol004ioo`05B@00000>BTP1e`08Ool01Ug00MMoogooKTP14PUoo`03001oogoo02Uoo`03001o
ogoo0?mooe1oo`03001oogoo05Eoo`00D7oo00=nkP000ML02Goo00EM`00000003Uoo00Uoo`8002Yo
o`03001oogoo0?moodmoo`03001oogoo05Ioo`00JWoo00<007ooOol0:Woo00<007ooOol0ogooCWoo
00<007ooOol0EWoo001ZOol00`00Oomoo`0[Ool00`00Oomoo`3oOom<Ool00`00Oomoo`1GOol006Yo
o`03001oogoo02]oo`03001oogoo0?moodaoo`03001oogoo05Moo`00JWoo00<007ooOol0;7oo00<0
07ooOol0ogooBWoo00<007ooOol0F7oo001ZOol00`00Oomoo`0/Ool00`00Oomoo`3oOom:Ool00`00
Oomoo`1HOol006Yoo`03001oogoo02eoo`03001oogoo0?moodQoo`03001oogoo05Uoo`00JWoo0P00
;Woo00<007ooOol0ogooAgoo00<007ooOol0FWoo001ZOol00`00Oomoo`0^Ool00`00Oomoo`3oOom6
Ool00`00Oomoo`1JOol006Yoo`03001oogoo02moo`03001oogoo0?moodAoo`03001oogoo05]oo`00
JWoo00<007ooOol0;goo00<007ooOol0ogooA7oo00<007ooOol0Fgoo001ZOol00`00Oomoo`0`Ool0
0`00Oomoo`3oOom2Ool00`00Oomoo`1LOol006Yoo`03001oogoo031oo`03001oogoo0?mood9oo`03
001oogoo05aoo`00JWoo00<007ooOol0<Goo00<007ooOol0ogoo@7oo00<007ooOol0GGoo001ZOol0
0`00Oomoo`0aOol00`00Oomoo`3oOoloOol00`00Oomoo`1NOol006Yoo`8003=oo`03001oogoo0?mo
ocioo`03001oogoo05ioo`00JWoo00<007ooOol0<goo00<007ooOol0ogoo?7oo00<007ooOol0Ggoo
001ZOol00`00Oomoo`0cOol00`00Oomoo`3oOollOol00`00Oomoo`1OOol006Yoo`03001oogoo03Ao
o`03001oogoo0?moocYoo`03001oogoo061oo`00JWoo00<007ooOol0=Goo00<007ooOol0ogoo>7oo
00<007ooOol0HGoo001ZOol00`00Oomoo`0eOol00`00Oomoo`3oOolhOol00`00Oomoo`1QOol006Yo
o`03001oogoo03Ioo`03001oogoo0?moocIoo`03001oogoo069oo`00JWoo0P00=goo00<007ooOol0
ogoo=Goo00<007ooOol0Hgoo001ZOol00`00Oomoo`0gOol00`00Oomoo`3oOoldOol00`00Oomoo`1S
Ool006Yoo`03001oogoo03Qoo`03001oogoo0?mooc9oo`03001oogoo06Aoo`00CWoo00=900000000
100000<03UooOol00goo00IoLR0000000008Bgl9Ool00`00Oomoo`0hOol00`00Oomoo`3oOolbOol0
0`00Oomoo`1TOol0055oo`03KTP1egoo00Ioo`03KTP003[o009oo`03O^h003[o00Qoo`03001oogoo
03Uoo`03001oogoo0?mooc1oo`03001oogoo06Eoo`00DGoo00=^B07GOol01Goo00=oLR0>Gol017oo
00=nkP0>Gol01goo00<007ooOol0>Woo00<007ooOol0ogoo;Woo00<007ooOol0IWoo001AOol00fi8
0MMoo`0<Ool00gog>0Q;O`07Ool00`00Oomoo`0jOol00`00Oomoo`3oOol^Ool00`00Oomoo`1VOol0
055oo`03KTP1egoo00aoo`03OoLh24]o00Moo`03001oogoo03]oo`03001oogoo0?moobaoo`03001o
ogoo06Moo`00DGoo00=^B07GOol037oo00=omcP>Gol01goo0`00?7oo00<007ooOol0ogoo:Woo00<0
07ooOol0J7oo001AOol00fi80MMoo`06Ool00gmb80014P03Ool00dT08U]oo`07Ool00`00Oomoo`0l
Ool00`00Oomoo`3oOolZOol00`00Oomoo`1XOol0055oo`03KTP1egoo00Ioo`03Og8P3TY800<00003
8U]oogoo00Moo`03001oogoo03eoo`03001oogoo0?moobQoo`03001oogoo06Uoo`00DGoo00=^B07G
Ool01Woo00=oLR0>Gol03Goo00<007ooOol0?Woo00<007ooOol0ogoo9goo00<007ooOol0JGoo001A
Ool00fi80MMoo`06Ool00gmb80iOo`0=Ool00`00Oomoo`0nOol00`00Oomoo`3oOolVOol00`00Oomo
o`1ZOol0055oo`03KTP1egoo00Ioo`03Og8P3Uoo00eoo`03001oogoo03moo`03001oogoo0?moobAo
o`03001oogoo06]oo`00CWoo00E9000000i:B07G00Moo`03Og8P3Uoo00eoo`03001oogoo03moo`03
001oogoo0?moobAoo`03001oogoo06]oo`00D7oo00=nkP000ML01goo00=oLR000000100000<jogoo
Ool01Woo0P00@Goo00<007ooOol0ogoo8Woo00<007ooOol0K7oo001ZOol00`00Oomoo`11Ool00`00
Oomoo`3oOolPOol00`00Oomoo`1]Ool006Yoo`03001oogoo045oo`03001oogoo0?moob1oo`03001o
ogoo06eoo`00JWoo00<007ooOol0@Woo00<007ooOol0ogoo7Woo00<007ooOol0KWoo001ZOol00`00
Oomoo`13Ool00`00Oomoo`3oOolMOol00`00Oomoo`1^Ool006Yoo`03001oogoo04=oo`03001oogoo
0?mooaaoo`03001oogoo06moo`00JWoo00<007ooOol0A7oo00<007ooOol0ogoo6Woo00<007ooOol0
L7oo001ZOol20016Ool00`00Oomoo`3oOolIOol00`00Oomoo`1`Ool006Yoo`03001oogoo04Eoo`03
001oogoo0?mooaQoo`03001oogoo075oo`00JWoo00<007ooOol0AWoo00<007ooOol0ogoo5Woo00<0
07ooOol0LWoo001ZOol00`00Oomoo`17Ool00`00Oomoo`3oOolEOol00`00Oomoo`1bOol006Yoo`03
001oogoo04Moo`03001oogoo0?mooaAoo`03001oogoo07=oo`00JWoo00<007ooOol0B7oo00<007oo
Ool0ogoo4Woo00<007ooOol0M7oo001ZOol00`00Oomoo`19Ool00`00Oomoo`3oOolAOol00`00Oomo
o`1dOol006Yoo`03001oogoo04Uoo`03001oogoo0?mooa1oo`03001oogoo07Eoo`00JWoo0P00Bgoo
00<007ooOol0ogoo3goo00<007ooOol0MGoo001ZOol00`00Oomoo`1;Ool00`00Oomoo`3oOol=Ool0
0`00Oomoo`1fOol006Yoo`03001oogoo04]oo`03001oogoo0?moo`aoo`03001oogoo07Moo`00JWoo
00<007ooOol0C7oo00<007ooOol0ogoo2goo00<007ooOol0Mgoo001ZOol00`00Oomoo`1=Ool00`00
Oomoo`3oOol9Ool00`00Oomoo`1hOol006Yoo`03001oogoo04eoo`03001oogoo0?moo`Qoo`03001o
ogoo07Uoo`00JWoo00<007ooOol0CWoo00<007ooOol0ogoo1goo00<007ooOol0NGoo001ZOol2001@
Ool00`00Oomoo`3oOol5Ool00`00Oomoo`1jOol006Yoo`03001oogoo04moo`03001oogoo0?moo`Ao
o`03001oogoo07]oo`00CGoo00=^B00000001@0000<14WooOol017oo00E9000000003Uoo00Uoo`03
001oogoo051oo`03001oogoo0?moo`=oo`03001oogoo07]oo`00CGoo00=nkP08Bgl017oo00=nkP7G
Ool017oo00IM`29KOomoogk^0A89Ool00`00Oomoo`1AOol00`00Oomoo`3oOol1Ool00`00Oomoo`1l
Ool004ioo`03O^h024]o00Uoo`03O^h1egoo00=oo`03GL0RFgoo00Moo`03001oogoo055oo`03001o
ogoo0?moo`03001oogoo07eoo`00Cgoo00=oLR08Bgl027oo00=M`29KOol00goo00=nkP4BOol01goo
00<007ooOol0DWoo00<007ooOol0oWoo00<007ooOol0OGoo001@Ool00gmb80Q;O`07Ool00dT0>_mo
o`03Ool00gmb80iOo`07Ool00`00Oomoo`1COol00`00Oomoo`3lOol00`00Oomoo`1nOol0055oo`03
Og8P24]o00Eoo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`<005=oo`03001oogoo0?aoo`03001oogoo
07ioo`00DWoo00=oLR08Bgl017oo00=omcP8Bgl017oo00=oLR0>Gol01goo00<007ooOol0E7oo00<0
07ooOol0nWoo00<007ooOol0Ogoo001COol00gmb80iOo`03Ool00gog>0Q;O`04Ool00gmb80iOo`07
Ool00`00Oomoo`1EOol00`00Oomoo`3hOol00`00Oomoo`20Ool005Aoo`03KTP1egoo00=oo`03B@Q;
Ogoo00=oo`03Og8P3Uoo00Moo`03001oogoo05Eoo`03001oogoo0?Qoo`03001oogoo081oo`00CWoo
00=9dWooOol00goo00=nkP4BOol00goo00=M`3[oOol00goo00=nkP4BOol01goo00<007ooOol0EWoo
00<007ooOol0mWoo00<007ooOol0PGoo001=Ool00gog>00jo`04Ool00eg00MMoo`03Ool00gk^0A9o
o`03Ool00eg08U]oo`07Ool00`00Oomoo`1GOol00`00Oomoo`3dOol00`00Oomoo`22Ool004ioo`03
O^h003[o009oo`03GL003Uoo00Eoo`06GL01egooOom^B04B2Goo00<007ooOol0Egoo00<007ooOol0
lgoo00<007ooOol0Pgoo001?Ool01Gmb800000000A8027oo00EM`00000003Uoo00Uoo`03001oogoo
05Qoo`03001oogoo0?9oo`03001oogoo08=oo`00JWoo0P00FWoo00<007ooOol0l7oo00<007ooOol0
Q7oo001ZOol00`00Oomoo`1JOol00`00Oomoo`3^Ool00`00Oomoo`25Ool006Yoo`03001oogoo05Yo
o`03001oogoo0>eoo`03001oogoo08Ioo`00JWoo00<007ooOol0Fgoo00<007ooOol0k7oo00<007oo
Ool0QWoo001ZOol00`00Oomoo`1LOol00`00Oomoo`3ZOol00`00Oomoo`27Ool006Yoo`03001oogoo
05aoo`03001oogoo0>Uoo`03001oogoo08Qoo`00JWoo00<007ooOol0GGoo00<007ooOol0igoo00<0
07ooOol0RGoo001ZOol2001OOol00`00Oomoo`3VOol00`00Oomoo`29Ool006Yoo`03001oogoo05io
o`03001oogoo0>Eoo`03001oogoo08Yoo`00JWoo00<007ooOol0Ggoo00<007ooOol0hgoo00<007oo
Ool0Rgoo001ZOol00`00Oomoo`1POol00`00Oomoo`3QOol00`00Oomoo`2<Ool006Yoo`03001oogoo
065oo`03001oogoo0>1oo`03001oogoo08aoo`00JWoo00<007ooOol0HGoo00<007ooOol0ggoo00<0
07ooOol0SGoo001ZOol00`00Oomoo`1ROol00`00Oomoo`3MOol00`00Oomoo`2>Ool006Yoo`8006Ao
o`03001oogoo0=]oo`03001oogoo08moo`00JWoo00<007ooOol0Hgoo00<007ooOol0fgoo00<007oo
Ool0Sgoo001ZOol00`00Oomoo`1TOol00`00Oomoo`3IOol00`00Oomoo`2@Ool006Yoo`03001oogoo
06Eoo`03001oogoo0=Moo`03001oogoo095oo`00JWoo00<007ooOol0IWoo00<007ooOol0eGoo00<0
07ooOol0TWoo001ZOol00`00Oomoo`1VOol00`00Oomoo`3EOol00`00Oomoo`2BOol006Yoo`03001o
ogoo06Moo`03001oogoo0==oo`03001oogoo09=oo`00JWoo00<007ooOol0J7oo00<007ooOol0dGoo
00<007ooOol0U7oo001ZOol2001ZOol00`00Oomoo`3?Ool00`00Oomoo`2EOol006Yoo`03001oogoo
06Uoo`03001oogoo0<moo`03001oogoo09Eoo`00CGoo00=^B00000001@0000<14WooOol00goo00Io
LR0000000008Bgl9Ool00`00Oomoo`1ZOol00`00Oomoo`3=Ool00`00Oomoo`2FOol004eoo`03O^h0
24]o00Aoo`03O^h1egoo00=oo`03KTP003[o009oo`03O^h003[o00Qoo`03001oogoo06]oo`03001o
ogoo0<]oo`03001oogoo09Moo`00CWoo00=nkP08Bgl027oo00=oLR0>Gol017oo00=nkP0>Gol01goo
00<007ooOol0K7oo00<007ooOol0bGoo00<007ooOol0V7oo001?Ool00gmb80Q;O`0>Ool00gog>0Q;
O`07Ool00`00Oomoo`1]Ool00`00Oomoo`37Ool00`00Oomoo`2IOol0051oo`03Og8P24]o00eoo`03
OoLh24]o00Moo`03001oogoo06ioo`03001oogoo0<Eoo`03001oogoo09Yoo`00DGoo00=oLR08Bgl0
37oo00=omcP>Gol01goo0`00KWoo00<007ooOol0aGoo00<007ooOol0VWoo001BOol00gmb80Q;O`05
Ool00gmb80014P03Ool00dT08U]oo`07Ool00`00Oomoo`1_Ool00`00Oomoo`33Ool00`00Oomoo`2K
Ool005=oo`03Og8P3Uoo00Aoo`03Og8P3TY800<000038U]oogoo00Moo`03001oogoo071oo`03001o
ogoo0<5oo`03001oogoo09aoo`00E7oo00=^B07GOol00goo00=oLR0>Gol03Goo00<007ooOol0LGoo
00<007ooOol0_goo00<007ooOol0WGoo001>Ool00dWBOomoo`03Ool00gk^0A9oo`03Ool00gmb80iO
o`0=Ool00`00Oomoo`1bOol00`00Oomoo`2mOol00`00Oomoo`2NOol004eoo`03OoLh03[o00Aoo`03
GL01egoo00=oo`03Og8P3Uoo00eoo`03001oogoo07=oo`03001oogoo0;aoo`03001oogoo09ioo`00
CWoo00=nkP00>_l00Woo00=M`00>Gol017oo00=oLR0>Gol03Goo00<007ooOol0Lgoo00<007ooOol0
^goo00<007ooOol0Wgoo001?Ool01Gmb800000000A801Woo00=oLR000000100000<jogooOol01Woo
0P00MGoo00<007ooOol0^Goo00<007ooOol0X7oo001ZOol00`00Oomoo`1eOol00`00Oomoo`2gOol0
0`00Oomoo`2QOol006Yoo`03001oogoo07Ioo`03001oogoo0;Eoo`03001oogoo0:9oo`00JWoo00<0
07ooOol0Mgoo00<007ooOol0/goo00<007ooOol0Xgoo001ZOol00`00Oomoo`1hOol00`00Oomoo`2b
Ool00`00Oomoo`2SOol006Yoo`03001oogoo07Qoo`03001oogoo0;5oo`03001oogoo0:Aoo`00JWoo
00<007ooOol0NGoo00<007ooOol0[goo00<007ooOol0YGoo001ZOol00`00Oomoo`1jOol00`00Oomo
o`2]Ool00`00Oomoo`2VOol006Yoo`8007aoo`03001oogoo0:]oo`03001oogoo0:Moo`00JWoo00<0
07ooOol0O7oo00<007ooOol0ZGoo00<007ooOol0Z7oo001ZOol00`00Oomoo`1mOol00`00Oomoo`2W
Ool00`00Oomoo`2YOol006Yoo`03001oogoo07ioo`03001oogoo0:Eoo`03001oogoo0:Yoo`00JWoo
00<007ooOol0Ogoo00<007ooOol0Xgoo00<007ooOol0Zgoo001ZOol00`00Oomoo`20Ool00`00Oomo
o`2QOol00`00Oomoo`2/Ool006Yoo`03001oogoo085oo`03001oogoo09moo`03001oogoo0:eoo`00
JWoo0P00Pgoo00<007ooOol0WGoo00<007ooOol0[Woo001ZOol00`00Oomoo`23Ool00`00Oomoo`2K
Ool00`00Oomoo`2_Ool006Yoo`03001oogoo08Aoo`03001oogoo09Uoo`03001oogoo0;1oo`00JWoo
00<007ooOol0QGoo00<007ooOol0Ugoo00<007ooOol0/Goo001ZOol00`00Oomoo`26Ool00`00Oomo
o`2EOol00`00Oomoo`2bOol006Yoo`03001oogoo08Moo`03001oogoo09=oo`03001oogoo0;=oo`00
JWoo00<007ooOol0R7oo00<007ooOol0TGoo00<007ooOol0]7oo001ZOol2002:Ool00`00Oomoo`2?
Ool00`00Oomoo`2eOol006Yoo`03001oogoo08Yoo`03001oogoo08eoo`03001oogoo0;Ioo`00JWoo
00<007ooOol0Rgoo00<007ooOol0Rgoo00<007ooOol0]goo001?Ool01TT00000000000iOo`Moo`05
B@00000000iOo`09Ool00`00Oomoo`2<Ool00`00Oomoo`29Ool00`00Oomoo`2hOol004eoo`03Og8P
029K00=oo`03KTP003[o00Eoo`06GL0RFgooOomnkP4B2Goo00<007ooOol0SGoo00<007ooOol0QWoo
0P00^goo001DOol00fi80A9oo`03Ool00gk^0MMoo`03Ool00eg08U]oo`07Ool00`00Oomoo`2>Ool2
0025Ool00`00Oomoo`2kOol005Aoo`03OoLh24]o00=oo`03GL0RFgoo00=oo`03O^h14Woo00Moo`03
001oogoo091oo`03001oogoo085oo`03001oogoo0;aoo`00E7oo00=omcP8Bgl00goo00=903[oOol0
0goo00=oLR0>Gol01goo00<007ooOol0TGoo00<007ooOol0Ogoo00<007ooOol0_Goo001DOol00fi8
0A9oo`02Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool3002BOol2001nOol00`00Oomoo`2nOol005=o
o`03GL003Uoo00=oo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`03001oogoo09Aoo`03001oogoo07Uo
o`800<5oo`00D7oo00EoLR00000024]o00Aoo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`03001oogoo
09Eoo`03001oogoo07Moo`03001oogoo0<5oo`00Dgoo00=nkP08Bgl017oo00=924]oOol00goo00=o
LR0>Gol01goo00<007ooOol0UWoo0P00MWoo00<007ooOol0`Woo001DOol00fi80MMoo`03Ool00eg0
>_moo`03Ool00gk^0A9oo`07Ool00`00Oomoo`2HOol00`00Oomoo`1bOol00`00Oomoo`33Ool005Ao
o`03KTP1egoo00=oo`03O^h14Woo00=oo`03GL0RFgoo00Moo`03001oogoo09Uoo`03001oogoo071o
o`03001oogoo0<Aoo`00CWoo00=90008Bgl00Woo00=nkP00>_l01Goo00IM`07GOomoofi80A89Ool0
0`00Oomoo`2JOol2001^Ool20037Ool004moo`06Og8P0000000024]o1goo00EM`00000003Uoo00Uo
o`8009eoo`03001oogoo06Yoo`03001oogoo0<Moo`00JWoo00<007ooOol0WGoo00<007ooOol0J7oo
00<007ooOol0b7oo001ZOol00`00Oomoo`2NOol2001VOol2003;Ool006Yoo`03001oogoo0:1oo`03
001oogoo065oo`800<eoo`00JWoo00<007ooOol0XGoo0P00H7oo00<007ooOol0cGoo001ZOol00`00
Oomoo`2SOol00`00Oomoo`1KOol2003@Ool006Yoo`03001oogoo0:Aoo`8005Yoo`03001oogoo0=1o
o`00JWoo0P00Ygoo00<007ooOol0EGoo0P00dgoo001ZOol00`00Oomoo`2WOol2001COol2003EOol0
06Yoo`03001oogoo0:Uoo`80051oo`03001oogoo0=Eoo`00JWoo00<007ooOol0Zgoo0P00C7oo0P00
f7oo001ZOol00`00Oomoo`2]Ool20018Ool2003JOol006Yoo`03001oogoo0:moo`8004Aoo`800=ao
o`00JWoo00<007ooOol0/Goo0P00?goo0`00gWoo001ZOol00`00Oomoo`2cOol2000jOol3003QOol0
06Yoo`800;Ioo`8003Eoo`<00>Aoo`00JWoo00<007ooOol0]goo0`00<7oo0P00igoo001ZOol00`00
Oomoo`2jOol5000WOol4003YOol006Yoo`03001oogoo0;moo`<0021oo`@00>eoo`00JWoo00<007oo
Ool0`Woo1`005Goo1000lGoo001ZOol00`00Oomoo`39OolE003eOol006Yoo`03001oogoo0?moomAo
o`00JWoo0P00ogooeGoo001ZOol00`00Oomoo`3oOooDOol006Yoo`03001oogoo0?moomAoo`00Cgoo
00I900000000000>Gol6Ool01Wmb8000000000Q;O`Uoo`03001oogoo0?moomAoo`00CGoo00=oLR00
8U/00goo00=^B000>_l017oo00=^B000>_l00Woo00=nkP00>_l027oo00<007ooOol0ogooe7oo001D
Ool00fi80A9oo`02Ool00gmb80iOo`04Ool00gk^00iOo`07Ool00`00Oomoo`3oOooDOol005Aoo`03
OoLh24]o00Uoo`03OoLh24]o00Moo`03001oogoo0?moomAoo`00E7oo00=omcP8Bgl02Goo00=omcP8
Bgl01goo00<007ooOol0ogooe7oo001DOol00fi80A9oo`09Ool00gog>0iOo`07Ool3003oOooDOol0
05=oo`03GL003Uoo00Aoo`03Og8P004B00=oo`03B@0RFgoo00Moo`03001oogoo0?moomAoo`00D7oo
00EoLR00000024]o00Eoo`03Og8P3TY800<000038U]oogoo00Moo`03001oogoo0?moomAoo`00Dgoo
00=nkP08Bgl017oo00=oLR0>Gol03Goo00<007ooOol0ogooe7oo001DOol00fi80MMoo`03Ool00gmb
80iOo`0=Ool00`00Oomoo`3oOooDOol005Aoo`03KTP1egoo00=oo`03Og8P3Uoo00eoo`03001oogoo
0?moomAoo`00CWoo00=90008Bgl00Woo00=nkP00>_l017oo00=oLR0>Gol03Gooo`00[@00:Woo001?
Ool01Wmb8000000000Q;O`Eoo`03Og8P000000@00003>_moogoo00Ioo`800?moomEoo`00JWoo00<0
07ooOol0ogooe7oo001ZOol00`00Oomoo`3oOooDOol006Yoo`03001oogoo0?moomAoo`00JWoo00<0
07ooOol0ogooe7oo001ZOol00`00Oomoo`3oOooDOol006Yoo`03001oogoo0?moomAoo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomo
od9oo`00ogooogoo@Woo003oOoooOom2Ool003]oo`03OoLi4Voo03Aoo`03Oo]93Uoo031oo`05KTP0
00000A9_o`0@Ool01GokB@0000008U/0ogooPWoo000ZOol00gmb800jo`0>Ool00eg8Bgmoo`0eOol0
0gmb>U]oo`0_Ool00fi8>_moo`0EOol00gk^8U]oo`3oOon1Ool002Yoo`03OoLh004B00eoo`03OoLi
4Voo015oo`03O^hRFgoo029oo`03Oo]93Uoo02moo`03KTPjogoo01Eoo`03O^hRFgoo0?mooh5oo`00
:goo00=M`000>_l037oo00=^B3[oOol04Goo00=omcP>Gol08goo00=nkR9KOol0;Woo00=^B3[oOol0
5Goo00=nkR9KOol0ogooPGoo0004Ool00gk^0000000700000`7GO^h000030000129KOomooeg00`00
00@03UooOg8P00H000030A9oogoo00=oo`03O^h0004B00]oo`03Oo]93Uoo00Aoo`03O^h000000080
00078U]oogooOom900000A800goo00=^B3[oOol01goo00=omcP000001@0000H03UooOomoogmb8006
00000`4BOomoo`04Ool00gog>A9_o`06Ool00gk^0A9^B00400000`7GOomoo`02Ool00gk^00000006
000013[oOomoLR000P0000@03UooOoLh0080000300Q;Ogoo00Aoo`03KTPjogoo00Ioo`03Og8P0000
008000038U]oogoo00Moo`03O^hRFgoo0?mooh5oo`001Woo00=M`29KOol017oo00I^B07GOomoodT0
>_l6Ool00eg08U]oo`04Ool00fi80MMoo`08Ool017mb800003[o2Woo00=oLR7GOol01Woo00=M`29K
Ool00goo00=nkP0>Gol017oo00=oLR4BKol02goo00=^B07GOol027oo00=^B07GOol02Woo00=Mb4]o
Ool01Goo00=nkP000A8017oo00=M`07GOol01Woo00=^B07GOol01Woo00=M`29KOol00goo00=^B07G
Ool01Woo00=^B3[oOol01Goo00=oLR08Bgl00goo00=M`04BKol01goo00=nkR9KOol0ogooPGoo0006
Ool00eg08U]oo`04Ool01Vi80MMoogooB@0jo`Ioo`03GL0RFgoo00Aoo`03KTP1egoo00Uoo`04B@00
000>Gol9Ool00gk^8U]oo`06Ool00eg08U]oo`03Ool00eg08U]oo`05Ool00eg8Bgmoo`0:Ool00fi8
0MMoo`08Ool00fi80MMoo`0:Ool00fi8>_moo`05Ool00gk^0A9oo`04Ool00gog>0Q;O`06Ool00fi8
0MMoo`06Ool00eg08U]oo`03Ool00fi80MMoo`06Ool00fi8>_moo`05Ool00eg0>_moo`04Ool00fi8
0MMoo`06Ool00gk^8U]oo`3oOon1Ool000Ioo`03GL0RFgoo00Aoo`06KTPRFgooOom903[o1Woo00=M
`29KOol017oo00=^B07GOol05Woo00=^B3[oOol01Woo00=M`29KOol00Woo00=oLR0>Gol01Woo00=n
kP7GOol02Woo00=^B07GOol027oo00=^B07GOol02Woo00=nkR9KOol03Goo00=903[oOol01Goo00=^
B07GOol01Woo00=M`29KOol00goo00=^B07GOol01Woo00=^B3[oOol01Goo00=Mb4]oOol017oo00=o
ndT8Bgl01Woo00=nkR9KOol0ogooPGoo0006Ool01Ug08U]oogog>0iOo`Eoo`06B@0jogooOom9004B
0Woo00=M`29KOol017oo00=^B07GOol05Woo00=^B3[oOol01Woo00=M`29KOol00Woo00=9029KOol0
1Woo00=ondT>Gol02Woo00=^B07GOol027oo00=^B07GOol02Woo00=nkR9KOol037oo00=omcP0>_l0
1Woo00=^B07GOol01Woo00=M`29KOol00goo00=^B07GOol01Woo00=^B3[oOol01Goo00=^B3[oOol0
1Goo00=^B29KOol01Goo00=nkR9KOol0ogooPGoo0006Ool01Ug08U]oogog>0Q;O`Eoo`04B@0jogoo
O^h2000013[oOomM`29K1Goo00=^B07GOol05Woo00=^B29KOol01Woo00IM`0000MMoLR000ML9Ool0
0fi88U]oo`09Ool00fi80MMoo`08Ool00fi80MMoo`0:Ool00gk^8U]oo`0;Ool00gog>0014P07Ool0
0fi80MMoo`06Ool00eg08U]oo`03Ool00fi80MMoo`06Ool00fi8>_moo`05Ool00gmb8MMoo`05Ool0
0gk^8U]oo`05Ool00gk^8U]oo`3oOon1Ool000Ioo`06GL000000000024]o1Goo00Y903[oOom9029K
KTP1egooGL0RF`Eoo`03KTP1egoo01Ioo`03O^h1egoo00Ioo`05GL0RFeg000Q;O`0:Ool00gog>A9_
o`09Ool00fi80MMoo`08Ool00fi80MMoo`0:Ool00fi8>_moo`07Ool00gog>000000200000c[oOomo
o`06Ool00fi80MMoo`06Ool00eg000Q;O`03Ool00fi80MMoo`06Ool00fi8>_moo`06Ool00fi88U]o
o`04Ool00fi8>_moo`05Ool00gk^8U]oo`3oOon1Ool000Ioo`06GL0RFgooOoLh24]o1Goo00Y903[o
Og8P24]oOg8P24]oGL0RF`Eoo`03KTP1egoo01Ioo`03Og8Q4Voo00Ioo`06GL0RFgooKTP03Uoo2Woo
00=M`3[oOol027oo00=^B07GOol027oo00=^B07GOol02Goo00=ondT8Bgl01goo00=^B000>_l037oo
00=^B07GOol01Woo00QM`27>80iOogooOg8P03[o1goo00=^B3[oOol01goo00=^B000>_l00Woo00=o
mcP>Gol01Woo00=nkR9KOol0ogooPGoo0006Ool01Ug08U]oogog>0iOo`Eoo`04B@0joeg00ML2Ool0
14T08U]M`29K0goo00=900000000100000<03UooOol04Goo00=ondT8Bgl01Woo00MM`29KOomoogk^
00Q;O`09Ool00gmb8MMoo`08Ool00fi80MMoo`06Ool00dT00000000400000`0>Gomoo`04Ool00gog
>A9_o`07Ool00dT0>_moo`09Ool01Fi8000000000ML01Goo00EoLR00000RFgk^00<000038U]oogoo
00Ioo`03KTPjogoo00Uoo`05GL00000000Q;O`07Ool00gk^8U]oo`3oOon1Ool000Ioo`03GL0RFgoo
00=oo`03OoLh24]o009oo`04B@0jDR08Bgl2Ool017k^00hi`29K1Goo00=^B07GOol05goo00=^B29K
Ool01Goo00=M`29KOol00Woo00=oLR00>_l027oo00=ondT8Bgl027oo00=^B07GOol027oo00=^B07G
Ool02Goo00=^B3[oOol01goo00=903[oOol00goo00=oLR0>Gol07Woo00=^B3[oOol02Goo00=nkP00
>_l02Goo00=nkR9KOol0ogooPGoo0006Ool00eg08U]oo`03Ool00gog>0Q;O`02Ool00dT08@P14P03
Ool017og>000029K1Goo00=^B07GOol05goo00=omcP>Gol01Goo00=M`29KOol00goo00=omcP08U/0
27oo00=nkR9KOol01goo00=^B07GOol027oo00=^B07GOol027oo00=ondT>Gol027oo00=^B00>Gol0
0Woo00AomcP000iOoaioo`03KTPjogoo00Qoo`03Og8Qegoo00Yoo`03O^hRFgoo0?mooh5oo`0017oo
00=nkP0000001P0000@024]oOom900800003>_moogoo009oo`04KTP000000ML4Ool00gmb80Q;O`0H
Ool00fi8>_moo`02Ool00gk^000000020000129KOomomcP00P0000<03UooOol01Goo00=omcP>Gol0
0goo00=omcP000001@0000<03UooOol017oo00=oLR08Bgl027oo00=nkR9KOol02Goo00=nkP000000
0P0000<jDR0>Gol01Goo00=omcP00ML05Woo00=^B3[oOol027oo00=oLR7GOol00Woo00=oLR7GOol0
1Goo00=nkR9KOol0ogooPGoo000QOol00gk^0000000200000`0>Gomoo`0BOol00gog>A9_o`0FOol0
0fi8>_moo`0BOol00gk^0000000200001`0>GomoogooOo]9dVoo01Moo`03OoLh007G01Ioo`05KTP0
00000A9_o`07Ool01Wk^0000000000Q;O`=oo`05Oo]90000000RF`3oOon2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomo
od9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool0
0?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo0000\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.779701, -4.84236, \
0.0147111, 0.27203}}]
}, Open  ]],

Cell[BoxData[
    \( (*FindRoot[\((K/Ifa)\) Sin[\[Delta]] == EMf, {\[Delta], 0, 
          1}]*) \)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{\((K/Ipf)\) Sin[\[Delta]], EMpf}, {\[Delta], 0, Pi}, 
        AxesLabel -> {"\<\[Delta]\>", "\<EMpf,(K/Ipf)Sin[\[Delta]] \
\>"}];\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.0147151 0.0190228 [
[.17539 .00222 -9 -9 ]
[.17539 .00222 9 0 ]
[.32696 .00222 -3 -9 ]
[.32696 .00222 3 0 ]
[.47854 .00222 -9 -9 ]
[.47854 .00222 9 0 ]
[.63011 .00222 -3 -9 ]
[.63011 .00222 3 0 ]
[.78169 .00222 -9 -9 ]
[.78169 .00222 9 0 ]
[.93327 .00222 -3 -9 ]
[.93327 .00222 3 0 ]
[1.025 .01472 0 -6.375 ]
[1.025 .01472 10 6.375 ]
[.01131 .10983 -6 -4.5 ]
[.01131 .10983 0 4.5 ]
[.01131 .20494 -12 -4.5 ]
[.01131 .20494 0 4.5 ]
[.01131 .30006 -12 -4.5 ]
[.01131 .30006 0 4.5 ]
[.01131 .39517 -12 -4.5 ]
[.01131 .39517 0 4.5 ]
[.01131 .49028 -12 -4.5 ]
[.01131 .49028 0 4.5 ]
[.01131 .5854 -12 -4.5 ]
[.01131 .5854 0 4.5 ]
[.02381 .64303 -59 0 ]
[.02381 .64303 59 12.75 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .01472 m
.17539 .02097 L
s
[(0.5)] .17539 .00222 0 1 Mshowa
.32696 .01472 m
.32696 .02097 L
s
[(1)] .32696 .00222 0 1 Mshowa
.47854 .01472 m
.47854 .02097 L
s
[(1.5)] .47854 .00222 0 1 Mshowa
.63011 .01472 m
.63011 .02097 L
s
[(2)] .63011 .00222 0 1 Mshowa
.78169 .01472 m
.78169 .02097 L
s
[(2.5)] .78169 .00222 0 1 Mshowa
.93327 .01472 m
.93327 .02097 L
s
[(3)] .93327 .00222 0 1 Mshowa
.125 Mabswid
.05412 .01472 m
.05412 .01847 L
s
.08444 .01472 m
.08444 .01847 L
s
.11476 .01472 m
.11476 .01847 L
s
.14507 .01472 m
.14507 .01847 L
s
.2057 .01472 m
.2057 .01847 L
s
.23602 .01472 m
.23602 .01847 L
s
.26633 .01472 m
.26633 .01847 L
s
.29665 .01472 m
.29665 .01847 L
s
.35728 .01472 m
.35728 .01847 L
s
.38759 .01472 m
.38759 .01847 L
s
.41791 .01472 m
.41791 .01847 L
s
.44822 .01472 m
.44822 .01847 L
s
.50885 .01472 m
.50885 .01847 L
s
.53917 .01472 m
.53917 .01847 L
s
.56948 .01472 m
.56948 .01847 L
s
.5998 .01472 m
.5998 .01847 L
s
.66043 .01472 m
.66043 .01847 L
s
.69074 .01472 m
.69074 .01847 L
s
.72106 .01472 m
.72106 .01847 L
s
.75138 .01472 m
.75138 .01847 L
s
.81201 .01472 m
.81201 .01847 L
s
.84232 .01472 m
.84232 .01847 L
s
.87264 .01472 m
.87264 .01847 L
s
.90295 .01472 m
.90295 .01847 L
s
.96358 .01472 m
.96358 .01847 L
s
.9939 .01472 m
.9939 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .10983 m
.03006 .10983 L
s
[(5)] .01131 .10983 1 0 Mshowa
.02381 .20494 m
.03006 .20494 L
s
[(10)] .01131 .20494 1 0 Mshowa
.02381 .30006 m
.03006 .30006 L
s
[(15)] .01131 .30006 1 0 Mshowa
.02381 .39517 m
.03006 .39517 L
s
[(20)] .01131 .39517 1 0 Mshowa
.02381 .49028 m
.03006 .49028 L
s
[(25)] .01131 .49028 1 0 Mshowa
.02381 .5854 m
.03006 .5854 L
s
[(30)] .01131 .5854 1 0 Mshowa
.125 Mabswid
.02381 .03374 m
.02756 .03374 L
s
.02381 .05276 m
.02756 .05276 L
s
.02381 .07178 m
.02756 .07178 L
s
.02381 .09081 m
.02756 .09081 L
s
.02381 .12885 m
.02756 .12885 L
s
.02381 .14787 m
.02756 .14787 L
s
.02381 .1669 m
.02756 .1669 L
s
.02381 .18592 m
.02756 .18592 L
s
.02381 .22397 m
.02756 .22397 L
s
.02381 .24299 m
.02756 .24299 L
s
.02381 .26201 m
.02756 .26201 L
s
.02381 .28103 m
.02756 .28103 L
s
.02381 .31908 m
.02756 .31908 L
s
.02381 .3381 m
.02756 .3381 L
s
.02381 .35713 m
.02756 .35713 L
s
.02381 .37615 m
.02756 .37615 L
s
.02381 .41419 m
.02756 .41419 L
s
.02381 .43322 m
.02756 .43322 L
s
.02381 .45224 m
.02756 .45224 L
s
.02381 .47126 m
.02756 .47126 L
s
.02381 .50931 m
.02756 .50931 L
s
.02381 .52833 m
.02756 .52833 L
s
.02381 .54735 m
.02756 .54735 L
s
.02381 .56638 m
.02756 .56638 L
s
.02381 .60442 m
.02756 .60442 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -120 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(EMpf) show
87.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
93.000 13.000 moveto
(H) show
99.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
105.000 13.000 moveto
(\\220) show
111.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ipf) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
129.000 13.000 moveto
(L) show
135.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
153.000 13.000 moveto
(@) show
159.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
165.000 13.000 moveto
(D) show
177.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .08953 L
.10458 .16969 L
.14415 .24228 L
.18221 .30846 L
.22272 .3738 L
.26171 .43065 L
.30316 .48353 L
.34309 .52621 L
.3815 .55892 L
.40095 .57218 L
.42237 .58412 L
.44268 .59283 L
.45178 .59589 L
.46172 .59863 L
.4671 .59986 L
.4721 .60083 L
.47727 .60167 L
.48196 .60228 L
.48658 .60274 L
.4887 .60291 L
.49093 .60306 L
.49332 .60318 L
.49438 .60322 L
.49552 .60326 L
.49675 .60329 L
.49789 .60331 L
.49859 .60331 L
.49925 .60332 L
.50049 .60332 L
.50163 .60331 L
.50286 .60329 L
.50401 .60327 L
.50508 .60324 L
.50754 .60314 L
.51014 .60299 L
.51268 .6028 L
.51504 .6026 L
.5204 .60199 L
.5293 .60057 L
.53882 .5985 L
.54906 .59563 L
.56016 .59177 L
.58032 .58278 L
.62123 .55688 L
.66064 .5226 L
.69852 .48155 L
.73886 .42986 L
.77769 .37317 L
.81897 .30648 L
Mistroke
.85873 .23712 L
.89697 .16678 L
.93767 .08931 L
.97619 .01472 L
Mfstroke
.02381 .4875 m
.06244 .4875 L
.10458 .4875 L
.14415 .4875 L
.18221 .4875 L
.22272 .4875 L
.26171 .4875 L
.30316 .4875 L
.34309 .4875 L
.3815 .4875 L
.42237 .4875 L
.46172 .4875 L
.49955 .4875 L
.53984 .4875 L
.57861 .4875 L
.61984 .4875 L
.65954 .4875 L
.69774 .4875 L
.73838 .4875 L
.77751 .4875 L
.81909 .4875 L
.85916 .4875 L
.89771 .4875 L
.93871 .4875 L
.97619 .4875 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Ha000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00:Yoo`05
B@00000000iOo`07Ool016i8000024]o1goo00IoLR0000000008Bgl_Ool00dT00000000400000`0>
Gomoo`0/Ool00dT00000000400000`0>Gomoo`04Ool016i8000024]o1goo00IoLR0000000008Bgl^
Ool00fi80000000500000`4BOomoo`0[Ool00fi80000000500000`4BOomoo`04Ool016i8000024]o
1goo00IoLR0000000008Bgl`Ool01TT00000000000iOoc]oo`00ZGoo00IM`29KOomoogk^0A87Ool0
14T00000029K1Woo00=^B000>_l00Woo00=nkP00>_l0<Goo00=^B07GOol0<goo00=^B07GOol027oo
00A90000000RF`Ioo`03KTP003[o009oo`03O^h003[o02eoo`03O^h024]o00Aoo`03O^h1egoo02ao
o`03O^h024]o00Aoo`03O^h1egoo00Eoo`04B@0000008U/6Ool00fi8000jo`02Ool00gk^000jo`0]
Ool00gmb800RF`03Ool00fi8000jo`0jOol00:Qoo`03O^h1egoo00=oo`03GL0RFgoo00Eoo`04KTP0
0008Bgl5Ool00gmb80iOo`04Ool00gk^00iOo`0`Ool00fi80MMoo`0cOol00fi80MMoo`08Ool016i8
000024]o1Goo00=oLR0>Gol017oo00=nkP0>Gol0;Goo00=nkP08Bgl0<goo00=nkP08Bgl02goo00A^
B00000Q;O`Eoo`03Og8P3Uoo00Aoo`03O^h03Uoo03=oo`03KTP14Woo03Uoo`00Z7oo00=M`29KOol0
0goo00=nkP4BOol05Goo00=omcP8Bgl0<7oo00=^B07GOol0<goo00=^B07GOol067oo00=omcP8Bgl0
;Woo00=oLR08Bgl0<goo00=oLR08Bgl06Woo00=omcP8Bgl0<goo00=omcP8Bgl0>Goo002XOol00dT0
>_moo`03Ool00gmb80iOo`0EOol00gog>0Q;O`0`Ool00fi80MMoo`0cOol00fi80MMoo`0HOol00gog
>0Q;O`0_Ool00gmb80Q;O`0cOol00gmb80Q;O`0IOol00gog>0Q;O`0cOol00gog>0Q;O`0iOol00:Mo
o`03OoLh24]o00Aoo`03Og8P3Uoo01Eoo`03OoLh3Uoo031oo`03KTP1egoo03=oo`03KTP1egoo01Qo
o`03OoLh3Uoo031oo`03Og8P24]o03=oo`03Og8P24]o01Qoo`03OoLh3Uoo03=oo`03KTP14Woo03Uo
o`00Ygoo00=omcP8Bgl017oo00=oLR0>Gol03goo00=oLR000A800goo00=9029KOol0<7oo00=^B07G
Ool0<goo00=^B07GOol04Woo00=oLR000A800goo00=9029KOol0<Goo00=oLR08Bgl0<goo00=oLR08
Bgl04Goo00=oLR000A800goo00=9029KOol0<Woo00=M`00>Gol0>Woo002WOol00gog>0Q;O`04Ool0
0gmb80iOo`0?Ool00gmb80i:B00300000b9KOomoo`0`Ool00fi80MMoo`0cOol00fi80MMoo`0BOol0
0gmb80i:B00300000b9KOomoo`0bOol00gmb80iOo`0cOol00gmb80iOo`0@Ool00gmb80i:B0030000
0b9KOomoo`0_Ool01Gmb80000008Bgl0>goo002XOol00dT8Bgmoo`03Ool00gmb80iOo`0?Ool00gmb
80iOo`0fOol00fi80MMoo`0cOol00fi80MMoo`0BOol00gmb80iOo`0iOol00fi80MMoo`0cOol00fi8
0MMoo`0?Ool00gmb80iOo`0hOol00gk^00Q;O`0jOol00:Qoo`03GL0jogoo00=oo`03O^h14Woo00mo
o`03Og8P3Uoo03Ioo`03KTP1egoo03=oo`03KTP1egoo019oo`03Og8P3Uoo03=oo`03BM9oogoo00=o
o`03O^h14Woo02eoo`03BM9oogoo00=oo`03O^h14Woo00moo`03Og8P3Uoo03Uoo`03KTP1egoo03Uo
o`00Z7oo00=nkP4BOol00goo00=M`29KOol03goo00=oLR0>Gol0=Woo00=^B07GOol0<goo00=^B07G
Ool04Woo00=oLR0>Gol0<Woo00=omcP0>_l017oo00=M`07GOol0;7oo00=omcP0>_l017oo00=M`07G
Ool03goo00=oLR0>Gol0>Goo00=^B07GOol0>Goo002YOol01Ug00MMoogooKTP14Q5oo`03Og8P3Uoo
03=oo`05B@00000>BTP1e`0aOol01DT000003TY80ML04goo00=oLR0>Gol0<goo00=nkP00>_l00Woo
00=M`00>Gol0;Woo00=nkP00>_l00Woo00=M`00>Gol047oo00=oLR0>Gol0<goo00=90008Bgl00Woo
00=nkP00>_l0>Woo002ZOol01Eg00000000>Gol04Goo00=oLR000000100000<jogooOol0;Woo00=n
kP000ML0<goo00=nkP000ML04goo00=oLR000000100000<jogooOol0;Goo00EoLR000000004B035o
o`05Og8P000000014P0BOol00gmb8000000400000c[oOomoo`0]Ool01Wmb8000000000Q;Oc]oo`00
ogooogoo@Woo003oOoooOom2Ool007Ioo`03001oogoo0?moolQoo`00MWoo00<007ooOol0ogoob7oo
001fOol00`00Oomoo`3oOoo8Ool007Ioo`03001oogoo0?mookQoo`03Og8P0000008000038U]oogoo
00Qoo`00MWoo00<007ooOol0ogoo]goo00=oLR08Bgl00goo00=M`04BKol027oo001fOol00`00Oomo
o`3oOongOol00eg0>_moo`04Ool00fi80MMoo`07Ool007Ioo`03001oogoo0?mookMoo`03GLQ;Ogoo
00Aoo`03Oo]924]o00Moo`00Jgooo`00]`003Woo00=^B3[oOol01Goo00=^B29KOol01Woo001fOol0
0`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool0
0`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool0
0`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool0
0`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool0
0`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool0
0`00Oomoo`0;Ool01@00Oomoogoo000027oo00<007ooOol03goo00=oLR7GOol01Goo00=nkR9KOol0
1Woo001fOol2000;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;
Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:
Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:
Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:
Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:
Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`0:
Ool00`00Oomoo`0;Ool01@00Oomoogoo000027oo00<007ooOol047oo00=^B29KOol017oo00=^B3[o
Ool01Woo001fOol20010Ool00`00Oomoo`0oOol00`00Oomoo`0oOol00`00Oomoo`0oOol00`00Oomo
o`0oOol00`00Oomoo`0oOol00`00Oomoo`0>Ool00`00Oomoo`0KOol00fi8000jo`02Ool00gog>0iO
o`07Ool007Ioo`03001oo`000?mooi]oo`03001oogoo01eoo`05GL00000000Q;O`08Ool007Ioo`03
001oo`000?mooiYoo`03001oogoo01ioo`03O^h003[o00Yoo`00MWoo00@007ooOol00?mooiUoo`03
001oogoo01eoo`03Og8Qegoo00]oo`00MWoo00@007ooOol00?mooiQoo`03001oogoo01ioo`03Og8Q
egoo009oo`03Og8Qegoo00Ioo`00MWoo0P000Woo00<007ooOol0ogooUGoo00<007ooOol07goo00In
kP0000000008Bgl7Ool007Ioo`05001oogooOol0003oOonFOol00`00Oomoo`0]Ool007Ioo`03001o
ogoo009oo`03001oogoo0?mooi=oo`03001oogoo02eoo`00MWoo00<007ooOol00Woo00<007ooOol0
ogooTWoo00<007ooOol0;Woo001fOol00`00Oomoo`03Ool00`00Oomoo`3oOonAOol00`00Oomoo`0^
Ool007Ioo`03001oogoo00=oo`03001oogoo0?mooi1oo`03001oogoo02moo`00MWoo00<007ooOol0
17oo00<007ooOol0ogooSgoo00<007ooOol0;goo001fOol00`00Oomoo`04Ool00`00Oomoo`3oOon>
Ool00`00Oomoo`0`Ool007Ioo`03001oogoo00Eoo`03001oogoo0?moohaoo`03001oogoo035oo`00
MWoo0P001Woo00<007ooOol0ogooS7oo00<007ooOol0<Goo001fOol00`00Oomoo`06Ool00`00Oomo
o`3oOon:Ool00`00Oomoo`0bOol007Ioo`03001oogoo00Ioo`03001oogoo0?moohYoo`03001oogoo
039oo`00MWoo00<007ooOol01goo00<007ooOol0ogooR7oo00<007ooOol0<goo001fOol00`00Oomo
o`07Ool00`00Oomoo`3oOon8Ool00`00Oomoo`0cOol007Ioo`03001oogoo00Qoo`03001oogoo0?mo
ohIoo`03001oogoo03Aoo`00MWoo00<007ooOol027oo00<007ooOol0ogooQWoo00<007ooOol0=7oo
001fOol00`00Oomoo`09Ool00`00Oomoo`3oOon4Ool00`00Oomoo`0eOol007Ioo`8000Yoo`03001o
ogoo0?moohAoo`03001oogoo03Eoo`00MWoo00<007ooOol02Woo00<007ooOol0ogooPWoo00<007oo
Ool0=Woo001fOol00`00Oomoo`0:Ool00`00Oomoo`3oOon2Ool00`00Oomoo`0fOol007Ioo`03001o
ogoo00]oo`03001oogoo0?mooh1oo`03001oogoo03Moo`00MWoo00<007ooOol02goo00<007ooOol0
ogooP7oo00<007ooOol0=goo001fOol00`00Oomoo`0<Ool00`00Oomoo`3oOomnOol00`00Oomoo`0h
Ool007Ioo`03001oogoo00aoo`03001oogoo0?moogioo`03001oogoo03Qoo`00MWoo00<007ooOol0
3Goo00<007ooOol0ogooO7oo00<007ooOol0>Goo001fOol2000>Ool00`00Oomoo`3oOomkOol00`00
Oomoo`0jOol007Ioo`03001oogoo00ioo`03001oogoo0?moogYoo`03001oogoo03Yoo`00MWoo00<0
07ooOol03Woo00<007ooOol0ogooNGoo00<007ooOol0>goo001WOol01Wmb8000000000Q;O`Uoo`03
001oogoo00moo`03001oogoo0?moogQoo`03001oogoo03]oo`00IWoo00=^B000>_l00Woo00=nkP00
>_l027oo00<007ooOol03goo00<007ooOol0ogooMgoo00<007ooOol0?7oo001UOol00gmb80iOo`04
Ool00gk^00iOo`07Ool00`00Oomoo`0@Ool00`00Oomoo`3oOomfOol00`00Oomoo`0lOol006aoo`03
OoLh24]o00Moo`03001oogoo011oo`03001oogoo0?moogEoo`03001oogoo03eoo`00K7oo00=omcP8
Bgl01goo00<007ooOol04Goo00<007ooOol0ogooM7oo00<007ooOol0?Goo001/Ool00gog>0iOo`07
Ool3000AOol00`00Oomoo`3oOomcOol00`00Oomoo`0nOol006Ioo`03Og8P004B00=oo`03B@0RFgoo
00Moo`03001oogoo019oo`03001oogoo0?moog9oo`03001oogoo03ioo`00IWoo00=oLR0>BTP00`00
00<RFgooOol01goo00<007ooOol04Woo00<007ooOol0ogooLGoo00<007ooOol0?goo001VOol00gmb
80iOo`0=Ool00`00Oomoo`0COol00`00Oomoo`3oOom`Ool00`00Oomoo`0oOol006Ioo`03Og8P3Uoo
00eoo`03001oogoo01Aoo`03001oogoo0?moofioo`03001oogoo041oo`00IWoo00=oLR0>Gol03Goo
00<007ooOol057oo00<007ooOol0ogooKWoo00<007ooOol0@7oo001VOol00gmb80iOo`0=Ool00`00
Oomoo`0EOol00`00Oomoo`3oOom/Ool00`00Oomoo`11Ool006Ioo`03Og8P000000@00003>_moogoo
00Ioo`03001oogoo01Eoo`03001oogoo0?moofaoo`03001oogoo045oo`00MWoo00<007ooOol05Woo
00<007ooOol0ogooJWoo00<007ooOol0@Woo001fOol2000GOol00`00Oomoo`3oOomZOol00`00Oomo
o`12Ool007Ioo`03001oogoo01Moo`03001oogoo0?moofQoo`03001oogoo04=oo`00MWoo00<007oo
Ool05goo00<007ooOol0ogooJ7oo00<007ooOol0@goo001fOol00`00Oomoo`0HOol00`00Oomoo`3o
OomVOol00`00Oomoo`14Ool007Ioo`03001oogoo01Qoo`03001oogoo0?moofIoo`03001oogoo04Ao
o`00MWoo00<007ooOol06Goo00<007ooOol0ogooI7oo00<007ooOol0AGoo001fOol00`00Oomoo`0I
Ool00`00Oomoo`3oOomTOol00`00Oomoo`15Ool007Ioo`03001oogoo01Yoo`03001oogoo0?moof9o
o`03001oogoo04Ioo`00MWoo0P0077oo00<007ooOol0ogooHGoo00<007ooOol0AWoo001fOol00`00
Oomoo`0KOol00`00Oomoo`3oOomPOol00`00Oomoo`17Ool007Ioo`03001oogoo01aoo`03001oogoo
0?mooemoo`03001oogoo04Moo`00MWoo00<007ooOol077oo00<007ooOol0ogooGWoo00<007ooOol0
B7oo001fOol00`00Oomoo`0MOol00`00Oomoo`3oOomMOol00`00Oomoo`18Ool007Ioo`03001oogoo
01eoo`03001oogoo0?mooeaoo`03001oogoo04Uoo`00MWoo00<007ooOol07Woo00<007ooOol0ogoo
Fgoo00<007ooOol0BGoo001fOol00`00Oomoo`0NOol00`00Oomoo`3oOomJOol00`00Oomoo`1:Ool0
07Ioo`80021oo`03001oogoo0?mooeUoo`03001oogoo04Yoo`00MWoo00<007ooOol07goo00<007oo
Ool0ogooF7oo00<007ooOol0Bgoo001fOol00`00Oomoo`0POol00`00Oomoo`3oOomGOol00`00Oomo
o`1;Ool007Ioo`03001oogoo025oo`03001oogoo0?mooeEoo`03001oogoo04aoo`00MWoo00<007oo
Ool08Goo00<007ooOol0ogooEGoo00<007ooOol0C7oo001fOol00`00Oomoo`0ROol00`00Oomoo`3o
OomCOol00`00Oomoo`1=Ool007Ioo`03001oogoo029oo`03001oogoo0?mooe=oo`03001oogoo04eo
o`00MWoo00<007ooOol08goo00<007ooOol0ogooDGoo00<007ooOol0CWoo001fOol00`00Oomoo`0S
Ool00`00Oomoo`3oOomAOol00`00Oomoo`1>Ool007Ioo`8002Eoo`03001oogoo0?moodmoo`03001o
ogoo04moo`00MWoo00<007ooOol097oo00<007ooOol0ogooCgoo00<007ooOol0Cgoo001fOol00`00
Oomoo`0UOol00`00Oomoo`3oOom=Ool00`00Oomoo`1@Ool005Yoo`03B@00000000@0000300iOogoo
00Aoo`05B@00000000iOo`09Ool00`00Oomoo`0UOol00`00Oomoo`3oOom<Ool00`00Oomoo`1AOol0
05eoo`03KTP1egoo00Moo`06GL0RFgooOomnkP4B2Goo00<007ooOol09Woo00<007ooOol0ogooBgoo
00<007ooOol0DGoo001MOol00fi80MMoo`06Ool00gk^0MMoo`03Ool00eg08U]oo`07Ool00`00Oomo
o`0WOol00`00Oomoo`3oOom9Ool00`00Oomoo`1BOol005eoo`03KTP1egoo00Ioo`03GL0RFgoo00=o
o`03O^h14Woo00Moo`03001oogoo02Moo`03001oogoo0?moodUoo`03001oogoo059oo`00GGoo00=^
B07GOol01Woo00=903[oOol00goo00=oLR0>Gol01goo00<007ooOol0:7oo00<007ooOol0ogooAgoo
00<007ooOol0Dgoo001MOol00fi80MMoo`05Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool3000XOol0
0`00Oomoo`3oOom7Ool00`00Oomoo`1COol005eoo`03KTP1egoo00Eoo`03OoLh24]o00Aoo`03Og8P
3Uoo00Moo`03001oogoo02Uoo`03001oogoo0?moodEoo`03001oogoo05Aoo`00GGoo00=^B07GOol0
1Goo00=omcP8Bgl017oo00=oLR0>Gol01goo00<007ooOol0:Goo00<007ooOol0ogooAGoo00<007oo
Ool0E7oo001MOol00fi80MMoo`06Ool00dT8Bgmoo`03Ool00gmb80iOo`07Ool00`00Oomoo`0ZOol0
0`00Oomoo`3oOom3Ool00`00Oomoo`1EOol005eoo`03KTP1egoo00Ioo`03GL0jogoo00=oo`03O^h1
4Woo00Moo`03001oogoo02Yoo`03001oogoo0?mood9oo`03001oogoo05Ioo`00GGoo00=^B07GOol0
1Woo00=nkP4BOol00goo00=M`29KOol01goo00<007ooOol0:goo00<007ooOol0ogoo@Goo00<007oo
Ool0EWoo001JOol01DT000003TY80ML027oo00IM`07GOomoofi80A89Ool00`00Oomoo`0/Ool00`00
Oomoo`3oOoloOol00`00Oomoo`1GOol005aoo`03O^h0007G00Uoo`05GL00000000iOo`09Ool00`00
Oomoo`0/Ool00`00Oomoo`3oOoloOol00`00Oomoo`1GOol007Ioo`8002ioo`03001oogoo0?mooceo
o`03001oogoo05Qoo`00MWoo00<007ooOol0;Goo00<007ooOol0ogoo?Goo00<007ooOol0F7oo001f
Ool00`00Oomoo`0^Ool00`00Oomoo`3oOolkOol00`00Oomoo`1IOol007Ioo`03001oogoo02ioo`03
001oogoo0?mooc]oo`03001oogoo05Uoo`00MWoo00<007ooOol0;goo00<007ooOol0ogoo>Goo00<0
07ooOol0FWoo001fOol00`00Oomoo`0_Ool00`00Oomoo`3oOoliOol00`00Oomoo`1JOol007Ioo`03
001oogoo031oo`03001oogoo0?moocMoo`03001oogoo05]oo`00MWoo00<007ooOol0<7oo00<007oo
Ool0ogoo=Woo00<007ooOol0G7oo001fOol00`00Oomoo`0aOol00`00Oomoo`3oOoleOol00`00Oomo
o`1LOol007Ioo`8003=oo`03001oogoo0?mooc=oo`03001oogoo05eoo`00MWoo00<007ooOol0<Woo
00<007ooOol0ogoo<goo00<007ooOol0GGoo001fOol00`00Oomoo`0cOol00`00Oomoo`3oOolaOol0
0`00Oomoo`1NOol007Ioo`03001oogoo03=oo`03001oogoo0?mooc5oo`03001oogoo05ioo`00MWoo
00<007ooOol0=7oo00<007ooOol0ogoo;goo00<007ooOol0Ggoo001fOol00`00Oomoo`0eOol00`00
Oomoo`3oOol]Ool00`00Oomoo`1POol007Ioo`03001oogoo03Eoo`03001oogoo0?moobeoo`03001o
ogoo061oo`00MWoo00<007ooOol0=Woo00<007ooOol0ogoo:goo00<007ooOol0HGoo001fOol2000g
Ool00`00Oomoo`3oOol[Ool00`00Oomoo`1QOol007Ioo`03001oogoo03Moo`03001oogoo0?moobUo
o`03001oogoo069oo`00MWoo00<007ooOol0=goo00<007ooOol0ogoo:Goo00<007ooOol0HWoo001f
Ool00`00Oomoo`0hOol00`00Oomoo`3oOolWOol00`00Oomoo`1SOol007Ioo`03001oogoo03Uoo`03
001oogoo0?moobEoo`03001oogoo06Aoo`00MWoo00<007ooOol0>Goo00<007ooOol0ogoo9Goo00<0
07ooOol0I7oo001fOol00`00Oomoo`0jOol00`00Oomoo`3oOolSOol00`00Oomoo`1UOol007Ioo`03
001oogoo03Yoo`03001oogoo0?moob=oo`03001oogoo06Eoo`00MWoo0P00?7oo00<007ooOol0ogoo
8Goo00<007ooOol0IWoo001fOol00`00Oomoo`0lOol00`00Oomoo`3oOolPOol00`00Oomoo`1VOol0
07Ioo`03001oogoo03aoo`03001oogoo0?mooamoo`03001oogoo06Moo`00FWoo00=9000000001000
00<03UooOol00goo00IoLR0000000008Bgl9Ool00`00Oomoo`0mOol00`00Oomoo`3oOolNOol00`00
Oomoo`1WOol005eoo`03KTP1egoo00Ioo`03KTP003[o009oo`03O^h003[o00Qoo`03001oogoo03eo
o`03001oogoo0?mooaeoo`03001oogoo06Qoo`00GGoo00=^B07GOol01Goo00=oLR0>Gol017oo00=n
kP0>Gol01goo00<007ooOol0?Woo00<007ooOol0ogoo6goo00<007ooOol0JGoo001MOol00fi80MMo
o`0<Ool00gog>0Q;O`07Ool00`00Oomoo`0nOol00`00Oomoo`3oOolKOol00`00Oomoo`1YOol005eo
o`03KTP1egoo00aoo`03OoLh24]o00Moo`03001oogoo03moo`03001oogoo0?mooaUoo`03001oogoo
06Yoo`00GGoo00=^B07GOol037oo00=omcP>Gol01goo0`00@7oo00<007ooOol0ogoo67oo00<007oo
Ool0JWoo001MOol00fi80MMoo`06Ool00gmb80014P03Ool00dT08U]oo`07Ool00`00Oomoo`10Ool0
0`00Oomoo`3oOolGOol00`00Oomoo`1[Ool005eoo`03KTP1egoo00Ioo`03Og8P3TY800<000038U]o
ogoo00Moo`03001oogoo045oo`03001oogoo0?mooaIoo`03001oogoo06]oo`00GGoo00=^B07GOol0
1Woo00=oLR0>Gol03Goo00<007ooOol0@Goo00<007ooOol0ogoo5Goo00<007ooOol0K7oo001MOol0
0fi80MMoo`06Ool00gmb80iOo`0=Ool00`00Oomoo`12Ool00`00Oomoo`3oOolCOol00`00Oomoo`1]
Ool005eoo`03KTP1egoo00Ioo`03Og8P3Uoo00eoo`03001oogoo04=oo`03001oogoo0?mooa9oo`03
001oogoo06eoo`00FWoo00E9000000i:B07G00Moo`03Og8P3Uoo00eoo`03001oogoo04=oo`03001o
ogoo0?mooa5oo`03001oogoo06ioo`00G7oo00=nkP000ML01goo00=oLR000000100000<jogooOol0
1Woo00<007ooOol0A7oo00<007ooOol0ogoo47oo00<007ooOol0KWoo001fOol00`00Oomoo`14Ool0
0`00Oomoo`3oOol?Ool00`00Oomoo`1_Ool007Ioo`8004Ioo`03001oogoo0?moo`eoo`03001oogoo
071oo`00MWoo00<007ooOol0AWoo00<007ooOol0ogoo37oo00<007ooOol0L7oo001fOol00`00Oomo
o`16Ool00`00Oomoo`3oOol;Ool00`00Oomoo`1aOol007Ioo`03001oogoo04Moo`03001oogoo0?mo
o`Uoo`03001oogoo079oo`00MWoo00<007ooOol0Agoo00<007ooOol0ogoo2Goo00<007ooOol0LWoo
001fOol00`00Oomoo`18Ool00`00Oomoo`3oOol7Ool00`00Oomoo`1cOol007Ioo`03001oogoo04Qo
o`03001oogoo0?moo`Moo`03001oogoo07=oo`00MWoo00<007ooOol0BGoo00<007ooOol0ogoo1Goo
00<007ooOol0M7oo001fOol2001;Ool00`00Oomoo`3oOol3Ool00`00Oomoo`1eOol007Ioo`03001o
ogoo04Yoo`03001oogoo0?moo`=oo`03001oogoo07Eoo`00MWoo00<007ooOol0Bgoo00<007ooOol0
ogoo0Goo00<007ooOol0MWoo001fOol00`00Oomoo`1;Ool00`00Oomoo`3oOol00`00Oomoo`1gOol0
07Ioo`03001oogoo04aoo`03001oogoo0?ioo`03001oogoo07Moo`00MWoo00<007ooOol0CGoo00<0
07ooOol0o7oo00<007ooOol0N7oo001fOol00`00Oomoo`1=Ool00`00Oomoo`3lOol00`00Oomoo`1h
Ool007Ioo`03001oogoo04ioo`03001oogoo0?Yoo`03001oogoo07Uoo`00MWoo0P00Cgoo00<007oo
Ool0nGoo00<007ooOol0NWoo001fOol00`00Oomoo`1?Ool00`00Oomoo`3hOol00`00Oomoo`1jOol0
07Ioo`03001oogoo04moo`03001oogoo0?Moo`03001oogoo07]oo`00MWoo00<007ooOol0D7oo00<0
07ooOol0mGoo00<007ooOol0O7oo001fOol00`00Oomoo`1AOol00`00Oomoo`3dOol00`00Oomoo`1l
Ool007Ioo`03001oogoo055oo`03001oogoo0?=oo`03001oogoo07eoo`00MWoo00<007ooOol0DWoo
00<007ooOol0lWoo00<007ooOol0OGoo001fOol00`00Oomoo`1BOol00`00Oomoo`3aOol00`00Oomo
o`1nOol007Ioo`03001oogoo05=oo`03001oogoo0>moo`03001oogoo07moo`00MWoo0P00EGoo00<0
07ooOol0kWoo00<007ooOol0Ogoo001fOol00`00Oomoo`1DOol00`00Oomoo`3]Ool00`00Oomoo`20
Ool007Ioo`03001oogoo05Eoo`03001oogoo0>]oo`03001oogoo085oo`00FGoo00=^B00000001@00
00<14WooOol017oo00E9000000003Uoo00Uoo`03001oogoo05Ioo`03001oogoo0>Yoo`03001oogoo
085oo`00FGoo00=nkP08Bgl017oo00=nkP7GOol017oo00IM`29KOomoogk^0A89Ool00`00Oomoo`1G
Ool00`00Oomoo`3XOol00`00Oomoo`22Ool005Yoo`03O^h024]o00Uoo`03O^h1egoo00=oo`03GL0R
Fgoo00Moo`03001oogoo05Moo`03001oogoo0>Moo`03001oogoo08=oo`00Fgoo00=oLR08Bgl027oo
00=M`29KOol00goo00=nkP4BOol01goo00<007ooOol0F7oo00<007ooOol0iWoo00<007ooOol0Pgoo
001LOol00gmb80Q;O`07Ool00dT0>_moo`03Ool00gmb80iOo`07Ool00`00Oomoo`1IOol00`00Oomo
o`3TOol00`00Oomoo`24Ool005eoo`03Og8P24]o00Eoo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`<0
05Uoo`03001oogoo0>=oo`03001oogoo08Eoo`00GWoo00=oLR08Bgl017oo00=omcP8Bgl017oo00=o
LR0>Gol01goo00<007ooOol0FWoo00<007ooOol0hWoo00<007ooOol0QGoo001OOol00gmb80iOo`03
Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool00`00Oomoo`1KOol00`00Oomoo`3POol00`00Oomoo`26
Ool0061oo`03KTP1egoo00=oo`03B@Q;Ogoo00=oo`03Og8P3Uoo00Moo`03001oogoo05]oo`03001o
ogoo0=moo`03001oogoo08Moo`00FWoo00=9dWooOol00goo00=nkP4BOol00goo00=M`3[oOol00goo
00=nkP4BOol01goo00<007ooOol0G7oo00<007ooOol0gGoo00<007ooOol0R7oo001IOol00gog>00j
o`04Ool00eg00MMoo`03Ool00gk^0A9oo`03Ool00eg08U]oo`07Ool00`00Oomoo`1MOol00`00Oomo
o`3LOol00`00Oomoo`28Ool005Yoo`03O^h003[o009oo`03GL003Uoo00Eoo`06GL01egooOom^B04B
2Goo00<007ooOol0GWoo00<007ooOol0fWoo00<007ooOol0RGoo001KOol01Gmb800000000A8027oo
00EM`00000003Uoo00Uoo`03001oogoo05ioo`03001oogoo0=Uoo`03001oogoo08Yoo`00MWoo0P00
H7oo00<007ooOol0f7oo00<007ooOol0RWoo001fOol00`00Oomoo`1POol00`00Oomoo`3FOol00`00
Oomoo`2;Ool007Ioo`03001oogoo061oo`03001oogoo0=Eoo`03001oogoo08aoo`00MWoo00<007oo
Ool0HGoo00<007ooOol0e7oo00<007ooOol0S7oo001fOol00`00Oomoo`1ROol00`00Oomoo`3BOol0
0`00Oomoo`2=Ool007Ioo`03001oogoo06=oo`03001oogoo0=1oo`03001oogoo08ioo`00MWoo00<0
07ooOol0Hgoo00<007ooOol0d7oo00<007ooOol0SWoo001fOol00`00Oomoo`1TOol00`00Oomoo`3>
Ool00`00Oomoo`2?Ool007Ioo`03001oogoo06Eoo`03001oogoo0<aoo`03001oogoo091oo`00MWoo
0P00IWoo00<007ooOol0bgoo00<007ooOol0TGoo001fOol00`00Oomoo`1VOol00`00Oomoo`3:Ool0
0`00Oomoo`2AOol007Ioo`03001oogoo06Moo`03001oogoo0<Qoo`03001oogoo099oo`00MWoo00<0
07ooOol0J7oo00<007ooOol0aWoo00<007ooOol0Tgoo001fOol00`00Oomoo`1XOol00`00Oomoo`35
Ool00`00Oomoo`2DOol007Ioo`03001oogoo06Uoo`03001oogoo0<Aoo`03001oogoo09Aoo`00MWoo
00<007ooOol0JWoo00<007ooOol0`Woo00<007ooOol0UGoo001fOol00`00Oomoo`1[Ool00`00Oomo
o`30Ool00`00Oomoo`2FOol007Ioo`8006aoo`03001oogoo0;moo`03001oogoo09Moo`00MWoo00<0
07ooOol0K7oo00<007ooOol0_Goo00<007ooOol0V7oo001fOol00`00Oomoo`1]Ool00`00Oomoo`2l
Ool00`00Oomoo`2HOol007Ioo`03001oogoo06ioo`03001oogoo0;Yoo`03001oogoo09Uoo`00MWoo
00<007ooOol0KWoo00<007ooOol0^Goo00<007ooOol0VWoo001fOol00`00Oomoo`1_Ool00`00Oomo
o`2gOol00`00Oomoo`2KOol007Ioo`03001oogoo071oo`03001oogoo0;Eoo`03001oogoo09aoo`00
MWoo00<007ooOol0LGoo00<007ooOol0]7oo00<007ooOol0W7oo001fOol2001bOol00`00Oomoo`2c
Ool00`00Oomoo`2MOol007Ioo`03001oogoo079oo`03001oogoo0;5oo`03001oogoo09ioo`00MWoo
00<007ooOol0Lgoo00<007ooOol0[goo00<007ooOol0Wgoo001IOol00fi80000000500000`4BOomo
o`03Ool01Wmb8000000000Q;O`Uoo`03001oogoo07Aoo`03001oogoo0:ioo`03001oogoo09moo`00
FGoo00=nkP08Bgl017oo00=nkP7GOol00goo00=^B000>_l00Woo00=nkP00>_l027oo00<007ooOol0
M7oo00<007ooOol0[Goo00<007ooOol0X7oo001JOol00gk^00Q;O`08Ool00gmb80iOo`04Ool00gk^
00iOo`07Ool00`00Oomoo`1eOol00`00Oomoo`2[Ool00`00Oomoo`2QOol005]oo`03Og8P24]o00io
o`03OoLh24]o00Moo`03001oogoo07Ioo`03001oogoo0:Uoo`03001oogoo0:9oo`00G7oo00=oLR08
Bgl03Goo00=omcP8Bgl01gooo`00X@00:Woo001MOol00gmb80Q;O`0<Ool00gog>0iOo`07Ool3001h
Ool00`00Oomoo`2UOol00`00Oomoo`2TOol005ioo`03Og8P24]o00Eoo`03Og8P004B00=oo`03B@0R
Fgoo00Moo`03001oogoo07Uoo`03001oogoo0:=oo`03001oogoo0:Eoo`00Ggoo00=oLR0>Gol017oo
00=oLR0>BTP00`0000<RFgooOol01goo00<007ooOol0NWoo00<007ooOol0XGoo00<007ooOol0YWoo
001POol00fi80MMoo`03Ool00gmb80iOo`0=Ool00`00Oomoo`1kOol00`00Oomoo`2OOol00`00Oomo
o`2WOol005Yoo`03BM9oogoo00=oo`03O^h14Woo00=oo`03Og8P3Uoo00eoo`03001oogoo07aoo`03
001oogoo09eoo`03001oogoo0:Qoo`00FGoo00=omcP0>_l017oo00=M`07GOol00goo00=oLR0>Gol0
3Goo00<007ooOol0OGoo00<007ooOol0Vgoo00<007ooOol0ZGoo001JOol00gk^000jo`02Ool00eg0
00iOo`04Ool00gmb80iOo`0=Ool00`00Oomoo`1nOol00`00Oomoo`2IOol00`00Oomoo`2ZOol005]o
o`05Og8P000000014P06Ool00gmb8000000400000c[oOomoo`06Ool00`00Oomoo`1oOol00`00Oomo
o`2HOol00`00Oomoo`2ZOol007Ioo`03001oogoo081oo`03001oogoo09Ioo`03001oogoo0:]oo`00
MWoo0P00PWoo00<007ooOol0U7oo00<007ooOol0[7oo001fOol00`00Oomoo`22Ool00`00Oomoo`2B
Ool00`00Oomoo`2]Ool007Ioo`03001oogoo08=oo`03001oogoo091oo`03001oogoo0:ioo`00MWoo
00<007ooOol0Q7oo00<007ooOol0SWoo00<007ooOol0[goo001fOol00`00Oomoo`25Ool00`00Oomo
o`2<Ool00`00Oomoo`2`Ool007Ioo`03001oogoo08Ioo`03001oogoo08Yoo`03001oogoo0;5oo`00
MWoo00<007ooOol0Qgoo00<007ooOol0R7oo00<007ooOol0/Woo001fOol00`00Oomoo`28Ool00`00
Oomoo`26Ool00`00Oomoo`2cOol007Ioo`8008Yoo`03001oogoo08Aoo`03001oogoo0;Aoo`00MWoo
00<007ooOol0RWoo0P00Pgoo00<007ooOol0]Goo001fOol00`00Oomoo`2<Ool00`00Oomoo`1nOol2
002hOol007Ioo`03001oogoo08eoo`03001oogoo07aoo`03001oogoo0;Qoo`00MWoo00<007ooOol0
SWoo00<007ooOol0NWoo00<007ooOol0^Goo001fOol00`00Oomoo`2?Ool00`00Oomoo`1hOol00`00
Oomoo`2jOol007Ioo`03001oogoo091oo`8007Moo`03001oogoo0;]oo`00MWoo00<007ooOol0TWoo
00<007ooOol0Lgoo00<007ooOol0_7oo001fOol2002DOol00`00Oomoo`1aOol00`00Oomoo`2mOol0
07Ioo`03001oogoo09Aoo`03001oogoo06ioo`800<1oo`00MWoo00<007ooOol0UGoo00<007ooOol0
K7oo00<007ooOol0`7oo001fOol00`00Oomoo`2FOol2001[Ool00`00Oomoo`31Ool007Ioo`03001o
ogoo09Qoo`03001oogoo06Moo`03001oogoo0<9oo`00MWoo00<007ooOol0VGoo00<007ooOol0IGoo
00<007ooOol0`goo001fOol00`00Oomoo`2JOol00`00Oomoo`1ROol20036Ool007Ioo`03001oogoo
09]oo`80061oo`800<Qoo`00MWoo00<007ooOol0WGoo00<007ooOol0G7oo00<007ooOol0b7oo001f
Ool2002OOol00`00Oomoo`1IOol2003;Ool007Ioo`03001oogoo09moo`8005Qoo`03001oogoo0<]o
o`00MWoo00<007ooOol0XGoo00<007ooOol0Dgoo0P00cWoo001KOol01TT00000000000iOo`Moo`05
B@00000000iOo`09Ool00`00Oomoo`2ROol2001AOol2003@Ool005Uoo`03Og8P029K00=oo`03KTP0
03[o00Eoo`06GL0RFgooOomnkP4B2Goo00<007ooOol0Y7oo0P00CWoo00<007ooOol0d7oo001POol0
0fi80A9oo`03Ool00gk^0MMoo`03Ool00eg08U]oo`07Ool00`00Oomoo`2VOol2001:Ool2003COol0
061oo`03OoLh24]o00=oo`03GL0RFgoo00=oo`03O^h14Woo00Moo`03001oogoo0:Qoo`8004Ioo`80
0=Eoo`00H7oo00=omcP8Bgl00goo00=903[oOol00goo00=oLR0>Gol01goo00<007ooOol0ZWoo0P00
@goo00<007ooOol0eGoo001POol00fi80A9oo`02Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool3002/
Ool2000oOol2003HOol005moo`03GL003Uoo00=oo`03OoLh24]o00Aoo`03Og8P3Uoo00Moo`03001o
ogoo0:ioo`8003]oo`800=Yoo`00G7oo00EoLR00000024]o00Aoo`03OoLh24]o00Aoo`03Og8P3Uoo
00Moo`03001oogoo0;1oo`8003Moo`800=aoo`00Ggoo00=nkP08Bgl017oo00=924]oOol00goo00=o
LR0>Gol01goo00<007ooOol0/Woo0P00<Goo1000gWoo001POol00fi80MMoo`03Ool00eg0>_moo`03
Ool00gk^0A9oo`07Ool00`00Oomoo`2dOol2000[Ool4003ROol0061oo`03KTP1egoo00=oo`03O^h1
4Woo00=oo`03GL0RFgoo00Moo`03001oogoo0;Ioo`@002Eoo`800>Ioo`00FWoo00=90008Bgl00Woo
00=nkP00>_l01Goo00IM`07GOomoofi80A89Ool00`00Oomoo`2jOol5000MOol3003XOol005]oo`06
Og8P0000000024]o1goo00EM`00000003Uoo00Uoo`03001oogoo0;moo`H0011oo`L00>]oo`00MWoo
0P00aWoo4000lWoo001fOol00`00Oomoo`3oOoo8Ool007Ioo`03001oogoo0?moolQoo`00MWoo00<0
07ooOol0ogoob7oo001fOol00`00Oomoo`3oOoo8Ool007Ioo`03001oogoo0?moolQoo`00MWoo00<0
07ooOol0ogoob7oo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mo
oomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2
Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo000L
Ool00eg00000000200000b9KOomoo`0SOol00gog>A9_o`0VOol00eg00000000200000b9KOomoo`0B
Ool00gokB@iOo`0`Ool01Fi80000004BKol047oo00EondT00000029K0?moofYoo`007Goo00=oLR0>
Gol05Woo00=oLR00>_l03Woo00=Mb4]oOol09goo00=oLR0>Gol05goo00=oLSYKOol0;goo00=^B3[o
Ool05Goo00=nkR9KOol0ogooJGoo000MOol00gmb80iOo`0FOol00gog>0014P0=Ool00gog>A9_o`0A
Ool00gk^8U]oo`0DOol00gmb80iOo`0GOol00gokB@iOo`0_Ool00fi8>_moo`0EOol00gk^8U]oo`3o
OomYOol001eoo`03Og8P3Uoo01Moo`03GL0003[o00aoo`03KTPjogoo015oo`03OoLh3Uoo01Aoo`03
Og8P3Uoo01Qoo`03O^hRFgoo02ioo`03KTPjogoo01Eoo`03O^hRFgoo0?moofUoo`0017oo00=nkP00
00001`0000<1egk^00000`0000@RFgooOomM`0<0000600iOogmb80iOoeg00`0000<14WooOol00Woo
00=oLR0000001@0000<14WooOol00goo00=nkP000A802goo00=ondT>Gol017oo00=nkP0000000P00
00LRFgooOomoodT000014P03Ool00fi8>_moo`07Ool00gog>00000050000200>GomoogooOg8P3Uoo
GL0300000`4BOomoo`02Ool00gmb8000000500000`4BOomoo`04Ool00gog>A9_o`06Ool00gk^0A9^
B00400000`7GOomoo`02Ool00gk^00000006000013[oOomoLR000P0000@03UooOoLh0080000300Q;
Ogoo00Aoo`03KTPjogoo00Ioo`03Og8P0000008000038U]oogoo00Moo`03O^hRFgoo0?moofUoo`00
1Woo00=M`29KOol017oo00I^B07GOomoodT0>_l6Ool025g08U]oogooOg8P3R400ML3Ool00fi80A9o
o`05Ool00fi80MMoo`08Ool017mb800003[o2Woo00=oLR7GOol01Woo00=M`29KOol00goo00=nkP0>
Gol017oo00=oLR4BKol02goo00=^B07GOol01Goo00AoLR0>8@01e`=oo`03KTP14Woo00Eoo`03KTP1
egoo00Yoo`03GLQ;Ogoo00Eoo`03O^h0004B00Aoo`03GL01egoo00Ioo`03KTP1egoo00Ioo`03GL0R
Fgoo00=oo`03KTP1egoo00Ioo`03KTPjogoo00Eoo`03Og8P24]o00=oo`03GL014Voo00Moo`03O^hR
Fgoo0?moofUoo`001Woo00=M`29KOol017oo00I^B07GOomoodT0>_l6Ool01eg08U]oogooOg8P029K
00Eoo`03KTPRFgoo00Aoo`03KTP1egoo00Uoo`04B@00000>Gol9Ool00gk^8U]oo`06Ool00eg08U]o
o`03Ool00eg08U]oo`05Ool00eg8Bgmoo`0:Ool00fi80MMoo`05Ool00gmb800RF`05Ool00fi88U]o
o`04Ool00fi80MMoo`0:Ool00fi8>_moo`05Ool00gk^0A9oo`04Ool00gog>0Q;O`06Ool00fi80MMo
o`06Ool00eg08U]oo`03Ool00fi80MMoo`06Ool00fi8>_moo`05Ool00eg0>_moo`04Ool00fi80MMo
o`06Ool00gk^8U]oo`3oOomYOol000Ioo`03GL0RFgoo00Aoo`06KTPRFgooOom903[o1Woo00MM`29K
Oomoogmb80Q;O`05Ool00gmb8A9oo`04Ool00fi80MMoo`0FOol00fi8>_moo`06Ool00eg08U]oo`02
Ool00gmb80iOo`06Ool00gk^0MMoo`0:Ool00fi80MMoo`05Ool00gmb80Q;O`05Ool00gmb8A9oo`04
Ool00fi80MMoo`0:Ool00gk^8U]oo`0=Ool00dT0>_moo`05Ool00fi80MMoo`06Ool00eg08U]oo`03
Ool00fi80MMoo`06Ool00fi8>_moo`05Ool00eg8Bgmoo`04Ool00gokB@Q;O`06Ool00gk^8U]oo`3o
OomYOol000Ioo`06GL0RFgooOoLh3Uoo1Goo00I903[oOomoodT00A82Ool01eg08U]oogooOg8P3Uoo
00Eoo`03Og8P3Uoo00Aoo`03KTP1egoo01Ioo`03KTPjogoo00Ioo`03GL0RFgoo009oo`03B@0RFgoo
00Ioo`03Oo]93Uoo00Yoo`03KTP1egoo00Eoo`03Og8P3Uoo00Eoo`03Og8P3Uoo00Aoo`03KTP1egoo
00Yoo`03O^hRFgoo00aoo`03OoLh03[o00Ioo`03KTP1egoo00Ioo`03GL0RFgoo00=oo`03KTP1egoo
00Ioo`03KTPjogoo00Eoo`03KTPjogoo00Eoo`03KTPRFgoo00Eoo`03O^hRFgoo0?moofUoo`001Woo
00IM`29KOomomcP8Bgl5Ool014T0>_moogk^0P0000@jogooGL0RF`9oo`03Og8P24]o00Eoo`03Og8Q
4Woo00Aoo`03KTP1egoo01Ioo`03KTPRFgoo00Ioo`06GL00007GOg8P007G2Goo00=^B29KOol02Goo
00=^B07GOol01Goo00=oLR08Bgl01Goo00=oLR4BOol017oo00=^B07GOol02Woo00=nkR9KOol02goo
00=omcP00A801goo00=^B07GOol01Woo00=M`29KOol00goo00=^B07GOol01Woo00=^B3[oOol01Goo
00=oLR7GOol01Goo00=nkR9KOol01Goo00=nkR9KOol0ogooJGoo0006Ool01Ug00000000000Q;O`Eo
o`0:B@0jogooB@0RFfi80MMooeg08U/2Ool00gmb800RF`05Ool00fi88U]oo`04Ool00fi80MMoo`0F
Ool00gk^0MMoo`06Ool01Eg08U]M`008Bgl02Woo00=omcTBKol02Goo00=^B07GOol01Goo00=oLR00
8U/01Goo00=^B29KOol017oo00=^B07GOol02Woo00=^B3[oOol01goo00=omcP000000P0000<jogoo
Ool01Woo00=^B07GOol01Woo00=M`008Bgl00goo00=^B07GOol01Woo00=^B3[oOol01Woo00=^B29K
Ool017oo00=^B3[oOol01Goo00=nkR9KOol0ogooJGoo0006Ool01Ug08U]oogog>0Q;O`Eoo`0:B@0j
ogmb80Q;Ogmb80Q;Oeg08U/2Ool017mb80hQ007G0goo00=M`04BOol01Goo00=^B07GOol05Woo00=o
LR4BKol01Woo00IM`29KOom^B00>Gol:Ool00eg0>_moo`08Ool00fi80MMoo`05Ool017mb80hQ007G
0goo00=M`04BOol01Goo00=^B07GOol02Goo00=ondT8Bgl01goo00=^B000>_l037oo00=^B07GOol0
1Woo00QM`27>80iOogooOg8P03[o1goo00=^B3[oOol01goo00=^B000>_l00Woo00=omcP>Gol01Woo
00=nkR9KOol0ogooJGoo0006Ool01Ug08U]oogog>0iOo`Eoo`04B@0joeg00ML2Ool02TT08U]M`29K
OomM`00000iOodT00`0000<1egooOol00goo00=900000000100000<03UooOol04Goo00=ondT8Bgl0
1Woo00MM`29KOomoogk^00Q;O`09Ool00gmb8MMoo`08Ool00fi80MMoo`04Ool01Eg000003UooB@00
0`0000<1egooOol00goo00=900000000100000<03UooOol017oo00=omcTBKol01goo00=903[oOol0
2Goo00E^B0000000007G00Eoo`05Og8P00008U]nkP0300000b9KOomoo`06Ool00fi8>_moo`09Ool0
1Eg000000008Bgl01goo00=nkR9KOol0ogooJGoo0006Ool00eg08U]oo`03Ool00gog>0Q;O`02Ool0
14T0>U8P24]o0Woo00AnkP0>>L0RFa5oo`03KTP1egoo01Moo`03KTPRFgoo00Eoo`03GL0RFgoo009o
o`03Og8P03[o00Qoo`03Oo]924]o00Qoo`03KTP1egoo01Aoo`03KTP1egoo00Uoo`03KTPjogoo00Mo
o`03B@0jogoo00=oo`03Og8P3Uoo01ioo`03KTPjogoo00Uoo`03O^h003[o00Uoo`03O^hRFgoo0?mo
ofUoo`001Woo00=M`29KOol00goo00=omcP8Bgl00Woo00=902480A800goo00AomcP0000RFa5oo`03
KTP1egoo01Moo`03OoLh3Uoo00Eoo`03GL0RFgoo00=oo`03OoLh029K00Qoo`03O^hRFgoo00Moo`03
KTP1egoo01Aoo`03KTP1egoo00Qoo`03Oo]93Uoo00Qoo`03KTP03Uoo009oo`04OoLh000>GolNOol0
0fi8>_moo`08Ool00gmb8MMoo`0:Ool00gk^8U]oo`3oOomYOol000Aoo`03O^h0000000H0000400Q;
OgooB@0200000c[oOomoo`02Ool016i80000007G47oo00=oLR08Bgl067oo00=^B3[oOol00Woo00=n
kP0000000P0000@RFgooOoLh0080000300iOogoo00Eoo`03OoLh3Uoo00=oo`03OoLh000000D00003
00iOogoo011oo`03Og8P24]o00Qoo`03O^hRFgoo00Uoo`03O^h0000000800003>U8P3Uoo00Eoo`03
OoLh007G01Ioo`03KTPjogoo00Qoo`03Og8Qegoo009oo`03Og8Qegoo00Eoo`03O^hRFgoo0?moofUo
o`00;Goo00=nkP0000000P0000<03UooOol04Woo00=omcTBKol05Woo00=^B3[oOol07Woo00=nkP00
00000P0000L03UooOomoogokBM9_o`0GOol00gog>001e`0FOol01Fi80000004BKol01goo00InkP00
00000008Bgl3Ool01GokB@0000008U/0ogooJWoo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomo
od9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool0
0?mooomood9oo`00\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.891802, -4.73228, \
0.015115, 0.240877}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[\((K/Ipf)\) Sin[\[Delta]] == EMpf, {\[Delta], 2.5, 
        3}]\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({\[Delta] \[Rule] 2.2088994776425057`}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(\(EMeq = \((Me/Ie)\)*g*
          r;\)\[IndentingNewLine]
    \(EMf = \((Mf/Ifa)\)*g*r;\)\[IndentingNewLine]
    \(EMpf = \((Mpf/Ipf)\)*g*r;\)\)\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(x1 = 0.5417667059100826;\)\), "\[IndentingNewLine]", 
    \(\(x2 = 
        2.2088994776425057;\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(A1 = \[Integral]\_x1\%xm\((1/Ifa)\) \((Mf - 
              K*Sin[x])\) \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(A2 = \[Integral]\_xm\%x2\((1/Ipf)\) \((Mpf - 
              K*Sin[x])\) \[DifferentialD]x\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-48.72172540854105`\) + 36.598782431706056`\ xm + 
      33.72287206749205`\ Cos[xm]\)], "Output"],

Cell[BoxData[
    \(\(\(37.53086291766785`\)\(\[InvisibleSpace]\)\) - 
      25.334892579682332`\ xm - 30.942095330686005`\ Cos[xm]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(A = 
      A1 + A2\)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\(\
\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[BoxData[
    \(\(-11.1908624908732`\) + 11.263889852023723`\ xm + 
      2.780776736806043`\ Cos[xm]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"Plot", "[", 
        RowBox[{
          FormBox[
            
            FormBox[\(\(-11.1908624908732\) + 11.263889852023723  xm + 
                2.780776736806043  Cos[xm]\),
              "TraditionalForm"],
            "TraditionalForm"], ",", \({xm, 0, Pi}\), 
          ",", \(AxesLabel -> {"\<\[Delta]\>", "\<A1+A2=0 \>"}\)}], "]"}], 
      ";"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.303152 0.18069 0.0197353 [
[.17539 .16819 -9 -9 ]
[.17539 .16819 9 0 ]
[.32696 .16819 -3 -9 ]
[.32696 .16819 3 0 ]
[.47854 .16819 -9 -9 ]
[.47854 .16819 9 0 ]
[.63011 .16819 -3 -9 ]
[.63011 .16819 3 0 ]
[.78169 .16819 -9 -9 ]
[.78169 .16819 9 0 ]
[.93327 .16819 -3 -9 ]
[.93327 .16819 3 0 ]
[1.025 .18069 0 -6.375 ]
[1.025 .18069 10 6.375 ]
[.01131 .08201 -12 -4.5 ]
[.01131 .08201 0 4.5 ]
[.01131 .27937 -6 -4.5 ]
[.01131 .27937 0 4.5 ]
[.01131 .37804 -12 -4.5 ]
[.01131 .37804 0 4.5 ]
[.01131 .47672 -12 -4.5 ]
[.01131 .47672 0 4.5 ]
[.01131 .5754 -12 -4.5 ]
[.01131 .5754 0 4.5 ]
[.02381 .64303 -26 0 ]
[.02381 .64303 26 12.75 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17539 .18069 m
.17539 .18694 L
s
[(0.5)] .17539 .16819 0 1 Mshowa
.32696 .18069 m
.32696 .18694 L
s
[(1)] .32696 .16819 0 1 Mshowa
.47854 .18069 m
.47854 .18694 L
s
[(1.5)] .47854 .16819 0 1 Mshowa
.63011 .18069 m
.63011 .18694 L
s
[(2)] .63011 .16819 0 1 Mshowa
.78169 .18069 m
.78169 .18694 L
s
[(2.5)] .78169 .16819 0 1 Mshowa
.93327 .18069 m
.93327 .18694 L
s
[(3)] .93327 .16819 0 1 Mshowa
.125 Mabswid
.05412 .18069 m
.05412 .18444 L
s
.08444 .18069 m
.08444 .18444 L
s
.11476 .18069 m
.11476 .18444 L
s
.14507 .18069 m
.14507 .18444 L
s
.2057 .18069 m
.2057 .18444 L
s
.23602 .18069 m
.23602 .18444 L
s
.26633 .18069 m
.26633 .18444 L
s
.29665 .18069 m
.29665 .18444 L
s
.35728 .18069 m
.35728 .18444 L
s
.38759 .18069 m
.38759 .18444 L
s
.41791 .18069 m
.41791 .18444 L
s
.44822 .18069 m
.44822 .18444 L
s
.50885 .18069 m
.50885 .18444 L
s
.53917 .18069 m
.53917 .18444 L
s
.56948 .18069 m
.56948 .18444 L
s
.5998 .18069 m
.5998 .18444 L
s
.66043 .18069 m
.66043 .18444 L
s
.69074 .18069 m
.69074 .18444 L
s
.72106 .18069 m
.72106 .18444 L
s
.75138 .18069 m
.75138 .18444 L
s
.81201 .18069 m
.81201 .18444 L
s
.84232 .18069 m
.84232 .18444 L
s
.87264 .18069 m
.87264 .18444 L
s
.90295 .18069 m
.90295 .18444 L
s
.96358 .18069 m
.96358 .18444 L
s
.9939 .18069 m
.9939 .18444 L
s
.25 Mabswid
0 .18069 m
1 .18069 L
s
gsave
1.025 .18069 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 13.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .08201 m
.03006 .08201 L
s
[(-5)] .01131 .08201 1 0 Mshowa
.02381 .27937 m
.03006 .27937 L
s
[(5)] .01131 .27937 1 0 Mshowa
.02381 .37804 m
.03006 .37804 L
s
[(10)] .01131 .37804 1 0 Mshowa
.02381 .47672 m
.03006 .47672 L
s
[(15)] .01131 .47672 1 0 Mshowa
.02381 .5754 m
.03006 .5754 L
s
[(20)] .01131 .5754 1 0 Mshowa
.125 Mabswid
.02381 .10175 m
.02756 .10175 L
s
.02381 .12148 m
.02756 .12148 L
s
.02381 .14122 m
.02756 .14122 L
s
.02381 .16095 m
.02756 .16095 L
s
.02381 .20043 m
.02756 .20043 L
s
.02381 .22016 m
.02756 .22016 L
s
.02381 .2399 m
.02756 .2399 L
s
.02381 .25963 m
.02756 .25963 L
s
.02381 .2991 m
.02756 .2991 L
s
.02381 .31884 m
.02756 .31884 L
s
.02381 .33857 m
.02756 .33857 L
s
.02381 .35831 m
.02756 .35831 L
s
.02381 .39778 m
.02756 .39778 L
s
.02381 .41751 m
.02756 .41751 L
s
.02381 .43725 m
.02756 .43725 L
s
.02381 .45698 m
.02756 .45698 L
s
.02381 .49645 m
.02756 .49645 L
s
.02381 .51619 m
.02756 .51619 L
s
.02381 .53592 m
.02756 .53592 L
s
.02381 .55566 m
.02756 .55566 L
s
.02381 .06228 m
.02756 .06228 L
s
.02381 .04254 m
.02756 .04254 L
s
.02381 .02281 m
.02756 .02281 L
s
.02381 .00307 m
.02756 .00307 L
s
.02381 .59513 m
.02756 .59513 L
s
.02381 .61487 m
.02756 .61487 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.02381 .64303 -87 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(A1) show
75.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(A2) show
93.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
111.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .0426 L
.10458 .07201 L
.14415 .09869 L
.18221 .12354 L
.22272 .14917 L
.26171 .17311 L
.30316 .19786 L
.34309 .22111 L
.3815 .24303 L
.42237 .26599 L
.46172 .28786 L
.49955 .30877 L
.53984 .33104 L
.57861 .35259 L
.61984 .37576 L
.65954 .39844 L
.69774 .4207 L
.73838 .44498 L
.77751 .469 L
.81909 .49533 L
.85916 .52154 L
.89771 .5476 L
.93871 .57626 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Ha000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00=7oo00<007ooOol0ogooogoo2goo000dOol2003oOoooOol<Ool0
03Aoo`03001oogoo0?mooomoo`]oo`00=7oo00<007ooOol0ogooogoo2goo000dOol00`00Oomoo`3o
OoooOol;Ool003Aoo`03001oogoo0?mooomoo`]oo`00=7oo00<007ooOol0ogooogoo2goo000dOol0
0`00Oomoo`3oOoooOol;Ool003Aoo`<00?mooomoo`]oo`00=7oo00@007ooOol00?mooomoo`Yoo`00
=7oo00D007ooOomoo`000?mooomoo`Uoo`00=7oo0P000goo0P00ogooogoo1goo000dOol00`00Oomo
o`04Ool00`00Oomoo`3oOoooOol4Ool003Aoo`03001oogoo00Eoo`03001oogoo0?mooomoo`=oo`00
=7oo00<007ooOol01Woo0P00ogooogoo0goo000dOol00`00Oomoo`08Ool00`00Oomoo`3oOoooOol0
03Aoo`03001oogoo00Uoo`03001oogoo0?moooioo`00=7oo00<007ooOol02Woo0P00ogoooWoo000d
Ool00`00Oomoo`0<Ool00`00Oomoo`3oOookOol003Aoo`03001oogoo00eoo`03001oogoo0?moooYo
o`00=7oo00<007ooOol03Woo0P00ogoonWoo000dOol2000AOol00`00Oomoo`3oOoogOol003Aoo`03
001oogoo015oo`800?moooMoo`00=7oo00<007ooOol04goo00<007ooOol0ogoom7oo000dOol00`00
Oomoo`0DOol00`00Oomoo`3oOoocOol003Aoo`03001oogoo01Eoo`800?mooo=oo`00=7oo00<007oo
Ool05goo00<007ooOol0ogool7oo000dOol00`00Oomoo`0HOol2003oOoo`Ool003Aoo`03001oogoo
01Yoo`03001oogoo0?mooneoo`00=7oo00<007ooOol06goo00<007ooOol0ogook7oo000dOol00`00
Oomoo`0LOol2003oOoo/Ool003Aoo`8001moo`03001oogoo0?moonUoo`00=7oo00<007ooOol07goo
0P00ogoojGoo000dOol00`00Oomoo`0QOol00`00Oomoo`3oOooVOol003Aoo`03001oogoo029oo`03
001oogoo0?moonEoo`00=7oo00<007ooOol08goo0P00ogooiGoo000TOol01Wmb8000000000Q;O`Yo
o`03001oogoo02Eoo`03001oogoo0?moon9oo`008goo00=^B000>_l00Woo00=nkP00>_l02Goo00<0
07ooOol09Woo0P00ogoohWoo000ROol00gmb80iOo`04Ool00gk^00iOo`08Ool00`00Oomoo`0XOol0
0`00Oomoo`3oOooOOol002Uoo`03OoLh24]o00Qoo`03001oogoo02Uoo`800?moommoo`00:Goo00=o
mcP8Bgl027oo00<007ooOol0:goo00<007ooOol0ogoog7oo000FOol00fi80000000600000c[oOomo
o`07Ool00gog>0iOo`08Ool4000[Ool2003oOooLOol002=oo`03Og8P004B00=oo`03B@0RFgoo00Qo
o`03001oogoo02ioo`03001oogoo0?moomUoo`008goo00=oLR0>BTP00`0000<RFgooOol027oo00<0
07ooOol0;goo0P00ogoofGoo000SOol00gmb80iOo`0>Ool00`00Oomoo`0aOol2003oOooGOol002=o
o`03Og8P3Uoo00ioo`03001oogoo03=oo`03001oogoo0?moomAoo`008goo00=oLR0>Gol03Woo00<0
07ooOol0=7oo0P00ogooe7oo000SOol00gmb80iOo`0>Ool00`00Oomoo`0fOol00`00Oomoo`3oOooA
Ool002=oo`03Og8P000000@00003>_moogoo00Moo`03001oogoo03Moo`800?moom5oo`00=7oo00<0
07ooOol0>Goo00<007ooOol0ogoocWoo000dOol00`00Oomoo`0jOol2003oOoo>Ool003Aoo`8003eo
o`03001oogoo0?mool]oo`00=7oo00<007ooOol0?Goo0P00ogoobgoo000dOol00`00Oomoo`0oOol0
0`00Oomoo`3oOoo8Ool003Aoo`03001oogoo041oo`800?moolQoo`00=7oo00<007ooOol0@Woo00<0
07ooOol0ogooaGoo000dOol00`00Oomoo`13Ool00`00Oomoo`3oOoo4Ool003Aoo`03001oogoo04Ao
o`800?moolAoo`00=7oo00<007ooOol0AWoo00<007ooOol0ogoo`Goo000dOol00`00Oomoo`17Ool2
003oOoo1Ool003Aoo`03001oogoo04Uoo`03001oogoo0?mookioo`00=7oo0P00Bgoo0P00ogoo_Woo
000dOol00`00Oomoo`1<Ool00`00Oomoo`3oOonkOol003Aoo`03001oogoo04eoo`800?mook]oo`00
=7oo00<007ooOol0Cgoo00<007ooOol0ogoo^7oo000dOol00`00Oomoo`1@Ool2003oOonhOol003Ao
o`03001oogoo059oo`03001oogoo0?mookEoo`00=7oo00<007ooOol0Dgoo0P00ogoo]Goo000dOol0
0`00Oomoo`0kOol01DT00000000>Gol01goo00A^B00000Q;O`Moo`06Og8P0000000024]o>Goo00=9
00000000100000<03UooOol0=Woo00=900000000100000<03UooOol017oo00A^B00000Q;O`Moo`06
Og8P0000000024]o>7oo00=^B00000001@0000<14WooOol0=Goo00=^B00000001@0000<14WooOol0
17oo00A^B00000Q;O`Moo`06Og8P0000000024]o>Woo00I900000000000>Gom1Ool003Aoo`03001o
ogoo03Yoo`06GL0RFgooOomnkP4B1goo00A90000000RF`Ioo`03KTP003[o009oo`800003>_moogoo
03Uoo`03KTP1egoo03eoo`03KTP1egoo00Qoo`04B@0000008U/6Ool00fi8000jo`02Ool00gk^000j
o`0gOol00gk^00Q;O`04Ool00gk^0MMoo`0fOol00gk^00Q;O`04Ool00gk^0MMoo`05Ool014T00000
029K1Woo00=^B000>_l00Woo00=nkP00>_l0=goo00=oLR008U/00goo00=^B000>_l0@7oo000dOol0
0`00Oomoo`0iOol00gk^0MMoo`03Ool00eg08U]oo`05Ool016i8000024]o1Goo00=oLR0>Gol017oo
00=nkP000000>Woo00=^B07GOol0?Goo00=^B07GOol027oo00A^B00000Q;O`Eoo`03Og8P3Uoo00Ao
o`03O^h03Uoo03Moo`03O^h024]o03eoo`03O^h024]o00]oo`04KTP00008Bgl5Ool00gmb80iOo`04
Ool00gk^00iOo`0mOol00fi80A9oo`0oOol003Aoo`8003Yoo`03GL0RFgoo00=oo`03O^h14Woo01Eo
o`04OoLh24]o000iOol00fi80MMoo`0mOol00fi80MMoo`0HOol00gog>0Q;O`0hOol00gmb80Q;O`0m
Ool00gmb80Q;O`0JOol00gog>0Q;O`0mOol00gog>0Q;O`0oOol003Aoo`03001oogoo03Uoo`03B@0j
ogoo00=oo`03Og8P3Uoo01Eoo`04OoLh24]oOol2000gOol00fi80MMoo`0mOol00fi80MMoo`0HOol0
0gog>0Q;O`0iOol00gmb80Q;O`0mOol00gmb80Q;O`0IOol00gog>0Q;O`0mOol00gog>0Q;O`0oOol0
03Aoo`03001oogoo03Qoo`03OoLh24]o00Aoo`03Og8P3Uoo01Eoo`03OoLh3Uoo00=oo`03001oogoo
03Aoo`03KTP1egoo03eoo`03KTP1egoo01Qoo`03OoLh3Uoo03Yoo`03Og8P24]o03eoo`03Og8P24]o
01Qoo`03OoLh3Uoo03eoo`03KTP14Woo03moo`00=7oo00<007ooOol0>7oo00=omcP8Bgl017oo00=o
LR0>Gol03goo00=oLR000A800goo00=9029KOol017oo0P00=7oo00=^B07GOol0?Goo00=^B07GOol0
4Woo00=oLR000A800goo00=9029KOol0>goo00=oLR08Bgl0?Goo00=oLR08Bgl04Goo00=oLR000A80
0goo00=9029KOol0?7oo00=M`00>Gol0@7oo000dOol00`00Oomoo`0hOol00gog>0Q;O`04Ool00gmb
80iOo`0?Ool00gmb80i:B00300000b9KOomoo`06Ool00`00Oomoo`0aOol00fi80MMoo`0mOol00fi8
0MMoo`0BOol00gmb80i:B00300000b9KOomoo`0lOol00gmb80iOo`0mOol00gmb80iOo`0@Ool00gmb
80i:B00300000b9KOomoo`0iOol01Gmb80000008Bgl0@Goo000dOol00`00Oomoo`0iOol00dT8Bgmo
o`03Ool00gmb80iOo`0?Ool00gmb80iOo`0=Ool2000aOol00fi80MMoo`0mOol00fi80MMoo`0BOol0
0gmb80iOo`13Ool00fi80MMoo`0mOol00fi80MMoo`0?Ool00gmb80iOo`12Ool00gk^00Q;O`10Ool0
03Aoo`03001oogoo03Uoo`03GL0jogoo00=oo`03O^h14Woo00moo`03Og8P3Uoo00moo`8002moo`03
KTP1egoo03eoo`03KTP1egoo019oo`03Og8P3Uoo03eoo`03BM9oogoo00=oo`03O^h14Woo03Moo`03
BM9oogoo00=oo`03O^h14Woo00moo`03Og8P3Uoo04=oo`03KTP1egoo03moo`00=7oo00<007ooOol0
>Goo00=nkP4BOol00goo00=M`29KOol03goo00=oLR0>Gol04Goo00<007ooOol0;7oo00=^B07GOol0
?Goo00=^B07GOol04Woo00=oLR0>Gol0?7oo00=omcP0>_l017oo00=M`07GOol0=Woo00=omcP0>_l0
17oo00=M`07GOol03goo00=oLR0>Gol0@goo00=^B07GOol0?goo000dOol00`00Oomoo`0jOol01Ug0
0MMoogooKTP14Q5oo`03Og8P3Uoo019oo`8002Uoo`05B@00000>BTP1e`0kOol01DT000003TY80ML0
4goo00=oLR0>Gol0?Goo00=nkP00>_l00Woo00=M`00>Gol0>7oo00=nkP00>_l00Woo00=M`00>Gol0
47oo00=oLR0>Gol0?Goo00=90008Bgl00Woo00=nkP00>_l0@7oo000dOol00`00Oomoo`0kOol01Eg0
0000000>Gol04Goo00=oLR000000100000<jogooOol03Goo0P00:Goo00=nkP000ML0?Goo00=nkP00
0ML04goo00=oLR000000100000<jogooOol0=goo00EoLR000000004B03]oo`05Og8P000000014P0B
Ool00gmb8000000400000c[oOomoo`0gOol01Wmb8000000000Q;Od5oo`00=7oo0P00Jgoo00<007oo
Ool0ogooWGoo000dOol00`00Oomoo`1[Ool2003oOonMOol003Aoo`03001oogoo06eoo`800?mooi]o
o`00=7oo00<007ooOol0Kgoo00<007ooOol0ogooV7oo000dOol00`00Oomoo`1`Ool2003oOonHOol0
03Aoo`03001oogoo079oo`800?moohIoo`03Og8P0000008000038U]oogoo00Qoo`00=7oo00<007oo
Ool0M7oo00<007ooOol0ogooPWoo00=oLR08Bgl00goo00=M`04BKol027oo000dOol00`00Oomoo`1e
Ool2003oOon2Ool00eg0>_moo`04Ool00fi80MMoo`07Ool003Aoo`03001oogoo07Moo`800?mooh1o
o`03GLQ;Ogoo00Aoo`03Oo]924]o00Moo`00=7oo00<007ooOol0NGoo0P00ogooOWoo00=^B3[oOol0
1Goo00=^B29KOol01Woo000XOooo003h000@Ool00gmb8MMoo`05Ool00gk^8U]oo`06Ool003Aoo`03
001oogoo00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00eoo`03
001oogoo00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00=oo`8000Qoo`03001oogoo
00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo
00aoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo00aoo`03001oogoo
00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo
00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo
00aoo`03001oogoo00eoo`03001oogoo00aoo`03001oogoo019oo`03KTPRFgoo00Aoo`03KTPjogoo
00Ioo`00=7oo00<007ooOol0BGoo00<007ooOol0<Woo0P005Goo00<007ooOol0BGoo00<007ooOol0
BGoo00<007ooOol0BGoo00<007ooOol0BGoo00<007ooOol0<Woo00=^B000>_l00Woo00=omcP>Gol0
1goo000dOol00`00Oomoo`19Ool00`00Oomoo`0dOol2000COol00`00Oomoo`19Ool00`00Oomoo`19
Ool00`00Oomoo`19Ool00`00Oomoo`19Ool00`00Oomoo`0dOol01Eg000000008Bgl027oo000dOol0
0`00Oomoo`22Ool00`00Oomoo`3oOomhOol00gk^000jo`0:Ool003Aoo`03001oogoo08=oo`800?mo
ogMoo`03Og8Qegoo00]oo`00=7oo00<007ooOol0QGoo0P00ogooMGoo00=oLR7GOol00Woo00=oLR7G
Ool01Woo000dOol00`00Oomoo`27Ool2003oOomdOol01Wk^0000000000Q;O`Moo`00=7oo00<007oo
Ool0RGoo00<007ooOol0ogooOWoo000dOol2002;Ool2003oOomnOol003Aoo`03001oogoo08aoo`80
0?moogaoo`00=7oo00<007ooOol0SWoo00<007ooOol0ogooNGoo000dOol00`00Oomoo`2?Ool2003o
OomiOol003Aoo`03001oogoo095oo`800?moogMoo`00=7oo00<007ooOol0Tgoo00<007ooOol0ogoo
M7oo000dOol00`00Oomoo`2DOol2003oOomdOol003Aoo`03001oogoo09Ioo`800?moog9oo`00=7oo
00<007ooOol0V7oo00<007ooOol0ogooKgoo000dOol00`00Oomoo`2IOol2003oOom_Ool003Aoo`80
09aoo`800?moofeoo`00=7oo00<007ooOol0WGoo00<007ooOol0ogooJWoo000dOol00`00Oomoo`2N
Ool2003oOomZOol003Aoo`03001oogoo0:1oo`800?moofQoo`00=7oo00<007ooOol0XWoo0P00ogoo
IWoo000dOol00`00Oomoo`2TOol00`00Oomoo`3oOomSOol003Aoo`03001oogoo0:Eoo`800?moof=o
o`00=7oo00<007ooOol0Ygoo0P00ogooHGoo000dOol00`00Oomoo`2YOol00`00Oomoo`3oOomNOol0
03Aoo`03001oogoo0:Yoo`800?mooeioo`00=7oo0P00[Goo0P00ogooG7oo000dOol00`00Oomoo`2^
Ool2003oOomJOol003Aoo`03001oogoo0;1oo`03001oogoo0?mooeMoo`00=7oo00<007ooOol0/Goo
0P00ogooEgoo000dOol00`00Oomoo`2cOol2003oOomEOol003Aoo`03001oogoo0;Eoo`800?mooe=o
o`00=7oo00<007ooOol0]goo0P00ogooDGoo000dOol00`00Oomoo`2iOol2003oOom?Ool003Aoo`03
001oogoo0;]oo`800?moodeoo`00=7oo00<007ooOol0_Goo0P00ogooBgoo000dOol20030Ool2003o
Oom9Ool003Aoo`03001oogoo0<5oo`800?moodMoo`00=7oo00<007ooOol0`goo0P00ogooAGoo000d
Ool00`00Oomoo`35Ool00`00Oomoo`3oOom2Ool003Aoo`03001oogoo0<Ioo`800?mood9oo`0097oo
00IoLR0000000008Bgl:Ool00`00Oomoo`38Ool2003oOom0Ool002=oo`03KTP003[o009oo`03O^h0
03[o00Uoo`03001oogoo0<Yoo`800?moocioo`008Woo00=oLR0>Gol017oo00=nkP0>Gol027oo00<0
07ooOol0c7oo0P00ogoo?7oo000YOol00gog>0Q;O`08Ool00`00Oomoo`3>Ool00`00Oomoo`3oOoli
Ool002Uoo`03OoLh24]o00Qoo`03001oogoo0<moo`800?moocUoo`00:Goo00=omcP>Gol027oo1000
d7oo0P00ogoo=goo000SOol00gmb80014P03Ool00dT08U]oo`08Ool00`00Oomoo`3COol2003oOole
Ool002=oo`03Og8P3TY800<000038U]oogoo00Qoo`03001oogoo0=Eoo`800?mooc=oo`008goo00=o
LR0>Gol03Woo00<007ooOol0egoo0P00ogoo<Goo000SOol00gmb80iOo`0>Ool00`00Oomoo`3IOol0
0`00Oomoo`3oOol^Ool002=oo`03Og8P3Uoo00ioo`03001oogoo0=Yoo`800?moobioo`008goo00=o
LR0>Gol03Woo00<007ooOol0g7oo0P00ogoo;7oo000SOol00gmb8000000400000c[oOomoo`07Ool0
0`00Oomoo`3NOol2003oOolZOol003Aoo`03001oogoo0>1oo`03001oogoo0?moobMoo`00=7oo00<0
07ooOol0hGoo0P00ogoo9goo000dOol2003TOol2003oOolUOol003Aoo`03001oogoo0>Eoo`03001o
ogoo0?moob9oo`00=7oo00<007ooOol0iWoo0P00ogoo8Woo000dOol00`00Oomoo`3XOol2003oOolP
Ool003Aoo`03001oogoo0>Yoo`800?mooaioo`00=7oo00<007ooOol0k7oo00<007ooOol0ogoo6goo
000dOol00`00Oomoo`3]Ool2003oOolKOol003Aoo`03001oogoo0>moo`800?mooaUoo`00=7oo00<0
07ooOol0lGoo0P00ogoo5goo000dOol00`00Oomoo`3cOol2003oOolEOol003Aoo`800?Ioo`03001o
ogoo0?mooa9oo`00=7oo00<007ooOol0mWoo0P00ogoo4Woo000dOol00`00Oomoo`3hOol2003oOol@
Ool003Aoo`03001oogoo0?Yoo`800?moo`ioo`00=7oo00<007ooOol0o7oo0P00ogoo37oo000dOol0
0`00Oomoo`3nOol2003oOol:Ool003Aoo`03001oogoo0?moo`5oo`03001oogoo0?moo`Moo`00=7oo
00<007ooOol0ogoo0Woo0P00ogoo1goo000dOol00`00Oomoo`3oOol4Ool2003oOol5Ool003Aoo`03
001oogoo0?moo`Ioo`800?moo`=oo`00=7oo0P00ogoo2Goo00<007ooOol0ogoo000dOol00`00Oomo
o`3oOol9Ool2003oOol003Aoo`03001oogoo0?moo`]oo`800?eoo`00=7oo00<007ooOol0ogoo3Goo
00<007ooOol0nWoo000dOol00`00Oomoo`3oOol>Ool2003jOol003Aoo`03001oogoo0?mooa1oo`80
0?Qoo`00=7oo00<007ooOol0ogoo4Woo0P00mWoo000dOol00`00Oomoo`3oOolDOol00`00Oomoo`3c
Ool003Aoo`03001oogoo0?mooaEoo`800?=oo`00=7oo00<007ooOol0ogoo5goo0P00lGoo000dOol2
003oOolJOol2003_Ool003Aoo`03001oogoo0?mooa]oo`03001oogoo0>aoo`00=7oo00<007ooOol0
ogoo77oo0P00k7oo000dOol00`00Oomoo`3oOolNOol2003ZOol003Aoo`03001oogoo0?moob1oo`80
0>Qoo`005goo00=900000000100000<03UooOol017oo00E9000000003Uoo00Yoo`03001oogoo0?mo
ob9oo`03001oogoo0>Eoo`006Woo00=^B07GOol01goo00IM`29KOomoogk^0A8:Ool00`00Oomoo`3o
OolSOol2003UOol001Yoo`03KTP1egoo00Ioo`03O^h1egoo00=oo`03GL0RFgoo00Qoo`03001oogoo
0?moobEoo`800>=oo`006Woo00=^B07GOol01Woo00=M`29KOol00goo00=nkP4BOol027oo00<007oo
Ool0ogoo9goo0P00hGoo000JOol00fi80MMoo`06Ool00dT0>_moo`03Ool00gmb80iOo`08Ool00`00
Oomoo`3oOolYOol00`00Oomoo`3NOol001Yoo`03KTP1egoo00Eoo`03OoLh24]o00Aoo`03Og8P3Uoo
00Qoo`@00?moobUoo`800=ioo`006Woo00=^B07GOol01Goo00=omcP8Bgl017oo00=oLR0>Gol027oo
00<007ooOol0ogoo;7oo0P00g7oo000JOol00fi80MMoo`05Ool00gog>0Q;O`04Ool00gmb80iOo`08
Ool00`00Oomoo`3oOol^Ool2003JOol001Yoo`03KTP1egoo00Ioo`03B@Q;Ogoo00=oo`03Og8P3Uoo
00Qoo`03001oogoo0?mooc1oo`800=Qoo`006Woo00=^B07GOol01Woo00=M`3[oOol00goo00=nkP4B
Ool027oo00<007ooOol0ogoo<Woo00<007ooOol0eGoo000JOol00fi80MMoo`06Ool00gk^0A9oo`03
Ool00eg08U]oo`08Ool00`00Oomoo`3oOolcOol2003EOol001Moo`05B@00000>BTP1e`08Ool01Ug0
0MMoogooKTP14PYoo`03001oogoo0?moocEoo`800==oo`006Goo00=nkP000ML02Goo00EM`0000000
3Uoo00Yoo`03001oogoo0?moocMoo`800=5oo`00=7oo00<007ooOol0ogoo>Goo0P00cgoo000dOol0
0`00Oomoo`3oOolkOol2003=Ool003Aoo`800?moocioo`03001oogoo0<Yoo`00=7oo00<007ooOol0
ogoo?Woo0P00bWoo000dOol00`00Oomoo`3oOom0Ool20038Ool003Aoo`03001oogoo0?mood9oo`80
0<Ioo`00=7oo00<007ooOol0ogooA7oo00<007ooOol0`goo000dOol00`00Oomoo`3oOom5Ool20033
Ool003Aoo`03001oogoo0?moodMoo`800<5oo`00=7oo00<007ooOol0ogooBGoo00<007ooOol0_Woo
000dOol00`00Oomoo`3oOom:Ool2002nOol003Aoo`03001oogoo0?moodaoo`800;aoo`00=7oo0P00
ogooCgoo0P00^Woo000dOol00`00Oomoo`3oOom@Ool00`00Oomoo`2gOol003Aoo`03001oogoo0?mo
oe5oo`800;Moo`00=7oo00<007ooOol0ogooDgoo0P00]Goo000dOol00`00Oomoo`3oOomEOol2002c
Ool003Aoo`03001oogoo0?mooeMoo`03001oogoo0;1oo`00=7oo00<007ooOol0ogooF7oo0P00/7oo
000dOol00`00Oomoo`3oOomJOol2002^Ool003Aoo`03001oogoo0?mooeaoo`800:aoo`00=7oo0P00
ogooGgoo00<007ooOol0ZGoo000dOol00`00Oomoo`3oOomOOol2002YOol003Aoo`03001oogoo0?mo
of5oo`800:Moo`00=7oo00<007ooOol0ogooHgoo0P00YGoo000dOol00`00Oomoo`3oOomUOol00`00
Oomoo`2ROol003Aoo`03001oogoo0?moofIoo`800:9oo`00=7oo00<007ooOol0ogooJ7oo00<007oo
Ool0Wgoo000dOol00`00Oomoo`3oOomYOol2002OOol003Aoo`03001oogoo0?moof]oo`8009eoo`00
=7oo00<007ooOol0ogooKGoo00<007ooOol0VWoo000dOol2003oOom_Ool2002JOol003Aoo`03001o
ogoo0?moog1oo`03001oogoo09Moo`00=7oo00<007ooOol0ogooLGoo0P00Ugoo000dOol00`00Oomo
o`3oOomcOol2002EOol003Aoo`03001oogoo0?moogEoo`03001oogoo099oo`005goo00=900000000
100000<03UooOol00goo00IoLR0000000008Bgl:Ool00`00Oomoo`3oOomfOol2002BOol001Yoo`03
KTP1egoo00Ioo`03KTP003[o009oo`03O^h003[o00Uoo`03001oogoo0?moogQoo`03001oogoo08mo
o`006Woo00=^B07GOol01Goo00=oLR0>Gol017oo00=nkP0>Gol027oo00<007ooOol0ogooNGoo0P00
Sgoo000JOol00fi80MMoo`0<Ool00gog>0Q;O`08Ool00`00Oomoo`3oOomkOol00`00Oomoo`2<Ool0
01Yoo`03KTP1egoo00aoo`03OoLh24]o00Qoo`03001oogoo0?moogaoo`8008aoo`006Woo00=^B07G
Ool037oo00=omcP>Gol027oo1000ogooOGoo00<007ooOol0RGoo000JOol00fi80MMoo`06Ool00gmb
80014P03Ool00dT08U]oo`08Ool00`00Oomoo`3oOomoOol20029Ool001Yoo`03KTP1egoo00Ioo`03
Og8P3TY800<000038U]oogoo00Qoo`03001oogoo0?mooh5oo`03001oogoo08Ioo`006Woo00=^B07G
Ool01Woo00=oLR0>Gol03Woo00<007ooOol0ogooPWoo0P00QWoo000JOol00fi80MMoo`06Ool00gmb
80iOo`0>Ool00`00Oomoo`3oOon4Ool00`00Oomoo`23Ool001Yoo`03KTP1egoo00Ioo`03Og8P3Uoo
00ioo`03001oogoo0?moohEoo`8008=oo`005goo00E9000000i:B07G00Moo`03Og8P3Uoo00ioo`03
001oogoo0?moohMoo`03001oogoo081oo`006Goo00=nkP000ML01goo00=oLR000000100000<jogoo
Ool01goo00<007ooOol0ogooR7oo0P00P7oo000dOol00`00Oomoo`3oOon:Ool00`00Oomoo`1mOol0
03Aoo`03001oogoo0?mooh]oo`8007eoo`00=7oo0P00ogooSWoo00<007ooOol0NWoo000dOol00`00
Oomoo`3oOon>Ool2001jOol003Aoo`03001oogoo0?mooi1oo`03001oogoo07Moo`00=7oo00<007oo
Ool0ogooTGoo0P00Mgoo000dOol00`00Oomoo`3oOonCOol00`00Oomoo`1dOol003Aoo`03001oogoo
0?mooiAoo`8007Aoo`00=7oo00<007ooOol0ogooUWoo00<007ooOol0LGoo000dOol00`00Oomoo`3o
OonGOol2001aOol003Aoo`03001oogoo0?mooiUoo`8006moo`00=7oo00<007ooOol0ogooVgoo00<0
07ooOol0K7oo000dOol2003oOonMOol2001/Ool003Aoo`03001oogoo0?mooiioo`03001oogoo06Uo
o`00=7oo00<007ooOol0ogooWgoo0P00JGoo000dOol00`00Oomoo`3oOonQOol00`00Oomoo`1VOol0
03Aoo`03001oogoo0?mooj9oo`8006Ioo`00=7oo00<007ooOol0ogooY7oo00<007ooOol0Hgoo000d
Ool00`00Oomoo`3oOonUOol2001SOol003Aoo`03001oogoo0?moojMoo`03001oogoo061oo`00=7oo
00<007ooOol0ogooZ7oo0P00H7oo000dOol00`00Oomoo`3oOonZOol00`00Oomoo`1MOol003Aoo`80
0?moojaoo`8005eoo`00=7oo00<007ooOol0ogoo[Goo0P00Fgoo000dOol00`00Oomoo`3oOon_Ool0
0`00Oomoo`1HOol003Aoo`03001oogoo0?mook1oo`8005Qoo`00=7oo00<007ooOol0ogoo/Woo00<0
07ooOol0EGoo000dOol00`00Oomoo`3oOoncOol2001EOol003Aoo`03001oogoo0?mookEoo`03001o
ogoo059oo`00=7oo00<007ooOol0ogoo]Woo0P00DWoo000dOol00`00Oomoo`3oOonhOol00`00Oomo
o`1?Ool003Aoo`03001oogoo0?mookUoo`03001oogoo04ioo`00=7oo0P00ogoo^goo0P00CWoo000d
Ool00`00Oomoo`3oOonlOol00`00Oomoo`1;Ool003Aoo`03001oogoo0?mookeoo`8004]oo`00=7oo
00<007ooOol0ogoo_goo00<007ooOol0B7oo000dOol00`00Oomoo`3oOoo0Ool20018Ool001Ioo`03
KTP0000000D000030A9oogoo00Aoo`05B@00000000iOo`0:Ool00`00Oomoo`3oOoo2Ool00`00Oomo
o`15Ool001Ioo`03O^h024]o00Aoo`03O^h1egoo00Aoo`06GL0RFgooOomnkP4B2Woo00<007ooOol0
ogoo`goo00<007ooOol0A7oo000GOol00gk^00Q;O`09Ool00gk^0MMoo`03Ool00eg08U]oo`08Ool0
0`00Oomoo`3oOoo4Ool20014Ool001Qoo`03Og8P24]o00Qoo`03GL0RFgoo00=oo`03O^h14Woo00Qo
o`03001oogoo0?moolIoo`03001oogoo045oo`006Goo00=oLR08Bgl01goo00=903[oOol00goo00=o
LR0>Gol027oo00<007ooOol0ogooagoo0P00@Goo000JOol00gmb80Q;O`05Ool00gog>0Q;O`04Ool0
0gmb80iOo`08Ool4003oOoo8Ool00`00Oomoo`0nOol001]oo`03Og8P24]o00Aoo`03OoLh24]o00Ao
o`03Og8P3Uoo00Qoo`03001oogoo0?moolYoo`8003ioo`0077oo00=oLR0>Gol00goo00=omcP8Bgl0
17oo00=oLR0>Gol027oo00<007ooOol0ogooc7oo00<007ooOol0>goo000MOol00fi80MMoo`03Ool0
0dT8Bgmoo`03Ool00gmb80iOo`08Ool00`00Oomoo`3oOoo=Ool00`00Oomoo`0jOol001Moo`03BM9o
ogoo00=oo`03O^h14Woo00=oo`03GL0jogoo00=oo`03O^h14Woo00Qoo`03001oogoo0?moolioo`80
03Yoo`005Woo00=omcP0>_l017oo00=M`07GOol00goo00=nkP4BOol00goo00=M`29KOol027oo00<0
07ooOol0ogood7oo00<007ooOol0=goo000GOol00gk^000jo`02Ool00eg000iOo`05Ool01Ug00MMo
ogooKTP14PYoo`03001oogoo0?moom5oo`03001oogoo03Ioo`0067oo00EoLR000000004B00Qoo`05
GL00000000iOo`0:Ool00`00Oomoo`3oOooBOol2000fOol003Aoo`03001oogoo0?moomAoo`03001o
ogoo03=oo`00=7oo00<007ooOol0ogooeGoo00<007ooOol0<Woo000dOol2003oOooGOol2000bOol0
03Aoo`03001oogoo0?moomQoo`03001oogoo02moo`00=7oo00<007ooOol0ogoofGoo00<007ooOol0
;Woo000dOol00`00Oomoo`3oOooJOol2000^Ool003Aoo`03001oogoo0?moomaoo`03001oogoo02]o
o`00=7oo00<007ooOol0ogooogoo2goo000dOol00`00Oomoo`3oOoooOol;Ool003Aoo`03001oogoo
0?mooomoo`]oo`00=7oo00<007ooOol0ogooogoo2goo000dOol00`00Oomoo`3oOoooOol;Ool003Ao
o`800?mooomoo`aoo`00=7oo00<007ooOol0ogooogoo2goo003oOoooOom2Ool00?mooomood9oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomo
od9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool0
0?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOooo
Oom2Ool00?mooomood9oo`000goo00=nkP0000000P0000@jogooOom^B0<0000400Q;OgooB@060000
0`0>Gomoo`05Ool00gk^>_moo`03Ool00gk^00000002000013[oOomoofi80`0000<024]oKTP01`00
00<14WooOol047oo00E9000000003Uoo0?moonaoo`0017oo00=omcP0>_l01Woo00=M`07GOol01Goo
00=^B07GOol02Goo00=nkS[oOol017oo00=omcP0>_l01Woo00MM`07GOomoogk^00Q;O`04Ool00gk^
0MMoo`0@Ool01Ug08U]oogooO^h14_moonaoo`001Goo00=^B04BOol017oo00=omcP0>_l01Woo00=^
B07GOol02Goo00=nkS[oOol01Goo00=^B04BOol017oo00=omcP0>_l00goo00=nkP08Bgl027oo00=o
mcP000001@0000<03UooOol00Woo00=nkP7GOol00goo00=M`29KOol0ogoojWoo0005Ool00gmb80Q;
O`04Ool00gk^00iOo`06Ool00fi80MMoo`09Ool00gk^>_moo`05Ool00gmb80Q;O`04Ool00gk^00iO
o`04Ool00gmb80Q;O`0DOol00eg08U]oo`03Ool00gk^0A9oo`3oOooZOol000Ioo`03B@00000000@0
00030MMoogoo00Eoo`03KTP1egoo00Eoo`03OoLh000000D0000300iOogoo009oo`03B@00000000@0
00030MMoogoo00Aoo`03Og8P24]o01=oo`03B@0jogoo00=oo`03Og8P3Uoo0?moonYoo`001Woo00=^
B04BOol00Woo00=omcP0>_l01goo00=^B07GOol02Goo00=nkS[oOol01Woo00=^B04BOol00Woo00=o
mcP0>_l01goo00=oLR08Bgl04Goo00=omcP8Bgl017oo00=oLR0>Gol0ogoojWoo0006Ool00gmb80Q;
O`02Ool00gk^00iOo`07Ool00fi80MMoo`09Ool00gk^>_moo`06Ool00gmb80Q;O`02Ool00gk^00iO
o`08Ool00gmb80Q;O`04Ool00gog>000000500001`0>GomoogooOoLh24]o00Aoo`03Og8P3Uoo0?mo
onYoo`001goo00I9029KOomooeg00ML8Ool00fi80MMoo`09Ool00gk^>_moo`07Ool01TT08U]oogoo
GL01e`Yoo`03Og8P3Uoo00moo`03OoLh24]o00Aoo`03Og8P3Uoo0?moonYoo`001goo00I^B04BOomo
mcP0>_l8Ool00fi80MMoo`09Ool00gk^>_moo`07Ool01Vi80A9oogog>00jo`]oo`03KTP1egoo00mo
o`03B@Q;Ogoo00=oo`03Og8P3Uoo0?moonYoo`001goo00IomcP0>_mnkP0>Gol8Ool00fi80MMoo`0C
Ool01Wog>00jogk^00iOo`Eoo`03BM9oogoo00=oo`03O^h14Woo00moo`03GL0jogoo00=oo`03O^h1
4Woo0?moonYoo`0027oo00AM`07GGL01e`Uoo`03KTP1egoo01Aoo`04GL01eeg00ML5Ool00gog>00j
o`04Ool00eg00MMoo`0?Ool00gk^0A9oo`03Ool00eg08U]oo`3oOooZOol000Eoo`03KTP0000000<0
0003>_moogoo00Aoo`05B@00000>BTP1e`0BOol00fi80000000300000c[oOomoo`04Ool00gk^000j
o`02Ool00eg000iOo`0AOol01Ug00MMoogooKTP14_moonaoo`0057oo00=nkP000ML087oo00EoLR00
0000004B01Aoo`05GL00000000iOo`3oOoo/Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2
Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo0000
\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-0.34144, -9.47431, \
0.0131317, 0.201715}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"FindRoot", "[", 
      RowBox[{
        RowBox[{
          FormBox[
            
            FormBox[\(\(-11.1908624908732\) + 11.263889852023723  xm + 
                2.780776736806043  Cos[xm]\),
              "TraditionalForm"],
            "TraditionalForm"], "\[Equal]", "0"}], ",", \({xm, 1.5, 2}\)}], 
      "]"}]], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({xm \[Rule] 0.8262188485363904`}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 693}},
WindowSize->{1007, 666},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 737, 13, 617, "Input"],
Cell[2494, 66, 647, 12, 441, "Input"],
Cell[3144, 80, 428, 7, 353, "Input"],

Cell[CellGroupData[{
Cell[3597, 91, 201, 4, 177, "Input"],
Cell[3801, 97, 38394, 908, 372, 10707, 562, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42232, 1010, 126, 3, 133, "Input"],
Cell[42361, 1015, 72, 1, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42470, 1021, 200, 4, 177, "Input"],
Cell[42673, 1027, 39364, 942, 372, 11103, 589, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[82052, 1972, 141, 3, 133, "Input"],

Cell[CellGroupData[{
Cell[82218, 1979, 203, 4, 177, "Input"],
Cell[82424, 1985, 39438, 929, 372, 10832, 571, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[121899, 2919, 136, 3, 133, "Input"],
Cell[122038, 2924, 72, 1, 125, "Output"]
}, Open  ]],
Cell[122125, 2928, 237, 5, 265, "Input"],

Cell[CellGroupData[{
Cell[122387, 2937, 429, 8, 359, "Input"],
Cell[122819, 2947, 120, 2, 125, "Output"],
Cell[122942, 2951, 145, 2, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[123124, 2958, 135, 4, 227, "Input"],
Cell[123262, 2964, 119, 2, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[123418, 2971, 409, 11, 193, "Input"],
Cell[123830, 2984, 28525, 705, 372, 8116, 448, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[152392, 3694, 390, 11, 221, "Input"],
Cell[152785, 3707, 66, 1, 125, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

