(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     47958,        978]*)
(*NotebookOutlinePosition[     48681,       1003]*)
(*  CellTagsIndexPosition[     48637,        999]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(\(K = 1.56;\)\), "\[IndentingNewLine]", 
    \(\(P = 1.15;\)\), "\[IndentingNewLine]", 
    \(\(B = 0.01;\)\), "\[IndentingNewLine]", 
    \(\(M = 0.0159;\)\), "\[IndentingNewLine]", 
    \(\(ec1 := K*Sin[x];\)\), "\[IndentingNewLine]", 
    \(\(ec2 := \(-P\) - \((B^2/\((4*M)\))\)*x;\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindRoot[ec1 \[Equal] ec2, {x, \(-1\), 0}]\)], "Input"],

Cell[BoxData[
    \({x \[Rule] \(-0.827652833774819`\)}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{ec1, ec2}, {x, \(-1\), 2}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.283681 0.204896 [
[.02381 .27118 -6 -9 ]
[.02381 .27118 6 0 ]
[.18254 .27118 -12 -9 ]
[.18254 .27118 12 0 ]
[.5 .27118 -9 -9 ]
[.5 .27118 9 0 ]
[.65873 .27118 -3 -9 ]
[.65873 .27118 3 0 ]
[.81746 .27118 -9 -9 ]
[.81746 .27118 9 0 ]
[.97619 .27118 -3 -9 ]
[.97619 .27118 3 0 ]
[.32877 .07879 -12 -4.5 ]
[.32877 .07879 0 4.5 ]
[.32877 .18123 -24 -4.5 ]
[.32877 .18123 0 4.5 ]
[.32877 .38613 -18 -4.5 ]
[.32877 .38613 0 4.5 ]
[.32877 .48858 -6 -4.5 ]
[.32877 .48858 0 4.5 ]
[.32877 .59103 -18 -4.5 ]
[.32877 .59103 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .28368 m
.02381 .28993 L
s
[(-1)] .02381 .27118 0 1 Mshowa
.18254 .28368 m
.18254 .28993 L
s
[(-0.5)] .18254 .27118 0 1 Mshowa
.5 .28368 m
.5 .28993 L
s
[(0.5)] .5 .27118 0 1 Mshowa
.65873 .28368 m
.65873 .28993 L
s
[(1)] .65873 .27118 0 1 Mshowa
.81746 .28368 m
.81746 .28993 L
s
[(1.5)] .81746 .27118 0 1 Mshowa
.97619 .28368 m
.97619 .28993 L
s
[(2)] .97619 .27118 0 1 Mshowa
.125 Mabswid
.05556 .28368 m
.05556 .28743 L
s
.0873 .28368 m
.0873 .28743 L
s
.11905 .28368 m
.11905 .28743 L
s
.15079 .28368 m
.15079 .28743 L
s
.21429 .28368 m
.21429 .28743 L
s
.24603 .28368 m
.24603 .28743 L
s
.27778 .28368 m
.27778 .28743 L
s
.30952 .28368 m
.30952 .28743 L
s
.37302 .28368 m
.37302 .28743 L
s
.40476 .28368 m
.40476 .28743 L
s
.43651 .28368 m
.43651 .28743 L
s
.46825 .28368 m
.46825 .28743 L
s
.53175 .28368 m
.53175 .28743 L
s
.56349 .28368 m
.56349 .28743 L
s
.59524 .28368 m
.59524 .28743 L
s
.62698 .28368 m
.62698 .28743 L
s
.69048 .28368 m
.69048 .28743 L
s
.72222 .28368 m
.72222 .28743 L
s
.75397 .28368 m
.75397 .28743 L
s
.78571 .28368 m
.78571 .28743 L
s
.84921 .28368 m
.84921 .28743 L
s
.88095 .28368 m
.88095 .28743 L
s
.9127 .28368 m
.9127 .28743 L
s
.94444 .28368 m
.94444 .28743 L
s
.25 Mabswid
0 .28368 m
1 .28368 L
s
.34127 .07879 m
.34752 .07879 L
s
[(-1)] .32877 .07879 1 0 Mshowa
.34127 .18123 m
.34752 .18123 L
s
[(-0.5)] .32877 .18123 1 0 Mshowa
.34127 .38613 m
.34752 .38613 L
s
[(0.5)] .32877 .38613 1 0 Mshowa
.34127 .48858 m
.34752 .48858 L
s
[(1)] .32877 .48858 1 0 Mshowa
.34127 .59103 m
.34752 .59103 L
s
[(1.5)] .32877 .59103 1 0 Mshowa
.125 Mabswid
.34127 .09927 m
.34502 .09927 L
s
.34127 .11976 m
.34502 .11976 L
s
.34127 .14025 m
.34502 .14025 L
s
.34127 .16074 m
.34502 .16074 L
s
.34127 .20172 m
.34502 .20172 L
s
.34127 .22221 m
.34502 .22221 L
s
.34127 .2427 m
.34502 .2427 L
s
.34127 .26319 m
.34502 .26319 L
s
.34127 .30417 m
.34502 .30417 L
s
.34127 .32466 m
.34502 .32466 L
s
.34127 .34515 m
.34502 .34515 L
s
.34127 .36564 m
.34502 .36564 L
s
.34127 .40662 m
.34502 .40662 L
s
.34127 .42711 m
.34502 .42711 L
s
.34127 .4476 m
.34502 .4476 L
s
.34127 .46809 m
.34502 .46809 L
s
.34127 .50907 m
.34502 .50907 L
s
.34127 .52956 m
.34502 .52956 L
s
.34127 .55005 m
.34502 .55005 L
s
.34127 .57054 m
.34502 .57054 L
s
.34127 .0583 m
.34502 .0583 L
s
.34127 .03781 m
.34502 .03781 L
s
.34127 .01732 m
.34502 .01732 L
s
.34127 .61151 m
.34502 .61151 L
s
.25 Mabswid
.34127 0 m
.34127 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .03767 L
.10458 .06684 L
.14415 .09772 L
.18221 .13015 L
.22272 .16707 L
.26171 .20441 L
.30316 .2454 L
.34309 .28551 L
.3815 .32408 L
.42237 .36445 L
.46172 .40207 L
.49955 .43653 L
.53984 .47083 L
.57861 .501 L
.61984 .52952 L
.65954 .55309 L
.69774 .57179 L
.71905 .58043 L
.73838 .5871 L
.75876 .59293 L
.77751 .59716 L
.79676 .60037 L
.80688 .60159 L
.81248 .60212 L
.81758 .60253 L
.82212 .60282 L
.82706 .60306 L
.82977 .60316 L
.83227 .60323 L
.83467 .60328 L
.83588 .60329 L
.83652 .6033 L
.83722 .60331 L
.83837 .60332 L
.83959 .60332 L
.84072 .60332 L
.84177 .60331 L
.84301 .6033 L
.84414 .60329 L
.84544 .60327 L
.84667 .60325 L
.84889 .60319 L
.85093 .60313 L
.85555 .60293 L
.86022 .60267 L
.86524 .6023 L
.87431 .60145 L
.8851 .60009 L
.89495 .59853 L
Mistroke
.91398 .59466 L
.93471 .58918 L
.97541 .57465 L
.97619 .57433 L
Mfstroke
.02381 .04837 m
.06244 .04833 L
.10458 .04829 L
.14415 .04825 L
.18221 .04821 L
.22272 .04817 L
.26171 .04813 L
.30316 .04809 L
.34309 .04805 L
.3815 .04801 L
.42237 .04797 L
.46172 .04793 L
.49955 .04789 L
.53984 .04785 L
.57861 .04781 L
.61984 .04777 L
.65954 .04773 L
.69774 .04769 L
.73838 .04765 L
.77751 .04761 L
.81909 .04757 L
.85916 .04753 L
.89771 .04749 L
.93871 .04744 L
.97619 .04741 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900001Hb000`400?l00000o`00003oa03oool0
0`000000oooo0?ooo`3o0?ooogX0oooo00340?ooo`030000003oool0oooo0?l0ooooNP3oool00<@0
oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00a03oool00`000000oooo0?ooo`3o0?ooogX0oooo
00340?ooo`030000003oool0oooo0?l0ooooNP3oool00<@0oooo00<000000?ooo`3oool0o`3ooomj
0?ooo`00a03oool00`000000oooo0?ooo`3o0?ooogX0oooo00340?ooo`030000003oool0oooo0?l0
ooooNP3oool000h0oooo00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`3o0?ooogX0oooo
000?0?ooo`800000/`3oool00`000000oooo0?ooo`3o0?ooogX0oooo000A0?ooo`800000/@3oool3
00000?l0ooooNP3oool001<0oooo00<000000?ooo`3oool0[P3oool00`000000oooo0?ooo`3o0?oo
ogX0oooo000D0?ooo`800000[P3oool00`000000oooo0?ooo`3o0?ooogX0oooo000F0?ooo`800000
[03oool00`000000oooo0?ooo`3o0?ooogX0oooo000H0?ooo`030000003oool0oooo0:T0oooo00<0
00000?ooo`3oool0o`3ooomj0?ooo`006@3oool200000:T0oooo00<000000?ooo`3oool0o`3ooomj
0?ooo`006`3oool200000:L0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`007@3oool200000:D0
oooo00<000000?ooo`3oool0o`3ooomj0?ooo`007`3oool00`000000oooo0?ooo`2R0?ooo`030000
003oool0oooo0?l0ooooNP3oool00200oooo0P00002R0?ooo`030000003oool0oooo0?l0ooooNP3o
ool00280oooo0P00002P0?ooo`030000003oool0oooo0?l0ooooNP3oool002@0oooo00<000000?oo
o`3oool0W@3oool300000?l0ooooNP3oool002D0oooo0P00002M0?ooo`030000003oool0oooo0?l0
ooooNP3oool002L0oooo00<000000?ooo`3oool0VP3oool00`000000oooo0?ooo`3o0?ooogX0oooo
000X0?ooo`030000003oool0oooo09T0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00:@3oool2
000009T0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00:`3oool00`000000oooo0?ooo`2F0?oo
o`030000003oool0oooo0?l0ooooNP3oool000h0ooooo`00003o000002D000003`3oool002h0oooo
00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`3o0?ooogX0oooo000_0?ooo`030000003o
ool0oooo0980oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00<03oool200000980oooo00<00000
0?ooo`3oool0o`3ooomj0?ooo`00<P3oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo
0?l0ooooNP3oool003<0oooo0P00002?0?ooo`030000003oool0oooo0?l0ooooNP3oool003D0oooo
00<000000?ooo`3oool0S03oool300000?l0ooooNP3oool003H0oooo0P00002<0?ooo`030000003o
ool0oooo0?l0ooooNP3oool003P0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`3o
0?ooogX0oooo000i0?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0o`3ooomj0?oo
o`00>P3oool2000008P0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00?03oool00`000000oooo
0?ooo`250?ooo`030000003oool0oooo0?l0ooooNP3oool003d0oooo00<000000?ooo`3oool0Q03o
ool00`000000oooo0?ooo`3o0?ooogX0oooo000n0?ooo`800000L`3oool00`2LB000000000000004
000000030000M02oool0oooo00L0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00@03oool00`00
0000oooo0?ooo`1c0?ooo`030=nLB000M;l0oooo00/0oooo00<000000?ooo`3oool0o`3ooomj0?oo
o`00@@3oool00`000000oooo0?ooo`1b0?ooo`030=nLB000M;l0oooo00/0oooo00<000000?ooo`3o
ool0o`3ooomj0?ooo`00@P3oool200000780oooo00<0gia8001d_`3oool02`3oool00`000000oooo
0?ooo`3o0?ooogX0oooo00140?ooo`030000003oool0oooo06l0oooo00<0gia8001d_`3oool02`3o
ool00`000000oooo0?ooo`3o0?ooogX0oooo00150?ooo`030000003oool0oooo05h0oooo00<0gia8
0000000000001P0000000`1d_ol0oooo0?ooo`040?ooo`030=nLB000M;l0oooo00/0oooo1000003o
0?ooogT0oooo00160?ooo`030000003oool0oooo06d0oooo00<0gia8001d_`3oool02`3oool00`00
0000oooo0?ooo`3o0?ooogX0oooo00170?ooo`800000K@3oool00`3OW4P007Bo0?ooo`0;0?ooo`03
0000003oool0oooo0?l0ooooNP3oool004T0oooo00<000000?ooo`3oool0JP3oool00`3OW4P007Bo
0?ooo`0;0?ooo`030000003oool0oooo0?l0ooooNP3oool004X0oooo00<000000?ooo`3oool0J@3o
ool00`3OW4P007Bo0?ooo`0;0?ooo`030000003oool0oooo0?l0ooooNP3oool004/0oooo00<00000
0?ooo`3oool0J03oool00`3OW4P007Bo0?ooo`0;0?ooo`030000003oool0oooo0?l0ooooNP3oool0
04`0oooo0P00001U0?ooo`0509a800000000001d09bLB000M;l0303oool00`000000oooo0?ooo`3o
0?ooogX0oooo001>0?ooo`030000003oool0oooo06@0oooo00<0okmd00000000M;l0303oool00`00
0000oooo0?ooo`3o0?ooogX0oooo001?0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3o
ool0o`3ooomj0?ooo`00D03oool200000780oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00DP3o
ool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0?l0ooooNP3oool005<0oooo00<00000
0?ooo`3oool0KP3oool00`000000oooo0?ooo`3o0?ooogX0oooo001D0?ooo`030000003oool0oooo
06d0oooo0`00003o0?ooogX0oooo001E0?ooo`800000K@3oool00`000000oooo0?ooo`3o0?ooogX0
oooo001G0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00F03o
ool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo0?l0ooooNP3oool005T0oooo00<00000
0?ooo`3oool0J03oool00`000000oooo0?ooo`3o0?ooogX0oooo001J0?ooo`030000003oool0oooo
06L0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00F`3oool2000006L0oooo00<000000?ooo`3o
ool0o`3ooomj0?ooo`00G@3oool00`000000oooo0?ooo`1T0?ooo`030000003oool0oooo0?l0oooo
NP3oool005h0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`3o0?ooogX0oooo001O
0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00H03oool20000
0680oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00HP3oool00`000000oooo0?ooo`1O0?ooo`<0
0000o`3ooomj0?ooo`00H`3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0?l0oooo
NP3oool006@0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`3o0?ooogX0oooo001U
0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00IP3oool20000
05`0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00J03oool00`000000oooo0?ooo`1I0?ooo`03
0000003oool0oooo0?l0ooooNP3oool006T0oooo00<000000?ooo`3oool0F03oool00`000000oooo
0?ooo`3o0?ooogX0oooo001Z0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0o`3o
oomj0?ooo`00J`3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo0?l0ooooNP3oool0
06`0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`3o0?ooogX0oooo001]0?ooo`03
0000003oool0oooo05@0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00KP3oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo0?l0ooooNP3oool006l0oooo00<000000?ooo`3oool0DP3o
ool300000?l0ooooNP3oool00700oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`3o
0?ooogX0oooo001a0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0o`3ooomj0?oo
o`00LP3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0?l0ooooNP3oool007<0oooo
00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`3o0?ooogX0oooo001d0?ooo`800000CP3o
ool00`000000oooo0?ooo`3o0?ooogX0oooo001f0?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool0o`3ooomj0?ooo`00M`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo
0?l0ooooNP3oool007P0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`3o0?ooogX0
oooo001i0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00NP3o
ool00`000000oooo0?ooo`170?ooo`030000003oool0oooo0?l0ooooNP3oool007/0oooo00<00000
0?ooo`3oool0AP3oool00`000000oooo0?ooo`3o0?ooogX0oooo001l0?ooo`030000003oool0oooo
04D0oooo0`00003o0?ooogX0oooo001m0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3o
ool0o`3ooomj0?ooo`00OP3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0?l0oooo
NP3oool007l0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`3o0?ooogX0oooo0020
0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00P@3oool00`00
0000oooo0?ooo`100?ooo`030000003oool0oooo0?l0ooooNP3oool00880oooo00<000000?ooo`3o
ool0?`3oool00`000000oooo0?ooo`3o0?ooogX0oooo00230?ooo`030000003oool0oooo01L0oooo
00D0W4P0000000000000001d0;ooo`070?ooo`040=nLB0000000001809cOo`L0oooo00H0omnL04P0
0000000000000000B02Lgol:0?ooo`030000003oool0oooo0?l0ooooNP3oool008@0oooo00<00000
0?ooo`3oool05@3oool01P2oM000B9cO0?ooo`3oool0okmd0018W0L0oooo00@0W4P0000000000000
B9cO1P3oool00`3OW4P0000007Boo`020?ooo`030?noM0000000M;oo00T0oooo00<000000?ooo`3o
ool0o`3ooomj0?ooo`00Q@3oool00`000000oooo0?ooo`0C0?ooo`030?noM000M;l0oooo00<0oooo
00<0_g@004RLg`3oool01@3oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0
oooo00<0okmd0000M02oool0203oool00`000000oooo0?ooo`3o0?ooogX0oooo00260?ooo`030000
003oool0oooo0180oooo00<0_g@004RLg`3oool00`3oool00`3o_g@004RL0?ooo`0E0?ooo`030?oo
_`1d04P0W=oo00P0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00Q`3oool00`000000oooo0?oo
o`0A0?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01809cO
o`080?ooo`030000003oool0oooo0?l0ooooNP3oool008P0oooo00<000000?ooo`3oool00`3oool0
0`3OW4P00000000000060000000607Boo`3oool0oooo0?oo_`1d04P0W=oo103oool00`3ogi`0B01d
0;ooo`0E0?ooo`030?oo_`1d07@0_ooo00P0oooo1000003o0?ooogT0oooo00290?ooo`030000003o
ool0oooo00h0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW018
000004RL00<0oooo00<0W4P004RLg`3oool0203oool00`000000oooo0?ooo`3o0?ooogX0oooo002:
0?ooo`030000003oool0oooo00d0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?
0?ooo`030?oOW01807@0W9a800<0000000<0B9cO0?ooo`3oool0203oool00`000000oooo0?ooo`3o
0?ooogX0oooo002;0?ooo`8000003P3oool00`2LB4P0W=oo0?ooo`030?ooo`030?oOW01807@0_ooo
00l0oooo00<0omnL04P0M02oool03P3oool00`000000oooo0?ooo`3o0?ooogX0oooo002=0?ooo`03
0000003oool0oooo00/0oooo00<0_g@007Boo`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`03
0?oOW01807@0_ooo00h0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00SP3oool00`000000oooo
0?ooo`0:0?ooo`030?noM000B9`0oooo00<0oooo00<0_g@004RLg`3oool03`3oool00`3ogi`0B01d
0;ooo`0>0?ooo`030000003oool0oooo0?l0ooooNP3oool008l0oooo00<000000?ooo`3oool02P3o
ool01P2oM00007Bo0?ooo`3oool0gia80018W140oooo00<0omnL04P0M02oool03P3oool00`000000
oooo0?ooo`3o0?ooogX0oooo002@0?ooo`030000003oool0oooo00X0oooo00D0_g@0000000000000
001d0;ooo`0A0?ooo`030?oOW0180000000000@0000000<0M;oo0?ooo`3oool01`3oool00`000000
oooo0?ooo`3o0?ooogX0oooo002A0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
o`3ooomj0?ooo`00TP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0?l0ooooNP3o
ool009<0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`3o0?ooogX0oooo002D0?oo
o`030000003oool0oooo02d0oooo0`00003o0?ooogX0oooo002E0?ooo`030000003oool0oooo02`0
oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00UP3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo0?l0ooooNP3oool009L0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?oo
o`3o0?ooogX0oooo002H0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0o`3ooomj
0?ooo`00V@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0?l0ooooNP3oool009X0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`3o0?ooogX0oooo002K0?ooo`030000
003oool0oooo02H0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00W03oool00`000000oooo0?oo
o`0U0?ooo`030000003oool0oooo0?l0ooooNP3oool009d0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`3o0?ooogX0oooo002N0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0o`3ooomj0?ooo`00W`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?l0
ooooNP3oool00:00oooo00<000000?ooo`3oool08@3oool300000?l0ooooNP3oool00:40oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`3o0?ooogX0oooo002R0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00X`3oool00`000000oooo0?ooo`0N0?oo
o`030000003oool0oooo0?l0ooooNP3oool00:@0oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`3o0?ooogX0oooo002U0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
o`3ooomj0?ooo`00YP3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0?l0ooooNP3o
ool00:L0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`3o0?ooogX0oooo002X0?oo
o`030000003oool0oooo01T0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00Z@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo0?l0ooooNP3oool00:X0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`3o0?ooogX0oooo002[0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0o`3ooomj0?ooo`00403oool00`2LB000000000000004000000030000M02oool0
oooo04L0oooo00D0W4P0000000000000001d0;ooo`070?ooo`040=nLB0000000001809cOo`L0oooo
00H0omnL04P00000000000000000B02Lgol^0?ooo`030000003oool0oooo01D0oooo0`00001:0?oo
o`0509a80000000000000000M02oool01`3oool0103OW4P000000000B02Lgol70?ooo`060?oOW018
000000000000000004P0W=ooB03oool00`2LB000000000000004000000030000M02oool0oooo04D0
oooo00<0W4P0000000000000100000000`0007@0_ooo0?ooo`040?ooo`040=nLB0000000001809cO
o`L0oooo00H0omnL04P00000000000000000B02Lgom70?ooo`030=nLB0000000000000D0000000<0
04RL0?ooo`3oool02P3oool001<0oooo00<0gia8001d_`3oool0BP3oool01P2oM000B9cO0?ooo`3o
ool0okmd0018W0L0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0000007Boo`020?ooo`03
0?noM0000000M;oo02h0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`190?ooo`06
0;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0102LB000000000000018W=l60?ooo`030=nLB000
0000M;oo0080oooo00<0okmd0000001d_ol0BP3oool00`3OW4P007Bo0?ooo`1<0?ooo`030=nLB000
M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P0000007Boo`020?ooo`030?no
M0000000M;oo04H0oooo00<0okmd0000B02Lgol0103oool00`3o_g@007Bo0?ooo`0;0?ooo`004`3o
ool00`3OW4P007Bo0?ooo`190?ooo`030?noM000M;l0oooo00<0oooo00<0_g@004RLg`3oool01@3o
ool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000M02oool0
;P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo04P0oooo00<0okmd001d_`3oool0
0`3oool00`2oM000B9cO0?ooo`050?ooo`040=nLB0000000001809cOo`D0oooo00<0omnL04P0M02o
ool0103oool00`3o_g@0001d0;ooo`190?ooo`030=nLB000M;l0oooo04`0oooo00<0gia8001d_`3o
ool0203oool0103OW4P000000000B02Lgol50?ooo`030?oOW01807@0_ooo00@0oooo00<0okmd0000
M02oool0AP3oool00`3o_g@0001809cOo`0A0?ooo`004`3oool00`3OW4P007Bo0?ooo`190?ooo`03
0;md0018W=l0oooo00<0oooo00<0okmd0018W03oool05@3oool00`3ookl0M01809cOo`0_0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool0B03oool00`2oM000B9cO0?ooo`030?ooo`03
0?noM000B9`0oooo01D0oooo00<0oono07@0B02Lgol0B@3oool00`3OW4P007Bo0?ooo`1<0?ooo`03
0=nLB000M;l0oooo01P0oooo00<0oono07@0B02Lgol0A`3oool00`3ogi`0B01809cOo`0@0?ooo`00
4`3oool00`3OW4P007Bo0?ooo`190?ooo`0309a8001d_ol0oooo00<0oooo00<0omnL04P0M02oool0
5@3oool00`3ookl0M01809cOo`0`0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
B03oool00`2LB000M;oo0?ooo`030?ooo`030?oOW01807@0_ooo01D0oooo00<0oono07@0B02Lgol0
B@3oool00`3OW4P007Bo0?ooo`1<0?ooo`030=nLB000M;l0oooo01P0oooo00<0oono07@0B02Lgol0
B03oool00`3ogi`0B01809cOo`0?0?ooo`000`3oool00`3OW4P00000000000060000000307Boo`3o
ool0oooo00@0oooo00<0gia8001d_`3oool0?03oool00`3OW4P00000000000060000000607Boo`3o
ool0oooo0?oo_`1d04P0W=oo103oool00`3ogi`0B01d0;ooo`0E0?ooo`030?oo_`1d07@0_ooo0340
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`170?ooo`030?oo_`1d04P0W=oo00@0
oooo00<0omnL04P0M02oool05@3oool00`3ookl0M01d0;ooo`190?ooo`030=nLB000M;l0oooo04`0
oooo00<0gia8001d_`3oool0603oool00`3ookl0M01d0;ooo`190?ooo`030?oOW01804P0W=oo00h0
oooo000C0?ooo`030=nLB000M;l0oooo04P0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d
0;ooo`0?0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0<P3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo04L0oooo00<0oono07@0B02Lgol0103oool00`3ogi`0B01d
0;ooo`0?0?ooo`030?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0B@3oool00`3OW4P007Bo
0?ooo`1<0?ooo`030=nLB000M;l0oooo0180oooo00<0omnL04P00000B9`00`3oool00`2LB000B9cO
0?ooo`1:0?ooo`030?oOW01804P0W=oo00d0oooo000C0?ooo`030=nLB000M;l0oooo04P0oooo00<0
oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW01807@0W9a800<0000000<0
B9cO0?ooo`3oool0<`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04L0oooo00<0
oono07@0B02Lgol0103oool00`3ogi`0B01d0;ooo`0?0?ooo`030?oOW01807@0W9a800<0000000<0
B9cO0?ooo`3oool0B@3oool00`3OW4P007Bo0?ooo`1<0?ooo`030=nLB000M;l0oooo0180oooo00<0
omnL04P0M02LW4P00`0000000`18W=l0oooo0?ooo`1;0?ooo`030?oOW01807@0_ooo00`0oooo000C
0?ooo`030=nLB000M;l0oooo04T0oooo00<0W4Q809cOo`3oool00`3oool00`3ogi`0B01d0;ooo`0?
0?ooo`030?oOW01807@0_ooo03X0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`18
0?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B01d0;ooo`1?
0?ooo`030=nLB000M;l0oooo04`0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`1B
0?ooo`030=nLB000M;l0oooo00/0oooo000C0?ooo`030=nLB000M;l0oooo04T0oooo00<0_g@007Bo
o`3oool00`3oool00`3o_g@004RL0?ooo`0?0?ooo`030?oOW01807@0_ooo03/0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`180?ooo`030;md001d_ol0oooo00<0oooo00<0okmd0018
W03oool03`3oool00`3ogi`0B01d0;ooo`1?0?ooo`030=nLB000M;l0oooo04`0oooo00<0gia8001d
_`3oool04P3oool00`3ogi`0B01d0;ooo`1<0?ooo`0309adW03oool0oooo00<0oooo00<0okmd0018
W03oool02`3oool001<0oooo00<0gia8001d_`3oool0B@3oool00`3o_g@004RL0?ooo`030?ooo`03
0;md0018W=l0oooo00l0oooo00<0omnL04P0M02oool0?03oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo04P0oooo00<0okmd0018W03oool00`3oool00`2oM000B9cO0?ooo`0?0?ooo`03
0?oOW01807@0_ooo04l0oooo00<0gia8001d_`3oool0C03oool00`3OW4P007Bo0?ooo`0B0?ooo`03
0?oOW01807@0_ooo04/0oooo00<0oono07@0001d_ol0103oool00`2oM00007Bo0?ooo`0;0?ooo`00
403oool01@2LB00000000000M02LW4P007Bo04/0oooo00H0_g@0001d_`3oool0oooo0=nLB000B9`A
0?ooo`030?oOW01807@0_ooo03d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`19
0?ooo`060;md0000M;l0oooo0?ooo`3OW4P004RL4@3oool00`3ogi`0B01d0;ooo`1<0?ooo`0509a8
00000000001d09bLB000M;l0BP3oool01@2LB00000000000M02LW4P007Bo01<0oooo00<0omnL04P0
M02oool0C03oool00`3o_g@0000007Boo`020?ooo`030;md000007@0_ooo00`0oooo000B0?ooo`03
0?noM000000007Bo04`0oooo00D0_g@0000000000000001d0;ooo`0A0?ooo`030?oOW01800000000
00@0000000<0M;oo0?ooo`3oool0=`3oool00`000000oooo0?ooo`090?ooo`<00000BP3oool01@2o
M00000000000000007@0_ooo0140oooo00<0omnL04P000000000100000000`1d_ol0oooo0?ooo`17
0?ooo`030?noM000000007Bo04`0oooo00<0okmd00000000M;l04`3oool00`3ogi`0B00000000004
0000000307Boo`3oool0oooo04H0oooo00D0omnL04P00000000000000018W00>0?ooo`00^@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo0?l0ooooNP3oool00;X0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`3o0?ooogX0oooo002k0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00_03oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0?l0ooooNP3oool00;d0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`3o0?ooogX0oooo002n0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooomj
0?ooo`00_`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0ooooNP3oool00<00
oooo00D000000?ooo`3oool0oooo0000003o0?ooog`0oooo00310?ooo`040000003oool0oooo0000
0?l0ooooO03oool00<80oooo00<000000?ooo`000000o`3oooml0?ooo`00``3oool200000?l0oooo
O03oool00?l00000o`00001100000040oooo000>0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo0P00000@
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03@3oool000h0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool03`3oool00`000000oooo0000000?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool03@3oool000h0oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`1H0?ooo`04
0000003oool0oooo000005L0oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`1H0?oo
o`030000003oool0oooo05P0oooo00<000000?ooo`3oool03@3oool00<@0oooo00D000000?ooo`3o
ool0oooo0000003o0?ooogP0oooo00340?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0o`3ooome0?ooo`00a03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0?l0oooo
M03oool00<@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooog<0oooo0034
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0o`3ooomb0?ooo`00a03oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0?l0ooooL@3oool00<@0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`3o0?ooog00oooo00340?ooo`<00000203oool00`000000oooo
0?ooo`3o0?ooofl0oooo00340?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0o`3o
oom^0?ooo`00a03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0?l0ooooK@3oool0
0<@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`3o0?ooof`0oooo00340?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool0o`3ooom[0?ooo`00a03oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo0?l0ooooJP3oool00<@0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`3o0?ooofT0oooo00340?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0o`3ooomX0?ooo`00a03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
0?l0ooooI`3oool00<@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`3o0?ooofH0
oooo00340?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0o`3ooomU0?ooo`00a03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0?l0ooooI03oool00<@0oooo0`00000D
0?ooo`030000003oool0oooo0?l0ooooH`3oool00<@0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`3o0?ooof80oooo00340?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3o
ool0o`3ooomQ0?ooo`00a03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0?l0oooo
H03oool00<@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`3o0?oooel0oooo0034
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0o`3ooomN0?ooo`00a03oool00`00
0000oooo0?ooo`0J0?ooo`030000003oool0oooo0?l0ooooG@3oool00<@0oooo00<000000?ooo`3o
ool06`3oool00`000000oooo0?ooo`3o0?oooe`0oooo00340?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0o`3ooomK0?ooo`00a03oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo0?l0ooooFP3oool00<@0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3o
0?oooeT0oooo00340?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0o`3ooomH0?oo
o`00a03oool300000200oooo00<000000?ooo`3oool0o`3ooomG0?ooo`00a03oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo0?l0ooooEP3oool00<@0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`3o0?oooeD0oooo00340?ooo`030000003oool0oooo02<0oooo00<00000
0?ooo`3oool0o`3ooomD0?ooo`00a03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
0?l0ooooD`3oool00<@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`3o0?oooe80
oooo00340?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0o`3ooomA0?ooo`00a03o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0?l0ooooD03oool00<@0oooo00<00000
0?ooo`3oool0:03oool00`000000oooo0?ooo`3o0?ooodl0oooo00340?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool0o`3ooom>0?ooo`00a03oool00`000000oooo0?ooo`0Z0?ooo`03
0000003oool0oooo0?l0ooooC@3oool00<@0oooo00<000000?ooo`3oool0:`3oool00`000000oooo
0?ooo`3o0?oood`0oooo00340?ooo`<00000;03oool00`000000oooo0?ooo`3o0?oood/0oooo0034
0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0o`3ooom:0?ooo`00a03oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo0?l0ooooB@3oool00<@0oooo00<000000?ooo`3o
ool0;`3oool00`000000oooo0?ooo`3o0?ooodP0oooo00340?ooo`030000003oool0oooo0300oooo
0P00003o0?ooodP0oooo00340?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0o`3o
oom50?ooo`00W@3oool01@2LB00000000000000007@0_ooo00L0oooo00@0gia80000000004P0W=oo
1`3oool01P3ogi`0B000000000000000001809cOo`X0oooo00<000000?ooo`3oool0<`3oool00`00
0000oooo0?ooo`3o0?oood@0oooo002L0?ooo`060;md0018W=l0oooo0?ooo`3o_g@004RL1`3oool0
102LB000000000000018W=l60?ooo`030=nLB0000000M;oo0080oooo00<0okmd0000001d_ol02@3o
ool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0?l0oooo@`3oool009/0oooo00<0okmd
001d_`3oool00`3oool00`2oM000B9cO0?ooo`050?ooo`040=nLB0000000001809cOo`D0oooo00<0
omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`080?ooo`030000003oool0oooo03D0oooo00<0
00000?ooo`3oool0o`3ooom20?ooo`00V`3oool00`2oM000B9cO0?ooo`030?ooo`030?noM000B9`0
oooo01D0oooo00<0oono07@0B02Lgol0203oool00`000000oooo0?ooo`0f0?ooo`030000003oool0
oooo0?l0oooo@@3oool009/0oooo00<0W4P007Boo`3oool00`3oool00`3ogi`0B01d0;ooo`0E0?oo
o`030?oo_`1d04P0W=oo00P0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`3o0?oo
od00oooo002J0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool05@3oool00`3ookl0
M01d0;ooo`080?ooo`@00000=`3oool00`000000oooo0?ooo`3o0?ooocl0oooo002J0?ooo`030?oo
_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B0000018W0030?ooo`0309a8
0018W=l0oooo00P0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`3o0?oooch0oooo
002J0?ooo`030?oo_`1d04P0W=oo00@0oooo00<0omnL04P0M02oool03`3oool00`3ogi`0B01d09bL
B0030000000304RLg`3oool0oooo00P0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?oo
o`3o0?ooocd0oooo002K0?ooo`0309a8B02Lgol0oooo00<0oooo00<0omnL04P0M02oool03`3oool0
0`3ogi`0B01d0;ooo`0>0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0o`3oooll
0?ooo`00V`3oool00`2oM000M;oo0?ooo`030?ooo`030?noM000B9`0oooo00l0oooo00<0omnL04P0
M02oool03P3oool00`000000oooo0?ooo`0l0?ooo`800000o`3oooll0?ooo`00V`3oool00`3o_g@0
04RL0?ooo`030?ooo`030;md0018W=l0oooo00l0oooo00<0omnL04P0M02oool03P3oool00`000000
oooo0?ooo`0n0?ooo`030000003oool0oooo0?l0oooo>@3oool009`0oooo00H0_g@0001d_`3oool0
oooo0=nLB000B9`A0?ooo`030?oOW01807@0_ooo00h0oooo00<000000?ooo`3oool0?`3oool00`00
0000oooo0?ooo`3o0?ooocP0oooo002M0?ooo`050;md0000000000000000M02oool04@3oool00`3o
gi`0B000000000040000000307Boo`3oool0oooo00L0oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`3o0?ooocL0oooo00340?ooo`030000003oool0oooo0440oooo00<000000?ooo`3o
ool0o`3ooolf0?ooo`00a03oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo0?l0oooo
=@3oool00<@0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`3o0?oooc@0oooo0034
0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0o`3ooolc0?ooo`00a03oool30000
04D0oooo00<000000?ooo`3oool0o`3ooolb0?ooo`00a03oool00`000000oooo0?ooo`160?ooo`03
0000003oool0oooo0?l0oooo<@3oool00<@0oooo00<000000?ooo`3oool0A`3oool200000?l0oooo
<@3oool00<@0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`3o0?ooobh0oooo0034
0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0o`3oool]0?ooo`00a03oool00`00
0000oooo0?ooo`1;0?ooo`030000003oool0oooo0?l0oooo;03oool00<@0oooo00<000000?ooo`3o
ool0C03oool00`000000oooo0?ooo`3o0?ooob/0oooo00340?ooo`030000003oool0oooo04d0oooo
00<000000?ooo`3oool0o`3ooolZ0?ooo`00a03oool00`000000oooo0?ooo`1>0?ooo`030000003o
ool0oooo0?l0oooo:@3oool00<@0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`3o
0?ooobP0oooo00340?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0o`3ooolW0?oo
o`00a03oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0?l0oooo9P3oool00<@0oooo
0`00001B0?ooo`800000o`3ooolV0?ooo`00a03oool00`000000oooo0?ooo`1D0?ooo`030000003o
ool0oooo0?l0oooo8`3oool00<@0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`3o
0?ooob80oooo00340?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool0o`3ooolQ0?oo
o`00a03oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo0?l0oooo803oool00<@0oooo
00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`3o0?oooal0oooo00340?ooo`030000003o
ool0oooo05T0oooo00<000000?ooo`3oool0o`3ooolN0?ooo`00a03oool00`000000oooo0?ooo`1J
0?ooo`030000003oool0oooo0?l0oooo7@3oool00<@0oooo00<000000?ooo`3oool0F`3oool20000
0?l0oooo7@3oool00<@0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`3o0?oooaX0
oooo00340?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool0o`3ooolI0?ooo`00a03o
ool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0?l0oooo603oool00<@0oooo0`00001P
0?ooo`030000003oool0oooo0?l0oooo5`3oool00<@0oooo00<000000?ooo`3oool0H@3oool00`00
0000oooo0?ooo`3o0?oooaH0oooo00340?ooo`030000003oool0oooo0680oooo00<000000?ooo`3o
ool0o`3ooolE0?ooo`00a03oool00`000000oooo0?ooo`1S0?ooo`800000o`3ooolE0?ooo`00a03o
ool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo0?l0oooo4P3oool00<@0oooo00<00000
0?ooo`3oool0IP3oool00`000000oooo0?ooo`3o0?oooa40oooo00340?ooo`030000003oool0oooo
06L0oooo00<000000?ooo`3oool0o`3oool@0?ooo`00a03oool00`000000oooo0?ooo`1X0?ooo`03
0000003oool0oooo0?l0oooo3`3oool00<@0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`3o0?ooo`h0oooo00340?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0o`3o
ool=0?ooo`00a03oool00`000000oooo0?ooo`1[0?ooo`800000o`3oool=0?ooo`00a03oool30000
06d0oooo00<000000?ooo`3oool0o`3oool:0?ooo`00a03oool00`000000oooo0?ooo`1^0?ooo`03
0000003oool0oooo0?l0oooo2@3oool00<@0oooo00<000000?ooo`3oool0K`3oool00`000000oooo
0?ooo`3o0?ooo`P0oooo00340?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0o`3o
ool70?ooo`00a03oool00`000000oooo0?ooo`1a0?ooo`800000o`3oool70?ooo`00a03oool00`00
0000oooo0?ooo`1c0?ooo`030000003oool0oooo0?l0oooo103oool00<@0oooo00<000000?ooo`3o
ool0M03oool00`000000oooo0?ooo`3o0?ooo`<0oooo002c0?ooo`0309a800000000000000@00000
00<0001d0;ooo`3oool01`3oool00`000000oooo0?ooo`1e0?ooo`800000o`3oool30?ooo`00]P3o
ool00`3OW4P007Bo0?ooo`0;0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0o`3o
ool00;H0oooo00<0gia8001d_`3oool02`3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0
oooo0?h0oooo002f0?ooo`030=nLB000M;l0oooo00/0oooo00<000000?ooo`3oool0N@3oool00`00
0000oooo0?ooo`3m0?ooo`00]P3oool00`3OW4P007Bo0?ooo`0;0?ooo`030000003oool0oooo07X0
oooo0P00003m0?ooo`00]P3oool00`3OW4P007Bo0?ooo`0;0?ooo`@00000N`3oool00`000000oooo
0?ooo`3j0?ooo`00]P3oool00`3OW4P007Bo0?ooo`0;0?ooo`030000003oool0oooo07d0oooo00<0
00000?ooo`3oool0n@3oool00;H0oooo00<0gia8001d_`3oool02`3oool00`000000oooo0?ooo`1n
0?ooo`800000n@3oool00;H0oooo00<0gia8001d_`3oool02`3oool00`000000oooo0?ooo`200?oo
o`030000003oool0oooo0?H0oooo002f0?ooo`030=nLB000M;l0oooo00/0oooo00<000000?ooo`3o
ool0P@3oool00`000000oooo0?ooo`3e0?ooo`00]P3oool00`3OW4P007Bo0?ooo`0;0?ooo`030000
003oool0oooo0880oooo0P00003e0?ooo`00/`3oool01@2LB00000000000M02LW4P007Bo00`0oooo
00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`3b0?ooo`00]@3oool00`3o_g@00000001d
_`0<0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0l@3oool00<@0oooo00<00000
0?ooo`3oool0QP3oool200000?40oooo00340?ooo`030000003oool0oooo08P0oooo00<000000?oo
o`3oool0kP3oool00<@0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`3]0?ooo`00
a03oool00`000000oooo0?ooo`2:0?ooo`800000k@3oool00<@0oooo0`00002<0?ooo`030000003o
ool0oooo0>X0oooo00340?ooo`030000003oool0oooo08d0oooo0P00003Z0?ooo`00a03oool00`00
0000oooo0?ooo`2?0?ooo`030000003oool0oooo0>L0oooo00340?ooo`030000003oool0oooo0900
oooo00<000000?ooo`3oool0iP3oool00<@0oooo00<000000?ooo`3oool0T@3oool200000>H0oooo
00340?ooo`030000003oool0oooo09<0oooo00<000000?ooo`3oool0h`3oool00<@0oooo00<00000
0?ooo`3oool0U03oool200000><0oooo00340?ooo`030000003oool0oooo09H0oooo00<000000?oo
o`3oool0h03oool00<@0oooo00<000000?ooo`3oool0U`3oool200000>00oooo00340?ooo`030000
003oool0oooo09T0oooo00<000000?ooo`3oool0g@3oool00<@0oooo00<000000?ooo`3oool0VP3o
ool00`000000oooo0?ooo`3L0?ooo`00a03oool00`000000oooo0?ooo`2K0?ooo`800000g03oool0
0<@0oooo0`00002M0?ooo`030000003oool0oooo0=T0oooo00340?ooo`030000003oool0oooo09h0
oooo0P00003I0?ooo`00a03oool00`000000oooo0?ooo`2P0?ooo`800000e`3oool00<@0oooo00<0
00000?ooo`3oool0XP3oool200000=D0oooo00340?ooo`030000003oool0oooo0:@0oooo00<00000
0?ooo`3oool0dP3oool00<@0oooo00<000000?ooo`3oool0Y@3oool200000=80oooo00340?ooo`03
0000003oool0oooo0:L0oooo0P00003@0?ooo`00a03oool00`000000oooo0?ooo`2Y0?ooo`800000
cP3oool00<@0oooo00<000000?ooo`3oool0Z`3oool200000<`0oooo00340?ooo`030000003oool0
oooo0:d0oooo00<000000?ooo`3oool0b@3oool00<@0oooo00<000000?ooo`3oool0[P3oool20000
0<T0oooo00340?ooo`<00000/03oool200000<L0oooo00340?ooo`030000003oool0oooo0;80oooo
0P0000350?ooo`00a03oool00`000000oooo0?ooo`2d0?ooo`030000003oool0oooo0<80oooo0034
0?ooo`030000003oool0oooo0;D0oooo0P0000320?ooo`00a03oool00`000000oooo0?ooo`2g0?oo
o`800000`03oool00<@0oooo00<000000?ooo`3oool0^@3oool200000;h0oooo00340?ooo`030000
003oool0oooo0;/0oooo0P00002l0?ooo`00a03oool00`000000oooo0?ooo`2m0?ooo`800000^P3o
ool00<@0oooo00<000000?ooo`3oool0_`3oool200000;P0oooo00340?ooo`030000003oool0oooo
0<40oooo0P00002f0?ooo`00a03oool00`000000oooo0?ooo`330?ooo`800000]03oool00<@0oooo
00<000000?ooo`3oool0a@3oool200000;80oooo00340?ooo`<00000a`3oool200000;00oooo0034
0?ooo`030000003oool0oooo0<T0oooo0`00002]0?ooo`00a03oool00`000000oooo0?ooo`3<0?oo
o`800000V`3oool00`000000oooo0?ooo`0=0?ooo`00a03oool00`000000oooo0?ooo`3>0?ooo`80
0000V03oool2000000l0oooo00340?ooo`030000003oool0oooo0=00oooo0`00002B0?ooo`<00000
4@3oool00<@0oooo00<000000?ooo`3oool0d`3oool2000008d0oooo0`00000D0?ooo`00a03oool0
0`000000oooo0?ooo`3E0?ooo`<00000Q`3oool3000001L0oooo002K0?ooo`0309a8000000000000
00@0000000<0001d0;ooo`3oool0103oool0103OW4P000000000B02Lgol70?ooo`060?oOW0180000
00000000000004P0W=oo2P3oool00`000000oooo0?ooo`3H0?ooo`<00000PP3oool2000001X0oooo
002N0?ooo`030=nLB000M;l0oooo00P0oooo00@0W4P0000000000000B9cO1P3oool00`3OW4P00000
07Boo`020?ooo`030?noM0000000M;oo00T0oooo00<000000?ooo`3oool0f`3oool2000007d0oooo
0`00000L0?ooo`00WP3oool00`3OW4P007Bo0?ooo`080?ooo`040=nLB0000000001809cOo`D0oooo
00<0omnL04P0M02oool0103oool00`3o_g@0001d0;ooo`080?ooo`030000003oool0oooo0=d0oooo
0`00001g0?ooo`<000007`3oool009h0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01809cO
o`080?ooo`030000003oool0oooo0>00oooo0`00001a0?ooo`<000008P3oool009h0oooo00<0gia8
001d_`3oool0603oool00`3ookl0M01809cOo`080?ooo`030000003oool0oooo0><0oooo1000001Z
0?ooo`<000009@3oool009h0oooo00<0gia8001d_`3oool0603oool00`3ookl0M01d0;ooo`080?oo
o`@00000iP3oool400000680oooo1000000X0?ooo`00WP3oool00`3OW4P007Bo0?ooo`0B0?ooo`03
0?oOW018000004RL00<0oooo00<0W4P004RLg`3oool0203oool00`000000oooo0?ooo`3[0?ooo`@0
0000FP3oool4000002`0oooo002N0?ooo`030=nLB000M;l0oooo0180oooo00<0omnL04P0M02LW4P0
0`0000000`18W=l0oooo0?ooo`080?ooo`030000003oool0oooo0>l0oooo0`00001B0?ooo`D00000
<03oool009h0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`0>0?ooo`030000003o
ool0oooo0?80oooo100000180?ooo`H00000=@3oool009h0oooo00<0gia8001d_`3oool04P3oool0
0`3ogi`0B01d0;ooo`0>0?ooo`030000003oool0oooo0?H0oooo1`00000l0?ooo`D00000>`3oool0
09h0oooo00<0gia8001d_`3oool04P3oool00`3ogi`0B01d0;ooo`0>0?ooo`030000003oool0oooo
0?d0oooo2000000^0?ooo`H00000@03oool009/0oooo00D0W4P00000000007@0W9a8001d_`0C0?oo
o`030?oOW01807@0_ooo00h0oooo00<000000?ooo`3oool0o`3oool60?ooo`P00000703oool:0000
04H0oooo002M0?ooo`030?noM000000007Bo01<0oooo00<0omnL04P000000000100000000`1d_ol0
oooo0?ooo`070?ooo`030000003oool0oooo0?l0oooo3P3ooolL00000500oooo00340?ooo`030000
003oool0oooo0?l0ooooNP3oool00<@0oooo00<000000?ooo`3oool0o`3ooomj0?ooo`00a03oool0
0`000000oooo0?ooo`3o0?ooogX0oooo00340?ooo`030000003oool0oooo0?l0ooooNP3oool00<@0
oooo0`00003o0?ooogX0oooo00340?ooo`030000003oool0oooo0?l0ooooNP3oool00<@0oooo00<0
00000?ooo`3oool0o`3ooomj0?ooo`00a03oool00`000000oooo0?ooo`3o0?ooogX0oooo0000\
\>"],
  ImageRangeCache->{{{0, 575}, {354.875, 0}} -> {-1.0772, -1.38453, \
0.0109718, 0.0169995}}]
}, Open  ]],

Cell[BoxData[
    \(\(\(Omega[x_] := \(-\((B/\((2*M)\))\)\)*x;\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Omega[\(-0.827652833774819\)]\)], "Input"],

Cell[BoxData[
    \(0.2602681867216412`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(g[x1_, x2_, x10pf_, 
          x20pf_] := \((Pm/M)\)*\((x10pf - x1)\) + \((K/M)\)*\((Cos[x10pf] - 
                Cos[x1])\) + \((1/4)\)*\((B/M)\)^2*\((x1^2 - 
                x10pf^2)\) + \((1/2)\)*\((B/M)\)*\((x1*x2 - 
                x10pf*x20pf)\) + \((1/2)\)*\((x2^2 - 
                x20pf^2)\);\)\[IndentingNewLine] (*x1 =  .8289; \
\[IndentingNewLine]x2 = 7.1;*) \), "\[IndentingNewLine]", 
    \(\(x10pf = 0.8289;\)\), "\[IndentingNewLine]", 
    \(\(x20pf = 0;\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(Pm = 1.15;\)\), "\[IndentingNewLine]", 
    \(TableForm[
      Table[g[x1, x2, x10pf, x20pf], {x1, 0, 2.3, 0.2}, {x2, \(-7\), 7, 1}], 
      TableHeadings -> {Automatic}\[IndentingNewLine]]\), \
"\[IndentingNewLine]", 
    \(g[0.8239, \(-0.518\), x10pf, x20pf]\)}], "Input"],

Cell[BoxData[
    TagBox[GridBox[{
          {"1", "52.56456174886745`", "46.06456174886745`", 
            "40.56456174886745`", "36.06456174886745`", "32.56456174886745`", 
            "30.064561748867444`", "28.564561748867444`", 
            "28.064561748867444`", "28.564561748867444`", 
            "30.064561748867444`", "32.56456174886745`", "36.06456174886745`",
             "40.56456174886745`", "46.06456174886745`", 
            "52.56456174886745`"},
          {"2", "39.61858889662997`", "33.18148197839098`", 
            "27.744375060151988`", "23.307268141912992`", 
            "19.870161223673996`", "17.433054305435004`", 
            "15.995947387196011`", "15.558840468957017`", 
            "16.121733550718023`", "17.68462663247903`", 
            "20.247519714240035`", "23.810412796001042`", 
            "28.37330587776205`", "33.936198959523054`", 
            "40.49909204128406`"},
          {"3", "30.514022232046273`", "24.139808395568284`", 
            "18.765594559090296`", "14.391380722612308`", 
            "11.017166886134321`", "8.642953049656334`", "7.268739213178346`",
             "6.894525376700359`", "7.520311540222371`", "9.146097703744385`",
             "11.771883867266396`", "15.397670030788408`", 
            "20.02345619431042`", "25.649242357832435`", 
            "32.27502852135444`"},
          {"4", "25.02006353985807`", "18.70874278514109`", 
            "13.39742203042411`", "9.08610127570713`", "5.774780520990149`", 
            "3.4634597662731674`", "2.1521390115561863`", 
            "1.840818256839205`", "2.529497502122224`", "4.218176747405243`", 
            "6.906855992688262`", "10.59553523797128`", "15.2842144832543`", 
            "20.97289372853732`", "27.661572973820338`"},
          {"5", "22.76228644865349`", "16.513858775697518`", 
            "11.265431102741543`", "7.017003429785568`", "3.768575756829593`",
             "1.5201480838736183`", "0.27172041091764343`", 
            "0.02329273796166856`", "0.7748650650056937`", 
            "2.526437392049719`", "5.278009719093744`", "9.029582046137769`", 
            "13.781154373181794`", "19.53272670022582`", 
            "26.284299027269846`"},
          {"6", "23.237563628724505`", "17.052029037529536`", 
            "11.866494446334567`", "7.680959855139599`", "4.495425263944631`",
             "2.3098906727496615`", "1.1243560815546931`", 
            "0.9388214903597245`", "1.7532868991647559`", 
            "3.5677523079697875`", "6.382217716774819`", "10.19668312557985`",
             "15.011148534384882`", "20.825613943189914`", 
            "27.640079351994945`"},
          {"7", "25.834124890992328`", "19.711483381558367`", 
            "14.588841872124405`", "10.466200362690442`", 
            "7.3435588532564795`", "5.220917343822517`", "4.098275834388556`",
             "3.975634324954593`", "4.852992815520631`", "6.730351306086669`",
             "9.607709796652706`", "13.485068287218745`", 
            "18.362426777784783`", "24.239785268350822`", 
            "31.117143758916857`"},
          {"8", "29.85594653389346`", "23.7961981062205`", 
            "18.736449678547547`", "14.676701250874592`", 
            "11.616952823201636`", "9.557204395528679`", "8.497455967855723`",
             "8.437707540182767`", "9.377959112509812`", 
            "11.318210684836856`", "14.258462257163899`", 
            "18.19871382949094`", "23.138965401817988`", 
            "29.079216974145034`", "36.019468546472076`"},
          {"9", "34.55049961193129`", "28.553644266019344`", 
            "23.556788920107394`", "19.559933574195448`", 
            "16.563078228283494`", "14.566222882371546`", 
            "13.569367536459596`", "13.572512190547647`", 
            "14.575656844635697`", "16.57880149872375`", 
            "19.581946152811796`", "23.58509080689985`", "28.5882354609879`", 
            "34.59138011507595`", "41.594524769163996`"},
          {"10", "39.13875088999056`", "33.20478862583962`", 
            "28.270826361688677`", "24.33686409753773`", "21.40290183338679`",
             "19.468939569235847`", "18.5349773050849`", "18.60101504093396`",
             "19.667052776783017`", "21.73309051263207`", 
            "24.79912824848113`", "28.865165984330186`", "33.93120372017924`",
             "39.9972414560283`", "47.063279191877356`"},
          {"11", "42.84622044003997`", "36.97515125765004`", 
            "32.1040820752601`", "28.233012892870164`", "25.361943710480226`",
             "23.490874528090288`", "22.619805345700353`", 
            "22.748736163310415`", "23.877666980920477`", 
            "26.006597798530542`", "29.135528616140604`", 
            "33.264459433750666`", "38.39339025136073`", "44.5223210689708`", 
            "51.65125188658085`"},
          {"12", "44.9338577118499`", "39.125681611220976`", 
            "34.31750551059204`", "30.50932940996311`", "27.70115330933418`", 
            "25.89297720870525`", "25.08480110807632`", "25.27662500744739`", 
            "26.46844890681846`", "28.66027280618953`", "31.852096705560598`",
             "36.04392060493167`", "41.23574450430274`", "47.4275684036738`", 
            "54.619392303044876`"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ BoxForm`e$, TableHeadings -> {Automatic}]]]], "Output"],

Cell[BoxData[
    \(\(-0.000037098180201811104`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FindMinimum[\((Pm/M)\)*\((x10pf - x1)\) + \((K/M)\)*\((Cos[x10pf] - 
              Cos[x1])\) + \((1/4)\)*\((B/M)\)^2*\((x1^2 - x10pf^2)\) + \((1/
              2)\)*\((B/M)\)*\((x1*x2 - x10pf*x20pf)\) + \((1/2)\)*\((x2^2 - 
              x20pf^2)\), {{x1, \(- .6\)}, {x2, \(-0.4\)}}]\)], "Input"],

Cell[BoxData[
    \({\(-0.034023597308783946`\), {x1 \[Rule] 0.8276528337753621`, 
        x2 \[Rule] \(-0.2602681867255464`\)}}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 715}},
Evaluator->"New Kernel",
WindowSize->{1016, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 321, 6, 295, "Input"],

Cell[CellGroupData[{
Cell[2100, 61, 75, 1, 125, "Input"],
Cell[2178, 64, 69, 1, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2284, 70, 70, 1, 125, "Input"],
Cell[2357, 73, 38462, 761, 372, 4855, 342, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[40834, 837, 107, 2, 159, "Input"],

Cell[CellGroupData[{
Cell[40966, 843, 62, 1, 125, "Input"],
Cell[41031, 846, 53, 1, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41121, 852, 826, 15, 601, "Input"],
Cell[41950, 869, 5427, 90, 459, "Output"],
Cell[47380, 961, 63, 1, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47480, 967, 317, 4, 261, "Input"],
Cell[47800, 973, 142, 2, 125, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

