(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   2626558,      78201]*)
(*NotebookOutlinePosition[   2627306,      78227]*)
(*  CellTagsIndexPosition[   2627262,      78223]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(<< Graphics`PlotField`\), "\[IndentingNewLine]", 
    \(<< Graphics`Arrow`\), "\[IndentingNewLine]", 
    \(\(\(<< Graphics`Legend`\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(Clear\ [sol]\)}], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox[\( (*\ Realiza\ las\ \(\(gr\[AAcute]ficas\)\(:\)\)*) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox[\( (*\(\(\ \ \ \ \ \ \)\(a\)\()\)\)\ Hamiltoniano\ en\ R3\
\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \((gra1)\)*) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox[\( (*\(\(\ \ \ \ \ \ \)\(b\)\()\)\)\ Curvas\ de\ Nivel\
\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \((gra2)\)*) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox[\( (*\(\(\ \ \ \ \ \ \)\(c\)\()\)\) 
            Campo\ Vectorial\
\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \((gra)\)\ *) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox[\( (*\(\(\ \ \ \ \ \ \)\(d\)\()\)\)\ Plano\ de\ fase\ para\ \
una\ trayectoria\ \ \((graphs)\)\ *) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox[\( (*\(\(\ \ \ \ \ \ \)\(e\)\()\)\)\ Campo\ Gradiente\
\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \((gra3)\)*) \),
        FontFamily->"Comic Sans MS",
        FontSize->14], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->16]}]], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox[\( (*\ Hamiltoniano\ *) \),
        FontFamily->"Comic Sans MS",
        FontSize->16], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Comic Sans MS",
        FontSize->16], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", \( (*Datos\ para\ el\ sistema\ mec\[AAcute]nico\
*) \), "\n", \(Ipre = 0.02923; Ifa = 0.024; 
      Ipf = 0.0268; \[IndentingNewLine]Mpre = 0.4359; Mf = 0.9; Mpf = 0.679; 
      g = 9.81; r = 0.1; \[IndentingNewLine]t1pre = 0.5417; t1pf = 0.932; 
      tcm = 0.9305; \[IndentingNewLine]K = 0.8292; x10 = 0.932; 
      B = 0.04;\[IndentingNewLine]\[IndentingNewLine] (*\(f = \((1/
                    2)\)*\((x2^2)\) + \((K/M)\)*\((1 - Cos[])\) + \((P/
                    M)\)*\((x10 - x1)\);\)*) \[IndentingNewLine]
      \(f = \((1/2)\)*\((x2^2)\) + \[IndentingNewLine]\((K/Ipre)\)*\((1 - 
                  Cos[t1pre])\) + \((Mpre*g*r/Ipre)\)*\((0 - t1pre)\) + \((K/
                  Ifa)\)*\((Cos[t1pre] - Cos[tcm])\) + \((Mf*g*
                  r/Ifa)\)*\((t1pre - tcm)\) + \[IndentingNewLine]\((K/
                  Ipf)\)*\((Cos[tcm] - Cos[x1])\) + \((Mpf*g*
                  r/Ipf)\)*\((tcm - 
                  x1)\);\)\[IndentingNewLine] (*\ \ Rango\ de\ las\ gr\
\[AAcute]ficas\ para\ x1\ y\ x2\ \ *) \[IndentingNewLine]\n
      \(\(x1min = 0\)\(;\)\(x1max = 
        2.5\)\(;\)\(x2min = \(-4\)\)\(;\)\(x2max = 
        4\)\(;\)\(\[IndentingNewLine]\)\)\)}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox[\( (*\ Plano\ de\ fase\ para\ una\ Trayectoria\ *) \),
        FontFamily->"Comic Sans MS",
        FontSize->18], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", \(\(sol[x0_, y0_] := 
          Module[{solt, y, x, t, ec1, 
              ec2}, \[IndentingNewLine] (*\ \ \ \ \ \ \ Modelo\ \
matem\[AAcute]tico\ del\ sistema\ \ \ \ \ \ \ \ \ *) \[IndentingNewLine]ec1\  \
= \ \(x'\)[t] \[Equal] 
                y[t]; \[IndentingNewLine]ec2\  = \(y'\)[
                  t] \[Equal] \((1/Ipf)\)*\((Mpf*g*r\  - \ K*Sin[x[t]] - 
                      B*y[t])\); \[IndentingNewLine]\[IndentingNewLine]solt = 
              NDSolve[{ec1, \ ec2, \ x[0] \[Equal] x0, 
                  y[0] \[Equal] y0}, \ {x[t], \ y[t]}, {t, 0, 
                  6,  .3}]; \
\[IndentingNewLine]\[IndentingNewLine]ParametricPlot[{x[t], y[t]}\  /. \ 
                solt, {t, 0, 4}, Compiled \[Rule] False, 
              GridLines \[Rule] Automatic, 
              FrameLabel \[Rule] {"\<posici\[OAcute]n angular\>", \
"\<velocidad angular\>"}, \[IndentingNewLine]DisplayFunction \[Rule] 
                Identity, 
              PlotStyle \[Rule] {RGBColor[1, 0.6, 0.2], 
                  Thickness[ \
.015]}]];\)\[IndentingNewLine]\[IndentingNewLine] (*\ \ \ \ \ Definici\
\[OAcute]n\ del\ conjunto\ de\ condiciones\ \ \ \ \ *)  (*\ \ \ iniciales\ \
para\ las\ cuales\ va\ a\ resolverse\ \ \ \ *)  (*\ \ \ \ \ \ \ \ \ \ \ la\ \
ecuaci\[OAcute]n\ diferencial\ \ \ \ \ \ \ \ \ \ \ \ \ \ \
*) \[IndentingNewLine] (*\ \ \ \ \ \ \ \ t\  = \ 
          posici\[OAcute]n\ angular\ inicial\ \ \ \ \ \ \ \ \ \ \ \ \
*) \[IndentingNewLine] (*\ \ \ \ \ \ \ tt\  = \ 
          velocidad\ angular\ inicial\ \ \ \ \ \ \ \ \ \ \ \
*) \[IndentingNewLine]\[IndentingNewLine]
      \ \ \ \ \(graphs = 
          Evaluate[
            sol[0.932, 
              3]];\)\[IndentingNewLine]\[IndentingNewLine] (*\ \ \ \ \ \ \
Definici\[OAcute]n\ del\ modelo\ m\[AAcute]tematico\ que\ \ \ \ \ \ \
*) \[IndentingNewLine] (*\ \ \ realiza\ la\ gr\[AAcute]fica\ del\ campo\ de\ \
direcciones\ \ *) \[IndentingNewLine] (*\ \ \ \ se\ recomienda\ el\ mismo\ \
rango\ que\ "\<graphs\>"\ \ \ *) \[IndentingNewLine]\[IndentingNewLine]\
\[IndentingNewLine]
      \(ec1\  := \ y1;\)\[IndentingNewLine]
      \(ec2\  := \((1/Ipf)\)*\((Mpf*g*r\  - \ K*Sin[x1] - 
                B*y1)\);\)\[IndentingNewLine]\[IndentingNewLine]\
\[IndentingNewLine]
      gra = 
        PlotVectorField[{ec1, ec2}, {x1, x1min, x1max}, {y1, x2min, x2max}, 
          Frame \[Rule] True, PlotPoints \[Rule] 40, HeadCenter \[Rule] 0, 
          ScaleFactor \[Rule] \(( .8)\), HeadWidth \[Rule] 0.3, 
          HeadLength \[Rule] 1/60, Compiled \[Rule] False, 
          DisplayFunction \[Rule] 
            Identity]\[IndentingNewLine]\[IndentingNewLine] (*\ \ \ \ \ \ \ \ \
\ \ Definici\[OAcute]n\ de\ las\ gr\[AAcute]ficas\ \ \ \ \ \ \ \ \ \ \ \ \
*) \[IndentingNewLine] (*\ \ \ \ \ \ del\ flujo\ y\ del\ campo\ direccional\ \
\ \ \ \ \ \ \ \ *) \[IndentingNewLine] (*\ \ \ \ se\ recomienda\ el\ mismo\ \
rango\ que\ "\<graphs\>"\ \ \ *) \[IndentingNewLine]\[IndentingNewLine]
      \)}]], "Input"],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(gra2 = 
        ContourPlot[Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
          AxesLabel \[Rule] {"\<\[Delta]\>", "\<\[Omega]\>", "\<H(\[Delta],\
\[Omega])\>"}, ColorFunction \[Rule] \((RGBColor[#, 1 - #,  .6] &)\), 
          PlotPoints \[Rule] 100, Contours \[Rule] 40, PlotRange \[Rule] All, 
          AspectRatio \[Rule] 1];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0192308 0.384615 0.5 0.120192 [
[.01923 -0.0125 -3 -9 ]
[.01923 -0.0125 3 0 ]
[.21154 -0.0125 -9 -9 ]
[.21154 -0.0125 9 0 ]
[.40385 -0.0125 -3 -9 ]
[.40385 -0.0125 3 0 ]
[.59615 -0.0125 -9 -9 ]
[.59615 -0.0125 9 0 ]
[.78846 -0.0125 -3 -9 ]
[.78846 -0.0125 3 0 ]
[.98077 -0.0125 -9 -9 ]
[.98077 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01923 -12 -4.5 ]
[-0.0125 .01923 0 4.5 ]
[-0.0125 .25962 -12 -4.5 ]
[-0.0125 .25962 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .74038 -6 -4.5 ]
[-0.0125 .74038 0 4.5 ]
[-0.0125 .98077 -6 -4.5 ]
[-0.0125 .98077 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
[(0)] .01923 -0.0125 0 1 Mshowa
.21154 0 m
.21154 .00625 L
s
[(0.5)] .21154 -0.0125 0 1 Mshowa
.40385 0 m
.40385 .00625 L
s
[(1)] .40385 -0.0125 0 1 Mshowa
.59615 0 m
.59615 .00625 L
s
[(1.5)] .59615 -0.0125 0 1 Mshowa
.78846 0 m
.78846 .00625 L
s
[(2)] .78846 -0.0125 0 1 Mshowa
.98077 0 m
.98077 .00625 L
s
[(2.5)] .98077 -0.0125 0 1 Mshowa
.125 Mabswid
.05769 0 m
.05769 .00375 L
s
.09615 0 m
.09615 .00375 L
s
.13462 0 m
.13462 .00375 L
s
.17308 0 m
.17308 .00375 L
s
.25 0 m
.25 .00375 L
s
.28846 0 m
.28846 .00375 L
s
.32692 0 m
.32692 .00375 L
s
.36538 0 m
.36538 .00375 L
s
.44231 0 m
.44231 .00375 L
s
.48077 0 m
.48077 .00375 L
s
.51923 0 m
.51923 .00375 L
s
.55769 0 m
.55769 .00375 L
s
.63462 0 m
.63462 .00375 L
s
.67308 0 m
.67308 .00375 L
s
.71154 0 m
.71154 .00375 L
s
.75 0 m
.75 .00375 L
s
.82692 0 m
.82692 .00375 L
s
.86538 0 m
.86538 .00375 L
s
.90385 0 m
.90385 .00375 L
s
.94231 0 m
.94231 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01923 m
.00625 .01923 L
s
[(-4)] -0.0125 .01923 1 0 Mshowa
0 .25962 m
.00625 .25962 L
s
[(-2)] -0.0125 .25962 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .74038 m
.00625 .74038 L
s
[(2)] -0.0125 .74038 1 0 Mshowa
0 .98077 m
.00625 .98077 L
s
[(4)] -0.0125 .98077 1 0 Mshowa
.125 Mabswid
0 .07933 m
.00375 .07933 L
s
0 .13942 m
.00375 .13942 L
s
0 .19952 m
.00375 .19952 L
s
0 .31971 m
.00375 .31971 L
s
0 .37981 m
.00375 .37981 L
s
0 .4399 m
.00375 .4399 L
s
0 .5601 m
.00375 .5601 L
s
0 .62019 m
.00375 .62019 L
s
0 .68029 m
.00375 .68029 L
s
0 .80048 m
.00375 .80048 L
s
0 .86058 m
.00375 .86058 L
s
0 .92067 m
.00375 .92067 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.21154 .99375 m
.21154 1 L
s
.40385 .99375 m
.40385 1 L
s
.59615 .99375 m
.59615 1 L
s
.78846 .99375 m
.78846 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.05769 .99625 m
.05769 1 L
s
.09615 .99625 m
.09615 1 L
s
.13462 .99625 m
.13462 1 L
s
.17308 .99625 m
.17308 1 L
s
.25 .99625 m
.25 1 L
s
.28846 .99625 m
.28846 1 L
s
.32692 .99625 m
.32692 1 L
s
.36538 .99625 m
.36538 1 L
s
.44231 .99625 m
.44231 1 L
s
.48077 .99625 m
.48077 1 L
s
.51923 .99625 m
.51923 1 L
s
.55769 .99625 m
.55769 1 L
s
.63462 .99625 m
.63462 1 L
s
.67308 .99625 m
.67308 1 L
s
.71154 .99625 m
.71154 1 L
s
.75 .99625 m
.75 1 L
s
.82692 .99625 m
.82692 1 L
s
.86538 .99625 m
.86538 1 L
s
.90385 .99625 m
.90385 1 L
s
.94231 .99625 m
.94231 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01923 m
1 .01923 L
s
.99375 .25962 m
1 .25962 L
s
.99375 .5 m
1 .5 L
s
.99375 .74038 m
1 .74038 L
s
.99375 .98077 m
1 .98077 L
s
.125 Mabswid
.99625 .07933 m
1 .07933 L
s
.99625 .13942 m
1 .13942 L
s
.99625 .19952 m
1 .19952 L
s
.99625 .31971 m
1 .31971 L
s
.99625 .37981 m
1 .37981 L
s
.99625 .4399 m
1 .4399 L
s
.99625 .5601 m
1 .5601 L
s
.99625 .62019 m
1 .62019 L
s
.99625 .68029 m
1 .68029 L
s
.99625 .80048 m
1 .80048 L
s
.99625 .86058 m
1 .86058 L
s
.99625 .92067 m
1 .92067 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.575 .425 .6 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
0 g
.5 Mabswid
.6 .4 .6 r
.01923 .40115 m
.01957 .39802 L
.02068 .38831 L
.0219 .37859 L
.02323 .36888 L
.02467 .35917 L
.02622 .34946 L
.02787 .33974 L
.02894 .33381 L
.02965 .33003 L
.03153 .32032 L
.03354 .31061 L
.03567 .30089 L
.03792 .29118 L
.03866 .28811 L
.04029 .28147 L
.0428 .27176 L
.04544 .26204 L
.04821 .25233 L
.04837 .25179 L
.05112 .24262 L
.05418 .23291 L
.05739 .22319 L
.05808 .22116 L
.06075 .21348 L
.06428 .20377 L
.06779 .19451 L
.06797 .19406 L
.07184 .18434 L
.07588 .17463 L
.07751 .17086 L
.08012 .16492 L
.08456 .15521 L
.08722 .1496 L
.08921 .14549 L
.09409 .13578 L
.09693 .13032 L
.0992 .12607 L
.10456 .11636 L
.10664 .11272 L
.1102 .10664 L
.11613 .09693 L
.11636 .09657 L
.12237 .08722 L
.12607 .0817 L
.12895 .07751 L
.13578 .06797 L
.13591 .06779 L
.14329 .05808 L
.14549 .05528 L
.15112 .04837 L
.15521 .04354 L
.15947 .03866 L
.16492 .03265 L
.16841 .02894 L
.17463 .02258 L
.17803 .01923 L
.01923 .01923 L
F
0 g
.01923 .40115 m
.01957 .39802 L
.02068 .38831 L
.0219 .37859 L
.02323 .36888 L
.02467 .35917 L
.02622 .34946 L
.02787 .33974 L
.02894 .33381 L
.02965 .33003 L
.03153 .32032 L
.03354 .31061 L
.03567 .30089 L
.03792 .29118 L
.03866 .28811 L
.04029 .28147 L
.0428 .27176 L
.04544 .26204 L
.04821 .25233 L
.04837 .25179 L
.05112 .24262 L
.05418 .23291 L
.05739 .22319 L
.05808 .22116 L
.06075 .21348 L
.06428 .20377 L
.06779 .19451 L
.06797 .19406 L
.07184 .18434 L
.07588 .17463 L
.07751 .17086 L
.08012 .16492 L
.08456 .15521 L
.08722 .1496 L
.08921 .14549 L
.09409 .13578 L
.09693 .13032 L
.0992 .12607 L
.10456 .11636 L
.10664 .11272 L
.1102 .10664 L
.11613 .09693 L
.11636 .09657 L
.12237 .08722 L
.12607 .0817 L
.12895 .07751 L
.13578 .06797 L
.13591 .06779 L
.14329 .05808 L
.14549 .05528 L
Mistroke
.15112 .04837 L
.15521 .04354 L
.15947 .03866 L
.16492 .03265 L
.16841 .02894 L
.17463 .02258 L
.17803 .01923 L
Mfstroke
.6 .4 .6 r
.01923 .59885 m
.01957 .60198 L
.02068 .61169 L
.0219 .62141 L
.02323 .63112 L
.02467 .64083 L
.02622 .65054 L
.02787 .66026 L
.02894 .66619 L
.02965 .66997 L
.03153 .67968 L
.03354 .68939 L
.03567 .69911 L
.03792 .70882 L
.03866 .71189 L
.04029 .71853 L
.0428 .72824 L
.04544 .73796 L
.04821 .74767 L
.04837 .74821 L
.05112 .75738 L
.05418 .76709 L
.05739 .77681 L
.05808 .77884 L
.06075 .78652 L
.06428 .79623 L
.06779 .80549 L
.06797 .80594 L
.07184 .81566 L
.07588 .82537 L
.07751 .82914 L
.08012 .83508 L
.08456 .84479 L
.08722 .8504 L
.08921 .85451 L
.09409 .86422 L
.09693 .86968 L
.0992 .87393 L
.10456 .88364 L
.10664 .88728 L
.1102 .89336 L
.11613 .90307 L
.11636 .90343 L
.12237 .91278 L
.12607 .9183 L
.12895 .92249 L
.13578 .93203 L
.13591 .93221 L
.14329 .94192 L
.14549 .94472 L
.15112 .95163 L
.15521 .95646 L
.15947 .96134 L
.16492 .96735 L
.16841 .97106 L
.17463 .97742 L
.17803 .98077 L
.01923 .98077 L
F
0 g
.01923 .59885 m
.01957 .60198 L
.02068 .61169 L
.0219 .62141 L
.02323 .63112 L
.02467 .64083 L
.02622 .65054 L
.02787 .66026 L
.02894 .66619 L
.02965 .66997 L
.03153 .67968 L
.03354 .68939 L
.03567 .69911 L
.03792 .70882 L
.03866 .71189 L
.04029 .71853 L
.0428 .72824 L
.04544 .73796 L
.04821 .74767 L
.04837 .74821 L
.05112 .75738 L
.05418 .76709 L
.05739 .77681 L
.05808 .77884 L
.06075 .78652 L
.06428 .79623 L
.06779 .80549 L
.06797 .80594 L
.07184 .81566 L
.07588 .82537 L
.07751 .82914 L
.08012 .83508 L
.08456 .84479 L
.08722 .8504 L
.08921 .85451 L
.09409 .86422 L
.09693 .86968 L
.0992 .87393 L
.10456 .88364 L
.10664 .88728 L
.1102 .89336 L
.11613 .90307 L
.11636 .90343 L
.12237 .91278 L
.12607 .9183 L
.12895 .92249 L
.13578 .93203 L
.13591 .93221 L
.14329 .94192 L
.14549 .94472 L
Mistroke
.15112 .95163 L
.15521 .95646 L
.15947 .96134 L
.16492 .96735 L
.16841 .97106 L
.17463 .97742 L
.17803 .98077 L
Mfstroke
.625 .375 .6 r
.01923 .34642 m
.02036 .33974 L
.02208 .33003 L
.02393 .32032 L
.02588 .31061 L
.02795 .30089 L
.02894 .29645 L
.03015 .29118 L
.03246 .28147 L
.0349 .27176 L
.03746 .26204 L
.03866 .25769 L
.04016 .25233 L
.04299 .24262 L
.04596 .23291 L
.04837 .22537 L
.04908 .22319 L
.05234 .21348 L
.05576 .20377 L
.05808 .1974 L
.05933 .19406 L
.06307 .18434 L
.06699 .17463 L
.06779 .17268 L
.07108 .16492 L
.07536 .15521 L
.07751 .1505 L
.07984 .14549 L
.08453 .13578 L
.08722 .13041 L
.08944 .12607 L
.09459 .11636 L
.09693 .11209 L
.09999 .10664 L
.10565 .09693 L
.10664 .09527 L
.1116 .08722 L
.11636 .07979 L
.11786 .07751 L
.12446 .06779 L
.12607 .0655 L
.13142 .05808 L
.13578 .05227 L
.13879 .04837 L
.14549 .04001 L
.14662 .03866 L
.15494 .02894 L
.15521 .02865 L
.16384 .01923 L
.01923 .01923 L
F
0 g
.01923 .34642 m
.02036 .33974 L
.02208 .33003 L
.02393 .32032 L
.02588 .31061 L
.02795 .30089 L
.02894 .29645 L
.03015 .29118 L
.03246 .28147 L
.0349 .27176 L
.03746 .26204 L
.03866 .25769 L
.04016 .25233 L
.04299 .24262 L
.04596 .23291 L
.04837 .22537 L
.04908 .22319 L
.05234 .21348 L
.05576 .20377 L
.05808 .1974 L
.05933 .19406 L
.06307 .18434 L
.06699 .17463 L
.06779 .17268 L
.07108 .16492 L
.07536 .15521 L
.07751 .1505 L
.07984 .14549 L
.08453 .13578 L
.08722 .13041 L
.08944 .12607 L
.09459 .11636 L
.09693 .11209 L
.09999 .10664 L
.10565 .09693 L
.10664 .09527 L
.1116 .08722 L
.11636 .07979 L
.11786 .07751 L
.12446 .06779 L
.12607 .0655 L
.13142 .05808 L
.13578 .05227 L
.13879 .04837 L
.14549 .04001 L
.14662 .03866 L
.15494 .02894 L
.15521 .02865 L
.16384 .01923 L
s
.625 .375 .6 r
.01923 .65358 m
.02036 .66026 L
.02208 .66997 L
.02393 .67968 L
.02588 .68939 L
.02795 .69911 L
.02894 .70355 L
.03015 .70882 L
.03246 .71853 L
.0349 .72824 L
.03746 .73796 L
.03866 .74231 L
.04016 .74767 L
.04299 .75738 L
.04596 .76709 L
.04837 .77463 L
.04908 .77681 L
.05234 .78652 L
.05576 .79623 L
.05808 .8026 L
.05933 .80594 L
.06307 .81566 L
.06699 .82537 L
.06779 .82732 L
.07108 .83508 L
.07536 .84479 L
.07751 .8495 L
.07984 .85451 L
.08453 .86422 L
.08722 .86959 L
.08944 .87393 L
.09459 .88364 L
.09693 .88791 L
.09999 .89336 L
.10565 .90307 L
.10664 .90473 L
.1116 .91278 L
.11636 .92021 L
.11786 .92249 L
.12446 .93221 L
.12607 .9345 L
.13142 .94192 L
.13578 .94773 L
.13879 .95163 L
.14549 .95999 L
.14662 .96134 L
.15494 .97106 L
.15521 .97135 L
.16384 .98077 L
.01923 .98077 L
F
0 g
.01923 .65358 m
.02036 .66026 L
.02208 .66997 L
.02393 .67968 L
.02588 .68939 L
.02795 .69911 L
.02894 .70355 L
.03015 .70882 L
.03246 .71853 L
.0349 .72824 L
.03746 .73796 L
.03866 .74231 L
.04016 .74767 L
.04299 .75738 L
.04596 .76709 L
.04837 .77463 L
.04908 .77681 L
.05234 .78652 L
.05576 .79623 L
.05808 .8026 L
.05933 .80594 L
.06307 .81566 L
.06699 .82537 L
.06779 .82732 L
.07108 .83508 L
.07536 .84479 L
.07751 .8495 L
.07984 .85451 L
.08453 .86422 L
.08722 .86959 L
.08944 .87393 L
.09459 .88364 L
.09693 .88791 L
.09999 .89336 L
.10565 .90307 L
.10664 .90473 L
.1116 .91278 L
.11636 .92021 L
.11786 .92249 L
.12446 .93221 L
.12607 .9345 L
.13142 .94192 L
.13578 .94773 L
.13879 .95163 L
.14549 .95999 L
.14662 .96134 L
.15494 .97106 L
.15521 .97135 L
.16384 .98077 L
s
.65 .35 .6 r
.01923 .30661 m
.02043 .30089 L
.02257 .29118 L
.02483 .28147 L
.0272 .27176 L
.02894 .26495 L
.0297 .26204 L
.03233 .25233 L
.03509 .24262 L
.03798 .23291 L
.03866 .23069 L
.041 .22319 L
.04417 .21348 L
.04749 .20377 L
.04837 .20127 L
.05096 .19406 L
.05459 .18434 L
.05808 .17538 L
.05838 .17463 L
.06234 .16492 L
.06648 .15521 L
.06779 .15222 L
.07081 .14549 L
.07533 .13578 L
.07751 .13127 L
.08007 .12607 L
.08502 .11636 L
.08722 .11218 L
.0902 .10664 L
.09563 .09693 L
.09693 .09467 L
.10132 .08722 L
.10664 .07855 L
.1073 .07751 L
.11359 .06779 L
.11636 .06366 L
.1202 .05808 L
.12607 .04988 L
.12718 .04837 L
.13456 .03866 L
.13578 .0371 L
.14238 .02894 L
.14549 .02523 L
.15069 .01923 L
.01923 .01923 L
F
0 g
.01923 .30661 m
.02043 .30089 L
.02257 .29118 L
.02483 .28147 L
.0272 .27176 L
.02894 .26495 L
.0297 .26204 L
.03233 .25233 L
.03509 .24262 L
.03798 .23291 L
.03866 .23069 L
.041 .22319 L
.04417 .21348 L
.04749 .20377 L
.04837 .20127 L
.05096 .19406 L
.05459 .18434 L
.05808 .17538 L
.05838 .17463 L
.06234 .16492 L
.06648 .15521 L
.06779 .15222 L
.07081 .14549 L
.07533 .13578 L
.07751 .13127 L
.08007 .12607 L
.08502 .11636 L
.08722 .11218 L
.0902 .10664 L
.09563 .09693 L
.09693 .09467 L
.10132 .08722 L
.10664 .07855 L
.1073 .07751 L
.11359 .06779 L
.11636 .06366 L
.1202 .05808 L
.12607 .04988 L
.12718 .04837 L
.13456 .03866 L
.13578 .0371 L
.14238 .02894 L
.14549 .02523 L
.15069 .01923 L
s
.65 .35 .6 r
.01923 .69339 m
.02043 .69911 L
.02257 .70882 L
.02483 .71853 L
.0272 .72824 L
.02894 .73505 L
.0297 .73796 L
.03233 .74767 L
.03509 .75738 L
.03798 .76709 L
.03866 .76931 L
.041 .77681 L
.04417 .78652 L
.04749 .79623 L
.04837 .79873 L
.05096 .80594 L
.05459 .81566 L
.05808 .82462 L
.05838 .82537 L
.06234 .83508 L
.06648 .84479 L
.06779 .84778 L
.07081 .85451 L
.07533 .86422 L
.07751 .86873 L
.08007 .87393 L
.08502 .88364 L
.08722 .88782 L
.0902 .89336 L
.09563 .90307 L
.09693 .90533 L
.10132 .91278 L
.10664 .92145 L
.1073 .92249 L
.11359 .93221 L
.11636 .93634 L
.1202 .94192 L
.12607 .95012 L
.12718 .95163 L
.13456 .96134 L
.13578 .9629 L
.14238 .97106 L
.14549 .97477 L
.15069 .98077 L
.01923 .98077 L
F
0 g
.01923 .69339 m
.02043 .69911 L
.02257 .70882 L
.02483 .71853 L
.0272 .72824 L
.02894 .73505 L
.0297 .73796 L
.03233 .74767 L
.03509 .75738 L
.03798 .76709 L
.03866 .76931 L
.041 .77681 L
.04417 .78652 L
.04749 .79623 L
.04837 .79873 L
.05096 .80594 L
.05459 .81566 L
.05808 .82462 L
.05838 .82537 L
.06234 .83508 L
.06648 .84479 L
.06779 .84778 L
.07081 .85451 L
.07533 .86422 L
.07751 .86873 L
.08007 .87393 L
.08502 .88364 L
.08722 .88782 L
.0902 .89336 L
.09563 .90307 L
.09693 .90533 L
.10132 .91278 L
.10664 .92145 L
.1073 .92249 L
.11359 .93221 L
.11636 .93634 L
.1202 .94192 L
.12607 .95012 L
.12718 .95163 L
.13456 .96134 L
.13578 .9629 L
.14238 .97106 L
.14549 .97477 L
.15069 .98077 L
s
.675 .325 .6 r
.01923 .27369 m
.0197 .27176 L
.02214 .26204 L
.0247 .25233 L
.02739 .24262 L
.02894 .2372 L
.0302 .23291 L
.03315 .22319 L
.03624 .21348 L
.03866 .20616 L
.03946 .20377 L
.04283 .19406 L
.04636 .18434 L
.04837 .17898 L
.05004 .17463 L
.05388 .16492 L
.05789 .15521 L
.05808 .15475 L
.06208 .14549 L
.06645 .13578 L
.06779 .13289 L
.07102 .12607 L
.0758 .11636 L
.07751 .11299 L
.08079 .10664 L
.08602 .09693 L
.08722 .09476 L
.09148 .08722 L
.09693 .07797 L
.09721 .07751 L
.10322 .06779 L
.10664 .06247 L
.10953 .05808 L
.11618 .04837 L
.11636 .04811 L
.12317 .03866 L
.12607 .03479 L
.13057 .02894 L
.13578 .02241 L
.13839 .01923 L
.01923 .01923 L
F
0 g
.01923 .27369 m
.0197 .27176 L
.02214 .26204 L
.0247 .25233 L
.02739 .24262 L
.02894 .2372 L
.0302 .23291 L
.03315 .22319 L
.03624 .21348 L
.03866 .20616 L
.03946 .20377 L
.04283 .19406 L
.04636 .18434 L
.04837 .17898 L
.05004 .17463 L
.05388 .16492 L
.05789 .15521 L
.05808 .15475 L
.06208 .14549 L
.06645 .13578 L
.06779 .13289 L
.07102 .12607 L
.0758 .11636 L
.07751 .11299 L
.08079 .10664 L
.08602 .09693 L
.08722 .09476 L
.09148 .08722 L
.09693 .07797 L
.09721 .07751 L
.10322 .06779 L
.10664 .06247 L
.10953 .05808 L
.11618 .04837 L
.11636 .04811 L
.12317 .03866 L
.12607 .03479 L
.13057 .02894 L
.13578 .02241 L
.13839 .01923 L
s
.675 .325 .6 r
.01923 .72631 m
.0197 .72824 L
.02214 .73796 L
.0247 .74767 L
.02739 .75738 L
.02894 .7628 L
.0302 .76709 L
.03315 .77681 L
.03624 .78652 L
.03866 .79384 L
.03946 .79623 L
.04283 .80594 L
.04636 .81566 L
.04837 .82102 L
.05004 .82537 L
.05388 .83508 L
.05789 .84479 L
.05808 .84525 L
.06208 .85451 L
.06645 .86422 L
.06779 .86711 L
.07102 .87393 L
.0758 .88364 L
.07751 .88701 L
.08079 .89336 L
.08602 .90307 L
.08722 .90524 L
.09148 .91278 L
.09693 .92203 L
.09721 .92249 L
.10322 .93221 L
.10664 .93753 L
.10953 .94192 L
.11618 .95163 L
.11636 .95189 L
.12317 .96134 L
.12607 .96521 L
.13057 .97106 L
.13578 .97759 L
.13839 .98077 L
.01923 .98077 L
F
0 g
.01923 .72631 m
.0197 .72824 L
.02214 .73796 L
.0247 .74767 L
.02739 .75738 L
.02894 .7628 L
.0302 .76709 L
.03315 .77681 L
.03624 .78652 L
.03866 .79384 L
.03946 .79623 L
.04283 .80594 L
.04636 .81566 L
.04837 .82102 L
.05004 .82537 L
.05388 .83508 L
.05789 .84479 L
.05808 .84525 L
.06208 .85451 L
.06645 .86422 L
.06779 .86711 L
.07102 .87393 L
.0758 .88364 L
.07751 .88701 L
.08079 .89336 L
.08602 .90307 L
.08722 .90524 L
.09148 .91278 L
.09693 .92203 L
.09721 .92249 L
.10322 .93221 L
.10664 .93753 L
.10953 .94192 L
.11618 .95163 L
.11636 .95189 L
.12317 .96134 L
.12607 .96521 L
.13057 .97106 L
.13578 .97759 L
.13839 .98077 L
s
.7 .3 .6 r
.01923 .24499 m
.01988 .24262 L
.02263 .23291 L
.0255 .22319 L
.02851 .21348 L
.02894 .21211 L
.03165 .20377 L
.03493 .19406 L
.03836 .18434 L
.03866 .18352 L
.04194 .17463 L
.04567 .16492 L
.04837 .15814 L
.04956 .15521 L
.05362 .14549 L
.05786 .13578 L
.05808 .1353 L
.06229 .12607 L
.0669 .11636 L
.06779 .11453 L
.07173 .10664 L
.07676 .09693 L
.07751 .09553 L
.08203 .08722 L
.08722 .07805 L
.08754 .07751 L
.0933 .06779 L
.09693 .06191 L
.09935 .05808 L
.10569 .04837 L
.10664 .04696 L
.11237 .03866 L
.11636 .03308 L
.11939 .02894 L
.12607 .02017 L
.1268 .01923 L
.01923 .01923 L
F
0 g
.01923 .24499 m
.01988 .24262 L
.02263 .23291 L
.0255 .22319 L
.02851 .21348 L
.02894 .21211 L
.03165 .20377 L
.03493 .19406 L
.03836 .18434 L
.03866 .18352 L
.04194 .17463 L
.04567 .16492 L
.04837 .15814 L
.04956 .15521 L
.05362 .14549 L
.05786 .13578 L
.05808 .1353 L
.06229 .12607 L
.0669 .11636 L
.06779 .11453 L
.07173 .10664 L
.07676 .09693 L
.07751 .09553 L
.08203 .08722 L
.08722 .07805 L
.08754 .07751 L
.0933 .06779 L
.09693 .06191 L
.09935 .05808 L
.10569 .04837 L
.10664 .04696 L
.11237 .03866 L
.11636 .03308 L
.11939 .02894 L
.12607 .02017 L
.1268 .01923 L
s
.7 .3 .6 r
.01923 .75501 m
.01988 .75738 L
.02263 .76709 L
.0255 .77681 L
.02851 .78652 L
.02894 .78789 L
.03165 .79623 L
.03493 .80594 L
.03836 .81566 L
.03866 .81648 L
.04194 .82537 L
.04567 .83508 L
.04837 .84186 L
.04956 .84479 L
.05362 .85451 L
.05786 .86422 L
.05808 .8647 L
.06229 .87393 L
.0669 .88364 L
.06779 .88547 L
.07173 .89336 L
.07676 .90307 L
.07751 .90447 L
.08203 .91278 L
.08722 .92195 L
.08754 .92249 L
.0933 .93221 L
.09693 .93809 L
.09935 .94192 L
.10569 .95163 L
.10664 .95304 L
.11237 .96134 L
.11636 .96692 L
.11939 .97106 L
.12607 .97983 L
.1268 .98077 L
.01923 .98077 L
F
0 g
.01923 .75501 m
.01988 .75738 L
.02263 .76709 L
.0255 .77681 L
.02851 .78652 L
.02894 .78789 L
.03165 .79623 L
.03493 .80594 L
.03836 .81566 L
.03866 .81648 L
.04194 .82537 L
.04567 .83508 L
.04837 .84186 L
.04956 .84479 L
.05362 .85451 L
.05786 .86422 L
.05808 .8647 L
.06229 .87393 L
.0669 .88364 L
.06779 .88547 L
.07173 .89336 L
.07676 .90307 L
.07751 .90447 L
.08203 .91278 L
.08722 .92195 L
.08754 .92249 L
.0933 .93221 L
.09693 .93809 L
.09935 .94192 L
.10569 .95163 L
.10664 .95304 L
.11237 .96134 L
.11636 .96692 L
.11939 .97106 L
.12607 .97983 L
.1268 .98077 L
s
.725 .275 .6 r
.01923 .21921 m
.02098 .21348 L
.02404 .20377 L
.02724 .19406 L
.02894 .18904 L
.03058 .18434 L
.03406 .17463 L
.03769 .16492 L
.03866 .1624 L
.04148 .15521 L
.04542 .14549 L
.04837 .1385 L
.04954 .13578 L
.05383 .12607 L
.05808 .11682 L
.0583 .11636 L
.06297 .10664 L
.06779 .09701 L
.06784 .09693 L
.07292 .08722 L
.07751 .0788 L
.07823 .07751 L
.08378 .06779 L
.08722 .06199 L
.08959 .05808 L
.09567 .04837 L
.09693 .04642 L
.10206 .03866 L
.10664 .03196 L
.10876 .02894 L
.11582 .01923 L
.01923 .01923 L
F
0 g
.01923 .21921 m
.02098 .21348 L
.02404 .20377 L
.02724 .19406 L
.02894 .18904 L
.03058 .18434 L
.03406 .17463 L
.03769 .16492 L
.03866 .1624 L
.04148 .15521 L
.04542 .14549 L
.04837 .1385 L
.04954 .13578 L
.05383 .12607 L
.05808 .11682 L
.0583 .11636 L
.06297 .10664 L
.06779 .09701 L
.06784 .09693 L
.07292 .08722 L
.07751 .0788 L
.07823 .07751 L
.08378 .06779 L
.08722 .06199 L
.08959 .05808 L
.09567 .04837 L
.09693 .04642 L
.10206 .03866 L
.10664 .03196 L
.10876 .02894 L
.11582 .01923 L
s
.725 .275 .6 r
.01923 .78079 m
.02098 .78652 L
.02404 .79623 L
.02724 .80594 L
.02894 .81096 L
.03058 .81566 L
.03406 .82537 L
.03769 .83508 L
.03866 .8376 L
.04148 .84479 L
.04542 .85451 L
.04837 .8615 L
.04954 .86422 L
.05383 .87393 L
.05808 .88318 L
.0583 .88364 L
.06297 .89336 L
.06779 .90299 L
.06784 .90307 L
.07292 .91278 L
.07751 .9212 L
.07823 .92249 L
.08378 .93221 L
.08722 .93801 L
.08959 .94192 L
.09567 .95163 L
.09693 .95358 L
.10206 .96134 L
.10664 .96804 L
.10876 .97106 L
.11582 .98077 L
.01923 .98077 L
F
0 g
.01923 .78079 m
.02098 .78652 L
.02404 .79623 L
.02724 .80594 L
.02894 .81096 L
.03058 .81566 L
.03406 .82537 L
.03769 .83508 L
.03866 .8376 L
.04148 .84479 L
.04542 .85451 L
.04837 .8615 L
.04954 .86422 L
.05383 .87393 L
.05808 .88318 L
.0583 .88364 L
.06297 .89336 L
.06779 .90299 L
.06784 .90307 L
.07292 .91278 L
.07751 .9212 L
.07823 .92249 L
.08378 .93221 L
.08722 .93801 L
.08959 .94192 L
.09567 .95163 L
.09693 .95358 L
.10206 .96134 L
.10664 .96804 L
.10876 .97106 L
.11582 .98077 L
s
.75 .25 .6 r
.01923 .1956 m
.01974 .19406 L
.02299 .18434 L
.02639 .17463 L
.02894 .16757 L
.02992 .16492 L
.03361 .15521 L
.03745 .14549 L
.03866 .14252 L
.04145 .13578 L
.04562 .12607 L
.04837 .11987 L
.04996 .11636 L
.05448 .10664 L
.05808 .0992 L
.0592 .09693 L
.06412 .08722 L
.06779 .08022 L
.06925 .07751 L
.07461 .06779 L
.07751 .06271 L
.0802 .05808 L
.08606 .04837 L
.08722 .04649 L
.09219 .03866 L
.09693 .03144 L
.09861 .02894 L
.10535 .01923 L
.01923 .01923 L
F
0 g
.01923 .1956 m
.01974 .19406 L
.02299 .18434 L
.02639 .17463 L
.02894 .16757 L
.02992 .16492 L
.03361 .15521 L
.03745 .14549 L
.03866 .14252 L
.04145 .13578 L
.04562 .12607 L
.04837 .11987 L
.04996 .11636 L
.05448 .10664 L
.05808 .0992 L
.0592 .09693 L
.06412 .08722 L
.06779 .08022 L
.06925 .07751 L
.07461 .06779 L
.07751 .06271 L
.0802 .05808 L
.08606 .04837 L
.08722 .04649 L
.09219 .03866 L
.09693 .03144 L
.09861 .02894 L
.10535 .01923 L
s
.75 .25 .6 r
.01923 .8044 m
.01974 .80594 L
.02299 .81566 L
.02639 .82537 L
.02894 .83243 L
.02992 .83508 L
.03361 .84479 L
.03745 .85451 L
.03866 .85748 L
.04145 .86422 L
.04562 .87393 L
.04837 .88013 L
.04996 .88364 L
.05448 .89336 L
.05808 .9008 L
.0592 .90307 L
.06412 .91278 L
.06779 .91978 L
.06925 .92249 L
.07461 .93221 L
.07751 .93729 L
.0802 .94192 L
.08606 .95163 L
.08722 .95351 L
.09219 .96134 L
.09693 .96856 L
.09861 .97106 L
.10535 .98077 L
.01923 .98077 L
F
0 g
.01923 .8044 m
.01974 .80594 L
.02299 .81566 L
.02639 .82537 L
.02894 .83243 L
.02992 .83508 L
.03361 .84479 L
.03745 .85451 L
.03866 .85748 L
.04145 .86422 L
.04562 .87393 L
.04837 .88013 L
.04996 .88364 L
.05448 .89336 L
.05808 .9008 L
.0592 .90307 L
.06412 .91278 L
.06779 .91978 L
.06925 .92249 L
.07461 .93221 L
.07751 .93729 L
.0802 .94192 L
.08606 .95163 L
.08722 .95351 L
.09219 .96134 L
.09693 .96856 L
.09861 .97106 L
.10535 .98077 L
s
.775 .225 .6 r
.01923 .17369 m
.02236 .16492 L
.02595 .15521 L
.02894 .1474 L
.02969 .14549 L
.03359 .13578 L
.03764 .12607 L
.03866 .1237 L
.04186 .11636 L
.04626 .10664 L
.04837 .10211 L
.05083 .09693 L
.0556 .08722 L
.05808 .08232 L
.06057 .07751 L
.06575 .06779 L
.06779 .06408 L
.07116 .05808 L
.0768 .04837 L
.07751 .04719 L
.0827 .03866 L
.08722 .03151 L
.08888 .02894 L
.09535 .01923 L
.01923 .01923 L
F
0 g
.01923 .17369 m
.02236 .16492 L
.02595 .15521 L
.02894 .1474 L
.02969 .14549 L
.03359 .13578 L
.03764 .12607 L
.03866 .1237 L
.04186 .11636 L
.04626 .10664 L
.04837 .10211 L
.05083 .09693 L
.0556 .08722 L
.05808 .08232 L
.06057 .07751 L
.06575 .06779 L
.06779 .06408 L
.07116 .05808 L
.0768 .04837 L
.07751 .04719 L
.0827 .03866 L
.08722 .03151 L
.08888 .02894 L
.09535 .01923 L
s
.775 .225 .6 r
.01923 .82631 m
.02236 .83508 L
.02595 .84479 L
.02894 .8526 L
.02969 .85451 L
.03359 .86422 L
.03764 .87393 L
.03866 .8763 L
.04186 .88364 L
.04626 .89336 L
.04837 .89789 L
.05083 .90307 L
.0556 .91278 L
.05808 .91768 L
.06057 .92249 L
.06575 .93221 L
.06779 .93592 L
.07116 .94192 L
.0768 .95163 L
.07751 .95281 L
.0827 .96134 L
.08722 .96849 L
.08888 .97106 L
.09535 .98077 L
.01923 .98077 L
F
0 g
.01923 .82631 m
.02236 .83508 L
.02595 .84479 L
.02894 .8526 L
.02969 .85451 L
.03359 .86422 L
.03764 .87393 L
.03866 .8763 L
.04186 .88364 L
.04626 .89336 L
.04837 .89789 L
.05083 .90307 L
.0556 .91278 L
.05808 .91768 L
.06057 .92249 L
.06575 .93221 L
.06779 .93592 L
.07116 .94192 L
.0768 .95163 L
.07751 .95281 L
.0827 .96134 L
.08722 .96849 L
.08888 .97106 L
.09535 .98077 L
s
.8 .2 .6 r
.01923 .15317 m
.02213 .14549 L
.02593 .13578 L
.02894 .12833 L
.02988 .12607 L
.03399 .11636 L
.03826 .10664 L
.03866 .10577 L
.04271 .09693 L
.04734 .08722 L
.04837 .08512 L
.05216 .07751 L
.05718 .06779 L
.05808 .0661 L
.06242 .05808 L
.06779 .04851 L
.06787 .04837 L
.07357 .03866 L
.07751 .03218 L
.07952 .02894 L
.08574 .01923 L
.01923 .01923 L
F
0 g
.01923 .15317 m
.02213 .14549 L
.02593 .13578 L
.02894 .12833 L
.02988 .12607 L
.03399 .11636 L
.03826 .10664 L
.03866 .10577 L
.04271 .09693 L
.04734 .08722 L
.04837 .08512 L
.05216 .07751 L
.05718 .06779 L
.05808 .0661 L
.06242 .05808 L
.06779 .04851 L
.06787 .04837 L
.07357 .03866 L
.07751 .03218 L
.07952 .02894 L
.08574 .01923 L
s
.8 .2 .6 r
.01923 .84683 m
.02213 .85451 L
.02593 .86422 L
.02894 .87167 L
.02988 .87393 L
.03399 .88364 L
.03826 .89336 L
.03866 .89423 L
.04271 .90307 L
.04734 .91278 L
.04837 .91488 L
.05216 .92249 L
.05718 .93221 L
.05808 .9339 L
.06242 .94192 L
.06779 .95149 L
.06787 .95163 L
.07357 .96134 L
.07751 .96782 L
.07952 .97106 L
.08574 .98077 L
.01923 .98077 L
F
0 g
.01923 .84683 m
.02213 .85451 L
.02593 .86422 L
.02894 .87167 L
.02988 .87393 L
.03399 .88364 L
.03826 .89336 L
.03866 .89423 L
.04271 .90307 L
.04734 .91278 L
.04837 .91488 L
.05216 .92249 L
.05718 .93221 L
.05808 .9339 L
.06242 .94192 L
.06779 .95149 L
.06787 .95163 L
.07357 .96134 L
.07751 .96782 L
.07952 .97106 L
.08574 .98077 L
s
.825 .175 .6 r
.01923 .1338 m
.02231 .12607 L
.02632 .11636 L
.02894 .11019 L
.03048 .10664 L
.03481 .09693 L
.03866 .08862 L
.03932 .08722 L
.044 .07751 L
.04837 .06879 L
.04888 .06779 L
.05395 .05808 L
.05808 .05046 L
.05924 .04837 L
.06475 .03866 L
.06779 .03346 L
.0705 .02894 L
.0765 .01923 L
.01923 .01923 L
F
0 g
.01923 .1338 m
.02231 .12607 L
.02632 .11636 L
.02894 .11019 L
.03048 .10664 L
.03481 .09693 L
.03866 .08862 L
.03932 .08722 L
.044 .07751 L
.04837 .06879 L
.04888 .06779 L
.05395 .05808 L
.05808 .05046 L
.05924 .04837 L
.06475 .03866 L
.06779 .03346 L
.0705 .02894 L
.0765 .01923 L
s
.825 .175 .6 r
.01923 .8662 m
.02231 .87393 L
.02632 .88364 L
.02894 .88981 L
.03048 .89336 L
.03481 .90307 L
.03866 .91138 L
.03932 .91278 L
.044 .92249 L
.04837 .93121 L
.04888 .93221 L
.05395 .94192 L
.05808 .94954 L
.05924 .95163 L
.06475 .96134 L
.06779 .96654 L
.0705 .97106 L
.0765 .98077 L
.01923 .98077 L
F
0 g
.01923 .8662 m
.02231 .87393 L
.02632 .88364 L
.02894 .88981 L
.03048 .89336 L
.03481 .90307 L
.03866 .91138 L
.03932 .91278 L
.044 .92249 L
.04837 .93121 L
.04888 .93221 L
.05395 .94192 L
.05808 .94954 L
.05924 .95163 L
.06475 .96134 L
.06779 .96654 L
.0705 .97106 L
.0765 .98077 L
s
.85 .15 .6 r
.01923 .1154 m
.0229 .10664 L
.02712 .09693 L
.02894 .09285 L
.03151 .08722 L
.03607 .07751 L
.03866 .07216 L
.04081 .06779 L
.04574 .05808 L
.04837 .05306 L
.05087 .04837 L
.05621 .03866 L
.05808 .03535 L
.06178 .02894 L
.06758 .01923 L
.01923 .01923 L
F
0 g
.01923 .1154 m
.0229 .10664 L
.02712 .09693 L
.02894 .09285 L
.03151 .08722 L
.03607 .07751 L
.03866 .07216 L
.04081 .06779 L
.04574 .05808 L
.04837 .05306 L
.05087 .04837 L
.05621 .03866 L
.05808 .03535 L
.06178 .02894 L
.06758 .01923 L
s
.85 .15 .6 r
.01923 .8846 m
.0229 .89336 L
.02712 .90307 L
.02894 .90715 L
.03151 .91278 L
.03607 .92249 L
.03866 .92784 L
.04081 .93221 L
.04574 .94192 L
.04837 .94694 L
.05087 .95163 L
.05621 .96134 L
.05808 .96465 L
.06178 .97106 L
.06758 .98077 L
.01923 .98077 L
F
0 g
.01923 .8846 m
.0229 .89336 L
.02712 .90307 L
.02894 .90715 L
.03151 .91278 L
.03607 .92249 L
.03866 .92784 L
.04081 .93221 L
.04574 .94192 L
.04837 .94694 L
.05087 .95163 L
.05621 .96134 L
.05808 .96465 L
.06178 .97106 L
.06758 .98077 L
s
.875 .125 .6 r
.01923 .09784 m
.01962 .09693 L
.0239 .08722 L
.02835 .07751 L
.02894 .07623 L
.03296 .06779 L
.03776 .05808 L
.03866 .05631 L
.04275 .04837 L
.04793 .03866 L
.04837 .03786 L
.05333 .02894 L
.05808 .02071 L
.05895 .01923 L
.01923 .01923 L
F
0 g
.01923 .09784 m
.01962 .09693 L
.0239 .08722 L
.02835 .07751 L
.02894 .07623 L
.03296 .06779 L
.03776 .05808 L
.03866 .05631 L
.04275 .04837 L
.04793 .03866 L
.04837 .03786 L
.05333 .02894 L
.05808 .02071 L
.05895 .01923 L
s
.875 .125 .6 r
.01923 .90216 m
.01962 .90307 L
.0239 .91278 L
.02835 .92249 L
.02894 .92377 L
.03296 .93221 L
.03776 .94192 L
.03866 .94369 L
.04275 .95163 L
.04793 .96134 L
.04837 .96214 L
.05333 .97106 L
.05808 .97929 L
.05895 .98077 L
.01923 .98077 L
F
0 g
.01923 .90216 m
.01962 .90307 L
.0239 .91278 L
.02835 .92249 L
.02894 .92377 L
.03296 .93221 L
.03776 .94192 L
.03866 .94369 L
.04275 .95163 L
.04793 .96134 L
.04837 .96214 L
.05333 .97106 L
.05808 .97929 L
.05895 .98077 L
s
.9 .1 .6 r
.01923 .08101 m
.02082 .07751 L
.02532 .06779 L
.02894 .06023 L
.02999 .05808 L
.03485 .04837 L
.03866 .041 L
.03989 .03866 L
.04514 .02894 L
.04837 .02315 L
.0506 .01923 L
.01923 .01923 L
F
0 g
.01923 .08101 m
.02082 .07751 L
.02532 .06779 L
.02894 .06023 L
.02999 .05808 L
.03485 .04837 L
.03866 .041 L
.03989 .03866 L
.04514 .02894 L
.04837 .02315 L
.0506 .01923 L
s
.9 .1 .6 r
.01923 .91899 m
.02082 .92249 L
.02532 .93221 L
.02894 .93977 L
.02999 .94192 L
.03485 .95163 L
.03866 .959 L
.03989 .96134 L
.04514 .97106 L
.04837 .97685 L
.0506 .98077 L
.01923 .98077 L
F
0 g
.01923 .91899 m
.02082 .92249 L
.02532 .93221 L
.02894 .93977 L
.02999 .94192 L
.03485 .95163 L
.03866 .959 L
.03989 .96134 L
.04514 .97106 L
.04837 .97685 L
.0506 .98077 L
s
.925 .075 .6 r
.01923 .06484 m
.02242 .05808 L
.02716 .04837 L
.02894 .04479 L
.03207 .03866 L
.03717 .02894 L
.03866 .02619 L
.04248 .01923 L
.01923 .01923 L
F
0 g
.01923 .06484 m
.02242 .05808 L
.02716 .04837 L
.02894 .04479 L
.03207 .03866 L
.03717 .02894 L
.03866 .02619 L
.04248 .01923 L
s
.925 .075 .6 r
.01923 .93516 m
.02242 .94192 L
.02716 .95163 L
.02894 .95521 L
.03207 .96134 L
.03717 .97106 L
.03866 .97381 L
.04248 .98077 L
.01923 .98077 L
F
0 g
.01923 .93516 m
.02242 .94192 L
.02716 .95163 L
.02894 .95521 L
.03207 .96134 L
.03717 .97106 L
.03866 .97381 L
.04248 .98077 L
s
.95 .05 .6 r
.01923 .04924 m
.01965 .04837 L
.02445 .03866 L
.02894 .02986 L
.02942 .02894 L
.03459 .01923 L
.01923 .01923 L
F
0 g
.01923 .04924 m
.01965 .04837 L
.02445 .03866 L
.02894 .02986 L
.02942 .02894 L
.03459 .01923 L
s
.95 .05 .6 r
.01923 .95076 m
.01965 .95163 L
.02445 .96134 L
.02894 .97014 L
.02942 .97106 L
.03459 .98077 L
.01923 .98077 L
F
0 g
.01923 .95076 m
.01965 .95163 L
.02445 .96134 L
.02894 .97014 L
.02942 .97106 L
.03459 .98077 L
s
.975 .025 .6 r
.01923 .03417 m
.02187 .02894 L
.0269 .01923 L
.01923 .01923 L
F
0 g
.01923 .03417 m
.02187 .02894 L
.0269 .01923 L
s
.975 .025 .6 r
.01923 .96583 m
.02187 .97106 L
.0269 .98077 L
.01923 .98077 L
F
0 g
.01923 .96583 m
.02187 .97106 L
.0269 .98077 L
s
1 0 .6 r
.01923 .01957 m
.01941 .01923 L
.01923 .01923 L
F
0 g
.01923 .01957 m
.01941 .01923 L
s
1 0 .6 r
.01923 .98043 m
.01941 .98077 L
.01923 .98077 L
F
0 g
.01923 .98043 m
.01941 .98077 L
s
.55 .45 .6 r
.19352 .98077 m
.18434 .97235 L
.18299 .97106 L
.17463 .96273 L
.17329 .96134 L
.16492 .95232 L
.1643 .95163 L
.15591 .94192 L
.15521 .94107 L
.14805 .93221 L
.14549 .9289 L
.14067 .92249 L
.13578 .91573 L
.13371 .91278 L
.12713 .90307 L
.12607 .90145 L
.1209 .89336 L
.11636 .88593 L
.11499 .88364 L
.10938 .87393 L
.10664 .86902 L
.10404 .86422 L
.09896 .85451 L
.09693 .8505 L
.09412 .84479 L
.0895 .83508 L
.08722 .8301 L
.0851 .82537 L
.08091 .81566 L
.07751 .80744 L
.0769 .80594 L
.07308 .79623 L
.06944 .78652 L
.06779 .78197 L
.06597 .77681 L
.06265 .76709 L
.0595 .75738 L
.05808 .75285 L
.0565 .74767 L
.05364 .73796 L
.05092 .72824 L
.04837 .71862 L
.04835 .71853 L
.0459 .70882 L
.04359 .69911 L
.0414 .68939 L
.03934 .67968 L
.03866 .67631 L
.0374 .66997 L
.03558 .66026 L
.03388 .65054 L
.0323 .64083 L
.03082 .63112 L
.02946 .62141 L
.02894 .61749 L
.02821 .61169 L
.02707 .60198 L
.02603 .59227 L
.0251 .58256 L
.02428 .57284 L
.02356 .56313 L
.02295 .55342 L
.02244 .54371 L
.02203 .53399 L
.02172 .52428 L
.02152 .51457 L
.02142 .50486 L
.02142 .49514 L
.02152 .48543 L
.02172 .47572 L
.02203 .46601 L
.02244 .45629 L
.02295 .44658 L
.02356 .43687 L
.02428 .42716 L
.0251 .41744 L
.02603 .40773 L
.02707 .39802 L
.02821 .38831 L
.02894 .38251 L
.02946 .37859 L
.03082 .36888 L
.0323 .35917 L
.03388 .34946 L
.03558 .33974 L
.0374 .33003 L
.03866 .32369 L
.03934 .32032 L
.0414 .31061 L
.04359 .30089 L
.0459 .29118 L
.04835 .28147 L
.04837 .28138 L
.05092 .27176 L
.05364 .26204 L
.0565 .25233 L
.05808 .24715 L
.0595 .24262 L
.06265 .23291 L
.06597 .22319 L
.06779 .21803 L
.06944 .21348 L
.07308 .20377 L
.0769 .19406 L
.07751 .19256 L
.08091 .18434 L
.0851 .17463 L
.08722 .1699 L
.0895 .16492 L
.09412 .15521 L
.09693 .1495 L
.09896 .14549 L
.10404 .13578 L
.10664 .13098 L
.10938 .12607 L
.11499 .11636 L
.11636 .11407 L
.1209 .10664 L
.12607 .09855 L
.12713 .09693 L
.13371 .08722 L
.13578 .08427 L
.14067 .07751 L
.14549 .0711 L
.14805 .06779 L
.15521 .05893 L
.15591 .05808 L
.1643 .04837 L
.16492 .04768 L
.17329 .03866 L
.17463 .03727 L
.18299 .02894 L
.18434 .02765 L
.19352 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.19352 .98077 m
.18434 .97235 L
.18299 .97106 L
.17463 .96273 L
.17329 .96134 L
.16492 .95232 L
.1643 .95163 L
.15591 .94192 L
.15521 .94107 L
.14805 .93221 L
.14549 .9289 L
.14067 .92249 L
.13578 .91573 L
.13371 .91278 L
.12713 .90307 L
.12607 .90145 L
.1209 .89336 L
.11636 .88593 L
.11499 .88364 L
.10938 .87393 L
.10664 .86902 L
.10404 .86422 L
.09896 .85451 L
.09693 .8505 L
.09412 .84479 L
.0895 .83508 L
.08722 .8301 L
.0851 .82537 L
.08091 .81566 L
.07751 .80744 L
.0769 .80594 L
.07308 .79623 L
.06944 .78652 L
.06779 .78197 L
.06597 .77681 L
.06265 .76709 L
.0595 .75738 L
.05808 .75285 L
.0565 .74767 L
.05364 .73796 L
.05092 .72824 L
.04837 .71862 L
.04835 .71853 L
.0459 .70882 L
.04359 .69911 L
.0414 .68939 L
.03934 .67968 L
.03866 .67631 L
.0374 .66997 L
.03558 .66026 L
Mistroke
.03388 .65054 L
.0323 .64083 L
.03082 .63112 L
.02946 .62141 L
.02894 .61749 L
.02821 .61169 L
.02707 .60198 L
.02603 .59227 L
.0251 .58256 L
.02428 .57284 L
.02356 .56313 L
.02295 .55342 L
.02244 .54371 L
.02203 .53399 L
.02172 .52428 L
.02152 .51457 L
.02142 .50486 L
.02142 .49514 L
.02152 .48543 L
.02172 .47572 L
.02203 .46601 L
.02244 .45629 L
.02295 .44658 L
.02356 .43687 L
.02428 .42716 L
.0251 .41744 L
.02603 .40773 L
.02707 .39802 L
.02821 .38831 L
.02894 .38251 L
.02946 .37859 L
.03082 .36888 L
.0323 .35917 L
.03388 .34946 L
.03558 .33974 L
.0374 .33003 L
.03866 .32369 L
.03934 .32032 L
.0414 .31061 L
.04359 .30089 L
.0459 .29118 L
.04835 .28147 L
.04837 .28138 L
.05092 .27176 L
.05364 .26204 L
.0565 .25233 L
.05808 .24715 L
.0595 .24262 L
.06265 .23291 L
.06597 .22319 L
Mistroke
.06779 .21803 L
.06944 .21348 L
.07308 .20377 L
.0769 .19406 L
.07751 .19256 L
.08091 .18434 L
.0851 .17463 L
.08722 .1699 L
.0895 .16492 L
.09412 .15521 L
.09693 .1495 L
.09896 .14549 L
.10404 .13578 L
.10664 .13098 L
.10938 .12607 L
.11499 .11636 L
.11636 .11407 L
.1209 .10664 L
.12607 .09855 L
.12713 .09693 L
.13371 .08722 L
.13578 .08427 L
.14067 .07751 L
.14549 .0711 L
.14805 .06779 L
.15521 .05893 L
.15591 .05808 L
.1643 .04837 L
.16492 .04768 L
.17329 .03866 L
.17463 .03727 L
.18299 .02894 L
.18434 .02765 L
.19352 .01923 L
Mfstroke
.525 .475 .6 r
.21072 .98077 m
.20377 .97513 L
.19899 .97106 L
.19406 .96667 L
.18832 .96134 L
.18434 .9575 L
.17852 .95163 L
.17463 .94755 L
.16945 .94192 L
.16492 .93679 L
.16101 .93221 L
.15521 .92512 L
.15312 .92249 L
.14571 .91278 L
.14549 .91248 L
.13874 .90307 L
.13578 .89877 L
.13216 .89336 L
.12607 .88386 L
.12594 .88364 L
.12004 .87393 L
.11636 .8676 L
.11444 .86422 L
.10913 .85451 L
.10664 .8498 L
.10407 .84479 L
.09926 .83508 L
.09693 .8302 L
.09468 .82537 L
.09032 .81566 L
.08722 .80846 L
.08616 .80594 L
.0822 .79623 L
.07842 .78652 L
.07751 .78408 L
.07483 .77681 L
.0714 .76709 L
.06814 .75738 L
.06779 .75631 L
.06504 .74767 L
.06209 .73796 L
.05929 .72824 L
.05808 .72387 L
.05664 .71853 L
.05412 .70882 L
.05174 .69911 L
.04949 .68939 L
.04837 .68433 L
.04737 .67968 L
.04538 .66997 L
.0435 .66026 L
.04176 .65054 L
.04013 .64083 L
.03866 .63141 L
.03861 .63112 L
.03721 .62141 L
.03593 .61169 L
.03476 .60198 L
.03369 .59227 L
.03274 .58256 L
.0319 .57284 L
.03116 .56313 L
.03053 .55342 L
.03001 .54371 L
.02959 .53399 L
.02928 .52428 L
.02907 .51457 L
.02896 .50486 L
.02896 .49514 L
.02907 .48543 L
.02928 .47572 L
.02959 .46601 L
.03001 .45629 L
.03053 .44658 L
.03116 .43687 L
.0319 .42716 L
.03274 .41744 L
.03369 .40773 L
.03476 .39802 L
.03593 .38831 L
.03721 .37859 L
.03861 .36888 L
.03866 .36859 L
.04013 .35917 L
.04176 .34946 L
.0435 .33974 L
.04538 .33003 L
.04737 .32032 L
.04837 .31567 L
.04949 .31061 L
.05174 .30089 L
.05412 .29118 L
.05664 .28147 L
.05808 .27613 L
.05929 .27176 L
.06209 .26204 L
.06504 .25233 L
.06779 .24369 L
.06814 .24262 L
.0714 .23291 L
.07483 .22319 L
.07751 .21592 L
.07842 .21348 L
.0822 .20377 L
.08616 .19406 L
.08722 .19154 L
.09032 .18434 L
.09468 .17463 L
.09693 .1698 L
.09926 .16492 L
.10407 .15521 L
.10664 .1502 L
.10913 .14549 L
.11444 .13578 L
.11636 .1324 L
.12004 .12607 L
.12594 .11636 L
.12607 .11614 L
.13216 .10664 L
.13578 .10123 L
.13874 .09693 L
.14549 .08752 L
.14571 .08722 L
.15312 .07751 L
.15521 .07488 L
.16101 .06779 L
.16492 .06321 L
.16945 .05808 L
.17463 .05245 L
.17852 .04837 L
.18434 .0425 L
.18832 .03866 L
.19406 .03333 L
.19899 .02894 L
.20377 .02487 L
.21072 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.21072 .98077 m
.20377 .97513 L
.19899 .97106 L
.19406 .96667 L
.18832 .96134 L
.18434 .9575 L
.17852 .95163 L
.17463 .94755 L
.16945 .94192 L
.16492 .93679 L
.16101 .93221 L
.15521 .92512 L
.15312 .92249 L
.14571 .91278 L
.14549 .91248 L
.13874 .90307 L
.13578 .89877 L
.13216 .89336 L
.12607 .88386 L
.12594 .88364 L
.12004 .87393 L
.11636 .8676 L
.11444 .86422 L
.10913 .85451 L
.10664 .8498 L
.10407 .84479 L
.09926 .83508 L
.09693 .8302 L
.09468 .82537 L
.09032 .81566 L
.08722 .80846 L
.08616 .80594 L
.0822 .79623 L
.07842 .78652 L
.07751 .78408 L
.07483 .77681 L
.0714 .76709 L
.06814 .75738 L
.06779 .75631 L
.06504 .74767 L
.06209 .73796 L
.05929 .72824 L
.05808 .72387 L
.05664 .71853 L
.05412 .70882 L
.05174 .69911 L
.04949 .68939 L
.04837 .68433 L
.04737 .67968 L
.04538 .66997 L
Mistroke
.0435 .66026 L
.04176 .65054 L
.04013 .64083 L
.03866 .63141 L
.03861 .63112 L
.03721 .62141 L
.03593 .61169 L
.03476 .60198 L
.03369 .59227 L
.03274 .58256 L
.0319 .57284 L
.03116 .56313 L
.03053 .55342 L
.03001 .54371 L
.02959 .53399 L
.02928 .52428 L
.02907 .51457 L
.02896 .50486 L
.02896 .49514 L
.02907 .48543 L
.02928 .47572 L
.02959 .46601 L
.03001 .45629 L
.03053 .44658 L
.03116 .43687 L
.0319 .42716 L
.03274 .41744 L
.03369 .40773 L
.03476 .39802 L
.03593 .38831 L
.03721 .37859 L
.03861 .36888 L
.03866 .36859 L
.04013 .35917 L
.04176 .34946 L
.0435 .33974 L
.04538 .33003 L
.04737 .32032 L
.04837 .31567 L
.04949 .31061 L
.05174 .30089 L
.05412 .29118 L
.05664 .28147 L
.05808 .27613 L
.05929 .27176 L
.06209 .26204 L
.06504 .25233 L
.06779 .24369 L
.06814 .24262 L
.0714 .23291 L
Mistroke
.07483 .22319 L
.07751 .21592 L
.07842 .21348 L
.0822 .20377 L
.08616 .19406 L
.08722 .19154 L
.09032 .18434 L
.09468 .17463 L
.09693 .1698 L
.09926 .16492 L
.10407 .15521 L
.10664 .1502 L
.10913 .14549 L
.11444 .13578 L
.11636 .1324 L
.12004 .12607 L
.12594 .11636 L
.12607 .11614 L
.13216 .10664 L
.13578 .10123 L
.13874 .09693 L
.14549 .08752 L
.14571 .08722 L
.15312 .07751 L
.15521 .07488 L
.16101 .06779 L
.16492 .06321 L
.16945 .05808 L
.17463 .05245 L
.17852 .04837 L
.18434 .0425 L
.18832 .03866 L
.19406 .03333 L
.19899 .02894 L
.20377 .02487 L
.21072 .01923 L
Mfstroke
.5 .5 .6 r
.23029 .98077 m
.22319 .97577 L
.21689 .97106 L
.21348 .9684 L
.20491 .96134 L
.20377 .96036 L
.19406 .95163 L
.19406 .95163 L
.18434 .94214 L
.18413 .94192 L
.17496 .93221 L
.17463 .93184 L
.16645 .92249 L
.16492 .92067 L
.1585 .91278 L
.15521 .90855 L
.15106 .90307 L
.14549 .89538 L
.14407 .89336 L
.13748 .88364 L
.13578 .88105 L
.13125 .87393 L
.12607 .86542 L
.12536 .86422 L
.11977 .85451 L
.11636 .8483 L
.11447 .84479 L
.10944 .83508 L
.10664 .82946 L
.10466 .82537 L
.10011 .81566 L
.09693 .80857 L
.09578 .80594 L
.09166 .79623 L
.08774 .78652 L
.08722 .78519 L
.08401 .77681 L
.08046 .76709 L
.07751 .75863 L
.07708 .75738 L
.07387 .74767 L
.07082 .73796 L
.06793 .72824 L
.06779 .72777 L
.06519 .71853 L
.06259 .70882 L
.06013 .69911 L
.05808 .69054 L
.05781 .68939 L
.05563 .67968 L
.05358 .66997 L
.05165 .66026 L
.04985 .65054 L
.04837 .642 L
.04817 .64083 L
.04662 .63112 L
.04518 .62141 L
.04386 .61169 L
.04265 .60198 L
.04156 .59227 L
.04058 .58256 L
.03972 .57284 L
.03896 .56313 L
.03866 .55878 L
.03831 .55342 L
.03778 .54371 L
.03735 .53399 L
.03702 .52428 L
.03681 .51457 L
.0367 .50486 L
.0367 .49514 L
.03681 .48543 L
.03702 .47572 L
.03735 .46601 L
.03778 .45629 L
.03831 .44658 L
.03866 .44122 L
.03896 .43687 L
.03972 .42716 L
.04058 .41744 L
.04156 .40773 L
.04265 .39802 L
.04386 .38831 L
.04518 .37859 L
.04662 .36888 L
.04817 .35917 L
.04837 .358 L
.04985 .34946 L
.05165 .33974 L
.05358 .33003 L
.05563 .32032 L
.05781 .31061 L
.05808 .30946 L
.06013 .30089 L
.06259 .29118 L
.06519 .28147 L
.06779 .27223 L
.06793 .27176 L
.07082 .26204 L
.07387 .25233 L
.07708 .24262 L
.07751 .24137 L
.08046 .23291 L
.08401 .22319 L
.08722 .21481 L
.08774 .21348 L
.09166 .20377 L
.09578 .19406 L
.09693 .19143 L
.10011 .18434 L
.10466 .17463 L
.10664 .17054 L
.10944 .16492 L
.11447 .15521 L
.11636 .1517 L
.11977 .14549 L
.12536 .13578 L
.12607 .13458 L
.13125 .12607 L
.13578 .11895 L
.13748 .11636 L
.14407 .10664 L
.14549 .10462 L
.15106 .09693 L
.15521 .09145 L
.1585 .08722 L
.16492 .07933 L
.16645 .07751 L
.17463 .06816 L
.17496 .06779 L
.18413 .05808 L
.18434 .05786 L
.19406 .04837 L
.19406 .04837 L
.20377 .03964 L
.20491 .03866 L
.21348 .0316 L
.21689 .02894 L
.22319 .02423 L
.23029 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.23029 .98077 m
.22319 .97577 L
.21689 .97106 L
.21348 .9684 L
.20491 .96134 L
.20377 .96036 L
.19406 .95163 L
.19406 .95163 L
.18434 .94214 L
.18413 .94192 L
.17496 .93221 L
.17463 .93184 L
.16645 .92249 L
.16492 .92067 L
.1585 .91278 L
.15521 .90855 L
.15106 .90307 L
.14549 .89538 L
.14407 .89336 L
.13748 .88364 L
.13578 .88105 L
.13125 .87393 L
.12607 .86542 L
.12536 .86422 L
.11977 .85451 L
.11636 .8483 L
.11447 .84479 L
.10944 .83508 L
.10664 .82946 L
.10466 .82537 L
.10011 .81566 L
.09693 .80857 L
.09578 .80594 L
.09166 .79623 L
.08774 .78652 L
.08722 .78519 L
.08401 .77681 L
.08046 .76709 L
.07751 .75863 L
.07708 .75738 L
.07387 .74767 L
.07082 .73796 L
.06793 .72824 L
.06779 .72777 L
.06519 .71853 L
.06259 .70882 L
.06013 .69911 L
.05808 .69054 L
.05781 .68939 L
.05563 .67968 L
Mistroke
.05358 .66997 L
.05165 .66026 L
.04985 .65054 L
.04837 .642 L
.04817 .64083 L
.04662 .63112 L
.04518 .62141 L
.04386 .61169 L
.04265 .60198 L
.04156 .59227 L
.04058 .58256 L
.03972 .57284 L
.03896 .56313 L
.03866 .55878 L
.03831 .55342 L
.03778 .54371 L
.03735 .53399 L
.03702 .52428 L
.03681 .51457 L
.0367 .50486 L
.0367 .49514 L
.03681 .48543 L
.03702 .47572 L
.03735 .46601 L
.03778 .45629 L
.03831 .44658 L
.03866 .44122 L
.03896 .43687 L
.03972 .42716 L
.04058 .41744 L
.04156 .40773 L
.04265 .39802 L
.04386 .38831 L
.04518 .37859 L
.04662 .36888 L
.04817 .35917 L
.04837 .358 L
.04985 .34946 L
.05165 .33974 L
.05358 .33003 L
.05563 .32032 L
.05781 .31061 L
.05808 .30946 L
.06013 .30089 L
.06259 .29118 L
.06519 .28147 L
.06779 .27223 L
.06793 .27176 L
.07082 .26204 L
.07387 .25233 L
Mistroke
.07708 .24262 L
.07751 .24137 L
.08046 .23291 L
.08401 .22319 L
.08722 .21481 L
.08774 .21348 L
.09166 .20377 L
.09578 .19406 L
.09693 .19143 L
.10011 .18434 L
.10466 .17463 L
.10664 .17054 L
.10944 .16492 L
.11447 .15521 L
.11636 .1517 L
.11977 .14549 L
.12536 .13578 L
.12607 .13458 L
.13125 .12607 L
.13578 .11895 L
.13748 .11636 L
.14407 .10664 L
.14549 .10462 L
.15106 .09693 L
.15521 .09145 L
.1585 .08722 L
.16492 .07933 L
.16645 .07751 L
.17463 .06816 L
.17496 .06779 L
.18413 .05808 L
.18434 .05786 L
.19406 .04837 L
.19406 .04837 L
.20377 .03964 L
.20491 .03866 L
.21348 .0316 L
.21689 .02894 L
.22319 .02423 L
.23029 .01923 L
Mfstroke
.475 .525 .6 r
.25349 .98077 m
.25233 .98012 L
.24262 .97434 L
.23748 .97106 L
.23291 .96799 L
.22362 .96134 L
.22319 .96103 L
.21348 .95341 L
.21133 .95163 L
.20377 .94511 L
.20025 .94192 L
.19406 .93606 L
.19015 .93221 L
.18434 .92623 L
.18086 .92249 L
.17463 .91554 L
.17225 .91278 L
.16492 .90392 L
.16424 .90307 L
.15675 .89336 L
.15521 .89128 L
.14972 .88364 L
.14549 .87751 L
.1431 .87393 L
.13686 .86422 L
.13578 .86247 L
.13097 .85451 L
.12607 .846 L
.12539 .84479 L
.1201 .83508 L
.11636 .82787 L
.11509 .82537 L
.11033 .81566 L
.10664 .80778 L
.10581 .80594 L
.10151 .79623 L
.09742 .78652 L
.09693 .78531 L
.09354 .77681 L
.08985 .76709 L
.08722 .75984 L
.08635 .75738 L
.08302 .74767 L
.07986 .73796 L
.07751 .73038 L
.07686 .72824 L
.07402 .71853 L
.07134 .70882 L
.0688 .69911 L
.06779 .6951 L
.0664 .68939 L
.06415 .67968 L
.06203 .66997 L
.06004 .66026 L
.05819 .65054 L
.05808 .64997 L
.05646 .64083 L
.05486 .63112 L
.05337 .62141 L
.05201 .61169 L
.05077 .60198 L
.04965 .59227 L
.04864 .58256 L
.04837 .57968 L
.04775 .57284 L
.04697 .56313 L
.04631 .55342 L
.04576 .54371 L
.04531 .53399 L
.04498 .52428 L
.04476 .51457 L
.04465 .50486 L
.04465 .49514 L
.04476 .48543 L
.04498 .47572 L
.04531 .46601 L
.04576 .45629 L
.04631 .44658 L
.04697 .43687 L
.04775 .42716 L
.04837 .42032 L
.04864 .41744 L
.04965 .40773 L
.05077 .39802 L
.05201 .38831 L
.05337 .37859 L
.05486 .36888 L
.05646 .35917 L
.05808 .35003 L
.05819 .34946 L
.06004 .33974 L
.06203 .33003 L
.06415 .32032 L
.0664 .31061 L
.06779 .3049 L
.0688 .30089 L
.07134 .29118 L
.07402 .28147 L
.07686 .27176 L
.07751 .26962 L
.07986 .26204 L
.08302 .25233 L
.08635 .24262 L
.08722 .24016 L
.08985 .23291 L
.09354 .22319 L
.09693 .21469 L
.09742 .21348 L
.10151 .20377 L
.10581 .19406 L
.10664 .19222 L
.11033 .18434 L
.11509 .17463 L
.11636 .17213 L
.1201 .16492 L
.12539 .15521 L
.12607 .154 L
.13097 .14549 L
.13578 .13753 L
.13686 .13578 L
.1431 .12607 L
.14549 .12249 L
.14972 .11636 L
.15521 .10872 L
.15675 .10664 L
.16424 .09693 L
.16492 .09608 L
.17225 .08722 L
.17463 .08446 L
.18086 .07751 L
.18434 .07377 L
.19015 .06779 L
.19406 .06394 L
.20025 .05808 L
.20377 .05489 L
.21133 .04837 L
.21348 .04659 L
.22319 .03897 L
.22362 .03866 L
.23291 .03201 L
.23748 .02894 L
.24262 .02566 L
.25233 .01988 L
.25349 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.25349 .98077 m
.25233 .98012 L
.24262 .97434 L
.23748 .97106 L
.23291 .96799 L
.22362 .96134 L
.22319 .96103 L
.21348 .95341 L
.21133 .95163 L
.20377 .94511 L
.20025 .94192 L
.19406 .93606 L
.19015 .93221 L
.18434 .92623 L
.18086 .92249 L
.17463 .91554 L
.17225 .91278 L
.16492 .90392 L
.16424 .90307 L
.15675 .89336 L
.15521 .89128 L
.14972 .88364 L
.14549 .87751 L
.1431 .87393 L
.13686 .86422 L
.13578 .86247 L
.13097 .85451 L
.12607 .846 L
.12539 .84479 L
.1201 .83508 L
.11636 .82787 L
.11509 .82537 L
.11033 .81566 L
.10664 .80778 L
.10581 .80594 L
.10151 .79623 L
.09742 .78652 L
.09693 .78531 L
.09354 .77681 L
.08985 .76709 L
.08722 .75984 L
.08635 .75738 L
.08302 .74767 L
.07986 .73796 L
.07751 .73038 L
.07686 .72824 L
.07402 .71853 L
.07134 .70882 L
.0688 .69911 L
.06779 .6951 L
Mistroke
.0664 .68939 L
.06415 .67968 L
.06203 .66997 L
.06004 .66026 L
.05819 .65054 L
.05808 .64997 L
.05646 .64083 L
.05486 .63112 L
.05337 .62141 L
.05201 .61169 L
.05077 .60198 L
.04965 .59227 L
.04864 .58256 L
.04837 .57968 L
.04775 .57284 L
.04697 .56313 L
.04631 .55342 L
.04576 .54371 L
.04531 .53399 L
.04498 .52428 L
.04476 .51457 L
.04465 .50486 L
.04465 .49514 L
.04476 .48543 L
.04498 .47572 L
.04531 .46601 L
.04576 .45629 L
.04631 .44658 L
.04697 .43687 L
.04775 .42716 L
.04837 .42032 L
.04864 .41744 L
.04965 .40773 L
.05077 .39802 L
.05201 .38831 L
.05337 .37859 L
.05486 .36888 L
.05646 .35917 L
.05808 .35003 L
.05819 .34946 L
.06004 .33974 L
.06203 .33003 L
.06415 .32032 L
.0664 .31061 L
.06779 .3049 L
.0688 .30089 L
.07134 .29118 L
.07402 .28147 L
.07686 .27176 L
.07751 .26962 L
Mistroke
.07986 .26204 L
.08302 .25233 L
.08635 .24262 L
.08722 .24016 L
.08985 .23291 L
.09354 .22319 L
.09693 .21469 L
.09742 .21348 L
.10151 .20377 L
.10581 .19406 L
.10664 .19222 L
.11033 .18434 L
.11509 .17463 L
.11636 .17213 L
.1201 .16492 L
.12539 .15521 L
.12607 .154 L
.13097 .14549 L
.13578 .13753 L
.13686 .13578 L
.1431 .12607 L
.14549 .12249 L
.14972 .11636 L
.15521 .10872 L
.15675 .10664 L
.16424 .09693 L
.16492 .09608 L
.17225 .08722 L
.17463 .08446 L
.18086 .07751 L
.18434 .07377 L
.19015 .06779 L
.19406 .06394 L
.20025 .05808 L
.20377 .05489 L
.21133 .04837 L
.21348 .04659 L
.22319 .03897 L
.22362 .03866 L
.23291 .03201 L
.23748 .02894 L
.24262 .02566 L
.25233 .01988 L
.25349 .01923 L
Mfstroke
.45 .55 .6 r
.28319 .98077 m
.28147 .98005 L
.27176 .97573 L
.26235 .97106 L
.26204 .97089 L
.25233 .96551 L
.24544 .96134 L
.24262 .95955 L
.23291 .95299 L
.231 .95163 L
.22319 .94579 L
.21831 .94192 L
.21348 .93791 L
.20695 .93221 L
.20377 .92931 L
.19663 .92249 L
.19406 .91992 L
.18718 .91278 L
.18434 .9097 L
.17846 .90307 L
.17463 .89857 L
.17035 .89336 L
.16492 .88644 L
.16279 .88364 L
.15571 .87393 L
.15521 .87321 L
.14907 .86422 L
.14549 .85875 L
.14281 .85451 L
.1369 .84479 L
.13578 .84289 L
.13132 .83508 L
.12607 .82543 L
.12604 .82537 L
.12104 .81566 L
.11636 .80608 L
.11629 .80594 L
.11179 .79623 L
.10752 .78652 L
.10664 .78445 L
.10347 .77681 L
.09962 .76709 L
.09693 .75998 L
.09597 .75738 L
.09251 .74767 L
.08923 .73796 L
.08722 .73174 L
.08612 .72824 L
.08317 .71853 L
.08039 .70882 L
.07776 .69911 L
.07751 .69814 L
.07528 .68939 L
.07295 .67968 L
.07076 .66997 L
.06871 .66026 L
.06779 .65572 L
.06679 .65054 L
.065 .64083 L
.06335 .63112 L
.06182 .62141 L
.06042 .61169 L
.05914 .60198 L
.05808 .59314 L
.05798 .59227 L
.05694 .58256 L
.05603 .57284 L
.05522 .56313 L
.05454 .55342 L
.05397 .54371 L
.05351 .53399 L
.05317 .52428 L
.05295 .51457 L
.05283 .50486 L
.05283 .49514 L
.05295 .48543 L
.05317 .47572 L
.05351 .46601 L
.05397 .45629 L
.05454 .44658 L
.05522 .43687 L
.05603 .42716 L
.05694 .41744 L
.05798 .40773 L
.05808 .40686 L
.05914 .39802 L
.06042 .38831 L
.06182 .37859 L
.06335 .36888 L
.065 .35917 L
.06679 .34946 L
.06779 .34428 L
.06871 .33974 L
.07076 .33003 L
.07295 .32032 L
.07528 .31061 L
.07751 .30186 L
.07776 .30089 L
.08039 .29118 L
.08317 .28147 L
.08612 .27176 L
.08722 .26826 L
.08923 .26204 L
.09251 .25233 L
.09597 .24262 L
.09693 .24002 L
.09962 .23291 L
.10347 .22319 L
.10664 .21555 L
.10752 .21348 L
.11179 .20377 L
.11629 .19406 L
.11636 .19392 L
.12104 .18434 L
.12604 .17463 L
.12607 .17457 L
.13132 .16492 L
.13578 .15711 L
.1369 .15521 L
.14281 .14549 L
.14549 .14125 L
.14907 .13578 L
.15521 .12679 L
.15571 .12607 L
.16279 .11636 L
.16492 .11356 L
.17035 .10664 L
.17463 .10143 L
.17846 .09693 L
.18434 .0903 L
.18718 .08722 L
.19406 .08008 L
.19663 .07751 L
.20377 .07069 L
.20695 .06779 L
.21348 .06209 L
.21831 .05808 L
.22319 .05421 L
.231 .04837 L
.23291 .04701 L
.24262 .04045 L
.24544 .03866 L
.25233 .03449 L
.26204 .02911 L
.26235 .02894 L
.27176 .02427 L
.28147 .01995 L
.28319 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.28319 .98077 m
.28147 .98005 L
.27176 .97573 L
.26235 .97106 L
.26204 .97089 L
.25233 .96551 L
.24544 .96134 L
.24262 .95955 L
.23291 .95299 L
.231 .95163 L
.22319 .94579 L
.21831 .94192 L
.21348 .93791 L
.20695 .93221 L
.20377 .92931 L
.19663 .92249 L
.19406 .91992 L
.18718 .91278 L
.18434 .9097 L
.17846 .90307 L
.17463 .89857 L
.17035 .89336 L
.16492 .88644 L
.16279 .88364 L
.15571 .87393 L
.15521 .87321 L
.14907 .86422 L
.14549 .85875 L
.14281 .85451 L
.1369 .84479 L
.13578 .84289 L
.13132 .83508 L
.12607 .82543 L
.12604 .82537 L
.12104 .81566 L
.11636 .80608 L
.11629 .80594 L
.11179 .79623 L
.10752 .78652 L
.10664 .78445 L
.10347 .77681 L
.09962 .76709 L
.09693 .75998 L
.09597 .75738 L
.09251 .74767 L
.08923 .73796 L
.08722 .73174 L
.08612 .72824 L
.08317 .71853 L
.08039 .70882 L
Mistroke
.07776 .69911 L
.07751 .69814 L
.07528 .68939 L
.07295 .67968 L
.07076 .66997 L
.06871 .66026 L
.06779 .65572 L
.06679 .65054 L
.065 .64083 L
.06335 .63112 L
.06182 .62141 L
.06042 .61169 L
.05914 .60198 L
.05808 .59314 L
.05798 .59227 L
.05694 .58256 L
.05603 .57284 L
.05522 .56313 L
.05454 .55342 L
.05397 .54371 L
.05351 .53399 L
.05317 .52428 L
.05295 .51457 L
.05283 .50486 L
.05283 .49514 L
.05295 .48543 L
.05317 .47572 L
.05351 .46601 L
.05397 .45629 L
.05454 .44658 L
.05522 .43687 L
.05603 .42716 L
.05694 .41744 L
.05798 .40773 L
.05808 .40686 L
.05914 .39802 L
.06042 .38831 L
.06182 .37859 L
.06335 .36888 L
.065 .35917 L
.06679 .34946 L
.06779 .34428 L
.06871 .33974 L
.07076 .33003 L
.07295 .32032 L
.07528 .31061 L
.07751 .30186 L
.07776 .30089 L
.08039 .29118 L
.08317 .28147 L
Mistroke
.08612 .27176 L
.08722 .26826 L
.08923 .26204 L
.09251 .25233 L
.09597 .24262 L
.09693 .24002 L
.09962 .23291 L
.10347 .22319 L
.10664 .21555 L
.10752 .21348 L
.11179 .20377 L
.11629 .19406 L
.11636 .19392 L
.12104 .18434 L
.12604 .17463 L
.12607 .17457 L
.13132 .16492 L
.13578 .15711 L
.1369 .15521 L
.14281 .14549 L
.14549 .14125 L
.14907 .13578 L
.15521 .12679 L
.15571 .12607 L
.16279 .11636 L
.16492 .11356 L
.17035 .10664 L
.17463 .10143 L
.17846 .09693 L
.18434 .0903 L
.18718 .08722 L
.19406 .08008 L
.19663 .07751 L
.20377 .07069 L
.20695 .06779 L
.21348 .06209 L
.21831 .05808 L
.22319 .05421 L
.231 .04837 L
.23291 .04701 L
.24262 .04045 L
.24544 .03866 L
.25233 .03449 L
.26204 .02911 L
.26235 .02894 L
.27176 .02427 L
.28147 .01995 L
.28319 .01923 L
Mfstroke
.425 .575 .6 r
.33164 .98077 m
.33003 .98046 L
.32032 .97836 L
.31061 .97583 L
.30089 .97284 L
.2957 .97106 L
.29118 .96939 L
.28147 .96544 L
.2725 .96134 L
.27176 .96098 L
.26204 .95599 L
.25435 .95163 L
.25233 .95043 L
.24262 .94427 L
.23915 .94192 L
.23291 .93748 L
.22595 .93221 L
.22319 .93002 L
.21422 .92249 L
.21348 .92184 L
.20377 .9129 L
.20364 .91278 L
.19406 .90314 L
.19399 .90307 L
.18511 .89336 L
.18434 .89248 L
.17689 .88364 L
.17463 .88085 L
.16924 .87393 L
.16492 .86813 L
.1621 .86422 L
.1554 .85451 L
.15521 .85422 L
.1491 .84479 L
.14549 .83894 L
.14318 .83508 L
.13759 .82537 L
.13578 .82211 L
.1323 .81566 L
.1273 .80594 L
.12607 .80346 L
.12257 .79623 L
.11809 .78652 L
.11636 .78261 L
.11385 .77681 L
.10982 .76709 L
.10664 .75903 L
.10601 .75738 L
.1024 .74767 L
.09897 .73796 L
.09693 .73189 L
.09574 .72824 L
.09267 .71853 L
.08978 .70882 L
.08722 .69972 L
.08705 .69911 L
.08448 .68939 L
.08206 .67968 L
.07979 .66997 L
.07766 .66026 L
.07751 .65951 L
.07568 .65054 L
.07383 .64083 L
.07212 .63112 L
.07054 .62141 L
.06909 .61169 L
.06779 .60215 L
.06777 .60198 L
.06658 .59227 L
.0655 .58256 L
.06456 .57284 L
.06373 .56313 L
.06302 .55342 L
.06243 .54371 L
.06196 .53399 L
.06161 .52428 L
.06138 .51457 L
.06126 .50486 L
.06126 .49514 L
.06138 .48543 L
.06161 .47572 L
.06196 .46601 L
.06243 .45629 L
.06302 .44658 L
.06373 .43687 L
.06456 .42716 L
.0655 .41744 L
.06658 .40773 L
.06777 .39802 L
.06779 .39785 L
.06909 .38831 L
.07054 .37859 L
.07212 .36888 L
.07383 .35917 L
.07568 .34946 L
.07751 .34049 L
.07766 .33974 L
.07979 .33003 L
.08206 .32032 L
.08448 .31061 L
.08705 .30089 L
.08722 .30028 L
.08978 .29118 L
.09267 .28147 L
.09574 .27176 L
.09693 .26811 L
.09897 .26204 L
.1024 .25233 L
.10601 .24262 L
.10664 .24097 L
.10982 .23291 L
.11385 .22319 L
.11636 .21739 L
.11809 .21348 L
.12257 .20377 L
.12607 .19654 L
.1273 .19406 L
.1323 .18434 L
.13578 .17789 L
.13759 .17463 L
.14318 .16492 L
.14549 .16106 L
.1491 .15521 L
.15521 .14578 L
.1554 .14549 L
.1621 .13578 L
.16492 .13187 L
.16924 .12607 L
.17463 .11915 L
.17689 .11636 L
.18434 .10752 L
.18511 .10664 L
.19399 .09693 L
.19406 .09686 L
.20364 .08722 L
.20377 .0871 L
.21348 .07816 L
.21422 .07751 L
.22319 .06998 L
.22595 .06779 L
.23291 .06252 L
.23915 .05808 L
.24262 .05573 L
.25233 .04957 L
.25435 .04837 L
.26204 .04401 L
.27176 .03902 L
.2725 .03866 L
.28147 .03456 L
.29118 .03061 L
.2957 .02894 L
.30089 .02716 L
.31061 .02417 L
.32032 .02164 L
.33003 .01954 L
.33164 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.33164 .98077 m
.33003 .98046 L
.32032 .97836 L
.31061 .97583 L
.30089 .97284 L
.2957 .97106 L
.29118 .96939 L
.28147 .96544 L
.2725 .96134 L
.27176 .96098 L
.26204 .95599 L
.25435 .95163 L
.25233 .95043 L
.24262 .94427 L
.23915 .94192 L
.23291 .93748 L
.22595 .93221 L
.22319 .93002 L
.21422 .92249 L
.21348 .92184 L
.20377 .9129 L
.20364 .91278 L
.19406 .90314 L
.19399 .90307 L
.18511 .89336 L
.18434 .89248 L
.17689 .88364 L
.17463 .88085 L
.16924 .87393 L
.16492 .86813 L
.1621 .86422 L
.1554 .85451 L
.15521 .85422 L
.1491 .84479 L
.14549 .83894 L
.14318 .83508 L
.13759 .82537 L
.13578 .82211 L
.1323 .81566 L
.1273 .80594 L
.12607 .80346 L
.12257 .79623 L
.11809 .78652 L
.11636 .78261 L
.11385 .77681 L
.10982 .76709 L
.10664 .75903 L
.10601 .75738 L
.1024 .74767 L
.09897 .73796 L
Mistroke
.09693 .73189 L
.09574 .72824 L
.09267 .71853 L
.08978 .70882 L
.08722 .69972 L
.08705 .69911 L
.08448 .68939 L
.08206 .67968 L
.07979 .66997 L
.07766 .66026 L
.07751 .65951 L
.07568 .65054 L
.07383 .64083 L
.07212 .63112 L
.07054 .62141 L
.06909 .61169 L
.06779 .60215 L
.06777 .60198 L
.06658 .59227 L
.0655 .58256 L
.06456 .57284 L
.06373 .56313 L
.06302 .55342 L
.06243 .54371 L
.06196 .53399 L
.06161 .52428 L
.06138 .51457 L
.06126 .50486 L
.06126 .49514 L
.06138 .48543 L
.06161 .47572 L
.06196 .46601 L
.06243 .45629 L
.06302 .44658 L
.06373 .43687 L
.06456 .42716 L
.0655 .41744 L
.06658 .40773 L
.06777 .39802 L
.06779 .39785 L
.06909 .38831 L
.07054 .37859 L
.07212 .36888 L
.07383 .35917 L
.07568 .34946 L
.07751 .34049 L
.07766 .33974 L
.07979 .33003 L
.08206 .32032 L
.08448 .31061 L
Mistroke
.08705 .30089 L
.08722 .30028 L
.08978 .29118 L
.09267 .28147 L
.09574 .27176 L
.09693 .26811 L
.09897 .26204 L
.1024 .25233 L
.10601 .24262 L
.10664 .24097 L
.10982 .23291 L
.11385 .22319 L
.11636 .21739 L
.11809 .21348 L
.12257 .20377 L
.12607 .19654 L
.1273 .19406 L
.1323 .18434 L
.13578 .17789 L
.13759 .17463 L
.14318 .16492 L
.14549 .16106 L
.1491 .15521 L
.15521 .14578 L
.1554 .14549 L
.1621 .13578 L
.16492 .13187 L
.16924 .12607 L
.17463 .11915 L
.17689 .11636 L
.18434 .10752 L
.18511 .10664 L
.19399 .09693 L
.19406 .09686 L
.20364 .08722 L
.20377 .0871 L
.21348 .07816 L
.21422 .07751 L
.22319 .06998 L
.22595 .06779 L
.23291 .06252 L
.23915 .05808 L
.24262 .05573 L
.25233 .04957 L
.25435 .04837 L
.26204 .04401 L
.27176 .03902 L
.2725 .03866 L
.28147 .03456 L
.29118 .03061 L
Mistroke
.2957 .02894 L
.30089 .02716 L
.31061 .02417 L
.32032 .02164 L
.33003 .01954 L
.33164 .01923 L
Mfstroke
.4 .6 .6 r
.98077 .81339 m
.97106 .80629 L
.97056 .80594 L
.96134 .79978 L
.95565 .79623 L
.95163 .79387 L
.94192 .78858 L
.9378 .78652 L
.93221 .78393 L
.92249 .77994 L
.91342 .77681 L
.91278 .77661 L
.90307 .77396 L
.89336 .77198 L
.88364 .77066 L
.87393 .77 L
.86422 .76998 L
.85451 .77057 L
.84479 .77176 L
.83508 .77352 L
.82537 .7758 L
.82161 .77681 L
.81566 .77857 L
.80594 .78181 L
.79623 .78546 L
.79359 .78652 L
.78652 .7895 L
.77681 .79388 L
.77185 .79623 L
.76709 .79856 L
.75738 .80352 L
.75279 .80594 L
.74767 .80871 L
.73796 .81411 L
.73522 .81566 L
.72824 .81967 L
.71855 .82537 L
.71853 .82538 L
.70882 .8312 L
.70242 .83508 L
.69911 .8371 L
.68939 .84307 L
.6866 .84479 L
.67968 .84907 L
.67091 .85451 L
.66997 .85509 L
.66026 .8611 L
.65521 .86422 L
.65054 .86709 L
.64083 .87304 L
.63937 .87393 L
.63112 .87893 L
.62325 .88364 L
.62141 .88474 L
.61169 .89046 L
.60672 .89336 L
.60198 .89608 L
.59227 .90158 L
.5896 .90307 L
.58256 .90695 L
.57284 .91218 L
.5717 .91278 L
.56313 .91725 L
.55342 .92215 L
.55273 .92249 L
.54371 .92688 L
.53399 .93142 L
.53227 .93221 L
.52428 .93576 L
.51457 .9399 L
.50962 .94192 L
.50486 .94381 L
.49514 .9475 L
.48543 .95095 L
.48344 .95163 L
.47572 .95416 L
.46601 .95711 L
.45629 .95979 L
.45018 .96134 L
.44658 .9622 L
.43687 .96433 L
.42716 .96616 L
.41744 .96768 L
.40773 .96889 L
.39802 .96978 L
.38831 .97032 L
.37859 .97052 L
.36888 .97036 L
.35917 .96983 L
.34946 .96891 L
.33974 .96759 L
.33003 .96586 L
.32032 .96369 L
.31151 .96134 L
.31061 .96108 L
.30089 .958 L
.29118 .95443 L
.28437 .95163 L
.28147 .95036 L
.27176 .94575 L
.26446 .94192 L
.26204 .94058 L
.25233 .93482 L
.24823 .93221 L
.24262 .92844 L
.23437 .92249 L
.23291 .92139 L
.22319 .91364 L
.22217 .91278 L
.21348 .90514 L
.21125 .90307 L
.20377 .89582 L
.20134 .89336 L
.19406 .88563 L
.19227 .88364 L
.18434 .87447 L
.1839 .87393 L
.17613 .86422 L
.17463 .86226 L
.1689 .85451 L
.16492 .84886 L
.16214 .84479 L
.15579 .83508 L
.15521 .83415 L
.14983 .82537 L
.14549 .81791 L
.14422 .81566 L
.13892 .80594 L
.13578 .7999 L
.13392 .79623 L
.1292 .78652 L
.12607 .77977 L
.12473 .77681 L
.1205 .76709 L
.1165 .75738 L
.11636 .75701 L
.11272 .74767 L
.10914 .73796 L
.10664 .73083 L
.10576 .72824 L
.10257 .71853 L
.09955 .70882 L
.09693 .69989 L
.09671 .69911 L
.09403 .68939 L
.09152 .67968 L
.08916 .66997 L
.08722 .66147 L
.08695 .66026 L
.08489 .65054 L
.08298 .64083 L
.0812 .63112 L
.07957 .62141 L
.07807 .61169 L
.07751 .60784 L
.0767 .60198 L
.07546 .59227 L
.07435 .58256 L
.07337 .57284 L
.07251 .56313 L
.07178 .55342 L
.07118 .54371 L
.07069 .53399 L
.07033 .52428 L
.07009 .51457 L
.06996 .50486 L
.06996 .49514 L
.07009 .48543 L
.07033 .47572 L
.07069 .46601 L
.07118 .45629 L
.07178 .44658 L
.07251 .43687 L
.07337 .42716 L
.07435 .41744 L
.07546 .40773 L
.0767 .39802 L
.07751 .39216 L
.07807 .38831 L
.07957 .37859 L
.0812 .36888 L
.08298 .35917 L
.08489 .34946 L
.08695 .33974 L
.08722 .33853 L
.08916 .33003 L
.09152 .32032 L
.09403 .31061 L
.09671 .30089 L
.09693 .30011 L
.09955 .29118 L
.10257 .28147 L
.10576 .27176 L
.10664 .26917 L
.10914 .26204 L
.11272 .25233 L
.11636 .24299 L
.1165 .24262 L
.1205 .23291 L
.12473 .22319 L
.12607 .22023 L
.1292 .21348 L
.13392 .20377 L
.13578 .2001 L
.13892 .19406 L
.14422 .18434 L
.14549 .18209 L
.14983 .17463 L
.15521 .16585 L
.15579 .16492 L
.16214 .15521 L
.16492 .15114 L
.1689 .14549 L
.17463 .13774 L
.17613 .13578 L
.1839 .12607 L
.18434 .12553 L
.19227 .11636 L
.19406 .11437 L
.20134 .10664 L
.20377 .10418 L
.21125 .09693 L
.21348 .09486 L
.22217 .08722 L
.22319 .08636 L
.23291 .07861 L
.23437 .07751 L
.24262 .07156 L
.24823 .06779 L
.25233 .06518 L
.26204 .05942 L
.26446 .05808 L
.27176 .05425 L
.28147 .04964 L
.28437 .04837 L
.29118 .04557 L
.30089 .042 L
.31061 .03892 L
.31151 .03866 L
.32032 .03631 L
.33003 .03414 L
.33974 .03241 L
.34946 .03109 L
.35917 .03017 L
.36888 .02964 L
.37859 .02948 L
.38831 .02968 L
.39802 .03022 L
.40773 .03111 L
.41744 .03232 L
.42716 .03384 L
.43687 .03567 L
.44658 .0378 L
.45018 .03866 L
.45629 .04021 L
.46601 .04289 L
.47572 .04584 L
.48344 .04837 L
.48543 .04905 L
.49514 .0525 L
.50486 .05619 L
.50962 .05808 L
.51457 .0601 L
.52428 .06424 L
.53227 .06779 L
.53399 .06858 L
.54371 .07312 L
.55273 .07751 L
.55342 .07785 L
.56313 .08275 L
.5717 .08722 L
.57284 .08782 L
.58256 .09305 L
.5896 .09693 L
.59227 .09842 L
.60198 .10392 L
.60672 .10664 L
.61169 .10954 L
.62141 .11526 L
.62325 .11636 L
.63112 .12107 L
.63937 .12607 L
.64083 .12696 L
.65054 .13291 L
.65521 .13578 L
.66026 .1389 L
.66997 .14491 L
.67091 .14549 L
.67968 .15093 L
.6866 .15521 L
.68939 .15693 L
.69911 .1629 L
.70242 .16492 L
.70882 .1688 L
.71853 .17462 L
.71855 .17463 L
.72824 .18033 L
.73522 .18434 L
.73796 .18589 L
.74767 .19129 L
.75279 .19406 L
.75738 .19648 L
.76709 .20144 L
.77185 .20377 L
.77681 .20612 L
.78652 .2105 L
.79359 .21348 L
.79623 .21454 L
.80594 .21819 L
.81566 .22143 L
.82161 .22319 L
.82537 .2242 L
.83508 .22648 L
.84479 .22824 L
.85451 .22943 L
.86422 .23002 L
.87393 .23 L
.88364 .22934 L
.89336 .22802 L
.90307 .22604 L
.91278 .22339 L
.91342 .22319 L
.92249 .22006 L
.93221 .21607 L
.9378 .21348 L
.94192 .21142 L
.95163 .20613 L
.95565 .20377 L
.96134 .20022 L
.97056 .19406 L
.97106 .19371 L
.98077 .18661 L
F
0 g
.98077 .81339 m
.97106 .80629 L
.97056 .80594 L
.96134 .79978 L
.95565 .79623 L
.95163 .79387 L
.94192 .78858 L
.9378 .78652 L
.93221 .78393 L
.92249 .77994 L
.91342 .77681 L
.91278 .77661 L
.90307 .77396 L
.89336 .77198 L
.88364 .77066 L
.87393 .77 L
.86422 .76998 L
.85451 .77057 L
.84479 .77176 L
.83508 .77352 L
.82537 .7758 L
.82161 .77681 L
.81566 .77857 L
.80594 .78181 L
.79623 .78546 L
.79359 .78652 L
.78652 .7895 L
.77681 .79388 L
.77185 .79623 L
.76709 .79856 L
.75738 .80352 L
.75279 .80594 L
.74767 .80871 L
.73796 .81411 L
.73522 .81566 L
.72824 .81967 L
.71855 .82537 L
.71853 .82538 L
.70882 .8312 L
.70242 .83508 L
.69911 .8371 L
.68939 .84307 L
.6866 .84479 L
.67968 .84907 L
.67091 .85451 L
.66997 .85509 L
.66026 .8611 L
.65521 .86422 L
.65054 .86709 L
.64083 .87304 L
Mistroke
.63937 .87393 L
.63112 .87893 L
.62325 .88364 L
.62141 .88474 L
.61169 .89046 L
.60672 .89336 L
.60198 .89608 L
.59227 .90158 L
.5896 .90307 L
.58256 .90695 L
.57284 .91218 L
.5717 .91278 L
.56313 .91725 L
.55342 .92215 L
.55273 .92249 L
.54371 .92688 L
.53399 .93142 L
.53227 .93221 L
.52428 .93576 L
.51457 .9399 L
.50962 .94192 L
.50486 .94381 L
.49514 .9475 L
.48543 .95095 L
.48344 .95163 L
.47572 .95416 L
.46601 .95711 L
.45629 .95979 L
.45018 .96134 L
.44658 .9622 L
.43687 .96433 L
.42716 .96616 L
.41744 .96768 L
.40773 .96889 L
.39802 .96978 L
.38831 .97032 L
.37859 .97052 L
.36888 .97036 L
.35917 .96983 L
.34946 .96891 L
.33974 .96759 L
.33003 .96586 L
.32032 .96369 L
.31151 .96134 L
.31061 .96108 L
.30089 .958 L
.29118 .95443 L
.28437 .95163 L
.28147 .95036 L
.27176 .94575 L
Mistroke
.26446 .94192 L
.26204 .94058 L
.25233 .93482 L
.24823 .93221 L
.24262 .92844 L
.23437 .92249 L
.23291 .92139 L
.22319 .91364 L
.22217 .91278 L
.21348 .90514 L
.21125 .90307 L
.20377 .89582 L
.20134 .89336 L
.19406 .88563 L
.19227 .88364 L
.18434 .87447 L
.1839 .87393 L
.17613 .86422 L
.17463 .86226 L
.1689 .85451 L
.16492 .84886 L
.16214 .84479 L
.15579 .83508 L
.15521 .83415 L
.14983 .82537 L
.14549 .81791 L
.14422 .81566 L
.13892 .80594 L
.13578 .7999 L
.13392 .79623 L
.1292 .78652 L
.12607 .77977 L
.12473 .77681 L
.1205 .76709 L
.1165 .75738 L
.11636 .75701 L
.11272 .74767 L
.10914 .73796 L
.10664 .73083 L
.10576 .72824 L
.10257 .71853 L
.09955 .70882 L
.09693 .69989 L
.09671 .69911 L
.09403 .68939 L
.09152 .67968 L
.08916 .66997 L
.08722 .66147 L
.08695 .66026 L
.08489 .65054 L
Mistroke
.08298 .64083 L
.0812 .63112 L
.07957 .62141 L
.07807 .61169 L
.07751 .60784 L
.0767 .60198 L
.07546 .59227 L
.07435 .58256 L
.07337 .57284 L
.07251 .56313 L
.07178 .55342 L
.07118 .54371 L
.07069 .53399 L
.07033 .52428 L
.07009 .51457 L
.06996 .50486 L
.06996 .49514 L
.07009 .48543 L
.07033 .47572 L
.07069 .46601 L
.07118 .45629 L
.07178 .44658 L
.07251 .43687 L
.07337 .42716 L
.07435 .41744 L
.07546 .40773 L
.0767 .39802 L
.07751 .39216 L
.07807 .38831 L
.07957 .37859 L
.0812 .36888 L
.08298 .35917 L
.08489 .34946 L
.08695 .33974 L
.08722 .33853 L
.08916 .33003 L
.09152 .32032 L
.09403 .31061 L
.09671 .30089 L
.09693 .30011 L
.09955 .29118 L
.10257 .28147 L
.10576 .27176 L
.10664 .26917 L
.10914 .26204 L
.11272 .25233 L
.11636 .24299 L
.1165 .24262 L
.1205 .23291 L
.12473 .22319 L
Mistroke
.12607 .22023 L
.1292 .21348 L
.13392 .20377 L
.13578 .2001 L
.13892 .19406 L
.14422 .18434 L
.14549 .18209 L
.14983 .17463 L
.15521 .16585 L
.15579 .16492 L
.16214 .15521 L
.16492 .15114 L
.1689 .14549 L
.17463 .13774 L
.17613 .13578 L
.1839 .12607 L
.18434 .12553 L
.19227 .11636 L
.19406 .11437 L
.20134 .10664 L
.20377 .10418 L
.21125 .09693 L
.21348 .09486 L
.22217 .08722 L
.22319 .08636 L
.23291 .07861 L
.23437 .07751 L
.24262 .07156 L
.24823 .06779 L
.25233 .06518 L
.26204 .05942 L
.26446 .05808 L
.27176 .05425 L
.28147 .04964 L
.28437 .04837 L
.29118 .04557 L
.30089 .042 L
.31061 .03892 L
.31151 .03866 L
.32032 .03631 L
.33003 .03414 L
.33974 .03241 L
.34946 .03109 L
.35917 .03017 L
.36888 .02964 L
.37859 .02948 L
.38831 .02968 L
.39802 .03022 L
.40773 .03111 L
.41744 .03232 L
Mistroke
.42716 .03384 L
.43687 .03567 L
.44658 .0378 L
.45018 .03866 L
.45629 .04021 L
.46601 .04289 L
.47572 .04584 L
.48344 .04837 L
.48543 .04905 L
.49514 .0525 L
.50486 .05619 L
.50962 .05808 L
.51457 .0601 L
.52428 .06424 L
.53227 .06779 L
.53399 .06858 L
.54371 .07312 L
.55273 .07751 L
.55342 .07785 L
.56313 .08275 L
.5717 .08722 L
.57284 .08782 L
.58256 .09305 L
.5896 .09693 L
.59227 .09842 L
.60198 .10392 L
.60672 .10664 L
.61169 .10954 L
.62141 .11526 L
.62325 .11636 L
.63112 .12107 L
.63937 .12607 L
.64083 .12696 L
.65054 .13291 L
.65521 .13578 L
.66026 .1389 L
.66997 .14491 L
.67091 .14549 L
.67968 .15093 L
.6866 .15521 L
.68939 .15693 L
.69911 .1629 L
.70242 .16492 L
.70882 .1688 L
.71853 .17462 L
.71855 .17463 L
.72824 .18033 L
.73522 .18434 L
.73796 .18589 L
.74767 .19129 L
Mistroke
.75279 .19406 L
.75738 .19648 L
.76709 .20144 L
.77185 .20377 L
.77681 .20612 L
.78652 .2105 L
.79359 .21348 L
.79623 .21454 L
.80594 .21819 L
.81566 .22143 L
.82161 .22319 L
.82537 .2242 L
.83508 .22648 L
.84479 .22824 L
.85451 .22943 L
.86422 .23002 L
.87393 .23 L
.88364 .22934 L
.89336 .22802 L
.90307 .22604 L
.91278 .22339 L
.91342 .22319 L
.92249 .22006 L
.93221 .21607 L
.9378 .21348 L
.94192 .21142 L
.95163 .20613 L
.95565 .20377 L
.96134 .20022 L
.97056 .19406 L
.97106 .19371 L
.98077 .18661 L
Mfstroke
.375 .625 .6 r
.98077 .79051 m
.97579 .78652 L
.97106 .78285 L
.96282 .77681 L
.96134 .77578 L
.95163 .76934 L
.948 .76709 L
.94192 .76356 L
.93221 .75846 L
.92998 .75738 L
.92249 .75407 L
.91278 .7504 L
.90385 .74767 L
.90307 .74746 L
.89336 .74527 L
.88364 .74381 L
.87393 .74307 L
.86422 .74305 L
.85451 .74371 L
.84479 .74503 L
.83508 .74697 L
.83213 .74767 L
.82537 .7495 L
.81566 .75256 L
.80594 .75613 L
.80278 .75738 L
.79623 .76014 L
.78652 .76456 L
.78129 .76709 L
.77681 .76935 L
.76709 .77445 L
.76279 .77681 L
.75738 .77984 L
.74767 .78546 L
.74588 .78652 L
.73796 .79129 L
.72993 .79623 L
.72824 .79728 L
.71853 .80341 L
.71456 .80594 L
.70882 .80964 L
.69955 .81566 L
.69911 .81595 L
.68939 .82231 L
.68473 .82537 L
.67968 .82869 L
.66997 .83507 L
.66996 .83508 L
.66026 .84144 L
.65512 .84479 L
.65054 .84777 L
.64083 .85404 L
.6401 .85451 L
.63112 .86024 L
.62481 .86422 L
.62141 .86635 L
.61169 .87235 L
.60911 .87393 L
.60198 .87824 L
.59287 .88364 L
.59227 .884 L
.58256 .88961 L
.57591 .89336 L
.57284 .89506 L
.56313 .90035 L
.55801 .90307 L
.55342 .90546 L
.54371 .91038 L
.53882 .91278 L
.53399 .9151 L
.52428 .91961 L
.51781 .92249 L
.51457 .9239 L
.50486 .92797 L
.49514 .93179 L
.49405 .93221 L
.48543 .93537 L
.47572 .93869 L
.46601 .94174 L
.4654 .94192 L
.45629 .94452 L
.44658 .94701 L
.43687 .9492 L
.42716 .95109 L
.42409 .95163 L
.41744 .95267 L
.40773 .95392 L
.39802 .95483 L
.38831 .9554 L
.37859 .95561 L
.36888 .95544 L
.35917 .95489 L
.34946 .95394 L
.33974 .95258 L
.33427 .95163 L
.33003 .95079 L
.32032 .94855 L
.31061 .94585 L
.30089 .94266 L
.29882 .94192 L
.29118 .93897 L
.28147 .93475 L
.27615 .93221 L
.27176 .92997 L
.26204 .92461 L
.25848 .92249 L
.25233 .91863 L
.24371 .91278 L
.24262 .912 L
.23291 .90467 L
.23091 .90307 L
.22319 .89659 L
.21955 .89336 L
.21348 .88771 L
.20931 .88364 L
.20377 .87797 L
.2 .87393 L
.19406 .86728 L
.19144 .86422 L
.18434 .85554 L
.18353 .85451 L
.17618 .84479 L
.17463 .84266 L
.16933 .83508 L
.16492 .82847 L
.16292 .82537 L
.15691 .81566 L
.15521 .81279 L
.15126 .80594 L
.14594 .79623 L
.14549 .79539 L
.14093 .78652 L
.1362 .77681 L
.13578 .77591 L
.13174 .76709 L
.12753 .75738 L
.12607 .75388 L
.12355 .74767 L
.11979 .73796 L
.11636 .72856 L
.11624 .72824 L
.1129 .71853 L
.10974 .70882 L
.10677 .69911 L
.10664 .69867 L
.10398 .68939 L
.10136 .67968 L
.0989 .66997 L
.09693 .66169 L
.0966 .66026 L
.09446 .65054 L
.09247 .64083 L
.09062 .63112 L
.08893 .62141 L
.08737 .61169 L
.08722 .61072 L
.08595 .60198 L
.08466 .59227 L
.08351 .58256 L
.0825 .57284 L
.08161 .56313 L
.08085 .55342 L
.08022 .54371 L
.07972 .53399 L
.07934 .52428 L
.07909 .51457 L
.07897 .50486 L
.07897 .49514 L
.07909 .48543 L
.07934 .47572 L
.07972 .46601 L
.08022 .45629 L
.08085 .44658 L
.08161 .43687 L
.0825 .42716 L
.08351 .41744 L
.08466 .40773 L
.08595 .39802 L
.08722 .38928 L
.08737 .38831 L
.08893 .37859 L
.09062 .36888 L
.09247 .35917 L
.09446 .34946 L
.0966 .33974 L
.09693 .33831 L
.0989 .33003 L
.10136 .32032 L
.10398 .31061 L
.10664 .30133 L
.10677 .30089 L
.10974 .29118 L
.1129 .28147 L
.11624 .27176 L
.11636 .27144 L
.11979 .26204 L
.12355 .25233 L
.12607 .24612 L
.12753 .24262 L
.13174 .23291 L
.13578 .22409 L
.1362 .22319 L
.14093 .21348 L
.14549 .20461 L
.14594 .20377 L
.15126 .19406 L
.15521 .18721 L
.15691 .18434 L
.16292 .17463 L
.16492 .17153 L
.16933 .16492 L
.17463 .15734 L
.17618 .15521 L
.18353 .14549 L
.18434 .14446 L
.19144 .13578 L
.19406 .13272 L
.2 .12607 L
.20377 .12203 L
.20931 .11636 L
.21348 .11229 L
.21955 .10664 L
.22319 .10341 L
.23091 .09693 L
.23291 .09533 L
.24262 .088 L
.24371 .08722 L
.25233 .08137 L
.25848 .07751 L
.26204 .07539 L
.27176 .07003 L
.27615 .06779 L
.28147 .06525 L
.29118 .06103 L
.29882 .05808 L
.30089 .05734 L
.31061 .05415 L
.32032 .05145 L
.33003 .04921 L
.33427 .04837 L
.33974 .04742 L
.34946 .04606 L
.35917 .04511 L
.36888 .04456 L
.37859 .04439 L
.38831 .0446 L
.39802 .04517 L
.40773 .04608 L
.41744 .04733 L
.42409 .04837 L
.42716 .04891 L
.43687 .0508 L
.44658 .05299 L
.45629 .05548 L
.4654 .05808 L
.46601 .05826 L
.47572 .06131 L
.48543 .06463 L
.49405 .06779 L
.49514 .06821 L
.50486 .07203 L
.51457 .0761 L
.51781 .07751 L
.52428 .08039 L
.53399 .0849 L
.53882 .08722 L
.54371 .08962 L
.55342 .09454 L
.55801 .09693 L
.56313 .09965 L
.57284 .10494 L
.57591 .10664 L
.58256 .11039 L
.59227 .116 L
.59287 .11636 L
.60198 .12176 L
.60911 .12607 L
.61169 .12765 L
.62141 .13365 L
.62481 .13578 L
.63112 .13976 L
.6401 .14549 L
.64083 .14596 L
.65054 .15223 L
.65512 .15521 L
.66026 .15856 L
.66996 .16492 L
.66997 .16493 L
.67968 .17131 L
.68473 .17463 L
.68939 .17769 L
.69911 .18405 L
.69955 .18434 L
.70882 .19036 L
.71456 .19406 L
.71853 .19659 L
.72824 .20272 L
.72993 .20377 L
.73796 .20871 L
.74588 .21348 L
.74767 .21454 L
.75738 .22016 L
.76279 .22319 L
.76709 .22555 L
.77681 .23065 L
.78129 .23291 L
.78652 .23544 L
.79623 .23986 L
.80278 .24262 L
.80594 .24387 L
.81566 .24744 L
.82537 .2505 L
.83213 .25233 L
.83508 .25303 L
.84479 .25497 L
.85451 .25629 L
.86422 .25695 L
.87393 .25693 L
.88364 .25619 L
.89336 .25473 L
.90307 .25254 L
.90385 .25233 L
.91278 .2496 L
.92249 .24593 L
.92998 .24262 L
.93221 .24154 L
.94192 .23644 L
.948 .23291 L
.95163 .23066 L
.96134 .22422 L
.96282 .22319 L
.97106 .21715 L
.97579 .21348 L
.98077 .20949 L
F
0 g
.98077 .79051 m
.97579 .78652 L
.97106 .78285 L
.96282 .77681 L
.96134 .77578 L
.95163 .76934 L
.948 .76709 L
.94192 .76356 L
.93221 .75846 L
.92998 .75738 L
.92249 .75407 L
.91278 .7504 L
.90385 .74767 L
.90307 .74746 L
.89336 .74527 L
.88364 .74381 L
.87393 .74307 L
.86422 .74305 L
.85451 .74371 L
.84479 .74503 L
.83508 .74697 L
.83213 .74767 L
.82537 .7495 L
.81566 .75256 L
.80594 .75613 L
.80278 .75738 L
.79623 .76014 L
.78652 .76456 L
.78129 .76709 L
.77681 .76935 L
.76709 .77445 L
.76279 .77681 L
.75738 .77984 L
.74767 .78546 L
.74588 .78652 L
.73796 .79129 L
.72993 .79623 L
.72824 .79728 L
.71853 .80341 L
.71456 .80594 L
.70882 .80964 L
.69955 .81566 L
.69911 .81595 L
.68939 .82231 L
.68473 .82537 L
.67968 .82869 L
.66997 .83507 L
.66996 .83508 L
.66026 .84144 L
.65512 .84479 L
Mistroke
.65054 .84777 L
.64083 .85404 L
.6401 .85451 L
.63112 .86024 L
.62481 .86422 L
.62141 .86635 L
.61169 .87235 L
.60911 .87393 L
.60198 .87824 L
.59287 .88364 L
.59227 .884 L
.58256 .88961 L
.57591 .89336 L
.57284 .89506 L
.56313 .90035 L
.55801 .90307 L
.55342 .90546 L
.54371 .91038 L
.53882 .91278 L
.53399 .9151 L
.52428 .91961 L
.51781 .92249 L
.51457 .9239 L
.50486 .92797 L
.49514 .93179 L
.49405 .93221 L
.48543 .93537 L
.47572 .93869 L
.46601 .94174 L
.4654 .94192 L
.45629 .94452 L
.44658 .94701 L
.43687 .9492 L
.42716 .95109 L
.42409 .95163 L
.41744 .95267 L
.40773 .95392 L
.39802 .95483 L
.38831 .9554 L
.37859 .95561 L
.36888 .95544 L
.35917 .95489 L
.34946 .95394 L
.33974 .95258 L
.33427 .95163 L
.33003 .95079 L
.32032 .94855 L
.31061 .94585 L
.30089 .94266 L
.29882 .94192 L
Mistroke
.29118 .93897 L
.28147 .93475 L
.27615 .93221 L
.27176 .92997 L
.26204 .92461 L
.25848 .92249 L
.25233 .91863 L
.24371 .91278 L
.24262 .912 L
.23291 .90467 L
.23091 .90307 L
.22319 .89659 L
.21955 .89336 L
.21348 .88771 L
.20931 .88364 L
.20377 .87797 L
.2 .87393 L
.19406 .86728 L
.19144 .86422 L
.18434 .85554 L
.18353 .85451 L
.17618 .84479 L
.17463 .84266 L
.16933 .83508 L
.16492 .82847 L
.16292 .82537 L
.15691 .81566 L
.15521 .81279 L
.15126 .80594 L
.14594 .79623 L
.14549 .79539 L
.14093 .78652 L
.1362 .77681 L
.13578 .77591 L
.13174 .76709 L
.12753 .75738 L
.12607 .75388 L
.12355 .74767 L
.11979 .73796 L
.11636 .72856 L
.11624 .72824 L
.1129 .71853 L
.10974 .70882 L
.10677 .69911 L
.10664 .69867 L
.10398 .68939 L
.10136 .67968 L
.0989 .66997 L
.09693 .66169 L
.0966 .66026 L
Mistroke
.09446 .65054 L
.09247 .64083 L
.09062 .63112 L
.08893 .62141 L
.08737 .61169 L
.08722 .61072 L
.08595 .60198 L
.08466 .59227 L
.08351 .58256 L
.0825 .57284 L
.08161 .56313 L
.08085 .55342 L
.08022 .54371 L
.07972 .53399 L
.07934 .52428 L
.07909 .51457 L
.07897 .50486 L
.07897 .49514 L
.07909 .48543 L
.07934 .47572 L
.07972 .46601 L
.08022 .45629 L
.08085 .44658 L
.08161 .43687 L
.0825 .42716 L
.08351 .41744 L
.08466 .40773 L
.08595 .39802 L
.08722 .38928 L
.08737 .38831 L
.08893 .37859 L
.09062 .36888 L
.09247 .35917 L
.09446 .34946 L
.0966 .33974 L
.09693 .33831 L
.0989 .33003 L
.10136 .32032 L
.10398 .31061 L
.10664 .30133 L
.10677 .30089 L
.10974 .29118 L
.1129 .28147 L
.11624 .27176 L
.11636 .27144 L
.11979 .26204 L
.12355 .25233 L
.12607 .24612 L
.12753 .24262 L
.13174 .23291 L
Mistroke
.13578 .22409 L
.1362 .22319 L
.14093 .21348 L
.14549 .20461 L
.14594 .20377 L
.15126 .19406 L
.15521 .18721 L
.15691 .18434 L
.16292 .17463 L
.16492 .17153 L
.16933 .16492 L
.17463 .15734 L
.17618 .15521 L
.18353 .14549 L
.18434 .14446 L
.19144 .13578 L
.19406 .13272 L
.2 .12607 L
.20377 .12203 L
.20931 .11636 L
.21348 .11229 L
.21955 .10664 L
.22319 .10341 L
.23091 .09693 L
.23291 .09533 L
.24262 .088 L
.24371 .08722 L
.25233 .08137 L
.25848 .07751 L
.26204 .07539 L
.27176 .07003 L
.27615 .06779 L
.28147 .06525 L
.29118 .06103 L
.29882 .05808 L
.30089 .05734 L
.31061 .05415 L
.32032 .05145 L
.33003 .04921 L
.33427 .04837 L
.33974 .04742 L
.34946 .04606 L
.35917 .04511 L
.36888 .04456 L
.37859 .04439 L
.38831 .0446 L
.39802 .04517 L
.40773 .04608 L
.41744 .04733 L
.42409 .04837 L
Mistroke
.42716 .04891 L
.43687 .0508 L
.44658 .05299 L
.45629 .05548 L
.4654 .05808 L
.46601 .05826 L
.47572 .06131 L
.48543 .06463 L
.49405 .06779 L
.49514 .06821 L
.50486 .07203 L
.51457 .0761 L
.51781 .07751 L
.52428 .08039 L
.53399 .0849 L
.53882 .08722 L
.54371 .08962 L
.55342 .09454 L
.55801 .09693 L
.56313 .09965 L
.57284 .10494 L
.57591 .10664 L
.58256 .11039 L
.59227 .116 L
.59287 .11636 L
.60198 .12176 L
.60911 .12607 L
.61169 .12765 L
.62141 .13365 L
.62481 .13578 L
.63112 .13976 L
.6401 .14549 L
.64083 .14596 L
.65054 .15223 L
.65512 .15521 L
.66026 .15856 L
.66996 .16492 L
.66997 .16493 L
.67968 .17131 L
.68473 .17463 L
.68939 .17769 L
.69911 .18405 L
.69955 .18434 L
.70882 .19036 L
.71456 .19406 L
.71853 .19659 L
.72824 .20272 L
.72993 .20377 L
.73796 .20871 L
.74588 .21348 L
Mistroke
.74767 .21454 L
.75738 .22016 L
.76279 .22319 L
.76709 .22555 L
.77681 .23065 L
.78129 .23291 L
.78652 .23544 L
.79623 .23986 L
.80278 .24262 L
.80594 .24387 L
.81566 .24744 L
.82537 .2505 L
.83213 .25233 L
.83508 .25303 L
.84479 .25497 L
.85451 .25629 L
.86422 .25695 L
.87393 .25693 L
.88364 .25619 L
.89336 .25473 L
.90307 .25254 L
.90385 .25233 L
.91278 .2496 L
.92249 .24593 L
.92998 .24262 L
.93221 .24154 L
.94192 .23644 L
.948 .23291 L
.95163 .23066 L
.96134 .22422 L
.96282 .22319 L
.97106 .21715 L
.97579 .21348 L
.98077 .20949 L
Mfstroke
.35 .65 .6 r
.98077 .76568 m
.97119 .75738 L
.97106 .75727 L
.96134 .74947 L
.95898 .74767 L
.95163 .74234 L
.94515 .73796 L
.94192 .7359 L
.93221 .73019 L
.92859 .72824 L
.92249 .72524 L
.91278 .7211 L
.90557 .71853 L
.90307 .71777 L
.89336 .71527 L
.88364 .7136 L
.87393 .71277 L
.86422 .71274 L
.85451 .7135 L
.84479 .715 L
.83508 .71721 L
.83029 .71853 L
.82537 .72008 L
.81566 .72355 L
.80594 .72756 L
.80441 .72824 L
.79623 .73207 L
.78652 .73702 L
.78476 .73796 L
.77681 .74235 L
.76767 .74767 L
.76709 .74801 L
.75738 .75396 L
.75196 .75738 L
.74767 .76014 L
.73796 .76652 L
.7371 .76709 L
.72824 .77306 L
.72276 .77681 L
.71853 .77972 L
.70882 .78647 L
.70874 .78652 L
.69911 .79327 L
.6949 .79623 L
.68939 .80011 L
.68112 .80594 L
.67968 .80695 L
.66997 .81378 L
.66729 .81566 L
.66026 .82057 L
.65334 .82537 L
.65054 .8273 L
.64083 .83396 L
.63918 .83508 L
.63112 .84052 L
.62472 .84479 L
.62141 .84698 L
.61169 .85332 L
.60984 .85451 L
.60198 .85951 L
.59445 .86422 L
.59227 .86556 L
.58256 .87145 L
.57839 .87393 L
.57284 .87717 L
.56313 .88271 L
.56145 .88364 L
.55342 .88805 L
.54371 .89319 L
.54338 .89336 L
.53399 .89811 L
.52428 .90281 L
.52374 .90307 L
.51457 .90728 L
.50486 .91151 L
.50181 .91278 L
.49514 .91548 L
.48543 .9192 L
.47617 .92249 L
.47572 .92265 L
.46601 .92581 L
.45629 .92869 L
.44658 .93128 L
.44278 .93221 L
.43687 .93355 L
.42716 .93551 L
.41744 .93714 L
.40773 .93844 L
.39802 .93939 L
.38831 .93997 L
.37859 .94018 L
.36888 .94001 L
.35917 .93944 L
.34946 .93846 L
.33974 .93705 L
.33003 .93519 L
.32032 .93288 L
.31782 .93221 L
.31061 .93008 L
.30089 .92677 L
.29118 .92294 L
.29013 .92249 L
.28147 .91856 L
.27176 .9136 L
.27026 .91278 L
.26204 .90802 L
.25424 .90307 L
.25233 .90179 L
.24262 .89488 L
.24061 .89336 L
.23291 .88722 L
.22868 .88364 L
.22319 .87877 L
.21802 .87393 L
.21348 .86947 L
.20839 .86422 L
.20377 .85923 L
.19958 .85451 L
.19406 .84796 L
.19149 .84479 L
.18434 .83555 L
.18399 .83508 L
.17702 .82537 L
.17463 .82187 L
.17053 .81566 L
.16492 .80672 L
.16445 .80594 L
.15875 .79623 L
.15521 .78987 L
.1534 .78652 L
.14836 .77681 L
.14549 .771 L
.14362 .76709 L
.13916 .75738 L
.13578 .74962 L
.13495 .74767 L
.13099 .73796 L
.12725 .72824 L
.12607 .72504 L
.12373 .71853 L
.12042 .70882 L
.11731 .69911 L
.11636 .69602 L
.11438 .68939 L
.11163 .67968 L
.10907 .66997 L
.10666 .66026 L
.10664 .66017 L
.10443 .65054 L
.10235 .64083 L
.10043 .63112 L
.09866 .62141 L
.09704 .61169 L
.09693 .61103 L
.09556 .60198 L
.09422 .59227 L
.09303 .58256 L
.09197 .57284 L
.09105 .56313 L
.09026 .55342 L
.08961 .54371 L
.08909 .53399 L
.08869 .52428 L
.08843 .51457 L
.0883 .50486 L
.0883 .49514 L
.08843 .48543 L
.08869 .47572 L
.08909 .46601 L
.08961 .45629 L
.09026 .44658 L
.09105 .43687 L
.09197 .42716 L
.09303 .41744 L
.09422 .40773 L
.09556 .39802 L
.09693 .38897 L
.09704 .38831 L
.09866 .37859 L
.10043 .36888 L
.10235 .35917 L
.10443 .34946 L
.10664 .33983 L
.10666 .33974 L
.10907 .33003 L
.11163 .32032 L
.11438 .31061 L
.11636 .30398 L
.11731 .30089 L
.12042 .29118 L
.12373 .28147 L
.12607 .27496 L
.12725 .27176 L
.13099 .26204 L
.13495 .25233 L
.13578 .25038 L
.13916 .24262 L
.14362 .23291 L
.14549 .229 L
.14836 .22319 L
.1534 .21348 L
.15521 .21013 L
.15875 .20377 L
.16445 .19406 L
.16492 .19328 L
.17053 .18434 L
.17463 .17813 L
.17702 .17463 L
.18399 .16492 L
.18434 .16445 L
.19149 .15521 L
.19406 .15204 L
.19958 .14549 L
.20377 .14077 L
.20839 .13578 L
.21348 .13053 L
.21802 .12607 L
.22319 .12123 L
.22868 .11636 L
.23291 .11278 L
.24061 .10664 L
.24262 .10512 L
.25233 .09821 L
.25424 .09693 L
.26204 .09198 L
.27026 .08722 L
.27176 .0864 L
.28147 .08144 L
.29013 .07751 L
.29118 .07706 L
.30089 .07323 L
.31061 .06992 L
.31782 .06779 L
.32032 .06712 L
.33003 .06481 L
.33974 .06295 L
.34946 .06154 L
.35917 .06056 L
.36888 .05999 L
.37859 .05982 L
.38831 .06003 L
.39802 .06061 L
.40773 .06156 L
.41744 .06286 L
.42716 .06449 L
.43687 .06645 L
.44278 .06779 L
.44658 .06872 L
.45629 .07131 L
.46601 .07419 L
.47572 .07735 L
.47617 .07751 L
.48543 .0808 L
.49514 .08452 L
.50181 .08722 L
.50486 .08849 L
.51457 .09272 L
.52374 .09693 L
.52428 .09719 L
.53399 .10189 L
.54338 .10664 L
.54371 .10681 L
.55342 .11195 L
.56145 .11636 L
.56313 .11729 L
.57284 .12283 L
.57839 .12607 L
.58256 .12855 L
.59227 .13444 L
.59445 .13578 L
.60198 .14049 L
.60984 .14549 L
.61169 .14668 L
.62141 .15302 L
.62472 .15521 L
.63112 .15948 L
.63918 .16492 L
.64083 .16604 L
.65054 .1727 L
.65334 .17463 L
.66026 .17943 L
.66729 .18434 L
.66997 .18622 L
.67968 .19305 L
.68112 .19406 L
.68939 .19989 L
.6949 .20377 L
.69911 .20673 L
.70874 .21348 L
.70882 .21353 L
.71853 .22028 L
.72276 .22319 L
.72824 .22694 L
.7371 .23291 L
.73796 .23348 L
.74767 .23986 L
.75196 .24262 L
.75738 .24604 L
.76709 .25199 L
.76767 .25233 L
.77681 .25765 L
.78476 .26204 L
.78652 .26298 L
.79623 .26793 L
.80441 .27176 L
.80594 .27244 L
.81566 .27645 L
.82537 .27992 L
.83029 .28147 L
.83508 .28279 L
.84479 .285 L
.85451 .2865 L
.86422 .28726 L
.87393 .28723 L
.88364 .2864 L
.89336 .28473 L
.90307 .28223 L
.90557 .28147 L
.91278 .2789 L
.92249 .27476 L
.92859 .27176 L
.93221 .26981 L
.94192 .2641 L
.94515 .26204 L
.95163 .25766 L
.95898 .25233 L
.96134 .25053 L
.97106 .24273 L
.97119 .24262 L
.98077 .23432 L
F
0 g
.98077 .76568 m
.97119 .75738 L
.97106 .75727 L
.96134 .74947 L
.95898 .74767 L
.95163 .74234 L
.94515 .73796 L
.94192 .7359 L
.93221 .73019 L
.92859 .72824 L
.92249 .72524 L
.91278 .7211 L
.90557 .71853 L
.90307 .71777 L
.89336 .71527 L
.88364 .7136 L
.87393 .71277 L
.86422 .71274 L
.85451 .7135 L
.84479 .715 L
.83508 .71721 L
.83029 .71853 L
.82537 .72008 L
.81566 .72355 L
.80594 .72756 L
.80441 .72824 L
.79623 .73207 L
.78652 .73702 L
.78476 .73796 L
.77681 .74235 L
.76767 .74767 L
.76709 .74801 L
.75738 .75396 L
.75196 .75738 L
.74767 .76014 L
.73796 .76652 L
.7371 .76709 L
.72824 .77306 L
.72276 .77681 L
.71853 .77972 L
.70882 .78647 L
.70874 .78652 L
.69911 .79327 L
.6949 .79623 L
.68939 .80011 L
.68112 .80594 L
.67968 .80695 L
.66997 .81378 L
.66729 .81566 L
.66026 .82057 L
Mistroke
.65334 .82537 L
.65054 .8273 L
.64083 .83396 L
.63918 .83508 L
.63112 .84052 L
.62472 .84479 L
.62141 .84698 L
.61169 .85332 L
.60984 .85451 L
.60198 .85951 L
.59445 .86422 L
.59227 .86556 L
.58256 .87145 L
.57839 .87393 L
.57284 .87717 L
.56313 .88271 L
.56145 .88364 L
.55342 .88805 L
.54371 .89319 L
.54338 .89336 L
.53399 .89811 L
.52428 .90281 L
.52374 .90307 L
.51457 .90728 L
.50486 .91151 L
.50181 .91278 L
.49514 .91548 L
.48543 .9192 L
.47617 .92249 L
.47572 .92265 L
.46601 .92581 L
.45629 .92869 L
.44658 .93128 L
.44278 .93221 L
.43687 .93355 L
.42716 .93551 L
.41744 .93714 L
.40773 .93844 L
.39802 .93939 L
.38831 .93997 L
.37859 .94018 L
.36888 .94001 L
.35917 .93944 L
.34946 .93846 L
.33974 .93705 L
.33003 .93519 L
.32032 .93288 L
.31782 .93221 L
.31061 .93008 L
.30089 .92677 L
Mistroke
.29118 .92294 L
.29013 .92249 L
.28147 .91856 L
.27176 .9136 L
.27026 .91278 L
.26204 .90802 L
.25424 .90307 L
.25233 .90179 L
.24262 .89488 L
.24061 .89336 L
.23291 .88722 L
.22868 .88364 L
.22319 .87877 L
.21802 .87393 L
.21348 .86947 L
.20839 .86422 L
.20377 .85923 L
.19958 .85451 L
.19406 .84796 L
.19149 .84479 L
.18434 .83555 L
.18399 .83508 L
.17702 .82537 L
.17463 .82187 L
.17053 .81566 L
.16492 .80672 L
.16445 .80594 L
.15875 .79623 L
.15521 .78987 L
.1534 .78652 L
.14836 .77681 L
.14549 .771 L
.14362 .76709 L
.13916 .75738 L
.13578 .74962 L
.13495 .74767 L
.13099 .73796 L
.12725 .72824 L
.12607 .72504 L
.12373 .71853 L
.12042 .70882 L
.11731 .69911 L
.11636 .69602 L
.11438 .68939 L
.11163 .67968 L
.10907 .66997 L
.10666 .66026 L
.10664 .66017 L
.10443 .65054 L
.10235 .64083 L
Mistroke
.10043 .63112 L
.09866 .62141 L
.09704 .61169 L
.09693 .61103 L
.09556 .60198 L
.09422 .59227 L
.09303 .58256 L
.09197 .57284 L
.09105 .56313 L
.09026 .55342 L
.08961 .54371 L
.08909 .53399 L
.08869 .52428 L
.08843 .51457 L
.0883 .50486 L
.0883 .49514 L
.08843 .48543 L
.08869 .47572 L
.08909 .46601 L
.08961 .45629 L
.09026 .44658 L
.09105 .43687 L
.09197 .42716 L
.09303 .41744 L
.09422 .40773 L
.09556 .39802 L
.09693 .38897 L
.09704 .38831 L
.09866 .37859 L
.10043 .36888 L
.10235 .35917 L
.10443 .34946 L
.10664 .33983 L
.10666 .33974 L
.10907 .33003 L
.11163 .32032 L
.11438 .31061 L
.11636 .30398 L
.11731 .30089 L
.12042 .29118 L
.12373 .28147 L
.12607 .27496 L
.12725 .27176 L
.13099 .26204 L
.13495 .25233 L
.13578 .25038 L
.13916 .24262 L
.14362 .23291 L
.14549 .229 L
.14836 .22319 L
Mistroke
.1534 .21348 L
.15521 .21013 L
.15875 .20377 L
.16445 .19406 L
.16492 .19328 L
.17053 .18434 L
.17463 .17813 L
.17702 .17463 L
.18399 .16492 L
.18434 .16445 L
.19149 .15521 L
.19406 .15204 L
.19958 .14549 L
.20377 .14077 L
.20839 .13578 L
.21348 .13053 L
.21802 .12607 L
.22319 .12123 L
.22868 .11636 L
.23291 .11278 L
.24061 .10664 L
.24262 .10512 L
.25233 .09821 L
.25424 .09693 L
.26204 .09198 L
.27026 .08722 L
.27176 .0864 L
.28147 .08144 L
.29013 .07751 L
.29118 .07706 L
.30089 .07323 L
.31061 .06992 L
.31782 .06779 L
.32032 .06712 L
.33003 .06481 L
.33974 .06295 L
.34946 .06154 L
.35917 .06056 L
.36888 .05999 L
.37859 .05982 L
.38831 .06003 L
.39802 .06061 L
.40773 .06156 L
.41744 .06286 L
.42716 .06449 L
.43687 .06645 L
.44278 .06779 L
.44658 .06872 L
.45629 .07131 L
.46601 .07419 L
Mistroke
.47572 .07735 L
.47617 .07751 L
.48543 .0808 L
.49514 .08452 L
.50181 .08722 L
.50486 .08849 L
.51457 .09272 L
.52374 .09693 L
.52428 .09719 L
.53399 .10189 L
.54338 .10664 L
.54371 .10681 L
.55342 .11195 L
.56145 .11636 L
.56313 .11729 L
.57284 .12283 L
.57839 .12607 L
.58256 .12855 L
.59227 .13444 L
.59445 .13578 L
.60198 .14049 L
.60984 .14549 L
.61169 .14668 L
.62141 .15302 L
.62472 .15521 L
.63112 .15948 L
.63918 .16492 L
.64083 .16604 L
.65054 .1727 L
.65334 .17463 L
.66026 .17943 L
.66729 .18434 L
.66997 .18622 L
.67968 .19305 L
.68112 .19406 L
.68939 .19989 L
.6949 .20377 L
.69911 .20673 L
.70874 .21348 L
.70882 .21353 L
.71853 .22028 L
.72276 .22319 L
.72824 .22694 L
.7371 .23291 L
.73796 .23348 L
.74767 .23986 L
.75196 .24262 L
.75738 .24604 L
.76709 .25199 L
.76767 .25233 L
Mistroke
.77681 .25765 L
.78476 .26204 L
.78652 .26298 L
.79623 .26793 L
.80441 .27176 L
.80594 .27244 L
.81566 .27645 L
.82537 .27992 L
.83029 .28147 L
.83508 .28279 L
.84479 .285 L
.85451 .2865 L
.86422 .28726 L
.87393 .28723 L
.88364 .2864 L
.89336 .28473 L
.90307 .28223 L
.90557 .28147 L
.91278 .2789 L
.92249 .27476 L
.92859 .27176 L
.93221 .26981 L
.94192 .2641 L
.94515 .26204 L
.95163 .25766 L
.95898 .25233 L
.96134 .25053 L
.97106 .24273 L
.97119 .24262 L
.98077 .23432 L
Mfstroke
.325 .675 .6 r
.98077 .73826 m
.98046 .73796 L
.97106 .72885 L
.97041 .72824 L
.96134 .72005 L
.95959 .71853 L
.95163 .71192 L
.94768 .70882 L
.94192 .70453 L
.93406 .69911 L
.93221 .69792 L
.92249 .69215 L
.91727 .68939 L
.91278 .68727 L
.90307 .68333 L
.89336 .68035 L
.89109 .67968 L
.88364 .67836 L
.87393 .67736 L
.86422 .67732 L
.85451 .67823 L
.84602 .67968 L
.84479 .68003 L
.83508 .68266 L
.82537 .68606 L
.81733 .68939 L
.81566 .69015 L
.80594 .69486 L
.79801 .69911 L
.79623 .70011 L
.78652 .70582 L
.78169 .70882 L
.77681 .71194 L
.76709 .71839 L
.76689 .71853 L
.75738 .72512 L
.75298 .72824 L
.74767 .73207 L
.73964 .73796 L
.73796 .7392 L
.72824 .74647 L
.72665 .74767 L
.71853 .75382 L
.71387 .75738 L
.70882 .76124 L
.70118 .76709 L
.69911 .76869 L
.68939 .77614 L
.68852 .77681 L
.67968 .78356 L
.67579 .78652 L
.66997 .79094 L
.66294 .79623 L
.66026 .79825 L
.65054 .80547 L
.6499 .80594 L
.64083 .81259 L
.6366 .81566 L
.63112 .8196 L
.62297 .82537 L
.62141 .82647 L
.61169 .83319 L
.60892 .83508 L
.60198 .83976 L
.59436 .84479 L
.59227 .84615 L
.58256 .85237 L
.57914 .85451 L
.57284 .85839 L
.56313 .86421 L
.56312 .86422 L
.55342 .86982 L
.54605 .87393 L
.54371 .87521 L
.53399 .88037 L
.52757 .88364 L
.52428 .88528 L
.51457 .88995 L
.50713 .89336 L
.50486 .89437 L
.49514 .89851 L
.48543 .90239 L
.48364 .90307 L
.47572 .90597 L
.46601 .90927 L
.45629 .91227 L
.45452 .91278 L
.44658 .91495 L
.43687 .91732 L
.42716 .91935 L
.41744 .92105 L
.40773 .92239 L
.40693 .92249 L
.39802 .92337 L
.38831 .92398 L
.37859 .9242 L
.36888 .92402 L
.35917 .92343 L
.35002 .92249 L
.34946 .92241 L
.33974 .92095 L
.33003 .91902 L
.32032 .91661 L
.31061 .9137 L
.30784 .91278 L
.30089 .91027 L
.29118 .90628 L
.28421 .90307 L
.28147 .90172 L
.27176 .89654 L
.2663 .89336 L
.26204 .89072 L
.25233 .88422 L
.25152 .88364 L
.24262 .87698 L
.23881 .87393 L
.23291 .86895 L
.22761 .86422 L
.22319 .86008 L
.21756 .85451 L
.21348 .85027 L
.20844 .84479 L
.20377 .83945 L
.2001 .83508 L
.19406 .82751 L
.19241 .82537 L
.1853 .81566 L
.18434 .8143 L
.17868 .80594 L
.17463 .79964 L
.17251 .79623 L
.16675 .78652 L
.16492 .78331 L
.16134 .77681 L
.15627 .76709 L
.15521 .76497 L
.15151 .75738 L
.14704 .74767 L
.14549 .74418 L
.14283 .73796 L
.13887 .72824 L
.13578 .72022 L
.13515 .71853 L
.13165 .70882 L
.12837 .69911 L
.12607 .6919 L
.12529 .68939 L
.12241 .67968 L
.11971 .66997 L
.11719 .66026 L
.11636 .65687 L
.11485 .65054 L
.11267 .64083 L
.11066 .63112 L
.10881 .62141 L
.10712 .61169 L
.10664 .60881 L
.10558 .60198 L
.10418 .59227 L
.10293 .58256 L
.10183 .57284 L
.10087 .56313 L
.10005 .55342 L
.09937 .54371 L
.09883 .53399 L
.09842 .52428 L
.09815 .51457 L
.09801 .50486 L
.09801 .49514 L
.09815 .48543 L
.09842 .47572 L
.09883 .46601 L
.09937 .45629 L
.10005 .44658 L
.10087 .43687 L
.10183 .42716 L
.10293 .41744 L
.10418 .40773 L
.10558 .39802 L
.10664 .39119 L
.10712 .38831 L
.10881 .37859 L
.11066 .36888 L
.11267 .35917 L
.11485 .34946 L
.11636 .34313 L
.11719 .33974 L
.11971 .33003 L
.12241 .32032 L
.12529 .31061 L
.12607 .3081 L
.12837 .30089 L
.13165 .29118 L
.13515 .28147 L
.13578 .27978 L
.13887 .27176 L
.14283 .26204 L
.14549 .25582 L
.14704 .25233 L
.15151 .24262 L
.15521 .23503 L
.15627 .23291 L
.16134 .22319 L
.16492 .21669 L
.16675 .21348 L
.17251 .20377 L
.17463 .20036 L
.17868 .19406 L
.18434 .1857 L
.1853 .18434 L
.19241 .17463 L
.19406 .17249 L
.2001 .16492 L
.20377 .16055 L
.20844 .15521 L
.21348 .14973 L
.21756 .14549 L
.22319 .13992 L
.22761 .13578 L
.23291 .13105 L
.23881 .12607 L
.24262 .12302 L
.25152 .11636 L
.25233 .11578 L
.26204 .10928 L
.2663 .10664 L
.27176 .10346 L
.28147 .09828 L
.28421 .09693 L
.29118 .09372 L
.30089 .08973 L
.30784 .08722 L
.31061 .0863 L
.32032 .08339 L
.33003 .08098 L
.33974 .07905 L
.34946 .07759 L
.35002 .07751 L
.35917 .07657 L
.36888 .07598 L
.37859 .0758 L
.38831 .07602 L
.39802 .07663 L
.40693 .07751 L
.40773 .07761 L
.41744 .07895 L
.42716 .08065 L
.43687 .08268 L
.44658 .08505 L
.45452 .08722 L
.45629 .08773 L
.46601 .09073 L
.47572 .09403 L
.48364 .09693 L
.48543 .09761 L
.49514 .10149 L
.50486 .10563 L
.50713 .10664 L
.51457 .11005 L
.52428 .11472 L
.52757 .11636 L
.53399 .11963 L
.54371 .12479 L
.54605 .12607 L
.55342 .13018 L
.56312 .13578 L
.56313 .13579 L
.57284 .14161 L
.57914 .14549 L
.58256 .14763 L
.59227 .15385 L
.59436 .15521 L
.60198 .16024 L
.60892 .16492 L
.61169 .16681 L
.62141 .17353 L
.62297 .17463 L
.63112 .1804 L
.6366 .18434 L
.64083 .18741 L
.6499 .19406 L
.65054 .19453 L
.66026 .20175 L
.66294 .20377 L
.66997 .20906 L
.67579 .21348 L
.67968 .21644 L
.68852 .22319 L
.68939 .22386 L
.69911 .23131 L
.70118 .23291 L
.70882 .23876 L
.71387 .24262 L
.71853 .24618 L
.72665 .25233 L
.72824 .25353 L
.73796 .2608 L
.73964 .26204 L
.74767 .26793 L
.75298 .27176 L
.75738 .27488 L
.76689 .28147 L
.76709 .28161 L
.77681 .28806 L
.78169 .29118 L
.78652 .29418 L
.79623 .29989 L
.79801 .30089 L
.80594 .30514 L
.81566 .30985 L
.81733 .31061 L
.82537 .31394 L
.83508 .31734 L
.84479 .31997 L
.84602 .32032 L
.85451 .32177 L
.86422 .32268 L
.87393 .32264 L
.88364 .32164 L
.89109 .32032 L
.89336 .31965 L
.90307 .31667 L
.91278 .31273 L
.91727 .31061 L
.92249 .30785 L
.93221 .30208 L
.93406 .30089 L
.94192 .29547 L
.94768 .29118 L
.95163 .28808 L
.95959 .28147 L
.96134 .27995 L
.97041 .27176 L
.97106 .27115 L
.98046 .26204 L
.98077 .26174 L
F
0 g
.98077 .73826 m
.98046 .73796 L
.97106 .72885 L
.97041 .72824 L
.96134 .72005 L
.95959 .71853 L
.95163 .71192 L
.94768 .70882 L
.94192 .70453 L
.93406 .69911 L
.93221 .69792 L
.92249 .69215 L
.91727 .68939 L
.91278 .68727 L
.90307 .68333 L
.89336 .68035 L
.89109 .67968 L
.88364 .67836 L
.87393 .67736 L
.86422 .67732 L
.85451 .67823 L
.84602 .67968 L
.84479 .68003 L
.83508 .68266 L
.82537 .68606 L
.81733 .68939 L
.81566 .69015 L
.80594 .69486 L
.79801 .69911 L
.79623 .70011 L
.78652 .70582 L
.78169 .70882 L
.77681 .71194 L
.76709 .71839 L
.76689 .71853 L
.75738 .72512 L
.75298 .72824 L
.74767 .73207 L
.73964 .73796 L
.73796 .7392 L
.72824 .74647 L
.72665 .74767 L
.71853 .75382 L
.71387 .75738 L
.70882 .76124 L
.70118 .76709 L
.69911 .76869 L
.68939 .77614 L
.68852 .77681 L
.67968 .78356 L
Mistroke
.67579 .78652 L
.66997 .79094 L
.66294 .79623 L
.66026 .79825 L
.65054 .80547 L
.6499 .80594 L
.64083 .81259 L
.6366 .81566 L
.63112 .8196 L
.62297 .82537 L
.62141 .82647 L
.61169 .83319 L
.60892 .83508 L
.60198 .83976 L
.59436 .84479 L
.59227 .84615 L
.58256 .85237 L
.57914 .85451 L
.57284 .85839 L
.56313 .86421 L
.56312 .86422 L
.55342 .86982 L
.54605 .87393 L
.54371 .87521 L
.53399 .88037 L
.52757 .88364 L
.52428 .88528 L
.51457 .88995 L
.50713 .89336 L
.50486 .89437 L
.49514 .89851 L
.48543 .90239 L
.48364 .90307 L
.47572 .90597 L
.46601 .90927 L
.45629 .91227 L
.45452 .91278 L
.44658 .91495 L
.43687 .91732 L
.42716 .91935 L
.41744 .92105 L
.40773 .92239 L
.40693 .92249 L
.39802 .92337 L
.38831 .92398 L
.37859 .9242 L
.36888 .92402 L
.35917 .92343 L
.35002 .92249 L
.34946 .92241 L
Mistroke
.33974 .92095 L
.33003 .91902 L
.32032 .91661 L
.31061 .9137 L
.30784 .91278 L
.30089 .91027 L
.29118 .90628 L
.28421 .90307 L
.28147 .90172 L
.27176 .89654 L
.2663 .89336 L
.26204 .89072 L
.25233 .88422 L
.25152 .88364 L
.24262 .87698 L
.23881 .87393 L
.23291 .86895 L
.22761 .86422 L
.22319 .86008 L
.21756 .85451 L
.21348 .85027 L
.20844 .84479 L
.20377 .83945 L
.2001 .83508 L
.19406 .82751 L
.19241 .82537 L
.1853 .81566 L
.18434 .8143 L
.17868 .80594 L
.17463 .79964 L
.17251 .79623 L
.16675 .78652 L
.16492 .78331 L
.16134 .77681 L
.15627 .76709 L
.15521 .76497 L
.15151 .75738 L
.14704 .74767 L
.14549 .74418 L
.14283 .73796 L
.13887 .72824 L
.13578 .72022 L
.13515 .71853 L
.13165 .70882 L
.12837 .69911 L
.12607 .6919 L
.12529 .68939 L
.12241 .67968 L
.11971 .66997 L
.11719 .66026 L
Mistroke
.11636 .65687 L
.11485 .65054 L
.11267 .64083 L
.11066 .63112 L
.10881 .62141 L
.10712 .61169 L
.10664 .60881 L
.10558 .60198 L
.10418 .59227 L
.10293 .58256 L
.10183 .57284 L
.10087 .56313 L
.10005 .55342 L
.09937 .54371 L
.09883 .53399 L
.09842 .52428 L
.09815 .51457 L
.09801 .50486 L
.09801 .49514 L
.09815 .48543 L
.09842 .47572 L
.09883 .46601 L
.09937 .45629 L
.10005 .44658 L
.10087 .43687 L
.10183 .42716 L
.10293 .41744 L
.10418 .40773 L
.10558 .39802 L
.10664 .39119 L
.10712 .38831 L
.10881 .37859 L
.11066 .36888 L
.11267 .35917 L
.11485 .34946 L
.11636 .34313 L
.11719 .33974 L
.11971 .33003 L
.12241 .32032 L
.12529 .31061 L
.12607 .3081 L
.12837 .30089 L
.13165 .29118 L
.13515 .28147 L
.13578 .27978 L
.13887 .27176 L
.14283 .26204 L
.14549 .25582 L
.14704 .25233 L
.15151 .24262 L
Mistroke
.15521 .23503 L
.15627 .23291 L
.16134 .22319 L
.16492 .21669 L
.16675 .21348 L
.17251 .20377 L
.17463 .20036 L
.17868 .19406 L
.18434 .1857 L
.1853 .18434 L
.19241 .17463 L
.19406 .17249 L
.2001 .16492 L
.20377 .16055 L
.20844 .15521 L
.21348 .14973 L
.21756 .14549 L
.22319 .13992 L
.22761 .13578 L
.23291 .13105 L
.23881 .12607 L
.24262 .12302 L
.25152 .11636 L
.25233 .11578 L
.26204 .10928 L
.2663 .10664 L
.27176 .10346 L
.28147 .09828 L
.28421 .09693 L
.29118 .09372 L
.30089 .08973 L
.30784 .08722 L
.31061 .0863 L
.32032 .08339 L
.33003 .08098 L
.33974 .07905 L
.34946 .07759 L
.35002 .07751 L
.35917 .07657 L
.36888 .07598 L
.37859 .0758 L
.38831 .07602 L
.39802 .07663 L
.40693 .07751 L
.40773 .07761 L
.41744 .07895 L
.42716 .08065 L
.43687 .08268 L
.44658 .08505 L
.45452 .08722 L
Mistroke
.45629 .08773 L
.46601 .09073 L
.47572 .09403 L
.48364 .09693 L
.48543 .09761 L
.49514 .10149 L
.50486 .10563 L
.50713 .10664 L
.51457 .11005 L
.52428 .11472 L
.52757 .11636 L
.53399 .11963 L
.54371 .12479 L
.54605 .12607 L
.55342 .13018 L
.56312 .13578 L
.56313 .13579 L
.57284 .14161 L
.57914 .14549 L
.58256 .14763 L
.59227 .15385 L
.59436 .15521 L
.60198 .16024 L
.60892 .16492 L
.61169 .16681 L
.62141 .17353 L
.62297 .17463 L
.63112 .1804 L
.6366 .18434 L
.64083 .18741 L
.6499 .19406 L
.65054 .19453 L
.66026 .20175 L
.66294 .20377 L
.66997 .20906 L
.67579 .21348 L
.67968 .21644 L
.68852 .22319 L
.68939 .22386 L
.69911 .23131 L
.70118 .23291 L
.70882 .23876 L
.71387 .24262 L
.71853 .24618 L
.72665 .25233 L
.72824 .25353 L
.73796 .2608 L
.73964 .26204 L
.74767 .26793 L
.75298 .27176 L
Mistroke
.75738 .27488 L
.76689 .28147 L
.76709 .28161 L
.77681 .28806 L
.78169 .29118 L
.78652 .29418 L
.79623 .29989 L
.79801 .30089 L
.80594 .30514 L
.81566 .30985 L
.81733 .31061 L
.82537 .31394 L
.83508 .31734 L
.84479 .31997 L
.84602 .32032 L
.85451 .32177 L
.86422 .32268 L
.87393 .32264 L
.88364 .32164 L
.89109 .32032 L
.89336 .31965 L
.90307 .31667 L
.91278 .31273 L
.91727 .31061 L
.92249 .30785 L
.93221 .30208 L
.93406 .30089 L
.94192 .29547 L
.94768 .29118 L
.95163 .28808 L
.95959 .28147 L
.96134 .27995 L
.97041 .27176 L
.97106 .27115 L
.98046 .26204 L
.98077 .26174 L
Mfstroke
.3 .7 .6 r
.98077 .70725 m
.97355 .69911 L
.97106 .69636 L
.96457 .68939 L
.96134 .68603 L
.95506 .67968 L
.95163 .67634 L
.94482 .66997 L
.94192 .66738 L
.93349 .66026 L
.93221 .65924 L
.92249 .652 L
.92038 .65054 L
.91278 .64579 L
.90338 .64083 L
.90307 .64069 L
.89336 .63679 L
.88364 .63415 L
.87393 .63282 L
.86422 .63277 L
.85451 .63398 L
.84479 .63637 L
.83508 .63982 L
.83264 .64083 L
.82537 .64424 L
.81566 .64948 L
.81382 .65054 L
.80594 .65542 L
.79867 .66026 L
.79623 .66195 L
.78652 .66896 L
.78517 .66997 L
.77681 .67636 L
.77258 .67968 L
.76709 .68407 L
.76054 .68939 L
.75738 .692 L
.74886 .69911 L
.74767 .70011 L
.73796 .70834 L
.73739 .70882 L
.72824 .71664 L
.72603 .71853 L
.71853 .72497 L
.71472 .72824 L
.70882 .73331 L
.70339 .73796 L
.69911 .74162 L
.69199 .74767 L
.68939 .74987 L
.68048 .75738 L
.67968 .75805 L
.66997 .76614 L
.66881 .76709 L
.66026 .77411 L
.65694 .77681 L
.65054 .78195 L
.64481 .78652 L
.64083 .78965 L
.63237 .79623 L
.63112 .7972 L
.62141 .80457 L
.61958 .80594 L
.61169 .81177 L
.60634 .81566 L
.60198 .81878 L
.59259 .82537 L
.59227 .82559 L
.58256 .83219 L
.57819 .83508 L
.57284 .83857 L
.56313 .84473 L
.56302 .84479 L
.55342 .85065 L
.54686 .85451 L
.54371 .85632 L
.53399 .86175 L
.52941 .86422 L
.52428 .86692 L
.51457 .87182 L
.5102 .87393 L
.50486 .87644 L
.49514 .88079 L
.48837 .88364 L
.48543 .88484 L
.47572 .88859 L
.46601 .89203 L
.46201 .89336 L
.45629 .89516 L
.44658 .89796 L
.43687 .90042 L
.42716 .90254 L
.42449 .90307 L
.41744 .90431 L
.40773 .90571 L
.39802 .90673 L
.38831 .90736 L
.37859 .90759 L
.36888 .90741 L
.35917 .90679 L
.34946 .90573 L
.33974 .90421 L
.33391 .90307 L
.33003 .9022 L
.32032 .89969 L
.31061 .89666 L
.30161 .89336 L
.30089 .89307 L
.29118 .88891 L
.28147 .88414 L
.28053 .88364 L
.27176 .87872 L
.26403 .87393 L
.26204 .87263 L
.25233 .8658 L
.25023 .86422 L
.24262 .85819 L
.23827 .85451 L
.23291 .84973 L
.22767 .84479 L
.22319 .84035 L
.21814 .83508 L
.21348 .82996 L
.20948 .82537 L
.20377 .81846 L
.20155 .81566 L
.19424 .80594 L
.19406 .80569 L
.18747 .79623 L
.18434 .79149 L
.18118 .78652 L
.17532 .77681 L
.17463 .77562 L
.16984 .76709 L
.16492 .75777 L
.16472 .75738 L
.15992 .74767 L
.15542 .73796 L
.15521 .73748 L
.1512 .72824 L
.14724 .71853 L
.14549 .71403 L
.14353 .70882 L
.14005 .69911 L
.1368 .68939 L
.13578 .68623 L
.13375 .67968 L
.1309 .66997 L
.12825 .66026 L
.12607 .6517 L
.12579 .65054 L
.1235 .64083 L
.12139 .63112 L
.11944 .62141 L
.11767 .61169 L
.11636 .60389 L
.11605 .60198 L
.11459 .59227 L
.11328 .58256 L
.11213 .57284 L
.11113 .56313 L
.11027 .55342 L
.10956 .54371 L
.10899 .53399 L
.10856 .52428 L
.10828 .51457 L
.10814 .50486 L
.10814 .49514 L
.10828 .48543 L
.10856 .47572 L
.10899 .46601 L
.10956 .45629 L
.11027 .44658 L
.11113 .43687 L
.11213 .42716 L
.11328 .41744 L
.11459 .40773 L
.11605 .39802 L
.11636 .39611 L
.11767 .38831 L
.11944 .37859 L
.12139 .36888 L
.1235 .35917 L
.12579 .34946 L
.12607 .3483 L
.12825 .33974 L
.1309 .33003 L
.13375 .32032 L
.13578 .31377 L
.1368 .31061 L
.14005 .30089 L
.14353 .29118 L
.14549 .28597 L
.14724 .28147 L
.1512 .27176 L
.15521 .26252 L
.15542 .26204 L
.15992 .25233 L
.16472 .24262 L
.16492 .24223 L
.16984 .23291 L
.17463 .22438 L
.17532 .22319 L
.18118 .21348 L
.18434 .20851 L
.18747 .20377 L
.19406 .19431 L
.19424 .19406 L
.20155 .18434 L
.20377 .18154 L
.20948 .17463 L
.21348 .17004 L
.21814 .16492 L
.22319 .15965 L
.22767 .15521 L
.23291 .15027 L
.23827 .14549 L
.24262 .14181 L
.25023 .13578 L
.25233 .1342 L
.26204 .12737 L
.26403 .12607 L
.27176 .12128 L
.28053 .11636 L
.28147 .11586 L
.29118 .11109 L
.30089 .10693 L
.30161 .10664 L
.31061 .10334 L
.32032 .10031 L
.33003 .0978 L
.33391 .09693 L
.33974 .09579 L
.34946 .09427 L
.35917 .09321 L
.36888 .09259 L
.37859 .09241 L
.38831 .09264 L
.39802 .09327 L
.40773 .09429 L
.41744 .09569 L
.42449 .09693 L
.42716 .09746 L
.43687 .09958 L
.44658 .10204 L
.45629 .10484 L
.46201 .10664 L
.46601 .10797 L
.47572 .11141 L
.48543 .11516 L
.48837 .11636 L
.49514 .11921 L
.50486 .12356 L
.5102 .12607 L
.51457 .12818 L
.52428 .13308 L
.52941 .13578 L
.53399 .13825 L
.54371 .14368 L
.54686 .14549 L
.55342 .14935 L
.56302 .15521 L
.56313 .15527 L
.57284 .16143 L
.57819 .16492 L
.58256 .16781 L
.59227 .17441 L
.59259 .17463 L
.60198 .18122 L
.60634 .18434 L
.61169 .18823 L
.61958 .19406 L
.62141 .19543 L
.63112 .2028 L
.63237 .20377 L
.64083 .21035 L
.64481 .21348 L
.65054 .21805 L
.65694 .22319 L
.66026 .22589 L
.66881 .23291 L
.66997 .23386 L
.67968 .24195 L
.68048 .24262 L
.68939 .25013 L
.69199 .25233 L
.69911 .25838 L
.70339 .26204 L
.70882 .26669 L
.71472 .27176 L
.71853 .27503 L
.72603 .28147 L
.72824 .28336 L
.73739 .29118 L
.73796 .29166 L
.74767 .29989 L
.74886 .30089 L
.75738 .308 L
.76054 .31061 L
.76709 .31593 L
.77258 .32032 L
.77681 .32364 L
.78517 .33003 L
.78652 .33104 L
.79623 .33805 L
.79867 .33974 L
.80594 .34458 L
.81382 .34946 L
.81566 .35052 L
.82537 .35576 L
.83264 .35917 L
.83508 .36018 L
.84479 .36363 L
.85451 .36602 L
.86422 .36723 L
.87393 .36718 L
.88364 .36585 L
.89336 .36321 L
.90307 .35931 L
.90338 .35917 L
.91278 .35421 L
.92038 .34946 L
.92249 .348 L
.93221 .34076 L
.93349 .33974 L
.94192 .33262 L
.94482 .33003 L
.95163 .32366 L
.95506 .32032 L
.96134 .31397 L
.96457 .31061 L
.97106 .30364 L
.97355 .30089 L
.98077 .29275 L
F
0 g
.98077 .70725 m
.97355 .69911 L
.97106 .69636 L
.96457 .68939 L
.96134 .68603 L
.95506 .67968 L
.95163 .67634 L
.94482 .66997 L
.94192 .66738 L
.93349 .66026 L
.93221 .65924 L
.92249 .652 L
.92038 .65054 L
.91278 .64579 L
.90338 .64083 L
.90307 .64069 L
.89336 .63679 L
.88364 .63415 L
.87393 .63282 L
.86422 .63277 L
.85451 .63398 L
.84479 .63637 L
.83508 .63982 L
.83264 .64083 L
.82537 .64424 L
.81566 .64948 L
.81382 .65054 L
.80594 .65542 L
.79867 .66026 L
.79623 .66195 L
.78652 .66896 L
.78517 .66997 L
.77681 .67636 L
.77258 .67968 L
.76709 .68407 L
.76054 .68939 L
.75738 .692 L
.74886 .69911 L
.74767 .70011 L
.73796 .70834 L
.73739 .70882 L
.72824 .71664 L
.72603 .71853 L
.71853 .72497 L
.71472 .72824 L
.70882 .73331 L
.70339 .73796 L
.69911 .74162 L
.69199 .74767 L
.68939 .74987 L
Mistroke
.68048 .75738 L
.67968 .75805 L
.66997 .76614 L
.66881 .76709 L
.66026 .77411 L
.65694 .77681 L
.65054 .78195 L
.64481 .78652 L
.64083 .78965 L
.63237 .79623 L
.63112 .7972 L
.62141 .80457 L
.61958 .80594 L
.61169 .81177 L
.60634 .81566 L
.60198 .81878 L
.59259 .82537 L
.59227 .82559 L
.58256 .83219 L
.57819 .83508 L
.57284 .83857 L
.56313 .84473 L
.56302 .84479 L
.55342 .85065 L
.54686 .85451 L
.54371 .85632 L
.53399 .86175 L
.52941 .86422 L
.52428 .86692 L
.51457 .87182 L
.5102 .87393 L
.50486 .87644 L
.49514 .88079 L
.48837 .88364 L
.48543 .88484 L
.47572 .88859 L
.46601 .89203 L
.46201 .89336 L
.45629 .89516 L
.44658 .89796 L
.43687 .90042 L
.42716 .90254 L
.42449 .90307 L
.41744 .90431 L
.40773 .90571 L
.39802 .90673 L
.38831 .90736 L
.37859 .90759 L
.36888 .90741 L
.35917 .90679 L
Mistroke
.34946 .90573 L
.33974 .90421 L
.33391 .90307 L
.33003 .9022 L
.32032 .89969 L
.31061 .89666 L
.30161 .89336 L
.30089 .89307 L
.29118 .88891 L
.28147 .88414 L
.28053 .88364 L
.27176 .87872 L
.26403 .87393 L
.26204 .87263 L
.25233 .8658 L
.25023 .86422 L
.24262 .85819 L
.23827 .85451 L
.23291 .84973 L
.22767 .84479 L
.22319 .84035 L
.21814 .83508 L
.21348 .82996 L
.20948 .82537 L
.20377 .81846 L
.20155 .81566 L
.19424 .80594 L
.19406 .80569 L
.18747 .79623 L
.18434 .79149 L
.18118 .78652 L
.17532 .77681 L
.17463 .77562 L
.16984 .76709 L
.16492 .75777 L
.16472 .75738 L
.15992 .74767 L
.15542 .73796 L
.15521 .73748 L
.1512 .72824 L
.14724 .71853 L
.14549 .71403 L
.14353 .70882 L
.14005 .69911 L
.1368 .68939 L
.13578 .68623 L
.13375 .67968 L
.1309 .66997 L
.12825 .66026 L
.12607 .6517 L
Mistroke
.12579 .65054 L
.1235 .64083 L
.12139 .63112 L
.11944 .62141 L
.11767 .61169 L
.11636 .60389 L
.11605 .60198 L
.11459 .59227 L
.11328 .58256 L
.11213 .57284 L
.11113 .56313 L
.11027 .55342 L
.10956 .54371 L
.10899 .53399 L
.10856 .52428 L
.10828 .51457 L
.10814 .50486 L
.10814 .49514 L
.10828 .48543 L
.10856 .47572 L
.10899 .46601 L
.10956 .45629 L
.11027 .44658 L
.11113 .43687 L
.11213 .42716 L
.11328 .41744 L
.11459 .40773 L
.11605 .39802 L
.11636 .39611 L
.11767 .38831 L
.11944 .37859 L
.12139 .36888 L
.1235 .35917 L
.12579 .34946 L
.12607 .3483 L
.12825 .33974 L
.1309 .33003 L
.13375 .32032 L
.13578 .31377 L
.1368 .31061 L
.14005 .30089 L
.14353 .29118 L
.14549 .28597 L
.14724 .28147 L
.1512 .27176 L
.15521 .26252 L
.15542 .26204 L
.15992 .25233 L
.16472 .24262 L
.16492 .24223 L
Mistroke
.16984 .23291 L
.17463 .22438 L
.17532 .22319 L
.18118 .21348 L
.18434 .20851 L
.18747 .20377 L
.19406 .19431 L
.19424 .19406 L
.20155 .18434 L
.20377 .18154 L
.20948 .17463 L
.21348 .17004 L
.21814 .16492 L
.22319 .15965 L
.22767 .15521 L
.23291 .15027 L
.23827 .14549 L
.24262 .14181 L
.25023 .13578 L
.25233 .1342 L
.26204 .12737 L
.26403 .12607 L
.27176 .12128 L
.28053 .11636 L
.28147 .11586 L
.29118 .11109 L
.30089 .10693 L
.30161 .10664 L
.31061 .10334 L
.32032 .10031 L
.33003 .0978 L
.33391 .09693 L
.33974 .09579 L
.34946 .09427 L
.35917 .09321 L
.36888 .09259 L
.37859 .09241 L
.38831 .09264 L
.39802 .09327 L
.40773 .09429 L
.41744 .09569 L
.42449 .09693 L
.42716 .09746 L
.43687 .09958 L
.44658 .10204 L
.45629 .10484 L
.46201 .10664 L
.46601 .10797 L
.47572 .11141 L
.48543 .11516 L
Mistroke
.48837 .11636 L
.49514 .11921 L
.50486 .12356 L
.5102 .12607 L
.51457 .12818 L
.52428 .13308 L
.52941 .13578 L
.53399 .13825 L
.54371 .14368 L
.54686 .14549 L
.55342 .14935 L
.56302 .15521 L
.56313 .15527 L
.57284 .16143 L
.57819 .16492 L
.58256 .16781 L
.59227 .17441 L
.59259 .17463 L
.60198 .18122 L
.60634 .18434 L
.61169 .18823 L
.61958 .19406 L
.62141 .19543 L
.63112 .2028 L
.63237 .20377 L
.64083 .21035 L
.64481 .21348 L
.65054 .21805 L
.65694 .22319 L
.66026 .22589 L
.66881 .23291 L
.66997 .23386 L
.67968 .24195 L
.68048 .24262 L
.68939 .25013 L
.69199 .25233 L
.69911 .25838 L
.70339 .26204 L
.70882 .26669 L
.71472 .27176 L
.71853 .27503 L
.72603 .28147 L
.72824 .28336 L
.73739 .29118 L
.73796 .29166 L
.74767 .29989 L
.74886 .30089 L
.75738 .308 L
.76054 .31061 L
.76709 .31593 L
Mistroke
.77258 .32032 L
.77681 .32364 L
.78517 .33003 L
.78652 .33104 L
.79623 .33805 L
.79867 .33974 L
.80594 .34458 L
.81382 .34946 L
.81566 .35052 L
.82537 .35576 L
.83264 .35917 L
.83508 .36018 L
.84479 .36363 L
.85451 .36602 L
.86422 .36723 L
.87393 .36718 L
.88364 .36585 L
.89336 .36321 L
.90307 .35931 L
.90338 .35917 L
.91278 .35421 L
.92038 .34946 L
.92249 .348 L
.93221 .34076 L
.93349 .33974 L
.94192 .33262 L
.94482 .33003 L
.95163 .32366 L
.95506 .32032 L
.96134 .31397 L
.96457 .31061 L
.97106 .30364 L
.97355 .30089 L
.98077 .29275 L
Mfstroke
.275 .725 .6 r
.98077 .6707 m
.98024 .66997 L
.97322 .66026 L
.97106 .65729 L
.96609 .65054 L
.96134 .6442 L
.95881 .64083 L
.95163 .63146 L
.95137 .63112 L
.94372 .62141 L
.94192 .61917 L
.93581 .61169 L
.93221 .60743 L
.92752 .60198 L
.92249 .59639 L
.9187 .59227 L
.91278 .58626 L
.909 .58256 L
.90307 .57733 L
.89759 .57284 L
.89336 .56998 L
.88364 .56467 L
.87948 .56313 L
.87393 .56185 L
.86422 .56176 L
.8579 .56313 L
.85451 .56431 L
.84479 .56915 L
.83894 .57284 L
.83508 .57574 L
.82657 .58256 L
.82537 .5836 L
.81574 .59227 L
.81566 .59235 L
.80594 .60169 L
.80564 .60198 L
.79623 .61141 L
.79595 .61169 L
.78652 .62138 L
.78649 .62141 L
.77716 .63112 L
.77681 .63149 L
.76787 .64083 L
.76709 .64165 L
.7586 .65054 L
.75738 .65182 L
.7493 .66026 L
.74767 .66195 L
.73994 .66997 L
.73796 .67201 L
.73049 .67968 L
.72824 .68198 L
.72094 .68939 L
.71853 .69183 L
.71126 .69911 L
.70882 .70154 L
.70144 .70882 L
.69911 .7111 L
.69144 .71853 L
.68939 .7205 L
.68126 .72824 L
.67968 .72973 L
.67086 .73796 L
.66997 .73878 L
.66026 .74763 L
.66021 .74767 L
.65054 .75629 L
.6493 .75738 L
.64083 .76473 L
.63807 .76709 L
.63112 .77297 L
.6265 .77681 L
.62141 .78098 L
.61453 .78652 L
.61169 .78877 L
.6021 .79623 L
.60198 .79632 L
.59227 .80363 L
.58913 .80594 L
.58256 .8107 L
.57553 .81566 L
.57284 .81751 L
.56313 .82407 L
.56116 .82537 L
.55342 .83036 L
.54584 .83508 L
.54371 .83638 L
.53399 .84212 L
.52931 .84479 L
.52428 .84758 L
.51457 .85275 L
.51114 .85451 L
.50486 .85762 L
.49514 .86219 L
.49061 .86422 L
.48543 .86645 L
.47572 .87039 L
.46619 .87393 L
.46601 .874 L
.45629 .87727 L
.44658 .8802 L
.43687 .88278 L
.43331 .88364 L
.42716 .885 L
.41744 .88685 L
.40773 .88831 L
.39802 .88938 L
.38831 .89004 L
.37859 .89028 L
.36888 .89009 L
.35917 .88944 L
.34946 .88833 L
.33974 .88674 L
.33003 .88464 L
.32608 .88364 L
.32032 .88202 L
.31061 .87884 L
.30089 .87509 L
.29818 .87393 L
.29118 .87072 L
.28147 .86572 L
.27879 .86422 L
.27176 .86002 L
.26334 .85451 L
.26204 .8536 L
.25233 .8464 L
.2503 .84479 L
.24262 .83835 L
.23895 .83508 L
.23291 .82939 L
.22887 .82537 L
.22319 .81941 L
.21979 .81566 L
.21348 .80832 L
.21153 .80594 L
.20396 .79623 L
.20377 .79597 L
.19699 .78652 L
.19406 .78219 L
.19054 .77681 L
.18455 .76709 L
.18434 .76674 L
.17898 .75738 L
.17463 .74931 L
.17378 .74767 L
.16892 .73796 L
.16492 .72942 L
.16439 .72824 L
.16014 .71853 L
.15617 .70882 L
.15521 .70635 L
.15246 .69911 L
.14899 .68939 L
.14575 .67968 L
.14549 .67887 L
.14274 .66997 L
.13993 .66026 L
.13732 .65054 L
.13578 .64446 L
.1349 .64083 L
.13267 .63112 L
.13062 .62141 L
.12875 .61169 L
.12705 .60198 L
.12607 .5959 L
.12551 .59227 L
.12414 .58256 L
.12293 .57284 L
.12187 .56313 L
.12097 .55342 L
.12022 .54371 L
.11963 .53399 L
.11918 .52428 L
.11888 .51457 L
.11874 .50486 L
.11874 .49514 L
.11888 .48543 L
.11918 .47572 L
.11963 .46601 L
.12022 .45629 L
.12097 .44658 L
.12187 .43687 L
.12293 .42716 L
.12414 .41744 L
.12551 .40773 L
.12607 .4041 L
.12705 .39802 L
.12875 .38831 L
.13062 .37859 L
.13267 .36888 L
.1349 .35917 L
.13578 .35554 L
.13732 .34946 L
.13993 .33974 L
.14274 .33003 L
.14549 .32113 L
.14575 .32032 L
.14899 .31061 L
.15246 .30089 L
.15521 .29365 L
.15617 .29118 L
.16014 .28147 L
.16439 .27176 L
.16492 .27058 L
.16892 .26204 L
.17378 .25233 L
.17463 .25069 L
.17898 .24262 L
.18434 .23326 L
.18455 .23291 L
.19054 .22319 L
.19406 .21781 L
.19699 .21348 L
.20377 .20403 L
.20396 .20377 L
.21153 .19406 L
.21348 .19168 L
.21979 .18434 L
.22319 .18059 L
.22887 .17463 L
.23291 .17061 L
.23895 .16492 L
.24262 .16165 L
.2503 .15521 L
.25233 .1536 L
.26204 .1464 L
.26334 .14549 L
.27176 .13998 L
.27879 .13578 L
.28147 .13428 L
.29118 .12928 L
.29818 .12607 L
.30089 .12491 L
.31061 .12116 L
.32032 .11798 L
.32608 .11636 L
.33003 .11536 L
.33974 .11326 L
.34946 .11167 L
.35917 .11056 L
.36888 .10991 L
.37859 .10972 L
.38831 .10996 L
.39802 .11062 L
.40773 .11169 L
.41744 .11315 L
.42716 .115 L
.43331 .11636 L
.43687 .11722 L
.44658 .1198 L
.45629 .12273 L
.46601 .126 L
.46619 .12607 L
.47572 .12961 L
.48543 .13355 L
.49061 .13578 L
.49514 .13781 L
.50486 .14238 L
.51114 .14549 L
.51457 .14725 L
.52428 .15242 L
.52931 .15521 L
.53399 .15788 L
.54371 .16362 L
.54584 .16492 L
.55342 .16964 L
.56116 .17463 L
.56313 .17593 L
.57284 .18249 L
.57553 .18434 L
.58256 .1893 L
.58913 .19406 L
.59227 .19637 L
.60198 .20368 L
.6021 .20377 L
.61169 .21123 L
.61453 .21348 L
.62141 .21902 L
.6265 .22319 L
.63112 .22703 L
.63807 .23291 L
.64083 .23527 L
.6493 .24262 L
.65054 .24371 L
.66021 .25233 L
.66026 .25237 L
.66997 .26122 L
.67086 .26204 L
.67968 .27027 L
.68126 .27176 L
.68939 .2795 L
.69144 .28147 L
.69911 .2889 L
.70144 .29118 L
.70882 .29846 L
.71126 .30089 L
.71853 .30817 L
.72094 .31061 L
.72824 .31802 L
.73049 .32032 L
.73796 .32799 L
.73994 .33003 L
.74767 .33805 L
.7493 .33974 L
.75738 .34818 L
.7586 .34946 L
.76709 .35835 L
.76787 .35917 L
.77681 .36851 L
.77716 .36888 L
.78649 .37859 L
.78652 .37862 L
.79595 .38831 L
.79623 .38859 L
.80564 .39802 L
.80594 .39831 L
.81566 .40765 L
.81574 .40773 L
.82537 .4164 L
.82657 .41744 L
.83508 .42426 L
.83894 .42716 L
.84479 .43085 L
.85451 .43569 L
.8579 .43687 L
.86422 .43824 L
.87393 .43815 L
.87948 .43687 L
.88364 .43533 L
.89336 .43002 L
.89759 .42716 L
.90307 .42267 L
.909 .41744 L
.91278 .41374 L
.9187 .40773 L
.92249 .40361 L
.92752 .39802 L
.93221 .39257 L
.93581 .38831 L
.94192 .38083 L
.94372 .37859 L
.95137 .36888 L
.95163 .36854 L
.95881 .35917 L
.96134 .3558 L
.96609 .34946 L
.97106 .34271 L
.97322 .33974 L
.98024 .33003 L
.98077 .3293 L
F
0 g
.98077 .6707 m
.98024 .66997 L
.97322 .66026 L
.97106 .65729 L
.96609 .65054 L
.96134 .6442 L
.95881 .64083 L
.95163 .63146 L
.95137 .63112 L
.94372 .62141 L
.94192 .61917 L
.93581 .61169 L
.93221 .60743 L
.92752 .60198 L
.92249 .59639 L
.9187 .59227 L
.91278 .58626 L
.909 .58256 L
.90307 .57733 L
.89759 .57284 L
.89336 .56998 L
.88364 .56467 L
.87948 .56313 L
.87393 .56185 L
.86422 .56176 L
.8579 .56313 L
.85451 .56431 L
.84479 .56915 L
.83894 .57284 L
.83508 .57574 L
.82657 .58256 L
.82537 .5836 L
.81574 .59227 L
.81566 .59235 L
.80594 .60169 L
.80564 .60198 L
.79623 .61141 L
.79595 .61169 L
.78652 .62138 L
.78649 .62141 L
.77716 .63112 L
.77681 .63149 L
.76787 .64083 L
.76709 .64165 L
.7586 .65054 L
.75738 .65182 L
.7493 .66026 L
.74767 .66195 L
.73994 .66997 L
.73796 .67201 L
Mistroke
.73049 .67968 L
.72824 .68198 L
.72094 .68939 L
.71853 .69183 L
.71126 .69911 L
.70882 .70154 L
.70144 .70882 L
.69911 .7111 L
.69144 .71853 L
.68939 .7205 L
.68126 .72824 L
.67968 .72973 L
.67086 .73796 L
.66997 .73878 L
.66026 .74763 L
.66021 .74767 L
.65054 .75629 L
.6493 .75738 L
.64083 .76473 L
.63807 .76709 L
.63112 .77297 L
.6265 .77681 L
.62141 .78098 L
.61453 .78652 L
.61169 .78877 L
.6021 .79623 L
.60198 .79632 L
.59227 .80363 L
.58913 .80594 L
.58256 .8107 L
.57553 .81566 L
.57284 .81751 L
.56313 .82407 L
.56116 .82537 L
.55342 .83036 L
.54584 .83508 L
.54371 .83638 L
.53399 .84212 L
.52931 .84479 L
.52428 .84758 L
.51457 .85275 L
.51114 .85451 L
.50486 .85762 L
.49514 .86219 L
.49061 .86422 L
.48543 .86645 L
.47572 .87039 L
.46619 .87393 L
.46601 .874 L
.45629 .87727 L
Mistroke
.44658 .8802 L
.43687 .88278 L
.43331 .88364 L
.42716 .885 L
.41744 .88685 L
.40773 .88831 L
.39802 .88938 L
.38831 .89004 L
.37859 .89028 L
.36888 .89009 L
.35917 .88944 L
.34946 .88833 L
.33974 .88674 L
.33003 .88464 L
.32608 .88364 L
.32032 .88202 L
.31061 .87884 L
.30089 .87509 L
.29818 .87393 L
.29118 .87072 L
.28147 .86572 L
.27879 .86422 L
.27176 .86002 L
.26334 .85451 L
.26204 .8536 L
.25233 .8464 L
.2503 .84479 L
.24262 .83835 L
.23895 .83508 L
.23291 .82939 L
.22887 .82537 L
.22319 .81941 L
.21979 .81566 L
.21348 .80832 L
.21153 .80594 L
.20396 .79623 L
.20377 .79597 L
.19699 .78652 L
.19406 .78219 L
.19054 .77681 L
.18455 .76709 L
.18434 .76674 L
.17898 .75738 L
.17463 .74931 L
.17378 .74767 L
.16892 .73796 L
.16492 .72942 L
.16439 .72824 L
.16014 .71853 L
.15617 .70882 L
Mistroke
.15521 .70635 L
.15246 .69911 L
.14899 .68939 L
.14575 .67968 L
.14549 .67887 L
.14274 .66997 L
.13993 .66026 L
.13732 .65054 L
.13578 .64446 L
.1349 .64083 L
.13267 .63112 L
.13062 .62141 L
.12875 .61169 L
.12705 .60198 L
.12607 .5959 L
.12551 .59227 L
.12414 .58256 L
.12293 .57284 L
.12187 .56313 L
.12097 .55342 L
.12022 .54371 L
.11963 .53399 L
.11918 .52428 L
.11888 .51457 L
.11874 .50486 L
.11874 .49514 L
.11888 .48543 L
.11918 .47572 L
.11963 .46601 L
.12022 .45629 L
.12097 .44658 L
.12187 .43687 L
.12293 .42716 L
.12414 .41744 L
.12551 .40773 L
.12607 .4041 L
.12705 .39802 L
.12875 .38831 L
.13062 .37859 L
.13267 .36888 L
.1349 .35917 L
.13578 .35554 L
.13732 .34946 L
.13993 .33974 L
.14274 .33003 L
.14549 .32113 L
.14575 .32032 L
.14899 .31061 L
.15246 .30089 L
.15521 .29365 L
Mistroke
.15617 .29118 L
.16014 .28147 L
.16439 .27176 L
.16492 .27058 L
.16892 .26204 L
.17378 .25233 L
.17463 .25069 L
.17898 .24262 L
.18434 .23326 L
.18455 .23291 L
.19054 .22319 L
.19406 .21781 L
.19699 .21348 L
.20377 .20403 L
.20396 .20377 L
.21153 .19406 L
.21348 .19168 L
.21979 .18434 L
.22319 .18059 L
.22887 .17463 L
.23291 .17061 L
.23895 .16492 L
.24262 .16165 L
.2503 .15521 L
.25233 .1536 L
.26204 .1464 L
.26334 .14549 L
.27176 .13998 L
.27879 .13578 L
.28147 .13428 L
.29118 .12928 L
.29818 .12607 L
.30089 .12491 L
.31061 .12116 L
.32032 .11798 L
.32608 .11636 L
.33003 .11536 L
.33974 .11326 L
.34946 .11167 L
.35917 .11056 L
.36888 .10991 L
.37859 .10972 L
.38831 .10996 L
.39802 .11062 L
.40773 .11169 L
.41744 .11315 L
.42716 .115 L
.43331 .11636 L
.43687 .11722 L
.44658 .1198 L
Mistroke
.45629 .12273 L
.46601 .126 L
.46619 .12607 L
.47572 .12961 L
.48543 .13355 L
.49061 .13578 L
.49514 .13781 L
.50486 .14238 L
.51114 .14549 L
.51457 .14725 L
.52428 .15242 L
.52931 .15521 L
.53399 .15788 L
.54371 .16362 L
.54584 .16492 L
.55342 .16964 L
.56116 .17463 L
.56313 .17593 L
.57284 .18249 L
.57553 .18434 L
.58256 .1893 L
.58913 .19406 L
.59227 .19637 L
.60198 .20368 L
.6021 .20377 L
.61169 .21123 L
.61453 .21348 L
.62141 .21902 L
.6265 .22319 L
.63112 .22703 L
.63807 .23291 L
.64083 .23527 L
.6493 .24262 L
.65054 .24371 L
.66021 .25233 L
.66026 .25237 L
.66997 .26122 L
.67086 .26204 L
.67968 .27027 L
.68126 .27176 L
.68939 .2795 L
.69144 .28147 L
.69911 .2889 L
.70144 .29118 L
.70882 .29846 L
.71126 .30089 L
.71853 .30817 L
.72094 .31061 L
.72824 .31802 L
.73049 .32032 L
Mistroke
.73796 .32799 L
.73994 .33003 L
.74767 .33805 L
.7493 .33974 L
.75738 .34818 L
.7586 .34946 L
.76709 .35835 L
.76787 .35917 L
.77681 .36851 L
.77716 .36888 L
.78649 .37859 L
.78652 .37862 L
.79595 .38831 L
.79623 .38859 L
.80564 .39802 L
.80594 .39831 L
.81566 .40765 L
.81574 .40773 L
.82537 .4164 L
.82657 .41744 L
.83508 .42426 L
.83894 .42716 L
.84479 .43085 L
.85451 .43569 L
.8579 .43687 L
.86422 .43824 L
.87393 .43815 L
.87948 .43687 L
.88364 .43533 L
.89336 .43002 L
.89759 .42716 L
.90307 .42267 L
.909 .41744 L
.91278 .41374 L
.9187 .40773 L
.92249 .40361 L
.92752 .39802 L
.93221 .39257 L
.93581 .38831 L
.94192 .38083 L
.94372 .37859 L
.95137 .36888 L
.95163 .36854 L
.95881 .35917 L
.96134 .3558 L
.96609 .34946 L
.97106 .34271 L
.97322 .33974 L
.98024 .33003 L
.98077 .3293 L
Mistroke
Mfstroke
.25 .75 .6 r
.33003 .13376 m
.33974 .13155 L
.34946 .12988 L
.35917 .12872 L
.36888 .12804 L
.37859 .12784 L
.38831 .12809 L
.39802 .12879 L
.40773 .12991 L
.41744 .13144 L
.42716 .13338 L
.43687 .13571 L
.43715 .13578 L
.44658 .13842 L
.45629 .1415 L
.46601 .14495 L
.46744 .14549 L
.47572 .14876 L
.48543 .15291 L
.49047 .15521 L
.49514 .15741 L
.50486 .16224 L
.50997 .16492 L
.51457 .16741 L
.52428 .17289 L
.52724 .17463 L
.53399 .1787 L
.54296 .18434 L
.54371 .18482 L
.55342 .19126 L
.55751 .19406 L
.56313 .198 L
.57112 .20377 L
.57284 .20504 L
.58256 .21239 L
.58396 .21348 L
.59227 .22004 L
.59617 .22319 L
.60198 .22799 L
.60782 .23291 L
.61169 .23623 L
.61898 .24262 L
.62141 .24478 L
.62971 .25233 L
.63112 .25363 L
.64005 .26204 L
.64083 .26279 L
.65004 .27176 L
.65054 .27226 L
.6597 .28147 L
.66026 .28204 L
.66905 .29118 L
.66997 .29216 L
.67811 .30089 L
.67968 .30261 L
.68689 .31061 L
.68939 .31344 L
.6954 .32032 L
.69911 .32465 L
.70365 .33003 L
.70882 .33629 L
.71163 .33974 L
.71853 .3484 L
.71936 .34946 L
.72681 .35917 L
.72824 .36107 L
.734 .36888 L
.73796 .37441 L
.74089 .37859 L
.74748 .38831 L
.74767 .38858 L
.75375 .39802 L
.75738 .4039 L
.75967 .40773 L
.7652 .41744 L
.76709 .42094 L
.77031 .42716 L
.77496 .43687 L
.77681 .44105 L
.77908 .44658 L
.78264 .45629 L
.78558 .46601 L
.78652 .46956 L
.78783 .47572 L
.78937 .48543 L
.79014 .49514 L
.79014 .50486 L
.78937 .51457 L
.78783 .52428 L
.78652 .53044 L
.78558 .53399 L
.78264 .54371 L
.77908 .55342 L
.77681 .55895 L
.77496 .56313 L
.77031 .57284 L
.76709 .57906 L
.7652 .58256 L
.75967 .59227 L
.75738 .5961 L
.75375 .60198 L
.74767 .61142 L
.74748 .61169 L
.74089 .62141 L
.73796 .62559 L
.734 .63112 L
.72824 .63893 L
.72681 .64083 L
.71936 .65054 L
.71853 .6516 L
.71163 .66026 L
.70882 .66371 L
.70365 .66997 L
.69911 .67535 L
.6954 .67968 L
.68939 .68656 L
.68689 .68939 L
.67968 .69739 L
.67811 .69911 L
.66997 .70784 L
.66905 .70882 L
.66026 .71796 L
.6597 .71853 L
.65054 .72774 L
.65004 .72824 L
.64083 .73721 L
.64005 .73796 L
.63112 .74637 L
.62971 .74767 L
.62141 .75522 L
.61898 .75738 L
.61169 .76377 L
.60782 .76709 L
.60198 .77201 L
.59617 .77681 L
.59227 .77996 L
.58396 .78652 L
.58256 .78761 L
.57284 .79496 L
.57112 .79623 L
.56313 .802 L
.55751 .80594 L
.55342 .80874 L
.54371 .81518 L
.54296 .81566 L
.53399 .8213 L
.52724 .82537 L
.52428 .82711 L
.51457 .83259 L
.50997 .83508 L
.50486 .83776 L
.49514 .84259 L
.49047 .84479 L
.48543 .84709 L
.47572 .85124 L
.46744 .85451 L
.46601 .85505 L
.45629 .8585 L
.44658 .86158 L
.43715 .86422 L
.43687 .86429 L
.42716 .86662 L
.41744 .86856 L
.40773 .87009 L
.39802 .87121 L
.38831 .87191 L
.37859 .87216 L
.36888 .87196 L
.35917 .87128 L
.34946 .87012 L
.33974 .86845 L
.33003 .86624 L
.3227 .86422 L
.32032 .86349 L
.31061 .86015 L
.30089 .85619 L
.29715 .85451 L
.29118 .8516 L
.28147 .84631 L
.2789 .84479 L
.27176 .8403 L
.2642 .83508 L
.26204 .8335 L
.25233 .82585 L
.25176 .82537 L
.24262 .81728 L
.24089 .81566 L
.23291 .8077 L
.23123 .80594 L
.22319 .797 L
.22253 .79623 L
.21463 .78652 L
.21348 .78504 L
.20738 .77681 L
.20377 .77163 L
.20072 .76709 L
.19456 .75738 L
.19406 .75655 L
.18885 .74767 L
.18434 .73945 L
.18355 .73796 L
.17862 .72824 L
.17463 .71986 L
.17402 .71853 L
.16973 .70882 L
.16574 .69911 L
.16492 .69702 L
.16202 .68939 L
.15855 .67968 L
.15532 .66997 L
.15521 .6696 L
.15233 .66026 L
.14955 .65054 L
.14698 .64083 L
.14549 .63483 L
.14461 .63112 L
.14244 .62141 L
.14046 .61169 L
.13865 .60198 L
.13703 .59227 L
.13578 .58398 L
.13558 .58256 L
.1343 .57284 L
.13318 .56313 L
.13223 .55342 L
.13144 .54371 L
.13082 .53399 L
.13035 .52428 L
.13003 .51457 L
.12988 .50486 L
.12988 .49514 L
.13003 .48543 L
.13035 .47572 L
.13082 .46601 L
.13144 .45629 L
.13223 .44658 L
.13318 .43687 L
.1343 .42716 L
.13558 .41744 L
.13578 .41602 L
.13703 .40773 L
.13865 .39802 L
.14046 .38831 L
.14244 .37859 L
.14461 .36888 L
.14549 .36517 L
.14698 .35917 L
.14955 .34946 L
.15233 .33974 L
.15521 .3304 L
.15532 .33003 L
.15855 .32032 L
.16202 .31061 L
.16492 .30298 L
.16574 .30089 L
.16973 .29118 L
.17402 .28147 L
.17463 .28014 L
.17862 .27176 L
.18355 .26204 L
.18434 .26055 L
.18885 .25233 L
.19406 .24345 L
.19456 .24262 L
.20072 .23291 L
.20377 .22837 L
.20738 .22319 L
.21348 .21496 L
.21463 .21348 L
.22253 .20377 L
.22319 .203 L
.23123 .19406 L
.23291 .1923 L
.24089 .18434 L
.24262 .18272 L
.25176 .17463 L
.25233 .17415 L
.26204 .1665 L
.2642 .16492 L
.27176 .1597 L
.2789 .15521 L
.28147 .15369 L
.29118 .1484 L
.29715 .14549 L
.30089 .14381 L
.31061 .13985 L
.32032 .13651 L
.3227 .13578 L
F
0 g
.33003 .13376 m
.33974 .13155 L
.34946 .12988 L
.35917 .12872 L
.36888 .12804 L
.37859 .12784 L
.38831 .12809 L
.39802 .12879 L
.40773 .12991 L
.41744 .13144 L
.42716 .13338 L
.43687 .13571 L
.43715 .13578 L
.44658 .13842 L
.45629 .1415 L
.46601 .14495 L
.46744 .14549 L
.47572 .14876 L
.48543 .15291 L
.49047 .15521 L
.49514 .15741 L
.50486 .16224 L
.50997 .16492 L
.51457 .16741 L
.52428 .17289 L
.52724 .17463 L
.53399 .1787 L
.54296 .18434 L
.54371 .18482 L
.55342 .19126 L
.55751 .19406 L
.56313 .198 L
.57112 .20377 L
.57284 .20504 L
.58256 .21239 L
.58396 .21348 L
.59227 .22004 L
.59617 .22319 L
.60198 .22799 L
.60782 .23291 L
.61169 .23623 L
.61898 .24262 L
.62141 .24478 L
.62971 .25233 L
.63112 .25363 L
.64005 .26204 L
.64083 .26279 L
.65004 .27176 L
.65054 .27226 L
.6597 .28147 L
Mistroke
.66026 .28204 L
.66905 .29118 L
.66997 .29216 L
.67811 .30089 L
.67968 .30261 L
.68689 .31061 L
.68939 .31344 L
.6954 .32032 L
.69911 .32465 L
.70365 .33003 L
.70882 .33629 L
.71163 .33974 L
.71853 .3484 L
.71936 .34946 L
.72681 .35917 L
.72824 .36107 L
.734 .36888 L
.73796 .37441 L
.74089 .37859 L
.74748 .38831 L
.74767 .38858 L
.75375 .39802 L
.75738 .4039 L
.75967 .40773 L
.7652 .41744 L
.76709 .42094 L
.77031 .42716 L
.77496 .43687 L
.77681 .44105 L
.77908 .44658 L
.78264 .45629 L
.78558 .46601 L
.78652 .46956 L
.78783 .47572 L
.78937 .48543 L
.79014 .49514 L
.79014 .50486 L
.78937 .51457 L
.78783 .52428 L
.78652 .53044 L
.78558 .53399 L
.78264 .54371 L
.77908 .55342 L
.77681 .55895 L
.77496 .56313 L
.77031 .57284 L
.76709 .57906 L
.7652 .58256 L
.75967 .59227 L
.75738 .5961 L
Mistroke
.75375 .60198 L
.74767 .61142 L
.74748 .61169 L
.74089 .62141 L
.73796 .62559 L
.734 .63112 L
.72824 .63893 L
.72681 .64083 L
.71936 .65054 L
.71853 .6516 L
.71163 .66026 L
.70882 .66371 L
.70365 .66997 L
.69911 .67535 L
.6954 .67968 L
.68939 .68656 L
.68689 .68939 L
.67968 .69739 L
.67811 .69911 L
.66997 .70784 L
.66905 .70882 L
.66026 .71796 L
.6597 .71853 L
.65054 .72774 L
.65004 .72824 L
.64083 .73721 L
.64005 .73796 L
.63112 .74637 L
.62971 .74767 L
.62141 .75522 L
.61898 .75738 L
.61169 .76377 L
.60782 .76709 L
.60198 .77201 L
.59617 .77681 L
.59227 .77996 L
.58396 .78652 L
.58256 .78761 L
.57284 .79496 L
.57112 .79623 L
.56313 .802 L
.55751 .80594 L
.55342 .80874 L
.54371 .81518 L
.54296 .81566 L
.53399 .8213 L
.52724 .82537 L
.52428 .82711 L
.51457 .83259 L
.50997 .83508 L
Mistroke
.50486 .83776 L
.49514 .84259 L
.49047 .84479 L
.48543 .84709 L
.47572 .85124 L
.46744 .85451 L
.46601 .85505 L
.45629 .8585 L
.44658 .86158 L
.43715 .86422 L
.43687 .86429 L
.42716 .86662 L
.41744 .86856 L
.40773 .87009 L
.39802 .87121 L
.38831 .87191 L
.37859 .87216 L
.36888 .87196 L
.35917 .87128 L
.34946 .87012 L
.33974 .86845 L
.33003 .86624 L
.3227 .86422 L
.32032 .86349 L
.31061 .86015 L
.30089 .85619 L
.29715 .85451 L
.29118 .8516 L
.28147 .84631 L
.2789 .84479 L
.27176 .8403 L
.2642 .83508 L
.26204 .8335 L
.25233 .82585 L
.25176 .82537 L
.24262 .81728 L
.24089 .81566 L
.23291 .8077 L
.23123 .80594 L
.22319 .797 L
.22253 .79623 L
.21463 .78652 L
.21348 .78504 L
.20738 .77681 L
.20377 .77163 L
.20072 .76709 L
.19456 .75738 L
.19406 .75655 L
.18885 .74767 L
.18434 .73945 L
Mistroke
.18355 .73796 L
.17862 .72824 L
.17463 .71986 L
.17402 .71853 L
.16973 .70882 L
.16574 .69911 L
.16492 .69702 L
.16202 .68939 L
.15855 .67968 L
.15532 .66997 L
.15521 .6696 L
.15233 .66026 L
.14955 .65054 L
.14698 .64083 L
.14549 .63483 L
.14461 .63112 L
.14244 .62141 L
.14046 .61169 L
.13865 .60198 L
.13703 .59227 L
.13578 .58398 L
.13558 .58256 L
.1343 .57284 L
.13318 .56313 L
.13223 .55342 L
.13144 .54371 L
.13082 .53399 L
.13035 .52428 L
.13003 .51457 L
.12988 .50486 L
.12988 .49514 L
.13003 .48543 L
.13035 .47572 L
.13082 .46601 L
.13144 .45629 L
.13223 .44658 L
.13318 .43687 L
.1343 .42716 L
.13558 .41744 L
.13578 .41602 L
.13703 .40773 L
.13865 .39802 L
.14046 .38831 L
.14244 .37859 L
.14461 .36888 L
.14549 .36517 L
.14698 .35917 L
.14955 .34946 L
.15233 .33974 L
.15521 .3304 L
Mistroke
.15532 .33003 L
.15855 .32032 L
.16202 .31061 L
.16492 .30298 L
.16574 .30089 L
.16973 .29118 L
.17402 .28147 L
.17463 .28014 L
.17862 .27176 L
.18355 .26204 L
.18434 .26055 L
.18885 .25233 L
.19406 .24345 L
.19456 .24262 L
.20072 .23291 L
.20377 .22837 L
.20738 .22319 L
.21348 .21496 L
.21463 .21348 L
.22253 .20377 L
.22319 .203 L
.23123 .19406 L
.23291 .1923 L
.24089 .18434 L
.24262 .18272 L
.25176 .17463 L
.25233 .17415 L
.26204 .1665 L
.2642 .16492 L
.27176 .1597 L
.2789 .15521 L
.28147 .15369 L
.29118 .1484 L
.29715 .14549 L
.30089 .14381 L
.31061 .13985 L
.32032 .13651 L
.3227 .13578 L
.33003 .13376 L
Mfstroke
.225 .775 .6 r
.33003 .15313 m
.33974 .1508 L
.34946 .14904 L
.35917 .14781 L
.36888 .1471 L
.37859 .14689 L
.38831 .14716 L
.39802 .14789 L
.40773 .14907 L
.41744 .15069 L
.42716 .15273 L
.43687 .15519 L
.43693 .15521 L
.44658 .15806 L
.45629 .16132 L
.46587 .16492 L
.46601 .16497 L
.47572 .16901 L
.48543 .17342 L
.48796 .17463 L
.49514 .1782 L
.50486 .18335 L
.50665 .18434 L
.51457 .18887 L
.52318 .19406 L
.52428 .19474 L
.53399 .20097 L
.53818 .20377 L
.54371 .20756 L
.55202 .21348 L
.55342 .2145 L
.56313 .22181 L
.56492 .22319 L
.57284 .22947 L
.57705 .23291 L
.58256 .2375 L
.58852 .24262 L
.59227 .24591 L
.59941 .25233 L
.60198 .25469 L
.60979 .26204 L
.61169 .26387 L
.61971 .27176 L
.62141 .27346 L
.62921 .28147 L
.63112 .28348 L
.6383 .29118 L
.64083 .29396 L
.64702 .30089 L
.65054 .30493 L
.65539 .31061 L
.66026 .31645 L
.66341 .32032 L
.66997 .32858 L
.67109 .33003 L
.67844 .33974 L
.67968 .34142 L
.68546 .34946 L
.68939 .35512 L
.69214 .35917 L
.69848 .36888 L
.69911 .36987 L
.70447 .37859 L
.70882 .38604 L
.7101 .38831 L
.71536 .39802 L
.71853 .40425 L
.72023 .40773 L
.72469 .41744 L
.72824 .42593 L
.72873 .42716 L
.73232 .43687 L
.73545 .44658 L
.73796 .45574 L
.73809 .45629 L
.74023 .46601 L
.74185 .47572 L
.74294 .48543 L
.74349 .49514 L
.74349 .50486 L
.74294 .51457 L
.74185 .52428 L
.74023 .53399 L
.73809 .54371 L
.73796 .54426 L
.73545 .55342 L
.73232 .56313 L
.72873 .57284 L
.72824 .57407 L
.72469 .58256 L
.72023 .59227 L
.71853 .59575 L
.71536 .60198 L
.7101 .61169 L
.70882 .61396 L
.70447 .62141 L
.69911 .63013 L
.69848 .63112 L
.69214 .64083 L
.68939 .64488 L
.68546 .65054 L
.67968 .65858 L
.67844 .66026 L
.67109 .66997 L
.66997 .67142 L
.66341 .67968 L
.66026 .68355 L
.65539 .68939 L
.65054 .69507 L
.64702 .69911 L
.64083 .70604 L
.6383 .70882 L
.63112 .71652 L
.62921 .71853 L
.62141 .72654 L
.61971 .72824 L
.61169 .73613 L
.60979 .73796 L
.60198 .74531 L
.59941 .74767 L
.59227 .75409 L
.58852 .75738 L
.58256 .7625 L
.57705 .76709 L
.57284 .77053 L
.56492 .77681 L
.56313 .77819 L
.55342 .7855 L
.55202 .78652 L
.54371 .79244 L
.53818 .79623 L
.53399 .79903 L
.52428 .80526 L
.52318 .80594 L
.51457 .81113 L
.50665 .81566 L
.50486 .81665 L
.49514 .8218 L
.48796 .82537 L
.48543 .82658 L
.47572 .83099 L
.46601 .83503 L
.46587 .83508 L
.45629 .83868 L
.44658 .84194 L
.43693 .84479 L
.43687 .84481 L
.42716 .84727 L
.41744 .84931 L
.40773 .85093 L
.39802 .85211 L
.38831 .85284 L
.37859 .85311 L
.36888 .8529 L
.35917 .85219 L
.34946 .85096 L
.33974 .8492 L
.33003 .84687 L
.32289 .84479 L
.32032 .84396 L
.31061 .84043 L
.30089 .83624 L
.29844 .83508 L
.29118 .83137 L
.28147 .82576 L
.28084 .82537 L
.27176 .81935 L
.26665 .81566 L
.26204 .8121 L
.25463 .80594 L
.25233 .80391 L
.24415 .79623 L
.24262 .79471 L
.23483 .78652 L
.23291 .78437 L
.22645 .77681 L
.22319 .77275 L
.21885 .76709 L
.21348 .75968 L
.21189 .75738 L
.2055 .74767 L
.20377 .74489 L
.19961 .73796 L
.19417 .72824 L
.19406 .72804 L
.18912 .71853 L
.18444 .70882 L
.18434 .70862 L
.18009 .69911 L
.17605 .68939 L
.17463 .68581 L
.1723 .67968 L
.16882 .66997 L
.16559 .66026 L
.16492 .65812 L
.16261 .65054 L
.15986 .64083 L
.15733 .63112 L
.15521 .62227 L
.15501 .62141 L
.15289 .61169 L
.15097 .60198 L
.14924 .59227 L
.1477 .58256 L
.14634 .57284 L
.14549 .56606 L
.14516 .56313 L
.14415 .55342 L
.14331 .54371 L
.14264 .53399 L
.14215 .52428 L
.14181 .51457 L
.14165 .50486 L
.14165 .49514 L
.14181 .48543 L
.14215 .47572 L
.14264 .46601 L
.14331 .45629 L
.14415 .44658 L
.14516 .43687 L
.14549 .43394 L
.14634 .42716 L
.1477 .41744 L
.14924 .40773 L
.15097 .39802 L
.15289 .38831 L
.15501 .37859 L
.15521 .37773 L
.15733 .36888 L
.15986 .35917 L
.16261 .34946 L
.16492 .34188 L
.16559 .33974 L
.16882 .33003 L
.1723 .32032 L
.17463 .31419 L
.17605 .31061 L
.18009 .30089 L
.18434 .29138 L
.18444 .29118 L
.18912 .28147 L
.19406 .27196 L
.19417 .27176 L
.19961 .26204 L
.20377 .25511 L
.2055 .25233 L
.21189 .24262 L
.21348 .24032 L
.21885 .23291 L
.22319 .22725 L
.22645 .22319 L
.23291 .21563 L
.23483 .21348 L
.24262 .20529 L
.24415 .20377 L
.25233 .19609 L
.25463 .19406 L
.26204 .1879 L
.26665 .18434 L
.27176 .18065 L
.28084 .17463 L
.28147 .17424 L
.29118 .16863 L
.29844 .16492 L
.30089 .16376 L
.31061 .15957 L
.32032 .15604 L
.32289 .15521 L
F
0 g
.33003 .15313 m
.33974 .1508 L
.34946 .14904 L
.35917 .14781 L
.36888 .1471 L
.37859 .14689 L
.38831 .14716 L
.39802 .14789 L
.40773 .14907 L
.41744 .15069 L
.42716 .15273 L
.43687 .15519 L
.43693 .15521 L
.44658 .15806 L
.45629 .16132 L
.46587 .16492 L
.46601 .16497 L
.47572 .16901 L
.48543 .17342 L
.48796 .17463 L
.49514 .1782 L
.50486 .18335 L
.50665 .18434 L
.51457 .18887 L
.52318 .19406 L
.52428 .19474 L
.53399 .20097 L
.53818 .20377 L
.54371 .20756 L
.55202 .21348 L
.55342 .2145 L
.56313 .22181 L
.56492 .22319 L
.57284 .22947 L
.57705 .23291 L
.58256 .2375 L
.58852 .24262 L
.59227 .24591 L
.59941 .25233 L
.60198 .25469 L
.60979 .26204 L
.61169 .26387 L
.61971 .27176 L
.62141 .27346 L
.62921 .28147 L
.63112 .28348 L
.6383 .29118 L
.64083 .29396 L
.64702 .30089 L
.65054 .30493 L
Mistroke
.65539 .31061 L
.66026 .31645 L
.66341 .32032 L
.66997 .32858 L
.67109 .33003 L
.67844 .33974 L
.67968 .34142 L
.68546 .34946 L
.68939 .35512 L
.69214 .35917 L
.69848 .36888 L
.69911 .36987 L
.70447 .37859 L
.70882 .38604 L
.7101 .38831 L
.71536 .39802 L
.71853 .40425 L
.72023 .40773 L
.72469 .41744 L
.72824 .42593 L
.72873 .42716 L
.73232 .43687 L
.73545 .44658 L
.73796 .45574 L
.73809 .45629 L
.74023 .46601 L
.74185 .47572 L
.74294 .48543 L
.74349 .49514 L
.74349 .50486 L
.74294 .51457 L
.74185 .52428 L
.74023 .53399 L
.73809 .54371 L
.73796 .54426 L
.73545 .55342 L
.73232 .56313 L
.72873 .57284 L
.72824 .57407 L
.72469 .58256 L
.72023 .59227 L
.71853 .59575 L
.71536 .60198 L
.7101 .61169 L
.70882 .61396 L
.70447 .62141 L
.69911 .63013 L
.69848 .63112 L
.69214 .64083 L
.68939 .64488 L
Mistroke
.68546 .65054 L
.67968 .65858 L
.67844 .66026 L
.67109 .66997 L
.66997 .67142 L
.66341 .67968 L
.66026 .68355 L
.65539 .68939 L
.65054 .69507 L
.64702 .69911 L
.64083 .70604 L
.6383 .70882 L
.63112 .71652 L
.62921 .71853 L
.62141 .72654 L
.61971 .72824 L
.61169 .73613 L
.60979 .73796 L
.60198 .74531 L
.59941 .74767 L
.59227 .75409 L
.58852 .75738 L
.58256 .7625 L
.57705 .76709 L
.57284 .77053 L
.56492 .77681 L
.56313 .77819 L
.55342 .7855 L
.55202 .78652 L
.54371 .79244 L
.53818 .79623 L
.53399 .79903 L
.52428 .80526 L
.52318 .80594 L
.51457 .81113 L
.50665 .81566 L
.50486 .81665 L
.49514 .8218 L
.48796 .82537 L
.48543 .82658 L
.47572 .83099 L
.46601 .83503 L
.46587 .83508 L
.45629 .83868 L
.44658 .84194 L
.43693 .84479 L
.43687 .84481 L
.42716 .84727 L
.41744 .84931 L
.40773 .85093 L
Mistroke
.39802 .85211 L
.38831 .85284 L
.37859 .85311 L
.36888 .8529 L
.35917 .85219 L
.34946 .85096 L
.33974 .8492 L
.33003 .84687 L
.32289 .84479 L
.32032 .84396 L
.31061 .84043 L
.30089 .83624 L
.29844 .83508 L
.29118 .83137 L
.28147 .82576 L
.28084 .82537 L
.27176 .81935 L
.26665 .81566 L
.26204 .8121 L
.25463 .80594 L
.25233 .80391 L
.24415 .79623 L
.24262 .79471 L
.23483 .78652 L
.23291 .78437 L
.22645 .77681 L
.22319 .77275 L
.21885 .76709 L
.21348 .75968 L
.21189 .75738 L
.2055 .74767 L
.20377 .74489 L
.19961 .73796 L
.19417 .72824 L
.19406 .72804 L
.18912 .71853 L
.18444 .70882 L
.18434 .70862 L
.18009 .69911 L
.17605 .68939 L
.17463 .68581 L
.1723 .67968 L
.16882 .66997 L
.16559 .66026 L
.16492 .65812 L
.16261 .65054 L
.15986 .64083 L
.15733 .63112 L
.15521 .62227 L
.15501 .62141 L
Mistroke
.15289 .61169 L
.15097 .60198 L
.14924 .59227 L
.1477 .58256 L
.14634 .57284 L
.14549 .56606 L
.14516 .56313 L
.14415 .55342 L
.14331 .54371 L
.14264 .53399 L
.14215 .52428 L
.14181 .51457 L
.14165 .50486 L
.14165 .49514 L
.14181 .48543 L
.14215 .47572 L
.14264 .46601 L
.14331 .45629 L
.14415 .44658 L
.14516 .43687 L
.14549 .43394 L
.14634 .42716 L
.1477 .41744 L
.14924 .40773 L
.15097 .39802 L
.15289 .38831 L
.15501 .37859 L
.15521 .37773 L
.15733 .36888 L
.15986 .35917 L
.16261 .34946 L
.16492 .34188 L
.16559 .33974 L
.16882 .33003 L
.1723 .32032 L
.17463 .31419 L
.17605 .31061 L
.18009 .30089 L
.18434 .29138 L
.18444 .29118 L
.18912 .28147 L
.19406 .27196 L
.19417 .27176 L
.19961 .26204 L
.20377 .25511 L
.2055 .25233 L
.21189 .24262 L
.21348 .24032 L
.21885 .23291 L
.22319 .22725 L
Mistroke
.22645 .22319 L
.23291 .21563 L
.23483 .21348 L
.24262 .20529 L
.24415 .20377 L
.25233 .19609 L
.25463 .19406 L
.26204 .1879 L
.26665 .18434 L
.27176 .18065 L
.28084 .17463 L
.28147 .17424 L
.29118 .16863 L
.29844 .16492 L
.30089 .16376 L
.31061 .15957 L
.32032 .15604 L
.32289 .15521 L
.33003 .15313 L
Mfstroke
.2 .8 .6 r
.33003 .17365 m
.33974 .17118 L
.34946 .16931 L
.35917 .16801 L
.36888 .16725 L
.37859 .16703 L
.38831 .16731 L
.39802 .16808 L
.40773 .16934 L
.41744 .17105 L
.42716 .17323 L
.43259 .17463 L
.43687 .17584 L
.44658 .17889 L
.45629 .18237 L
.46135 .18434 L
.46601 .18627 L
.47572 .19058 L
.48295 .19406 L
.48543 .1953 L
.49514 .20044 L
.50107 .20377 L
.50486 .20598 L
.51457 .21192 L
.51701 .21348 L
.52428 .21828 L
.5314 .22319 L
.53399 .22504 L
.54371 .23222 L
.54461 .23291 L
.55342 .23982 L
.55686 .24262 L
.56313 .24786 L
.56832 .25233 L
.57284 .25634 L
.57909 .26204 L
.58256 .26529 L
.58927 .27176 L
.59227 .27473 L
.5989 .28147 L
.60198 .28468 L
.60804 .29118 L
.61169 .2952 L
.61673 .30089 L
.62141 .30634 L
.62498 .31061 L
.63112 .31816 L
.63283 .32032 L
.64028 .33003 L
.64083 .33077 L
.64735 .33974 L
.65054 .34432 L
.65404 .34946 L
.66026 .35902 L
.66035 .35917 L
.66629 .36888 L
.66997 .37522 L
.67186 .37859 L
.67704 .38831 L
.67968 .39355 L
.68184 .39802 L
.68624 .40773 L
.68939 .41529 L
.69025 .41744 L
.69384 .42716 L
.69701 .43687 L
.69911 .44415 L
.69975 .44658 L
.70205 .45629 L
.7039 .46601 L
.7053 .47572 L
.70623 .48543 L
.7067 .49514 L
.7067 .50486 L
.70623 .51457 L
.7053 .52428 L
.7039 .53399 L
.70205 .54371 L
.69975 .55342 L
.69911 .55585 L
.69701 .56313 L
.69384 .57284 L
.69025 .58256 L
.68939 .58471 L
.68624 .59227 L
.68184 .60198 L
.67968 .60645 L
.67704 .61169 L
.67186 .62141 L
.66997 .62478 L
.66629 .63112 L
.66035 .64083 L
.66026 .64098 L
.65404 .65054 L
.65054 .65568 L
.64735 .66026 L
.64083 .66923 L
.64028 .66997 L
.63283 .67968 L
.63112 .68184 L
.62498 .68939 L
.62141 .69366 L
.61673 .69911 L
.61169 .7048 L
.60804 .70882 L
.60198 .71532 L
.5989 .71853 L
.59227 .72527 L
.58927 .72824 L
.58256 .73471 L
.57909 .73796 L
.57284 .74366 L
.56832 .74767 L
.56313 .75214 L
.55686 .75738 L
.55342 .76018 L
.54461 .76709 L
.54371 .76778 L
.53399 .77496 L
.5314 .77681 L
.52428 .78172 L
.51701 .78652 L
.51457 .78808 L
.50486 .79402 L
.50107 .79623 L
.49514 .79956 L
.48543 .8047 L
.48295 .80594 L
.47572 .80942 L
.46601 .81373 L
.46135 .81566 L
.45629 .81763 L
.44658 .82111 L
.43687 .82416 L
.43259 .82537 L
.42716 .82677 L
.41744 .82895 L
.40773 .83066 L
.39802 .83192 L
.38831 .83269 L
.37859 .83297 L
.36888 .83275 L
.35917 .83199 L
.34946 .83069 L
.33974 .82882 L
.33003 .82635 L
.32671 .82537 L
.32032 .82325 L
.31061 .81949 L
.30216 .81566 L
.30089 .81503 L
.29118 .80982 L
.28476 .80594 L
.28147 .80381 L
.27176 .79694 L
.27082 .79623 L
.26204 .78912 L
.25906 .78652 L
.25233 .78027 L
.24884 .77681 L
.24262 .77026 L
.23978 .76709 L
.23291 .75894 L
.23166 .75738 L
.2243 .74767 L
.22319 .74613 L
.21759 .73796 L
.21348 .73155 L
.21145 .72824 L
.2058 .71853 L
.20377 .71484 L
.20059 .70882 L
.19579 .69911 L
.19406 .69542 L
.19134 .68939 L
.18723 .67968 L
.18434 .67236 L
.18344 .66997 L
.17993 .66026 L
.17669 .65054 L
.17463 .64391 L
.17371 .64083 L
.17098 .63112 L
.16848 .62141 L
.1662 .61169 L
.16492 .60577 L
.16414 .60198 L
.16228 .59227 L
.16063 .58256 L
.15917 .57284 L
.15791 .56313 L
.15683 .55342 L
.15594 .54371 L
.15523 .53399 L
.15521 .53371 L
.15469 .52428 L
.15434 .51457 L
.15416 .50486 L
.15416 .49514 L
.15434 .48543 L
.15469 .47572 L
.15521 .46629 L
.15523 .46601 L
.15594 .45629 L
.15683 .44658 L
.15791 .43687 L
.15917 .42716 L
.16063 .41744 L
.16228 .40773 L
.16414 .39802 L
.16492 .39423 L
.1662 .38831 L
.16848 .37859 L
.17098 .36888 L
.17371 .35917 L
.17463 .35609 L
.17669 .34946 L
.17993 .33974 L
.18344 .33003 L
.18434 .32764 L
.18723 .32032 L
.19134 .31061 L
.19406 .30458 L
.19579 .30089 L
.20059 .29118 L
.20377 .28516 L
.2058 .28147 L
.21145 .27176 L
.21348 .26845 L
.21759 .26204 L
.22319 .25387 L
.2243 .25233 L
.23166 .24262 L
.23291 .24106 L
.23978 .23291 L
.24262 .22974 L
.24884 .22319 L
.25233 .21973 L
.25906 .21348 L
.26204 .21088 L
.27082 .20377 L
.27176 .20306 L
.28147 .19619 L
.28476 .19406 L
.29118 .19018 L
.30089 .18497 L
.30216 .18434 L
.31061 .18051 L
.32032 .17675 L
.32671 .17463 L
F
0 g
.33003 .17365 m
.33974 .17118 L
.34946 .16931 L
.35917 .16801 L
.36888 .16725 L
.37859 .16703 L
.38831 .16731 L
.39802 .16808 L
.40773 .16934 L
.41744 .17105 L
.42716 .17323 L
.43259 .17463 L
.43687 .17584 L
.44658 .17889 L
.45629 .18237 L
.46135 .18434 L
.46601 .18627 L
.47572 .19058 L
.48295 .19406 L
.48543 .1953 L
.49514 .20044 L
.50107 .20377 L
.50486 .20598 L
.51457 .21192 L
.51701 .21348 L
.52428 .21828 L
.5314 .22319 L
.53399 .22504 L
.54371 .23222 L
.54461 .23291 L
.55342 .23982 L
.55686 .24262 L
.56313 .24786 L
.56832 .25233 L
.57284 .25634 L
.57909 .26204 L
.58256 .26529 L
.58927 .27176 L
.59227 .27473 L
.5989 .28147 L
.60198 .28468 L
.60804 .29118 L
.61169 .2952 L
.61673 .30089 L
.62141 .30634 L
.62498 .31061 L
.63112 .31816 L
.63283 .32032 L
.64028 .33003 L
.64083 .33077 L
Mistroke
.64735 .33974 L
.65054 .34432 L
.65404 .34946 L
.66026 .35902 L
.66035 .35917 L
.66629 .36888 L
.66997 .37522 L
.67186 .37859 L
.67704 .38831 L
.67968 .39355 L
.68184 .39802 L
.68624 .40773 L
.68939 .41529 L
.69025 .41744 L
.69384 .42716 L
.69701 .43687 L
.69911 .44415 L
.69975 .44658 L
.70205 .45629 L
.7039 .46601 L
.7053 .47572 L
.70623 .48543 L
.7067 .49514 L
.7067 .50486 L
.70623 .51457 L
.7053 .52428 L
.7039 .53399 L
.70205 .54371 L
.69975 .55342 L
.69911 .55585 L
.69701 .56313 L
.69384 .57284 L
.69025 .58256 L
.68939 .58471 L
.68624 .59227 L
.68184 .60198 L
.67968 .60645 L
.67704 .61169 L
.67186 .62141 L
.66997 .62478 L
.66629 .63112 L
.66035 .64083 L
.66026 .64098 L
.65404 .65054 L
.65054 .65568 L
.64735 .66026 L
.64083 .66923 L
.64028 .66997 L
.63283 .67968 L
.63112 .68184 L
Mistroke
.62498 .68939 L
.62141 .69366 L
.61673 .69911 L
.61169 .7048 L
.60804 .70882 L
.60198 .71532 L
.5989 .71853 L
.59227 .72527 L
.58927 .72824 L
.58256 .73471 L
.57909 .73796 L
.57284 .74366 L
.56832 .74767 L
.56313 .75214 L
.55686 .75738 L
.55342 .76018 L
.54461 .76709 L
.54371 .76778 L
.53399 .77496 L
.5314 .77681 L
.52428 .78172 L
.51701 .78652 L
.51457 .78808 L
.50486 .79402 L
.50107 .79623 L
.49514 .79956 L
.48543 .8047 L
.48295 .80594 L
.47572 .80942 L
.46601 .81373 L
.46135 .81566 L
.45629 .81763 L
.44658 .82111 L
.43687 .82416 L
.43259 .82537 L
.42716 .82677 L
.41744 .82895 L
.40773 .83066 L
.39802 .83192 L
.38831 .83269 L
.37859 .83297 L
.36888 .83275 L
.35917 .83199 L
.34946 .83069 L
.33974 .82882 L
.33003 .82635 L
.32671 .82537 L
.32032 .82325 L
.31061 .81949 L
.30216 .81566 L
Mistroke
.30089 .81503 L
.29118 .80982 L
.28476 .80594 L
.28147 .80381 L
.27176 .79694 L
.27082 .79623 L
.26204 .78912 L
.25906 .78652 L
.25233 .78027 L
.24884 .77681 L
.24262 .77026 L
.23978 .76709 L
.23291 .75894 L
.23166 .75738 L
.2243 .74767 L
.22319 .74613 L
.21759 .73796 L
.21348 .73155 L
.21145 .72824 L
.2058 .71853 L
.20377 .71484 L
.20059 .70882 L
.19579 .69911 L
.19406 .69542 L
.19134 .68939 L
.18723 .67968 L
.18434 .67236 L
.18344 .66997 L
.17993 .66026 L
.17669 .65054 L
.17463 .64391 L
.17371 .64083 L
.17098 .63112 L
.16848 .62141 L
.1662 .61169 L
.16492 .60577 L
.16414 .60198 L
.16228 .59227 L
.16063 .58256 L
.15917 .57284 L
.15791 .56313 L
.15683 .55342 L
.15594 .54371 L
.15523 .53399 L
.15521 .53371 L
.15469 .52428 L
.15434 .51457 L
.15416 .50486 L
.15416 .49514 L
.15434 .48543 L
Mistroke
.15469 .47572 L
.15521 .46629 L
.15523 .46601 L
.15594 .45629 L
.15683 .44658 L
.15791 .43687 L
.15917 .42716 L
.16063 .41744 L
.16228 .40773 L
.16414 .39802 L
.16492 .39423 L
.1662 .38831 L
.16848 .37859 L
.17098 .36888 L
.17371 .35917 L
.17463 .35609 L
.17669 .34946 L
.17993 .33974 L
.18344 .33003 L
.18434 .32764 L
.18723 .32032 L
.19134 .31061 L
.19406 .30458 L
.19579 .30089 L
.20059 .29118 L
.20377 .28516 L
.2058 .28147 L
.21145 .27176 L
.21348 .26845 L
.21759 .26204 L
.22319 .25387 L
.2243 .25233 L
.23166 .24262 L
.23291 .24106 L
.23978 .23291 L
.24262 .22974 L
.24884 .22319 L
.25233 .21973 L
.25906 .21348 L
.26204 .21088 L
.27082 .20377 L
.27176 .20306 L
.28147 .19619 L
.28476 .19406 L
.29118 .19018 L
.30089 .18497 L
.30216 .18434 L
.31061 .18051 L
.32032 .17675 L
.32671 .17463 L
Mistroke
.33003 .17365 L
Mfstroke
.175 .825 .6 r
.33974 .1929 m
.34946 .1909 L
.35917 .18951 L
.36888 .1887 L
.37859 .18846 L
.38831 .18876 L
.39802 .18959 L
.40773 .19093 L
.41744 .19277 L
.42309 .19406 L
.42716 .1951 L
.43687 .1979 L
.44658 .20118 L
.45344 .20377 L
.45629 .20492 L
.46601 .20912 L
.47514 .21348 L
.47572 .21377 L
.48543 .21889 L
.49301 .22319 L
.49514 .22446 L
.50486 .23049 L
.50855 .23291 L
.51457 .23699 L
.52246 .24262 L
.52428 .24397 L
.53399 .25143 L
.53513 .25233 L
.54371 .25939 L
.5468 .26204 L
.55342 .26788 L
.55765 .27176 L
.56313 .27693 L
.56778 .28147 L
.57284 .28656 L
.57729 .29118 L
.58256 .29684 L
.58622 .30089 L
.59227 .30782 L
.59463 .31061 L
.60198 .3196 L
.60256 .32032 L
.61002 .33003 L
.61169 .33229 L
.61705 .33974 L
.62141 .34608 L
.62365 .34946 L
.62985 .35917 L
.63112 .36125 L
.63563 .36888 L
.64083 .37824 L
.64102 .37859 L
.646 .38831 L
.65054 .39791 L
.65059 .39802 L
.65478 .40773 L
.65857 .41744 L
.66026 .42214 L
.66195 .42716 L
.66492 .43687 L
.66748 .44658 L
.66961 .45629 L
.66997 .45808 L
.67133 .46601 L
.67262 .47572 L
.67348 .48543 L
.67391 .49514 L
.67391 .50486 L
.67348 .51457 L
.67262 .52428 L
.67133 .53399 L
.66997 .54192 L
.66961 .54371 L
.66748 .55342 L
.66492 .56313 L
.66195 .57284 L
.66026 .57786 L
.65857 .58256 L
.65478 .59227 L
.65059 .60198 L
.65054 .60209 L
.646 .61169 L
.64102 .62141 L
.64083 .62176 L
.63563 .63112 L
.63112 .63875 L
.62985 .64083 L
.62365 .65054 L
.62141 .65392 L
.61705 .66026 L
.61169 .66771 L
.61002 .66997 L
.60256 .67968 L
.60198 .6804 L
.59463 .68939 L
.59227 .69218 L
.58622 .69911 L
.58256 .70316 L
.57729 .70882 L
.57284 .71344 L
.56778 .71853 L
.56313 .72307 L
.55765 .72824 L
.55342 .73212 L
.5468 .73796 L
.54371 .74061 L
.53513 .74767 L
.53399 .74857 L
.52428 .75603 L
.52246 .75738 L
.51457 .76301 L
.50855 .76709 L
.50486 .76951 L
.49514 .77554 L
.49301 .77681 L
.48543 .78111 L
.47572 .78623 L
.47514 .78652 L
.46601 .79088 L
.45629 .79508 L
.45344 .79623 L
.44658 .79882 L
.43687 .8021 L
.42716 .8049 L
.42309 .80594 L
.41744 .80723 L
.40773 .80907 L
.39802 .81041 L
.38831 .81124 L
.37859 .81154 L
.36888 .8113 L
.35917 .81049 L
.34946 .8091 L
.33974 .8071 L
.33517 .80594 L
.33003 .80445 L
.32032 .80113 L
.31061 .79709 L
.30875 .79623 L
.30089 .79228 L
.29118 .78666 L
.29095 .78652 L
.28147 .78016 L
.27695 .77681 L
.27176 .77269 L
.26525 .76709 L
.26204 .76415 L
.25515 .75738 L
.25233 .75443 L
.24625 .74767 L
.24262 .74336 L
.2383 .73796 L
.23291 .73073 L
.23114 .72824 L
.22463 .71853 L
.22319 .71625 L
.2187 .70882 L
.21348 .6995 L
.21327 .69911 L
.20828 .68939 L
.20377 .67983 L
.2037 .67968 L
.19949 .66997 L
.19561 .66026 L
.19406 .65612 L
.19205 .65054 L
.18878 .64083 L
.18579 .63112 L
.18434 .62607 L
.18307 .62141 L
.18059 .61169 L
.17835 .60198 L
.17634 .59227 L
.17463 .58303 L
.17455 .58256 L
.17297 .57284 L
.17161 .56313 L
.17044 .55342 L
.16948 .54371 L
.16871 .53399 L
.16814 .52428 L
.16776 .51457 L
.16757 .50486 L
.16757 .49514 L
.16776 .48543 L
.16814 .47572 L
.16871 .46601 L
.16948 .45629 L
.17044 .44658 L
.17161 .43687 L
.17297 .42716 L
.17455 .41744 L
.17463 .41697 L
.17634 .40773 L
.17835 .39802 L
.18059 .38831 L
.18307 .37859 L
.18434 .37393 L
.18579 .36888 L
.18878 .35917 L
.19205 .34946 L
.19406 .34388 L
.19561 .33974 L
.19949 .33003 L
.2037 .32032 L
.20377 .32017 L
.20828 .31061 L
.21327 .30089 L
.21348 .3005 L
.2187 .29118 L
.22319 .28375 L
.22463 .28147 L
.23114 .27176 L
.23291 .26927 L
.2383 .26204 L
.24262 .25664 L
.24625 .25233 L
.25233 .24557 L
.25515 .24262 L
.26204 .23585 L
.26525 .23291 L
.27176 .22731 L
.27695 .22319 L
.28147 .21984 L
.29095 .21348 L
.29118 .21334 L
.30089 .20772 L
.30875 .20377 L
.31061 .20291 L
.32032 .19887 L
.33003 .19555 L
.33517 .19406 L
F
0 g
.33974 .1929 m
.34946 .1909 L
.35917 .18951 L
.36888 .1887 L
.37859 .18846 L
.38831 .18876 L
.39802 .18959 L
.40773 .19093 L
.41744 .19277 L
.42309 .19406 L
.42716 .1951 L
.43687 .1979 L
.44658 .20118 L
.45344 .20377 L
.45629 .20492 L
.46601 .20912 L
.47514 .21348 L
.47572 .21377 L
.48543 .21889 L
.49301 .22319 L
.49514 .22446 L
.50486 .23049 L
.50855 .23291 L
.51457 .23699 L
.52246 .24262 L
.52428 .24397 L
.53399 .25143 L
.53513 .25233 L
.54371 .25939 L
.5468 .26204 L
.55342 .26788 L
.55765 .27176 L
.56313 .27693 L
.56778 .28147 L
.57284 .28656 L
.57729 .29118 L
.58256 .29684 L
.58622 .30089 L
.59227 .30782 L
.59463 .31061 L
.60198 .3196 L
.60256 .32032 L
.61002 .33003 L
.61169 .33229 L
.61705 .33974 L
.62141 .34608 L
.62365 .34946 L
.62985 .35917 L
.63112 .36125 L
.63563 .36888 L
Mistroke
.64083 .37824 L
.64102 .37859 L
.646 .38831 L
.65054 .39791 L
.65059 .39802 L
.65478 .40773 L
.65857 .41744 L
.66026 .42214 L
.66195 .42716 L
.66492 .43687 L
.66748 .44658 L
.66961 .45629 L
.66997 .45808 L
.67133 .46601 L
.67262 .47572 L
.67348 .48543 L
.67391 .49514 L
.67391 .50486 L
.67348 .51457 L
.67262 .52428 L
.67133 .53399 L
.66997 .54192 L
.66961 .54371 L
.66748 .55342 L
.66492 .56313 L
.66195 .57284 L
.66026 .57786 L
.65857 .58256 L
.65478 .59227 L
.65059 .60198 L
.65054 .60209 L
.646 .61169 L
.64102 .62141 L
.64083 .62176 L
.63563 .63112 L
.63112 .63875 L
.62985 .64083 L
.62365 .65054 L
.62141 .65392 L
.61705 .66026 L
.61169 .66771 L
.61002 .66997 L
.60256 .67968 L
.60198 .6804 L
.59463 .68939 L
.59227 .69218 L
.58622 .69911 L
.58256 .70316 L
.57729 .70882 L
.57284 .71344 L
Mistroke
.56778 .71853 L
.56313 .72307 L
.55765 .72824 L
.55342 .73212 L
.5468 .73796 L
.54371 .74061 L
.53513 .74767 L
.53399 .74857 L
.52428 .75603 L
.52246 .75738 L
.51457 .76301 L
.50855 .76709 L
.50486 .76951 L
.49514 .77554 L
.49301 .77681 L
.48543 .78111 L
.47572 .78623 L
.47514 .78652 L
.46601 .79088 L
.45629 .79508 L
.45344 .79623 L
.44658 .79882 L
.43687 .8021 L
.42716 .8049 L
.42309 .80594 L
.41744 .80723 L
.40773 .80907 L
.39802 .81041 L
.38831 .81124 L
.37859 .81154 L
.36888 .8113 L
.35917 .81049 L
.34946 .8091 L
.33974 .8071 L
.33517 .80594 L
.33003 .80445 L
.32032 .80113 L
.31061 .79709 L
.30875 .79623 L
.30089 .79228 L
.29118 .78666 L
.29095 .78652 L
.28147 .78016 L
.27695 .77681 L
.27176 .77269 L
.26525 .76709 L
.26204 .76415 L
.25515 .75738 L
.25233 .75443 L
.24625 .74767 L
Mistroke
.24262 .74336 L
.2383 .73796 L
.23291 .73073 L
.23114 .72824 L
.22463 .71853 L
.22319 .71625 L
.2187 .70882 L
.21348 .6995 L
.21327 .69911 L
.20828 .68939 L
.20377 .67983 L
.2037 .67968 L
.19949 .66997 L
.19561 .66026 L
.19406 .65612 L
.19205 .65054 L
.18878 .64083 L
.18579 .63112 L
.18434 .62607 L
.18307 .62141 L
.18059 .61169 L
.17835 .60198 L
.17634 .59227 L
.17463 .58303 L
.17455 .58256 L
.17297 .57284 L
.17161 .56313 L
.17044 .55342 L
.16948 .54371 L
.16871 .53399 L
.16814 .52428 L
.16776 .51457 L
.16757 .50486 L
.16757 .49514 L
.16776 .48543 L
.16814 .47572 L
.16871 .46601 L
.16948 .45629 L
.17044 .44658 L
.17161 .43687 L
.17297 .42716 L
.17455 .41744 L
.17463 .41697 L
.17634 .40773 L
.17835 .39802 L
.18059 .38831 L
.18307 .37859 L
.18434 .37393 L
.18579 .36888 L
.18878 .35917 L
Mistroke
.19205 .34946 L
.19406 .34388 L
.19561 .33974 L
.19949 .33003 L
.2037 .32032 L
.20377 .32017 L
.20828 .31061 L
.21327 .30089 L
.21348 .3005 L
.2187 .29118 L
.22319 .28375 L
.22463 .28147 L
.23114 .27176 L
.23291 .26927 L
.2383 .26204 L
.24262 .25664 L
.24625 .25233 L
.25233 .24557 L
.25515 .24262 L
.26204 .23585 L
.26525 .23291 L
.27176 .22731 L
.27695 .22319 L
.28147 .21984 L
.29095 .21348 L
.29118 .21334 L
.30089 .20772 L
.30875 .20377 L
.31061 .20291 L
.32032 .19887 L
.33003 .19555 L
.33517 .19406 L
.33974 .1929 L
Mfstroke
.15 .85 .6 r
.35917 .21261 m
.36888 .21174 L
.37859 .21148 L
.38831 .21181 L
.39802 .2127 L
.4039 .21348 L
.40773 .21415 L
.41744 .21614 L
.42716 .21866 L
.43687 .2217 L
.44112 .22319 L
.44658 .22526 L
.45629 .22933 L
.46395 .23291 L
.46601 .23392 L
.47572 .23902 L
.48204 .24262 L
.48543 .24464 L
.49514 .25079 L
.49746 .25233 L
.50486 .25747 L
.51107 .26204 L
.51457 .26472 L
.52334 .27176 L
.52428 .27254 L
.53399 .28097 L
.53454 .28147 L
.54371 .29006 L
.54486 .29118 L
.55342 .29984 L
.55442 .30089 L
.56313 .31041 L
.56331 .31061 L
.57159 .32032 L
.57284 .32184 L
.57933 .33003 L
.58256 .33429 L
.58655 .33974 L
.59227 .34795 L
.59328 .34946 L
.59955 .35917 L
.60198 .36314 L
.60537 .36888 L
.61076 .37859 L
.61169 .38037 L
.61572 .38831 L
.62026 .39802 L
.62141 .40062 L
.62439 .40773 L
.6281 .41744 L
.63112 .42626 L
.6314 .42716 L
.6343 .43687 L
.63678 .44658 L
.63885 .45629 L
.64051 .46601 L
.64083 .46813 L
.64175 .47572 L
.64258 .48543 L
.643 .49514 L
.643 .50486 L
.64258 .51457 L
.64175 .52428 L
.64083 .53187 L
.64051 .53399 L
.63885 .54371 L
.63678 .55342 L
.6343 .56313 L
.6314 .57284 L
.63112 .57374 L
.6281 .58256 L
.62439 .59227 L
.62141 .59938 L
.62026 .60198 L
.61572 .61169 L
.61169 .61963 L
.61076 .62141 L
.60537 .63112 L
.60198 .63686 L
.59955 .64083 L
.59328 .65054 L
.59227 .65205 L
.58655 .66026 L
.58256 .66571 L
.57933 .66997 L
.57284 .67816 L
.57159 .67968 L
.56331 .68939 L
.56313 .68959 L
.55442 .69911 L
.55342 .70016 L
.54486 .70882 L
.54371 .70994 L
.53454 .71853 L
.53399 .71903 L
.52428 .72746 L
.52334 .72824 L
.51457 .73528 L
.51107 .73796 L
.50486 .74253 L
.49746 .74767 L
.49514 .74921 L
.48543 .75536 L
.48204 .75738 L
.47572 .76098 L
.46601 .76608 L
.46395 .76709 L
.45629 .77067 L
.44658 .77474 L
.44112 .77681 L
.43687 .7783 L
.42716 .78134 L
.41744 .78386 L
.40773 .78585 L
.4039 .78652 L
.39802 .7873 L
.38831 .78819 L
.37859 .78852 L
.36888 .78826 L
.35917 .78739 L
.35279 .78652 L
.34946 .78588 L
.33974 .78371 L
.33003 .78085 L
.32032 .77724 L
.31927 .77681 L
.31061 .77285 L
.30089 .76761 L
.30002 .76709 L
.29118 .76146 L
.28547 .75738 L
.28147 .75431 L
.27355 .74767 L
.27176 .74605 L
.26339 .73796 L
.26204 .73656 L
.25452 .72824 L
.25233 .72565 L
.24665 .71853 L
.24262 .71309 L
.23961 .70882 L
.23325 .69911 L
.23291 .69855 L
.22748 .68939 L
.22319 .68152 L
.22224 .67968 L
.21745 .66997 L
.21348 .6612 L
.21307 .66026 L
.20907 .65054 L
.20543 .64083 L
.20377 .63611 L
.2021 .63112 L
.19908 .62141 L
.19634 .61169 L
.19406 .60275 L
.19387 .60198 L
.19166 .59227 L
.1897 .58256 L
.18797 .57284 L
.18648 .56313 L
.18521 .55342 L
.18434 .54559 L
.18416 .54371 L
.18332 .53399 L
.1827 .52428 L
.18228 .51457 L
.18208 .50486 L
.18208 .49514 L
.18228 .48543 L
.1827 .47572 L
.18332 .46601 L
.18416 .45629 L
.18434 .45441 L
.18521 .44658 L
.18648 .43687 L
.18797 .42716 L
.1897 .41744 L
.19166 .40773 L
.19387 .39802 L
.19406 .39725 L
.19634 .38831 L
.19908 .37859 L
.2021 .36888 L
.20377 .36389 L
.20543 .35917 L
.20907 .34946 L
.21307 .33974 L
.21348 .3388 L
.21745 .33003 L
.22224 .32032 L
.22319 .31848 L
.22748 .31061 L
.23291 .30145 L
.23325 .30089 L
.23961 .29118 L
.24262 .28691 L
.24665 .28147 L
.25233 .27435 L
.25452 .27176 L
.26204 .26344 L
.26339 .26204 L
.27176 .25395 L
.27355 .25233 L
.28147 .24569 L
.28547 .24262 L
.29118 .23854 L
.30002 .23291 L
.30089 .23239 L
.31061 .22715 L
.31927 .22319 L
.32032 .22276 L
.33003 .21915 L
.33974 .21629 L
.34946 .21412 L
.35279 .21348 L
F
0 g
.35917 .21261 m
.36888 .21174 L
.37859 .21148 L
.38831 .21181 L
.39802 .2127 L
.4039 .21348 L
.40773 .21415 L
.41744 .21614 L
.42716 .21866 L
.43687 .2217 L
.44112 .22319 L
.44658 .22526 L
.45629 .22933 L
.46395 .23291 L
.46601 .23392 L
.47572 .23902 L
.48204 .24262 L
.48543 .24464 L
.49514 .25079 L
.49746 .25233 L
.50486 .25747 L
.51107 .26204 L
.51457 .26472 L
.52334 .27176 L
.52428 .27254 L
.53399 .28097 L
.53454 .28147 L
.54371 .29006 L
.54486 .29118 L
.55342 .29984 L
.55442 .30089 L
.56313 .31041 L
.56331 .31061 L
.57159 .32032 L
.57284 .32184 L
.57933 .33003 L
.58256 .33429 L
.58655 .33974 L
.59227 .34795 L
.59328 .34946 L
.59955 .35917 L
.60198 .36314 L
.60537 .36888 L
.61076 .37859 L
.61169 .38037 L
.61572 .38831 L
.62026 .39802 L
.62141 .40062 L
.62439 .40773 L
.6281 .41744 L
Mistroke
.63112 .42626 L
.6314 .42716 L
.6343 .43687 L
.63678 .44658 L
.63885 .45629 L
.64051 .46601 L
.64083 .46813 L
.64175 .47572 L
.64258 .48543 L
.643 .49514 L
.643 .50486 L
.64258 .51457 L
.64175 .52428 L
.64083 .53187 L
.64051 .53399 L
.63885 .54371 L
.63678 .55342 L
.6343 .56313 L
.6314 .57284 L
.63112 .57374 L
.6281 .58256 L
.62439 .59227 L
.62141 .59938 L
.62026 .60198 L
.61572 .61169 L
.61169 .61963 L
.61076 .62141 L
.60537 .63112 L
.60198 .63686 L
.59955 .64083 L
.59328 .65054 L
.59227 .65205 L
.58655 .66026 L
.58256 .66571 L
.57933 .66997 L
.57284 .67816 L
.57159 .67968 L
.56331 .68939 L
.56313 .68959 L
.55442 .69911 L
.55342 .70016 L
.54486 .70882 L
.54371 .70994 L
.53454 .71853 L
.53399 .71903 L
.52428 .72746 L
.52334 .72824 L
.51457 .73528 L
.51107 .73796 L
.50486 .74253 L
Mistroke
.49746 .74767 L
.49514 .74921 L
.48543 .75536 L
.48204 .75738 L
.47572 .76098 L
.46601 .76608 L
.46395 .76709 L
.45629 .77067 L
.44658 .77474 L
.44112 .77681 L
.43687 .7783 L
.42716 .78134 L
.41744 .78386 L
.40773 .78585 L
.4039 .78652 L
.39802 .7873 L
.38831 .78819 L
.37859 .78852 L
.36888 .78826 L
.35917 .78739 L
.35279 .78652 L
.34946 .78588 L
.33974 .78371 L
.33003 .78085 L
.32032 .77724 L
.31927 .77681 L
.31061 .77285 L
.30089 .76761 L
.30002 .76709 L
.29118 .76146 L
.28547 .75738 L
.28147 .75431 L
.27355 .74767 L
.27176 .74605 L
.26339 .73796 L
.26204 .73656 L
.25452 .72824 L
.25233 .72565 L
.24665 .71853 L
.24262 .71309 L
.23961 .70882 L
.23325 .69911 L
.23291 .69855 L
.22748 .68939 L
.22319 .68152 L
.22224 .67968 L
.21745 .66997 L
.21348 .6612 L
.21307 .66026 L
.20907 .65054 L
Mistroke
.20543 .64083 L
.20377 .63611 L
.2021 .63112 L
.19908 .62141 L
.19634 .61169 L
.19406 .60275 L
.19387 .60198 L
.19166 .59227 L
.1897 .58256 L
.18797 .57284 L
.18648 .56313 L
.18521 .55342 L
.18434 .54559 L
.18416 .54371 L
.18332 .53399 L
.1827 .52428 L
.18228 .51457 L
.18208 .50486 L
.18208 .49514 L
.18228 .48543 L
.1827 .47572 L
.18332 .46601 L
.18416 .45629 L
.18434 .45441 L
.18521 .44658 L
.18648 .43687 L
.18797 .42716 L
.1897 .41744 L
.19166 .40773 L
.19387 .39802 L
.19406 .39725 L
.19634 .38831 L
.19908 .37859 L
.2021 .36888 L
.20377 .36389 L
.20543 .35917 L
.20907 .34946 L
.21307 .33974 L
.21348 .3388 L
.21745 .33003 L
.22224 .32032 L
.22319 .31848 L
.22748 .31061 L
.23291 .30145 L
.23325 .30089 L
.23961 .29118 L
.24262 .28691 L
.24665 .28147 L
.25233 .27435 L
.25452 .27176 L
Mistroke
.26204 .26344 L
.26339 .26204 L
.27176 .25395 L
.27355 .25233 L
.28147 .24569 L
.28547 .24262 L
.29118 .23854 L
.30002 .23291 L
.30089 .23239 L
.31061 .22715 L
.31927 .22319 L
.32032 .22276 L
.33003 .21915 L
.33974 .21629 L
.34946 .21412 L
.35279 .21348 L
.35917 .21261 L
Mfstroke
.125 .875 .6 r
.33974 .24178 m
.34946 .2394 L
.35917 .23775 L
.36888 .2368 L
.37859 .23651 L
.38831 .23687 L
.39802 .23785 L
.40773 .23943 L
.41744 .24162 L
.42122 .24262 L
.42716 .24439 L
.43687 .24774 L
.44658 .25167 L
.44808 .25233 L
.45629 .25619 L
.46601 .26129 L
.46736 .26204 L
.47572 .26699 L
.48315 .27176 L
.48543 .2733 L
.49514 .28024 L
.49677 .28147 L
.50486 .28786 L
.50884 .29118 L
.51457 .29618 L
.51972 .30089 L
.52428 .30526 L
.52962 .31061 L
.53399 .31518 L
.5387 .32032 L
.54371 .32604 L
.54706 .33003 L
.55342 .33799 L
.55477 .33974 L
.56189 .34946 L
.56313 .35124 L
.56846 .35917 L
.57284 .36612 L
.57452 .36888 L
.58008 .37859 L
.58256 .38319 L
.58518 .38831 L
.58982 .39802 L
.59227 .40354 L
.59402 .40773 L
.59779 .41744 L
.60112 .42716 L
.60198 .42988 L
.60403 .43687 L
.60652 .44658 L
.60859 .45629 L
.61025 .46601 L
.61149 .47572 L
.61169 .4773 L
.61232 .48543 L
.61273 .49514 L
.61273 .50486 L
.61232 .51457 L
.61169 .5227 L
.61149 .52428 L
.61025 .53399 L
.60859 .54371 L
.60652 .55342 L
.60403 .56313 L
.60198 .57012 L
.60112 .57284 L
.59779 .58256 L
.59402 .59227 L
.59227 .59646 L
.58982 .60198 L
.58518 .61169 L
.58256 .61681 L
.58008 .62141 L
.57452 .63112 L
.57284 .63388 L
.56846 .64083 L
.56313 .64876 L
.56189 .65054 L
.55477 .66026 L
.55342 .66201 L
.54706 .66997 L
.54371 .67396 L
.5387 .67968 L
.53399 .68482 L
.52962 .68939 L
.52428 .69474 L
.51972 .69911 L
.51457 .70382 L
.50884 .70882 L
.50486 .71214 L
.49677 .71853 L
.49514 .71976 L
.48543 .7267 L
.48315 .72824 L
.47572 .73301 L
.46736 .73796 L
.46601 .73871 L
.45629 .74381 L
.44808 .74767 L
.44658 .74833 L
.43687 .75226 L
.42716 .75561 L
.42122 .75738 L
.41744 .75838 L
.40773 .76057 L
.39802 .76215 L
.38831 .76313 L
.37859 .76349 L
.36888 .7632 L
.35917 .76225 L
.34946 .7606 L
.33974 .75822 L
.33687 .75738 L
.33003 .75507 L
.32032 .75109 L
.31328 .74767 L
.31061 .74623 L
.30089 .74042 L
.29723 .73796 L
.29118 .73355 L
.2846 .72824 L
.28147 .72552 L
.27408 .71853 L
.27176 .71617 L
.26503 .70882 L
.26204 .70529 L
.25711 .69911 L
.25233 .69262 L
.25008 .68939 L
.24379 .67968 L
.24262 .67774 L
.23813 .66997 L
.23302 .66026 L
.23291 .66002 L
.2284 .65054 L
.22421 .64083 L
.22319 .63833 L
.22041 .63112 L
.21698 .62141 L
.21389 .61169 L
.21348 .61033 L
.21111 .60198 L
.20864 .59227 L
.20644 .58256 L
.20452 .57284 L
.20377 .56864 L
.20286 .56313 L
.20145 .55342 L
.20028 .54371 L
.19936 .53399 L
.19867 .52428 L
.19821 .51457 L
.19798 .50486 L
.19798 .49514 L
.19821 .48543 L
.19867 .47572 L
.19936 .46601 L
.20028 .45629 L
.20145 .44658 L
.20286 .43687 L
.20377 .43136 L
.20452 .42716 L
.20644 .41744 L
.20864 .40773 L
.21111 .39802 L
.21348 .38967 L
.21389 .38831 L
.21698 .37859 L
.22041 .36888 L
.22319 .36167 L
.22421 .35917 L
.2284 .34946 L
.23291 .33998 L
.23302 .33974 L
.23813 .33003 L
.24262 .32226 L
.24379 .32032 L
.25008 .31061 L
.25233 .30738 L
.25711 .30089 L
.26204 .29471 L
.26503 .29118 L
.27176 .28383 L
.27408 .28147 L
.28147 .27448 L
.2846 .27176 L
.29118 .26645 L
.29723 .26204 L
.30089 .25958 L
.31061 .25377 L
.31328 .25233 L
.32032 .24891 L
.33003 .24493 L
.33687 .24262 L
F
0 g
.33974 .24178 m
.34946 .2394 L
.35917 .23775 L
.36888 .2368 L
.37859 .23651 L
.38831 .23687 L
.39802 .23785 L
.40773 .23943 L
.41744 .24162 L
.42122 .24262 L
.42716 .24439 L
.43687 .24774 L
.44658 .25167 L
.44808 .25233 L
.45629 .25619 L
.46601 .26129 L
.46736 .26204 L
.47572 .26699 L
.48315 .27176 L
.48543 .2733 L
.49514 .28024 L
.49677 .28147 L
.50486 .28786 L
.50884 .29118 L
.51457 .29618 L
.51972 .30089 L
.52428 .30526 L
.52962 .31061 L
.53399 .31518 L
.5387 .32032 L
.54371 .32604 L
.54706 .33003 L
.55342 .33799 L
.55477 .33974 L
.56189 .34946 L
.56313 .35124 L
.56846 .35917 L
.57284 .36612 L
.57452 .36888 L
.58008 .37859 L
.58256 .38319 L
.58518 .38831 L
.58982 .39802 L
.59227 .40354 L
.59402 .40773 L
.59779 .41744 L
.60112 .42716 L
.60198 .42988 L
.60403 .43687 L
.60652 .44658 L
Mistroke
.60859 .45629 L
.61025 .46601 L
.61149 .47572 L
.61169 .4773 L
.61232 .48543 L
.61273 .49514 L
.61273 .50486 L
.61232 .51457 L
.61169 .5227 L
.61149 .52428 L
.61025 .53399 L
.60859 .54371 L
.60652 .55342 L
.60403 .56313 L
.60198 .57012 L
.60112 .57284 L
.59779 .58256 L
.59402 .59227 L
.59227 .59646 L
.58982 .60198 L
.58518 .61169 L
.58256 .61681 L
.58008 .62141 L
.57452 .63112 L
.57284 .63388 L
.56846 .64083 L
.56313 .64876 L
.56189 .65054 L
.55477 .66026 L
.55342 .66201 L
.54706 .66997 L
.54371 .67396 L
.5387 .67968 L
.53399 .68482 L
.52962 .68939 L
.52428 .69474 L
.51972 .69911 L
.51457 .70382 L
.50884 .70882 L
.50486 .71214 L
.49677 .71853 L
.49514 .71976 L
.48543 .7267 L
.48315 .72824 L
.47572 .73301 L
.46736 .73796 L
.46601 .73871 L
.45629 .74381 L
.44808 .74767 L
.44658 .74833 L
Mistroke
.43687 .75226 L
.42716 .75561 L
.42122 .75738 L
.41744 .75838 L
.40773 .76057 L
.39802 .76215 L
.38831 .76313 L
.37859 .76349 L
.36888 .7632 L
.35917 .76225 L
.34946 .7606 L
.33974 .75822 L
.33687 .75738 L
.33003 .75507 L
.32032 .75109 L
.31328 .74767 L
.31061 .74623 L
.30089 .74042 L
.29723 .73796 L
.29118 .73355 L
.2846 .72824 L
.28147 .72552 L
.27408 .71853 L
.27176 .71617 L
.26503 .70882 L
.26204 .70529 L
.25711 .69911 L
.25233 .69262 L
.25008 .68939 L
.24379 .67968 L
.24262 .67774 L
.23813 .66997 L
.23302 .66026 L
.23291 .66002 L
.2284 .65054 L
.22421 .64083 L
.22319 .63833 L
.22041 .63112 L
.21698 .62141 L
.21389 .61169 L
.21348 .61033 L
.21111 .60198 L
.20864 .59227 L
.20644 .58256 L
.20452 .57284 L
.20377 .56864 L
.20286 .56313 L
.20145 .55342 L
.20028 .54371 L
.19936 .53399 L
Mistroke
.19867 .52428 L
.19821 .51457 L
.19798 .50486 L
.19798 .49514 L
.19821 .48543 L
.19867 .47572 L
.19936 .46601 L
.20028 .45629 L
.20145 .44658 L
.20286 .43687 L
.20377 .43136 L
.20452 .42716 L
.20644 .41744 L
.20864 .40773 L
.21111 .39802 L
.21348 .38967 L
.21389 .38831 L
.21698 .37859 L
.22041 .36888 L
.22319 .36167 L
.22421 .35917 L
.2284 .34946 L
.23291 .33998 L
.23302 .33974 L
.23813 .33003 L
.24262 .32226 L
.24379 .32032 L
.25008 .31061 L
.25233 .30738 L
.25711 .30089 L
.26204 .29471 L
.26503 .29118 L
.27176 .28383 L
.27408 .28147 L
.28147 .27448 L
.2846 .27176 L
.29118 .26645 L
.29723 .26204 L
.30089 .25958 L
.31061 .25377 L
.31328 .25233 L
.32032 .24891 L
.33003 .24493 L
.33687 .24262 L
.33974 .24178 L
Mfstroke
.1 .9 .6 r
.33974 .27008 m
.34946 .26741 L
.35917 .26556 L
.36888 .2645 L
.37859 .26418 L
.38831 .26458 L
.39802 .26567 L
.40773 .26745 L
.41744 .2699 L
.4235 .27176 L
.42716 .27302 L
.43687 .2768 L
.44658 .28125 L
.44702 .28147 L
.45629 .28639 L
.46435 .29118 L
.46601 .29223 L
.47572 .2988 L
.4786 .30089 L
.48543 .30615 L
.49086 .31061 L
.49514 .31432 L
.50168 .32032 L
.50486 .32339 L
.51136 .33003 L
.51457 .33348 L
.52011 .33974 L
.52428 .34473 L
.52805 .34946 L
.53399 .35737 L
.53528 .35917 L
.54187 .36888 L
.54371 .37175 L
.54787 .37859 L
.55332 .38831 L
.55342 .3885 L
.55824 .39802 L
.56267 .40773 L
.56313 .40881 L
.56662 .41744 L
.5701 .42716 L
.57284 .43589 L
.57313 .43687 L
.57571 .44658 L
.57785 .45629 L
.57956 .46601 L
.58084 .47572 L
.58169 .48543 L
.58212 .49514 L
.58212 .50486 L
.58169 .51457 L
.58084 .52428 L
.57956 .53399 L
.57785 .54371 L
.57571 .55342 L
.57313 .56313 L
.57284 .56411 L
.5701 .57284 L
.56662 .58256 L
.56313 .59119 L
.56267 .59227 L
.55824 .60198 L
.55342 .6115 L
.55332 .61169 L
.54787 .62141 L
.54371 .62825 L
.54187 .63112 L
.53528 .64083 L
.53399 .64263 L
.52805 .65054 L
.52428 .65527 L
.52011 .66026 L
.51457 .66652 L
.51136 .66997 L
.50486 .67661 L
.50168 .67968 L
.49514 .68568 L
.49086 .68939 L
.48543 .69385 L
.4786 .69911 L
.47572 .7012 L
.46601 .70777 L
.46435 .70882 L
.45629 .71361 L
.44702 .71853 L
.44658 .71875 L
.43687 .7232 L
.42716 .72698 L
.4235 .72824 L
.41744 .7301 L
.40773 .73255 L
.39802 .73433 L
.38831 .73542 L
.37859 .73582 L
.36888 .7355 L
.35917 .73444 L
.34946 .73259 L
.33974 .72992 L
.3348 .72824 L
.33003 .72637 L
.32032 .72188 L
.31418 .71853 L
.31061 .71637 L
.30089 .70973 L
.29969 .70882 L
.29118 .70182 L
.28819 .69911 L
.28147 .69247 L
.2786 .68939 L
.27176 .68142 L
.27037 .67968 L
.26318 .66997 L
.26204 .66832 L
.25683 .66026 L
.25233 .65261 L
.25119 .65054 L
.24614 .64083 L
.24262 .63334 L
.24163 .63112 L
.23759 .62141 L
.23398 .61169 L
.23291 .60859 L
.23075 .60198 L
.22789 .59227 L
.22537 .58256 L
.22319 .57294 L
.22317 .57284 L
.22128 .56313 L
.21967 .55342 L
.21835 .54371 L
.2173 .53399 L
.21652 .52428 L
.216 .51457 L
.21574 .50486 L
.21574 .49514 L
.216 .48543 L
.21652 .47572 L
.2173 .46601 L
.21835 .45629 L
.21967 .44658 L
.22128 .43687 L
.22317 .42716 L
.22319 .42706 L
.22537 .41744 L
.22789 .40773 L
.23075 .39802 L
.23291 .39141 L
.23398 .38831 L
.23759 .37859 L
.24163 .36888 L
.24262 .36666 L
.24614 .35917 L
.25119 .34946 L
.25233 .34739 L
.25683 .33974 L
.26204 .33168 L
.26318 .33003 L
.27037 .32032 L
.27176 .31858 L
.2786 .31061 L
.28147 .30753 L
.28819 .30089 L
.29118 .29818 L
.29969 .29118 L
.30089 .29027 L
.31061 .28363 L
.31418 .28147 L
.32032 .27812 L
.33003 .27363 L
.3348 .27176 L
F
0 g
.33974 .27008 m
.34946 .26741 L
.35917 .26556 L
.36888 .2645 L
.37859 .26418 L
.38831 .26458 L
.39802 .26567 L
.40773 .26745 L
.41744 .2699 L
.4235 .27176 L
.42716 .27302 L
.43687 .2768 L
.44658 .28125 L
.44702 .28147 L
.45629 .28639 L
.46435 .29118 L
.46601 .29223 L
.47572 .2988 L
.4786 .30089 L
.48543 .30615 L
.49086 .31061 L
.49514 .31432 L
.50168 .32032 L
.50486 .32339 L
.51136 .33003 L
.51457 .33348 L
.52011 .33974 L
.52428 .34473 L
.52805 .34946 L
.53399 .35737 L
.53528 .35917 L
.54187 .36888 L
.54371 .37175 L
.54787 .37859 L
.55332 .38831 L
.55342 .3885 L
.55824 .39802 L
.56267 .40773 L
.56313 .40881 L
.56662 .41744 L
.5701 .42716 L
.57284 .43589 L
.57313 .43687 L
.57571 .44658 L
.57785 .45629 L
.57956 .46601 L
.58084 .47572 L
.58169 .48543 L
.58212 .49514 L
.58212 .50486 L
Mistroke
.58169 .51457 L
.58084 .52428 L
.57956 .53399 L
.57785 .54371 L
.57571 .55342 L
.57313 .56313 L
.57284 .56411 L
.5701 .57284 L
.56662 .58256 L
.56313 .59119 L
.56267 .59227 L
.55824 .60198 L
.55342 .6115 L
.55332 .61169 L
.54787 .62141 L
.54371 .62825 L
.54187 .63112 L
.53528 .64083 L
.53399 .64263 L
.52805 .65054 L
.52428 .65527 L
.52011 .66026 L
.51457 .66652 L
.51136 .66997 L
.50486 .67661 L
.50168 .67968 L
.49514 .68568 L
.49086 .68939 L
.48543 .69385 L
.4786 .69911 L
.47572 .7012 L
.46601 .70777 L
.46435 .70882 L
.45629 .71361 L
.44702 .71853 L
.44658 .71875 L
.43687 .7232 L
.42716 .72698 L
.4235 .72824 L
.41744 .7301 L
.40773 .73255 L
.39802 .73433 L
.38831 .73542 L
.37859 .73582 L
.36888 .7355 L
.35917 .73444 L
.34946 .73259 L
.33974 .72992 L
.3348 .72824 L
.33003 .72637 L
Mistroke
.32032 .72188 L
.31418 .71853 L
.31061 .71637 L
.30089 .70973 L
.29969 .70882 L
.29118 .70182 L
.28819 .69911 L
.28147 .69247 L
.2786 .68939 L
.27176 .68142 L
.27037 .67968 L
.26318 .66997 L
.26204 .66832 L
.25683 .66026 L
.25233 .65261 L
.25119 .65054 L
.24614 .64083 L
.24262 .63334 L
.24163 .63112 L
.23759 .62141 L
.23398 .61169 L
.23291 .60859 L
.23075 .60198 L
.22789 .59227 L
.22537 .58256 L
.22319 .57294 L
.22317 .57284 L
.22128 .56313 L
.21967 .55342 L
.21835 .54371 L
.2173 .53399 L
.21652 .52428 L
.216 .51457 L
.21574 .50486 L
.21574 .49514 L
.216 .48543 L
.21652 .47572 L
.2173 .46601 L
.21835 .45629 L
.21967 .44658 L
.22128 .43687 L
.22317 .42716 L
.22319 .42706 L
.22537 .41744 L
.22789 .40773 L
.23075 .39802 L
.23291 .39141 L
.23398 .38831 L
.23759 .37859 L
.24163 .36888 L
Mistroke
.24262 .36666 L
.24614 .35917 L
.25119 .34946 L
.25233 .34739 L
.25683 .33974 L
.26204 .33168 L
.26318 .33003 L
.27037 .32032 L
.27176 .31858 L
.2786 .31061 L
.28147 .30753 L
.28819 .30089 L
.29118 .29818 L
.29969 .29118 L
.30089 .29027 L
.31061 .28363 L
.31418 .28147 L
.32032 .27812 L
.33003 .27363 L
.3348 .27176 L
.33974 .27008 L
Mfstroke
.075 .925 .6 r
.34946 .29929 m
.35917 .29716 L
.36888 .29592 L
.37859 .29556 L
.38831 .29602 L
.39802 .29728 L
.40773 .29934 L
.41343 .30089 L
.41744 .30218 L
.42716 .30582 L
.43687 .31025 L
.43758 .31061 L
.44658 .31551 L
.45433 .32032 L
.45629 .32163 L
.46601 .32867 L
.46774 .33003 L
.47572 .3367 L
.47909 .33974 L
.48543 .34584 L
.48895 .34946 L
.49514 .35625 L
.49764 .35917 L
.50486 .36819 L
.50538 .36888 L
.51229 .37859 L
.51457 .38204 L
.51848 .38831 L
.524 .39802 L
.52428 .39854 L
.52892 .40773 L
.53326 .41744 L
.53399 .4192 L
.53707 .42716 L
.54037 .43687 L
.54316 .44658 L
.54371 .44868 L
.54547 .45629 L
.54731 .46601 L
.54868 .47572 L
.54959 .48543 L
.55005 .49514 L
.55005 .50486 L
.54959 .51457 L
.54868 .52428 L
.54731 .53399 L
.54547 .54371 L
.54371 .55132 L
.54316 .55342 L
.54037 .56313 L
.53707 .57284 L
.53399 .5808 L
.53326 .58256 L
.52892 .59227 L
.52428 .60146 L
.524 .60198 L
.51848 .61169 L
.51457 .61796 L
.51229 .62141 L
.50538 .63112 L
.50486 .63181 L
.49764 .64083 L
.49514 .64375 L
.48895 .65054 L
.48543 .65416 L
.47909 .66026 L
.47572 .6633 L
.46774 .66997 L
.46601 .67133 L
.45629 .67837 L
.45433 .67968 L
.44658 .68449 L
.43758 .68939 L
.43687 .68975 L
.42716 .69418 L
.41744 .69782 L
.41343 .69911 L
.40773 .70066 L
.39802 .70272 L
.38831 .70398 L
.37859 .70444 L
.36888 .70408 L
.35917 .70284 L
.34946 .70071 L
.34396 .69911 L
.33974 .6976 L
.33003 .69347 L
.32233 .68939 L
.32032 .68819 L
.31061 .68166 L
.308 .67968 L
.30089 .6737 L
.29691 .66997 L
.29118 .66406 L
.2878 .66026 L
.28147 .65241 L
.28008 .65054 L
.27341 .64083 L
.27176 .63819 L
.2676 .63112 L
.2625 .62141 L
.26204 .62048 L
.258 .61169 L
.25405 .60198 L
.25233 .59734 L
.25058 .59227 L
.24754 .58256 L
.24491 .57284 L
.24266 .56313 L
.24262 .56295 L
.24076 .55342 L
.2392 .54371 L
.23797 .53399 L
.23705 .52428 L
.23644 .51457 L
.23614 .50486 L
.23614 .49514 L
.23644 .48543 L
.23705 .47572 L
.23797 .46601 L
.2392 .45629 L
.24076 .44658 L
.24262 .43705 L
.24266 .43687 L
.24491 .42716 L
.24754 .41744 L
.25058 .40773 L
.25233 .40266 L
.25405 .39802 L
.258 .38831 L
.26204 .37952 L
.2625 .37859 L
.2676 .36888 L
.27176 .36181 L
.27341 .35917 L
.28008 .34946 L
.28147 .34759 L
.2878 .33974 L
.29118 .33594 L
.29691 .33003 L
.30089 .3263 L
.308 .32032 L
.31061 .31834 L
.32032 .31181 L
.32233 .31061 L
.33003 .30653 L
.33974 .3024 L
.34396 .30089 L
F
0 g
.34946 .29929 m
.35917 .29716 L
.36888 .29592 L
.37859 .29556 L
.38831 .29602 L
.39802 .29728 L
.40773 .29934 L
.41343 .30089 L
.41744 .30218 L
.42716 .30582 L
.43687 .31025 L
.43758 .31061 L
.44658 .31551 L
.45433 .32032 L
.45629 .32163 L
.46601 .32867 L
.46774 .33003 L
.47572 .3367 L
.47909 .33974 L
.48543 .34584 L
.48895 .34946 L
.49514 .35625 L
.49764 .35917 L
.50486 .36819 L
.50538 .36888 L
.51229 .37859 L
.51457 .38204 L
.51848 .38831 L
.524 .39802 L
.52428 .39854 L
.52892 .40773 L
.53326 .41744 L
.53399 .4192 L
.53707 .42716 L
.54037 .43687 L
.54316 .44658 L
.54371 .44868 L
.54547 .45629 L
.54731 .46601 L
.54868 .47572 L
.54959 .48543 L
.55005 .49514 L
.55005 .50486 L
.54959 .51457 L
.54868 .52428 L
.54731 .53399 L
.54547 .54371 L
.54371 .55132 L
.54316 .55342 L
.54037 .56313 L
Mistroke
.53707 .57284 L
.53399 .5808 L
.53326 .58256 L
.52892 .59227 L
.52428 .60146 L
.524 .60198 L
.51848 .61169 L
.51457 .61796 L
.51229 .62141 L
.50538 .63112 L
.50486 .63181 L
.49764 .64083 L
.49514 .64375 L
.48895 .65054 L
.48543 .65416 L
.47909 .66026 L
.47572 .6633 L
.46774 .66997 L
.46601 .67133 L
.45629 .67837 L
.45433 .67968 L
.44658 .68449 L
.43758 .68939 L
.43687 .68975 L
.42716 .69418 L
.41744 .69782 L
.41343 .69911 L
.40773 .70066 L
.39802 .70272 L
.38831 .70398 L
.37859 .70444 L
.36888 .70408 L
.35917 .70284 L
.34946 .70071 L
.34396 .69911 L
.33974 .6976 L
.33003 .69347 L
.32233 .68939 L
.32032 .68819 L
.31061 .68166 L
.308 .67968 L
.30089 .6737 L
.29691 .66997 L
.29118 .66406 L
.2878 .66026 L
.28147 .65241 L
.28008 .65054 L
.27341 .64083 L
.27176 .63819 L
.2676 .63112 L
Mistroke
.2625 .62141 L
.26204 .62048 L
.258 .61169 L
.25405 .60198 L
.25233 .59734 L
.25058 .59227 L
.24754 .58256 L
.24491 .57284 L
.24266 .56313 L
.24262 .56295 L
.24076 .55342 L
.2392 .54371 L
.23797 .53399 L
.23705 .52428 L
.23644 .51457 L
.23614 .50486 L
.23614 .49514 L
.23644 .48543 L
.23705 .47572 L
.23797 .46601 L
.2392 .45629 L
.24076 .44658 L
.24262 .43705 L
.24266 .43687 L
.24491 .42716 L
.24754 .41744 L
.25058 .40773 L
.25233 .40266 L
.25405 .39802 L
.258 .38831 L
.26204 .37952 L
.2625 .37859 L
.2676 .36888 L
.27176 .36181 L
.27341 .35917 L
.28008 .34946 L
.28147 .34759 L
.2878 .33974 L
.29118 .33594 L
.29691 .33003 L
.30089 .3263 L
.308 .32032 L
.31061 .31834 L
.32032 .31181 L
.32233 .31061 L
.33003 .30653 L
.33974 .3024 L
.34396 .30089 L
.34946 .29929 L
Mfstroke
.05 .95 .6 r
.34946 .33731 m
.35917 .33468 L
.36888 .33317 L
.37859 .33272 L
.38831 .33328 L
.39802 .33483 L
.40773 .33737 L
.41463 .33974 L
.41744 .34089 L
.42716 .34543 L
.43433 .34946 L
.43687 .35104 L
.44658 .3578 L
.44836 .35917 L
.45629 .36584 L
.45959 .36888 L
.46601 .37535 L
.46898 .37859 L
.47572 .38664 L
.47702 .38831 L
.48397 .39802 L
.48543 .40025 L
.49 .40773 L
.49514 .41725 L
.49524 .41744 L
.49976 .42716 L
.50363 .43687 L
.50486 .44032 L
.50688 .44658 L
.50954 .45629 L
.51165 .46601 L
.51322 .47572 L
.51426 .48543 L
.51457 .49007 L
.51477 .49514 L
.51477 .50486 L
.51457 .50993 L
.51426 .51457 L
.51322 .52428 L
.51165 .53399 L
.50954 .54371 L
.50688 .55342 L
.50486 .55968 L
.50363 .56313 L
.49976 .57284 L
.49524 .58256 L
.49514 .58275 L
.49 .59227 L
.48543 .59975 L
.48397 .60198 L
.47702 .61169 L
.47572 .61336 L
.46898 .62141 L
.46601 .62465 L
.45959 .63112 L
.45629 .63416 L
.44836 .64083 L
.44658 .6422 L
.43687 .64896 L
.43433 .65054 L
.42716 .65457 L
.41744 .65911 L
.41463 .66026 L
.40773 .66263 L
.39802 .66517 L
.38831 .66672 L
.37859 .66728 L
.36888 .66683 L
.35917 .66532 L
.34946 .66269 L
.34286 .66026 L
.33974 .65885 L
.33003 .65367 L
.32518 .65054 L
.32032 .64698 L
.31304 .64083 L
.31061 .63851 L
.30361 .63112 L
.30089 .62789 L
.29591 .62141 L
.29118 .61446 L
.28945 .61169 L
.28395 .60198 L
.28147 .59702 L
.27926 .59227 L
.27524 .58256 L
.27181 .57284 L
.27176 .57268 L
.2689 .56313 L
.26648 .55342 L
.26451 .54371 L
.26297 .53399 L
.26204 .52656 L
.26182 .52428 L
.26106 .51457 L
.26068 .50486 L
.26068 .49514 L
.26106 .48543 L
.26182 .47572 L
.26204 .47344 L
.26297 .46601 L
.26451 .45629 L
.26648 .44658 L
.2689 .43687 L
.27176 .42732 L
.27181 .42716 L
.27524 .41744 L
.27926 .40773 L
.28147 .40298 L
.28395 .39802 L
.28945 .38831 L
.29118 .38554 L
.29591 .37859 L
.30089 .37211 L
.30361 .36888 L
.31061 .36149 L
.31304 .35917 L
.32032 .35302 L
.32518 .34946 L
.33003 .34633 L
.33974 .34115 L
.34286 .33974 L
F
0 g
.34946 .33731 m
.35917 .33468 L
.36888 .33317 L
.37859 .33272 L
.38831 .33328 L
.39802 .33483 L
.40773 .33737 L
.41463 .33974 L
.41744 .34089 L
.42716 .34543 L
.43433 .34946 L
.43687 .35104 L
.44658 .3578 L
.44836 .35917 L
.45629 .36584 L
.45959 .36888 L
.46601 .37535 L
.46898 .37859 L
.47572 .38664 L
.47702 .38831 L
.48397 .39802 L
.48543 .40025 L
.49 .40773 L
.49514 .41725 L
.49524 .41744 L
.49976 .42716 L
.50363 .43687 L
.50486 .44032 L
.50688 .44658 L
.50954 .45629 L
.51165 .46601 L
.51322 .47572 L
.51426 .48543 L
.51457 .49007 L
.51477 .49514 L
.51477 .50486 L
.51457 .50993 L
.51426 .51457 L
.51322 .52428 L
.51165 .53399 L
.50954 .54371 L
.50688 .55342 L
.50486 .55968 L
.50363 .56313 L
.49976 .57284 L
.49524 .58256 L
.49514 .58275 L
.49 .59227 L
.48543 .59975 L
.48397 .60198 L
Mistroke
.47702 .61169 L
.47572 .61336 L
.46898 .62141 L
.46601 .62465 L
.45959 .63112 L
.45629 .63416 L
.44836 .64083 L
.44658 .6422 L
.43687 .64896 L
.43433 .65054 L
.42716 .65457 L
.41744 .65911 L
.41463 .66026 L
.40773 .66263 L
.39802 .66517 L
.38831 .66672 L
.37859 .66728 L
.36888 .66683 L
.35917 .66532 L
.34946 .66269 L
.34286 .66026 L
.33974 .65885 L
.33003 .65367 L
.32518 .65054 L
.32032 .64698 L
.31304 .64083 L
.31061 .63851 L
.30361 .63112 L
.30089 .62789 L
.29591 .62141 L
.29118 .61446 L
.28945 .61169 L
.28395 .60198 L
.28147 .59702 L
.27926 .59227 L
.27524 .58256 L
.27181 .57284 L
.27176 .57268 L
.2689 .56313 L
.26648 .55342 L
.26451 .54371 L
.26297 .53399 L
.26204 .52656 L
.26182 .52428 L
.26106 .51457 L
.26068 .50486 L
.26068 .49514 L
.26106 .48543 L
.26182 .47572 L
.26204 .47344 L
Mistroke
.26297 .46601 L
.26451 .45629 L
.26648 .44658 L
.2689 .43687 L
.27176 .42732 L
.27181 .42716 L
.27524 .41744 L
.27926 .40773 L
.28147 .40298 L
.28395 .39802 L
.28945 .38831 L
.29118 .38554 L
.29591 .37859 L
.30089 .37211 L
.30361 .36888 L
.31061 .36149 L
.31304 .35917 L
.32032 .35302 L
.32518 .34946 L
.33003 .34633 L
.33974 .34115 L
.34286 .33974 L
.34946 .33731 L
Mfstroke
.025 .975 .6 r
.34946 .38751 m
.35917 .38374 L
.36888 .38161 L
.37859 .38097 L
.38831 .38176 L
.39802 .38396 L
.40773 .3876 L
.4093 .38831 L
.41744 .39276 L
.42513 .39802 L
.42716 .39962 L
.43613 .40773 L
.43687 .40849 L
.44467 .41744 L
.44658 .41996 L
.45153 .42716 L
.45629 .43531 L
.45712 .43687 L
.46166 .44658 L
.4653 .45629 L
.46601 .45844 L
.46813 .46601 L
.4702 .47572 L
.47157 .48543 L
.47224 .49514 L
.47224 .50486 L
.47157 .51457 L
.4702 .52428 L
.46813 .53399 L
.46601 .54156 L
.4653 .54371 L
.46166 .55342 L
.45712 .56313 L
.45629 .56469 L
.45153 .57284 L
.44658 .58004 L
.44467 .58256 L
.43687 .59151 L
.43613 .59227 L
.42716 .60038 L
.42513 .60198 L
.41744 .60724 L
.4093 .61169 L
.40773 .6124 L
.39802 .61604 L
.38831 .61824 L
.37859 .61903 L
.36888 .61839 L
.35917 .61626 L
.34946 .61249 L
.34781 .61169 L
.33974 .60686 L
.33333 .60198 L
.33003 .59899 L
.32359 .59227 L
.32032 .58825 L
.3162 .58256 L
.31061 .57329 L
.31037 .57284 L
.30566 .56313 L
.3019 .55342 L
.30089 .55042 L
.29891 .54371 L
.2966 .53399 L
.29491 .52428 L
.29381 .51457 L
.29327 .50486 L
.29327 .49514 L
.29381 .48543 L
.29491 .47572 L
.2966 .46601 L
.29891 .45629 L
.30089 .44958 L
.3019 .44658 L
.30566 .43687 L
.31037 .42716 L
.31061 .42671 L
.3162 .41744 L
.32032 .41175 L
.32359 .40773 L
.33003 .40101 L
.33333 .39802 L
.33974 .39314 L
.34781 .38831 L
F
0 g
.34946 .38751 m
.35917 .38374 L
.36888 .38161 L
.37859 .38097 L
.38831 .38176 L
.39802 .38396 L
.40773 .3876 L
.4093 .38831 L
.41744 .39276 L
.42513 .39802 L
.42716 .39962 L
.43613 .40773 L
.43687 .40849 L
.44467 .41744 L
.44658 .41996 L
.45153 .42716 L
.45629 .43531 L
.45712 .43687 L
.46166 .44658 L
.4653 .45629 L
.46601 .45844 L
.46813 .46601 L
.4702 .47572 L
.47157 .48543 L
.47224 .49514 L
.47224 .50486 L
.47157 .51457 L
.4702 .52428 L
.46813 .53399 L
.46601 .54156 L
.4653 .54371 L
.46166 .55342 L
.45712 .56313 L
.45629 .56469 L
.45153 .57284 L
.44658 .58004 L
.44467 .58256 L
.43687 .59151 L
.43613 .59227 L
.42716 .60038 L
.42513 .60198 L
.41744 .60724 L
.4093 .61169 L
.40773 .6124 L
.39802 .61604 L
.38831 .61824 L
.37859 .61903 L
.36888 .61839 L
.35917 .61626 L
.34946 .61249 L
Mistroke
.34781 .61169 L
.33974 .60686 L
.33333 .60198 L
.33003 .59899 L
.32359 .59227 L
.32032 .58825 L
.3162 .58256 L
.31061 .57329 L
.31037 .57284 L
.30566 .56313 L
.3019 .55342 L
.30089 .55042 L
.29891 .54371 L
.2966 .53399 L
.29491 .52428 L
.29381 .51457 L
.29327 .50486 L
.29327 .49514 L
.29381 .48543 L
.29491 .47572 L
.2966 .46601 L
.29891 .45629 L
.30089 .44958 L
.3019 .44658 L
.30566 .43687 L
.31037 .42716 L
.31061 .42671 L
.3162 .41744 L
.32032 .41175 L
.32359 .40773 L
.33003 .40101 L
.33333 .39802 L
.33974 .39314 L
.34781 .38831 L
.34946 .38751 L
Mfstroke
0 1 .6 r
.37859 .48066 m
.3869 .48543 L
.38831 .48717 L
.39296 .49514 L
.39296 .50486 L
.38831 .51283 L
.3869 .51457 L
.37859 .51934 L
.36921 .51457 L
.36888 .5142 L
.36458 .50486 L
.36458 .49514 L
.36888 .4858 L
.36921 .48543 L
F
0 g
.37859 .48066 m
.3869 .48543 L
.38831 .48717 L
.39296 .49514 L
.39296 .50486 L
.38831 .51283 L
.3869 .51457 L
.37859 .51934 L
.36921 .51457 L
.36888 .5142 L
.36458 .50486 L
.36458 .49514 L
.36888 .4858 L
.36921 .48543 L
.37859 .48066 L
s
.45 .55 .6 r
.98077 .16529 m
.97106 .17193 L
.96685 .17463 L
.96134 .178 L
.95163 .1835 L
.95005 .18434 L
.94192 .18841 L
.93221 .1927 L
.92885 .19406 L
.92249 .19639 L
.91278 .19945 L
.90307 .20189 L
.89336 .20371 L
.89309 .20377 L
.88364 .20492 L
.87393 .20553 L
.86422 .20555 L
.85451 .205 L
.84479 .20391 L
.84377 .20377 L
.83508 .2023 L
.82537 .2002 L
.81566 .19765 L
.80594 .19466 L
.80411 .19406 L
.79623 .19129 L
.78652 .18755 L
.77878 .18434 L
.77681 .18349 L
.76709 .17913 L
.75761 .17463 L
.75738 .17452 L
.74767 .16967 L
.73852 .16492 L
.73796 .16462 L
.72824 .1594 L
.72062 .15521 L
.71853 .15404 L
.70882 .14856 L
.70345 .14549 L
.69911 .14299 L
.68939 .13736 L
.6867 .13578 L
.67968 .13167 L
.67015 .12607 L
.66997 .12596 L
.66026 .12025 L
.65363 .11636 L
.65054 .11455 L
.64083 .10888 L
.63698 .10664 L
.63112 .10326 L
.62141 .09771 L
.62004 .09693 L
.61169 .09223 L
.60266 .08722 L
.60198 .08685 L
.59227 .08157 L
.58463 .07751 L
.58256 .07642 L
.57284 .07139 L
.56571 .06779 L
.56313 .06651 L
.55342 .06179 L
.54554 .05808 L
.54371 .05723 L
.53399 .05286 L
.52428 .04867 L
.52358 .04837 L
.51457 .04467 L
.50486 .04089 L
.49885 .03866 L
.49514 .03732 L
.48543 .03398 L
.47572 .03088 L
.46924 .02894 L
.46601 .02802 L
.45629 .02542 L
.44658 .02309 L
.43687 .02103 L
.42716 .01925 L
.42702 .01923 L
.98077 .01923 L
F
0 g
.98077 .16529 m
.97106 .17193 L
.96685 .17463 L
.96134 .178 L
.95163 .1835 L
.95005 .18434 L
.94192 .18841 L
.93221 .1927 L
.92885 .19406 L
.92249 .19639 L
.91278 .19945 L
.90307 .20189 L
.89336 .20371 L
.89309 .20377 L
.88364 .20492 L
.87393 .20553 L
.86422 .20555 L
.85451 .205 L
.84479 .20391 L
.84377 .20377 L
.83508 .2023 L
.82537 .2002 L
.81566 .19765 L
.80594 .19466 L
.80411 .19406 L
.79623 .19129 L
.78652 .18755 L
.77878 .18434 L
.77681 .18349 L
.76709 .17913 L
.75761 .17463 L
.75738 .17452 L
.74767 .16967 L
.73852 .16492 L
.73796 .16462 L
.72824 .1594 L
.72062 .15521 L
.71853 .15404 L
.70882 .14856 L
.70345 .14549 L
.69911 .14299 L
.68939 .13736 L
.6867 .13578 L
.67968 .13167 L
.67015 .12607 L
.66997 .12596 L
.66026 .12025 L
.65363 .11636 L
.65054 .11455 L
.64083 .10888 L
Mistroke
.63698 .10664 L
.63112 .10326 L
.62141 .09771 L
.62004 .09693 L
.61169 .09223 L
.60266 .08722 L
.60198 .08685 L
.59227 .08157 L
.58463 .07751 L
.58256 .07642 L
.57284 .07139 L
.56571 .06779 L
.56313 .06651 L
.55342 .06179 L
.54554 .05808 L
.54371 .05723 L
.53399 .05286 L
.52428 .04867 L
.52358 .04837 L
.51457 .04467 L
.50486 .04089 L
.49885 .03866 L
.49514 .03732 L
.48543 .03398 L
.47572 .03088 L
.46924 .02894 L
.46601 .02802 L
.45629 .02542 L
.44658 .02309 L
.43687 .02103 L
.42716 .01925 L
.42702 .01923 L
Mfstroke
.45 .55 .6 r
.98077 .83471 m
.97106 .82807 L
.96685 .82537 L
.96134 .822 L
.95163 .8165 L
.95005 .81566 L
.94192 .81159 L
.93221 .8073 L
.92885 .80594 L
.92249 .80361 L
.91278 .80055 L
.90307 .79811 L
.89336 .79629 L
.89309 .79623 L
.88364 .79508 L
.87393 .79447 L
.86422 .79445 L
.85451 .795 L
.84479 .79609 L
.84377 .79623 L
.83508 .7977 L
.82537 .7998 L
.81566 .80235 L
.80594 .80534 L
.80411 .80594 L
.79623 .80871 L
.78652 .81245 L
.77878 .81566 L
.77681 .81651 L
.76709 .82087 L
.75761 .82537 L
.75738 .82548 L
.74767 .83033 L
.73852 .83508 L
.73796 .83538 L
.72824 .8406 L
.72062 .84479 L
.71853 .84596 L
.70882 .85144 L
.70345 .85451 L
.69911 .85701 L
.68939 .86264 L
.6867 .86422 L
.67968 .86833 L
.67015 .87393 L
.66997 .87404 L
.66026 .87975 L
.65363 .88364 L
.65054 .88545 L
.64083 .89112 L
.63698 .89336 L
.63112 .89674 L
.62141 .90229 L
.62004 .90307 L
.61169 .90777 L
.60266 .91278 L
.60198 .91315 L
.59227 .91843 L
.58463 .92249 L
.58256 .92358 L
.57284 .92861 L
.56571 .93221 L
.56313 .93349 L
.55342 .93821 L
.54554 .94192 L
.54371 .94277 L
.53399 .94714 L
.52428 .95133 L
.52358 .95163 L
.51457 .95533 L
.50486 .95911 L
.49885 .96134 L
.49514 .96268 L
.48543 .96602 L
.47572 .96912 L
.46924 .97106 L
.46601 .97198 L
.45629 .97458 L
.44658 .97691 L
.43687 .97897 L
.42716 .98075 L
.42702 .98077 L
.98077 .98077 L
F
0 g
.98077 .83471 m
.97106 .82807 L
.96685 .82537 L
.96134 .822 L
.95163 .8165 L
.95005 .81566 L
.94192 .81159 L
.93221 .8073 L
.92885 .80594 L
.92249 .80361 L
.91278 .80055 L
.90307 .79811 L
.89336 .79629 L
.89309 .79623 L
.88364 .79508 L
.87393 .79447 L
.86422 .79445 L
.85451 .795 L
.84479 .79609 L
.84377 .79623 L
.83508 .7977 L
.82537 .7998 L
.81566 .80235 L
.80594 .80534 L
.80411 .80594 L
.79623 .80871 L
.78652 .81245 L
.77878 .81566 L
.77681 .81651 L
.76709 .82087 L
.75761 .82537 L
.75738 .82548 L
.74767 .83033 L
.73852 .83508 L
.73796 .83538 L
.72824 .8406 L
.72062 .84479 L
.71853 .84596 L
.70882 .85144 L
.70345 .85451 L
.69911 .85701 L
.68939 .86264 L
.6867 .86422 L
.67968 .86833 L
.67015 .87393 L
.66997 .87404 L
.66026 .87975 L
.65363 .88364 L
.65054 .88545 L
.64083 .89112 L
Mistroke
.63698 .89336 L
.63112 .89674 L
.62141 .90229 L
.62004 .90307 L
.61169 .90777 L
.60266 .91278 L
.60198 .91315 L
.59227 .91843 L
.58463 .92249 L
.58256 .92358 L
.57284 .92861 L
.56571 .93221 L
.56313 .93349 L
.55342 .93821 L
.54554 .94192 L
.54371 .94277 L
.53399 .94714 L
.52428 .95133 L
.52358 .95163 L
.51457 .95533 L
.50486 .95911 L
.49885 .96134 L
.49514 .96268 L
.48543 .96602 L
.47572 .96912 L
.46924 .97106 L
.46601 .97198 L
.45629 .97458 L
.44658 .97691 L
.43687 .97897 L
.42716 .98075 L
.42702 .98077 L
Mfstroke
.475 .525 .6 r
.98077 .14526 m
.98041 .14549 L
.97106 .15151 L
.96488 .15521 L
.96134 .15722 L
.95163 .16238 L
.94642 .16492 L
.94192 .16697 L
.93221 .17099 L
.92249 .17443 L
.92188 .17463 L
.91278 .17729 L
.90307 .17956 L
.89336 .18125 L
.88364 .18237 L
.87393 .18294 L
.86422 .18295 L
.85451 .18245 L
.84479 .18143 L
.83508 .17994 L
.82537 .17799 L
.81566 .1756 L
.81209 .17463 L
.80594 .17282 L
.79623 .16967 L
.78652 .16618 L
.78322 .16492 L
.77681 .16237 L
.76709 .15828 L
.76015 .15521 L
.75738 .15394 L
.74767 .14938 L
.73971 .14549 L
.73796 .14462 L
.72824 .13969 L
.72073 .13578 L
.71853 .13462 L
.70882 .12943 L
.70263 .12607 L
.69911 .12414 L
.68939 .11878 L
.68503 .11636 L
.67968 .11337 L
.66997 .10793 L
.66768 .10664 L
.66026 .10248 L
.65054 .09703 L
.65037 .09693 L
.64083 .0916 L
.63293 .08722 L
.63112 .08622 L
.62141 .08089 L
.61518 .07751 L
.61169 .07563 L
.60198 .07045 L
.59692 .06779 L
.59227 .06538 L
.58256 .06041 L
.57792 .05808 L
.57284 .05557 L
.56313 .05086 L
.55786 .04837 L
.55342 .0463 L
.54371 .0419 L
.5363 .03866 L
.53399 .03767 L
.52428 .03361 L
.51457 .02975 L
.51249 .02894 L
.50486 .02608 L
.49514 .02262 L
.48543 .01939 L
.48494 .01923 L
.98077 .01923 L
F
0 g
.98077 .14526 m
.98041 .14549 L
.97106 .15151 L
.96488 .15521 L
.96134 .15722 L
.95163 .16238 L
.94642 .16492 L
.94192 .16697 L
.93221 .17099 L
.92249 .17443 L
.92188 .17463 L
.91278 .17729 L
.90307 .17956 L
.89336 .18125 L
.88364 .18237 L
.87393 .18294 L
.86422 .18295 L
.85451 .18245 L
.84479 .18143 L
.83508 .17994 L
.82537 .17799 L
.81566 .1756 L
.81209 .17463 L
.80594 .17282 L
.79623 .16967 L
.78652 .16618 L
.78322 .16492 L
.77681 .16237 L
.76709 .15828 L
.76015 .15521 L
.75738 .15394 L
.74767 .14938 L
.73971 .14549 L
.73796 .14462 L
.72824 .13969 L
.72073 .13578 L
.71853 .13462 L
.70882 .12943 L
.70263 .12607 L
.69911 .12414 L
.68939 .11878 L
.68503 .11636 L
.67968 .11337 L
.66997 .10793 L
.66768 .10664 L
.66026 .10248 L
.65054 .09703 L
.65037 .09693 L
.64083 .0916 L
.63293 .08722 L
Mistroke
.63112 .08622 L
.62141 .08089 L
.61518 .07751 L
.61169 .07563 L
.60198 .07045 L
.59692 .06779 L
.59227 .06538 L
.58256 .06041 L
.57792 .05808 L
.57284 .05557 L
.56313 .05086 L
.55786 .04837 L
.55342 .0463 L
.54371 .0419 L
.5363 .03866 L
.53399 .03767 L
.52428 .03361 L
.51457 .02975 L
.51249 .02894 L
.50486 .02608 L
.49514 .02262 L
.48543 .01939 L
.48494 .01923 L
Mfstroke
.475 .525 .6 r
.98077 .85474 m
.98041 .85451 L
.97106 .84849 L
.96488 .84479 L
.96134 .84278 L
.95163 .83762 L
.94642 .83508 L
.94192 .83303 L
.93221 .82901 L
.92249 .82557 L
.92188 .82537 L
.91278 .82271 L
.90307 .82044 L
.89336 .81875 L
.88364 .81763 L
.87393 .81706 L
.86422 .81705 L
.85451 .81755 L
.84479 .81857 L
.83508 .82006 L
.82537 .82201 L
.81566 .8244 L
.81209 .82537 L
.80594 .82718 L
.79623 .83033 L
.78652 .83382 L
.78322 .83508 L
.77681 .83763 L
.76709 .84172 L
.76015 .84479 L
.75738 .84606 L
.74767 .85062 L
.73971 .85451 L
.73796 .85538 L
.72824 .86031 L
.72073 .86422 L
.71853 .86538 L
.70882 .87057 L
.70263 .87393 L
.69911 .87586 L
.68939 .88122 L
.68503 .88364 L
.67968 .88663 L
.66997 .89207 L
.66768 .89336 L
.66026 .89752 L
.65054 .90297 L
.65037 .90307 L
.64083 .9084 L
.63293 .91278 L
.63112 .91378 L
.62141 .91911 L
.61518 .92249 L
.61169 .92437 L
.60198 .92955 L
.59692 .93221 L
.59227 .93462 L
.58256 .93959 L
.57792 .94192 L
.57284 .94443 L
.56313 .94914 L
.55786 .95163 L
.55342 .9537 L
.54371 .9581 L
.5363 .96134 L
.53399 .96233 L
.52428 .96639 L
.51457 .97025 L
.51249 .97106 L
.50486 .97392 L
.49514 .97738 L
.48543 .98061 L
.48494 .98077 L
.98077 .98077 L
F
0 g
.98077 .85474 m
.98041 .85451 L
.97106 .84849 L
.96488 .84479 L
.96134 .84278 L
.95163 .83762 L
.94642 .83508 L
.94192 .83303 L
.93221 .82901 L
.92249 .82557 L
.92188 .82537 L
.91278 .82271 L
.90307 .82044 L
.89336 .81875 L
.88364 .81763 L
.87393 .81706 L
.86422 .81705 L
.85451 .81755 L
.84479 .81857 L
.83508 .82006 L
.82537 .82201 L
.81566 .8244 L
.81209 .82537 L
.80594 .82718 L
.79623 .83033 L
.78652 .83382 L
.78322 .83508 L
.77681 .83763 L
.76709 .84172 L
.76015 .84479 L
.75738 .84606 L
.74767 .85062 L
.73971 .85451 L
.73796 .85538 L
.72824 .86031 L
.72073 .86422 L
.71853 .86538 L
.70882 .87057 L
.70263 .87393 L
.69911 .87586 L
.68939 .88122 L
.68503 .88364 L
.67968 .88663 L
.66997 .89207 L
.66768 .89336 L
.66026 .89752 L
.65054 .90297 L
.65037 .90307 L
.64083 .9084 L
.63293 .91278 L
Mistroke
.63112 .91378 L
.62141 .91911 L
.61518 .92249 L
.61169 .92437 L
.60198 .92955 L
.59692 .93221 L
.59227 .93462 L
.58256 .93959 L
.57792 .94192 L
.57284 .94443 L
.56313 .94914 L
.55786 .95163 L
.55342 .9537 L
.54371 .9581 L
.5363 .96134 L
.53399 .96233 L
.52428 .96639 L
.51457 .97025 L
.51249 .97106 L
.50486 .97392 L
.49514 .97738 L
.48543 .98061 L
.48494 .98077 L
Mfstroke
.5 .5 .6 r
.98077 .12629 m
.97106 .13222 L
.96478 .13578 L
.96134 .13763 L
.95163 .14251 L
.94508 .14549 L
.94192 .14684 L
.93221 .15063 L
.92249 .15386 L
.91792 .15521 L
.91278 .15655 L
.90307 .15868 L
.89336 .16027 L
.88364 .16132 L
.87393 .16185 L
.86422 .16187 L
.85451 .16139 L
.84479 .16044 L
.83508 .15904 L
.82537 .1572 L
.81661 .15521 L
.81566 .15497 L
.80594 .15235 L
.79623 .14938 L
.78652 .14609 L
.78485 .14549 L
.77681 .1425 L
.76709 .13864 L
.76028 .13578 L
.75738 .13453 L
.74767 .13021 L
.73876 .12607 L
.73796 .12569 L
.72824 .12101 L
.71888 .11636 L
.71853 .11618 L
.70882 .11124 L
.69997 .10664 L
.69911 .10619 L
.68939 .10108 L
.68161 .09693 L
.67968 .0959 L
.66997 .09069 L
.66352 .08722 L
.66026 .08546 L
.65054 .08024 L
.64546 .07751 L
.64083 .07502 L
.63112 .06985 L
.62724 .06779 L
.62141 .06472 L
.61169 .05965 L
.60865 .05808 L
.60198 .05466 L
.59227 .04976 L
.58946 .04837 L
.58256 .04497 L
.57284 .04029 L
.56939 .03866 L
.56313 .03574 L
.55342 .03132 L
.54804 .02894 L
.54371 .02706 L
.53399 .02296 L
.52479 .01923 L
.98077 .01923 L
F
0 g
.98077 .12629 m
.97106 .13222 L
.96478 .13578 L
.96134 .13763 L
.95163 .14251 L
.94508 .14549 L
.94192 .14684 L
.93221 .15063 L
.92249 .15386 L
.91792 .15521 L
.91278 .15655 L
.90307 .15868 L
.89336 .16027 L
.88364 .16132 L
.87393 .16185 L
.86422 .16187 L
.85451 .16139 L
.84479 .16044 L
.83508 .15904 L
.82537 .1572 L
.81661 .15521 L
.81566 .15497 L
.80594 .15235 L
.79623 .14938 L
.78652 .14609 L
.78485 .14549 L
.77681 .1425 L
.76709 .13864 L
.76028 .13578 L
.75738 .13453 L
.74767 .13021 L
.73876 .12607 L
.73796 .12569 L
.72824 .12101 L
.71888 .11636 L
.71853 .11618 L
.70882 .11124 L
.69997 .10664 L
.69911 .10619 L
.68939 .10108 L
.68161 .09693 L
.67968 .0959 L
.66997 .09069 L
.66352 .08722 L
.66026 .08546 L
.65054 .08024 L
.64546 .07751 L
.64083 .07502 L
.63112 .06985 L
.62724 .06779 L
Mistroke
.62141 .06472 L
.61169 .05965 L
.60865 .05808 L
.60198 .05466 L
.59227 .04976 L
.58946 .04837 L
.58256 .04497 L
.57284 .04029 L
.56939 .03866 L
.56313 .03574 L
.55342 .03132 L
.54804 .02894 L
.54371 .02706 L
.53399 .02296 L
.52479 .01923 L
Mfstroke
.5 .5 .6 r
.98077 .87371 m
.97106 .86778 L
.96478 .86422 L
.96134 .86237 L
.95163 .85749 L
.94508 .85451 L
.94192 .85316 L
.93221 .84937 L
.92249 .84614 L
.91792 .84479 L
.91278 .84345 L
.90307 .84132 L
.89336 .83973 L
.88364 .83868 L
.87393 .83815 L
.86422 .83813 L
.85451 .83861 L
.84479 .83956 L
.83508 .84096 L
.82537 .8428 L
.81661 .84479 L
.81566 .84503 L
.80594 .84765 L
.79623 .85062 L
.78652 .85391 L
.78485 .85451 L
.77681 .8575 L
.76709 .86136 L
.76028 .86422 L
.75738 .86547 L
.74767 .86979 L
.73876 .87393 L
.73796 .87431 L
.72824 .87899 L
.71888 .88364 L
.71853 .88382 L
.70882 .88876 L
.69997 .89336 L
.69911 .89381 L
.68939 .89892 L
.68161 .90307 L
.67968 .9041 L
.66997 .90931 L
.66352 .91278 L
.66026 .91454 L
.65054 .91976 L
.64546 .92249 L
.64083 .92498 L
.63112 .93015 L
.62724 .93221 L
.62141 .93528 L
.61169 .94035 L
.60865 .94192 L
.60198 .94534 L
.59227 .95024 L
.58946 .95163 L
.58256 .95503 L
.57284 .95971 L
.56939 .96134 L
.56313 .96426 L
.55342 .96868 L
.54804 .97106 L
.54371 .97294 L
.53399 .97704 L
.52479 .98077 L
.98077 .98077 L
F
0 g
.98077 .87371 m
.97106 .86778 L
.96478 .86422 L
.96134 .86237 L
.95163 .85749 L
.94508 .85451 L
.94192 .85316 L
.93221 .84937 L
.92249 .84614 L
.91792 .84479 L
.91278 .84345 L
.90307 .84132 L
.89336 .83973 L
.88364 .83868 L
.87393 .83815 L
.86422 .83813 L
.85451 .83861 L
.84479 .83956 L
.83508 .84096 L
.82537 .8428 L
.81661 .84479 L
.81566 .84503 L
.80594 .84765 L
.79623 .85062 L
.78652 .85391 L
.78485 .85451 L
.77681 .8575 L
.76709 .86136 L
.76028 .86422 L
.75738 .86547 L
.74767 .86979 L
.73876 .87393 L
.73796 .87431 L
.72824 .87899 L
.71888 .88364 L
.71853 .88382 L
.70882 .88876 L
.69997 .89336 L
.69911 .89381 L
.68939 .89892 L
.68161 .90307 L
.67968 .9041 L
.66997 .90931 L
.66352 .91278 L
.66026 .91454 L
.65054 .91976 L
.64546 .92249 L
.64083 .92498 L
.63112 .93015 L
.62724 .93221 L
Mistroke
.62141 .93528 L
.61169 .94035 L
.60865 .94192 L
.60198 .94534 L
.59227 .95024 L
.58946 .95163 L
.58256 .95503 L
.57284 .95971 L
.56939 .96134 L
.56313 .96426 L
.55342 .96868 L
.54804 .97106 L
.54371 .97294 L
.53399 .97704 L
.52479 .98077 L
Mfstroke
.525 .475 .6 r
.98077 .10824 m
.97106 .1139 L
.96654 .11636 L
.96134 .11904 L
.95163 .12368 L
.94615 .12607 L
.94192 .1278 L
.93221 .13139 L
.92249 .13445 L
.9177 .13578 L
.91278 .13699 L
.90307 .13901 L
.89336 .14051 L
.88364 .14151 L
.87393 .14201 L
.86422 .14202 L
.85451 .14157 L
.84479 .14067 L
.83508 .13935 L
.82537 .13761 L
.81686 .13578 L
.81566 .1355 L
.80594 .13302 L
.79623 .13021 L
.78652 .12708 L
.78355 .12607 L
.77681 .12367 L
.76709 .12 L
.75802 .11636 L
.75738 .11609 L
.74767 .11198 L
.73796 .10767 L
.7357 .10664 L
.72824 .1032 L
.71853 .09859 L
.7151 .09693 L
.70882 .09386 L
.69911 .08903 L
.69551 .08722 L
.68939 .08412 L
.67968 .07915 L
.67647 .07751 L
.66997 .07415 L
.66026 .06912 L
.65769 .06779 L
.65054 .06409 L
.64083 .05907 L
.63891 .05808 L
.63112 .05408 L
.62141 .04913 L
.61991 .04837 L
.61169 .04424 L
.60198 .03941 L
.60044 .03866 L
.59227 .03467 L
.58256 .03003 L
.58024 .02894 L
.57284 .0255 L
.56313 .02109 L
.55895 .01923 L
.98077 .01923 L
F
0 g
.98077 .10824 m
.97106 .1139 L
.96654 .11636 L
.96134 .11904 L
.95163 .12368 L
.94615 .12607 L
.94192 .1278 L
.93221 .13139 L
.92249 .13445 L
.9177 .13578 L
.91278 .13699 L
.90307 .13901 L
.89336 .14051 L
.88364 .14151 L
.87393 .14201 L
.86422 .14202 L
.85451 .14157 L
.84479 .14067 L
.83508 .13935 L
.82537 .13761 L
.81686 .13578 L
.81566 .1355 L
.80594 .13302 L
.79623 .13021 L
.78652 .12708 L
.78355 .12607 L
.77681 .12367 L
.76709 .12 L
.75802 .11636 L
.75738 .11609 L
.74767 .11198 L
.73796 .10767 L
.7357 .10664 L
.72824 .1032 L
.71853 .09859 L
.7151 .09693 L
.70882 .09386 L
.69911 .08903 L
.69551 .08722 L
.68939 .08412 L
.67968 .07915 L
.67647 .07751 L
.66997 .07415 L
.66026 .06912 L
.65769 .06779 L
.65054 .06409 L
.64083 .05907 L
.63891 .05808 L
.63112 .05408 L
.62141 .04913 L
Mistroke
.61991 .04837 L
.61169 .04424 L
.60198 .03941 L
.60044 .03866 L
.59227 .03467 L
.58256 .03003 L
.58024 .02894 L
.57284 .0255 L
.56313 .02109 L
.55895 .01923 L
Mfstroke
.525 .475 .6 r
.98077 .89176 m
.97106 .8861 L
.96654 .88364 L
.96134 .88096 L
.95163 .87632 L
.94615 .87393 L
.94192 .8722 L
.93221 .86861 L
.92249 .86555 L
.9177 .86422 L
.91278 .86301 L
.90307 .86099 L
.89336 .85949 L
.88364 .85849 L
.87393 .85799 L
.86422 .85798 L
.85451 .85843 L
.84479 .85933 L
.83508 .86065 L
.82537 .86239 L
.81686 .86422 L
.81566 .8645 L
.80594 .86698 L
.79623 .86979 L
.78652 .87292 L
.78355 .87393 L
.77681 .87633 L
.76709 .88 L
.75802 .88364 L
.75738 .88391 L
.74767 .88802 L
.73796 .89233 L
.7357 .89336 L
.72824 .8968 L
.71853 .90141 L
.7151 .90307 L
.70882 .90614 L
.69911 .91097 L
.69551 .91278 L
.68939 .91588 L
.67968 .92085 L
.67647 .92249 L
.66997 .92585 L
.66026 .93088 L
.65769 .93221 L
.65054 .93591 L
.64083 .94093 L
.63891 .94192 L
.63112 .94592 L
.62141 .95087 L
.61991 .95163 L
.61169 .95576 L
.60198 .96059 L
.60044 .96134 L
.59227 .96533 L
.58256 .96997 L
.58024 .97106 L
.57284 .9745 L
.56313 .97891 L
.55895 .98077 L
.98077 .98077 L
F
0 g
.98077 .89176 m
.97106 .8861 L
.96654 .88364 L
.96134 .88096 L
.95163 .87632 L
.94615 .87393 L
.94192 .8722 L
.93221 .86861 L
.92249 .86555 L
.9177 .86422 L
.91278 .86301 L
.90307 .86099 L
.89336 .85949 L
.88364 .85849 L
.87393 .85799 L
.86422 .85798 L
.85451 .85843 L
.84479 .85933 L
.83508 .86065 L
.82537 .86239 L
.81686 .86422 L
.81566 .8645 L
.80594 .86698 L
.79623 .86979 L
.78652 .87292 L
.78355 .87393 L
.77681 .87633 L
.76709 .88 L
.75802 .88364 L
.75738 .88391 L
.74767 .88802 L
.73796 .89233 L
.7357 .89336 L
.72824 .8968 L
.71853 .90141 L
.7151 .90307 L
.70882 .90614 L
.69911 .91097 L
.69551 .91278 L
.68939 .91588 L
.67968 .92085 L
.67647 .92249 L
.66997 .92585 L
.66026 .93088 L
.65769 .93221 L
.65054 .93591 L
.64083 .94093 L
.63891 .94192 L
.63112 .94592 L
.62141 .95087 L
Mistroke
.61991 .95163 L
.61169 .95576 L
.60198 .96059 L
.60044 .96134 L
.59227 .96533 L
.58256 .96997 L
.58024 .97106 L
.57284 .9745 L
.56313 .97891 L
.55895 .98077 L
Mfstroke
.55 .45 .6 r
.98077 .09099 m
.97106 .0964 L
.97006 .09693 L
.96134 .10132 L
.95163 .10575 L
.94954 .10664 L
.94192 .10968 L
.93221 .1131 L
.92249 .11602 L
.92127 .11636 L
.91278 .11844 L
.90307 .12036 L
.89336 .12179 L
.88364 .12273 L
.87393 .12321 L
.86422 .12322 L
.85451 .12279 L
.84479 .12194 L
.83508 .12068 L
.82537 .11903 L
.81566 .11701 L
.81279 .11636 L
.80594 .11466 L
.79623 .11198 L
.78652 .109 L
.77941 .10664 L
.77681 .10574 L
.76709 .10224 L
.75738 .0985 L
.75344 .09693 L
.74767 .09456 L
.73796 .09044 L
.73062 .08722 L
.72824 .08616 L
.71853 .08173 L
.70948 .07751 L
.70882 .07719 L
.69911 .07255 L
.68939 .06783 L
.68932 .06779 L
.67968 .06305 L
.66997 .05823 L
.66968 .05808 L
.66026 .05338 L
.65054 .04852 L
.65024 .04837 L
.64083 .04367 L
.63112 .03885 L
.63073 .03866 L
.62141 .03406 L
.61169 .02932 L
.61091 .02894 L
.60198 .02465 L
.59227 .02006 L
.5905 .01923 L
.98077 .01923 L
F
0 g
.98077 .09099 m
.97106 .0964 L
.97006 .09693 L
.96134 .10132 L
.95163 .10575 L
.94954 .10664 L
.94192 .10968 L
.93221 .1131 L
.92249 .11602 L
.92127 .11636 L
.91278 .11844 L
.90307 .12036 L
.89336 .12179 L
.88364 .12273 L
.87393 .12321 L
.86422 .12322 L
.85451 .12279 L
.84479 .12194 L
.83508 .12068 L
.82537 .11903 L
.81566 .11701 L
.81279 .11636 L
.80594 .11466 L
.79623 .11198 L
.78652 .109 L
.77941 .10664 L
.77681 .10574 L
.76709 .10224 L
.75738 .0985 L
.75344 .09693 L
.74767 .09456 L
.73796 .09044 L
.73062 .08722 L
.72824 .08616 L
.71853 .08173 L
.70948 .07751 L
.70882 .07719 L
.69911 .07255 L
.68939 .06783 L
.68932 .06779 L
.67968 .06305 L
.66997 .05823 L
.66968 .05808 L
.66026 .05338 L
.65054 .04852 L
.65024 .04837 L
.64083 .04367 L
.63112 .03885 L
.63073 .03866 L
.62141 .03406 L
Mistroke
.61169 .02932 L
.61091 .02894 L
.60198 .02465 L
.59227 .02006 L
.5905 .01923 L
Mfstroke
.55 .45 .6 r
.98077 .90901 m
.97106 .9036 L
.97006 .90307 L
.96134 .89868 L
.95163 .89425 L
.94954 .89336 L
.94192 .89032 L
.93221 .8869 L
.92249 .88398 L
.92127 .88364 L
.91278 .88156 L
.90307 .87964 L
.89336 .87821 L
.88364 .87727 L
.87393 .87679 L
.86422 .87678 L
.85451 .87721 L
.84479 .87806 L
.83508 .87932 L
.82537 .88097 L
.81566 .88299 L
.81279 .88364 L
.80594 .88534 L
.79623 .88802 L
.78652 .891 L
.77941 .89336 L
.77681 .89426 L
.76709 .89776 L
.75738 .9015 L
.75344 .90307 L
.74767 .90544 L
.73796 .90956 L
.73062 .91278 L
.72824 .91384 L
.71853 .91827 L
.70948 .92249 L
.70882 .92281 L
.69911 .92745 L
.68939 .93217 L
.68932 .93221 L
.67968 .93695 L
.66997 .94177 L
.66968 .94192 L
.66026 .94662 L
.65054 .95148 L
.65024 .95163 L
.64083 .95633 L
.63112 .96115 L
.63073 .96134 L
.62141 .96594 L
.61169 .97068 L
.61091 .97106 L
.60198 .97535 L
.59227 .97994 L
.5905 .98077 L
.98077 .98077 L
F
0 g
.98077 .90901 m
.97106 .9036 L
.97006 .90307 L
.96134 .89868 L
.95163 .89425 L
.94954 .89336 L
.94192 .89032 L
.93221 .8869 L
.92249 .88398 L
.92127 .88364 L
.91278 .88156 L
.90307 .87964 L
.89336 .87821 L
.88364 .87727 L
.87393 .87679 L
.86422 .87678 L
.85451 .87721 L
.84479 .87806 L
.83508 .87932 L
.82537 .88097 L
.81566 .88299 L
.81279 .88364 L
.80594 .88534 L
.79623 .88802 L
.78652 .891 L
.77941 .89336 L
.77681 .89426 L
.76709 .89776 L
.75738 .9015 L
.75344 .90307 L
.74767 .90544 L
.73796 .90956 L
.73062 .91278 L
.72824 .91384 L
.71853 .91827 L
.70948 .92249 L
.70882 .92281 L
.69911 .92745 L
.68939 .93217 L
.68932 .93221 L
.67968 .93695 L
.66997 .94177 L
.66968 .94192 L
.66026 .94662 L
.65054 .95148 L
.65024 .95163 L
.64083 .95633 L
.63112 .96115 L
.63073 .96134 L
.62141 .96594 L
Mistroke
.61169 .97068 L
.61091 .97106 L
.60198 .97535 L
.59227 .97994 L
.5905 .98077 L
Mfstroke
.575 .425 .6 r
.98077 .07444 m
.97514 .07751 L
.97106 .07964 L
.96134 .08436 L
.95493 .08722 L
.95163 .0886 L
.94192 .09237 L
.93221 .09564 L
.92795 .09693 L
.92249 .09843 L
.91278 .10075 L
.90307 .10258 L
.89336 .10394 L
.88364 .10485 L
.87393 .1053 L
.86422 .10531 L
.85451 .1049 L
.84479 .10409 L
.83508 .10289 L
.82537 .10131 L
.81566 .09938 L
.80594 .09713 L
.80515 .09693 L
.79623 .09456 L
.78652 .09171 L
.77681 .0886 L
.77274 .08722 L
.76709 .08524 L
.75738 .08165 L
.74767 .07787 L
.74676 .07751 L
.73796 .07391 L
.72824 .06979 L
.72365 .06779 L
.71853 .06553 L
.70882 .06116 L
.70212 .05808 L
.69911 .05669 L
.68939 .05213 L
.68146 .04837 L
.67968 .04752 L
.66997 .04286 L
.66126 .03866 L
.66026 .03817 L
.65054 .03347 L
.64117 .02894 L
.64083 .02878 L
.63112 .0241 L
.62141 .01946 L
.62092 .01923 L
.98077 .01923 L
F
0 g
.98077 .07444 m
.97514 .07751 L
.97106 .07964 L
.96134 .08436 L
.95493 .08722 L
.95163 .0886 L
.94192 .09237 L
.93221 .09564 L
.92795 .09693 L
.92249 .09843 L
.91278 .10075 L
.90307 .10258 L
.89336 .10394 L
.88364 .10485 L
.87393 .1053 L
.86422 .10531 L
.85451 .1049 L
.84479 .10409 L
.83508 .10289 L
.82537 .10131 L
.81566 .09938 L
.80594 .09713 L
.80515 .09693 L
.79623 .09456 L
.78652 .09171 L
.77681 .0886 L
.77274 .08722 L
.76709 .08524 L
.75738 .08165 L
.74767 .07787 L
.74676 .07751 L
.73796 .07391 L
.72824 .06979 L
.72365 .06779 L
.71853 .06553 L
.70882 .06116 L
.70212 .05808 L
.69911 .05669 L
.68939 .05213 L
.68146 .04837 L
.67968 .04752 L
.66997 .04286 L
.66126 .03866 L
.66026 .03817 L
.65054 .03347 L
.64117 .02894 L
.64083 .02878 L
.63112 .0241 L
.62141 .01946 L
.62092 .01923 L
Mistroke
Mfstroke
.575 .425 .6 r
.98077 .92556 m
.97514 .92249 L
.97106 .92036 L
.96134 .91564 L
.95493 .91278 L
.95163 .9114 L
.94192 .90763 L
.93221 .90436 L
.92795 .90307 L
.92249 .90157 L
.91278 .89925 L
.90307 .89742 L
.89336 .89606 L
.88364 .89515 L
.87393 .8947 L
.86422 .89469 L
.85451 .8951 L
.84479 .89591 L
.83508 .89711 L
.82537 .89869 L
.81566 .90062 L
.80594 .90287 L
.80515 .90307 L
.79623 .90544 L
.78652 .90829 L
.77681 .9114 L
.77274 .91278 L
.76709 .91476 L
.75738 .91835 L
.74767 .92213 L
.74676 .92249 L
.73796 .92609 L
.72824 .93021 L
.72365 .93221 L
.71853 .93447 L
.70882 .93884 L
.70212 .94192 L
.69911 .94331 L
.68939 .94787 L
.68146 .95163 L
.67968 .95248 L
.66997 .95714 L
.66126 .96134 L
.66026 .96183 L
.65054 .96653 L
.64117 .97106 L
.64083 .97122 L
.63112 .9759 L
.62141 .98054 L
.62092 .98077 L
.98077 .98077 L
F
0 g
.98077 .92556 m
.97514 .92249 L
.97106 .92036 L
.96134 .91564 L
.95493 .91278 L
.95163 .9114 L
.94192 .90763 L
.93221 .90436 L
.92795 .90307 L
.92249 .90157 L
.91278 .89925 L
.90307 .89742 L
.89336 .89606 L
.88364 .89515 L
.87393 .8947 L
.86422 .89469 L
.85451 .8951 L
.84479 .89591 L
.83508 .89711 L
.82537 .89869 L
.81566 .90062 L
.80594 .90287 L
.80515 .90307 L
.79623 .90544 L
.78652 .90829 L
.77681 .9114 L
.77274 .91278 L
.76709 .91476 L
.75738 .91835 L
.74767 .92213 L
.74676 .92249 L
.73796 .92609 L
.72824 .93021 L
.72365 .93221 L
.71853 .93447 L
.70882 .93884 L
.70212 .94192 L
.69911 .94331 L
.68939 .94787 L
.68146 .95163 L
.67968 .95248 L
.66997 .95714 L
.66126 .96134 L
.66026 .96183 L
.65054 .96653 L
.64117 .97106 L
.64083 .97122 L
.63112 .9759 L
.62141 .98054 L
.62092 .98077 L
Mistroke
Mfstroke
.6 .4 .6 r
.98077 .0585 m
.97106 .06351 L
.96194 .06779 L
.96134 .06806 L
.95163 .07214 L
.94192 .07576 L
.93672 .07751 L
.93221 .07891 L
.92249 .08159 L
.91278 .0838 L
.90307 .08556 L
.89336 .08687 L
.89056 .08722 L
.88364 .08774 L
.87393 .08817 L
.86422 .08818 L
.85451 .08779 L
.84653 .08722 L
.84479 .08701 L
.83508 .08586 L
.82537 .08435 L
.81566 .0825 L
.80594 .08033 L
.79623 .07787 L
.79488 .07751 L
.78652 .07513 L
.77681 .07214 L
.76709 .0689 L
.7639 .06779 L
.75738 .06546 L
.74767 .06181 L
.73817 .05808 L
.73796 .058 L
.72824 .05402 L
.71853 .04991 L
.71495 .04837 L
.70882 .04569 L
.69911 .04137 L
.6931 .03866 L
.68939 .03697 L
.67968 .0325 L
.67202 .02894 L
.66997 .02799 L
.66026 .02345 L
.65126 .01923 L
.98077 .01923 L
F
0 g
.98077 .0585 m
.97106 .06351 L
.96194 .06779 L
.96134 .06806 L
.95163 .07214 L
.94192 .07576 L
.93672 .07751 L
.93221 .07891 L
.92249 .08159 L
.91278 .0838 L
.90307 .08556 L
.89336 .08687 L
.89056 .08722 L
.88364 .08774 L
.87393 .08817 L
.86422 .08818 L
.85451 .08779 L
.84653 .08722 L
.84479 .08701 L
.83508 .08586 L
.82537 .08435 L
.81566 .0825 L
.80594 .08033 L
.79623 .07787 L
.79488 .07751 L
.78652 .07513 L
.77681 .07214 L
.76709 .0689 L
.7639 .06779 L
.75738 .06546 L
.74767 .06181 L
.73817 .05808 L
.73796 .058 L
.72824 .05402 L
.71853 .04991 L
.71495 .04837 L
.70882 .04569 L
.69911 .04137 L
.6931 .03866 L
.68939 .03697 L
.67968 .0325 L
.67202 .02894 L
.66997 .02799 L
.66026 .02345 L
.65126 .01923 L
s
.6 .4 .6 r
.98077 .9415 m
.97106 .93649 L
.96194 .93221 L
.96134 .93194 L
.95163 .92786 L
.94192 .92424 L
.93672 .92249 L
.93221 .92109 L
.92249 .91841 L
.91278 .9162 L
.90307 .91444 L
.89336 .91313 L
.89056 .91278 L
.88364 .91226 L
.87393 .91183 L
.86422 .91182 L
.85451 .91221 L
.84653 .91278 L
.84479 .91299 L
.83508 .91414 L
.82537 .91565 L
.81566 .9175 L
.80594 .91967 L
.79623 .92213 L
.79488 .92249 L
.78652 .92487 L
.77681 .92786 L
.76709 .9311 L
.7639 .93221 L
.75738 .93454 L
.74767 .93819 L
.73817 .94192 L
.73796 .942 L
.72824 .94598 L
.71853 .95009 L
.71495 .95163 L
.70882 .95431 L
.69911 .95863 L
.6931 .96134 L
.68939 .96303 L
.67968 .9675 L
.67202 .97106 L
.66997 .97201 L
.66026 .97655 L
.65126 .98077 L
.98077 .98077 L
F
0 g
.98077 .9415 m
.97106 .93649 L
.96194 .93221 L
.96134 .93194 L
.95163 .92786 L
.94192 .92424 L
.93672 .92249 L
.93221 .92109 L
.92249 .91841 L
.91278 .9162 L
.90307 .91444 L
.89336 .91313 L
.89056 .91278 L
.88364 .91226 L
.87393 .91183 L
.86422 .91182 L
.85451 .91221 L
.84653 .91278 L
.84479 .91299 L
.83508 .91414 L
.82537 .91565 L
.81566 .9175 L
.80594 .91967 L
.79623 .92213 L
.79488 .92249 L
.78652 .92487 L
.77681 .92786 L
.76709 .9311 L
.7639 .93221 L
.75738 .93454 L
.74767 .93819 L
.73817 .94192 L
.73796 .942 L
.72824 .94598 L
.71853 .95009 L
.71495 .95163 L
.70882 .95431 L
.69911 .95863 L
.6931 .96134 L
.68939 .96303 L
.67968 .9675 L
.67202 .97106 L
.66997 .97201 L
.66026 .97655 L
.65126 .98077 L
s
.625 .375 .6 r
.98077 .04313 m
.97106 .04796 L
.9702 .04837 L
.96134 .05235 L
.95163 .05629 L
.94681 .05808 L
.94192 .05978 L
.93221 .06281 L
.92249 .06539 L
.91278 .06753 L
.91143 .06779 L
.90307 .06922 L
.89336 .07048 L
.88364 .07131 L
.87393 .07173 L
.86422 .07174 L
.85451 .07136 L
.84479 .07061 L
.83508 .0695 L
.82537 .06805 L
.82386 .06779 L
.81566 .06627 L
.80594 .06418 L
.79623 .06181 L
.78652 .05917 L
.78275 .05808 L
.77681 .05628 L
.76709 .05317 L
.75738 .04984 L
.75326 .04837 L
.74767 .04632 L
.73796 .04263 L
.72824 .03879 L
.7279 .03866 L
.71853 .03482 L
.70882 .03073 L
.70464 .02894 L
.69911 .02655 L
.68939 .02228 L
.68254 .01923 L
.98077 .01923 L
F
0 g
.98077 .04313 m
.97106 .04796 L
.9702 .04837 L
.96134 .05235 L
.95163 .05629 L
.94681 .05808 L
.94192 .05978 L
.93221 .06281 L
.92249 .06539 L
.91278 .06753 L
.91143 .06779 L
.90307 .06922 L
.89336 .07048 L
.88364 .07131 L
.87393 .07173 L
.86422 .07174 L
.85451 .07136 L
.84479 .07061 L
.83508 .0695 L
.82537 .06805 L
.82386 .06779 L
.81566 .06627 L
.80594 .06418 L
.79623 .06181 L
.78652 .05917 L
.78275 .05808 L
.77681 .05628 L
.76709 .05317 L
.75738 .04984 L
.75326 .04837 L
.74767 .04632 L
.73796 .04263 L
.72824 .03879 L
.7279 .03866 L
.71853 .03482 L
.70882 .03073 L
.70464 .02894 L
.69911 .02655 L
.68939 .02228 L
.68254 .01923 L
s
.625 .375 .6 r
.98077 .95687 m
.97106 .95204 L
.9702 .95163 L
.96134 .94765 L
.95163 .94371 L
.94681 .94192 L
.94192 .94022 L
.93221 .93719 L
.92249 .93461 L
.91278 .93247 L
.91143 .93221 L
.90307 .93078 L
.89336 .92952 L
.88364 .92869 L
.87393 .92827 L
.86422 .92826 L
.85451 .92864 L
.84479 .92939 L
.83508 .9305 L
.82537 .93195 L
.82386 .93221 L
.81566 .93373 L
.80594 .93582 L
.79623 .93819 L
.78652 .94083 L
.78275 .94192 L
.77681 .94372 L
.76709 .94683 L
.75738 .95016 L
.75326 .95163 L
.74767 .95368 L
.73796 .95737 L
.72824 .96121 L
.7279 .96134 L
.71853 .96518 L
.70882 .96927 L
.70464 .97106 L
.69911 .97345 L
.68939 .97772 L
.68254 .98077 L
.98077 .98077 L
F
0 g
.98077 .95687 m
.97106 .95204 L
.9702 .95163 L
.96134 .94765 L
.95163 .94371 L
.94681 .94192 L
.94192 .94022 L
.93221 .93719 L
.92249 .93461 L
.91278 .93247 L
.91143 .93221 L
.90307 .93078 L
.89336 .92952 L
.88364 .92869 L
.87393 .92827 L
.86422 .92826 L
.85451 .92864 L
.84479 .92939 L
.83508 .9305 L
.82537 .93195 L
.82386 .93221 L
.81566 .93373 L
.80594 .93582 L
.79623 .93819 L
.78652 .94083 L
.78275 .94192 L
.77681 .94372 L
.76709 .94683 L
.75738 .95016 L
.75326 .95163 L
.74767 .95368 L
.73796 .95737 L
.72824 .96121 L
.7279 .96134 L
.71853 .96518 L
.70882 .96927 L
.70464 .97106 L
.69911 .97345 L
.68939 .97772 L
.68254 .98077 L
s
.65 .35 .6 r
.98077 .02825 m
.97938 .02894 L
.97106 .03293 L
.96134 .03718 L
.95772 .03866 L
.95163 .04099 L
.94192 .04436 L
.93221 .04729 L
.92821 .04837 L
.92249 .04978 L
.91278 .05184 L
.90307 .05347 L
.89336 .05468 L
.88364 .05549 L
.87393 .05589 L
.86422 .0559 L
.85451 .05554 L
.84479 .05481 L
.83508 .05374 L
.82537 .05234 L
.81566 .05063 L
.80594 .04861 L
.80484 .04837 L
.79623 .04632 L
.78652 .04377 L
.77681 .04098 L
.76925 .03866 L
.76709 .03797 L
.75738 .03475 L
.74767 .03134 L
.74109 .02894 L
.73796 .02777 L
.72824 .02405 L
.71853 .0202 L
.71613 .01923 L
.98077 .01923 L
F
0 g
.98077 .02825 m
.97938 .02894 L
.97106 .03293 L
.96134 .03718 L
.95772 .03866 L
.95163 .04099 L
.94192 .04436 L
.93221 .04729 L
.92821 .04837 L
.92249 .04978 L
.91278 .05184 L
.90307 .05347 L
.89336 .05468 L
.88364 .05549 L
.87393 .05589 L
.86422 .0559 L
.85451 .05554 L
.84479 .05481 L
.83508 .05374 L
.82537 .05234 L
.81566 .05063 L
.80594 .04861 L
.80484 .04837 L
.79623 .04632 L
.78652 .04377 L
.77681 .04098 L
.76925 .03866 L
.76709 .03797 L
.75738 .03475 L
.74767 .03134 L
.74109 .02894 L
.73796 .02777 L
.72824 .02405 L
.71853 .0202 L
.71613 .01923 L
s
.65 .35 .6 r
.98077 .97175 m
.97938 .97106 L
.97106 .96707 L
.96134 .96282 L
.95772 .96134 L
.95163 .95901 L
.94192 .95564 L
.93221 .95271 L
.92821 .95163 L
.92249 .95022 L
.91278 .94816 L
.90307 .94653 L
.89336 .94532 L
.88364 .94451 L
.87393 .94411 L
.86422 .9441 L
.85451 .94446 L
.84479 .94519 L
.83508 .94626 L
.82537 .94766 L
.81566 .94937 L
.80594 .95139 L
.80484 .95163 L
.79623 .95368 L
.78652 .95623 L
.77681 .95902 L
.76925 .96134 L
.76709 .96203 L
.75738 .96525 L
.74767 .96866 L
.74109 .97106 L
.73796 .97223 L
.72824 .97595 L
.71853 .9798 L
.71613 .98077 L
.98077 .98077 L
F
0 g
.98077 .97175 m
.97938 .97106 L
.97106 .96707 L
.96134 .96282 L
.95772 .96134 L
.95163 .95901 L
.94192 .95564 L
.93221 .95271 L
.92821 .95163 L
.92249 .95022 L
.91278 .94816 L
.90307 .94653 L
.89336 .94532 L
.88364 .94451 L
.87393 .94411 L
.86422 .9441 L
.85451 .94446 L
.84479 .94519 L
.83508 .94626 L
.82537 .94766 L
.81566 .94937 L
.80594 .95139 L
.80484 .95163 L
.79623 .95368 L
.78652 .95623 L
.77681 .95902 L
.76925 .96134 L
.76709 .96203 L
.75738 .96525 L
.74767 .96866 L
.74109 .97106 L
.73796 .97223 L
.72824 .97595 L
.71853 .9798 L
.71613 .98077 L
s
.675 .325 .6 r
.96911 .01923 m
.96134 .02249 L
.95163 .02618 L
.94349 .02894 L
.94192 .02944 L
.93221 .03228 L
.92249 .03469 L
.91278 .03668 L
.90307 .03826 L
.90028 .03866 L
.89336 .03943 L
.88364 .04021 L
.87393 .0406 L
.86422 .04061 L
.85451 .04026 L
.84479 .03956 L
.83611 .03866 L
.83508 .03852 L
.82537 .03717 L
.81566 .03551 L
.80594 .03356 L
.79623 .03134 L
.78677 .02894 L
.78652 .02888 L
.77681 .02617 L
.76709 .02325 L
.75738 .02013 L
.75468 .01923 L
F
0 g
.96911 .01923 m
.96134 .02249 L
.95163 .02618 L
.94349 .02894 L
.94192 .02944 L
.93221 .03228 L
.92249 .03469 L
.91278 .03668 L
.90307 .03826 L
.90028 .03866 L
.89336 .03943 L
.88364 .04021 L
.87393 .0406 L
.86422 .04061 L
.85451 .04026 L
.84479 .03956 L
.83611 .03866 L
.83508 .03852 L
.82537 .03717 L
.81566 .03551 L
.80594 .03356 L
.79623 .03134 L
.78677 .02894 L
.78652 .02888 L
.77681 .02617 L
.76709 .02325 L
.75738 .02013 L
.75468 .01923 L
s
.675 .325 .6 r
.96911 .98077 m
.96134 .97751 L
.95163 .97382 L
.94349 .97106 L
.94192 .97056 L
.93221 .96772 L
.92249 .96531 L
.91278 .96332 L
.90307 .96174 L
.90028 .96134 L
.89336 .96057 L
.88364 .95979 L
.87393 .9594 L
.86422 .95939 L
.85451 .95974 L
.84479 .96044 L
.83611 .96134 L
.83508 .96148 L
.82537 .96283 L
.81566 .96449 L
.80594 .96644 L
.79623 .96866 L
.78677 .97106 L
.78652 .97112 L
.77681 .97383 L
.76709 .97675 L
.75738 .97987 L
.75468 .98077 L
F
0 g
.96911 .98077 m
.96134 .97751 L
.95163 .97382 L
.94349 .97106 L
.94192 .97056 L
.93221 .96772 L
.92249 .96531 L
.91278 .96332 L
.90307 .96174 L
.90028 .96134 L
.89336 .96057 L
.88364 .95979 L
.87393 .9594 L
.86422 .95939 L
.85451 .95974 L
.84479 .96044 L
.83611 .96134 L
.83508 .96148 L
.82537 .96283 L
.81566 .96449 L
.80594 .96644 L
.79623 .96866 L
.78677 .97106 L
.78652 .97112 L
.77681 .97383 L
.76709 .97675 L
.75738 .97987 L
.75468 .98077 L
s
.7 .3 .6 r
.92621 .01923 m
.92249 .02007 L
.91278 .02201 L
.90307 .02354 L
.89336 .02467 L
.88364 .02543 L
.87393 .0258 L
.86422 .02581 L
.85451 .02547 L
.84479 .02479 L
.83508 .02379 L
.82537 .02248 L
.81566 .02087 L
.80715 .01923 L
F
0 g
.92621 .01923 m
.92249 .02007 L
.91278 .02201 L
.90307 .02354 L
.89336 .02467 L
.88364 .02543 L
.87393 .0258 L
.86422 .02581 L
.85451 .02547 L
.84479 .02479 L
.83508 .02379 L
.82537 .02248 L
.81566 .02087 L
.80715 .01923 L
s
.7 .3 .6 r
.92621 .98077 m
.92249 .97993 L
.91278 .97799 L
.90307 .97646 L
.89336 .97533 L
.88364 .97457 L
.87393 .9742 L
.86422 .97419 L
.85451 .97453 L
.84479 .97521 L
.83508 .97621 L
.82537 .97752 L
.81566 .97913 L
.80715 .98077 L
F
0 g
.92621 .98077 m
.92249 .97993 L
.91278 .97799 L
.90307 .97646 L
.89336 .97533 L
.88364 .97457 L
.87393 .9742 L
.86422 .97419 L
.85451 .97453 L
.84479 .97521 L
.83508 .97621 L
.82537 .97752 L
.81566 .97913 L
.80715 .98077 L
s
.25 .75 .6 r
.98077 .62379 m
.97953 .62141 L
.97459 .61169 L
.97106 .60453 L
.96982 .60198 L
.96526 .59227 L
.96134 .58353 L
.96092 .58256 L
.95688 .57284 L
.95315 .56313 L
.95163 .5589 L
.9498 .55342 L
.9469 .54371 L
.94448 .53399 L
.94261 .52428 L
.94192 .52025 L
.94133 .51457 L
.94068 .50486 L
.94068 .49514 L
.94133 .48543 L
.94192 .47975 L
.94261 .47572 L
.94448 .46601 L
.9469 .45629 L
.9498 .44658 L
.95163 .4411 L
.95315 .43687 L
.95688 .42716 L
.96092 .41744 L
.96134 .41647 L
.96526 .40773 L
.96982 .39802 L
.97106 .39547 L
.97459 .38831 L
.97953 .37859 L
.98077 .37621 L
F
0 g
.98077 .62379 m
.97953 .62141 L
.97459 .61169 L
.97106 .60453 L
.96982 .60198 L
.96526 .59227 L
.96134 .58353 L
.96092 .58256 L
.95688 .57284 L
.95315 .56313 L
.95163 .5589 L
.9498 .55342 L
.9469 .54371 L
.94448 .53399 L
.94261 .52428 L
.94192 .52025 L
.94133 .51457 L
.94068 .50486 L
.94068 .49514 L
.94133 .48543 L
.94192 .47975 L
.94261 .47572 L
.94448 .46601 L
.9469 .45629 L
.9498 .44658 L
.95163 .4411 L
.95315 .43687 L
.95688 .42716 L
.96092 .41744 L
.96134 .41647 L
.96526 .40773 L
.96982 .39802 L
.97106 .39547 L
.97459 .38831 L
.97953 .37859 L
.98077 .37621 L
s
.225 .775 .6 r
.98077 .5389 m
.98002 .53399 L
.97881 .52428 L
.978 .51457 L
.97759 .50486 L
.97759 .49514 L
.978 .48543 L
.97881 .47572 L
.98002 .46601 L
.98077 .4611 L
F
0 g
.98077 .5389 m
.98002 .53399 L
.97881 .52428 L
.978 .51457 L
.97759 .50486 L
.97759 .49514 L
.978 .48543 L
.97881 .47572 L
.98002 .46601 L
.98077 .4611 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900002@1000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool00?mooomood9oo`009goo00E9000000003Uoo05Ioo`05B@00000000iOo`07
Ool016i8000024]o1goo00IoLR0000000008BgmDOol00dT00000000400000`0>Gomoo`1AOol00dT0
0000000400000`0>Gomoo`04Ool016i8000024]o1goo00IoLR0000000008BgmCOol00fi800000005
00000`4BOomoo`1@Ool00fi80000000500000`4BOomoo`04Ool016i8000024]o1goo00IoLR000000
0008Bgl5Ool002Ioo`06GL0RFgooOomnkP4BEGoo00IM`29KOomoogk^0A87Ool014T00000029K1Woo
00=^B000>_l00Woo00=nkP00>_l0EWoo00=^B07GOol0F7oo00=^B07GOol027oo00A90000000RF`Io
o`03KTP003[o009oo`03O^h003[o059oo`03O^h024]o00Aoo`03O^h1egoo055oo`03O^h024]o00Ao
o`03O^h1egoo00Eoo`04B@0000008U/6Ool00fi8000jo`02Ool00gk^000jo`04Ool002Eoo`03O^h1
egoo00=oo`03GL0RFgoo059oo`03O^h1egoo00=oo`03GL0RFgoo00Eoo`04KTP00008Bgl5Ool00gmb
80iOo`04Ool00gk^00iOo`1EOol00fi80MMoo`1HOol00fi80MMoo`08Ool016i8000024]o1Goo00=o
LR0>Gol017oo00=nkP0>Gol0DWoo00=nkP08Bgl0F7oo00=nkP08Bgl02goo00A^B00000Q;O`Eoo`03
Og8P3Uoo00Aoo`03O^h03Uoo00=oo`009Goo00=M`29KOol00goo00=nkP4BOol0DWoo00=M`29KOol0
0goo00=nkP4BOol05Goo00=omcP8Bgl0EGoo00=^B07GOol0F7oo00=^B07GOol067oo00=omcP8Bgl0
Dgoo00=oLR08Bgl0F7oo00=oLR08Bgl06Woo00=omcP8Bgl00goo000UOol00dT0>_moo`03Ool00gmb
80iOo`1BOol00dT0>_moo`03Ool00gmb80iOo`0EOol00gog>0Q;O`1EOol00fi80MMoo`1HOol00fi8
0MMoo`0HOol00gog>0Q;O`1DOol00gmb80Q;O`1HOol00gmb80Q;O`0IOol00gog>0Q;O`03Ool002Ao
o`03OoLh24]o00Aoo`03Og8P3Uoo055oo`03OoLh24]o00Aoo`03Og8P3Uoo01Eoo`03OoLh3Uoo05Eo
o`03KTP1egoo05Qoo`03KTP1egoo01Qoo`03OoLh3Uoo05Eoo`03Og8P24]o05Qoo`03Og8P24]o01Qo
o`03OoLh3Uoo00=oo`0097oo00=omcP8Bgl017oo00=oLR0>Gol0DGoo00=omcP8Bgl017oo00=oLR0>
Gol03goo00=oLR000A800goo00=9029KOol0EGoo00=^B07GOol0F7oo00=^B07GOol04Woo00=oLR00
0A800goo00=9029KOol0EWoo00=oLR08Bgl0F7oo00=oLR08Bgl04Goo00=oLR000A800goo00=9029K
Ool00goo000TOol00gog>0Q;O`04Ool00gmb80iOo`1AOol00gog>0Q;O`04Ool00gmb80iOo`0?Ool0
0gmb80i:B00300000b9KOomoo`1EOol00fi80MMoo`1HOol00fi80MMoo`0BOol00gmb80i:B0030000
0b9KOomoo`1GOol00gmb80iOo`1HOol00gmb80iOo`0@Ool00gmb80i:B00300000b9KOomoo`03Ool0
02Eoo`03B@Q;Ogoo00=oo`03Og8P3Uoo059oo`03B@Q;Ogoo00=oo`03Og8P3Uoo00moo`03Og8P3Uoo
05]oo`03KTP1egoo05Qoo`03KTP1egoo019oo`03Og8P3Uoo05ioo`03KTP1egoo05Qoo`03KTP1egoo
00moo`03Og8P3Uoo00Uoo`009Goo00=M`3[oOol00goo00=nkP4BOol0DWoo00=M`3[oOol00goo00=n
kP4BOol03goo00=oLR0>Gol0Fgoo00=^B07GOol0F7oo00=^B07GOol04Woo00=oLR0>Gol0F7oo00=9
dWooOol00goo00=nkP4BOol0DWoo00=9dWooOol00goo00=nkP4BOol03goo00=oLR0>Gol02Goo000U
Ool00gk^0A9oo`03Ool00eg08U]oo`1BOol00gk^0A9oo`03Ool00eg08U]oo`0?Ool00gmb80iOo`1K
Ool00fi80MMoo`1HOol00fi80MMoo`0BOol00gmb80iOo`1GOol00gog>00jo`04Ool00eg00MMoo`1A
Ool00gog>00jo`04Ool00eg00MMoo`0?Ool00gmb80iOo`09Ool002Ioo`06GL01egooOom^B04BEGoo
00IM`07GOomoofi80A8AOol00gmb80iOo`1HOol01DT000003TY80ML0EWoo00E9000000i:B07G01=o
o`03Og8P3Uoo05Qoo`03O^h003[o009oo`03GL003Uoo05=oo`03O^h003[o009oo`03GL003Uoo011o
o`03Og8P3Uoo00Uoo`009goo00EM`00000003Uoo05Ioo`05GL00000000iOo`0AOol00gmb80000004
00000c[oOomoo`1COol00gk^0001e`1HOol00gk^0001e`0COol00gmb8000000400000c[oOomoo`1B
Ool01Gmb800000000A80EWoo00EoLR000000004B019oo`03Og8P000000@00003>_moogoo009oo`00
ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomo
od9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo000NOooo003o000L
0008Ool001ioo`03001oogoo00Qoo`03001oogoo015oo`03001oogoo019oo`03001oogoo015oo`03
001oogoo019oo`03001oogoo019oo`03001oogoo015oo`03001oogoo019oo`03001oogoo019oo`03
001oogoo015oo`03001oogoo019oo`03001oogoo019oo`03001oogoo015oo`03001oogoo019oo`03
001oogoo015oo`03001oogoo019oo`03001oogoo019oo`03001oogoo015oo`03001oogoo019oo`03
001oogoo019oo`03001oogoo015oo`03001oogoo019oo`03001oogoo019oo`03001oogoo015oo`03
001oogoo019oo`03001oogoo015oo`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol0
4Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol0
4Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol0
4Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol0
4Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol0
4Goo00<007ooOol027oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00`00Oomoo`1TOol00`00
Oomoo`1TOol00`00Oomoo`1TOol00`00Oomoo`1TOol00`00Oomoo`1TOol00`00Oomoo`08Ool00`00
Oomoo`06Ool001ioo`03001oogoo0?mooomooaQoo`03001oogoo00Ioo`004Goo00E900000000007G
00Qoo`03001oogoo0?mooomooaQoo`03001oogoo00Ioo`004goo00=M`29KOol027oo00<007ooOol0
ogooogoo67oo00<007ooOol01Woo000COol00eg08U]oo`08Ool00`00Oomoo`3oOoooOolHOol00`00
Oomoo`06Ool000eoo`03OoLh000000D000030MMoogoo00Ioo`03001oogoo0?mooomooaQoo`03001o
ogoo00Ioo`003Woo00=9029KOol00Woo00=M`29KOol027oo00<007ooOol0ogooogoo67oo00<007oo
Ool01Woo00000gooKTP0000700001c[oOomoogooO^h03Uoo009oo`03GL0RFgoo00Qoo`D000Ioo`05
001oogooOol00003Ool01@00Oomoogoo00000goo00<007ooOol00Woo00D007ooOomoo`0000Aoo`03
001oogoo009oo`03001oogoo009oo`03001oogoo00=oo`03001oogoo009oo`03001oogoo00=oo`03
001oogoo00=oo`03001oogoo00Aoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03
001oogoo00Ioo`03001oogoo00Qoo`03001oogoo00Uoo`03001oogoo00eoo`03001oogoo01Moo`03
001oogoo031oo`<001aoo`<001=oo`80011oo`03001oogoo00ioo`03001oogoo00eoo`8000moo`03
001oogoo00eoo`03001oogoo00moo`03001oogoo019oo`03001oogoo01Uoo`<003eoo`03001oogoo
01Aoo`03001oogoo00Yoo`D000Qoo`003goo00I9029KOomooeg08U/9Ool00`00Oomoo`08Ool01000
O1=l4`000gPc00D007ACM5=dD`0000=`L`03001/Lfac009/L`05001/TfbCK9<00004J;<00`00I==T
d`02I=<00`00H?=Pl`02H?<00`00G?=Ll`03G?<00`00GA=M4`02GA<00`00FC=I<`04FC<00`00EE=E
D`02EE<00`00DG=AL`04DG<00`00CG==L`04CG<00`00CI==T`05CI<00`00BK=9/`05BK<00`00AM=5
d`06AM<00`00@O=1l`08@O<00`00?O<ml`0:?O<00`00?Q<n4`0;?Q<2000G>S<3000f=U<6000I>S<2
000C?Q<2000??O<2000?@O<2000?AM<2000>BK<2000>CI<2000@CG<3000BDG<3000KEE<5000dFC<4
000EEE<20006DG<;Ool00`00Oomoo`06Ool000moo`06O^h03UooOomM`29K2Goo00<007ooOol027oo
0g`C00D007PcN3=h<`0000=dD`05001`Lg1cL7<00004K7<01@00K9=/TfbC000016Rc00<006CCI=<0
0VCC00<0063cH?<00V3c00<005ccG?<00ecc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<0
0eEC00<0055cDG<00e5c00<004ecCG<014ec00<004fCCI<01DfC00<004VcBK<01DVc00<004GCAM<0
1TGC00<0047c@O<01d7c0P002cgc0P0033hC0P0053Xc1@00?cIC10005cXc0`004ShC0P003cgc0P00
3d7c0P003dGC0P003TVc0P003TfC0`0044ec0P004e5c0P007UEC1@00:UTc1@005UEC0`00255c2goo
00<007ooOol01Woo000@Ool01DT08U]ooeg08U/02Goo00<007ooOol027oo0W`C00D007PcN3=h<`00
00=dD`05001`Lg1cL7<00004K7<01@00K9=/TfbC000016Rc00<006CCI=<00VCC00<0063cH?<00V3c
00<005ccG?<00ecc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<0155c
00<004ecCG<00dec00<004fCCI<01DfC00<004VcBK<01DVc00<004GCAM<01TGC00<0047c@O<01d7c
00<003gc?O<02Cgc0P0033hC0P004SXc1000B3IC0P0063Xc0P004ShC0P003cgc0P003d7c0P003dGC
0P003TVc0P003dfC0P0044ec0`004U5c10007eEC2`005ETc2P006EEC0P002e5c2goo00<007ooOol0
1Woo000@Ool01Gmb80Q;Oeg08U/02Goo00<007ooOol027oo0W`C00D007PcN3=h<`0000=dD`05001`
Lg1cL7<00004K7<01@00K9=/TfbC000016Rc00<006CCI=<00VCC00<0063cH?<00V3c00<005ccG?<0
0Ucc00<005dCGA<00edC00<005TcFC<00eTc00<005ECEE<00UEC00<0055cDG<0155c00<004ecCG<0
0dec00<004fCCI<01DfC00<004VcBK<01DVc00<004GCAM<01TGC00<0047c@O<01d7c00<003gc?O<0
23gc0P0033hC0P004SXc0P00CSIC10005SXc0P004ShC0P003cgc0P003d7c0P003dGC0P003TVc0P00
3dfC0P004Dec0P00555c10009UEC5@0085EC0`003E5c2goo00<007ooOol01Woo000AOol015g00MMM
`29K2Goo00<007ooOol027oo00=l4`00N3<00WPc00D007ACM5=dD`0000=`L`03001/Lfac009/L`05
001/TfbCK9<00004J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`03G?<00`00GA=M4`02
GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`06
CI<00`00BK=9/`04BK<00`00AM=5d`06AM<00`00@O=1l`07@O<00`00?O<ml`08?O<00`00?Q<n4`0:
?Q<2000A>S<3001D=U<3000E>S<2000B?Q<00`00?O<ml`0>?O<2000?@O<2000?AM<2000>BK<2000?
CI<2000ACG<2000FDG<2001GEE<2000@DG<00`00Oomoo`08Ool00`00Oomoo`06Ool0015oo`04Og8P
22408U/9Ool00`00Oomoo`08Ool00g`C001h<`02N3<01@00M5=dDgAC00000g1c00<006acK7<00Vac
00D006bCK9=/T`0000AX/`03001TdfCC009Td`03001Plf3c009Pl`03001Llecc009Ll`03001M4edC
00=M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c00AAL`03001=Ldec00==L`03001=TdfC
00E=T`030019/dVc00A9/`030015ddGC00I5d`030011ld7c00M1l`03000mlcgc00Lml`8000`n4`03
000j<cXc00`j<`D001hfDaX0028fD`<001@j<`@000ln4`<000lml`<000i1l`8000i5d`8000m9/`80
00m=T`80015=L`<001EAL`@004mED`@0015AL`8000Yoo`03001oogoo00Ioo`004Woo00=M`0008U/0
2Goo00<007ooOol027oo00D007PcN3=h<`0000=dD`03001`Lg1c009`L`05001/LfacK7<00003K9<0
0`00J;=X/`02J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<2
0004FC<00`00EE=ED`03EE<00`00DG=AL`04DG<00`00CG==L`03CG<00`00CI==T`05CI<00`00BK=9
/`04BK<00`00AM=5d`05AM<20008@O<20008?O<2000<?Q<2000=>S<2000I=U<:000J<W<:000K=U<4
000D>S<3000??Q<3000??O<2000>@O<3000=AM<2000?BK<3000>CI<3000ACG<3000FDG<50015EE<5
000CDG<200000decOomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001h<gPcN3<0
0003M5<01@00L7=`Lg1c00000fac00<006bCK9<00VbC00<006RcJ;<00VRc00D006CCI==Td`0000AP
l`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00AI<`03001EDeEC00=ED`03001ALe5c00=A
L`03001=Ldec00==L`03001=TdfC00E=T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c00M1
l`03000mlcgc00Lml`03000n4chC00Xn4`8000dj<`8001HfD`D002hbL`D001XfD`D0018j<`<000ln
4`8000lml`8000m1l`8000e5d`800119/`8000m=T`80019=L`<001QAL`H003eED`8001EAL`<000==
L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0gPc00D007ACM5=dD`0000A`L`05001/Lfac
K7<00003K9<00`00J;=X/`02J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00
GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`04CG<00`00
CI==T`04CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00@O=1l`06@O<20008?O<2000<?Q<00`00
>S<j<`0;>S<2000F=U<2000h<W<6000I=U<2000C>S<2000??Q<2000??O<00`00@O=1l`0>@O<2000=
AM<2000@BK<2000?CI<3000BCG<4000JDG<5000dEE<4000EDG<20006CG<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`=h<`05001dDgACM5<00003L7<01@00K7=/Lfac00000fbC00<006RcJ;<0
0fRc00D006CCI==Td`0000APl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00AI<`03001E
DeEC009ED`03001ALe5c00=AL`03001=Ldec00A=L`03001=TdfC00A=T`030019/dVc00A9/`030015
ddGC00E5d`030011ld7c00I1l`03000mlcgc00Lml`03000n4chC00Xn4`8000`j<`8001@fD`@0040b
L`<001PfD`8001<j<`8000ln4`8000hml`800111l`8000e5d`800119/`03001=TdfC00m=T`8001A=
L`<001aAL`D002YED`D001MAL`8000Q=L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0WPc
00D007ACM5=dD`0000A`L`05001/LfacK7<00003K9<00`00J;=X/`02J;<00`00I==Td`02I=<00`00
H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`02EE<00`00
DG=AL`03DG<00`00CG==L`04CG<00`00CI==T`04CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00
@O=1l`06@O<00`00?O<ml`07?O<00`00?Q<n4`09?Q<2000<>S<2000B=U<40017<W<3000G=U<3000B
>S<00`00?Q<n4`0>?Q<2000>?O<3000?@O<2000=AM<3000>BK<3000@CI<3000DCG<2000ODG<;000E
EE<:000IDG<3000:CG<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9h<`05001dDgACM5<0
0003L7<01@00K7=/Lfac000016bC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03001Llecc009L
l`03001M4edC009M4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00A=
L`03001=TdfC00==T`8000I9/`030015ddGC00E5d`030011ld7c00I1l`03000mlcgc00Lml`03000n
4chC00Pn4`8000`j<`80018fD`8004hbL`@001HfD`<0010j<`80010n4`<000hml`8000m1l`8000i5
d`8000m9/`80015=T`8001A=L`@002IALaD0021AL`<000e=L`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo00=h<`00M5<00WAC00D0071cL7=`L`0000A/L`05001/TfbCK9<00004J;<00`00I==T
d`02I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0
055cDG<00U5c00<004ecCG<014ec00<004fCCI<00dfC00<004VcBK<01DVc00<004GCAM<01DGC00<0
047c@O<01T7c00<003gc?O<01Sgc0P002ChC0P0033Xc0P004CIC0`00E39c10005CIC0P0043Xc0`00
43hC0P003Sgc0P003d7c0P003TGC0P003dVc0P004DfC0`005Dec0P00Ee5c0P0044ec00<007ooOol0
27oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00gPc001dD`02M5<01@00L7=`Lg1c00000fac
00<006bCK9<00VbC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03001Llecc009Ll`03001M4edC
009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC
00==T`030019/dVc00I9/`030015ddGC00A5d`030011ld7c00E1l`8000Pml`03000n4chC00Ln4`80
00dj<`03000fDcIC00hfD`<001hbLaX002<bL`8001DfD`<0010j<`80010n4`8000hml`8000m1l`80
00i5d`8000m9/`80019=T`8001E=L`@004mAL`@0011=L`8000]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo00D007ACM5=dD`0000=`L`03001/Lfac009/L`05001/TfbCK9<00004J;<00`00I==T
d`02I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<015EC00<0
055cDG<00U5c00<004ecCG<014ec00<004fCCI<00dfC00<004VcBK<01DVc00<004GCAM<014GC00<0
047c@O<0147c0P002Cgc00<003hC?Q<01chC00<003Xc>S<02cXc0P003SIC0`00639c2@006Ric2@00
739c100053IC0P0043Xc0`003chC0P003Sgc0P003d7c0P003TGC0P003dVc0`004DfC0`005Tec1@00
AU5c10004Tec0P000TfC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00M5=dDgAC0000
0g1c00D006acK7=/L`0000A/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<0
0edC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<00U5c00<004ecCG<014ec00<004fCCI<0
0dfC00<004VcBK<014Vc0P001TGC00<0047c@O<01D7c00<003gc?O<01cgc00<003hC?Q<01chC00<0
03Xc>S<02SXc0P003SIC0P005C9c1P00;2ic1P006S9c1@004CIC10003cXc0P003chC0P003Sgc0`00
3T7c00<004GCAM<03DGC0P0044Vc0P004TfC0`0064ec1P00?E5c0`0054ec0P0014fC2goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool3M5<01@00L7=`Lg1c00000fac00<006bCK9<00VbC00D006Rc
J;=X/`0000ATd`05001Plf3cH?<00004G?<00`00GA=M4`03GA<00`00FC=I<`02FC<00`00EE=ED`03
EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5d`05
AM<00`00@O=1l`05@O<00`00?O<ml`07?O<00`00?Q<n4`07?Q<00`00>S<j<`0:>S<00`00=U<fD`0;
=U<3000E<W<2000h;W<6000I<W<2000C=U<2000?>S<2000??Q<2000??O<2000=@O<2000?AM<2000@
BK<3000BCI<3000KCG<5000dDG<4000ECG<20006CI<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`=dD`05001`Lg1cL7<00003K7<00`00K9=/T`02K9<01000J;=X/`001FCC00D0063cH?=Pl`00
00ALl`03001M4edC009M4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec
00==L`03001=TdfC00==T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c00E1l`03000mlcgc
00Lml`03000n4chC00Hn4`8000/j<`8000`fD`8001@bL`@0040^L`@001LbL`<0018fD`8000lj<`80
00ln4`8000lml`8000e1l`8000m5d`<00119/`8001==T`8001i=L`D002YAL`D001I=L`<000Q=T`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo0WAC00D0071cL7=`L`0000=/L`03001/TfbC009/
T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<00edC00<005TcFC<00UTc00<0
05ECEE<00eEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<014Vc00<0
04GCAM<014GC00<0047c@O<01D7c00<003gc?O<01cgc00<003hC?Q<01ShC00<003Xc>S<02CXc0P00
33IC0P004S9c1000B2ic0P00639c0P004SIC0P003cXc0P003chC0P003cgc00<0047c@O<0347c0`00
3dGC0P0044Vc0`004TfC10007dec2`005E5c2P006Dec0P002dfC2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2M5<01@00L7=`Lg1c00000fac00D006bCK9=/T`0000=X/`03001TdfCC00=Td`05
001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`02EE<00`00DG=AL`03
DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5d`04AM<00`00@O=1l`05
@O<00`00?O<ml`07?O<00`00?Q<n4`05?Q<2000:>S<2000<=U<2000B<W<2001>;W<4000F<W<3000A
=U<2000?>S<2000??Q<2000>?O<2000?@O<2000?AM<2000ABK<2000DCI<4000VCG<E000PCG<3000=
CI<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03M5<0071c009`L`05001/LfacK7<00004
K9<01@00J;=X/fRc000016CC00D0063cH?=Pl`0000ALl`03001M4edC009M4`03001I<eTc00=I<`03
001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00A9/`03
0015ddGC00A5d`030011ld7c00E1l`03000mlcgc00Hml`8000Ln4`03000j<cXc00Tj<`03000fDcIC
00XfD`80010bL`@005@^L`@001DbL`80014fD`8000lj<`<000hn4`8000hml`8000m1l`8000m5d`80
0159/`<001E=T`8005M=L`80011=T`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo00=dD`00L7<00W1c00D006acK7=/L`0000=/T`05001X/fRcJ;<00004I=<00`00H?=Pl`02H?<0
0`00G?=Ll`02G?<01@00GA=M4edC00001ETc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<0
0dec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<01D7c00<003gc?O<0
1Sgc00<003hC?Q<01ShC00<003Xc>S<02CXc00<003IC=U<02SIC00<0039c<W<03S9c0P0092ic4000
:2ic0P005C9c0P004CIC0P0043Xc0P003ShC00<003gc?O<03Cgc0P003d7c0P003dGC0P004TVc0P00
5DfC1000D4ec0`0044fC0P002goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00L7=`Lg1c
00000fac00<006bCK9<00VbC00D006RcJ;=X/`0000ATd`05001Plf3cH?<00004G?<00`00GA=M4`02
GA<00`00FC=I<`02FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`03
CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00@O=1l`04@O<00`00?O<ml`05?O<20008?Q<00`00
>S<j<`08>S<2000;=U<2000><W<3000L;W<:000@;Y<:000P;W<3000D<W<2000A=U<2000@>S<2000=
?Q<2000??O<2000?@O<2000?AM<3000ABK<3000FCI<50018CG<3000ACI<20002BK<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`05001`Lg1cL7<00003K7<01@00K9=/TfbC00000fRc00<006CC
I=<00VCC00<0063cH?<00V3c00<005ccG?<00Ucc00D005dCGA=M4`0000AI<`03001EDeEC00=ED`03
001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00E5d`03
0011ld7c00A1l`03000mlcgc00Dml`03000n4chC00Ln4`03000j<cXc00Pj<`03000fDcIC00TfD`80
00hbL`8001X^L`D002@^T`D001h^L`<001<bL`80014fD`80010j<`8000dn4`8000lml`8000m1l`80
0115d`800199/`<001Q=T`D003m=L`@0019=T`8000A9/`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00@0071cL7<000=/L`03001/TfbC009/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c0000
15cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<0
0dec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<0147c00<003gc?O<0
1Cgc00<003hC?Q<01ShC0P002CXc0P002SIC0P003C9c0`005Ric1P00;RjC1@0072ic0`004S9c0`00
43IC0P0043Xc0P003ChC0`003Sgc0P003d7c0P0044GC0`004TVc0`006TfC0P00>4ec1@0054fC0P00
1TVc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3L7<01@00K7=/Lfac00000fbC00D006Rc
J;=X/`0000ATd`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00FC=I<`02FC<00`00EE=ED`03
EE<00`00DG=AL`02DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5d`04
AM<00`00@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`06?Q<00`00>S<j<`07>S<2000:=U<2000=
<W<2000E;W<4000i;Y<7000H;W<3000B<W<3000?=U<3000?>S<2000>?Q<2000>?O<2000?@O<2000A
AM<2000CBK<2000JCI<6000]CG<5000GCI<20008BK<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`9`L`03001/Lfac009/L`05001/TfbCK9<00003J;<01@00I==TdfCC0000163c00D005ccG?=L
l`0000AM4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009AL`03001=Ldec00==L`03001=
TdfC00A=T`030019/dVc00=9/`030015ddGC00A5d`030011ld7c00E1l`03000mlcgc00@ml`03000n
4chC00Hn4`03000j<cXc00Lj<`03000fDcIC00PfD`8000hbL`03000^Lbic01<^L`8004@^T`@001L^
L`8001<bL`80010fD`8000lj<`03000n4chC00dn4`03000mlcgc00dml`8000m1l`800155d`8001=9
/`<001e=T`P0021=L`D001]=T`8000U9/`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0W1c
00D006acK7=/L`0000=/T`03001X/fRc009X/`05001TdfCCI=<00003H?<00`00G?=Ll`02G?<00`00
GA=M4`02GA<00`00FC=I<`02FC<00`00EE=ED`03EE<00`00DG=AL`02DG<00`00CG==L`03CG<00`00
CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`04AM<00`00@O=1l`05@O<00`00?O<ml`04?O<00`00
?Q<n4`07?Q<00`00>S<j<`07>S<00`00=U<fD`07=U<00`00<W<bL`0=<W<00`00;W<^L`0@;W<4001:
;Y<4000E;W<2000C<W<2000@=U<2000>>S<00`00?Q<n4`0=?Q<2000??O<2000?@O<2000AAM<2000D
BK<2000SCI<;000:CG<;000NCI<2000;BK<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03
L7<006ac00=/L`05001/TfbCK9<00003J;<01@00I==TdfCC0000163c00D005ccG?=Ll`0000AM4`03
001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009AL`03001=Ldec00==L`03001=TdfC00==T`03
0019/dVc00=9/`030015ddGC00A5d`030011ld7c00E1l`03000mlcgc00Dml`03000n4chC00Hn4`03
000j<cXc00Lj<`03000fDcIC00LfD`03000bLc9c00`bL`8000l^L`@0058^T`8001D^L`<0018bL`80
010fD`8000dj<`8000ln4`8000lml`8000m1l`800155d`8001A9/`@002Y=T`X002I=T`<000e9/`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo00=`L`00K7<00Vac00<006bCK9<00VbC00D006Rc
J;=X/`0000=Td`03001Plf3c009Pl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=ED`02
EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`04CI<00`00BK=9/`03BK<00`00AM=5d`03
AM<00`00@O=1l`06@O<00`00?O<ml`04?O<00`00?Q<n4`06?Q<00`00>S<j<`06>S<20009=U<00`00
<W<bL`0;<W<2000>;W<3001H;Y<3000E;W<2000B<W<2000@=U<2000=>S<2000??Q<2000??O<00`00
@O=1l`0>@O<3000@AM<2000FBK<4001DCI<2000@BK<00`00Oomoo`08Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`03001/Lfac009/L`05001/TfbCK9<00003J;<01@00I==TdfCC0000163c00D0
05ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009AL`03001=Ldec00==
L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00I1l`03000mlcgc00@m
l`03000n4chC00Hn4`03000j<cXc00Hj<`03000fDcIC00PfD`03000bLc9c00/bL`03000^Lbic00`^
L`80024^TaX002<^T`8001D^L`80018bL`80010fD`03000j<cXc00`j<`03000n4chC00hn4`8000hm
l`800151l`800115d`8001Q9/`8004m=T`<00119/`8000]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00D006acK7=/L`0000A/T`05001X/fRcJ;<00003I=<00`00H?=Pl`02H?<01@00G?=Llecc
000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c0P0014ec00<004fCCI<00dfC
00<004VcBK<014Vc00<004GCAM<00dGC00<0047c@O<01D7c00<003gc?O<013gc00<003hC?Q<01ShC
00<003Xc>S<01SXc00<003IC=U<01cIC0P00339c0P003Ric0P006BjC2@006RZc2P006bjC1@004Ric
0`004C9c0P003cIC00<003Xc>S<033Xc0`003chC00<003gc?O<03Cgc00<0047c@O<03d7c0P004DGC
0`005dVc1000ADfC1P004TVc00<004GCAM<02goo00<007ooOol01Woo000NOol30008Ool01@00K7=/
Lfac00000fbC00D006RcJ;=X/`0000=Td`03001Plf3c009Pl`03001Llecc009Ll`05001M4edCGA<0
0004FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`02CI<00`00BK=9
/`04BK<00`00AM=5d`03AM<00`00@O=1l`05@O<00`00?O<ml`04?O<00`00?Q<n4`05?Q<20008>S<0
0`00=U<fD`07=U<00`00<W<bL`0:<W<2000>;W<2000H;Y<3000]:[<5000K;Y<4000A;W<3000@<W<2
000>=U<2000?>S<3000=?Q<2000>?O<3000@@O<2000BAM<3000HBK<6000mCI<2000EBK<30003AM<9
Ool30008Ool001ioo`03001oogoo00Qoo`04001/Lfac0004K9<01@00J;=X/fRc00000fCC00D0063c
H?=Pl`0000ALl`03001M4edC009M4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c009AL`03
001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00E1l`03
000mlcgc00@ml`03000n4chC00Dn4`03000j<cXc00Lj<`03000fDcIC00HfD`8000`bL`03000^Lbic
00/^L`<001H^T`@003DZ/`D001X^T`80018^L`80010bL`8000hfD`80010j<`8000dn4`8000lml`80
0111l`<00195d`<001]9/`D003A=T`@001E9/`8000I5d`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo0fac00D006bCK9=/T`0000=X/`05001TdfCCI=<00004H?<00`00G?=Ll`02G?<01@00GA=M
4edC000015Tc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<0
04VcBK<00dVc00<004GCAM<014GC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<01ChC00<0
03Xc>S<01cXc00<003IC=U<01SIC00<0039c<W<02S9c0P0032ic0P0052jC1@00?RZc0P006RjC0P00
4Ric0P00439c0P003SIC0P0043Xc0P003ChC0P003cgc0P004D7c0P004dGC0P007TVc1@00:TfC1@00
5dVc0P0024GC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2K7<00`00K9=/T`02K9<01@00
J;=X/fRc00000fCC00D0063cH?=Pl`0000ALl`03001M4edC009M4`03001I<eTc009I<`03001EDeEC
009ED`03001ALe5c009AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc0099/`030015ddGC
00A5d`030011ld7c00A1l`03000mlcgc00@ml`03000n4chC00Hn4`03000j<cXc00Hj<`03000fDcIC
00HfD`03000bLc9c00TbL`8000`^L`8001<^T`<004DZ/`<001T^T`80018^L`03000bLc9c00lbL`80
00hfD`80010j<`03000n4chC00`n4`8000lml`800151l`8001=5d`<00219/`D0021=T`D001Y9/`80
00Y5d`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0Vac00D006bCK9=/T`0000=X/`03001T
dfCC009Td`05001Plf3cH?<00004G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055cDG<0
0e5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0
147c00<003gc?O<01Cgc00<003hC?Q<01ChC00<003Xc>S<01CXc0P0023IC00<0039c<W<0239c0P00
3Bic00<002jC;Y<042jC0`00BbZc1@005RjC00<002ic;W<042ic0`00439c0P003SIC0P003cXc00<0
03hC?Q<03ChC00<003gc?O<03Sgc00<0047c@O<0447c00<004GCAM<04dGC0P008dVc80007TVc00<0
04GCAM<02TGC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2K7<01@00K9=/TfbC00000fRc
00D006CCI==Td`0000=Pl`03001Llecc009Ll`03001M4edC009M4`05001I<eTcFC<00004EE<00`00
DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00
@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<00`00=U<fD`07=U<00`00
<W<bL`08<W<00`00;W<^L`0;;W<2000@;Y<3001C:[<2000E;Y<3000B;W<2000@<W<2000>=U<00`00
>S<j<`0=>S<2000>?Q<2000??O<3000@@O<2000EAM<4001JBK<3000=AM<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`03K7<006bC009/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc
00D005dCGA=M4`0000AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC
00A=T`030019/dVc0099/`030015ddGC00A5d`030011ld7c00=1l`03000mlcgc00Dml`03000n4chC
00Dn4`03000j<cXc00Dj<`03000fDcIC00LfD`03000bLc9c00LbL`8000`^L`8000l^T`<005PZ/`<0
01D^T`80018^L`80010bL`8000dfD`8000lj<`8000hn4`80010ml`<000m1l`<001I5d`@005A9/`80
0115d`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=/L`00K9<00VbC00D0
06RcJ;=X/`0000=Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00<0
055cDG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<00dGC00<0
047c@O<00d7c00<003gc?O<01Sgc00<003hC?Q<013hC00<003Xc>S<01CXc00<003IC=U<01cIC00<0
039c<W<01c9c00<002ic;W<02bic00<002jC;Y<03BjC0P008BZc6P008bZc0P005BjC0`004Bic0P00
439c00<003IC=U<033IC0P003cXc0P003ShC0P004Cgc0P00447c0P0064GC0P00CTVc100044GC0P00
2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00K9=/TfbC00000fRc00<006CCI=<00VCC
00D0063cH?=Pl`0000ALl`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00
CG==L`02CG<00`00CI==T`04CI<00`00BK=9/`02BK<00`00AM=5d`04AM<00`00@O=1l`03@O<00`00
?O<ml`05?O<00`00?Q<n4`04?Q<00`00>S<j<`05>S<00`00=U<fD`07=U<00`00<W<bL`07<W<00`00
;W<^L`0:;W<2000>;Y<2000J:[<9000J9]<9000L:[<4000D;Y<2000A;W<2000?<W<2000>=U<2000?
>S<2000>?Q<2000A?O<2000@@O<3000GAM<40016BK<4000BAM<20002@O<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`05001/TfbCK9<00003J;<01@00I==TdfCC00000f3c00<005ccG?<00Ucc
00<005dCGA<00UdC00D005TcFC=I<`0000AED`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC
00==T`030019/dVc0099/`030015ddGC00A5d`030011ld7c00=1l`03000mlcgc00@ml`8000Hn4`03
000j<cXc00Dj<`03000fDcIC00LfD`03000bLc9c00LbL`03000^Lbic00X^L`03000^TbjC00d^T`03
000Z/bZc01LZ/`<002`Vd`H001XZ/`@0018^T`<0010^L`8000lbL`8000hfD`<000hj<`03000n4chC
00dn4`80014ml`030011ld7c0111l`<001Q5d`H003e9/`<001A5d`8000A1l`]oo`03001oogoo00Io
o`007Woo00<007ooOol027oo00D006bCK9=/T`0000=X/`05001TdfCCI=<00003H?<01@00G?=Llecc
000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fC
CI<00dfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<013gc00<003hC
?Q<01ChC00<003Xc>S<01CXc00<003IC=U<01cIC00<0039c<W<01c9c00<002ic;W<02Ric00<002jC
;Y<032jC0P005RZc1000=BKC1@006BZc0P004bjC0P0042ic00<0039c<W<03S9c00<003IC=U<03SIC
0P003CXc0P003chC0P0043gc0`004T7c0`006dGC1@00=4Vc10005DGC0P001T7c2goo00<007ooOol0
1Woo000NOol00`00Oomoo`08Ool3K9<01@00J;=X/fRc00000fCC00D0063cH?=Pl`0000=Ll`03001M
4edC00=M4`05001I<eTcFC<00004EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`02CI<0
0`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`05?Q<0
0`00>S<j<`05>S<00`00=U<fD`07=U<00`00<W<bL`07<W<00`00;W<^L`09;W<2000=;Y<2000D:[<4
000n9]<2000I:[<2000C;Y<2000?;W<2000?<W<2000@=U<2000=>S<2000??Q<2000A?O<2000C@O<2
000NAM<5000ZBK<5000GAM<20008@O<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=/T`05
001X/fRcJ;<00003I=<01@00H?=Plf3c00000ecc00<005dCGA<00UdC00<005TcFC<00UTc00<005EC
EE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00TVc00<004GC
AM<00dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<013hC00<003Xc>S<01SXc00<003IC
=U<01SIC00<0039c<W<01c9c00<002ic;W<022ic0P003BjC0P0052Zc0P00A2KC10005bZc0P004bjC
0P003bic0`003S9c0P0043IC00<003Xc>S<033Xc0P003chC0P004Cgc0P004d7c0`0084GC1@0084Vc
1@006TGC0P002T7c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2K9<01@00J;=X/fRc0000
0fCC00D0063cH?=Pl`0000=Ll`03001M4edC00=M4`05001I<eTcFC<00004EE<00`00DG=AL`03DG<0
0`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<0
0`00?O<ml`04?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<00`00=U<fD`06=U<00`00<W<bL`07<W<0
0`00;W<^L`07;W<2000=;Y<2000B:[<4001:9]<4000E:[<2000C;Y<2000@;W<2000><W<2000?=U<2
000>>S<2000??Q<2000A?O<2000D@O<2000SAM<;000:BK<;000MAM<2000<@O<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`9/T`05001X/fRcJ;<00003I=<01@00H?=Plf3c00000ecc00<005dC
GA<00UdC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fC
CI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<00cgc00<003hC
?Q<01ChC00<003Xc>S<01CXc00<003IC=U<01CIC0P00239c0P002Bic00<002jC;Y<02bjC0P004BZc
0`00DRKC0P005BZc0`004RjC0P0042ic00<0039c<W<03C9c0P003cIC00<003Xc>S<03CXc00<003hC
?Q<03ShC0P004Cgc0P00547c0`00:dGC2P009TGC0P003T7c2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool2K9<01000J;=X/`000fCC00<0063cH?<00V3c00D005ccG?=Ll`0000=M4`03001I<eTc
00=I<`05001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00
AM=5d`03AM<00`00@O=1l`04@O<00`00?O<ml`03?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<00`00
=U<fD`05=U<00`00<W<bL`07<W<00`00;W<^L`08;W<00`00;Y<^T`0;;Y<00`00:[<Z/`0?:[<2001G
9]<3000E:[<2000B;Y<2000?;W<2000?<W<00`00=U<fD`0==U<2000>>S<2000@?Q<2000A?O<2000E
@O<2001GAM<2000@@O<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03K9<0
06Rc009X/`05001TdfCCI=<00003H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00<005ECEE<0
0UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<0
0dGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<01ChC00<003Xc>S<01CXc00<003IC=U<0
1CIC00<0039c<W<01c9c00<002ic;W<022ic00<002jC;Y<02bjC00<002Zc:[<03RZc0P007bKC6P00
8bKC0P005BZc0P004RjC0P003bic0P003S9c00<003IC=U<03SIC00<003Xc>S<03CXc0P0043hC0P00
4Cgc0P005D7c1000D4GC0`00447c0P002goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01FbC
001X/fRc00000fCC00<0063cH?<00V3c00D005ccG?=Ll`0000=M4`03001I<eTc00=I<`05001EDeEC
EE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00
@O=1l`04@O<00`00?O<ml`03?O<00`00?Q<n4`05?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00
<W<bL`07<W<00`00;W<^L`08;W<00`00;Y<^T`0:;Y<2000>:[<3000L9]<5000J8_<5000P9]<3000D
:[<2000B;Y<00`00;W<^L`0>;W<2000=<W<2000?=U<2000?>S<2000@?Q<2000A?O<3000F@O<40019
AM<3000A@O<20002?O<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001X/fRcJ;<00003
I=<01@00H?=Plf3c00000ecc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00UEC00D0055c
DG=AL`0000A=L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00=1l`03
000mlcgc00<ml`03000n4chC00Dn4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00LbL`03
000^Lbic00P^L`03000^TbjC00T^T`8000hZ/`8001XVd`D002@Rl`D001hVd`<001<Z/`80014^T`80
010^L`8000dbL`8000lfD`03000j<cXc00hj<`80010n4`80018ml`<001M1l`<00495d`@001=1l`03
000mlcgc008ml`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00@006RcJ;<000=Td`03001P
lf3c009Pl`05001LleccG?<00003GA<00`00FC=I<`02FC<20003EE<00`00DG=AL`02DG<00`00CG==
L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<m
l`04?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00<W<bL`07<W<00`00;W<^
L`07;W<2000:;Y<2000>:[<2000E9]<7000^8_<7000J9]<3000B:[<3000@;Y<2000@;W<00`00<W<b
L`0<<W<3000==U<3000?>S<2000@?Q<2000C?O<3000G@O<5000iAM<4000E@O<20005?O<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`=X/`05001TdfCCI=<00003H?<01@00G?=Llecc000015dC
00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc
00=9/`030015ddGC00=5d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00@n4`03000j<cXc
00@j<`03000fDcIC00DfD`03000bLc9c00LbL`03000^Lbic00L^L`03000^TbjC00T^T`03000Z/bZc
00`Z/`8001@Vd`<003`Rl`@001TVd`8001<Z/`80010^T`03000^Lbic00h^L`8000lbL`03000fDcIC
00dfD`03000j<cXc00hj<`03000n4chC00ln4`8001@ml`8001Y1l`@003=5d`8001M1l`8000Lml`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo0VRc00D006CCI==Td`0000APl`05001LleccG?<0
0004GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<0
04VcBK<00dVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<01ChC00<0
03Xc>S<013Xc00<003IC=U<013IC00<0039c<W<01c9c00<002ic;W<01bic00<002jC;Y<022jC0P00
3BZc0P0052KC0P00@b;c10005bKC0`004RZc0P003bjC0P0042ic0P003S9c0P003SIC0P003cXc00<0
03hC?Q<043hC0P0053gc0`006d7c1@00:TGC10005d7c0P002Cgc2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2J;<01@00I==TdfCC00000f3c00<005ccG?<00Ucc00D005dCGA=M4`0000AI<`05
001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03
AM<00`00@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`05
=U<00`00<W<bL`07<W<00`00;W<^L`06;W<00`00;Y<^T`08;Y<00`00:[<Z/`0<:[<00`009]<Vd`0A
9]<300198_<2000H9]<2000B:[<2000?;Y<2000@;W<00`00<W<bL`0=<W<00`00=U<fD`0==U<00`00
>S<j<`0=>S<2000B?Q<2000E?O<2000N@O<;000EAM<:000I@O<2000;?O<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`9X/`05001TdfCCI=<00003H?<01@00G?=Llecc000015dC00<005TcFC<0
0UTc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc00=9/`030015
ddGC00=5d`030011ld7c00=1l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00@j<`03000f
DcIC00DfD`03000bLc9c00LbL`03000^Lbic00H^L`03000^TbjC00P^T`03000Z/bZc00`Z/`03000V
dbKC010Vd`8004hRl`<001LVd`80018Z/`8000l^T`8000l^L`03000bLc9c00dbL`03000fDcIC00df
D`8000lj<`80018n4`8001Dml`8002M1laD00251l`8000dml`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo00=X/`00I=<00VCC00D0063cH?=Pl`0000ALl`05001M4edCGA<00004FC<01@00EE=E
DeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0
047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<01ChC00<003Xc>S<013Xc00<003IC=U<013IC00<0
039c<W<01c9c00<002ic;W<01Ric00<002jC;Y<022jC00<002Zc:[<02bZc0P004BKC0P00Db;c0P00
5bKC0P004RZc00<002jC;Y<03RjC0P003Ric0P003S9c0P003cIC0P003cXc00<003hC?Q<04ChC0P00
5Cgc0P00FD7c0P003cgc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00fRc001Td`02I=<0
1@00H?=Plf3c000015cc00D005dCGA=M4`0000AI<`05001EDeECEE<00004DG<00`00CG==L`02CG<0
0`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<0
0`00?Q<n4`03?Q<20006>S<00`00=U<fD`05=U<00`00<W<bL`06<W<00`00;W<^L`06;W<00`00;Y<^
T`08;Y<00`00:[<Z/`0::[<2000@9]<3001G8_<3000F9]<00`00:[<Z/`0@:[<00`00;Y<^T`0?;Y<0
0`00;W<^L`0=;W<00`00<W<bL`0=<W<2000?=U<00`00>S<j<`0=>S<2000C?Q<00`00?O<ml`0D?O<4
001D@O<00`00?O<ml`0??O<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03
J;<006CC009Td`05001Plf3cH?<00003G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00D0055c
DG=AL`0000A=L`03001=TdfC009=T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00=1l`03
000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00Dj<`03000fDcIC00DfD`03000bLc9c00HbL`03
000^Lbic00H^L`03000^TbjC00L^T`8000`Z/`03000VdbKC00dVd`<0020RlaX002<Rl`8001DVd`<0
010Z/`80010^T`8000h^L`03000bLc9c00hbL`8000hfD`8000lj<`80018n4`8001Pml`8004m1l`<0
010ml`8000]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D006CCI==Td`0000=Pl`03001L
lecc009Ll`05001M4edCGA<00004FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<0
0TfC00<004VcBK<00TVc00<004GCAM<014GC00<0047c@O<00T7c00<003gc?O<013gc00<003hC?Q<0
0chC00<003Xc>S<01CXc00<003IC=U<013IC00<0039c<W<01C9c0P0022ic00<002jC;Y<01bjC00<0
02Zc:[<02RZc0P003RKC0P007R;c1@006Qkc1@0082;c0`005BKC0`003bZc0P0042jC0P003Bic0P00
439c0P003SIC0P003cXc0`004ChC0`005cgc1000B47c0`004Cgc0P000ShC2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool01@00I==TdfCC00000f3c00D005ccG?=Ll`0000AM4`05001I<eTcFC<0
0004EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5
d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`03?Q<00`00>S<j<`05>S<00`00=U<f
D`05=U<00`00<W<bL`04<W<00`00;W<^L`07;W<00`00;Y<^T`07;Y<00`00:[<Z/`0::[<00`009]<V
d`0<9]<2000K8_<5000T7_<5000N8_<3000E9]<2000?:[<2000@;Y<2000=;W<2000@<W<00`00=U<f
D`0==U<00`00>S<j<`0?>S<2000B?Q<3000H?O<5000o@O<4000C?O<00`00?Q<n4`02?Q<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`04001TdfCC0003H?<00`00G?=Ll`02G?<01@00GA=M4edC
000015Tc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`03
0015ddGC00=5d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00<n4`03000j<cXc00@j<`03
000fDcIC00DfD`03000bLc9c00@bL`03000^Lbic00L^L`03000^TbjC00L^T`03000Z/bZc00XZ/`03
000VdbKC00`Vd`03000Rlb;c01HRl`D002hNl`D001`Rl`8001DVd`03000Z/bZc00hZ/`<000l^T`03
000^Lbic00`^L`8000lbL`8000hfD`80014j<`8001<n4`8001/ml`8003Y1l`<001Dml`8000Dn4`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo0fCC00D0063cH?=Pl`0000=Ll`03001M4edC009M
4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9
/`02BK<00`00AM=5d`03AM<00`00@O=1l`02@O<00`00?O<ml`04?O<00`00?Q<n4`03?Q<00`00>S<j
<`04>S<00`00=U<fD`05=U<00`00<W<bL`05<W<00`00;W<^L`06;W<00`00;Y<^T`07;Y<00`00:[<Z
/`09:[<2000>9]<00`008_<Rl`0B8_<5000h7_<6000H8_<3000C9]<2000@:[<00`00;Y<^T`0>;Y<0
0`00;W<^L`0=;W<00`00<W<bL`0><W<00`00=U<fD`0==U<2000A>S<00`00?Q<n4`0B?Q<2000K?O<4
000c@O<3000G?O<00`00?Q<n4`05?Q<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=Td`05
001Plf3cH?<00003G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`03
001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00@ml`03
000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00DbL`03000^Lbic00H^L`03
000^TbjC00L^T`03000Z/bZc00TZ/`03000VdbKC00`Vd`8001<Rl`8004<Nl`@001LRl`<0018Vd`80
00lZ/`8000l^T`8000h^L`8000lbL`8000lfD`03000j<cXc00lj<`8001@n4`<001`ml`D002Y1l`@0
01Pml`8000Pn4`]oo`03001oogoo00Ioo`007Woo0`0027oo0VCC00D0063cH?=Pl`0000=Ll`03001M
4edC009M4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<0
0`00BK=9/`02BK<00`00AM=5d`03AM<00`00@O=1l`02@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<0
0`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`07;W<00`00;Y<^T`06;Y<0
0`00:[<Z/`08:[<2000=9]<2000B8_<300197_<2000H8_<2000B9]<2000?:[<2000?;Y<2000>;W<2
000?<W<00`00=U<fD`0==U<2000A>S<2000E?Q<2000O?O<5000K@O<:000J?O<2000:?Q<9Ool30008
Ool001ioo`03001oogoo00Qoo`9Td`05001Plf3cH?<00003G?<01@00GA=M4edC000015Tc00<005EC
EE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`03
0011ld7c0091l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00@j<`03000fDcIC00@fD`03
000bLc9c00HbL`03000^Lbic00H^L`03000^TbjC00H^T`03000Z/bZc00PZ/`03000VdbKC00`Vd`03
000Rlb;c010Rl`8004hNl`<001LRl`80018Vd`8000lZ/`8000l^T`03000^Lbic00d^L`8000hbL`80
00lfD`80014j<`8001Dn4`80028mla/0028ml`8000`n4`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00=Td`00H?<00V3c00<005ccG?<00Ucc00D005dCGA=M4`0000=I<`03001EDeEC009ED`03
001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`03
0011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00Dj<`03000fDcIC00@fD`03
000bLc9c00DbL`03000^Lbic00D^L`8000P^T`03000Z/bZc00PZ/`03000VdbKC00/Vd`80014Rl`80
05<Nl`8001LRl`80018Vd`03000Z/bZc00hZ/`8000h^T`8000l^L`8000hbL`8000lfD`80014j<`80
01Dn4`8005/ml`8000hn4`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=Td`00H?<00V3c
00D005ccG?=Ll`0000AM4`05001I<eTcFC<00004EE<01@00DG=ALe5c000014ec00<004fCCI<00TfC
00<004VcBK<00TVc00<004GCAM<00dGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<013hC
00<003Xc>S<00cXc0P001SIC00<0039c<W<01C9c00<002ic;W<01Bic00<002jC;Y<01bjC00<002Zc
:[<022Zc00<002KC9]<02bKC00<002;c8_<03b;c0P00Eakc0`005R;c00<002KC9]<042KC0P0042Zc
00<002jC;Y<03BjC00<002ic;W<03Ric00<0039c<W<03C9c00<003IC=U<03SIC0P004CXc0P005ChC
1@00Dcgc0`0043hC00<007ooOol027oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00fCC001P
l`02H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=
L`05001=TdfCCI<00004BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n
4`03?Q<00`00>S<j<`03>S<00`00=U<fD`05=U<00`00<W<bL`05<W<00`00;W<^L`05;W<00`00;Y<^
T`07;Y<00`00:[<Z/`08:[<00`009]<Vd`0;9]<00`008_<Rl`0>8_<2000O7_<J000S7_<2000E8_<2
000B9]<2000?:[<2000>;Y<00`00;W<^L`0>;W<00`00<W<bL`0=<W<2000@=U<2000A>S<2000H?Q<2
001??O<2000A?Q<2000;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001Plf3cH?<00003
G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00D0055cDG=AL`0000A=L`03001=TdfC009=T`03
0019/dVc0099/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00@n4`03
000j<cXc00<j<`03000fDcIC00DfD`03000bLc9c00@bL`03000^Lbic00D^L`03000^TbjC00L^T`03
000Z/bZc00PZ/`03000VdbKC00XVd`8000lRl`8001`Nl`D001XO4`D0020Nl`<001@Rl`80018Vd`03
000Z/bZc00hZ/`03000^TbjC00`^T`8000l^L`8000lbL`80010fD`03000j<cXc010j<`8001Pn4`<0
04Tml`<0014n4`80008j<`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D0063cH?=Pl`00
00=Ll`05001M4edCGA<00004FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC
00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<00chC
00<003Xc>S<00cXc00<003IC=U<01CIC00<0039c<W<01C9c00<002ic;W<01Bic00<002jC;Y<01RjC
00<002Zc:[<022Zc00<002KC9]<02BKC0P003b;c0P006Akc1@0091lC1@007Qkc0`004b;c0P004BKC
0P003bZc0P003RjC0P003bic00<0039c<W<03S9c00<003IC=U<03SIC0P004SXc0P006ChC0`00@cgc
0`004chC00<003Xc>S<00SXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01000H?=Pl`00
0ecc00<005dCGA<00UdC00D005TcFC=I<`0000AED`03001ALe5c009AL`05001=LdecCG<00004CI<0
0`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<0
0`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`05;W<00`00;Y<^T`06;Y<0
0`00:[<Z/`07:[<2000;9]<00`008_<Rl`0=8_<2000F7_<5000^7a<500037_<00`007_<Nl`0F7_<2
000C8_<2000A9]<2000?:[<00`00;Y<^T`0=;Y<2000>;W<2000?<W<2000@=U<2000B>S<2000J?Q<4
000m?O<2000D?Q<20005>S<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=Pl`05001Llecc
G?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC
00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00Sgc0P001ChC00<003Xc
>S<00cXc00<003IC=U<013IC00<0039c<W<01C9c00<002ic;W<01Bic00<002jC;Y<01RjC00<002Zc
:[<01bZc00<002KC9]<02RKC00<002;c8_<032;c0P005Akc0`00>1lC1@006Akc0P004b;c0P004BKC
00<002Zc:[<03BZc0P003bjC00<002ic;W<03Bic0P003c9c0P0043IC0P004SXc0`006chC1@00<cgc
1@005ChC00<003Xc>S<01CXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3H?<01@00G?=L
lecc00000edC00D005TcFC=I<`0000AED`03001ALe5c009AL`05001=LdecCG<00004CI<00`00BK=9
/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`03?Q<00`00>S<j
<`03>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`05;W<00`00;Y<^T`06;Y<00`00:[<Z
/`07:[<00`009]<Vd`0:9]<00`008_<Rl`0<8_<00`007_<Nl`0C7_<200107a<2000I7_<2000C8_<2
000@9]<2000?:[<00`00;Y<^T`0=;Y<00`00;W<^L`0>;W<2000?<W<00`00=U<fD`0?=U<00`00>S<j
<`0B>S<2000N?Q<5000Z?O<4000H?Q<20008>S<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`9Pl`05001LleccG?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec
00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00Sgc
00<003hC?Q<013hC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<0139c00<002ic;W<01Bic
00<002jC;Y<01bjC00<002Zc:[<01bZc00<002KC9]<022KC0P003B;c0P0051kc0P00A1lC0`0061kc
0P004b;c00<002KC9]<03bKC00<002Zc:[<03BZc0P003RjC0P0042ic00<0039c<W<03C9c0P0043IC
0P0053Xc0`0083hC1@0083gc1@006ShC0P002SXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool2H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`05001=LdecCG<0
0004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n
4`03?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`05;W<00`00;Y<^
T`06;Y<00`00:[<Z/`07:[<00`009]<Vd`089]<00`008_<Rl`0<8_<00`007_<Nl`0A7_<300197a<2
000H7_<2000B8_<2000@9]<2000?:[<00`00;Y<^T`0=;Y<00`00;W<^L`0>;W<00`00<W<bL`0><W<2
000@=U<2000E>S<2000S?Q<6000E?O<5000M?Q<2000<>S<;Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`9Pl`05001LleccG?<00003GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00D004ec
CG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<ml`03
000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00D^L`03
000^TbjC00H^T`03000Z/bZc00LZ/`03000VdbKC00PVd`03000Rlb;c00`Rl`03000Nlakc010Nl`80
04hO4`<001LNl`80018Rl`80010Vd`03000Z/bZc00dZ/`03000^TbjC00d^T`03000^Lbic00h^L`80
010bL`03000fDcIC00lfD`8001Dj<`8002Ln4aD0024n4`03000j<cXc00`j<`]oo`03001oogoo00Io
o`007Woo00<007ooOol027oo00=Pl`00G?<00Ucc00D005dCGA=M4`0000AI<`05001EDeECEE<00004
DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc
?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<01C9c00<002ic
;W<012ic00<002jC;Y<01bjC00<002Zc:[<01RZc00<002KC9]<022KC00<002;c8_<02b;c0P004Akc
0P00DalC0P005akc0P004R;c00<002KC9]<03RKC00<002Zc:[<03BZc0P003RjC0P0042ic0P003c9c
00<003IC=U<043IC0P005CXc0P00FChC0P003cXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00f3c001Ll`02G?<01@00GA=M4edC000015Tc00D005ECEE=ED`0000AAL`05001=LdecCG<00004
CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`03
?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<20006<W<00`00;W<^L`05;W<00`00;Y<^T`06;Y<00`00
:[<Z/`06:[<00`009]<Vd`089]<00`008_<Rl`0:8_<2000A7_<2001G7a<3000F7_<00`008_<Rl`0@
8_<00`009]<Vd`0>9]<2000?:[<00`00;Y<^T`0=;Y<2000?;W<00`00<W<bL`0><W<00`00=U<fD`0A
=U<00`00>S<j<`0D>S<4001D?Q<00`00>S<j<`0?>S<00`00Oomoo`08Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`03H?<005cc009Ll`05001M4edCGA<00004FC<01@00EE=EDeEC0000155c00D0
04ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n
4`03?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`04<W<00`00;W<^L`05;W<00`00;Y<^
T`06;Y<00`00:[<Z/`06:[<00`009]<Vd`089]<00`008_<Rl`0:8_<00`007_<Nl`0?7_<2000O7a<J
000S7a<2000E7_<2000A8_<2000@9]<2000>:[<00`00;Y<^T`0>;Y<00`00;W<^L`0=;W<2000?<W<2
000B=U<2000H>S<2001??Q<3000@>S<2000;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05
001LleccG?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`03
0019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<ml`03000n4chC00<n4`03
000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00DbL`03000^Lbic00@^L`03000^TbjC00H^T`03
000Z/bZc00HZ/`03000VdbKC00PVd`03000Rlb;c00TRl`80010Nl`8001`O4`D001XK<`D0020O4`<0
01@Nl`80014Rl`80010Vd`03000Z/bZc00`Z/`8000l^T`8000l^L`8000lbL`80018fD`8001Pj<`<0
04Tn4`<0014j<`80008fD`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005ccG?=Ll`00
00=M4`03001I<eTc009I<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc
00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc
00<003IC=U<013IC00<0039c<W<0139c00<002ic;W<01Bic00<002jC;Y<01BjC00<002Zc:[<01RZc
00<002KC9]<022KC00<002;c8_<02B;c00<001kc7_<03Qkc0P006AlC1@0091/c1@007QlC0`004akc
0P004B;c00<002KC9]<03RKC0P003RZc0P003bjC00<002ic;W<03Ric00<0039c<W<03S9c0P004SIC
0P006CXc0`00@chC0`004cXc00<003IC=U<00SIC2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool01000G?=Ll`000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=L`05001=
TdfCCI<00004BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<0
0`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<0
0`00:[<Z/`07:[<00`009]<Vd`079]<00`008_<Rl`098_<00`007_<Nl`0=7_<2000G7a<4000^6c<4
000M7a<2000C7_<2000@8_<2000@9]<00`00:[<Z/`0=:[<2000>;Y<00`00;W<^L`0>;W<2000@<W<3
000A=U<2000J>S<3000n?Q<2000E>S<00`00=U<fD`03=U<;Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`=Ll`05001M4edCGA<00004FC<01@00EE=EDeEC00000e5c0P000dec00<004fCCI<00TfC
00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00chC
00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<0139c00<002ic;W<012ic00<002jC;Y<01BjC
00<002Zc:[<01bZc00<002KC9]<01bKC00<002;c8_<02B;c00<001kc7_<03Akc00<001lC7a<05AlC
0P00=Q/c1P006AlC00<001kc7_<04Qkc00<002;c8_<03b;c0P003bKC00<002Zc:[<03RZc00<002jC
;Y<032jC0P0042ic00<0039c<W<03c9c00<003IC=U<04CIC0`006SXc1@00=ChC10005SXc00<003IC
=U<013IC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3G?<01@00GA=M4edC000015Tc00@0
05ECEE<000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`03
0011ld7c0091l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03
000bLc9c00@bL`03000^Lbic00@^L`03000^TbjC00D^T`03000Z/bZc00LZ/`03000VdbKC00LVd`03
000Rlb;c00TRl`03000Nlakc00`Nl`8001@O4`@003hK<`8001PO4`8001<Nl`80014Rl`8000hVd`80
00lZ/`03000^TbjC00d^T`8000l^L`80010bL`8001@fD`8001dj<`8002hn4`D001Pj<`8000LfD`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo0ecc00D005dCGA=M4`0000=I<`05001EDeECEE<0
0004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<0
03gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<0
02ic;W<01Bic00<002jC;Y<01BjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c8_<022;c0P00
3Akc0P0051lC0P00A1/c0`005alC0`004Qkc0P004B;c00<002KC9]<03BKC0P003RZc0P003bjC0P00
3bic00<0039c<W<03c9c0P0053IC0P007CXc10009ChC1@0073Xc00<003IC=U<01cIC2goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool2G?<01@00GA=M4edC000015Tc00D005ECEE=ED`0000=AL`03
001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03
000mlcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00@bL`03
000^Lbic00@^L`03000^TbjC00D^T`03000Z/bZc00HZ/`03000VdbKC00LVd`03000Rlb;c00PRl`03
000Nlakc00`Nl`03000O4alC014O4`<004TK<`8001PO4`80018Nl`80010Rl`8000lVd`03000Z/bZc
00dZ/`03000^TbjC00h^T`03000^Lbic00d^L`80014bL`03000fDcIC01<fD`8001lj<`/001Dn4`D0
01lj<`8000XfD`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0Ucc00D005dCGA=M4`0000=I
<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0
047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0
039c<W<0139c00<002ic;W<01Bic00<002jC;Y<01BjC00<002Zc:[<01BZc00<002KC9]<01bKC00<0
02;c8_<022;c00<001kc7_<02akc0P004QlC0P00CQ/c0`005alC0P004Qkc0P0042;c00<002KC9]<0
3BKC0P003RZc0P003bjC00<002ic;W<03Ric00<0039c<W<03c9c0P005CIC0P00:3Xc5@008SXc0P00
33IC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2G?<01@00GA=M4edC00000eTc00D005EC
EE=ED`0000AAL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02
@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`03
<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<00`008_<Rl`08
8_<00`007_<Nl`0;7_<00`007a<O4`0@7a<2001C6c<2000G7a<00`007_<Nl`0A7_<00`008_<Rl`0>
8_<00`009]<Vd`0>9]<00`00:[<Z/`0=:[<00`00;Y<^T`0=;Y<00`00;W<^L`0>;W<2000A<W<2000E
=U<2001K>S<2000>=U<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9Ll`04001M4edC0004
FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02
@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03
<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<00`008_<Rl`08
8_<00`007_<Nl`0;7_<00`007a<O4`0?7a<2001G6c<3000E7a<2000B7_<00`008_<Rl`0>8_<00`00
9]<Vd`0>9]<00`00:[<Z/`0=:[<00`00;Y<^T`0=;Y<2000@;W<2000A<W<00`00=U<fD`0D=U<2001G
>S<2000@=U<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03G?<005dC009M
4`05001I<eTcFC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<0
04GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<0
03IC=U<013IC00<0039c<W<00c9c00<002ic;W<01Bic00<002jC;Y<012jC00<002Zc:[<01BZc00<0
02KC9]<01bKC00<002;c8_<022;c00<001kc7_<02akc00<001lC7a<03QlC0P0091/c4000:1/c0P00
5AlC0P004Akc0P003b;c0P003bKC00<002Zc:[<03BZc00<002jC;Y<03RjC00<002ic;W<03bic0P00
439c0P005SIC0`00DCXc0`004CIC00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00ecc001M4`02GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`05
0019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00>S<j<`03
>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`05;W<00`00;Y<^T`04;Y<00`00:[<Z/`06
:[<00`009]<Vd`079]<00`008_<Rl`078_<00`007_<Nl`0;7_<00`007a<O4`0=7a<2000M6c<9000@
5e<5000U6c<2000E7a<2000A7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<2000>:[<2000?;Y<2000A
;W<00`00<W<bL`0?<W<2000G=U<2001<>S<3000B=U<200000c9cOomoo`09Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`05001M4edCGA<00003FC<01@00EE=EDeEC0000155c00D004ecCG==L`00
00A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc008ml`03000n4chC
00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00<bL`03000^Lbic00D^L`03000^TbjC
00@^T`03000Z/bZc00DZ/`03000VdbKC00LVd`03000Rlb;c00LRl`03000Nlakc00XNl`8000hO4`80
01dK<`8001hGD`T001hK<`8001DO4`80010Nl`03000Rlb;c00hRl`8000lVd`8000hZ/`8000l^T`03
000^Lbic00l^L`80014bL`8001LfD`@004Hj<`8001@fD`04000bLc9c<W<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`05001M4edCGA<00003FC<01@00EE=EDeEC0000155c00D004ecCG==L`00
00A=T`050019/dVcBK<00004AM<00`00@O=1l`03@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00
>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<20006;Y<00`00:[<Z/`05
:[<00`009]<Vd`079]<00`008_<Rl`078_<00`007_<Nl`0:7_<00`007a<O4`0=7a<00`006c<K<`0G
6c<6000Y5e<2000N6c<2000E7a<00`007_<Nl`0>7_<2000@8_<00`009]<Vd`0>9]<00`00:[<Z/`0=
:[<00`00;Y<^T`0=;Y<2000A;W<00`00<W<bL`0@<W<3000H=U<30011>S<2000E=U<00`00<W<bL`02
<W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001M4edCGA<00003FC<01@00EE=EDeEC
00000e5c00D004ecCG==L`0000E=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`03
?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^L`03
;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<00`008_<Rl`078_<00`007_<Nl`0:
7_<00`007a<O4`0<7a<2000G6c<3000a5e<4000L6c<2000D7a<00`007_<Nl`0?7_<2000?8_<2000?
9]<00`00:[<Z/`0=:[<2000?;Y<00`00;W<^L`0?;W<00`00<W<bL`0B<W<2000I=U<3000j>S<4000E
=U<20005<W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=M4`05001I<eTcFC<00003EE<0
0`00DG=AL`02DG<01@00CG==Ldec000014fC00D004VcBK=9/`0000A5d`030011ld7c00=1l`03000m
lcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^
Lbic00@^L`03000^TbjC00D^T`03000Z/bZc00DZ/`03000VdbKC00HVd`03000Rlb;c00LRl`03000N
lakc00XNl`03000O4alC00`O4`03000K<a/c01DK<`8003PGD`D001TK<`8001<O4`80014Nl`03000R
lb;c00hRl`03000VdbKC00dVd`03000Z/bZc00hZ/`03000^TbjC00d^T`80010^L`03000bLc9c01<b
L`8001XfD`D003<j<`8001LfD`8000LbL`]oo`03001oogoo00Ioo`007Woo0`0027oo0edC00D005Tc
FC=I<`0000=ED`05001ALe5cDG<00004CG<00`00CI==T`02CI<01@00BK=9/dVc000014GC00<0047c
@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c
<W<0139c00<002ic;W<00bic00<002jC;Y<01BjC00<002Zc:[<01BZc00<002KC9]<01bKC00<002;c
8_<01b;c00<001kc7_<021kc0P003AlC0P005A/c0`00?aMC0P006A/c0P004alC0P0041kc0P003b;c
0P003RKC0P003bZc0P003bjC00<002ic;W<03Ric0P005C9c0P007CIC1000:cXc100063IC00<0039c
<W<01c9c2Goo0`0027oo000NOol00`00Oomoo`08Ool2GA<01@00FC=I<eTc00000eEC00<0055cDG<0
0U5c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`03@O<00`00?O<ml`02?O<0
0`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`02=U<00`00<W<bL`04<W<00`00;W<^L`04;W<0
0`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`069]<00`008_<Rl`078_<00`007_<Nl`087_<0
0`007a<O4`0<7a<00`006c<K<`0C6c<200145e<3000H6c<2000C7a<00`007_<Nl`0?7_<2000?8_<0
0`009]<Vd`0=9]<00`00:[<Z/`0>:[<00`00;Y<^T`0=;Y<2000@;W<2000E<W<00`00=U<fD`0N=U<2
000T>S<5000J=U<2000:<W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9M4`05001I<eTc
FC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00D004VcBK=9/`0000A5d`030011ld7c
0091l`03000mlcgc00<ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c
00@bL`03000^Lbic00<^L`03000^TbjC00D^T`03000Z/bZc00DZ/`03000VdbKC00HVd`03000Rlb;c
00LRl`03000Nlakc00PNl`03000O4alC00`O4`03000K<a/c014K<`<004TGD`<001LK<`80018O4`80
014Nl`03000Rlb;c00dRl`03000VdbKC00dVd`8000lZ/`03000^TbjC00h^T`03000^Lbic00l^L`80
01@bL`80020fD`X001@j<`H001hfD`03000bLc9c00XbL`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo0UdC00D005TcFC=I<`0000=ED`03001ALe5c009AL`05001=LdecCG<00004CI<01@00BK=9
/dVc000014GC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<0
03IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<01BjC00<002Zc:[<01BZc00<0
02KC9]<01bKC00<002;c8_<01R;c00<001kc7_<021kc00<001lC7a<031lC00<001/c6c<04A/c00<0
01MC5e<0CAMC0P005a/c00<001lC7a<04AlC0P0041kc00<002;c8_<03B;c00<002KC9]<03RKC00<0
02Zc:[<03BZc00<002jC;Y<03RjC00<002ic;W<042ic00<0039c<W<04c9c0P00:3IC50008cIC00<0
039c<W<02c9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00edC001I<`03FC<01@00EE=E
DeEC00000e5c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<m
l`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^
L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`069]<00`008_<Rl`068_<00`007_<N
l`087_<00`007a<O4`0;7a<2000B6c<2001B5e<2000F6c<00`007a<O4`0B7a<00`007_<Nl`0>7_<0
0`008_<Rl`0=8_<2000?9]<00`00:[<Z/`0=:[<2000?;Y<00`00;W<^L`0@;W<2000E<W<2001K=U<2
000><W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03GA<005Tc009I<`03001EDeEC009E
D`05001ALe5cDG<00003CG<00`00CI==T`02CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<0
03gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<0
02ic;W<00bic00<002jC;Y<01BjC00<002Zc:[<01BZc00<002KC9]<01RKC00<002;c8_<01R;c00<0
01kc7_<021kc00<001lC7a<02alC00<001/c6c<04A/c00<001MC5e<0E1MC0P005A/c0P004alC00<0
01kc7_<03Qkc0P003b;c00<002KC9]<03BKC00<002Zc:[<03RZc00<002jC;Y<03BjC0P004Ric00<0
039c<W<0539c0P00EcIC0P00439c00<007ooOol027oo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00edC001I<`02FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`050019/dVcBK<00004
AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03
=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`04:[<00`009]<Vd`07
9]<00`008_<Rl`068_<00`007_<Nl`087_<00`007a<O4`0:7a<00`006c<K<`0@6c<2001I5e<2000E
6c<2000B7a<00`007_<Nl`0?7_<00`008_<Rl`0=8_<00`009]<Vd`0=9]<00`00:[<Z/`0>:[<00`00
;Y<^T`0>;Y<00`00;W<^L`0@;W<00`00<W<bL`0E<W<2001C=U<2000A<W<00`00Oomoo`09Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`03001I<eTc009I<`05001EDeECEE<00003DG<01@00CG==
Ldec000014fC00D004VcBK=9/`0000A5d`030011ld7c0091l`03000mlcgc008ml`03000n4chC00<n
4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^
T`03000Z/bZc00DZ/`03000VdbKC00HVd`03000Rlb;c00HRl`03000Nlakc00PNl`03000O4alC00XO
4`03000K<a/c00lK<`80020GDaP002DGD`8001DK<`03000O4alC010O4`03000Nlakc00lNl`03000R
lb;c00dRl`03000VdbKC00dVd`03000Z/bZc00hZ/`03000^TbjC00h^T`80014^L`8001LbL`8004lf
D`8001<bL`03001oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00<005TcFC<00UTc
00D005ECEE=ED`0000=AL`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c
00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01RKC00<002;c8_<01R;c
00<001kc7_<021kc00<001lC7a<02QlC00<001/c6c<03Q/c0P0071MC1P0061=c1P008AMC00<001/c
6c<04a/c0P004AlC0P0041kc00<002;c8_<03B;c00<002KC9]<03BKC00<002Zc:[<03RZc00<002jC
;Y<03bjC00<002ic;W<042ic0P005c9c1000BCIC0P00539c00<002icOol02Woo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool00`00FC=I<`02FC<01@00EE=EDeEC00000e5c00D004ecCG==L`0000==
T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc008ml`03000n4chC008n
4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^
T`03000Z/bZc00@Z/`03000VdbKC00HVd`03000Rlb;c00HRl`03000Nlakc00PNl`03000O4alC00XO
4`03000K<a/c00dK<`8001XGD`@002@CL`D001dGD`8001DK<`80014O4`03000Nlakc00hNl`03000R
lb;c00dRl`03000VdbKC00dVd`8000lZ/`80010^T`80018^L`8001TbL`<004<fD`<001@bL`80008^
L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005TcFC=I<`0000=ED`05001ALe5cDG<0
0004CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC00<n
4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00<^
T`03000Z/bZc00DZ/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00PNl`03000O4alC00XO
4`03000K<a/c00`K<`8001TGD`<002dCL`@001/GD`8001DK<`80010O4`8000lNl`8000hRl`8000lV
d`03000Z/bZc00hZ/`03000^TbjC00l^T`80018^L`8001XbL`<003hfD`8001HbL`03000^Lbic008^
L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005TcFC=I<`0000=ED`05001ALe5cDG<0
0003CG<01@00CI==TdfC00001DVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC008n
4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^
T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00LRl`03000Nlakc00LNl`03000O4alC00XO
4`03000K<a/c00`K<`03000GDaMC01HGD`<003@CL`<001XGD`8001DK<`03000O4alC00lO4`03000N
lakc00hNl`03000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc00hZ/`80014^T`03000^Lbic014^
L`8001/bL`8003TfD`<001LbL`03000^Lbic00<^L`]oo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo0eTc00D005ECEE=ED`0000=AL`03001=Ldec009=L`05001=TdfCCI<00004BK<01@00AM=5ddGC
0000147c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00SIC00<0039c
<W<0139c00<002ic;W<012ic00<002jC;Y<00bjC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c
8_<01R;c00<001kc7_<021kc00<001lC7a<02AlC00<001/c6c<031/c00<001MC5e<05AMC0P00>Q=c
0P006QMC0P0051/c00<001lC7a<03alC00<001kc7_<03Qkc00<002;c8_<03B;c00<002KC9]<03BKC
0P0042Zc00<002jC;Y<03bjC00<002ic;W<04Ric0P006c9c0`00=3IC0P00639c0P001Ric2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool3FC<01@00EE=EDeEC00000e5c00<004ecCG<00Tec00D0
04fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j
<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z
/`04:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<Nl`087_<00`007a<O4`097a<00`006c<K
<`0<6c<00`005e<GD`0C5e<3000n4g<3000I5e<3000B6c<00`007a<O4`0?7a<00`007_<Nl`0>7_<0
0`008_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0>:[<00`00;Y<^T`0?;Y<00`00;W<^L`0C;W<0
0`00<W<bL`0K<W<5000[=U<4000H<W<20008;W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`=I<`05001EDeECEE<00003DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00D004GCAM=5d`00
00A1l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c
00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c
00LRl`03000Nlakc00LNl`03000O4alC00TO4`03000K<a/c00/K<`8001@GD`8004@CL`<001TGD`03
000K<a/c010K<`80010O4`8000lNl`8000hRl`8000lVd`8000lZ/`03000^TbjC00l^T`8001@^L`80
020bL`8002@fD`D001/bL`03000^Lbic00P^L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo
0UTc00D005ECEE=ED`0000=AL`03001=Ldec009=L`05001=TdfCCI<00004BK<00`00AM=5d`02AM<0
1@00@O=1ld7c000013gc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<0
0c9c00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<0
1R;c00<001kc7_<01akc00<001lC7a<021lC0P003A/c00<001MC5e<04QMC0P00BA=c0P0061MC0P00
4Q/c00<001lC7a<03alC0P003akc00<002;c8_<03B;c00<002KC9]<03RKC00<002Zc:[<03BZc0P00
4BjC00<002ic;W<04bic0P00839c10006cIC1@007S9c0P002bic2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2FC<01@00EE=EDeEC00000e5c00D004ecCG==L`0000A=T`030019/dVc0099/`05
0015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<fD`03
=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`05
9]<00`008_<Rl`078_<00`007_<Nl`067_<00`007a<O4`087a<00`006c<K<`0<6c<00`005e<GD`0A
5e<2001=4g<2000H5e<00`006c<K<`0@6c<2000A7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<00`00
9]<Vd`0>9]<00`00:[<Z/`0>:[<00`00;Y<^T`0?;Y<2000E;W<2000R<W<K000R<W<00`00;W<^L`0;
;W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03FC<005EC009ED`03001ALe5c009AL`05
001=LdecCG<00003CI<00`00BK=9/`02BK<00`00AM=5d`02AM<01@00@O=1ld7c000013gc00<003hC
?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC
;Y<01BjC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<01R;c00<001kc7_<01akc00<001lC
7a<01alC00<001/c6c<031/c00<001MC5e<041MC0P00DA=c0P005aMC00<001/c6c<04A/c00<001lC
7a<03alC00<001kc7_<03Akc00<002;c8_<03B;c0P003bKC00<002Zc:[<03RZc00<002jC;Y<042jC
0P005Bic00<0039c<W<0Fc9c00<002ic;W<032ic2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00eTc001ED`02EE<00`00DG=AL`02DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00<004GC
AM<00TGC00D0047c@O=1l`0000@ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03
000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03
000Rlb;c00HRl`03000Nlakc00LNl`03000O4alC00PO4`03000K<a/c00/K<`03000GDaMC00lGD`80
05DCL`8001HGD`80018K<`03000O4alC00lO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC
00dVd`03000Z/bZc00hZ/`03000^TbjC014^T`03000^Lbic01<^L`<005PbL`8000l^L`]oo`03001o
ogoo00Ioo`007Woo00<007ooOol027oo00=I<`00EE<00UEC00<0055cDG<00U5c00D004ecCG==L`00
00==T`030019/dVc0099/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00
>S<j<`02>S<00`00=U<fD`04=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00
:[<Z/`05:[<00`009]<Vd`049]<00`008_<Rl`068_<00`007_<Nl`077_<00`007a<O4`087a<00`00
6c<K<`0;6c<00`005e<GD`0>5e<2001I4g<2000F5e<2000A6c<00`007a<O4`0?7a<2000>7_<00`00
8_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z/`0>:[<2000B;Y<00`00;W<^L`0E;W<2001D<W<2000A
;W<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03FC<005EC009ED`05001A
Le5cDG<00003CG<00`00CI==T`02CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00D003gc?O<m
l`0000Dn4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^
TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00HNl`03000O
4alC00PO4`03000K<a/c00/K<`03000GDaMC00dGD`8002DCLa0002PCL`8001HGD`03000K<a/c00lK
<`80014O4`03000Nlakc00`Nl`03000Rlb;c00hRl`03000VdbKC00dVd`03000Z/bZc00lZ/`80014^
T`8001L^L`80054bL`03000^Lbic010^L`03001oogoo00Uoo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00<005ECEE<00UEC00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<00`00AM=5d`02
AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<013IC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<01BZc00<002KC9]<012KC00<002;c
8_<01R;c00<001kc7_<01akc00<001lC7a<01alC00<001/c6c<02a/c00<001MC5e<03AMC00<001=c
4g<081=c1@0040mc1@009A=c0P005AMC0P004A/c00<001lC7a<03alC00<001kc7_<031kc00<002;c
8_<03R;c0P003RKC0P004BZc00<002jC;Y<042jC00<002ic;W<05Ric0P00CC9c0P004Bic0P0000<^
TgooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00EE=EDeEC00000e5c00D004ec
CG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`02
?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04
;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<Nl`067_<00`007a<O4`07
7a<00`006c<K<`0:6c<2000>5e<2000N4g<5000J3g<5000R4g<2000E5e<2000@6c<00`007a<O4`0?
7a<00`007_<Nl`0<7_<2000@8_<00`009]<Vd`0=9]<00`00:[<Z/`0?:[<00`00;Y<^T`0@;Y<2000H
;W<20019<W<2000B;W<01000;Y<^TbjC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00
EE=EDeEC00000e5c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00
?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00
;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`068_<00`00
7_<Nl`067_<00`007a<O4`087a<00`006c<K<`096c<00`005e<GD`0=5e<00`004g<CL`0H4g<6000T
3g<6000N4g<2000E5e<00`006c<K<`0>6c<2000@7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`00
9]<Vd`0=9]<00`00:[<Z/`0?:[<00`00;Y<^T`0A;Y<2000H;W<30013<W<3000C;W<00`00;Y<^T`02
;Y<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001EDeECEE<00003DG<01@00CG==Ldec
000014fC00D004VcBK=9/`0000A5d`030011ld7c0091l`03000mlcgc008ml`03000n4chC008n4`03
000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00@^T`03
000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00DRl`03000Nlakc00HNl`03000O4alC00PO4`03
000K<a/c00TK<`03000GDaMC00dGD`03000CLa=c01HCL`<0030?L`<001dCL`8001@GD`03000K<a/c
00lK<`03000O4alC00hO4`03000Nlakc00dNl`8000hRl`03000VdbKC00hVd`03000Z/bZc00lZ/`80
01<^T`8001T^L`<003hbL`8001D^L`03000^TbjC00<^T`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00@005ECEE<000AAL`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00<0047c@O<0
0T7c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<0
0c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<0
1B;c00<001kc7_<01Qkc00<001lC7a<021lC00<001/c6c<02Q/c00<001MC5e<031MC00<001=c4g<0
5A=c0P00=Pmc0`0071=c00<001MC5e<04QMC00<001/c6c<03a/c00<001lC7a<03QlC00<001kc7_<0
3Qkc00<002;c8_<032;c00<002KC9]<03RKC0P004BZc00<002jC;Y<04RjC00<002ic;W<06Bic0P00
>C9c0`005Bic0P001RjC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3EE<01@00DG=ALe5c
00000dec00<004fCCI<00TfC00D004VcBK=9/`0000A5d`030011ld7c0091l`03000mlcgc008ml`03
000n4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic008^L`03
000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00DRl`03000Nlakc00HNl`03
000O4alC00PO4`03000K<a/c00TK<`03000GDaMC00`GD`03000CLa=c01@CL`8003/?L`<001XCL`80
01<GD`80010K<`03000O4alC00hO4`03000Nlakc00hNl`03000Rlb;c00`Rl`80010Vd`03000Z/bZc
00lZ/`03000^TbjC018^T`8001/^L`@003<bL`8001L^L`03000^TbjC00H^T`]oo`03001oogoo00Io
o`003Goo00=^B00000001@0000<14WooOol01Woo00<007ooOol027oo0UEC00<0055cDG<00U5c00D0
04ecCG==L`0000==T`030019/dVc0099/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n
4`02?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^
T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O
4`087a<00`006c<K<`086c<2000=5e<2000E4g<200103g<2000J4g<00`005e<GD`0B5e<00`006c<K
<`0>6c<2000?7a<2000?7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0?:[<2000D;Y<2
000M;W<4000[<W<4000H;W<00`00;Y<^T`07;Y<;Ool00`00Oomoo`06Ool000eoo`03O^h024]o00Ao
o`03O^h1egoo00Moo`03001oogoo00Qoo`9ED`03001ALe5c009AL`05001=LdecCG<00003CI<00`00
BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc
00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc
00<002KC9]<012KC0P001b;c00<001kc7_<01Akc00<001lC7a<021lC00<001/c6c<021/c00<001MC
5e<031MC00<001=c4g<04Q=c0`00A0mc0`0061=c0P004aMC00<001/c6c<03a/c00<001lC7a<03QlC
00<001kc7_<03Akc00<002;c8_<03B;c0P003bKC0P004BZc00<002jC;Y<04bjC00<002ic;W<07Ric
0`009C9c0`006bic00<002jC;Y<022jC2goo00<007ooOol01Woo000>Ool00gk^00Q;O`0=Ool00`00
Oomoo`08Ool2EE<00`00DG=AL`02DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5
d`0000A1l`03000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000b
Lc9c008bL`03000^Lbic00@^L`03000^TbjC008^T`03000Z/bZc00DZ/`03000VdbKC00@Vd`03000R
lb;c00DRl`03000Nlakc00HNl`03000O4alC00LO4`03000K<a/c00PK<`03000GDaMC00`GD`03000C
La=c018CL`03000?L`mc04P?L`03000CLa=c01LCL`03000GDaMC014GD`03000K<a/c00lK<`03000O
4alC00dO4`03000Nlakc00hNl`03000Rlb;c00hRl`03000VdbKC00hVd`03000Z/bZc00lZ/`03000^
TbjC01<^T`80024^L`<0020bL`<001`^L`03000^TbjC00T^T`]oo`03001oogoo00Ioo`003goo00=o
LR08Bgl037oo00<007ooOol027oo0UEC00D0055cDG=AL`0000==L`03001=TdfC009=T`050019/dVc
BK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC
00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC
00<002;c8_<01R;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c6c<02A/c00<001MC5e<02aMC
00<001=c4g<04A=c0P00C0mc0P0061=c0P004QMC0P0041/c00<001lC7a<03AlC00<001kc7_<03Qkc
00<002;c8_<03R;c00<002KC9]<03BKC00<002Zc:[<042Zc00<002jC;Y<052jC0P008Ric1P005C9c
1@007Bic0P0032jC2goo00<007ooOol01Woo000@Ool00gmb80Q;O`0;Ool00`00Oomoo`08Ool00eEC
001AL`03DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc
008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic
00@^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc
00HNl`03000O4alC00LO4`03000K<a/c00PK<`03000GDaMC00/GD`03000CLa=c010CL`80050?L`80
01PCL`03000GDaMC014GD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c
00hRl`03000VdbKC00dVd`03000Z/bZc010Z/`8001H^T`03000^Lbic02D^LaD0024^L`03000^TbjC
00`^T`]oo`03001oogoo00Ioo`0000=oofi800001`0000<jogooOol017oo00=oLR08Bgl02Woo1@00
1Woo00=ED`00DG<00e5c00D004ecCG==L`0000==T`030019/dVc0099/`050015ddGCAM<00004@O<0
0`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`02<W<0
0`00;W<^L`04;W<00`00;Y<^T`02;Y<00`00:[<Z/`05:[<00`009]<Vd`049]<00`008_<Rl`058_<0
0`007_<Nl`057_<00`007a<O4`077a<00`006c<K<`086c<00`005e<GD`0<5e<00`004g<CL`0?4g<0
0`003g<?L`1B3g<2000G4g<00`005e<GD`0A5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<N
l`0>7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z/`0A:[<00`00;Y<^T`0D;Y<00`00;W<^
L`1I;W<00`00;Y<^T`0=;Y<7Ool50008Ool0019oo`03Og8P24]o00Uoo`03001oogoo00Qoo`03EE<0
055c009AL`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n
4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic00@^L`03000^
TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc00HNl`03000O
4alC00LO4`03000K<a/c00PK<`03000GDaMC00/GD`03000CLa=c00lCL`03000?L`mc05D?L`8001HC
L`03000GDaMC014GD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00hR
l`03000VdbKC00dVd`80018Z/`03000^TbjC01@^T`8005L^L`80010^T`]oo`03001oogoo00Ioo`00
4goo00=oLR0>Gol027oo00<007ooOol027oo00=ED`00DG<00U5c00D004ecCG==L`0000A=T`050019
/dVcBK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<0
0cIC00<0039c<W<00S9c00<002ic;W<012ic00<002jC;Y<00bjC00<002Zc:[<00bZc0P001RKC00<0
02;c8_<01B;c00<001kc7_<01Akc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<02QMC0P00
4A=c00<000mc3g<0F0mc00<001=c4g<051=c00<001MC5e<04AMC00<001/c6c<03Q/c00<001lC7a<0
3AlC00<001kc7_<03Qkc00<002;c8_<03B;c00<002KC9]<03bKC00<002Zc:[<042Zc00<002jC;Y<0
5BjC0P00E2ic00<002jC;Y<042jC00<007ooOol027oo00<007ooOol01Woo000DOol00fi80MMoo`07
Ool00`00Oomoo`08Ool00eEC001AL`02DG<01@00CG==Ldec000014fC00D004VcBK=9/`0000A5d`05
0011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03
<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`05
8_<00`007_<Nl`057_<00`007a<O4`077a<00`006c<K<`086c<00`005e<GD`0:5e<00`004g<CL`0?
4g<2000T3g<@000X3g<2000E4g<2000B5e<00`006c<K<`0>6c<2000>7a<00`007_<Nl`0>7_<00`00
8_<Rl`0=8_<00`009]<Vd`0?9]<2000A:[<00`00;Y<^T`0F;Y<2001A;W<00`00;Y<^T`0@;Y<00`00
Oomoo`09Ool00`00Oomoo`06Ool000ioo`03BM9oogoo00=oo`03O^h14Woo00Moo`03001oogoo00Qo
o`03EE<0055c009AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00D0
03gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^
L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00DVd`03000Rlb;c00DRl`03000Nlakc00DN
l`03000O4alC00LO4`03000K<a/c00LK<`03000GDaMC00XGD`03000CLa=c00hCL`80024?L`D0010?
T`D002D?L`8001DCL`03000GDaMC010GD`03000K<a/c00lK<`03000O4alC00`O4`03000Nlakc00hN
l`03000Rlb;c00dRl`80014Vd`03000Z/bZc00lZ/`8001P^T`8004d^L`80018^T`03000Z/goo00Yo
o`03001oogoo00Ioo`003Goo00=omcP0>_l017oo00=M`07GOol01goo00<007ooOol027oo00D0055c
DG=AL`0000==L`03001=TdfC009=T`050019/dVcBK<00004AM<01@00@O=1ld7c000013gc00<003hC
?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC
;Y<012jC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC
7a<01alC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<070mc1@006PnC
1@008Pmc00<001=c4g<04a=c0P004AMC00<001/c6c<03Q/c00<001lC7a<03AlC0P003akc00<002;c
8_<03R;c00<002KC9]<03bKC00<002Zc:[<042Zc00<002jC;Y<05bjC0P00BBic0P004bjC00<002Zc
:[<02goo00<007ooOol01Woo000>Ool00gk^000jo`02Ool00eg000iOo`08Ool00`00Oomoo`08Ool0
1@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<0
1@00?Q<n4chC00001CXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<01BKC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC7a<0
1QlC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<06@mc100090nC1000
7`mc0P005A=c00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03Akc00<0
02;c8_<03R;c00<002KC9]<03bKC00<002Zc:[<042Zc0P006BjC0P00ABic0P0052jC00@002Zc:[<Z
/`]oo`03001oogoo00Ioo`003goo00EoLR000000004B00Yoo`03001oogoo00Qoo`05001ALe5cDG<0
0003CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`05000mlcgc?O<00004?Q<00`00>S<j
<`03>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`04;Y<00`00:[<Z
/`03:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`057_<00`007a<O4`077a<00`006c<K
<`076c<00`005e<GD`0:5e<00`004g<CL`0=4g<00`003g<?L`0G3g<3000/3i<2000O3g<00`004g<C
L`0C4g<2000@5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<0
0`009]<Vd`0?9]<00`00:[<Z/`0A:[<00`00;Y<^T`0H;Y<4000n;W<3000E;Y<00`00:[<Z/`02:[<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001ALe5cDG<00003CG<01@00CI==TdfC0000
14Vc00@004GCAM<000E1l`05000mlcgc?O<00004?Q<00`00>S<j<`03>S<00`00=U<fD`02=U<00`00
<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`04:[<00`009]<Vd`049]<00`00
8_<Rl`048_<00`007_<Nl`067_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`0:5e<00`00
4g<CL`0<4g<2000G3g<3000a3i<3000M3g<2000E4g<00`005e<GD`0>5e<00`006c<K<`0>6c<2000?
7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0?9]<00`00:[<Z/`0A:[<2000L;Y<2000j
;W<2000G;Y<00`00:[<Z/`03:[<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`AAL`05001=
LdecCG<00003CI<01@00BK=9/dVc00000dGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<0
0ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC7a<0
1alC00<001/c6c<01a/c00<001MC5e<02AMC00<001=c4g<031=c00<000mc3g<05@mc0P00=`nC0`00
70mc0P0051=c00<001MC5e<03QMC00<001/c6c<03a/c00<001lC7a<03AlC00<001kc7_<03Akc00<0
02;c8_<03R;c00<002KC9]<03bKC00<002Zc:[<04RZc00<002jC;Y<06bjC0`00=Bic0P005bjC0P00
1RZc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3DG<01@00CG==Ldec00000dfC00<004Vc
BK<00TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00004?Q<00`00>S<j<`03>S<00`00=U<fD`02
=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`04:[<00`009]<Vd`04
9]<00`008_<Rl`048_<00`007_<Nl`067_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`09
5e<00`004g<CL`0<4g<00`003g<?L`0D3g<2000l3i<3000K3g<2000C4g<00`005e<GD`0>5e<00`00
6c<K<`0?6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0?9]<00`00
:[<Z/`0B:[<2000N;Y<2000a;W<2000H;Y<00`00:[<Z/`06:[<;Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`=AL`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@m
l`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^
L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc00DN
l`03000O4alC00LO4`03000K<a/c00LK<`03000GDaMC00TGD`03000CLa=c00/CL`03000?L`mc01<?
L`80044?T`8001/?L`03000CLa=c014CL`03000GDaMC00hGD`80010K<`03000O4alC00dO4`03000N
lakc00dNl`03000Rlb;c00hRl`03000VdbKC00lVd`8001@Z/`8001h^T`<002`^L`8001T^T`03000Z
/bZc00LZ/`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0e5c00D004ecCG==L`0000==T`05
0019/dVcBK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC
=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC
9]<012KC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC
5e<02AMC00<001=c4g<02a=c00<000mc3g<04`mc00<000nC3i<0@`nC0P006Pmc00<001=c4g<04A=c
00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC7a<03AlC00<001kc7_<03Akc0P003b;c00<002KC
9]<042KC00<002Zc:[<04bZc00<002jC;Y<07RjC0P009Bic1@006RjC00<002Zc:[<022Zc2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool3DG<01@00CG==Ldec00000dfC00D004VcBK=9/`0000A5
d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<b
L`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<R
l`048_<00`007_<Nl`057_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`095e<00`004g<C
L`0;4g<00`003g<?L`0B3g<200183i<2000I3g<00`004g<CL`0A4g<00`005e<GD`0?5e<00`006c<K
<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0>7_<00`008_<Rl`0=8_<00`009]<Vd`0@9]<00`00:[<Z
/`0C:[<00`00;Y<^T`0O;Y<4000O;W<2000N;Y<00`00:[<Z/`09:[<;Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`9AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c
00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic
00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc
00DNl`03000O4alC00HO4`03000K<a/c00HK<`03000GDaMC00TGD`03000CLa=c00/CL`03000?L`mc
018?L`03000?T`nC04X?T`8001P?L`03000CLa=c014CL`03000GDaMC00lGD`03000K<a/c00dK<`03
000O4alC00hO4`03000Nlakc00hNl`03000Rlb;c00dRl`03000VdbKC010Vd`03000Z/bZc01<Z/`80
02<^T`H001D^L`@001l^T`03000Z/bZc00XZ/`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo
0U5c00D004ecCG==L`0000==T`050019/dVcBK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<0
0ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<0
1QlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<02a=c00<000mc3g<04@mc0P00C`nC00<0
00mc3g<05Pmc00<001=c4g<04A=c00<001MC5e<03aMC00<001/c6c<03A/c00<001lC7a<03QlC00<0
01kc7_<03Akc00<002;c8_<03R;c00<002KC9]<042KC0P005BZc00<002jC;Y<09RjC5@008RjC00<0
02Zc:[<02bZc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00e5c001=L`02CG<00`00CI==
T`02CI<01@00BK=9/dVc00000dGC00<0047c@O<00T7c00D003gc?O<ml`0000@n4`03000j<cXc008j
<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z
/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc00DNl`03000O4alC00HO4`03000K<a/c00HK
<`03000GDaMC00PGD`03000CLa=c00/CL`03000?L`mc014?L`03000?T`nC050?T`8001L?L`03000C
La=c014CL`03000GDaMC00lGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00dNl`03000R
lb;c00hRl`03000VdbKC014Vd`03000Z/bZc01<Z/`8005`^T`03000Z/bZc00`Z/`]oo`03001oogoo
00Ioo`007Woo00<007ooOol027oo00=AL`00CG<00Tec00<004fCCI<00TfC00D004VcBK=9/`0000=5
d`030011ld7c0091l`05000mlcgc?O<00004?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<b
L`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<R
l`048_<00`007_<Nl`057_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`085e<00`004g<C
L`0:4g<00`003g<?L`0@3g<2001E3i<2000F3g<2000B4g<2000@5e<00`006c<K<`0=6c<00`007a<O
4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<2000B9]<00`00:[<Z/`0D:[<2001H;Y<2000?:[<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03DG<004ec009=L`03001=TdfC009=T`050019
/dVcBK<00003AM<00`00@O=1l`02@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<0
0cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<0
0bKC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01a/c00<001MC5e<0
21MC00<001=c4g<02Q=c00<000mc3g<040mc00<000nC3i<0E`nC00<000mc3g<05@mc00<001=c4g<0
4A=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<0
3b;c00<002KC9]<03bKC00<002Zc:[<05RZc00<002jC;Y<0E2jC00<002Zc:[<03bZc00<007ooOol0
27oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00e5c001=L`02CG<01@00CI==TdfC000014Vc
00D004GCAM=5d`0000=1l`03000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC
008fD`03000bLc9c00<bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC
00@Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC
00PGD`03000CLa=c00XCL`03000?L`mc00h?L`8005/?T`8001H?L`03000CLa=c014CL`03000GDaMC
00hGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC
00lVd`03000Z/bZc01HZ/`03000^TbjC058^T`03000Z/bZc00lZ/`03001oogoo00Uoo`03001oogoo
00Ioo`007Woo00<007ooOol027oo00<004ecCG<00Tec00D004fCCI==T`0000=9/`050015ddGCAM<0
0004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<0
02ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<0
01kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<02Q=c00<0
00mc3g<03Pmc00<000nC3i<090nC4000:@nC0P005@mc00<001=c4g<041=c00<001MC5e<03aMC00<0
01/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<03bKC0P00
5bZc0P00DBjC00<002Zc:[<042Zc00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00`00CG==L`02CG<01@00CI==TdfC00000dVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00004
?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03
;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`058_<00`007_<Nl`057_<00`007a<O4`05
7a<00`006c<K<`076c<00`005e<GD`075e<00`004g<CL`0:4g<00`003g<?L`0>3g<00`003i<?T`0P
3i<5000@2k<5000V3i<00`003g<?L`0C3g<00`004g<CL`0@4g<00`005e<GD`0?5e<00`006c<K<`0<
6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0@8_<00`009]<Vd`0@9]<00`00:[<Z/`0F
:[<2001=;Y<2000B:[<00`009]=oo`0:Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=
LdecCG<00003CI<00`00BK=9/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00<003hC?Q<0
0ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<0
1AlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<02Q=c00<000mc3g<03@mc00<000nC3i<0
7@nC10006P^c10008`nC00<000mc3g<04`mc00<001=c4g<041=c00<001MC5e<03QMC00<001/c6c<0
3A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<04BKC00<002Zc:[<0
5bZc00<002jC;Y<0B2jC0P0052Zc00<002KCOol02Woo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool01@00CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`03
000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`8000@^L`03000^TbjC
00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC
00DO4`03000K<a/c00LK<`03000GDaMC00LGD`03000CLa=c00XCL`03000?L`mc00h?L`03000?T`nC
01T?T`@0028;/`D001l?T`03000?L`mc01<?L`03000CLa=c010CL`03000GDaMC00hGD`03000K<a/c
00dK<`03000O4alC00dO4`03000Nlakc00hNl`80010Rl`03000VdbKC014Vd`03000Z/bZc01LZ/`80
04H^T`8001DZ/`03000VdbKC00]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004ecCG==
L`0000==T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<0
0`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`047a<0
0`006c<K<`076c<00`005e<GD`075e<00`004g<CL`0:4g<00`003g<?L`0>3g<00`003i<?T`0H3i<2
000[2k<2000N3i<2000D3g<2000A4g<00`005e<GD`0>5e<00`006c<K<`0=6c<2000>7a<00`007_<N
l`0?7_<00`008_<Rl`0>8_<00`009]<Vd`0A9]<2000I:[<20012;Y<2000E:[<200039]<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00@0
047c@O<000Dml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03
000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc00@Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03
000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00LK<`03000GDaMC00LGD`03000CLa=c00XCL`03
000?L`mc00`?L`8001T?T`8002l;/`8001h?T`8001@?L`03000CLa=c00lCL`03000GDaMC00hGD`03
000K<a/c00hK<`03000O4alC00`O4`03000Nlakc00lNl`03000Rlb;c00hRl`8001<Vd`8001TZ/`<0
03d^T`8001HZ/`03000VdbKC00<Vd`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00@004ec
CG<000==T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`03?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<0
0bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<011lC00<001/c6c<0
1a/c00<001MC5e<01aMC00<001=c4g<02Q=c00<000mc3g<030mc00<000nC3i<05`nC0P00<`^c0P00
7PnC00<000mc3g<04Pmc00<001=c4g<03Q=c00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC7a<0
31lC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC9]<04RKC00<002Zc:[<06BZc0P00>RjC00<0
02Zc:[<05BZc00<002KC9]<012KC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3CG<01@00
CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc
008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc
00@Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c
00LK<`03000GDaMC00LGD`03000CLa=c00TCL`03000?L`mc00`?L`03000?T`nC01H?T`8003L;/`80
01d?T`03000?L`mc014?L`03000CLa=c00lCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC
00dO4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC018Vd`03000Z/bZc01/Z/`8003H^T`80
01PZ/`03000VdbKC00@Vd`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dec00D004fCCI==
T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`04:[<0
0`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`066c<0
0`005e<GD`075e<00`004g<CL`094g<00`003g<?L`0=3g<00`003i<?T`0C3i<3000k2k<3000K3i<0
0`003g<?L`0A3g<00`004g<CL`0?4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0=7a<0
0`007_<Nl`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0B9]<00`00:[<Z/`0L:[<00`00;Y<^T`0b;Y<0
0`00:[<Z/`0G:[<00`009]<Vd`059]<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`==L`05
001=TdfCCI<00003BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc
>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC00<002Zc
:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01QlC00<001/c
6c<01Q/c00<001MC5e<01QMC00<001=c4g<02A=c00<000mc3g<03@mc00<000nC3i<04`nC00<000^c
2k<0?`^c0P006PnC00<000mc3g<04@mc0P0041=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC
7a<03AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<04RKC00<002Zc:[<072Zc0P00;bjC
0`006BZc00<002KC9]<01RKC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3CG<01@00CI==
TdfC00000dVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<f
D`02=U<00`00<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<V
d`039]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`066c<00`005e<G
D`075e<00`004g<CL`094g<00`003g<?L`0<3g<00`003i<?T`0B3i<200142k<2000I3i<00`003g<?
L`0B3g<00`004g<CL`0>4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<N
l`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0B9]<2000N:[<4000Y;Y<2000K:[<00`009]<Vd`079]<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9=L`05001=TdfCCI<00003BK<00`00AM=5d`02
AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c
8_<012;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<01QMC00<001=c
4g<02A=c00<000mc3g<030mc00<000nC3i<04PnC00<000^c2k<0AP^c00<000nC3i<05`nC00<000mc
3g<04Pmc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc
7_<03Akc00<002;c8_<042;c00<002KC9]<04bKC00<002Zc:[<07bZc10008RjC0`0072Zc00<002KC
9]<022KC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CG<01@00CI==TdfC00000dVc00<0
04GCAM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<b
L`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<R
l`048_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`066c<00`005e<GD`075e<00`004g<C
L`094g<00`003g<?L`0;3g<00`003i<?T`0B3i<00`002k<;/`182k<2000H3i<00`003g<?L`0A3g<0
0`004g<CL`0?4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<0
0`008_<Rl`0@8_<00`009]<Vd`0C9]<2000S:[<3000M;Y<2000N:[<00`009]<Vd`099]<;Ool00`00
Oomoo`06Ool001ioo`<000Qoo`9=L`05001=TdfCCI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c
000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic008^L`03
000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03
000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00TCL`03000?L`mc00/?L`03
000?T`nC014?T`8004d;/`03000?T`nC01H?T`03000?L`mc014?L`03000CLa=c00lCL`03000GDaMC
00dGD`8000lK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c010Rl`03000VdbKC01@Vd`03
000Z/bZc02<Z/`@001@^T`D001lZ/`03000VdbKC00XVd`Uoo`<000Qoo`007Woo00<007ooOol027oo
0Tec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<0
0bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<011lC00<001/c6c<0
1Q/c00<001MC5e<01aMC00<001=c4g<021=c00<000mc3g<02`mc00<000nC3i<04@nC00<000^c2k<0
CP^c00<000nC3i<05PnC00<000mc3g<04@mc00<001=c4g<03a=c00<001MC5e<03QMC00<001/c6c<0
3A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC9]<052KC00<002Zc:[<0
9RZc50008bZc00<002KC9]<02bKC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CG<01@00
CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc
008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc
00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c
00HK<`03000GDaMC00HGD`03000CLa=c00PCL`03000?L`mc00/?L`03000?T`nC014?T`03000;/`^c
050;/`8001L?T`03000?L`mc014?L`03000CLa=c00lCL`03000GDaMC00hGD`03000K<a/c00dK<`03
000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c010Rl`03000VdbKC01@Vd`03000Z/bZc05/Z/`03
000VdbKC00`Vd`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00==L`00CI<00TfC00<004Vc
BK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02
=U<00`00<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`03
9]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`047a<00`006c<K<`066c<00`005e<GD`07
5e<00`004g<CL`084g<00`003g<?L`0;3g<00`003i<?T`0@3i<00`002k<;/`1C2k<2000F3i<00`00
3g<?L`0A3g<00`004g<CL`0>4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`00
7_<Nl`0>7_<00`008_<Rl`0@8_<00`009]<Vd`0D9]<2001J:[<00`009]<Vd`0=9]<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`03CG<004fC009=T`050019/dVcBK<00004AM<01@00@O=1ld7c
00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic
;W<00bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc
7_<011kc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<01QMC00<001=c4g<021=c00<000mc
3g<02`mc00<000nC3i<040nC00<000^c2k<0EP^c00<000nC3i<050nC0P004Pmc00<001=c4g<03Q=c
00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03Qkc00<002;c8_<042;c
00<002KC9]<05BKC0P00ERZc0P0042KC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dec
001=T`02CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc
008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc
00<Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`8000HNl`03000O4alC00DO4`03000K<a/c00DK<`03
000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00X?L`03000?T`nC010?T`03000;/`^c05P;/`03
000?T`nC01D?T`03000?L`mc010?L`03000CLa=c00hCL`03000GDaMC00hGD`03000K<a/c00dK<`03
000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c010Rl`03000VdbKC01HVd`03000Z/bZc058Z/`03
000VdbKC010Vd`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00==L`00CI<0
0TfC00D004VcBK=9/`0000A5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<0
0`009]<Vd`049]<00`008_<Rl`038_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`056c<0
0`005e<GD`075e<00`004g<CL`074g<00`003g<?L`0;3g<00`003i<?T`0?3i<00`002k<;/`1J2k<0
0`003i<?T`0D3i<00`003g<?L`0A3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<0
0`007a<O4`0>7a<00`007_<Nl`0?7_<00`008_<Rl`0@8_<00`009]<Vd`0E9]<00`00:[<Z/`1A:[<0
0`009]<Vd`0@9]<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03CG<004fC
009=T`050019/dVcBK<00004AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc
00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c
00<001MC5e<01aMC00<001=c4g<021=c00<000mc3g<02Pmc00<000nC3i<03PnC0P009@^c4000:@^c
00<000nC3i<050nC00<000mc3g<040mc00<001=c4g<03a=c00<001MC5e<03AMC00<001/c6c<03A/c
00<001lC7a<03QlC00<001kc7_<03Qkc00<002;c8_<04B;c00<002KC9]<05BKC0P00DBZc00<002KC
9]<03bKC00<002;cOol02Woo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00`00CI==T`02CI<0
1000BK=9/`0014GC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC
008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC
00@Vd`03000Rlb;c00<Rl`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC
00LGD`03000CLa=c00LCL`03000?L`mc00X?L`03000?T`nC00h?T`03000;/`^c020;/`D00107d`D0
02D;/`03000?T`nC01@?T`03000?L`mc010?L`03000CLa=c00lCL`03000GDaMC00`GD`03000K<a/c
00hK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c014Rl`03000VdbKC01HVd`8004dZ/`80
018Vd`03000Rlgoo00Yoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004fCCI==T`0000=9
/`030015ddGC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<V
d`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<G
D`075e<00`004g<CL`084g<00`003g<?L`0:3g<00`003i<?T`0=3i<00`002k<;/`0M2k<4000J1m<4
000R2k<00`003i<?T`0D3i<00`003g<?L`0@3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K
<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0G9]<00`00:[<Z
/`18:[<2000C9]<00`008_<Rl`0;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=TdfC
CI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc
00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c
00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<02Pmc00<000nC3i<03PnC00<000^c2k<06P^c
0`008POC0`0080^c0P005@nC00<000mc3g<040mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c
6c<03Q/c00<001lC7a<03AlC00<001kc7_<03akc00<002;c8_<04B;c00<002KC9]<05bKC0P00AbZc
00<002KC9]<04RKC00@002;c8_<Rl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004fC
CI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02
>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03
:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`05
6c<00`005e<GD`065e<00`004g<CL`084g<00`003g<?L`093g<00`003i<?T`0>3i<00`002k<;/`0J
2k<00`001m<7d`0V1m<2000P2k<00`003i<?T`0C3i<00`003g<?L`0@3g<00`004g<CL`0>4g<00`00
5e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<00`008_<Rl`0A8_<00`00
9]<Vd`0H9]<00`00:[<Z/`13:[<00`009]<Vd`0B9]<00`008_<Rl`028_<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`05001=TdfCCI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c00000cgc
00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric
00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<01Akc
00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<02Pmc
00<000nC3i<03@nC00<000^c2k<06@^c0P00:`OC0P007`^c00<000nC3i<04`nC00<000mc3g<03`mc
00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03akc
00<002;c8_<04B;c00<002KC9]<062KC0P00@RZc00<002KC9]<04bKC00<002;c8_<00R;c2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool01000CI==T`000dVc00<004GCAM<00TGC00D0047c@O=1
l`0000<ml`03000n4chC00<n4`03000j<cXc008j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<0
0`00;Y<^T`04;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<0
0`007a<O4`057a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`084g<00`003g<?L`093g<0
0`003i<?T`0>3i<00`002k<;/`0G2k<2000_1m<2000N2k<00`003i<?T`0C3i<00`003g<?L`0?3g<0
0`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<0
0`008_<Rl`0B8_<00`009]<Vd`0I9]<00`00:[<Z/`0m:[<2000E9]<00`008_<Rl`038_<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`04001=TdfC0003BK<00`00AM=5d`02AM<01@00@O=1ld7c
00000cgc00<003hC?Q<00chC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03
000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03
000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00PCL`03000?L`mc00T?L`03
000?T`nC00d?T`03000;/`^c01H;/`8003<7d`03000;/`^c01`;/`03000?T`nC01<?T`03000?L`mc
00l?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc
00lNl`03000Rlb;c018Rl`03000VdbKC01TVd`03000Z/bZc03/Z/`03000VdbKC01DVd`03000Rlb;c
00<Rl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dfC00D004VcBK=9/`0000A5d`050011
ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<0
0`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<0
0`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`084g<0
0`003g<?L`093g<00`003i<?T`0=3i<00`002k<;/`0F2k<00`001m<7d`0d1m<2000M2k<00`003i<?
T`0B3i<00`003g<?L`0?3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O
4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0B8_<00`009]<Vd`0I9]<2000j:[<00`009]<Vd`0E9]<0
0`008_<Rl`048_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`==T`050019/dVcBK<00004
AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c
8_<00b;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c
4g<021=c00<000mc3g<02@mc00<000nC3i<03@nC00<000^c2k<050^c0P00>@OC0`006`^c00<000nC
3i<04PnC00<000mc3g<03`mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC
7a<03QlC00<001kc7_<03akc00<002;c8_<04R;c00<002KC9]<06bKC0P00=bZc00<002KC9]<05RKC
00<002;c8_<012;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3CI<01@00BK=9/dVc0000
14GC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00HGD`03000C
La=c00PCL`03000?L`mc00P?L`03000?T`nC00d?T`03000;/`^c01<;/`8003h7d`03000;/`^c01T;
/`03000?T`nC018?T`03000?L`mc00h?L`03000CLa=c00lCL`03000GDaMC00dGD`03000K<a/c00dK
<`03000O4alC00hO4`03000Nlakc00lNl`03000Rlb;c018Rl`03000VdbKC01`Vd`8003<Z/`8001PV
d`03000Rlb;c00DRl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dfC00D004VcBK=9/`00
00A5d`040011ld7c0004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<R
l`048_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`066c<00`005e<GD`055e<00`004g<C
L`084g<00`003g<?L`093g<00`003i<?T`0<3i<00`002k<;/`0C2k<00`001m<7d`0o1m<2000J2k<0
0`003i<?T`0A3i<00`003g<?L`0?3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<0
0`007a<O4`0=7a<00`007_<Nl`0@7_<00`008_<Rl`0B8_<2000N9]<2000_:[<2000I9]<00`008_<R
l`068_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9=T`030019/dVc0099/`050015ddGC
AM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<021=c
00<000mc3g<020mc00<000nC3i<03@nC00<000^c2k<04P^c00<000OC1m<0@POC00<000^c2k<060^c
00<000nC3i<04@nC00<000mc3g<03Pmc00<001=c4g<03a=c00<001MC5e<03AMC00<001/c6c<03A/c
00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<052;c00<002KC9]<07BKC00<002Zc:[<0:RZc
0P006RKC00<002;c8_<01b;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CI<00`00BK=9
/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008f
D`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00@V
d`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03000GDaMC00DG
D`03000CLa=c00PCL`03000?L`mc00T?L`03000?T`nC00`?T`03000;/`^c018;/`030007d`OC04@7
d`03000;/`^c01L;/`03000?T`nC018?T`03000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dG
D`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc00lNl`03000Rlb;c01@Rl`03000VdbKC01dV
d`8002PZ/`8001/Vd`03000Rlb;c00PRl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0TfC
00<004VcBK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`00
9]<Vd`049]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`066c<00`00
5e<GD`055e<00`004g<CL`084g<00`003g<?L`083g<00`003i<?T`0<3i<00`002k<;/`0B2k<00`00
1m<7d`161m<00`002k<;/`0G2k<00`003i<?T`0A3i<00`003g<?L`0?3g<00`004g<CL`0>4g<00`00
5e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<00`008_<Rl`0C8_<00`00
9]<Vd`0O9]<4000R:[<2000M9]<00`008_<Rl`088_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`9=T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<0
0RZc00<002KC9]<012KC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<0
1Q/c00<001MC5e<01AMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<030nC00<000^c2k<0
4P^c00<000OC1m<0B0OC00<000^c2k<05`^c00<000nC3i<04@nC00<000mc3g<03`mc00<001=c4g<0
3A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<0
4b;c00<002KC9]<08RKC0`007BZc0P007RKC00<002;c8_<02B;c2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2CI<00`00BK=9/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC
?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03
000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00DNl`03000O4alC00@O4`03
000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00T?L`03000?T`nC00/?T`03
000;/`^c018;/`030007d`OC04X7d`8001P;/`03000?T`nC014?T`03000?L`mc00h?L`03000CLa=c
00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c
01<Rl`03000VdbKC02@Vd`@001DZ/`@001lVd`03000Rlb;c00XRl`]oo`03001oogoo00Ioo`007Woo
00<007ooOol027oo0TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<0
0RZc00<002KC9]<012KC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<0
1Q/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<020mc00<000nC3i<030nC00<000^c2k<0
4@^c00<000OC1m<0C@OC00<000^c2k<05@^c00<000nC3i<04@nC00<000mc3g<03`mc00<001=c4g<0
3Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<0
52;c00<002KC9]<09bKC1@002RZc1P008bKC00<002;c8_<02R;c2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004
>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02
:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`05
6c<00`005e<GD`065e<00`004g<CL`064g<00`003g<?L`093g<00`003i<?T`0;3i<00`002k<;/`0A
2k<00`001m<7d`1?1m<00`002k<;/`0E2k<00`003i<?T`0A3i<00`003g<?L`0?3g<00`004g<CL`0=
4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0D
8_<00`009]<Vd`0[9]<:000X9]<00`008_<Rl`0;8_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`9=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000f
DcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000V
dbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000G
DaMC00HGD`03000CLa=c00HCL`03000?L`mc00T?L`03000?T`nC00/?T`03000;/`^c010;/`030007
d`OC0547d`03000;/`^c01D;/`03000?T`nC014?T`03000?L`mc00l?L`03000CLa=c00dCL`03000G
DaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c01@Rl`03000V
dbKC05/Vd`03000Rlb;c00`Rl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0TfC00D004Vc
BK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c
<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c
8_<012;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c
4g<01Q=c00<000mc3g<02@mc00<000nC3i<02PnC00<000^c2k<040^c00<000OC1m<0D`OC00<000^c
2k<05@^c00<000nC3i<040nC00<000mc3g<03`mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c
6c<03Q/c00<001lC7a<03AlC00<001kc7_<04Akc00<002;c8_<052;c00<002KC9]<0FBKC00<002;c
8_<03B;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CI<01@00BK=9/dVc00000dGC00D0
047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<N
l`037_<00`007a<O4`057a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?
L`083g<00`003i<?T`0;3i<00`002k<;/`0@2k<00`001m<7d`1D1m<00`002k<;/`0E2k<00`003i<?
T`0@3i<00`003g<?L`0?3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O
4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0E8_<00`009]<Vd`1G9]<00`008_<Rl`0>8_<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`03CI<004Vc0099/`050015ddGCAM<00003@O<00`00?O<m
l`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<0
02jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<0
01lC7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<02@mc00<0
00nC3i<02PnC00<000^c2k<040^c00<000OC1m<0EPOC00<000^c2k<050^c00<000nC3i<04@nC00<0
00mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03AlC00<0
01kc7_<04Akc00<002;c8_<05B;c00<002KC9]<0ERKC00<002;c8_<03R;c2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool00dfC0019/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D0
03hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^
T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03000O4alC00DO
4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc00P?L`03000?T`nC00/?
T`03000;/`^c00l;/`030007d`OC05P7d`03000;/`^c01@;/`03000?T`nC010?T`03000?L`mc00l?
L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc014N
l`03000Rlb;c01DRl`03000VdbKC05@Vd`03000Rlb;c00lRl`03001oogoo00Qoo`03001oogoo00Io
o`007Woo00<007ooOol027oo00==T`00BK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05
000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03
;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`05
7a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`083g<00`003i<?T`0:
3i<00`002k<;/`0?2k<00`001m<7d`1J1m<00`002k<;/`0D2k<00`003i<?T`0@3i<00`003g<?L`0>
3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0A
7_<00`008_<Rl`0E8_<00`009]<Vd`1B9]<00`008_<Rl`0@8_<00`00Oomoo`08Ool00`00Oomoo`06
Ool001ioo`<000Qoo`03CI<004Vc0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n
4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<0
02Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01AlC00<0
01/c6c<011/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<02PnC00<0
00^c2k<03P^c00<000OC1m<0:0OC1@00;`OC00<000^c2k<04`^c00<000nC3i<04@nC00<000mc3g<0
3Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<0
4Akc00<002;c8_<05B;c00<002KC9]<0D2KC00<002;c8_<042;c00<007ooOol01goo0`0027oo000N
Ool00`00Oomoo`08Ool00dfC0019/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC
?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03
000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03000O4alC00@O4`03
000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00P?L`03000?T`nC00X?T`03
000;/`^c00h;/`030007d`OC02@7d`D000D3l`H002T7d`03000;/`^c01@;/`03000?T`nC010?T`03
000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03
000Nlakc014Nl`03000Rlb;c01HRl`03000VdbKC04hVd`03000Rlb;c014Rl`03001oogoo00Uoo`03
001oogoo00Ioo`007Woo00<007ooOol027oo00<004VcBK<00TVc00@004GCAM<000A1l`05000mlcgc
?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC
00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01AlC
00<001/c6c<011/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<02PnC
00<000^c2k<03P^c00<000OC1m<080OC100040?c10009POC00<000^c2k<050^c00<000nC3i<040nC
00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<03QlC
00<001kc7_<04Akc00<002;c8_<05R;c00<002KC9]<0C2KC00<002;c8_<04B;c00<001kcOol02Woo
00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00BK=9/dVc00000dGC00<0047c@O<00T7c00D0
03gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O
4`047a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?
T`0:3i<00`002k<;/`0>2k<00`001m<7d`0O1m<2000H0o<2000T1m<00`002k<;/`0D2k<00`003i<?
T`0@3i<00`003g<?L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O
4`0?7a<00`007_<Nl`0@7_<00`008_<Rl`0G8_<00`009]<Vd`1:9]<00`008_<Rl`0B8_<00`007_=o
o`0:Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<00`00@O=1l`02
@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03
000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03
000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00P?L`03
000?T`nC00X?T`03000;/`^c00h;/`030007d`OC01`7d`<001`3l`<00287d`8001D;/`03000?T`nC
010?T`03000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC
00hO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04PVd`03000Rlb;c018Rl`03000Nlakc
00]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004VcBK=9/`0000=5d`030011ld7c0091
l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<0
02jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<00akc00<0
01lC7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<01`mc00<0
00nC3i<02`nC00<000^c2k<03@^c00<000OC1m<070OC00<000?c0o<080?c00<000OC1m<08@OC00<0
00^c2k<04P^c00<000nC3i<040nC00<000mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<03AMC00<0
01/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<04Akc00<002;c8_<05b;c00<002KC9]<0AbKC00<0
02;c8_<04R;c00@001kc7_<Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004VcBK=9
/`0000=5d`030011ld7c0091l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<0
12;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<0
1a=c00<000mc3g<01`mc00<000nC3i<02PnC00<000^c2k<03P^c00<000OC1m<06POC0P0090?c0P00
8@OC00<000^c2k<04`^c00<000nC3i<040nC00<000mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<0
3AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<04Akc00<002;c8_<05b;c00<002KC9]<0
ARKC00<002;c8_<04R;c00@001kc7_<Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D0
04VcBK=9/`0000=5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<V
d`029]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K<`046c<00`005e<G
D`065e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?T`0:3i<00`002k<;/`0=2k<00`001m<7
d`0J1m<00`000o<3l`0V0o<00`001m<7d`0O1m<00`002k<;/`0B2k<00`003i<?T`0@3i<00`003g<?
L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<N
l`0B7_<00`008_<Rl`0G8_<00`009]<Vd`149]<00`008_<Rl`0B8_<00`007_<Nl`027_<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<01@00@O=1ld7c00000cgc00<0
03hC?Q<00ShC00<003Xc>S<00SXc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^
T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03000O4alC00DO
4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00L?L`03000?T`nC00/?
T`03000;/`^c00d;/`030007d`OC01T7d`030003l`?c02P3l`030007d`OC01l7d`03000;/`^c018;
/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00hK
<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01PRl`8004<Vd`03000Rlb;c01<Rl`03000N
lakc008Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004VcBK=9/`0000=5d`050011
ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<0
0Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<012;c00<001kc7_<0
0akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<0
20mc00<000nC3i<02PnC00<000^c2k<03@^c00<000OC1m<060OC0P00;0?c0P007`OC00<000^c2k<0
4P^c00<000nC3i<040nC00<000mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<0
3Q/c00<001lC7a<03QlC00<001kc7_<04Qkc00<002;c8_<06B;c00<002KC9]<0@2KC00<002;c8_<0
4b;c00<001kc7_<00Qkc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00BK=9/dVc0000
0dGC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc008j<`05000fDcIC=U<00004<W<0
0`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<0
0`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`064g<0
0`003g<?L`083g<00`003i<?T`0:3i<00`002k<;/`0=2k<00`001m<7d`0G1m<00`000o<3l`0^0o<2
000N1m<00`002k<;/`0B2k<2000A3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=5e<0
0`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0B7_<00`008_<Rl`0I8_<00`009]<Vd`0n9]<0
0`008_<Rl`0D8_<00`007_<Nl`027_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`050019
/dVcBK<00003AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00D003IC=U<f
D`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000R
lb;c00@Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000C
La=c00HCL`03000?L`mc00P?L`03000?T`nC00T?T`03000;/`^c00d;/`030007d`OC01H7d`8003<3
l`030007d`OC01`7d`03000;/`^c018;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00hC
L`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC010O4`03000Nlakc018Nl`03000Rlb;c01TR
l`03000VdbKC03`Vd`03000Rlb;c01@Rl`03000Nlakc00<Nl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo14Vc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`03>S<01@00
=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC
00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02PnC00<000^c2k<030^c00<000OC1m<05POC
00<000?c0o<0=0?c00<000OC1m<06`OC00<000^c2k<04`^c00<000nC3i<03`nC00<000mc3g<03Pmc
00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03alC00<001kc7_<04Qkc
00<002;c8_<06R;c00<002KC9]<0>RKC00<002;c8_<05B;c00<001kc7_<00akc2goo00<007ooOol0
1Woo000NOol00`00Oomoo`08Ool3BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j
<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z
/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K
<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00P?L`03000?T`nC00X?T`03000;
/`^c00`;/`030007d`OC01D7d`030003l`?c03H3l`030007d`OC01/7d`03000;/`^c018;/`03000?
T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O
4alC010O4`03000Nlakc018Nl`03000Rlb;c01XRl`03000VdbKC03PVd`03000Rlb;c01DRl`03000N
lakc00@Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dVc00D004GCAM=5d`0000A1l`05
000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`03
7_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`07
3g<00`003i<?T`0:3i<00`002k<;/`0<2k<00`001m<7d`0F1m<00`000o<3l`0g0o<00`001m<7d`0J
1m<00`002k<;/`0C2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g<CL`0>4g<00`005e<GD`0=
5e<00`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0B7_<00`008_<Rl`0K8_<00`009]<Vd`0f
9]<00`008_<Rl`0F8_<00`007_<Nl`047_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=9
/`050015ddGCAM<00004@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<00SIC00<0
039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<0
02;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<0
01=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02PnC00<000^c2k<030^c00<000OC1m<05@OC00<0
00?c0o<0>@?c0P006`OC00<000^c2k<04P^c00<000nC3i<03`nC00<000mc3g<03Pmc00<001=c4g<0
3A=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<041lC00<001kc7_<04Qkc00<002;c8_<0
6b;c00<002KC9]<0=2KC00<002;c8_<05R;c00<001kc7_<01Akc2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool3BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03
000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03
000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03
000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00X?T`03000;/`^c00`;/`03
0007d`OC01@7d`030003l`?c03`3l`030007d`OC01T7d`03000;/`^c014;/`03000?T`nC00l?T`03
000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC010O4`03
000Nlakc01<Nl`03000Rlb;c01/Rl`03000VdbKC038Vd`03000Rlb;c01LRl`03000Nlakc00DNl`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo0dVc00D004GCAM=5d`0000A1l`05000mlcgc?O<0
0003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`028_<00`007_<Nl`047_<00`007a<O
4`047a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?
T`093i<00`002k<;/`0<2k<00`001m<7d`0D1m<00`000o<3l`0n0o<00`001m<7d`0H1m<00`002k<;
/`0B2k<00`003i<?T`0?3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K
<`0=6c<00`007a<O4`0@7a<00`007_<Nl`0B7_<00`008_<Rl`0L8_<2000a9]<00`008_<Rl`0G8_<0
0`007_<Nl`067_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=9/`050015ddGCAM<00003
@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03
000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03
000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03
000?T`nC00X?T`03000;/`^c00`;/`030007d`OC01<7d`030003l`?c03l3l`030007d`OC01T7d`03
000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03
000K<a/c00dK<`03000O4alC010O4`03000Nlakc01<Nl`03000Rlb;c01dRl`03000VdbKC02dVd`03
000Rlb;c01PRl`03000Nlakc00HNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dVc00D0
04GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<0
02ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<0
01kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<0
00mc3g<01`mc00<000nC3i<02@nC00<000^c2k<030^c00<000OC1m<050OC00<000?c0o<0@0?c00<0
00OC1m<060OC00<000^c2k<04P^c00<000nC3i<03`nC00<000mc3g<03Pmc00<001=c4g<03A=c00<0
01MC5e<03QMC00<001/c6c<03A/c00<001lC7a<041lC00<001kc7_<04Qkc00<002;c8_<07R;c00<0
02KC9]<0:bKC00<002;c8_<062;c00<001kc7_<01akc2goo00<007ooOol01Woo000NOol00`00Oomo
o`08Ool3BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`00
8_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`055e<00`00
4g<CL`064g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`0C1m<00`00
0o<3l`120o<00`001m<7d`0H1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0>3g<00`00
4g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0C7_<00`00
8_<Rl`0N8_<00`009]<Vd`0Y9]<00`008_<Rl`0I8_<00`007_<Nl`077_<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`=9/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j
<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000V
dbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03000G
DaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00`;/`030007
d`OC0187d`030003l`?c04@3l`030007d`OC01L7d`03000;/`^c018;/`03000?T`nC00h?T`03000?
L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC00lO4`03000N
lakc01<Nl`03000Rlb;c01lRl`03000VdbKC02LVd`03000Rlb;c01XRl`03000Nlakc00LNl`]oo`03
001oogoo00Ioo`007Woo00<007ooOol027oo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004
?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc
:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c
6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c
2k<02`^c00<000OC1m<04`OC00<000?c0o<0A@?c00<000OC1m<05`OC00<000^c2k<04@^c00<000nC
3i<03`nC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC
7a<03alC00<001kc7_<04akc00<002;c8_<07b;c00<002KC9]<09BKC00<002;c8_<06R;c00<001kc
7_<021kc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2BK<01@00AM=5ddGC0000147c00D0
03gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`05000bLc9c<W<00005;W<00`00;Y<^
T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O
4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?
T`093i<00`002k<;/`0<2k<00`001m<7d`0B1m<00`000o<3l`160o<00`001m<7d`0G1m<00`002k<;
/`0A2k<00`003i<?T`0?3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K
<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0D7_<00`008_<Rl`0O8_<00`009]<Vd`0S9]<00`008_<R
l`0K8_<00`007_<Nl`087_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`99/`050015ddGC
AM<00004@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<00SIC00D0039c<W<bL`00
00D^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc
00L?L`03000?T`nC00T?T`03000;/`^c00/;/`030007d`OC01<7d`030003l`?c04L3l`030007d`OC
01L7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC
00dGD`03000K<a/c00lK<`03000O4alC00lO4`03000Nlakc01<Nl`03000Rlb;c020Rl`03000VdbKC
020Vd`8001dRl`03000Nlakc00TNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0TVc00D0
04GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<01@00<W<b
Lc9c00001Bic00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<0
01kc7_<011kc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<0
00mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00<000OC1m<04POC00<000?c0o<0B@?c00<0
00OC1m<05POC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03Pmc00<001=c4g<03A=c00<0
01MC5e<03AMC00<001/c6c<03a/c00<001lC7a<03alC00<001kc7_<051kc00<002;c8_<082;c0P00
7bKC00<002;c8_<07B;c00<001kc7_<02Akc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2
BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`05
000bLc9c<W<00005;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`03
8_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`06
4g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0;2k<00`001m<7d`0A1m<00`000o<3l`1:
0o<00`001m<7d`0F1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0>3g<00`004g<CL`0=
4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0?7a<00`007_<Nl`0D7_<00`008_<Rl`0R
8_<2000L9]<00`008_<Rl`0N8_<00`007_<Nl`097_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`99/`050015ddGCAM<00004@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<0
0SIC00D0039c<W<bL`0000D^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00<Nl`03000O4alC00DO4`03000K<a/c00@K<`03000GDaMC00DGD`03000C
La=c00HCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00`;/`030007d`OC0147d`030003
l`?c04/3l`030007d`OC01H7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00d?L`03000C
La=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000R
lb;c02<Rl`8001TVd`03000Rlb;c01hRl`03000Nlakc00XNl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC
00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC
00<001=c4g<01a=c00<000mc3g<01Pmc00<000nC3i<02@nC00<000^c2k<02`^c00<000OC1m<04@OC
00<000?c0o<0C0?c00<000OC1m<05POC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03@mc
00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<03alC00<001kc7_<051kc
00<002;c8_<09B;c0P005BKC0P008B;c00<001kc7_<02Qkc2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<0
0`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<0
0`004g<CL`064g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0<2k<00`001m<7d`0A1m<0
0`000o<3l`1=0o<00`001m<7d`0F1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0=3g<0
0`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0D7_<0
0`008_<Rl`0V8_<2000A9]<2000R8_<00`007_<Nl`0;7_<;Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03
000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00`;/`030007d`OC0107d`03
0003l`?c04h3l`8001L7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00d?L`03000CLa=c
00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c
02PRl`@000PVd`D002@Rl`03000Nlakc00/Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo
0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<0
0b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<0
1Q=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<030^c00<000OC1m<040OC00<000?c0o<0
C`?c00<000OC1m<05@OC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03@mc00<001=c4g<0
3Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<051kc00<002;c8_<0
;2;c2000:B;c00<001kc7_<02akc2goo00<007ooOol01Woo000NOol30008Ool2BK<01@00AM=5ddGC
00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`03
7_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`07
3g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0@1m<00`000o<3l`1A0o<00`001m<7d`0E
1m<00`002k<;/`0A2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=
5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0D7_<00`008_<Rl`1K8_<00`007_<Nl`0<
7_<9Ool30008Ool001ioo`03001oogoo00Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc0000
0chC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<0
0alC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<0
2@nC00<000^c2k<02`^c00<000OC1m<040OC00<000?c0o<0D@?c00<000OC1m<05@OC00<000^c2k<0
4@^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<0
3a/c00<001lC7a<041lC00<001kc7_<051kc00<002;c8_<0Fb;c00<001kc7_<031kc2goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03
000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03
000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03
000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03
000;/`^c00`;/`030007d`OC0107d`030003l`?c0543l`030007d`OC01D7d`03000;/`^c014;/`03
000?T`nC00l?T`03000?L`mc00d?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03
000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c05/Rl`03000Nlakc00`Nl`]oo`03001oogoo00Io
o`007Woo00<007ooOol027oo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j
<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z
/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K
<`056c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;
/`0;2k<00`001m<7d`0@1m<00`000o<3l`1C0o<00`001m<7d`0E1m<00`002k<;/`0A2k<00`003i<?
T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O
4`0A7a<00`007_<Nl`0D7_<00`008_<Rl`1I8_<00`007_<Nl`0=7_<;Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc
00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c
00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02`^c
00<000OC1m<040OC00<000?c0o<0D`?c00<000OC1m<05@OC00<000^c2k<04@^c00<000nC3i<03PnC
00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<041lC
00<001kc7_<051kc00<002;c8_<0FB;c00<001kc7_<03Akc2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000f
DcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000V
dbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000G
DaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`030007
d`OC0107d`030003l`?c05<3l`030007d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?
L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000N
lakc01@Nl`03000Rlb;c05TRl`03000Nlakc00dNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`04
5e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0@
1m<00`000o<3l`1D0o<00`001m<7d`0E1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>
3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0E
7_<00`008_<Rl`1G8_<00`007_<Nl`0>7_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03
BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03
000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03
000?L`mc00H?L`03000?T`nC00T?T`03000;/`^c00X;/`030007d`OC0107d`030003l`?c05D3l`03
0007d`OC01D7d`03000;/`^c010;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03
000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c05LRl`03
000Nlakc00hNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0047c
@O=1l`0000@ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC
;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC
7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC
3i<02@nC00<000^c2k<02P^c00<000OC1m<040OC00<000?c0o<0EP?c00<000OC1m<05@OC00<000^c
2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c
6c<03Q/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0EB;c00<001kc7_<03akc2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c000013gc00D003hC
?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02
:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`04
6c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`093i<00`002k<;/`0:
2k<00`001m<7d`0@1m<00`000o<3l`1F0o<00`001m<7d`0E1m<00`002k<;/`0@2k<00`003i<?T`0>
3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0@
7a<00`007_<Nl`0E7_<00`008_<Rl`1E8_<00`007_<Nl`0?7_<;Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC
=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03
000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00T?T`03000;/`^c00X;/`030007d`OC0107d`03
0003l`?c05H3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?L`03
000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01DNl`03
000Rlb;c05DRl`03000Nlakc00lNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00
AM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c00<002ic
;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc
7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc
3g<01Pmc00<000nC3i<02@nC00<000^c2k<02P^c00<000OC1m<03`OC00<000?c0o<0E`?c00<000OC
1m<05@OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC
5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0E2;c00<001kc
7_<03akc00<007ooOol027oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<0
1@00@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000N
lakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?
L`mc00L?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC0107d`030003l`?c05L3l`030007
d`OC01H7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?L`03000CLa=c00dCL`03000G
DaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01DNl`03000Rlb;c05<Rl`03000N
lakc010Nl`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC
00D0047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`00
7_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`00
3g<?L`073g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`1I0o<00`00
1m<7d`0E1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`00
5e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1B8_<00`00
7_<Nl`0@7_<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095
d`050011ld7c@O<00004?O<01@00?Q<n4chC00000cXc00<003IC=U<00SIC00<0039c<W<00S9c00<0
02ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<0
01kc7_<011kc00<001lC7a<00alC0P001Q/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<0
1`mc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC00<000?c0o<0F@?c00<000OC1m<0
5@OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<0
3AMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0DR;c00<001kc7_<0
41kc00<007ooOol027oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00
@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc
00L?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00l7d`030003l`?c05T3l`030007d`OC
01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC
00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01HNl`03000Rlb;c058Rl`03000Nlakc
010Nl`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0
047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<N
l`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?
L`073g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`1J0o<00`001m<7
d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<G
D`0=5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1B8_<00`007_<N
l`0@7_<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`05
0011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic
;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc
7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc
3g<01Pmc00<000nC3i<020nC00<000^c2k<02`^c00<000OC1m<03POC00<000?c0o<0F`?c00<000OC
1m<05@OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=c4g<03A=c00<001MC
5e<03QMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0DB;c00<001kc
7_<041kc00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<0
1@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000N
lakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?
L`mc00H?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC00h7d`030003l`?c05`3l`030007
d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLa=c00hCL`03000G
DaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01HNl`03000Rlb;c050Rl`03000N
lakc010Nl`03001oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC
00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`00
7_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`00
3g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0>1m<00`000o<3l`1L0o<00`00
1m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g<CL`0>4g<00`00
5e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1@8_<00`00
7_<Nl`0@7_<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095
d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<0
02ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<0
01kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<0
00mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02`^c00<000OC1m<03POC00<000?c0o<0G0?c00<0
00OC1m<050OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=c4g<03Q=c00<0
01MC5e<03AMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0D2;c00<0
01kc7_<041kc00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02
AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03
000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC00h7d`030003l`?c05`3l`03
0007d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLa=c00hCL`03
000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01HNl`03000Rlb;c050Rl`03
000Nlakc010Nl`03001oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<0
0TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<0
0`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<0
0`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<0
0`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`0Z0o<0
0`000o<3l`0_0o<00`001m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<0
0`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0F7_<0
0`008_<Rl`1@8_<00`007_<Nl`0@7_<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC
00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC
00<000?c0o<0:0?c0P0000<3l`000000;`?c00<000OC1m<050OC00<000^c2k<040^c00<000nC3i<0
3PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<0
4AlC00<001kc7_<05Qkc00<002;c8_<0CR;c00<001kc7_<04Akc00<007ooOol02Goo00<007ooOol0
1Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC
00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc
008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c
00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c
00X;/`030007d`OC00l7d`030003l`?c02H3l`8000D3l`8002d3l`030007d`OC01@7d`03000;/`^c
010;/`03000?T`nC00h?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c
00hK<`03000O4alC014O4`03000Nlakc01HNl`03000Rlb;c04hRl`03000Nlakc014Nl`03001oogoo
00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<m
l`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O
4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?
T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`0U0o<00`000o<3l`070o<2000[0o<0
0`001m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<0
0`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<0
0`007_<Nl`0A7_<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC
0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c
00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC00<000?c0o<09@?c
00<000?c0o<020?c00<000?c0o<0:@?c00<000OC1m<050OC00<000^c2k<040^c00<000nC3i<03PnC
00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<04AlC
00<001kc7_<05Qkc00<002;c8_<0CR;c00<001kc7_<04Akc00<007ooOol02Goo00<007ooOol01Woo
000@Ool01DT00000000>Gol02Goo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<m
l`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O
4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?
T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`0T0o<00`000o<3l`0:0o<00`000o<3
l`0X0o<00`001m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<C
L`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<R
l`1>8_<00`007_<Nl`0A7_<00`00Oomoo`09Ool00`00Oomoo`06Ool000moo`06GL0RFgooOomnkP4B
2Goo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j
<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<0
0`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<0
0`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0:2k<0
0`001m<7d`0?1m<00`000o<3l`0T0o<00`000o<3l`0:0o<00`000o<3l`0Y0o<00`001m<7d`0C1m<0
0`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g<CL`0=4g<00`005e<GD`0>5e<0
0`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0A7_<0
0`00Oomoo`09Ool00`00Oomoo`06Ool000ioo`03O^h1egoo00=oo`03GL0RFgoo00Moo`03001oogoo
00Qoo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC
00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC
00<000?c0o<08`?c00<000?c0o<030?c00<000?c0o<0:0?c00<000OC1m<04`OC00<000^c2k<040^c
00<000nC3i<03`nC00<000mc3g<03@mc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c
00<001lC7a<04AlC00<001kc7_<05Qkc00<002;c8_<0CR;c00<001kc7_<04Akc00<007ooOol02Goo
00<007ooOol01Woo000>Ool00eg08U]oo`03Ool00gk^0A9oo`07Ool00`00Oomoo`08Ool00dVc0015
d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008b
L`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<R
l`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DC
L`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00l7d`030003l`?c02<3
l`030003l`?c00`3l`030003l`?c02P3l`030007d`OC01<7d`03000;/`^c010;/`03000?T`nC00l?
T`03000?L`mc00d?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O
4`03000Nlakc01HNl`03000Rlb;c04hRl`03000Nlakc014Nl`03001oogoo00Uoo`03001oogoo00Io
o`003Woo00=903[oOol00goo00=oLR0>Gol01goo00<007ooOol027oo00=9/`00AM<00TGC00D0047c
@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`03
7_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`07
3g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`0S0o<00`000o<3l`0<
0o<00`000o<3l`0X0o<00`001m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=
3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F
7_<00`008_<Rl`1>8_<00`007_<Nl`0A7_<00`00Oomoo`09Ool00`00Oomoo`06Ool000eoo`03OoLh
24]o00Aoo`03Og8P3Uoo00Moo`D000Ioo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n
4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<0
02Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<0
01/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<0
00^c2k<02P^c00<000OC1m<03`OC00<000?c0o<08`?c00<000?c0o<030?c00<000?c0o<0:0?c00<0
00OC1m<04`OC00<000^c2k<040^c00<000nC3i<03`nC00<000mc3g<03@mc00<001=c4g<03A=c00<0
01MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<04AlC00<001kc7_<05Qkc00<002;c8_<0CR;c00<0
01kc7_<04Akc00<007ooOol01Goo1@0027oo000=Ool00gog>0Q;O`04Ool00gmb80iOo`07Ool00`00
Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`00
00@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC
00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC
00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC
00l7d`030003l`?c02<3l`030003l`?c00`3l`030003l`?c02P3l`030007d`OC01<7d`03000;/`^c
010;/`03000?T`nC00l?T`03000?L`mc00d?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c
00hK<`03000O4alC014O4`03000Nlakc01HNl`03000Rlb;c04hRl`03000Nlakc014Nl`03001oogoo
00Uoo`03001oogoo00Ioo`003Goo00=omcP8Bgl017oo00=oLR0>Gol01goo00<007ooOol027oo00=9
/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<R
l`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<C
L`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3
l`0S0o<00`000o<3l`0<0o<00`000o<3l`0X0o<00`001m<7d`0C1m<00`002k<;/`0@2k<00`003i<?
T`0?3i<00`003g<?L`0=3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O
4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0A7_<00`00Oomoo`09Ool00`00Oomo
o`06Ool000ioo`03B@Q;Ogoo00=oo`03Og8P3Uoo00Moo`03001oogoo00Qoo`03BK<004GC0095d`05
0011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic
;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc
7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc
3g<01`mc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC00<000?c0o<08`?c00<000?c
0o<030?c00<000?c0o<0:0?c00<000OC1m<04`OC00<000^c2k<040^c00<000nC3i<03`nC00<000mc
3g<03@mc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<04AlC00<001kc
7_<05Qkc00<002;c8_<0CR;c00<001kc7_<04Akc00<007ooOol02Goo00<007ooOol01Woo000>Ool0
0eg0>_moo`03Ool00gk^0A9oo`07Ool00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c0000
0cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O
4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?
T`nC00P?T`03000;/`^c00X;/`030007d`OC00l7d`030003l`?c02<3l`030003l`?c00/3l`030003
l`?c02T3l`030007d`OC01<7d`03000;/`^c010;/`03000?T`nC00l?T`03000?L`mc00d?L`03000C
La=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000Nlakc01HNl`03000R
lb;c04hRl`03000Nlakc014Nl`03001oogoo00Uoo`03001oogoo00Ioo`003Woo00=nkP4BOol00goo
00=M`29KOol01goo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC
008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00
:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`00
6c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`00
2k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`0T0o<00`000o<3l`0:0o<00`000o<3l`0Y0o<00`00
1m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g<CL`0=4g<00`00
5e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`00
7_<Nl`0A7_<00`00Oomoo`09Ool00`00Oomoo`06Ool000moo`06GL01egooOom^B04B2Goo00<007oo
Ool027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`05
5e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`0?
1m<00`000o<3l`0T0o<00`000o<3l`090o<00`000o<3l`0Y0o<00`001m<7d`0D1m<00`002k<;/`0@
2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>
6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0A7_<00`00Oomoo`09
Ool00`00Oomoo`06Ool0011oo`05GL00000000iOo`09Ool00`00Oomoo`08Ool00dVc0015d`02AM<0
1@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000N
lakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?
L`mc00H?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00l7d`030003l`?c02D3l`030003
l`?c00P3l`030003l`?c02T3l`030007d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?
L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000N
lakc01HNl`03000Rlb;c04hRl`03000Nlakc014Nl`03001oogoo00Uoo`03001oogoo00Ioo`007Woo
00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc
>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`00
9]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`00
5e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<00`00
1m<7d`0?1m<00`000o<3l`0U0o<00`000o<3l`070o<00`000o<3l`0Z0o<00`001m<7d`0D1m<00`00
2k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`00
6c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0A7_<00`00
Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<0
0003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<0
02jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<0
01lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01Pmc00<0
00nC3i<020nC00<000^c2k<02P^c00<000OC1m<03`OC00<000?c0o<09P?c0P001@?c0P00;@?c00<0
00OC1m<050OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<0
01MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<04AlC00<001kc7_<05Qkc00<002;c8_<0CR;c00<0
01kc7_<04Akc00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02
AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03
000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00l7d`030003l`?c02P3l`80
00030o<0000002l3l`030007d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?
L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000Nlakc01HN
l`03000Rlb;c04lRl`03000Nlakc010Nl`03001oogoo00Uoo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`05
5e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0>
1m<00`000o<3l`0Z0o<00`000o<3l`0_0o<00`001m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>
3i<00`003g<?L`0=3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0@
7a<00`007_<Nl`0F7_<00`008_<Rl`1@8_<00`007_<Nl`0@7_<00`00Oomoo`09Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<0
1@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<0
0RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<0
11/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<0
2`^c00<000OC1m<03POC00<000?c0o<0G0?c00<000OC1m<050OC00<000^c2k<040^c00<000nC3i<0
3PnC00<000mc3g<03@mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<0
41lC00<001kc7_<05Qkc00<002;c8_<0D2;c00<001kc7_<041kc00<007ooOol02Goo00<007ooOol0
1Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC
00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc
008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c
00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c
00/;/`030007d`OC00h7d`030003l`?c05`3l`030007d`OC01@7d`03000;/`^c010;/`03000?T`nC
00h?T`03000?L`mc00d?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC
010O4`03000Nlakc01HNl`03000Rlb;c050Rl`03000Nlakc010Nl`03001oogoo00Uoo`03001oogoo
00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n
4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z
/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K
<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;
/`0;2k<00`001m<7d`0>1m<00`000o<3l`1L0o<00`001m<7d`0D1m<00`002k<;/`0@2k<00`003i<?
T`0>3i<00`003g<?L`0=3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O
4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1@8_<00`007_<Nl`0@7_<00`00Oomoo`09Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02
?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc
:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c
6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c
2k<02`^c00<000OC1m<03POC00<000?c0o<0F`?c00<000OC1m<05@OC00<000^c2k<040^c00<000nC
3i<03PnC00<000mc3g<03@mc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03a/c00<001lC
7a<041lC00<001kc7_<05Akc00<002;c8_<0DB;c00<001kc7_<041kc00<007ooOol02Goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<0
0ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z
/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K
<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;
/`^c00/;/`030007d`OC00h7d`030003l`?c05/3l`030007d`OC01@7d`03000;/`^c010;/`03000?
T`nC00h?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O
4alC010O4`03000Nlakc01HNl`03000Rlb;c054Rl`03000Nlakc010Nl`03001oogoo00Uoo`03001o
ogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000@ml`05000n4chC
?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00
:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`00
6c<K<`056c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`00
2k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`1J0o<00`001m<7d`0D1m<00`002k<;/`0@2k<00`00
3i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`00
7a<O4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1B8_<00`007_<Nl`0@7_<00`00Oomoo`08Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n
4chC00000cXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<0
02Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<0
01/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<0
00^c2k<02P^c00<000OC1m<03`OC00<000?c0o<0F@?c00<000OC1m<05@OC00<000^c2k<040^c00<0
00nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03a/c00<0
01lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0DR;c00<001kc7_<041kc00<007ooOol027oo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c000013gc00D003hC
?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03
000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03
000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03
000;/`^c00X;/`030007d`OC00l7d`030003l`?c05T3l`030007d`OC01D7d`03000;/`^c010;/`03
000?T`nC00h?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03
000O4alC010O4`03000Nlakc01HNl`03000Rlb;c058Rl`03000Nlakc010Nl`03001oogoo00Qoo`03
001oogoo00Ioo`007Woo00<007ooOol027oo00=9/`00AM<00TGC00D0047c@O=1l`0000@ml`05000n
4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<0
0`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<0
0`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<0
0`002k<;/`0:2k<00`001m<7d`0?1m<00`000o<3l`1I0o<00`001m<7d`0E1m<00`002k<;/`0@2k<0
0`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0?6c<0
0`007a<O4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1B8_<00`007_<Nl`0@7_<00`00Oomoo`08Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00004?O<01@00
?Q<n4chC00000cXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC
00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC
00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC
00<000^c2k<02P^c00<000OC1m<040OC00<000?c0o<0E`?c00<000OC1m<05POC00<000^c2k<040^c
00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03a/c
00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0Db;c00<001kc7_<041kc00<007ooOol027oo
00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1ld7c000013gc00D0
03hC?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z
/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K
<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`093i<00`002k<;
/`0:2k<00`001m<7d`0?1m<00`000o<3l`1G0o<00`001m<7d`0E1m<00`002k<;/`0@2k<00`003i<?
T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O
4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1D8_<00`007_<Nl`0?7_<;Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D0
03IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<V
d`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DG
D`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00T?T`03000;/`^c00X;/`030007d`OC0107
d`030003l`?c05H3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?
L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01DN
l`03000Rlb;c05DRl`03000Nlakc00lNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=9
/`00AM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c00<0
02ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<0
01kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<0
00mc3g<01Pmc00<000nC3i<02@nC00<000^c2k<02P^c00<000OC1m<040OC00<000?c0o<0EP?c00<0
00OC1m<05@OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=c4g<03A=c00<0
01MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0EB;c00<0
01kc7_<03akc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00dVc0015d`02AM<01@00@O=1
ld7c000013gc00D003hC?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^
T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O
4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?
T`093i<00`002k<;/`0:2k<00`001m<7d`0@1m<00`000o<3l`1F0o<00`001m<7d`0E1m<00`002k<;
/`0@2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K
<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0E7_<00`008_<Rl`1E8_<00`007_<Nl`0?7_<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`03BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n
4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z
/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K
<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00T?T`03000;/`^c00X;
/`030007d`OC0147d`030003l`?c05@3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC00l?
T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O
4`03000Nlakc01@Nl`03000Rlb;c05LRl`03000Nlakc00hNl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`00
9]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`00
5e<GD`045e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<00`00
1m<7d`0@1m<00`000o<3l`1D0o<00`001m<7d`0E1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`00
3g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`00
7_<Nl`0E7_<00`008_<Rl`1G8_<00`007_<Nl`0>7_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<0
0SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<0
1AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02`^c00<000OC1m<0
40OC00<000?c0o<0D`?c00<000OC1m<05@OC00<000^c2k<04@^c00<000nC3i<03PnC00<000mc3g<0
3Pmc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<0
51kc00<002;c8_<0FB;c00<001kc7_<03Akc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2
BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00DGD`03
000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC0107d`03
0003l`?c05<3l`030007d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00h?L`03
000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01@Nl`03
000Rlb;c05TRl`03000Nlakc00dNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0TVc00D0
04GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<R
l`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`055e<00`004g<C
L`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0@1m<00`000o<3
l`1C0o<00`001m<7d`0E1m<00`002k<;/`0A2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<C
L`0=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0D7_<00`008_<R
l`1I8_<00`007_<Nl`0=7_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`99/`050015ddGC
AM<00003@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01A=c
00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<030^c00<000OC1m<040OC00<000?c0o<0D@?c
00<000OC1m<05@OC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03@mc00<001=c4g<03Q=c
00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<051kc00<002;c8_<0Fb;c
00<001kc7_<031kc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2BK<01@00AM=5ddGC0000
0d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<0
0`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<0
0`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<0
0`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`0@1m<00`000o<3l`1A0o<00`001m<7d`0E1m<0
0`002k<;/`0A2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0=5e<0
0`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0D7_<00`008_<Rl`1K8_<00`007_<Nl`0<7_<;
Ool00`00Oomoo`06Ool001ioo`<000Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC
00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc
00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c
00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c
00`;/`030007d`OC0107d`030003l`?c04l3l`030007d`OC01D7d`03000;/`^c014;/`03000?T`nC
00l?T`03000?L`mc00d?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC
010O4`03000Nlakc01@Nl`03000Rlb;c02`Rl`@002`Rl`03000Nlakc00`Nl`Uoo`<000Qoo`007Woo
00<007ooOol027oo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc0000
13IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<0
1AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<030^c00<000OC1m<0
40OC00<000?c0o<0C`?c00<000OC1m<05@OC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<0
3@mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<0
51kc00<002;c8_<0:R;c0P0012KC1P009b;c00<001kc7_<02akc2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`05
5e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0<2k<00`001m<7d`0A
1m<00`000o<3l`1=0o<00`001m<7d`0F1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0=
3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0D
7_<00`008_<Rl`0W8_<3000<9]<2000U8_<00`007_<Nl`0;7_<;Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@f
D`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<V
d`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DG
D`03000CLa=c00LCL`03000?L`mc00H?L`03000?T`nC00T?T`03000;/`^c00/;/`030007d`OC0147
d`030003l`?c04`3l`030007d`OC01H7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00d?
L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC00lO4`03000Nlakc01@N
l`03000Rlb;c02HRl`80014Vd`8002@Rl`03000Nlakc00XNl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00
=U<fD`02=U<01@00<W<bLc9c00001Bic00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<01AlC00<001/c6c<011/c00<001MC5e<01AMC
00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<030^c00<000OC1m<04@OC
00<000?c0o<0B`?c00<000OC1m<05POC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03@mc
00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<051kc
00<002;c8_<092;c0P005BKC0P008R;c00<001kc7_<02Qkc2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool2BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000f
DcIC008fD`05000bLc9c<W<00005;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<0
0`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<0
0`004g<CL`064g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0;2k<00`001m<7d`0A1m<0
0`000o<3l`1:0o<00`001m<7d`0F1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0>3g<0
0`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0?7a<00`007_<Nl`0D7_<0
0`008_<Rl`0S8_<2000I9]<2000Q8_<00`007_<Nl`097_<;Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`99/`050015ddGCAM<00004@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC
=U<00SIC00D0039c<W<bL`0000D^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03
000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00/;/`030007d`OC0187d`03
0003l`?c04T3l`030007d`OC01H7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03
000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC00lO4`03000Nlakc01@Nl`03
000Rlb;c024Rl`8001dVd`8001lRl`03000Nlakc00TNl`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo0TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<01@00<W<bLc9c00001Bic00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<0
02;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<0
01=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00<000OC1m<04POC00<0
00?c0o<0B0?c00<000OC1m<05`OC00<000^c2k<04@^c00<000nC3i<03`nC00<000mc3g<03Pmc00<0
01=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<03alC00<001kc7_<04akc00<0
02;c8_<08B;c00<002KC9]<07bKC00<002;c8_<072;c00<001kc7_<02Akc2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool2BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j<cXc
008j<`03000fDcIC008fD`05000bLc9c<W<00005;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`00
9]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`00
5e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0<2k<00`00
1m<7d`0B1m<00`000o<3l`160o<00`001m<7d`0G1m<00`002k<;/`0B2k<00`003i<?T`0>3i<00`00
3g<?L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`00
7_<Nl`0C7_<00`008_<Rl`0P8_<00`009]<Vd`0Q9]<00`008_<Rl`0L8_<00`007_<Nl`087_<;Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`99/`050015ddGCAM<00004@O<01@00?O<mlcgc0000
0chC00<003Xc>S<00SXc00<003IC=U<00SIC00D0039c<W<bL`0000D^L`03000^TbjC008^T`03000Z
/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K
<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;
/`^c00`;/`030007d`OC0187d`030003l`?c04H3l`030007d`OC01L7d`03000;/`^c014;/`03000?
T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O
4alC00lO4`03000Nlakc01<Nl`03000Rlb;c020Rl`03000VdbKC02<Vd`03000Rlb;c01/Rl`03000N
lakc00PNl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0dVc00D004GCAM=5d`0000=1l`05
000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC
;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC
7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC
3i<02@nC00<000^c2k<02`^c00<000OC1m<04`OC00<000?c0o<0A0?c00<000OC1m<060OC00<000^c
2k<04@^c00<000nC3i<03`nC00<000mc3g<03Pmc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c
6c<03Q/c00<001lC7a<03alC00<001kc7_<04akc00<002;c8_<07b;c00<002KC9]<09BKC00<002;c
8_<06R;c00<001kc7_<021kc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3BK<01@00AM=5
ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^
L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<N
l`037_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?
L`073g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`0B1m<00`000o<3l`130o<00`001m<7
d`0H1m<00`002k<;/`0B2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g<CL`0=4g<00`005e<G
D`0>5e<00`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0C7_<00`008_<Rl`0O8_<00`009]<V
d`0W9]<00`008_<Rl`0J8_<00`007_<Nl`077_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`=9/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c
008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c
00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c
00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00`;/`030007d`OC01<7d`030003l`?c
0483l`030007d`OC01P7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c
00dCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC00lO4`03000Nlakc01<Nl`03000Rlb;c
01dRl`8002/Vd`03000Rlb;c01TRl`03000Nlakc00LNl`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0
039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<0
02;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<0
01=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<030^c00<000OC1m<050OC00<0
00?c0o<0@0?c00<000OC1m<060OC00<000^c2k<04P^c00<000nC3i<03PnC00<000mc3g<03`mc00<0
01=c4g<03A=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<041lC00<001kc7_<04Qkc00<0
02;c8_<07B;c00<002KC9]<0;2KC00<002;c8_<062;c00<001kc7_<01akc2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool3BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc
>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`056c<00`00
5e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`0:3i<00`002k<;/`0<2k<00`00
1m<7d`0C1m<00`000o<3l`0o0o<00`001m<7d`0I1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`00
3g<?L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`00
7_<Nl`0C7_<00`008_<Rl`0L8_<00`009]<Vd`0^9]<00`008_<Rl`0H8_<00`007_<Nl`067_<;Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=9/`050015ddGCAM<00004@O<01@00?O<mlcgc0000
0chC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<0
11lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<0
2@nC00<000^c2k<030^c00<000OC1m<050OC00<000?c0o<0?@?c00<000OC1m<06@OC00<000^c2k<0
4P^c00<000nC3i<03PnC00<000mc3g<03`mc00<001=c4g<03A=c00<001MC5e<03QMC00<001/c6c<0
3A/c00<001lC7a<041lC00<001kc7_<04Qkc00<002;c8_<072;c00<002KC9]<0<2KC00<002;c8_<0
5b;c00<001kc7_<01Qkc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3BK<01@00AM=5ddGC
0000147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03
000?L`mc00L?L`03000?T`nC00X?T`03000;/`^c00`;/`030007d`OC01@7d`030003l`?c03/3l`03
0007d`OC01X7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03
000GDaMC00hGD`03000K<a/c00dK<`03000O4alC010O4`03000Nlakc01<Nl`03000Rlb;c01/Rl`03
000VdbKC038Vd`03000Rlb;c01LRl`03000Nlakc00DNl`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo0dVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<V
d`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`056c<00`005e<G
D`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`0:3i<00`002k<;/`0<2k<00`001m<7
d`0E1m<00`000o<3l`0i0o<00`001m<7d`0J1m<00`002k<;/`0B2k<00`003i<?T`0?3i<00`003g<?
L`0>3g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`007_<N
l`0B7_<00`008_<Rl`0K8_<00`009]<Vd`0d9]<00`008_<Rl`0F8_<00`007_<Nl`057_<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`=9/`050015ddGCAM<00004@O<01@00?O<mlcgc00000chC
00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC
00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC
00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02PnC
00<000^c2k<030^c00<000OC1m<05POC00<000?c0o<0=`?c00<000OC1m<06POC00<000^c2k<04`^c
00<000nC3i<03`nC00<000mc3g<03@mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c
00<001lC7a<03alC00<001kc7_<04Qkc00<002;c8_<06b;c00<002KC9]<0=RKC00<002;c8_<05R;c
00<001kc7_<011kc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3BK<01@00AM=5ddGC0000
147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000N
lakc00<Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?
L`mc00P?L`03000?T`nC00X?T`03000;/`^c00`;/`030007d`OC01H7d`030003l`?c03@3l`8001d7
d`03000;/`^c018;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00hG
D`03000K<a/c00dK<`03000O4alC010O4`03000Nlakc018Nl`03000Rlb;c01XRl`03000VdbKC03PV
d`03000Rlb;c01DRl`03000Nlakc00@Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D0
04VcBK=9/`0000=5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<01@00=U<f
DcIC0000139c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<0
02;c8_<012;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<0
01=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02PnC00<000^c2k<03@^c00<000OC1m<05POC00<0
00?c0o<0<P?c00<000OC1m<070OC00<000^c2k<04`^c00<000nC3i<03`nC00<000mc3g<03Pmc00<0
01=c4g<03A=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03alC00<001kc7_<04Qkc00<0
02;c8_<06R;c00<002KC9]<0>RKC00<002;c8_<05B;c00<001kc7_<00akc2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool01@00BK=9/dVc00000dGC00D0047c@O=1l`0000<ml`03000n4chC008n
4`03000j<cXc008j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z
/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K
<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?T`093i<00`002k<;
/`0=2k<00`001m<7d`0G1m<00`000o<3l`0`0o<00`001m<7d`0M1m<00`002k<;/`0B2k<00`003i<?
T`0?3i<00`003g<?L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O
4`0@7a<00`007_<Nl`0B7_<00`008_<Rl`0I8_<00`009]<Vd`0l9]<00`008_<Rl`0D8_<00`007_<N
l`037_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<01@00@O=1
ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00D003IC=U<fD`0000@bL`03000^Lbic008^
L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<N
l`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00P?
L`03000?T`nC00X?T`03000;/`^c00d;/`030007d`OC01L7d`030003l`?c02h3l`030007d`OC01d7
d`03000;/`^c018;/`80014?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K
<a/c00hK<`03000O4alC00lO4`03000Nlakc018Nl`03000Rlb;c01TRl`03000VdbKC03hVd`03000R
lb;c01@Rl`03000Nlakc008Nl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004VcBK=9
/`0000=5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000
139c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<0
12;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<0
1Q=c00<000mc3g<020mc00<000nC3i<02PnC00<000^c2k<03P^c00<000OC1m<05`OC00<000?c0o<0
;0?c00<000OC1m<07@OC00<000^c2k<04P^c00<000nC3i<040nC00<000mc3g<03Pmc00<001=c4g<0
3Q=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03alC00<001kc7_<04Qkc00<002;c8_<0
6B;c00<002KC9]<0@2KC00<002;c8_<04b;c00<001kc7_<00Qkc2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool01@00BK=9/dVc00000dGC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j
<cXc008j<`03000fDcIC008fD`05000bLc9c<W<00004;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<0
0`009]<Vd`029]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K<`046c<0
0`005e<GD`065e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`0;3i<00`002k<;/`0=2k<0
0`001m<7d`0H1m<2000Z0o<2000O1m<00`002k<;/`0C2k<00`003i<?T`0@3i<00`003g<?L`0>3g<0
0`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0A7_<0
0`008_<Rl`0I8_<00`009]<Vd`119]<00`008_<Rl`0C8_<00`007_<Nl`027_<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<00`00@O=1l`02@O<01@00?O<mlcgc0000
13hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z
/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K
<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00P?L`03000?T`nC00X?T`03000;
/`^c00h;/`030007d`OC01T7d`030003l`?c02H3l`030007d`OC01l7d`03000;/`^c018;/`03000?
T`nC010?T`03000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O
4alC00hO4`03000Nlakc018Nl`03000Rlb;c01LRl`8004DVd`03000Rlb;c01<Rl`04000Nlakc7_<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<00`00@O=1l`02@O<0
1@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<Nl`03000O
4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?
T`nC00/?T`03000;/`^c00d;/`030007d`OC01X7d`8002@3l`800247d`03000;/`^c01<;/`03000?
T`nC010?T`03000?L`mc00h?L`03000CLa=c00dCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O
4alC00lO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04HVd`03000Rlb;c018Rl`04000N
lakc7_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`050019/dVcBK<00003AM<00`00@O=1
l`02@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^
L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<N
l`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00P?
L`03000?T`nC00X?T`03000;/`^c00h;/`030007d`OC01/7d`800203l`800287d`03000;/`^c01<;
/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK
<`03000O4alC00hO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04PVd`03000Rlb;c018R
l`03000Nlakc00]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004VcBK=9/`0000=5d`03
0011ld7c0091l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic
;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc
7_<00akc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc
3g<020mc00<000nC3i<02PnC00<000^c2k<03P^c00<000OC1m<07@OC0P0070?c0P008`OC00<000^c
2k<04`^c00<000nC3i<040nC00<000mc3g<03`mc00<001=c4g<03A=c00<001MC5e<03AMC00<001/c
6c<03Q/c00<001lC7a<03alC00<001kc7_<041kc00<002;c8_<05b;c00<002KC9]<0BRKC00<002;c
8_<04B;c00<001kc7_<02goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00`00BK=9/`02BK<0
1000AM=5d`00147c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`00
7_<Nl`037_<00`007a<O4`057a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`074g<00`00
3g<?L`083g<00`003i<?T`0:3i<00`002k<;/`0=2k<00`001m<7d`0O1m<2000H0o<2000T1m<00`00
2k<;/`0D2k<00`003i<?T`0@3i<00`003g<?L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`00
6c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0@7_<00`008_<Rl`0F8_<00`009]<Vd`1<9]<00`00
8_<Rl`0A8_<00`007_=oo`0:Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`030019/dVc0099
/`040015ddGC0004@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03
000Nlakc00<Nl`03000O4alC00DO4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00LCL`03
000?L`mc00P?L`03000?T`nC00X?T`03000;/`^c00h;/`030007d`OC0207d`@00103l`@002H7d`03
000;/`^c01<;/`03000?T`nC010?T`03000?L`mc00l?L`03000CLa=c00dCL`03000GDaMC00dGD`03
000K<a/c00hK<`03000O4alC00lO4`03000Nlakc010Nl`03000Rlb;c01HRl`03000VdbKC04hVd`03
000Rlb;c010Rl`03000Nlgoo00Yoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00==T`00BK<0
0TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<0
0`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`065e<0
0`004g<CL`064g<00`003g<?L`083g<00`003i<?T`0;3i<00`002k<;/`0=2k<00`001m<7d`0T1m<@
000Y1m<00`002k<;/`0D2k<00`003i<?T`0@3i<00`003g<?L`0>3g<00`004g<CL`0>4g<00`005e<G
D`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0A7_<00`008_<Rl`0E8_<00`009]<V
d`1@9]<00`008_<Rl`0@8_<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`<000Qoo`03CI<004Vc
0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01AlC00<001/c6c<011/c00<001MC5e<01QMC
00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<02PnC00<000^c2k<03P^c00<000OC1m<0G0OC
00<000^c2k<04`^c00<000nC3i<040nC00<000mc3g<03`mc00<001=c4g<03A=c00<001MC5e<03AMC
00<001/c6c<03Q/c00<001lC7a<03alC00<001kc7_<041kc00<002;c8_<05B;c00<002KC9]<0DBKC
00<002;c8_<042;c00<007ooOol01goo0`0027oo000NOol00`00Oomoo`08Ool00dfC0019/`02BK<0
1@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000R
lb;c00@Rl`03000Nlakc00<Nl`03000O4alC00DO4`03000K<a/c00@K<`03000GDaMC00HGD`03000C
La=c00LCL`03000?L`mc00P?L`03000?T`nC00X?T`03000;/`^c00l;/`030007d`OC05X7d`03000;
/`^c01@;/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K
<a/c00hK<`03000O4alC00hO4`03000Nlakc014Nl`03000Rlb;c01DRl`03000VdbKC058Vd`03000R
lb;c010Rl`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00==T`00BK<00TVc
00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`00
8_<Rl`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K<`046c<00`005e<GD`065e<00`00
4g<CL`074g<00`003g<?L`083g<00`003i<?T`0;3i<00`002k<;/`0?2k<00`001m<7d`1G1m<2000F
2k<00`003i<?T`0@3i<00`003g<?L`0?3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0>
6c<00`007a<O4`0>7a<00`007_<Nl`0A7_<00`008_<Rl`0E8_<00`009]<Vd`1D9]<00`008_<Rl`0?
8_<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03CI<004Vc0099/`050015
ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<0
12;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<0
1Q=c00<000mc3g<02@mc00<000nC3i<02PnC00<000^c2k<040^c00<000OC1m<0E@OC00<000^c2k<0
5@^c00<000nC3i<04@nC00<000mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<0
3A/c00<001lC7a<03QlC00<001kc7_<04Akc00<002;c8_<05B;c00<002KC9]<0ERKC00<002;c8_<0
3R;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CI<01@00BK=9/dVc00000dGC00D0047c
@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`03
7_<00`007a<O4`057a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`08
3g<00`003i<?T`0;3i<00`002k<;/`0@2k<00`001m<7d`1C1m<00`002k<;/`0F2k<00`003i<?T`0@
3i<00`003g<?L`0?3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>
7a<00`007_<Nl`0@7_<00`008_<Rl`0E8_<00`009]<Vd`1G9]<00`008_<Rl`0>8_<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`9=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D0
03hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^
T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00@O
4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00T?L`03000?T`nC00X?
T`03000;/`^c010;/`030007d`OC05<7d`03000;/`^c01D;/`03000?T`nC010?T`03000?L`mc00l?
L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc014N
l`03000Rlb;c01@Rl`03000VdbKC05TVd`03000Rlb;c00dRl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc
00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01A/c
00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<02@mc00<000nC3i<02`nC00<000^c2k<040^c
00<000OC1m<0D@OC00<000^c2k<05@^c00<000nC3i<04@nC00<000mc3g<03`mc00<001=c4g<03A=c
00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<041kc00<002;c8_<052;c
00<002KC9]<0FbKC00<002;c8_<032;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CI<0
1@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<0
0`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`065e<0
0`004g<CL`064g<00`003g<?L`093g<00`003i<?T`0;3i<00`002k<;/`0A2k<00`001m<7d`1>1m<2
000G2k<00`003i<?T`0A3i<00`003g<?L`0?3g<00`004g<CL`0=4g<00`005e<GD`0=5e<00`006c<K
<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0D8_<00`009]<Vd`0W9]<B000T9]<0
0`008_<Rl`0;8_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9=T`050019/dVcBK<00003
AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03
000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00HCL`03
000?L`mc00P?L`03000?T`nC00`?T`03000;/`^c014;/`030007d`OC04`7d`03000;/`^c01H;/`03
000?T`nC014?T`03000?L`mc00l?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00hK<`03
000O4alC00hO4`03000Nlakc00lNl`03000Rlb;c01@Rl`03000VdbKC02HVd`80018Z/`<0028Vd`03
000Rlb;c00XRl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0TfC00<004VcBK<00TVc00D0
04GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<R
l`038_<00`007_<Nl`057_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`065e<00`004g<C
L`064g<00`003g<?L`093g<00`003i<?T`0;3i<00`002k<;/`0B2k<00`001m<7d`1:1m<00`002k<;
/`0G2k<00`003i<?T`0A3i<00`003g<?L`0>3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K
<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0C8_<00`009]<Vd`0S9]<4000G:[<3
000O9]<00`008_<Rl`0:8_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9=T`030019/dVc
0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<012KC
00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01Q/c00<001MC5e<01AMC
00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<030nC00<000^c2k<04P^c00<000OC1m<0B0OC
00<000^c2k<05`^c00<000nC3i<04@nC00<000mc3g<03`mc00<001=c4g<03A=c00<001MC5e<03QMC
00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<04b;c00<002KC9]<082KC
10007RZc0P007RKC00<002;c8_<02B;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2CI<0
0`00BK=9/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000f
DcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000V
dbKC00@Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03000G
DaMC00DGD`03000CLa=c00PCL`03000?L`mc00P?L`03000?T`nC00`?T`03000;/`^c018;/`030007
d`OC04H7d`03000;/`^c01L;/`03000?T`nC014?T`03000?L`mc00l?L`03000CLa=c00hCL`03000G
DaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc00lNl`03000Rlb;c01<Rl`03000V
dbKC020Vd`03000Z/bZc028Z/`8001dVd`03000Rlb;c00PRl`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0TfC00<004VcBK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC
?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00
:[<Z/`02:[<00`009]<Vd`049]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`00
6c<K<`066c<00`005e<GD`055e<00`004g<CL`084g<00`003g<?L`093g<00`003i<?T`0<3i<00`00
2k<;/`0B2k<00`001m<7d`141m<00`002k<;/`0G2k<00`003i<?T`0B3i<00`003g<?L`0>3g<00`00
4g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<00`00
8_<Rl`0C8_<00`009]<Vd`0O9]<2000W:[<2000K9]<00`008_<Rl`088_<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`9=T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<0
1@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<0
1AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<021=c00<000mc3g<020mc00<000nC3i<0
3@nC00<000^c2k<04P^c0P00@POC0P006@^c00<000nC3i<04PnC00<000mc3g<03Pmc00<001=c4g<0
3a=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<0
4b;c00<002KC9]<07RKC0P00:bZc0P006RKC00<002;c8_<01b;c2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool3CI<01@00BK=9/dVc000014GC00@0047c@O<000@ml`03000n4chC008n4`03000j
<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z
/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K
<a/c00HK<`03000GDaMC00DGD`03000CLa=c00PCL`03000?L`mc00T?L`03000?T`nC00`?T`03000;
/`^c01@;/`030007d`OC03d7d`8001X;/`03000?T`nC018?T`03000?L`mc00l?L`03000CLa=c00hC
L`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc010Nl`03000Rlb;c018R
l`03000VdbKC01dVd`8002lZ/`03000VdbKC01PVd`03000Rlb;c00HRl`]oo`03001oogoo00Ioo`00
7Woo00<007ooOol027oo0dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00003?O<00`00?Q<n4`02
?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03
;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`05
7a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`084g<00`003g<?L`083g<00`003i<?T`0=
3i<00`002k<;/`0D2k<2000l1m<00`002k<;/`0J2k<00`003i<?T`0B3i<00`003g<?L`0>3g<00`00
4g<CL`0?4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<00`00
8_<Rl`0B8_<00`009]<Vd`0L9]<2000b:[<2000I9]<00`008_<Rl`058_<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`==T`050019/dVcBK<00004AM<01@00@O=1ld7c00000cgc00<003hC?Q<0
0ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<0
1AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<021=c00<000mc3g<02@mc00<000nC3i<0
3@nC00<000^c2k<05@^c00<000OC1m<0=`OC0P0070^c00<000nC3i<04PnC00<000mc3g<03`mc00<0
01=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03akc00<0
02;c8_<04R;c00<002KC9]<06bKC0P00=RZc0P0062KC00<002;c8_<012;c2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool3CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000<ml`03000n4chC
008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC
00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC
00DO4`03000K<a/c00DK<`03000GDaMC00LGD`03000CLa=c00LCL`03000?L`mc00X?L`03000?T`nC
00`?T`03000;/`^c01H;/`030007d`OC03@7d`8001d;/`03000?T`nC018?T`03000?L`mc00l?L`03
000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc010Nl`03
000Rlb;c018Rl`03000VdbKC01XVd`03000Z/bZc03PZ/`03000VdbKC01DVd`03000Rlb;c00@Rl`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo00@004fCCI<000=9/`030015ddGC0095d`050011
ld7c@O<00003?O<00`00?Q<n4`03?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<0
0Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<0
11kc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<021=c00<000mc3g<0
2@mc00<000nC3i<03@nC00<000^c2k<05P^c00<000OC1m<0<@OC0P007P^c00<000nC3i<04`nC00<0
00mc3g<03Pmc00<001=c4g<03Q=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<0
01kc7_<041kc00<002;c8_<04R;c00<002KC9]<06BKC0P00?2Zc00<002KC9]<05BKC00<002;c8_<0
0b;c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00CI==TdfC00000dVc00<004GCAM<0
0TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00LGD`03000C
La=c00LCL`03000?L`mc00X?L`03000?T`nC00d?T`03000;/`^c01H;/`8002l7d`8001l;/`03000?
T`nC01<?T`03000?L`mc00l?L`03000CLa=c00dCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O
4alC00hO4`03000Nlakc00lNl`03000Rlb;c014Rl`8001/Vd`03000Z/bZc03dZ/`8001DVd`03000R
lb;c00<Rl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004fCCI==T`0000=9/`030015
ddGC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<0
0`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`046c<00`005e<GD`075e<0
0`004g<CL`084g<00`003g<?L`093g<00`003i<?T`0>3i<00`002k<;/`0G2k<2000[1m<2000O2k<2
000D3i<2000A3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<0
0`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0I9]<20012:[<00`009]<Vd`0C9]<00`008_<R
l`028_<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=TdfCCI<00003BK<00`00AM=5
d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0
039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<0
02;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01aMC00<0
01=c4g<01a=c00<000mc3g<02Pmc00<000nC3i<03PnC00<000^c2k<060^c0`009POC0P0080^c00<0
00nC3i<04`nC00<000mc3g<040mc00<001=c4g<03Q=c00<001MC5e<03AMC00<001/c6c<03Q/c00<0
01lC7a<03AlC00<001kc7_<03akc00<002;c8_<04B;c00<002KC9]<062KC0P00ABZc0P0052KC00@0
02;c8_<Rl`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D004fCCI==T`0000=9/`030015
ddGC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<0
0`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`075e<0
0`004g<CL`074g<00`003g<?L`0;3g<00`003i<?T`0=3i<00`002k<;/`0K2k<2000R1m<2000Q2k<0
0`003i<?T`0C3i<00`003g<?L`0@3g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0>6c<0
0`007a<O4`0=7a<00`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0G9]<20019:[<00`009]<V
d`0B9]<00`008_<Rl`0;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=TdfCCI<00003
BK<00`00AM=5d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC
=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC
9]<012KC00<002;c8_<00b;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC
5e<01QMC00<001=c4g<021=c00<000mc3g<02Pmc00<000nC3i<03PnC00<000^c2k<070^c10006POC
10008P^c00<000nC3i<04`nC00<000mc3g<040mc00<001=c4g<03a=c00<001MC5e<031MC00<001/c
6c<03Q/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<042;c00<002KC9]<05bKC00<002Zc
:[<0BRZc0P004RKC00<002;c8_<02goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00`00CI==
T`02CI<01000BK=9/`0014GC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j<cXc008j<`03
000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc00<Z/`03
000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00DK<`03
000GDaMC00LGD`03000CLa=c00LCL`03000?L`mc00/?L`03000?T`nC00h?T`03000;/`^c01l;/`D0
0107d`D002D;/`03000?T`nC01@?T`03000?L`mc010?L`03000CLa=c00hCL`03000GDaMC00dGD`03
000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c010Rl`03000VdbKC01HVd`80
04lZ/`03000VdbKC010Vd`03000Rlgoo00Yoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00==
L`00CI<00TfC00D004VcBK=9/`0000A5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00>S<j
<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z
/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K
<`056c<00`005e<GD`075e<00`004g<CL`084g<00`003g<?L`0:3g<00`003i<?T`0?3i<00`002k<;
/`0S2k<@000Y2k<00`003i<?T`0D3i<00`003g<?L`0@3g<00`004g<CL`0>4g<00`005e<GD`0=5e<0
0`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0E9]<0
0`00:[<Z/`1@:[<00`009]<Vd`0@9]<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`03CG<004fC009=T`050019/dVcBK<00004AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC
00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC
00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<00b;c00<001kc7_<01Akc00<001lC7a<01AlC
00<001/c6c<01A/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<02`mc00<000nC3i<03`nC
00<000^c2k<0FP^c00<000nC3i<050nC00<000mc3g<04@mc00<001=c4g<03Q=c00<001MC5e<03AMC
00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<042;c00<002KC9]<05BKC
00<002Zc:[<0DBZc00<002KC9]<042KC00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomo
o`08Ool00dec001=T`02CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000<ml`03000n4chC008n
4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^
T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO
4`03000K<a/c00DK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00X?L`03000?T`nC010?
T`03000;/`^c05L;/`8001L?T`03000?L`mc010?L`03000CLa=c00hCL`03000GDaMC00hGD`03000K
<a/c00dK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c010Rl`03000VdbKC01HVd`03000Z
/bZc058Z/`03000VdbKC010Vd`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo
00==L`00CI<00TfC00D004VcBK=9/`0000A5d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<00`00
>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00
:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`00
6c<K<`066c<00`005e<GD`065e<00`004g<CL`084g<00`003g<?L`0;3g<00`003i<?T`0@3i<00`00
2k<;/`1E2k<00`003i<?T`0F3i<00`003g<?L`0@3g<00`004g<CL`0>4g<00`005e<GD`0>5e<00`00
6c<K<`0=6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<2000B8_<00`009]<Vd`0E9]<2001F:[<00`00
9]<Vd`0?9]<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03CG<004fC009=T`030019/dVc
0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC
00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC
00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<011lC00<001/c6c<01Q/c00<001MC5e<01aMC
00<001=c4g<021=c00<000mc3g<02`mc00<000nC3i<040nC00<000^c2k<0DP^c0P005`nC0P004Pmc
00<001=c4g<03Q=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc
00<002;c8_<04B;c00<002KC9]<052KC0P00FBZc0P003bKC2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool2CG<01@00CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000<ml`03000n
4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^
TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O
4alC00DO4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00PCL`03000?L`mc00/?L`03000?
T`nC014?T`03000;/`^c050;/`03000?T`nC01H?T`03000?L`mc014?L`03000CLa=c00lCL`03000G
DaMC00hGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00dNl`03000Rlb;c014Rl`03000V
dbKC01@Vd`03000Z/bZc05/Z/`03000VdbKC00`Vd`]oo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo0Tec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC
000013Xc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc
:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<011lC00<001/c
6c<01Q/c00<001MC5e<01aMC00<001=c4g<021=c00<000mc3g<02`mc00<000nC3i<04@nC00<000^c
2k<0CP^c00<000nC3i<05PnC00<000mc3g<04@mc00<001=c4g<03a=c00<001MC5e<03QMC00<001/c
6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC9]<052KC00<002Zc
:[<09RZc4`0092Zc00<002KC9]<02bKC2goo00<007ooOol01Woo000NOol30008Ool2CG<01@00CI==
TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<f
D`02=U<00`00<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<V
d`039]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`066c<00`005e<G
D`065e<00`004g<CL`094g<00`003g<?L`0;3g<00`003i<?T`0A3i<00`002k<;/`1<2k<00`003i<?
T`0F3i<00`003g<?L`0A3g<00`004g<CL`0?4g<00`005e<GD`0=5e<2000?6c<00`007a<O4`0=7a<0
0`007_<Nl`0>7_<00`008_<Rl`0@8_<00`009]<Vd`0D9]<00`00:[<Z/`0R:[<5000C;Y<6000O:[<0
0`009]<Vd`0:9]<9Ool30008Ool001ioo`03001oogoo00Qoo`9=L`05001=TdfCCI<00003BK<00`00
AM=5d`02AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c
00<bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c
00@Rl`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c
00TCL`03000?L`mc00/?L`03000?T`nC014?T`8004X;/`8001P?T`03000?L`mc014?L`03000CLa=c
00lCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c
010Rl`03000VdbKC01<Vd`80020Z/`D001h^T`8001hZ/`03000VdbKC00TVd`]oo`03001oogoo00Io
o`007Woo00<007ooOol027oo0Tec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<0
0004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`04:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<N
l`057_<00`007a<O4`057a<00`006c<K<`066c<00`005e<GD`065e<00`004g<CL`094g<00`003g<?
L`0<3g<00`003i<?T`0B3i<200162k<2000I3i<00`003g<?L`0B3g<00`004g<CL`0>4g<00`005e<G
D`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0@8_<00`009]<V
d`0C9]<00`00:[<Z/`0N:[<2000U;Y<3000L:[<00`009]<Vd`089]<;Ool00`00Oomoo`06Ool001io
o`03001oogoo00Qoo`==L`05001=TdfCCI<00003BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc
00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic008^L`03000^TbjC
00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC
00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00TCL`03000?L`mc00`?L`03000?T`nC
01<?T`80048;/`8001X?T`03000?L`mc018?L`03000CLa=c00hCL`03000GDaMC00hGD`03000K<a/c
00dK<`03000O4alC00hO4`03000Nlakc00dNl`03000Rlb;c010Rl`03000VdbKC01<Vd`03000Z/bZc
01dZ/`8002X^T`8001/Z/`03000VdbKC00LVd`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo
0dec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<0
0`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`067a<0
0`006c<K<`066c<00`005e<GD`065e<00`004g<CL`094g<00`003g<?L`0=3g<00`003i<?T`0D3i<0
0`002k<;/`0m2k<2000K3i<00`003g<?L`0A3g<2000@4g<00`005e<GD`0>5e<00`006c<K<`0>6c<0
0`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0@8_<00`009]<Vd`0B9]<2000N:[<2000^;Y<2
000J:[<00`009]<Vd`069]<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`==L`05001=TdfC
CI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC00<002Zc:[<012Zc
00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01Q/c
00<001MC5e<01aMC00<001=c4g<02A=c00<000mc3g<03@mc00<000nC3i<050nC00<000^c2k<0>`^c
00<000nC3i<06PnC00<000mc3g<04@mc00<001=c4g<03a=c00<001MC5e<03QMC00<001/c6c<03Q/c
00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<04RKC00<002Zc:[<06bZc
0`00<RjC0`0062Zc00<002KC9]<01BKC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3CG<0
1@00CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j
<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z
/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC00DO4`03000K
<a/c00LK<`03000GDaMC00LGD`03000CLa=c00TCL`03000?L`mc00`?L`03000?T`nC01D?T`8003T;
/`8001/?T`8001<?L`03000CLa=c00lCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC00dO
4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC018Vd`03000Z/bZc01XZ/`8003P^T`8001LZ
/`03000VdbKC00@Vd`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00@004ecCG<000==T`03
0019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`03?O<01@00?Q<n4chC000013Xc00<003IC
=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC
9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC
5e<01aMC00<001=c4g<02Q=c00<000mc3g<030mc00<000nC3i<05PnC0`00=0^c0P0070nC00<000mc
3g<04`mc00<001=c4g<03Q=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<03AlC00<001kc
7_<03Qkc00<002;c8_<03b;c00<002KC9]<04RKC00<002Zc:[<06BZc0P00?2jC00<002Zc:[<052Zc
00<002KC9]<012KC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00CG==Ldec00000dfC
00D004VcBK=9/`0000A5d`040011ld7c0005?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`04:[<00`009]<V
d`039]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`057a<00`006c<K<`076c<00`005e<G
D`075e<00`004g<CL`0:4g<00`003g<?L`0<3g<00`003i<?T`0H3i<3000^2k<3000M3i<00`003g<?
L`0C3g<00`004g<CL`0?4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<N
l`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0A9]<2000J:[<2000o;Y<2000E:[<00`009]<Vd`039]<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001=LdecCG<00003CI<00`00BK=9/`02BK<0
1@00AM=5ddGC00000d7c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<0
0SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<0
12KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC7a<011lC00<001/c6c<01a/c00<001MC5e<0
1aMC00<001=c4g<02Q=c00<000mc3g<03@mc0P006`nC0P00:P^c0P007PnC0P0050mc0P004A=c00<0
01MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<0
02KC9]<04BKC00<002Zc:[<062Zc0P00@bjC00<002Zc:[<04bZc00<002KC9]<00RKC2goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool01@00CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5
d`0000=1l`03000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000b
Lc9c008bL`8000@^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@R
l`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00LK<`03000GDaMC00LGD`03000CLa=c00XC
L`03000?L`mc00h?L`03000?T`nC01X?T`<0028;/`D001l?T`03000?L`mc01<?L`03000CLa=c010C
L`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00lR
l`03000VdbKC014Vd`03000Z/bZc01LZ/`8004H^T`8001@Z/`80008Vd`]oo`03001oogoo00Ioo`00
7Woo00<007ooOol027oo00D004ecCG==L`0000==T`030019/dVc0099/`050015ddGCAM<00003@O<0
0`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<0
0`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<0
0`007_<Nl`057_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`075e<00`004g<CL`0:4g<0
0`003g<?L`0=3g<00`003i<?T`0M3i<4000J2k<4000R3i<2000E3g<00`004g<CL`0@4g<00`005e<G
D`0>5e<00`006c<K<`0=6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0?8_<00`009]<V
d`0A9]<00`00:[<Z/`0G:[<00`00;Y<^T`18;Y<2000D:[<00`009]=oo`0:Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`03001=Ldec009=L`05001=TdfCCI<00003BK<01@00AM=5ddGC0000147c
00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic
00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00DRl`03000Nlakc
00DNl`03000O4alC00DO4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c00TCL`03000?L`mc
00h?L`03000?T`nC020?T`D0010;/`D002D?T`03000?L`mc01@?L`03000CLa=c010CL`03000GDaMC
00hGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC
014Vd`03000Z/bZc01HZ/`8004d^T`80018Z/`03000Vdgoo00Yoo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo00=AL`00CG<00Tec00D004fCCI==T`0000A9/`050015ddGCAM<00003@O<00`00?O<m
l`02?O<00`00?Q<n4`02?Q<01@00>S<j<cXc00001CIC00<0039c<W<00c9c00<002ic;W<00Ric00<0
02jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<0
01lC7a<01QlC00<001/c6c<01a/c00<001MC5e<01aMC00<001=c4g<02Q=c00<000mc3g<03Pmc0P00
9@nC4000:0nC0P005Pmc00<001=c4g<041=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<0
3QlC00<001kc7_<03Qkc00<002;c8_<03R;c00<002KC9]<042KC0P005bZc0P00DBjC00<002Zc:[<0
42Zc00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00e5c001=L`02CG<00`00
CI==T`02CI<01@00BK=9/dVc00000dGC00<0047c@O<00T7c00D003gc?O<ml`0000@n4`03000j<cXc
008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc
00<Z/`03000VdbKC00<Vd`03000Rlb;c00DRl`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c
00LK<`03000GDaMC00PGD`03000CLa=c00XCL`03000?L`mc00l?L`8005X?T`03000?L`mc01@?L`80
018CL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00hNl`03000Rlb;c
00hRl`03000VdbKC010Vd`03000Z/bZc01HZ/`03000^TbjC058^T`80010Z/`03001oogoo00Uoo`03
001oogoo00Ioo`007Woo00<007ooOol027oo00=AL`00CG<00Tec00<004fCCI<00TfC00D004VcBK=9
/`0000=5d`030011ld7c0091l`05000mlcgc?O<00004?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<0
0`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<0
0`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`085e<0
0`004g<CL`0:4g<00`003g<?L`0@3g<00`003i<?T`1E3i<2000F3g<00`004g<CL`0A4g<00`005e<G
D`0>5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<2000@8_<00`009]<Vd`0@9]<0
0`00:[<Z/`0E:[<2001G;Y<00`00:[<Z/`0>:[<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`03DG<004ec009=L`03001=TdfC009=T`050019/dVcBK<00003AM<00`00@O=1l`02
@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic
;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc
7_<01Akc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<02a=c00<000mc
3g<040mc00<000nC3i<0D`nC00<000mc3g<05@mc00<001=c4g<04A=c00<001MC5e<03QMC00<001/c
6c<03A/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03b;c00<002KC9]<042KC00<002Zc
:[<052Zc0P00FRjC00<002Zc:[<03BZc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2DG<0
1@00CG==Ldec00000dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<0
0`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`067a<0
0`006c<K<`076c<00`005e<GD`085e<00`004g<CL`0;4g<00`003g<?L`0@3g<2001A3i<2000G3g<0
0`004g<CL`0A4g<00`005e<GD`0?5e<00`006c<K<`0<6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<0
0`008_<Rl`0?8_<00`009]<Vd`0@9]<00`00:[<Z/`0D:[<00`00;Y<^T`1K;Y<00`00:[<Z/`0<:[<;
Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9AL`05001=LdecCG<00003CI<01@00BK=9/dVc
000014GC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03
000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03
000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00PGD`03
000CLa=c00`CL`03000?L`mc014?L`8004h?T`03000?L`mc01H?L`03000CLa=c014CL`03000GDaMC
00lGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC
010Vd`03000Z/bZc01@Z/`03000^TbjC02H^Ta@002<^T`03000Z/bZc00/Z/`]oo`03001oogoo00Io
o`007Woo00<007ooOol027oo0U5c00D004ecCG==L`0000==T`030019/dVc0099/`050015ddGCAM<0
0004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<0
02ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<01B;c00<0
01kc7_<01Akc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<031=c00<0
00mc3g<04Pmc00<000nC3i<0B@nC0P0060mc00<001=c4g<04A=c00<001MC5e<03aMC00<001/c6c<0
3A/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<042KC00<002Zc:[<0
4bZc0P0092jC1@0052ic1P007RjC00<002Zc:[<02RZc2goo00<007ooOol01Woo000NOol00`00Oomo
o`08Ool3DG<01@00CG==Ldec00000dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00
?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00
;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`057_<00`00
7a<O4`067a<00`006c<K<`076c<00`005e<GD`095e<00`004g<CL`0;4g<00`003g<?L`0C3g<00`00
3i<?T`163i<2000I3g<00`004g<CL`0A4g<00`005e<GD`0?5e<00`006c<K<`0=6c<00`007a<O4`0>
7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0@9]<00`00:[<Z/`0C:[<00`00;Y<^T`0P
;Y<4000O;W<3000L;Y<00`00:[<Z/`09:[<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=A
L`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n4chC008n
4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^
T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03000Nlakc00DNl`03000O4alC00HO
4`03000K<a/c00LK<`03000GDaMC00TGD`03000CLa=c00/CL`03000?L`mc01<?L`8004@?T`8001T?
L`8001<CL`03000GDaMC00lGD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03000R
lb;c00hRl`03000VdbKC010Vd`03000Z/bZc01<Z/`03000^TbjC01/^T`H002H^L`8001/^T`8000TZ
/`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0e5c00D004ecCG==L`0000==T`050019/dVc
BK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC
00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC
00<002;c8_<01B;c00<001kc7_<01Akc00<001lC7a<01alC00<001/c6c<01a/c00<001MC5e<02AMC
00<001=c4g<02a=c00<000mc3g<050mc0P00@0nC0P006Pmc00<001=c4g<04Q=c00<001MC5e<03QMC
0P0041/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<042KC00<002Zc
:[<04RZc0P0072jC0P00;Ric10006BjC00<002Zc:[<01RZc2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool3DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`05000m
lcgc?O<00004?Q<00`00>S<j<`03>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<0
0`00;Y<^T`02;Y<00`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`057_<0
0`007a<O4`067a<00`006c<K<`076c<00`005e<GD`0:5e<00`004g<CL`0;4g<2000F3g<2000k3i<3
000J3g<2000C4g<2000@5e<00`006c<K<`0>6c<2000?7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<0
0`009]<Vd`0?9]<2000C:[<2000K;Y<3000d;W<2000H;Y<00`00:[<Z/`05:[<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`AAL`05001=LdecCG<00003CI<01@00BK=9/dVc00000dGC00<0047c
@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c
8_<01B;c00<001kc7_<01Akc00<001lC7a<01alC00<001/c6c<01a/c00<001MC5e<02QMC00<001=c
4g<031=c00<000mc3g<05@mc0P00=PnC0`0070mc00<001=c4g<04Q=c00<001MC5e<03aMC00<001/c
6c<03Q/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03bKC00<002Zc
:[<04RZc00<002jC;Y<06BjC0P00>Bic0P005bjC00<002Zc:[<012Zc2goo00<007ooOol01Woo000N
Ool00`00Oomoo`08Ool01@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004
@O<01@00?O<mlcgc000013hC00<003Xc>S<00cXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic
;W<00Ric00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c00<001kc
7_<01Akc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc
3g<05Pmc0P00<PnC0P007Pmc00<001=c4g<04Q=c00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC
7a<03QlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03bKC00<002Zc:[<04BZc0P006RjC
0P00?Bic0P005RjC00<002Zc:[<00bZc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00
DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<01@00?O<mlcgc000013hC
00<003Xc>S<00cXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<012jC
00<002Zc:[<00bZc00<002KC9]<012KC0P001R;c00<001kc7_<01Akc00<001lC7a<01alC00<001/c
6c<01a/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<05`mc0`00;0nC0`007Pmc0P0051=c
00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03R;c
00<002KC9]<03bKC00<002Zc:[<04BZc00<002jC;Y<062jC0P00@Bic00<002jC;Y<052jC00<002Zc
:[<00RZc2goo00<007ooOol01Woo000=Ool00fi80000000500000`4BOomoo`06Ool00`00Oomoo`08
Ool01@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02
?O<01@00?Q<n4chC00001CXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC
;Y<00bjC00<002Zc:[<00bZc00<002KC9]<01BKC00<002;c8_<01B;c00<001kc7_<01Akc00<001lC
7a<01QlC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<06@mc100090nC
10007`mc0P005A=c00<001MC5e<03aMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<03Akc
00<002;c8_<03R;c00<002KC9]<03bKC00<002Zc:[<042Zc0P006BjC0P00A2ic0P005BjC00@002Zc
:[<Z/`]oo`03001oogoo00Ioo`003Goo00=nkP08Bgl017oo00=nkP7GOol01goo00<007ooOol027oo
00<0055cDG<00U5c00@004ecCG<000A=T`050019/dVcBK<00004AM<01@00@O=1ld7c000013gc00<0
03hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<0
02jC;Y<012jC00<002Zc:[<00bZc00<002KC9]<01BKC00<002;c8_<012;c00<001kc7_<01Akc00<0
01lC7a<01alC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<070mc1@00
6PnC1@008@mc0P005A=c0P004AMC00<001/c6c<03Q/c00<001lC7a<03AlC0P003akc00<002;c8_<0
3R;c00<002KC9]<03bKC00<002Zc:[<042Zc00<002jC;Y<05bjC0P00B2ic0P0052jC00<002Zc:[<0
2goo00<007ooOol01Woo000>Ool00gk^00Q;O`0=Ool00`00Oomoo`08Ool00eEC001AL`02DG<01@00
CG==Ldec00000dfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00004?Q<00`00
>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00
:[<Z/`03:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`057_<00`007a<O4`077a<00`00
6c<K<`076c<00`005e<GD`0;5e<00`004g<CL`0=4g<00`003g<?L`0P3g<5000@3i<5000U3g<00`00
4g<CL`0D4g<00`005e<GD`0@5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`00
8_<Rl`0=8_<2000A9]<00`00:[<Z/`0@:[<00`00;Y<^T`0F;Y<2001<;W<2000C;Y<00`00:[=oo`0:
Ool00`00Oomoo`06Ool000moo`03Og8P24]o00aoo`03001oogoo00Qoo`03EE<0055c009AL`05001=
LdecCG<00004CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j
<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z
/bZc00<Z/`03000VdbKC00DVd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC00LO4`03000K
<a/c00PK<`03000GDaMC00/GD`03000CLa=c00dCL`8002D?La0002P?L`8001HCL`03000GDaMC010G
D`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00dRl`03000VdbKC00lV
d`80014Z/`8001L^T`80050^L`80018^T`03001oogoo00Uoo`03001oogoo00Ioo`0047oo00=oLR08
Bgl02goo00<007ooOol027oo00=ED`00DG<00U5c00D004ecCG==L`0000A=T`050019/dVcBK<00004
AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c
<W<00S9c00<002ic;W<012ic00<002jC;Y<00bjC00<002Zc:[<00bZc0P001RKC00<002;c8_<01B;c
00<001kc7_<01Akc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<02aMC00<001=c4g<03Q=c
0P00F@mc0P005Q=c0P004QMC00<001/c6c<03Q/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c
8_<03B;c00<002KC9]<03bKC00<002Zc:[<042Zc00<002jC;Y<05BjC0P00E2ic00<002jC;Y<042jC
00<007ooOol027oo00<007ooOol01Woo000AOol00gmb80Q;O`0:Ool50006Ool00eEC001AL`02DG<0
1@00CG==Ldec000014fC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<0
0`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`077a<0
0`006c<K<`086c<00`005e<GD`0;5e<00`004g<CL`0?4g<2001E3g<2000F4g<2000B5e<2000@6c<0
0`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<2000B:[<00`00;Y<^
T`0D;Y<2001G;W<2000@;Y<7Ool50008Ool0019oo`03Og8P24]o00Uoo`03001oogoo00Qoo`03EE<0
055c00=AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<0
0Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<0
12ic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<0
1Akc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<031MC00<001=c4g<041=c0P00D@mc0P00
5a=c00<001MC5e<04AMC00<001/c6c<03a/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<0
3B;c00<002KC9]<03RKC00<002Zc:[<04BZc00<002jC;Y<04bjC0P00Fbic0P003RjC2goo00<007oo
Ool01Woo000COol00gmb80iOo`08Ool00`00Oomoo`08Ool2EE<01@00DG=ALe5c00000dec00<004fC
CI<00TfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02
>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`04
:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`077a<00`006c<K<`08
6c<00`005e<GD`0<5e<00`004g<CL`0A4g<2001>3g<00`004g<CL`0F4g<00`005e<GD`0@5e<2000A
6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0@
:[<2000D;Y<2000X;W<D000S;W<00`00;Y<^T`0;;Y<;Ool00`00Oomoo`06Ool001Aoo`03KTP1egoo
00Moo`03001oogoo00Qoo`9ED`03001ALe5c009AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<0
1@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<0
0cIC00<0039c<W<00S9c00<002ic;W<012ic00<002jC;Y<00RjC00<002Zc:[<01BZc00<002KC9]<0
12KC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<0
31MC00<001=c4g<04Q=c00<000mc3g<0B@mc0P005a=c0P004QMC00<001/c6c<03a/c0P003alC00<0
01kc7_<03Qkc00<002;c8_<03B;c00<002KC9]<03RKC00<002Zc:[<042Zc00<002jC;Y<04RjC0P00
9Bic1@00539c1P007Ric0P002bjC2goo00<007ooOol01Woo000>Ool00dWBOomoo`03Ool00gk^0A9o
o`07Ool00`00Oomoo`08Ool2EE<00`00DG=AL`02DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc
00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC
00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC
00@Vd`03000Rlb;c00HRl`03000Nlakc00DNl`03000O4alC00PO4`03000K<a/c00PK<`03000GDaMC
00`GD`03000CLa=c018CL`03000?L`mc04H?L`8001PCL`03000GDaMC014GD`03000K<a/c00lK<`03
000O4alC00hO4`03000Nlakc00dNl`8000hRl`80010Vd`03000Z/bZc00lZ/`8001@^T`03000^Lbic
01l^L`H001lbL`@001`^L`03000^TbjC00P^T`]oo`03001oogoo00Ioo`003Goo00=omcP0>_l017oo
00=M`07GOol01goo00<007ooOol027oo0UEC00<0055cDG<00U5c00D004ecCG==L`0000==T`030019
/dVc0099/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<0
0`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`087a<00`006c<K<`086c<0
0`005e<GD`0<5e<00`004g<CL`0B4g<200143g<2000I4g<00`005e<GD`0B5e<00`006c<K<`0>6c<0
0`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<2000A:[<00`00;Y<^
T`0C;Y<00`00;W<^L`0L;W<4000Y<W<2000K;W<00`00;Y<^T`07;Y<;Ool00`00Oomoo`06Ool000io
o`03O^h003[o009oo`03GL003Uoo00Qoo`03001oogoo00Qoo`=ED`05001ALe5cDG<00003CG<01@00
CI==TdfC000014Vc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00ShC
00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<012jC
00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01R;c00<001kc7_<01Qkc00<001lC7a<021lC
00<001/c6c<021/c00<001MC5e<031MC00<001=c4g<04a=c0`00?`mc0P006A=c0P0051MC00<001/c
6c<03Q/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03B;c00<002KC9]<03RKC00<002Zc
:[<042Zc00<002jC;Y<04RjC0P007Bic0P00;c9c0`006Bic00<002jC;Y<01RjC2goo00<007ooOol0
1Woo000?Ool01Gmb800000000A802Woo00<007ooOol027oo0eEC00<0055cDG<00U5c00D004ecCG==
L`0000==T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<0
0`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`087a<0
0`006c<K<`096c<00`005e<GD`0<5e<00`004g<CL`0E4g<2000j3g<3000I4g<2000D5e<2000@6c<0
0`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<00`009]<Vd`0=9]<2000B:[<00`00;Y<^
T`0B;Y<00`00;W<^L`0J;W<3000d<W<2000H;W<20006;Y<;Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`05001EDeECEE<00003DG<01@00CG==Ldec00000dfC00D004VcBK=9/`0000E5d`030011
ld7c0091l`03000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000b
Lc9c008bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000R
lb;c00HRl`03000Nlakc00HNl`03000O4alC00PO4`03000K<a/c00TK<`03000GDaMC00`GD`03000C
La=c01HCL`<003@?L`<001/CL`03000GDaMC01<GD`03000K<a/c00hK<`80010O4`03000Nlakc00dN
l`03000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc010Z/`8001<^T`8001/^L`8003TbL`<001L^
L`03000^TbjC00<^T`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005ECEE=ED`0000=A
L`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00Sgc00<0
03hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<0
02jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c0P0021kc00<001lC7a<0
21lC00<001/c6c<02A/c00<001MC5e<031MC0P006A=c0`00;0mc1@0071=c0P0051MC0P0041/c00<0
01lC7a<03QlC0P003Qkc0P003b;c00<002KC9]<03BKC00<002Zc:[<03bZc0P004bjC0P006Bic1000
?S9c0`005Bic00<002jC;Y<00RjC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00EE=E
DeEC00000e5c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<m
l`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^
L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<N
l`067_<00`007a<O4`087a<00`006c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0I4g<4000T3g<4
000O4g<2000D5e<2000A6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<V
d`0>9]<00`00:[<Z/`0>:[<00`00;Y<^T`0A;Y<2000I;W<20015<W<00`00;W<^L`0C;W<01000;Y<^
TbjC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00`00EE=ED`02EE<01@00DG=ALe5c0000
0dec00D004fCCI==T`0000A9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<0
0`00>S<j<`02>S<00`00=U<fD`04=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<0
0`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<Nl`067_<00`007a<O4`087a<0
0`006c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0L4g<5000J3g<5000Q4g<2000D5e<2000B6c<0
0`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<2000@9]<00`00:[<Z/`0?:[<00`00;Y<^
T`0@;Y<00`00;W<^L`0F;W<30018<W<2000D;W<00`00;Y<^T`0;Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`03001EDeEC009ED`05001ALe5cDG<00003CG<01@00CI==TdfC000014Vc00<004GC
AM<00TGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC00<fD`03
000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03
000Rlb;c00DRl`03000Nlakc00LNl`03000O4alC00PO4`03000K<a/c00XK<`03000GDaMC00dGD`03
000CLa=c020CL`D0010?L`D002@CL`8001DGD`03000K<a/c014K<`03000O4alC00hO4`03000Nlakc
00dNl`03000Rlb;c00dRl`03000VdbKC00hVd`80014Z/`03000^TbjC00l^T`8001L^L`8004dbL`80
01<^L`03000^Tgoo00Yoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=I<`00EE<00UEC00D0
055cDG=AL`0000==L`03001=TdfC009=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<01@00?O<m
lcgc00001ChC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<0
02jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<01R;c00<001kc7_<01Qkc00<0
01lC7a<021lC00<001/c6c<02a/c00<001MC5e<03AMC0P009A=c40009a=c0P005QMC00<001/c6c<0
41/c0P0041lC00<001kc7_<03Akc00<002;c8_<03B;c00<002KC9]<03RKC00<002Zc:[<03bZc0P00
42jC0P005bic0P00DC9c0P004Ric00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool00eTc001ED`02EE<00`00DG=AL`02DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00<004GC
AM<00TGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC00<fD`03
000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00DZ/`03000VdbKC00DVd`03
000Rlb;c00DRl`03000Nlakc00LNl`03000O4alC00PO4`03000K<a/c00/K<`03000GDaMC00hGD`80
05TCL`03000GDaMC01DGD`03000K<a/c010K<`03000O4alC00lO4`03000Nlakc00dNl`03000Rlb;c
00dRl`03000VdbKC00hVd`03000Z/bZc00hZ/`80014^T`03000^Lbic01D^L`8005DbL`80014^L`03
001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=I<`00EE<00UEC00<0055cDG<0
0U5c00D004ecCG==L`0000==T`030019/dVc0099/`030015ddGC0095d`050011ld7c@O<00004?O<0
0`00?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<0
0`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<Nl`077_<0
0`007a<O4`087a<00`006c<K<`0;6c<00`005e<GD`0?5e<2001F4g<00`005e<GD`0E5e<00`006c<K
<`0@6c<00`007a<O4`0?7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z
/`0>:[<00`00;Y<^T`0A;Y<00`00;W<^L`0D;W<00`00<W<bL`1G<W<00`00;W<^L`0>;W<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`03FC<005EC009ED`03001ALe5c009AL`05001=LdecCG<0
0003CI<00`00BK=9/`02BK<00`00AM=5d`02AM<01@00@O=1ld7c000013gc00<003hC?Q<00chC00<0
03Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<01BjC00<0
02Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<01R;c00<001kc7_<01akc00<001lC7a<021lC00<0
01/c6c<02a/c00<001MC5e<041MC0P00DQ=c0P005QMC0P004Q/c00<001lC7a<03alC00<001kc7_<0
31kc0P0042;c00<002KC9]<03BKC00<002Zc:[<03RZc00<002jC;Y<042jC0P005Bic0P00:c9c2P00
9S9c0P003Ric2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2FC<01@00EE=EDeEC00000e5c
00D004ecCG==L`0000A=T`030019/dVc0099/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00
?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00
;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`078_<00`007_<Nl`067_<00`00
7a<O4`097a<00`006c<K<`0;6c<00`005e<GD`0A5e<2001=4g<3000F5e<2000B6c<2000A7a<00`00
7_<Nl`0<7_<00`008_<Rl`0>8_<2000>9]<2000@:[<00`00;Y<^T`0?;Y<2000E;W<2000S<W<:000:
=U<;000M<W<2000<;W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9I<`05001EDeECEE<0
0003DG<00`00CG==L`02CG<01@00CI==TdfC000014Vc00<004GCAM<00TGC00D0047c@O=1l`0000@m
l`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^
L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00LN
l`03000O4alC00TO4`03000K<a/c00/K<`03000GDaMC018GD`8004TCL`8001LGD`8001<K<`03000O
4alC00lO4`8000hNl`03000Rlb;c00hRl`03000VdbKC00dVd`03000Z/bZc00hZ/`80014^T`03000^
Lbic01<^L`8001lbL`H001lfD`@001/bL`8000X^L`]oo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo0eTc00D005ECEE=ED`0000=AL`05001=LdecCG<00004CI<00`00BK=9/`02BK<01@00AM=5ddGC
0000147c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<012KC00<002;c
8_<01b;c00<001kc7_<01akc00<001lC7a<02AlC00<001/c6c<02a/c0P0051MC0P00A1=c0`0061MC
00<001/c6c<04Q/c00<001lC7a<03QlC0P003akc00<002;c8_<03B;c0P003bKC00<002Zc:[<03RZc
00<002jC;Y<03bjC0P005Bic00<0039c<W<0739c0`00:CIC0P006c9c00<002ic;W<01bic2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool3FC<01@00EE=EDeEC00000e5c00<004ecCG<00Tec00D0
04fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j
<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z
/`04:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<Nl`087_<00`007a<O4`097a<00`006c<K
<`0<6c<00`005e<GD`0C5e<3000o4g<2000J5e<00`006c<K<`0A6c<2000@7a<00`007_<Nl`0>7_<0
0`008_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0>:[<00`00;Y<^T`0?;Y<00`00;W<^L`0C;W<2
000L<W<3000^=U<3000I<W<00`00;W<^L`06;W<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`=I<`05001EDeECEE<00003DG<00`00CG==L`02CG<01@00CI==TdfC000014Vc00D004GCAM=5d`00
00A1l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c
00<bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c
00HRl`03000Nlakc00PNl`03000O4alC00TO4`03000K<a/c00`K<`03000GDaMC01DGD`8003TCL`@0
01XGD`8001<K<`03000O4alC00lO4`03000Nlakc00hNl`03000Rlb;c00dRl`03000VdbKC00hVd`03
000Z/bZc00hZ/`03000^TbjC00h^T`8001@^L`8001/bL`<003@fD`8001PbL`03000^Lbic00D^L`]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005TcFC=I<`0000=ED`05001ALe5cDG<00003
CG<01@00CI==TdfC00001DVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC008n4`03
000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^T`03
000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00LRl`03000Nlakc00LNl`03000O4alC00XO4`03
000K<a/c00`K<`03000GDaMC01HGD`<0034CL`D001`GD`8001@K<`03000O4alC00lO4`03000Nlakc
00hNl`03000Rlb;c00dRl`03000VdbKC00dVd`8000lZ/`80010^T`03000^Lbic01<^L`03000bLc9c
01TbL`8003TfD`<001HbL`8000D^L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D005Tc
FC=I<`0000=ED`05001ALe5cDG<00004CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`03
000mlcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03
000^Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00LRl`03
000Nlakc00LNl`03000O4alC00XO4`03000K<a/c00`K<`8001TGD`<002`CL`8001lGD`8001DK<`03
000O4alC00hO4`80010Nl`03000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc00hZ/`03000^TbjC
00h^T`8001@^L`8001TbL`<003hfD`8001HbL`03000^Lbic008^L`]oo`03001oogoo00Ioo`007Woo
00<007ooOol027oo00<005TcFC<00UTc00D005ECEE=ED`0000=AL`05001=LdecCG<00003CI<00`00
BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00
>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00
:[<Z/`04:[<00`009]<Vd`069]<00`008_<Rl`078_<00`007_<Nl`077_<00`007a<O4`0:7a<00`00
6c<K<`0=6c<2000J5e<4000T4g<4000O5e<2000E6c<2000@7a<00`007_<Nl`0>7_<2000>8_<2000>
9]<2000@:[<00`00;Y<^T`0>;Y<00`00;W<^L`0B;W<2000H<W<30013=U<3000D<W<20002;W<;Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03001I<eTc009I<`05001EDeECEE<00003DG<01@00
CG==Ldec000014fC00D004VcBK=9/`0000A5d`030011ld7c0091l`03000mlcgc008ml`03000n4chC
00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC
00@^T`03000Z/bZc00@Z/`03000VdbKC00HVd`03000Rlb;c00HRl`03000Nlakc00PNl`03000O4alC
00XO4`03000K<a/c00hK<`03000GDaMC01/GD`H001PCL`H0020GD`<001DK<`80010O4`80010Nl`03
000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc00hZ/`80010^T`03000^Lbic010^L`<001LbL`<0
04TfD`<001<bL`03000^Lgoo00Yoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00<005TcFC<0
0UTc00D005ECEE=ED`0000=AL`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<0
0T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0
0c9c00<002ic;W<012ic00<002jC;Y<01BjC00<002Zc:[<012Zc00<002KC9]<01RKC00<002;c8_<0
1R;c00<001kc7_<021kc00<001lC7a<02QlC0P003a/c0P008AMC600091MC0P005Q/c0P004AlC00<0
01kc7_<03akc00<002;c8_<032;c0P003bKC00<002Zc:[<03BZc0P0042jC0P004Ric00<0039c<W<0
5S9c0P00CcIC0P004S9c00<007ooOol02Goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00edC
001I<`02FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00
@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00
<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`04:[<00`009]<Vd`079]<00`00
8_<Rl`068_<00`007_<Nl`087_<00`007a<O4`0;7a<00`006c<K<`0>6c<2001I5e<2000F6c<2000A
7a<2000A7_<00`008_<Rl`0<8_<00`009]<Vd`0>9]<00`00:[<Z/`0=:[<00`00;Y<^T`0?;Y<00`00
;W<^L`0@;W<2000F<W<3001C=U<2000A<W<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001o
ogoo00Qoo`03GA<005Tc009I<`03001EDeEC009ED`05001ALe5cDG<00003CG<00`00CI==T`02CI<0
1@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<0
0cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<012ic00<002jC;Y<01BjC00<002Zc:[<0
12Zc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<021kc00<001lC7a<02alC0P0041/c0P00
EAMC0P005Q/c0P004QlC00<001kc7_<03akc0P003B;c0P0042KC00<002Zc:[<03BZc00<002jC;Y<0
3RjC0P004Ric00<0039c<W<0539c0P00F3IC0P003c9c2goo00<007ooOol01Woo000NOol00`00Oomo
o`08Ool2GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`050019/dVc
BK<00004AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00
=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`00
9]<Vd`069]<00`008_<Rl`078_<00`007_<Nl`087_<00`007a<O4`0<7a<00`006c<K<`0?6c<2001A
5e<2000G6c<00`007a<O4`0@7a<2000A7_<00`008_<Rl`0<8_<00`009]<Vd`0>9]<2000>:[<2000@
;Y<00`00;W<^L`0@;W<2000D<W<3000[=U<:000W=U<00`00<W<bL`0<<W<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`9M4`05001I<eTcFC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec0000
14fC00D004VcBK=9/`0000A5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC008n4`03000j
<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`8000D^L`03000^TbjC00D^T`03000Z/bZc00DZ
/`03000VdbKC00HVd`03000Rlb;c00LRl`03000Nlakc00PNl`03000O4alC00`O4`03000K<a/c010K
<`8004dGD`8001LK<`80018O4`03000Nlakc00lNl`8000hRl`03000VdbKC00hVd`03000Z/bZc00dZ
/`03000^TbjC00h^T`80014^L`8001@bL`8002<fD`/000Xj<`/001dfD`8000`bL`]oo`03001oogoo
00Ioo`007Woo00<007ooOol027oo0UdC00D005TcFC=I<`0000=ED`03001ALe5c009AL`05001=Ldec
CG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC
00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<00bic00<002jC;Y<01BjC
00<002Zc:[<01RZc00<002KC9]<01RKC00<002;c8_<01R;c00<001kc7_<02Akc00<001lC7a<02alC
00<001/c6c<04Q/c0P00BAMC0P005a/c0P004alC00<001kc7_<03Qkc0P003b;c00<002KC9]<03RKC
00<002Zc:[<03BZc00<002jC;Y<03BjC0P004Ric00<0039c<W<04c9c00<003IC=U<07SIC1@0083Xc
10006cIC0P002S9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3GA<01@00FC=I<eTc0000
0eEC00D0055cDG=AL`0000==L`03001=TdfC00==T`050019/dVcBK<00004AM<00`00@O=1l`02@O<0
0`00?O<ml`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<0
0`00;W<^L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`069]<00`008_<Rl`078_<0
0`007_<Nl`097_<2000<7a<2000D6c<200135e<4000H6c<00`007a<O4`0B7a<00`007_<Nl`0=7_<2
000?8_<2000@9]<00`00:[<Z/`0<:[<2000?;Y<00`00;W<^L`0@;W<2000D<W<2000M=U<4000Y>S<2
000K=U<00`00<W<bL`07<W<;Ool00`00Oomoo`06Ool001ioo`<000Qoo`=M4`05001I<eTcFC<00003
EE<01@00DG=ALe5c000014ec00<004fCCI<00TfC00D004VcBK=9/`0000A5d`030011ld7c0091l`03
000mlcgc00<ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00@bL`03
000^Lbic00<^L`03000^TbjC00D^T`03000Z/bZc00HZ/`03000VdbKC00HVd`03000Rlb;c00LRl`03
000Nlakc00XNl`03000O4alC00/O4`8001@K<`<003`GD`@001XK<`8001<O4`8000lNl`03000Rlb;c
00hRl`03000VdbKC00hVd`8000hZ/`03000^TbjC00h^T`03000^Lbic00l^L`8001@bL`8001dfD`80
02lj<`@001PfD`03000bLc9c00HbL`Uoo`<000Qoo`007Woo00<007ooOol027oo0edC00D005TcFC=I
<`0000=ED`03001ALe5c009AL`05001=LdecCG<00005CI<01000BK=9/`0014GC00<0047c@O<00d7c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c
00<002ic;W<012ic00<002jC;Y<01BjC00<002Zc:[<01BZc00<002KC9]<01bKC00<002;c8_<01R;c
00<001kc7_<02akc00<001lC7a<031lC00<001/c6c<051/c0P00=aMC0`0071/c0P004alC0P0041kc
00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc:[<032Zc0P0042jC00<002ic;W<03bic00<0039c
<W<04S9c0P006cIC1000=CXc0`005SIC0P001S9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool01@00GA=M4edC00000eTc00D005ECEE=ED`0000=AL`05001=LdecCG<00005CI<01@00BK=9/dVc
000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC
=U<00cIC00<0039c<W<0139c00<002ic;W<00bic00<002jC;Y<01BjC00<002Zc:[<01RZc00<002KC
9]<01RKC00<002;c8_<01b;c00<001kc7_<02Qkc00<001lC7a<03AlC00<001/c6c<05A/c0`00<QMC
0P007Q/c00<001lC7a<04QlC00<001kc7_<03akc00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc
:[<032Zc00<002jC;Y<03bjC00<002ic;W<03bic00<0039c<W<04C9c0P006SIC0`00?3Xc0P005SIC
00<0039c<W<00c9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00GA=M4edC00000eTc
00D005ECEE=ED`0000AAL`05001=LdecCG<00004CI<01000BK=9/dVc0P000dGC00<0047c@O<00d7c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c
00<002ic;W<012ic0P001RjC00<002Zc:[<01BZc00<002KC9]<01bKC00<002;c8_<01b;c0P002akc
00<001lC7a<03AlC00<001/c6c<05a/c1`0091MC1`007A/c0`004alC0P004Akc00<002;c8_<03R;c
00<002KC9]<03RKC00<002Zc:[<03BZc00<002jC;Y<03BjC0P004Bic00<0039c<W<0439c0P006CIC
0`00@CXc0`0053IC00<0039c<W<00S9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00
GA=M4edC00000eTc00D005ECEE=ED`0000AAL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00
AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00
=U<fD`04=U<00`00<W<bL`03<W<00`00;W<^L`05;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`00
9]<Vd`079]<00`008_<Rl`088_<00`007_<Nl`097_<00`007a<O4`0=7a<2000N6c<5000J5e<5000Q
6c<3000D7a<2000A7_<2000?8_<2000?9]<2000>:[<2000?;Y<00`00;W<^L`0?;W<2000A<W<2000G
=U<40017>S<2000C=U<01000<W<bLc9c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00ecc
001M4`02GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`030019/dVc
0099/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00
=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`05;W<00`00;Y<^T`04;Y<00`00:[<Z/`06:[<00`00
9]<Vd`079]<00`008_<Rl`088_<00`007_<Nl`097_<2000?7a<2000Q6c<:00065e<:000T6c<2000E
7a<2000A7_<2000@8_<00`009]<Vd`0=9]<2000>:[<2000?;Y<2000A;W<00`00<W<bL`0?<W<2000G
=U<2001=>S<2000B=U<200000c9cOomoo`09Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03
G?<005dC009M4`05001I<eTcFC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00<004Vc
BK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc
>S<00cXc00<003IC=U<013IC00<0039c<W<00c9c00<002ic;W<01Bic00<002jC;Y<012jC00<002Zc
:[<01BZc00<002KC9]<01bKC00<002;c8_<022;c00<001kc7_<02akc00<001lC7a<03QlC0`00:1/c
1P00;1/c0P005QlC00<001kc7_<03akc0P004B;c00<002KC9]<03BKC00<002Zc:[<03BZc00<002jC
;Y<03RjC00<002ic;W<03bic0P00439c0P005cIC0P00DCXc0P004SIC00<007ooOol02Goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool2G?<01@00GA=M4edC00000eTc00D005ECEE=ED`0000AAL`05
001=LdecCG<00004CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC
?Q<013hC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<01Bic00<002jC
;Y<01BjC00<002Zc:[<01BZc00<002KC9]<01bKC00<002;c8_<022;c00<001kc7_<02akc00<001lC
7a<041lC0P00Ea/c00<001lC7a<051lC0P004Akc00<002;c8_<03b;c0P003bKC00<002Zc:[<03BZc
00<002jC;Y<03RjC00<002ic;W<03Ric0P004C9c00<003IC=U<05CIC0P00ECXc0P004CIC00<007oo
Ool027oo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2G?<01@00GA=M4edC00000eTc00D005EC
EE=ED`0000AAL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02
@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`03
<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<00`008_<Rl`08
8_<00`007_<Nl`0;7_<00`007a<O4`0@7a<2001C6c<3000E7a<2000C7_<00`008_<Rl`0>8_<00`00
9]<Vd`0=9]<2000?:[<00`00;Y<^T`0=;Y<2000?;W<2000B<W<00`00=U<fD`0C=U<3000Z>S<:000U
>S<3000>=U<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9Ll`05001M4edCGA<00003FC<0
1@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011
ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000b
Lc9c00@bL`03000^Lbic00D^L`03000^TbjC00D^T`03000Z/bZc00DZ/`8000PVd`03000Rlb;c00PR
l`03000Nlakc00/Nl`80018O4`8004hK<`<001HO4`8001<Nl`80010Rl`03000VdbKC00`Vd`8000lZ
/`8000h^T`8000l^L`80018bL`8001@fD`8002<j<`X000Xn4`/001dj<`8000`fD`]oo`03001oogoo
00Ioo`007Woo00<007ooOol027oo0Ucc00D005dCGA=M4`0000AI<`05001EDeECEE<00003DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00
?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`04<W<00`00
;W<^L`04;W<00`00;Y<^T`05;Y<00`00:[<Z/`07:[<00`009]<Vd`069]<00`008_<Rl`088_<00`00
7_<Nl`0<7_<00`007a<O4`0A7a<300196c<2000G7a<2000C7_<2000@8_<2000>9]<00`00:[<Z/`0>
:[<00`00;Y<^T`0=;Y<00`00;W<^L`0=;W<2000B<W<2000D=U<2000O>S<6000O?Q<4000K>S<2000:
=U<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=Ll`05001M4edCGA<00003FC<01@00EE=E
DeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091
l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00@b
L`03000^Lbic00D^L`03000^TbjC00D^T`03000Z/bZc00HZ/`03000VdbKC00LVd`03000Rlb;c00PR
l`8000dNl`8001@O4`8004<K<`@001PO4`03000Nlakc018Nl`03000Rlb;c00hRl`8000hVd`80010Z
/`03000^TbjC00d^T`03000^Lbic00d^L`03000bLc9c010bL`8001@fD`8001`j<`D002Tn4`8001/j
<`03000fDcIC00LfD`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0ecc00D005dCGA=M4`00
00AI<`04001EDeEC0004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5
d`02AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<20004>S<00`00=U<fD`04=U<0
0`00<W<bL`04<W<00`00;W<^L`04;W<00`00;Y<^T`05;Y<00`00:[<Z/`07:[<00`009]<Vd`079]<0
0`008_<Rl`098_<00`007_<Nl`0<7_<2000D7a<3000l6c<4000J7a<2000C7_<2000?8_<2000?9]<0
0`00:[<Z/`0>:[<2000>;Y<2000?;W<00`00<W<bL`0><W<3000D=U<2000K>S<3000`?Q<4000H>S<2
0007=U<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`04001Llecc0003GA<00`00FC=I<`02
FC<01@00EE=EDeEC00000e5c0P000dec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00TGC
00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<013IC
00<0039c<W<0139c00<002ic;W<012ic00<002jC;Y<01BjC00<002Zc:[<01bZc00<002KC9]<01bKC
00<002;c8_<02B;c0P003Qkc00<001lC7a<051lC1@00=1/c0`0071lC0P004akc0P0042;c00<002KC
9]<03RKC00<002Zc:[<03RZc00<002jC;Y<03BjC00<002ic;W<03Ric00<0039c<W<03c9c00<003IC
=U<04SIC0P006SXc0`00=chC10005SXc00<003IC=U<013IC2goo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool01000G?=Ll`000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=
L`05001=TdfCCI<00004BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`04?O<00`00?Q<n
4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^L`05;W<00`00;Y<^
T`05;Y<00`00:[<Z/`07:[<00`009]<Vd`079]<00`008_<Rl`0:8_<00`007_<Nl`0<7_<2000I7a<3
000]6c<4000M7a<2000D7_<00`008_<Rl`0?8_<00`009]<Vd`0>9]<00`00:[<Z/`0>:[<00`00;Y<^
T`0<;Y<2000?;W<2000@<W<2000C=U<2000I>S<3000n?Q<2000E>S<20004=U<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`05001LleccG?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000
155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000m
lcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^
Lbic00D^L`03000^TbjC00D^T`03000Z/bZc00LZ/`03000VdbKC00LVd`03000Rlb;c00XRl`8000hN
l`8001XO4`@002@K<`D001hO4`<001@Nl`80010Rl`8000lVd`8000lZ/`8000h^T`03000^Lbic00h^
L`03000bLc9c00hbL`8001<fD`8001Pj<`<004<n4`<001@j<`04000fDcIC=U<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`05H?<005ccG?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000
155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000m
lcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00DbL`03000^
Lbic00@^L`03000^TbjC00H^T`03000Z/bZc00LZ/`03000VdbKC00LVd`03000Rlb;c00/Rl`03000N
lakc00dNl`03000O4alC01/O4`X0010K<`X0020O4`<001DNl`80014Rl`03000VdbKC00hVd`03000Z
/bZc00dZ/`8000h^T`8000l^L`80010bL`03000fDcIC014fD`8001Hj<`@004Tn4`<0018j<`800003
=U=oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=Pl`00G?<00Ucc00D005dCGA=M
4`0000AI<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00D004GCAM=5
d`0000E1l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000b
Lc9c00@bL`03000^Lbic00D^L`03000^TbjC00H^T`03000Z/bZc00HZ/`03000VdbKC00PVd`03000R
lb;c00/Rl`03000Nlakc00dNl`8002DO4a0002PO4`8001HNl`80014Rl`8000lVd`8000hZ/`8000l^
T`03000^Lbic00`^L`<0010bL`80018fD`8001Dj<`<0050n4`80018j<`03001oogoo00Uoo`03001o
ogoo00Ioo`007Woo00<007ooOol027oo00=Pl`00G?<00Ucc00D005dCGA=M4`0000AI<`05001EDeEC
EE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c
00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC0P001S9c00<002ic
;W<01Bic00<002jC;Y<01RjC00<002Zc:[<01RZc00<002KC9]<022KC00<002;c8_<02b;c00<001kc
7_<03Qkc0P00F1lC0`005Qkc0P004B;c0P003bKC0P003bZc00<002jC;Y<03BjC0P003bic00<0039c
<W<03S9c0P004CIC0`005CXc0P00EChC0P004CXc00<007ooOol027oo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool00f3c001Ll`02G?<01@00GA=M4edC000015Tc00D005ECEE=ED`0000AAL`03001=
Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000m
lcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00DfD`03000bLc9c00@bL`03000^
Lbic00D^L`03000^TbjC00H^T`03000Z/bZc00HZ/`03000VdbKC00PVd`03000Rlb;c00/Rl`03000N
lakc00lNl`<005<O4`8001LNl`80018Rl`03000VdbKC00hVd`03000Z/bZc00hZ/`03000^TbjC00d^
T`03000^Lbic00h^L`03000bLc9c00dbL`80014fD`8001Hj<`8005Tn4`8000lj<`]oo`03001oogoo
00Ioo`007Woo00<007ooOol027oo0V3c00D005ccG?=Ll`0000=M4`05001I<eTcFC<00004EE<00`00
DG=AL`02DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c
00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<0139c
00<002ic;W<01Ric00<002jC;Y<01BjC00<002Zc:[<01bZc00<002KC9]<022KC00<002;c8_<02b;c
0P004Qkc0P00CQlC0`005akc0P004R;c0P0042KC00<002Zc:[<03BZc0P003RjC0P003bic0P003S9c
0P004CIC0P005SXc0P009chC50008ShC0P003CXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08
Ool2H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=
L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc008m
l`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00D^
L`03000^TbjC00H^T`03000Z/bZc00LZ/`03000VdbKC00PVd`8000dRl`03000Nlakc014Nl`<004TO
4`8001PNl`80018Rl`80010Vd`8000lZ/`03000^TbjC00d^T`03000^Lbic00h^L`03000bLc9c00`b
L`80018fD`03000j<cXc01@j<`8001hn4`/001@ml`H001hn4`8000/j<`]oo`03001oogoo00Ioo`00
7Woo00<007ooOol027oo0f3c00D005ccG?=Ll`0000=M4`05001I<eTcFC<00004EE<00`00DG=AL`02
DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc
?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<01C9c00<002ic
;W<01Bic00<002jC;Y<01RjC00<002Zc:[<01bZc00<002KC9]<02BKC0P0032;c0P0051kc0P00@alC
10005akc0`004R;c0P0042KC0P003bZc0P003RjC0P003bic0P003S9c00<003IC=U<043IC0P0053Xc
0`006chC1@009Cgc1@006chC0P002CXc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3H?<0
1@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=
TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc008ml`03000n
4chC00@n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00D^L`03000^
TbjC00H^T`03000Z/bZc00LZ/`03000VdbKC00XVd`03000Rlb;c00/Rl`8001@Nl`@003/O4`@001TN
l`8001<Rl`80010Vd`8000lZ/`8000h^T`8000l^L`8000lbL`03000fDcIC00lfD`8001<j<`<001Xn
4`@002lml`H001Ln4`8000Lj<`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00@0063cH?<0
00=Ll`05001M4edCGA<00004FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC
00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<00chC
00<003Xc>S<013Xc00<003IC=U<013IC00<0039c<W<01C9c00<002ic;W<012ic00<002jC;Y<01bjC
00<002Zc:[<01bZc00<002KC9]<02RKC00<002;c8_<032;c00<001kc7_<05Akc1000=1lC0`0071kc
00<002;c8_<04R;c00<002KC9]<03bKC00<002Zc:[<03RZc00<002jC;Y<03BjC00<002ic;W<03Bic
0P00439c00<003IC=U<03cIC00<003Xc>S<04CXc0P006chC0P00>Cgc0`005ShC0P001CXc2goo00<0
07ooOol01Woo000NOol00`00Oomoo`08Ool01@00H?=Plf3c00000ecc00D005dCGA=M4`0000AI<`05
001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02
AM<00`00@O=1l`03@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`04
=U<00`00<W<bL`05<W<00`00;W<^L`05;W<00`00;Y<^T`07;Y<00`00:[<Z/`07:[<00`009]<Vd`0:
9]<00`008_<Rl`0<8_<2000I7_<3000]7a<4000M7_<2000D8_<00`009]<Vd`0>9]<2000?:[<2000@
;Y<00`00;W<^L`0<;W<00`00<W<bL`0><W<2000@=U<2000A>S<3000I?Q<4000n?O<2000F?Q<00`00
>S<j<`02>S<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001Plf3cH?<00003G?<01@00
GA=M4edC000015Tc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc
0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc
00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00D^L`03000^TbjC00L^T`03000Z/bZc
00LZ/`03000VdbKC00XVd`8000hRl`8001XNl`@002@O4`D001hNl`<001@Rl`80010Vd`03000Z/bZc
00dZ/`80010^T`8000d^L`80010bL`03000fDcIC00hfD`80014j<`8001Ln4`D004@ml`<001@n4`04
000j<cXc>S<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03I=<0063c009Pl`04001Llecc
0004GA<01@00FC=I<eTc000015EC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099
/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00<j
<`03000fDcIC00DfD`03000bLc9c00DbL`03000^Lbic00@^L`03000^TbjC00P^T`03000Z/bZc00LZ
/`03000VdbKC00/Vd`03000Rlb;c00dRl`03000Nlakc01/Nl`X0010O4`X0024Nl`8001DRl`80014V
d`03000Z/bZc00dZ/`03000^TbjC00h^T`8000d^L`80010bL`80010fD`03000j<cXc010j<`03000n
4chC01Dn4`8004`ml`<0018n4`800003>S=oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol0
27oo00=Td`00H?<00V3c00D005ccG?=Ll`0000=M4`03001I<eTc009I<`05001EDeECEE<00004DG<0
0`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<0
0`00?O<ml`03?O<00`00?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`05<W<0
0`00;W<^L`05;W<00`00;Y<^T`07;Y<00`00:[<Z/`08:[<00`009]<Vd`0;9]<00`008_<Rl`0=8_<2
000U7_<@000Y7_<2000E8_<2000A9]<2000?:[<00`00;Y<^T`0=;Y<2000>;W<00`00<W<bL`0><W<2
000@=U<2000A>S<2000F?Q<2001A?O<2000B?Q<00`00Oomoo`09Ool00`00Oomoo`06Ool001ioo`03
001oogoo00Qoo`03I=<0063c009Pl`05001LleccG?<00004GA<01@00FC=I<eTc000015EC00D0055c
DG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`030011ld7c0091l`03
000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03
000^Lbic00D^L`03000^TbjC00L^T`03000Z/bZc00PZ/`03000VdbKC00/Vd`03000Rlb;c00hRl`@0
05HNl`@001@Rl`<0018Vd`03000Z/bZc00hZ/`03000^TbjC00d^T`03000^Lbic00h^L`03000bLc9c
00dbL`03000fDcIC00hfD`80014j<`8001Hn4`8005Dml`80014n4`03001oogoo00Qoo`03001oogoo
00Ioo`007Woo00<007ooOol027oo00=Td`00H?<00V3c00<005ccG?<00Ucc00D005dCGA=M4`0000=I
<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099
/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00Dj
<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00D^L`8000P^T`03000Z/bZc00PZ/`03000V
dbKC00/Vd`03000Rlb;c014Rl`80058Nl`8001HRl`80018Vd`<000lZ/`8000h^T`8000l^L`8000hb
L`8000lfD`80014j<`8001@n4`@002Xml`X002Dml`<000hn4`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0VCC00D0063cH?=Pl`0000=Ll`03001M4edC009M4`05001I<eTcFC<00004EE<01@00
DG=ALe5c000014ec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00dGC00<0047c@O<00T7c
00<003gc?O<00cgc00<003hC?Q<013hC00<003Xc>S<013Xc00<003IC=U<013IC00<0039c<W<01S9c
00<002ic;W<01Ric00<002jC;Y<01RjC00<002Zc:[<022Zc00<002KC9]<02bKC0P004b;c0P00C1kc
10005R;c0P004RKC0P004BZc00<002jC;Y<032jC0P003bic0P003S9c0P003cIC0P004CXc0P0053hC
0P0093gc2P002T7c2`007Cgc0P0033hC2goo00<007ooOol01Woo000NOol30008Ool2I=<01@00H?=P
lf3c00000ecc00<005dCGA<00UdC00D005TcFC=I<`0000AED`03001ALe5c009AL`03001=Ldec009=
L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00<m
l`03000n4chC00@n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00L^
L`03000^TbjC00H^T`03000Z/bZc00PZ/`03000VdbKC00`Vd`03000Rlb;c018Rl`<004DNl`@001PR
l`80018Vd`80014Z/`8000h^T`03000^Lbic00h^L`03000bLc9c00dbL`03000fDcIC00dfD`80018j
<`03000n4chC018n4`80020ml`H001m1l`D001Xml`8000Xn4`Uoo`<000Qoo`007Woo00<007ooOol0
27oo0fCC00D0063cH?=Pl`0000=Ll`05001M4edCGA<00004FC<00`00EE=ED`02EE<01@00DG=ALe5c
000014ec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00dGC00<0047c@O<00T7c00<003gc
?O<013gc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<01CIC00<0039c<W<01C9c00<002ic
;W<01Ric00<002jC;Y<01bjC00<002Zc:[<022Zc0P003BKC0P005B;c0`00@1kc0P006R;c0P004RKC
0P003bZc00@002Zc000000h^T`8000l^L`8000hbL`8000lfD`03000j<cXc010j<`8001<n4`8001hm
l`@002Y1l`@001Pml`03000n4chC00Ln4`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0fCC
00D0063cH?=Pl`0000=Ll`03001M4edC009M4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`03AM<00`00@O=1l`02@O<20005
?O<00`00?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00<W<bL`05<W<00`00;W<^L`06
;W<00`00;Y<^T`07;Y<00`00:[<Z/`09:[<00`009]<Vd`0<9]<2000F8_<2000j7_<4000J8_<2000C
9]<00`00:[<Z/`0?:[<2000?;Y<00`00;W<^L`0=;W<2000><W<2000@=U<00`00>S<j<`0>>S<3000B
?Q<3000J?O<6000b@O<2000G?O<20007?Q<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`04
001TdfCC0003H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00D0055cDG=A
L`0000A=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`030011ld7c00A1l`03000m
lcgc00<ml`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00DbL`03000^
Lbic00H^L`03000^TbjC00L^T`8000XZ/`8000hVd`8001HRl`D002lNl`H001/Rl`<001<Vd`80010Z
/`80010^T`03000^Lbic00d^L`03000bLc9c00`bL`80010fD`8000lj<`8001<n4`8001Tml`@003Y1
l`@001Dml`8000Dn4`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D006CCI==Td`0000=P
l`05001LleccG?<00004GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec00<0
04fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<00cgc00<0
03hC?Q<00chC00<003Xc>S<01CXc00<003IC=U<01CIC00<0039c<W<01C9c00<002ic;W<01Ric00<0
02jC;Y<022jC00<002Zc:[<02BZc0P003RKC0P006B;c1P0091kc1@007R;c0`0052KC0P0042Zc0P00
42jC0P003Ric0P003S9c00<003IC=U<03SIC0P003cXc0P004chC0P0063gc0`00@T7c10004cgc00<0
03hC?Q<00ShC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00I==TdfCC00000f3c00<0
05ccG?<00Ucc00D005dCGA=M4`0000AI<`05001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==
T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n
4`03?Q<00`00>S<j<`05>S<00`00=U<fD`04=U<00`00<W<bL`06<W<00`00;W<^L`06;W<00`00;Y<^
T`08;Y<00`00:[<Z/`0::[<2000>9]<2000M8_<5000J7_<5000P8_<3000E9]<2000A:[<00`00;Y<^
T`0>;Y<2000>;W<2000><W<2000?=U<2000@>S<00`00?Q<n4`0A?Q<2000F?O<40019@O<3000A?O<2
0002?Q<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03J;<006CC009Td`05001Plf3cH?<0
0003G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00D004ecCG==L`0000A=
T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00=1l`03000mlcgc00<ml`03000n4chC00<n
4`03000j<cXc00Dj<`03000fDcIC00DfD`03000bLc9c00HbL`03000^Lbic00H^L`03000^TbjC00P^
T`03000Z/bZc00/Z/`03000VdbKC00dVd`80020RlaX002<Rl`8001HVd`80014Z/`80010^T`03000^
Lbic00`^L`8000lbL`03000fDcIC00dfD`80010j<`80018n4`8001Dml`<00511l`80014ml`8000]o
o`03001oogoo00Ioo`007Woo00<007ooOol027oo00=X/`00I=<00VCC00D0063cH?=Pl`0000ALl`05
001M4edCGA<00004FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC00<004Vc
BK<00dVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<00chC0P001SXc
00<003IC=U<01CIC00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<022jC00<002Zc:[<02bZc
00<002KC9]<03RKC0P00F2;c0`005BKC0`004BZc0P0042jC0P003Ric00<0039c<W<03C9c0P003cIC
00<003Xc>S<03SXc0P004ChC0`005Cgc0P00ED7c0`0043gc00<007ooOol027oo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool00fRc001Td`02I=<00`00H?=Pl`02H?<01@00G?=Llecc00000edC00<0
05TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<0
04VcBK<00dVc00<004GCAM<00dGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<01ChC00<0
03Xc>S<013Xc00<003IC=U<01CIC00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<022jC00<0
02Zc:[<02bZc00<002KC9]<03bKC0`00Db;c0P005RKC0P004RZc0P0042jC0P003Ric0P003c9c00<0
03IC=U<03CIC0P003cXc0P004ChC0P0053gc1000FT7c0P003Sgc2goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2J;<01@00I==TdfCC00000f3c00<005ccG?<00Ucc00D005dCGA=M4`0000AI<`05
001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03
AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`05?Q<00`00>S<j<`03>S<00`00=U<fD`06
=U<00`00<W<bL`06<W<00`00;W<^L`06;W<00`00;Y<^T`08;Y<00`00:[<Z/`0;:[<2000B9]<2001=
8_<4000F9]<2000B:[<2000A;Y<00`00;W<^L`0<;W<2000?<W<2000>=U<2000?>S<2000A?Q<2000D
?O<2000T@O<O000M@O<2000<?O<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`9X/`05001T
dfCCI=<00004H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<0
0U5c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0
0T7c00<003gc?O<013gc00<003hC?Q<013hC00<003Xc>S<013Xc00<003IC=U<01CIC00<0039c<W<0
1c9c00<002ic;W<01Ric00<002jC;Y<022jC0P003BZc0P004RKC1000AB;c100062KC0P004RZc0P00
4BjC0P003Bic0P00439c00<003IC=U<03CIC00<003Xc>S<03CXc0P004ChC0P004cgc0`00847c1P00
7dGC1@006T7c0P002Sgc2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3J;<01@00I==TdfCC
00000f3c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`05001EDeECEE<00004DG<00`00CG==L`02
CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`04
?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00<W<bL`07<W<00`00;W<^L`06
;W<2000:;Y<2000=:[<2000D9]<4000o8_<2000J9]<2000B:[<2000A;Y<2000=;W<2000@<W<2000>
=U<2000?>S<00`00?Q<n4`0??Q<2000C?O<2000N@O<5000ZAM<5000G@O<20008?O<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`=X/`05001TdfCCI=<00004H?<01@00G?=Llecc00000edC00<0
05TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<0
04VcBK<00dVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<013gc00<003hC?Q<013hC00<0
03Xc>S<013Xc00<003IC=U<01CIC00<0039c<W<01c9c00<002ic;W<01bic00<002jC;Y<02BjC00<0
02Zc:[<032Zc0P005RKC0P00>2;c1@006BKC0`004RZc0P0042jC0`003Ric00<0039c<W<03S9c0P00
3SIC0P003cXc0P0043hC0P004cgc0P006T7c1P00=4GC10005D7c0P001Sgc2goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool01000J;=X/`0016CC00D0063cH?=Pl`0000=Ll`03001M4edC009M4`03
001I<eTc009I<`05001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`04
BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`05
>S<00`00=U<fD`05=U<00`00<W<bL`07<W<00`00;W<^L`07;W<00`00;Y<^T`09;Y<00`00:[<Z/`0=
:[<2000F9]<4000_8_<5000L9]<2000D:[<00`00;Y<^T`0?;Y<00`00;W<^L`0=;W<2000@<W<00`00
=U<fD`0<=U<2000?>S<2000@?Q<2000C?O<2000I@O<3000nAM<2000E@O<00`00?O<ml`03?O<;Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001X/fRcJ;<00003I=<00`00H?=Pl`02H?<01@00
G?=Llecc00000edC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec
00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<00cgc
00<003hC?Q<013hC00<003Xc>S<01CXc00<003IC=U<01CIC00<0039c<W<01c9c00<002ic;W<01bic
00<002jC;Y<02BjC0P003bZc0P0062KC1P0092;c1@007RKC0`0052Zc0P0042jC0P003Ric0P00439c
0P003CIC0P0043Xc00<003hC?Q<03ShC0P004cgc0P00647c0`00@dGC0`004d7c00<003gc?O<00Sgc
2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01FbC001X/fRc000016CC00D0063cH?=Pl`00
00=Ll`03001M4edC009M4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c009AL`05001=Ldec
CG<00005CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00
?Q<n4`05?Q<00`00>S<j<`04>S<00`00=U<fD`06=U<00`00<W<bL`07<W<00`00;W<^L`07;W<00`00
;Y<^T`0:;Y<2000?:[<2000L9]<:000@8_<:000P9]<3000E:[<2000@;Y<2000?;W<00`00<W<bL`0>
<W<2000==U<2000@>S<2000??Q<2000B?O<3000F@O<40019AM<3000A@O<20002?O<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`03K9<006Rc009X/`05001TdfCCI=<00004H?<01@00G?=Llecc
00000edC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fC
CI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<00cgc00<003hC
?Q<01ChC00<003Xc>S<013Xc00<003IC=U<01SIC00<0039c<W<01c9c00<002ic;W<01bic0P0032jC
00<002Zc:[<03RZc0`008bKC4000:2KC0P005BZc0`0042jC0P003bic0P003c9c0P003SIC00<003Xc
>S<03SXc0P003chC0P004Sgc0P005D7c1000D4GC0`00447c0P002goo00<007ooOol01Woo000NOol0
0`00Oomoo`08Ool2K9<01@00J;=X/fRc00000fCC00D0063cH?=Pl`0000=Ll`03001M4edC009M4`03
001I<eTc009I<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`03
0019/dVc00=9/`030015ddGC00=5d`030011ld7c00A1l`03000mlcgc00<ml`03000n4chC00Dn4`03
000j<cXc00@j<`8000LfD`03000bLc9c00LbL`03000^Lbic00P^L`03000^TbjC00X^T`80014Z/`<0
05<Vd`D001@Z/`<0014^T`8000l^L`8000lbL`8000hfD`8000hj<`<000ln4`80014ml`<001A1l`<0
05M5d`<000m1l`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo0VbC00D006Rc
J;=X/`0000=Td`05001Plf3cH?<00003G?<00`00GA=M4`02GA<00`00FC=I<`02FC<00`00EE=ED`02
EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03
AM<00`00@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<00`00=U<fD`05
=U<00`00<W<bL`07<W<00`00;W<^L`08;W<00`00;Y<^T`0;;Y<2000B:[<2001>9]<3000G:[<2000B
;Y<2000@;W<00`00<W<bL`0=<W<2000>=U<2000?>S<00`00?Q<n4`0>?Q<2000A?O<2000E@O<2000W
AM<D000RAM<2000=@O<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`=/T`05001X/fRcJ;<0
0002I=<00`00H?=Pl`02H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0
055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0
047c@O<00d7c00<003gc?O<013gc00<003hC?Q<01ChC00<003Xc>S<01CXc00<003IC=U<01SIC00<0
039c<W<01c9c00<002ic;W<022ic0P003BjC00<002Zc:[<04BZc0`00BBKC0P0062Zc0P004RjC0P00
42ic0P003c9c00<003IC=U<03CIC00<003Xc>S<03SXc00<003hC?Q<03ChC0P004Cgc0P005D7c0P00
7TGC2`0054Vc1P007TGC0P002d7c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3K9<01@00
J;=X/fRc00000fCC00D0063cH?=Pl`0000=Ll`03001M4edC009M4`03001I<eTc009I<`03001EDeEC
009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC
00=5d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00Dn4`03000j<cXc00Dj<`03000fDcIC
00HfD`03000bLc9c00LbL`03000^Lbic00T^L`03000^TbjC00/^T`8001@Z/`8004<Vd`@001LZ/`<0
01<^T`03000^Lbic00h^L`8000lbL`8000hfD`80010j<`03000n4chC00`n4`80014ml`8001A1l`<0
01]5d`D002E9/`D001]5d`8000U1l`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0fbC00D0
06RcJ;=X/`0000=Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00<0
055cDG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00TVc00<004GCAM<014GC00<0
047c@O<00T7c00<003gc?O<01Cgc00<003hC?Q<01ChC00<003Xc>S<01CXc00<003IC=U<01SIC00<0
039c<W<01c9c00<002ic;W<02Bic0P003BjC0P0052Zc1000>RKC1@006BZc0P0052jC0P003bic0P00
3c9c0P003SIC0P0043Xc0P003ShC00<003gc?O<03cgc0P00547c0P006TGC1000;dVc1@0064GC0P00
1d7c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00K9=/TfbC00000fRc00D006CCI==T
d`0000=Pl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=ED`02EE<00`00DG=AL`02DG<0
0`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<0
0`00?O<ml`04?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<00`00=U<fD`07=U<00`00<W<bL`07<W<0
0`00;W<^L`0:;W<00`00;Y<^T`0<;Y<00`00:[<Z/`0E:[<3000c9]<4000L:[<2000D;Y<2000@;W<0
0`00<W<bL`0><W<00`00=U<fD`0==U<00`00>S<j<`0>>S<2000>?Q<2000A?O<00`00@O=1l`0B@O<2
000JAM<2000hBK<4000FAM<20005@O<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001/
TfbCK9<00003J;<01@00I==TdfCC00000f3c00<005ccG?<00Ucc00<005dCGA<00UdC00@005TcFC=I
<`8000=ED`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc0099/`030015
ddGC00A5d`030011ld7c00=1l`03000mlcgc00@ml`8000Hn4`03000j<cXc00Dj<`03000fDcIC00Lf
D`03000bLc9c00LbL`03000^Lbic00X^L`03000^TbjC00`^T`<001LZ/`P002@Vd`L001dZ/`<001<^
T`<0010^L`80010bL`03000fDcIC00`fD`8000lj<`8000hn4`80010ml`<00191l`<001M5d`D003i9
/`D001=5d`030011ld7c0091l`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00D006bCK9=/
T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<01@00GA=M4edC000015Tc00<005ECEE<0
0UEC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<014fC00<004VcBK<00TVc00<004GCAM<0
14GC00<0047c@O<00d7c00<003gc?O<01Cgc00<003hC?Q<013hC00<003Xc>S<01CXc00<003IC=U<0
1cIC00<0039c<W<01c9c00<002ic;W<02Ric0P003bjC0P007BZc1@006RKC1@0082Zc100052jC0P00
4Bic0P00439c0P003CIC0P003cXc0P003ShC0P0043gc0P004D7c10005DGC1@00B4Vc0`004DGC0P00
0T7c2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00fac001/T`02K9<01@00J;=X/fRc0000
0fCC00D0063cH?=Pl`0000ALl`03001M4edC009M4`03001I<eTc009I<`05001EDeECEE<00005DG<0
0`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<0
0`00?O<ml`06?O<00`00?Q<n4`04?Q<00`00>S<j<`05>S<00`00=U<fD`07=U<00`00<W<bL`07<W<2
000<;W<2000?;Y<2000P:[<J000S:[<2000E;Y<3000A;W<2000@<W<2000==U<2000?>S<2000>?Q<2
000@?O<2000A@O<2000EAM<4001@BK<3000@AM<2000;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`03K7<006bC009/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00D005dCGA=M4`00
00AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC00A=T`030019/dVc
0099/`030015ddGC00A5d`030011ld7c00=1l`03000mlcgc00Dml`03000n4chC00Dn4`03000j<cXc
00Dj<`03000fDcIC00LfD`03000bLc9c00PbL`8000`^L`03000^TbjC00h^T`8005PZ/`<001D^T`80
018^L`80010bL`8000hfD`03000j<cXc00hj<`03000n4chC00dn4`03000mlcgc00hml`800151l`80
01E5d`8005M9/`800115d`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo0Vac
00D006bCK9=/T`0000=X/`05001TdfCCI=<00003H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00
FC=I<`02FC<01@00EE=EDeEC00001E5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00dVc
00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<01Cgc00<003hC?Q<01ChC00<003Xc>S<01CXc
00<003IC=U<01cIC00<0039c<W<02C9c00<002ic;W<02Ric0P0042jC0`00DbZc0P005RjC0P004Ric
0P00439c0P003SIC0P003cXc0P003ShC0P003cgc0P004D7c0P005DGC0P00:dVc2P009TVc0P003TGC
2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2K7<01@00K9=/TfbC00000fRc00<006CCI=<0
0VCC00D0063cH?=Pl`0000ALl`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`03DG<0
0`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`04@O<0
0`00?O<ml`05?O<00`00?Q<n4`05?Q<00`00>S<j<`05>S<20008=U<2000:<W<00`00;W<^L`0;;W<2
000A;Y<5001::[<4000E;Y<3000B;W<2000?<W<3000>=U<2000>>S<3000>?Q<2000??O<2000@@O<3
000DAM<3000SBK<:000:CI<;000MBK<3000;AM<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`9/L`03001/TfbC009/T`05001X/fRcJ;<00003I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC
00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<00dfC
00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<01Cgc00<003hC?Q<01ChC
00<003Xc>S<01SXc00<003IC=U<01cIC00<0039c<W<0239c0P003Bic0P0052jC0P00@bZc1@005RjC
0`004bic0P003c9c0P003cIC0P003SXc0P0043hC00<003gc?O<03Cgc0P00447c0P0054GC0`006dVc
2`007dfC1@006dVc0P002DGC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool3K7<01@00K9=/
TfbC00000fRc00D006CCI==Td`0000APl`03001Llecc009Ll`05001M4edCGA<00004FC<00`00EE=E
D`02EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5
d`03AM<00`00@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`04?Q<00`00>S<j<`07>S<00`00=U<f
D`07=U<2000:<W<2000=;W<2000D;Y<4000j:[<5000I;Y<2000D;W<2000?<W<2000?=U<2000>>S<2
000@?Q<2000>?O<2000@@O<2000DAM<2000JBK<4000_CI<5000HBK<20007AM<;Ool00`00Oomoo`06
Ool001ioo`03001oogoo00Qoo`04001/Lfac0004K9<01@00J;=X/fRc00000fCC00<0063cH?<00V3c
00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec
00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00E1l`03000mlcgc
00@ml`03000n4chC00Dn4`03000j<cXc00Lj<`03000fDcIC00PfD`03000bLc9c00TbL`03000^Lbic
00`^L`8001H^T`D002lZ/`H001/^T`<001@^L`8000lbL`80010fD`03000j<cXc00dj<`03000n4chC
00hn4`8000hml`800111l`8001=5d`<001Y9/`8003Q=T`D001E9/`8000E5d`]oo`03001oogoo00Io
o`007Woo0`0027oo00D006acK7=/L`0000=/T`05001X/fRcJ;<00003I=<00`00H?=Pl`02H?<00`00
G?=Ll`02G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC00<0055cDG<00e5c00<004ecCG<00dec
00<004fCCI<00TfC00<004VcBK<014Vc00<004GCAM<00dGC00<0047c@O<01D7c00<003gc?O<013gc
00<003hC?Q<01ChC00<003Xc>S<01cXc00<003IC=U<023IC00<0039c<W<02C9c0P003Ric0P006BjC
1P0092Zc1@007bjC0P005Bic0P003c9c0P0043IC0P003SXc0P003chC0P003Sgc0P00447c0P004TGC
0`006DVc1000?dfC10004dVc00<004GCAM<00TGC2Goo0`0027oo000NOol00`00Oomoo`08Ool01@00
K7=/Lfac000016bC00D006RcJ;=X/`0000=Td`03001Plf3c009Pl`05001LleccG?<00004GA<00`00
FC=I<`02FC<00`00EE=ED`02EE<00`00DG=AL`02DG<20004CG<00`00CI==T`03CI<00`00BK=9/`04
BK<00`00AM=5d`03AM<00`00@O=1l`05@O<00`00?O<ml`04?O<00`00?Q<n4`05?Q<20008>S<00`00
=U<fD`08=U<00`00<W<bL`0:<W<00`00;W<^L`0=;W<3000L;Y<5000J:[<5000P;Y<4000D;W<3000?
<W<2000@=U<2000>>S<2000>?Q<3000>?O<2000@@O<2000AAM<3000FBK<60017CI<3000ABK<20002
AM<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03L7<006ac009/L`05001/TfbCK9<00003
J;<00`00I==Td`02I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005EC
EE<00UEC00<0055cDG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00dVc00<004GC
AM<014GC00<0047c@O<01D7c00<003gc?O<013gc00<003hC?Q<01ShC00<003Xc>S<01SXc00<003IC
=U<023IC00<0039c<W<02S9c0P0042ic0`007RjC6P008bjC0P005Bic0`00439c0P0043IC0P003SXc
0P003ShC0P003cgc0P00447c0P004DGC0P005DVc1000D4fC0`0044Vc0P002goo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool00g1c001/L`02K7<00`00K9=/T`02K9<01@00J;=X/fRc00000fCC00<0
063cH?<00V3c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009A
L`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00A5d`030011ld7c00E1
l`03000mlcgc00@ml`03000n4chC00Hn4`03000j<cXc00Hj<`8000TfD`8000`bL`80014^L`<005@^
T`@001D^L`80014bL`80010fD`8000hj<`8000hn4`80010ml`030011ld7c00i1l`800115d`<001E9
/`8005M=T`800119/`03001oogoo00Qoo`03001oogoo00Ioo`007Woo00<007ooOol027oo0W1c00D0
06acK7=/L`0000=/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<0
05TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<0
04VcBK<00dVc00<004GCAM<01DGC00<0047c@O<0147c00<003gc?O<01Cgc00<003hC?Q<01ShC00<0
03Xc>S<01cXc00<003IC=U<023IC00<0039c<W<02c9c0P004Ric0P00CRjC10005Ric0`004C9c0P00
43IC0P003SXc0P003ShC0P0043gc0P003T7c0`0044GC0P005DVc0`009TfC50008DfC0`003DVc2goo
00<007ooOol01Woo000NOol00`00Oomoo`08Ool2L7<01@00K7=/Lfac00000fbC00<006RcJ;<00VRc
00D006CCI==Td`0000APl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=ED`03EE<00`00
DG=AL`02DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`05AM<00`00
@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`06?Q<00`00>S<j<`07>S<00`00=U<fD`08=U<2000=
<W<00`00;W<^L`0A;W<30019;Y<2000H;W<2000B<W<2000@=U<2000?>S<00`00?Q<n4`0=?Q<00`00
?O<ml`0>?O<2000>@O<2000AAM<2000EBK<2000NCI<;000DCG<6000NCI<2000;BK<;Ool00`00Oomo
o`06Ool001ioo`03001oogoo00Qoo`=`L`05001/LfacK7<00003K9<01@00J;=X/fRc000016CC00D0
063cH?=Pl`0000ALl`03001M4edC009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009A
L`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`8000I5d`030011ld7c00A1l`03000m
lcgc00Dml`03000n4chC00Hn4`03000j<cXc00Lj<`03000fDcIC00TfD`03000bLc9c00/bL`8001@^
L`<0044^T`D001L^L`<0018bL`80010fD`8000lj<`8000hn4`8000hml`<000i1l`800115d`<001=9
/`@001]=T`D002E=L`T001M=T`8000U9/`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0g1c
00D006acK7=/L`0000A/T`05001X/fRcJ;<00003I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00
GA=M4`02GA<00`00FC=I<`02FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00
CI==T`04CI<00`00BK=9/`04BK<00`00AM=5d`04AM<00`00@O=1l`04@O<00`00?O<ml`05?O<00`00
?Q<n4`06?Q<00`00>S<j<`07>S<00`00=U<fD`09=U<2000=<W<2000E;W<3000j;Y<4000J;W<2000C
<W<2000?=U<3000?>S<2000>?Q<2000>?O<2000?@O<2000@AM<2000DBK<2000JCI<5000cCG<2000G
CI<20007BK<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001`Lg1cL7<00003K7<01@00
K9=/TfbC00000fRc00<006CCI=<00VCC00<0063cH?<00V3c00D005ccG?=Ll`0000AM4`03001I<eTc
009I<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC00A=T`030019/dVc
00=9/`030015ddGC00A5d`030011ld7c00E1l`03000mlcgc00Dml`03000n4chC00Hn4`8000Pj<`80
00/fD`03000bLc9c00`bL`8001H^L`D002l^T`H001/^L`<0018bL`<000lfD`80010j<`8000ln4`03
000mlcgc00`ml`8000m1l`800115d`8001=9/`<001M=T`D003Y=L`@001E=T`8000E9/`]oo`03001o
ogoo00Ioo`007Woo00<007ooOol027oo00D0071cL7=`L`0000=/L`03001/TfbC009/T`05001X/fRc
J;<00003I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`02FC<00`00
EE=ED`02EE<00`00DG=AL`04DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00
AM=5d`04AM<00`00@O=1l`05@O<00`00?O<ml`05?O<00`00?Q<n4`07?Q<00`00>S<j<`07>S<00`00
=U<fD`09=U<2000><W<2000I;W<6000T;Y<5000N;W<3000B<W<3000@=U<2000@>S<2000??Q<2000=
?O<2000?@O<2000@AM<2000@BK<5000ECI<50013CG<4000CCI<20003BK<;Ool00`00Oomoo`06Ool0
01ioo`03001oogoo00Qoo`03M5<0071c009`L`05001/LfacK7<00003K9<01@00J;=X/fRc000016CC
00<0063cH?<00V3c00D005ccG?=Ll`0000AM4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c
00=AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00E5d`030011ld7c
00E1l`03000mlcgc00Dml`8000Pn4`03000j<cXc00Lj<`8000/fD`8000hbL`@001/^L`l000H^T`l0
01l^L`@001<bL`80014fD`8000lj<`<000ln4`8000dml`8000m1l`800115d`800119/`8001Q=T`80
04a=L`<0019=T`800003BK=oogoo00Uoo`03001oogoo00Ioo`007Woo00<007ooOol027oo00=dD`00
L7<00W1c00D006acK7=/L`0000A/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dC
GA<00UdC00<005TcFC<00eTc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<00dec00<004fC
CI<00dfC00<004VcBK<00dVc0P001TGC00<0047c@O<01D7c00<003gc?O<01Sgc00<003hC?Q<01ShC
00<003Xc>S<023Xc0P002cIC0P00439c0`009bic1P00:Ric10005C9c0P004CIC0P003cXc0P003chC
0`003Cgc0P003d7c0P003dGC0`0044Vc0P005DfC1@00DDec1@003dfC0P002Woo00<007ooOol01Woo
000NOol00`00Oomoo`08Ool00gAC001`L`02L7<00`00K7=/L`02K7<01@00K9=/TfbC00000fRc00<0
06CCI=<00VCC00D0063cH?=Pl`0000ALl`03001M4edC00=M4`03001I<eTc009I<`03001EDeEC00=E
D`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc00E9/`030015ddGC00A5
d`030011ld7c00A1l`03000mlcgc00Lml`03000n4chC00Hn4`03000j<cXc00Pj<`03000fDcIC00/f
D`03000bLc9c010bL`8005<^L`8001LbL`80014fD`80010j<`03000n4chC00dn4`8000lml`030011
ld7c00e1l`8000m5d`800199/`8001==T`<005]=L`8000i=T`]oo`03001oogoo00Ioo`007Woo00<0
07ooOol027oo0WAC00D0071cL7=`L`0000=/L`03001/TfbC009/T`05001X/fRcJ;<00004I=<01@00
H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00UEC00<0055cDG<00e5c
00<004ecCG<00dec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<01D7c
00<003gc?O<01cgc00<003hC?Q<01ShC00<003Xc>S<023Xc00<003IC=U<02cIC0P004S9c0P00CBic
10005S9c0`004CIC0P0043Xc0P003ShC0P003cgc0P003T7c0P003dGC0P004TVc0P004dfC0P0094ec
7`007Dec0P0034fC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool2M5<01@00L7=`Lg1c0000
16ac00D006bCK9=/T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<00`00GA=M4`03GA<0
0`00FC=I<`02FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`04CI<0
0`00BK=9/`04BK<00`00AM=5d`04AM<00`00@O=1l`05@O<00`00?O<ml`07?O<00`00?Q<n4`06?Q<0
0`00>S<j<`08>S<2000==U<2000B<W<40014;W<5000F<W<4000B=U<2000?>S<3000>?Q<2000??O<2
000?@O<00`00AM=5d`0=AM<2000ABK<3000BCI<3000PCG<6000ODG<5000JCG<2000:CI<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`=dD`05001`Lg1cL7<00003K7<00`00K9=/T`02K9<01@00
J;=X/fRc000016CC00D0063cH?=Pl`0000ALl`03001M4edC00=M4`03001I<eTc009I<`03001EDeEC
00=ED`03001ALe5c009AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00E9/`030015ddGC
00A5d`030011ld7c00E1l`03000mlcgc00Lml`03000n4chC00Hn4`03000j<cXc00Tj<`8000dfD`80
01@bL`D003X^L`D001TbL`8001@fD`8000lj<`8000ln4`8000lml`8000m1l`8000m5d`030019/dVc
00m9/`8001==T`8001Y=L`T002YAL`D001M=L`8000Q=T`]oo`03001oogoo00Ioo`007Woo00<007oo
Ool027oo00@007ACM5<000=`L`03001/Lfac009/L`05001/TfbCK9<00003J;<00`00I==Td`02I=<0
1@00H?=Plf3c000015cc00<005dCGA<00edC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0e5c00<004ecCG<00dec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<01DGC00<0047c@O<0
1D7c0P0023gc00<003hC?Q<01ShC0P002cXc0P003CIC0P005c9c1000<Ric1000739c0P0053IC0P00
43Xc00<003hC?Q<03ShC00<003gc?O<03Cgc0P003d7c0P003dGC0P0044Vc0P004TfC0`006Tec0P00
>55c10005Dec0P001TfC2goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool01@00M5=dDgAC0000
0g1c00D006acK7=/L`0000A/T`05001X/fRcJ;<00004I=<01000H?=Plf3c0P000ecc00<005dCGA<0
0edC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<00U5c00<004ecCG<014ec00<004fCCI<0
0dfC00<004VcBK<014Vc0P001TGC00<0047c@O<01D7c00<003gc?O<01cgc00<003hC?Q<01chC0P00
2cXc00<003IC=U<033IC0`00639c1`0092ic1`007C9c0`004cIC0`0043Xc0P0043hC00<003gc?O<0
33gc0P003T7c0`003TGC0`003dVc0`004DfC0`0064ec1@00?U5c1@004Tec0P0014fC2goo00<007oo
Ool01Woo000NOol00`00Oomoo`08Ool01@00M5=dDgAC00000g1c00<006acK7<00Vac00D006bCK9=/
T`0000AX/`03001TdfCC009Td`03001Plf3c009Pl`05001LleccG?<00004GA<00`00FC=I<`03FC<0
0`00EE=ED`03EE<00`00DG=AL`02DG<00`00CG==L`04CG<00`00CI==T`03CI<00`00BK=9/`05BK<0
0`00AM=5d`04AM<00`00@O=1l`05@O<20008?O<00`00?Q<n4`08?Q<00`00>S<j<`09>S<2000?=U<3
000L<W<:000@;W<:000P<W<4000D=U<2000@>S<3000@?Q<2000=?O<2000>@O<2000?AM<2000?BK<3
000ACI<3000FCG<50018DG<3000ACG<20002CI<;Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`03N3<007AC009dD`05001`Lg1cL7<00003K7<00`00K9=/T`02K9<01@00J;=X/fRc000016CC00<0
063cH?<00V3c00<005ccG?<00Ucc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00UEC00<0
055cDG<00e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<01DVc00<004GCAM<014GC00<0
047c@O<01T7c00<003gc?O<01Sgc00<003hC?Q<023hC0P002cXc0P0043IC0`008c9c4000:39c0P00
5CIC0`0043Xc0P0043hC0`003Cgc0P003T7c0P003dGC0P003TVc0`004TfC0P005Dec1000D55c0`00
44ec0P002goo00<007ooOol01Woo000NOol00`00Oomoo`08Ool00gPc001dD`02M5<01@00L7=`Lg1c
000016ac00D006bCK9=/T`0000AX/`03001TdfCC009Td`03001Plf3c009Pl`05001LleccG?<00004
GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`02DG<00`00CG==L`04CG<00`00CI==T`04
CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00@O=1l`06@O<20007?O<2000:?Q<00`00>S<j<`0:
>S<2000A=U<3001D<W<4000E=U<2000A>S<2000@?Q<2000>?O<2000>@O<2000?AM<2000>BK<2000B
CI<3000ECG<2001GDG<2000@CG<00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qo
o`9h<`05001dDgACM5<00003L7<01@00K7=/Lfac000016bC00D006RcJ;=X/`0000ATd`03001Plf3c
009Pl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c
00=AL`03001=Ldec00A=L`03001=TdfC00A=T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c
00M1l`03000mlcgc00Hml`03000n4chC00Pn4`03000j<cXc00/j<`80018fD`8004hbL`@001HfD`<0
014j<`80010n4`8000hml`8000i1l`8000m5d`8000i9/`80019=T`8001E=L`<0025ALah001aAL`<0
00e=L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo0WPc00D007ACM5=dD`0000A`L`05001/
LfacK7<00003K9<00`00J;=X/`02J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<0
0`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==L`04CG<0
0`00CI==T`04CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00@O=1l`06@O<00`00?O<ml`07?O<0
0`00?Q<n4`08?Q<2000=>S<2000B=U<40015<W<5000H=U<2000A>S<3000??Q<3000>?O<2000>@O<2
000?AM<2000?BK<00`00CI==T`0?CI<3000BCG<5000NDG<6000NEE<6000IDG<2000;CG<;Ool00`00
Oomoo`06Ool001ioo`03001oogoo00Qoo`=h<`05001dDgACM5<00003L7<00`00K7=/L`02K7<01000
K9=/T`001FRc00<006CCI=<00VCC00D0063cH?=Pl`0000ALl`03001M4edC009M4`03001I<eTc00AI
<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00A=L`03001=TdfC00A=T`030019/dVc00A9
/`030015ddGC00E5d`030011ld7c00I1l`03000mlcgc00Lml`8000Xn4`8000dj<`8001@fD`D003hb
L`8001TfD`@0014j<`8000ln4`<000lml`8000i1l`8000m5d`8000i9/`<0011=T`8001==L`8001iA
L`D002YED`D001IAL`<000Q=L`]oo`03001oogoo00Ioo`007Woo00<007ooOol027oo00@007PcN3<0
00=dD`03001`Lg1c009`L`05001/LfacK7<00003K9<00`00J;=X/`02J;<00`00I==Td`02I=<00`00
H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00
DG=AL`03DG<00`00CG==L`04CG<00`00CI==T`04CI<00`00BK=9/`04BK<00`00AM=5d`05AM<00`00
@O=1l`06@O<20009?O<2000:?Q<2000=>S<3000F=U<5000_<W<:000G=U<4000C>S<2000??Q<2000@
?O<2000>@O<2000?AM<2000>BK<2000@CI<3000BCG<3000KDG<5000dEE<5000DDG<20006CG<;Ool0
0`00Oomoo`06Ool001ioo`03001oogoo00Qoo`05001h<gPcN3<00003M5<01@00L7=`Lg1c000016ac
00D006bCK9=/T`0000AX/`03001TdfCC009Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00
FC=I<`04FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`05CI<00`00
BK=9/`04BK<00`00AM=5d`05AM<00`00@O=1l`07@O<00`00?O<ml`08?O<00`00?Q<n4`09?Q<2000>
>S<2000I=U<6000T<W<5000N=U<3000E>S<2000??Q<2000@?O<2000>@O<2000>AM<3000>BK<2000@
CI<2000BCG<3000IDG<5000nEE<4000BDG<30003CG<;Ool00`00Oomoo`06Ool001ioo`03001oogoo
00Qoo`05O1<007PcN3<00003M5<00`00L7=`L`02L7<01@00K7=/Lfac00000fbC00<006RcJ;<00VRc
00<006CCI=<00VCC00<0063cH?<00V3c00<005ccG?<00Ucc00<005dCGA<00UdC00<005TcFC<00eTc
00<005ECEE<00eEC00<0055cDG<0155c00<004ecCG<00dec00<004fCCI<01DfC00<004VcBK<014Vc
00<004GCAM<01DGC0P00247c00<003gc?O<023gc0P002chC0P003SXc0`0073IC2P00439c2P0083IC
0`005CXc0`003chC0P0043gc0P003T7c0P003TGC0P003dVc0P003dfC0`004Dec0`005U5c1P00AeEC
0`004U5c0P0000==LgooOol02Goo00<007ooOol01Woo000AOol01DT0000000000ML027oo00<007oo
Ool027oo00=l4`00N3<00WPc00D007ACM5=dD`0000=`L`03001/Lfac009/L`05001/TfbCK9<00004
J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<20004FC<00`00
EE=ED`03EE<00`00DG=AL`04DG<00`00CG==L`03CG<00`00CI==T`05CI<00`00BK=9/`04BK<00`00
AM=5d`06AM<00`00@O=1l`06@O<2000:?O<00`00?Q<n4`0:?Q<00`00>S<j<`0>>S<3000S=U<@000X
=U<2000E>S<3000@?Q<2000@?O<2000=@O<3000>AM<2000?BK<2000>CI<3000BCG<2000EDG<4001@
EE<3000ADG<2000:Ool00`00Oomoo`06Ool001=oo`03GL0RFgoo00Qoo`03001oogoo00Qoo`9l4`05
001h<gPcN3<00002M5<00`00L7=`L`02L7<01@00K7=/Lfac000016bC00<006RcJ;<00VRc00<006CC
I=<00VCC00<0063cH?<00V3c00<005ccG?<00Ucc00<005dCGA<00edC00<005TcFC<00UTc00<005EC
EE<00eEC00<0055cDG<00e5c00<004ecCG<014ec00<004fCCI<01DfC00<004VcBK<014Vc00<004GC
AM<01TGC0P00247c00<003gc?O<023gc00<003hC?Q<02ShC0P004CXc0`00E3IC10005CXc0P0043hC
0`0043gc0P003D7c0P003dGC0P003dVc0P003TfC0P004Tec0`005E5c0P00EeEC0P00455c2goo00<0
07ooOol01Woo000COol00eg08U]oo`08Ool00`00Oomoo`08Ool2O1<01@00N3=h<gPc00000gAC00D0
071cL7=`L`0000A/L`05001/TfbCK9<00004J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=L
l`03G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`02EE<00`00DG=AL`04DG<00`00CG==
L`04CG<00`00CI==T`04CI<00`00BK=9/`05BK<00`00AM=5d`07AM<00`00@O=1l`06@O<00`00?O<m
l`08?O<00`00?Q<n4`0;?Q<2000B>S<2001==U<5000F>S<3000@?Q<2000@?O<3000=@O<2000?AM<2
000?BK<2000>CI<2000BCG<2000DDG<4000QEE<O000KEE<3000=DG<;Ool00`00Oomoo`06Ool000eo
o`03OoLh000000D000030MMoogoo00Ioo`03001oogoo00Qoo`=l4`05001h<gPcN3<00003M5<01@00
L7=`Lg1c00000fac00<006bCK9<00VbC00<006RcJ;<00VRc00<006CCI=<00VCC00<0063cH?<00V3c
00<005ccG?<00Ucc00<005dCGA<00edC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0155c
00<004ecCG<014ec00<004fCCI<014fC00<004VcBK<01DVc0P0024GC00<0047c@O<01T7c00<003gc
?O<023gc0P003ChC0P004SXc1000A3IC1@006CXc0P0043hC0`003cgc0`003T7c0P003dGC0P003TVc
0`003TfC0P004Dec0`004U5c10007eEC1P007eTc1@006EEC0P002e5c2goo00<007ooOol01Woo000>
Ool00dT08U]oo`02Ool00eg08U]oo`08Ool00`00Oomoo`08Ool3O1<01@00N3=h<gPc00000gAC00D0
071cL7=`L`0000A/L`05001/TfbCK9<00004J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=L
l`03G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`04DG<00`00CG==
L`04CG<00`00CI==T`04CI<00`00BK=9/`06BK<00`00AM=5d`06AM<00`00@O=1l`06@O<2000:?O<2
000=?Q<2000D>S<5000j=U<5000J>S<4000@?Q<2000@?O<2000?@O<2000?AM<2000>BK<2000?CI<2
000ACG<2000CDG<2000IEE<:000ZFC<5000FEE<30008DG<;Ool00`00Oomoo`06Ool000ioo`03O^h0
3Uoo009oo`03GL0RFgoo00Qoo`D000Ioo`05001l4g`CO1<00003N3<01@00M5=dDgAC00000g1c00@0
06acK7=/L`8000=/T`03001X/fRc009X/`03001TdfCC009Td`03001Plf3c009Pl`03001Llecc00=L
l`03001M4edC009M4`03001I<eTc00=I<`03001EDeEC00=ED`03001ALe5c00AAL`03001=Ldec00A=
L`03001=TdfC00A=T`8000M9/`030015ddGC00I5d`030011ld7c00M1l`8000Xml`8000dn4`<001Hj
<`@0038fD`@001/j<`@0018n4`80010ml`8000m1l`8000i5d`<000i9/`8000i=T`<000m=L`@0015A
L`@001QED`<003UI<`D001AED`<000EAL`Moo`D000Qoo`003goo00I9029KOomooeg08U/9Ool00`00
Oomoo`3oOoooOolHOol00`00Oomoo`06Ool000moo`06O^h03UooOomM`29K2Goo00<007ooOol0ogoo
ogoo67oo00<007ooOol01Woo000@Ool01DT08U]ooeg08U/02Goo00<007ooOol0ogooogoo67oo00<0
07ooOol01Woo000@Ool01Gmb80Q;Oeg08U/02Goo00<007ooOol0ogooogoo67oo00<007ooOol01Woo
000AOol015g00MMM`29K2Goo00<007ooOol0ogooogoo67oo00<007ooOol01Woo000AOol017mb80PQ
029K2Goo00<007ooOol0ogooogoo67oo00<007ooOol01Woo000BOol00eg0000RF`09Ool00`00Oomo
o`08Ool00`00Oomoo`1TOol00`00Oomoo`1TOol00`00Oomoo`1TOol00`00Oomoo`1TOol00`00Oomo
o`1TOol00`00Oomoo`08Ool00`00Oomoo`06Ool001ioo`03001oogoo00Qoo`03001oogoo06Aoo`03
001oogoo06Aoo`03001oogoo06Aoo`03001oogoo06Aoo`03001oogoo06Aoo`03001oogoo00Qoo`03
001oogoo00Ioo`007Woo00<007ooOol027oo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol0
4Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol0
4Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol0
4Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol0
4Woo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol04Woo00<007ooOol04Woo00<007ooOol0
4Goo00<007ooOol04Woo00<007ooOol04Goo00<007ooOol027oo00<007ooOol01Woo000NOol00`00
Oomoo`08Ool00`00Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00
Oomoo`0BOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00
Oomoo`0BOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00
Oomoo`0BOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0BOol00`00
Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0BOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00
Oomoo`0AOol00`00Oomoo`08Ool00`00Oomoo`06Ool001ioool00?l001`000Qoo`00ogooogoo@Woo
003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00\
\>"],
  ImageRangeCache->{{{0, 575}, {575, 0}} -> {-0.1988, -4.6492, 0.00969055, \
0.0310098}}]
}, Open  ]],

Cell[BoxData[
    \(\(gra3 = 
        PlotGradientField[
          Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
          Frame \[Rule] True, PlotPoints \[Rule] 15, HeadCenter \[Rule] 0, 
          ScaleFactor \[Rule] \(( .6)\), HeadWidth \[Rule]  .3, 
          HeadLength \[Rule] 1/60, Compiled \[Rule] False, 
          DisplayFunction \[Rule] Identity];\)\)], "Input",
  FontFamily->"Comic Sans MS",
  FontSize->10,
  Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[gra2, graphs, 
        PlotRange \[Rule] {{x1min, x1max}, {x2min, x2max}}, \ 
        DisplayFunction \[Rule] $DisplayFunction, 
        TextStyle \[Rule] {FontFamily \[Rule] "\<Helvetica\>", 
            FontWeight -> "\<Plain\>", FontSize \[Rule] 10, 
            FontColor \[Rule] RGBColor[0.5, 0, 1]}, 
        PlotLabel -> "\<Plano de Fase y Campo Vectorial de la \
ecuaci\[OAcute]n \>", Frame \[Rule] True];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-2.77556e-017 0.4 0.5 0.125 [
[.2 -0.0125 -8.9375 -13.1875 ]
[.2 -0.0125 8.9375 0 ]
[.4 -0.0125 -4.78125 -13.1875 ]
[.4 -0.0125 4.78125 0 ]
[.6 -0.0125 -8.9375 -13.1875 ]
[.6 -0.0125 8.9375 0 ]
[.8 -0.0125 -4.78125 -13.1875 ]
[.8 -0.0125 4.78125 0 ]
[1 -0.0125 -8.9375 -13.1875 ]
[1 -0.0125 8.9375 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .125 -16.4375 -6.59375 ]
[-0.0125 .125 0 6.59375 ]
[-0.0125 .25 -16.4375 -6.59375 ]
[-0.0125 .25 0 6.59375 ]
[-0.0125 .375 -16.4375 -6.59375 ]
[-0.0125 .375 0 6.59375 ]
[-0.0125 .5 -9.5625 -6.59375 ]
[-0.0125 .5 0 6.59375 ]
[-0.0125 .625 -9.5625 -6.59375 ]
[-0.0125 .625 0 6.59375 ]
[-0.0125 .75 -9.5625 -6.59375 ]
[-0.0125 .75 0 6.59375 ]
[-0.0125 .875 -9.5625 -6.59375 ]
[-0.0125 .875 0 6.59375 ]
[-0.0125 1 -9.5625 -6.59375 ]
[-0.0125 1 0 6.59375 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -111.219 0 ]
[.5 1.0125 111.219 13.1875 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2 0 m
.2 .00625 L
s
gsave
.2 -0.0125 -69.9375 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.4 0 m
.4 .00625 L
s
gsave
.4 -0.0125 -65.7813 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.6 0 m
.6 .00625 L
s
gsave
.6 -0.0125 -69.9375 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.8 0 m
.8 .00625 L
s
gsave
.8 -0.0125 -65.7813 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -69.9375 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(2.5) show
1.000 setlinewidth
grestore
.125 Mabswid
.04 0 m
.04 .00375 L
s
.08 0 m
.08 .00375 L
s
.12 0 m
.12 .00375 L
s
.16 0 m
.16 .00375 L
s
.24 0 m
.24 .00375 L
s
.28 0 m
.28 .00375 L
s
.32 0 m
.32 .00375 L
s
.36 0 m
.36 .00375 L
s
.44 0 m
.44 .00375 L
s
.48 0 m
.48 .00375 L
s
.52 0 m
.52 .00375 L
s
.56 0 m
.56 .00375 L
s
.64 0 m
.64 .00375 L
s
.68 0 m
.68 .00375 L
s
.72 0 m
.72 .00375 L
s
.76 0 m
.76 .00375 L
s
.84 0 m
.84 .00375 L
s
.88 0 m
.88 .00375 L
s
.92 0 m
.92 .00375 L
s
.96 0 m
.96 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .125 m
.00625 .125 L
s
gsave
-0.0125 .125 -77.4375 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
0 .25 m
.00625 .25 L
s
gsave
-0.0125 .25 -77.4375 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
0 .375 m
.00625 .375 L
s
gsave
-0.0125 .375 -77.4375 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -70.5625 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .625 m
.00625 .625 L
s
gsave
-0.0125 .625 -70.5625 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 .75 m
.00625 .75 L
s
gsave
-0.0125 .75 -70.5625 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
0 .875 m
.00625 .875 L
s
gsave
-0.0125 .875 -70.5625 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(3) show
1.000 setlinewidth
grestore
0 1 m
.00625 1 L
s
gsave
-0.0125 1 -70.5625 -10.5938 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.125 Mabswid
0 .025 m
.00375 .025 L
s
0 .05 m
.00375 .05 L
s
0 .075 m
.00375 .075 L
s
0 .1 m
.00375 .1 L
s
0 .15 m
.00375 .15 L
s
0 .175 m
.00375 .175 L
s
0 .2 m
.00375 .2 L
s
0 .225 m
.00375 .225 L
s
0 .275 m
.00375 .275 L
s
0 .3 m
.00375 .3 L
s
0 .325 m
.00375 .325 L
s
0 .35 m
.00375 .35 L
s
0 .4 m
.00375 .4 L
s
0 .425 m
.00375 .425 L
s
0 .45 m
.00375 .45 L
s
0 .475 m
.00375 .475 L
s
0 .525 m
.00375 .525 L
s
0 .55 m
.00375 .55 L
s
0 .575 m
.00375 .575 L
s
0 .6 m
.00375 .6 L
s
0 .65 m
.00375 .65 L
s
0 .675 m
.00375 .675 L
s
0 .7 m
.00375 .7 L
s
0 .725 m
.00375 .725 L
s
0 .775 m
.00375 .775 L
s
0 .8 m
.00375 .8 L
s
0 .825 m
.00375 .825 L
s
0 .85 m
.00375 .85 L
s
0 .9 m
.00375 .9 L
s
0 .925 m
.00375 .925 L
s
0 .95 m
.00375 .95 L
s
0 .975 m
.00375 .975 L
s
.25 Mabswid
0 0 m
0 1 L
s
0 .99375 m
0 1 L
s
.2 .99375 m
.2 1 L
s
.4 .99375 m
.4 1 L
s
.6 .99375 m
.6 1 L
s
.8 .99375 m
.8 1 L
s
.125 Mabswid
.04 .99625 m
.04 1 L
s
.08 .99625 m
.08 1 L
s
.12 .99625 m
.12 1 L
s
.16 .99625 m
.16 1 L
s
.24 .99625 m
.24 1 L
s
.28 .99625 m
.28 1 L
s
.32 .99625 m
.32 1 L
s
.36 .99625 m
.36 1 L
s
.44 .99625 m
.44 1 L
s
.48 .99625 m
.48 1 L
s
.52 .99625 m
.52 1 L
s
.56 .99625 m
.56 1 L
s
.64 .99625 m
.64 1 L
s
.68 .99625 m
.68 1 L
s
.72 .99625 m
.72 1 L
s
.76 .99625 m
.76 1 L
s
.84 .99625 m
.84 1 L
s
.88 .99625 m
.88 1 L
s
.92 .99625 m
.92 1 L
s
.96 .99625 m
.96 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 0 m
1 0 L
s
.99375 .125 m
1 .125 L
s
.99375 .25 m
1 .25 L
s
.99375 .375 m
1 .375 L
s
.99375 .5 m
1 .5 L
s
.99375 .625 m
1 .625 L
s
.99375 .75 m
1 .75 L
s
.99375 .875 m
1 .875 L
s
.125 Mabswid
.99625 .025 m
1 .025 L
s
.99625 .05 m
1 .05 L
s
.99625 .075 m
1 .075 L
s
.99625 .1 m
1 .1 L
s
.99625 .15 m
1 .15 L
s
.99625 .175 m
1 .175 L
s
.99625 .2 m
1 .2 L
s
.99625 .225 m
1 .225 L
s
.99625 .275 m
1 .275 L
s
.99625 .3 m
1 .3 L
s
.99625 .325 m
1 .325 L
s
.99625 .35 m
1 .35 L
s
.99625 .4 m
1 .4 L
s
.99625 .425 m
1 .425 L
s
.99625 .45 m
1 .45 L
s
.99625 .475 m
1 .475 L
s
.99625 .525 m
1 .525 L
s
.99625 .55 m
1 .55 L
s
.99625 .575 m
1 .575 L
s
.99625 .6 m
1 .6 L
s
.99625 .65 m
1 .65 L
s
.99625 .675 m
1 .675 L
s
.99625 .7 m
1 .7 L
s
.99625 .725 m
1 .725 L
s
.99625 .775 m
1 .775 L
s
.99625 .8 m
1 .8 L
s
.99625 .825 m
1 .825 L
s
.99625 .85 m
1 .85 L
s
.99625 .9 m
1 .9 L
s
.99625 .925 m
1 .925 L
s
.99625 .95 m
1 .95 L
s
.99625 .975 m
1 .975 L
s
.25 Mabswid
1 0 m
1 1 L
s
gsave
.5 1.0125 -172.219 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
(Plano) show
91.250 14.000 moveto
(de) show
105.125 14.000 moveto
(Fase) show
130.125 14.000 moveto
(y) show
137.813 14.000 moveto
(Campo) show
172.813 14.000 moveto
(Vectorial) show
214.313 14.000 moveto
(de) show
228.188 14.000 moveto
(la) show
238.688 14.000 moveto
(ecuaci\\363) show
(n) show
281.438 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 1.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.575 .425 .6 r
0 1 m
1 1 L
1 0 L
0 0 L
F
.6 .4 .6 r
0 .3972 m
.00035 .39394 L
.00151 .38384 L
.00278 .37374 L
.00416 .36364 L
.00566 .35354 L
.00726 .34343 L
.00899 .33333 L
.0101 .32716 L
.01083 .32323 L
.0128 .31313 L
.01488 .30303 L
.01709 .29293 L
.01943 .28283 L
.0202 .27963 L
.02191 .27273 L
.02451 .26263 L
.02725 .25253 L
.03014 .24242 L
.0303 .24186 L
.03317 .23232 L
.03635 .22222 L
.03969 .21212 L
.0404 .21001 L
.04318 .20202 L
.04685 .19192 L
.05051 .18229 L
.05069 .18182 L
.05471 .17172 L
.05892 .16162 L
.06061 .15769 L
.06333 .15152 L
.06794 .14141 L
.07071 .13559 L
.07278 .13131 L
.07785 .12121 L
.08081 .11553 L
.08317 .11111 L
.08875 .10101 L
.09091 .09723 L
.09461 .09091 L
.10077 .08081 L
.10101 .08043 L
.10726 .07071 L
.11111 .06497 L
.11411 .06061 L
.12121 .05069 L
.12135 .05051 L
.12902 .0404 L
.13131 .03749 L
.13716 .0303 L
.14141 .02528 L
.14585 .0202 L
.15152 .01396 L
.15514 .0101 L
.16162 .00348 L
.16515 0 L
0 0 L
F
0 g
.5 Mabswid
0 .3972 m
.00035 .39394 L
.00151 .38384 L
.00278 .37374 L
.00416 .36364 L
.00566 .35354 L
.00726 .34343 L
.00899 .33333 L
.0101 .32716 L
.01083 .32323 L
.0128 .31313 L
.01488 .30303 L
.01709 .29293 L
.01943 .28283 L
.0202 .27963 L
.02191 .27273 L
.02451 .26263 L
.02725 .25253 L
.03014 .24242 L
.0303 .24186 L
.03317 .23232 L
.03635 .22222 L
.03969 .21212 L
.0404 .21001 L
.04318 .20202 L
.04685 .19192 L
.05051 .18229 L
.05069 .18182 L
.05471 .17172 L
.05892 .16162 L
.06061 .15769 L
.06333 .15152 L
.06794 .14141 L
.07071 .13559 L
.07278 .13131 L
.07785 .12121 L
.08081 .11553 L
.08317 .11111 L
.08875 .10101 L
.09091 .09723 L
.09461 .09091 L
.10077 .08081 L
.10101 .08043 L
.10726 .07071 L
.11111 .06497 L
.11411 .06061 L
.12121 .05069 L
.12135 .05051 L
.12902 .0404 L
.13131 .03749 L
Mistroke
.13716 .0303 L
.14141 .02528 L
.14585 .0202 L
.15152 .01396 L
.15514 .0101 L
.16162 .00348 L
.16515 0 L
Mfstroke
.6 .4 .6 r
0 .6028 m
.00035 .60606 L
.00151 .61616 L
.00278 .62626 L
.00416 .63636 L
.00566 .64646 L
.00726 .65657 L
.00899 .66667 L
.0101 .67284 L
.01083 .67677 L
.0128 .68687 L
.01488 .69697 L
.01709 .70707 L
.01943 .71717 L
.0202 .72037 L
.02191 .72727 L
.02451 .73737 L
.02725 .74747 L
.03014 .75758 L
.0303 .75814 L
.03317 .76768 L
.03635 .77778 L
.03969 .78788 L
.0404 .78999 L
.04318 .79798 L
.04685 .80808 L
.05051 .81771 L
.05069 .81818 L
.05471 .82828 L
.05892 .83838 L
.06061 .84231 L
.06333 .84848 L
.06794 .85859 L
.07071 .86441 L
.07278 .86869 L
.07785 .87879 L
.08081 .88447 L
.08317 .88889 L
.08875 .89899 L
.09091 .90277 L
.09461 .90909 L
.10077 .91919 L
.10101 .91957 L
.10726 .92929 L
.11111 .93503 L
.11411 .93939 L
.12121 .94931 L
.12135 .94949 L
.12902 .9596 L
.13131 .96251 L
.13716 .9697 L
.14141 .97472 L
.14585 .9798 L
.15152 .98604 L
.15514 .9899 L
.16162 .99652 L
.16515 1 L
0 1 L
F
0 g
0 .6028 m
.00035 .60606 L
.00151 .61616 L
.00278 .62626 L
.00416 .63636 L
.00566 .64646 L
.00726 .65657 L
.00899 .66667 L
.0101 .67284 L
.01083 .67677 L
.0128 .68687 L
.01488 .69697 L
.01709 .70707 L
.01943 .71717 L
.0202 .72037 L
.02191 .72727 L
.02451 .73737 L
.02725 .74747 L
.03014 .75758 L
.0303 .75814 L
.03317 .76768 L
.03635 .77778 L
.03969 .78788 L
.0404 .78999 L
.04318 .79798 L
.04685 .80808 L
.05051 .81771 L
.05069 .81818 L
.05471 .82828 L
.05892 .83838 L
.06061 .84231 L
.06333 .84848 L
.06794 .85859 L
.07071 .86441 L
.07278 .86869 L
.07785 .87879 L
.08081 .88447 L
.08317 .88889 L
.08875 .89899 L
.09091 .90277 L
.09461 .90909 L
.10077 .91919 L
.10101 .91957 L
.10726 .92929 L
.11111 .93503 L
.11411 .93939 L
.12121 .94931 L
.12135 .94949 L
.12902 .9596 L
.13131 .96251 L
Mistroke
.13716 .9697 L
.14141 .97472 L
.14585 .9798 L
.15152 .98604 L
.15514 .9899 L
.16162 .99652 L
.16515 1 L
Mfstroke
.625 .375 .6 r
0 .34028 m
.00117 .33333 L
.00297 .32323 L
.00488 .31313 L
.00692 .30303 L
.00907 .29293 L
.0101 .2883 L
.01135 .28283 L
.01376 .27273 L
.01629 .26263 L
.01896 .25253 L
.0202 .248 L
.02177 .24242 L
.02471 .23232 L
.0278 .22222 L
.0303 .21438 L
.03104 .21212 L
.03443 .20202 L
.03799 .19192 L
.0404 .1853 L
.0417 .18182 L
.04559 .17172 L
.04966 .16162 L
.05051 .15959 L
.05392 .15152 L
.05838 .14141 L
.06061 .13652 L
.06304 .13131 L
.06791 .12121 L
.07071 .11563 L
.07302 .11111 L
.07837 .10101 L
.08081 .09657 L
.08399 .09091 L
.08988 .08081 L
.09091 .07909 L
.09606 .07071 L
.10101 .06299 L
.10257 .06061 L
.10944 .05051 L
.11111 .04812 L
.11668 .0404 L
.12121 .03436 L
.12435 .0303 L
.13131 .02161 L
.13248 .0202 L
.14114 .0101 L
.14141 .00979 L
.1504 0 L
0 0 L
F
0 g
0 .34028 m
.00117 .33333 L
.00297 .32323 L
.00488 .31313 L
.00692 .30303 L
.00907 .29293 L
.0101 .2883 L
.01135 .28283 L
.01376 .27273 L
.01629 .26263 L
.01896 .25253 L
.0202 .248 L
.02177 .24242 L
.02471 .23232 L
.0278 .22222 L
.0303 .21438 L
.03104 .21212 L
.03443 .20202 L
.03799 .19192 L
.0404 .1853 L
.0417 .18182 L
.04559 .17172 L
.04966 .16162 L
.05051 .15959 L
.05392 .15152 L
.05838 .14141 L
.06061 .13652 L
.06304 .13131 L
.06791 .12121 L
.07071 .11563 L
.07302 .11111 L
.07837 .10101 L
.08081 .09657 L
.08399 .09091 L
.08988 .08081 L
.09091 .07909 L
.09606 .07071 L
.10101 .06299 L
.10257 .06061 L
.10944 .05051 L
.11111 .04812 L
.11668 .0404 L
.12121 .03436 L
.12435 .0303 L
.13131 .02161 L
.13248 .0202 L
.14114 .0101 L
.14141 .00979 L
.1504 0 L
s
.625 .375 .6 r
0 .65972 m
.00117 .66667 L
.00297 .67677 L
.00488 .68687 L
.00692 .69697 L
.00907 .70707 L
.0101 .7117 L
.01135 .71717 L
.01376 .72727 L
.01629 .73737 L
.01896 .74747 L
.0202 .752 L
.02177 .75758 L
.02471 .76768 L
.0278 .77778 L
.0303 .78562 L
.03104 .78788 L
.03443 .79798 L
.03799 .80808 L
.0404 .8147 L
.0417 .81818 L
.04559 .82828 L
.04966 .83838 L
.05051 .84041 L
.05392 .84848 L
.05838 .85859 L
.06061 .86348 L
.06304 .86869 L
.06791 .87879 L
.07071 .88437 L
.07302 .88889 L
.07837 .89899 L
.08081 .90343 L
.08399 .90909 L
.08988 .91919 L
.09091 .92091 L
.09606 .92929 L
.10101 .93701 L
.10257 .93939 L
.10944 .94949 L
.11111 .95188 L
.11668 .9596 L
.12121 .96564 L
.12435 .9697 L
.13131 .97839 L
.13248 .9798 L
.14114 .9899 L
.14141 .99021 L
.1504 1 L
0 1 L
F
0 g
0 .65972 m
.00117 .66667 L
.00297 .67677 L
.00488 .68687 L
.00692 .69697 L
.00907 .70707 L
.0101 .7117 L
.01135 .71717 L
.01376 .72727 L
.01629 .73737 L
.01896 .74747 L
.0202 .752 L
.02177 .75758 L
.02471 .76768 L
.0278 .77778 L
.0303 .78562 L
.03104 .78788 L
.03443 .79798 L
.03799 .80808 L
.0404 .8147 L
.0417 .81818 L
.04559 .82828 L
.04966 .83838 L
.05051 .84041 L
.05392 .84848 L
.05838 .85859 L
.06061 .86348 L
.06304 .86869 L
.06791 .87879 L
.07071 .88437 L
.07302 .88889 L
.07837 .89899 L
.08081 .90343 L
.08399 .90909 L
.08988 .91919 L
.09091 .92091 L
.09606 .92929 L
.10101 .93701 L
.10257 .93939 L
.10944 .94949 L
.11111 .95188 L
.11668 .9596 L
.12121 .96564 L
.12435 .9697 L
.13131 .97839 L
.13248 .9798 L
.14114 .9899 L
.14141 .99021 L
.1504 1 L
s
.65 .35 .6 r
0 .29887 m
.00125 .29293 L
.00348 .28283 L
.00582 .27273 L
.00829 .26263 L
.0101 .25555 L
.01089 .25253 L
.01362 .24242 L
.01649 .23232 L
.0195 .22222 L
.0202 .21992 L
.02264 .21212 L
.02594 .20202 L
.02939 .19192 L
.0303 .18932 L
.033 .18182 L
.03677 .17172 L
.0404 .16239 L
.04071 .16162 L
.04483 .15152 L
.04914 .14141 L
.05051 .1383 L
.05364 .13131 L
.05835 .12121 L
.06061 .11652 L
.06327 .11111 L
.06842 .10101 L
.07071 .09666 L
.07381 .09091 L
.07945 .08081 L
.08081 .07846 L
.08538 .07071 L
.09091 .06169 L
.09159 .06061 L
.09813 .05051 L
.10101 .04621 L
.10501 .0404 L
.11111 .03188 L
.11227 .0303 L
.11994 .0202 L
.12121 .01858 L
.12807 .0101 L
.13131 .00624 L
.13672 0 L
0 0 L
F
0 g
0 .29887 m
.00125 .29293 L
.00348 .28283 L
.00582 .27273 L
.00829 .26263 L
.0101 .25555 L
.01089 .25253 L
.01362 .24242 L
.01649 .23232 L
.0195 .22222 L
.0202 .21992 L
.02264 .21212 L
.02594 .20202 L
.02939 .19192 L
.0303 .18932 L
.033 .18182 L
.03677 .17172 L
.0404 .16239 L
.04071 .16162 L
.04483 .15152 L
.04914 .14141 L
.05051 .1383 L
.05364 .13131 L
.05835 .12121 L
.06061 .11652 L
.06327 .11111 L
.06842 .10101 L
.07071 .09666 L
.07381 .09091 L
.07945 .08081 L
.08081 .07846 L
.08538 .07071 L
.09091 .06169 L
.09159 .06061 L
.09813 .05051 L
.10101 .04621 L
.10501 .0404 L
.11111 .03188 L
.11227 .0303 L
.11994 .0202 L
.12121 .01858 L
.12807 .0101 L
.13131 .00624 L
.13672 0 L
s
.65 .35 .6 r
0 .70113 m
.00125 .70707 L
.00348 .71717 L
.00582 .72727 L
.00829 .73737 L
.0101 .74445 L
.01089 .74747 L
.01362 .75758 L
.01649 .76768 L
.0195 .77778 L
.0202 .78008 L
.02264 .78788 L
.02594 .79798 L
.02939 .80808 L
.0303 .81068 L
.033 .81818 L
.03677 .82828 L
.0404 .83761 L
.04071 .83838 L
.04483 .84848 L
.04914 .85859 L
.05051 .8617 L
.05364 .86869 L
.05835 .87879 L
.06061 .88348 L
.06327 .88889 L
.06842 .89899 L
.07071 .90334 L
.07381 .90909 L
.07945 .91919 L
.08081 .92154 L
.08538 .92929 L
.09091 .93831 L
.09159 .93939 L
.09813 .94949 L
.10101 .95379 L
.10501 .9596 L
.11111 .96812 L
.11227 .9697 L
.11994 .9798 L
.12121 .98142 L
.12807 .9899 L
.13131 .99376 L
.13672 1 L
0 1 L
F
0 g
0 .70113 m
.00125 .70707 L
.00348 .71717 L
.00582 .72727 L
.00829 .73737 L
.0101 .74445 L
.01089 .74747 L
.01362 .75758 L
.01649 .76768 L
.0195 .77778 L
.0202 .78008 L
.02264 .78788 L
.02594 .79798 L
.02939 .80808 L
.0303 .81068 L
.033 .81818 L
.03677 .82828 L
.0404 .83761 L
.04071 .83838 L
.04483 .84848 L
.04914 .85859 L
.05051 .8617 L
.05364 .86869 L
.05835 .87879 L
.06061 .88348 L
.06327 .88889 L
.06842 .89899 L
.07071 .90334 L
.07381 .90909 L
.07945 .91919 L
.08081 .92154 L
.08538 .92929 L
.09091 .93831 L
.09159 .93939 L
.09813 .94949 L
.10101 .95379 L
.10501 .9596 L
.11111 .96812 L
.11227 .9697 L
.11994 .9798 L
.12121 .98142 L
.12807 .9899 L
.13131 .99376 L
.13672 1 L
s
.675 .325 .6 r
0 .26464 m
.00049 .26263 L
.00303 .25253 L
.00569 .24242 L
.00848 .23232 L
.0101 .22669 L
.01141 .22222 L
.01448 .21212 L
.01769 .20202 L
.0202 .1944 L
.02104 .19192 L
.02455 .18182 L
.02821 .17172 L
.0303 .16614 L
.03204 .16162 L
.03603 .15152 L
.04021 .14141 L
.0404 .14094 L
.04456 .13131 L
.04911 .12121 L
.05051 .11821 L
.05387 .11111 L
.05883 .10101 L
.06061 .09751 L
.06402 .09091 L
.06946 .08081 L
.07071 .07855 L
.07514 .07071 L
.08081 .06109 L
.0811 .06061 L
.08735 .05051 L
.09091 .04497 L
.09392 .0404 L
.10082 .0303 L
.10101 .03004 L
.1081 .0202 L
.11111 .01618 L
.11579 .0101 L
.12121 .00331 L
.12393 0 L
0 0 L
F
0 g
0 .26464 m
.00049 .26263 L
.00303 .25253 L
.00569 .24242 L
.00848 .23232 L
.0101 .22669 L
.01141 .22222 L
.01448 .21212 L
.01769 .20202 L
.0202 .1944 L
.02104 .19192 L
.02455 .18182 L
.02821 .17172 L
.0303 .16614 L
.03204 .16162 L
.03603 .15152 L
.04021 .14141 L
.0404 .14094 L
.04456 .13131 L
.04911 .12121 L
.05051 .11821 L
.05387 .11111 L
.05883 .10101 L
.06061 .09751 L
.06402 .09091 L
.06946 .08081 L
.07071 .07855 L
.07514 .07071 L
.08081 .06109 L
.0811 .06061 L
.08735 .05051 L
.09091 .04497 L
.09392 .0404 L
.10082 .0303 L
.10101 .03004 L
.1081 .0202 L
.11111 .01618 L
.11579 .0101 L
.12121 .00331 L
.12393 0 L
s
.675 .325 .6 r
0 .73536 m
.00049 .73737 L
.00303 .74747 L
.00569 .75758 L
.00848 .76768 L
.0101 .77331 L
.01141 .77778 L
.01448 .78788 L
.01769 .79798 L
.0202 .8056 L
.02104 .80808 L
.02455 .81818 L
.02821 .82828 L
.0303 .83386 L
.03204 .83838 L
.03603 .84848 L
.04021 .85859 L
.0404 .85906 L
.04456 .86869 L
.04911 .87879 L
.05051 .88179 L
.05387 .88889 L
.05883 .89899 L
.06061 .90249 L
.06402 .90909 L
.06946 .91919 L
.07071 .92145 L
.07514 .92929 L
.08081 .93891 L
.0811 .93939 L
.08735 .94949 L
.09091 .95503 L
.09392 .9596 L
.10082 .9697 L
.10101 .96996 L
.1081 .9798 L
.11111 .98382 L
.11579 .9899 L
.12121 .99669 L
.12393 1 L
0 1 L
F
0 g
0 .73536 m
.00049 .73737 L
.00303 .74747 L
.00569 .75758 L
.00848 .76768 L
.0101 .77331 L
.01141 .77778 L
.01448 .78788 L
.01769 .79798 L
.0202 .8056 L
.02104 .80808 L
.02455 .81818 L
.02821 .82828 L
.0303 .83386 L
.03204 .83838 L
.03603 .84848 L
.04021 .85859 L
.0404 .85906 L
.04456 .86869 L
.04911 .87879 L
.05051 .88179 L
.05387 .88889 L
.05883 .89899 L
.06061 .90249 L
.06402 .90909 L
.06946 .91919 L
.07071 .92145 L
.07514 .92929 L
.08081 .93891 L
.0811 .93939 L
.08735 .94949 L
.09091 .95503 L
.09392 .9596 L
.10082 .9697 L
.10101 .96996 L
.1081 .9798 L
.11111 .98382 L
.11579 .9899 L
.12121 .99669 L
.12393 1 L
s
.7 .3 .6 r
0 .23479 m
.00068 .23232 L
.00353 .22222 L
.00652 .21212 L
.00965 .20202 L
.0101 .2006 L
.01292 .19192 L
.01633 .18182 L
.01989 .17172 L
.0202 .17086 L
.02361 .16162 L
.02749 .15152 L
.0303 .14447 L
.03154 .14141 L
.03577 .13131 L
.04018 .12121 L
.0404 .12071 L
.04478 .11111 L
.04958 .10101 L
.05051 .09912 L
.0546 .09091 L
.05983 .08081 L
.06061 .07936 L
.06531 .07071 L
.07071 .06118 L
.07104 .06061 L
.07704 .05051 L
.08081 .04439 L
.08332 .0404 L
.08992 .0303 L
.09091 .02884 L
.09686 .0202 L
.10101 .0144 L
.10417 .0101 L
.11111 .00098 L
.11188 0 L
0 0 L
F
0 g
0 .23479 m
.00068 .23232 L
.00353 .22222 L
.00652 .21212 L
.00965 .20202 L
.0101 .2006 L
.01292 .19192 L
.01633 .18182 L
.01989 .17172 L
.0202 .17086 L
.02361 .16162 L
.02749 .15152 L
.0303 .14447 L
.03154 .14141 L
.03577 .13131 L
.04018 .12121 L
.0404 .12071 L
.04478 .11111 L
.04958 .10101 L
.05051 .09912 L
.0546 .09091 L
.05983 .08081 L
.06061 .07936 L
.06531 .07071 L
.07071 .06118 L
.07104 .06061 L
.07704 .05051 L
.08081 .04439 L
.08332 .0404 L
.08992 .0303 L
.09091 .02884 L
.09686 .0202 L
.10101 .0144 L
.10417 .0101 L
.11111 .00098 L
.11188 0 L
s
.7 .3 .6 r
0 .76521 m
.00068 .76768 L
.00353 .77778 L
.00652 .78788 L
.00965 .79798 L
.0101 .7994 L
.01292 .80808 L
.01633 .81818 L
.01989 .82828 L
.0202 .82914 L
.02361 .83838 L
.02749 .84848 L
.0303 .85553 L
.03154 .85859 L
.03577 .86869 L
.04018 .87879 L
.0404 .87929 L
.04478 .88889 L
.04958 .89899 L
.05051 .90088 L
.0546 .90909 L
.05983 .91919 L
.06061 .92064 L
.06531 .92929 L
.07071 .93882 L
.07104 .93939 L
.07704 .94949 L
.08081 .95561 L
.08332 .9596 L
.08992 .9697 L
.09091 .97116 L
.09686 .9798 L
.10101 .9856 L
.10417 .9899 L
.11111 .99902 L
.11188 1 L
0 1 L
F
0 g
0 .76521 m
.00068 .76768 L
.00353 .77778 L
.00652 .78788 L
.00965 .79798 L
.0101 .7994 L
.01292 .80808 L
.01633 .81818 L
.01989 .82828 L
.0202 .82914 L
.02361 .83838 L
.02749 .84848 L
.0303 .85553 L
.03154 .85859 L
.03577 .86869 L
.04018 .87879 L
.0404 .87929 L
.04478 .88889 L
.04958 .89899 L
.05051 .90088 L
.0546 .90909 L
.05983 .91919 L
.06061 .92064 L
.06531 .92929 L
.07071 .93882 L
.07104 .93939 L
.07704 .94949 L
.08081 .95561 L
.08332 .9596 L
.08992 .9697 L
.09091 .97116 L
.09686 .9798 L
.10101 .9856 L
.10417 .9899 L
.11111 .99902 L
.11188 1 L
s
.725 .275 .6 r
0 .20797 m
.00181 .20202 L
.005 .19192 L
.00833 .18182 L
.0101 .1766 L
.0118 .17172 L
.01542 .16162 L
.0192 .15152 L
.0202 .1489 L
.02313 .14141 L
.02724 .13131 L
.0303 .12404 L
.03152 .12121 L
.03598 .11111 L
.0404 .1015 L
.04063 .10101 L
.04548 .09091 L
.05051 .08089 L
.05055 .08081 L
.05583 .07071 L
.06061 .06195 L
.06136 .06061 L
.06713 .05051 L
.07071 .04447 L
.07317 .0404 L
.0795 .0303 L
.08081 .02827 L
.08614 .0202 L
.09091 .01324 L
.09311 .0101 L
.10045 0 L
0 0 L
F
0 g
0 .20797 m
.00181 .20202 L
.005 .19192 L
.00833 .18182 L
.0101 .1766 L
.0118 .17172 L
.01542 .16162 L
.0192 .15152 L
.0202 .1489 L
.02313 .14141 L
.02724 .13131 L
.0303 .12404 L
.03152 .12121 L
.03598 .11111 L
.0404 .1015 L
.04063 .10101 L
.04548 .09091 L
.05051 .08089 L
.05055 .08081 L
.05583 .07071 L
.06061 .06195 L
.06136 .06061 L
.06713 .05051 L
.07071 .04447 L
.07317 .0404 L
.0795 .0303 L
.08081 .02827 L
.08614 .0202 L
.09091 .01324 L
.09311 .0101 L
.10045 0 L
s
.725 .275 .6 r
0 .79203 m
.00181 .79798 L
.005 .80808 L
.00833 .81818 L
.0101 .8234 L
.0118 .82828 L
.01542 .83838 L
.0192 .84848 L
.0202 .8511 L
.02313 .85859 L
.02724 .86869 L
.0303 .87596 L
.03152 .87879 L
.03598 .88889 L
.0404 .8985 L
.04063 .89899 L
.04548 .90909 L
.05051 .91911 L
.05055 .91919 L
.05583 .92929 L
.06061 .93805 L
.06136 .93939 L
.06713 .94949 L
.07071 .95553 L
.07317 .9596 L
.0795 .9697 L
.08081 .97173 L
.08614 .9798 L
.09091 .98676 L
.09311 .9899 L
.10045 1 L
0 1 L
F
0 g
0 .79203 m
.00181 .79798 L
.005 .80808 L
.00833 .81818 L
.0101 .8234 L
.0118 .82828 L
.01542 .83838 L
.0192 .84848 L
.0202 .8511 L
.02313 .85859 L
.02724 .86869 L
.0303 .87596 L
.03152 .87879 L
.03598 .88889 L
.0404 .8985 L
.04063 .89899 L
.04548 .90909 L
.05051 .91911 L
.05055 .91919 L
.05583 .92929 L
.06061 .93805 L
.06136 .93939 L
.06713 .94949 L
.07071 .95553 L
.07317 .9596 L
.0795 .9697 L
.08081 .97173 L
.08614 .9798 L
.09091 .98676 L
.09311 .9899 L
.10045 1 L
s
.75 .25 .6 r
0 .18342 m
.00052 .18182 L
.00391 .17172 L
.00744 .16162 L
.0101 .15427 L
.01112 .15152 L
.01495 .14141 L
.01895 .13131 L
.0202 .12823 L
.02311 .12121 L
.02744 .11111 L
.0303 .10467 L
.03196 .10101 L
.03666 .09091 L
.0404 .08317 L
.04157 .08081 L
.04668 .07071 L
.05051 .06343 L
.05202 .06061 L
.05759 .05051 L
.06061 .04522 L
.06341 .0404 L
.0695 .0303 L
.07071 .02835 L
.07587 .0202 L
.08081 .01269 L
.08255 .0101 L
.08957 0 L
0 0 L
F
0 g
0 .18342 m
.00052 .18182 L
.00391 .17172 L
.00744 .16162 L
.0101 .15427 L
.01112 .15152 L
.01495 .14141 L
.01895 .13131 L
.0202 .12823 L
.02311 .12121 L
.02744 .11111 L
.0303 .10467 L
.03196 .10101 L
.03666 .09091 L
.0404 .08317 L
.04157 .08081 L
.04668 .07071 L
.05051 .06343 L
.05202 .06061 L
.05759 .05051 L
.06061 .04522 L
.06341 .0404 L
.0695 .0303 L
.07071 .02835 L
.07587 .0202 L
.08081 .01269 L
.08255 .0101 L
.08957 0 L
s
.75 .25 .6 r
0 .81658 m
.00052 .81818 L
.00391 .82828 L
.00744 .83838 L
.0101 .84573 L
.01112 .84848 L
.01495 .85859 L
.01895 .86869 L
.0202 .87177 L
.02311 .87879 L
.02744 .88889 L
.0303 .89533 L
.03196 .89899 L
.03666 .90909 L
.0404 .91683 L
.04157 .91919 L
.04668 .92929 L
.05051 .93657 L
.05202 .93939 L
.05759 .94949 L
.06061 .95478 L
.06341 .9596 L
.0695 .9697 L
.07071 .97165 L
.07587 .9798 L
.08081 .98731 L
.08255 .9899 L
.08957 1 L
0 1 L
F
0 g
0 .81658 m
.00052 .81818 L
.00391 .82828 L
.00744 .83838 L
.0101 .84573 L
.01112 .84848 L
.01495 .85859 L
.01895 .86869 L
.0202 .87177 L
.02311 .87879 L
.02744 .88889 L
.0303 .89533 L
.03196 .89899 L
.03666 .90909 L
.0404 .91683 L
.04157 .91919 L
.04668 .92929 L
.05051 .93657 L
.05202 .93939 L
.05759 .94949 L
.06061 .95478 L
.06341 .9596 L
.0695 .9697 L
.07071 .97165 L
.07587 .9798 L
.08081 .98731 L
.08255 .9899 L
.08957 1 L
s
.775 .225 .6 r
0 .16064 m
.00325 .15152 L
.00699 .14141 L
.0101 .1333 L
.01088 .13131 L
.01493 .12121 L
.01915 .11111 L
.0202 .10865 L
.02354 .10101 L
.02811 .09091 L
.0303 .0862 L
.03287 .08081 L
.03783 .07071 L
.0404 .06562 L
.04299 .06061 L
.04838 .05051 L
.05051 .04664 L
.054 .0404 L
.05988 .0303 L
.06061 .02908 L
.06601 .0202 L
.07071 .01277 L
.07243 .0101 L
.07916 0 L
0 0 L
F
0 g
0 .16064 m
.00325 .15152 L
.00699 .14141 L
.0101 .1333 L
.01088 .13131 L
.01493 .12121 L
.01915 .11111 L
.0202 .10865 L
.02354 .10101 L
.02811 .09091 L
.0303 .0862 L
.03287 .08081 L
.03783 .07071 L
.0404 .06562 L
.04299 .06061 L
.04838 .05051 L
.05051 .04664 L
.054 .0404 L
.05988 .0303 L
.06061 .02908 L
.06601 .0202 L
.07071 .01277 L
.07243 .0101 L
.07916 0 L
s
.775 .225 .6 r
0 .83936 m
.00325 .84848 L
.00699 .85859 L
.0101 .8667 L
.01088 .86869 L
.01493 .87879 L
.01915 .88889 L
.0202 .89135 L
.02354 .89899 L
.02811 .90909 L
.0303 .9138 L
.03287 .91919 L
.03783 .92929 L
.0404 .93438 L
.04299 .93939 L
.04838 .94949 L
.05051 .95336 L
.054 .9596 L
.05988 .9697 L
.06061 .97092 L
.06601 .9798 L
.07071 .98723 L
.07243 .9899 L
.07916 1 L
0 1 L
F
0 g
0 .83936 m
.00325 .84848 L
.00699 .85859 L
.0101 .8667 L
.01088 .86869 L
.01493 .87879 L
.01915 .88889 L
.0202 .89135 L
.02354 .89899 L
.02811 .90909 L
.0303 .9138 L
.03287 .91919 L
.03783 .92929 L
.0404 .93438 L
.04299 .93939 L
.04838 .94949 L
.05051 .95336 L
.054 .9596 L
.05988 .9697 L
.06061 .97092 L
.06601 .9798 L
.07071 .98723 L
.07243 .9899 L
.07916 1 L
s
.8 .2 .6 r
0 .1393 m
.00301 .13131 L
.00696 .12121 L
.0101 .11346 L
.01107 .11111 L
.01535 .10101 L
.01979 .09091 L
.0202 .09 L
.02442 .08081 L
.02924 .07071 L
.0303 .06852 L
.03425 .06061 L
.03947 .05051 L
.0404 .04874 L
.04491 .0404 L
.05051 .03045 L
.05059 .0303 L
.05651 .0202 L
.06061 .01347 L
.0627 .0101 L
.06917 0 L
0 0 L
F
0 g
0 .1393 m
.00301 .13131 L
.00696 .12121 L
.0101 .11346 L
.01107 .11111 L
.01535 .10101 L
.01979 .09091 L
.0202 .09 L
.02442 .08081 L
.02924 .07071 L
.0303 .06852 L
.03425 .06061 L
.03947 .05051 L
.0404 .04874 L
.04491 .0404 L
.05051 .03045 L
.05059 .0303 L
.05651 .0202 L
.06061 .01347 L
.0627 .0101 L
.06917 0 L
s
.8 .2 .6 r
0 .8607 m
.00301 .86869 L
.00696 .87879 L
.0101 .88654 L
.01107 .88889 L
.01535 .89899 L
.01979 .90909 L
.0202 .91 L
.02442 .91919 L
.02924 .92929 L
.0303 .93148 L
.03425 .93939 L
.03947 .94949 L
.0404 .95126 L
.04491 .9596 L
.05051 .96955 L
.05059 .9697 L
.05651 .9798 L
.06061 .98653 L
.0627 .9899 L
.06917 1 L
0 1 L
F
0 g
0 .8607 m
.00301 .86869 L
.00696 .87879 L
.0101 .88654 L
.01107 .88889 L
.01535 .89899 L
.01979 .90909 L
.0202 .91 L
.02442 .91919 L
.02924 .92929 L
.0303 .93148 L
.03425 .93939 L
.03947 .94949 L
.0404 .95126 L
.04491 .9596 L
.05051 .96955 L
.05059 .9697 L
.05651 .9798 L
.06061 .98653 L
.0627 .9899 L
.06917 1 L
s
.825 .175 .6 r
0 .11915 m
.0032 .11111 L
.00737 .10101 L
.0101 .09459 L
.0117 .09091 L
.01621 .08081 L
.0202 .07217 L
.02089 .07071 L
.02576 .06061 L
.0303 .05154 L
.03083 .05051 L
.03611 .0404 L
.0404 .03248 L
.04161 .0303 L
.04734 .0202 L
.05051 .0148 L
.05332 .0101 L
.05956 0 L
0 0 L
F
0 g
0 .11915 m
.0032 .11111 L
.00737 .10101 L
.0101 .09459 L
.0117 .09091 L
.01621 .08081 L
.0202 .07217 L
.02089 .07071 L
.02576 .06061 L
.0303 .05154 L
.03083 .05051 L
.03611 .0404 L
.0404 .03248 L
.04161 .0303 L
.04734 .0202 L
.05051 .0148 L
.05332 .0101 L
.05956 0 L
s
.825 .175 .6 r
0 .88085 m
.0032 .88889 L
.00737 .89899 L
.0101 .90541 L
.0117 .90909 L
.01621 .91919 L
.0202 .92783 L
.02089 .92929 L
.02576 .93939 L
.0303 .94846 L
.03083 .94949 L
.03611 .9596 L
.0404 .96752 L
.04161 .9697 L
.04734 .9798 L
.05051 .9852 L
.05332 .9899 L
.05956 1 L
0 1 L
F
0 g
0 .88085 m
.0032 .88889 L
.00737 .89899 L
.0101 .90541 L
.0117 .90909 L
.01621 .91919 L
.0202 .92783 L
.02089 .92929 L
.02576 .93939 L
.0303 .94846 L
.03083 .94949 L
.03611 .9596 L
.0404 .96752 L
.04161 .9697 L
.04734 .9798 L
.05051 .9852 L
.05332 .9899 L
.05956 1 L
s
.85 .15 .6 r
0 .10001 m
.00382 .09091 L
.00821 .08081 L
.0101 .07657 L
.01277 .07071 L
.01751 .06061 L
.0202 .05504 L
.02244 .05051 L
.02757 .0404 L
.0303 .03518 L
.03291 .0303 L
.03846 .0202 L
.0404 .01676 L
.04425 .0101 L
.05028 0 L
0 0 L
F
0 g
0 .10001 m
.00382 .09091 L
.00821 .08081 L
.0101 .07657 L
.01277 .07071 L
.01751 .06061 L
.0202 .05504 L
.02244 .05051 L
.02757 .0404 L
.0303 .03518 L
.03291 .0303 L
.03846 .0202 L
.0404 .01676 L
.04425 .0101 L
.05028 0 L
s
.85 .15 .6 r
0 .89999 m
.00382 .90909 L
.00821 .91919 L
.0101 .92343 L
.01277 .92929 L
.01751 .93939 L
.0202 .94496 L
.02244 .94949 L
.02757 .9596 L
.0303 .96482 L
.03291 .9697 L
.03846 .9798 L
.0404 .98324 L
.04425 .9899 L
.05028 1 L
0 1 L
F
0 g
0 .89999 m
.00382 .90909 L
.00821 .91919 L
.0101 .92343 L
.01277 .92929 L
.01751 .93939 L
.0202 .94496 L
.02244 .94949 L
.02757 .9596 L
.0303 .96482 L
.03291 .9697 L
.03846 .9798 L
.0404 .98324 L
.04425 .9899 L
.05028 1 L
s
.875 .125 .6 r
0 .08175 m
.00041 .08081 L
.00486 .07071 L
.00948 .06061 L
.0101 .05928 L
.01428 .05051 L
.01927 .0404 L
.0202 .03856 L
.02446 .0303 L
.02985 .0202 L
.0303 .01937 L
.03547 .0101 L
.0404 .00154 L
.04131 0 L
0 0 L
F
0 g
0 .08175 m
.00041 .08081 L
.00486 .07071 L
.00948 .06061 L
.0101 .05928 L
.01428 .05051 L
.01927 .0404 L
.0202 .03856 L
.02446 .0303 L
.02985 .0202 L
.0303 .01937 L
.03547 .0101 L
.0404 .00154 L
.04131 0 L
s
.875 .125 .6 r
0 .91825 m
.00041 .91919 L
.00486 .92929 L
.00948 .93939 L
.0101 .94072 L
.01428 .94949 L
.01927 .9596 L
.0202 .96144 L
.02446 .9697 L
.02985 .9798 L
.0303 .98063 L
.03547 .9899 L
.0404 .99846 L
.04131 1 L
0 1 L
F
0 g
0 .91825 m
.00041 .91919 L
.00486 .92929 L
.00948 .93939 L
.0101 .94072 L
.01428 .94949 L
.01927 .9596 L
.0202 .96144 L
.02446 .9697 L
.02985 .9798 L
.0303 .98063 L
.03547 .9899 L
.0404 .99846 L
.04131 1 L
s
.9 .1 .6 r
0 .06425 m
.00165 .06061 L
.00633 .05051 L
.0101 .04264 L
.01119 .0404 L
.01624 .0303 L
.0202 .02264 L
.02149 .0202 L
.02694 .0101 L
.0303 .00407 L
.03262 0 L
0 0 L
F
0 g
0 .06425 m
.00165 .06061 L
.00633 .05051 L
.0101 .04264 L
.01119 .0404 L
.01624 .0303 L
.0202 .02264 L
.02149 .0202 L
.02694 .0101 L
.0303 .00407 L
.03262 0 L
s
.9 .1 .6 r
0 .93575 m
.00165 .93939 L
.00633 .94949 L
.0101 .95736 L
.01119 .9596 L
.01624 .9697 L
.0202 .97736 L
.02149 .9798 L
.02694 .9899 L
.0303 .99593 L
.03262 1 L
0 1 L
F
0 g
0 .93575 m
.00165 .93939 L
.00633 .94949 L
.0101 .95736 L
.01119 .9596 L
.01624 .9697 L
.0202 .97736 L
.02149 .9798 L
.02694 .9899 L
.0303 .99593 L
.03262 1 L
s
.925 .075 .6 r
0 .04743 m
.00332 .0404 L
.00824 .0303 L
.0101 .02658 L
.01335 .0202 L
.01866 .0101 L
.0202 .00724 L
.02418 0 L
0 0 L
F
0 g
0 .04743 m
.00332 .0404 L
.00824 .0303 L
.0101 .02658 L
.01335 .0202 L
.01866 .0101 L
.0202 .00724 L
.02418 0 L
s
.925 .075 .6 r
0 .95257 m
.00332 .9596 L
.00824 .9697 L
.0101 .97342 L
.01335 .9798 L
.01866 .9899 L
.0202 .99276 L
.02418 1 L
0 1 L
F
0 g
0 .95257 m
.00332 .9596 L
.00824 .9697 L
.0101 .97342 L
.01335 .9798 L
.01866 .9899 L
.0202 .99276 L
.02418 1 L
s
.95 .05 .6 r
0 .03121 m
.00044 .0303 L
.00543 .0202 L
.0101 .01106 L
.0106 .0101 L
.01597 0 L
0 0 L
F
0 g
0 .03121 m
.00044 .0303 L
.00543 .0202 L
.0101 .01106 L
.0106 .0101 L
.01597 0 L
s
.95 .05 .6 r
0 .96879 m
.00044 .9697 L
.00543 .9798 L
.0101 .98894 L
.0106 .9899 L
.01597 1 L
0 1 L
F
0 g
0 .96879 m
.00044 .9697 L
.00543 .9798 L
.0101 .98894 L
.0106 .9899 L
.01597 1 L
s
.975 .025 .6 r
0 .01554 m
.00274 .0101 L
.00798 0 L
0 0 L
F
0 g
0 .01554 m
.00274 .0101 L
.00798 0 L
s
.975 .025 .6 r
0 .98446 m
.00274 .9899 L
.00798 1 L
0 1 L
F
0 g
0 .98446 m
.00274 .9899 L
.00798 1 L
s
1 0 .6 r
0 .00036 m
.00018 0 L
0 0 L
F
0 g
0 .00036 m
.00018 0 L
s
1 0 .6 r
0 .99964 m
.00018 1 L
0 1 L
F
0 g
0 .99964 m
.00018 1 L
s
.55 .45 .6 r
.18126 1 m
.17172 .99125 L
.17031 .9899 L
.16162 .98124 L
.16022 .9798 L
.15152 .97042 L
.15087 .9697 L
.14215 .9596 L
.14141 .95872 L
.13398 .94949 L
.13131 .94606 L
.1263 .93939 L
.12121 .93236 L
.11906 .92929 L
.11222 .91919 L
.11111 .91751 L
.10574 .90909 L
.10101 .90137 L
.09959 .89899 L
.09375 .88889 L
.09091 .88378 L
.0882 .87879 L
.08292 .86869 L
.08081 .86452 L
.07788 .85859 L
.07308 .84848 L
.07071 .8433 L
.06851 .83838 L
.06414 .82828 L
.06061 .81974 L
.05998 .81818 L
.05601 .80808 L
.05222 .79798 L
.05051 .79325 L
.0486 .78788 L
.04516 .77778 L
.04188 .76768 L
.0404 .76297 L
.03876 .75758 L
.03578 .74747 L
.03296 .73737 L
.0303 .72736 L
.03028 .72727 L
.02774 .71717 L
.02533 .70707 L
.02306 .69697 L
.02092 .68687 L
.0202 .68336 L
.0189 .67677 L
.01701 .66667 L
.01524 .65657 L
.01359 .64646 L
.01206 .63636 L
.01064 .62626 L
.0101 .62219 L
.00934 .61616 L
.00815 .60606 L
.00707 .59596 L
.00611 .58586 L
.00525 .57576 L
.0045 .56566 L
.00387 .55556 L
.00333 .54545 L
.00291 .53535 L
.00259 .52525 L
.00238 .51515 L
.00227 .50505 L
.00227 .49495 L
.00238 .48485 L
.00259 .47475 L
.00291 .46465 L
.00333 .45455 L
.00387 .44444 L
.0045 .43434 L
.00525 .42424 L
.00611 .41414 L
.00707 .40404 L
.00815 .39394 L
.00934 .38384 L
.0101 .37781 L
.01064 .37374 L
.01206 .36364 L
.01359 .35354 L
.01524 .34343 L
.01701 .33333 L
.0189 .32323 L
.0202 .31664 L
.02092 .31313 L
.02306 .30303 L
.02533 .29293 L
.02774 .28283 L
.03028 .27273 L
.0303 .27264 L
.03296 .26263 L
.03578 .25253 L
.03876 .24242 L
.0404 .23703 L
.04188 .23232 L
.04516 .22222 L
.0486 .21212 L
.05051 .20675 L
.05222 .20202 L
.05601 .19192 L
.05998 .18182 L
.06061 .18026 L
.06414 .17172 L
.06851 .16162 L
.07071 .1567 L
.07308 .15152 L
.07788 .14141 L
.08081 .13548 L
.08292 .13131 L
.0882 .12121 L
.09091 .11622 L
.09375 .11111 L
.09959 .10101 L
.10101 .09863 L
.10574 .09091 L
.11111 .08249 L
.11222 .08081 L
.11906 .07071 L
.12121 .06764 L
.1263 .06061 L
.13131 .05394 L
.13398 .05051 L
.14141 .04128 L
.14215 .0404 L
.15087 .0303 L
.15152 .02958 L
.16022 .0202 L
.16162 .01876 L
.17031 .0101 L
.17172 .00875 L
.18126 0 L
1 0 L
1 1 L
F
0 g
.18126 1 m
.17172 .99125 L
.17031 .9899 L
.16162 .98124 L
.16022 .9798 L
.15152 .97042 L
.15087 .9697 L
.14215 .9596 L
.14141 .95872 L
.13398 .94949 L
.13131 .94606 L
.1263 .93939 L
.12121 .93236 L
.11906 .92929 L
.11222 .91919 L
.11111 .91751 L
.10574 .90909 L
.10101 .90137 L
.09959 .89899 L
.09375 .88889 L
.09091 .88378 L
.0882 .87879 L
.08292 .86869 L
.08081 .86452 L
.07788 .85859 L
.07308 .84848 L
.07071 .8433 L
.06851 .83838 L
.06414 .82828 L
.06061 .81974 L
.05998 .81818 L
.05601 .80808 L
.05222 .79798 L
.05051 .79325 L
.0486 .78788 L
.04516 .77778 L
.04188 .76768 L
.0404 .76297 L
.03876 .75758 L
.03578 .74747 L
.03296 .73737 L
.0303 .72736 L
.03028 .72727 L
.02774 .71717 L
.02533 .70707 L
.02306 .69697 L
.02092 .68687 L
.0202 .68336 L
.0189 .67677 L
.01701 .66667 L
Mistroke
.01524 .65657 L
.01359 .64646 L
.01206 .63636 L
.01064 .62626 L
.0101 .62219 L
.00934 .61616 L
.00815 .60606 L
.00707 .59596 L
.00611 .58586 L
.00525 .57576 L
.0045 .56566 L
.00387 .55556 L
.00333 .54545 L
.00291 .53535 L
.00259 .52525 L
.00238 .51515 L
.00227 .50505 L
.00227 .49495 L
.00238 .48485 L
.00259 .47475 L
.00291 .46465 L
.00333 .45455 L
.00387 .44444 L
.0045 .43434 L
.00525 .42424 L
.00611 .41414 L
.00707 .40404 L
.00815 .39394 L
.00934 .38384 L
.0101 .37781 L
.01064 .37374 L
.01206 .36364 L
.01359 .35354 L
.01524 .34343 L
.01701 .33333 L
.0189 .32323 L
.0202 .31664 L
.02092 .31313 L
.02306 .30303 L
.02533 .29293 L
.02774 .28283 L
.03028 .27273 L
.0303 .27264 L
.03296 .26263 L
.03578 .25253 L
.03876 .24242 L
.0404 .23703 L
.04188 .23232 L
.04516 .22222 L
.0486 .21212 L
Mistroke
.05051 .20675 L
.05222 .20202 L
.05601 .19192 L
.05998 .18182 L
.06061 .18026 L
.06414 .17172 L
.06851 .16162 L
.07071 .1567 L
.07308 .15152 L
.07788 .14141 L
.08081 .13548 L
.08292 .13131 L
.0882 .12121 L
.09091 .11622 L
.09375 .11111 L
.09959 .10101 L
.10101 .09863 L
.10574 .09091 L
.11111 .08249 L
.11222 .08081 L
.11906 .07071 L
.12121 .06764 L
.1263 .06061 L
.13131 .05394 L
.13398 .05051 L
.14141 .04128 L
.14215 .0404 L
.15087 .0303 L
.15152 .02958 L
.16022 .0202 L
.16162 .01876 L
.17031 .0101 L
.17172 .00875 L
.18126 0 L
Mfstroke
.525 .475 .6 r
.19915 1 m
.19192 .99414 L
.18695 .9899 L
.18182 .98534 L
.17586 .9798 L
.17172 .97579 L
.16566 .9697 L
.16162 .96546 L
.15623 .9596 L
.15152 .95426 L
.14745 .94949 L
.14141 .94213 L
.13924 .93939 L
.13154 .92929 L
.13131 .92898 L
.12429 .91919 L
.12121 .91472 L
.11745 .90909 L
.11111 .89921 L
.11097 .89899 L
.10484 .88889 L
.10101 .8823 L
.09902 .87879 L
.09349 .86869 L
.09091 .86379 L
.08823 .85859 L
.08323 .84848 L
.08081 .84341 L
.07847 .83838 L
.07393 .82828 L
.07071 .8208 L
.06961 .81818 L
.06549 .80808 L
.06156 .79798 L
.06061 .79545 L
.05782 .78788 L
.05426 .77778 L
.05087 .76768 L
.05051 .76656 L
.04764 .75758 L
.04458 .74747 L
.04167 .73737 L
.0404 .73283 L
.0389 .72727 L
.03628 .71717 L
.03381 .70707 L
.03147 .69697 L
.0303 .69171 L
.02926 .68687 L
.02719 .67677 L
.02524 .66667 L
.02343 .65657 L
.02173 .64646 L
.0202 .63667 L
.02016 .63636 L
.0187 .62626 L
.01737 .61616 L
.01615 .60606 L
.01504 .59596 L
.01405 .58586 L
.01317 .57576 L
.01241 .56566 L
.01175 .55556 L
.01121 .54545 L
.01077 .53535 L
.01045 .52525 L
.01023 .51515 L
.01012 .50505 L
.01012 .49495 L
.01023 .48485 L
.01045 .47475 L
.01077 .46465 L
.01121 .45455 L
.01175 .44444 L
.01241 .43434 L
.01317 .42424 L
.01405 .41414 L
.01504 .40404 L
.01615 .39394 L
.01737 .38384 L
.0187 .37374 L
.02016 .36364 L
.0202 .36333 L
.02173 .35354 L
.02343 .34343 L
.02524 .33333 L
.02719 .32323 L
.02926 .31313 L
.0303 .30829 L
.03147 .30303 L
.03381 .29293 L
.03628 .28283 L
.0389 .27273 L
.0404 .26717 L
.04167 .26263 L
.04458 .25253 L
.04764 .24242 L
.05051 .23344 L
.05087 .23232 L
.05426 .22222 L
.05782 .21212 L
.06061 .20455 L
.06156 .20202 L
.06549 .19192 L
.06961 .18182 L
.07071 .1792 L
.07393 .17172 L
.07847 .16162 L
.08081 .15659 L
.08323 .15152 L
.08823 .14141 L
.09091 .13621 L
.09349 .13131 L
.09902 .12121 L
.10101 .1177 L
.10484 .11111 L
.11097 .10101 L
.11111 .10079 L
.11745 .09091 L
.12121 .08528 L
.12429 .08081 L
.13131 .07102 L
.13154 .07071 L
.13924 .06061 L
.14141 .05787 L
.14745 .05051 L
.15152 .04574 L
.15623 .0404 L
.16162 .03454 L
.16566 .0303 L
.17172 .02421 L
.17586 .0202 L
.18182 .01466 L
.18695 .0101 L
.19192 .00586 L
.19915 0 L
1 0 L
1 1 L
F
0 g
.19915 1 m
.19192 .99414 L
.18695 .9899 L
.18182 .98534 L
.17586 .9798 L
.17172 .97579 L
.16566 .9697 L
.16162 .96546 L
.15623 .9596 L
.15152 .95426 L
.14745 .94949 L
.14141 .94213 L
.13924 .93939 L
.13154 .92929 L
.13131 .92898 L
.12429 .91919 L
.12121 .91472 L
.11745 .90909 L
.11111 .89921 L
.11097 .89899 L
.10484 .88889 L
.10101 .8823 L
.09902 .87879 L
.09349 .86869 L
.09091 .86379 L
.08823 .85859 L
.08323 .84848 L
.08081 .84341 L
.07847 .83838 L
.07393 .82828 L
.07071 .8208 L
.06961 .81818 L
.06549 .80808 L
.06156 .79798 L
.06061 .79545 L
.05782 .78788 L
.05426 .77778 L
.05087 .76768 L
.05051 .76656 L
.04764 .75758 L
.04458 .74747 L
.04167 .73737 L
.0404 .73283 L
.0389 .72727 L
.03628 .71717 L
.03381 .70707 L
.03147 .69697 L
.0303 .69171 L
.02926 .68687 L
.02719 .67677 L
Mistroke
.02524 .66667 L
.02343 .65657 L
.02173 .64646 L
.0202 .63667 L
.02016 .63636 L
.0187 .62626 L
.01737 .61616 L
.01615 .60606 L
.01504 .59596 L
.01405 .58586 L
.01317 .57576 L
.01241 .56566 L
.01175 .55556 L
.01121 .54545 L
.01077 .53535 L
.01045 .52525 L
.01023 .51515 L
.01012 .50505 L
.01012 .49495 L
.01023 .48485 L
.01045 .47475 L
.01077 .46465 L
.01121 .45455 L
.01175 .44444 L
.01241 .43434 L
.01317 .42424 L
.01405 .41414 L
.01504 .40404 L
.01615 .39394 L
.01737 .38384 L
.0187 .37374 L
.02016 .36364 L
.0202 .36333 L
.02173 .35354 L
.02343 .34343 L
.02524 .33333 L
.02719 .32323 L
.02926 .31313 L
.0303 .30829 L
.03147 .30303 L
.03381 .29293 L
.03628 .28283 L
.0389 .27273 L
.0404 .26717 L
.04167 .26263 L
.04458 .25253 L
.04764 .24242 L
.05051 .23344 L
.05087 .23232 L
.05426 .22222 L
Mistroke
.05782 .21212 L
.06061 .20455 L
.06156 .20202 L
.06549 .19192 L
.06961 .18182 L
.07071 .1792 L
.07393 .17172 L
.07847 .16162 L
.08081 .15659 L
.08323 .15152 L
.08823 .14141 L
.09091 .13621 L
.09349 .13131 L
.09902 .12121 L
.10101 .1177 L
.10484 .11111 L
.11097 .10101 L
.11111 .10079 L
.11745 .09091 L
.12121 .08528 L
.12429 .08081 L
.13131 .07102 L
.13154 .07071 L
.13924 .06061 L
.14141 .05787 L
.14745 .05051 L
.15152 .04574 L
.15623 .0404 L
.16162 .03454 L
.16566 .0303 L
.17172 .02421 L
.17586 .0202 L
.18182 .01466 L
.18695 .0101 L
.19192 .00586 L
.19915 0 L
Mfstroke
.5 .5 .6 r
.21951 1 m
.21212 .9948 L
.20556 .9899 L
.20202 .98713 L
.19311 .9798 L
.19192 .97878 L
.18182 .9697 L
.18182 .96969 L
.17172 .95982 L
.17149 .9596 L
.16196 .94949 L
.16162 .94912 L
.15311 .93939 L
.15152 .9375 L
.14484 .92929 L
.14141 .92489 L
.13711 .91919 L
.13131 .9112 L
.12983 .90909 L
.12297 .89899 L
.12121 .8963 L
.1165 .88889 L
.11111 .88004 L
.11037 .87879 L
.10456 .86869 L
.10101 .86223 L
.09905 .85859 L
.09382 .84848 L
.09091 .84264 L
.08884 .83838 L
.08411 .82828 L
.08081 .82092 L
.07961 .81818 L
.07533 .80808 L
.07125 .79798 L
.07071 .7966 L
.06737 .78788 L
.06368 .77778 L
.06061 .76897 L
.06017 .76768 L
.05683 .75758 L
.05366 .74747 L
.05065 .73737 L
.05051 .73688 L
.04779 .72727 L
.04509 .71717 L
.04254 .70707 L
.0404 .69816 L
.04013 .69697 L
.03786 .68687 L
.03572 .67677 L
.03372 .66667 L
.03184 .65657 L
.0303 .64768 L
.0301 .64646 L
.02848 .63636 L
.02699 .62626 L
.02561 .61616 L
.02436 .60606 L
.02322 .59596 L
.02221 .58586 L
.02131 .57576 L
.02052 .56566 L
.0202 .56114 L
.01985 .55556 L
.01929 .54545 L
.01884 .53535 L
.0185 .52525 L
.01828 .51515 L
.01817 .50505 L
.01817 .49495 L
.01828 .48485 L
.0185 .47475 L
.01884 .46465 L
.01929 .45455 L
.01985 .44444 L
.0202 .43886 L
.02052 .43434 L
.02131 .42424 L
.02221 .41414 L
.02322 .40404 L
.02436 .39394 L
.02561 .38384 L
.02699 .37374 L
.02848 .36364 L
.0301 .35354 L
.0303 .35232 L
.03184 .34343 L
.03372 .33333 L
.03572 .32323 L
.03786 .31313 L
.04013 .30303 L
.0404 .30184 L
.04254 .29293 L
.04509 .28283 L
.04779 .27273 L
.05051 .26312 L
.05065 .26263 L
.05366 .25253 L
.05683 .24242 L
.06017 .23232 L
.06061 .23103 L
.06368 .22222 L
.06737 .21212 L
.07071 .2034 L
.07125 .20202 L
.07533 .19192 L
.07961 .18182 L
.08081 .17908 L
.08411 .17172 L
.08884 .16162 L
.09091 .15736 L
.09382 .15152 L
.09905 .14141 L
.10101 .13777 L
.10456 .13131 L
.11037 .12121 L
.11111 .11996 L
.1165 .11111 L
.12121 .1037 L
.12297 .10101 L
.12983 .09091 L
.13131 .0888 L
.13711 .08081 L
.14141 .07511 L
.14484 .07071 L
.15152 .0625 L
.15311 .06061 L
.16162 .05088 L
.16196 .05051 L
.17149 .0404 L
.17172 .04018 L
.18182 .03031 L
.18182 .0303 L
.19192 .02122 L
.19311 .0202 L
.20202 .01287 L
.20556 .0101 L
.21212 .0052 L
.21951 0 L
1 0 L
1 1 L
F
0 g
.21951 1 m
.21212 .9948 L
.20556 .9899 L
.20202 .98713 L
.19311 .9798 L
.19192 .97878 L
.18182 .9697 L
.18182 .96969 L
.17172 .95982 L
.17149 .9596 L
.16196 .94949 L
.16162 .94912 L
.15311 .93939 L
.15152 .9375 L
.14484 .92929 L
.14141 .92489 L
.13711 .91919 L
.13131 .9112 L
.12983 .90909 L
.12297 .89899 L
.12121 .8963 L
.1165 .88889 L
.11111 .88004 L
.11037 .87879 L
.10456 .86869 L
.10101 .86223 L
.09905 .85859 L
.09382 .84848 L
.09091 .84264 L
.08884 .83838 L
.08411 .82828 L
.08081 .82092 L
.07961 .81818 L
.07533 .80808 L
.07125 .79798 L
.07071 .7966 L
.06737 .78788 L
.06368 .77778 L
.06061 .76897 L
.06017 .76768 L
.05683 .75758 L
.05366 .74747 L
.05065 .73737 L
.05051 .73688 L
.04779 .72727 L
.04509 .71717 L
.04254 .70707 L
.0404 .69816 L
.04013 .69697 L
.03786 .68687 L
Mistroke
.03572 .67677 L
.03372 .66667 L
.03184 .65657 L
.0303 .64768 L
.0301 .64646 L
.02848 .63636 L
.02699 .62626 L
.02561 .61616 L
.02436 .60606 L
.02322 .59596 L
.02221 .58586 L
.02131 .57576 L
.02052 .56566 L
.0202 .56114 L
.01985 .55556 L
.01929 .54545 L
.01884 .53535 L
.0185 .52525 L
.01828 .51515 L
.01817 .50505 L
.01817 .49495 L
.01828 .48485 L
.0185 .47475 L
.01884 .46465 L
.01929 .45455 L
.01985 .44444 L
.0202 .43886 L
.02052 .43434 L
.02131 .42424 L
.02221 .41414 L
.02322 .40404 L
.02436 .39394 L
.02561 .38384 L
.02699 .37374 L
.02848 .36364 L
.0301 .35354 L
.0303 .35232 L
.03184 .34343 L
.03372 .33333 L
.03572 .32323 L
.03786 .31313 L
.04013 .30303 L
.0404 .30184 L
.04254 .29293 L
.04509 .28283 L
.04779 .27273 L
.05051 .26312 L
.05065 .26263 L
.05366 .25253 L
.05683 .24242 L
Mistroke
.06017 .23232 L
.06061 .23103 L
.06368 .22222 L
.06737 .21212 L
.07071 .2034 L
.07125 .20202 L
.07533 .19192 L
.07961 .18182 L
.08081 .17908 L
.08411 .17172 L
.08884 .16162 L
.09091 .15736 L
.09382 .15152 L
.09905 .14141 L
.10101 .13777 L
.10456 .13131 L
.11037 .12121 L
.11111 .11996 L
.1165 .11111 L
.12121 .1037 L
.12297 .10101 L
.12983 .09091 L
.13131 .0888 L
.13711 .08081 L
.14141 .07511 L
.14484 .07071 L
.15152 .0625 L
.15311 .06061 L
.16162 .05088 L
.16196 .05051 L
.17149 .0404 L
.17172 .04018 L
.18182 .03031 L
.18182 .0303 L
.19192 .02122 L
.19311 .0202 L
.20202 .01287 L
.20556 .0101 L
.21212 .0052 L
.21951 0 L
Mfstroke
.475 .525 .6 r
.24363 1 m
.24242 .99932 L
.23232 .99332 L
.22698 .9899 L
.22222 .98671 L
.21256 .9798 L
.21212 .97947 L
.20202 .97155 L
.19978 .9697 L
.19192 .96291 L
.18826 .9596 L
.18182 .95351 L
.17775 .94949 L
.17172 .94328 L
.16809 .93939 L
.16162 .93216 L
.15914 .92929 L
.15152 .92008 L
.15081 .91919 L
.14302 .90909 L
.14141 .90693 L
.13571 .89899 L
.13131 .89261 L
.12883 .88889 L
.12234 .87879 L
.12121 .87697 L
.11621 .86869 L
.11111 .85984 L
.11041 .85859 L
.10491 .84848 L
.10101 .84098 L
.09969 .83838 L
.09474 .82828 L
.09091 .82009 L
.09004 .81818 L
.08557 .80808 L
.08132 .79798 L
.08081 .79672 L
.07728 .78788 L
.07345 .77778 L
.07071 .77024 L
.0698 .76768 L
.06634 .75758 L
.06305 .74747 L
.06061 .73959 L
.05994 .73737 L
.05698 .72727 L
.05419 .71717 L
.05155 .70707 L
.05051 .7029 L
.04906 .69697 L
.04671 .68687 L
.04451 .67677 L
.04244 .66667 L
.04051 .65657 L
.0404 .65596 L
.03872 .64646 L
.03705 .63636 L
.03551 .62626 L
.0341 .61616 L
.03281 .60606 L
.03164 .59596 L
.03059 .58586 L
.0303 .58287 L
.02966 .57576 L
.02885 .56566 L
.02816 .55556 L
.02759 .54545 L
.02713 .53535 L
.02678 .52525 L
.02655 .51515 L
.02644 .50505 L
.02644 .49495 L
.02655 .48485 L
.02678 .47475 L
.02713 .46465 L
.02759 .45455 L
.02816 .44444 L
.02885 .43434 L
.02966 .42424 L
.0303 .41713 L
.03059 .41414 L
.03164 .40404 L
.03281 .39394 L
.0341 .38384 L
.03551 .37374 L
.03705 .36364 L
.03872 .35354 L
.0404 .34404 L
.04051 .34343 L
.04244 .33333 L
.04451 .32323 L
.04671 .31313 L
.04906 .30303 L
.05051 .2971 L
.05155 .29293 L
.05419 .28283 L
.05698 .27273 L
.05994 .26263 L
.06061 .26041 L
.06305 .25253 L
.06634 .24242 L
.0698 .23232 L
.07071 .22976 L
.07345 .22222 L
.07728 .21212 L
.08081 .20328 L
.08132 .20202 L
.08557 .19192 L
.09004 .18182 L
.09091 .17991 L
.09474 .17172 L
.09969 .16162 L
.10101 .15902 L
.10491 .15152 L
.11041 .14141 L
.11111 .14016 L
.11621 .13131 L
.12121 .12303 L
.12234 .12121 L
.12883 .11111 L
.13131 .10739 L
.13571 .10101 L
.14141 .09307 L
.14302 .09091 L
.15081 .08081 L
.15152 .07992 L
.15914 .07071 L
.16162 .06784 L
.16809 .06061 L
.17172 .05672 L
.17775 .05051 L
.18182 .04649 L
.18826 .0404 L
.19192 .03709 L
.19978 .0303 L
.20202 .02845 L
.21212 .02053 L
.21256 .0202 L
.22222 .01329 L
.22698 .0101 L
.23232 .00668 L
.24242 .00068 L
.24363 0 L
1 0 L
1 1 L
F
0 g
.24363 1 m
.24242 .99932 L
.23232 .99332 L
.22698 .9899 L
.22222 .98671 L
.21256 .9798 L
.21212 .97947 L
.20202 .97155 L
.19978 .9697 L
.19192 .96291 L
.18826 .9596 L
.18182 .95351 L
.17775 .94949 L
.17172 .94328 L
.16809 .93939 L
.16162 .93216 L
.15914 .92929 L
.15152 .92008 L
.15081 .91919 L
.14302 .90909 L
.14141 .90693 L
.13571 .89899 L
.13131 .89261 L
.12883 .88889 L
.12234 .87879 L
.12121 .87697 L
.11621 .86869 L
.11111 .85984 L
.11041 .85859 L
.10491 .84848 L
.10101 .84098 L
.09969 .83838 L
.09474 .82828 L
.09091 .82009 L
.09004 .81818 L
.08557 .80808 L
.08132 .79798 L
.08081 .79672 L
.07728 .78788 L
.07345 .77778 L
.07071 .77024 L
.0698 .76768 L
.06634 .75758 L
.06305 .74747 L
.06061 .73959 L
.05994 .73737 L
.05698 .72727 L
.05419 .71717 L
.05155 .70707 L
.05051 .7029 L
Mistroke
.04906 .69697 L
.04671 .68687 L
.04451 .67677 L
.04244 .66667 L
.04051 .65657 L
.0404 .65596 L
.03872 .64646 L
.03705 .63636 L
.03551 .62626 L
.0341 .61616 L
.03281 .60606 L
.03164 .59596 L
.03059 .58586 L
.0303 .58287 L
.02966 .57576 L
.02885 .56566 L
.02816 .55556 L
.02759 .54545 L
.02713 .53535 L
.02678 .52525 L
.02655 .51515 L
.02644 .50505 L
.02644 .49495 L
.02655 .48485 L
.02678 .47475 L
.02713 .46465 L
.02759 .45455 L
.02816 .44444 L
.02885 .43434 L
.02966 .42424 L
.0303 .41713 L
.03059 .41414 L
.03164 .40404 L
.03281 .39394 L
.0341 .38384 L
.03551 .37374 L
.03705 .36364 L
.03872 .35354 L
.0404 .34404 L
.04051 .34343 L
.04244 .33333 L
.04451 .32323 L
.04671 .31313 L
.04906 .30303 L
.05051 .2971 L
.05155 .29293 L
.05419 .28283 L
.05698 .27273 L
.05994 .26263 L
.06061 .26041 L
Mistroke
.06305 .25253 L
.06634 .24242 L
.0698 .23232 L
.07071 .22976 L
.07345 .22222 L
.07728 .21212 L
.08081 .20328 L
.08132 .20202 L
.08557 .19192 L
.09004 .18182 L
.09091 .17991 L
.09474 .17172 L
.09969 .16162 L
.10101 .15902 L
.10491 .15152 L
.11041 .14141 L
.11111 .14016 L
.11621 .13131 L
.12121 .12303 L
.12234 .12121 L
.12883 .11111 L
.13131 .10739 L
.13571 .10101 L
.14141 .09307 L
.14302 .09091 L
.15081 .08081 L
.15152 .07992 L
.15914 .07071 L
.16162 .06784 L
.16809 .06061 L
.17172 .05672 L
.17775 .05051 L
.18182 .04649 L
.18826 .0404 L
.19192 .03709 L
.19978 .0303 L
.20202 .02845 L
.21212 .02053 L
.21256 .0202 L
.22222 .01329 L
.22698 .0101 L
.23232 .00668 L
.24242 .00068 L
.24363 0 L
Mfstroke
.45 .55 .6 r
.27452 1 m
.27273 .99926 L
.26263 .99476 L
.25285 .9899 L
.25253 .98973 L
.24242 .98413 L
.23526 .9798 L
.23232 .97793 L
.22222 .97111 L
.22024 .9697 L
.21212 .96362 L
.20704 .9596 L
.20202 .95543 L
.19523 .94949 L
.19192 .94648 L
.1845 .93939 L
.18182 .93672 L
.17467 .92929 L
.17172 .92609 L
.16559 .91919 L
.16162 .91451 L
.15717 .90909 L
.15152 .9019 L
.1493 .89899 L
.14194 .88889 L
.14141 .88814 L
.13503 .87879 L
.13131 .8731 L
.12852 .86869 L
.12238 .85859 L
.12121 .8566 L
.11657 .84848 L
.11111 .83844 L
.11108 .83838 L
.10588 .82828 L
.10101 .81832 L
.10094 .81818 L
.09626 .80808 L
.09182 .79798 L
.09091 .79583 L
.08761 .78788 L
.08361 .77778 L
.08081 .77037 L
.07981 .76768 L
.07621 .75758 L
.0728 .74747 L
.07071 .74101 L
.06956 .73737 L
.0665 .72727 L
.0636 .71717 L
.06087 .70707 L
.06061 .70606 L
.05829 .69697 L
.05587 .68687 L
.05359 .67677 L
.05145 .66667 L
.05051 .66195 L
.04946 .65657 L
.0476 .64646 L
.04588 .63636 L
.04429 .62626 L
.04284 .61616 L
.04151 .60606 L
.0404 .59687 L
.0403 .59596 L
.03922 .58586 L
.03827 .57576 L
.03743 .56566 L
.03672 .55556 L
.03613 .54545 L
.03565 .53535 L
.0353 .52525 L
.03506 .51515 L
.03495 .50505 L
.03495 .49495 L
.03506 .48485 L
.0353 .47475 L
.03565 .46465 L
.03613 .45455 L
.03672 .44444 L
.03743 .43434 L
.03827 .42424 L
.03922 .41414 L
.0403 .40404 L
.0404 .40313 L
.04151 .39394 L
.04284 .38384 L
.04429 .37374 L
.04588 .36364 L
.0476 .35354 L
.04946 .34343 L
.05051 .33805 L
.05145 .33333 L
.05359 .32323 L
.05587 .31313 L
.05829 .30303 L
.06061 .29394 L
.06087 .29293 L
.0636 .28283 L
.0665 .27273 L
.06956 .26263 L
.07071 .25899 L
.0728 .25253 L
.07621 .24242 L
.07981 .23232 L
.08081 .22963 L
.08361 .22222 L
.08761 .21212 L
.09091 .20417 L
.09182 .20202 L
.09626 .19192 L
.10094 .18182 L
.10101 .18168 L
.10588 .17172 L
.11108 .16162 L
.11111 .16156 L
.11657 .15152 L
.12121 .1434 L
.12238 .14141 L
.12852 .13131 L
.13131 .1269 L
.13503 .12121 L
.14141 .11186 L
.14194 .11111 L
.1493 .10101 L
.15152 .0981 L
.15717 .09091 L
.16162 .08549 L
.16559 .08081 L
.17172 .07391 L
.17467 .07071 L
.18182 .06328 L
.1845 .06061 L
.19192 .05352 L
.19523 .05051 L
.20202 .04457 L
.20704 .0404 L
.21212 .03638 L
.22024 .0303 L
.22222 .02889 L
.23232 .02207 L
.23526 .0202 L
.24242 .01587 L
.25253 .01027 L
.25285 .0101 L
.26263 .00524 L
.27273 .00074 L
.27452 0 L
1 0 L
1 1 L
F
0 g
.27452 1 m
.27273 .99926 L
.26263 .99476 L
.25285 .9899 L
.25253 .98973 L
.24242 .98413 L
.23526 .9798 L
.23232 .97793 L
.22222 .97111 L
.22024 .9697 L
.21212 .96362 L
.20704 .9596 L
.20202 .95543 L
.19523 .94949 L
.19192 .94648 L
.1845 .93939 L
.18182 .93672 L
.17467 .92929 L
.17172 .92609 L
.16559 .91919 L
.16162 .91451 L
.15717 .90909 L
.15152 .9019 L
.1493 .89899 L
.14194 .88889 L
.14141 .88814 L
.13503 .87879 L
.13131 .8731 L
.12852 .86869 L
.12238 .85859 L
.12121 .8566 L
.11657 .84848 L
.11111 .83844 L
.11108 .83838 L
.10588 .82828 L
.10101 .81832 L
.10094 .81818 L
.09626 .80808 L
.09182 .79798 L
.09091 .79583 L
.08761 .78788 L
.08361 .77778 L
.08081 .77037 L
.07981 .76768 L
.07621 .75758 L
.0728 .74747 L
.07071 .74101 L
.06956 .73737 L
.0665 .72727 L
.0636 .71717 L
Mistroke
.06087 .70707 L
.06061 .70606 L
.05829 .69697 L
.05587 .68687 L
.05359 .67677 L
.05145 .66667 L
.05051 .66195 L
.04946 .65657 L
.0476 .64646 L
.04588 .63636 L
.04429 .62626 L
.04284 .61616 L
.04151 .60606 L
.0404 .59687 L
.0403 .59596 L
.03922 .58586 L
.03827 .57576 L
.03743 .56566 L
.03672 .55556 L
.03613 .54545 L
.03565 .53535 L
.0353 .52525 L
.03506 .51515 L
.03495 .50505 L
.03495 .49495 L
.03506 .48485 L
.0353 .47475 L
.03565 .46465 L
.03613 .45455 L
.03672 .44444 L
.03743 .43434 L
.03827 .42424 L
.03922 .41414 L
.0403 .40404 L
.0404 .40313 L
.04151 .39394 L
.04284 .38384 L
.04429 .37374 L
.04588 .36364 L
.0476 .35354 L
.04946 .34343 L
.05051 .33805 L
.05145 .33333 L
.05359 .32323 L
.05587 .31313 L
.05829 .30303 L
.06061 .29394 L
.06087 .29293 L
.0636 .28283 L
.0665 .27273 L
Mistroke
.06956 .26263 L
.07071 .25899 L
.0728 .25253 L
.07621 .24242 L
.07981 .23232 L
.08081 .22963 L
.08361 .22222 L
.08761 .21212 L
.09091 .20417 L
.09182 .20202 L
.09626 .19192 L
.10094 .18182 L
.10101 .18168 L
.10588 .17172 L
.11108 .16162 L
.11111 .16156 L
.11657 .15152 L
.12121 .1434 L
.12238 .14141 L
.12852 .13131 L
.13131 .1269 L
.13503 .12121 L
.14141 .11186 L
.14194 .11111 L
.1493 .10101 L
.15152 .0981 L
.15717 .09091 L
.16162 .08549 L
.16559 .08081 L
.17172 .07391 L
.17467 .07071 L
.18182 .06328 L
.1845 .06061 L
.19192 .05352 L
.19523 .05051 L
.20202 .04457 L
.20704 .0404 L
.21212 .03638 L
.22024 .0303 L
.22222 .02889 L
.23232 .02207 L
.23526 .0202 L
.24242 .01587 L
.25253 .01027 L
.25285 .0101 L
.26263 .00524 L
.27273 .00074 L
.27452 0 L
Mfstroke
.425 .575 .6 r
.32491 1 m
.32323 .99968 L
.31313 .99749 L
.30303 .99486 L
.29293 .99176 L
.28753 .9899 L
.28283 .98816 L
.27273 .98406 L
.2634 .9798 L
.26263 .97942 L
.25253 .97423 L
.24453 .9697 L
.24242 .96844 L
.23232 .96204 L
.22872 .9596 L
.22222 .95498 L
.21499 .94949 L
.21212 .94722 L
.20279 .93939 L
.20202 .93872 L
.19192 .92942 L
.19179 .92929 L
.18182 .91927 L
.18175 .91919 L
.17251 .90909 L
.17172 .90818 L
.16396 .89899 L
.16162 .89608 L
.15601 .88889 L
.15152 .88286 L
.14858 .87879 L
.14161 .86869 L
.14141 .86839 L
.13507 .85859 L
.13131 .8525 L
.1289 .84848 L
.12309 .83838 L
.12121 .835 L
.11759 .82828 L
.1124 .81818 L
.11111 .8156 L
.10748 .80808 L
.10282 .79798 L
.10101 .79391 L
.0984 .78788 L
.09422 .77778 L
.09091 .76939 L
.09025 .76768 L
.08649 .75758 L
.08293 .74747 L
.08081 .74116 L
.07957 .73737 L
.07638 .72727 L
.07337 .71717 L
.07071 .70771 L
.07053 .70707 L
.06786 .69697 L
.06534 .68687 L
.06298 .67677 L
.06077 .66667 L
.06061 .66589 L
.05871 .65657 L
.05679 .64646 L
.05501 .63636 L
.05336 .62626 L
.05186 .61616 L
.05051 .60623 L
.05048 .60606 L
.04924 .59596 L
.04812 .58586 L
.04714 .57576 L
.04628 .56566 L
.04554 .55556 L
.04493 .54545 L
.04444 .53535 L
.04408 .52525 L
.04383 .51515 L
.04371 .50505 L
.04371 .49495 L
.04383 .48485 L
.04408 .47475 L
.04444 .46465 L
.04493 .45455 L
.04554 .44444 L
.04628 .43434 L
.04714 .42424 L
.04812 .41414 L
.04924 .40404 L
.05048 .39394 L
.05051 .39377 L
.05186 .38384 L
.05336 .37374 L
.05501 .36364 L
.05679 .35354 L
.05871 .34343 L
.06061 .33411 L
.06077 .33333 L
.06298 .32323 L
.06534 .31313 L
.06786 .30303 L
.07053 .29293 L
.07071 .29229 L
.07337 .28283 L
.07638 .27273 L
.07957 .26263 L
.08081 .25884 L
.08293 .25253 L
.08649 .24242 L
.09025 .23232 L
.09091 .23061 L
.09422 .22222 L
.0984 .21212 L
.10101 .20609 L
.10282 .20202 L
.10748 .19192 L
.11111 .1844 L
.1124 .18182 L
.11759 .17172 L
.12121 .165 L
.12309 .16162 L
.1289 .15152 L
.13131 .1475 L
.13507 .14141 L
.14141 .13161 L
.14161 .13131 L
.14858 .12121 L
.15152 .11714 L
.15601 .11111 L
.16162 .10392 L
.16396 .10101 L
.17172 .09182 L
.17251 .09091 L
.18175 .08081 L
.18182 .08073 L
.19179 .07071 L
.19192 .07058 L
.20202 .06128 L
.20279 .06061 L
.21212 .05278 L
.21499 .05051 L
.22222 .04502 L
.22872 .0404 L
.23232 .03796 L
.24242 .03156 L
.24453 .0303 L
.25253 .02577 L
.26263 .02058 L
.2634 .0202 L
.27273 .01594 L
.28283 .01184 L
.28753 .0101 L
.29293 .00824 L
.30303 .00514 L
.31313 .00251 L
.32323 .00032 L
.32491 0 L
1 0 L
1 1 L
F
0 g
.32491 1 m
.32323 .99968 L
.31313 .99749 L
.30303 .99486 L
.29293 .99176 L
.28753 .9899 L
.28283 .98816 L
.27273 .98406 L
.2634 .9798 L
.26263 .97942 L
.25253 .97423 L
.24453 .9697 L
.24242 .96844 L
.23232 .96204 L
.22872 .9596 L
.22222 .95498 L
.21499 .94949 L
.21212 .94722 L
.20279 .93939 L
.20202 .93872 L
.19192 .92942 L
.19179 .92929 L
.18182 .91927 L
.18175 .91919 L
.17251 .90909 L
.17172 .90818 L
.16396 .89899 L
.16162 .89608 L
.15601 .88889 L
.15152 .88286 L
.14858 .87879 L
.14161 .86869 L
.14141 .86839 L
.13507 .85859 L
.13131 .8525 L
.1289 .84848 L
.12309 .83838 L
.12121 .835 L
.11759 .82828 L
.1124 .81818 L
.11111 .8156 L
.10748 .80808 L
.10282 .79798 L
.10101 .79391 L
.0984 .78788 L
.09422 .77778 L
.09091 .76939 L
.09025 .76768 L
.08649 .75758 L
.08293 .74747 L
Mistroke
.08081 .74116 L
.07957 .73737 L
.07638 .72727 L
.07337 .71717 L
.07071 .70771 L
.07053 .70707 L
.06786 .69697 L
.06534 .68687 L
.06298 .67677 L
.06077 .66667 L
.06061 .66589 L
.05871 .65657 L
.05679 .64646 L
.05501 .63636 L
.05336 .62626 L
.05186 .61616 L
.05051 .60623 L
.05048 .60606 L
.04924 .59596 L
.04812 .58586 L
.04714 .57576 L
.04628 .56566 L
.04554 .55556 L
.04493 .54545 L
.04444 .53535 L
.04408 .52525 L
.04383 .51515 L
.04371 .50505 L
.04371 .49495 L
.04383 .48485 L
.04408 .47475 L
.04444 .46465 L
.04493 .45455 L
.04554 .44444 L
.04628 .43434 L
.04714 .42424 L
.04812 .41414 L
.04924 .40404 L
.05048 .39394 L
.05051 .39377 L
.05186 .38384 L
.05336 .37374 L
.05501 .36364 L
.05679 .35354 L
.05871 .34343 L
.06061 .33411 L
.06077 .33333 L
.06298 .32323 L
.06534 .31313 L
.06786 .30303 L
Mistroke
.07053 .29293 L
.07071 .29229 L
.07337 .28283 L
.07638 .27273 L
.07957 .26263 L
.08081 .25884 L
.08293 .25253 L
.08649 .24242 L
.09025 .23232 L
.09091 .23061 L
.09422 .22222 L
.0984 .21212 L
.10101 .20609 L
.10282 .20202 L
.10748 .19192 L
.11111 .1844 L
.1124 .18182 L
.11759 .17172 L
.12121 .165 L
.12309 .16162 L
.1289 .15152 L
.13131 .1475 L
.13507 .14141 L
.14141 .13161 L
.14161 .13131 L
.14858 .12121 L
.15152 .11714 L
.15601 .11111 L
.16162 .10392 L
.16396 .10101 L
.17172 .09182 L
.17251 .09091 L
.18175 .08081 L
.18182 .08073 L
.19179 .07071 L
.19192 .07058 L
.20202 .06128 L
.20279 .06061 L
.21212 .05278 L
.21499 .05051 L
.22222 .04502 L
.22872 .0404 L
.23232 .03796 L
.24242 .03156 L
.24453 .0303 L
.25253 .02577 L
.26263 .02058 L
.2634 .0202 L
.27273 .01594 L
.28283 .01184 L
Mistroke
.28753 .0101 L
.29293 .00824 L
.30303 .00514 L
.31313 .00251 L
.32323 .00032 L
.32491 0 L
Mfstroke
.4 .6 .6 r
1 .82593 m
.9899 .81855 L
.98938 .81818 L
.9798 .81177 L
.97387 .80808 L
.9697 .80562 L
.9596 .80012 L
.95531 .79798 L
.94949 .79529 L
.93939 .79114 L
.92995 .78788 L
.92929 .78768 L
.91919 .78492 L
.90909 .78286 L
.89899 .78149 L
.88889 .7808 L
.87879 .78078 L
.86869 .7814 L
.85859 .78263 L
.84848 .78446 L
.83838 .78683 L
.83448 .78788 L
.82828 .78972 L
.81818 .79308 L
.80808 .79688 L
.80534 .79798 L
.79798 .80108 L
.78788 .80563 L
.78272 .80808 L
.77778 .81051 L
.76768 .81566 L
.76291 .81818 L
.75758 .82106 L
.74747 .82667 L
.74463 .82828 L
.73737 .83246 L
.72729 .83838 L
.72727 .83839 L
.71717 .84445 L
.71051 .84848 L
.70707 .85059 L
.69697 .85679 L
.69406 .85859 L
.68687 .86303 L
.67775 .86869 L
.67677 .86929 L
.66667 .87555 L
.66142 .87879 L
.65657 .88178 L
.64646 .88796 L
.64494 .88889 L
.63636 .89409 L
.62818 .89899 L
.62626 .90013 L
.61616 .90608 L
.61098 .90909 L
.60606 .91192 L
.59596 .91764 L
.59319 .91919 L
.58586 .92323 L
.57576 .92866 L
.57457 .92929 L
.56566 .93394 L
.55556 .93904 L
.55484 .93939 L
.54545 .94395 L
.53535 .94868 L
.53356 .94949 L
.52525 .95319 L
.51515 .95749 L
.51001 .9596 L
.50505 .96156 L
.49495 .9654 L
.48485 .96899 L
.48278 .9697 L
.47475 .97233 L
.46465 .97539 L
.45455 .97818 L
.44818 .9798 L
.44444 .98069 L
.43434 .9829 L
.42424 .9848 L
.41414 .98639 L
.40404 .98765 L
.39394 .98857 L
.38384 .98914 L
.37374 .98934 L
.36364 .98918 L
.35354 .98862 L
.34343 .98767 L
.33333 .9863 L
.32323 .98449 L
.31313 .98224 L
.30397 .9798 L
.30303 .97952 L
.29293 .97632 L
.28283 .97261 L
.27574 .9697 L
.27273 .96837 L
.26263 .96358 L
.25504 .9596 L
.25253 .9582 L
.24242 .95221 L
.23816 .94949 L
.23232 .94557 L
.22374 .93939 L
.22222 .93825 L
.21212 .93019 L
.21106 .92929 L
.20202 .92134 L
.1997 .91919 L
.19192 .91165 L
.18939 .90909 L
.18182 .90105 L
.17996 .89899 L
.17172 .88945 L
.17125 .88889 L
.16318 .87879 L
.16162 .87675 L
.15566 .86869 L
.15152 .86282 L
.14862 .85859 L
.14203 .84848 L
.14141 .84751 L
.13583 .83838 L
.13131 .83063 L
.12999 .82828 L
.12448 .81818 L
.12121 .8119 L
.11928 .80808 L
.11437 .79798 L
.11111 .79096 L
.10972 .78788 L
.10532 .77778 L
.10117 .76768 L
.10101 .76729 L
.09723 .75758 L
.09351 .74747 L
.09091 .74006 L
.08999 .73737 L
.08667 .72727 L
.08353 .71717 L
.08081 .70789 L
.08058 .70707 L
.07779 .69697 L
.07518 .68687 L
.07272 .67677 L
.07071 .66793 L
.07043 .66667 L
.06829 .65657 L
.0663 .64646 L
.06445 .63636 L
.06275 .62626 L
.06119 .61616 L
.06061 .61215 L
.05977 .60606 L
.05848 .59596 L
.05733 .58586 L
.0563 .57576 L
.05542 .56566 L
.05465 .55556 L
.05402 .54545 L
.05352 .53535 L
.05314 .52525 L
.05289 .51515 L
.05276 .50505 L
.05276 .49495 L
.05289 .48485 L
.05314 .47475 L
.05352 .46465 L
.05402 .45455 L
.05465 .44444 L
.05542 .43434 L
.0563 .42424 L
.05733 .41414 L
.05848 .40404 L
.05977 .39394 L
.06061 .38785 L
.06119 .38384 L
.06275 .37374 L
.06445 .36364 L
.0663 .35354 L
.06829 .34343 L
.07043 .33333 L
.07071 .33207 L
.07272 .32323 L
.07518 .31313 L
.07779 .30303 L
.08058 .29293 L
.08081 .29211 L
.08353 .28283 L
.08667 .27273 L
.08999 .26263 L
.09091 .25994 L
.09351 .25253 L
.09723 .24242 L
.10101 .23271 L
.10117 .23232 L
.10532 .22222 L
.10972 .21212 L
.11111 .20904 L
.11437 .20202 L
.11928 .19192 L
.12121 .1881 L
.12448 .18182 L
.12999 .17172 L
.13131 .16937 L
.13583 .16162 L
.14141 .15249 L
.14203 .15152 L
.14862 .14141 L
.15152 .13718 L
.15566 .13131 L
.16162 .12325 L
.16318 .12121 L
.17125 .11111 L
.17172 .11055 L
.17996 .10101 L
.18182 .09895 L
.18939 .09091 L
.19192 .08835 L
.1997 .08081 L
.20202 .07866 L
.21106 .07071 L
.21212 .06981 L
.22222 .06175 L
.22374 .06061 L
.23232 .05443 L
.23816 .05051 L
.24242 .04779 L
.25253 .0418 L
.25504 .0404 L
.26263 .03642 L
.27273 .03163 L
.27574 .0303 L
.28283 .02739 L
.29293 .02368 L
.30303 .02048 L
.30397 .0202 L
.31313 .01776 L
.32323 .01551 L
.33333 .0137 L
.34343 .01233 L
.35354 .01138 L
.36364 .01082 L
.37374 .01066 L
.38384 .01086 L
.39394 .01143 L
.40404 .01235 L
.41414 .01361 L
.42424 .0152 L
.43434 .0171 L
.44444 .01931 L
.44818 .0202 L
.45455 .02182 L
.46465 .02461 L
.47475 .02767 L
.48278 .0303 L
.48485 .03101 L
.49495 .0346 L
.50505 .03844 L
.51001 .0404 L
.51515 .04251 L
.52525 .04681 L
.53356 .05051 L
.53535 .05132 L
.54545 .05605 L
.55484 .06061 L
.55556 .06096 L
.56566 .06606 L
.57457 .07071 L
.57576 .07134 L
.58586 .07677 L
.59319 .08081 L
.59596 .08236 L
.60606 .08808 L
.61098 .09091 L
.61616 .09392 L
.62626 .09987 L
.62818 .10101 L
.63636 .10591 L
.64494 .11111 L
.64646 .11204 L
.65657 .11822 L
.66142 .12121 L
.66667 .12445 L
.67677 .13071 L
.67775 .13131 L
.68687 .13697 L
.69406 .14141 L
.69697 .14321 L
.70707 .14941 L
.71051 .15152 L
.71717 .15555 L
.72727 .16161 L
.72729 .16162 L
.73737 .16754 L
.74463 .17172 L
.74747 .17333 L
.75758 .17894 L
.76291 .18182 L
.76768 .18434 L
.77778 .18949 L
.78272 .19192 L
.78788 .19437 L
.79798 .19892 L
.80534 .20202 L
.80808 .20312 L
.81818 .20692 L
.82828 .21028 L
.83448 .21212 L
.83838 .21317 L
.84848 .21554 L
.85859 .21737 L
.86869 .2186 L
.87879 .21922 L
.88889 .2192 L
.89899 .21851 L
.90909 .21714 L
.91919 .21508 L
.92929 .21232 L
.92995 .21212 L
.93939 .20886 L
.94949 .20471 L
.95531 .20202 L
.9596 .19988 L
.9697 .19438 L
.97387 .19192 L
.9798 .18823 L
.98938 .18182 L
.9899 .18145 L
1 .17407 L
F
0 g
1 .82593 m
.9899 .81855 L
.98938 .81818 L
.9798 .81177 L
.97387 .80808 L
.9697 .80562 L
.9596 .80012 L
.95531 .79798 L
.94949 .79529 L
.93939 .79114 L
.92995 .78788 L
.92929 .78768 L
.91919 .78492 L
.90909 .78286 L
.89899 .78149 L
.88889 .7808 L
.87879 .78078 L
.86869 .7814 L
.85859 .78263 L
.84848 .78446 L
.83838 .78683 L
.83448 .78788 L
.82828 .78972 L
.81818 .79308 L
.80808 .79688 L
.80534 .79798 L
.79798 .80108 L
.78788 .80563 L
.78272 .80808 L
.77778 .81051 L
.76768 .81566 L
.76291 .81818 L
.75758 .82106 L
.74747 .82667 L
.74463 .82828 L
.73737 .83246 L
.72729 .83838 L
.72727 .83839 L
.71717 .84445 L
.71051 .84848 L
.70707 .85059 L
.69697 .85679 L
.69406 .85859 L
.68687 .86303 L
.67775 .86869 L
.67677 .86929 L
.66667 .87555 L
.66142 .87879 L
.65657 .88178 L
.64646 .88796 L
Mistroke
.64494 .88889 L
.63636 .89409 L
.62818 .89899 L
.62626 .90013 L
.61616 .90608 L
.61098 .90909 L
.60606 .91192 L
.59596 .91764 L
.59319 .91919 L
.58586 .92323 L
.57576 .92866 L
.57457 .92929 L
.56566 .93394 L
.55556 .93904 L
.55484 .93939 L
.54545 .94395 L
.53535 .94868 L
.53356 .94949 L
.52525 .95319 L
.51515 .95749 L
.51001 .9596 L
.50505 .96156 L
.49495 .9654 L
.48485 .96899 L
.48278 .9697 L
.47475 .97233 L
.46465 .97539 L
.45455 .97818 L
.44818 .9798 L
.44444 .98069 L
.43434 .9829 L
.42424 .9848 L
.41414 .98639 L
.40404 .98765 L
.39394 .98857 L
.38384 .98914 L
.37374 .98934 L
.36364 .98918 L
.35354 .98862 L
.34343 .98767 L
.33333 .9863 L
.32323 .98449 L
.31313 .98224 L
.30397 .9798 L
.30303 .97952 L
.29293 .97632 L
.28283 .97261 L
.27574 .9697 L
.27273 .96837 L
.26263 .96358 L
Mistroke
.25504 .9596 L
.25253 .9582 L
.24242 .95221 L
.23816 .94949 L
.23232 .94557 L
.22374 .93939 L
.22222 .93825 L
.21212 .93019 L
.21106 .92929 L
.20202 .92134 L
.1997 .91919 L
.19192 .91165 L
.18939 .90909 L
.18182 .90105 L
.17996 .89899 L
.17172 .88945 L
.17125 .88889 L
.16318 .87879 L
.16162 .87675 L
.15566 .86869 L
.15152 .86282 L
.14862 .85859 L
.14203 .84848 L
.14141 .84751 L
.13583 .83838 L
.13131 .83063 L
.12999 .82828 L
.12448 .81818 L
.12121 .8119 L
.11928 .80808 L
.11437 .79798 L
.11111 .79096 L
.10972 .78788 L
.10532 .77778 L
.10117 .76768 L
.10101 .76729 L
.09723 .75758 L
.09351 .74747 L
.09091 .74006 L
.08999 .73737 L
.08667 .72727 L
.08353 .71717 L
.08081 .70789 L
.08058 .70707 L
.07779 .69697 L
.07518 .68687 L
.07272 .67677 L
.07071 .66793 L
.07043 .66667 L
.06829 .65657 L
Mistroke
.0663 .64646 L
.06445 .63636 L
.06275 .62626 L
.06119 .61616 L
.06061 .61215 L
.05977 .60606 L
.05848 .59596 L
.05733 .58586 L
.0563 .57576 L
.05542 .56566 L
.05465 .55556 L
.05402 .54545 L
.05352 .53535 L
.05314 .52525 L
.05289 .51515 L
.05276 .50505 L
.05276 .49495 L
.05289 .48485 L
.05314 .47475 L
.05352 .46465 L
.05402 .45455 L
.05465 .44444 L
.05542 .43434 L
.0563 .42424 L
.05733 .41414 L
.05848 .40404 L
.05977 .39394 L
.06061 .38785 L
.06119 .38384 L
.06275 .37374 L
.06445 .36364 L
.0663 .35354 L
.06829 .34343 L
.07043 .33333 L
.07071 .33207 L
.07272 .32323 L
.07518 .31313 L
.07779 .30303 L
.08058 .29293 L
.08081 .29211 L
.08353 .28283 L
.08667 .27273 L
.08999 .26263 L
.09091 .25994 L
.09351 .25253 L
.09723 .24242 L
.10101 .23271 L
.10117 .23232 L
.10532 .22222 L
.10972 .21212 L
Mistroke
.11111 .20904 L
.11437 .20202 L
.11928 .19192 L
.12121 .1881 L
.12448 .18182 L
.12999 .17172 L
.13131 .16937 L
.13583 .16162 L
.14141 .15249 L
.14203 .15152 L
.14862 .14141 L
.15152 .13718 L
.15566 .13131 L
.16162 .12325 L
.16318 .12121 L
.17125 .11111 L
.17172 .11055 L
.17996 .10101 L
.18182 .09895 L
.18939 .09091 L
.19192 .08835 L
.1997 .08081 L
.20202 .07866 L
.21106 .07071 L
.21212 .06981 L
.22222 .06175 L
.22374 .06061 L
.23232 .05443 L
.23816 .05051 L
.24242 .04779 L
.25253 .0418 L
.25504 .0404 L
.26263 .03642 L
.27273 .03163 L
.27574 .0303 L
.28283 .02739 L
.29293 .02368 L
.30303 .02048 L
.30397 .0202 L
.31313 .01776 L
.32323 .01551 L
.33333 .0137 L
.34343 .01233 L
.35354 .01138 L
.36364 .01082 L
.37374 .01066 L
.38384 .01086 L
.39394 .01143 L
.40404 .01235 L
.41414 .01361 L
Mistroke
.42424 .0152 L
.43434 .0171 L
.44444 .01931 L
.44818 .0202 L
.45455 .02182 L
.46465 .02461 L
.47475 .02767 L
.48278 .0303 L
.48485 .03101 L
.49495 .0346 L
.50505 .03844 L
.51001 .0404 L
.51515 .04251 L
.52525 .04681 L
.53356 .05051 L
.53535 .05132 L
.54545 .05605 L
.55484 .06061 L
.55556 .06096 L
.56566 .06606 L
.57457 .07071 L
.57576 .07134 L
.58586 .07677 L
.59319 .08081 L
.59596 .08236 L
.60606 .08808 L
.61098 .09091 L
.61616 .09392 L
.62626 .09987 L
.62818 .10101 L
.63636 .10591 L
.64494 .11111 L
.64646 .11204 L
.65657 .11822 L
.66142 .12121 L
.66667 .12445 L
.67677 .13071 L
.67775 .13131 L
.68687 .13697 L
.69406 .14141 L
.69697 .14321 L
.70707 .14941 L
.71051 .15152 L
.71717 .15555 L
.72727 .16161 L
.72729 .16162 L
.73737 .16754 L
.74463 .17172 L
.74747 .17333 L
.75758 .17894 L
Mistroke
.76291 .18182 L
.76768 .18434 L
.77778 .18949 L
.78272 .19192 L
.78788 .19437 L
.79798 .19892 L
.80534 .20202 L
.80808 .20312 L
.81818 .20692 L
.82828 .21028 L
.83448 .21212 L
.83838 .21317 L
.84848 .21554 L
.85859 .21737 L
.86869 .2186 L
.87879 .21922 L
.88889 .2192 L
.89899 .21851 L
.90909 .21714 L
.91919 .21508 L
.92929 .21232 L
.92995 .21212 L
.93939 .20886 L
.94949 .20471 L
.95531 .20202 L
.9596 .19988 L
.9697 .19438 L
.97387 .19192 L
.9798 .18823 L
.98938 .18182 L
.9899 .18145 L
1 .17407 L
Mfstroke
.375 .625 .6 r
1 .80213 m
.99483 .79798 L
.9899 .79416 L
.98133 .78788 L
.9798 .78681 L
.9697 .78011 L
.96592 .77778 L
.9596 .7741 L
.94949 .7688 L
.94718 .76768 L
.93939 .76423 L
.92929 .76041 L
.92001 .75758 L
.91919 .75736 L
.90909 .75508 L
.89899 .75356 L
.88889 .7528 L
.87879 .75277 L
.86869 .75346 L
.85859 .75483 L
.84848 .75685 L
.84542 .75758 L
.83838 .75948 L
.82828 .76266 L
.81818 .76637 L
.81489 .76768 L
.80808 .77055 L
.79798 .77514 L
.79254 .77778 L
.78788 .78012 L
.77778 .78543 L
.7733 .78788 L
.76768 .79103 L
.75758 .79688 L
.75572 .79798 L
.74747 .80294 L
.73912 .80808 L
.73737 .80917 L
.72727 .81554 L
.72314 .81818 L
.71717 .82203 L
.70754 .82828 L
.70707 .82859 L
.69697 .8352 L
.69212 .83838 L
.68687 .84184 L
.67677 .84848 L
.67675 .84848 L
.66667 .8551 L
.66132 .85859 L
.65657 .86168 L
.64646 .8682 L
.64571 .86869 L
.63636 .87465 L
.6298 .87879 L
.62626 .881 L
.61616 .88725 L
.61347 .88889 L
.60606 .89337 L
.59658 .89899 L
.59596 .89936 L
.58586 .90519 L
.57895 .90909 L
.57576 .91086 L
.56566 .91636 L
.56033 .91919 L
.55556 .92168 L
.54545 .92679 L
.54037 .92929 L
.53535 .9317 L
.52525 .9364 L
.51853 .93939 L
.51515 .94086 L
.50505 .94508 L
.49495 .94906 L
.49381 .94949 L
.48485 .95278 L
.47475 .95623 L
.46465 .95941 L
.46402 .9596 L
.45455 .9623 L
.44444 .96489 L
.43434 .96717 L
.42424 .96914 L
.42105 .9697 L
.41414 .97078 L
.40404 .97208 L
.39394 .97303 L
.38384 .97362 L
.37374 .97383 L
.36364 .97366 L
.35354 .97309 L
.34343 .9721 L
.33333 .97068 L
.32764 .9697 L
.32323 .96882 L
.31313 .96649 L
.30303 .96368 L
.29293 .96037 L
.29077 .9596 L
.28283 .95653 L
.27273 .95214 L
.2672 .94949 L
.26263 .94717 L
.25253 .9416 L
.24882 .93939 L
.24242 .93538 L
.23346 .92929 L
.23232 .92848 L
.22222 .92085 L
.22014 .91919 L
.21212 .91245 L
.20833 .90909 L
.20202 .90322 L
.19769 .89899 L
.19192 .89309 L
.18799 .88889 L
.18182 .88197 L
.17909 .87879 L
.17172 .86977 L
.17087 .86869 L
.16323 .85859 L
.16162 .85636 L
.1561 .84848 L
.15152 .84161 L
.14943 .83838 L
.14318 .82828 L
.14141 .82531 L
.13731 .81818 L
.13178 .80808 L
.13131 .8072 L
.12657 .79798 L
.12165 .78788 L
.12121 .78695 L
.11701 .77778 L
.11263 .76768 L
.11111 .76404 L
.10849 .75758 L
.10458 .74747 L
.10101 .7377 L
.10089 .73737 L
.09741 .72727 L
.09413 .71717 L
.09104 .70707 L
.09091 .70661 L
.08814 .69697 L
.08541 .68687 L
.08286 .67677 L
.08081 .66815 L
.08047 .66667 L
.07824 .65657 L
.07617 .64646 L
.07425 .63636 L
.07248 .62626 L
.07086 .61616 L
.07071 .61515 L
.06939 .60606 L
.06805 .59596 L
.06685 .58586 L
.0658 .57576 L
.06487 .56566 L
.06409 .55556 L
.06343 .54545 L
.06291 .53535 L
.06252 .52525 L
.06226 .51515 L
.06213 .50505 L
.06213 .49495 L
.06226 .48485 L
.06252 .47475 L
.06291 .46465 L
.06343 .45455 L
.06409 .44444 L
.06487 .43434 L
.0658 .42424 L
.06685 .41414 L
.06805 .40404 L
.06939 .39394 L
.07071 .38485 L
.07086 .38384 L
.07248 .37374 L
.07425 .36364 L
.07617 .35354 L
.07824 .34343 L
.08047 .33333 L
.08081 .33185 L
.08286 .32323 L
.08541 .31313 L
.08814 .30303 L
.09091 .29339 L
.09104 .29293 L
.09413 .28283 L
.09741 .27273 L
.10089 .26263 L
.10101 .2623 L
.10458 .25253 L
.10849 .24242 L
.11111 .23596 L
.11263 .23232 L
.11701 .22222 L
.12121 .21305 L
.12165 .21212 L
.12657 .20202 L
.13131 .1928 L
.13178 .19192 L
.13731 .18182 L
.14141 .17469 L
.14318 .17172 L
.14943 .16162 L
.15152 .15839 L
.1561 .15152 L
.16162 .14364 L
.16323 .14141 L
.17087 .13131 L
.17172 .13023 L
.17909 .12121 L
.18182 .11803 L
.18799 .11111 L
.19192 .10691 L
.19769 .10101 L
.20202 .09678 L
.20833 .09091 L
.21212 .08755 L
.22014 .08081 L
.22222 .07915 L
.23232 .07152 L
.23346 .07071 L
.24242 .06462 L
.24882 .06061 L
.25253 .0584 L
.26263 .05283 L
.2672 .05051 L
.27273 .04786 L
.28283 .04347 L
.29077 .0404 L
.29293 .03963 L
.30303 .03632 L
.31313 .03351 L
.32323 .03118 L
.32764 .0303 L
.33333 .02932 L
.34343 .0279 L
.35354 .02691 L
.36364 .02634 L
.37374 .02617 L
.38384 .02638 L
.39394 .02697 L
.40404 .02792 L
.41414 .02922 L
.42105 .0303 L
.42424 .03086 L
.43434 .03283 L
.44444 .03511 L
.45455 .0377 L
.46402 .0404 L
.46465 .04059 L
.47475 .04377 L
.48485 .04722 L
.49381 .05051 L
.49495 .05094 L
.50505 .05492 L
.51515 .05914 L
.51853 .06061 L
.52525 .0636 L
.53535 .0683 L
.54037 .07071 L
.54545 .07321 L
.55556 .07832 L
.56033 .08081 L
.56566 .08364 L
.57576 .08914 L
.57895 .09091 L
.58586 .09481 L
.59596 .10064 L
.59658 .10101 L
.60606 .10663 L
.61347 .11111 L
.61616 .11275 L
.62626 .119 L
.6298 .12121 L
.63636 .12535 L
.64571 .13131 L
.64646 .1318 L
.65657 .13832 L
.66132 .14141 L
.66667 .1449 L
.67675 .15152 L
.67677 .15152 L
.68687 .15816 L
.69212 .16162 L
.69697 .1648 L
.70707 .17141 L
.70754 .17172 L
.71717 .17797 L
.72314 .18182 L
.72727 .18446 L
.73737 .19083 L
.73912 .19192 L
.74747 .19706 L
.75572 .20202 L
.75758 .20312 L
.76768 .20897 L
.7733 .21212 L
.77778 .21457 L
.78788 .21988 L
.79254 .22222 L
.79798 .22486 L
.80808 .22945 L
.81489 .23232 L
.81818 .23363 L
.82828 .23734 L
.83838 .24052 L
.84542 .24242 L
.84848 .24315 L
.85859 .24517 L
.86869 .24654 L
.87879 .24723 L
.88889 .2472 L
.89899 .24644 L
.90909 .24492 L
.91919 .24264 L
.92001 .24242 L
.92929 .23959 L
.93939 .23577 L
.94718 .23232 L
.94949 .2312 L
.9596 .2259 L
.96592 .22222 L
.9697 .21989 L
.9798 .21319 L
.98133 .21212 L
.9899 .20584 L
.99483 .20202 L
1 .19787 L
F
0 g
1 .80213 m
.99483 .79798 L
.9899 .79416 L
.98133 .78788 L
.9798 .78681 L
.9697 .78011 L
.96592 .77778 L
.9596 .7741 L
.94949 .7688 L
.94718 .76768 L
.93939 .76423 L
.92929 .76041 L
.92001 .75758 L
.91919 .75736 L
.90909 .75508 L
.89899 .75356 L
.88889 .7528 L
.87879 .75277 L
.86869 .75346 L
.85859 .75483 L
.84848 .75685 L
.84542 .75758 L
.83838 .75948 L
.82828 .76266 L
.81818 .76637 L
.81489 .76768 L
.80808 .77055 L
.79798 .77514 L
.79254 .77778 L
.78788 .78012 L
.77778 .78543 L
.7733 .78788 L
.76768 .79103 L
.75758 .79688 L
.75572 .79798 L
.74747 .80294 L
.73912 .80808 L
.73737 .80917 L
.72727 .81554 L
.72314 .81818 L
.71717 .82203 L
.70754 .82828 L
.70707 .82859 L
.69697 .8352 L
.69212 .83838 L
.68687 .84184 L
.67677 .84848 L
.67675 .84848 L
.66667 .8551 L
.66132 .85859 L
Mistroke
.65657 .86168 L
.64646 .8682 L
.64571 .86869 L
.63636 .87465 L
.6298 .87879 L
.62626 .881 L
.61616 .88725 L
.61347 .88889 L
.60606 .89337 L
.59658 .89899 L
.59596 .89936 L
.58586 .90519 L
.57895 .90909 L
.57576 .91086 L
.56566 .91636 L
.56033 .91919 L
.55556 .92168 L
.54545 .92679 L
.54037 .92929 L
.53535 .9317 L
.52525 .9364 L
.51853 .93939 L
.51515 .94086 L
.50505 .94508 L
.49495 .94906 L
.49381 .94949 L
.48485 .95278 L
.47475 .95623 L
.46465 .95941 L
.46402 .9596 L
.45455 .9623 L
.44444 .96489 L
.43434 .96717 L
.42424 .96914 L
.42105 .9697 L
.41414 .97078 L
.40404 .97208 L
.39394 .97303 L
.38384 .97362 L
.37374 .97383 L
.36364 .97366 L
.35354 .97309 L
.34343 .9721 L
.33333 .97068 L
.32764 .9697 L
.32323 .96882 L
.31313 .96649 L
.30303 .96368 L
.29293 .96037 L
.29077 .9596 L
Mistroke
.28283 .95653 L
.27273 .95214 L
.2672 .94949 L
.26263 .94717 L
.25253 .9416 L
.24882 .93939 L
.24242 .93538 L
.23346 .92929 L
.23232 .92848 L
.22222 .92085 L
.22014 .91919 L
.21212 .91245 L
.20833 .90909 L
.20202 .90322 L
.19769 .89899 L
.19192 .89309 L
.18799 .88889 L
.18182 .88197 L
.17909 .87879 L
.17172 .86977 L
.17087 .86869 L
.16323 .85859 L
.16162 .85636 L
.1561 .84848 L
.15152 .84161 L
.14943 .83838 L
.14318 .82828 L
.14141 .82531 L
.13731 .81818 L
.13178 .80808 L
.13131 .8072 L
.12657 .79798 L
.12165 .78788 L
.12121 .78695 L
.11701 .77778 L
.11263 .76768 L
.11111 .76404 L
.10849 .75758 L
.10458 .74747 L
.10101 .7377 L
.10089 .73737 L
.09741 .72727 L
.09413 .71717 L
.09104 .70707 L
.09091 .70661 L
.08814 .69697 L
.08541 .68687 L
.08286 .67677 L
.08081 .66815 L
.08047 .66667 L
Mistroke
.07824 .65657 L
.07617 .64646 L
.07425 .63636 L
.07248 .62626 L
.07086 .61616 L
.07071 .61515 L
.06939 .60606 L
.06805 .59596 L
.06685 .58586 L
.0658 .57576 L
.06487 .56566 L
.06409 .55556 L
.06343 .54545 L
.06291 .53535 L
.06252 .52525 L
.06226 .51515 L
.06213 .50505 L
.06213 .49495 L
.06226 .48485 L
.06252 .47475 L
.06291 .46465 L
.06343 .45455 L
.06409 .44444 L
.06487 .43434 L
.0658 .42424 L
.06685 .41414 L
.06805 .40404 L
.06939 .39394 L
.07071 .38485 L
.07086 .38384 L
.07248 .37374 L
.07425 .36364 L
.07617 .35354 L
.07824 .34343 L
.08047 .33333 L
.08081 .33185 L
.08286 .32323 L
.08541 .31313 L
.08814 .30303 L
.09091 .29339 L
.09104 .29293 L
.09413 .28283 L
.09741 .27273 L
.10089 .26263 L
.10101 .2623 L
.10458 .25253 L
.10849 .24242 L
.11111 .23596 L
.11263 .23232 L
.11701 .22222 L
Mistroke
.12121 .21305 L
.12165 .21212 L
.12657 .20202 L
.13131 .1928 L
.13178 .19192 L
.13731 .18182 L
.14141 .17469 L
.14318 .17172 L
.14943 .16162 L
.15152 .15839 L
.1561 .15152 L
.16162 .14364 L
.16323 .14141 L
.17087 .13131 L
.17172 .13023 L
.17909 .12121 L
.18182 .11803 L
.18799 .11111 L
.19192 .10691 L
.19769 .10101 L
.20202 .09678 L
.20833 .09091 L
.21212 .08755 L
.22014 .08081 L
.22222 .07915 L
.23232 .07152 L
.23346 .07071 L
.24242 .06462 L
.24882 .06061 L
.25253 .0584 L
.26263 .05283 L
.2672 .05051 L
.27273 .04786 L
.28283 .04347 L
.29077 .0404 L
.29293 .03963 L
.30303 .03632 L
.31313 .03351 L
.32323 .03118 L
.32764 .0303 L
.33333 .02932 L
.34343 .0279 L
.35354 .02691 L
.36364 .02634 L
.37374 .02617 L
.38384 .02638 L
.39394 .02697 L
.40404 .02792 L
.41414 .02922 L
.42105 .0303 L
Mistroke
.42424 .03086 L
.43434 .03283 L
.44444 .03511 L
.45455 .0377 L
.46402 .0404 L
.46465 .04059 L
.47475 .04377 L
.48485 .04722 L
.49381 .05051 L
.49495 .05094 L
.50505 .05492 L
.51515 .05914 L
.51853 .06061 L
.52525 .0636 L
.53535 .0683 L
.54037 .07071 L
.54545 .07321 L
.55556 .07832 L
.56033 .08081 L
.56566 .08364 L
.57576 .08914 L
.57895 .09091 L
.58586 .09481 L
.59596 .10064 L
.59658 .10101 L
.60606 .10663 L
.61347 .11111 L
.61616 .11275 L
.62626 .119 L
.6298 .12121 L
.63636 .12535 L
.64571 .13131 L
.64646 .1318 L
.65657 .13832 L
.66132 .14141 L
.66667 .1449 L
.67675 .15152 L
.67677 .15152 L
.68687 .15816 L
.69212 .16162 L
.69697 .1648 L
.70707 .17141 L
.70754 .17172 L
.71717 .17797 L
.72314 .18182 L
.72727 .18446 L
.73737 .19083 L
.73912 .19192 L
.74747 .19706 L
.75572 .20202 L
Mistroke
.75758 .20312 L
.76768 .20897 L
.7733 .21212 L
.77778 .21457 L
.78788 .21988 L
.79254 .22222 L
.79798 .22486 L
.80808 .22945 L
.81489 .23232 L
.81818 .23363 L
.82828 .23734 L
.83838 .24052 L
.84542 .24242 L
.84848 .24315 L
.85859 .24517 L
.86869 .24654 L
.87879 .24723 L
.88889 .2472 L
.89899 .24644 L
.90909 .24492 L
.91919 .24264 L
.92001 .24242 L
.92929 .23959 L
.93939 .23577 L
.94718 .23232 L
.94949 .2312 L
.9596 .2259 L
.96592 .22222 L
.9697 .21989 L
.9798 .21319 L
.98133 .21212 L
.9899 .20584 L
.99483 .20202 L
1 .19787 L
Mfstroke
.35 .65 .6 r
1 .7763 m
.99004 .76768 L
.9899 .76756 L
.9798 .75945 L
.97734 .75758 L
.9697 .75203 L
.96296 .74747 L
.9596 .74533 L
.94949 .73939 L
.94573 .73737 L
.93939 .73425 L
.92929 .72994 L
.92179 .72727 L
.91919 .72648 L
.90909 .72388 L
.89899 .72215 L
.88889 .72128 L
.87879 .72125 L
.86869 .72204 L
.85859 .7236 L
.84848 .7259 L
.8435 .72727 L
.83838 .72888 L
.82828 .73249 L
.81818 .73667 L
.81658 .73737 L
.80808 .74136 L
.79798 .7465 L
.79615 .74747 L
.78788 .75204 L
.77837 .75758 L
.77778 .75793 L
.76768 .76412 L
.76204 .76768 L
.75758 .77055 L
.74747 .77718 L
.74658 .77778 L
.73737 .78398 L
.73167 .78788 L
.72727 .79091 L
.71717 .79792 L
.71709 .79798 L
.70707 .805 L
.70269 .80808 L
.69697 .81211 L
.68836 .81818 L
.68687 .81923 L
.67677 .82633 L
.67399 .82828 L
.66667 .83339 L
.65948 .83838 L
.65657 .8404 L
.64646 .84732 L
.64475 .84848 L
.63636 .85415 L
.6297 .85859 L
.62626 .86086 L
.61616 .86745 L
.61424 .86869 L
.60606 .8739 L
.59823 .87879 L
.59596 .88019 L
.58586 .88631 L
.58152 .88889 L
.57576 .89226 L
.56566 .89802 L
.56391 .89899 L
.55556 .90357 L
.54545 .90891 L
.54511 .90909 L
.53535 .91404 L
.52525 .91893 L
.52469 .91919 L
.51515 .92357 L
.50505 .92797 L
.50189 .92929 L
.49495 .9321 L
.48485 .93597 L
.47521 .93939 L
.47475 .93955 L
.46465 .94285 L
.45455 .94584 L
.44444 .94853 L
.4405 .94949 L
.43434 .9509 L
.42424 .95293 L
.41414 .95463 L
.40404 .95598 L
.39394 .95696 L
.38384 .95757 L
.37374 .95779 L
.36364 .95761 L
.35354 .95702 L
.34343 .956 L
.33333 .95453 L
.32323 .9526 L
.31313 .95019 L
.31054 .94949 L
.30303 .94728 L
.29293 .94384 L
.28283 .93986 L
.28173 .93939 L
.27273 .9353 L
.26263 .93014 L
.26107 .92929 L
.25253 .92434 L
.24441 .91919 L
.24242 .91787 L
.23232 .91067 L
.23023 .90909 L
.22222 .90271 L
.21782 .89899 L
.21212 .89392 L
.20674 .88889 L
.20202 .88425 L
.19672 .87879 L
.19192 .8736 L
.18757 .86869 L
.18182 .86188 L
.17914 .85859 L
.17172 .84898 L
.17135 .84848 L
.16411 .83838 L
.16162 .83474 L
.15735 .82828 L
.15152 .81899 L
.15103 .81818 L
.1451 .80808 L
.14141 .80147 L
.13953 .79798 L
.1343 .78788 L
.13131 .78184 L
.12937 .77778 L
.12473 .76768 L
.12121 .75961 L
.12035 .75758 L
.11623 .74747 L
.11234 .73737 L
.11111 .73404 L
.10868 .72727 L
.10524 .71717 L
.102 .70707 L
.10101 .70386 L
.09895 .69697 L
.0961 .68687 L
.09343 .67677 L
.09093 .66667 L
.09091 .66657 L
.08861 .65657 L
.08645 .64646 L
.08445 .63636 L
.08261 .62626 L
.08092 .61616 L
.08081 .61547 L
.07938 .60606 L
.07799 .59596 L
.07675 .58586 L
.07565 .57576 L
.07469 .56566 L
.07387 .55556 L
.07319 .54545 L
.07265 .53535 L
.07224 .52525 L
.07197 .51515 L
.07184 .50505 L
.07184 .49495 L
.07197 .48485 L
.07224 .47475 L
.07265 .46465 L
.07319 .45455 L
.07387 .44444 L
.07469 .43434 L
.07565 .42424 L
.07675 .41414 L
.07799 .40404 L
.07938 .39394 L
.08081 .38453 L
.08092 .38384 L
.08261 .37374 L
.08445 .36364 L
.08645 .35354 L
.08861 .34343 L
.09091 .33343 L
.09093 .33333 L
.09343 .32323 L
.0961 .31313 L
.09895 .30303 L
.10101 .29614 L
.102 .29293 L
.10524 .28283 L
.10868 .27273 L
.11111 .26596 L
.11234 .26263 L
.11623 .25253 L
.12035 .24242 L
.12121 .24039 L
.12473 .23232 L
.12937 .22222 L
.13131 .21816 L
.1343 .21212 L
.13953 .20202 L
.14141 .19853 L
.1451 .19192 L
.15103 .18182 L
.15152 .18101 L
.15735 .17172 L
.16162 .16526 L
.16411 .16162 L
.17135 .15152 L
.17172 .15102 L
.17914 .14141 L
.18182 .13812 L
.18757 .13131 L
.19192 .1264 L
.19672 .12121 L
.20202 .11575 L
.20674 .11111 L
.21212 .10608 L
.21782 .10101 L
.22222 .09729 L
.23023 .09091 L
.23232 .08933 L
.24242 .08213 L
.24441 .08081 L
.25253 .07566 L
.26107 .07071 L
.26263 .06986 L
.27273 .0647 L
.28173 .06061 L
.28283 .06014 L
.29293 .05616 L
.30303 .05272 L
.31054 .05051 L
.31313 .04981 L
.32323 .0474 L
.33333 .04547 L
.34343 .044 L
.35354 .04298 L
.36364 .04239 L
.37374 .04221 L
.38384 .04243 L
.39394 .04304 L
.40404 .04402 L
.41414 .04537 L
.42424 .04707 L
.43434 .0491 L
.4405 .05051 L
.44444 .05147 L
.45455 .05416 L
.46465 .05715 L
.47475 .06045 L
.47521 .06061 L
.48485 .06403 L
.49495 .0679 L
.50189 .07071 L
.50505 .07203 L
.51515 .07643 L
.52469 .08081 L
.52525 .08107 L
.53535 .08596 L
.54511 .09091 L
.54545 .09109 L
.55556 .09643 L
.56391 .10101 L
.56566 .10198 L
.57576 .10774 L
.58152 .11111 L
.58586 .11369 L
.59596 .11981 L
.59823 .12121 L
.60606 .1261 L
.61424 .13131 L
.61616 .13255 L
.62626 .13914 L
.6297 .14141 L
.63636 .14585 L
.64475 .15152 L
.64646 .15268 L
.65657 .1596 L
.65948 .16162 L
.66667 .16661 L
.67399 .17172 L
.67677 .17367 L
.68687 .18077 L
.68836 .18182 L
.69697 .18789 L
.70269 .19192 L
.70707 .195 L
.71709 .20202 L
.71717 .20208 L
.72727 .20909 L
.73167 .21212 L
.73737 .21602 L
.74658 .22222 L
.74747 .22282 L
.75758 .22945 L
.76204 .23232 L
.76768 .23588 L
.77778 .24207 L
.77837 .24242 L
.78788 .24796 L
.79615 .25253 L
.79798 .2535 L
.80808 .25864 L
.81658 .26263 L
.81818 .26333 L
.82828 .26751 L
.83838 .27112 L
.8435 .27273 L
.84848 .2741 L
.85859 .2764 L
.86869 .27796 L
.87879 .27875 L
.88889 .27872 L
.89899 .27785 L
.90909 .27612 L
.91919 .27352 L
.92179 .27273 L
.92929 .27006 L
.93939 .26575 L
.94573 .26263 L
.94949 .26061 L
.9596 .25467 L
.96296 .25253 L
.9697 .24797 L
.97734 .24242 L
.9798 .24055 L
.9899 .23244 L
.99004 .23232 L
1 .2237 L
F
0 g
1 .7763 m
.99004 .76768 L
.9899 .76756 L
.9798 .75945 L
.97734 .75758 L
.9697 .75203 L
.96296 .74747 L
.9596 .74533 L
.94949 .73939 L
.94573 .73737 L
.93939 .73425 L
.92929 .72994 L
.92179 .72727 L
.91919 .72648 L
.90909 .72388 L
.89899 .72215 L
.88889 .72128 L
.87879 .72125 L
.86869 .72204 L
.85859 .7236 L
.84848 .7259 L
.8435 .72727 L
.83838 .72888 L
.82828 .73249 L
.81818 .73667 L
.81658 .73737 L
.80808 .74136 L
.79798 .7465 L
.79615 .74747 L
.78788 .75204 L
.77837 .75758 L
.77778 .75793 L
.76768 .76412 L
.76204 .76768 L
.75758 .77055 L
.74747 .77718 L
.74658 .77778 L
.73737 .78398 L
.73167 .78788 L
.72727 .79091 L
.71717 .79792 L
.71709 .79798 L
.70707 .805 L
.70269 .80808 L
.69697 .81211 L
.68836 .81818 L
.68687 .81923 L
.67677 .82633 L
.67399 .82828 L
.66667 .83339 L
Mistroke
.65948 .83838 L
.65657 .8404 L
.64646 .84732 L
.64475 .84848 L
.63636 .85415 L
.6297 .85859 L
.62626 .86086 L
.61616 .86745 L
.61424 .86869 L
.60606 .8739 L
.59823 .87879 L
.59596 .88019 L
.58586 .88631 L
.58152 .88889 L
.57576 .89226 L
.56566 .89802 L
.56391 .89899 L
.55556 .90357 L
.54545 .90891 L
.54511 .90909 L
.53535 .91404 L
.52525 .91893 L
.52469 .91919 L
.51515 .92357 L
.50505 .92797 L
.50189 .92929 L
.49495 .9321 L
.48485 .93597 L
.47521 .93939 L
.47475 .93955 L
.46465 .94285 L
.45455 .94584 L
.44444 .94853 L
.4405 .94949 L
.43434 .9509 L
.42424 .95293 L
.41414 .95463 L
.40404 .95598 L
.39394 .95696 L
.38384 .95757 L
.37374 .95779 L
.36364 .95761 L
.35354 .95702 L
.34343 .956 L
.33333 .95453 L
.32323 .9526 L
.31313 .95019 L
.31054 .94949 L
.30303 .94728 L
.29293 .94384 L
Mistroke
.28283 .93986 L
.28173 .93939 L
.27273 .9353 L
.26263 .93014 L
.26107 .92929 L
.25253 .92434 L
.24441 .91919 L
.24242 .91787 L
.23232 .91067 L
.23023 .90909 L
.22222 .90271 L
.21782 .89899 L
.21212 .89392 L
.20674 .88889 L
.20202 .88425 L
.19672 .87879 L
.19192 .8736 L
.18757 .86869 L
.18182 .86188 L
.17914 .85859 L
.17172 .84898 L
.17135 .84848 L
.16411 .83838 L
.16162 .83474 L
.15735 .82828 L
.15152 .81899 L
.15103 .81818 L
.1451 .80808 L
.14141 .80147 L
.13953 .79798 L
.1343 .78788 L
.13131 .78184 L
.12937 .77778 L
.12473 .76768 L
.12121 .75961 L
.12035 .75758 L
.11623 .74747 L
.11234 .73737 L
.11111 .73404 L
.10868 .72727 L
.10524 .71717 L
.102 .70707 L
.10101 .70386 L
.09895 .69697 L
.0961 .68687 L
.09343 .67677 L
.09093 .66667 L
.09091 .66657 L
.08861 .65657 L
.08645 .64646 L
Mistroke
.08445 .63636 L
.08261 .62626 L
.08092 .61616 L
.08081 .61547 L
.07938 .60606 L
.07799 .59596 L
.07675 .58586 L
.07565 .57576 L
.07469 .56566 L
.07387 .55556 L
.07319 .54545 L
.07265 .53535 L
.07224 .52525 L
.07197 .51515 L
.07184 .50505 L
.07184 .49495 L
.07197 .48485 L
.07224 .47475 L
.07265 .46465 L
.07319 .45455 L
.07387 .44444 L
.07469 .43434 L
.07565 .42424 L
.07675 .41414 L
.07799 .40404 L
.07938 .39394 L
.08081 .38453 L
.08092 .38384 L
.08261 .37374 L
.08445 .36364 L
.08645 .35354 L
.08861 .34343 L
.09091 .33343 L
.09093 .33333 L
.09343 .32323 L
.0961 .31313 L
.09895 .30303 L
.10101 .29614 L
.102 .29293 L
.10524 .28283 L
.10868 .27273 L
.11111 .26596 L
.11234 .26263 L
.11623 .25253 L
.12035 .24242 L
.12121 .24039 L
.12473 .23232 L
.12937 .22222 L
.13131 .21816 L
.1343 .21212 L
Mistroke
.13953 .20202 L
.14141 .19853 L
.1451 .19192 L
.15103 .18182 L
.15152 .18101 L
.15735 .17172 L
.16162 .16526 L
.16411 .16162 L
.17135 .15152 L
.17172 .15102 L
.17914 .14141 L
.18182 .13812 L
.18757 .13131 L
.19192 .1264 L
.19672 .12121 L
.20202 .11575 L
.20674 .11111 L
.21212 .10608 L
.21782 .10101 L
.22222 .09729 L
.23023 .09091 L
.23232 .08933 L
.24242 .08213 L
.24441 .08081 L
.25253 .07566 L
.26107 .07071 L
.26263 .06986 L
.27273 .0647 L
.28173 .06061 L
.28283 .06014 L
.29293 .05616 L
.30303 .05272 L
.31054 .05051 L
.31313 .04981 L
.32323 .0474 L
.33333 .04547 L
.34343 .044 L
.35354 .04298 L
.36364 .04239 L
.37374 .04221 L
.38384 .04243 L
.39394 .04304 L
.40404 .04402 L
.41414 .04537 L
.42424 .04707 L
.43434 .0491 L
.4405 .05051 L
.44444 .05147 L
.45455 .05416 L
.46465 .05715 L
Mistroke
.47475 .06045 L
.47521 .06061 L
.48485 .06403 L
.49495 .0679 L
.50189 .07071 L
.50505 .07203 L
.51515 .07643 L
.52469 .08081 L
.52525 .08107 L
.53535 .08596 L
.54511 .09091 L
.54545 .09109 L
.55556 .09643 L
.56391 .10101 L
.56566 .10198 L
.57576 .10774 L
.58152 .11111 L
.58586 .11369 L
.59596 .11981 L
.59823 .12121 L
.60606 .1261 L
.61424 .13131 L
.61616 .13255 L
.62626 .13914 L
.6297 .14141 L
.63636 .14585 L
.64475 .15152 L
.64646 .15268 L
.65657 .1596 L
.65948 .16162 L
.66667 .16661 L
.67399 .17172 L
.67677 .17367 L
.68687 .18077 L
.68836 .18182 L
.69697 .18789 L
.70269 .19192 L
.70707 .195 L
.71709 .20202 L
.71717 .20208 L
.72727 .20909 L
.73167 .21212 L
.73737 .21602 L
.74658 .22222 L
.74747 .22282 L
.75758 .22945 L
.76204 .23232 L
.76768 .23588 L
.77778 .24207 L
.77837 .24242 L
Mistroke
.78788 .24796 L
.79615 .25253 L
.79798 .2535 L
.80808 .25864 L
.81658 .26263 L
.81818 .26333 L
.82828 .26751 L
.83838 .27112 L
.8435 .27273 L
.84848 .2741 L
.85859 .2764 L
.86869 .27796 L
.87879 .27875 L
.88889 .27872 L
.89899 .27785 L
.90909 .27612 L
.91919 .27352 L
.92179 .27273 L
.92929 .27006 L
.93939 .26575 L
.94573 .26263 L
.94949 .26061 L
.9596 .25467 L
.96296 .25253 L
.9697 .24797 L
.97734 .24242 L
.9798 .24055 L
.9899 .23244 L
.99004 .23232 L
1 .2237 L
Mfstroke
.325 .675 .6 r
1 .74779 m
.99968 .74747 L
.9899 .738 L
.98923 .73737 L
.9798 .72885 L
.97798 .72727 L
.9697 .7204 L
.96559 .71717 L
.9596 .71271 L
.95142 .70707 L
.94949 .70583 L
.93939 .69983 L
.93396 .69697 L
.92929 .69476 L
.91919 .69066 L
.90909 .68756 L
.90673 .68687 L
.89899 .68549 L
.88889 .68445 L
.87879 .68442 L
.86869 .68536 L
.85986 .68687 L
.85859 .68723 L
.84848 .68997 L
.83838 .6935 L
.83003 .69697 L
.82828 .69776 L
.81818 .70265 L
.80993 .70707 L
.80808 .70811 L
.79798 .71406 L
.79295 .71717 L
.78788 .72042 L
.77778 .72713 L
.77756 .72727 L
.76768 .73413 L
.7631 .73737 L
.75758 .74136 L
.74923 .74747 L
.74747 .74877 L
.73737 .75633 L
.73572 .75758 L
.72727 .76398 L
.72242 .76768 L
.71717 .77169 L
.70923 .77778 L
.70707 .77944 L
.69697 .78718 L
.69606 .78788 L
.68687 .7949 L
.68283 .79798 L
.67677 .80257 L
.66946 .80808 L
.66667 .81018 L
.65657 .81769 L
.6559 .81818 L
.64646 .8251 L
.64207 .82828 L
.63636 .83238 L
.62789 .83838 L
.62626 .83953 L
.61616 .84652 L
.61328 .84848 L
.60606 .85335 L
.59813 .85859 L
.59596 .86 L
.58586 .86646 L
.58231 .86869 L
.57576 .87273 L
.56566 .87878 L
.56564 .87879 L
.55556 .88461 L
.54789 .88889 L
.54545 .89022 L
.53535 .89558 L
.52868 .89899 L
.52525 .90069 L
.51515 .90555 L
.50741 .90909 L
.50505 .91014 L
.49495 .91445 L
.48485 .91848 L
.48299 .91919 L
.47475 .92221 L
.46465 .92564 L
.45455 .92876 L
.4527 .92929 L
.44444 .93155 L
.43434 .93401 L
.42424 .93613 L
.41414 .93789 L
.40404 .93929 L
.40321 .93939 L
.39394 .94031 L
.38384 .94094 L
.37374 .94117 L
.36364 .94098 L
.35354 .94037 L
.34402 .93939 L
.34343 .93931 L
.33333 .93779 L
.32323 .93578 L
.31313 .93328 L
.30303 .93025 L
.30015 .92929 L
.29293 .92668 L
.28283 .92253 L
.27558 .91919 L
.27273 .91779 L
.26263 .91241 L
.25695 .90909 L
.25253 .90635 L
.24242 .89959 L
.24158 .89899 L
.23232 .89206 L
.22837 .88889 L
.22222 .88371 L
.21671 .87879 L
.21212 .87448 L
.20626 .86869 L
.20202 .86428 L
.19678 .85859 L
.19192 .85303 L
.1881 .84848 L
.18182 .84061 L
.18011 .83838 L
.17271 .82828 L
.17172 .82687 L
.16583 .81818 L
.16162 .81163 L
.15941 .80808 L
.15341 .79798 L
.15152 .79464 L
.14779 .78788 L
.14252 .77778 L
.14141 .77557 L
.13757 .76768 L
.13292 .75758 L
.13131 .75395 L
.12854 .74747 L
.12443 .73737 L
.12121 .72903 L
.12056 .72727 L
.11692 .71717 L
.11351 .70707 L
.11111 .69958 L
.1103 .69697 L
.1073 .68687 L
.1045 .67677 L
.10188 .66667 L
.10101 .66315 L
.09944 .65657 L
.09718 .64646 L
.09509 .63636 L
.09317 .62626 L
.0914 .61616 L
.09091 .61316 L
.0898 .60606 L
.08835 .59596 L
.08705 .58586 L
.0859 .57576 L
.08491 .56566 L
.08405 .55556 L
.08334 .54545 L
.08278 .53535 L
.08236 .52525 L
.08207 .51515 L
.08193 .50505 L
.08193 .49495 L
.08207 .48485 L
.08236 .47475 L
.08278 .46465 L
.08334 .45455 L
.08405 .44444 L
.08491 .43434 L
.0859 .42424 L
.08705 .41414 L
.08835 .40404 L
.0898 .39394 L
.09091 .38684 L
.0914 .38384 L
.09317 .37374 L
.09509 .36364 L
.09718 .35354 L
.09944 .34343 L
.10101 .33685 L
.10188 .33333 L
.1045 .32323 L
.1073 .31313 L
.1103 .30303 L
.11111 .30042 L
.11351 .29293 L
.11692 .28283 L
.12056 .27273 L
.12121 .27097 L
.12443 .26263 L
.12854 .25253 L
.13131 .24605 L
.13292 .24242 L
.13757 .23232 L
.14141 .22443 L
.14252 .22222 L
.14779 .21212 L
.15152 .20536 L
.15341 .20202 L
.15941 .19192 L
.16162 .18837 L
.16583 .18182 L
.17172 .17313 L
.17271 .17172 L
.18011 .16162 L
.18182 .15939 L
.1881 .15152 L
.19192 .14697 L
.19678 .14141 L
.20202 .13572 L
.20626 .13131 L
.21212 .12552 L
.21671 .12121 L
.22222 .11629 L
.22837 .11111 L
.23232 .10794 L
.24158 .10101 L
.24242 .10041 L
.25253 .09365 L
.25695 .09091 L
.26263 .08759 L
.27273 .08221 L
.27558 .08081 L
.28283 .07747 L
.29293 .07332 L
.30015 .07071 L
.30303 .06975 L
.31313 .06672 L
.32323 .06422 L
.33333 .06221 L
.34343 .06069 L
.34402 .06061 L
.35354 .05963 L
.36364 .05902 L
.37374 .05883 L
.38384 .05906 L
.39394 .05969 L
.40321 .06061 L
.40404 .06071 L
.41414 .06211 L
.42424 .06387 L
.43434 .06599 L
.44444 .06845 L
.4527 .07071 L
.45455 .07124 L
.46465 .07436 L
.47475 .07779 L
.48299 .08081 L
.48485 .08152 L
.49495 .08555 L
.50505 .08986 L
.50741 .09091 L
.51515 .09445 L
.52525 .09931 L
.52868 .10101 L
.53535 .10442 L
.54545 .10978 L
.54789 .11111 L
.55556 .11539 L
.56564 .12121 L
.56566 .12122 L
.57576 .12727 L
.58231 .13131 L
.58586 .13354 L
.59596 .14 L
.59813 .14141 L
.60606 .14665 L
.61328 .15152 L
.61616 .15348 L
.62626 .16047 L
.62789 .16162 L
.63636 .16762 L
.64207 .17172 L
.64646 .1749 L
.6559 .18182 L
.65657 .18231 L
.66667 .18982 L
.66946 .19192 L
.67677 .19743 L
.68283 .20202 L
.68687 .2051 L
.69606 .21212 L
.69697 .21282 L
.70707 .22056 L
.70923 .22222 L
.71717 .22831 L
.72242 .23232 L
.72727 .23602 L
.73572 .24242 L
.73737 .24367 L
.74747 .25123 L
.74923 .25253 L
.75758 .25864 L
.7631 .26263 L
.76768 .26587 L
.77756 .27273 L
.77778 .27287 L
.78788 .27958 L
.79295 .28283 L
.79798 .28594 L
.80808 .29189 L
.80993 .29293 L
.81818 .29735 L
.82828 .30224 L
.83003 .30303 L
.83838 .3065 L
.84848 .31003 L
.85859 .31277 L
.85986 .31313 L
.86869 .31464 L
.87879 .31558 L
.88889 .31555 L
.89899 .31451 L
.90673 .31313 L
.90909 .31244 L
.91919 .30934 L
.92929 .30524 L
.93396 .30303 L
.93939 .30017 L
.94949 .29417 L
.95142 .29293 L
.9596 .28729 L
.96559 .28283 L
.9697 .2796 L
.97798 .27273 L
.9798 .27115 L
.98923 .26263 L
.9899 .262 L
.99968 .25253 L
1 .25221 L
F
0 g
1 .74779 m
.99968 .74747 L
.9899 .738 L
.98923 .73737 L
.9798 .72885 L
.97798 .72727 L
.9697 .7204 L
.96559 .71717 L
.9596 .71271 L
.95142 .70707 L
.94949 .70583 L
.93939 .69983 L
.93396 .69697 L
.92929 .69476 L
.91919 .69066 L
.90909 .68756 L
.90673 .68687 L
.89899 .68549 L
.88889 .68445 L
.87879 .68442 L
.86869 .68536 L
.85986 .68687 L
.85859 .68723 L
.84848 .68997 L
.83838 .6935 L
.83003 .69697 L
.82828 .69776 L
.81818 .70265 L
.80993 .70707 L
.80808 .70811 L
.79798 .71406 L
.79295 .71717 L
.78788 .72042 L
.77778 .72713 L
.77756 .72727 L
.76768 .73413 L
.7631 .73737 L
.75758 .74136 L
.74923 .74747 L
.74747 .74877 L
.73737 .75633 L
.73572 .75758 L
.72727 .76398 L
.72242 .76768 L
.71717 .77169 L
.70923 .77778 L
.70707 .77944 L
.69697 .78718 L
.69606 .78788 L
.68687 .7949 L
Mistroke
.68283 .79798 L
.67677 .80257 L
.66946 .80808 L
.66667 .81018 L
.65657 .81769 L
.6559 .81818 L
.64646 .8251 L
.64207 .82828 L
.63636 .83238 L
.62789 .83838 L
.62626 .83953 L
.61616 .84652 L
.61328 .84848 L
.60606 .85335 L
.59813 .85859 L
.59596 .86 L
.58586 .86646 L
.58231 .86869 L
.57576 .87273 L
.56566 .87878 L
.56564 .87879 L
.55556 .88461 L
.54789 .88889 L
.54545 .89022 L
.53535 .89558 L
.52868 .89899 L
.52525 .90069 L
.51515 .90555 L
.50741 .90909 L
.50505 .91014 L
.49495 .91445 L
.48485 .91848 L
.48299 .91919 L
.47475 .92221 L
.46465 .92564 L
.45455 .92876 L
.4527 .92929 L
.44444 .93155 L
.43434 .93401 L
.42424 .93613 L
.41414 .93789 L
.40404 .93929 L
.40321 .93939 L
.39394 .94031 L
.38384 .94094 L
.37374 .94117 L
.36364 .94098 L
.35354 .94037 L
.34402 .93939 L
.34343 .93931 L
Mistroke
.33333 .93779 L
.32323 .93578 L
.31313 .93328 L
.30303 .93025 L
.30015 .92929 L
.29293 .92668 L
.28283 .92253 L
.27558 .91919 L
.27273 .91779 L
.26263 .91241 L
.25695 .90909 L
.25253 .90635 L
.24242 .89959 L
.24158 .89899 L
.23232 .89206 L
.22837 .88889 L
.22222 .88371 L
.21671 .87879 L
.21212 .87448 L
.20626 .86869 L
.20202 .86428 L
.19678 .85859 L
.19192 .85303 L
.1881 .84848 L
.18182 .84061 L
.18011 .83838 L
.17271 .82828 L
.17172 .82687 L
.16583 .81818 L
.16162 .81163 L
.15941 .80808 L
.15341 .79798 L
.15152 .79464 L
.14779 .78788 L
.14252 .77778 L
.14141 .77557 L
.13757 .76768 L
.13292 .75758 L
.13131 .75395 L
.12854 .74747 L
.12443 .73737 L
.12121 .72903 L
.12056 .72727 L
.11692 .71717 L
.11351 .70707 L
.11111 .69958 L
.1103 .69697 L
.1073 .68687 L
.1045 .67677 L
.10188 .66667 L
Mistroke
.10101 .66315 L
.09944 .65657 L
.09718 .64646 L
.09509 .63636 L
.09317 .62626 L
.0914 .61616 L
.09091 .61316 L
.0898 .60606 L
.08835 .59596 L
.08705 .58586 L
.0859 .57576 L
.08491 .56566 L
.08405 .55556 L
.08334 .54545 L
.08278 .53535 L
.08236 .52525 L
.08207 .51515 L
.08193 .50505 L
.08193 .49495 L
.08207 .48485 L
.08236 .47475 L
.08278 .46465 L
.08334 .45455 L
.08405 .44444 L
.08491 .43434 L
.0859 .42424 L
.08705 .41414 L
.08835 .40404 L
.0898 .39394 L
.09091 .38684 L
.0914 .38384 L
.09317 .37374 L
.09509 .36364 L
.09718 .35354 L
.09944 .34343 L
.10101 .33685 L
.10188 .33333 L
.1045 .32323 L
.1073 .31313 L
.1103 .30303 L
.11111 .30042 L
.11351 .29293 L
.11692 .28283 L
.12056 .27273 L
.12121 .27097 L
.12443 .26263 L
.12854 .25253 L
.13131 .24605 L
.13292 .24242 L
.13757 .23232 L
Mistroke
.14141 .22443 L
.14252 .22222 L
.14779 .21212 L
.15152 .20536 L
.15341 .20202 L
.15941 .19192 L
.16162 .18837 L
.16583 .18182 L
.17172 .17313 L
.17271 .17172 L
.18011 .16162 L
.18182 .15939 L
.1881 .15152 L
.19192 .14697 L
.19678 .14141 L
.20202 .13572 L
.20626 .13131 L
.21212 .12552 L
.21671 .12121 L
.22222 .11629 L
.22837 .11111 L
.23232 .10794 L
.24158 .10101 L
.24242 .10041 L
.25253 .09365 L
.25695 .09091 L
.26263 .08759 L
.27273 .08221 L
.27558 .08081 L
.28283 .07747 L
.29293 .07332 L
.30015 .07071 L
.30303 .06975 L
.31313 .06672 L
.32323 .06422 L
.33333 .06221 L
.34343 .06069 L
.34402 .06061 L
.35354 .05963 L
.36364 .05902 L
.37374 .05883 L
.38384 .05906 L
.39394 .05969 L
.40321 .06061 L
.40404 .06071 L
.41414 .06211 L
.42424 .06387 L
.43434 .06599 L
.44444 .06845 L
.4527 .07071 L
Mistroke
.45455 .07124 L
.46465 .07436 L
.47475 .07779 L
.48299 .08081 L
.48485 .08152 L
.49495 .08555 L
.50505 .08986 L
.50741 .09091 L
.51515 .09445 L
.52525 .09931 L
.52868 .10101 L
.53535 .10442 L
.54545 .10978 L
.54789 .11111 L
.55556 .11539 L
.56564 .12121 L
.56566 .12122 L
.57576 .12727 L
.58231 .13131 L
.58586 .13354 L
.59596 .14 L
.59813 .14141 L
.60606 .14665 L
.61328 .15152 L
.61616 .15348 L
.62626 .16047 L
.62789 .16162 L
.63636 .16762 L
.64207 .17172 L
.64646 .1749 L
.6559 .18182 L
.65657 .18231 L
.66667 .18982 L
.66946 .19192 L
.67677 .19743 L
.68283 .20202 L
.68687 .2051 L
.69606 .21212 L
.69697 .21282 L
.70707 .22056 L
.70923 .22222 L
.71717 .22831 L
.72242 .23232 L
.72727 .23602 L
.73572 .24242 L
.73737 .24367 L
.74747 .25123 L
.74923 .25253 L
.75758 .25864 L
.7631 .26263 L
Mistroke
.76768 .26587 L
.77756 .27273 L
.77778 .27287 L
.78788 .27958 L
.79295 .28283 L
.79798 .28594 L
.80808 .29189 L
.80993 .29293 L
.81818 .29735 L
.82828 .30224 L
.83003 .30303 L
.83838 .3065 L
.84848 .31003 L
.85859 .31277 L
.85986 .31313 L
.86869 .31464 L
.87879 .31558 L
.88889 .31555 L
.89899 .31451 L
.90673 .31313 L
.90909 .31244 L
.91919 .30934 L
.92929 .30524 L
.93396 .30303 L
.93939 .30017 L
.94949 .29417 L
.95142 .29293 L
.9596 .28729 L
.96559 .28283 L
.9697 .2796 L
.97798 .27273 L
.9798 .27115 L
.98923 .26263 L
.9899 .262 L
.99968 .25253 L
1 .25221 L
Mfstroke
.3 .7 .6 r
1 .71554 m
.99249 .70707 L
.9899 .70421 L
.98316 .69697 L
.9798 .69347 L
.97326 .68687 L
.9697 .6834 L
.96261 .67677 L
.9596 .67408 L
.95083 .66667 L
.94949 .6656 L
.93939 .65808 L
.93719 .65657 L
.92929 .65162 L
.91952 .64646 L
.91919 .64632 L
.90909 .64226 L
.89899 .63952 L
.88889 .63813 L
.87879 .63808 L
.86869 .63934 L
.85859 .64182 L
.84848 .64542 L
.84595 .64646 L
.83838 .65001 L
.82828 .65545 L
.82637 .65657 L
.81818 .66164 L
.81062 .66667 L
.80808 .66843 L
.79798 .67572 L
.79658 .67677 L
.78788 .68342 L
.78348 .68687 L
.77778 .69143 L
.77097 .69697 L
.76768 .69968 L
.75881 .70707 L
.75758 .70811 L
.74747 .71667 L
.74688 .71717 L
.73737 .7253 L
.73507 .72727 L
.72727 .73397 L
.72331 .73737 L
.71717 .74264 L
.71153 .74747 L
.70707 .75128 L
.69967 .75758 L
.69697 .75987 L
.6877 .76768 L
.68687 .76837 L
.67677 .77678 L
.67556 .77778 L
.66667 .78507 L
.66321 .78788 L
.65657 .79323 L
.6506 .79798 L
.64646 .80124 L
.63767 .80808 L
.63636 .80909 L
.62626 .81676 L
.62436 .81818 L
.61616 .82424 L
.6106 .82828 L
.60606 .83153 L
.59629 .83838 L
.59596 .83861 L
.58586 .84548 L
.58132 .84848 L
.57576 .85211 L
.56566 .85851 L
.56554 .85859 L
.55556 .86467 L
.54874 .86869 L
.54545 .87058 L
.53535 .87622 L
.53059 .87879 L
.52525 .88159 L
.51515 .88669 L
.51061 .88889 L
.50505 .8915 L
.49495 .89602 L
.4879 .89899 L
.48485 .90023 L
.47475 .90413 L
.46465 .90771 L
.46049 .90909 L
.45455 .91096 L
.44444 .91388 L
.43434 .91644 L
.42424 .91865 L
.42147 .91919 L
.41414 .92048 L
.40404 .92194 L
.39394 .923 L
.38384 .92366 L
.37374 .9239 L
.36364 .9237 L
.35354 .92306 L
.34343 .92196 L
.33333 .92037 L
.32727 .91919 L
.32323 .91829 L
.31313 .91568 L
.30303 .91252 L
.29368 .90909 L
.29293 .90879 L
.28283 .90447 L
.27273 .8995 L
.27175 .89899 L
.26263 .89387 L
.25459 .88889 L
.25253 .88753 L
.24242 .88043 L
.24024 .87879 L
.23232 .87251 L
.2278 .86869 L
.22222 .86372 L
.21678 .85859 L
.21212 .85397 L
.20687 .84848 L
.20202 .84316 L
.19786 .83838 L
.19192 .83119 L
.18961 .82828 L
.18201 .81818 L
.18182 .81792 L
.17497 .80808 L
.17172 .80315 L
.16843 .79798 L
.16233 .78788 L
.16162 .78665 L
.15663 .77778 L
.15152 .76808 L
.15131 .76768 L
.14632 .75758 L
.14164 .74747 L
.14141 .74698 L
.13725 .73737 L
.13313 .72727 L
.13131 .72259 L
.12927 .71717 L
.12566 .70707 L
.12227 .69697 L
.12121 .69368 L
.1191 .68687 L
.11614 .67677 L
.11338 .66667 L
.11111 .65777 L
.11082 .65657 L
.10844 .64646 L
.10624 .63636 L
.10422 .62626 L
.10237 .61616 L
.10101 .60805 L
.10069 .60606 L
.09917 .59596 L
.09782 .58586 L
.09662 .57576 L
.09557 .56566 L
.09468 .55556 L
.09394 .54545 L
.09335 .53535 L
.0929 .52525 L
.09261 .51515 L
.09246 .50505 L
.09246 .49495 L
.09261 .48485 L
.0929 .47475 L
.09335 .46465 L
.09394 .45455 L
.09468 .44444 L
.09557 .43434 L
.09662 .42424 L
.09782 .41414 L
.09917 .40404 L
.10069 .39394 L
.10101 .39195 L
.10237 .38384 L
.10422 .37374 L
.10624 .36364 L
.10844 .35354 L
.11082 .34343 L
.11111 .34223 L
.11338 .33333 L
.11614 .32323 L
.1191 .31313 L
.12121 .30632 L
.12227 .30303 L
.12566 .29293 L
.12927 .28283 L
.13131 .27741 L
.13313 .27273 L
.13725 .26263 L
.14141 .25302 L
.14164 .25253 L
.14632 .24242 L
.15131 .23232 L
.15152 .23192 L
.15663 .22222 L
.16162 .21335 L
.16233 .21212 L
.16843 .20202 L
.17172 .19685 L
.17497 .19192 L
.18182 .18208 L
.18201 .18182 L
.18961 .17172 L
.19192 .16881 L
.19786 .16162 L
.20202 .15684 L
.20687 .15152 L
.21212 .14603 L
.21678 .14141 L
.22222 .13628 L
.2278 .13131 L
.23232 .12749 L
.24024 .12121 L
.24242 .11957 L
.25253 .11247 L
.25459 .11111 L
.26263 .10613 L
.27175 .10101 L
.27273 .1005 L
.28283 .09553 L
.29293 .09121 L
.29368 .09091 L
.30303 .08748 L
.31313 .08432 L
.32323 .08171 L
.32727 .08081 L
.33333 .07963 L
.34343 .07804 L
.35354 .07694 L
.36364 .0763 L
.37374 .0761 L
.38384 .07634 L
.39394 .077 L
.40404 .07806 L
.41414 .07952 L
.42147 .08081 L
.42424 .08135 L
.43434 .08356 L
.44444 .08612 L
.45455 .08904 L
.46049 .09091 L
.46465 .09229 L
.47475 .09587 L
.48485 .09977 L
.4879 .10101 L
.49495 .10398 L
.50505 .1085 L
.51061 .11111 L
.51515 .11331 L
.52525 .11841 L
.53059 .12121 L
.53535 .12378 L
.54545 .12942 L
.54874 .13131 L
.55556 .13533 L
.56554 .14141 L
.56566 .14149 L
.57576 .14789 L
.58132 .15152 L
.58586 .15452 L
.59596 .16139 L
.59629 .16162 L
.60606 .16847 L
.6106 .17172 L
.61616 .17576 L
.62436 .18182 L
.62626 .18324 L
.63636 .19091 L
.63767 .19192 L
.64646 .19876 L
.6506 .20202 L
.65657 .20677 L
.66321 .21212 L
.66667 .21493 L
.67556 .22222 L
.67677 .22322 L
.68687 .23163 L
.6877 .23232 L
.69697 .24013 L
.69967 .24242 L
.70707 .24872 L
.71153 .25253 L
.71717 .25736 L
.72331 .26263 L
.72727 .26603 L
.73507 .27273 L
.73737 .2747 L
.74688 .28283 L
.74747 .28333 L
.75758 .29189 L
.75881 .29293 L
.76768 .30032 L
.77097 .30303 L
.77778 .30857 L
.78348 .31313 L
.78788 .31658 L
.79658 .32323 L
.79798 .32428 L
.80808 .33157 L
.81062 .33333 L
.81818 .33836 L
.82637 .34343 L
.82828 .34455 L
.83838 .34999 L
.84595 .35354 L
.84848 .35458 L
.85859 .35818 L
.86869 .36066 L
.87879 .36192 L
.88889 .36187 L
.89899 .36048 L
.90909 .35774 L
.91919 .35368 L
.91952 .35354 L
.92929 .34838 L
.93719 .34343 L
.93939 .34192 L
.94949 .3344 L
.95083 .33333 L
.9596 .32592 L
.96261 .32323 L
.9697 .3166 L
.97326 .31313 L
.9798 .30653 L
.98316 .30303 L
.9899 .29579 L
.99249 .29293 L
1 .28446 L
F
0 g
1 .71554 m
.99249 .70707 L
.9899 .70421 L
.98316 .69697 L
.9798 .69347 L
.97326 .68687 L
.9697 .6834 L
.96261 .67677 L
.9596 .67408 L
.95083 .66667 L
.94949 .6656 L
.93939 .65808 L
.93719 .65657 L
.92929 .65162 L
.91952 .64646 L
.91919 .64632 L
.90909 .64226 L
.89899 .63952 L
.88889 .63813 L
.87879 .63808 L
.86869 .63934 L
.85859 .64182 L
.84848 .64542 L
.84595 .64646 L
.83838 .65001 L
.82828 .65545 L
.82637 .65657 L
.81818 .66164 L
.81062 .66667 L
.80808 .66843 L
.79798 .67572 L
.79658 .67677 L
.78788 .68342 L
.78348 .68687 L
.77778 .69143 L
.77097 .69697 L
.76768 .69968 L
.75881 .70707 L
.75758 .70811 L
.74747 .71667 L
.74688 .71717 L
.73737 .7253 L
.73507 .72727 L
.72727 .73397 L
.72331 .73737 L
.71717 .74264 L
.71153 .74747 L
.70707 .75128 L
.69967 .75758 L
.69697 .75987 L
Mistroke
.6877 .76768 L
.68687 .76837 L
.67677 .77678 L
.67556 .77778 L
.66667 .78507 L
.66321 .78788 L
.65657 .79323 L
.6506 .79798 L
.64646 .80124 L
.63767 .80808 L
.63636 .80909 L
.62626 .81676 L
.62436 .81818 L
.61616 .82424 L
.6106 .82828 L
.60606 .83153 L
.59629 .83838 L
.59596 .83861 L
.58586 .84548 L
.58132 .84848 L
.57576 .85211 L
.56566 .85851 L
.56554 .85859 L
.55556 .86467 L
.54874 .86869 L
.54545 .87058 L
.53535 .87622 L
.53059 .87879 L
.52525 .88159 L
.51515 .88669 L
.51061 .88889 L
.50505 .8915 L
.49495 .89602 L
.4879 .89899 L
.48485 .90023 L
.47475 .90413 L
.46465 .90771 L
.46049 .90909 L
.45455 .91096 L
.44444 .91388 L
.43434 .91644 L
.42424 .91865 L
.42147 .91919 L
.41414 .92048 L
.40404 .92194 L
.39394 .923 L
.38384 .92366 L
.37374 .9239 L
.36364 .9237 L
.35354 .92306 L
Mistroke
.34343 .92196 L
.33333 .92037 L
.32727 .91919 L
.32323 .91829 L
.31313 .91568 L
.30303 .91252 L
.29368 .90909 L
.29293 .90879 L
.28283 .90447 L
.27273 .8995 L
.27175 .89899 L
.26263 .89387 L
.25459 .88889 L
.25253 .88753 L
.24242 .88043 L
.24024 .87879 L
.23232 .87251 L
.2278 .86869 L
.22222 .86372 L
.21678 .85859 L
.21212 .85397 L
.20687 .84848 L
.20202 .84316 L
.19786 .83838 L
.19192 .83119 L
.18961 .82828 L
.18201 .81818 L
.18182 .81792 L
.17497 .80808 L
.17172 .80315 L
.16843 .79798 L
.16233 .78788 L
.16162 .78665 L
.15663 .77778 L
.15152 .76808 L
.15131 .76768 L
.14632 .75758 L
.14164 .74747 L
.14141 .74698 L
.13725 .73737 L
.13313 .72727 L
.13131 .72259 L
.12927 .71717 L
.12566 .70707 L
.12227 .69697 L
.12121 .69368 L
.1191 .68687 L
.11614 .67677 L
.11338 .66667 L
.11111 .65777 L
Mistroke
.11082 .65657 L
.10844 .64646 L
.10624 .63636 L
.10422 .62626 L
.10237 .61616 L
.10101 .60805 L
.10069 .60606 L
.09917 .59596 L
.09782 .58586 L
.09662 .57576 L
.09557 .56566 L
.09468 .55556 L
.09394 .54545 L
.09335 .53535 L
.0929 .52525 L
.09261 .51515 L
.09246 .50505 L
.09246 .49495 L
.09261 .48485 L
.0929 .47475 L
.09335 .46465 L
.09394 .45455 L
.09468 .44444 L
.09557 .43434 L
.09662 .42424 L
.09782 .41414 L
.09917 .40404 L
.10069 .39394 L
.10101 .39195 L
.10237 .38384 L
.10422 .37374 L
.10624 .36364 L
.10844 .35354 L
.11082 .34343 L
.11111 .34223 L
.11338 .33333 L
.11614 .32323 L
.1191 .31313 L
.12121 .30632 L
.12227 .30303 L
.12566 .29293 L
.12927 .28283 L
.13131 .27741 L
.13313 .27273 L
.13725 .26263 L
.14141 .25302 L
.14164 .25253 L
.14632 .24242 L
.15131 .23232 L
.15152 .23192 L
Mistroke
.15663 .22222 L
.16162 .21335 L
.16233 .21212 L
.16843 .20202 L
.17172 .19685 L
.17497 .19192 L
.18182 .18208 L
.18201 .18182 L
.18961 .17172 L
.19192 .16881 L
.19786 .16162 L
.20202 .15684 L
.20687 .15152 L
.21212 .14603 L
.21678 .14141 L
.22222 .13628 L
.2278 .13131 L
.23232 .12749 L
.24024 .12121 L
.24242 .11957 L
.25253 .11247 L
.25459 .11111 L
.26263 .10613 L
.27175 .10101 L
.27273 .1005 L
.28283 .09553 L
.29293 .09121 L
.29368 .09091 L
.30303 .08748 L
.31313 .08432 L
.32323 .08171 L
.32727 .08081 L
.33333 .07963 L
.34343 .07804 L
.35354 .07694 L
.36364 .0763 L
.37374 .0761 L
.38384 .07634 L
.39394 .077 L
.40404 .07806 L
.41414 .07952 L
.42147 .08081 L
.42424 .08135 L
.43434 .08356 L
.44444 .08612 L
.45455 .08904 L
.46049 .09091 L
.46465 .09229 L
.47475 .09587 L
.48485 .09977 L
Mistroke
.4879 .10101 L
.49495 .10398 L
.50505 .1085 L
.51061 .11111 L
.51515 .11331 L
.52525 .11841 L
.53059 .12121 L
.53535 .12378 L
.54545 .12942 L
.54874 .13131 L
.55556 .13533 L
.56554 .14141 L
.56566 .14149 L
.57576 .14789 L
.58132 .15152 L
.58586 .15452 L
.59596 .16139 L
.59629 .16162 L
.60606 .16847 L
.6106 .17172 L
.61616 .17576 L
.62436 .18182 L
.62626 .18324 L
.63636 .19091 L
.63767 .19192 L
.64646 .19876 L
.6506 .20202 L
.65657 .20677 L
.66321 .21212 L
.66667 .21493 L
.67556 .22222 L
.67677 .22322 L
.68687 .23163 L
.6877 .23232 L
.69697 .24013 L
.69967 .24242 L
.70707 .24872 L
.71153 .25253 L
.71717 .25736 L
.72331 .26263 L
.72727 .26603 L
.73507 .27273 L
.73737 .2747 L
.74688 .28283 L
.74747 .28333 L
.75758 .29189 L
.75881 .29293 L
.76768 .30032 L
.77097 .30303 L
.77778 .30857 L
Mistroke
.78348 .31313 L
.78788 .31658 L
.79658 .32323 L
.79798 .32428 L
.80808 .33157 L
.81062 .33333 L
.81818 .33836 L
.82637 .34343 L
.82828 .34455 L
.83838 .34999 L
.84595 .35354 L
.84848 .35458 L
.85859 .35818 L
.86869 .36066 L
.87879 .36192 L
.88889 .36187 L
.89899 .36048 L
.90909 .35774 L
.91919 .35368 L
.91952 .35354 L
.92929 .34838 L
.93719 .34343 L
.93939 .34192 L
.94949 .3344 L
.95083 .33333 L
.9596 .32592 L
.96261 .32323 L
.9697 .3166 L
.97326 .31313 L
.9798 .30653 L
.98316 .30303 L
.9899 .29579 L
.99249 .29293 L
1 .28446 L
Mfstroke
.275 .725 .6 r
1 .67753 m
.99945 .67677 L
.99215 .66667 L
.9899 .66359 L
.98473 .65657 L
.9798 .64996 L
.97716 .64646 L
.9697 .63672 L
.96942 .63636 L
.96147 .62626 L
.9596 .62394 L
.95324 .61616 L
.94949 .61173 L
.94462 .60606 L
.93939 .60024 L
.93545 .59596 L
.92929 .58971 L
.92536 .58586 L
.91919 .58042 L
.91349 .57576 L
.90909 .57278 L
.89899 .56726 L
.89466 .56566 L
.88889 .56433 L
.87879 .56423 L
.87222 .56566 L
.86869 .56689 L
.85859 .57192 L
.8525 .57576 L
.84848 .57877 L
.83963 .58586 L
.83838 .58694 L
.82837 .59596 L
.82828 .59604 L
.81818 .60575 L
.81787 .60606 L
.80808 .61587 L
.80779 .61616 L
.79798 .62624 L
.79795 .62626 L
.78824 .63636 L
.78788 .63674 L
.77859 .64646 L
.77778 .64732 L
.76894 .65657 L
.76768 .65789 L
.75927 .66667 L
.75758 .66843 L
.74953 .67677 L
.74747 .67889 L
.73971 .68687 L
.73737 .68926 L
.72978 .69697 L
.72727 .6995 L
.71971 .70707 L
.71717 .7096 L
.7095 .71717 L
.70707 .71954 L
.6991 .72727 L
.69697 .72932 L
.68851 .73737 L
.68687 .73892 L
.67769 .74747 L
.67677 .74833 L
.66667 .75754 L
.66662 .75758 L
.65657 .76654 L
.65527 .76768 L
.64646 .77532 L
.6436 .77778 L
.63636 .78389 L
.63156 .78788 L
.62626 .79222 L
.61911 .79798 L
.61616 .80032 L
.60618 .80808 L
.60606 .80817 L
.59596 .81578 L
.59269 .81818 L
.58586 .82313 L
.57855 .82828 L
.57576 .83021 L
.56566 .83703 L
.5636 .83838 L
.55556 .84357 L
.54767 .84848 L
.54545 .84983 L
.53535 .85581 L
.53048 .85859 L
.52525 .86149 L
.51515 .86686 L
.51158 .86869 L
.50505 .87193 L
.49495 .87668 L
.49023 .87879 L
.48485 .88111 L
.47475 .8852 L
.46484 .88889 L
.46465 .88896 L
.45455 .89236 L
.44444 .89541 L
.43434 .8981 L
.43064 .89899 L
.42424 .9004 L
.41414 .90232 L
.40404 .90384 L
.39394 .90495 L
.38384 .90564 L
.37374 .90589 L
.36364 .90569 L
.35354 .90502 L
.34343 .90387 L
.33333 .90221 L
.32323 .90003 L
.31912 .89899 L
.31313 .8973 L
.30303 .89399 L
.29293 .89009 L
.29011 .88889 L
.28283 .88555 L
.27273 .88034 L
.26994 .87879 L
.26263 .87443 L
.25388 .86869 L
.25253 .86775 L
.24242 .86026 L
.24032 .85859 L
.23232 .85189 L
.22851 .84848 L
.22222 .84256 L
.21802 .83838 L
.21212 .83219 L
.20858 .82828 L
.20202 .82065 L
.19999 .81818 L
.19212 .80808 L
.19192 .80781 L
.18487 .79798 L
.18182 .79348 L
.17816 .78788 L
.17193 .77778 L
.17172 .77741 L
.16614 .76768 L
.16162 .75928 L
.16073 .75758 L
.15568 .74747 L
.15152 .73859 L
.15096 .73737 L
.14655 .72727 L
.14242 .71717 L
.14141 .7146 L
.13856 .70707 L
.13495 .69697 L
.13158 .68687 L
.13131 .68602 L
.12844 .67677 L
.12552 .66667 L
.12281 .65657 L
.12121 .65023 L
.1203 .64646 L
.11798 .63636 L
.11585 .62626 L
.1139 .61616 L
.11213 .60606 L
.11111 .59974 L
.11053 .59596 L
.10911 .58586 L
.10784 .57576 L
.10675 .56566 L
.10581 .55556 L
.10503 .54545 L
.10441 .53535 L
.10395 .52525 L
.10364 .51515 L
.10349 .50505 L
.10349 .49495 L
.10364 .48485 L
.10395 .47475 L
.10441 .46465 L
.10503 .45455 L
.10581 .44444 L
.10675 .43434 L
.10784 .42424 L
.10911 .41414 L
.11053 .40404 L
.11111 .40026 L
.11213 .39394 L
.1139 .38384 L
.11585 .37374 L
.11798 .36364 L
.1203 .35354 L
.12121 .34977 L
.12281 .34343 L
.12552 .33333 L
.12844 .32323 L
.13131 .31398 L
.13158 .31313 L
.13495 .30303 L
.13856 .29293 L
.14141 .2854 L
.14242 .28283 L
.14655 .27273 L
.15096 .26263 L
.15152 .26141 L
.15568 .25253 L
.16073 .24242 L
.16162 .24072 L
.16614 .23232 L
.17172 .22259 L
.17193 .22222 L
.17816 .21212 L
.18182 .20652 L
.18487 .20202 L
.19192 .19219 L
.19212 .19192 L
.19999 .18182 L
.20202 .17935 L
.20858 .17172 L
.21212 .16781 L
.21802 .16162 L
.22222 .15744 L
.22851 .15152 L
.23232 .14811 L
.24032 .14141 L
.24242 .13974 L
.25253 .13225 L
.25388 .13131 L
.26263 .12557 L
.26994 .12121 L
.27273 .11966 L
.28283 .11445 L
.29011 .11111 L
.29293 .10991 L
.30303 .10601 L
.31313 .1027 L
.31912 .10101 L
.32323 .09997 L
.33333 .09779 L
.34343 .09613 L
.35354 .09498 L
.36364 .09431 L
.37374 .09411 L
.38384 .09436 L
.39394 .09505 L
.40404 .09616 L
.41414 .09768 L
.42424 .0996 L
.43064 .10101 L
.43434 .1019 L
.44444 .10459 L
.45455 .10764 L
.46465 .11104 L
.46484 .11111 L
.47475 .1148 L
.48485 .11889 L
.49023 .12121 L
.49495 .12332 L
.50505 .12807 L
.51158 .13131 L
.51515 .13314 L
.52525 .13851 L
.53048 .14141 L
.53535 .14419 L
.54545 .15017 L
.54767 .15152 L
.55556 .15643 L
.5636 .16162 L
.56566 .16297 L
.57576 .16979 L
.57855 .17172 L
.58586 .17687 L
.59269 .18182 L
.59596 .18422 L
.60606 .19183 L
.60618 .19192 L
.61616 .19968 L
.61911 .20202 L
.62626 .20778 L
.63156 .21212 L
.63636 .21611 L
.6436 .22222 L
.64646 .22468 L
.65527 .23232 L
.65657 .23346 L
.66662 .24242 L
.66667 .24246 L
.67677 .25167 L
.67769 .25253 L
.68687 .26108 L
.68851 .26263 L
.69697 .27068 L
.6991 .27273 L
.70707 .28046 L
.7095 .28283 L
.71717 .2904 L
.71971 .29293 L
.72727 .3005 L
.72978 .30303 L
.73737 .31074 L
.73971 .31313 L
.74747 .32111 L
.74953 .32323 L
.75758 .33157 L
.75927 .33333 L
.76768 .34211 L
.76894 .34343 L
.77778 .35268 L
.77859 .35354 L
.78788 .36326 L
.78824 .36364 L
.79795 .37374 L
.79798 .37376 L
.80779 .38384 L
.80808 .38413 L
.81787 .39394 L
.81818 .39425 L
.82828 .40396 L
.82837 .40404 L
.83838 .41306 L
.83963 .41414 L
.84848 .42123 L
.8525 .42424 L
.85859 .42808 L
.86869 .43311 L
.87222 .43434 L
.87879 .43577 L
.88889 .43567 L
.89466 .43434 L
.89899 .43274 L
.90909 .42722 L
.91349 .42424 L
.91919 .41958 L
.92536 .41414 L
.92929 .41029 L
.93545 .40404 L
.93939 .39976 L
.94462 .39394 L
.94949 .38827 L
.95324 .38384 L
.9596 .37606 L
.96147 .37374 L
.96942 .36364 L
.9697 .36328 L
.97716 .35354 L
.9798 .35004 L
.98473 .34343 L
.9899 .33641 L
.99215 .33333 L
.99945 .32323 L
1 .32247 L
F
0 g
1 .67753 m
.99945 .67677 L
.99215 .66667 L
.9899 .66359 L
.98473 .65657 L
.9798 .64996 L
.97716 .64646 L
.9697 .63672 L
.96942 .63636 L
.96147 .62626 L
.9596 .62394 L
.95324 .61616 L
.94949 .61173 L
.94462 .60606 L
.93939 .60024 L
.93545 .59596 L
.92929 .58971 L
.92536 .58586 L
.91919 .58042 L
.91349 .57576 L
.90909 .57278 L
.89899 .56726 L
.89466 .56566 L
.88889 .56433 L
.87879 .56423 L
.87222 .56566 L
.86869 .56689 L
.85859 .57192 L
.8525 .57576 L
.84848 .57877 L
.83963 .58586 L
.83838 .58694 L
.82837 .59596 L
.82828 .59604 L
.81818 .60575 L
.81787 .60606 L
.80808 .61587 L
.80779 .61616 L
.79798 .62624 L
.79795 .62626 L
.78824 .63636 L
.78788 .63674 L
.77859 .64646 L
.77778 .64732 L
.76894 .65657 L
.76768 .65789 L
.75927 .66667 L
.75758 .66843 L
.74953 .67677 L
.74747 .67889 L
Mistroke
.73971 .68687 L
.73737 .68926 L
.72978 .69697 L
.72727 .6995 L
.71971 .70707 L
.71717 .7096 L
.7095 .71717 L
.70707 .71954 L
.6991 .72727 L
.69697 .72932 L
.68851 .73737 L
.68687 .73892 L
.67769 .74747 L
.67677 .74833 L
.66667 .75754 L
.66662 .75758 L
.65657 .76654 L
.65527 .76768 L
.64646 .77532 L
.6436 .77778 L
.63636 .78389 L
.63156 .78788 L
.62626 .79222 L
.61911 .79798 L
.61616 .80032 L
.60618 .80808 L
.60606 .80817 L
.59596 .81578 L
.59269 .81818 L
.58586 .82313 L
.57855 .82828 L
.57576 .83021 L
.56566 .83703 L
.5636 .83838 L
.55556 .84357 L
.54767 .84848 L
.54545 .84983 L
.53535 .85581 L
.53048 .85859 L
.52525 .86149 L
.51515 .86686 L
.51158 .86869 L
.50505 .87193 L
.49495 .87668 L
.49023 .87879 L
.48485 .88111 L
.47475 .8852 L
.46484 .88889 L
.46465 .88896 L
.45455 .89236 L
Mistroke
.44444 .89541 L
.43434 .8981 L
.43064 .89899 L
.42424 .9004 L
.41414 .90232 L
.40404 .90384 L
.39394 .90495 L
.38384 .90564 L
.37374 .90589 L
.36364 .90569 L
.35354 .90502 L
.34343 .90387 L
.33333 .90221 L
.32323 .90003 L
.31912 .89899 L
.31313 .8973 L
.30303 .89399 L
.29293 .89009 L
.29011 .88889 L
.28283 .88555 L
.27273 .88034 L
.26994 .87879 L
.26263 .87443 L
.25388 .86869 L
.25253 .86775 L
.24242 .86026 L
.24032 .85859 L
.23232 .85189 L
.22851 .84848 L
.22222 .84256 L
.21802 .83838 L
.21212 .83219 L
.20858 .82828 L
.20202 .82065 L
.19999 .81818 L
.19212 .80808 L
.19192 .80781 L
.18487 .79798 L
.18182 .79348 L
.17816 .78788 L
.17193 .77778 L
.17172 .77741 L
.16614 .76768 L
.16162 .75928 L
.16073 .75758 L
.15568 .74747 L
.15152 .73859 L
.15096 .73737 L
.14655 .72727 L
.14242 .71717 L
Mistroke
.14141 .7146 L
.13856 .70707 L
.13495 .69697 L
.13158 .68687 L
.13131 .68602 L
.12844 .67677 L
.12552 .66667 L
.12281 .65657 L
.12121 .65023 L
.1203 .64646 L
.11798 .63636 L
.11585 .62626 L
.1139 .61616 L
.11213 .60606 L
.11111 .59974 L
.11053 .59596 L
.10911 .58586 L
.10784 .57576 L
.10675 .56566 L
.10581 .55556 L
.10503 .54545 L
.10441 .53535 L
.10395 .52525 L
.10364 .51515 L
.10349 .50505 L
.10349 .49495 L
.10364 .48485 L
.10395 .47475 L
.10441 .46465 L
.10503 .45455 L
.10581 .44444 L
.10675 .43434 L
.10784 .42424 L
.10911 .41414 L
.11053 .40404 L
.11111 .40026 L
.11213 .39394 L
.1139 .38384 L
.11585 .37374 L
.11798 .36364 L
.1203 .35354 L
.12121 .34977 L
.12281 .34343 L
.12552 .33333 L
.12844 .32323 L
.13131 .31398 L
.13158 .31313 L
.13495 .30303 L
.13856 .29293 L
.14141 .2854 L
Mistroke
.14242 .28283 L
.14655 .27273 L
.15096 .26263 L
.15152 .26141 L
.15568 .25253 L
.16073 .24242 L
.16162 .24072 L
.16614 .23232 L
.17172 .22259 L
.17193 .22222 L
.17816 .21212 L
.18182 .20652 L
.18487 .20202 L
.19192 .19219 L
.19212 .19192 L
.19999 .18182 L
.20202 .17935 L
.20858 .17172 L
.21212 .16781 L
.21802 .16162 L
.22222 .15744 L
.22851 .15152 L
.23232 .14811 L
.24032 .14141 L
.24242 .13974 L
.25253 .13225 L
.25388 .13131 L
.26263 .12557 L
.26994 .12121 L
.27273 .11966 L
.28283 .11445 L
.29011 .11111 L
.29293 .10991 L
.30303 .10601 L
.31313 .1027 L
.31912 .10101 L
.32323 .09997 L
.33333 .09779 L
.34343 .09613 L
.35354 .09498 L
.36364 .09431 L
.37374 .09411 L
.38384 .09436 L
.39394 .09505 L
.40404 .09616 L
.41414 .09768 L
.42424 .0996 L
.43064 .10101 L
.43434 .1019 L
.44444 .10459 L
Mistroke
.45455 .10764 L
.46465 .11104 L
.46484 .11111 L
.47475 .1148 L
.48485 .11889 L
.49023 .12121 L
.49495 .12332 L
.50505 .12807 L
.51158 .13131 L
.51515 .13314 L
.52525 .13851 L
.53048 .14141 L
.53535 .14419 L
.54545 .15017 L
.54767 .15152 L
.55556 .15643 L
.5636 .16162 L
.56566 .16297 L
.57576 .16979 L
.57855 .17172 L
.58586 .17687 L
.59269 .18182 L
.59596 .18422 L
.60606 .19183 L
.60618 .19192 L
.61616 .19968 L
.61911 .20202 L
.62626 .20778 L
.63156 .21212 L
.63636 .21611 L
.6436 .22222 L
.64646 .22468 L
.65527 .23232 L
.65657 .23346 L
.66662 .24242 L
.66667 .24246 L
.67677 .25167 L
.67769 .25253 L
.68687 .26108 L
.68851 .26263 L
.69697 .27068 L
.6991 .27273 L
.70707 .28046 L
.7095 .28283 L
.71717 .2904 L
.71971 .29293 L
.72727 .3005 L
.72978 .30303 L
.73737 .31074 L
.73971 .31313 L
Mistroke
.74747 .32111 L
.74953 .32323 L
.75758 .33157 L
.75927 .33333 L
.76768 .34211 L
.76894 .34343 L
.77778 .35268 L
.77859 .35354 L
.78788 .36326 L
.78824 .36364 L
.79795 .37374 L
.79798 .37376 L
.80779 .38384 L
.80808 .38413 L
.81787 .39394 L
.81818 .39425 L
.82828 .40396 L
.82837 .40404 L
.83838 .41306 L
.83963 .41414 L
.84848 .42123 L
.8525 .42424 L
.85859 .42808 L
.86869 .43311 L
.87222 .43434 L
.87879 .43577 L
.88889 .43567 L
.89466 .43434 L
.89899 .43274 L
.90909 .42722 L
.91349 .42424 L
.91919 .41958 L
.92536 .41414 L
.92929 .41029 L
.93545 .40404 L
.93939 .39976 L
.94462 .39394 L
.94949 .38827 L
.95324 .38384 L
.9596 .37606 L
.96147 .37374 L
.96942 .36364 L
.9697 .36328 L
.97716 .35354 L
.9798 .35004 L
.98473 .34343 L
.9899 .33641 L
.99215 .33333 L
.99945 .32323 L
1 .32247 L
Mistroke
Mfstroke
.25 .75 .6 r
.32323 .11911 m
.33333 .11682 L
.34343 .11508 L
.35354 .11387 L
.36364 .11317 L
.37374 .11295 L
.38384 .11322 L
.39394 .11394 L
.40404 .1151 L
.41414 .1167 L
.42424 .11871 L
.43434 .12114 L
.43464 .12121 L
.44444 .12396 L
.45455 .12716 L
.46465 .13075 L
.46614 .13131 L
.47475 .13471 L
.48485 .13903 L
.49009 .14141 L
.49495 .14371 L
.50505 .14873 L
.51036 .15152 L
.51515 .1541 L
.52525 .15981 L
.52833 .16162 L
.53535 .16585 L
.54468 .17172 L
.54545 .17222 L
.55556 .17891 L
.55981 .18182 L
.56566 .18592 L
.57396 .19192 L
.57576 .19324 L
.58586 .20089 L
.58732 .20202 L
.59596 .20884 L
.60001 .21212 L
.60606 .21711 L
.61213 .22222 L
.61616 .22568 L
.62374 .23232 L
.62626 .23457 L
.6349 .24242 L
.63636 .24378 L
.64566 .25253 L
.64646 .2533 L
.65604 .26263 L
.65657 .26315 L
.66608 .27273 L
.66667 .27332 L
.67581 .28283 L
.67677 .28384 L
.68523 .29293 L
.68687 .29472 L
.69436 .30303 L
.69697 .30597 L
.70321 .31313 L
.70707 .31763 L
.71179 .32323 L
.71717 .32974 L
.7201 .33333 L
.72727 .34234 L
.72813 .34343 L
.73589 .35354 L
.73737 .35551 L
.74336 .36364 L
.74747 .36938 L
.75053 .37374 L
.75738 .38384 L
.75758 .38413 L
.7639 .39394 L
.76768 .40006 L
.77005 .40404 L
.77581 .41414 L
.77778 .41778 L
.78112 .42424 L
.78595 .43434 L
.78788 .43869 L
.79025 .44444 L
.79395 .45455 L
.797 .46465 L
.79798 .46834 L
.79935 .47475 L
.80094 .48485 L
.80175 .49495 L
.80175 .50505 L
.80094 .51515 L
.79935 .52525 L
.79798 .53166 L
.797 .53535 L
.79395 .54545 L
.79025 .55556 L
.78788 .56131 L
.78595 .56566 L
.78112 .57576 L
.77778 .58222 L
.77581 .58586 L
.77005 .59596 L
.76768 .59994 L
.7639 .60606 L
.75758 .61587 L
.75738 .61616 L
.75053 .62626 L
.74747 .63062 L
.74336 .63636 L
.73737 .64449 L
.73589 .64646 L
.72813 .65657 L
.72727 .65766 L
.7201 .66667 L
.71717 .67026 L
.71179 .67677 L
.70707 .68237 L
.70321 .68687 L
.69697 .69403 L
.69436 .69697 L
.68687 .70528 L
.68523 .70707 L
.67677 .71616 L
.67581 .71717 L
.66667 .72668 L
.66608 .72727 L
.65657 .73685 L
.65604 .73737 L
.64646 .7467 L
.64566 .74747 L
.63636 .75622 L
.6349 .75758 L
.62626 .76543 L
.62374 .76768 L
.61616 .77432 L
.61213 .77778 L
.60606 .78289 L
.60001 .78788 L
.59596 .79116 L
.58732 .79798 L
.58586 .79911 L
.57576 .80676 L
.57396 .80808 L
.56566 .81408 L
.55981 .81818 L
.55556 .82109 L
.54545 .82778 L
.54468 .82828 L
.53535 .83415 L
.52833 .83838 L
.52525 .84019 L
.51515 .8459 L
.51036 .84848 L
.50505 .85127 L
.49495 .85629 L
.49009 .85859 L
.48485 .86097 L
.47475 .86529 L
.46614 .86869 L
.46465 .86925 L
.45455 .87284 L
.44444 .87604 L
.43464 .87879 L
.43434 .87886 L
.42424 .88129 L
.41414 .8833 L
.40404 .8849 L
.39394 .88606 L
.38384 .88678 L
.37374 .88705 L
.36364 .88683 L
.35354 .88613 L
.34343 .88492 L
.33333 .88318 L
.32323 .88089 L
.3156 .87879 L
.31313 .87802 L
.30303 .87455 L
.29293 .87044 L
.28904 .86869 L
.28283 .86566 L
.27273 .86017 L
.27005 .85859 L
.26263 .85391 L
.25477 .84848 L
.25253 .84684 L
.24242 .83888 L
.24183 .83838 L
.23232 .82997 L
.23053 .82828 L
.22222 .82001 L
.22048 .81818 L
.21212 .80888 L
.21144 .80808 L
.20321 .79798 L
.20202 .79644 L
.19568 .78788 L
.19192 .7825 L
.18875 .77778 L
.18235 .76768 L
.18182 .76681 L
.17641 .75758 L
.17172 .74903 L
.17089 .74747 L
.16576 .73737 L
.16162 .72866 L
.16098 .72727 L
.15652 .71717 L
.15237 .70707 L
.15152 .7049 L
.1485 .69697 L
.14489 .68687 L
.14154 .67677 L
.14141 .67639 L
.13842 .66667 L
.13553 .65657 L
.13286 .64646 L
.13131 .64022 L
.1304 .63636 L
.12814 .62626 L
.12607 .61616 L
.1242 .60606 L
.12251 .59596 L
.12121 .58734 L
.121 .58586 L
.11967 .57576 L
.11851 .56566 L
.11752 .55556 L
.1167 .54545 L
.11605 .53535 L
.11556 .52525 L
.11523 .51515 L
.11507 .50505 L
.11507 .49495 L
.11523 .48485 L
.11556 .47475 L
.11605 .46465 L
.1167 .45455 L
.11752 .44444 L
.11851 .43434 L
.11967 .42424 L
.121 .41414 L
.12121 .41266 L
.12251 .40404 L
.1242 .39394 L
.12607 .38384 L
.12814 .37374 L
.1304 .36364 L
.13131 .35978 L
.13286 .35354 L
.13553 .34343 L
.13842 .33333 L
.14141 .32361 L
.14154 .32323 L
.14489 .31313 L
.1485 .30303 L
.15152 .2951 L
.15237 .29293 L
.15652 .28283 L
.16098 .27273 L
.16162 .27134 L
.16576 .26263 L
.17089 .25253 L
.17172 .25097 L
.17641 .24242 L
.18182 .23319 L
.18235 .23232 L
.18875 .22222 L
.19192 .2175 L
.19568 .21212 L
.20202 .20356 L
.20321 .20202 L
.21144 .19192 L
.21212 .19112 L
.22048 .18182 L
.22222 .17999 L
.23053 .17172 L
.23232 .17003 L
.24183 .16162 L
.24242 .16112 L
.25253 .15316 L
.25477 .15152 L
.26263 .14609 L
.27005 .14141 L
.27273 .13983 L
.28283 .13434 L
.28904 .13131 L
.29293 .12956 L
.30303 .12545 L
.31313 .12198 L
.3156 .12121 L
F
0 g
.32323 .11911 m
.33333 .11682 L
.34343 .11508 L
.35354 .11387 L
.36364 .11317 L
.37374 .11295 L
.38384 .11322 L
.39394 .11394 L
.40404 .1151 L
.41414 .1167 L
.42424 .11871 L
.43434 .12114 L
.43464 .12121 L
.44444 .12396 L
.45455 .12716 L
.46465 .13075 L
.46614 .13131 L
.47475 .13471 L
.48485 .13903 L
.49009 .14141 L
.49495 .14371 L
.50505 .14873 L
.51036 .15152 L
.51515 .1541 L
.52525 .15981 L
.52833 .16162 L
.53535 .16585 L
.54468 .17172 L
.54545 .17222 L
.55556 .17891 L
.55981 .18182 L
.56566 .18592 L
.57396 .19192 L
.57576 .19324 L
.58586 .20089 L
.58732 .20202 L
.59596 .20884 L
.60001 .21212 L
.60606 .21711 L
.61213 .22222 L
.61616 .22568 L
.62374 .23232 L
.62626 .23457 L
.6349 .24242 L
.63636 .24378 L
.64566 .25253 L
.64646 .2533 L
.65604 .26263 L
.65657 .26315 L
.66608 .27273 L
Mistroke
.66667 .27332 L
.67581 .28283 L
.67677 .28384 L
.68523 .29293 L
.68687 .29472 L
.69436 .30303 L
.69697 .30597 L
.70321 .31313 L
.70707 .31763 L
.71179 .32323 L
.71717 .32974 L
.7201 .33333 L
.72727 .34234 L
.72813 .34343 L
.73589 .35354 L
.73737 .35551 L
.74336 .36364 L
.74747 .36938 L
.75053 .37374 L
.75738 .38384 L
.75758 .38413 L
.7639 .39394 L
.76768 .40006 L
.77005 .40404 L
.77581 .41414 L
.77778 .41778 L
.78112 .42424 L
.78595 .43434 L
.78788 .43869 L
.79025 .44444 L
.79395 .45455 L
.797 .46465 L
.79798 .46834 L
.79935 .47475 L
.80094 .48485 L
.80175 .49495 L
.80175 .50505 L
.80094 .51515 L
.79935 .52525 L
.79798 .53166 L
.797 .53535 L
.79395 .54545 L
.79025 .55556 L
.78788 .56131 L
.78595 .56566 L
.78112 .57576 L
.77778 .58222 L
.77581 .58586 L
.77005 .59596 L
.76768 .59994 L
Mistroke
.7639 .60606 L
.75758 .61587 L
.75738 .61616 L
.75053 .62626 L
.74747 .63062 L
.74336 .63636 L
.73737 .64449 L
.73589 .64646 L
.72813 .65657 L
.72727 .65766 L
.7201 .66667 L
.71717 .67026 L
.71179 .67677 L
.70707 .68237 L
.70321 .68687 L
.69697 .69403 L
.69436 .69697 L
.68687 .70528 L
.68523 .70707 L
.67677 .71616 L
.67581 .71717 L
.66667 .72668 L
.66608 .72727 L
.65657 .73685 L
.65604 .73737 L
.64646 .7467 L
.64566 .74747 L
.63636 .75622 L
.6349 .75758 L
.62626 .76543 L
.62374 .76768 L
.61616 .77432 L
.61213 .77778 L
.60606 .78289 L
.60001 .78788 L
.59596 .79116 L
.58732 .79798 L
.58586 .79911 L
.57576 .80676 L
.57396 .80808 L
.56566 .81408 L
.55981 .81818 L
.55556 .82109 L
.54545 .82778 L
.54468 .82828 L
.53535 .83415 L
.52833 .83838 L
.52525 .84019 L
.51515 .8459 L
.51036 .84848 L
Mistroke
.50505 .85127 L
.49495 .85629 L
.49009 .85859 L
.48485 .86097 L
.47475 .86529 L
.46614 .86869 L
.46465 .86925 L
.45455 .87284 L
.44444 .87604 L
.43464 .87879 L
.43434 .87886 L
.42424 .88129 L
.41414 .8833 L
.40404 .8849 L
.39394 .88606 L
.38384 .88678 L
.37374 .88705 L
.36364 .88683 L
.35354 .88613 L
.34343 .88492 L
.33333 .88318 L
.32323 .88089 L
.3156 .87879 L
.31313 .87802 L
.30303 .87455 L
.29293 .87044 L
.28904 .86869 L
.28283 .86566 L
.27273 .86017 L
.27005 .85859 L
.26263 .85391 L
.25477 .84848 L
.25253 .84684 L
.24242 .83888 L
.24183 .83838 L
.23232 .82997 L
.23053 .82828 L
.22222 .82001 L
.22048 .81818 L
.21212 .80888 L
.21144 .80808 L
.20321 .79798 L
.20202 .79644 L
.19568 .78788 L
.19192 .7825 L
.18875 .77778 L
.18235 .76768 L
.18182 .76681 L
.17641 .75758 L
.17172 .74903 L
Mistroke
.17089 .74747 L
.16576 .73737 L
.16162 .72866 L
.16098 .72727 L
.15652 .71717 L
.15237 .70707 L
.15152 .7049 L
.1485 .69697 L
.14489 .68687 L
.14154 .67677 L
.14141 .67639 L
.13842 .66667 L
.13553 .65657 L
.13286 .64646 L
.13131 .64022 L
.1304 .63636 L
.12814 .62626 L
.12607 .61616 L
.1242 .60606 L
.12251 .59596 L
.12121 .58734 L
.121 .58586 L
.11967 .57576 L
.11851 .56566 L
.11752 .55556 L
.1167 .54545 L
.11605 .53535 L
.11556 .52525 L
.11523 .51515 L
.11507 .50505 L
.11507 .49495 L
.11523 .48485 L
.11556 .47475 L
.11605 .46465 L
.1167 .45455 L
.11752 .44444 L
.11851 .43434 L
.11967 .42424 L
.121 .41414 L
.12121 .41266 L
.12251 .40404 L
.1242 .39394 L
.12607 .38384 L
.12814 .37374 L
.1304 .36364 L
.13131 .35978 L
.13286 .35354 L
.13553 .34343 L
.13842 .33333 L
.14141 .32361 L
Mistroke
.14154 .32323 L
.14489 .31313 L
.1485 .30303 L
.15152 .2951 L
.15237 .29293 L
.15652 .28283 L
.16098 .27273 L
.16162 .27134 L
.16576 .26263 L
.17089 .25253 L
.17172 .25097 L
.17641 .24242 L
.18182 .23319 L
.18235 .23232 L
.18875 .22222 L
.19192 .2175 L
.19568 .21212 L
.20202 .20356 L
.20321 .20202 L
.21144 .19192 L
.21212 .19112 L
.22048 .18182 L
.22222 .17999 L
.23053 .17172 L
.23232 .17003 L
.24183 .16162 L
.24242 .16112 L
.25253 .15316 L
.25477 .15152 L
.26263 .14609 L
.27005 .14141 L
.27273 .13983 L
.28283 .13434 L
.28904 .13131 L
.29293 .12956 L
.30303 .12545 L
.31313 .12198 L
.3156 .12121 L
.32323 .11911 L
Mfstroke
.225 .775 .6 r
.32323 .13925 m
.33333 .13684 L
.34343 .135 L
.35354 .13373 L
.36364 .13299 L
.37374 .13276 L
.38384 .13304 L
.39394 .1338 L
.40404 .13503 L
.41414 .13671 L
.42424 .13884 L
.43434 .1414 L
.4344 .14141 L
.44444 .14438 L
.45455 .14777 L
.4645 .15152 L
.46465 .15157 L
.47475 .15577 L
.48485 .16036 L
.48748 .16162 L
.49495 .16533 L
.50505 .17069 L
.50691 .17172 L
.51515 .17642 L
.52411 .18182 L
.52525 .18253 L
.53535 .18901 L
.53971 .19192 L
.54545 .19586 L
.5541 .20202 L
.55556 .20309 L
.56566 .21068 L
.56752 .21212 L
.57576 .21865 L
.58013 .22222 L
.58586 .227 L
.59206 .23232 L
.59596 .23574 L
.60339 .24242 L
.60606 .24488 L
.61419 .25253 L
.61616 .25443 L
.6245 .26263 L
.62626 .2644 L
.63437 .27273 L
.63636 .27482 L
.64383 .28283 L
.64646 .28571 L
.65291 .29293 L
.65657 .29713 L
.66161 .30303 L
.66667 .30911 L
.66995 .31313 L
.67677 .32173 L
.67794 .32323 L
.68558 .33333 L
.68687 .33508 L
.69288 .34343 L
.69697 .34932 L
.69982 .35354 L
.70642 .36364 L
.70707 .36467 L
.71265 .37374 L
.71717 .38148 L
.7185 .38384 L
.72397 .39394 L
.72727 .40042 L
.72904 .40404 L
.73368 .41414 L
.73737 .42297 L
.73788 .42424 L
.74161 .43434 L
.74487 .44444 L
.74747 .45397 L
.74762 .45455 L
.74984 .46465 L
.75153 .47475 L
.75266 .48485 L
.75323 .49495 L
.75323 .50505 L
.75266 .51515 L
.75153 .52525 L
.74984 .53535 L
.74762 .54545 L
.74747 .54603 L
.74487 .55556 L
.74161 .56566 L
.73788 .57576 L
.73737 .57703 L
.73368 .58586 L
.72904 .59596 L
.72727 .59958 L
.72397 .60606 L
.7185 .61616 L
.71717 .61852 L
.71265 .62626 L
.70707 .63533 L
.70642 .63636 L
.69982 .64646 L
.69697 .65068 L
.69288 .65657 L
.68687 .66492 L
.68558 .66667 L
.67794 .67677 L
.67677 .67827 L
.66995 .68687 L
.66667 .69089 L
.66161 .69697 L
.65657 .70287 L
.65291 .70707 L
.64646 .71429 L
.64383 .71717 L
.63636 .72518 L
.63437 .72727 L
.62626 .7356 L
.6245 .73737 L
.61616 .74557 L
.61419 .74747 L
.60606 .75512 L
.60339 .75758 L
.59596 .76426 L
.59206 .76768 L
.58586 .773 L
.58013 .77778 L
.57576 .78135 L
.56752 .78788 L
.56566 .78932 L
.55556 .79691 L
.5541 .79798 L
.54545 .80414 L
.53971 .80808 L
.53535 .81099 L
.52525 .81747 L
.52411 .81818 L
.51515 .82358 L
.50691 .82828 L
.50505 .82931 L
.49495 .83467 L
.48748 .83838 L
.48485 .83964 L
.47475 .84423 L
.46465 .84843 L
.4645 .84848 L
.45455 .85223 L
.44444 .85562 L
.4344 .85859 L
.43434 .8586 L
.42424 .86116 L
.41414 .86329 L
.40404 .86497 L
.39394 .8662 L
.38384 .86696 L
.37374 .86724 L
.36364 .86701 L
.35354 .86627 L
.34343 .865 L
.33333 .86316 L
.32323 .86075 L
.31581 .85859 L
.31313 .85772 L
.30303 .85404 L
.29293 .84969 L
.29038 .84848 L
.28283 .84462 L
.27273 .83879 L
.27208 .83838 L
.26263 .83213 L
.25732 .82828 L
.25253 .82458 L
.24482 .81818 L
.24242 .81607 L
.23391 .80808 L
.23232 .8065 L
.22423 .79798 L
.22222 .79574 L
.21551 .78788 L
.21212 .78366 L
.2076 .77778 L
.20202 .77006 L
.20037 .76768 L
.19372 .75758 L
.19192 .75468 L
.1876 .74747 L
.18193 .73737 L
.18182 .73716 L
.17668 .72727 L
.17181 .71717 L
.17172 .71696 L
.16729 .70707 L
.16309 .69697 L
.16162 .69324 L
.15919 .68687 L
.15557 .67677 L
.15222 .66667 L
.15152 .66445 L
.14912 .65657 L
.14625 .64646 L
.14362 .63636 L
.14141 .62716 L
.14121 .62626 L
.13901 .61616 L
.13701 .60606 L
.13521 .59596 L
.13361 .58586 L
.13219 .57576 L
.13131 .56871 L
.13096 .56566 L
.12991 .55556 L
.12904 .54545 L
.12835 .53535 L
.12783 .52525 L
.12749 .51515 L
.12731 .50505 L
.12731 .49495 L
.12749 .48485 L
.12783 .47475 L
.12835 .46465 L
.12904 .45455 L
.12991 .44444 L
.13096 .43434 L
.13131 .43129 L
.13219 .42424 L
.13361 .41414 L
.13521 .40404 L
.13701 .39394 L
.13901 .38384 L
.14121 .37374 L
.14141 .37284 L
.14362 .36364 L
.14625 .35354 L
.14912 .34343 L
.15152 .33555 L
.15222 .33333 L
.15557 .32323 L
.15919 .31313 L
.16162 .30676 L
.16309 .30303 L
.16729 .29293 L
.17172 .28304 L
.17181 .28283 L
.17668 .27273 L
.18182 .26284 L
.18193 .26263 L
.1876 .25253 L
.19192 .24532 L
.19372 .24242 L
.20037 .23232 L
.20202 .22994 L
.2076 .22222 L
.21212 .21634 L
.21551 .21212 L
.22222 .20426 L
.22423 .20202 L
.23232 .1935 L
.23391 .19192 L
.24242 .18393 L
.24482 .18182 L
.25253 .17542 L
.25732 .17172 L
.26263 .16787 L
.27208 .16162 L
.27273 .16121 L
.28283 .15538 L
.29038 .15152 L
.29293 .15031 L
.30303 .14596 L
.31313 .14228 L
.31581 .14141 L
F
0 g
.32323 .13925 m
.33333 .13684 L
.34343 .135 L
.35354 .13373 L
.36364 .13299 L
.37374 .13276 L
.38384 .13304 L
.39394 .1338 L
.40404 .13503 L
.41414 .13671 L
.42424 .13884 L
.43434 .1414 L
.4344 .14141 L
.44444 .14438 L
.45455 .14777 L
.4645 .15152 L
.46465 .15157 L
.47475 .15577 L
.48485 .16036 L
.48748 .16162 L
.49495 .16533 L
.50505 .17069 L
.50691 .17172 L
.51515 .17642 L
.52411 .18182 L
.52525 .18253 L
.53535 .18901 L
.53971 .19192 L
.54545 .19586 L
.5541 .20202 L
.55556 .20309 L
.56566 .21068 L
.56752 .21212 L
.57576 .21865 L
.58013 .22222 L
.58586 .227 L
.59206 .23232 L
.59596 .23574 L
.60339 .24242 L
.60606 .24488 L
.61419 .25253 L
.61616 .25443 L
.6245 .26263 L
.62626 .2644 L
.63437 .27273 L
.63636 .27482 L
.64383 .28283 L
.64646 .28571 L
.65291 .29293 L
.65657 .29713 L
Mistroke
.66161 .30303 L
.66667 .30911 L
.66995 .31313 L
.67677 .32173 L
.67794 .32323 L
.68558 .33333 L
.68687 .33508 L
.69288 .34343 L
.69697 .34932 L
.69982 .35354 L
.70642 .36364 L
.70707 .36467 L
.71265 .37374 L
.71717 .38148 L
.7185 .38384 L
.72397 .39394 L
.72727 .40042 L
.72904 .40404 L
.73368 .41414 L
.73737 .42297 L
.73788 .42424 L
.74161 .43434 L
.74487 .44444 L
.74747 .45397 L
.74762 .45455 L
.74984 .46465 L
.75153 .47475 L
.75266 .48485 L
.75323 .49495 L
.75323 .50505 L
.75266 .51515 L
.75153 .52525 L
.74984 .53535 L
.74762 .54545 L
.74747 .54603 L
.74487 .55556 L
.74161 .56566 L
.73788 .57576 L
.73737 .57703 L
.73368 .58586 L
.72904 .59596 L
.72727 .59958 L
.72397 .60606 L
.7185 .61616 L
.71717 .61852 L
.71265 .62626 L
.70707 .63533 L
.70642 .63636 L
.69982 .64646 L
.69697 .65068 L
Mistroke
.69288 .65657 L
.68687 .66492 L
.68558 .66667 L
.67794 .67677 L
.67677 .67827 L
.66995 .68687 L
.66667 .69089 L
.66161 .69697 L
.65657 .70287 L
.65291 .70707 L
.64646 .71429 L
.64383 .71717 L
.63636 .72518 L
.63437 .72727 L
.62626 .7356 L
.6245 .73737 L
.61616 .74557 L
.61419 .74747 L
.60606 .75512 L
.60339 .75758 L
.59596 .76426 L
.59206 .76768 L
.58586 .773 L
.58013 .77778 L
.57576 .78135 L
.56752 .78788 L
.56566 .78932 L
.55556 .79691 L
.5541 .79798 L
.54545 .80414 L
.53971 .80808 L
.53535 .81099 L
.52525 .81747 L
.52411 .81818 L
.51515 .82358 L
.50691 .82828 L
.50505 .82931 L
.49495 .83467 L
.48748 .83838 L
.48485 .83964 L
.47475 .84423 L
.46465 .84843 L
.4645 .84848 L
.45455 .85223 L
.44444 .85562 L
.4344 .85859 L
.43434 .8586 L
.42424 .86116 L
.41414 .86329 L
.40404 .86497 L
Mistroke
.39394 .8662 L
.38384 .86696 L
.37374 .86724 L
.36364 .86701 L
.35354 .86627 L
.34343 .865 L
.33333 .86316 L
.32323 .86075 L
.31581 .85859 L
.31313 .85772 L
.30303 .85404 L
.29293 .84969 L
.29038 .84848 L
.28283 .84462 L
.27273 .83879 L
.27208 .83838 L
.26263 .83213 L
.25732 .82828 L
.25253 .82458 L
.24482 .81818 L
.24242 .81607 L
.23391 .80808 L
.23232 .8065 L
.22423 .79798 L
.22222 .79574 L
.21551 .78788 L
.21212 .78366 L
.2076 .77778 L
.20202 .77006 L
.20037 .76768 L
.19372 .75758 L
.19192 .75468 L
.1876 .74747 L
.18193 .73737 L
.18182 .73716 L
.17668 .72727 L
.17181 .71717 L
.17172 .71696 L
.16729 .70707 L
.16309 .69697 L
.16162 .69324 L
.15919 .68687 L
.15557 .67677 L
.15222 .66667 L
.15152 .66445 L
.14912 .65657 L
.14625 .64646 L
.14362 .63636 L
.14141 .62716 L
.14121 .62626 L
Mistroke
.13901 .61616 L
.13701 .60606 L
.13521 .59596 L
.13361 .58586 L
.13219 .57576 L
.13131 .56871 L
.13096 .56566 L
.12991 .55556 L
.12904 .54545 L
.12835 .53535 L
.12783 .52525 L
.12749 .51515 L
.12731 .50505 L
.12731 .49495 L
.12749 .48485 L
.12783 .47475 L
.12835 .46465 L
.12904 .45455 L
.12991 .44444 L
.13096 .43434 L
.13131 .43129 L
.13219 .42424 L
.13361 .41414 L
.13521 .40404 L
.13701 .39394 L
.13901 .38384 L
.14121 .37374 L
.14141 .37284 L
.14362 .36364 L
.14625 .35354 L
.14912 .34343 L
.15152 .33555 L
.15222 .33333 L
.15557 .32323 L
.15919 .31313 L
.16162 .30676 L
.16309 .30303 L
.16729 .29293 L
.17172 .28304 L
.17181 .28283 L
.17668 .27273 L
.18182 .26284 L
.18193 .26263 L
.1876 .25253 L
.19192 .24532 L
.19372 .24242 L
.20037 .23232 L
.20202 .22994 L
.2076 .22222 L
.21212 .21634 L
Mistroke
.21551 .21212 L
.22222 .20426 L
.22423 .20202 L
.23232 .1935 L
.23391 .19192 L
.24242 .18393 L
.24482 .18182 L
.25253 .17542 L
.25732 .17172 L
.26263 .16787 L
.27208 .16162 L
.27273 .16121 L
.28283 .15538 L
.29038 .15152 L
.29293 .15031 L
.30303 .14596 L
.31313 .14228 L
.31581 .14141 L
.32323 .13925 L
Mfstroke
.2 .8 .6 r
.32323 .1606 m
.33333 .15803 L
.34343 .15608 L
.35354 .15473 L
.36364 .15394 L
.37374 .15371 L
.38384 .154 L
.39394 .15481 L
.40404 .15611 L
.41414 .1579 L
.42424 .16015 L
.4299 .16162 L
.43434 .16287 L
.44444 .16605 L
.45455 .16966 L
.4598 .17172 L
.46465 .17372 L
.47475 .1782 L
.48226 .18182 L
.48485 .18312 L
.49495 .18846 L
.50111 .19192 L
.50505 .19422 L
.51515 .2004 L
.51769 .20202 L
.52525 .20701 L
.53266 .21212 L
.53535 .21404 L
.54545 .22151 L
.54639 .22222 L
.55556 .22941 L
.55913 .23232 L
.56566 .23777 L
.57105 .24242 L
.57576 .24659 L
.58226 .25253 L
.58586 .2559 L
.59284 .26263 L
.59596 .26572 L
.60286 .27273 L
.60606 .27607 L
.61237 .28283 L
.61616 .28701 L
.6214 .29293 L
.62626 .29859 L
.62998 .30303 L
.63636 .31088 L
.63814 .31313 L
.64589 .32323 L
.64646 .324 L
.65324 .33333 L
.65657 .33809 L
.6602 .34343 L
.66667 .35338 L
.66677 .35354 L
.67294 .36364 L
.67677 .37023 L
.67873 .37374 L
.68412 .38384 L
.68687 .38929 L
.68911 .39394 L
.69369 .40404 L
.69697 .4119 L
.69786 .41414 L
.70159 .42424 L
.70489 .43434 L
.70707 .44191 L
.70774 .44444 L
.71013 .45455 L
.71206 .46465 L
.71351 .47475 L
.71448 .48485 L
.71497 .49495 L
.71497 .50505 L
.71448 .51515 L
.71351 .52525 L
.71206 .53535 L
.71013 .54545 L
.70774 .55556 L
.70707 .55809 L
.70489 .56566 L
.70159 .57576 L
.69786 .58586 L
.69697 .5881 L
.69369 .59596 L
.68911 .60606 L
.68687 .61071 L
.68412 .61616 L
.67873 .62626 L
.67677 .62977 L
.67294 .63636 L
.66677 .64646 L
.66667 .64662 L
.6602 .65657 L
.65657 .66191 L
.65324 .66667 L
.64646 .676 L
.64589 .67677 L
.63814 .68687 L
.63636 .68912 L
.62998 .69697 L
.62626 .70141 L
.6214 .70707 L
.61616 .71299 L
.61237 .71717 L
.60606 .72393 L
.60286 .72727 L
.59596 .73428 L
.59284 .73737 L
.58586 .7441 L
.58226 .74747 L
.57576 .75341 L
.57105 .75758 L
.56566 .76223 L
.55913 .76768 L
.55556 .77059 L
.54639 .77778 L
.54545 .77849 L
.53535 .78596 L
.53266 .78788 L
.52525 .79299 L
.51769 .79798 L
.51515 .7996 L
.50505 .80578 L
.50111 .80808 L
.49495 .81154 L
.48485 .81688 L
.48226 .81818 L
.47475 .8218 L
.46465 .82628 L
.4598 .82828 L
.45455 .83034 L
.44444 .83395 L
.43434 .83713 L
.4299 .83838 L
.42424 .83985 L
.41414 .8421 L
.40404 .84389 L
.39394 .84519 L
.38384 .846 L
.37374 .84629 L
.36364 .84606 L
.35354 .84527 L
.34343 .84392 L
.33333 .84197 L
.32323 .8394 L
.31978 .83838 L
.31313 .83618 L
.30303 .83227 L
.29425 .82828 L
.29293 .82763 L
.28283 .82222 L
.27615 .81818 L
.27273 .81597 L
.26263 .80882 L
.26166 .80808 L
.25253 .80069 L
.24942 .79798 L
.24242 .79148 L
.23879 .78788 L
.23232 .78107 L
.22937 .77778 L
.22222 .7693 L
.22092 .76768 L
.21327 .75758 L
.21212 .75597 L
.20629 .74747 L
.20202 .74081 L
.1999 .73737 L
.19403 .72727 L
.19192 .72343 L
.18862 .71717 L
.18362 .70707 L
.18182 .70323 L
.179 .69697 L
.17472 .68687 L
.17172 .67925 L
.17077 .67677 L
.16713 .66667 L
.16376 .65657 L
.16162 .64966 L
.16066 .64646 L
.15782 .63636 L
.15522 .62626 L
.15285 .61616 L
.15152 .61 L
.1507 .60606 L
.14878 .59596 L
.14706 .58586 L
.14554 .57576 L
.14422 .56566 L
.1431 .55556 L
.14217 .54545 L
.14143 .53535 L
.14141 .53506 L
.14088 .52525 L
.14051 .51515 L
.14033 .50505 L
.14033 .49495 L
.14051 .48485 L
.14088 .47475 L
.14141 .46494 L
.14143 .46465 L
.14217 .45455 L
.1431 .44444 L
.14422 .43434 L
.14554 .42424 L
.14706 .41414 L
.14878 .40404 L
.1507 .39394 L
.15152 .39 L
.15285 .38384 L
.15522 .37374 L
.15782 .36364 L
.16066 .35354 L
.16162 .35034 L
.16376 .34343 L
.16713 .33333 L
.17077 .32323 L
.17172 .32075 L
.17472 .31313 L
.179 .30303 L
.18182 .29677 L
.18362 .29293 L
.18862 .28283 L
.19192 .27657 L
.19403 .27273 L
.1999 .26263 L
.20202 .25919 L
.20629 .25253 L
.21212 .24403 L
.21327 .24242 L
.22092 .23232 L
.22222 .2307 L
.22937 .22222 L
.23232 .21893 L
.23879 .21212 L
.24242 .20852 L
.24942 .20202 L
.25253 .19931 L
.26166 .19192 L
.26263 .19118 L
.27273 .18403 L
.27615 .18182 L
.28283 .17778 L
.29293 .17237 L
.29425 .17172 L
.30303 .16773 L
.31313 .16382 L
.31978 .16162 L
F
0 g
.32323 .1606 m
.33333 .15803 L
.34343 .15608 L
.35354 .15473 L
.36364 .15394 L
.37374 .15371 L
.38384 .154 L
.39394 .15481 L
.40404 .15611 L
.41414 .1579 L
.42424 .16015 L
.4299 .16162 L
.43434 .16287 L
.44444 .16605 L
.45455 .16966 L
.4598 .17172 L
.46465 .17372 L
.47475 .1782 L
.48226 .18182 L
.48485 .18312 L
.49495 .18846 L
.50111 .19192 L
.50505 .19422 L
.51515 .2004 L
.51769 .20202 L
.52525 .20701 L
.53266 .21212 L
.53535 .21404 L
.54545 .22151 L
.54639 .22222 L
.55556 .22941 L
.55913 .23232 L
.56566 .23777 L
.57105 .24242 L
.57576 .24659 L
.58226 .25253 L
.58586 .2559 L
.59284 .26263 L
.59596 .26572 L
.60286 .27273 L
.60606 .27607 L
.61237 .28283 L
.61616 .28701 L
.6214 .29293 L
.62626 .29859 L
.62998 .30303 L
.63636 .31088 L
.63814 .31313 L
.64589 .32323 L
.64646 .324 L
Mistroke
.65324 .33333 L
.65657 .33809 L
.6602 .34343 L
.66667 .35338 L
.66677 .35354 L
.67294 .36364 L
.67677 .37023 L
.67873 .37374 L
.68412 .38384 L
.68687 .38929 L
.68911 .39394 L
.69369 .40404 L
.69697 .4119 L
.69786 .41414 L
.70159 .42424 L
.70489 .43434 L
.70707 .44191 L
.70774 .44444 L
.71013 .45455 L
.71206 .46465 L
.71351 .47475 L
.71448 .48485 L
.71497 .49495 L
.71497 .50505 L
.71448 .51515 L
.71351 .52525 L
.71206 .53535 L
.71013 .54545 L
.70774 .55556 L
.70707 .55809 L
.70489 .56566 L
.70159 .57576 L
.69786 .58586 L
.69697 .5881 L
.69369 .59596 L
.68911 .60606 L
.68687 .61071 L
.68412 .61616 L
.67873 .62626 L
.67677 .62977 L
.67294 .63636 L
.66677 .64646 L
.66667 .64662 L
.6602 .65657 L
.65657 .66191 L
.65324 .66667 L
.64646 .676 L
.64589 .67677 L
.63814 .68687 L
.63636 .68912 L
Mistroke
.62998 .69697 L
.62626 .70141 L
.6214 .70707 L
.61616 .71299 L
.61237 .71717 L
.60606 .72393 L
.60286 .72727 L
.59596 .73428 L
.59284 .73737 L
.58586 .7441 L
.58226 .74747 L
.57576 .75341 L
.57105 .75758 L
.56566 .76223 L
.55913 .76768 L
.55556 .77059 L
.54639 .77778 L
.54545 .77849 L
.53535 .78596 L
.53266 .78788 L
.52525 .79299 L
.51769 .79798 L
.51515 .7996 L
.50505 .80578 L
.50111 .80808 L
.49495 .81154 L
.48485 .81688 L
.48226 .81818 L
.47475 .8218 L
.46465 .82628 L
.4598 .82828 L
.45455 .83034 L
.44444 .83395 L
.43434 .83713 L
.4299 .83838 L
.42424 .83985 L
.41414 .8421 L
.40404 .84389 L
.39394 .84519 L
.38384 .846 L
.37374 .84629 L
.36364 .84606 L
.35354 .84527 L
.34343 .84392 L
.33333 .84197 L
.32323 .8394 L
.31978 .83838 L
.31313 .83618 L
.30303 .83227 L
.29425 .82828 L
Mistroke
.29293 .82763 L
.28283 .82222 L
.27615 .81818 L
.27273 .81597 L
.26263 .80882 L
.26166 .80808 L
.25253 .80069 L
.24942 .79798 L
.24242 .79148 L
.23879 .78788 L
.23232 .78107 L
.22937 .77778 L
.22222 .7693 L
.22092 .76768 L
.21327 .75758 L
.21212 .75597 L
.20629 .74747 L
.20202 .74081 L
.1999 .73737 L
.19403 .72727 L
.19192 .72343 L
.18862 .71717 L
.18362 .70707 L
.18182 .70323 L
.179 .69697 L
.17472 .68687 L
.17172 .67925 L
.17077 .67677 L
.16713 .66667 L
.16376 .65657 L
.16162 .64966 L
.16066 .64646 L
.15782 .63636 L
.15522 .62626 L
.15285 .61616 L
.15152 .61 L
.1507 .60606 L
.14878 .59596 L
.14706 .58586 L
.14554 .57576 L
.14422 .56566 L
.1431 .55556 L
.14217 .54545 L
.14143 .53535 L
.14141 .53506 L
.14088 .52525 L
.14051 .51515 L
.14033 .50505 L
.14033 .49495 L
.14051 .48485 L
Mistroke
.14088 .47475 L
.14141 .46494 L
.14143 .46465 L
.14217 .45455 L
.1431 .44444 L
.14422 .43434 L
.14554 .42424 L
.14706 .41414 L
.14878 .40404 L
.1507 .39394 L
.15152 .39 L
.15285 .38384 L
.15522 .37374 L
.15782 .36364 L
.16066 .35354 L
.16162 .35034 L
.16376 .34343 L
.16713 .33333 L
.17077 .32323 L
.17172 .32075 L
.17472 .31313 L
.179 .30303 L
.18182 .29677 L
.18362 .29293 L
.18862 .28283 L
.19192 .27657 L
.19403 .27273 L
.1999 .26263 L
.20202 .25919 L
.20629 .25253 L
.21212 .24403 L
.21327 .24242 L
.22092 .23232 L
.22222 .2307 L
.22937 .22222 L
.23232 .21893 L
.23879 .21212 L
.24242 .20852 L
.24942 .20202 L
.25253 .19931 L
.26166 .19192 L
.26263 .19118 L
.27273 .18403 L
.27615 .18182 L
.28283 .17778 L
.29293 .17237 L
.29425 .17172 L
.30303 .16773 L
.31313 .16382 L
.31978 .16162 L
Mistroke
.32323 .1606 L
Mfstroke
.175 .825 .6 r
.33333 .18062 m
.34343 .17854 L
.35354 .17709 L
.36364 .17625 L
.37374 .176 L
.38384 .17631 L
.39394 .17717 L
.40404 .17857 L
.41414 .18048 L
.42002 .18182 L
.42424 .1829 L
.43434 .18582 L
.44444 .18922 L
.45158 .19192 L
.45455 .19311 L
.46465 .19748 L
.47414 .20202 L
.47475 .20232 L
.48485 .20764 L
.49273 .21212 L
.49495 .21344 L
.50505 .21971 L
.50889 .22222 L
.51515 .22647 L
.52335 .23232 L
.52525 .23372 L
.53535 .24149 L
.53653 .24242 L
.54545 .24977 L
.54868 .25253 L
.55556 .2586 L
.55996 .26263 L
.56566 .26801 L
.5705 .27273 L
.57576 .27803 L
.58038 .28283 L
.58586 .28871 L
.58967 .29293 L
.59596 .30013 L
.59842 .30303 L
.60606 .31238 L
.60666 .31313 L
.61442 .32323 L
.61616 .32558 L
.62173 .33333 L
.62626 .33992 L
.6286 .34343 L
.63504 .35354 L
.63636 .3557 L
.64106 .36364 L
.64646 .37337 L
.64666 .37374 L
.65184 .38384 L
.65657 .39383 L
.65662 .39394 L
.66097 .40404 L
.66491 .41414 L
.66667 .41903 L
.66843 .42424 L
.67152 .43434 L
.67417 .44444 L
.6764 .45455 L
.67677 .45641 L
.67818 .46465 L
.67953 .47475 L
.68042 .48485 L
.68087 .49495 L
.68087 .50505 L
.68042 .51515 L
.67953 .52525 L
.67818 .53535 L
.67677 .54359 L
.6764 .54545 L
.67417 .55556 L
.67152 .56566 L
.66843 .57576 L
.66667 .58097 L
.66491 .58586 L
.66097 .59596 L
.65662 .60606 L
.65657 .60617 L
.65184 .61616 L
.64666 .62626 L
.64646 .62663 L
.64106 .63636 L
.63636 .6443 L
.63504 .64646 L
.6286 .65657 L
.62626 .66008 L
.62173 .66667 L
.61616 .67442 L
.61442 .67677 L
.60666 .68687 L
.60606 .68762 L
.59842 .69697 L
.59596 .69987 L
.58967 .70707 L
.58586 .71129 L
.58038 .71717 L
.57576 .72197 L
.5705 .72727 L
.56566 .73199 L
.55996 .73737 L
.55556 .7414 L
.54868 .74747 L
.54545 .75023 L
.53653 .75758 L
.53535 .75851 L
.52525 .76628 L
.52335 .76768 L
.51515 .77353 L
.50889 .77778 L
.50505 .78029 L
.49495 .78656 L
.49273 .78788 L
.48485 .79236 L
.47475 .79768 L
.47414 .79798 L
.46465 .80252 L
.45455 .80689 L
.45158 .80808 L
.44444 .81078 L
.43434 .81418 L
.42424 .8171 L
.42002 .81818 L
.41414 .81952 L
.40404 .82143 L
.39394 .82283 L
.38384 .82369 L
.37374 .824 L
.36364 .82375 L
.35354 .82291 L
.34343 .82146 L
.33333 .81938 L
.32858 .81818 L
.32323 .81663 L
.31313 .81317 L
.30303 .80897 L
.3011 .80808 L
.29293 .80398 L
.28283 .79813 L
.28259 .79798 L
.27273 .79136 L
.26802 .78788 L
.26263 .78359 L
.25586 .77778 L
.25253 .77472 L
.24535 .76768 L
.24242 .76461 L
.2361 .75758 L
.23232 .75309 L
.22784 .74747 L
.22222 .73996 L
.22038 .73737 L
.21362 .72727 L
.21212 .7249 L
.20745 .71717 L
.20202 .70748 L
.2018 .70707 L
.19661 .69697 L
.19192 .68703 L
.19185 .68687 L
.18746 .67677 L
.18344 .66667 L
.18182 .66236 L
.17973 .65657 L
.17634 .64646 L
.17323 .63636 L
.17172 .63111 L
.17039 .62626 L
.16781 .61616 L
.16548 .60606 L
.16339 .59596 L
.16162 .58635 L
.16153 .58586 L
.15989 .57576 L
.15847 .56566 L
.15726 .55556 L
.15626 .54545 L
.15546 .53535 L
.15487 .52525 L
.15447 .51515 L
.15427 .50505 L
.15427 .49495 L
.15447 .48485 L
.15487 .47475 L
.15546 .46465 L
.15626 .45455 L
.15726 .44444 L
.15847 .43434 L
.15989 .42424 L
.16153 .41414 L
.16162 .41365 L
.16339 .40404 L
.16548 .39394 L
.16781 .38384 L
.17039 .37374 L
.17172 .36889 L
.17323 .36364 L
.17634 .35354 L
.17973 .34343 L
.18182 .33764 L
.18344 .33333 L
.18746 .32323 L
.19185 .31313 L
.19192 .31297 L
.19661 .30303 L
.2018 .29293 L
.20202 .29252 L
.20745 .28283 L
.21212 .2751 L
.21362 .27273 L
.22038 .26263 L
.22222 .26004 L
.22784 .25253 L
.23232 .24691 L
.2361 .24242 L
.24242 .23539 L
.24535 .23232 L
.25253 .22528 L
.25586 .22222 L
.26263 .21641 L
.26802 .21212 L
.27273 .20864 L
.28259 .20202 L
.28283 .20187 L
.29293 .19602 L
.3011 .19192 L
.30303 .19103 L
.31313 .18683 L
.32323 .18337 L
.32858 .18182 L
F
0 g
.33333 .18062 m
.34343 .17854 L
.35354 .17709 L
.36364 .17625 L
.37374 .176 L
.38384 .17631 L
.39394 .17717 L
.40404 .17857 L
.41414 .18048 L
.42002 .18182 L
.42424 .1829 L
.43434 .18582 L
.44444 .18922 L
.45158 .19192 L
.45455 .19311 L
.46465 .19748 L
.47414 .20202 L
.47475 .20232 L
.48485 .20764 L
.49273 .21212 L
.49495 .21344 L
.50505 .21971 L
.50889 .22222 L
.51515 .22647 L
.52335 .23232 L
.52525 .23372 L
.53535 .24149 L
.53653 .24242 L
.54545 .24977 L
.54868 .25253 L
.55556 .2586 L
.55996 .26263 L
.56566 .26801 L
.5705 .27273 L
.57576 .27803 L
.58038 .28283 L
.58586 .28871 L
.58967 .29293 L
.59596 .30013 L
.59842 .30303 L
.60606 .31238 L
.60666 .31313 L
.61442 .32323 L
.61616 .32558 L
.62173 .33333 L
.62626 .33992 L
.6286 .34343 L
.63504 .35354 L
.63636 .3557 L
.64106 .36364 L
Mistroke
.64646 .37337 L
.64666 .37374 L
.65184 .38384 L
.65657 .39383 L
.65662 .39394 L
.66097 .40404 L
.66491 .41414 L
.66667 .41903 L
.66843 .42424 L
.67152 .43434 L
.67417 .44444 L
.6764 .45455 L
.67677 .45641 L
.67818 .46465 L
.67953 .47475 L
.68042 .48485 L
.68087 .49495 L
.68087 .50505 L
.68042 .51515 L
.67953 .52525 L
.67818 .53535 L
.67677 .54359 L
.6764 .54545 L
.67417 .55556 L
.67152 .56566 L
.66843 .57576 L
.66667 .58097 L
.66491 .58586 L
.66097 .59596 L
.65662 .60606 L
.65657 .60617 L
.65184 .61616 L
.64666 .62626 L
.64646 .62663 L
.64106 .63636 L
.63636 .6443 L
.63504 .64646 L
.6286 .65657 L
.62626 .66008 L
.62173 .66667 L
.61616 .67442 L
.61442 .67677 L
.60666 .68687 L
.60606 .68762 L
.59842 .69697 L
.59596 .69987 L
.58967 .70707 L
.58586 .71129 L
.58038 .71717 L
.57576 .72197 L
Mistroke
.5705 .72727 L
.56566 .73199 L
.55996 .73737 L
.55556 .7414 L
.54868 .74747 L
.54545 .75023 L
.53653 .75758 L
.53535 .75851 L
.52525 .76628 L
.52335 .76768 L
.51515 .77353 L
.50889 .77778 L
.50505 .78029 L
.49495 .78656 L
.49273 .78788 L
.48485 .79236 L
.47475 .79768 L
.47414 .79798 L
.46465 .80252 L
.45455 .80689 L
.45158 .80808 L
.44444 .81078 L
.43434 .81418 L
.42424 .8171 L
.42002 .81818 L
.41414 .81952 L
.40404 .82143 L
.39394 .82283 L
.38384 .82369 L
.37374 .824 L
.36364 .82375 L
.35354 .82291 L
.34343 .82146 L
.33333 .81938 L
.32858 .81818 L
.32323 .81663 L
.31313 .81317 L
.30303 .80897 L
.3011 .80808 L
.29293 .80398 L
.28283 .79813 L
.28259 .79798 L
.27273 .79136 L
.26802 .78788 L
.26263 .78359 L
.25586 .77778 L
.25253 .77472 L
.24535 .76768 L
.24242 .76461 L
.2361 .75758 L
Mistroke
.23232 .75309 L
.22784 .74747 L
.22222 .73996 L
.22038 .73737 L
.21362 .72727 L
.21212 .7249 L
.20745 .71717 L
.20202 .70748 L
.2018 .70707 L
.19661 .69697 L
.19192 .68703 L
.19185 .68687 L
.18746 .67677 L
.18344 .66667 L
.18182 .66236 L
.17973 .65657 L
.17634 .64646 L
.17323 .63636 L
.17172 .63111 L
.17039 .62626 L
.16781 .61616 L
.16548 .60606 L
.16339 .59596 L
.16162 .58635 L
.16153 .58586 L
.15989 .57576 L
.15847 .56566 L
.15726 .55556 L
.15626 .54545 L
.15546 .53535 L
.15487 .52525 L
.15447 .51515 L
.15427 .50505 L
.15427 .49495 L
.15447 .48485 L
.15487 .47475 L
.15546 .46465 L
.15626 .45455 L
.15726 .44444 L
.15847 .43434 L
.15989 .42424 L
.16153 .41414 L
.16162 .41365 L
.16339 .40404 L
.16548 .39394 L
.16781 .38384 L
.17039 .37374 L
.17172 .36889 L
.17323 .36364 L
.17634 .35354 L
Mistroke
.17973 .34343 L
.18182 .33764 L
.18344 .33333 L
.18746 .32323 L
.19185 .31313 L
.19192 .31297 L
.19661 .30303 L
.2018 .29293 L
.20202 .29252 L
.20745 .28283 L
.21212 .2751 L
.21362 .27273 L
.22038 .26263 L
.22222 .26004 L
.22784 .25253 L
.23232 .24691 L
.2361 .24242 L
.24242 .23539 L
.24535 .23232 L
.25253 .22528 L
.25586 .22222 L
.26263 .21641 L
.26802 .21212 L
.27273 .20864 L
.28259 .20202 L
.28283 .20187 L
.29293 .19602 L
.3011 .19192 L
.30303 .19103 L
.31313 .18683 L
.32323 .18337 L
.32858 .18182 L
.33333 .18062 L
Mfstroke
.15 .85 .6 r
.35354 .20112 m
.36364 .20021 L
.37374 .19994 L
.38384 .20028 L
.39394 .20121 L
.40006 .20202 L
.40404 .20272 L
.41414 .20479 L
.42424 .20741 L
.43434 .21057 L
.43876 .21212 L
.44444 .21427 L
.45455 .21851 L
.46251 .22222 L
.46465 .22328 L
.47475 .22858 L
.48132 .23232 L
.48485 .23442 L
.49495 .24082 L
.49736 .24242 L
.50505 .24777 L
.51152 .25253 L
.51515 .2553 L
.52428 .26263 L
.52525 .26344 L
.53535 .27221 L
.53592 .27273 L
.54545 .28166 L
.54665 .28283 L
.55556 .29184 L
.5566 .29293 L
.56566 .30282 L
.56584 .30303 L
.57446 .31313 L
.57576 .31472 L
.5825 .32323 L
.58586 .32766 L
.59001 .33333 L
.59596 .34187 L
.59701 .34343 L
.60353 .35354 L
.60606 .35766 L
.60958 .36364 L
.61519 .37374 L
.61616 .37558 L
.62035 .38384 L
.62507 .39394 L
.62626 .39664 L
.62936 .40404 L
.63323 .41414 L
.63636 .42331 L
.63666 .42424 L
.63967 .43434 L
.64225 .44444 L
.64441 .45455 L
.64613 .46465 L
.64646 .46685 L
.64742 .47475 L
.64829 .48485 L
.64872 .49495 L
.64872 .50505 L
.64829 .51515 L
.64742 .52525 L
.64646 .53315 L
.64613 .53535 L
.64441 .54545 L
.64225 .55556 L
.63967 .56566 L
.63666 .57576 L
.63636 .57669 L
.63323 .58586 L
.62936 .59596 L
.62626 .60336 L
.62507 .60606 L
.62035 .61616 L
.61616 .62442 L
.61519 .62626 L
.60958 .63636 L
.60606 .64234 L
.60353 .64646 L
.59701 .65657 L
.59596 .65813 L
.59001 .66667 L
.58586 .67234 L
.5825 .67677 L
.57576 .68528 L
.57446 .68687 L
.56584 .69697 L
.56566 .69718 L
.5566 .70707 L
.55556 .70816 L
.54665 .71717 L
.54545 .71834 L
.53592 .72727 L
.53535 .72779 L
.52525 .73656 L
.52428 .73737 L
.51515 .7447 L
.51152 .74747 L
.50505 .75223 L
.49736 .75758 L
.49495 .75918 L
.48485 .76558 L
.48132 .76768 L
.47475 .77142 L
.46465 .77672 L
.46251 .77778 L
.45455 .78149 L
.44444 .78573 L
.43876 .78788 L
.43434 .78943 L
.42424 .79259 L
.41414 .79521 L
.40404 .79728 L
.40006 .79798 L
.39394 .79879 L
.38384 .79972 L
.37374 .80006 L
.36364 .79979 L
.35354 .79888 L
.3469 .79798 L
.34343 .79732 L
.33333 .79506 L
.32323 .79208 L
.31313 .78833 L
.31204 .78788 L
.30303 .78376 L
.29293 .77831 L
.29202 .77778 L
.28283 .77192 L
.27688 .76768 L
.27273 .76448 L
.26449 .75758 L
.26263 .7559 L
.25392 .74747 L
.25253 .74602 L
.2447 .73737 L
.24242 .73468 L
.23652 .72727 L
.23232 .72162 L
.22919 .71717 L
.22258 .70707 L
.22222 .70649 L
.21658 .69697 L
.21212 .68878 L
.21113 .68687 L
.20614 .67677 L
.20202 .66765 L
.20159 .66667 L
.19744 .65657 L
.19364 .64646 L
.19192 .64155 L
.19018 .63636 L
.18704 .62626 L
.18419 .61616 L
.18182 .60686 L
.18163 .60606 L
.17933 .59596 L
.17728 .58586 L
.17549 .57576 L
.17394 .56566 L
.17262 .55556 L
.17172 .54742 L
.17152 .54545 L
.17065 .53535 L
.17001 .52525 L
.16957 .51515 L
.16936 .50505 L
.16936 .49495 L
.16957 .48485 L
.17001 .47475 L
.17065 .46465 L
.17152 .45455 L
.17172 .45258 L
.17262 .44444 L
.17394 .43434 L
.17549 .42424 L
.17728 .41414 L
.17933 .40404 L
.18163 .39394 L
.18182 .39314 L
.18419 .38384 L
.18704 .37374 L
.19018 .36364 L
.19192 .35845 L
.19364 .35354 L
.19744 .34343 L
.20159 .33333 L
.20202 .33235 L
.20614 .32323 L
.21113 .31313 L
.21212 .31122 L
.21658 .30303 L
.22222 .29351 L
.22258 .29293 L
.22919 .28283 L
.23232 .27838 L
.23652 .27273 L
.24242 .26532 L
.2447 .26263 L
.25253 .25398 L
.25392 .25253 L
.26263 .2441 L
.26449 .24242 L
.27273 .23552 L
.27688 .23232 L
.28283 .22808 L
.29202 .22222 L
.29293 .22169 L
.30303 .21624 L
.31204 .21212 L
.31313 .21167 L
.32323 .20792 L
.33333 .20494 L
.34343 .20268 L
.3469 .20202 L
F
0 g
.35354 .20112 m
.36364 .20021 L
.37374 .19994 L
.38384 .20028 L
.39394 .20121 L
.40006 .20202 L
.40404 .20272 L
.41414 .20479 L
.42424 .20741 L
.43434 .21057 L
.43876 .21212 L
.44444 .21427 L
.45455 .21851 L
.46251 .22222 L
.46465 .22328 L
.47475 .22858 L
.48132 .23232 L
.48485 .23442 L
.49495 .24082 L
.49736 .24242 L
.50505 .24777 L
.51152 .25253 L
.51515 .2553 L
.52428 .26263 L
.52525 .26344 L
.53535 .27221 L
.53592 .27273 L
.54545 .28166 L
.54665 .28283 L
.55556 .29184 L
.5566 .29293 L
.56566 .30282 L
.56584 .30303 L
.57446 .31313 L
.57576 .31472 L
.5825 .32323 L
.58586 .32766 L
.59001 .33333 L
.59596 .34187 L
.59701 .34343 L
.60353 .35354 L
.60606 .35766 L
.60958 .36364 L
.61519 .37374 L
.61616 .37558 L
.62035 .38384 L
.62507 .39394 L
.62626 .39664 L
.62936 .40404 L
.63323 .41414 L
Mistroke
.63636 .42331 L
.63666 .42424 L
.63967 .43434 L
.64225 .44444 L
.64441 .45455 L
.64613 .46465 L
.64646 .46685 L
.64742 .47475 L
.64829 .48485 L
.64872 .49495 L
.64872 .50505 L
.64829 .51515 L
.64742 .52525 L
.64646 .53315 L
.64613 .53535 L
.64441 .54545 L
.64225 .55556 L
.63967 .56566 L
.63666 .57576 L
.63636 .57669 L
.63323 .58586 L
.62936 .59596 L
.62626 .60336 L
.62507 .60606 L
.62035 .61616 L
.61616 .62442 L
.61519 .62626 L
.60958 .63636 L
.60606 .64234 L
.60353 .64646 L
.59701 .65657 L
.59596 .65813 L
.59001 .66667 L
.58586 .67234 L
.5825 .67677 L
.57576 .68528 L
.57446 .68687 L
.56584 .69697 L
.56566 .69718 L
.5566 .70707 L
.55556 .70816 L
.54665 .71717 L
.54545 .71834 L
.53592 .72727 L
.53535 .72779 L
.52525 .73656 L
.52428 .73737 L
.51515 .7447 L
.51152 .74747 L
.50505 .75223 L
Mistroke
.49736 .75758 L
.49495 .75918 L
.48485 .76558 L
.48132 .76768 L
.47475 .77142 L
.46465 .77672 L
.46251 .77778 L
.45455 .78149 L
.44444 .78573 L
.43876 .78788 L
.43434 .78943 L
.42424 .79259 L
.41414 .79521 L
.40404 .79728 L
.40006 .79798 L
.39394 .79879 L
.38384 .79972 L
.37374 .80006 L
.36364 .79979 L
.35354 .79888 L
.3469 .79798 L
.34343 .79732 L
.33333 .79506 L
.32323 .79208 L
.31313 .78833 L
.31204 .78788 L
.30303 .78376 L
.29293 .77831 L
.29202 .77778 L
.28283 .77192 L
.27688 .76768 L
.27273 .76448 L
.26449 .75758 L
.26263 .7559 L
.25392 .74747 L
.25253 .74602 L
.2447 .73737 L
.24242 .73468 L
.23652 .72727 L
.23232 .72162 L
.22919 .71717 L
.22258 .70707 L
.22222 .70649 L
.21658 .69697 L
.21212 .68878 L
.21113 .68687 L
.20614 .67677 L
.20202 .66765 L
.20159 .66667 L
.19744 .65657 L
Mistroke
.19364 .64646 L
.19192 .64155 L
.19018 .63636 L
.18704 .62626 L
.18419 .61616 L
.18182 .60686 L
.18163 .60606 L
.17933 .59596 L
.17728 .58586 L
.17549 .57576 L
.17394 .56566 L
.17262 .55556 L
.17172 .54742 L
.17152 .54545 L
.17065 .53535 L
.17001 .52525 L
.16957 .51515 L
.16936 .50505 L
.16936 .49495 L
.16957 .48485 L
.17001 .47475 L
.17065 .46465 L
.17152 .45455 L
.17172 .45258 L
.17262 .44444 L
.17394 .43434 L
.17549 .42424 L
.17728 .41414 L
.17933 .40404 L
.18163 .39394 L
.18182 .39314 L
.18419 .38384 L
.18704 .37374 L
.19018 .36364 L
.19192 .35845 L
.19364 .35354 L
.19744 .34343 L
.20159 .33333 L
.20202 .33235 L
.20614 .32323 L
.21113 .31313 L
.21212 .31122 L
.21658 .30303 L
.22222 .29351 L
.22258 .29293 L
.22919 .28283 L
.23232 .27838 L
.23652 .27273 L
.24242 .26532 L
.2447 .26263 L
Mistroke
.25253 .25398 L
.25392 .25253 L
.26263 .2441 L
.26449 .24242 L
.27273 .23552 L
.27688 .23232 L
.28283 .22808 L
.29202 .22222 L
.29293 .22169 L
.30303 .21624 L
.31204 .21212 L
.31313 .21167 L
.32323 .20792 L
.33333 .20494 L
.34343 .20268 L
.3469 .20202 L
.35354 .20112 L
Mfstroke
.125 .875 .6 r
.33333 .23145 m
.34343 .22898 L
.35354 .22726 L
.36364 .22627 L
.37374 .22597 L
.38384 .22634 L
.39394 .22736 L
.40404 .22901 L
.41414 .23128 L
.41807 .23232 L
.42424 .23417 L
.43434 .23765 L
.44444 .24174 L
.446 .24242 L
.45455 .24643 L
.46465 .25174 L
.46605 .25253 L
.47475 .25767 L
.48247 .26263 L
.48485 .26423 L
.49495 .27145 L
.49664 .27273 L
.50505 .27937 L
.50919 .28283 L
.51515 .28802 L
.52051 .29293 L
.52525 .29747 L
.53081 .30303 L
.53535 .30779 L
.54025 .31313 L
.54545 .31908 L
.54894 .32323 L
.55556 .33151 L
.55696 .33333 L
.56436 .34343 L
.56566 .34529 L
.5712 .35354 L
.57576 .36076 L
.5775 .36364 L
.58329 .37374 L
.58586 .37852 L
.58859 .38384 L
.59342 .39394 L
.59596 .39969 L
.59778 .40404 L
.6017 .41414 L
.60517 .42424 L
.60606 .42707 L
.60819 .43434 L
.61078 .44444 L
.61294 .45455 L
.61466 .46465 L
.61595 .47475 L
.61616 .4764 L
.61681 .48485 L
.61724 .49495 L
.61724 .50505 L
.61681 .51515 L
.61616 .5236 L
.61595 .52525 L
.61466 .53535 L
.61294 .54545 L
.61078 .55556 L
.60819 .56566 L
.60606 .57293 L
.60517 .57576 L
.6017 .58586 L
.59778 .59596 L
.59596 .60031 L
.59342 .60606 L
.58859 .61616 L
.58586 .62148 L
.58329 .62626 L
.5775 .63636 L
.57576 .63924 L
.5712 .64646 L
.56566 .65471 L
.56436 .65657 L
.55696 .66667 L
.55556 .66849 L
.54894 .67677 L
.54545 .68092 L
.54025 .68687 L
.53535 .69221 L
.53081 .69697 L
.52525 .70253 L
.52051 .70707 L
.51515 .71198 L
.50919 .71717 L
.50505 .72063 L
.49664 .72727 L
.49495 .72855 L
.48485 .73577 L
.48247 .73737 L
.47475 .74233 L
.46605 .74747 L
.46465 .74826 L
.45455 .75357 L
.446 .75758 L
.44444 .75826 L
.43434 .76235 L
.42424 .76583 L
.41807 .76768 L
.41414 .76872 L
.40404 .77099 L
.39394 .77264 L
.38384 .77366 L
.37374 .77403 L
.36364 .77373 L
.35354 .77274 L
.34343 .77102 L
.33333 .76855 L
.33035 .76768 L
.32323 .76527 L
.31313 .76114 L
.30581 .75758 L
.30303 .75608 L
.29293 .75003 L
.28911 .74747 L
.28283 .74289 L
.27598 .73737 L
.27273 .73454 L
.26504 .72727 L
.26263 .72481 L
.25563 .71717 L
.25253 .71351 L
.24739 .70707 L
.24242 .70033 L
.24008 .69697 L
.23355 .68687 L
.23232 .68485 L
.22766 .67677 L
.22235 .66667 L
.22222 .66642 L
.21753 .65657 L
.21318 .64646 L
.21212 .64386 L
.20923 .63636 L
.20566 .62626 L
.20245 .61616 L
.20202 .61474 L
.19956 .60606 L
.19698 .59596 L
.1947 .58586 L
.1927 .57576 L
.19192 .57138 L
.19097 .56566 L
.18951 .55556 L
.1883 .54545 L
.18733 .53535 L
.18661 .52525 L
.18614 .51515 L
.1859 .50505 L
.1859 .49495 L
.18614 .48485 L
.18661 .47475 L
.18733 .46465 L
.1883 .45455 L
.18951 .44444 L
.19097 .43434 L
.19192 .42862 L
.1927 .42424 L
.1947 .41414 L
.19698 .40404 L
.19956 .39394 L
.20202 .38526 L
.20245 .38384 L
.20566 .37374 L
.20923 .36364 L
.21212 .35614 L
.21318 .35354 L
.21753 .34343 L
.22222 .33358 L
.22235 .33333 L
.22766 .32323 L
.23232 .31515 L
.23355 .31313 L
.24008 .30303 L
.24242 .29967 L
.24739 .29293 L
.25253 .28649 L
.25563 .28283 L
.26263 .27519 L
.26504 .27273 L
.27273 .26546 L
.27598 .26263 L
.28283 .25711 L
.28911 .25253 L
.29293 .24997 L
.30303 .24392 L
.30581 .24242 L
.31313 .23886 L
.32323 .23473 L
.33035 .23232 L
F
0 g
.33333 .23145 m
.34343 .22898 L
.35354 .22726 L
.36364 .22627 L
.37374 .22597 L
.38384 .22634 L
.39394 .22736 L
.40404 .22901 L
.41414 .23128 L
.41807 .23232 L
.42424 .23417 L
.43434 .23765 L
.44444 .24174 L
.446 .24242 L
.45455 .24643 L
.46465 .25174 L
.46605 .25253 L
.47475 .25767 L
.48247 .26263 L
.48485 .26423 L
.49495 .27145 L
.49664 .27273 L
.50505 .27937 L
.50919 .28283 L
.51515 .28802 L
.52051 .29293 L
.52525 .29747 L
.53081 .30303 L
.53535 .30779 L
.54025 .31313 L
.54545 .31908 L
.54894 .32323 L
.55556 .33151 L
.55696 .33333 L
.56436 .34343 L
.56566 .34529 L
.5712 .35354 L
.57576 .36076 L
.5775 .36364 L
.58329 .37374 L
.58586 .37852 L
.58859 .38384 L
.59342 .39394 L
.59596 .39969 L
.59778 .40404 L
.6017 .41414 L
.60517 .42424 L
.60606 .42707 L
.60819 .43434 L
.61078 .44444 L
Mistroke
.61294 .45455 L
.61466 .46465 L
.61595 .47475 L
.61616 .4764 L
.61681 .48485 L
.61724 .49495 L
.61724 .50505 L
.61681 .51515 L
.61616 .5236 L
.61595 .52525 L
.61466 .53535 L
.61294 .54545 L
.61078 .55556 L
.60819 .56566 L
.60606 .57293 L
.60517 .57576 L
.6017 .58586 L
.59778 .59596 L
.59596 .60031 L
.59342 .60606 L
.58859 .61616 L
.58586 .62148 L
.58329 .62626 L
.5775 .63636 L
.57576 .63924 L
.5712 .64646 L
.56566 .65471 L
.56436 .65657 L
.55696 .66667 L
.55556 .66849 L
.54894 .67677 L
.54545 .68092 L
.54025 .68687 L
.53535 .69221 L
.53081 .69697 L
.52525 .70253 L
.52051 .70707 L
.51515 .71198 L
.50919 .71717 L
.50505 .72063 L
.49664 .72727 L
.49495 .72855 L
.48485 .73577 L
.48247 .73737 L
.47475 .74233 L
.46605 .74747 L
.46465 .74826 L
.45455 .75357 L
.446 .75758 L
.44444 .75826 L
Mistroke
.43434 .76235 L
.42424 .76583 L
.41807 .76768 L
.41414 .76872 L
.40404 .77099 L
.39394 .77264 L
.38384 .77366 L
.37374 .77403 L
.36364 .77373 L
.35354 .77274 L
.34343 .77102 L
.33333 .76855 L
.33035 .76768 L
.32323 .76527 L
.31313 .76114 L
.30581 .75758 L
.30303 .75608 L
.29293 .75003 L
.28911 .74747 L
.28283 .74289 L
.27598 .73737 L
.27273 .73454 L
.26504 .72727 L
.26263 .72481 L
.25563 .71717 L
.25253 .71351 L
.24739 .70707 L
.24242 .70033 L
.24008 .69697 L
.23355 .68687 L
.23232 .68485 L
.22766 .67677 L
.22235 .66667 L
.22222 .66642 L
.21753 .65657 L
.21318 .64646 L
.21212 .64386 L
.20923 .63636 L
.20566 .62626 L
.20245 .61616 L
.20202 .61474 L
.19956 .60606 L
.19698 .59596 L
.1947 .58586 L
.1927 .57576 L
.19192 .57138 L
.19097 .56566 L
.18951 .55556 L
.1883 .54545 L
.18733 .53535 L
Mistroke
.18661 .52525 L
.18614 .51515 L
.1859 .50505 L
.1859 .49495 L
.18614 .48485 L
.18661 .47475 L
.18733 .46465 L
.1883 .45455 L
.18951 .44444 L
.19097 .43434 L
.19192 .42862 L
.1927 .42424 L
.1947 .41414 L
.19698 .40404 L
.19956 .39394 L
.20202 .38526 L
.20245 .38384 L
.20566 .37374 L
.20923 .36364 L
.21212 .35614 L
.21318 .35354 L
.21753 .34343 L
.22222 .33358 L
.22235 .33333 L
.22766 .32323 L
.23232 .31515 L
.23355 .31313 L
.24008 .30303 L
.24242 .29967 L
.24739 .29293 L
.25253 .28649 L
.25563 .28283 L
.26263 .27519 L
.26504 .27273 L
.27273 .26546 L
.27598 .26263 L
.28283 .25711 L
.28911 .25253 L
.29293 .24997 L
.30303 .24392 L
.30581 .24242 L
.31313 .23886 L
.32323 .23473 L
.33035 .23232 L
.33333 .23145 L
Mfstroke
.1 .9 .6 r
.33333 .26088 m
.34343 .25811 L
.35354 .25619 L
.36364 .25508 L
.37374 .25474 L
.38384 .25516 L
.39394 .2563 L
.40404 .25815 L
.41414 .2607 L
.42044 .26263 L
.42424 .26394 L
.43434 .26787 L
.44444 .2725 L
.4449 .27273 L
.45455 .27784 L
.46292 .28283 L
.46465 .28392 L
.47475 .29075 L
.47774 .29293 L
.48485 .29839 L
.49049 .30303 L
.49495 .30689 L
.50175 .31313 L
.50505 .31633 L
.51182 .32323 L
.51515 .32682 L
.52091 .33333 L
.52525 .33852 L
.52917 .34343 L
.53535 .35166 L
.53669 .35354 L
.54355 .36364 L
.54545 .36663 L
.54978 .37374 L
.55545 .38384 L
.55556 .38404 L
.56057 .39394 L
.56518 .40404 L
.56566 .40516 L
.56928 .41414 L
.5729 .42424 L
.57576 .43333 L
.57605 .43434 L
.57874 .44444 L
.58097 .45455 L
.58275 .46465 L
.58408 .47475 L
.58496 .48485 L
.5854 .49495 L
.5854 .50505 L
.58496 .51515 L
.58408 .52525 L
.58275 .53535 L
.58097 .54545 L
.57874 .55556 L
.57605 .56566 L
.57576 .56667 L
.5729 .57576 L
.56928 .58586 L
.56566 .59484 L
.56518 .59596 L
.56057 .60606 L
.55556 .61596 L
.55545 .61616 L
.54978 .62626 L
.54545 .63337 L
.54355 .63636 L
.53669 .64646 L
.53535 .64834 L
.52917 .65657 L
.52525 .66148 L
.52091 .66667 L
.51515 .67318 L
.51182 .67677 L
.50505 .68367 L
.50175 .68687 L
.49495 .69311 L
.49049 .69697 L
.48485 .70161 L
.47774 .70707 L
.47475 .70925 L
.46465 .71608 L
.46292 .71717 L
.45455 .72216 L
.4449 .72727 L
.44444 .7275 L
.43434 .73213 L
.42424 .73606 L
.42044 .73737 L
.41414 .7393 L
.40404 .74185 L
.39394 .7437 L
.38384 .74484 L
.37374 .74526 L
.36364 .74492 L
.35354 .74381 L
.34343 .74189 L
.33333 .73912 L
.32819 .73737 L
.32323 .73543 L
.31313 .73076 L
.30675 .72727 L
.30303 .72502 L
.29293 .71812 L
.29168 .71717 L
.28283 .70989 L
.27972 .70707 L
.27273 .70016 L
.26974 .69697 L
.26263 .68868 L
.26118 .68687 L
.2537 .67677 L
.25253 .67505 L
.2471 .66667 L
.24242 .65871 L
.24123 .65657 L
.23599 .64646 L
.23232 .63867 L
.2313 .63636 L
.22709 .62626 L
.22334 .61616 L
.22222 .61293 L
.21998 .60606 L
.21701 .59596 L
.21439 .58586 L
.21212 .57585 L
.2121 .57576 L
.21013 .56566 L
.20846 .55556 L
.20708 .54545 L
.20599 .53535 L
.20518 .52525 L
.20464 .51515 L
.20437 .50505 L
.20437 .49495 L
.20464 .48485 L
.20518 .47475 L
.20599 .46465 L
.20708 .45455 L
.20846 .44444 L
.21013 .43434 L
.2121 .42424 L
.21212 .42415 L
.21439 .41414 L
.21701 .40404 L
.21998 .39394 L
.22222 .38707 L
.22334 .38384 L
.22709 .37374 L
.2313 .36364 L
.23232 .36133 L
.23599 .35354 L
.24123 .34343 L
.24242 .34129 L
.2471 .33333 L
.25253 .32495 L
.2537 .32323 L
.26118 .31313 L
.26263 .31132 L
.26974 .30303 L
.27273 .29984 L
.27972 .29293 L
.28283 .29011 L
.29168 .28283 L
.29293 .28188 L
.30303 .27498 L
.30675 .27273 L
.31313 .26924 L
.32323 .26457 L
.32819 .26263 L
F
0 g
.33333 .26088 m
.34343 .25811 L
.35354 .25619 L
.36364 .25508 L
.37374 .25474 L
.38384 .25516 L
.39394 .2563 L
.40404 .25815 L
.41414 .2607 L
.42044 .26263 L
.42424 .26394 L
.43434 .26787 L
.44444 .2725 L
.4449 .27273 L
.45455 .27784 L
.46292 .28283 L
.46465 .28392 L
.47475 .29075 L
.47774 .29293 L
.48485 .29839 L
.49049 .30303 L
.49495 .30689 L
.50175 .31313 L
.50505 .31633 L
.51182 .32323 L
.51515 .32682 L
.52091 .33333 L
.52525 .33852 L
.52917 .34343 L
.53535 .35166 L
.53669 .35354 L
.54355 .36364 L
.54545 .36663 L
.54978 .37374 L
.55545 .38384 L
.55556 .38404 L
.56057 .39394 L
.56518 .40404 L
.56566 .40516 L
.56928 .41414 L
.5729 .42424 L
.57576 .43333 L
.57605 .43434 L
.57874 .44444 L
.58097 .45455 L
.58275 .46465 L
.58408 .47475 L
.58496 .48485 L
.5854 .49495 L
.5854 .50505 L
Mistroke
.58496 .51515 L
.58408 .52525 L
.58275 .53535 L
.58097 .54545 L
.57874 .55556 L
.57605 .56566 L
.57576 .56667 L
.5729 .57576 L
.56928 .58586 L
.56566 .59484 L
.56518 .59596 L
.56057 .60606 L
.55556 .61596 L
.55545 .61616 L
.54978 .62626 L
.54545 .63337 L
.54355 .63636 L
.53669 .64646 L
.53535 .64834 L
.52917 .65657 L
.52525 .66148 L
.52091 .66667 L
.51515 .67318 L
.51182 .67677 L
.50505 .68367 L
.50175 .68687 L
.49495 .69311 L
.49049 .69697 L
.48485 .70161 L
.47774 .70707 L
.47475 .70925 L
.46465 .71608 L
.46292 .71717 L
.45455 .72216 L
.4449 .72727 L
.44444 .7275 L
.43434 .73213 L
.42424 .73606 L
.42044 .73737 L
.41414 .7393 L
.40404 .74185 L
.39394 .7437 L
.38384 .74484 L
.37374 .74526 L
.36364 .74492 L
.35354 .74381 L
.34343 .74189 L
.33333 .73912 L
.32819 .73737 L
.32323 .73543 L
Mistroke
.31313 .73076 L
.30675 .72727 L
.30303 .72502 L
.29293 .71812 L
.29168 .71717 L
.28283 .70989 L
.27972 .70707 L
.27273 .70016 L
.26974 .69697 L
.26263 .68868 L
.26118 .68687 L
.2537 .67677 L
.25253 .67505 L
.2471 .66667 L
.24242 .65871 L
.24123 .65657 L
.23599 .64646 L
.23232 .63867 L
.2313 .63636 L
.22709 .62626 L
.22334 .61616 L
.22222 .61293 L
.21998 .60606 L
.21701 .59596 L
.21439 .58586 L
.21212 .57585 L
.2121 .57576 L
.21013 .56566 L
.20846 .55556 L
.20708 .54545 L
.20599 .53535 L
.20518 .52525 L
.20464 .51515 L
.20437 .50505 L
.20437 .49495 L
.20464 .48485 L
.20518 .47475 L
.20599 .46465 L
.20708 .45455 L
.20846 .44444 L
.21013 .43434 L
.2121 .42424 L
.21212 .42415 L
.21439 .41414 L
.21701 .40404 L
.21998 .39394 L
.22222 .38707 L
.22334 .38384 L
.22709 .37374 L
.2313 .36364 L
Mistroke
.23232 .36133 L
.23599 .35354 L
.24123 .34343 L
.24242 .34129 L
.2471 .33333 L
.25253 .32495 L
.2537 .32323 L
.26118 .31313 L
.26263 .31132 L
.26974 .30303 L
.27273 .29984 L
.27972 .29293 L
.28283 .29011 L
.29168 .28283 L
.29293 .28188 L
.30303 .27498 L
.30675 .27273 L
.31313 .26924 L
.32323 .26457 L
.32819 .26263 L
.33333 .26088 L
Mfstroke
.075 .925 .6 r
.34343 .29127 m
.35354 .28904 L
.36364 .28776 L
.37374 .28738 L
.38384 .28786 L
.39394 .28917 L
.40404 .29131 L
.40997 .29293 L
.41414 .29427 L
.42424 .29805 L
.43434 .30266 L
.43508 .30303 L
.44444 .30813 L
.4525 .31313 L
.45455 .3145 L
.46465 .32182 L
.46645 .32323 L
.47475 .33017 L
.47825 .33333 L
.48485 .33968 L
.48851 .34343 L
.49495 .3505 L
.49755 .35354 L
.50505 .36291 L
.5056 .36364 L
.51278 .37374 L
.51515 .37732 L
.51922 .38384 L
.52496 .39394 L
.52525 .39448 L
.53007 .40404 L
.5346 .41414 L
.53535 .41597 L
.53856 .42424 L
.54198 .43434 L
.54489 .44444 L
.54545 .44663 L
.54729 .45455 L
.5492 .46465 L
.55063 .47475 L
.55158 .48485 L
.55205 .49495 L
.55205 .50505 L
.55158 .51515 L
.55063 .52525 L
.5492 .53535 L
.54729 .54545 L
.54545 .55337 L
.54489 .55556 L
.54198 .56566 L
.53856 .57576 L
.53535 .58403 L
.5346 .58586 L
.53007 .59596 L
.52525 .60552 L
.52496 .60606 L
.51922 .61616 L
.51515 .62268 L
.51278 .62626 L
.5056 .63636 L
.50505 .63709 L
.49755 .64646 L
.49495 .6495 L
.48851 .65657 L
.48485 .66032 L
.47825 .66667 L
.47475 .66983 L
.46645 .67677 L
.46465 .67818 L
.45455 .6855 L
.4525 .68687 L
.44444 .69187 L
.43508 .69697 L
.43434 .69734 L
.42424 .70195 L
.41414 .70573 L
.40997 .70707 L
.40404 .70869 L
.39394 .71083 L
.38384 .71214 L
.37374 .71262 L
.36364 .71224 L
.35354 .71096 L
.34343 .70873 L
.33772 .70707 L
.33333 .70551 L
.32323 .70121 L
.31522 .69697 L
.31313 .69572 L
.30303 .68893 L
.30032 .68687 L
.29293 .68064 L
.28879 .67677 L
.28283 .67062 L
.27931 .66667 L
.27273 .6585 L
.27128 .65657 L
.26435 .64646 L
.26263 .64372 L
.2583 .63636 L
.253 .62626 L
.25253 .6253 L
.24832 .61616 L
.24421 .60606 L
.24242 .60123 L
.2406 .59596 L
.23744 .58586 L
.23471 .57576 L
.23236 .56566 L
.23232 .56547 L
.23039 .55556 L
.22877 .54545 L
.22748 .53535 L
.22653 .52525 L
.2259 .51515 L
.22559 .50505 L
.22559 .49495 L
.2259 .48485 L
.22653 .47475 L
.22748 .46465 L
.22877 .45455 L
.23039 .44444 L
.23232 .43453 L
.23236 .43434 L
.23471 .42424 L
.23744 .41414 L
.2406 .40404 L
.24242 .39877 L
.24421 .39394 L
.24832 .38384 L
.25253 .3747 L
.253 .37374 L
.2583 .36364 L
.26263 .35628 L
.26435 .35354 L
.27128 .34343 L
.27273 .3415 L
.27931 .33333 L
.28283 .32938 L
.28879 .32323 L
.29293 .31936 L
.30032 .31313 L
.30303 .31107 L
.31313 .30428 L
.31522 .30303 L
.32323 .29879 L
.33333 .29449 L
.33772 .29293 L
F
0 g
.34343 .29127 m
.35354 .28904 L
.36364 .28776 L
.37374 .28738 L
.38384 .28786 L
.39394 .28917 L
.40404 .29131 L
.40997 .29293 L
.41414 .29427 L
.42424 .29805 L
.43434 .30266 L
.43508 .30303 L
.44444 .30813 L
.4525 .31313 L
.45455 .3145 L
.46465 .32182 L
.46645 .32323 L
.47475 .33017 L
.47825 .33333 L
.48485 .33968 L
.48851 .34343 L
.49495 .3505 L
.49755 .35354 L
.50505 .36291 L
.5056 .36364 L
.51278 .37374 L
.51515 .37732 L
.51922 .38384 L
.52496 .39394 L
.52525 .39448 L
.53007 .40404 L
.5346 .41414 L
.53535 .41597 L
.53856 .42424 L
.54198 .43434 L
.54489 .44444 L
.54545 .44663 L
.54729 .45455 L
.5492 .46465 L
.55063 .47475 L
.55158 .48485 L
.55205 .49495 L
.55205 .50505 L
.55158 .51515 L
.55063 .52525 L
.5492 .53535 L
.54729 .54545 L
.54545 .55337 L
.54489 .55556 L
.54198 .56566 L
Mistroke
.53856 .57576 L
.53535 .58403 L
.5346 .58586 L
.53007 .59596 L
.52525 .60552 L
.52496 .60606 L
.51922 .61616 L
.51515 .62268 L
.51278 .62626 L
.5056 .63636 L
.50505 .63709 L
.49755 .64646 L
.49495 .6495 L
.48851 .65657 L
.48485 .66032 L
.47825 .66667 L
.47475 .66983 L
.46645 .67677 L
.46465 .67818 L
.45455 .6855 L
.4525 .68687 L
.44444 .69187 L
.43508 .69697 L
.43434 .69734 L
.42424 .70195 L
.41414 .70573 L
.40997 .70707 L
.40404 .70869 L
.39394 .71083 L
.38384 .71214 L
.37374 .71262 L
.36364 .71224 L
.35354 .71096 L
.34343 .70873 L
.33772 .70707 L
.33333 .70551 L
.32323 .70121 L
.31522 .69697 L
.31313 .69572 L
.30303 .68893 L
.30032 .68687 L
.29293 .68064 L
.28879 .67677 L
.28283 .67062 L
.27931 .66667 L
.27273 .6585 L
.27128 .65657 L
.26435 .64646 L
.26263 .64372 L
.2583 .63636 L
Mistroke
.253 .62626 L
.25253 .6253 L
.24832 .61616 L
.24421 .60606 L
.24242 .60123 L
.2406 .59596 L
.23744 .58586 L
.23471 .57576 L
.23236 .56566 L
.23232 .56547 L
.23039 .55556 L
.22877 .54545 L
.22748 .53535 L
.22653 .52525 L
.2259 .51515 L
.22559 .50505 L
.22559 .49495 L
.2259 .48485 L
.22653 .47475 L
.22748 .46465 L
.22877 .45455 L
.23039 .44444 L
.23232 .43453 L
.23236 .43434 L
.23471 .42424 L
.23744 .41414 L
.2406 .40404 L
.24242 .39877 L
.24421 .39394 L
.24832 .38384 L
.25253 .3747 L
.253 .37374 L
.2583 .36364 L
.26263 .35628 L
.26435 .35354 L
.27128 .34343 L
.27273 .3415 L
.27931 .33333 L
.28283 .32938 L
.28879 .32323 L
.29293 .31936 L
.30032 .31313 L
.30303 .31107 L
.31313 .30428 L
.31522 .30303 L
.32323 .29879 L
.33333 .29449 L
.33772 .29293 L
.34343 .29127 L
Mfstroke
.05 .95 .6 r
.34343 .3308 m
.35354 .32807 L
.36364 .3265 L
.37374 .32603 L
.38384 .32661 L
.39394 .32823 L
.40404 .33086 L
.41122 .33333 L
.41414 .33453 L
.42424 .33925 L
.4317 .34343 L
.43434 .34508 L
.44444 .35211 L
.44629 .35354 L
.45455 .36047 L
.45797 .36364 L
.46465 .37036 L
.46774 .37374 L
.47475 .3821 L
.4761 .38384 L
.48333 .39394 L
.48485 .39626 L
.4896 .40404 L
.49495 .41394 L
.49505 .41414 L
.49975 .42424 L
.50377 .43434 L
.50505 .43794 L
.50715 .44444 L
.50993 .45455 L
.51212 .46465 L
.51375 .47475 L
.51483 .48485 L
.51515 .48967 L
.51537 .49495 L
.51537 .50505 L
.51515 .51033 L
.51483 .51515 L
.51375 .52525 L
.51212 .53535 L
.50993 .54545 L
.50715 .55556 L
.50505 .56206 L
.50377 .56566 L
.49975 .57576 L
.49505 .58586 L
.49495 .58606 L
.4896 .59596 L
.48485 .60374 L
.48333 .60606 L
.4761 .61616 L
.47475 .6179 L
.46774 .62626 L
.46465 .62964 L
.45797 .63636 L
.45455 .63953 L
.44629 .64646 L
.44444 .64789 L
.43434 .65492 L
.4317 .65657 L
.42424 .66075 L
.41414 .66547 L
.41122 .66667 L
.40404 .66914 L
.39394 .67177 L
.38384 .67339 L
.37374 .67397 L
.36364 .6735 L
.35354 .67193 L
.34343 .6692 L
.33657 .66667 L
.33333 .6652 L
.32323 .65982 L
.31818 .65657 L
.31313 .65286 L
.30557 .64646 L
.30303 .64405 L
.29576 .63636 L
.29293 .633 L
.28774 .62626 L
.28283 .61904 L
.28103 .61616 L
.27531 .60606 L
.27273 .6009 L
.27043 .59596 L
.26625 .58586 L
.26268 .57576 L
.26263 .57559 L
.25966 .56566 L
.25714 .55556 L
.25509 .54545 L
.25348 .53535 L
.25253 .52763 L
.25229 .52525 L
.2515 .51515 L
.25111 .50505 L
.25111 .49495 L
.2515 .48485 L
.25229 .47475 L
.25253 .47237 L
.25348 .46465 L
.25509 .45455 L
.25714 .44444 L
.25966 .43434 L
.26263 .42441 L
.26268 .42424 L
.26625 .41414 L
.27043 .40404 L
.27273 .3991 L
.27531 .39394 L
.28103 .38384 L
.28283 .38096 L
.28774 .37374 L
.29293 .367 L
.29576 .36364 L
.30303 .35595 L
.30557 .35354 L
.31313 .34714 L
.31818 .34343 L
.32323 .34018 L
.33333 .3348 L
.33657 .33333 L
F
0 g
.34343 .3308 m
.35354 .32807 L
.36364 .3265 L
.37374 .32603 L
.38384 .32661 L
.39394 .32823 L
.40404 .33086 L
.41122 .33333 L
.41414 .33453 L
.42424 .33925 L
.4317 .34343 L
.43434 .34508 L
.44444 .35211 L
.44629 .35354 L
.45455 .36047 L
.45797 .36364 L
.46465 .37036 L
.46774 .37374 L
.47475 .3821 L
.4761 .38384 L
.48333 .39394 L
.48485 .39626 L
.4896 .40404 L
.49495 .41394 L
.49505 .41414 L
.49975 .42424 L
.50377 .43434 L
.50505 .43794 L
.50715 .44444 L
.50993 .45455 L
.51212 .46465 L
.51375 .47475 L
.51483 .48485 L
.51515 .48967 L
.51537 .49495 L
.51537 .50505 L
.51515 .51033 L
.51483 .51515 L
.51375 .52525 L
.51212 .53535 L
.50993 .54545 L
.50715 .55556 L
.50505 .56206 L
.50377 .56566 L
.49975 .57576 L
.49505 .58586 L
.49495 .58606 L
.4896 .59596 L
.48485 .60374 L
.48333 .60606 L
Mistroke
.4761 .61616 L
.47475 .6179 L
.46774 .62626 L
.46465 .62964 L
.45797 .63636 L
.45455 .63953 L
.44629 .64646 L
.44444 .64789 L
.43434 .65492 L
.4317 .65657 L
.42424 .66075 L
.41414 .66547 L
.41122 .66667 L
.40404 .66914 L
.39394 .67177 L
.38384 .67339 L
.37374 .67397 L
.36364 .6735 L
.35354 .67193 L
.34343 .6692 L
.33657 .66667 L
.33333 .6652 L
.32323 .65982 L
.31818 .65657 L
.31313 .65286 L
.30557 .64646 L
.30303 .64405 L
.29576 .63636 L
.29293 .633 L
.28774 .62626 L
.28283 .61904 L
.28103 .61616 L
.27531 .60606 L
.27273 .6009 L
.27043 .59596 L
.26625 .58586 L
.26268 .57576 L
.26263 .57559 L
.25966 .56566 L
.25714 .55556 L
.25509 .54545 L
.25348 .53535 L
.25253 .52763 L
.25229 .52525 L
.2515 .51515 L
.25111 .50505 L
.25111 .49495 L
.2515 .48485 L
.25229 .47475 L
.25253 .47237 L
Mistroke
.25348 .46465 L
.25509 .45455 L
.25714 .44444 L
.25966 .43434 L
.26263 .42441 L
.26268 .42424 L
.26625 .41414 L
.27043 .40404 L
.27273 .3991 L
.27531 .39394 L
.28103 .38384 L
.28283 .38096 L
.28774 .37374 L
.29293 .367 L
.29576 .36364 L
.30303 .35595 L
.30557 .35354 L
.31313 .34714 L
.31818 .34343 L
.32323 .34018 L
.33333 .3348 L
.33657 .33333 L
.34343 .3308 L
Mfstroke
.025 .975 .6 r
.34343 .38302 m
.35354 .37909 L
.36364 .37687 L
.37374 .37621 L
.38384 .37703 L
.39394 .37932 L
.40404 .3831 L
.40567 .38384 L
.41414 .38847 L
.42214 .39394 L
.42424 .3956 L
.43358 .40404 L
.43434 .40483 L
.44245 .41414 L
.44444 .41676 L
.44959 .42424 L
.45455 .43272 L
.4554 .43434 L
.46013 .44444 L
.46391 .45455 L
.46465 .45678 L
.46685 .46465 L
.46901 .47475 L
.47043 .48485 L
.47113 .49495 L
.47113 .50505 L
.47043 .51515 L
.46901 .52525 L
.46685 .53535 L
.46465 .54322 L
.46391 .54545 L
.46013 .55556 L
.4554 .56566 L
.45455 .56728 L
.44959 .57576 L
.44444 .58324 L
.44245 .58586 L
.43434 .59517 L
.43358 .59596 L
.42424 .6044 L
.42214 .60606 L
.41414 .61153 L
.40567 .61616 L
.40404 .6169 L
.39394 .62068 L
.38384 .62297 L
.37374 .62379 L
.36364 .62313 L
.35354 .62091 L
.34343 .61698 L
.34172 .61616 L
.33333 .61113 L
.32666 .60606 L
.32323 .60295 L
.31653 .59596 L
.31313 .59178 L
.30885 .58586 L
.30303 .57622 L
.30278 .57576 L
.29789 .56566 L
.29397 .55556 L
.29293 .55244 L
.29086 .54545 L
.28846 .53535 L
.28671 .52525 L
.28557 .51515 L
.285 .50505 L
.285 .49495 L
.28557 .48485 L
.28671 .47475 L
.28846 .46465 L
.29086 .45455 L
.29293 .44756 L
.29397 .44444 L
.29789 .43434 L
.30278 .42424 L
.30303 .42378 L
.30885 .41414 L
.31313 .40822 L
.31653 .40404 L
.32323 .39705 L
.32666 .39394 L
.33333 .38887 L
.34172 .38384 L
F
0 g
.34343 .38302 m
.35354 .37909 L
.36364 .37687 L
.37374 .37621 L
.38384 .37703 L
.39394 .37932 L
.40404 .3831 L
.40567 .38384 L
.41414 .38847 L
.42214 .39394 L
.42424 .3956 L
.43358 .40404 L
.43434 .40483 L
.44245 .41414 L
.44444 .41676 L
.44959 .42424 L
.45455 .43272 L
.4554 .43434 L
.46013 .44444 L
.46391 .45455 L
.46465 .45678 L
.46685 .46465 L
.46901 .47475 L
.47043 .48485 L
.47113 .49495 L
.47113 .50505 L
.47043 .51515 L
.46901 .52525 L
.46685 .53535 L
.46465 .54322 L
.46391 .54545 L
.46013 .55556 L
.4554 .56566 L
.45455 .56728 L
.44959 .57576 L
.44444 .58324 L
.44245 .58586 L
.43434 .59517 L
.43358 .59596 L
.42424 .6044 L
.42214 .60606 L
.41414 .61153 L
.40567 .61616 L
.40404 .6169 L
.39394 .62068 L
.38384 .62297 L
.37374 .62379 L
.36364 .62313 L
.35354 .62091 L
.34343 .61698 L
Mistroke
.34172 .61616 L
.33333 .61113 L
.32666 .60606 L
.32323 .60295 L
.31653 .59596 L
.31313 .59178 L
.30885 .58586 L
.30303 .57622 L
.30278 .57576 L
.29789 .56566 L
.29397 .55556 L
.29293 .55244 L
.29086 .54545 L
.28846 .53535 L
.28671 .52525 L
.28557 .51515 L
.285 .50505 L
.285 .49495 L
.28557 .48485 L
.28671 .47475 L
.28846 .46465 L
.29086 .45455 L
.29293 .44756 L
.29397 .44444 L
.29789 .43434 L
.30278 .42424 L
.30303 .42378 L
.30885 .41414 L
.31313 .40822 L
.31653 .40404 L
.32323 .39705 L
.32666 .39394 L
.33333 .38887 L
.34172 .38384 L
.34343 .38302 L
Mfstroke
0 1 .6 r
.37374 .47989 m
.38238 .48485 L
.38384 .48666 L
.38868 .49495 L
.38868 .50505 L
.38384 .51334 L
.38238 .51515 L
.37374 .52011 L
.36397 .51515 L
.36364 .51477 L
.35916 .50505 L
.35916 .49495 L
.36364 .48523 L
.36397 .48485 L
F
0 g
.37374 .47989 m
.38238 .48485 L
.38384 .48666 L
.38868 .49495 L
.38868 .50505 L
.38384 .51334 L
.38238 .51515 L
.37374 .52011 L
.36397 .51515 L
.36364 .51477 L
.35916 .50505 L
.35916 .49495 L
.36364 .48523 L
.36397 .48485 L
.37374 .47989 L
s
.45 .55 .6 r
1 .15191 m
.9899 .1588 L
.98552 .16162 L
.9798 .16512 L
.9697 .17084 L
.96805 .17172 L
.9596 .17594 L
.94949 .18041 L
.946 .18182 L
.93939 .18424 L
.92929 .18743 L
.91919 .18997 L
.90909 .19186 L
.90881 .19192 L
.89899 .19312 L
.88889 .19375 L
.87879 .19377 L
.86869 .1932 L
.85859 .19206 L
.85752 .19192 L
.84848 .19039 L
.83838 .18821 L
.82828 .18555 L
.81818 .18245 L
.81627 .18182 L
.80808 .17894 L
.79798 .17505 L
.78994 .17172 L
.78788 .17083 L
.77778 .1663 L
.76792 .16162 L
.76768 .1615 L
.75758 .15646 L
.74806 .15152 L
.74747 .15121 L
.73737 .14578 L
.72944 .14141 L
.72727 .1402 L
.71717 .13451 L
.71158 .13131 L
.70707 .12871 L
.69697 .12285 L
.69416 .12121 L
.68687 .11694 L
.67695 .11111 L
.67677 .111 L
.66667 .10506 L
.65977 .10101 L
.65657 .09913 L
.64646 .09324 L
.64245 .09091 L
.63636 .08739 L
.62626 .08161 L
.62484 .08081 L
.61616 .07592 L
.60676 .07071 L
.60606 .07032 L
.59596 .06483 L
.58802 .06061 L
.58586 .05947 L
.57576 .05425 L
.56834 .05051 L
.56566 .04917 L
.55556 .04426 L
.54736 .0404 L
.54545 .03952 L
.53535 .03497 L
.52525 .03061 L
.52452 .0303 L
.51515 .02646 L
.50505 .02252 L
.49881 .0202 L
.49495 .01881 L
.48485 .01534 L
.47475 .01211 L
.46801 .0101 L
.46465 .00914 L
.45455 .00644 L
.44444 .00401 L
.43434 .00187 L
.42424 2e-005 L
.4241 0 L
1 0 L
F
0 g
1 .15191 m
.9899 .1588 L
.98552 .16162 L
.9798 .16512 L
.9697 .17084 L
.96805 .17172 L
.9596 .17594 L
.94949 .18041 L
.946 .18182 L
.93939 .18424 L
.92929 .18743 L
.91919 .18997 L
.90909 .19186 L
.90881 .19192 L
.89899 .19312 L
.88889 .19375 L
.87879 .19377 L
.86869 .1932 L
.85859 .19206 L
.85752 .19192 L
.84848 .19039 L
.83838 .18821 L
.82828 .18555 L
.81818 .18245 L
.81627 .18182 L
.80808 .17894 L
.79798 .17505 L
.78994 .17172 L
.78788 .17083 L
.77778 .1663 L
.76792 .16162 L
.76768 .1615 L
.75758 .15646 L
.74806 .15152 L
.74747 .15121 L
.73737 .14578 L
.72944 .14141 L
.72727 .1402 L
.71717 .13451 L
.71158 .13131 L
.70707 .12871 L
.69697 .12285 L
.69416 .12121 L
.68687 .11694 L
.67695 .11111 L
.67677 .111 L
.66667 .10506 L
.65977 .10101 L
.65657 .09913 L
.64646 .09324 L
Mistroke
.64245 .09091 L
.63636 .08739 L
.62626 .08161 L
.62484 .08081 L
.61616 .07592 L
.60676 .07071 L
.60606 .07032 L
.59596 .06483 L
.58802 .06061 L
.58586 .05947 L
.57576 .05425 L
.56834 .05051 L
.56566 .04917 L
.55556 .04426 L
.54736 .0404 L
.54545 .03952 L
.53535 .03497 L
.52525 .03061 L
.52452 .0303 L
.51515 .02646 L
.50505 .02252 L
.49881 .0202 L
.49495 .01881 L
.48485 .01534 L
.47475 .01211 L
.46801 .0101 L
.46465 .00914 L
.45455 .00644 L
.44444 .00401 L
.43434 .00187 L
.42424 2e-005 L
.4241 0 L
Mfstroke
.45 .55 .6 r
1 .84809 m
.9899 .8412 L
.98552 .83838 L
.9798 .83488 L
.9697 .82916 L
.96805 .82828 L
.9596 .82406 L
.94949 .81959 L
.946 .81818 L
.93939 .81576 L
.92929 .81257 L
.91919 .81003 L
.90909 .80814 L
.90881 .80808 L
.89899 .80688 L
.88889 .80625 L
.87879 .80623 L
.86869 .8068 L
.85859 .80794 L
.85752 .80808 L
.84848 .80961 L
.83838 .81179 L
.82828 .81445 L
.81818 .81755 L
.81627 .81818 L
.80808 .82106 L
.79798 .82495 L
.78994 .82828 L
.78788 .82917 L
.77778 .8337 L
.76792 .83838 L
.76768 .8385 L
.75758 .84354 L
.74806 .84848 L
.74747 .84879 L
.73737 .85422 L
.72944 .85859 L
.72727 .8598 L
.71717 .86549 L
.71158 .86869 L
.70707 .87129 L
.69697 .87715 L
.69416 .87879 L
.68687 .88306 L
.67695 .88889 L
.67677 .889 L
.66667 .89494 L
.65977 .89899 L
.65657 .90087 L
.64646 .90676 L
.64245 .90909 L
.63636 .91261 L
.62626 .91839 L
.62484 .91919 L
.61616 .92408 L
.60676 .92929 L
.60606 .92968 L
.59596 .93517 L
.58802 .93939 L
.58586 .94053 L
.57576 .94575 L
.56834 .94949 L
.56566 .95083 L
.55556 .95574 L
.54736 .9596 L
.54545 .96048 L
.53535 .96503 L
.52525 .96939 L
.52452 .9697 L
.51515 .97354 L
.50505 .97748 L
.49881 .9798 L
.49495 .98119 L
.48485 .98466 L
.47475 .98789 L
.46801 .9899 L
.46465 .99086 L
.45455 .99356 L
.44444 .99599 L
.43434 .99813 L
.42424 .99998 L
.4241 1 L
1 1 L
F
0 g
1 .84809 m
.9899 .8412 L
.98552 .83838 L
.9798 .83488 L
.9697 .82916 L
.96805 .82828 L
.9596 .82406 L
.94949 .81959 L
.946 .81818 L
.93939 .81576 L
.92929 .81257 L
.91919 .81003 L
.90909 .80814 L
.90881 .80808 L
.89899 .80688 L
.88889 .80625 L
.87879 .80623 L
.86869 .8068 L
.85859 .80794 L
.85752 .80808 L
.84848 .80961 L
.83838 .81179 L
.82828 .81445 L
.81818 .81755 L
.81627 .81818 L
.80808 .82106 L
.79798 .82495 L
.78994 .82828 L
.78788 .82917 L
.77778 .8337 L
.76792 .83838 L
.76768 .8385 L
.75758 .84354 L
.74806 .84848 L
.74747 .84879 L
.73737 .85422 L
.72944 .85859 L
.72727 .8598 L
.71717 .86549 L
.71158 .86869 L
.70707 .87129 L
.69697 .87715 L
.69416 .87879 L
.68687 .88306 L
.67695 .88889 L
.67677 .889 L
.66667 .89494 L
.65977 .89899 L
.65657 .90087 L
.64646 .90676 L
Mistroke
.64245 .90909 L
.63636 .91261 L
.62626 .91839 L
.62484 .91919 L
.61616 .92408 L
.60676 .92929 L
.60606 .92968 L
.59596 .93517 L
.58802 .93939 L
.58586 .94053 L
.57576 .94575 L
.56834 .94949 L
.56566 .95083 L
.55556 .95574 L
.54736 .9596 L
.54545 .96048 L
.53535 .96503 L
.52525 .96939 L
.52452 .9697 L
.51515 .97354 L
.50505 .97748 L
.49881 .9798 L
.49495 .98119 L
.48485 .98466 L
.47475 .98789 L
.46801 .9899 L
.46465 .99086 L
.45455 .99356 L
.44444 .99599 L
.43434 .99813 L
.42424 .99998 L
.4241 1 L
Mfstroke
.475 .525 .6 r
1 .13107 m
.99963 .13131 L
.9899 .13757 L
.98348 .14141 L
.9798 .14351 L
.9697 .14888 L
.96428 .15152 L
.9596 .15365 L
.94949 .15783 L
.93939 .16141 L
.93876 .16162 L
.92929 .16438 L
.91919 .16674 L
.90909 .1685 L
.89899 .16967 L
.88889 .17025 L
.87879 .17027 L
.86869 .16974 L
.85859 .16869 L
.84848 .16713 L
.83838 .1651 L
.82828 .16263 L
.82457 .16162 L
.81818 .15974 L
.80808 .15646 L
.79798 .15282 L
.79455 .15152 L
.78788 .14887 L
.77778 .14462 L
.77055 .14141 L
.76768 .1401 L
.75758 .13536 L
.74929 .13131 L
.74747 .13041 L
.73737 .12528 L
.72956 .12121 L
.72727 .12001 L
.71717 .11461 L
.71073 .11111 L
.70707 .10911 L
.69697 .10354 L
.69243 .10101 L
.68687 .09791 L
.67677 .09225 L
.67438 .09091 L
.66667 .08657 L
.65657 .08091 L
.65639 .08081 L
.64646 .07527 L
.63825 .07071 L
.63636 .06967 L
.62626 .06412 L
.61979 .06061 L
.61616 .05865 L
.60606 .05327 L
.60079 .05051 L
.59596 .04799 L
.58586 .04283 L
.58103 .0404 L
.57576 .03779 L
.56566 .0329 L
.56018 .0303 L
.55556 .02815 L
.54545 .02358 L
.53775 .0202 L
.53535 .01917 L
.52525 .01496 L
.51515 .01094 L
.51299 .0101 L
.50505 .00712 L
.49495 .00353 L
.48485 .00016 L
.48434 0 L
1 0 L
F
0 g
1 .13107 m
.99963 .13131 L
.9899 .13757 L
.98348 .14141 L
.9798 .14351 L
.9697 .14888 L
.96428 .15152 L
.9596 .15365 L
.94949 .15783 L
.93939 .16141 L
.93876 .16162 L
.92929 .16438 L
.91919 .16674 L
.90909 .1685 L
.89899 .16967 L
.88889 .17025 L
.87879 .17027 L
.86869 .16974 L
.85859 .16869 L
.84848 .16713 L
.83838 .1651 L
.82828 .16263 L
.82457 .16162 L
.81818 .15974 L
.80808 .15646 L
.79798 .15282 L
.79455 .15152 L
.78788 .14887 L
.77778 .14462 L
.77055 .14141 L
.76768 .1401 L
.75758 .13536 L
.74929 .13131 L
.74747 .13041 L
.73737 .12528 L
.72956 .12121 L
.72727 .12001 L
.71717 .11461 L
.71073 .11111 L
.70707 .10911 L
.69697 .10354 L
.69243 .10101 L
.68687 .09791 L
.67677 .09225 L
.67438 .09091 L
.66667 .08657 L
.65657 .08091 L
.65639 .08081 L
.64646 .07527 L
.63825 .07071 L
Mistroke
.63636 .06967 L
.62626 .06412 L
.61979 .06061 L
.61616 .05865 L
.60606 .05327 L
.60079 .05051 L
.59596 .04799 L
.58586 .04283 L
.58103 .0404 L
.57576 .03779 L
.56566 .0329 L
.56018 .0303 L
.55556 .02815 L
.54545 .02358 L
.53775 .0202 L
.53535 .01917 L
.52525 .01496 L
.51515 .01094 L
.51299 .0101 L
.50505 .00712 L
.49495 .00353 L
.48485 .00016 L
.48434 0 L
Mfstroke
.475 .525 .6 r
1 .86893 m
.99963 .86869 L
.9899 .86243 L
.98348 .85859 L
.9798 .85649 L
.9697 .85112 L
.96428 .84848 L
.9596 .84635 L
.94949 .84217 L
.93939 .83859 L
.93876 .83838 L
.92929 .83562 L
.91919 .83326 L
.90909 .8315 L
.89899 .83033 L
.88889 .82975 L
.87879 .82973 L
.86869 .83026 L
.85859 .83131 L
.84848 .83287 L
.83838 .8349 L
.82828 .83737 L
.82457 .83838 L
.81818 .84026 L
.80808 .84354 L
.79798 .84718 L
.79455 .84848 L
.78788 .85113 L
.77778 .85538 L
.77055 .85859 L
.76768 .8599 L
.75758 .86464 L
.74929 .86869 L
.74747 .86959 L
.73737 .87472 L
.72956 .87879 L
.72727 .87999 L
.71717 .88539 L
.71073 .88889 L
.70707 .89089 L
.69697 .89646 L
.69243 .89899 L
.68687 .90209 L
.67677 .90775 L
.67438 .90909 L
.66667 .91343 L
.65657 .91909 L
.65639 .91919 L
.64646 .92473 L
.63825 .92929 L
.63636 .93033 L
.62626 .93588 L
.61979 .93939 L
.61616 .94135 L
.60606 .94673 L
.60079 .94949 L
.59596 .95201 L
.58586 .95717 L
.58103 .9596 L
.57576 .96221 L
.56566 .9671 L
.56018 .9697 L
.55556 .97185 L
.54545 .97642 L
.53775 .9798 L
.53535 .98083 L
.52525 .98504 L
.51515 .98906 L
.51299 .9899 L
.50505 .99288 L
.49495 .99647 L
.48485 .99984 L
.48434 1 L
1 1 L
F
0 g
1 .86893 m
.99963 .86869 L
.9899 .86243 L
.98348 .85859 L
.9798 .85649 L
.9697 .85112 L
.96428 .84848 L
.9596 .84635 L
.94949 .84217 L
.93939 .83859 L
.93876 .83838 L
.92929 .83562 L
.91919 .83326 L
.90909 .8315 L
.89899 .83033 L
.88889 .82975 L
.87879 .82973 L
.86869 .83026 L
.85859 .83131 L
.84848 .83287 L
.83838 .8349 L
.82828 .83737 L
.82457 .83838 L
.81818 .84026 L
.80808 .84354 L
.79798 .84718 L
.79455 .84848 L
.78788 .85113 L
.77778 .85538 L
.77055 .85859 L
.76768 .8599 L
.75758 .86464 L
.74929 .86869 L
.74747 .86959 L
.73737 .87472 L
.72956 .87879 L
.72727 .87999 L
.71717 .88539 L
.71073 .88889 L
.70707 .89089 L
.69697 .89646 L
.69243 .89899 L
.68687 .90209 L
.67677 .90775 L
.67438 .90909 L
.66667 .91343 L
.65657 .91909 L
.65639 .91919 L
.64646 .92473 L
.63825 .92929 L
Mistroke
.63636 .93033 L
.62626 .93588 L
.61979 .93939 L
.61616 .94135 L
.60606 .94673 L
.60079 .94949 L
.59596 .95201 L
.58586 .95717 L
.58103 .9596 L
.57576 .96221 L
.56566 .9671 L
.56018 .9697 L
.55556 .97185 L
.54545 .97642 L
.53775 .9798 L
.53535 .98083 L
.52525 .98504 L
.51515 .98906 L
.51299 .9899 L
.50505 .99288 L
.49495 .99647 L
.48485 .99984 L
.48434 1 L
Mfstroke
.5 .5 .6 r
1 .11134 m
.9899 .11751 L
.98337 .12121 L
.9798 .12313 L
.9697 .12821 L
.96288 .13131 L
.9596 .13271 L
.94949 .13665 L
.93939 .14002 L
.93464 .14141 L
.92929 .14281 L
.91919 .14503 L
.90909 .14668 L
.89899 .14778 L
.88889 .14833 L
.87879 .14834 L
.86869 .14785 L
.85859 .14686 L
.84848 .1454 L
.83838 .14349 L
.82927 .14141 L
.82828 .14117 L
.81818 .13844 L
.80808 .13536 L
.79798 .13193 L
.79625 .13131 L
.78788 .1282 L
.77778 .12418 L
.7707 .12121 L
.76768 .11991 L
.75758 .11541 L
.74831 .11111 L
.74747 .11072 L
.73737 .10585 L
.72763 .10101 L
.72727 .10083 L
.71717 .09569 L
.70796 .09091 L
.70707 .09044 L
.69697 .08512 L
.68887 .08081 L
.68687 .07974 L
.67677 .07432 L
.67006 .07071 L
.66667 .06888 L
.65657 .06344 L
.65128 .06061 L
.64646 .05803 L
.63636 .05264 L
.63233 .05051 L
.62626 .04731 L
.61616 .04204 L
.613 .0404 L
.60606 .03685 L
.59596 .03175 L
.59304 .0303 L
.58586 .02677 L
.57576 .0219 L
.57217 .0202 L
.56566 .01717 L
.55556 .01258 L
.54996 .0101 L
.54545 .00814 L
.53535 .00388 L
.52578 0 L
1 0 L
F
0 g
1 .11134 m
.9899 .11751 L
.98337 .12121 L
.9798 .12313 L
.9697 .12821 L
.96288 .13131 L
.9596 .13271 L
.94949 .13665 L
.93939 .14002 L
.93464 .14141 L
.92929 .14281 L
.91919 .14503 L
.90909 .14668 L
.89899 .14778 L
.88889 .14833 L
.87879 .14834 L
.86869 .14785 L
.85859 .14686 L
.84848 .1454 L
.83838 .14349 L
.82927 .14141 L
.82828 .14117 L
.81818 .13844 L
.80808 .13536 L
.79798 .13193 L
.79625 .13131 L
.78788 .1282 L
.77778 .12418 L
.7707 .12121 L
.76768 .11991 L
.75758 .11541 L
.74831 .11111 L
.74747 .11072 L
.73737 .10585 L
.72763 .10101 L
.72727 .10083 L
.71717 .09569 L
.70796 .09091 L
.70707 .09044 L
.69697 .08512 L
.68887 .08081 L
.68687 .07974 L
.67677 .07432 L
.67006 .07071 L
.66667 .06888 L
.65657 .06344 L
.65128 .06061 L
.64646 .05803 L
.63636 .05264 L
.63233 .05051 L
Mistroke
.62626 .04731 L
.61616 .04204 L
.613 .0404 L
.60606 .03685 L
.59596 .03175 L
.59304 .0303 L
.58586 .02677 L
.57576 .0219 L
.57217 .0202 L
.56566 .01717 L
.55556 .01258 L
.54996 .0101 L
.54545 .00814 L
.53535 .00388 L
.52578 0 L
Mfstroke
.5 .5 .6 r
1 .88866 m
.9899 .88249 L
.98337 .87879 L
.9798 .87687 L
.9697 .87179 L
.96288 .86869 L
.9596 .86729 L
.94949 .86335 L
.93939 .85998 L
.93464 .85859 L
.92929 .85719 L
.91919 .85497 L
.90909 .85332 L
.89899 .85222 L
.88889 .85167 L
.87879 .85166 L
.86869 .85215 L
.85859 .85314 L
.84848 .8546 L
.83838 .85651 L
.82927 .85859 L
.82828 .85883 L
.81818 .86156 L
.80808 .86464 L
.79798 .86807 L
.79625 .86869 L
.78788 .8718 L
.77778 .87582 L
.7707 .87879 L
.76768 .88009 L
.75758 .88459 L
.74831 .88889 L
.74747 .88928 L
.73737 .89415 L
.72763 .89899 L
.72727 .89917 L
.71717 .90431 L
.70796 .90909 L
.70707 .90956 L
.69697 .91488 L
.68887 .91919 L
.68687 .92026 L
.67677 .92568 L
.67006 .92929 L
.66667 .93112 L
.65657 .93656 L
.65128 .93939 L
.64646 .94197 L
.63636 .94736 L
.63233 .94949 L
.62626 .95269 L
.61616 .95796 L
.613 .9596 L
.60606 .96315 L
.59596 .96825 L
.59304 .9697 L
.58586 .97323 L
.57576 .9781 L
.57217 .9798 L
.56566 .98283 L
.55556 .98742 L
.54996 .9899 L
.54545 .99186 L
.53535 .99612 L
.52578 1 L
1 1 L
F
0 g
1 .88866 m
.9899 .88249 L
.98337 .87879 L
.9798 .87687 L
.9697 .87179 L
.96288 .86869 L
.9596 .86729 L
.94949 .86335 L
.93939 .85998 L
.93464 .85859 L
.92929 .85719 L
.91919 .85497 L
.90909 .85332 L
.89899 .85222 L
.88889 .85167 L
.87879 .85166 L
.86869 .85215 L
.85859 .85314 L
.84848 .8546 L
.83838 .85651 L
.82927 .85859 L
.82828 .85883 L
.81818 .86156 L
.80808 .86464 L
.79798 .86807 L
.79625 .86869 L
.78788 .8718 L
.77778 .87582 L
.7707 .87879 L
.76768 .88009 L
.75758 .88459 L
.74831 .88889 L
.74747 .88928 L
.73737 .89415 L
.72763 .89899 L
.72727 .89917 L
.71717 .90431 L
.70796 .90909 L
.70707 .90956 L
.69697 .91488 L
.68887 .91919 L
.68687 .92026 L
.67677 .92568 L
.67006 .92929 L
.66667 .93112 L
.65657 .93656 L
.65128 .93939 L
.64646 .94197 L
.63636 .94736 L
.63233 .94949 L
Mistroke
.62626 .95269 L
.61616 .95796 L
.613 .9596 L
.60606 .96315 L
.59596 .96825 L
.59304 .9697 L
.58586 .97323 L
.57576 .9781 L
.57217 .9798 L
.56566 .98283 L
.55556 .98742 L
.54996 .9899 L
.54545 .99186 L
.53535 .99612 L
.52578 1 L
Mfstroke
.525 .475 .6 r
1 .09257 m
.9899 .09845 L
.9852 .10101 L
.9798 .10381 L
.9697 .10863 L
.964 .11111 L
.9596 .11291 L
.94949 .11664 L
.93939 .11983 L
.93441 .12121 L
.92929 .12247 L
.91919 .12457 L
.90909 .12613 L
.89899 .12717 L
.88889 .12769 L
.87879 .1277 L
.86869 .12724 L
.85859 .1263 L
.84848 .12492 L
.83838 .12312 L
.82953 .12121 L
.82828 .12092 L
.81818 .11834 L
.80808 .11541 L
.79798 .11216 L
.79489 .11111 L
.78788 .10862 L
.77778 .1048 L
.76834 .10101 L
.76768 .10074 L
.75758 .09645 L
.74747 .09198 L
.74512 .09091 L
.73737 .08733 L
.72727 .08253 L
.72371 .08081 L
.71717 .07761 L
.70707 .07259 L
.70333 .07071 L
.69697 .06749 L
.68687 .06232 L
.68353 .06061 L
.67677 .05712 L
.66667 .05189 L
.664 .05051 L
.65657 .04665 L
.64646 .04143 L
.64447 .0404 L
.63636 .03624 L
.62626 .03109 L
.6247 .0303 L
.61616 .026 L
.60606 .02099 L
.60446 .0202 L
.59596 .01606 L
.58586 .01123 L
.58345 .0101 L
.57576 .00652 L
.56566 .00193 L
.56131 0 L
1 0 L
F
0 g
1 .09257 m
.9899 .09845 L
.9852 .10101 L
.9798 .10381 L
.9697 .10863 L
.964 .11111 L
.9596 .11291 L
.94949 .11664 L
.93939 .11983 L
.93441 .12121 L
.92929 .12247 L
.91919 .12457 L
.90909 .12613 L
.89899 .12717 L
.88889 .12769 L
.87879 .1277 L
.86869 .12724 L
.85859 .1263 L
.84848 .12492 L
.83838 .12312 L
.82953 .12121 L
.82828 .12092 L
.81818 .11834 L
.80808 .11541 L
.79798 .11216 L
.79489 .11111 L
.78788 .10862 L
.77778 .1048 L
.76834 .10101 L
.76768 .10074 L
.75758 .09645 L
.74747 .09198 L
.74512 .09091 L
.73737 .08733 L
.72727 .08253 L
.72371 .08081 L
.71717 .07761 L
.70707 .07259 L
.70333 .07071 L
.69697 .06749 L
.68687 .06232 L
.68353 .06061 L
.67677 .05712 L
.66667 .05189 L
.664 .05051 L
.65657 .04665 L
.64646 .04143 L
.64447 .0404 L
.63636 .03624 L
.62626 .03109 L
Mistroke
.6247 .0303 L
.61616 .026 L
.60606 .02099 L
.60446 .0202 L
.59596 .01606 L
.58586 .01123 L
.58345 .0101 L
.57576 .00652 L
.56566 .00193 L
.56131 0 L
Mfstroke
.525 .475 .6 r
1 .90743 m
.9899 .90155 L
.9852 .89899 L
.9798 .89619 L
.9697 .89137 L
.964 .88889 L
.9596 .88709 L
.94949 .88336 L
.93939 .88017 L
.93441 .87879 L
.92929 .87753 L
.91919 .87543 L
.90909 .87387 L
.89899 .87283 L
.88889 .87231 L
.87879 .8723 L
.86869 .87276 L
.85859 .8737 L
.84848 .87508 L
.83838 .87688 L
.82953 .87879 L
.82828 .87908 L
.81818 .88166 L
.80808 .88459 L
.79798 .88784 L
.79489 .88889 L
.78788 .89138 L
.77778 .8952 L
.76834 .89899 L
.76768 .89926 L
.75758 .90355 L
.74747 .90802 L
.74512 .90909 L
.73737 .91267 L
.72727 .91747 L
.72371 .91919 L
.71717 .92239 L
.70707 .92741 L
.70333 .92929 L
.69697 .93251 L
.68687 .93768 L
.68353 .93939 L
.67677 .94288 L
.66667 .94811 L
.664 .94949 L
.65657 .95335 L
.64646 .95857 L
.64447 .9596 L
.63636 .96376 L
.62626 .96891 L
.6247 .9697 L
.61616 .974 L
.60606 .97901 L
.60446 .9798 L
.59596 .98394 L
.58586 .98877 L
.58345 .9899 L
.57576 .99348 L
.56566 .99807 L
.56131 1 L
1 1 L
F
0 g
1 .90743 m
.9899 .90155 L
.9852 .89899 L
.9798 .89619 L
.9697 .89137 L
.964 .88889 L
.9596 .88709 L
.94949 .88336 L
.93939 .88017 L
.93441 .87879 L
.92929 .87753 L
.91919 .87543 L
.90909 .87387 L
.89899 .87283 L
.88889 .87231 L
.87879 .8723 L
.86869 .87276 L
.85859 .8737 L
.84848 .87508 L
.83838 .87688 L
.82953 .87879 L
.82828 .87908 L
.81818 .88166 L
.80808 .88459 L
.79798 .88784 L
.79489 .88889 L
.78788 .89138 L
.77778 .8952 L
.76834 .89899 L
.76768 .89926 L
.75758 .90355 L
.74747 .90802 L
.74512 .90909 L
.73737 .91267 L
.72727 .91747 L
.72371 .91919 L
.71717 .92239 L
.70707 .92741 L
.70333 .92929 L
.69697 .93251 L
.68687 .93768 L
.68353 .93939 L
.67677 .94288 L
.66667 .94811 L
.664 .94949 L
.65657 .95335 L
.64646 .95857 L
.64447 .9596 L
.63636 .96376 L
.62626 .96891 L
Mistroke
.6247 .9697 L
.61616 .974 L
.60606 .97901 L
.60446 .9798 L
.59596 .98394 L
.58586 .98877 L
.58345 .9899 L
.57576 .99348 L
.56566 .99807 L
.56131 1 L
Mfstroke
.55 .45 .6 r
1 .07463 m
.9899 .08026 L
.98886 .08081 L
.9798 .08538 L
.9697 .08998 L
.96752 .09091 L
.9596 .09407 L
.94949 .09763 L
.93939 .10066 L
.93813 .10101 L
.92929 .10318 L
.91919 .10517 L
.90909 .10666 L
.89899 .10764 L
.88889 .10813 L
.87879 .10815 L
.86869 .1077 L
.85859 .10682 L
.84848 .1055 L
.83838 .10379 L
.82828 .1017 L
.8253 .10101 L
.81818 .09924 L
.80808 .09645 L
.79798 .09336 L
.79059 .09091 L
.78788 .08997 L
.77778 .08633 L
.76768 .08244 L
.76358 .08081 L
.75758 .07835 L
.74747 .07406 L
.73984 .07071 L
.73737 .0696 L
.72727 .065 L
.71786 .06061 L
.71717 .06028 L
.70707 .05545 L
.69697 .05054 L
.69689 .05051 L
.68687 .04557 L
.67677 .04056 L
.67646 .0404 L
.66667 .03551 L
.65657 .03046 L
.65625 .0303 L
.64646 .02542 L
.63636 .0204 L
.63596 .0202 L
.62626 .01542 L
.61616 .0105 L
.61535 .0101 L
.60606 .00564 L
.59596 .00086 L
.59412 0 L
1 0 L
F
0 g
1 .07463 m
.9899 .08026 L
.98886 .08081 L
.9798 .08538 L
.9697 .08998 L
.96752 .09091 L
.9596 .09407 L
.94949 .09763 L
.93939 .10066 L
.93813 .10101 L
.92929 .10318 L
.91919 .10517 L
.90909 .10666 L
.89899 .10764 L
.88889 .10813 L
.87879 .10815 L
.86869 .1077 L
.85859 .10682 L
.84848 .1055 L
.83838 .10379 L
.82828 .1017 L
.8253 .10101 L
.81818 .09924 L
.80808 .09645 L
.79798 .09336 L
.79059 .09091 L
.78788 .08997 L
.77778 .08633 L
.76768 .08244 L
.76358 .08081 L
.75758 .07835 L
.74747 .07406 L
.73984 .07071 L
.73737 .0696 L
.72727 .065 L
.71786 .06061 L
.71717 .06028 L
.70707 .05545 L
.69697 .05054 L
.69689 .05051 L
.68687 .04557 L
.67677 .04056 L
.67646 .0404 L
.66667 .03551 L
.65657 .03046 L
.65625 .0303 L
.64646 .02542 L
.63636 .0204 L
.63596 .0202 L
.62626 .01542 L
Mistroke
.61616 .0105 L
.61535 .0101 L
.60606 .00564 L
.59596 .00086 L
.59412 0 L
Mfstroke
.55 .45 .6 r
1 .92537 m
.9899 .91974 L
.98886 .91919 L
.9798 .91462 L
.9697 .91002 L
.96752 .90909 L
.9596 .90593 L
.94949 .90237 L
.93939 .89934 L
.93813 .89899 L
.92929 .89682 L
.91919 .89483 L
.90909 .89334 L
.89899 .89236 L
.88889 .89187 L
.87879 .89185 L
.86869 .8923 L
.85859 .89318 L
.84848 .8945 L
.83838 .89621 L
.82828 .8983 L
.8253 .89899 L
.81818 .90076 L
.80808 .90355 L
.79798 .90664 L
.79059 .90909 L
.78788 .91003 L
.77778 .91367 L
.76768 .91756 L
.76358 .91919 L
.75758 .92165 L
.74747 .92594 L
.73984 .92929 L
.73737 .9304 L
.72727 .935 L
.71786 .93939 L
.71717 .93972 L
.70707 .94455 L
.69697 .94946 L
.69689 .94949 L
.68687 .95443 L
.67677 .95944 L
.67646 .9596 L
.66667 .96449 L
.65657 .96954 L
.65625 .9697 L
.64646 .97458 L
.63636 .9796 L
.63596 .9798 L
.62626 .98458 L
.61616 .9895 L
.61535 .9899 L
.60606 .99436 L
.59596 .99914 L
.59412 1 L
1 1 L
F
0 g
1 .92537 m
.9899 .91974 L
.98886 .91919 L
.9798 .91462 L
.9697 .91002 L
.96752 .90909 L
.9596 .90593 L
.94949 .90237 L
.93939 .89934 L
.93813 .89899 L
.92929 .89682 L
.91919 .89483 L
.90909 .89334 L
.89899 .89236 L
.88889 .89187 L
.87879 .89185 L
.86869 .8923 L
.85859 .89318 L
.84848 .8945 L
.83838 .89621 L
.82828 .8983 L
.8253 .89899 L
.81818 .90076 L
.80808 .90355 L
.79798 .90664 L
.79059 .90909 L
.78788 .91003 L
.77778 .91367 L
.76768 .91756 L
.76358 .91919 L
.75758 .92165 L
.74747 .92594 L
.73984 .92929 L
.73737 .9304 L
.72727 .935 L
.71786 .93939 L
.71717 .93972 L
.70707 .94455 L
.69697 .94946 L
.69689 .94949 L
.68687 .95443 L
.67677 .95944 L
.67646 .9596 L
.66667 .96449 L
.65657 .96954 L
.65625 .9697 L
.64646 .97458 L
.63636 .9796 L
.63596 .9798 L
.62626 .98458 L
Mistroke
.61616 .9895 L
.61535 .9899 L
.60606 .99436 L
.59596 .99914 L
.59412 1 L
Mfstroke
.575 .425 .6 r
1 .05742 m
.99414 .06061 L
.9899 .06282 L
.9798 .06773 L
.97313 .07071 L
.9697 .07215 L
.9596 .07606 L
.94949 .07947 L
.94507 .08081 L
.93939 .08237 L
.92929 .08478 L
.91919 .08668 L
.90909 .0881 L
.89899 .08904 L
.88889 .08951 L
.87879 .08953 L
.86869 .0891 L
.85859 .08825 L
.84848 .087 L
.83838 .08536 L
.82828 .08336 L
.81818 .08101 L
.81735 .08081 L
.80808 .07835 L
.79798 .07538 L
.78788 .07214 L
.78365 .07071 L
.77778 .06865 L
.76768 .06492 L
.75758 .06099 L
.75663 .06061 L
.74747 .05687 L
.73737 .05258 L
.7326 .05051 L
.72727 .04815 L
.71717 .0436 L
.7102 .0404 L
.70707 .03895 L
.69697 .03422 L
.68872 .0303 L
.68687 .02942 L
.67677 .02457 L
.66771 .0202 L
.66667 .0197 L
.65657 .01481 L
.64682 .0101 L
.64646 .00993 L
.63636 .00507 L
.62626 .00024 L
.62575 0 L
1 0 L
F
0 g
1 .05742 m
.99414 .06061 L
.9899 .06282 L
.9798 .06773 L
.97313 .07071 L
.9697 .07215 L
.9596 .07606 L
.94949 .07947 L
.94507 .08081 L
.93939 .08237 L
.92929 .08478 L
.91919 .08668 L
.90909 .0881 L
.89899 .08904 L
.88889 .08951 L
.87879 .08953 L
.86869 .0891 L
.85859 .08825 L
.84848 .087 L
.83838 .08536 L
.82828 .08336 L
.81818 .08101 L
.81735 .08081 L
.80808 .07835 L
.79798 .07538 L
.78788 .07214 L
.78365 .07071 L
.77778 .06865 L
.76768 .06492 L
.75758 .06099 L
.75663 .06061 L
.74747 .05687 L
.73737 .05258 L
.7326 .05051 L
.72727 .04815 L
.71717 .0436 L
.7102 .0404 L
.70707 .03895 L
.69697 .03422 L
.68872 .0303 L
.68687 .02942 L
.67677 .02457 L
.66771 .0202 L
.66667 .0197 L
.65657 .01481 L
.64682 .0101 L
.64646 .00993 L
.63636 .00507 L
.62626 .00024 L
.62575 0 L
Mistroke
Mfstroke
.575 .425 .6 r
1 .94258 m
.99414 .93939 L
.9899 .93718 L
.9798 .93227 L
.97313 .92929 L
.9697 .92785 L
.9596 .92394 L
.94949 .92053 L
.94507 .91919 L
.93939 .91763 L
.92929 .91522 L
.91919 .91332 L
.90909 .9119 L
.89899 .91096 L
.88889 .91049 L
.87879 .91047 L
.86869 .9109 L
.85859 .91175 L
.84848 .913 L
.83838 .91464 L
.82828 .91664 L
.81818 .91899 L
.81735 .91919 L
.80808 .92165 L
.79798 .92462 L
.78788 .92786 L
.78365 .92929 L
.77778 .93135 L
.76768 .93508 L
.75758 .93901 L
.75663 .93939 L
.74747 .94313 L
.73737 .94742 L
.7326 .94949 L
.72727 .95185 L
.71717 .9564 L
.7102 .9596 L
.70707 .96105 L
.69697 .96578 L
.68872 .9697 L
.68687 .97058 L
.67677 .97543 L
.66771 .9798 L
.66667 .9803 L
.65657 .98519 L
.64682 .9899 L
.64646 .99007 L
.63636 .99493 L
.62626 .99976 L
.62575 1 L
1 1 L
F
0 g
1 .94258 m
.99414 .93939 L
.9899 .93718 L
.9798 .93227 L
.97313 .92929 L
.9697 .92785 L
.9596 .92394 L
.94949 .92053 L
.94507 .91919 L
.93939 .91763 L
.92929 .91522 L
.91919 .91332 L
.90909 .9119 L
.89899 .91096 L
.88889 .91049 L
.87879 .91047 L
.86869 .9109 L
.85859 .91175 L
.84848 .913 L
.83838 .91464 L
.82828 .91664 L
.81818 .91899 L
.81735 .91919 L
.80808 .92165 L
.79798 .92462 L
.78788 .92786 L
.78365 .92929 L
.77778 .93135 L
.76768 .93508 L
.75758 .93901 L
.75663 .93939 L
.74747 .94313 L
.73737 .94742 L
.7326 .94949 L
.72727 .95185 L
.71717 .9564 L
.7102 .9596 L
.70707 .96105 L
.69697 .96578 L
.68872 .9697 L
.68687 .97058 L
.67677 .97543 L
.66771 .9798 L
.66667 .9803 L
.65657 .98519 L
.64682 .9899 L
.64646 .99007 L
.63636 .99493 L
.62626 .99976 L
.62575 1 L
Mistroke
Mfstroke
.6 .4 .6 r
1 .04084 m
.9899 .04605 L
.98042 .05051 L
.9798 .05078 L
.9697 .05503 L
.9596 .05879 L
.95419 .06061 L
.94949 .06206 L
.93939 .06485 L
.92929 .06716 L
.91919 .06899 L
.90909 .07035 L
.90618 .07071 L
.89899 .07125 L
.88889 .0717 L
.87879 .07171 L
.86869 .0713 L
.86039 .07071 L
.85859 .07049 L
.84848 .06929 L
.83838 .06772 L
.82828 .0658 L
.81818 .06355 L
.80808 .06099 L
.80667 .06061 L
.79798 .05814 L
.78788 .05502 L
.77778 .05166 L
.77446 .05051 L
.76768 .04807 L
.75758 .04429 L
.7477 .0404 L
.74747 .04032 L
.73737 .03618 L
.72727 .03191 L
.72354 .0303 L
.71717 .02752 L
.70707 .02302 L
.70083 .0202 L
.69697 .01844 L
.68687 .0138 L
.6789 .0101 L
.67677 .00911 L
.66667 .00439 L
.65731 0 L
1 0 L
F
0 g
1 .04084 m
.9899 .04605 L
.98042 .05051 L
.9798 .05078 L
.9697 .05503 L
.9596 .05879 L
.95419 .06061 L
.94949 .06206 L
.93939 .06485 L
.92929 .06716 L
.91919 .06899 L
.90909 .07035 L
.90618 .07071 L
.89899 .07125 L
.88889 .0717 L
.87879 .07171 L
.86869 .0713 L
.86039 .07071 L
.85859 .07049 L
.84848 .06929 L
.83838 .06772 L
.82828 .0658 L
.81818 .06355 L
.80808 .06099 L
.80667 .06061 L
.79798 .05814 L
.78788 .05502 L
.77778 .05166 L
.77446 .05051 L
.76768 .04807 L
.75758 .04429 L
.7477 .0404 L
.74747 .04032 L
.73737 .03618 L
.72727 .03191 L
.72354 .0303 L
.71717 .02752 L
.70707 .02302 L
.70083 .0202 L
.69697 .01844 L
.68687 .0138 L
.6789 .0101 L
.67677 .00911 L
.66667 .00439 L
.65731 0 L
s
.6 .4 .6 r
1 .95916 m
.9899 .95395 L
.98042 .94949 L
.9798 .94922 L
.9697 .94497 L
.9596 .94121 L
.95419 .93939 L
.94949 .93794 L
.93939 .93515 L
.92929 .93284 L
.91919 .93101 L
.90909 .92965 L
.90618 .92929 L
.89899 .92875 L
.88889 .9283 L
.87879 .92829 L
.86869 .9287 L
.86039 .92929 L
.85859 .92951 L
.84848 .93071 L
.83838 .93228 L
.82828 .9342 L
.81818 .93645 L
.80808 .93901 L
.80667 .93939 L
.79798 .94186 L
.78788 .94498 L
.77778 .94834 L
.77446 .94949 L
.76768 .95193 L
.75758 .95571 L
.7477 .9596 L
.74747 .95968 L
.73737 .96382 L
.72727 .96809 L
.72354 .9697 L
.71717 .97248 L
.70707 .97698 L
.70083 .9798 L
.69697 .98156 L
.68687 .9862 L
.6789 .9899 L
.67677 .99089 L
.66667 .99561 L
.65731 1 L
1 1 L
F
0 g
1 .95916 m
.9899 .95395 L
.98042 .94949 L
.9798 .94922 L
.9697 .94497 L
.9596 .94121 L
.95419 .93939 L
.94949 .93794 L
.93939 .93515 L
.92929 .93284 L
.91919 .93101 L
.90909 .92965 L
.90618 .92929 L
.89899 .92875 L
.88889 .9283 L
.87879 .92829 L
.86869 .9287 L
.86039 .92929 L
.85859 .92951 L
.84848 .93071 L
.83838 .93228 L
.82828 .9342 L
.81818 .93645 L
.80808 .93901 L
.80667 .93939 L
.79798 .94186 L
.78788 .94498 L
.77778 .94834 L
.77446 .94949 L
.76768 .95193 L
.75758 .95571 L
.7477 .9596 L
.74747 .95968 L
.73737 .96382 L
.72727 .96809 L
.72354 .9697 L
.71717 .97248 L
.70707 .97698 L
.70083 .9798 L
.69697 .98156 L
.68687 .9862 L
.6789 .9899 L
.67677 .99089 L
.66667 .99561 L
.65731 1 L
s
.625 .375 .6 r
1 .02485 m
.9899 .02988 L
.98901 .0303 L
.9798 .03445 L
.9697 .03854 L
.96469 .0404 L
.9596 .04217 L
.94949 .04532 L
.93939 .04801 L
.92929 .05023 L
.92789 .05051 L
.91919 .05199 L
.90909 .0533 L
.89899 .05416 L
.88889 .05459 L
.87879 .05461 L
.86869 .05422 L
.85859 .05344 L
.84848 .05228 L
.83838 .05077 L
.83681 .05051 L
.82828 .04892 L
.81818 .04675 L
.80808 .04429 L
.79798 .04154 L
.79406 .0404 L
.78788 .03854 L
.77778 .03529 L
.76768 .03183 L
.76339 .0303 L
.75758 .02818 L
.74747 .02434 L
.73737 .02035 L
.73702 .0202 L
.72727 .01621 L
.71717 .01196 L
.71283 .0101 L
.70707 .00761 L
.69697 .00317 L
.68984 0 L
1 0 L
F
0 g
1 .02485 m
.9899 .02988 L
.98901 .0303 L
.9798 .03445 L
.9697 .03854 L
.96469 .0404 L
.9596 .04217 L
.94949 .04532 L
.93939 .04801 L
.92929 .05023 L
.92789 .05051 L
.91919 .05199 L
.90909 .0533 L
.89899 .05416 L
.88889 .05459 L
.87879 .05461 L
.86869 .05422 L
.85859 .05344 L
.84848 .05228 L
.83838 .05077 L
.83681 .05051 L
.82828 .04892 L
.81818 .04675 L
.80808 .04429 L
.79798 .04154 L
.79406 .0404 L
.78788 .03854 L
.77778 .03529 L
.76768 .03183 L
.76339 .0303 L
.75758 .02818 L
.74747 .02434 L
.73737 .02035 L
.73702 .0202 L
.72727 .01621 L
.71717 .01196 L
.71283 .0101 L
.70707 .00761 L
.69697 .00317 L
.68984 0 L
s
.625 .375 .6 r
1 .97515 m
.9899 .97012 L
.98901 .9697 L
.9798 .96555 L
.9697 .96146 L
.96469 .9596 L
.9596 .95783 L
.94949 .95468 L
.93939 .95199 L
.92929 .94977 L
.92789 .94949 L
.91919 .94801 L
.90909 .9467 L
.89899 .94584 L
.88889 .94541 L
.87879 .94539 L
.86869 .94578 L
.85859 .94656 L
.84848 .94772 L
.83838 .94923 L
.83681 .94949 L
.82828 .95108 L
.81818 .95325 L
.80808 .95571 L
.79798 .95846 L
.79406 .9596 L
.78788 .96146 L
.77778 .96471 L
.76768 .96817 L
.76339 .9697 L
.75758 .97182 L
.74747 .97566 L
.73737 .97965 L
.73702 .9798 L
.72727 .98379 L
.71717 .98804 L
.71283 .9899 L
.70707 .99239 L
.69697 .99683 L
.68984 1 L
1 1 L
F
0 g
1 .97515 m
.9899 .97012 L
.98901 .9697 L
.9798 .96555 L
.9697 .96146 L
.96469 .9596 L
.9596 .95783 L
.94949 .95468 L
.93939 .95199 L
.92929 .94977 L
.92789 .94949 L
.91919 .94801 L
.90909 .9467 L
.89899 .94584 L
.88889 .94541 L
.87879 .94539 L
.86869 .94578 L
.85859 .94656 L
.84848 .94772 L
.83838 .94923 L
.83681 .94949 L
.82828 .95108 L
.81818 .95325 L
.80808 .95571 L
.79798 .95846 L
.79406 .9596 L
.78788 .96146 L
.77778 .96471 L
.76768 .96817 L
.76339 .9697 L
.75758 .97182 L
.74747 .97566 L
.73737 .97965 L
.73702 .9798 L
.72727 .98379 L
.71717 .98804 L
.71283 .9899 L
.70707 .99239 L
.69697 .99683 L
.68984 1 L
s
.65 .35 .6 r
1 .00938 m
.99856 .0101 L
.9899 .01425 L
.9798 .01867 L
.97603 .0202 L
.9697 .02263 L
.9596 .02613 L
.94949 .02918 L
.94534 .0303 L
.93939 .03177 L
.92929 .03391 L
.91919 .03561 L
.90909 .03687 L
.89899 .03771 L
.88889 .03812 L
.87879 .03814 L
.86869 .03776 L
.85859 .03701 L
.84848 .03589 L
.83838 .03443 L
.82828 .03265 L
.81818 .03056 L
.81704 .0303 L
.80808 .02818 L
.79798 .02552 L
.78788 .02262 L
.78002 .0202 L
.77778 .01949 L
.76768 .01614 L
.75758 .0126 L
.75073 .0101 L
.74747 .00888 L
.73737 .00502 L
.72727 .00101 L
.72477 0 L
1 0 L
F
0 g
1 .00938 m
.99856 .0101 L
.9899 .01425 L
.9798 .01867 L
.97603 .0202 L
.9697 .02263 L
.9596 .02613 L
.94949 .02918 L
.94534 .0303 L
.93939 .03177 L
.92929 .03391 L
.91919 .03561 L
.90909 .03687 L
.89899 .03771 L
.88889 .03812 L
.87879 .03814 L
.86869 .03776 L
.85859 .03701 L
.84848 .03589 L
.83838 .03443 L
.82828 .03265 L
.81818 .03056 L
.81704 .0303 L
.80808 .02818 L
.79798 .02552 L
.78788 .02262 L
.78002 .0202 L
.77778 .01949 L
.76768 .01614 L
.75758 .0126 L
.75073 .0101 L
.74747 .00888 L
.73737 .00502 L
.72727 .00101 L
.72477 0 L
s
.65 .35 .6 r
1 .99062 m
.99856 .9899 L
.9899 .98575 L
.9798 .98133 L
.97603 .9798 L
.9697 .97737 L
.9596 .97387 L
.94949 .97082 L
.94534 .9697 L
.93939 .96823 L
.92929 .96609 L
.91919 .96439 L
.90909 .96313 L
.89899 .96229 L
.88889 .96188 L
.87879 .96186 L
.86869 .96224 L
.85859 .96299 L
.84848 .96411 L
.83838 .96557 L
.82828 .96735 L
.81818 .96944 L
.81704 .9697 L
.80808 .97182 L
.79798 .97448 L
.78788 .97738 L
.78002 .9798 L
.77778 .98051 L
.76768 .98386 L
.75758 .9874 L
.75073 .9899 L
.74747 .99112 L
.73737 .99498 L
.72727 .99899 L
.72477 1 L
1 1 L
F
0 g
1 .99062 m
.99856 .9899 L
.9899 .98575 L
.9798 .98133 L
.97603 .9798 L
.9697 .97737 L
.9596 .97387 L
.94949 .97082 L
.94534 .9697 L
.93939 .96823 L
.92929 .96609 L
.91919 .96439 L
.90909 .96313 L
.89899 .96229 L
.88889 .96188 L
.87879 .96186 L
.86869 .96224 L
.85859 .96299 L
.84848 .96411 L
.83838 .96557 L
.82828 .96735 L
.81818 .96944 L
.81704 .9697 L
.80808 .97182 L
.79798 .97448 L
.78788 .97738 L
.78002 .9798 L
.77778 .98051 L
.76768 .98386 L
.75758 .9874 L
.75073 .9899 L
.74747 .99112 L
.73737 .99498 L
.72727 .99899 L
.72477 1 L
s
.675 .325 .6 r
.98788 0 m
.9798 .00339 L
.9697 .00723 L
.96123 .0101 L
.9596 .01062 L
.94949 .01357 L
.93939 .01608 L
.92929 .01815 L
.91919 .01979 L
.91629 .0202 L
.90909 .02101 L
.89899 .02182 L
.88889 .02222 L
.87879 .02224 L
.86869 .02187 L
.85859 .02114 L
.84956 .0202 L
.84848 .02006 L
.83838 .01865 L
.82828 .01693 L
.81818 .0149 L
.80808 .0126 L
.79824 .0101 L
.79798 .01003 L
.78788 .00722 L
.77778 .00418 L
.76768 .00094 L
.76487 0 L
F
0 g
.98788 0 m
.9798 .00339 L
.9697 .00723 L
.96123 .0101 L
.9596 .01062 L
.94949 .01357 L
.93939 .01608 L
.92929 .01815 L
.91919 .01979 L
.91629 .0202 L
.90909 .02101 L
.89899 .02182 L
.88889 .02222 L
.87879 .02224 L
.86869 .02187 L
.85859 .02114 L
.84956 .0202 L
.84848 .02006 L
.83838 .01865 L
.82828 .01693 L
.81818 .0149 L
.80808 .0126 L
.79824 .0101 L
.79798 .01003 L
.78788 .00722 L
.77778 .00418 L
.76768 .00094 L
.76487 0 L
s
.675 .325 .6 r
.98788 1 m
.9798 .99661 L
.9697 .99277 L
.96123 .9899 L
.9596 .98938 L
.94949 .98643 L
.93939 .98392 L
.92929 .98185 L
.91919 .98021 L
.91629 .9798 L
.90909 .97899 L
.89899 .97818 L
.88889 .97778 L
.87879 .97776 L
.86869 .97813 L
.85859 .97886 L
.84956 .9798 L
.84848 .97994 L
.83838 .98135 L
.82828 .98307 L
.81818 .9851 L
.80808 .9874 L
.79824 .9899 L
.79798 .98997 L
.78788 .99278 L
.77778 .99582 L
.76768 .99906 L
.76487 1 L
F
0 g
.98788 1 m
.9798 .99661 L
.9697 .99277 L
.96123 .9899 L
.9596 .98938 L
.94949 .98643 L
.93939 .98392 L
.92929 .98185 L
.91919 .98021 L
.91629 .9798 L
.90909 .97899 L
.89899 .97818 L
.88889 .97778 L
.87879 .97776 L
.86869 .97813 L
.85859 .97886 L
.84956 .9798 L
.84848 .97994 L
.83838 .98135 L
.82828 .98307 L
.81818 .9851 L
.80808 .9874 L
.79824 .9899 L
.79798 .98997 L
.78788 .99278 L
.77778 .99582 L
.76768 .99906 L
.76487 1 L
s
.7 .3 .6 r
.94326 0 m
.93939 .00088 L
.92929 .00289 L
.91919 .00448 L
.90909 .00566 L
.89899 .00644 L
.88889 .00683 L
.87879 .00685 L
.86869 .00649 L
.85859 .00579 L
.84848 .00474 L
.83838 .00338 L
.82828 .0017 L
.81944 0 L
F
0 g
.94326 0 m
.93939 .00088 L
.92929 .00289 L
.91919 .00448 L
.90909 .00566 L
.89899 .00644 L
.88889 .00683 L
.87879 .00685 L
.86869 .00649 L
.85859 .00579 L
.84848 .00474 L
.83838 .00338 L
.82828 .0017 L
.81944 0 L
s
.7 .3 .6 r
.94326 1 m
.93939 .99912 L
.92929 .99711 L
.91919 .99552 L
.90909 .99434 L
.89899 .99356 L
.88889 .99317 L
.87879 .99315 L
.86869 .99351 L
.85859 .99421 L
.84848 .99526 L
.83838 .99662 L
.82828 .9983 L
.81944 1 L
F
0 g
.94326 1 m
.93939 .99912 L
.92929 .99711 L
.91919 .99552 L
.90909 .99434 L
.89899 .99356 L
.88889 .99317 L
.87879 .99315 L
.86869 .99351 L
.85859 .99421 L
.84848 .99526 L
.83838 .99662 L
.82828 .9983 L
.81944 1 L
s
.25 .75 .6 r
1 .62874 m
.99871 .62626 L
.99357 .61616 L
.9899 .60871 L
.98862 .60606 L
.98387 .59596 L
.9798 .58687 L
.97936 .58586 L
.97515 .57576 L
.97127 .56566 L
.9697 .56125 L
.9678 .55556 L
.96477 .54545 L
.96226 .53535 L
.96031 .52525 L
.9596 .52106 L
.95898 .51515 L
.95831 .50505 L
.95831 .49495 L
.95898 .48485 L
.9596 .47894 L
.96031 .47475 L
.96226 .46465 L
.96477 .45455 L
.9678 .44444 L
.9697 .43875 L
.97127 .43434 L
.97515 .42424 L
.97936 .41414 L
.9798 .41313 L
.98387 .40404 L
.98862 .39394 L
.9899 .39129 L
.99357 .38384 L
.99871 .37374 L
1 .37126 L
F
0 g
1 .62874 m
.99871 .62626 L
.99357 .61616 L
.9899 .60871 L
.98862 .60606 L
.98387 .59596 L
.9798 .58687 L
.97936 .58586 L
.97515 .57576 L
.97127 .56566 L
.9697 .56125 L
.9678 .55556 L
.96477 .54545 L
.96226 .53535 L
.96031 .52525 L
.9596 .52106 L
.95898 .51515 L
.95831 .50505 L
.95831 .49495 L
.95898 .48485 L
.9596 .47894 L
.96031 .47475 L
.96226 .46465 L
.96477 .45455 L
.9678 .44444 L
.9697 .43875 L
.97127 .43434 L
.97515 .42424 L
.97936 .41414 L
.9798 .41313 L
.98387 .40404 L
.98862 .39394 L
.9899 .39129 L
.99357 .38384 L
.99871 .37374 L
1 .37126 L
s
.225 .775 .6 r
1 .54045 m
.99922 .53535 L
.99797 .52525 L
.99712 .51515 L
.99669 .50505 L
.99669 .49495 L
.99712 .48485 L
.99797 .47475 L
.99922 .46465 L
1 .45955 L
F
0 g
1 .54045 m
.99922 .53535 L
.99797 .52525 L
.99712 .51515 L
.99669 .50505 L
.99669 .49495 L
.99712 .48485 L
.99797 .47475 L
.99922 .46465 L
1 .45955 L
s
1 .6 .2 r
.015 w
.3728 .875 m
.41661 .85007 L
.46066 .81573 L
.53425 .73511 L
.56441 .69069 L
.58977 .64434 L
.6074 .60259 L
.61838 .56665 L
.62215 .54947 L
.62375 .54028 L
.62495 .53181 L
.62575 .5247 L
.62639 .51716 L
.62665 .51292 L
.62683 .50892 L
.62693 .50535 L
.62699 .50149 L
.62699 .49933 L
.62697 .497 L
.62693 .49481 L
.62688 .4928 L
.62673 .48901 L
.62651 .48505 L
.6262 .48081 L
.62583 .47689 L
.62476 .4681 L
.62355 .46059 L
.62222 .45386 L
.61849 .43907 L
.61413 .42579 L
.60856 .41214 L
.59628 .38888 L
.57999 .36576 L
.55862 .34284 L
.53603 .32449 L
.5133 .31055 L
.49966 .30403 L
.48659 .29898 L
.47264 .29484 L
.46516 .29313 L
.45711 .29171 L
.44984 .29078 L
.44617 .29044 L
.44406 .29028 L
.44212 .29017 L
.43867 .29002 L
.43496 .28995 L
.43152 .28997 L
.42826 .29006 L
.42628 .29015 L
Mistroke
.42449 .29026 L
.42049 .29057 L
.41678 .29097 L
.41331 .29142 L
.40553 .29276 L
.39719 .2947 L
.38323 .29917 L
.3689 .30548 L
.35706 .31215 L
.34461 .32079 L
.32138 .3423 L
.30308 .36598 L
.2943 .38048 L
.28592 .39714 L
.27924 .41342 L
.27402 .42911 L
.27015 .44378 L
.26698 .45965 L
.2657 .46822 L
.26512 .47287 L
.26468 .47718 L
.26433 .48117 L
.26407 .48477 L
.26385 .48875 L
.26375 .49093 L
.26368 .49297 L
.2636 .49679 L
.26358 .49894 L
.26358 .50094 L
.26363 .50496 L
.26369 .5072 L
.26376 .50923 L
.26394 .51283 L
.2642 .51671 L
.26483 .52365 L
.26586 .53155 L
.26726 .53969 L
.27055 .55357 L
.27446 .56551 L
.27871 .57558 L
.28404 .58559 L
.29033 .5949 L
.2959 .60151 L
.30224 .60759 L
.30958 .61308 L
.3167 .61709 L
.3208 .61888 L
.3252 .62042 L
.329 .62144 L
.33321 .62227 L
Mistroke
.33558 .6226 L
.33776 .62282 L
.33896 .62291 L
.34027 .62297 L
.34151 .62301 L
.34266 .62302 L
.34382 .62301 L
.34492 .62299 L
.34696 .62288 L
.3481 .6228 L
.34915 .6227 L
.35152 .62242 L
.35549 .62175 L
.35916 .62092 L
.36741 .61831 L
.37524 .61488 L
.38335 .61031 L
.39773 .59942 L
.41148 .585 L
.42236 .56965 L
.43044 .55455 L
.43361 .54714 L
.4365 .53911 L
.43857 .53217 L
.44038 .52463 L
.44115 .52062 L
.44182 .51637 L
.44236 .51192 L
.44256 .50979 L
.44271 .50784 L
.44283 .5059 L
.44288 .5049 L
.44292 .50381 L
.44297 .50199 L
.44299 .50007 L
.44297 .49834 L
.44293 .4965 L
.44286 .49478 L
.44277 .49322 L
.44264 .49137 L
.44248 .48964 L
.44212 .48647 L
.44162 .48312 L
.44096 .47959 L
.43945 .47346 L
.43773 .46812 L
.43262 .45696 L
.42951 .45201 L
.42574 .44713 L
.42185 .44306 L
Mistroke
.41793 .43971 L
.41418 .43711 L
.41005 .43482 L
.40786 .43382 L
.40541 .43288 L
.40312 .43215 L
.40101 .4316 L
.39851 .4311 L
.39713 .43089 L
.39581 .43074 L
.39459 .43064 L
.39346 .43057 L
.39281 .43055 L
.39221 .43054 L
.39153 .43054 L
.39089 .43054 L
.38981 .43058 L
.38864 .43065 L
.38755 .43075 L
.38655 .43086 L
.38412 .43123 L
.38184 .43172 L
.37735 .43305 L
.37258 .43504 L
.36858 .43719 L
.3645 .43989 L
.35767 .44574 L
.35129 .45309 L
.34552 .46209 L
.34329 .46651 L
.34125 .4713 L
.33839 .48009 L
.33722 .48515 L
.33646 .48974 L
.33615 .49226 L
.33603 .49357 L
.33592 .49496 L
.33584 .49617 L
.33581 .49681 L
.33579 .49749 L
.33576 .49868 L
.33574 .49979 L
.33575 .50096 L
.33577 .50203 L
.33582 .5032 L
.33585 .50385 L
.33588 .50444 L
.33606 .50665 L
.3363 .50869 L
.33689 .51236 L
Mistroke
.33732 .51435 L
.33777 .51613 L
.33891 .5198 L
.34037 .52343 L
.3436 .52914 L
.34589 .53207 L
.34824 .53444 L
.35049 .53621 L
.35304 .53777 L
.35424 .53835 L
.35554 .53888 L
.35669 .53927 L
.35795 .53962 L
.35936 .53991 L
.36014 .54002 L
.36051 .54007 L
.36086 .5401 L
.36154 .54016 L
.36215 .54019 L
.36282 .5402 L
.36319 .5402 L
.36354 .54019 L
.36419 .54016 L
.3649 .54011 L
.36556 .54004 L
.36616 .53995 L
.36763 .53969 L
.36901 .53935 L
.37172 .53843 L
.37458 .53709 L
.37908 .53416 L
.38356 .53003 L
.38756 .52496 L
.39062 .5197 L
.39287 .51436 L
.39373 .51163 L
.39447 .50865 L
.39493 .50611 L
.39511 .5047 L
.39524 .50343 L
.39529 .50286 L
.39533 .50225 L
.39536 .5016 L
.39538 .501 L
.39539 .50044 L
.39539 .49992 L
.39539 .49936 L
.39537 .49876 L
.39536 .49841 L
.39534 .49808 L
Mistroke
.39531 .49747 L
.39526 .49683 L
.39519 .49614 L
.39504 .49491 L
.39486 .49381 L
.39433 .49137 L
.39358 .48897 L
.39278 .48702 L
.39192 .48534 L
.39087 .48367 L
.3896 .48206 L
.38824 .48068 L
.3869 .47959 L
.38555 .47873 L
.38407 .47801 L
.38342 .47776 L
.38271 .47753 L
.38209 .47737 L
.38141 .47723 L
.38104 .47717 L
.38065 .47712 L
.38043 .47709 L
.38024 .47708 L
.37985 .47705 L
.37949 .47703 L
.37911 .47703 L
.37875 .47703 L
.37841 .47705 L
.37807 .47707 L
.37775 .4771 L
.37715 .47718 L
.37651 .47729 L
.37582 .47745 L
.37458 .47782 L
.37345 .47827 L
.37097 .47962 L
.36967 .48056 L
.36854 .48152 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000900002@1000`40O003h00Oogooogoo@Woo003o
OoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo
@Woo003oOoooOom2Ool008Ioo`05JMll7c`O?1m:G`05Ool00e0O?Amco`04Ool01EdO?1ll7c`OBUl0
FWoo00=bGc`OD_l0Fgoo00=bGc`OD_l01Goo00=@7cdOLol017oo00EM7c`O?1ll7dYO05Eoo`03O_ll
7c`O00Ll7`03Jomoogoo055oo`03O_ll7c`O00Ll7`06JomoogooD1lm7g?o17oo00EM7c`O?1ll7dYO
00aoo`00QGoo00=M7c`O?1l00c`O00<mggooOol00Woo00=@7cdOLol00Woo00=oOdPO?1l013`O00<m
7g?oOol0Egoo00=bGc`OD_l0Fgoo00=bGc`OD_l01Goo00=@7cdOLol00Woo00=oOdPO?1l013`O00<m
7g?oOol0Dgoo00=@7c`O?1l01S`O00=[ogooOol0DWoo00=@7c`O?1l01S`O00I[ogooOom@7cdOLol2
Ool00gmoB1ll7`04?1l00cdOLomoo`09Ool008Aoo`04O_ll7c`OJol2Ool00e0O?1mBo`08Ool00fWO
?1mBo`03Ool00g9O?1m:G`1HOol00g9O?1mBo`1KOol00g9O?1mBo`0:Ool00fWO?1mBo`03Ool00g9O
?1m:G`1DOol00g9O?1mBo`1KOol00g9O?1mBo`0>Ool00fWO?1mBo`03Ool00g9O?1m:G`0:Ool008Ao
o`03JMll7emo00=oo`03Ogm87cgO00Qoo`03D1lm7g?o00Aoo`03D1lm7g?o05Moo`03LUll7e;o05]o
o`03LUll7e;o00Yoo`03D1lm7g?o00Aoo`03D1lm7g?o05Aoo`03JMll7e;o05]oo`03JMll7e;o00eo
o`03D1lm7g?o00Aoo`03D1lm7g?o00Uoo`00Q7oo00=@7cdOLol017oo00=M7c`OJol03Woo00=M7c`O
Jol0Egoo00=bGc`OD_l0Fgoo00=bGc`OD_l04Goo00=M7c`OJol0EGoo00=Ygc`OD_l0Fgoo00=Ygc`O
D_l04goo00=M7c`OJol02Goo0023Ool00gmoB1lmg`05Ool00fWO?1mOO`0>Ool00fWO?1m[o`1GOol0
0g9O?1mBo`1KOol00g9O?1mBo`0AOol00fWO?1m[o`1FOol00g9O?1m:G`1KOol00g9O?1m:G`0BOol0
0fWO?1m[o`09Ool008=oo`03Ogm87cgO00Eoo`03JMll7emo00ioo`03GAll7f_o05Moo`03LUll7e;o
05]oo`03LUll7e;o015oo`03GAll7f_o05Moo`03LUll7cgO05]oo`03LUll7cgO015oo`03GAll7f_o
00Uoo`00Pgoo00=oOdPO?Ml01Goo00=Ygc`OGgl01goo00=M7c`OBUl00goo00=noc`O?Ml0F7oo00=b
Gc`OD_l0Fgoo00=bGc`OD_l02Woo00=M7c`OBUl00goo00=noc`O?Ml0FGoo00=noc`OBUl0Fgoo00=n
oc`OBUl02Goo00=M7c`OBUl00goo00=noc`O?Ml02Woo0023Ool00gmoB1lmg`05Ool00fWO?1mOO`07
Ool00g9O?1ll7`05?1l00f_oOomoo`1FOol00g9O?1mBo`1KOol00g9O?1mBo`0:Ool00g9O?1ll7`05
?1l00f_oOomoo`1HOol00g9O?1mBo`1KOol00g9O?1mBo`08Ool00g9O?1ll7`05?1l00f_oOomoo`08
Ool008=oo`03Ogm87cgO00Eoo`03JMll7emo00Moo`04O_ll7e;oD1l2?1l00cdOLomoo`1HOol00g9O
?1mBo`1KOol00g9O?1mBo`0:Ool017ko?1mBoe0O0S`O00<m7g?oOol0Fgoo00=@7cgOOol0Fgoo00=@
7cgOOol01goo00Anoc`OD_m@7`8l7`03?Amcogoo00Yoo`00Q7oo00=@7cdOLol017oo00=M7c`OJol0
1goo00=oOdPOBUl0Fgoo00IM7c`OJombGc`OD_mHOol01UdO?1m[og9O?1mBo`Yoo`03Ogm87dYO065o
o`03GAll7f_o05]oo`03GAll7f_o00Moo`03Ogm87dYO011oo`00Q7oo00=Ygc`OGgl00goo00=oOdPO
?Ml02Goo00=@7cgOOol0FWoo00Inoc`O?1m97c`OD_mHOol01Wko?1ll7dTO?1mBo`]oo`03D1lmggoo
05Uoo`03D1lm7g?o00Aoo`03D1ll7f_o05Aoo`03D1lm7g?o00Aoo`03D1ll7f_o00Qoo`03D1lmggoo
00moo`00Q7oo00Anoc`O?1m[o`9oo`03D1ll7e;o00Uoo`03GAlm7g?o05aoo`04GAll7c`OD_mJOol0
15dO?1ll7e;o2goo00=M7cdOLol0FGoo00=M7c`OBUl00goo00=M7c`O?Ml0EGoo00=M7c`OBUl00goo
00=M7c`O?Ml02Goo00=M7cdOLol03goo0025Ool00fWO?1ll7`03?1l00cgOOomoo`08Ool00fWO?1ll
7`04?1l00e;oOomoo`1FOol00edO?1mBo`1KOol00edO?1mBo`0;Ool00fWO?1ll7`04?1l00e;oOomo
o`1BOol00gmoB1ll7`05?1l00f_oOomoo`1COol00gmoB1ll7`05?1l00f_oOomoo`07Ool00fWO?1ll
7`04?1l00e;oOomoo`08Ool008Ioo`05LUll7c`O?1lmg`0;Ool00g9O?1ll7`04?1l00e;oOomoo`1G
Ool00e0OD_moo`1KOol00e0OD_moo`0:Ool00g9O?1ll7`04?1l00e;oOomoo`1DOol01U0O?1ll7c`O
?AmcoeQoo`06D1ll7c`O?1lm7g?o2Woo00=bGc`O?1l013`O00=BogooOol027oo003oOoooOom2Ool0
0?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool00?mooomood9oo`00ogooogoo@Woo003oOooo
Oom2Ool00?mooomood9oo`00ogooogoo@Woo003oOoooOom2Ool002]oool00?l001Moo`00:goo0g`C
00D007PcN3=h<`0000=dD`03001`Lg1c009`L`03001/Lfac009/L`05001/TfbCK9<00003J;<00`00
I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`03G?<00`00GA=M4`02GA<00`00FC=I<`04FC<00`00
EE=ED`02EE<00`00DG=AL`04DG<00`00CG==L`04CG<00`00CI==T`04CI<00`00BK=9/`05BK<00`00
AM=5d`06AM<00`00@O=1l`08@O<00`00?O<ml`09?O<00`00?Q<n4`0<?Q<2000E>S<3000g=U<5000I
>S<2000C?Q<2000??O<2000?@O<2000>AM<2000?BK<2000=CI<2000@CG<2000CDG<3000JEE<5000d
FC<4000DEE<20006DG<00`00Oomoo`0EOol002]oo`=l4`05001h<gPcN3<00003M5<01@00L7=`Lg1c
000016ac00D006bCK9=/T`0000AX/`03001TdfCC009Td`03001Plf3c009Pl`03001Llecc009Ll`03
001M4edC009M4`03001I<eTc00AI<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00A=L`03
001=TdfC00A=T`030019/dVc00E9/`030015ddGC00I5d`030011ld7c00M1l`8000Xml`8000dn4`80
01<j<`@003lfD`@001Lj<`<0018n4`<000hml`8000m1l`8000i5d`8000m9/`8000e=T`<000m=L`<0
01=AL`@001]ED`D002UI<`H001EED`<000QAL`03001oogoo01Eoo`00:goo0W`C00D007PcN3=h<`00
00=dD`03001`Lg1c009`L`05001/LfacK7<00004K9<01@00J;=X/fRc000016CC00<0063cH?<00V3c
00<005ccG?<00ecc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c
00<004ecCG<014ec00<004fCCI<014fC00<004VcBK<01DVc00<004GCAM<01TGC00<0047c@O<01d7c
00<003gc?O<023gc0P0033hC0`0043Xc1@00AcIC0`005cXc0P004chC0P003Sgc0P003d7c0P003TGC
0P003dVc0P003TfC0P0044ec0`00555c0P007UEC2P005ETc2P006EEC0P002e5c00<007ooOol05Goo
000[Ool2O1<01@00N3=h<gPc00000gAC00D0071cL7=`L`0000A/L`05001/TfbCK9<00004J;<00`00
I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00
EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`04CG<00`00CI==T`04CI<00`00BK=9/`05BK<00`00
AM=5d`05AM<20008@O<2000:?O<00`00?Q<n4`0:?Q<2000?>S<4001?=U<4000E>S<3000B?Q<2000>
?O<2000?@O<2000>AM<2000?BK<2000>CI<3000@CG<2000DDG<4000TEE<E000PEE<3000=DG<00`00
Oomoo`0EOol002]oo`03O1<007Pc009h<`05001dDgACM5<00004L7<01@00K7=/Lfac00000fbC00<0
06RcJ;<00VRc00<006CCI=<00VCC00<0063cH?<00V3c00<005ccG?<00Ucc00<005dCGA<00UdC00<0
05TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<014ec00<004fCCI<014fC00<0
04VcBK<01DVc00<004GCAM<01DGC00<0047c@O<01d7c00<003gc?O<023gc0P002chC0P003cXc0P00
EcIC1@004cXc0`004ChC0P003Sgc0`003T7c0P003TGC0P003dVc0P003dfC0P0044ec0`005E5c1@00
DEEC0`00455c00<007ooOol05Goo000[Ool00g`C001h<`02N3<01@00M5=dDgAC00000g1c00D006ac
K7=/L`0000A/T`03001X/fRc009X/`05001TdfCCI=<00004H?<00`00G?=Ll`02G?<00`00GA=M4`02
GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`04CG<00`00CI==T`04
CI<00`00BK=9/`05BK<00`00AM=5d`05AM<00`00@O=1l`07@O<00`00?O<ml`07?O<2000;?Q<2000>
>S<3000P=U<J000T=U<4000B>S<2000A?Q<2000??O<2000>@O<2000>AM<2000?BK<2000?CI<2000A
CG<2000HDG<2001<EE<3000ADG<3000GOol002]oo`03001h<gPc009h<`04001dDgAC0004L7<01@00
K7=/Lfac00000fbC00<006RcJ;<00VRc00<006CCI=<00VCC00<0063cH?<00V3c00<005ccG?<00Ucc
00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<00dec
00<004fCCI<014fC00<004VcBK<01DVc00<004GCAM<01TGC00<0047c@O<01T7c00<003gc?O<01cgc
00<003hC?Q<02ChC0P003SXc0P006CIC2P006S9c2P007SIC0P004SXc0`0043hC0P003cgc0`003D7c
0P003TGC0P003dVc0P003dfC0P004Dec10005U5c1000@eEC1@004U5c0P000Tec00<007ooOol05Goo
000[Ool01@00N3=h<gPc00000gAC00D0071cL7=`L`0000=/L`03001/TfbC009/T`03001X/fRc009X
/`05001TdfCCI=<00004H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=E
D`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`04CI<00`00BK=9/`05BK<00`00AM=5
d`06AM<00`00@O=1l`06@O<00`00?O<ml`07?O<00`00?Q<n4`08?Q<2000>>S<2000F=U<5000^<W<5
000K=U<3000B>S<3000??Q<2000@?O<2000=@O<2000>AM<2000?BK<2000?CI<2000CCG<4000FDG<5
000iEE<5000EDG<20004CG<00`00Oomoo`0EOol002]oo`Ah<`05001dDgACM5<00003L7<01@00K7=/
Lfac000016bC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03001Llecc009Ll`03001M4edC009M
4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c00AAL`03001=Ldec00==L`03001=TdfC00==
T`030019/dVc00E9/`030015ddGC00I5d`030011ld7c00E1l`8000Pml`8000Xn4`03000j<cXc00`j
<`8001@fD`@003PbL`D001TfD`8001<j<`8000ln4`80010ml`030011ld7c00a1l`8000i5d`<000i9
/`8000m=T`8001E=L`8001UAL`D002iED`H001QAL`8000I=L`03001oogoo01Eoo`00:goo0gPc00D0
07ACM5=dD`0000=`L`05001/LfacK7<00004K9<00`00J;=X/`02J;<01@00I==TdfCC0000163c00<0
05ccG?<00Ucc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c00<0
04ecCG<00dec00<004fCCI<014fC00<004VcBK<014Vc00<004GCAM<01TGC00<0047c@O<01D7c00<0
03gc?O<01cgc00<003hC?Q<02ChC00<003Xc>S<02cXc0P0053IC0P00@C9c0`0063IC0P004cXc0P00
3chC0P003cgc0P003T7c0P003dGC0P003TVc00<004fCCI<03TfC0P005Dec0P00755c20008eEC0`00
755c0P0024ec00<007ooOol05Goo000[Ool3N3<01@00M5=dDgAC00000g1c00D006acK7=/L`0000A/
T`05001X/fRcJ;<00004I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I
<`02FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`04CI<00`00BK=9
/`05BK<00`00AM=5d`05AM<00`00@O=1l`05@O<00`00?O<ml`07?O<00`00?Q<n4`07?Q<3000<>S<2
000A=U<50016<W<7000C=U<3000B>S<2000??Q<3000>?O<3000=@O<2000>AM<2000>BK<3000?CI<4
000CCG<2000RDG<=000:EE<<000LDG<3000:CG<00`00Oomoo`0EOol002]oo`9h<`05001dDgACM5<0
0003L7<01@00K7=/Lfac000016bC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03001Llecc009L
l`03001M4edC009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00==
L`03001=TdfC00A=T`030019/dVc00E9/`030015ddGC00A5d`8000M1l`03000mlcgc00Lml`03000n
4chC00Ln4`03000j<cXc00/j<`8000lfD`@0058bL`8001@fD`<0014j<`<000ln4`8000lml`8000e1
l`8000i5d`8000m9/`<0011=T`8001==L`D002YAL`X002EAL`<000e=L`03001oogoo01Eoo`00:goo
0WPc00D007ACM5=dD`00009`L`03001/Lfac009/L`03001/TfbC009/T`05001X/fRcJ;<00004I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<014Vc0P001TGC00<0047c@O<01T7c00<0
03gc?O<01Sgc0P0023hC0P0033Xc0P003cIC0P00F39c10004cIC0P004SXc0P003chC0P003cgc0P00
3D7c0P003TGC0`003dVc0P0044fC0`005Dec1@00DU5c0P003dec0P005goo000[Ool00gPc001dD`02
M5<01@00L7=`Lg1c00000fac00<006bCK9<00VbC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03
001Llecc009Ll`03001M4edC009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c00=AL`03
001=Ldec00==L`03001=TdfC00==T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c00I1l`03
000mlcgc00Hml`03000n4chC00Ln4`03000j<cXc00/j<`03000fDcIC00dfD`8001/bLb@001lbL`<0
018fD`<0014j<`8000ln4`03000mlcgc00hml`030011ld7c00a1l`8000m5d`8000m9/`80015=T`80
01Q=L`8004aAL`@000m=L`800003CI<007oo01Ioo`00:goo00Eh<`00M5=dD`0000=`L`03001/Lfac
009/L`03001/TfbC009/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC
00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<00dec00<004fCCI<014fC
00<004VcBK<00dVc00<004GCAM<01DGC00<0047c@O<01T7c00<003gc?O<01Sgc00<003hC?Q<01chC
00<003Xc>S<02SXc0P003SIC0P006C9c100092ic10007S9c0P004cIC0P004CXc00<003hC?Q<03ChC
0P003cgc0P003T7c0P003dGC0P003dVc0P004DfC0`005dec0`00AU5c0`004Dec0P000dfC00<007oo
Ool05Goo000[Ool01@00M5=dDgAC00000g1c00D006acK7=/L`0000A/T`05001X/fRcJ;<00004I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00UEC00<0055cDG<0
0e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<0
1T7c00<003gc?O<01Sgc00<003hC?Q<01chC00<003Xc>S<023Xc0`003CIC0`005C9c1P00;2ic1P00
6S9c10004CIC10003SXc0`003ShC10003Cgc0P003T7c0P003dGC00<004VcBK<03TVc0P004TfC1@00
5Dec1P00>U5c1P004dec0P0014fC00<007ooOol05Goo000[Ool4M5<01@00L7=`Lg1c00000Vac00<0
06bCK9<00VbC00<006RcJ;<00VRc00D006CCI==Td`0000=Pl`03001Llecc009Ll`03001M4edC009M
4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00A=
T`030019/dVc00A9/`030015ddGC00A5d`030011ld7c00I1l`03000mlcgc00Hml`03000n4chC00Ln
4`03000j<cXc00Pj<`03000fDcIC00`fD`8001<bL`D003P^L`D001TbL`8001<fD`8000lj<`<000ln
4`8000dml`8000i1l`<000e5d`800119/`8001E=T`8001U=L`D0039AL`<001M=L`8000I=T`03001o
ogoo01Eoo`00:goo0gAC00D0071cL7=`L`0000=/L`05001/TfbCK9<00004J;<00`00I==Td`02I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0U5c00<004ecCG<014ec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<0
1T7c00<003gc?O<01Cgc0P0023hC0P002CXc0P003CIC0P004c9c0P00@Ric1@005S9c0`004SIC0`00
3cXc0P003chC0P003Cgc0P003d7c0P003DGC0`003dVc0`0054fC0`006dec1@00955c2@005dec0`00
24fC00<007ooOol05Goo000[Ool3M5<01@00L7=`Lg1c00000Vac00<006bCK9<00VbC00D006RcJ;=X
/`0000ATd`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`02EE<0
0`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5d`04AM<0
0`00@O=1l`05@O<20007?O<00`00?Q<n4`07?Q<00`00>S<j<`08>S<00`00=U<fD`0<=U<00`00<W<b
L`0?<W<40019;W<4000E<W<2000C=U<2000?>S<2000??Q<00`00?O<ml`0<?O<00`00@O=1l`0>@O<2
000>AM<2000@BK<3000DCI<2000NCG<@000:DG<:000NCG<2000;CI<00`00Oomoo`0EOol002]oo`9d
D`05001`Lg1cL7<00003K7<01@00K9=/TfbC000016Rc00<006CCI=<00VCC00D0063cH?=Pl`0000AL
l`03001M4edC009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009AL`03001=Ldec00==
L`03001=TdfC00==T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c00A1l`03000mlcgc00Hm
l`03000n4chC00Hn4`8000Xj<`03000fDcIC00/fD`8000lbL`<0054^L`8001DbL`<0018fD`8000lj
<`8000hn4`8000dml`800111l`8000i5d`800159/`8001A=T`<002]=L`X002E=L`<000e=T`03001o
ogoo01Eoo`00:goo0WAC00D0071cL7=`L`0000=/L`05001/TfbCK9<00003J;<00`00I==Td`02I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0U5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<01DGC00<0047c@O<0
147c00<003gc?O<01Sgc00<003hC?Q<01ShC00<003Xc>S<023Xc0P0033IC0P003c9c0P00ERic1000
539c0P004SIC00<003Xc>S<03SXc00<003hC?Q<03ChC00<003gc?O<033gc0`003d7c0P003TGC0`00
44Vc0`0054fC1P00DTec0P0044fC00<007ooOol05Goo000[Ool00gAC001`L`02L7<01@00K7=/Lfac
00000fbC00<006RcJ;<00VRc00D006CCI==Td`0000APl`05001LleccG?<00004GA<00`00FC=I<`02
FC<00`00EE=ED`03EE<00`00DG=AL`02DG<00`00CG==L`03CG<00`00CI==T`04CI<00`00BK=9/`03
BK<00`00AM=5d`05AM<00`00@O=1l`04@O<00`00?O<ml`06?O<00`00?Q<n4`06?Q<00`00>S<j<`07
>S<2000==U<00`00<W<bL`0<<W<3000O;W<J000S;W<2000D<W<3000@=U<2000?>S<2000>?Q<3000>
?O<2000?@O<2000?AM<2000ABK<2000HCI<2001<CG<4000@CI<3000GOol002]oo`05M5<0071cL7<0
0004K7<01@00K9=/TfbC00000fRc00<006CCI=<00VCC00D0063cH?=Pl`0000ALl`03001M4edC009M
4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00==
T`030019/dVc00=9/`030015ddGC00E5d`030011ld7c00A1l`03000mlcgc00Hml`03000n4chC00Hn
4`03000j<cXc00Lj<`03000fDcIC00/fD`8000dbL`8001P^L`X001X^T`X001/^L`@001<bL`<000lf
D`<000hj<`8000ln4`8000hml`8000m1l`8000m5d`800159/`<001M=T`@004A=L`@0019=T`800099
/`03001oogoo01Eoo`00:goo00D0071cL7=`L`0000=/L`05001/TfbCK9<00004J;<01@00I==TdfCC
0000163c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c00=AL`03
001=Ldec00==L`03001=TdfC00A=T`030019/dVc00=9/`030015ddGC00A5d`030011ld7c00A1l`03
000mlcgc00Hml`03000n4chC00Hn4`03000j<cXc00Lj<`03000fDcIC00XfD`8000dbL`8001H^L`@0
02h^T`D001X^L`@0018bL`80010fD`8000hj<`8000ln4`8000hml`030011ld7c00i1l`8000m5d`80
0199/`8001U=T`D003e=L`8001A=T`8000A9/`03001oogoo01Eoo`00:goo0g1c00<006acK7<00Vac
00D006bCK9=/T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00
FC=I<`02FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00CG==L`04CG<00`00CI==T`03CI<00`00
BK=9/`03BK<00`00AM=5d`04AM<00`00@O=1l`04@O<00`00?O<ml`05?O<20007?Q<20008>S<2000;
=U<2000=<W<2000E;W<3000g;Y<4000J;W<2000B<W<2000@=U<2000>>S<2000??Q<2000=?O<2000@
@O<3000>AM<2000BBK<3000KCI<4000eCG<4000DCI<20006BK<00`00Oomoo`0EOol002]oo`=`L`05
001/LfacK7<00003K9<00`00J;=X/`02J;<01@00I==TdfCC0000163c00D005ccG?=Ll`0000AM4`03
001I<eTc009I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00==T`03
0019/dVc00=9/`030015ddGC00A5d`030011ld7c00A1l`03000mlcgc00Dml`03000n4chC00Hn4`03
000j<cXc00Lj<`03000fDcIC00TfD`8000dbL`8001<^L`@003h^T`D001L^L`<0014bL`<000lfD`80
00hj<`<000hn4`03000mlcgc00`ml`800111l`8000m5d`<00199/`<001a=T`H002U=L`H001E=T`<0
00Q9/`03001oogoo01Eoo`00:goo0g1c00@006acK7<000=/T`03001X/fRc009X/`05001TdfCCI=<0
0004H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00e5c00<0
04ecCG<00dec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<014GC00<0047c@O<0147c00<0
03gc?O<01Cgc00<003hC?Q<01ShC00<003Xc>S<01cXc00<003IC=U<023IC0P003C9c0P004Bic1000
AbjC0`005bic0P004S9c0P003cIC0P003cXc0P003ChC0P003Sgc0`003d7c0P0044GC0`004TVc0`00
7dfC2P005Dec2P006DfC0P002dVc00<007ooOol05Goo000[Ool2L7<01@00K7=/Lfac00000fbC00D0
06RcJ;=X/`0000ATd`03001Plf3c009Pl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=E
D`02EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`04BK<00`00AM=5
d`03AM<00`00@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`07?Q<00`00>S<j<`06>S<00`00=U<f
D`08=U<00`00<W<bL`0;<W<2000A;W<2001>;Y<4000E;W<3000A<W<2000?=U<00`00>S<j<`0>>S<2
000=?Q<2000??O<2000?@O<2000AAM<2000CBK<4000UCI<E000PCI<3000=BK<00`00Oomoo`0EOol0
02]oo`9`L`04001/Lfac0004K9<01@00J;=X/fRc00000fCC00<0063cH?<00V3c00D005ccG?=Ll`00
00AM4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC
00==T`030019/dVc00=9/`030015ddGC00A5d`030011ld7c00A1l`03000mlcgc00@ml`03000n4chC
00Ln4`03000j<cXc00Dj<`8000XfD`03000bLc9c00XbL`80010^L`<005@^T`@001@^L`80014bL`80
00hfD`80010j<`8000dn4`8000lml`8000m1l`800155d`8001E9/`<005E=T`800119/`03001oogoo
01Eoo`00:goo00=`L`00K7<00Vac00D006bCK9=/T`0000=X/`03001TdfCC009Td`03001Plf3c009P
l`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==
L`02CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`04AM<00`00@O=1l`04@O<00`00?O<m
l`04?O<00`00?Q<n4`06?Q<20007>S<00`00=U<fD`08=U<2000<<W<00`00;W<^L`0>;W<2000S;Y<@
000X;Y<2000D;W<2000A<W<2000>=U<2000@>S<00`00?Q<n4`0<?Q<2000??O<2000?@O<2000AAM<2
000FBK<3001?CI<3000ABK<2000GOol002]oo`03L7<006ac009/L`05001/TfbCK9<00003J;<01@00
I==TdfCC0000163c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC009ED`03001ALe5c
00=AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00A5d`030011ld7c
00A1l`03000mlcgc00Dml`03000n4chC00Dn4`03000j<cXc00Hj<`03000fDcIC00PfD`03000bLc9c
00XbL`8000h^L`<001/^T`X0010Z/`X0020^T`<001<^L`80014bL`8000hfD`<000hj<`8000hn4`80
00lml`030011ld7c00i1l`800155d`@001E9/`D004Q=T`800199/`800003AM<007oo01Ioo`00:goo
00D006acK7=/L`0000=/T`03001X/fRc009X/`04001TdfCC0005H?<01@00G?=Llecc000015dC00D0
05TcFC=I<`0000AED`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc00=9
/`030015ddGC00A5d`030011ld7c00A1l`03000mlcgc00Dml`03000n4chC00Dn4`03000j<cXc00Hj
<`03000fDcIC00PfD`03000bLc9c00TbL`8000h^L`8001T^T`D002@Z/`D001h^T`8001<^L`80014b
L`8000lfD`8000hj<`8000hn4`03000mlcgc00dml`800111l`8001=5d`8001Q9/`80049=T`@00199
/`8000=5d`03001oogoo01Eoo`00:goo00D006acK7=/L`0000=/T`05001X/fRcJ;<00003I=<00`00
H?=Pl`02H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055cDG<00U5c
00<004ecCG<00Tec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c
00<003gc?O<01Cgc00<003hC?Q<01ChC00<003Xc>S<01SXc00<003IC=U<023IC00<0039c<W<0239c
0P003Ric0P005RjC1@00;RZc1@006bjC0`004Ric0`00439c0P003cIC0P003SXc00<003hC?Q<033hC
0P003cgc0P00447c0P004dGC0`005dVc1000>DfC1@0054Vc0P001DGC00<007ooOol05Goo000[Ool3
K7<01@00K9=/TfbC000016Rc00@006CCI=<000EPl`05001LleccG?<00003GA<00`00FC=I<`02FC<0
0`00EE=ED`02EE<00`00DG=AL`02DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`03BK<0
0`00AM=5d`04AM<00`00@O=1l`03@O<00`00?O<ml`05?O<00`00?Q<n4`05?Q<00`00>S<j<`06>S<0
0`00=U<fD`07=U<2000:<W<00`00;W<^L`0<;W<2000C;Y<5000h:[<5000I;Y<2000C;W<2000@<W<2
000?=U<2000=>S<2000>?Q<3000>?O<2000@@O<2000DAM<2000IBK<5000^CI<6000GBK<20007AM<0
0`00Oomoo`0EOol002]oo`=/L`05001/TfbCK9<00003J;<01@00I==TdfCC0000163c00<005ccG?<0
0Ucc00D005dCGA=M4`0000AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=
TdfC00A=T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00A1l`03000mlcgc00@ml`03000n
4chC00Dn4`03000j<cXc00Hj<`03000fDcIC00LfD`03000bLc9c00PbL`8000d^L`8001<^T`80048Z
/`D001H^T`<0018^L`80010bL`8000lfD`8000dj<`8000ln4`8000hml`800111l`8001A5d`<001]9
/`D002A=T`D001]9/`8000U5d`03001oogoo01Eoo`00:goo0Vac00D006bCK9=/T`0000AX/`05001T
dfCCI=<00003H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055cDG<0
0U5c00<004ecCG<00dec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0
147c00<003gc?O<013gc00<003hC?Q<01ChC00<003Xc>S<01SXc00<003IC=U<01SIC0P002S9c00<0
02ic;W<02bic0P004RjC0`00BBZc0`005RjC0`004Bic0P00439c0P003cIC00<003Xc>S<033Xc0P00
3chC00<003gc?O<03Cgc0P00447c0`0054GC0P007TVc2`0054fC1@007TVc0P002dGC00<007ooOol0
5Goo000[Ool2K7<01@00K9=/TfbC00000fRc00D006CCI==Td`0000APl`05001LleccG?<00004GA<0
0`00FC=I<`02FC<01@00EE=EDeEC0000155c00<004ecCG<00dec00<004fCCI<00dfC00<004VcBK<0
0dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<01ChC00<003Xc>S<0
1SXc00<003IC=U<01SIC00<0039c<W<02C9c00<002ic;W<02bic00<002jC;Y<042jC0P00CbZc0`00
5RjC0P004Bic0P003c9c0P003cIC0P003SXc00<003hC?Q<03ChC0P003cgc0P004D7c0P0054GC0`00
9TVc500084Vc0`003DGC00<007ooOol05Goo000[Ool00fac001/T`02K9<01@00J;=X/fRc000016CC
00D0063cH?=Pl`0000ALl`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00
CG==L`03CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`05@O<00`00
?O<ml`03?O<00`00?Q<n4`05?Q<00`00>S<j<`06>S<00`00=U<fD`06=U<00`00<W<bL`09<W<00`00
;W<^L`0:;W<2000@;Y<3001D:[<4000D;Y<2000A;W<2000?<W<2000?=U<2000=>S<2000??Q<2000?
?O<2000A@O<3000DAM<3001EBK<2000@AM<00`00Oomoo`0EOol002]oo`03K7<006bC009/T`05001X
/fRcJ;<00003I=<00`00H?=Pl`02H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00D005ECEE=E
D`0000AAL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5d`030011
ld7c00A1l`03000mlcgc00@ml`03000n4chC00@n4`03000j<cXc00Hj<`03000fDcIC00HfD`03000b
Lc9c00PbL`8000/^L`80010^T`8001hZ/aX002<Z/`8001@^T`<0010^L`8000lbL`8000lfD`03000j
<cXc00`j<`8000ln4`8000lml`800191l`8001E5d`@004i9/`<00115d`<001Moo`00:goo00D006bC
K9=/T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<01@00GA=M4edC000015Tc00<005EC
EE<00UEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<00TfC00<004VcBK<00dVc00<004GC
AM<00dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<013hC00<003Xc>S<01SXc00<003IC
=U<01SIC00<0039c<W<0239c00<002ic;W<02Bic0P003bjC0`006bZc1@006RKC1@0082Zc0`0052jC
0P0042ic0P003c9c0P003SIC0P003SXc0P003chC0P003cgc0P004T7c0`005TGC1000B4Vc0P004DGC
0P000T7c00<007ooOol05Goo000[Ool01@00K9=/TfbC00000fRc00D006CCI==Td`0000APl`05001L
leccG?<00004GA<01000FC=I<eTc0P000eEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<0
0TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<0
13hC00<003Xc>S<01SXc00<003IC=U<01SIC00<0039c<W<01c9c0P002Ric0P003RjC0`0062Zc1P00
92KC1`0072Zc0`004bjC0P0042ic0P003c9c0P003SIC0P003SXc0P003chC0P003cgc0`004T7c0P00
64GC0`00@4Vc1@004TGC00<0047c@O<00T7c00<007ooOol05Goo000[Ool01@00K9=/TfbC00000fRc
00D006CCI==Td`0000=Pl`03001Llecc009Ll`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00
DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`04BK<00`00AM=5d`03AM<00`00
@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`04?Q<00`00>S<j<`06>S<00`00=U<fD`06=U<00`00
<W<bL`07<W<00`00;W<^L`09;W<00`00;Y<^T`0=;Y<00`00:[<Z/`0E:[<4000a9]<3000L:[<2000C
;Y<2000@;W<2000?<W<2000>=U<00`00>S<j<`0=>S<2000??Q<00`00?O<ml`0??O<00`00@O=1l`0A
@O<3000HAM<3000iBK<4000EAM<20005@O<00`00Oomoo`0EOol002]oo`=/T`05001X/fRcJ;<00003
I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<01@00GA=M4edC00000eTc00<005ECEE<00UEC00<0055c
DG<00U5c00<004ecCG<00dec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c
@O<00d7c00<003gc?O<01Cgc00<003hC?Q<013hC00<003Xc>S<01CXc00<003IC=U<01SIC00<0039c
<W<01c9c00<002ic;W<02Bic00<002jC;Y<032jC0P004bZc1@00>2KC1@006BZc0P004bjC0P0042ic
00<0039c<W<03S9c0P003CIC0P003cXc0P003ShC0P0043gc0P00547c0P006DGC1@00;TVc1P005dGC
0P001d7c00<007ooOol05Goo000[Ool3K9<01@00J;=X/fRc00000fCC00D0063cH?=Pl`0000ALl`05
001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02
CI<00`00BK=9/`04BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`04
?Q<00`00>S<j<`05>S<00`00=U<fD`06=U<00`00<W<bL`07<W<00`00;W<^L`08;W<2000=;Y<2000C
:[<200129]<4000G:[<3000B;Y<2000?;W<2000@<W<2000==U<2000?>S<2000>?Q<2000@?O<2000D
@O<3000KAM<5000TBK<5000KAM<20009@O<00`00Oomoo`0EOol002]oo`=/T`05001X/fRcJ;<00002
I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055c
DG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c
@O<00d7c00<003gc?O<013gc00<003hC?Q<013hC00<003Xc>S<01SXc00<003IC=U<01CIC00<0039c
<W<01c9c00<002ic;W<022ic00<002jC;Y<032jC00<002Zc:[<04BZc0P00B2KC0`005bZc0P004RjC
0P003bic0P00439c00<003IC=U<033IC00<003Xc>S<03SXc00<003hC?Q<03ChC0P0043gc0P005D7c
0P007TGC2P005DVc1@007TGC0P002d7c00<007ooOol05Goo000[Ool2K9<01@00J;=X/fRc00000fCC
00D0063cH?=Pl`0000ALl`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`04BK<00`00AM=5d`03AM<00`00@O=1l`02@O<00`00
?O<ml`05?O<00`00?Q<n4`04?Q<00`00>S<j<`05>S<00`00=U<fD`05=U<00`00<W<bL`07<W<00`00
;W<^L`08;W<00`00;Y<^T`0;;Y<2000B:[<2001=9]<3000F:[<2000B;Y<2000?;W<00`00<W<bL`0>
<W<00`00=U<fD`0<=U<2000?>S<2000??Q<2000@?O<2000E@O<2000VAM<E000QAM<2000=@O<00`00
Oomoo`0EOol002]oo`9/T`05001X/fRcJ;<00003I=<01@00H?=Plf3c000015cc00D005dCGA=M4`00
00AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc
00=9/`030015ddGC00=5d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00@n4`03000j<cXc
00@j<`8000LfD`03000bLc9c00LbL`03000^Lbic00P^L`03000^TbjC00/^T`03000Z/bZc00hZ/`@0
058Vd`D001<Z/`80018^T`8000h^L`8000lbL`8000hfD`03000j<cXc00hj<`8000ln4`03000mlcgc
00lml`@001=1l`<005M5d`8000m1l`03001oogoo01Eoo`00:goo00=/T`00J;<00VRc00<006CCI=<0
0VCC00D0063cH?=Pl`0000=Ll`03001M4edC009M4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<0
0`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<0
0`00?O<ml`04?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`06=U<00`00<W<bL`07<W<0
0`00;W<^L`08;W<00`00;Y<^T`0:;Y<2000?:[<2000S9]<@000X9]<2000C:[<3000A;Y<2000>;W<2
000?<W<2000==U<2000@>S<2000>?Q<2000C?O<2000D@O<5001>AM<4000?@O<3000GOol002]oo`03
K9<006Rc009X/`05001TdfCCI=<00003H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005EC
EE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC00==T`030019/dVc0099/`030015ddGC00A5d`03
0011ld7c00=1l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00@j<`03000fDcIC00HfD`03
000bLc9c00LbL`03000^Lbic00L^L`8000/^T`8000hZ/`<001/Vd`X0010Rl`X0020Vd`<001<Z/`80
014^T`8000h^L`03000bLc9c00hbL`8000dfD`80010j<`8000hn4`8001<ml`8001M1l`@004Q5d`80
0151l`80008ml`03001oogoo01Eoo`00:goo00D006RcJ;=X/`0000ATd`05001Plf3cH?<00003G?<0
0`00GA=M4`02GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<0
0TfC00<004VcBK<00TVc00<004GCAM<014GC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<0
13hC00<003Xc>S<01CXc00<003IC=U<01SIC00<0039c<W<01S9c00<002ic;W<01bic00<002jC;Y<0
2BjC0P003RZc0P006BKC1@0092;c1@007RKC0P004bZc0P004BjC00<002ic;W<032ic0P00439c0P00
3CIC0P0043Xc00<003hC?Q<03ChC0P004cgc0P006D7c0P00@dGC0`004T7c00<003gc?O<00Sgc00<0
07ooOol05Goo000[Ool01@00J;=X/fRc00000fCC00D0063cH?=Pl`0000ALl`05001M4edCGA<00004
FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GC
AM<014GC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<00chC00<003Xc>S<01CXc00<003IC
=U<01SIC00<0039c<W<01S9c00<002ic;W<01bic00<002jC;Y<022jC0P003RZc0P0062KC0`00;R;c
100072KC0P004bZc0P0042jC0P003Ric0P00439c00<003IC=U<033IC00<003Xc>S<03SXc0P003chC
0P004cgc0P006D7c0`00?TGC0P00547c00<003gc?O<00cgc00<007ooOol05Goo000[Ool4J;<01@00
I==TdfCC00000f3c00D005ccG?=Ll`0000AM4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`02AM<20005@O<00`00?O<ml`03
?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`06=U<00`00<W<bL`06<W<00`00;W<^L`07
;W<00`00;Y<^T`09;Y<00`00:[<Z/`0<:[<00`009]<Vd`0E9]<3000e8_<5000I9]<3000B:[<2000@
;Y<2000>;W<2000?<W<00`00=U<fD`0<=U<2000@>S<00`00?Q<n4`0>?Q<3000B?O<2000J@O<6000c
AM<5000D@O<20006?O<00`00Oomoo`0EOol002]oo`AX/`05001TdfCCI=<00002H?<01@00G?=Llecc
000015dC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`03
0019/dVc00=9/`030015ddGC0095d`030011ld7c00A1l`03000mlcgc00<ml`03000n4chC00@n4`03
000j<cXc00@j<`03000fDcIC00HfD`03000bLc9c00HbL`03000^Lbic00H^L`8000X^T`8000dZ/`80
01<Vd`D003dRl`8001XVd`80018Z/`<000l^T`8000h^L`8000hbL`8000hfD`8000lj<`80014n4`80
018ml`8001i1l`D002U5d`D001M1l`8000Pml`03001oogoo01Eoo`00:goo0fRc00D006CCI==Td`00
00=Pl`05001LleccG?<00004GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec
00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<013gc
00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<01SIC00<0039c<W<01S9c00<002ic;W<01Ric
00<002jC;Y<022jC0P003BZc0P004BKC1000A2;c100062KC0P004bZc0P003bjC0P003Ric0P003S9c
0P003SIC0P003cXc0P004ChC0P004Sgc0`00847c1@007dGC1@006T7c0P002Sgc00<007ooOol05Goo
000[Ool3J;<01@00I==TdfCC00000V3c00<005ccG?<00Ucc00D005dCGA=M4`0000AI<`05001EDeEC
EE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`02AM<00`00
@O=1l`03@O<00`00?O<ml`04?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`06=U<00`00
<W<bL`06<W<00`00;W<^L`06;W<00`00;Y<^T`08;Y<00`00:[<Z/`0<:[<00`009]<Vd`0?9]<2001<
8_<5000E9]<2000C:[<2000?;Y<00`00;W<^L`0=;W<00`00<W<bL`0=<W<2000>=U<2000?>S<2000A
?Q<2000C?O<2000S@O<O000M@O<2000<?O<00`00Oomoo`0EOol002]oo`9X/`05001TdfCCI=<00003
H?<01@00G?=Llecc000015dC00D005TcFC=I<`0000AED`03001ALe5c009AL`03001=Ldec009=L`03
001=TdfC009=T`030019/dVc00=9/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<ml`03
000n4chC00@n4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00HbL`03000^Lbic00H^L`03
000^TbjC00P^T`03000Z/bZc00/Z/`80010Vd`8005<Rl`8001DVd`8001<Z/`03000^TbjC00d^T`80
00h^L`8000lbL`8000hfD`8000lj<`03000n4chC010n4`8001<ml`<005Y1l`8000hml`03001oogoo
01Eoo`00:goo0VRc00D006CCI==Td`0000=Pl`05001LleccG?<00003GA<00`00FC=I<`02FC<01@00
EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00TGC
00<0047c@O<00d7c00<003gc?O<013gc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<01CIC
00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<022jC00<002Zc:[<02bZc00<002KC9]<03bKC
00<002;c8_<0EB;c0`0052KC0P004RZc00<002jC;Y<03RjC00<002ic;W<03Bic0P003c9c00<003IC
=U<03CIC00<003Xc>S<03CXc0P004ShC0P0053gc1P00DT7c0P0043gc00<007ooOol05Goo000HOol0
1EdO?1ll7c`O?Ml03Woo00=X/`00I=<00VCC00<0063cH?<00V3c00D005ccG?=Ll`0000=M4`03001I
<eTc009I<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00dVc00<004GCAM<0
0TGC00<0047c@O<00d7c00<003gc?O<013gc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<0
1CIC00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<01bjC0P003BZc00<002KC9]<03RKC0P00
7R;c6P008b;c0P0052KC0P004BZc0P003bjC0P003bic00<0039c<W<03C9c0P003SIC0P003cXc0P00
4ShC0P0063gc0P00CD7c0`0043gc0`005goo000GOol00e0O?1ll7`03?1l00cdOLomoo`0;Ool01FRc
001TdfCC0000163c00D005ccG?=Ll`0000=M4`03001I<eTc009I<`05001EDeECEE<00004DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00
?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`06<W<00`00
;W<^L`06;W<00`00;Y<^T`07;Y<00`00:[<Z/`0;:[<2000>9]<3000K8_<5000J7_<5000P8_<3000C
9]<2000A:[<2000?;Y<2000>;W<2000?<W<2000>=U<2000?>S<2000B?Q<3000G?O<30018@O<2000A
?O<20002?Q<00`00Oomoo`0EOol001Ioo`03JMll7dYO00=oo`03LUll7cgO00aoo`05001TdfCCI=<0
0004H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AAL`03001=Ldec009=
L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00@m
l`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00DbL`03000^Lbic00H^
L`03000^TbjC00L^T`03000Z/bZc00XZ/`8000hVd`8001TRl`D002@Nl`D001hRl`8001<Vd`80014Z
/`8000l^T`8000h^L`8000lbL`03000fDcIC00dfD`03000j<cXc00hj<`8001<n4`8001Pml`800491
l`@0018ml`03000n4chC008n4`03001oogoo01Eoo`005Woo00=@7cdOLol017oo00=@7c`OJol02goo
00@006CCI=<000APl`05001LleccG?<00003GA<00`00FC=I<`02FC<01@00EE=EDeEC0000155c00<0
04ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<0147c00<0
03gc?O<00cgc00<003hC?Q<013hC00<003Xc>S<00cXc00<003IC=U<01CIC00<0039c<W<01C9c00<0
02ic;W<01Ric00<002jC;Y<01bjC00<002Zc:[<02BZc0P003RKC0P005b;c1000;Qkc1@006b;c0`00
4RKC0P004BZc0`003RjC0P003Ric00<0039c<W<03C9c0P003SIC0P0043Xc0P004chC0P0063gc1000
>T7c100053gc0P001ChC00<007ooOol05Goo000MOol00fWO?1m[o`0;Ool3I=<00`00H?=Pl`02H?<0
1@00G?=Llecc00000edC00@005TcFC=I<`8000=ED`03001ALe5c009AL`03001=Ldec009=L`03001=
TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<ml`03000n
4chC00@n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00H^L`03000^
TbjC00L^T`03000Z/bZc00TZ/`03000VdbKC00`Vd`8001<Rl`H003LNl`D001TRl`80018Vd`<0010Z
/`03000^TbjC00h^T`03000^Lbic00`^L`8000lbL`03000fDcIC00dfD`80010j<`8001<n4`8001Xm
l`D00391l`<001Lml`03000n4chC00Dn4`03001oogoo01Eoo`002Goo00=Ygc`O?1l01c`O00=:Ggoo
Ool01goo00=M7c`OJol02goo0fCC00D0063cH?=Pl`0000=Ll`05001M4edCGA<00004FC<00`00EE=E
D`02EE<01@00DG=ALe5c000014ec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00dGC00<0
047c@O<00T7c00<003gc?O<013gc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<013IC00<0
039c<W<01C9c00<002ic;W<01Ric00<002jC;Y<01bjC00<002Zc:[<02BZc00<002KC9]<02bKC0P00
4b;c0P00@Qkc10005b;c0`004RKC0P003bZc0P003bjC0P003Ric0P003S9c0P003cIC00<003Xc>S<0
3cXc0P004chC0P007Cgc1@00:D7c100063gc0P0023hC00<007ooOol05Goo000LOol00g9O?1lmg`0<
Ool2I=<00`00H?=Pl`02H?<01@00G?=Llecc00000edC00D005TcFC=I<`0000AED`03001ALe5c009A
L`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1
l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00Db
L`03000^Lbic00L^L`03000^TbjC00H^T`03000Z/bZc00PZ/`8000dVd`03000Rlb;c010Rl`<004PN
l`<001LRl`80018Vd`8000lZ/`8000l^T`8000h^L`03000bLc9c00dbL`03000fDcIC00dfD`80014j
<`8001<n4`80020ml`D001m1l`D001Xml`8000Xn4`03001oogoo01Eoo`006Goo00IbGc`O?1ll7cdO
Lol<Ool2I=<01@00H?=Plf3c00000ecc00D005dCGA=M4`0000AI<`03001EDeEC009ED`05001ALe5c
DG<00004CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`03AM<00`00@O=1l`02@O<00`00
?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`03=U<00`00<W<bL`06<W<00`00
;W<^L`06;W<00`00;Y<^T`06;Y<00`00:[<Z/`08:[<00`009]<Vd`0;9]<2000A8_<2001>7_<3000F
8_<2000B9]<2000?:[<00`00;Y<^T`0>;Y<00`00;W<^L`0<;W<2000><W<2000?=U<2000A>S<2000C
?Q<2000S?O<O000M?O<2000<?Q<00`00Oomoo`0EOol001Uoo`05LUll7c`O?Amco`0=Ool00fCC001P
l`03H?<01@00G?=Llecc00000edC00D005TcFC=I<`0000AED`03001ALe5c009AL`03001=Ldec009=
L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc00<m
l`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00H^
L`03000^TbjC00H^T`03000Z/bZc00PZ/`03000VdbKC00XVd`80014Rl`8005<Nl`8001HRl`80018V
d`03000Z/bZc00dZ/`8000l^T`8000h^L`8000hbL`8000lfD`03000j<cXc010j<`8001<n4`@005Tm
l`8000hn4`03001oogoo01Eoo`006goo00Anoc`O?Amco`aoo`03I=<0063c009Pl`03001Llecc009L
l`05001M4edCGA<00003FC<00`00EE=ED`02EE<01@00DG=ALe5c000014ec00<004fCCI<00TfC00<0
04VcBK<00TVc00<004GCAM<00dGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00chC00<0
03Xc>S<013Xc00<003IC=U<013IC00<0039c<W<01C9c00<002ic;W<01Ric00<002jC;Y<01RjC00<0
02Zc:[<022Zc00<002KC9]<02RKC00<002;c8_<03b;c0P00Eakc0`005B;c0P004BKC0P003bZc0P00
3bjC00<002ic;W<03Bic00<0039c<W<03C9c00<003IC=U<03CIC0P004SXc0P005ChC1@00DSgc0P00
43hC00<007ooOol05Goo000LOol00g9O?1mBo`0<Ool00fCC001Pl`02H?<00`00G?=Ll`02G?<01@00
GA=M4edC00000eTc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`05001=TdfCCI<00004BK<00`00
AM=5d`03AM<00`00@O=1l`02@O<00`00?O<ml`04?O<00`00?Q<n4`02?Q<00`00>S<j<`04>S<00`00
=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`06;W<00`00;Y<^T`06;Y<00`00:[<Z/`08:[<00`00
9]<Vd`0;9]<00`008_<Rl`0=8_<2000O7_<J000S7_<2000E8_<00`009]<Vd`0@9]<2000?:[<00`00
;Y<^T`0=;Y<00`00;W<^L`0=;W<00`00<W<bL`0=<W<2000?=U<2000B>S<2000H?Q<2001=?O<3000@
?Q<3000GOol001Ioo`03GAll7f_o00=oo`03LUll7e;o00aoo`05001Plf3cH?<00004G?<01@00GA=M
4edC00000eTc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099
/`030015ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00@j
<`03000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00H^L`03000^TbjC00H^T`03000Z/bZc00PZ
/`03000VdbKC00XVd`8000hRl`8001`Nl`D001XO4`D0020Nl`<001<Rl`80018Vd`03000Z/bZc00dZ
/`8000h^T`8000h^L`8000lbL`8000lfD`03000j<cXc014j<`8001Pn4`<004Pml`80014n4`80008j
<`03001oogoo01Eoo`005Woo00=bGc`O?Ml00Woo00AoOdPO?1mOO`aoo`05001Plf3cH?<00004G?<0
1@00GA=M4edC00000eTc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019
/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00@ml`03000n4chC008n4`03000j
<cXc00@j<`03000fDcIC00@fD`03000bLc9c00DbL`03000^Lbic00H^L`03000^TbjC00D^T`03000Z
/bZc00PZ/`03000VdbKC00TVd`8000hRl`8001TNl`D002@O4`D001hNl`8001<Rl`80014Vd`8000lZ
/`03000^TbjC00d^T`8000h^L`03000bLc9c00hbL`03000fDcIC00dfD`8001<j<`8001Tn4`8004<m
l`<0018n4`03000j<cXc008j<`03001oogoo01Eoo`005goo00=@7c`O?1l00c`O00=:GgooOol02goo
00@0063cH?<000ALl`05001M4edCGA<00003FC<00`00EE=ED`02EE<00`00DG=AL`02DG<01@00CG==
Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<013gc00<0
03hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<00cIC00<0039c<W<01C9c00<002ic;W<01Ric00<0
02jC;Y<01BjC00<002Zc:[<01bZc0P002RKC0P003R;c0P005akc1000;QlC1@006akc0`004R;c0P00
4BKC0P003RZc0P003bjC00<002ic;W<032ic0P003c9c0P003cIC0P004cXc0P006ChC1000?Cgc0P00
4chC0P001CXc00<007ooOol05Goo000HOol01EdO?1ll7c`OD_l03Woo0f3c00<005ccG?<00Ucc00D0
05dCGA=M4`0000=I<`04001EDeECEE<20003DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9
/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`03?O<20004?Q<00`00>S<j<`04>S<0
0`00=U<fD`04=U<00`00<W<bL`04<W<00`00;W<^L`05;W<20007;Y<00`00:[<Z/`07:[<00`009]<V
d`099]<00`008_<Rl`0=8_<00`007_<Nl`0D7_<3000g7a<4000J7_<2000B8_<2000A9]<00`00:[<Z
/`0=:[<2000>;Y<2000>;W<2000?<W<2000?=U<3000B>S<3000J?Q<5000b?O<6000D?Q<00`00>S<j
<`05>S<00`00Oomoo`0EOol002]oo`=Pl`03001Llecc009Ll`04001M4edC0003FC<00`00EE=ED`02
EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c
@O<00d7c00<003gc?O<00Sgc00<003hC?Q<013hC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c
<W<0139c00<002ic;W<01Bic00<002jC;Y<01RjC00<002Zc:[<01bZc00<002KC9]<02BKC00<002;c
8_<03B;c00<001kc7_<04Qkc0`00?QlC0P006Qkc0P004R;c0P0042KC00<002Zc:[<03RZc00<002jC
;Y<03BjC00<002ic;W<03Bic0P003c9c00<003IC=U<03cIC00<003Xc>S<04SXc0P007ChC1@00:Cgc
100063hC0P0023Xc00<007ooOol05Goo000[Ool3H?<01@00G?=Llecc00000edC00D005TcFC=I<`00
00=ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC
0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC
00<fD`03000bLc9c00@bL`03000^Lbic00D^L`03000^TbjC00L^T`03000Z/bZc00LZ/`03000VdbKC
00PVd`03000Rlb;c00`Rl`8001<Nl`8004<O4`<001TNl`80018Rl`03000VdbKC00hVd`8000lZ/`80
00h^T`03000^Lbic00h^L`03000bLc9c00dbL`80010fD`8001@j<`80020n4`D001lml`D001Xn4`80
00Xj<`03001oogoo01Eoo`00:goo0V3c00<005ccG?<00Ucc00@005dCGA<000AI<`05001EDeECEE<0
0004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<0
03gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<013IC00<0039c<W<00c9c00<0
02ic;W<01Ric00<002jC;Y<01RjC00<002Zc:[<01bZc00<002KC9]<022KC00<002;c8_<032;c00<0
01kc7_<041kc0`00B1lC0`0061kc0P004B;c0P0042KC00<002Zc:[<03RZc00<002jC;Y<032jC00<0
02ic;W<03Ric0P003c9c0P0043IC0P0053Xc0P008chC1@005Cgc1@007ChC0P0033Xc00<007ooOol0
5Goo000[Ool2H?<01@00G?=Llecc00000edC00D005TcFC=I<`0000=ED`03001ALe5c009AL`03001=
Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000m
lcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^
Lbic00D^L`03000^TbjC00H^T`03000Z/bZc00HZ/`8000XVd`03000Rlb;c00/Rl`80014Nl`8004hO
4`@001HNl`80014Rl`8000lVd`8000lZ/`8000d^T`80010^L`8000lbL`03000fDcIC00lfD`8001@j
<`<002Dn4aD0020n4`8000hj<`03001oogoo01Eoo`00:goo0V3c00D005ccG?=Ll`0000=M4`05001I
<eTcFC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<0
0TGC00<0047c@O<00d7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<0
0cIC00<0039c<W<0139c00<002ic;W<01Bic00<002jC;Y<01RjC00<002Zc:[<01RZc00<002KC9]<0
22KC0P0032;c0P0041kc0`00E1lC0`005Akc0P004B;c0P003bKC0P003bZc00<002jC;Y<032jC0P00
42ic00<0039c<W<03C9c0P004CIC0P005CXc0`00EChC0P0043Xc00<007ooOol05Goo000[Ool2H?<0
1000G?=Ll`0015dC00D005TcFC=I<`0000=ED`03001ALe5c009AL`05001=LdecCG<00004CI<00`00
BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00
>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`03<W<00`00;W<^L`05;W<00`00;Y<^T`06;Y<00`00
:[<Z/`06:[<00`009]<Vd`089]<00`008_<Rl`0;8_<00`007_<Nl`0>7_<2001J7a<2000E7_<00`00
8_<Rl`0@8_<00`009]<Vd`0>9]<00`00:[<Z/`0=:[<2000>;Y<00`00;W<^L`0>;W<00`00<W<bL`0>
<W<2000A=U<2000F>S<3001A?Q<00`00>S<j<`0@>S<00`00Oomoo`0EOol002]oo`03H?<005cc009L
l`05001M4edCGA<00003FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00D004fCCI==T`0000A9
/`030015ddGC0095d`030011ld7c00=1l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc00@j
<`03000fDcIC00<fD`03000bLc9c00@bL`03000^Lbic00D^L`03000^TbjC00D^T`03000Z/bZc00LZ
/`03000VdbKC00LVd`03000Rlb;c00XRl`8000lNl`80020O4aX002@O4`8001@Nl`03000Rlb;c010R
l`8000lVd`03000Z/bZc00hZ/`03000^TbjC00`^T`03000^Lbic00h^L`80010bL`03000fDcIC010f
D`8001Lj<`8004dn4`80014j<`<001Moo`00:goo00=Pl`00G?<00Ucc00D005dCGA=M4`0000=I<`05
001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c
@O<00T7c00<003gc?O<00Sgc00<003hC?Q<013hC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c
<W<00c9c00<002ic;W<01Bic00<002jC;Y<01RjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c
8_<02R;c00<001kc7_<03Akc0P007AlC1@006Q/c1@008AlC0P004akc0P004R;c00<002KC9]<03BKC
0P003bZc0P003BjC0P0042ic00<0039c<W<03S9c00<003IC=U<04CIC00<003Xc>S<05SXc0`00B3hC
0P004CXc0P000SIC00<007ooOol05Goo000[Ool01@00G?=Llecc000015dC00D005TcFC=I<`0000=E
D`03001ALe5c009AL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1
l`02@O<00`00?O<ml`02?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<b
L`04<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<00`00:[<Z/`06:[<00`009]<Vd`079]<00`008_<R
l`098_<2000>7_<2000J7a<5000T6c<5000N7a<2000C7_<2000A8_<00`009]<Vd`0>9]<2000?:[<0
0`00;Y<^T`0<;Y<00`00;W<^L`0>;W<00`00<W<bL`0><W<2000B=U<2000I>S<20012?Q<4000B>S<0
0`00=U<fD`02=U<00`00Oomoo`0EOol002]oo`05001LleccG?<00003GA<01@00FC=I<eTc00000eEC
00<0055cDG<00U5c00<004ecCG<00Tec00D004fCCI==T`0000A9/`030015ddGC0095d`030011ld7c
0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00@fD`03000bLc9c
00<bL`03000^Lbic00D^L`03000^TbjC00D^T`03000Z/bZc00LZ/`03000VdbKC00LVd`03000Rlb;c
00PRl`03000Nlakc00dNl`03000O4alC01LO4`<002hK<`@001`O4`8001<Nl`80010Rl`80010Vd`80
00hZ/`03000^TbjC00`^T`03000^Lbic00h^L`80010bL`80018fD`8001Tj<`<003`n4`<001Dj<`03
000fDcIC00<fD`03001oogoo01Eoo`00:goo15cc00D005dCGA=M4`0000=I<`05001EDeECEE<00004
DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc
?O<00cgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic
;W<01Bic00<002jC;Y<01BjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c8_<02B;c00<001kc
7_<03Akc00<001lC7a<051lC0`00=A/c1@006AlC0P004akc00<002;c8_<03b;c0P003bKC00<002Zc
:[<03BZc00<002jC;Y<032jC0P0042ic00<0039c<W<03S9c00<003IC=U<04SIC0P006SXc1P00<chC
0`005SXc0P001SIC00<007ooOol05Goo000[Ool4G?<01@00GA=M4edC00000UTc00D005ECEE=ED`00
00EAL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00
?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00
;W<^L`04;W<20007;Y<00`00:[<Z/`06:[<00`009]<Vd`079]<00`008_<Rl`098_<00`007_<Nl`0<
7_<2000C7a<4000m6c<2000I7a<3000A7_<2000A8_<00`009]<Vd`0=9]<2000>:[<00`00;Y<^T`0=
;Y<2000?;W<2000?<W<2000D=U<2000N>S<5000Y?Q<5000G>S<20008=U<00`00Oomoo`0EOol002]o
o`=Ll`05001M4edCGA<00003FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc
0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc
008j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00<^L`03000^TbjC00H^T`03000Z/bZc
00HZ/`03000VdbKC00LVd`03000Rlb;c00PRl`8000dNl`8001<O4`8004<K<`<001TO4`80014Nl`80
010Rl`8000lVd`8000dZ/`8000l^T`8000l^L`03000bLc9c00hbL`8001@fD`<0020j<`D001ln4`D0
01Xj<`8000XfD`03001oogoo01Eoo`00:goo0ecc00D005dCGA=M4`00009I<`03001EDeEC009ED`03
001ALe5c009AL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02
@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04
<W<00`00;W<^L`04;W<00`00;Y<^T`06;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<00`008_<Rl`08
8_<00`007_<Nl`0<7_<00`007a<O4`0A7a<200186c<3000H7a<2000A7_<00`008_<Rl`0?8_<00`00
9]<Vd`0>9]<00`00:[<Z/`0<:[<00`00;Y<^T`0>;Y<00`00;W<^L`0=;W<2000@<W<2000E=U<2000S
>S<5000E?Q<5000M>S<2000<=U<00`00Oomoo`0EOol002]oo`9Ll`05001M4edCGA<00003FC<01@00
EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c
0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00@fD`03000bLc9c
00@bL`03000^Lbic00<^L`03000^TbjC00H^T`03000Z/bZc00DZ/`03000VdbKC00LVd`03000Rlb;c
00PRl`03000Nlakc00/Nl`80018O4`8004dK<`8001PO4`03000Nlakc00lNl`80010Rl`03000VdbKC
00hVd`03000Z/bZc00`Z/`8000l^T`03000^Lbic00h^L`03000bLc9c00lbL`8001DfD`8002Hj<aD0
024j<`03000fDcIC00`fD`03001oogoo01Eoo`00:goo0Ucc00D005dCGA=M4`0000=I<`05001EDeEC
EE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c
00<002ic;W<012ic00<002jC;Y<012jC0P0022Zc00<002KC9]<01RKC00<002;c8_<022;c00<001kc
7_<02akc00<001lC7a<03alC0`00DA/c0`005QlC00<001kc7_<041kc0P003b;c0P003bKC00<002Zc
:[<03BZc00<002jC;Y<03BjC00<002ic;W<03Ric00<0039c<W<0439c00<003IC=U<053IC0`00F3Xc
00<003IC=U<03CIC00<007ooOol05Goo000[Ool2G?<01000GA=M4`0015Tc00D005ECEE=ED`0000AA
L`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00Sgc00<0
03hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic00<0
02jC;Y<012jC00<002Zc:[<01bZc00<002KC9]<01RKC00<002;c8_<022;c00<001kc7_<02akc00<0
01lC7a<03QlC0P00Ea/c0`0051lC0P004Qkc0P003b;c0P003RKC0P003RZc0P003RjC0P003bic0P00
4C9c0`005SIC1000DSXc0P0043IC00<007ooOol05Goo000[Ool00ecc001M4`02GA<01@00FC=I<eTc
00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`03
0011ld7c0091l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc00<j<`03000fDcIC00<fD`03
000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00D^T`03000Z/bZc00HZ/`03000VdbKC00HVd`03
000Rlb;c00PRl`03000Nlakc00/Nl`03000O4alC00dO4`8001lK<aD002PK<`8001@O4`80018Nl`80
00lRl`03000VdbKC00dVd`03000Z/bZc00dZ/`03000^TbjC00d^T`8000l^L`80018bL`8001PfD`80
04dj<`<0014fD`8001Moo`00:goo00=Ll`00GA<00UdC00D005TcFC=I<`0000=ED`03001ALe5c009A
L`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00Sgc00<0
03hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic00<0
02jC;Y<012jC00<002Zc:[<01bZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<02akc00<0
01lC7a<03AlC00<001/c6c<06Q/c1@005AMC2P0081/c0P0051lC0P004Qkc00<002;c8_<03B;c00<0
02KC9]<03BKC00<002Zc:[<03BZc0P003bjC0P003bic00<0039c<W<04C9c0P0063IC0P00BCXc0P00
4SIC0P0000<bL`00Ool05Woo000[Ool01@00GA=M4edC00000eTc00D005ECEE=ED`0000AAL`05001=
LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<01@00@O=1ld7c00001Cgc00<003hC?Q<0
0chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<012ic00<002jC;Y<0
1BjC00<002Zc:[<01RZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<02Qkc0P003QlC0P00
6A/c100091MC10007Q/c0P0051lC0P004Akc00<002;c8_<03B;c0P003RKC0P003bZc00<002jC;Y<0
3RjC00<002ic;W<03Bic0P004c9c0P0063IC0P00ACXc0P004cIC00D0039c<W<bL`0001Moo`00:goo
00D005dCGA=M4`0000=I<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00D004VcBK=9/`00
00A5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC
00<fD`03000bLc9c00@bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00HZ/`03000VdbKC
00HVd`03000Rlb;c00LRl`03000Nlakc00XNl`03000O4alC00dO4`03000K<a/c01LK<`8002`GD`D0
01/K<`8001@O4`80010Nl`03000Rlb;c00hRl`03000VdbKC00dVd`03000Z/bZc00dZ/`03000^TbjC
00h^T`03000^Lbic00h^L`03000bLc9c018bL`03000fDcIC01LfD`@003hj<`<001@fD`03000bLc9c
008bL`03001oogoo01Eoo`00:goo00D005dCGA=M4`0000=I<`05001EDeECEE<00003DG<00`00CG==
L`02CG<00`00CI==T`02CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<0
03hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<012ic00<0
02jC;Y<012jC00<002Zc:[<01RZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<02Akc0P00
3QlC0P005Q/c1000<aMC0P006a/c0P0051lC00<001kc7_<03Qkc0P003b;c0P003RKC00<002Zc:[<0
3BZc0P003bjC00<002ic;W<03Ric0P004c9c0P006cIC0P00>CXc0`005CIC0P001C9c00<007ooOol0
5Goo000[Ool3GA<00`00FC=I<`02FC<01@00EE=EDeEC00000e5c00<004ecCG<00Tec00D004fCCI==
T`0000=9/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC008n4`03000j
<cXc00<j<`03000fDcIC00<fD`03000bLc9c00@bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z
/bZc00DZ/`03000VdbKC00HVd`03000Rlb;c00LRl`03000Nlakc00TNl`03000O4alC00dO4`03000K
<a/c018K<`@003TGD`<001XK<`8001<O4`80010Nl`03000Rlb;c00hRl`03000VdbKC00`Vd`03000Z
/bZc00hZ/`03000^TbjC00d^T`80010^L`8001<bL`8001/fD`@0038j<`<001HfD`8000LbL`03001o
ogoo01Eoo`00:goo0edC00D005TcFC=I<`0000=ED`05001ALe5cDG<00004CG<00`00CI==T`02CI<0
1@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<0
0cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<0
1RZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<021kc00<001lC7a<031lC0P004a/c0P00
@1MC0P006Q/c0P004alC00<001kc7_<03Qkc00<002;c8_<03R;c0P003BKC0P003bZc0P003bjC00<0
02ic;W<03bic0P004c9c0P007CIC1@00:CXc100063IC00<0039c<W<01c9c00<007ooOol05Goo000[
Ool2GA<00`00FC=I<`02FC<01@00EE=EDeEC00000e5c00<004ecCG<00Tec00D004fCCI==T`0000=9
/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC008n4`03000j<cXc00<j
<`03000fDcIC00<fD`03000bLc9c00@bL`03000^Lbic00@^L`03000^TbjC00<^T`03000Z/bZc00HZ
/`03000VdbKC00HVd`03000Rlb;c00LRl`03000Nlakc00PNl`03000O4alC00`O4`03000K<a/c014K
<`8004@GD`<001TK<`80018O4`03000Nlakc00hNl`80010Rl`03000VdbKC00`Vd`03000Z/bZc00hZ
/`03000^TbjC00d^T`80014^L`8001<bL`80020fD`D001lj<`D001XfD`8000XbL`03001oogoo01Eo
o`00:goo0UdC00<005TcFC<00UTc00D005ECEE=ED`0000=AL`05001=LdecCG<00004CI<01@00BK=9
/dVc000014GC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc>S<00cXc00<0
03IC=U<00cIC00<0039c<W<00c9c00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<0
02KC9]<01RKC00<002;c8_<01b;c00<001kc7_<021kc00<001lC7a<02alC0P004Q/c0P00BAMC0`00
61/c00<001lC7a<041lC0P0041kc00<002;c8_<03R;c00<002KC9]<032KC0P003bZc00<002jC;Y<0
3RjC00<002ic;W<042ic00<0039c<W<04S9c0P008cIC1@005CXc1@007SIC00<0039c<W<02S9c00<0
07ooOol05Goo000[Ool2GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=
T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j
<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z
/`05:[<00`009]<Vd`069]<00`008_<Rl`078_<00`007_<Nl`087_<00`007a<O4`0;7a<00`006c<K
<`0@6c<2001>5e<3000F6c<2000B7a<2000?7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z
/`0=:[<00`00;Y<^T`0>;Y<00`00;W<^L`0@;W<00`00<W<bL`0C<W<2000V=U<E000Q=U<2000=<W<0
0`00Oomoo`0EOol002]oo`9M4`05001I<eTcFC<00003EE<01@00DG=ALe5c00000dec00<004fCCI<0
0TfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc00<ml`03000n4chC008n4`03000j
<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z
/bZc00DZ/`03000VdbKC00DVd`03000Rlb;c00LRl`03000Nlakc00PNl`03000O4alC00/O4`03000K
<a/c00lK<`8005<GD`8001HK<`80018O4`03000Nlakc00dNl`03000Rlb;c00hRl`8000hVd`03000Z
/bZc00dZ/`8000l^T`03000^Lbic010^L`8001DbL`8005PfD`8000lbL`03001oogoo01Eoo`00:goo
00=M4`00FC<00UTc00D005ECEE=ED`0000AAL`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC
00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC
00<0039c<W<00c9c00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01RKC
00<002;c8_<01R;c00<001kc7_<021kc00<001lC7a<02alC00<001/c6c<03Q/c0P00EaMC0`005A/c
0P004AlC00<001kc7_<03Akc0P0042;c00<002KC9]<032KC00<002Zc:[<03RZc00<002jC;Y<03BjC
0P004Ric00<0039c<W<0539c0P00E3IC0P004C9c00<007ooOol05Goo000[Ool00edC001I<`02FC<0
1@00EE=EDeEC00000e5c00D004ecCG==L`0000A=T`030019/dVc0099/`050015ddGCAM<00004@O<0
0`00?O<ml`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<0
0`00;W<^L`03;W<00`00;Y<^T`05;Y<00`00:[<Z/`04:[<00`009]<Vd`069]<00`008_<Rl`068_<0
0`007_<Nl`087_<00`007a<O4`0;7a<00`006c<K<`0=6c<2000T5e<@000X5e<2000E6c<00`007a<O
4`0?7a<2000?7_<00`008_<Rl`0>8_<00`009]<Vd`0<9]<00`00:[<Z/`0>:[<2000?;Y<2000A;W<2
000F<W<3001@=U<00`00<W<bL`0@<W<2000GOol002]oo`03GA<005Tc009I<`05001EDeECEE<00003
DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03
000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03
000^TbjC00@^T`03000Z/bZc00DZ/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00PNl`03
000O4alC00XO4`8000lK<`03000GDaMC01hGD`H0010CL`H002@GD`8001@K<`80014O4`03000Nlakc
00dNl`8000lRl`03000VdbKC00`Vd`80010Z/`03000^TbjC00h^T`03000^Lbic010^L`8001LbL`80
04`fD`80018bL`03000^L`0001Moo`00:goo00=M4`00FC<00UTc00D005ECEE=ED`0000=AL`05001=
LdecCG<00004CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC?Q<0
0ShC00<003Xc>S<00SXc00<003IC=U<013IC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<0
12jC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c8_<01b;c00<001kc7_<01akc00<001lC7a<0
2QlC00<001/c6c<03Q/c00<001MC5e<06aMC100071=c10008QMC0P0051/c00<001lC7a<03alC00<0
01kc7_<03Qkc00<002;c8_<03B;c00<002KC9]<03BKC00<002Zc:[<03RZc00<002jC;Y<03RjC00<0
02ic;W<04Bic00<0039c<W<05S9c0`00AcIC0P004S9c0P000Ric00<007ooOol05Goo000[Ool01@00
FC=I<eTc00000eEC00D0055cDG=AL`0000A=L`05001=TdfCCI<00004BK<01@00AM=5ddGC0000147c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c
00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c8_<01R;c
00<001kc7_<01akc00<001lC7a<02AlC0P003a/c0P006AMC1@0091=c1@007aMC0P004a/c0P0041lC
00<001kc7_<03Qkc0P003R;c0P003RKC00<002Zc:[<03RZc00<002jC;Y<03RjC0P004Ric0P006C9c
0P00@cIC0P004c9c00<002ic;W<00Ric00<007ooOol05Goo000[Ool01@00FC=I<eTc00000eEC00D0
055cDG=AL`0000==L`03001=TdfC009=T`030019/dVc0099/`050015ddGCAM<00004@O<00`00?O<m
l`02?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^
L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<N
l`077_<00`007a<O4`097a<00`006c<K<`0>6c<00`005e<GD`0E5e<4000^4g<4000M5e<00`006c<K
<`0B6c<00`007a<O4`0>7a<2000@7_<00`008_<Rl`0=8_<00`009]<Vd`0<9]<00`00:[<Z/`0>:[<2
000@;Y<00`00;W<^L`0A;W<2000I<W<4000m=U<2000D<W<00`00;W<^L`03;W<00`00Oomoo`0EOol0
02]oo`=I<`05001EDeECEE<00003DG<00`00CG==L`02CG<00`00CI==T`02CI<01@00BK=9/dVc0000
0dGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<0
13IC00<0039c<W<00S9c00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<0
1BKC00<002;c8_<01R;c00<001kc7_<01akc00<001lC7a<021lC00<001/c6c<03A/c0P005AMC0`00
=Q=c0P0071MC0P004a/c0P0041lC00<001kc7_<03Qkc00<002;c8_<03B;c0P003BKC0P0042Zc0P00
3bjC0P004bic0P006c9c1000=CIC1000539c0P001Ric00<007ooOol05Goo000[Ool3FC<01@00EE=E
DeEC00000e5c00<004ecCG<00Tec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<m
l`02?O<00`00?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^
L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`009]<Vd`059]<00`008_<Rl`068_<00`007_<N
l`077_<00`007a<O4`097a<00`006c<K<`0;6c<2000D5e<3000k4g<5000I5e<2000C6c<00`007a<O
4`0>7a<2000?7_<2000?8_<00`009]<Vd`0<9]<2000@:[<00`00;Y<^T`0>;Y<2000C;W<2000M<W<2
000^=U<5000G<W<00`00;W<^L`06;W<00`00Oomoo`0EOol002]oo`=I<`05001EDeECEE<00003DG<0
1@00CG==Ldec000014fC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n
4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^
TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00LNl`03000O
4alC00TO4`03000K<a/c00/K<`03000GDaMC018GD`8004<CL`8001TGD`03000K<a/c014K<`80010O
4`03000Nlakc00hNl`03000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc00dZ/`03000^TbjC010^
T`8001<^L`03000bLc9c01`bL`@002PfD`8001/bL`03000^Lbic00L^L`03001oogoo01Eoo`00:goo
0eTc00D005ECEE=ED`00009AL`03001=Ldec009=L`05001=TdfCCI<00004BK<00`00AM=5d`02AM<0
1@00@O=1ld7c000013gc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<0
0c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01RKC00<002;c8_<0
1R;c00<001kc7_<01Qkc00<001lC7a<02AlC00<001/c6c<031/c00<001MC5e<041MC0P00Aa=c0P00
61MC0P004a/c00<001lC7a<03QlC00<001kc7_<03Qkc00<002;c8_<03B;c00<002KC9]<03BKC00<0
02Zc:[<03BZc00<002jC;Y<04BjC00<002ic;W<04Bic0P00839c1@007cIC10006c9c0P002Ric00<0
07ooOol05Goo000[Ool2FC<01@00EE=EDeEC00000e5c00D004ecCG==L`0000A=T`030019/dVc0099
/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<f
D`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<V
d`059]<00`008_<Rl`068_<00`007_<Nl`067_<00`007a<O4`097a<00`006c<K<`0<6c<00`005e<G
D`0?5e<2001;4g<2000H5e<2000B6c<2000?7a<00`007_<Nl`0>7_<00`008_<Rl`0=8_<00`009]<V
d`0=9]<00`00:[<Z/`0=:[<2000B;Y<00`00;W<^L`0B;W<2000S<W<5000E=U<5000M<W<2000<;W<0
0`00Oomoo`0EOol002]oo`9I<`05001EDeECEE<00003DG<01@00CG==Ldec00000dfC00<004VcBK<0
0TVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`03000n4chC00<n4`03000j<cXc008j<`03000f
DcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000V
dbKC00HVd`03000Rlb;c00DRl`03000Nlakc00LNl`03000O4alC00PO4`03000K<a/c00/K<`80010G
D`8004lCL`<001LGD`03000K<a/c014K<`03000O4alC00dO4`8000lNl`8000hRl`8000hVd`8000lZ
/`03000^TbjC010^T`8001@^L`<002DbLaD0024bL`03000^Lbic00`^L`03001oogoo01Eoo`00:goo
0UTc00D005ECEE=ED`0000=AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<00`00AM=5d`02AM<0
1@00@O=1ld7c000013gc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<0
0c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<0
1B;c00<001kc7_<01akc00<001lC7a<021lC00<001/c6c<02Q/c0P004AMC00<001=c4g<0DQ=c0`00
5AMC0P004Q/c00<001lC7a<03QlC0P003akc00<002;c8_<03B;c00<002KC9]<03BKC00<002Zc:[<0
3BZc0P004RjC00<002ic;W<052ic0P00Ec9c0P003bic00<007ooOol05Goo000[Ool2FC<01@00EE=E
DeEC00000e5c00D004ecCG==L`0000==T`030019/dVc0099/`030015ddGC0095d`050011ld7c@O<0
0004?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^
L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<N
l`077_<00`007a<O4`087a<00`006c<K<`0:6c<00`005e<GD`0?5e<2001H4g<00`005e<GD`0D5e<0
0`006c<K<`0@6c<00`007a<O4`0?7a<00`007_<Nl`0=7_<00`008_<Rl`0<8_<00`009]<Vd`0>9]<0
0`00:[<Z/`0>:[<00`00;Y<^T`0@;Y<00`00;W<^L`0E;W<2001C<W<2000A;W<00`00Oomoo`0EOol0
02]oo`03FC<005EC009ED`05001ALe5cDG<00004CG<01@00CI==TdfC00000dVc00<004GCAM<00TGC
00<0047c@O<00T7c00D003gc?O<ml`0000Dn4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c
00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c
00DRl`03000Nlakc00HNl`03000O4alC00PO4`03000K<a/c00/K<`03000GDaMC00dGD`8002TCL`D0
02dCL`8001DGD`03000K<a/c010K<`8000lO4`03000Nlakc00hNl`03000Rlb;c00`Rl`03000VdbKC
00hVd`03000Z/bZc00hZ/`03000^TbjC010^T`8001L^L`80050bL`03000^Lbic010^L`8001Moo`00
:goo00=I<`00EE<00UEC00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<00`00AM=5d`02AM<0
1@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00SIC00<0039c<W<0
0c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<0
1B;c00<001kc7_<01akc00<001lC7a<021lC00<001/c6c<02Q/c00<001MC5e<03AMC00<001=c4g<0
7a=c2P001@mc2`0091=c0P0051MC00<001/c6c<04A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<0
02;c8_<032;c00<002KC9]<03RKC0P003bZc00<002jC;Y<04BjC0P005bic0P00C39c0P004Ric00<0
02jC00005goo000[Ool00eTc001ED`02EE<01@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`03
0015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`03
=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`05
9]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`087a<00`006c<K<`0:6c<00`005e<GD`0=
5e<00`004g<CL`0K4g<5000J3g<5000Q4g<00`005e<GD`0B5e<2000B6c<00`007a<O4`0=7a<00`00
7_<Nl`0>7_<00`008_<Rl`0<8_<2000@9]<00`00:[<Z/`0=:[<00`00;Y<^T`0B;Y<00`00;W<^L`0F
;W<20018<W<2000C;W<01000;Y<^T`005goo000[Ool01@00EE=EDeEC00000e5c00<004ecCG<00Tec
00D004fCCI==T`0000=9/`030015ddGC0095d`030011ld7c0091l`05000mlcgc?O<00005?Q<00`00
>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00
:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`087a<00`00
6c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0I4g<3000T3g<3000O4g<2000D5e<2000A6c<00`00
7a<O4`0=7a<2000?7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0=:[<2000C;Y<00`00
;W<^L`0G;W<20015<W<00`00;W<^L`0B;W<01@00;Y<^TbjC00005goo000[Ool01@00EE=EDeEC0000
0e5c00<004ecCG<00Tec00D004fCCI==T`0000=9/`030015ddGC0095d`030011ld7c0091l`05000m
lcgc?O<00005?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<0
0`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`067_<0
0`007a<O4`077a<00`006c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0G4g<3000Z3g<3000N4g<0
0`005e<GD`0C5e<2000@6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<00`009]<V
d`0=9]<00`00:[<Z/`0?:[<00`00;Y<^T`0A;Y<2000I;W<4000o<W<2000D;W<00`00;Y<^T`02;Y<0
0`00Oomoo`0EOol002]oo`05001EDeECEE<00003DG<00`00CG==L`02CG<01000CI==T`0014Vc00<0
04GCAM<00TGC00<0047c@O<00T7c00D003gc?O<ml`0000Dn4`03000j<cXc008j<`03000fDcIC008f
D`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00<Z/`03000VdbKC00DV
d`03000Rlb;c00DRl`03000Nlakc00HNl`03000O4alC00LO4`03000K<a/c00TK<`8000hGD`8001LC
L`<0030?L`@001/CL`8001DGD`03000K<a/c00hK<`8000lO4`8000hNl`03000Rlb;c00dRl`03000V
dbKC00dVd`03000Z/bZc00lZ/`8001<^T`8001/^L`8003TbL`@001D^L`03000^TbjC00<^T`03001o
ogoo01Eoo`00:goo15EC00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<01@00AM=5ddGC0000
147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<0
0c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<0
1R;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<03AMC00<001=c4g<0
51=c0`00=`mc10006A=c0P0051MC0P0041/c00<001lC7a<03QlC00<001kc7_<031kc00<002;c8_<0
3B;c00<002KC9]<03BKC0P004BZc00<002jC;Y<04RjC00<002ic;W<06Ric0`00<c9c0`005bic0P00
1RjC00<007ooOol05Goo000EOol00gko?1ll7`07?1l00f_oOomoo`09Ool3EE<01@00DG=ALe5c0000
14ec00@004fCCI<000E9/`050015ddGCAM<00004@O<01@00?O<mlcgc00001ChC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<00bZc
00<002KC9]<01BKC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c
00<001MC5e<03AMC00<001=c4g<04a=c0P00?Pmc0P006A=c0P0051MC00<001/c6c<03Q/c00<001lC
7a<03AlC00<001kc7_<03Akc00<002;c8_<03B;c0P003bKC00<002Zc:[<03bZc0P004bjC0P007Bic
0P00;c9c0P006Bic00<002jC;Y<01RjC00<007ooOol05Goo000FOol00e0O?1ll7`06?1l00f_oOomo
o`09Ool3EE<01@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00
?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00
;W<^L`04;W<00`00;Y<^T`03;Y<00`00:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`068_<00`00
7_<Nl`067_<00`007a<O4`077a<00`006c<K<`086c<00`005e<GD`0<5e<00`004g<CL`0B4g<20012
3g<2000I4g<00`005e<GD`0B5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`00
8_<Rl`0>8_<2000>9]<00`00:[<Z/`0@:[<00`00;Y<^T`0B;Y<00`00;W<^L`0L;W<3000Z<W<2000J
;W<00`00;Y<^T`07;Y<00`00Oomoo`0EOol001Ioo`03LUll7e;o019oo`=ED`05001ALe5cDG<00003
CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC008n4`03
000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03
000Z/bZc00<Z/`03000VdbKC00DVd`03000Rlb;c00DRl`03000Nlakc00HNl`03000O4alC00LO4`03
000K<a/c00PK<`03000GDaMC00`GD`03000CLa=c018CL`03000?L`mc04@?L`8001PCL`03000GDaMC
014GD`03000K<a/c00lK<`03000O4alC00dO4`03000Nlakc00dNl`8000lRl`03000VdbKC00dVd`03
000Z/bZc010Z/`8001<^T`8001l^L`H001lbL`D001/^L`03000^TbjC00P^T`03001oogoo01Eoo`00
5goo00=Ygc`OD_l04Goo0eEC00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<01@00AM=5ddGC
0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c
8_<01B;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<031MC00<001=c
4g<04A=c0P00B@mc0P005a=c0P004QMC00<001/c6c<03a/c00<001lC7a<03AlC0P003akc00<002;c
8_<03B;c00<002KC9]<03BKC00<002Zc:[<04BZc00<002jC;Y<04RjC00<002ic;W<08Ric1@005C9c
1@007bic00<002jC;Y<02BjC00<007ooOol05Goo000HOol00fWO?1mBo`0@Ool2EE<01@00DG=ALe5c
00000dec00<004fCCI<00TfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02
?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`04
;Y<00`00:[<Z/`03:[<00`009]<Vd`059]<00`008_<Rl`048_<00`007_<Nl`067_<00`007a<O4`07
7a<00`006c<K<`086c<00`005e<GD`0<5e<00`004g<CL`0@4g<2001=3g<2000G4g<2000A5e<2000@
6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<2000>9]<2000B:[<2000C;Y<2000W
;W<E000R;W<2000<;Y<00`00Oomoo`0EOol000Uoo`03JMll7c`O00Ll7`03BUmoogoo00=oo`03LUll
7dYO00moo`9ED`05001ALe5cDG<00003CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`03
000mlcgc008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03
000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00DRl`03
000Nlakc00HNl`03000O4alC00HO4`03000K<a/c00PK<`03000GDaMC00/GD`80014CL`80054?L`80
01LCL`03000GDaMC010GD`03000K<a/c00hK<`03000O4alC00hO4`03000Nlakc00dNl`03000Rlb;c
00hRl`03000VdbKC00dVd`03000Z/bZc014Z/`03000^TbjC018^T`8005/^L`03000^TbjC00`^T`03
001oogoo01Eoo`006Woo00=bGc`O?Ml03Woo00=ED`00DG<00U5c00<004ecCG<00Tec00D004fCCI==
T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`03=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`03:[<0
0`009]<Vd`059]<00`008_<Rl`048_<00`007_<Nl`067_<00`007a<O4`077a<00`006c<K<`086c<0
0`005e<GD`0:5e<00`004g<CL`0@4g<00`003g<?L`1C3g<2000F4g<2000A5e<00`006c<K<`0>6c<2
000?7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z/`0A:[<00`00;Y<^
T`0C;Y<2001G;W<2000?;Y<00`00Oomoo`0EOol001]oo`03O_ll7dYO00eoo`03EE<0055c009AL`03
001=Ldec009=L`05001=TdfCCI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c000013gc00<003hC
?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC
;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC
7a<01QlC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03a=c0P00F0mc00<001=c4g<05A=c
00<001MC5e<03aMC00<001/c6c<03a/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03B;c
00<002KC9]<03RKC00<002Zc:[<04BZc00<002jC;Y<052jC0`00Dbic00<002jC;Y<03bjC00<007oo
Ool05Goo000LOol00g9O?1mBo`0<Ool00eEC001AL`02DG<00`00CG==L`02CG<01@00CI==TdfC0000
0dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000f
DcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000V
dbKC00<Vd`03000Rlb;c00DRl`03000Nlakc00HNl`03000O4alC00HO4`03000K<a/c00PK<`03000G
DaMC00/GD`03000CLa=c00dCL`8002@?La0002L?L`8001HCL`03000GDaMC00lGD`03000K<a/c00hK
<`03000O4alC00hO4`03000Nlakc00dNl`03000Rlb;c00dRl`03000VdbKC00hVd`80018Z/`03000^
TbjC01H^T`8004l^L`80014^T`8001Moo`007Goo00=@7cgOOol02goo00=ED`00DG<00U5c00D004ec
CG==L`0000==T`030019/dVc0099/`050015ddGCAM<00004@O<01@00?O<mlcgc000013hC00<003Xc
>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc
:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c
6c<01a/c00<001MC5e<02aMC00<001=c4g<03A=c00<000mc3g<07`mc1@0040nC1@0090mc0P005A=c
00<001MC5e<03aMC0P003a/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03B;c0P0042KC
00<002Zc:[<042Zc0P0062jC0P00Bbic0P004RjC00<002Zc00005goo000MOol00edO?1m[o`0;Ool0
1@00DG=ALe5c000014ec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<0
0`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<0
0`00;Y<^T`03;Y<00`00:[<Z/`04:[<00`009]<Vd`039]<00`008_<Rl`058_<00`007_<Nl`067_<0
0`007a<O4`067a<00`006c<K<`086c<00`005e<GD`0:5e<00`004g<CL`0=4g<00`003g<?L`0K3g<5
000J3i<5000Q3g<00`004g<CL`0C4g<2000A5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<N
l`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0>9]<00`00:[<Z/`0A:[<00`00;Y<^T`0G;Y<00`00;W<^
L`16;W<2000C;Y<01000:[<Z/`005goo000FOol00e0O?Amco`04Ool00e0O?1m[o`0;Ool01@00DG=A
Le5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<01@00?Q<n
4chC000013Xc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<0
02Zc:[<012Zc00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01AlC00<0
01/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<060mc100090nC10007Pmc0P00
5A=c00<001MC5e<03aMC00<001/c6c<03A/c0P003alC00<001kc7_<03Akc00<002;c8_<03R;c00<0
02KC9]<03RKC00<002Zc:[<04BZc0P0062jC0P00ABic00<002jC;Y<04RjC00D002Zc:[<Z/`0001Mo
o`005Woo00=M7c`OBUl00goo00=M7c`O?Ml037oo00D0055cDG=AL`0000==L`05001=TdfCCI<00004
BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC00<fD`03
000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03
000Rlb;c00@Rl`03000Nlakc00HNl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00XGD`03
000CLa=c00dCL`03000?L`mc01L?L`8002`?T`8001h?L`8001@CL`80010GD`03000K<a/c00hK<`03
000O4alC00dO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC00hVd`03000Z/bZc018Z/`03
000^TbjC01L^T`<0040^L`8001@^T`03000Z/bZc008Z/`03001oogoo01Eoo`005Woo00=oOdPO?1l0
1C`O00=[ogooOol02Woo00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<01@00AM=5ddGC0000
147c00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^
Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03000N
lakc00HNl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00TGD`8000hCL`8001L?L`<0030?
T`<001d?L`03000CLa=c01<CL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC00dO4`03000N
lakc00dNl`03000Rlb;c00hRl`03000VdbKC00hVd`03000Z/bZc018Z/`03000^TbjC01T^T`8003`^
L`8001D^T`03000Z/bZc00<Z/`03001oogoo01Eoo`0067oo00I@7c`O?1ll7cdOLol=Ool4DG<01@00
CG==Ldec00000dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00
>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00
:[<Z/`04:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`067_<00`007a<O4`067a<00`00
6c<K<`076c<00`005e<GD`085e<00`004g<CL`0=4g<00`003g<?L`0D3g<3000f3i<2000L3g<00`00
4g<CL`0C4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`00
8_<Rl`0>8_<00`009]<Vd`0>9]<00`00:[<Z/`0B:[<00`00;Y<^T`0J;Y<2000h;W<2000E;Y<20006
:[<00`00Oomoo`0EOol002]oo`=AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<00`00AM=5d`02
AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c
<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c
8_<00b;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c
4g<03A=c00<000mc3g<04`mc0P00>`nC0`006Pmc0P0051=c00<001MC5e<03QMC00<001/c6c<03Q/c
00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc:[<04RZc
0P0072jC0`00<Ric0`005RjC00<002Zc:[<01RZc00<007ooOol05Goo000[Ool3DG<01@00CG==Ldec
00000dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02
>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03
:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`067_<00`007a<O4`067a<00`006c<K<`07
6c<00`005e<GD`085e<00`004g<CL`0<4g<00`003g<?L`0B3g<200103i<2000J3g<00`004g<CL`0B
4g<00`005e<GD`0>5e<2000?6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`00
9]<Vd`0>9]<2000D:[<2000M;Y<4000[;W<3000H;Y<00`00:[<Z/`07:[<00`00Oomoo`0EOol002]o
o`=AL`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n4chC
008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic008^L`03000^TbjC
00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00DNl`03000O4alC
00HO4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c00`CL`03000?L`mc018?L`03000?T`nC
048?T`<001P?L`8001<CL`03000GDaMC00lGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc
00dNl`03000Rlb;c00hRl`03000VdbKC00lVd`03000Z/bZc01<Z/`03000^TbjC01h^T`8002L^L`80
01X^T`03000Z/bZc00PZ/`03001oogoo01Eoo`00:goo0e5c00D004ecCG==L`0000==T`050019/dVc
BK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC
00<0039c<W<00c9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<00bKC
00<002;c8_<01B;c00<001kc7_<011kc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<021MC
00<001=c4g<031=c00<000mc3g<04@mc0P00B0nC0P0060mc00<001=c4g<04A=c00<001MC5e<03aMC
00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03bKC
0P0052Zc00<002jC;Y<07bjC10007bic10006bjC00<002Zc:[<02BZc00<007ooOol05Goo000[Ool3
DG<01@00CG==Ldec00000TfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`05
000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03
;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O4`06
7a<00`006c<K<`066c<00`005e<GD`095e<00`004g<CL`0;4g<00`003g<?L`0A3g<00`003i<?T`1:
3i<2000G3g<00`004g<CL`0A4g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`00
7_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0@9]<00`00:[<Z/`0B:[<2000S;Y<5000E;W<5000N
;Y<00`00:[<Z/`0::[<00`00Oomoo`0EOol002]oo`9AL`05001=LdecCG<00003CI<01@00BK=9/dVc
000014GC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03
000bLc9c00<bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00<Vd`03
000Rlb;c00DRl`03000Nlakc00@Nl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00PGD`03
000CLa=c00/CL`03000?L`mc010?L`8004l?T`03000?L`mc01D?L`03000CLa=c014CL`03000GDaMC
00hGD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC
010Vd`03000Z/bZc01<Z/`03000^TbjC02D^TaD0028^T`03000Z/bZc00/Z/`03001oogoo01Eoo`00
:goo0U5c00D004ecCG==L`0000==T`050019/dVcBK<00003AM<00`00@O=1l`02@O<00`00?O<ml`02
?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC
;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Akc00<001lC
7a<01QlC00<001/c6c<01Q/c00<001MC5e<021MC00<001=c4g<02a=c00<000mc3g<040mc00<000nC
3i<0D0nC0P005Pmc00<001=c4g<04A=c00<001MC5e<03QMC0P003a/c00<001lC7a<03AlC00<001kc
7_<03Akc00<002;c8_<03R;c00<002KC9]<042KC00<002Zc:[<04bZc0P00FbjC00<002Zc:[<032Zc
00<007ooOol05Goo000[Ool2DG<01@00CG==Ldec00000dfC00D004VcBK=9/`0000=5d`030011ld7c
0091l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00
;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`058_<00`00
7_<Nl`047_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`085e<00`004g<CL`0:4g<00`00
3g<?L`0@3g<00`003i<?T`1C3i<2000E3g<2000B4g<00`005e<GD`0?5e<00`006c<K<`0=6c<00`00
7a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0@9]<00`00:[<Z/`0D:[<2001G
;Y<2000?:[<00`00Oomoo`0EOol002]oo`9AL`05001=LdecCG<00003CI<01@00BK=9/dVc00000dGC
00<0047c@O<00T7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c
00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c
00DRl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c
00XCL`03000?L`mc010?L`03000?T`nC03/?TaAnIPL?T`03000?L`mc01@?L`03000CLa=c010CL`03
000GDaMC00lGD`03000K<a/c00dK<`03000O4alC00`O4`03000Nlakc00hNl`03000Rlb;c00hRl`03
000VdbKC010Vd`03000Z/bZc01DZ/`8005@^T`03000Z/bZc00lZ/`03001oogoo01Eoo`00:goo0U5c
00@004ecCG<000A=T`050019/dVcBK<00003AM<00`00@O=1l`02@O<01@00?O<mlcgc000013hC00<0
03Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<0
02Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01QlC00<0
01/c6c<01a/c00<001MC5e<01aMC00<001=c4g<02a=c00<000mc3g<03Pmc0P00>0nC7WiV10nC0P00
5@mc00<001=c4g<041=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<031lC00<001kc7_<0
3Qkc00<002;c8_<03R;c00<002KC9]<042KC00<002Zc:[<05RZc00<002jC;Y<0D2jC00<002Zc:[<0
3bZc0P005goo000[Ool00e5c001=L`02CG<01@00CI==TdfC00000dVc00D004GCAM=5d`0000A1l`03
000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03
;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`04
7_<00`007a<O4`057a<00`006c<K<`076c<00`005e<GD`085e<00`004g<CL`0:4g<00`003g<?L`0>
3g<00`003i<?T`0S3i<@00023i<YOVHD3g<00`004g<CL`0@4g<00`005e<GD`0>5e<00`006c<K<`0>
6c<00`007a<O4`0<7a<00`007_<Nl`0>7_<00`008_<Rl`0>8_<00`009]<Vd`0@9]<2000G:[<2001?
;Y<00`00:[<Z/`0?:[<00`009]<0000GOol002]oo`03DG<004ec009=L`05001=TdfCCI<00003BK<0
1@00AM=5ddGC0000147c00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000R
lb;c00@Rl`03000Nlakc00@Nl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00LGD`03000C
La=c00XCL`03000?L`mc00h?L`03000?T`nC01l?T`D0010;/binIQ8?L`80014CL`03000GDaMC00hG
D`03000K<a/c00hK<`03000O4alC00`O4`8000lNl`03000Rlb;c00hRl`03000VdbKC014Vd`03000Z
/bZc01HZ/`8004/^T`80018Z/`03000Vd`0001Moo`00:goo00=AL`00CG<00Tec00D004fCCI==T`00
00=9/`050015ddGCAM<00004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00SIC
00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC
00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01a/c00<001MC5e<01aMC
00<001=c4g<02Q=c00<000mc3g<03@mc0P0070nC1P004`^c<WiV4Pmc00<001=c4g<03a=c0P003aMC
00<001/c6c<03Q/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c0P004RKC0P0062Zc
0P00AbjC0P004bZc00@002KC9]<001Moo`00:goo00=AL`00CG<00Tec00D004fCCI==T`0000=9/`05
0015ddGCAM<00004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00S9c00<002ic;W<00Ric00<002jC;Y<012jC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c
8_<00b;c00<001kc7_<01Akc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<021MC00<001=c
4g<02A=c00<000mc3g<03@mc00<000nC3i<06@nC0`005P^c=giV4@mc00<001=c4g<041=c00<001MC
5e<03AMC00<001/c6c<03Q/c00<001lC7a<031lC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC
9]<04BKC00<002Zc:[<05bZc00<002jC;Y<0@bjC00<002Zc:[<04RZc00D002KC9]<Vd`0001Moo`00
:goo00D004ecCG==L`0000A=T`050019/dVcBK<00003AM<00`00@O=1l`02@O<01@00?O<mlcgc0000
13hC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<0
1QlC00<001/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<02A=c00<000mc3g<03@mc00<000nC3i<0
60nC0P005`^c?GiV3Pmc00<001=c4g<03a=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<0
3AlC00<001kc7_<03Qkc00<002;c8_<03R;c00<002KC9]<04RKC00<002Zc:[<05bZc0P00@BjC0P00
52Zc00<002KC9]<00RKC00<007ooOol05Goo000[Ool01@00CG==Ldec00000dfC00D004VcBK=9/`00
00=5d`030011ld7c0091l`03000mlcgc008ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00
<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`00
8_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`066c<00`005e<GD`085e<00`00
4g<CL`094g<00`003g<?L`0=3g<00`003i<?T`0F3i<2000G2k<GOVH22k<3000?3i<GOVH<3g<00`00
4g<CL`0?4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0<7a<00`007_<Nl`0?7_<00`00
8_<Rl`0>8_<00`009]<Vd`0B9]<00`00:[<Z/`0H:[<2000m;Y<2000E:[<00`009]<Vd`039]<00`00
Oomoo`0EOol002]oo`05001=LdecCG<00003CI<01@00BK=9/dVc00000dGC00<0047c@O<00T7c00<0
03gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^
L`03000^TbjC00@^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03000Nlakc00DN
l`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00TCL`03000?L`mc00d?
L`03000?T`nC01H?T`03000;/`^c01@;/a9nIPd;/`80014?TaInIPX?L`03000CLa=c00lCL`03000G
DaMC00hGD`03000K<a/c00dK<`03000O4alC00`O4`03000Nlakc00hNl`03000Rlb;c00lRl`03000V
dbKC018Vd`03000Z/bZc01TZ/`8003X^T`03000Z/bZc01@Z/`03000VdbKC00@Vd`03001oogoo01Eo
o`00:goo0dec00<004fCCI<00TfC00D004VcBK=9/`0000=5d`030011ld7c0091l`05000mlcgc?O<0
0004?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O
4`057a<00`006c<K<`066c<00`005e<GD`085e<00`004g<CL`084g<00`003g<?L`0=3g<00`003i<?
T`0E3i<2000E2k<@OVHC2k<2000E3i<BOVH83g<00`004g<CL`0?4g<00`005e<GD`0>5e<00`006c<K
<`0=6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0B9]<00`00:[<Z
/`0J:[<2000f;Y<2000G:[<00`009]<Vd`049]<00`00Oomoo`0EOol002]oo`==L`03001=TdfC009=
T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<0
03IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<0
02KC9]<012KC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01Q/c00<0
01MC5e<01aMC00<001=c4g<02A=c00<000mc3g<030mc00<000nC3i<04`nC0`005@^c47iV5`^c00<0
00nC3i<050nC4WiV1`mc00<001=c4g<03a=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<0
3AlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<04RKC00<002Zc:[<06bZc0P00<RjC0P00
62Zc00<002KC9]<01BKC00<007ooOol05Goo000[Ool3CG<00`00CI==T`02CI<01@00BK=9/dVc0000
0TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<0
0SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<0
12KC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01QlC00<001/c6c<01Q/c00<001MC5e<0
1QMC00<001=c4g<02A=c00<000mc3g<030mc00<000nC3i<04`nC00<000^c2k<050^c3giV6`^c0P00
5PnC4GiV1`mc0P0041=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<0
3Qkc00<002;c8_<03b;c00<002KC9]<04RKC0P007BZc1000:bjC0`0062Zc0P0022KC00<007ooOol0
5Goo000[Ool3CG<01@00CI==TdfC000014Vc00@004GCAM<000A1l`03000mlcgc008ml`05000n4chC
?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00
:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`00
6c<K<`066c<00`005e<GD`075e<00`004g<CL`094g<00`003g<?L`0;3g<00`003i<?T`0B3i<2000F
2k<>OVHO2k<2000H3i<?OVH73g<00`004g<CL`0>4g<00`005e<GD`0>5e<00`006c<K<`0<6c<00`00
7a<O4`0>7a<00`007_<Nl`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0C9]<00`00:[<Z/`0N:[<2000W
;Y<2000J:[<00`009]<Vd`089]<00`00Oomoo`0EOol002]oo`9=L`03001=TdfC009=T`050019/dVc
BK<00003AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC
00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<01QMC
00<001=c4g<02A=c00<000mc3g<030mc00<000nC3i<04@nC00<000^c2k<05@^c3GiV8`^c00<000nC
3i<05`nC00<007iVOVH02giV1`mc00<001=c4g<03Q=c00<001MC5e<03QMC00<001/c6c<031/c00<0
01lC7a<03QlC00<001kc7_<03Akc00<002;c8_<042;c00<002KC9]<04bKC00<002Zc:[<07bZc0`00
82jC10006bZc00<002KC9]<02BKC00<007ooOol05Goo000[Ool2CG<01@00CI==TdfC000014Vc00D0
04GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<R
l`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`066c<00`005e<GD`075e<00`004g<C
L`094g<00`003g<?L`0;3g<00`003i<?T`0A3i<00`002k<;/`0D2k<=OVHV2k<2000H3i<2000=OVH5
3g<00`004g<CL`0?4g<00`005e<GD`0>5e<00`006c<K<`0<6c<00`007a<O4`0=7a<00`007_<Nl`0>
7_<00`008_<Rl`0@8_<00`009]<Vd`0C9]<00`00:[<Z/`0Q:[<2000K;Y<3000O:[<00`009]<Vd`09
9]<00`00Oomoo`0EOol002]oo`9=L`05001=TdfCCI<00004BK<01@00AM=5ddGC00000d7c00<003gc
?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03
000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03
000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00/?L`03
000?T`nC014?T`03000;/`^c01@;/`anIRX;/`<001L?T`03000?LgiV00]nIPD?L`03000CLa=c00lC
L`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c010R
l`03000VdbKC01<Vd`03000Z/bZc028Z/`D000l^T`L0024Z/`03000VdbKC00XVd`03001oogoo01Eo
o`00:goo0Tec00D004fCCI==T`0000=9/`030015ddGC0095d`050011ld7c@O<00004?O<01@00?Q<n
4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<0
02Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<011lC00<0
01/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<021=c00<000mc3g<02`mc00<000nC3i<04@nC00<0
00^c2k<050^c2giV;`^c00<000nC3i<05@nC00<000mc3g<037iV10mc00<001=c4g<03Q=c00<001MC
5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC
9]<04bKC00<002Zc:[<09RZc3`009bZc00<002KC9]<02bKC00<007ooOol05Goo000[Ool2CG<01@00
CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`066c<00`00
5e<GD`075e<00`004g<CL`074g<00`003g<?L`0;3g<00`003i<?T`0@3i<2000F2k<:OVHb2k<2000F
3i<010003g<?L`mc2giV10mc00<001=c4g<03Q=c00<001MC5e<03QMC00<001/c6c<03A/c00<001lC
7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC9]<04bKC00<002Zc:[<0FRZc00<002KC
9]<032KC00<007ooOol05Goo000[Ool00dec001=T`02CI<00`00BK=9/`02BK<01@00AM=5ddGC0000
0d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^
Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000N
lakc00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?
L`mc00/?L`03000?T`nC00l?T`03000;/`^c01D;/`YnISD;/`03000?T`nC01@?T`04000?L`mc3g<<
OVH33g<00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<N
l`0>7_<00`008_<Rl`0@8_<00`009]<Vd`0C9]<2001I:[<00`009]<Vd`0=9]<00`00Oomoo`0EOol0
02]oo`03CG<004fC009=T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00
?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC
00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC
00<001/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<02`mc00<000nC3i<03`nC
00<000^c2k<050^c2WiV>0^c00<000nC3i<050nC00<000mc3g<00Pmc2giV0`mc00<001=c4g<03Q=c
00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03Qkc00<002;c8_<042;c
00<002KC9]<052KC0P00EBZc0P0042KC00<007ooOol05Goo000[Ool00dec001=T`02CI<00`00BK=9
/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008f
D`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<V
d`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00LG
D`03000CLa=c00PCL`03000?L`mc00X?L`03000?T`nC00l?T`03000;/`^c01@;/`YnISX;/`03000?
T`nC01@?T`03000?L`mc008?L`]nIP<?L`03000CLa=c00hCL`03000GDaMC00dGD`03000K<a/c00dK
<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c010Rl`03000VdbKC01DVd`80058Z/`03000V
dbKC010Vd`03001oogoo01Eoo`00:goo00==L`00CI<00TfC00<004VcBK<00TVc00D004GCAM=5d`00
00=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00
;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`00
7_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`075e<00`004g<CL`074g<00`00
3g<?L`0;3g<00`003i<?T`0>3i<00`002k<;/`0D2k<:OVH92k<5000^2k<00`003i<?T`0C3i<00`00
3g<?L`043g<;OVH23g<00`004g<CL`0=4g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0=
7a<00`007_<Nl`0?7_<00`008_<Rl`0@8_<00`009]<Vd`0F9]<00`00:[<Z/`1>:[<00`009]<Vd`0@
9]<2000GOol002]oo`03CG<004fC009=T`030019/dVc0099/`050015ddGCAM<00003@O<00`00?O<m
l`02?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic00<^L`03000^TbjC00<^
T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00DO
4`03000K<a/c00DK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00X?L`03000?T`nC00h?
T`03000;/`^c01@;/`YnIP032k<0000000L000D7d`X002D;/`8001@?T`03000?L`mc00@?L`]nIP03
3g<001=c00lCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03
000Rlb;c014Rl`03000VdbKC01HVd`8004dZ/`03000VdbKC010Vd`03000Rl`0001Moo`00:goo00==
L`00CI<00TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<0
03IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<0
02KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c00<0
01MC5e<01aMC00<001=c4g<01a=c00<000mc3g<02Pmc00<000nC3i<03PnC00<000^c2k<050^c2WiV
0P0060OC0P009@^c00<000nC3i<04PnC00<000mc3g<01@mc2WiV00<?L`004g<03a=c00<001MC5e<0
3AMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03akc00<002;c8_<04B;c00<002KC9]<0
5bKC00<002Zc:[<0B2Zc0P004bKC00<002;c00005goo000[Ool00dec001=T`02CI<01@00BK=9/dVc
00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02
<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`03
8_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`075e<00`004g<CL`08
4g<00`003g<?L`0:3g<00`003i<?T`0=3i<00`002k<;/`0D2k<:OVH00`001m<7d`0J1m<3000S2k<0
0`003i<?T`0B3i<00`003g<?L`053g<;OVH00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=
6c<00`007a<O4`0=7a<00`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0G9]<00`00:[<Z/`16
:[<00`009]<Vd`0B9]<010008_<Rl`005goo000[Ool00dec001=T`02CI<01@00BK=9/dVc00000dGC
00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`00
7_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`075e<00`004g<CL`074g<00`00
3g<?L`0:3g<00`003i<?T`0=3i<00`002k<;/`0D2k<:OVHQ1m<2000R2k<00`003i<?T`0B3i<00`00
3g<?L`053g<;OVH00`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0=7a<0
0`007_<Nl`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0G9]<00`00:[<Z/`14:[<00`009]<Vd`0B9]<0
1@008_<Rlb;c00005goo000[Ool00dec001=T`02CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`00
00@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00
;Y<^T`02;Y<00`00:[<Z/`04:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`00
7a<O4`057a<00`006c<K<`056c<00`005e<GD`075e<00`004g<CL`074g<00`003g<?L`093g<00`00
3i<?T`0=3i<00`002k<;/`0D2k<:OVHT1m<3000P2k<00`003i<?T`0B3i<00`003g<?L`063g<:OVH0
0`004g<CL`0>4g<00`005e<GD`0=5e<00`006c<K<`0<6c<00`007a<O4`0>7a<00`007_<Nl`0?7_<0
0`008_<Rl`0A8_<00`009]<Vd`0G9]<00`00:[<Z/`13:[<00`009]<Vd`0A9]<00`008_<Rl`028_<0
0`00Oomoo`0EOol002]oo`03001=TdfC009=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc
00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC
008^T`03000Z/bZc00@Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC
00@O4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc00T?L`03000?T`nC
00d?T`03000;/`^c01@;/`YnIRP7d`8001l;/`03000?T`nC018?T`03000?L`mc00H?L`]nIPlCL`03
000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00hNl`03000Rlb;c018Rl`03
000VdbKC01LVd`80044Z/`8001@Vd`03000Rlb;c008Rl`03001oogoo01Eoo`00:goo00D004fCCI==
T`0000=9/`050015ddGCAM<00003@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<01@00>S<j<cXc0000
13IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<0
1QMC00<001=c4g<01a=c00<000mc3g<02@mc00<000nC3i<03@nC00<000^c2k<04`^c2WiV:`OC0P00
7P^c00<000nC3i<04PnC00<000mc3g<01Pmc2giV3a=c00<001MC5e<03AMC00<001/c6c<031/c00<0
01lC7a<03QlC00<001kc7_<03akc00<002;c8_<04B;c00<002KC9]<06BKC00<002Zc:[<0?2Zc0P00
5BKC00<002;c8_<00b;c00<007ooOol05Goo000[Ool01@00CI==TdfC00000dVc00D004GCAM=5d`00
00=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`00
7_<Nl`047_<00`007a<O4`047a<00`006c<K<`066c<00`005e<GD`065e<00`004g<CL`074g<00`00
3g<?L`093g<00`003i<?T`0=3i<00`002k<;/`0C2k<:OVH^1m<2000M2k<00`003i<?T`0B3i<00`00
3g<?L`073g<:OVH?4g<00`005e<GD`0<5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0>
7_<00`008_<Rl`0B8_<00`009]<Vd`0I9]<2000k:[<00`009]<Vd`0E9]<00`008_<Rl`038_<00`00
Oomoo`0EOol002]oo`A=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`00
00@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc
008Z/`8000DVd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03
000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc00T?L`03000?T`nC00`?T`03000;/`^c01<;/`Yn
IS47d`8001`;/`03000?T`nC018?T`03000?L`mc00L?L`YnIPhCL`03000GDaMC00dGD`03000K<a/c
00dK<`03000O4alC00hO4`03000Nlakc00hNl`8001<Rl`8001/Vd`8003LZ/`8001LVd`03000Rlb;c
00@Rl`03001oogoo01Eoo`00:goo14fC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00
?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC
00<002Zc:[<00RZc00<002KC9]<012KC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC
00<001/c6c<01Q/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<030nC
00<000^c2k<04`^c2WiV=0OC00<000^c2k<06P^c00<000nC3i<04PnC00<000mc3g<01`mc2GiV3a=c
00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03akc00<002;c8_<04R;c
00<002KC9]<06RKC00<002Zc:[<0<bZc00<002KC9]<05RKC00<002;c8_<01B;c00<007ooOol05Goo
000[Ool4CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`066c<00`00
5e<GD`065e<00`004g<CL`074g<00`003g<?L`093g<00`003i<?T`0<3i<00`002k<;/`0C2k<9OVHf
1m<00`002k<;/`0I2k<00`003i<?T`0B3i<00`003g<?L`093g<8OVH>4g<00`005e<GD`0=5e<00`00
6c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0@7_<00`008_<Rl`0B8_<00`009]<Vd`0J9]<2000a
:[<2000H9]<00`008_<Rl`068_<00`00Oomoo`0EOol002]oo`==T`050019/dVcBK<00003AM<01@00
@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00@O4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc
00P?L`03000?T`nC00`?T`03000;/`^c01<;/`QnIST7d`8001X;/`03000?T`nC018?T`03000?L`mc
00T?L`QnIPhCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00lNl`03
000Rlb;c018Rl`03000VdbKC01`Vd`8002dZ/`8001XVd`03000Rlb;c00HRl`03001oogoo01Eoo`00
:goo0dfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC
=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC
9]<00bKC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC
5e<01QMC00<001=c4g<01a=c00<000mc3g<02@mc00<000nC3i<030nC00<000^c2k<04P^c27iV?0OC
00<000^c2k<060^c00<000nC3i<04PnC00<000mc3g<02@mc27iV3A=c00<001MC5e<03AMC00<001/c
6c<03Q/c00<001lC7a<03AlC00<001kc7_<041kc00<002;c8_<04R;c00<002KC9]<07BKC0P00:BZc
0P006bKC00<002;c8_<01b;c00<007ooOol05Goo000[Ool3CI<01@00BK=9/dVc00000dGC00D0047c
@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`03
7_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`08
3g<00`003i<?T`0<3i<00`002k<;/`0B2k<8OVHn1m<2000I2k<00`003i<?T`0A3i<00`003g<?L`09
3g<9OVH=4g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0@7_<00`00
8_<Rl`0B8_<2000O9]<3000T:[<2000L9]<00`008_<Rl`088_<00`00Oomoo`0EOol002]oo`==T`05
0019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03
000Rlb;c00@Rl`03000Nlakc00<Nl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00HGD`03
000CLa=c00HCL`03000?L`mc00P?L`03000?T`nC00`?T`03000;/`^c018;/`UnIT07d`03000;/`^c
01L;/`03000?T`nC014?T`03000?L`mc00T?L`UnIPdCL`03000GDaMC00dGD`03000K<a/c00dK<`03
000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c01<Rl`03000VdbKC01lVd`80020Z/`8001dVd`03
000Rlb;c00TRl`03001oogoo01Eoo`00:goo0dfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004
?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC
;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC
7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC
3i<030nC00<000^c2k<04@^c2GiV@POC0P0060^c00<000nC3i<040nC00<000mc3g<02Pmc27iV3Q=c
00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<04Akc00<002;c8_<04b;c
00<002KC9]<082KC0P0072Zc0P007RKC00<002;c8_<02R;c00<007ooOol05Goo000[Ool2CI<01@00
BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`00
8_<Rl`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`065e<00`00
4g<CL`074g<00`003g<?L`073g<00`003i<?T`0<3i<00`002k<;/`0A2k<00`00OVInIP06OVI51m<0
0`002k<;/`0E2k<00`003i<?T`0A3i<00`003g<?L`0:3g<8OVH=4g<00`005e<GD`0=5e<00`006c<K
<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0C8_<00`009]<Vd`0R9]<4000E:[<3
000P9]<00`008_<Rl`0:8_<00`00Oomoo`0EOol002]oo`9=T`050019/dVcBK<00003AM<01@00@O=1
ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^
L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00<N
l`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00P?
L`03000?T`nC00`?T`03000;/`^c010;/`03001nIWiV00InITL7d`03000;/`^c01D;/`03000?T`nC
014?T`03000?L`mc00X?L`QnIPdCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03
000Nlakc010Nl`03000Rlb;c01<Rl`03000VdbKC02DVd`H000XZ/`D0028Vd`03000Rlb;c00/Rl`03
001oogoo01Eoo`006Woo00=bGc`OD_l03Woo0TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004
?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC
;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC
7a<011lC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC
3i<02`nC00<000^c2k<04@^c27iVB0OC00<000^c2k<05P^c00<000nC3i<040nC00<000mc3g<02`mc
27iV31=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<041kc00<002;c
8_<052;c00<002KC9]<0:RKC2P009RKC00<002;c8_<032;c00<007ooOol05Goo000JOol00g9O?1mB
o`0>Ool2CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`056c<00`00
5e<GD`065e<00`004g<CL`074g<00`003g<?L`083g<00`003i<?T`0;3i<00`002k<;/`0@2k<8OVI:
1m<00`002k<;/`0F2k<00`003i<?T`0@3i<00`003g<?L`0:3g<9OVH<4g<00`005e<GD`0=5e<00`00
6c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0D8_<00`009]<Vd`1I9]<00`00
8_<Rl`0<8_<00`00Oomoo`0EOol001Yoo`03LUll7e;o00ioo`9=T`050019/dVcBK<00003AM<01@00
@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00LGD`03000CLa=c00LCL`03000?L`mc
00P?L`03000?T`nC00X?T`03000;/`^c00l;/`8000QnIT/7d`03000;/`^c01H;/`03000?T`nC010?
T`03000?L`mc00X?L`UnIP/CL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00hO4`03000N
lakc010Nl`03000Rlb;c01@Rl`03000VdbKC05LVd`03000Rlb;c00dRl`03001oogoo01Eoo`006Woo
00=bGc`OD_l03Woo0TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<0
0bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<01AlC00<001/c6c<0
11/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<02`nC00<000^c2k<0
3P^c00<000OCOVH01giVC@OC0P005P^c00<000nC3i<040nC00<000mc3g<02`mc27iV31=c00<001MC
5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<04Akc00<002;c8_<052;c00<002KC
9]<0EBKC00<002;c8_<03R;c00<007ooOol05Goo000JOol00g9O?1mBo`0>Ool00dfC0019/`02BK<0
1@00AM=5ddGC0000147c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000C
La=c00LCL`03000?L`mc00P?L`03000?T`nC00X?T`03000;/`^c00l;/`03001nIWiV00InIU07d`03
000;/`^c01@;/`03000?T`nC010?T`03000?L`mc00/?L`QnIP/CL`03000GDaMC00dGD`03000K<a/c
00hK<`03000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c01@Rl`03000VdbKC05DVd`03000Rlb;c
00hRl`03001oogoo01Eoo`002Goo00=Ygc`O?1l01c`O00=:GgooOol017oo00=bGc`OD_l03Woo00==
T`00BK<00TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<V
d`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`056c<00`005e<G
D`055e<00`004g<CL`074g<00`003g<?L`083g<00`003i<?T`0;3i<00`002k<;/`0>2k<00`001m=n
IP07OVI@1m<00`002k<;/`0D2k<00`003i<?T`0@3i<00`003g<?L`0<3g<8OVH;4g<00`005e<GD`0=
5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0A7_<00`008_<Rl`0D8_<00`009]<Vd`1C
9]<00`008_<Rl`0?8_<00`00Oomoo`0EOol001Yoo`03LUll7e;o00ioo`03CI<004Vc0099/`050015
ddGCAM<00004@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<0
0b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<0
1a=c00<000mc3g<020mc00<000nC3i<02PnC00<000^c2k<03`^c00<007iVOVH01WiVDPOC00<000^c
2k<050^c00<000nC3i<040nC00<000mc3g<030mc27iV2Q=c00<001MC5e<03AMC00<001/c6c<03Q/c
00<001lC7a<03QlC00<001kc7_<041kc00<002;c8_<05B;c0P00DRKC00<002;c8_<042;c00<007oo
Ool05Goo000JOol00g9O?1mBo`0>Ool00dfC0019/`02BK<01@00AM=5ddGC0000147c00D003gc?O<m
l`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O
4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00P?L`03000?
T`nC00T?T`03000;/`^c00l;/`030007dgiV00InIQ`7d`l002T7d`03000;/`^c01@;/`03000?T`nC
010?T`03000?L`mc00/?L`UnIPXCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03
000Nlakc014Nl`03000Rlb;c01HRl`03000VdbKC04hVd`03000Rlb;c010Rl`8001Moo`006Woo00=b
Gc`OD_l03Woo00==T`00BK<00TVc00D004GCAM=5d`0000A1l`05000mlcgc?O<00003?Q<00`00>S<j
<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z
/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K
<`046c<00`005e<GD`065e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?T`0:3i<00`002k<;
/`0>2k<00`001m=nIP07OVHH1m<4000?0o<2000X1m<00`002k<;/`0C2k<00`003i<?T`0@3i<00`00
3g<?L`0<3g<9OVH94g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0A
7_<00`008_<Rl`0F8_<00`009]<Vd`1<9]<00`008_<Rl`0A8_<2000GOol001Yoo`03LUll7e;o00io
o`03CI<004Vc0099/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@f
D`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<V
d`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DG
D`03000CLa=c00LCL`03000?L`mc00P?L`03000?T`nC00T?T`03000;/`^c00h;/`030007d`OC00Mn
IQL7d`8001D3l`@002D7d`03000;/`^c01<;/`03000?T`nC010?T`03000?L`mc00`?L`QnIPXCL`03
000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc014Nl`03000Rlb;c01LRl`03
000VdbKC04XVd`03000Rlb;c014Rl`03000Nl`0001Moo`005goo00IM7c`OJombGc`OD_l>Ool00dfC
0019/`02BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`00
8_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`065e<00`00
4g<CL`064g<00`003g<?L`083g<00`003i<?T`0:3i<00`002k<;/`0=2k<00`001m<7d`08OVHE1m<2
000K0o<3000S1m<00`002k<;/`0B2k<00`003i<?T`0@3i<00`003g<?L`0=3g<8OVH94g<00`005e<G
D`0=5e<00`006c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0A7_<00`008_<Rl`0G8_<00`009]<V
d`199]<00`008_<Rl`0A8_<00`007_<0000GOol001Moo`06O_ll7c`OBAll7e;o3Woo00==T`00BK<0
0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<0
0b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01QMC00<001=c4g<0
1Q=c00<000mc3g<020mc00<000nC3i<02@nC00<000^c2k<03P^c00<000OC1m<01giV5@OC00<000?c
0o<07P?c00<000OC1m<08@OC00<000^c2k<04P^c00<000nC3i<040nC00<000mc3g<03@mc27iV2A=c
00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03alC00<001kc7_<04Akc00<002;c8_<05b;c
00<002KC9]<0AbKC00<002;c8_<04B;c00@001kc7_<001Moo`006Goo00AM7c`O?1mBo`ioo`03CI<0
04Vc0099/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00HGD`03000C
La=c00HCL`03000?L`mc00L?L`03000?T`nC00X?T`03000;/`^c00d;/`030007d`OC00QnIQ<7d`80
0283l`800287d`03000;/`^c018;/`03000?T`nC010?T`03000?L`mc00d?L`QnIPPCL`03000GDaMC
00dGD`03000K<a/c00hK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC
04DVd`03000Rlb;c014Rl`05000Nlakc7_<0000GOol001Yoo`03GAll7e;o00ioo`03CI<004Vc0099
/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008b
L`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000Rlb;c00<R
l`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00HC
L`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00h;/`030007d`OC00MnIQ87d`8002H3l`80
0207d`03000;/`^c018;/`03000?T`nC010?T`03000?L`mc00d?L`QnIPTCL`03000GDaMC00dGD`03
000K<a/c00dK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01PRl`03000VdbKC04<Vd`03
000Rlb;c018Rl`05000Nlakc7_<0000GOol001]oo`03D1mBogoo00eoo`050019/dVcBK<00003AM<0
1@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`05000bLc9c<W<00004;W<0
0`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<0
0`007a<O4`047a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`064g<00`003g<?L`073g<0
0`003i<?T`0:3i<00`002k<;/`0=2k<010001m<7d`OC1giV4@OC00<000?c0o<0:0?c00<000OC1m<0
7POC00<000^c2k<04P^c00<000nC3i<040nC00<000mc3g<03@mc27iV21=c00<001MC5e<03AMC00<0
01/c6c<03Q/c00<001lC7a<03alC00<001kc7_<04Akc00<002;c8_<062;c00<002KC9]<0@BKC00<0
02;c8_<04R;c00<001kc7_<00Qkc00<007ooOol05Goo000[Ool01@00BK=9/dVc00000dGC00D0047c
@O=1l`0000@ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC
;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC
7a<011lC00<001/c6c<011/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC
3i<02@nC00<000^c2k<03P^c00<000OC1m<01giV40OC0P00;0?c0P007POC00<000^c2k<04P^c00<0
00nC3i<040nC00<000mc3g<03Pmc1giV2A=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<0
3alC00<001kc7_<04Akc00<002;c8_<06B;c00<002KC9]<0?bKC00<002;c8_<04b;c00<001kc7_<0
0Qkc00<007ooOol05Goo000[Ool01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC
?Q<00004>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc
00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<011/c
00<001MC5e<01AMC0P0021=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<03@^c00@000OC
1m<7d`MnIPl7d`030003l`?c02h3l`030007d`OC01`7d`03000;/`^c018;/`80014?T`03000?L`mc
00d?L`QnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00lO4`03000Nlakc014Nl`03
000Rlb;c01TRl`03000VdbKC03dVd`03000Rlb;c01@Rl`03000Nlakc008Nl`03001oogoo01Eoo`00
:goo00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC=U<f
D`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000C
La=c00LCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00h;/`030007d`OC00QnIPh7d`03
0003l`?c0303l`030007d`OC01`7d`03000;/`^c018;/`03000?T`nC00l?T`03000?L`mc00h?L`Mn
IPTCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00lO4`03000Nlakc018Nl`03000Rlb;c
01TRl`03000VdbKC03/Vd`03000Rlb;c01@Rl`03000Nlakc00<Nl`03001oogoo01Eoo`00:goo00D0
04VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@b
L`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<R
l`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HC
L`03000?L`mc00P?L`03000?T`nC00P?T`03000;/`^c00d;/`040007d`OC1m<7OVH?1m<00`000o<3
l`0a0o<00`001m<7d`0K1m<00`002k<;/`0C2k<00`003i<?T`0?3i<00`003g<?L`0=3g<8OVH84g<0
0`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0?7a<00`007_<Nl`0A7_<00`008_<Rl`0J8_<0
0`009]<Vd`0j9]<00`008_<Rl`0D8_<00`007_<Nl`037_<00`00Oomoo`0EOol002]oo`A9/`050015
ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000Rlb;c008Rl`03000N
lakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00LCL`03000?
L`mc00L?L`03000?T`nC00T?T`03000;/`^c00d;/`030007d`OC00QnIPh7d`030003l`?c03<3l`80
01`7d`03000;/`^c018;/`03000?T`nC00l?T`03000?L`mc00h?L`MnIPTCL`03000GDaMC00dGD`03
000K<a/c00dK<`03000O4alC00lO4`03000Nlakc018Nl`03000Rlb;c01XRl`03000VdbKC03PVd`03
000Rlb;c01@Rl`03000Nlakc00@Nl`03001oogoo01Eoo`00:goo14Vc00D004GCAM=5d`0000=1l`05
000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC
;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC
7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<020mc00<000nC
3i<02@nC00<000^c2k<030^c00@000OC1m<7d`MnIPd7d`8003P3l`030007d`OC01T7d`03000;/`^c
01<;/`03000?T`nC00l?T`03000?L`mc00d?L`QnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03
000O4alC00hO4`03000Nlakc018Nl`03000Rlb;c01/Rl`8003LVd`03000Rlb;c01DRl`03000Nlakc
00@Nl`03001oogoo01Eoo`00:goo14Vc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<20003
>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02
:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`04
6c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?T`093i<00`002k<;/`0<
2k<00`001m<7d`08OVH<1m<00`000o<3l`0i0o<00`001m<7d`0I1m<00`002k<;/`0B2k<00`003i<?
T`0?3i<00`003g<?L`0>3g<7OVH94g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0?7a<0
0`007_<Nl`0B7_<00`008_<Rl`0K8_<00`009]<Vd`0d9]<00`008_<Rl`0E8_<00`007_<Nl`057_<0
0`00Oomoo`0EOol002]oo`A9/`050015ddGCAM<00003@O<01@00?O<mlcgc00000chC00<003Xc>S<0
0SXc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<0
0RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<0
11/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<020mc00<000nC3i<02@nC00<000^c2k<0
30^c00<000OC1m<01giV30OC00<000?c0o<0>P?c00<000OC1m<06POC00<000^c2k<04@^c00<000nC
3i<03`nC00<000mc3g<03Pmc27iV21=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<041lC
00<001kc7_<04Qkc00<002;c8_<06b;c00<002KC9]<0<RKC00<002;c8_<05R;c00<001kc7_<01Akc
00<007ooOol05Goo000[Ool4BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc
008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc
008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c
00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c
00`;/`030007d`OC00QnIP/7d`030003l`?c03`3l`030007d`OC01T7d`03000;/`^c018;/`03000?
T`nC00h?T`03000?L`mc00l?L`MnIPTCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00lO
4`03000Nlakc018Nl`03000Rlb;c01`Rl`03000VdbKC02lVd`8001PRl`03000Nlakc00HNl`03001o
ogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00003>S<0
0`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<0
0`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<0
0`005e<GD`055e<00`004g<CL`064g<00`003g<?L`083g<00`003i<?T`093i<00`002k<;/`0<2k<0
0`001m<7d`07OVH;1m<00`000o<3l`0n0o<00`001m<7d`0I1m<00`002k<;/`0A2k<00`003i<?T`0?
3i<00`003g<?L`0>3g<8OVH84g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`00
7_<Nl`0B7_<00`008_<Rl`0L8_<00`009]<Vd`0]9]<00`008_<Rl`0H8_<00`007_<Nl`067_<00`00
Oomoo`0EOol002]oo`=9/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC00000cXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc
00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c
00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<030^c
00@000OC1m<7d`MnIP/7d`030003l`?c03l3l`030007d`OC01P7d`03000;/`^c018;/`03000?T`nC
00h?T`03000?L`mc00l?L`MnIPTCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00lO4`03
000Nlakc018Nl`03000Rlb;c01dRl`03000VdbKC02/Vd`03000Rlb;c01PRl`03000Nlakc00LNl`03
001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00003
>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03
:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`04
6c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0<
2k<00`001m<7d`07OVH;1m<00`000o<3l`110o<00`001m<7d`0H1m<00`002k<;/`0A2k<00`003i<?
T`0?3i<00`003g<?L`0>3g<8OVH84g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0@7a<0
0`007_<Nl`0B7_<00`008_<Rl`0M8_<2000Z9]<00`008_<Rl`0I8_<00`007_<Nl`077_<00`00Oomo
o`0EOol002]oo`=9/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@f
D`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<V
d`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DG
D`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00`;/`030007d`OC00Mn
IPX7d`030003l`?c0483l`030007d`OC01T7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc
00h?L`03001nIWiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC010O4`03000N
lakc018Nl`03000Rlb;c01lRl`03000VdbKC02HVd`03000Rlb;c01XRl`03000Nlakc00LNl`03001o
ogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc0000
13IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<0
1AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00@000OC1m<7
d`InIP/7d`030003l`?c04<3l`030007d`OC01P7d`03000;/`^c014;/`03000?T`nC00l?T`03000?
L`mc00d?L`03001nIWiV00EnIPPCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC010O4`03
000Nlakc018Nl`03000Rlb;c01lRl`03000VdbKC02@Vd`03000Rlb;c01XRl`03000Nlakc00PNl`03
001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02
>S<00`00=U<fD`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC
9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC
5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<030^c00@000OC
1m<7d`InIPX7d`030003l`?c04D3l`030007d`OC01P7d`03000;/`^c010;/`03000?T`nC00l?T`03
000?L`mc00h?L`03001nIWiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC010O
4`03000Nlakc01<Nl`03000Rlb;c01lRl`03000VdbKC028Vd`03000Rlb;c01/Rl`03000Nlakc00PN
l`03001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j
<`02>S<00`00=U<fD`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<0
02KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<0
01MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00@0
00OC1m<7d`MnIPX7d`030003l`?c04H3l`030007d`OC01L7d`03000;/`^c014;/`03000?T`nC00l?
T`03000?L`mc00d?L`03001nIWiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC
010O4`03000Nlakc018Nl`03000Rlb;c020Rl`03000VdbKC01lVd`8001dRl`03000Nlakc00TNl`03
001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02
>S<00`00=U<fD`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC
9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC
5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00@000OC
1m<7d`InIPX7d`030003l`?c04P3l`030007d`OC01L7d`03000;/`^c010;/`03000?T`nC00l?T`03
000?L`mc00d?L`03001nIWiV00EnIPPCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC010O
4`03000Nlakc01<Nl`03000Rlb;c020Rl`8001hVd`03000Rlb;c01dRl`03000Nlakc00TNl`03001o
ogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<0
0`00=U<fD`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<0
1AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00@000OC1m<7
d`InIPX7d`030003l`?c02@3l`inIQL3l`030007d`OC01H7d`03000;/`^c010;/`03000?T`nC00l?
T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC
010O4`03000Nlakc01<Nl`03000Rlb;c028Rl`8001/Vd`03000Rlb;c01hRl`03000Nlakc00TNl`03
001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02
>S<00`00=U<fD`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC
9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC
5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02`^c00<000OC
1m<00POC1WiV2@OC00<000?c0o<08`?c4giV50?c00<000OC1m<05`OC00<000^c2k<040^c00<000nC
3i<03PnC00<000mc3g<03Pmc00<007iVOVH01GiV21=c00<001MC5e<03AMC00<001/c6c<03Q/c00<0
01lC7a<041lC00<001kc7_<04akc00<002;c8_<08b;c00<002KC9]<05bKC00<002;c8_<07R;c00<0
01kc7_<02Qkc00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D0
03hC?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z
/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K
<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`093i<00`002k<;
/`0;2k<010001m<7d`OC1giV2@OC00<000?c0o<08@?c5WiV50?c00<000OC1m<05POC00<000^c2k<0
40^c00<000nC3i<03`nC00<000mc3g<03@mc00<001=cOVH01GiV21=c00<001MC5e<03AMC00<001/c
6c<03Q/c00<001lC7a<041lC00<001kc7_<04akc00<002;c8_<092;c0P005BKC0P008B;c00<001kc
7_<02Qkc00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC
?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03
:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`05
6c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`093i<00`002k<;/`0;
2k<010001m<7d`OC1WiV2POC00<000?c0o<07`?c6WiV4P?c00<000OC1m<05POC00<000^c2k<040^c
00<000nC3i<03`nC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c6c<0
3A/c00<001lC7a<041lC00<001kc7_<04akc00<002;c8_<09R;c0P004BKC0P008b;c00<001kc7_<0
2Qkc00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n
4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<0
0`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<0
0`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<0
0`001m<7d`021m<6OVH91m<00`000o<3l`0N0o<NOVHA0o<00`001m<7d`0F1m<00`002k<;/`0@2k<0
0`003i<?T`0>3i<00`003g<?L`0>3g<00`00OVInIP05OVH84g<00`005e<GD`0=5e<00`006c<K<`0>
6c<00`007a<O4`0@7a<00`007_<Nl`0C7_<00`008_<Rl`0W8_<2000>9]<00`008_<Rl`0R8_<00`00
7_<Nl`0;7_<00`00Oomoo`0EOol002]oo`99/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00
?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc
00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c
00DK<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c
00/;/`040007d`OC1m<7OVH91m<00`000o<3l`0M0o<POVH@0o<00`001m<7d`0F1m<00`002k<;/`0@
2k<00`003i<?T`0>3i<00`003g<?L`0>3g<00`004g=nIP05OVH84g<00`005e<GD`0=5e<00`006c<K
<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0C7_<00`008_<Rl`0Y8_<>000U8_<00`007_<Nl`0;7_<0
0`00Oomoo`0EOol002]oo`99/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC0000
13Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000V
dbKC008Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000G
DaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`040007
d`OC1m<7OVH91m<00`000o<3l`0K0o<SOVH?0o<00`001m<7d`0F1m<00`002k<;/`0@2k<00`003i<?
T`0>3i<00`003g<?L`0>3g<00`004g=nIP05OVH84g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`00
7a<O4`0@7a<00`007_<Nl`0C7_<00`008_<Rl`1K8_<00`007_<Nl`0<7_<00`00Oomoo`0EOol002]o
o`99/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`00
00@bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c
00<Rl`03000Nlakc00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c
00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`040007d`OC1m<6OVH91m<00`00
0o<3l`0K0o<=OVH:0o<>OVH?0o<00`001m<7d`0E1m<00`002k<;/`0A2k<00`003i<?T`0>3i<00`00
3g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0?7a<0
0`007_<Nl`0D7_<00`008_<Rl`1J8_<00`007_<Nl`0<7_<00`00Oomoo`0EOol002]oo`99/`050015
ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000N
lakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?
L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC0087d`InIPT7d`030003l`?c01X3
l`anIQ03l`]nIPh3l`030007d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00h?
L`03001nIWiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc
01@Nl`03000Rlb;c05TRl`03000Nlakc00`Nl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`00
00=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric
00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc
00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc
00<000nC3i<020nC00<000^c2k<02`^c00@000OC1m<7d`MnIPP7d`030003l`?c01X3l`]nIQ@3l`Yn
IPh3l`030007d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV
00EnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000R
lb;c05PRl`03000Nlakc00dNl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000m
lcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<0
11lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<0
20nC00<000^c2k<02`^c00@000OC1m<7d`InIPT7d`030003l`?c01T3l`YnIQL3l`YnIPd3l`030007
d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03
000GDaMC00dGD`03000K<a/c00lK<`03000O4alC00lO4`03000Nlakc01DNl`03000Rlb;c05LRl`03
000Nlakc00dNl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004
?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc
:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c
6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c
2k<02`^c00@000OC1m<7d`InIPP7d`030003l`?c01X3l`QnIQX3l`UnIPd3l`030007d`OC01D7d`03
000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00dG
D`03000K<a/c00lK<`03000O4alC00lO4`03000Nlakc01DNl`03000Rlb;c05LRl`03000Nlakc00dN
l`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j
<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<0
02KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<0
01MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02`^c00@0
00OC1m<7d`InIPP7d`030003l`?c01T3l`QnIQ`3l`UnIPd3l`030007d`OC01D7d`03000;/`^c010;
/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLa=c00InIPLCL`03000GDaMC00hGD`03000K<a/c
00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c05HRl`03000Nlakc00hNl`03001oogoo
01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<01@00
=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC
00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC
00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02`^c00@000OC1m<7d`Mn
IPL7d`030003l`?c01T3l`QnIQh3l`UnIP`3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC
00l?T`03000?L`mc00d?L`03000CLgiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O
4alC00lO4`03000Nlakc01DNl`03000Rlb;c05DRl`03000Nlakc00hNl`03001oogoo01Eoo`00:goo
0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000
139c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<0
0b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<0
1Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02`^c00@000OC1m<7d`InIPP7d`030003
l`?c01T3l`MnIR43l`MnIPd3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?
L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03
000Nlakc01@Nl`03000Rlb;c05@Rl`03000Nlakc00lNl`03001oogoo01Eoo`00:goo0TVc00D004GC
AM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic
;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc
7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc
3g<01Pmc00<000nC3i<020nC00<000^c2k<02`^c00@000OC1m<7d`InIPP7d`030003l`?c01P3l`Qn
IR43l`QnIP`3l`030007d`OC01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03
000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@N
l`03000Rlb;c05@Rl`03000Nlakc00lNl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1
l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<0
02jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<0
01lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<0
00nC3i<020nC00<000^c2k<02`^c00@000OC1m<7d`InIPP7d`030003l`?c01L3l`QnIR<3l`MnIPd3
l`030007d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLa=c00In
IPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c
05@Rl`03000Nlakc00lNl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc
?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC
00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC
00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC
00<000^c2k<02`^c00<000OC1m<01giV20OC00<000?c0o<05`?c27iV8`?c27iV30?c00<000OC1m<0
50OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=c4g<01WiV1a=c00<001MC
5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0Db;c00<001kc
7_<03akc00<007ooOol05Goo000[Ool00dVc0015d`02AM<00`00@O=1l`02@O<01@00?O<mlcgc0000
0chC00<003Xc>S<00SXc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC008^T`03000Z
/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K
<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;
/`^c00X;/`040007d`OC1m<6OVH81m<00`000o<3l`0G0o<8OVHU0o<7OVH<0o<00`001m<7d`0E1m<0
0`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0=
5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0D7_<00`008_<Rl`1B8_<00`007_<Nl`0@
7_<00`00Oomoo`0EOol002]oo`03BK<004GC0095d`030011ld7c0091l`05000mlcgc?O<00003?Q<0
0`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<0
0RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<0
11/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<0
2P^c00@000OC1m<7d`InIPP7d`030003l`?c01L3l`MnIRH3l`QnIP`3l`030007d`OC01@7d`03000;
/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00dGD`03
000K<a/c00lK<`03000O4alC010O4`03000Nlakc01DNl`03000Rlb;c054Rl`03000Nlakc010Nl`03
001oogoo01Eoo`00:goo00=9/`00AM<00TGC00<0047c@O<00T7c00D003gc?O<ml`0000<n4`03000j
<cXc008j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<0
0`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<0
0`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0:2k<0
10001m<7d`OC1WiV20OC00<000?c0o<05P?c27iV9`?c1giV30?c00<000OC1m<050OC00<000^c2k<0
40^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c
6c<03a/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0DB;c00<001kc7_<041kc00<007oo
Ool05Goo000[Ool00dVc0015d`02AM<00`00@O=1l`02@O<01@00?O<mlcgc00000chC00<003Xc>S<0
0SXc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000V
dbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000G
DaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00X;/`040007
d`OC1m<6OVH81m<00`000o<3l`0F0o<7OVHX0o<8OVH;0o<00`001m<7d`0D1m<00`002k<;/`0@2k<0
0`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0=5e<00`006c<K<`0?
6c<00`007a<O4`0@7a<00`007_<Nl`0E7_<00`008_<Rl`1A8_<00`007_<Nl`0@7_<00`00Oomoo`0E
Ool002]oo`03BK<004GC0095d`030011ld7c0091l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<0
1@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<0
1AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<0
1giV20OC00<000?c0o<05@?c27iV:@?c1giV2`?c00<000OC1m<050OC00<000^c2k<040^c00<000nC
3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03a/c00<0
01lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0D2;c00<001kc7_<041kc00<007ooOol05Goo000[
Ool00dVc0015d`02AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03
000CLa=c00DCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC00MnIPL7
d`030003l`?c01H3l`MnIP`3l`UnIQD3l`MnIP`3l`030007d`OC01@7d`03000;/`^c00l;/`03000?
T`nC00l?T`03000?L`mc00d?L`03001nIWiV00EnIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03
000O4alC014O4`03000Nlakc01DNl`03000Rlb;c04lRl`03000Nlakc010Nl`8001Moo`00:goo00=9
/`00AM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<R
l`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<C
L`054g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`07OVH71m<00`00
0o<3l`0F0o<7OVH:0o<;OVHF0o<7OVH;0o<00`001m<7d`0D1m<00`002k<;/`0?2k<00`003i<?T`0?
3i<00`003g<?L`0=3g<00`004g=nIP05OVH84g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O
4`0A7a<00`007_<Nl`0E7_<00`008_<Rl`1?8_<00`007_<Nl`0@7_<2000GOol002]oo`03BK<004GC
0095d`050011ld7c@O<00004?O<01@00?Q<n4chC00000cXc00<003IC=U<00SIC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c
00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00@000OC1m<7d`MnIPL7d`030003l`?c
01D3l`MnIPP3la5nIQ<3l`MnIP/3l`030007d`OC01@7d`03000;/`^c00l;/`03000?T`nC00l?T`03
000?L`mc00d?L`03000CLgiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC014O
4`03000Nlakc01DNl`03000Rlb;c04lRl`03000Nlakc010Nl`8001Moo`00:goo00=9/`00AM<00TGC
00D0047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00
;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`00
7_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`00
3g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<010001m<7d`OC1giV1`OC00<000?c0o<05@?c
1giV20?c4GiV50?c1WiV2`?c00<000OC1m<050OC00<000^c2k<03`^c00<000nC3i<03`nC00<000mc
3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<04AlC00<0
01kc7_<05Akc00<002;c8_<0Cb;c00<001kc7_<041kc0P005goo000[Ool00dVc0015d`02AM<01@00
@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc
00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc
00H?L`03000?T`nC00P?T`03000;/`^c00X;/`040007d`OC1m<7OVH71m<00`000o<3l`0D0o<7OVH9
0o<AOVHD0o<6OVH;0o<00`001m<7d`0D1m<00`002k<;/`0?2k<00`003i<?T`0?3i<00`003g<?L`0=
3g<00`004g=nIP06OVH74g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<N
l`0E7_<00`008_<Rl`1?8_<00`007_<Nl`0@7_<2000GOol002]oo`03BK<004GC0095d`050011ld7c
@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric
00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc
00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc
00<000nC3i<020nC00<000^c2k<02P^c00@000OC1m<7d`MnIPH7d`030003l`?c01D3l`MnIPT3la5n
IQ@3l`MnIP/3l`030007d`OC01<7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03
000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01HN
l`03000Rlb;c04hRl`03000Nlakc010Nl`8001Moo`00:goo00=9/`00AM<00TGC00D0047c@O=1l`00
00<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00
;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`00
7a<O4`047a<00`006c<K<`046c<00`005e<GD`045e<00`004g<CL`064g<00`003g<?L`063g<00`00
3i<?T`083i<00`002k<;/`0:2k<00`001m<7d`08OVH61m<00`000o<3l`0E0o<7OVH90o<BOVHC0o<7
OVH;0o<00`001m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=n
IP06OVH74g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0F7_<00`00
8_<Rl`1>8_<00`007_<Nl`0@7_<2000GOol002]oo`03BK<004GC0095d`050011ld7c@O<00003?O<0
0`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<0
11lC00<001/c6c<011/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<0
20nC00<000^c2k<02P^c00<000OC1m<01giV1`OC00<000?c0o<05@?c1giV2@?c4giV4P?c1giV2`?c
00<000OC1m<04`OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV
1a=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0
CR;c00<001kc7_<041kc0P005goo000[Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC
?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03
000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03
000K<a/c00@K<`03000GDaMC00@GD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03
000;/`^c00X;/`030007d`OC00MnIPL7d`030003l`?c01D3l`InIPX3l`MnIP<3l`UnIQ83l`MnIP/3
l`030007d`OC01<7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00In
IPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01HNl`03000Rlb;c
04hRl`03000Nlakc010Nl`8001Moo`0067oo00EYgc`O?1ll7dYO00ioo`03BK<004GC0095d`050011
ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<0
0Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<0
0akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<0
1Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<01giV1`OC00<000?c0o<050?c1giV2@?c
00<007iVOVH01GiV10?c27iV4P?c1giV2`?c00<000OC1m<04`OC00<000^c2k<040^c00<000nC3i<0
3PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC
7a<041lC00<001kc7_<05Qkc00<002;c8_<0CR;c00<001kc7_<041kc0P005goo000GOol00edO?1ll
7`03?1l00cgOOomoo`0;Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D0
03Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z
/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00<O4`03000K<a/c00DK
<`03000GDaMC00@GD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00X;
/`030007d`OC00MnIPL7d`030003l`?c01@3l`MnIPT3l`030003l`?c00X3l`QnIQ43l`MnIP/3l`03
0007d`OC01<7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLC
L`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000Nlakc01DNl`03000Rlb;c04dR
l`03000Nlakc014Nl`8001Moo`005Woo00Anoc`O?1m[o`9oo`03D1ll7e;o00aoo`03BK<004GC0095
d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<0
02ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<0
01kc7_<00akc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<0
00mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<01giV1`OC00<000?c0o<050?c
1giV20?c00<000?c0o<02`?c00<007iVOVH01GiV4@?c27iV2P?c00<000OC1m<04`OC00<000^c2k<0
40^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c
6c<03Q/c00<001lC7a<04AlC00<001kc7_<05Akc00<002;c8_<0CB;c00<001kc7_<04Akc0P005goo
000FOol00fWO?1mOO`03Ool00gmoB1lmg`0<Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<0
03hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^
T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00<O
4`03000K<a/c00DK<`03000GDaMC00@GD`03000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?
T`03000;/`^c00X;/`030007d`OC00MnIPL7d`030003l`?c01@3l`MnIPP3l`030003l`?c00`3l`Mn
IQ43l`QnIPX3l`030007d`OC01@7d`03000;/`^c00l;/`03000?T`nC00h?T`03000?L`mc00d?L`03
000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000Nlakc01DN
l`03000Rlb;c04dRl`03000Nlakc014Nl`8001Moo`005Woo00=@7cdOLol017oo00=M7c`OJol02goo
00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`00
8_<Rl`038_<00`007_<Nl`037_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`045e<00`00
4g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`07OVH71m<0
0`000o<3l`0D0o<7OVH80o<00`000o<3l`0<0o<7OVHA0o<8OVH:0o<00`001m<7d`0D1m<00`002k<;
/`0?2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0>5e<00`00
6c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0E7_<00`008_<Rl`1=8_<00`007_<Nl`0A7_<2000G
Ool001Eoo`03Ogm87cgO00Eoo`03JMll7emo00]oo`03BK<004GC0095d`050011ld7c@O<00003?O<0
0`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<0
0alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<0
20nC00<000^c2k<02P^c00<000OC1m<01giV1`OC00<000?c0o<050?c1giV20?c00<000?c0o<030?c
1giV4P?c1giV2P?c00<000OC1m<050OC00<000^c2k<03`^c00<000nC3i<03PnC00<000mc3g<03@mc
00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<04AlC00<001kc7_<0
5Akc00<002;c8_<0CB;c00<001kc7_<04Akc0P005goo000EOol00gmoB1lmg`05Ool00fWO?1mOO`0;
Ool00dVc0015d`02AM<01@00@O=1ld7c00000cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00@GD`03
000CLa=c00HCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00MnIPL7
d`030003l`?c01@3l`MnIPP3l`030003l`?c00`3l`MnIQ83l`MnIPX3l`030007d`OC01@7d`03000;
/`^c00l;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03
000K<a/c00hK<`03000O4alC014O4`03000Nlakc01DNl`03000Rlb;c04dRl`03000Nlakc014Nl`80
01Moo`005Goo00=oOdPO?Ml01Goo00=Ygc`OGgl02goo00=9/`00AM<00TGC00D0047c@O=1l`0000<m
l`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O
4`037a<00`006c<K<`056c<00`005e<GD`045e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?
T`083i<00`002k<;/`0:2k<00`001m<7d`07OVH71m<00`000o<3l`0D0o<7OVH80o<00`000o<3l`0<
0o<7OVHB0o<7OVH:0o<00`001m<7d`0D1m<00`002k<;/`0?2k<00`003i<?T`0>3i<00`003g<?L`0=
3g<00`004g=nIP06OVH74g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<N
l`0E7_<00`008_<Rl`1=8_<00`007_<Nl`0A7_<2000GOol001Eoo`03Ogm87cgO00Eoo`03JMll7emo
00]oo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC
00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC
00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC
00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<01giV
1`OC00<000?c0o<050?c1giV20?c00<000?c0o<030?c1giV4@?c27iV2P?c00<000OC1m<050OC00<0
00^c2k<03`^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC
00<001/c6c<03Q/c00<001lC7a<04AlC00<001kc7_<05Akc00<002;c8_<0CB;c00<001kc7_<04Akc
0P005goo000EOol00gmoB1lmg`05Ool00fWO?1mOO`0;Ool00dVc0015d`02AM<01@00@O=1ld7c0000
0cgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O
4alC00<O4`03000K<a/c00DK<`03000GDaMC00@GD`03000CLa=c00HCL`03000?L`mc00H?L`03000?
T`nC00P?T`03000;/`^c00X;/`030007d`OC00MnIPL7d`030003l`?c01@3l`QnIPL3l`030003l`?c
00`3l`MnIQ43l`QnIPX3l`030007d`OC01@7d`03000;/`^c00l;/`03000?T`nC00h?T`03000?L`mc
00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK<`03000O4alC014O4`03000N
lakc01DNl`03000Rlb;c04dRl`03000Nlakc014Nl`8001Moo`005Woo00=@7cdOLol017oo00=M7c`O
Jol02goo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`04
5e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`07
OVH71m<00`000o<3l`0D0o<8OVH70o<00`000o<3l`0;0o<00`00OVInIP05OVHA0o<8OVH:0o<00`00
1m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<0
0`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<Nl`0E7_<00`008_<Rl`1=8_<0
0`007_<Nl`0A7_<2000GOol001Ioo`03JMll7emo00=oo`03Ogm87cgO00aoo`03BK<004GC0095d`05
0011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic
;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc
7_<00akc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc
3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<01giV1`OC00<000?c0o<050?c27iV
20?c00<000?c0o<02P?c00<007iVOVH01GiV4@?c1giV2`?c00<000OC1m<04`OC00<000^c2k<040^c
00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c6c<0
3Q/c00<001lC7a<04AlC00<001kc7_<05Akc00<002;c8_<0CB;c00<001kc7_<04Akc0P005goo000F
Ool017ko?1ll7f_o0Woo00=@7c`OD_l037oo00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n
4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<0
0`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<0
0`006c<K<`046c<00`005e<GD`045e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<0
0`002k<;/`0:2k<00`001m<7d`07OVH71m<00`000o<3l`0E0o<7OVH80o<00`000o<3l`090o<00`00
OVInIP06OVHA0o<7OVH;0o<00`001m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?
L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`00
7_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0@7_<2000GOol001Moo`03JMll7c`O00<l7`03?Mmo
ogoo00]oo`03BK<004GC0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc0000
13IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<0
0bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<0
11MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<0
1giV1`OC00<000?c0o<05@?c27iV20?c00<000?c0o<020?c00<007iVOVH01WiV4@?c1giV2`?c00<0
00OC1m<04`OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c
00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0CR;c
00<001kc7_<041kc0P005goo000HOol01G9O?1ll7c`O?Ml03Woo00=9/`00AM<00TGC00D0047c@O=1
l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00<W<bL`02<W<00`00;W<^L`02;W<0
0`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<0
0`007a<O4`047a<00`006c<K<`046c<00`005e<GD`045e<00`004g<CL`064g<00`003g<?L`063g<0
0`003i<?T`083i<00`002k<;/`0:2k<00`001m<7d`08OVH61m<00`000o<3l`0E0o<7OVH90o<20007
0o<200000`?cOVInIP05OVHB0o<7OVH;0o<00`001m<7d`0C1m<00`002k<;/`0@2k<00`003i<?T`0>
3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O
4`0@7a<00`007_<Nl`0F7_<00`008_<Rl`1>8_<00`007_<Nl`0@7_<2000GOol002]oo`03BK<004GC
0095d`050011ld7c@O<00003?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<011MC00<001=c4g<01Q=c
00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00@000OC1m<7d`MnIPH7d`030003l`?c
01D3l`QnIPX3l`8000<3l`800083l`MnIQ<3l`MnIP/3l`030007d`OC01<7d`03000;/`^c010;/`03
000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00hK
<`03000O4alC010O4`03000Nlakc01HNl`03000Rlb;c04hRl`03000Nlakc010Nl`8001Moo`00:goo
00=9/`00AM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`05000j<cXc>S<00004=U<00`00
<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`00
8_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`045e<00`00
4g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<010001m<7d`OC1giV1POC
00<000?c0o<05P?c1giV30?c0`0010?c1giV4`?c1giV2`?c00<000OC1m<04`OC00<000^c2k<040^c
00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03QMC00<001/c6c<0
3Q/c00<001lC7a<041lC00<001kc7_<05Qkc00<002;c8_<0CR;c00<001kc7_<041kc0P005goo000[
Ool00dVc0015d`02AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03
000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03
000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03
000CLa=c00DCL`03000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00X;/`040007d`OC1m<7OVH7
1m<00`000o<3l`0E0o<7OVHA0o<8OVHD0o<7OVH:0o<00`001m<7d`0D1m<00`002k<;/`0?2k<00`00
3i<?T`0?3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<00`005e<GD`0=5e<00`006c<K<`0>6c<0
0`007a<O4`0A7a<00`007_<Nl`0E7_<00`008_<Rl`1?8_<00`007_<Nl`0@7_<2000GOol002]oo`03
BK<004GC0095d`050011ld7c@O<00004?O<01@00?Q<n4chC00000cXc00<003IC=U<00SIC00<0039c
<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c
8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c
4g<01A=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<02P^c00@000OC1m<7d`MnIPL7d`03
0003l`?c01D3l`MnIQ03l`UnIQ<3l`QnIPX3l`030007d`OC01@7d`03000;/`^c00l;/`03000?T`nC
00l?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O
4alC014O4`03000Nlakc01DNl`03000Rlb;c04lRl`03000Nlakc010Nl`8001Moo`00:goo00=9/`00
AM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02
<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`03
8_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`05
4g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0:2k<010001m<7d`OC1giV1`OC00<000?c
0o<05@?c27iV3P?c2GiV50?c1giV2`?c00<000OC1m<050OC00<000^c2k<03`^c00<000nC3i<03`nC
00<000mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<0
4AlC00<001kc7_<05Akc00<002;c8_<0Cb;c00<001kc7_<041kc0P005goo000[Ool00dVc0015d`02
AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03
000?L`mc00H?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC00MnIPL7d`030003l`?c01H3
l`QnIP`3l`YnIQ@3l`MnIP/3l`030007d`OC01@7d`03000;/`^c00l;/`03000?T`nC00l?T`03000?
L`mc00d?L`03000CLgiV00EnIPPCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC014O4`03
000Nlakc01DNl`03000Rlb;c04lRl`03000Nlakc010Nl`8001Moo`00:goo00=9/`00AM<00TGC00D0
047c@O=1l`0000@ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<N
l`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?
L`063g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`07OVH71m<00`000o<3l`0G0o<9OVH9
0o<:OVHE0o<6OVH<0o<00`001m<7d`0D1m<00`002k<;/`0?2k<00`003i<?T`0?3i<00`003g<?L`0=
3g<00`00OVInIP05OVH74g<00`005e<GD`0>5e<00`006c<K<`0>6c<00`007a<O4`0A7a<00`007_<N
l`0E7_<00`008_<Rl`1?8_<00`007_<Nl`0@7_<2000GOol002]oo`03BK<004GC0095d`030011ld7c
0091l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric
00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc
00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc
00<000nC3i<020nC00<000^c2k<02P^c00<000OC1m<01giV20OC00<000?c0o<05P?c2WiV1`?c2WiV
5@?c1giV2`?c00<000OC1m<050OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<0
01=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<05Qkc
00<002;c8_<0D2;c00<001kc7_<041kc00<007ooOol05Goo000[Ool00dVc0015d`02AM<00`00@O=1
l`02@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00D003IC=U<fD`0000@bL`03000^Lbic008^
L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<N
l`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?
L`03000?T`nC00P?T`03000;/`^c00X;/`030007d`OC00MnIPP7d`030003l`?c01L3laUnIQH3l`In
IP`3l`030007d`OC01@7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV
00InIPLCL`03000GDaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01DNl`03000R
lb;c054Rl`03000Nlakc010Nl`03001oogoo01Eoo`00:goo00=9/`00AM<00TGC00<0047c@O<00T7c
00D003gc?O<ml`0000<n4`03000j<cXc008j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00
;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`00
7a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`00
3i<?T`083i<00`002k<;/`0:2k<010001m<7d`OC1WiV20OC00<000?c0o<060?c5giV5`?c1WiV30?c
00<000OC1m<050OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=cOVH01WiV
1a=c00<001MC5e<03AMC00<001/c6c<03a/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0
DB;c00<001kc7_<041kc00<007ooOol05Goo000[Ool00dVc0015d`02AM<00`00@O=1l`02@O<01@00
?O<mlcgc00000chC00<003Xc>S<00SXc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC
008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC
00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC
00P?T`03000;/`^c00X;/`040007d`OC1m<6OVH81m<00`000o<3l`0H0o<FOVHH0o<6OVH<0o<00`00
1m<7d`0D1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<0
0`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0@7a<00`007_<Nl`0E7_<00`008_<Rl`1A8_<0
0`007_<Nl`0@7_<00`00Oomoo`0EOol002]oo`03BK<004GC0095d`030011ld7c0091l`05000mlcgc
?O<00003?Q<00`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC
00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC
00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC
00<000^c2k<02P^c00@000OC1m<7d`MnIPL7d`030003l`?c01T3laAnIQP3l`MnIP/3l`030007d`OC
01D7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000G
DaMC00dGD`03000K<a/c00lK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c058Rl`03000N
lakc010Nl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<0
0`00>S<j<`02>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<0
0bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<0
1A/c00<001MC5e<011MC00<001=c4g<01Q=c00<000mc3g<01Pmc00<000nC3i<020nC00<000^c2k<0
2`^c00<000OC1m<01giV20OC00<000?c0o<060?c4giV6@?c1WiV30?c00<000OC1m<050OC00<000^c
2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<001=c4g<01giV1Q=c00<001MC5e<03QMC00<0
01/c6c<03Q/c00<001lC7a<041lC00<001kc7_<05Akc00<002;c8_<0Db;c00<001kc7_<03akc00<0
07ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j
<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<V
d`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<G
D`045e<00`004g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<010001m<7
d`OC1WiV20OC00<000?c0o<06P?c47iV6P?c1WiV30?c00<000OC1m<050OC00<000^c2k<040^c00<0
00nC3i<03PnC00<000mc3g<03@mc00<001=c4g<01WiV1a=c00<001MC5e<03QMC00<001/c6c<03Q/c
00<001lC7a<041lC00<001kc7_<051kc00<002;c8_<0E2;c00<001kc7_<03akc00<007ooOol05Goo
000[Ool2BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`05000fDcIC
=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`00
8_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`045e<00`00
4g<CL`064g<00`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<010001m<7d`OC1giV1`OC
00<000?c0o<06P?c3WiV6`?c1giV2`?c00<000OC1m<05@OC00<000^c2k<040^c00<000nC3i<03PnC
00<000mc3g<03@mc00<001=c4g<01WiV1a=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<0
41lC00<001kc7_<051kc00<002;c8_<0E2;c00<001kc7_<03akc00<007ooOol05Goo000[Ool2BK<0
1@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`05000fDcIC=U<00004<W<0
0`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<0
0`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`045e<00`004g<CL`064g<0
0`003g<?L`063g<00`003i<?T`083i<00`002k<;/`0;2k<010001m<7d`OC1giV1`OC00<000?c0o<0
@`?c1giV2`?c00<000OC1m<05@OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03@mc00<0
01=c4g<01WiV1a=c00<001MC5e<03QMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<051kc
00<002;c8_<0E2;c00<001kc7_<03akc00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c
00D003gc?O<ml`0000<n4`03000j<cXc008j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00
;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`00
7a<O4`037a<00`006c<K<`056c<00`005e<GD`045e<00`004g<CL`064g<00`003g<?L`063g<00`00
3i<?T`083i<00`002k<;/`0;2k<00`001m<7d`021m<6OVH71m<00`000o<3l`120o<7OVH;0o<00`00
1m<7d`0E1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g=nIP06OVH74g<0
0`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0?7a<00`007_<Nl`0E7_<00`008_<Rl`1E8_<0
0`007_<Nl`0>7_<00`00Oomoo`0EOol002]oo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc0000
13hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z
/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K
<a/c00@K<`03000GDaMC00@GD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;
/`^c00/;/`040007d`OC1m<6OVH81m<00`000o<3l`110o<7OVH;0o<00`001m<7d`0E1m<00`002k<;
/`0@2k<00`003i<?T`0>3i<00`003g<?L`0=3g<00`004g<CL`06OVH74g<00`005e<GD`0>5e<00`00
6c<K<`0>6c<00`007a<O4`0@7a<00`007_<Nl`0D7_<00`008_<Rl`1F8_<00`007_<Nl`0>7_<00`00
Oomoo`0EOol002]oo`99/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`00
00@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC
00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC
00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`040007d`OC
1m<7OVH71m<00`000o<3l`100o<8OVH:0o<00`001m<7d`0E1m<00`002k<;/`0A2k<00`003i<?T`0>
3i<00`003g<?L`0=3g<00`004g<CL`06OVH74g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O
4`0?7a<00`007_<Nl`0E7_<00`008_<Rl`1G8_<00`007_<Nl`0=7_<00`00Oomoo`0EOol002]oo`99
/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008b
L`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<R
l`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DC
L`03000?L`mc00L?L`03000?T`nC00P?T`03000;/`^c00/;/`040007d`OC1m<7OVH81m<00`000o<3
l`0o0o<7OVH;0o<00`001m<7d`0E1m<00`002k<;/`0A2k<00`003i<?T`0>3i<00`003g<?L`0=3g<0
0`004g<CL`06OVH74g<00`005e<GD`0=5e<00`006c<K<`0?6c<00`007a<O4`0?7a<00`007_<Nl`0E
7_<00`008_<Rl`1G8_<00`007_<Nl`0=7_<00`00Oomoo`0EOol002]oo`99/`050015ddGCAM<00003
@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03
000^TbjC008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03
000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc00L?L`03
000?T`nC00P?T`03000;/`^c00/;/`030007d`OC0087d`InIPP7d`030003l`?c03h3l`QnIP/3l`03
0007d`OC01D7d`03000;/`^c014;/`03000?T`nC00h?T`03000?L`mc00d?L`03000CLgiV00InIPLC
L`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01@Nl`03000Rlb;c05PR
l`03000Nlakc00dNl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<0
0004?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<0
02Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<0
01/c6c<011/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<000nC3i<020nC00<0
00^c2k<02`^c00<000OC1m<00POC1giV20OC00<000?c0o<0?0?c27iV2`?c00<000OC1m<05@OC00<0
00^c2k<04@^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=cOVH01GiV21=c00<001MC5e<03AMC
00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<051kc00<002;c8_<0FB;c00<001kc7_<031kc
00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`00
00@j<`05000fDcIC=U<00004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`00
5e<GD`055e<00`004g<CL`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<01000
1m<7d`OC1giV20OC00<000?c0o<0?0?c27iV2`?c00<000OC1m<05@OC00<000^c2k<04@^c00<000nC
3i<03PnC00<000mc3g<03@mc00<001=c4g<01WiV1a=c00<001MC5e<03AMC00<001/c6c<03a/c00<0
01lC7a<03alC00<001kc7_<051kc00<002;c8_<0FR;c00<001kc7_<031kc00<007ooOol05Goo000[
Ool2BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`05000fDcIC=U<0
0004<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<R
l`038_<00`007_<Nl`047_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`055e<00`004g<C
L`054g<00`003g<?L`073g<00`003i<?T`083i<00`002k<;/`0;2k<00`001m<7d`021m<6OVH91m<0
0`000o<3l`0j0o<8OVH;0o<00`001m<7d`0F1m<00`002k<;/`0@2k<00`003i<?T`0>3i<00`003g<?
L`0>3g<00`004g<CL`06OVH74g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0@7a<00`00
7_<Nl`0C7_<00`008_<Rl`1K8_<00`007_<Nl`0<7_<00`00Oomoo`0EOol002]oo`99/`050015ddGC
AM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic
008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00DCL`03000?L`mc
00L?L`03000?T`nC00P?T`03000;/`^c00/;/`030007d`OC0087d`MnIPP7d`030003l`?c03X3l`Mn
IP`3l`030007d`OC01H7d`03000;/`^c010;/`03000?T`nC00h?T`03000?L`mc00h?L`03000CLa=c
00InIPLCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01<Nl`03000R
lb;c02TRl`d002HRl`03000Nlakc00/Nl`03001oogoo01Eoo`00:goo0TVc00D004GCAM=5d`0000=1
l`03000mlcgc008ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c00<002ic;W<00Ric00<0
02jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00RKC00<002;c8_<00b;c00<001kc7_<011kc00<0
01lC7a<00alC00<001/c6c<01A/c00<001MC5e<01AMC00<001=c4g<01A=c00<000mc3g<01`mc00<0
00nC3i<020nC00<000^c2k<02`^c00<000OC1m<00POC1giV20OC00<000?c0o<0>@?c27iV30?c00<0
00OC1m<05POC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=cOVH01WiV1a=c
00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<04akc00<002;c8_<0:2;c
00<002KC9]<02bKC0P0092;c00<001kc7_<02akc00<007ooOol05Goo000[Ool2BK<01@00AM=5ddGC
00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`05000fDcIC=U<00004<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`029]<00`008_<Rl`038_<00`007_<Nl`04
7_<00`007a<O4`037a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?L`06
3g<00`003i<?T`093i<00`002k<;/`0;2k<00`001m<7d`021m<6OVH91m<00`000o<3l`0h0o<7OVH<
0o<00`001m<7d`0F1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g<CL`06
OVH74g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`007_<Nl`0C7_<00`008_<R
l`0W8_<2000@9]<2000S8_<00`007_<Nl`0:7_<00`00Oomoo`0EOol002]oo`99/`050015ddGCAM<0
0003@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^
L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC008Vd`03000Rlb;c00<Rl`03000Nlakc00@N
l`03000O4alC00<O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00H?
L`03000?T`nC00T?T`03000;/`^c00/;/`030007d`OC0087d`MnIPP7d`030003l`?c03L3l`QnIP`3
l`030007d`OC01H7d`03000;/`^c010;/`03000?T`nC00l?T`03000?L`mc00d?L`03000CLgiV00In
IPLCL`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC010O4`03000Nlakc01<Nl`03000Rlb;c
02DRl`8001@Vd`80024Rl`03000Nlakc00XNl`03001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`00
00=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<01@00<W<bLc9c000012ic
00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc
00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc
00<000nC3i<020nC00<000^c2k<02`^c00<000OC1m<00POC1giV20OC00<000?c0o<0=P?c27iV30?c
00<000OC1m<05`OC00<000^c2k<040^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=cOVH01WiV
1a=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC00<001kc7_<04akc00<002;c8_<0
8b;c0P0062KC00<002;c8_<07R;c00<001kc7_<02Qkc00<007ooOol05Goo000[Ool3BK<01@00AM=5
ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`05000bLc9c<W<0
0004;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<N
l`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<00`003g<?
L`073g<00`003i<?T`093i<00`002k<;/`0;2k<00`001m<7d`021m<7OVH81m<00`000o<3l`0e0o<7
OVH=0o<00`001m<7d`0F1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`003g<?L`0=3g<00`004g<C
L`06OVH74g<00`005e<GD`0>5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`007_<Nl`0C7_<00`00
8_<Rl`0R8_<2000K9]<00`008_<Rl`0N8_<00`007_<Nl`097_<00`00Oomoo`0EOol002]oo`=9/`05
0015ddGCAM<00003@O<01@00?O<mlcgc00000chC00<003Xc>S<00SXc00<003IC=U<00SIC00D0039c
<W<bL`0000@^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03
000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00/;/`030007d`OC0087d`MnIPP7d`030003l`?c
03@3l`QnIP`3l`030007d`OC01L7d`03000;/`^c010;/`03000?T`nC00l?T`03000?L`mc00d?L`03
000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00dK<`03000O4alC010O4`03000Nlakc01<N
l`03000Rlb;c024Rl`03000VdbKC01`Vd`03000Rlb;c01dRl`03000Nlakc00TNl`03001oogoo01Eo
o`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<01@00<W<bLc9c000012ic00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<00bKC00<0
02;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<0
01=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<02`^c00<000OC1m<00POC27iV
20OC00<000?c0o<0<`?c1giV30?c00<000OC1m<05`OC00<000^c2k<04@^c00<000nC3i<03`nC00<0
00mc3g<03@mc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<041lC
00<001kc7_<04Qkc00<002;c8_<082;c0P0082KC0P007B;c00<001kc7_<02Akc00<007ooOol05Goo
000[Ool3BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC
008fD`05000bLc9c<W<00004;W<00`00;Y<^T`03;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`00
8_<Rl`038_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`00
4g<CL`064g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`021m<8OVH7
1m<00`000o<3l`0b0o<7OVH<0o<00`001m<7d`0H1m<00`002k<;/`0@2k<00`003i<?T`0?3i<00`00
3g<?L`0>3g<00`004g=nIP05OVH84g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0@7a<0
0`007_<Nl`0C7_<00`008_<Rl`0O8_<00`009]<Vd`0R9]<00`008_<Rl`0K8_<00`007_<Nl`087_<0
0`00Oomoo`0EOol002]oo`=9/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j
<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000V
dbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<Nl`03000O4alC00@O4`03000K<a/c00@K<`03000G
DaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00/;/`030007
d`OC0087d`QnIPP7d`030003l`?c0303l`QnIP/3l`030007d`OC01P7d`03000;/`^c014;/`03000?
T`nC00l?T`03000?L`mc00d?L`03000CLgiV00InIPLCL`03000GDaMC00hGD`03000K<a/c00dK<`03
000O4alC010O4`03000Nlakc018Nl`03000Rlb;c01lRl`03000VdbKC02@Vd`03000Rlb;c01XRl`03
000Nlakc00PNl`03001oogoo01Eoo`00:goo0dVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004
?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc
:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c
6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c
2k<030^c00<000OC1m<00POC27iV1`OC00<000?c0o<0;`?c27iV2`?c00<000OC1m<06@OC00<000^c
2k<04@^c00<000nC3i<03PnC00<000mc3g<03Pmc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<0
01/c6c<03A/c00<001lC7a<041lC00<001kc7_<04Qkc00<002;c8_<07b;c00<002KC9]<09RKC00<0
02;c8_<06R;c00<001kc7_<01akc00<007ooOol05Goo000[Ool3BK<01@00AM=5ddGC00000d7c00<0
03gc?O<00Sgc00D003hC?Q<n4`0000<j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^
L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00<N
l`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?
L`03000?T`nC00T?T`03000;/`^c00`;/`030007d`OC00<7d`MnIPP7d`030003l`?c02d3l`UnIP/3
l`030007d`OC01P7d`03000;/`^c014;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLgiV00En
IPPCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC010O4`03000Nlakc018Nl`03000Rlb;c
01dRl`8002XVd`03000Rlb;c01TRl`03000Nlakc00LNl`03001oogoo01Eoo`00:goo0dVc00D004GC
AM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00003>S<00`00=U<fD`02=U<00`00<W<bL`02
<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`03
8_<00`007_<Nl`037_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`06
4g<00`003g<?L`073g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`031m<8OVH81m<00`00
0o<3l`0[0o<9OVH;0o<00`001m<7d`0H1m<00`002k<;/`0B2k<00`003i<?T`0>3i<00`003g<?L`0?
3g<00`00OVInIP05OVH84g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0?7a<00`007_<N
l`0B7_<00`008_<Rl`0M8_<00`009]<Vd`0[9]<00`008_<Rl`0H8_<00`007_<Nl`077_<00`00Oomo
o`0EOol002]oo`=9/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC00000cXc00<0
03IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<0
02KC9]<00bKC00<002;c8_<00b;c00<001kc7_<00akc00<001lC7a<011lC00<001/c6c<011/c00<0
01MC5e<01AMC00<001=c4g<01Q=c00<000mc3g<020mc00<000nC3i<02@nC00<000^c2k<030^c00<0
00OC1m<00`OC27iV1`OC00<000?c0o<0:`?c27iV2`?c00<000OC1m<06@OC00<000^c2k<04@^c00<0
00nC3i<03`nC00<000mc3g<03Pmc00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03A/c
00<001lC7a<041lC00<001kc7_<04Qkc00<002;c8_<072;c00<002KC9]<0;BKC00<002;c8_<062;c
00<001kc7_<01Qkc00<007ooOol05Goo000[Ool4BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`00
00<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC
008^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC
00@O4`03000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00L?L`03000?T`nC
00T?T`03000;/`^c00`;/`030007d`OC00@7d`QnIPL7d`030003l`?c02T3l`QnIP/3l`030007d`OC
01T7d`03000;/`^c018;/`03000?T`nC00h?T`03000?L`mc00l?L`03000CLgiV00EnIPPCL`03000G
DaMC00dGD`03000K<a/c00dK<`03000O4alC00lO4`03000Nlakc018Nl`03000Rlb;c01`Rl`03000V
dbKC02lVd`03000Rlb;c01LRl`03000Nlakc00HNl`03001oogoo01Eoo`00:goo14Vc00D004GCAM=5
d`0000=1l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<0
0`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<00`008_<Rl`038_<0
0`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<00`004g<CL`064g<0
0`003g<?L`083g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`031m<8OVH81m<00`000o<3
l`0W0o<8OVH;0o<00`001m<7d`0J1m<00`002k<;/`0A2k<00`003i<?T`0?3i<00`003g<?L`0>3g<0
0`004g=nIP06OVH74g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0@7a<00`007_<Nl`0B
7_<00`008_<Rl`0J8_<2000c9]<2000H8_<00`007_<Nl`057_<00`00Oomoo`0EOol002]oo`A9/`05
0015ddGCAM<00003@O<01@00?O<mlcgc00000chC0P000cXc00<003IC=U<00SIC00<0039c<W<00S9c
00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<011/c00<001MC5e<01AMC00<001=c4g<01Q=c
00<000mc3g<020mc00<000nC3i<02@nC00<000^c2k<030^c00<000OC1m<010OC27iV20OC00<000?c
0o<09@?c27iV30?c00<000OC1m<06@OC00<000^c2k<04P^c00<000nC3i<03`nC00<000mc3g<03Pmc
00<001=cOVH01WiV1a=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03alC00<001kc7_<0
4Qkc00<002;c8_<06b;c00<002KC9]<0=2KC00<002;c8_<05B;c00<001kc7_<01Akc00<007ooOol0
5Goo000[Ool4BK<01@00AM=5ddGC00000d7c00D003gc?O<ml`0000@n4`05000j<cXc>S<00004=U<0
0`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`02:[<00`009]<Vd`039]<0
0`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`055e<0
0`004g<CL`064g<00`003g<?L`083g<00`003i<?T`093i<00`002k<;/`0<2k<00`001m<7d`051m<8
OVH81m<00`000o<3l`0R0o<:OVH;0o<00`001m<7d`0I1m<00`002k<;/`0C2k<00`003i<?T`0?3i<0
0`003g<?L`0=3g<00`004g<CL`06OVH74g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0>
7a<00`007_<Nl`0B7_<00`008_<Rl`0K8_<00`009]<Vd`0f9]<00`008_<Rl`0E8_<00`007_<Nl`04
7_<00`00Oomoo`0EOol002]oo`A9/`050015ddGCAM<00003@O<01@00?O<mlcgc000013hC00D003Xc
>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc008Z/`03
000VdbKC00@Vd`03000Rlb;c008Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03
000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00L?L`03000?T`nC00T?T`03000;/`^c00d;/`03
0007d`OC00D7d`QnIPP7d`800203l`]nIPX3l`8001`7d`03000;/`^c018;/`03000?T`nC00l?T`03
000?L`mc00h?L`03000CLgiV00InIPLCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00lO
4`03000Nlakc018Nl`03000Rlb;c01XRl`03000VdbKC03PVd`03000Rlb;c01@Rl`03000Nlakc00@N
l`03001oogoo01Eoo`00:goo00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC
000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03
000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03
000GDaMC00DGD`03000CLa=c00HCL`03000?L`mc00P?L`03000?T`nC00P?T`03000;/`^c00d;/`03
0007d`OC00D7d`UnIPT7d`030003l`?c01`3l`]nIPX3l`030007d`OC01/7d`03000;/`^c01<;/`03
000?T`nC00l?T`03000?L`mc00d?L`03000CLa=c00MnIPHCL`03000GDaMC00dGD`03000K<a/c00hK
<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01XRl`03000VdbKC03XVd`03000Rlb;c01@R
l`03000Nlakc00<Nl`03001oogoo01Eoo`00:goo00D004VcBK=9/`0000=5d`050011ld7c@O<00004
?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03000^TbjC00<^T`03
000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03
000K<a/c00@K<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00L?L`03000?T`nC00P?T`03
000;/`^c00h;/`030007d`OC00D7d`UnIPP7d`030003l`?c01X3l`anIPX3l`030007d`OC01`7d`03
000;/`^c018;/`03000?T`nC00l?T`03000?L`mc00h?L`03000CLa=c00InIPLCL`03000GDaMC00dG
D`03000K<a/c00dK<`03000O4alC00lO4`03000Nlakc018Nl`03000Rlb;c01TRl`03000VdbKC03/V
d`03000Rlb;c01@Rl`03000Nlakc00<Nl`03001oogoo01Eoo`00:goo00D004VcBK=9/`0000=5d`05
0011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03
000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03
000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00DGD`8000PCL`03000?L`mc00L?L`03000?T`nC
00T?T`03000;/`^c00d;/`030007d`OC00H7d`UnIPP7d`030003l`?c01P3l`anIPX3l`030007d`OC
01`7d`03000;/`^c018;/`80014?T`03000?L`mc00d?L`03000CLa=c00MnIPHCL`03000GDaMC00dG
D`03000K<a/c00hK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01TRl`03000VdbKC03dV
d`03000Rlb;c01@Rl`03000Nlakc008Nl`03001oogoo01Eoo`00:goo00D004VcBK=9/`0000=5d`05
0011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00D003IC=U<fD`0000@bL`03000^Lbic008^L`03
000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03
000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00L?L`03
000?T`nC00T?T`03000;/`^c00h;/`030007d`OC00H7d`YnIPL7d`030003l`?c01D3l`anIP/3l`03
0007d`OC01`7d`03000;/`^c018;/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00MnIPHC
L`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01TR
l`03000VdbKC03lVd`03000Rlb;c01<Rl`03000Nlakc008Nl`03001oogoo01Eoo`00:goo00D004Vc
BK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00D0039c
<W<bL`0000@^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03
000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00HCL`03
000?L`mc00L?L`03000?T`nC00X?T`03000;/`^c00d;/`030007d`OC00H7d`]nIPL7d`8001@3l`]n
IP/3l`8001l7d`03000;/`^c018;/`03000?T`nC010?T`03000?L`mc00d?L`03000CLa=c00MnIPHC
L`03000GDaMC00dGD`03000K<a/c00hK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01PR
l`03000VdbKC044Vd`03000Rlb;c018Rl`03000Nlakc008Nl`03001oogoo01Eoo`00:goo00==T`00
BK<00TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004?Q<01@00>S<j<cXc000013IC00<0039c
<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00RZc00<002KC9]<012KC00<002;c
8_<00b;c00<001kc7_<011kc00<001lC7a<00alC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c
4g<01Q=c00<000mc3g<01`mc00<000nC3i<02@nC00<000^c2k<03P^c00<000OC1m<01`OC2giV1`OC
00<000?c0o<03P?c3GiV2`?c00<000OC1m<07POC00<000^c2k<04P^c00<000nC3i<040nC00<000mc
3g<03Pmc00<001=c4g<01giV1Q=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03alC00<0
01kc7_<04Akc00<002;c8_<062;c00<002KC9]<0@bKC00<002;c8_<04R;c00D001kc7_<Nl`0001Mo
o`006Woo00=bGc`OD_l03Woo00==T`00BK<00TVc00D004GCAM=5d`0000=1l`05000mlcgc?O<00004
?Q<01@00>S<j<cXc000013IC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc
:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c
6c<011/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<01`mc00<000nC3i<02PnC00<000^c
2k<03@^c00<000OC1m<020OC3giV0`OC0P002`?c3WiV2`?c0P008@OC00<000^c2k<04P^c00<000nC
3i<040nC00<000mc3g<03@mc00@001=c4g<CL`InIPHCL`03000GDaMC00dGD`03000K<a/c00hK<`03
000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04DVd`03000Rlb;c014Rl`05
000Nlakc7_<0000GOol001Yoo`03LUll7e;o00ioo`03CI<004Vc0099/`050015ddGCAM<00003@O<0
1@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O
4alC00@O4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc00P?L`03000?
T`nC00T?T`03000;/`^c00h;/`030007d`OC00P7daAnIP030003l`?c01AnIPX3l`800287d`03000;
/`^c018;/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00MnIPHCL`03000GDaMC00dGD`03
000K<a/c00dK<`03000O4alC00lO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04LVd`03
000Rlb;c014Rl`04000Nlakc000GOol001Yoo`03LUll7e;o00ioo`03CI<004Vc0099/`050015ddGC
AM<00003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00@O4`03000K<a/c00@K<`03000GDaMC00HGD`03000CLa=c00HCL`03000?L`mc
00P?L`03000?T`nC00X?T`03000;/`^c00d;/`030007d`OC00X7dbMnIPT3l`<002<7d`03000;/`^c
018;/`03000?T`nC010?T`03000?L`mc00h?L`04000CLa=c4g<7OVH54g<00`005e<GD`0=5e<00`00
6c<K<`0>6c<00`007a<O4`0>7a<00`007_<Nl`0A7_<00`008_<Rl`0G8_<00`009]<Vd`199]<00`00
8_<Rl`0A8_<00`007_<0000GOol001Yoo`03LUll7e;o00ioo`03CI<004Vc0099/`050015ddGCAM<0
0003@O<01@00?O<mlcgc000013hC00D003Xc>S<j<`0000@fD`03000bLc9c008bL`03000^Lbic008^
L`03000^TbjC00<^T`03000Z/bZc008Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@N
l`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00P?
L`03000?T`nC00T?T`03000;/`^c00h;/`030007d`OC00X7dbEnIPH3l`@002D7d`03000;/`^c01<;
/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00MnIPHCL`03000GDaMC00dGD`03000K<a/c
00dK<`03000O4alC00hO4`03000Nlakc014Nl`03000Rlb;c01LRl`03000VdbKC04XVd`03000Rlb;c
014Rl`03000Nl`0001Moo`006Woo00=bGc`OD_l03Woo00==T`00BK<00TVc00D004GCAM=5d`0000A1
l`05000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<N
l`047_<00`007a<O4`047a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`064g<00`003g<?
L`083g<00`003i<?T`0:3i<00`002k<;/`0>2k<00`001m<7d`0;1m<QOVH60o<2000X1m<00`002k<;
/`0C2k<00`003i<?T`0@3i<00`003g<?L`0>3g<010004g<CLa=c1giV1A=c00<001MC5e<03AMC00<0
01/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<04Akc00<002;c8_<05R;c00<002KC9]<0C2KC00<0
02;c8_<04B;c0P005goo000JOol00g9O?1mBo`0>Ool00dfC0019/`02BK<01@00AM=5ddGC0000147c
00D003gc?O<ml`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc
00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc
00P?L`03000?T`nC00T?T`03000;/`^c00l;/`030007d`OC00/7daenIPT002T7d`03000;/`^c01@;
/`03000?T`nC010?T`03000?L`mc00d?L`03000CLa=c008CL`InIPHCL`03000GDaMC00dGD`03000K
<a/c00dK<`03000O4alC00hO4`03000Nlakc014Nl`03000Rlb;c01HRl`03000VdbKC04hVd`03000R
lb;c010Rl`8001Moo`006Woo00=bGc`OD_l03Woo00==T`00BK<00TVc00D004GCAM=5d`0000A1l`05
000mlcgc?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02
;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`04
7_<00`007a<O4`047a<00`006c<K<`056c<00`005e<GD`055e<00`004g<CL`074g<00`003g<?L`08
3g<00`003i<?T`0:3i<00`002k<;/`0?2k<00`001m<7d`0<1m<IOVHc1m<00`002k<;/`0D2k<00`00
3i<?T`0@3i<00`003g<?L`0>3g<010004g<CLa=c1giV1A=c00<001MC5e<03AMC00<001/c6c<03Q/c
00<001lC7a<03QlC00<001kc7_<041kc00<002;c8_<05B;c0P00DRKC00<002;c8_<042;c00<007oo
Ool05Goo000JOol00g9O?1mBo`0>Ool00dfC0019/`02BK<01@00AM=5ddGC0000147c00D003gc?O<m
l`0000<n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^
TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O
4alC00@O4`03000K<a/c00DK<`03000GDaMC00DGD`03000CLa=c00LCL`03000?L`mc00P?L`03000?
T`nC00/?T`03000;/`^c00h;/`030007d`OC0147da9nIS@7d`03000;/`^c01@;/`03000?T`nC010?
T`03000?L`mc00h?L`03000CLa=c008CL`MnIPDCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O
4alC00hO4`03000Nlakc014Nl`03000Rlb;c01@Rl`03000VdbKC05<Vd`03000Rlb;c00lRl`03001o
ogoo01Eoo`006Woo00=bGc`OD_l03Woo00==T`00BK<00TVc00D004GCAM=5d`0000A1l`05000mlcgc
?O<00003?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00
;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`00
7a<O4`047a<00`006c<K<`056c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`083g<00`00
3i<?T`0:3i<00`002k<;/`0?2k<00`001m<7d`0C1m<:OVHi1m<00`002k<;/`0D2k<00`003i<?T`0@
3i<00`003g<?L`0>3g<010004g<CLa=c1giV1A=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC
7a<03QlC00<001kc7_<041kc00<002;c8_<052;c00<002KC9]<0EBKC00<002;c8_<03R;c00<007oo
Ool05Goo000JOol00g9O?1mBo`0>Ool2CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05
000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02
;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`037_<00`007a<O4`05
7a<00`006c<K<`046c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`083g<00`003i<?T`0;
3i<00`002k<;/`0>2k<00`001m<7d`1E1m<00`002k<;/`0D2k<00`003i<?T`0@3i<00`003g<?L`0>
3g<00`004g<CL`024g<7OVH54g<00`005e<GD`0=5e<00`006c<K<`0=6c<00`007a<O4`0>7a<00`00
7_<Nl`0A7_<00`008_<Rl`0D8_<00`009]<Vd`1E9]<00`008_<Rl`0>8_<00`00Oomoo`0EOol001Mo
o`06GAll7f_oLUll7e;o3Woo0TfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n
4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<0
02Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<0
01/c6c<011/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<020mc00<000nC3i<02PnC00<0
00^c2k<03`^c00<000OC1m<0DPOC0P005`^c00<000nC3i<040nC00<000mc3g<03Pmc00<001=c4g<0
0Q=c1WiV1A=c00<001MC5e<03AMC00<001/c6c<03Q/c00<001lC7a<03QlC00<001kc7_<041kc00<0
02;c8_<052;c00<002KC9]<0EbKC00<002;c8_<03B;c00<007ooOol05Goo000GOol01Wko?1ll7dTO
?1mBo`ioo`9=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03
000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03
000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03
000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc00P?L`03000?T`nC00/?T`03000;/`^c00l;/`80
0547d`03000;/`^c01H;/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c008CL`MnIPDCL`03
000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c01@Rl`03
000VdbKC05TVd`03000Rlb;c00`Rl`03001oogoo01Eoo`006Goo00AM7c`O?1mBo`ioo`9=T`050019
/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000R
lb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000C
La=c00LCL`03000?L`mc00P?L`03000?T`nC00/?T`03000;/`^c014;/`030007d`OC04d7d`03000;
/`^c01H;/`03000?T`nC010?T`03000?L`mc00h?L`03000CLa=c00<CL`MnIP@CL`03000GDaMC00dG
D`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc010Nl`03000Rlb;c01@Rl`03000VdbKC02XV
d`X002HVd`03000Rlb;c00`Rl`03001oogoo01Eoo`006Woo00=M7c`OD_l03Woo0TfC00D004VcBK=9
/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<0
0S9c00<002ic;W<00Ric00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<0
12;c00<001kc7_<00akc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<0
1Q=c00<000mc3g<020mc00<000nC3i<030nC00<000^c2k<040^c00<000OC1m<0C@OC00<000^c2k<0
5@^c00<000nC3i<04@nC00<000mc3g<03Pmc00<001=c4g<00Q=c1giV1A=c00<001MC5e<03AMC00<0
01/c6c<03A/c00<001lC7a<03QlC00<001kc7_<041kc00<002;c8_<04b;c00<002KC9]<09RKC1@00
2RZc1@008RKC00<002;c8_<02b;c00<007ooOol05Goo000KOol00e0OD_moo`0=Ool2CI<01@00BK=9
/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<b
L`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<R
l`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K<`056c<00`005e<GD`065e<00`004g<C
L`074g<00`003g<?L`073g<00`003i<?T`0<3i<00`002k<;/`0A2k<00`001m<7d`1;1m<00`002k<;
/`0E2k<00`003i<?T`0A3i<00`003g<?L`0>3g<00`004g<CL`034g<7OVH44g<00`005e<GD`0=5e<0
0`006c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0@7_<00`008_<Rl`0C8_<00`009]<Vd`0R9]<5
000D:[<3000P9]<00`008_<Rl`0:8_<00`00Oomoo`0EOol002]oo`==T`050019/dVcBK<00003AM<0
1@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^
Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000N
lakc00@Nl`03000O4alC00@O4`03000K<a/c00DK<`03000GDaMC00HGD`03000CLa=c00LCL`03000?
L`mc00P?L`03000?T`nC00`?T`03000;/`^c014;/`030007d`OC04P7d`8001P;/`03000?T`nC010?
T`03000?L`mc00l?L`03000CLa=c008CL`MnIPDCL`03000GDaMC00dGD`03000K<a/c00dK<`03000O
4alC00dO4`03000Nlakc014Nl`03000Rlb;c01<Rl`03000VdbKC020Vd`8001`Z/`8001hVd`03000R
lb;c00XRl`03001oogoo01Eoo`00:goo0dfC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<0
1@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<0
0RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<0
1AlC00<001/c6c<01A/c00<001MC5e<01QMC00<001=c4g<01Q=c00<000mc3g<020mc00<000nC3i<0
30nC00<000^c2k<04P^c00<000OC1m<0APOC00<000^c2k<05`^c00<000nC3i<04@nC00<000mc3g<0
3Pmc00<001=c4g<00a=c1giV11=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<0
01kc7_<041kc00<002;c8_<04b;c00<002KC9]<07bKC0P0082Zc0P007BKC00<002;c8_<02B;c00<0
07ooOol05Goo000[Ool3CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@ml`05000n4chC?Q<0
0004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`02;Y<00`00:[<Z
/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O4`057a<00`006c<K
<`056c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`083g<00`003i<?T`0<3i<00`002k<;
/`0B2k<00`001m<7d`131m<2000I2k<00`003i<?T`0A3i<00`003g<?L`0?3g<00`004g<CL`024g<7
OVH44g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0=7a<00`007_<Nl`0@7_<00`008_<R
l`0B8_<2000P9]<2000T:[<2000L9]<00`008_<Rl`088_<00`00Oomoo`0EOol002]oo`==T`050019
/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000b
Lc9c008bL`03000^Lbic008^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000R
lb;c00@Rl`03000Nlakc00<Nl`03000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00HGD`03000C
La=c00LCL`03000?L`mc00T?L`03000?T`nC00`?T`03000;/`^c018;/`030007d`OC0447d`03000;
/`^c01P;/`03000?T`nC018?T`03000?L`mc00h?L`03000CLa=c00<CL`MnIP<CL`03000GDaMC00dG
D`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc010Nl`03000Rlb;c018Rl`03000VdbKC01dV
d`<002PZ/`8001/Vd`03000Rlb;c00LRl`03001oogoo01Eoo`00:goo0dfC00D004VcBK=9/`0000=5
d`050011ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<0
02ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00RZc00<002KC9]<012KC00<002;c8_<00b;c00<0
01kc7_<011kc00<001lC7a<011lC00<001/c6c<01Q/c00<001MC5e<01QMC00<001=c4g<01a=c00<0
00mc3g<020mc00<000nC3i<030nC00<000^c2k<04`^c00<000OC1m<0?POC0P006P^c00<000nC3i<0
4PnC00<000mc3g<03Pmc00<001=c4g<00a=c27iV0a=c00<001MC5e<03AMC00<001/c6c<03A/c00<0
01lC7a<03QlC00<001kc7_<03akc00<002;c8_<04R;c00<002KC9]<072KC0P00;BZc0P006RKC00<0
02;c8_<01R;c00<007ooOol05Goo000[Ool4CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@m
l`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`03:[<00`009]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`037_<00`007a<O
4`047a<00`006c<K<`066c<00`005e<GD`065e<00`004g<CL`074g<00`003g<?L`093g<00`003i<?
T`0<3i<00`002k<;/`0C2k<00`001m<7d`0l1m<00`002k<;/`0I2k<00`003i<?T`0B3i<00`003g<?
L`0?3g<00`004g<CL`034g<7OVH34g<00`005e<GD`0=5e<00`006c<K<`0>6c<00`007a<O4`0=7a<0
0`007_<Nl`0@7_<00`008_<Rl`0B8_<00`009]<Vd`0J9]<2000a:[<00`009]<Vd`0G9]<00`008_<R
l`068_<00`00Oomoo`0EOol002]oo`A=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D0
03hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^
T`03000Z/bZc008Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00@O
4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00LCL`03000?L`mc00P?L`03000?T`nC00`?
T`03000;/`^c01@;/`8003/7d`03000;/`^c01X;/`03000?T`nC018?T`03000?L`mc00h?L`03000C
La=c00<CL`QnIP<CL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00hO4`03000Nlakc00lN
l`03000Rlb;c018Rl`03000VdbKC01XVd`03000Z/bZc038Z/`8001PVd`03000Rlb;c00DRl`03001o
ogoo01Eoo`00:goo14fC00D004VcBK=9/`0000=5d`050011ld7c@O<00004?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<0
0RZc0P001BKC00<002;c8_<00b;c00<001kc7_<011kc00<001lC7a<011lC00<001/c6c<01Q/c00<0
01MC5e<01QMC00<001=c4g<01a=c00<000mc3g<02@mc00<000nC3i<030nC00<000^c2k<05@^c0P00
>0OC00<000^c2k<06P^c00<000nC3i<04PnC00<000mc3g<03Pmc00<001=c4g<011=c1giV0a=c00<0
01MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03Qkc0P004b;c0P0072KC00<0
02Zc:[<0=BZc00<002KC9]<05RKC00<002;c8_<012;c00<007ooOol05Goo000[Ool01@00CI==TdfC
00000dVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00=U<fD`02
=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`03
9]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`066c<00`005e<GD`06
5e<00`004g<CL`074g<00`003g<?L`093g<00`003i<?T`0=3i<00`002k<;/`0F2k<2000d1m<2000L
2k<00`003i<?T`0B3i<00`003g<?L`0>3g<00`004g<CL`044g<8OVH34g<00`005e<GD`0<5e<00`00
6c<K<`0=6c<00`007a<O4`0>7a<00`007_<Nl`0>7_<00`008_<Rl`0B8_<00`009]<Vd`0J9]<2000i
:[<2000G9]<00`008_<Rl`038_<00`00Oomoo`0EOol002]oo`05001=TdfCCI<00003BK<01@00AM=5
ddGC00000d7c00<003gc?O<00Sgc00<003hC?Q<00ShC00D003Xc>S<j<`0000@fD`03000bLc9c008b
L`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<R
l`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00HGD`03000CLa=c00LC
L`03000?L`mc00T?L`03000?T`nC00d?T`03000;/`^c01L;/`8002l7d`<001d;/`03000?T`nC018?
T`03000?L`mc00l?L`03000CLa=c00@CL`MnIP<CL`03000GDaMC00dGD`03000K<a/c00`K<`03000O
4alC00hO4`03000Nlakc00lNl`03000Rlb;c014Rl`03000VdbKC01TVd`8003dZ/`8001DVd`03000R
lb;c00<Rl`03001oogoo01Eoo`00:goo00<004fCCI<00TfC00D004VcBK=9/`0000=5d`050011ld7c
@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric
00<002jC;Y<00RjC00<002Zc:[<012Zc00<002KC9]<00bKC00<002;c8_<00b;c00<001kc7_<011kc
00<001lC7a<011lC00<001/c6c<01Q/c00<001MC5e<01QMC00<001=c4g<01a=c00<000mc3g<02@mc
00<000nC3i<03@nC00<000^c2k<06@^c0P00:`OC0P007`^c00<000nC3i<04PnC00<000mc3g<03`mc
00<001=c4g<011=c27iV0Q=c00<001MC5e<03AMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc
7_<03Qkc00<002;c8_<04R;c00<002KC9]<062KC00<002Zc:[<0?bZc0P0052KC00<002;c8_<00R;c
00<007ooOol05Goo000[Ool00dec001=T`02CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`0000@m
l`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^
T`02;Y<00`00:[<Z/`04:[<00`009]<Vd`039]<00`008_<Rl`038_<00`007_<Nl`047_<00`007a<O
4`057a<00`006c<K<`056c<00`005e<GD`075e<00`004g<CL`074g<00`003g<?L`093g<00`003i<?
T`0=3i<00`002k<;/`0J2k<00`001m<7d`0V1m<2000P2k<00`003i<?T`0B3i<00`003g<?L`0@3g<0
0`004g<CL`034g<8OVH34g<00`005e<GD`0=5e<00`006c<K<`0<6c<00`007a<O4`0>7a<00`007_<N
l`0?7_<00`008_<Rl`0A8_<00`009]<Vd`0G9]<20014:[<00`009]<Vd`0A9]<00`008_<Rl`028_<0
0`00Oomoo`0EOol002]oo`03CG<004fC009=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc
00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC
00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC
00DO4`03000K<a/c00DK<`03000GDaMC00LGD`03000CLa=c00LCL`03000?L`mc00X?L`03000?T`nC
00d?T`03000;/`^c01X;/`8002<7d`<0024;/`03000?T`nC018?T`03000?L`mc010?L`03000CLa=c
00@CL`QnIP8CL`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00lNl`03
000Rlb;c014Rl`03000VdbKC01LVd`03000Z/bZc04@Z/`03000VdbKC018Vd`05000Rlb;c8_<0000G
Ool002]oo`03CG<004fC009=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n
4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z
/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00<Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K
<a/c00DK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00X?L`03000?T`nC00d?T`03000;
/`^c01/;/`@001`7d`<002<;/`03000?T`nC018?T`03000?L`mc010?L`03000CLa=c00@CL`QnIP8C
L`03000GDaMC00dGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c014R
l`03000VdbKC01LVd`03000Z/bZc04HZ/`03000VdbKC018Vd`04000Rlb;c000GOol002]oo`03CG<0
04fC009=T`050019/dVcBK<00003AM<01@00@O=1ld7c000013gc00D003hC?Q<n4`0000@j<`03000f
DcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC008^T`03000Z/bZc00<Z/`03000V
dbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00DK<`03000G
DaMC00LGD`03000CLa=c00LCL`03000?L`mc00X?L`03000?T`nC00h?T`03000;/`^c01h;/`8001P7
d`8002D;/`03000?T`nC018?T`03000?L`mc010?L`03000CLa=c00DCL`MnIP8CL`03000GDaMC00dG
D`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c014Rl`03000VdbKC01LV
d`03000Z/bZc04PZ/`8001<Vd`03000Rl`0001Moo`00:goo00==L`00CI<00TfC00<004VcBK<00TVc
00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<01@00=U<fDcIC0000139c
00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<00b;c
00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<01A/c00<001MC5e<01aMC00<001=c4g<021=c
00<000mc3g<02Pmc00<000nC3i<03PnC00<000^c2k<07`^c2@001POC2@009P^c00<000nC3i<04PnC
00<000mc3g<040mc00<001=c4g<01A=c27iV00<CL`005e<03aMC00<001/c6c<03A/c00<001lC7a<0
3AlC00<001kc7_<03Qkc00<002;c8_<04B;c00<002KC9]<05RKC0P00CBZc00<002KC9]<042KC00<0
02;c00005goo000[Ool00dec001=T`02CI<00`00BK=9/`02BK<01@00AM=5ddGC00000d7c00<003gc
?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03
000^TbjC008^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03
000O4alC00DO4`03000K<a/c00DK<`03000GDaMC00LGD`03000CLa=c00LCL`03000?L`mc00/?L`03
000?T`nC00h?T`03000;/`^c02L;/`H002d;/`8001@?T`03000?L`mc014?L`03000CLa=c00DCL`Mn
IP034g<001MC00lGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00lNl`03000Rlb;c010R
l`03000VdbKC01HVd`03000Z/bZc04hZ/`03000VdbKC010Vd`8001Moo`00:goo00==L`00CI<00TfC
00<004VcBK<00TVc00D004GCAM=5d`0000=1l`03000mlcgc008ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`02;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`056c<00`00
5e<GD`075e<00`004g<CL`084g<00`003g<?L`0:3g<00`003i<?T`0?3i<00`002k<;/`1H2k<00`00
3i<?T`0D3i<00`003g<?L`0@3g<00`004g<CL`054g<8OVH00a=c000GD`0>5e<00`006c<K<`0=6c<0
0`007a<O4`0=7a<00`007_<Nl`0?7_<00`008_<Rl`0@8_<00`009]<Vd`0E9]<2001B:[<00`009]<V
d`0@9]<00`00Oomoo`0EOol002]oo`03CG<004fC009=T`030019/dVc0099/`050015ddGCAM<00003
@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic
;W<00bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc
7_<011kc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc
3g<02`mc00<000nC3i<03`nC00<000^c2k<0EP^c00<000nC3i<050nC00<000mc3g<040mc00<001=c
4g<01Q=c1giV00<CL`005e<03QMC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03Qkc00<0
02;c8_<042;c00<002KC9]<052KC0P00EBZc00<002KC9]<03bKC00<007ooOol05Goo000[Ool00dec
001=T`02CI<00`00BK=9/`02BK<01@00AM=5ddGC00000d7c00<003gc?O<00Sgc00D003hC?Q<n4`00
00@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc
00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00@O4`03000K<a/c
00HK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00/?L`03000?T`nC00l?T`03000;/`^c
05@;/`03000?T`nC01@?T`03000?L`mc010?L`03000CLa=c00HCL`QnIP03000GDaMC00dGD`03000K
<a/c00dK<`03000O4alC00hO4`03000Nlakc00hNl`03000Rlb;c010Rl`03000VdbKC01<Vd`8005PZ
/`8000lVd`03001oogoo01Eoo`00:goo0Tec00D004fCCI==T`0000=9/`030015ddGC0095d`050011
ld7c@O<00004?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<0
0bic00<002jC;Y<00RjC00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<0
11kc00<001lC7a<01AlC00<001/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<01a=c00<000mc3g<0
2`mc00<000nC3i<040nC00<000^c2k<0D@^c0P005PnC00<000mc3g<040mc00<001=c4g<01a=c1giV
00<001MC5e<03QMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c
00<002KC9]<04bKC00<002Zc:[<0FRZc00<002KC9]<032KC00<007ooOol05Goo000[Ool2CG<01@00
CI==TdfC00000dVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`05000n4chC?Q<00004>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`00
9]<Vd`039]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`047a<00`006c<K<`066c<00`00
5e<GD`075e<00`004g<CL`084g<00`003g<?L`0;3g<00`003i<?T`0@3i<2001@2k<00`003i<?T`0E
3i<00`003g<?L`0@3g<00`004g<CL`074g<8OVH@5e<00`006c<K<`0=6c<00`007a<O4`0=7a<00`00
7_<Nl`0>7_<00`008_<Rl`0@8_<00`009]<Vd`0C9]<00`00:[<Z/`0V:[<?000W:[<00`009]<Vd`0;
9]<00`00Oomoo`0EOol002]oo`9=L`05001=TdfCCI<00004BK<01@00AM=5ddGC00000d7c00<003gc
?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03
000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03
000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00PCL`03000?L`mc00/?L`03
000?T`nC014?T`03000;/`^c04X;/`<001L?T`03000?L`mc010?L`03000CLa=c00PCL`MnIP03000G
DaMC00dGD`03000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c010Rl`03000V
dbKC01<Vd`03000Z/bZc028Z/`D000l^T`L0024Z/`03000VdbKC00XVd`03001oogoo01Eoo`00:goo
0Tec00D004fCCI==T`0000A9/`050015ddGCAM<00003@O<00`00?O<ml`02?O<01@00?Q<n4chC0000
13Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<0
0bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC00<001/c6c<0
1Q/c00<001MC5e<01aMC00<001=c4g<02A=c00<000mc3g<02`mc00<000nC3i<04@nC00<000^c2k<0
B0^c00<000nC3i<05`nC00<000mc3g<040mc00<001=c4g<021=c27iV41MC00<001/c6c<031/c00<0
01lC7a<03AlC00<001kc7_<03Qkc00<002;c8_<042;c00<002KC9]<04bKC00<002Zc:[<08BZc0P00
6bjC0`007bZc00<002KC9]<02BKC00<007ooOol05Goo000[Ool2CG<00`00CI==T`02CI<01@00BK=9
/dVc00000dGC00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008f
D`03000bLc9c008bL`03000^Lbic008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@V
d`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00HG
D`03000CLa=c00TCL`03000?L`mc00`?L`03000?T`nC014?T`03000;/`^c04D;/`8001P?T`8001<?
L`03000CLa=c00PCL`MnIQ0GD`03000K<a/c00`K<`03000O4alC00hO4`03000Nlakc00dNl`03000R
lb;c010Rl`03000VdbKC01<Vd`03000Z/bZc01lZ/`<0020^T`@001/Z/`03000VdbKC00TVd`03001o
ogoo01Eoo`00:goo0dec00D004fCCI==T`0000A9/`040015ddGC0004@O<00`00?O<ml`02?O<01@00
?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC
00<002Zc:[<00bZc00<002KC9]<00bKC00<002;c8_<012;c00<001kc7_<011kc00<001lC7a<01AlC
00<001/c6c<01Q/c00<001MC5e<01aMC00<001=c4g<02A=c00<000mc3g<02`mc00<000nC3i<04PnC
0P00A0^c00<000nC3i<05`nC00<000mc3g<04Pmc00<001=c4g<021=c27iV3aMC00<001/c6c<031/c
00<001lC7a<03QlC00<001kc7_<03Qkc00<002;c8_<03b;c00<002KC9]<04bKC00<002Zc:[<07RZc
0P009bjC0P006RZc00<002KC9]<022KC00<007ooOol05Goo000[Ool3CG<00`00CI==T`02CI<01@00
BK=9/dVc00000TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc
00<003IC=U<00SIC00<0039c<W<00S9c00<002ic;W<00Ric00<002jC;Y<00bjC00<002Zc:[<00bZc
00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<00akc00<001lC7a<01QlC00<001/c6c<01Q/c
00<001MC5e<01QMC00<001=c4g<02A=c00<000mc3g<030mc00<000nC3i<04`nC00<000^c2k<0?`^c
0P006@nC00<000mc3g<04@mc0P002Q=c27iV3aMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc
7_<03Qkc00<002;c8_<03b;c00<002KC9]<04RKC0P007RZc0`00:bjC0`0062Zc00<002KC9]<01bKC
00<007ooOol05Goo000[Ool3CG<00`00CI==T`02CI<01@00BK=9/dVc00000dGC00D0047c@O=1l`00
00@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic
008^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc
00@Nl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00TCL`03000?L`mc
00`?L`03000?T`nC01<?T`<003`;/`8001X?T`03000?L`mc014?L`03000CLa=c00XCL`MnIPlGD`03
000K<a/c00dK<`03000O4alC00dO4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC018Vd`03
000Z/bZc01/Z/`<0034^T`8001LZ/`8000LVd`03001oogoo01Eoo`00:goo0dec00<004fCCI<00TfC
00D004VcBK=9/`0000=5d`030011ld7c0091l`05000mlcgc?O<00004?Q<00`00>S<j<`02>S<00`00
=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`00
9]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`057a<00`006c<K<`066c<00`00
5e<GD`085e<00`004g<CL`084g<00`003g<?L`0=3g<00`003i<?T`0E3i<00`002k<;/`0g2k<2000K
3i<00`003g<?L`0A3g<00`004g<CL`0:4g<8OVH>5e<00`006c<K<`0=6c<00`007a<O4`0=7a<00`00
7_<Nl`0>7_<00`008_<Rl`0?8_<00`009]<Vd`0B9]<00`00:[<Z/`0J:[<2000f;Y<2000G:[<00`00
9]<Vd`049]<00`00Oomoo`0EOol002]oo`05001=LdecCG<00003CI<01@00BK=9/dVc00000dGC00<0
047c@O<00T7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c008b
L`03000^Lbic008^L`03000^TbjC00@^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00<R
l`03000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00LGD`03000CLa=c00TC
L`03000?L`mc00d?L`03000?T`nC01D?T`8003D;/`8001`?T`03000?L`mc018?L`03000CLa=c00TC
L`QnIPlGD`03000K<a/c00dK<`03000O4alC00`O4`03000Nlakc00hNl`03000Rlb;c00lRl`03000V
dbKC018Vd`03000Z/bZc01TZ/`8003X^T`03000Z/bZc01@Z/`03000VdbKC00@Vd`03001oogoo01Eo
o`00:goo00D004ecCG==L`0000==T`050019/dVcBK<00003AM<00`00@O=1l`02@O<00`00?O<ml`02
?O<00`00?Q<n4`02?Q<01@00>S<j<cXc000013IC00<0039c<W<00c9c00<002ic;W<00Ric00<002jC
;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<011kc00<001lC
7a<01AlC00<001/c6c<01Q/c00<001MC5e<021MC00<001=c4g<02A=c00<000mc3g<03@mc00<000nC
3i<05PnC0P00<0^c0`007@nC00<000mc3g<04Pmc00<001=c4g<02A=c27iV3aMC00<001/c6c<03A/c
00<001lC7a<031lC00<001kc7_<03akc00<002;c8_<03R;c00<002KC9]<04RKC00<002Zc:[<062Zc
0P00?BjC0P005BZc00<002KC9]<00bKC00<007ooOol05Goo000[Ool01@00CG==Ldec000014fC00D0
04VcBK=9/`0000=5d`030011ld7c0091l`05000mlcgc?O<00004?Q<00`00>S<j<`02>S<00`00=U<f
D`02=U<00`00<W<bL`02<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<V
d`049]<00`008_<Rl`048_<00`007_<Nl`047_<00`007a<O4`067a<00`006c<K<`066c<00`005e<G
D`075e<00`004g<CL`094g<00`003g<?L`0=3g<00`003i<?T`0H3i<2000/2k<2000O3i<00`003g<?
L`0B3g<00`004g<CL`0:4g<8OVH>5e<00`006c<K<`0=6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<0
0`008_<Rl`0>8_<00`009]<Vd`0B9]<00`00:[<Z/`0H:[<00`00;Y<^T`0o;Y<2000D:[<00`009]<V
d`029]<00`00Oomoo`0EOol002]oo`03DG<004ec009=L`05001=TdfCCI<00003BK<01@00AM=5ddGC
0000147c00D003gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03
000^Lbic008^L`03000^TbjC00@^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03
000Nlakc00DNl`03000O4alC00DO4`03000K<a/c00HK<`03000GDaMC00PGD`03000CLa=c00TCL`03
000?L`mc00d?L`03000?T`nC01T?T`8002P;/`8001l?T`8001@?L`03000CLa=c00XCL`QnIPhGD`03
000K<a/c00hK<`03000O4alC00`O4`03000Nlakc00hNl`03000Rlb;c00lRl`03000VdbKC014Vd`03
000Z/bZc01LZ/`8004@^T`03000Z/bZc018Z/`05000VdbKC9]<0000GOol002]oo`03DG<004ec009=
L`05001=TdfCCI<00003BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000@n4`03000j<cXc008j
<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z
/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00LK
<`03000GDaMC00LGD`03000CLa=c00XCL`03000?L`mc00d?L`03000?T`nC01X?T`L001X;/`L0020?
T`03000?L`mc01<?L`03000CLa=c00XCL`QnIPhGD`03000K<a/c00hK<`03000O4alC00dO4`03000N
lakc00dNl`03000Rlb;c00lRl`03000VdbKC010Vd`8001PZ/`8004L^T`03000Z/bZc018Z/`04000V
dbKC000GOol002]oo`03DG<004ec009=L`05001=TdfCCI<00003BK<01@00AM=5ddGC0000147c00D0
03gc?O<ml`0000@n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c008bL`03000^Lbic00<^
L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000Nlakc00@N
l`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00LGD`03000CLa=c00XCL`03000?L`mc00d?
L`80024?T`D0010;/`D002H?T`03000?L`mc018?L`8000dCL`MnIPhGD`03000K<a/c00hK<`03000O
4alC00dO4`03000Nlakc00dNl`03000Rlb;c00hRl`80018Vd`03000Z/bZc01HZ/`8004X^T`8001<Z
/`03000Vd`0001Moo`00:goo00=AL`00CG<00Tec00D004fCCI==T`0000=9/`050015ddGCAM<00004
@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic
;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<001kc
7_<011kc00<001lC7a<01AlC00<001/c6c<01a/c00<001MC5e<021MC00<001=c4g<02Q=c00<000mc
3g<03Pmc00<000nC3i<08`nC4000:@nC0P0050mc00<001=c4g<031=c27iV3AMC00<001/c6c<03Q/c
00<001lC7a<031lC0P003akc00<002;c8_<03R;c00<002KC9]<042KC0P005bZc0P00CRjC0P004BZc
00<002KC00005goo000[Ool2DG<01000CG==L`0014fC00D004VcBK=9/`0000=5d`030011ld7c0091
l`05000mlcgc?O<00004?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`02<W<00`00;W<^
L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<N
l`047_<00`007a<O4`067a<00`006c<K<`076c<00`005e<GD`075e<00`004g<CL`0;4g<00`003g<?
L`0>3g<2001J3i<2000E3g<00`004g<CL`0<4g<8OVH=5e<00`006c<K<`0>6c<00`007a<O4`0<7a<0
0`007_<Nl`0>7_<00`008_<Rl`0>8_<00`009]<Vd`0@9]<00`00:[<Z/`0F:[<00`00;Y<^T`1@;Y<0
0`00:[<Z/`0?:[<2000GOol002]oo`9AL`05001=LdecCG<00003CI<01@00BK=9/dVc00000dGC00<0
047c@O<00T7c00<003gc?O<00Sgc00D003hC?Q<n4`0000@j<`03000fDcIC008fD`03000bLc9c00<b
L`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00<Z/`03000VdbKC00<Vd`03000Rlb;c00DR
l`03000Nlakc00@Nl`03000O4alC00DO4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c00XC
L`03000?L`mc010?L`03000?T`nC05H?T`03000?L`mc01@?L`03000CLa=c00dCL`MnIPhGD`03000K
<a/c00dK<`03000O4alC00`O4`03000Nlakc00hNl`03000Rlb;c00hRl`03000VdbKC010Vd`03000Z
/bZc01DZ/`8005@^T`03000Z/bZc00lZ/`03001oogoo01Eoo`00:goo0U5c00D004ecCG==L`0000==
T`050019/dVcBK<00003AM<00`00@O=1l`02@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<0
03IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<0
02KC9]<00bKC00<002;c8_<01B;c00<001kc7_<011kc00<001lC7a<01QlC00<001/c6c<01a/c00<0
01MC5e<021MC00<001=c4g<02Q=c00<000mc3g<040mc00<000nC3i<0E0nC00<000mc3g<050mc00<0
01=c4g<03A=c27iV3AMC00<001/c6c<03A/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<0
3R;c00<002KC9]<042KC00<002Zc:[<052Zc0P00EbjC00<002Zc:[<03RZc00<007ooOol05Goo000[
Ool2DG<01@00CG==Ldec00000dfC00D004VcBK=9/`0000=5d`030011ld7c0091l`03000mlcgc008m
l`05000n4chC?Q<00004>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^
T`03;Y<00`00:[<Z/`03:[<00`009]<Vd`049]<00`008_<Rl`048_<00`007_<Nl`057_<00`007a<O
4`067a<00`006c<K<`066c<00`005e<GD`085e<00`004g<CL`0;4g<00`003g<?L`0@3g<00`003i<?
T`1A3i<2000E3g<2000?4g<8OVH<5e<2000?6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<R
l`0>8_<00`009]<Vd`0@9]<00`00:[<Z/`0C:[<2001J;Y<2000>:[<00`00Oomoo`0EOol002]oo`9A
L`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n4chC008n
4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic008^L`03000^TbjC00<^
T`03000Z/bZc00@Z/`03000VdbKC00<Vd`03000Rlb;c00DRl`03000Nlakc00@Nl`03000O4alC00HO
4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c00/CL`03000?L`mc010?L`8004l?T`8001H?
L`03000CLa=c00hCL`QnIP`GD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03000R
lb;c00hRl`03000VdbKC010Vd`03000Z/bZc01<Z/`03000^TbjC02H^Ta@0028^T`03000Z/bZc00/Z
/`03001oogoo01Eoo`00:goo0e5c00D004ecCG==L`00009=T`030019/dVc0099/`050015ddGCAM<0
0004@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00SIC00<0039c<W<00c9c00<0
02ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<002;c8_<012;c00<0
01kc7_<01Akc00<001lC7a<01QlC00<001/c6c<01Q/c00<001MC5e<02AMC00<001=c4g<02a=c00<0
00mc3g<04@mc00<000nC3i<0BPnC0P005`mc00<001=c4g<03a=c27iV2aMC00<001/c6c<03Q/c00<0
01lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<042KC00<002Zc:[<04RZc0P00
8bjC1P0052ic1@007RjC00<002Zc:[<02RZc00<007ooOol05Goo000[Ool3DG<01@00CG==Ldec0000
0dfC00D004VcBK=9/`0000A5d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`02;W<00`00;Y<^T`03;Y<00`00:[<Z/`04:[<0
0`009]<Vd`039]<00`008_<Rl`058_<00`007_<Nl`047_<00`007a<O4`067a<00`006c<K<`076c<0
0`005e<GD`085e<00`004g<CL`0<4g<00`003g<?L`0A3g<00`003i<?T`173i<2000H3g<00`004g<C
L`0?4g<8OVH<5e<00`006c<K<`0=6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<0
0`009]<Vd`0@9]<00`00:[<Z/`0B:[<00`00;Y<^T`0P;Y<3000O;W<3000L;Y<00`00:[<Z/`09:[<0
0`00Oomoo`0EOol002]oo`=AL`05001=LdecCG<00003CI<01@00BK=9/dVc000014GC00D0047c@O=1
l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^
Lbic008^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00@Rl`03000N
lakc00DNl`03000O4alC00HO4`03000K<a/c00LK<`03000GDaMC00PGD`03000CLa=c00`CL`03000?
L`mc014?L`8004@?T`<001P?L`80014CL`QnIP`GD`03000K<a/c00dK<`03000O4alC00dO4`03000N
lakc00dNl`03000Rlb;c00hRl`03000VdbKC00lVd`8001@Z/`03000^TbjC01h^T`<002D^L`<001X^
T`03000Z/bZc00PZ/`03001oogoo01Eoo`00:goo0e5c00D004ecCG==L`0000==T`050019/dVcBK<0
0004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0
039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<00bZc00<002KC9]<012KC00<0
02;c8_<012;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<021MC00<0
01=c4g<031=c00<000mc3g<04Pmc0P00@0nC0P006Pmc00<001=c4g<04A=c1giV2aMC0P003a/c00<0
01lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03bKC00<002Zc:[<04RZc0P00
7BjC1000:bic0`0062jC00<002Zc:[<01bZc00<007ooOol05Goo000[Ool3DG<01@00CG==Ldec0000
0dfC00<004VcBK<00TVc00<004GCAM<00TGC00D0047c@O=1l`0000<ml`03000n4chC008n4`03000j
<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z
/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00<Rl`03000Nlakc00HNl`03000O4alC00HO4`03000K
<a/c00LK<`03000GDaMC00PGD`03000CLa=c00dCL`8001@?L`8003/?T`<001X?L`8001<CL`QnIPXG
D`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC00hV
d`8001<Z/`8001`^T`<0038^L`<001H^T`03000Z/bZc00HZ/`03001oogoo01Eoo`00:goo155c00D0
04ecCG==L`0000==T`050019/dVcBK<00004AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<0
03Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<00RjC00<0
02Zc:[<012Zc00<002KC9]<012KC00<002;c8_<012;c00<001kc7_<01Qkc00<001lC7a<01QlC00<0
01/c6c<01a/c00<001MC5e<021MC00<001=c4g<03Q=c00<000mc3g<04`mc0`00=PnC0P0070mc00<0
01=c4g<04Q=c27iV2QMC00<001/c6c<03Q/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<0
3R;c00<002KC9]<03RKC00<002Zc:[<04RZc00<002jC;Y<06RjC0P00>2ic0P005BjC0P001RZc00<0
07ooOol05Goo000[Ool01@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`050015ddGCAM<00004
@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c00<002ic
;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c8_<00b;c00<001kc
7_<01Qkc00<001lC7a<01QlC00<001/c6c<01a/c00<001MC5e<02AMC00<001=c4g<03Q=c00<000mc
3g<05@mc0P00<PnC0P007@mc00<001=c4g<04Q=c27iV2QMC00<001/c6c<03Q/c00<001lC7a<03AlC
00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc:[<04RZc00<002jC;Y<06BjC
0P00?2ic0P005BjC00<002Zc:[<00bZc00<007ooOol05Goo000[Ool01@00DG=ALe5c00000dec00D0
04fCCI==T`0000A9/`050015ddGCAM<00004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc00<0
03IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<0
02KC9]<012KC00<002;c8_<012;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c6c<01a/c00<0
01MC5e<02AMC0P003a=c00<000mc3g<05Pmc0`00;0nC0`007Pmc00<001=c4g<04Q=c2GiV2AMC00<0
01/c6c<03Q/c00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03RKC00<0
02Zc:[<04RZc00<002jC;Y<062jC0P00@2ic00<002jC;Y<04bjC00<002Zc:[<00RZc00<007ooOol0
5Goo000EOol00gko?1ll7`07?1l00f_oOomoo`09Ool01@00DG=ALe5c00000dec00D004fCCI==T`00
00A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<01@00?Q<n4chC000013Xc00<003IC=U<00cIC
00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC
00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01AlC00<001/c6c<021/c00<001MC5e<02QMC
00<001=c4g<03A=c00<000mc3g<060mc100090nC10007`mc0P0051=c2GiV2AMC00<001/c6c<03Q/c
00<001lC7a<03AlC00<001kc7_<03Akc00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc:[<04BZc
0P006BjC0P00@bic0P0052jC00D002Zc:[<Z/`0001Moo`005Woo00=@7c`O?1l01S`O00=[ogooOol0
2Goo00D0055cDG=AL`0000A=L`05001=TdfCCI<00003BK<00`00AM=5d`02AM<01@00@O=1ld7c0000
13gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<0
0bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<00bKC00<002;c8_<01B;c00<001kc7_<0
1Qkc00<001lC7a<01QlC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03A=c00<000mc3g<0
6`mc1@006PnC1@008@mc0P0051=c00<007iVOVH01giV2AMC00<001/c6c<03A/c0P003alC00<001kc
7_<03Akc00<002;c8_<03R;c00<002KC9]<03RKC00<002Zc:[<04BZc00<002jC;Y<05bjC0P00Abic
0P004bjC00@002Zc:[<001Moo`005Woo00=bGc`OD_l04Woo00=ED`00DG<00U5c00D004ecCG==L`00
00==T`030019/dVc0099/`050015ddGCAM<00004@O<01@00?O<mlcgc000013hC00<003Xc>S<00SXc
00<003IC=U<00cIC00<0039c<W<00S9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc
00<002KC9]<012KC00<002;c8_<01B;c00<001kc7_<01Qkc00<001lC7a<01QlC00<001/c6c<01a/c
00<001MC5e<02aMC00<001=c4g<03A=c00<000mc3g<07`mc1@0040nC1@0090mc0P005A=c00<007iV
OVH027iV21MC00<001/c6c<03A/c00<001lC7a<03QlC00<001kc7_<03Akc00<002;c8_<03B;c0P00
42KC00<002Zc:[<04BZc00<002jC;Y<05RjC0P00Bbic0P004RjC00<002Zc00005goo000GOol00fWO
?1mBo`0AOol00eEC001AL`02DG<00`00CG==L`02CG<01@00CI==TdfC00000dVc00<004GCAM<00TGC
00D0047c@O=1l`0000@ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c
00<bL`03000^Lbic00<^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00<Vd`03000Rlb;c
00DRl`03000Nlakc00HNl`03000O4alC00HO4`03000K<a/c00PK<`03000GDaMC00/GD`03000CLa=c
00dCL`8002@?La0002L?L`8001HCL`03001nIWiV00QnIPLGD`8000lK<`03000O4alC00hO4`03000N
lakc00dNl`03000Rlb;c00dRl`03000VdbKC00hVd`80018Z/`8001L^T`8004l^L`03000^TbjC010^
T`8001Moo`0067oo00=Ygc`OD_l047oo00=ED`00DG<00U5c00<004ecCG<00Tec00D004fCCI==T`00
00=9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00
=U<fD`03=U<00`00<W<bL`02<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`04:[<00`00
9]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`067a<00`006c<K<`086c<00`00
5e<GD`0:5e<00`004g<CL`0?4g<00`003g<?L`1G3g<00`004g<CL`0E4g<00`00OVInIP08OVH75e<0
0`006c<K<`0?6c<00`007a<O4`0=7a<00`007_<Nl`0=7_<00`008_<Rl`0=8_<00`009]<Vd`0>9]<0
0`00:[<Z/`0A:[<00`00;Y<^T`0D;Y<3001B;W<2000A;Y<00`00Oomoo`0EOol001Uoo`03LUll7dYO
00moo`03EE<0055c009AL`03001=Ldec009=L`05001=TdfCCI<00003BK<00`00AM=5d`02AM<01@00
@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00S9c
00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<00bZc00<002KC9]<01BKC00<002;c8_<012;c
00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<02QMC00<001=c4g<03a=c
0P00E@mc0P005a=c00<007iVOVH027iV1aMC00<001/c6c<03a/c00<001lC7a<03AlC00<001kc7_<0
3Akc00<002;c8_<03R;c00<002KC9]<03BKC00<002Zc:[<04BZc00<002jC;Y<04bjC0P00Ebic0P00
3bjC00<007ooOol05Goo000JOol00g9O?1lmg`0>Ool2EE<01@00DG=ALe5c00000dec00D004fCCI==
T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<0
0`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`03;Y<00`00:[<Z/`04:[<0
0`009]<Vd`049]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`067a<00`006c<K<`086c<0
0`005e<GD`0;5e<2000A4g<2001A3g<2000G4g<200000aMCOVInIP07OVH75e<00`006c<K<`0>6c<2
000?7a<00`007_<Nl`0=7_<00`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z/`0A:[<00`00;Y<^
T`0B;Y<2001K;W<00`00;Y<^T`0<;Y<00`00Oomoo`0EOol001]oo`03O_ll7dYO00eoo`9ED`05001A
Le5cDG<00003CG<00`00CI==T`02CI<01@00BK=9/dVc000014GC00D0047c@O=1l`0000@ml`03000n
4chC008n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c008bL`03000^Lbic00<^L`03000^
TbjC00@^T`03000Z/bZc00<Z/`03000VdbKC00DVd`03000Rlb;c00@Rl`03000Nlakc00HNl`03000O
4alC00LO4`03000K<a/c00PK<`03000GDaMC00`GD`03000CLa=c010CL`8004d?L`8001PCL`03000G
DaMC00UnIPHGD`80010K<`03000O4alC00hO4`03000Nlakc00dNl`03000Rlb;c00dRl`8000lVd`03
000Z/bZc010Z/`8001@^T`03000^Lbic02H^La@0028^L`03000^TbjC00/^T`03001oogoo01Eoo`00
77oo00=bGc`OD_l037oo0eEC00D0055cDG=AL`0000==L`05001=TdfCCI<00004BK<01@00AM=5ddGC
0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<00bjC00<002Zc:[<012Zc00<002KC9]<012KC00<002;c
8_<01B;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<001MC5e<031MC00<001=c
4g<04A=c00<000mc3g<0B0mc0P0061=c0P000QMC2GiV1QMC00<001/c6c<03a/c00<001lC7a<03QlC
00<001kc7_<03Akc00<002;c8_<032;c0P003bKC0P004RZc00<002jC;Y<04RjC0P008bic1P00539c
1@007Ric0P002bjC00<007ooOol05Goo000MOol00e0O?Mmoo`0;Ool3EE<01@00DG=ALe5c00000dec
00D004fCCI==T`0000A9/`050015ddGCAM<00004@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00
>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00
:[<Z/`03:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`077a<00`00
6c<K<`086c<00`005e<GD`0<5e<00`004g<CL`0A4g<200163g<2000H4g<200035e<9OVH65e<00`00
6c<K<`0?6c<00`007a<O4`0=7a<2000>7_<2000?8_<00`009]<Vd`0=9]<00`00:[<Z/`0@:[<2000C
;Y<2000P;W<5000O<W<4000L;W<00`00;Y<^T`08;Y<00`00Oomoo`0EOol001eoo`03GAll7f_o00]o
o`=ED`05001ALe5cDG<00003CG<01@00CI==TdfC000014Vc00D004GCAM=5d`0000A1l`03000mlcgc
008ml`03000n4chC008n4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic
00@^L`03000^TbjC00<^T`03000Z/bZc00@Z/`03000VdbKC00@Vd`03000Rlb;c00HRl`03000Nlakc
00HNl`03000O4alC00LO4`03000K<a/c00PK<`03000GDaMC00`GD`03000CLa=c018CL`80048?L`80
01TCL`03000GDaMC008GD`UnIPLGD`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03
000Rlb;c00hRl`03000VdbKC00dVd`03000Z/bZc00lZ/`8001@^T`03000^Lbic01`^L`@002PbL`80
01/^L`03000^TbjC00L^T`03001oogoo01Eoo`005Woo00=@7cdOLol017oo00=@7c`OJol02goo0eEC
00D0055cDG=AL`0000A=L`04001=TdfC0005BK<01@00AM=5ddGC0000147c00D003gc?O<ml`0000Dn
4`03000j<cXc008j<`03000fDcIC008fD`03000bLc9c00<bL`03000^Lbic00<^L`03000^TbjC00@^
T`03000Z/bZc00<Z/`03000VdbKC00DVd`03000Rlb;c00DRl`03000Nlakc00HNl`03000O4alC00LO
4`03000K<a/c00PK<`03000GDaMC00dGD`03000CLa=c01<CL`8003h?L`8001TCL`8000@GD`YnIPHG
D`03000K<a/c00hK<`03000O4alC00dO4`03000Nlakc00dNl`03000Rlb;c00hRl`03000VdbKC00dV
d`03000Z/bZc00hZ/`8001@^T`8001d^L`8002hbL`<001T^L`03000^TbjC00H^T`03001oogoo01Eo
o`005Woo00=M7c`OBUl00goo00=M7c`O?Ml037oo15EC00D0055cDG=AL`0000==L`05001=TdfCCI<0
0004BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00SXc00<0
03IC=U<00SIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<0
02KC9]<012KC00<002;c8_<01R;c00<001kc7_<01Qkc00<001lC7a<01alC00<001/c6c<021/c00<0
01MC5e<03AMC00<001=c4g<051=c0`00=`mc10006A=c0P001AMC2WiV1AMC0P0041/c00<001lC7a<0
3QlC00<001kc7_<031kc00<002;c8_<03B;c0P003RKC0P0042Zc00<002jC;Y<04bjC00<002ic;W<0
6Ric0`00<c9c0`005bic0P001RjC00<007ooOol05Goo000FOol00gmoB1ll7`05?1l00f_oOomoo`0:
Ool01@00EE=EDeEC00000e5c00<004ecCG<00Tec00@004fCCI<000A9/`030015ddGC0095d`030011
ld7c0091l`05000mlcgc?O<00005?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03<W<0
0`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`03:[<00`009]<Vd`059]<00`008_<Rl`058_<0
0`007_<Nl`067_<00`007a<O4`077a<00`006c<K<`096c<00`005e<GD`0=5e<00`004g<CL`0F4g<3
000`3g<4000L4g<00`005e<GD`045e<:OVH55e<00`006c<K<`0>6c<2000@7a<00`007_<Nl`0<7_<0
0`008_<Rl`0=8_<00`009]<Vd`0=9]<00`00:[<Z/`0?:[<00`00;Y<^T`0B;Y<2000K;W<2000i<W<3
000F;W<00`00;Y<^T`03;Y<00`00Oomoo`0EOol001Qoo`06D1ll7c`O?1lm7g?o3Goo00D005ECEE=E
D`0000=AL`03001=Ldec009=L`05001=TdfCCI<00003BK<00`00AM=5d`02AM<00`00@O=1l`02@O<0
1@00?O<mlcgc00001ChC00<003Xc>S<00SXc00<003IC=U<00SIC00<0039c<W<00c9c00<002ic;W<0
0bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<01B;c00<001kc7_<0
1Qkc00<001lC7a<01alC00<001/c6c<02A/c0P003QMC0P006A=c0P00;0mc0P007Q=c0P001QMC2WiV
11MC0P0041/c00<001lC7a<03QlC0P003Qkc00<002;c8_<03B;c00<002KC9]<03BKC00<002Zc:[<0
3bZc00<002jC;Y<04BjC0P006Bic1000?S9c0`0052ic00<002jC;Y<00RjC00<007ooOol05Goo000[
Ool01@00EE=EDeEC00000e5c00<004ecCG<00Tec00D004fCCI==T`0000=9/`030015ddGC0095d`03
0011ld7c0091l`05000mlcgc?O<00005?Q<00`00>S<j<`02>S<00`00=U<fD`02=U<00`00<W<bL`03
<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`05
8_<00`007_<Nl`067_<00`007a<O4`087a<00`006c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0H
4g<4000T3g<4000N4g<200075e<:OVH35e<2000A6c<00`007a<O4`0>7a<00`007_<Nl`0=7_<00`00
8_<Rl`0=8_<00`009]<Vd`0>9]<00`00:[<Z/`0=:[<2000C;Y<00`00;W<^L`0G;W<20015<W<00`00
;W<^L`0B;W<01@00;Y<^TbjC00005goo000[Ool00eTc001ED`02EE<01@00DG=ALe5c00000dec00D0
04fCCI==T`0000A9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`02?Q<00`00>S<j
<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z
/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`067_<00`007a<O4`087a<00`006c<K
<`0:6c<00`005e<GD`0=5e<00`004g<CL`0K4g<5000J3g<5000Q4g<00`005e<GD`065e<:OVH25e<2
000B6c<00`007a<O4`0=7a<2000?7_<00`008_<Rl`0<8_<2000@9]<00`00:[<Z/`0=:[<00`00;Y<^
T`0B;Y<00`00;W<^L`0F;W<20018<W<2000C;W<01000;Y<^T`005goo000[Ool00eTc001ED`02EE<0
1@00DG=ALe5c00000dec00D004fCCI==T`0000A9/`030015ddGC0095d`050011ld7c@O<00004?O<0
0`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`02=U<00`00<W<bL`03<W<00`00;W<^L`03;W<0
0`00;Y<^T`04;Y<00`00:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`077_<0
0`007a<O4`087a<00`006c<K<`0:6c<00`005e<GD`0=5e<00`004g<CL`0O4g<:00063g<:000T4g<2
00095e<9OVH25e<00`006c<K<`0A6c<00`007a<O4`0=7a<00`007_<Nl`0>7_<00`008_<Rl`0<8_<0
0`009]<Vd`0>9]<2000?:[<00`00;Y<^T`0A;Y<2000G;W<2001<<W<2000B;W<00`00;Y<0000GOol0
02]oo`03FC<005EC009ED`05001ALe5cDG<00004CG<01@00CI==TdfC00000dVc00<004GCAM<00TGC
00<0047c@O<00T7c00D003gc?O<ml`0000Dn4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c
00<bL`03000^Lbic00<^L`03000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c
00DRl`03000Nlakc00HNl`03000O4alC00PO4`03000K<a/c00/K<`03000GDaMC00dGD`8002TCL`H0
02`CL`8000XGD`UnIP8GD`03000K<a/c010K<`8000lO4`03000Nlakc00hNl`03000Rlb;c00`Rl`03
000VdbKC00hVd`03000Z/bZc00hZ/`03000^TbjC010^T`8001L^L`80050bL`03000^Lbic010^L`80
01Moo`00:goo0UTc00D005ECEE=ED`0000=AL`05001=LdecCG<00003CI<00`00BK=9/`02BK<00`00
AM=5d`02AM<01@00@O=1ld7c000013gc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00SIC
00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC
00<002;c8_<01B;c00<001kc7_<01akc00<001lC7a<021lC00<001/c6c<02Q/c00<001MC5e<03aMC
0P00F1=c00<001MC5e<02AMC2GiV0QMC00<001/c6c<041/c00<001lC7a<03alC00<001kc7_<03Akc
00<002;c8_<032;c00<002KC9]<03RKC00<002Zc:[<03RZc00<002jC;Y<042jC00<002ic;W<05Bic
0P00Dc9c0P004Bic00<007ooOol05Goo000[Ool2FC<01@00EE=EDeEC00000e5c00D004ecCG==L`00
00==T`030019/dVc0099/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`03?Q<00`00
>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00
:[<Z/`04:[<00`009]<Vd`059]<00`008_<Rl`058_<00`007_<Nl`077_<00`007a<O4`087a<00`00
6c<K<`0:6c<00`005e<GD`0@5e<00`004g<CL`1C4g<2000;5e<9OVH25e<00`006c<K<`0@6c<00`00
7a<O4`0>7a<2000?7_<00`008_<Rl`0=8_<00`009]<Vd`0=9]<00`00:[<Z/`0=:[<2000B;Y<00`00
;W<^L`0D;W<2001G<W<00`00;W<^L`0>;W<00`00Oomoo`0EOol002]oo`9I<`05001EDeECEE<00003
DG<01@00CG==Ldec00000dfC00<004VcBK<00TVc00<004GCAM<00TGC00D0047c@O=1l`0000@ml`03
000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03
000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00HVd`03000Rlb;c00DRl`03000Nlakc00LNl`03
000O4alC00PO4`03000K<a/c00XK<`80014GD`80050CL`<000`GD`UnIP035e<00000018K<`03000O
4alC00dO4`8000lNl`8000lRl`03000VdbKC00dVd`03000Z/bZc00dZ/`03000^TbjC014^T`03000^
Lbic018^L`<002HbLa@0020bL`8000h^L`03001oogoo01Eoo`00:goo0UTc00D005ECEE=ED`0000=A
L`05001=LdecCG<00004CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<00Sgc00<0
03hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<0
02jC;Y<012jC00<002Zc:[<012Zc00<002KC9]<01BKC00<002;c8_<01R;c00<001kc7_<01Qkc00<0
01lC7a<02AlC00<001/c6c<02a/c0P004AMC0P00C1=c0P003QMC2WiV00<001/c6c<041/c0P003alC
00<001kc7_<03Qkc00<002;c8_<03B;c0P003RKC0P003RZc0P004RjC0P004bic0P008c9c1P0053IC
1@007C9c0P0032ic00<007ooOol05Goo000[Ool3FC<01@00EE=EDeEC00000U5c00<004ecCG<00Tec
00D004fCCI==T`0000A9/`030015ddGC0095d`050011ld7c@O<00004?O<00`00?Q<n4`03?Q<00`00
>S<j<`02>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00
:[<Z/`04:[<00`009]<Vd`069]<00`008_<Rl`068_<00`007_<Nl`067_<00`007a<O4`097a<00`00
6c<K<`0<6c<00`005e<GD`0@5e<200184g<2000?5e<:OVHC6c<00`007a<O4`0>7a<00`007_<Nl`0>
7_<00`008_<Rl`0=8_<00`009]<Vd`0=9]<00`00:[<Z/`0=:[<00`00;Y<^T`0A;Y<00`00;W<^L`0A
;W<2000P<W<5000O=U<4000K<W<2000:;W<00`00Oomoo`0EOol002]oo`=I<`05001EDeECEE<00003
DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000mlcgc008ml`03
000n4chC00<n4`03000j<cXc008j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^Lbic00<^L`03
000^TbjC00@^T`03000Z/bZc00@Z/`03000VdbKC00DVd`03000Rlb;c00HRl`03000Nlakc00LNl`03
000O4alC00TO4`03000K<a/c00/K<`03000GDaMC018GD`8004<CL`<0010GD`YnIQ<K<`03000O4alC
00hO4`03000Nlakc00hNl`03000Rlb;c00dRl`03000VdbKC00dVd`03000Z/bZc00dZ/`03000^TbjC
010^T`8001<^L`03000bLc9c01dbL`<002PfD`8001/bL`03000^Lbic00L^L`03001oogoo01Eoo`00
:goo0eTc00D005ECEE=ED`0000=AL`03001=Ldec009=L`05001=TdfCCI<00004BK<01@00AM=5ddGC
0000147c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c
<W<00c9c00<002ic;W<00bic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c
8_<01R;c00<001kc7_<01akc00<001lC7a<02AlC00<001/c6c<02a/c0P0051MC0`00>a=c1@004QMC
2WiV4Q/c0P003alC0P0041kc00<002;c8_<03B;c00<002KC9]<03BKC00<002Zc:[<03RZc00<002jC
;Y<03RjC0P004bic0P007C9c0`00;CIC1@005c9c00<002ic;W<01Ric00<007ooOol05Goo000[Ool3
FC<01@00EE=EDeEC00000e5c00<004ecCG<00Tec00<004fCCI<00TfC00D004VcBK=9/`0000=5d`03
0011ld7c0091l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00@fD`03
000bLc9c008bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00DZ/`03000VdbKC00DVd`03
000Rlb;c00HRl`03000Nlakc00LNl`03000O4alC00PO4`03000K<a/c00dK<`8001DGD`<003HCL`80
01HGD`YnIQ4K<`80010O4`03000Nlakc00hNl`8000hRl`8000hVd`8000lZ/`8000l^T`8001<^L`80
01/bL`@003DfD`@001@bL`03000^Lbic00D^L`03001oogoo01Eoo`00:goo00D005TcFC=I<`0000=E
D`05001ALe5cDG<00003CG<00`00CI==T`02CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<0
03gc?O<00Sgc00<003hC?Q<00ShC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<0
02ic;W<00bic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c8_<01R;c00<0
01kc7_<01akc00<001lC7a<02AlC00<001/c6c<03Q/c00<001MC5e<05AMC1000;Q=c100061MC2GiV
4A/c00<001lC7a<03QlC0P0041kc00<002;c8_<03B;c00<002KC9]<032KC0P003bZc0P0042jC00<0
02ic;W<04Bic0P006C9c1000?CIC0P004c9c0P001Bic00<007ooOol05Goo000[Ool01@00FC=I<eTc
00000eEC00D0055cDG=AL`0000A=L`05001=TdfCCI<00004BK<01@00AM=5ddGC0000147c00<003gc
?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic
;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01BKC00<002;c8_<01R;c00<001kc
7_<01akc00<001lC7a<02AlC00<001/c6c<03Q/c0P006AMC1@0091=c1@006aMC2GiV4A/c00<001lC
7a<03QlC00<001kc7_<03Qkc0P003b;c00<002KC9]<032KC00<002Zc:[<03RZc00<002jC;Y<03RjC
0P004Ric0P006C9c0P00@cIC0P004c9c00<002ic;W<00Ric00<007ooOol05Goo000[Ool00edC001I
<`02FC<01@00EE=EDeEC00000e5c00D004ecCG==L`0000A=T`030019/dVc0099/`050015ddGCAM<0
0004@O<00`00?O<ml`02?O<00`00?Q<n4`02?Q<00`00>S<j<`02>S<00`00=U<fD`04=U<00`00<W<b
L`03<W<00`00;W<^L`03;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`009]<Vd`059]<00`008_<R
l`078_<00`007_<Nl`077_<00`007a<O4`097a<2000@6c<00`005e<GD`0K5e<3000N4g<3000O5e<9
OVH@6c<2000@7a<00`007_<Nl`0>7_<00`008_<Rl`0=8_<2000>9]<00`00:[<Z/`0>:[<00`00;Y<^
T`0>;Y<00`00;W<^L`0A;W<00`00<W<bL`0G<W<20017=U<2000B<W<20002;W<00`00Oomoo`0EOol0
02]oo`03GA<005Tc009I<`05001EDeECEE<00003DG<01@00CG==Ldec000014fC00<004VcBK<00TVc
00D004GCAM=5d`0000A1l`03000mlcgc008ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC
00<fD`03000bLc9c00<bL`03000^Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00DZ/`03000VdbKC
00DVd`03000Rlb;c00HRl`03000Nlakc00PNl`03000O4alC00XO4`03000K<a/c00hK<`03000GDaMC
01dGD`L0010CL`L0024GD`UnIQ0K<`03000O4alC00lO4`03000Nlakc00dNl`8000lRl`03000VdbKC
00dVd`03000Z/bZc00hZ/`03000^TbjC00h^T`03000^Lbic014^L`03000bLc9c01DbL`<004/fD`03
000bLc9c014bL`03000^L`0001Moo`00:goo00=M4`00FC<00UTc00D005ECEE=ED`0000=AL`05001=
LdecCG<00004CI<00`00BK=9/`02BK<01@00AM=5ddGC0000147c00<003gc?O<00cgc00<003hC?Q<0
0ShC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<00c9c00<002ic;W<00bic00<002jC;Y<0
1BjC00<002Zc:[<012Zc00<002KC9]<01RKC00<002;c8_<01R;c00<001kc7_<021kc00<001lC7a<0
2QlC0P003a/c0P0091MC40009aMC2GiV3a/c0P004AlC00<001kc7_<03Akc00<002;c8_<03R;c00<0
02KC9]<032KC0P003bZc0P003bjC0P004Ric0P005S9c0P00CcIC0P004S9c0P005goo000[Ool00edC
001I<`02FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00
@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`02>S<00`00=U<fD`03=U<00`00
<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`009]<Vd`069]<00`00
8_<Rl`068_<00`007_<Nl`087_<00`007a<O4`0;7a<00`006c<K<`0>6c<2001G5e<00`00OVInIP08
OVH=6c<2000A7a<2000>7_<2000@8_<00`009]<Vd`0<9]<00`00:[<Z/`0>:[<00`00;Y<^T`0=;Y<2
000B;W<2000F<W<2001C=U<2000A<W<00`00Oomoo`0EOol002]oo`9M4`05001I<eTcFC<00003EE<0
1@00DG=ALe5c00000dec00<004fCCI<00TfC00<004VcBK<00TVc00D004GCAM=5d`0000A1l`03000m
lcgc00<ml`03000n4chC008n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00<bL`03000^
Lbic00@^L`03000^TbjC00@^T`03000Z/bZc00DZ/`03000VdbKC00DVd`03000Rlb;c00LRl`03000N
lakc00PNl`03000O4alC00/O4`03000K<a/c00lK<`03000GDaMC058GD`8000YnIP`K<`80018O4`03
000Nlakc00dNl`03000Rlb;c00hRl`8000hVd`03000Z/bZc00hZ/`03000^TbjC00d^T`03000^Lbic
014^L`03000bLc9c01@bL`8005LfD`8000lbL`03001oogoo01Eoo`00:goo0UdC00D005TcFC=I<`00
00=ED`03001ALe5c009AL`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c
00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00SXc00<003IC=U<00cIC00<0039c<W<00c9c
00<002ic;W<012ic00<002jC;Y<012jC00<002Zc:[<01BZc00<002KC9]<01RKC00<002;c8_<01b;c
00<001kc7_<021kc00<001lC7a<02alC00<001/c6c<03a/c0P00D1MC0P0000<K<giVOVH027iV31/c
00<001lC7a<041lC0P003akc00<002;c8_<03R;c00<002KC9]<03BKC00<002Zc:[<03BZc0P003bjC
00<002ic;W<042ic0P005C9c0P009SIC50008CIC00<0039c<W<0339c00<007ooOol05Goo000[Ool2
GA<00`00FC=I<`02FC<01@00EE=EDeEC00000e5c00D004ecCG==L`0000A=T`050019/dVcBK<00004
AM<00`00@O=1l`02@O<00`00?O<ml`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03
=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z/`05:[<00`009]<Vd`06
9]<00`008_<Rl`078_<00`007_<Nl`087_<00`007a<O4`0;7a<2000A6c<3001:5e<300026c<:OVH;
6c<2000B7a<00`007_<Nl`0>7_<00`008_<Rl`0>8_<00`009]<Vd`0<9]<2000?:[<00`00;Y<^T`0>
;Y<00`00;W<^L`0@;W<00`00<W<bL`0B<W<3000R=U<6000D>S<5000M=U<2000<<W<00`00Oomoo`0E
Ool002]oo`9M4`03001I<eTc009I<`05001EDeECEE<00003DG<00`00CG==L`02CG<01@00CI==TdfC
00000dVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC00<003Xc
>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic00<002jC;Y<00bjC00<002Zc
:[<01RZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<021kc00<001lC7a<031lC00<001/c
6c<04A/c0P00A1MC100011/c2WiV2Q/c0P004QlC0P0041kc00<002;c8_<03R;c00<002KC9]<032KC
00<002Zc:[<03RZc00<002jC;Y<03BjC0P004Ric00<0039c<W<04C9c0P0083IC1@007cXc1@006SIC
0P002S9c00<007ooOol05Goo000[Ool3GA<01@00FC=I<eTc00000eEC00D0055cDG=AL`0000A=L`03
001=TdfC009=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<ml`03?O<00`00?Q<n4`02
?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^L`04;W<00`00;Y<^T`04
;Y<00`00:[<Z/`06:[<00`009]<Vd`069]<00`008_<Rl`078_<00`007_<Nl`087_<00`007a<O4`0<
7a<2000C6c<200105e<200086c<9OVH96c<2000C7a<00`007_<Nl`0>7_<2000?8_<2000=9]<2000?
:[<2000?;Y<00`00;W<^L`0@;W<2000B<W<2000M=U<5000Y>S<4000H=U<00`00<W<bL`07<W<00`00
Oomoo`0EOol002]oo`=M4`03001I<eTc009I<`05001EDeECEE<00003DG<00`00CG==L`02CG<01@00
CI==TdfC00000dVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00cgc00<003hC?Q<00ShC
00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic00<002jC;Y<012jC
00<002Zc:[<01BZc00<002KC9]<01RKC00<002;c8_<01b;c00<001kc7_<02Akc00<001lC7a<03AlC
00<001/c6c<04Q/c0`00>QMC0`0021/c2WiV21/c0P004alC0P0041kc00<002;c8_<03R;c00<002KC
9]<032KC00<002Zc:[<03RZc00<002jC;Y<03RjC00<002ic;W<03bic0P004S9c0P006cIC1000<SXc
0`005SIC0P001c9c00<007ooOol05Goo000[Ool01@00GA=M4edC00000eTc00D005ECEE=ED`0000=A
L`03001=Ldec009=L`03001=TdfC009=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00?O<m
l`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<00`00;W<^
L`04;W<00`00;Y<^T`04;Y<00`00:[<Z/`06:[<00`009]<Vd`069]<00`008_<Rl`078_<00`007_<N
l`097_<00`007a<O4`0=7a<00`006c<K<`0D6c<4000d5e<2000:6c<:OVH76c<2000D7a<00`007_<N
l`0>7_<2000@8_<00`009]<Vd`0<9]<00`00:[<Z/`0=:[<2000?;Y<2000@;W<2000C<W<00`00=U<f
D`0I=U<2000i>S<3000E=U<20005<W<00`00Oomoo`0EOol002]oo`05001M4edCGA<00003FC<01@00
EE=EDeEC0000155c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00@O=1l`02@O<00`00
?O<ml`03?O<00`00?Q<n4`02?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00
;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z/`06:[<00`009]<Vd`069]<00`008_<Rl`078_<00`00
7_<Nl`097_<2000>7a<2000H6c<3000/5e<5000;6c<:OVH76c<00`007a<O4`0B7a<2000@7_<00`00
8_<Rl`0>8_<2000>9]<00`00:[<Z/`0=:[<00`00;Y<^T`0>;Y<00`00;W<^L`0>;W<2000C<W<2000I
=U<3000n>S<2000E=U<00`00<W<bL`02<W<00`00Oomoo`0EOol002]oo`05001M4edCGA<00003FC<0
1@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`050011
ld7c@O<00005?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00<W<bL`03<W<0
0`00;W<^L`04;W<00`00;Y<^T`05;Y<00`00:[<Z/`06:[<00`009]<Vd`069]<00`008_<Rl`078_<0
0`007_<Nl`0:7_<00`007a<O4`0=7a<2000I6c<4000T5e<4000>6c<;OVH66c<2000C7a<2000A7_<0
0`008_<Rl`0>8_<00`009]<Vd`0=9]<00`00:[<Z/`0=:[<00`00;Y<^T`0>;Y<00`00;W<^L`0=;W<2
000C<W<2000I=U<20013>S<3000C=U<01@00<W<bLc9c00005goo000[Ool00ecc001M4`02GA<01@00
FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`050019/dVcBK<00004AM<00`00
@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<00`00
<W<bL`04<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<00`00:[<Z/`07:[<00`009]<Vd`069]<00`00
8_<Rl`078_<00`007_<Nl`0:7_<2000?7a<00`006c<K<`0J6c<5000E5e<:000A6c<;OVH46c<3000C
7a<2000B7_<00`008_<Rl`0=8_<2000>9]<2000>:[<2000?;Y<2000?;W<00`00<W<bL`0A<W<2000H
=U<30018>S<2000B=U<200000c9c001oo`0FOol002]oo`03G?<005dC009M4`05001I<eTcFC<00003
EE<00`00DG=AL`02DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c
@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c
<W<00c9c00<002ic;W<012ic00<002jC;Y<01BjC00<002Zc:[<01RZc00<002KC9]<01RKC00<002;c
8_<022;c00<001kc7_<02akc00<001lC7a<03AlC0P007a/c5@006Q/c2WiV11/c0P005AlC00<001kc
7_<041kc0P003b;c00<002KC9]<03BKC00<002Zc:[<03BZc00<002jC;Y<03BjC0P003bic0P004S9c
0P0063IC0P00CCXc0P004SIC0P005goo000[Ool2G?<01000GA=M4`0015Tc00D005ECEE=ED`0000AA
L`05001=LdecCG<00004CI<01@00BK=9/dVc000014GC00<0047c@O<00T7c00<003gc?O<00Sgc00<0
03hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic00<0
02jC;Y<012jC00<002Zc:[<01bZc00<002KC9]<01RKC00<002;c8_<022;c00<001kc7_<02akc00<0
01lC7a<03QlC0P00BQ/c2giV0Q/c0`005AlC0P004Akc0P003b;c0P003RKC0P003bZc00<002jC;Y<0
3BjC00<002ic;W<03Bic0P004S9c0P005SIC1000DCXc0P004CIC00<007ooOol05Goo000[Ool2G?<0
1@00GA=M4edC00000eTc00D005ECEE=ED`0000AAL`05001=LdecCG<00004CI<00`00BK=9/`02BK<0
0`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<0
0`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^L`04;W<00`00;Y<^T`04;Y<20008:[<00`009]<V
d`069]<00`008_<Rl`088_<00`007_<Nl`0;7_<00`007a<O4`0?7a<200176c<;OVH00a/c0000000F
7a<2000A7_<2000@8_<00`009]<Vd`0=9]<00`00:[<Z/`0=:[<2000>;Y<2000?;W<00`00<W<bL`0@
<W<2000E=U<3001G>S<2000?=U<00`00Oomoo`0EOol002]oo`9Ll`05001M4edCGA<00003FC<01@00
EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c
0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc008j<`03000fDcIC00@fD`03000bLc9c
00@bL`03000^Lbic00<^L`03000^TbjC00H^T`03000Z/bZc00DZ/`03000VdbKC00LVd`03000Rlb;c
00PRl`03000Nlakc00/Nl`80014O4`8004@K<`YnIP<001LO4`03000Nlakc010Nl`03000Rlb;c00hR
l`8000lVd`03000Z/bZc00`Z/`8000l^T`03000^Lbic00h^L`03000bLc9c00lbL`8001DfD`8002Lj
<a@0024j<`03000fDcIC00`fD`03001oogoo01Eoo`00:goo0ecc00D005dCGA=M4`00009I<`03001E
DeEC009ED`03001ALe5c009AL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<0
0`00@O=1l`02@O<00`00?O<ml`02?O<00`00?Q<n4`03?Q<00`00>S<j<`03>S<00`00=U<fD`03=U<0
0`00<W<bL`04<W<00`00;W<^L`04;W<00`00;Y<^T`06;Y<00`00:[<Z/`05:[<00`009]<Vd`079]<0
0`008_<Rl`088_<00`007_<Nl`0<7_<00`007a<O4`0@7a<3000o6c<;OVH00`007a<O4`0F7a<2000A
7_<2000@8_<00`009]<Vd`0>9]<00`00:[<Z/`0<:[<00`00;Y<^T`0>;Y<00`00;W<^L`0=;W<2000A
<W<00`00=U<fD`0C=U<2000S>S<6000D?Q<5000M>S<2000<=U<00`00Oomoo`0EOol002]oo`=Ll`05
001M4edCGA<00003FC<01@00EE=EDeEC0000155c00D004ecCG==L`0000A=T`030019/dVc0099/`03
0015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc008j<`03
000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00<^L`03000^TbjC00H^T`03000Z/bZc00HZ/`03
000VdbKC00LVd`03000Rlb;c00PRl`8000dNl`8001<O4`8003`K<`]nIQPO4`80018Nl`03000Rlb;c
00hRl`8000lVd`8000hZ/`03000^TbjC00h^T`03000^Lbic00d^L`03000bLc9c00lbL`8001<fD`<0
020j<`D001ln4`D001Xj<`8000XfD`03001oogoo01Eoo`00:goo15cc00D005dCGA=M4`00009I<`05
001EDeECEE<00005DG<01@00CG==Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c
@O<00T7c00<003gc?O<00Sgc00<003hC?Q<00chC0P0013Xc00<003IC=U<00cIC00<0039c<W<0139c
00<002ic;W<012ic00<002jC;Y<01RjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c8_<02B;c
00<001kc7_<031kc0P004alC0`00>1/c2WiV61lC0P004Qkc0P0042;c00<002KC9]<03BKC0P003RZc
0P003bjC0P003bic00<0039c<W<0339c00@0039c000001<fD`8001hj<`D002Tn4`D001Lj<`8000Pf
D`03001oogoo01Eoo`00:goo15cc00D005dCGA=M4`0000=I<`05001EDeECEE<00004DG<01@00CG==
Ldec000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00cgc00<0
03hC?Q<00chC00<003Xc>S<00cXc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<012ic0P00
1bjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c8_<02B;c00<001kc7_<03Akc00<001lC7a<0
4alC0`00<a/c2giV5QlC0`004Qkc0P0042;c0P003bKC00<002Zc:[<03BZc00<002jC;Y<03BjC0P00
3bic0P003c9c0P004cIC0P006SXc1P00<chC0`005SXc0P001SIC00<007ooOol05Goo000[Ool01@00
G?=Llecc00000edC00D005TcFC=I<`0000=ED`03001ALe5c009AL`03001=Ldec009=L`05001=TdfC
CI<00004BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`03?O<00`00?Q<n4`03?Q<00`00
>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`03<W<00`00;W<^L`05;W<00`00;Y<^T`05;Y<00`00
:[<Z/`07:[<00`009]<Vd`079]<00`008_<Rl`088_<00`007_<Nl`0=7_<00`007a<O4`0F7a<4000^
6c<;OVHE7a<2000D7_<00`008_<Rl`0?8_<00`009]<Vd`0?9]<00`00:[<Z/`0<:[<00`00;Y<^T`0<
;Y<2000?;W<2000?<W<2000C=U<2000I>S<3000l?Q<3000E>S<00`00=U<fD`03=U<00`00Oomoo`0E
Ool002]oo`05001LleccG?<00004GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==
L`0000A=T`030019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc008ml`03000n
4chC00@n4`03000j<cXc00<j<`03000fDcIC00<fD`03000bLc9c00@bL`03000^Lbic00D^L`03000^
TbjC00D^T`03000Z/bZc00HZ/`03000VdbKC00LVd`03000Rlb;c00TRl`8000hNl`8001XO4`D002@K
<`@000YnIQDO4`8001@Nl`80010Rl`80010Vd`8000hZ/`03000^TbjC00`^T`03000^Lbic00h^L`03
000bLc9c00dbL`8001<fD`8001Tj<`80048n4`@0018j<`03000fDcIC008fD`03001oogoo01Eoo`00
:goo00=Pl`00G?<00Ucc00D005dCGA=M4`0000=I<`05001EDeECEE<00004DG<01@00CG==Ldec0000
14fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<003gc?O<00Sgc00<003hC?Q<0
13hC00<003Xc>S<00cXc00<003IC=U<013IC00<0039c<W<00c9c00<002ic;W<01Bic00<002jC;Y<0
1RjC00<002Zc:[<01RZc00<002KC9]<01bKC00<002;c8_<02R;c00<001kc7_<03Akc0P007AlC1@00
6Q/c1@000QlC2giV51lC0P0051kc0P004B;c00<002KC9]<03RKC0P003RZc0P003BjC0P0042ic00<0
039c<W<03C9c00<003IC=U<04SIC00<003Xc>S<05SXc0`00B3hC0P004CXc0P000SIC00<007ooOol0
5Goo000[Ool00f3c001Ll`02G?<01@00GA=M4edC00000eTc00D005ECEE=ED`0000AAL`03001=Ldec
009=L`05001=TdfCCI<00004BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`02?O<00`00
?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`03=U<00`00<W<bL`04<W<00`00;W<^L`05;W<00`00
;Y<^T`05;Y<00`00:[<Z/`07:[<00`009]<Vd`079]<00`008_<Rl`0:8_<2000?7_<00`007a<O4`0O
7a<J00057a<<OVHC7a<2000D7_<2000B8_<00`009]<Vd`0=9]<2000?:[<00`00;Y<^T`0<;Y<00`00
;W<^L`0>;W<2000?<W<00`00=U<fD`0A=U<2000G>S<2001=?Q<2000A>S<3000GOol002]oo`9Pl`04
001Llecc0004GA<01@00FC=I<eTc00000eEC00<0055cDG<00U5c00D004ecCG==L`0000A=T`030019
/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc008ml`03000n4chC00@n4`03000j
<cXc00<j<`03000fDcIC00@fD`03000bLc9c00<bL`03000^Lbic00D^L`03000^TbjC00H^T`03000Z
/bZc00HZ/`03000VdbKC00PVd`03000Rlb;c00/Rl`03000Nlakc00dNl`8003dO4`]nIQ<O4`8001DN
l`03000Rlb;c010Rl`8000lVd`03000Z/bZc00hZ/`03000^TbjC00`^T`03000^Lbic00h^L`03000b
Lc9c00hbL`03000fDcIC010fD`8001Lj<`80054n4`03000j<cXc010j<`03001oogoo01Eoo`00:goo
0V3c00D005ccG?=Ll`0000=M4`05001I<eTcFC<00003EE<00`00DG=AL`02DG<01@00CG==Ldec0000
14fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00Sgc00<003hC?Q<0
0chC00<003Xc>S<013Xc00<003IC=U<00cIC00<0039c<W<0139c00<002ic;W<01Bic00<002jC;Y<0
1RjC00<002Zc:[<01RZc00<002KC9]<022KC00<002;c8_<02b;c00<001kc7_<03Qkc1000=alC37iV
4AlC0`005Akc0P004B;c0P003bKC0P003bZc0P003RjC00<002ic;W<03Ric00<0039c<W<03S9c00<0
03IC=U<03cIC0P005SXc0`00E3hC0P0043Xc00<007ooOol05Goo000[Ool2H?<01@00G?=Llecc0000
0edC00D005TcFC=I<`0000=ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019
/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j
<cXc00<j<`03000fDcIC00@fD`03000bLc9c00@bL`03000^Lbic00D^L`03000^TbjC00H^T`03000Z
/bZc00HZ/`8000TVd`8000`Rl`80018Nl`8003<O4`enIPhO4`@001HNl`80014Rl`8000lVd`8000lZ
/`8000h^T`8000l^L`8000lbL`80010fD`8001@j<`@002Dn4a@0020n4`8000hj<`03001oogoo01Eo
o`00:goo0V3c00<005ccG?<00Ucc00@005dCGA<000AI<`05001EDeECEE<00004DG<01@00CG==Ldec
000014fC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<00Sgc00<003hC
?Q<00chC00<003Xc>S<013Xc00<003IC=U<013IC00<0039c<W<00c9c00<002ic;W<01Ric00<002jC
;Y<01RjC00<002Zc:[<01bZc00<002KC9]<022KC00<002;c8_<02b;c0P004Qkc0`00;alC37iV3AlC
0`0061kc0P004B;c0P0042KC00<002Zc:[<03RZc00<002jC;Y<032jC0P003bic0P003c9c0P0043IC
0P0053Xc0P008chC1P0053gc1@007ChC0P0033Xc00<007ooOol05Goo000[Ool3H?<01@00G?=Llecc
00000edC00D005TcFC=I<`0000=ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`03
0019/dVc0099/`030015ddGC0095d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03
000j<cXc00@j<`03000fDcIC00<fD`03000bLc9c00@bL`03000^Lbic00D^L`03000^TbjC00L^T`03
000Z/bZc00LZ/`03000VdbKC00PVd`03000Rlb;c00`Rl`03000Nlakc018Nl`8002/O4`enIP/O4`<0
01TNl`80018Rl`03000VdbKC00hVd`80010Z/`03000^TbjC00`^T`03000^Lbic00h^L`03000bLc9c
00dbL`80014fD`03000j<cXc018j<`80020n4`D001lml`D001Xn4`8000Xj<`03001oogoo01Eoo`00
:goo0f3c00<005ccG?<00Ucc00@005dCGA<000=I<`03001EDeEC009ED`03001ALe5c009AL`05001=
LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`02?O<0
0`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00<W<bL`04<W<00`00;W<^L`05;W<0
0`00;Y<^T`06;Y<00`00:[<Z/`07:[<00`009]<Vd`099]<00`008_<Rl`0<8_<2000D7_<2000W7a<=
OVH;7a<2000K7_<00`008_<Rl`0@8_<2000@9]<00`00:[<Z/`0>:[<2000>;Y<00`00;W<^L`0=;W<2
000?<W<00`00=U<fD`0?=U<2000C>S<2000M?Q<5000Y?O<4000H?Q<00`00>S<j<`07>S<00`00Oomo
o`0EOol002]oo`=Pl`03001Llecc009Ll`05001M4edCGA<00003FC<01000EE=EDeEC0P000e5c00<0
04ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00TVc00<004GCAM<00TGC00<0047c@O<00T7c00<0
03gc?O<00cgc0P0013hC00<003Xc>S<013Xc00<003IC=U<013IC00<0039c<W<0139c00<002ic;W<0
1Bic00<002jC;Y<01RjC00<002Zc:[<01bZc00<002KC9]<02BKC00<002;c8_<03B;c00<001kc7_<0
4akc0`008QlC3WiV21lC10006Qkc0`004R;c00<002KC9]<03bKC00<002Zc:[<03BZc0P003bjC00<0
02ic;W<032ic0P00439c00<003IC=U<03CIC0`004SXc0`006ShC1@00<Sgc1P004chC0P001cXc00<0
07ooOol05Goo000[Ool01000H?=Pl`0015cc00D005dCGA=M4`0000=I<`03001EDeEC009ED`03001A
Le5c009AL`05001=LdecCG<00004CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<0
0`00?O<ml`04?O<00`00?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`03=U<00`00<W<bL`05<W<0
0`00;W<^L`05;W<20007;Y<00`00:[<Z/`07:[<2000:9]<00`008_<Rl`0=8_<2000F7_<5000L7a<=
OVH57a<5000K7_<3000C8_<2000@9]<2000>:[<2000?;Y<2000=;W<2000@<W<2000>=U<2000C>S<2
000I?Q<4000m?O<2000C?Q<20005>S<00`00Oomoo`0EOol001Qoo`05GAll7c`O?1lmg`0>Ool01@00
H?=Plf3c000015cc00D005dCGA=M4`0000=I<`03001EDeEC009ED`05001ALe5cDG<00004CG<00`00
CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`02@O<00`00?O<ml`04?O<00`00
?Q<n4`02?Q<00`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`06;W<00`00
;Y<^T`05;Y<00`00:[<Z/`08:[<00`009]<Vd`089]<2000?8_<2000I7_<5000E7a<=OVH27a<5000N
7_<2000D8_<2000@9]<2000?:[<00`00;Y<^T`0=;Y<2000>;W<00`00<W<bL`0><W<2000>=U<2000C
>S<2000I?Q<20013?O<3000B?Q<00`00>S<j<`02>S<00`00Oomoo`0EOol001Moo`03D1ll7c`O00<l
7`03?Amcogoo00]oo`05001Plf3cH?<00004G?<01@00GA=M4edC00000eTc00<005ECEE<00UEC00D0
055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC00=5d`030011ld7c0091
l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00@fD`03000bLc9c00@b
L`03000^Lbic00H^L`03000^TbjC00H^T`03000Z/bZc00PZ/`03000VdbKC00TVd`8000lRl`8001`N
l`D000hO4`inIP<0020Nl`<001@Rl`80014Vd`03000Z/bZc00dZ/`8000h^T`8000h^L`8000lbL`80
00lfD`03000j<cXc018j<`03000n4chC01Hn4`<004Pml`80014n4`80008j<`03001oogoo01Eoo`00
5Woo00=Ygc`OBUl00goo00=bGc`O?Ml037oo00=Td`00H?<00V3c00<005ccG?<00Ucc00D005dCGA=M
4`0000=I<`03001EDeEC009ED`05001ALe5cDG<00004CG<01@00CI==TdfC000014Vc00<004GCAM<0
0dGC00<0047c@O<00T7c00<003gc?O<013gc00<003hC?Q<00ShC00<003Xc>S<013Xc00<003IC=U<0
13IC00<0039c<W<01C9c00<002ic;W<01Ric00<002jC;Y<01RjC00<002Zc:[<022Zc00<002KC9]<0
2RKC0P003b;c0P007akc3@003GiV8akc0P005B;c0P004BKC0P003bZc00<002jC;Y<03BjC00<002ic
;W<03Bic00<0039c<W<03C9c0P003cIC0P004cXc0P005chC0P00CCgc0P004ChC0`005goo000FOol0
0e0O?Amco`04Ool00e0O?1m[o`0;Ool00fCC001Pl`02H?<00`00G?=Ll`02G?<01@00GA=M4edC0000
0eTc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099/`030015
ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00@j<`03000f
DcIC00@fD`03000bLc9c00DbL`03000^Lbic00H^L`03000^TbjC00H^T`03000Z/bZc00PZ/`03000V
dbKC00XVd`03000Rlb;c00lRl`03000Nlakc02LNl`enIR8Nl`<001DRl`80018Vd`03000Z/bZc00hZ
/`03000^TbjC00d^T`03000^Lbic00d^L`03000bLc9c00dbL`03000fDcIC00hfD`03000j<cXc010j
<`<001@n4`D0054ml`<0010n4`03001oogoo01Eoo`007Goo00=Ygc`OJol02goo00=Td`00H?<00f3c
00D005ccG?=Ll`0000=M4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00
CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00
?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`06;W<00`00
;Y<^T`06;Y<00`00:[<Z/`08:[<00`009]<Vd`0:9]<2000@8_<3000T7_<=OVHR7_<2000E8_<3000B
9]<2000?:[<2000?;Y<00`00;W<^L`0<;W<2000><W<2000?=U<2000A>S<2000C?Q<4001I?O<2000>
?Q<00`00Oomoo`0EOol001eoo`03GAll7f_o00]oo`9Td`05001Plf3cH?<00003G?<01@00GA=M4edC
000015Tc00<005ECEE<00UEC00D0055cDG=AL`0000A=L`03001=TdfC009=T`030019/dVc0099/`03
0015ddGC00=5d`030011ld7c0091l`03000mlcgc00<ml`03000n4chC00@n4`03000j<cXc00@j<`03
000fDcIC00<fD`03000bLc9c00HbL`03000^Lbic00H^L`03000^TbjC00H^T`03000Z/bZc00PZ/`03
000VdbKC00/Vd`80014Rl`80024Nl`enIR0Nl`<001DRl`8001<Vd`8000lZ/`8000l^T`8000d^L`80
00hbL`8000lfD`80014j<`8001<n4`8002<mlal001dml`8000`n4`03001oogoo01Eoo`0077oo00=b
Gc`O?Ml037oo0VCC00<0063cH?<00V3c00D005ccG?=Ll`0000=M4`05001I<eTcFC<00004EE<00`00
DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00
@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`04=U<00`00
<W<bL`05<W<00`00;W<^L`07;W<00`00;Y<^T`06;Y<00`00:[<Z/`08:[<00`009]<Vd`0<9]<00`00
8_<Rl`0@8_<3000O7_<:OVHO7_<3000F8_<2000C9]<2000?:[<2000@;Y<00`00;W<^L`0<;W<00`00
<W<bL`0=<W<00`00=U<fD`0==U<2000B>S<00`00?Q<n4`0A?Q<2000P?O<5000O@O<5000J?O<2000:
?Q<00`00Oomoo`0EOol001Uoo`06LUll7c`O?1lm7g?o37oo0fCC00D0063cH?=Pl`0000=Ll`05001M
4edCGA<00004FC<00`00EE=ED`02EE<01@00DG=ALe5c000014ec00<004fCCI<00TfC00<004VcBK<0
0TVc00<004GCAM<00dGC00<0047c@O<00T7c00<003gc?O<013gc00<003hC?Q<00chC00<003Xc>S<0
13Xc00<003IC=U<013IC00<0039c<W<01C9c00<002ic;W<01Ric00<002jC;Y<01bjC00<002Zc:[<0
22Zc0P003BKC0P004b;c0P007Akc27iV7Akc100062;c00<002KC9]<04BKC0P003RZc0`0042jC0P00
3Bic0P003S9c0P003cIC00<003Xc>S<043Xc0P004ShC0P007Sgc1000:D7c100063gc00<003hC?Q<0
1chC00<007ooOol05Goo000IOol01G9O?1ll7cdOLol03Goo0fCC00<0063cH?<00V3c00D005ccG?=L
l`0000=M4`04001I<eTcFC<20003EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`02CI<0
0`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<0
0`00>S<j<`04>S<00`00=U<fD`04=U<00`00<W<bL`05<W<00`00;W<^L`06;W<00`00;Y<^T`07;Y<0
0`00:[<Z/`09:[<00`009]<Vd`0<9]<00`008_<Rl`0B8_<5000I7_<6OVHI7_<5000I8_<3000B9]<2
000@:[<00`00;Y<^T`0>;Y<2000>;W<00`00<W<bL`0=<W<00`00=U<fD`0>=U<00`00>S<j<`0?>S<2
000C?Q<00`00?O<ml`0H?O<6000a@O<3000F?O<20007?Q<00`00Oomoo`0EOol001]oo`04O_ll7cdO
Lol<Ool01000I==Td`00163c00D005ccG?=Ll`0000=M4`03001I<eTc009I<`05001EDeECEE<00004
DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`02BK<00`00AM=5d`02AM<00`00@O=1l`04
@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`03>S<00`00=U<fD`05=U<00`00<W<bL`05
<W<00`00;W<^L`06;W<00`00;Y<^T`07;Y<00`00:[<Z/`09:[<00`009]<Vd`0<9]<3000F8_<5000D
7_<4OVHF7_<5000K8_<3000C9]<2000@:[<2000@;Y<00`00;W<^L`0<;W<2000><W<2000?=U<2000?
>S<3000B?Q<3000G?O<4000j@O<4000D?O<20005?Q<00`00Oomoo`0EOol001aoo`03LUll7e;o00ao
o`05001TdfCCI=<00004H?<01@00G?=Llecc00000edC00<005TcFC<00UTc00D005ECEE=ED`0000AA
L`03001=Ldec009=L`03001=TdfC009=T`030019/dVc0099/`030015ddGC0095d`030011ld7c00=1
l`03000mlcgc00@ml`03000n4chC00<n4`03000j<cXc00@j<`03000fDcIC00DfD`03000bLc9c00Db
L`03000^Lbic00H^L`03000^TbjC00L^T`03000Z/bZc00TZ/`8000lVd`8001TRl`D0010Nl`03OVHN
lakc014Nl`D001hRl`8001@Vd`80010Z/`80010^T`8000d^L`8000lbL`03000fDcIC00dfD`8000lj
<`8001<n4`8001Pml`800491l`@0018ml`03000n4chC008n4`03001oogoo01Eoo`005Woo00=M7c`O
Jol00goo00=bGc`OD_l037oo00EX/`00I==Td`0000APl`05001LleccG?<00003GA<00`00FC=I<`02
FC<01@00EE=EDeEC0000155c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00TVc00<004GC
AM<00dGC00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<013hC00<003Xc>S<013Xc00<003IC
=U<013IC00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<01bjC00<002Zc:[<02RZc0P003bKC
0P0072;c1@006Qkc1@0082;c0`0052KC0P004BZc00<002jC;Y<03RjC0P003Bic0P003c9c0P003SIC
0P003cXc0P004ShC0`005cgc0`00B47c0P004Cgc0P000ShC00<007ooOol05Goo000FOol00g9O?1lm
g`02Ool017moB1ll7emo37oo00=X/`00I=<00VCC00<0063cH?<00V3c00D005ccG?=Ll`0000=M4`03
001I<eTc009I<`05001EDeECEE<00004DG<01@00CG==Ldec000014fC00<004VcBK<00dVc00<004GC
AM<00TGC00<0047c@O<00d7c00<003gc?O<013gc00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC
=U<01CIC00<0039c<W<01S9c00<002ic;W<01Ric00<002jC;Y<01bjC0P0032Zc0P003bKC0P007b;c
6P008b;c0P005BKC0P004BZc0P003bjC0P003Ric00<0039c<W<03C9c0P003SIC0P003cXc0P004ShC
0P0063gc0P00CD7c0P004Cgc0`005goo000GOol00e0O?1ll7`03?1l00dYOOomoo`0;Ool2J;<01@00
I==TdfCC00000f3c00D005ccG?=Ll`0000=M4`03001I<eTc009I<`05001EDeECEE<00004DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00
?O<ml`04?O<00`00?Q<n4`03?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00<W<bL`06<W<00`00
;W<^L`06;W<00`00;Y<^T`08;Y<00`00:[<Z/`0;:[<00`009]<Vd`0>9]<2001G8_<3000D9]<3000A
:[<2000?;Y<2000?;W<00`00<W<bL`0=<W<00`00=U<fD`0==U<00`00>S<j<`0>>S<00`00?Q<n4`0@
?Q<2000E?O<5001A@O<3000@?O<00`00Oomoo`0EOol001Qoo`05GAll7c`O?1mBo`0>Ool2J;<01@00
I==TdfCC00000f3c00D005ccG?=Ll`0000AM4`05001I<eTcFC<00004EE<00`00DG=AL`02DG<00`00
CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`02AM<00`00@O=1l`03@O<00`00
?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`05=U<00`00<W<bL`06<W<00`00
;W<^L`06;W<00`00;Y<^T`08;Y<00`00:[<Z/`0;:[<00`009]<Vd`0?9]<2001C8_<2000E9]<2000C
:[<00`00;Y<^T`0=;Y<2000?;W<2000><W<2000>=U<2000?>S<2000A?Q<2000C?O<4001I@O<2000>
?O<00`00Oomoo`0EOol002]oo`=X/`05001TdfCCI=<00002H?<00`00G?=Ll`02G?<01@00GA=M4edC
000015Tc00D005ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc00=9/`03
0015ddGC0095d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00@n4`03000j<cXc00<j<`03
000fDcIC00HfD`03000bLc9c00HbL`03000^Lbic00H^L`03000^TbjC00P^T`03000Z/bZc00/Z/`80
014Vd`8004dRl`@001DVd`8001<Z/`8000l^T`03000^Lbic00d^L`8000hbL`8000hfD`8000lj<`80
014n4`8001<ml`8002=1lal001e1l`8000`ml`03001oogoo01Eoo`00:goo0fRc00D006CCI==Td`00
00=Pl`05001LleccG?<00004GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec
00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00TGC00<0047c@O<00d7c00<003gc?O<013gc
00<003hC?Q<00chC00<003Xc>S<013Xc00<003IC=U<01SIC00<0039c<W<01S9c00<002ic;W<01Ric
00<002jC;Y<022jC0P003BZc00<002KC9]<042KC1000A2;c1@005bKC0P004bZc0P003bjC0P003Ric
0P003c9c00<003IC=U<03CIC00<003Xc>S<03CXc0P004ChC0P004Sgc0`00847c1@007dGC1@006T7c
0P002Sgc00<007ooOol05Goo000[Ool4J;<01@00I==TdfCC00000V3c00D005ccG?=Ll`0000AM4`03
001I<eTc009I<`05001EDeECEE<00004DG<00`00CG==L`02CG<00`00CI==T`02CI<00`00BK=9/`03
BK<00`00AM=5d`02AM<00`00@O=1l`04@O<00`00?O<ml`03?O<00`00?Q<n4`04?Q<00`00>S<j<`04
>S<00`00=U<fD`06=U<00`00<W<bL`06<W<00`00;W<^L`06;W<2000:;Y<2000<:[<2000D9]<4000n
8_<2000J9]<2000C:[<2000?;Y<2000>;W<2000?<W<2000>=U<2000?>S<00`00?Q<n4`0??Q<2000B
?O<2000N@O<5000YAM<5000G@O<20008?O<00`00Oomoo`0EOol002]oo`AX/`05001TdfCCI=<00003
H?<01@00G?=Llecc000015dC00D005TcFC=I<`0000AED`03001ALe5c009AL`03001=Ldec009=L`03
001=TdfC009=T`030019/dVc00=9/`030015ddGC0095d`8000E1l`03000mlcgc00<ml`03000n4chC
00@n4`03000j<cXc00@j<`03000fDcIC00HfD`03000bLc9c00HbL`03000^Lbic00L^L`03000^TbjC
00T^T`03000Z/bZc00/Z/`8001HVd`<003HRl`D001XVd`80018Z/`<000l^T`8000l^L`03000bLc9c
00dbL`8000hfD`8000lj<`8000ln4`<0018ml`8001Y1l`H003=5d`D001A1l`8000Hml`03001oogoo
01Eoo`00:goo00D006RcJ;=X/`0000=Td`05001Plf3cH?<00004G?<01@00GA=M4edC000015Tc00D0
05ECEE=ED`0000AAL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc00=9/`030015ddGC00A5
d`030011ld7c00=1l`03000mlcgc00<ml`03000n4chC00<n4`03000j<cXc00Dj<`03000fDcIC00Hf
D`03000bLc9c00HbL`03000^Lbic00L^L`03000^TbjC00P^T`03000Z/bZc00dZ/`8001LVd`@002hR
l`@001`Vd`<001<Z/`03000^TbjC00l^T`03000^Lbic00d^L`8000lbL`03000fDcIC00`fD`8000lj
<`8000ln4`8001<ml`8001U1l`<003i5d`8001A1l`03000mlcgc00<ml`03001oogoo01Eoo`00:goo
00D006RcJ;=X/`0000ATd`05001Plf3cH?<00003G?<00`00GA=M4`02GA<01@00FC=I<eTc000015EC
00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<00dGC
00<0047c@O<00d7c00<003gc?O<00cgc00<003hC?Q<013hC00<003Xc>S<01CXc00<003IC=U<01SIC
00<0039c<W<01S9c00<002ic;W<01bic00<002jC;Y<022jC0P003bZc0P006BKC1@0092;c1@007RKC
0P0052Zc0P0042jC0P003Ric0P003c9c0P003CIC0P0043Xc00<003hC?Q<03ChC0P004cgc0P006D7c
0P00@dGC0`004T7c00<003gc?O<00Sgc00<007ooOol05Goo000[Ool00fbC001X/`02J;<01@00I==T
dfCC00000f3c00<005ccG?<00Ucc00D005dCGA=M4`0000AI<`03001EDeEC009ED`05001ALe5cDG<0
0004CG<00`00CI==T`03CI<00`00BK=9/`02BK<00`00AM=5d`04AM<00`00@O=1l`03@O<00`00?O<m
l`03?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<00`00=U<fD`06=U<00`00<W<bL`07<W<00`00;W<^
L`07;W<00`00;Y<^T`09;Y<2000?:[<3000K9]<:000@8_<:000P9]<3000D:[<2000@;Y<2000>;W<2
000?<W<2000==U<2000@>S<2000??Q<00`00?O<ml`0A?O<2000G@O<40018AM<2000A@O<20002?O<0
0`00Oomoo`0EOol002]oo`03K9<006Rc009X/`03001TdfCC009Td`05001Plf3cH?<00003G?<00`00
GA=M4`02GA<01@00FC=I<eTc000015EC00<0055cDG<00U5c00<004ecCG<00Tec00<004fCCI<00TfC
00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<00d7c00<003gc?O<013gc00<003hC?Q<013hC
00<003Xc>S<013Xc00<003IC=U<01SIC00<0039c<W<01c9c00<002ic;W<01bic0P002bjC0P0042Zc
0P008bKC4000:2KC0P0052Zc0`0042jC0P003Ric0P003c9c0P003SIC00<003Xc>S<03SXc0P003chC
0P004Sgc0P005D7c1000CTGC0`00447c0`005goo000[Ool2K9<01@00J;=X/fRc00000fCC00D0063c
H?=Pl`0000ALl`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00CG==L`02
CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`04
?O<00`00?Q<n4`04?Q<00`00>S<j<`04>S<20007=U<00`00<W<bL`07<W<00`00;W<^L`08;W<00`00
;Y<^T`0:;Y<2000@:[<3001C9]<5000C:[<3000A;Y<2000?;W<00`00<W<bL`0=<W<2000>=U<2000?
>S<2000??Q<2000A?O<3000D@O<3001EAM<3000?@O<00`00Oomoo`0EOol002]oo`9/T`05001X/fRc
J;<00003I=<01@00H?=Plf3c000015cc00D005dCGA=M4`0000AI<`03001EDeEC009ED`03001ALe5c
009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc00A9/`030015ddGC00=5d`030011ld7c
0091l`03000mlcgc00Dml`03000n4chC00@n4`03000j<cXc00Dj<`03000fDcIC00DfD`03000bLc9c
00LbL`03000^Lbic00P^L`03000^TbjC00/^T`80014Z/`8004hVd`<001HZ/`80018^T`8000l^L`80
00lbL`03000fDcIC00`fD`80010j<`03000n4chC00dn4`80014ml`8001A1l`<002I5da@00255d`80
00e1l`03001oogoo01Eoo`00:goo0fbC00D006RcJ;=X/`00009Td`03001Plf3c009Pl`03001Llecc
009Ll`05001M4edCGA<00004FC<00`00EE=ED`02EE<00`00DG=AL`02DG<00`00CG==L`02CG<00`00
CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03@O<00`00?O<ml`04?O<00`00
?Q<n4`04?Q<00`00>S<j<`06>S<00`00=U<fD`05=U<00`00<W<bL`07<W<00`00;W<^L`08;W<00`00
;Y<^T`0<;Y<00`00:[<Z/`0@:[<300189]<3000G:[<2000B;Y<2000?;W<2000@<W<00`00=U<fD`0<
=U<00`00>S<j<`0>>S<2000>?Q<2000A?O<2000D@O<2000NAM<;000DBK<5000NAM<2000;@O<00`00
Oomoo`0EOol002]oo`=/T`05001X/fRcJ;<00003I=<01@00H?=Plf3c000015cc00D005dCGA=M4`00
00AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=L`03001=TdfC009=T`030019/dVc
00A9/`030015ddGC00=5d`030011ld7c00=1l`03000mlcgc00@ml`03000n4chC00@n4`03000j<cXc
00Dj<`03000fDcIC00HfD`03000bLc9c00LbL`03000^Lbic00P^L`8000d^T`8001<Z/`80048Vd`@0
01LZ/`<0018^T`8000l^L`80010bL`8000dfD`80010j<`03000n4chC00`n4`80014ml`8001=1l`<0
01]5d`D002A9/`D001]5d`8000U1l`03001oogoo01Eoo`00:goo0fbC00D006RcJ;=X/`0000=Td`03
001Plf3c009Pl`03001Llecc009Ll`05001M4edCGA<00003FC<00`00EE=ED`02EE<00`00DG=AL`02
DG<00`00CG==L`03CG<00`00CI==T`02CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`03
@O<00`00?O<ml`05?O<00`00?Q<n4`04?Q<00`00>S<j<`05>S<00`00=U<fD`06=U<00`00<W<bL`07
<W<00`00;W<^L`09;W<00`00;Y<^T`0<;Y<2000C:[<4000i9]<5000I:[<2000C;Y<2000@;W<00`00
<W<bL`0><W<2000==U<2000@>S<2000>?Q<00`00?O<ml`0??O<2000C@O<2000IAM<5000^BK<5000H
AM<20007@O<00`00Oomoo`0EOol002]oo`05001/TfbCK9<00003J;<01@00I==TdfCC00000f3c00<0
05ccG?<00Ucc00D005dCGA=M4`0000AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec009=
L`03001=TdfC009=T`030019/dVc00A9/`030015ddGC00=5d`030011ld7c00=1l`03000mlcgc00@m
l`03000n4chC00@n4`03000j<cXc00Hj<`03000fDcIC00HfD`03000bLc9c00LbL`03000^Lbic00T^
L`03000^TbjC00d^T`03000Z/bZc01@Z/`@0038Vd`<001`Z/`8001<^T`80010^L`80010bL`03000f
DcIC00`fD`03000j<cXc00hj<`8000hn4`80010ml`8001=1l`8001Q5d`<003Q9/`@001I5d`8000E1
l`03001oogoo01Eoo`00:goo00D006bCK9=/T`0000=X/`05001TdfCCI=<00004H?<01@00G?=Llecc
000015dC00@005TcFC=I<`8000=ED`03001ALe5c009AL`03001=Ldec00==L`03001=TdfC009=T`03
0019/dVc00=9/`030015ddGC00=5d`030011ld7c00A1l`03000mlcgc00@ml`03000n4chC00@n4`03
000j<cXc00Hj<`03000fDcIC00HfD`03000bLc9c00LbL`8000X^L`8000h^T`8001PZ/`L002@Vd`L0
01dZ/`8001<^T`80014^L`03000bLc9c00hbL`8000hfD`03000j<cXc00`j<`<000hn4`80010ml`80
0191l`<001Q5d`8003m9/`H00195d`030011ld7c0091l`03001oogoo01Eoo`00:goo00D006bCK9=/
T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<01@00GA=M4edC000015Tc00<005ECEE<0
0UEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<00TfC00<004VcBK<00dVc00<004GCAM<0
0dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<013hC00<003Xc>S<01SXc00<003IC=U<0
1SIC00<0039c<W<0239c00<002ic;W<02Bic0P003RjC10006bZc1@006RKC1@0082Zc10004bjC0P00
42ic0`003c9c0P003SIC0P003CXc0P003chC0P003cgc0`004D7c0`005TGC1@00AdVc0P004DGC0P00
0T7c00<007ooOol05Goo000[Ool00fac001/T`02K9<01@00J;=X/fRc00000fCC00<0063cH?<00V3c
00D005ccG?=Ll`0000AM4`03001I<eTc009I<`05001EDeECEE<00004DG<00`00CG==L`03CG<00`00
CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`03AM<00`00@O=1l`04@O<00`00?O<ml`04?O<00`00
?Q<n4`04?Q<00`00>S<j<`06>S<00`00=U<fD`06=U<00`00<W<bL`08<W<2000;;W<2000@;Y<2000N
:[<J000S:[<2000D;Y<3000@;W<2000?<W<3000>=U<2000=>S<2000??Q<2000??O<2000B@O<2000E
AM<4001>BK<3000@AM<3000GOol002]oo`03K7<006bC009/T`05001X/fRcJ;<00004I=<01@00H?=P
lf3c000015cc00D005dCGA=M4`0000AI<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec00==
L`03001=TdfC009=T`030019/dVc00=9/`030015ddGC00=5d`030011ld7c00E1l`03000mlcgc00<m
l`03000n4chC00Dn4`03000j<cXc00Hj<`03000fDcIC00HfD`03000bLc9c00TbL`03000^Lbic00X^
L`03000^TbjC00l^T`8005DZ/`@001@^T`80014^L`8000lbL`8000lfD`8000hj<`03000n4chC00hn
4`03000mlcgc00dml`800191l`8001A5d`<005E9/`800115d`03001oogoo01Eoo`00:goo0Vac00D0
06bCK9=/T`0000=X/`05001TdfCCI=<00004H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00D0
05ECEE=ED`0000AAL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00=9/`030015ddGC00=5
d`030011ld7c00A1l`03000mlcgc00@ml`03000n4chC00Dn4`03000j<cXc00Hj<`03000fDcIC00Hf
D`03000bLc9c00TbL`03000^Lbic00X^L`80014^T`80050Z/`<001H^T`80014^L`8000lbL`8000lf
D`8000hj<`8000ln4`8000lml`030011ld7c0111l`8001A5d`8002I9/a<00259/`8000i5d`03001o
ogoo01Eoo`00:goo0Vac00D006bCK9=/T`0000AX/`05001TdfCCI=<00003H?<00`00G?=Ll`02G?<0
1@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055cDG<00U5c00<004ecCG<00dec00<004fCCI<0
0dfC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<003gc?O<013gc00<003hC?Q<0
1ChC00<003Xc>S<01SXc00<003IC=U<01SIC0P002S9c00<002ic;W<02bic0P004BjC1000BBZc0`00
5bjC0P004Ric00<0039c<W<03S9c0P003cIC00<003Xc>S<033Xc0P003chC0P003Sgc0`00447c0`00
4dGC0`007DVc2`004dfC1P007DVc0`002dGC00<007ooOol05Goo000[Ool3K7<01@00K9=/TfbC0000
0fRc00D006CCI==Td`0000APl`03001Llecc009Ll`05001M4edCGA<00004FC<00`00EE=ED`02EE<0
0`00DG=AL`02DG<00`00CG==L`02CG<00`00CI==T`04CI<00`00BK=9/`03BK<00`00AM=5d`03AM<0
0`00@O=1l`04@O<00`00?O<ml`04?O<00`00?Q<n4`05?Q<00`00>S<j<`06>S<00`00=U<fD`07=U<0
0`00<W<bL`08<W<00`00;W<^L`0<;W<2000C;Y<20012:[<5000F;Y<4000A;W<3000?<W<2000?=U<2
000=>S<2000??Q<2000>?O<2000A@O<2000CAM<3000KBK<5000TCI<5000KBK<20009AM<00`00Oomo
o`0EOol002]oo`=/L`05001/TfbCK9<00004J;<01000I==Td`001F3c00D005ccG?=Ll`0000=M4`03
001I<eTc009I<`03001EDeEC009ED`03001ALe5c009AL`03001=Ldec00==L`03001=TdfC00==T`03
0019/dVc00=9/`030015ddGC00A5d`030011ld7c00=1l`03000mlcgc00Dml`03000n4chC00Dn4`03
000j<cXc00Hj<`03000fDcIC00LfD`8000TbL`8000h^L`8001<^T`@003TZ/`D001T^T`8001<^L`80
010bL`8000lfD`8000dj<`8000hn4`<000hml`800151l`8001=5d`8001U9/`D002i=T`D001Q9/`80
00M5d`03001oogoo01Eoo`00:goo00D006acK7=/L`0000=/T`05001X/fRcJ;<00003I=<00`00H?=P
l`02H?<00`00G?=Ll`02G?<01@00GA=M4edC000015Tc00<005ECEE<00UEC00<0055cDG<00U5c00<0
04ecCG<00Tec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<00dGC00<0047c@O<0147c00<0
03gc?O<01Cgc00<003hC?Q<01ChC00<003Xc>S<01SXc00<003IC=U<023IC00<0039c<W<0239c00<0
02ic;W<03Bic00<002jC;Y<052jC1P00;RZc1@006bjC0`004bic0P00439c0P0043IC00<003Xc>S<0
33Xc00<003hC?Q<033hC0P003cgc0P004D7c0P004TGC0`005dVc1000>4fC1P0054Vc0P001DGC00<0
07ooOol05Goo000[Ool01@00K7=/Lfac00000fbC00<006RcJ;<00VRc00@006CCI=<000EPl`05001L
leccG?<00004GA<01@00FC=I<eTc000015EC00<0055cDG<00e5c00<004ecCG<00Tec00<004fCCI<0
0dfC00<004VcBK<00dVc00<004GCAM<014GC00<0047c@O<0147c00<003gc?O<01Cgc00<003hC?Q<0
1ChC00<003Xc>S<01SXc00<003IC=U<023IC00<0039c<W<0239c0P003Ric0P006RjC1@0092Zc1@00
7RjC0P0052ic0P00439c0P0043IC0P003CXc0P003ShC00<003gc?O<03Sgc00<0047c@O<03d7c0P00
4TGC0P0064Vc0P00@TfC0`004dVc00<004GCAM<00TGC00<007ooOol05Goo000[Ool00g1c001/L`02
K7<01@00K9=/TfbC00000fRc00D006CCI==Td`0000APl`05001LleccG?<00004GA<00`00FC=I<`02
FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==L`02CG<00`00CI==T`03CI<00`00BK=9/`03
BK<00`00AM=5d`04AM<00`00@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`05?Q<00`00>S<j<`06
>S<00`00=U<fD`08=U<00`00<W<bL`09<W<2000>;W<4000K;Y<:000@:[<:000P;Y<3000D;W<2000@
<W<2000>=U<4000>>S<00`00?Q<n4`0<?Q<2000??O<2000>@O<4000AAM<3000FBK<40017CI<3000A
BK<300000dGC001oo`0FOol002]oo`03L7<006ac009/L`05001/TfbCK9<00003J;<00`00I==Td`02
I=<00`00H?=Pl`02H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0055c
DG<00e5c00<004ecCG<00Tec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<014GC00<0047c
@O<0147c00<003gc?O<013gc00<003hC?Q<01ShC00<003Xc>S<01SXc00<003IC=U<023IC00<0039c
<W<02S9c0P0042ic0P008bjC4000:2jC0P0052ic0`00439c0P003SIC0P0043Xc0P003ChC0P003cgc
0P003T7c0P004dGC0P005DVc1000CTfC0`004DVc0P005goo000[Ool2L7<01000K7=/L`0016bC00D0
06RcJ;=X/`0000=Td`03001Plf3c009Pl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=E
D`02EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5
d`04AM<00`00@O=1l`04@O<00`00?O<ml`04?O<00`00?Q<n4`06?Q<20007>S<20009=U<2000<<W<2
000@;W<3001D;Y<4000D;W<2000A<W<2000>=U<2000@>S<2000=?Q<2000??O<2000>@O<2000BAM<3
000DBK<3001ECI<2000@BK<00`00Oomoo`0EOol002]oo`9`L`05001/LfacK7<00003K9<01@00J;=X
/fRc000016CC00<0063cH?<00V3c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC009E
D`03001ALe5c00=AL`03001=Ldec009=L`03001=TdfC00==T`030019/dVc00A9/`030015ddGC00=5
d`030011ld7c00A1l`03000mlcgc00Dml`03000n4chC00Ln4`03000j<cXc00Hj<`03000fDcIC00Pf
D`03000bLc9c00/bL`80014^L`8004h^T`@001D^L`<0014bL`8000lfD`03000j<cXc00hj<`8000dn
4`8000lml`8000i1l`800195d`8001=9/`@002I=Ta@0021=T`<000e9/`03001oogoo01Eoo`00:goo
0g1c00@006acK7<000=/T`03001X/fRc009X/`05001TdfCCI=<00004H?<01@00G?=Llecc000015dC
00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00e5c00<004ecCG<00dec00<004fCCI<00dfC
00<004VcBK<00dVc00<004GCAM<014GC00<0047c@O<0147c00<003gc?O<01Cgc00<003hC?Q<01ShC
00<003Xc>S<01cXc00<003IC=U<023IC0P003C9c00<002ic;W<042ic0`00B2jC0`005bic0P004S9c
0P003cIC0P003cXc0P003ShC00<003gc?O<03Cgc0P003D7c0`004DGC0`004TVc0`007dfC2`0054ec
2P006DfC0P002dVc00<007ooOol05Goo000[Ool3L7<01@00K7=/Lfac00000fbC00<006RcJ;<00VRc
00D006CCI==Td`0000APl`05001LleccG?<00004GA<00`00FC=I<`02FC<00`00EE=ED`02EE<00`00
DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`03BK<00`00AM=5d`04AM<00`00
@O=1l`04@O<00`00?O<ml`05?O<00`00?Q<n4`06?Q<00`00>S<j<`07>S<00`00=U<fD`09=U<00`00
<W<bL`0;<W<3000B;W<5000n;Y<5000G;W<3000B<W<2000@=U<00`00>S<j<`0=>S<2000>?Q<2000>
?O<2000?@O<00`00AM=5d`0>AM<3000CBK<2000MCI<5000YCG<5000FCI<30008BK<00`00Oomoo`0E
Ool002]oo`=`L`03001/Lfac009/L`05001/TfbCK9<00003J;<00`00I==Td`02I=<01@00H?=Plf3c
000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00UEC00<0055cDG<00U5c00<004ec
CG<014ec00<004fCCI<00dfC00<004VcBK<00dVc00<004GCAM<014GC00<0047c@O<0147c00<003gc
?O<01Cgc0P001chC00<003Xc>S<01cXc00<003IC=U<02CIC0P003S9c0P005Bic0`00=bjC10006Ric
0P004c9c0P003cIC0`003SXc0P003ShC0P003Sgc0P003d7c0P003dGC0P004TVc10006TfC1@00<dec
1@0054fC0P001TVc00<007ooOol05Goo000[Ool01@00L7=`Lg1c00000fac00D006bCK9=/T`0000AX
/`05001TdfCCI=<00004H?<01@00G?=Llecc000015dC00<005TcFC<00UTc00<005ECEE<00UEC00<0
055cDG<00e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<014GC00<0
047c@O<0147c00<003gc?O<01Sgc00<003hC?Q<01ChC0P0023Xc0P002cIC0P003S9c0P005Ric1000
;RjC1@006Ric10004S9c0`003cIC0P003cXc0P003ShC0P003Sgc0P003d7c0P003dGC0P004TVc0P00
6DfC1@00?Dec0P0054fC0P0014Vc00<007ooOol05Goo000[Ool01GAC001`Lg1c000016ac00D006bC
K9=/T`0000=X/`03001TdfCC009Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00FC=I<`02
FC<00`00EE=ED`02EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`03
BK<00`00AM=5d`05AM<00`00@O=1l`04@O<00`00?O<ml`06?O<00`00?Q<n4`06?Q<00`00>S<j<`07
>S<00`00=U<fD`0:=U<2000><W<2000H;W<:000J;Y<:000K;W<4000C<W<3000@=U<2000?>S<2000>
?Q<2000>?O<2000?@O<2000?AM<2000ABK<3000GCI<40014CG<4000BCI<20002BK<00`00Oomoo`0E
Ool002]oo`03M5<0071c009`L`05001/LfacK7<00003K9<00`00J;=X/`02J;<01@00I==TdfCC0000
163c00D005ccG?=Ll`0000AM4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c009AL`03001=
Ldec00==L`03001=TdfC00A=T`030019/dVc00=9/`030015ddGC00E5d`030011ld7c00A1l`03000m
lcgc00Hml`03000n4chC00Hn4`03000j<cXc00Lj<`8000`fD`8000hbL`80020^LaX002<^L`8001Db
L`80014fD`8000lj<`8000hn4`8000hml`8000m1l`8000m5d`800159/`8001Q=T`8004a=L`<0015=
T`<001Moo`00:goo0WAC00D0071cL7=`L`0000=/L`05001/TfbCK9<00003J;<00`00I==Td`02I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0U5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<01DGC00<0047c@O<0
147c00<003gc?O<01Sgc00<003hC?Q<01ShC00<003Xc>S<023Xc00<003IC=U<02cIC00<0039c<W<0
3C9c0`00Ebic0`00539c0`004CIC0P003SXc0`003ShC0P003Sgc0P003d7c0P003dGC0P0044Vc0`00
5DfC1@00DDec0`0044fC00<007ooOol05Goo000[Ool2M5<01@00L7=`Lg1c00000fac00D006bCK9=/
T`0000AX/`03001TdfCC009Td`05001Plf3cH?<00004G?<00`00GA=M4`02GA<00`00FC=I<`02FC<0
0`00EE=ED`03EE<00`00DG=AL`02DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`04BK<0
0`00AM=5d`05AM<00`00@O=1l`04@O<00`00?O<ml`06?O<00`00?Q<n4`06?Q<20009>S<2000<=U<2
000@<W<3001B;W<2000D<W<3000B=U<2000>>S<2000??Q<2000>?O<2000?@O<2000>AM<3000@BK<2
000DCI<4000ZCG<:000UCG<3000=CI<00`00Oomoo`0EOol002]oo`=dD`05001`Lg1cL7<00002K7<0
0`00K9=/T`02K9<01@00J;=X/fRc000016CC00D0063cH?=Pl`0000ALl`03001M4edC009M4`03001I
<eTc00=I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00==T`030019
/dVc00A9/`030015ddGC00A5d`030011ld7c00E1l`03000mlcgc00Hml`03000n4chC00Ln4`03000j
<cXc00Pj<`03000fDcIC00/fD`80014bL`@004X^L`@001@bL`8001<fD`8000hj<`80010n4`03000m
lcgc00`ml`8000m1l`8000i5d`800119/`<001A=T`8001i=La0000YAL`X001i=L`8000]=T`03001o
ogoo01Eoo`00:goo0gAC00D0071cL7=`L`0000=/L`05001/TfbCK9<00004J;<00`00I==Td`02I=<0
1@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<00eEC00<0055cDG<0
0U5c00<004ecCG<014ec00<004fCCI<00dfC00<004VcBK<014Vc00<004GCAM<014GC00<0047c@O<0
1D7c0P001cgc00<003hC?Q<01chC00<003Xc>S<023Xc0P003CIC0P004c9c0P00@Ric1P005C9c0`00
4SIC0`003SXc0P0043hC0P003Cgc0P003d7c0P003TGC0P003dVc0`0054fC0`006dec1@00955c2@00
5dec0`0024fC00<007ooOol05Goo000[Ool4M5<01@00L7=`Lg1c00000Vac00<006bCK9<00VbC00<0
06RcJ;<00VRc00D006CCI==Td`0000=Pl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00=I
<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00A=T`030019/dVc00A9
/`030015ddGC00A5d`030011ld7c00I1l`03000mlcgc00Dml`8000Pn4`8000Xj<`03000fDcIC00`f
D`8001<bL`@003T^L`D001TbL`8001<fD`8000lj<`80010n4`8000dml`8000i1l`<000i5d`8000m9
/`8001E=T`8001U=L`D0039AL`<001M=L`8000I=T`03001oogoo01Eoo`00:goo00D007ACM5=dD`00
00=`L`05001/LfacK7<00004K9<01@00J;=X/fRc000016CC00D0063cH?=Pl`0000ALl`03001M4edC
009M4`03001I<eTc00=I<`03001EDeEC009ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC
00A=T`030019/dVc00A9/`030015ddGC00A5d`030011ld7c00I1l`03000mlcgc00Hml`03000n4chC
00Ln4`03000j<cXc00Pj<`<000dfD`8001DbL`L002`^L`H001/bL`<0014fD`@000lj<`8000ln4`<0
00dml`8000i1l`8000m5d`800119/`03001=TdfC011=T`D001I=L`D003YAL`D001A=L`8000A=T`03
001oogoo01Eoo`00:goo00Eh<`00M5=dD`0000=`L`03001/Lfac009/L`03001/TfbC009/T`05001X
/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<00UTc00<005ECEE<0
0eEC00<0055cDG<00e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<00dVc00<004GCAM<0
1DGC00<0047c@O<01T7c00<003gc?O<01Sgc00<003hC?Q<01chC00<003Xc>S<02SXc00<003IC=U<0
33IC0P006S9c100092ic10007c9c0P004SIC0P004CXc0P003chC0P003cgc00<0047c@O<0347c0P00
3dGC0P0044Vc0P0044fC0`005dec1000A55c10004Dec0P000dfC00<007ooOol05Goo000[Ool00gPc
001dD`02M5<01@00L7=`Lg1c00000fac00<006bCK9<00VbC00D006RcJ;=X/`0000ATd`03001Plf3c
009Pl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc009I<`03001EDeEC00=ED`03001ALe5c
00=AL`03001=Ldec00==L`03001=TdfC00==T`030019/dVc00A9/`030015ddGC00E5d`030011ld7c
00I1l`03000mlcgc00Hml`03000n4chC00Ln4`03000j<cXc00Xj<`8000hfD`<001/bLb@001lbL`@0
014fD`<0014j<`8000ln4`8000lml`8000e1l`8000m5d`8000m9/`<0011=T`8001Q=L`8004aAL`@0
00m=L`800003CI<007oo01Ioo`00:goo0WPc00D007ACM5=dD`00009`L`03001/Lfac009/L`03001/
TfbC009/T`05001X/fRcJ;<00004I=<01@00H?=Plf3c000015cc00<005dCGA<00UdC00<005TcFC<0
0UTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<00dec00<004fCCI<014fC00<004VcBK<0
14Vc0P001TGC00<0047c@O<01T7c00<003gc?O<01Sgc0P0023hC0P0033Xc0P003cIC0P00F39c1000
4cIC0P004SXc0P003chC0P003cgc0P003D7c0P003TGC0`003dVc0P0044fC0`005Tec1000DU5c0P00
3dec0P005goo000[Ool2N3<01@00M5=dDgAC00000g1c00D006acK7=/L`0000A/T`05001X/fRcJ;<0
0004I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`02FC<00`00EE=E
D`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`04CI<00`00BK=9/`05BK<00`00AM=5
d`04AM<20007@O<00`00?O<ml`07?O<00`00?Q<n4`07?Q<00`00>S<j<`0;>S<2000?=U<4001B<W<2
000D=U<3000B>S<2000??Q<2000??O<2000=@O<2000>AM<2000?BK<3000@CI<2000DCG<5000YDG<:
000UDG<3000=CG<00`00Oomoo`0EOol002]oo`=h<`05001dDgACM5<00003L7<01@00K7=/Lfac0000
16bC00D006RcJ;=X/`0000ATd`03001Plf3c009Pl`03001Llecc009Ll`03001M4edC009M4`03001I
<eTc009I<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00==L`03001=TdfC00A=T`030019
/dVc00E9/`030015ddGC00E5d`030011ld7c00E1l`03000mlcgc00Lml`03000n4chC00Ln4`<000`j
<`80014fD`@004PbL`H001@fD`80018j<`<000hn4`<000hml`<000e1l`8000i5d`8000m9/`8000m=
T`@001==L`<0025AL`d000YED``001aAL`8000]=L`03001oogoo01Eoo`00:goo0gPc00D007ACM5=d
D`0000=`L`05001/LfacK7<00004K9<00`00J;=X/`02J;<01@00I==TdfCC0000163c00<005ccG?<0
0Ucc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<0
0dec00<004fCCI<014fC00<004VcBK<014Vc00<004GCAM<01TGC00<0047c@O<01D7c00<003gc?O<0
1cgc00<003hC?Q<02ChC00<003Xc>S<02cXc0P004cIC0P00@S9c10005cIC0`004SXc0P003chC0P00
43gc00<0047c@O<0347c0P003dGC0P003TVc0P003dfC0P005Dec0P00755c20008eEC0`006e5c0`00
24ec00<007ooOol05Goo000[Ool4N3<01@00M5=dDgAC00000g1c00D006acK7=/L`0000A/T`05001X
/fRcJ;<00004I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`02FC<0
0`00EE=ED`03EE<00`00DG=AL`04DG<00`00CG==L`03CG<00`00CI==T`03CI<00`00BK=9/`05BK<0
0`00AM=5d`06AM<00`00@O=1l`05@O<20008?O<2000:?Q<00`00>S<j<`0<>S<2000C=U<4000i<W<5
000I=U<2000C>S<2000??Q<2000@?O<2000=@O<2000>AM<3000>BK<2000?CI<2000ECG<2000IDG<5
000^EE<5000IDG<20006CG<00`00Oomoo`0EOol002]oo`05001h<gPcN3<00003M5<01@00L7=`Lg1c
00000fac00<006bCK9<00VbC00<006RcJ;<00VRc00D006CCI==Td`0000APl`03001Llecc009Ll`03
001M4edC009M4`03001I<eTc00=I<`03001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00==L`03
001=TdfC00A=T`030019/dVc00E9/`030015ddGC00I5d`030011ld7c00I1l`03000mlcgc00Lml`03
000n4chC00Pn4`03000j<cXc00dj<`8001DfD`H002hbL`D001/fD`<0018j<`<000ln4`80010ml`80
00e1l`8000i5d`8000m9/`8000m=T`8001==L`@001IAL`D003QED`H001EAL`8000A=L`03001oogoo
01Eoo`00:goo00<007PcN3<00WPc00@007ACM5<000A`L`05001/LfacK7<00003K9<00`00J;=X/`02
J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00FC=I<`03
FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`03CG<00`00CI==T`04CI<00`00BK=9/`05
BK<00`00AM=5d`06AM<00`00@O=1l`06@O<00`00?O<ml`07?O<00`00?Q<n4`08?Q<2000?>S<2000I
=U<:000J<W<:000N=U<2000B>S<3000@?Q<2000??O<3000=@O<2000>AM<2000@BK<00`00CI==T`0=
CI<2000BCG<3000FDG<40013EE<5000BDG<20002CG<00`00Oomoo`0EOol001]oo`03LUll7e;o00eo
o`03O1<007Pc009h<`05001dDgACM5<00003L7<01@00K7=/Lfac000016bC00<006RcJ;<00VRc00D0
06CCI==Td`0000APl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00=I<`03001EDeEC00=E
D`03001ALe5c00=AL`03001=Ldec00A=L`03001=TdfC00A=T`030019/dVc00E9/`030015ddGC00E5
d`030011ld7c00M1l`03000mlcgc00Lml`8000Xn4`8000lj<`80024fDaX002DfD`<0018j<`80014n
4`8000lml`8000i1l`8000i5d`800119/`8000m=T`03001=Ldec011=L`8001MAL`8004aED`<0015A
L`<001Moo`006goo00=bGc`OD_l03Goo00=l4`00N3<00WPc00D007ACM5=dD`0000A`L`05001/Lfac
K7<00003K9<00`00J;=X/`02J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00
GA=M4`02GA<00`00FC=I<`03FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`04CG<00`00
CI==T`04CI<00`00BK=9/`05BK<00`00AM=5d`05AM<00`00@O=1l`07@O<00`00?O<ml`08?O<00`00
?Q<n4`09?Q<3000>>S<3001G=U<6000C>S<2000B?Q<00`00?O<ml`0=?O<2000?@O<00`00AM=5d`0<
AM<2000?BK<3000>CI<3000?CG<4000EDG<4001AEE<2000ADG<00`00Oomoo`0EOol001]oo`03LUll
7e;o00eoo`9l4`05001h<gPcN3<00003M5<01@00L7=`Lg1c000016ac00D006bCK9=/T`0000AX/`03
001TdfCC009Td`03001Plf3c009Pl`03001Llecc009Ll`03001M4edC009M4`03001I<eTc00=I<`03
001EDeEC00=ED`03001ALe5c00=AL`03001=Ldec00A=L`03001=TdfC00A=T`030019/dVc00E9/`03
0015ddGC00E5d`8000Q1l`8000Tml`8000`n4`8000lj<`@004lfD`@001Dj<`@0014n4`<000dml`<0
00m1l`8000e5d`8000m9/`8000i=T`<0011=L`8001AAL`D002AEDa@001mED`@000eAL`03001oogoo
01Eoo`005Goo00=bGc`O?1l01c`O00=[ogooOol02Goo0W`C00D007PcN3=h<`0000=dD`03001`Lg1c
009`L`05001/LfacK7<00004K9<01@00J;=X/fRc000016CC00<0063cH?<00V3c00<005ccG?<00ecc
00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<00eEC00<0055cDG<00e5c00<004ecCG<014ec
00<004fCCI<014fC00<004VcBK<01DVc00<004GCAM<01TGC00<0047c@O<01d7c00<003gc?O<023gc
0P0033hC0`0043Xc1@00AcIC0`005cXc0P004chC0P003Sgc0P003d7c0`003DGC0P003dVc0P003TfC
0P0044ec0`00555c0P007UEC2`0055Tc2P006EEC0P002e5c00<007ooOol05Goo000EOol00g9O?1ll
7`07?1l00f_oOomoo`09Ool3O1<01@00N3=h<gPc00000gAC00D0071cL7=`L`0000A/L`05001/TfbC
K9<00004J;<00`00I==Td`02I=<00`00H?=Pl`02H?<00`00G?=Ll`02G?<00`00GA=M4`02GA<00`00
FC=I<`04FC<00`00EE=ED`03EE<00`00DG=AL`03DG<00`00CG==L`04CG<00`00CI==T`04CI<00`00
BK=9/`05BK<00`00AM=5d`06AM<00`00@O=1l`07@O<00`00?O<ml`09?O<2000=?Q<2000C>S<4000o
=U<4000G>S<3000B?Q<3000>?O<2000?@O<2000>AM<2000?BK<2000>CI<2000?CG<3000CDG<4000K
EE<5000YFC<5000FEE<20009DG<00`00Oomoo`0EOol001Eoo`03Ogm87dYO00=oo`03LUll7e;o00eo
o`=l4`05001h<gPcN3<00003M5<00`00L7=`L`02L7<00`00K7=/L`02K7<01@00K9=/TfbC00000fRc
00<006CCI=<00VCC00<0063cH?<00V3c00<005ccG?<00ecc00<005dCGA<00UdC00<005TcFC<015Tc
00<005ECEE<00UEC00<0055cDG<0155c00<004ecCG<014ec00<004fCCI<014fC00<004VcBK<01DVc
00<004GCAM<01TGC00<0047c@O<01d7c0P002cgc00<003hC?Q<033hC0P005CXc0`00=cIC1@006CXc
0P004chC0P0043gc00<0047c@O<03D7c0P003TGC0P003dVc0P003TfC0P003dec0P004e5c0`006UEC
1@00<eTc100055EC0P001e5c00<007ooOol05Goo000FOol00g9O?1mOO`02Ool00g9O?1mBo`0=Ool0
1@00O1=l4g`C00000gPc00D007ACM5=dD`0000A`L`05001/LfacK7<00004K9<01@00J;=X/fRc0000
16CC00<0063cH?<00V3c00<005ccG?<00ecc00<005dCGA<00UdC00<005TcFC<00eTc00<005ECEE<0
0eEC00<0055cDG<0155c00<004ecCG<014ec00<004fCCI<014fC00<004VcBK<01DVc00<004GCAM<0
1TGC00<0047c@O<0247c00<003gc?O<02Cgc00<003hC?Q<03ChC00<003Xc>S<05CXc0P00<SIC0`00
73Xc0P004chC0P0043gc0P003d7c00<004GCAM<03DGC00<004VcBK<03DVc0P003TfC0P0044ec00<0
055cDG<04U5c00<005ECEE<065EC0`00?5Tc0P0055EC0P001E5c00<007ooOol05Goo000GOol01edO
?AmcogooLUll7e;o0?mooomoobAoo`005goo00MoOdPOD_moog9O?1mBo`3oOoooOolTOol001Qoo`06
JMll7f_oLUll7e;oogooogoo97oo000IOol01E0O?MmbGc`OD_l0ogooogoo97oo000IOol01Gko?1m9
7c`OD_l0ogooogoo97oo000JOol016WO?1ll7e;oogooogoo97oo000KOol00e0O?1mBo`3oOoooOolT
Ool001]oo`03O_ll7e;o0?mooomoobAoo`00egoo00AM7c`O?1m[ocAoo`03JMll7emo0?moobmoo`00
egoo00EM7c`O?1lm7g?o03=oo`03JMll7emo0?moobmoo`00fGoo00=Ygc`OD_l0<goo00=Ygc`OGgl0
ogoo;goo003IOol00gmoB1lmg`0cOol00fWO?1mOO`3oOol_Ool0051oo`03LUll7e;o00Yoo`03GAll
7f_o009oo`0=GAll7c`O?1lm7g?oD1ll7f_oOomM7c`OJol00goo00=@7cdOLol00goo00EYgc`O?1ll
7cgO00ioo`07GAll7c`O?MmoOdPO?Ml017oo00=Ygc`O?1l00S`O00=OOgooOol01goo00=bGc`OD_l0
2Woo00UM7c`O?1ll7cdOLom@7c`OJol00Woo00=bGc`O?1l00S`O00=BogooOol00goo00=Ygc`O?1l0
0S`O00=OOgooOol02Woo00=Ygc`OJol037oo00=noc`O?1l00c`O00=[ogooOol00goo00eM7c`O?1ll
7cdOLom@7c`OJomooedO?1m[o`03Ool00edO?1m[o`03Ool025dO?1m[ogooJMll7emoGAl2?1l00cgO
Oomoo`04Ool01FWO?1ll7c`O?Ml03goo00=Ygc`O?Ml027oo00=Ygc`O?1l00S`O00=OOgooOol00goo
00E@7c`O?1lm7g?o00Aoo`04LUll7c`O?Ml3Ool01FWO?1ll7c`O?Ml017oo00=bGc`OD_l017oo00=M
7c`OJol00Woo00eM7c`O?1ll7cdOLom@7c`OJomooedO?1m[o`09Ool01edO?1ll7cgOOgm87cgO00Ao
o`03JMll7c`O008l7`03Ggmoogoo00Moo`03GAll7f_o009oo`09GAll7c`O?1lm7g?oD1ll7f_o00Uo
o`03JMll7c`O008l7`03Ggmoogoo00=oo`05D1ll7c`O?Amco`04Ool0279O?1ll7cdOLomM7cdOLol2
Ool02EdO?1ll7c`O?Amcoe0O?1m[o`03Ool01E0O?1ll7cdOLol00goo00=M7c`OJol00goo00EYgc`O
?1ll7cgO00Aoo`03GAll7f_o00=oo`03D1lm7g?o04Aoo`00D7oo00=bGc`OD_l02Woo00EM7c`OJomo
oedO00Ll7`06?AmcogooGAll7f_o0goo00=@7cdOLol00Woo00=@7c`O?1l013`O00=[ogooOol02Goo
00=@7c`O?1l00S`O00=9gdPO?Ml00goo00=@7c`O?1l013`O00=:GgooOol01Woo00=bGc`OD_l02Goo
00=M7c`O?1l01C`O00@m7g?oOomYg`Hl7`05?MmoogooOom@7`06?1l00dYOOomoo`08Ool017moB1ll
7e;o2goo00=M7c`O?1l01C`O00EBogooOomooedO00Ll7`06?AmcogooGAll7f_o0goo00=M7c`OJol0
0goo00MM7c`OJomoofWO?1m97`05?1l01F_oOomoogooD1l01S`O00=[ogooOol02goo00A@7c`O?1m[
o`Ioo`03D1ll7c`O00@l7`05BUmoogooOgm87`05?1l01F_oOomoogooD1l00S`O00A:GgooOom@7`Hl
7`06JomoogooLUll7e;o17oo00EM7c`OJomooedO00Ll7`06?AmcogooGAll7f_o27oo00=@7c`O?1l0
0S`O00=9gdPO?Ml00goo00=@7c`O?1l013`O00=:GgooOol01Woo00EM7c`OJomooedO00Ll7`03?Amc
ogoo00Moo`03D1ll7c`O00@l7`05BUmoogooOgm87`05?1l016_oOomoogko13`O00HmgedO?Amcogoo
GAl7?1l01CdOLomoogmoB1l01C`O00I[ogooOomM7c`OJol2Ool00e0O?1ll7`04?1l01V_oOomooedO
?1m[o`=oo`03D1lm7g?o04Aoo`00D7oo00=bGc`OD_l02Woo00MM7c`OJomoOdPO?1m[o`02Ool016WO
?1ll7cgO0Woo00=M7c`OJol00goo00Q@7cdOLomoofWO?1lm7g?o0Woo00=M7c`O?Ml02Woo00=Ygc`O
?Ml00Woo00AoOdPO?1lmg`9oo`04JMll7cdOLol3Ool00e0O?1m[o`07Ool00g9O?1mBo`08Ool017mo
B1ll7f_o0Woo00UYgc`O?1lmggooOgm87cdOLol00goo00QM7c`OGgmoofWO?1lm7g?o0goo00=@7c`O
Jol02Goo00AbGc`O?1lmg`Yoo`04JMll7c`OGgl3Ool02FWO?1ll7emoOomoOdPO?1m[o`02Ool016WO
?1ll7cgO0Woo00=M7c`OJol00goo00=M7c`OJol00goo00EM7c`OJomoofWO008l7`06GgmoogooGAll
7cgO0Woo00AYgc`O?Amco`9oo`03GAll7cgO00aoo`05O_ll7eiO?1mBo`05Ool016WO?1lm7g?o0goo
00M@7c`OJomoofWO?1lmg`02Ool00fWO?1m:G`02Ool017moB1lm7g?o0Woo00AYgc`O?Amco`9oo`03
GAll7cgO009oo`03LUll7e;o00Aoo`07GAll7f_oOgm87c`OJol00Woo00AYgc`O?1lmg`9oo`03GAll
7f_o00Moo`03JMll7cgO009oo`04Ogm87c`O?Ml2Ool016WO?1lm7g?o0goo00=@7c`OJol01goo00MM
7c`OJomoOdPO?1m[o`02Ool016WO?1ll7cgO27oo00AYgc`O?Amco`=oo`07D1ll7f_oOomYgc`O?Ml0
0Woo00=Ygc`OBUl00Woo00=Ygc`OBUl00Woo00QM7c`O?AmcogmoB1ll7f_o0Woo00AYgc`O?1lmg`9o
o`03JMll7cgO009oo`03JMll7dYO009oo`08GAll7f_oOomYgc`O?Amco`9oo`03GAll7cgO009oo`03
GAll7f_o00=oo`03D1lm7g?o04Aoo`00D7oo00=bGc`OD_l02Woo00IM7c`OJomoOdPO?Ml4Ool00g9O
?1lmg`02Ool00edO?1m[o`03Ool01e0O?AmcogooD1ll7f_o00Aoo`03D1ll7f_o00Uoo`03D1lm7g?o
00=oo`08LUll7cgOOomoOdPO?Amco`ioo`03LUll7e;o00Qoo`03Ogm87cgO00Aoo`03LUll7cgO00Qo
o`07LUll7e;oOgm87cdOLol047oo00EM7cdOJUll7emo00Qoo`04Ogm87c`OJol5Ool01g9O?1lmggoo
Ogm87cgO00Aoo`03LUll7cgO009oo`03GAll7f_o00=oo`03GAll7f_o00=oo`07GAll7f_oOomYgc`O
D_l017oo00M@7c`OJomooe0O?1m[o`04Ool00e0O?1m[o`0;Ool01FWO?1m[oe0O?Ml017oo00AoOdPO
?Amco`Qoo`03D1lm7g?o00=oo`07D1lm7g?oOomoOdPO?Ml00goo00=@7c`OJol017oo00M@7c`OJomo
og9O?1mBo`04Ool01UdO?1m[ogmoB1lmg`Aoo`03LUll7cgO009oo`03GAll7f_o00Moo`03D1lm7g?o
00=oo`08LUll7cgOOomoOdPO?Amco`ioo`06GAll7f_oOgm87cgO17oo00=bGc`O?Ml01goo00AoOdPO
?Amco`Qoo`03D1lm7g?o00=oo`07D1lm7g?oOomM7c`OJol00Woo00MoOdPO?AmcogmoB1lmg`04Ool0
0g9O?1lmg`02Ool00e0O?Amco`03Ool02e0O?AmcogooGAll7f_oOom@7c`OJol017oo00M@7c`OJomo
oedO?1m[o`03Ool00e0O?Amco`14Ool0051oo`03LUll7e;o00Yoo`05GAll7f_oOomM7`02?1l01SdO
Lomoogko?1lmg`9oo`03GAll7f_o00=oo`06D1lm7g?oOgm87cgO1Goo00=Ygc`OGgl027oo00=noc`O
BUl017oo00MoOdPO?Mmoogko?1m:G`0?Ool00g9O?1mBo`09Ool02EdO?1ll7cdOLomoogko?1lmg`05
Ool00gmoB1ll7`02?1l015moO_ll7dYO47oo00IoOdPOBUmoOdPOBUl8Ool00g9O?1mBo`07Ool01EdO
?1mOOgooGAl00S`O00Hm7g?oOomnoc`O?Ml2Ool00edO?1m[o`03Ool00edO?1m[o`03Ool01edO?1m[
ogooJMll7f_o00Aoo`06JMll7emoOgm87cgO1Goo00=Ygc`OGgl02Woo00MoOdPO?MmoofWO?1m[o`03
Ool00gko?1m:G`08Ool00gmoB1lmg`08Ool00gmoB1lmg`02Ool00gmoB1lmg`05Ool01fWO?1mOOgoo
LUll7e;o00Aoo`05GAll7f_oOomM7`02?1l01SdOLomoogko?1lmg`9oo`03GAll7f_o00Ioo`03O_ll
7dYO00Aoo`07Ogm87cgOOomnoc`OBUl03goo00EM7c`OJomooedO008l7`06?AmcogooO_ll7cgO1goo
00=noc`OBUl027oo00=oOdPO?Ml027oo00=M7c`OJol00goo00E@7cdOLomooedO008l7`0:?Amcogoo
O_ll7cgOOomoOdPO?Ml8Ool01UdO?1m[ogmoB1lmg`Eoo`07JMll7emoOomM7c`OJol00goo00=@7cdO
Lol0A7oo001@Ool00g9O?1mBo`0:Ool00edO?1m[o`02Ool00e0O?1ll7`04?1l01SgOOomooedO?1m[
o`=oo`06D1lm7g?oOgm87cgO1Goo00=Ygc`OGgl027oo00=noc`OBUl017oo00EoOdPO?Mmoogko00Tl
7`03D_moogoo00Eoo`03LUll7e;o00Yoo`03D1ll7c`O00@l7`05?MmoogooOomM7`05?1l00e;oOomn
o`09?1l00e;oOomoo`06Ool01fWO?1mOOgooGAlm7g?o00Moo`03GAll7f_o00aoo`03D1ll7c`O00@l
7`06?MmoogooGAll7f_o0goo00=M7c`OJol00goo00MM7c`OJomoofWO?1m[o`04Ool01W9O?1mBogmo
B1lmg`Eoo`03JMll7emo00Yoo`07LUll7e;oOomnoc`OBUl00goo00=noc`O?1l01c`O00ABogmoB1lm
g`Qoo`03Ogm87cgO009oo`03Ogm87cgO00Eoo`07JMll7emoOombGc`OD_l017oo00=M7c`OJol00Woo
00=@7c`O?1l013`O00HmggooOomM7c`OJol6Ool00gko?1m:G`04Ool01GmoB1lmggooO_l02C`O00=B
ogooOol01Goo00=M7c`OJol00Woo00=@7c`O?1l013`O00<mggooOol01Goo00=noc`O?1l01c`O00AB
ogmoB1lmg`Qoo`03GAll7f_o00=oo`03D1lm7g?o009oo`03D1ll7c`O00@l7`05?MmoogmoB1lmg`08
Ool01UdO?1m[ogmoB1lmg`Eoo`07JMll7emoOomM7c`OJol00goo00=@7cdOLol0A7oo001@Ool00g9O
?1ll7`05?1l00cdOLomoo`02Ool00edO?1m[o`05Ool01Gko?1ll7c`O?Ml00Woo00=M7c`OJol00goo
00I@7cdOLomoOdPO?Ml5Ool00fWO?1mOO`08Ool00gko?1m:G`04Ool01GmoB1lmggooO_l02C`O00=B
ogooOol01Goo00=bGc`OD_l03Goo00Enoc`O?1ll7cgO009oo`03JMll7c`O008l7`05GgmoogooOomn
o`09?1l00e;oOomoo`06Ool01e0O?AmcogooLUll7emo00Moo`03D1lm7g?o00moo`05O_ll7c`O?1lm
g`02Ool00edO?1mOO`03Ool00edO?1m[o`03Ool01edO?1m[ogooJMll7f_o00Aoo`06JMll7emoOgm8
7cgO1Goo00=Ygc`OGgl02Woo00=M7c`OJol00Woo00=@7cdOLol00Woo00=noc`O?1l01c`O00ABogmo
B1lmg`Qoo`03Ogm87cgO009oo`03Ogm87cgO00Eoo`07JMll7emoOombGc`OD_l017oo00=M7c`OJol0
1Goo00Enoc`O?1ll7cgO009oo`03GAll7f_o00Ioo`03O_ll7dYO00Aoo`05Ogm87cgOOomno`09?1l0
0e;oOomoo`05Ool00edO?1m[o`05Ool01Gko?1ll7c`O?Ml01goo00=noc`O?1l01c`O00ABogmoB1lm
g`Qoo`03GAll7f_o00=oo`03D1lm7g?o00Eoo`09O_ll7c`O?1lmggooOgm87cgO00Qoo`06GAll7f_o
Ogm87cgO1Goo00MYgc`OGgmooedO?1m[o`03Ool00e0O?Amco`14Ool0051oo`03LUll7c`O00Ll7`06
GgmoogooGAll7f_o1goo00=noc`O?Ml00Woo00=M7c`OGgl00goo00M@7cdOLomooe0O?1m[o`04Ool0
0e0O?1m[o`08Ool017moB1lm7g?o0goo00=bGc`O?Ml00Woo00=@7cgOOol017oo00=Ygc`OGgl01goo
00=bGc`O?1l01C`O00<mggooOol01goo00=noc`O?Ml00Woo00=@7c`OJol01goo00=@7cgOOol017oo
00=Ygc`OGgl01goo00=noc`OBUl00Woo00=oOdPOBUl01goo00=@7cdOLol04Goo00=noc`O?Ml00Woo
00=M7c`OD_l00goo00=M7c`OGgl00goo00M@7c`OJomoofWO?1mBo`04Ool01edO?1m[ogooD1ll7f_o
00Aoo`03D1ll7f_o00Uoo`03Ogm87cgO00=oo`03JMll7emo00=oo`03D1lmggoo00Aoo`07JMll7emo
Oom@7cdOLol00Woo00=noc`OBUl00Woo00=oOdPO?Ml00goo00=@7c`OJol017oo00M@7c`OJomoog9O
?1m:G`04Ool00edO?1m[o`07Ool00gko?1lmg`02Ool00edO?1m[o`06Ool017moB1lm7g?o0goo00=b
Gc`O?Ml00Woo00=@7cgOOol017oo00=Ygc`OGgl01goo00=M7c`OJol01goo00=noc`O?Ml027oo00=@
7cgOOol017oo00MYgc`OGgmooe0O?Amco`02Ool00gko?1m:G`02Ool00edO?1m[o`03Ool00e0O?Amc
o`07Ool00gko?1lmg`02Ool00e0O?Amco`02Ool00gko?1m:G`02Ool01edO?1m[ogooD1ll7f_o00Ao
o`07D1ll7f_oOomM7c`OGgl00goo00=@7cdOLol0A7oo001@Ool00g9O?1mBo`05Ool036WO?1lm7g?o
OomM7c`OJomooedO?1mOO`=oo`03JMll7cgO009oo`0>GAll7cdOLomoog9O?1lm7g?oOomYgc`O?Amc
o`9oo`03GAll7cgO00Yoo`03JMll7cgO009oo`04O_ll7c`O?Ml2Ool00fWO?1m:G`03Ool00g9O?1lm
g`08Ool00g9O?1ll7`05?1l01cgOOomoogooGAll7emo00=oo`03JMll7cgO009oo`03D1ll7f_o009o
o`03O_ll7cgO009oo`03JMll7dYO00=oo`03LUll7cgO00Qoo`03JMll7emo00=oo`03GAll7f_o00Io
o`03D1lm7g?o00]oo`03GAll7emo00=oo`03JMll7cgO009oo`06GAll7c`OJomoogko0S`O00Tm7g?o
Oomnoc`O?AmcogooJMl00S`O00IBogooOomYgc`O?Ml2Ool016WO?1lm7g?o0Woo00=M7c`O?Ml02Woo
00=bGc`OD_l00goo00=noc`OBUl00goo00=Ygc`OBUl00goo00=bGc`O?Ml00Woo00=Ygc`OBUl00Woo
00=M7c`OD_l00Woo00=oOdPO?Ml00goo00AYgc`O?Amco`9oo`03GAll7cgO009oo`04LUll7c`OGgl3
Ool01edO?1m[ogooGAll7emo00=oo`03JMll7cgO009oo`03GAll7f_o00Moo`03JMll7cgO009oo`04
O_ll7c`O?Ml2Ool00fWO?1m:G`03Ool00g9O?1lmg`08Ool01edO?1m[ogooGAll7emo00=oo`03JMll
7cgO00Qoo`03JMll7dYO00=oo`03LUll7cgO009oo`03JMll7dYO009oo`03GAll7e;o009oo`03GAll
7f_o00=oo`07D1lm7g?oOomM7c`OGgl00goo00=Ygc`O?Ml00Woo00=Ygc`OBUl00Woo00=M7c`OD_l0
0Woo00QM7c`OJomoofWO?1lm7g?o0Woo00=M7c`O?Ml00Woo00UM7c`O?AmcogooLUll7cdOLol0A7oo
001@Ool00g9O?1mBo`06Ool02EdO?1mOOgooGAll7f_oOomno`07?1l015;oOomooedO1S`O00E:Ggoo
Oomooe0O00Hl7`03Jomoogoo00Qoo`03Ogm87c`O00<l7`03BMm87cgO00=oo`03D1ll7c`O00@l7`03
Jomoogoo00Ioo`03LUll7e;o00Uoo`03O_ll7c`O00Dl7`04D_moogooLUl6?1l01E;oOomoogooD1l0
1S`O00=[ogooOol01Goo00=oOdPO?Ml017oo00=bGc`OD_l01Woo00=M7c`OJol02goo00=noc`O?1l0
1C`O00IBogooOomM7c`ODMl4?1l00e;oGAll7`03?1l01TYOOomoofWO?1mAg`Dl7`05GgmoogooOom@
7`06?1l00f_oOomoo`08Ool00e0O?1m[o`04Ool00edO?Amco`03Ool00e0O?1ll7`04?1l01F_oOomo
ogmoB1l013`O00@m7g?oOomno`@l7`04D_moogooD1l6?1l01V_oOomoog9O?1mAg`8l7`07?AmcoedO
?1m[ogooO_l01c`O00IBogooOomM7c`OJol7Ool00gmoB1ll7`03?1l00dWOB1lmg`03Ool00e0O?1ll
7`04?1l00f_oOomoo`06Ool01EdO?1m[ogooO_l01c`O00=BogooOol01goo00=@7c`O?1l013`O00E[
ogooOomoOdPO00@l7`07?AmcogooOomM7c`OJol00goo00E@7cdOLomoogko00Ll7`05D_moogooOgm8
7`04?1l01cdOLomoogooGAll7f_o009oo`03D1ll7c`O00@l7`04JomoogooGAl6?1l00dYOOomoo`13
Ool0051oo`03LUll7e;o00Ioo`07JMll7emoOomM7c`OJol00goo00=@7c`O?1l00S`O00QOOgooOomo
oedO?AmcOdPO0S`O00=:GgooOol00goo00EYgc`O?1ll7cgO00ioo`07D1ll7c`O?MmoOdPO?Ml017oo
00IYgc`O?1ll7cdOLol9Ool00g9O?1mBo`0;Ool00e0O?1ll7`02?1l00emoOomoo`02Ool00g9O?1ll
7`02?1l00emoOomoo`03Ool01VWO?1ll7c`O?Amco`Qoo`03LUll7e;o00Aoo`03Ogm87cgO00Ioo`03
JMll7e;o00Moo`03D1lmggoo00=oo`03D1ll7c`O008l7`08GgmoogooOomM7c`OJomYg`8l7`04?Mmo
ogooGAl2?1l023gOOomoogooJMll7f_oJMl3?1l00f_oOomoo`03Ool01FWO?1ll7c`O?Ml02goo00=n
oc`O?Ml01Goo00=bGc`OGgl017oo00IYgc`O?1ll7cdOLol5Ool01E0O?1ll7cdOLol00Woo00=noc`O
?1l00S`O00EBogooOomoofWO00<l7`03?Mmoogoo009oo`04LUll7f_oD1l2?1l015;oGAll7f_o0goo
00=@7c`O?1l00S`O00MOOgooOomooedO?1m[o`09Ool01e0O?1ll7cgOOgm87cgO00Aoo`06JMll7c`O
?1lm7g?o2Goo00=M7c`OJol00goo00=@7c`O?1l00S`O00=OOgooOol02Goo00IYgc`O?1ll7cdOLol5
Ool01E0O?1ll7cdOLol00goo00=M7c`OJol00goo00=@7cdOLol00goo00=@7c`O?1l00S`O00=OOgoo
Ool00goo00E@7c`O?1lm7g?o00=oo`03GAll7f_o00=oo`05JMll7c`O?1lmg`04Ool015dO?AmcOdPO
0S`O00=:GgooOol0A7oo001@Ool00g9O?1mBo`06Ool01edO?1mOOgooGAll7f_o02moo`03Ogm87cgO
01=oo`03LUll7e;o03ioo`04Ogm87c`OJol5Ool00g9O?1lmg`0jOol00fWO?1mBo`05Ool00gmoB1lm
g`0GOol00gmoB1lmg`0TOol00edO?1m[o`0=Ool00gmoB1lmg`0COol00edO?1m[o`2ROol0051oo`03
LUll7e;o00Eoo`08LUll7cdOLomooedO?1m[obmoo`03Ogm87cgO01=oo`03LUll7e;o03moo`04JMll
7c`OGgl3Ool0179O?1ll7emo>Woo00=@7c`OJol01Woo00=M7c`OJol05Woo00=oOdPO?Ml097oo00=M
7c`OJol03Goo00=oOdPO?Ml04goo00=M7c`OJol0CGoo00=oOdPOD_l0DWoo001@Ool00g9O?1ll7`07
?1l01U;oOomooedO?1m[obmoo`03Ogm87cgO01=oo`03LUll7c`O00Hl7`03?Amcogoo03Moo`03JMll
7c`O00Dl7`03D_moogoo03Qoo`03O_ll7cgO00Moo`03LUll7e;o01Ioo`03Ogm87cgO01Eoo`03GAll
7f_o00aoo`03GAll7f_o00eoo`03Ogm87cgO01=oo`03GAll7f_o04Ioo`03GAll7f_o00Eoo`03JMll
7emo055oo`00D7oo00=bGc`O?1l01S`O00MOOgooOomooedO?1m[o`0_Ool00gmoB1lmg`0COol00g9O
?1ll7`06?1l00cdOLomoo`0hOol00gmoB1ll7`03?1l00f_oOomoo`0iOol00fWO?1mBo`07Ool00gmo
B1lmg`0HOol00g=oOomoo`0COol00edO?1m[o`0<Ool00edO?1m[o`0=Ool00gmoB1lmg`0COol00edO
?1m[o`16Ool00edO?1m[o`05Ool017ko?1lm7g?oD7oo003oOoooOom2Ool00?mooomood9oo`00ogoo
ogoo@Woo003oOoooOom2Ool00?mooomood9oo`00\
\>"],
  ImageRangeCache->{{{0, 575}, {575, 0}} -> {-0.213102, -4.51417, 0.00981341, \
0.0314029}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox[\( (*\ Gr\[AAcute]fica\ del\ Hamiltoniano\ *) \),
        FontFamily->"Comic Sans MS",
        FontSize->16], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", \(\(gra1 = 
          Plot3D[Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
            PlotPoints \[Rule] 100, PlotRange \[Rule] All, 
            AspectRatio \[Rule] 1, Mesh \[Rule] True, 
            FaceGrids \[Rule] 
              None];\)\[IndentingNewLine]\[IndentingNewLine]\
\[IndentingNewLine]
      \(Show[gra1, ViewPoint -> {1.457, \ \(-3.117\), \ 0.649}, 
          TextStyle \[Rule] {FontFamily \[Rule] "\<Helvetica\>", 
              FontWeight -> "\<Plain\>", FontSize \[Rule] 10, 
              FontColor \[Rule] RGBColor[0.5, 0,  .1]}, 
          AxesLabel -> {"\<\[Delta]\>", "\<\[Omega] \>", "\<H(\[Delta],\
\[Omega]) \>"}\ ];\)\[IndentingNewLine]
      \)}]], "Input"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
3.1984e-017 1.04977 -0.0837822 1.2942 [
[.02757 .3035 -6 -8.70276 ]
[.02757 .3035 0 .29724 ]
[.14598 .24605 -17.886 -9 ]
[.14598 .24605 .11404 0 ]
[.27013 .18583 -5.7118 -9 ]
[.27013 .18583 .2882 0 ]
[.40046 .12264 -16.3848 -9 ]
[.40046 .12264 1.61518 0 ]
[.53743 .05626 -5.21142 -9 ]
[.53743 .05626 .78858 0 ]
[.68156 -0.01354 -14.8837 -9 ]
[.68156 -0.01354 3.11632 0 ]
[.70096 -0.0059 0 -6.26206 ]
[.70096 -0.0059 12 2.73794 ]
[.78313 .14923 0 -6.13858 ]
[.78313 .14923 12 2.86142 ]
[.8565 .28773 0 -6.03127 ]
[.8565 .28773 6 2.96873 ]
[.9224 .41215 0 -5.93715 ]
[.9224 .41215 6 3.06285 ]
[.98191 .52452 0 -5.85393 ]
[.98191 .52452 6 3.14607 ]
[.01653 .3854 -12 -2.78247 ]
[.01653 .3854 0 6.21753 ]
[.00721 .45746 -6 -2.83205 ]
[.00721 .45746 0 6.16795 ]
[-0.00247 .53227 -6 -2.88372 ]
[-0.00247 .53227 0 6.11628 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .31454 m
.68874 0 L
s
.03716 .31454 m
.04196 .32006 L
s
[(0)] .02757 .3035 1 .93395 Mshowa
.1552 .25756 m
.15981 .26332 L
s
[(0.5)] .14598 .24605 .98733 1 Mshowa
.27893 .19783 m
.28333 .20383 L
s
[(1)] .27013 .18583 .90393 1 Mshowa
.40878 .13515 m
.41294 .1414 L
s
[(1.5)] .40046 .12264 .82054 1 Mshowa
.54521 .06929 m
.54911 .0758 L
s
[(2)] .53743 .05626 .73714 1 Mshowa
.68874 0 m
.69233 .00677 L
s
[(2.5)] .68156 -0.01354 .65374 1 Mshowa
.125 Mabswid
.06033 .30336 m
.06319 .3067 L
s
.08372 .29207 m
.08655 .29544 L
s
.10732 .28067 m
.11013 .28407 L
s
.13115 .26917 m
.13394 .2726 L
s
.17948 .24584 m
.18222 .24932 L
s
.20399 .23401 m
.2067 .23752 L
s
.22873 .22206 m
.23142 .22561 L
s
.25371 .21001 m
.25638 .21358 L
s
.3044 .18554 m
.30701 .18917 L
s
.33011 .17312 m
.3327 .17678 L
s
.35608 .16059 m
.35864 .16428 L
s
.3823 .14793 m
.38483 .15165 L
s
.43553 .12224 m
.43799 .12602 L
s
.46254 .1092 m
.46497 .11301 L
s
.48982 .09603 m
.49222 .09987 L
s
.51738 .08272 m
.51975 .0866 L
s
.57333 .05571 m
.57563 .05965 L
s
.60174 .042 m
.60401 .04597 L
s
.63044 .02814 m
.63267 .03214 L
s
.65944 .01414 m
.66163 .01817 L
s
.25 Mabswid
.68874 0 m
.96935 .52918 L
s
.68874 0 m
.68263 .00295 L
s
[(-4)] .70096 -0.0059 -1 .39157 Mshowa
.7708 .15476 m
.76464 .15753 L
s
[(-2)] .78313 .14923 -1 .36413 Mshowa
.84407 .29294 m
.83786 .29555 L
s
[(0)] .8565 .28773 -1 .34028 Mshowa
.9099 .41707 m
.90365 .41953 L
s
[(2)] .9224 .41215 -1 .31937 Mshowa
.96935 .52918 m
.96306 .53151 L
s
[(4)] .98191 .52452 -1 .30087 Mshowa
.125 Mabswid
.71016 .04041 m
.70649 .04215 L
s
.73096 .07963 m
.72728 .08135 L
s
.75117 .11774 m
.74748 .11942 L
s
.78989 .19075 m
.78618 .19239 L
s
.80845 .22575 m
.80473 .22736 L
s
.8265 .2598 m
.82278 .26139 L
s
.86118 .3252 m
.85745 .32674 L
s
.87784 .35662 m
.87411 .35814 L
s
.89408 .38723 m
.89033 .38873 L
s
.92532 .44615 m
.92156 .44761 L
s
.94036 .47451 m
.9366 .47595 L
s
.95503 .50218 m
.95127 .5036 L
s
.25 Mabswid
.03716 .31454 m
0 .60363 L
s
.02879 .37963 m
.03492 .37675 L
s
[(-5)] .01653 .3854 1 -0.38167 Mshowa
.01951 .45184 m
.02566 .44903 L
s
[(0)] .00721 .45746 1 -0.37065 Mshowa
.00988 .5268 m
.01605 .52407 L
s
[(5)] -0.00247 .53227 1 -0.35917 Mshowa
.125 Mabswid
.02696 .39386 m
.03065 .39214 L
s
.02512 .40819 m
.02881 .40648 L
s
.02327 .42263 m
.02695 .42093 L
s
.0214 .43718 m
.02508 .43549 L
s
.01761 .46661 m
.02131 .46493 L
s
.0157 .48149 m
.0194 .47982 L
s
.01377 .49648 m
.01747 .49482 L
s
.01183 .51158 m
.01553 .50993 L
s
.0079 .54214 m
.01161 .54051 L
s
.00592 .55759 m
.00963 .55597 L
s
.00392 .57317 m
.00763 .57156 L
s
.0019 .58886 m
.00561 .58726 L
s
.03061 .36551 m
.03428 .36377 L
s
.03241 .35149 m
.03608 .34974 L
s
.0342 .33757 m
.03787 .33581 L
s
.03598 .32375 m
.03964 .32198 L
s
.25 Mabswid
.03716 .31454 m
0 .60363 L
s
0 .60363 m
.39787 1 L
s
.39787 1 m
.40529 .73841 L
s
.40529 .73841 m
.03716 .31454 L
s
.68874 0 m
.96935 .52918 L
s
.96935 .52918 m
1 .80566 L
s
1 .80566 m
.70298 .30259 L
s
.70298 .30259 m
.68874 0 L
s
.03716 .31454 m
0 .60363 L
s
0 .60363 m
.70298 .30259 L
s
.70298 .30259 m
.68874 0 L
s
.68874 0 m
.03716 .31454 L
s
.40529 .73841 m
.96935 .52918 L
s
.96935 .52918 m
1 .80566 L
s
1 .80566 m
.39787 1 L
s
.39787 1 m
.40529 .73841 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
.794 .66 .715 r
.39492 .9856 .39806 .9934 .40376 .98291 .40063 .97511 Metetra
.791 .659 .717 r
.40063 .97511 .40376 .98291 .40945 .97272 .40632 .96492 Metetra
.789 .658 .719 r
.40632 .96492 .40945 .97272 .41512 .96282 .412 .95502 Metetra
.786 .657 .721 r
.412 .95502 .41512 .96282 .42077 .95321 .41766 .94541 Metetra
.783 .656 .723 r
.41766 .94541 .42077 .95321 .42641 .94389 .42331 .93608 Metetra
.78 .655 .725 r
.42331 .93608 .42641 .94389 .43203 .93485 .42894 .92704 Metetra
.777 .654 .727 r
.42894 .92704 .43203 .93485 .43765 .9261 .43456 .91829 Metetra
.774 .652 .729 r
.43456 .91829 .43765 .9261 .44325 .91762 .44017 .90981 Metetra
.77 .651 .731 r
.44017 .90981 .44325 .91762 .44884 .90942 .44576 .9016 Metetra
.767 .65 .733 r
.44576 .9016 .44884 .90942 .45442 .90149 .45135 .89367 Metetra
.763 .649 .735 r
.45135 .89367 .45442 .90149 .46 .89383 .45693 .886 Metetra
.76 .647 .737 r
.45693 .886 .46 .89383 .46556 .88643 .4625 .8786 Metetra
.756 .646 .739 r
.4625 .8786 .46556 .88643 .47113 .87929 .46807 .87146 Metetra
.752 .644 .741 r
.46807 .87146 .47113 .87929 .47668 .87241 .47363 .86457 Metetra
.748 .643 .743 r
.47363 .86457 .47668 .87241 .48223 .86579 .47919 .85794 Metetra
.745 .641 .745 r
.47919 .85794 .48223 .86579 .48778 .85941 .48474 .85156 Metetra
.74 .639 .747 r
.48474 .85156 .48778 .85941 .49333 .85329 .4903 .84543 Metetra
.736 .638 .75 r
.4903 .84543 .49333 .85329 .49888 .8474 .49585 .83954 Metetra
.732 .636 .752 r
.49585 .83954 .49888 .8474 .50442 .84176 .5014 .83389 Metetra
.728 .634 .754 r
.5014 .83389 .50442 .84176 .50997 .83634 .50695 .82847 Metetra
.723 .632 .756 r
.50695 .82847 .50997 .83634 .51552 .83117 .5125 .82329 Metetra
.719 .63 .758 r
.5125 .82329 .51552 .83117 .52107 .82621 .51805 .81833 Metetra
.714 .628 .76 r
.51805 .81833 .52107 .82621 .52662 .82149 .52361 .81359 Metetra
.71 .626 .762 r
.52361 .81359 .52662 .82149 .53218 .81698 .52917 .80908 Metetra
.705 .624 .764 r
.52917 .80908 .53218 .81698 .53775 .81268 .53474 .80477 Metetra
.7 .622 .766 r
.53474 .80477 .53775 .81268 .54332 .8086 .54032 .80068 Metetra
.695 .62 .768 r
.54032 .80068 .54332 .8086 .54889 .80472 .5459 .7968 Metetra
.691 .617 .769 r
.5459 .7968 .54889 .80472 .55448 .80105 .55148 .79311 Metetra
.686 .615 .771 r
.55148 .79311 .55448 .80105 .56007 .79757 .55708 .78963 Metetra
.681 .613 .773 r
.55708 .78963 .56007 .79757 .56567 .79428 .56268 .78634 Metetra
.676 .61 .775 r
.56268 .78634 .56567 .79428 .57129 .79119 .5683 .78323 Metetra
.671 .608 .776 r
.5683 .78323 .57129 .79119 .57691 .78828 .57393 .78031 Metetra
.666 .606 .778 r
.57393 .78031 .57691 .78828 .58254 .78554 .57956 .77757 Metetra
.661 .603 .779 r
.57956 .77757 .58254 .78554 .58819 .78298 .58521 .775 Metetra
.656 .601 .781 r
.58521 .775 .58819 .78298 .59385 .78059 .59087 .7726 Metetra
.652 .599 .782 r
.59087 .7726 .59385 .78059 .59952 .77837 .59655 .77036 Metetra
.647 .596 .784 r
.59655 .77036 .59952 .77837 .60521 .7763 .60224 .76829 Metetra
.642 .594 .785 r
.60224 .76829 .60521 .7763 .61091 .77439 .60794 .76637 Metetra
.637 .592 .786 r
.60794 .76637 .61091 .77439 .61663 .77263 .61366 .76459 Metetra
.633 .589 .787 r
.61366 .76459 .61663 .77263 .62236 .77101 .61939 .76296 Metetra
.628 .587 .789 r
.61939 .76296 .62236 .77101 .62811 .76953 .62514 .76147 Metetra
.624 .585 .79 r
.62514 .76147 .62811 .76953 .63388 .76818 .63091 .76011 Metetra
.62 .583 .791 r
.63091 .76011 .63388 .76818 .63966 .76696 .6367 .75888 Metetra
.616 .581 .792 r
.6367 .75888 .63966 .76696 .64546 .76586 .6425 .75777 Metetra
.612 .579 .792 r
.6425 .75777 .64546 .76586 .65128 .76488 .64832 .75678 Metetra
.608 .577 .793 r
.64832 .75678 .65128 .76488 .65711 .764 .65416 .75589 Metetra
.604 .575 .794 r
.65416 .75589 .65711 .764 .66297 .76324 .66001 .75512 Metetra
.601 .573 .795 r
.66001 .75512 .66297 .76324 .66884 .76257 .66589 .75444 Metetra
.597 .571 .795 r
.66589 .75444 .66884 .76257 .67474 .76199 .67178 .75385 Metetra
.594 .569 .796 r
.67178 .75385 .67474 .76199 .68065 .7615 .6777 .75335 Metetra
.591 .568 .796 r
.6777 .75335 .68065 .7615 .68658 .76109 .68363 .75293 Metetra
.588 .567 .797 r
.68363 .75293 .68658 .76109 .69254 .76076 .68959 .75258 Metetra
.586 .565 .797 r
.68959 .75258 .69254 .76076 .69851 .76049 .69556 .7523 Metetra
.584 .564 .798 r
.69556 .7523 .69851 .76049 .7045 .76029 .70155 .75208 Metetra
.582 .563 .798 r
.70155 .75208 .7045 .76029 .71052 .76014 .70757 .75192 Metetra
.58 .562 .798 r
.70757 .75192 .71052 .76014 .71655 .76004 .7136 .75181 Metetra
.578 .561 .799 r
.7136 .75181 .71655 .76004 .7226 .75998 .71966 .75174 Metetra
.577 .56 .799 r
.71966 .75174 .7226 .75998 .72868 .75996 .72573 .7517 Metetra
.576 .56 .799 r
.72573 .7517 .72868 .75996 .73477 .75996 .73183 .75169 Metetra
.575 .559 .799 r
.73183 .75169 .73477 .75996 .74089 .75999 .73794 .75171 Metetra
.575 .559 .799 r
.73794 .75171 .74089 .75999 .74702 .76003 .74408 .75174 Metetra
.574 .559 .799 r
.74408 .75174 .74702 .76003 .75317 .76008 .75023 .75178 Metetra
.574 .559 .799 r
.75023 .75178 .75317 .76008 .75935 .76014 .75641 .75182 Metetra
.574 .559 .799 r
.75641 .75182 .75935 .76014 .76554 .76019 .7626 .75185 Metetra
.575 .559 .799 r
.7626 .75185 .76554 .76019 .77175 .76022 .76881 .75188 Metetra
.576 .56 .799 r
.76881 .75188 .77175 .76022 .77798 .76024 .77504 .75188 Metetra
.576 .56 .799 r
.77504 .75188 .77798 .76024 .78422 .76023 .78129 .75186 Metetra
.578 .561 .799 r
.78129 .75186 .78422 .76023 .79049 .76018 .78755 .7518 Metetra
.579 .562 .799 r
.78755 .7518 .79049 .76018 .79677 .7601 .79383 .7517 Metetra
.581 .562 .798 r
.79383 .7517 .79677 .7601 .80307 .75997 .80013 .75156 Metetra
.583 .563 .798 r
.80013 .75156 .80307 .75997 .80938 .75978 .80645 .75136 Metetra
.585 .565 .798 r
.80645 .75136 .80938 .75978 .81571 .75953 .81278 .75109 Metetra
.587 .566 .797 r
.81278 .75109 .81571 .75953 .82205 .75921 .81912 .75076 Metetra
.59 .567 .797 r
.81912 .75076 .82205 .75921 .82841 .75882 .82548 .75036 Metetra
.592 .569 .796 r
.82548 .75036 .82841 .75882 .83477 .75834 .83185 .74987 Metetra
.595 .57 .796 r
.83185 .74987 .83477 .75834 .84116 .75777 .83823 .74928 Metetra
.599 .572 .795 r
.83823 .74928 .84116 .75777 .84755 .75711 .84462 .74861 Metetra
.602 .574 .795 r
.84462 .74861 .84755 .75711 .85395 .75634 .85103 .74782 Metetra
.605 .576 .794 r
.85103 .74782 .85395 .75634 .86036 .75546 .85744 .74693 Metetra
.609 .578 .793 r
.85744 .74693 .86036 .75546 .86678 .75446 .86386 .74592 Metetra
.613 .58 .793 r
.86386 .74592 .86678 .75446 .87321 .75333 .87029 .74478 Metetra
.617 .582 .792 r
.87029 .74478 .87321 .75333 .87964 .75207 .87673 .74351 Metetra
.621 .584 .791 r
.87673 .74351 .87964 .75207 .88608 .75068 .88317 .7421 Metetra
.625 .586 .79 r
.88317 .7421 .88608 .75068 .89253 .74914 .88962 .74055 Metetra
.629 .589 .789 r
.88962 .74055 .89253 .74914 .89897 .74745 .89606 .73885 Metetra
.634 .591 .788 r
.89606 .73885 .89897 .74745 .90542 .7456 .90251 .73698 Metetra
.638 .593 .787 r
.90251 .73698 .90542 .7456 .91187 .74358 .90897 .73496 Metetra
.643 .596 .786 r
.90897 .73496 .91187 .74358 .91831 .74139 .91542 .73276 Metetra
.648 .598 .785 r
.91542 .73276 .91831 .74139 .92476 .73903 .92186 .73039 Metetra
.652 .601 .784 r
.92186 .73039 .92476 .73903 .9312 .73649 .92831 .72783 Metetra
.657 .603 .783 r
.92831 .72783 .9312 .73649 .93764 .73375 .93475 .72508 Metetra
.662 .606 .781 r
.93475 .72508 .93764 .73375 .94407 .73083 .94118 .72215 Metetra
.667 .608 .78 r
.94118 .72215 .94407 .73083 .95049 .7277 .94761 .71901 Metetra
.672 .611 .778 r
.94761 .71901 .95049 .7277 .9569 .72437 .95402 .71567 Metetra
.677 .613 .777 r
.95402 .71567 .9569 .72437 .96331 .72082 .96043 .71211 Metetra
.682 .616 .775 r
.96043 .71211 .96331 .72082 .9697 .71707 .96682 .70835 Metetra
.687 .619 .774 r
.96682 .70835 .9697 .71707 .97607 .71309 .97321 .70436 Metetra
.692 .621 .772 r
.97321 .70436 .97607 .71309 .98244 .70889 .97957 .70015 Metetra
.697 .624 .771 r
.97957 .70015 .98244 .70889 .98878 .70446 .98592 .69572 Metetra
.795 .662 .716 r
.39177 .97789 .39492 .9856 .40063 .97511 .39749 .96739 Metetra
.793 .661 .718 r
.39749 .96739 .40063 .97511 .40632 .96492 .40319 .9572 Metetra
.79 .66 .719 r
.40319 .9572 .40632 .96492 .412 .95502 .40887 .94729 Metetra
.787 .659 .721 r
.40887 .94729 .412 .95502 .41766 .94541 .41454 .93768 Metetra
.784 .658 .723 r
.41454 .93768 .41766 .94541 .42331 .93608 .42019 .92836 Metetra
.781 .657 .725 r
.42019 .92836 .42331 .93608 .42894 .92704 .42583 .91931 Metetra
.778 .655 .727 r
.42583 .91931 .42894 .92704 .43456 .91829 .43146 .91055 Metetra
.775 .654 .73 r
.43146 .91055 .43456 .91829 .44017 .90981 .43707 .90207 Metetra
.771 .653 .732 r
.43707 .90207 .44017 .90981 .44576 .9016 .44268 .89386 Metetra
.768 .652 .734 r
.44268 .89386 .44576 .9016 .45135 .89367 .44827 .88592 Metetra
.765 .65 .736 r
.44827 .88592 .45135 .89367 .45693 .886 .45386 .87825 Metetra
.761 .649 .738 r
.45386 .87825 .45693 .886 .4625 .8786 .45944 .87084 Metetra
.757 .648 .74 r
.45944 .87084 .4625 .8786 .46807 .87146 .46501 .8637 Metetra
.753 .646 .742 r
.46501 .8637 .46807 .87146 .47363 .86457 .47058 .85681 Metetra
.75 .645 .744 r
.47058 .85681 .47363 .86457 .47919 .85794 .47614 .85017 Metetra
.746 .643 .746 r
.47614 .85017 .47919 .85794 .48474 .85156 .4817 .84379 Metetra
.742 .641 .749 r
.4817 .84379 .48474 .85156 .4903 .84543 .48725 .83765 Metetra
.737 .64 .751 r
.48725 .83765 .4903 .84543 .49585 .83954 .49281 .83175 Metetra
.733 .638 .753 r
.49281 .83175 .49585 .83954 .5014 .83389 .49836 .82609 Metetra
.729 .636 .755 r
.49836 .82609 .5014 .83389 .50695 .82847 .50392 .82067 Metetra
.724 .634 .757 r
.50392 .82067 .50695 .82847 .5125 .82329 .50948 .81548 Metetra
.72 .632 .759 r
.50948 .81548 .5125 .82329 .51805 .81833 .51503 .81051 Metetra
.715 .63 .761 r
.51503 .81051 .51805 .81833 .52361 .81359 .5206 .80577 Metetra
.711 .628 .763 r
.5206 .80577 .52361 .81359 .52917 .80908 .52616 .80125 Metetra
.706 .626 .765 r
.52616 .80125 .52917 .80908 .53474 .80477 .53173 .79694 Metetra
.701 .624 .767 r
.53173 .79694 .53474 .80477 .54032 .80068 .53731 .79284 Metetra
.696 .622 .769 r
.53731 .79284 .54032 .80068 .5459 .7968 .54289 .78895 Metetra
.691 .619 .771 r
.54289 .78895 .5459 .7968 .55148 .79311 .54848 .78526 Metetra
.686 .617 .773 r
.54848 .78526 .55148 .79311 .55708 .78963 .55408 .78176 Metetra
.682 .615 .775 r
.55408 .78176 .55708 .78963 .56268 .78634 .55969 .77846 Metetra
.677 .612 .776 r
.55969 .77846 .56268 .78634 .5683 .78323 .56531 .77535 Metetra
.672 .61 .778 r
.56531 .77535 .5683 .78323 .57393 .78031 .57094 .77242 Metetra
.667 .608 .78 r
.57094 .77242 .57393 .78031 .57956 .77757 .57658 .76967 Metetra
.662 .605 .781 r
.57658 .76967 .57956 .77757 .58521 .775 .58223 .76709 Metetra
.657 .603 .783 r
.58223 .76709 .58521 .775 .59087 .7726 .58789 .76468 Metetra
.652 .601 .784 r
.58789 .76468 .59087 .7726 .59655 .77036 .59357 .76243 Metetra
.647 .598 .786 r
.59357 .76243 .59655 .77036 .60224 .76829 .59926 .76035 Metetra
.642 .596 .787 r
.59926 .76035 .60224 .76829 .60794 .76637 .60497 .75842 Metetra
.638 .594 .788 r
.60497 .75842 .60794 .76637 .61366 .76459 .61069 .75663 Metetra
.633 .591 .789 r
.61069 .75663 .61366 .76459 .61939 .76296 .61642 .75499 Metetra
.629 .589 .791 r
.61642 .75499 .61939 .76296 .62514 .76147 .62218 .75349 Metetra
.624 .587 .792 r
.62218 .75349 .62514 .76147 .63091 .76011 .62794 .75212 Metetra
.62 .585 .793 r
.62794 .75212 .63091 .76011 .6367 .75888 .63373 .75088 Metetra
.616 .583 .794 r
.63373 .75088 .6367 .75888 .6425 .75777 .63953 .74976 Metetra
.612 .58 .794 r
.63953 .74976 .6425 .75777 .64832 .75678 .64535 .74875 Metetra
.608 .578 .795 r
.64535 .74875 .64832 .75678 .65416 .75589 .65119 .74786 Metetra
.604 .577 .796 r
.65119 .74786 .65416 .75589 .66001 .75512 .65705 .74707 Metetra
.6 .575 .797 r
.65705 .74707 .66001 .75512 .66589 .75444 .66293 .74638 Metetra
.597 .573 .797 r
.66293 .74638 .66589 .75444 .67178 .75385 .66883 .74578 Metetra
.594 .571 .798 r
.66883 .74578 .67178 .75385 .6777 .75335 .67474 .74526 Metetra
.591 .57 .799 r
.67474 .74526 .6777 .75335 .68363 .75293 .68068 .74483 Metetra
.588 .568 .799 r
.68068 .74483 .68363 .75293 .68959 .75258 .68663 .74447 Metetra
.586 .567 .799 r
.68663 .74447 .68959 .75258 .69556 .7523 .69261 .74418 Metetra
.583 .566 .8 r
.69261 .74418 .69556 .7523 .70155 .75208 .6986 .74395 Metetra
.581 .565 .8 r
.6986 .74395 .70155 .75208 .70757 .75192 .70462 .74378 Metetra
.58 .564 .8 r
.70462 .74378 .70757 .75192 .7136 .75181 .71065 .74365 Metetra
.578 .563 .801 r
.71065 .74365 .7136 .75181 .71966 .75174 .71671 .74357 Metetra
.577 .562 .801 r
.71671 .74357 .71966 .75174 .72573 .7517 .72278 .74352 Metetra
.576 .562 .801 r
.72278 .74352 .72573 .7517 .73183 .75169 .72888 .7435 Metetra
.575 .561 .801 r
.72888 .7435 .73183 .75169 .73794 .75171 .735 .7435 Metetra
.574 .561 .801 r
.735 .7435 .73794 .75171 .74408 .75174 .74113 .74352 Metetra
.574 .561 .801 r
.74113 .74352 .74408 .75174 .75023 .75178 .74729 .74355 Metetra
.574 .561 .801 r
.74729 .74355 .75023 .75178 .75641 .75182 .75346 .74357 Metetra
.574 .561 .801 r
.75346 .74357 .75641 .75182 .7626 .75185 .75966 .7436 Metetra
.574 .561 .801 r
.75966 .7436 .7626 .75185 .76881 .75188 .76587 .74361 Metetra
.575 .561 .801 r
.76587 .74361 .76881 .75188 .77504 .75188 .7721 .7436 Metetra
.576 .562 .801 r
.7721 .7436 .77504 .75188 .78129 .75186 .77835 .74356 Metetra
.577 .563 .801 r
.77835 .74356 .78129 .75186 .78755 .7518 .78462 .74349 Metetra
.579 .563 .801 r
.78462 .74349 .78755 .7518 .79383 .7517 .7909 .74338 Metetra
.581 .564 .8 r
.7909 .74338 .79383 .7517 .80013 .75156 .7972 .74322 Metetra
.582 .565 .8 r
.7972 .74322 .80013 .75156 .80645 .75136 .80351 .74301 Metetra
.585 .566 .8 r
.80351 .74301 .80645 .75136 .81278 .75109 .80985 .74273 Metetra
.587 .568 .799 r
.80985 .74273 .81278 .75109 .81912 .75076 .81619 .74239 Metetra
.59 .569 .799 r
.81619 .74239 .81912 .75076 .82548 .75036 .82255 .74197 Metetra
.592 .571 .798 r
.82255 .74197 .82548 .75036 .83185 .74987 .82892 .74147 Metetra
.595 .572 .798 r
.82892 .74147 .83185 .74987 .83823 .74928 .83531 .74087 Metetra
.598 .574 .797 r
.83531 .74087 .83823 .74928 .84462 .74861 .8417 .74018 Metetra
.602 .576 .797 r
.8417 .74018 .84462 .74861 .85103 .74782 .84811 .73939 Metetra
.605 .578 .796 r
.84811 .73939 .85103 .74782 .85744 .74693 .85452 .73848 Metetra
.609 .58 .795 r
.85452 .73848 .85744 .74693 .86386 .74592 .86095 .73746 Metetra
.613 .582 .795 r
.86095 .73746 .86386 .74592 .87029 .74478 .86738 .73631 Metetra
.617 .584 .794 r
.86738 .73631 .87029 .74478 .87673 .74351 .87382 .73503 Metetra
.621 .586 .793 r
.87382 .73503 .87673 .74351 .88317 .7421 .88026 .73361 Metetra
.625 .588 .792 r
.88026 .73361 .88317 .7421 .88962 .74055 .88671 .73204 Metetra
.63 .591 .791 r
.88671 .73204 .88962 .74055 .89606 .73885 .89316 .73032 Metetra
.634 .593 .79 r
.89316 .73032 .89606 .73885 .90251 .73698 .89961 .72845 Metetra
.639 .595 .789 r
.89961 .72845 .90251 .73698 .90897 .73496 .90607 .72641 Metetra
.643 .598 .788 r
.90607 .72641 .90897 .73496 .91542 .73276 .91252 .7242 Metetra
.648 .6 .787 r
.91252 .7242 .91542 .73276 .92186 .73039 .91897 .72182 Metetra
.653 .603 .786 r
.91897 .72182 .92186 .73039 .92831 .72783 .92542 .71925 Metetra
.658 .605 .784 r
.92542 .71925 .92831 .72783 .93475 .72508 .93186 .71649 Metetra
.663 .608 .783 r
.93186 .71649 .93475 .72508 .94118 .72215 .9383 .71355 Metetra
.668 .61 .782 r
.9383 .71355 .94118 .72215 .94761 .71901 .94473 .7104 Metetra
.673 .613 .78 r
.94473 .7104 .94761 .71901 .95402 .71567 .95115 .70704 Metetra
.678 .616 .779 r
.95115 .70704 .95402 .71567 .96043 .71211 .95756 .70348 Metetra
.683 .618 .777 r
.95756 .70348 .96043 .71211 .96682 .70835 .96396 .69971 Metetra
.688 .621 .776 r
.96396 .69971 .96682 .70835 .97321 .70436 .97034 .69571 Metetra
.693 .623 .774 r
.97034 .69571 .97321 .70436 .97957 .70015 .97671 .69149 Metetra
.698 .626 .772 r
.97671 .69149 .97957 .70015 .98592 .69572 .98307 .68704 Metetra
.796 .663 .716 r
.38861 .97025 .39177 .97789 .39749 .96739 .39434 .95975 Metetra
.794 .662 .718 r
.39434 .95975 .39749 .96739 .40319 .9572 .40005 .94956 Metetra
.791 .661 .72 r
.40005 .94956 .40319 .9572 .40887 .94729 .40574 .93965 Metetra
.788 .66 .722 r
.40574 .93965 .40887 .94729 .41454 .93768 .41142 .93003 Metetra
.785 .659 .724 r
.41142 .93003 .41454 .93768 .42019 .92836 .41708 .9207 Metetra
.782 .658 .726 r
.41708 .9207 .42019 .92836 .42583 .91931 .42272 .91166 Metetra
.779 .657 .728 r
.42272 .91166 .42583 .91931 .43146 .91055 .42836 .90289 Metetra
.776 .656 .73 r
.42836 .90289 .43146 .91055 .43707 .90207 .43398 .89441 Metetra
.773 .655 .733 r
.43398 .89441 .43707 .90207 .44268 .89386 .43959 .88619 Metetra
.769 .654 .735 r
.43959 .88619 .44268 .89386 .44827 .88592 .44519 .87825 Metetra
.766 .652 .737 r
.44519 .87825 .44827 .88592 .45386 .87825 .45078 .87057 Metetra
.762 .651 .739 r
.45078 .87057 .45386 .87825 .45944 .87084 .45636 .86316 Metetra
.758 .649 .741 r
.45636 .86316 .45944 .87084 .46501 .8637 .46194 .85601 Metetra
.755 .648 .743 r
.46194 .85601 .46501 .8637 .47058 .85681 .46751 .84912 Metetra
.751 .646 .745 r
.46751 .84912 .47058 .85681 .47614 .85017 .47308 .84248 Metetra
.747 .645 .748 r
.47308 .84248 .47614 .85017 .4817 .84379 .47865 .83609 Metetra
.743 .643 .75 r
.47865 .83609 .4817 .84379 .48725 .83765 .48421 .82994 Metetra
.738 .641 .752 r
.48421 .82994 .48725 .83765 .49281 .83175 .48977 .82404 Metetra
.734 .64 .754 r
.48977 .82404 .49281 .83175 .49836 .82609 .49533 .81838 Metetra
.73 .638 .756 r
.49533 .81838 .49836 .82609 .50392 .82067 .50089 .81295 Metetra
.725 .636 .758 r
.50089 .81295 .50392 .82067 .50948 .81548 .50645 .80775 Metetra
.721 .634 .761 r
.50645 .80775 .50948 .81548 .51503 .81051 .51201 .80278 Metetra
.716 .632 .763 r
.51201 .80278 .51503 .81051 .5206 .80577 .51758 .79803 Metetra
.711 .63 .765 r
.51758 .79803 .5206 .80577 .52616 .80125 .52315 .7935 Metetra
.707 .628 .767 r
.52315 .7935 .52616 .80125 .53173 .79694 .52872 .78918 Metetra
.702 .626 .769 r
.52872 .78918 .53173 .79694 .53731 .79284 .5343 .78507 Metetra
.697 .624 .771 r
.5343 .78507 .53731 .79284 .54289 .78895 .53989 .78117 Metetra
.692 .621 .773 r
.53989 .78117 .54289 .78895 .54848 .78526 .54548 .77747 Metetra
.687 .619 .774 r
.54548 .77747 .54848 .78526 .55408 .78176 .55108 .77397 Metetra
.682 .617 .776 r
.55108 .77397 .55408 .78176 .55969 .77846 .55669 .77066 Metetra
.677 .615 .778 r
.55669 .77066 .55969 .77846 .56531 .77535 .56231 .76754 Metetra
.672 .612 .78 r
.56231 .76754 .56531 .77535 .57094 .77242 .56795 .7646 Metetra
.667 .61 .781 r
.56795 .7646 .57094 .77242 .57658 .76967 .57359 .76184 Metetra
.662 .608 .783 r
.57359 .76184 .57658 .76967 .58223 .76709 .57924 .75925 Metetra
.657 .605 .785 r
.57924 .75925 .58223 .76709 .58789 .76468 .58491 .75683 Metetra
.652 .603 .786 r
.58491 .75683 .58789 .76468 .59357 .76243 .59059 .75458 Metetra
.648 .6 .787 r
.59059 .75458 .59357 .76243 .59926 .76035 .59628 .75248 Metetra
.643 .598 .789 r
.59628 .75248 .59926 .76035 .60497 .75842 .60199 .75054 Metetra
.638 .596 .79 r
.60199 .75054 .60497 .75842 .61069 .75663 .60771 .74875 Metetra
.633 .593 .791 r
.60771 .74875 .61069 .75663 .61642 .75499 .61345 .7471 Metetra
.629 .591 .792 r
.61345 .7471 .61642 .75499 .62218 .75349 .6192 .74558 Metetra
.624 .589 .794 r
.6192 .74558 .62218 .75349 .62794 .75212 .62497 .7442 Metetra
.62 .587 .795 r
.62497 .7442 .62794 .75212 .63373 .75088 .63076 .74295 Metetra
.616 .585 .796 r
.63076 .74295 .63373 .75088 .63953 .74976 .63657 .74182 Metetra
.612 .582 .796 r
.63657 .74182 .63953 .74976 .64535 .74875 .64239 .7408 Metetra
.608 .58 .797 r
.64239 .7408 .64535 .74875 .65119 .74786 .64823 .7399 Metetra
.604 .579 .798 r
.64823 .7399 .65119 .74786 .65705 .74707 .65409 .7391 Metetra
.6 .577 .799 r
.65409 .7391 .65705 .74707 .66293 .74638 .65997 .73839 Metetra
.597 .575 .799 r
.65997 .73839 .66293 .74638 .66883 .74578 .66587 .73778 Metetra
.594 .573 .8 r
.66587 .73778 .66883 .74578 .67474 .74526 .67178 .73726 Metetra
.591 .572 .801 r
.67178 .73726 .67474 .74526 .68068 .74483 .67772 .73681 Metetra
.588 .57 .801 r
.67772 .73681 .68068 .74483 .68663 .74447 .68368 .73644 Metetra
.586 .569 .802 r
.68368 .73644 .68663 .74447 .69261 .74418 .68965 .73614 Metetra
.583 .568 .802 r
.68965 .73614 .69261 .74418 .6986 .74395 .69565 .7359 Metetra
.581 .567 .802 r
.69565 .7359 .6986 .74395 .70462 .74378 .70167 .73571 Metetra
.579 .566 .803 r
.70167 .73571 .70462 .74378 .71065 .74365 .7077 .73557 Metetra
.578 .565 .803 r
.7077 .73557 .71065 .74365 .71671 .74357 .71376 .73548 Metetra
.576 .564 .803 r
.71376 .73548 .71671 .74357 .72278 .74352 .71984 .73542 Metetra
.575 .563 .803 r
.71984 .73542 .72278 .74352 .72888 .7435 .72593 .73538 Metetra
.574 .563 .803 r
.72593 .73538 .72888 .7435 .735 .7435 .73205 .73537 Metetra
.574 .563 .803 r
.73205 .73537 .735 .7435 .74113 .74352 .73819 .73538 Metetra
.574 .562 .804 r
.73819 .73538 .74113 .74352 .74729 .74355 .74434 .73539 Metetra
.573 .562 .804 r
.74434 .73539 .74729 .74355 .75346 .74357 .75052 .73541 Metetra
.574 .563 .804 r
.75052 .73541 .75346 .74357 .75966 .7436 .75672 .73542 Metetra
.574 .563 .803 r
.75672 .73542 .75966 .7436 .76587 .74361 .76293 .73541 Metetra
.575 .563 .803 r
.76293 .73541 .76587 .74361 .7721 .7436 .76916 .73539 Metetra
.576 .564 .803 r
.76916 .73539 .7721 .7436 .77835 .74356 .77541 .73534 Metetra
.577 .564 .803 r
.77541 .73534 .77835 .74356 .78462 .74349 .78168 .73526 Metetra
.579 .565 .803 r
.78168 .73526 .78462 .74349 .7909 .74338 .78796 .73513 Metetra
.58 .566 .803 r
.78796 .73513 .7909 .74338 .7972 .74322 .79427 .73496 Metetra
.582 .567 .802 r
.79427 .73496 .7972 .74322 .80351 .74301 .80058 .73474 Metetra
.584 .568 .802 r
.80058 .73474 .80351 .74301 .80985 .74273 .80692 .73445 Metetra
.587 .57 .801 r
.80692 .73445 .80985 .74273 .81619 .74239 .81326 .73409 Metetra
.589 .571 .801 r
.81326 .73409 .81619 .74239 .82255 .74197 .81962 .73366 Metetra
.592 .573 .801 r
.81962 .73366 .82255 .74197 .82892 .74147 .826 .73314 Metetra
.595 .574 .8 r
.826 .73314 .82892 .74147 .83531 .74087 .83238 .73254 Metetra
.598 .576 .8 r
.83238 .73254 .83531 .74087 .8417 .74018 .83878 .73183 Metetra
.602 .578 .799 r
.83878 .73183 .8417 .74018 .84811 .73939 .84519 .73103 Metetra
.605 .58 .798 r
.84519 .73103 .84811 .73939 .85452 .73848 .85161 .73011 Metetra
.609 .582 .798 r
.85161 .73011 .85452 .73848 .86095 .73746 .85803 .72907 Metetra
.613 .584 .797 r
.85803 .72907 .86095 .73746 .86738 .73631 .86447 .72791 Metetra
.617 .586 .796 r
.86447 .72791 .86738 .73631 .87382 .73503 .87091 .72662 Metetra
.621 .588 .795 r
.87091 .72662 .87382 .73503 .88026 .73361 .87735 .72518 Metetra
.625 .59 .794 r
.87735 .72518 .88026 .73361 .88671 .73204 .88381 .72361 Metetra
.63 .593 .793 r
.88381 .72361 .88671 .73204 .89316 .73032 .89026 .72188 Metetra
.634 .595 .792 r
.89026 .72188 .89316 .73032 .89961 .72845 .89671 .71999 Metetra
.639 .597 .791 r
.89671 .71999 .89961 .72845 .90607 .72641 .90317 .71794 Metetra
.644 .6 .79 r
.90317 .71794 .90607 .72641 .91252 .7242 .90963 .71572 Metetra
.649 .602 .789 r
.90963 .71572 .91252 .7242 .91897 .72182 .91608 .71333 Metetra
.653 .605 .788 r
.91608 .71333 .91897 .72182 .92542 .71925 .92253 .71075 Metetra
.658 .607 .786 r
.92253 .71075 .92542 .71925 .93186 .71649 .92898 .70798 Metetra
.663 .61 .785 r
.92898 .70798 .93186 .71649 .9383 .71355 .93542 .70502 Metetra
.668 .613 .783 r
.93542 .70502 .9383 .71355 .94473 .7104 .94185 .70186 Metetra
.673 .615 .782 r
.94185 .70186 .94473 .7104 .95115 .70704 .94828 .6985 Metetra
.679 .618 .781 r
.94828 .6985 .95115 .70704 .95756 .70348 .95469 .69493 Metetra
.684 .62 .779 r
.95469 .69493 .95756 .70348 .96396 .69971 .9611 .69114 Metetra
.689 .623 .777 r
.9611 .69114 .96396 .69971 .97034 .69571 .96749 .68713 Metetra
.694 .626 .776 r
.96749 .68713 .97034 .69571 .97671 .69149 .97386 .68291 Metetra
.699 .628 .774 r
.97386 .68291 .97671 .69149 .98307 .68704 .98022 .67845 Metetra
.797 .665 .717 r
.38545 .96269 .38861 .97025 .39434 .95975 .39118 .95219 Metetra
.795 .664 .719 r
.39118 .95219 .39434 .95975 .40005 .94956 .3969 .94199 Metetra
.792 .663 .721 r
.3969 .94199 .40005 .94956 .40574 .93965 .4026 .93208 Metetra
.789 .662 .723 r
.4026 .93208 .40574 .93965 .41142 .93003 .40828 .92246 Metetra
.786 .661 .725 r
.40828 .92246 .41142 .93003 .41708 .9207 .41395 .91313 Metetra
.783 .66 .727 r
.41395 .91313 .41708 .9207 .42272 .91166 .4196 .90408 Metetra
.78 .659 .729 r
.4196 .90408 .42272 .91166 .42836 .90289 .42524 .89531 Metetra
.777 .658 .731 r
.42524 .89531 .42836 .90289 .43398 .89441 .43087 .88682 Metetra
.774 .657 .733 r
.43087 .88682 .43398 .89441 .43959 .88619 .43649 .8786 Metetra
.77 .655 .736 r
.43649 .8786 .43959 .88619 .44519 .87825 .4421 .87065 Metetra
.767 .654 .738 r
.4421 .87065 .44519 .87825 .45078 .87057 .44769 .86297 Metetra
.763 .653 .74 r
.44769 .86297 .45078 .87057 .45636 .86316 .45328 .85556 Metetra
.759 .651 .742 r
.45328 .85556 .45636 .86316 .46194 .85601 .45887 .8484 Metetra
.756 .65 .744 r
.45887 .8484 .46194 .85601 .46751 .84912 .46445 .8415 Metetra
.752 .648 .747 r
.46445 .8415 .46751 .84912 .47308 .84248 .47002 .83486 Metetra
.748 .647 .749 r
.47002 .83486 .47308 .84248 .47865 .83609 .47559 .82846 Metetra
.744 .645 .751 r
.47559 .82846 .47865 .83609 .48421 .82994 .48115 .82231 Metetra
.739 .643 .753 r
.48115 .82231 .48421 .82994 .48977 .82404 .48672 .8164 Metetra
.735 .642 .755 r
.48672 .8164 .48977 .82404 .49533 .81838 .49228 .81073 Metetra
.731 .64 .758 r
.49228 .81073 .49533 .81838 .50089 .81295 .49785 .8053 Metetra
.726 .638 .76 r
.49785 .8053 .50089 .81295 .50645 .80775 .50341 .80009 Metetra
.722 .636 .762 r
.50341 .80009 .50645 .80775 .51201 .80278 .50898 .79511 Metetra
.717 .634 .764 r
.50898 .79511 .51201 .80278 .51758 .79803 .51455 .79035 Metetra
.712 .632 .766 r
.51455 .79035 .51758 .79803 .52315 .7935 .52012 .78582 Metetra
.708 .63 .768 r
.52012 .78582 .52315 .7935 .52872 .78918 .5257 .78149 Metetra
.703 .628 .77 r
.5257 .78149 .52872 .78918 .5343 .78507 .53128 .77738 Metetra
.698 .626 .772 r
.53128 .77738 .5343 .78507 .53989 .78117 .53687 .77347 Metetra
.693 .624 .774 r
.53687 .77347 .53989 .78117 .54548 .77747 .54247 .76976 Metetra
.688 .621 .776 r
.54247 .76976 .54548 .77747 .55108 .77397 .54808 .76625 Metetra
.683 .619 .778 r
.54808 .76625 .55108 .77397 .55669 .77066 .55369 .76293 Metetra
.678 .617 .78 r
.55369 .76293 .55669 .77066 .56231 .76754 .55932 .7598 Metetra
.673 .614 .781 r
.55932 .7598 .56231 .76754 .56795 .7646 .56495 .75685 Metetra
.668 .612 .783 r
.56495 .75685 .56795 .7646 .57359 .76184 .57059 .75408 Metetra
.663 .61 .785 r
.57059 .75408 .57359 .76184 .57924 .75925 .57625 .75149 Metetra
.658 .607 .786 r
.57625 .75149 .57924 .75925 .58491 .75683 .58192 .74906 Metetra
.653 .605 .788 r
.58192 .74906 .58491 .75683 .59059 .75458 .5876 .7468 Metetra
.648 .602 .789 r
.5876 .7468 .59059 .75458 .59628 .75248 .5933 .74469 Metetra
.643 .6 .791 r
.5933 .74469 .59628 .75248 .60199 .75054 .59901 .74274 Metetra
.638 .598 .792 r
.59901 .74274 .60199 .75054 .60771 .74875 .60473 .74093 Metetra
.634 .595 .793 r
.60473 .74093 .60771 .74875 .61345 .7471 .61047 .73927 Metetra
.629 .593 .794 r
.61047 .73927 .61345 .7471 .6192 .74558 .61623 .73775 Metetra
.625 .591 .796 r
.61623 .73775 .6192 .74558 .62497 .7442 .622 .73636 Metetra
.62 .589 .797 r
.622 .73636 .62497 .7442 .63076 .74295 .62779 .7351 Metetra
.616 .587 .798 r
.62779 .7351 .63076 .74295 .63657 .74182 .6336 .73395 Metetra
.612 .584 .799 r
.6336 .73395 .63657 .74182 .64239 .7408 .63942 .73293 Metetra
.608 .582 .799 r
.63942 .73293 .64239 .7408 .64823 .7399 .64526 .73201 Metetra
.604 .58 .8 r
.64526 .73201 .64823 .7399 .65409 .7391 .65112 .7312 Metetra
.6 .579 .801 r
.65112 .7312 .65409 .7391 .65997 .73839 .657 .73048 Metetra
.597 .577 .802 r
.657 .73048 .65997 .73839 .66587 .73778 .6629 .72986 Metetra
.594 .575 .802 r
.6629 .72986 .66587 .73778 .67178 .73726 .66882 .72932 Metetra
.591 .574 .803 r
.66882 .72932 .67178 .73726 .67772 .73681 .67476 .72887 Metetra
.588 .572 .803 r
.67476 .72887 .67772 .73681 .68368 .73644 .68072 .72848 Metetra
.585 .571 .804 r
.68072 .72848 .68368 .73644 .68965 .73614 .6867 .72817 Metetra
.583 .57 .804 r
.6867 .72817 .68965 .73614 .69565 .7359 .69269 .72792 Metetra
.581 .568 .805 r
.69269 .72792 .69565 .7359 .70167 .73571 .69871 .72772 Metetra
.579 .567 .805 r
.69871 .72772 .70167 .73571 .7077 .73557 .70475 .72757 Metetra
.577 .567 .805 r
.70475 .72757 .7077 .73557 .71376 .73548 .71081 .72746 Metetra
.576 .566 .805 r
.71081 .72746 .71376 .73548 .71984 .73542 .71689 .72739 Metetra
.575 .565 .805 r
.71689 .72739 .71984 .73542 .72593 .73538 .72298 .72734 Metetra
.574 .565 .806 r
.72298 .72734 .72593 .73538 .73205 .73537 .7291 .72732 Metetra
.573 .565 .806 r
.7291 .72732 .73205 .73537 .73819 .73538 .73524 .72731 Metetra
.573 .564 .806 r
.73524 .72731 .73819 .73538 .74434 .73539 .7414 .72731 Metetra
.573 .564 .806 r
.7414 .72731 .74434 .73539 .75052 .73541 .74758 .72731 Metetra
.573 .564 .806 r
.74758 .72731 .75052 .73541 .75672 .73542 .75377 .72731 Metetra
.574 .565 .806 r
.75377 .72731 .75672 .73542 .76293 .73541 .75999 .72729 Metetra
.575 .565 .806 r
.75999 .72729 .76293 .73541 .76916 .73539 .76622 .72726 Metetra
.575 .566 .805 r
.76622 .72726 .76916 .73539 .77541 .73534 .77247 .7272 Metetra
.577 .566 .805 r
.77247 .7272 .77541 .73534 .78168 .73526 .77874 .7271 Metetra
.578 .567 .805 r
.77874 .7271 .78168 .73526 .78796 .73513 .78503 .72696 Metetra
.58 .568 .805 r
.78503 .72696 .78796 .73513 .79427 .73496 .79133 .72678 Metetra
.582 .569 .804 r
.79133 .72678 .79427 .73496 .80058 .73474 .79765 .72654 Metetra
.584 .57 .804 r
.79765 .72654 .80058 .73474 .80692 .73445 .80399 .72624 Metetra
.587 .572 .804 r
.80399 .72624 .80692 .73445 .81326 .73409 .81033 .72587 Metetra
.589 .573 .803 r
.81033 .72587 .81326 .73409 .81962 .73366 .8167 .72543 Metetra
.592 .574 .803 r
.8167 .72543 .81962 .73366 .826 .73314 .82307 .7249 Metetra
.595 .576 .802 r
.82307 .7249 .826 .73314 .83238 .73254 .82946 .72428 Metetra
.598 .578 .802 r
.82946 .72428 .83238 .73254 .83878 .73183 .83586 .72356 Metetra
.602 .58 .801 r
.83586 .72356 .83878 .73183 .84519 .73103 .84227 .72274 Metetra
.605 .582 .8 r
.84227 .72274 .84519 .73103 .85161 .73011 .84869 .72181 Metetra
.609 .584 .8 r
.84869 .72181 .85161 .73011 .85803 .72907 .85512 .72076 Metetra
.613 .586 .799 r
.85512 .72076 .85803 .72907 .86447 .72791 .86156 .71959 Metetra
.617 .588 .798 r
.86156 .71959 .86447 .72791 .87091 .72662 .868 .71828 Metetra
.621 .59 .797 r
.868 .71828 .87091 .72662 .87735 .72518 .87445 .71684 Metetra
.626 .592 .796 r
.87445 .71684 .87735 .72518 .88381 .72361 .8809 .71525 Metetra
.63 .595 .795 r
.8809 .71525 .88381 .72361 .89026 .72188 .88736 .71351 Metetra
.635 .597 .794 r
.88736 .71351 .89026 .72188 .89671 .71999 .89382 .71161 Metetra
.639 .6 .793 r
.89382 .71161 .89671 .71999 .90317 .71794 .90028 .70955 Metetra
.644 .602 .792 r
.90028 .70955 .90317 .71794 .90963 .71572 .90674 .70732 Metetra
.649 .605 .791 r
.90674 .70732 .90963 .71572 .91608 .71333 .9132 .70491 Metetra
.654 .607 .789 r
.9132 .70491 .91608 .71333 .92253 .71075 .91965 .70232 Metetra
.659 .61 .788 r
.91965 .70232 .92253 .71075 .92898 .70798 .9261 .69954 Metetra
.664 .612 .787 r
.9261 .69954 .92898 .70798 .93542 .70502 .93255 .69657 Metetra
.669 .615 .785 r
.93255 .69657 .93542 .70502 .94185 .70186 .93898 .6934 Metetra
.674 .617 .784 r
.93898 .6934 .94185 .70186 .94828 .6985 .94541 .69003 Metetra
.679 .62 .782 r
.94541 .69003 .94828 .6985 .95469 .69493 .95183 .68645 Metetra
.684 .623 .781 r
.95183 .68645 .95469 .69493 .9611 .69114 .95824 .68265 Metetra
.69 .625 .779 r
.95824 .68265 .9611 .69114 .96749 .68713 .96463 .67864 Metetra
.695 .628 .777 r
.96463 .67864 .96749 .68713 .97386 .68291 .97101 .6744 Metetra
.7 .631 .776 r
.97101 .6744 .97386 .68291 .98022 .67845 .97737 .66993 Metetra
.799 .667 .718 r
.38227 .95521 .38545 .96269 .39118 .95219 .38802 .94471 Metetra
.796 .666 .72 r
.38802 .94471 .39118 .95219 .3969 .94199 .39374 .9345 Metetra
.793 .665 .722 r
.39374 .9345 .3969 .94199 .4026 .93208 .39945 .92459 Metetra
.79 .664 .724 r
.39945 .92459 .4026 .93208 .40828 .92246 .40514 .91497 Metetra
.788 .663 .726 r
.40514 .91497 .40828 .92246 .41395 .91313 .41081 .90563 Metetra
.785 .662 .728 r
.41081 .90563 .41395 .91313 .4196 .90408 .41648 .89658 Metetra
.781 .661 .73 r
.41648 .89658 .4196 .90408 .42524 .89531 .42212 .88781 Metetra
.778 .66 .732 r
.42212 .88781 .42524 .89531 .43087 .88682 .42776 .87931 Metetra
.775 .659 .734 r
.42776 .87931 .43087 .88682 .43649 .8786 .43338 .87109 Metetra
.771 .657 .737 r
.43338 .87109 .43649 .8786 .4421 .87065 .43899 .86314 Metetra
.768 .656 .739 r
.43899 .86314 .4421 .87065 .44769 .86297 .4446 .85545 Metetra
.764 .655 .741 r
.4446 .85545 .44769 .86297 .45328 .85556 .4502 .84803 Metetra
.761 .653 .743 r
.4502 .84803 .45328 .85556 .45887 .8484 .45579 .84087 Metetra
.757 .652 .746 r
.45579 .84087 .45887 .8484 .46445 .8415 .46137 .83396 Metetra
.753 .65 .748 r
.46137 .83396 .46445 .8415 .47002 .83486 .46695 .82731 Metetra
.749 .649 .75 r
.46695 .82731 .47002 .83486 .47559 .82846 .47252 .82091 Metetra
.745 .647 .752 r
.47252 .82091 .47559 .82846 .48115 .82231 .47809 .81475 Metetra
.74 .646 .755 r
.47809 .81475 .48115 .82231 .48672 .8164 .48366 .80884 Metetra
.736 .644 .757 r
.48366 .80884 .48672 .8164 .49228 .81073 .48923 .80316 Metetra
.732 .642 .759 r
.48923 .80316 .49228 .81073 .49785 .8053 .4948 .79772 Metetra
.727 .64 .761 r
.4948 .79772 .49785 .8053 .50341 .80009 .50037 .79251 Metetra
.723 .638 .763 r
.50037 .79251 .50341 .80009 .50898 .79511 .50594 .78752 Metetra
.718 .636 .765 r
.50594 .78752 .50898 .79511 .51455 .79035 .51152 .78276 Metetra
.713 .634 .768 r
.51152 .78276 .51455 .79035 .52012 .78582 .51709 .77821 Metetra
.709 .632 .77 r
.51709 .77821 .52012 .78582 .5257 .78149 .52268 .77388 Metetra
.704 .63 .772 r
.52268 .77388 .5257 .78149 .53128 .77738 .52826 .76976 Metetra
.699 .628 .774 r
.52826 .76976 .53128 .77738 .53687 .77347 .53386 .76584 Metetra
.694 .626 .776 r
.53386 .76584 .53687 .77347 .54247 .76976 .53946 .76212 Metetra
.689 .623 .778 r
.53946 .76212 .54247 .76976 .54808 .76625 .54507 .7586 Metetra
.684 .621 .78 r
.54507 .7586 .54808 .76625 .55369 .76293 .55068 .75528 Metetra
.679 .619 .781 r
.55068 .75528 .55369 .76293 .55932 .7598 .55631 .75214 Metetra
.674 .616 .783 r
.55631 .75214 .55932 .7598 .56495 .75685 .56195 .74918 Metetra
.669 .614 .785 r
.56195 .74918 .56495 .75685 .57059 .75408 .5676 .7464 Metetra
.663 .612 .787 r
.5676 .7464 .57059 .75408 .57625 .75149 .57325 .7438 Metetra
.658 .609 .788 r
.57325 .7438 .57625 .75149 .58192 .74906 .57893 .74136 Metetra
.653 .607 .79 r
.57893 .74136 .58192 .74906 .5876 .7468 .58461 .73909 Metetra
.648 .605 .791 r
.58461 .73909 .5876 .7468 .5933 .74469 .59031 .73697 Metetra
.644 .602 .793 r
.59031 .73697 .5933 .74469 .59901 .74274 .59602 .73501 Metetra
.639 .6 .794 r
.59602 .73501 .59901 .74274 .60473 .74093 .60175 .7332 Metetra
.634 .598 .795 r
.60175 .7332 .60473 .74093 .61047 .73927 .60749 .73152 Metetra
.629 .595 .796 r
.60749 .73152 .61047 .73927 .61623 .73775 .61325 .72999 Metetra
.625 .593 .798 r
.61325 .72999 .61623 .73775 .622 .73636 .61902 .72859 Metetra
.62 .591 .799 r
.61902 .72859 .622 .73636 .62779 .7351 .62481 .72732 Metetra
.616 .589 .8 r
.62481 .72732 .62779 .7351 .6336 .73395 .63062 .72616 Metetra
.612 .586 .801 r
.63062 .72616 .6336 .73395 .63942 .73293 .63645 .72512 Metetra
.608 .584 .801 r
.63645 .72512 .63942 .73293 .64526 .73201 .64229 .7242 Metetra
.604 .582 .802 r
.64229 .7242 .64526 .73201 .65112 .7312 .64816 .72337 Metetra
.6 .581 .803 r
.64816 .72337 .65112 .7312 .657 .73048 .65404 .72265 Metetra
.597 .579 .804 r
.65404 .72265 .657 .73048 .6629 .72986 .65994 .72201 Metetra
.594 .577 .804 r
.65994 .72201 .6629 .72986 .66882 .72932 .66586 .72146 Metetra
.591 .576 .805 r
.66586 .72146 .66882 .72932 .67476 .72887 .6718 .721 Metetra
.588 .574 .805 r
.6718 .721 .67476 .72887 .68072 .72848 .67776 .7206 Metetra
.585 .573 .806 r
.67776 .7206 .68072 .72848 .6867 .72817 .68374 .72027 Metetra
.583 .571 .806 r
.68374 .72027 .6867 .72817 .69269 .72792 .68974 .72001 Metetra
.581 .57 .807 r
.68974 .72001 .69269 .72792 .69871 .72772 .69575 .7198 Metetra
.579 .569 .807 r
.69575 .7198 .69871 .72772 .70475 .72757 .70179 .71964 Metetra
.577 .568 .807 r
.70179 .71964 .70475 .72757 .71081 .72746 .70785 .71951 Metetra
.576 .568 .807 r
.70785 .71951 .71081 .72746 .71689 .72739 .71393 .71943 Metetra
.575 .567 .808 r
.71393 .71943 .71689 .72739 .72298 .72734 .72003 .71937 Metetra
.574 .567 .808 r
.72003 .71937 .72298 .72734 .7291 .72732 .72615 .71934 Metetra
.573 .566 .808 r
.72615 .71934 .7291 .72732 .73524 .72731 .73229 .71932 Metetra
.573 .566 .808 r
.73229 .71932 .73524 .72731 .7414 .72731 .73845 .7193 Metetra
.573 .566 .808 r
.73845 .7193 .7414 .72731 .74758 .72731 .74463 .71929 Metetra
.573 .566 .808 r
.74463 .71929 .74758 .72731 .75377 .72731 .75083 .71928 Metetra
.573 .567 .808 r
.75083 .71928 .75377 .72731 .75999 .72729 .75705 .71925 Metetra
.574 .567 .808 r
.75705 .71925 .75999 .72729 .76622 .72726 .76328 .7192 Metetra
.575 .567 .808 r
.76328 .7192 .76622 .72726 .77247 .7272 .76954 .71913 Metetra
.576 .568 .807 r
.76954 .71913 .77247 .7272 .77874 .7271 .77581 .71902 Metetra
.578 .569 .807 r
.77581 .71902 .77874 .7271 .78503 .72696 .7821 .71887 Metetra
.58 .57 .807 r
.7821 .71887 .78503 .72696 .79133 .72678 .7884 .71867 Metetra
.582 .571 .807 r
.7884 .71867 .79133 .72678 .79765 .72654 .79472 .71842 Metetra
.584 .572 .806 r
.79472 .71842 .79765 .72654 .80399 .72624 .80106 .71811 Metetra
.586 .573 .806 r
.80106 .71811 .80399 .72624 .81033 .72587 .80741 .71773 Metetra
.589 .575 .805 r
.80741 .71773 .81033 .72587 .8167 .72543 .81377 .71727 Metetra
.592 .576 .805 r
.81377 .71727 .8167 .72543 .82307 .7249 .82015 .71673 Metetra
.595 .578 .804 r
.82015 .71673 .82307 .7249 .82946 .72428 .82654 .7161 Metetra
.598 .58 .804 r
.82654 .7161 .82946 .72428 .83586 .72356 .83294 .71537 Metetra
.602 .582 .803 r
.83294 .71537 .83586 .72356 .84227 .72274 .83936 .71454 Metetra
.605 .584 .802 r
.83936 .71454 .84227 .72274 .84869 .72181 .84578 .71359 Metetra
.609 .586 .802 r
.84578 .71359 .84869 .72181 .85512 .72076 .85221 .71253 Metetra
.613 .588 .801 r
.85221 .71253 .85512 .72076 .86156 .71959 .85865 .71135 Metetra
.617 .59 .8 r
.85865 .71135 .86156 .71959 .868 .71828 .8651 .71003 Metetra
.621 .592 .799 r
.8651 .71003 .868 .71828 .87445 .71684 .87155 .70857 Metetra
.626 .594 .798 r
.87155 .70857 .87445 .71684 .8809 .71525 .878 .70697 Metetra
.63 .597 .797 r
.878 .70697 .8809 .71525 .88736 .71351 .88446 .70522 Metetra
.635 .599 .796 r
.88446 .70522 .88736 .71351 .89382 .71161 .89093 .70331 Metetra
.64 .602 .795 r
.89093 .70331 .89382 .71161 .90028 .70955 .89739 .70124 Metetra
.645 .604 .794 r
.89739 .70124 .90028 .70955 .90674 .70732 .90385 .69899 Metetra
.649 .607 .793 r
.90385 .69899 .90674 .70732 .9132 .70491 .91031 .69657 Metetra
.654 .609 .791 r
.91031 .69657 .9132 .70491 .91965 .70232 .91677 .69397 Metetra
.659 .612 .79 r
.91677 .69397 .91965 .70232 .9261 .69954 .92323 .69118 Metetra
.665 .614 .789 r
.92323 .69118 .9261 .69954 .93255 .69657 .92967 .6882 Metetra
.67 .617 .787 r
.92967 .6882 .93255 .69657 .93898 .6934 .93612 .68502 Metetra
.675 .62 .786 r
.93612 .68502 .93898 .6934 .94541 .69003 .94255 .68164 Metetra
.68 .622 .784 r
.94255 .68164 .94541 .69003 .95183 .68645 .94897 .67805 Metetra
.685 .625 .783 r
.94897 .67805 .95183 .68645 .95824 .68265 .95538 .67424 Metetra
.69 .628 .781 r
.95538 .67424 .95824 .68265 .96463 .67864 .96178 .67021 Metetra
.696 .63 .779 r
.96178 .67021 .96463 .67864 .97101 .6744 .96817 .66597 Metetra
.701 .633 .777 r
.96817 .66597 .97101 .6744 .97737 .66993 .97453 .66149 Metetra
.8 .668 .718 r
.37909 .9478 .38227 .95521 .38802 .94471 .38484 .9373 Metetra
.797 .668 .72 r
.38484 .9373 .38802 .94471 .39374 .9345 .39057 .92709 Metetra
.794 .667 .723 r
.39057 .92709 .39374 .9345 .39945 .92459 .39629 .91718 Metetra
.792 .666 .725 r
.39629 .91718 .39945 .92459 .40514 .91497 .40199 .90755 Metetra
.789 .665 .727 r
.40199 .90755 .40514 .91497 .41081 .90563 .40767 .89821 Metetra
.786 .664 .729 r
.40767 .89821 .41081 .90563 .41648 .89658 .41334 .88915 Metetra
.783 .663 .731 r
.41334 .88915 .41648 .89658 .42212 .88781 .41899 .88038 Metetra
.779 .662 .733 r
.41899 .88038 .42212 .88781 .42776 .87931 .42464 .87187 Metetra
.776 .66 .735 r
.42464 .87187 .42776 .87931 .43338 .87109 .43027 .86365 Metetra
.773 .659 .738 r
.43027 .86365 .43338 .87109 .43899 .86314 .43589 .85569 Metetra
.769 .658 .74 r
.43589 .85569 .43899 .86314 .4446 .85545 .4415 .848 Metetra
.765 .657 .742 r
.4415 .848 .4446 .85545 .4502 .84803 .4471 .84057 Metetra
.762 .655 .744 r
.4471 .84057 .4502 .84803 .45579 .84087 .4527 .83341 Metetra
.758 .654 .747 r
.4527 .83341 .45579 .84087 .46137 .83396 .45829 .8265 Metetra
.754 .652 .749 r
.45829 .8265 .46137 .83396 .46695 .82731 .46387 .81984 Metetra
.75 .651 .751 r
.46387 .81984 .46695 .82731 .47252 .82091 .46945 .81343 Metetra
.746 .649 .753 r
.46945 .81343 .47252 .82091 .47809 .81475 .47503 .80727 Metetra
.742 .648 .756 r
.47503 .80727 .47809 .81475 .48366 .80884 .4806 .80135 Metetra
.737 .646 .758 r
.4806 .80135 .48366 .80884 .48923 .80316 .48618 .79566 Metetra
.733 .644 .76 r
.48618 .79566 .48923 .80316 .4948 .79772 .49175 .79021 Metetra
.728 .642 .763 r
.49175 .79021 .4948 .79772 .50037 .79251 .49732 .785 Metetra
.724 .64 .765 r
.49732 .785 .50037 .79251 .50594 .78752 .5029 .78 Metetra
.719 .638 .767 r
.5029 .78 .50594 .78752 .51152 .78276 .50848 .77523 Metetra
.714 .636 .769 r
.50848 .77523 .51152 .78276 .51709 .77821 .51406 .77068 Metetra
.709 .634 .771 r
.51406 .77068 .51709 .77821 .52268 .77388 .51965 .76634 Metetra
.705 .632 .773 r
.51965 .76634 .52268 .77388 .52826 .76976 .52524 .76221 Metetra
.7 .63 .775 r
.52524 .76221 .52826 .76976 .53386 .76584 .53083 .75828 Metetra
.695 .628 .777 r
.53083 .75828 .53386 .76584 .53946 .76212 .53644 .75456 Metetra
.69 .626 .779 r
.53644 .75456 .53946 .76212 .54507 .7586 .54205 .75103 Metetra
.684 .623 .781 r
.54205 .75103 .54507 .7586 .55068 .75528 .54767 .7477 Metetra
.679 .621 .783 r
.54767 .7477 .55068 .75528 .55631 .75214 .5533 .74455 Metetra
.674 .619 .785 r
.5533 .74455 .55631 .75214 .56195 .74918 .55894 .74158 Metetra
.669 .616 .787 r
.55894 .74158 .56195 .74918 .5676 .7464 .56459 .73879 Metetra
.664 .614 .788 r
.56459 .73879 .5676 .7464 .57325 .7438 .57025 .73618 Metetra
.659 .611 .79 r
.57025 .73618 .57325 .7438 .57893 .74136 .57593 .73373 Metetra
.654 .609 .792 r
.57593 .73373 .57893 .74136 .58461 .73909 .58162 .73145 Metetra
.649 .607 .793 r
.58162 .73145 .58461 .73909 .59031 .73697 .58732 .72932 Metetra
.644 .604 .795 r
.58732 .72932 .59031 .73697 .59602 .73501 .59303 .72735 Metetra
.639 .602 .796 r
.59303 .72735 .59602 .73501 .60175 .7332 .59876 .72553 Metetra
.634 .6 .797 r
.59876 .72553 .60175 .7332 .60749 .73152 .6045 .72385 Metetra
.63 .597 .799 r
.6045 .72385 .60749 .73152 .61325 .72999 .61026 .7223 Metetra
.625 .595 .8 r
.61026 .7223 .61325 .72999 .61902 .72859 .61604 .72089 Metetra
.62 .593 .801 r
.61604 .72089 .61902 .72859 .62481 .72732 .62183 .71961 Metetra
.616 .591 .802 r
.62183 .71961 .62481 .72732 .63062 .72616 .62764 .71844 Metetra
.612 .589 .803 r
.62764 .71844 .63062 .72616 .63645 .72512 .63347 .71739 Metetra
.608 .586 .804 r
.63347 .71739 .63645 .72512 .64229 .7242 .63932 .71646 Metetra
.604 .585 .804 r
.63932 .71646 .64229 .7242 .64816 .72337 .64518 .71562 Metetra
.6 .583 .805 r
.64518 .71562 .64816 .72337 .65404 .72265 .65107 .71488 Metetra
.597 .581 .806 r
.65107 .71488 .65404 .72265 .65994 .72201 .65697 .71424 Metetra
.593 .579 .807 r
.65697 .71424 .65994 .72201 .66586 .72146 .66289 .71368 Metetra
.59 .578 .807 r
.66289 .71368 .66586 .72146 .6718 .721 .66883 .7132 Metetra
.587 .576 .808 r
.66883 .7132 .6718 .721 .67776 .7206 .67479 .71279 Metetra
.585 .575 .808 r
.67479 .71279 .67776 .7206 .68374 .72027 .68077 .71245 Metetra
.582 .573 .809 r
.68077 .71245 .68374 .72027 .68974 .72001 .68678 .71218 Metetra
.58 .572 .809 r
.68678 .71218 .68974 .72001 .69575 .7198 .6928 .71195 Metetra
.578 .571 .809 r
.6928 .71195 .69575 .7198 .70179 .71964 .69884 .71178 Metetra
.577 .57 .81 r
.69884 .71178 .70179 .71964 .70785 .71951 .7049 .71164 Metetra
.575 .57 .81 r
.7049 .71164 .70785 .71951 .71393 .71943 .71098 .71155 Metetra
.574 .569 .81 r
.71098 .71155 .71393 .71943 .72003 .71937 .71708 .71148 Metetra
.573 .569 .81 r
.71708 .71148 .72003 .71937 .72615 .71934 .7232 .71143 Metetra
.573 .568 .81 r
.7232 .71143 .72615 .71934 .73229 .71932 .72935 .7114 Metetra
.572 .568 .81 r
.72935 .7114 .73229 .71932 .73845 .7193 .73551 .71137 Metetra
.572 .568 .81 r
.73551 .71137 .73845 .7193 .74463 .71929 .74169 .71135 Metetra
.573 .568 .81 r
.74169 .71135 .74463 .71929 .75083 .71928 .74789 .71132 Metetra
.573 .568 .81 r
.74789 .71132 .75083 .71928 .75705 .71925 .7541 .71128 Metetra
.574 .569 .81 r
.7541 .71128 .75705 .71925 .76328 .7192 .76034 .71122 Metetra
.575 .569 .81 r
.76034 .71122 .76328 .7192 .76954 .71913 .7666 .71113 Metetra
.576 .57 .81 r
.7666 .71113 .76954 .71913 .77581 .71902 .77287 .71101 Metetra
.578 .571 .809 r
.77287 .71101 .77581 .71902 .7821 .71887 .77916 .71085 Metetra
.579 .572 .809 r
.77916 .71085 .7821 .71887 .7884 .71867 .78547 .71064 Metetra
.581 .573 .809 r
.78547 .71064 .7884 .71867 .79472 .71842 .79179 .71038 Metetra
.584 .574 .808 r
.79179 .71038 .79472 .71842 .80106 .71811 .79813 .71005 Metetra
.586 .575 .808 r
.79813 .71005 .80106 .71811 .80741 .71773 .80448 .70966 Metetra
.589 .577 .808 r
.80448 .70966 .80741 .71773 .81377 .71727 .81085 .70919 Metetra
.592 .578 .807 r
.81085 .70919 .81377 .71727 .82015 .71673 .81723 .70863 Metetra
.595 .58 .807 r
.81723 .70863 .82015 .71673 .82654 .7161 .82362 .70799 Metetra
.598 .582 .806 r
.82362 .70799 .82654 .7161 .83294 .71537 .83002 .70725 Metetra
.602 .584 .805 r
.83002 .70725 .83294 .71537 .83936 .71454 .83644 .7064 Metetra
.605 .586 .805 r
.83644 .7064 .83936 .71454 .84578 .71359 .84287 .70545 Metetra
.609 .588 .804 r
.84287 .70545 .84578 .71359 .85221 .71253 .8493 .70438 Metetra
.613 .59 .803 r
.8493 .70438 .85221 .71253 .85865 .71135 .85574 .70318 Metetra
.617 .592 .802 r
.85574 .70318 .85865 .71135 .8651 .71003 .86219 .70185 Metetra
.622 .594 .801 r
.86219 .70185 .8651 .71003 .87155 .70857 .86865 .70038 Metetra
.626 .597 .8 r
.86865 .70038 .87155 .70857 .878 .70697 .87511 .69877 Metetra
.631 .599 .799 r
.87511 .69877 .878 .70697 .88446 .70522 .88157 .697 Metetra
.635 .601 .798 r
.88157 .697 .88446 .70522 .89093 .70331 .88803 .69508 Metetra
.64 .604 .797 r
.88803 .69508 .89093 .70331 .89739 .70124 .8945 .693 Metetra
.645 .606 .796 r
.8945 .693 .89739 .70124 .90385 .69899 .90097 .69074 Metetra
.65 .609 .795 r
.90097 .69074 .90385 .69899 .91031 .69657 .90743 .68831 Metetra
.655 .611 .793 r
.90743 .68831 .91031 .69657 .91677 .69397 .91389 .6857 Metetra
.66 .614 .792 r
.91389 .6857 .91677 .69397 .92323 .69118 .92035 .6829 Metetra
.665 .617 .791 r
.92035 .6829 .92323 .69118 .92967 .6882 .92681 .67991 Metetra
.67 .619 .789 r
.92681 .67991 .92967 .6882 .93612 .68502 .93325 .67672 Metetra
.676 .622 .788 r
.93325 .67672 .93612 .68502 .94255 .68164 .93969 .67332 Metetra
.681 .625 .786 r
.93969 .67332 .94255 .68164 .94897 .67805 .94612 .66972 Metetra
.686 .627 .784 r
.94612 .66972 .94897 .67805 .95538 .67424 .95253 .6659 Metetra
.691 .63 .783 r
.95253 .6659 .95538 .67424 .96178 .67021 .95894 .66187 Metetra
.697 .633 .781 r
.95894 .66187 .96178 .67021 .96817 .66597 .96533 .65761 Metetra
.702 .635 .779 r
.96533 .65761 .96817 .66597 .97453 .66149 .9717 .65312 Metetra
.801 .67 .719 r
.3759 .94048 .37909 .9478 .38484 .9373 .38166 .92997 Metetra
.798 .669 .721 r
.38166 .92997 .38484 .9373 .39057 .92709 .3874 .91976 Metetra
.796 .668 .723 r
.3874 .91976 .39057 .92709 .39629 .91718 .39312 .90984 Metetra
.793 .668 .725 r
.39312 .90984 .39629 .91718 .40199 .90755 .39883 .90021 Metetra
.79 .667 .728 r
.39883 .90021 .40199 .90755 .40767 .89821 .40452 .89086 Metetra
.787 .666 .73 r
.40452 .89086 .40767 .89821 .41334 .88915 .4102 .8818 Metetra
.784 .665 .732 r
.4102 .8818 .41334 .88915 .41899 .88038 .41586 .87302 Metetra
.781 .664 .734 r
.41586 .87302 .41899 .88038 .42464 .87187 .42151 .86452 Metetra
.777 .662 .736 r
.42151 .86452 .42464 .87187 .43027 .86365 .42714 .85628 Metetra
.774 .661 .739 r
.42714 .85628 .43027 .86365 .43589 .85569 .43277 .84832 Metetra
.77 .66 .741 r
.43277 .84832 .43589 .85569 .4415 .848 .43839 .84063 Metetra
.767 .659 .743 r
.43839 .84063 .4415 .848 .4471 .84057 .444 .83319 Metetra
.763 .657 .745 r
.444 .83319 .4471 .84057 .4527 .83341 .4496 .82602 Metetra
.759 .656 .748 r
.4496 .82602 .4527 .83341 .45829 .8265 .45519 .81911 Metetra
.755 .654 .75 r
.45519 .81911 .45829 .8265 .46387 .81984 .46078 .81244 Metetra
.751 .653 .752 r
.46078 .81244 .46387 .81984 .46945 .81343 .46637 .80603 Metetra
.747 .651 .755 r
.46637 .80603 .46945 .81343 .47503 .80727 .47195 .79986 Metetra
.743 .65 .757 r
.47195 .79986 .47503 .80727 .4806 .80135 .47753 .79393 Metetra
.738 .648 .759 r
.47753 .79393 .4806 .80135 .48618 .79566 .48311 .78824 Metetra
.734 .646 .762 r
.48311 .78824 .48618 .79566 .49175 .79021 .48869 .78278 Metetra
.729 .644 .764 r
.48869 .78278 .49175 .79021 .49732 .785 .49427 .77756 Metetra
.725 .642 .766 r
.49427 .77756 .49732 .785 .5029 .78 .49985 .77256 Metetra
.72 .64 .768 r
.49985 .77256 .5029 .78 .50848 .77523 .50543 .76778 Metetra
.715 .638 .771 r
.50543 .76778 .50848 .77523 .51406 .77068 .51102 .76322 Metetra
.71 .636 .773 r
.51102 .76322 .51406 .77068 .51965 .76634 .51661 .75887 Metetra
.705 .634 .775 r
.51661 .75887 .51965 .76634 .52524 .76221 .5222 .75473 Metetra
.7 .632 .777 r
.5222 .75473 .52524 .76221 .53083 .75828 .52781 .7508 Metetra
.695 .63 .779 r
.52781 .7508 .53083 .75828 .53644 .75456 .53341 .74707 Metetra
.69 .628 .781 r
.53341 .74707 .53644 .75456 .54205 .75103 .53903 .74353 Metetra
.685 .625 .783 r
.53903 .74353 .54205 .75103 .54767 .7477 .54465 .74019 Metetra
.68 .623 .785 r
.54465 .74019 .54767 .7477 .5533 .74455 .55029 .73703 Metetra
.675 .621 .787 r
.55029 .73703 .5533 .74455 .55894 .74158 .55593 .73406 Metetra
.67 .618 .789 r
.55593 .73406 .55894 .74158 .56459 .73879 .56158 .73126 Metetra
.665 .616 .79 r
.56158 .73126 .56459 .73879 .57025 .73618 .56725 .72863 Metetra
.66 .614 .792 r
.56725 .72863 .57025 .73618 .57593 .73373 .57293 .72618 Metetra
.654 .611 .794 r
.57293 .72618 .57593 .73373 .58162 .73145 .57862 .72389 Metetra
.649 .609 .795 r
.57862 .72389 .58162 .73145 .58732 .72932 .58432 .72175 Metetra
.644 .607 .797 r
.58432 .72175 .58732 .72932 .59303 .72735 .59004 .71977 Metetra
.639 .604 .798 r
.59004 .71977 .59303 .72735 .59876 .72553 .59577 .71794 Metetra
.635 .602 .799 r
.59577 .71794 .59876 .72553 .6045 .72385 .60151 .71624 Metetra
.63 .599 .801 r
.60151 .71624 .6045 .72385 .61026 .7223 .60728 .71469 Metetra
.625 .597 .802 r
.60728 .71469 .61026 .7223 .61604 .72089 .61306 .71327 Metetra
.621 .595 .803 r
.61306 .71327 .61604 .72089 .62183 .71961 .61885 .71197 Metetra
.616 .593 .804 r
.61885 .71197 .62183 .71961 .62764 .71844 .62466 .7108 Metetra
.612 .591 .805 r
.62466 .7108 .62764 .71844 .63347 .71739 .63049 .70974 Metetra
.608 .589 .806 r
.63049 .70974 .63347 .71739 .63932 .71646 .63634 .70879 Metetra
.604 .587 .807 r
.63634 .70879 .63932 .71646 .64518 .71562 .64221 .70794 Metetra
.6 .585 .807 r
.64221 .70794 .64518 .71562 .65107 .71488 .64809 .70719 Metetra
.597 .583 .808 r
.64809 .70719 .65107 .71488 .65697 .71424 .654 .70653 Metetra
.593 .581 .809 r
.654 .70653 .65697 .71424 .66289 .71368 .65992 .70596 Metetra
.59 .58 .809 r
.65992 .70596 .66289 .71368 .66883 .7132 .66586 .70547 Metetra
.587 .578 .81 r
.66586 .70547 .66883 .7132 .67479 .71279 .67183 .70505 Metetra
.585 .577 .81 r
.67183 .70505 .67479 .71279 .68077 .71245 .67781 .7047 Metetra
.582 .575 .811 r
.67781 .7047 .68077 .71245 .68678 .71218 .68381 .70442 Metetra
.58 .574 .811 r
.68381 .70442 .68678 .71218 .6928 .71195 .68984 .70418 Metetra
.578 .573 .812 r
.68984 .70418 .6928 .71195 .69884 .71178 .69588 .70399 Metetra
.576 .572 .812 r
.69588 .70399 .69884 .71178 .7049 .71164 .70194 .70385 Metetra
.575 .572 .812 r
.70194 .70385 .7049 .71164 .71098 .71155 .70802 .70374 Metetra
.574 .571 .812 r
.70802 .70374 .71098 .71155 .71708 .71148 .71413 .70366 Metetra
.573 .571 .812 r
.71413 .70366 .71708 .71148 .7232 .71143 .72025 .7036 Metetra
.572 .57 .812 r
.72025 .7036 .7232 .71143 .72935 .7114 .72639 .70355 Metetra
.572 .57 .812 r
.72639 .70355 .72935 .7114 .73551 .71137 .73256 .70352 Metetra
.572 .57 .812 r
.73256 .70352 .73551 .71137 .74169 .71135 .73874 .70348 Metetra
.572 .57 .812 r
.73874 .70348 .74169 .71135 .74789 .71132 .74494 .70344 Metetra
.573 .57 .812 r
.74494 .70344 .74789 .71132 .7541 .71128 .75116 .70339 Metetra
.573 .571 .812 r
.75116 .70339 .7541 .71128 .76034 .71122 .7574 .70331 Metetra
.574 .571 .812 r
.7574 .70331 .76034 .71122 .7666 .71113 .76366 .70321 Metetra
.576 .572 .812 r
.76366 .70321 .7666 .71113 .77287 .71101 .76993 .70308 Metetra
.577 .573 .812 r
.76993 .70308 .77287 .71101 .77916 .71085 .77622 .70291 Metetra
.579 .574 .811 r
.77622 .70291 .77916 .71085 .78547 .71064 .78253 .70269 Metetra
.581 .575 .811 r
.78253 .70269 .78547 .71064 .79179 .71038 .78886 .70241 Metetra
.583 .576 .811 r
.78886 .70241 .79179 .71038 .79813 .71005 .7952 .70207 Metetra
.586 .577 .81 r
.7952 .70207 .79813 .71005 .80448 .70966 .80155 .70166 Metetra
.589 .579 .81 r
.80155 .70166 .80448 .70966 .81085 .70919 .80792 .70118 Metetra
.592 .58 .809 r
.80792 .70118 .81085 .70919 .81723 .70863 .81431 .70061 Metetra
.595 .582 .809 r
.81431 .70061 .81723 .70863 .82362 .70799 .8207 .69996 Metetra
.598 .584 .808 r
.8207 .69996 .82362 .70799 .83002 .70725 .82711 .69921 Metetra
.602 .586 .808 r
.82711 .69921 .83002 .70725 .83644 .7064 .83353 .69835 Metetra
.605 .588 .807 r
.83353 .69835 .83644 .7064 .84287 .70545 .83995 .69738 Metetra
.609 .59 .806 r
.83995 .69738 .84287 .70545 .8493 .70438 .84639 .69629 Metetra
.613 .592 .805 r
.84639 .69629 .8493 .70438 .85574 .70318 .85284 .69508 Metetra
.617 .594 .804 r
.85284 .69508 .85574 .70318 .86219 .70185 .85929 .69374 Metetra
.622 .596 .803 r
.85929 .69374 .86219 .70185 .86865 .70038 .86575 .69226 Metetra
.626 .599 .803 r
.86575 .69226 .86865 .70038 .87511 .69877 .87221 .69064 Metetra
.631 .601 .801 r
.87221 .69064 .87511 .69877 .88157 .697 .87868 .68886 Metetra
.636 .604 .8 r
.87868 .68886 .88157 .697 .88803 .69508 .88514 .68693 Metetra
.64 .606 .799 r
.88514 .68693 .88803 .69508 .8945 .693 .89161 .68483 Metetra
.645 .609 .798 r
.89161 .68483 .8945 .693 .90097 .69074 .89809 .68257 Metetra
.65 .611 .797 r
.89809 .68257 .90097 .69074 .90743 .68831 .90455 .68013 Metetra
.655 .614 .795 r
.90455 .68013 .90743 .68831 .91389 .6857 .91102 .6775 Metetra
.661 .616 .794 r
.91102 .6775 .91389 .6857 .92035 .6829 .91748 .67469 Metetra
.666 .619 .793 r
.91748 .67469 .92035 .6829 .92681 .67991 .92394 .67169 Metetra
.671 .622 .791 r
.92394 .67169 .92681 .67991 .93325 .67672 .93039 .66849 Metetra
.676 .624 .789 r
.93039 .66849 .93325 .67672 .93969 .67332 .93683 .66508 Metetra
.682 .627 .788 r
.93683 .66508 .93969 .67332 .94612 .66972 .94326 .66147 Metetra
.687 .63 .786 r
.94326 .66147 .94612 .66972 .95253 .6659 .94968 .65764 Metetra
.692 .632 .784 r
.94968 .65764 .95253 .6659 .95894 .66187 .95609 .6536 Metetra
.697 .635 .783 r
.95609 .6536 .95894 .66187 .96533 .65761 .96249 .64933 Metetra
.703 .638 .781 r
.96249 .64933 .96533 .65761 .9717 .65312 .96887 .64483 Metetra
.802 .672 .72 r
.37269 .93323 .3759 .94048 .38166 .92997 .37846 .92272 Metetra
.8 .671 .722 r
.37846 .92272 .38166 .92997 .3874 .91976 .38421 .9125 Metetra
.797 .67 .724 r
.38421 .9125 .3874 .91976 .39312 .90984 .38995 .90258 Metetra
.794 .669 .726 r
.38995 .90258 .39312 .90984 .39883 .90021 .39566 .89294 Metetra
.791 .668 .728 r
.39566 .89294 .39883 .90021 .40452 .89086 .40136 .88359 Metetra
.788 .667 .731 r
.40136 .88359 .40452 .89086 .4102 .8818 .40704 .87453 Metetra
.785 .666 .733 r
.40704 .87453 .4102 .8818 .41586 .87302 .41271 .86574 Metetra
.782 .665 .735 r
.41271 .86574 .41586 .87302 .42151 .86452 .41837 .85723 Metetra
.778 .664 .737 r
.41837 .85723 .42151 .86452 .42714 .85628 .42401 .84899 Metetra
.775 .663 .74 r
.42401 .84899 .42714 .85628 .43277 .84832 .42965 .84103 Metetra
.771 .662 .742 r
.42965 .84103 .43277 .84832 .43839 .84063 .43527 .83333 Metetra
.768 .661 .744 r
.43527 .83333 .43839 .84063 .444 .83319 .44089 .82589 Metetra
.764 .659 .747 r
.44089 .82589 .444 .83319 .4496 .82602 .44649 .81871 Metetra
.76 .658 .749 r
.44649 .81871 .4496 .82602 .45519 .81911 .4521 .81179 Metetra
.756 .656 .751 r
.4521 .81179 .45519 .81911 .46078 .81244 .45769 .80512 Metetra
.752 .655 .754 r
.45769 .80512 .46078 .81244 .46637 .80603 .46328 .7987 Metetra
.748 .653 .756 r
.46328 .7987 .46637 .80603 .47195 .79986 .46887 .79252 Metetra
.744 .652 .758 r
.46887 .79252 .47195 .79986 .47753 .79393 .47446 .78659 Metetra
.739 .65 .761 r
.47446 .78659 .47753 .79393 .48311 .78824 .48004 .78089 Metetra
.735 .648 .763 r
.48004 .78089 .48311 .78824 .48869 .78278 .48562 .77543 Metetra
.73 .646 .765 r
.48562 .77543 .48869 .78278 .49427 .77756 .49121 .77019 Metetra
.726 .645 .768 r
.49121 .77019 .49427 .77756 .49985 .77256 .49679 .76519 Metetra
.721 .643 .77 r
.49679 .76519 .49985 .77256 .50543 .76778 .50238 .7604 Metetra
.716 .641 .772 r
.50238 .7604 .50543 .76778 .51102 .76322 .50797 .75583 Metetra
.711 .639 .774 r
.50797 .75583 .51102 .76322 .51661 .75887 .51357 .75148 Metetra
.706 .637 .777 r
.51357 .75148 .51661 .75887 .5222 .75473 .51916 .74733 Metetra
.701 .634 .779 r
.51916 .74733 .5222 .75473 .52781 .7508 .52477 .74339 Metetra
.696 .632 .781 r
.52477 .74339 .52781 .7508 .53341 .74707 .53038 .73965 Metetra
.691 .63 .783 r
.53038 .73965 .53341 .74707 .53903 .74353 .536 .7361 Metetra
.686 .628 .785 r
.536 .7361 .53903 .74353 .54465 .74019 .54163 .73275 Metetra
.681 .625 .787 r
.54163 .73275 .54465 .74019 .55029 .73703 .54727 .72959 Metetra
.676 .623 .789 r
.54727 .72959 .55029 .73703 .55593 .73406 .55291 .7266 Metetra
.67 .621 .79 r
.55291 .7266 .55593 .73406 .56158 .73126 .55857 .7238 Metetra
.665 .618 .792 r
.55857 .7238 .56158 .73126 .56725 .72863 .56424 .72116 Metetra
.66 .616 .794 r
.56424 .72116 .56725 .72863 .57293 .72618 .56992 .7187 Metetra
.655 .614 .796 r
.56992 .7187 .57293 .72618 .57862 .72389 .57561 .71639 Metetra
.65 .611 .797 r
.57561 .71639 .57862 .72389 .58432 .72175 .58132 .71425 Metetra
.645 .609 .799 r
.58132 .71425 .58432 .72175 .59004 .71977 .58704 .71226 Metetra
.64 .606 .8 r
.58704 .71226 .59004 .71977 .59577 .71794 .59277 .71041 Metetra
.635 .604 .801 r
.59277 .71041 .59577 .71794 .60151 .71624 .59852 .70871 Metetra
.63 .602 .803 r
.59852 .70871 .60151 .71624 .60728 .71469 .60428 .70715 Metetra
.625 .599 .804 r
.60428 .70715 .60728 .71469 .61306 .71327 .61007 .70572 Metetra
.621 .597 .805 r
.61007 .70572 .61306 .71327 .61885 .71197 .61586 .70441 Metetra
.616 .595 .806 r
.61586 .70441 .61885 .71197 .62466 .7108 .62168 .70322 Metetra
.612 .593 .807 r
.62168 .70322 .62466 .7108 .63049 .70974 .62751 .70215 Metetra
.608 .591 .808 r
.62751 .70215 .63049 .70974 .63634 .70879 .63336 .70119 Metetra
.604 .589 .809 r
.63336 .70119 .63634 .70879 .64221 .70794 .63923 .70033 Metetra
.6 .587 .81 r
.63923 .70033 .64221 .70794 .64809 .70719 .64512 .69957 Metetra
.597 .585 .81 r
.64512 .69957 .64809 .70719 .654 .70653 .65102 .69891 Metetra
.593 .583 .811 r
.65102 .69891 .654 .70653 .65992 .70596 .65695 .69832 Metetra
.59 .582 .812 r
.65695 .69832 .65992 .70596 .66586 .70547 .66289 .69782 Metetra
.587 .58 .812 r
.66289 .69782 .66586 .70547 .67183 .70505 .66886 .69739 Metetra
.584 .579 .813 r
.66886 .69739 .67183 .70505 .67781 .7047 .67484 .69703 Metetra
.582 .577 .813 r
.67484 .69703 .67781 .7047 .68381 .70442 .68085 .69673 Metetra
.58 .576 .813 r
.68085 .69673 .68381 .70442 .68984 .70418 .68687 .69648 Metetra
.578 .575 .814 r
.68687 .69648 .68984 .70418 .69588 .70399 .69292 .69628 Metetra
.576 .574 .814 r
.69292 .69628 .69588 .70399 .70194 .70385 .69898 .69613 Metetra
.575 .574 .814 r
.69898 .69613 .70194 .70385 .70802 .70374 .70507 .696 Metetra
.573 .573 .815 r
.70507 .696 .70802 .70374 .71413 .70366 .71117 .69591 Metetra
.573 .573 .815 r
.71117 .69591 .71413 .70366 .72025 .7036 .7173 .69584 Metetra
.572 .572 .815 r
.7173 .69584 .72025 .7036 .72639 .70355 .72344 .69578 Metetra
.572 .572 .815 r
.72344 .69578 .72639 .70355 .73256 .70352 .72961 .69573 Metetra
.572 .572 .815 r
.72961 .69573 .73256 .70352 .73874 .70348 .73579 .69569 Metetra
.572 .572 .815 r
.73579 .69569 .73874 .70348 .74494 .70344 .74199 .69563 Metetra
.572 .572 .815 r
.74199 .69563 .74494 .70344 .75116 .70339 .74822 .69557 Metetra
.573 .573 .815 r
.74822 .69557 .75116 .70339 .7574 .70331 .75446 .69548 Metetra
.574 .573 .814 r
.75446 .69548 .7574 .70331 .76366 .70321 .76072 .69537 Metetra
.575 .574 .814 r
.76072 .69537 .76366 .70321 .76993 .70308 .76699 .69522 Metetra
.577 .575 .814 r
.76699 .69522 .76993 .70308 .77622 .70291 .77329 .69504 Metetra
.579 .576 .814 r
.77329 .69504 .77622 .70291 .78253 .70269 .7796 .6948 Metetra
.581 .577 .813 r
.7796 .6948 .78253 .70269 .78886 .70241 .78593 .69451 Metetra
.583 .578 .813 r
.78593 .69451 .78886 .70241 .7952 .70207 .79227 .69416 Metetra
.586 .579 .813 r
.79227 .69416 .7952 .70207 .80155 .70166 .79863 .69374 Metetra
.588 .581 .812 r
.79863 .69374 .80155 .70166 .80792 .70118 .805 .69325 Metetra
.591 .583 .812 r
.805 .69325 .80792 .70118 .81431 .70061 .81138 .69267 Metetra
.595 .584 .811 r
.81138 .69267 .81431 .70061 .8207 .69996 .81778 .692 Metetra
.598 .586 .81 r
.81778 .692 .8207 .69996 .82711 .69921 .82419 .69124 Metetra
.602 .588 .81 r
.82419 .69124 .82711 .69921 .83353 .69835 .83061 .69037 Metetra
.605 .59 .809 r
.83061 .69037 .83353 .69835 .83995 .69738 .83704 .68939 Metetra
.609 .592 .808 r
.83704 .68939 .83995 .69738 .84639 .69629 .84348 .68829 Metetra
.613 .594 .807 r
.84348 .68829 .84639 .69629 .85284 .69508 .84993 .68707 Metetra
.618 .596 .807 r
.84993 .68707 .85284 .69508 .85929 .69374 .85639 .68571 Metetra
.622 .599 .806 r
.85639 .68571 .85929 .69374 .86575 .69226 .86285 .68422 Metetra
.627 .601 .805 r
.86285 .68422 .86575 .69226 .87221 .69064 .86931 .68259 Metetra
.631 .603 .804 r
.86931 .68259 .87221 .69064 .87868 .68886 .87578 .6808 Metetra
.636 .606 .803 r
.87578 .6808 .87868 .68886 .88514 .68693 .88226 .67885 Metetra
.641 .608 .801 r
.88226 .67885 .88514 .68693 .89161 .68483 .88873 .67675 Metetra
.646 .611 .8 r
.88873 .67675 .89161 .68483 .89809 .68257 .89521 .67447 Metetra
.651 .613 .799 r
.89521 .67447 .89809 .68257 .90455 .68013 .90168 .67202 Metetra
.656 .616 .797 r
.90168 .67202 .90455 .68013 .91102 .6775 .90815 .66938 Metetra
.661 .619 .796 r
.90815 .66938 .91102 .6775 .91748 .67469 .91462 .66656 Metetra
.666 .621 .795 r
.91462 .66656 .91748 .67469 .92394 .67169 .92108 .66355 Metetra
.672 .624 .793 r
.92108 .66355 .92394 .67169 .93039 .66849 .92753 .66033 Metetra
.677 .627 .791 r
.92753 .66033 .93039 .66849 .93683 .66508 .93398 .65692 Metetra
.682 .629 .79 r
.93398 .65692 .93683 .66508 .94326 .66147 .94041 .65329 Metetra
.688 .632 .788 r
.94041 .65329 .94326 .66147 .94968 .65764 .94684 .64945 Metetra
.693 .635 .786 r
.94684 .64945 .94968 .65764 .95609 .6536 .95325 .6454 Metetra
.698 .637 .784 r
.95325 .6454 .95609 .6536 .96249 .64933 .95965 .64112 Metetra
.704 .64 .783 r
.95965 .64112 .96249 .64933 .96887 .64483 .96604 .63662 Metetra
.803 .674 .721 r
.36948 .92606 .37269 .93323 .37846 .92272 .37526 .91554 Metetra
.801 .673 .723 r
.37526 .91554 .37846 .92272 .38421 .9125 .38102 .90532 Metetra
.798 .672 .725 r
.38102 .90532 .38421 .9125 .38995 .90258 .38676 .89539 Metetra
.795 .671 .727 r
.38676 .89539 .38995 .90258 .39566 .89294 .39248 .88575 Metetra
.792 .67 .729 r
.39248 .88575 .39566 .89294 .40136 .88359 .39819 .8764 Metetra
.789 .669 .731 r
.39819 .8764 .40136 .88359 .40704 .87453 .40388 .86733 Metetra
.786 .668 .734 r
.40388 .86733 .40704 .87453 .41271 .86574 .40956 .85854 Metetra
.783 .667 .736 r
.40956 .85854 .41271 .86574 .41837 .85723 .41522 .85002 Metetra
.78 .666 .738 r
.41522 .85002 .41837 .85723 .42401 .84899 .42087 .84178 Metetra
.776 .665 .741 r
.42087 .84178 .42401 .84899 .42965 .84103 .42651 .83381 Metetra
.773 .664 .743 r
.42651 .83381 .42965 .84103 .43527 .83333 .43215 .8261 Metetra
.769 .663 .745 r
.43215 .8261 .43527 .83333 .44089 .82589 .43777 .81866 Metetra
.765 .661 .748 r
.43777 .81866 .44089 .82589 .44649 .81871 .44338 .81147 Metetra
.761 .66 .75 r
.44338 .81147 .44649 .81871 .4521 .81179 .44899 .80454 Metetra
.757 .659 .752 r
.44899 .80454 .4521 .81179 .45769 .80512 .45459 .79787 Metetra
.753 .657 .755 r
.45459 .79787 .45769 .80512 .46328 .7987 .46019 .79144 Metetra
.749 .655 .757 r
.46019 .79144 .46328 .7987 .46887 .79252 .46578 .78526 Metetra
.745 .654 .76 r
.46578 .78526 .46887 .79252 .47446 .78659 .47137 .77932 Metetra
.74 .652 .762 r
.47137 .77932 .47446 .78659 .48004 .78089 .47696 .77361 Metetra
.736 .65 .764 r
.47696 .77361 .48004 .78089 .48562 .77543 .48255 .76814 Metetra
.731 .649 .767 r
.48255 .76814 .48562 .77543 .49121 .77019 .48814 .7629 Metetra
.727 .647 .769 r
.48814 .7629 .49121 .77019 .49679 .76519 .49373 .75789 Metetra
.722 .645 .771 r
.49373 .75789 .49679 .76519 .50238 .7604 .49932 .75309 Metetra
.717 .643 .774 r
.49932 .75309 .50238 .7604 .50797 .75583 .50492 .74852 Metetra
.712 .641 .776 r
.50492 .74852 .50797 .75583 .51357 .75148 .51052 .74415 Metetra
.707 .639 .778 r
.51052 .74415 .51357 .75148 .51916 .74733 .51612 .74 Metetra
.702 .637 .78 r
.51612 .74 .51916 .74733 .52477 .74339 .52173 .73605 Metetra
.697 .634 .782 r
.52173 .73605 .52477 .74339 .53038 .73965 .52734 .7323 Metetra
.692 .632 .785 r
.52734 .7323 .53038 .73965 .536 .7361 .53297 .72875 Metetra
.687 .63 .787 r
.53297 .72875 .536 .7361 .54163 .73275 .5386 .72539 Metetra
.682 .628 .789 r
.5386 .72539 .54163 .73275 .54727 .72959 .54424 .72221 Metetra
.676 .625 .791 r
.54424 .72221 .54727 .72959 .55291 .7266 .54989 .71922 Metetra
.671 .623 .792 r
.54989 .71922 .55291 .7266 .55857 .7238 .55555 .7164 Metetra
.666 .621 .794 r
.55555 .7164 .55857 .7238 .56424 .72116 .56122 .71376 Metetra
.661 .618 .796 r
.56122 .71376 .56424 .72116 .56992 .7187 .5669 .71129 Metetra
.655 .616 .798 r
.5669 .71129 .56992 .7187 .57561 .71639 .5726 .70897 Metetra
.65 .613 .799 r
.5726 .70897 .57561 .71639 .58132 .71425 .57831 .70682 Metetra
.645 .611 .801 r
.57831 .70682 .58132 .71425 .58704 .71226 .58403 .70482 Metetra
.64 .609 .802 r
.58403 .70482 .58704 .71226 .59277 .71041 .58977 .70296 Metetra
.635 .606 .803 r
.58977 .70296 .59277 .71041 .59852 .70871 .59552 .70125 Metetra
.63 .604 .805 r
.59552 .70125 .59852 .70871 .60428 .70715 .60129 .69968 Metetra
.626 .602 .806 r
.60129 .69968 .60428 .70715 .61007 .70572 .60707 .69824 Metetra
.621 .599 .807 r
.60707 .69824 .61007 .70572 .61586 .70441 .61287 .69692 Metetra
.616 .597 .808 r
.61287 .69692 .61586 .70441 .62168 .70322 .61869 .69572 Metetra
.612 .595 .809 r
.61869 .69572 .62168 .70322 .62751 .70215 .62452 .69464 Metetra
.608 .593 .81 r
.62452 .69464 .62751 .70215 .63336 .70119 .63038 .69367 Metetra
.604 .591 .811 r
.63038 .69367 .63336 .70119 .63923 .70033 .63625 .6928 Metetra
.6 .589 .812 r
.63625 .6928 .63923 .70033 .64512 .69957 .64214 .69203 Metetra
.596 .587 .813 r
.64214 .69203 .64512 .69957 .65102 .69891 .64805 .69135 Metetra
.593 .585 .813 r
.64805 .69135 .65102 .69891 .65695 .69832 .65397 .69076 Metetra
.59 .584 .814 r
.65397 .69076 .65695 .69832 .66289 .69782 .65992 .69024 Metetra
.587 .582 .814 r
.65992 .69024 .66289 .69782 .66886 .69739 .66589 .6898 Metetra
.584 .581 .815 r
.66589 .6898 .66886 .69739 .67484 .69703 .67187 .68943 Metetra
.582 .579 .815 r
.67187 .68943 .67484 .69703 .68085 .69673 .67788 .68911 Metetra
.579 .578 .816 r
.67788 .68911 .68085 .69673 .68687 .69648 .68391 .68886 Metetra
.577 .577 .816 r
.68391 .68886 .68687 .69648 .69292 .69628 .68995 .68865 Metetra
.576 .576 .816 r
.68995 .68865 .69292 .69628 .69898 .69613 .69602 .68848 Metetra
.574 .576 .817 r
.69602 .68848 .69898 .69613 .70507 .696 .70211 .68834 Metetra
.573 .575 .817 r
.70211 .68834 .70507 .696 .71117 .69591 .70821 .68824 Metetra
.572 .575 .817 r
.70821 .68824 .71117 .69591 .7173 .69584 .71434 .68815 Metetra
.571 .574 .817 r
.71434 .68815 .7173 .69584 .72344 .69578 .72049 .68808 Metetra
.571 .574 .817 r
.72049 .68808 .72344 .69578 .72961 .69573 .72665 .68802 Metetra
.571 .574 .817 r
.72665 .68802 .72961 .69573 .73579 .69569 .73284 .68796 Metetra
.571 .574 .817 r
.73284 .68796 .73579 .69569 .74199 .69563 .73905 .6879 Metetra
.572 .574 .817 r
.73905 .6879 .74199 .69563 .74822 .69557 .74527 .68782 Metetra
.573 .575 .817 r
.74527 .68782 .74822 .69557 .75446 .69548 .75151 .68772 Metetra
.574 .575 .817 r
.75151 .68772 .75446 .69548 .76072 .69537 .75777 .6876 Metetra
.575 .576 .817 r
.75777 .6876 .76072 .69537 .76699 .69522 .76405 .68744 Metetra
.577 .577 .816 r
.76405 .68744 .76699 .69522 .77329 .69504 .77035 .68724 Metetra
.578 .578 .816 r
.77035 .68724 .77329 .69504 .7796 .6948 .77666 .68699 Metetra
.58 .579 .816 r
.77666 .68699 .7796 .6948 .78593 .69451 .78299 .68669 Metetra
.583 .58 .815 r
.78299 .68669 .78593 .69451 .79227 .69416 .78934 .68633 Metetra
.585 .582 .815 r
.78934 .68633 .79227 .69416 .79863 .69374 .7957 .6859 Metetra
.588 .583 .814 r
.7957 .6859 .79863 .69374 .805 .69325 .80207 .68539 Metetra
.591 .585 .814 r
.80207 .68539 .805 .69325 .81138 .69267 .80846 .6848 Metetra
.594 .586 .813 r
.80846 .6848 .81138 .69267 .81778 .692 .81486 .68412 Metetra
.598 .588 .813 r
.81486 .68412 .81778 .692 .82419 .69124 .82127 .68334 Metetra
.601 .59 .812 r
.82127 .68334 .82419 .69124 .83061 .69037 .8277 .68246 Metetra
.605 .592 .811 r
.8277 .68246 .83061 .69037 .83704 .68939 .83413 .68147 Metetra
.609 .594 .811 r
.83413 .68147 .83704 .68939 .84348 .68829 .84058 .68036 Metetra
.613 .596 .81 r
.84058 .68036 .84348 .68829 .84993 .68707 .84703 .67912 Metetra
.618 .598 .809 r
.84703 .67912 .84993 .68707 .85639 .68571 .85349 .67776 Metetra
.622 .601 .808 r
.85349 .67776 .85639 .68571 .86285 .68422 .85995 .67626 Metetra
.627 .603 .807 r
.85995 .67626 .86285 .68422 .86931 .68259 .86642 .67461 Metetra
.631 .606 .806 r
.86642 .67461 .86931 .68259 .87578 .6808 .87289 .67281 Metetra
.636 .608 .805 r
.87289 .67281 .87578 .6808 .88226 .67885 .87937 .67085 Metetra
.641 .611 .803 r
.87937 .67085 .88226 .67885 .88873 .67675 .88585 .66873 Metetra
.646 .613 .802 r
.88585 .66873 .88873 .67675 .89521 .67447 .89233 .66645 Metetra
.651 .616 .801 r
.89233 .66645 .89521 .67447 .90168 .67202 .8988 .66398 Metetra
.656 .618 .8 r
.8988 .66398 .90168 .67202 .90815 .66938 .90528 .66133 Metetra
.662 .621 .798 r
.90528 .66133 .90815 .66938 .91462 .66656 .91175 .6585 Metetra
.667 .624 .797 r
.91175 .6585 .91462 .66656 .92108 .66355 .91822 .65548 Metetra
.672 .626 .795 r
.91822 .65548 .92108 .66355 .92753 .66033 .92468 .65225 Metetra
.678 .629 .793 r
.92468 .65225 .92753 .66033 .93398 .65692 .93113 .64883 Metetra
.683 .632 .792 r
.93113 .64883 .93398 .65692 .94041 .65329 .93757 .64519 Metetra
.688 .634 .79 r
.93757 .64519 .94041 .65329 .94684 .64945 .944 .64134 Metetra
.694 .637 .788 r
.944 .64134 .94684 .64945 .95325 .6454 .95042 .63728 Metetra
.699 .64 .786 r
.95042 .63728 .95325 .6454 .95965 .64112 .95682 .63299 Metetra
.705 .642 .784 r
.95682 .63299 .95965 .64112 .96604 .63662 .96321 .62848 Metetra
.805 .675 .721 r
.36626 .91896 .36948 .92606 .37526 .91554 .37205 .90844 Metetra
.802 .675 .724 r
.37205 .90844 .37526 .91554 .38102 .90532 .37781 .89822 Metetra
.799 .674 .726 r
.37781 .89822 .38102 .90532 .38676 .89539 .38356 .88828 Metetra
.796 .673 .728 r
.38356 .88828 .38676 .89539 .39248 .88575 .3893 .87864 Metetra
.793 .672 .73 r
.3893 .87864 .39248 .88575 .39819 .8764 .39501 .86928 Metetra
.79 .671 .732 r
.39501 .86928 .39819 .8764 .40388 .86733 .40071 .8602 Metetra
.787 .67 .735 r
.40071 .8602 .40388 .86733 .40956 .85854 .40639 .85141 Metetra
.784 .669 .737 r
.40639 .85141 .40956 .85854 .41522 .85002 .41207 .84289 Metetra
.781 .668 .739 r
.41207 .84289 .41522 .85002 .42087 .84178 .41773 .83464 Metetra
.777 .667 .742 r
.41773 .83464 .42087 .84178 .42651 .83381 .42337 .82666 Metetra
.774 .666 .744 r
.42337 .82666 .42651 .83381 .43215 .8261 .42901 .81895 Metetra
.77 .665 .746 r
.42901 .81895 .43215 .8261 .43777 .81866 .43464 .8115 Metetra
.766 .663 .749 r
.43464 .8115 .43777 .81866 .44338 .81147 .44026 .80431 Metetra
.763 .662 .751 r
.44026 .80431 .44338 .81147 .44899 .80454 .44588 .79737 Metetra
.759 .661 .754 r
.44588 .79737 .44899 .80454 .45459 .79787 .45148 .79069 Metetra
.754 .659 .756 r
.45148 .79069 .45459 .79787 .46019 .79144 .45709 .78426 Metetra
.75 .658 .759 r
.45709 .78426 .46019 .79144 .46578 .78526 .46269 .77807 Metetra
.746 .656 .761 r
.46269 .77807 .46578 .78526 .47137 .77932 .46828 .77212 Metetra
.742 .654 .763 r
.46828 .77212 .47137 .77932 .47696 .77361 .47388 .76641 Metetra
.737 .653 .766 r
.47388 .76641 .47696 .77361 .48255 .76814 .47947 .76093 Metetra
.732 .651 .768 r
.47947 .76093 .48255 .76814 .48814 .7629 .48506 .75568 Metetra
.728 .649 .771 r
.48506 .75568 .48814 .7629 .49373 .75789 .49066 .75066 Metetra
.723 .647 .773 r
.49066 .75066 .49373 .75789 .49932 .75309 .49626 .74586 Metetra
.718 .645 .775 r
.49626 .74586 .49932 .75309 .50492 .74852 .50186 .74128 Metetra
.713 .643 .778 r
.50186 .74128 .50492 .74852 .51052 .74415 .50746 .7369 Metetra
.708 .641 .78 r
.50746 .7369 .51052 .74415 .51612 .74 .51307 .73274 Metetra
.703 .639 .782 r
.51307 .73274 .51612 .74 .52173 .73605 .51868 .72878 Metetra
.698 .637 .784 r
.51868 .72878 .52173 .73605 .52734 .7323 .5243 .72503 Metetra
.693 .635 .786 r
.5243 .72503 .52734 .7323 .53297 .72875 .52993 .72147 Metetra
.688 .632 .788 r
.52993 .72147 .53297 .72875 .5386 .72539 .53556 .71809 Metetra
.682 .63 .79 r
.53556 .71809 .5386 .72539 .54424 .72221 .54121 .71491 Metetra
.677 .628 .792 r
.54121 .71491 .54424 .72221 .54989 .71922 .54686 .71191 Metetra
.672 .625 .794 r
.54686 .71191 .54989 .71922 .55555 .7164 .55252 .70908 Metetra
.666 .623 .796 r
.55252 .70908 .55555 .7164 .56122 .71376 .5582 .70643 Metetra
.661 .62 .798 r
.5582 .70643 .56122 .71376 .5669 .71129 .56389 .70395 Metetra
.656 .618 .8 r
.56389 .70395 .5669 .71129 .5726 .70897 .56958 .70163 Metetra
.651 .616 .801 r
.56958 .70163 .5726 .70897 .57831 .70682 .5753 .69946 Metetra
.646 .613 .803 r
.5753 .69946 .57831 .70682 .58403 .70482 .58102 .69745 Metetra
.64 .611 .804 r
.58102 .69745 .58403 .70482 .58977 .70296 .58676 .69559 Metetra
.635 .608 .806 r
.58676 .69559 .58977 .70296 .59552 .70125 .59252 .69387 Metetra
.631 .606 .807 r
.59252 .69387 .59552 .70125 .60129 .69968 .59829 .69228 Metetra
.626 .604 .808 r
.59829 .69228 .60129 .69968 .60707 .69824 .60407 .69083 Metetra
.621 .602 .809 r
.60407 .69083 .60707 .69824 .61287 .69692 .60988 .6895 Metetra
.617 .599 .81 r
.60988 .6895 .61287 .69692 .61869 .69572 .6157 .68829 Metetra
.612 .597 .812 r
.6157 .68829 .61869 .69572 .62452 .69464 .62153 .6872 Metetra
.608 .595 .812 r
.62153 .6872 .62452 .69464 .63038 .69367 .62739 .68622 Metetra
.604 .593 .813 r
.62739 .68622 .63038 .69367 .63625 .6928 .63326 .68534 Metetra
.6 .591 .814 r
.63326 .68534 .63625 .6928 .64214 .69203 .63915 .68456 Metetra
.596 .589 .815 r
.63915 .68456 .64214 .69203 .64805 .69135 .64506 .68387 Metetra
.593 .587 .816 r
.64506 .68387 .64805 .69135 .65397 .69076 .65099 .68326 Metetra
.59 .586 .816 r
.65099 .68326 .65397 .69076 .65992 .69024 .65694 .68273 Metetra
.587 .584 .817 r
.65694 .68273 .65992 .69024 .66589 .6898 .66291 .68228 Metetra
.584 .583 .817 r
.66291 .68228 .66589 .6898 .67187 .68943 .6689 .6819 Metetra
.581 .582 .818 r
.6689 .6819 .67187 .68943 .67788 .68911 .67491 .68157 Metetra
.579 .58 .818 r
.67491 .68157 .67788 .68911 .68391 .68886 .68094 .6813 Metetra
.577 .579 .819 r
.68094 .6813 .68391 .68886 .68995 .68865 .68699 .68108 Metetra
.575 .578 .819 r
.68699 .68108 .68995 .68865 .69602 .68848 .69305 .6809 Metetra
.574 .578 .819 r
.69305 .6809 .69602 .68848 .70211 .68834 .69914 .68075 Metetra
.573 .577 .819 r
.69914 .68075 .70211 .68834 .70821 .68824 .70525 .68064 Metetra
.572 .577 .819 r
.70525 .68064 .70821 .68824 .71434 .68815 .71138 .68054 Metetra
.571 .576 .819 r
.71138 .68054 .71434 .68815 .72049 .68808 .71753 .68046 Metetra
.571 .576 .82 r
.71753 .68046 .72049 .68808 .72665 .68802 .7237 .68039 Metetra
.571 .576 .82 r
.7237 .68039 .72665 .68802 .73284 .68796 .72989 .68031 Metetra
.571 .576 .82 r
.72989 .68031 .73284 .68796 .73905 .6879 .7361 .68024 Metetra
.571 .576 .819 r
.7361 .68024 .73905 .6879 .74527 .68782 .74232 .68015 Metetra
.572 .577 .819 r
.74232 .68015 .74527 .68782 .75151 .68772 .74857 .68004 Metetra
.573 .577 .819 r
.74857 .68004 .75151 .68772 .75777 .6876 .75483 .6799 Metetra
.575 .578 .819 r
.75483 .6799 .75777 .6876 .76405 .68744 .76111 .67973 Metetra
.576 .579 .819 r
.76111 .67973 .76405 .68744 .77035 .68724 .76741 .67952 Metetra
.578 .58 .818 r
.76741 .67952 .77035 .68724 .77666 .68699 .77373 .67926 Metetra
.58 .581 .818 r
.77373 .67926 .77666 .68699 .78299 .68669 .78006 .67895 Metetra
.582 .582 .818 r
.78006 .67895 .78299 .68669 .78934 .68633 .78641 .67857 Metetra
.585 .584 .817 r
.78641 .67857 .78934 .68633 .7957 .6859 .79277 .67813 Metetra
.588 .585 .817 r
.79277 .67813 .7957 .6859 .80207 .68539 .79915 .67761 Metetra
.591 .587 .816 r
.79915 .67761 .80207 .68539 .80846 .6848 .80554 .67701 Metetra
.594 .588 .816 r
.80554 .67701 .80846 .6848 .81486 .68412 .81194 .67631 Metetra
.598 .59 .815 r
.81194 .67631 .81486 .68412 .82127 .68334 .81836 .67552 Metetra
.601 .592 .814 r
.81836 .67552 .82127 .68334 .8277 .68246 .82478 .67463 Metetra
.605 .594 .814 r
.82478 .67463 .8277 .68246 .83413 .68147 .83122 .67363 Metetra
.609 .596 .813 r
.83122 .67363 .83413 .68147 .84058 .68036 .83767 .6725 Metetra
.613 .598 .812 r
.83767 .6725 .84058 .68036 .84703 .67912 .84412 .67126 Metetra
.618 .601 .811 r
.84412 .67126 .84703 .67912 .85349 .67776 .85059 .66988 Metetra
.622 .603 .81 r
.85059 .66988 .85349 .67776 .85995 .67626 .85705 .66836 Metetra
.627 .605 .809 r
.85705 .66836 .85995 .67626 .86642 .67461 .86353 .6667 Metetra
.632 .608 .808 r
.86353 .6667 .86642 .67461 .87289 .67281 .87001 .66489 Metetra
.637 .61 .807 r
.87001 .66489 .87289 .67281 .87937 .67085 .87649 .66293 Metetra
.642 .613 .806 r
.87649 .66293 .87937 .67085 .88585 .66873 .88297 .6608 Metetra
.647 .616 .804 r
.88297 .6608 .88585 .66873 .89233 .66645 .88945 .6585 Metetra
.652 .618 .803 r
.88945 .6585 .89233 .66645 .8988 .66398 .89593 .65602 Metetra
.657 .621 .802 r
.89593 .65602 .8988 .66398 .90528 .66133 .90241 .65336 Metetra
.662 .623 .8 r
.90241 .65336 .90528 .66133 .91175 .6585 .90889 .65052 Metetra
.668 .626 .799 r
.90889 .65052 .91175 .6585 .91822 .65548 .91536 .64748 Metetra
.673 .629 .797 r
.91536 .64748 .91822 .65548 .92468 .65225 .92182 .64425 Metetra
.678 .631 .795 r
.92182 .64425 .92468 .65225 .93113 .64883 .92828 .64081 Metetra
.684 .634 .794 r
.92828 .64081 .93113 .64883 .93757 .64519 .93473 .63717 Metetra
.689 .637 .792 r
.93473 .63717 .93757 .64519 .944 .64134 .94116 .63331 Metetra
.695 .64 .79 r
.94116 .63331 .944 .64134 .95042 .63728 .94759 .62923 Metetra
.7 .642 .788 r
.94759 .62923 .95042 .63728 .95682 .63299 .954 .62493 Metetra
.706 .645 .786 r
.954 .62493 .95682 .63299 .96321 .62848 .96039 .62041 Metetra
.806 .677 .722 r
.36303 .91194 .36626 .91896 .37205 .90844 .36882 .90142 Metetra
.803 .676 .724 r
.36882 .90142 .37205 .90844 .37781 .89822 .3746 .89119 Metetra
.8 .676 .727 r
.3746 .89119 .37781 .89822 .38356 .88828 .38036 .88125 Metetra
.798 .675 .729 r
.38036 .88125 .38356 .88828 .3893 .87864 .3861 .8716 Metetra
.795 .674 .731 r
.3861 .8716 .3893 .87864 .39501 .86928 .39182 .86224 Metetra
.792 .673 .733 r
.39182 .86224 .39501 .86928 .40071 .8602 .39753 .85315 Metetra
.789 .672 .736 r
.39753 .85315 .40071 .8602 .40639 .85141 .40322 .84435 Metetra
.785 .671 .738 r
.40322 .84435 .40639 .85141 .41207 .84289 .4089 .83582 Metetra
.782 .67 .74 r
.4089 .83582 .41207 .84289 .41773 .83464 .41457 .82757 Metetra
.779 .669 .743 r
.41457 .82757 .41773 .83464 .42337 .82666 .42022 .81959 Metetra
.775 .668 .745 r
.42022 .81959 .42337 .82666 .42901 .81895 .42587 .81187 Metetra
.771 .667 .748 r
.42587 .81187 .42901 .81895 .43464 .8115 .4315 .80441 Metetra
.768 .665 .75 r
.4315 .80441 .43464 .8115 .44026 .80431 .43713 .79722 Metetra
.764 .664 .752 r
.43713 .79722 .44026 .80431 .44588 .79737 .44275 .79028 Metetra
.76 .663 .755 r
.44275 .79028 .44588 .79737 .45148 .79069 .44837 .78359 Metetra
.756 .661 .757 r
.44837 .78359 .45148 .79069 .45709 .78426 .45398 .77715 Metetra
.751 .66 .76 r
.45398 .77715 .45709 .78426 .46269 .77807 .45958 .77095 Metetra
.747 .658 .762 r
.45958 .77095 .46269 .77807 .46828 .77212 .46518 .765 Metetra
.743 .657 .765 r
.46518 .765 .46828 .77212 .47388 .76641 .47078 .75928 Metetra
.738 .655 .767 r
.47078 .75928 .47388 .76641 .47947 .76093 .47638 .75379 Metetra
.734 .653 .77 r
.47638 .75379 .47947 .76093 .48506 .75568 .48198 .74854 Metetra
.729 .651 .772 r
.48198 .74854 .48506 .75568 .49066 .75066 .48758 .74351 Metetra
.724 .649 .775 r
.48758 .74351 .49066 .75066 .49626 .74586 .49318 .7387 Metetra
.719 .647 .777 r
.49318 .7387 .49626 .74586 .50186 .74128 .49879 .73411 Metetra
.714 .645 .779 r
.49879 .73411 .50186 .74128 .50746 .7369 .5044 .72973 Metetra
.709 .643 .782 r
.5044 .72973 .50746 .7369 .51307 .73274 .51001 .72556 Metetra
.704 .641 .784 r
.51001 .72556 .51307 .73274 .51868 .72878 .51563 .72159 Metetra
.699 .639 .786 r
.51563 .72159 .51868 .72878 .5243 .72503 .52125 .71782 Metetra
.694 .637 .788 r
.52125 .71782 .5243 .72503 .52993 .72147 .52688 .71425 Metetra
.688 .635 .79 r
.52688 .71425 .52993 .72147 .53556 .71809 .53252 .71087 Metetra
.683 .632 .792 r
.53252 .71087 .53556 .71809 .54121 .71491 .53817 .70768 Metetra
.678 .63 .794 r
.53817 .70768 .54121 .71491 .54686 .71191 .54383 .70467 Metetra
.672 .628 .796 r
.54383 .70467 .54686 .71191 .55252 .70908 .54949 .70184 Metetra
.667 .625 .798 r
.54949 .70184 .55252 .70908 .5582 .70643 .55517 .69918 Metetra
.662 .623 .8 r
.55517 .69918 .5582 .70643 .56389 .70395 .56086 .69668 Metetra
.656 .62 .802 r
.56086 .69668 .56389 .70395 .56958 .70163 .56656 .69435 Metetra
.651 .618 .803 r
.56656 .69435 .56958 .70163 .5753 .69946 .57228 .69218 Metetra
.646 .616 .805 r
.57228 .69218 .5753 .69946 .58102 .69745 .57801 .69016 Metetra
.641 .613 .806 r
.57801 .69016 .58102 .69745 .58676 .69559 .58375 .68828 Metetra
.636 .611 .808 r
.58375 .68828 .58676 .69559 .59252 .69387 .58951 .68655 Metetra
.631 .608 .809 r
.58951 .68655 .59252 .69387 .59829 .69228 .59528 .68495 Metetra
.626 .606 .81 r
.59528 .68495 .59829 .69228 .60407 .69083 .60107 .68349 Metetra
.621 .604 .812 r
.60107 .68349 .60407 .69083 .60988 .6895 .60688 .68215 Metetra
.617 .602 .813 r
.60688 .68215 .60988 .6895 .6157 .68829 .6127 .68094 Metetra
.612 .599 .814 r
.6127 .68094 .6157 .68829 .62153 .6872 .61854 .67983 Metetra
.608 .597 .815 r
.61854 .67983 .62153 .6872 .62739 .68622 .62439 .67884 Metetra
.604 .595 .816 r
.62439 .67884 .62739 .68622 .63326 .68534 .63027 .67795 Metetra
.6 .593 .817 r
.63027 .67795 .63326 .68534 .63915 .68456 .63616 .67716 Metetra
.596 .591 .817 r
.63616 .67716 .63915 .68456 .64506 .68387 .64208 .67645 Metetra
.593 .59 .818 r
.64208 .67645 .64506 .68387 .65099 .68326 .64801 .67584 Metetra
.589 .588 .819 r
.64801 .67584 .65099 .68326 .65694 .68273 .65396 .6753 Metetra
.586 .586 .819 r
.65396 .6753 .65694 .68273 .66291 .68228 .65993 .67484 Metetra
.583 .585 .82 r
.65993 .67484 .66291 .68228 .6689 .6819 .66592 .67444 Metetra
.581 .584 .82 r
.66592 .67444 .6689 .6819 .67491 .68157 .67193 .6741 Metetra
.579 .582 .821 r
.67193 .6741 .67491 .68157 .68094 .6813 .67796 .67382 Metetra
.577 .581 .821 r
.67796 .67382 .68094 .6813 .68699 .68108 .68402 .67359 Metetra
.575 .581 .821 r
.68402 .67359 .68699 .68108 .69305 .6809 .69009 .6734 Metetra
.573 .58 .821 r
.69009 .6734 .69305 .6809 .69914 .68075 .69618 .67324 Metetra
.572 .579 .822 r
.69618 .67324 .69914 .68075 .70525 .68064 .70229 .67311 Metetra
.571 .579 .822 r
.70229 .67311 .70525 .68064 .71138 .68054 .70842 .673 Metetra
.571 .578 .822 r
.70842 .673 .71138 .68054 .71753 .68046 .71457 .67291 Metetra
.57 .578 .822 r
.71457 .67291 .71753 .68046 .7237 .68039 .72074 .67282 Metetra
.57 .578 .822 r
.72074 .67282 .7237 .68039 .72989 .68031 .72693 .67274 Metetra
.57 .578 .822 r
.72693 .67274 .72989 .68031 .7361 .68024 .73314 .67265 Metetra
.571 .579 .822 r
.73314 .67265 .7361 .68024 .74232 .68015 .73937 .67255 Metetra
.572 .579 .822 r
.73937 .67255 .74232 .68015 .74857 .68004 .74562 .67243 Metetra
.573 .579 .822 r
.74562 .67243 .74857 .68004 .75483 .6799 .75189 .67228 Metetra
.574 .58 .821 r
.75189 .67228 .75483 .6799 .76111 .67973 .75817 .67209 Metetra
.576 .581 .821 r
.75817 .67209 .76111 .67973 .76741 .67952 .76447 .67187 Metetra
.578 .582 .821 r
.76447 .67187 .76741 .67952 .77373 .67926 .77079 .6716 Metetra
.58 .583 .82 r
.77079 .6716 .77373 .67926 .78006 .67895 .77713 .67128 Metetra
.582 .584 .82 r
.77713 .67128 .78006 .67895 .78641 .67857 .78348 .67089 Metetra
.585 .586 .82 r
.78348 .67089 .78641 .67857 .79277 .67813 .78984 .67043 Metetra
.588 .587 .819 r
.78984 .67043 .79277 .67813 .79915 .67761 .79622 .6699 Metetra
.591 .589 .819 r
.79622 .6699 .79915 .67761 .80554 .67701 .80262 .66929 Metetra
.594 .591 .818 r
.80262 .66929 .80554 .67701 .81194 .67631 .80902 .66858 Metetra
.598 .592 .817 r
.80902 .66858 .81194 .67631 .81836 .67552 .81544 .66778 Metetra
.601 .594 .817 r
.81544 .66778 .81836 .67552 .82478 .67463 .82187 .66687 Metetra
.605 .596 .816 r
.82187 .66687 .82478 .67463 .83122 .67363 .82831 .66586 Metetra
.609 .599 .815 r
.82831 .66586 .83122 .67363 .83767 .6725 .83476 .66472 Metetra
.614 .601 .814 r
.83476 .66472 .83767 .6725 .84412 .67126 .84122 .66346 Metetra
.618 .603 .813 r
.84122 .66346 .84412 .67126 .85059 .66988 .84769 .66207 Metetra
.622 .605 .812 r
.84769 .66207 .85059 .66988 .85705 .66836 .85416 .66055 Metetra
.627 .608 .811 r
.85416 .66055 .85705 .66836 .86353 .6667 .86064 .65888 Metetra
.632 .61 .81 r
.86064 .65888 .86353 .6667 .87001 .66489 .86712 .65705 Metetra
.637 .613 .809 r
.86712 .65705 .87001 .66489 .87649 .66293 .8736 .65508 Metetra
.642 .615 .808 r
.8736 .65508 .87649 .66293 .88297 .6608 .88009 .65293 Metetra
.647 .618 .807 r
.88009 .65293 .88297 .6608 .88945 .6585 .88658 .65062 Metetra
.652 .621 .805 r
.88658 .65062 .88945 .6585 .89593 .65602 .89306 .64813 Metetra
.657 .623 .804 r
.89306 .64813 .89593 .65602 .90241 .65336 .89955 .64547 Metetra
.663 .626 .802 r
.89955 .64547 .90241 .65336 .90889 .65052 .90603 .64261 Metetra
.668 .629 .801 r
.90603 .64261 .90889 .65052 .91536 .64748 .9125 .63956 Metetra
.674 .631 .799 r
.9125 .63956 .91536 .64748 .92182 .64425 .91897 .63632 Metetra
.679 .634 .797 r
.91897 .63632 .92182 .64425 .92828 .64081 .92543 .63287 Metetra
.685 .637 .796 r
.92543 .63287 .92828 .64081 .93473 .63717 .93189 .62921 Metetra
.69 .639 .794 r
.93189 .62921 .93473 .63717 .94116 .63331 .93833 .62535 Metetra
.696 .642 .792 r
.93833 .62535 .94116 .63331 .94759 .62923 .94476 .62126 Metetra
.701 .645 .79 r
.94476 .62126 .94759 .62923 .954 .62493 .95117 .61695 Metetra
.707 .647 .788 r
.95117 .61695 .954 .62493 .96039 .62041 .95758 .61242 Metetra
.807 .679 .723 r
.35978 .905 .36303 .91194 .36882 .90142 .36559 .89447 Metetra
.804 .678 .725 r
.36559 .89447 .36882 .90142 .3746 .89119 .37138 .88423 Metetra
.802 .678 .727 r
.37138 .88423 .3746 .89119 .38036 .88125 .37714 .87429 Metetra
.799 .677 .73 r
.37714 .87429 .38036 .88125 .3861 .8716 .38289 .86464 Metetra
.796 .676 .732 r
.38289 .86464 .3861 .8716 .39182 .86224 .38862 .85527 Metetra
.793 .675 .734 r
.38862 .85527 .39182 .86224 .39753 .85315 .39434 .84618 Metetra
.79 .674 .737 r
.39434 .84618 .39753 .85315 .40322 .84435 .40004 .83737 Metetra
.787 .673 .739 r
.40004 .83737 .40322 .84435 .4089 .83582 .40573 .82884 Metetra
.783 .672 .741 r
.40573 .82884 .4089 .83582 .41457 .82757 .4114 .82058 Metetra
.78 .671 .744 r
.4114 .82058 .41457 .82757 .42022 .81959 .41706 .81259 Metetra
.776 .67 .746 r
.41706 .81259 .42022 .81959 .42587 .81187 .42272 .80486 Metetra
.773 .669 .749 r
.42272 .80486 .42587 .81187 .4315 .80441 .42836 .7974 Metetra
.769 .668 .751 r
.42836 .7974 .4315 .80441 .43713 .79722 .43399 .7902 Metetra
.765 .666 .754 r
.43399 .7902 .43713 .79722 .44275 .79028 .43962 .78325 Metetra
.761 .665 .756 r
.43962 .78325 .44275 .79028 .44837 .78359 .44524 .77656 Metetra
.757 .663 .759 r
.44524 .77656 .44837 .78359 .45398 .77715 .45086 .77011 Metetra
.753 .662 .761 r
.45086 .77011 .45398 .77715 .45958 .77095 .45647 .76391 Metetra
.748 .66 .764 r
.45647 .76391 .45958 .77095 .46518 .765 .46208 .75794 Metetra
.744 .659 .766 r
.46208 .75794 .46518 .765 .47078 .75928 .46768 .75222 Metetra
.739 .657 .769 r
.46768 .75222 .47078 .75928 .47638 .75379 .47329 .74673 Metetra
.735 .655 .771 r
.47329 .74673 .47638 .75379 .48198 .74854 .47889 .74146 Metetra
.73 .654 .774 r
.47889 .74146 .48198 .74854 .48758 .74351 .4845 .73642 Metetra
.725 .652 .776 r
.4845 .73642 .48758 .74351 .49318 .7387 .4901 .73161 Metetra
.72 .65 .778 r
.4901 .73161 .49318 .7387 .49879 .73411 .49571 .72701 Metetra
.715 .648 .781 r
.49571 .72701 .49879 .73411 .5044 .72973 .50133 .72262 Metetra
.71 .646 .783 r
.50133 .72262 .5044 .72973 .51001 .72556 .50694 .71844 Metetra
.705 .644 .785 r
.50694 .71844 .51001 .72556 .51563 .72159 .51257 .71447 Metetra
.7 .641 .788 r
.51257 .71447 .51563 .72159 .52125 .71782 .51819 .71069 Metetra
.694 .639 .79 r
.51819 .71069 .52125 .71782 .52688 .71425 .52383 .70711 Metetra
.689 .637 .792 r
.52383 .70711 .52688 .71425 .53252 .71087 .52947 .70373 Metetra
.684 .635 .794 r
.52947 .70373 .53252 .71087 .53817 .70768 .53512 .70052 Metetra
.678 .632 .796 r
.53512 .70052 .53817 .70768 .54383 .70467 .54078 .6975 Metetra
.673 .63 .798 r
.54078 .6975 .54383 .70467 .54949 .70184 .54646 .69466 Metetra
.668 .628 .8 r
.54646 .69466 .54949 .70184 .55517 .69918 .55214 .69199 Metetra
.662 .625 .802 r
.55214 .69199 .55517 .69918 .56086 .69668 .55783 .68949 Metetra
.657 .623 .804 r
.55783 .68949 .56086 .69668 .56656 .69435 .56354 .68715 Metetra
.652 .62 .805 r
.56354 .68715 .56656 .69435 .57228 .69218 .56925 .68496 Metetra
.646 .618 .807 r
.56925 .68496 .57228 .69218 .57801 .69016 .57499 .68293 Metetra
.641 .615 .809 r
.57499 .68293 .57801 .69016 .58375 .68828 .58073 .68105 Metetra
.636 .613 .81 r
.58073 .68105 .58375 .68828 .58951 .68655 .58649 .6793 Metetra
.631 .611 .811 r
.58649 .6793 .58951 .68655 .59528 .68495 .59227 .6777 Metetra
.626 .608 .813 r
.59227 .6777 .59528 .68495 .60107 .68349 .59806 .67623 Metetra
.621 .606 .814 r
.59806 .67623 .60107 .68349 .60688 .68215 .60387 .67488 Metetra
.617 .604 .815 r
.60387 .67488 .60688 .68215 .6127 .68094 .60969 .67365 Metetra
.612 .602 .816 r
.60969 .67365 .6127 .68094 .61854 .67983 .61554 .67254 Metetra
.608 .6 .817 r
.61554 .67254 .61854 .67983 .62439 .67884 .6214 .67153 Metetra
.604 .597 .818 r
.6214 .67153 .62439 .67884 .63027 .67795 .62728 .67063 Metetra
.6 .595 .819 r
.62728 .67063 .63027 .67795 .63616 .67716 .63317 .66983 Metetra
.596 .594 .82 r
.63317 .66983 .63616 .67716 .64208 .67645 .63909 .66911 Metetra
.592 .592 .82 r
.63909 .66911 .64208 .67645 .64801 .67584 .64502 .66849 Metetra
.589 .59 .821 r
.64502 .66849 .64801 .67584 .65396 .6753 .65098 .66794 Metetra
.586 .589 .822 r
.65098 .66794 .65396 .6753 .65993 .67484 .65695 .66746 Metetra
.583 .587 .822 r
.65695 .66746 .65993 .67484 .66592 .67444 .66294 .66706 Metetra
.581 .586 .823 r
.66294 .66706 .66592 .67444 .67193 .6741 .66896 .66671 Metetra
.578 .585 .823 r
.66896 .66671 .67193 .6741 .67796 .67382 .67499 .66641 Metetra
.576 .584 .823 r
.67499 .66641 .67796 .67382 .68402 .67359 .68104 .66617 Metetra
.574 .583 .824 r
.68104 .66617 .68402 .67359 .69009 .6734 .68712 .66597 Metetra
.573 .582 .824 r
.68712 .66597 .69009 .6734 .69618 .67324 .69321 .6658 Metetra
.572 .581 .824 r
.69321 .6658 .69618 .67324 .70229 .67311 .69932 .66565 Metetra
.571 .581 .824 r
.69932 .66565 .70229 .67311 .70842 .673 .70546 .66554 Metetra
.57 .58 .824 r
.70546 .66554 .70842 .673 .71457 .67291 .71161 .66543 Metetra
.57 .58 .824 r
.71161 .66543 .71457 .67291 .72074 .67282 .71778 .66533 Metetra
.57 .58 .824 r
.71778 .66533 .72074 .67282 .72693 .67274 .72398 .66524 Metetra
.57 .58 .824 r
.72398 .66524 .72693 .67274 .73314 .67265 .73019 .66514 Metetra
.57 .581 .824 r
.73019 .66514 .73314 .67265 .73937 .67255 .73642 .66502 Metetra
.571 .581 .824 r
.73642 .66502 .73937 .67255 .74562 .67243 .74267 .66489 Metetra
.572 .582 .824 r
.74267 .66489 .74562 .67243 .75189 .67228 .74894 .66473 Metetra
.574 .582 .824 r
.74894 .66473 .75189 .67228 .75817 .67209 .75523 .66453 Metetra
.575 .583 .824 r
.75523 .66453 .75817 .67209 .76447 .67187 .76153 .6643 Metetra
.577 .584 .823 r
.76153 .6643 .76447 .67187 .77079 .6716 .76785 .66401 Metetra
.579 .585 .823 r
.76785 .66401 .77079 .6716 .77713 .67128 .77419 .66368 Metetra
.582 .587 .822 r
.77419 .66368 .77713 .67128 .78348 .67089 .78054 .66328 Metetra
.585 .588 .822 r
.78054 .66328 .78348 .67089 .78984 .67043 .78691 .66281 Metetra
.587 .589 .822 r
.78691 .66281 .78984 .67043 .79622 .6699 .79329 .66226 Metetra
.591 .591 .821 r
.79329 .66226 .79622 .6699 .80262 .66929 .79969 .66164 Metetra
.594 .593 .82 r
.79969 .66164 .80262 .66929 .80902 .66858 .8061 .66092 Metetra
.597 .595 .82 r
.8061 .66092 .80902 .66858 .81544 .66778 .81252 .66011 Metetra
.601 .597 .819 r
.81252 .66011 .81544 .66778 .82187 .66687 .81896 .65919 Metetra
.605 .599 .818 r
.81896 .65919 .82187 .66687 .82831 .66586 .8254 .65816 Metetra
.609 .601 .817 r
.8254 .65816 .82831 .66586 .83476 .66472 .83186 .65702 Metetra
.614 .603 .817 r
.83186 .65702 .83476 .66472 .84122 .66346 .83832 .65575 Metetra
.618 .605 .816 r
.83832 .65575 .84122 .66346 .84769 .66207 .84479 .65434 Metetra
.623 .608 .815 r
.84479 .65434 .84769 .66207 .85416 .66055 .85126 .65281 Metetra
.627 .61 .814 r
.85126 .65281 .85416 .66055 .86064 .65888 .85775 .65112 Metetra
.632 .613 .812 r
.85775 .65112 .86064 .65888 .86712 .65705 .86423 .64929 Metetra
.637 .615 .811 r
.86423 .64929 .86712 .65705 .8736 .65508 .87072 .6473 Metetra
.642 .618 .81 r
.87072 .6473 .8736 .65508 .88009 .65293 .87721 .64514 Metetra
.647 .62 .809 r
.87721 .64514 .88009 .65293 .88658 .65062 .8837 .64282 Metetra
.653 .623 .807 r
.8837 .64282 .88658 .65062 .89306 .64813 .89019 .64032 Metetra
.658 .626 .806 r
.89019 .64032 .89306 .64813 .89955 .64547 .89668 .63764 Metetra
.663 .628 .804 r
.89668 .63764 .89955 .64547 .90603 .64261 .90317 .63478 Metetra
.669 .631 .803 r
.90317 .63478 .90603 .64261 .9125 .63956 .90965 .63172 Metetra
.674 .634 .801 r
.90965 .63172 .9125 .63956 .91897 .63632 .91612 .62846 Metetra
.68 .636 .799 r
.91612 .62846 .91897 .63632 .92543 .63287 .92259 .625 Metetra
.685 .639 .798 r
.92259 .625 .92543 .63287 .93189 .62921 .92905 .62134 Metetra
.691 .642 .796 r
.92905 .62134 .93189 .62921 .93833 .62535 .9355 .61746 Metetra
.696 .645 .794 r
.9355 .61746 .93833 .62535 .94476 .62126 .94193 .61336 Metetra
.702 .647 .792 r
.94193 .61336 .94476 .62126 .95117 .61695 .94835 .60904 Metetra
.708 .65 .79 r
.94835 .60904 .95117 .61695 .95758 .61242 .95476 .6045 Metetra
.808 .681 .724 r
.35653 .89813 .35978 .905 .36559 .89447 .36235 .8876 Metetra
.806 .68 .726 r
.36235 .8876 .36559 .89447 .37138 .88423 .36814 .87736 Metetra
.803 .679 .728 r
.36814 .87736 .37138 .88423 .37714 .87429 .37392 .86741 Metetra
.8 .679 .73 r
.37392 .86741 .37714 .87429 .38289 .86464 .37968 .85775 Metetra
.797 .678 .733 r
.37968 .85775 .38289 .86464 .38862 .85527 .38542 .84837 Metetra
.794 .677 .735 r
.38542 .84837 .38862 .85527 .39434 .84618 .39114 .83928 Metetra
.791 .676 .737 r
.39114 .83928 .39434 .84618 .40004 .83737 .39685 .83046 Metetra
.788 .675 .74 r
.39685 .83046 .40004 .83737 .40573 .82884 .40254 .82193 Metetra
.784 .674 .742 r
.40254 .82193 .40573 .82884 .4114 .82058 .40823 .81366 Metetra
.781 .673 .745 r
.40823 .81366 .4114 .82058 .41706 .81259 .4139 .80566 Metetra
.777 .672 .747 r
.4139 .80566 .41706 .81259 .42272 .80486 .41956 .79793 Metetra
.774 .671 .75 r
.41956 .79793 .42272 .80486 .42836 .7974 .42521 .79046 Metetra
.77 .67 .752 r
.42521 .79046 .42836 .7974 .43399 .7902 .43085 .78325 Metetra
.766 .668 .755 r
.43085 .78325 .43399 .7902 .43962 .78325 .43648 .7763 Metetra
.762 .667 .757 r
.43648 .7763 .43962 .78325 .44524 .77656 .44211 .7696 Metetra
.758 .666 .76 r
.44211 .7696 .44524 .77656 .45086 .77011 .44773 .76314 Metetra
.754 .664 .762 r
.44773 .76314 .45086 .77011 .45647 .76391 .45335 .75693 Metetra
.749 .663 .765 r
.45335 .75693 .45647 .76391 .46208 .75794 .45896 .75096 Metetra
.745 .661 .768 r
.45896 .75096 .46208 .75794 .46768 .75222 .46457 .74523 Metetra
.74 .659 .77 r
.46457 .74523 .46768 .75222 .47329 .74673 .47018 .73973 Metetra
.736 .658 .773 r
.47018 .73973 .47329 .74673 .47889 .74146 .47579 .73446 Metetra
.731 .656 .775 r
.47579 .73446 .47889 .74146 .4845 .73642 .4814 .72941 Metetra
.726 .654 .778 r
.4814 .72941 .4845 .73642 .4901 .73161 .48702 .72459 Metetra
.721 .652 .78 r
.48702 .72459 .4901 .73161 .49571 .72701 .49263 .71998 Metetra
.716 .65 .783 r
.49263 .71998 .49571 .72701 .50133 .72262 .49825 .71559 Metetra
.711 .648 .785 r
.49825 .71559 .50133 .72262 .50694 .71844 .50387 .7114 Metetra
.706 .646 .787 r
.50387 .7114 .50694 .71844 .51257 .71447 .5095 .70742 Metetra
.701 .644 .79 r
.5095 .70742 .51257 .71447 .51819 .71069 .51513 .70363 Metetra
.695 .642 .792 r
.51513 .70363 .51819 .71069 .52383 .70711 .52077 .70004 Metetra
.69 .639 .794 r
.52077 .70004 .52383 .70711 .52947 .70373 .52642 .69665 Metetra
.685 .637 .796 r
.52642 .69665 .52947 .70373 .53512 .70052 .53207 .69344 Metetra
.679 .635 .798 r
.53207 .69344 .53512 .70052 .54078 .6975 .53774 .69041 Metetra
.674 .632 .8 r
.53774 .69041 .54078 .6975 .54646 .69466 .54341 .68756 Metetra
.668 .63 .802 r
.54341 .68756 .54646 .69466 .55214 .69199 .5491 .68488 Metetra
.663 .628 .804 r
.5491 .68488 .55214 .69199 .55783 .68949 .55479 .68236 Metetra
.657 .625 .806 r
.55479 .68236 .55783 .68949 .56354 .68715 .5605 .68001 Metetra
.652 .623 .808 r
.5605 .68001 .56354 .68715 .56925 .68496 .56623 .67782 Metetra
.647 .62 .809 r
.56623 .67782 .56925 .68496 .57499 .68293 .57196 .67578 Metetra
.642 .618 .811 r
.57196 .67578 .57499 .68293 .58073 .68105 .57771 .67388 Metetra
.636 .615 .812 r
.57771 .67388 .58073 .68105 .58649 .6793 .58347 .67213 Metetra
.631 .613 .814 r
.58347 .67213 .58649 .6793 .59227 .6777 .58925 .67052 Metetra
.626 .611 .815 r
.58925 .67052 .59227 .6777 .59806 .67623 .59505 .66903 Metetra
.622 .608 .816 r
.59505 .66903 .59806 .67623 .60387 .67488 .60086 .66767 Metetra
.617 .606 .817 r
.60086 .66767 .60387 .67488 .60969 .67365 .60669 .66643 Metetra
.612 .604 .818 r
.60669 .66643 .60969 .67365 .61554 .67254 .61253 .66531 Metetra
.608 .602 .819 r
.61253 .66531 .61554 .67254 .6214 .67153 .61839 .6643 Metetra
.604 .6 .82 r
.61839 .6643 .6214 .67153 .62728 .67063 .62428 .66338 Metetra
.6 .598 .821 r
.62428 .66338 .62728 .67063 .63317 .66983 .63017 .66257 Metetra
.596 .596 .822 r
.63017 .66257 .63317 .66983 .63909 .66911 .63609 .66184 Metetra
.592 .594 .823 r
.63609 .66184 .63909 .66911 .64502 .66849 .64203 .66121 Metetra
.589 .592 .823 r
.64203 .66121 .64502 .66849 .65098 .66794 .64799 .66065 Metetra
.586 .591 .824 r
.64799 .66065 .65098 .66794 .65695 .66746 .65396 .66016 Metetra
.583 .589 .825 r
.65396 .66016 .65695 .66746 .66294 .66706 .65996 .65974 Metetra
.58 .588 .825 r
.65996 .65974 .66294 .66706 .66896 .66671 .66597 .65938 Metetra
.578 .587 .825 r
.66597 .65938 .66896 .66671 .67499 .66641 .67201 .65908 Metetra
.576 .586 .826 r
.67201 .65908 .67499 .66641 .68104 .66617 .67806 .65882 Metetra
.574 .585 .826 r
.67806 .65882 .68104 .66617 .68712 .66597 .68414 .65861 Metetra
.573 .584 .826 r
.68414 .65861 .68712 .66597 .69321 .6658 .69024 .65843 Metetra
.571 .583 .827 r
.69024 .65843 .69321 .6658 .69932 .66565 .69635 .65827 Metetra
.57 .583 .827 r
.69635 .65827 .69932 .66565 .70546 .66554 .70249 .65814 Metetra
.57 .583 .827 r
.70249 .65814 .70546 .66554 .71161 .66543 .70865 .65802 Metetra
.569 .582 .827 r
.70865 .65802 .71161 .66543 .71778 .66533 .71482 .65792 Metetra
.569 .582 .827 r
.71482 .65792 .71778 .66533 .72398 .66524 .72102 .65781 Metetra
.57 .582 .827 r
.72102 .65781 .72398 .66524 .73019 .66514 .72723 .65769 Metetra
.57 .583 .827 r
.72723 .65769 .73019 .66514 .73642 .66502 .73347 .65757 Metetra
.571 .583 .827 r
.73347 .65757 .73642 .66502 .74267 .66489 .73972 .65742 Metetra
.572 .584 .826 r
.73972 .65742 .74267 .66489 .74894 .66473 .74599 .65725 Metetra
.573 .584 .826 r
.74599 .65725 .74894 .66473 .75523 .66453 .75228 .65704 Metetra
.575 .585 .826 r
.75228 .65704 .75523 .66453 .76153 .6643 .75859 .6568 Metetra
.577 .586 .826 r
.75859 .6568 .76153 .6643 .76785 .66401 .76491 .6565 Metetra
.579 .588 .825 r
.76491 .6565 .76785 .66401 .77419 .66368 .77125 .65615 Metetra
.582 .589 .825 r
.77125 .65615 .77419 .66368 .78054 .66328 .77761 .65574 Metetra
.584 .59 .824 r
.77761 .65574 .78054 .66328 .78691 .66281 .78398 .65526 Metetra
.587 .592 .824 r
.78398 .65526 .78691 .66281 .79329 .66226 .79037 .6547 Metetra
.59 .593 .823 r
.79037 .6547 .79329 .66226 .79969 .66164 .79677 .65406 Metetra
.594 .595 .823 r
.79677 .65406 .79969 .66164 .8061 .66092 .80318 .65334 Metetra
.597 .597 .822 r
.80318 .65334 .8061 .66092 .81252 .66011 .80961 .65251 Metetra
.601 .599 .821 r
.80961 .65251 .81252 .66011 .81896 .65919 .81604 .65158 Metetra
.605 .601 .821 r
.81604 .65158 .81896 .65919 .8254 .65816 .82249 .65054 Metetra
.609 .603 .82 r
.82249 .65054 .8254 .65816 .83186 .65702 .82895 .64938 Metetra
.614 .605 .819 r
.82895 .64938 .83186 .65702 .83832 .65575 .83542 .6481 Metetra
.618 .608 .818 r
.83542 .6481 .83832 .65575 .84479 .65434 .84189 .64669 Metetra
.623 .61 .817 r
.84189 .64669 .84479 .65434 .85126 .65281 .84837 .64514 Metetra
.628 .613 .816 r
.84837 .64514 .85126 .65281 .85775 .65112 .85486 .64344 Metetra
.633 .615 .815 r
.85486 .64344 .85775 .65112 .86423 .64929 .86135 .6416 Metetra
.638 .618 .814 r
.86135 .6416 .86423 .64929 .87072 .6473 .86784 .6396 Metetra
.643 .62 .812 r
.86784 .6396 .87072 .6473 .87721 .64514 .87433 .63743 Metetra
.648 .623 .811 r
.87433 .63743 .87721 .64514 .8837 .64282 .88083 .6351 Metetra
.653 .625 .81 r
.88083 .6351 .8837 .64282 .89019 .64032 .88733 .63259 Metetra
.659 .628 .808 r
.88733 .63259 .89019 .64032 .89668 .63764 .89382 .6299 Metetra
.664 .631 .807 r
.89382 .6299 .89668 .63764 .90317 .63478 .90031 .62702 Metetra
.669 .634 .805 r
.90031 .62702 .90317 .63478 .90965 .63172 .9068 .62395 Metetra
.675 .636 .803 r
.9068 .62395 .90965 .63172 .91612 .62846 .91328 .62068 Metetra
.681 .639 .801 r
.91328 .62068 .91612 .62846 .92259 .625 .91975 .61721 Metetra
.686 .642 .8 r
.91975 .61721 .92259 .625 .92905 .62134 .92621 .61353 Metetra
.692 .644 .798 r
.92621 .61353 .92905 .62134 .9355 .61746 .93267 .60964 Metetra
.697 .647 .796 r
.93267 .60964 .9355 .61746 .94193 .61336 .93911 .60554 Metetra
.703 .65 .794 r
.93911 .60554 .94193 .61336 .94835 .60904 .94554 .60121 Metetra
.709 .653 .792 r
.94554 .60121 .94835 .60904 .95476 .6045 .95195 .59665 Metetra
.809 .683 .724 r
.35326 .89134 .35653 .89813 .36235 .8876 .35909 .8808 Metetra
.807 .682 .727 r
.35909 .8808 .36235 .8876 .36814 .87736 .3649 .87055 Metetra
.804 .681 .729 r
.3649 .87055 .36814 .87736 .37392 .86741 .37068 .8606 Metetra
.801 .681 .731 r
.37068 .8606 .37392 .86741 .37968 .85775 .37645 .85093 Metetra
.798 .68 .734 r
.37645 .85093 .37968 .85775 .38542 .84837 .3822 .84155 Metetra
.795 .679 .736 r
.3822 .84155 .38542 .84837 .39114 .83928 .38793 .83245 Metetra
.792 .678 .738 r
.38793 .83245 .39114 .83928 .39685 .83046 .39365 .82363 Metetra
.789 .677 .741 r
.39365 .82363 .39685 .83046 .40254 .82193 .39935 .81509 Metetra
.786 .676 .743 r
.39935 .81509 .40254 .82193 .40823 .81366 .40504 .80681 Metetra
.782 .675 .746 r
.40504 .80681 .40823 .81366 .4139 .80566 .41072 .79881 Metetra
.779 .674 .748 r
.41072 .79881 .4139 .80566 .41956 .79793 .41639 .79107 Metetra
.775 .673 .751 r
.41639 .79107 .41956 .79793 .42521 .79046 .42204 .7836 Metetra
.771 .672 .753 r
.42204 .7836 .42521 .79046 .43085 .78325 .42769 .77638 Metetra
.767 .671 .756 r
.42769 .77638 .43085 .78325 .43648 .7763 .43333 .76942 Metetra
.763 .669 .759 r
.43333 .76942 .43648 .7763 .44211 .7696 .43897 .76271 Metetra
.759 .668 .761 r
.43897 .76271 .44211 .7696 .44773 .76314 .4446 .75625 Metetra
.755 .666 .764 r
.4446 .75625 .44773 .76314 .45335 .75693 .45022 .75003 Metetra
.751 .665 .766 r
.45022 .75003 .45335 .75693 .45896 .75096 .45584 .74405 Metetra
.746 .663 .769 r
.45584 .74405 .45896 .75096 .46457 .74523 .46146 .73831 Metetra
.741 .662 .772 r
.46146 .73831 .46457 .74523 .47018 .73973 .46707 .73281 Metetra
.737 .66 .774 r
.46707 .73281 .47018 .73973 .47579 .73446 .47269 .72753 Metetra
.732 .658 .777 r
.47269 .72753 .47579 .73446 .4814 .72941 .4783 .72247 Metetra
.727 .656 .779 r
.4783 .72247 .4814 .72941 .48702 .72459 .48392 .71764 Metetra
.722 .654 .782 r
.48392 .71764 .48702 .72459 .49263 .71998 .48954 .71303 Metetra
.717 .652 .784 r
.48954 .71303 .49263 .71998 .49825 .71559 .49516 .70862 Metetra
.712 .65 .787 r
.49516 .70862 .49825 .71559 .50387 .7114 .50079 .70443 Metetra
.707 .648 .789 r
.50079 .70443 .50387 .7114 .5095 .70742 .50642 .70043 Metetra
.701 .646 .791 r
.50642 .70043 .5095 .70742 .51513 .70363 .51206 .69664 Metetra
.696 .644 .794 r
.51206 .69664 .51513 .70363 .52077 .70004 .5177 .69305 Metetra
.691 .642 .796 r
.5177 .69305 .52077 .70004 .52642 .69665 .52335 .68964 Metetra
.685 .639 .798 r
.52335 .68964 .52642 .69665 .53207 .69344 .52901 .68642 Metetra
.68 .637 .8 r
.52901 .68642 .53207 .69344 .53774 .69041 .53468 .68338 Metetra
.674 .635 .802 r
.53468 .68338 .53774 .69041 .54341 .68756 .54036 .68052 Metetra
.669 .632 .804 r
.54036 .68052 .54341 .68756 .5491 .68488 .54605 .67783 Metetra
.663 .63 .806 r
.54605 .67783 .5491 .68488 .55479 .68236 .55175 .67531 Metetra
.658 .628 .808 r
.55175 .67531 .55479 .68236 .5605 .68001 .55746 .67295 Metetra
.653 .625 .81 r
.55746 .67295 .5605 .68001 .56623 .67782 .56319 .67075 Metetra
.647 .623 .811 r
.56319 .67075 .56623 .67782 .57196 .67578 .56893 .6687 Metetra
.642 .62 .813 r
.56893 .6687 .57196 .67578 .57771 .67388 .57468 .66679 Metetra
.637 .618 .814 r
.57468 .66679 .57771 .67388 .58347 .67213 .58045 .66503 Metetra
.632 .615 .816 r
.58045 .66503 .58347 .67213 .58925 .67052 .58623 .6634 Metetra
.627 .613 .817 r
.58623 .6634 .58925 .67052 .59505 .66903 .59203 .66191 Metetra
.622 .611 .819 r
.59203 .66191 .59505 .66903 .60086 .66767 .59784 .66054 Metetra
.617 .609 .82 r
.59784 .66054 .60086 .66767 .60669 .66643 .60367 .65929 Metetra
.612 .606 .821 r
.60367 .65929 .60669 .66643 .61253 .66531 .60952 .65816 Metetra
.608 .604 .822 r
.60952 .65816 .61253 .66531 .61839 .6643 .61539 .65713 Metetra
.604 .602 .823 r
.61539 .65713 .61839 .6643 .62428 .66338 .62127 .65621 Metetra
.6 .6 .824 r
.62127 .65621 .62428 .66338 .63017 .66257 .62717 .65538 Metetra
.596 .598 .825 r
.62717 .65538 .63017 .66257 .63609 .66184 .63309 .65465 Metetra
.592 .596 .825 r
.63309 .65465 .63609 .66184 .64203 .66121 .63903 .654 Metetra
.589 .595 .826 r
.63903 .654 .64203 .66121 .64799 .66065 .64499 .65343 Metetra
.585 .593 .827 r
.64499 .65343 .64799 .66065 .65396 .66016 .65097 .65293 Metetra
.583 .592 .827 r
.65097 .65293 .65396 .66016 .65996 .65974 .65697 .6525 Metetra
.58 .59 .828 r
.65697 .6525 .65996 .65974 .66597 .65938 .66299 .65213 Metetra
.578 .589 .828 r
.66299 .65213 .66597 .65938 .67201 .65908 .66903 .65181 Metetra
.575 .588 .828 r
.66903 .65181 .67201 .65908 .67806 .65882 .67508 .65155 Metetra
.574 .587 .829 r
.67508 .65155 .67806 .65882 .68414 .65861 .68116 .65132 Metetra
.572 .586 .829 r
.68116 .65132 .68414 .65861 .69024 .65843 .68726 .65113 Metetra
.571 .586 .829 r
.68726 .65113 .69024 .65843 .69635 .65827 .69338 .65096 Metetra
.57 .585 .829 r
.69338 .65096 .69635 .65827 .70249 .65814 .69952 .65082 Metetra
.569 .585 .829 r
.69952 .65082 .70249 .65814 .70865 .65802 .70568 .65069 Metetra
.569 .585 .829 r
.70568 .65069 .70865 .65802 .71482 .65792 .71186 .65057 Metetra
.569 .585 .829 r
.71186 .65057 .71482 .65792 .72102 .65781 .71806 .65045 Metetra
.569 .585 .829 r
.71806 .65045 .72102 .65781 .72723 .65769 .72427 .65032 Metetra
.57 .585 .829 r
.72427 .65032 .72723 .65769 .73347 .65757 .73051 .65019 Metetra
.57 .585 .829 r
.73051 .65019 .73347 .65757 .73972 .65742 .73677 .65003 Metetra
.571 .586 .829 r
.73677 .65003 .73972 .65742 .74599 .65725 .74304 .64984 Metetra
.573 .587 .829 r
.74304 .64984 .74599 .65725 .75228 .65704 .74933 .64963 Metetra
.575 .588 .829 r
.74933 .64963 .75228 .65704 .75859 .6568 .75564 .64937 Metetra
.577 .589 .828 r
.75564 .64937 .75859 .6568 .76491 .6565 .76197 .64906 Metetra
.579 .59 .828 r
.76197 .64906 .76491 .6565 .77125 .65615 .76831 .6487 Metetra
.581 .591 .827 r
.76831 .6487 .77125 .65615 .77761 .65574 .77467 .64828 Metetra
.584 .592 .827 r
.77467 .64828 .77761 .65574 .78398 .65526 .78105 .64778 Metetra
.587 .594 .826 r
.78105 .64778 .78398 .65526 .79037 .6547 .78744 .64722 Metetra
.59 .596 .826 r
.78744 .64722 .79037 .6547 .79677 .65406 .79384 .64656 Metetra
.594 .597 .825 r
.79384 .64656 .79677 .65406 .80318 .65334 .80026 .64582 Metetra
.597 .599 .825 r
.80026 .64582 .80318 .65334 .80961 .65251 .80669 .64499 Metetra
.601 .601 .824 r
.80669 .64499 .80961 .65251 .81604 .65158 .81313 .64404 Metetra
.605 .603 .823 r
.81313 .64404 .81604 .65158 .82249 .65054 .81958 .64299 Metetra
.609 .606 .822 r
.81958 .64299 .82249 .65054 .82895 .64938 .82604 .64182 Metetra
.614 .608 .821 r
.82604 .64182 .82895 .64938 .83542 .6481 .83251 .64053 Metetra
.618 .61 .82 r
.83251 .64053 .83542 .6481 .84189 .64669 .83899 .6391 Metetra
.623 .613 .819 r
.83899 .6391 .84189 .64669 .84837 .64514 .84548 .63754 Metetra
.628 .615 .818 r
.84548 .63754 .84837 .64514 .85486 .64344 .85197 .63584 Metetra
.633 .618 .817 r
.85197 .63584 .85486 .64344 .86135 .6416 .85846 .63398 Metetra
.638 .62 .816 r
.85846 .63398 .86135 .6416 .86784 .6396 .86496 .63197 Metetra
.643 .623 .815 r
.86496 .63197 .86784 .6396 .87433 .63743 .87146 .62979 Metetra
.648 .625 .813 r
.87146 .62979 .87433 .63743 .88083 .6351 .87796 .62744 Metetra
.654 .628 .812 r
.87796 .62744 .88083 .6351 .88733 .63259 .88446 .62492 Metetra
.659 .631 .81 r
.88446 .62492 .88733 .63259 .89382 .6299 .89096 .62222 Metetra
.665 .633 .809 r
.89096 .62222 .89382 .6299 .90031 .62702 .89745 .61933 Metetra
.67 .636 .807 r
.89745 .61933 .90031 .62702 .9068 .62395 .90395 .61625 Metetra
.676 .639 .805 r
.90395 .61625 .9068 .62395 .91328 .62068 .91043 .61297 Metetra
.681 .642 .804 r
.91043 .61297 .91328 .62068 .91975 .61721 .91691 .60949 Metetra
.687 .644 .802 r
.91691 .60949 .91975 .61721 .92621 .61353 .92338 .60581 Metetra
.693 .647 .8 r
.92338 .60581 .92621 .61353 .93267 .60964 .92984 .6019 Metetra
.698 .65 .798 r
.92984 .6019 .93267 .60964 .93911 .60554 .93629 .59779 Metetra
.704 .652 .796 r
.93629 .59779 .93911 .60554 .94554 .60121 .94272 .59345 Metetra
.71 .655 .794 r
.94272 .59345 .94554 .60121 .95195 .59665 .94914 .58888 Metetra
.811 .685 .725 r
.34999 .88462 .35326 .89134 .35909 .8808 .35582 .87408 Metetra
.808 .684 .727 r
.35582 .87408 .35909 .8808 .3649 .87055 .36164 .86383 Metetra
.805 .683 .73 r
.36164 .86383 .3649 .87055 .37068 .8606 .36744 .85386 Metetra
.802 .683 .732 r
.36744 .85386 .37068 .8606 .37645 .85093 .37321 .84419 Metetra
.8 .682 .734 r
.37321 .84419 .37645 .85093 .3822 .84155 .37897 .8348 Metetra
.797 .681 .737 r
.37897 .8348 .3822 .84155 .38793 .83245 .38471 .8257 Metetra
.793 .68 .739 r
.38471 .8257 .38793 .83245 .39365 .82363 .39044 .81687 Metetra
.79 .679 .742 r
.39044 .81687 .39365 .82363 .39935 .81509 .39615 .80832 Metetra
.787 .678 .744 r
.39615 .80832 .39935 .81509 .40504 .80681 .40185 .80004 Metetra
.783 .677 .747 r
.40185 .80004 .40504 .80681 .41072 .79881 .40753 .79203 Metetra
.78 .676 .749 r
.40753 .79203 .41072 .79881 .41639 .79107 .41321 .78429 Metetra
.776 .675 .752 r
.41321 .78429 .41639 .79107 .42204 .7836 .41887 .77681 Metetra
.772 .674 .755 r
.41887 .77681 .42204 .7836 .42769 .77638 .42453 .76958 Metetra
.769 .673 .757 r
.42453 .76958 .42769 .77638 .43333 .76942 .43017 .76261 Metetra
.764 .672 .76 r
.43017 .76261 .43333 .76942 .43897 .76271 .43582 .7559 Metetra
.76 .67 .763 r
.43582 .7559 .43897 .76271 .4446 .75625 .44145 .74943 Metetra
.756 .669 .765 r
.44145 .74943 .4446 .75625 .45022 .75003 .44708 .7432 Metetra
.752 .667 .768 r
.44708 .7432 .45022 .75003 .45584 .74405 .45271 .73722 Metetra
.747 .666 .77 r
.45271 .73722 .45584 .74405 .46146 .73831 .45833 .73147 Metetra
.743 .664 .773 r
.45833 .73147 .46146 .73831 .46707 .73281 .46395 .72596 Metetra
.738 .662 .776 r
.46395 .72596 .46707 .73281 .47269 .72753 .46957 .72067 Metetra
.733 .661 .778 r
.46957 .72067 .47269 .72753 .4783 .72247 .4752 .71561 Metetra
.728 .659 .781 r
.4752 .71561 .4783 .72247 .48392 .71764 .48082 .71077 Metetra
.723 .657 .783 r
.48082 .71077 .48392 .71764 .48954 .71303 .48644 .70614 Metetra
.718 .655 .786 r
.48644 .70614 .48954 .71303 .49516 .70862 .49207 .70173 Metetra
.713 .653 .788 r
.49207 .70173 .49516 .70862 .50079 .70443 .4977 .69753 Metetra
.708 .651 .791 r
.4977 .69753 .50079 .70443 .50642 .70043 .50334 .69353 Metetra
.702 .649 .793 r
.50334 .69353 .50642 .70043 .51206 .69664 .50898 .68973 Metetra
.697 .646 .796 r
.50898 .68973 .51206 .69664 .5177 .69305 .51463 .68612 Metetra
.692 .644 .798 r
.51463 .68612 .5177 .69305 .52335 .68964 .52029 .6827 Metetra
.686 .642 .8 r
.52029 .6827 .52335 .68964 .52901 .68642 .52595 .67948 Metetra
.681 .64 .802 r
.52595 .67948 .52901 .68642 .53468 .68338 .53162 .67643 Metetra
.675 .637 .804 r
.53162 .67643 .53468 .68338 .54036 .68052 .53731 .67356 Metetra
.67 .635 .806 r
.53731 .67356 .54036 .68052 .54605 .67783 .543 .67086 Metetra
.664 .632 .808 r
.543 .67086 .54605 .67783 .55175 .67531 .5487 .66833 Metetra
.659 .63 .81 r
.5487 .66833 .55175 .67531 .55746 .67295 .55442 .66596 Metetra
.653 .628 .812 r
.55442 .66596 .55746 .67295 .56319 .67075 .56015 .66374 Metetra
.648 .625 .814 r
.56015 .66374 .56319 .67075 .56893 .6687 .56589 .66168 Metetra
.642 .623 .815 r
.56589 .66168 .56893 .6687 .57468 .66679 .57165 .65977 Metetra
.637 .62 .817 r
.57165 .65977 .57468 .66679 .58045 .66503 .57742 .658 Metetra
.632 .618 .818 r
.57742 .658 .58045 .66503 .58623 .6634 .5832 .65636 Metetra
.627 .616 .82 r
.5832 .65636 .58623 .6634 .59203 .66191 .589 .65486 Metetra
.622 .613 .821 r
.589 .65486 .59203 .66191 .59784 .66054 .59482 .65348 Metetra
.617 .611 .822 r
.59482 .65348 .59784 .66054 .60367 .65929 .60065 .65222 Metetra
.612 .609 .823 r
.60065 .65222 .60367 .65929 .60952 .65816 .60651 .65107 Metetra
.608 .607 .824 r
.60651 .65107 .60952 .65816 .61539 .65713 .61237 .65004 Metetra
.604 .604 .825 r
.61237 .65004 .61539 .65713 .62127 .65621 .61826 .6491 Metetra
.599 .602 .826 r
.61826 .6491 .62127 .65621 .62717 .65538 .62417 .64827 Metetra
.596 .601 .827 r
.62417 .64827 .62717 .65538 .63309 .65465 .63009 .64752 Metetra
.592 .599 .828 r
.63009 .64752 .63309 .65465 .63903 .654 .63603 .64686 Metetra
.588 .597 .828 r
.63603 .64686 .63903 .654 .64499 .65343 .64199 .64628 Metetra
.585 .595 .829 r
.64199 .64628 .64499 .65343 .65097 .65293 .64798 .64577 Metetra
.582 .594 .83 r
.64798 .64577 .65097 .65293 .65697 .6525 .65398 .64533 Metetra
.58 .593 .83 r
.65398 .64533 .65697 .6525 .66299 .65213 .66 .64495 Metetra
.577 .591 .831 r
.66 .64495 .66299 .65213 .66903 .65181 .66604 .64462 Metetra
.575 .59 .831 r
.66604 .64462 .66903 .65181 .67508 .65155 .6721 .64434 Metetra
.573 .589 .831 r
.6721 .64434 .67508 .65155 .68116 .65132 .67818 .6441 Metetra
.572 .588 .831 r
.67818 .6441 .68116 .65132 .68726 .65113 .68428 .6439 Metetra
.57 .588 .832 r
.68428 .6439 .68726 .65113 .69338 .65096 .6904 .64372 Metetra
.569 .587 .832 r
.6904 .64372 .69338 .65096 .69952 .65082 .69655 .64357 Metetra
.569 .587 .832 r
.69655 .64357 .69952 .65082 .70568 .65069 .70271 .64343 Metetra
.568 .587 .832 r
.70271 .64343 .70568 .65069 .71186 .65057 .70889 .6433 Metetra
.568 .587 .832 r
.70889 .6433 .71186 .65057 .71806 .65045 .71509 .64317 Metetra
.568 .587 .832 r
.71509 .64317 .71806 .65045 .72427 .65032 .72131 .64303 Metetra
.569 .587 .832 r
.72131 .64303 .72427 .65032 .73051 .65019 .72755 .64288 Metetra
.57 .588 .832 r
.72755 .64288 .73051 .65019 .73677 .65003 .73381 .64271 Metetra
.571 .588 .832 r
.73381 .64271 .73677 .65003 .74304 .64984 .74009 .64251 Metetra
.572 .589 .831 r
.74009 .64251 .74304 .64984 .74933 .64963 .74638 .64228 Metetra
.574 .59 .831 r
.74638 .64228 .74933 .64963 .75564 .64937 .7527 .64201 Metetra
.576 .591 .831 r
.7527 .64201 .75564 .64937 .76197 .64906 .75903 .64169 Metetra
.578 .592 .83 r
.75903 .64169 .76197 .64906 .76831 .6487 .76537 .64132 Metetra
.581 .593 .83 r
.76537 .64132 .76831 .6487 .77467 .64828 .77174 .64088 Metetra
.584 .595 .829 r
.77174 .64088 .77467 .64828 .78105 .64778 .77811 .64038 Metetra
.587 .596 .829 r
.77811 .64038 .78105 .64778 .78744 .64722 .78451 .6398 Metetra
.59 .598 .828 r
.78451 .6398 .78744 .64722 .79384 .64656 .79092 .63914 Metetra
.593 .6 .828 r
.79092 .63914 .79384 .64656 .80026 .64582 .79734 .63839 Metetra
.597 .602 .827 r
.79734 .63839 .80026 .64582 .80669 .64499 .80377 .63754 Metetra
.601 .604 .826 r
.80377 .63754 .80669 .64499 .81313 .64404 .81021 .63658 Metetra
.605 .606 .826 r
.81021 .63658 .81313 .64404 .81958 .64299 .81667 .63552 Metetra
.609 .608 .825 r
.81667 .63552 .81958 .64299 .82604 .64182 .82314 .63434 Metetra
.614 .61 .824 r
.82314 .63434 .82604 .64182 .83251 .64053 .82961 .63303 Metetra
.618 .613 .823 r
.82961 .63303 .83251 .64053 .83899 .6391 .83609 .6316 Metetra
.623 .615 .822 r
.83609 .6316 .83899 .6391 .84548 .63754 .84258 .63002 Metetra
.628 .617 .821 r
.84258 .63002 .84548 .63754 .85197 .63584 .84908 .6283 Metetra
.633 .62 .819 r
.84908 .6283 .85197 .63584 .85846 .63398 .85558 .62644 Metetra
.638 .623 .818 r
.85558 .62644 .85846 .63398 .86496 .63197 .86208 .62441 Metetra
.643 .625 .817 r
.86208 .62441 .86496 .63197 .87146 .62979 .86858 .62222 Metetra
.649 .628 .815 r
.86858 .62222 .87146 .62979 .87796 .62744 .87509 .61987 Metetra
.654 .631 .814 r
.87509 .61987 .87796 .62744 .88446 .62492 .88159 .61733 Metetra
.66 .633 .812 r
.88159 .61733 .88446 .62492 .89096 .62222 .8881 .61462 Metetra
.665 .636 .811 r
.8881 .61462 .89096 .62222 .89745 .61933 .8946 .61172 Metetra
.671 .639 .809 r
.8946 .61172 .89745 .61933 .90395 .61625 .9011 .60863 Metetra
.676 .641 .807 r
.9011 .60863 .90395 .61625 .91043 .61297 .90759 .60534 Metetra
.682 .644 .806 r
.90759 .60534 .91043 .61297 .91691 .60949 .91407 .60185 Metetra
.688 .647 .804 r
.91407 .60185 .91691 .60949 .92338 .60581 .92055 .59815 Metetra
.693 .65 .802 r
.92055 .59815 .92338 .60581 .92984 .6019 .92701 .59424 Metetra
.699 .652 .8 r
.92701 .59424 .92984 .6019 .93629 .59779 .93347 .59011 Metetra
.705 .655 .798 r
.93347 .59011 .93629 .59779 .94272 .59345 .93991 .58576 Metetra
.711 .658 .796 r
.93991 .58576 .94272 .59345 .94914 .58888 .94633 .58119 Metetra
.812 .686 .726 r
.3467 .87798 .34999 .88462 .35582 .87408 .35255 .86743 Metetra
.809 .686 .728 r
.35255 .86743 .35582 .87408 .36164 .86383 .35837 .85717 Metetra
.807 .685 .731 r
.35837 .85717 .36164 .86383 .36744 .85386 .36418 .84721 Metetra
.804 .685 .733 r
.36418 .84721 .36744 .85386 .37321 .84419 .36996 .83753 Metetra
.801 .684 .735 r
.36996 .83753 .37321 .84419 .37897 .8348 .37573 .82813 Metetra
.798 .683 .738 r
.37573 .82813 .37897 .8348 .38471 .8257 .38148 .81902 Metetra
.795 .682 .74 r
.38148 .81902 .38471 .8257 .39044 .81687 .38722 .81019 Metetra
.791 .681 .743 r
.38722 .81019 .39044 .81687 .39615 .80832 .39294 .80163 Metetra
.788 .68 .745 r
.39294 .80163 .39615 .80832 .40185 .80004 .39864 .79334 Metetra
.785 .68 .748 r
.39864 .79334 .40185 .80004 .40753 .79203 .40434 .78533 Metetra
.781 .678 .751 r
.40434 .78533 .40753 .79203 .41321 .78429 .41002 .77758 Metetra
.777 .677 .753 r
.41002 .77758 .41321 .78429 .41887 .77681 .41569 .77009 Metetra
.774 .676 .756 r
.41569 .77009 .41887 .77681 .42453 .76958 .42135 .76286 Metetra
.77 .675 .759 r
.42135 .76286 .42453 .76958 .43017 .76261 .42701 .75588 Metetra
.766 .674 .761 r
.42701 .75588 .43017 .76261 .43582 .7559 .43266 .74916 Metetra
.762 .672 .764 r
.43266 .74916 .43582 .7559 .44145 .74943 .4383 .74268 Metetra
.757 .671 .767 r
.4383 .74268 .44145 .74943 .44708 .7432 .44393 .73645 Metetra
.753 .67 .769 r
.44393 .73645 .44708 .7432 .45271 .73722 .44957 .73045 Metetra
.748 .668 .772 r
.44957 .73045 .45271 .73722 .45833 .73147 .4552 .7247 Metetra
.744 .666 .775 r
.4552 .7247 .45833 .73147 .46395 .72596 .46082 .71918 Metetra
.739 .665 .777 r
.46082 .71918 .46395 .72596 .46957 .72067 .46645 .71388 Metetra
.734 .663 .78 r
.46645 .71388 .46957 .72067 .4752 .71561 .47208 .70881 Metetra
.729 .661 .782 r
.47208 .70881 .4752 .71561 .48082 .71077 .47771 .70396 Metetra
.724 .659 .785 r
.47771 .70396 .48082 .71077 .48644 .70614 .48334 .69933 Metetra
.719 .657 .788 r
.48334 .69933 .48644 .70614 .49207 .70173 .48897 .69491 Metetra
.714 .655 .79 r
.48897 .69491 .49207 .70173 .4977 .69753 .49461 .6907 Metetra
.709 .653 .793 r
.49461 .6907 .4977 .69753 .50334 .69353 .50025 .68669 Metetra
.703 .651 .795 r
.50025 .68669 .50334 .69353 .50898 .68973 .5059 .68288 Metetra
.698 .649 .797 r
.5059 .68288 .50898 .68973 .51463 .68612 .51155 .67926 Metetra
.692 .647 .8 r
.51155 .67926 .51463 .68612 .52029 .6827 .51721 .67584 Metetra
.687 .644 .802 r
.51721 .67584 .52029 .6827 .52595 .67948 .52288 .6726 Metetra
.681 .642 .804 r
.52288 .6726 .52595 .67948 .53162 .67643 .52855 .66955 Metetra
.676 .64 .806 r
.52855 .66955 .53162 .67643 .53731 .67356 .53424 .66667 Metetra
.67 .637 .808 r
.53424 .66667 .53731 .67356 .543 .67086 .53994 .66396 Metetra
.665 .635 .81 r
.53994 .66396 .543 .67086 .5487 .66833 .54565 .66142 Metetra
.659 .633 .812 r
.54565 .66142 .5487 .66833 .55442 .66596 .55137 .65904 Metetra
.654 .63 .814 r
.55137 .65904 .55442 .66596 .56015 .66374 .5571 .65681 Metetra
.648 .628 .816 r
.5571 .65681 .56015 .66374 .56589 .66168 .56285 .65474 Metetra
.643 .625 .817 r
.56285 .65474 .56589 .66168 .57165 .65977 .56861 .65282 Metetra
.637 .623 .819 r
.56861 .65282 .57165 .65977 .57742 .658 .57438 .65104 Metetra
.632 .62 .821 r
.57438 .65104 .57742 .658 .5832 .65636 .58017 .64939 Metetra
.627 .618 .822 r
.58017 .64939 .5832 .65636 .589 .65486 .58597 .64788 Metetra
.622 .616 .823 r
.58597 .64788 .589 .65486 .59482 .65348 .59179 .64649 Metetra
.617 .613 .825 r
.59179 .64649 .59482 .65348 .60065 .65222 .59763 .64522 Metetra
.612 .611 .826 r
.59763 .64522 .60065 .65222 .60651 .65107 .60348 .64406 Metetra
.608 .609 .827 r
.60348 .64406 .60651 .65107 .61237 .65004 .60936 .64301 Metetra
.603 .607 .828 r
.60936 .64301 .61237 .65004 .61826 .6491 .61525 .64207 Metetra
.599 .605 .829 r
.61525 .64207 .61826 .6491 .62417 .64827 .62115 .64122 Metetra
.595 .603 .829 r
.62115 .64122 .62417 .64827 .63009 .64752 .62708 .64047 Metetra
.592 .601 .83 r
.62708 .64047 .63009 .64752 .63603 .64686 .63303 .6398 Metetra
.588 .599 .831 r
.63303 .6398 .63603 .64686 .64199 .64628 .63899 .6392 Metetra
.585 .598 .832 r
.63899 .6392 .64199 .64628 .64798 .64577 .64498 .63868 Metetra
.582 .596 .832 r
.64498 .63868 .64798 .64577 .65398 .64533 .65098 .63823 Metetra
.579 .595 .833 r
.65098 .63823 .65398 .64533 .66 .64495 .657 .63784 Metetra
.577 .594 .833 r
.657 .63784 .66 .64495 .66604 .64462 .66305 .6375 Metetra
.575 .593 .833 r
.66305 .6375 .66604 .64462 .6721 .64434 .66911 .63721 Metetra
.573 .592 .834 r
.66911 .63721 .6721 .64434 .67818 .6441 .67519 .63696 Metetra
.571 .591 .834 r
.67519 .63696 .67818 .6441 .68428 .6439 .6813 .63674 Metetra
.57 .59 .834 r
.6813 .63674 .68428 .6439 .6904 .64372 .68742 .63656 Metetra
.569 .59 .834 r
.68742 .63656 .6904 .64372 .69655 .64357 .69357 .63639 Metetra
.568 .589 .834 r
.69357 .63639 .69655 .64357 .70271 .64343 .69973 .63624 Metetra
.568 .589 .835 r
.69973 .63624 .70271 .64343 .70889 .6433 .70592 .6361 Metetra
.568 .589 .835 r
.70592 .6361 .70889 .6433 .71509 .64317 .71212 .63595 Metetra
.568 .589 .835 r
.71212 .63595 .71509 .64317 .72131 .64303 .71835 .6358 Metetra
.569 .589 .834 r
.71835 .6358 .72131 .64303 .72755 .64288 .72459 .63564 Metetra
.569 .59 .834 r
.72459 .63564 .72755 .64288 .73381 .64271 .73085 .63546 Metetra
.571 .59 .834 r
.73085 .63546 .73381 .64271 .74009 .64251 .73713 .63525 Metetra
.572 .591 .834 r
.73713 .63525 .74009 .64251 .74638 .64228 .74343 .63501 Metetra
.574 .592 .834 r
.74343 .63501 .74638 .64228 .7527 .64201 .74975 .63473 Metetra
.576 .593 .833 r
.74975 .63473 .7527 .64201 .75903 .64169 .75608 .6344 Metetra
.578 .594 .833 r
.75608 .6344 .75903 .64169 .76537 .64132 .76243 .63401 Metetra
.58 .596 .833 r
.76243 .63401 .76537 .64132 .77174 .64088 .7688 .63357 Metetra
.583 .597 .832 r
.7688 .63357 .77174 .64088 .77811 .64038 .77518 .63305 Metetra
.586 .599 .832 r
.77518 .63305 .77811 .64038 .78451 .6398 .78158 .63246 Metetra
.59 .6 .831 r
.78158 .63246 .78451 .6398 .79092 .63914 .78799 .63178 Metetra
.593 .602 .83 r
.78799 .63178 .79092 .63914 .79734 .63839 .79441 .63102 Metetra
.597 .604 .83 r
.79441 .63102 .79734 .63839 .80377 .63754 .80085 .63016 Metetra
.601 .606 .829 r
.80085 .63016 .80377 .63754 .81021 .63658 .8073 .62919 Metetra
.605 .608 .828 r
.8073 .62919 .81021 .63658 .81667 .63552 .81376 .62812 Metetra
.609 .61 .827 r
.81376 .62812 .81667 .63552 .82314 .63434 .82023 .62692 Metetra
.614 .613 .826 r
.82023 .62692 .82314 .63434 .82961 .63303 .82671 .62561 Metetra
.618 .615 .825 r
.82671 .62561 .82961 .63303 .83609 .6316 .83319 .62416 Metetra
.623 .617 .824 r
.83319 .62416 .83609 .6316 .84258 .63002 .83969 .62257 Metetra
.628 .62 .823 r
.83969 .62257 .84258 .63002 .84908 .6283 .84619 .62084 Metetra
.633 .623 .822 r
.84619 .62084 .84908 .6283 .85558 .62644 .85269 .61896 Metetra
.638 .625 .821 r
.85269 .61896 .85558 .62644 .86208 .62441 .8592 .61693 Metetra
.644 .628 .819 r
.8592 .61693 .86208 .62441 .86858 .62222 .86571 .61473 Metetra
.649 .63 .818 r
.86571 .61473 .86858 .62222 .87509 .61987 .87222 .61236 Metetra
.655 .633 .816 r
.87222 .61236 .87509 .61987 .88159 .61733 .87873 .60982 Metetra
.66 .636 .815 r
.87873 .60982 .88159 .61733 .8881 .61462 .88524 .60709 Metetra
.666 .639 .813 r
.88524 .60709 .8881 .61462 .8946 .61172 .89175 .60418 Metetra
.671 .641 .811 r
.89175 .60418 .8946 .61172 .9011 .60863 .89825 .60108 Metetra
.677 .644 .81 r
.89825 .60108 .9011 .60863 .90759 .60534 .90475 .59778 Metetra
.683 .647 .808 r
.90475 .59778 .90759 .60534 .91407 .60185 .91124 .59428 Metetra
.689 .65 .806 r
.91124 .59428 .91407 .60185 .92055 .59815 .91772 .59057 Metetra
.694 .652 .804 r
.91772 .59057 .92055 .59815 .92701 .59424 .92419 .58664 Metetra
.7 .655 .802 r
.92419 .58664 .92701 .59424 .93347 .59011 .93065 .58251 Metetra
.706 .658 .8 r
.93065 .58251 .93347 .59011 .93991 .58576 .9371 .57815 Metetra
.712 .661 .798 r
.9371 .57815 .93991 .58576 .94633 .58119 .94353 .57356 Metetra
.813 .688 .727 r
.3434 .87142 .3467 .87798 .35255 .86743 .34926 .86086 Metetra
.81 .688 .729 r
.34926 .86086 .35255 .86743 .35837 .85717 .35509 .8506 Metetra
.808 .687 .731 r
.35509 .8506 .35837 .85717 .36418 .84721 .36091 .84062 Metetra
.805 .687 .734 r
.36091 .84062 .36418 .84721 .36996 .83753 .3667 .83094 Metetra
.802 .686 .736 r
.3667 .83094 .36996 .83753 .37573 .82813 .37248 .82154 Metetra
.799 .685 .739 r
.37248 .82154 .37573 .82813 .38148 .81902 .37824 .81242 Metetra
.796 .684 .741 r
.37824 .81242 .38148 .81902 .38722 .81019 .38398 .80358 Metetra
.793 .683 .744 r
.38398 .80358 .38722 .81019 .39294 .80163 .38971 .79501 Metetra
.789 .683 .746 r
.38971 .79501 .39294 .80163 .39864 .79334 .39543 .78672 Metetra
.786 .682 .749 r
.39543 .78672 .39864 .79334 .40434 .78533 .40113 .77869 Metetra
.782 .681 .752 r
.40113 .77869 .40434 .78533 .41002 .77758 .40682 .77094 Metetra
.779 .68 .754 r
.40682 .77094 .41002 .77758 .41569 .77009 .4125 .76344 Metetra
.775 .678 .757 r
.4125 .76344 .41569 .77009 .42135 .76286 .41817 .7562 Metetra
.771 .677 .76 r
.41817 .7562 .42135 .76286 .42701 .75588 .42383 .74922 Metetra
.767 .676 .762 r
.42383 .74922 .42701 .75588 .43266 .74916 .42949 .74249 Metetra
.763 .675 .765 r
.42949 .74249 .43266 .74916 .4383 .74268 .43513 .736 Metetra
.758 .673 .768 r
.43513 .736 .4383 .74268 .44393 .73645 .44078 .72976 Metetra
.754 .672 .771 r
.44078 .72976 .44393 .73645 .44957 .73045 .44642 .72376 Metetra
.75 .67 .773 r
.44642 .72376 .44957 .73045 .4552 .7247 .45205 .718 Metetra
.745 .669 .776 r
.45205 .718 .4552 .7247 .46082 .71918 .45769 .71247 Metetra
.74 .667 .779 r
.45769 .71247 .46082 .71918 .46645 .71388 .46332 .70716 Metetra
.735 .665 .781 r
.46332 .70716 .46645 .71388 .47208 .70881 .46895 .70209 Metetra
.73 .664 .784 r
.46895 .70209 .47208 .70881 .47771 .70396 .47459 .69723 Metetra
.725 .662 .787 r
.47459 .69723 .47771 .70396 .48334 .69933 .48022 .69259 Metetra
.72 .66 .789 r
.48022 .69259 .48334 .69933 .48897 .69491 .48586 .68816 Metetra
.715 .658 .792 r
.48586 .68816 .48897 .69491 .49461 .6907 .4915 .68394 Metetra
.71 .656 .794 r
.4915 .68394 .49461 .6907 .50025 .68669 .49715 .67992 Metetra
.704 .654 .797 r
.49715 .67992 .50025 .68669 .5059 .68288 .5028 .6761 Metetra
.699 .652 .799 r
.5028 .6761 .5059 .68288 .51155 .67926 .50846 .67248 Metetra
.693 .649 .802 r
.50846 .67248 .51155 .67926 .51721 .67584 .51412 .66905 Metetra
.688 .647 .804 r
.51412 .66905 .51721 .67584 .52288 .6726 .5198 .6658 Metetra
.682 .645 .806 r
.5198 .6658 .52288 .6726 .52855 .66955 .52548 .66273 Metetra
.676 .642 .808 r
.52548 .66273 .52855 .66955 .53424 .66667 .53117 .65984 Metetra
.671 .64 .811 r
.53117 .65984 .53424 .66667 .53994 .66396 .53687 .65713 Metetra
.665 .638 .813 r
.53687 .65713 .53994 .66396 .54565 .66142 .54258 .65457 Metetra
.66 .635 .814 r
.54258 .65457 .54565 .66142 .55137 .65904 .54831 .65219 Metetra
.654 .633 .816 r
.54831 .65219 .55137 .65904 .5571 .65681 .55404 .64995 Metetra
.648 .63 .818 r
.55404 .64995 .5571 .65681 .56285 .65474 .55979 .64787 Metetra
.643 .628 .82 r
.55979 .64787 .56285 .65474 .56861 .65282 .56556 .64594 Metetra
.638 .625 .821 r
.56556 .64594 .56861 .65282 .57438 .65104 .57134 .64415 Metetra
.632 .623 .823 r
.57134 .64415 .57438 .65104 .58017 .64939 .57713 .64249 Metetra
.627 .621 .824 r
.57713 .64249 .58017 .64939 .58597 .64788 .58294 .64097 Metetra
.622 .618 .826 r
.58294 .64097 .58597 .64788 .59179 .64649 .58876 .63957 Metetra
.617 .616 .827 r
.58876 .63957 .59179 .64649 .59763 .64522 .5946 .63829 Metetra
.612 .614 .828 r
.5946 .63829 .59763 .64522 .60348 .64406 .60046 .63712 Metetra
.608 .611 .829 r
.60046 .63712 .60348 .64406 .60936 .64301 .60633 .63606 Metetra
.603 .609 .83 r
.60633 .63606 .60936 .64301 .61525 .64207 .61223 .63511 Metetra
.599 .607 .831 r
.61223 .63511 .61525 .64207 .62115 .64122 .61814 .63425 Metetra
.595 .605 .832 r
.61814 .63425 .62115 .64122 .62708 .64047 .62407 .63348 Metetra
.591 .603 .833 r
.62407 .63348 .62708 .64047 .63303 .6398 .63002 .6328 Metetra
.588 .602 .834 r
.63002 .6328 .63303 .6398 .63899 .6392 .63598 .6322 Metetra
.585 .6 .834 r
.63598 .6322 .63899 .6392 .64498 .63868 .64197 .63167 Metetra
.582 .599 .835 r
.64197 .63167 .64498 .63868 .65098 .63823 .64798 .6312 Metetra
.579 .597 .835 r
.64798 .6312 .65098 .63823 .657 .63784 .654 .6308 Metetra
.576 .596 .836 r
.654 .6308 .657 .63784 .66305 .6375 .66005 .63045 Metetra
.574 .595 .836 r
.66005 .63045 .66305 .6375 .66911 .63721 .66612 .63015 Metetra
.572 .594 .836 r
.66612 .63015 .66911 .63721 .67519 .63696 .67221 .62989 Metetra
.571 .593 .837 r
.67221 .62989 .67519 .63696 .6813 .63674 .67831 .62966 Metetra
.569 .592 .837 r
.67831 .62966 .6813 .63674 .68742 .63656 .68444 .62946 Metetra
.568 .592 .837 r
.68444 .62946 .68742 .63656 .69357 .63639 .69059 .62928 Metetra
.568 .592 .837 r
.69059 .62928 .69357 .63639 .69973 .63624 .69676 .62912 Metetra
.567 .591 .837 r
.69676 .62912 .69973 .63624 .70592 .6361 .70294 .62897 Metetra
.567 .591 .837 r
.70294 .62897 .70592 .6361 .71212 .63595 .70915 .62881 Metetra
.567 .591 .837 r
.70915 .62881 .71212 .63595 .71835 .6358 .71538 .62865 Metetra
.568 .592 .837 r
.71538 .62865 .71835 .6358 .72459 .63564 .72162 .62848 Metetra
.569 .592 .837 r
.72162 .62848 .72459 .63564 .73085 .63546 .72789 .62828 Metetra
.57 .593 .837 r
.72789 .62828 .73085 .63546 .73713 .63525 .73417 .62807 Metetra
.571 .594 .837 r
.73417 .62807 .73713 .63525 .74343 .63501 .74047 .62781 Metetra
.573 .594 .836 r
.74047 .62781 .74343 .63501 .74975 .63473 .74679 .62752 Metetra
.575 .595 .836 r
.74679 .62752 .74975 .63473 .75608 .6344 .75313 .62718 Metetra
.578 .597 .836 r
.75313 .62718 .75608 .6344 .76243 .63401 .75949 .62678 Metetra
.58 .598 .835 r
.75949 .62678 .76243 .63401 .7688 .63357 .76586 .62632 Metetra
.583 .599 .835 r
.76586 .62632 .7688 .63357 .77518 .63305 .77224 .62579 Metetra
.586 .601 .834 r
.77224 .62579 .77518 .63305 .78158 .63246 .77864 .62519 Metetra
.589 .603 .834 r
.77864 .62519 .78158 .63246 .78799 .63178 .78506 .6245 Metetra
.593 .605 .833 r
.78506 .6245 .78799 .63178 .79441 .63102 .79149 .62373 Metetra
.597 .607 .832 r
.79149 .62373 .79441 .63102 .80085 .63016 .79793 .62285 Metetra
.601 .609 .831 r
.79793 .62285 .80085 .63016 .8073 .62919 .80438 .62188 Metetra
.605 .611 .831 r
.80438 .62188 .8073 .62919 .81376 .62812 .81084 .62079 Metetra
.609 .613 .83 r
.81084 .62079 .81376 .62812 .82023 .62692 .81732 .61958 Metetra
.614 .615 .829 r
.81732 .61958 .82023 .62692 .82671 .62561 .8238 .61826 Metetra
.619 .618 .828 r
.8238 .61826 .82671 .62561 .83319 .62416 .83029 .6168 Metetra
.623 .62 .827 r
.83029 .6168 .83319 .62416 .83969 .62257 .83679 .6152 Metetra
.628 .623 .825 r
.83679 .6152 .83969 .62257 .84619 .62084 .8433 .61346 Metetra
.634 .625 .824 r
.8433 .61346 .84619 .62084 .85269 .61896 .8498 .61157 Metetra
.639 .628 .823 r
.8498 .61157 .85269 .61896 .8592 .61693 .85632 .60952 Metetra
.644 .63 .822 r
.85632 .60952 .8592 .61693 .86571 .61473 .86283 .60731 Metetra
.65 .633 .82 r
.86283 .60731 .86571 .61473 .87222 .61236 .86935 .60493 Metetra
.655 .636 .819 r
.86935 .60493 .87222 .61236 .87873 .60982 .87587 .60237 Metetra
.661 .639 .817 r
.87587 .60237 .87873 .60982 .88524 .60709 .88238 .59964 Metetra
.666 .641 .815 r
.88238 .59964 .88524 .60709 .89175 .60418 .88889 .59672 Metetra
.672 .644 .814 r
.88889 .59672 .89175 .60418 .89825 .60108 .8954 .5936 Metetra
.678 .647 .812 r
.8954 .5936 .89825 .60108 .90475 .59778 .9019 .59029 Metetra
.684 .65 .81 r
.9019 .59029 .90475 .59778 .91124 .59428 .9084 .58678 Metetra
.689 .652 .808 r
.9084 .58678 .91124 .59428 .91772 .59057 .91489 .58306 Metetra
.695 .655 .806 r
.91489 .58306 .91772 .59057 .92419 .58664 .92137 .57912 Metetra
.701 .658 .804 r
.92137 .57912 .92419 .58664 .93065 .58251 .92783 .57497 Metetra
.707 .661 .802 r
.92783 .57497 .93065 .58251 .9371 .57815 .93429 .5706 Metetra
.713 .663 .8 r
.93429 .5706 .9371 .57815 .94353 .57356 .94073 .56601 Metetra
.814 .69 .728 r
.34009 .86493 .3434 .87142 .34926 .86086 .34596 .85437 Metetra
.812 .69 .73 r
.34596 .85437 .34926 .86086 .35509 .8506 .3518 .84409 Metetra
.809 .689 .732 r
.3518 .84409 .35509 .8506 .36091 .84062 .35763 .83411 Metetra
.806 .689 .735 r
.35763 .83411 .36091 .84062 .3667 .83094 .36343 .82442 Metetra
.803 .688 .737 r
.36343 .82442 .3667 .83094 .37248 .82154 .36922 .81501 Metetra
.8 .687 .74 r
.36922 .81501 .37248 .82154 .37824 .81242 .37499 .80589 Metetra
.797 .686 .742 r
.37499 .80589 .37824 .81242 .38398 .80358 .38074 .79704 Metetra
.794 .686 .745 r
.38074 .79704 .38398 .80358 .38971 .79501 .38648 .78847 Metetra
.791 .685 .747 r
.38648 .78847 .38971 .79501 .39543 .78672 .3922 .78017 Metetra
.787 .684 .75 r
.3922 .78017 .39543 .78672 .40113 .77869 .39791 .77213 Metetra
.784 .683 .753 r
.39791 .77213 .40113 .77869 .40682 .77094 .40361 .76437 Metetra
.78 .682 .756 r
.40361 .76437 .40682 .77094 .4125 .76344 .4093 .75686 Metetra
.776 .681 .758 r
.4093 .75686 .4125 .76344 .41817 .7562 .41497 .74962 Metetra
.772 .68 .761 r
.41497 .74962 .41817 .7562 .42383 .74922 .42064 .74263 Metetra
.768 .678 .764 r
.42064 .74263 .42383 .74922 .42949 .74249 .42631 .73589 Metetra
.764 .677 .767 r
.42631 .73589 .42949 .74249 .43513 .736 .43196 .7294 Metetra
.76 .676 .769 r
.43196 .7294 .43513 .736 .44078 .72976 .43761 .72315 Metetra
.755 .674 .772 r
.43761 .72315 .44078 .72976 .44642 .72376 .44326 .71714 Metetra
.751 .673 .775 r
.44326 .71714 .44642 .72376 .45205 .718 .4489 .71137 Metetra
.746 .671 .778 r
.4489 .71137 .45205 .718 .45769 .71247 .45454 .70583 Metetra
.741 .67 .78 r
.45454 .70583 .45769 .71247 .46332 .70716 .46018 .70052 Metetra
.736 .668 .783 r
.46018 .70052 .46332 .70716 .46895 .70209 .46582 .69543 Metetra
.731 .666 .786 r
.46582 .69543 .46895 .70209 .47459 .69723 .47146 .69057 Metetra
.726 .664 .788 r
.47146 .69057 .47459 .69723 .48022 .69259 .4771 .68592 Metetra
.721 .662 .791 r
.4771 .68592 .48022 .69259 .48586 .68816 .48274 .68148 Metetra
.716 .66 .794 r
.48274 .68148 .48586 .68816 .4915 .68394 .48839 .67725 Metetra
.711 .658 .796 r
.48839 .67725 .4915 .68394 .49715 .67992 .49404 .67322 Metetra
.705 .656 .799 r
.49404 .67322 .49715 .67992 .5028 .6761 .4997 .66939 Metetra
.7 .654 .801 r
.4997 .66939 .5028 .6761 .50846 .67248 .50536 .66576 Metetra
.694 .652 .804 r
.50536 .66576 .50846 .67248 .51412 .66905 .51103 .66232 Metetra
.688 .65 .806 r
.51103 .66232 .51412 .66905 .5198 .6658 .51671 .65906 Metetra
.683 .647 .808 r
.51671 .65906 .5198 .6658 .52548 .66273 .5224 .65599 Metetra
.677 .645 .811 r
.5224 .65599 .52548 .66273 .53117 .65984 .52809 .65309 Metetra
.671 .643 .813 r
.52809 .65309 .53117 .65984 .53687 .65713 .5338 .65036 Metetra
.666 .64 .815 r
.5338 .65036 .53687 .65713 .54258 .65457 .53951 .6478 Metetra
.66 .638 .817 r
.53951 .6478 .54258 .65457 .54831 .65219 .54524 .6454 Metetra
.654 .635 .819 r
.54524 .6454 .54831 .65219 .55404 .64995 .55098 .64316 Metetra
.649 .633 .82 r
.55098 .64316 .55404 .64995 .55979 .64787 .55674 .64107 Metetra
.643 .63 .822 r
.55674 .64107 .55979 .64787 .56556 .64594 .5625 .63913 Metetra
.638 .628 .824 r
.5625 .63913 .56556 .64594 .57134 .64415 .56829 .63733 Metetra
.633 .625 .825 r
.56829 .63733 .57134 .64415 .57713 .64249 .57408 .63566 Metetra
.627 .623 .827 r
.57408 .63566 .57713 .64249 .58294 .64097 .57989 .63413 Metetra
.622 .621 .828 r
.57989 .63413 .58294 .64097 .58876 .63957 .58572 .63272 Metetra
.617 .618 .829 r
.58572 .63272 .58876 .63957 .5946 .63829 .59156 .63142 Metetra
.612 .616 .831 r
.59156 .63142 .5946 .63829 .60046 .63712 .59743 .63025 Metetra
.608 .614 .832 r
.59743 .63025 .60046 .63712 .60633 .63606 .6033 .62918 Metetra
.603 .612 .833 r
.6033 .62918 .60633 .63606 .61223 .63511 .6092 .62822 Metetra
.599 .61 .834 r
.6092 .62822 .61223 .63511 .61814 .63425 .61511 .62735 Metetra
.595 .608 .835 r
.61511 .62735 .61814 .63425 .62407 .63348 .62105 .62657 Metetra
.591 .606 .835 r
.62105 .62657 .62407 .63348 .63002 .6328 .627 .62588 Metetra
.588 .604 .836 r
.627 .62588 .63002 .6328 .63598 .6322 .63297 .62526 Metetra
.584 .603 .837 r
.63297 .62526 .63598 .6322 .64197 .63167 .63896 .62472 Metetra
.581 .601 .837 r
.63896 .62472 .64197 .63167 .64798 .6312 .64497 .62425 Metetra
.578 .6 .838 r
.64497 .62425 .64798 .6312 .654 .6308 .651 .62383 Metetra
.576 .598 .838 r
.651 .62383 .654 .6308 .66005 .63045 .65705 .62347 Metetra
.574 .597 .839 r
.65705 .62347 .66005 .63045 .66612 .63015 .66312 .62316 Metetra
.572 .596 .839 r
.66312 .62316 .66612 .63015 .67221 .62989 .66921 .62289 Metetra
.57 .595 .839 r
.66921 .62289 .67221 .62989 .67831 .62966 .67532 .62265 Metetra
.569 .595 .84 r
.67532 .62265 .67831 .62966 .68444 .62946 .68145 .62244 Metetra
.568 .594 .84 r
.68145 .62244 .68444 .62946 .69059 .62928 .6876 .62225 Metetra
.567 .594 .84 r
.6876 .62225 .69059 .62928 .69676 .62912 .69377 .62207 Metetra
.567 .594 .84 r
.69377 .62207 .69676 .62912 .70294 .62897 .69996 .62191 Metetra
.567 .594 .84 r
.69996 .62191 .70294 .62897 .70915 .62881 .70618 .62174 Metetra
.567 .594 .84 r
.70618 .62174 .70915 .62881 .71538 .62865 .71241 .62157 Metetra
.567 .594 .84 r
.71241 .62157 .71538 .62865 .72162 .62848 .71866 .62139 Metetra
.568 .595 .84 r
.71866 .62139 .72162 .62848 .72789 .62828 .72492 .62118 Metetra
.569 .595 .839 r
.72492 .62118 .72789 .62828 .73417 .62807 .73121 .62095 Metetra
.571 .596 .839 r
.73121 .62095 .73417 .62807 .74047 .62781 .73752 .62068 Metetra
.573 .597 .839 r
.73752 .62068 .74047 .62781 .74679 .62752 .74384 .62038 Metetra
.575 .598 .839 r
.74384 .62038 .74679 .62752 .75313 .62718 .75018 .62003 Metetra
.577 .599 .838 r
.75018 .62003 .75313 .62718 .75949 .62678 .75654 .61962 Metetra
.58 .6 .838 r
.75654 .61962 .75949 .62678 .76586 .62632 .76291 .61915 Metetra
.583 .602 .837 r
.76291 .61915 .76586 .62632 .77224 .62579 .7693 .61861 Metetra
.586 .603 .837 r
.7693 .61861 .77224 .62579 .77864 .62519 .77571 .61799 Metetra
.589 .605 .836 r
.77571 .61799 .77864 .62519 .78506 .6245 .78213 .61729 Metetra
.593 .607 .835 r
.78213 .61729 .78506 .6245 .79149 .62373 .78856 .61651 Metetra
.597 .609 .835 r
.78856 .61651 .79149 .62373 .79793 .62285 .795 .61562 Metetra
.601 .611 .834 r
.795 .61562 .79793 .62285 .80438 .62188 .80146 .61463 Metetra
.605 .613 .833 r
.80146 .61463 .80438 .62188 .81084 .62079 .80793 .61353 Metetra
.609 .615 .832 r
.80793 .61353 .81084 .62079 .81732 .61958 .81441 .61232 Metetra
.614 .618 .831 r
.81441 .61232 .81732 .61958 .8238 .61826 .8209 .61098 Metetra
.619 .62 .83 r
.8209 .61098 .8238 .61826 .83029 .6168 .82739 .60951 Metetra
.624 .623 .829 r
.82739 .60951 .83029 .6168 .83679 .6152 .8339 .6079 Metetra
.629 .625 .828 r
.8339 .6079 .83679 .6152 .8433 .61346 .84041 .60615 Metetra
.634 .628 .827 r
.84041 .60615 .8433 .61346 .8498 .61157 .84692 .60424 Metetra
.639 .63 .825 r
.84692 .60424 .8498 .61157 .85632 .60952 .85344 .60218 Metetra
.645 .633 .824 r
.85344 .60218 .85632 .60952 .86283 .60731 .85996 .59996 Metetra
.65 .636 .823 r
.85996 .59996 .86283 .60731 .86935 .60493 .86648 .59757 Metetra
.656 .638 .821 r
.86648 .59757 .86935 .60493 .87587 .60237 .873 .595 Metetra
.661 .641 .819 r
.873 .595 .87587 .60237 .88238 .59964 .87952 .59226 Metetra
.667 .644 .818 r
.87952 .59226 .88238 .59964 .88889 .59672 .88604 .58932 Metetra
.673 .647 .816 r
.88604 .58932 .88889 .59672 .8954 .5936 .89256 .5862 Metetra
.679 .65 .814 r
.89256 .5862 .8954 .5936 .9019 .59029 .89907 .58288 Metetra
.684 .652 .812 r
.89907 .58288 .9019 .59029 .9084 .58678 .90557 .57935 Metetra
.69 .655 .81 r
.90557 .57935 .9084 .58678 .91489 .58306 .91206 .57562 Metetra
.696 .658 .808 r
.91206 .57562 .91489 .58306 .92137 .57912 .91855 .57168 Metetra
.702 .661 .806 r
.91855 .57168 .92137 .57912 .92783 .57497 .92502 .56752 Metetra
.708 .663 .804 r
.92502 .56752 .92783 .57497 .93429 .5706 .93148 .56313 Metetra
.714 .666 .802 r
.93148 .56313 .93429 .5706 .94073 .56601 .93793 .55853 Metetra
.816 .692 .728 r
.33677 .85852 .34009 .86493 .34596 .85437 .34265 .84794 Metetra
.813 .692 .731 r
.34265 .84794 .34596 .85437 .3518 .84409 .3485 .83767 Metetra
.81 .691 .733 r
.3485 .83767 .3518 .84409 .35763 .83411 .35434 .82768 Metetra
.808 .691 .736 r
.35434 .82768 .35763 .83411 .36343 .82442 .36015 .81798 Metetra
.805 .69 .738 r
.36015 .81798 .36343 .82442 .36922 .81501 .36595 .80856 Metetra
.802 .689 .741 r
.36595 .80856 .36922 .81501 .37499 .80589 .37172 .79943 Metetra
.799 .688 .743 r
.37172 .79943 .37499 .80589 .38074 .79704 .37749 .79057 Metetra
.795 .688 .746 r
.37749 .79057 .38074 .79704 .38648 .78847 .38323 .78199 Metetra
.792 .687 .749 r
.38323 .78199 .38648 .78847 .3922 .78017 .38896 .77369 Metetra
.789 .686 .751 r
.38896 .77369 .3922 .78017 .39791 .77213 .39468 .76565 Metetra
.785 .685 .754 r
.39468 .76565 .39791 .77213 .40361 .76437 .40039 .75787 Metetra
.781 .684 .757 r
.40039 .75787 .40361 .76437 .4093 .75686 .40608 .75036 Metetra
.777 .683 .759 r
.40608 .75036 .4093 .75686 .41497 .74962 .41177 .74311 Metetra
.773 .682 .762 r
.41177 .74311 .41497 .74962 .42064 .74263 .41745 .73611 Metetra
.769 .681 .765 r
.41745 .73611 .42064 .74263 .42631 .73589 .42312 .72936 Metetra
.765 .679 .768 r
.42312 .72936 .42631 .73589 .43196 .7294 .42878 .72286 Metetra
.761 .678 .771 r
.42878 .72286 .43196 .7294 .43761 .72315 .43444 .71661 Metetra
.756 .677 .774 r
.43444 .71661 .43761 .72315 .44326 .71714 .44009 .71059 Metetra
.752 .675 .776 r
.44009 .71059 .44326 .71714 .4489 .71137 .44574 .70481 Metetra
.747 .674 .779 r
.44574 .70481 .4489 .71137 .45454 .70583 .45139 .69926 Metetra
.742 .672 .782 r
.45139 .69926 .45454 .70583 .46018 .70052 .45703 .69394 Metetra
.738 .67 .785 r
.45703 .69394 .46018 .70052 .46582 .69543 .46268 .68885 Metetra
.733 .669 .787 r
.46268 .68885 .46582 .69543 .47146 .69057 .46832 .68397 Metetra
.727 .667 .79 r
.46832 .68397 .47146 .69057 .4771 .68592 .47397 .67931 Metetra
.722 .665 .793 r
.47397 .67931 .4771 .68592 .48274 .68148 .47962 .67487 Metetra
.717 .663 .796 r
.47962 .67487 .48274 .68148 .48839 .67725 .48527 .67063 Metetra
.711 .661 .798 r
.48527 .67063 .48839 .67725 .49404 .67322 .49093 .66659 Metetra
.706 .659 .801 r
.49093 .66659 .49404 .67322 .4997 .66939 .49659 .66276 Metetra
.7 .657 .803 r
.49659 .66276 .4997 .66939 .50536 .66576 .50226 .65912 Metetra
.695 .655 .806 r
.50226 .65912 .50536 .66576 .51103 .66232 .50793 .65567 Metetra
.689 .652 .808 r
.50793 .65567 .51103 .66232 .51671 .65906 .51361 .6524 Metetra
.684 .65 .81 r
.51361 .6524 .51671 .65906 .5224 .65599 .51931 .64932 Metetra
.678 .648 .813 r
.51931 .64932 .5224 .65599 .52809 .65309 .52501 .64641 Metetra
.672 .645 .815 r
.52501 .64641 .52809 .65309 .5338 .65036 .53072 .64367 Metetra
.666 .643 .817 r
.53072 .64367 .5338 .65036 .53951 .6478 .53644 .6411 Metetra
.661 .64 .819 r
.53644 .6411 .53951 .6478 .54524 .6454 .54217 .63869 Metetra
.655 .638 .821 r
.54217 .63869 .54524 .6454 .55098 .64316 .54791 .63644 Metetra
.649 .635 .823 r
.54791 .63644 .55098 .64316 .55674 .64107 .55367 .63434 Metetra
.644 .633 .825 r
.55367 .63434 .55674 .64107 .5625 .63913 .55944 .63239 Metetra
.638 .631 .826 r
.55944 .63239 .5625 .63913 .56829 .63733 .56523 .63058 Metetra
.633 .628 .828 r
.56523 .63058 .56829 .63733 .57408 .63566 .57103 .6289 Metetra
.628 .626 .829 r
.57103 .6289 .57408 .63566 .57989 .63413 .57684 .62736 Metetra
.622 .623 .831 r
.57684 .62736 .57989 .63413 .58572 .63272 .58267 .62594 Metetra
.617 .621 .832 r
.58267 .62594 .58572 .63272 .59156 .63142 .58852 .62463 Metetra
.612 .619 .833 r
.58852 .62463 .59156 .63142 .59743 .63025 .59439 .62345 Metetra
.608 .616 .834 r
.59439 .62345 .59743 .63025 .6033 .62918 .60027 .62237 Metetra
.603 .614 .835 r
.60027 .62237 .6033 .62918 .6092 .62822 .60617 .62139 Metetra
.599 .612 .836 r
.60617 .62139 .6092 .62822 .61511 .62735 .61209 .62051 Metetra
.595 .61 .837 r
.61209 .62051 .61511 .62735 .62105 .62657 .61802 .61973 Metetra
.591 .608 .838 r
.61802 .61973 .62105 .62657 .627 .62588 .62398 .61902 Metetra
.587 .607 .839 r
.62398 .61902 .627 .62588 .63297 .62526 .62995 .6184 Metetra
.584 .605 .839 r
.62995 .6184 .63297 .62526 .63896 .62472 .63594 .61785 Metetra
.581 .603 .84 r
.63594 .61785 .63896 .62472 .64497 .62425 .64196 .61736 Metetra
.578 .602 .841 r
.64196 .61736 .64497 .62425 .651 .62383 .64799 .61693 Metetra
.575 .601 .841 r
.64799 .61693 .651 .62383 .65705 .62347 .65404 .61656 Metetra
.573 .6 .841 r
.65404 .61656 .65705 .62347 .66312 .62316 .66012 .61624 Metetra
.571 .599 .842 r
.66012 .61624 .66312 .62316 .66921 .62289 .66621 .61596 Metetra
.57 .598 .842 r
.66621 .61596 .66921 .62289 .67532 .62265 .67233 .61571 Metetra
.568 .597 .842 r
.67233 .61571 .67532 .62265 .68145 .62244 .67846 .61549 Metetra
.567 .597 .842 r
.67846 .61549 .68145 .62244 .6876 .62225 .68461 .61529 Metetra
.566 .596 .842 r
.68461 .61529 .6876 .62225 .69377 .62207 .69079 .6151 Metetra
.566 .596 .843 r
.69079 .6151 .69377 .62207 .69996 .62191 .69698 .61492 Metetra
.566 .596 .843 r
.69698 .61492 .69996 .62191 .70618 .62174 .7032 .61474 Metetra
.566 .596 .843 r
.7032 .61474 .70618 .62174 .71241 .62157 .70943 .61456 Metetra
.567 .596 .842 r
.70943 .61456 .71241 .62157 .71866 .62139 .71568 .61436 Metetra
.568 .597 .842 r
.71568 .61436 .71866 .62139 .72492 .62118 .72196 .61415 Metetra
.569 .598 .842 r
.72196 .61415 .72492 .62118 .73121 .62095 .72825 .61391 Metetra
.57 .598 .842 r
.72825 .61391 .73121 .62095 .73752 .62068 .73456 .61363 Metetra
.572 .599 .842 r
.73456 .61363 .73752 .62068 .74384 .62038 .74088 .61331 Metetra
.574 .6 .841 r
.74088 .61331 .74384 .62038 .75018 .62003 .74723 .61295 Metetra
.577 .602 .841 r
.74723 .61295 .75018 .62003 .75654 .61962 .75359 .61253 Metetra
.579 .603 .84 r
.75359 .61253 .75654 .61962 .76291 .61915 .75997 .61204 Metetra
.582 .604 .84 r
.75997 .61204 .76291 .61915 .7693 .61861 .76636 .61149 Metetra
.585 .606 .839 r
.76636 .61149 .7693 .61861 .77571 .61799 .77277 .61087 Metetra
.589 .608 .839 r
.77277 .61087 .77571 .61799 .78213 .61729 .77919 .61016 Metetra
.592 .61 .838 r
.77919 .61016 .78213 .61729 .78856 .61651 .78563 .60936 Metetra
.596 .612 .837 r
.78563 .60936 .78856 .61651 .795 .61562 .79208 .60846 Metetra
.6 .614 .837 r
.79208 .60846 .795 .61562 .80146 .61463 .79854 .60746 Metetra
.605 .616 .836 r
.79854 .60746 .80146 .61463 .80793 .61353 .80501 .60635 Metetra
.609 .618 .835 r
.80501 .60635 .80793 .61353 .81441 .61232 .8115 .60512 Metetra
.614 .62 .834 r
.8115 .60512 .81441 .61232 .8209 .61098 .81799 .60377 Metetra
.619 .623 .833 r
.81799 .60377 .8209 .61098 .82739 .60951 .82449 .60229 Metetra
.624 .625 .832 r
.82449 .60229 .82739 .60951 .8339 .6079 .831 .60067 Metetra
.629 .628 .83 r
.831 .60067 .8339 .6079 .84041 .60615 .83751 .5989 Metetra
.634 .63 .829 r
.83751 .5989 .84041 .60615 .84692 .60424 .84403 .59699 Metetra
.639 .633 .828 r
.84403 .59699 .84692 .60424 .85344 .60218 .85056 .59492 Metetra
.645 .636 .826 r
.85056 .59492 .85344 .60218 .85996 .59996 .85708 .59269 Metetra
.65 .638 .825 r
.85708 .59269 .85996 .59996 .86648 .59757 .86361 .59028 Metetra
.656 .641 .823 r
.86361 .59028 .86648 .59757 .873 .595 .87014 .58771 Metetra
.662 .644 .822 r
.87014 .58771 .873 .595 .87952 .59226 .87667 .58495 Metetra
.668 .647 .82 r
.87667 .58495 .87952 .59226 .88604 .58932 .88319 .582 Metetra
.673 .65 .818 r
.88319 .582 .88604 .58932 .89256 .5862 .88971 .57887 Metetra
.679 .652 .816 r
.88971 .57887 .89256 .5862 .89907 .58288 .89623 .57553 Metetra
.685 .655 .814 r
.89623 .57553 .89907 .58288 .90557 .57935 .90274 .572 Metetra
.691 .658 .812 r
.90274 .572 .90557 .57935 .91206 .57562 .90924 .56826 Metetra
.697 .661 .81 r
.90924 .56826 .91206 .57562 .91855 .57168 .91573 .5643 Metetra
.703 .663 .808 r
.91573 .5643 .91855 .57168 .92502 .56752 .92221 .56013 Metetra
.709 .666 .806 r
.92221 .56013 .92502 .56752 .93148 .56313 .92868 .55574 Metetra
.715 .669 .804 r
.92868 .55574 .93148 .56313 .93793 .55853 .93513 .55112 Metetra
.817 .694 .729 r
.33343 .85218 .33677 .85852 .34265 .84794 .33932 .8416 Metetra
.814 .694 .732 r
.33932 .8416 .34265 .84794 .3485 .83767 .34519 .83131 Metetra
.812 .693 .734 r
.34519 .83131 .3485 .83767 .35434 .82768 .35103 .82132 Metetra
.809 .693 .736 r
.35103 .82132 .35434 .82768 .36015 .81798 .35686 .81161 Metetra
.806 .692 .739 r
.35686 .81161 .36015 .81798 .36595 .80856 .36266 .80219 Metetra
.803 .691 .742 r
.36266 .80219 .36595 .80856 .37172 .79943 .36845 .79304 Metetra
.8 .691 .744 r
.36845 .79304 .37172 .79943 .37749 .79057 .37422 .78418 Metetra
.797 .69 .747 r
.37422 .78418 .37749 .79057 .38323 .78199 .37997 .77559 Metetra
.793 .689 .75 r
.37997 .77559 .38323 .78199 .38896 .77369 .38572 .76728 Metetra
.79 .688 .752 r
.38572 .76728 .38896 .77369 .39468 .76565 .39144 .75923 Metetra
.786 .687 .755 r
.39144 .75923 .39468 .76565 .40039 .75787 .39716 .75145 Metetra
.783 .686 .758 r
.39716 .75145 .40039 .75787 .40608 .75036 .40286 .74393 Metetra
.779 .685 .761 r
.40286 .74393 .40608 .75036 .41177 .74311 .40855 .73667 Metetra
.775 .684 .764 r
.40855 .73667 .41177 .74311 .41745 .73611 .41424 .72966 Metetra
.771 .683 .766 r
.41424 .72966 .41745 .73611 .42312 .72936 .41992 .72291 Metetra
.766 .682 .769 r
.41992 .72291 .42312 .72936 .42878 .72286 .42559 .7164 Metetra
.762 .681 .772 r
.42559 .7164 .42878 .72286 .43444 .71661 .43125 .71013 Metetra
.758 .679 .775 r
.43125 .71013 .43444 .71661 .44009 .71059 .43691 .70411 Metetra
.753 .678 .778 r
.43691 .70411 .44009 .71059 .44574 .70481 .44257 .69832 Metetra
.748 .676 .781 r
.44257 .69832 .44574 .70481 .45139 .69926 .44822 .69277 Metetra
.744 .675 .784 r
.44822 .69277 .45139 .69926 .45703 .69394 .45387 .68744 Metetra
.739 .673 .786 r
.45387 .68744 .45703 .69394 .46268 .68885 .45952 .68233 Metetra
.734 .671 .789 r
.45952 .68233 .46268 .68885 .46832 .68397 .46517 .67745 Metetra
.729 .669 .792 r
.46517 .67745 .46832 .68397 .47397 .67931 .47083 .67278 Metetra
.723 .668 .795 r
.47083 .67278 .47397 .67931 .47962 .67487 .47648 .66833 Metetra
.718 .666 .797 r
.47648 .66833 .47962 .67487 .48527 .67063 .48214 .66408 Metetra
.712 .664 .8 r
.48214 .66408 .48527 .67063 .49093 .66659 .4878 .66004 Metetra
.707 .662 .803 r
.4878 .66004 .49093 .66659 .49659 .66276 .49347 .65619 Metetra
.701 .659 .805 r
.49347 .65619 .49659 .66276 .50226 .65912 .49914 .65254 Metetra
.696 .657 .808 r
.49914 .65254 .50226 .65912 .50793 .65567 .50482 .64908 Metetra
.69 .655 .81 r
.50482 .64908 .50793 .65567 .51361 .6524 .51051 .64581 Metetra
.684 .653 .813 r
.51051 .64581 .51361 .6524 .51931 .64932 .51621 .64271 Metetra
.679 .65 .815 r
.51621 .64271 .51931 .64932 .52501 .64641 .52191 .6398 Metetra
.673 .648 .817 r
.52191 .6398 .52501 .64641 .53072 .64367 .52763 .63705 Metetra
.667 .645 .819 r
.52763 .63705 .53072 .64367 .53644 .6411 .53335 .63447 Metetra
.661 .643 .821 r
.53335 .63447 .53644 .6411 .54217 .63869 .53909 .63205 Metetra
.655 .641 .823 r
.53909 .63205 .54217 .63869 .54791 .63644 .54484 .62979 Metetra
.65 .638 .825 r
.54484 .62979 .54791 .63644 .55367 .63434 .5506 .62768 Metetra
.644 .636 .827 r
.5506 .62768 .55367 .63434 .55944 .63239 .55637 .62572 Metetra
.639 .633 .829 r
.55637 .62572 .55944 .63239 .56523 .63058 .56216 .6239 Metetra
.633 .631 .83 r
.56216 .6239 .56523 .63058 .57103 .6289 .56797 .62221 Metetra
.628 .628 .832 r
.56797 .62221 .57103 .6289 .57684 .62736 .57379 .62066 Metetra
.622 .626 .833 r
.57379 .62066 .57684 .62736 .58267 .62594 .57962 .61922 Metetra
.617 .624 .835 r
.57962 .61922 .58267 .62594 .58852 .62463 .58547 .61791 Metetra
.612 .621 .836 r
.58547 .61791 .58852 .62463 .59439 .62345 .59134 .61672 Metetra
.608 .619 .837 r
.59134 .61672 .59439 .62345 .60027 .62237 .59723 .61563 Metetra
.603 .617 .838 r
.59723 .61563 .60027 .62237 .60617 .62139 .60313 .61464 Metetra
.599 .615 .839 r
.60313 .61464 .60617 .62139 .61209 .62051 .60905 .61375 Metetra
.595 .613 .84 r
.60905 .61375 .61209 .62051 .61802 .61973 .61499 .61295 Metetra
.591 .611 .841 r
.61499 .61295 .61802 .61973 .62398 .61902 .62095 .61224 Metetra
.587 .609 .841 r
.62095 .61224 .62398 .61902 .62995 .6184 .62693 .6116 Metetra
.584 .607 .842 r
.62693 .6116 .62995 .6184 .63594 .61785 .63292 .61104 Metetra
.58 .606 .843 r
.63292 .61104 .63594 .61785 .64196 .61736 .63894 .61054 Metetra
.577 .605 .843 r
.63894 .61054 .64196 .61736 .64799 .61693 .64498 .61011 Metetra
.575 .603 .844 r
.64498 .61011 .64799 .61693 .65404 .61656 .65103 .60973 Metetra
.573 .602 .844 r
.65103 .60973 .65404 .61656 .66012 .61624 .65711 .60939 Metetra
.571 .601 .844 r
.65711 .60939 .66012 .61624 .66621 .61596 .66321 .6091 Metetra
.569 .6 .845 r
.66321 .6091 .66621 .61596 .67233 .61571 .66933 .60884 Metetra
.568 .6 .845 r
.66933 .60884 .67233 .61571 .67846 .61549 .67546 .6086 Metetra
.567 .599 .845 r
.67546 .6086 .67846 .61549 .68461 .61529 .68162 .60839 Metetra
.566 .599 .845 r
.68162 .60839 .68461 .61529 .69079 .6151 .6878 .6082 Metetra
.565 .599 .845 r
.6878 .6082 .69079 .6151 .69698 .61492 .694 .60801 Metetra
.565 .598 .845 r
.694 .60801 .69698 .61492 .7032 .61474 .70021 .60782 Metetra
.566 .599 .845 r
.70021 .60782 .7032 .61474 .70943 .61456 .70645 .60762 Metetra
.566 .599 .845 r
.70645 .60762 .70943 .61456 .71568 .61436 .71271 .60742 Metetra
.567 .599 .845 r
.71271 .60742 .71568 .61436 .72196 .61415 .71898 .60719 Metetra
.568 .6 .845 r
.71898 .60719 .72196 .61415 .72825 .61391 .72528 .60693 Metetra
.57 .601 .845 r
.72528 .60693 .72825 .61391 .73456 .61363 .73159 .60665 Metetra
.572 .602 .844 r
.73159 .60665 .73456 .61363 .74088 .61331 .73792 .60632 Metetra
.574 .603 .844 r
.73792 .60632 .74088 .61331 .74723 .61295 .74427 .60594 Metetra
.576 .604 .844 r
.74427 .60594 .74723 .61295 .75359 .61253 .75064 .60551 Metetra
.579 .605 .843 r
.75064 .60551 .75359 .61253 .75997 .61204 .75702 .60502 Metetra
.582 .607 .843 r
.75702 .60502 .75997 .61204 .76636 .61149 .76342 .60445 Metetra
.585 .608 .842 r
.76342 .60445 .76636 .61149 .77277 .61087 .76983 .60381 Metetra
.589 .61 .841 r
.76983 .60381 .77277 .61087 .77919 .61016 .77626 .60309 Metetra
.592 .612 .841 r
.77626 .60309 .77919 .61016 .78563 .60936 .7827 .60228 Metetra
.596 .614 .84 r
.7827 .60228 .78563 .60936 .79208 .60846 .78915 .60137 Metetra
.6 .616 .839 r
.78915 .60137 .79208 .60846 .79854 .60746 .79562 .60036 Metetra
.605 .618 .838 r
.79562 .60036 .79854 .60746 .80501 .60635 .8021 .59924 Metetra
.609 .621 .837 r
.8021 .59924 .80501 .60635 .8115 .60512 .80858 .598 Metetra
.614 .623 .836 r
.80858 .598 .8115 .60512 .81799 .60377 .81508 .59664 Metetra
.619 .625 .835 r
.81508 .59664 .81799 .60377 .82449 .60229 .82159 .59514 Metetra
.624 .628 .834 r
.82159 .59514 .82449 .60229 .831 .60067 .8281 .59351 Metetra
.629 .631 .833 r
.8281 .59351 .831 .60067 .83751 .5989 .83462 .59174 Metetra
.634 .633 .832 r
.83462 .59174 .83751 .5989 .84403 .59699 .84115 .58981 Metetra
.64 .636 .83 r
.84115 .58981 .84403 .59699 .85056 .59492 .84768 .58773 Metetra
.645 .639 .829 r
.84768 .58773 .85056 .59492 .85708 .59269 .85421 .58548 Metetra
.651 .641 .827 r
.85421 .58548 .85708 .59269 .86361 .59028 .86074 .58307 Metetra
.657 .644 .826 r
.86074 .58307 .86361 .59028 .87014 .58771 .86728 .58048 Metetra
.662 .647 .824 r
.86728 .58048 .87014 .58771 .87667 .58495 .87381 .57771 Metetra
.668 .65 .822 r
.87381 .57771 .87667 .58495 .88319 .582 .88034 .57476 Metetra
.674 .652 .821 r
.88034 .57476 .88319 .582 .88971 .57887 .88687 .57161 Metetra
.68 .655 .819 r
.88687 .57161 .88971 .57887 .89623 .57553 .89339 .56826 Metetra
.686 .658 .817 r
.89339 .56826 .89623 .57553 .90274 .572 .8999 .56472 Metetra
.692 .661 .815 r
.8999 .56472 .90274 .572 .90924 .56826 .90641 .56096 Metetra
.698 .664 .813 r
.90641 .56096 .90924 .56826 .91573 .5643 .91291 .557 Metetra
.704 .666 .81 r
.91291 .557 .91573 .5643 .92221 .56013 .9194 .55281 Metetra
.71 .669 .808 r
.9194 .55281 .92221 .56013 .92868 .55574 .92587 .54841 Metetra
.716 .672 .806 r
.92587 .54841 .92868 .55574 .93513 .55112 .93233 .54378 Metetra
.818 .696 .73 r
.33008 .84592 .33343 .85218 .33932 .8416 .33598 .83533 Metetra
.816 .696 .732 r
.33598 .83533 .33932 .8416 .34519 .83131 .34186 .82503 Metetra
.813 .695 .735 r
.34186 .82503 .34519 .83131 .35103 .82132 .34772 .81503 Metetra
.81 .695 .737 r
.34772 .81503 .35103 .82132 .35686 .81161 .35355 .80531 Metetra
.807 .694 .74 r
.35355 .80531 .35686 .81161 .36266 .80219 .35937 .79588 Metetra
.804 .693 .743 r
.35937 .79588 .36266 .80219 .36845 .79304 .36516 .78673 Metetra
.801 .693 .745 r
.36516 .78673 .36845 .79304 .37422 .78418 .37094 .77786 Metetra
.798 .692 .748 r
.37094 .77786 .37422 .78418 .37997 .77559 .37671 .76927 Metetra
.795 .691 .751 r
.37671 .76927 .37997 .77559 .38572 .76728 .38246 .76094 Metetra
.791 .69 .753 r
.38246 .76094 .38572 .76728 .39144 .75923 .38819 .75289 Metetra
.788 .69 .756 r
.38819 .75289 .39144 .75923 .39716 .75145 .39392 .7451 Metetra
.784 .689 .759 r
.39392 .7451 .39716 .75145 .40286 .74393 .39963 .73757 Metetra
.78 .688 .762 r
.39963 .73757 .40286 .74393 .40855 .73667 .40533 .7303 Metetra
.776 .687 .765 r
.40533 .7303 .40855 .73667 .41424 .72966 .41102 .72329 Metetra
.772 .685 .768 r
.41102 .72329 .41424 .72966 .41992 .72291 .41671 .71652 Metetra
.768 .684 .771 r
.41671 .71652 .41992 .72291 .42559 .7164 .42238 .71001 Metetra
.763 .683 .774 r
.42238 .71001 .42559 .7164 .43125 .71013 .42806 .70374 Metetra
.759 .682 .776 r
.42806 .70374 .43125 .71013 .43691 .70411 .43372 .6977 Metetra
.754 .68 .779 r
.43372 .6977 .43691 .70411 .44257 .69832 .43939 .69191 Metetra
.75 .679 .782 r
.43939 .69191 .44257 .69832 .44822 .69277 .44505 .68634 Metetra
.745 .677 .785 r
.44505 .68634 .44822 .69277 .45387 .68744 .4507 .681 Metetra
.74 .676 .788 r
.4507 .681 .45387 .68744 .45952 .68233 .45636 .67589 Metetra
.735 .674 .791 r
.45636 .67589 .45952 .68233 .46517 .67745 .46202 .671 Metetra
.73 .672 .794 r
.46202 .671 .46517 .67745 .47083 .67278 .46768 .66632 Metetra
.724 .67 .797 r
.46768 .66632 .47083 .67278 .47648 .66833 .47334 .66186 Metetra
.719 .668 .799 r
.47334 .66186 .47648 .66833 .48214 .66408 .479 .6576 Metetra
.713 .666 .802 r
.479 .6576 .48214 .66408 .4878 .66004 .48467 .65355 Metetra
.708 .664 .805 r
.48467 .65355 .4878 .66004 .49347 .65619 .49034 .6497 Metetra
.702 .662 .807 r
.49034 .6497 .49347 .65619 .49914 .65254 .49602 .64604 Metetra
.697 .66 .81 r
.49602 .64604 .49914 .65254 .50482 .64908 .50171 .64257 Metetra
.691 .658 .812 r
.50171 .64257 .50482 .64908 .51051 .64581 .5074 .63928 Metetra
.685 .655 .815 r
.5074 .63928 .51051 .64581 .51621 .64271 .5131 .63618 Metetra
.679 .653 .817 r
.5131 .63618 .51621 .64271 .52191 .6398 .51881 .63325 Metetra
.673 .651 .819 r
.51881 .63325 .52191 .6398 .52763 .63705 .52453 .6305 Metetra
.668 .648 .822 r
.52453 .6305 .52763 .63705 .53335 .63447 .53026 .62791 Metetra
.662 .646 .824 r
.53026 .62791 .53335 .63447 .53909 .63205 .536 .62548 Metetra
.656 .643 .826 r
.536 .62548 .53909 .63205 .54484 .62979 .54175 .62321 Metetra
.65 .641 .828 r
.54175 .62321 .54484 .62979 .5506 .62768 .54752 .62109 Metetra
.644 .638 .829 r
.54752 .62109 .5506 .62768 .55637 .62572 .5533 .61912 Metetra
.639 .636 .831 r
.5533 .61912 .55637 .62572 .56216 .6239 .55909 .61729 Metetra
.633 .633 .833 r
.55909 .61729 .56216 .6239 .56797 .62221 .5649 .61559 Metetra
.628 .631 .834 r
.5649 .61559 .56797 .62221 .57379 .62066 .57072 .61402 Metetra
.623 .629 .836 r
.57072 .61402 .57379 .62066 .57962 .61922 .57656 .61258 Metetra
.617 .626 .837 r
.57656 .61258 .57962 .61922 .58547 .61791 .58242 .61126 Metetra
.612 .624 .838 r
.58242 .61126 .58547 .61791 .59134 .61672 .58829 .61006 Metetra
.608 .622 .84 r
.58829 .61006 .59134 .61672 .59723 .61563 .59418 .60896 Metetra
.603 .619 .841 r
.59418 .60896 .59723 .61563 .60313 .61464 .60009 .60796 Metetra
.599 .617 .842 r
.60009 .60796 .60313 .61464 .60905 .61375 .60601 .60706 Metetra
.594 .615 .843 r
.60601 .60706 .60905 .61375 .61499 .61295 .61195 .60625 Metetra
.59 .613 .843 r
.61195 .60625 .61499 .61295 .62095 .61224 .61792 .60553 Metetra
.587 .612 .844 r
.61792 .60553 .62095 .61224 .62693 .6116 .6239 .60488 Metetra
.583 .61 .845 r
.6239 .60488 .62693 .6116 .63292 .61104 .6299 .60431 Metetra
.58 .608 .845 r
.6299 .60431 .63292 .61104 .63894 .61054 .63592 .6038 Metetra
.577 .607 .846 r
.63592 .6038 .63894 .61054 .64498 .61011 .64196 .60335 Metetra
.574 .606 .846 r
.64196 .60335 .64498 .61011 .65103 .60973 .64802 .60296 Metetra
.572 .605 .847 r
.64802 .60296 .65103 .60973 .65711 .60939 .6541 .60261 Metetra
.57 .604 .847 r
.6541 .60261 .65711 .60939 .66321 .6091 .6602 .60231 Metetra
.568 .603 .847 r
.6602 .60231 .66321 .6091 .66933 .60884 .66632 .60204 Metetra
.567 .602 .848 r
.66632 .60204 .66933 .60884 .67546 .6086 .67246 .60179 Metetra
.566 .602 .848 r
.67246 .60179 .67546 .6086 .68162 .60839 .67862 .60157 Metetra
.565 .601 .848 r
.67862 .60157 .68162 .60839 .6878 .6082 .6848 .60136 Metetra
.565 .601 .848 r
.6848 .60136 .6878 .6082 .694 .60801 .691 .60116 Metetra
.565 .601 .848 r
.691 .60116 .694 .60801 .70021 .60782 .69723 .60096 Metetra
.565 .601 .848 r
.69723 .60096 .70021 .60782 .70645 .60762 .70347 .60076 Metetra
.566 .601 .848 r
.70347 .60076 .70645 .60762 .71271 .60742 .70973 .60054 Metetra
.567 .602 .848 r
.70973 .60054 .71271 .60742 .71898 .60719 .71601 .6003 Metetra
.568 .602 .848 r
.71601 .6003 .71898 .60719 .72528 .60693 .72231 .60003 Metetra
.569 .603 .847 r
.72231 .60003 .72528 .60693 .73159 .60665 .72862 .59973 Metetra
.571 .604 .847 r
.72862 .59973 .73159 .60665 .73792 .60632 .73496 .59939 Metetra
.573 .605 .847 r
.73496 .59939 .73792 .60632 .74427 .60594 .74131 .59901 Metetra
.576 .606 .846 r
.74131 .59901 .74427 .60594 .75064 .60551 .74768 .59856 Metetra
.578 .608 .846 r
.74768 .59856 .75064 .60551 .75702 .60502 .75407 .59806 Metetra
.581 .609 .845 r
.75407 .59806 .75702 .60502 .76342 .60445 .76047 .59748 Metetra
.585 .611 .845 r
.76047 .59748 .76342 .60445 .76983 .60381 .76689 .59683 Metetra
.588 .613 .844 r
.76689 .59683 .76983 .60381 .77626 .60309 .77332 .5961 Metetra
.592 .615 .843 r
.77332 .5961 .77626 .60309 .7827 .60228 .77976 .59528 Metetra
.596 .617 .843 r
.77976 .59528 .7827 .60228 .78915 .60137 .78622 .59436 Metetra
.6 .619 .842 r
.78622 .59436 .78915 .60137 .79562 .60036 .79269 .59334 Metetra
.605 .621 .841 r
.79269 .59334 .79562 .60036 .8021 .59924 .79918 .5922 Metetra
.609 .623 .84 r
.79918 .5922 .8021 .59924 .80858 .598 .80567 .59095 Metetra
.614 .626 .839 r
.80567 .59095 .80858 .598 .81508 .59664 .81217 .58958 Metetra
.619 .628 .838 r
.81217 .58958 .81508 .59664 .82159 .59514 .81868 .58807 Metetra
.624 .631 .837 r
.81868 .58807 .82159 .59514 .8281 .59351 .8252 .58643 Metetra
.629 .633 .836 r
.8252 .58643 .8281 .59351 .83462 .59174 .83173 .58464 Metetra
.635 .636 .834 r
.83173 .58464 .83462 .59174 .84115 .58981 .83826 .5827 Metetra
.64 .639 .833 r
.83826 .5827 .84115 .58981 .84768 .58773 .84479 .58061 Metetra
.646 .641 .831 r
.84479 .58061 .84768 .58773 .85421 .58548 .85133 .57835 Metetra
.651 .644 .83 r
.85133 .57835 .85421 .58548 .86074 .58307 .85787 .57593 Metetra
.657 .647 .828 r
.85787 .57593 .86074 .58307 .86728 .58048 .86441 .57333 Metetra
.663 .65 .827 r
.86441 .57333 .86728 .58048 .87381 .57771 .87095 .57055 Metetra
.669 .652 .825 r
.87095 .57055 .87381 .57771 .88034 .57476 .87749 .56758 Metetra
.675 .655 .823 r
.87749 .56758 .88034 .57476 .88687 .57161 .88402 .56442 Metetra
.681 .658 .821 r
.88402 .56442 .88687 .57161 .89339 .56826 .89055 .56107 Metetra
.687 .661 .819 r
.89055 .56107 .89339 .56826 .8999 .56472 .89707 .55751 Metetra
.693 .664 .817 r
.89707 .55751 .8999 .56472 .90641 .56096 .90359 .55374 Metetra
.699 .667 .815 r
.90359 .55374 .90641 .56096 .91291 .557 .91009 .54977 Metetra
.705 .669 .813 r
.91009 .54977 .91291 .557 .9194 .55281 .91659 .54557 Metetra
.711 .672 .81 r
.91659 .54557 .9194 .55281 .92587 .54841 .92307 .54116 Metetra
.717 .675 .808 r
.92307 .54116 .92587 .54841 .93233 .54378 .92954 .53652 Metetra
.819 .698 .731 r
.32672 .83973 .33008 .84592 .33598 .83533 .33263 .82913 Metetra
.817 .698 .733 r
.33263 .82913 .33598 .83533 .34186 .82503 .33852 .81883 Metetra
.814 .697 .736 r
.33852 .81883 .34186 .82503 .34772 .81503 .34439 .80882 Metetra
.811 .697 .738 r
.34439 .80882 .34772 .81503 .35355 .80531 .35023 .79909 Metetra
.809 .696 .741 r
.35023 .79909 .35355 .80531 .35937 .79588 .35606 .78965 Metetra
.806 .696 .744 r
.35606 .78965 .35937 .79588 .36516 .78673 .36186 .7805 Metetra
.802 .695 .746 r
.36186 .7805 .36516 .78673 .37094 .77786 .36765 .77162 Metetra
.799 .694 .749 r
.36765 .77162 .37094 .77786 .37671 .76927 .37343 .76301 Metetra
.796 .693 .752 r
.37343 .76301 .37671 .76927 .38246 .76094 .37919 .75468 Metetra
.792 .693 .755 r
.37919 .75468 .38246 .76094 .38819 .75289 .38493 .74662 Metetra
.789 .692 .757 r
.38493 .74662 .38819 .75289 .39392 .7451 .39066 .73882 Metetra
.785 .691 .76 r
.39066 .73882 .39392 .7451 .39963 .73757 .39638 .73129 Metetra
.781 .69 .763 r
.39638 .73129 .39963 .73757 .40533 .7303 .40209 .72401 Metetra
.777 .689 .766 r
.40209 .72401 .40533 .7303 .41102 .72329 .40779 .71698 Metetra
.773 .688 .769 r
.40779 .71698 .41102 .72329 .41671 .71652 .41349 .71021 Metetra
.769 .687 .772 r
.41349 .71021 .41671 .71652 .42238 .71001 .41917 .70369 Metetra
.765 .685 .775 r
.41917 .70369 .42238 .71001 .42806 .70374 .42485 .69741 Metetra
.76 .684 .778 r
.42485 .69741 .42806 .70374 .43372 .6977 .43052 .69136 Metetra
.756 .683 .781 r
.43052 .69136 .43372 .6977 .43939 .69191 .43619 .68556 Metetra
.751 .681 .784 r
.43619 .68556 .43939 .69191 .44505 .68634 .44186 .67999 Metetra
.746 .68 .787 r
.44186 .67999 .44505 .68634 .4507 .681 .44753 .67464 Metetra
.741 .678 .79 r
.44753 .67464 .4507 .681 .45636 .67589 .45319 .66952 Metetra
.736 .676 .793 r
.45319 .66952 .45636 .67589 .46202 .671 .45885 .66462 Metetra
.731 .675 .796 r
.45885 .66462 .46202 .671 .46768 .66632 .46452 .65993 Metetra
.725 .673 .798 r
.46452 .65993 .46768 .66632 .47334 .66186 .47019 .65546 Metetra
.72 .671 .801 r
.47019 .65546 .47334 .66186 .479 .6576 .47586 .6512 Metetra
.714 .669 .804 r
.47586 .6512 .479 .6576 .48467 .65355 .48153 .64713 Metetra
.709 .667 .807 r
.48153 .64713 .48467 .65355 .49034 .6497 .48721 .64327 Metetra
.703 .665 .809 r
.48721 .64327 .49034 .6497 .49602 .64604 .49289 .6396 Metetra
.697 .663 .812 r
.49289 .6396 .49602 .64604 .50171 .64257 .49858 .63612 Metetra
.692 .66 .814 r
.49858 .63612 .50171 .64257 .5074 .63928 .50428 .63283 Metetra
.686 .658 .817 r
.50428 .63283 .5074 .63928 .5131 .63618 .50998 .62972 Metetra
.68 .656 .819 r
.50998 .62972 .5131 .63618 .51881 .63325 .5157 .62678 Metetra
.674 .653 .822 r
.5157 .62678 .51881 .63325 .52453 .6305 .52142 .62402 Metetra
.668 .651 .824 r
.52142 .62402 .52453 .6305 .53026 .62791 .52716 .62142 Metetra
.662 .649 .826 r
.52716 .62142 .53026 .62791 .536 .62548 .5329 .61898 Metetra
.656 .646 .828 r
.5329 .61898 .536 .62548 .54175 .62321 .53866 .6167 Metetra
.651 .644 .83 r
.53866 .6167 .54175 .62321 .54752 .62109 .54443 .61457 Metetra
.645 .641 .832 r
.54443 .61457 .54752 .62109 .5533 .61912 .55022 .61259 Metetra
.639 .639 .834 r
.55022 .61259 .5533 .61912 .55909 .61729 .55601 .61075 Metetra
.634 .636 .835 r
.55601 .61075 .55909 .61729 .5649 .61559 .56183 .60904 Metetra
.628 .634 .837 r
.56183 .60904 .5649 .61559 .57072 .61402 .56765 .60746 Metetra
.623 .631 .838 r
.56765 .60746 .57072 .61402 .57656 .61258 .5735 .60601 Metetra
.617 .629 .84 r
.5735 .60601 .57656 .61258 .58242 .61126 .57935 .60468 Metetra
.612 .627 .841 r
.57935 .60468 .58242 .61126 .58829 .61006 .58523 .60346 Metetra
.608 .624 .842 r
.58523 .60346 .58829 .61006 .59418 .60896 .59112 .60236 Metetra
.603 .622 .843 r
.59112 .60236 .59418 .60896 .60009 .60796 .59703 .60135 Metetra
.598 .62 .844 r
.59703 .60135 .60009 .60796 .60601 .60706 .60296 .60044 Metetra
.594 .618 .845 r
.60296 .60044 .60601 .60706 .61195 .60625 .60891 .59962 Metetra
.59 .616 .846 r
.60891 .59962 .61195 .60625 .61792 .60553 .61488 .59888 Metetra
.586 .614 .847 r
.61488 .59888 .61792 .60553 .6239 .60488 .62086 .59823 Metetra
.583 .613 .848 r
.62086 .59823 .6239 .60488 .6299 .60431 .62687 .59764 Metetra
.579 .611 .848 r
.62687 .59764 .6299 .60431 .63592 .6038 .63289 .59712 Metetra
.577 .61 .849 r
.63289 .59712 .63592 .6038 .64196 .60335 .63893 .59667 Metetra
.574 .608 .849 r
.63893 .59667 .64196 .60335 .64802 .60296 .645 .59626 Metetra
.572 .607 .85 r
.645 .59626 .64802 .60296 .6541 .60261 .65108 .59591 Metetra
.569 .606 .85 r
.65108 .59591 .6541 .60261 .6602 .60231 .65719 .59559 Metetra
.568 .605 .85 r
.65719 .59559 .6602 .60231 .66632 .60204 .66331 .59531 Metetra
.566 .605 .85 r
.66331 .59531 .66632 .60204 .67246 .60179 .66945 .59505 Metetra
.565 .604 .851 r
.66945 .59505 .67246 .60179 .67862 .60157 .67562 .59482 Metetra
.565 .604 .851 r
.67562 .59482 .67862 .60157 .6848 .60136 .6818 .5946 Metetra
.564 .603 .851 r
.6818 .5946 .6848 .60136 .691 .60116 .68801 .59439 Metetra
.564 .603 .851 r
.68801 .59439 .691 .60116 .69723 .60096 .69423 .59418 Metetra
.564 .604 .851 r
.69423 .59418 .69723 .60096 .70347 .60076 .70048 .59396 Metetra
.565 .604 .851 r
.70048 .59396 .70347 .60076 .70973 .60054 .70674 .59373 Metetra
.566 .604 .851 r
.70674 .59373 .70973 .60054 .71601 .6003 .71303 .59348 Metetra
.567 .605 .85 r
.71303 .59348 .71601 .6003 .72231 .60003 .71933 .5932 Metetra
.569 .606 .85 r
.71933 .5932 .72231 .60003 .72862 .59973 .72565 .59289 Metetra
.571 .607 .85 r
.72565 .59289 .72862 .59973 .73496 .59939 .73199 .59254 Metetra
.573 .608 .849 r
.73199 .59254 .73496 .59939 .74131 .59901 .73835 .59214 Metetra
.575 .609 .849 r
.73835 .59214 .74131 .59901 .74768 .59856 .74472 .59169 Metetra
.578 .61 .849 r
.74472 .59169 .74768 .59856 .75407 .59806 .75111 .59117 Metetra
.581 .612 .848 r
.75111 .59117 .75407 .59806 .76047 .59748 .75752 .59059 Metetra
.584 .614 .848 r
.75752 .59059 .76047 .59748 .76689 .59683 .76394 .58993 Metetra
.588 .615 .847 r
.76394 .58993 .76689 .59683 .77332 .5961 .77038 .58918 Metetra
.592 .617 .846 r
.77038 .58918 .77332 .5961 .77976 .59528 .77683 .58835 Metetra
.596 .619 .845 r
.77683 .58835 .77976 .59528 .78622 .59436 .78329 .58742 Metetra
.6 .621 .845 r
.78329 .58742 .78622 .59436 .79269 .59334 .78977 .58638 Metetra
.604 .624 .844 r
.78977 .58638 .79269 .59334 .79918 .5922 .79626 .58524 Metetra
.609 .626 .843 r
.79626 .58524 .79918 .5922 .80567 .59095 .80275 .58397 Metetra
.614 .628 .842 r
.80275 .58397 .80567 .59095 .81217 .58958 .80926 .58259 Metetra
.619 .631 .841 r
.80926 .58259 .81217 .58958 .81868 .58807 .81578 .58107 Metetra
.624 .633 .839 r
.81578 .58107 .81868 .58807 .8252 .58643 .8223 .57942 Metetra
.629 .636 .838 r
.8223 .57942 .8252 .58643 .83173 .58464 .82883 .57762 Metetra
.635 .639 .837 r
.82883 .57762 .83173 .58464 .83826 .5827 .83537 .57567 Metetra
.64 .641 .835 r
.83537 .57567 .83826 .5827 .84479 .58061 .84191 .57356 Metetra
.646 .644 .834 r
.84191 .57356 .84479 .58061 .85133 .57835 .84846 .5713 Metetra
.652 .647 .832 r
.84846 .5713 .85133 .57835 .85787 .57593 .855 .56886 Metetra
.658 .65 .831 r
.855 .56886 .85787 .57593 .86441 .57333 .86155 .56625 Metetra
.664 .653 .829 r
.86155 .56625 .86441 .57333 .87095 .57055 .86809 .56345 Metetra
.669 .655 .827 r
.86809 .56345 .87095 .57055 .87749 .56758 .87464 .56048 Metetra
.675 .658 .825 r
.87464 .56048 .87749 .56758 .88402 .56442 .88118 .55731 Metetra
.682 .661 .823 r
.88118 .55731 .88402 .56442 .89055 .56107 .88771 .55394 Metetra
.688 .664 .821 r
.88771 .55394 .89055 .56107 .89707 .55751 .89424 .55037 Metetra
.694 .667 .819 r
.89424 .55037 .89707 .55751 .90359 .55374 .90076 .54659 Metetra
.7 .669 .817 r
.90076 .54659 .90359 .55374 .91009 .54977 .90728 .54261 Metetra
.706 .672 .815 r
.90728 .54261 .91009 .54977 .91659 .54557 .91378 .5384 Metetra
.712 .675 .812 r
.91378 .5384 .91659 .54557 .92307 .54116 .92027 .53398 Metetra
.718 .678 .81 r
.92027 .53398 .92307 .54116 .92954 .53652 .92675 .52933 Metetra
.821 .7 .732 r
.32335 .83361 .32672 .83973 .33263 .82913 .32927 .82301 Metetra
.818 .7 .734 r
.32927 .82301 .33263 .82913 .33852 .81883 .33517 .8127 Metetra
.815 .699 .737 r
.33517 .8127 .33852 .81883 .34439 .80882 .34105 .80268 Metetra
.813 .699 .739 r
.34105 .80268 .34439 .80882 .35023 .79909 .3469 .79294 Metetra
.81 .698 .742 r
.3469 .79294 .35023 .79909 .35606 .78965 .35274 .7835 Metetra
.807 .698 .745 r
.35274 .7835 .35606 .78965 .36186 .7805 .35855 .77433 Metetra
.804 .697 .747 r
.35855 .77433 .36186 .7805 .36765 .77162 .36435 .76544 Metetra
.801 .696 .75 r
.36435 .76544 .36765 .77162 .37343 .76301 .37013 .75683 Metetra
.797 .696 .753 r
.37013 .75683 .37343 .76301 .37919 .75468 .3759 .74849 Metetra
.794 .695 .756 r
.3759 .74849 .37919 .75468 .38493 .74662 .38166 .74042 Metetra
.79 .694 .759 r
.38166 .74042 .38493 .74662 .39066 .73882 .3874 .73261 Metetra
.786 .693 .762 r
.3874 .73261 .39066 .73882 .39638 .73129 .39313 .72507 Metetra
.783 .692 .764 r
.39313 .72507 .39638 .73129 .40209 .72401 .39884 .71778 Metetra
.779 .691 .767 r
.39884 .71778 .40209 .72401 .40779 .71698 .40455 .71075 Metetra
.775 .69 .77 r
.40455 .71075 .40779 .71698 .41349 .71021 .41025 .70397 Metetra
.77 .689 .773 r
.41025 .70397 .41349 .71021 .41917 .70369 .41595 .69744 Metetra
.766 .688 .776 r
.41595 .69744 .41917 .70369 .42485 .69741 .42163 .69115 Metetra
.761 .687 .779 r
.42163 .69115 .42485 .69741 .43052 .69136 .42731 .6851 Metetra
.757 .685 .782 r
.42731 .6851 .43052 .69136 .43619 .68556 .43299 .67928 Metetra
.752 .684 .785 r
.43299 .67928 .43619 .68556 .44186 .67999 .43867 .6737 Metetra
.747 .682 .788 r
.43867 .6737 .44186 .67999 .44753 .67464 .44434 .66835 Metetra
.742 .681 .791 r
.44434 .66835 .44753 .67464 .45319 .66952 .45001 .66322 Metetra
.737 .679 .794 r
.45001 .66322 .45319 .66952 .45885 .66462 .45568 .65831 Metetra
.732 .677 .797 r
.45568 .65831 .45885 .66462 .46452 .65993 .46135 .65361 Metetra
.726 .676 .8 r
.46135 .65361 .46452 .65993 .47019 .65546 .46702 .64913 Metetra
.721 .674 .803 r
.46702 .64913 .47019 .65546 .47586 .6512 .4727 .64486 Metetra
.715 .672 .806 r
.4727 .64486 .47586 .6512 .48153 .64713 .47838 .64079 Metetra
.71 .67 .809 r
.47838 .64079 .48153 .64713 .48721 .64327 .48406 .63691 Metetra
.704 .668 .811 r
.48406 .63691 .48721 .64327 .49289 .6396 .48975 .63324 Metetra
.698 .665 .814 r
.48975 .63324 .49289 .6396 .49858 .63612 .49545 .62975 Metetra
.692 .663 .817 r
.49545 .62975 .49858 .63612 .50428 .63283 .50115 .62645 Metetra
.687 .661 .819 r
.50115 .62645 .50428 .63283 .50998 .62972 .50686 .62332 Metetra
.681 .659 .822 r
.50686 .62332 .50998 .62972 .5157 .62678 .51258 .62038 Metetra
.675 .656 .824 r
.51258 .62038 .5157 .62678 .52142 .62402 .51831 .6176 Metetra
.669 .654 .826 r
.51831 .6176 .52142 .62402 .52716 .62142 .52405 .615 Metetra
.663 .651 .828 r
.52405 .615 .52716 .62142 .5329 .61898 .5298 .61255 Metetra
.657 .649 .83 r
.5298 .61255 .5329 .61898 .53866 .6167 .53556 .61026 Metetra
.651 .646 .832 r
.53556 .61026 .53866 .6167 .54443 .61457 .54134 .60812 Metetra
.645 .644 .834 r
.54134 .60812 .54443 .61457 .55022 .61259 .54713 .60613 Metetra
.639 .641 .836 r
.54713 .60613 .55022 .61259 .55601 .61075 .55293 .60427 Metetra
.634 .639 .838 r
.55293 .60427 .55601 .61075 .56183 .60904 .55874 .60256 Metetra
.628 .636 .839 r
.55874 .60256 .56183 .60904 .56765 .60746 .56457 .60097 Metetra
.623 .634 .841 r
.56457 .60097 .56765 .60746 .5735 .60601 .57042 .59951 Metetra
.617 .632 .842 r
.57042 .59951 .5735 .60601 .57935 .60468 .57629 .59817 Metetra
.612 .629 .844 r
.57629 .59817 .57935 .60468 .58523 .60346 .58216 .59694 Metetra
.607 .627 .845 r
.58216 .59694 .58523 .60346 .59112 .60236 .58806 .59582 Metetra
.603 .625 .846 r
.58806 .59582 .59112 .60236 .59703 .60135 .59398 .59481 Metetra
.598 .623 .847 r
.59398 .59481 .59703 .60135 .60296 .60044 .59991 .59389 Metetra
.594 .621 .848 r
.59991 .59389 .60296 .60044 .60891 .59962 .60586 .59305 Metetra
.59 .619 .849 r
.60586 .59305 .60891 .59962 .61488 .59888 .61183 .59231 Metetra
.586 .617 .85 r
.61183 .59231 .61488 .59888 .62086 .59823 .61782 .59164 Metetra
.582 .615 .85 r
.61782 .59164 .62086 .59823 .62687 .59764 .62383 .59105 Metetra
.579 .614 .851 r
.62383 .59105 .62687 .59764 .63289 .59712 .62985 .59052 Metetra
.576 .612 .852 r
.62985 .59052 .63289 .59712 .63893 .59667 .6359 .59005 Metetra
.573 .611 .852 r
.6359 .59005 .63893 .59667 .645 .59626 .64197 .58964 Metetra
.571 .61 .852 r
.64197 .58964 .645 .59626 .65108 .59591 .64806 .58927 Metetra
.569 .609 .853 r
.64806 .58927 .65108 .59591 .65719 .59559 .65417 .58894 Metetra
.567 .608 .853 r
.65417 .58894 .65719 .59559 .66331 .59531 .66029 .58865 Metetra
.566 .607 .853 r
.66029 .58865 .66331 .59531 .66945 .59505 .66644 .58838 Metetra
.565 .607 .854 r
.66644 .58838 .66945 .59505 .67562 .59482 .67261 .58814 Metetra
.564 .606 .854 r
.67261 .58814 .67562 .59482 .6818 .5946 .6788 .58791 Metetra
.564 .606 .854 r
.6788 .58791 .6818 .5946 .68801 .59439 .68501 .58769 Metetra
.563 .606 .854 r
.68501 .58769 .68801 .59439 .69423 .59418 .69124 .58746 Metetra
.564 .606 .854 r
.69124 .58746 .69423 .59418 .70048 .59396 .69749 .58724 Metetra
.564 .606 .854 r
.69749 .58724 .70048 .59396 .70674 .59373 .70376 .58699 Metetra
.565 .607 .853 r
.70376 .58699 .70674 .59373 .71303 .59348 .71004 .58673 Metetra
.567 .608 .853 r
.71004 .58673 .71303 .59348 .71933 .5932 .71635 .58645 Metetra
.568 .608 .853 r
.71635 .58645 .71933 .5932 .72565 .59289 .72268 .58612 Metetra
.57 .609 .853 r
.72268 .58612 .72565 .59289 .73199 .59254 .72902 .58576 Metetra
.572 .61 .852 r
.72902 .58576 .73199 .59254 .73835 .59214 .73538 .58535 Metetra
.575 .612 .852 r
.73538 .58535 .73835 .59214 .74472 .59169 .74176 .58488 Metetra
.577 .613 .851 r
.74176 .58488 .74472 .59169 .75111 .59117 .74815 .58436 Metetra
.581 .615 .851 r
.74815 .58436 .75111 .59117 .75752 .59059 .75457 .58376 Metetra
.584 .616 .85 r
.75457 .58376 .75752 .59059 .76394 .58993 .76099 .58309 Metetra
.587 .618 .85 r
.76099 .58309 .76394 .58993 .77038 .58918 .76743 .58233 Metetra
.591 .62 .849 r
.76743 .58233 .77038 .58918 .77683 .58835 .77389 .58149 Metetra
.595 .622 .848 r
.77389 .58149 .77683 .58835 .78329 .58742 .78036 .58055 Metetra
.6 .624 .847 r
.78036 .58055 .78329 .58742 .78977 .58638 .78684 .5795 Metetra
.604 .626 .846 r
.78684 .5795 .78977 .58638 .79626 .58524 .79333 .57834 Metetra
.609 .629 .845 r
.79333 .57834 .79626 .58524 .80275 .58397 .79984 .57707 Metetra
.614 .631 .844 r
.79984 .57707 .80275 .58397 .80926 .58259 .80635 .57567 Metetra
.619 .634 .843 r
.80635 .57567 .80926 .58259 .81578 .58107 .81287 .57414 Metetra
.624 .636 .842 r
.81287 .57414 .81578 .58107 .8223 .57942 .8194 .57248 Metetra
.63 .639 .841 r
.8194 .57248 .8223 .57942 .82883 .57762 .82594 .57067 Metetra
.635 .642 .839 r
.82594 .57067 .82883 .57762 .83537 .57567 .83248 .56871 Metetra
.641 .644 .838 r
.83248 .56871 .83537 .57567 .84191 .57356 .83903 .56659 Metetra
.646 .647 .837 r
.83903 .56659 .84191 .57356 .84846 .5713 .84558 .56431 Metetra
.652 .65 .835 r
.84558 .56431 .84846 .5713 .855 .56886 .85213 .56186 Metetra
.658 .653 .833 r
.85213 .56186 .855 .56886 .86155 .56625 .85868 .55924 Metetra
.664 .655 .831 r
.85868 .55924 .86155 .56625 .86809 .56345 .86523 .55643 Metetra
.67 .658 .83 r
.86523 .55643 .86809 .56345 .87464 .56048 .87179 .55345 Metetra
.676 .661 .828 r
.87179 .55345 .87464 .56048 .88118 .55731 .87833 .55026 Metetra
.682 .664 .826 r
.87833 .55026 .88118 .55731 .88771 .55394 .88487 .54689 Metetra
.688 .667 .824 r
.88487 .54689 .88771 .55394 .89424 .55037 .89141 .5433 Metetra
.695 .67 .821 r
.89141 .5433 .89424 .55037 .90076 .54659 .89794 .53952 Metetra
.701 .672 .819 r
.89794 .53952 .90076 .54659 .90728 .54261 .90446 .53552 Metetra
.707 .675 .817 r
.90446 .53552 .90728 .54261 .91378 .5384 .91097 .5313 Metetra
.713 .678 .815 r
.91097 .5313 .91378 .5384 .92027 .53398 .91747 .52687 Metetra
.719 .681 .812 r
.91747 .52687 .92027 .53398 .92675 .52933 .92395 .5222 Metetra
.822 .702 .732 r
.31996 .82757 .32335 .83361 .32927 .82301 .32589 .81696 Metetra
.819 .702 .735 r
.32589 .81696 .32927 .82301 .33517 .8127 .3318 .80664 Metetra
.817 .701 .737 r
.3318 .80664 .33517 .8127 .34105 .80268 .33769 .79661 Metetra
.814 .701 .74 r
.33769 .79661 .34105 .80268 .3469 .79294 .34356 .78687 Metetra
.811 .7 .743 r
.34356 .78687 .3469 .79294 .35274 .7835 .3494 .77741 Metetra
.808 .7 .745 r
.3494 .77741 .35274 .7835 .35855 .77433 .35523 .76824 Metetra
.805 .699 .748 r
.35523 .76824 .35855 .77433 .36435 .76544 .36104 .75934 Metetra
.802 .699 .751 r
.36104 .75934 .36435 .76544 .37013 .75683 .36683 .75072 Metetra
.799 .698 .754 r
.36683 .75072 .37013 .75683 .3759 .74849 .37261 .74237 Metetra
.795 .697 .757 r
.37261 .74237 .3759 .74849 .38166 .74042 .37837 .73429 Metetra
.791 .697 .76 r
.37837 .73429 .38166 .74042 .3874 .73261 .38412 .72648 Metetra
.788 .696 .763 r
.38412 .72648 .3874 .73261 .39313 .72507 .38986 .71893 Metetra
.784 .695 .766 r
.38986 .71893 .39313 .72507 .39884 .71778 .39558 .71163 Metetra
.78 .694 .769 r
.39558 .71163 .39884 .71778 .40455 .71075 .4013 .70459 Metetra
.776 .693 .772 r
.4013 .70459 .40455 .71075 .41025 .70397 .40701 .6978 Metetra
.772 .692 .775 r
.40701 .6978 .41025 .70397 .41595 .69744 .41271 .69126 Metetra
.767 .69 .778 r
.41271 .69126 .41595 .69744 .42163 .69115 .41841 .68496 Metetra
.763 .689 .781 r
.41841 .68496 .42163 .69115 .42731 .6851 .42409 .6789 Metetra
.758 .688 .784 r
.42409 .6789 .42731 .6851 .43299 .67928 .42978 .67308 Metetra
.753 .686 .787 r
.42978 .67308 .43299 .67928 .43867 .6737 .43546 .66749 Metetra
.748 .685 .79 r
.43546 .66749 .43867 .6737 .44434 .66835 .44114 .66212 Metetra
.743 .683 .793 r
.44114 .66212 .44434 .66835 .45001 .66322 .44682 .65699 Metetra
.738 .682 .796 r
.44682 .65699 .45001 .66322 .45568 .65831 .45249 .65207 Metetra
.733 .68 .799 r
.45249 .65207 .45568 .65831 .46135 .65361 .45817 .64736 Metetra
.728 .678 .802 r
.45817 .64736 .46135 .65361 .46702 .64913 .46385 .64287 Metetra
.722 .676 .805 r
.46385 .64287 .46702 .64913 .4727 .64486 .46953 .63859 Metetra
.716 .674 .808 r
.46953 .63859 .4727 .64486 .47838 .64079 .47522 .63451 Metetra
.711 .672 .811 r
.47522 .63451 .47838 .64079 .48406 .63691 .48091 .63063 Metetra
.705 .67 .813 r
.48091 .63063 .48406 .63691 .48975 .63324 .4866 .62694 Metetra
.699 .668 .816 r
.4866 .62694 .48975 .63324 .49545 .62975 .4923 .62344 Metetra
.693 .666 .819 r
.4923 .62344 .49545 .62975 .50115 .62645 .49801 .62013 Metetra
.687 .664 .821 r
.49801 .62013 .50115 .62645 .50686 .62332 .50373 .617 Metetra
.681 .661 .824 r
.50373 .617 .50686 .62332 .51258 .62038 .50945 .61405 Metetra
.675 .659 .826 r
.50945 .61405 .51258 .62038 .51831 .6176 .51519 .61126 Metetra
.669 .657 .829 r
.51519 .61126 .51831 .6176 .52405 .615 .52093 .60864 Metetra
.663 .654 .831 r
.52093 .60864 .52405 .615 .5298 .61255 .52669 .60619 Metetra
.657 .652 .833 r
.52669 .60619 .5298 .61255 .53556 .61026 .53245 .60389 Metetra
.651 .649 .835 r
.53245 .60389 .53556 .61026 .54134 .60812 .53823 .60174 Metetra
.646 .647 .837 r
.53823 .60174 .54134 .60812 .54713 .60613 .54403 .59973 Metetra
.64 .644 .839 r
.54403 .59973 .54713 .60613 .55293 .60427 .54983 .59787 Metetra
.634 .642 .84 r
.54983 .59787 .55293 .60427 .55874 .60256 .55565 .59615 Metetra
.628 .639 .842 r
.55565 .59615 .55874 .60256 .56457 .60097 .56149 .59455 Metetra
.623 .637 .844 r
.56149 .59455 .56457 .60097 .57042 .59951 .56734 .59308 Metetra
.618 .634 .845 r
.56734 .59308 .57042 .59951 .57629 .59817 .57321 .59173 Metetra
.612 .632 .846 r
.57321 .59173 .57629 .59817 .58216 .59694 .57909 .59049 Metetra
.607 .63 .848 r
.57909 .59049 .58216 .59694 .58806 .59582 .58499 .58936 Metetra
.602 .628 .849 r
.58499 .58936 .58806 .59582 .59398 .59481 .59091 .58833 Metetra
.598 .625 .85 r
.59091 .58833 .59398 .59481 .59991 .59389 .59685 .5874 Metetra
.593 .623 .851 r
.59685 .5874 .59991 .59389 .60586 .59305 .6028 .58656 Metetra
.589 .621 .852 r
.6028 .58656 .60586 .59305 .61183 .59231 .60878 .58581 Metetra
.585 .62 .852 r
.60878 .58581 .61183 .59231 .61782 .59164 .61477 .58513 Metetra
.582 .618 .853 r
.61477 .58513 .61782 .59164 .62383 .59105 .62078 .58452 Metetra
.579 .616 .854 r
.62078 .58452 .62383 .59105 .62985 .59052 .62681 .58398 Metetra
.576 .615 .854 r
.62681 .58398 .62985 .59052 .6359 .59005 .63287 .5835 Metetra
.573 .613 .855 r
.63287 .5835 .6359 .59005 .64197 .58964 .63894 .58308 Metetra
.57 .612 .855 r
.63894 .58308 .64197 .58964 .64806 .58927 .64503 .5827 Metetra
.568 .611 .856 r
.64503 .5827 .64806 .58927 .65417 .58894 .65114 .58236 Metetra
.567 .61 .856 r
.65114 .58236 .65417 .58894 .66029 .58865 .65727 .58206 Metetra
.565 .61 .856 r
.65727 .58206 .66029 .58865 .66644 .58838 .66343 .58178 Metetra
.564 .609 .856 r
.66343 .58178 .66644 .58838 .67261 .58814 .6696 .58153 Metetra
.563 .609 .857 r
.6696 .58153 .67261 .58814 .6788 .58791 .67579 .58129 Metetra
.563 .609 .857 r
.67579 .58129 .6788 .58791 .68501 .58769 .682 .58105 Metetra
.563 .609 .857 r
.682 .58105 .68501 .58769 .69124 .58746 .68824 .58082 Metetra
.563 .609 .857 r
.68824 .58082 .69124 .58746 .69749 .58724 .69449 .58058 Metetra
.564 .609 .856 r
.69449 .58058 .69749 .58724 .70376 .58699 .70076 .58033 Metetra
.565 .609 .856 r
.70076 .58033 .70376 .58699 .71004 .58673 .70706 .58006 Metetra
.566 .61 .856 r
.70706 .58006 .71004 .58673 .71635 .58645 .71337 .57976 Metetra
.567 .611 .856 r
.71337 .57976 .71635 .58645 .72268 .58612 .7197 .57942 Metetra
.569 .612 .856 r
.7197 .57942 .72268 .58612 .72902 .58576 .72604 .57905 Metetra
.572 .613 .855 r
.72604 .57905 .72902 .58576 .73538 .58535 .73241 .57863 Metetra
.574 .614 .855 r
.73241 .57863 .73538 .58535 .74176 .58488 .73879 .57815 Metetra
.577 .616 .854 r
.73879 .57815 .74176 .58488 .74815 .58436 .74519 .57761 Metetra
.58 .617 .854 r
.74519 .57761 .74815 .58436 .75457 .58376 .75161 .57701 Metetra
.583 .619 .853 r
.75161 .57701 .75457 .58376 .76099 .58309 .75804 .57632 Metetra
.587 .621 .853 r
.75804 .57632 .76099 .58309 .76743 .58233 .76449 .57556 Metetra
.591 .623 .852 r
.76449 .57556 .76743 .58233 .77389 .58149 .77095 .5747 Metetra
.595 .625 .851 r
.77095 .5747 .77389 .58149 .78036 .58055 .77742 .57375 Metetra
.6 .627 .85 r
.77742 .57375 .78036 .58055 .78684 .5795 .78391 .57269 Metetra
.604 .629 .849 r
.78391 .57269 .78684 .5795 .79333 .57834 .79041 .57152 Metetra
.609 .632 .848 r
.79041 .57152 .79333 .57834 .79984 .57707 .79692 .57023 Metetra
.614 .634 .847 r
.79692 .57023 .79984 .57707 .80635 .57567 .80343 .56883 Metetra
.619 .637 .846 r
.80343 .56883 .80635 .57567 .81287 .57414 .80996 .56729 Metetra
.624 .639 .845 r
.80996 .56729 .81287 .57414 .8194 .57248 .8165 .56561 Metetra
.63 .642 .843 r
.8165 .56561 .8194 .57248 .82594 .57067 .82304 .56379 Metetra
.635 .644 .842 r
.82304 .56379 .82594 .57067 .83248 .56871 .82959 .56181 Metetra
.641 .647 .841 r
.82959 .56181 .83248 .56871 .83903 .56659 .83614 .55969 Metetra
.647 .65 .839 r
.83614 .55969 .83903 .56659 .84558 .56431 .8427 .5574 Metetra
.653 .653 .837 r
.8427 .5574 .84558 .56431 .85213 .56186 .84926 .55494 Metetra
.659 .656 .836 r
.84926 .55494 .85213 .56186 .85868 .55924 .85582 .5523 Metetra
.665 .658 .834 r
.85582 .5523 .85868 .55924 .86523 .55643 .86238 .54949 Metetra
.671 .661 .832 r
.86238 .54949 .86523 .55643 .87179 .55345 .86893 .54649 Metetra
.677 .664 .83 r
.86893 .54649 .87179 .55345 .87833 .55026 .87549 .54329 Metetra
.683 .667 .828 r
.87549 .54329 .87833 .55026 .88487 .54689 .88204 .5399 Metetra
.689 .67 .826 r
.88204 .5399 .88487 .54689 .89141 .5433 .88858 .53631 Metetra
.695 .673 .824 r
.88858 .53631 .89141 .5433 .89794 .53952 .89512 .53251 Metetra
.702 .675 .822 r
.89512 .53251 .89794 .53952 .90446 .53552 .90165 .5285 Metetra
.708 .678 .819 r
.90165 .5285 .90446 .53552 .91097 .5313 .90816 .52427 Metetra
.714 .681 .817 r
.90816 .52427 .91097 .5313 .91747 .52687 .91467 .51983 Metetra
.72 .684 .814 r
.91467 .51983 .91747 .52687 .92395 .5222 .92116 .51515 Metetra
.823 .704 .733 r
.31656 .82161 .31996 .82757 .32589 .81696 .3225 .81099 Metetra
.821 .704 .736 r
.3225 .81099 .32589 .81696 .3318 .80664 .32843 .80066 Metetra
.818 .703 .738 r
.32843 .80066 .3318 .80664 .33769 .79661 .33432 .79062 Metetra
.815 .703 .741 r
.33432 .79062 .33769 .79661 .34356 .78687 .3402 .78087 Metetra
.812 .703 .744 r
.3402 .78087 .34356 .78687 .3494 .77741 .34606 .7714 Metetra
.81 .702 .746 r
.34606 .7714 .3494 .77741 .35523 .76824 .35189 .76222 Metetra
.806 .702 .749 r
.35189 .76222 .35523 .76824 .36104 .75934 .35771 .75332 Metetra
.803 .701 .752 r
.35771 .75332 .36104 .75934 .36683 .75072 .36351 .74469 Metetra
.8 .7 .755 r
.36351 .74469 .36683 .75072 .37261 .74237 .3693 .73633 Metetra
.796 .7 .758 r
.3693 .73633 .37261 .74237 .37837 .73429 .37507 .72824 Metetra
.793 .699 .761 r
.37507 .72824 .37837 .73429 .38412 .72648 .38083 .72042 Metetra
.789 .698 .764 r
.38083 .72042 .38412 .72648 .38986 .71893 .38658 .71285 Metetra
.785 .697 .767 r
.38658 .71285 .38986 .71893 .39558 .71163 .39231 .70555 Metetra
.781 .696 .77 r
.39231 .70555 .39558 .71163 .4013 .70459 .39804 .6985 Metetra
.777 .695 .773 r
.39804 .6985 .4013 .70459 .40701 .6978 .40376 .6917 Metetra
.773 .694 .776 r
.40376 .6917 .40701 .6978 .41271 .69126 .40946 .68515 Metetra
.768 .693 .779 r
.40946 .68515 .41271 .69126 .41841 .68496 .41517 .67884 Metetra
.764 .692 .782 r
.41517 .67884 .41841 .68496 .42409 .6789 .42086 .67278 Metetra
.759 .69 .786 r
.42086 .67278 .42409 .6789 .42978 .67308 .42656 .66694 Metetra
.755 .689 .789 r
.42656 .66694 .42978 .67308 .43546 .66749 .43224 .66134 Metetra
.75 .688 .792 r
.43224 .66134 .43546 .66749 .44114 .66212 .43793 .65597 Metetra
.745 .686 .795 r
.43793 .65597 .44114 .66212 .44682 .65699 .44361 .65082 Metetra
.739 .685 .798 r
.44361 .65082 .44682 .65699 .45249 .65207 .4493 .6459 Metetra
.734 .683 .801 r
.4493 .6459 .45249 .65207 .45817 .64736 .45498 .64118 Metetra
.729 .681 .804 r
.45498 .64118 .45817 .64736 .46385 .64287 .46067 .63668 Metetra
.723 .679 .807 r
.46067 .63668 .46385 .64287 .46953 .63859 .46636 .63239 Metetra
.717 .677 .81 r
.46636 .63239 .46953 .63859 .47522 .63451 .47205 .6283 Metetra
.712 .675 .813 r
.47205 .6283 .47522 .63451 .48091 .63063 .47774 .62441 Metetra
.706 .673 .816 r
.47774 .62441 .48091 .63063 .4866 .62694 .48344 .62071 Metetra
.7 .671 .818 r
.48344 .62071 .4866 .62694 .4923 .62344 .48915 .61721 Metetra
.694 .669 .821 r
.48915 .61721 .4923 .62344 .49801 .62013 .49486 .61389 Metetra
.688 .667 .824 r
.49486 .61389 .49801 .62013 .50373 .617 .50059 .61075 Metetra
.682 .664 .826 r
.50059 .61075 .50373 .617 .50945 .61405 .50632 .60778 Metetra
.676 .662 .829 r
.50632 .60778 .50945 .61405 .51519 .61126 .51206 .60499 Metetra
.67 .66 .831 r
.51206 .60499 .51519 .61126 .52093 .60864 .5178 .60236 Metetra
.664 .657 .833 r
.5178 .60236 .52093 .60864 .52669 .60619 .52357 .59989 Metetra
.658 .655 .835 r
.52357 .59989 .52669 .60619 .53245 .60389 .52934 .59758 Metetra
.652 .652 .837 r
.52934 .59758 .53245 .60389 .53823 .60174 .53512 .59542 Metetra
.646 .65 .839 r
.53512 .59542 .53823 .60174 .54403 .59973 .54092 .59341 Metetra
.64 .647 .841 r
.54092 .59341 .54403 .59973 .54983 .59787 .54673 .59154 Metetra
.634 .645 .843 r
.54673 .59154 .54983 .59787 .55565 .59615 .55256 .5898 Metetra
.629 .642 .845 r
.55256 .5898 .55565 .59615 .56149 .59455 .5584 .5882 Metetra
.623 .64 .846 r
.5584 .5882 .56149 .59455 .56734 .59308 .56425 .58672 Metetra
.618 .637 .848 r
.56425 .58672 .56734 .59308 .57321 .59173 .57012 .58536 Metetra
.612 .635 .849 r
.57012 .58536 .57321 .59173 .57909 .59049 .57601 .58411 Metetra
.607 .633 .85 r
.57601 .58411 .57909 .59049 .58499 .58936 .58192 .58297 Metetra
.602 .63 .852 r
.58192 .58297 .58499 .58936 .59091 .58833 .58784 .58193 Metetra
.598 .628 .853 r
.58784 .58193 .59091 .58833 .59685 .5874 .59378 .58099 Metetra
.593 .626 .854 r
.59378 .58099 .59685 .5874 .6028 .58656 .59974 .58014 Metetra
.589 .624 .855 r
.59974 .58014 .6028 .58656 .60878 .58581 .60572 .57937 Metetra
.585 .622 .855 r
.60572 .57937 .60878 .58581 .61477 .58513 .61171 .57868 Metetra
.581 .621 .856 r
.61171 .57868 .61477 .58513 .62078 .58452 .61773 .57807 Metetra
.578 .619 .857 r
.61773 .57807 .62078 .58452 .62681 .58398 .62377 .57752 Metetra
.575 .617 .857 r
.62377 .57752 .62681 .58398 .63287 .5835 .62982 .57703 Metetra
.572 .616 .858 r
.62982 .57703 .63287 .5835 .63894 .58308 .6359 .57659 Metetra
.57 .615 .858 r
.6359 .57659 .63894 .58308 .64503 .5827 .64199 .5762 Metetra
.568 .614 .859 r
.64199 .5762 .64503 .5827 .65114 .58236 .64811 .57586 Metetra
.566 .613 .859 r
.64811 .57586 .65114 .58236 .65727 .58206 .65425 .57554 Metetra
.564 .612 .859 r
.65425 .57554 .65727 .58206 .66343 .58178 .6604 .57525 Metetra
.563 .612 .859 r
.6604 .57525 .66343 .58178 .6696 .58153 .66658 .57499 Metetra
.562 .611 .859 r
.66658 .57499 .6696 .58153 .67579 .58129 .67278 .57474 Metetra
.562 .611 .859 r
.67278 .57474 .67579 .58129 .682 .58105 .67899 .57449 Metetra
.562 .611 .859 r
.67899 .57449 .682 .58105 .68824 .58082 .68523 .57425 Metetra
.562 .611 .859 r
.68523 .57425 .68824 .58082 .69449 .58058 .69149 .574 Metetra
.563 .612 .859 r
.69149 .574 .69449 .58058 .70076 .58033 .69777 .57373 Metetra
.564 .612 .859 r
.69777 .57373 .70076 .58033 .70706 .58006 .70406 .57345 Metetra
.565 .613 .859 r
.70406 .57345 .70706 .58006 .71337 .57976 .71038 .57314 Metetra
.567 .614 .859 r
.71038 .57314 .71337 .57976 .7197 .57942 .71671 .5728 Metetra
.569 .615 .858 r
.71671 .5728 .7197 .57942 .72604 .57905 .72306 .57241 Metetra
.571 .616 .858 r
.72306 .57241 .72604 .57905 .73241 .57863 .72943 .57198 Metetra
.574 .617 .858 r
.72943 .57198 .73241 .57863 .73879 .57815 .73582 .57149 Metetra
.576 .618 .857 r
.73582 .57149 .73879 .57815 .74519 .57761 .74223 .57094 Metetra
.58 .62 .857 r
.74223 .57094 .74519 .57761 .75161 .57701 .74865 .57032 Metetra
.583 .622 .856 r
.74865 .57032 .75161 .57701 .75804 .57632 .75508 .56963 Metetra
.587 .624 .855 r
.75508 .56963 .75804 .57632 .76449 .57556 .76154 .56885 Metetra
.591 .625 .855 r
.76154 .56885 .76449 .57556 .77095 .5747 .768 .56798 Metetra
.595 .628 .854 r
.768 .56798 .77095 .5747 .77742 .57375 .77448 .56702 Metetra
.599 .63 .853 r
.77448 .56702 .77742 .57375 .78391 .57269 .78097 .56595 Metetra
.604 .632 .852 r
.78097 .56595 .78391 .57269 .79041 .57152 .78748 .56477 Metetra
.609 .634 .851 r
.78748 .56477 .79041 .57152 .79692 .57023 .79399 .56347 Metetra
.614 .637 .85 r
.79399 .56347 .79692 .57023 .80343 .56883 .80052 .56205 Metetra
.619 .639 .849 r
.80052 .56205 .80343 .56883 .80996 .56729 .80705 .5605 Metetra
.624 .642 .848 r
.80705 .5605 .80996 .56729 .8165 .56561 .81359 .55881 Metetra
.63 .645 .846 r
.81359 .55881 .8165 .56561 .82304 .56379 .82014 .55698 Metetra
.635 .647 .845 r
.82014 .55698 .82304 .56379 .82959 .56181 .8267 .555 Metetra
.641 .65 .843 r
.8267 .555 .82959 .56181 .83614 .55969 .83326 .55286 Metetra
.647 .653 .842 r
.83326 .55286 .83614 .55969 .8427 .5574 .83982 .55055 Metetra
.653 .656 .84 r
.83982 .55055 .8427 .5574 .84926 .55494 .84638 .54808 Metetra
.659 .659 .838 r
.84638 .54808 .84926 .55494 .85582 .5523 .85295 .54544 Metetra
.665 .661 .837 r
.85295 .54544 .85582 .5523 .86238 .54949 .85952 .54261 Metetra
.671 .664 .835 r
.85952 .54261 .86238 .54949 .86893 .54649 .86608 .5396 Metetra
.678 .667 .833 r
.86608 .5396 .86893 .54649 .87549 .54329 .87264 .53639 Metetra
.684 .67 .831 r
.87264 .53639 .87549 .54329 .88204 .5399 .8792 .53299 Metetra
.69 .673 .828 r
.8792 .53299 .88204 .5399 .88858 .53631 .88575 .52939 Metetra
.696 .676 .826 r
.88575 .52939 .88858 .53631 .89512 .53251 .8923 .52558 Metetra
.703 .679 .824 r
.8923 .52558 .89512 .53251 .90165 .5285 .89883 .52156 Metetra
.709 .681 .821 r
.89883 .52156 .90165 .5285 .90816 .52427 .90536 .51732 Metetra
.715 .684 .819 r
.90536 .51732 .90816 .52427 .91467 .51983 .91187 .51286 Metetra
.721 .687 .816 r
.91187 .51286 .91467 .51983 .92116 .51515 .91837 .50818 Metetra
.825 .706 .734 r
.31314 .81572 .31656 .82161 .3225 .81099 .3191 .80509 Metetra
.822 .706 .737 r
.3191 .80509 .3225 .81099 .32843 .80066 .32503 .79475 Metetra
.819 .706 .739 r
.32503 .79475 .32843 .80066 .33432 .79062 .33094 .7847 Metetra
.817 .705 .742 r
.33094 .7847 .33432 .79062 .3402 .78087 .33683 .77494 Metetra
.814 .705 .745 r
.33683 .77494 .3402 .78087 .34606 .7714 .3427 .76547 Metetra
.811 .704 .747 r
.3427 .76547 .34606 .7714 .35189 .76222 .34854 .75627 Metetra
.808 .704 .75 r
.34854 .75627 .35189 .76222 .35771 .75332 .35437 .74736 Metetra
.805 .703 .753 r
.35437 .74736 .35771 .75332 .36351 .74469 .36019 .73872 Metetra
.801 .703 .756 r
.36019 .73872 .36351 .74469 .3693 .73633 .36598 .73036 Metetra
.798 .702 .759 r
.36598 .73036 .3693 .73633 .37507 .72824 .37176 .72226 Metetra
.794 .701 .762 r
.37176 .72226 .37507 .72824 .38083 .72042 .37753 .71442 Metetra
.79 .7 .765 r
.37753 .71442 .38083 .72042 .38658 .71285 .38329 .70685 Metetra
.787 .7 .768 r
.38329 .70685 .38658 .71285 .39231 .70555 .38903 .69954 Metetra
.783 .699 .771 r
.38903 .69954 .39231 .70555 .39804 .6985 .39476 .69248 Metetra
.778 .698 .775 r
.39476 .69248 .39804 .6985 .40376 .6917 .40049 .68567 Metetra
.774 .697 .778 r
.40049 .68567 .40376 .6917 .40946 .68515 .40621 .67911 Metetra
.77 .696 .781 r
.40621 .67911 .40946 .68515 .41517 .67884 .41192 .6728 Metetra
.765 .694 .784 r
.41192 .6728 .41517 .67884 .42086 .67278 .41762 .66672 Metetra
.761 .693 .787 r
.41762 .66672 .42086 .67278 .42656 .66694 .42332 .66088 Metetra
.756 .692 .79 r
.42332 .66088 .42656 .66694 .43224 .66134 .42902 .65527 Metetra
.751 .69 .794 r
.42902 .65527 .43224 .66134 .43793 .65597 .43471 .64989 Metetra
.746 .689 .797 r
.43471 .64989 .43793 .65597 .44361 .65082 .4404 .64473 Metetra
.741 .687 .8 r
.4404 .64473 .44361 .65082 .4493 .6459 .44609 .6398 Metetra
.735 .686 .803 r
.44609 .6398 .4493 .6459 .45498 .64118 .45178 .63507 Metetra
.73 .684 .806 r
.45178 .63507 .45498 .64118 .46067 .63668 .45747 .63056 Metetra
.724 .682 .809 r
.45747 .63056 .46067 .63668 .46636 .63239 .46317 .62626 Metetra
.719 .68 .812 r
.46317 .62626 .46636 .63239 .47205 .6283 .46887 .62216 Metetra
.713 .678 .815 r
.46887 .62216 .47205 .6283 .47774 .62441 .47457 .61826 Metetra
.707 .676 .818 r
.47457 .61826 .47774 .62441 .48344 .62071 .48027 .61456 Metetra
.701 .674 .821 r
.48027 .61456 .48344 .62071 .48915 .61721 .48599 .61104 Metetra
.695 .672 .823 r
.48599 .61104 .48915 .61721 .49486 .61389 .49171 .60771 Metetra
.689 .67 .826 r
.49171 .60771 .49486 .61389 .50059 .61075 .49743 .60456 Metetra
.683 .667 .828 r
.49743 .60456 .50059 .61075 .50632 .60778 .50317 .60159 Metetra
.677 .665 .831 r
.50317 .60159 .50632 .60778 .51206 .60499 .50891 .59878 Metetra
.671 .662 .833 r
.50891 .59878 .51206 .60499 .5178 .60236 .51467 .59614 Metetra
.664 .66 .836 r
.51467 .59614 .5178 .60236 .52357 .59989 .52043 .59367 Metetra
.658 .658 .838 r
.52043 .59367 .52357 .59989 .52934 .59758 .52621 .59135 Metetra
.652 .655 .84 r
.52621 .59135 .52934 .59758 .53512 .59542 .532 .58918 Metetra
.646 .653 .842 r
.532 .58918 .53512 .59542 .54092 .59341 .5378 .58716 Metetra
.64 .65 .844 r
.5378 .58716 .54092 .59341 .54673 .59154 .54362 .58528 Metetra
.634 .648 .846 r
.54362 .58528 .54673 .59154 .55256 .5898 .54945 .58353 Metetra
.629 .645 .847 r
.54945 .58353 .55256 .5898 .5584 .5882 .55529 .58192 Metetra
.623 .643 .849 r
.55529 .58192 .5584 .5882 .56425 .58672 .56115 .58042 Metetra
.618 .64 .851 r
.56115 .58042 .56425 .58672 .57012 .58536 .56703 .57905 Metetra
.612 .638 .852 r
.56703 .57905 .57012 .58536 .57601 .58411 .57292 .57779 Metetra
.607 .635 .853 r
.57292 .57779 .57601 .58411 .58192 .58297 .57883 .57664 Metetra
.602 .633 .854 r
.57883 .57664 .58192 .58297 .58784 .58193 .58476 .5756 Metetra
.597 .631 .855 r
.58476 .5756 .58784 .58193 .59378 .58099 .59071 .57464 Metetra
.593 .629 .856 r
.59071 .57464 .59378 .58099 .59974 .58014 .59667 .57378 Metetra
.589 .627 .857 r
.59667 .57378 .59974 .58014 .60572 .57937 .60265 .57301 Metetra
.585 .625 .858 r
.60265 .57301 .60572 .57937 .61171 .57868 .60865 .57231 Metetra
.581 .623 .859 r
.60865 .57231 .61171 .57868 .61773 .57807 .61467 .57168 Metetra
.577 .622 .86 r
.61467 .57168 .61773 .57807 .62377 .57752 .62071 .57112 Metetra
.574 .62 .86 r
.62071 .57112 .62377 .57752 .62982 .57703 .62677 .57062 Metetra
.572 .619 .861 r
.62677 .57062 .62982 .57703 .6359 .57659 .63285 .57018 Metetra
.569 .618 .861 r
.63285 .57018 .6359 .57659 .64199 .5762 .63895 .56978 Metetra
.567 .617 .862 r
.63895 .56978 .64199 .5762 .64811 .57586 .64507 .56942 Metetra
.565 .616 .862 r
.64507 .56942 .64811 .57586 .65425 .57554 .65121 .56909 Metetra
.564 .615 .862 r
.65121 .56909 .65425 .57554 .6604 .57525 .65737 .56879 Metetra
.563 .614 .862 r
.65737 .56879 .6604 .57525 .66658 .57499 .66355 .56852 Metetra
.562 .614 .862 r
.66355 .56852 .66658 .57499 .67278 .57474 .66976 .56826 Metetra
.561 .614 .862 r
.66976 .56826 .67278 .57474 .67899 .57449 .67598 .568 Metetra
.561 .614 .862 r
.67598 .568 .67899 .57449 .68523 .57425 .68222 .56775 Metetra
.562 .614 .862 r
.68222 .56775 .68523 .57425 .69149 .574 .68848 .56748 Metetra
.562 .614 .862 r
.68848 .56748 .69149 .574 .69777 .57373 .69476 .56721 Metetra
.563 .615 .862 r
.69476 .56721 .69777 .57373 .70406 .57345 .70106 .56692 Metetra
.564 .615 .862 r
.70106 .56692 .70406 .57345 .71038 .57314 .70738 .5666 Metetra
.566 .616 .862 r
.70738 .5666 .71038 .57314 .71671 .5728 .71372 .56624 Metetra
.568 .617 .861 r
.71372 .56624 .71671 .5728 .72306 .57241 .72008 .56584 Metetra
.57 .618 .861 r
.72008 .56584 .72306 .57241 .72943 .57198 .72646 .5654 Metetra
.573 .62 .861 r
.72646 .5654 .72943 .57198 .73582 .57149 .73285 .5649 Metetra
.576 .621 .86 r
.73285 .5649 .73582 .57149 .74223 .57094 .73926 .56434 Metetra
.579 .623 .86 r
.73926 .56434 .74223 .57094 .74865 .57032 .74568 .56371 Metetra
.583 .624 .859 r
.74568 .56371 .74865 .57032 .75508 .56963 .75213 .563 Metetra
.586 .626 .858 r
.75213 .563 .75508 .56963 .76154 .56885 .75858 .56221 Metetra
.59 .628 .858 r
.75858 .56221 .76154 .56885 .768 .56798 .76505 .56134 Metetra
.595 .63 .857 r
.76505 .56134 .768 .56798 .77448 .56702 .77154 .56036 Metetra
.599 .633 .856 r
.77154 .56036 .77448 .56702 .78097 .56595 .77804 .55928 Metetra
.604 .635 .855 r
.77804 .55928 .78097 .56595 .78748 .56477 .78455 .55809 Metetra
.609 .637 .854 r
.78455 .55809 .78748 .56477 .79399 .56347 .79107 .55678 Metetra
.614 .64 .853 r
.79107 .55678 .79399 .56347 .80052 .56205 .7976 .55535 Metetra
.619 .642 .852 r
.7976 .55535 .80052 .56205 .80705 .5605 .80414 .55379 Metetra
.624 .645 .85 r
.80414 .55379 .80705 .5605 .81359 .55881 .81069 .55209 Metetra
.63 .648 .849 r
.81069 .55209 .81359 .55881 .82014 .55698 .81724 .55024 Metetra
.636 .65 .848 r
.81724 .55024 .82014 .55698 .8267 .555 .8238 .54825 Metetra
.642 .653 .846 r
.8238 .54825 .8267 .555 .83326 .55286 .83037 .5461 Metetra
.647 .656 .844 r
.83037 .5461 .83326 .55286 .83982 .55055 .83694 .54378 Metetra
.653 .659 .843 r
.83694 .54378 .83982 .55055 .84638 .54808 .84351 .5413 Metetra
.66 .662 .841 r
.84351 .5413 .84638 .54808 .85295 .54544 .85008 .53864 Metetra
.666 .665 .839 r
.85008 .53864 .85295 .54544 .85952 .54261 .85666 .5358 Metetra
.672 .667 .837 r
.85666 .5358 .85952 .54261 .86608 .5396 .86323 .53278 Metetra
.678 .67 .835 r
.86323 .53278 .86608 .5396 .87264 .53639 .8698 .52957 Metetra
.685 .673 .833 r
.8698 .52957 .87264 .53639 .8792 .53299 .87636 .52615 Metetra
.691 .676 .831 r
.87636 .52615 .8792 .53299 .88575 .52939 .88292 .52254 Metetra
.697 .679 .829 r
.88292 .52254 .88575 .52939 .8923 .52558 .88947 .51872 Metetra
.703 .682 .826 r
.88947 .51872 .8923 .52558 .89883 .52156 .89602 .51468 Metetra
.71 .685 .824 r
.89602 .51468 .89883 .52156 .90536 .51732 .90255 .51043 Metetra
.716 .687 .821 r
.90255 .51043 .90536 .51732 .91187 .51286 .90907 .50596 Metetra
.722 .69 .819 r
.90907 .50596 .91187 .51286 .91837 .50818 .91558 .50127 Metetra
.826 .708 .735 r
.30971 .8099 .31314 .81572 .3191 .80509 .31568 .79926 Metetra
.823 .708 .737 r
.31568 .79926 .3191 .80509 .32503 .79475 .32163 .78891 Metetra
.821 .708 .74 r
.32163 .78891 .32503 .79475 .33094 .7847 .32755 .77886 Metetra
.818 .707 .743 r
.32755 .77886 .33094 .7847 .33683 .77494 .33345 .76909 Metetra
.815 .707 .746 r
.33345 .76909 .33683 .77494 .3427 .76547 .33932 .7596 Metetra
.812 .707 .748 r
.33932 .7596 .3427 .76547 .34854 .75627 .34518 .7504 Metetra
.809 .706 .751 r
.34518 .7504 .34854 .75627 .35437 .74736 .35102 .74148 Metetra
.806 .706 .754 r
.35102 .74148 .35437 .74736 .36019 .73872 .35684 .73283 Metetra
.803 .705 .757 r
.35684 .73283 .36019 .73872 .36598 .73036 .36265 .72445 Metetra
.799 .704 .76 r
.36265 .72445 .36598 .73036 .37176 .72226 .36844 .71635 Metetra
.796 .704 .763 r
.36844 .71635 .37176 .72226 .37753 .71442 .37422 .7085 Metetra
.792 .703 .766 r
.37422 .7085 .37753 .71442 .38329 .70685 .37998 .70092 Metetra
.788 .702 .77 r
.37998 .70092 .38329 .70685 .38903 .69954 .38574 .6936 Metetra
.784 .701 .773 r
.38574 .6936 .38903 .69954 .39476 .69248 .39148 .68653 Metetra
.78 .7 .776 r
.39148 .68653 .39476 .69248 .40049 .68567 .39721 .67972 Metetra
.776 .699 .779 r
.39721 .67972 .40049 .68567 .40621 .67911 .40294 .67315 Metetra
.771 .698 .782 r
.40294 .67315 .40621 .67911 .41192 .6728 .40866 .66682 Metetra
.767 .697 .786 r
.40866 .66682 .41192 .6728 .41762 .66672 .41437 .66074 Metetra
.762 .696 .789 r
.41437 .66074 .41762 .66672 .42332 .66088 .42007 .65489 Metetra
.757 .695 .792 r
.42007 .65489 .42332 .66088 .42902 .65527 .42578 .64927 Metetra
.752 .693 .795 r
.42578 .64927 .42902 .65527 .43471 .64989 .43148 .64388 Metetra
.747 .692 .798 r
.43148 .64388 .43471 .64989 .4404 .64473 .43718 .63871 Metetra
.742 .69 .802 r
.43718 .63871 .4404 .64473 .44609 .6398 .44287 .63376 Metetra
.736 .688 .805 r
.44287 .63376 .44609 .6398 .45178 .63507 .44857 .62903 Metetra
.731 .687 .808 r
.44857 .62903 .45178 .63507 .45747 .63056 .45427 .62451 Metetra
.725 .685 .811 r
.45427 .62451 .45747 .63056 .46317 .62626 .45997 .6202 Metetra
.72 .683 .814 r
.45997 .6202 .46317 .62626 .46887 .62216 .46568 .61609 Metetra
.714 .681 .817 r
.46568 .61609 .46887 .62216 .47457 .61826 .47138 .61218 Metetra
.708 .679 .82 r
.47138 .61218 .47457 .61826 .48027 .61456 .4771 .60847 Metetra
.702 .677 .823 r
.4771 .60847 .48027 .61456 .48599 .61104 .48282 .60494 Metetra
.696 .675 .826 r
.48282 .60494 .48599 .61104 .49171 .60771 .48854 .6016 Metetra
.69 .673 .828 r
.48854 .6016 .49171 .60771 .49743 .60456 .49427 .59844 Metetra
.684 .67 .831 r
.49427 .59844 .49743 .60456 .50317 .60159 .50001 .59546 Metetra
.677 .668 .833 r
.50001 .59546 .50317 .60159 .50891 .59878 .50576 .59265 Metetra
.671 .665 .836 r
.50576 .59265 .50891 .59878 .51467 .59614 .51152 .59 Metetra
.665 .663 .838 r
.51152 .59 .51467 .59614 .52043 .59367 .5173 .58751 Metetra
.659 .661 .84 r
.5173 .58751 .52043 .59367 .52621 .59135 .52308 .58518 Metetra
.653 .658 .843 r
.52308 .58518 .52621 .59135 .532 .58918 .52887 .58301 Metetra
.647 .656 .845 r
.52887 .58301 .532 .58918 .5378 .58716 .53468 .58097 Metetra
.641 .653 .847 r
.53468 .58097 .5378 .58716 .54362 .58528 .5405 .57908 Metetra
.635 .651 .848 r
.5405 .57908 .54362 .58528 .54945 .58353 .54633 .57733 Metetra
.629 .648 .85 r
.54633 .57733 .54945 .58353 .55529 .58192 .55218 .5757 Metetra
.623 .646 .852 r
.55218 .5757 .55529 .58192 .56115 .58042 .55805 .5742 Metetra
.618 .643 .853 r
.55805 .5742 .56115 .58042 .56703 .57905 .56393 .57282 Metetra
.612 .641 .855 r
.56393 .57282 .56703 .57905 .57292 .57779 .56983 .57155 Metetra
.607 .638 .856 r
.56983 .57155 .57292 .57779 .57883 .57664 .57574 .57039 Metetra
.602 .636 .857 r
.57574 .57039 .57883 .57664 .58476 .5756 .58167 .56933 Metetra
.597 .634 .858 r
.58167 .56933 .58476 .5756 .59071 .57464 .58762 .56837 Metetra
.593 .632 .859 r
.58762 .56837 .59071 .57464 .59667 .57378 .59359 .5675 Metetra
.588 .63 .86 r
.59359 .5675 .59667 .57378 .60265 .57301 .59958 .56671 Metetra
.584 .628 .861 r
.59958 .56671 .60265 .57301 .60865 .57231 .60558 .566 Metetra
.58 .626 .862 r
.60558 .566 .60865 .57231 .61467 .57168 .61161 .56537 Metetra
.577 .624 .863 r
.61161 .56537 .61467 .57168 .62071 .57112 .61765 .5648 Metetra
.574 .623 .863 r
.61765 .5648 .62071 .57112 .62677 .57062 .62372 .56429 Metetra
.571 .622 .864 r
.62372 .56429 .62677 .57062 .63285 .57018 .6298 .56383 Metetra
.568 .62 .864 r
.6298 .56383 .63285 .57018 .63895 .56978 .6359 .56342 Metetra
.566 .619 .864 r
.6359 .56342 .63895 .56978 .64507 .56942 .64203 .56305 Metetra
.564 .618 .865 r
.64203 .56305 .64507 .56942 .65121 .56909 .64817 .56271 Metetra
.563 .618 .865 r
.64817 .56271 .65121 .56909 .65737 .56879 .65434 .56241 Metetra
.562 .617 .865 r
.65434 .56241 .65737 .56879 .66355 .56852 .66052 .56212 Metetra
.561 .617 .865 r
.66052 .56212 .66355 .56852 .66976 .56826 .66673 .56185 Metetra
.561 .617 .865 r
.66673 .56185 .66976 .56826 .67598 .568 .67296 .56158 Metetra
.56 .617 .865 r
.67296 .56158 .67598 .568 .68222 .56775 .6792 .56131 Metetra
.561 .617 .865 r
.6792 .56131 .68222 .56775 .68848 .56748 .68547 .56104 Metetra
.561 .617 .865 r
.68547 .56104 .68848 .56748 .69476 .56721 .69176 .56076 Metetra
.562 .617 .865 r
.69176 .56076 .69476 .56721 .70106 .56692 .69806 .56045 Metetra
.564 .618 .865 r
.69806 .56045 .70106 .56692 .70738 .5666 .70439 .56012 Metetra
.565 .619 .865 r
.70439 .56012 .70738 .5666 .71372 .56624 .71073 .55975 Metetra
.567 .62 .864 r
.71073 .55975 .71372 .56624 .72008 .56584 .71709 .55935 Metetra
.57 .621 .864 r
.71709 .55935 .72008 .56584 .72646 .5654 .72347 .55889 Metetra
.572 .622 .864 r
.72347 .55889 .72646 .5654 .73285 .5649 .72987 .55838 Metetra
.575 .624 .863 r
.72987 .55838 .73285 .5649 .73926 .56434 .73628 .55781 Metetra
.579 .626 .862 r
.73628 .55781 .73926 .56434 .74568 .56371 .74272 .55717 Metetra
.582 .627 .862 r
.74272 .55717 .74568 .56371 .75213 .563 .74916 .55645 Metetra
.586 .629 .861 r
.74916 .55645 .75213 .563 .75858 .56221 .75563 .55565 Metetra
.59 .631 .86 r
.75563 .55565 .75858 .56221 .76505 .56134 .7621 .55476 Metetra
.594 .633 .86 r
.7621 .55476 .76505 .56134 .77154 .56036 .76859 .55377 Metetra
.599 .635 .859 r
.76859 .55377 .77154 .56036 .77804 .55928 .7751 .55268 Metetra
.604 .638 .858 r
.7751 .55268 .77804 .55928 .78455 .55809 .78161 .55148 Metetra
.609 .64 .857 r
.78161 .55148 .78455 .55809 .79107 .55678 .78814 .55016 Metetra
.614 .643 .856 r
.78814 .55016 .79107 .55678 .7976 .55535 .79467 .54872 Metetra
.619 .645 .854 r
.79467 .54872 .7976 .55535 .80414 .55379 .80122 .54714 Metetra
.624 .648 .853 r
.80122 .54714 .80414 .55379 .81069 .55209 .80778 .54543 Metetra
.63 .651 .852 r
.80778 .54543 .81069 .55209 .81724 .55024 .81434 .54358 Metetra
.636 .653 .85 r
.81434 .54358 .81724 .55024 .8238 .54825 .8209 .54157 Metetra
.642 .656 .849 r
.8209 .54157 .8238 .54825 .83037 .5461 .82748 .53941 Metetra
.648 .659 .847 r
.82748 .53941 .83037 .5461 .83694 .54378 .83405 .53708 Metetra
.654 .662 .845 r
.83405 .53708 .83694 .54378 .84351 .5413 .84063 .53459 Metetra
.66 .665 .844 r
.84063 .53459 .84351 .5413 .85008 .53864 .84721 .53192 Metetra
.666 .668 .842 r
.84721 .53192 .85008 .53864 .85666 .5358 .85379 .52907 Metetra
.673 .671 .84 r
.85379 .52907 .85666 .5358 .86323 .53278 .86037 .52604 Metetra
.679 .673 .838 r
.86037 .52604 .86323 .53278 .8698 .52957 .86695 .52281 Metetra
.685 .676 .836 r
.86695 .52281 .8698 .52957 .87636 .52615 .87352 .51938 Metetra
.692 .679 .833 r
.87352 .51938 .87636 .52615 .88292 .52254 .88009 .51576 Metetra
.698 .682 .831 r
.88009 .51576 .88292 .52254 .88947 .51872 .88665 .51192 Metetra
.704 .685 .829 r
.88665 .51192 .88947 .51872 .89602 .51468 .8932 .50788 Metetra
.711 .688 .826 r
.8932 .50788 .89602 .51468 .90255 .51043 .89974 .50362 Metetra
.717 .69 .824 r
.89974 .50362 .90255 .51043 .90907 .50596 .90627 .49914 Metetra
.723 .693 .821 r
.90627 .49914 .90907 .50596 .91558 .50127 .91279 .49443 Metetra
.827 .71 .736 r
.30627 .80416 .30971 .8099 .31568 .79926 .31225 .79351 Metetra
.825 .71 .738 r
.31225 .79351 .31568 .79926 .32163 .78891 .31821 .78315 Metetra
.822 .71 .741 r
.31821 .78315 .32163 .78891 .32755 .77886 .32414 .77308 Metetra
.819 .709 .744 r
.32414 .77308 .32755 .77886 .33345 .76909 .33005 .76331 Metetra
.817 .709 .747 r
.33005 .76331 .33345 .76909 .33932 .7596 .33594 .75381 Metetra
.814 .709 .749 r
.33594 .75381 .33932 .7596 .34518 .7504 .34181 .7446 Metetra
.81 .708 .752 r
.34181 .7446 .34518 .7504 .35102 .74148 .34766 .73567 Metetra
.807 .708 .755 r
.34766 .73567 .35102 .74148 .35684 .73283 .35349 .72701 Metetra
.804 .707 .758 r
.35349 .72701 .35684 .73283 .36265 .72445 .3593 .71862 Metetra
.8 .707 .761 r
.3593 .71862 .36265 .72445 .36844 .71635 .36511 .71051 Metetra
.797 .706 .765 r
.36511 .71051 .36844 .71635 .37422 .7085 .37089 .70266 Metetra
.793 .705 .768 r
.37089 .70266 .37422 .7085 .37998 .70092 .37667 .69507 Metetra
.789 .705 .771 r
.37667 .69507 .37998 .70092 .38574 .6936 .38243 .68773 Metetra
.785 .704 .774 r
.38243 .68773 .38574 .6936 .39148 .68653 .38818 .68066 Metetra
.781 .703 .777 r
.38818 .68066 .39148 .68653 .39721 .67972 .39392 .67383 Metetra
.777 .702 .781 r
.39392 .67383 .39721 .67972 .40294 .67315 .39966 .66725 Metetra
.772 .701 .784 r
.39966 .66725 .40294 .67315 .40866 .66682 .40538 .66092 Metetra
.768 .7 .787 r
.40538 .66092 .40866 .66682 .41437 .66074 .4111 .65482 Metetra
.763 .699 .79 r
.4111 .65482 .41437 .66074 .42007 .65489 .41682 .64896 Metetra
.758 .697 .794 r
.41682 .64896 .42007 .65489 .42578 .64927 .42253 .64333 Metetra
.753 .696 .797 r
.42253 .64333 .42578 .64927 .43148 .64388 .42824 .63793 Metetra
.748 .694 .8 r
.42824 .63793 .43148 .64388 .43718 .63871 .43394 .63276 Metetra
.743 .693 .803 r
.43394 .63276 .43718 .63871 .44287 .63376 .43965 .6278 Metetra
.737 .691 .807 r
.43965 .6278 .44287 .63376 .44857 .62903 .44535 .62306 Metetra
.732 .69 .81 r
.44535 .62306 .44857 .62903 .45427 .62451 .45106 .61853 Metetra
.726 .688 .813 r
.45106 .61853 .45427 .62451 .45997 .6202 .45676 .61421 Metetra
.721 .686 .816 r
.45676 .61421 .45997 .6202 .46568 .61609 .46247 .61009 Metetra
.715 .684 .819 r
.46247 .61009 .46568 .61609 .47138 .61218 .46819 .60618 Metetra
.709 .682 .822 r
.46819 .60618 .47138 .61218 .4771 .60847 .47391 .60245 Metetra
.703 .68 .825 r
.47391 .60245 .4771 .60847 .48282 .60494 .47963 .59892 Metetra
.697 .678 .828 r
.47963 .59892 .48282 .60494 .48854 .6016 .48536 .59557 Metetra
.691 .676 .831 r
.48536 .59557 .48854 .6016 .49427 .59844 .4911 .5924 Metetra
.684 .673 .833 r
.4911 .5924 .49427 .59844 .50001 .59546 .49685 .5894 Metetra
.678 .671 .836 r
.49685 .5894 .50001 .59546 .50576 .59265 .5026 .58658 Metetra
.672 .668 .838 r
.5026 .58658 .50576 .59265 .51152 .59 .50837 .58392 Metetra
.666 .666 .841 r
.50837 .58392 .51152 .59 .5173 .58751 .51415 .58143 Metetra
.659 .664 .843 r
.51415 .58143 .5173 .58751 .52308 .58518 .51993 .57909 Metetra
.653 .661 .845 r
.51993 .57909 .52308 .58518 .52887 .58301 .52573 .5769 Metetra
.647 .659 .847 r
.52573 .5769 .52887 .58301 .53468 .58097 .53155 .57486 Metetra
.641 .656 .849 r
.53155 .57486 .53468 .58097 .5405 .57908 .53737 .57296 Metetra
.635 .654 .851 r
.53737 .57296 .5405 .57908 .54633 .57733 .54321 .57119 Metetra
.629 .651 .853 r
.54321 .57119 .54633 .57733 .55218 .5757 .54907 .56956 Metetra
.623 .649 .855 r
.54907 .56956 .55218 .5757 .55805 .5742 .55494 .56805 Metetra
.617 .646 .856 r
.55494 .56805 .55805 .5742 .56393 .57282 .56082 .56665 Metetra
.612 .644 .858 r
.56082 .56665 .56393 .57282 .56983 .57155 .56672 .56538 Metetra
.607 .641 .859 r
.56672 .56538 .56983 .57155 .57574 .57039 .57264 .5642 Metetra
.602 .639 .86 r
.57264 .5642 .57574 .57039 .58167 .56933 .57858 .56314 Metetra
.597 .637 .861 r
.57858 .56314 .58167 .56933 .58762 .56837 .58453 .56216 Metetra
.592 .635 .862 r
.58453 .56216 .58762 .56837 .59359 .5675 .5905 .56128 Metetra
.588 .633 .863 r
.5905 .56128 .59359 .5675 .59958 .56671 .5965 .56049 Metetra
.584 .631 .864 r
.5965 .56049 .59958 .56671 .60558 .566 .60251 .55977 Metetra
.58 .629 .865 r
.60251 .55977 .60558 .566 .61161 .56537 .60853 .55912 Metetra
.576 .627 .866 r
.60853 .55912 .61161 .56537 .61765 .5648 .61458 .55854 Metetra
.573 .626 .866 r
.61458 .55854 .61765 .5648 .62372 .56429 .62065 .55802 Metetra
.57 .624 .867 r
.62065 .55802 .62372 .56429 .6298 .56383 .62674 .55755 Metetra
.568 .623 .867 r
.62674 .55755 .6298 .56383 .6359 .56342 .63285 .55713 Metetra
.565 .622 .867 r
.63285 .55713 .6359 .56342 .64203 .56305 .63898 .55675 Metetra
.564 .621 .868 r
.63898 .55675 .64203 .56305 .64817 .56271 .64513 .5564 Metetra
.562 .62 .868 r
.64513 .5564 .64817 .56271 .65434 .56241 .6513 .55609 Metetra
.561 .62 .868 r
.6513 .55609 .65434 .56241 .66052 .56212 .65749 .55579 Metetra
.56 .62 .868 r
.65749 .55579 .66052 .56212 .66673 .56185 .6637 .5555 Metetra
.56 .619 .868 r
.6637 .5555 .66673 .56185 .67296 .56158 .66993 .55523 Metetra
.56 .619 .868 r
.66993 .55523 .67296 .56158 .6792 .56131 .67618 .55495 Metetra
.56 .619 .868 r
.67618 .55495 .6792 .56131 .68547 .56104 .68245 .55467 Metetra
.561 .62 .868 r
.68245 .55467 .68547 .56104 .69176 .56076 .68874 .55437 Metetra
.562 .62 .868 r
.68874 .55437 .69176 .56076 .69806 .56045 .69505 .55406 Metetra
.563 .621 .868 r
.69505 .55406 .69806 .56045 .70439 .56012 .70138 .55372 Metetra
.565 .622 .868 r
.70138 .55372 .70439 .56012 .71073 .55975 .70773 .55334 Metetra
.567 .623 .867 r
.70773 .55334 .71073 .55975 .71709 .55935 .7141 .55292 Metetra
.569 .624 .867 r
.7141 .55292 .71709 .55935 .72347 .55889 .72048 .55245 Metetra
.572 .625 .867 r
.72048 .55245 .72347 .55889 .72987 .55838 .72689 .55193 Metetra
.575 .627 .866 r
.72689 .55193 .72987 .55838 .73628 .55781 .73331 .55135 Metetra
.578 .628 .865 r
.73331 .55135 .73628 .55781 .74272 .55717 .73974 .5507 Metetra
.582 .63 .865 r
.73974 .5507 .74272 .55717 .74916 .55645 .7462 .54997 Metetra
.585 .632 .864 r
.7462 .54997 .74916 .55645 .75563 .55565 .75266 .54916 Metetra
.59 .634 .863 r
.75266 .54916 .75563 .55565 .7621 .55476 .75915 .54826 Metetra
.594 .636 .863 r
.75915 .54826 .7621 .55476 .76859 .55377 .76564 .54726 Metetra
.598 .638 .862 r
.76564 .54726 .76859 .55377 .7751 .55268 .77215 .54616 Metetra
.603 .641 .861 r
.77215 .54616 .7751 .55268 .78161 .55148 .77867 .54494 Metetra
.608 .643 .86 r
.77867 .54494 .78161 .55148 .78814 .55016 .78521 .54361 Metetra
.614 .646 .858 r
.78521 .54361 .78814 .55016 .79467 .54872 .79175 .54216 Metetra
.619 .648 .857 r
.79175 .54216 .79467 .54872 .80122 .54714 .7983 .54057 Metetra
.625 .651 .856 r
.7983 .54057 .80122 .54714 .80778 .54543 .80486 .53885 Metetra
.63 .654 .855 r
.80486 .53885 .80778 .54543 .81434 .54358 .81143 .53698 Metetra
.636 .656 .853 r
.81143 .53698 .81434 .54358 .8209 .54157 .81801 .53497 Metetra
.642 .659 .851 r
.81801 .53497 .8209 .54157 .82748 .53941 .82459 .53279 Metetra
.648 .662 .85 r
.82459 .53279 .82748 .53941 .83405 .53708 .83117 .53046 Metetra
.654 .665 .848 r
.83117 .53046 .83405 .53708 .84063 .53459 .83775 .52795 Metetra
.661 .668 .846 r
.83775 .52795 .84063 .53459 .84721 .53192 .84434 .52527 Metetra
.667 .671 .844 r
.84434 .52527 .84721 .53192 .85379 .52907 .85093 .52241 Metetra
.673 .674 .842 r
.85093 .52241 .85379 .52907 .86037 .52604 .85752 .51936 Metetra
.68 .677 .84 r
.85752 .51936 .86037 .52604 .86695 .52281 .8641 .51612 Metetra
.686 .68 .838 r
.8641 .51612 .86695 .52281 .87352 .51938 .87068 .51269 Metetra
.692 .682 .836 r
.87068 .51269 .87352 .51938 .88009 .51576 .87726 .50905 Metetra
.699 .685 .833 r
.87726 .50905 .88009 .51576 .88665 .51192 .88382 .5052 Metetra
.705 .688 .831 r
.88382 .5052 .88665 .51192 .8932 .50788 .89038 .50115 Metetra
.712 .691 .828 r
.89038 .50115 .8932 .50788 .89974 .50362 .89694 .49687 Metetra
.718 .694 .826 r
.89694 .49687 .89974 .50362 .90627 .49914 .90347 .49238 Metetra
.725 .696 .823 r
.90347 .49238 .90627 .49914 .91279 .49443 .91 .48766 Metetra
.829 .712 .736 r
.30281 .7985 .30627 .80416 .31225 .79351 .3088 .78783 Metetra
.826 .712 .739 r
.3088 .78783 .31225 .79351 .31821 .78315 .31477 .77746 Metetra
.823 .712 .742 r
.31477 .77746 .31821 .78315 .32414 .77308 .32071 .76739 Metetra
.821 .712 .745 r
.32071 .76739 .32414 .77308 .33005 .76331 .32664 .7576 Metetra
.818 .711 .748 r
.32664 .7576 .33005 .76331 .33594 .75381 .33254 .74809 Metetra
.815 .711 .75 r
.33254 .74809 .33594 .75381 .34181 .7446 .33842 .73887 Metetra
.812 .711 .753 r
.33842 .73887 .34181 .7446 .34766 .73567 .34428 .72993 Metetra
.809 .71 .756 r
.34428 .72993 .34766 .73567 .35349 .72701 .35012 .72126 Metetra
.805 .71 .76 r
.35012 .72126 .35349 .72701 .3593 .71862 .35595 .71287 Metetra
.802 .709 .763 r
.35595 .71287 .3593 .71862 .36511 .71051 .36176 .70474 Metetra
.798 .709 .766 r
.36176 .70474 .36511 .71051 .37089 .70266 .36755 .69688 Metetra
.795 .708 .769 r
.36755 .69688 .37089 .70266 .37667 .69507 .37334 .68928 Metetra
.791 .707 .772 r
.37334 .68928 .37667 .69507 .38243 .68773 .37911 .68194 Metetra
.787 .706 .775 r
.37911 .68194 .38243 .68773 .38818 .68066 .38487 .67485 Metetra
.782 .705 .779 r
.38487 .67485 .38818 .68066 .39392 .67383 .39062 .66801 Metetra
.778 .705 .782 r
.39062 .66801 .39392 .67383 .39966 .66725 .39636 .66143 Metetra
.774 .704 .785 r
.39636 .66143 .39966 .66725 .40538 .66092 .4021 .65508 Metetra
.769 .702 .789 r
.4021 .65508 .40538 .66092 .4111 .65482 .40782 .64898 Metetra
.764 .701 .792 r
.40782 .64898 .4111 .65482 .41682 .64896 .41355 .64311 Metetra
.76 .7 .795 r
.41355 .64311 .41682 .64896 .42253 .64333 .41927 .63747 Metetra
.755 .699 .799 r
.41927 .63747 .42253 .64333 .42824 .63793 .42498 .63206 Metetra
.749 .697 .802 r
.42498 .63206 .42824 .63793 .43394 .63276 .43069 .62687 Metetra
.744 .696 .805 r
.43069 .62687 .43394 .63276 .43965 .6278 .43641 .62191 Metetra
.739 .694 .809 r
.43641 .62191 .43965 .6278 .44535 .62306 .44212 .61716 Metetra
.733 .693 .812 r
.44212 .61716 .44535 .62306 .45106 .61853 .44783 .61262 Metetra
.727 .691 .815 r
.44783 .61262 .45106 .61853 .45676 .61421 .45355 .60829 Metetra
.722 .689 .818 r
.45355 .60829 .45676 .61421 .46247 .61009 .45926 .60416 Metetra
.716 .687 .821 r
.45926 .60416 .46247 .61009 .46819 .60618 .46498 .60024 Metetra
.71 .685 .824 r
.46498 .60024 .46819 .60618 .47391 .60245 .47071 .5965 Metetra
.704 .683 .827 r
.47071 .5965 .47391 .60245 .47963 .59892 .47644 .59296 Metetra
.698 .681 .83 r
.47644 .59296 .47963 .59892 .48536 .59557 .48218 .5896 Metetra
.691 .679 .833 r
.48218 .5896 .48536 .59557 .4911 .5924 .48792 .58642 Metetra
.685 .676 .836 r
.48792 .58642 .4911 .5924 .49685 .5894 .49367 .58341 Metetra
.679 .674 .838 r
.49367 .58341 .49685 .5894 .5026 .58658 .49944 .58058 Metetra
.672 .672 .841 r
.49944 .58058 .5026 .58658 .50837 .58392 .50521 .57791 Metetra
.666 .669 .843 r
.50521 .57791 .50837 .58392 .51415 .58143 .51099 .57541 Metetra
.66 .667 .846 r
.51099 .57541 .51415 .58143 .51993 .57909 .51678 .57306 Metetra
.653 .664 .848 r
.51678 .57306 .51993 .57909 .52573 .5769 .52259 .57086 Metetra
.647 .662 .85 r
.52259 .57086 .52573 .5769 .53155 .57486 .5284 .56881 Metetra
.641 .659 .852 r
.5284 .56881 .53155 .57486 .53737 .57296 .53423 .5669 Metetra
.635 .657 .854 r
.53423 .5669 .53737 .57296 .54321 .57119 .54008 .56512 Metetra
.629 .654 .856 r
.54008 .56512 .54321 .57119 .54907 .56956 .54594 .56348 Metetra
.623 .652 .857 r
.54594 .56348 .54907 .56956 .55494 .56805 .55181 .56196 Metetra
.617 .649 .859 r
.55181 .56196 .55494 .56805 .56082 .56665 .5577 .56056 Metetra
.612 .647 .86 r
.5577 .56056 .56082 .56665 .56672 .56538 .56361 .55927 Metetra
.607 .644 .862 r
.56361 .55927 .56672 .56538 .57264 .5642 .56953 .55809 Metetra
.601 .642 .863 r
.56953 .55809 .57264 .5642 .57858 .56314 .57548 .55701 Metetra
.596 .64 .864 r
.57548 .55701 .57858 .56314 .58453 .56216 .58143 .55603 Metetra
.592 .638 .865 r
.58143 .55603 .58453 .56216 .5905 .56128 .58741 .55514 Metetra
.587 .636 .866 r
.58741 .55514 .5905 .56128 .5965 .56049 .59341 .55433 Metetra
.583 .634 .867 r
.59341 .55433 .5965 .56049 .60251 .55977 .59942 .5536 Metetra
.579 .632 .868 r
.59942 .5536 .60251 .55977 .60853 .55912 .60545 .55294 Metetra
.576 .63 .869 r
.60545 .55294 .60853 .55912 .61458 .55854 .61151 .55235 Metetra
.572 .629 .869 r
.61151 .55235 .61458 .55854 .62065 .55802 .61758 .55182 Metetra
.57 .627 .87 r
.61758 .55182 .62065 .55802 .62674 .55755 .62367 .55134 Metetra
.567 .626 .87 r
.62367 .55134 .62674 .55755 .63285 .55713 .62979 .55091 Metetra
.565 .625 .871 r
.62979 .55091 .63285 .55713 .63898 .55675 .63592 .55052 Metetra
.563 .624 .871 r
.63592 .55052 .63898 .55675 .64513 .5564 .64208 .55017 Metetra
.561 .623 .871 r
.64208 .55017 .64513 .5564 .6513 .55609 .64825 .54984 Metetra
.56 .623 .871 r
.64825 .54984 .6513 .55609 .65749 .55579 .65444 .54953 Metetra
.559 .622 .871 r
.65444 .54953 .65749 .55579 .6637 .5555 .66066 .54923 Metetra
.559 .622 .871 r
.66066 .54923 .6637 .5555 .66993 .55523 .6669 .54895 Metetra
.559 .622 .871 r
.6669 .54895 .66993 .55523 .67618 .55495 .67315 .54866 Metetra
.559 .622 .871 r
.67315 .54866 .67618 .55495 .68245 .55467 .67943 .54837 Metetra
.56 .623 .871 r
.67943 .54837 .68245 .55467 .68874 .55437 .68572 .54806 Metetra
.561 .623 .871 r
.68572 .54806 .68874 .55437 .69505 .55406 .69204 .54773 Metetra
.562 .624 .871 r
.69204 .54773 .69505 .55406 .70138 .55372 .69837 .54738 Metetra
.564 .625 .871 r
.69837 .54738 .70138 .55372 .70773 .55334 .70473 .54699 Metetra
.566 .626 .87 r
.70473 .54699 .70773 .55334 .7141 .55292 .7111 .54656 Metetra
.568 .627 .87 r
.7111 .54656 .7141 .55292 .72048 .55245 .71749 .54609 Metetra
.571 .628 .87 r
.71749 .54609 .72048 .55245 .72689 .55193 .7239 .54556 Metetra
.574 .63 .869 r
.7239 .54556 .72689 .55193 .73331 .55135 .73032 .54496 Metetra
.577 .631 .868 r
.73032 .54496 .73331 .55135 .73974 .5507 .73677 .5443 Metetra
.581 .633 .868 r
.73677 .5443 .73974 .5507 .7462 .54997 .74322 .54356 Metetra
.585 .635 .867 r
.74322 .54356 .7462 .54997 .75266 .54916 .7497 .54274 Metetra
.589 .637 .866 r
.7497 .54274 .75266 .54916 .75915 .54826 .75619 .54182 Metetra
.594 .639 .866 r
.75619 .54182 .75915 .54826 .76564 .54726 .76269 .54081 Metetra
.598 .641 .865 r
.76269 .54081 .76564 .54726 .77215 .54616 .7692 .5397 Metetra
.603 .644 .864 r
.7692 .5397 .77215 .54616 .77867 .54494 .77573 .53848 Metetra
.608 .646 .863 r
.77573 .53848 .77867 .54494 .78521 .54361 .78227 .53714 Metetra
.613 .649 .861 r
.78227 .53714 .78521 .54361 .79175 .54216 .78882 .53567 Metetra
.619 .651 .86 r
.78882 .53567 .79175 .54216 .7983 .54057 .79538 .53407 Metetra
.625 .654 .859 r
.79538 .53407 .7983 .54057 .80486 .53885 .80195 .53234 Metetra
.63 .657 .857 r
.80195 .53234 .80486 .53885 .81143 .53698 .80852 .53046 Metetra
.636 .66 .856 r
.80852 .53046 .81143 .53698 .81801 .53497 .8151 .52843 Metetra
.642 .662 .854 r
.8151 .52843 .81801 .53497 .82459 .53279 .82169 .52625 Metetra
.648 .665 .853 r
.82169 .52625 .82459 .53279 .83117 .53046 .82828 .5239 Metetra
.655 .668 .851 r
.82828 .5239 .83117 .53046 .83775 .52795 .83487 .52138 Metetra
.661 .671 .849 r
.83487 .52138 .83775 .52795 .84434 .52527 .84147 .51869 Metetra
.667 .674 .847 r
.84147 .51869 .84434 .52527 .85093 .52241 .84807 .51582 Metetra
.674 .677 .845 r
.84807 .51582 .85093 .52241 .85752 .51936 .85466 .51276 Metetra
.68 .68 .843 r
.85466 .51276 .85752 .51936 .8641 .51612 .86125 .50951 Metetra
.687 .683 .841 r
.86125 .50951 .8641 .51612 .87068 .51269 .86784 .50606 Metetra
.693 .686 .838 r
.86784 .50606 .87068 .51269 .87726 .50905 .87442 .50241 Metetra
.7 .689 .836 r
.87442 .50241 .87726 .50905 .88382 .5052 .881 .49855 Metetra
.706 .691 .833 r
.881 .49855 .88382 .5052 .89038 .50115 .88757 .49449 Metetra
.713 .694 .831 r
.88757 .49449 .89038 .50115 .89694 .49687 .89413 .4902 Metetra
.719 .697 .828 r
.89413 .4902 .89694 .49687 .90347 .49238 .90068 .4857 Metetra
.726 .7 .825 r
.90068 .4857 .90347 .49238 .91 .48766 .90721 .48097 Metetra
.83 .714 .737 r
.29934 .7929 .30281 .7985 .3088 .78783 .30534 .78223 Metetra
.827 .714 .74 r
.30534 .78223 .3088 .78783 .31477 .77746 .31132 .77185 Metetra
.825 .714 .743 r
.31132 .77185 .31477 .77746 .32071 .76739 .31728 .76176 Metetra
.822 .714 .746 r
.31728 .76176 .32071 .76739 .32664 .7576 .32321 .75196 Metetra
.819 .714 .749 r
.32321 .75196 .32664 .7576 .33254 .74809 .32912 .74245 Metetra
.816 .713 .751 r
.32912 .74245 .33254 .74809 .33842 .73887 .33501 .73322 Metetra
.813 .713 .754 r
.33501 .73322 .33842 .73887 .34428 .72993 .34088 .72426 Metetra
.81 .713 .758 r
.34088 .72426 .34428 .72993 .35012 .72126 .34674 .71559 Metetra
.807 .712 .761 r
.34674 .71559 .35012 .72126 .35595 .71287 .35257 .70718 Metetra
.803 .712 .764 r
.35257 .70718 .35595 .71287 .36176 .70474 .35839 .69904 Metetra
.8 .711 .767 r
.35839 .69904 .36176 .70474 .36755 .69688 .3642 .69117 Metetra
.796 .71 .77 r
.3642 .69117 .36755 .69688 .37334 .68928 .36999 .68356 Metetra
.792 .71 .774 r
.36999 .68356 .37334 .68928 .37911 .68194 .37577 .67621 Metetra
.788 .709 .777 r
.37577 .67621 .37911 .68194 .38487 .67485 .38154 .66912 Metetra
.784 .708 .78 r
.38154 .66912 .38487 .67485 .39062 .66801 .3873 .66227 Metetra
.78 .707 .784 r
.3873 .66227 .39062 .66801 .39636 .66143 .39305 .65567 Metetra
.775 .706 .787 r
.39305 .65567 .39636 .66143 .4021 .65508 .3988 .64932 Metetra
.77 .705 .79 r
.3988 .64932 .4021 .65508 .40782 .64898 .40453 .6432 Metetra
.766 .704 .794 r
.40453 .6432 .40782 .64898 .41355 .64311 .41027 .63732 Metetra
.761 .703 .797 r
.41027 .63732 .41355 .64311 .41927 .63747 .41599 .63168 Metetra
.756 .702 .8 r
.41599 .63168 .41927 .63747 .42498 .63206 .42172 .62626 Metetra
.751 .7 .804 r
.42172 .62626 .42498 .63206 .43069 .62687 .42744 .62106 Metetra
.745 .699 .807 r
.42744 .62106 .43069 .62687 .43641 .62191 .43316 .61609 Metetra
.74 .697 .811 r
.43316 .61609 .43641 .62191 .44212 .61716 .43887 .61133 Metetra
.734 .696 .814 r
.43887 .61133 .44212 .61716 .44783 .61262 .44459 .60678 Metetra
.729 .694 .817 r
.44459 .60678 .44783 .61262 .45355 .60829 .45032 .60244 Metetra
.723 .692 .82 r
.45032 .60244 .45355 .60829 .45926 .60416 .45604 .5983 Metetra
.717 .69 .823 r
.45604 .5983 .45926 .60416 .46498 .60024 .46177 .59436 Metetra
.711 .688 .827 r
.46177 .59436 .46498 .60024 .47071 .5965 .4675 .59062 Metetra
.705 .686 .83 r
.4675 .59062 .47071 .5965 .47644 .59296 .47324 .58707 Metetra
.698 .684 .832 r
.47324 .58707 .47644 .59296 .48218 .5896 .47898 .5837 Metetra
.692 .682 .835 r
.47898 .5837 .48218 .5896 .48792 .58642 .48473 .58051 Metetra
.686 .679 .838 r
.48473 .58051 .48792 .58642 .49367 .58341 .49049 .57749 Metetra
.679 .677 .841 r
.49049 .57749 .49367 .58341 .49944 .58058 .49626 .57465 Metetra
.673 .675 .843 r
.49626 .57465 .49944 .58058 .50521 .57791 .50203 .57198 Metetra
.667 .672 .846 r
.50203 .57198 .50521 .57791 .51099 .57541 .50782 .56946 Metetra
.66 .67 .848 r
.50782 .56946 .51099 .57541 .51678 .57306 .51362 .5671 Metetra
.654 .667 .851 r
.51362 .5671 .51678 .57306 .52259 .57086 .51943 .56489 Metetra
.648 .665 .853 r
.51943 .56489 .52259 .57086 .5284 .56881 .52525 .56283 Metetra
.641 .662 .855 r
.52525 .56283 .5284 .56881 .53423 .5669 .53109 .56091 Metetra
.635 .66 .857 r
.53109 .56091 .53423 .5669 .54008 .56512 .53694 .55913 Metetra
.629 .657 .859 r
.53694 .55913 .54008 .56512 .54594 .56348 .5428 .55747 Metetra
.623 .655 .86 r
.5428 .55747 .54594 .56348 .55181 .56196 .54868 .55594 Metetra
.617 .652 .862 r
.54868 .55594 .55181 .56196 .5577 .56056 .55458 .55453 Metetra
.612 .65 .863 r
.55458 .55453 .5577 .56056 .56361 .55927 .56049 .55323 Metetra
.606 .647 .865 r
.56049 .55323 .56361 .55927 .56953 .55809 .56642 .55204 Metetra
.601 .645 .866 r
.56642 .55204 .56953 .55809 .57548 .55701 .57236 .55095 Metetra
.596 .643 .867 r
.57236 .55095 .57548 .55701 .58143 .55603 .57833 .54996 Metetra
.591 .641 .868 r
.57833 .54996 .58143 .55603 .58741 .55514 .58431 .54906 Metetra
.587 .639 .869 r
.58431 .54906 .58741 .55514 .59341 .55433 .59031 .54824 Metetra
.583 .637 .87 r
.59031 .54824 .59341 .55433 .59942 .5536 .59633 .5475 Metetra
.579 .635 .871 r
.59633 .5475 .59942 .5536 .60545 .55294 .60237 .54684 Metetra
.575 .633 .872 r
.60237 .54684 .60545 .55294 .61151 .55235 .60843 .54623 Metetra
.572 .632 .872 r
.60843 .54623 .61151 .55235 .61758 .55182 .6145 .54569 Metetra
.569 .63 .873 r
.6145 .54569 .61758 .55182 .62367 .55134 .6206 .5452 Metetra
.566 .629 .873 r
.6206 .5452 .62367 .55134 .62979 .55091 .62672 .54476 Metetra
.564 .628 .874 r
.62672 .54476 .62979 .55091 .63592 .55052 .63286 .54436 Metetra
.562 .627 .874 r
.63286 .54436 .63592 .55052 .64208 .55017 .63902 .544 Metetra
.56 .626 .874 r
.63902 .544 .64208 .55017 .64825 .54984 .6452 .54366 Metetra
.559 .626 .874 r
.6452 .54366 .64825 .54984 .65444 .54953 .65139 .54334 Metetra
.558 .625 .874 r
.65139 .54334 .65444 .54953 .66066 .54923 .65762 .54303 Metetra
.558 .625 .875 r
.65762 .54303 .66066 .54923 .6669 .54895 .66386 .54274 Metetra
.558 .625 .875 r
.66386 .54274 .6669 .54895 .67315 .54866 .67012 .54244 Metetra
.558 .625 .875 r
.67012 .54244 .67315 .54866 .67943 .54837 .6764 .54213 Metetra
.559 .625 .874 r
.6764 .54213 .67943 .54837 .68572 .54806 .6827 .54182 Metetra
.56 .626 .874 r
.6827 .54182 .68572 .54806 .69204 .54773 .68902 .54148 Metetra
.561 .627 .874 r
.68902 .54148 .69204 .54773 .69837 .54738 .69536 .54112 Metetra
.563 .627 .874 r
.69536 .54112 .69837 .54738 .70473 .54699 .70172 .54072 Metetra
.565 .628 .873 r
.70172 .54072 .70473 .54699 .7111 .54656 .7081 .54028 Metetra
.568 .63 .873 r
.7081 .54028 .7111 .54656 .71749 .54609 .71449 .53979 Metetra
.57 .631 .873 r
.71449 .53979 .71749 .54609 .7239 .54556 .72091 .53925 Metetra
.573 .633 .872 r
.72091 .53925 .7239 .54556 .73032 .54496 .72734 .53864 Metetra
.577 .634 .872 r
.72734 .53864 .73032 .54496 .73677 .5443 .73378 .53797 Metetra
.58 .636 .871 r
.73378 .53797 .73677 .5443 .74322 .54356 .74025 .53722 Metetra
.584 .638 .87 r
.74025 .53722 .74322 .54356 .7497 .54274 .74673 .53639 Metetra
.589 .64 .869 r
.74673 .53639 .7497 .54274 .75619 .54182 .75322 .53546 Metetra
.593 .642 .869 r
.75322 .53546 .75619 .54182 .76269 .54081 .75973 .53444 Metetra
.598 .644 .868 r
.75973 .53444 .76269 .54081 .7692 .5397 .76625 .53332 Metetra
.603 .647 .867 r
.76625 .53332 .7692 .5397 .77573 .53848 .77279 .53208 Metetra
.608 .649 .865 r
.77279 .53208 .77573 .53848 .78227 .53714 .77933 .53073 Metetra
.613 .652 .864 r
.77933 .53073 .78227 .53714 .78882 .53567 .78589 .52925 Metetra
.619 .655 .863 r
.78589 .52925 .78882 .53567 .79538 .53407 .79245 .52764 Metetra
.625 .657 .862 r
.79245 .52764 .79538 .53407 .80195 .53234 .79903 .5259 Metetra
.63 .66 .86 r
.79903 .5259 .80195 .53234 .80852 .53046 .80561 .52401 Metetra
.636 .663 .859 r
.80561 .52401 .80852 .53046 .8151 .52843 .8122 .52197 Metetra
.643 .666 .857 r
.8122 .52197 .8151 .52843 .82169 .52625 .81879 .51977 Metetra
.649 .669 .855 r
.81879 .51977 .82169 .52625 .82828 .5239 .82539 .51741 Metetra
.655 .671 .854 r
.82539 .51741 .82828 .5239 .83487 .52138 .83199 .51488 Metetra
.661 .674 .852 r
.83199 .51488 .83487 .52138 .84147 .51869 .83859 .51218 Metetra
.668 .677 .85 r
.83859 .51218 .84147 .51869 .84807 .51582 .8452 .5093 Metetra
.674 .68 .848 r
.8452 .5093 .84807 .51582 .85466 .51276 .8518 .50623 Metetra
.681 .683 .845 r
.8518 .50623 .85466 .51276 .86125 .50951 .8584 .50296 Metetra
.688 .686 .843 r
.8584 .50296 .86125 .50951 .86784 .50606 .865 .49951 Metetra
.694 .689 .841 r
.865 .49951 .86784 .50606 .87442 .50241 .87159 .49584 Metetra
.701 .692 .838 r
.87159 .49584 .87442 .50241 .881 .49855 .87817 .49198 Metetra
.707 .695 .836 r
.87817 .49198 .881 .49855 .88757 .49449 .88475 .4879 Metetra
.714 .698 .833 r
.88475 .4879 .88757 .49449 .89413 .4902 .89132 .4836 Metetra
.72 .7 .831 r
.89132 .4836 .89413 .4902 .90068 .4857 .89788 .47908 Metetra
.727 .703 .828 r
.89788 .47908 .90068 .4857 .90721 .48097 .90442 .47434 Metetra
.831 .717 .738 r
.29585 .78738 .29934 .7929 .30534 .78223 .30186 .7767 Metetra
.829 .716 .741 r
.30186 .7767 .30534 .78223 .31132 .77185 .30786 .76631 Metetra
.826 .716 .744 r
.30786 .76631 .31132 .77185 .31728 .76176 .31382 .75621 Metetra
.823 .716 .747 r
.31382 .75621 .31728 .76176 .32321 .75196 .31977 .7464 Metetra
.821 .716 .749 r
.31977 .7464 .32321 .75196 .32912 .74245 .32569 .73688 Metetra
.818 .716 .752 r
.32569 .73688 .32912 .74245 .33501 .73322 .33159 .72763 Metetra
.815 .715 .756 r
.33159 .72763 .33501 .73322 .34088 .72426 .33748 .71867 Metetra
.811 .715 .759 r
.33748 .71867 .34088 .72426 .34674 .71559 .34334 .70998 Metetra
.808 .715 .762 r
.34334 .70998 .34674 .71559 .35257 .70718 .34919 .70157 Metetra
.805 .714 .765 r
.34919 .70157 .35257 .70718 .35839 .69904 .35502 .69342 Metetra
.801 .714 .768 r
.35502 .69342 .35839 .69904 .3642 .69117 .36083 .68554 Metetra
.797 .713 .772 r
.36083 .68554 .3642 .69117 .36999 .68356 .36664 .67792 Metetra
.793 .712 .775 r
.36664 .67792 .36999 .68356 .37577 .67621 .37243 .67056 Metetra
.789 .712 .778 r
.37243 .67056 .37577 .67621 .38154 .66912 .37821 .66345 Metetra
.785 .711 .782 r
.37821 .66345 .38154 .66912 .3873 .66227 .38398 .65659 Metetra
.781 .71 .785 r
.38398 .65659 .3873 .66227 .39305 .65567 .38974 .64999 Metetra
.776 .709 .788 r
.38974 .64999 .39305 .65567 .3988 .64932 .39549 .64362 Metetra
.772 .708 .792 r
.39549 .64362 .3988 .64932 .40453 .6432 .40123 .6375 Metetra
.767 .707 .795 r
.40123 .6375 .40453 .6432 .41027 .63732 .40697 .63161 Metetra
.762 .706 .799 r
.40697 .63161 .41027 .63732 .41599 .63168 .41271 .62595 Metetra
.757 .704 .802 r
.41271 .62595 .41599 .63168 .42172 .62626 .41844 .62052 Metetra
.752 .703 .806 r
.41844 .62052 .42172 .62626 .42744 .62106 .42417 .61532 Metetra
.746 .702 .809 r
.42417 .61532 .42744 .62106 .43316 .61609 .42989 .61033 Metetra
.741 .7 .812 r
.42989 .61033 .43316 .61609 .43887 .61133 .43562 .60556 Metetra
.735 .699 .816 r
.43562 .60556 .43887 .61133 .44459 .60678 .44135 .60101 Metetra
.73 .697 .819 r
.44135 .60101 .44459 .60678 .45032 .60244 .44707 .59666 Metetra
.724 .695 .822 r
.44707 .59666 .45032 .60244 .45604 .5983 .4528 .59251 Metetra
.718 .693 .826 r
.4528 .59251 .45604 .5983 .46177 .59436 .45854 .58856 Metetra
.712 .691 .829 r
.45854 .58856 .46177 .59436 .4675 .59062 .46428 .58481 Metetra
.705 .689 .832 r
.46428 .58481 .4675 .59062 .47324 .58707 .47002 .58124 Metetra
.699 .687 .835 r
.47002 .58124 .47324 .58707 .47898 .5837 .47577 .57786 Metetra
.693 .685 .838 r
.47577 .57786 .47898 .5837 .48473 .58051 .48153 .57467 Metetra
.687 .683 .841 r
.48153 .57467 .48473 .58051 .49049 .57749 .48729 .57164 Metetra
.68 .68 .843 r
.48729 .57164 .49049 .57749 .49626 .57465 .49307 .56879 Metetra
.674 .678 .846 r
.49307 .56879 .49626 .57465 .50203 .57198 .49885 .56611 Metetra
.667 .675 .849 r
.49885 .56611 .50203 .57198 .50782 .56946 .50464 .56358 Metetra
.661 .673 .851 r
.50464 .56358 .50782 .56946 .51362 .5671 .51045 .56121 Metetra
.654 .67 .853 r
.51045 .56121 .51362 .5671 .51943 .56489 .51626 .559 Metetra
.648 .668 .855 r
.51626 .559 .51943 .56489 .52525 .56283 .52209 .55692 Metetra
.642 .665 .858 r
.52209 .55692 .52525 .56283 .53109 .56091 .52793 .55499 Metetra
.635 .663 .86 r
.52793 .55499 .53109 .56091 .53694 .55913 .53379 .5532 Metetra
.629 .66 .861 r
.53379 .5532 .53694 .55913 .5428 .55747 .53966 .55153 Metetra
.623 .658 .863 r
.53966 .55153 .5428 .55747 .54868 .55594 .54554 .54999 Metetra
.617 .655 .865 r
.54554 .54999 .54868 .55594 .55458 .55453 .55144 .54857 Metetra
.612 .653 .866 r
.55144 .54857 .55458 .55453 .56049 .55323 .55736 .54726 Metetra
.606 .65 .868 r
.55736 .54726 .56049 .55323 .56642 .55204 .56329 .54606 Metetra
.601 .648 .869 r
.56329 .54606 .56642 .55204 .57236 .55095 .56924 .54496 Metetra
.596 .646 .87 r
.56924 .54496 .57236 .55095 .57833 .54996 .57521 .54396 Metetra
.591 .644 .871 r
.57521 .54396 .57833 .54996 .58431 .54906 .5812 .54305 Metetra
.586 .642 .872 r
.5812 .54305 .58431 .54906 .59031 .54824 .5872 .54222 Metetra
.582 .64 .873 r
.5872 .54222 .59031 .54824 .59633 .5475 .59323 .54147 Metetra
.578 .638 .874 r
.59323 .54147 .59633 .5475 .60237 .54684 .59927 .5408 Metetra
.574 .636 .875 r
.59927 .5408 .60237 .54684 .60843 .54623 .60533 .54019 Metetra
.571 .634 .875 r
.60533 .54019 .60843 .54623 .6145 .54569 .61142 .53963 Metetra
.568 .633 .876 r
.61142 .53963 .6145 .54569 .6206 .5452 .61752 .53914 Metetra
.565 .632 .876 r
.61752 .53914 .6206 .5452 .62672 .54476 .62364 .53868 Metetra
.563 .631 .877 r
.62364 .53868 .62672 .54476 .63286 .54436 .62979 .53827 Metetra
.561 .63 .877 r
.62979 .53827 .63286 .54436 .63902 .544 .63595 .5379 Metetra
.56 .629 .877 r
.63595 .5379 .63902 .544 .6452 .54366 .64213 .53755 Metetra
.558 .628 .877 r
.64213 .53755 .6452 .54366 .65139 .54334 .64834 .53722 Metetra
.557 .628 .878 r
.64834 .53722 .65139 .54334 .65762 .54303 .65456 .5369 Metetra
.557 .628 .878 r
.65456 .5369 .65762 .54303 .66386 .54274 .66081 .53659 Metetra
.557 .628 .878 r
.66081 .53659 .66386 .54274 .67012 .54244 .66708 .53629 Metetra
.557 .628 .878 r
.66708 .53629 .67012 .54244 .6764 .54213 .67336 .53597 Metetra
.558 .628 .878 r
.67336 .53597 .6764 .54213 .6827 .54182 .67967 .53564 Metetra
.559 .629 .877 r
.67967 .53564 .6827 .54182 .68902 .54148 .68599 .5353 Metetra
.56 .629 .877 r
.68599 .5353 .68902 .54148 .69536 .54112 .69234 .53492 Metetra
.562 .63 .877 r
.69234 .53492 .69536 .54112 .70172 .54072 .6987 .53451 Metetra
.564 .631 .877 r
.6987 .53451 .70172 .54072 .7081 .54028 .70509 .53406 Metetra
.567 .633 .876 r
.70509 .53406 .7081 .54028 .71449 .53979 .71149 .53356 Metetra
.57 .634 .876 r
.71149 .53356 .71449 .53979 .72091 .53925 .71791 .53301 Metetra
.573 .635 .875 r
.71791 .53301 .72091 .53925 .72734 .53864 .72434 .5324 Metetra
.576 .637 .875 r
.72434 .5324 .72734 .53864 .73378 .53797 .7308 .53171 Metetra
.58 .639 .874 r
.7308 .53171 .73378 .53797 .74025 .53722 .73727 .53095 Metetra
.584 .641 .873 r
.73727 .53095 .74025 .53722 .74673 .53639 .74375 .53011 Metetra
.588 .643 .872 r
.74375 .53011 .74673 .53639 .75322 .53546 .75025 .52917 Metetra
.593 .645 .872 r
.75025 .52917 .75322 .53546 .75973 .53444 .75677 .52814 Metetra
.598 .648 .871 r
.75677 .52814 .75973 .53444 .76625 .53332 .7633 .527 Metetra
.603 .65 .87 r
.7633 .527 .76625 .53332 .77279 .53208 .76984 .52576 Metetra
.608 .652 .868 r
.76984 .52576 .77279 .53208 .77933 .53073 .77639 .52439 Metetra
.613 .655 .867 r
.77639 .52439 .77933 .53073 .78589 .52925 .78295 .52291 Metetra
.619 .658 .866 r
.78295 .52291 .78589 .52925 .79245 .52764 .78953 .52129 Metetra
.625 .66 .865 r
.78953 .52129 .79245 .52764 .79903 .5259 .79611 .51953 Metetra
.631 .663 .863 r
.79611 .51953 .79903 .5259 .80561 .52401 .8027 .51763 Metetra
.637 .666 .862 r
.8027 .51763 .80561 .52401 .8122 .52197 .80929 .51558 Metetra
.643 .669 .86 r
.80929 .51558 .8122 .52197 .81879 .51977 .81589 .51337 Metetra
.649 .672 .858 r
.81589 .51337 .81879 .51977 .82539 .51741 .8225 .511 Metetra
.655 .675 .856 r
.8225 .511 .82539 .51741 .83199 .51488 .82911 .50846 Metetra
.662 .678 .854 r
.82911 .50846 .83199 .51488 .83859 .51218 .83572 .50574 Metetra
.668 .681 .852 r
.83572 .50574 .83859 .51218 .8452 .5093 .84233 .50285 Metetra
.675 .684 .85 r
.84233 .50285 .8452 .5093 .8518 .50623 .84894 .49976 Metetra
.682 .687 .848 r
.84894 .49976 .8518 .50623 .8584 .50296 .85555 .49649 Metetra
.688 .689 .846 r
.85555 .49649 .8584 .50296 .865 .49951 .86215 .49302 Metetra
.695 .692 .843 r
.86215 .49302 .865 .49951 .87159 .49584 .86875 .48935 Metetra
.702 .695 .841 r
.86875 .48935 .87159 .49584 .87817 .49198 .87535 .48547 Metetra
.708 .698 .838 r
.87535 .48547 .87817 .49198 .88475 .4879 .88193 .48138 Metetra
.715 .701 .836 r
.88193 .48138 .88475 .4879 .89132 .4836 .88851 .47707 Metetra
.721 .704 .833 r
.88851 .47707 .89132 .4836 .89788 .47908 .89508 .47254 Metetra
.728 .706 .83 r
.89508 .47254 .89788 .47908 .90442 .47434 .90163 .46778 Metetra
.833 .719 .739 r
.29234 .78194 .29585 .78738 .30186 .7767 .29837 .77124 Metetra
.83 .719 .742 r
.29837 .77124 .30186 .7767 .30786 .76631 .30438 .76084 Metetra
.828 .719 .745 r
.30438 .76084 .30786 .76631 .31382 .75621 .31036 .75073 Metetra
.825 .718 .747 r
.31036 .75073 .31382 .75621 .31977 .7464 .31631 .74091 Metetra
.822 .718 .75 r
.31631 .74091 .31977 .7464 .32569 .73688 .32225 .73138 Metetra
.819 .718 .753 r
.32225 .73138 .32569 .73688 .33159 .72763 .32816 .72212 Metetra
.816 .718 .757 r
.32816 .72212 .33159 .72763 .33748 .71867 .33405 .71315 Metetra
.813 .717 .76 r
.33405 .71315 .33748 .71867 .34334 .70998 .33993 .70445 Metetra
.809 .717 .763 r
.33993 .70445 .34334 .70998 .34919 .70157 .34579 .69602 Metetra
.806 .717 .766 r
.34579 .69602 .34919 .70157 .35502 .69342 .35163 .68787 Metetra
.802 .716 .77 r
.35163 .68787 .35502 .69342 .36083 .68554 .35745 .67997 Metetra
.799 .716 .773 r
.35745 .67997 .36083 .68554 .36664 .67792 .36327 .67234 Metetra
.795 .715 .776 r
.36327 .67234 .36664 .67792 .37243 .67056 .36907 .66497 Metetra
.791 .714 .78 r
.36907 .66497 .37243 .67056 .37821 .66345 .37486 .65786 Metetra
.787 .713 .783 r
.37486 .65786 .37821 .66345 .38398 .65659 .38063 .65099 Metetra
.782 .713 .787 r
.38063 .65099 .38398 .65659 .38974 .64999 .3864 .64437 Metetra
.778 .712 .79 r
.3864 .64437 .38974 .64999 .39549 .64362 .39216 .638 Metetra
.773 .711 .794 r
.39216 .638 .39549 .64362 .40123 .6375 .39792 .63186 Metetra
.768 .71 .797 r
.39792 .63186 .40123 .6375 .40697 .63161 .40366 .62596 Metetra
.763 .709 .801 r
.40366 .62596 .40697 .63161 .41271 .62595 .40941 .6203 Metetra
.758 .707 .804 r
.40941 .6203 .41271 .62595 .41844 .62052 .41515 .61486 Metetra
.753 .706 .808 r
.41515 .61486 .41844 .62052 .42417 .61532 .42088 .60964 Metetra
.748 .705 .811 r
.42088 .60964 .42417 .61532 .42989 .61033 .42662 .60465 Metetra
.742 .703 .814 r
.42662 .60465 .42989 .61033 .43562 .60556 .43235 .59987 Metetra
.737 .702 .818 r
.43235 .59987 .43562 .60556 .44135 .60101 .43809 .5953 Metetra
.731 .7 .821 r
.43809 .5953 .44135 .60101 .44707 .59666 .44382 .59094 Metetra
.725 .698 .825 r
.44382 .59094 .44707 .59666 .4528 .59251 .44956 .58679 Metetra
.719 .696 .828 r
.44956 .58679 .4528 .59251 .45854 .58856 .4553 .58283 Metetra
.713 .694 .831 r
.4553 .58283 .45854 .58856 .46428 .58481 .46105 .57906 Metetra
.706 .692 .834 r
.46105 .57906 .46428 .58481 .47002 .58124 .4668 .57549 Metetra
.7 .69 .837 r
.4668 .57549 .47002 .58124 .47577 .57786 .47255 .5721 Metetra
.694 .688 .84 r
.47255 .5721 .47577 .57786 .48153 .57467 .47831 .56889 Metetra
.687 .686 .843 r
.47831 .56889 .48153 .57467 .48729 .57164 .48409 .56586 Metetra
.681 .683 .846 r
.48409 .56586 .48729 .57164 .49307 .56879 .48986 .563 Metetra
.674 .681 .849 r
.48986 .563 .49307 .56879 .49885 .56611 .49565 .5603 Metetra
.668 .679 .851 r
.49565 .5603 .49885 .56611 .50464 .56358 .50145 .55777 Metetra
.661 .676 .854 r
.50145 .55777 .50464 .56358 .51045 .56121 .50726 .55539 Metetra
.655 .674 .856 r
.50726 .55539 .51045 .56121 .51626 .559 .51308 .55316 Metetra
.648 .671 .858 r
.51308 .55316 .51626 .559 .52209 .55692 .51892 .55108 Metetra
.642 .669 .86 r
.51892 .55108 .52209 .55692 .52793 .55499 .52476 .54914 Metetra
.635 .666 .862 r
.52476 .54914 .52793 .55499 .53379 .5532 .53063 .54734 Metetra
.629 .663 .864 r
.53063 .54734 .53379 .5532 .53966 .55153 .5365 .54566 Metetra
.623 .661 .866 r
.5365 .54566 .53966 .55153 .54554 .54999 .54239 .54411 Metetra
.617 .658 .868 r
.54239 .54411 .54554 .54999 .55144 .54857 .5483 .54268 Metetra
.611 .656 .869 r
.5483 .54268 .55144 .54857 .55736 .54726 .55422 .54136 Metetra
.606 .654 .871 r
.55422 .54136 .55736 .54726 .56329 .54606 .56016 .54015 Metetra
.601 .651 .872 r
.56016 .54015 .56329 .54606 .56924 .54496 .56611 .53904 Metetra
.595 .649 .873 r
.56611 .53904 .56924 .54496 .57521 .54396 .57209 .53803 Metetra
.59 .647 .874 r
.57209 .53803 .57521 .54396 .5812 .54305 .57808 .53711 Metetra
.586 .645 .875 r
.57808 .53711 .5812 .54305 .5872 .54222 .58409 .53627 Metetra
.582 .643 .876 r
.58409 .53627 .5872 .54222 .59323 .54147 .59012 .53551 Metetra
.577 .641 .877 r
.59012 .53551 .59323 .54147 .59927 .5408 .59617 .53483 Metetra
.574 .639 .878 r
.59617 .53483 .59927 .5408 .60533 .54019 .60224 .53421 Metetra
.57 .637 .878 r
.60224 .53421 .60533 .54019 .61142 .53963 .60832 .53364 Metetra
.567 .636 .879 r
.60832 .53364 .61142 .53963 .61752 .53914 .61443 .53314 Metetra
.565 .635 .879 r
.61443 .53314 .61752 .53914 .62364 .53868 .62056 .53267 Metetra
.562 .634 .88 r
.62056 .53267 .62364 .53868 .62979 .53827 .62671 .53225 Metetra
.56 .633 .88 r
.62671 .53225 .62979 .53827 .63595 .5379 .63288 .53187 Metetra
.559 .632 .88 r
.63288 .53187 .63595 .5379 .64213 .53755 .63907 .53151 Metetra
.557 .631 .881 r
.63907 .53151 .64213 .53755 .64834 .53722 .64527 .53117 Metetra
.557 .631 .881 r
.64527 .53117 .64834 .53722 .65456 .5369 .65151 .53084 Metetra
.556 .631 .881 r
.65151 .53084 .65456 .5369 .66081 .53659 .65776 .53052 Metetra
.556 .631 .881 r
.65776 .53052 .66081 .53659 .66708 .53629 .66403 .5302 Metetra
.556 .631 .881 r
.66403 .5302 .66708 .53629 .67336 .53597 .67032 .52988 Metetra
.557 .631 .881 r
.67032 .52988 .67336 .53597 .67967 .53564 .67663 .52954 Metetra
.558 .632 .88 r
.67663 .52954 .67967 .53564 .68599 .5353 .68296 .52918 Metetra
.559 .632 .88 r
.68296 .52918 .68599 .5353 .69234 .53492 .68931 .5288 Metetra
.561 .633 .88 r
.68931 .5288 .69234 .53492 .6987 .53451 .69568 .52838 Metetra
.563 .634 .88 r
.69568 .52838 .6987 .53451 .70509 .53406 .70207 .52792 Metetra
.566 .636 .879 r
.70207 .52792 .70509 .53406 .71149 .53356 .70848 .52741 Metetra
.569 .637 .879 r
.70848 .52741 .71149 .53356 .71791 .53301 .7149 .52684 Metetra
.572 .638 .878 r
.7149 .52684 .71791 .53301 .72434 .5324 .72135 .52622 Metetra
.575 .64 .878 r
.72135 .52622 .72434 .5324 .7308 .53171 .72781 .52552 Metetra
.579 .642 .877 r
.72781 .52552 .7308 .53171 .73727 .53095 .73428 .52475 Metetra
.583 .644 .876 r
.73428 .52475 .73727 .53095 .74375 .53011 .74077 .5239 Metetra
.588 .646 .876 r
.74077 .5239 .74375 .53011 .75025 .52917 .74728 .52295 Metetra
.592 .648 .875 r
.74728 .52295 .75025 .52917 .75677 .52814 .7538 .52191 Metetra
.597 .651 .874 r
.7538 .52191 .75677 .52814 .7633 .527 .76034 .52076 Metetra
.602 .653 .873 r
.76034 .52076 .7633 .527 .76984 .52576 .76688 .5195 Metetra
.608 .656 .872 r
.76688 .5195 .76984 .52576 .77639 .52439 .77344 .51813 Metetra
.613 .658 .87 r
.77344 .51813 .77639 .52439 .78295 .52291 .78001 .51663 Metetra
.619 .661 .869 r
.78001 .51663 .78295 .52291 .78953 .52129 .78659 .515 Metetra
.625 .664 .868 r
.78659 .515 .78953 .52129 .79611 .51953 .79318 .51323 Metetra
.631 .666 .866 r
.79318 .51323 .79611 .51953 .8027 .51763 .79978 .51132 Metetra
.637 .669 .865 r
.79978 .51132 .8027 .51763 .80929 .51558 .80638 .50926 Metetra
.643 .672 .863 r
.80638 .50926 .80929 .51558 .81589 .51337 .81299 .50704 Metetra
.649 .675 .861 r
.81299 .50704 .81589 .51337 .8225 .511 .8196 .50465 Metetra
.656 .678 .859 r
.8196 .50465 .8225 .511 .82911 .50846 .82622 .5021 Metetra
.662 .681 .857 r
.82622 .5021 .82911 .50846 .83572 .50574 .83284 .49938 Metetra
.669 .684 .855 r
.83284 .49938 .83572 .50574 .84233 .50285 .83946 .49647 Metetra
.676 .687 .853 r
.83946 .49647 .84233 .50285 .84894 .49976 .84608 .49337 Metetra
.682 .69 .851 r
.84608 .49337 .84894 .49976 .85555 .49649 .85269 .49009 Metetra
.689 .693 .848 r
.85269 .49009 .85555 .49649 .86215 .49302 .85931 .48661 Metetra
.696 .696 .846 r
.85931 .48661 .86215 .49302 .86875 .48935 .86592 .48292 Metetra
.702 .699 .843 r
.86592 .48292 .86875 .48935 .87535 .48547 .87252 .47903 Metetra
.709 .702 .841 r
.87252 .47903 .87535 .48547 .88193 .48138 .87911 .47493 Metetra
.716 .704 .838 r
.87911 .47493 .88193 .48138 .88851 .47707 .8857 .47061 Metetra
.722 .707 .835 r
.8857 .47061 .88851 .47707 .89508 .47254 .89228 .46606 Metetra
.729 .71 .832 r
.89228 .46606 .89508 .47254 .90163 .46778 .89884 .4613 Metetra
.834 .721 .74 r
.28882 .77657 .29234 .78194 .29837 .77124 .29486 .76586 Metetra
.831 .721 .743 r
.29486 .76586 .29837 .77124 .30438 .76084 .30088 .75545 Metetra
.829 .721 .745 r
.30088 .75545 .30438 .76084 .31036 .75073 .30687 .74533 Metetra
.826 .721 .748 r
.30687 .74533 .31036 .75073 .31631 .74091 .31284 .7355 Metetra
.823 .721 .751 r
.31284 .7355 .31631 .74091 .32225 .73138 .31879 .72595 Metetra
.82 .72 .755 r
.31879 .72595 .32225 .73138 .32816 .72212 .32471 .71669 Metetra
.817 .72 .758 r
.32471 .71669 .32816 .72212 .33405 .71315 .33062 .7077 Metetra
.814 .72 .761 r
.33062 .7077 .33405 .71315 .33993 .70445 .3365 .69899 Metetra
.811 .719 .764 r
.3365 .69899 .33993 .70445 .34579 .69602 .34237 .69055 Metetra
.807 .719 .767 r
.34237 .69055 .34579 .69602 .35163 .68787 .34822 .68239 Metetra
.804 .719 .771 r
.34822 .68239 .35163 .68787 .35745 .67997 .35406 .67448 Metetra
.8 .718 .774 r
.35406 .67448 .35745 .67997 .36327 .67234 .35988 .66684 Metetra
.796 .718 .778 r
.35988 .66684 .36327 .67234 .36907 .66497 .36569 .65946 Metetra
.792 .717 .781 r
.36569 .65946 .36907 .66497 .37486 .65786 .37149 .65233 Metetra
.788 .716 .785 r
.37149 .65233 .37486 .65786 .38063 .65099 .37728 .64546 Metetra
.784 .715 .788 r
.37728 .64546 .38063 .65099 .3864 .64437 .38306 .63883 Metetra
.779 .715 .792 r
.38306 .63883 .3864 .64437 .39216 .638 .38883 .63244 Metetra
.774 .714 .795 r
.38883 .63244 .39216 .638 .39792 .63186 .39459 .6263 Metetra
.77 .713 .799 r
.39459 .6263 .39792 .63186 .40366 .62596 .40034 .62039 Metetra
.765 .712 .802 r
.40034 .62039 .40366 .62596 .40941 .6203 .4061 .61471 Metetra
.76 .71 .806 r
.4061 .61471 .40941 .6203 .41515 .61486 .41184 .60926 Metetra
.754 .709 .809 r
.41184 .60926 .41515 .61486 .42088 .60964 .41759 .60404 Metetra
.749 .708 .813 r
.41759 .60404 .42088 .60964 .42662 .60465 .42333 .59903 Metetra
.743 .706 .816 r
.42333 .59903 .42662 .60465 .43235 .59987 .42907 .59424 Metetra
.738 .705 .82 r
.42907 .59424 .43235 .59987 .43809 .5953 .43481 .58967 Metetra
.732 .703 .823 r
.43481 .58967 .43809 .5953 .44382 .59094 .44056 .5853 Metetra
.726 .701 .827 r
.44056 .5853 .44382 .59094 .44956 .58679 .4463 .58113 Metetra
.72 .699 .83 r
.4463 .58113 .44956 .58679 .4553 .58283 .45205 .57716 Metetra
.714 .698 .833 r
.45205 .57716 .4553 .58283 .46105 .57906 .4578 .57339 Metetra
.707 .696 .837 r
.4578 .57339 .46105 .57906 .4668 .57549 .46356 .56981 Metetra
.701 .693 .84 r
.46356 .56981 .4668 .57549 .47255 .5721 .46932 .56641 Metetra
.694 .691 .843 r
.46932 .56641 .47255 .5721 .47831 .56889 .47509 .56319 Metetra
.688 .689 .846 r
.47509 .56319 .47831 .56889 .48409 .56586 .48087 .56015 Metetra
.681 .687 .848 r
.48087 .56015 .48409 .56586 .48986 .563 .48665 .55728 Metetra
.675 .684 .851 r
.48665 .55728 .48986 .563 .49565 .5603 .49245 .55457 Metetra
.668 .682 .854 r
.49245 .55457 .49565 .5603 .50145 .55777 .49825 .55203 Metetra
.662 .679 .856 r
.49825 .55203 .50145 .55777 .50726 .55539 .50407 .54964 Metetra
.655 .677 .859 r
.50407 .54964 .50726 .55539 .51308 .55316 .5099 .5474 Metetra
.648 .674 .861 r
.5099 .5474 .51308 .55316 .51892 .55108 .51574 .54531 Metetra
.642 .672 .863 r
.51574 .54531 .51892 .55108 .52476 .54914 .52159 .54336 Metetra
.636 .669 .865 r
.52159 .54336 .52476 .54914 .53063 .54734 .52746 .54155 Metetra
.629 .667 .867 r
.52746 .54155 .53063 .54734 .5365 .54566 .53334 .53986 Metetra
.623 .664 .869 r
.53334 .53986 .5365 .54566 .54239 .54411 .53923 .5383 Metetra
.617 .662 .871 r
.53923 .5383 .54239 .54411 .5483 .54268 .54514 .53686 Metetra
.611 .659 .872 r
.54514 .53686 .5483 .54268 .55422 .54136 .55107 .53553 Metetra
.606 .657 .874 r
.55107 .53553 .55422 .54136 .56016 .54015 .55701 .53431 Metetra
.6 .654 .875 r
.55701 .53431 .56016 .54015 .56611 .53904 .56298 .53319 Metetra
.595 .652 .876 r
.56298 .53319 .56611 .53904 .57209 .53803 .56895 .53217 Metetra
.59 .65 .877 r
.56895 .53217 .57209 .53803 .57808 .53711 .57495 .53124 Metetra
.585 .648 .878 r
.57495 .53124 .57808 .53711 .58409 .53627 .58097 .53039 Metetra
.581 .646 .879 r
.58097 .53039 .58409 .53627 .59012 .53551 .587 .52962 Metetra
.577 .644 .88 r
.587 .52962 .59012 .53551 .59617 .53483 .59306 .52893 Metetra
.573 .642 .881 r
.59306 .52893 .59617 .53483 .60224 .53421 .59913 .52829 Metetra
.57 .641 .882 r
.59913 .52829 .60224 .53421 .60832 .53364 .60522 .52772 Metetra
.566 .639 .882 r
.60522 .52772 .60832 .53364 .61443 .53314 .61133 .5272 Metetra
.564 .638 .883 r
.61133 .5272 .61443 .53314 .62056 .53267 .61747 .52673 Metetra
.561 .637 .883 r
.61747 .52673 .62056 .53267 .62671 .53225 .62362 .5263 Metetra
.559 .636 .883 r
.62362 .5263 .62671 .53225 .63288 .53187 .62979 .5259 Metetra
.558 .635 .884 r
.62979 .5259 .63288 .53187 .63907 .53151 .63599 .52553 Metetra
.556 .634 .884 r
.63599 .52553 .63907 .53151 .64527 .53117 .6422 .52518 Metetra
.556 .634 .884 r
.6422 .52518 .64527 .53117 .65151 .53084 .64844 .52485 Metetra
.555 .634 .884 r
.64844 .52485 .65151 .53084 .65776 .53052 .6547 .52452 Metetra
.555 .634 .884 r
.6547 .52452 .65776 .53052 .66403 .5302 .66097 .52419 Metetra
.555 .634 .884 r
.66097 .52419 .66403 .5302 .67032 .52988 .66727 .52386 Metetra
.556 .634 .884 r
.66727 .52386 .67032 .52988 .67663 .52954 .67359 .52351 Metetra
.557 .635 .884 r
.67359 .52351 .67663 .52954 .68296 .52918 .67992 .52314 Metetra
.559 .635 .883 r
.67992 .52314 .68296 .52918 .68931 .5288 .68628 .52274 Metetra
.56 .636 .883 r
.68628 .52274 .68931 .5288 .69568 .52838 .69266 .52231 Metetra
.563 .637 .883 r
.69266 .52231 .69568 .52838 .70207 .52792 .69905 .52184 Metetra
.565 .639 .882 r
.69905 .52184 .70207 .52792 .70848 .52741 .70546 .52132 Metetra
.568 .64 .882 r
.70546 .52132 .70848 .52741 .7149 .52684 .71189 .52075 Metetra
.571 .642 .881 r
.71189 .52075 .7149 .52684 .72135 .52622 .71834 .52011 Metetra
.575 .643 .881 r
.71834 .52011 .72135 .52622 .72781 .52552 .72481 .51941 Metetra
.579 .645 .88 r
.72481 .51941 .72781 .52552 .73428 .52475 .73129 .51862 Metetra
.583 .647 .879 r
.73129 .51862 .73428 .52475 .74077 .5239 .73779 .51776 Metetra
.587 .649 .879 r
.73779 .51776 .74077 .5239 .74728 .52295 .7443 .5168 Metetra
.592 .651 .878 r
.7443 .5168 .74728 .52295 .7538 .52191 .75083 .51575 Metetra
.597 .654 .877 r
.75083 .51575 .7538 .52191 .76034 .52076 .75737 .51459 Metetra
.602 .656 .876 r
.75737 .51459 .76034 .52076 .76688 .5195 .76393 .51332 Metetra
.607 .659 .875 r
.76393 .51332 .76688 .5195 .77344 .51813 .77049 .51193 Metetra
.613 .661 .873 r
.77049 .51193 .77344 .51813 .78001 .51663 .77707 .51042 Metetra
.619 .664 .872 r
.77707 .51042 .78001 .51663 .78659 .515 .78366 .50878 Metetra
.625 .667 .871 r
.78366 .50878 .78659 .515 .79318 .51323 .79025 .507 Metetra
.631 .67 .869 r
.79025 .507 .79318 .51323 .79978 .51132 .79686 .50508 Metetra
.637 .673 .867 r
.79686 .50508 .79978 .51132 .80638 .50926 .80347 .503 Metetra
.643 .676 .866 r
.80347 .503 .80638 .50926 .81299 .50704 .81008 .50077 Metetra
.65 .679 .864 r
.81008 .50077 .81299 .50704 .8196 .50465 .8167 .49838 Metetra
.656 .681 .862 r
.8167 .49838 .8196 .50465 .82622 .5021 .82333 .49582 Metetra
.663 .684 .86 r
.82333 .49582 .82622 .5021 .83284 .49938 .82996 .49308 Metetra
.67 .687 .858 r
.82996 .49308 .83284 .49938 .83946 .49647 .83658 .49016 Metetra
.676 .69 .856 r
.83658 .49016 .83946 .49647 .84608 .49337 .84321 .48705 Metetra
.683 .693 .853 r
.84321 .48705 .84608 .49337 .85269 .49009 .84984 .48376 Metetra
.69 .696 .851 r
.84984 .48376 .85269 .49009 .85931 .48661 .85646 .48026 Metetra
.697 .699 .849 r
.85646 .48026 .85931 .48661 .86592 .48292 .86308 .47657 Metetra
.703 .702 .846 r
.86308 .47657 .86592 .48292 .87252 .47903 .86969 .47266 Metetra
.71 .705 .843 r
.86969 .47266 .87252 .47903 .87911 .47493 .87629 .46855 Metetra
.717 .708 .841 r
.87629 .46855 .87911 .47493 .8857 .47061 .88289 .46421 Metetra
.724 .711 .838 r
.88289 .46421 .8857 .47061 .89228 .46606 .88947 .45966 Metetra
.73 .713 .835 r
.88947 .45966 .89228 .46606 .89884 .4613 .89605 .45488 Metetra
.835 .723 .741 r
.28528 .77128 .28882 .77657 .29486 .76586 .29134 .76056 Metetra
.833 .723 .743 r
.29134 .76056 .29486 .76586 .30088 .75545 .29737 .75013 Metetra
.83 .723 .746 r
.29737 .75013 .30088 .75545 .30687 .74533 .30337 .74 Metetra
.828 .723 .749 r
.30337 .74 .30687 .74533 .31284 .7355 .30935 .73015 Metetra
.825 .723 .752 r
.30935 .73015 .31284 .7355 .31879 .72595 .31531 .7206 Metetra
.822 .723 .756 r
.31531 .7206 .31879 .72595 .32471 .71669 .32125 .71132 Metetra
.819 .723 .759 r
.32125 .71132 .32471 .71669 .33062 .7077 .32716 .70232 Metetra
.816 .722 .762 r
.32716 .70232 .33062 .7077 .3365 .69899 .33306 .6936 Metetra
.812 .722 .765 r
.33306 .6936 .3365 .69899 .34237 .69055 .33894 .68515 Metetra
.809 .722 .769 r
.33894 .68515 .34237 .69055 .34822 .68239 .3448 .67698 Metetra
.805 .721 .772 r
.3448 .67698 .34822 .68239 .35406 .67448 .35065 .66906 Metetra
.801 .721 .775 r
.35065 .66906 .35406 .67448 .35988 .66684 .35648 .66141 Metetra
.798 .72 .779 r
.35648 .66141 .35988 .66684 .36569 .65946 .3623 .65402 Metetra
.794 .72 .782 r
.3623 .65402 .36569 .65946 .37149 .65233 .36811 .64688 Metetra
.789 .719 .786 r
.36811 .64688 .37149 .65233 .37728 .64546 .37391 .63999 Metetra
.785 .718 .79 r
.37391 .63999 .37728 .64546 .38306 .63883 .3797 .63335 Metetra
.78 .717 .793 r
.3797 .63335 .38306 .63883 .38883 .63244 .38548 .62696 Metetra
.776 .717 .797 r
.38548 .62696 .38883 .63244 .39459 .6263 .39125 .6208 Metetra
.771 .716 .8 r
.39125 .6208 .39459 .6263 .40034 .62039 .39701 .61488 Metetra
.766 .714 .804 r
.39701 .61488 .40034 .62039 .4061 .61471 .40277 .6092 Metetra
.761 .713 .808 r
.40277 .6092 .4061 .61471 .41184 .60926 .40853 .60374 Metetra
.756 .712 .811 r
.40853 .60374 .41184 .60926 .41759 .60404 .41428 .5985 Metetra
.75 .711 .815 r
.41428 .5985 .41759 .60404 .42333 .59903 .42003 .59349 Metetra
.745 .709 .818 r
.42003 .59349 .42333 .59903 .42907 .59424 .42578 .58869 Metetra
.739 .708 .822 r
.42578 .58869 .42907 .59424 .43481 .58967 .43153 .5841 Metetra
.733 .706 .825 r
.43153 .5841 .43481 .58967 .44056 .5853 .43728 .57972 Metetra
.727 .704 .829 r
.43728 .57972 .44056 .5853 .4463 .58113 .44303 .57555 Metetra
.721 .703 .832 r
.44303 .57555 .4463 .58113 .45205 .57716 .44879 .57157 Metetra
.715 .701 .836 r
.44879 .57157 .45205 .57716 .4578 .57339 .45455 .56779 Metetra
.708 .699 .839 r
.45455 .56779 .4578 .57339 .46356 .56981 .46031 .56419 Metetra
.702 .697 .842 r
.46031 .56419 .46356 .56981 .46932 .56641 .46608 .56078 Metetra
.695 .695 .845 r
.46608 .56078 .46932 .56641 .47509 .56319 .47186 .55755 Metetra
.689 .692 .848 r
.47186 .55755 .47509 .56319 .48087 .56015 .47764 .5545 Metetra
.682 .69 .851 r
.47764 .5545 .48087 .56015 .48665 .55728 .48343 .55162 Metetra
.675 .688 .854 r
.48343 .55162 .48665 .55728 .49245 .55457 .48923 .54891 Metetra
.669 .685 .857 r
.48923 .54891 .49245 .55457 .49825 .55203 .49504 .54635 Metetra
.662 .683 .859 r
.49504 .54635 .49825 .55203 .50407 .54964 .50086 .54395 Metetra
.655 .68 .862 r
.50086 .54395 .50407 .54964 .5099 .5474 .5067 .54171 Metetra
.649 .678 .864 r
.5067 .54171 .5099 .5474 .51574 .54531 .51254 .53961 Metetra
.642 .675 .866 r
.51254 .53961 .51574 .54531 .52159 .54336 .5184 .53765 Metetra
.636 .673 .868 r
.5184 .53765 .52159 .54336 .52746 .54155 .52427 .53582 Metetra
.629 .67 .87 r
.52427 .53582 .52746 .54155 .53334 .53986 .53016 .53413 Metetra
.623 .667 .872 r
.53016 .53413 .53334 .53986 .53923 .5383 .53606 .53256 Metetra
.617 .665 .874 r
.53606 .53256 .53923 .5383 .54514 .53686 .54198 .53111 Metetra
.611 .662 .875 r
.54198 .53111 .54514 .53686 .55107 .53553 .54791 .52977 Metetra
.605 .66 .877 r
.54791 .52977 .55107 .53553 .55701 .53431 .55386 .52854 Metetra
.6 .658 .878 r
.55386 .52854 .55701 .53431 .56298 .53319 .55983 .52741 Metetra
.595 .655 .879 r
.55983 .52741 .56298 .53319 .56895 .53217 .56581 .52638 Metetra
.589 .653 .881 r
.56581 .52638 .56895 .53217 .57495 .53124 .57181 .52544 Metetra
.585 .651 .882 r
.57181 .52544 .57495 .53124 .58097 .53039 .57784 .52458 Metetra
.58 .649 .883 r
.57784 .52458 .58097 .53039 .587 .52962 .58388 .5238 Metetra
.576 .647 .883 r
.58388 .5238 .587 .52962 .59306 .52893 .58993 .52309 Metetra
.572 .645 .884 r
.58993 .52309 .59306 .52893 .59913 .52829 .59601 .52245 Metetra
.569 .644 .885 r
.59601 .52245 .59913 .52829 .60522 .52772 .60211 .52187 Metetra
.566 .642 .885 r
.60211 .52187 .60522 .52772 .61133 .5272 .60823 .52134 Metetra
.563 .641 .886 r
.60823 .52134 .61133 .5272 .61747 .52673 .61437 .52086 Metetra
.56 .64 .886 r
.61437 .52086 .61747 .52673 .62362 .5263 .62053 .52042 Metetra
.558 .639 .886 r
.62053 .52042 .62362 .5263 .62979 .5259 .62671 .52001 Metetra
.557 .638 .887 r
.62671 .52001 .62979 .5259 .63599 .52553 .6329 .51963 Metetra
.555 .637 .887 r
.6329 .51963 .63599 .52553 .6422 .52518 .63913 .51927 Metetra
.555 .637 .887 r
.63913 .51927 .6422 .52518 .64844 .52485 .64537 .51893 Metetra
.554 .637 .887 r
.64537 .51893 .64844 .52485 .6547 .52452 .65163 .51859 Metetra
.554 .637 .887 r
.65163 .51859 .6547 .52452 .66097 .52419 .65791 .51825 Metetra
.554 .637 .887 r
.65791 .51825 .66097 .52419 .66727 .52386 .66421 .5179 Metetra
.555 .637 .887 r
.66421 .5179 .66727 .52386 .67359 .52351 .67054 .51755 Metetra
.556 .638 .887 r
.67054 .51755 .67359 .52351 .67992 .52314 .67688 .51717 Metetra
.558 .638 .887 r
.67688 .51717 .67992 .52314 .68628 .52274 .68324 .51676 Metetra
.559 .639 .886 r
.68324 .51676 .68628 .52274 .69266 .52231 .68962 .51632 Metetra
.562 .64 .886 r
.68962 .51632 .69266 .52231 .69905 .52184 .69602 .51584 Metetra
.564 .642 .886 r
.69602 .51584 .69905 .52184 .70546 .52132 .70244 .51531 Metetra
.567 .643 .885 r
.70244 .51531 .70546 .52132 .71189 .52075 .70888 .51472 Metetra
.57 .645 .885 r
.70888 .51472 .71189 .52075 .71834 .52011 .71533 .51407 Metetra
.574 .646 .884 r
.71533 .51407 .71834 .52011 .72481 .51941 .72181 .51336 Metetra
.578 .648 .883 r
.72181 .51336 .72481 .51941 .73129 .51862 .7283 .51256 Metetra
.582 .65 .883 r
.7283 .51256 .73129 .51862 .73779 .51776 .7348 .51169 Metetra
.587 .652 .882 r
.7348 .51169 .73779 .51776 .7443 .5168 .74132 .51072 Metetra
.591 .655 .881 r
.74132 .51072 .7443 .5168 .75083 .51575 .74785 .50966 Metetra
.596 .657 .88 r
.74785 .50966 .75083 .51575 .75737 .51459 .7544 .50849 Metetra
.602 .66 .879 r
.7544 .50849 .75737 .51459 .76393 .51332 .76096 .50721 Metetra
.607 .662 .878 r
.76096 .50721 .76393 .51332 .77049 .51193 .76754 .50581 Metetra
.613 .665 .876 r
.76754 .50581 .77049 .51193 .77707 .51042 .77412 .50429 Metetra
.619 .667 .875 r
.77412 .50429 .77707 .51042 .78366 .50878 .78072 .50264 Metetra
.625 .67 .874 r
.78072 .50264 .78366 .50878 .79025 .507 .78732 .50085 Metetra
.631 .673 .872 r
.78732 .50085 .79025 .507 .79686 .50508 .79393 .49891 Metetra
.637 .676 .87 r
.79393 .49891 .79686 .50508 .80347 .503 .80055 .49683 Metetra
.643 .679 .869 r
.80055 .49683 .80347 .503 .81008 .50077 .80717 .49458 Metetra
.65 .682 .867 r
.80717 .49458 .81008 .50077 .8167 .49838 .8138 .49218 Metetra
.657 .685 .865 r
.8138 .49218 .8167 .49838 .82333 .49582 .82044 .4896 Metetra
.663 .688 .863 r
.82044 .4896 .82333 .49582 .82996 .49308 .82707 .48685 Metetra
.67 .691 .861 r
.82707 .48685 .82996 .49308 .83658 .49016 .83371 .48392 Metetra
.677 .694 .859 r
.83371 .48392 .83658 .49016 .84321 .48705 .84034 .48081 Metetra
.684 .697 .856 r
.84034 .48081 .84321 .48705 .84984 .48376 .84698 .4775 Metetra
.691 .7 .854 r
.84698 .4775 .84984 .48376 .85646 .48026 .85361 .47399 Metetra
.697 .703 .851 r
.85361 .47399 .85646 .48026 .86308 .47657 .86024 .47028 Metetra
.704 .706 .849 r
.86024 .47028 .86308 .47657 .86969 .47266 .86686 .46637 Metetra
.711 .709 .846 r
.86686 .46637 .86969 .47266 .87629 .46855 .87347 .46224 Metetra
.718 .711 .843 r
.87347 .46224 .87629 .46855 .88289 .46421 .88008 .45789 Metetra
.725 .714 .84 r
.88008 .45789 .88289 .46421 .88947 .45966 .88667 .45333 Metetra
.731 .717 .837 r
.88667 .45333 .88947 .45966 .89605 .45488 .89325 .44854 Metetra
.837 .725 .741 r
.28172 .76606 .28528 .77128 .29134 .76056 .2878 .75532 Metetra
.834 .725 .744 r
.2878 .75532 .29134 .76056 .29737 .75013 .29384 .74489 Metetra
.832 .725 .747 r
.29384 .74489 .29737 .75013 .30337 .74 .29986 .73474 Metetra
.829 .725 .75 r
.29986 .73474 .30337 .74 .30935 .73015 .30585 .72488 Metetra
.826 .725 .753 r
.30585 .72488 .30935 .73015 .31531 .7206 .31182 .71531 Metetra
.823 .725 .757 r
.31182 .71531 .31531 .7206 .32125 .71132 .31777 .70603 Metetra
.82 .725 .76 r
.31777 .70603 .32125 .71132 .32716 .70232 .3237 .69702 Metetra
.817 .725 .763 r
.3237 .69702 .32716 .70232 .33306 .6936 .32961 .68829 Metetra
.814 .725 .766 r
.32961 .68829 .33306 .6936 .33894 .68515 .3355 .67983 Metetra
.81 .724 .77 r
.3355 .67983 .33894 .68515 .3448 .67698 .34137 .67164 Metetra
.807 .724 .773 r
.34137 .67164 .3448 .67698 .35065 .66906 .34723 .66371 Metetra
.803 .723 .777 r
.34723 .66371 .35065 .66906 .35648 .66141 .35307 .65605 Metetra
.799 .723 .78 r
.35307 .65605 .35648 .66141 .3623 .65402 .3589 .64865 Metetra
.795 .722 .784 r
.3589 .64865 .3623 .65402 .36811 .64688 .36472 .6415 Metetra
.791 .722 .787 r
.36472 .6415 .36811 .64688 .37391 .63999 .37053 .6346 Metetra
.786 .721 .791 r
.37053 .6346 .37391 .63999 .3797 .63335 .37632 .62795 Metetra
.782 .72 .795 r
.37632 .62795 .3797 .63335 .38548 .62696 .38211 .62154 Metetra
.777 .719 .798 r
.38211 .62154 .38548 .62696 .39125 .6208 .38789 .61538 Metetra
.772 .718 .802 r
.38789 .61538 .39125 .6208 .39701 .61488 .39367 .60945 Metetra
.767 .717 .806 r
.39367 .60945 .39701 .61488 .40277 .6092 .39943 .60375 Metetra
.762 .716 .81 r
.39943 .60375 .40277 .6092 .40853 .60374 .4052 .59828 Metetra
.757 .715 .813 r
.4052 .59828 .40853 .60374 .41428 .5985 .41096 .59304 Metetra
.751 .714 .817 r
.41096 .59304 .41428 .5985 .42003 .59349 .41672 .58801 Metetra
.746 .712 .82 r
.41672 .58801 .42003 .59349 .42578 .58869 .42247 .5832 Metetra
.74 .711 .824 r
.42247 .5832 .42578 .58869 .43153 .5841 .42823 .57861 Metetra
.734 .709 .828 r
.42823 .57861 .43153 .5841 .43728 .57972 .43399 .57422 Metetra
.728 .708 .831 r
.43399 .57422 .43728 .57972 .44303 .57555 .43975 .57003 Metetra
.722 .706 .835 r
.43975 .57003 .44303 .57555 .44879 .57157 .44551 .56604 Metetra
.716 .704 .838 r
.44551 .56604 .44879 .57157 .45455 .56779 .45128 .56225 Metetra
.709 .702 .841 r
.45128 .56225 .45455 .56779 .46031 .56419 .45705 .55864 Metetra
.703 .7 .845 r
.45705 .55864 .46031 .56419 .46608 .56078 .46283 .55523 Metetra
.696 .698 .848 r
.46283 .55523 .46608 .56078 .47186 .55755 .46861 .55199 Metetra
.689 .696 .851 r
.46861 .55199 .47186 .55755 .47764 .5545 .4744 .54893 Metetra
.683 .693 .854 r
.4744 .54893 .47764 .5545 .48343 .55162 .4802 .54604 Metetra
.676 .691 .857 r
.4802 .54604 .48343 .55162 .48923 .54891 .486 .54331 Metetra
.669 .689 .859 r
.486 .54331 .48923 .54891 .49504 .54635 .49182 .54075 Metetra
.662 .686 .862 r
.49182 .54075 .49504 .54635 .50086 .54395 .49765 .53834 Metetra
.656 .684 .864 r
.49765 .53834 .50086 .54395 .5067 .54171 .50349 .53608 Metetra
.649 .681 .867 r
.50349 .53608 .5067 .54171 .51254 .53961 .50934 .53397 Metetra
.642 .678 .869 r
.50934 .53397 .51254 .53961 .5184 .53765 .51521 .532 Metetra
.636 .676 .871 r
.51521 .532 .5184 .53765 .52427 .53582 .52108 .53017 Metetra
.629 .673 .873 r
.52108 .53017 .52427 .53582 .53016 .53413 .52698 .52846 Metetra
.623 .671 .875 r
.52698 .52846 .53016 .53413 .53606 .53256 .53288 .52688 Metetra
.617 .668 .877 r
.53288 .52688 .53606 .53256 .54198 .53111 .5388 .52542 Metetra
.611 .666 .878 r
.5388 .52542 .54198 .53111 .54791 .52977 .54474 .52407 Metetra
.605 .663 .88 r
.54474 .52407 .54791 .52977 .55386 .52854 .5507 .52284 Metetra
.599 .661 .881 r
.5507 .52284 .55386 .52854 .55983 .52741 .55667 .5217 Metetra
.594 .658 .883 r
.55667 .5217 .55983 .52741 .56581 .52638 .56266 .52066 Metetra
.589 .656 .884 r
.56266 .52066 .56581 .52638 .57181 .52544 .56867 .5197 Metetra
.584 .654 .885 r
.56867 .5197 .57181 .52544 .57784 .52458 .57469 .51884 Metetra
.58 .652 .886 r
.57469 .51884 .57784 .52458 .58388 .5238 .58074 .51805 Metetra
.575 .65 .887 r
.58074 .51805 .58388 .5238 .58993 .52309 .5868 .51733 Metetra
.571 .648 .887 r
.5868 .51733 .58993 .52309 .59601 .52245 .59289 .51668 Metetra
.568 .647 .888 r
.59289 .51668 .59601 .52245 .60211 .52187 .59899 .51609 Metetra
.565 .645 .888 r
.59899 .51609 .60211 .52187 .60823 .52134 .60511 .51555 Metetra
.562 .644 .889 r
.60511 .51555 .60823 .52134 .61437 .52086 .61126 .51506 Metetra
.559 .643 .889 r
.61126 .51506 .61437 .52086 .62053 .52042 .61742 .51461 Metetra
.557 .642 .89 r
.61742 .51461 .62053 .52042 .62671 .52001 .62361 .51419 Metetra
.556 .641 .89 r
.62361 .51419 .62671 .52001 .6329 .51963 .62981 .5138 Metetra
.554 .64 .89 r
.62981 .5138 .6329 .51963 .63913 .51927 .63604 .51343 Metetra
.553 .64 .89 r
.63604 .51343 .63913 .51927 .64537 .51893 .64229 .51307 Metetra
.553 .64 .89 r
.64229 .51307 .64537 .51893 .65163 .51859 .64855 .51272 Metetra
.553 .64 .89 r
.64855 .51272 .65163 .51859 .65791 .51825 .65484 .51238 Metetra
.553 .64 .89 r
.65484 .51238 .65791 .51825 .66421 .5179 .66115 .51202 Metetra
.554 .64 .89 r
.66115 .51202 .66421 .5179 .67054 .51755 .66748 .51165 Metetra
.555 .641 .89 r
.66748 .51165 .67054 .51755 .67688 .51717 .67383 .51126 Metetra
.557 .641 .89 r
.67383 .51126 .67688 .51717 .68324 .51676 .68019 .51085 Metetra
.558 .642 .89 r
.68019 .51085 .68324 .51676 .68962 .51632 .68658 .5104 Metetra
.561 .643 .889 r
.68658 .5104 .68962 .51632 .69602 .51584 .69299 .5099 Metetra
.563 .645 .889 r
.69299 .5099 .69602 .51584 .70244 .51531 .69941 .50936 Metetra
.566 .646 .888 r
.69941 .50936 .70244 .51531 .70888 .51472 .70586 .50877 Metetra
.57 .648 .888 r
.70586 .50877 .70888 .51472 .71533 .51407 .71232 .50811 Metetra
.573 .649 .887 r
.71232 .50811 .71533 .51407 .72181 .51336 .7188 .50738 Metetra
.577 .651 .887 r
.7188 .50738 .72181 .51336 .7283 .51256 .72529 .50658 Metetra
.581 .653 .886 r
.72529 .50658 .7283 .51256 .7348 .51169 .7318 .50569 Metetra
.586 .656 .885 r
.7318 .50569 .7348 .51169 .74132 .51072 .73833 .50471 Metetra
.591 .658 .884 r
.73833 .50471 .74132 .51072 .74785 .50966 .74487 .50364 Metetra
.596 .66 .883 r
.74487 .50364 .74785 .50966 .7544 .50849 .75143 .50246 Metetra
.601 .663 .882 r
.75143 .50246 .7544 .50849 .76096 .50721 .758 .50117 Metetra
.607 .665 .881 r
.758 .50117 .76096 .50721 .76754 .50581 .76458 .49976 Metetra
.612 .668 .88 r
.76458 .49976 .76754 .50581 .77412 .50429 .77117 .49823 Metetra
.618 .671 .878 r
.77117 .49823 .77412 .50429 .78072 .50264 .77777 .49656 Metetra
.624 .674 .877 r
.77777 .49656 .78072 .50264 .78732 .50085 .78438 .49476 Metetra
.631 .677 .875 r
.78438 .49476 .78732 .50085 .79393 .49891 .791 .49281 Metetra
.637 .679 .873 r
.791 .49281 .79393 .49891 .80055 .49683 .79763 .49072 Metetra
.644 .682 .872 r
.79763 .49072 .80055 .49683 .80717 .49458 .80426 .48846 Metetra
.65 .685 .87 r
.80426 .48846 .80717 .49458 .8138 .49218 .8109 .48605 Metetra
.657 .688 .868 r
.8109 .48605 .8138 .49218 .82044 .4896 .81754 .48346 Metetra
.664 .691 .866 r
.81754 .48346 .82044 .4896 .82707 .48685 .82418 .4807 Metetra
.671 .694 .864 r
.82418 .4807 .82707 .48685 .83371 .48392 .83083 .47776 Metetra
.677 .697 .861 r
.83083 .47776 .83371 .48392 .84034 .48081 .83747 .47463 Metetra
.684 .7 .859 r
.83747 .47463 .84034 .48081 .84698 .4775 .84412 .47131 Metetra
.691 .703 .857 r
.84412 .47131 .84698 .4775 .85361 .47399 .85076 .46779 Metetra
.698 .706 .854 r
.85076 .46779 .85361 .47399 .86024 .47028 .85739 .46407 Metetra
.705 .709 .851 r
.85739 .46407 .86024 .47028 .86686 .46637 .86402 .46014 Metetra
.712 .712 .848 r
.86402 .46014 .86686 .46637 .87347 .46224 .87065 .456 Metetra
.719 .715 .846 r
.87065 .456 .87347 .46224 .88008 .45789 .87726 .45164 Metetra
.726 .718 .843 r
.87726 .45164 .88008 .45789 .88667 .45333 .88387 .44706 Metetra
.732 .72 .84 r
.88387 .44706 .88667 .45333 .89325 .44854 .89046 .44226 Metetra
.838 .728 .742 r
.27815 .76091 .28172 .76606 .2878 .75532 .28424 .75016 Metetra
.836 .728 .745 r
.28424 .75016 .2878 .75532 .29384 .74489 .29029 .73971 Metetra
.833 .728 .748 r
.29029 .73971 .29384 .74489 .29986 .73474 .29632 .72956 Metetra
.83 .728 .751 r
.29632 .72956 .29986 .73474 .30585 .72488 .30233 .71969 Metetra
.828 .728 .754 r
.30233 .71969 .30585 .72488 .31182 .71531 .30831 .71011 Metetra
.825 .728 .758 r
.30831 .71011 .31182 .71531 .31777 .70603 .31427 .70081 Metetra
.822 .727 .761 r
.31427 .70081 .31777 .70603 .3237 .69702 .32021 .69179 Metetra
.818 .727 .764 r
.32021 .69179 .3237 .69702 .32961 .68829 .32613 .68304 Metetra
.815 .727 .768 r
.32613 .68304 .32961 .68829 .3355 .67983 .33204 .67457 Metetra
.812 .727 .771 r
.33204 .67457 .3355 .67983 .34137 .67164 .33792 .66637 Metetra
.808 .726 .775 r
.33792 .66637 .34137 .67164 .34723 .66371 .34379 .65843 Metetra
.804 .726 .778 r
.34379 .65843 .34723 .66371 .35307 .65605 .34964 .65076 Metetra
.8 .726 .782 r
.34964 .65076 .35307 .65605 .3589 .64865 .35548 .64335 Metetra
.796 .725 .785 r
.35548 .64335 .3589 .64865 .36472 .6415 .36131 .63619 Metetra
.792 .725 .789 r
.36131 .63619 .36472 .6415 .37053 .6346 .36713 .62928 Metetra
.788 .724 .793 r
.36713 .62928 .37053 .6346 .37632 .62795 .37294 .62262 Metetra
.783 .723 .796 r
.37294 .62262 .37632 .62795 .38211 .62154 .37873 .6162 Metetra
.779 .722 .8 r
.37873 .6162 .38211 .62154 .38789 .61538 .38452 .61002 Metetra
.774 .721 .804 r
.38452 .61002 .38789 .61538 .39367 .60945 .39031 .60408 Metetra
.769 .72 .808 r
.39031 .60408 .39367 .60945 .39943 .60375 .39608 .59837 Metetra
.763 .719 .811 r
.39608 .59837 .39943 .60375 .4052 .59828 .40186 .5929 Metetra
.758 .718 .815 r
.40186 .5929 .4052 .59828 .41096 .59304 .40762 .58764 Metetra
.753 .717 .819 r
.40762 .58764 .41096 .59304 .41672 .58801 .41339 .5826 Metetra
.747 .716 .823 r
.41339 .5826 .41672 .58801 .42247 .5832 .41916 .57779 Metetra
.741 .714 .826 r
.41916 .57779 .42247 .5832 .42823 .57861 .42492 .57318 Metetra
.735 .713 .83 r
.42492 .57318 .42823 .57861 .43399 .57422 .43069 .56878 Metetra
.729 .711 .833 r
.43069 .56878 .43399 .57422 .43975 .57003 .43645 .56458 Metetra
.723 .709 .837 r
.43645 .56458 .43975 .57003 .44551 .56604 .44222 .56058 Metetra
.717 .707 .84 r
.44222 .56058 .44551 .56604 .45128 .56225 .448 .55678 Metetra
.71 .705 .844 r
.448 .55678 .45128 .56225 .45705 .55864 .45378 .55317 Metetra
.704 .703 .847 r
.45378 .55317 .45705 .55864 .46283 .55523 .45956 .54974 Metetra
.697 .701 .85 r
.45956 .54974 .46283 .55523 .46861 .55199 .46535 .54649 Metetra
.69 .699 .853 r
.46535 .54649 .46861 .55199 .4744 .54893 .47115 .54342 Metetra
.683 .697 .856 r
.47115 .54342 .4744 .54893 .4802 .54604 .47695 .54052 Metetra
.677 .694 .859 r
.47695 .54052 .4802 .54604 .486 .54331 .48277 .53778 Metetra
.67 .692 .862 r
.48277 .53778 .486 .54331 .49182 .54075 .48859 .53521 Metetra
.663 .69 .865 r
.48859 .53521 .49182 .54075 .49765 .53834 .49442 .53279 Metetra
.656 .687 .867 r
.49442 .53279 .49765 .53834 .50349 .53608 .50027 .53053 Metetra
.649 .684 .87 r
.50027 .53053 .50349 .53608 .50934 .53397 .50613 .5284 Metetra
.643 .682 .872 r
.50613 .5284 .50934 .53397 .51521 .532 .512 .52643 Metetra
.636 .679 .874 r
.512 .52643 .51521 .532 .52108 .53017 .51788 .52458 Metetra
.629 .677 .876 r
.51788 .52458 .52108 .53017 .52698 .52846 .52378 .52287 Metetra
.623 .674 .878 r
.52378 .52287 .52698 .52846 .53288 .52688 .52969 .52128 Metetra
.617 .672 .88 r
.52969 .52128 .53288 .52688 .5388 .52542 .53562 .51981 Metetra
.611 .669 .881 r
.53562 .51981 .5388 .52542 .54474 .52407 .54156 .51845 Metetra
.605 .667 .883 r
.54156 .51845 .54474 .52407 .5507 .52284 .54753 .5172 Metetra
.599 .664 .884 r
.54753 .5172 .5507 .52284 .55667 .5217 .5535 .51605 Metetra
.594 .662 .886 r
.5535 .51605 .55667 .5217 .56266 .52066 .5595 .515 Metetra
.588 .659 .887 r
.5595 .515 .56266 .52066 .56867 .5197 .56551 .51404 Metetra
.583 .657 .888 r
.56551 .51404 .56867 .5197 .57469 .51884 .57154 .51316 Metetra
.579 .655 .889 r
.57154 .51316 .57469 .51884 .58074 .51805 .57759 .51236 Metetra
.575 .653 .89 r
.57759 .51236 .58074 .51805 .5868 .51733 .58366 .51164 Metetra
.571 .652 .89 r
.58366 .51164 .5868 .51733 .59289 .51668 .58975 .51098 Metetra
.567 .65 .891 r
.58975 .51098 .59289 .51668 .59899 .51609 .59586 .51037 Metetra
.564 .648 .892 r
.59586 .51037 .59899 .51609 .60511 .51555 .60199 .50983 Metetra
.561 .647 .892 r
.60199 .50983 .60511 .51555 .61126 .51506 .60814 .50933 Metetra
.558 .646 .893 r
.60814 .50933 .61126 .51506 .61742 .51461 .61431 .50886 Metetra
.556 .645 .893 r
.61431 .50886 .61742 .51461 .62361 .51419 .6205 .50844 Metetra
.555 .644 .893 r
.6205 .50844 .62361 .51419 .62981 .5138 .62671 .50804 Metetra
.553 .643 .893 r
.62671 .50804 .62981 .5138 .63604 .51343 .63294 .50766 Metetra
.552 .643 .894 r
.63294 .50766 .63604 .51343 .64229 .51307 .6392 .50729 Metetra
.552 .643 .894 r
.6392 .50729 .64229 .51307 .64855 .51272 .64547 .50693 Metetra
.552 .643 .894 r
.64547 .50693 .64855 .51272 .65484 .51238 .65176 .50657 Metetra
.552 .643 .894 r
.65176 .50657 .65484 .51238 .66115 .51202 .65808 .50621 Metetra
.553 .643 .894 r
.65808 .50621 .66115 .51202 .66748 .51165 .66441 .50583 Metetra
.554 .644 .893 r
.66441 .50583 .66748 .51165 .67383 .51126 .67077 .50543 Metetra
.555 .645 .893 r
.67077 .50543 .67383 .51126 .68019 .51085 .67714 .505 Metetra
.557 .645 .893 r
.67714 .505 .68019 .51085 .68658 .5104 .68353 .50454 Metetra
.56 .647 .892 r
.68353 .50454 .68658 .5104 .69299 .5099 .68995 .50404 Metetra
.562 .648 .892 r
.68995 .50404 .69299 .5099 .69941 .50936 .69638 .50349 Metetra
.565 .649 .892 r
.69638 .50349 .69941 .50936 .70586 .50877 .70283 .50288 Metetra
.569 .651 .891 r
.70283 .50288 .70586 .50877 .71232 .50811 .7093 .50221 Metetra
.572 .653 .89 r
.7093 .50221 .71232 .50811 .7188 .50738 .71578 .50147 Metetra
.576 .655 .89 r
.71578 .50147 .7188 .50738 .72529 .50658 .72229 .50066 Metetra
.581 .657 .889 r
.72229 .50066 .72529 .50658 .7318 .50569 .7288 .49976 Metetra
.585 .659 .888 r
.7288 .49976 .7318 .50569 .73833 .50471 .73534 .49877 Metetra
.59 .661 .887 r
.73534 .49877 .73833 .50471 .74487 .50364 .74189 .49769 Metetra
.595 .664 .886 r
.74189 .49769 .74487 .50364 .75143 .50246 .74845 .4965 Metetra
.601 .666 .885 r
.74845 .4965 .75143 .50246 .758 .50117 .75502 .49519 Metetra
.606 .669 .884 r
.75502 .49519 .758 .50117 .76458 .49976 .76161 .49378 Metetra
.612 .671 .883 r
.76161 .49378 .76458 .49976 .77117 .49823 .76821 .49223 Metetra
.618 .674 .881 r
.76821 .49223 .77117 .49823 .77777 .49656 .77482 .49056 Metetra
.624 .677 .88 r
.77482 .49056 .77777 .49656 .78438 .49476 .78144 .48874 Metetra
.631 .68 .878 r
.78144 .48874 .78438 .49476 .791 .49281 .78807 .48679 Metetra
.637 .683 .877 r
.78807 .48679 .791 .49281 .79763 .49072 .7947 .48468 Metetra
.644 .686 .875 r
.7947 .48468 .79763 .49072 .80426 .48846 .80134 .48241 Metetra
.651 .689 .873 r
.80134 .48241 .80426 .48846 .8109 .48605 .80799 .47998 Metetra
.657 .692 .871 r
.80799 .47998 .8109 .48605 .81754 .48346 .81464 .47739 Metetra
.664 .695 .869 r
.81464 .47739 .81754 .48346 .82418 .4807 .82129 .47461 Metetra
.671 .698 .867 r
.82129 .47461 .82418 .4807 .83083 .47776 .82795 .47166 Metetra
.678 .701 .864 r
.82795 .47166 .83083 .47776 .83747 .47463 .8346 .46852 Metetra
.685 .704 .862 r
.8346 .46852 .83747 .47463 .84412 .47131 .84125 .46519 Metetra
.692 .707 .859 r
.84125 .46519 .84412 .47131 .85076 .46779 .8479 .46166 Metetra
.699 .71 .857 r
.8479 .46166 .85076 .46779 .85739 .46407 .85455 .45792 Metetra
.706 .713 .854 r
.85455 .45792 .85739 .46407 .86402 .46014 .86119 .45398 Metetra
.713 .716 .851 r
.86119 .45398 .86402 .46014 .87065 .456 .86782 .44983 Metetra
.72 .719 .848 r
.86782 .44983 .87065 .456 .87726 .45164 .87445 .44546 Metetra
.727 .721 .845 r
.87445 .44546 .87726 .45164 .88387 .44706 .88106 .44087 Metetra
.734 .724 .842 r
.88106 .44087 .88387 .44706 .89046 .44226 .88766 .43606 Metetra
.839 .73 .743 r
.27456 .75584 .27815 .76091 .28424 .75016 .28066 .74508 Metetra
.837 .73 .746 r
.28066 .74508 .28424 .75016 .29029 .73971 .28673 .73462 Metetra
.834 .73 .749 r
.28673 .73462 .29029 .73971 .29632 .72956 .29278 .72445 Metetra
.832 .73 .752 r
.29278 .72445 .29632 .72956 .30233 .71969 .29879 .71457 Metetra
.829 .73 .755 r
.29879 .71457 .30233 .71969 .30831 .71011 .30479 .70497 Metetra
.826 .73 .759 r
.30479 .70497 .30831 .71011 .31427 .70081 .31076 .69566 Metetra
.823 .73 .762 r
.31076 .69566 .31427 .70081 .32021 .69179 .31672 .68663 Metetra
.82 .73 .765 r
.31672 .68663 .32021 .69179 .32613 .68304 .32265 .67787 Metetra
.817 .73 .769 r
.32265 .67787 .32613 .68304 .33204 .67457 .32856 .66939 Metetra
.813 .729 .772 r
.32856 .66939 .33204 .67457 .33792 .66637 .33446 .66117 Metetra
.809 .729 .776 r
.33446 .66117 .33792 .66637 .34379 .65843 .34034 .65323 Metetra
.806 .729 .779 r
.34034 .65323 .34379 .65843 .34964 .65076 .3462 .64554 Metetra
.802 .728 .783 r
.3462 .64554 .34964 .65076 .35548 .64335 .35205 .63812 Metetra
.798 .728 .787 r
.35205 .63812 .35548 .64335 .36131 .63619 .35789 .63094 Metetra
.794 .727 .79 r
.35789 .63094 .36131 .63619 .36713 .62928 .36372 .62403 Metetra
.789 .727 .794 r
.36372 .62403 .36713 .62928 .37294 .62262 .36953 .61735 Metetra
.785 .726 .798 r
.36953 .61735 .37294 .62262 .37873 .6162 .37534 .61093 Metetra
.78 .725 .802 r
.37534 .61093 .37873 .6162 .38452 .61002 .38114 .60474 Metetra
.775 .724 .806 r
.38114 .60474 .38452 .61002 .39031 .60408 .38693 .59879 Metetra
.77 .724 .809 r
.38693 .59879 .39031 .60408 .39608 .59837 .39272 .59307 Metetra
.765 .722 .813 r
.39272 .59307 .39608 .59837 .40186 .5929 .3985 .58758 Metetra
.759 .721 .817 r
.3985 .58758 .40186 .5929 .40762 .58764 .40428 .58231 Metetra
.754 .72 .821 r
.40428 .58231 .40762 .58764 .41339 .5826 .41005 .57727 Metetra
.748 .719 .825 r
.41005 .57727 .41339 .5826 .41916 .57779 .41583 .57244 Metetra
.742 .717 .828 r
.41583 .57244 .41916 .57779 .42492 .57318 .4216 .56782 Metetra
.736 .716 .832 r
.4216 .56782 .42492 .57318 .43069 .56878 .42737 .56341 Metetra
.73 .714 .836 r
.42737 .56341 .43069 .56878 .43645 .56458 .43315 .5592 Metetra
.724 .713 .839 r
.43315 .5592 .43645 .56458 .44222 .56058 .43892 .55519 Metetra
.718 .711 .843 r
.43892 .55519 .44222 .56058 .448 .55678 .44471 .55138 Metetra
.711 .709 .846 r
.44471 .55138 .448 .55678 .45378 .55317 .45049 .54776 Metetra
.704 .707 .85 r
.45049 .54776 .45378 .55317 .45956 .54974 .45628 .54432 Metetra
.698 .705 .853 r
.45628 .54432 .45956 .54974 .46535 .54649 .46208 .54106 Metetra
.691 .702 .856 r
.46208 .54106 .46535 .54649 .47115 .54342 .46788 .53798 Metetra
.684 .7 .859 r
.46788 .53798 .47115 .54342 .47695 .54052 .47369 .53507 Metetra
.677 .698 .862 r
.47369 .53507 .47695 .54052 .48277 .53778 .47951 .53232 Metetra
.67 .695 .865 r
.47951 .53232 .48277 .53778 .48859 .53521 .48534 .52974 Metetra
.663 .693 .868 r
.48534 .52974 .48859 .53521 .49442 .53279 .49119 .52731 Metetra
.656 .69 .87 r
.49119 .52731 .49442 .53279 .50027 .53053 .49704 .52504 Metetra
.65 .688 .873 r
.49704 .52504 .50027 .53053 .50613 .5284 .5029 .52291 Metetra
.643 .685 .875 r
.5029 .52291 .50613 .5284 .512 .52643 .50878 .52092 Metetra
.636 .683 .877 r
.50878 .52092 .512 .52643 .51788 .52458 .51467 .51906 Metetra
.629 .68 .879 r
.51467 .51906 .51788 .52458 .52378 .52287 .52057 .51734 Metetra
.623 .678 .881 r
.52057 .51734 .52378 .52287 .52969 .52128 .52649 .51574 Metetra
.616 .675 .883 r
.52649 .51574 .52969 .52128 .53562 .51981 .53243 .51426 Metetra
.61 .672 .885 r
.53243 .51426 .53562 .51981 .54156 .51845 .53838 .51289 Metetra
.604 .67 .886 r
.53838 .51289 .54156 .51845 .54753 .5172 .54434 .51163 Metetra
.599 .667 .888 r
.54434 .51163 .54753 .5172 .5535 .51605 .55033 .51048 Metetra
.593 .665 .889 r
.55033 .51048 .5535 .51605 .5595 .515 .55633 .50941 Metetra
.588 .663 .89 r
.55633 .50941 .5595 .515 .56551 .51404 .56235 .50844 Metetra
.583 .661 .891 r
.56235 .50844 .56551 .51404 .57154 .51316 .56838 .50756 Metetra
.578 .659 .892 r
.56838 .50756 .57154 .51316 .57759 .51236 .57444 .50675 Metetra
.574 .657 .893 r
.57444 .50675 .57759 .51236 .58366 .51164 .58052 .50601 Metetra
.57 .655 .894 r
.58052 .50601 .58366 .51164 .58975 .51098 .58661 .50534 Metetra
.566 .653 .894 r
.58661 .50534 .58975 .51098 .59586 .51037 .59273 .50473 Metetra
.563 .652 .895 r
.59273 .50473 .59586 .51037 .60199 .50983 .59886 .50417 Metetra
.56 .65 .895 r
.59886 .50417 .60199 .50983 .60814 .50933 .60502 .50366 Metetra
.557 .649 .896 r
.60502 .50366 .60814 .50933 .61431 .50886 .61119 .50319 Metetra
.555 .648 .896 r
.61119 .50319 .61431 .50886 .6205 .50844 .61739 .50275 Metetra
.553 .647 .897 r
.61739 .50275 .6205 .50844 .62671 .50804 .6236 .50234 Metetra
.552 .647 .897 r
.6236 .50234 .62671 .50804 .63294 .50766 .62984 .50195 Metetra
.551 .646 .897 r
.62984 .50195 .63294 .50766 .6392 .50729 .6361 .50158 Metetra
.551 .646 .897 r
.6361 .50158 .6392 .50729 .64547 .50693 .64238 .50121 Metetra
.551 .646 .897 r
.64238 .50121 .64547 .50693 .65176 .50657 .64868 .50084 Metetra
.551 .646 .897 r
.64868 .50084 .65176 .50657 .65808 .50621 .655 .50046 Metetra
.552 .646 .897 r
.655 .50046 .65808 .50621 .66441 .50583 .66134 .50007 Metetra
.553 .647 .897 r
.66134 .50007 .66441 .50583 .67077 .50543 .6677 .49966 Metetra
.554 .648 .896 r
.6677 .49966 .67077 .50543 .67714 .505 .67408 .49923 Metetra
.556 .649 .896 r
.67408 .49923 .67714 .505 .68353 .50454 .68048 .49876 Metetra
.559 .65 .896 r
.68048 .49876 .68353 .50454 .68995 .50404 .6869 .49824 Metetra
.561 .651 .895 r
.6869 .49824 .68995 .50404 .69638 .50349 .69334 .49768 Metetra
.564 .652 .895 r
.69334 .49768 .69638 .50349 .70283 .50288 .6998 .49707 Metetra
.568 .654 .894 r
.6998 .49707 .70283 .50288 .7093 .50221 .70627 .49639 Metetra
.572 .656 .894 r
.70627 .49639 .7093 .50221 .71578 .50147 .71276 .49564 Metetra
.576 .658 .893 r
.71276 .49564 .71578 .50147 .72229 .50066 .71927 .49481 Metetra
.58 .66 .892 r
.71927 .49481 .72229 .50066 .7288 .49976 .7258 .4939 Metetra
.585 .662 .891 r
.7258 .4939 .7288 .49976 .73534 .49877 .73234 .4929 Metetra
.59 .665 .89 r
.73234 .4929 .73534 .49877 .74189 .49769 .73889 .49181 Metetra
.595 .667 .889 r
.73889 .49181 .74189 .49769 .74845 .4965 .74546 .49061 Metetra
.6 .67 .888 r
.74546 .49061 .74845 .4965 .75502 .49519 .75205 .48929 Metetra
.606 .672 .887 r
.75205 .48929 .75502 .49519 .76161 .49378 .75864 .48786 Metetra
.612 .675 .886 r
.75864 .48786 .76161 .49378 .76821 .49223 .76525 .48631 Metetra
.618 .678 .884 r
.76525 .48631 .76821 .49223 .77482 .49056 .77187 .48462 Metetra
.624 .681 .883 r
.77187 .48462 .77482 .49056 .78144 .48874 .77849 .4828 Metetra
.631 .684 .881 r
.77849 .4828 .78144 .48874 .78807 .48679 .78513 .48083 Metetra
.637 .686 .88 r
.78513 .48083 .78807 .48679 .7947 .48468 .79177 .47871 Metetra
.644 .689 .878 r
.79177 .47871 .7947 .48468 .80134 .48241 .79842 .47643 Metetra
.651 .693 .876 r
.79842 .47643 .80134 .48241 .80799 .47998 .80508 .47399 Metetra
.658 .696 .874 r
.80508 .47399 .80799 .47998 .81464 .47739 .81174 .47138 Metetra
.665 .699 .872 r
.81174 .47138 .81464 .47739 .82129 .47461 .8184 .4686 Metetra
.672 .702 .869 r
.8184 .4686 .82129 .47461 .82795 .47166 .82506 .46563 Metetra
.679 .705 .867 r
.82506 .46563 .82795 .47166 .8346 .46852 .83172 .46248 Metetra
.686 .708 .865 r
.83172 .46248 .8346 .46852 .84125 .46519 .83838 .45914 Metetra
.693 .711 .862 r
.83838 .45914 .84125 .46519 .8479 .46166 .84504 .45559 Metetra
.7 .714 .859 r
.84504 .45559 .8479 .46166 .85455 .45792 .8517 .45185 Metetra
.707 .717 .857 r
.8517 .45185 .85455 .45792 .86119 .45398 .85835 .4479 Metetra
.714 .719 .854 r
.85835 .4479 .86119 .45398 .86782 .44983 .86499 .44373 Metetra
.721 .722 .851 r
.86499 .44373 .86782 .44983 .87445 .44546 .87163 .43935 Metetra
.728 .725 .848 r
.87163 .43935 .87445 .44546 .88106 .44087 .87825 .43475 Metetra
.735 .728 .845 r
.87825 .43475 .88106 .44087 .88766 .43606 .88487 .42992 Metetra
.841 .732 .744 r
.27096 .75084 .27456 .75584 .28066 .74508 .27707 .74007 Metetra
.838 .732 .747 r
.27707 .74007 .28066 .74508 .28673 .73462 .28315 .72959 Metetra
.836 .732 .75 r
.28315 .72959 .28673 .73462 .29278 .72445 .28921 .71941 Metetra
.833 .732 .753 r
.28921 .71941 .29278 .72445 .29879 .71457 .29524 .70951 Metetra
.83 .732 .756 r
.29524 .70951 .29879 .71457 .30479 .70497 .30125 .69991 Metetra
.828 .732 .76 r
.30125 .69991 .30479 .70497 .31076 .69566 .30724 .69058 Metetra
.824 .732 .763 r
.30724 .69058 .31076 .69566 .31672 .68663 .3132 .68154 Metetra
.821 .732 .766 r
.3132 .68154 .31672 .68663 .32265 .67787 .31914 .67277 Metetra
.818 .732 .77 r
.31914 .67277 .32265 .67787 .32856 .66939 .32507 .66428 Metetra
.815 .732 .773 r
.32507 .66428 .32856 .66939 .33446 .66117 .33098 .65605 Metetra
.811 .732 .777 r
.33098 .65605 .33446 .66117 .34034 .65323 .33687 .64809 Metetra
.807 .732 .781 r
.33687 .64809 .34034 .65323 .3462 .64554 .34274 .64039 Metetra
.803 .731 .784 r
.34274 .64039 .3462 .64554 .35205 .63812 .3486 .63296 Metetra
.799 .731 .788 r
.3486 .63296 .35205 .63812 .35789 .63094 .35445 .62577 Metetra
.795 .73 .792 r
.35445 .62577 .35789 .63094 .36372 .62403 .36029 .61884 Metetra
.791 .73 .796 r
.36029 .61884 .36372 .62403 .36953 .61735 .36612 .61216 Metetra
.786 .729 .8 r
.36612 .61216 .36953 .61735 .37534 .61093 .37193 .60572 Metetra
.781 .728 .803 r
.37193 .60572 .37534 .61093 .38114 .60474 .37774 .59952 Metetra
.776 .728 .807 r
.37774 .59952 .38114 .60474 .38693 .59879 .38354 .59356 Metetra
.771 .727 .811 r
.38354 .59356 .38693 .59879 .39272 .59307 .38934 .58783 Metetra
.766 .726 .815 r
.38934 .58783 .39272 .59307 .3985 .58758 .39513 .58233 Metetra
.761 .725 .819 r
.39513 .58233 .3985 .58758 .40428 .58231 .40091 .57705 Metetra
.755 .723 .823 r
.40091 .57705 .40428 .58231 .41005 .57727 .4067 .572 Metetra
.749 .722 .827 r
.4067 .572 .41005 .57727 .41583 .57244 .41248 .56716 Metetra
.744 .721 .83 r
.41248 .56716 .41583 .57244 .4216 .56782 .41826 .56253 Metetra
.737 .719 .834 r
.41826 .56253 .4216 .56782 .42737 .56341 .42404 .55811 Metetra
.731 .718 .838 r
.42404 .55811 .42737 .56341 .43315 .5592 .42983 .55389 Metetra
.725 .716 .842 r
.42983 .55389 .43315 .5592 .43892 .55519 .43561 .54987 Metetra
.719 .714 .845 r
.43561 .54987 .43892 .55519 .44471 .55138 .4414 .54605 Metetra
.712 .712 .849 r
.4414 .54605 .44471 .55138 .45049 .54776 .44719 .54242 Metetra
.705 .71 .852 r
.44719 .54242 .45049 .54776 .45628 .54432 .45299 .53897 Metetra
.698 .708 .855 r
.45299 .53897 .45628 .54432 .46208 .54106 .45879 .5357 Metetra
.692 .706 .859 r
.45879 .5357 .46208 .54106 .46788 .53798 .46461 .53261 Metetra
.685 .704 .862 r
.46461 .53261 .46788 .53798 .47369 .53507 .47042 .52969 Metetra
.678 .701 .865 r
.47042 .52969 .47369 .53507 .47951 .53232 .47625 .52693 Metetra
.671 .699 .868 r
.47625 .52693 .47951 .53232 .48534 .52974 .48209 .52434 Metetra
.664 .697 .87 r
.48209 .52434 .48534 .52974 .49119 .52731 .48794 .5219 Metetra
.657 .694 .873 r
.48794 .5219 .49119 .52731 .49704 .52504 .49379 .51962 Metetra
.65 .691 .876 r
.49379 .51962 .49704 .52504 .5029 .52291 .49966 .51748 Metetra
.643 .689 .878 r
.49966 .51748 .5029 .52291 .50878 .52092 .50555 .51548 Metetra
.636 .686 .88 r
.50555 .51548 .50878 .52092 .51467 .51906 .51144 .51361 Metetra
.629 .684 .882 r
.51144 .51361 .51467 .51906 .52057 .51734 .51735 .51188 Metetra
.623 .681 .884 r
.51735 .51188 .52057 .51734 .52649 .51574 .52328 .51027 Metetra
.616 .678 .886 r
.52328 .51027 .52649 .51574 .53243 .51426 .52922 .50878 Metetra
.61 .676 .888 r
.52922 .50878 .53243 .51426 .53838 .51289 .53518 .5074 Metetra
.604 .673 .889 r
.53518 .5074 .53838 .51289 .54434 .51163 .54115 .50613 Metetra
.598 .671 .891 r
.54115 .50613 .54434 .51163 .55033 .51048 .54714 .50497 Metetra
.592 .668 .892 r
.54714 .50497 .55033 .51048 .55633 .50941 .55315 .5039 Metetra
.587 .666 .893 r
.55315 .5039 .55633 .50941 .56235 .50844 .55917 .50292 Metetra
.582 .664 .894 r
.55917 .50292 .56235 .50844 .56838 .50756 .56521 .50202 Metetra
.577 .662 .895 r
.56521 .50202 .56838 .50756 .57444 .50675 .57128 .5012 Metetra
.573 .66 .896 r
.57128 .5012 .57444 .50675 .58052 .50601 .57736 .50046 Metetra
.569 .658 .897 r
.57736 .50046 .58052 .50601 .58661 .50534 .58346 .49978 Metetra
.565 .656 .898 r
.58346 .49978 .58661 .50534 .59273 .50473 .58958 .49915 Metetra
.562 .655 .898 r
.58958 .49915 .59273 .50473 .59886 .50417 .59572 .49859 Metetra
.559 .653 .899 r
.59572 .49859 .59886 .50417 .60502 .50366 .60188 .49807 Metetra
.556 .652 .899 r
.60188 .49807 .60502 .50366 .61119 .50319 .60806 .49758 Metetra
.554 .651 .9 r
.60806 .49758 .61119 .50319 .61739 .50275 .61426 .49714 Metetra
.552 .65 .9 r
.61426 .49714 .61739 .50275 .6236 .50234 .62049 .49672 Metetra
.551 .65 .9 r
.62049 .49672 .6236 .50234 .62984 .50195 .62673 .49632 Metetra
.55 .649 .9 r
.62673 .49632 .62984 .50195 .6361 .50158 .63299 .49593 Metetra
.549 .649 .9 r
.63299 .49593 .6361 .50158 .64238 .50121 .63928 .49555 Metetra
.549 .649 .9 r
.63928 .49555 .64238 .50121 .64868 .50084 .64559 .49517 Metetra
.55 .649 .9 r
.64559 .49517 .64868 .50084 .655 .50046 .65191 .49479 Metetra
.55 .65 .9 r
.65191 .49479 .655 .50046 .66134 .50007 .65826 .49439 Metetra
.552 .65 .9 r
.65826 .49439 .66134 .50007 .6677 .49966 .66463 .49397 Metetra
.553 .651 .9 r
.66463 .49397 .6677 .49966 .67408 .49923 .67101 .49352 Metetra
.555 .652 .899 r
.67101 .49352 .67408 .49923 .68048 .49876 .67742 .49304 Metetra
.557 .653 .899 r
.67742 .49304 .68048 .49876 .6869 .49824 .68385 .49252 Metetra
.56 .654 .899 r
.68385 .49252 .6869 .49824 .69334 .49768 .69029 .49195 Metetra
.563 .656 .898 r
.69029 .49195 .69334 .49768 .6998 .49707 .69675 .49132 Metetra
.567 .657 .898 r
.69675 .49132 .6998 .49707 .70627 .49639 .70324 .49063 Metetra
.571 .659 .897 r
.70324 .49063 .70627 .49639 .71276 .49564 .70974 .48987 Metetra
.575 .661 .896 r
.70974 .48987 .71276 .49564 .71927 .49481 .71625 .48904 Metetra
.579 .663 .895 r
.71625 .48904 .71927 .49481 .7258 .4939 .72278 .48812 Metetra
.584 .666 .895 r
.72278 .48812 .7258 .4939 .73234 .4929 .72933 .48711 Metetra
.589 .668 .894 r
.72933 .48711 .73234 .4929 .73889 .49181 .7359 .486 Metetra
.594 .67 .893 r
.7359 .486 .73889 .49181 .74546 .49061 .74247 .48479 Metetra
.6 .673 .892 r
.74247 .48479 .74546 .49061 .75205 .48929 .74906 .48346 Metetra
.606 .676 .89 r
.74906 .48346 .75205 .48929 .75864 .48786 .75567 .48202 Metetra
.612 .678 .889 r
.75567 .48202 .75864 .48786 .76525 .48631 .76228 .48046 Metetra
.618 .681 .888 r
.76228 .48046 .76525 .48631 .77187 .48462 .76891 .47876 Metetra
.624 .684 .886 r
.76891 .47876 .77187 .48462 .77849 .4828 .77554 .47692 Metetra
.631 .687 .884 r
.77554 .47692 .77849 .4828 .78513 .48083 .78219 .47494 Metetra
.637 .69 .883 r
.78219 .47494 .78513 .48083 .79177 .47871 .78884 .47281 Metetra
.644 .693 .881 r
.78884 .47281 .79177 .47871 .79842 .47643 .7955 .47052 Metetra
.651 .696 .879 r
.7955 .47052 .79842 .47643 .80508 .47399 .80216 .46807 Metetra
.658 .699 .877 r
.80216 .46807 .80508 .47399 .81174 .47138 .80883 .46545 Metetra
.665 .702 .875 r
.80883 .46545 .81174 .47138 .8184 .4686 .8155 .46265 Metetra
.672 .705 .872 r
.8155 .46265 .8184 .4686 .82506 .46563 .82217 .45968 Metetra
.679 .708 .87 r
.82217 .45968 .82506 .46563 .83172 .46248 .82884 .45651 Metetra
.686 .711 .867 r
.82884 .45651 .83172 .46248 .83838 .45914 .83551 .45316 Metetra
.693 .714 .865 r
.83551 .45316 .83838 .45914 .84504 .45559 .84218 .4496 Metetra
.701 .717 .862 r
.84218 .4496 .84504 .45559 .8517 .45185 .84885 .44584 Metetra
.708 .72 .859 r
.84885 .44584 .8517 .45185 .85835 .4479 .85551 .44188 Metetra
.715 .723 .856 r
.85551 .44188 .85835 .4479 .86499 .44373 .86216 .4377 Metetra
.722 .726 .853 r
.86216 .4377 .86499 .44373 .87163 .43935 .86881 .43331 Metetra
.729 .729 .85 r
.86881 .43331 .87163 .43935 .87825 .43475 .87544 .42869 Metetra
.736 .732 .847 r
.87544 .42869 .87825 .43475 .88487 .42992 .88207 .42385 Metetra
.842 .734 .745 r
.26733 .74592 .27096 .75084 .27707 .74007 .27346 .73513 Metetra
.84 .734 .748 r
.27346 .73513 .27707 .74007 .28315 .72959 .27956 .72464 Metetra
.837 .735 .751 r
.27956 .72464 .28315 .72959 .28921 .71941 .28563 .71444 Metetra
.835 .735 .754 r
.28563 .71444 .28921 .71941 .29524 .70951 .29167 .70454 Metetra
.832 .735 .757 r
.29167 .70454 .29524 .70951 .30125 .69991 .29769 .69492 Metetra
.829 .735 .761 r
.29769 .69492 .30125 .69991 .30724 .69058 .30369 .68558 Metetra
.826 .735 .764 r
.30369 .68558 .30724 .69058 .3132 .68154 .30967 .67652 Metetra
.823 .735 .768 r
.30967 .67652 .3132 .68154 .31914 .67277 .31562 .66774 Metetra
.819 .735 .771 r
.31562 .66774 .31914 .67277 .32507 .66428 .32156 .65924 Metetra
.816 .735 .775 r
.32156 .65924 .32507 .66428 .33098 .65605 .32748 .651 Metetra
.812 .735 .778 r
.32748 .651 .33098 .65605 .33687 .64809 .33338 .64303 Metetra
.809 .734 .782 r
.33338 .64303 .33687 .64809 .34274 .64039 .33927 .63532 Metetra
.805 .734 .786 r
.33927 .63532 .34274 .64039 .3486 .63296 .34514 .62787 Metetra
.801 .734 .79 r
.34514 .62787 .3486 .63296 .35445 .62577 .351 .62067 Metetra
.796 .733 .793 r
.351 .62067 .35445 .62577 .36029 .61884 .35685 .61373 Metetra
.792 .733 .797 r
.35685 .61373 .36029 .61884 .36612 .61216 .36268 .60704 Metetra
.787 .732 .801 r
.36268 .60704 .36612 .61216 .37193 .60572 .36851 .60059 Metetra
.783 .731 .805 r
.36851 .60059 .37193 .60572 .37774 .59952 .37433 .59438 Metetra
.778 .731 .809 r
.37433 .59438 .37774 .59952 .38354 .59356 .38014 .58841 Metetra
.773 .73 .813 r
.38014 .58841 .38354 .59356 .38934 .58783 .38594 .58267 Metetra
.767 .729 .817 r
.38594 .58267 .38934 .58783 .39513 .58233 .39174 .57715 Metetra
.762 .728 .821 r
.39174 .57715 .39513 .58233 .40091 .57705 .39754 .57187 Metetra
.756 .727 .825 r
.39754 .57187 .40091 .57705 .4067 .572 .40333 .5668 Metetra
.751 .725 .829 r
.40333 .5668 .4067 .572 .41248 .56716 .40912 .56195 Metetra
.745 .724 .833 r
.40912 .56195 .41248 .56716 .41826 .56253 .41491 .55731 Metetra
.739 .723 .836 r
.41491 .55731 .41826 .56253 .42404 .55811 .4207 .55288 Metetra
.732 .721 .84 r
.4207 .55288 .42404 .55811 .42983 .55389 .42649 .54865 Metetra
.726 .719 .844 r
.42649 .54865 .42983 .55389 .43561 .54987 .43228 .54462 Metetra
.719 .718 .848 r
.43228 .54462 .43561 .54987 .4414 .54605 .43808 .54079 Metetra
.713 .716 .851 r
.43808 .54079 .4414 .54605 .44719 .54242 .44388 .53714 Metetra
.706 .714 .855 r
.44388 .53714 .44719 .54242 .45299 .53897 .44969 .53369 Metetra
.699 .712 .858 r
.44969 .53369 .45299 .53897 .45879 .5357 .4555 .53041 Metetra
.692 .71 .861 r
.4555 .53041 .45879 .5357 .46461 .53261 .46132 .52731 Metetra
.685 .707 .864 r
.46132 .52731 .46461 .53261 .47042 .52969 .46714 .52438 Metetra
.678 .705 .868 r
.46714 .52438 .47042 .52969 .47625 .52693 .47298 .52161 Metetra
.671 .703 .87 r
.47298 .52161 .47625 .52693 .48209 .52434 .47882 .51901 Metetra
.664 .7 .873 r
.47882 .51901 .48209 .52434 .48794 .5219 .48467 .51656 Metetra
.657 .698 .876 r
.48467 .51656 .48794 .5219 .49379 .51962 .49054 .51426 Metetra
.65 .695 .879 r
.49054 .51426 .49379 .51962 .49966 .51748 .49642 .51211 Metetra
.643 .692 .881 r
.49642 .51211 .49966 .51748 .50555 .51548 .50231 .51011 Metetra
.636 .69 .883 r
.50231 .51011 .50555 .51548 .51144 .51361 .50821 .50823 Metetra
.629 .687 .885 r
.50821 .50823 .51144 .51361 .51735 .51188 .51413 .50649 Metetra
.623 .685 .887 r
.51413 .50649 .51735 .51188 .52328 .51027 .52006 .50487 Metetra
.616 .682 .889 r
.52006 .50487 .52328 .51027 .52922 .50878 .526 .50337 Metetra
.61 .679 .891 r
.526 .50337 .52922 .50878 .53518 .5074 .53197 .50198 Metetra
.603 .677 .893 r
.53197 .50198 .53518 .5074 .54115 .50613 .53794 .50071 Metetra
.598 .674 .894 r
.53794 .50071 .54115 .50613 .54714 .50497 .54394 .49953 Metetra
.592 .672 .895 r
.54394 .49953 .54714 .50497 .55315 .5039 .54995 .49845 Metetra
.586 .67 .897 r
.54995 .49845 .55315 .5039 .55917 .50292 .55598 .49746 Metetra
.581 .667 .898 r
.55598 .49746 .55917 .50292 .56521 .50202 .56203 .49655 Metetra
.576 .665 .899 r
.56203 .49655 .56521 .50202 .57128 .5012 .5681 .49572 Metetra
.572 .663 .9 r
.5681 .49572 .57128 .5012 .57736 .50046 .57419 .49497 Metetra
.568 .661 .9 r
.57419 .49497 .57736 .50046 .58346 .49978 .5803 .49428 Metetra
.564 .66 .901 r
.5803 .49428 .58346 .49978 .58958 .49915 .58642 .49365 Metetra
.561 .658 .902 r
.58642 .49365 .58958 .49915 .59572 .49859 .59257 .49307 Metetra
.558 .657 .902 r
.59257 .49307 .59572 .49859 .60188 .49807 .59874 .49254 Metetra
.555 .655 .903 r
.59874 .49254 .60188 .49807 .60806 .49758 .60492 .49205 Metetra
.553 .654 .903 r
.60492 .49205 .60806 .49758 .61426 .49714 .61113 .49159 Metetra
.551 .654 .903 r
.61113 .49159 .61426 .49714 .62049 .49672 .61736 .49116 Metetra
.55 .653 .903 r
.61736 .49116 .62049 .49672 .62673 .49632 .62361 .49075 Metetra
.549 .653 .903 r
.62361 .49075 .62673 .49632 .63299 .49593 .62988 .49036 Metetra
.548 .652 .904 r
.62988 .49036 .63299 .49593 .63928 .49555 .63617 .48997 Metetra
.548 .652 .904 r
.63617 .48997 .63928 .49555 .64559 .49517 .64248 .48958 Metetra
.548 .652 .904 r
.64248 .48958 .64559 .49517 .65191 .49479 .64882 .48918 Metetra
.549 .653 .903 r
.64882 .48918 .65191 .49479 .65826 .49439 .65517 .48877 Metetra
.55 .653 .903 r
.65517 .48877 .65826 .49439 .66463 .49397 .66154 .48835 Metetra
.552 .654 .903 r
.66154 .48835 .66463 .49397 .67101 .49352 .66794 .48789 Metetra
.554 .655 .903 r
.66794 .48789 .67101 .49352 .67742 .49304 .67435 .4874 Metetra
.556 .656 .902 r
.67435 .4874 .67742 .49304 .68385 .49252 .68078 .48686 Metetra
.559 .658 .902 r
.68078 .48686 .68385 .49252 .69029 .49195 .68724 .48628 Metetra
.562 .659 .901 r
.68724 .48628 .69029 .49195 .69675 .49132 .69371 .48564 Metetra
.566 .661 .901 r
.69371 .48564 .69675 .49132 .70324 .49063 .70019 .48494 Metetra
.57 .663 .9 r
.70019 .48494 .70324 .49063 .70974 .48987 .7067 .48417 Metetra
.574 .665 .9 r
.7067 .48417 .70974 .48987 .71625 .48904 .71322 .48333 Metetra
.578 .667 .899 r
.71322 .48333 .71625 .48904 .72278 .48812 .71976 .4824 Metetra
.583 .669 .898 r
.71976 .4824 .72278 .48812 .72933 .48711 .72632 .48138 Metetra
.588 .671 .897 r
.72632 .48138 .72933 .48711 .7359 .486 .73289 .48026 Metetra
.594 .674 .896 r
.73289 .48026 .7359 .486 .74247 .48479 .73948 .47904 Metetra
.599 .676 .895 r
.73948 .47904 .74247 .48479 .74906 .48346 .74607 .4777 Metetra
.605 .679 .894 r
.74607 .4777 .74906 .48346 .75567 .48202 .75269 .47625 Metetra
.611 .682 .892 r
.75269 .47625 .75567 .48202 .76228 .48046 .75931 .47467 Metetra
.618 .685 .891 r
.75931 .47467 .76228 .48046 .76891 .47876 .76594 .47297 Metetra
.624 .688 .889 r
.76594 .47297 .76891 .47876 .77554 .47692 .77259 .47112 Metetra
.631 .691 .888 r
.77259 .47112 .77554 .47692 .78219 .47494 .77924 .46913 Metetra
.637 .694 .886 r
.77924 .46913 .78219 .47494 .78884 .47281 .7859 .46699 Metetra
.644 .697 .884 r
.7859 .46699 .78884 .47281 .7955 .47052 .79257 .46469 Metetra
.651 .7 .882 r
.79257 .46469 .7955 .47052 .80216 .46807 .79924 .46222 Metetra
.658 .703 .88 r
.79924 .46222 .80216 .46807 .80883 .46545 .80592 .45959 Metetra
.665 .706 .878 r
.80592 .45959 .80883 .46545 .8155 .46265 .8126 .45678 Metetra
.673 .709 .875 r
.8126 .45678 .8155 .46265 .82217 .45968 .81928 .45379 Metetra
.68 .712 .873 r
.81928 .45379 .82217 .45968 .82884 .45651 .82596 .45062 Metetra
.687 .715 .87 r
.82596 .45062 .82884 .45651 .83551 .45316 .83264 .44725 Metetra
.694 .718 .868 r
.83264 .44725 .83551 .45316 .84218 .4496 .83932 .44368 Metetra
.701 .721 .865 r
.83932 .44368 .84218 .4496 .84885 .44584 .84599 .43991 Metetra
.709 .724 .862 r
.84599 .43991 .84885 .44584 .85551 .44188 .85266 .43593 Metetra
.716 .727 .859 r
.85266 .43593 .85551 .44188 .86216 .4377 .85933 .43174 Metetra
.723 .73 .856 r
.85933 .43174 .86216 .4377 .86881 .43331 .86598 .42734 Metetra
.73 .733 .853 r
.86598 .42734 .86881 .43331 .87544 .42869 .87263 .42271 Metetra
.737 .735 .85 r
.87263 .42271 .87544 .42869 .88207 .42385 .87927 .41786 Metetra
.844 .737 .746 r
.26369 .74107 .26733 .74592 .27346 .73513 .26983 .73027 Metetra
.841 .737 .749 r
.26983 .73027 .27346 .73513 .27956 .72464 .27594 .71977 Metetra
.839 .737 .752 r
.27594 .71977 .27956 .72464 .28563 .71444 .28203 .70955 Metetra
.836 .737 .755 r
.28203 .70955 .28563 .71444 .29167 .70454 .28808 .69963 Metetra
.833 .737 .758 r
.28808 .69963 .29167 .70454 .29769 .69492 .29412 .69 Metetra
.83 .737 .762 r
.29412 .69 .29769 .69492 .30369 .68558 .30013 .68065 Metetra
.827 .737 .765 r
.30013 .68065 .30369 .68558 .30967 .67652 .30612 .67158 Metetra
.824 .738 .769 r
.30612 .67158 .30967 .67652 .31562 .66774 .31209 .66279 Metetra
.821 .737 .772 r
.31209 .66279 .31562 .66774 .32156 .65924 .31804 .65427 Metetra
.817 .737 .776 r
.31804 .65427 .32156 .65924 .32748 .651 .32397 .64602 Metetra
.814 .737 .78 r
.32397 .64602 .32748 .651 .33338 .64303 .32988 .63803 Metetra
.81 .737 .783 r
.32988 .63803 .33338 .64303 .33927 .63532 .33578 .63031 Metetra
.806 .737 .787 r
.33578 .63031 .33927 .63532 .34514 .62787 .34166 .62285 Metetra
.802 .736 .791 r
.34166 .62285 .34514 .62787 .351 .62067 .34753 .61565 Metetra
.798 .736 .795 r
.34753 .61565 .351 .62067 .35685 .61373 .35339 .60869 Metetra
.793 .736 .799 r
.35339 .60869 .35685 .61373 .36268 .60704 .35924 .60199 Metetra
.789 .735 .803 r
.35924 .60199 .36268 .60704 .36851 .60059 .36507 .59552 Metetra
.784 .734 .807 r
.36507 .59552 .36851 .60059 .37433 .59438 .3709 .5893 Metetra
.779 .734 .811 r
.3709 .5893 .37433 .59438 .38014 .58841 .37672 .58332 Metetra
.774 .733 .815 r
.37672 .58332 .38014 .58841 .38594 .58267 .38254 .57757 Metetra
.769 .732 .819 r
.38254 .57757 .38594 .58267 .39174 .57715 .38834 .57204 Metetra
.763 .731 .823 r
.38834 .57204 .39174 .57715 .39754 .57187 .39415 .56675 Metetra
.758 .73 .827 r
.39415 .56675 .39754 .57187 .40333 .5668 .39995 .56167 Metetra
.752 .729 .831 r
.39995 .56167 .40333 .5668 .40912 .56195 .40575 .55681 Metetra
.746 .727 .835 r
.40575 .55681 .40912 .56195 .41491 .55731 .41155 .55216 Metetra
.74 .726 .839 r
.41155 .55216 .41491 .55731 .4207 .55288 .41734 .54772 Metetra
.733 .724 .843 r
.41734 .54772 .4207 .55288 .42649 .54865 .42314 .54348 Metetra
.727 .723 .846 r
.42314 .54348 .42649 .54865 .43228 .54462 .42894 .53944 Metetra
.72 .721 .85 r
.42894 .53944 .43228 .54462 .43808 .54079 .43475 .5356 Metetra
.714 .719 .854 r
.43475 .5356 .43808 .54079 .44388 .53714 .44056 .53194 Metetra
.707 .717 .857 r
.44056 .53194 .44388 .53714 .44969 .53369 .44637 .52847 Metetra
.7 .715 .861 r
.44637 .52847 .44969 .53369 .4555 .53041 .45219 .52518 Metetra
.693 .713 .864 r
.45219 .52518 .4555 .53041 .46132 .52731 .45801 .52207 Metetra
.686 .711 .867 r
.45801 .52207 .46132 .52731 .46714 .52438 .46385 .51913 Metetra
.679 .709 .87 r
.46385 .51913 .46714 .52438 .47298 .52161 .46969 .51636 Metetra
.672 .706 .873 r
.46969 .51636 .47298 .52161 .47882 .51901 .47554 .51374 Metetra
.664 .704 .876 r
.47554 .51374 .47882 .51901 .48467 .51656 .4814 .51129 Metetra
.657 .701 .879 r
.4814 .51129 .48467 .51656 .49054 .51426 .48727 .50898 Metetra
.65 .699 .882 r
.48727 .50898 .49054 .51426 .49642 .51211 .49316 .50682 Metetra
.643 .696 .884 r
.49316 .50682 .49642 .51211 .50231 .51011 .49905 .5048 Metetra
.636 .693 .886 r
.49905 .5048 .50231 .51011 .50821 .50823 .50496 .50292 Metetra
.629 .691 .888 r
.50496 .50292 .50821 .50823 .51413 .50649 .51088 .50117 Metetra
.622 .688 .891 r
.51088 .50117 .51413 .50649 .52006 .50487 .51682 .49954 Metetra
.616 .685 .892 r
.51682 .49954 .52006 .50487 .526 .50337 .52277 .49803 Metetra
.609 .683 .894 r
.52277 .49803 .526 .50337 .53197 .50198 .52874 .49663 Metetra
.603 .68 .896 r
.52874 .49663 .53197 .50198 .53794 .50071 .53473 .49534 Metetra
.597 .678 .897 r
.53473 .49534 .53794 .50071 .54394 .49953 .54073 .49416 Metetra
.591 .675 .899 r
.54073 .49416 .54394 .49953 .54995 .49845 .54675 .49307 Metetra
.586 .673 .9 r
.54675 .49307 .54995 .49845 .55598 .49746 .55279 .49207 Metetra
.58 .671 .901 r
.55279 .49207 .55598 .49746 .56203 .49655 .55884 .49115 Metetra
.576 .669 .902 r
.55884 .49115 .56203 .49655 .5681 .49572 .56492 .49031 Metetra
.571 .667 .903 r
.56492 .49031 .5681 .49572 .57419 .49497 .57101 .48955 Metetra
.567 .665 .904 r
.57101 .48955 .57419 .49497 .5803 .49428 .57712 .48885 Metetra
.563 .663 .904 r
.57712 .48885 .5803 .49428 .58642 .49365 .58326 .48821 Metetra
.559 .661 .905 r
.58326 .48821 .58642 .49365 .59257 .49307 .58941 .48762 Metetra
.556 .66 .905 r
.58941 .48762 .59257 .49307 .59874 .49254 .59558 .48708 Metetra
.554 .659 .906 r
.59558 .48708 .59874 .49254 .60492 .49205 .60178 .48658 Metetra
.551 .658 .906 r
.60178 .48658 .60492 .49205 .61113 .49159 .60799 .48611 Metetra
.55 .657 .906 r
.60799 .48611 .61113 .49159 .61736 .49116 .61422 .48568 Metetra
.548 .656 .907 r
.61422 .48568 .61736 .49116 .62361 .49075 .62048 .48526 Metetra
.547 .656 .907 r
.62048 .48526 .62361 .49075 .62988 .49036 .62676 .48485 Metetra
.547 .655 .907 r
.62676 .48485 .62988 .49036 .63617 .48997 .63306 .48445 Metetra
.547 .655 .907 r
.63306 .48445 .63617 .48997 .64248 .48958 .63937 .48405 Metetra
.547 .656 .907 r
.63937 .48405 .64248 .48958 .64882 .48918 .64571 .48365 Metetra
.548 .656 .907 r
.64571 .48365 .64882 .48918 .65517 .48877 .65207 .48323 Metetra
.549 .657 .907 r
.65207 .48323 .65517 .48877 .66154 .48835 .65845 .48279 Metetra
.551 .657 .906 r
.65845 .48279 .66154 .48835 .66794 .48789 .66485 .48232 Metetra
.553 .658 .906 r
.66485 .48232 .66794 .48789 .67435 .4874 .67127 .48182 Metetra
.555 .659 .906 r
.67127 .48182 .67435 .4874 .68078 .48686 .67771 .48128 Metetra
.558 .661 .905 r
.67771 .48128 .68078 .48686 .68724 .48628 .68417 .48069 Metetra
.561 .662 .905 r
.68417 .48069 .68724 .48628 .69371 .48564 .69065 .48004 Metetra
.565 .664 .904 r
.69065 .48004 .69371 .48564 .70019 .48494 .69715 .47933 Metetra
.569 .666 .904 r
.69715 .47933 .70019 .48494 .7067 .48417 .70366 .47855 Metetra
.573 .668 .903 r
.70366 .47855 .7067 .48417 .71322 .48333 .71019 .47769 Metetra
.578 .67 .902 r
.71019 .47769 .71322 .48333 .71976 .4824 .71674 .47675 Metetra
.582 .672 .901 r
.71674 .47675 .71976 .4824 .72632 .48138 .7233 .47572 Metetra
.588 .675 .9 r
.7233 .47572 .72632 .48138 .73289 .48026 .72988 .47459 Metetra
.593 .677 .899 r
.72988 .47459 .73289 .48026 .73948 .47904 .73647 .47336 Metetra
.599 .68 .898 r
.73647 .47336 .73948 .47904 .74607 .4777 .74308 .47201 Metetra
.605 .683 .897 r
.74308 .47201 .74607 .4777 .75269 .47625 .7497 .47055 Metetra
.611 .686 .895 r
.7497 .47055 .75269 .47625 .75931 .47467 .75633 .46896 Metetra
.617 .688 .894 r
.75633 .46896 .75931 .47467 .76594 .47297 .76297 .46724 Metetra
.624 .691 .892 r
.76297 .46724 .76594 .47297 .77259 .47112 .76962 .46539 Metetra
.631 .694 .891 r
.76962 .46539 .77259 .47112 .77924 .46913 .77629 .46338 Metetra
.637 .697 .889 r
.77629 .46338 .77924 .46913 .7859 .46699 .78296 .46123 Metetra
.644 .7 .887 r
.78296 .46123 .7859 .46699 .79257 .46469 .78963 .45892 Metetra
.651 .704 .885 r
.78963 .45892 .79257 .46469 .79924 .46222 .79631 .45644 Metetra
.658 .707 .883 r
.79631 .45644 .79924 .46222 .80592 .45959 .803 .4538 Metetra
.666 .71 .881 r
.803 .4538 .80592 .45959 .8126 .45678 .80969 .45098 Metetra
.673 .713 .878 r
.80969 .45098 .8126 .45678 .81928 .45379 .81638 .44798 Metetra
.68 .716 .876 r
.81638 .44798 .81928 .45379 .82596 .45062 .82307 .44479 Metetra
.688 .719 .873 r
.82307 .44479 .82596 .45062 .83264 .44725 .82976 .44141 Metetra
.695 .722 .87 r
.82976 .44141 .83264 .44725 .83932 .44368 .83645 .43783 Metetra
.702 .725 .868 r
.83645 .43783 .83932 .44368 .84599 .43991 .84314 .43405 Metetra
.709 .728 .865 r
.84314 .43405 .84599 .43991 .85266 .43593 .84982 .43006 Metetra
.717 .731 .862 r
.84982 .43006 .85266 .43593 .85933 .43174 .85649 .42585 Metetra
.724 .734 .859 r
.85649 .42585 .85933 .43174 .86598 .42734 .86316 .42144 Metetra
.731 .736 .855 r
.86316 .42144 .86598 .42734 .87263 .42271 .86982 .41679 Metetra
.738 .739 .852 r
.86982 .41679 .87263 .42271 .87927 .41786 .87646 .41193 Metetra
.845 .739 .746 r
.26003 .73629 .26369 .74107 .26983 .73027 .26618 .72548 Metetra
.843 .739 .75 r
.26618 .72548 .26983 .73027 .27594 .71977 .27231 .71496 Metetra
.84 .739 .753 r
.27231 .71496 .27594 .71977 .28203 .70955 .27841 .70474 Metetra
.837 .74 .756 r
.27841 .70474 .28203 .70955 .28808 .69963 .28448 .6948 Metetra
.835 .74 .759 r
.28448 .6948 .28808 .69963 .29412 .69 .29053 .68516 Metetra
.832 .74 .763 r
.29053 .68516 .29412 .69 .30013 .68065 .29655 .67579 Metetra
.829 .74 .766 r
.29655 .67579 .30013 .68065 .30612 .67158 .30255 .66671 Metetra
.826 .74 .77 r
.30255 .66671 .30612 .67158 .31209 .66279 .30853 .6579 Metetra
.822 .74 .774 r
.30853 .6579 .31209 .66279 .31804 .65427 .31449 .64937 Metetra
.819 .74 .777 r
.31449 .64937 .31804 .65427 .32397 .64602 .32044 .64111 Metetra
.815 .74 .781 r
.32044 .64111 .32397 .64602 .32988 .63803 .32636 .63311 Metetra
.812 .74 .785 r
.32636 .63311 .32988 .63803 .33578 .63031 .33227 .62538 Metetra
.808 .74 .789 r
.33227 .62538 .33578 .63031 .34166 .62285 .33817 .61791 Metetra
.804 .739 .793 r
.33817 .61791 .34166 .62285 .34753 .61565 .34405 .61069 Metetra
.799 .739 .797 r
.34405 .61069 .34753 .61565 .35339 .60869 .34992 .60372 Metetra
.795 .739 .801 r
.34992 .60372 .35339 .60869 .35924 .60199 .35577 .597 Metetra
.79 .738 .805 r
.35577 .597 .35924 .60199 .36507 .59552 .36162 .59053 Metetra
.785 .738 .809 r
.36162 .59053 .36507 .59552 .3709 .5893 .36746 .5843 Metetra
.781 .737 .813 r
.36746 .5843 .3709 .5893 .37672 .58332 .37329 .5783 Metetra
.775 .736 .817 r
.37329 .5783 .37672 .58332 .38254 .57757 .37911 .57254 Metetra
.77 .735 .821 r
.37911 .57254 .38254 .57757 .38834 .57204 .38493 .56701 Metetra
.765 .734 .825 r
.38493 .56701 .38834 .57204 .39415 .56675 .39074 .5617 Metetra
.759 .733 .829 r
.39074 .5617 .39415 .56675 .39995 .56167 .39655 .55661 Metetra
.753 .732 .833 r
.39655 .55661 .39995 .56167 .40575 .55681 .40236 .55174 Metetra
.747 .731 .837 r
.40236 .55174 .40575 .55681 .41155 .55216 .40817 .54708 Metetra
.741 .729 .841 r
.40817 .54708 .41155 .55216 .41734 .54772 .41397 .54262 Metetra
.735 .728 .845 r
.41397 .54262 .41734 .54772 .42314 .54348 .41978 .53838 Metetra
.728 .726 .849 r
.41978 .53838 .42314 .54348 .42894 .53944 .42559 .53433 Metetra
.721 .725 .852 r
.42559 .53433 .42894 .53944 .43475 .5356 .4314 .53047 Metetra
.715 .723 .856 r
.4314 .53047 .43475 .5356 .44056 .53194 .43722 .52681 Metetra
.708 .721 .86 r
.43722 .52681 .44056 .53194 .44637 .52847 .44304 .52333 Metetra
.701 .719 .863 r
.44304 .52333 .44637 .52847 .45219 .52518 .44887 .52003 Metetra
.694 .717 .867 r
.44887 .52003 .45219 .52518 .45801 .52207 .4547 .51691 Metetra
.687 .714 .87 r
.4547 .51691 .45801 .52207 .46385 .51913 .46054 .51396 Metetra
.679 .712 .873 r
.46054 .51396 .46385 .51913 .46969 .51636 .46639 .51117 Metetra
.672 .71 .876 r
.46639 .51117 .46969 .51636 .47554 .51374 .47225 .50855 Metetra
.665 .707 .879 r
.47225 .50855 .47554 .51374 .4814 .51129 .47811 .50608 Metetra
.658 .705 .882 r
.47811 .50608 .4814 .51129 .48727 .50898 .48399 .50377 Metetra
.65 .702 .885 r
.48399 .50377 .48727 .50898 .49316 .50682 .48988 .5016 Metetra
.643 .7 .887 r
.48988 .5016 .49316 .50682 .49905 .5048 .49579 .49957 Metetra
.636 .697 .889 r
.49579 .49957 .49905 .5048 .50496 .50292 .5017 .49768 Metetra
.629 .694 .892 r
.5017 .49768 .50496 .50292 .51088 .50117 .50763 .49591 Metetra
.622 .692 .894 r
.50763 .49591 .51088 .50117 .51682 .49954 .51358 .49427 Metetra
.615 .689 .896 r
.51358 .49427 .51682 .49954 .52277 .49803 .51953 .49275 Metetra
.609 .686 .897 r
.51953 .49275 .52277 .49803 .52874 .49663 .52551 .49135 Metetra
.603 .684 .899 r
.52551 .49135 .52874 .49663 .53473 .49534 .5315 .49005 Metetra
.596 .681 .901 r
.5315 .49005 .53473 .49534 .54073 .49416 .53751 .48886 Metetra
.591 .679 .902 r
.53751 .48886 .54073 .49416 .54675 .49307 .54354 .48776 Metetra
.585 .676 .903 r
.54354 .48776 .54675 .49307 .55279 .49207 .54958 .48675 Metetra
.58 .674 .904 r
.54958 .48675 .55279 .49207 .55884 .49115 .55564 .48582 Metetra
.575 .672 .905 r
.55564 .48582 .55884 .49115 .56492 .49031 .56172 .48497 Metetra
.57 .67 .906 r
.56172 .48497 .56492 .49031 .57101 .48955 .56782 .4842 Metetra
.566 .668 .907 r
.56782 .4842 .57101 .48955 .57712 .48885 .57394 .48349 Metetra
.562 .666 .908 r
.57394 .48349 .57712 .48885 .58326 .48821 .58008 .48284 Metetra
.558 .665 .908 r
.58008 .48284 .58326 .48821 .58941 .48762 .58624 .48224 Metetra
.555 .663 .909 r
.58624 .48224 .58941 .48762 .59558 .48708 .59242 .48169 Metetra
.552 .662 .909 r
.59242 .48169 .59558 .48708 .60178 .48658 .59862 .48118 Metetra
.55 .661 .91 r
.59862 .48118 .60178 .48658 .60799 .48611 .60484 .48071 Metetra
.548 .66 .91 r
.60484 .48071 .60799 .48611 .61422 .48568 .61108 .48026 Metetra
.547 .659 .91 r
.61108 .48026 .61422 .48568 .62048 .48526 .61734 .47983 Metetra
.546 .659 .91 r
.61734 .47983 .62048 .48526 .62676 .48485 .62363 .47941 Metetra
.545 .659 .91 r
.62363 .47941 .62676 .48485 .63306 .48445 .62993 .47901 Metetra
.545 .659 .91 r
.62993 .47901 .63306 .48445 .63937 .48405 .63625 .4786 Metetra
.546 .659 .91 r
.63625 .4786 .63937 .48405 .64571 .48365 .6426 .47818 Metetra
.546 .659 .91 r
.6426 .47818 .64571 .48365 .65207 .48323 .64897 .47775 Metetra
.548 .66 .91 r
.64897 .47775 .65207 .48323 .65845 .48279 .65535 .4773 Metetra
.549 .661 .91 r
.65535 .4773 .65845 .48279 .66485 .48232 .66176 .47683 Metetra
.551 .662 .909 r
.66176 .47683 .66485 .48232 .67127 .48182 .66819 .47632 Metetra
.554 .663 .909 r
.66819 .47632 .67127 .48182 .67771 .48128 .67464 .47576 Metetra
.557 .664 .909 r
.67464 .47576 .67771 .48128 .68417 .48069 .6811 .47516 Metetra
.56 .666 .908 r
.6811 .47516 .68417 .48069 .69065 .48004 .68759 .4745 Metetra
.564 .667 .908 r
.68759 .4745 .69065 .48004 .69715 .47933 .69409 .47378 Metetra
.568 .669 .907 r
.69409 .47378 .69715 .47933 .70366 .47855 .70061 .47299 Metetra
.572 .671 .906 r
.70061 .47299 .70366 .47855 .71019 .47769 .70715 .47213 Metetra
.577 .674 .905 r
.70715 .47213 .71019 .47769 .71674 .47675 .7137 .47118 Metetra
.582 .676 .905 r
.7137 .47118 .71674 .47675 .7233 .47572 .72028 .47013 Metetra
.587 .678 .904 r
.72028 .47013 .7233 .47572 .72988 .47459 .72686 .46899 Metetra
.592 .681 .903 r
.72686 .46899 .72988 .47459 .73647 .47336 .73346 .46775 Metetra
.598 .684 .901 r
.73346 .46775 .73647 .47336 .74308 .47201 .74008 .46639 Metetra
.604 .686 .9 r
.74008 .46639 .74308 .47201 .7497 .47055 .74671 .46492 Metetra
.611 .689 .899 r
.74671 .46492 .7497 .47055 .75633 .46896 .75335 .46332 Metetra
.617 .692 .897 r
.75335 .46332 .75633 .46896 .76297 .46724 .76 .46159 Metetra
.624 .695 .896 r
.76 .46159 .76297 .46724 .76962 .46539 .76666 .45972 Metetra
.63 .698 .894 r
.76666 .45972 .76962 .46539 .77629 .46338 .77333 .45771 Metetra
.637 .701 .892 r
.77333 .45771 .77629 .46338 .78296 .46123 .78001 .45554 Metetra
.644 .704 .89 r
.78001 .45554 .78296 .46123 .78963 .45892 .78669 .45322 Metetra
.652 .707 .888 r
.78669 .45322 .78963 .45892 .79631 .45644 .79338 .45073 Metetra
.659 .71 .886 r
.79338 .45073 .79631 .45644 .803 .4538 .80008 .44808 Metetra
.666 .714 .884 r
.80008 .44808 .803 .4538 .80969 .45098 .80678 .44525 Metetra
.673 .717 .881 r
.80678 .44525 .80969 .45098 .81638 .44798 .81348 .44223 Metetra
.681 .72 .879 r
.81348 .44223 .81638 .44798 .82307 .44479 .82018 .43903 Metetra
.688 .723 .876 r
.82018 .43903 .82307 .44479 .82976 .44141 .82688 .43564 Metetra
.696 .726 .873 r
.82688 .43564 .82976 .44141 .83645 .43783 .83358 .43205 Metetra
.703 .729 .87 r
.83358 .43205 .83645 .43783 .84314 .43405 .84028 .42825 Metetra
.71 .732 .868 r
.84028 .42825 .84314 .43405 .84982 .43006 .84697 .42425 Metetra
.718 .735 .864 r
.84697 .42425 .84982 .43006 .85649 .42585 .85365 .42004 Metetra
.725 .738 .861 r
.85365 .42004 .85649 .42585 .86316 .42144 .86033 .4156 Metetra
.732 .74 .858 r
.86033 .4156 .86316 .42144 .86982 .41679 .867 .41095 Metetra
.739 .743 .855 r
.867 .41095 .86982 .41679 .87646 .41193 .87366 .40607 Metetra
.846 .741 .747 r
.25635 .7316 .26003 .73629 .26618 .72548 .26252 .72077 Metetra
.844 .741 .75 r
.26252 .72077 .26618 .72548 .27231 .71496 .26866 .71023 Metetra
.841 .742 .754 r
.26866 .71023 .27231 .71496 .27841 .70474 .27477 .7 Metetra
.839 .742 .757 r
.27477 .7 .27841 .70474 .28448 .6948 .28086 .69005 Metetra
.836 .742 .76 r
.28086 .69005 .28448 .6948 .29053 .68516 .28692 .68039 Metetra
.833 .742 .764 r
.28692 .68039 .29053 .68516 .29655 .67579 .29295 .67101 Metetra
.83 .743 .767 r
.29295 .67101 .29655 .67579 .30255 .66671 .29897 .66191 Metetra
.827 .743 .771 r
.29897 .66191 .30255 .66671 .30853 .6579 .30496 .65309 Metetra
.824 .743 .775 r
.30496 .65309 .30853 .6579 .31449 .64937 .31094 .64455 Metetra
.82 .743 .778 r
.31094 .64455 .31449 .64937 .32044 .64111 .31689 .63627 Metetra
.817 .743 .782 r
.31689 .63627 .32044 .64111 .32636 .63311 .32283 .62826 Metetra
.813 .743 .786 r
.32283 .62826 .32636 .63311 .33227 .62538 .32875 .62052 Metetra
.809 .743 .79 r
.32875 .62052 .33227 .62538 .33817 .61791 .33465 .61303 Metetra
.805 .742 .794 r
.33465 .61303 .33817 .61791 .34405 .61069 .34055 .6058 Metetra
.801 .742 .798 r
.34055 .6058 .34405 .61069 .34992 .60372 .34643 .59882 Metetra
.796 .742 .802 r
.34643 .59882 .34992 .60372 .35577 .597 .35229 .59209 Metetra
.792 .741 .806 r
.35229 .59209 .35577 .597 .36162 .59053 .35815 .58561 Metetra
.787 .741 .81 r
.35815 .58561 .36162 .59053 .36746 .5843 .364 .57936 Metetra
.782 .74 .814 r
.364 .57936 .36746 .5843 .37329 .5783 .36984 .57336 Metetra
.777 .739 .819 r
.36984 .57336 .37329 .5783 .37911 .57254 .37567 .56758 Metetra
.771 .739 .823 r
.37567 .56758 .37911 .57254 .38493 .56701 .3815 .56204 Metetra
.766 .738 .827 r
.3815 .56204 .38493 .56701 .39074 .5617 .38732 .55672 Metetra
.76 .737 .831 r
.38732 .55672 .39074 .5617 .39655 .55661 .39314 .55162 Metetra
.754 .735 .835 r
.39314 .55162 .39655 .55661 .40236 .55174 .39896 .54673 Metetra
.748 .734 .839 r
.39896 .54673 .40236 .55174 .40817 .54708 .40477 .54206 Metetra
.742 .733 .843 r
.40477 .54206 .40817 .54708 .41397 .54262 .41059 .5376 Metetra
.736 .731 .847 r
.41059 .5376 .41397 .54262 .41978 .53838 .41641 .53334 Metetra
.729 .73 .851 r
.41641 .53334 .41978 .53838 .42559 .53433 .42222 .52928 Metetra
.722 .728 .855 r
.42222 .52928 .42559 .53433 .4314 .53047 .42804 .52542 Metetra
.716 .726 .859 r
.42804 .52542 .4314 .53047 .43722 .52681 .43387 .52174 Metetra
.709 .724 .862 r
.43387 .52174 .43722 .52681 .44304 .52333 .4397 .51825 Metetra
.702 .722 .866 r
.4397 .51825 .44304 .52333 .44887 .52003 .44553 .51494 Metetra
.694 .72 .869 r
.44553 .51494 .44887 .52003 .4547 .51691 .45137 .51181 Metetra
.687 .718 .873 r
.45137 .51181 .4547 .51691 .46054 .51396 .45722 .50885 Metetra
.68 .716 .876 r
.45722 .50885 .46054 .51396 .46639 .51117 .46307 .50606 Metetra
.673 .713 .879 r
.46307 .50606 .46639 .51117 .47225 .50855 .46894 .50342 Metetra
.665 .711 .882 r
.46894 .50342 .47225 .50855 .47811 .50608 .47481 .50095 Metetra
.658 .709 .885 r
.47481 .50095 .47811 .50608 .48399 .50377 .4807 .49862 Metetra
.651 .706 .888 r
.4807 .49862 .48399 .50377 .48988 .5016 .4866 .49644 Metetra
.643 .703 .89 r
.4866 .49644 .48988 .5016 .49579 .49957 .49251 .4944 Metetra
.636 .701 .893 r
.49251 .4944 .49579 .49957 .5017 .49768 .49843 .4925 Metetra
.629 .698 .895 r
.49843 .4925 .5017 .49768 .50763 .49591 .50437 .49073 Metetra
.622 .695 .897 r
.50437 .49073 .50763 .49591 .51358 .49427 .51032 .48908 Metetra
.615 .693 .899 r
.51032 .48908 .51358 .49427 .51953 .49275 .51628 .48755 Metetra
.608 .69 .901 r
.51628 .48755 .51953 .49275 .52551 .49135 .52226 .48613 Metetra
.602 .687 .902 r
.52226 .48613 .52551 .49135 .5315 .49005 .52826 .48483 Metetra
.596 .685 .904 r
.52826 .48483 .5315 .49005 .53751 .48886 .53428 .48362 Metetra
.59 .682 .905 r
.53428 .48362 .53751 .48886 .54354 .48776 .54031 .48251 Metetra
.584 .68 .907 r
.54031 .48251 .54354 .48776 .54958 .48675 .54636 .48149 Metetra
.579 .678 .908 r
.54636 .48149 .54958 .48675 .55564 .48582 .55243 .48056 Metetra
.574 .675 .909 r
.55243 .48056 .55564 .48582 .56172 .48497 .55851 .4797 Metetra
.569 .673 .91 r
.55851 .4797 .56172 .48497 .56782 .4842 .56462 .47892 Metetra
.565 .671 .91 r
.56462 .47892 .56782 .4842 .57394 .48349 .57075 .4782 Metetra
.561 .67 .911 r
.57075 .4782 .57394 .48349 .58008 .48284 .57689 .47754 Metetra
.557 .668 .912 r
.57689 .47754 .58008 .48284 .58624 .48224 .58306 .47693 Metetra
.554 .667 .912 r
.58306 .47693 .58624 .48224 .59242 .48169 .58924 .47637 Metetra
.551 .665 .913 r
.58924 .47637 .59242 .48169 .59862 .48118 .59545 .47585 Metetra
.549 .664 .913 r
.59545 .47585 .59862 .48118 .60484 .48071 .60168 .47537 Metetra
.547 .663 .913 r
.60168 .47537 .60484 .48071 .61108 .48026 .60792 .47491 Metetra
.545 .663 .913 r
.60792 .47491 .61108 .48026 .61734 .47983 .61419 .47447 Metetra
.544 .662 .914 r
.61419 .47447 .61734 .47983 .62363 .47941 .62048 .47405 Metetra
.544 .662 .914 r
.62048 .47405 .62363 .47941 .62993 .47901 .62679 .47363 Metetra
.544 .662 .914 r
.62679 .47363 .62993 .47901 .63625 .4786 .63313 .47321 Metetra
.544 .662 .914 r
.63313 .47321 .63625 .4786 .6426 .47818 .63948 .47279 Metetra
.545 .663 .914 r
.63948 .47279 .6426 .47818 .64897 .47775 .64585 .47235 Metetra
.546 .663 .913 r
.64585 .47235 .64897 .47775 .65535 .4773 .65225 .47189 Metetra
.548 .664 .913 r
.65225 .47189 .65535 .4773 .66176 .47683 .65866 .4714 Metetra
.55 .665 .913 r
.65866 .4714 .66176 .47683 .66819 .47632 .6651 .47088 Metetra
.553 .666 .912 r
.6651 .47088 .66819 .47632 .67464 .47576 .67155 .47032 Metetra
.555 .668 .912 r
.67155 .47032 .67464 .47576 .6811 .47516 .67802 .46971 Metetra
.559 .669 .912 r
.67802 .46971 .6811 .47516 .68759 .4745 .68451 .46904 Metetra
.562 .671 .911 r
.68451 .46904 .68759 .4745 .69409 .47378 .69103 .46831 Metetra
.567 .673 .91 r
.69103 .46831 .69409 .47378 .70061 .47299 .69755 .46751 Metetra
.571 .675 .91 r
.69755 .46751 .70061 .47299 .70715 .47213 .7041 .46663 Metetra
.576 .677 .909 r
.7041 .46663 .70715 .47213 .7137 .47118 .71066 .46567 Metetra
.581 .679 .908 r
.71066 .46567 .7137 .47118 .72028 .47013 .71724 .46462 Metetra
.586 .682 .907 r
.71724 .46462 .72028 .47013 .72686 .46899 .72384 .46347 Metetra
.592 .684 .906 r
.72384 .46347 .72686 .46899 .73346 .46775 .73045 .46221 Metetra
.598 .687 .905 r
.73045 .46221 .73346 .46775 .74008 .46639 .73707 .46085 Metetra
.604 .69 .903 r
.73707 .46085 .74008 .46639 .74671 .46492 .74371 .45936 Metetra
.61 .693 .902 r
.74371 .45936 .74671 .46492 .75335 .46332 .75035 .45775 Metetra
.617 .696 .9 r
.75035 .45775 .75335 .46332 .76 .46159 .75701 .45601 Metetra
.623 .699 .899 r
.75701 .45601 .76 .46159 .76666 .45972 .76368 .45413 Metetra
.63 .702 .897 r
.76368 .45413 .76666 .45972 .77333 .45771 .77036 .4521 Metetra
.637 .705 .895 r
.77036 .4521 .77333 .45771 .78001 .45554 .77705 .44993 Metetra
.644 .708 .893 r
.77705 .44993 .78001 .45554 .78669 .45322 .78375 .44759 Metetra
.652 .711 .891 r
.78375 .44759 .78669 .45322 .79338 .45073 .79045 .4451 Metetra
.659 .714 .889 r
.79045 .4451 .79338 .45073 .80008 .44808 .79715 .44243 Metetra
.666 .717 .887 r
.79715 .44243 .80008 .44808 .80678 .44525 .80386 .43958 Metetra
.674 .721 .884 r
.80386 .43958 .80678 .44525 .81348 .44223 .81057 .43656 Metetra
.681 .724 .882 r
.81057 .43656 .81348 .44223 .82018 .43903 .81728 .43335 Metetra
.689 .727 .879 r
.81728 .43335 .82018 .43903 .82688 .43564 .824 .42994 Metetra
.696 .73 .876 r
.824 .42994 .82688 .43564 .83358 .43205 .83071 .42634 Metetra
.704 .733 .873 r
.83071 .42634 .83358 .43205 .84028 .42825 .83741 .42253 Metetra
.711 .736 .87 r
.83741 .42253 .84028 .42825 .84697 .42425 .84411 .41851 Metetra
.719 .739 .867 r
.84411 .41851 .84697 .42425 .85365 .42004 .85081 .41429 Metetra
.726 .741 .864 r
.85081 .41429 .85365 .42004 .86033 .4156 .8575 .40984 Metetra
.733 .744 .861 r
.8575 .40984 .86033 .4156 .867 .41095 .86418 .40517 Metetra
.741 .747 .857 r
.86418 .40517 .867 .41095 .87366 .40607 .87085 .40028 Metetra
.848 .743 .748 r
.25265 .72697 .25635 .7316 .26252 .72077 .25883 .71613 Metetra
.845 .744 .751 r
.25883 .71613 .26252 .72077 .26866 .71023 .26499 .70558 Metetra
.843 .744 .755 r
.26499 .70558 .26866 .71023 .27477 .7 .27111 .69533 Metetra
.84 .745 .758 r
.27111 .69533 .27477 .7 .28086 .69005 .27721 .68536 Metetra
.838 .745 .761 r
.27721 .68536 .28086 .69005 .28692 .68039 .28329 .67569 Metetra
.835 .745 .765 r
.28329 .67569 .28692 .68039 .29295 .67101 .28934 .6663 Metetra
.832 .745 .769 r
.28934 .6663 .29295 .67101 .29897 .66191 .29537 .65719 Metetra
.829 .745 .772 r
.29537 .65719 .29897 .66191 .30496 .65309 .30137 .64835 Metetra
.825 .746 .776 r
.30137 .64835 .30496 .65309 .31094 .64455 .30736 .63979 Metetra
.822 .746 .78 r
.30736 .63979 .31094 .64455 .31689 .63627 .31333 .6315 Metetra
.818 .746 .784 r
.31333 .6315 .31689 .63627 .32283 .62826 .31928 .62348 Metetra
.814 .746 .788 r
.31928 .62348 .32283 .62826 .32875 .62052 .32521 .61572 Metetra
.811 .745 .791 r
.32521 .61572 .32875 .62052 .33465 .61303 .33113 .60823 Metetra
.806 .745 .796 r
.33113 .60823 .33465 .61303 .34055 .6058 .33703 .60098 Metetra
.802 .745 .8 r
.33703 .60098 .34055 .6058 .34643 .59882 .34292 .59399 Metetra
.798 .745 .804 r
.34292 .59399 .34643 .59882 .35229 .59209 .3488 .58725 Metetra
.793 .744 .808 r
.3488 .58725 .35229 .59209 .35815 .58561 .35467 .58075 Metetra
.788 .744 .812 r
.35467 .58075 .35815 .58561 .364 .57936 .36052 .5745 Metetra
.783 .743 .816 r
.36052 .5745 .364 .57936 .36984 .57336 .36637 .56848 Metetra
.778 .743 .82 r
.36637 .56848 .36984 .57336 .37567 .56758 .37222 .56269 Metetra
.773 .742 .825 r
.37222 .56269 .37567 .56758 .3815 .56204 .37805 .55714 Metetra
.767 .741 .829 r
.37805 .55714 .3815 .56204 .38732 .55672 .38389 .55181 Metetra
.761 .74 .833 r
.38389 .55181 .38732 .55672 .39314 .55162 .38972 .5467 Metetra
.756 .739 .837 r
.38972 .5467 .39314 .55162 .39896 .54673 .39554 .5418 Metetra
.749 .738 .841 r
.39554 .5418 .39896 .54673 .40477 .54206 .40137 .53712 Metetra
.743 .736 .845 r
.40137 .53712 .40477 .54206 .41059 .5376 .40719 .53265 Metetra
.737 .735 .85 r
.40719 .53265 .41059 .5376 .41641 .53334 .41301 .52838 Metetra
.73 .733 .854 r
.41301 .52838 .41641 .53334 .42222 .52928 .41884 .52431 Metetra
.723 .732 .857 r
.41884 .52431 .42222 .52928 .42804 .52542 .42467 .52043 Metetra
.717 .73 .861 r
.42467 .52043 .42804 .52542 .43387 .52174 .4305 .51674 Metetra
.709 .728 .865 r
.4305 .51674 .43387 .52174 .4397 .51825 .43634 .51324 Metetra
.702 .726 .869 r
.43634 .51324 .4397 .51825 .44553 .51494 .44218 .50993 Metetra
.695 .724 .872 r
.44218 .50993 .44553 .51494 .45137 .51181 .44803 .50678 Metetra
.688 .722 .876 r
.44803 .50678 .45137 .51181 .45722 .50885 .45388 .50381 Metetra
.68 .72 .879 r
.45388 .50381 .45722 .50885 .46307 .50606 .45975 .50101 Metetra
.673 .717 .882 r
.45975 .50101 .46307 .50606 .46894 .50342 .46562 .49836 Metetra
.666 .715 .885 r
.46562 .49836 .46894 .50342 .47481 .50095 .4715 .49588 Metetra
.658 .712 .888 r
.4715 .49588 .47481 .50095 .4807 .49862 .47739 .49354 Metetra
.651 .71 .891 r
.47739 .49354 .4807 .49862 .4866 .49644 .4833 .49135 Metetra
.643 .707 .893 r
.4833 .49135 .4866 .49644 .49251 .4944 .48922 .4893 Metetra
.636 .704 .896 r
.48922 .4893 .49251 .4944 .49843 .4925 .49515 .48739 Metetra
.629 .702 .898 r
.49515 .48739 .49843 .4925 .50437 .49073 .50109 .48561 Metetra
.622 .699 .9 r
.50109 .48561 .50437 .49073 .51032 .48908 .50705 .48395 Metetra
.615 .696 .902 r
.50705 .48395 .51032 .48908 .51628 .48755 .51302 .48241 Metetra
.608 .694 .904 r
.51302 .48241 .51628 .48755 .52226 .48613 .51901 .48099 Metetra
.601 .691 .906 r
.51901 .48099 .52226 .48613 .52826 .48483 .52501 .47967 Metetra
.595 .688 .907 r
.52501 .47967 .52826 .48483 .53428 .48362 .53103 .47846 Metetra
.589 .686 .909 r
.53103 .47846 .53428 .48362 .54031 .48251 .53707 .47734 Metetra
.583 .684 .91 r
.53707 .47734 .54031 .48251 .54636 .48149 .54313 .47631 Metetra
.578 .681 .911 r
.54313 .47631 .54636 .48149 .55243 .48056 .5492 .47537 Metetra
.573 .679 .912 r
.5492 .47537 .55243 .48056 .55851 .4797 .5553 .4745 Metetra
.568 .677 .913 r
.5553 .4745 .55851 .4797 .56462 .47892 .56141 .47371 Metetra
.563 .675 .914 r
.56141 .47371 .56462 .47892 .57075 .4782 .56754 .47298 Metetra
.559 .673 .914 r
.56754 .47298 .57075 .4782 .57689 .47754 .57369 .47231 Metetra
.556 .672 .915 r
.57369 .47231 .57689 .47754 .58306 .47693 .57987 .47169 Metetra
.552 .67 .916 r
.57987 .47169 .58306 .47693 .58924 .47637 .58606 .47112 Metetra
.55 .669 .916 r
.58606 .47112 .58924 .47637 .59545 .47585 .59227 .4706 Metetra
.547 .668 .916 r
.59227 .4706 .59545 .47585 .60168 .47537 .59851 .4701 Metetra
.545 .667 .917 r
.59851 .4701 .60168 .47537 .60792 .47491 .60476 .46963 Metetra
.544 .666 .917 r
.60476 .46963 .60792 .47491 .61419 .47447 .61104 .46918 Metetra
.543 .666 .917 r
.61104 .46918 .61419 .47447 .62048 .47405 .61733 .46875 Metetra
.542 .665 .917 r
.61733 .46875 .62048 .47405 .62679 .47363 .62365 .46832 Metetra
.542 .665 .917 r
.62365 .46832 .62679 .47363 .63313 .47321 .62999 .4679 Metetra
.543 .666 .917 r
.62999 .4679 .63313 .47321 .63948 .47279 .63635 .46746 Metetra
.543 .666 .917 r
.63635 .46746 .63948 .47279 .64585 .47235 .64273 .46701 Metetra
.545 .667 .917 r
.64273 .46701 .64585 .47235 .65225 .47189 .64913 .46654 Metetra
.546 .667 .916 r
.64913 .46654 .65225 .47189 .65866 .4714 .65555 .46605 Metetra
.549 .668 .916 r
.65555 .46605 .65866 .4714 .6651 .47088 .66199 .46552 Metetra
.551 .67 .916 r
.66199 .46552 .6651 .47088 .67155 .47032 .66845 .46494 Metetra
.554 .671 .915 r
.66845 .46494 .67155 .47032 .67802 .46971 .67494 .46432 Metetra
.557 .673 .915 r
.67494 .46432 .67802 .46971 .68451 .46904 .68144 .46364 Metetra
.561 .674 .914 r
.68144 .46364 .68451 .46904 .69103 .46831 .68795 .4629 Metetra
.565 .676 .914 r
.68795 .4629 .69103 .46831 .69755 .46751 .69449 .46209 Metetra
.57 .678 .913 r
.69449 .46209 .69755 .46751 .7041 .46663 .70104 .4612 Metetra
.575 .681 .912 r
.70104 .4612 .7041 .46663 .71066 .46567 .70762 .46023 Metetra
.58 .683 .911 r
.70762 .46023 .71066 .46567 .71724 .46462 .7142 .45917 Metetra
.585 .685 .91 r
.7142 .45917 .71724 .46462 .72384 .46347 .72081 .45801 Metetra
.591 .688 .909 r
.72081 .45801 .72384 .46347 .73045 .46221 .72742 .45674 Metetra
.597 .691 .908 r
.72742 .45674 .73045 .46221 .73707 .46085 .73405 .45537 Metetra
.603 .694 .907 r
.73405 .45537 .73707 .46085 .74371 .45936 .7407 .45387 Metetra
.61 .697 .905 r
.7407 .45387 .74371 .45936 .75035 .45775 .74736 .45225 Metetra
.616 .7 .904 r
.74736 .45225 .75035 .45775 .75701 .45601 .75403 .4505 Metetra
.623 .703 .902 r
.75403 .4505 .75701 .45601 .76368 .45413 .76071 .44861 Metetra
.63 .706 .9 r
.76071 .44861 .76368 .45413 .77036 .4521 .76739 .44657 Metetra
.637 .709 .899 r
.76739 .44657 .77036 .4521 .77705 .44993 .77409 .44438 Metetra
.644 .712 .897 r
.77409 .44438 .77705 .44993 .78375 .44759 .7808 .44204 Metetra
.652 .715 .894 r
.7808 .44204 .78375 .44759 .79045 .4451 .78751 .43953 Metetra
.659 .718 .892 r
.78751 .43953 .79045 .4451 .79715 .44243 .79422 .43685 Metetra
.667 .721 .89 r
.79422 .43685 .79715 .44243 .80386 .43958 .80094 .43399 Metetra
.674 .724 .887 r
.80094 .43399 .80386 .43958 .81057 .43656 .80766 .43095 Metetra
.682 .728 .885 r
.80766 .43095 .81057 .43656 .81728 .43335 .81438 .42773 Metetra
.689 .731 .882 r
.81438 .42773 .81728 .43335 .824 .42994 .82111 .42431 Metetra
.697 .734 .879 r
.82111 .42431 .824 .42994 .83071 .42634 .82783 .4207 Metetra
.705 .737 .876 r
.82783 .4207 .83071 .42634 .83741 .42253 .83454 .41688 Metetra
.712 .74 .873 r
.83454 .41688 .83741 .42253 .84411 .41851 .84126 .41285 Metetra
.72 .743 .87 r
.84126 .41285 .84411 .41851 .85081 .41429 .84796 .40861 Metetra
.727 .745 .867 r
.84796 .40861 .85081 .41429 .8575 .40984 .85466 .40415 Metetra
.734 .748 .863 r
.85466 .40415 .8575 .40984 .86418 .40517 .86135 .39947 Metetra
.742 .751 .86 r
.86135 .39947 .86418 .40517 .87085 .40028 .86804 .39456 Metetra
.849 .746 .749 r
.24893 .72242 .25265 .72697 .25883 .71613 .25513 .71156 Metetra
.847 .746 .752 r
.25513 .71156 .25883 .71613 .26499 .70558 .2613 .701 Metetra
.844 .747 .756 r
.2613 .701 .26499 .70558 .27111 .69533 .26744 .69073 Metetra
.842 .747 .759 r
.26744 .69073 .27111 .69533 .27721 .68536 .27355 .68075 Metetra
.839 .747 .762 r
.27355 .68075 .27721 .68536 .28329 .67569 .27964 .67106 Metetra
.836 .748 .766 r
.27964 .67106 .28329 .67569 .28934 .6663 .28571 .66166 Metetra
.833 .748 .77 r
.28571 .66166 .28934 .6663 .29537 .65719 .29175 .65253 Metetra
.83 .748 .773 r
.29175 .65253 .29537 .65719 .30137 .64835 .29777 .64369 Metetra
.827 .748 .777 r
.29777 .64369 .30137 .64835 .30736 .63979 .30377 .63511 Metetra
.823 .748 .781 r
.30377 .63511 .30736 .63979 .31333 .6315 .30975 .62681 Metetra
.82 .748 .785 r
.30975 .62681 .31333 .6315 .31928 .62348 .31571 .61878 Metetra
.816 .748 .789 r
.31571 .61878 .31928 .62348 .32521 .61572 .32165 .611 Metetra
.812 .748 .793 r
.32165 .611 .32521 .61572 .33113 .60823 .32758 .60349 Metetra
.808 .748 .797 r
.32758 .60349 .33113 .60823 .33703 .60098 .33349 .59624 Metetra
.804 .748 .801 r
.33349 .59624 .33703 .60098 .34292 .59399 .3394 .58923 Metetra
.799 .748 .805 r
.3394 .58923 .34292 .59399 .3488 .58725 .34529 .58248 Metetra
.795 .747 .81 r
.34529 .58248 .3488 .58725 .35467 .58075 .35116 .57597 Metetra
.79 .747 .814 r
.35116 .57597 .35467 .58075 .36052 .5745 .35703 .5697 Metetra
.785 .747 .818 r
.35703 .5697 .36052 .5745 .36637 .56848 .36289 .56367 Metetra
.779 .746 .822 r
.36289 .56367 .36637 .56848 .37222 .56269 .36875 .55788 Metetra
.774 .745 .827 r
.36875 .55788 .37222 .56269 .37805 .55714 .37459 .55231 Metetra
.769 .744 .831 r
.37459 .55231 .37805 .55714 .38389 .55181 .38044 .54696 Metetra
.763 .743 .835 r
.38044 .54696 .38389 .55181 .38972 .5467 .38627 .54184 Metetra
.757 .742 .839 r
.38627 .54184 .38972 .5467 .39554 .5418 .39211 .53694 Metetra
.751 .741 .844 r
.39211 .53694 .39554 .5418 .40137 .53712 .39794 .53224 Metetra
.744 .74 .848 r
.39794 .53224 .40137 .53712 .40719 .53265 .40378 .52776 Metetra
.738 .739 .852 r
.40378 .52776 .40719 .53265 .41301 .52838 .40961 .52348 Metetra
.731 .737 .856 r
.40961 .52348 .41301 .52838 .41884 .52431 .41544 .5194 Metetra
.724 .735 .86 r
.41544 .5194 .41884 .52431 .42467 .52043 .42128 .51551 Metetra
.717 .734 .864 r
.42128 .51551 .42467 .52043 .4305 .51674 .42712 .51182 Metetra
.71 .732 .868 r
.42712 .51182 .4305 .51674 .43634 .51324 .43296 .50831 Metetra
.703 .73 .871 r
.43296 .50831 .43634 .51324 .44218 .50993 .43881 .50498 Metetra
.696 .728 .875 r
.43881 .50498 .44218 .50993 .44803 .50678 .44467 .50182 Metetra
.688 .726 .878 r
.44467 .50182 .44803 .50678 .45388 .50381 .45053 .49884 Metetra
.681 .723 .882 r
.45053 .49884 .45388 .50381 .45975 .50101 .45641 .49603 Metetra
.673 .721 .885 r
.45641 .49603 .45975 .50101 .46562 .49836 .46229 .49337 Metetra
.666 .719 .888 r
.46229 .49337 .46562 .49836 .4715 .49588 .46818 .49088 Metetra
.658 .716 .891 r
.46818 .49088 .4715 .49588 .47739 .49354 .47408 .48853 Metetra
.651 .713 .894 r
.47408 .48853 .47739 .49354 .4833 .49135 .47999 .48633 Metetra
.643 .711 .896 r
.47999 .48633 .4833 .49135 .48922 .4893 .48591 .48428 Metetra
.636 .708 .899 r
.48591 .48428 .48922 .4893 .49515 .48739 .49185 .48235 Metetra
.629 .705 .901 r
.49185 .48235 .49515 .48739 .50109 .48561 .4978 .48056 Metetra
.621 .703 .903 r
.4978 .48056 .50109 .48561 .50705 .48395 .50376 .47889 Metetra
.614 .7 .905 r
.50376 .47889 .50705 .48395 .51302 .48241 .50974 .47735 Metetra
.607 .697 .907 r
.50974 .47735 .51302 .48241 .51901 .48099 .51574 .47591 Metetra
.601 .695 .909 r
.51574 .47591 .51901 .48099 .52501 .47967 .52175 .47459 Metetra
.594 .692 .911 r
.52175 .47459 .52501 .47967 .53103 .47846 .52778 .47336 Metetra
.588 .69 .912 r
.52778 .47336 .53103 .47846 .53707 .47734 .53382 .47223 Metetra
.582 .687 .913 r
.53382 .47223 .53707 .47734 .54313 .47631 .53989 .47119 Metetra
.577 .685 .914 r
.53989 .47119 .54313 .47631 .5492 .47537 .54597 .47024 Metetra
.572 .683 .915 r
.54597 .47024 .5492 .47537 .5553 .4745 .55207 .46937 Metetra
.567 .68 .916 r
.55207 .46937 .5553 .4745 .56141 .47371 .55819 .46856 Metetra
.562 .678 .917 r
.55819 .46856 .56141 .47371 .56754 .47298 .56433 .46782 Metetra
.558 .677 .918 r
.56433 .46782 .56754 .47298 .57369 .47231 .57048 .46715 Metetra
.554 .675 .918 r
.57048 .46715 .57369 .47231 .57987 .47169 .57666 .46652 Metetra
.551 .674 .919 r
.57666 .46652 .57987 .47169 .58606 .47112 .58286 .46594 Metetra
.548 .672 .919 r
.58286 .46594 .58606 .47112 .59227 .4706 .58908 .46541 Metetra
.546 .671 .92 r
.58908 .46541 .59227 .4706 .59851 .4701 .59532 .4649 Metetra
.544 .67 .92 r
.59532 .4649 .59851 .4701 .60476 .46963 .60158 .46442 Metetra
.542 .67 .92 r
.60158 .46442 .60476 .46963 .61104 .46918 .60787 .46397 Metetra
.541 .669 .92 r
.60787 .46397 .61104 .46918 .61733 .46875 .61417 .46352 Metetra
.541 .669 .92 r
.61417 .46352 .61733 .46875 .62365 .46832 .6205 .46308 Metetra
.541 .669 .92 r
.6205 .46308 .62365 .46832 .62999 .4679 .62684 .46265 Metetra
.541 .669 .92 r
.62684 .46265 .62999 .4679 .63635 .46746 .63321 .4622 Metetra
.542 .669 .92 r
.63321 .4622 .63635 .46746 .64273 .46701 .6396 .46175 Metetra
.543 .67 .92 r
.6396 .46175 .64273 .46701 .64913 .46654 .646 .46127 Metetra
.545 .671 .92 r
.646 .46127 .64913 .46654 .65555 .46605 .65243 .46076 Metetra
.547 .672 .92 r
.65243 .46076 .65555 .46605 .66199 .46552 .65888 .46022 Metetra
.55 .673 .919 r
.65888 .46022 .66199 .46552 .66845 .46494 .66535 .45964 Metetra
.553 .674 .919 r
.66535 .45964 .66845 .46494 .67494 .46432 .67184 .45901 Metetra
.556 .676 .918 r
.67184 .45901 .67494 .46432 .68144 .46364 .67835 .45832 Metetra
.56 .678 .918 r
.67835 .45832 .68144 .46364 .68795 .4629 .68487 .45757 Metetra
.564 .68 .917 r
.68487 .45757 .68795 .4629 .69449 .46209 .69142 .45675 Metetra
.569 .682 .916 r
.69142 .45675 .69449 .46209 .70104 .4612 .69798 .45585 Metetra
.574 .684 .916 r
.69798 .45585 .70104 .4612 .70762 .46023 .70456 .45487 Metetra
.579 .687 .915 r
.70456 .45487 .70762 .46023 .7142 .45917 .71115 .45379 Metetra
.584 .689 .914 r
.71115 .45379 .7142 .45917 .72081 .45801 .71777 .45262 Metetra
.59 .692 .913 r
.71777 .45262 .72081 .45801 .72742 .45674 .72439 .45135 Metetra
.596 .695 .911 r
.72439 .45135 .72742 .45674 .73405 .45537 .73103 .44996 Metetra
.603 .697 .91 r
.73103 .44996 .73405 .45537 .7407 .45387 .73769 .44845 Metetra
.609 .7 .909 r
.73769 .44845 .7407 .45387 .74736 .45225 .74435 .44682 Metetra
.616 .703 .907 r
.74435 .44682 .74736 .45225 .75403 .4505 .75103 .44506 Metetra
.623 .706 .905 r
.75103 .44506 .75403 .4505 .76071 .44861 .75772 .44316 Metetra
.63 .709 .904 r
.75772 .44316 .76071 .44861 .76739 .44657 .76442 .44111 Metetra
.637 .713 .902 r
.76442 .44111 .76739 .44657 .77409 .44438 .77112 .43891 Metetra
.644 .716 .9 r
.77112 .43891 .77409 .44438 .7808 .44204 .77784 .43655 Metetra
.652 .719 .898 r
.77784 .43655 .7808 .44204 .78751 .43953 .78456 .43403 Metetra
.659 .722 .895 r
.78456 .43403 .78751 .43953 .79422 .43685 .79128 .43134 Metetra
.667 .725 .893 r
.79128 .43134 .79422 .43685 .80094 .43399 .79801 .42847 Metetra
.675 .728 .89 r
.79801 .42847 .80094 .43399 .80766 .43095 .80474 .42542 Metetra
.682 .732 .888 r
.80474 .42542 .80766 .43095 .81438 .42773 .81148 .42218 Metetra
.69 .735 .885 r
.81148 .42218 .81438 .42773 .82111 .42431 .81821 .41875 Metetra
.698 .738 .882 r
.81821 .41875 .82111 .42431 .82783 .4207 .82494 .41512 Metetra
.705 .741 .879 r
.82494 .41512 .82783 .4207 .83454 .41688 .83167 .41129 Metetra
.713 .744 .876 r
.83167 .41129 .83454 .41688 .84126 .41285 .8384 .40725 Metetra
.72 .747 .873 r
.8384 .40725 .84126 .41285 .84796 .40861 .84511 .403 Metetra
.728 .749 .869 r
.84511 .403 .84796 .40861 .85466 .40415 .85183 .39853 Metetra
.735 .752 .866 r
.85183 .39853 .85466 .40415 .86135 .39947 .85853 .39383 Metetra
.743 .755 .862 r
.85853 .39383 .86135 .39947 .86804 .39456 .86522 .38891 Metetra
.851 .748 .75 r
.24519 .71795 .24893 .72242 .25513 .71156 .2514 .70707 Metetra
.848 .749 .753 r
.2514 .70707 .25513 .71156 .2613 .701 .25759 .69649 Metetra
.846 .749 .756 r
.25759 .69649 .2613 .701 .26744 .69073 .26374 .68621 Metetra
.843 .749 .76 r
.26374 .68621 .26744 .69073 .27355 .68075 .26987 .67622 Metetra
.84 .75 .763 r
.26987 .67622 .27355 .68075 .27964 .67106 .27598 .66651 Metetra
.838 .75 .767 r
.27598 .66651 .27964 .67106 .28571 .66166 .28205 .65709 Metetra
.835 .751 .771 r
.28205 .65709 .28571 .66166 .29175 .65253 .28811 .64795 Metetra
.831 .751 .774 r
.28811 .64795 .29175 .65253 .29777 .64369 .29414 .63909 Metetra
.828 .751 .778 r
.29414 .63909 .29777 .64369 .30377 .63511 .30015 .6305 Metetra
.825 .751 .782 r
.30015 .6305 .30377 .63511 .30975 .62681 .30615 .62219 Metetra
.821 .751 .786 r
.30615 .62219 .30975 .62681 .31571 .61878 .31212 .61414 Metetra
.817 .751 .79 r
.31212 .61414 .31571 .61878 .32165 .611 .31808 .60636 Metetra
.813 .751 .794 r
.31808 .60636 .32165 .611 .32758 .60349 .32402 .59883 Metetra
.809 .751 .798 r
.32402 .59883 .32758 .60349 .33349 .59624 .32994 .59156 Metetra
.805 .751 .803 r
.32994 .59156 .33349 .59624 .3394 .58923 .33586 .58455 Metetra
.801 .751 .807 r
.33586 .58455 .3394 .58923 .34529 .58248 .34176 .57778 Metetra
.796 .751 .811 r
.34176 .57778 .34529 .58248 .35116 .57597 .34765 .57126 Metetra
.791 .75 .816 r
.34765 .57126 .35116 .57597 .35703 .5697 .35352 .56498 Metetra
.786 .75 .82 r
.35352 .56498 .35703 .5697 .36289 .56367 .3594 .55894 Metetra
.781 .749 .824 r
.3594 .55894 .36289 .56367 .36875 .55788 .36526 .55313 Metetra
.775 .749 .829 r
.36526 .55313 .36875 .55788 .37459 .55231 .37112 .54755 Metetra
.77 .748 .833 r
.37112 .54755 .37459 .55231 .38044 .54696 .37697 .54219 Metetra
.764 .747 .837 r
.37697 .54219 .38044 .54696 .38627 .54184 .38282 .53706 Metetra
.758 .746 .842 r
.38282 .53706 .38627 .54184 .39211 .53694 .38866 .53214 Metetra
.752 .745 .846 r
.38866 .53214 .39211 .53694 .39794 .53224 .3945 .52744 Metetra
.745 .744 .85 r
.3945 .52744 .39794 .53224 .40378 .52776 .40035 .52294 Metetra
.739 .742 .854 r
.40035 .52294 .40378 .52776 .40961 .52348 .40619 .51865 Metetra
.732 .741 .858 r
.40619 .51865 .40961 .52348 .41544 .5194 .41203 .51456 Metetra
.725 .739 .862 r
.41203 .51456 .41544 .5194 .42128 .51551 .41788 .51066 Metetra
.718 .738 .866 r
.41788 .51066 .42128 .51551 .42712 .51182 .42372 .50696 Metetra
.711 .736 .87 r
.42372 .50696 .42712 .51182 .43296 .50831 .42958 .50344 Metetra
.704 .734 .874 r
.42958 .50344 .43296 .50831 .43881 .50498 .43544 .5001 Metetra
.696 .732 .878 r
.43544 .5001 .43881 .50498 .44467 .50182 .4413 .49693 Metetra
.689 .73 .881 r
.4413 .49693 .44467 .50182 .45053 .49884 .44717 .49394 Metetra
.681 .727 .885 r
.44717 .49394 .45053 .49884 .45641 .49603 .45305 .49112 Metetra
.674 .725 .888 r
.45305 .49112 .45641 .49603 .46229 .49337 .45894 .48845 Metetra
.666 .722 .891 r
.45894 .48845 .46229 .49337 .46818 .49088 .46484 .48595 Metetra
.658 .72 .894 r
.46484 .48595 .46818 .49088 .47408 .48853 .47074 .48359 Metetra
.651 .717 .897 r
.47074 .48359 .47408 .48853 .47999 .48633 .47666 .48138 Metetra
.643 .715 .9 r
.47666 .48138 .47999 .48633 .48591 .48428 .48259 .47932 Metetra
.636 .712 .902 r
.48259 .47932 .48591 .48428 .49185 .48235 .48854 .47738 Metetra
.628 .709 .904 r
.48854 .47738 .49185 .48235 .4978 .48056 .4945 .47558 Metetra
.621 .707 .907 r
.4945 .47558 .4978 .48056 .50376 .47889 .50047 .4739 Metetra
.614 .704 .909 r
.50047 .4739 .50376 .47889 .50974 .47735 .50645 .47235 Metetra
.607 .701 .911 r
.50645 .47235 .50974 .47735 .51574 .47591 .51246 .4709 Metetra
.6 .698 .912 r
.51246 .4709 .51574 .47591 .52175 .47459 .51847 .46957 Metetra
.594 .696 .914 r
.51847 .46957 .52175 .47459 .52778 .47336 .52451 .46833 Metetra
.587 .693 .915 r
.52451 .46833 .52778 .47336 .53382 .47223 .53056 .4672 Metetra
.581 .691 .917 r
.53056 .4672 .53382 .47223 .53989 .47119 .53663 .46615 Metetra
.576 .688 .918 r
.53663 .46615 .53989 .47119 .54597 .47024 .54272 .46519 Metetra
.57 .686 .919 r
.54272 .46519 .54597 .47024 .55207 .46937 .54883 .4643 Metetra
.565 .684 .92 r
.54883 .4643 .55207 .46937 .55819 .46856 .55495 .46349 Metetra
.561 .682 .921 r
.55495 .46349 .55819 .46856 .56433 .46782 .5611 .46274 Metetra
.557 .68 .921 r
.5611 .46274 .56433 .46782 .57048 .46715 .56726 .46205 Metetra
.553 .678 .922 r
.56726 .46205 .57048 .46715 .57666 .46652 .57345 .46142 Metetra
.55 .677 .922 r
.57345 .46142 .57666 .46652 .58286 .46594 .57966 .46083 Metetra
.547 .676 .923 r
.57966 .46083 .58286 .46594 .58908 .46541 .58588 .46028 Metetra
.544 .675 .923 r
.58588 .46028 .58908 .46541 .59532 .4649 .59213 .45977 Metetra
.542 .674 .923 r
.59213 .45977 .59532 .4649 .60158 .46442 .5984 .45928 Metetra
.541 .673 .924 r
.5984 .45928 .60158 .46442 .60787 .46397 .60469 .45882 Metetra
.54 .672 .924 r
.60469 .45882 .60787 .46397 .61417 .46352 .611 .45836 Metetra
.539 .672 .924 r
.611 .45836 .61417 .46352 .6205 .46308 .61733 .45792 Metetra
.539 .672 .924 r
.61733 .45792 .6205 .46308 .62684 .46265 .62368 .45747 Metetra
.539 .672 .924 r
.62368 .45747 .62684 .46265 .63321 .4622 .63006 .45702 Metetra
.54 .673 .924 r
.63006 .45702 .63321 .4622 .6396 .46175 .63645 .45655 Metetra
.542 .673 .924 r
.63645 .45655 .6396 .46175 .646 .46127 .64287 .45606 Metetra
.543 .674 .923 r
.64287 .45606 .646 .46127 .65243 .46076 .64931 .45555 Metetra
.545 .675 .923 r
.64931 .45555 .65243 .46076 .65888 .46022 .65576 .45499 Metetra
.548 .676 .923 r
.65576 .45499 .65888 .46022 .66535 .45964 .66224 .4544 Metetra
.551 .678 .922 r
.66224 .4544 .66535 .45964 .67184 .45901 .66873 .45376 Metetra
.555 .68 .922 r
.66873 .45376 .67184 .45901 .67835 .45832 .67525 .45306 Metetra
.559 .681 .921 r
.67525 .45306 .67835 .45832 .68487 .45757 .68178 .4523 Metetra
.563 .683 .921 r
.68178 .4523 .68487 .45757 .69142 .45675 .68834 .45147 Metetra
.567 .685 .92 r
.68834 .45147 .69142 .45675 .69798 .45585 .69491 .45056 Metetra
.572 .688 .919 r
.69491 .45056 .69798 .45585 .70456 .45487 .7015 .44957 Metetra
.578 .69 .918 r
.7015 .44957 .70456 .45487 .71115 .45379 .7081 .44849 Metetra
.583 .693 .917 r
.7081 .44849 .71115 .45379 .71777 .45262 .71472 .44731 Metetra
.589 .695 .916 r
.71472 .44731 .71777 .45262 .72439 .45135 .72135 .44602 Metetra
.595 .698 .915 r
.72135 .44602 .72439 .45135 .73103 .44996 .728 .44462 Metetra
.602 .701 .913 r
.728 .44462 .73103 .44996 .73769 .44845 .73467 .44311 Metetra
.609 .704 .912 r
.73467 .44311 .73769 .44845 .74435 .44682 .74134 .44146 Metetra
.615 .707 .91 r
.74134 .44146 .74435 .44682 .75103 .44506 .74803 .43969 Metetra
.622 .71 .909 r
.74803 .43969 .75103 .44506 .75772 .44316 .75473 .43777 Metetra
.63 .713 .907 r
.75473 .43777 .75772 .44316 .76442 .44111 .76144 .43572 Metetra
.637 .717 .905 r
.76144 .43572 .76442 .44111 .77112 .43891 .76815 .4335 Metetra
.644 .72 .903 r
.76815 .4335 .77112 .43891 .77784 .43655 .77488 .43114 Metetra
.652 .723 .901 r
.77488 .43114 .77784 .43655 .78456 .43403 .78161 .4286 Metetra
.66 .726 .898 r
.78161 .4286 .78456 .43403 .79128 .43134 .78834 .4259 Metetra
.667 .729 .896 r
.78834 .4259 .79128 .43134 .79801 .42847 .79508 .42302 Metetra
.675 .733 .893 r
.79508 .42302 .79801 .42847 .80474 .42542 .80182 .41996 Metetra
.683 .736 .891 r
.80182 .41996 .80474 .42542 .81148 .42218 .80857 .41671 Metetra
.69 .739 .888 r
.80857 .41671 .81148 .42218 .81821 .41875 .81531 .41327 Metetra
.698 .742 .885 r
.81531 .41327 .81821 .41875 .82494 .41512 .82205 .40962 Metetra
.706 .745 .882 r
.82205 .40962 .82494 .41512 .83167 .41129 .82879 .40578 Metetra
.714 .748 .879 r
.82879 .40578 .83167 .41129 .8384 .40725 .83553 .40173 Metetra
.721 .751 .875 r
.83553 .40173 .8384 .40725 .84511 .403 .84226 .39746 Metetra
.729 .754 .872 r
.84226 .39746 .84511 .403 .85183 .39853 .84898 .39297 Metetra
.736 .756 .869 r
.84898 .39297 .85183 .39853 .85853 .39383 .8557 .38827 Metetra
.744 .759 .865 r
.8557 .38827 .85853 .39383 .86522 .38891 .8624 .38333 Metetra
.852 .751 .751 r
.24143 .71355 .24519 .71795 .2514 .70707 .24766 .70266 Metetra
.85 .751 .754 r
.24766 .70266 .2514 .70707 .25759 .69649 .25386 .69206 Metetra
.847 .752 .757 r
.25386 .69206 .25759 .69649 .26374 .68621 .26003 .68176 Metetra
.845 .752 .761 r
.26003 .68176 .26374 .68621 .26987 .67622 .26617 .67175 Metetra
.842 .752 .764 r
.26617 .67175 .26987 .67622 .27598 .66651 .27229 .66203 Metetra
.839 .753 .768 r
.27229 .66203 .27598 .66651 .28205 .65709 .27838 .6526 Metetra
.836 .753 .772 r
.27838 .6526 .28205 .65709 .28811 .64795 .28445 .64345 Metetra
.833 .754 .776 r
.28445 .64345 .28811 .64795 .29414 .63909 .2905 .63457 Metetra
.83 .754 .78 r
.2905 .63457 .29414 .63909 .30015 .6305 .29652 .62597 Metetra
.826 .754 .783 r
.29652 .62597 .30015 .6305 .30615 .62219 .30253 .61764 Metetra
.823 .754 .788 r
.30253 .61764 .30615 .62219 .31212 .61414 .30851 .60958 Metetra
.819 .754 .792 r
.30851 .60958 .31212 .61414 .31808 .60636 .31448 .60178 Metetra
.815 .754 .796 r
.31448 .60178 .31808 .60636 .32402 .59883 .32044 .59424 Metetra
.811 .754 .8 r
.32044 .59424 .32402 .59883 .32994 .59156 .32637 .58696 Metetra
.807 .754 .804 r
.32637 .58696 .32994 .59156 .33586 .58455 .3323 .57993 Metetra
.802 .754 .809 r
.3323 .57993 .33586 .58455 .34176 .57778 .33821 .57315 Metetra
.797 .754 .813 r
.33821 .57315 .34176 .57778 .34765 .57126 .34411 .56662 Metetra
.793 .754 .817 r
.34411 .56662 .34765 .57126 .35352 .56498 .35 .56033 Metetra
.787 .753 .822 r
.35 .56033 .35352 .56498 .3594 .55894 .35588 .55427 Metetra
.782 .753 .826 r
.35588 .55427 .3594 .55894 .36526 .55313 .36176 .54845 Metetra
.777 .752 .831 r
.36176 .54845 .36526 .55313 .37112 .54755 .36762 .54286 Metetra
.771 .751 .835 r
.36762 .54286 .37112 .54755 .37697 .54219 .37348 .53749 Metetra
.765 .75 .839 r
.37348 .53749 .37697 .54219 .38282 .53706 .37934 .53235 Metetra
.759 .75 .844 r
.37934 .53235 .38282 .53706 .38866 .53214 .3852 .52742 Metetra
.753 .748 .848 r
.3852 .52742 .38866 .53214 .3945 .52744 .39105 .5227 Metetra
.747 .747 .852 r
.39105 .5227 .3945 .52744 .40035 .52294 .3969 .5182 Metetra
.74 .746 .857 r
.3969 .5182 .40035 .52294 .40619 .51865 .40275 .51389 Metetra
.733 .745 .861 r
.40275 .51389 .40619 .51865 .41203 .51456 .4086 .50979 Metetra
.726 .743 .865 r
.4086 .50979 .41203 .51456 .41788 .51066 .41446 .50588 Metetra
.719 .741 .869 r
.41446 .50588 .41788 .51066 .42372 .50696 .42031 .50217 Metetra
.712 .74 .873 r
.42031 .50217 .42372 .50696 .42958 .50344 .42618 .49863 Metetra
.705 .738 .877 r
.42618 .49863 .42958 .50344 .43544 .5001 .43204 .49528 Metetra
.697 .736 .881 r
.43204 .49528 .43544 .5001 .4413 .49693 .43791 .49211 Metetra
.689 .733 .884 r
.43791 .49211 .4413 .49693 .44717 .49394 .44379 .48911 Metetra
.682 .731 .888 r
.44379 .48911 .44717 .49394 .45305 .49112 .44968 .48627 Metetra
.674 .729 .891 r
.44968 .48627 .45305 .49112 .45894 .48845 .45558 .4836 Metetra
.666 .726 .894 r
.45558 .4836 .45894 .48845 .46484 .48595 .46148 .48108 Metetra
.659 .724 .897 r
.46148 .48108 .46484 .48595 .47074 .48359 .4674 .47872 Metetra
.651 .721 .9 r
.4674 .47872 .47074 .48359 .47666 .48138 .47332 .4765 Metetra
.643 .719 .903 r
.47332 .4765 .47666 .48138 .48259 .47932 .47926 .47442 Metetra
.636 .716 .905 r
.47926 .47442 .48259 .47932 .48854 .47738 .48521 .47248 Metetra
.628 .713 .908 r
.48521 .47248 .48854 .47738 .4945 .47558 .49118 .47067 Metetra
.621 .71 .91 r
.49118 .47067 .4945 .47558 .50047 .4739 .49716 .46898 Metetra
.613 .708 .912 r
.49716 .46898 .50047 .4739 .50645 .47235 .50315 .46742 Metetra
.606 .705 .914 r
.50315 .46742 .50645 .47235 .51246 .4709 .50916 .46596 Metetra
.599 .702 .916 r
.50916 .46596 .51246 .4709 .51847 .46957 .51519 .46462 Metetra
.593 .7 .917 r
.51519 .46462 .51847 .46957 .52451 .46833 .52123 .46337 Metetra
.586 .697 .919 r
.52123 .46337 .52451 .46833 .53056 .4672 .52729 .46223 Metetra
.58 .694 .92 r
.52729 .46223 .53056 .4672 .53663 .46615 .53336 .46117 Metetra
.575 .692 .921 r
.53336 .46117 .53663 .46615 .54272 .46519 .53946 .4602 Metetra
.569 .69 .922 r
.53946 .4602 .54272 .46519 .54883 .4643 .54557 .4593 Metetra
.564 .688 .923 r
.54557 .4593 .54883 .4643 .55495 .46349 .55171 .45848 Metetra
.559 .686 .924 r
.55171 .45848 .55495 .46349 .5611 .46274 .55786 .45773 Metetra
.555 .684 .925 r
.55786 .45773 .5611 .46274 .56726 .46205 .56403 .45703 Metetra
.551 .682 .925 r
.56403 .45703 .56726 .46205 .57345 .46142 .57023 .45639 Metetra
.548 .681 .926 r
.57023 .45639 .57345 .46142 .57966 .46083 .57644 .45579 Metetra
.545 .679 .926 r
.57644 .45579 .57966 .46083 .58588 .46028 .58267 .45523 Metetra
.543 .678 .927 r
.58267 .45523 .58588 .46028 .59213 .45977 .58893 .45471 Metetra
.541 .677 .927 r
.58893 .45471 .59213 .45977 .5984 .45928 .5952 .45421 Metetra
.539 .676 .927 r
.5952 .45421 .5984 .45928 .60469 .45882 .6015 .45374 Metetra
.538 .676 .927 r
.6015 .45374 .60469 .45882 .611 .45836 .60782 .45327 Metetra
.537 .676 .927 r
.60782 .45327 .611 .45836 .61733 .45792 .61416 .45282 Metetra
.537 .676 .927 r
.61416 .45282 .61733 .45792 .62368 .45747 .62052 .45236 Metetra
.538 .676 .927 r
.62052 .45236 .62368 .45747 .63006 .45702 .6269 .4519 Metetra
.538 .676 .927 r
.6269 .4519 .63006 .45702 .63645 .45655 .6333 .45142 Metetra
.54 .677 .927 r
.6333 .45142 .63645 .45655 .64287 .45606 .63972 .45093 Metetra
.542 .678 .927 r
.63972 .45093 .64287 .45606 .64931 .45555 .64617 .4504 Metetra
.544 .679 .926 r
.64617 .4504 .64931 .45555 .65576 .45499 .65263 .44984 Metetra
.547 .68 .926 r
.65263 .44984 .65576 .45499 .66224 .4544 .65912 .44924 Metetra
.55 .681 .926 r
.65912 .44924 .66224 .4544 .66873 .45376 .66562 .44859 Metetra
.553 .683 .925 r
.66562 .44859 .66873 .45376 .67525 .45306 .67214 .44788 Metetra
.557 .685 .925 r
.67214 .44788 .67525 .45306 .68178 .4523 .67869 .44711 Metetra
.562 .687 .924 r
.67869 .44711 .68178 .4523 .68834 .45147 .68525 .44627 Metetra
.566 .689 .923 r
.68525 .44627 .68834 .45147 .69491 .45056 .69183 .44535 Metetra
.571 .691 .922 r
.69183 .44535 .69491 .45056 .7015 .44957 .69842 .44435 Metetra
.577 .694 .921 r
.69842 .44435 .7015 .44957 .7081 .44849 .70504 .44325 Metetra
.582 .697 .92 r
.70504 .44325 .7081 .44849 .71472 .44731 .71167 .44206 Metetra
.588 .699 .919 r
.71167 .44206 .71472 .44731 .72135 .44602 .71831 .44076 Metetra
.595 .702 .918 r
.71831 .44076 .72135 .44602 .728 .44462 .72497 .43936 Metetra
.601 .705 .917 r
.72497 .43936 .728 .44462 .73467 .44311 .73164 .43783 Metetra
.608 .708 .915 r
.73164 .43783 .73467 .44311 .74134 .44146 .73832 .43617 Metetra
.615 .711 .914 r
.73832 .43617 .74134 .44146 .74803 .43969 .74502 .43439 Metetra
.622 .714 .912 r
.74502 .43439 .74803 .43969 .75473 .43777 .75173 .43246 Metetra
.629 .717 .91 r
.75173 .43246 .75473 .43777 .76144 .43572 .75845 .43039 Metetra
.637 .721 .908 r
.75845 .43039 .76144 .43572 .76815 .4335 .76517 .42817 Metetra
.644 .724 .906 r
.76517 .42817 .76815 .4335 .77488 .43114 .77191 .42579 Metetra
.652 .727 .904 r
.77191 .42579 .77488 .43114 .78161 .4286 .77865 .42325 Metetra
.66 .73 .902 r
.77865 .42325 .78161 .4286 .78834 .4259 .78539 .42053 Metetra
.667 .733 .899 r
.78539 .42053 .78834 .4259 .79508 .42302 .79214 .41764 Metetra
.675 .737 .897 r
.79214 .41764 .79508 .42302 .80182 .41996 .7989 .41457 Metetra
.683 .74 .894 r
.7989 .41457 .80182 .41996 .80857 .41671 .80565 .4113 Metetra
.691 .743 .891 r
.80565 .4113 .80857 .41671 .81531 .41327 .81241 .40785 Metetra
.699 .746 .888 r
.81241 .40785 .81531 .41327 .82205 .40962 .81916 .40419 Metetra
.707 .749 .885 r
.81916 .40419 .82205 .40962 .82879 .40578 .82591 .40034 Metetra
.714 .752 .882 r
.82591 .40034 .82879 .40578 .83553 .40173 .83266 .39627 Metetra
.722 .755 .878 r
.83266 .39627 .83553 .40173 .84226 .39746 .8394 .39199 Metetra
.73 .758 .875 r
.8394 .39199 .84226 .39746 .84898 .39297 .84614 .38749 Metetra
.737 .76 .871 r
.84614 .38749 .84898 .39297 .8557 .38827 .85286 .38277 Metetra
.745 .763 .867 r
.85286 .38277 .8557 .38827 .8624 .38333 .85958 .37782 Metetra
.853 .753 .752 r
.23765 .70923 .24143 .71355 .24766 .70266 .24389 .69832 Metetra
.851 .754 .755 r
.24389 .69832 .24766 .70266 .25386 .69206 .25011 .68771 Metetra
.849 .754 .758 r
.25011 .68771 .25386 .69206 .26003 .68176 .2563 .67739 Metetra
.846 .755 .762 r
.2563 .67739 .26003 .68176 .26617 .67175 .26245 .66737 Metetra
.843 .755 .765 r
.26245 .66737 .26617 .67175 .27229 .66203 .26859 .65763 Metetra
.841 .755 .769 r
.26859 .65763 .27229 .66203 .27838 .6526 .27469 .64818 Metetra
.838 .756 .773 r
.27469 .64818 .27838 .6526 .28445 .64345 .28078 .63901 Metetra
.834 .756 .777 r
.28078 .63901 .28445 .64345 .2905 .63457 .28683 .63012 Metetra
.831 .757 .781 r
.28683 .63012 .2905 .63457 .29652 .62597 .29287 .62151 Metetra
.828 .757 .785 r
.29287 .62151 .29652 .62597 .30253 .61764 .29889 .61316 Metetra
.824 .757 .789 r
.29889 .61316 .30253 .61764 .30851 .60958 .30489 .60508 Metetra
.82 .757 .793 r
.30489 .60508 .30851 .60958 .31448 .60178 .31087 .59727 Metetra
.816 .757 .797 r
.31087 .59727 .31448 .60178 .32044 .59424 .31684 .58972 Metetra
.812 .757 .801 r
.31684 .58972 .32044 .59424 .32637 .58696 .32279 .58243 Metetra
.808 .757 .806 r
.32279 .58243 .32637 .58696 .3323 .57993 .32872 .57539 Metetra
.804 .757 .81 r
.32872 .57539 .3323 .57993 .33821 .57315 .33464 .56859 Metetra
.799 .757 .815 r
.33464 .56859 .33821 .57315 .34411 .56662 .34056 .56205 Metetra
.794 .757 .819 r
.34056 .56205 .34411 .56662 .35 .56033 .34646 .55574 Metetra
.789 .756 .824 r
.34646 .55574 .35 .56033 .35588 .55427 .35235 .54968 Metetra
.784 .756 .828 r
.35235 .54968 .35588 .55427 .36176 .54845 .35823 .54384 Metetra
.778 .755 .833 r
.35823 .54384 .36176 .54845 .36762 .54286 .36411 .53824 Metetra
.772 .755 .837 r
.36411 .53824 .36762 .54286 .37348 .53749 .36998 .53286 Metetra
.767 .754 .841 r
.36998 .53286 .37348 .53749 .37934 .53235 .37585 .5277 Metetra
.76 .753 .846 r
.37585 .5277 .37934 .53235 .3852 .52742 .38172 .52276 Metetra
.754 .752 .85 r
.38172 .52276 .3852 .52742 .39105 .5227 .38758 .51804 Metetra
.748 .751 .855 r
.38758 .51804 .39105 .5227 .3969 .5182 .39344 .51352 Metetra
.741 .75 .859 r
.39344 .51352 .3969 .5182 .40275 .51389 .3993 .50921 Metetra
.734 .748 .863 r
.3993 .50921 .40275 .51389 .4086 .50979 .40516 .50509 Metetra
.727 .747 .868 r
.40516 .50509 .4086 .50979 .41446 .50588 .41102 .50117 Metetra
.72 .745 .872 r
.41102 .50117 .41446 .50588 .42031 .50217 .41689 .49744 Metetra
.713 .743 .876 r
.41689 .49744 .42031 .50217 .42618 .49863 .42276 .4939 Metetra
.705 .741 .88 r
.42276 .4939 .42618 .49863 .43204 .49528 .42863 .49054 Metetra
.698 .739 .883 r
.42863 .49054 .43204 .49528 .43791 .49211 .43451 .48736 Metetra
.69 .737 .887 r
.43451 .48736 .43791 .49211 .44379 .48911 .4404 .48435 Metetra
.682 .735 .891 r
.4404 .48435 .44379 .48911 .44968 .48627 .4463 .4815 Metetra
.674 .733 .894 r
.4463 .4815 .44968 .48627 .45558 .4836 .4522 .47882 Metetra
.667 .73 .897 r
.4522 .47882 .45558 .4836 .46148 .48108 .45811 .47629 Metetra
.659 .728 .9 r
.45811 .47629 .46148 .48108 .4674 .47872 .46404 .47392 Metetra
.651 .725 .903 r
.46404 .47392 .4674 .47872 .47332 .4765 .46997 .47169 Metetra
.643 .723 .906 r
.46997 .47169 .47332 .4765 .47926 .47442 .47592 .4696 Metetra
.635 .72 .909 r
.47592 .4696 .47926 .47442 .48521 .47248 .48188 .46765 Metetra
.628 .717 .911 r
.48188 .46765 .48521 .47248 .49118 .47067 .48785 .46583 Metetra
.62 .714 .913 r
.48785 .46583 .49118 .47067 .49716 .46898 .49383 .46413 Metetra
.613 .712 .915 r
.49383 .46413 .49716 .46898 .50315 .46742 .49984 .46256 Metetra
.606 .709 .917 r
.49984 .46256 .50315 .46742 .50916 .46596 .50585 .46109 Metetra
.599 .706 .919 r
.50585 .46109 .50916 .46596 .51519 .46462 .51188 .45974 Metetra
.592 .703 .921 r
.51188 .45974 .51519 .46462 .52123 .46337 .51793 .45848 Metetra
.585 .701 .922 r
.51793 .45848 .52123 .46337 .52729 .46223 .524 .45733 Metetra
.579 .698 .923 r
.524 .45733 .52729 .46223 .53336 .46117 .53008 .45626 Metetra
.573 .696 .925 r
.53008 .45626 .53336 .46117 .53946 .4602 .53619 .45528 Metetra
.568 .693 .926 r
.53619 .45528 .53946 .4602 .54557 .4593 .54231 .45438 Metetra
.563 .691 .927 r
.54231 .45438 .54557 .4593 .55171 .45848 .54845 .45355 Metetra
.558 .689 .927 r
.54845 .45355 .55171 .45848 .55786 .45773 .55461 .45278 Metetra
.554 .687 .928 r
.55461 .45278 .55786 .45773 .56403 .45703 .56079 .45207 Metetra
.55 .686 .929 r
.56079 .45207 .56403 .45703 .57023 .45639 .56699 .45142 Metetra
.546 .684 .929 r
.56699 .45142 .57023 .45639 .57644 .45579 .57321 .45082 Metetra
.543 .683 .93 r
.57321 .45082 .57644 .45579 .58267 .45523 .57945 .45025 Metetra
.541 .682 .93 r
.57945 .45025 .58267 .45523 .58893 .45471 .58571 .44972 Metetra
.539 .681 .93 r
.58571 .44972 .58893 .45471 .5952 .45421 .59199 .44921 Metetra
.537 .68 .93 r
.59199 .44921 .5952 .45421 .6015 .45374 .5983 .44873 Metetra
.536 .679 .931 r
.5983 .44873 .6015 .45374 .60782 .45327 .60462 .44826 Metetra
.535 .679 .931 r
.60462 .44826 .60782 .45327 .61416 .45282 .61097 .44779 Metetra
.535 .679 .931 r
.61097 .44779 .61416 .45282 .62052 .45236 .61734 .44732 Metetra
.536 .679 .931 r
.61734 .44732 .62052 .45236 .6269 .4519 .62373 .44685 Metetra
.537 .68 .931 r
.62373 .44685 .6269 .4519 .6333 .45142 .63014 .44637 Metetra
.538 .68 .93 r
.63014 .44637 .6333 .45142 .63972 .45093 .63657 .44586 Metetra
.54 .681 .93 r
.63657 .44586 .63972 .45093 .64617 .4504 .64302 .44532 Metetra
.542 .682 .93 r
.64302 .44532 .64617 .4504 .65263 .44984 .64949 .44475 Metetra
.545 .684 .929 r
.64949 .44475 .65263 .44984 .65912 .44924 .65599 .44414 Metetra
.548 .685 .929 r
.65599 .44414 .65912 .44924 .66562 .44859 .6625 .44348 Metetra
.552 .687 .929 r
.6625 .44348 .66562 .44859 .67214 .44788 .66903 .44276 Metetra
.556 .689 .928 r
.66903 .44276 .67214 .44788 .67869 .44711 .67558 .44198 Metetra
.56 .691 .927 r
.67558 .44198 .67869 .44711 .68525 .44627 .68215 .44113 Metetra
.565 .693 .927 r
.68215 .44113 .68525 .44627 .69183 .44535 .68874 .4402 Metetra
.57 .695 .926 r
.68874 .4402 .69183 .44535 .69842 .44435 .69534 .43919 Metetra
.576 .698 .925 r
.69534 .43919 .69842 .44435 .70504 .44325 .70196 .43809 Metetra
.581 .7 .924 r
.70196 .43809 .70504 .44325 .71167 .44206 .7086 .43689 Metetra
.587 .703 .923 r
.7086 .43689 .71167 .44206 .71831 .44076 .71526 .43558 Metetra
.594 .706 .921 r
.71526 .43558 .71831 .44076 .72497 .43936 .72192 .43416 Metetra
.6 .709 .92 r
.72192 .43416 .72497 .43936 .73164 .43783 .7286 .43262 Metetra
.607 .712 .919 r
.7286 .43262 .73164 .43783 .73832 .43617 .7353 .43096 Metetra
.614 .715 .917 r
.7353 .43096 .73832 .43617 .74502 .43439 .74201 .42916 Metetra
.622 .718 .915 r
.74201 .42916 .74502 .43439 .75173 .43246 .74872 .42722 Metetra
.629 .721 .914 r
.74872 .42722 .75173 .43246 .75845 .43039 .75545 .42514 Metetra
.636 .725 .912 r
.75545 .42514 .75845 .43039 .76517 .42817 .76219 .42291 Metetra
.644 .728 .909 r
.76219 .42291 .76517 .42817 .77191 .42579 .76893 .42052 Metetra
.652 .731 .907 r
.76893 .42052 .77191 .42579 .77865 .42325 .77568 .41796 Metetra
.66 .734 .905 r
.77568 .41796 .77865 .42325 .78539 .42053 .78244 .41523 Metetra
.668 .738 .902 r
.78244 .41523 .78539 .42053 .79214 .41764 .7892 .41233 Metetra
.676 .741 .9 r
.7892 .41233 .79214 .41764 .7989 .41457 .79597 .40924 Metetra
.684 .744 .897 r
.79597 .40924 .7989 .41457 .80565 .4113 .80273 .40597 Metetra
.691 .747 .894 r
.80273 .40597 .80565 .4113 .81241 .40785 .8095 .4025 Metetra
.699 .75 .891 r
.8095 .4025 .81241 .40785 .81916 .40419 .81626 .39883 Metetra
.707 .753 .888 r
.81626 .39883 .81916 .40419 .82591 .40034 .82303 .39496 Metetra
.715 .756 .884 r
.82303 .39496 .82591 .40034 .83266 .39627 .82978 .39088 Metetra
.723 .759 .881 r
.82978 .39088 .83266 .39627 .8394 .39199 .83654 .38659 Metetra
.731 .762 .878 r
.83654 .38659 .8394 .39199 .84614 .38749 .84329 .38208 Metetra
.739 .765 .874 r
.84329 .38208 .84614 .38749 .85286 .38277 .85003 .37734 Metetra
.746 .767 .87 r
.85003 .37734 .85286 .38277 .85958 .37782 .85675 .37238 Metetra
.855 .755 .752 r
.23385 .70498 .23765 .70923 .24389 .69832 .24011 .69405 Metetra
.853 .756 .756 r
.24011 .69405 .24389 .69832 .25011 .68771 .24634 .68342 Metetra
.85 .757 .759 r
.24634 .68342 .25011 .68771 .2563 .67739 .25254 .67309 Metetra
.848 .757 .763 r
.25254 .67309 .2563 .67739 .26245 .66737 .25872 .66305 Metetra
.845 .758 .766 r
.25872 .66305 .26245 .66737 .26859 .65763 .26486 .6533 Metetra
.842 .758 .77 r
.26486 .6533 .26859 .65763 .27469 .64818 .27098 .64383 Metetra
.839 .759 .774 r
.27098 .64383 .27469 .64818 .28078 .63901 .27708 .63465 Metetra
.836 .759 .778 r
.27708 .63465 .28078 .63901 .28683 .63012 .28315 .62574 Metetra
.833 .759 .782 r
.28315 .62574 .28683 .63012 .29287 .62151 .2892 .61711 Metetra
.829 .76 .786 r
.2892 .61711 .29287 .62151 .29889 .61316 .29523 .60876 Metetra
.826 .76 .79 r
.29523 .60876 .29889 .61316 .30489 .60508 .30125 .60067 Metetra
.822 .76 .794 r
.30125 .60067 .30489 .60508 .31087 .59727 .30724 .59284 Metetra
.818 .76 .799 r
.30724 .59284 .31087 .59727 .31684 .58972 .31322 .58527 Metetra
.814 .761 .803 r
.31322 .58527 .31684 .58972 .32279 .58243 .31918 .57797 Metetra
.809 .761 .807 r
.31918 .57797 .32279 .58243 .32872 .57539 .32513 .57091 Metetra
.805 .761 .812 r
.32513 .57091 .32872 .57539 .33464 .56859 .33106 .56411 Metetra
.8 .76 .816 r
.33106 .56411 .33464 .56859 .34056 .56205 .33699 .55755 Metetra
.795 .76 .821 r
.33699 .55755 .34056 .56205 .34646 .55574 .3429 .55123 Metetra
.79 .76 .825 r
.3429 .55123 .34646 .55574 .35235 .54968 .3488 .54515 Metetra
.785 .759 .83 r
.3488 .54515 .35235 .54968 .35823 .54384 .3547 .5393 Metetra
.779 .759 .834 r
.3547 .5393 .35823 .54384 .36411 .53824 .36058 .53369 Metetra
.774 .758 .839 r
.36058 .53369 .36411 .53824 .36998 .53286 .36647 .5283 Metetra
.768 .758 .844 r
.36647 .5283 .36998 .53286 .37585 .5277 .37234 .52313 Metetra
.762 .757 .848 r
.37234 .52313 .37585 .5277 .38172 .52276 .37822 .51818 Metetra
.755 .756 .853 r
.37822 .51818 .38172 .52276 .38758 .51804 .38409 .51344 Metetra
.749 .755 .857 r
.38409 .51344 .38758 .51804 .39344 .51352 .38996 .50891 Metetra
.742 .753 .862 r
.38996 .50891 .39344 .51352 .3993 .50921 .39583 .50459 Metetra
.735 .752 .866 r
.39583 .50459 .3993 .50921 .40516 .50509 .4017 .50046 Metetra
.728 .751 .87 r
.4017 .50046 .40516 .50509 .41102 .50117 .40757 .49653 Metetra
.721 .749 .874 r
.40757 .49653 .41102 .50117 .41689 .49744 .41345 .49279 Metetra
.714 .747 .878 r
.41345 .49279 .41689 .49744 .42276 .4939 .41933 .48924 Metetra
.706 .745 .882 r
.41933 .48924 .42276 .4939 .42863 .49054 .42521 .48587 Metetra
.698 .743 .886 r
.42521 .48587 .42863 .49054 .43451 .48736 .4311 .48267 Metetra
.691 .741 .89 r
.4311 .48267 .43451 .48736 .4404 .48435 .43699 .47965 Metetra
.683 .739 .894 r
.43699 .47965 .4404 .48435 .4463 .4815 .4429 .4768 Metetra
.675 .737 .897 r
.4429 .4768 .4463 .4815 .4522 .47882 .44881 .4741 Metetra
.667 .734 .9 r
.44881 .4741 .4522 .47882 .45811 .47629 .45473 .47157 Metetra
.659 .732 .903 r
.45473 .47157 .45811 .47629 .46404 .47392 .46066 .46918 Metetra
.651 .729 .906 r
.46066 .46918 .46404 .47392 .46997 .47169 .4666 .46694 Metetra
.643 .726 .909 r
.4666 .46694 .46997 .47169 .47592 .4696 .47256 .46485 Metetra
.635 .724 .912 r
.47256 .46485 .47592 .4696 .48188 .46765 .47852 .46288 Metetra
.627 .721 .914 r
.47852 .46288 .48188 .46765 .48785 .46583 .4845 .46105 Metetra
.62 .718 .917 r
.4845 .46105 .48785 .46583 .49383 .46413 .4905 .45935 Metetra
.612 .715 .919 r
.4905 .45935 .49383 .46413 .49984 .46256 .49651 .45776 Metetra
.605 .713 .921 r
.49651 .45776 .49984 .46256 .50585 .46109 .50253 .45629 Metetra
.598 .71 .922 r
.50253 .45629 .50585 .46109 .51188 .45974 .50857 .45493 Metetra
.591 .707 .924 r
.50857 .45493 .51188 .45974 .51793 .45848 .51463 .45366 Metetra
.584 .705 .925 r
.51463 .45366 .51793 .45848 .524 .45733 .5207 .4525 Metetra
.578 .702 .927 r
.5207 .4525 .524 .45733 .53008 .45626 .52679 .45142 Metetra
.572 .7 .928 r
.52679 .45142 .53008 .45626 .53619 .45528 .5329 .45043 Metetra
.567 .697 .929 r
.5329 .45043 .53619 .45528 .54231 .45438 .53903 .44952 Metetra
.561 .695 .93 r
.53903 .44952 .54231 .45438 .54845 .45355 .54518 .44868 Metetra
.557 .693 .931 r
.54518 .44868 .54845 .45355 .55461 .45278 .55135 .4479 Metetra
.552 .691 .931 r
.55135 .4479 .55461 .45278 .56079 .45207 .55753 .44719 Metetra
.548 .689 .932 r
.55753 .44719 .56079 .45207 .56699 .45142 .56374 .44653 Metetra
.545 .688 .933 r
.56374 .44653 .56699 .45142 .57321 .45082 .56997 .44591 Metetra
.542 .686 .933 r
.56997 .44591 .57321 .45082 .57945 .45025 .57622 .44534 Metetra
.539 .685 .933 r
.57622 .44534 .57945 .45025 .58571 .44972 .58248 .4448 Metetra
.537 .684 .934 r
.58248 .4448 .58571 .44972 .59199 .44921 .58878 .44428 Metetra
.535 .683 .934 r
.58878 .44428 .59199 .44921 .5983 .44873 .59509 .44379 Metetra
.534 .683 .934 r
.59509 .44379 .5983 .44873 .60462 .44826 .60142 .44331 Metetra
.534 .683 .934 r
.60142 .44331 .60462 .44826 .61097 .44779 .60777 .44283 Metetra
.533 .683 .934 r
.60777 .44283 .61097 .44779 .61734 .44732 .61415 .44236 Metetra
.534 .683 .934 r
.61415 .44236 .61734 .44732 .62373 .44685 .62055 .44188 Metetra
.535 .683 .934 r
.62055 .44188 .62373 .44685 .63014 .44637 .62696 .44138 Metetra
.536 .684 .934 r
.62696 .44138 .63014 .44637 .63657 .44586 .6334 .44086 Metetra
.538 .685 .934 r
.6334 .44086 .63657 .44586 .64302 .44532 .63986 .44032 Metetra
.54 .686 .933 r
.63986 .44032 .64302 .44532 .64949 .44475 .64634 .43974 Metetra
.543 .687 .933 r
.64634 .43974 .64949 .44475 .65599 .44414 .65284 .43912 Metetra
.546 .689 .932 r
.65284 .43912 .65599 .44414 .6625 .44348 .65937 .43845 Metetra
.55 .69 .932 r
.65937 .43845 .6625 .44348 .66903 .44276 .66591 .43772 Metetra
.554 .692 .931 r
.66591 .43772 .66903 .44276 .67558 .44198 .67247 .43693 Metetra
.559 .694 .931 r
.67247 .43693 .67558 .44198 .68215 .44113 .67904 .43607 Metetra
.563 .696 .93 r
.67904 .43607 .68215 .44113 .68874 .4402 .68564 .43513 Metetra
.569 .699 .929 r
.68564 .43513 .68874 .4402 .69534 .43919 .69225 .43411 Metetra
.574 .701 .928 r
.69225 .43411 .69534 .43919 .70196 .43809 .69888 .43299 Metetra
.58 .704 .927 r
.69888 .43299 .70196 .43809 .7086 .43689 .70553 .43178 Metetra
.586 .707 .926 r
.70553 .43178 .7086 .43689 .71526 .43558 .71219 .43046 Metetra
.593 .71 .925 r
.71219 .43046 .71526 .43558 .72192 .43416 .71887 .42903 Metetra
.6 .713 .924 r
.71887 .42903 .72192 .43416 .7286 .43262 .72556 .42748 Metetra
.607 .716 .922 r
.72556 .42748 .7286 .43262 .7353 .43096 .73227 .42581 Metetra
.614 .719 .92 r
.73227 .42581 .7353 .43096 .74201 .42916 .73898 .424 Metetra
.621 .722 .919 r
.73898 .424 .74201 .42916 .74872 .42722 .74571 .42206 Metetra
.629 .725 .917 r
.74571 .42206 .74872 .42722 .75545 .42514 .75245 .41996 Metetra
.636 .729 .915 r
.75245 .41996 .75545 .42514 .76219 .42291 .7592 .41772 Metetra
.644 .732 .913 r
.7592 .41772 .76219 .42291 .76893 .42052 .76595 .41531 Metetra
.652 .735 .91 r
.76595 .41531 .76893 .42052 .77568 .41796 .77271 .41275 Metetra
.66 .738 .908 r
.77271 .41275 .77568 .41796 .78244 .41523 .77948 .41001 Metetra
.668 .742 .906 r
.77948 .41001 .78244 .41523 .7892 .41233 .78625 .40709 Metetra
.676 .745 .903 r
.78625 .40709 .7892 .41233 .79597 .40924 .79303 .40399 Metetra
.684 .748 .9 r
.79303 .40399 .79597 .40924 .80273 .40597 .7998 .40071 Metetra
.692 .751 .897 r
.7998 .40071 .80273 .40597 .8095 .4025 .80658 .39722 Metetra
.7 .754 .894 r
.80658 .39722 .8095 .4025 .81626 .39883 .81336 .39355 Metetra
.708 .757 .891 r
.81336 .39355 .81626 .39883 .82303 .39496 .82013 .38966 Metetra
.716 .76 .887 r
.82013 .38966 .82303 .39496 .82978 .39088 .82691 .38557 Metetra
.724 .763 .884 r
.82691 .38557 .82978 .39088 .83654 .38659 .83367 .38126 Metetra
.732 .766 .88 r
.83367 .38126 .83654 .38659 .84329 .38208 .84043 .37674 Metetra
.74 .769 .877 r
.84043 .37674 .84329 .38208 .85003 .37734 .84718 .37199 Metetra
.747 .771 .873 r
.84718 .37199 .85003 .37734 .85675 .37238 .85392 .36701 Metetra
.856 .758 .753 r
.23002 .70081 .23385 .70498 .24011 .69405 .2363 .68986 Metetra
.854 .758 .757 r
.2363 .68986 .24011 .69405 .24634 .68342 .24255 .67922 Metetra
.852 .759 .76 r
.24255 .67922 .24634 .68342 .25254 .67309 .24877 .66887 Metetra
.849 .76 .764 r
.24877 .66887 .25254 .67309 .25872 .66305 .25496 .65881 Metetra
.846 .76 .768 r
.25496 .65881 .25872 .66305 .26486 .6533 .26112 .64904 Metetra
.843 .761 .771 r
.26112 .64904 .26486 .6533 .27098 .64383 .26725 .63956 Metetra
.841 .761 .775 r
.26725 .63956 .27098 .64383 .27708 .63465 .27336 .63036 Metetra
.837 .762 .779 r
.27336 .63036 .27708 .63465 .28315 .62574 .27945 .62144 Metetra
.834 .762 .783 r
.27945 .62144 .28315 .62574 .2892 .61711 .28552 .6128 Metetra
.831 .763 .787 r
.28552 .6128 .2892 .61711 .29523 .60876 .29156 .60442 Metetra
.827 .763 .791 r
.29156 .60442 .29523 .60876 .30125 .60067 .29758 .59632 Metetra
.823 .763 .796 r
.29758 .59632 .30125 .60067 .30724 .59284 .30359 .58848 Metetra
.819 .764 .8 r
.30359 .58848 .30724 .59284 .31322 .58527 .30958 .5809 Metetra
.815 .764 .804 r
.30958 .5809 .31322 .58527 .31918 .57797 .31556 .57358 Metetra
.811 .764 .809 r
.31556 .57358 .31918 .57797 .32513 .57091 .32152 .56651 Metetra
.806 .764 .813 r
.32152 .56651 .32513 .57091 .33106 .56411 .32746 .55969 Metetra
.802 .764 .818 r
.32746 .55969 .33106 .56411 .33699 .55755 .3334 .55312 Metetra
.797 .764 .823 r
.3334 .55312 .33699 .55755 .3429 .55123 .33932 .54679 Metetra
.792 .763 .827 r
.33932 .54679 .3429 .55123 .3488 .54515 .34524 .54069 Metetra
.786 .763 .832 r
.34524 .54069 .3488 .54515 .3547 .5393 .35114 .53484 Metetra
.781 .763 .836 r
.35114 .53484 .3547 .5393 .36058 .53369 .35704 .52921 Metetra
.775 .762 .841 r
.35704 .52921 .36058 .53369 .36647 .5283 .36293 .52381 Metetra
.769 .761 .846 r
.36293 .52381 .36647 .5283 .37234 .52313 .36882 .51863 Metetra
.763 .76 .85 r
.36882 .51863 .37234 .52313 .37822 .51818 .3747 .51366 Metetra
.757 .76 .855 r
.3747 .51366 .37822 .51818 .38409 .51344 .38059 .50891 Metetra
.75 .758 .86 r
.38059 .50891 .38409 .51344 .38996 .50891 .38646 .50437 Metetra
.743 .757 .864 r
.38646 .50437 .38996 .50891 .39583 .50459 .39234 .50004 Metetra
.736 .756 .868 r
.39234 .50004 .39583 .50459 .4017 .50046 .39822 .4959 Metetra
.729 .755 .873 r
.39822 .4959 .4017 .50046 .40757 .49653 .40411 .49196 Metetra
.722 .753 .877 r
.40411 .49196 .40757 .49653 .41345 .49279 .40999 .48821 Metetra
.714 .751 .881 r
.40999 .48821 .41345 .49279 .41933 .48924 .41588 .48465 Metetra
.707 .749 .885 r
.41588 .48465 .41933 .48924 .42521 .48587 .42177 .48126 Metetra
.699 .747 .889 r
.42177 .48126 .42521 .48587 .4311 .48267 .42767 .47806 Metetra
.691 .745 .893 r
.42767 .47806 .4311 .48267 .43699 .47965 .43357 .47503 Metetra
.683 .743 .897 r
.43357 .47503 .43699 .47965 .4429 .4768 .43948 .47216 Metetra
.675 .741 .9 r
.43948 .47216 .4429 .4768 .44881 .4741 .4454 .46946 Metetra
.667 .738 .903 r
.4454 .46946 .44881 .4741 .45473 .47157 .45133 .46691 Metetra
.659 .736 .907 r
.45133 .46691 .45473 .47157 .46066 .46918 .45727 .46452 Metetra
.651 .733 .91 r
.45727 .46452 .46066 .46918 .4666 .46694 .46322 .46227 Metetra
.643 .73 .912 r
.46322 .46227 .4666 .46694 .47256 .46485 .46918 .46016 Metetra
.635 .728 .915 r
.46918 .46016 .47256 .46485 .47852 .46288 .47516 .45819 Metetra
.627 .725 .918 r
.47516 .45819 .47852 .46288 .4845 .46105 .48115 .45635 Metetra
.619 .722 .92 r
.48115 .45635 .4845 .46105 .4905 .45935 .48715 .45463 Metetra
.612 .719 .922 r
.48715 .45463 .4905 .45935 .49651 .45776 .49316 .45304 Metetra
.604 .717 .924 r
.49316 .45304 .49651 .45776 .50253 .45629 .49919 .45156 Metetra
.597 .714 .926 r
.49919 .45156 .50253 .45629 .50857 .45493 .50524 .45018 Metetra
.59 .711 .927 r
.50524 .45018 .50857 .45493 .51463 .45366 .51131 .44891 Metetra
.583 .708 .929 r
.51131 .44891 .51463 .45366 .5207 .4525 .51739 .44774 Metetra
.577 .706 .93 r
.51739 .44774 .5207 .4525 .52679 .45142 .52349 .44665 Metetra
.571 .703 .931 r
.52349 .44665 .52679 .45142 .5329 .45043 .5296 .44565 Metetra
.565 .701 .932 r
.5296 .44565 .5329 .45043 .53903 .44952 .53574 .44473 Metetra
.56 .699 .933 r
.53574 .44473 .53903 .44952 .54518 .44868 .54189 .44388 Metetra
.555 .697 .934 r
.54189 .44388 .54518 .44868 .55135 .4479 .54807 .4431 Metetra
.55 .695 .935 r
.54807 .4431 .55135 .4479 .55753 .44719 .55426 .44237 Metetra
.546 .693 .935 r
.55426 .44237 .55753 .44719 .56374 .44653 .56048 .4417 Metetra
.543 .691 .936 r
.56048 .4417 .56374 .44653 .56997 .44591 .56671 .44108 Metetra
.54 .69 .936 r
.56671 .44108 .56997 .44591 .57622 .44534 .57297 .44049 Metetra
.537 .689 .937 r
.57297 .44049 .57622 .44534 .58248 .4448 .57925 .43994 Metetra
.535 .688 .937 r
.57925 .43994 .58248 .4448 .58878 .44428 .58554 .43942 Metetra
.533 .687 .937 r
.58554 .43942 .58878 .44428 .59509 .44379 .59186 .43892 Metetra
.532 .686 .937 r
.59186 .43892 .59509 .44379 .60142 .44331 .5982 .43843 Metetra
.532 .686 .937 r
.5982 .43843 .60142 .44331 .60777 .44283 .60457 .43794 Metetra
.531 .686 .937 r
.60457 .43794 .60777 .44283 .61415 .44236 .61095 .43746 Metetra
.532 .686 .937 r
.61095 .43746 .61415 .44236 .62055 .44188 .61735 .43697 Metetra
.533 .687 .937 r
.61735 .43697 .62055 .44188 .62696 .44138 .62378 .43646 Metetra
.534 .687 .937 r
.62378 .43646 .62696 .44138 .6334 .44086 .63023 .43594 Metetra
.536 .688 .937 r
.63023 .43594 .6334 .44086 .63986 .44032 .6367 .43538 Metetra
.538 .689 .937 r
.6367 .43538 .63986 .44032 .64634 .43974 .64318 .43479 Metetra
.541 .691 .936 r
.64318 .43479 .64634 .43974 .65284 .43912 .64969 .43416 Metetra
.545 .692 .936 r
.64969 .43416 .65284 .43912 .65937 .43845 .65622 .43348 Metetra
.548 .694 .935 r
.65622 .43348 .65937 .43845 .66591 .43772 .66277 .43275 Metetra
.552 .696 .935 r
.66277 .43275 .66591 .43772 .67247 .43693 .66934 .43195 Metetra
.557 .698 .934 r
.66934 .43195 .67247 .43693 .67904 .43607 .67593 .43108 Metetra
.562 .7 .933 r
.67593 .43108 .67904 .43607 .68564 .43513 .68253 .43013 Metetra
.567 .703 .933 r
.68253 .43013 .68564 .43513 .69225 .43411 .68915 .4291 Metetra
.573 .705 .932 r
.68915 .4291 .69225 .43411 .69888 .43299 .69579 .42797 Metetra
.579 .708 .931 r
.69579 .42797 .69888 .43299 .70553 .43178 .70245 .42675 Metetra
.585 .711 .93 r
.70245 .42675 .70553 .43178 .71219 .43046 .70912 .42542 Metetra
.592 .714 .928 r
.70912 .42542 .71219 .43046 .71887 .42903 .71581 .42398 Metetra
.599 .717 .927 r
.71581 .42398 .71887 .42903 .72556 .42748 .72251 .42242 Metetra
.606 .72 .925 r
.72251 .42242 .72556 .42748 .73227 .42581 .72923 .42073 Metetra
.613 .723 .924 r
.72923 .42073 .73227 .42581 .73898 .424 .73595 .41891 Metetra
.62 .726 .922 r
.73595 .41891 .73898 .424 .74571 .42206 .74269 .41696 Metetra
.628 .729 .92 r
.74269 .41696 .74571 .42206 .75245 .41996 .74944 .41485 Metetra
.636 .733 .918 r
.74944 .41485 .75245 .41996 .7592 .41772 .7562 .4126 Metetra
.644 .736 .916 r
.7562 .4126 .7592 .41772 .76595 .41531 .76296 .41018 Metetra
.652 .739 .914 r
.76296 .41018 .76595 .41531 .77271 .41275 .76973 .4076 Metetra
.66 .743 .911 r
.76973 .4076 .77271 .41275 .77948 .41001 .77651 .40485 Metetra
.668 .746 .909 r
.77651 .40485 .77948 .41001 .78625 .40709 .7833 .40192 Metetra
.676 .749 .906 r
.7833 .40192 .78625 .40709 .79303 .40399 .79008 .39881 Metetra
.684 .752 .903 r
.79008 .39881 .79303 .40399 .7998 .40071 .79687 .39551 Metetra
.692 .756 .9 r
.79687 .39551 .7998 .40071 .80658 .39722 .80366 .39202 Metetra
.701 .759 .897 r
.80366 .39202 .80658 .39722 .81336 .39355 .81045 .38833 Metetra
.709 .762 .894 r
.81045 .38833 .81336 .39355 .82013 .38966 .81724 .38443 Metetra
.717 .765 .89 r
.81724 .38443 .82013 .38966 .82691 .38557 .82402 .38032 Metetra
.725 .768 .887 r
.82402 .38032 .82691 .38557 .83367 .38126 .8308 .376 Metetra
.733 .77 .883 r
.8308 .376 .83367 .38126 .84043 .37674 .83757 .37146 Metetra
.741 .773 .879 r
.83757 .37146 .84043 .37674 .84718 .37199 .84434 .3667 Metetra
.748 .776 .875 r
.84434 .3667 .84718 .37199 .85392 .36701 .85109 .36171 Metetra
.858 .76 .754 r
.22618 .69671 .23002 .70081 .2363 .68986 .23247 .68575 Metetra
.855 .761 .758 r
.23247 .68575 .2363 .68986 .24255 .67922 .23874 .67509 Metetra
.853 .762 .761 r
.23874 .67509 .24255 .67922 .24877 .66887 .24497 .66472 Metetra
.85 .762 .765 r
.24497 .66472 .24877 .66887 .25496 .65881 .25117 .65465 Metetra
.848 .763 .769 r
.25117 .65465 .25496 .65881 .26112 .64904 .25735 .64486 Metetra
.845 .764 .772 r
.25735 .64486 .26112 .64904 .26725 .63956 .2635 .63536 Metetra
.842 .764 .776 r
.2635 .63536 .26725 .63956 .27336 .63036 .26963 .62615 Metetra
.839 .765 .78 r
.26963 .62615 .27336 .63036 .27945 .62144 .27573 .61721 Metetra
.836 .765 .784 r
.27573 .61721 .27945 .62144 .28552 .6128 .28181 .60855 Metetra
.832 .766 .789 r
.28181 .60855 .28552 .6128 .29156 .60442 .28786 .60016 Metetra
.829 .766 .793 r
.28786 .60016 .29156 .60442 .29758 .59632 .2939 .59204 Metetra
.825 .766 .797 r
.2939 .59204 .29758 .59632 .30359 .58848 .29992 .58419 Metetra
.821 .767 .802 r
.29992 .58419 .30359 .58848 .30958 .5809 .30593 .57659 Metetra
.817 .767 .806 r
.30593 .57659 .30958 .5809 .31556 .57358 .31191 .56926 Metetra
.812 .767 .811 r
.31191 .56926 .31556 .57358 .32152 .56651 .31788 .56218 Metetra
.808 .767 .815 r
.31788 .56218 .32152 .56651 .32746 .55969 .32384 .55534 Metetra
.803 .767 .82 r
.32384 .55534 .32746 .55969 .3334 .55312 .32979 .54876 Metetra
.798 .767 .824 r
.32979 .54876 .3334 .55312 .33932 .54679 .33572 .54242 Metetra
.793 .767 .829 r
.33572 .54242 .33932 .54679 .34524 .54069 .34165 .53631 Metetra
.788 .766 .834 r
.34165 .53631 .34524 .54069 .35114 .53484 .34757 .53044 Metetra
.782 .766 .838 r
.34757 .53044 .35114 .53484 .35704 .52921 .35348 .5248 Metetra
.776 .766 .843 r
.35348 .5248 .35704 .52921 .36293 .52381 .35938 .51938 Metetra
.77 .765 .848 r
.35938 .51938 .36293 .52381 .36882 .51863 .36528 .51419 Metetra
.764 .764 .853 r
.36528 .51419 .36882 .51863 .3747 .51366 .37117 .50922 Metetra
.758 .763 .857 r
.37117 .50922 .3747 .51366 .38059 .50891 .37706 .50446 Metetra
.751 .762 .862 r
.37706 .50446 .38059 .50891 .38646 .50437 .38295 .4999 Metetra
.744 .761 .866 r
.38295 .4999 .38646 .50437 .39234 .50004 .38884 .49556 Metetra
.737 .76 .871 r
.38884 .49556 .39234 .50004 .39822 .4959 .39473 .49141 Metetra
.73 .758 .875 r
.39473 .49141 .39822 .4959 .40411 .49196 .40062 .48746 Metetra
.723 .757 .88 r
.40062 .48746 .40411 .49196 .40999 .48821 .40652 .4837 Metetra
.715 .755 .884 r
.40652 .4837 .40999 .48821 .41588 .48465 .41241 .48012 Metetra
.707 .753 .888 r
.41241 .48012 .41588 .48465 .42177 .48126 .41831 .47673 Metetra
.699 .751 .892 r
.41831 .47673 .42177 .48126 .42767 .47806 .42422 .47351 Metetra
.692 .749 .896 r
.42422 .47351 .42767 .47806 .43357 .47503 .43013 .47047 Metetra
.683 .747 .9 r
.43013 .47047 .43357 .47503 .43948 .47216 .43605 .46759 Metetra
.675 .745 .903 r
.43605 .46759 .43948 .47216 .4454 .46946 .44198 .46488 Metetra
.667 .742 .906 r
.44198 .46488 .4454 .46946 .45133 .46691 .44792 .46232 Metetra
.659 .74 .91 r
.44792 .46232 .45133 .46691 .45727 .46452 .45387 .45992 Metetra
.651 .737 .913 r
.45387 .45992 .45727 .46452 .46322 .46227 .45982 .45766 Metetra
.643 .735 .916 r
.45982 .45766 .46322 .46227 .46918 .46016 .46579 .45554 Metetra
.634 .732 .918 r
.46579 .45554 .46918 .46016 .47516 .45819 .47178 .45356 Metetra
.626 .729 .921 r
.47178 .45356 .47516 .45819 .48115 .45635 .47777 .45171 Metetra
.619 .726 .923 r
.47777 .45171 .48115 .45635 .48715 .45463 .48378 .44999 Metetra
.611 .723 .925 r
.48378 .44999 .48715 .45463 .49316 .45304 .48981 .44838 Metetra
.603 .721 .927 r
.48981 .44838 .49316 .45304 .49919 .45156 .49584 .44689 Metetra
.596 .718 .929 r
.49584 .44689 .49919 .45156 .50524 .45018 .5019 .44551 Metetra
.589 .715 .931 r
.5019 .44551 .50524 .45018 .51131 .44891 .50797 .44423 Metetra
.582 .712 .932 r
.50797 .44423 .51131 .44891 .51739 .44774 .51406 .44305 Metetra
.576 .71 .934 r
.51406 .44305 .51739 .44774 .52349 .44665 .52017 .44195 Metetra
.569 .707 .935 r
.52017 .44195 .52349 .44665 .5296 .44565 .52629 .44094 Metetra
.564 .705 .936 r
.52629 .44094 .5296 .44565 .53574 .44473 .53244 .44001 Metetra
.558 .702 .937 r
.53244 .44001 .53574 .44473 .54189 .44388 .5386 .43915 Metetra
.553 .7 .938 r
.5386 .43915 .54189 .44388 .54807 .4431 .54478 .43836 Metetra
.549 .698 .938 r
.54478 .43836 .54807 .4431 .55426 .44237 .55098 .43763 Metetra
.545 .696 .939 r
.55098 .43763 .55426 .44237 .56048 .4417 .5572 .43695 Metetra
.541 .695 .939 r
.5572 .43695 .56048 .4417 .56671 .44108 .56345 .43631 Metetra
.538 .693 .94 r
.56345 .43631 .56671 .44108 .57297 .44049 .56971 .43572 Metetra
.535 .692 .94 r
.56971 .43572 .57297 .44049 .57925 .43994 .576 .43516 Metetra
.533 .691 .94 r
.576 .43516 .57925 .43994 .58554 .43942 .5823 .43463 Metetra
.531 .69 .941 r
.5823 .43463 .58554 .43942 .59186 .43892 .58863 .43411 Metetra
.53 .69 .941 r
.58863 .43411 .59186 .43892 .5982 .43843 .59498 .43362 Metetra
.53 .69 .941 r
.59498 .43362 .5982 .43843 .60457 .43794 .60135 .43312 Metetra
.529 .69 .941 r
.60135 .43312 .60457 .43794 .61095 .43746 .60774 .43263 Metetra
.53 .69 .941 r
.60774 .43263 .61095 .43746 .61735 .43697 .61415 .43213 Metetra
.531 .69 .941 r
.61415 .43213 .61735 .43697 .62378 .43646 .62059 .43162 Metetra
.532 .691 .941 r
.62059 .43162 .62378 .43646 .63023 .43594 .62704 .43108 Metetra
.534 .692 .94 r
.62704 .43108 .63023 .43594 .6367 .43538 .63352 .43052 Metetra
.537 .693 .94 r
.63352 .43052 .6367 .43538 .64318 .43479 .64001 .42992 Metetra
.539 .694 .94 r
.64001 .42992 .64318 .43479 .64969 .43416 .64653 .42928 Metetra
.543 .696 .939 r
.64653 .42928 .64969 .43416 .65622 .43348 .65307 .42859 Metetra
.547 .698 .939 r
.65307 .42859 .65622 .43348 .66277 .43275 .65963 .42784 Metetra
.551 .7 .938 r
.65963 .42784 .66277 .43275 .66934 .43195 .6662 .42703 Metetra
.555 .702 .938 r
.6662 .42703 .66934 .43195 .67593 .43108 .6728 .42615 Metetra
.56 .704 .937 r
.6728 .42615 .67593 .43108 .68253 .43013 .67941 .4252 Metetra
.566 .706 .936 r
.67941 .4252 .68253 .43013 .68915 .4291 .68605 .42415 Metetra
.572 .709 .935 r
.68605 .42415 .68915 .4291 .69579 .42797 .6927 .42302 Metetra
.578 .712 .934 r
.6927 .42302 .69579 .42797 .70245 .42675 .69936 .42179 Metetra
.584 .715 .933 r
.69936 .42179 .70245 .42675 .70912 .42542 .70604 .42045 Metetra
.591 .718 .932 r
.70604 .42045 .70912 .42542 .71581 .42398 .71274 .419 Metetra
.598 .721 .93 r
.71274 .419 .71581 .42398 .72251 .42242 .71945 .41743 Metetra
.605 .724 .929 r
.71945 .41743 .72251 .42242 .72923 .42073 .72618 .41573 Metetra
.612 .727 .927 r
.72618 .41573 .72923 .42073 .73595 .41891 .73291 .4139 Metetra
.62 .73 .925 r
.73291 .4139 .73595 .41891 .74269 .41696 .73966 .41193 Metetra
.628 .734 .924 r
.73966 .41193 .74269 .41696 .74944 .41485 .74642 .40981 Metetra
.635 .737 .921 r
.74642 .40981 .74944 .41485 .7562 .4126 .75319 .40755 Metetra
.644 .74 .919 r
.75319 .40755 .7562 .4126 .76296 .41018 .75997 .40512 Metetra
.652 .744 .917 r
.75997 .40512 .76296 .41018 .76973 .4076 .76675 .40253 Metetra
.66 .747 .914 r
.76675 .40253 .76973 .4076 .77651 .40485 .77354 .39976 Metetra
.668 .75 .912 r
.77354 .39976 .77651 .40485 .7833 .40192 .78033 .39682 Metetra
.676 .753 .909 r
.78033 .39682 .7833 .40192 .79008 .39881 .78713 .3937 Metetra
.685 .757 .906 r
.78713 .3937 .79008 .39881 .79687 .39551 .79393 .39039 Metetra
.693 .76 .903 r
.79393 .39039 .79687 .39551 .80366 .39202 .80073 .38688 Metetra
.701 .763 .9 r
.80073 .38688 .80366 .39202 .81045 .38833 .80754 .38318 Metetra
.709 .766 .897 r
.80754 .38318 .81045 .38833 .81724 .38443 .81433 .37927 Metetra
.717 .769 .893 r
.81433 .37927 .81724 .38443 .82402 .38032 .82113 .37515 Metetra
.726 .772 .89 r
.82113 .37515 .82402 .38032 .8308 .376 .82792 .37081 Metetra
.734 .775 .886 r
.82792 .37081 .8308 .376 .83757 .37146 .83471 .36626 Metetra
.742 .777 .882 r
.83471 .36626 .83757 .37146 .84434 .3667 .84148 .36149 Metetra
.749 .78 .878 r
.84148 .36149 .84434 .3667 .85109 .36171 .84825 .35648 Metetra
.859 .763 .755 r
.22231 .69269 .22618 .69671 .23247 .68575 .22862 .68171 Metetra
.857 .763 .758 r
.22862 .68171 .23247 .68575 .23874 .67509 .2349 .67103 Metetra
.854 .764 .762 r
.2349 .67103 .23874 .67509 .24497 .66472 .24115 .66065 Metetra
.852 .765 .766 r
.24115 .66065 .24497 .66472 .25117 .65465 .24737 .65055 Metetra
.849 .766 .77 r
.24737 .65055 .25117 .65465 .25735 .64486 .25356 .64075 Metetra
.846 .766 .773 r
.25356 .64075 .25735 .64486 .2635 .63536 .25973 .63124 Metetra
.843 .767 .777 r
.25973 .63124 .2635 .63536 .26963 .62615 .26587 .62201 Metetra
.84 .767 .781 r
.26587 .62201 .26963 .62615 .27573 .61721 .27198 .61305 Metetra
.837 .768 .786 r
.27198 .61305 .27573 .61721 .28181 .60855 .27808 .60438 Metetra
.834 .769 .79 r
.27808 .60438 .28181 .60855 .28786 .60016 .28415 .59597 Metetra
.83 .769 .794 r
.28415 .59597 .28786 .60016 .2939 .59204 .2902 .58784 Metetra
.826 .769 .799 r
.2902 .58784 .2939 .59204 .29992 .58419 .29623 .57997 Metetra
.822 .77 .803 r
.29623 .57997 .29992 .58419 .30593 .57659 .30225 .57236 Metetra
.818 .77 .808 r
.30225 .57236 .30593 .57659 .31191 .56926 .30825 .56501 Metetra
.814 .77 .812 r
.30825 .56501 .31191 .56926 .31788 .56218 .31423 .55792 Metetra
.809 .77 .817 r
.31423 .55792 .31788 .56218 .32384 .55534 .3202 .55107 Metetra
.805 .77 .821 r
.3202 .55107 .32384 .55534 .32979 .54876 .32616 .54447 Metetra
.8 .77 .826 r
.32616 .54447 .32979 .54876 .33572 .54242 .33211 .53811 Metetra
.795 .77 .831 r
.33211 .53811 .33572 .54242 .34165 .53631 .33805 .532 Metetra
.789 .77 .836 r
.33805 .532 .34165 .53631 .34757 .53044 .34398 .52611 Metetra
.784 .77 .84 r
.34398 .52611 .34757 .53044 .35348 .5248 .3499 .52046 Metetra
.778 .769 .845 r
.3499 .52046 .35348 .5248 .35938 .51938 .35581 .51503 Metetra
.772 .769 .85 r
.35581 .51503 .35938 .51938 .36528 .51419 .36172 .50983 Metetra
.765 .768 .855 r
.36172 .50983 .36528 .51419 .37117 .50922 .36762 .50484 Metetra
.759 .767 .86 r
.36762 .50484 .37117 .50922 .37706 .50446 .37352 .50007 Metetra
.752 .766 .864 r
.37352 .50007 .37706 .50446 .38295 .4999 .37942 .4955 Metetra
.745 .765 .869 r
.37942 .4955 .38295 .4999 .38884 .49556 .38532 .49114 Metetra
.738 .764 .873 r
.38532 .49114 .38884 .49556 .39473 .49141 .39122 .48699 Metetra
.731 .762 .878 r
.39122 .48699 .39473 .49141 .40062 .48746 .39712 .48302 Metetra
.723 .761 .882 r
.39712 .48302 .40062 .48746 .40652 .4837 .40302 .47925 Metetra
.716 .759 .887 r
.40302 .47925 .40652 .4837 .41241 .48012 .40893 .47567 Metetra
.708 .757 .891 r
.40893 .47567 .41241 .48012 .41831 .47673 .41484 .47226 Metetra
.7 .756 .895 r
.41484 .47226 .41831 .47673 .42422 .47351 .42076 .46904 Metetra
.692 .753 .899 r
.42076 .46904 .42422 .47351 .43013 .47047 .42668 .46598 Metetra
.684 .751 .903 r
.42668 .46598 .43013 .47047 .43605 .46759 .43261 .4631 Metetra
.676 .749 .906 r
.43261 .4631 .43605 .46759 .44198 .46488 .43854 .46037 Metetra
.667 .747 .91 r
.43854 .46037 .44198 .46488 .44792 .46232 .44449 .45781 Metetra
.659 .744 .913 r
.44449 .45781 .44792 .46232 .45387 .45992 .45045 .45539 Metetra
.651 .741 .916 r
.45045 .45539 .45387 .45992 .45982 .45766 .45641 .45312 Metetra
.642 .739 .919 r
.45641 .45312 .45982 .45766 .46579 .45554 .46239 .451 Metetra
.634 .736 .922 r
.46239 .451 .46579 .45554 .47178 .45356 .46838 .44901 Metetra
.626 .733 .924 r
.46838 .44901 .47178 .45356 .47777 .45171 .47438 .44715 Metetra
.618 .73 .926 r
.47438 .44715 .47777 .45171 .48378 .44999 .4804 .44541 Metetra
.61 .727 .929 r
.4804 .44541 .48378 .44999 .48981 .44838 .48643 .4438 Metetra
.602 .724 .931 r
.48643 .4438 .48981 .44838 .49584 .44689 .49248 .4423 Metetra
.595 .722 .932 r
.49248 .4423 .49584 .44689 .5019 .44551 .49854 .44091 Metetra
.588 .719 .934 r
.49854 .44091 .5019 .44551 .50797 .44423 .50462 .43962 Metetra
.581 .716 .936 r
.50462 .43962 .50797 .44423 .51406 .44305 .51072 .43842 Metetra
.574 .713 .937 r
.51072 .43842 .51406 .44305 .52017 .44195 .51683 .43732 Metetra
.568 .711 .938 r
.51683 .43732 .52017 .44195 .52629 .44094 .52297 .4363 Metetra
.562 .708 .939 r
.52297 .4363 .52629 .44094 .53244 .44001 .52912 .43536 Metetra
.557 .706 .94 r
.52912 .43536 .53244 .44001 .5386 .43915 .53529 .43449 Metetra
.552 .704 .941 r
.53529 .43449 .5386 .43915 .54478 .43836 .54148 .43369 Metetra
.547 .702 .942 r
.54148 .43369 .54478 .43836 .55098 .43763 .54769 .43295 Metetra
.543 .7 .942 r
.54769 .43295 .55098 .43763 .5572 .43695 .55392 .43226 Metetra
.539 .698 .943 r
.55392 .43226 .5572 .43695 .56345 .43631 .56017 .43162 Metetra
.536 .697 .943 r
.56017 .43162 .56345 .43631 .56971 .43572 .56644 .43102 Metetra
.533 .696 .943 r
.56644 .43102 .56971 .43572 .576 .43516 .57273 .43045 Metetra
.531 .695 .944 r
.57273 .43045 .576 .43516 .5823 .43463 .57905 .42991 Metetra
.529 .694 .944 r
.57905 .42991 .5823 .43463 .58863 .43411 .58538 .42938 Metetra
.528 .694 .944 r
.58538 .42938 .58863 .43411 .59498 .43362 .59174 .42888 Metetra
.527 .693 .944 r
.59174 .42888 .59498 .43362 .60135 .43312 .59812 .42837 Metetra
.527 .693 .944 r
.59812 .42837 .60135 .43312 .60774 .43263 .60452 .42787 Metetra
.528 .693 .944 r
.60452 .42787 .60774 .43263 .61415 .43213 .61094 .42736 Metetra
.529 .694 .944 r
.61094 .42736 .61415 .43213 .62059 .43162 .61738 .42684 Metetra
.53 .694 .944 r
.61738 .42684 .62059 .43162 .62704 .43108 .62384 .4263 Metetra
.532 .695 .944 r
.62384 .4263 .62704 .43108 .63352 .43052 .63033 .42572 Metetra
.534 .697 .943 r
.63033 .42572 .63352 .43052 .64001 .42992 .63683 .42512 Metetra
.537 .698 .943 r
.63683 .42512 .64001 .42992 .64653 .42928 .64336 .42447 Metetra
.541 .699 .943 r
.64336 .42447 .64653 .42928 .65307 .42859 .64991 .42377 Metetra
.545 .701 .942 r
.64991 .42377 .65307 .42859 .65963 .42784 .65647 .42301 Metetra
.549 .703 .942 r
.65647 .42301 .65963 .42784 .6662 .42703 .66306 .42219 Metetra
.554 .705 .941 r
.66306 .42219 .6662 .42703 .6728 .42615 .66966 .4213 Metetra
.559 .708 .94 r
.66966 .4213 .6728 .42615 .67941 .4252 .67629 .42033 Metetra
.564 .71 .939 r
.67629 .42033 .67941 .4252 .68605 .42415 .68293 .41928 Metetra
.57 .713 .938 r
.68293 .41928 .68605 .42415 .6927 .42302 .68959 .41814 Metetra
.576 .716 .937 r
.68959 .41814 .6927 .42302 .69936 .42179 .69626 .41689 Metetra
.583 .719 .936 r
.69626 .41689 .69936 .42179 .70604 .42045 .70296 .41554 Metetra
.59 .722 .935 r
.70296 .41554 .70604 .42045 .71274 .419 .70966 .41408 Metetra
.597 .725 .934 r
.70966 .41408 .71274 .419 .71945 .41743 .71638 .4125 Metetra
.604 .728 .932 r
.71638 .4125 .71945 .41743 .72618 .41573 .72312 .41079 Metetra
.612 .731 .931 r
.72312 .41079 .72618 .41573 .73291 .4139 .72987 .40895 Metetra
.619 .734 .929 r
.72987 .40895 .73291 .4139 .73966 .41193 .73662 .40697 Metetra
.627 .738 .927 r
.73662 .40697 .73966 .41193 .74642 .40981 .74339 .40485 Metetra
.635 .741 .925 r
.74339 .40485 .74642 .40981 .75319 .40755 .75017 .40257 Metetra
.643 .744 .923 r
.75017 .40257 .75319 .40755 .75997 .40512 .75696 .40013 Metetra
.651 .748 .92 r
.75696 .40013 .75997 .40512 .76675 .40253 .76376 .39753 Metetra
.66 .751 .918 r
.76376 .39753 .76675 .40253 .77354 .39976 .77056 .39475 Metetra
.668 .754 .915 r
.77056 .39475 .77354 .39976 .78033 .39682 .77736 .3918 Metetra
.676 .758 .912 r
.77736 .3918 .78033 .39682 .78713 .3937 .78417 .38866 Metetra
.685 .761 .909 r
.78417 .38866 .78713 .3937 .79393 .39039 .79099 .38534 Metetra
.693 .764 .906 r
.79099 .38534 .79393 .39039 .80073 .38688 .7978 .38182 Metetra
.702 .767 .903 r
.7978 .38182 .80073 .38688 .80754 .38318 .80461 .3781 Metetra
.71 .77 .9 r
.80461 .3781 .80754 .38318 .81433 .37927 .81143 .37418 Metetra
.718 .773 .896 r
.81143 .37418 .81433 .37927 .82113 .37515 .81823 .37004 Metetra
.726 .776 .892 r
.81823 .37004 .82113 .37515 .82792 .37081 .82504 .3657 Metetra
.734 .779 .889 r
.82504 .3657 .82792 .37081 .83471 .36626 .83184 .36113 Metetra
.742 .782 .885 r
.83184 .36113 .83471 .36626 .84148 .36149 .83863 .35634 Metetra
.75 .784 .881 r
.83863 .35634 .84148 .36149 .84825 .35648 .84541 .35132 Metetra
.861 .765 .756 r
.21842 .68875 .22231 .69269 .22862 .68171 .22475 .67775 Metetra
.858 .766 .759 r
.22475 .67775 .22862 .68171 .2349 .67103 .23105 .66705 Metetra
.856 .767 .763 r
.23105 .66705 .2349 .67103 .24115 .66065 .23731 .65665 Metetra
.853 .768 .767 r
.23731 .65665 .24115 .66065 .24737 .65055 .24355 .64654 Metetra
.851 .768 .771 r
.24355 .64654 .24737 .65055 .25356 .64075 .24976 .63672 Metetra
.848 .769 .774 r
.24976 .63672 .25356 .64075 .25973 .63124 .25594 .62719 Metetra
.845 .77 .779 r
.25594 .62719 .25973 .63124 .26587 .62201 .26209 .61794 Metetra
.842 .77 .783 r
.26209 .61794 .26587 .62201 .27198 .61305 .26822 .60897 Metetra
.839 .771 .787 r
.26822 .60897 .27198 .61305 .27808 .60438 .27433 .60028 Metetra
.835 .771 .791 r
.27433 .60028 .27808 .60438 .28415 .59597 .28041 .59186 Metetra
.832 .772 .795 r
.28041 .59186 .28415 .59597 .2902 .58784 .28648 .58371 Metetra
.828 .772 .8 r
.28648 .58371 .2902 .58784 .29623 .57997 .29253 .57583 Metetra
.824 .773 .804 r
.29253 .57583 .29623 .57997 .30225 .57236 .29855 .5682 Metetra
.82 .773 .809 r
.29855 .5682 .30225 .57236 .30825 .56501 .30457 .56084 Metetra
.815 .774 .814 r
.30457 .56084 .30825 .56501 .31423 .55792 .31056 .55373 Metetra
.811 .774 .818 r
.31056 .55373 .31423 .55792 .3202 .55107 .31655 .54687 Metetra
.806 .774 .823 r
.31655 .54687 .3202 .55107 .32616 .54447 .32252 .54026 Metetra
.801 .774 .828 r
.32252 .54026 .32616 .54447 .33211 .53811 .32848 .53389 Metetra
.796 .774 .833 r
.32848 .53389 .33211 .53811 .33805 .532 .33443 .52775 Metetra
.79 .774 .838 r
.33443 .52775 .33805 .532 .34398 .52611 .34036 .52186 Metetra
.785 .773 .842 r
.34036 .52186 .34398 .52611 .3499 .52046 .3463 .51619 Metetra
.779 .773 .847 r
.3463 .51619 .3499 .52046 .35581 .51503 .35222 .51075 Metetra
.773 .772 .852 r
.35222 .51075 .35581 .51503 .36172 .50983 .35814 .50553 Metetra
.767 .772 .857 r
.35814 .50553 .36172 .50983 .36762 .50484 .36406 .50054 Metetra
.76 .771 .862 r
.36406 .50054 .36762 .50484 .37352 .50007 .36997 .49575 Metetra
.753 .77 .867 r
.36997 .49575 .37352 .50007 .37942 .4955 .37588 .49117 Metetra
.746 .769 .871 r
.37588 .49117 .37942 .4955 .38532 .49114 .38179 .4868 Metetra
.739 .768 .876 r
.38179 .4868 .38532 .49114 .39122 .48699 .3877 .48263 Metetra
.732 .766 .881 r
.3877 .48263 .39122 .48699 .39712 .48302 .3936 .47866 Metetra
.724 .765 .885 r
.3936 .47866 .39712 .48302 .40302 .47925 .39952 .47488 Metetra
.717 .763 .889 r
.39952 .47488 .40302 .47925 .40893 .47567 .40543 .47128 Metetra
.709 .762 .894 r
.40543 .47128 .40893 .47567 .41484 .47226 .41135 .46787 Metetra
.701 .76 .898 r
.41135 .46787 .41484 .47226 .42076 .46904 .41728 .46463 Metetra
.692 .758 .902 r
.41728 .46463 .42076 .46904 .42668 .46598 .42321 .46157 Metetra
.684 .755 .906 r
.42321 .46157 .42668 .46598 .43261 .4631 .42914 .45867 Metetra
.676 .753 .909 r
.42914 .45867 .43261 .4631 .43854 .46037 .43509 .45593 Metetra
.667 .751 .913 r
.43509 .45593 .43854 .46037 .44449 .45781 .44104 .45336 Metetra
.659 .748 .916 r
.44104 .45336 .44449 .45781 .45045 .45539 .44701 .45093 Metetra
.65 .746 .919 r
.44701 .45093 .45045 .45539 .45641 .45312 .45298 .44866 Metetra
.642 .743 .922 r
.45298 .44866 .45641 .45312 .46239 .451 .45897 .44652 Metetra
.634 .74 .925 r
.45897 .44652 .46239 .451 .46838 .44901 .46497 .44452 Metetra
.625 .737 .927 r
.46497 .44452 .46838 .44901 .47438 .44715 .47098 .44265 Metetra
.617 .734 .93 r
.47098 .44265 .47438 .44715 .4804 .44541 .47701 .44091 Metetra
.609 .731 .932 r
.47701 .44091 .4804 .44541 .48643 .4438 .48305 .43928 Metetra
.601 .729 .934 r
.48305 .43928 .48643 .4438 .49248 .4423 .4891 .43777 Metetra
.594 .726 .936 r
.4891 .43777 .49248 .4423 .49854 .44091 .49517 .43637 Metetra
.587 .723 .937 r
.49517 .43637 .49854 .44091 .50462 .43962 .50126 .43507 Metetra
.58 .72 .939 r
.50126 .43507 .50462 .43962 .51072 .43842 .50736 .43387 Metetra
.573 .717 .94 r
.50736 .43387 .51072 .43842 .51683 .43732 .51349 .43276 Metetra
.566 .715 .942 r
.51349 .43276 .51683 .43732 .52297 .4363 .51963 .43173 Metetra
.56 .712 .943 r
.51963 .43173 .52297 .4363 .52912 .43536 .52579 .43078 Metetra
.555 .71 .944 r
.52579 .43078 .52912 .43536 .53529 .43449 .53196 .4299 Metetra
.55 .708 .944 r
.53196 .4299 .53529 .43449 .54148 .43369 .53816 .42909 Metetra
.545 .706 .945 r
.53816 .42909 .54148 .43369 .54769 .43295 .54438 .42834 Metetra
.541 .704 .946 r
.54438 .42834 .54769 .43295 .55392 .43226 .55062 .42764 Metetra
.537 .702 .946 r
.55062 .42764 .55392 .43226 .56017 .43162 .55688 .42699 Metetra
.534 .701 .947 r
.55688 .42699 .56017 .43162 .56644 .43102 .56316 .42638 Metetra
.531 .699 .947 r
.56316 .42638 .56644 .43102 .57273 .43045 .56946 .4258 Metetra
.529 .698 .947 r
.56946 .4258 .57273 .43045 .57905 .42991 .57578 .42525 Metetra
.527 .698 .947 r
.57578 .42525 .57905 .42991 .58538 .42938 .58212 .42472 Metetra
.526 .697 .947 r
.58212 .42472 .58538 .42938 .59174 .42888 .58849 .42421 Metetra
.525 .697 .947 r
.58849 .42421 .59174 .42888 .59812 .42837 .59487 .4237 Metetra
.525 .697 .947 r
.59487 .4237 .59812 .42837 .60452 .42787 .60128 .42318 Metetra
.525 .697 .947 r
.60128 .42318 .60452 .42787 .61094 .42736 .60771 .42267 Metetra
.526 .697 .947 r
.60771 .42267 .61094 .42736 .61738 .42684 .61416 .42213 Metetra
.528 .698 .947 r
.61416 .42213 .61738 .42684 .62384 .4263 .62063 .42158 Metetra
.53 .699 .947 r
.62063 .42158 .62384 .4263 .63033 .42572 .62713 .421 Metetra
.532 .7 .947 r
.62713 .421 .63033 .42572 .63683 .42512 .63364 .42038 Metetra
.535 .702 .946 r
.63364 .42038 .63683 .42512 .64336 .42447 .64018 .41972 Metetra
.539 .703 .946 r
.64018 .41972 .64336 .42447 .64991 .42377 .64673 .41901 Metetra
.543 .705 .946 r
.64673 .41901 .64991 .42377 .65647 .42301 .65331 .41825 Metetra
.547 .707 .945 r
.65331 .41825 .65647 .42301 .66306 .42219 .6599 .41742 Metetra
.552 .709 .944 r
.6599 .41742 .66306 .42219 .66966 .4213 .66652 .41652 Metetra
.557 .712 .944 r
.66652 .41652 .66966 .4213 .67629 .42033 .67315 .41554 Metetra
.563 .714 .943 r
.67315 .41554 .67629 .42033 .68293 .41928 .6798 .41448 Metetra
.569 .717 .942 r
.6798 .41448 .68293 .41928 .68959 .41814 .68647 .41333 Metetra
.575 .72 .941 r
.68647 .41333 .68959 .41814 .69626 .41689 .69316 .41207 Metetra
.582 .723 .94 r
.69316 .41207 .69626 .41689 .70296 .41554 .69986 .41071 Metetra
.588 .726 .938 r
.69986 .41071 .70296 .41554 .70966 .41408 .70658 .40924 Metetra
.596 .729 .937 r
.70658 .40924 .70966 .41408 .71638 .4125 .71331 .40765 Metetra
.603 .732 .936 r
.71331 .40765 .71638 .4125 .72312 .41079 .72005 .40593 Metetra
.611 .735 .934 r
.72005 .40593 .72312 .41079 .72987 .40895 .72681 .40408 Metetra
.618 .739 .932 r
.72681 .40408 .72987 .40895 .73662 .40697 .73358 .40209 Metetra
.626 .742 .93 r
.73358 .40209 .73662 .40697 .74339 .40485 .74036 .39995 Metetra
.635 .745 .928 r
.74036 .39995 .74339 .40485 .75017 .40257 .74715 .39766 Metetra
.643 .749 .926 r
.74715 .39766 .75017 .40257 .75696 .40013 .75395 .39521 Metetra
.651 .752 .923 r
.75395 .39521 .75696 .40013 .76376 .39753 .76076 .39259 Metetra
.66 .755 .921 r
.76076 .39259 .76376 .39753 .77056 .39475 .76757 .38981 Metetra
.668 .759 .918 r
.76757 .38981 .77056 .39475 .77736 .3918 .77439 .38684 Metetra
.677 .762 .915 r
.77439 .38684 .77736 .3918 .78417 .38866 .78121 .38369 Metetra
.685 .765 .912 r
.78121 .38369 .78417 .38866 .79099 .38534 .78804 .38036 Metetra
.694 .769 .909 r
.78804 .38036 .79099 .38534 .7978 .38182 .79486 .37682 Metetra
.702 .772 .906 r
.79486 .37682 .7978 .38182 .80461 .3781 .80169 .37309 Metetra
.71 .775 .902 r
.80169 .37309 .80461 .3781 .81143 .37418 .80851 .36916 Metetra
.719 .778 .899 r
.80851 .36916 .81143 .37418 .81823 .37004 .81533 .36501 Metetra
.727 .781 .895 r
.81533 .36501 .81823 .37004 .82504 .3657 .82215 .36065 Metetra
.735 .783 .891 r
.82215 .36065 .82504 .3657 .83184 .36113 .82896 .35607 Metetra
.743 .786 .887 r
.82896 .35607 .83184 .36113 .83863 .35634 .83576 .35126 Metetra
.751 .789 .883 r
.83576 .35126 .83863 .35634 .84541 .35132 .84256 .34623 Metetra
.862 .768 .757 r
.21451 .68488 .21842 .68875 .22475 .67775 .22085 .67386 Metetra
.86 .769 .76 r
.22085 .67386 .22475 .67775 .23105 .66705 .22717 .66314 Metetra
.857 .769 .764 r
.22717 .66314 .23105 .66705 .23731 .65665 .23345 .65272 Metetra
.855 .77 .768 r
.23345 .65272 .23731 .65665 .24355 .64654 .2397 .6426 Metetra
.852 .771 .772 r
.2397 .6426 .24355 .64654 .24976 .63672 .24592 .63276 Metetra
.849 .772 .776 r
.24592 .63276 .24976 .63672 .25594 .62719 .25212 .62321 Metetra
.846 .772 .78 r
.25212 .62321 .25594 .62719 .26209 .61794 .25829 .61395 Metetra
.843 .773 .784 r
.25829 .61395 .26209 .61794 .26822 .60897 .26444 .60496 Metetra
.84 .774 .788 r
.26444 .60496 .26822 .60897 .27433 .60028 .27056 .59625 Metetra
.837 .774 .792 r
.27056 .59625 .27433 .60028 .28041 .59186 .27666 .58782 Metetra
.833 .775 .797 r
.27666 .58782 .28041 .59186 .28648 .58371 .28274 .57965 Metetra
.829 .776 .801 r
.28274 .57965 .28648 .58371 .29253 .57583 .2888 .57175 Metetra
.825 .776 .806 r
.2888 .57175 .29253 .57583 .29855 .5682 .29484 .56411 Metetra
.821 .776 .811 r
.29484 .56411 .29855 .5682 .30457 .56084 .30086 .55674 Metetra
.817 .777 .815 r
.30086 .55674 .30457 .56084 .31056 .55373 .30687 .54961 Metetra
.812 .777 .82 r
.30687 .54961 .31056 .55373 .31655 .54687 .31287 .54274 Metetra
.808 .777 .825 r
.31287 .54274 .31655 .54687 .32252 .54026 .31885 .53611 Metetra
.803 .777 .83 r
.31885 .53611 .32252 .54026 .32848 .53389 .32482 .52973 Metetra
.797 .777 .835 r
.32482 .52973 .32848 .53389 .33443 .52775 .33078 .52358 Metetra
.792 .777 .84 r
.33078 .52358 .33443 .52775 .34036 .52186 .33674 .51767 Metetra
.786 .777 .844 r
.33674 .51767 .34036 .52186 .3463 .51619 .34268 .51199 Metetra
.78 .777 .849 r
.34268 .51199 .3463 .51619 .35222 .51075 .34861 .50654 Metetra
.774 .776 .854 r
.34861 .50654 .35222 .51075 .35814 .50553 .35454 .50131 Metetra
.768 .776 .859 r
.35454 .50131 .35814 .50553 .36406 .50054 .36047 .4963 Metetra
.761 .775 .864 r
.36047 .4963 .36406 .50054 .36997 .49575 .36639 .4915 Metetra
.754 .774 .869 r
.36639 .4915 .36997 .49575 .37588 .49117 .37231 .48692 Metetra
.747 .773 .874 r
.37231 .48692 .37588 .49117 .38179 .4868 .37823 .48253 Metetra
.74 .772 .879 r
.37823 .48253 .38179 .4868 .3877 .48263 .38415 .47835 Metetra
.733 .771 .883 r
.38415 .47835 .3877 .48263 .3936 .47866 .39007 .47437 Metetra
.725 .769 .888 r
.39007 .47437 .3936 .47866 .39952 .47488 .39599 .47057 Metetra
.717 .767 .892 r
.39599 .47057 .39952 .47488 .40543 .47128 .40192 .46697 Metetra
.709 .766 .896 r
.40192 .46697 .40543 .47128 .41135 .46787 .40784 .46354 Metetra
.701 .764 .901 r
.40784 .46354 .41135 .46787 .41728 .46463 .41378 .46029 Metetra
.693 .762 .905 r
.41378 .46029 .41728 .46463 .42321 .46157 .41972 .45722 Metetra
.684 .76 .909 r
.41972 .45722 .42321 .46157 .42914 .45867 .42567 .45431 Metetra
.676 .757 .912 r
.42567 .45431 .42914 .45867 .43509 .45593 .43162 .45157 Metetra
.667 .755 .916 r
.43162 .45157 .43509 .45593 .44104 .45336 .43758 .44898 Metetra
.659 .752 .919 r
.43758 .44898 .44104 .45336 .44701 .45093 .44356 .44654 Metetra
.65 .75 .922 r
.44356 .44654 .44701 .45093 .45298 .44866 .44954 .44426 Metetra
.642 .747 .925 r
.44954 .44426 .45298 .44866 .45897 .44652 .45553 .44211 Metetra
.633 .744 .928 r
.45553 .44211 .45897 .44652 .46497 .44452 .46154 .4401 Metetra
.625 .741 .931 r
.46154 .4401 .46497 .44452 .47098 .44265 .46756 .43822 Metetra
.617 .738 .933 r
.46756 .43822 .47098 .44265 .47701 .44091 .4736 .43647 Metetra
.608 .735 .935 r
.4736 .43647 .47701 .44091 .48305 .43928 .47964 .43484 Metetra
.6 .733 .937 r
.47964 .43484 .48305 .43928 .4891 .43777 .48571 .43332 Metetra
.593 .73 .939 r
.48571 .43332 .4891 .43777 .49517 .43637 .49179 .43191 Metetra
.585 .727 .941 r
.49179 .43191 .49517 .43637 .50126 .43507 .49788 .4306 Metetra
.578 .724 .942 r
.49788 .4306 .50126 .43507 .50736 .43387 .50399 .42939 Metetra
.571 .721 .944 r
.50399 .42939 .50736 .43387 .51349 .43276 .51012 .42826 Metetra
.565 .719 .945 r
.51012 .42826 .51349 .43276 .51963 .43173 .51627 .42723 Metetra
.559 .716 .946 r
.51627 .42723 .51963 .43173 .52579 .43078 .52244 .42627 Metetra
.553 .714 .947 r
.52244 .42627 .52579 .43078 .53196 .4299 .52863 .42538 Metetra
.548 .711 .948 r
.52863 .42538 .53196 .4299 .53816 .42909 .53483 .42456 Metetra
.543 .709 .948 r
.53483 .42456 .53816 .42909 .54438 .42834 .54106 .4238 Metetra
.539 .707 .949 r
.54106 .4238 .54438 .42834 .55062 .42764 .5473 .4231 Metetra
.535 .706 .949 r
.5473 .4231 .55062 .42764 .55688 .42699 .55357 .42244 Metetra
.531 .704 .95 r
.55357 .42244 .55688 .42699 .56316 .42638 .55986 .42182 Metetra
.529 .703 .95 r
.55986 .42182 .56316 .42638 .56946 .4258 .56617 .42123 Metetra
.526 .702 .95 r
.56617 .42123 .56946 .4258 .57578 .42525 .5725 .42067 Metetra
.525 .701 .951 r
.5725 .42067 .57578 .42525 .58212 .42472 .57885 .42013 Metetra
.523 .701 .951 r
.57885 .42013 .58212 .42472 .58849 .42421 .58522 .41961 Metetra
.523 .7 .951 r
.58522 .41961 .58849 .42421 .59487 .4237 .59162 .41909 Metetra
.523 .7 .951 r
.59162 .41909 .59487 .4237 .60128 .42318 .59803 .41857 Metetra
.523 .701 .951 r
.59803 .41857 .60128 .42318 .60771 .42267 .60447 .41804 Metetra
.524 .701 .951 r
.60447 .41804 .60771 .42267 .61416 .42213 .61093 .4175 Metetra
.525 .702 .95 r
.61093 .4175 .61416 .42213 .62063 .42158 .61741 .41694 Metetra
.528 .703 .95 r
.61741 .41694 .62063 .42158 .62713 .421 .62391 .41635 Metetra
.53 .704 .95 r
.62391 .41635 .62713 .421 .63364 .42038 .63044 .41572 Metetra
.533 .705 .95 r
.63044 .41572 .63364 .42038 .64018 .41972 .63698 .41505 Metetra
.537 .707 .949 r
.63698 .41505 .64018 .41972 .64673 .41901 .64355 .41433 Metetra
.541 .709 .949 r
.64355 .41433 .64673 .41901 .65331 .41825 .65013 .41356 Metetra
.545 .711 .948 r
.65013 .41356 .65331 .41825 .6599 .41742 .65674 .41272 Metetra
.55 .713 .948 r
.65674 .41272 .6599 .41742 .66652 .41652 .66336 .41181 Metetra
.555 .715 .947 r
.66336 .41181 .66652 .41652 .67315 .41554 .67 .41082 Metetra
.561 .718 .946 r
.67 .41082 .67315 .41554 .6798 .41448 .67666 .40975 Metetra
.567 .721 .945 r
.67666 .40975 .6798 .41448 .68647 .41333 .68334 .40859 Metetra
.573 .724 .944 r
.68334 .40859 .68647 .41333 .69316 .41207 .69004 .40732 Metetra
.58 .727 .943 r
.69004 .40732 .69316 .41207 .69986 .41071 .69675 .40595 Metetra
.587 .73 .942 r
.69675 .40595 .69986 .41071 .70658 .40924 .70348 .40447 Metetra
.594 .733 .94 r
.70348 .40447 .70658 .40924 .71331 .40765 .71022 .40287 Metetra
.602 .736 .939 r
.71022 .40287 .71331 .40765 .72005 .40593 .71698 .40114 Metetra
.61 .739 .937 r
.71698 .40114 .72005 .40593 .72681 .40408 .72375 .39928 Metetra
.618 .743 .935 r
.72375 .39928 .72681 .40408 .73358 .40209 .73053 .39727 Metetra
.626 .746 .934 r
.73053 .39727 .73358 .40209 .74036 .39995 .73732 .39513 Metetra
.634 .75 .931 r
.73732 .39513 .74036 .39995 .74715 .39766 .74412 .39282 Metetra
.642 .753 .929 r
.74412 .39282 .74715 .39766 .75395 .39521 .75093 .39036 Metetra
.651 .756 .927 r
.75093 .39036 .75395 .39521 .76076 .39259 .75775 .38773 Metetra
.659 .76 .924 r
.75775 .38773 .76076 .39259 .76757 .38981 .76457 .38493 Metetra
.668 .763 .921 r
.76457 .38493 .76757 .38981 .77439 .38684 .7714 .38196 Metetra
.677 .766 .919 r
.7714 .38196 .77439 .38684 .78121 .38369 .77824 .3788 Metetra
.685 .77 .915 r
.77824 .3788 .78121 .38369 .78804 .38036 .78508 .37545 Metetra
.694 .773 .912 r
.78508 .37545 .78804 .38036 .79486 .37682 .79191 .3719 Metetra
.702 .776 .909 r
.79191 .3719 .79486 .37682 .80169 .37309 .79875 .36816 Metetra
.711 .779 .905 r
.79875 .36816 .80169 .37309 .80851 .36916 .80559 .36421 Metetra
.719 .782 .902 r
.80559 .36421 .80851 .36916 .81533 .36501 .81243 .36005 Metetra
.728 .785 .898 r
.81243 .36005 .81533 .36501 .82215 .36065 .81926 .35567 Metetra
.736 .788 .894 r
.81926 .35567 .82215 .36065 .82896 .35607 .82608 .35108 Metetra
.744 .791 .89 r
.82608 .35108 .82896 .35607 .83576 .35126 .8329 .34626 Metetra
.752 .793 .886 r
.8329 .34626 .83576 .35126 .84256 .34623 .83971 .34121 Metetra
.863 .77 .757 r
.21057 .68109 .21451 .68488 .22085 .67386 .21694 .67005 Metetra
.861 .771 .761 r
.21694 .67005 .22085 .67386 .22717 .66314 .22327 .65931 Metetra
.859 .772 .765 r
.22327 .65931 .22717 .66314 .23345 .65272 .22956 .64887 Metetra
.856 .773 .769 r
.22956 .64887 .23345 .65272 .2397 .6426 .23583 .63873 Metetra
.854 .774 .773 r
.23583 .63873 .2397 .6426 .24592 .63276 .24207 .62888 Metetra
.851 .774 .777 r
.24207 .62888 .24592 .63276 .25212 .62321 .24828 .61931 Metetra
.848 .775 .781 r
.24828 .61931 .25212 .62321 .25829 .61395 .25447 .61003 Metetra
.845 .776 .785 r
.25447 .61003 .25829 .61395 .26444 .60496 .26063 .60103 Metetra
.842 .777 .789 r
.26063 .60103 .26444 .60496 .27056 .59625 .26677 .5923 Metetra
.838 .777 .794 r
.26677 .5923 .27056 .59625 .27666 .58782 .27288 .58385 Metetra
.835 .778 .798 r
.27288 .58385 .27666 .58782 .28274 .57965 .27897 .57567 Metetra
.831 .779 .803 r
.27897 .57567 .28274 .57965 .2888 .57175 .28505 .56775 Metetra
.827 .779 .807 r
.28505 .56775 .2888 .57175 .29484 .56411 .2911 .5601 Metetra
.823 .78 .812 r
.2911 .5601 .29484 .56411 .30086 .55674 .29714 .55271 Metetra
.818 .78 .817 r
.29714 .55271 .30086 .55674 .30687 .54961 .30316 .54557 Metetra
.814 .78 .822 r
.30316 .54557 .30687 .54961 .31287 .54274 .30917 .53868 Metetra
.809 .781 .827 r
.30917 .53868 .31287 .54274 .31885 .53611 .31517 .53204 Metetra
.804 .781 .832 r
.31517 .53204 .31885 .53611 .32482 .52973 .32115 .52564 Metetra
.799 .781 .836 r
.32115 .52564 .32482 .52973 .33078 .52358 .32712 .51948 Metetra
.793 .781 .841 r
.32712 .51948 .33078 .52358 .33674 .51767 .33309 .51356 Metetra
.788 .781 .847 r
.33309 .51356 .33674 .51767 .34268 .51199 .33904 .50787 Metetra
.782 .78 .852 r
.33904 .50787 .34268 .51199 .34861 .50654 .34499 .5024 Metetra
.775 .78 .857 r
.34499 .5024 .34861 .50654 .35454 .50131 .35093 .49716 Metetra
.769 .779 .862 r
.35093 .49716 .35454 .50131 .36047 .4963 .35687 .49214 Metetra
.762 .779 .867 r
.35687 .49214 .36047 .4963 .36639 .4915 .3628 .48733 Metetra
.756 .778 .871 r
.3628 .48733 .36639 .4915 .37231 .48692 .36873 .48273 Metetra
.748 .777 .876 r
.36873 .48273 .37231 .48692 .37823 .48253 .37466 .47833 Metetra
.741 .776 .881 r
.37466 .47833 .37823 .48253 .38415 .47835 .38059 .47414 Metetra
.734 .775 .886 r
.38059 .47414 .38415 .47835 .39007 .47437 .38652 .47014 Metetra
.726 .773 .89 r
.38652 .47014 .39007 .47437 .39599 .47057 .39245 .46634 Metetra
.718 .772 .895 r
.39245 .46634 .39599 .47057 .40192 .46697 .39838 .46272 Metetra
.71 .77 .899 r
.39838 .46272 .40192 .46697 .40784 .46354 .40432 .45928 Metetra
.702 .768 .904 r
.40432 .45928 .40784 .46354 .41378 .46029 .41026 .45603 Metetra
.693 .766 .908 r
.41026 .45603 .41378 .46029 .41972 .45722 .41621 .45294 Metetra
.685 .764 .912 r
.41621 .45294 .41972 .45722 .42567 .45431 .42217 .45002 Metetra
.676 .762 .915 r
.42217 .45002 .42567 .45431 .43162 .45157 .42813 .44727 Metetra
.667 .759 .919 r
.42813 .44727 .43162 .45157 .43758 .44898 .43411 .44467 Metetra
.659 .757 .922 r
.43411 .44467 .43758 .44898 .44356 .44654 .44009 .44222 Metetra
.65 .754 .925 r
.44009 .44222 .44356 .44654 .44954 .44426 .44608 .43993 Metetra
.641 .751 .929 r
.44608 .43993 .44954 .44426 .45553 .44211 .45208 .43777 Metetra
.633 .748 .931 r
.45208 .43777 .45553 .44211 .46154 .4401 .4581 .43575 Metetra
.624 .745 .934 r
.4581 .43575 .46154 .4401 .46756 .43822 .46413 .43386 Metetra
.616 .743 .936 r
.46413 .43386 .46756 .43822 .4736 .43647 .47017 .4321 Metetra
.607 .74 .939 r
.47017 .4321 .4736 .43647 .47964 .43484 .47623 .43046 Metetra
.599 .737 .941 r
.47623 .43046 .47964 .43484 .48571 .43332 .4823 .42893 Metetra
.592 .734 .942 r
.4823 .42893 .48571 .43332 .49179 .43191 .48839 .42751 Metetra
.584 .731 .944 r
.48839 .42751 .49179 .43191 .49788 .4306 .49449 .42619 Metetra
.577 .728 .946 r
.49449 .42619 .49788 .4306 .50399 .42939 .50061 .42497 Metetra
.57 .725 .947 r
.50061 .42497 .50399 .42939 .51012 .42826 .50675 .42384 Metetra
.563 .722 .948 r
.50675 .42384 .51012 .42826 .51627 .42723 .5129 .4228 Metetra
.557 .72 .949 r
.5129 .4228 .51627 .42723 .52244 .42627 .51908 .42183 Metetra
.551 .717 .95 r
.51908 .42183 .52244 .42627 .52863 .42538 .52527 .42093 Metetra
.546 .715 .951 r
.52527 .42093 .52863 .42538 .53483 .42456 .53149 .42011 Metetra
.541 .713 .952 r
.53149 .42011 .53483 .42456 .54106 .4238 .53772 .41934 Metetra
.536 .711 .952 r
.53772 .41934 .54106 .4238 .5473 .4231 .54398 .41862 Metetra
.532 .709 .953 r
.54398 .41862 .5473 .4231 .55357 .42244 .55025 .41795 Metetra
.529 .708 .953 r
.55025 .41795 .55357 .42244 .55986 .42182 .55655 .41732 Metetra
.526 .707 .953 r
.55655 .41732 .55986 .42182 .56617 .42123 .56286 .41673 Metetra
.524 .706 .954 r
.56286 .41673 .56617 .42123 .5725 .42067 .5692 .41616 Metetra
.522 .705 .954 r
.5692 .41616 .5725 .42067 .57885 .42013 .57556 .41561 Metetra
.521 .704 .954 r
.57556 .41561 .57885 .42013 .58522 .41961 .58194 .41508 Metetra
.52 .704 .954 r
.58194 .41508 .58522 .41961 .59162 .41909 .58835 .41455 Metetra
.52 .704 .954 r
.58835 .41455 .59162 .41909 .59803 .41857 .59477 .41402 Metetra
.52 .704 .954 r
.59477 .41402 .59803 .41857 .60447 .41804 .60122 .41348 Metetra
.521 .705 .954 r
.60122 .41348 .60447 .41804 .61093 .4175 .60769 .41293 Metetra
.523 .705 .954 r
.60769 .41293 .61093 .4175 .61741 .41694 .61418 .41236 Metetra
.525 .706 .954 r
.61418 .41236 .61741 .41694 .62391 .41635 .62069 .41176 Metetra
.528 .707 .953 r
.62069 .41176 .62391 .41635 .63044 .41572 .62722 .41113 Metetra
.531 .709 .953 r
.62722 .41113 .63044 .41572 .63698 .41505 .63378 .41045 Metetra
.534 .711 .953 r
.63378 .41045 .63698 .41505 .64355 .41433 .64035 .40972 Metetra
.538 .712 .952 r
.64035 .40972 .64355 .41433 .65013 .41356 .64694 .40894 Metetra
.543 .714 .952 r
.64694 .40894 .65013 .41356 .65674 .41272 .65356 .40809 Metetra
.548 .717 .951 r
.65356 .40809 .65674 .41272 .66336 .41181 .66019 .40717 Metetra
.553 .719 .95 r
.66019 .40717 .66336 .41181 .67 .41082 .66685 .40617 Metetra
.559 .722 .949 r
.66685 .40617 .67 .41082 .67666 .40975 .67352 .40509 Metetra
.565 .725 .949 r
.67352 .40509 .67666 .40975 .68334 .40859 .68021 .40392 Metetra
.572 .727 .948 r
.68021 .40392 .68334 .40859 .69004 .40732 .68691 .40264 Metetra
.579 .731 .946 r
.68691 .40264 .69004 .40732 .69675 .40595 .69363 .40126 Metetra
.586 .734 .945 r
.69363 .40126 .69675 .40595 .70348 .40447 .70037 .39977 Metetra
.593 .737 .944 r
.70037 .39977 .70348 .40447 .71022 .40287 .70712 .39816 Metetra
.601 .74 .942 r
.70712 .39816 .71022 .40287 .71698 .40114 .71389 .39642 Metetra
.609 .744 .941 r
.71389 .39642 .71698 .40114 .72375 .39928 .72067 .39455 Metetra
.617 .747 .939 r
.72067 .39455 .72375 .39928 .73053 .39727 .72746 .39253 Metetra
.625 .75 .937 r
.72746 .39253 .73053 .39727 .73732 .39513 .73427 .39037 Metetra
.633 .754 .935 r
.73427 .39037 .73732 .39513 .74412 .39282 .74108 .38806 Metetra
.642 .757 .932 r
.74108 .38806 .74412 .39282 .75093 .39036 .7479 .38558 Metetra
.651 .761 .93 r
.7479 .38558 .75093 .39036 .75775 .38773 .75473 .38294 Metetra
.659 .764 .927 r
.75473 .38294 .75775 .38773 .76457 .38493 .76157 .38013 Metetra
.668 .768 .925 r
.76157 .38013 .76457 .38493 .7714 .38196 .76841 .37714 Metetra
.677 .771 .922 r
.76841 .37714 .7714 .38196 .77824 .3788 .77526 .37397 Metetra
.685 .774 .919 r
.77526 .37397 .77824 .3788 .78508 .37545 .78211 .37061 Metetra
.694 .777 .915 r
.78211 .37061 .78508 .37545 .79191 .3719 .78896 .36705 Metetra
.703 .781 .912 r
.78896 .36705 .79191 .3719 .79875 .36816 .79581 .36329 Metetra
.711 .784 .908 r
.79581 .36329 .79875 .36816 .80559 .36421 .80266 .35933 Metetra
.72 .787 .905 r
.80266 .35933 .80559 .36421 .81243 .36005 .80951 .35515 Metetra
.729 .79 .901 r
.80951 .35515 .81243 .36005 .81926 .35567 .81635 .35076 Metetra
.737 .792 .897 r
.81635 .35076 .81926 .35567 .82608 .35108 .82319 .34615 Metetra
.745 .795 .893 r
.82319 .34615 .82608 .35108 .8329 .34626 .83002 .34132 Metetra
.753 .798 .889 r
.83002 .34132 .8329 .34626 .83971 .34121 .83685 .33626 Metetra
.865 .773 .758 r
.20661 .67737 .21057 .68109 .21694 .67005 .21299 .66632 Metetra
.863 .774 .762 r
.21299 .66632 .21694 .67005 .22327 .65931 .21934 .65556 Metetra
.86 .775 .766 r
.21934 .65556 .22327 .65931 .22956 .64887 .22566 .6451 Metetra
.858 .775 .77 r
.22566 .6451 .22956 .64887 .23583 .63873 .23194 .63494 Metetra
.855 .776 .774 r
.23194 .63494 .23583 .63873 .24207 .62888 .2382 .62507 Metetra
.852 .777 .778 r
.2382 .62507 .24207 .62888 .24828 .61931 .24442 .61548 Metetra
.849 .778 .782 r
.24442 .61548 .24828 .61931 .25447 .61003 .25062 .60618 Metetra
.846 .779 .786 r
.25062 .60618 .25447 .61003 .26063 .60103 .2568 .59716 Metetra
.843 .78 .79 r
.2568 .59716 .26063 .60103 .26677 .5923 .26295 .58842 Metetra
.84 .781 .795 r
.26295 .58842 .26677 .5923 .27288 .58385 .26908 .57995 Metetra
.836 .781 .799 r
.26908 .57995 .27288 .58385 .27897 .57567 .27519 .57176 Metetra
.832 .782 .804 r
.27519 .57176 .27897 .57567 .28505 .56775 .28128 .56383 Metetra
.828 .782 .809 r
.28128 .56383 .28505 .56775 .2911 .5601 .28735 .55616 Metetra
.824 .783 .814 r
.28735 .55616 .2911 .5601 .29714 .55271 .2934 .54875 Metetra
.82 .783 .818 r
.2934 .54875 .29714 .55271 .30316 .54557 .29943 .54159 Metetra
.815 .784 .823 r
.29943 .54159 .30316 .54557 .30917 .53868 .30546 .53469 Metetra
.81 .784 .828 r
.30546 .53469 .30917 .53868 .31517 .53204 .31146 .52804 Metetra
.805 .784 .833 r
.31146 .52804 .31517 .53204 .32115 .52564 .31746 .52162 Metetra
.8 .785 .838 r
.31746 .52162 .32115 .52564 .32712 .51948 .32344 .51545 Metetra
.795 .785 .843 r
.32344 .51545 .32712 .51948 .33309 .51356 .32942 .50952 Metetra
.789 .784 .849 r
.32942 .50952 .33309 .51356 .33904 .50787 .33538 .50381 Metetra
.783 .784 .854 r
.33538 .50381 .33904 .50787 .34499 .5024 .34134 .49833 Metetra
.777 .784 .859 r
.34134 .49833 .34499 .5024 .35093 .49716 .3473 .49308 Metetra
.77 .783 .864 r
.3473 .49308 .35093 .49716 .35687 .49214 .35324 .48804 Metetra
.764 .783 .869 r
.35324 .48804 .35687 .49214 .3628 .48733 .35919 .48322 Metetra
.757 .782 .874 r
.35919 .48322 .3628 .48733 .36873 .48273 .36513 .47861 Metetra
.749 .781 .879 r
.36513 .47861 .36873 .48273 .37466 .47833 .37107 .4742 Metetra
.742 .78 .884 r
.37107 .4742 .37466 .47833 .38059 .47414 .37701 .47 Metetra
.734 .779 .888 r
.37701 .47 .38059 .47414 .38652 .47014 .38295 .46599 Metetra
.727 .777 .893 r
.38295 .46599 .38652 .47014 .39245 .46634 .38889 .46217 Metetra
.719 .776 .898 r
.38889 .46217 .39245 .46634 .39838 .46272 .39483 .45854 Metetra
.71 .774 .902 r
.39483 .45854 .39838 .46272 .40432 .45928 .40078 .4551 Metetra
.702 .772 .906 r
.40078 .4551 .40432 .45928 .41026 .45603 .40673 .45183 Metetra
.694 .77 .911 r
.40673 .45183 .41026 .45603 .41621 .45294 .41269 .44873 Metetra
.685 .768 .915 r
.41269 .44873 .41621 .45294 .42217 .45002 .41866 .4458 Metetra
.676 .766 .918 r
.41866 .4458 .42217 .45002 .42813 .44727 .42463 .44304 Metetra
.667 .763 .922 r
.42463 .44304 .42813 .44727 .43411 .44467 .43061 .44043 Metetra
.659 .761 .925 r
.43061 .44043 .43411 .44467 .44009 .44222 .4366 .43797 Metetra
.65 .758 .929 r
.4366 .43797 .44009 .44222 .44608 .43993 .4426 .43567 Metetra
.641 .755 .932 r
.4426 .43567 .44608 .43993 .45208 .43777 .44861 .4335 Metetra
.632 .753 .935 r
.44861 .4335 .45208 .43777 .4581 .43575 .45464 .43147 Metetra
.623 .75 .937 r
.45464 .43147 .4581 .43575 .46413 .43386 .46068 .42957 Metetra
.615 .747 .94 r
.46068 .42957 .46413 .43386 .47017 .4321 .46673 .4278 Metetra
.606 .744 .942 r
.46673 .4278 .47017 .4321 .47623 .43046 .47279 .42615 Metetra
.598 .741 .944 r
.47279 .42615 .47623 .43046 .4823 .42893 .47887 .42461 Metetra
.59 .738 .946 r
.47887 .42461 .4823 .42893 .48839 .42751 .48497 .42318 Metetra
.583 .735 .947 r
.48497 .42318 .48839 .42751 .49449 .42619 .49108 .42186 Metetra
.575 .732 .949 r
.49108 .42186 .49449 .42619 .50061 .42497 .49721 .42063 Metetra
.568 .729 .95 r
.49721 .42063 .50061 .42497 .50675 .42384 .50336 .41949 Metetra
.561 .726 .952 r
.50336 .41949 .50675 .42384 .5129 .4228 .50952 .41843 Metetra
.555 .724 .953 r
.50952 .41843 .5129 .4228 .51908 .42183 .51571 .41746 Metetra
.549 .721 .953 r
.51571 .41746 .51908 .42183 .52527 .42093 .52191 .41655 Metetra
.544 .719 .954 r
.52191 .41655 .52527 .42093 .53149 .42011 .52813 .41572 Metetra
.539 .717 .955 r
.52813 .41572 .53149 .42011 .53772 .41934 .53437 .41494 Metetra
.534 .715 .955 r
.53437 .41494 .53772 .41934 .54398 .41862 .54064 .41421 Metetra
.53 .713 .956 r
.54064 .41421 .54398 .41862 .55025 .41795 .54692 .41354 Metetra
.527 .712 .956 r
.54692 .41354 .55025 .41795 .55655 .41732 .55322 .4129 Metetra
.524 .71 .957 r
.55322 .4129 .55655 .41732 .56286 .41673 .55955 .4123 Metetra
.521 .709 .957 r
.55955 .4123 .56286 .41673 .5692 .41616 .5659 .41172 Metetra
.519 .708 .957 r
.5659 .41172 .5692 .41616 .57556 .41561 .57226 .41116 Metetra
.518 .708 .957 r
.57226 .41116 .57556 .41561 .58194 .41508 .57865 .41062 Metetra
.518 .708 .957 r
.57865 .41062 .58194 .41508 .58835 .41455 .58507 .41008 Metetra
.517 .707 .957 r
.58507 .41008 .58835 .41455 .59477 .41402 .5915 .40954 Metetra
.518 .708 .957 r
.5915 .40954 .59477 .41402 .60122 .41348 .59796 .409 Metetra
.519 .708 .957 r
.59796 .409 .60122 .41348 .60769 .41293 .60443 .40844 Metetra
.52 .709 .957 r
.60443 .40844 .60769 .41293 .61418 .41236 .61093 .40786 Metetra
.523 .71 .957 r
.61093 .40786 .61418 .41236 .62069 .41176 .61745 .40725 Metetra
.525 .711 .957 r
.61745 .40725 .62069 .41176 .62722 .41113 .62399 .40661 Metetra
.528 .713 .956 r
.62399 .40661 .62722 .41113 .63378 .41045 .63056 .40592 Metetra
.532 .714 .956 r
.63056 .40592 .63378 .41045 .64035 .40972 .63714 .40518 Metetra
.536 .716 .955 r
.63714 .40518 .64035 .40972 .64694 .40894 .64375 .40439 Metetra
.541 .718 .955 r
.64375 .40439 .64694 .40894 .65356 .40809 .65037 .40353 Metetra
.546 .721 .954 r
.65037 .40353 .65356 .40809 .66019 .40717 .65701 .4026 Metetra
.551 .723 .954 r
.65701 .4026 .66019 .40717 .66685 .40617 .66368 .4016 Metetra
.557 .726 .953 r
.66368 .4016 .66685 .40617 .67352 .40509 .67036 .40051 Metetra
.564 .729 .952 r
.67036 .40051 .67352 .40509 .68021 .40392 .67706 .39932 Metetra
.57 .731 .951 r
.67706 .39932 .68021 .40392 .68691 .40264 .68377 .39804 Metetra
.577 .735 .95 r
.68377 .39804 .68691 .40264 .69363 .40126 .69051 .39665 Metetra
.584 .738 .949 r
.69051 .39665 .69363 .40126 .70037 .39977 .69726 .39514 Metetra
.592 .741 .947 r
.69726 .39514 .70037 .39977 .70712 .39816 .70402 .39352 Metetra
.6 .744 .946 r
.70402 .39352 .70712 .39816 .71389 .39642 .7108 .39177 Metetra
.608 .748 .944 r
.7108 .39177 .71389 .39642 .72067 .39455 .71759 .38989 Metetra
.616 .751 .942 r
.71759 .38989 .72067 .39455 .72746 .39253 .72439 .38786 Metetra
.624 .755 .94 r
.72439 .38786 .72746 .39253 .73427 .39037 .73121 .38569 Metetra
.633 .758 .938 r
.73121 .38569 .73427 .39037 .74108 .38806 .73803 .38336 Metetra
.641 .762 .936 r
.73803 .38336 .74108 .38806 .7479 .38558 .74487 .38088 Metetra
.65 .765 .933 r
.74487 .38088 .7479 .38558 .75473 .38294 .75171 .37823 Metetra
.659 .769 .931 r
.75171 .37823 .75473 .38294 .76157 .38013 .75856 .3754 Metetra
.668 .772 .928 r
.75856 .3754 .76157 .38013 .76841 .37714 .76541 .3724 Metetra
.677 .775 .925 r
.76541 .3724 .76841 .37714 .77526 .37397 .77227 .36922 Metetra
.686 .779 .922 r
.77227 .36922 .77526 .37397 .78211 .37061 .77914 .36584 Metetra
.694 .782 .918 r
.77914 .36584 .78211 .37061 .78896 .36705 .786 .36227 Metetra
.703 .785 .915 r
.786 .36227 .78896 .36705 .79581 .36329 .79286 .3585 Metetra
.712 .788 .911 r
.79286 .3585 .79581 .36329 .80266 .35933 .79973 .35452 Metetra
.721 .791 .908 r
.79973 .35452 .80266 .35933 .80951 .35515 .80659 .35033 Metetra
.729 .794 .904 r
.80659 .35033 .80951 .35515 .81635 .35076 .81345 .34593 Metetra
.738 .797 .9 r
.81345 .34593 .81635 .35076 .82319 .34615 .8203 .3413 Metetra
.746 .8 .895 r
.8203 .3413 .82319 .34615 .83002 .34132 .82714 .33646 Metetra
.754 .802 .891 r
.82714 .33646 .83002 .34132 .83685 .33626 .83398 .33138 Metetra
.866 .775 .759 r
.20263 .67374 .20661 .67737 .21299 .66632 .20903 .66266 Metetra
.864 .776 .763 r
.20903 .66266 .21299 .66632 .21934 .65556 .21539 .65188 Metetra
.862 .777 .767 r
.21539 .65188 .21934 .65556 .22566 .6451 .22172 .64141 Metetra
.859 .778 .771 r
.22172 .64141 .22566 .6451 .23194 .63494 .22803 .63122 Metetra
.857 .779 .775 r
.22803 .63122 .23194 .63494 .2382 .62507 .2343 .62133 Metetra
.854 .78 .779 r
.2343 .62133 .2382 .62507 .24442 .61548 .24054 .61173 Metetra
.851 .781 .783 r
.24054 .61173 .24442 .61548 .25062 .60618 .24676 .60241 Metetra
.848 .782 .787 r
.24676 .60241 .25062 .60618 .2568 .59716 .25295 .59338 Metetra
.845 .783 .792 r
.25295 .59338 .2568 .59716 .26295 .58842 .25912 .58462 Metetra
.841 .784 .796 r
.25912 .58462 .26295 .58842 .26908 .57995 .26526 .57613 Metetra
.838 .784 .801 r
.26526 .57613 .26908 .57995 .27519 .57176 .27138 .56792 Metetra
.834 .785 .805 r
.27138 .56792 .27519 .57176 .28128 .56383 .27748 .55997 Metetra
.83 .786 .81 r
.27748 .55997 .28128 .56383 .28735 .55616 .28357 .55229 Metetra
.826 .786 .815 r
.28357 .55229 .28735 .55616 .2934 .54875 .28963 .54486 Metetra
.821 .787 .82 r
.28963 .54486 .2934 .54875 .29943 .54159 .29568 .53769 Metetra
.817 .787 .825 r
.29568 .53769 .29943 .54159 .30546 .53469 .30172 .53078 Metetra
.812 .788 .83 r
.30172 .53078 .30546 .53469 .31146 .52804 .30774 .52411 Metetra
.807 .788 .835 r
.30774 .52411 .31146 .52804 .31746 .52162 .31375 .51768 Metetra
.801 .788 .84 r
.31375 .51768 .31746 .52162 .32344 .51545 .31974 .5115 Metetra
.796 .788 .845 r
.31974 .5115 .32344 .51545 .32942 .50952 .32573 .50554 Metetra
.79 .788 .851 r
.32573 .50554 .32942 .50952 .33538 .50381 .33171 .49983 Metetra
.784 .788 .856 r
.33171 .49983 .33538 .50381 .34134 .49833 .33768 .49434 Metetra
.778 .788 .861 r
.33768 .49434 .34134 .49833 .3473 .49308 .34364 .48907 Metetra
.771 .787 .866 r
.34364 .48907 .3473 .49308 .35324 .48804 .3496 .48402 Metetra
.765 .787 .871 r
.3496 .48402 .35324 .48804 .35919 .48322 .35556 .47918 Metetra
.758 .786 .876 r
.35556 .47918 .35919 .48322 .36513 .47861 .36151 .47456 Metetra
.75 .785 .881 r
.36151 .47456 .36513 .47861 .37107 .4742 .36746 .47014 Metetra
.743 .784 .886 r
.36746 .47014 .37107 .4742 .37701 .47 .37341 .46593 Metetra
.735 .783 .891 r
.37341 .46593 .37701 .47 .38295 .46599 .37936 .46191 Metetra
.727 .782 .896 r
.37936 .46191 .38295 .46599 .38889 .46217 .38531 .45808 Metetra
.719 .78 .9 r
.38531 .45808 .38889 .46217 .39483 .45854 .39126 .45444 Metetra
.711 .778 .905 r
.39126 .45444 .39483 .45854 .40078 .4551 .39722 .45098 Metetra
.702 .777 .909 r
.39722 .45098 .40078 .4551 .40673 .45183 .40318 .4477 Metetra
.694 .775 .914 r
.40318 .4477 .40673 .45183 .41269 .44873 .40915 .44459 Metetra
.685 .772 .918 r
.40915 .44459 .41269 .44873 .41866 .4458 .41513 .44165 Metetra
.676 .77 .921 r
.41513 .44165 .41866 .4458 .42463 .44304 .42111 .43888 Metetra
.667 .768 .925 r
.42111 .43888 .42463 .44304 .43061 .44043 .4271 .43626 Metetra
.658 .765 .929 r
.4271 .43626 .43061 .44043 .4366 .43797 .4331 .4338 Metetra
.649 .762 .932 r
.4331 .4338 .4366 .43797 .4426 .43567 .43911 .43148 Metetra
.64 .76 .935 r
.43911 .43148 .4426 .43567 .44861 .4335 .44513 .4293 Metetra
.631 .757 .938 r
.44513 .4293 .44861 .4335 .45464 .43147 .45116 .42726 Metetra
.623 .754 .94 r
.45116 .42726 .45464 .43147 .46068 .42957 .45721 .42536 Metetra
.614 .751 .943 r
.45721 .42536 .46068 .42957 .46673 .4278 .46327 .42357 Metetra
.605 .748 .945 r
.46327 .42357 .46673 .4278 .47279 .42615 .46934 .42191 Metetra
.597 .745 .947 r
.46934 .42191 .47279 .42615 .47887 .42461 .47543 .42037 Metetra
.589 .742 .949 r
.47543 .42037 .47887 .42461 .48497 .42318 .48154 .41893 Metetra
.581 .739 .951 r
.48154 .41893 .48497 .42318 .49108 .42186 .48766 .41759 Metetra
.573 .736 .952 r
.48766 .41759 .49108 .42186 .49721 .42063 .49379 .41635 Metetra
.566 .733 .954 r
.49379 .41635 .49721 .42063 .50336 .41949 .49995 .4152 Metetra
.559 .73 .955 r
.49995 .4152 .50336 .41949 .50952 .41843 .50612 .41414 Metetra
.553 .728 .956 r
.50612 .41414 .50952 .41843 .51571 .41746 .51231 .41316 Metetra
.547 .725 .957 r
.51231 .41316 .51571 .41746 .52191 .41655 .51853 .41224 Metetra
.541 .723 .957 r
.51853 .41224 .52191 .41655 .52813 .41572 .52476 .4114 Metetra
.536 .721 .958 r
.52476 .4114 .52813 .41572 .53437 .41494 .53101 .41061 Metetra
.532 .719 .959 r
.53101 .41061 .53437 .41494 .54064 .41421 .53728 .40988 Metetra
.528 .717 .959 r
.53728 .40988 .54064 .41421 .54692 .41354 .54357 .40919 Metetra
.524 .715 .96 r
.54357 .40919 .54692 .41354 .55322 .4129 .54988 .40855 Metetra
.521 .714 .96 r
.54988 .40855 .55322 .4129 .55955 .4123 .55622 .40793 Metetra
.519 .713 .96 r
.55622 .40793 .55955 .4123 .5659 .41172 .56257 .40735 Metetra
.517 .712 .96 r
.56257 .40735 .5659 .41172 .57226 .41116 .56895 .40678 Metetra
.516 .711 .96 r
.56895 .40678 .57226 .41116 .57865 .41062 .57535 .40623 Metetra
.515 .711 .96 r
.57535 .40623 .57865 .41062 .58507 .41008 .58177 .40569 Metetra
.515 .711 .96 r
.58177 .40569 .58507 .41008 .5915 .40954 .58821 .40514 Metetra
.515 .711 .96 r
.58821 .40514 .5915 .40954 .59796 .409 .59468 .40459 Metetra
.516 .712 .96 r
.59468 .40459 .59796 .409 .60443 .40844 .60117 .40402 Metetra
.518 .712 .96 r
.60117 .40402 .60443 .40844 .61093 .40786 .60767 .40343 Metetra
.52 .713 .96 r
.60767 .40343 .61093 .40786 .61745 .40725 .6142 .40281 Metetra
.523 .715 .96 r
.6142 .40281 .61745 .40725 .62399 .40661 .62075 .40216 Metetra
.526 .716 .959 r
.62075 .40216 .62399 .40661 .63056 .40592 .62733 .40146 Metetra
.53 .718 .959 r
.62733 .40146 .63056 .40592 .63714 .40518 .63392 .40072 Metetra
.534 .72 .959 r
.63392 .40072 .63714 .40518 .64375 .40439 .64053 .39991 Metetra
.539 .722 .958 r
.64053 .39991 .64375 .40439 .65037 .40353 .64717 .39905 Metetra
.544 .724 .958 r
.64717 .39905 .65037 .40353 .65701 .4026 .65382 .39811 Metetra
.549 .727 .957 r
.65382 .39811 .65701 .4026 .66368 .4016 .6605 .39709 Metetra
.555 .73 .956 r
.6605 .39709 .66368 .4016 .67036 .40051 .66719 .39599 Metetra
.562 .732 .955 r
.66719 .39599 .67036 .40051 .67706 .39932 .6739 .3948 Metetra
.568 .735 .954 r
.6739 .3948 .67706 .39932 .68377 .39804 .68062 .3935 Metetra
.575 .739 .953 r
.68062 .3935 .68377 .39804 .69051 .39665 .68737 .3921 Metetra
.583 .742 .952 r
.68737 .3921 .69051 .39665 .69726 .39514 .69413 .39059 Metetra
.591 .745 .95 r
.69413 .39059 .69726 .39514 .70402 .39352 .7009 .38895 Metetra
.598 .749 .949 r
.7009 .38895 .70402 .39352 .7108 .39177 .70769 .38719 Metetra
.607 .752 .947 r
.70769 .38719 .7108 .39177 .71759 .38989 .7145 .3853 Metetra
.615 .755 .945 r
.7145 .3853 .71759 .38989 .72439 .38786 .72131 .38326 Metetra
.623 .759 .943 r
.72131 .38326 .72439 .38786 .73121 .38569 .72814 .38108 Metetra
.632 .763 .941 r
.72814 .38108 .73121 .38569 .73803 .38336 .73497 .37874 Metetra
.641 .766 .939 r
.73497 .37874 .73803 .38336 .74487 .38088 .74182 .37624 Metetra
.65 .77 .936 r
.74182 .37624 .74487 .38088 .75171 .37823 .74868 .37358 Metetra
.659 .773 .934 r
.74868 .37358 .75171 .37823 .75856 .3754 .75554 .37075 Metetra
.668 .777 .931 r
.75554 .37075 .75856 .3754 .76541 .3724 .76241 .36773 Metetra
.677 .78 .928 r
.76241 .36773 .76541 .3724 .77227 .36922 .76928 .36453 Metetra
.686 .783 .925 r
.76928 .36453 .77227 .36922 .77914 .36584 .77615 .36114 Metetra
.695 .786 .921 r
.77615 .36114 .77914 .36584 .786 .36227 .78303 .35756 Metetra
.703 .79 .918 r
.78303 .35756 .786 .36227 .79286 .3585 .78991 .35377 Metetra
.712 .793 .914 r
.78991 .35377 .79286 .3585 .79973 .35452 .79679 .34978 Metetra
.721 .796 .91 r
.79679 .34978 .79973 .35452 .80659 .35033 .80366 .34558 Metetra
.73 .799 .906 r
.80366 .34558 .80659 .35033 .81345 .34593 .81053 .34116 Metetra
.738 .801 .902 r
.81053 .34116 .81345 .34593 .8203 .3413 .8174 .33652 Metetra
.747 .804 .898 r
.8174 .33652 .8203 .3413 .82714 .33646 .82426 .33166 Metetra
.755 .807 .894 r
.82426 .33166 .82714 .33646 .83398 .33138 .83111 .32657 Metetra
.868 .778 .76 r
.19862 .67018 .20263 .67374 .20903 .66266 .20504 .65908 Metetra
.865 .779 .764 r
.20504 .65908 .20903 .66266 .21539 .65188 .21142 .64828 Metetra
.863 .78 .768 r
.21142 .64828 .21539 .65188 .22172 .64141 .21777 .63779 Metetra
.861 .781 .772 r
.21777 .63779 .22172 .64141 .22803 .63122 .22409 .62758 Metetra
.858 .782 .776 r
.22409 .62758 .22803 .63122 .2343 .62133 .23038 .61767 Metetra
.855 .783 .78 r
.23038 .61767 .2343 .62133 .24054 .61173 .23664 .60805 Metetra
.852 .784 .784 r
.23664 .60805 .24054 .61173 .24676 .60241 .24287 .59872 Metetra
.849 .785 .788 r
.24287 .59872 .24676 .60241 .25295 .59338 .24907 .58966 Metetra
.846 .786 .793 r
.24907 .58966 .25295 .59338 .25912 .58462 .25526 .58089 Metetra
.843 .787 .797 r
.25526 .58089 .25912 .58462 .26526 .57613 .26142 .57239 Metetra
.839 .787 .802 r
.26142 .57239 .26526 .57613 .27138 .56792 .26755 .56415 Metetra
.835 .788 .807 r
.26755 .56415 .27138 .56792 .27748 .55997 .27367 .55619 Metetra
.831 .789 .812 r
.27367 .55619 .27748 .55997 .28357 .55229 .27977 .54849 Metetra
.827 .79 .817 r
.27977 .54849 .28357 .55229 .28963 .54486 .28585 .54105 Metetra
.823 .79 .822 r
.28585 .54105 .28963 .54486 .29568 .53769 .29191 .53387 Metetra
.818 .791 .827 r
.29191 .53387 .29568 .53769 .30172 .53078 .29796 .52693 Metetra
.813 .791 .832 r
.29796 .52693 .30172 .53078 .30774 .52411 .30399 .52025 Metetra
.808 .792 .837 r
.30399 .52025 .30774 .52411 .31375 .51768 .31001 .51381 Metetra
.803 .792 .842 r
.31001 .51381 .31375 .51768 .31974 .5115 .31602 .50761 Metetra
.797 .792 .847 r
.31602 .50761 .31974 .5115 .32573 .50554 .32202 .50165 Metetra
.791 .792 .853 r
.32202 .50165 .32573 .50554 .33171 .49983 .32801 .49591 Metetra
.785 .792 .858 r
.32801 .49591 .33171 .49983 .33768 .49434 .33399 .49041 Metetra
.779 .792 .863 r
.33399 .49041 .33768 .49434 .34364 .48907 .33997 .48513 Metetra
.773 .791 .868 r
.33997 .48513 .34364 .48907 .3496 .48402 .34594 .48007 Metetra
.766 .791 .873 r
.34594 .48007 .3496 .48402 .35556 .47918 .3519 .47522 Metetra
.759 .79 .879 r
.3519 .47522 .35556 .47918 .36151 .47456 .35787 .47058 Metetra
.751 .789 .884 r
.35787 .47058 .36151 .47456 .36746 .47014 .36383 .46615 Metetra
.744 .788 .889 r
.36383 .46615 .36746 .47014 .37341 .46593 .36979 .46192 Metetra
.736 .787 .894 r
.36979 .46192 .37341 .46593 .37936 .46191 .37575 .45789 Metetra
.728 .786 .899 r
.37575 .45789 .37936 .46191 .38531 .45808 .38171 .45405 Metetra
.72 .784 .903 r
.38171 .45405 .38531 .45808 .39126 .45444 .38768 .4504 Metetra
.711 .783 .908 r
.38768 .4504 .39126 .45444 .39722 .45098 .39364 .44693 Metetra
.703 .781 .912 r
.39364 .44693 .39722 .45098 .40318 .4477 .39961 .44364 Metetra
.694 .779 .916 r
.39961 .44364 .40318 .4477 .40915 .44459 .40559 .44052 Metetra
.685 .777 .921 r
.40559 .44052 .40915 .44459 .41513 .44165 .41158 .43757 Metetra
.676 .775 .924 r
.41158 .43757 .41513 .44165 .42111 .43888 .41757 .43479 Metetra
.667 .772 .928 r
.41757 .43479 .42111 .43888 .4271 .43626 .42357 .43216 Metetra
.658 .77 .932 r
.42357 .43216 .4271 .43626 .4331 .4338 .42958 .42969 Metetra
.649 .767 .935 r
.42958 .42969 .4331 .4338 .43911 .43148 .4356 .42736 Metetra
.64 .764 .938 r
.4356 .42736 .43911 .43148 .44513 .4293 .44163 .42517 Metetra
.631 .761 .941 r
.44163 .42517 .44513 .4293 .45116 .42726 .44767 .42312 Metetra
.622 .758 .944 r
.44767 .42312 .45116 .42726 .45721 .42536 .45372 .42121 Metetra
.613 .755 .946 r
.45372 .42121 .45721 .42536 .46327 .42357 .45979 .41942 Metetra
.604 .752 .948 r
.45979 .41942 .46327 .42357 .46934 .42191 .46588 .41774 Metetra
.596 .749 .951 r
.46588 .41774 .46934 .42191 .47543 .42037 .47197 .41619 Metetra
.587 .746 .952 r
.47197 .41619 .47543 .42037 .48154 .41893 .47809 .41474 Metetra
.579 .743 .954 r
.47809 .41474 .48154 .41893 .48766 .41759 .48422 .4134 Metetra
.572 .74 .956 r
.48422 .4134 .48766 .41759 .49379 .41635 .49036 .41215 Metetra
.564 .737 .957 r
.49036 .41215 .49379 .41635 .49995 .4152 .49653 .41099 Metetra
.557 .734 .958 r
.49653 .41099 .49995 .4152 .50612 .41414 .50271 .40992 Metetra
.551 .732 .959 r
.50271 .40992 .50612 .41414 .51231 .41316 .50891 .40893 Metetra
.545 .729 .96 r
.50891 .40893 .51231 .41316 .51853 .41224 .51513 .408 Metetra
.539 .727 .961 r
.51513 .408 .51853 .41224 .52476 .4114 .52137 .40715 Metetra
.534 .724 .961 r
.52137 .40715 .52476 .4114 .53101 .41061 .52763 .40635 Metetra
.529 .722 .962 r
.52763 .40635 .53101 .41061 .53728 .40988 .53391 .40561 Metetra
.525 .72 .962 r
.53391 .40561 .53728 .40988 .54357 .40919 .54021 .40492 Metetra
.521 .719 .963 r
.54021 .40492 .54357 .40919 .54988 .40855 .54653 .40426 Metetra
.518 .718 .963 r
.54653 .40426 .54988 .40855 .55622 .40793 .55287 .40364 Metetra
.516 .716 .963 r
.55287 .40364 .55622 .40793 .56257 .40735 .55924 .40305 Metetra
.514 .716 .963 r
.55924 .40305 .56257 .40735 .56895 .40678 .56562 .40247 Metetra
.513 .715 .963 r
.56562 .40247 .56895 .40678 .57535 .40623 .57203 .40191 Metetra
.512 .715 .963 r
.57203 .40191 .57535 .40623 .58177 .40569 .57846 .40136 Metetra
.512 .715 .963 r
.57846 .40136 .58177 .40569 .58821 .40514 .58491 .40081 Metetra
.512 .715 .963 r
.58491 .40081 .58821 .40514 .59468 .40459 .59139 .40024 Metetra
.513 .715 .963 r
.59139 .40024 .59468 .40459 .60117 .40402 .59788 .39967 Metetra
.515 .716 .963 r
.59788 .39967 .60117 .40402 .60767 .40343 .6044 .39907 Metetra
.517 .717 .963 r
.6044 .39907 .60767 .40343 .6142 .40281 .61094 .39844 Metetra
.52 .718 .963 r
.61094 .39844 .6142 .40281 .62075 .40216 .6175 .39778 Metetra
.523 .72 .963 r
.6175 .39778 .62075 .40216 .62733 .40146 .62408 .39707 Metetra
.527 .722 .962 r
.62408 .39707 .62733 .40146 .63392 .40072 .63069 .39632 Metetra
.531 .724 .962 r
.63069 .39632 .63392 .40072 .64053 .39991 .63731 .39551 Metetra
.536 .726 .961 r
.63731 .39551 .64053 .39991 .64717 .39905 .64396 .39463 Metetra
.541 .728 .961 r
.64396 .39463 .64717 .39905 .65382 .39811 .65062 .39368 Metetra
.547 .731 .96 r
.65062 .39368 .65382 .39811 .6605 .39709 .6573 .39266 Metetra
.553 .733 .959 r
.6573 .39266 .6605 .39709 .66719 .39599 .66401 .39155 Metetra
.56 .736 .958 r
.66401 .39155 .66719 .39599 .6739 .3948 .67073 .39034 Metetra
.567 .739 .957 r
.67073 .39034 .6739 .3948 .68062 .3935 .67746 .38904 Metetra
.574 .743 .956 r
.67746 .38904 .68062 .3935 .68737 .3921 .68422 .38763 Metetra
.581 .746 .955 r
.68422 .38763 .68737 .3921 .69413 .39059 .69099 .3861 Metetra
.589 .749 .954 r
.69099 .3861 .69413 .39059 .7009 .38895 .69778 .38446 Metetra
.597 .753 .952 r
.69778 .38446 .7009 .38895 .70769 .38719 .70458 .38269 Metetra
.605 .756 .95 r
.70458 .38269 .70769 .38719 .7145 .3853 .71139 .38078 Metetra
.614 .76 .949 r
.71139 .38078 .7145 .3853 .72131 .38326 .71822 .37873 Metetra
.623 .763 .947 r
.71822 .37873 .72131 .38326 .72814 .38108 .72506 .37654 Metetra
.631 .767 .944 r
.72506 .37654 .72814 .38108 .73497 .37874 .73191 .37419 Metetra
.64 .77 .942 r
.73191 .37419 .73497 .37874 .74182 .37624 .73877 .37168 Metetra
.649 .774 .94 r
.73877 .37168 .74182 .37624 .74868 .37358 .74563 .36901 Metetra
.658 .778 .937 r
.74563 .36901 .74868 .37358 .75554 .37075 .75251 .36616 Metetra
.667 .781 .934 r
.75251 .36616 .75554 .37075 .76241 .36773 .75939 .36313 Metetra
.676 .784 .931 r
.75939 .36313 .76241 .36773 .76928 .36453 .76628 .35992 Metetra
.686 .788 .928 r
.76628 .35992 .76928 .36453 .77615 .36114 .77316 .35652 Metetra
.695 .791 .924 r
.77316 .35652 .77615 .36114 .78303 .35756 .78006 .35292 Metetra
.704 .794 .921 r
.78006 .35292 .78303 .35756 .78991 .35377 .78695 .34912 Metetra
.713 .797 .917 r
.78695 .34912 .78991 .35377 .79679 .34978 .79384 .34512 Metetra
.722 .8 .913 r
.79384 .34512 .79679 .34978 .80366 .34558 .80073 .3409 Metetra
.73 .803 .909 r
.80073 .3409 .80366 .34558 .81053 .34116 .80761 .33647 Metetra
.739 .806 .905 r
.80761 .33647 .81053 .34116 .8174 .33652 .81449 .33182 Metetra
.748 .809 .901 r
.81449 .33182 .8174 .33652 .82426 .33166 .82137 .32694 Metetra
.756 .811 .896 r
.82137 .32694 .82426 .33166 .83111 .32657 .82823 .32183 Metetra
.869 .78 .761 r
.19458 .6667 .19862 .67018 .20504 .65908 .20102 .65558 Metetra
.867 .781 .765 r
.20102 .65558 .20504 .65908 .21142 .64828 .20742 .64476 Metetra
.865 .783 .768 r
.20742 .64476 .21142 .64828 .21777 .63779 .21379 .63424 Metetra
.862 .784 .772 r
.21379 .63424 .21777 .63779 .22409 .62758 .22012 .62402 Metetra
.859 .785 .777 r
.22012 .62402 .22409 .62758 .23038 .61767 .22643 .61409 Metetra
.857 .786 .781 r
.22643 .61409 .23038 .61767 .23664 .60805 .23271 .60445 Metetra
.854 .787 .785 r
.23271 .60445 .23664 .60805 .24287 .59872 .23896 .5951 Metetra
.851 .788 .79 r
.23896 .5951 .24287 .59872 .24907 .58966 .24518 .58602 Metetra
.848 .789 .794 r
.24518 .58602 .24907 .58966 .25526 .58089 .25138 .57723 Metetra
.844 .79 .799 r
.25138 .57723 .25526 .58089 .26142 .57239 .25755 .56871 Metetra
.841 .791 .803 r
.25755 .56871 .26142 .57239 .26755 .56415 .2637 .56046 Metetra
.837 .791 .808 r
.2637 .56046 .26755 .56415 .27367 .55619 .26983 .55248 Metetra
.833 .792 .813 r
.26983 .55248 .27367 .55619 .27977 .54849 .27594 .54477 Metetra
.829 .793 .818 r
.27594 .54477 .27977 .54849 .28585 .54105 .28204 .53731 Metetra
.824 .794 .823 r
.28204 .53731 .28585 .54105 .29191 .53387 .28811 .53011 Metetra
.82 .794 .828 r
.28811 .53011 .29191 .53387 .29796 .52693 .29418 .52316 Metetra
.815 .795 .833 r
.29418 .52316 .29796 .52693 .30399 .52025 .30022 .51647 Metetra
.81 .795 .839 r
.30022 .51647 .30399 .52025 .31001 .51381 .30626 .51001 Metetra
.804 .796 .844 r
.30626 .51001 .31001 .51381 .31602 .50761 .31228 .5038 Metetra
.799 .796 .849 r
.31228 .5038 .31602 .50761 .32202 .50165 .31829 .49782 Metetra
.793 .796 .855 r
.31829 .49782 .32202 .50165 .32801 .49591 .32429 .49207 Metetra
.787 .796 .86 r
.32429 .49207 .32801 .49591 .33399 .49041 .33029 .48655 Metetra
.78 .796 .865 r
.33029 .48655 .33399 .49041 .33997 .48513 .33627 .48126 Metetra
.774 .795 .871 r
.33627 .48126 .33997 .48513 .34594 .48007 .34226 .47618 Metetra
.767 .795 .876 r
.34226 .47618 .34594 .48007 .3519 .47522 .34823 .47133 Metetra
.76 .794 .881 r
.34823 .47133 .3519 .47522 .35787 .47058 .35421 .46668 Metetra
.752 .793 .886 r
.35421 .46668 .35787 .47058 .36383 .46615 .36018 .46223 Metetra
.745 .793 .891 r
.36018 .46223 .36383 .46615 .36979 .46192 .36615 .45799 Metetra
.737 .791 .896 r
.36615 .45799 .36979 .46192 .37575 .45789 .37212 .45395 Metetra
.729 .79 .901 r
.37212 .45395 .37575 .45789 .38171 .45405 .37809 .4501 Metetra
.72 .789 .906 r
.37809 .4501 .38171 .45405 .38768 .4504 .38407 .44644 Metetra
.712 .787 .911 r
.38407 .44644 .38768 .4504 .39364 .44693 .39005 .44296 Metetra
.703 .785 .915 r
.39005 .44296 .39364 .44693 .39961 .44364 .39603 .43965 Metetra
.694 .783 .919 r
.39603 .43965 .39961 .44364 .40559 .44052 .40202 .43653 Metetra
.685 .781 .924 r
.40202 .43653 .40559 .44052 .41158 .43757 .40801 .43357 Metetra
.676 .779 .928 r
.40801 .43357 .41158 .43757 .41757 .43479 .41401 .43077 Metetra
.667 .776 .931 r
.41401 .43077 .41757 .43479 .42357 .43216 .42002 .42813 Metetra
.658 .774 .935 r
.42002 .42813 .42357 .43216 .42958 .42969 .42604 .42565 Metetra
.648 .771 .938 r
.42604 .42565 .42958 .42969 .4356 .42736 .43207 .42331 Metetra
.639 .768 .941 r
.43207 .42331 .4356 .42736 .44163 .42517 .43811 .42111 Metetra
.63 .765 .944 r
.43811 .42111 .44163 .42517 .44767 .42312 .44416 .41905 Metetra
.621 .762 .947 r
.44416 .41905 .44767 .42312 .45372 .42121 .45022 .41713 Metetra
.612 .759 .949 r
.45022 .41713 .45372 .42121 .45979 .41942 .4563 .41533 Metetra
.603 .756 .952 r
.4563 .41533 .45979 .41942 .46588 .41774 .46239 .41365 Metetra
.594 .753 .954 r
.46239 .41365 .46588 .41774 .47197 .41619 .4685 .41208 Metetra
.586 .75 .956 r
.4685 .41208 .47197 .41619 .47809 .41474 .47462 .41062 Metetra
.578 .747 .957 r
.47462 .41062 .47809 .41474 .48422 .4134 .48076 .40927 Metetra
.57 .744 .959 r
.48076 .40927 .48422 .4134 .49036 .41215 .48691 .40801 Metetra
.562 .741 .96 r
.48691 .40801 .49036 .41215 .49653 .41099 .49309 .40685 Metetra
.555 .738 .961 r
.49309 .40685 .49653 .41099 .50271 .40992 .49928 .40577 Metetra
.549 .735 .962 r
.49928 .40577 .50271 .40992 .50891 .40893 .50549 .40477 Metetra
.542 .733 .963 r
.50549 .40477 .50891 .40893 .51513 .408 .51172 .40384 Metetra
.537 .73 .964 r
.51172 .40384 .51513 .408 .52137 .40715 .51796 .40297 Metetra
.531 .728 .964 r
.51796 .40297 .52137 .40715 .52763 .40635 .52423 .40217 Metetra
.526 .726 .965 r
.52423 .40217 .52763 .40635 .53391 .40561 .53052 .40142 Metetra
.522 .724 .965 r
.53052 .40142 .53391 .40561 .54021 .40492 .53683 .40071 Metetra
.519 .723 .966 r
.53683 .40071 .54021 .40492 .54653 .40426 .54316 .40005 Metetra
.516 .721 .966 r
.54316 .40005 .54653 .40426 .55287 .40364 .54951 .39942 Metetra
.513 .72 .966 r
.54951 .39942 .55287 .40364 .55924 .40305 .55589 .39882 Metetra
.511 .719 .966 r
.55589 .39882 .55924 .40305 .56562 .40247 .56228 .39824 Metetra
.51 .719 .966 r
.56228 .39824 .56562 .40247 .57203 .40191 .5687 .39767 Metetra
.509 .718 .967 r
.5687 .39767 .57203 .40191 .57846 .40136 .57514 .39711 Metetra
.509 .718 .967 r
.57514 .39711 .57846 .40136 .58491 .40081 .5816 .39654 Metetra
.509 .718 .966 r
.5816 .39654 .58491 .40081 .59139 .40024 .58808 .39597 Metetra
.51 .719 .966 r
.58808 .39597 .59139 .40024 .59788 .39967 .59459 .39539 Metetra
.512 .72 .966 r
.59459 .39539 .59788 .39967 .6044 .39907 .60112 .39478 Metetra
.514 .721 .966 r
.60112 .39478 .6044 .39907 .61094 .39844 .60767 .39414 Metetra
.517 .722 .966 r
.60767 .39414 .61094 .39844 .6175 .39778 .61424 .39347 Metetra
.52 .723 .966 r
.61424 .39347 .6175 .39778 .62408 .39707 .62083 .39276 Metetra
.524 .725 .965 r
.62083 .39276 .62408 .39707 .63069 .39632 .62744 .39199 Metetra
.529 .727 .965 r
.62744 .39199 .63069 .39632 .63731 .39551 .63408 .39117 Metetra
.534 .73 .964 r
.63408 .39117 .63731 .39551 .64396 .39463 .64073 .39029 Metetra
.539 .732 .964 r
.64073 .39029 .64396 .39463 .65062 .39368 .64741 .38933 Metetra
.545 .735 .963 r
.64741 .38933 .65062 .39368 .6573 .39266 .6541 .3883 Metetra
.551 .737 .962 r
.6541 .3883 .6573 .39266 .66401 .39155 .66081 .38717 Metetra
.558 .74 .962 r
.66081 .38717 .66401 .39155 .67073 .39034 .66754 .38596 Metetra
.565 .743 .961 r
.66754 .38596 .67073 .39034 .67746 .38904 .67429 .38465 Metetra
.572 .747 .96 r
.67429 .38465 .67746 .38904 .68422 .38763 .68106 .38323 Metetra
.58 .75 .958 r
.68106 .38323 .68422 .38763 .69099 .3861 .68784 .38169 Metetra
.587 .753 .957 r
.68784 .38169 .69099 .3861 .69778 .38446 .69464 .38004 Metetra
.596 .757 .955 r
.69464 .38004 .69778 .38446 .70458 .38269 .70145 .37825 Metetra
.604 .76 .954 r
.70145 .37825 .70458 .38269 .71139 .38078 .70828 .37634 Metetra
.613 .764 .952 r
.70828 .37634 .71139 .38078 .71822 .37873 .71512 .37428 Metetra
.621 .768 .95 r
.71512 .37428 .71822 .37873 .72506 .37654 .72197 .37207 Metetra
.63 .771 .948 r
.72197 .37207 .72506 .37654 .73191 .37419 .72883 .36971 Metetra
.639 .775 .945 r
.72883 .36971 .73191 .37419 .73877 .37168 .7357 .36719 Metetra
.649 .779 .943 r
.7357 .36719 .73877 .37168 .74563 .36901 .74258 .36451 Metetra
.658 .782 .94 r
.74258 .36451 .74563 .36901 .75251 .36616 .74947 .36164 Metetra
.667 .786 .937 r
.74947 .36164 .75251 .36616 .75939 .36313 .75636 .35861 Metetra
.676 .789 .934 r
.75636 .35861 .75939 .36313 .76628 .35992 .76326 .35538 Metetra
.686 .792 .931 r
.76326 .35538 .76628 .35992 .77316 .35652 .77017 .35197 Metetra
.695 .796 .927 r
.77017 .35197 .77316 .35652 .78006 .35292 .77707 .34836 Metetra
.704 .799 .924 r
.77707 .34836 .78006 .35292 .78695 .34912 .78398 .34454 Metetra
.713 .802 .92 r
.78398 .34454 .78695 .34912 .79384 .34512 .79088 .34052 Metetra
.722 .805 .916 r
.79088 .34052 .79384 .34512 .80073 .3409 .79779 .33629 Metetra
.731 .808 .912 r
.79779 .33629 .80073 .3409 .80761 .33647 .80469 .33185 Metetra
.74 .811 .908 r
.80469 .33185 .80761 .33647 .81449 .33182 .81158 .32718 Metetra
.748 .813 .903 r
.81158 .32718 .81449 .33182 .82137 .32694 .81847 .32228 Metetra
.757 .816 .899 r
.81847 .32228 .82137 .32694 .82823 .32183 .82535 .31716 Metetra
.87 .783 .762 r
.19052 .66329 .19458 .6667 .20102 .65558 .19698 .65215 Metetra
.868 .784 .765 r
.19698 .65215 .20102 .65558 .20742 .64476 .2034 .64131 Metetra
.866 .785 .769 r
.2034 .64131 .20742 .64476 .21379 .63424 .20978 .63077 Metetra
.864 .786 .773 r
.20978 .63077 .21379 .63424 .22012 .62402 .21614 .62053 Metetra
.861 .788 .778 r
.21614 .62053 .22012 .62402 .22643 .61409 .22246 .61058 Metetra
.858 .789 .782 r
.22246 .61058 .22643 .61409 .23271 .60445 .22875 .60092 Metetra
.855 .79 .786 r
.22875 .60092 .23271 .60445 .23896 .5951 .23502 .59155 Metetra
.852 .791 .791 r
.23502 .59155 .23896 .5951 .24518 .58602 .24126 .58246 Metetra
.849 .792 .795 r
.24126 .58246 .24518 .58602 .25138 .57723 .24747 .57365 Metetra
.846 .793 .8 r
.24747 .57365 .25138 .57723 .25755 .56871 .25366 .56511 Metetra
.842 .794 .805 r
.25366 .56511 .25755 .56871 .2637 .56046 .25983 .55685 Metetra
.838 .795 .81 r
.25983 .55685 .2637 .56046 .26983 .55248 .26597 .54885 Metetra
.834 .796 .815 r
.26597 .54885 .26983 .55248 .27594 .54477 .2721 .54112 Metetra
.83 .796 .82 r
.2721 .54112 .27594 .54477 .28204 .53731 .27821 .53365 Metetra
.826 .797 .825 r
.27821 .53365 .28204 .53731 .28811 .53011 .2843 .52643 Metetra
.821 .798 .83 r
.2843 .52643 .28811 .53011 .29418 .52316 .29037 .51947 Metetra
.816 .798 .835 r
.29037 .51947 .29418 .52316 .30022 .51647 .29643 .51275 Metetra
.811 .799 .84 r
.29643 .51275 .30022 .51647 .30626 .51001 .30248 .50628 Metetra
.806 .799 .846 r
.30248 .50628 .30626 .51001 .31228 .5038 .30851 .50005 Metetra
.8 .8 .851 r
.30851 .50005 .31228 .5038 .31829 .49782 .31454 .49406 Metetra
.794 .8 .857 r
.31454 .49406 .31829 .49782 .32429 .49207 .32055 .4883 Metetra
.788 .8 .862 r
.32055 .4883 .32429 .49207 .33029 .48655 .32656 .48277 Metetra
.781 .8 .867 r
.32656 .48277 .33029 .48655 .33627 .48126 .33256 .47746 Metetra
.775 .799 .873 r
.33256 .47746 .33627 .48126 .34226 .47618 .33855 .47238 Metetra
.768 .799 .878 r
.33855 .47238 .34226 .47618 .34823 .47133 .34454 .4675 Metetra
.761 .798 .883 r
.34454 .4675 .34823 .47133 .35421 .46668 .35053 .46284 Metetra
.753 .798 .889 r
.35053 .46284 .35421 .46668 .36018 .46223 .35651 .45839 Metetra
.745 .797 .894 r
.35651 .45839 .36018 .46223 .36615 .45799 .36249 .45413 Metetra
.738 .796 .899 r
.36249 .45413 .36615 .45799 .37212 .45395 .36847 .45008 Metetra
.729 .794 .904 r
.36847 .45008 .37212 .45395 .37809 .4501 .37446 .44622 Metetra
.721 .793 .909 r
.37446 .44622 .37809 .4501 .38407 .44644 .38044 .44254 Metetra
.712 .791 .913 r
.38044 .44254 .38407 .44644 .39005 .44296 .38643 .43905 Metetra
.703 .79 .918 r
.38643 .43905 .39005 .44296 .39603 .43965 .39242 .43574 Metetra
.694 .788 .922 r
.39242 .43574 .39603 .43965 .40202 .43653 .39842 .4326 Metetra
.685 .786 .927 r
.39842 .4326 .40202 .43653 .40801 .43357 .40442 .42963 Metetra
.676 .783 .931 r
.40442 .42963 .40801 .43357 .41401 .43077 .41044 .42682 Metetra
.667 .781 .934 r
.41044 .42682 .41401 .43077 .42002 .42813 .41645 .42417 Metetra
.657 .778 .938 r
.41645 .42417 .42002 .42813 .42604 .42565 .42248 .42168 Metetra
.648 .776 .941 r
.42248 .42168 .42604 .42565 .43207 .42331 .42852 .41933 Metetra
.638 .773 .944 r
.42852 .41933 .43207 .42331 .43811 .42111 .43457 .41712 Metetra
.629 .77 .947 r
.43457 .41712 .43811 .42111 .44416 .41905 .44063 .41506 Metetra
.62 .767 .95 r
.44063 .41506 .44416 .41905 .45022 .41713 .4467 .41312 Metetra
.611 .764 .953 r
.4467 .41312 .45022 .41713 .4563 .41533 .45279 .41131 Metetra
.602 .761 .955 r
.45279 .41131 .4563 .41533 .46239 .41365 .45889 .40962 Metetra
.593 .757 .957 r
.45889 .40962 .46239 .41365 .4685 .41208 .46501 .40804 Metetra
.584 .754 .959 r
.46501 .40804 .4685 .41208 .47462 .41062 .47114 .40658 Metetra
.576 .751 .96 r
.47114 .40658 .47462 .41062 .48076 .40927 .47729 .40522 Metetra
.568 .748 .962 r
.47729 .40522 .48076 .40927 .48691 .40801 .48345 .40395 Metetra
.56 .745 .963 r
.48345 .40395 .48691 .40801 .49309 .40685 .48963 .40278 Metetra
.553 .742 .964 r
.48963 .40278 .49309 .40685 .49928 .40577 .49583 .40169 Metetra
.546 .739 .965 r
.49583 .40169 .49928 .40577 .50549 .40477 .50205 .40068 Metetra
.54 .737 .966 r
.50205 .40068 .50549 .40477 .51172 .40384 .50829 .39974 Metetra
.534 .734 .967 r
.50829 .39974 .51172 .40384 .51796 .40297 .51454 .39887 Metetra
.529 .732 .967 r
.51454 .39887 .51796 .40297 .52423 .40217 .52082 .39805 Metetra
.524 .73 .968 r
.52082 .39805 .52423 .40217 .53052 .40142 .52712 .39729 Metetra
.519 .728 .968 r
.52712 .39729 .53052 .40142 .53683 .40071 .53344 .39658 Metetra
.516 .726 .969 r
.53344 .39658 .53683 .40071 .54316 .40005 .53978 .39591 Metetra
.513 .725 .969 r
.53978 .39591 .54316 .40005 .54951 .39942 .54614 .39527 Metetra
.51 .724 .969 r
.54614 .39527 .54951 .39942 .55589 .39882 .55252 .39466 Metetra
.508 .723 .969 r
.55252 .39466 .55589 .39882 .56228 .39824 .55893 .39407 Metetra
.507 .722 .969 r
.55893 .39407 .56228 .39824 .5687 .39767 .56535 .39349 Metetra
.506 .722 .969 r
.56535 .39349 .5687 .39767 .57514 .39711 .5718 .39292 Metetra
.506 .722 .969 r
.5718 .39292 .57514 .39711 .5816 .39654 .57827 .39235 Metetra
.506 .722 .969 r
.57827 .39235 .5816 .39654 .58808 .39597 .58477 .39177 Metetra
.507 .722 .969 r
.58477 .39177 .58808 .39597 .59459 .39539 .59128 .39118 Metetra
.509 .723 .969 r
.59128 .39118 .59459 .39539 .60112 .39478 .59782 .39056 Metetra
.511 .724 .969 r
.59782 .39056 .60112 .39478 .60767 .39414 .60438 .38992 Metetra
.514 .726 .969 r
.60438 .38992 .60767 .39414 .61424 .39347 .61096 .38924 Metetra
.518 .727 .969 r
.61096 .38924 .61424 .39347 .62083 .39276 .61756 .38851 Metetra
.522 .729 .968 r
.61756 .38851 .62083 .39276 .62744 .39199 .62418 .38774 Metetra
.526 .731 .968 r
.62418 .38774 .62744 .39199 .63408 .39117 .63083 .38691 Metetra
.531 .733 .967 r
.63083 .38691 .63408 .39117 .64073 .39029 .63749 .38602 Metetra
.536 .736 .967 r
.63749 .38602 .64073 .39029 .64741 .38933 .64418 .38505 Metetra
.542 .738 .966 r
.64418 .38505 .64741 .38933 .6541 .3883 .65088 .38401 Metetra
.549 .741 .966 r
.65088 .38401 .6541 .3883 .66081 .38717 .65761 .38288 Metetra
.555 .744 .965 r
.65761 .38288 .66081 .38717 .66754 .38596 .66435 .38165 Metetra
.562 .747 .964 r
.66435 .38165 .66754 .38596 .67429 .38465 .67111 .38033 Metetra
.57 .751 .963 r
.67111 .38033 .67429 .38465 .68106 .38323 .67789 .3789 Metetra
.578 .754 .961 r
.67789 .3789 .68106 .38323 .68784 .38169 .68468 .37735 Metetra
.586 .758 .96 r
.68468 .37735 .68784 .38169 .69464 .38004 .69149 .37569 Metetra
.594 .761 .959 r
.69149 .37569 .69464 .38004 .70145 .37825 .69832 .37389 Metetra
.603 .765 .957 r
.69832 .37389 .70145 .37825 .70828 .37634 .70516 .37197 Metetra
.611 .768 .955 r
.70516 .37197 .70828 .37634 .71512 .37428 .71201 .3699 Metetra
.62 .772 .953 r
.71201 .3699 .71512 .37428 .72197 .37207 .71887 .36768 Metetra
.629 .776 .951 r
.71887 .36768 .72197 .37207 .72883 .36971 .72574 .36531 Metetra
.639 .779 .948 r
.72574 .36531 .72883 .36971 .7357 .36719 .73263 .36278 Metetra
.648 .783 .946 r
.73263 .36278 .7357 .36719 .74258 .36451 .73952 .36008 Metetra
.657 .787 .943 r
.73952 .36008 .74258 .36451 .74947 .36164 .74642 .3572 Metetra
.667 .79 .94 r
.74642 .3572 .74947 .36164 .75636 .35861 .75333 .35415 Metetra
.676 .794 .937 r
.75333 .35415 .75636 .35861 .76326 .35538 .76024 .35091 Metetra
.685 .797 .934 r
.76024 .35091 .76326 .35538 .77017 .35197 .76716 .34749 Metetra
.695 .8 .93 r
.76716 .34749 .77017 .35197 .77707 .34836 .77408 .34386 Metetra
.704 .804 .927 r
.77408 .34386 .77707 .34836 .78398 .34454 .781 .34003 Metetra
.713 .807 .923 r
.781 .34003 .78398 .34454 .79088 .34052 .78792 .336 Metetra
.722 .81 .919 r
.78792 .336 .79088 .34052 .79779 .33629 .79484 .33176 Metetra
.731 .813 .915 r
.79484 .33176 .79779 .33629 .80469 .33185 .80175 .32729 Metetra
.74 .815 .911 r
.80175 .32729 .80469 .33185 .81158 .32718 .80866 .32261 Metetra
.749 .818 .906 r
.80866 .32261 .81158 .32718 .81847 .32228 .81556 .3177 Metetra
.758 .82 .902 r
.81556 .3177 .81847 .32228 .82535 .31716 .82246 .31256 Metetra
.872 .785 .762 r
.18644 .65997 .19052 .66329 .19698 .65215 .19291 .6488 Metetra
.87 .787 .766 r
.19291 .6488 .19698 .65215 .2034 .64131 .19935 .63794 Metetra
.867 .788 .77 r
.19935 .63794 .2034 .64131 .20978 .63077 .20575 .62738 Metetra
.865 .789 .774 r
.20575 .62738 .20978 .63077 .21614 .62053 .21212 .61712 Metetra
.862 .79 .779 r
.21212 .61712 .21614 .62053 .22246 .61058 .21846 .60715 Metetra
.86 .791 .783 r
.21846 .60715 .22246 .61058 .22875 .60092 .22477 .59747 Metetra
.857 .793 .787 r
.22477 .59747 .22875 .60092 .23502 .59155 .23106 .58808 Metetra
.854 .794 .792 r
.23106 .58808 .23502 .59155 .24126 .58246 .23731 .57897 Metetra
.851 .795 .796 r
.23731 .57897 .24126 .58246 .24747 .57365 .24354 .57014 Metetra
.847 .796 .801 r
.24354 .57014 .24747 .57365 .25366 .56511 .24975 .56159 Metetra
.844 .797 .806 r
.24975 .56159 .25366 .56511 .25983 .55685 .25593 .55331 Metetra
.84 .798 .811 r
.25593 .55331 .25983 .55685 .26597 .54885 .26209 .54529 Metetra
.836 .799 .816 r
.26209 .54529 .26597 .54885 .2721 .54112 .26823 .53754 Metetra
.831 .8 .821 r
.26823 .53754 .2721 .54112 .27821 .53365 .27435 .53005 Metetra
.827 .801 .826 r
.27435 .53005 .27821 .53365 .2843 .52643 .28046 .52282 Metetra
.822 .801 .832 r
.28046 .52282 .2843 .52643 .29037 .51947 .28655 .51584 Metetra
.817 .802 .837 r
.28655 .51584 .29037 .51947 .29643 .51275 .29262 .50911 Metetra
.812 .803 .842 r
.29262 .50911 .29643 .51275 .30248 .50628 .29868 .50263 Metetra
.807 .803 .848 r
.29868 .50263 .30248 .50628 .30851 .50005 .30473 .49639 Metetra
.801 .803 .853 r
.30473 .49639 .30851 .50005 .31454 .49406 .31077 .49038 Metetra
.795 .804 .859 r
.31077 .49038 .31454 .49406 .32055 .4883 .31679 .4846 Metetra
.789 .804 .864 r
.31679 .4846 .32055 .4883 .32656 .48277 .32281 .47906 Metetra
.783 .804 .87 r
.32281 .47906 .32656 .48277 .33256 .47746 .32882 .47374 Metetra
.776 .803 .875 r
.32882 .47374 .33256 .47746 .33855 .47238 .33483 .46864 Metetra
.769 .803 .88 r
.33483 .46864 .33855 .47238 .34454 .4675 .34083 .46375 Metetra
.762 .803 .886 r
.34083 .46375 .34454 .4675 .35053 .46284 .34683 .45908 Metetra
.754 .802 .891 r
.34683 .45908 .35053 .46284 .35651 .45839 .35282 .45461 Metetra
.746 .801 .896 r
.35282 .45461 .35651 .45839 .36249 .45413 .35881 .45035 Metetra
.738 .8 .902 r
.35881 .45035 .36249 .45413 .36847 .45008 .36481 .44628 Metetra
.73 .799 .907 r
.36481 .44628 .36847 .45008 .37446 .44622 .3708 .4424 Metetra
.721 .797 .911 r
.3708 .4424 .37446 .44622 .38044 .44254 .3768 .43872 Metetra
.713 .796 .916 r
.3768 .43872 .38044 .44254 .38643 .43905 .38279 .43522 Metetra
.704 .794 .921 r
.38279 .43522 .38643 .43905 .39242 .43574 .3888 .43189 Metetra
.695 .792 .925 r
.3888 .43189 .39242 .43574 .39842 .4326 .39481 .42874 Metetra
.685 .79 .929 r
.39481 .42874 .39842 .4326 .40442 .42963 .40082 .42576 Metetra
.676 .788 .934 r
.40082 .42576 .40442 .42963 .41044 .42682 .40684 .42294 Metetra
.666 .785 .937 r
.40684 .42294 .41044 .42682 .41645 .42417 .41287 .42028 Metetra
.657 .783 .941 r
.41287 .42028 .41645 .42417 .42248 .42168 .41891 .41778 Metetra
.647 .78 .944 r
.41891 .41778 .42248 .42168 .42852 .41933 .42496 .41542 Metetra
.638 .777 .948 r
.42496 .41542 .42852 .41933 .43457 .41712 .43101 .41321 Metetra
.628 .774 .951 r
.43101 .41321 .43457 .41712 .44063 .41506 .43708 .41113 Metetra
.619 .771 .953 r
.43708 .41113 .44063 .41506 .4467 .41312 .44317 .40918 Metetra
.609 .768 .956 r
.44317 .40918 .4467 .41312 .45279 .41131 .44926 .40736 Metetra
.6 .765 .958 r
.44926 .40736 .45279 .41131 .45889 .40962 .45537 .40566 Metetra
.591 .762 .96 r
.45537 .40566 .45889 .40962 .46501 .40804 .4615 .40408 Metetra
.582 .758 .962 r
.4615 .40408 .46501 .40804 .47114 .40658 .46764 .4026 Metetra
.574 .755 .964 r
.46764 .4026 .47114 .40658 .47729 .40522 .47379 .40123 Metetra
.566 .752 .965 r
.47379 .40123 .47729 .40522 .48345 .40395 .47997 .39996 Metetra
.558 .749 .966 r
.47997 .39996 .48345 .40395 .48963 .40278 .48616 .39877 Metetra
.551 .746 .967 r
.48616 .39877 .48963 .40278 .49583 .40169 .49237 .39768 Metetra
.544 .743 .968 r
.49237 .39768 .49583 .40169 .50205 .40068 .4986 .39666 Metetra
.537 .74 .969 r
.4986 .39666 .50205 .40068 .50829 .39974 .50484 .39571 Metetra
.531 .738 .97 r
.50484 .39571 .50829 .39974 .51454 .39887 .51111 .39483 Metetra
.526 .736 .97 r
.51111 .39483 .51454 .39887 .52082 .39805 .5174 .39401 Metetra
.521 .733 .971 r
.5174 .39401 .52082 .39805 .52712 .39729 .5237 .39324 Metetra
.516 .731 .971 r
.5237 .39324 .52712 .39729 .53344 .39658 .53003 .39252 Metetra
.513 .73 .972 r
.53003 .39252 .53344 .39658 .53978 .39591 .53638 .39184 Metetra
.509 .728 .972 r
.53638 .39184 .53978 .39591 .54614 .39527 .54275 .39119 Metetra
.507 .727 .972 r
.54275 .39119 .54614 .39527 .55252 .39466 .54914 .39058 Metetra
.505 .726 .972 r
.54914 .39058 .55252 .39466 .55893 .39407 .55556 .38998 Metetra
.503 .726 .972 r
.55556 .38998 .55893 .39407 .56535 .39349 .56199 .38939 Metetra
.503 .725 .972 r
.56199 .38939 .56535 .39349 .5718 .39292 .56845 .38881 Metetra
.503 .725 .972 r
.56845 .38881 .5718 .39292 .57827 .39235 .57493 .38823 Metetra
.503 .725 .972 r
.57493 .38823 .57827 .39235 .58477 .39177 .58143 .38764 Metetra
.504 .726 .972 r
.58143 .38764 .58477 .39177 .59128 .39118 .58796 .38704 Metetra
.506 .727 .972 r
.58796 .38704 .59128 .39118 .59782 .39056 .59451 .38642 Metetra
.508 .728 .972 r
.59451 .38642 .59782 .39056 .60438 .38992 .60107 .38576 Metetra
.511 .729 .972 r
.60107 .38576 .60438 .38992 .61096 .38924 .60767 .38507 Metetra
.515 .731 .972 r
.60767 .38507 .61096 .38924 .61756 .38851 .61428 .38434 Metetra
.519 .733 .971 r
.61428 .38434 .61756 .38851 .62418 .38774 .62091 .38356 Metetra
.523 .735 .971 r
.62091 .38356 .62418 .38774 .63083 .38691 .62757 .38272 Metetra
.528 .737 .97 r
.62757 .38272 .63083 .38691 .63749 .38602 .63424 .38182 Metetra
.534 .74 .97 r
.63424 .38182 .63749 .38602 .64418 .38505 .64094 .38084 Metetra
.54 .742 .969 r
.64094 .38084 .64418 .38505 .65088 .38401 .64766 .37979 Metetra
.546 .745 .969 r
.64766 .37979 .65088 .38401 .65761 .38288 .65439 .37865 Metetra
.553 .748 .968 r
.65439 .37865 .65761 .38288 .66435 .38165 .66114 .37741 Metetra
.56 .751 .967 r
.66114 .37741 .66435 .38165 .67111 .38033 .66792 .37608 Metetra
.568 .755 .966 r
.66792 .37608 .67111 .38033 .67789 .3789 .67471 .37464 Metetra
.576 .758 .965 r
.67471 .37464 .67789 .3789 .68468 .37735 .68151 .37309 Metetra
.584 .762 .963 r
.68151 .37309 .68468 .37735 .69149 .37569 .68833 .37141 Metetra
.592 .765 .962 r
.68833 .37141 .69149 .37569 .69832 .37389 .69517 .36961 Metetra
.601 .769 .96 r
.69517 .36961 .69832 .37389 .70516 .37197 .70202 .36767 Metetra
.61 .773 .958 r
.70202 .36767 .70516 .37197 .71201 .3699 .70888 .36559 Metetra
.619 .776 .956 r
.70888 .36559 .71201 .3699 .71887 .36768 .71576 .36336 Metetra
.628 .78 .954 r
.71576 .36336 .71887 .36768 .72574 .36531 .72265 .36097 Metetra
.638 .784 .952 r
.72265 .36097 .72574 .36531 .73263 .36278 .72955 .35843 Metetra
.647 .788 .949 r
.72955 .35843 .73263 .36278 .73952 .36008 .73645 .35572 Metetra
.657 .791 .946 r
.73645 .35572 .73952 .36008 .74642 .3572 .74337 .35283 Metetra
.666 .795 .943 r
.74337 .35283 .74642 .3572 .75333 .35415 .75029 .34977 Metetra
.676 .798 .94 r
.75029 .34977 .75333 .35415 .76024 .35091 .75721 .34652 Metetra
.685 .802 .937 r
.75721 .34652 .76024 .35091 .76716 .34749 .76414 .34308 Metetra
.695 .805 .933 r
.76414 .34308 .76716 .34749 .77408 .34386 .77108 .33944 Metetra
.704 .808 .93 r
.77108 .33944 .77408 .34386 .781 .34003 .77801 .3356 Metetra
.714 .811 .926 r
.77801 .3356 .781 .34003 .78792 .336 .78494 .33155 Metetra
.723 .814 .922 r
.78494 .33155 .78792 .336 .79484 .33176 .79188 .32729 Metetra
.732 .817 .918 r
.79188 .32729 .79484 .33176 .80175 .32729 .79881 .32282 Metetra
.741 .82 .913 r
.79881 .32282 .80175 .32729 .80866 .32261 .80573 .31812 Metetra
.75 .823 .909 r
.80573 .31812 .80866 .32261 .81556 .3177 .81265 .31319 Metetra
.758 .825 .904 r
.81265 .31319 .81556 .3177 .82246 .31256 .81956 .30804 Metetra
.873 .788 .763 r
.18233 .65672 .18644 .65997 .19291 .6488 .18882 .64553 Metetra
.871 .789 .767 r
.18882 .64553 .19291 .6488 .19935 .63794 .19528 .63465 Metetra
.869 .791 .771 r
.19528 .63465 .19935 .63794 .20575 .62738 .2017 .62407 Metetra
.866 .792 .775 r
.2017 .62407 .20575 .62738 .21212 .61712 .20809 .61379 Metetra
.864 .793 .78 r
.20809 .61379 .21212 .61712 .21846 .60715 .21444 .6038 Metetra
.861 .794 .784 r
.21444 .6038 .21846 .60715 .22477 .59747 .22077 .5941 Metetra
.858 .796 .788 r
.22077 .5941 .22477 .59747 .23106 .58808 .22707 .58469 Metetra
.855 .797 .793 r
.22707 .58469 .23106 .58808 .23731 .57897 .23334 .57556 Metetra
.852 .798 .798 r
.23334 .57556 .23731 .57897 .24354 .57014 .23959 .56671 Metetra
.849 .799 .802 r
.23959 .56671 .24354 .57014 .24975 .56159 .24581 .55814 Metetra
.845 .8 .807 r
.24581 .55814 .24975 .56159 .25593 .55331 .25201 .54984 Metetra
.841 .801 .812 r
.25201 .54984 .25593 .55331 .26209 .54529 .25818 .54181 Metetra
.837 .802 .817 r
.25818 .54181 .26209 .54529 .26823 .53754 .26434 .53404 Metetra
.833 .803 .823 r
.26434 .53404 .26823 .53754 .27435 .53005 .27048 .52654 Metetra
.828 .804 .828 r
.27048 .52654 .27435 .53005 .28046 .52282 .27659 .51929 Metetra
.824 .805 .833 r
.27659 .51929 .28046 .52282 .28655 .51584 .2827 .51229 Metetra
.819 .806 .839 r
.2827 .51229 .28655 .51584 .29262 .50911 .28878 .50555 Metetra
.814 .806 .844 r
.28878 .50555 .29262 .50911 .29868 .50263 .29486 .49905 Metetra
.808 .807 .85 r
.29486 .49905 .29868 .50263 .30473 .49639 .30092 .49279 Metetra
.803 .807 .855 r
.30092 .49279 .30473 .49639 .31077 .49038 .30697 .48677 Metetra
.797 .807 .861 r
.30697 .48677 .31077 .49038 .31679 .4846 .31301 .48098 Metetra
.79 .808 .866 r
.31301 .48098 .31679 .4846 .32281 .47906 .31904 .47542 Metetra
.784 .808 .872 r
.31904 .47542 .32281 .47906 .32882 .47374 .32507 .47009 Metetra
.777 .808 .877 r
.32507 .47009 .32882 .47374 .33483 .46864 .33108 .46497 Metetra
.77 .807 .883 r
.33108 .46497 .33483 .46864 .34083 .46375 .3371 .46007 Metetra
.763 .807 .888 r
.3371 .46007 .34083 .46375 .34683 .45908 .3431 .45539 Metetra
.755 .806 .894 r
.3431 .45539 .34683 .45908 .35282 .45461 .34911 .45091 Metetra
.747 .805 .899 r
.34911 .45091 .35282 .45461 .35881 .45035 .35512 .44663 Metetra
.739 .804 .904 r
.35512 .44663 .35881 .45035 .36481 .44628 .36112 .44255 Metetra
.73 .803 .909 r
.36112 .44255 .36481 .44628 .3708 .4424 .36712 .43866 Metetra
.722 .802 .914 r
.36712 .43866 .3708 .4424 .3768 .43872 .37313 .43497 Metetra
.713 .8 .919 r
.37313 .43497 .3768 .43872 .38279 .43522 .37914 .43145 Metetra
.704 .799 .924 r
.37914 .43145 .38279 .43522 .3888 .43189 .38515 .42812 Metetra
.695 .797 .928 r
.38515 .42812 .3888 .43189 .39481 .42874 .39117 .42496 Metetra
.685 .795 .932 r
.39117 .42496 .39481 .42874 .40082 .42576 .3972 .42196 Metetra
.676 .792 .937 r
.3972 .42196 .40082 .42576 .40684 .42294 .40323 .41914 Metetra
.666 .79 .94 r
.40323 .41914 .40684 .42294 .41287 .42028 .40927 .41647 Metetra
.656 .787 .944 r
.40927 .41647 .41287 .42028 .41891 .41778 .41531 .41395 Metetra
.647 .784 .947 r
.41531 .41395 .41891 .41778 .42496 .41542 .42137 .41158 Metetra
.637 .781 .951 r
.42137 .41158 .42496 .41542 .43101 .41321 .42744 .40936 Metetra
.627 .778 .954 r
.42744 .40936 .43101 .41321 .43708 .41113 .43352 .40727 Metetra
.617 .775 .956 r
.43352 .40727 .43708 .41113 .44317 .40918 .43961 .40531 Metetra
.608 .772 .959 r
.43961 .40531 .44317 .40918 .44926 .40736 .44572 .40349 Metetra
.599 .769 .961 r
.44572 .40349 .44926 .40736 .45537 .40566 .45184 .40178 Metetra
.589 .766 .963 r
.45184 .40178 .45537 .40566 .4615 .40408 .45797 .40018 Metetra
.581 .762 .965 r
.45797 .40018 .4615 .40408 .46764 .4026 .46412 .3987 Metetra
.572 .759 .967 r
.46412 .3987 .46764 .4026 .47379 .40123 .47029 .39732 Metetra
.564 .756 .968 r
.47029 .39732 .47379 .40123 .47997 .39996 .47647 .39604 Metetra
.556 .753 .969 r
.47647 .39604 .47997 .39996 .48616 .39877 .48267 .39484 Metetra
.548 .75 .97 r
.48267 .39484 .48616 .39877 .49237 .39768 .48889 .39374 Metetra
.541 .747 .971 r
.48889 .39374 .49237 .39768 .4986 .39666 .49512 .39271 Metetra
.535 .744 .972 r
.49512 .39271 .4986 .39666 .50484 .39571 .50138 .39175 Metetra
.528 .742 .973 r
.50138 .39175 .50484 .39571 .51111 .39483 .50766 .39086 Metetra
.523 .739 .973 r
.50766 .39086 .51111 .39483 .5174 .39401 .51395 .39004 Metetra
.518 .737 .974 r
.51395 .39004 .5174 .39401 .5237 .39324 .52027 .38926 Metetra
.513 .735 .974 r
.52027 .38926 .5237 .39324 .53003 .39252 .52661 .38853 Metetra
.509 .733 .974 r
.52661 .38853 .53003 .39252 .53638 .39184 .53296 .38784 Metetra
.506 .732 .975 r
.53296 .38784 .53638 .39184 .54275 .39119 .53934 .38719 Metetra
.503 .731 .975 r
.53934 .38719 .54275 .39119 .54914 .39058 .54575 .38656 Metetra
.501 .73 .975 r
.54575 .38656 .54914 .39058 .55556 .38998 .55217 .38595 Metetra
.5 .729 .975 r
.55217 .38595 .55556 .38998 .56199 .38939 .55861 .38536 Metetra
.499 .729 .975 r
.55861 .38536 .56199 .38939 .56845 .38881 .56508 .38477 Metetra
.499 .729 .975 r
.56508 .38477 .56845 .38881 .57493 .38823 .57157 .38418 Metetra
.5 .729 .975 r
.57157 .38418 .57493 .38823 .58143 .38764 .57809 .38359 Metetra
.501 .729 .975 r
.57809 .38359 .58143 .38764 .58796 .38704 .58462 .38298 Metetra
.503 .73 .975 r
.58462 .38298 .58796 .38704 .59451 .38642 .59118 .38234 Metetra
.505 .731 .975 r
.59118 .38234 .59451 .38642 .60107 .38576 .59776 .38168 Metetra
.508 .733 .975 r
.59776 .38168 .60107 .38576 .60767 .38507 .60436 .38098 Metetra
.511 .734 .974 r
.60436 .38098 .60767 .38507 .61428 .38434 .61098 .38024 Metetra
.515 .736 .974 r
.61098 .38024 .61428 .38434 .62091 .38356 .61763 .37945 Metetra
.52 .738 .974 r
.61763 .37945 .62091 .38356 .62757 .38272 .62429 .3786 Metetra
.525 .741 .973 r
.62429 .3786 .62757 .38272 .63424 .38182 .63098 .37769 Metetra
.531 .743 .973 r
.63098 .37769 .63424 .38182 .64094 .38084 .63769 .37671 Metetra
.537 .746 .972 r
.63769 .37671 .64094 .38084 .64766 .37979 .64441 .37564 Metetra
.544 .749 .972 r
.64441 .37564 .64766 .37979 .65439 .37865 .65116 .37449 Metetra
.551 .752 .971 r
.65116 .37449 .65439 .37865 .66114 .37741 .65793 .37325 Metetra
.558 .755 .97 r
.65793 .37325 .66114 .37741 .66792 .37608 .66471 .37191 Metetra
.566 .759 .969 r
.66471 .37191 .66792 .37608 .67471 .37464 .67151 .37046 Metetra
.574 .762 .968 r
.67151 .37046 .67471 .37464 .68151 .37309 .67833 .36889 Metetra
.582 .766 .966 r
.67833 .36889 .68151 .37309 .68833 .37141 .68516 .3672 Metetra
.591 .77 .965 r
.68516 .3672 .68833 .37141 .69517 .36961 .69201 .36539 Metetra
.6 .773 .963 r
.69201 .36539 .69517 .36961 .70202 .36767 .69887 .36344 Metetra
.609 .777 .961 r
.69887 .36344 .70202 .36767 .70888 .36559 .70575 .36135 Metetra
.618 .781 .959 r
.70575 .36135 .70888 .36559 .71576 .36336 .71264 .35911 Metetra
.627 .785 .957 r
.71264 .35911 .71576 .36336 .72265 .36097 .71954 .35671 Metetra
.637 .788 .955 r
.71954 .35671 .72265 .36097 .72955 .35843 .72645 .35416 Metetra
.646 .792 .952 r
.72645 .35416 .72955 .35843 .73645 .35572 .73337 .35143 Metetra
.656 .796 .949 r
.73337 .35143 .73645 .35572 .74337 .35283 .7403 .34854 Metetra
.666 .799 .946 r
.7403 .34854 .74337 .35283 .75029 .34977 .74723 .34546 Metetra
.675 .803 .943 r
.74723 .34546 .75029 .34977 .75721 .34652 .75417 .34219 Metetra
.685 .806 .94 r
.75417 .34219 .75721 .34652 .76414 .34308 .76112 .33874 Metetra
.695 .81 .936 r
.76112 .33874 .76414 .34308 .77108 .33944 .76807 .33509 Metetra
.704 .813 .933 r
.76807 .33509 .77108 .33944 .77801 .3356 .77501 .33123 Metetra
.714 .816 .929 r
.77501 .33123 .77801 .3356 .78494 .33155 .78196 .32717 Metetra
.723 .819 .925 r
.78196 .32717 .78494 .33155 .79188 .32729 .78891 .3229 Metetra
.732 .822 .92 r
.78891 .3229 .79188 .32729 .79881 .32282 .79586 .31841 Metetra
.741 .825 .916 r
.79586 .31841 .79881 .32282 .80573 .31812 .8028 .31369 Metetra
.75 .827 .911 r
.8028 .31369 .80573 .31812 .81265 .31319 .80973 .30875 Metetra
.759 .83 .907 r
.80973 .30875 .81265 .31319 .81956 .30804 .81666 .30358 Metetra
.875 .791 .764 r
.17819 .65355 .18233 .65672 .18882 .64553 .1847 .64234 Metetra
.873 .792 .768 r
.1847 .64234 .18882 .64553 .19528 .63465 .19117 .63144 Metetra
.87 .793 .772 r
.19117 .63144 .19528 .63465 .2017 .62407 .19762 .62084 Metetra
.868 .795 .776 r
.19762 .62084 .2017 .62407 .20809 .61379 .20402 .61053 Metetra
.865 .796 .781 r
.20402 .61053 .20809 .61379 .21444 .6038 .2104 .60052 Metetra
.863 .797 .785 r
.2104 .60052 .21444 .6038 .22077 .5941 .21674 .5908 Metetra
.86 .799 .789 r
.21674 .5908 .22077 .5941 .22707 .58469 .22306 .58137 Metetra
.857 .8 .794 r
.22306 .58137 .22707 .58469 .23334 .57556 .22935 .57222 Metetra
.853 .801 .799 r
.22935 .57222 .23334 .57556 .23959 .56671 .23561 .56336 Metetra
.85 .802 .804 r
.23561 .56336 .23959 .56671 .24581 .55814 .24185 .55476 Metetra
.846 .803 .809 r
.24185 .55476 .24581 .55814 .25201 .54984 .24806 .54645 Metetra
.843 .805 .814 r
.24806 .54645 .25201 .54984 .25818 .54181 .25425 .5384 Metetra
.839 .806 .819 r
.25425 .5384 .25818 .54181 .26434 .53404 .26042 .53061 Metetra
.834 .807 .824 r
.26042 .53061 .26434 .53404 .27048 .52654 .26657 .52309 Metetra
.83 .808 .829 r
.26657 .52309 .27048 .52654 .27659 .51929 .27271 .51583 Metetra
.825 .809 .835 r
.27271 .51583 .27659 .51929 .2827 .51229 .27883 .50882 Metetra
.82 .809 .84 r
.27883 .50882 .2827 .51229 .28878 .50555 .28493 .50205 Metetra
.815 .81 .846 r
.28493 .50205 .28878 .50555 .29486 .49905 .29101 .49554 Metetra
.81 .811 .851 r
.29101 .49554 .29486 .49905 .30092 .49279 .29709 .48927 Metetra
.804 .811 .857 r
.29709 .48927 .30092 .49279 .30697 .48677 .30315 .48323 Metetra
.798 .811 .863 r
.30315 .48323 .30697 .48677 .31301 .48098 .30921 .47743 Metetra
.792 .812 .868 r
.30921 .47743 .31301 .48098 .31904 .47542 .31525 .47185 Metetra
.785 .812 .874 r
.31525 .47185 .31904 .47542 .32507 .47009 .32129 .46651 Metetra
.778 .812 .879 r
.32129 .46651 .32507 .47009 .33108 .46497 .32732 .46138 Metetra
.771 .811 .885 r
.32732 .46138 .33108 .46497 .3371 .46007 .33334 .45647 Metetra
.764 .811 .891 r
.33334 .45647 .3371 .46007 .3431 .45539 .33936 .45177 Metetra
.756 .81 .896 r
.33936 .45177 .3431 .45539 .34911 .45091 .34538 .44727 Metetra
.748 .81 .901 r
.34538 .44727 .34911 .45091 .35512 .44663 .3514 .44298 Metetra
.74 .809 .907 r
.3514 .44298 .35512 .44663 .36112 .44255 .35741 .43889 Metetra
.731 .808 .912 r
.35741 .43889 .36112 .44255 .36712 .43866 .36343 .43499 Metetra
.722 .806 .917 r
.36343 .43499 .36712 .43866 .37313 .43497 .36944 .43128 Metetra
.713 .805 .922 r
.36944 .43128 .37313 .43497 .37914 .43145 .37546 .42776 Metetra
.704 .803 .926 r
.37546 .42776 .37914 .43145 .38515 .42812 .38149 .42441 Metetra
.695 .801 .931 r
.38149 .42441 .38515 .42812 .39117 .42496 .38752 .42124 Metetra
.685 .799 .935 r
.38752 .42124 .39117 .42496 .3972 .42196 .39355 .41824 Metetra
.675 .797 .939 r
.39355 .41824 .3972 .42196 .40323 .41914 .39959 .4154 Metetra
.666 .794 .943 r
.39959 .4154 .40323 .41914 .40927 .41647 .40564 .41272 Metetra
.656 .792 .947 r
.40564 .41272 .40927 .41647 .41531 .41395 .4117 .41019 Metetra
.646 .789 .95 r
.4117 .41019 .41531 .41395 .42137 .41158 .41777 .40782 Metetra
.636 .786 .954 r
.41777 .40782 .42137 .41158 .42744 .40936 .42385 .40558 Metetra
.626 .783 .957 r
.42385 .40558 .42744 .40936 .43352 .40727 .42994 .40348 Metetra
.616 .78 .959 r
.42994 .40348 .43352 .40727 .43961 .40531 .43604 .40152 Metetra
.607 .776 .962 r
.43604 .40152 .43961 .40531 .44572 .40349 .44215 .39968 Metetra
.597 .773 .964 r
.44215 .39968 .44572 .40349 .45184 .40178 .44828 .39796 Metetra
.588 .77 .966 r
.44828 .39796 .45184 .40178 .45797 .40018 .45443 .39636 Metetra
.579 .767 .968 r
.45443 .39636 .45797 .40018 .46412 .3987 .46058 .39487 Metetra
.57 .763 .97 r
.46058 .39487 .46412 .3987 .47029 .39732 .46676 .39348 Metetra
.561 .76 .971 r
.46676 .39348 .47029 .39732 .47647 .39604 .47295 .39219 Metetra
.553 .757 .972 r
.47295 .39219 .47647 .39604 .48267 .39484 .47916 .39098 Metetra
.546 .754 .973 r
.47916 .39098 .48267 .39484 .48889 .39374 .48539 .38987 Metetra
.538 .751 .974 r
.48539 .38987 .48889 .39374 .49512 .39271 .49164 .38883 Metetra
.532 .748 .975 r
.49164 .38883 .49512 .39271 .50138 .39175 .4979 .38787 Metetra
.525 .745 .976 r
.4979 .38787 .50138 .39175 .50766 .39086 .50419 .38697 Metetra
.52 .743 .976 r
.50419 .38697 .50766 .39086 .51395 .39004 .51049 .38613 Metetra
.515 .741 .977 r
.51049 .38613 .51395 .39004 .52027 .38926 .51682 .38535 Metetra
.51 .739 .977 r
.51682 .38535 .52027 .38926 .52661 .38853 .52316 .38461 Metetra
.506 .737 .977 r
.52316 .38461 .52661 .38853 .53296 .38784 .52953 .38392 Metetra
.503 .735 .977 r
.52953 .38392 .53296 .38784 .53934 .38719 .53592 .38325 Metetra
.5 .734 .978 r
.53592 .38325 .53934 .38719 .54575 .38656 .54233 .38262 Metetra
.498 .733 .978 r
.54233 .38262 .54575 .38656 .55217 .38595 .54877 .382 Metetra
.497 .732 .978 r
.54877 .382 .55217 .38595 .55861 .38536 .55522 .3814 Metetra
.496 .732 .978 r
.55522 .3814 .55861 .38536 .56508 .38477 .5617 .3808 Metetra
.496 .732 .978 r
.5617 .3808 .56508 .38477 .57157 .38418 .5682 .38021 Metetra
.496 .732 .978 r
.5682 .38021 .57157 .38418 .57809 .38359 .57472 .3796 Metetra
.497 .733 .978 r
.57472 .3796 .57809 .38359 .58462 .38298 .58127 .37898 Metetra
.499 .734 .978 r
.58127 .37898 .58462 .38298 .59118 .38234 .58784 .37834 Metetra
.501 .735 .977 r
.58784 .37834 .59118 .38234 .59776 .38168 .59443 .37767 Metetra
.504 .736 .977 r
.59443 .37767 .59776 .38168 .60436 .38098 .60104 .37697 Metetra
.508 .738 .977 r
.60104 .37697 .60436 .38098 .61098 .38024 .60767 .37622 Metetra
.512 .74 .977 r
.60767 .37622 .61098 .38024 .61763 .37945 .61433 .37542 Metetra
.517 .742 .977 r
.61433 .37542 .61763 .37945 .62429 .3786 .62101 .37456 Metetra
.522 .744 .976 r
.62101 .37456 .62429 .3786 .63098 .37769 .6277 .37364 Metetra
.528 .747 .976 r
.6277 .37364 .63098 .37769 .63769 .37671 .63442 .37264 Metetra
.534 .75 .975 r
.63442 .37264 .63769 .37671 .64441 .37564 .64116 .37157 Metetra
.541 .753 .974 r
.64116 .37157 .64441 .37564 .65116 .37449 .64792 .37041 Metetra
.548 .756 .974 r
.64792 .37041 .65116 .37449 .65793 .37325 .65469 .36916 Metetra
.556 .759 .973 r
.65469 .36916 .65793 .37325 .66471 .37191 .66149 .36781 Metetra
.563 .763 .972 r
.66149 .36781 .66471 .37191 .67151 .37046 .6683 .36634 Metetra
.572 .766 .971 r
.6683 .36634 .67151 .37046 .67833 .36889 .67513 .36477 Metetra
.58 .77 .969 r
.67513 .36477 .67833 .36889 .68516 .3672 .68198 .36307 Metetra
.589 .774 .968 r
.68198 .36307 .68516 .3672 .69201 .36539 .68884 .36125 Metetra
.598 .778 .966 r
.68884 .36125 .69201 .36539 .69887 .36344 .69572 .35929 Metetra
.607 .781 .964 r
.69572 .35929 .69887 .36344 .70575 .36135 .70261 .35718 Metetra
.617 .785 .962 r
.70261 .35718 .70575 .36135 .71264 .35911 .70951 .35493 Metetra
.626 .789 .96 r
.70951 .35493 .71264 .35911 .71954 .35671 .71642 .35253 Metetra
.636 .793 .958 r
.71642 .35253 .71954 .35671 .72645 .35416 .72335 .34996 Metetra
.645 .797 .955 r
.72335 .34996 .72645 .35416 .73337 .35143 .73028 .34722 Metetra
.655 .8 .952 r
.73028 .34722 .73337 .35143 .7403 .34854 .73722 .34431 Metetra
.665 .804 .949 r
.73722 .34431 .7403 .34854 .74723 .34546 .74417 .34122 Metetra
.675 .808 .946 r
.74417 .34122 .74723 .34546 .75417 .34219 .75113 .33794 Metetra
.685 .811 .943 r
.75113 .33794 .75417 .34219 .76112 .33874 .75808 .33448 Metetra
.694 .814 .939 r
.75808 .33448 .76112 .33874 .76807 .33509 .76505 .33081 Metetra
.704 .818 .935 r
.76505 .33081 .76807 .33509 .77501 .33123 .77201 .32694 Metetra
.714 .821 .931 r
.77201 .32694 .77501 .33123 .78196 .32717 .77897 .32287 Metetra
.723 .824 .927 r
.77897 .32287 .78196 .32717 .78891 .3229 .78594 .31858 Metetra
.733 .827 .923 r
.78594 .31858 .78891 .3229 .79586 .31841 .7929 .31407 Metetra
.742 .829 .919 r
.7929 .31407 .79586 .31841 .8028 .31369 .79985 .30934 Metetra
.751 .832 .914 r
.79985 .30934 .8028 .31369 .80973 .30875 .8068 .30439 Metetra
.76 .835 .909 r
.8068 .30439 .80973 .30875 .81666 .30358 .81374 .2992 Metetra
.876 .793 .765 r
.17402 .65046 .17819 .65355 .1847 .64234 .18055 .63923 Metetra
.874 .795 .769 r
.18055 .63923 .1847 .64234 .19117 .63144 .18705 .6283 Metetra
.872 .796 .773 r
.18705 .6283 .19117 .63144 .19762 .62084 .19351 .61768 Metetra
.869 .797 .777 r
.19351 .61768 .19762 .62084 .20402 .61053 .19993 .60735 Metetra
.867 .799 .782 r
.19993 .60735 .20402 .61053 .2104 .60052 .20633 .59732 Metetra
.864 .8 .786 r
.20633 .59732 .2104 .60052 .21674 .5908 .21269 .58758 Metetra
.861 .802 .791 r
.21269 .58758 .21674 .5908 .22306 .58137 .21902 .57813 Metetra
.858 .803 .795 r
.21902 .57813 .22306 .58137 .22935 .57222 .22533 .56896 Metetra
.855 .804 .8 r
.22533 .56896 .22935 .57222 .23561 .56336 .23161 .56008 Metetra
.852 .806 .805 r
.23161 .56008 .23561 .56336 .24185 .55476 .23786 .55147 Metetra
.848 .807 .81 r
.23786 .55147 .24185 .55476 .24806 .54645 .24409 .54313 Metetra
.844 .808 .815 r
.24409 .54313 .24806 .54645 .25425 .5384 .2503 .53506 Metetra
.84 .809 .82 r
.2503 .53506 .25425 .5384 .26042 .53061 .25648 .52726 Metetra
.836 .81 .826 r
.25648 .52726 .26042 .53061 .26657 .52309 .26265 .51972 Metetra
.831 .811 .831 r
.26265 .51972 .26657 .52309 .27271 .51583 .2688 .51244 Metetra
.827 .812 .836 r
.2688 .51244 .27271 .51583 .27883 .50882 .27493 .50541 Metetra
.822 .813 .842 r
.27493 .50541 .27883 .50882 .28493 .50205 .28105 .49864 Metetra
.816 .814 .848 r
.28105 .49864 .28493 .50205 .29101 .49554 .28715 .4921 Metetra
.811 .814 .853 r
.28715 .4921 .29101 .49554 .29709 .48927 .29324 .48582 Metetra
.805 .815 .859 r
.29324 .48582 .29709 .48927 .30315 .48323 .29931 .47976 Metetra
.799 .815 .865 r
.29931 .47976 .30315 .48323 .30921 .47743 .30538 .47395 Metetra
.793 .816 .87 r
.30538 .47395 .30921 .47743 .31525 .47185 .31144 .46836 Metetra
.786 .816 .876 r
.31144 .46836 .31525 .47185 .32129 .46651 .31748 .463 Metetra
.779 .816 .882 r
.31748 .463 .32129 .46651 .32732 .46138 .32353 .45786 Metetra
.772 .816 .887 r
.32353 .45786 .32732 .46138 .33334 .45647 .32956 .45293 Metetra
.764 .815 .893 r
.32956 .45293 .33334 .45647 .33936 .45177 .3356 .44822 Metetra
.757 .815 .898 r
.3356 .44822 .33936 .45177 .34538 .44727 .34163 .44371 Metetra
.749 .814 .904 r
.34163 .44371 .34538 .44727 .3514 .44298 .34765 .43941 Metetra
.74 .813 .909 r
.34765 .43941 .3514 .44298 .35741 .43889 .35368 .43531 Metetra
.732 .812 .915 r
.35368 .43531 .35741 .43889 .36343 .43499 .35971 .4314 Metetra
.723 .811 .92 r
.35971 .4314 .36343 .43499 .36944 .43128 .36574 .42768 Metetra
.714 .809 .925 r
.36574 .42768 .36944 .43128 .37546 .42776 .37177 .42414 Metetra
.704 .808 .929 r
.37177 .42414 .37546 .42776 .38149 .42441 .3778 .42078 Metetra
.695 .806 .934 r
.3778 .42078 .38149 .42441 .38752 .42124 .38384 .4176 Metetra
.685 .804 .938 r
.38384 .4176 .38752 .42124 .39355 .41824 .38989 .41458 Metetra
.675 .801 .942 r
.38989 .41458 .39355 .41824 .39959 .4154 .39594 .41173 Metetra
.665 .799 .946 r
.39594 .41173 .39959 .4154 .40564 .41272 .402 .40904 Metetra
.655 .796 .95 r
.402 .40904 .40564 .41272 .4117 .41019 .40807 .40651 Metetra
.645 .793 .953 r
.40807 .40651 .4117 .41019 .41777 .40782 .41414 .40412 Metetra
.635 .79 .957 r
.41414 .40412 .41777 .40782 .42385 .40558 .42023 .40188 Metetra
.625 .787 .96 r
.42023 .40188 .42385 .40558 .42994 .40348 .42633 .39977 Metetra
.615 .784 .962 r
.42633 .39977 .42994 .40348 .43604 .40152 .43244 .39779 Metetra
.605 .781 .965 r
.43244 .39779 .43604 .40152 .44215 .39968 .43857 .39595 Metetra
.595 .777 .967 r
.43857 .39595 .44215 .39968 .44828 .39796 .44471 .39422 Metetra
.586 .774 .969 r
.44471 .39422 .44828 .39796 .45443 .39636 .45086 .39261 Metetra
.577 .771 .971 r
.45086 .39261 .45443 .39636 .46058 .39487 .45703 .39111 Metetra
.568 .767 .973 r
.45703 .39111 .46058 .39487 .46676 .39348 .46322 .38971 Metetra
.559 .764 .974 r
.46322 .38971 .46676 .39348 .47295 .39219 .46942 .38841 Metetra
.551 .761 .975 r
.46942 .38841 .47295 .39219 .47916 .39098 .47564 .3872 Metetra
.543 .758 .976 r
.47564 .3872 .47916 .39098 .48539 .38987 .48187 .38607 Metetra
.536 .755 .977 r
.48187 .38607 .48539 .38987 .49164 .38883 .48813 .38503 Metetra
.529 .752 .978 r
.48813 .38503 .49164 .38883 .4979 .38787 .4944 .38406 Metetra
.522 .749 .978 r
.4944 .38406 .4979 .38787 .50419 .38697 .5007 .38315 Metetra
.517 .746 .979 r
.5007 .38315 .50419 .38697 .51049 .38613 .50701 .3823 Metetra
.511 .744 .979 r
.50701 .3823 .51049 .38613 .51682 .38535 .51335 .38151 Metetra
.507 .742 .98 r
.51335 .38151 .51682 .38535 .52316 .38461 .51971 .38077 Metetra
.503 .74 .98 r
.51971 .38077 .52316 .38461 .52953 .38392 .52608 .38006 Metetra
.499 .739 .98 r
.52608 .38006 .52953 .38392 .53592 .38325 .53248 .37939 Metetra
.496 .738 .98 r
.53248 .37939 .53592 .38325 .54233 .38262 .53891 .37875 Metetra
.494 .737 .98 r
.53891 .37875 .54233 .38262 .54877 .382 .54535 .37812 Metetra
.493 .736 .98 r
.54535 .37812 .54877 .382 .55522 .3814 .55181 .37751 Metetra
.492 .736 .98 r
.55181 .37751 .55522 .3814 .5617 .3808 .5583 .37691 Metetra
.492 .735 .98 r
.5583 .37691 .5617 .3808 .5682 .38021 .56481 .3763 Metetra
.492 .736 .98 r
.56481 .3763 .5682 .38021 .57472 .3796 .57135 .37569 Metetra
.494 .736 .98 r
.57135 .37569 .57472 .3796 .58127 .37898 .5779 .37506 Metetra
.495 .737 .98 r
.5779 .37506 .58127 .37898 .58784 .37834 .58448 .37441 Metetra
.498 .738 .98 r
.58448 .37441 .58784 .37834 .59443 .37767 .59108 .37373 Metetra
.501 .74 .98 r
.59108 .37373 .59443 .37767 .60104 .37697 .5977 .37302 Metetra
.505 .741 .98 r
.5977 .37302 .60104 .37697 .60767 .37622 .60435 .37226 Metetra
.509 .743 .979 r
.60435 .37226 .60767 .37622 .61433 .37542 .61101 .37145 Metetra
.514 .746 .979 r
.61101 .37145 .61433 .37542 .62101 .37456 .6177 .37059 Metetra
.519 .748 .979 r
.6177 .37059 .62101 .37456 .6277 .37364 .62441 .36966 Metetra
.525 .751 .978 r
.62441 .36966 .6277 .37364 .63442 .37264 .63114 .36865 Metetra
.531 .754 .978 r
.63114 .36865 .63442 .37264 .64116 .37157 .63789 .36757 Metetra
.538 .757 .977 r
.63789 .36757 .64116 .37157 .64792 .37041 .64466 .3664 Metetra
.545 .76 .976 r
.64466 .3664 .64792 .37041 .65469 .36916 .65145 .36514 Metetra
.553 .763 .976 r
.65145 .36514 .65469 .36916 .66149 .36781 .65826 .36378 Metetra
.561 .767 .975 r
.65826 .36378 .66149 .36781 .6683 .36634 .66508 .36231 Metetra
.569 .77 .973 r
.66508 .36231 .6683 .36634 .67513 .36477 .67193 .36072 Metetra
.578 .774 .972 r
.67193 .36072 .67513 .36477 .68198 .36307 .67878 .35901 Metetra
.587 .778 .971 r
.67878 .35901 .68198 .36307 .68884 .36125 .68566 .35718 Metetra
.596 .782 .969 r
.68566 .35718 .68884 .36125 .69572 .35929 .69255 .35521 Metetra
.605 .786 .967 r
.69255 .35521 .69572 .35929 .70261 .35718 .69945 .35309 Metetra
.615 .79 .965 r
.69945 .35309 .70261 .35718 .70951 .35493 .70637 .35083 Metetra
.625 .793 .963 r
.70637 .35083 .70951 .35493 .71642 .35253 .71329 .34841 Metetra
.635 .797 .961 r
.71329 .34841 .71642 .35253 .72335 .34996 .72023 .34583 Metetra
.644 .801 .958 r
.72023 .34583 .72335 .34996 .73028 .34722 .72718 .34308 Metetra
.654 .805 .955 r
.72718 .34308 .73028 .34722 .73722 .34431 .73413 .34016 Metetra
.664 .809 .952 r
.73413 .34016 .73722 .34431 .74417 .34122 .7411 .33706 Metetra
.674 .812 .949 r
.7411 .33706 .74417 .34122 .75113 .33794 .74807 .33377 Metetra
.684 .816 .946 r
.74807 .33377 .75113 .33794 .75808 .33448 .75504 .33029 Metetra
.694 .819 .942 r
.75504 .33029 .75808 .33448 .76505 .33081 .76202 .32661 Metetra
.704 .822 .938 r
.76202 .32661 .76505 .33081 .77201 .32694 .769 .32272 Metetra
.714 .826 .934 r
.769 .32272 .77201 .32694 .77897 .32287 .77597 .31863 Metetra
.723 .829 .93 r
.77597 .31863 .77897 .32287 .78594 .31858 .78295 .31433 Metetra
.733 .831 .926 r
.78295 .31433 .78594 .31858 .7929 .31407 .78993 .30981 Metetra
.742 .834 .921 r
.78993 .30981 .7929 .31407 .79985 .30934 .7969 .30506 Metetra
.751 .837 .916 r
.7969 .30506 .79985 .30934 .8068 .30439 .80387 .30009 Metetra
.76 .839 .912 r
.80387 .30009 .8068 .30439 .81374 .2992 .81082 .29489 Metetra
.878 .796 .766 r
.16983 .64745 .17402 .65046 .18055 .63923 .17638 .6362 Metetra
.875 .797 .77 r
.17638 .6362 .18055 .63923 .18705 .6283 .18289 .62525 Metetra
.873 .799 .774 r
.18289 .62525 .18705 .6283 .19351 .61768 .18937 .6146 Metetra
.871 .8 .778 r
.18937 .6146 .19351 .61768 .19993 .60735 .19582 .60425 Metetra
.868 .802 .783 r
.19582 .60425 .19993 .60735 .20633 .59732 .20223 .5942 Metetra
.866 .803 .787 r
.20223 .5942 .20633 .59732 .21269 .58758 .20861 .58444 Metetra
.863 .805 .792 r
.20861 .58444 .21269 .58758 .21902 .57813 .21496 .57497 Metetra
.86 .806 .796 r
.21496 .57497 .21902 .57813 .22533 .56896 .22128 .56578 Metetra
.856 .807 .801 r
.22128 .56578 .22533 .56896 .23161 .56008 .22758 .55687 Metetra
.853 .809 .806 r
.22758 .55687 .23161 .56008 .23786 .55147 .23385 .54824 Metetra
.849 .81 .811 r
.23385 .54824 .23786 .55147 .24409 .54313 .24009 .53989 Metetra
.846 .811 .816 r
.24009 .53989 .24409 .54313 .2503 .53506 .24632 .5318 Metetra
.842 .813 .822 r
.24632 .5318 .2503 .53506 .25648 .52726 .25252 .52398 Metetra
.837 .814 .827 r
.25252 .52398 .25648 .52726 .26265 .51972 .2587 .51643 Metetra
.833 .815 .832 r
.2587 .51643 .26265 .51972 .2688 .51244 .26486 .50913 Metetra
.828 .816 .838 r
.26486 .50913 .2688 .51244 .27493 .50541 .27101 .50208 Metetra
.823 .817 .844 r
.27101 .50208 .27493 .50541 .28105 .49864 .27714 .49529 Metetra
.818 .818 .849 r
.27714 .49529 .28105 .49864 .28715 .4921 .28326 .48874 Metetra
.812 .818 .855 r
.28326 .48874 .28715 .4921 .29324 .48582 .28936 .48244 Metetra
.806 .819 .861 r
.28936 .48244 .29324 .48582 .29931 .47976 .29545 .47637 Metetra
.8 .819 .867 r
.29545 .47637 .29931 .47976 .30538 .47395 .30153 .47054 Metetra
.794 .82 .872 r
.30153 .47054 .30538 .47395 .31144 .46836 .3076 .46494 Metetra
.787 .82 .878 r
.3076 .46494 .31144 .46836 .31748 .463 .31366 .45956 Metetra
.78 .82 .884 r
.31366 .45956 .31748 .463 .32353 .45786 .31972 .45441 Metetra
.773 .82 .89 r
.31972 .45441 .32353 .45786 .32956 .45293 .32576 .44947 Metetra
.765 .82 .895 r
.32576 .44947 .32956 .45293 .3356 .44822 .33181 .44474 Metetra
.757 .819 .901 r
.33181 .44474 .3356 .44822 .34163 .44371 .33785 .44022 Metetra
.749 .818 .906 r
.33785 .44022 .34163 .44371 .34765 .43941 .34389 .43591 Metetra
.741 .818 .912 r
.34389 .43591 .34765 .43941 .35368 .43531 .34993 .43179 Metetra
.732 .817 .917 r
.34993 .43179 .35368 .43531 .35971 .4314 .35597 .42787 Metetra
.723 .815 .922 r
.35597 .42787 .35971 .4314 .36574 .42768 .36201 .42414 Metetra
.714 .814 .927 r
.36201 .42414 .36574 .42768 .37177 .42414 .36805 .42059 Metetra
.704 .812 .932 r
.36805 .42059 .37177 .42414 .3778 .42078 .3741 .41722 Metetra
.695 .81 .937 r
.3741 .41722 .3778 .42078 .38384 .4176 .38015 .41403 Metetra
.685 .808 .941 r
.38015 .41403 .38384 .4176 .38989 .41458 .3862 .411 Metetra
.675 .806 .945 r
.3862 .411 .38989 .41458 .39594 .41173 .39226 .40814 Metetra
.664 .803 .949 r
.39226 .40814 .39594 .41173 .402 .40904 .39833 .40544 Metetra
.654 .801 .953 r
.39833 .40544 .402 .40904 .40807 .40651 .40441 .40289 Metetra
.644 .798 .956 r
.40441 .40289 .40807 .40651 .41414 .40412 .4105 .4005 Metetra
.634 .795 .96 r
.4105 .4005 .41414 .40412 .42023 .40188 .4166 .39824 Metetra
.623 .792 .963 r
.4166 .39824 .42023 .40188 .42633 .39977 .42271 .39613 Metetra
.613 .788 .965 r
.42271 .39613 .42633 .39977 .43244 .39779 .42883 .39414 Metetra
.603 .785 .968 r
.42883 .39414 .43244 .39779 .43857 .39595 .43497 .39228 Metetra
.593 .782 .97 r
.43497 .39228 .43857 .39595 .44471 .39422 .44111 .39055 Metetra
.584 .778 .972 r
.44111 .39055 .44471 .39422 .45086 .39261 .44728 .38893 Metetra
.574 .775 .974 r
.44728 .38893 .45086 .39261 .45703 .39111 .45346 .38742 Metetra
.565 .771 .975 r
.45346 .38742 .45703 .39111 .46322 .38971 .45965 .38601 Metetra
.556 .768 .977 r
.45965 .38601 .46322 .38971 .46942 .38841 .46586 .3847 Metetra
.548 .765 .978 r
.46586 .3847 .46942 .38841 .47564 .3872 .47209 .38348 Metetra
.54 .761 .979 r
.47209 .38348 .47564 .3872 .48187 .38607 .47834 .38235 Metetra
.533 .758 .98 r
.47834 .38235 .48187 .38607 .48813 .38503 .48461 .38129 Metetra
.526 .755 .98 r
.48461 .38129 .48813 .38503 .4944 .38406 .49089 .38031 Metetra
.519 .753 .981 r
.49089 .38031 .4944 .38406 .5007 .38315 .4972 .3794 Metetra
.513 .75 .981 r
.4972 .3794 .5007 .38315 .50701 .3823 .50352 .37855 Metetra
.508 .748 .982 r
.50352 .37855 .50701 .3823 .51335 .38151 .50987 .37775 Metetra
.503 .746 .982 r
.50987 .37775 .51335 .38151 .51971 .38077 .51623 .37699 Metetra
.499 .744 .982 r
.51623 .37699 .51971 .38077 .52608 .38006 .52262 .37628 Metetra
.495 .742 .982 r
.52262 .37628 .52608 .38006 .53248 .37939 .52903 .3756 Metetra
.493 .741 .983 r
.52903 .3756 .53248 .37939 .53891 .37875 .53546 .37495 Metetra
.49 .74 .983 r
.53546 .37495 .53891 .37875 .54535 .37812 .54191 .37432 Metetra
.489 .739 .983 r
.54191 .37432 .54535 .37812 .55181 .37751 .54839 .3737 Metetra
.488 .739 .983 r
.54839 .3737 .55181 .37751 .5583 .37691 .55489 .37308 Metetra
.488 .739 .983 r
.55489 .37308 .5583 .37691 .56481 .3763 .56141 .37247 Metetra
.489 .739 .983 r
.56141 .37247 .56481 .3763 .57135 .37569 .56795 .37185 Metetra
.49 .74 .983 r
.56795 .37185 .57135 .37569 .5779 .37506 .57452 .37121 Metetra
.492 .74 .983 r
.57452 .37121 .5779 .37506 .58448 .37441 .58111 .37056 Metetra
.494 .742 .982 r
.58111 .37056 .58448 .37441 .59108 .37373 .58772 .36987 Metetra
.497 .743 .982 r
.58772 .36987 .59108 .37373 .5977 .37302 .59435 .36915 Metetra
.501 .745 .982 r
.59435 .36915 .5977 .37302 .60435 .37226 .60101 .36838 Metetra
.505 .747 .982 r
.60101 .36838 .60435 .37226 .61101 .37145 .60769 .36756 Metetra
.51 .749 .982 r
.60769 .36756 .61101 .37145 .6177 .37059 .61439 .36669 Metetra
.516 .752 .981 r
.61439 .36669 .6177 .37059 .62441 .36966 .62111 .36575 Metetra
.522 .754 .981 r
.62111 .36575 .62441 .36966 .63114 .36865 .62785 .36474 Metetra
.528 .757 .981 r
.62785 .36474 .63114 .36865 .63789 .36757 .63461 .36364 Metetra
.535 .76 .98 r
.63461 .36364 .63789 .36757 .64466 .3664 .64139 .36247 Metetra
.542 .764 .979 r
.64139 .36247 .64466 .3664 .65145 .36514 .64819 .36119 Metetra
.55 .767 .978 r
.64819 .36119 .65145 .36514 .65826 .36378 .65501 .35982 Metetra
.558 .771 .977 r
.65501 .35982 .65826 .36378 .66508 .36231 .66185 .35834 Metetra
.567 .775 .976 r
.66185 .35834 .66508 .36231 .67193 .36072 .66871 .35675 Metetra
.576 .778 .975 r
.66871 .35675 .67193 .36072 .67878 .35901 .67558 .35503 Metetra
.585 .782 .974 r
.67558 .35503 .67878 .35901 .68566 .35718 .68246 .35318 Metetra
.594 .786 .972 r
.68246 .35318 .68566 .35718 .69255 .35521 .68937 .3512 Metetra
.604 .79 .97 r
.68937 .3512 .69255 .35521 .69945 .35309 .69628 .34907 Metetra
.613 .794 .968 r
.69628 .34907 .69945 .35309 .70637 .35083 .70321 .3468 Metetra
.623 .798 .966 r
.70321 .3468 .70637 .35083 .71329 .34841 .71015 .34437 Metetra
.633 .802 .964 r
.71015 .34437 .71329 .34841 .72023 .34583 .7171 .34178 Metetra
.643 .806 .961 r
.7171 .34178 .72023 .34583 .72718 .34308 .72407 .33902 Metetra
.653 .809 .958 r
.72407 .33902 .72718 .34308 .73413 .34016 .73104 .33608 Metetra
.664 .813 .955 r
.73104 .33608 .73413 .34016 .7411 .33706 .73801 .33297 Metetra
.674 .817 .952 r
.73801 .33297 .7411 .33706 .74807 .33377 .745 .32966 Metetra
.684 .82 .948 r
.745 .32966 .74807 .33377 .75504 .33029 .75199 .32617 Metetra
.694 .824 .945 r
.75199 .32617 .75504 .33029 .76202 .32661 .75898 .32247 Metetra
.704 .827 .941 r
.75898 .32247 .76202 .32661 .769 .32272 .76597 .31858 Metetra
.714 .83 .937 r
.76597 .31858 .769 .32272 .77597 .31863 .77297 .31447 Metetra
.724 .833 .933 r
.77297 .31447 .77597 .31863 .78295 .31433 .77996 .31015 Metetra
.733 .836 .928 r
.77996 .31015 .78295 .31433 .78993 .30981 .78695 .30562 Metetra
.743 .839 .924 r
.78695 .30562 .78993 .30981 .7969 .30506 .79394 .30086 Metetra
.752 .842 .919 r
.79394 .30086 .7969 .30506 .80387 .30009 .80092 .29587 Metetra
.761 .844 .914 r
.80092 .29587 .80387 .30009 .81082 .29489 .8079 .29065 Metetra
.879 .799 .767 r
.1656 .64453 .16983 .64745 .17638 .6362 .17217 .63325 Metetra
.877 .8 .771 r
.17217 .63325 .17638 .6362 .18289 .62525 .17871 .62227 Metetra
.875 .802 .775 r
.17871 .62227 .18289 .62525 .18937 .6146 .18521 .6116 Metetra
.872 .803 .779 r
.18521 .6116 .18937 .6146 .19582 .60425 .19167 .60123 Metetra
.87 .805 .783 r
.19167 .60123 .19582 .60425 .20223 .5942 .1981 .59115 Metetra
.867 .806 .788 r
.1981 .59115 .20223 .5942 .20861 .58444 .2045 .58137 Metetra
.864 .808 .793 r
.2045 .58137 .20861 .58444 .21496 .57497 .21087 .57188 Metetra
.861 .809 .797 r
.21087 .57188 .21496 .57497 .22128 .56578 .21721 .56267 Metetra
.858 .811 .802 r
.21721 .56267 .22128 .56578 .22758 .55687 .22352 .55374 Metetra
.854 .812 .807 r
.22352 .55374 .22758 .55687 .23385 .54824 .22981 .5451 Metetra
.851 .813 .813 r
.22981 .5451 .23385 .54824 .24009 .53989 .23607 .53672 Metetra
.847 .815 .818 r
.23607 .53672 .24009 .53989 .24632 .5318 .24231 .52862 Metetra
.843 .816 .823 r
.24231 .52862 .24632 .5318 .25252 .52398 .24853 .52078 Metetra
.839 .817 .829 r
.24853 .52078 .25252 .52398 .2587 .51643 .25473 .51321 Metetra
.834 .818 .834 r
.25473 .51321 .2587 .51643 .26486 .50913 .2609 .50589 Metetra
.829 .819 .84 r
.2609 .50589 .26486 .50913 .27101 .50208 .26707 .49883 Metetra
.824 .82 .845 r
.26707 .49883 .27101 .50208 .27714 .49529 .27321 .49202 Metetra
.819 .821 .851 r
.27321 .49202 .27714 .49529 .28326 .48874 .27934 .48546 Metetra
.813 .822 .857 r
.27934 .48546 .28326 .48874 .28936 .48244 .28546 .47914 Metetra
.808 .823 .863 r
.28546 .47914 .28936 .48244 .29545 .47637 .29156 .47306 Metetra
.801 .823 .868 r
.29156 .47306 .29545 .47637 .30153 .47054 .29765 .46721 Metetra
.795 .824 .874 r
.29765 .46721 .30153 .47054 .3076 .46494 .30374 .46159 Metetra
.788 .824 .88 r
.30374 .46159 .3076 .46494 .31366 .45956 .30981 .4562 Metetra
.781 .824 .886 r
.30981 .4562 .31366 .45956 .31972 .45441 .31588 .45103 Metetra
.774 .824 .892 r
.31588 .45103 .31972 .45441 .32576 .44947 .32194 .44608 Metetra
.766 .824 .898 r
.32194 .44608 .32576 .44947 .33181 .44474 .328 .44134 Metetra
.758 .824 .903 r
.328 .44134 .33181 .44474 .33785 .44022 .33405 .43681 Metetra
.75 .823 .909 r
.33405 .43681 .33785 .44022 .34389 .43591 .34011 .43248 Metetra
.741 .822 .914 r
.34011 .43248 .34389 .43591 .34993 .43179 .34616 .42835 Metetra
.732 .821 .92 r
.34616 .42835 .34993 .43179 .35597 .42787 .35221 .42442 Metetra
.723 .82 .925 r
.35221 .42442 .35597 .42787 .36201 .42414 .35826 .42067 Metetra
.714 .818 .93 r
.35826 .42067 .36201 .42414 .36805 .42059 .36431 .41711 Metetra
.704 .817 .935 r
.36431 .41711 .36805 .42059 .3741 .41722 .37037 .41373 Metetra
.694 .815 .939 r
.37037 .41373 .3741 .41722 .38015 .41403 .37643 .41053 Metetra
.684 .813 .944 r
.37643 .41053 .38015 .41403 .3862 .411 .3825 .40749 Metetra
.674 .81 .948 r
.3825 .40749 .3862 .411 .39226 .40814 .38857 .40462 Metetra
.664 .808 .952 r
.38857 .40462 .39226 .40814 .39833 .40544 .39465 .40191 Metetra
.653 .805 .956 r
.39465 .40191 .39833 .40544 .40441 .40289 .40074 .39935 Metetra
.643 .802 .959 r
.40074 .39935 .40441 .40289 .4105 .4005 .40684 .39694 Metetra
.633 .799 .963 r
.40684 .39694 .4105 .4005 .4166 .39824 .41295 .39468 Metetra
.622 .796 .965 r
.41295 .39468 .4166 .39824 .42271 .39613 .41907 .39255 Metetra
.612 .793 .968 r
.41907 .39255 .42271 .39613 .42883 .39414 .4252 .39056 Metetra
.602 .789 .971 r
.4252 .39056 .42883 .39414 .43497 .39228 .43134 .38869 Metetra
.591 .786 .973 r
.43134 .38869 .43497 .39228 .44111 .39055 .4375 .38695 Metetra
.582 .782 .975 r
.4375 .38695 .44111 .39055 .44728 .38893 .44368 .38532 Metetra
.572 .779 .977 r
.44368 .38532 .44728 .38893 .45346 .38742 .44986 .3838 Metetra
.563 .775 .978 r
.44986 .3838 .45346 .38742 .45965 .38601 .45607 .38238 Metetra
.554 .772 .979 r
.45607 .38238 .45965 .38601 .46586 .3847 .46229 .38106 Metetra
.545 .768 .98 r
.46229 .38106 .46586 .3847 .47209 .38348 .46853 .37984 Metetra
.537 .765 .981 r
.46853 .37984 .47209 .38348 .47834 .38235 .47479 .3787 Metetra
.529 .762 .982 r
.47479 .3787 .47834 .38235 .48461 .38129 .48106 .37763 Metetra
.522 .759 .983 r
.48106 .37763 .48461 .38129 .49089 .38031 .48736 .37664 Metetra
.516 .756 .983 r
.48736 .37664 .49089 .38031 .4972 .3794 .49367 .37572 Metetra
.51 .754 .984 r
.49367 .37572 .4972 .3794 .50352 .37855 .50001 .37486 Metetra
.504 .751 .984 r
.50001 .37486 .50352 .37855 .50987 .37775 .50636 .37405 Metetra
.499 .749 .984 r
.50636 .37405 .50987 .37775 .51623 .37699 .51274 .37329 Metetra
.495 .747 .985 r
.51274 .37329 .51623 .37699 .52262 .37628 .51914 .37257 Metetra
.492 .746 .985 r
.51914 .37257 .52262 .37628 .52903 .3756 .52556 .37188 Metetra
.489 .744 .985 r
.52556 .37188 .52903 .3756 .53546 .37495 .532 .37122 Metetra
.487 .743 .985 r
.532 .37122 .53546 .37495 .54191 .37432 .53846 .37058 Metetra
.485 .742 .985 r
.53846 .37058 .54191 .37432 .54839 .3737 .54495 .36995 Metetra
.484 .742 .985 r
.54495 .36995 .54839 .3737 .55489 .37308 .55146 .36933 Metetra
.484 .742 .985 r
.55146 .36933 .55489 .37308 .56141 .37247 .55799 .36871 Metetra
.485 .742 .985 r
.55799 .36871 .56141 .37247 .56795 .37185 .56454 .36808 Metetra
.486 .743 .985 r
.56454 .36808 .56795 .37185 .57452 .37121 .57112 .36744 Metetra
.488 .744 .985 r
.57112 .36744 .57452 .37121 .58111 .37056 .57772 .36677 Metetra
.49 .745 .985 r
.57772 .36677 .58111 .37056 .58772 .36987 .58434 .36608 Metetra
.493 .746 .985 r
.58434 .36608 .58772 .36987 .59435 .36915 .59099 .36535 Metetra
.497 .748 .985 r
.59099 .36535 .59435 .36915 .60101 .36838 .59765 .36457 Metetra
.502 .75 .984 r
.59765 .36457 .60101 .36838 .60769 .36756 .60434 .36375 Metetra
.507 .753 .984 r
.60434 .36375 .60769 .36756 .61439 .36669 .61105 .36286 Metetra
.512 .755 .984 r
.61105 .36286 .61439 .36669 .62111 .36575 .61779 .36191 Metetra
.518 .758 .983 r
.61779 .36191 .62111 .36575 .62785 .36474 .62454 .36089 Metetra
.525 .761 .983 r
.62454 .36089 .62785 .36474 .63461 .36364 .63131 .35979 Metetra
.532 .764 .982 r
.63131 .35979 .63461 .36364 .64139 .36247 .63811 .3586 Metetra
.539 .768 .982 r
.63811 .3586 .64139 .36247 .64819 .36119 .64492 .35732 Metetra
.547 .771 .981 r
.64492 .35732 .64819 .36119 .65501 .35982 .65175 .35594 Metetra
.556 .775 .98 r
.65175 .35594 .65501 .35982 .66185 .35834 .6586 .35445 Metetra
.564 .779 .979 r
.6586 .35445 .66185 .35834 .66871 .35675 .66547 .35284 Metetra
.573 .782 .978 r
.66547 .35284 .66871 .35675 .67558 .35503 .67236 .35112 Metetra
.583 .786 .976 r
.67236 .35112 .67558 .35503 .68246 .35318 .67926 .34926 Metetra
.592 .79 .975 r
.67926 .34926 .68246 .35318 .68937 .3512 .68617 .34726 Metetra
.602 .794 .973 r
.68617 .34726 .68937 .3512 .69628 .34907 .6931 .34513 Metetra
.612 .798 .971 r
.6931 .34513 .69628 .34907 .70321 .3468 .70004 .34284 Metetra
.622 .802 .969 r
.70004 .34284 .70321 .3468 .71015 .34437 .707 .3404 Metetra
.632 .806 .966 r
.707 .3404 .71015 .34437 .7171 .34178 .71397 .3378 Metetra
.642 .81 .964 r
.71397 .3378 .7171 .34178 .72407 .33902 .72094 .33502 Metetra
.652 .814 .961 r
.72094 .33502 .72407 .33902 .73104 .33608 .72793 .33208 Metetra
.663 .818 .958 r
.72793 .33208 .73104 .33608 .73801 .33297 .73492 .32895 Metetra
.673 .821 .955 r
.73492 .32895 .73801 .33297 .745 .32966 .74192 .32563 Metetra
.683 .825 .951 r
.74192 .32563 .745 .32966 .75199 .32617 .74892 .32212 Metetra
.693 .829 .948 r
.74892 .32212 .75199 .32617 .75898 .32247 .75593 .31842 Metetra
.704 .832 .944 r
.75593 .31842 .75898 .32247 .76597 .31858 .76294 .31451 Metetra
.714 .835 .94 r
.76294 .31451 .76597 .31858 .77297 .31447 .76995 .31039 Metetra
.724 .838 .935 r
.76995 .31039 .77297 .31447 .77996 .31015 .77696 .30605 Metetra
.733 .841 .931 r
.77696 .30605 .77996 .31015 .78695 .30562 .78396 .3015 Metetra
.743 .844 .926 r
.78396 .3015 .78695 .30562 .79394 .30086 .79097 .29672 Metetra
.752 .846 .921 r
.79097 .29672 .79394 .30086 .80092 .29587 .79797 .29172 Metetra
.762 .849 .916 r
.79797 .29172 .80092 .29587 .8079 .29065 .80496 .28648 Metetra
.88 .801 .767 r
.16135 .64168 .1656 .64453 .17217 .63325 .16794 .63037 Metetra
.878 .803 .771 r
.16794 .63037 .17217 .63325 .17871 .62227 .1745 .61937 Metetra
.876 .804 .776 r
.1745 .61937 .17871 .62227 .18521 .6116 .18102 .60868 Metetra
.874 .806 .78 r
.18102 .60868 .18521 .6116 .19167 .60123 .1875 .59829 Metetra
.871 .808 .784 r
.1875 .59829 .19167 .60123 .1981 .59115 .19395 .58819 Metetra
.868 .809 .789 r
.19395 .58819 .1981 .59115 .2045 .58137 .20037 .57838 Metetra
.866 .811 .794 r
.20037 .57838 .2045 .58137 .21087 .57188 .20675 .56887 Metetra
.862 .812 .799 r
.20675 .56887 .21087 .57188 .21721 .56267 .21311 .55964 Metetra
.859 .814 .804 r
.21311 .55964 .21721 .56267 .22352 .55374 .21944 .55069 Metetra
.856 .815 .809 r
.21944 .55069 .22352 .55374 .22981 .5451 .22574 .54203 Metetra
.852 .817 .814 r
.22574 .54203 .22981 .5451 .23607 .53672 .23202 .53363 Metetra
.848 .818 .819 r
.23202 .53363 .23607 .53672 .24231 .52862 .23828 .52551 Metetra
.844 .819 .824 r
.23828 .52551 .24231 .52862 .24853 .52078 .24451 .51765 Metetra
.84 .821 .83 r
.24451 .51765 .24853 .52078 .25473 .51321 .25073 .51006 Metetra
.836 .822 .836 r
.25073 .51006 .25473 .51321 .2609 .50589 .25692 .50273 Metetra
.831 .823 .841 r
.25692 .50273 .2609 .50589 .26707 .49883 .2631 .49565 Metetra
.826 .824 .847 r
.2631 .49565 .26707 .49883 .27321 .49202 .26926 .48882 Metetra
.82 .825 .853 r
.26926 .48882 .27321 .49202 .27934 .48546 .2754 .48224 Metetra
.815 .826 .859 r
.2754 .48224 .27934 .48546 .28546 .47914 .28153 .47591 Metetra
.809 .827 .865 r
.28153 .47591 .28546 .47914 .29156 .47306 .28765 .46981 Metetra
.803 .827 .87 r
.28765 .46981 .29156 .47306 .29765 .46721 .29376 .46395 Metetra
.796 .828 .876 r
.29376 .46395 .29765 .46721 .30374 .46159 .29985 .45832 Metetra
.789 .828 .882 r
.29985 .45832 .30374 .46159 .30981 .4562 .30594 .45291 Metetra
.782 .828 .888 r
.30594 .45291 .30981 .4562 .31588 .45103 .31202 .44773 Metetra
.775 .828 .894 r
.31202 .44773 .31588 .45103 .32194 .44608 .3181 .44276 Metetra
.767 .828 .9 r
.3181 .44276 .32194 .44608 .328 .44134 .32417 .43801 Metetra
.759 .828 .906 r
.32417 .43801 .328 .44134 .33405 .43681 .33023 .43346 Metetra
.75 .827 .911 r
.33023 .43346 .33405 .43681 .34011 .43248 .3363 .42912 Metetra
.742 .827 .917 r
.3363 .42912 .34011 .43248 .34616 .42835 .34236 .42498 Metetra
.733 .826 .922 r
.34236 .42498 .34616 .42835 .35221 .42442 .34842 .42104 Metetra
.723 .824 .928 r
.34842 .42104 .35221 .42442 .35826 .42067 .35448 .41728 Metetra
.714 .823 .933 r
.35448 .41728 .35826 .42067 .36431 .41711 .36055 .41371 Metetra
.704 .821 .938 r
.36055 .41371 .36431 .41711 .37037 .41373 .36662 .41032 Metetra
.694 .819 .942 r
.36662 .41032 .37037 .41373 .37643 .41053 .37269 .4071 Metetra
.684 .817 .947 r
.37269 .4071 .37643 .41053 .3825 .40749 .37877 .40405 Metetra
.674 .815 .951 r
.37877 .40405 .3825 .40749 .38857 .40462 .38485 .40117 Metetra
.663 .812 .955 r
.38485 .40117 .38857 .40462 .39465 .40191 .39094 .39845 Metetra
.652 .809 .959 r
.39094 .39845 .39465 .40191 .40074 .39935 .39704 .39588 Metetra
.642 .807 .962 r
.39704 .39588 .40074 .39935 .40684 .39694 .40315 .39346 Metetra
.631 .803 .965 r
.40315 .39346 .40684 .39694 .41295 .39468 .40927 .39119 Metetra
.621 .8 .968 r
.40927 .39119 .41295 .39468 .41907 .39255 .4154 .38905 Metetra
.61 .797 .971 r
.4154 .38905 .41907 .39255 .4252 .39056 .42155 .38705 Metetra
.6 .793 .973 r
.42155 .38705 .4252 .39056 .43134 .38869 .4277 .38517 Metetra
.589 .79 .976 r
.4277 .38517 .43134 .38869 .4375 .38695 .43387 .38342 Metetra
.579 .786 .978 r
.43387 .38342 .4375 .38695 .44368 .38532 .44005 .38178 Metetra
.57 .783 .979 r
.44005 .38178 .44368 .38532 .44986 .3838 .44625 .38025 Metetra
.56 .779 .981 r
.44625 .38025 .44986 .3838 .45607 .38238 .45247 .37883 Metetra
.551 .776 .982 r
.45247 .37883 .45607 .38238 .46229 .38106 .4587 .3775 Metetra
.542 .772 .983 r
.4587 .3775 .46229 .38106 .46853 .37984 .46495 .37626 Metetra
.534 .769 .984 r
.46495 .37626 .46853 .37984 .47479 .3787 .47122 .37511 Metetra
.526 .766 .985 r
.47122 .37511 .47479 .3787 .48106 .37763 .4775 .37404 Metetra
.519 .763 .985 r
.4775 .37404 .48106 .37763 .48736 .37664 .48381 .37305 Metetra
.512 .76 .986 r
.48381 .37305 .48736 .37664 .49367 .37572 .49013 .37212 Metetra
.506 .757 .986 r
.49013 .37212 .49367 .37572 .50001 .37486 .49648 .37125 Metetra
.5 .755 .986 r
.49648 .37125 .50001 .37486 .50636 .37405 .50284 .37043 Metetra
.495 .752 .987 r
.50284 .37043 .50636 .37405 .51274 .37329 .50923 .36966 Metetra
.491 .75 .987 r
.50923 .36966 .51274 .37329 .51914 .37257 .51564 .36893 Metetra
.488 .749 .987 r
.51564 .36893 .51914 .37257 .52556 .37188 .52207 .36824 Metetra
.485 .747 .987 r
.52207 .36824 .52556 .37188 .532 .37122 .52852 .36757 Metetra
.482 .746 .987 r
.52852 .36757 .532 .37122 .53846 .37058 .53499 .36692 Metetra
.481 .746 .987 r
.53499 .36692 .53846 .37058 .54495 .36995 .54149 .36629 Metetra
.48 .745 .987 r
.54149 .36629 .54495 .36995 .55146 .36933 .54801 .36566 Metetra
.48 .745 .987 r
.54801 .36566 .55146 .36933 .55799 .36871 .55455 .36503 Metetra
.48 .745 .987 r
.55455 .36503 .55799 .36871 .56454 .36808 .56112 .36439 Metetra
.482 .746 .987 r
.56112 .36439 .56454 .36808 .57112 .36744 .5677 .36374 Metetra
.484 .747 .987 r
.5677 .36374 .57112 .36744 .57772 .36677 .57432 .36306 Metetra
.486 .748 .987 r
.57432 .36306 .57772 .36677 .58434 .36608 .58095 .36236 Metetra
.489 .75 .987 r
.58095 .36236 .58434 .36608 .59099 .36535 .58761 .36162 Metetra
.493 .752 .987 r
.58761 .36162 .59099 .36535 .59765 .36457 .59428 .36084 Metetra
.498 .754 .987 r
.59428 .36084 .59765 .36457 .60434 .36375 .60098 .36 Metetra
.503 .756 .986 r
.60098 .36 .60434 .36375 .61105 .36286 .60771 .35911 Metetra
.509 .759 .986 r
.60771 .35911 .61105 .36286 .61779 .36191 .61445 .35815 Metetra
.515 .762 .986 r
.61445 .35815 .61779 .36191 .62454 .36089 .62122 .35712 Metetra
.521 .765 .985 r
.62122 .35712 .62454 .36089 .63131 .35979 .628 .35601 Metetra
.529 .768 .985 r
.628 .35601 .63131 .35979 .63811 .3586 .63481 .35482 Metetra
.536 .771 .984 r
.63481 .35482 .63811 .3586 .64492 .35732 .64163 .35353 Metetra
.544 .775 .984 r
.64163 .35353 .64492 .35732 .65175 .35594 .64848 .35213 Metetra
.553 .779 .983 r
.64848 .35213 .65175 .35594 .6586 .35445 .65534 .35063 Metetra
.562 .783 .982 r
.65534 .35063 .6586 .35445 .66547 .35284 .66222 .34902 Metetra
.571 .786 .98 r
.66222 .34902 .66547 .35284 .67236 .35112 .66912 .34728 Metetra
.58 .79 .979 r
.66912 .34728 .67236 .35112 .67926 .34926 .67604 .34541 Metetra
.59 .795 .977 r
.67604 .34541 .67926 .34926 .68617 .34726 .68297 .34341 Metetra
.6 .799 .976 r
.68297 .34341 .68617 .34726 .6931 .34513 .68991 .34126 Metetra
.61 .803 .974 r
.68991 .34126 .6931 .34513 .70004 .34284 .69687 .33896 Metetra
.62 .807 .972 r
.69687 .33896 .70004 .34284 .707 .3404 .70383 .33651 Metetra
.63 .811 .969 r
.70383 .33651 .707 .3404 .71397 .3378 .71082 .33389 Metetra
.641 .815 .967 r
.71082 .33389 .71397 .3378 .72094 .33502 .71781 .33111 Metetra
.651 .819 .964 r
.71781 .33111 .72094 .33502 .72793 .33208 .72481 .32815 Metetra
.662 .822 .961 r
.72481 .32815 .72793 .33208 .73492 .32895 .73181 .325 Metetra
.672 .826 .957 r
.73181 .325 .73492 .32895 .74192 .32563 .73883 .32167 Metetra
.683 .83 .954 r
.73883 .32167 .74192 .32563 .74892 .32212 .74585 .31815 Metetra
.693 .833 .95 r
.74585 .31815 .74892 .32212 .75593 .31842 .75287 .31443 Metetra
.703 .837 .946 r
.75287 .31443 .75593 .31842 .76294 .31451 .75989 .31051 Metetra
.713 .84 .942 r
.75989 .31051 .76294 .31451 .76995 .31039 .76692 .30637 Metetra
.723 .843 .938 r
.76692 .30637 .76995 .31039 .77696 .30605 .77395 .30202 Metetra
.733 .846 .933 r
.77395 .30202 .77696 .30605 .78396 .3015 .78097 .29745 Metetra
.743 .849 .929 r
.78097 .29745 .78396 .3015 .79097 .29672 .78799 .29266 Metetra
.753 .851 .924 r
.78799 .29266 .79097 .29672 .79797 .29172 .795 .28764 Metetra
.762 .854 .919 r
.795 .28764 .79797 .29172 .80496 .28648 .80201 .28239 Metetra
.882 .804 .768 r
.15707 .63891 .16135 .64168 .16794 .63037 .16368 .62758 Metetra
.88 .806 .772 r
.16368 .62758 .16794 .63037 .1745 .61937 .17026 .61656 Metetra
.877 .807 .776 r
.17026 .61656 .1745 .61937 .18102 .60868 .1768 .60584 Metetra
.875 .809 .781 r
.1768 .60584 .18102 .60868 .1875 .59829 .1833 .59542 Metetra
.873 .81 .785 r
.1833 .59542 .1875 .59829 .19395 .58819 .18977 .5853 Metetra
.87 .812 .79 r
.18977 .5853 .19395 .58819 .20037 .57838 .1962 .57547 Metetra
.867 .814 .795 r
.1962 .57547 .20037 .57838 .20675 .56887 .20261 .56594 Metetra
.864 .815 .8 r
.20261 .56594 .20675 .56887 .21311 .55964 .20898 .55669 Metetra
.861 .817 .805 r
.20898 .55669 .21311 .55964 .21944 .55069 .21533 .54772 Metetra
.857 .818 .81 r
.21533 .54772 .21944 .55069 .22574 .54203 .22165 .53903 Metetra
.854 .82 .815 r
.22165 .53903 .22574 .54203 .23202 .53363 .22795 .53062 Metetra
.85 .821 .82 r
.22795 .53062 .23202 .53363 .23828 .52551 .23422 .52248 Metetra
.846 .823 .826 r
.23422 .52248 .23828 .52551 .24451 .51765 .24047 .5146 Metetra
.841 .824 .831 r
.24047 .5146 .24451 .51765 .25073 .51006 .2467 .50699 Metetra
.837 .826 .837 r
.2467 .50699 .25073 .51006 .25692 .50273 .25291 .49964 Metetra
.832 .827 .843 r
.25291 .49964 .25692 .50273 .2631 .49565 .2591 .49255 Metetra
.827 .828 .849 r
.2591 .49255 .2631 .49565 .26926 .48882 .26528 .4857 Metetra
.822 .829 .854 r
.26528 .4857 .26926 .48882 .2754 .48224 .27144 .47911 Metetra
.816 .83 .86 r
.27144 .47911 .2754 .48224 .28153 .47591 .27758 .47275 Metetra
.81 .831 .866 r
.27758 .47275 .28153 .47591 .28765 .46981 .28371 .46664 Metetra
.804 .832 .872 r
.28371 .46664 .28765 .46981 .29376 .46395 .28983 .46076 Metetra
.797 .832 .878 r
.28983 .46076 .29376 .46395 .29985 .45832 .29594 .45512 Metetra
.79 .832 .884 r
.29594 .45512 .29985 .45832 .30594 .45291 .30205 .4497 Metetra
.783 .833 .89 r
.30205 .4497 .30594 .45291 .31202 .44773 .30814 .4445 Metetra
.776 .833 .896 r
.30814 .4445 .31202 .44773 .3181 .44276 .31423 .43952 Metetra
.768 .833 .902 r
.31423 .43952 .3181 .44276 .32417 .43801 .32031 .43475 Metetra
.759 .832 .908 r
.32031 .43475 .32417 .43801 .33023 .43346 .32639 .43019 Metetra
.751 .832 .914 r
.32639 .43019 .33023 .43346 .3363 .42912 .33247 .42584 Metetra
.742 .831 .919 r
.33247 .42584 .3363 .42912 .34236 .42498 .33854 .42169 Metetra
.733 .83 .925 r
.33854 .42169 .34236 .42498 .34842 .42104 .34461 .41773 Metetra
.724 .829 .93 r
.34461 .41773 .34842 .42104 .35448 .41728 .35069 .41396 Metetra
.714 .827 .935 r
.35069 .41396 .35448 .41728 .36055 .41371 .35677 .41038 Metetra
.704 .826 .94 r
.35677 .41038 .36055 .41371 .36662 .41032 .36285 .40697 Metetra
.694 .824 .945 r
.36285 .40697 .36662 .41032 .37269 .4071 .36893 .40374 Metetra
.683 .822 .949 r
.36893 .40374 .37269 .4071 .37877 .40405 .37502 .40069 Metetra
.673 .819 .954 r
.37502 .40069 .37877 .40405 .38485 .40117 .38111 .39779 Metetra
.662 .817 .958 r
.38111 .39779 .38485 .40117 .39094 .39845 .38722 .39506 Metetra
.651 .814 .961 r
.38722 .39506 .39094 .39845 .39704 .39588 .39333 .39248 Metetra
.641 .811 .965 r
.39333 .39248 .39704 .39588 .40315 .39346 .39945 .39006 Metetra
.63 .808 .968 r
.39945 .39006 .40315 .39346 .40927 .39119 .40558 .38777 Metetra
.619 .805 .971 r
.40558 .38777 .40927 .39119 .4154 .38905 .41172 .38563 Metetra
.608 .801 .974 r
.41172 .38563 .4154 .38905 .42155 .38705 .41787 .38361 Metetra
.598 .798 .976 r
.41787 .38361 .42155 .38705 .4277 .38517 .42404 .38173 Metetra
.587 .794 .978 r
.42404 .38173 .4277 .38517 .43387 .38342 .43022 .37996 Metetra
.577 .79 .98 r
.43022 .37996 .43387 .38342 .44005 .38178 .43641 .37832 Metetra
.567 .787 .982 r
.43641 .37832 .44005 .38178 .44625 .38025 .44262 .37678 Metetra
.557 .783 .983 r
.44262 .37678 .44625 .38025 .45247 .37883 .44885 .37534 Metetra
.548 .78 .984 r
.44885 .37534 .45247 .37883 .4587 .3775 .45509 .37401 Metetra
.539 .776 .985 r
.45509 .37401 .4587 .3775 .46495 .37626 .46135 .37277 Metetra
.531 .773 .986 r
.46135 .37277 .46495 .37626 .47122 .37511 .46763 .37161 Metetra
.523 .769 .987 r
.46763 .37161 .47122 .37511 .4775 .37404 .47392 .37053 Metetra
.515 .766 .988 r
.47392 .37053 .4775 .37404 .48381 .37305 .48024 .36952 Metetra
.508 .763 .988 r
.48024 .36952 .48381 .37305 .49013 .37212 .48657 .36858 Metetra
.502 .76 .988 r
.48657 .36858 .49013 .37212 .49648 .37125 .49293 .36771 Metetra
.496 .758 .989 r
.49293 .36771 .49648 .37125 .50284 .37043 .4993 .36688 Metetra
.491 .756 .989 r
.4993 .36688 .50284 .37043 .50923 .36966 .5057 .3661 Metetra
.487 .754 .989 r
.5057 .3661 .50923 .36966 .51564 .36893 .51212 .36537 Metetra
.483 .752 .989 r
.51212 .36537 .51564 .36893 .52207 .36824 .51856 .36466 Metetra
.48 .751 .989 r
.51856 .36466 .52207 .36824 .52852 .36757 .52502 .36399 Metetra
.478 .75 .989 r
.52502 .36399 .52852 .36757 .53499 .36692 .53151 .36333 Metetra
.476 .749 .989 r
.53151 .36333 .53499 .36692 .54149 .36629 .53801 .36269 Metetra
.476 .748 .989 r
.53801 .36269 .54149 .36629 .54801 .36566 .54454 .36205 Metetra
.475 .748 .989 r
.54454 .36205 .54801 .36566 .55455 .36503 .5511 .36142 Metetra
.476 .749 .989 r
.5511 .36142 .55455 .36503 .56112 .36439 .55767 .36077 Metetra
.477 .749 .989 r
.55767 .36077 .56112 .36439 .5677 .36374 .56427 .36011 Metetra
.479 .75 .989 r
.56427 .36011 .5677 .36374 .57432 .36306 .5709 .35943 Metetra
.482 .751 .989 r
.5709 .35943 .57432 .36306 .58095 .36236 .57754 .35872 Metetra
.485 .753 .989 r
.57754 .35872 .58095 .36236 .58761 .36162 .58421 .35797 Metetra
.489 .755 .989 r
.58421 .35797 .58761 .36162 .59428 .36084 .5909 .35718 Metetra
.494 .757 .989 r
.5909 .35718 .59428 .36084 .60098 .36 .59761 .35633 Metetra
.499 .759 .989 r
.59761 .35633 .60098 .36 .60771 .35911 .60435 .35543 Metetra
.505 .762 .988 r
.60435 .35543 .60771 .35911 .61445 .35815 .6111 .35447 Metetra
.511 .765 .988 r
.6111 .35447 .61445 .35815 .62122 .35712 .61788 .35343 Metetra
.518 .768 .988 r
.61788 .35343 .62122 .35712 .628 .35601 .62468 .35231 Metetra
.525 .771 .987 r
.62468 .35231 .628 .35601 .63481 .35482 .6315 .3511 Metetra
.533 .775 .987 r
.6315 .3511 .63481 .35482 .64163 .35353 .63833 .3498 Metetra
.541 .779 .986 r
.63833 .3498 .64163 .35353 .64848 .35213 .64519 .3484 Metetra
.55 .783 .985 r
.64519 .3484 .64848 .35213 .65534 .35063 .65207 .34689 Metetra
.559 .786 .984 r
.65207 .34689 .65534 .35063 .66222 .34902 .65896 .34526 Metetra
.568 .79 .983 r
.65896 .34526 .66222 .34902 .66912 .34728 .66587 .34351 Metetra
.578 .795 .982 r
.66587 .34351 .66912 .34728 .67604 .34541 .6728 .34164 Metetra
.588 .799 .98 r
.6728 .34164 .67604 .34541 .68297 .34341 .67975 .33962 Metetra
.598 .803 .978 r
.67975 .33962 .68297 .34341 .68991 .34126 .6867 .33746 Metetra
.608 .807 .976 r
.6867 .33746 .68991 .34126 .69687 .33896 .69367 .33515 Metetra
.618 .811 .974 r
.69367 .33515 .69687 .33896 .70383 .33651 .70066 .33269 Metetra
.629 .815 .972 r
.70066 .33269 .70383 .33651 .71082 .33389 .70765 .33006 Metetra
.639 .819 .969 r
.70765 .33006 .71082 .33389 .71781 .33111 .71466 .32726 Metetra
.65 .823 .966 r
.71466 .32726 .71781 .33111 .72481 .32815 .72167 .32429 Metetra
.661 .827 .963 r
.72167 .32429 .72481 .32815 .73181 .325 .72869 .32113 Metetra
.671 .831 .96 r
.72869 .32113 .73181 .325 .73883 .32167 .73572 .31779 Metetra
.682 .834 .957 r
.73572 .31779 .73883 .32167 .74585 .31815 .74276 .31426 Metetra
.692 .838 .953 r
.74276 .31426 .74585 .31815 .75287 .31443 .7498 .31052 Metetra
.703 .841 .949 r
.7498 .31052 .75287 .31443 .75989 .31051 .75684 .30658 Metetra
.713 .845 .945 r
.75684 .30658 .75989 .31051 .76692 .30637 .76388 .30243 Metetra
.723 .848 .94 r
.76388 .30243 .76692 .30637 .77395 .30202 .77092 .29807 Metetra
.733 .851 .936 r
.77092 .29807 .77395 .30202 .78097 .29745 .77796 .29348 Metetra
.743 .853 .931 r
.77796 .29348 .78097 .29745 .78799 .29266 .785 .28867 Metetra
.753 .856 .926 r
.785 .28867 .78799 .29266 .795 .28764 .79203 .28364 Metetra
.762 .858 .921 r
.79203 .28364 .795 .28764 .80201 .28239 .79906 .27837 Metetra
.883 .807 .769 r
.15276 .63622 .15707 .63891 .16368 .62758 .15939 .62487 Metetra
.881 .808 .773 r
.15939 .62487 .16368 .62758 .17026 .61656 .16599 .61382 Metetra
.879 .81 .777 r
.16599 .61382 .17026 .61656 .1768 .60584 .17255 .60308 Metetra
.876 .812 .782 r
.17255 .60308 .1768 .60584 .1833 .59542 .17907 .59263 Metetra
.874 .813 .786 r
.17907 .59263 .1833 .59542 .18977 .5853 .18556 .58249 Metetra
.871 .815 .791 r
.18556 .58249 .18977 .5853 .1962 .57547 .19201 .57264 Metetra
.868 .817 .796 r
.19201 .57264 .1962 .57547 .20261 .56594 .19844 .56308 Metetra
.865 .818 .801 r
.19844 .56308 .20261 .56594 .20898 .55669 .20483 .55381 Metetra
.862 .82 .806 r
.20483 .55381 .20898 .55669 .21533 .54772 .2112 .54482 Metetra
.859 .822 .811 r
.2112 .54482 .21533 .54772 .22165 .53903 .21753 .53611 Metetra
.855 .823 .816 r
.21753 .53611 .22165 .53903 .22795 .53062 .22385 .52768 Metetra
.851 .825 .822 r
.22385 .52768 .22795 .53062 .23422 .52248 .23014 .51952 Metetra
.847 .826 .827 r
.23014 .51952 .23422 .52248 .24047 .5146 .2364 .51163 Metetra
.843 .828 .833 r
.2364 .51163 .24047 .5146 .2467 .50699 .24265 .504 Metetra
.838 .829 .839 r
.24265 .504 .2467 .50699 .25291 .49964 .24887 .49663 Metetra
.833 .831 .844 r
.24887 .49663 .25291 .49964 .2591 .49255 .25508 .48952 Metetra
.828 .832 .85 r
.25508 .48952 .2591 .49255 .26528 .4857 .26127 .48266 Metetra
.823 .833 .856 r
.26127 .48266 .26528 .4857 .27144 .47911 .26745 .47604 Metetra
.817 .834 .862 r
.26745 .47604 .27144 .47911 .27758 .47275 .27361 .46967 Metetra
.811 .835 .868 r
.27361 .46967 .27758 .47275 .28371 .46664 .27975 .46355 Metetra
.805 .836 .874 r
.27975 .46355 .28371 .46664 .28983 .46076 .28589 .45765 Metetra
.798 .836 .88 r
.28589 .45765 .28983 .46076 .29594 .45512 .29201 .45199 Metetra
.791 .837 .886 r
.29201 .45199 .29594 .45512 .30205 .4497 .29813 .44656 Metetra
.784 .837 .892 r
.29813 .44656 .30205 .4497 .30814 .4445 .30423 .44134 Metetra
.776 .837 .898 r
.30423 .44134 .30814 .4445 .31423 .43952 .31034 .43635 Metetra
.768 .837 .904 r
.31034 .43635 .31423 .43952 .32031 .43475 .31643 .43157 Metetra
.76 .837 .91 r
.31643 .43157 .32031 .43475 .32639 .43019 .32252 .427 Metetra
.751 .836 .916 r
.32252 .427 .32639 .43019 .33247 .42584 .32861 .42263 Metetra
.743 .836 .922 r
.32861 .42263 .33247 .42584 .33854 .42169 .3347 .41847 Metetra
.733 .835 .927 r
.3347 .41847 .33854 .42169 .34461 .41773 .34078 .41449 Metetra
.724 .833 .933 r
.34078 .41449 .34461 .41773 .35069 .41396 .34687 .41071 Metetra
.714 .832 .938 r
.34687 .41071 .35069 .41396 .35677 .41038 .35296 .40712 Metetra
.704 .83 .943 r
.35296 .40712 .35677 .41038 .36285 .40697 .35905 .4037 Metetra
.693 .828 .948 r
.35905 .4037 .36285 .40697 .36893 .40374 .36515 .40046 Metetra
.683 .826 .952 r
.36515 .40046 .36893 .40374 .37502 .40069 .37125 .39739 Metetra
.672 .824 .956 r
.37125 .39739 .37502 .40069 .38111 .39779 .37735 .39449 Metetra
.661 .821 .96 r
.37735 .39449 .38111 .39779 .38722 .39506 .38347 .39175 Metetra
.65 .818 .964 r
.38347 .39175 .38722 .39506 .39333 .39248 .38959 .38916 Metetra
.639 .815 .968 r
.38959 .38916 .39333 .39248 .39945 .39006 .39572 .38672 Metetra
.628 .812 .971 r
.39572 .38672 .39945 .39006 .40558 .38777 .40186 .38443 Metetra
.617 .809 .974 r
.40186 .38443 .40558 .38777 .41172 .38563 .40801 .38227 Metetra
.606 .805 .976 r
.40801 .38227 .41172 .38563 .41787 .38361 .41418 .38025 Metetra
.595 .802 .979 r
.41418 .38025 .41787 .38361 .42404 .38173 .42035 .37835 Metetra
.585 .798 .981 r
.42035 .37835 .42404 .38173 .43022 .37996 .42654 .37658 Metetra
.574 .794 .983 r
.42654 .37658 .43022 .37996 .43641 .37832 .43275 .37492 Metetra
.564 .791 .984 r
.43275 .37492 .43641 .37832 .44262 .37678 .43897 .37338 Metetra
.554 .787 .986 r
.43897 .37338 .44262 .37678 .44885 .37534 .4452 .37194 Metetra
.545 .783 .987 r
.4452 .37194 .44885 .37534 .45509 .37401 .45146 .37059 Metetra
.536 .78 .988 r
.45146 .37059 .45509 .37401 .46135 .37277 .45773 .36934 Metetra
.527 .776 .988 r
.45773 .36934 .46135 .37277 .46763 .37161 .46402 .36817 Metetra
.519 .773 .989 r
.46402 .36817 .46763 .37161 .47392 .37053 .47032 .36709 Metetra
.511 .77 .99 r
.47032 .36709 .47392 .37053 .48024 .36952 .47665 .36607 Metetra
.504 .766 .99 r
.47665 .36607 .48024 .36952 .48657 .36858 .48299 .36512 Metetra
.498 .764 .99 r
.48299 .36512 .48657 .36858 .49293 .36771 .48936 .36424 Metetra
.492 .761 .99 r
.48936 .36424 .49293 .36771 .4993 .36688 .49575 .36341 Metetra
.487 .759 .991 r
.49575 .36341 .4993 .36688 .5057 .3661 .50215 .36262 Metetra
.483 .757 .991 r
.50215 .36262 .5057 .3661 .51212 .36537 .50858 .36188 Metetra
.479 .755 .991 r
.50858 .36188 .51212 .36537 .51856 .36466 .51503 .36117 Metetra
.476 .754 .991 r
.51503 .36117 .51856 .36466 .52502 .36399 .52151 .36048 Metetra
.474 .753 .991 r
.52151 .36048 .52502 .36399 .53151 .36333 .528 .35982 Metetra
.472 .752 .991 r
.528 .35982 .53151 .36333 .53801 .36269 .53452 .35917 Metetra
.471 .751 .991 r
.53452 .35917 .53801 .36269 .54454 .36205 .54106 .35852 Metetra
.471 .751 .991 r
.54106 .35852 .54454 .36205 .5511 .36142 .54763 .35788 Metetra
.471 .752 .991 r
.54763 .35788 .5511 .36142 .55767 .36077 .55421 .35722 Metetra
.473 .752 .991 r
.55421 .35722 .55767 .36077 .56427 .36011 .56082 .35656 Metetra
.475 .753 .991 r
.56082 .35656 .56427 .36011 .5709 .35943 .56746 .35587 Metetra
.477 .754 .991 r
.56746 .35587 .5709 .35943 .57754 .35872 .57411 .35515 Metetra
.481 .756 .991 r
.57411 .35515 .57754 .35872 .58421 .35797 .58079 .35439 Metetra
.485 .758 .991 r
.58079 .35439 .58421 .35797 .5909 .35718 .5875 .35359 Metetra
.49 .76 .991 r
.5875 .35359 .5909 .35718 .59761 .35633 .59422 .35274 Metetra
.495 .763 .99 r
.59422 .35274 .59761 .35633 .60435 .35543 .60097 .35183 Metetra
.501 .765 .99 r
.60097 .35183 .60435 .35543 .6111 .35447 .60774 .35085 Metetra
.507 .768 .99 r
.60774 .35085 .6111 .35447 .61788 .35343 .61453 .34981 Metetra
.514 .772 .99 r
.61453 .34981 .61788 .35343 .62468 .35231 .62134 .34868 Metetra
.522 .775 .989 r
.62134 .34868 .62468 .35231 .6315 .3511 .62817 .34746 Metetra
.529 .779 .989 r
.62817 .34746 .6315 .3511 .63833 .3498 .63502 .34615 Metetra
.538 .782 .988 r
.63502 .34615 .63833 .3498 .64519 .3484 .64189 .34474 Metetra
.547 .786 .987 r
.64189 .34474 .64519 .3484 .65207 .34689 .64878 .34322 Metetra
.556 .79 .986 r
.64878 .34322 .65207 .34689 .65896 .34526 .65569 .34158 Metetra
.565 .794 .985 r
.65569 .34158 .65896 .34526 .66587 .34351 .66261 .33982 Metetra
.575 .799 .984 r
.66261 .33982 .66587 .34351 .6728 .34164 .66955 .33794 Metetra
.585 .803 .982 r
.66955 .33794 .6728 .34164 .67975 .33962 .67651 .33591 Metetra
.595 .807 .981 r
.67651 .33591 .67975 .33962 .6867 .33746 .68348 .33374 Metetra
.606 .811 .979 r
.68348 .33374 .6867 .33746 .69367 .33515 .69047 .33142 Metetra
.616 .815 .977 r
.69047 .33142 .69367 .33515 .70066 .33269 .69747 .32894 Metetra
.627 .82 .974 r
.69747 .32894 .70066 .33269 .70765 .33006 .70448 .3263 Metetra
.638 .824 .972 r
.70448 .3263 .70765 .33006 .71466 .32726 .7115 .32349 Metetra
.649 .828 .969 r
.7115 .32349 .71466 .32726 .72167 .32429 .71853 .32051 Metetra
.659 .832 .966 r
.71853 .32051 .72167 .32429 .72869 .32113 .72557 .31734 Metetra
.67 .835 .963 r
.72557 .31734 .72869 .32113 .73572 .31779 .73261 .31398 Metetra
.681 .839 .959 r
.73261 .31398 .73572 .31779 .74276 .31426 .73966 .31043 Metetra
.692 .843 .955 r
.73966 .31043 .74276 .31426 .7498 .31052 .74672 .30668 Metetra
.702 .846 .951 r
.74672 .30668 .7498 .31052 .75684 .30658 .75377 .30273 Metetra
.713 .849 .947 r
.75377 .30273 .75684 .30658 .76388 .30243 .76083 .29856 Metetra
.723 .852 .943 r
.76083 .29856 .76388 .30243 .77092 .29807 .76789 .29418 Metetra
.733 .855 .938 r
.76789 .29418 .77092 .29807 .77796 .29348 .77495 .28958 Metetra
.743 .858 .933 r
.77495 .28958 .77796 .29348 .785 .28867 .782 .28476 Metetra
.753 .861 .928 r
.782 .28476 .785 .28867 .79203 .28364 .78905 .27971 Metetra
.763 .863 .923 r
.78905 .27971 .79203 .28364 .79906 .27837 .7961 .27442 Metetra
.885 .809 .77 r
.14842 .63362 .15276 .63622 .15939 .62487 .15507 .62223 Metetra
.882 .811 .774 r
.15507 .62223 .15939 .62487 .16599 .61382 .16169 .61116 Metetra
.88 .813 .778 r
.16169 .61116 .16599 .61382 .17255 .60308 .16827 .60039 Metetra
.878 .815 .783 r
.16827 .60039 .17255 .60308 .17907 .59263 .17481 .58993 Metetra
.875 .816 .787 r
.17481 .58993 .17907 .59263 .18556 .58249 .18132 .57976 Metetra
.873 .818 .792 r
.18132 .57976 .18556 .58249 .19201 .57264 .18779 .56989 Metetra
.87 .82 .797 r
.18779 .56989 .19201 .57264 .19844 .56308 .19424 .56031 Metetra
.867 .822 .802 r
.19424 .56031 .19844 .56308 .20483 .55381 .20065 .55102 Metetra
.864 .823 .807 r
.20065 .55102 .20483 .55381 .2112 .54482 .20703 .54201 Metetra
.86 .825 .812 r
.20703 .54201 .2112 .54482 .21753 .53611 .21339 .53328 Metetra
.856 .827 .818 r
.21339 .53328 .21753 .53611 .22385 .52768 .21972 .52482 Metetra
.853 .828 .823 r
.21972 .52482 .22385 .52768 .23014 .51952 .22603 .51664 Metetra
.849 .83 .829 r
.22603 .51664 .23014 .51952 .2364 .51163 .23231 .50873 Metetra
.844 .831 .834 r
.23231 .50873 .2364 .51163 .24265 .504 .23857 .50108 Metetra
.84 .833 .84 r
.23857 .50108 .24265 .504 .24887 .49663 .24481 .49369 Metetra
.835 .834 .846 r
.24481 .49369 .24887 .49663 .25508 .48952 .25103 .48656 Metetra
.83 .836 .852 r
.25103 .48656 .25508 .48952 .26127 .48266 .25724 .47968 Metetra
.824 .837 .858 r
.25724 .47968 .26127 .48266 .26745 .47604 .26343 .47306 Metetra
.818 .838 .864 r
.26343 .47306 .26745 .47604 .27361 .46967 .2696 .46667 Metetra
.812 .839 .87 r
.2696 .46667 .27361 .46967 .27975 .46355 .27577 .46053 Metetra
.806 .84 .876 r
.27577 .46053 .27975 .46355 .28589 .45765 .28191 .45462 Metetra
.799 .84 .882 r
.28191 .45462 .28589 .45765 .29201 .45199 .28805 .44894 Metetra
.792 .841 .888 r
.28805 .44894 .29201 .45199 .29813 .44656 .29418 .44349 Metetra
.785 .841 .895 r
.29418 .44349 .29813 .44656 .30423 .44134 .3003 .43826 Metetra
.777 .841 .901 r
.3003 .43826 .30423 .44134 .31034 .43635 .30642 .43325 Metetra
.769 .841 .907 r
.30642 .43325 .31034 .43635 .31643 .43157 .31253 .42846 Metetra
.761 .841 .913 r
.31253 .42846 .31643 .43157 .32252 .427 .31863 .42388 Metetra
.752 .841 .918 r
.31863 .42388 .32252 .427 .32861 .42263 .32473 .4195 Metetra
.743 .84 .924 r
.32473 .4195 .32861 .42263 .3347 .41847 .33083 .41532 Metetra
.733 .839 .93 r
.33083 .41532 .3347 .41847 .34078 .41449 .33693 .41133 Metetra
.724 .838 .935 r
.33693 .41133 .34078 .41449 .34687 .41071 .34303 .40754 Metetra
.714 .837 .94 r
.34303 .40754 .34687 .41071 .35296 .40712 .34913 .40393 Metetra
.703 .835 .945 r
.34913 .40393 .35296 .40712 .35905 .4037 .35523 .40051 Metetra
.693 .833 .95 r
.35523 .40051 .35905 .4037 .36515 .40046 .36134 .39725 Metetra
.682 .831 .955 r
.36134 .39725 .36515 .40046 .37125 .39739 .36745 .39417 Metetra
.671 .828 .959 r
.36745 .39417 .37125 .39739 .37735 .39449 .37357 .39126 Metetra
.66 .826 .963 r
.37357 .39126 .37735 .39449 .38347 .39175 .3797 .38851 Metetra
.649 .823 .967 r
.3797 .38851 .38347 .39175 .38959 .38916 .38583 .38591 Metetra
.638 .82 .97 r
.38583 .38591 .38959 .38916 .39572 .38672 .39197 .38346 Metetra
.627 .817 .973 r
.39197 .38346 .39572 .38672 .40186 .38443 .39812 .38116 Metetra
.615 .813 .976 r
.39812 .38116 .40186 .38443 .40801 .38227 .40429 .37899 Metetra
.604 .81 .979 r
.40429 .37899 .40801 .38227 .41418 .38025 .41046 .37696 Metetra
.593 .806 .981 r
.41046 .37696 .41418 .38025 .42035 .37835 .41665 .37505 Metetra
.582 .802 .983 r
.41665 .37505 .42035 .37835 .42654 .37658 .42285 .37327 Metetra
.572 .798 .985 r
.42285 .37327 .42654 .37658 .43275 .37492 .42907 .37161 Metetra
.561 .795 .986 r
.42907 .37161 .43275 .37492 .43897 .37338 .4353 .37005 Metetra
.551 .791 .988 r
.4353 .37005 .43897 .37338 .4452 .37194 .44154 .3686 Metetra
.542 .787 .989 r
.44154 .3686 .4452 .37194 .45146 .37059 .44781 .36725 Metetra
.532 .783 .99 r
.44781 .36725 .45146 .37059 .45773 .36934 .45409 .36599 Metetra
.523 .78 .991 r
.45409 .36599 .45773 .36934 .46402 .36817 .46038 .36481 Metetra
.515 .776 .991 r
.46038 .36481 .46402 .36817 .47032 .36709 .4667 .36372 Metetra
.507 .773 .992 r
.4667 .36372 .47032 .36709 .47665 .36607 .47304 .36269 Metetra
.5 .77 .992 r
.47304 .36269 .47665 .36607 .48299 .36512 .47939 .36174 Metetra
.494 .767 .992 r
.47939 .36174 .48299 .36512 .48936 .36424 .48577 .36084 Metetra
.488 .764 .992 r
.48577 .36084 .48936 .36424 .49575 .36341 .49217 .36 Metetra
.483 .762 .992 r
.49217 .36 .49575 .36341 .50215 .36262 .49859 .35921 Metetra
.478 .76 .992 r
.49859 .35921 .50215 .36262 .50858 .36188 .50503 .35846 Metetra
.474 .758 .992 r
.50503 .35846 .50858 .36188 .51503 .36117 .51149 .35774 Metetra
.471 .757 .992 r
.51149 .35774 .51503 .36117 .52151 .36048 .51797 .35705 Metetra
.469 .755 .992 r
.51797 .35705 .52151 .36048 .528 .35982 .52448 .35638 Metetra
.467 .755 .992 r
.52448 .35638 .528 .35982 .53452 .35917 .53101 .35572 Metetra
.466 .754 .992 r
.53101 .35572 .53452 .35917 .54106 .35852 .53756 .35507 Metetra
.466 .754 .992 r
.53756 .35507 .54106 .35852 .54763 .35788 .54414 .35441 Metetra
.467 .754 .992 r
.54414 .35441 .54763 .35788 .55421 .35722 .55074 .35375 Metetra
.468 .755 .992 r
.55074 .35375 .55421 .35722 .56082 .35656 .55736 .35308 Metetra
.47 .756 .992 r
.55736 .35308 .56082 .35656 .56746 .35587 .564 .35238 Metetra
.473 .757 .992 r
.564 .35238 .56746 .35587 .57411 .35515 .57067 .35165 Metetra
.476 .759 .992 r
.57067 .35165 .57411 .35515 .58079 .35439 .57736 .35089 Metetra
.48 .761 .992 r
.57736 .35089 .58079 .35439 .5875 .35359 .58408 .35008 Metetra
.485 .763 .992 r
.58408 .35008 .5875 .35359 .59422 .35274 .59081 .34922 Metetra
.491 .766 .992 r
.59081 .34922 .59422 .35274 .60097 .35183 .59757 .3483 Metetra
.496 .769 .992 r
.59757 .3483 .60097 .35183 .60774 .35085 .60435 .34732 Metetra
.503 .772 .992 r
.60435 .34732 .60774 .35085 .61453 .34981 .61116 .34626 Metetra
.51 .775 .992 r
.61116 .34626 .61453 .34981 .62134 .34868 .61798 .34512 Metetra
.518 .778 .991 r
.61798 .34512 .62134 .34868 .62817 .34746 .62482 .3439 Metetra
.526 .782 .991 r
.62482 .3439 .62817 .34746 .63502 .34615 .63169 .34258 Metetra
.534 .786 .99 r
.63169 .34258 .63502 .34615 .64189 .34474 .63857 .34116 Metetra
.543 .79 .99 r
.63857 .34116 .64189 .34474 .64878 .34322 .64548 .33963 Metetra
.553 .794 .989 r
.64548 .33963 .64878 .34322 .65569 .34158 .6524 .33798 Metetra
.562 .798 .988 r
.6524 .33798 .65569 .34158 .66261 .33982 .65934 .33621 Metetra
.572 .803 .986 r
.65934 .33621 .66261 .33982 .66955 .33794 .66629 .33431 Metetra
.582 .807 .985 r
.66629 .33431 .66955 .33794 .67651 .33591 .67326 .33227 Metetra
.593 .811 .983 r
.67326 .33227 .67651 .33591 .68348 .33374 .68025 .33009 Metetra
.604 .815 .981 r
.68025 .33009 .68348 .33374 .69047 .33142 .68725 .32776 Metetra
.614 .82 .979 r
.68725 .32776 .69047 .33142 .69747 .32894 .69426 .32527 Metetra
.625 .824 .977 r
.69426 .32527 .69747 .32894 .70448 .3263 .70129 .32262 Metetra
.636 .828 .974 r
.70129 .32262 .70448 .3263 .7115 .32349 .70832 .3198 Metetra
.647 .832 .971 r
.70832 .3198 .7115 .32349 .71853 .32051 .71537 .3168 Metetra
.658 .836 .968 r
.71537 .3168 .71853 .32051 .72557 .31734 .72242 .31362 Metetra
.669 .84 .965 r
.72242 .31362 .72557 .31734 .73261 .31398 .72948 .31025 Metetra
.68 .844 .962 r
.72948 .31025 .73261 .31398 .73966 .31043 .73655 .30668 Metetra
.691 .847 .958 r
.73655 .30668 .73966 .31043 .74672 .30668 .74362 .30292 Metetra
.702 .851 .954 r
.74362 .30292 .74672 .30668 .75377 .30273 .7507 .29895 Metetra
.712 .854 .95 r
.7507 .29895 .75377 .30273 .76083 .29856 .75777 .29477 Metetra
.723 .857 .945 r
.75777 .29477 .76083 .29856 .76789 .29418 .76485 .29038 Metetra
.733 .86 .941 r
.76485 .29038 .76789 .29418 .77495 .28958 .77192 .28576 Metetra
.743 .863 .936 r
.77192 .28576 .77495 .28958 .782 .28476 .77899 .28092 Metetra
.753 .865 .931 r
.77899 .28092 .782 .28476 .78905 .27971 .78606 .27585 Metetra
.763 .868 .925 r
.78606 .27585 .78905 .27971 .7961 .27442 .79312 .27055 Metetra
.886 .812 .77 r
.14404 .63109 .14842 .63362 .15507 .62223 .15072 .61968 Metetra
.884 .814 .775 r
.15072 .61968 .15507 .62223 .16169 .61116 .15736 .60859 Metetra
.882 .816 .779 r
.15736 .60859 .16169 .61116 .16827 .60039 .16396 .59779 Metetra
.879 .817 .784 r
.16396 .59779 .16827 .60039 .17481 .58993 .17052 .5873 Metetra
.877 .819 .788 r
.17052 .5873 .17481 .58993 .18132 .57976 .17705 .57711 Metetra
.874 .821 .793 r
.17705 .57711 .18132 .57976 .18779 .56989 .18354 .56722 Metetra
.871 .823 .798 r
.18354 .56722 .18779 .56989 .19424 .56031 .19001 .55761 Metetra
.868 .825 .803 r
.19001 .55761 .19424 .56031 .20065 .55102 .19644 .5483 Metetra
.865 .826 .808 r
.19644 .5483 .20065 .55102 .20703 .54201 .20284 .53927 Metetra
.862 .828 .813 r
.20284 .53927 .20703 .54201 .21339 .53328 .20921 .53051 Metetra
.858 .83 .819 r
.20921 .53051 .21339 .53328 .21972 .52482 .21556 .52204 Metetra
.854 .832 .824 r
.21556 .52204 .21972 .52482 .22603 .51664 .22189 .51384 Metetra
.85 .833 .83 r
.22189 .51384 .22603 .51664 .23231 .50873 .22819 .50591 Metetra
.846 .835 .836 r
.22819 .50591 .23231 .50873 .23857 .50108 .23446 .49824 Metetra
.841 .837 .841 r
.23446 .49824 .23857 .50108 .24481 .49369 .24072 .49083 Metetra
.836 .838 .847 r
.24072 .49083 .24481 .49369 .25103 .48656 .24696 .48369 Metetra
.831 .839 .853 r
.24696 .48369 .25103 .48656 .25724 .47968 .25318 .47679 Metetra
.825 .841 .86 r
.25318 .47679 .25724 .47968 .26343 .47306 .25939 .47014 Metetra
.82 .842 .866 r
.25939 .47014 .26343 .47306 .2696 .46667 .26558 .46374 Metetra
.813 .843 .872 r
.26558 .46374 .2696 .46667 .27577 .46053 .27175 .45758 Metetra
.807 .844 .878 r
.27175 .45758 .27577 .46053 .28191 .45462 .27792 .45166 Metetra
.8 .845 .884 r
.27792 .45166 .28191 .45462 .28805 .44894 .28407 .44596 Metetra
.793 .845 .89 r
.28407 .44596 .28805 .44894 .29418 .44349 .29021 .4405 Metetra
.786 .846 .897 r
.29021 .4405 .29418 .44349 .3003 .43826 .29635 .43526 Metetra
.778 .846 .903 r
.29635 .43526 .3003 .43826 .30642 .43325 .30248 .43023 Metetra
.77 .846 .909 r
.30248 .43023 .30642 .43325 .31253 .42846 .3086 .42543 Metetra
.761 .846 .915 r
.3086 .42543 .31253 .42846 .31863 .42388 .31472 .42083 Metetra
.752 .845 .921 r
.31472 .42083 .31863 .42388 .32473 .4195 .32083 .41643 Metetra
.743 .845 .927 r
.32083 .41643 .32473 .4195 .33083 .41532 .32694 .41224 Metetra
.734 .844 .932 r
.32694 .41224 .33083 .41532 .33693 .41133 .33305 .40825 Metetra
.724 .842 .938 r
.33305 .40825 .33693 .41133 .34303 .40754 .33916 .40444 Metetra
.714 .841 .943 r
.33916 .40444 .34303 .40754 .34913 .40393 .34528 .40082 Metetra
.703 .839 .948 r
.34528 .40082 .34913 .40393 .35523 .40051 .35139 .39738 Metetra
.692 .837 .953 r
.35139 .39738 .35523 .40051 .36134 .39725 .35751 .39412 Metetra
.682 .835 .957 r
.35751 .39412 .36134 .39725 .36745 .39417 .36364 .39103 Metetra
.67 .833 .961 r
.36364 .39103 .36745 .39417 .37357 .39126 .36977 .3881 Metetra
.659 .83 .965 r
.36977 .3881 .37357 .39126 .3797 .38851 .3759 .38534 Metetra
.648 .827 .969 r
.3759 .38534 .3797 .38851 .38583 .38591 .38205 .38273 Metetra
.636 .824 .973 r
.38205 .38273 .38583 .38591 .39197 .38346 .3882 .38027 Metetra
.625 .821 .976 r
.3882 .38027 .39197 .38346 .39812 .38116 .39436 .37796 Metetra
.613 .817 .979 r
.39436 .37796 .39812 .38116 .40429 .37899 .40054 .37578 Metetra
.602 .814 .981 r
.40054 .37578 .40429 .37899 .41046 .37696 .40672 .37374 Metetra
.591 .81 .983 r
.40672 .37374 .41046 .37696 .41665 .37505 .41292 .37183 Metetra
.58 .806 .985 r
.41292 .37183 .41665 .37505 .42285 .37327 .41913 .37004 Metetra
.569 .802 .987 r
.41913 .37004 .42285 .37327 .42907 .37161 .42536 .36836 Metetra
.558 .798 .989 r
.42536 .36836 .42907 .37161 .4353 .37005 .4316 .3668 Metetra
.548 .794 .99 r
.4316 .3668 .4353 .37005 .44154 .3686 .43786 .36534 Metetra
.538 .791 .991 r
.43786 .36534 .44154 .3686 .44781 .36725 .44413 .36397 Metetra
.529 .787 .992 r
.44413 .36397 .44781 .36725 .45409 .36599 .45042 .36271 Metetra
.52 .783 .992 r
.45042 .36271 .45409 .36599 .46038 .36481 .45673 .36152 Metetra
.511 .78 .993 r
.45673 .36152 .46038 .36481 .4667 .36372 .46306 .36042 Metetra
.503 .776 .993 r
.46306 .36042 .4667 .36372 .47304 .36269 .46941 .35939 Metetra
.496 .773 .994 r
.46941 .35939 .47304 .36269 .47939 .36174 .47578 .35843 Metetra
.489 .77 .994 r
.47578 .35843 .47939 .36174 .48577 .36084 .48216 .35752 Metetra
.483 .767 .994 r
.48216 .35752 .48577 .36084 .49217 .36 .48857 .35668 Metetra
.478 .765 .994 r
.48857 .35668 .49217 .36 .49859 .35921 .495 .35588 Metetra
.473 .763 .994 r
.495 .35588 .49859 .35921 .50503 .35846 .50145 .35511 Metetra
.47 .761 .994 r
.50145 .35511 .50503 .35846 .51149 .35774 .50792 .35439 Metetra
.466 .759 .994 r
.50792 .35439 .51149 .35774 .51797 .35705 .51442 .35369 Metetra
.464 .758 .994 r
.51442 .35369 .51797 .35705 .52448 .35638 .52094 .35301 Metetra
.462 .757 .994 r
.52094 .35301 .52448 .35638 .53101 .35572 .52748 .35234 Metetra
.461 .757 .994 r
.52748 .35234 .53101 .35572 .53756 .35507 .53404 .35168 Metetra
.461 .757 .994 r
.53404 .35168 .53756 .35507 .54414 .35441 .54063 .35102 Metetra
.462 .757 .994 r
.54063 .35102 .54414 .35441 .55074 .35375 .54724 .35035 Metetra
.463 .758 .994 r
.54724 .35035 .55074 .35375 .55736 .35308 .55387 .34967 Metetra
.465 .759 .994 r
.55387 .34967 .55736 .35308 .564 .35238 .56053 .34896 Metetra
.468 .76 .994 r
.56053 .34896 .564 .35238 .57067 .35165 .56721 .34823 Metetra
.472 .762 .994 r
.56721 .34823 .57067 .35165 .57736 .35089 .57391 .34746 Metetra
.476 .764 .994 r
.57391 .34746 .57736 .35089 .58408 .35008 .58064 .34664 Metetra
.481 .766 .994 r
.58064 .34664 .58408 .35008 .59081 .34922 .58739 .34577 Metetra
.486 .769 .994 r
.58739 .34577 .59081 .34922 .59757 .3483 .59416 .34485 Metetra
.492 .772 .994 r
.59416 .34485 .59757 .3483 .60435 .34732 .60095 .34385 Metetra
.499 .775 .994 r
.60095 .34385 .60435 .34732 .61116 .34626 .60777 .34279 Metetra
.506 .778 .993 r
.60777 .34279 .61116 .34626 .61798 .34512 .61461 .34164 Metetra
.514 .782 .993 r
.61461 .34164 .61798 .34512 .62482 .3439 .62146 .34041 Metetra
.522 .786 .993 r
.62146 .34041 .62482 .3439 .63169 .34258 .62834 .33908 Metetra
.531 .79 .992 r
.62834 .33908 .63169 .34258 .63857 .34116 .63524 .33765 Metetra
.54 .794 .991 r
.63524 .33765 .63857 .34116 .64548 .33963 .64216 .33611 Metetra
.549 .798 .991 r
.64216 .33611 .64548 .33963 .6524 .33798 .64909 .33445 Metetra
.559 .802 .99 r
.64909 .33445 .6524 .33798 .65934 .33621 .65605 .33267 Metetra
.569 .806 .988 r
.65605 .33267 .65934 .33621 .66629 .33431 .66302 .33076 Metetra
.58 .811 .987 r
.66302 .33076 .66629 .33431 .67326 .33227 .67 .32871 Metetra
.59 .815 .985 r
.67 .32871 .67326 .33227 .68025 .33009 .677 .32652 Metetra
.601 .82 .984 r
.677 .32652 .68025 .33009 .68725 .32776 .68402 .32418 Metetra
.612 .824 .982 r
.68402 .32418 .68725 .32776 .69426 .32527 .69105 .32168 Metetra
.623 .828 .979 r
.69105 .32168 .69426 .32527 .70129 .32262 .69809 .31901 Metetra
.634 .832 .977 r
.69809 .31901 .70129 .32262 .70832 .3198 .70514 .31618 Metetra
.645 .837 .974 r
.70514 .31618 .70832 .3198 .71537 .3168 .7122 .31317 Metetra
.657 .841 .971 r
.7122 .31317 .71537 .3168 .72242 .31362 .71927 .30997 Metetra
.668 .845 .968 r
.71927 .30997 .72242 .31362 .72948 .31025 .72635 .30659 Metetra
.679 .848 .964 r
.72635 .30659 .72948 .31025 .73655 .30668 .73343 .30301 Metetra
.69 .852 .96 r
.73343 .30301 .73655 .30668 .74362 .30292 .74052 .29923 Metetra
.701 .855 .956 r
.74052 .29923 .74362 .30292 .7507 .29895 .74761 .29525 Metetra
.712 .859 .952 r
.74761 .29525 .7507 .29895 .75777 .29477 .7547 .29105 Metetra
.722 .862 .947 r
.7547 .29105 .75777 .29477 .76485 .29038 .76179 .28664 Metetra
.733 .865 .943 r
.76179 .28664 .76485 .29038 .77192 .28576 .76889 .28201 Metetra
.743 .868 .938 r
.76889 .28201 .77192 .28576 .77899 .28092 .77597 .27715 Metetra
.753 .87 .933 r
.77597 .27715 .77899 .28092 .78606 .27585 .78306 .27207 Metetra
.763 .873 .928 r
.78306 .27207 .78606 .27585 .79312 .27055 .79014 .26674 Metetra
.887 .815 .771 r
.13964 .62865 .14404 .63109 .15072 .61968 .14634 .61722 Metetra
.885 .817 .775 r
.14634 .61722 .15072 .61968 .15736 .60859 .153 .60609 Metetra
.883 .818 .78 r
.153 .60609 .15736 .60859 .16396 .59779 .15962 .59527 Metetra
.881 .82 .784 r
.15962 .59527 .16396 .59779 .17052 .5873 .1662 .58476 Metetra
.878 .822 .789 r
.1662 .58476 .17052 .5873 .17705 .57711 .17275 .57454 Metetra
.875 .824 .794 r
.17275 .57454 .17705 .57711 .18354 .56722 .17926 .56462 Metetra
.873 .826 .799 r
.17926 .56462 .18354 .56722 .19001 .55761 .18575 .555 Metetra
.87 .828 .804 r
.18575 .555 .19001 .55761 .19644 .5483 .1922 .54566 Metetra
.866 .83 .809 r
.1922 .54566 .19644 .5483 .20284 .53927 .19862 .5366 Metetra
.863 .832 .814 r
.19862 .5366 .20284 .53927 .20921 .53051 .20501 .52783 Metetra
.859 .833 .82 r
.20501 .52783 .20921 .53051 .21556 .52204 .21138 .51934 Metetra
.855 .835 .826 r
.21138 .51934 .21556 .52204 .22189 .51384 .21772 .51112 Metetra
.851 .837 .831 r
.21772 .51112 .22189 .51384 .22819 .50591 .22403 .50316 Metetra
.847 .839 .837 r
.22403 .50316 .22819 .50591 .23446 .49824 .23033 .49548 Metetra
.842 .84 .843 r
.23033 .49548 .23446 .49824 .24072 .49083 .2366 .48805 Metetra
.837 .842 .849 r
.2366 .48805 .24072 .49083 .24696 .48369 .24286 .48089 Metetra
.832 .843 .855 r
.24286 .48089 .24696 .48369 .25318 .47679 .2491 .47397 Metetra
.827 .845 .861 r
.2491 .47397 .25318 .47679 .25939 .47014 .25532 .46731 Metetra
.821 .846 .867 r
.25532 .46731 .25939 .47014 .26558 .46374 .26152 .46089 Metetra
.815 .847 .874 r
.26152 .46089 .26558 .46374 .27175 .45758 .26771 .45471 Metetra
.808 .848 .88 r
.26771 .45471 .27175 .45758 .27792 .45166 .27389 .44877 Metetra
.801 .849 .886 r
.27389 .44877 .27792 .45166 .28407 .44596 .28006 .44306 Metetra
.794 .849 .892 r
.28006 .44306 .28407 .44596 .29021 .4405 .28622 .43758 Metetra
.786 .85 .899 r
.28622 .43758 .29021 .4405 .29635 .43526 .29237 .43232 Metetra
.779 .85 .905 r
.29237 .43232 .29635 .43526 .30248 .43023 .29851 .42729 Metetra
.77 .85 .911 r
.29851 .42729 .30248 .43023 .3086 .42543 .30464 .42247 Metetra
.762 .85 .917 r
.30464 .42247 .3086 .42543 .31472 .42083 .31077 .41785 Metetra
.753 .85 .923 r
.31077 .41785 .31472 .42083 .32083 .41643 .3169 .41345 Metetra
.743 .849 .929 r
.3169 .41345 .32083 .41643 .32694 .41224 .32303 .40924 Metetra
.734 .848 .934 r
.32303 .40924 .32694 .41224 .33305 .40825 .32915 .40523 Metetra
.724 .847 .94 r
.32915 .40523 .33305 .40825 .33916 .40444 .33528 .40141 Metetra
.713 .846 .945 r
.33528 .40141 .33916 .40444 .34528 .40082 .3414 .39778 Metetra
.703 .844 .95 r
.3414 .39778 .34528 .40082 .35139 .39738 .34753 .39433 Metetra
.692 .842 .955 r
.34753 .39433 .35139 .39738 .35751 .39412 .35366 .39106 Metetra
.681 .84 .96 r
.35366 .39106 .35751 .39412 .36364 .39103 .3598 .38796 Metetra
.669 .837 .964 r
.3598 .38796 .36364 .39103 .36977 .3881 .36594 .38502 Metetra
.658 .835 .968 r
.36594 .38502 .36977 .3881 .3759 .38534 .37209 .38224 Metetra
.646 .832 .972 r
.37209 .38224 .3759 .38534 .38205 .38273 .37824 .37963 Metetra
.635 .828 .975 r
.37824 .37963 .38205 .38273 .3882 .38027 .38441 .37716 Metetra
.623 .825 .978 r
.38441 .37716 .3882 .38027 .39436 .37796 .39058 .37483 Metetra
.611 .822 .981 r
.39058 .37483 .39436 .37796 .40054 .37578 .39677 .37265 Metetra
.6 .818 .983 r
.39677 .37265 .40054 .37578 .40672 .37374 .40296 .3706 Metetra
.588 .814 .986 r
.40296 .3706 .40672 .37374 .41292 .37183 .40917 .36867 Metetra
.577 .81 .988 r
.40917 .36867 .41292 .37183 .41913 .37004 .4154 .36687 Metetra
.566 .806 .989 r
.4154 .36687 .41913 .37004 .42536 .36836 .42163 .36519 Metetra
.555 .802 .991 r
.42163 .36519 .42536 .36836 .4316 .3668 .42789 .36362 Metetra
.545 .798 .992 r
.42789 .36362 .4316 .3668 .43786 .36534 .43415 .36215 Metetra
.534 .794 .993 r
.43415 .36215 .43786 .36534 .44413 .36397 .44044 .36078 Metetra
.525 .79 .994 r
.44044 .36078 .44413 .36397 .45042 .36271 .44674 .3595 Metetra
.516 .786 .994 r
.44674 .3595 .45042 .36271 .45673 .36152 .45306 .35831 Metetra
.507 .783 .995 r
.45306 .35831 .45673 .36152 .46306 .36042 .4594 .3572 Metetra
.499 .779 .995 r
.4594 .3572 .46306 .36042 .46941 .35939 .46576 .35616 Metetra
.492 .776 .995 r
.46576 .35616 .46941 .35939 .47578 .35843 .47214 .35519 Metetra
.485 .773 .995 r
.47214 .35519 .47578 .35843 .48216 .35752 .47853 .35428 Metetra
.479 .77 .995 r
.47853 .35428 .48216 .35752 .48857 .35668 .48495 .35342 Metetra
.473 .768 .995 r
.48495 .35342 .48857 .35668 .495 .35588 .49139 .35261 Metetra
.468 .766 .995 r
.49139 .35261 .495 .35588 .50145 .35511 .49786 .35185 Metetra
.465 .764 .995 r
.49786 .35185 .50145 .35511 .50792 .35439 .50434 .35111 Metetra
.461 .762 .995 r
.50434 .35111 .50792 .35439 .51442 .35369 .51085 .3504 Metetra
.459 .761 .995 r
.51085 .3504 .51442 .35369 .52094 .35301 .51738 .34972 Metetra
.457 .76 .995 r
.51738 .34972 .52094 .35301 .52748 .35234 .52393 .34904 Metetra
.456 .76 .995 r
.52393 .34904 .52748 .35234 .53404 .35168 .5305 .34838 Metetra
.456 .76 .995 r
.5305 .34838 .53404 .35168 .54063 .35102 .5371 .34771 Metetra
.457 .76 .995 r
.5371 .34771 .54063 .35102 .54724 .35035 .54373 .34703 Metetra
.458 .761 .995 r
.54373 .34703 .54724 .35035 .55387 .34967 .55037 .34634 Metetra
.46 .762 .995 r
.55037 .34634 .55387 .34967 .56053 .34896 .55704 .34563 Metetra
.463 .763 .995 r
.55704 .34563 .56053 .34896 .56721 .34823 .56373 .34488 Metetra
.467 .765 .995 r
.56373 .34488 .56721 .34823 .57391 .34746 .57045 .3441 Metetra
.471 .767 .995 r
.57045 .3441 .57391 .34746 .58064 .34664 .57719 .34328 Metetra
.476 .769 .995 r
.57719 .34328 .58064 .34664 .58739 .34577 .58395 .3424 Metetra
.481 .772 .995 r
.58395 .3424 .58739 .34577 .59416 .34485 .59073 .34147 Metetra
.488 .775 .995 r
.59073 .34147 .59416 .34485 .60095 .34385 .59754 .34047 Metetra
.494 .778 .995 r
.59754 .34047 .60095 .34385 .60777 .34279 .60437 .33939 Metetra
.502 .781 .995 r
.60437 .33939 .60777 .34279 .61461 .34164 .61122 .33824 Metetra
.51 .785 .995 r
.61122 .33824 .61461 .34164 .62146 .34041 .61809 .33699 Metetra
.518 .789 .994 r
.61809 .33699 .62146 .34041 .62834 .33908 .62498 .33566 Metetra
.527 .793 .994 r
.62498 .33566 .62834 .33908 .63524 .33765 .63189 .33422 Metetra
.536 .797 .993 r
.63189 .33422 .63524 .33765 .64216 .33611 .63882 .33267 Metetra
.546 .801 .993 r
.63882 .33267 .64216 .33611 .64909 .33445 .64577 .331 Metetra
.556 .806 .992 r
.64577 .331 .64909 .33445 .65605 .33267 .65274 .32921 Metetra
.566 .81 .99 r
.65274 .32921 .65605 .33267 .66302 .33076 .65973 .32729 Metetra
.577 .815 .989 r
.65973 .32729 .66302 .33076 .67 .32871 .66673 .32523 Metetra
.588 .819 .988 r
.66673 .32523 .67 .32871 .677 .32652 .67374 .32303 Metetra
.599 .824 .986 r
.67374 .32303 .677 .32652 .68402 .32418 .68077 .32067 Metetra
.61 .828 .984 r
.68077 .32067 .68402 .32418 .69105 .32168 .68782 .31816 Metetra
.621 .832 .981 r
.68782 .31816 .69105 .32168 .69809 .31901 .69487 .31548 Metetra
.632 .837 .979 r
.69487 .31548 .69809 .31901 .70514 .31618 .70194 .31263 Metetra
.644 .841 .976 r
.70194 .31263 .70514 .31618 .7122 .31317 .70902 .30961 Metetra
.655 .845 .973 r
.70902 .30961 .7122 .31317 .71927 .30997 .7161 .3064 Metetra
.666 .849 .97 r
.7161 .3064 .71927 .30997 .72635 .30659 .7232 .303 Metetra
.678 .853 .966 r
.7232 .303 .72635 .30659 .73343 .30301 .7303 .29941 Metetra
.689 .857 .962 r
.7303 .29941 .73343 .30301 .74052 .29923 .7374 .29562 Metetra
.7 .86 .958 r
.7374 .29562 .74052 .29923 .74761 .29525 .74451 .29162 Metetra
.711 .863 .954 r
.74451 .29162 .74761 .29525 .7547 .29105 .75162 .28741 Metetra
.722 .867 .95 r
.75162 .28741 .7547 .29105 .76179 .28664 .75873 .28298 Metetra
.732 .87 .945 r
.75873 .28298 .76179 .28664 .76889 .28201 .76584 .27834 Metetra
.743 .872 .94 r
.76584 .27834 .76889 .28201 .77597 .27715 .77294 .27346 Metetra
.753 .875 .935 r
.77294 .27346 .77597 .27715 .78306 .27207 .78005 .26836 Metetra
.763 .877 .93 r
.78005 .26836 .78306 .27207 .79014 .26674 .78715 .26302 Metetra
.889 .817 .772 r
.1352 .62629 .13964 .62865 .14634 .61722 .14193 .61483 Metetra
.887 .819 .776 r
.14193 .61483 .14634 .61722 .153 .60609 .14861 .60368 Metetra
.884 .821 .781 r
.14861 .60368 .153 .60609 .15962 .59527 .15525 .59283 Metetra
.882 .823 .785 r
.15525 .59283 .15962 .59527 .1662 .58476 .16185 .58229 Metetra
.88 .825 .79 r
.16185 .58229 .1662 .58476 .17275 .57454 .16842 .57205 Metetra
.877 .827 .795 r
.16842 .57205 .17275 .57454 .17926 .56462 .17496 .56211 Metetra
.874 .829 .8 r
.17496 .56211 .17926 .56462 .18575 .555 .18146 .55246 Metetra
.871 .831 .805 r
.18146 .55246 .18575 .555 .1922 .54566 .18793 .5431 Metetra
.868 .833 .81 r
.18793 .5431 .1922 .54566 .19862 .5366 .19437 .53402 Metetra
.864 .835 .816 r
.19437 .53402 .19862 .5366 .20501 .52783 .20078 .52523 Metetra
.861 .837 .821 r
.20078 .52523 .20501 .52783 .21138 .51934 .20716 .51671 Metetra
.857 .839 .827 r
.20716 .51671 .21138 .51934 .21772 .51112 .21352 .50847 Metetra
.853 .84 .833 r
.21352 .50847 .21772 .51112 .22403 .50316 .21986 .5005 Metetra
.848 .842 .838 r
.21986 .5005 .22403 .50316 .23033 .49548 .22617 .49279 Metetra
.843 .844 .844 r
.22617 .49279 .23033 .49548 .2366 .48805 .23246 .48535 Metetra
.839 .846 .85 r
.23246 .48535 .2366 .48805 .24286 .48089 .23873 .47816 Metetra
.833 .847 .857 r
.23873 .47816 .24286 .48089 .2491 .47397 .24498 .47123 Metetra
.828 .849 .863 r
.24498 .47123 .2491 .47397 .25532 .46731 .25122 .46455 Metetra
.822 .85 .869 r
.25122 .46455 .25532 .46731 .26152 .46089 .25744 .45811 Metetra
.816 .851 .875 r
.25744 .45811 .26152 .46089 .26771 .45471 .26365 .45192 Metetra
.809 .852 .882 r
.26365 .45192 .26771 .45471 .27389 .44877 .26984 .44596 Metetra
.802 .853 .888 r
.26984 .44596 .27389 .44877 .28006 .44306 .27602 .44024 Metetra
.795 .854 .894 r
.27602 .44024 .28006 .44306 .28622 .43758 .28219 .43474 Metetra
.787 .854 .901 r
.28219 .43474 .28622 .43758 .29237 .43232 .28836 .42947 Metetra
.779 .855 .907 r
.28836 .42947 .29237 .43232 .29851 .42729 .29451 .42442 Metetra
.771 .855 .913 r
.29451 .42442 .29851 .42729 .30464 .42247 .30066 .41958 Metetra
.762 .855 .919 r
.30066 .41958 .30464 .42247 .31077 .41785 .30681 .41495 Metetra
.753 .854 .925 r
.30681 .41495 .31077 .41785 .3169 .41345 .31295 .41053 Metetra
.743 .854 .931 r
.31295 .41053 .3169 .41345 .32303 .40924 .31909 .40632 Metetra
.734 .853 .937 r
.31909 .40632 .32303 .40924 .32915 .40523 .32522 .40229 Metetra
.723 .852 .942 r
.32522 .40229 .32915 .40523 .33528 .40141 .33136 .39846 Metetra
.713 .85 .948 r
.33136 .39846 .33528 .40141 .3414 .39778 .3375 .39482 Metetra
.702 .848 .953 r
.3375 .39482 .3414 .39778 .34753 .39433 .34364 .39136 Metetra
.691 .847 .957 r
.34364 .39136 .34753 .39433 .35366 .39106 .34978 .38807 Metetra
.68 .844 .962 r
.34978 .38807 .35366 .39106 .3598 .38796 .35593 .38496 Metetra
.668 .842 .966 r
.35593 .38496 .3598 .38796 .36594 .38502 .36208 .38201 Metetra
.657 .839 .97 r
.36208 .38201 .36594 .38502 .37209 .38224 .36824 .37922 Metetra
.645 .836 .974 r
.36824 .37922 .37209 .38224 .37824 .37963 .37441 .37659 Metetra
.633 .833 .977 r
.37441 .37659 .37824 .37963 .38441 .37716 .38059 .37412 Metetra
.621 .829 .98 r
.38059 .37412 .38441 .37716 .39058 .37483 .38678 .37178 Metetra
.609 .826 .983 r
.38678 .37178 .39058 .37483 .39677 .37265 .39297 .36959 Metetra
.597 .822 .986 r
.39297 .36959 .39677 .37265 .40296 .3706 .39918 .36753 Metetra
.585 .818 .988 r
.39918 .36753 .40296 .3706 .40917 .36867 .4054 .36559 Metetra
.574 .814 .99 r
.4054 .36559 .40917 .36867 .4154 .36687 .41164 .36378 Metetra
.563 .81 .991 r
.41164 .36378 .4154 .36687 .42163 .36519 .41788 .36209 Metetra
.552 .806 .993 r
.41788 .36209 .42163 .36519 .42789 .36362 .42415 .36051 Metetra
.541 .802 .994 r
.42415 .36051 .42789 .36362 .43415 .36215 .43043 .35903 Metetra
.531 .798 .994 r
.43043 .35903 .43415 .36215 .44044 .36078 .43672 .35765 Metetra
.521 .794 .995 r
.43672 .35765 .44044 .36078 .44674 .3595 .44304 .35637 Metetra
.511 .79 .996 r
.44304 .35637 .44674 .3595 .45306 .35831 .44937 .35517 Metetra
.503 .786 .996 r
.44937 .35517 .45306 .35831 .4594 .3572 .45572 .35405 Metetra
.494 .782 .996 r
.45572 .35405 .4594 .3572 .46576 .35616 .46209 .353 Metetra
.487 .779 .996 r
.46209 .353 .46576 .35616 .47214 .35519 .46848 .35202 Metetra
.48 .776 .996 r
.46848 .35202 .47214 .35519 .47853 .35428 .47489 .35111 Metetra
.474 .773 .996 r
.47489 .35111 .47853 .35428 .48495 .35342 .48132 .35024 Metetra
.468 .77 .996 r
.48132 .35024 .48495 .35342 .49139 .35261 .48777 .34943 Metetra
.463 .768 .996 r
.48777 .34943 .49139 .35261 .49786 .35185 .49424 .34865 Metetra
.459 .766 .996 r
.49424 .34865 .49786 .35185 .50434 .35111 .50074 .34791 Metetra
.456 .765 .996 r
.50074 .34791 .50434 .35111 .51085 .3504 .50726 .3472 Metetra
.454 .764 .996 r
.50726 .3472 .51085 .3504 .51738 .34972 .5138 .3465 Metetra
.452 .763 .996 r
.5138 .3465 .51738 .34972 .52393 .34904 .52036 .34582 Metetra
.451 .762 .996 r
.52036 .34582 .52393 .34904 .5305 .34838 .52695 .34514 Metetra
.451 .762 .996 r
.52695 .34514 .5305 .34838 .5371 .34771 .53356 .34447 Metetra
.451 .762 .996 r
.53356 .34447 .5371 .34771 .54373 .34703 .54019 .34378 Metetra
.453 .763 .996 r
.54019 .34378 .54373 .34703 .55037 .34634 .54685 .34309 Metetra
.455 .764 .996 r
.54685 .34309 .55037 .34634 .55704 .34563 .55353 .34236 Metetra
.458 .766 .996 r
.55353 .34236 .55704 .34563 .56373 .34488 .56024 .34161 Metetra
.461 .767 .996 r
.56024 .34161 .56373 .34488 .57045 .3441 .56696 .34082 Metetra
.466 .769 .996 r
.56696 .34082 .57045 .3441 .57719 .34328 .57372 .33999 Metetra
.471 .772 .996 r
.57372 .33999 .57719 .34328 .58395 .3424 .58049 .33911 Metetra
.476 .775 .996 r
.58049 .33911 .58395 .3424 .59073 .34147 .58729 .33816 Metetra
.483 .778 .996 r
.58729 .33816 .59073 .34147 .59754 .34047 .59411 .33715 Metetra
.49 .781 .996 r
.59411 .33715 .59754 .34047 .60437 .33939 .60095 .33607 Metetra
.497 .785 .996 r
.60095 .33607 .60437 .33939 .61122 .33824 .60781 .33491 Metetra
.505 .788 .996 r
.60781 .33491 .61122 .33824 .61809 .33699 .6147 .33366 Metetra
.514 .792 .996 r
.6147 .33366 .61809 .33699 .62498 .33566 .6216 .33231 Metetra
.523 .796 .995 r
.6216 .33231 .62498 .33566 .63189 .33422 .62853 .33086 Metetra
.532 .801 .995 r
.62853 .33086 .63189 .33422 .63882 .33267 .63547 .3293 Metetra
.542 .805 .994 r
.63547 .3293 .63882 .33267 .64577 .331 .64244 .32762 Metetra
.552 .809 .993 r
.64244 .32762 .64577 .331 .65274 .32921 .64942 .32582 Metetra
.563 .814 .992 r
.64942 .32582 .65274 .32921 .65973 .32729 .65642 .32389 Metetra
.574 .819 .991 r
.65642 .32389 .65973 .32729 .66673 .32523 .66343 .32182 Metetra
.585 .823 .989 r
.66343 .32182 .66673 .32523 .67374 .32303 .67047 .31961 Metetra
.596 .828 .988 r
.67047 .31961 .67374 .32303 .68077 .32067 .67751 .31724 Metetra
.607 .832 .986 r
.67751 .31724 .68077 .32067 .68782 .31816 .68457 .31472 Metetra
.619 .837 .983 r
.68457 .31472 .68782 .31816 .69487 .31548 .69164 .31203 Metetra
.63 .841 .981 r
.69164 .31203 .69487 .31548 .70194 .31263 .69873 .30917 Metetra
.642 .845 .978 r
.69873 .30917 .70194 .31263 .70902 .30961 .70582 .30613 Metetra
.653 .85 .975 r
.70582 .30613 .70902 .30961 .7161 .3064 .71292 .30291 Metetra
.665 .854 .972 r
.71292 .30291 .7161 .3064 .7232 .303 .72003 .2995 Metetra
.676 .857 .968 r
.72003 .2995 .7232 .303 .7303 .29941 .72715 .29589 Metetra
.688 .861 .965 r
.72715 .29589 .7303 .29941 .7374 .29562 .73427 .29208 Metetra
.699 .865 .961 r
.73427 .29208 .7374 .29562 .74451 .29162 .7414 .28807 Metetra
.71 .868 .956 r
.7414 .28807 .74451 .29162 .75162 .28741 .74852 .28384 Metetra
.721 .871 .952 r
.74852 .28384 .75162 .28741 .75873 .28298 .75565 .2794 Metetra
.732 .874 .947 r
.75565 .2794 .75873 .28298 .76584 .27834 .76278 .27474 Metetra
.743 .877 .942 r
.76278 .27474 .76584 .27834 .77294 .27346 .7699 .26984 Metetra
.753 .88 .937 r
.7699 .26984 .77294 .27346 .78005 .26836 .77703 .26472 Metetra
.763 .882 .931 r
.77703 .26472 .78005 .26836 .78715 .26302 .78414 .25937 Metetra
.89 .82 .773 r
.13074 .62402 .1352 .62629 .14193 .61483 .13748 .61253 Metetra
.888 .822 .777 r
.13748 .61253 .14193 .61483 .14861 .60368 .14418 .60135 Metetra
.886 .824 .781 r
.14418 .60135 .14861 .60368 .15525 .59283 .15085 .59048 Metetra
.883 .826 .786 r
.15085 .59048 .15525 .59283 .16185 .58229 .15747 .57991 Metetra
.881 .828 .791 r
.15747 .57991 .16185 .58229 .16842 .57205 .16406 .56965 Metetra
.878 .83 .796 r
.16406 .56965 .16842 .57205 .17496 .56211 .17062 .55968 Metetra
.875 .832 .801 r
.17062 .55968 .17496 .56211 .18146 .55246 .17714 .55 Metetra
.872 .834 .806 r
.17714 .55 .18146 .55246 .18793 .5431 .18363 .54062 Metetra
.869 .836 .811 r
.18363 .54062 .18793 .5431 .19437 .53402 .19008 .53152 Metetra
.866 .838 .817 r
.19008 .53152 .19437 .53402 .20078 .52523 .19652 .5227 Metetra
.862 .84 .822 r
.19652 .5227 .20078 .52523 .20716 .51671 .20292 .51417 Metetra
.858 .842 .828 r
.20292 .51417 .20716 .51671 .21352 .50847 .20929 .5059 Metetra
.854 .844 .834 r
.20929 .5059 .21352 .50847 .21986 .5005 .21565 .49791 Metetra
.849 .846 .84 r
.21565 .49791 .21986 .5005 .22617 .49279 .22198 .49018 Metetra
.845 .848 .846 r
.22198 .49018 .22617 .49279 .23246 .48535 .22829 .48272 Metetra
.84 .849 .852 r
.22829 .48272 .23246 .48535 .23873 .47816 .23457 .47552 Metetra
.834 .851 .858 r
.23457 .47552 .23873 .47816 .24498 .47123 .24084 .46857 Metetra
.829 .852 .864 r
.24084 .46857 .24498 .47123 .25122 .46455 .24709 .46187 Metetra
.823 .854 .871 r
.24709 .46187 .25122 .46455 .25744 .45811 .25333 .45541 Metetra
.817 .855 .877 r
.25333 .45541 .25744 .45811 .26365 .45192 .25955 .4492 Metetra
.81 .856 .883 r
.25955 .4492 .26365 .45192 .26984 .44596 .26576 .44323 Metetra
.803 .857 .89 r
.26576 .44323 .26984 .44596 .27602 .44024 .27196 .43749 Metetra
.796 .858 .896 r
.27196 .43749 .27602 .44024 .28219 .43474 .27815 .43198 Metetra
.788 .859 .903 r
.27815 .43198 .28219 .43474 .28836 .42947 .28432 .42669 Metetra
.78 .859 .909 r
.28432 .42669 .28836 .42947 .29451 .42442 .29049 .42162 Metetra
.771 .859 .915 r
.29049 .42162 .29451 .42442 .30066 .41958 .29666 .41677 Metetra
.762 .859 .921 r
.29666 .41677 .30066 .41958 .30681 .41495 .30282 .41213 Metetra
.753 .859 .927 r
.30282 .41213 .30681 .41495 .31295 .41053 .30897 .4077 Metetra
.743 .858 .933 r
.30897 .4077 .31295 .41053 .31909 .40632 .31512 .40346 Metetra
.733 .857 .939 r
.31512 .40346 .31909 .40632 .32522 .40229 .32127 .39943 Metetra
.723 .856 .945 r
.32127 .39943 .32522 .40229 .33136 .39846 .32742 .39559 Metetra
.712 .855 .95 r
.32742 .39559 .33136 .39846 .3375 .39482 .33357 .39193 Metetra
.701 .853 .955 r
.33357 .39193 .3375 .39482 .34364 .39136 .33972 .38846 Metetra
.69 .851 .96 r
.33972 .38846 .34364 .39136 .34978 .38807 .34588 .38516 Metetra
.679 .849 .964 r
.34588 .38516 .34978 .38807 .35593 .38496 .35204 .38203 Metetra
.667 .846 .969 r
.35204 .38203 .35593 .38496 .36208 .38201 .35821 .37908 Metetra
.655 .843 .972 r
.35821 .37908 .36208 .38201 .36824 .37922 .36438 .37628 Metetra
.643 .84 .976 r
.36438 .37628 .36824 .37922 .37441 .37659 .37056 .37364 Metetra
.631 .837 .979 r
.37056 .37364 .37441 .37659 .38059 .37412 .37675 .37115 Metetra
.619 .833 .982 r
.37675 .37115 .38059 .37412 .38678 .37178 .38295 .36881 Metetra
.607 .83 .985 r
.38295 .36881 .38678 .37178 .39297 .36959 .38915 .3666 Metetra
.594 .826 .988 r
.38915 .3666 .39297 .36959 .39918 .36753 .39537 .36453 Metetra
.583 .822 .99 r
.39537 .36453 .39918 .36753 .4054 .36559 .40161 .36259 Metetra
.571 .818 .991 r
.40161 .36259 .4054 .36559 .41164 .36378 .40785 .36077 Metetra
.559 .814 .993 r
.40785 .36077 .41164 .36378 .41788 .36209 .41411 .35907 Metetra
.548 .809 .994 r
.41411 .35907 .41788 .36209 .42415 .36051 .42039 .35748 Metetra
.537 .805 .995 r
.42039 .35748 .42415 .36051 .43043 .35903 .42668 .35599 Metetra
.527 .801 .996 r
.42668 .35599 .43043 .35903 .43672 .35765 .43299 .3546 Metetra
.517 .797 .997 r
.43299 .3546 .43672 .35765 .44304 .35637 .43931 .35331 Metetra
.507 .793 .997 r
.43931 .35331 .44304 .35637 .44937 .35517 .44565 .3521 Metetra
.498 .789 .997 r
.44565 .3521 .44937 .35517 .45572 .35405 .45201 .35098 Metetra
.49 .785 .997 r
.45201 .35098 .45572 .35405 .46209 .353 .45839 .34992 Metetra
.482 .782 .997 r
.45839 .34992 .46209 .353 .46848 .35202 .4648 .34894 Metetra
.475 .779 .997 r
.4648 .34894 .46848 .35202 .47489 .35111 .47122 .34801 Metetra
.469 .776 .997 r
.47122 .34801 .47489 .35111 .48132 .35024 .47766 .34714 Metetra
.463 .773 .997 r
.47766 .34714 .48132 .35024 .48777 .34943 .48412 .34631 Metetra
.458 .771 .997 r
.48412 .34631 .48777 .34943 .49424 .34865 .49061 .34553 Metetra
.454 .769 .997 r
.49061 .34553 .49424 .34865 .50074 .34791 .49711 .34478 Metetra
.451 .767 .997 r
.49711 .34478 .50074 .34791 .50726 .3472 .50364 .34406 Metetra
.448 .766 .996 r
.50364 .34406 .50726 .3472 .5138 .3465 .5102 .34336 Metetra
.446 .765 .996 r
.5102 .34336 .5138 .3465 .52036 .34582 .51677 .34267 Metetra
.445 .765 .996 r
.51677 .34267 .52036 .34582 .52695 .34514 .52337 .34199 Metetra
.445 .765 .996 r
.52337 .34199 .52695 .34514 .53356 .34447 .52999 .3413 Metetra
.446 .765 .996 r
.52999 .3413 .53356 .34447 .54019 .34378 .53664 .34061 Metetra
.447 .766 .996 r
.53664 .34061 .54019 .34378 .54685 .34309 .54331 .33991 Metetra
.449 .767 .997 r
.54331 .33991 .54685 .34309 .55353 .34236 .55 .33918 Metetra
.452 .768 .997 r
.55 .33918 .55353 .34236 .56024 .34161 .55672 .33842 Metetra
.456 .77 .997 r
.55672 .33842 .56024 .34161 .56696 .34082 .56346 .33762 Metetra
.46 .772 .997 r
.56346 .33762 .56696 .34082 .57372 .33999 .57023 .33678 Metetra
.466 .775 .997 r
.57023 .33678 .57372 .33999 .58049 .33911 .57701 .33589 Metetra
.471 .777 .997 r
.57701 .33589 .58049 .33911 .58729 .33816 .58382 .33494 Metetra
.478 .78 .997 r
.58382 .33494 .58729 .33816 .59411 .33715 .59066 .33392 Metetra
.485 .784 .997 r
.59066 .33392 .59411 .33715 .60095 .33607 .59751 .33283 Metetra
.493 .787 .997 r
.59751 .33283 .60095 .33607 .60781 .33491 .60439 .33165 Metetra
.501 .791 .997 r
.60439 .33165 .60781 .33491 .6147 .33366 .61129 .33039 Metetra
.509 .795 .997 r
.61129 .33039 .6147 .33366 .6216 .33231 .61821 .32904 Metetra
.519 .8 .997 r
.61821 .32904 .6216 .33231 .62853 .33086 .62515 .32758 Metetra
.528 .804 .996 r
.62515 .32758 .62853 .33086 .63547 .3293 .63211 .32601 Metetra
.538 .808 .996 r
.63211 .32601 .63547 .3293 .64244 .32762 .63909 .32432 Metetra
.549 .813 .995 r
.63909 .32432 .64244 .32762 .64942 .32582 .64608 .32251 Metetra
.559 .818 .994 r
.64608 .32251 .64942 .32582 .65642 .32389 .6531 .32057 Metetra
.57 .822 .993 r
.6531 .32057 .65642 .32389 .66343 .32182 .66013 .31849 Metetra
.582 .827 .991 r
.66013 .31849 .66343 .32182 .67047 .31961 .66717 .31626 Metetra
.593 .832 .99 r
.66717 .31626 .67047 .31961 .67751 .31724 .67424 .31389 Metetra
.605 .836 .988 r
.67424 .31389 .67751 .31724 .68457 .31472 .68131 .31135 Metetra
.616 .841 .985 r
.68131 .31135 .68457 .31472 .69164 .31203 .6884 .30865 Metetra
.628 .845 .983 r
.6884 .30865 .69164 .31203 .69873 .30917 .6955 .30577 Metetra
.64 .85 .98 r
.6955 .30577 .69873 .30917 .70582 .30613 .70261 .30272 Metetra
.652 .854 .977 r
.70261 .30272 .70582 .30613 .71292 .30291 .70973 .29949 Metetra
.663 .858 .974 r
.70973 .29949 .71292 .30291 .72003 .2995 .71685 .29606 Metetra
.675 .862 .97 r
.71685 .29606 .72003 .2995 .72715 .29589 .72399 .29244 Metetra
.687 .866 .967 r
.72399 .29244 .72715 .29589 .73427 .29208 .73113 .28862 Metetra
.698 .869 .963 r
.73113 .28862 .73427 .29208 .7414 .28807 .73827 .28459 Metetra
.709 .873 .958 r
.73827 .28459 .7414 .28807 .74852 .28384 .74542 .28035 Metetra
.72 .876 .954 r
.74542 .28035 .74852 .28384 .75565 .2794 .75256 .27589 Metetra
.731 .879 .949 r
.75256 .27589 .75565 .2794 .76278 .27474 .75971 .27121 Metetra
.742 .882 .944 r
.75971 .27121 .76278 .27474 .7699 .26984 .76685 .2663 Metetra
.753 .884 .939 r
.76685 .2663 .7699 .26984 .77703 .26472 .77399 .26116 Metetra
.763 .887 .933 r
.77399 .26116 .77703 .26472 .78414 .25937 .78113 .25579 Metetra
.891 .823 .773 r
.12623 .62183 .13074 .62402 .13748 .61253 .133 .61031 Metetra
.889 .825 .778 r
.133 .61031 .13748 .61253 .14418 .60135 .13973 .5991 Metetra
.887 .827 .782 r
.13973 .5991 .14418 .60135 .15085 .59048 .14641 .5882 Metetra
.885 .829 .787 r
.14641 .5882 .15085 .59048 .15747 .57991 .15306 .57761 Metetra
.882 .831 .792 r
.15306 .57761 .15747 .57991 .16406 .56965 .15967 .56732 Metetra
.88 .833 .797 r
.15967 .56732 .16406 .56965 .17062 .55968 .16624 .55733 Metetra
.877 .835 .802 r
.16624 .55733 .17062 .55968 .17714 .55 .17279 .54763 Metetra
.874 .837 .807 r
.17279 .54763 .17714 .55 .18363 .54062 .17929 .53822 Metetra
.87 .839 .812 r
.17929 .53822 .18363 .54062 .19008 .53152 .18577 .5291 Metetra
.867 .842 .818 r
.18577 .5291 .19008 .53152 .19652 .5227 .19222 .52026 Metetra
.863 .844 .823 r
.19222 .52026 .19652 .5227 .20292 .51417 .19864 .5117 Metetra
.859 .846 .829 r
.19864 .5117 .20292 .51417 .20929 .5059 .20504 .50341 Metetra
.855 .848 .835 r
.20504 .50341 .20929 .5059 .21565 .49791 .21141 .4954 Metetra
.851 .849 .841 r
.21141 .4954 .21565 .49791 .22198 .49018 .21776 .48765 Metetra
.846 .851 .847 r
.21776 .48765 .22198 .49018 .22829 .48272 .22408 .48017 Metetra
.841 .853 .853 r
.22408 .48017 .22829 .48272 .23457 .47552 .23039 .47295 Metetra
.836 .855 .86 r
.23039 .47295 .23457 .47552 .24084 .46857 .23667 .46598 Metetra
.83 .856 .866 r
.23667 .46598 .24084 .46857 .24709 .46187 .24294 .45926 Metetra
.824 .858 .872 r
.24294 .45926 .24709 .46187 .25333 .45541 .24919 .45279 Metetra
.818 .859 .879 r
.24919 .45279 .25333 .45541 .25955 .4492 .25543 .44656 Metetra
.811 .86 .885 r
.25543 .44656 .25955 .4492 .26576 .44323 .26166 .44057 Metetra
.804 .861 .892 r
.26166 .44057 .26576 .44323 .27196 .43749 .26787 .43481 Metetra
.796 .862 .898 r
.26787 .43481 .27196 .43749 .27815 .43198 .27407 .42929 Metetra
.789 .863 .905 r
.27407 .42929 .27815 .43198 .28432 .42669 .28026 .42398 Metetra
.78 .863 .911 r
.28026 .42398 .28432 .42669 .29049 .42162 .28645 .4189 Metetra
.772 .863 .917 r
.28645 .4189 .29049 .42162 .29666 .41677 .29262 .41404 Metetra
.763 .863 .923 r
.29262 .41404 .29666 .41677 .30282 .41213 .2988 .40938 Metetra
.753 .863 .929 r
.2988 .40938 .30282 .41213 .30897 .4077 .30496 .40494 Metetra
.743 .863 .935 r
.30496 .40494 .30897 .4077 .31512 .40346 .31113 .40069 Metetra
.733 .862 .941 r
.31113 .40069 .31512 .40346 .32127 .39943 .31729 .39664 Metetra
.723 .861 .947 r
.31729 .39664 .32127 .39943 .32742 .39559 .32346 .39279 Metetra
.712 .859 .952 r
.32346 .39279 .32742 .39559 .33357 .39193 .32962 .38912 Metetra
.701 .857 .957 r
.32962 .38912 .33357 .39193 .33972 .38846 .33579 .38563 Metetra
.689 .855 .962 r
.33579 .38563 .33972 .38846 .34588 .38516 .34195 .38232 Metetra
.678 .853 .966 r
.34195 .38232 .34588 .38516 .35204 .38203 .34813 .37919 Metetra
.666 .851 .971 r
.34813 .37919 .35204 .38203 .35821 .37908 .3543 .37622 Metetra
.653 .848 .975 r
.3543 .37622 .35821 .37908 .36438 .37628 .36049 .37341 Metetra
.641 .845 .978 r
.36049 .37341 .36438 .37628 .37056 .37364 .36668 .37076 Metetra
.629 .841 .981 r
.36668 .37076 .37056 .37364 .37675 .37115 .37288 .36826 Metetra
.616 .838 .984 r
.37288 .36826 .37675 .37115 .38295 .36881 .37909 .3659 Metetra
.604 .834 .987 r
.37909 .3659 .38295 .36881 .38915 .3666 .38531 .36369 Metetra
.592 .83 .989 r
.38531 .36369 .38915 .3666 .39537 .36453 .39154 .36161 Metetra
.579 .826 .991 r
.39154 .36161 .39537 .36453 .40161 .36259 .39779 .35966 Metetra
.567 .821 .993 r
.39779 .35966 .40161 .36259 .40785 .36077 .40405 .35783 Metetra
.556 .817 .994 r
.40405 .35783 .40785 .36077 .41411 .35907 .41032 .35612 Metetra
.544 .813 .996 r
.41032 .35612 .41411 .35907 .42039 .35748 .4166 .35452 Metetra
.533 .808 .997 r
.4166 .35452 .42039 .35748 .42668 .35599 .42291 .35303 Metetra
.522 .804 .997 r
.42291 .35303 .42668 .35599 .43299 .3546 .42923 .35163 Metetra
.512 .8 .998 r
.42923 .35163 .43299 .3546 .43931 .35331 .43556 .35033 Metetra
.503 .796 .998 r
.43556 .35033 .43931 .35331 .44565 .3521 .44192 .34911 Metetra
.493 .792 .998 r
.44192 .34911 .44565 .3521 .45201 .35098 .44829 .34798 Metetra
.485 .788 .998 r
.44829 .34798 .45201 .35098 .45839 .34992 .45468 .34692 Metetra
.477 .784 .998 r
.45468 .34692 .45839 .34992 .4648 .34894 .46109 .34592 Metetra
.47 .781 .998 r
.46109 .34592 .4648 .34894 .47122 .34801 .46752 .34499 Metetra
.463 .778 .998 r
.46752 .34499 .47122 .34801 .47766 .34714 .47398 .34411 Metetra
.458 .775 .998 r
.47398 .34411 .47766 .34714 .48412 .34631 .48045 .34328 Metetra
.453 .773 .997 r
.48045 .34328 .48412 .34631 .49061 .34553 .48695 .34249 Metetra
.448 .771 .997 r
.48695 .34249 .49061 .34553 .49711 .34478 .49347 .34173 Metetra
.445 .769 .997 r
.49347 .34173 .49711 .34478 .50364 .34406 .50001 .341 Metetra
.442 .768 .997 r
.50001 .341 .50364 .34406 .5102 .34336 .50658 .34029 Metetra
.441 .767 .997 r
.50658 .34029 .5102 .34336 .51677 .34267 .51316 .3396 Metetra
.44 .767 .997 r
.51316 .3396 .51677 .34267 .52337 .34199 .51977 .33891 Metetra
.439 .767 .997 r
.51977 .33891 .52337 .34199 .52999 .3413 .52641 .33822 Metetra
.44 .767 .997 r
.52641 .33822 .52999 .3413 .53664 .34061 .53307 .33752 Metetra
.441 .768 .997 r
.53307 .33752 .53664 .34061 .54331 .33991 .53975 .3368 Metetra
.444 .769 .997 r
.53975 .3368 .54331 .33991 .55 .33918 .54646 .33607 Metetra
.447 .77 .997 r
.54646 .33607 .55 .33918 .55672 .33842 .55319 .3353 Metetra
.45 .772 .997 r
.55319 .3353 .55672 .33842 .56346 .33762 .55994 .33449 Metetra
.455 .774 .998 r
.55994 .33449 .56346 .33762 .57023 .33678 .56672 .33365 Metetra
.46 .777 .998 r
.56672 .33365 .57023 .33678 .57701 .33589 .57352 .33275 Metetra
.466 .78 .998 r
.57352 .33275 .57701 .33589 .58382 .33494 .58034 .33179 Metetra
.473 .783 .998 r
.58034 .33179 .58382 .33494 .59066 .33392 .58719 .33076 Metetra
.48 .787 .998 r
.58719 .33076 .59066 .33392 .59751 .33283 .59406 .32966 Metetra
.488 .79 .998 r
.59406 .32966 .59751 .33283 .60439 .33165 .60095 .32848 Metetra
.496 .794 .998 r
.60095 .32848 .60439 .33165 .61129 .33039 .60786 .32721 Metetra
.505 .798 .998 r
.60786 .32721 .61129 .33039 .61821 .32904 .6148 .32584 Metetra
.514 .803 .998 r
.6148 .32584 .61821 .32904 .62515 .32758 .62175 .32437 Metetra
.524 .807 .998 r
.62175 .32437 .62515 .32758 .63211 .32601 .62872 .32279 Metetra
.534 .812 .997 r
.62872 .32279 .63211 .32601 .63909 .32432 .63572 .3211 Metetra
.545 .816 .996 r
.63572 .3211 .63909 .32432 .64608 .32251 .64273 .31928 Metetra
.556 .821 .995 r
.64273 .31928 .64608 .32251 .6531 .32057 .64976 .31732 Metetra
.567 .826 .994 r
.64976 .31732 .6531 .32057 .66013 .31849 .65681 .31523 Metetra
.578 .831 .993 r
.65681 .31523 .66013 .31849 .66717 .31626 .66387 .313 Metetra
.59 .835 .991 r
.66387 .313 .66717 .31626 .67424 .31389 .67095 .31061 Metetra
.602 .84 .989 r
.67095 .31061 .67424 .31389 .68131 .31135 .67804 .30806 Metetra
.614 .845 .987 r
.67804 .30806 .68131 .31135 .6884 .30865 .68514 .30535 Metetra
.626 .849 .985 r
.68514 .30535 .6884 .30865 .6955 .30577 .69226 .30246 Metetra
.638 .854 .982 r
.69226 .30246 .6955 .30577 .70261 .30272 .69938 .2994 Metetra
.65 .858 .979 r
.69938 .2994 .70261 .30272 .70973 .29949 .70652 .29615 Metetra
.661 .862 .976 r
.70652 .29615 .70973 .29949 .71685 .29606 .71366 .29271 Metetra
.673 .866 .972 r
.71366 .29271 .71685 .29606 .72399 .29244 .72082 .28907 Metetra
.685 .87 .969 r
.72082 .28907 .72399 .29244 .73113 .28862 .72797 .28524 Metetra
.697 .874 .965 r
.72797 .28524 .73113 .28862 .73827 .28459 .73513 .28119 Metetra
.708 .877 .96 r
.73513 .28119 .73827 .28459 .74542 .28035 .7423 .27693 Metetra
.72 .881 .956 r
.7423 .27693 .74542 .28035 .75256 .27589 .74946 .27246 Metetra
.731 .884 .951 r
.74946 .27246 .75256 .27589 .75971 .27121 .75663 .26776 Metetra
.742 .886 .946 r
.75663 .26776 .75971 .27121 .76685 .2663 .76379 .26284 Metetra
.752 .889 .941 r
.76379 .26284 .76685 .2663 .77399 .26116 .77095 .25768 Metetra
.763 .891 .935 r
.77095 .25768 .77399 .26116 .78113 .25579 .7781 .25229 Metetra
.893 .826 .774 r
.1217 .61972 .12623 .62183 .133 .61031 .12849 .60817 Metetra
.891 .828 .778 r
.12849 .60817 .133 .61031 .13973 .5991 .13524 .59694 Metetra
.888 .83 .783 r
.13524 .59694 .13973 .5991 .14641 .5882 .14194 .58601 Metetra
.886 .832 .788 r
.14194 .58601 .14641 .5882 .15306 .57761 .14861 .57539 Metetra
.884 .834 .793 r
.14861 .57539 .15306 .57761 .15967 .56732 .15524 .56508 Metetra
.881 .836 .798 r
.15524 .56508 .15967 .56732 .16624 .55733 .16184 .55506 Metetra
.878 .838 .803 r
.16184 .55506 .16624 .55733 .17279 .54763 .1684 .54533 Metetra
.875 .841 .808 r
.1684 .54533 .17279 .54763 .17929 .53822 .17493 .5359 Metetra
.872 .843 .813 r
.17493 .5359 .17929 .53822 .18577 .5291 .18143 .52675 Metetra
.868 .845 .819 r
.18143 .52675 .18577 .5291 .19222 .52026 .1879 .51789 Metetra
.865 .847 .825 r
.1879 .51789 .19222 .52026 .19864 .5117 .19434 .50931 Metetra
.861 .849 .83 r
.19434 .50931 .19864 .5117 .20504 .50341 .20075 .501 Metetra
.856 .851 .836 r
.20075 .501 .20504 .50341 .21141 .4954 .20714 .49297 Metetra
.852 .853 .842 r
.20714 .49297 .21141 .4954 .21776 .48765 .21351 .4852 Metetra
.847 .855 .849 r
.21351 .4852 .21776 .48765 .22408 .48017 .21985 .4777 Metetra
.842 .857 .855 r
.21985 .4777 .22408 .48017 .23039 .47295 .22617 .47046 Metetra
.837 .859 .861 r
.22617 .47046 .23039 .47295 .23667 .46598 .23247 .46347 Metetra
.831 .86 .867 r
.23247 .46347 .23667 .46598 .24294 .45926 .23876 .45673 Metetra
.825 .862 .874 r
.23876 .45673 .24294 .45926 .24919 .45279 .24503 .45024 Metetra
.819 .863 .88 r
.24503 .45024 .24919 .45279 .25543 .44656 .25128 .444 Metetra
.812 .864 .887 r
.25128 .444 .25543 .44656 .26166 .44057 .25752 .43799 Metetra
.805 .866 .893 r
.25752 .43799 .26166 .44057 .26787 .43481 .26375 .43222 Metetra
.797 .866 .9 r
.26375 .43222 .26787 .43481 .27407 .42929 .26997 .42667 Metetra
.789 .867 .906 r
.26997 .42667 .27407 .42929 .28026 .42398 .27617 .42136 Metetra
.781 .868 .913 r
.27617 .42136 .28026 .42398 .28645 .4189 .28237 .41626 Metetra
.772 .868 .919 r
.28237 .41626 .28645 .4189 .29262 .41404 .28856 .41138 Metetra
.763 .868 .925 r
.28856 .41138 .29262 .41404 .2988 .40938 .29475 .40671 Metetra
.753 .868 .932 r
.29475 .40671 .2988 .40938 .30496 .40494 .30093 .40225 Metetra
.743 .867 .937 r
.30093 .40225 .30496 .40494 .31113 .40069 .30711 .39799 Metetra
.733 .866 .943 r
.30711 .39799 .31113 .40069 .31729 .39664 .31329 .39393 Metetra
.722 .865 .949 r
.31329 .39393 .31729 .39664 .32346 .39279 .31946 .39006 Metetra
.711 .864 .954 r
.31946 .39006 .32346 .39279 .32962 .38912 .32564 .38638 Metetra
.7 .862 .959 r
.32564 .38638 .32962 .38912 .33579 .38563 .33182 .38288 Metetra
.688 .86 .964 r
.33182 .38288 .33579 .38563 .34195 .38232 .338 .37956 Metetra
.676 .858 .969 r
.338 .37956 .34195 .38232 .34813 .37919 .34419 .37641 Metetra
.664 .855 .973 r
.34419 .37641 .34813 .37919 .3543 .37622 .35038 .37343 Metetra
.652 .852 .977 r
.35038 .37343 .3543 .37622 .36049 .37341 .35657 .37061 Metetra
.639 .849 .98 r
.35657 .37061 .36049 .37341 .36668 .37076 .36278 .36795 Metetra
.627 .845 .983 r
.36278 .36795 .36668 .37076 .37288 .36826 .36899 .36544 Metetra
.614 .842 .986 r
.36899 .36544 .37288 .36826 .37909 .3659 .37521 .36308 Metetra
.601 .838 .989 r
.37521 .36308 .37909 .3659 .38531 .36369 .38145 .36085 Metetra
.589 .834 .991 r
.38145 .36085 .38531 .36369 .39154 .36161 .38769 .35876 Metetra
.576 .829 .993 r
.38769 .35876 .39154 .36161 .39779 .35966 .39395 .3568 Metetra
.564 .825 .995 r
.39395 .3568 .39779 .35966 .40405 .35783 .40022 .35497 Metetra
.552 .821 .996 r
.40022 .35497 .40405 .35783 .41032 .35612 .4065 .35325 Metetra
.54 .816 .997 r
.4065 .35325 .41032 .35612 .4166 .35452 .4128 .35164 Metetra
.529 .812 .998 r
.4128 .35164 .4166 .35452 .42291 .35303 .41911 .35014 Metetra
.518 .807 .998 r
.41911 .35014 .42291 .35303 .42923 .35163 .42544 .34873 Metetra
.508 .803 .999 r
.42544 .34873 .42923 .35163 .43556 .35033 .43179 .34742 Metetra
.498 .799 .999 r
.43179 .34742 .43556 .35033 .44192 .34911 .43815 .3462 Metetra
.488 .795 .999 r
.43815 .3462 .44192 .34911 .44829 .34798 .44454 .34505 Metetra
.48 .791 .999 r
.44454 .34505 .44829 .34798 .45468 .34692 .45094 .34399 Metetra
.472 .787 .999 r
.45094 .34399 .45468 .34692 .46109 .34592 .45737 .34298 Metetra
.464 .784 .998 r
.45737 .34298 .46109 .34592 .46752 .34499 .46381 .34204 Metetra
.458 .781 .998 r
.46381 .34204 .46752 .34499 .47398 .34411 .47028 .34116 Metetra
.452 .778 .998 r
.47028 .34116 .47398 .34411 .48045 .34328 .47676 .34032 Metetra
.447 .775 .998 r
.47676 .34032 .48045 .34328 .48695 .34249 .48327 .33952 Metetra
.443 .773 .997 r
.48327 .33952 .48695 .34249 .49347 .34173 .4898 .33876 Metetra
.439 .772 .997 r
.4898 .33876 .49347 .34173 .50001 .341 .49636 .33802 Metetra
.436 .77 .997 r
.49636 .33802 .50001 .341 .50658 .34029 .50293 .3373 Metetra
.435 .769 .997 r
.50293 .3373 .50658 .34029 .51316 .3396 .50953 .3366 Metetra
.434 .769 .997 r
.50953 .3366 .51316 .3396 .51977 .33891 .51616 .3359 Metetra
.433 .769 .997 r
.51616 .3359 .51977 .33891 .52641 .33822 .5228 .3352 Metetra
.434 .769 .997 r
.5228 .3352 .52641 .33822 .53307 .33752 .52948 .3345 Metetra
.436 .77 .997 r
.52948 .3345 .53307 .33752 .53975 .3368 .53617 .33378 Metetra
.438 .771 .997 r
.53617 .33378 .53975 .3368 .54646 .33607 .54289 .33303 Metetra
.441 .772 .997 r
.54289 .33303 .54646 .33607 .55319 .3353 .54963 .33226 Metetra
.445 .774 .998 r
.54963 .33226 .55319 .3353 .55994 .33449 .5564 .33144 Metetra
.449 .777 .998 r
.5564 .33144 .55994 .33449 .56672 .33365 .56319 .33059 Metetra
.455 .779 .998 r
.56319 .33059 .56672 .33365 .57352 .33275 .57 .32968 Metetra
.461 .782 .998 r
.57 .32968 .57352 .33275 .58034 .33179 .57684 .32871 Metetra
.467 .786 .999 r
.57684 .32871 .58034 .33179 .58719 .33076 .5837 .32768 Metetra
.475 .789 .999 r
.5837 .32768 .58719 .33076 .59406 .32966 .59059 .32657 Metetra
.483 .793 .999 r
.59059 .32657 .59406 .32966 .60095 .32848 .59749 .32538 Metetra
.491 .797 .999 r
.59749 .32538 .60095 .32848 .60786 .32721 .60442 .3241 Metetra
.5 .801 .999 r
.60442 .3241 .60786 .32721 .6148 .32584 .61137 .32273 Metetra
.51 .806 .999 r
.61137 .32273 .6148 .32584 .62175 .32437 .61833 .32125 Metetra
.52 .81 .999 r
.61833 .32125 .62175 .32437 .62872 .32279 .62532 .31966 Metetra
.53 .815 .998 r
.62532 .31966 .62872 .32279 .63572 .3211 .63233 .31795 Metetra
.541 .82 .997 r
.63233 .31795 .63572 .3211 .64273 .31928 .63936 .31612 Metetra
.552 .825 .997 r
.63936 .31612 .64273 .31928 .64976 .31732 .6464 .31416 Metetra
.563 .829 .995 r
.6464 .31416 .64976 .31732 .65681 .31523 .65347 .31206 Metetra
.575 .834 .994 r
.65347 .31206 .65681 .31523 .66387 .313 .66055 .30981 Metetra
.587 .839 .993 r
.66055 .30981 .66387 .313 .67095 .31061 .66764 .30741 Metetra
.599 .844 .991 r
.66764 .30741 .67095 .31061 .67804 .30806 .67475 .30485 Metetra
.611 .849 .989 r
.67475 .30485 .67804 .30806 .68514 .30535 .68187 .30212 Metetra
.623 .853 .986 r
.68187 .30212 .68514 .30535 .69226 .30246 .689 .29922 Metetra
.635 .858 .984 r
.689 .29922 .69226 .30246 .69938 .2994 .69614 .29614 Metetra
.647 .862 .981 r
.69614 .29614 .69938 .2994 .70652 .29615 .7033 .29288 Metetra
.66 .867 .978 r
.7033 .29288 .70652 .29615 .71366 .29271 .71046 .28943 Metetra
.672 .871 .974 r
.71046 .28943 .71366 .29271 .72082 .28907 .71763 .28578 Metetra
.684 .875 .97 r
.71763 .28578 .72082 .28907 .72797 .28524 .7248 .28193 Metetra
.695 .878 .966 r
.7248 .28193 .72797 .28524 .73513 .28119 .73198 .27787 Metetra
.707 .882 .962 r
.73198 .27787 .73513 .28119 .7423 .27693 .73916 .2736 Metetra
.719 .885 .957 r
.73916 .2736 .7423 .27693 .74946 .27246 .74635 .2691 Metetra
.73 .888 .953 r
.74635 .2691 .74946 .27246 .75663 .26776 .75353 .26439 Metetra
.741 .891 .948 r
.75353 .26439 .75663 .26776 .76379 .26284 .76071 .25945 Metetra
.752 .894 .942 r
.76071 .25945 .76379 .26284 .77095 .25768 .76789 .25427 Metetra
.762 .896 .937 r
.76789 .25427 .77095 .25768 .7781 .25229 .77506 .24886 Metetra
.894 .828 .775 r
.11713 .6177 .1217 .61972 .12849 .60817 .12394 .60612 Metetra
.892 .83 .779 r
.12394 .60612 .12849 .60817 .13524 .59694 .13071 .59486 Metetra
.89 .833 .784 r
.13071 .59486 .13524 .59694 .14194 .58601 .13744 .58391 Metetra
.887 .835 .789 r
.13744 .58391 .14194 .58601 .14861 .57539 .14413 .57326 Metetra
.885 .837 .793 r
.14413 .57326 .14861 .57539 .15524 .56508 .15079 .56291 Metetra
.882 .839 .798 r
.15079 .56291 .15524 .56508 .16184 .55506 .15741 .55287 Metetra
.879 .842 .804 r
.15741 .55287 .16184 .55506 .1684 .54533 .16399 .54312 Metetra
.876 .844 .809 r
.16399 .54312 .1684 .54533 .17493 .5359 .17054 .53366 Metetra
.873 .846 .814 r
.17054 .53366 .17493 .5359 .18143 .52675 .17706 .52449 Metetra
.87 .848 .82 r
.17706 .52449 .18143 .52675 .1879 .51789 .18354 .51561 Metetra
.866 .85 .826 r
.18354 .51561 .1879 .51789 .19434 .50931 .19 .507 Metetra
.862 .853 .832 r
.19 .507 .19434 .50931 .20075 .501 .19644 .49868 Metetra
.858 .855 .838 r
.19644 .49868 .20075 .501 .20714 .49297 .20284 .49062 Metetra
.853 .857 .844 r
.20284 .49062 .20714 .49297 .21351 .4852 .20923 .48283 Metetra
.848 .859 .85 r
.20923 .48283 .21351 .4852 .21985 .4777 .21559 .47531 Metetra
.843 .861 .856 r
.21559 .47531 .21985 .4777 .22617 .47046 .22193 .46805 Metetra
.838 .863 .863 r
.22193 .46805 .22617 .47046 .23247 .46347 .22825 .46104 Metetra
.832 .864 .869 r
.22825 .46104 .23247 .46347 .23876 .45673 .23455 .45428 Metetra
.826 .866 .875 r
.23455 .45428 .23876 .45673 .24503 .45024 .24083 .44778 Metetra
.819 .867 .882 r
.24083 .44778 .24503 .45024 .25128 .444 .2471 .44151 Metetra
.813 .869 .889 r
.2471 .44151 .25128 .444 .25752 .43799 .25336 .43549 Metetra
.805 .87 .895 r
.25336 .43549 .25752 .43799 .26375 .43222 .2596 .4297 Metetra
.798 .871 .902 r
.2596 .4297 .26375 .43222 .26997 .42667 .26583 .42414 Metetra
.79 .871 .908 r
.26583 .42414 .26997 .42667 .27617 .42136 .27206 .41881 Metetra
.781 .872 .915 r
.27206 .41881 .27617 .42136 .28237 .41626 .27827 .41369 Metetra
.772 .872 .921 r
.27827 .41369 .28237 .41626 .28856 .41138 .28448 .4088 Metetra
.763 .872 .927 r
.28448 .4088 .28856 .41138 .29475 .40671 .29068 .40412 Metetra
.753 .872 .933 r
.29068 .40412 .29475 .40671 .30093 .40225 .29687 .39964 Metetra
.743 .872 .939 r
.29687 .39964 .30093 .40225 .30711 .39799 .30307 .39537 Metetra
.733 .871 .945 r
.30307 .39537 .30711 .39799 .31329 .39393 .30926 .39129 Metetra
.722 .87 .951 r
.30926 .39129 .31329 .39393 .31946 .39006 .31545 .38741 Metetra
.711 .868 .956 r
.31545 .38741 .31946 .39006 .32564 .38638 .32164 .38372 Metetra
.699 .866 .961 r
.32164 .38372 .32564 .38638 .33182 .38288 .32783 .38021 Metetra
.687 .864 .966 r
.32783 .38021 .33182 .38288 .338 .37956 .33402 .37687 Metetra
.675 .862 .97 r
.33402 .37687 .338 .37956 .34419 .37641 .34022 .37371 Metetra
.662 .859 .975 r
.34022 .37371 .34419 .37641 .35038 .37343 .34642 .37072 Metetra
.65 .856 .978 r
.34642 .37072 .35038 .37343 .35657 .37061 .35263 .36789 Metetra
.637 .853 .982 r
.35263 .36789 .35657 .37061 .36278 .36795 .35885 .36522 Metetra
.624 .849 .985 r
.35885 .36522 .36278 .36795 .36899 .36544 .36508 .3627 Metetra
.611 .846 .988 r
.36508 .3627 .36899 .36544 .37521 .36308 .37131 .36033 Metetra
.598 .841 .99 r
.37131 .36033 .37521 .36308 .38145 .36085 .37756 .35809 Metetra
.586 .837 .993 r
.37756 .35809 .38145 .36085 .38769 .35876 .38381 .35599 Metetra
.573 .833 .994 r
.38381 .35599 .38769 .35876 .39395 .3568 .39008 .35402 Metetra
.56 .828 .996 r
.39008 .35402 .39395 .3568 .40022 .35497 .39636 .35218 Metetra
.548 .824 .997 r
.39636 .35218 .40022 .35497 .4065 .35325 .40266 .35045 Metetra
.536 .819 .998 r
.40266 .35045 .4065 .35325 .4128 .35164 .40897 .34883 Metetra
.525 .815 .999 r
.40897 .34883 .4128 .35164 .41911 .35014 .41529 .34732 Metetra
.514 .81 .999 r
.41529 .34732 .41911 .35014 .42544 .34873 .42163 .34591 Metetra
.503 .806 .999 r
.42163 .34591 .42544 .34873 .43179 .34742 .42799 .34459 Metetra
.493 .801 .999 r
.42799 .34459 .43179 .34742 .43815 .3462 .43437 .34336 Metetra
.483 .797 .999 r
.43437 .34336 .43815 .3462 .44454 .34505 .44077 .34221 Metetra
.474 .793 .999 r
.44077 .34221 .44454 .34505 .45094 .34399 .44718 .34113 Metetra
.466 .789 .999 r
.44718 .34113 .45094 .34399 .45737 .34298 .45362 .34012 Metetra
.459 .786 .999 r
.45362 .34012 .45737 .34298 .46381 .34204 .46008 .33917 Metetra
.452 .783 .998 r
.46008 .33917 .46381 .34204 .47028 .34116 .46655 .33828 Metetra
.446 .78 .998 r
.46655 .33828 .47028 .34116 .47676 .34032 .47305 .33743 Metetra
.441 .777 .998 r
.47305 .33743 .47676 .34032 .48327 .33952 .47957 .33663 Metetra
.437 .775 .997 r
.47957 .33663 .48327 .33952 .4898 .33876 .48612 .33586 Metetra
.433 .773 .997 r
.48612 .33586 .4898 .33876 .49636 .33802 .49268 .33511 Metetra
.43 .772 .997 r
.49268 .33511 .49636 .33802 .50293 .3373 .49927 .33439 Metetra
.428 .771 .997 r
.49927 .33439 .50293 .3373 .50953 .3366 .50588 .33368 Metetra
.427 .771 .997 r
.50588 .33368 .50953 .3366 .51616 .3359 .51252 .33297 Metetra
.427 .771 .997 r
.51252 .33297 .51616 .3359 .5228 .3352 .51918 .33227 Metetra
.428 .771 .997 r
.51918 .33227 .5228 .3352 .52948 .3345 .52586 .33155 Metetra
.429 .772 .997 r
.52586 .33155 .52948 .3345 .53617 .33378 .53257 .33083 Metetra
.432 .773 .997 r
.53257 .33083 .53617 .33378 .54289 .33303 .5393 .33007 Metetra
.435 .774 .997 r
.5393 .33007 .54289 .33303 .54963 .33226 .54606 .32929 Metetra
.439 .776 .997 r
.54606 .32929 .54963 .33226 .5564 .33144 .55284 .32847 Metetra
.443 .779 .998 r
.55284 .32847 .5564 .33144 .56319 .33059 .55964 .32761 Metetra
.449 .781 .998 r
.55964 .32761 .56319 .33059 .57 .32968 .56647 .32669 Metetra
.455 .784 .998 r
.56647 .32669 .57 .32968 .57684 .32871 .57332 .32572 Metetra
.462 .788 .999 r
.57332 .32572 .57684 .32871 .5837 .32768 .5802 .32467 Metetra
.469 .791 .999 r
.5802 .32467 .5837 .32768 .59059 .32657 .58709 .32356 Metetra
.477 .795 .999 r
.58709 .32356 .59059 .32657 .59749 .32538 .59401 .32236 Metetra
.486 .8 1 r
.59401 .32236 .59749 .32538 .60442 .3241 .60095 .32107 Metetra
.495 .804 1 r
.60095 .32107 .60442 .3241 .61137 .32273 .60792 .31969 Metetra
.505 .808 .999 r
.60792 .31969 .61137 .32273 .61833 .32125 .6149 .3182 Metetra
.515 .813 .999 r
.6149 .3182 .61833 .32125 .62532 .31966 .62191 .3166 Metetra
.526 .818 .999 r
.62191 .3166 .62532 .31966 .63233 .31795 .62893 .31488 Metetra
.537 .823 .998 r
.62893 .31488 .63233 .31795 .63936 .31612 .63597 .31304 Metetra
.548 .828 .998 r
.63597 .31304 .63936 .31612 .6464 .31416 .64303 .31107 Metetra
.559 .833 .997 r
.64303 .31107 .6464 .31416 .65347 .31206 .65011 .30895 Metetra
.571 .838 .995 r
.65011 .30895 .65347 .31206 .66055 .30981 .65721 .3067 Metetra
.583 .843 .994 r
.65721 .3067 .66055 .30981 .66764 .30741 .66432 .30428 Metetra
.596 .848 .992 r
.66432 .30428 .66764 .30741 .67475 .30485 .67144 .30171 Metetra
.608 .853 .99 r
.67144 .30171 .67475 .30485 .68187 .30212 .67858 .29897 Metetra
.62 .857 .988 r
.67858 .29897 .68187 .30212 .689 .29922 .68573 .29606 Metetra
.633 .862 .985 r
.68573 .29606 .689 .29922 .69614 .29614 .69289 .29297 Metetra
.645 .866 .982 r
.69289 .29297 .69614 .29614 .7033 .29288 .70006 .2897 Metetra
.657 .871 .979 r
.70006 .2897 .7033 .29288 .71046 .28943 .70724 .28623 Metetra
.67 .875 .976 r
.70724 .28623 .71046 .28943 .71763 .28578 .71443 .28256 Metetra
.682 .879 .972 r
.71443 .28256 .71763 .28578 .7248 .28193 .72162 .2787 Metetra
.694 .883 .968 r
.72162 .2787 .7248 .28193 .73198 .27787 .72882 .27462 Metetra
.706 .886 .964 r
.72882 .27462 .73198 .27787 .73916 .2736 .73602 .27033 Metetra
.717 .89 .959 r
.73602 .27033 .73916 .2736 .74635 .2691 .74322 .26582 Metetra
.729 .893 .954 r
.74322 .26582 .74635 .2691 .75353 .26439 .75042 .26109 Metetra
.74 .896 .949 r
.75042 .26109 .75353 .26439 .76071 .25945 .75762 .25613 Metetra
.751 .898 .944 r
.75762 .25613 .76071 .25945 .76789 .25427 .76482 .25094 Metetra
.762 .901 .938 r
.76482 .25094 .76789 .25427 .77506 .24886 .77201 .24551 Metetra
.895 .831 .775 r
.11252 .61577 .11713 .6177 .12394 .60612 .11936 .60416 Metetra
.893 .833 .78 r
.11936 .60416 .12394 .60612 .13071 .59486 .12615 .59286 Metetra
.891 .835 .785 r
.12615 .59286 .13071 .59486 .13744 .58391 .13291 .58188 Metetra
.889 .838 .789 r
.13291 .58188 .13744 .58391 .14413 .57326 .13962 .57121 Metetra
.886 .84 .794 r
.13962 .57121 .14413 .57326 .15079 .56291 .1463 .56084 Metetra
.884 .842 .799 r
.1463 .56084 .15079 .56291 .15741 .55287 .15294 .55076 Metetra
.881 .845 .805 r
.15294 .55076 .15741 .55287 .16399 .54312 .15954 .54099 Metetra
.878 .847 .81 r
.15954 .54099 .16399 .54312 .17054 .53366 .16611 .53151 Metetra
.874 .849 .815 r
.16611 .53151 .17054 .53366 .17706 .52449 .17265 .52231 Metetra
.871 .852 .821 r
.17265 .52231 .17706 .52449 .18354 .51561 .17916 .51341 Metetra
.867 .854 .827 r
.17916 .51341 .18354 .51561 .19 .507 .18564 .50478 Metetra
.863 .856 .833 r
.18564 .50478 .19 .507 .19644 .49868 .19209 .49643 Metetra
.859 .858 .839 r
.19209 .49643 .19644 .49868 .20284 .49062 .19851 .48835 Metetra
.854 .86 .845 r
.19851 .48835 .20284 .49062 .20923 .48283 .20491 .48054 Metetra
.849 .863 .851 r
.20491 .48054 .20923 .48283 .21559 .47531 .21129 .473 Metetra
.844 .865 .857 r
.21129 .473 .21559 .47531 .22193 .46805 .21765 .46571 Metetra
.839 .866 .864 r
.21765 .46571 .22193 .46805 .22825 .46104 .22399 .45869 Metetra
.833 .868 .87 r
.22399 .45869 .22825 .46104 .23455 .45428 .23031 .45191 Metetra
.827 .87 .877 r
.23031 .45191 .23455 .45428 .24083 .44778 .23661 .44539 Metetra
.82 .871 .884 r
.23661 .44539 .24083 .44778 .2471 .44151 .24289 .43911 Metetra
.813 .873 .89 r
.24289 .43911 .2471 .44151 .25336 .43549 .24917 .43306 Metetra
.806 .874 .897 r
.24917 .43306 .25336 .43549 .2596 .4297 .25542 .42726 Metetra
.798 .875 .903 r
.25542 .42726 .2596 .4297 .26583 .42414 .26167 .42168 Metetra
.79 .876 .91 r
.26167 .42168 .26583 .42414 .27206 .41881 .26791 .41633 Metetra
.782 .876 .917 r
.26791 .41633 .27206 .41881 .27827 .41369 .27414 .4112 Metetra
.772 .877 .923 r
.27414 .4112 .27827 .41369 .28448 .4088 .28036 .40629 Metetra
.763 .877 .929 r
.28036 .40629 .28448 .4088 .29068 .40412 .28657 .4016 Metetra
.753 .877 .935 r
.28657 .4016 .29068 .40412 .29687 .39964 .29279 .39711 Metetra
.743 .876 .941 r
.29279 .39711 .29687 .39964 .30307 .39537 .29899 .39282 Metetra
.732 .875 .947 r
.29899 .39282 .30307 .39537 .30926 .39129 .3052 .38873 Metetra
.721 .874 .953 r
.3052 .38873 .30926 .39129 .31545 .38741 .3114 .38484 Metetra
.71 .873 .958 r
.3114 .38484 .31545 .38741 .32164 .38372 .3176 .38113 Metetra
.698 .871 .963 r
.3176 .38113 .32164 .38372 .32783 .38021 .32381 .37761 Metetra
.686 .869 .968 r
.32381 .37761 .32783 .38021 .33402 .37687 .33002 .37426 Metetra
.673 .866 .972 r
.33002 .37426 .33402 .37687 .34022 .37371 .33623 .37109 Metetra
.661 .863 .976 r
.33623 .37109 .34022 .37371 .34642 .37072 .34245 .36809 Metetra
.648 .86 .98 r
.34245 .36809 .34642 .37072 .35263 .36789 .34867 .36525 Metetra
.635 .857 .984 r
.34867 .36525 .35263 .36789 .35885 .36522 .3549 .36257 Metetra
.622 .853 .987 r
.3549 .36257 .35885 .36522 .36508 .3627 .36113 .36004 Metetra
.608 .849 .989 r
.36113 .36004 .36508 .3627 .37131 .36033 .36738 .35765 Metetra
.595 .845 .992 r
.36738 .35765 .37131 .36033 .37756 .35809 .37364 .35541 Metetra
.582 .841 .994 r
.37364 .35541 .37756 .35809 .38381 .35599 .37991 .3533 Metetra
.569 .836 .996 r
.37991 .3533 .38381 .35599 .39008 .35402 .38619 .35132 Metetra
.557 .832 .997 r
.38619 .35132 .39008 .35402 .39636 .35218 .39248 .34947 Metetra
.544 .827 .998 r
.39248 .34947 .39636 .35218 .40266 .35045 .39879 .34773 Metetra
.532 .822 .999 r
.39879 .34773 .40266 .35045 .40897 .34883 .40511 .3461 Metetra
.52 .818 .999 r
.40511 .3461 .40897 .34883 .41529 .34732 .41145 .34458 Metetra
.509 .813 1 r
.41145 .34458 .41529 .34732 .42163 .34591 .4178 .34316 Metetra
.498 .808 1 r
.4178 .34316 .42163 .34591 .42799 .34459 .42417 .34184 Metetra
.488 .804 1 r
.42417 .34184 .42799 .34459 .43437 .34336 .43056 .3406 Metetra
.478 .799 1 r
.43056 .3406 .43437 .34336 .44077 .34221 .43697 .33944 Metetra
.469 .795 .999 r
.43697 .33944 .44077 .34221 .44718 .34113 .4434 .33835 Metetra
.461 .792 .999 r
.4434 .33835 .44718 .34113 .45362 .34012 .44985 .33734 Metetra
.453 .788 .999 r
.44985 .33734 .45362 .34012 .46008 .33917 .45632 .33638 Metetra
.446 .785 .998 r
.45632 .33638 .46008 .33917 .46655 .33828 .46281 .33548 Metetra
.44 .782 .998 r
.46281 .33548 .46655 .33828 .47305 .33743 .46932 .33463 Metetra
.435 .779 .997 r
.46932 .33463 .47305 .33743 .47957 .33663 .47585 .33381 Metetra
.43 .777 .997 r
.47585 .33381 .47957 .33663 .48612 .33586 .48241 .33303 Metetra
.427 .775 .997 r
.48241 .33303 .48612 .33586 .49268 .33511 .48898 .33228 Metetra
.424 .774 .996 r
.48898 .33228 .49268 .33511 .49927 .33439 .49559 .33155 Metetra
.422 .773 .996 r
.49559 .33155 .49927 .33439 .50588 .33368 .50221 .33083 Metetra
.421 .772 .996 r
.50221 .33083 .50588 .33368 .51252 .33297 .50886 .33012 Metetra
.421 .772 .996 r
.50886 .33012 .51252 .33297 .51918 .33227 .51553 .32941 Metetra
.421 .773 .996 r
.51553 .32941 .51918 .33227 .52586 .33155 .52223 .32869 Metetra
.423 .773 .996 r
.52223 .32869 .52586 .33155 .53257 .33083 .52895 .32795 Metetra
.425 .775 .996 r
.52895 .32795 .53257 .33083 .5393 .33007 .5357 .32719 Metetra
.429 .776 .997 r
.5357 .32719 .5393 .33007 .54606 .32929 .54247 .3264 Metetra
.433 .778 .997 r
.54247 .3264 .54606 .32929 .55284 .32847 .54926 .32558 Metetra
.437 .781 .997 r
.54926 .32558 .55284 .32847 .55964 .32761 .55608 .3247 Metetra
.443 .783 .998 r
.55608 .3247 .55964 .32761 .56647 .32669 .56292 .32378 Metetra
.449 .786 .998 r
.56292 .32378 .56647 .32669 .57332 .32572 .56978 .3228 Metetra
.456 .79 .999 r
.56978 .3228 .57332 .32572 .5802 .32467 .57667 .32175 Metetra
.464 .794 .999 r
.57667 .32175 .5802 .32467 .58709 .32356 .58358 .32062 Metetra
.472 .798 .999 r
.58358 .32062 .58709 .32356 .59401 .32236 .59052 .31941 Metetra
.481 .802 1 r
.59052 .31941 .59401 .32236 .60095 .32107 .59747 .31812 Metetra
.49 .806 1 r
.59747 .31812 .60095 .32107 .60792 .31969 .60445 .31672 Metetra
.5 .811 1 r
.60445 .31672 .60792 .31969 .6149 .3182 .61145 .31523 Metetra
.51 .816 1 r
.61145 .31523 .6149 .3182 .62191 .3166 .61847 .31362 Metetra
.521 .821 .999 r
.61847 .31362 .62191 .3166 .62893 .31488 .62551 .31189 Metetra
.532 .826 .999 r
.62551 .31189 .62893 .31488 .63597 .31304 .63257 .31004 Metetra
.544 .831 .998 r
.63257 .31004 .63597 .31304 .64303 .31107 .63965 .30806 Metetra
.555 .836 .997 r
.63965 .30806 .64303 .31107 .65011 .30895 .64674 .30593 Metetra
.568 .841 .996 r
.64674 .30593 .65011 .30895 .65721 .3067 .65385 .30366 Metetra
.58 .846 .995 r
.65385 .30366 .65721 .3067 .66432 .30428 .66098 .30124 Metetra
.592 .851 .993 r
.66098 .30124 .66432 .30428 .67144 .30171 .66812 .29865 Metetra
.605 .856 .991 r
.66812 .29865 .67144 .30171 .67858 .29897 .67527 .2959 Metetra
.617 .861 .989 r
.67527 .2959 .67858 .29897 .68573 .29606 .68244 .29298 Metetra
.63 .866 .987 r
.68244 .29298 .68573 .29606 .69289 .29297 .68962 .28988 Metetra
.643 .871 .984 r
.68962 .28988 .69289 .29297 .70006 .2897 .69681 .28659 Metetra
.655 .875 .981 r
.69681 .28659 .70006 .2897 .70724 .28623 .70401 .2831 Metetra
.668 .879 .977 r
.70401 .2831 .70724 .28623 .71443 .28256 .71121 .27943 Metetra
.68 .883 .973 r
.71121 .27943 .71443 .28256 .72162 .2787 .71842 .27554 Metetra
.692 .887 .969 r
.71842 .27554 .72162 .2787 .72882 .27462 .72564 .27145 Metetra
.704 .891 .965 r
.72564 .27145 .72882 .27462 .73602 .27033 .73286 .26715 Metetra
.716 .894 .961 r
.73286 .26715 .73602 .27033 .74322 .26582 .74008 .26262 Metetra
.728 .897 .956 r
.74008 .26262 .74322 .26582 .75042 .26109 .7473 .25787 Metetra
.739 .9 .951 r
.7473 .25787 .75042 .26109 .75762 .25613 .75452 .25289 Metetra
.75 .903 .945 r
.75452 .25289 .75762 .25613 .76482 .25094 .76174 .24768 Metetra
.761 .905 .94 r
.76174 .24768 .76482 .25094 .77201 .24551 .76895 .24223 Metetra
.897 .834 .776 r
.10788 .61392 .11252 .61577 .11936 .60416 .11474 .60228 Metetra
.895 .836 .781 r
.11474 .60228 .11936 .60416 .12615 .59286 .12156 .59095 Metetra
.892 .838 .785 r
.12156 .59095 .12615 .59286 .13291 .58188 .12834 .57994 Metetra
.89 .841 .79 r
.12834 .57994 .13291 .58188 .13962 .57121 .13507 .56924 Metetra
.888 .843 .795 r
.13507 .56924 .13962 .57121 .1463 .56084 .14177 .55884 Metetra
.885 .845 .8 r
.14177 .55884 .1463 .56084 .15294 .55076 .14843 .54874 Metetra
.882 .848 .805 r
.14843 .54874 .15294 .55076 .15954 .54099 .15506 .53894 Metetra
.879 .85 .811 r
.15506 .53894 .15954 .54099 .16611 .53151 .16165 .52943 Metetra
.876 .853 .816 r
.16165 .52943 .16611 .53151 .17265 .52231 .16821 .52022 Metetra
.872 .855 .822 r
.16821 .52022 .17265 .52231 .17916 .51341 .17474 .51128 Metetra
.868 .857 .828 r
.17474 .51128 .17916 .51341 .18564 .50478 .18124 .50263 Metetra
.864 .86 .834 r
.18124 .50263 .18564 .50478 .19209 .49643 .18771 .49426 Metetra
.86 .862 .84 r
.18771 .49426 .19209 .49643 .19851 .48835 .19415 .48616 Metetra
.855 .864 .846 r
.19415 .48616 .19851 .48835 .20491 .48054 .20057 .47833 Metetra
.851 .866 .852 r
.20057 .47833 .20491 .48054 .21129 .473 .20697 .47076 Metetra
.845 .868 .859 r
.20697 .47076 .21129 .473 .21765 .46571 .21334 .46346 Metetra
.84 .87 .865 r
.21334 .46346 .21765 .46571 .22399 .45869 .2197 .45641 Metetra
.834 .872 .872 r
.2197 .45641 .22399 .45869 .23031 .45191 .22603 .44962 Metetra
.828 .874 .878 r
.22603 .44962 .23031 .45191 .23661 .44539 .23235 .44308 Metetra
.821 .876 .885 r
.23235 .44308 .23661 .44539 .24289 .43911 .23866 .43678 Metetra
.814 .877 .892 r
.23866 .43678 .24289 .43911 .24917 .43306 .24494 .43072 Metetra
.807 .878 .898 r
.24494 .43072 .24917 .43306 .25542 .42726 .25122 .42489 Metetra
.799 .879 .905 r
.25122 .42489 .25542 .42726 .26167 .42168 .25748 .4193 Metetra
.791 .88 .912 r
.25748 .4193 .26167 .42168 .26791 .41633 .26373 .41394 Metetra
.782 .881 .918 r
.26373 .41394 .26791 .41633 .27414 .4112 .26998 .40879 Metetra
.773 .881 .925 r
.26998 .40879 .27414 .4112 .28036 .40629 .27621 .40387 Metetra
.763 .881 .931 r
.27621 .40387 .28036 .40629 .28657 .4016 .28244 .39916 Metetra
.753 .881 .937 r
.28244 .39916 .28657 .4016 .29279 .39711 .28867 .39465 Metetra
.743 .88 .943 r
.28867 .39465 .29279 .39711 .29899 .39282 .29489 .39035 Metetra
.732 .88 .949 r
.29489 .39035 .29899 .39282 .3052 .38873 .30111 .38625 Metetra
.72 .878 .955 r
.30111 .38625 .3052 .38873 .3114 .38484 .30733 .38234 Metetra
.709 .877 .96 r
.30733 .38234 .3114 .38484 .3176 .38113 .31354 .37862 Metetra
.697 .875 .965 r
.31354 .37862 .3176 .38113 .32381 .37761 .31976 .37509 Metetra
.684 .873 .97 r
.31976 .37509 .32381 .37761 .33002 .37426 .32598 .37173 Metetra
.672 .87 .974 r
.32598 .37173 .33002 .37426 .33623 .37109 .33221 .36855 Metetra
.659 .868 .978 r
.33221 .36855 .33623 .37109 .34245 .36809 .33844 .36553 Metetra
.646 .864 .982 r
.33844 .36553 .34245 .36809 .34867 .36525 .34467 .36268 Metetra
.632 .861 .985 r
.34467 .36268 .34867 .36525 .3549 .36257 .35092 .35999 Metetra
.619 .857 .988 r
.35092 .35999 .3549 .36257 .36113 .36004 .35717 .35745 Metetra
.606 .853 .991 r
.35717 .35745 .36113 .36004 .36738 .35765 .36343 .35505 Metetra
.592 .849 .993 r
.36343 .35505 .36738 .35765 .37364 .35541 .3697 .3528 Metetra
.579 .844 .995 r
.3697 .3528 .37364 .35541 .37991 .3533 .37598 .35068 Metetra
.566 .84 .996 r
.37598 .35068 .37991 .3533 .38619 .35132 .38227 .34869 Metetra
.553 .835 .998 r
.38227 .34869 .38619 .35132 .39248 .34947 .38858 .34683 Metetra
.54 .83 .999 r
.38858 .34683 .39248 .34947 .39879 .34773 .3949 .34508 Metetra
.527 .825 .999 r
.3949 .34508 .39879 .34773 .40511 .3461 .40123 .34345 Metetra
.515 .82 1 r
.40123 .34345 .40511 .3461 .41145 .34458 .40758 .34192 Metetra
.504 .816 1 r
.40758 .34192 .41145 .34458 .4178 .34316 .41395 .34049 Metetra
.493 .811 1 r
.41395 .34049 .4178 .34316 .42417 .34184 .42033 .33916 Metetra
.482 .806 1 r
.42033 .33916 .42417 .34184 .43056 .3406 .42673 .33791 Metetra
.472 .802 .999 r
.42673 .33791 .43056 .3406 .43697 .33944 .43315 .33674 Metetra
.463 .797 .999 r
.43315 .33674 .43697 .33944 .4434 .33835 .43959 .33565 Metetra
.455 .794 .999 r
.43959 .33565 .4434 .33835 .44985 .33734 .44605 .33463 Metetra
.447 .79 .998 r
.44605 .33463 .44985 .33734 .45632 .33638 .45253 .33366 Metetra
.44 .786 .998 r
.45253 .33366 .45632 .33638 .46281 .33548 .45904 .33276 Metetra
.434 .783 .997 r
.45904 .33276 .46281 .33548 .46932 .33463 .46556 .33189 Metetra
.428 .781 .997 r
.46556 .33189 .46932 .33463 .47585 .33381 .4721 .33107 Metetra
.424 .779 .996 r
.4721 .33107 .47585 .33381 .48241 .33303 .47867 .33029 Metetra
.42 .777 .996 r
.47867 .33029 .48241 .33303 .48898 .33228 .48526 .32953 Metetra
.417 .775 .996 r
.48526 .32953 .48898 .33228 .49559 .33155 .49188 .32879 Metetra
.415 .774 .995 r
.49188 .32879 .49559 .33155 .50221 .33083 .49852 .32807 Metetra
.414 .774 .995 r
.49852 .32807 .50221 .33083 .50886 .33012 .50518 .32735 Metetra
.414 .774 .995 r
.50518 .32735 .50886 .33012 .51553 .32941 .51186 .32663 Metetra
.415 .774 .995 r
.51186 .32663 .51553 .32941 .52223 .32869 .51857 .3259 Metetra
.416 .775 .995 r
.51857 .3259 .52223 .32869 .52895 .32795 .52531 .32516 Metetra
.419 .776 .996 r
.52531 .32516 .52895 .32795 .5357 .32719 .53207 .32439 Metetra
.422 .778 .996 r
.53207 .32439 .5357 .32719 .54247 .3264 .53885 .32359 Metetra
.426 .78 .996 r
.53885 .32359 .54247 .3264 .54926 .32558 .54566 .32276 Metetra
.431 .782 .997 r
.54566 .32276 .54926 .32558 .55608 .3247 .55249 .32188 Metetra
.437 .785 .997 r
.55249 .32188 .55608 .3247 .56292 .32378 .55934 .32095 Metetra
.443 .788 .998 r
.55934 .32095 .56292 .32378 .56978 .3228 .56622 .31996 Metetra
.45 .792 .998 r
.56622 .31996 .56978 .3228 .57667 .32175 .57313 .3189 Metetra
.458 .796 .999 r
.57313 .3189 .57667 .32175 .58358 .32062 .58005 .31776 Metetra
.466 .8 .999 r
.58005 .31776 .58358 .32062 .59052 .31941 .587 .31655 Metetra
.475 .804 1 r
.587 .31655 .59052 .31941 .59747 .31812 .59397 .31524 Metetra
.485 .809 1 r
.59397 .31524 .59747 .31812 .60445 .31672 .60097 .31384 Metetra
.495 .814 1 r
.60097 .31384 .60445 .31672 .61145 .31523 .60798 .31233 Metetra
.505 .818 1 r
.60798 .31233 .61145 .31523 .61847 .31362 .61502 .31072 Metetra
.516 .824 1 r
.61502 .31072 .61847 .31362 .62551 .31189 .62207 .30898 Metetra
.527 .829 .999 r
.62207 .30898 .62551 .31189 .63257 .31004 .62915 .30712 Metetra
.539 .834 .999 r
.62915 .30712 .63257 .31004 .63965 .30806 .63624 .30512 Metetra
.551 .839 .998 r
.63624 .30512 .63965 .30806 .64674 .30593 .64335 .30299 Metetra
.563 .844 .997 r
.64335 .30299 .64674 .30593 .65385 .30366 .65048 .30071 Metetra
.576 .85 .996 r
.65048 .30071 .65385 .30366 .66098 .30124 .65762 .29827 Metetra
.589 .855 .994 r
.65762 .29827 .66098 .30124 .66812 .29865 .66478 .29568 Metetra
.601 .86 .992 r
.66478 .29568 .66812 .29865 .67527 .2959 .67195 .29291 Metetra
.614 .865 .99 r
.67195 .29291 .67527 .2959 .68244 .29298 .67914 .28998 Metetra
.627 .87 .988 r
.67914 .28998 .68244 .29298 .68962 .28988 .68633 .28686 Metetra
.64 .874 .985 r
.68633 .28686 .68962 .28988 .69681 .28659 .69354 .28356 Metetra
.653 .879 .982 r
.69354 .28356 .69681 .28659 .70401 .2831 .70076 .28006 Metetra
.665 .883 .978 r
.70076 .28006 .70401 .2831 .71121 .27943 .70798 .27637 Metetra
.678 .887 .975 r
.70798 .27637 .71121 .27943 .71842 .27554 .71521 .27247 Metetra
.69 .891 .971 r
.71521 .27247 .71842 .27554 .72564 .27145 .72245 .26836 Metetra
.703 .895 .966 r
.72245 .26836 .72564 .27145 .73286 .26715 .72968 .26404 Metetra
.715 .898 .962 r
.72968 .26404 .73286 .26715 .74008 .26262 .73692 .2595 Metetra
.727 .901 .957 r
.73692 .2595 .74008 .26262 .7473 .25787 .74417 .25473 Metetra
.738 .904 .952 r
.74417 .25473 .7473 .25787 .75452 .25289 .75141 .24973 Metetra
.749 .907 .947 r
.75141 .24973 .75452 .25289 .76174 .24768 .75864 .2445 Metetra
.76 .91 .941 r
.75864 .2445 .76174 .24768 .76895 .24223 .76588 .23904 Metetra
.898 .836 .777 r
.1032 .61216 .10788 .61392 .11474 .60228 .11009 .60049 Metetra
.896 .839 .781 r
.11009 .60049 .11474 .60228 .12156 .59095 .11693 .58913 Metetra
.894 .841 .786 r
.11693 .58913 .12156 .59095 .12834 .57994 .12373 .57809 Metetra
.891 .844 .791 r
.12373 .57809 .12834 .57994 .13507 .56924 .13049 .56736 Metetra
.889 .846 .796 r
.13049 .56736 .13507 .56924 .14177 .55884 .13721 .55693 Metetra
.886 .849 .801 r
.13721 .55693 .14177 .55884 .14843 .54874 .1439 .54681 Metetra
.883 .851 .806 r
.1439 .54681 .14843 .54874 .15506 .53894 .15054 .53698 Metetra
.88 .853 .812 r
.15054 .53698 .15506 .53894 .16165 .52943 .15716 .52744 Metetra
.877 .856 .817 r
.15716 .52744 .16165 .52943 .16821 .52022 .16374 .5182 Metetra
.873 .858 .823 r
.16374 .5182 .16821 .52022 .17474 .51128 .17028 .50924 Metetra
.87 .861 .829 r
.17028 .50924 .17474 .51128 .18124 .50263 .1768 .50057 Metetra
.866 .863 .835 r
.1768 .50057 .18124 .50263 .18771 .49426 .18329 .49217 Metetra
.861 .865 .841 r
.18329 .49217 .18771 .49426 .19415 .48616 .18976 .48405 Metetra
.857 .868 .847 r
.18976 .48405 .19415 .48616 .20057 .47833 .1962 .4762 Metetra
.852 .87 .854 r
.1962 .4762 .20057 .47833 .20697 .47076 .20261 .46861 Metetra
.846 .872 .86 r
.20261 .46861 .20697 .47076 .21334 .46346 .209 .46129 Metetra
.841 .874 .867 r
.209 .46129 .21334 .46346 .2197 .45641 .21538 .45422 Metetra
.835 .876 .873 r
.21538 .45422 .2197 .45641 .22603 .44962 .22173 .44741 Metetra
.829 .878 .88 r
.22173 .44741 .22603 .44962 .23235 .44308 .22807 .44085 Metetra
.822 .88 .887 r
.22807 .44085 .23235 .44308 .23866 .43678 .23439 .43453 Metetra
.815 .881 .893 r
.23439 .43453 .23866 .43678 .24494 .43072 .24069 .42845 Metetra
.807 .882 .9 r
.24069 .42845 .24494 .43072 .25122 .42489 .24698 .42261 Metetra
.799 .884 .907 r
.24698 .42261 .25122 .42489 .25748 .4193 .25326 .417 Metetra
.791 .884 .913 r
.25326 .417 .25748 .4193 .26373 .41394 .25953 .41162 Metetra
.782 .885 .92 r
.25953 .41162 .26373 .41394 .26998 .40879 .26579 .40646 Metetra
.773 .885 .926 r
.26579 .40646 .26998 .40879 .27621 .40387 .27204 .40152 Metetra
.763 .886 .933 r
.27204 .40152 .27621 .40387 .28244 .39916 .27829 .39679 Metetra
.753 .885 .939 r
.27829 .39679 .28244 .39916 .28867 .39465 .28453 .39227 Metetra
.742 .885 .945 r
.28453 .39227 .28867 .39465 .29489 .39035 .29076 .38796 Metetra
.731 .884 .951 r
.29076 .38796 .29489 .39035 .30111 .38625 .29699 .38384 Metetra
.72 .883 .956 r
.29699 .38384 .30111 .38625 .30733 .38234 .30323 .37992 Metetra
.708 .881 .962 r
.30323 .37992 .30733 .38234 .31354 .37862 .30946 .37619 Metetra
.695 .879 .967 r
.30946 .37619 .31354 .37862 .31976 .37509 .31569 .37264 Metetra
.683 .877 .971 r
.31569 .37264 .31976 .37509 .32598 .37173 .32192 .36928 Metetra
.67 .875 .976 r
.32192 .36928 .32598 .37173 .33221 .36855 .32816 .36608 Metetra
.657 .872 .98 r
.32816 .36608 .33221 .36855 .33844 .36553 .33441 .36306 Metetra
.643 .868 .983 r
.33441 .36306 .33844 .36553 .34467 .36268 .34065 .36019 Metetra
.63 .865 .986 r
.34065 .36019 .34467 .36268 .35092 .35999 .34691 .35749 Metetra
.616 .861 .989 r
.34691 .35749 .35092 .35999 .35717 .35745 .35317 .35494 Metetra
.602 .857 .992 r
.35317 .35494 .35717 .35745 .36343 .35505 .35945 .35253 Metetra
.589 .852 .994 r
.35945 .35253 .36343 .35505 .3697 .3528 .36573 .35027 Metetra
.575 .848 .996 r
.36573 .35027 .3697 .3528 .37598 .35068 .37202 .34814 Metetra
.562 .843 .997 r
.37202 .34814 .37598 .35068 .38227 .34869 .37833 .34615 Metetra
.548 .838 .998 r
.37833 .34615 .38227 .34869 .38858 .34683 .38465 .34427 Metetra
.535 .833 .999 r
.38465 .34427 .38858 .34683 .3949 .34508 .39098 .34252 Metetra
.523 .828 1 r
.39098 .34252 .3949 .34508 .40123 .34345 .39732 .34087 Metetra
.51 .823 1 r
.39732 .34087 .40123 .34345 .40758 .34192 .40369 .33934 Metetra
.499 .818 1 r
.40369 .33934 .40758 .34192 .41395 .34049 .41007 .3379 Metetra
.487 .813 1 r
.41007 .3379 .41395 .34049 .42033 .33916 .41646 .33656 Metetra
.477 .808 1 r
.41646 .33656 .42033 .33916 .42673 .33791 .42288 .3353 Metetra
.467 .804 .999 r
.42288 .3353 .42673 .33791 .43315 .33674 .42931 .33413 Metetra
.457 .799 .999 r
.42931 .33413 .43315 .33674 .43959 .33565 .43576 .33303 Metetra
.449 .795 .998 r
.43576 .33303 .43959 .33565 .44605 .33463 .44223 .332 Metetra
.441 .791 .997 r
.44223 .332 .44605 .33463 .45253 .33366 .44873 .33102 Metetra
.433 .788 .997 r
.44873 .33102 .45253 .33366 .45904 .33276 .45524 .33011 Metetra
.427 .785 .996 r
.45524 .33011 .45904 .33276 .46556 .33189 .46178 .32924 Metetra
.422 .782 .996 r
.46178 .32924 .46556 .33189 .4721 .33107 .46834 .32841 Metetra
.417 .78 .995 r
.46834 .32841 .4721 .33107 .47867 .33029 .47492 .32762 Metetra
.413 .778 .995 r
.47492 .32762 .47867 .33029 .48526 .32953 .48152 .32686 Metetra
.411 .777 .994 r
.48152 .32686 .48526 .32953 .49188 .32879 .48815 .32611 Metetra
.409 .776 .994 r
.48815 .32611 .49188 .32879 .49852 .32807 .4948 .32538 Metetra
.407 .775 .994 r
.4948 .32538 .49852 .32807 .50518 .32735 .50147 .32465 Metetra
.407 .775 .994 r
.50147 .32465 .50518 .32735 .51186 .32663 .50817 .32393 Metetra
.408 .775 .994 r
.50817 .32393 .51186 .32663 .51857 .3259 .5149 .32319 Metetra
.41 .776 .994 r
.5149 .32319 .51857 .3259 .52531 .32516 .52164 .32244 Metetra
.412 .777 .995 r
.52164 .32244 .52531 .32516 .53207 .32439 .52842 .32167 Metetra
.415 .779 .995 r
.52842 .32167 .53207 .32439 .53885 .32359 .53521 .32086 Metetra
.419 .781 .995 r
.53521 .32086 .53885 .32359 .54566 .32276 .54204 .32002 Metetra
.424 .784 .996 r
.54204 .32002 .54566 .32276 .55249 .32188 .54888 .31913 Metetra
.43 .787 .996 r
.54888 .31913 .55249 .32188 .55934 .32095 .55575 .31819 Metetra
.436 .79 .997 r
.55575 .31819 .55934 .32095 .56622 .31996 .56264 .31719 Metetra
.444 .794 .998 r
.56264 .31719 .56622 .31996 .57313 .3189 .56956 .31613 Metetra
.452 .797 .998 r
.56956 .31613 .57313 .3189 .58005 .31776 .5765 .31499 Metetra
.46 .802 .999 r
.5765 .31499 .58005 .31776 .587 .31655 .58347 .31376 Metetra
.469 .806 .999 r
.58347 .31376 .587 .31655 .59397 .31524 .59045 .31245 Metetra
.479 .811 1 r
.59045 .31245 .59397 .31524 .60097 .31384 .59746 .31104 Metetra
.489 .816 1 r
.59746 .31104 .60097 .31384 .60798 .31233 .60449 .30952 Metetra
.5 .821 1 r
.60449 .30952 .60798 .31233 .61502 .31072 .61154 .30789 Metetra
.511 .826 1 r
.61154 .30789 .61502 .31072 .62207 .30898 .61862 .30615 Metetra
.523 .831 1 r
.61862 .30615 .62207 .30898 .62915 .30712 .62571 .30428 Metetra
.535 .837 .999 r
.62571 .30428 .62915 .30712 .63624 .30512 .63282 .30227 Metetra
.547 .842 .998 r
.63282 .30227 .63624 .30512 .64335 .30299 .63994 .30012 Metetra
.559 .848 .998 r
.63994 .30012 .64335 .30299 .65048 .30071 .64709 .29783 Metetra
.572 .853 .996 r
.64709 .29783 .65048 .30071 .65762 .29827 .65425 .29538 Metetra
.585 .858 .995 r
.65425 .29538 .65762 .29827 .66478 .29568 .66142 .29278 Metetra
.598 .863 .993 r
.66142 .29278 .66478 .29568 .67195 .29291 .66861 .29 Metetra
.611 .868 .991 r
.66861 .29 .67195 .29291 .67914 .28998 .67582 .28705 Metetra
.624 .873 .989 r
.67582 .28705 .67914 .28998 .68633 .28686 .68303 .28392 Metetra
.637 .878 .986 r
.68303 .28392 .68633 .28686 .69354 .28356 .69026 .2806 Metetra
.65 .883 .983 r
.69026 .2806 .69354 .28356 .70076 .28006 .69749 .27709 Metetra
.663 .887 .98 r
.69749 .27709 .70076 .28006 .70798 .27637 .70473 .27338 Metetra
.676 .891 .976 r
.70473 .27338 .70798 .27637 .71521 .27247 .71198 .26947 Metetra
.688 .895 .972 r
.71198 .26947 .71521 .27247 .72245 .26836 .71924 .26535 Metetra
.701 .899 .968 r
.71924 .26535 .72245 .26836 .72968 .26404 .7265 .26101 Metetra
.713 .903 .963 r
.7265 .26101 .72968 .26404 .73692 .2595 .73376 .25645 Metetra
.725 .906 .958 r
.73376 .25645 .73692 .2595 .74417 .25473 .74102 .25167 Metetra
.737 .909 .953 r
.74102 .25167 .74417 .25473 .75141 .24973 .74828 .24665 Metetra
.748 .911 .948 r
.74828 .24665 .75141 .24973 .75864 .2445 .75554 .2414 Metetra
.76 .914 .942 r
.75554 .2414 .75864 .2445 .76588 .23904 .76279 .23592 Metetra
.899 .839 .777 r
.09849 .61048 .1032 .61216 .11009 .60049 .1054 .59878 Metetra
.897 .842 .782 r
.1054 .59878 .11009 .60049 .11693 .58913 .11227 .58739 Metetra
.895 .844 .787 r
.11227 .58739 .11693 .58913 .12373 .57809 .11909 .57632 Metetra
.893 .847 .792 r
.11909 .57632 .12373 .57809 .13049 .56736 .12588 .56556 Metetra
.89 .849 .797 r
.12588 .56556 .13049 .56736 .13721 .55693 .13262 .5551 Metetra
.887 .852 .802 r
.13262 .5551 .13721 .55693 .1439 .54681 .13932 .54495 Metetra
.885 .854 .807 r
.13932 .54495 .1439 .54681 .15054 .53698 .14599 .5351 Metetra
.881 .857 .813 r
.14599 .5351 .15054 .53698 .15716 .52744 .15263 .52554 Metetra
.878 .859 .818 r
.15263 .52554 .15716 .52744 .16374 .5182 .15923 .51627 Metetra
.875 .862 .824 r
.15923 .51627 .16374 .5182 .17028 .50924 .1658 .50729 Metetra
.871 .864 .83 r
.1658 .50729 .17028 .50924 .1768 .50057 .17234 .49859 Metetra
.867 .867 .836 r
.17234 .49859 .1768 .50057 .18329 .49217 .17885 .49017 Metetra
.862 .869 .842 r
.17885 .49017 .18329 .49217 .18976 .48405 .18533 .48202 Metetra
.858 .871 .848 r
.18533 .48202 .18976 .48405 .1962 .4762 .19179 .47415 Metetra
.853 .874 .855 r
.19179 .47415 .1962 .4762 .20261 .46861 .19822 .46654 Metetra
.847 .876 .861 r
.19822 .46654 .20261 .46861 .209 .46129 .20463 .4592 Metetra
.842 .878 .868 r
.20463 .4592 .209 .46129 .21538 .45422 .21102 .45211 Metetra
.836 .88 .875 r
.21102 .45211 .21538 .45422 .22173 .44741 .2174 .44528 Metetra
.829 .882 .881 r
.2174 .44528 .22173 .44741 .22807 .44085 .22375 .4387 Metetra
.823 .884 .888 r
.22375 .4387 .22807 .44085 .23439 .43453 .23009 .43236 Metetra
.815 .885 .895 r
.23009 .43236 .23439 .43453 .24069 .42845 .23641 .42626 Metetra
.808 .887 .902 r
.23641 .42626 .24069 .42845 .24698 .42261 .24271 .42041 Metetra
.8 .888 .908 r
.24271 .42041 .24698 .42261 .25326 .417 .24901 .41478 Metetra
.791 .889 .915 r
.24901 .41478 .25326 .417 .25953 .41162 .25529 .40938 Metetra
.782 .889 .922 r
.25529 .40938 .25953 .41162 .26579 .40646 .26157 .40421 Metetra
.773 .89 .928 r
.26157 .40421 .26579 .40646 .27204 .40152 .26784 .39925 Metetra
.763 .89 .934 r
.26784 .39925 .27204 .40152 .27829 .39679 .2741 .39451 Metetra
.752 .89 .941 r
.2741 .39451 .27829 .39679 .28453 .39227 .28035 .38997 Metetra
.742 .889 .947 r
.28035 .38997 .28453 .39227 .29076 .38796 .2866 .38565 Metetra
.73 .888 .952 r
.2866 .38565 .29076 .38796 .29699 .38384 .29285 .38152 Metetra
.719 .887 .958 r
.29285 .38152 .29699 .38384 .30323 .37992 .2991 .37758 Metetra
.706 .885 .963 r
.2991 .37758 .30323 .37992 .30946 .37619 .30534 .37384 Metetra
.694 .884 .968 r
.30534 .37384 .30946 .37619 .31569 .37264 .31159 .37028 Metetra
.681 .881 .973 r
.31159 .37028 .31569 .37264 .32192 .36928 .31784 .3669 Metetra
.668 .879 .977 r
.31784 .3669 .32192 .36928 .32816 .36608 .32409 .36369 Metetra
.654 .876 .981 r
.32409 .36369 .32816 .36608 .33441 .36306 .33034 .36065 Metetra
.641 .872 .984 r
.33034 .36065 .33441 .36306 .34065 .36019 .33661 .35778 Metetra
.627 .868 .988 r
.33661 .35778 .34065 .36019 .34691 .35749 .34288 .35507 Metetra
.613 .864 .99 r
.34288 .35507 .34691 .35749 .35317 .35494 .34915 .3525 Metetra
.599 .86 .993 r
.34915 .3525 .35317 .35494 .35945 .35253 .35544 .35009 Metetra
.585 .856 .995 r
.35544 .35009 .35945 .35253 .36573 .35027 .36173 .34782 Metetra
.571 .851 .996 r
.36173 .34782 .36573 .35027 .37202 .34814 .36804 .34568 Metetra
.557 .846 .998 r
.36804 .34568 .37202 .34814 .37833 .34615 .37436 .34367 Metetra
.544 .841 .999 r
.37436 .34367 .37833 .34615 .38465 .34427 .38069 .34179 Metetra
.531 .836 .999 r
.38069 .34179 .38465 .34427 .39098 .34252 .38703 .34003 Metetra
.518 .831 1 r
.38703 .34003 .39098 .34252 .39732 .34087 .39339 .33838 Metetra
.505 .825 1 r
.39339 .33838 .39732 .34087 .40369 .33934 .39977 .33683 Metetra
.493 .82 1 r
.39977 .33683 .40369 .33934 .41007 .3379 .40616 .33539 Metetra
.482 .815 .999 r
.40616 .33539 .41007 .3379 .41646 .33656 .41257 .33403 Metetra
.471 .81 .999 r
.41257 .33403 .41646 .33656 .42288 .3353 .419 .33277 Metetra
.461 .806 .998 r
.419 .33277 .42288 .3353 .42931 .33413 .42544 .33159 Metetra
.451 .801 .998 r
.42544 .33159 .42931 .33413 .43576 .33303 .43191 .33048 Metetra
.442 .797 .997 r
.43191 .33048 .43576 .33303 .44223 .332 .43839 .32944 Metetra
.434 .793 .996 r
.43839 .32944 .44223 .332 .44873 .33102 .4449 .32846 Metetra
.427 .789 .996 r
.4449 .32846 .44873 .33102 .45524 .33011 .45142 .32754 Metetra
.42 .786 .995 r
.45142 .32754 .45524 .33011 .46178 .32924 .45797 .32667 Metetra
.415 .783 .994 r
.45797 .32667 .46178 .32924 .46834 .32841 .46454 .32583 Metetra
.41 .781 .994 r
.46454 .32583 .46834 .32841 .47492 .32762 .47114 .32503 Metetra
.406 .779 .993 r
.47114 .32503 .47492 .32762 .48152 .32686 .47775 .32426 Metetra
.403 .778 .993 r
.47775 .32426 .48152 .32686 .48815 .32611 .4844 .32351 Metetra
.401 .776 .993 r
.4844 .32351 .48815 .32611 .4948 .32538 .49106 .32277 Metetra
.4 .776 .992 r
.49106 .32277 .4948 .32538 .50147 .32465 .49775 .32204 Metetra
.4 .776 .992 r
.49775 .32204 .50147 .32465 .50817 .32393 .50446 .3213 Metetra
.401 .776 .993 r
.50446 .3213 .50817 .32393 .5149 .32319 .5112 .32056 Metetra
.403 .777 .993 r
.5112 .32056 .5149 .32319 .52164 .32244 .51796 .3198 Metetra
.405 .778 .993 r
.51796 .3198 .52164 .32244 .52842 .32167 .52475 .31902 Metetra
.408 .78 .993 r
.52475 .31902 .52842 .32167 .53521 .32086 .53156 .31821 Metetra
.413 .782 .994 r
.53156 .31821 .53521 .32086 .54204 .32002 .53839 .31736 Metetra
.418 .785 .995 r
.53839 .31736 .54204 .32002 .54888 .31913 .54525 .31647 Metetra
.423 .788 .995 r
.54525 .31647 .54888 .31913 .55575 .31819 .55214 .31552 Metetra
.43 .791 .996 r
.55214 .31552 .55575 .31819 .56264 .31719 .55904 .31451 Metetra
.437 .795 .997 r
.55904 .31451 .56264 .31719 .56956 .31613 .56598 .31344 Metetra
.445 .799 .997 r
.56598 .31344 .56956 .31613 .5765 .31499 .57293 .31229 Metetra
.454 .803 .998 r
.57293 .31229 .5765 .31499 .58347 .31376 .57991 .31105 Metetra
.463 .808 .998 r
.57991 .31105 .58347 .31376 .59045 .31245 .58691 .30973 Metetra
.473 .813 .999 r
.58691 .30973 .59045 .31245 .59746 .31104 .59394 .30831 Metetra
.483 .818 .999 r
.59394 .30831 .59746 .31104 .60449 .30952 .60098 .30679 Metetra
.494 .823 1 r
.60098 .30679 .60449 .30952 .61154 .30789 .60805 .30515 Metetra
.506 .828 1 r
.60805 .30515 .61154 .30789 .61862 .30615 .61514 .30339 Metetra
.518 .834 .999 r
.61514 .30339 .61862 .30615 .62571 .30428 .62225 .30151 Metetra
.53 .839 .999 r
.62225 .30151 .62571 .30428 .63282 .30227 .62937 .2995 Metetra
.542 .845 .999 r
.62937 .2995 .63282 .30227 .63994 .30012 .63652 .29734 Metetra
.555 .85 .998 r
.63652 .29734 .63994 .30012 .64709 .29783 .64368 .29504 Metetra
.568 .856 .997 r
.64368 .29504 .64709 .29783 .65425 .29538 .65086 .29258 Metetra
.581 .861 .995 r
.65086 .29258 .65425 .29538 .66142 .29278 .65805 .28996 Metetra
.594 .867 .994 r
.65805 .28996 .66142 .29278 .66861 .29 .66526 .28717 Metetra
.607 .872 .992 r
.66526 .28717 .66861 .29 .67582 .28705 .67248 .2842 Metetra
.621 .877 .989 r
.67248 .2842 .67582 .28705 .68303 .28392 .67971 .28106 Metetra
.634 .882 .987 r
.67971 .28106 .68303 .28392 .69026 .2806 .68696 .27773 Metetra
.647 .887 .984 r
.68696 .27773 .69026 .2806 .69749 .27709 .69421 .27421 Metetra
.66 .891 .98 r
.69421 .27421 .69749 .27709 .70473 .27338 .70147 .27048 Metetra
.673 .895 .977 r
.70147 .27048 .70473 .27338 .71198 .26947 .70874 .26655 Metetra
.686 .899 .973 r
.70874 .26655 .71198 .26947 .71924 .26535 .71602 .26241 Metetra
.699 .903 .969 r
.71602 .26241 .71924 .26535 .7265 .26101 .72329 .25806 Metetra
.711 .907 .964 r
.72329 .25806 .7265 .26101 .73376 .25645 .73057 .25348 Metetra
.724 .91 .959 r
.73057 .25348 .73376 .25645 .74102 .25167 .73786 .24868 Metetra
.736 .913 .954 r
.73786 .24868 .74102 .25167 .74828 .24665 .74514 .24365 Metetra
.747 .916 .949 r
.74514 .24365 .74828 .24665 .75554 .2414 .75241 .23838 Metetra
.759 .918 .943 r
.75241 .23838 .75554 .2414 .76279 .23592 .75969 .23287 Metetra
.9 .842 .778 r
.09374 .60889 .09849 .61048 .1054 .59878 .10068 .59716 Metetra
.898 .844 .783 r
.10068 .59716 .1054 .59878 .11227 .58739 .10757 .58574 Metetra
.896 .847 .787 r
.10757 .58574 .11227 .58739 .11909 .57632 .11442 .57464 Metetra
.894 .85 .792 r
.11442 .57464 .11909 .57632 .12588 .56556 .12122 .56385 Metetra
.891 .852 .797 r
.12122 .56385 .12588 .56556 .13262 .5551 .12799 .55336 Metetra
.889 .855 .803 r
.12799 .55336 .13262 .5551 .13932 .54495 .13472 .54318 Metetra
.886 .857 .808 r
.13472 .54318 .13932 .54495 .14599 .5351 .14141 .5333 Metetra
.883 .86 .814 r
.14141 .5333 .14599 .5351 .15263 .52554 .14806 .52372 Metetra
.879 .862 .819 r
.14806 .52372 .15263 .52554 .15923 .51627 .15469 .51442 Metetra
.876 .865 .825 r
.15469 .51442 .15923 .51627 .1658 .50729 .16128 .50541 Metetra
.872 .868 .831 r
.16128 .50541 .1658 .50729 .17234 .49859 .16784 .49669 Metetra
.868 .87 .837 r
.16784 .49669 .17234 .49859 .17885 .49017 .17437 .48825 Metetra
.863 .873 .843 r
.17437 .48825 .17885 .49017 .18533 .48202 .18087 .48008 Metetra
.859 .875 .85 r
.18087 .48008 .18533 .48202 .19179 .47415 .18735 .47218 Metetra
.854 .877 .856 r
.18735 .47218 .19179 .47415 .19822 .46654 .1938 .46455 Metetra
.848 .88 .863 r
.1938 .46455 .19822 .46654 .20463 .4592 .20023 .45719 Metetra
.843 .882 .869 r
.20023 .45719 .20463 .4592 .21102 .45211 .20664 .45008 Metetra
.837 .884 .876 r
.20664 .45008 .21102 .45211 .2174 .44528 .21303 .44323 Metetra
.83 .886 .883 r
.21303 .44323 .2174 .44528 .22375 .4387 .2194 .43663 Metetra
.823 .888 .889 r
.2194 .43663 .22375 .4387 .23009 .43236 .22575 .43027 Metetra
.816 .889 .896 r
.22575 .43027 .23009 .43236 .23641 .42626 .23209 .42416 Metetra
.808 .891 .903 r
.23209 .42416 .23641 .42626 .24271 .42041 .23842 .41828 Metetra
.8 .892 .91 r
.23842 .41828 .24271 .42041 .24901 .41478 .24473 .41264 Metetra
.791 .893 .917 r
.24473 .41264 .24901 .41478 .25529 .40938 .25103 .40722 Metetra
.782 .894 .923 r
.25103 .40722 .25529 .40938 .26157 .40421 .25732 .40203 Metetra
.773 .894 .93 r
.25732 .40203 .26157 .40421 .26784 .39925 .2636 .39706 Metetra
.762 .894 .936 r
.2636 .39706 .26784 .39925 .2741 .39451 .26988 .3923 Metetra
.752 .894 .942 r
.26988 .3923 .2741 .39451 .28035 .38997 .27615 .38775 Metetra
.741 .893 .948 r
.27615 .38775 .28035 .38997 .2866 .38565 .28241 .38341 Metetra
.729 .893 .954 r
.28241 .38341 .2866 .38565 .29285 .38152 .28868 .37927 Metetra
.717 .891 .959 r
.28868 .37927 .29285 .38152 .2991 .37758 .29494 .37532 Metetra
.705 .89 .965 r
.29494 .37532 .2991 .37758 .30534 .37384 .3012 .37156 Metetra
.692 .888 .97 r
.3012 .37156 .30534 .37384 .31159 .37028 .30746 .36799 Metetra
.679 .885 .974 r
.30746 .36799 .31159 .37028 .31784 .3669 .31372 .3646 Metetra
.666 .883 .978 r
.31372 .3646 .31784 .3669 .32409 .36369 .31999 .36138 Metetra
.652 .879 .982 r
.31999 .36138 .32409 .36369 .33034 .36065 .32626 .35833 Metetra
.638 .876 .986 r
.32626 .35833 .33034 .36065 .33661 .35778 .33253 .35545 Metetra
.624 .872 .989 r
.33253 .35545 .33661 .35778 .34288 .35507 .33881 .35272 Metetra
.61 .868 .991 r
.33881 .35272 .34288 .35507 .34915 .3525 .3451 .35015 Metetra
.596 .864 .993 r
.3451 .35015 .34915 .3525 .35544 .35009 .3514 .34772 Metetra
.581 .859 .995 r
.3514 .34772 .35544 .35009 .36173 .34782 .35771 .34544 Metetra
.567 .854 .997 r
.35771 .34544 .36173 .34782 .36804 .34568 .36403 .34329 Metetra
.553 .849 .998 r
.36403 .34329 .36804 .34568 .37436 .34367 .37036 .34128 Metetra
.539 .844 .999 r
.37036 .34128 .37436 .34367 .38069 .34179 .3767 .33939 Metetra
.526 .838 .999 r
.3767 .33939 .38069 .34179 .38703 .34003 .38306 .33761 Metetra
.513 .833 .999 r
.38306 .33761 .38703 .34003 .39339 .33838 .38944 .33595 Metetra
.5 .828 .999 r
.38944 .33595 .39339 .33838 .39977 .33683 .39582 .3344 Metetra
.488 .822 .999 r
.39582 .3344 .39977 .33683 .40616 .33539 .40223 .33295 Metetra
.476 .817 .999 r
.40223 .33295 .40616 .33539 .41257 .33403 .40865 .33159 Metetra
.465 .812 .998 r
.40865 .33159 .41257 .33403 .419 .33277 .41509 .33032 Metetra
.454 .807 .997 r
.41509 .33032 .419 .33277 .42544 .33159 .42155 .32913 Metetra
.445 .803 .997 r
.42155 .32913 .42544 .33159 .43191 .33048 .42803 .32801 Metetra
.436 .798 .996 r
.42803 .32801 .43191 .33048 .43839 .32944 .43452 .32697 Metetra
.427 .794 .995 r
.43452 .32697 .43839 .32944 .4449 .32846 .44104 .32598 Metetra
.42 .79 .994 r
.44104 .32598 .4449 .32846 .45142 .32754 .44758 .32505 Metetra
.413 .787 .993 r
.44758 .32505 .45142 .32754 .45797 .32667 .45414 .32417 Metetra
.408 .784 .993 r
.45414 .32417 .45797 .32667 .46454 .32583 .46073 .32333 Metetra
.403 .782 .992 r
.46073 .32333 .46454 .32583 .47114 .32503 .46733 .32252 Metetra
.399 .78 .991 r
.46733 .32252 .47114 .32503 .47775 .32426 .47396 .32174 Metetra
.396 .778 .991 r
.47396 .32174 .47775 .32426 .4844 .32351 .48062 .32099 Metetra
.394 .777 .991 r
.48062 .32099 .4844 .32351 .49106 .32277 .4873 .32024 Metetra
.393 .777 .991 r
.4873 .32024 .49106 .32277 .49775 .32204 .494 .3195 Metetra
.393 .777 .99 r
.494 .3195 .49775 .32204 .50446 .3213 .50072 .31876 Metetra
.394 .777 .991 r
.50072 .31876 .50446 .3213 .5112 .32056 .50747 .31801 Metetra
.395 .778 .991 r
.50747 .31801 .5112 .32056 .51796 .3198 .51425 .31725 Metetra
.398 .779 .991 r
.51425 .31725 .51796 .3198 .52475 .31902 .52105 .31646 Metetra
.401 .781 .992 r
.52105 .31646 .52475 .31902 .53156 .31821 .52788 .31564 Metetra
.405 .783 .992 r
.52788 .31564 .53156 .31821 .53839 .31736 .53473 .31478 Metetra
.411 .786 .993 r
.53473 .31478 .53839 .31736 .54525 .31647 .5416 .31388 Metetra
.416 .789 .994 r
.5416 .31388 .54525 .31647 .55214 .31552 .5485 .31293 Metetra
.423 .792 .994 r
.5485 .31293 .55214 .31552 .55904 .31451 .55542 .31191 Metetra
.43 .796 .995 r
.55542 .31191 .55904 .31451 .56598 .31344 .56237 .31083 Metetra
.439 .8 .996 r
.56237 .31083 .56598 .31344 .57293 .31229 .56934 .30967 Metetra
.447 .805 .997 r
.56934 .30967 .57293 .31229 .57991 .31105 .57634 .30843 Metetra
.457 .81 .997 r
.57634 .30843 .57991 .31105 .58691 .30973 .58335 .3071 Metetra
.467 .815 .998 r
.58335 .3071 .58691 .30973 .59394 .30831 .59039 .30567 Metetra
.478 .82 .998 r
.59039 .30567 .59394 .30831 .60098 .30679 .59746 .30413 Metetra
.489 .825 .999 r
.59746 .30413 .60098 .30679 .60805 .30515 .60454 .30249 Metetra
.5 .831 .999 r
.60454 .30249 .60805 .30515 .61514 .30339 .61164 .30072 Metetra
.512 .836 .999 r
.61164 .30072 .61514 .30339 .62225 .30151 .61877 .29883 Metetra
.525 .842 .999 r
.61877 .29883 .62225 .30151 .62937 .2995 .62591 .2968 Metetra
.537 .848 .998 r
.62591 .2968 .62937 .2995 .63652 .29734 .63307 .29464 Metetra
.55 .853 .998 r
.63307 .29464 .63652 .29734 .64368 .29504 .64025 .29232 Metetra
.563 .859 .997 r
.64025 .29232 .64368 .29504 .65086 .29258 .64745 .28985 Metetra
.577 .864 .995 r
.64745 .28985 .65086 .29258 .65805 .28996 .65466 .28722 Metetra
.59 .87 .994 r
.65466 .28722 .65805 .28996 .66526 .28717 .66189 .28442 Metetra
.604 .875 .992 r
.66189 .28442 .66526 .28717 .67248 .2842 .66913 .28144 Metetra
.617 .88 .99 r
.66913 .28144 .67248 .2842 .67971 .28106 .67638 .27828 Metetra
.631 .885 .987 r
.67638 .27828 .67971 .28106 .68696 .27773 .68364 .27494 Metetra
.644 .89 .984 r
.68364 .27494 .68696 .27773 .69421 .27421 .69091 .2714 Metetra
.658 .895 .981 r
.69091 .2714 .69421 .27421 .70147 .27048 .69819 .26766 Metetra
.671 .899 .978 r
.69819 .26766 .70147 .27048 .70874 .26655 .70548 .26372 Metetra
.684 .903 .974 r
.70548 .26372 .70874 .26655 .71602 .26241 .71278 .25956 Metetra
.697 .907 .97 r
.71278 .25956 .71602 .26241 .72329 .25806 .72008 .25519 Metetra
.71 .911 .965 r
.72008 .25519 .72329 .25806 .73057 .25348 .72738 .2506 Metetra
.722 .914 .96 r
.72738 .2506 .73057 .25348 .73786 .24868 .73468 .24578 Metetra
.734 .917 .955 r
.73468 .24578 .73786 .24868 .74514 .24365 .74198 .24072 Metetra
.746 .92 .95 r
.74198 .24072 .74514 .24365 .75241 .23838 .74928 .23544 Metetra
.757 .922 .944 r
.74928 .23544 .75241 .23838 .75969 .23287 .75658 .22991 Metetra
.902 .845 .779 r
.08895 .6074 .09374 .60889 .10068 .59716 .09591 .59563 Metetra
.9 .847 .783 r
.09591 .59563 .10068 .59716 .10757 .58574 .10283 .58418 Metetra
.897 .85 .788 r
.10283 .58418 .10757 .58574 .11442 .57464 .1097 .57305 Metetra
.895 .852 .793 r
.1097 .57305 .11442 .57464 .12122 .56385 .11653 .56222 Metetra
.893 .855 .798 r
.11653 .56222 .12122 .56385 .12799 .55336 .12332 .55171 Metetra
.89 .858 .803 r
.12332 .55171 .12799 .55336 .13472 .54318 .13007 .5415 Metetra
.887 .86 .809 r
.13007 .5415 .13472 .54318 .14141 .5333 .13679 .53159 Metetra
.884 .863 .814 r
.13679 .53159 .14141 .5333 .14806 .52372 .14346 .52198 Metetra
.881 .866 .82 r
.14346 .52198 .14806 .52372 .15469 .51442 .15011 .51266 Metetra
.877 .868 .826 r
.15011 .51266 .15469 .51442 .16128 .50541 .15672 .50362 Metetra
.873 .871 .832 r
.15672 .50362 .16128 .50541 .16784 .49669 .1633 .49488 Metetra
.869 .874 .838 r
.1633 .49488 .16784 .49669 .17437 .48825 .16985 .48641 Metetra
.865 .876 .844 r
.16985 .48641 .17437 .48825 .18087 .48008 .17637 .47822 Metetra
.86 .879 .851 r
.17637 .47822 .18087 .48008 .18735 .47218 .18287 .4703 Metetra
.855 .881 .857 r
.18287 .4703 .18735 .47218 .1938 .46455 .18934 .46265 Metetra
.849 .884 .864 r
.18934 .46265 .1938 .46455 .20023 .45719 .19579 .45526 Metetra
.844 .886 .87 r
.19579 .45526 .20023 .45719 .20664 .45008 .20222 .44813 Metetra
.837 .888 .877 r
.20222 .44813 .20664 .45008 .21303 .44323 .20863 .44126 Metetra
.831 .89 .884 r
.20863 .44126 .21303 .44323 .2194 .43663 .21502 .43464 Metetra
.824 .892 .891 r
.21502 .43464 .2194 .43663 .22575 .43027 .22139 .42826 Metetra
.816 .893 .898 r
.22139 .42826 .22575 .43027 .23209 .42416 .22774 .42213 Metetra
.809 .895 .904 r
.22774 .42213 .23209 .42416 .23842 .41828 .23409 .41624 Metetra
.8 .896 .911 r
.23409 .41624 .23842 .41828 .24473 .41264 .24041 .41058 Metetra
.791 .897 .918 r
.24041 .41058 .24473 .41264 .25103 .40722 .24673 .40514 Metetra
.782 .898 .925 r
.24673 .40514 .25103 .40722 .25732 .40203 .25304 .39994 Metetra
.772 .898 .931 r
.25304 .39994 .25732 .40203 .2636 .39706 .25934 .39495 Metetra
.762 .898 .937 r
.25934 .39495 .2636 .39706 .26988 .3923 .26563 .39018 Metetra
.751 .898 .944 r
.26563 .39018 .26988 .3923 .27615 .38775 .27191 .38561 Metetra
.74 .898 .95 r
.27191 .38561 .27615 .38775 .28241 .38341 .27819 .38126 Metetra
.728 .897 .955 r
.27819 .38126 .28241 .38341 .28868 .37927 .28447 .3771 Metetra
.716 .895 .961 r
.28447 .3771 .28868 .37927 .29494 .37532 .29075 .37314 Metetra
.704 .894 .966 r
.29075 .37314 .29494 .37532 .3012 .37156 .29702 .36937 Metetra
.691 .892 .971 r
.29702 .36937 .3012 .37156 .30746 .36799 .3033 .36578 Metetra
.677 .889 .975 r
.3033 .36578 .30746 .36799 .31372 .3646 .30957 .36238 Metetra
.664 .886 .979 r
.30957 .36238 .31372 .3646 .31999 .36138 .31585 .35915 Metetra
.65 .883 .983 r
.31585 .35915 .31999 .36138 .32626 .35833 .32214 .35609 Metetra
.635 .88 .986 r
.32214 .35609 .32626 .35833 .33253 .35545 .32843 .35319 Metetra
.621 .876 .989 r
.32843 .35319 .33253 .35545 .33881 .35272 .33472 .35046 Metetra
.606 .871 .992 r
.33472 .35046 .33881 .35272 .3451 .35015 .34103 .34787 Metetra
.592 .867 .994 r
.34103 .34787 .3451 .35015 .3514 .34772 .34734 .34544 Metetra
.577 .862 .996 r
.34734 .34544 .3514 .34772 .35771 .34544 .35366 .34314 Metetra
.563 .857 .997 r
.35366 .34314 .35771 .34544 .36403 .34329 .35999 .34099 Metetra
.548 .852 .998 r
.35999 .34099 .36403 .34329 .37036 .34128 .36634 .33896 Metetra
.534 .846 .999 r
.36634 .33896 .37036 .34128 .3767 .33939 .37269 .33706 Metetra
.521 .841 .999 r
.37269 .33706 .3767 .33939 .38306 .33761 .37906 .33528 Metetra
.507 .835 .999 r
.37906 .33528 .38306 .33761 .38944 .33595 .38545 .33361 Metetra
.494 .83 .999 r
.38545 .33361 .38944 .33595 .39582 .3344 .39185 .33205 Metetra
.482 .824 .998 r
.39185 .33205 .39582 .3344 .40223 .33295 .39827 .33059 Metetra
.47 .819 .998 r
.39827 .33059 .40223 .33295 .40865 .33159 .4047 .32922 Metetra
.458 .814 .997 r
.4047 .32922 .40865 .33159 .41509 .33032 .41116 .32794 Metetra
.448 .809 .996 r
.41116 .32794 .41509 .33032 .42155 .32913 .41763 .32675 Metetra
.438 .804 .995 r
.41763 .32675 .42155 .32913 .42803 .32801 .42412 .32562 Metetra
.429 .799 .994 r
.42412 .32562 .42803 .32801 .43452 .32697 .43063 .32457 Metetra
.42 .795 .993 r
.43063 .32457 .43452 .32697 .44104 .32598 .43716 .32358 Metetra
.413 .791 .992 r
.43716 .32358 .44104 .32598 .44758 .32505 .44371 .32264 Metetra
.406 .788 .991 r
.44371 .32264 .44758 .32505 .45414 .32417 .45029 .32175 Metetra
.401 .785 .99 r
.45029 .32175 .45414 .32417 .46073 .32333 .45689 .32091 Metetra
.396 .782 .99 r
.45689 .32091 .46073 .32333 .46733 .32252 .46351 .32009 Metetra
.392 .78 .989 r
.46351 .32009 .46733 .32252 .47396 .32174 .47015 .31931 Metetra
.389 .779 .989 r
.47015 .31931 .47396 .32174 .48062 .32099 .47682 .31854 Metetra
.387 .778 .988 r
.47682 .31854 .48062 .32099 .4873 .32024 .48351 .31779 Metetra
.386 .777 .988 r
.48351 .31779 .4873 .32024 .494 .3195 .49022 .31704 Metetra
.385 .777 .988 r
.49022 .31704 .494 .3195 .50072 .31876 .49696 .3163 Metetra
.386 .777 .988 r
.49696 .3163 .50072 .31876 .50747 .31801 .50373 .31554 Metetra
.388 .778 .989 r
.50373 .31554 .50747 .31801 .51425 .31725 .51052 .31477 Metetra
.39 .78 .989 r
.51052 .31477 .51425 .31725 .52105 .31646 .51733 .31397 Metetra
.394 .782 .989 r
.51733 .31397 .52105 .31646 .52788 .31564 .52417 .31315 Metetra
.398 .784 .99 r
.52417 .31315 .52788 .31564 .53473 .31478 .53104 .31228 Metetra
.403 .787 .991 r
.53104 .31228 .53473 .31478 .5416 .31388 .53793 .31137 Metetra
.409 .79 .992 r
.53793 .31137 .5416 .31388 .5485 .31293 .54484 .31041 Metetra
.416 .793 .993 r
.54484 .31041 .5485 .31293 .55542 .31191 .55178 .30939 Metetra
.424 .797 .993 r
.55178 .30939 .55542 .31191 .56237 .31083 .55874 .3083 Metetra
.432 .802 .994 r
.55874 .3083 .56237 .31083 .56934 .30967 .56573 .30713 Metetra
.441 .806 .995 r
.56573 .30713 .56934 .30967 .57634 .30843 .57274 .30588 Metetra
.45 .811 .996 r
.57274 .30588 .57634 .30843 .58335 .3071 .57977 .30454 Metetra
.461 .816 .997 r
.57977 .30454 .58335 .3071 .59039 .30567 .58683 .3031 Metetra
.471 .821 .997 r
.58683 .3031 .59039 .30567 .59746 .30413 .59391 .30156 Metetra
.483 .827 .998 r
.59391 .30156 .59746 .30413 .60454 .30249 .60101 .29991 Metetra
.494 .833 .998 r
.60101 .29991 .60454 .30249 .61164 .30072 .60813 .29813 Metetra
.507 .838 .998 r
.60813 .29813 .61164 .30072 .61877 .29883 .61527 .29623 Metetra
.519 .844 .998 r
.61527 .29623 .61877 .29883 .62591 .2968 .62243 .29419 Metetra
.532 .85 .998 r
.62243 .29419 .62591 .2968 .63307 .29464 .62961 .29201 Metetra
.545 .856 .997 r
.62961 .29201 .63307 .29464 .64025 .29232 .63681 .28968 Metetra
.559 .862 .997 r
.63681 .28968 .64025 .29232 .64745 .28985 .64402 .2872 Metetra
.572 .867 .995 r
.64402 .2872 .64745 .28985 .65466 .28722 .65125 .28456 Metetra
.586 .873 .994 r
.65125 .28456 .65466 .28722 .66189 .28442 .6585 .28174 Metetra
.6 .878 .992 r
.6585 .28174 .66189 .28442 .66913 .28144 .66575 .27875 Metetra
.614 .884 .99 r
.66575 .27875 .66913 .28144 .67638 .27828 .67303 .27558 Metetra
.627 .889 .988 r
.67303 .27558 .67638 .27828 .68364 .27494 .68031 .27222 Metetra
.641 .894 .985 r
.68031 .27222 .68364 .27494 .69091 .2714 .6876 .26867 Metetra
.655 .898 .982 r
.6876 .26867 .69091 .2714 .69819 .26766 .6949 .26492 Metetra
.668 .903 .978 r
.6949 .26492 .69819 .26766 .70548 .26372 .70221 .26096 Metetra
.682 .907 .974 r
.70221 .26096 .70548 .26372 .71278 .25956 .70952 .25679 Metetra
.695 .911 .97 r
.70952 .25679 .71278 .25956 .72008 .25519 .71684 .2524 Metetra
.708 .915 .966 r
.71684 .2524 .72008 .25519 .72738 .2506 .72416 .24779 Metetra
.72 .918 .961 r
.72416 .24779 .72738 .2506 .73468 .24578 .73149 .24295 Metetra
.732 .921 .956 r
.73149 .24295 .73468 .24578 .74198 .24072 .73881 .23788 Metetra
.744 .924 .95 r
.73881 .23788 .74198 .24072 .74928 .23544 .74613 .23257 Metetra
.756 .927 .945 r
.74613 .23257 .74928 .23544 .75658 .22991 .75345 .22703 Metetra
.903 .848 .779 r
.08412 .60599 .08895 .6074 .09591 .59563 .09111 .59419 Metetra
.901 .85 .784 r
.09111 .59419 .09591 .59563 .10283 .58418 .09805 .5827 Metetra
.899 .853 .789 r
.09805 .5827 .10283 .58418 .1097 .57305 .10495 .57154 Metetra
.896 .855 .794 r
.10495 .57154 .1097 .57305 .11653 .56222 .1118 .56069 Metetra
.894 .858 .799 r
.1118 .56069 .11653 .56222 .12332 .55171 .11862 .55014 Metetra
.891 .861 .804 r
.11862 .55014 .12332 .55171 .13007 .5415 .12539 .5399 Metetra
.888 .864 .81 r
.12539 .5399 .13007 .5415 .13679 .53159 .13213 .52997 Metetra
.885 .866 .815 r
.13213 .52997 .13679 .53159 .14346 .52198 .13883 .52033 Metetra
.882 .869 .821 r
.13883 .52033 .14346 .52198 .15011 .51266 .1455 .51098 Metetra
.878 .872 .827 r
.1455 .51098 .15011 .51266 .15672 .50362 .15213 .50192 Metetra
.874 .874 .833 r
.15213 .50192 .15672 .50362 .1633 .49488 .15873 .49315 Metetra
.87 .877 .839 r
.15873 .49315 .1633 .49488 .16985 .48641 .1653 .48465 Metetra
.866 .88 .845 r
.1653 .48465 .16985 .48641 .17637 .47822 .17185 .47644 Metetra
.861 .882 .852 r
.17185 .47644 .17637 .47822 .18287 .4703 .17836 .46849 Metetra
.856 .885 .858 r
.17836 .46849 .18287 .4703 .18934 .46265 .18485 .46082 Metetra
.85 .887 .865 r
.18485 .46082 .18934 .46265 .19579 .45526 .19132 .45341 Metetra
.844 .89 .872 r
.19132 .45341 .19579 .45526 .20222 .44813 .19777 .44626 Metetra
.838 .892 .878 r
.19777 .44626 .20222 .44813 .20863 .44126 .20419 .43937 Metetra
.831 .894 .885 r
.20419 .43937 .20863 .44126 .21502 .43464 .2106 .43273 Metetra
.824 .896 .892 r
.2106 .43273 .21502 .43464 .22139 .42826 .21699 .42634 Metetra
.817 .898 .899 r
.21699 .42634 .22139 .42826 .22774 .42213 .22336 .42018 Metetra
.809 .899 .906 r
.22336 .42018 .22774 .42213 .23409 .41624 .22972 .41427 Metetra
.8 .9 .913 r
.22972 .41427 .23409 .41624 .24041 .41058 .23607 .40859 Metetra
.791 .901 .919 r
.23607 .40859 .24041 .41058 .24673 .40514 .2424 .40315 Metetra
.782 .902 .926 r
.2424 .40315 .24673 .40514 .25304 .39994 .24873 .39792 Metetra
.772 .903 .932 r
.24873 .39792 .25304 .39994 .25934 .39495 .25504 .39292 Metetra
.762 .903 .939 r
.25504 .39292 .25934 .39495 .26563 .39018 .26135 .38813 Metetra
.751 .902 .945 r
.26135 .38813 .26563 .39018 .27191 .38561 .26765 .38355 Metetra
.739 .902 .951 r
.26765 .38355 .27191 .38561 .27819 .38126 .27394 .37918 Metetra
.727 .901 .957 r
.27394 .37918 .27819 .38126 .28447 .3771 .28024 .37501 Metetra
.715 .9 .962 r
.28024 .37501 .28447 .3771 .29075 .37314 .28653 .37103 Metetra
.702 .898 .967 r
.28653 .37103 .29075 .37314 .29702 .36937 .29282 .36725 Metetra
.689 .896 .972 r
.29282 .36725 .29702 .36937 .3033 .36578 .29911 .36365 Metetra
.675 .893 .976 r
.29911 .36365 .3033 .36578 .30957 .36238 .3054 .36024 Metetra
.661 .89 .98 r
.3054 .36024 .30957 .36238 .31585 .35915 .31169 .35699 Metetra
.647 .887 .984 r
.31169 .35699 .31585 .35915 .32214 .35609 .31799 .35392 Metetra
.632 .883 .987 r
.31799 .35392 .32214 .35609 .32843 .35319 .32429 .35102 Metetra
.618 .879 .99 r
.32429 .35102 .32843 .35319 .33472 .35046 .3306 .34827 Metetra
.603 .875 .992 r
.3306 .34827 .33472 .35046 .34103 .34787 .33692 .34567 Metetra
.588 .87 .994 r
.33692 .34567 .34103 .34787 .34734 .34544 .34325 .34323 Metetra
.573 .865 .996 r
.34325 .34323 .34734 .34544 .35366 .34314 .34958 .34093 Metetra
.558 .859 .997 r
.34958 .34093 .35366 .34314 .35999 .34099 .35593 .33876 Metetra
.544 .854 .998 r
.35593 .33876 .35999 .34099 .36634 .33896 .36228 .33673 Metetra
.529 .848 .998 r
.36228 .33673 .36634 .33896 .37269 .33706 .36865 .33482 Metetra
.515 .843 .998 r
.36865 .33482 .37269 .33706 .37906 .33528 .37504 .33303 Metetra
.502 .837 .998 r
.37504 .33303 .37906 .33528 .38545 .33361 .38144 .33135 Metetra
.488 .831 .998 r
.38144 .33135 .38545 .33361 .39185 .33205 .38785 .32978 Metetra
.476 .826 .997 r
.38785 .32978 .39185 .33205 .39827 .33059 .39428 .32831 Metetra
.463 .82 .996 r
.39428 .32831 .39827 .33059 .4047 .32922 .40073 .32694 Metetra
.452 .815 .995 r
.40073 .32694 .4047 .32922 .41116 .32794 .4072 .32565 Metetra
.441 .81 .994 r
.4072 .32565 .41116 .32794 .41763 .32675 .41368 .32444 Metetra
.431 .805 .993 r
.41368 .32444 .41763 .32675 .42412 .32562 .42018 .32331 Metetra
.422 .8 .992 r
.42018 .32331 .42412 .32562 .43063 .32457 .42671 .32225 Metetra
.413 .796 .991 r
.42671 .32225 .43063 .32457 .43716 .32358 .43325 .32125 Metetra
.406 .792 .99 r
.43325 .32125 .43716 .32358 .44371 .32264 .43982 .32031 Metetra
.399 .788 .989 r
.43982 .32031 .44371 .32264 .45029 .32175 .44641 .31941 Metetra
.393 .785 .988 r
.44641 .31941 .45029 .32175 .45689 .32091 .45302 .31856 Metetra
.388 .783 .987 r
.45302 .31856 .45689 .32091 .46351 .32009 .45965 .31774 Metetra
.384 .781 .987 r
.45965 .31774 .46351 .32009 .47015 .31931 .46631 .31695 Metetra
.381 .779 .986 r
.46631 .31695 .47015 .31931 .47682 .31854 .47299 .31618 Metetra
.379 .778 .986 r
.47299 .31618 .47682 .31854 .48351 .31779 .4797 .31542 Metetra
.378 .777 .986 r
.4797 .31542 .48351 .31779 .49022 .31704 .48643 .31466 Metetra
.378 .777 .985 r
.48643 .31466 .49022 .31704 .49696 .3163 .49318 .31391 Metetra
.378 .778 .986 r
.49318 .31391 .49696 .3163 .50373 .31554 .49996 .31315 Metetra
.38 .779 .986 r
.49996 .31315 .50373 .31554 .51052 .31477 .50676 .31237 Metetra
.383 .78 .986 r
.50676 .31237 .51052 .31477 .51733 .31397 .51359 .31157 Metetra
.386 .782 .987 r
.51359 .31157 .51733 .31397 .52417 .31315 .52045 .31073 Metetra
.391 .784 .988 r
.52045 .31073 .52417 .31315 .53104 .31228 .52733 .30986 Metetra
.396 .787 .988 r
.52733 .30986 .53104 .31228 .53793 .31137 .53423 .30895 Metetra
.402 .79 .989 r
.53423 .30895 .53793 .31137 .54484 .31041 .54116 .30798 Metetra
.409 .794 .99 r
.54116 .30798 .54484 .31041 .55178 .30939 .54811 .30695 Metetra
.416 .798 .991 r
.54811 .30695 .55178 .30939 .55874 .3083 .55509 .30585 Metetra
.425 .802 .992 r
.55509 .30585 .55874 .3083 .56573 .30713 .56209 .30467 Metetra
.434 .807 .993 r
.56209 .30467 .56573 .30713 .57274 .30588 .56912 .30342 Metetra
.444 .812 .994 r
.56912 .30342 .57274 .30588 .57977 .30454 .57617 .30207 Metetra
.454 .817 .995 r
.57617 .30207 .57977 .30454 .58683 .3031 .58324 .30062 Metetra
.465 .823 .996 r
.58324 .30062 .58683 .3031 .59391 .30156 .59034 .29907 Metetra
.477 .828 .996 r
.59034 .29907 .59391 .30156 .60101 .29991 .59746 .2974 Metetra
.489 .834 .997 r
.59746 .2974 .60101 .29991 .60813 .29813 .60459 .29562 Metetra
.501 .84 .997 r
.60459 .29562 .60813 .29813 .61527 .29623 .61175 .29371 Metetra
.514 .846 .997 r
.61175 .29371 .61527 .29623 .62243 .29419 .61893 .29166 Metetra
.527 .852 .997 r
.61893 .29166 .62243 .29419 .62961 .29201 .62613 .28947 Metetra
.54 .858 .997 r
.62613 .28947 .62961 .29201 .63681 .28968 .63334 .28713 Metetra
.554 .864 .996 r
.63334 .28713 .63681 .28968 .64402 .2872 .64058 .28464 Metetra
.568 .87 .995 r
.64058 .28464 .64402 .2872 .65125 .28456 .64782 .28198 Metetra
.582 .876 .994 r
.64782 .28198 .65125 .28456 .6585 .28174 .65509 .27915 Metetra
.596 .881 .992 r
.65509 .27915 .6585 .28174 .66575 .27875 .66237 .27615 Metetra
.61 .887 .99 r
.66237 .27615 .66575 .27875 .67303 .27558 .66966 .27297 Metetra
.624 .892 .988 r
.66966 .27297 .67303 .27558 .68031 .27222 .67696 .26959 Metetra
.638 .897 .985 r
.67696 .26959 .68031 .27222 .6876 .26867 .68427 .26602 Metetra
.652 .902 .982 r
.68427 .26602 .6876 .26867 .6949 .26492 .69159 .26226 Metetra
.665 .906 .978 r
.69159 .26226 .6949 .26492 .70221 .26096 .69892 .25828 Metetra
.679 .911 .975 r
.69892 .25828 .70221 .26096 .70952 .25679 .70625 .25409 Metetra
.692 .915 .971 r
.70625 .25409 .70952 .25679 .71684 .2524 .71359 .24969 Metetra
.705 .918 .966 r
.71359 .24969 .71684 .2524 .72416 .24779 .72093 .24506 Metetra
.718 .922 .961 r
.72093 .24506 .72416 .24779 .73149 .24295 .72828 .2402 Metetra
.731 .925 .956 r
.72828 .2402 .73149 .24295 .73881 .23788 .73562 .23511 Metetra
.743 .928 .951 r
.73562 .23511 .73881 .23788 .74613 .23257 .74297 .22979 Metetra
.755 .931 .945 r
.74297 .22979 .74613 .23257 .75345 .22703 .75031 .22422 Metetra
.904 .85 .78 r
.07925 .60467 .08412 .60599 .09111 .59419 .08627 .59283 Metetra
.902 .853 .785 r
.08627 .59283 .09111 .59419 .09805 .5827 .09323 .58132 Metetra
.9 .856 .789 r
.09323 .58132 .09805 .5827 .10495 .57154 .10016 .57012 Metetra
.897 .858 .794 r
.10016 .57012 .10495 .57154 .1118 .56069 .10704 .55924 Metetra
.895 .861 .8 r
.10704 .55924 .1118 .56069 .11862 .55014 .11388 .54866 Metetra
.892 .864 .805 r
.11388 .54866 .11862 .55014 .12539 .5399 .12067 .53839 Metetra
.889 .867 .81 r
.12067 .53839 .12539 .5399 .13213 .52997 .12743 .52843 Metetra
.886 .87 .816 r
.12743 .52843 .13213 .52997 .13883 .52033 .13416 .51876 Metetra
.883 .872 .822 r
.13416 .51876 .13883 .52033 .1455 .51098 .14085 .50938 Metetra
.879 .875 .828 r
.14085 .50938 .1455 .51098 .15213 .50192 .1475 .5003 Metetra
.875 .878 .834 r
.1475 .5003 .15213 .50192 .15873 .49315 .15412 .4915 Metetra
.871 .881 .84 r
.15412 .4915 .15873 .49315 .1653 .48465 .16072 .48298 Metetra
.867 .883 .846 r
.16072 .48298 .1653 .48465 .17185 .47644 .16728 .47474 Metetra
.862 .886 .853 r
.16728 .47474 .17185 .47644 .17836 .46849 .17382 .46678 Metetra
.857 .889 .859 r
.17382 .46678 .17836 .46849 .18485 .46082 .18033 .45908 Metetra
.851 .891 .866 r
.18033 .45908 .18485 .46082 .19132 .45341 .18682 .45165 Metetra
.845 .893 .873 r
.18682 .45165 .19132 .45341 .19777 .44626 .19328 .44448 Metetra
.839 .896 .88 r
.19328 .44448 .19777 .44626 .20419 .43937 .19973 .43757 Metetra
.832 .898 .886 r
.19973 .43757 .20419 .43937 .2106 .43273 .20615 .4309 Metetra
.825 .9 .893 r
.20615 .4309 .2106 .43273 .21699 .42634 .21256 .42449 Metetra
.817 .902 .9 r
.21256 .42449 .21699 .42634 .22336 .42018 .21895 .41832 Metetra
.809 .903 .907 r
.21895 .41832 .22336 .42018 .22972 .41427 .22533 .41239 Metetra
.801 .904 .914 r
.22533 .41239 .22972 .41427 .23607 .40859 .23169 .40669 Metetra
.791 .905 .921 r
.23169 .40669 .23607 .40859 .2424 .40315 .23804 .40123 Metetra
.782 .906 .927 r
.23804 .40123 .2424 .40315 .24873 .39792 .24438 .39599 Metetra
.772 .907 .934 r
.24438 .39599 .24873 .39792 .25504 .39292 .25071 .39097 Metetra
.761 .907 .94 r
.25071 .39097 .25504 .39292 .26135 .38813 .25703 .38616 Metetra
.75 .907 .946 r
.25703 .38616 .26135 .38813 .26765 .38355 .26335 .38157 Metetra
.738 .906 .952 r
.26335 .38157 .26765 .38355 .27394 .37918 .26966 .37718 Metetra
.726 .905 .958 r
.26966 .37718 .27394 .37918 .28024 .37501 .27597 .373 Metetra
.713 .904 .963 r
.27597 .373 .28024 .37501 .28653 .37103 .28228 .36901 Metetra
.7 .902 .968 r
.28228 .36901 .28653 .37103 .29282 .36725 .28858 .36521 Metetra
.687 .9 .973 r
.28858 .36521 .29282 .36725 .29911 .36365 .29488 .3616 Metetra
.673 .897 .977 r
.29488 .3616 .29911 .36365 .3054 .36024 .30119 .35817 Metetra
.659 .894 .981 r
.30119 .35817 .3054 .36024 .31169 .35699 .3075 .35492 Metetra
.644 .89 .984 r
.3075 .35492 .31169 .35699 .31799 .35392 .31381 .35184 Metetra
.629 .886 .988 r
.31381 .35184 .31799 .35392 .32429 .35102 .32013 .34892 Metetra
.614 .882 .99 r
.32013 .34892 .32429 .35102 .3306 .34827 .32645 .34616 Metetra
.599 .878 .992 r
.32645 .34616 .3306 .34827 .33692 .34567 .33278 .34356 Metetra
.584 .873 .994 r
.33278 .34356 .33692 .34567 .34325 .34323 .33912 .3411 Metetra
.569 .867 .995 r
.33912 .3411 .34325 .34323 .34958 .34093 .34547 .33879 Metetra
.554 .862 .996 r
.34547 .33879 .34958 .34093 .35593 .33876 .35183 .33661 Metetra
.539 .856 .997 r
.35183 .33661 .35593 .33876 .36228 .33673 .3582 .33457 Metetra
.524 .851 .997 r
.3582 .33457 .36228 .33673 .36865 .33482 .36459 .33265 Metetra
.51 .845 .997 r
.36459 .33265 .36865 .33482 .37504 .33303 .37099 .33085 Metetra
.496 .839 .997 r
.37099 .33085 .37504 .33303 .38144 .33135 .3774 .32917 Metetra
.482 .833 .996 r
.3774 .32917 .38144 .33135 .38785 .32978 .38383 .32759 Metetra
.469 .827 .995 r
.38383 .32759 .38785 .32978 .39428 .32831 .39027 .32611 Metetra
.457 .821 .994 r
.39027 .32611 .39428 .32831 .40073 .32694 .39673 .32473 Metetra
.445 .816 .993 r
.39673 .32473 .40073 .32694 .4072 .32565 .40321 .32343 Metetra
.434 .81 .992 r
.40321 .32343 .4072 .32565 .41368 .32444 .40971 .32222 Metetra
.424 .805 .991 r
.40971 .32222 .41368 .32444 .42018 .32331 .41622 .32109 Metetra
.414 .801 .99 r
.41622 .32109 .42018 .32331 .42671 .32225 .42276 .32002 Metetra
.406 .796 .988 r
.42276 .32002 .42671 .32225 .43325 .32125 .42932 .31901 Metetra
.398 .792 .987 r
.42932 .31901 .43325 .32125 .43982 .32031 .4359 .31806 Metetra
.391 .789 .986 r
.4359 .31806 .43982 .32031 .44641 .31941 .4425 .31716 Metetra
.385 .786 .985 r
.4425 .31716 .44641 .31941 .45302 .31856 .44913 .3163 Metetra
.38 .783 .984 r
.44913 .3163 .45302 .31856 .45965 .31774 .45577 .31547 Metetra
.376 .781 .984 r
.45577 .31547 .45965 .31774 .46631 .31695 .46245 .31467 Metetra
.373 .779 .983 r
.46245 .31467 .46631 .31695 .47299 .31618 .46914 .31389 Metetra
.371 .778 .983 r
.46914 .31389 .47299 .31618 .4797 .31542 .47586 .31313 Metetra
.37 .777 .982 r
.47586 .31313 .4797 .31542 .48643 .31466 .4826 .31237 Metetra
.37 .777 .982 r
.4826 .31237 .48643 .31466 .49318 .31391 .48937 .31161 Metetra
.37 .778 .983 r
.48937 .31161 .49318 .31391 .49996 .31315 .49617 .31084 Metetra
.372 .778 .983 r
.49617 .31084 .49996 .31315 .50676 .31237 .50298 .31005 Metetra
.375 .78 .983 r
.50298 .31005 .50676 .31237 .51359 .31157 .50983 .30924 Metetra
.378 .782 .984 r
.50983 .30924 .51359 .31157 .52045 .31073 .5167 .3084 Metetra
.383 .784 .985 r
.5167 .3084 .52045 .31073 .52733 .30986 .52359 .30753 Metetra
.388 .787 .986 r
.52359 .30753 .52733 .30986 .53423 .30895 .53051 .3066 Metetra
.394 .791 .987 r
.53051 .3066 .53423 .30895 .54116 .30798 .53746 .30562 Metetra
.401 .794 .988 r
.53746 .30562 .54116 .30798 .54811 .30695 .54443 .30459 Metetra
.409 .798 .989 r
.54443 .30459 .54811 .30695 .55509 .30585 .55142 .30348 Metetra
.418 .803 .99 r
.55142 .30348 .55509 .30585 .56209 .30467 .55844 .3023 Metetra
.427 .808 .991 r
.55844 .3023 .56209 .30467 .56912 .30342 .56548 .30103 Metetra
.437 .813 .992 r
.56548 .30103 .56912 .30342 .57617 .30207 .57255 .29968 Metetra
.447 .818 .993 r
.57255 .29968 .57617 .30207 .58324 .30062 .57964 .29822 Metetra
.458 .824 .994 r
.57964 .29822 .58324 .30062 .59034 .29907 .58675 .29666 Metetra
.47 .83 .995 r
.58675 .29666 .59034 .29907 .59746 .2974 .59388 .29498 Metetra
.482 .836 .995 r
.59388 .29498 .59746 .2974 .60459 .29562 .60104 .29319 Metetra
.495 .842 .996 r
.60104 .29319 .60459 .29562 .61175 .29371 .60821 .29127 Metetra
.508 .848 .996 r
.60821 .29127 .61175 .29371 .61893 .29166 .61541 .28921 Metetra
.521 .854 .996 r
.61541 .28921 .61893 .29166 .62613 .28947 .62263 .28701 Metetra
.535 .86 .996 r
.62263 .28701 .62613 .28947 .63334 .28713 .62986 .28466 Metetra
.549 .866 .995 r
.62986 .28466 .63334 .28713 .64058 .28464 .63711 .28215 Metetra
.563 .872 .994 r
.63711 .28215 .64058 .28464 .64782 .28198 .64438 .27948 Metetra
.577 .878 .993 r
.64438 .27948 .64782 .28198 .65509 .27915 .65166 .27664 Metetra
.591 .884 .992 r
.65166 .27664 .65509 .27915 .66237 .27615 .65896 .27363 Metetra
.606 .89 .99 r
.65896 .27363 .66237 .27615 .66966 .27297 .66627 .27043 Metetra
.62 .895 .988 r
.66627 .27043 .66966 .27297 .67696 .26959 .67359 .26704 Metetra
.634 .9 .985 r
.67359 .26704 .67696 .26959 .68427 .26602 .68092 .26346 Metetra
.648 .905 .982 r
.68092 .26346 .68427 .26602 .69159 .26226 .68826 .25967 Metetra
.662 .91 .979 r
.68826 .25967 .69159 .26226 .69892 .25828 .69561 .25568 Metetra
.676 .914 .975 r
.69561 .25568 .69892 .25828 .70625 .25409 .70296 .25148 Metetra
.69 .918 .971 r
.70296 .25148 .70625 .25409 .71359 .24969 .71033 .24706 Metetra
.703 .922 .966 r
.71033 .24706 .71359 .24969 .72093 .24506 .71769 .24241 Metetra
.716 .926 .962 r
.71769 .24241 .72093 .24506 .72828 .2402 .72505 .23754 Metetra
.729 .929 .957 r
.72505 .23754 .72828 .2402 .73562 .23511 .73242 .23243 Metetra
.741 .932 .951 r
.73242 .23243 .73562 .23511 .74297 .22979 .73979 .22708 Metetra
.753 .934 .946 r
.73979 .22708 .74297 .22979 .75031 .22422 .74715 .22149 Metetra
.905 .853 .78 r
.07434 .60344 .07925 .60467 .08627 .59283 .08138 .59157 Metetra
.903 .856 .785 r
.08138 .59157 .08627 .59283 .09323 .58132 .08838 .58002 Metetra
.901 .859 .79 r
.08838 .58002 .09323 .58132 .10016 .57012 .09533 .56879 Metetra
.899 .861 .795 r
.09533 .56879 .10016 .57012 .10704 .55924 .10223 .55788 Metetra
.896 .864 .8 r
.10223 .55788 .10704 .55924 .11388 .54866 .1091 .54727 Metetra
.893 .867 .806 r
.1091 .54727 .11388 .54866 .12067 .53839 .11592 .53697 Metetra
.89 .87 .811 r
.11592 .53697 .12067 .53839 .12743 .52843 .1227 .52698 Metetra
.887 .873 .817 r
.1227 .52698 .12743 .52843 .13416 .51876 .12945 .51728 Metetra
.884 .876 .823 r
.12945 .51728 .13416 .51876 .14085 .50938 .13616 .50788 Metetra
.88 .878 .829 r
.13616 .50788 .14085 .50938 .1475 .5003 .14284 .49876 Metetra
.876 .881 .835 r
.14284 .49876 .1475 .5003 .15412 .4915 .14948 .48994 Metetra
.872 .884 .841 r
.14948 .48994 .15412 .4915 .16072 .48298 .15609 .4814 Metetra
.867 .887 .847 r
.15609 .4814 .16072 .48298 .16728 .47474 .16268 .47313 Metetra
.863 .89 .854 r
.16268 .47313 .16728 .47474 .17382 .46678 .16924 .46514 Metetra
.857 .892 .86 r
.16924 .46514 .17382 .46678 .18033 .45908 .17577 .45742 Metetra
.852 .895 .867 r
.17577 .45742 .18033 .45908 .18682 .45165 .18228 .44997 Metetra
.846 .897 .874 r
.18228 .44997 .18682 .45165 .19328 .44448 .18876 .44278 Metetra
.839 .9 .881 r
.18876 .44278 .19328 .44448 .19973 .43757 .19523 .43584 Metetra
.833 .902 .888 r
.19523 .43584 .19973 .43757 .20615 .4309 .20167 .42916 Metetra
.825 .904 .894 r
.20167 .42916 .20615 .4309 .21256 .42449 .20809 .42273 Metetra
.818 .906 .901 r
.20809 .42273 .21256 .42449 .21895 .41832 .2145 .41654 Metetra
.809 .907 .908 r
.2145 .41654 .21895 .41832 .22533 .41239 .2209 .41059 Metetra
.801 .909 .915 r
.2209 .41059 .22533 .41239 .23169 .40669 .22728 .40488 Metetra
.791 .91 .922 r
.22728 .40488 .23169 .40669 .23804 .40123 .23365 .39939 Metetra
.781 .91 .928 r
.23365 .39939 .23804 .40123 .24438 .39599 .24 .39414 Metetra
.771 .911 .935 r
.24 .39414 .24438 .39599 .25071 .39097 .24635 .3891 Metetra
.76 .911 .941 r
.24635 .3891 .25071 .39097 .25703 .38616 .25269 .38428 Metetra
.749 .911 .947 r
.25269 .38428 .25703 .38616 .26335 .38157 .25902 .37967 Metetra
.737 .91 .953 r
.25902 .37967 .26335 .38157 .26966 .37718 .26535 .37527 Metetra
.725 .909 .959 r
.26535 .37527 .26966 .37718 .27597 .373 .27167 .37107 Metetra
.712 .907 .964 r
.27167 .37107 .27597 .373 .28228 .36901 .27799 .36707 Metetra
.698 .906 .969 r
.27799 .36707 .28228 .36901 .28858 .36521 .28431 .36326 Metetra
.685 .903 .974 r
.28431 .36326 .28858 .36521 .29488 .3616 .29063 .35963 Metetra
.67 .9 .978 r
.29063 .35963 .29488 .3616 .30119 .35817 .29695 .35619 Metetra
.656 .897 .981 r
.29695 .35619 .30119 .35817 .3075 .35492 .30328 .35293 Metetra
.641 .894 .985 r
.30328 .35293 .3075 .35492 .31381 .35184 .3096 .34983 Metetra
.626 .89 .988 r
.3096 .34983 .31381 .35184 .32013 .34892 .31594 .3469 Metetra
.611 .885 .99 r
.31594 .3469 .32013 .34892 .32645 .34616 .32227 .34413 Metetra
.595 .88 .992 r
.32227 .34413 .32645 .34616 .33278 .34356 .32862 .34152 Metetra
.58 .875 .994 r
.32862 .34152 .33278 .34356 .33912 .3411 .33497 .33905 Metetra
.564 .87 .995 r
.33497 .33905 .33912 .3411 .34547 .33879 .34134 .33673 Metetra
.549 .864 .996 r
.34134 .33673 .34547 .33879 .35183 .33661 .34771 .33455 Metetra
.534 .858 .996 r
.34771 .33455 .35183 .33661 .3582 .33457 .35409 .33249 Metetra
.519 .852 .996 r
.35409 .33249 .3582 .33457 .36459 .33265 .36049 .33056 Metetra
.504 .846 .996 r
.36049 .33056 .36459 .33265 .37099 .33085 .3669 .32876 Metetra
.49 .84 .995 r
.3669 .32876 .37099 .33085 .3774 .32917 .37333 .32706 Metetra
.476 .834 .995 r
.37333 .32706 .3774 .32917 .38383 .32759 .37977 .32548 Metetra
.463 .828 .994 r
.37977 .32548 .38383 .32759 .39027 .32611 .38623 .32399 Metetra
.45 .822 .992 r
.38623 .32399 .39027 .32611 .39673 .32473 .3927 .3226 Metetra
.438 .817 .991 r
.3927 .3226 .39673 .32473 .40321 .32343 .39919 .3213 Metetra
.427 .811 .99 r
.39919 .3213 .40321 .32343 .40971 .32222 .40571 .32008 Metetra
.417 .806 .988 r
.40571 .32008 .40971 .32222 .41622 .32109 .41224 .31894 Metetra
.407 .801 .987 r
.41224 .31894 .41622 .32109 .42276 .32002 .41879 .31786 Metetra
.398 .796 .986 r
.41879 .31786 .42276 .32002 .42932 .31901 .42536 .31685 Metetra
.39 .792 .984 r
.42536 .31685 .42932 .31901 .4359 .31806 .43195 .31589 Metetra
.383 .789 .983 r
.43195 .31589 .4359 .31806 .4425 .31716 .43857 .31498 Metetra
.377 .785 .982 r
.43857 .31498 .4425 .31716 .44913 .3163 .44521 .31411 Metetra
.372 .783 .981 r
.44521 .31411 .44913 .3163 .45577 .31547 .45187 .31328 Metetra
.368 .78 .98 r
.45187 .31328 .45577 .31547 .46245 .31467 .45855 .31247 Metetra
.365 .779 .98 r
.45855 .31247 .46245 .31467 .46914 .31389 .46526 .31169 Metetra
.363 .777 .979 r
.46526 .31169 .46914 .31389 .47586 .31313 .472 .31092 Metetra
.362 .777 .979 r
.472 .31092 .47586 .31313 .4826 .31237 .47876 .31015 Metetra
.362 .777 .979 r
.47876 .31015 .4826 .31237 .48937 .31161 .48554 .30938 Metetra
.362 .777 .979 r
.48554 .30938 .48937 .31161 .49617 .31084 .49235 .30861 Metetra
.364 .778 .979 r
.49235 .30861 .49617 .31084 .50298 .31005 .49918 .30782 Metetra
.367 .78 .98 r
.49918 .30782 .50298 .31005 .50983 .30924 .50604 .307 Metetra
.37 .782 .981 r
.50604 .307 .50983 .30924 .5167 .3084 .51292 .30615 Metetra
.375 .784 .981 r
.51292 .30615 .5167 .3084 .52359 .30753 .51983 .30527 Metetra
.38 .787 .982 r
.51983 .30527 .52359 .30753 .53051 .3066 .52677 .30434 Metetra
.386 .791 .983 r
.52677 .30434 .53051 .3066 .53746 .30562 .53373 .30335 Metetra
.394 .794 .985 r
.53373 .30335 .53746 .30562 .54443 .30459 .54071 .30231 Metetra
.401 .799 .986 r
.54071 .30231 .54443 .30459 .55142 .30348 .54772 .30119 Metetra
.41 .803 .987 r
.54772 .30119 .55142 .30348 .55844 .3023 .55476 .3 Metetra
.42 .808 .988 r
.55476 .3 .55844 .3023 .56548 .30103 .56182 .29873 Metetra
.43 .814 .99 r
.56182 .29873 .56548 .30103 .57255 .29968 .5689 .29737 Metetra
.44 .819 .991 r
.5689 .29737 .57255 .29968 .57964 .29822 .57601 .2959 Metetra
.452 .825 .992 r
.57601 .2959 .57964 .29822 .58675 .29666 .58314 .29433 Metetra
.464 .831 .993 r
.58314 .29433 .58675 .29666 .59388 .29498 .59029 .29265 Metetra
.476 .837 .994 r
.59029 .29265 .59388 .29498 .60104 .29319 .59746 .29084 Metetra
.489 .843 .994 r
.59746 .29084 .60104 .29319 .60821 .29127 .60466 .28891 Metetra
.502 .849 .995 r
.60466 .28891 .60821 .29127 .61541 .28921 .61187 .28684 Metetra
.516 .856 .995 r
.61187 .28684 .61541 .28921 .62263 .28701 .6191 .28463 Metetra
.529 .862 .995 r
.6191 .28463 .62263 .28701 .62986 .28466 .62636 .28227 Metetra
.544 .868 .994 r
.62636 .28227 .62986 .28466 .63711 .28215 .63362 .27975 Metetra
.558 .875 .993 r
.63362 .27975 .63711 .28215 .64438 .27948 .64091 .27707 Metetra
.572 .881 .992 r
.64091 .27707 .64438 .27948 .65166 .27664 .64821 .27422 Metetra
.587 .887 .991 r
.64821 .27422 .65166 .27664 .65896 .27363 .65553 .27119 Metetra
.601 .892 .989 r
.65553 .27119 .65896 .27363 .66627 .27043 .66286 .26798 Metetra
.616 .898 .987 r
.66286 .26798 .66627 .27043 .67359 .26704 .6702 .26457 Metetra
.63 .903 .985 r
.6702 .26457 .67359 .26704 .68092 .26346 .67755 .26098 Metetra
.645 .908 .982 r
.67755 .26098 .68092 .26346 .68826 .25967 .68491 .25718 Metetra
.659 .913 .978 r
.68491 .25718 .68826 .25967 .69561 .25568 .69228 .25317 Metetra
.673 .918 .975 r
.69228 .25317 .69561 .25568 .70296 .25148 .69966 .24895 Metetra
.687 .922 .971 r
.69966 .24895 .70296 .25148 .71033 .24706 .70704 .24451 Metetra
.7 .926 .967 r
.70704 .24451 .71033 .24706 .71769 .24241 .71443 .23984 Metetra
.714 .929 .962 r
.71443 .23984 .71769 .24241 .72505 .23754 .72182 .23495 Metetra
.726 .933 .957 r
.72182 .23495 .72505 .23754 .73242 .23243 .7292 .22982 Metetra
.739 .936 .952 r
.7292 .22982 .73242 .23243 .73979 .22708 .73659 .22446 Metetra
.751 .938 .946 r
.73659 .22446 .73979 .22708 .74715 .22149 .74397 .21885 Metetra
.906 .856 .781 r
.06939 .6023 .07434 .60344 .08138 .59157 .07646 .5904 Metetra
.904 .859 .786 r
.07646 .5904 .08138 .59157 .08838 .58002 .08348 .57882 Metetra
.902 .861 .791 r
.08348 .57882 .08838 .58002 .09533 .56879 .09046 .56755 Metetra
.9 .864 .796 r
.09046 .56755 .09533 .56879 .10223 .55788 .09739 .5566 Metetra
.897 .867 .801 r
.09739 .5566 .10223 .55788 .1091 .54727 .10428 .54597 Metetra
.895 .87 .806 r
.10428 .54597 .1091 .54727 .11592 .53697 .11112 .53564 Metetra
.892 .873 .812 r
.11112 .53564 .11592 .53697 .1227 .52698 .11793 .52561 Metetra
.888 .876 .818 r
.11793 .52561 .1227 .52698 .12945 .51728 .1247 .51589 Metetra
.885 .879 .823 r
.1247 .51589 .12945 .51728 .13616 .50788 .13143 .50646 Metetra
.881 .882 .829 r
.13143 .50646 .13616 .50788 .14284 .49876 .13813 .49732 Metetra
.877 .885 .836 r
.13813 .49732 .14284 .49876 .14948 .48994 .1448 .48846 Metetra
.873 .888 .842 r
.1448 .48846 .14948 .48994 .15609 .4814 .15144 .4799 Metetra
.868 .89 .848 r
.15144 .4799 .15609 .4814 .16268 .47313 .15804 .47161 Metetra
.863 .893 .855 r
.15804 .47161 .16268 .47313 .16924 .46514 .16462 .46359 Metetra
.858 .896 .861 r
.16462 .46359 .16924 .46514 .17577 .45742 .17117 .45585 Metetra
.852 .899 .868 r
.17117 .45585 .17577 .45742 .18228 .44997 .1777 .44837 Metetra
.846 .901 .875 r
.1777 .44837 .18228 .44997 .18876 .44278 .18421 .44116 Metetra
.84 .904 .882 r
.18421 .44116 .18876 .44278 .19523 .43584 .19069 .4342 Metetra
.833 .906 .889 r
.19069 .4342 .19523 .43584 .20167 .42916 .19715 .4275 Metetra
.826 .908 .896 r
.19715 .4275 .20167 .42916 .20809 .42273 .20359 .42105 Metetra
.818 .91 .902 r
.20359 .42105 .20809 .42273 .2145 .41654 .21002 .41484 Metetra
.809 .911 .909 r
.21002 .41484 .2145 .41654 .2209 .41059 .21643 .40887 Metetra
.8 .913 .916 r
.21643 .40887 .2209 .41059 .22728 .40488 .22283 .40314 Metetra
.791 .914 .923 r
.22283 .40314 .22728 .40488 .23365 .39939 .22922 .39764 Metetra
.781 .914 .93 r
.22922 .39764 .23365 .39939 .24 .39414 .23559 .39237 Metetra
.771 .915 .936 r
.23559 .39237 .24 .39414 .24635 .3891 .24195 .38731 Metetra
.76 .915 .942 r
.24195 .38731 .24635 .3891 .25269 .38428 .24831 .38248 Metetra
.748 .915 .948 r
.24831 .38248 .25269 .38428 .25902 .37967 .25466 .37785 Metetra
.736 .914 .954 r
.25466 .37785 .25902 .37967 .26535 .37527 .261 .37344 Metetra
.723 .913 .96 r
.261 .37344 .26535 .37527 .27167 .37107 .26734 .36922 Metetra
.71 .911 .965 r
.26734 .36922 .27167 .37107 .27799 .36707 .27368 .36521 Metetra
.696 .909 .97 r
.27368 .36521 .27799 .36707 .28431 .36326 .28001 .36138 Metetra
.682 .907 .974 r
.28001 .36138 .28431 .36326 .29063 .35963 .28635 .35775 Metetra
.668 .904 .978 r
.28635 .35775 .29063 .35963 .29695 .35619 .29268 .35429 Metetra
.653 .901 .982 r
.29268 .35429 .29695 .35619 .30328 .35293 .29902 .35101 Metetra
.638 .897 .985 r
.29902 .35101 .30328 .35293 .3096 .34983 .30536 .34791 Metetra
.622 .893 .988 r
.30536 .34791 .3096 .34983 .31594 .3469 .31171 .34497 Metetra
.607 .888 .99 r
.31171 .34497 .31594 .3469 .32227 .34413 .31806 .34219 Metetra
.591 .883 .992 r
.31806 .34219 .32227 .34413 .32862 .34152 .32442 .33956 Metetra
.575 .878 .993 r
.32442 .33956 .32862 .34152 .33497 .33905 .33079 .33709 Metetra
.559 .872 .994 r
.33079 .33709 .33497 .33905 .34134 .33673 .33717 .33475 Metetra
.544 .866 .995 r
.33717 .33475 .34134 .33673 .34771 .33455 .34355 .33256 Metetra
.528 .86 .995 r
.34355 .33256 .34771 .33455 .35409 .33249 .34995 .3305 Metetra
.513 .854 .995 r
.34995 .3305 .35409 .33249 .36049 .33056 .35637 .32856 Metetra
.498 .848 .994 r
.35637 .32856 .36049 .33056 .3669 .32876 .36279 .32674 Metetra
.483 .842 .994 r
.36279 .32674 .3669 .32876 .37333 .32706 .36923 .32504 Metetra
.469 .835 .992 r
.36923 .32504 .37333 .32706 .37977 .32548 .37569 .32345 Metetra
.456 .829 .991 r
.37569 .32345 .37977 .32548 .38623 .32399 .38216 .32195 Metetra
.443 .823 .99 r
.38216 .32195 .38623 .32399 .3927 .3226 .38865 .32056 Metetra
.431 .817 .988 r
.38865 .32056 .3927 .3226 .39919 .3213 .39515 .31925 Metetra
.42 .811 .987 r
.39515 .31925 .39919 .3213 .40571 .32008 .40168 .31802 Metetra
.409 .806 .985 r
.40168 .31802 .40571 .32008 .41224 .31894 .40822 .31687 Metetra
.399 .801 .984 r
.40822 .31687 .41224 .31894 .41879 .31786 .41479 .31579 Metetra
.39 .796 .982 r
.41479 .31579 .41879 .31786 .42536 .31685 .42137 .31477 Metetra
.382 .792 .981 r
.42137 .31477 .42536 .31685 .43195 .31589 .42798 .3138 Metetra
.375 .788 .979 r
.42798 .3138 .43195 .31589 .43857 .31498 .43461 .31289 Metetra
.369 .785 .978 r
.43461 .31289 .43857 .31498 .44521 .31411 .44126 .31201 Metetra
.364 .782 .977 r
.44126 .31201 .44521 .31411 .45187 .31328 .44794 .31117 Metetra
.36 .78 .976 r
.44794 .31117 .45187 .31328 .45855 .31247 .45464 .31036 Metetra
.357 .778 .976 r
.45464 .31036 .45855 .31247 .46526 .31169 .46136 .30957 Metetra
.355 .777 .975 r
.46136 .30957 .46526 .31169 .472 .31092 .46811 .30879 Metetra
.353 .776 .975 r
.46811 .30879 .472 .31092 .47876 .31015 .47488 .30802 Metetra
.353 .776 .975 r
.47488 .30802 .47876 .31015 .48554 .30938 .48168 .30724 Metetra
.354 .776 .975 r
.48168 .30724 .48554 .30938 .49235 .30861 .4885 .30646 Metetra
.356 .777 .975 r
.4885 .30646 .49235 .30861 .49918 .30782 .49535 .30566 Metetra
.358 .779 .976 r
.49535 .30566 .49918 .30782 .50604 .307 .50222 .30484 Metetra
.362 .781 .977 r
.50222 .30484 .50604 .307 .51292 .30615 .50912 .30399 Metetra
.367 .784 .978 r
.50912 .30399 .51292 .30615 .51983 .30527 .51605 .3031 Metetra
.372 .787 .979 r
.51605 .3031 .51983 .30527 .52677 .30434 .523 .30216 Metetra
.378 .79 .98 r
.523 .30216 .52677 .30434 .53373 .30335 .52998 .30117 Metetra
.386 .794 .981 r
.52998 .30117 .53373 .30335 .54071 .30231 .53698 .30011 Metetra
.394 .799 .983 r
.53698 .30011 .54071 .30231 .54772 .30119 .544 .29899 Metetra
.402 .803 .984 r
.544 .29899 .54772 .30119 .55476 .3 .55106 .29779 Metetra
.412 .808 .985 r
.55106 .29779 .55476 .3 .56182 .29873 .55813 .29651 Metetra
.422 .814 .987 r
.55813 .29651 .56182 .29873 .5689 .29737 .56523 .29514 Metetra
.433 .819 .988 r
.56523 .29514 .5689 .29737 .57601 .2959 .57236 .29367 Metetra
.445 .825 .989 r
.57236 .29367 .57601 .2959 .58314 .29433 .5795 .29209 Metetra
.457 .832 .99 r
.5795 .29209 .58314 .29433 .59029 .29265 .58667 .29039 Metetra
.469 .838 .991 r
.58667 .29039 .59029 .29265 .59746 .29084 .59386 .28858 Metetra
.482 .844 .992 r
.59386 .28858 .59746 .29084 .60466 .28891 .60107 .28664 Metetra
.496 .851 .993 r
.60107 .28664 .60466 .28891 .61187 .28684 .60831 .28456 Metetra
.51 .857 .993 r
.60831 .28456 .61187 .28684 .6191 .28463 .61556 .28233 Metetra
.524 .864 .993 r
.61556 .28233 .6191 .28463 .62636 .28227 .62283 .27996 Metetra
.538 .87 .993 r
.62283 .27996 .62636 .28227 .63362 .27975 .63012 .27743 Metetra
.553 .876 .992 r
.63012 .27743 .63362 .27975 .64091 .27707 .63742 .27474 Metetra
.567 .883 .991 r
.63742 .27474 .64091 .27707 .64821 .27422 .64475 .27187 Metetra
.582 .889 .99 r
.64475 .27187 .64821 .27422 .65553 .27119 .65208 .26883 Metetra
.597 .895 .988 r
.65208 .26883 .65553 .27119 .66286 .26798 .65943 .26561 Metetra
.612 .9 .986 r
.65943 .26561 .66286 .26798 .6702 .26457 .66679 .26219 Metetra
.626 .906 .984 r
.66679 .26219 .6702 .26457 .67755 .26098 .67417 .25858 Metetra
.641 .911 .981 r
.67417 .25858 .67755 .26098 .68491 .25718 .68155 .25476 Metetra
.655 .916 .978 r
.68155 .25476 .68491 .25718 .69228 .25317 .68894 .25074 Metetra
.67 .921 .975 r
.68894 .25074 .69228 .25317 .69966 .24895 .69634 .2465 Metetra
.684 .925 .971 r
.69634 .2465 .69966 .24895 .70704 .24451 .70374 .24204 Metetra
.697 .929 .966 r
.70374 .24204 .70704 .24451 .71443 .23984 .71115 .23736 Metetra
.711 .933 .962 r
.71115 .23736 .71443 .23984 .72182 .23495 .71856 .23245 Metetra
.724 .936 .957 r
.71856 .23245 .72182 .23495 .7292 .22982 .72597 .2273 Metetra
.737 .939 .952 r
.72597 .2273 .7292 .22982 .73659 .22446 .73338 .22191 Metetra
.749 .942 .946 r
.73338 .22191 .73659 .22446 .74397 .21885 .74079 .21629 Metetra
.907 .859 .781 r
.0644 .60126 .06939 .6023 .07646 .5904 .0715 .58932 Metetra
.905 .861 .786 r
.0715 .58932 .07646 .5904 .08348 .57882 .07855 .5777 Metetra
.903 .864 .791 r
.07855 .5777 .08348 .57882 .09046 .56755 .08555 .5664 Metetra
.901 .867 .796 r
.08555 .5664 .09046 .56755 .09739 .5566 .0925 .55542 Metetra
.898 .87 .802 r
.0925 .55542 .09739 .5566 .10428 .54597 .09942 .54475 Metetra
.896 .873 .807 r
.09942 .54475 .10428 .54597 .11112 .53564 .10629 .53439 Metetra
.893 .876 .813 r
.10629 .53439 .11112 .53564 .11793 .52561 .11312 .52434 Metetra
.889 .879 .818 r
.11312 .52434 .11793 .52561 .1247 .51589 .11991 .51458 Metetra
.886 .882 .824 r
.11991 .51458 .1247 .51589 .13143 .50646 .12667 .50512 Metetra
.882 .885 .83 r
.12667 .50512 .13143 .50646 .13813 .49732 .13339 .49596 Metetra
.878 .888 .836 r
.13339 .49596 .13813 .49732 .1448 .48846 .14008 .48708 Metetra
.874 .891 .843 r
.14008 .48708 .1448 .48846 .15144 .4799 .14674 .47848 Metetra
.869 .894 .849 r
.14674 .47848 .15144 .4799 .15804 .47161 .15337 .47017 Metetra
.864 .897 .856 r
.15337 .47017 .15804 .47161 .16462 .46359 .15997 .46213 Metetra
.859 .9 .862 r
.15997 .46213 .16462 .46359 .17117 .45585 .16654 .45436 Metetra
.853 .902 .869 r
.16654 .45436 .17117 .45585 .1777 .44837 .17309 .44686 Metetra
.847 .905 .876 r
.17309 .44686 .1777 .44837 .18421 .44116 .17961 .43963 Metetra
.84 .907 .883 r
.17961 .43963 .18421 .44116 .19069 .4342 .18611 .43265 Metetra
.833 .91 .89 r
.18611 .43265 .19069 .4342 .19715 .4275 .1926 .42593 Metetra
.826 .912 .897 r
.1926 .42593 .19715 .4275 .20359 .42105 .19906 .41945 Metetra
.818 .914 .904 r
.19906 .41945 .20359 .42105 .21002 .41484 .20551 .41323 Metetra
.809 .915 .91 r
.20551 .41323 .21002 .41484 .21643 .40887 .21193 .40724 Metetra
.8 .917 .917 r
.21193 .40724 .21643 .40887 .22283 .40314 .21835 .40149 Metetra
.791 .918 .924 r
.21835 .40149 .22283 .40314 .22922 .39764 .22475 .39597 Metetra
.781 .918 .931 r
.22475 .39597 .22922 .39764 .23559 .39237 .23114 .39068 Metetra
.77 .919 .937 r
.23114 .39068 .23559 .39237 .24195 .38731 .23753 .38561 Metetra
.759 .919 .943 r
.23753 .38561 .24195 .38731 .24831 .38248 .2439 .38076 Metetra
.747 .919 .949 r
.2439 .38076 .24831 .38248 .25466 .37785 .25026 .37612 Metetra
.734 .918 .955 r
.25026 .37612 .25466 .37785 .261 .37344 .25662 .37169 Metetra
.722 .917 .96 r
.25662 .37169 .261 .37344 .26734 .36922 .26298 .36746 Metetra
.708 .915 .965 r
.26298 .36746 .26734 .36922 .27368 .36521 .26933 .36343 Metetra
.694 .913 .97 r
.26933 .36343 .27368 .36521 .28001 .36138 .27568 .35959 Metetra
.68 .91 .975 r
.27568 .35959 .28001 .36138 .28635 .35775 .28203 .35594 Metetra
.665 .907 .978 r
.28203 .35594 .28635 .35775 .29268 .35429 .28838 .35247 Metetra
.65 .904 .982 r
.28838 .35247 .29268 .35429 .29902 .35101 .29474 .34918 Metetra
.634 .9 .985 r
.29474 .34918 .29902 .35101 .30536 .34791 .30109 .34606 Metetra
.619 .896 .987 r
.30109 .34606 .30536 .34791 .31171 .34497 .30745 .34311 Metetra
.603 .891 .99 r
.30745 .34311 .31171 .34497 .31806 .34219 .31382 .34032 Metetra
.586 .886 .991 r
.31382 .34032 .31806 .34219 .32442 .33956 .3202 .33768 Metetra
.57 .88 .992 r
.3202 .33768 .32442 .33956 .33079 .33709 .32658 .3352 Metetra
.554 .874 .993 r
.32658 .3352 .33079 .33709 .33717 .33475 .33297 .33286 Metetra
.538 .868 .993 r
.33297 .33286 .33717 .33475 .34355 .33256 .33937 .33065 Metetra
.522 .862 .993 r
.33937 .33065 .34355 .33256 .34995 .3305 .34578 .32858 Metetra
.507 .856 .993 r
.34578 .32858 .34995 .3305 .35637 .32856 .35221 .32664 Metetra
.492 .849 .992 r
.35221 .32664 .35637 .32856 .36279 .32674 .35865 .32481 Metetra
.477 .843 .991 r
.35865 .32481 .36279 .32674 .36923 .32504 .3651 .3231 Metetra
.463 .836 .99 r
.3651 .3231 .36923 .32504 .37569 .32345 .37157 .3215 Metetra
.449 .83 .989 r
.37157 .3215 .37569 .32345 .38216 .32195 .37806 .32 Metetra
.436 .823 .987 r
.37806 .32 .38216 .32195 .38865 .32056 .38456 .31859 Metetra
.424 .817 .985 r
.38456 .31859 .38865 .32056 .39515 .31925 .39108 .31727 Metetra
.412 .811 .984 r
.39108 .31727 .39515 .31925 .40168 .31802 .39762 .31604 Metetra
.401 .806 .982 r
.39762 .31604 .40168 .31802 .40822 .31687 .40418 .31488 Metetra
.391 .801 .98 r
.40418 .31488 .40822 .31687 .41479 .31579 .41076 .31379 Metetra
.382 .796 .978 r
.41076 .31379 .41479 .31579 .42137 .31477 .41736 .31277 Metetra
.374 .792 .977 r
.41736 .31277 .42137 .31477 .42798 .3138 .42398 .3118 Metetra
.367 .788 .975 r
.42398 .3118 .42798 .3138 .43461 .31289 .43062 .31087 Metetra
.361 .784 .974 r
.43062 .31087 .43461 .31289 .44126 .31201 .43729 .30999 Metetra
.356 .781 .973 r
.43729 .30999 .44126 .31201 .44794 .31117 .44398 .30915 Metetra
.351 .779 .972 r
.44398 .30915 .44794 .31117 .45464 .31036 .45069 .30833 Metetra
.348 .777 .971 r
.45069 .30833 .45464 .31036 .46136 .30957 .45743 .30753 Metetra
.346 .776 .971 r
.45743 .30753 .46136 .30957 .46811 .30879 .46419 .30675 Metetra
.345 .775 .971 r
.46419 .30675 .46811 .30879 .47488 .30802 .47098 .30597 Metetra
.345 .775 .971 r
.47098 .30597 .47488 .30802 .48168 .30724 .47779 .30519 Metetra
.345 .776 .971 r
.47779 .30519 .48168 .30724 .4885 .30646 .48463 .3044 Metetra
.347 .777 .971 r
.48463 .3044 .4885 .30646 .49535 .30566 .4915 .30359 Metetra
.35 .778 .972 r
.4915 .30359 .49535 .30566 .50222 .30484 .49838 .30276 Metetra
.354 .78 .973 r
.49838 .30276 .50222 .30484 .50912 .30399 .5053 .3019 Metetra
.358 .783 .974 r
.5053 .3019 .50912 .30399 .51605 .3031 .51224 .30101 Metetra
.364 .786 .975 r
.51224 .30101 .51605 .3031 .523 .30216 .51921 .30006 Metetra
.37 .79 .976 r
.51921 .30006 .523 .30216 .52998 .30117 .5262 .29906 Metetra
.378 .794 .977 r
.5262 .29906 .52998 .30117 .53698 .30011 .53322 .298 Metetra
.386 .798 .979 r
.53322 .298 .53698 .30011 .544 .29899 .54026 .29687 Metetra
.395 .803 .98 r
.54026 .29687 .544 .29899 .55106 .29779 .54733 .29567 Metetra
.404 .808 .982 r
.54733 .29567 .55106 .29779 .55813 .29651 .55442 .29438 Metetra
.415 .814 .983 r
.55442 .29438 .55813 .29651 .56523 .29514 .56154 .293 Metetra
.426 .82 .985 r
.56154 .293 .56523 .29514 .57236 .29367 .56868 .29151 Metetra
.437 .826 .986 r
.56868 .29151 .57236 .29367 .5795 .29209 .57584 .28993 Metetra
.45 .832 .987 r
.57584 .28993 .5795 .29209 .58667 .29039 .58303 .28822 Metetra
.462 .838 .989 r
.58303 .28822 .58667 .29039 .59386 .28858 .59024 .2864 Metetra
.476 .845 .99 r
.59024 .2864 .59386 .28858 .60107 .28664 .59747 .28445 Metetra
.489 .852 .99 r
.59747 .28445 .60107 .28664 .60831 .28456 .60472 .28236 Metetra
.503 .858 .991 r
.60472 .28236 .60831 .28456 .61556 .28233 .61199 .28012 Metetra
.518 .865 .991 r
.61199 .28012 .61556 .28233 .62283 .27996 .61928 .27774 Metetra
.532 .872 .991 r
.61928 .27774 .62283 .27996 .63012 .27743 .62659 .2752 Metetra
.547 .878 .991 r
.62659 .2752 .63012 .27743 .63742 .27474 .63392 .27249 Metetra
.562 .885 .99 r
.63392 .27249 .63742 .27474 .64475 .27187 .64126 .26961 Metetra
.577 .891 .989 r
.64126 .26961 .64475 .27187 .65208 .26883 .64862 .26656 Metetra
.592 .897 .987 r
.64862 .26656 .65208 .26883 .65943 .26561 .65599 .26332 Metetra
.607 .903 .985 r
.65599 .26332 .65943 .26561 .66679 .26219 .66337 .25989 Metetra
.622 .908 .983 r
.66337 .25989 .66679 .26219 .67417 .25858 .67076 .25626 Metetra
.637 .914 .98 r
.67076 .25626 .67417 .25858 .68155 .25476 .67817 .25243 Metetra
.652 .919 .977 r
.67817 .25243 .68155 .25476 .68894 .25074 .68558 .24839 Metetra
.666 .924 .974 r
.68558 .24839 .68894 .25074 .69634 .2465 .693 .24413 Metetra
.68 .928 .97 r
.693 .24413 .69634 .2465 .70374 .24204 .70042 .23966 Metetra
.694 .932 .966 r
.70042 .23966 .70374 .24204 .71115 .23736 .70785 .23496 Metetra
.708 .936 .961 r
.70785 .23496 .71115 .23736 .71856 .23245 .71529 .23003 Metetra
.722 .939 .957 r
.71529 .23003 .71856 .23245 .72597 .2273 .72272 .22486 Metetra
.735 .943 .951 r
.72272 .22486 .72597 .2273 .73338 .22191 .73015 .21945 Metetra
.747 .945 .946 r
.73015 .21945 .73338 .22191 .74079 .21629 .73758 .2138 Metetra
.909 .861 .782 r
.05937 .60031 .0644 .60126 .0715 .58932 .06649 .58833 Metetra
.907 .864 .787 r
.06649 .58833 .0715 .58932 .07855 .5777 .07357 .57668 Metetra
.904 .867 .792 r
.07357 .57668 .07855 .5777 .08555 .5664 .08059 .56535 Metetra
.902 .87 .797 r
.08059 .56535 .08555 .5664 .0925 .55542 .08758 .55433 Metetra
.899 .873 .802 r
.08758 .55433 .0925 .55542 .09942 .54475 .09452 .54363 Metetra
.897 .876 .808 r
.09452 .54363 .09942 .54475 .10629 .53439 .10141 .53324 Metetra
.894 .879 .813 r
.10141 .53324 .10629 .53439 .11312 .52434 .10827 .52315 Metetra
.89 .882 .819 r
.10827 .52315 .11312 .52434 .11991 .51458 .11509 .51337 Metetra
.887 .885 .825 r
.11509 .51337 .11991 .51458 .12667 .50512 .12187 .50388 Metetra
.883 .889 .831 r
.12187 .50388 .12667 .50512 .13339 .49596 .12861 .49468 Metetra
.879 .892 .837 r
.12861 .49468 .13339 .49596 .14008 .48708 .13532 .48578 Metetra
.875 .895 .843 r
.13532 .48578 .14008 .48708 .14674 .47848 .142 .47716 Metetra
.87 .898 .85 r
.142 .47716 .14674 .47848 .15337 .47017 .14865 .46882 Metetra
.865 .9 .856 r
.14865 .46882 .15337 .47017 .15997 .46213 .15528 .46075 Metetra
.86 .903 .863 r
.15528 .46075 .15997 .46213 .16654 .45436 .16187 .45296 Metetra
.854 .906 .87 r
.16187 .45296 .16654 .45436 .17309 .44686 .16844 .44544 Metetra
.848 .909 .877 r
.16844 .44544 .17309 .44686 .17961 .43963 .17498 .43818 Metetra
.841 .911 .884 r
.17498 .43818 .17961 .43963 .18611 .43265 .1815 .43118 Metetra
.834 .913 .891 r
.1815 .43118 .18611 .43265 .1926 .42593 .18801 .42444 Metetra
.826 .916 .898 r
.18801 .42444 .1926 .42593 .19906 .41945 .19449 .41794 Metetra
.818 .917 .904 r
.19449 .41794 .19906 .41945 .20551 .41323 .20095 .4117 Metetra
.809 .919 .911 r
.20095 .4117 .20551 .41323 .21193 .40724 .2074 .40569 Metetra
.8 .921 .918 r
.2074 .40569 .21193 .40724 .21835 .40149 .21383 .39992 Metetra
.79 .922 .925 r
.21383 .39992 .21835 .40149 .22475 .39597 .22025 .39438 Metetra
.78 .922 .931 r
.22025 .39438 .22475 .39597 .23114 .39068 .22666 .38907 Metetra
.769 .923 .938 r
.22666 .38907 .23114 .39068 .23753 .38561 .23306 .38399 Metetra
.758 .923 .944 r
.23306 .38399 .23753 .38561 .2439 .38076 .23945 .37912 Metetra
.746 .922 .95 r
.23945 .37912 .2439 .38076 .25026 .37612 .24583 .37446 Metetra
.733 .922 .956 r
.24583 .37446 .25026 .37612 .25662 .37169 .25221 .37002 Metetra
.72 .92 .961 r
.25221 .37002 .25662 .37169 .26298 .36746 .25858 .36578 Metetra
.706 .919 .966 r
.25858 .36578 .26298 .36746 .26933 .36343 .26495 .36173 Metetra
.692 .916 .971 r
.26495 .36173 .26933 .36343 .27568 .35959 .27132 .35788 Metetra
.677 .914 .975 r
.27132 .35788 .27568 .35959 .28203 .35594 .27768 .35422 Metetra
.662 .911 .978 r
.27768 .35422 .28203 .35594 .28838 .35247 .28405 .35074 Metetra
.646 .907 .982 r
.28405 .35074 .28838 .35247 .29474 .34918 .29042 .34743 Metetra
.631 .903 .985 r
.29042 .34743 .29474 .34918 .30109 .34606 .29679 .3443 Metetra
.615 .898 .987 r
.29679 .3443 .30109 .34606 .30745 .34311 .30317 .34134 Metetra
.598 .893 .989 r
.30317 .34134 .30745 .34311 .31382 .34032 .30955 .33854 Metetra
.582 .888 .99 r
.30955 .33854 .31382 .34032 .3202 .33768 .31594 .33589 Metetra
.565 .882 .991 r
.31594 .33589 .3202 .33768 .32658 .3352 .32233 .33339 Metetra
.549 .876 .992 r
.32233 .33339 .32658 .3352 .33297 .33286 .32874 .33104 Metetra
.533 .87 .992 r
.32874 .33104 .33297 .33286 .33937 .33065 .33516 .32883 Metetra
.517 .863 .992 r
.33516 .32883 .33937 .33065 .34578 .32858 .34158 .32675 Metetra
.501 .857 .991 r
.34158 .32675 .34578 .32858 .35221 .32664 .34802 .32479 Metetra
.485 .85 .99 r
.34802 .32479 .35221 .32664 .35865 .32481 .35448 .32296 Metetra
.47 .843 .989 r
.35448 .32296 .35865 .32481 .3651 .3231 .36094 .32124 Metetra
.456 .837 .987 r
.36094 .32124 .3651 .3231 .37157 .3215 .36743 .31963 Metetra
.442 .83 .986 r
.36743 .31963 .37157 .3215 .37806 .32 .37393 .31812 Metetra
.429 .823 .984 r
.37393 .31812 .37806 .32 .38456 .31859 .38044 .31671 Metetra
.416 .817 .982 r
.38044 .31671 .38456 .31859 .39108 .31727 .38698 .31539 Metetra
.404 .811 .98 r
.38698 .31539 .39108 .31727 .39762 .31604 .39353 .31414 Metetra
.393 .805 .978 r
.39353 .31414 .39762 .31604 .40418 .31488 .4001 .31298 Metetra
.383 .8 .976 r
.4001 .31298 .40418 .31488 .41076 .31379 .4067 .31188 Metetra
.374 .795 .974 r
.4067 .31188 .41076 .31379 .41736 .31277 .41331 .31085 Metetra
.366 .791 .973 r
.41331 .31085 .41736 .31277 .42398 .3118 .41995 .30987 Metetra
.359 .787 .971 r
.41995 .30987 .42398 .3118 .43062 .31087 .42661 .30894 Metetra
.352 .783 .97 r
.42661 .30894 .43062 .31087 .43729 .30999 .43329 .30806 Metetra
.347 .78 .968 r
.43329 .30806 .43729 .30999 .44398 .30915 .43999 .3072 Metetra
.343 .778 .967 r
.43999 .3072 .44398 .30915 .45069 .30833 .44672 .30638 Metetra
.339 .776 .967 r
.44672 .30638 .45069 .30833 .45743 .30753 .45347 .30557 Metetra
.337 .775 .966 r
.45347 .30557 .45743 .30753 .46419 .30675 .46025 .30478 Metetra
.336 .774 .966 r
.46025 .30478 .46419 .30675 .47098 .30597 .46705 .304 Metetra
.336 .774 .966 r
.46705 .304 .47098 .30597 .47779 .30519 .47388 .30321 Metetra
.337 .774 .966 r
.47388 .30321 .47779 .30519 .48463 .3044 .48073 .30242 Metetra
.338 .775 .966 r
.48073 .30242 .48463 .3044 .4915 .30359 .48761 .30161 Metetra
.341 .777 .967 r
.48761 .30161 .4915 .30359 .49838 .30276 .49452 .30077 Metetra
.345 .779 .968 r
.49452 .30077 .49838 .30276 .5053 .3019 .50145 .2999 Metetra
.35 .782 .969 r
.50145 .2999 .5053 .3019 .51224 .30101 .50841 .299 Metetra
.355 .785 .97 r
.50841 .299 .51224 .30101 .51921 .30006 .51539 .29805 Metetra
.362 .789 .972 r
.51539 .29805 .51921 .30006 .5262 .29906 .5224 .29704 Metetra
.369 .793 .973 r
.5224 .29704 .5262 .29906 .53322 .298 .52943 .29597 Metetra
.377 .797 .975 r
.52943 .29597 .53322 .298 .54026 .29687 .53649 .29484 Metetra
.386 .802 .976 r
.53649 .29484 .54026 .29687 .54733 .29567 .54358 .29362 Metetra
.396 .808 .978 r
.54358 .29362 .54733 .29567 .55442 .29438 .55069 .29233 Metetra
.407 .814 .98 r
.55069 .29233 .55442 .29438 .56154 .293 .55782 .29094 Metetra
.418 .82 .981 r
.55782 .29094 .56154 .293 .56868 .29151 .56498 .28945 Metetra
.43 .826 .983 r
.56498 .28945 .56868 .29151 .57584 .28993 .57216 .28785 Metetra
.442 .832 .984 r
.57216 .28785 .57584 .28993 .58303 .28822 .57937 .28614 Metetra
.455 .839 .986 r
.57937 .28614 .58303 .28822 .59024 .2864 .5866 .2843 Metetra
.469 .846 .987 r
.5866 .2843 .59024 .2864 .59747 .28445 .59385 .28234 Metetra
.483 .852 .988 r
.59385 .28234 .59747 .28445 .60472 .28236 .60112 .28024 Metetra
.497 .859 .988 r
.60112 .28024 .60472 .28236 .61199 .28012 .60841 .278 Metetra
.511 .866 .989 r
.60841 .278 .61199 .28012 .61928 .27774 .61572 .2756 Metetra
.526 .873 .989 r
.61572 .2756 .61928 .27774 .62659 .2752 .62304 .27305 Metetra
.541 .88 .989 r
.62304 .27305 .62659 .2752 .63392 .27249 .63039 .27033 Metetra
.557 .886 .988 r
.63039 .27033 .63392 .27249 .64126 .26961 .63775 .26744 Metetra
.572 .893 .987 r
.63775 .26744 .64126 .26961 .64862 .26656 .64513 .26437 Metetra
.587 .899 .986 r
.64513 .26437 .64862 .26656 .65599 .26332 .65252 .26112 Metetra
.602 .905 .984 r
.65252 .26112 .65599 .26332 .66337 .25989 .65992 .25767 Metetra
.618 .911 .982 r
.65992 .25767 .66337 .25989 .67076 .25626 .66734 .25403 Metetra
.633 .916 .979 r
.66734 .25403 .67076 .25626 .67817 .25243 .67476 .25018 Metetra
.648 .922 .976 r
.67476 .25018 .67817 .25243 .68558 .24839 .6822 .24612 Metetra
.663 .926 .973 r
.6822 .24612 .68558 .24839 .693 .24413 .68964 .24185 Metetra
.677 .931 .969 r
.68964 .24185 .693 .24413 .70042 .23966 .69709 .23736 Metetra
.691 .935 .965 r
.69709 .23736 .70042 .23966 .70785 .23496 .70454 .23264 Metetra
.705 .939 .961 r
.70454 .23264 .70785 .23496 .71529 .23003 .71199 .22769 Metetra
.719 .943 .956 r
.71199 .22769 .71529 .23003 .72272 .22486 .71945 .2225 Metetra
.732 .946 .951 r
.71945 .2225 .72272 .22486 .73015 .21945 .72691 .21708 Metetra
.745 .949 .945 r
.72691 .21708 .73015 .21945 .73758 .2138 .73436 .2114 Metetra
.91 .864 .782 r
.05429 .59945 .05937 .60031 .06649 .58833 .06144 .58744 Metetra
.908 .867 .787 r
.06144 .58744 .06649 .58833 .07357 .57668 .06855 .57575 Metetra
.905 .87 .792 r
.06855 .57575 .07357 .57668 .08059 .56535 .0756 .56438 Metetra
.903 .873 .797 r
.0756 .56438 .08059 .56535 .08758 .55433 .08261 .55333 Metetra
.901 .876 .803 r
.08261 .55333 .08758 .55433 .09452 .54363 .08957 .5426 Metetra
.898 .879 .808 r
.08957 .5426 .09452 .54363 .10141 .53324 .0965 .53217 Metetra
.895 .882 .814 r
.0965 .53217 .10141 .53324 .10827 .52315 .10338 .52206 Metetra
.891 .886 .82 r
.10338 .52206 .10827 .52315 .11509 .51337 .11022 .51224 Metetra
.888 .889 .826 r
.11022 .51224 .11509 .51337 .12187 .50388 .11702 .50272 Metetra
.884 .892 .832 r
.11702 .50272 .12187 .50388 .12861 .49468 .12379 .4935 Metetra
.88 .895 .838 r
.12379 .4935 .12861 .49468 .13532 .48578 .13053 .48457 Metetra
.876 .898 .844 r
.13053 .48457 .13532 .48578 .142 .47716 .13723 .47592 Metetra
.871 .901 .851 r
.13723 .47592 .142 .47716 .14865 .46882 .1439 .46755 Metetra
.866 .904 .857 r
.1439 .46755 .14865 .46882 .15528 .46075 .15055 .45946 Metetra
.86 .907 .864 r
.15055 .45946 .15528 .46075 .16187 .45296 .15716 .45165 Metetra
.854 .91 .871 r
.15716 .45165 .16187 .45296 .16844 .44544 .16375 .4441 Metetra
.848 .912 .878 r
.16375 .4441 .16844 .44544 .17498 .43818 .17031 .43682 Metetra
.841 .915 .885 r
.17031 .43682 .17498 .43818 .1815 .43118 .17686 .4298 Metetra
.834 .917 .891 r
.17686 .4298 .1815 .43118 .18801 .42444 .18338 .42303 Metetra
.826 .919 .898 r
.18338 .42303 .18801 .42444 .19449 .41794 .18988 .41652 Metetra
.818 .921 .905 r
.18988 .41652 .19449 .41794 .20095 .4117 .19636 .41025 Metetra
.809 .923 .912 r
.19636 .41025 .20095 .4117 .2074 .40569 .20283 .40422 Metetra
.8 .924 .919 r
.20283 .40422 .2074 .40569 .21383 .39992 .20928 .39844 Metetra
.79 .926 .926 r
.20928 .39844 .21383 .39992 .22025 .39438 .21572 .39288 Metetra
.779 .926 .932 r
.21572 .39288 .22025 .39438 .22666 .38907 .22215 .38755 Metetra
.768 .927 .939 r
.22215 .38755 .22666 .38907 .23306 .38399 .22856 .38245 Metetra
.756 .927 .945 r
.22856 .38245 .23306 .38399 .23945 .37912 .23497 .37757 Metetra
.744 .926 .951 r
.23497 .37757 .23945 .37912 .24583 .37446 .24137 .3729 Metetra
.731 .925 .956 r
.24137 .3729 .24583 .37446 .25221 .37002 .24776 .36843 Metetra
.718 .924 .961 r
.24776 .36843 .25221 .37002 .25858 .36578 .25415 .36418 Metetra
.704 .922 .966 r
.25415 .36418 .25858 .36578 .26495 .36173 .26053 .36012 Metetra
.689 .92 .971 r
.26053 .36012 .26495 .36173 .27132 .35788 .26692 .35625 Metetra
.674 .917 .975 r
.26692 .35625 .27132 .35788 .27768 .35422 .2733 .35258 Metetra
.659 .914 .978 r
.2733 .35258 .27768 .35422 .28405 .35074 .27968 .34908 Metetra
.643 .91 .981 r
.27968 .34908 .28405 .35074 .29042 .34743 .28607 .34577 Metetra
.627 .906 .984 r
.28607 .34577 .29042 .34743 .29679 .3443 .29245 .34263 Metetra
.61 .901 .986 r
.29245 .34263 .29679 .3443 .30317 .34134 .29884 .33965 Metetra
.594 .896 .988 r
.29884 .33965 .30317 .34134 .30955 .33854 .30524 .33684 Metetra
.577 .89 .989 r
.30524 .33684 .30955 .33854 .31594 .33589 .31165 .33418 Metetra
.56 .884 .99 r
.31165 .33418 .31594 .33589 .32233 .33339 .31806 .33167 Metetra
.543 .878 .99 r
.31806 .33167 .32233 .33339 .32874 .33104 .32448 .32931 Metetra
.527 .871 .99 r
.32448 .32931 .32874 .33104 .33516 .32883 .33091 .32709 Metetra
.51 .865 .989 r
.33091 .32709 .33516 .32883 .34158 .32675 .33735 .325 Metetra
.494 .858 .988 r
.33735 .325 .34158 .32675 .34802 .32479 .34381 .32304 Metetra
.479 .851 .987 r
.34381 .32304 .34802 .32479 .35448 .32296 .35027 .32119 Metetra
.463 .844 .986 r
.35027 .32119 .35448 .32296 .36094 .32124 .35676 .31947 Metetra
.449 .837 .984 r
.35676 .31947 .36094 .32124 .36743 .31963 .36325 .31785 Metetra
.434 .83 .982 r
.36325 .31785 .36743 .31963 .37393 .31812 .36977 .31633 Metetra
.421 .823 .98 r
.36977 .31633 .37393 .31812 .38044 .31671 .3763 .31491 Metetra
.408 .817 .978 r
.3763 .31491 .38044 .31671 .38698 .31539 .38285 .31358 Metetra
.396 .811 .976 r
.38285 .31358 .38698 .31539 .39353 .31414 .38941 .31233 Metetra
.385 .805 .974 r
.38941 .31233 .39353 .31414 .4001 .31298 .396 .31116 Metetra
.375 .799 .972 r
.396 .31116 .4001 .31298 .4067 .31188 .40261 .31005 Metetra
.366 .794 .97 r
.40261 .31005 .4067 .31188 .41331 .31085 .40924 .30901 Metetra
.357 .79 .968 r
.40924 .30901 .41331 .31085 .41995 .30987 .41589 .30803 Metetra
.35 .785 .966 r
.41589 .30803 .41995 .30987 .42661 .30894 .42256 .3071 Metetra
.344 .782 .965 r
.42256 .3071 .42661 .30894 .43329 .30806 .42926 .3062 Metetra
.338 .779 .963 r
.42926 .3062 .43329 .30806 .43999 .3072 .43598 .30534 Metetra
.334 .776 .962 r
.43598 .30534 .43999 .3072 .44672 .30638 .44272 .30451 Metetra
.331 .774 .962 r
.44272 .30451 .44672 .30638 .45347 .30557 .44949 .3037 Metetra
.328 .773 .961 r
.44949 .3037 .45347 .30557 .46025 .30478 .45628 .30291 Metetra
.327 .772 .961 r
.45628 .30291 .46025 .30478 .46705 .304 .4631 .30212 Metetra
.327 .772 .961 r
.4631 .30212 .46705 .304 .47388 .30321 .46994 .30132 Metetra
.328 .773 .961 r
.46994 .30132 .47388 .30321 .48073 .30242 .47681 .30052 Metetra
.329 .774 .961 r
.47681 .30052 .48073 .30242 .48761 .30161 .48371 .2997 Metetra
.332 .775 .962 r
.48371 .2997 .48761 .30161 .49452 .30077 .49063 .29886 Metetra
.336 .778 .963 r
.49063 .29886 .49452 .30077 .50145 .2999 .49757 .29799 Metetra
.341 .78 .964 r
.49757 .29799 .50145 .2999 .50841 .299 .50455 .29708 Metetra
.347 .784 .965 r
.50455 .29708 .50841 .299 .51539 .29805 .51155 .29612 Metetra
.353 .787 .967 r
.51155 .29612 .51539 .29805 .5224 .29704 .51857 .29511 Metetra
.361 .792 .968 r
.51857 .29511 .5224 .29704 .52943 .29597 .52562 .29403 Metetra
.369 .796 .97 r
.52562 .29403 .52943 .29597 .53649 .29484 .5327 .29289 Metetra
.378 .802 .972 r
.5327 .29289 .53649 .29484 .54358 .29362 .5398 .29167 Metetra
.388 .807 .974 r
.5398 .29167 .54358 .29362 .55069 .29233 .54693 .29036 Metetra
.399 .813 .975 r
.54693 .29036 .55069 .29233 .55782 .29094 .55408 .28896 Metetra
.41 .819 .977 r
.55408 .28896 .55782 .29094 .56498 .28945 .56126 .28746 Metetra
.422 .825 .979 r
.56126 .28746 .56498 .28945 .57216 .28785 .56846 .28586 Metetra
.435 .832 .981 r
.56846 .28586 .57216 .28785 .57937 .28614 .57568 .28414 Metetra
.448 .839 .982 r
.57568 .28414 .57937 .28614 .5866 .2843 .58293 .28229 Metetra
.462 .846 .983 r
.58293 .28229 .5866 .2843 .59385 .28234 .5902 .28032 Metetra
.476 .853 .985 r
.5902 .28032 .59385 .28234 .60112 .28024 .59749 .27821 Metetra
.49 .86 .985 r
.59749 .27821 .60112 .28024 .60841 .278 .6048 .27595 Metetra
.505 .867 .986 r
.6048 .27595 .60841 .278 .61572 .2756 .61213 .27355 Metetra
.52 .874 .986 r
.61213 .27355 .61572 .2756 .62304 .27305 .61947 .27098 Metetra
.535 .881 .986 r
.61947 .27098 .62304 .27305 .63039 .27033 .62684 .26825 Metetra
.551 .888 .986 r
.62684 .26825 .63039 .27033 .63775 .26744 .63422 .26535 Metetra
.566 .894 .985 r
.63422 .26535 .63775 .26744 .64513 .26437 .64162 .26227 Metetra
.582 .901 .984 r
.64162 .26227 .64513 .26437 .65252 .26112 .64903 .259 Metetra
.598 .907 .982 r
.64903 .259 .65252 .26112 .65992 .25767 .65646 .25554 Metetra
.613 .913 .98 r
.65646 .25554 .65992 .25767 .66734 .25403 .66389 .25188 Metetra
.628 .919 .978 r
.66389 .25188 .66734 .25403 .67476 .25018 .67134 .24802 Metetra
.644 .924 .975 r
.67134 .24802 .67476 .25018 .6822 .24612 .6788 .24394 Metetra
.659 .929 .972 r
.6788 .24394 .6822 .24612 .68964 .24185 .68626 .23965 Metetra
.673 .934 .968 r
.68626 .23965 .68964 .24185 .69709 .23736 .69373 .23514 Metetra
.688 .938 .964 r
.69373 .23514 .69709 .23736 .70454 .23264 .70121 .2304 Metetra
.702 .942 .96 r
.70121 .2304 .70454 .23264 .71199 .22769 .70869 .22543 Metetra
.716 .946 .955 r
.70869 .22543 .71199 .22769 .71945 .2225 .71617 .22023 Metetra
.729 .949 .95 r
.71617 .22023 .71945 .2225 .72691 .21708 .72365 .21478 Metetra
.742 .952 .945 r
.72365 .21478 .72691 .21708 .73436 .2114 .73112 .20909 Metetra
.911 .867 .783 r
.04917 .59869 .05429 .59945 .06144 .58744 .05635 .58664 Metetra
.909 .87 .788 r
.05635 .58664 .06144 .58744 .06855 .57575 .06348 .57491 Metetra
.907 .873 .793 r
.06348 .57491 .06855 .57575 .0756 .56438 .07056 .56351 Metetra
.904 .876 .798 r
.07056 .56351 .0756 .56438 .08261 .55333 .0776 .55242 Metetra
.902 .879 .803 r
.0776 .55242 .08261 .55333 .08957 .5426 .08459 .54166 Metetra
.899 .882 .809 r
.08459 .54166 .08957 .5426 .0965 .53217 .09154 .5312 Metetra
.896 .885 .814 r
.09154 .5312 .0965 .53217 .10338 .52206 .09844 .52105 Metetra
.892 .889 .82 r
.09844 .52105 .10338 .52206 .11022 .51224 .10531 .5112 Metetra
.889 .892 .826 r
.10531 .5112 .11022 .51224 .11702 .50272 .11214 .50166 Metetra
.885 .895 .832 r
.11214 .50166 .11702 .50272 .12379 .4935 .11893 .4924 Metetra
.881 .898 .839 r
.11893 .4924 .12379 .4935 .13053 .48457 .12569 .48344 Metetra
.876 .901 .845 r
.12569 .48344 .13053 .48457 .13723 .47592 .13242 .47477 Metetra
.872 .905 .851 r
.13242 .47477 .13723 .47592 .1439 .46755 .13911 .46638 Metetra
.866 .908 .858 r
.13911 .46638 .1439 .46755 .15055 .45946 .14578 .45826 Metetra
.861 .911 .865 r
.14578 .45826 .15055 .45946 .15716 .45165 .15241 .45042 Metetra
.855 .913 .872 r
.15241 .45042 .15716 .45165 .16375 .4441 .15902 .44285 Metetra
.848 .916 .878 r
.15902 .44285 .16375 .4441 .17031 .43682 .16561 .43555 Metetra
.841 .919 .885 r
.16561 .43555 .17031 .43682 .17686 .4298 .17217 .4285 Metetra
.834 .921 .892 r
.17217 .4285 .17686 .4298 .18338 .42303 .17871 .42171 Metetra
.826 .923 .899 r
.17871 .42171 .18338 .42303 .18988 .41652 .18523 .41518 Metetra
.818 .925 .906 r
.18523 .41518 .18988 .41652 .19636 .41025 .19174 .40889 Metetra
.809 .927 .913 r
.19174 .40889 .19636 .41025 .20283 .40422 .19822 .40284 Metetra
.799 .928 .92 r
.19822 .40284 .20283 .40422 .20928 .39844 .20469 .39704 Metetra
.789 .929 .926 r
.20469 .39704 .20928 .39844 .21572 .39288 .21115 .39146 Metetra
.778 .93 .933 r
.21115 .39146 .21572 .39288 .22215 .38755 .21759 .38612 Metetra
.767 .93 .939 r
.21759 .38612 .22215 .38755 .22856 .38245 .22403 .381 Metetra
.755 .93 .945 r
.22403 .381 .22856 .38245 .23497 .37757 .23045 .3761 Metetra
.743 .93 .951 r
.23045 .3761 .23497 .37757 .24137 .3729 .23687 .37141 Metetra
.729 .929 .956 r
.23687 .37141 .24137 .3729 .24776 .36843 .24328 .36693 Metetra
.716 .927 .962 r
.24328 .36693 .24776 .36843 .25415 .36418 .24968 .36266 Metetra
.701 .925 .966 r
.24968 .36266 .25415 .36418 .26053 .36012 .25609 .35859 Metetra
.687 .923 .971 r
.25609 .35859 .26053 .36012 .26692 .35625 .26248 .35471 Metetra
.671 .92 .974 r
.26248 .35471 .26692 .35625 .2733 .35258 .26888 .35102 Metetra
.655 .917 .978 r
.26888 .35102 .2733 .35258 .27968 .34908 .27528 .34751 Metetra
.639 .913 .981 r
.27528 .34751 .27968 .34908 .28607 .34577 .28168 .34418 Metetra
.623 .908 .983 r
.28168 .34418 .28607 .34577 .29245 .34263 .28808 .34103 Metetra
.606 .903 .985 r
.28808 .34103 .29245 .34263 .29884 .33965 .29449 .33804 Metetra
.589 .898 .987 r
.29449 .33804 .29884 .33965 .30524 .33684 .3009 .33522 Metetra
.572 .892 .988 r
.3009 .33522 .30524 .33684 .31165 .33418 .30732 .33255 Metetra
.555 .886 .988 r
.30732 .33255 .31165 .33418 .31806 .33167 .31375 .33004 Metetra
.538 .879 .988 r
.31375 .33004 .31806 .33167 .32448 .32931 .32018 .32766 Metetra
.521 .872 .988 r
.32018 .32766 .32448 .32931 .33091 .32709 .32663 .32543 Metetra
.504 .865 .987 r
.32663 .32543 .33091 .32709 .33735 .325 .33309 .32333 Metetra
.488 .858 .986 r
.33309 .32333 .33735 .325 .34381 .32304 .33956 .32136 Metetra
.472 .851 .984 r
.33956 .32136 .34381 .32304 .35027 .32119 .34604 .31951 Metetra
.456 .844 .982 r
.34604 .31951 .35027 .32119 .35676 .31947 .35253 .31777 Metetra
.441 .837 .98 r
.35253 .31777 .35676 .31947 .36325 .31785 .35905 .31615 Metetra
.427 .83 .978 r
.35905 .31615 .36325 .31785 .36977 .31633 .36558 .31462 Metetra
.413 .823 .976 r
.36558 .31462 .36977 .31633 .3763 .31491 .37212 .31319 Metetra
.4 .816 .974 r
.37212 .31319 .3763 .31491 .38285 .31358 .37868 .31186 Metetra
.388 .81 .971 r
.37868 .31186 .38285 .31358 .38941 .31233 .38527 .3106 Metetra
.377 .804 .969 r
.38527 .3106 .38941 .31233 .396 .31116 .39187 .30942 Metetra
.366 .798 .967 r
.39187 .30942 .396 .31116 .40261 .31005 .39849 .30831 Metetra
.357 .793 .965 r
.39849 .30831 .40261 .31005 .40924 .30901 .40513 .30726 Metetra
.349 .788 .963 r
.40513 .30726 .40924 .30901 .41589 .30803 .4118 .30627 Metetra
.341 .784 .961 r
.4118 .30627 .41589 .30803 .42256 .3071 .41849 .30533 Metetra
.335 .78 .959 r
.41849 .30533 .42256 .3071 .42926 .3062 .4252 .30443 Metetra
.329 .777 .958 r
.4252 .30443 .42926 .3062 .43598 .30534 .43193 .30357 Metetra
.325 .774 .957 r
.43193 .30357 .43598 .30534 .44272 .30451 .43869 .30273 Metetra
.321 .772 .956 r
.43869 .30273 .44272 .30451 .44949 .3037 .44547 .30192 Metetra
.319 .771 .955 r
.44547 .30192 .44949 .3037 .45628 .30291 .45228 .30111 Metetra
.318 .77 .955 r
.45228 .30111 .45628 .30291 .4631 .30212 .45912 .30032 Metetra
.318 .77 .955 r
.45912 .30032 .4631 .30212 .46994 .30132 .46597 .29952 Metetra
.318 .771 .955 r
.46597 .29952 .46994 .30132 .47681 .30052 .47286 .29871 Metetra
.32 .772 .956 r
.47286 .29871 .47681 .30052 .48371 .2997 .47977 .29789 Metetra
.323 .774 .956 r
.47977 .29789 .48371 .2997 .49063 .29886 .48671 .29704 Metetra
.327 .776 .957 r
.48671 .29704 .49063 .29886 .49757 .29799 .49367 .29616 Metetra
.332 .779 .959 r
.49367 .29616 .49757 .29799 .50455 .29708 .50066 .29524 Metetra
.338 .782 .96 r
.50066 .29524 .50455 .29708 .51155 .29612 .50768 .29428 Metetra
.344 .786 .961 r
.50768 .29428 .51155 .29612 .51857 .29511 .51472 .29326 Metetra
.352 .79 .963 r
.51472 .29326 .51857 .29511 .52562 .29403 .52179 .29217 Metetra
.36 .795 .965 r
.52179 .29217 .52562 .29403 .5327 .29289 .52888 .29102 Metetra
.37 .8 .967 r
.52888 .29102 .5327 .29289 .5398 .29167 .536 .28979 Metetra
.38 .806 .969 r
.536 .28979 .5398 .29167 .54693 .29036 .54315 .28848 Metetra
.391 .812 .971 r
.54315 .28848 .54693 .29036 .55408 .28896 .55032 .28707 Metetra
.402 .818 .973 r
.55032 .28707 .55408 .28896 .56126 .28746 .55751 .28557 Metetra
.414 .825 .975 r
.55751 .28557 .56126 .28746 .56846 .28586 .56473 .28395 Metetra
.427 .832 .977 r
.56473 .28395 .56846 .28586 .57568 .28414 .57197 .28222 Metetra
.44 .839 .978 r
.57197 .28222 .57568 .28414 .58293 .28229 .57924 .28037 Metetra
.454 .846 .98 r
.57924 .28037 .58293 .28229 .5902 .28032 .58653 .27839 Metetra
.469 .853 .981 r
.58653 .27839 .5902 .28032 .59749 .27821 .59383 .27626 Metetra
.483 .86 .982 r
.59383 .27626 .59749 .27821 .6048 .27595 .60116 .274 Metetra
.498 .868 .983 r
.60116 .274 .6048 .27595 .61213 .27355 .60851 .27158 Metetra
.514 .875 .983 r
.60851 .27158 .61213 .27355 .61947 .27098 .61588 .269 Metetra
.529 .882 .984 r
.61588 .269 .61947 .27098 .62684 .26825 .62327 .26626 Metetra
.545 .889 .983 r
.62327 .26626 .62684 .26825 .63422 .26535 .63067 .26334 Metetra
.561 .896 .983 r
.63067 .26334 .63422 .26535 .64162 .26227 .63809 .26025 Metetra
.577 .902 .982 r
.63809 .26025 .64162 .26227 .64903 .259 .64552 .25697 Metetra
.592 .909 .98 r
.64552 .25697 .64903 .259 .65646 .25554 .65297 .25349 Metetra
.608 .915 .979 r
.65297 .25349 .65646 .25554 .66389 .25188 .66043 .24982 Metetra
.624 .921 .976 r
.66043 .24982 .66389 .25188 .67134 .24802 .6679 .24594 Metetra
.639 .926 .974 r
.6679 .24594 .67134 .24802 .6788 .24394 .67538 .24185 Metetra
.655 .931 .971 r
.67538 .24185 .6788 .24394 .68626 .23965 .68286 .23754 Metetra
.67 .936 .967 r
.68286 .23754 .68626 .23965 .69373 .23514 .69036 .23301 Metetra
.684 .941 .963 r
.69036 .23301 .69373 .23514 .70121 .2304 .69786 .22825 Metetra
.699 .945 .959 r
.69786 .22825 .70121 .2304 .70869 .22543 .70536 .22327 Metetra
.713 .948 .954 r
.70536 .22327 .70869 .22543 .71617 .22023 .71286 .21804 Metetra
.726 .952 .949 r
.71286 .21804 .71617 .22023 .72365 .21478 .72037 .21257 Metetra
.74 .955 .944 r
.72037 .21257 .72365 .21478 .73112 .20909 .72787 .20686 Metetra
.912 .87 .783 r
.044 .59802 .04917 .59869 .05635 .58664 .05121 .58593 Metetra
.91 .873 .788 r
.05121 .58593 .05635 .58664 .06348 .57491 .05837 .57417 Metetra
.908 .876 .793 r
.05837 .57417 .06348 .57491 .07056 .56351 .06548 .56273 Metetra
.905 .879 .798 r
.06548 .56273 .07056 .56351 .0776 .55242 .07255 .55161 Metetra
.903 .882 .804 r
.07255 .55161 .0776 .55242 .08459 .54166 .07956 .54081 Metetra
.9 .885 .809 r
.07956 .54081 .08459 .54166 .09154 .5312 .08654 .53032 Metetra
.897 .889 .815 r
.08654 .53032 .09154 .5312 .09844 .52105 .09347 .52014 Metetra
.893 .892 .821 r
.09347 .52014 .09844 .52105 .10531 .5112 .10036 .51026 Metetra
.89 .895 .827 r
.10036 .51026 .10531 .5112 .11214 .50166 .10722 .50068 Metetra
.886 .898 .833 r
.10722 .50068 .11214 .50166 .11893 .4924 .11403 .4914 Metetra
.882 .902 .839 r
.11403 .4914 .11893 .4924 .12569 .48344 .12081 .48241 Metetra
.877 .905 .846 r
.12081 .48241 .12569 .48344 .13242 .47477 .12756 .47371 Metetra
.872 .908 .852 r
.12756 .47371 .13242 .47477 .13911 .46638 .13428 .46529 Metetra
.867 .911 .859 r
.13428 .46529 .13911 .46638 .14578 .45826 .14097 .45715 Metetra
.861 .914 .865 r
.14097 .45715 .14578 .45826 .15241 .45042 .14763 .44928 Metetra
.855 .917 .872 r
.14763 .44928 .15241 .45042 .15902 .44285 .15426 .44169 Metetra
.849 .92 .879 r
.15426 .44169 .15902 .44285 .16561 .43555 .16086 .43436 Metetra
.842 .922 .886 r
.16086 .43436 .16561 .43555 .17217 .4285 .16745 .42729 Metetra
.834 .925 .893 r
.16745 .42729 .17217 .4285 .17871 .42171 .17401 .42048 Metetra
.826 .927 .9 r
.17401 .42048 .17871 .42171 .18523 .41518 .18055 .41392 Metetra
.818 .929 .907 r
.18055 .41392 .18523 .41518 .19174 .40889 .18707 .40762 Metetra
.808 .931 .914 r
.18707 .40762 .19174 .40889 .19822 .40284 .19358 .40155 Metetra
.799 .932 .92 r
.19358 .40155 .19822 .40284 .20469 .39704 .20007 .39572 Metetra
.788 .933 .927 r
.20007 .39572 .20469 .39704 .21115 .39146 .20654 .39013 Metetra
.777 .934 .933 r
.20654 .39013 .21115 .39146 .21759 .38612 .21301 .38477 Metetra
.766 .934 .94 r
.21301 .38477 .21759 .38612 .22403 .381 .21946 .37963 Metetra
.754 .934 .946 r
.21946 .37963 .22403 .381 .23045 .3761 .2259 .37471 Metetra
.741 .933 .951 r
.2259 .37471 .23045 .3761 .23687 .37141 .23233 .37001 Metetra
.727 .932 .957 r
.23233 .37001 .23687 .37141 .24328 .36693 .23876 .36552 Metetra
.713 .931 .962 r
.23876 .36552 .24328 .36693 .24968 .36266 .24518 .36123 Metetra
.699 .929 .966 r
.24518 .36123 .24968 .36266 .25609 .35859 .2516 .35714 Metetra
.684 .926 .97 r
.2516 .35714 .25609 .35859 .26248 .35471 .25802 .35325 Metetra
.668 .923 .974 r
.25802 .35325 .26248 .35471 .26888 .35102 .26443 .34955 Metetra
.652 .919 .977 r
.26443 .34955 .26888 .35102 .27528 .34751 .27084 .34603 Metetra
.635 .915 .98 r
.27084 .34603 .27528 .34751 .28168 .34418 .27726 .34269 Metetra
.619 .91 .982 r
.27726 .34269 .28168 .34418 .28808 .34103 .28368 .33952 Metetra
.601 .905 .984 r
.28368 .33952 .28808 .34103 .29449 .33804 .2901 .33652 Metetra
.584 .9 .985 r
.2901 .33652 .29449 .33804 .3009 .33522 .29653 .33369 Metetra
.567 .893 .986 r
.29653 .33369 .3009 .33522 .30732 .33255 .30296 .33101 Metetra
.549 .887 .986 r
.30296 .33101 .30732 .33255 .31375 .33004 .3094 .32848 Metetra
.532 .88 .986 r
.3094 .32848 .31375 .33004 .32018 .32766 .31586 .3261 Metetra
.515 .873 .985 r
.31586 .3261 .32018 .32766 .32663 .32543 .32232 .32386 Metetra
.498 .866 .984 r
.32232 .32386 .32663 .32543 .33309 .32333 .32879 .32175 Metetra
.481 .859 .982 r
.32879 .32175 .33309 .32333 .33956 .32136 .33527 .31977 Metetra
.465 .851 .981 r
.33527 .31977 .33956 .32136 .34604 .31951 .34177 .31791 Metetra
.449 .844 .979 r
.34177 .31791 .34604 .31951 .35253 .31777 .34828 .31616 Metetra
.434 .836 .976 r
.34828 .31616 .35253 .31777 .35905 .31615 .35481 .31453 Metetra
.419 .829 .974 r
.35481 .31453 .35905 .31615 .36558 .31462 .36135 .313 Metetra
.405 .822 .972 r
.36135 .313 .36558 .31462 .37212 .31319 .36791 .31156 Metetra
.392 .815 .969 r
.36791 .31156 .37212 .31319 .37868 .31186 .37449 .31022 Metetra
.38 .808 .966 r
.37449 .31022 .37868 .31186 .38527 .3106 .38109 .30895 Metetra
.368 .802 .964 r
.38109 .30895 .38527 .3106 .39187 .30942 .3877 .30777 Metetra
.358 .796 .962 r
.3877 .30777 .39187 .30942 .39849 .30831 .39434 .30665 Metetra
.348 .791 .959 r
.39434 .30665 .39849 .30831 .40513 .30726 .401 .3056 Metetra
.34 .786 .957 r
.401 .3056 .40513 .30726 .4118 .30627 .40768 .3046 Metetra
.332 .782 .955 r
.40768 .3046 .4118 .30627 .41849 .30533 .41438 .30365 Metetra
.325 .778 .953 r
.41438 .30365 .41849 .30533 .4252 .30443 .42111 .30275 Metetra
.32 .775 .952 r
.42111 .30275 .4252 .30443 .43193 .30357 .42786 .30188 Metetra
.316 .772 .951 r
.42786 .30188 .43193 .30357 .43869 .30273 .43463 .30104 Metetra
.312 .77 .95 r
.43463 .30104 .43869 .30273 .44547 .30192 .44143 .30021 Metetra
.31 .769 .949 r
.44143 .30021 .44547 .30192 .45228 .30111 .44825 .2994 Metetra
.309 .768 .949 r
.44825 .2994 .45228 .30111 .45912 .30032 .4551 .2986 Metetra
.308 .768 .949 r
.4551 .2986 .45912 .30032 .46597 .29952 .46198 .2978 Metetra
.309 .768 .949 r
.46198 .2978 .46597 .29952 .47286 .29871 .46888 .29698 Metetra
.311 .77 .95 r
.46888 .29698 .47286 .29871 .47977 .29789 .47581 .29615 Metetra
.314 .771 .95 r
.47581 .29615 .47977 .29789 .48671 .29704 .48276 .2953 Metetra
.318 .774 .951 r
.48276 .2953 .48671 .29704 .49367 .29616 .48974 .29441 Metetra
.323 .777 .953 r
.48974 .29441 .49367 .29616 .50066 .29524 .49675 .29349 Metetra
.329 .78 .954 r
.49675 .29349 .50066 .29524 .50768 .29428 .50378 .29252 Metetra
.335 .784 .956 r
.50378 .29252 .50768 .29428 .51472 .29326 .51084 .29149 Metetra
.343 .788 .958 r
.51084 .29149 .51472 .29326 .52179 .29217 .51792 .2904 Metetra
.352 .793 .96 r
.51792 .2904 .52179 .29217 .52888 .29102 .52504 .28924 Metetra
.361 .799 .962 r
.52504 .28924 .52888 .29102 .536 .28979 .53217 .28801 Metetra
.371 .805 .964 r
.53217 .28801 .536 .28979 .54315 .28848 .53934 .28669 Metetra
.382 .811 .966 r
.53934 .28669 .54315 .28848 .55032 .28707 .54652 .28527 Metetra
.394 .817 .968 r
.54652 .28527 .55032 .28707 .55751 .28557 .55374 .28376 Metetra
.406 .824 .97 r
.55374 .28376 .55751 .28557 .56473 .28395 .56098 .28213 Metetra
.419 .831 .972 r
.56098 .28213 .56473 .28395 .57197 .28222 .56824 .28039 Metetra
.433 .838 .974 r
.56824 .28039 .57197 .28222 .57924 .28037 .57552 .27853 Metetra
.447 .845 .976 r
.57552 .27853 .57924 .28037 .58653 .27839 .58283 .27654 Metetra
.461 .853 .977 r
.58283 .27654 .58653 .27839 .59383 .27626 .59016 .27441 Metetra
.476 .86 .979 r
.59016 .27441 .59383 .27626 .60116 .274 .59751 .27213 Metetra
.491 .868 .98 r
.59751 .27213 .60116 .274 .60851 .27158 .60488 .2697 Metetra
.507 .875 .98 r
.60488 .2697 .60851 .27158 .61588 .269 .61227 .26711 Metetra
.523 .883 .981 r
.61227 .26711 .61588 .269 .62327 .26626 .61967 .26436 Metetra
.539 .89 .981 r
.61967 .26436 .62327 .26626 .63067 .26334 .6271 .26143 Metetra
.555 .897 .98 r
.6271 .26143 .63067 .26334 .63809 .26025 .63454 .25832 Metetra
.571 .904 .979 r
.63454 .25832 .63809 .26025 .64552 .25697 .64199 .25502 Metetra
.587 .91 .978 r
.64199 .25502 .64552 .25697 .65297 .25349 .64946 .25153 Metetra
.603 .916 .977 r
.64946 .25153 .65297 .25349 .66043 .24982 .65694 .24784 Metetra
.619 .922 .974 r
.65694 .24784 .66043 .24982 .6679 .24594 .66444 .24394 Metetra
.635 .928 .972 r
.66444 .24394 .6679 .24594 .67538 .24185 .67194 .23984 Metetra
.65 .933 .969 r
.67194 .23984 .67538 .24185 .68286 .23754 .67945 .23551 Metetra
.665 .938 .966 r
.67945 .23551 .68286 .23754 .69036 .23301 .68696 .23097 Metetra
.68 .943 .962 r
.68696 .23097 .69036 .23301 .69786 .22825 .69449 .22619 Metetra
.695 .947 .958 r
.69449 .22619 .69786 .22825 .70536 .22327 .70201 .22118 Metetra
.709 .951 .953 r
.70201 .22118 .70536 .22327 .71286 .21804 .70954 .21593 Metetra
.723 .955 .948 r
.70954 .21593 .71286 .21804 .72037 .21257 .71707 .21044 Metetra
.737 .958 .943 r
.71707 .21044 .72037 .21257 .72787 .20686 .7246 .20471 Metetra
.913 .872 .784 r
.03879 .59745 .044 .59802 .05121 .58593 .04603 .58532 Metetra
.911 .875 .789 r
.04603 .58532 .05121 .58593 .05837 .57417 .05322 .57352 Metetra
.909 .879 .794 r
.05322 .57352 .05837 .57417 .06548 .56273 .06036 .56204 Metetra
.906 .882 .799 r
.06036 .56204 .06548 .56273 .07255 .55161 .06745 .55089 Metetra
.904 .885 .804 r
.06745 .55089 .07255 .55161 .07956 .54081 .07449 .54005 Metetra
.901 .888 .81 r
.07449 .54005 .07956 .54081 .08654 .53032 .08149 .52953 Metetra
.898 .892 .816 r
.08149 .52953 .08654 .53032 .09347 .52014 .08845 .51931 Metetra
.894 .895 .821 r
.08845 .51931 .09347 .52014 .10036 .51026 .09537 .50941 Metetra
.891 .898 .827 r
.09537 .50941 .10036 .51026 .10722 .50068 .10225 .4998 Metetra
.887 .902 .834 r
.10225 .4998 .10722 .50068 .11403 .4914 .10909 .49049 Metetra
.882 .905 .84 r
.10909 .49049 .11403 .4914 .12081 .48241 .1159 .48147 Metetra
.878 .908 .846 r
.1159 .48147 .12081 .48241 .12756 .47371 .12267 .47274 Metetra
.873 .911 .853 r
.12267 .47274 .12756 .47371 .13428 .46529 .12941 .46429 Metetra
.868 .915 .859 r
.12941 .46429 .13428 .46529 .14097 .45715 .13612 .45612 Metetra
.862 .918 .866 r
.13612 .45612 .14097 .45715 .14763 .44928 .1428 .44823 Metetra
.856 .921 .873 r
.1428 .44823 .14763 .44928 .15426 .44169 .14945 .44061 Metetra
.849 .923 .88 r
.14945 .44061 .15426 .44169 .16086 .43436 .15608 .43326 Metetra
.842 .926 .887 r
.15608 .43326 .16086 .43436 .16745 .42729 .16268 .42617 Metetra
.834 .928 .894 r
.16268 .42617 .16745 .42729 .17401 .42048 .16927 .41934 Metetra
.826 .931 .901 r
.16927 .41934 .17401 .42048 .18055 .41392 .17583 .41276 Metetra
.817 .933 .907 r
.17583 .41276 .18055 .41392 .18707 .40762 .18237 .40643 Metetra
.808 .934 .914 r
.18237 .40643 .18707 .40762 .19358 .40155 .18889 .40034 Metetra
.798 .936 .921 r
.18889 .40034 .19358 .40155 .20007 .39572 .1954 .3945 Metetra
.788 .937 .927 r
.1954 .3945 .20007 .39572 .20654 .39013 .2019 .38889 Metetra
.776 .937 .934 r
.2019 .38889 .20654 .39013 .21301 .38477 .20838 .3835 Metetra
.765 .938 .94 r
.20838 .3835 .21301 .38477 .21946 .37963 .21485 .37835 Metetra
.752 .937 .946 r
.21485 .37835 .21946 .37963 .2259 .37471 .22131 .37341 Metetra
.739 .937 .951 r
.22131 .37341 .2259 .37471 .23233 .37001 .22776 .3687 Metetra
.725 .936 .957 r
.22776 .3687 .23233 .37001 .23876 .36552 .2342 .36419 Metetra
.711 .934 .961 r
.2342 .36419 .23876 .36552 .24518 .36123 .24064 .35988 Metetra
.696 .932 .966 r
.24064 .35988 .24518 .36123 .2516 .35714 .24708 .35578 Metetra
.681 .929 .97 r
.24708 .35578 .2516 .35714 .25802 .35325 .25351 .35187 Metetra
.665 .926 .973 r
.25351 .35187 .25802 .35325 .26443 .34955 .25994 .34816 Metetra
.648 .922 .976 r
.25994 .34816 .26443 .34955 .27084 .34603 .26637 .34463 Metetra
.631 .917 .979 r
.26637 .34463 .27084 .34603 .27726 .34269 .2728 .34127 Metetra
.614 .912 .981 r
.2728 .34127 .27726 .34269 .28368 .33952 .27924 .33809 Metetra
.597 .907 .982 r
.27924 .33809 .28368 .33952 .2901 .33652 .28568 .33509 Metetra
.579 .901 .983 r
.28568 .33509 .2901 .33652 .29653 .33369 .29212 .33224 Metetra
.561 .895 .984 r
.29212 .33224 .29653 .33369 .30296 .33101 .29857 .32955 Metetra
.543 .888 .983 r
.29857 .32955 .30296 .33101 .3094 .32848 .30503 .32701 Metetra
.526 .881 .983 r
.30503 .32701 .3094 .32848 .31586 .3261 .31149 .32462 Metetra
.508 .874 .982 r
.31149 .32462 .31586 .3261 .32232 .32386 .31797 .32237 Metetra
.491 .866 .981 r
.31797 .32237 .32232 .32386 .32879 .32175 .32446 .32025 Metetra
.474 .859 .979 r
.32446 .32025 .32879 .32175 .33527 .31977 .33096 .31826 Metetra
.457 .851 .977 r
.33096 .31826 .33527 .31977 .34177 .31791 .33747 .31639 Metetra
.441 .843 .975 r
.33747 .31639 .34177 .31791 .34828 .31616 .344 .31464 Metetra
.426 .836 .972 r
.344 .31464 .34828 .31616 .35481 .31453 .35054 .313 Metetra
.411 .828 .969 r
.35054 .313 .35481 .31453 .36135 .313 .3571 .31146 Metetra
.397 .821 .967 r
.3571 .31146 .36135 .313 .36791 .31156 .36367 .31002 Metetra
.384 .814 .964 r
.36367 .31002 .36791 .31156 .37449 .31022 .37027 .30866 Metetra
.371 .807 .961 r
.37027 .30866 .37449 .31022 .38109 .30895 .37688 .30739 Metetra
.359 .801 .958 r
.37688 .30739 .38109 .30895 .3877 .30777 .38351 .3062 Metetra
.349 .795 .956 r
.38351 .3062 .3877 .30777 .39434 .30665 .39016 .30508 Metetra
.339 .789 .953 r
.39016 .30508 .39434 .30665 .401 .3056 .39684 .30402 Metetra
.33 .784 .951 r
.39684 .30402 .401 .3056 .40768 .3046 .40353 .30302 Metetra
.323 .78 .949 r
.40353 .30302 .40768 .3046 .41438 .30365 .41025 .30206 Metetra
.316 .776 .947 r
.41025 .30206 .41438 .30365 .42111 .30275 .41699 .30115 Metetra
.311 .772 .946 r
.41699 .30115 .42111 .30275 .42786 .30188 .42376 .30027 Metetra
.306 .77 .944 r
.42376 .30027 .42786 .30188 .43463 .30104 .43054 .29943 Metetra
.303 .768 .943 r
.43054 .29943 .43463 .30104 .44143 .30021 .43736 .2986 Metetra
.3 .766 .943 r
.43736 .2986 .44143 .30021 .44825 .2994 .4442 .29778 Metetra
.299 .766 .942 r
.4442 .29778 .44825 .2994 .4551 .2986 .45106 .29697 Metetra
.299 .765 .942 r
.45106 .29697 .4551 .2986 .46198 .2978 .45795 .29616 Metetra
.3 .766 .943 r
.45795 .29616 .46198 .2978 .46888 .29698 .46487 .29534 Metetra
.302 .767 .943 r
.46487 .29534 .46888 .29698 .47581 .29615 .47181 .29451 Metetra
.305 .769 .944 r
.47181 .29451 .47581 .29615 .48276 .2953 .47878 .29365 Metetra
.308 .771 .945 r
.47878 .29365 .48276 .2953 .48974 .29441 .48578 .29276 Metetra
.313 .774 .946 r
.48578 .29276 .48974 .29441 .49675 .29349 .4928 .29183 Metetra
.319 .778 .948 r
.4928 .29183 .49675 .29349 .50378 .29252 .49985 .29085 Metetra
.326 .782 .95 r
.49985 .29085 .50378 .29252 .51084 .29149 .50693 .28981 Metetra
.334 .786 .952 r
.50693 .28981 .51084 .29149 .51792 .2904 .51403 .28872 Metetra
.343 .791 .954 r
.51403 .28872 .51792 .2904 .52504 .28924 .52116 .28755 Metetra
.352 .797 .956 r
.52116 .28755 .52504 .28924 .53217 .28801 .52832 .28631 Metetra
.362 .803 .958 r
.52832 .28631 .53217 .28801 .53934 .28669 .5355 .28498 Metetra
.373 .809 .961 r
.5355 .28498 .53934 .28669 .54652 .28527 .54271 .28356 Metetra
.385 .816 .963 r
.54271 .28356 .54652 .28527 .55374 .28376 .54994 .28203 Metetra
.398 .823 .965 r
.54994 .28203 .55374 .28376 .56098 .28213 .5572 .2804 Metetra
.411 .83 .967 r
.5572 .2804 .56098 .28213 .56824 .28039 .56448 .27865 Metetra
.425 .837 .969 r
.56448 .27865 .56824 .28039 .57552 .27853 .57178 .27678 Metetra
.439 .845 .971 r
.57178 .27678 .57552 .27853 .58283 .27654 .57911 .27478 Metetra
.454 .852 .973 r
.57911 .27478 .58283 .27654 .59016 .27441 .58646 .27264 Metetra
.469 .86 .974 r
.58646 .27264 .59016 .27441 .59751 .27213 .59383 .27035 Metetra
.484 .868 .976 r
.59383 .27035 .59751 .27213 .60488 .2697 .60122 .26791 Metetra
.5 .875 .977 r
.60122 .26791 .60488 .2697 .61227 .26711 .60863 .26531 Metetra
.516 .883 .977 r
.60863 .26531 .61227 .26711 .61967 .26436 .61606 .26254 Metetra
.532 .89 .977 r
.61606 .26254 .61967 .26436 .6271 .26143 .6235 .25959 Metetra
.549 .897 .977 r
.6235 .25959 .6271 .26143 .63454 .25832 .63096 .25647 Metetra
.565 .905 .977 r
.63096 .25647 .63454 .25832 .64199 .25502 .63844 .25316 Metetra
.581 .911 .976 r
.63844 .25316 .64199 .25502 .64946 .25153 .64593 .24966 Metetra
.598 .918 .974 r
.64593 .24966 .64946 .25153 .65694 .24784 .65344 .24595 Metetra
.614 .924 .972 r
.65344 .24595 .65694 .24784 .66444 .24394 .66095 .24204 Metetra
.63 .93 .97 r
.66095 .24204 .66444 .24394 .67194 .23984 .66848 .23791 Metetra
.646 .935 .967 r
.66848 .23791 .67194 .23984 .67945 .23551 .67601 .23357 Metetra
.661 .94 .964 r
.67601 .23357 .67945 .23551 .68696 .23097 .68355 .22901 Metetra
.676 .945 .96 r
.68355 .22901 .68696 .23097 .69449 .22619 .6911 .22421 Metetra
.691 .95 .956 r
.6911 .22421 .69449 .22619 .70201 .22118 .69865 .21918 Metetra
.706 .954 .952 r
.69865 .21918 .70201 .22118 .70954 .21593 .7062 .21392 Metetra
.72 .957 .947 r
.7062 .21392 .70954 .21593 .71707 .21044 .71375 .2084 Metetra
.734 .96 .942 r
.71375 .2084 .71707 .21044 .7246 .20471 .7213 .20265 Metetra
.914 .875 .784 r
.03353 .59698 .03879 .59745 .04603 .58532 .0408 .58481 Metetra
.912 .878 .789 r
.0408 .58481 .04603 .58532 .05322 .57352 .04802 .57297 Metetra
.91 .881 .794 r
.04802 .57297 .05322 .57352 .06036 .56204 .05519 .56146 Metetra
.907 .885 .799 r
.05519 .56146 .06036 .56204 .06745 .55089 .0623 .55026 Metetra
.904 .888 .805 r
.0623 .55026 .06745 .55089 .07449 .54005 .06938 .53939 Metetra
.902 .891 .81 r
.06938 .53939 .07449 .54005 .08149 .52953 .07641 .52883 Metetra
.898 .895 .816 r
.07641 .52883 .08149 .52953 .08845 .51931 .08339 .51859 Metetra
.895 .898 .822 r
.08339 .51859 .08845 .51931 .09537 .50941 .09033 .50864 Metetra
.891 .902 .828 r
.09033 .50864 .09537 .50941 .10225 .4998 .09724 .49901 Metetra
.887 .905 .834 r
.09724 .49901 .10225 .4998 .10909 .49049 .1041 .48966 Metetra
.883 .908 .84 r
.1041 .48966 .10909 .49049 .1159 .48147 .11093 .48061 Metetra
.878 .912 .847 r
.11093 .48061 .1159 .48147 .12267 .47274 .11773 .47186 Metetra
.873 .915 .853 r
.11773 .47186 .12267 .47274 .12941 .46429 .12449 .46338 Metetra
.868 .918 .86 r
.12449 .46338 .12941 .46429 .13612 .45612 .13123 .45519 Metetra
.862 .921 .867 r
.13123 .45519 .13612 .45612 .1428 .44823 .13793 .44727 Metetra
.856 .924 .874 r
.13793 .44727 .1428 .44823 .14945 .44061 .1446 .43963 Metetra
.849 .927 .88 r
.1446 .43963 .14945 .44061 .15608 .43326 .15125 .43225 Metetra
.842 .93 .887 r
.15125 .43225 .15608 .43326 .16268 .42617 .15788 .42514 Metetra
.834 .932 .894 r
.15788 .42514 .16268 .42617 .16927 .41934 .16448 .41828 Metetra
.826 .934 .901 r
.16448 .41828 .16927 .41934 .17583 .41276 .17106 .41168 Metetra
.817 .936 .908 r
.17106 .41168 .17583 .41276 .18237 .40643 .17763 .40533 Metetra
.807 .938 .915 r
.17763 .40533 .18237 .40643 .18889 .40034 .18417 .39922 Metetra
.797 .939 .921 r
.18417 .39922 .18889 .40034 .1954 .3945 .1907 .39336 Metetra
.787 .94 .928 r
.1907 .39336 .1954 .3945 .2019 .38889 .19721 .38773 Metetra
.775 .941 .934 r
.19721 .38773 .2019 .38889 .20838 .3835 .20371 .38233 Metetra
.763 .941 .94 r
.20371 .38233 .20838 .3835 .21485 .37835 .2102 .37715 Metetra
.75 .941 .946 r
.2102 .37715 .21485 .37835 .22131 .37341 .21668 .3722 Metetra
.737 .94 .951 r
.21668 .3722 .22131 .37341 .22776 .3687 .22315 .36747 Metetra
.723 .939 .956 r
.22315 .36747 .22776 .3687 .2342 .36419 .22961 .36294 Metetra
.708 .937 .961 r
.22961 .36294 .2342 .36419 .24064 .35988 .23607 .35862 Metetra
.693 .935 .965 r
.23607 .35862 .24064 .35988 .24708 .35578 .24252 .35451 Metetra
.677 .932 .969 r
.24252 .35451 .24708 .35578 .25351 .35187 .24897 .35059 Metetra
.661 .928 .972 r
.24897 .35059 .25351 .35187 .25994 .34816 .25542 .34686 Metetra
.644 .924 .975 r
.25542 .34686 .25994 .34816 .26637 .34463 .26186 .34331 Metetra
.627 .919 .977 r
.26186 .34331 .26637 .34463 .2728 .34127 .26831 .33995 Metetra
.609 .914 .979 r
.26831 .33995 .2728 .34127 .27924 .33809 .27476 .33675 Metetra
.592 .909 .98 r
.27476 .33675 .27924 .33809 .28568 .33509 .28122 .33373 Metetra
.574 .903 .981 r
.28122 .33373 .28568 .33509 .29212 .33224 .28768 .33088 Metetra
.556 .896 .981 r
.28768 .33088 .29212 .33224 .29857 .32955 .29414 .32818 Metetra
.537 .889 .981 r
.29414 .32818 .29857 .32955 .30503 .32701 .30062 .32563 Metetra
.519 .882 .98 r
.30062 .32563 .30503 .32701 .31149 .32462 .3071 .32323 Metetra
.501 .874 .979 r
.3071 .32323 .31149 .32462 .31797 .32237 .31359 .32096 Metetra
.484 .866 .977 r
.31359 .32096 .31797 .32237 .32446 .32025 .32009 .31884 Metetra
.467 .858 .975 r
.32009 .31884 .32446 .32025 .33096 .31826 .32661 .31684 Metetra
.45 .85 .973 r
.32661 .31684 .33096 .31826 .33747 .31639 .33314 .31496 Metetra
.433 .842 .97 r
.33314 .31496 .33747 .31639 .344 .31464 .33968 .3132 Metetra
.418 .835 .967 r
.33968 .3132 .344 .31464 .35054 .313 .34623 .31155 Metetra
.403 .827 .964 r
.34623 .31155 .35054 .313 .3571 .31146 .35281 .31001 Metetra
.388 .819 .961 r
.35281 .31001 .3571 .31146 .36367 .31002 .3594 .30855 Metetra
.375 .812 .958 r
.3594 .30855 .36367 .31002 .37027 .30866 .36601 .30719 Metetra
.362 .805 .955 r
.36601 .30719 .37027 .30866 .37688 .30739 .37263 .30592 Metetra
.351 .799 .953 r
.37263 .30592 .37688 .30739 .38351 .3062 .37928 .30472 Metetra
.34 .792 .95 r
.37928 .30472 .38351 .3062 .39016 .30508 .38595 .30359 Metetra
.33 .787 .947 r
.38595 .30359 .39016 .30508 .39684 .30402 .39264 .30252 Metetra
.321 .782 .945 r
.39264 .30252 .39684 .30402 .40353 .30302 .39935 .30152 Metetra
.313 .777 .943 r
.39935 .30152 .40353 .30302 .41025 .30206 .40608 .30056 Metetra
.307 .773 .941 r
.40608 .30056 .41025 .30206 .41699 .30115 .41284 .29964 Metetra
.301 .77 .939 r
.41284 .29964 .41699 .30115 .42376 .30027 .41962 .29876 Metetra
.297 .767 .938 r
.41962 .29876 .42376 .30027 .43054 .29943 .42643 .2979 Metetra
.293 .765 .937 r
.42643 .2979 .43054 .29943 .43736 .2986 .43326 .29707 Metetra
.291 .763 .936 r
.43326 .29707 .43736 .2986 .4442 .29778 .44011 .29625 Metetra
.29 .763 .935 r
.44011 .29625 .4442 .29778 .45106 .29697 .44699 .29543 Metetra
.289 .762 .935 r
.44699 .29543 .45106 .29697 .45795 .29616 .4539 .29462 Metetra
.29 .763 .936 r
.4539 .29462 .45795 .29616 .46487 .29534 .46083 .29379 Metetra
.292 .764 .936 r
.46083 .29379 .46487 .29534 .47181 .29451 .46779 .29295 Metetra
.295 .766 .937 r
.46779 .29295 .47181 .29451 .47878 .29365 .47478 .29208 Metetra
.299 .768 .938 r
.47478 .29208 .47878 .29365 .48578 .29276 .48179 .29119 Metetra
.304 .771 .94 r
.48179 .29119 .48578 .29276 .4928 .29183 .48883 .29025 Metetra
.31 .775 .941 r
.48883 .29025 .4928 .29183 .49985 .29085 .4959 .28926 Metetra
.317 .779 .943 r
.4959 .28926 .49985 .29085 .50693 .28981 .50299 .28822 Metetra
.325 .784 .945 r
.50299 .28822 .50693 .28981 .51403 .28872 .51012 .28712 Metetra
.333 .789 .947 r
.51012 .28712 .51403 .28872 .52116 .28755 .51726 .28595 Metetra
.343 .795 .95 r
.51726 .28595 .52116 .28755 .52832 .28631 .52444 .2847 Metetra
.353 .801 .952 r
.52444 .2847 .52832 .28631 .5355 .28498 .53164 .28336 Metetra
.365 .807 .955 r
.53164 .28336 .5355 .28498 .54271 .28356 .53886 .28193 Metetra
.377 .814 .957 r
.53886 .28193 .54271 .28356 .54994 .28203 .54611 .2804 Metetra
.389 .821 .96 r
.54611 .2804 .54994 .28203 .5572 .2804 .55339 .27876 Metetra
.403 .829 .962 r
.55339 .27876 .5572 .2804 .56448 .27865 .56069 .277 Metetra
.416 .836 .964 r
.56069 .277 .56448 .27865 .57178 .27678 .56802 .27512 Metetra
.431 .844 .966 r
.56802 .27512 .57178 .27678 .57911 .27478 .57536 .27311 Metetra
.446 .852 .968 r
.57536 .27311 .57911 .27478 .58646 .27264 .58273 .27095 Metetra
.461 .859 .97 r
.58273 .27095 .58646 .27264 .59383 .27035 .59012 .26865 Metetra
.477 .867 .971 r
.59012 .26865 .59383 .27035 .60122 .26791 .59753 .2662 Metetra
.493 .875 .973 r
.59753 .2662 .60122 .26791 .60863 .26531 .60496 .26359 Metetra
.509 .883 .973 r
.60496 .26359 .60863 .26531 .61606 .26254 .61241 .26081 Metetra
.526 .891 .974 r
.61241 .26081 .61606 .26254 .6235 .25959 .61988 .25785 Metetra
.542 .898 .974 r
.61988 .25785 .6235 .25959 .63096 .25647 .62737 .25471 Metetra
.559 .905 .973 r
.62737 .25471 .63096 .25647 .63844 .25316 .63487 .25139 Metetra
.575 .912 .973 r
.63487 .25139 .63844 .25316 .64593 .24966 .64238 .24787 Metetra
.592 .919 .971 r
.64238 .24787 .64593 .24966 .65344 .24595 .64991 .24415 Metetra
.608 .925 .97 r
.64991 .24415 .65344 .24595 .66095 .24204 .65745 .24022 Metetra
.625 .931 .967 r
.65745 .24022 .66095 .24204 .66848 .23791 .66499 .23608 Metetra
.641 .937 .965 r
.66499 .23608 .66848 .23791 .67601 .23357 .67255 .23172 Metetra
.657 .942 .962 r
.67255 .23172 .67601 .23357 .68355 .22901 .68012 .22713 Metetra
.672 .947 .958 r
.68012 .22713 .68355 .22901 .6911 .22421 .68769 .22232 Metetra
.687 .952 .954 r
.68769 .22232 .6911 .22421 .69865 .21918 .69526 .21727 Metetra
.702 .956 .95 r
.69526 .21727 .69865 .21918 .7062 .21392 .70284 .21198 Metetra
.716 .959 .945 r
.70284 .21198 .7062 .21392 .71375 .2084 .71042 .20645 Metetra
.73 .963 .94 r
.71042 .20645 .71375 .2084 .7213 .20265 .71799 .20067 Metetra
.915 .878 .785 r
.02822 .5966 .03353 .59698 .0408 .58481 .03552 .58439 Metetra
.913 .881 .79 r
.03552 .58439 .0408 .58481 .04802 .57297 .04277 .57251 Metetra
.911 .884 .795 r
.04277 .57251 .04802 .57297 .05519 .56146 .04997 .56096 Metetra
.908 .888 .8 r
.04997 .56096 .05519 .56146 .0623 .55026 .05712 .54974 Metetra
.905 .891 .805 r
.05712 .54974 .0623 .55026 .06938 .53939 .06422 .53883 Metetra
.902 .894 .811 r
.06422 .53883 .06938 .53939 .07641 .52883 .07127 .52823 Metetra
.899 .898 .817 r
.07127 .52823 .07641 .52883 .08339 .51859 .07828 .51795 Metetra
.896 .901 .822 r
.07828 .51795 .08339 .51859 .09033 .50864 .08525 .50798 Metetra
.892 .905 .828 r
.08525 .50798 .09033 .50864 .09724 .49901 .09218 .49831 Metetra
.888 .908 .835 r
.09218 .49831 .09724 .49901 .1041 .48966 .09907 .48893 Metetra
.884 .912 .841 r
.09907 .48893 .1041 .48966 .11093 .48061 .10593 .47986 Metetra
.879 .915 .847 r
.10593 .47986 .11093 .48061 .11773 .47186 .11275 .47107 Metetra
.874 .918 .854 r
.11275 .47107 .11773 .47186 .12449 .46338 .11954 .46257 Metetra
.868 .922 .861 r
.11954 .46257 .12449 .46338 .13123 .45519 .12629 .45434 Metetra
.863 .925 .867 r
.12629 .45434 .13123 .45519 .13793 .44727 .13302 .4464 Metetra
.856 .928 .874 r
.13302 .4464 .13793 .44727 .1446 .43963 .13972 .43873 Metetra
.849 .931 .881 r
.13972 .43873 .1446 .43963 .15125 .43225 .14639 .43133 Metetra
.842 .933 .888 r
.14639 .43133 .15125 .43225 .15788 .42514 .15304 .42419 Metetra
.834 .936 .895 r
.15304 .42419 .15788 .42514 .16448 .41828 .15966 .41731 Metetra
.825 .938 .902 r
.15966 .41731 .16448 .41828 .17106 .41168 .16626 .41069 Metetra
.816 .94 .908 r
.16626 .41069 .17106 .41168 .17763 .40533 .17284 .40432 Metetra
.807 .942 .915 r
.17284 .40432 .17763 .40533 .18417 .39922 .17941 .39819 Metetra
.796 .943 .922 r
.17941 .39819 .18417 .39922 .1907 .39336 .18596 .39231 Metetra
.785 .944 .928 r
.18596 .39231 .1907 .39336 .19721 .38773 .19249 .38666 Metetra
.774 .944 .934 r
.19249 .38666 .19721 .38773 .20371 .38233 .19901 .38124 Metetra
.761 .945 .94 r
.19901 .38124 .20371 .38233 .2102 .37715 .20552 .37605 Metetra
.748 .944 .946 r
.20552 .37605 .2102 .37715 .21668 .3722 .21201 .37108 Metetra
.735 .943 .951 r
.21201 .37108 .21668 .3722 .22315 .36747 .2185 .36633 Metetra
.721 .942 .956 r
.2185 .36633 .22315 .36747 .22961 .36294 .22498 .36179 Metetra
.706 .94 .96 r
.22498 .36179 .22961 .36294 .23607 .35862 .23146 .35745 Metetra
.69 .937 .965 r
.23146 .35745 .23607 .35862 .24252 .35451 .23792 .35332 Metetra
.674 .934 .968 r
.23792 .35332 .24252 .35451 .24897 .35059 .24439 .34938 Metetra
.657 .931 .971 r
.24439 .34938 .24897 .35059 .25542 .34686 .25086 .34564 Metetra
.64 .926 .974 r
.25086 .34564 .25542 .34686 .26186 .34331 .25732 .34208 Metetra
.623 .921 .976 r
.25732 .34208 .26186 .34331 .26831 .33995 .26378 .3387 Metetra
.605 .916 .977 r
.26378 .3387 .26831 .33995 .27476 .33675 .27025 .3355 Metetra
.586 .91 .978 r
.27025 .3355 .27476 .33675 .28122 .33373 .27672 .33247 Metetra
.568 .904 .978 r
.27672 .33247 .28122 .33373 .28768 .33088 .2832 .3296 Metetra
.55 .897 .978 r
.2832 .3296 .28768 .33088 .29414 .32818 .28968 .32689 Metetra
.531 .89 .978 r
.28968 .32689 .29414 .32818 .30062 .32563 .29617 .32433 Metetra
.513 .882 .976 r
.29617 .32433 .30062 .32563 .3071 .32323 .30267 .32192 Metetra
.495 .874 .975 r
.30267 .32192 .3071 .32323 .31359 .32096 .30917 .31965 Metetra
.477 .866 .973 r
.30917 .31965 .31359 .32096 .32009 .31884 .31569 .31751 Metetra
.459 .858 .971 r
.31569 .31751 .32009 .31884 .32661 .31684 .32222 .3155 Metetra
.442 .85 .968 r
.32222 .3155 .32661 .31684 .33314 .31496 .32877 .31362 Metetra
.425 .841 .965 r
.32877 .31362 .33314 .31496 .33968 .3132 .33532 .31185 Metetra
.409 .833 .962 r
.33532 .31185 .33968 .3132 .34623 .31155 .3419 .31019 Metetra
.394 .825 .959 r
.3419 .31019 .34623 .31155 .35281 .31001 .34849 .30864 Metetra
.38 .818 .956 r
.34849 .30864 .35281 .31001 .3594 .30855 .35509 .30718 Metetra
.366 .81 .952 r
.35509 .30718 .3594 .30855 .36601 .30719 .36172 .30581 Metetra
.353 .803 .949 r
.36172 .30581 .36601 .30719 .37263 .30592 .36836 .30453 Metetra
.341 .796 .946 r
.36836 .30453 .37263 .30592 .37928 .30472 .37502 .30332 Metetra
.331 .79 .943 r
.37502 .30332 .37928 .30472 .38595 .30359 .3817 .30219 Metetra
.321 .784 .94 r
.3817 .30219 .38595 .30359 .39264 .30252 .38841 .30112 Metetra
.312 .779 .938 r
.38841 .30112 .39264 .30252 .39935 .30152 .39514 .3001 Metetra
.304 .774 .936 r
.39514 .3001 .39935 .30152 .40608 .30056 .40188 .29914 Metetra
.297 .77 .933 r
.40188 .29914 .40608 .30056 .41284 .29964 .40866 .29821 Metetra
.292 .767 .932 r
.40866 .29821 .41284 .29964 .41962 .29876 .41545 .29732 Metetra
.287 .764 .93 r
.41545 .29732 .41962 .29876 .42643 .2979 .42227 .29646 Metetra
.283 .762 .929 r
.42227 .29646 .42643 .2979 .43326 .29707 .42912 .29563 Metetra
.281 .76 .928 r
.42912 .29563 .43326 .29707 .44011 .29625 .43599 .2948 Metetra
.28 .759 .928 r
.43599 .2948 .44011 .29625 .44699 .29543 .44289 .29398 Metetra
.28 .759 .928 r
.44289 .29398 .44699 .29543 .4539 .29462 .44981 .29316 Metetra
.28 .76 .928 r
.44981 .29316 .4539 .29462 .46083 .29379 .45676 .29233 Metetra
.282 .761 .929 r
.45676 .29233 .46083 .29379 .46779 .29295 .46374 .29148 Metetra
.285 .763 .93 r
.46374 .29148 .46779 .29295 .47478 .29208 .47074 .29061 Metetra
.289 .765 .931 r
.47074 .29061 .47478 .29208 .48179 .29119 .47778 .2897 Metetra
.294 .768 .932 r
.47778 .2897 .48179 .29119 .48883 .29025 .48483 .28876 Metetra
.3 .772 .934 r
.48483 .28876 .48883 .29025 .4959 .28926 .49192 .28777 Metetra
.307 .776 .936 r
.49192 .28777 .4959 .28926 .50299 .28822 .49903 .28672 Metetra
.315 .781 .938 r
.49903 .28672 .50299 .28822 .51012 .28712 .50617 .28561 Metetra
.324 .786 .941 r
.50617 .28561 .51012 .28712 .51726 .28595 .51334 .28443 Metetra
.334 .792 .943 r
.51334 .28443 .51726 .28595 .52444 .2847 .52053 .28318 Metetra
.344 .798 .946 r
.52053 .28318 .52444 .2847 .53164 .28336 .52775 .28183 Metetra
.356 .805 .949 r
.52775 .28183 .53164 .28336 .53886 .28193 .53499 .28039 Metetra
.368 .812 .951 r
.53499 .28039 .53886 .28193 .54611 .2804 .54226 .27885 Metetra
.38 .819 .954 r
.54226 .27885 .54611 .2804 .55339 .27876 .54956 .2772 Metetra
.394 .827 .956 r
.54956 .2772 .55339 .27876 .56069 .277 .55688 .27544 Metetra
.408 .835 .959 r
.55688 .27544 .56069 .277 .56802 .27512 .56422 .27354 Metetra
.423 .842 .961 r
.56422 .27354 .56802 .27512 .57536 .27311 .57159 .27152 Metetra
.438 .85 .963 r
.57159 .27152 .57536 .27311 .58273 .27095 .57898 .26936 Metetra
.453 .859 .965 r
.57898 .26936 .58273 .27095 .59012 .26865 .58639 .26705 Metetra
.469 .867 .967 r
.58639 .26705 .59012 .26865 .59753 .2662 .59382 .26459 Metetra
.486 .875 .968 r
.59382 .26459 .59753 .2662 .60496 .26359 .60128 .26196 Metetra
.502 .883 .969 r
.60128 .26196 .60496 .26359 .61241 .26081 .60875 .25917 Metetra
.519 .89 .97 r
.60875 .25917 .61241 .26081 .61988 .25785 .61624 .2562 Metetra
.536 .898 .97 r
.61624 .2562 .61988 .25785 .62737 .25471 .62375 .25305 Metetra
.552 .906 .97 r
.62375 .25305 .62737 .25471 .63487 .25139 .63127 .24971 Metetra
.569 .913 .969 r
.63127 .24971 .63487 .25139 .64238 .24787 .63881 .24617 Metetra
.586 .92 .968 r
.63881 .24617 .64238 .24787 .64991 .24415 .64636 .24244 Metetra
.603 .926 .967 r
.64636 .24244 .64991 .24415 .65745 .24022 .65392 .23849 Metetra
.619 .932 .965 r
.65392 .23849 .65745 .24022 .66499 .23608 .66149 .23433 Metetra
.636 .938 .962 r
.66149 .23433 .66499 .23608 .67255 .23172 .66907 .22995 Metetra
.652 .944 .959 r
.66907 .22995 .67255 .23172 .68012 .22713 .67666 .22535 Metetra
.668 .949 .956 r
.67666 .22535 .68012 .22713 .68769 .22232 .68426 .22052 Metetra
.683 .954 .952 r
.68426 .22052 .68769 .22232 .69526 .21727 .69186 .21545 Metetra
.698 .958 .948 r
.69186 .21545 .69526 .21727 .70284 .21198 .69946 .21014 Metetra
.713 .962 .943 r
.69946 .21014 .70284 .21198 .71042 .20645 .70706 .20458 Metetra
.727 .965 .938 r
.70706 .20458 .71042 .20645 .71799 .20067 .71467 .19878 Metetra
.916 .88 .785 r
.02287 .59633 .02822 .5966 .03552 .58439 .0302 .58408 Metetra
.914 .884 .79 r
.0302 .58408 .03552 .58439 .04277 .57251 .03748 .57216 Metetra
.911 .887 .795 r
.03748 .57216 .04277 .57251 .04997 .56096 .0447 .56057 Metetra
.909 .89 .8 r
.0447 .56057 .04997 .56096 .05712 .54974 .05188 .5493 Metetra
.906 .894 .806 r
.05188 .5493 .05712 .54974 .06422 .53883 .05901 .53836 Metetra
.903 .897 .811 r
.05901 .53836 .06422 .53883 .07127 .52823 .06609 .52773 Metetra
.9 .901 .817 r
.06609 .52773 .07127 .52823 .07828 .51795 .07313 .51741 Metetra
.897 .904 .823 r
.07313 .51741 .07828 .51795 .08525 .50798 .08013 .50741 Metetra
.893 .908 .829 r
.08013 .50741 .08525 .50798 .09218 .49831 .08708 .4977 Metetra
.889 .911 .835 r
.08708 .4977 .09218 .49831 .09907 .48893 .094 .4883 Metetra
.884 .915 .841 r
.094 .4883 .09907 .48893 .10593 .47986 .10088 .47919 Metetra
.88 .918 .848 r
.10088 .47919 .10593 .47986 .11275 .47107 .10773 .47037 Metetra
.874 .922 .854 r
.10773 .47037 .11275 .47107 .11954 .46257 .11454 .46184 Metetra
.869 .925 .861 r
.11454 .46184 .11954 .46257 .12629 .45434 .12132 .45359 Metetra
.863 .928 .868 r
.12132 .45359 .12629 .45434 .13302 .4464 .12807 .44562 Metetra
.856 .931 .875 r
.12807 .44562 .13302 .4464 .13972 .43873 .13479 .43793 Metetra
.849 .934 .881 r
.13479 .43793 .13972 .43873 .14639 .43133 .14148 .4305 Metetra
.842 .937 .888 r
.14148 .4305 .14639 .43133 .15304 .42419 .14815 .42334 Metetra
.834 .939 .895 r
.14815 .42334 .15304 .42419 .15966 .41731 .15479 .41644 Metetra
.825 .941 .902 r
.15479 .41644 .15966 .41731 .16626 .41069 .16142 .40979 Metetra
.816 .943 .909 r
.16142 .40979 .16626 .41069 .17284 .40432 .16802 .4034 Metetra
.806 .945 .915 r
.16802 .4034 .17284 .40432 .17941 .39819 .17461 .39725 Metetra
.795 .946 .922 r
.17461 .39725 .17941 .39819 .18596 .39231 .18117 .39134 Metetra
.784 .947 .928 r
.18117 .39134 .18596 .39231 .19249 .38666 .18773 .38568 Metetra
.772 .948 .934 r
.18773 .38568 .19249 .38666 .19901 .38124 .19427 .38024 Metetra
.76 .948 .94 r
.19427 .38024 .19901 .38124 .20552 .37605 .20079 .37503 Metetra
.746 .947 .945 r
.20079 .37503 .20552 .37605 .21201 .37108 .20731 .37004 Metetra
.733 .946 .951 r
.20731 .37004 .21201 .37108 .2185 .36633 .21381 .36527 Metetra
.718 .945 .955 r
.21381 .36527 .2185 .36633 .22498 .36179 .22031 .36072 Metetra
.703 .943 .96 r
.22031 .36072 .22498 .36179 .23146 .35745 .2268 .35637 Metetra
.687 .94 .964 r
.2268 .35637 .23146 .35745 .23792 .35332 .23329 .35222 Metetra
.67 .937 .967 r
.23329 .35222 .23792 .35332 .24439 .34938 .23977 .34827 Metetra
.653 .933 .97 r
.23977 .34827 .24439 .34938 .25086 .34564 .24626 .34451 Metetra
.636 .928 .972 r
.24626 .34451 .25086 .34564 .25732 .34208 .25274 .34094 Metetra
.618 .923 .974 r
.25274 .34094 .25732 .34208 .26378 .3387 .25922 .33755 Metetra
.6 .917 .975 r
.25922 .33755 .26378 .3387 .27025 .3355 .2657 .33433 Metetra
.581 .911 .976 r
.2657 .33433 .27025 .3355 .27672 .33247 .27219 .33129 Metetra
.562 .904 .976 r
.27219 .33129 .27672 .33247 .2832 .3296 .27868 .32841 Metetra
.543 .897 .975 r
.27868 .32841 .2832 .3296 .28968 .32689 .28518 .32569 Metetra
.525 .89 .974 r
.28518 .32569 .28968 .32689 .29617 .32433 .29169 .32312 Metetra
.506 .882 .973 r
.29169 .32312 .29617 .32433 .30267 .32192 .2982 .3207 Metetra
.487 .874 .971 r
.2982 .3207 .30267 .32192 .30917 .31965 .30472 .31842 Metetra
.469 .865 .968 r
.30472 .31842 .30917 .31965 .31569 .31751 .31126 .31627 Metetra
.451 .857 .966 r
.31126 .31627 .31569 .31751 .32222 .3155 .3178 .31426 Metetra
.434 .848 .963 r
.3178 .31426 .32222 .3155 .32877 .31362 .32436 .31236 Metetra
.417 .84 .96 r
.32436 .31236 .32877 .31362 .33532 .31185 .33094 .31059 Metetra
.401 .832 .956 r
.33094 .31059 .33532 .31185 .3419 .31019 .33752 .30892 Metetra
.386 .823 .953 r
.33752 .30892 .3419 .31019 .34849 .30864 .34413 .30736 Metetra
.371 .815 .95 r
.34413 .30736 .34849 .30864 .35509 .30718 .35075 .30589 Metetra
.357 .808 .946 r
.35075 .30589 .35509 .30718 .36172 .30581 .35739 .30452 Metetra
.344 .8 .943 r
.35739 .30452 .36172 .30581 .36836 .30453 .36405 .30323 Metetra
.332 .793 .939 r
.36405 .30323 .36836 .30453 .37502 .30332 .37073 .30202 Metetra
.321 .787 .936 r
.37073 .30202 .37502 .30332 .3817 .30219 .37743 .30087 Metetra
.311 .781 .933 r
.37743 .30087 .3817 .30219 .38841 .30112 .38415 .2998 Metetra
.302 .776 .931 r
.38415 .2998 .38841 .30112 .39514 .3001 .39089 .29878 Metetra
.294 .771 .928 r
.39089 .29878 .39514 .3001 .40188 .29914 .39765 .2978 Metetra
.288 .767 .926 r
.39765 .2978 .40188 .29914 .40866 .29821 .40444 .29688 Metetra
.282 .763 .924 r
.40444 .29688 .40866 .29821 .41545 .29732 .41126 .29598 Metetra
.277 .76 .923 r
.41126 .29598 .41545 .29732 .42227 .29646 .41809 .29512 Metetra
.274 .758 .921 r
.41809 .29512 .42227 .29646 .42912 .29563 .42496 .29427 Metetra
.271 .757 .921 r
.42496 .29427 .42912 .29563 .43599 .2948 .43184 .29344 Metetra
.27 .756 .92 r
.43184 .29344 .43599 .2948 .44289 .29398 .43876 .29261 Metetra
.27 .756 .92 r
.43876 .29261 .44289 .29398 .44981 .29316 .4457 .29179 Metetra
.271 .756 .92 r
.4457 .29179 .44981 .29316 .45676 .29233 .45266 .29095 Metetra
.273 .757 .921 r
.45266 .29095 .45676 .29233 .46374 .29148 .45966 .2901 Metetra
.276 .759 .922 r
.45966 .2901 .46374 .29148 .47074 .29061 .46668 .28922 Metetra
.28 .762 .923 r
.46668 .28922 .47074 .29061 .47778 .2897 .47373 .28831 Metetra
.285 .765 .925 r
.47373 .28831 .47778 .2897 .48483 .28876 .4808 .28736 Metetra
.291 .769 .927 r
.4808 .28736 .48483 .28876 .49192 .28777 .48791 .28636 Metetra
.298 .773 .929 r
.48791 .28636 .49192 .28777 .49903 .28672 .49504 .28531 Metetra
.306 .778 .931 r
.49504 .28531 .49903 .28672 .50617 .28561 .50219 .28419 Metetra
.315 .783 .934 r
.50219 .28419 .50617 .28561 .51334 .28443 .50938 .28301 Metetra
.324 .789 .936 r
.50938 .28301 .51334 .28443 .52053 .28318 .51659 .28174 Metetra
.335 .796 .939 r
.51659 .28174 .52053 .28318 .52775 .28183 .52383 .28039 Metetra
.346 .803 .942 r
.52383 .28039 .52775 .28183 .53499 .28039 .53109 .27894 Metetra
.359 .81 .945 r
.53109 .27894 .53499 .28039 .54226 .27885 .53838 .2774 Metetra
.372 .817 .948 r
.53838 .2774 .54226 .27885 .54956 .2772 .5457 .27574 Metetra
.385 .825 .95 r
.5457 .27574 .54956 .2772 .55688 .27544 .55304 .27396 Metetra
.399 .833 .953 r
.55304 .27396 .55688 .27544 .56422 .27354 .5604 .27206 Metetra
.414 .841 .956 r
.5604 .27206 .56422 .27354 .57159 .27152 .56779 .27003 Metetra
.43 .849 .958 r
.56779 .27003 .57159 .27152 .57898 .26936 .5752 .26786 Metetra
.445 .857 .96 r
.5752 .26786 .57898 .26936 .58639 .26705 .58264 .26553 Metetra
.461 .866 .962 r
.58264 .26553 .58639 .26705 .59382 .26459 .59009 .26306 Metetra
.478 .874 .963 r
.59009 .26306 .59382 .26459 .60128 .26196 .59757 .26042 Metetra
.495 .882 .965 r
.59757 .26042 .60128 .26196 .60875 .25917 .60506 .25762 Metetra
.512 .89 .965 r
.60506 .25762 .60875 .25917 .61624 .2562 .61257 .25463 Metetra
.529 .898 .966 r
.61257 .25463 .61624 .2562 .62375 .25305 .6201 .25147 Metetra
.546 .906 .966 r
.6201 .25147 .62375 .25305 .63127 .24971 .62765 .24811 Metetra
.563 .913 .966 r
.62765 .24811 .63127 .24971 .63881 .24617 .63521 .24456 Metetra
.58 .92 .965 r
.63521 .24456 .63881 .24617 .64636 .24244 .64278 .24081 Metetra
.597 .927 .963 r
.64278 .24081 .64636 .24244 .65392 .23849 .65037 .23685 Metetra
.614 .933 .962 r
.65037 .23685 .65392 .23849 .66149 .23433 .65796 .23267 Metetra
.63 .939 .959 r
.65796 .23267 .66149 .23433 .66907 .22995 .66557 .22828 Metetra
.647 .945 .957 r
.66557 .22828 .66907 .22995 .67666 .22535 .67318 .22366 Metetra
.663 .95 .953 r
.67318 .22366 .67666 .22535 .68426 .22052 .6808 .2188 Metetra
.679 .955 .95 r
.6808 .2188 .68426 .22052 .69186 .21545 .68843 .21371 Metetra
.694 .96 .946 r
.68843 .21371 .69186 .21545 .69946 .21014 .69606 .20838 Metetra
.709 .963 .941 r
.69606 .20838 .69946 .21014 .70706 .20458 .70369 .2028 Metetra
.723 .967 .936 r
.70369 .2028 .70706 .20458 .71467 .19878 .71132 .19698 Metetra
.917 .883 .785 r
.01747 .59615 .02287 .59633 .0302 .58408 .02483 .58386 Metetra
.915 .886 .79 r
.02483 .58386 .0302 .58408 .03748 .57216 .03214 .5719 Metetra
.912 .89 .795 r
.03214 .5719 .03748 .57216 .0447 .56057 .03939 .56027 Metetra
.91 .893 .801 r
.03939 .56027 .0447 .56057 .05188 .5493 .0466 .54897 Metetra
.907 .897 .806 r
.0466 .54897 .05188 .5493 .05901 .53836 .05376 .53799 Metetra
.904 .9 .812 r
.05376 .53799 .05901 .53836 .06609 .52773 .06087 .52732 Metetra
.901 .904 .817 r
.06087 .52732 .06609 .52773 .07313 .51741 .06793 .51697 Metetra
.897 .907 .823 r
.06793 .51697 .07313 .51741 .08013 .50741 .07496 .50693 Metetra
.894 .911 .829 r
.07496 .50693 .08013 .50741 .08708 .4977 .08194 .49719 Metetra
.889 .915 .835 r
.08194 .49719 .08708 .4977 .094 .4883 .08888 .48776 Metetra
.885 .918 .842 r
.08888 .48776 .094 .4883 .10088 .47919 .09579 .47862 Metetra
.88 .922 .848 r
.09579 .47862 .10088 .47919 .10773 .47037 .10266 .46977 Metetra
.875 .925 .855 r
.10266 .46977 .10773 .47037 .11454 .46184 .10949 .46121 Metetra
.869 .928 .861 r
.10949 .46121 .11454 .46184 .12132 .45359 .1163 .45293 Metetra
.863 .931 .868 r
.1163 .45293 .12132 .45359 .12807 .44562 .12307 .44494 Metetra
.856 .935 .875 r
.12307 .44494 .12807 .44562 .13479 .43793 .12981 .43722 Metetra
.849 .937 .882 r
.12981 .43722 .13479 .43793 .14148 .4305 .13653 .42976 Metetra
.842 .94 .889 r
.13653 .42976 .14148 .4305 .14815 .42334 .14322 .42258 Metetra
.833 .943 .895 r
.14322 .42258 .14815 .42334 .15479 .41644 .14989 .41565 Metetra
.825 .945 .902 r
.14989 .41565 .15479 .41644 .16142 .40979 .15653 .40898 Metetra
.815 .947 .909 r
.15653 .40898 .16142 .40979 .16802 .4034 .16316 .40257 Metetra
.805 .948 .915 r
.16316 .40257 .16802 .4034 .17461 .39725 .16976 .3964 Metetra
.794 .95 .922 r
.16976 .3964 .17461 .39725 .18117 .39134 .17635 .39047 Metetra
.783 .951 .928 r
.17635 .39047 .18117 .39134 .18773 .38568 .18292 .38478 Metetra
.771 .951 .934 r
.18292 .38478 .18773 .38568 .19427 .38024 .18948 .37933 Metetra
.758 .951 .94 r
.18948 .37933 .19427 .38024 .20079 .37503 .19603 .3741 Metetra
.744 .95 .945 r
.19603 .3741 .20079 .37503 .20731 .37004 .20256 .36909 Metetra
.73 .949 .95 r
.20256 .36909 .20731 .37004 .21381 .36527 .20909 .36431 Metetra
.715 .947 .955 r
.20909 .36431 .21381 .36527 .22031 .36072 .2156 .35974 Metetra
.7 .945 .959 r
.2156 .35974 .22031 .36072 .2268 .35637 .22211 .35537 Metetra
.683 .942 .962 r
.22211 .35537 .2268 .35637 .23329 .35222 .22862 .35121 Metetra
.666 .939 .965 r
.22862 .35121 .23329 .35222 .23977 .34827 .23512 .34724 Metetra
.649 .935 .968 r
.23512 .34724 .23977 .34827 .24626 .34451 .24162 .34347 Metetra
.631 .93 .97 r
.24162 .34347 .24626 .34451 .25274 .34094 .24812 .33989 Metetra
.613 .924 .971 r
.24812 .33989 .25274 .34094 .25922 .33755 .25462 .33648 Metetra
.594 .919 .972 r
.25462 .33648 .25922 .33755 .2657 .33433 .26112 .33326 Metetra
.575 .912 .973 r
.26112 .33326 .2657 .33433 .27219 .33129 .26762 .3302 Metetra
.556 .905 .972 r
.26762 .3302 .27219 .33129 .27868 .32841 .27413 .32731 Metetra
.537 .898 .972 r
.27413 .32731 .27868 .32841 .28518 .32569 .28065 .32458 Metetra
.518 .89 .97 r
.28065 .32458 .28518 .32569 .29169 .32312 .28717 .322 Metetra
.499 .882 .968 r
.28717 .322 .29169 .32312 .2982 .3207 .2937 .31956 Metetra
.48 .873 .966 r
.2937 .31956 .2982 .3207 .30472 .31842 .30024 .31727 Metetra
.462 .865 .964 r
.30024 .31727 .30472 .31842 .31126 .31627 .30679 .31512 Metetra
.443 .856 .961 r
.30679 .31512 .31126 .31627 .3178 .31426 .31335 .3131 Metetra
.426 .847 .957 r
.31335 .3131 .3178 .31426 .32436 .31236 .31992 .31119 Metetra
.409 .838 .954 r
.31992 .31119 .32436 .31236 .33094 .31059 .32651 .30941 Metetra
.392 .83 .95 r
.32651 .30941 .33094 .31059 .33752 .30892 .33312 .30774 Metetra
.377 .821 .947 r
.33312 .30774 .33752 .30892 .34413 .30736 .33974 .30617 Metetra
.362 .813 .943 r
.33974 .30617 .34413 .30736 .35075 .30589 .34637 .30469 Metetra
.348 .805 .939 r
.34637 .30469 .35075 .30589 .35739 .30452 .35303 .30331 Metetra
.335 .798 .936 r
.35303 .30331 .35739 .30452 .36405 .30323 .3597 .30202 Metetra
.323 .79 .932 r
.3597 .30202 .36405 .30323 .37073 .30202 .3664 .3008 Metetra
.312 .784 .929 r
.3664 .3008 .37073 .30202 .37743 .30087 .37311 .29965 Metetra
.302 .778 .926 r
.37311 .29965 .37743 .30087 .38415 .2998 .37985 .29857 Metetra
.293 .772 .923 r
.37985 .29857 .38415 .2998 .39089 .29878 .38661 .29754 Metetra
.285 .767 .92 r
.38661 .29754 .39089 .29878 .39765 .2978 .39339 .29656 Metetra
.278 .763 .918 r
.39339 .29656 .39765 .2978 .40444 .29688 .40019 .29563 Metetra
.272 .76 .916 r
.40019 .29563 .40444 .29688 .41126 .29598 .40702 .29473 Metetra
.267 .757 .915 r
.40702 .29473 .41126 .29598 .41809 .29512 .41388 .29386 Metetra
.264 .754 .913 r
.41388 .29386 .41809 .29512 .42496 .29427 .42076 .29301 Metetra
.261 .753 .913 r
.42076 .29301 .42496 .29427 .43184 .29344 .42766 .29217 Metetra
.26 .752 .912 r
.42766 .29217 .43184 .29344 .43876 .29261 .43459 .29134 Metetra
.26 .752 .912 r
.43459 .29134 .43876 .29261 .4457 .29179 .44155 .29051 Metetra
.261 .752 .912 r
.44155 .29051 .4457 .29179 .45266 .29095 .44853 .28966 Metetra
.263 .754 .913 r
.44853 .28966 .45266 .29095 .45966 .2901 .45555 .2888 Metetra
.266 .756 .914 r
.45555 .2888 .45966 .2901 .46668 .28922 .46258 .28792 Metetra
.27 .758 .915 r
.46258 .28792 .46668 .28922 .47373 .28831 .46965 .28701 Metetra
.275 .761 .917 r
.46965 .28701 .47373 .28831 .4808 .28736 .47674 .28605 Metetra
.281 .765 .919 r
.47674 .28605 .4808 .28736 .48791 .28636 .48387 .28505 Metetra
.288 .77 .921 r
.48387 .28505 .48791 .28636 .49504 .28531 .49101 .28399 Metetra
.296 .775 .923 r
.49101 .28399 .49504 .28531 .50219 .28419 .49819 .28287 Metetra
.305 .78 .926 r
.49819 .28287 .50219 .28419 .50938 .28301 .50539 .28167 Metetra
.315 .786 .929 r
.50539 .28167 .50938 .28301 .51659 .28174 .51262 .2804 Metetra
.326 .793 .932 r
.51262 .2804 .51659 .28174 .52383 .28039 .51988 .27904 Metetra
.337 .8 .935 r
.51988 .27904 .52383 .28039 .53109 .27894 .52717 .27759 Metetra
.349 .807 .938 r
.52717 .27759 .53109 .27894 .53838 .2774 .53448 .27603 Metetra
.363 .815 .941 r
.53448 .27603 .53838 .2774 .5457 .27574 .54181 .27436 Metetra
.376 .822 .944 r
.54181 .27436 .5457 .27574 .55304 .27396 .54917 .27258 Metetra
.391 .831 .947 r
.54917 .27258 .55304 .27396 .5604 .27206 .55656 .27067 Metetra
.406 .839 .949 r
.55656 .27067 .5604 .27206 .56779 .27003 .56397 .26863 Metetra
.421 .847 .952 r
.56397 .26863 .56779 .27003 .5752 .26786 .5714 .26644 Metetra
.437 .856 .954 r
.5714 .26644 .5752 .26786 .58264 .26553 .57885 .26411 Metetra
.453 .864 .956 r
.57885 .26411 .58264 .26553 .59009 .26306 .58633 .26162 Metetra
.47 .873 .958 r
.58633 .26162 .59009 .26306 .59757 .26042 .59383 .25897 Metetra
.487 .881 .96 r
.59383 .25897 .59757 .26042 .60506 .25762 .60134 .25616 Metetra
.504 .889 .961 r
.60134 .25616 .60506 .25762 .61257 .25463 .60888 .25316 Metetra
.522 .898 .961 r
.60888 .25316 .61257 .25463 .6201 .25147 .61643 .24998 Metetra
.539 .905 .962 r
.61643 .24998 .6201 .25147 .62765 .24811 .624 .24661 Metetra
.556 .913 .962 r
.624 .24661 .62765 .24811 .63521 .24456 .63158 .24305 Metetra
.574 .92 .961 r
.63158 .24305 .63521 .24456 .64278 .24081 .63918 .23928 Metetra
.591 .927 .96 r
.63918 .23928 .64278 .24081 .65037 .23685 .64679 .2353 Metetra
.608 .934 .958 r
.64679 .2353 .65037 .23685 .65796 .23267 .65441 .23111 Metetra
.625 .94 .956 r
.65441 .23111 .65796 .23267 .66557 .22828 .66205 .22669 Metetra
.642 .946 .954 r
.66205 .22669 .66557 .22828 .67318 .22366 .66968 .22205 Metetra
.658 .951 .951 r
.66968 .22205 .67318 .22366 .6808 .2188 .67733 .21718 Metetra
.674 .956 .947 r
.67733 .21718 .6808 .2188 .68843 .21371 .68498 .21207 Metetra
.689 .961 .943 r
.68498 .21207 .68843 .21371 .69606 .20838 .69264 .20671 Metetra
.705 .965 .939 r
.69264 .20671 .69606 .20838 .70369 .2028 .70029 .20111 Metetra
.719 .969 .934 r
.70029 .20111 .70369 .2028 .71132 .19698 .70795 .19526 Metetra
.918 .886 .786 r
.01201 .59608 .01747 .59615 .02483 .58386 .01941 .58374 Metetra
.916 .889 .791 r
.01941 .58374 .02483 .58386 .03214 .5719 .02675 .57174 Metetra
.913 .893 .796 r
.02675 .57174 .03214 .5719 .03939 .56027 .03403 .56007 Metetra
.911 .896 .801 r
.03403 .56007 .03939 .56027 .0466 .54897 .04127 .54873 Metetra
.908 .9 .806 r
.04127 .54873 .0466 .54897 .05376 .53799 .04845 .53771 Metetra
.905 .903 .812 r
.04845 .53771 .05376 .53799 .06087 .52732 .05559 .52701 Metetra
.902 .907 .818 r
.05559 .52701 .06087 .52732 .06793 .51697 .06269 .51662 Metetra
.898 .911 .824 r
.06269 .51662 .06793 .51697 .07496 .50693 .06974 .50655 Metetra
.894 .914 .83 r
.06974 .50655 .07496 .50693 .08194 .49719 .07675 .49678 Metetra
.89 .918 .836 r
.07675 .49678 .08194 .49719 .08888 .48776 .08372 .48731 Metetra
.885 .921 .842 r
.08372 .48731 .08888 .48776 .09579 .47862 .09065 .47814 Metetra
.88 .925 .849 r
.09065 .47814 .09579 .47862 .10266 .46977 .09754 .46926 Metetra
.875 .928 .855 r
.09754 .46926 .10266 .46977 .10949 .46121 .1044 .46067 Metetra
.869 .932 .862 r
.1044 .46067 .10949 .46121 .1163 .45293 .11123 .45237 Metetra
.863 .935 .868 r
.11123 .45237 .1163 .45293 .12307 .44494 .11803 .44434 Metetra
.856 .938 .875 r
.11803 .44434 .12307 .44494 .12981 .43722 .12479 .4366 Metetra
.849 .941 .882 r
.12479 .4366 .12981 .43722 .13653 .42976 .13153 .42912 Metetra
.841 .944 .889 r
.13153 .42912 .13653 .42976 .14322 .42258 .13825 .42191 Metetra
.833 .946 .896 r
.13825 .42191 .14322 .42258 .14989 .41565 .14494 .41496 Metetra
.824 .948 .902 r
.14494 .41496 .14989 .41565 .15653 .40898 .1516 .40827 Metetra
.814 .95 .909 r
.1516 .40827 .15653 .40898 .16316 .40257 .15825 .40183 Metetra
.804 .952 .915 r
.15825 .40183 .16316 .40257 .16976 .3964 .16488 .39564 Metetra
.793 .953 .922 r
.16488 .39564 .16976 .3964 .17635 .39047 .17148 .38969 Metetra
.781 .954 .928 r
.17148 .38969 .17635 .39047 .18292 .38478 .17808 .38398 Metetra
.769 .954 .934 r
.17808 .38398 .18292 .38478 .18948 .37933 .18466 .37851 Metetra
.756 .954 .939 r
.18466 .37851 .18948 .37933 .19603 .3741 .19122 .37326 Metetra
.742 .953 .944 r
.19122 .37326 .19603 .3741 .20256 .36909 .19777 .36824 Metetra
.727 .952 .949 r
.19777 .36824 .20256 .36909 .20909 .36431 .20432 .36343 Metetra
.712 .95 .954 r
.20432 .36343 .20909 .36431 .2156 .35974 .21085 .35884 Metetra
.696 .948 .957 r
.21085 .35884 .2156 .35974 .22211 .35537 .21738 .35446 Metetra
.68 .944 .961 r
.21738 .35446 .22211 .35537 .22862 .35121 .22391 .35029 Metetra
.662 .941 .964 r
.22391 .35029 .22862 .35121 .23512 .34724 .23043 .34631 Metetra
.645 .936 .966 r
.23043 .34631 .23512 .34724 .24162 .34347 .23694 .34252 Metetra
.626 .931 .968 r
.23694 .34252 .24162 .34347 .24812 .33989 .24346 .33892 Metetra
.608 .926 .969 r
.24346 .33892 .24812 .33989 .25462 .33648 .24997 .33551 Metetra
.589 .919 .969 r
.24997 .33551 .25462 .33648 .26112 .33326 .25649 .33227 Metetra
.569 .913 .969 r
.25649 .33227 .26112 .33326 .26762 .3302 .26301 .3292 Metetra
.55 .905 .969 r
.26301 .3292 .26762 .3302 .27413 .32731 .26954 .32629 Metetra
.531 .898 .968 r
.26954 .32629 .27413 .32731 .28065 .32458 .27607 .32355 Metetra
.511 .889 .966 r
.27607 .32355 .28065 .32458 .28717 .322 .28261 .32096 Metetra
.492 .881 .964 r
.28261 .32096 .28717 .322 .2937 .31956 .28916 .31852 Metetra
.473 .872 .961 r
.28916 .31852 .2937 .31956 .30024 .31727 .29571 .31622 Metetra
.454 .863 .958 r
.29571 .31622 .30024 .31727 .30679 .31512 .30228 .31406 Metetra
.435 .854 .955 r
.30228 .31406 .30679 .31512 .31335 .3131 .30886 .31202 Metetra
.417 .845 .952 r
.30886 .31202 .31335 .3131 .31992 .31119 .31545 .31011 Metetra
.4 .836 .948 r
.31545 .31011 .31992 .31119 .32651 .30941 .32205 .30832 Metetra
.384 .827 .944 r
.32205 .30832 .32651 .30941 .33312 .30774 .32867 .30664 Metetra
.368 .819 .94 r
.32867 .30664 .33312 .30774 .33974 .30617 .33531 .30506 Metetra
.353 .81 .936 r
.33531 .30506 .33974 .30617 .34637 .30469 .34196 .30358 Metetra
.339 .802 .932 r
.34196 .30358 .34637 .30469 .35303 .30331 .34863 .3022 Metetra
.325 .794 .928 r
.34863 .3022 .35303 .30331 .3597 .30202 .35533 .30089 Metetra
.313 .787 .925 r
.35533 .30089 .3597 .30202 .3664 .3008 .36204 .29967 Metetra
.302 .78 .921 r
.36204 .29967 .3664 .3008 .37311 .29965 .36877 .29851 Metetra
.292 .774 .918 r
.36877 .29851 .37311 .29965 .37985 .29857 .37552 .29742 Metetra
.283 .769 .915 r
.37552 .29742 .37985 .29857 .38661 .29754 .38229 .29639 Metetra
.275 .764 .912 r
.38229 .29639 .38661 .29754 .39339 .29656 .38909 .29541 Metetra
.268 .759 .91 r
.38909 .29541 .39339 .29656 .40019 .29563 .39591 .29447 Metetra
.262 .755 .908 r
.39591 .29447 .40019 .29563 .40702 .29473 .40276 .29356 Metetra
.257 .752 .906 r
.40276 .29356 .40702 .29473 .41388 .29386 .40963 .29269 Metetra
.254 .75 .905 r
.40963 .29269 .41388 .29386 .42076 .29301 .41653 .29183 Metetra
.251 .749 .904 r
.41653 .29183 .42076 .29301 .42766 .29217 .42345 .29099 Metetra
.25 .748 .903 r
.42345 .29099 .42766 .29217 .43459 .29134 .4304 .29015 Metetra
.25 .748 .903 r
.4304 .29015 .43459 .29134 .44155 .29051 .43737 .28931 Metetra
.251 .748 .904 r
.43737 .28931 .44155 .29051 .44853 .28966 .44437 .28847 Metetra
.253 .749 .904 r
.44437 .28847 .44853 .28966 .45555 .2888 .4514 .2876 Metetra
.256 .751 .905 r
.4514 .2876 .45555 .2888 .46258 .28792 .45846 .28671 Metetra
.26 .754 .907 r
.45846 .28671 .46258 .28792 .46965 .28701 .46554 .28579 Metetra
.265 .757 .909 r
.46554 .28579 .46965 .28701 .47674 .28605 .47265 .28483 Metetra
.271 .761 .911 r
.47265 .28483 .47674 .28605 .48387 .28505 .47979 .28382 Metetra
.278 .766 .913 r
.47979 .28382 .48387 .28505 .49101 .28399 .48696 .28276 Metetra
.286 .771 .915 r
.48696 .28276 .49101 .28399 .49819 .28287 .49416 .28163 Metetra
.295 .777 .918 r
.49416 .28163 .49819 .28287 .50539 .28167 .50138 .28043 Metetra
.305 .783 .921 r
.50138 .28043 .50539 .28167 .51262 .2804 .50863 .27915 Metetra
.316 .789 .924 r
.50863 .27915 .51262 .2804 .51988 .27904 .51591 .27778 Metetra
.328 .796 .927 r
.51591 .27778 .51988 .27904 .52717 .27759 .52321 .27632 Metetra
.34 .804 .931 r
.52321 .27632 .52717 .27759 .53448 .27603 .53054 .27475 Metetra
.353 .812 .934 r
.53054 .27475 .53448 .27603 .54181 .27436 .5379 .27308 Metetra
.367 .82 .937 r
.5379 .27308 .54181 .27436 .54917 .27258 .54528 .27129 Metetra
.382 .828 .94 r
.54528 .27129 .54917 .27258 .55656 .27067 .55268 .26937 Metetra
.397 .837 .943 r
.55268 .26937 .55656 .27067 .56397 .26863 .56011 .26731 Metetra
.413 .845 .946 r
.56011 .26731 .56397 .26863 .5714 .26644 .56757 .26512 Metetra
.429 .854 .948 r
.56757 .26512 .5714 .26644 .57885 .26411 .57504 .26278 Metetra
.445 .863 .951 r
.57504 .26278 .57885 .26411 .58633 .26162 .58254 .26028 Metetra
.462 .871 .953 r
.58254 .26028 .58633 .26162 .59383 .25897 .59006 .25762 Metetra
.479 .88 .954 r
.59006 .25762 .59383 .25897 .60134 .25616 .5976 .25479 Metetra
.497 .888 .956 r
.5976 .25479 .60134 .25616 .60888 .25316 .60516 .25178 Metetra
.514 .897 .957 r
.60516 .25178 .60888 .25316 .61643 .24998 .61274 .24859 Metetra
.532 .905 .957 r
.61274 .24859 .61643 .24998 .624 .24661 .62033 .2452 Metetra
.55 .913 .957 r
.62033 .2452 .624 .24661 .63158 .24305 .62794 .24162 Metetra
.567 .92 .957 r
.62794 .24162 .63158 .24305 .63918 .23928 .63556 .23784 Metetra
.585 .927 .956 r
.63556 .23784 .63918 .23928 .64679 .2353 .64319 .23384 Metetra
.602 .934 .954 r
.64319 .23384 .64679 .2353 .65441 .23111 .65084 .22963 Metetra
.619 .941 .953 r
.65084 .22963 .65441 .23111 .66205 .22669 .6585 .2252 Metetra
.636 .947 .95 r
.6585 .2252 .66205 .22669 .66968 .22205 .66616 .22054 Metetra
.653 .952 .947 r
.66616 .22054 .66968 .22205 .67733 .21718 .67383 .21564 Metetra
.669 .958 .944 r
.67383 .21564 .67733 .21718 .68498 .21207 .68151 .21051 Metetra
.685 .962 .94 r
.68151 .21051 .68498 .21207 .69264 .20671 .68919 .20514 Metetra
.7 .967 .936 r
.68919 .20514 .69264 .20671 .70029 .20111 .69688 .19951 Metetra
.715 .97 .932 r
.69688 .19951 .70029 .20111 .70795 .19526 .70456 .19364 Metetra
.919 .888 .786 r
.00651 .59611 .01201 .59608 .01941 .58374 .01393 .58373 Metetra
.916 .892 .791 r
.01393 .58373 .01941 .58374 .02675 .57174 .0213 .57169 Metetra
.914 .895 .796 r
.0213 .57169 .02675 .57174 .03403 .56007 .02862 .55998 Metetra
.912 .899 .801 r
.02862 .55998 .03403 .56007 .04127 .54873 .03589 .54859 Metetra
.909 .903 .807 r
.03589 .54859 .04127 .54873 .04845 .53771 .0431 .53754 Metetra
.906 .906 .812 r
.0431 .53754 .04845 .53771 .05559 .52701 .05027 .5268 Metetra
.902 .91 .818 r
.05027 .5268 .05559 .52701 .06269 .51662 .0574 .51637 Metetra
.899 .914 .824 r
.0574 .51637 .06269 .51662 .06974 .50655 .06447 .50626 Metetra
.895 .917 .83 r
.06447 .50626 .06974 .50655 .07675 .49678 .07151 .49646 Metetra
.89 .921 .836 r
.07151 .49646 .07675 .49678 .08372 .48731 .07851 .48696 Metetra
.886 .924 .843 r
.07851 .48696 .08372 .48731 .09065 .47814 .08546 .47776 Metetra
.881 .928 .849 r
.08546 .47776 .09065 .47814 .09754 .46926 .09238 .46885 Metetra
.875 .931 .855 r
.09238 .46885 .09754 .46926 .1044 .46067 .09927 .46023 Metetra
.869 .935 .862 r
.09927 .46023 .1044 .46067 .11123 .45237 .10612 .4519 Metetra
.863 .938 .869 r
.10612 .4519 .11123 .45237 .11803 .44434 .11294 .44384 Metetra
.856 .941 .875 r
.11294 .44384 .11803 .44434 .12479 .4366 .11973 .43607 Metetra
.849 .944 .882 r
.11973 .43607 .12479 .4366 .13153 .42912 .1265 .42857 Metetra
.841 .947 .889 r
.1265 .42857 .13153 .42912 .13825 .42191 .13323 .42133 Metetra
.832 .949 .896 r
.13323 .42133 .13825 .42191 .14494 .41496 .13994 .41436 Metetra
.823 .952 .902 r
.13994 .41436 .14494 .41496 .1516 .40827 .14663 .40764 Metetra
.813 .953 .909 r
.14663 .40764 .1516 .40827 .15825 .40183 .1533 .40118 Metetra
.803 .955 .915 r
.1533 .40118 .15825 .40183 .16488 .39564 .15995 .39497 Metetra
.792 .956 .921 r
.15995 .39497 .16488 .39564 .17148 .38969 .16658 .389 Metetra
.78 .957 .927 r
.16658 .389 .17148 .38969 .17808 .38398 .17319 .38327 Metetra
.767 .957 .933 r
.17319 .38327 .17808 .38398 .18466 .37851 .17979 .37778 Metetra
.754 .957 .938 r
.17979 .37778 .18466 .37851 .19122 .37326 .18637 .37251 Metetra
.739 .956 .944 r
.18637 .37251 .19122 .37326 .19777 .36824 .19295 .36747 Metetra
.725 .954 .948 r
.19295 .36747 .19777 .36824 .20432 .36343 .19951 .36265 Metetra
.709 .952 .952 r
.19951 .36265 .20432 .36343 .21085 .35884 .20606 .35804 Metetra
.693 .95 .956 r
.20606 .35804 .21085 .35884 .21738 .35446 .21261 .35365 Metetra
.676 .946 .959 r
.21261 .35365 .21738 .35446 .22391 .35029 .21915 .34945 Metetra
.658 .942 .962 r
.21915 .34945 .22391 .35029 .23043 .34631 .22569 .34546 Metetra
.64 .938 .964 r
.22569 .34546 .23043 .34631 .23694 .34252 .23223 .34166 Metetra
.621 .932 .965 r
.23223 .34166 .23694 .34252 .24346 .33892 .23876 .33805 Metetra
.602 .927 .966 r
.23876 .33805 .24346 .33892 .24997 .33551 .24529 .33462 Metetra
.583 .92 .966 r
.24529 .33462 .24997 .33551 .25649 .33227 .25183 .33137 Metetra
.563 .913 .966 r
.25183 .33137 .25649 .33227 .26301 .3292 .25837 .32829 Metetra
.544 .905 .965 r
.25837 .32829 .26301 .3292 .26954 .32629 .26491 .32537 Metetra
.524 .897 .963 r
.26491 .32537 .26954 .32629 .27607 .32355 .27146 .32262 Metetra
.504 .889 .961 r
.27146 .32262 .27607 .32355 .28261 .32096 .27801 .32002 Metetra
.484 .88 .959 r
.27801 .32002 .28261 .32096 .28916 .31852 .28458 .31757 Metetra
.465 .871 .956 r
.28458 .31757 .28916 .31852 .29571 .31622 .29115 .31526 Metetra
.446 .862 .953 r
.29115 .31526 .29571 .31622 .30228 .31406 .29773 .31308 Metetra
.427 .852 .949 r
.29773 .31308 .30228 .31406 .30886 .31202 .30433 .31104 Metetra
.409 .843 .945 r
.30433 .31104 .30886 .31202 .31545 .31011 .31093 .30912 Metetra
.391 .834 .941 r
.31093 .30912 .31545 .31011 .32205 .30832 .31756 .30732 Metetra
.375 .825 .937 r
.31756 .30732 .32205 .30832 .32867 .30664 .32419 .30563 Metetra
.359 .816 .933 r
.32419 .30563 .32867 .30664 .33531 .30506 .33085 .30405 Metetra
.344 .807 .929 r
.33085 .30405 .33531 .30506 .34196 .30358 .33752 .30256 Metetra
.329 .799 .924 r
.33752 .30256 .34196 .30358 .34863 .3022 .3442 .30117 Metetra
.316 .791 .92 r
.3442 .30117 .34863 .3022 .35533 .30089 .35091 .29986 Metetra
.304 .783 .917 r
.35091 .29986 .35533 .30089 .36204 .29967 .35764 .29863 Metetra
.292 .777 .913 r
.35764 .29863 .36204 .29967 .36877 .29851 .36438 .29747 Metetra
.282 .77 .909 r
.36438 .29747 .36877 .29851 .37552 .29742 .37115 .29637 Metetra
.273 .764 .906 r
.37115 .29637 .37552 .29742 .38229 .29639 .37794 .29533 Metetra
.265 .759 .903 r
.37794 .29533 .38229 .29639 .38909 .29541 .38476 .29434 Metetra
.258 .755 .901 r
.38476 .29434 .38909 .29541 .39591 .29447 .3916 .2934 Metetra
.252 .751 .899 r
.3916 .2934 .39591 .29447 .40276 .29356 .39846 .29249 Metetra
.247 .748 .897 r
.39846 .29249 .40276 .29356 .40963 .29269 .40535 .29161 Metetra
.244 .746 .896 r
.40535 .29161 .40963 .29269 .41653 .29183 .41226 .29075 Metetra
.241 .744 .895 r
.41226 .29075 .41653 .29183 .42345 .29099 .4192 .2899 Metetra
.24 .743 .895 r
.4192 .2899 .42345 .29099 .4304 .29015 .42616 .28906 Metetra
.24 .743 .894 r
.42616 .28906 .4304 .29015 .43737 .28931 .43316 .28821 Metetra
.24 .744 .895 r
.43316 .28821 .43737 .28931 .44437 .28847 .44018 .28736 Metetra
.242 .745 .895 r
.44018 .28736 .44437 .28847 .4514 .2876 .44722 .28649 Metetra
.246 .747 .897 r
.44722 .28649 .4514 .2876 .45846 .28671 .4543 .2856 Metetra
.25 .75 .898 r
.4543 .2856 .45846 .28671 .46554 .28579 .4614 .28467 Metetra
.255 .753 .9 r
.4614 .28467 .46554 .28579 .47265 .28483 .46853 .2837 Metetra
.261 .757 .902 r
.46853 .2837 .47265 .28483 .47979 .28382 .47569 .28269 Metetra
.268 .762 .904 r
.47569 .28269 .47979 .28382 .48696 .28276 .48288 .28162 Metetra
.276 .767 .907 r
.48288 .28162 .48696 .28276 .49416 .28163 .49009 .28048 Metetra
.285 .773 .91 r
.49009 .28048 .49416 .28163 .50138 .28043 .49733 .27928 Metetra
.295 .779 .913 r
.49733 .27928 .50138 .28043 .50863 .27915 .5046 .27799 Metetra
.306 .786 .916 r
.5046 .27799 .50863 .27915 .51591 .27778 .5119 .27661 Metetra
.318 .793 .919 r
.5119 .27661 .51591 .27778 .52321 .27632 .51922 .27515 Metetra
.331 .8 .923 r
.51922 .27515 .52321 .27632 .53054 .27475 .52657 .27357 Metetra
.344 .808 .926 r
.52657 .27357 .53054 .27475 .5379 .27308 .53395 .27189 Metetra
.358 .817 .93 r
.53395 .27189 .5379 .27308 .54528 .27129 .54135 .27009 Metetra
.373 .825 .933 r
.54135 .27009 .54528 .27129 .55268 .26937 .54878 .26816 Metetra
.388 .834 .936 r
.54878 .26816 .55268 .26937 .56011 .26731 .55623 .2661 Metetra
.404 .843 .939 r
.55623 .2661 .56011 .26731 .56757 .26512 .56371 .26389 Metetra
.42 .852 .942 r
.56371 .26389 .56757 .26512 .57504 .26278 .57121 .26154 Metetra
.437 .861 .944 r
.57121 .26154 .57504 .26278 .58254 .26028 .57873 .25903 Metetra
.454 .87 .947 r
.57873 .25903 .58254 .26028 .59006 .25762 .58627 .25636 Metetra
.471 .878 .949 r
.58627 .25636 .59006 .25762 .5976 .25479 .59383 .25351 Metetra
.489 .887 .95 r
.59383 .25351 .5976 .25479 .60516 .25178 .60142 .25049 Metetra
.507 .896 .951 r
.60142 .25049 .60516 .25178 .61274 .24859 .60902 .24728 Metetra
.525 .904 .952 r
.60902 .24728 .61274 .24859 .62033 .2452 .61663 .24388 Metetra
.543 .912 .952 r
.61663 .24388 .62033 .2452 .62794 .24162 .62427 .24029 Metetra
.56 .92 .952 r
.62427 .24029 .62794 .24162 .63556 .23784 .63191 .23649 Metetra
.578 .927 .952 r
.63191 .23649 .63556 .23784 .64319 .23384 .63957 .23247 Metetra
.596 .934 .95 r
.63957 .23247 .64319 .23384 .65084 .22963 .64724 .22824 Metetra
.613 .941 .949 r
.64724 .22824 .65084 .22963 .6585 .2252 .65493 .22379 Metetra
.63 .947 .947 r
.65493 .22379 .6585 .2252 .66616 .22054 .66262 .21911 Metetra
.647 .953 .944 r
.66262 .21911 .66616 .22054 .67383 .21564 .67032 .2142 Metetra
.664 .958 .941 r
.67032 .2142 .67383 .21564 .68151 .21051 .67802 .20905 Metetra
.68 .963 .937 r
.67802 .20905 .68151 .21051 .68919 .20514 .68573 .20365 Metetra
.695 .968 .933 r
.68573 .20365 .68919 .20514 .69688 .19951 .69344 .198 Metetra
.711 .972 .929 r
.69344 .198 .69688 .19951 .70456 .19364 .70115 .1921 Metetra
.919 .891 .786 r
.00095 .59624 .00651 .59611 .01393 .58373 .00841 .58382 Metetra
.917 .895 .791 r
.00841 .58382 .01393 .58373 .0213 .57169 .01581 .57173 Metetra
.915 .898 .796 r
.01581 .57173 .0213 .57169 .02862 .55998 .02316 .55998 Metetra
.912 .902 .802 r
.02316 .55998 .02862 .55998 .03589 .54859 .03046 .54856 Metetra
.909 .905 .807 r
.03046 .54856 .03589 .54859 .0431 .53754 .0377 .53746 Metetra
.906 .909 .813 r
.0377 .53746 .0431 .53754 .05027 .5268 .0449 .52668 Metetra
.903 .913 .818 r
.0449 .52668 .05027 .5268 .0574 .51637 .05205 .51623 Metetra
.899 .917 .824 r
.05205 .51623 .0574 .51637 .06447 .50626 .05916 .50608 Metetra
.895 .92 .83 r
.05916 .50608 .06447 .50626 .07151 .49646 .06622 .49624 Metetra
.891 .924 .836 r
.06622 .49624 .07151 .49646 .07851 .48696 .07325 .48671 Metetra
.886 .928 .843 r
.07325 .48671 .07851 .48696 .08546 .47776 .08023 .47747 Metetra
.881 .931 .849 r
.08023 .47747 .08546 .47776 .09238 .46885 .08718 .46853 Metetra
.876 .935 .856 r
.08718 .46853 .09238 .46885 .09927 .46023 .09409 .45988 Metetra
.87 .938 .862 r
.09409 .45988 .09927 .46023 .10612 .4519 .10096 .45152 Metetra
.863 .941 .869 r
.10096 .45152 .10612 .4519 .11294 .44384 .10781 .44344 Metetra
.856 .945 .876 r
.10781 .44344 .11294 .44384 .11973 .43607 .11462 .43564 Metetra
.849 .947 .882 r
.11462 .43564 .11973 .43607 .1265 .42857 .12141 .42811 Metetra
.84 .95 .889 r
.12141 .42811 .1265 .42857 .13323 .42133 .12817 .42085 Metetra
.832 .953 .896 r
.12817 .42085 .13323 .42133 .13994 .41436 .1349 .41385 Metetra
.822 .955 .902 r
.1349 .41385 .13994 .41436 .14663 .40764 .14162 .40711 Metetra
.812 .957 .909 r
.14162 .40711 .14663 .40764 .1533 .40118 .1483 .40063 Metetra
.802 .958 .915 r
.1483 .40063 .1533 .40118 .15995 .39497 .15497 .39439 Metetra
.79 .959 .921 r
.15497 .39439 .15995 .39497 .16658 .389 .16162 .3884 Metetra
.778 .96 .927 r
.16162 .3884 .16658 .389 .17319 .38327 .16826 .38265 Metetra
.765 .96 .932 r
.16826 .38265 .17319 .38327 .17979 .37778 .17488 .37714 Metetra
.751 .959 .938 r
.17488 .37714 .17979 .37778 .18637 .37251 .18148 .37185 Metetra
.737 .958 .942 r
.18148 .37185 .18637 .37251 .19295 .36747 .18808 .3668 Metetra
.722 .957 .947 r
.18808 .3668 .19295 .36747 .19951 .36265 .19466 .36196 Metetra
.706 .955 .951 r
.19466 .36196 .19951 .36265 .20606 .35804 .20123 .35733 Metetra
.689 .952 .954 r
.20123 .35733 .20606 .35804 .21261 .35365 .2078 .35292 Metetra
.672 .948 .957 r
.2078 .35292 .21261 .35365 .21915 .34945 .21436 .34871 Metetra
.654 .944 .96 r
.21436 .34871 .21915 .34945 .22569 .34546 .22092 .3447 Metetra
.635 .939 .961 r
.22092 .3447 .22569 .34546 .23223 .34166 .22747 .34089 Metetra
.616 .933 .962 r
.22747 .34089 .23223 .34166 .23876 .33805 .23402 .33726 Metetra
.597 .927 .963 r
.23402 .33726 .23876 .33805 .24529 .33462 .24057 .33382 Metetra
.577 .92 .963 r
.24057 .33382 .24529 .33462 .25183 .33137 .24713 .33056 Metetra
.557 .913 .962 r
.24713 .33056 .25183 .33137 .25837 .32829 .25368 .32746 Metetra
.537 .905 .961 r
.25368 .32746 .25837 .32829 .26491 .32537 .26024 .32454 Metetra
.517 .897 .959 r
.26024 .32454 .26491 .32537 .27146 .32262 .26681 .32177 Metetra
.497 .888 .957 r
.26681 .32177 .27146 .32262 .27801 .32002 .27338 .31916 Metetra
.477 .879 .954 r
.27338 .31916 .27801 .32002 .28458 .31757 .27996 .3167 Metetra
.457 .869 .95 r
.27996 .3167 .28458 .31757 .29115 .31526 .28655 .31438 Metetra
.438 .86 .947 r
.28655 .31438 .29115 .31526 .29773 .31308 .29315 .3122 Metetra
.419 .85 .943 r
.29315 .3122 .29773 .31308 .30433 .31104 .29976 .31015 Metetra
.4 .841 .939 r
.29976 .31015 .30433 .31104 .31093 .30912 .30638 .30822 Metetra
.383 .831 .934 r
.30638 .30822 .31093 .30912 .31756 .30732 .31302 .30641 Metetra
.366 .822 .93 r
.31302 .30641 .31756 .30732 .32419 .30563 .31968 .30472 Metetra
.349 .812 .925 r
.31968 .30472 .32419 .30563 .33085 .30405 .32634 .30313 Metetra
.334 .804 .921 r
.32634 .30313 .33085 .30405 .33752 .30256 .33303 .30163 Metetra
.32 .795 .917 r
.33303 .30163 .33752 .30256 .3442 .30117 .33974 .30023 Metetra
.306 .787 .912 r
.33974 .30023 .3442 .30117 .35091 .29986 .34646 .29892 Metetra
.294 .779 .908 r
.34646 .29892 .35091 .29986 .35764 .29863 .3532 .29768 Metetra
.282 .772 .904 r
.3532 .29768 .35764 .29863 .36438 .29747 .35997 .29651 Metetra
.272 .766 .901 r
.35997 .29651 .36438 .29747 .37115 .29637 .36675 .29541 Metetra
.263 .76 .897 r
.36675 .29541 .37115 .29637 .37794 .29533 .37356 .29437 Metetra
.255 .755 .895 r
.37356 .29437 .37794 .29533 .38476 .29434 .38039 .29337 Metetra
.248 .75 .892 r
.38039 .29337 .38476 .29434 .3916 .2934 .38725 .29242 Metetra
.242 .746 .89 r
.38725 .29242 .3916 .2934 .39846 .29249 .39413 .29151 Metetra
.237 .743 .888 r
.39413 .29151 .39846 .29249 .40535 .29161 .40103 .29062 Metetra
.233 .741 .887 r
.40103 .29062 .40535 .29161 .41226 .29075 .40796 .28975 Metetra
.231 .739 .886 r
.40796 .28975 .41226 .29075 .4192 .2899 .41492 .2889 Metetra
.23 .738 .885 r
.41492 .2889 .4192 .2899 .42616 .28906 .4219 .28805 Metetra
.229 .738 .885 r
.4219 .28805 .42616 .28906 .43316 .28821 .42891 .28721 Metetra
.23 .739 .885 r
.42891 .28721 .43316 .28821 .44018 .28736 .43595 .28635 Metetra
.232 .74 .886 r
.43595 .28635 .44018 .28736 .44722 .28649 .44301 .28547 Metetra
.235 .742 .887 r
.44301 .28547 .44722 .28649 .4543 .2856 .45011 .28457 Metetra
.239 .745 .889 r
.45011 .28457 .4543 .2856 .4614 .28467 .45723 .28364 Metetra
.245 .748 .891 r
.45723 .28364 .4614 .28467 .46853 .2837 .46438 .28267 Metetra
.251 .752 .893 r
.46438 .28267 .46853 .2837 .47569 .28269 .47155 .28165 Metetra
.258 .757 .895 r
.47155 .28165 .47569 .28269 .48288 .28162 .47876 .28057 Metetra
.266 .762 .898 r
.47876 .28057 .48288 .28162 .49009 .28048 .48599 .27943 Metetra
.276 .768 .901 r
.48599 .27943 .49009 .28048 .49733 .27928 .49325 .27822 Metetra
.286 .775 .904 r
.49325 .27822 .49733 .27928 .5046 .27799 .50054 .27692 Metetra
.297 .782 .908 r
.50054 .27692 .5046 .27799 .5119 .27661 .50786 .27554 Metetra
.308 .789 .911 r
.50786 .27554 .5119 .27661 .51922 .27515 .51521 .27406 Metetra
.321 .797 .915 r
.51521 .27406 .51922 .27515 .52657 .27357 .52258 .27248 Metetra
.334 .805 .918 r
.52258 .27248 .52657 .27357 .53395 .27189 .52998 .27079 Metetra
.349 .813 .922 r
.52998 .27079 .53395 .27189 .54135 .27009 .5374 .26898 Metetra
.363 .822 .925 r
.5374 .26898 .54135 .27009 .54878 .26816 .54485 .26704 Metetra
.379 .831 .929 r
.54485 .26704 .54878 .26816 .55623 .2661 .55232 .26497 Metetra
.395 .84 .932 r
.55232 .26497 .55623 .2661 .56371 .26389 .55982 .26276 Metetra
.411 .849 .935 r
.55982 .26276 .56371 .26389 .57121 .26154 .56734 .26039 Metetra
.428 .858 .938 r
.56734 .26039 .57121 .26154 .57873 .25903 .57489 .25787 Metetra
.446 .867 .94 r
.57489 .25787 .57873 .25903 .58627 .25636 .58245 .25519 Metetra
.463 .876 .943 r
.58245 .25519 .58627 .25636 .59383 .25351 .59004 .25233 Metetra
.481 .885 .944 r
.59004 .25233 .59383 .25351 .60142 .25049 .59764 .24929 Metetra
.499 .894 .946 r
.59764 .24929 .60142 .25049 .60902 .24728 .60527 .24607 Metetra
.517 .903 .947 r
.60527 .24607 .60902 .24728 .61663 .24388 .61291 .24266 Metetra
.535 .911 .947 r
.61291 .24266 .61663 .24388 .62427 .24029 .62057 .23905 Metetra
.553 .919 .947 r
.62057 .23905 .62427 .24029 .63191 .23649 .62824 .23523 Metetra
.571 .927 .947 r
.62824 .23523 .63191 .23649 .63957 .23247 .63593 .2312 Metetra
.589 .934 .946 r
.63593 .2312 .63957 .23247 .64724 .22824 .64362 .22695 Metetra
.607 .941 .945 r
.64362 .22695 .64724 .22824 .65493 .22379 .65133 .22248 Metetra
.624 .947 .943 r
.65133 .22248 .65493 .22379 .66262 .21911 .65905 .21778 Metetra
.642 .953 .94 r
.65905 .21778 .66262 .21911 .67032 .2142 .66677 .21285 Metetra
.658 .959 .937 r
.66677 .21285 .67032 .2142 .67802 .20905 .6745 .20767 Metetra
.675 .964 .934 r
.6745 .20767 .67802 .20905 .68573 .20365 .68224 .20225 Metetra
.691 .969 .93 r
.68224 .20225 .68573 .20365 .69344 .198 .68998 .19658 Metetra
.706 .973 .926 r
.68998 .19658 .69344 .198 .70115 .1921 .69771 .19066 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .52918 L
s
.96935 .52918 m
1 .80566 L
s
1 .80566 m
.70298 .30259 L
s
.70298 .30259 m
.68874 0 L
s
.03716 .31454 m
0 .60363 L
s
0 .60363 m
.70298 .30259 L
s
.70298 .30259 m
.68874 0 L
s
.68874 0 m
.03716 .31454 L
s
.03716 .31454 m
.68874 0 L
s
.03716 .31454 m
.04196 .32006 L
s
[(0)] .02757 .3035 1 .93395 Mshowa
.1552 .25756 m
.15981 .26332 L
s
[(0.5)] .14598 .24605 .98733 1 Mshowa
.27893 .19783 m
.28333 .20383 L
s
[(1)] .27013 .18583 .90393 1 Mshowa
.40878 .13515 m
.41294 .1414 L
s
[(1.5)] .40046 .12264 .82054 1 Mshowa
.54521 .06929 m
.54911 .0758 L
s
[(2)] .53743 .05626 .73714 1 Mshowa
.68874 0 m
.69233 .00677 L
s
[(2.5)] .68156 -0.01354 .65374 1 Mshowa
.125 Mabswid
.06033 .30336 m
.06319 .3067 L
s
.08372 .29207 m
.08655 .29544 L
s
.10732 .28067 m
.11013 .28407 L
s
.13115 .26917 m
.13394 .2726 L
s
.17948 .24584 m
.18222 .24932 L
s
.20399 .23401 m
.2067 .23752 L
s
.22873 .22206 m
.23142 .22561 L
s
.25371 .21001 m
.25638 .21358 L
s
.3044 .18554 m
.30701 .18917 L
s
.33011 .17312 m
.3327 .17678 L
s
.35608 .16059 m
.35864 .16428 L
s
.3823 .14793 m
.38483 .15165 L
s
.43553 .12224 m
.43799 .12602 L
s
.46254 .1092 m
.46497 .11301 L
s
.48982 .09603 m
.49222 .09987 L
s
.51738 .08272 m
.51975 .0866 L
s
.57333 .05571 m
.57563 .05965 L
s
.60174 .042 m
.60401 .04597 L
s
.63044 .02814 m
.63267 .03214 L
s
.65944 .01414 m
.66163 .01817 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCacheValid->False],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
1.09369e-016 1.06843 -0.504819 2.1856 [
[.01251 .17296 -4.59714 -13.1875 ]
[.01251 .17296 4.96536 0 ]
[.14491 .13704 -8.68035 -13.1875 ]
[.14491 .13704 9.19465 0 ]
[.28433 .09922 -4.69283 -13.1875 ]
[.28433 .09922 4.86967 0 ]
[.43136 .05934 -8.86937 -13.1875 ]
[.43136 .05934 9.00563 0 ]
[.58663 .01722 -4.79985 -13.1875 ]
[.58663 .01722 4.76265 0 ]
[.75085 -0.02732 -9.08145 -13.1875 ]
[.75085 -0.02732 8.79355 0 ]
[.35773 -0.05704 -4.28669 -13.1875 ]
[.35773 -0.05704 4.40081 0 ]
[-0.00051 .86489 -8.53523 0 ]
[-0.00051 .86489 7.90227 13.1875 ]
[.11365 .91335 -8.46724 0 ]
[.11365 .91335 7.97026 13.1875 ]
[.21398 .95595 -4.89116 0 ]
[.21398 .95595 4.67134 13.1875 ]
[.30285 .99367 -4.86055 0 ]
[.30285 .99367 4.70195 13.1875 ]
[.38211 1.02732 -4.83332 0 ]
[.38211 1.02732 4.72918 13.1875 ]
[.21245 1.09251 -6.9691 0 ]
[.21245 1.09251 6.6559 13.1875 ]
[-0.00407 .35268 -16.4375 -5.81379 ]
[-0.00407 .35268 0 7.37371 ]
[-0.00714 .51381 -9.5625 -5.91505 ]
[-0.00714 .51381 0 7.27245 ]
[-0.01023 .67681 -9.5625 -6.01762 ]
[-0.01023 .67681 0 7.16988 ]
[-0.07365 .53202 -34.6875 -5.91774 ]
[-0.07365 .53202 0 7.26976 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.012 .20026 m
.75107 0 L
s
.012 .20026 m
.01174 .21391 L
s
gsave
.01251 .17296 -65.5971 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.14452 .16435 m
.14433 .178 L
s
gsave
.14491 .13704 -69.6804 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.28408 .12653 m
.28396 .14019 L
s
gsave
.28433 .09922 -65.6928 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.43125 .08666 m
.4312 .10032 L
s
gsave
.43136 .05934 -69.8694 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.58668 .04454 m
.5867 .0582 L
s
gsave
.58663 .01722 -65.7999 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.75107 0 m
.75118 .01366 L
s
gsave
.75085 -0.02732 -70.0815 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2.5) show
1.000 setlinewidth
grestore
.125 Mabswid
.03796 .19322 m
.03782 .20141 L
s
.0642 .18611 m
.06406 .1943 L
s
.0907 .17893 m
.09057 .18712 L
s
.11747 .17168 m
.11735 .17987 L
s
.17185 .15694 m
.17175 .16514 L
s
.19947 .14946 m
.19937 .15765 L
s
.22738 .1419 m
.22729 .15009 L
s
.25558 .13426 m
.2555 .14245 L
s
.31289 .11873 m
.31282 .12692 L
s
.342 .11084 m
.34195 .11903 L
s
.37143 .10287 m
.37138 .11106 L
s
.40118 .0948 m
.40114 .103 L
s
.46166 .07842 m
.46164 .08661 L
s
.4924 .07009 m
.49238 .07829 L
s
.52347 .06167 m
.52347 .06986 L
s
.5549 .05315 m
.55491 .06135 L
s
.61882 .03584 m
.61884 .04403 L
s
.65132 .02703 m
.65135 .03522 L
s
.68419 .01812 m
.68423 .02632 L
s
.71744 .00911 m
.71749 .01731 L
s
gsave
.35773 -0.05704 -65.2867 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(d) show
67.688 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
0 .83759 m
.38225 1 L
s
0 .83759 m
.00026 .82394 L
s
gsave
-0.00051 .86489 -69.5352 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.11406 .88605 m
.11426 .87239 L
s
gsave
.11365 .91335 -69.4672 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.21429 .92864 m
.21445 .91498 L
s
gsave
.21398 .95595 -65.8912 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.30307 .96636 m
.30318 .9527 L
s
gsave
.30285 .99367 -65.8606 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.38225 1 m
.38233 .98634 L
s
gsave
.38211 1.02732 -65.8333 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.125 Mabswid
.02996 .85032 m
.03011 .84213 L
s
.05893 .86262 m
.05907 .85443 L
s
.08695 .87453 m
.08707 .86634 L
s
.14031 .8972 m
.14042 .88901 L
s
.16574 .90801 m
.16585 .89981 L
s
.19039 .91848 m
.19049 .91029 L
s
.23748 .93849 m
.23757 .93029 L
s
.25999 .94805 m
.26007 .93986 L
s
.28184 .95734 m
.28191 .94914 L
s
.3237 .97512 m
.32376 .96693 L
s
.34376 .98365 m
.34382 .97545 L
s
.36327 .99193 m
.36332 .98374 L
s
gsave
.21245 1.09251 -67.9691 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(w) show
72.625 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.012 .20026 m
0 .83759 L
s
.00919 .34947 m
.01582 .34786 L
s
gsave
-0.00407 .35268 -77.4375 -9.81379 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.00615 .51101 m
.01279 .50961 L
s
gsave
-0.00714 .51381 -70.5625 -9.91505 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.00307 .67443 m
.00972 .67325 L
s
gsave
-0.01023 .67681 -70.5625 -10.0176 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.125 Mabswid
.00858 .38163 m
.01256 .38069 L
s
.00798 .41386 m
.01196 .41295 L
s
.00737 .44617 m
.01135 .44528 L
s
.00676 .47855 m
.01074 .47769 L
s
.00554 .54354 m
.00952 .54273 L
s
.00492 .57615 m
.00891 .57536 L
s
.00431 .60884 m
.0083 .60807 L
s
.00369 .6416 m
.00768 .64086 L
s
.00245 .70735 m
.00644 .70666 L
s
.00183 .74034 m
.00582 .73968 L
s
.00121 .77341 m
.0052 .77277 L
s
.00058 .80655 m
.00458 .80594 L
s
.00979 .31738 m
.01377 .3164 L
s
.01039 .28537 m
.01437 .28436 L
s
.011 .25343 m
.01497 .2524 L
s
.0116 .22157 m
.01557 .22051 L
s
gsave
-0.07365 .53202 -95.6875 -9.91774 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(H) show
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
70.250 14.000 moveto
(H) show
73.438 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(d) show
78.125 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(,) show
80.875 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(w) show
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
87.750 14.000 moveto
(L) show
93.688 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.012 .20026 m
0 .83759 L
s
0 .83759 m
.38225 1 L
s
.38225 1 m
.38494 .49515 L
s
.38494 .49515 m
.012 .20026 L
s
.75107 0 m
.99085 .37462 L
s
.99085 .37462 m
1 .93381 L
s
1 .93381 m
.75679 .72639 L
s
.75679 .72639 m
.75107 0 L
s
.012 .20026 m
0 .83759 L
s
0 .83759 m
.75679 .72639 L
s
.75679 .72639 m
.75107 0 L
s
.75107 0 m
.012 .20026 L
s
.38494 .49515 m
.99085 .37462 L
s
.99085 .37462 m
1 .93381 L
s
1 .93381 m
.38225 1 L
s
.38225 1 m
.38494 .49515 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
.803 .74 .793 r
.37933 .97806 .38232 .98777 .38801 .97097 .38504 .96122 Metetra
.801 .739 .795 r
.38504 .96122 .38801 .97097 .39371 .95467 .39074 .94488 Metetra
.798 .738 .797 r
.39074 .94488 .39371 .95467 .39941 .93886 .39646 .92905 Metetra
.794 .737 .799 r
.39646 .92905 .39941 .93886 .40512 .92356 .40217 .91371 Metetra
.791 .736 .802 r
.40217 .91371 .40512 .92356 .41083 .90876 .40789 .89888 Metetra
.788 .735 .804 r
.40789 .89888 .41083 .90876 .41654 .89446 .41361 .88454 Metetra
.784 .734 .806 r
.41361 .88454 .41654 .89446 .42225 .88065 .41933 .8707 Metetra
.781 .733 .809 r
.41933 .8707 .42225 .88065 .42797 .86733 .42506 .85735 Metetra
.777 .732 .811 r
.42506 .85735 .42797 .86733 .4337 .8545 .4308 .84449 Metetra
.773 .731 .814 r
.4308 .84449 .4337 .8545 .43943 .84216 .43654 .83212 Metetra
.769 .729 .816 r
.43654 .83212 .43943 .84216 .44517 .83031 .44228 .82024 Metetra
.765 .728 .819 r
.44228 .82024 .44517 .83031 .45091 .81894 .44803 .80884 Metetra
.76 .726 .821 r
.44803 .80884 .45091 .81894 .45666 .80805 .45379 .79792 Metetra
.756 .725 .824 r
.45379 .79792 .45666 .80805 .46241 .79763 .45955 .78748 Metetra
.751 .723 .826 r
.45955 .78748 .46241 .79763 .46817 .78769 .46533 .77751 Metetra
.746 .721 .829 r
.46533 .77751 .46817 .78769 .47394 .77821 .4711 .768 Metetra
.742 .72 .831 r
.4711 .768 .47394 .77821 .47972 .76919 .47689 .75896 Metetra
.736 .718 .834 r
.47689 .75896 .47972 .76919 .4855 .76063 .48268 .75038 Metetra
.731 .716 .836 r
.48268 .75038 .4855 .76063 .49129 .75253 .48848 .74225 Metetra
.726 .713 .838 r
.48848 .74225 .49129 .75253 .49709 .74487 .49429 .73457 Metetra
.72 .711 .841 r
.49429 .73457 .49709 .74487 .5029 .73765 .50011 .72733 Metetra
.715 .709 .843 r
.50011 .72733 .5029 .73765 .50872 .73088 .50594 .72053 Metetra
.709 .706 .846 r
.50594 .72053 .50872 .73088 .51455 .72453 .51177 .71416 Metetra
.703 .704 .848 r
.51177 .71416 .51455 .72453 .52039 .7186 .51762 .70822 Metetra
.697 .701 .85 r
.51762 .70822 .52039 .7186 .52623 .7131 .52347 .70269 Metetra
.691 .699 .852 r
.52347 .70269 .52623 .7131 .53209 .708 .52934 .69758 Metetra
.685 .696 .855 r
.52934 .69758 .53209 .708 .53796 .70331 .53522 .69286 Metetra
.678 .693 .857 r
.53522 .69286 .53796 .70331 .54384 .69901 .5411 .68855 Metetra
.672 .69 .859 r
.5411 .68855 .54384 .69901 .54973 .6951 .547 .68463 Metetra
.665 .687 .861 r
.547 .68463 .54973 .6951 .55563 .69158 .55291 .68108 Metetra
.659 .684 .863 r
.55291 .68108 .55563 .69158 .56154 .68842 .55883 .67791 Metetra
.652 .681 .864 r
.55883 .67791 .56154 .68842 .56746 .68564 .56477 .67511 Metetra
.645 .677 .866 r
.56477 .67511 .56746 .68564 .5734 .6832 .57071 .67266 Metetra
.638 .674 .868 r
.57071 .67266 .5734 .6832 .57935 .68112 .57667 .67057 Metetra
.632 .671 .869 r
.57667 .67057 .57935 .68112 .58531 .67938 .58264 .66881 Metetra
.625 .667 .871 r
.58264 .66881 .58531 .67938 .59128 .67796 .58862 .66738 Metetra
.618 .664 .872 r
.58862 .66738 .59128 .67796 .59727 .67686 .59462 .66627 Metetra
.611 .661 .873 r
.59462 .66627 .59727 .67686 .60327 .67608 .60063 .66547 Metetra
.605 .657 .875 r
.60063 .66547 .60327 .67608 .60929 .6756 .60665 .66497 Metetra
.598 .654 .876 r
.60665 .66497 .60929 .6756 .61531 .6754 .61269 .66477 Metetra
.592 .65 .877 r
.61269 .66477 .61531 .6754 .62136 .67549 .61874 .66484 Metetra
.585 .647 .878 r
.61874 .66484 .62136 .67549 .62741 .67585 .6248 .66519 Metetra
.579 .644 .879 r
.6248 .66519 .62741 .67585 .63348 .67646 .63088 .6658 Metetra
.573 .64 .879 r
.63088 .6658 .63348 .67646 .63957 .67733 .63698 .66665 Metetra
.567 .637 .88 r
.63698 .66665 .63957 .67733 .64567 .67843 .64308 .66774 Metetra
.562 .634 .881 r
.64308 .66774 .64567 .67843 .65178 .67976 .64921 .66906 Metetra
.556 .631 .881 r
.64921 .66906 .65178 .67976 .65791 .6813 .65534 .67059 Metetra
.551 .628 .881 r
.65534 .67059 .65791 .6813 .66405 .68305 .6615 .67233 Metetra
.546 .625 .882 r
.6615 .67233 .66405 .68305 .67021 .68498 .66767 .67426 Metetra
.541 .623 .882 r
.66767 .67426 .67021 .68498 .67638 .6871 .67385 .67637 Metetra
.537 .62 .882 r
.67385 .67637 .67638 .6871 .68257 .68938 .68005 .67864 Metetra
.533 .618 .883 r
.68005 .67864 .68257 .68938 .68878 .69182 .68626 .68107 Metetra
.529 .616 .883 r
.68626 .68107 .68878 .69182 .695 .6944 .69249 .68364 Metetra
.526 .614 .883 r
.69249 .68364 .695 .6944 .70124 .69711 .69874 .68634 Metetra
.522 .612 .883 r
.69874 .68634 .70124 .69711 .70749 .69993 .705 .68916 Metetra
.52 .61 .883 r
.705 .68916 .70749 .69993 .71376 .70287 .71128 .69209 Metetra
.517 .609 .883 r
.71128 .69209 .71376 .70287 .72004 .70589 .71757 .6951 Metetra
.515 .608 .883 r
.71757 .6951 .72004 .70589 .72634 .70899 .72388 .6982 Metetra
.514 .607 .883 r
.72388 .6982 .72634 .70899 .73265 .71215 .7302 .70135 Metetra
.512 .606 .884 r
.7302 .70135 .73265 .71215 .73898 .71537 .73654 .70456 Metetra
.512 .606 .884 r
.73654 .70456 .73898 .71537 .74533 .71862 .7429 .70781 Metetra
.511 .605 .884 r
.7429 .70781 .74533 .71862 .75169 .7219 .74927 .71108 Metetra
.511 .605 .884 r
.74927 .71108 .75169 .7219 .75807 .72519 .75566 .71437 Metetra
.511 .605 .884 r
.75566 .71437 .75807 .72519 .76446 .72848 .76206 .71765 Metetra
.512 .606 .884 r
.76206 .71765 .76446 .72848 .77087 .73175 .76848 .72091 Metetra
.513 .607 .883 r
.76848 .72091 .77087 .73175 .7773 .73499 .77491 .72414 Metetra
.515 .607 .883 r
.77491 .72414 .7773 .73499 .78374 .73818 .78136 .72733 Metetra
.516 .608 .883 r
.78136 .72733 .78374 .73818 .79019 .74132 .78783 .73046 Metetra
.519 .61 .883 r
.78783 .73046 .79019 .74132 .79666 .74439 .79431 .73352 Metetra
.521 .611 .883 r
.79431 .73352 .79666 .74439 .80315 .74737 .8008 .73649 Metetra
.524 .613 .883 r
.8008 .73649 .80315 .74737 .80965 .75025 .80732 .73936 Metetra
.527 .615 .883 r
.80732 .73936 .80965 .75025 .81616 .75301 .81384 .74212 Metetra
.531 .617 .883 r
.81384 .74212 .81616 .75301 .82269 .75565 .82038 .74475 Metetra
.534 .619 .883 r
.82038 .74475 .82269 .75565 .82924 .75814 .82694 .74724 Metetra
.539 .622 .883 r
.82694 .74724 .82924 .75814 .83579 .76048 .8335 .74957 Metetra
.543 .624 .883 r
.8335 .74957 .83579 .76048 .84237 .76265 .84009 .75173 Metetra
.547 .627 .882 r
.84009 .75173 .84237 .76265 .84895 .76464 .84668 .75371 Metetra
.552 .63 .882 r
.84668 .75371 .84895 .76464 .85555 .76643 .8533 .75549 Metetra
.557 .633 .882 r
.8533 .75549 .85555 .76643 .86217 .76801 .85992 .75705 Metetra
.563 .636 .882 r
.85992 .75705 .86217 .76801 .86879 .76936 .86656 .7584 Metetra
.568 .639 .881 r
.86656 .7584 .86879 .76936 .87543 .77047 .87321 .7595 Metetra
.574 .643 .881 r
.87321 .7595 .87543 .77047 .88208 .77134 .87987 .76035 Metetra
.58 .646 .88 r
.87987 .76035 .88208 .77134 .88875 .77194 .88654 .76094 Metetra
.586 .65 .88 r
.88654 .76094 .88875 .77194 .89542 .77226 .89323 .76125 Metetra
.592 .653 .879 r
.89323 .76125 .89542 .77226 .90211 .77228 .89993 .76126 Metetra
.598 .657 .879 r
.89993 .76126 .90211 .77228 .90881 .77201 .90664 .76097 Metetra
.605 .661 .878 r
.90664 .76097 .90881 .77201 .91552 .77141 .91336 .76037 Metetra
.611 .664 .877 r
.91336 .76037 .91552 .77141 .92224 .77049 .92009 .75943 Metetra
.618 .668 .876 r
.92009 .75943 .92224 .77049 .92897 .76923 .92683 .75815 Metetra
.624 .672 .875 r
.92683 .75815 .92897 .76923 .93571 .76761 .93359 .75652 Metetra
.631 .676 .874 r
.93359 .75652 .93571 .76761 .94246 .76562 .94035 .75451 Metetra
.638 .68 .873 r
.94035 .75451 .94246 .76562 .94922 .76326 .94712 .75213 Metetra
.645 .684 .872 r
.94712 .75213 .94922 .76326 .95598 .76051 .9539 .74936 Metetra
.651 .687 .871 r
.9539 .74936 .95598 .76051 .96276 .75735 .96069 .74619 Metetra
.658 .691 .87 r
.96069 .74619 .96276 .75735 .96954 .75378 .96748 .7426 Metetra
.665 .695 .868 r
.96748 .7426 .96954 .75378 .97634 .74979 .97428 .73859 Metetra
.671 .699 .867 r
.97428 .73859 .97634 .74979 .98313 .74537 .9811 .73415 Metetra
.678 .703 .866 r
.9811 .73415 .98313 .74537 .98994 .7405 .98791 .72926 Metetra
.685 .706 .864 r
.98791 .72926 .98994 .7405 .99675 .73517 .99474 .72391 Metetra
.805 .742 .794 r
.37633 .96848 .37933 .97806 .38504 .96122 .38205 .95161 Metetra
.802 .741 .796 r
.38205 .95161 .38504 .96122 .39074 .94488 .38777 .93523 Metetra
.799 .74 .798 r
.38777 .93523 .39074 .94488 .39646 .92905 .39349 .91936 Metetra
.796 .739 .8 r
.39349 .91936 .39646 .92905 .40217 .91371 .39921 .90399 Metetra
.792 .738 .803 r
.39921 .90399 .40217 .91371 .40789 .89888 .40494 .88913 Metetra
.789 .737 .805 r
.40494 .88913 .40789 .89888 .41361 .88454 .41067 .87475 Metetra
.785 .736 .807 r
.41067 .87475 .41361 .88454 .41933 .8707 .4164 .86088 Metetra
.782 .735 .81 r
.4164 .86088 .41933 .8707 .42506 .85735 .42214 .8475 Metetra
.778 .734 .812 r
.42214 .8475 .42506 .85735 .4308 .84449 .42788 .83461 Metetra
.774 .733 .815 r
.42788 .83461 .4308 .84449 .43654 .83212 .43363 .82222 Metetra
.77 .732 .817 r
.43363 .82222 .43654 .83212 .44228 .82024 .43939 .8103 Metetra
.766 .73 .82 r
.43939 .8103 .44228 .82024 .44803 .80884 .44515 .79888 Metetra
.761 .729 .822 r
.44515 .79888 .44803 .80884 .45379 .79792 .45091 .78793 Metetra
.757 .727 .825 r
.45091 .78793 .45379 .79792 .45955 .78748 .45669 .77746 Metetra
.752 .726 .827 r
.45669 .77746 .45955 .78748 .46533 .77751 .46247 .76746 Metetra
.747 .724 .83 r
.46247 .76746 .46533 .77751 .4711 .768 .46825 .75793 Metetra
.743 .722 .833 r
.46825 .75793 .4711 .768 .47689 .75896 .47405 .74887 Metetra
.737 .72 .835 r
.47405 .74887 .47689 .75896 .48268 .75038 .47985 .74026 Metetra
.732 .718 .838 r
.47985 .74026 .48268 .75038 .48848 .74225 .48566 .73211 Metetra
.727 .716 .84 r
.48566 .73211 .48848 .74225 .49429 .73457 .49148 .7244 Metetra
.721 .714 .843 r
.49148 .7244 .49429 .73457 .50011 .72733 .4973 .71714 Metetra
.715 .711 .845 r
.4973 .71714 .50011 .72733 .50594 .72053 .50314 .71032 Metetra
.71 .709 .847 r
.50314 .71032 .50594 .72053 .51177 .71416 .50898 .70393 Metetra
.704 .706 .85 r
.50898 .70393 .51177 .71416 .51762 .70822 .51484 .69797 Metetra
.698 .704 .852 r
.51484 .69797 .51762 .70822 .52347 .70269 .5207 .69242 Metetra
.691 .701 .854 r
.5207 .69242 .52347 .70269 .52934 .69758 .52658 .68729 Metetra
.685 .698 .857 r
.52658 .68729 .52934 .69758 .53522 .69286 .53246 .68256 Metetra
.679 .695 .859 r
.53246 .68256 .53522 .69286 .5411 .68855 .53836 .67822 Metetra
.672 .692 .861 r
.53836 .67822 .5411 .68855 .547 .68463 .54427 .67428 Metetra
.665 .689 .863 r
.54427 .67428 .547 .68463 .55291 .68108 .55019 .67072 Metetra
.659 .686 .865 r
.55019 .67072 .55291 .68108 .55883 .67791 .55612 .66754 Metetra
.652 .683 .867 r
.55612 .66754 .55883 .67791 .56477 .67511 .56206 .66472 Metetra
.645 .68 .868 r
.56206 .66472 .56477 .67511 .57071 .67266 .56801 .66226 Metetra
.638 .676 .87 r
.56801 .66226 .57071 .67266 .57667 .67057 .57398 .66014 Metetra
.631 .673 .872 r
.57398 .66014 .57667 .67057 .58264 .66881 .57996 .65837 Metetra
.624 .67 .873 r
.57996 .65837 .58264 .66881 .58862 .66738 .58595 .65693 Metetra
.618 .666 .875 r
.58595 .65693 .58862 .66738 .59462 .66627 .59195 .6558 Metetra
.611 .663 .876 r
.59195 .6558 .59462 .66627 .60063 .66547 .59797 .65499 Metetra
.604 .659 .877 r
.59797 .65499 .60063 .66547 .60665 .66497 .60401 .65449 Metetra
.597 .656 .878 r
.60401 .65449 .60665 .66497 .61269 .66477 .61005 .65427 Metetra
.591 .652 .879 r
.61005 .65427 .61269 .66477 .61874 .66484 .61611 .65433 Metetra
.584 .649 .88 r
.61611 .65433 .61874 .66484 .6248 .66519 .62218 .65467 Metetra
.578 .646 .881 r
.62218 .65467 .6248 .66519 .63088 .6658 .62827 .65526 Metetra
.572 .642 .882 r
.62827 .65526 .63088 .6658 .63698 .66665 .63437 .65611 Metetra
.566 .639 .883 r
.63437 .65611 .63698 .66665 .64308 .66774 .64049 .65719 Metetra
.56 .636 .883 r
.64049 .65719 .64308 .66774 .64921 .66906 .64662 .6585 Metetra
.554 .633 .884 r
.64662 .6585 .64921 .66906 .65534 .67059 .65277 .66002 Metetra
.549 .63 .884 r
.65277 .66002 .65534 .67059 .6615 .67233 .65893 .66175 Metetra
.544 .627 .884 r
.65893 .66175 .6615 .67233 .66767 .67426 .66511 .66367 Metetra
.539 .624 .885 r
.66511 .66367 .66767 .67426 .67385 .67637 .6713 .66577 Metetra
.535 .622 .885 r
.6713 .66577 .67385 .67637 .68005 .67864 .67751 .66804 Metetra
.531 .62 .885 r
.67751 .66804 .68005 .67864 .68626 .68107 .68374 .67046 Metetra
.527 .617 .886 r
.68374 .67046 .68626 .68107 .69249 .68364 .68997 .67302 Metetra
.523 .615 .886 r
.68997 .67302 .69249 .68364 .69874 .68634 .69623 .67572 Metetra
.52 .613 .886 r
.69623 .67572 .69874 .68634 .705 .68916 .7025 .67853 Metetra
.517 .612 .886 r
.7025 .67853 .705 .68916 .71128 .69209 .70879 .68145 Metetra
.515 .61 .886 r
.70879 .68145 .71128 .69209 .71757 .6951 .71509 .68445 Metetra
.513 .609 .886 r
.71509 .68445 .71757 .6951 .72388 .6982 .72141 .68754 Metetra
.511 .608 .886 r
.72141 .68754 .72388 .6982 .7302 .70135 .72774 .69069 Metetra
.51 .608 .886 r
.72774 .69069 .7302 .70135 .73654 .70456 .73409 .69389 Metetra
.509 .607 .886 r
.73409 .69389 .73654 .70456 .7429 .70781 .74046 .69713 Metetra
.509 .607 .886 r
.74046 .69713 .7429 .70781 .74927 .71108 .74684 .7004 Metetra
.508 .607 .886 r
.74684 .7004 .74927 .71108 .75566 .71437 .75324 .70368 Metetra
.509 .607 .886 r
.75324 .70368 .75566 .71437 .76206 .71765 .75965 .70695 Metetra
.51 .607 .886 r
.75965 .70695 .76206 .71765 .76848 .72091 .76608 .71021 Metetra
.511 .608 .886 r
.76608 .71021 .76848 .72091 .77491 .72414 .77252 .71343 Metetra
.512 .609 .886 r
.77252 .71343 .77491 .72414 .78136 .72733 .77898 .71661 Metetra
.514 .61 .886 r
.77898 .71661 .78136 .72733 .78783 .73046 .78546 .71974 Metetra
.516 .611 .886 r
.78546 .71974 .78783 .73046 .79431 .73352 .79195 .72279 Metetra
.519 .613 .886 r
.79195 .72279 .79431 .73352 .8008 .73649 .79846 .72575 Metetra
.522 .615 .886 r
.79846 .72575 .8008 .73649 .80732 .73936 .80498 .72862 Metetra
.525 .616 .886 r
.80498 .72862 .80732 .73936 .81384 .74212 .81151 .73137 Metetra
.528 .619 .886 r
.81151 .73137 .81384 .74212 .82038 .74475 .81806 .73399 Metetra
.532 .621 .886 r
.81806 .73399 .82038 .74475 .82694 .74724 .82463 .73647 Metetra
.536 .623 .885 r
.82463 .73647 .82694 .74724 .8335 .74957 .83121 .73879 Metetra
.541 .626 .885 r
.83121 .73879 .8335 .74957 .84009 .75173 .8378 .74094 Metetra
.546 .629 .885 r
.8378 .74094 .84009 .75173 .84668 .75371 .84441 .74291 Metetra
.551 .632 .885 r
.84441 .74291 .84668 .75371 .8533 .75549 .85103 .74468 Metetra
.556 .635 .885 r
.85103 .74468 .8533 .75549 .85992 .75705 .85767 .74624 Metetra
.561 .638 .884 r
.85767 .74624 .85992 .75705 .86656 .7584 .86431 .74757 Metetra
.567 .641 .884 r
.86431 .74757 .86656 .7584 .87321 .7595 .87097 .74867 Metetra
.573 .645 .883 r
.87097 .74867 .87321 .7595 .87987 .76035 .87765 .74951 Metetra
.579 .648 .883 r
.87765 .74951 .87987 .76035 .88654 .76094 .88433 .75008 Metetra
.585 .652 .882 r
.88433 .75008 .88654 .76094 .89323 .76125 .89103 .75038 Metetra
.591 .656 .882 r
.89103 .75038 .89323 .76125 .89993 .76126 .89774 .75038 Metetra
.597 .659 .881 r
.89774 .75038 .89993 .76126 .90664 .76097 .90446 .75008 Metetra
.604 .663 .88 r
.90446 .75008 .90664 .76097 .91336 .76037 .9112 .74946 Metetra
.611 .667 .88 r
.9112 .74946 .91336 .76037 .92009 .75943 .91794 .74851 Metetra
.617 .671 .879 r
.91794 .74851 .92009 .75943 .92683 .75815 .92469 .74722 Metetra
.624 .675 .878 r
.92469 .74722 .92683 .75815 .93359 .75652 .93146 .74557 Metetra
.631 .678 .877 r
.93146 .74557 .93359 .75652 .94035 .75451 .93823 .74355 Metetra
.638 .682 .876 r
.93823 .74355 .94035 .75451 .94712 .75213 .94501 .74115 Metetra
.644 .686 .875 r
.94501 .74115 .94712 .75213 .9539 .74936 .9518 .73836 Metetra
.651 .69 .873 r
.9518 .73836 .9539 .74936 .96069 .74619 .9586 .73517 Metetra
.658 .694 .872 r
.9586 .73517 .96069 .74619 .96748 .7426 .96541 .73156 Metetra
.665 .698 .871 r
.96541 .73156 .96748 .7426 .97428 .73859 .97223 .72753 Metetra
.672 .702 .869 r
.97223 .72753 .97428 .73859 .9811 .73415 .97905 .72307 Metetra
.678 .705 .868 r
.97905 .72307 .9811 .73415 .98791 .72926 .98588 .71816 Metetra
.685 .709 .866 r
.98588 .71816 .98791 .72926 .99474 .72391 .99272 .71279 Metetra
.806 .743 .794 r
.37332 .95904 .37633 .96848 .38205 .95161 .37905 .94213 Metetra
.803 .743 .796 r
.37905 .94213 .38205 .95161 .38777 .93523 .38477 .92572 Metetra
.8 .742 .799 r
.38477 .92572 .38777 .93523 .39349 .91936 .3905 .90981 Metetra
.797 .741 .801 r
.3905 .90981 .39349 .91936 .39921 .90399 .39624 .89441 Metetra
.794 .74 .804 r
.39624 .89441 .39921 .90399 .40494 .88913 .40197 .87951 Metetra
.79 .74 .806 r
.40197 .87951 .40494 .88913 .41067 .87475 .40771 .86511 Metetra
.787 .739 .808 r
.40771 .86511 .41067 .87475 .4164 .86088 .41346 .8512 Metetra
.783 .737 .811 r
.41346 .8512 .4164 .86088 .42214 .8475 .4192 .83779 Metetra
.779 .736 .813 r
.4192 .83779 .42214 .8475 .42788 .83461 .42496 .82487 Metetra
.775 .735 .816 r
.42496 .82487 .42788 .83461 .43363 .82222 .43072 .81244 Metetra
.771 .734 .818 r
.43072 .81244 .43363 .82222 .43939 .8103 .43648 .8005 Metetra
.767 .733 .821 r
.43648 .8005 .43939 .8103 .44515 .79888 .44225 .78905 Metetra
.763 .731 .824 r
.44225 .78905 .44515 .79888 .45091 .78793 .44802 .77807 Metetra
.758 .73 .826 r
.44802 .77807 .45091 .78793 .45669 .77746 .45381 .76757 Metetra
.753 .728 .829 r
.45381 .76757 .45669 .77746 .46247 .76746 .4596 .75755 Metetra
.749 .726 .831 r
.4596 .75755 .46247 .76746 .46825 .75793 .46539 .74799 Metetra
.744 .724 .834 r
.46539 .74799 .46825 .75793 .47405 .74887 .47119 .7389 Metetra
.738 .723 .837 r
.47119 .7389 .47405 .74887 .47985 .74026 .477 .73027 Metetra
.733 .721 .839 r
.477 .73027 .47985 .74026 .48566 .73211 .48282 .7221 Metetra
.728 .718 .842 r
.48282 .7221 .48566 .73211 .49148 .7244 .48865 .71437 Metetra
.722 .716 .844 r
.48865 .71437 .49148 .7244 .4973 .71714 .49449 .70709 Metetra
.716 .714 .847 r
.49449 .70709 .4973 .71714 .50314 .71032 .50033 .70024 Metetra
.71 .712 .849 r
.50033 .70024 .50314 .71032 .50898 .70393 .50619 .69383 Metetra
.704 .709 .852 r
.50619 .69383 .50898 .70393 .51484 .69797 .51205 .68785 Metetra
.698 .706 .854 r
.51205 .68785 .51484 .69797 .5207 .69242 .51792 .68228 Metetra
.692 .704 .856 r
.51792 .68228 .5207 .69242 .52658 .68729 .52381 .67713 Metetra
.685 .701 .859 r
.52381 .67713 .52658 .68729 .53246 .68256 .5297 .67238 Metetra
.679 .698 .861 r
.5297 .67238 .53246 .68256 .53836 .67822 .53561 .66803 Metetra
.672 .695 .863 r
.53561 .66803 .53836 .67822 .54427 .67428 .54152 .66407 Metetra
.666 .692 .865 r
.54152 .66407 .54427 .67428 .55019 .67072 .54745 .66049 Metetra
.659 .689 .867 r
.54745 .66049 .55019 .67072 .55612 .66754 .55339 .65729 Metetra
.652 .686 .869 r
.55339 .65729 .55612 .66754 .56206 .66472 .55934 .65446 Metetra
.645 .682 .871 r
.55934 .65446 .56206 .66472 .56801 .66226 .5653 .65198 Metetra
.638 .679 .872 r
.5653 .65198 .56801 .66226 .57398 .66014 .57128 .64985 Metetra
.631 .676 .874 r
.57128 .64985 .57398 .66014 .57996 .65837 .57727 .64807 Metetra
.624 .672 .876 r
.57727 .64807 .57996 .65837 .58595 .65693 .58327 .64661 Metetra
.617 .669 .877 r
.58327 .64661 .58595 .65693 .59195 .6558 .58928 .64548 Metetra
.61 .665 .878 r
.58928 .64548 .59195 .6558 .59797 .65499 .59531 .64465 Metetra
.603 .662 .88 r
.59531 .64465 .59797 .65499 .60401 .65449 .60135 .64413 Metetra
.596 .658 .881 r
.60135 .64413 .60401 .65449 .61005 .65427 .6074 .6439 Metetra
.59 .655 .882 r
.6074 .6439 .61005 .65427 .61611 .65433 .61347 .64396 Metetra
.583 .651 .883 r
.61347 .64396 .61611 .65433 .62218 .65467 .61956 .64428 Metetra
.577 .648 .884 r
.61956 .64428 .62218 .65467 .62827 .65526 .62565 .64486 Metetra
.57 .644 .884 r
.62565 .64486 .62827 .65526 .63437 .65611 .63176 .6457 Metetra
.564 .641 .885 r
.63176 .6457 .63437 .65611 .64049 .65719 .63789 .64677 Metetra
.558 .638 .886 r
.63789 .64677 .64049 .65719 .64662 .6585 .64403 .64807 Metetra
.553 .635 .886 r
.64403 .64807 .64662 .6585 .65277 .66002 .65019 .64959 Metetra
.547 .632 .887 r
.65019 .64959 .65277 .66002 .65893 .66175 .65636 .6513 Metetra
.542 .629 .887 r
.65636 .6513 .65893 .66175 .66511 .66367 .66255 .65322 Metetra
.537 .626 .887 r
.66255 .65322 .66511 .66367 .6713 .66577 .66875 .65531 Metetra
.533 .624 .888 r
.66875 .65531 .6713 .66577 .67751 .66804 .67497 .65757 Metetra
.528 .621 .888 r
.67497 .65757 .67751 .66804 .68374 .67046 .6812 .65998 Metetra
.524 .619 .888 r
.6812 .65998 .68374 .67046 .68997 .67302 .68745 .66254 Metetra
.521 .617 .888 r
.68745 .66254 .68997 .67302 .69623 .67572 .69371 .66522 Metetra
.518 .615 .888 r
.69371 .66522 .69623 .67572 .7025 .67853 .69999 .66803 Metetra
.515 .613 .889 r
.69999 .66803 .7025 .67853 .70879 .68145 .70629 .67094 Metetra
.512 .612 .889 r
.70629 .67094 .70879 .68145 .71509 .68445 .7126 .67394 Metetra
.51 .611 .889 r
.7126 .67394 .71509 .68445 .72141 .68754 .71893 .67702 Metetra
.509 .61 .889 r
.71893 .67702 .72141 .68754 .72774 .69069 .72527 .68016 Metetra
.507 .609 .889 r
.72527 .68016 .72774 .69069 .73409 .69389 .73163 .68336 Metetra
.506 .608 .889 r
.73163 .68336 .73409 .69389 .74046 .69713 .73801 .6866 Metetra
.506 .608 .889 r
.73801 .6866 .74046 .69713 .74684 .7004 .7444 .68985 Metetra
.506 .608 .889 r
.7444 .68985 .74684 .7004 .75324 .70368 .75081 .69312 Metetra
.506 .608 .889 r
.75081 .69312 .75324 .70368 .75965 .70695 .75723 .69639 Metetra
.507 .609 .889 r
.75723 .69639 .75965 .70695 .76608 .71021 .76367 .69964 Metetra
.508 .609 .889 r
.76367 .69964 .76608 .71021 .77252 .71343 .77012 .70286 Metetra
.509 .61 .889 r
.77012 .70286 .77252 .71343 .77898 .71661 .77659 .70604 Metetra
.511 .611 .889 r
.77659 .70604 .77898 .71661 .78546 .71974 .78308 .70915 Metetra
.514 .613 .889 r
.78308 .70915 .78546 .71974 .79195 .72279 .78958 .7122 Metetra
.516 .614 .889 r
.78958 .7122 .79195 .72279 .79846 .72575 .7961 .71516 Metetra
.519 .616 .889 r
.7961 .71516 .79846 .72575 .80498 .72862 .80263 .71801 Metetra
.523 .618 .888 r
.80263 .71801 .80498 .72862 .81151 .73137 .80918 .72075 Metetra
.526 .62 .888 r
.80918 .72075 .81151 .73137 .81806 .73399 .81574 .72337 Metetra
.53 .623 .888 r
.81574 .72337 .81806 .73399 .82463 .73647 .82231 .72584 Metetra
.534 .625 .888 r
.82231 .72584 .82463 .73647 .83121 .73879 .8289 .72815 Metetra
.539 .628 .888 r
.8289 .72815 .83121 .73879 .8378 .74094 .83551 .7303 Metetra
.544 .631 .888 r
.83551 .7303 .8378 .74094 .84441 .74291 .84213 .73226 Metetra
.549 .634 .888 r
.84213 .73226 .84441 .74291 .85103 .74468 .84876 .73402 Metetra
.554 .637 .887 r
.84876 .73402 .85103 .74468 .85767 .74624 .8554 .73557 Metetra
.56 .64 .887 r
.8554 .73557 .85767 .74624 .86431 .74757 .86206 .73689 Metetra
.565 .643 .887 r
.86206 .73689 .86431 .74757 .87097 .74867 .86874 .73797 Metetra
.571 .647 .886 r
.86874 .73797 .87097 .74867 .87765 .74951 .87542 .7388 Metetra
.577 .65 .886 r
.87542 .7388 .87765 .74951 .88433 .75008 .88212 .73937 Metetra
.584 .654 .885 r
.88212 .73937 .88433 .75008 .89103 .75038 .88883 .73965 Metetra
.59 .658 .884 r
.88883 .73965 .89103 .75038 .89774 .75038 .89555 .73964 Metetra
.597 .662 .884 r
.89555 .73964 .89774 .75038 .90446 .75008 .90228 .73933 Metetra
.603 .665 .883 r
.90228 .73933 .90446 .75008 .9112 .74946 .90903 .73869 Metetra
.61 .669 .882 r
.90903 .73869 .9112 .74946 .91794 .74851 .91578 .73773 Metetra
.617 .673 .881 r
.91578 .73773 .91794 .74851 .92469 .74722 .92255 .73642 Metetra
.623 .677 .88 r
.92255 .73642 .92469 .74722 .93146 .74557 .92932 .73476 Metetra
.63 .681 .879 r
.92932 .73476 .93146 .74557 .93823 .74355 .93611 .73272 Metetra
.637 .685 .878 r
.93611 .73272 .93823 .74355 .94501 .74115 .9429 .73031 Metetra
.644 .689 .877 r
.9429 .73031 .94501 .74115 .9518 .73836 .9497 .7275 Metetra
.651 .693 .876 r
.9497 .7275 .9518 .73836 .9586 .73517 .95652 .72429 Metetra
.658 .697 .874 r
.95652 .72429 .9586 .73517 .96541 .73156 .96334 .72067 Metetra
.665 .701 .873 r
.96334 .72067 .96541 .73156 .97223 .72753 .97016 .71662 Metetra
.672 .704 .872 r
.97016 .71662 .97223 .72753 .97905 .72307 .977 .71213 Metetra
.679 .708 .87 r
.977 .71213 .97905 .72307 .98588 .71816 .98384 .7072 Metetra
.686 .712 .869 r
.98384 .7072 .98588 .71816 .99272 .71279 .99069 .70181 Metetra
.807 .746 .795 r
.3703 .94973 .37332 .95904 .37905 .94213 .37603 .93279 Metetra
.804 .745 .797 r
.37603 .93279 .37905 .94213 .38477 .92572 .38177 .91634 Metetra
.801 .744 .8 r
.38177 .91634 .38477 .92572 .3905 .90981 .38751 .9004 Metetra
.798 .743 .802 r
.38751 .9004 .3905 .90981 .39624 .89441 .39325 .88496 Metetra
.795 .743 .804 r
.39325 .88496 .39624 .89441 .40197 .87951 .399 .87003 Metetra
.791 .742 .807 r
.399 .87003 .40197 .87951 .40771 .86511 .40475 .85559 Metetra
.788 .741 .809 r
.40475 .85559 .40771 .86511 .41346 .8512 .4105 .84165 Metetra
.784 .74 .812 r
.4105 .84165 .41346 .8512 .4192 .83779 .41626 .82821 Metetra
.78 .739 .814 r
.41626 .82821 .4192 .83779 .42496 .82487 .42202 .81526 Metetra
.777 .737 .817 r
.42202 .81526 .42496 .82487 .43072 .81244 .42779 .8028 Metetra
.772 .736 .82 r
.42779 .8028 .43072 .81244 .43648 .8005 .43356 .79083 Metetra
.768 .735 .822 r
.43356 .79083 .43648 .8005 .44225 .78905 .43934 .77935 Metetra
.764 .733 .825 r
.43934 .77935 .44225 .78905 .44802 .77807 .44512 .76835 Metetra
.759 .732 .827 r
.44512 .76835 .44802 .77807 .45381 .76757 .45091 .75782 Metetra
.754 .73 .83 r
.45091 .75782 .45381 .76757 .4596 .75755 .45671 .74777 Metetra
.75 .729 .833 r
.45671 .74777 .4596 .75755 .46539 .74799 .46252 .73819 Metetra
.745 .727 .835 r
.46252 .73819 .46539 .74799 .47119 .7389 .46833 .72907 Metetra
.739 .725 .838 r
.46833 .72907 .47119 .7389 .477 .73027 .47415 .72042 Metetra
.734 .723 .841 r
.47415 .72042 .477 .73027 .48282 .7221 .47998 .71222 Metetra
.729 .721 .843 r
.47998 .71222 .48282 .7221 .48865 .71437 .48581 .70447 Metetra
.723 .719 .846 r
.48581 .70447 .48865 .71437 .49449 .70709 .49166 .69717 Metetra
.717 .716 .848 r
.49166 .69717 .49449 .70709 .50033 .70024 .49751 .6903 Metetra
.711 .714 .851 r
.49751 .6903 .50033 .70024 .50619 .69383 .50338 .68387 Metetra
.705 .712 .853 r
.50338 .68387 .50619 .69383 .51205 .68785 .50925 .67786 Metetra
.699 .709 .856 r
.50925 .67786 .51205 .68785 .51792 .68228 .51513 .67228 Metetra
.692 .706 .858 r
.51513 .67228 .51792 .68228 .52381 .67713 .52102 .6671 Metetra
.686 .703 .861 r
.52102 .6671 .52381 .67713 .5297 .67238 .52693 .66234 Metetra
.679 .701 .863 r
.52693 .66234 .5297 .67238 .53561 .66803 .53284 .65797 Metetra
.673 .698 .865 r
.53284 .65797 .53561 .66803 .54152 .66407 .53877 .65399 Metetra
.666 .695 .867 r
.53877 .65399 .54152 .66407 .54745 .66049 .5447 .6504 Metetra
.659 .691 .869 r
.5447 .6504 .54745 .66049 .55339 .65729 .55065 .64718 Metetra
.652 .688 .871 r
.55065 .64718 .55339 .65729 .55934 .65446 .55661 .64433 Metetra
.645 .685 .873 r
.55661 .64433 .55934 .65446 .5653 .65198 .56258 .64184 Metetra
.638 .681 .875 r
.56258 .64184 .5653 .65198 .57128 .64985 .56857 .6397 Metetra
.631 .678 .876 r
.56857 .6397 .57128 .64985 .57727 .64807 .57456 .6379 Metetra
.624 .675 .878 r
.57456 .6379 .57727 .64807 .58327 .64661 .58057 .63643 Metetra
.616 .671 .88 r
.58057 .63643 .58327 .64661 .58928 .64548 .5866 .63528 Metetra
.609 .667 .881 r
.5866 .63528 .58928 .64548 .59531 .64465 .59263 .63445 Metetra
.602 .664 .882 r
.59263 .63445 .59531 .64465 .60135 .64413 .59868 .63391 Metetra
.595 .66 .883 r
.59868 .63391 .60135 .64413 .6074 .6439 .60475 .63367 Metetra
.589 .657 .884 r
.60475 .63367 .6074 .6439 .61347 .64396 .61083 .63371 Metetra
.582 .653 .885 r
.61083 .63371 .61347 .64396 .61956 .64428 .61692 .63403 Metetra
.575 .65 .886 r
.61692 .63403 .61956 .64428 .62565 .64486 .62302 .6346 Metetra
.569 .646 .887 r
.62302 .6346 .62565 .64486 .63176 .6457 .62915 .63543 Metetra
.563 .643 .888 r
.62915 .63543 .63176 .6457 .63789 .64677 .63528 .63649 Metetra
.557 .64 .888 r
.63528 .63649 .63789 .64677 .64403 .64807 .64143 .63778 Metetra
.551 .637 .889 r
.64143 .63778 .64403 .64807 .65019 .64959 .6476 .63928 Metetra
.545 .634 .889 r
.6476 .63928 .65019 .64959 .65636 .6513 .65378 .64099 Metetra
.54 .631 .89 r
.65378 .64099 .65636 .6513 .66255 .65322 .65997 .6429 Metetra
.535 .628 .89 r
.65997 .6429 .66255 .65322 .66875 .65531 .66618 .64498 Metetra
.53 .625 .89 r
.66618 .64498 .66875 .65531 .67497 .65757 .67241 .64723 Metetra
.526 .623 .891 r
.67241 .64723 .67497 .65757 .6812 .65998 .67865 .64964 Metetra
.522 .621 .891 r
.67865 .64964 .6812 .65998 .68745 .66254 .68491 .65219 Metetra
.518 .619 .891 r
.68491 .65219 .68745 .66254 .69371 .66522 .69119 .65487 Metetra
.515 .617 .891 r
.69119 .65487 .69371 .66522 .69999 .66803 .69748 .65767 Metetra
.512 .615 .891 r
.69748 .65767 .69999 .66803 .70629 .67094 .70378 .66057 Metetra
.51 .613 .891 r
.70378 .66057 .70629 .67094 .7126 .67394 .7101 .66356 Metetra
.508 .612 .891 r
.7101 .66356 .7126 .67394 .71893 .67702 .71644 .66664 Metetra
.506 .611 .891 r
.71644 .66664 .71893 .67702 .72527 .68016 .7228 .66978 Metetra
.504 .61 .891 r
.7228 .66978 .72527 .68016 .73163 .68336 .72916 .67297 Metetra
.504 .61 .891 r
.72916 .67297 .73163 .68336 .73801 .6866 .73555 .67619 Metetra
.503 .61 .891 r
.73555 .67619 .73801 .6866 .7444 .68985 .74195 .67945 Metetra
.503 .61 .891 r
.74195 .67945 .7444 .68985 .75081 .69312 .74837 .68271 Metetra
.503 .61 .891 r
.74837 .68271 .75081 .69312 .75723 .69639 .7548 .68597 Metetra
.504 .61 .891 r
.7548 .68597 .75723 .69639 .76367 .69964 .76125 .68921 Metetra
.505 .611 .891 r
.76125 .68921 .76367 .69964 .77012 .70286 .76772 .69243 Metetra
.507 .612 .891 r
.76772 .69243 .77012 .70286 .77659 .70604 .7742 .6956 Metetra
.509 .613 .891 r
.7742 .6956 .77659 .70604 .78308 .70915 .78069 .69871 Metetra
.511 .614 .891 r
.78069 .69871 .78308 .70915 .78958 .7122 .7872 .70174 Metetra
.514 .616 .891 r
.7872 .70174 .78958 .7122 .7961 .71516 .79373 .7047 Metetra
.517 .618 .891 r
.79373 .7047 .7961 .71516 .80263 .71801 .80027 .70755 Metetra
.52 .62 .891 r
.80027 .70755 .80263 .71801 .80918 .72075 .80683 .71028 Metetra
.524 .622 .891 r
.80683 .71028 .80918 .72075 .81574 .72337 .8134 .71289 Metetra
.528 .624 .891 r
.8134 .71289 .81574 .72337 .82231 .72584 .81999 .71535 Metetra
.532 .627 .891 r
.81999 .71535 .82231 .72584 .8289 .72815 .82659 .71766 Metetra
.537 .63 .891 r
.82659 .71766 .8289 .72815 .83551 .7303 .83321 .71979 Metetra
.542 .633 .89 r
.83321 .71979 .83551 .7303 .84213 .73226 .83984 .72174 Metetra
.547 .636 .89 r
.83984 .72174 .84213 .73226 .84876 .73402 .84648 .7235 Metetra
.552 .639 .89 r
.84648 .7235 .84876 .73402 .8554 .73557 .85314 .72503 Metetra
.558 .642 .89 r
.85314 .72503 .8554 .73557 .86206 .73689 .85981 .72635 Metetra
.564 .645 .889 r
.85981 .72635 .86206 .73689 .86874 .73797 .86649 .72742 Metetra
.57 .649 .889 r
.86649 .72742 .86874 .73797 .87542 .7388 .87319 .72824 Metetra
.576 .653 .888 r
.87319 .72824 .87542 .7388 .88212 .73937 .87989 .72879 Metetra
.582 .656 .888 r
.87989 .72879 .88212 .73937 .88883 .73965 .88662 .72907 Metetra
.589 .66 .887 r
.88662 .72907 .88883 .73965 .89555 .73964 .89335 .72904 Metetra
.596 .664 .886 r
.89335 .72904 .89555 .73964 .90228 .73933 .90009 .72872 Metetra
.602 .668 .886 r
.90009 .72872 .90228 .73933 .90903 .73869 .90685 .72807 Metetra
.609 .672 .885 r
.90685 .72807 .90903 .73869 .91578 .73773 .91361 .72709 Metetra
.616 .676 .884 r
.91361 .72709 .91578 .73773 .92255 .73642 .92039 .72577 Metetra
.623 .68 .883 r
.92039 .72577 .92255 .73642 .92932 .73476 .92718 .72409 Metetra
.63 .684 .882 r
.92718 .72409 .92932 .73476 .93611 .73272 .93398 .72204 Metetra
.637 .688 .881 r
.93398 .72204 .93611 .73272 .9429 .73031 .94078 .71961 Metetra
.644 .692 .88 r
.94078 .71961 .9429 .73031 .9497 .7275 .9476 .71678 Metetra
.651 .695 .878 r
.9476 .71678 .9497 .7275 .95652 .72429 .95442 .71355 Metetra
.658 .699 .877 r
.95442 .71355 .95652 .72429 .96334 .72067 .96126 .70991 Metetra
.665 .703 .875 r
.96126 .70991 .96334 .72067 .97016 .71662 .9681 .70584 Metetra
.672 .707 .874 r
.9681 .70584 .97016 .71662 .977 .71213 .97494 .70134 Metetra
.679 .711 .872 r
.97494 .70134 .977 .71213 .98384 .7072 .9818 .69638 Metetra
.686 .715 .871 r
.9818 .69638 .98384 .7072 .99069 .70181 .98866 .69097 Metetra
.808 .748 .796 r
.36726 .94057 .3703 .94973 .37603 .93279 .37301 .92358 Metetra
.806 .747 .798 r
.37301 .92358 .37603 .93279 .38177 .91634 .37875 .9071 Metetra
.803 .746 .8 r
.37875 .9071 .38177 .91634 .38751 .9004 .3845 .89112 Metetra
.799 .746 .803 r
.3845 .89112 .38751 .9004 .39325 .88496 .39025 .87565 Metetra
.796 .745 .805 r
.39025 .87565 .39325 .88496 .399 .87003 .39601 .86068 Metetra
.793 .744 .808 r
.39601 .86068 .399 .87003 .40475 .85559 .40177 .84621 Metetra
.789 .743 .81 r
.40177 .84621 .40475 .85559 .4105 .84165 .40753 .83224 Metetra
.786 .742 .813 r
.40753 .83224 .4105 .84165 .41626 .82821 .4133 .81877 Metetra
.782 .741 .815 r
.4133 .81877 .41626 .82821 .42202 .81526 .41907 .80579 Metetra
.778 .74 .818 r
.41907 .80579 .42202 .81526 .42779 .8028 .42485 .7933 Metetra
.774 .739 .821 r
.42485 .7933 .42779 .8028 .43356 .79083 .43063 .7813 Metetra
.769 .737 .823 r
.43063 .7813 .43356 .79083 .43934 .77935 .43642 .76979 Metetra
.765 .736 .826 r
.43642 .76979 .43934 .77935 .44512 .76835 .44221 .75876 Metetra
.76 .734 .829 r
.44221 .75876 .44512 .76835 .45091 .75782 .44801 .7482 Metetra
.756 .733 .831 r
.44801 .7482 .45091 .75782 .45671 .74777 .45382 .73813 Metetra
.751 .731 .834 r
.45382 .73813 .45671 .74777 .46252 .73819 .45963 .72852 Metetra
.746 .729 .837 r
.45963 .72852 .46252 .73819 .46833 .72907 .46545 .71938 Metetra
.74 .728 .84 r
.46545 .71938 .46833 .72907 .47415 .72042 .47128 .7107 Metetra
.735 .726 .842 r
.47128 .7107 .47415 .72042 .47998 .71222 .47712 .70248 Metetra
.729 .724 .845 r
.47712 .70248 .47998 .71222 .48581 .70447 .48297 .69471 Metetra
.724 .721 .848 r
.48297 .69471 .48581 .70447 .49166 .69717 .48882 .68738 Metetra
.718 .719 .85 r
.48882 .68738 .49166 .69717 .49751 .6903 .49468 .68049 Metetra
.712 .717 .853 r
.49468 .68049 .49751 .6903 .50338 .68387 .50055 .67404 Metetra
.706 .714 .855 r
.50055 .67404 .50338 .68387 .50925 .67786 .50644 .66801 Metetra
.699 .712 .858 r
.50644 .66801 .50925 .67786 .51513 .67228 .51233 .66241 Metetra
.693 .709 .86 r
.51233 .66241 .51513 .67228 .52102 .6671 .51823 .65722 Metetra
.686 .706 .863 r
.51823 .65722 .52102 .6671 .52693 .66234 .52414 .65243 Metetra
.68 .703 .865 r
.52414 .65243 .52693 .66234 .53284 .65797 .53007 .64805 Metetra
.673 .7 .867 r
.53007 .64805 .53284 .65797 .53877 .65399 .536 .64405 Metetra
.666 .697 .869 r
.536 .64405 .53877 .65399 .5447 .6504 .54195 .64044 Metetra
.659 .694 .872 r
.54195 .64044 .5447 .6504 .55065 .64718 .5479 .63721 Metetra
.652 .691 .874 r
.5479 .63721 .55065 .64718 .55661 .64433 .55387 .63434 Metetra
.645 .687 .875 r
.55387 .63434 .55661 .64433 .56258 .64184 .55985 .63184 Metetra
.637 .684 .877 r
.55985 .63184 .56258 .64184 .56857 .6397 .56585 .62968 Metetra
.63 .68 .879 r
.56585 .62968 .56857 .6397 .57456 .6379 .57185 .62786 Metetra
.623 .677 .881 r
.57185 .62786 .57456 .6379 .58057 .63643 .57787 .62638 Metetra
.616 .673 .882 r
.57787 .62638 .58057 .63643 .5866 .63528 .5839 .62522 Metetra
.609 .67 .883 r
.5839 .62522 .5866 .63528 .59263 .63445 .58995 .62437 Metetra
.601 .666 .885 r
.58995 .62437 .59263 .63445 .59868 .63391 .59601 .62383 Metetra
.594 .663 .886 r
.59601 .62383 .59868 .63391 .60475 .63367 .60208 .62358 Metetra
.587 .659 .887 r
.60208 .62358 .60475 .63367 .61083 .63371 .60817 .62361 Metetra
.581 .656 .888 r
.60817 .62361 .61083 .63371 .61692 .63403 .61427 .62391 Metetra
.574 .652 .889 r
.61427 .62391 .61692 .63403 .62302 .6346 .62039 .62447 Metetra
.567 .649 .89 r
.62039 .62447 .62302 .6346 .62915 .63543 .62652 .62529 Metetra
.561 .645 .891 r
.62652 .62529 .62915 .63543 .63528 .63649 .63266 .62634 Metetra
.555 .642 .891 r
.63266 .62634 .63528 .63649 .64143 .63778 .63882 .62762 Metetra
.549 .639 .892 r
.63882 .62762 .64143 .63778 .6476 .63928 .645 .62912 Metetra
.543 .636 .892 r
.645 .62912 .6476 .63928 .65378 .64099 .65119 .63082 Metetra
.538 .633 .893 r
.65119 .63082 .65378 .64099 .65997 .6429 .65739 .63272 Metetra
.533 .63 .893 r
.65739 .63272 .65997 .6429 .66618 .64498 .66361 .63479 Metetra
.528 .627 .893 r
.66361 .63479 .66618 .64498 .67241 .64723 .66985 .63703 Metetra
.524 .625 .893 r
.66985 .63703 .67241 .64723 .67865 .64964 .6761 .63943 Metetra
.52 .622 .894 r
.6761 .63943 .67865 .64964 .68491 .65219 .68237 .64198 Metetra
.516 .62 .894 r
.68237 .64198 .68491 .65219 .69119 .65487 .68865 .64465 Metetra
.512 .618 .894 r
.68865 .64465 .69119 .65487 .69748 .65767 .69495 .64744 Metetra
.509 .617 .894 r
.69495 .64744 .69748 .65767 .70378 .66057 .70127 .65034 Metetra
.507 .615 .894 r
.70127 .65034 .70378 .66057 .7101 .66356 .7076 .65333 Metetra
.505 .614 .894 r
.7076 .65333 .7101 .66356 .71644 .66664 .71395 .65639 Metetra
.503 .613 .894 r
.71395 .65639 .71644 .66664 .7228 .66978 .72031 .65952 Metetra
.502 .612 .894 r
.72031 .65952 .7228 .66978 .72916 .67297 .72669 .66271 Metetra
.501 .611 .894 r
.72669 .66271 .72916 .67297 .73555 .67619 .73308 .66593 Metetra
.5 .611 .894 r
.73308 .66593 .73555 .67619 .74195 .67945 .7395 .66918 Metetra
.5 .611 .894 r
.7395 .66918 .74195 .67945 .74837 .68271 .74592 .67243 Metetra
.5 .611 .894 r
.74592 .67243 .74837 .68271 .7548 .68597 .75237 .67569 Metetra
.501 .612 .894 r
.75237 .67569 .7548 .68597 .76125 .68921 .75883 .67893 Metetra
.502 .612 .894 r
.75883 .67893 .76125 .68921 .76772 .69243 .7653 .68213 Metetra
.504 .613 .894 r
.7653 .68213 .76772 .69243 .7742 .6956 .77179 .6853 Metetra
.506 .614 .894 r
.77179 .6853 .7742 .6956 .78069 .69871 .7783 .6884 Metetra
.508 .616 .894 r
.7783 .6884 .78069 .69871 .7872 .70174 .78482 .69143 Metetra
.511 .618 .894 r
.78482 .69143 .7872 .70174 .79373 .7047 .79136 .69438 Metetra
.514 .619 .894 r
.79136 .69438 .79373 .7047 .80027 .70755 .79791 .69722 Metetra
.518 .621 .894 r
.79791 .69722 .80027 .70755 .80683 .71028 .80448 .69995 Metetra
.521 .624 .894 r
.80448 .69995 .80683 .71028 .8134 .71289 .81106 .70255 Metetra
.525 .626 .894 r
.81106 .70255 .8134 .71289 .81999 .71535 .81766 .705 Metetra
.53 .629 .894 r
.81766 .705 .81999 .71535 .82659 .71766 .82427 .7073 Metetra
.535 .631 .893 r
.82427 .7073 .82659 .71766 .83321 .71979 .8309 .70943 Metetra
.54 .634 .893 r
.8309 .70943 .83321 .71979 .83984 .72174 .83754 .71137 Metetra
.545 .638 .893 r
.83754 .71137 .83984 .72174 .84648 .7235 .84419 .71311 Metetra
.55 .641 .893 r
.84419 .71311 .84648 .7235 .85314 .72503 .85086 .71464 Metetra
.556 .644 .892 r
.85086 .71464 .85314 .72503 .85981 .72635 .85754 .71595 Metetra
.562 .648 .892 r
.85754 .71595 .85981 .72635 .86649 .72742 .86424 .71701 Metetra
.568 .651 .892 r
.86424 .71701 .86649 .72742 .87319 .72824 .87094 .71782 Metetra
.575 .655 .891 r
.87094 .71782 .87319 .72824 .87989 .72879 .87766 .71836 Metetra
.581 .659 .89 r
.87766 .71836 .87989 .72879 .88662 .72907 .8844 .71862 Metetra
.588 .662 .89 r
.8844 .71862 .88662 .72907 .89335 .72904 .89114 .71859 Metetra
.594 .666 .889 r
.89114 .71859 .89335 .72904 .90009 .72872 .8979 .71825 Metetra
.601 .67 .888 r
.8979 .71825 .90009 .72872 .90685 .72807 .90466 .71759 Metetra
.608 .674 .887 r
.90466 .71759 .90685 .72807 .91361 .72709 .91144 .71659 Metetra
.615 .678 .887 r
.91144 .71659 .91361 .72709 .92039 .72577 .91823 .71526 Metetra
.622 .682 .886 r
.91823 .71526 .92039 .72577 .92718 .72409 .92503 .71356 Metetra
.629 .686 .884 r
.92503 .71356 .92718 .72409 .93398 .72204 .93184 .71149 Metetra
.637 .69 .883 r
.93184 .71149 .93398 .72204 .94078 .71961 .93866 .70905 Metetra
.644 .694 .882 r
.93866 .70905 .94078 .71961 .9476 .71678 .94549 .70621 Metetra
.651 .698 .881 r
.94549 .70621 .9476 .71678 .95442 .71355 .95232 .70296 Metetra
.658 .702 .879 r
.95232 .70296 .95442 .71355 .96126 .70991 .95917 .6993 Metetra
.665 .706 .878 r
.95917 .6993 .96126 .70991 .9681 .70584 .96602 .69521 Metetra
.672 .71 .876 r
.96602 .69521 .9681 .70584 .97494 .70134 .97288 .69068 Metetra
.679 .714 .875 r
.97288 .69068 .97494 .70134 .9818 .69638 .97975 .68571 Metetra
.686 .718 .873 r
.97975 .68571 .9818 .69638 .98866 .69097 .98662 .68027 Metetra
.81 .75 .796 r
.36422 .93153 .36726 .94057 .37301 .92358 .36997 .91451 Metetra
.807 .749 .799 r
.36997 .91451 .37301 .92358 .37875 .9071 .37572 .898 Metetra
.804 .748 .801 r
.37572 .898 .37875 .9071 .3845 .89112 .38148 .88198 Metetra
.801 .748 .804 r
.38148 .88198 .3845 .89112 .39025 .87565 .38724 .86648 Metetra
.797 .747 .806 r
.38724 .86648 .39025 .87565 .39601 .86068 .39301 .85147 Metetra
.794 .746 .809 r
.39301 .85147 .39601 .86068 .40177 .84621 .39878 .83697 Metetra
.79 .745 .811 r
.39878 .83697 .40177 .84621 .40753 .83224 .40455 .82297 Metetra
.787 .744 .814 r
.40455 .82297 .40753 .83224 .4133 .81877 .41033 .80946 Metetra
.783 .743 .816 r
.41033 .80946 .4133 .81877 .41907 .80579 .41611 .79645 Metetra
.779 .742 .819 r
.41611 .79645 .41907 .80579 .42485 .7933 .42189 .78393 Metetra
.775 .741 .822 r
.42189 .78393 .42485 .7933 .43063 .7813 .42769 .7719 Metetra
.771 .74 .825 r
.42769 .7719 .43063 .7813 .43642 .76979 .43348 .76036 Metetra
.766 .738 .827 r
.43348 .76036 .43642 .76979 .44221 .75876 .43929 .7493 Metetra
.762 .737 .83 r
.43929 .7493 .44221 .75876 .44801 .7482 .4451 .73872 Metetra
.757 .735 .833 r
.4451 .73872 .44801 .7482 .45382 .73813 .45091 .72862 Metetra
.752 .734 .836 r
.45091 .72862 .45382 .73813 .45963 .72852 .45674 .71899 Metetra
.747 .732 .838 r
.45674 .71899 .45963 .72852 .46545 .71938 .46257 .70982 Metetra
.741 .73 .841 r
.46257 .70982 .46545 .71938 .47128 .7107 .4684 .70112 Metetra
.736 .728 .844 r
.4684 .70112 .47128 .7107 .47712 .70248 .47425 .69287 Metetra
.73 .726 .847 r
.47425 .69287 .47712 .70248 .48297 .69471 .48011 .68508 Metetra
.725 .724 .849 r
.48011 .68508 .48297 .69471 .48882 .68738 .48597 .67773 Metetra
.719 .722 .852 r
.48597 .67773 .48882 .68738 .49468 .68049 .49184 .67082 Metetra
.713 .719 .855 r
.49184 .67082 .49468 .68049 .50055 .67404 .49772 .66434 Metetra
.706 .717 .857 r
.49772 .66434 .50055 .67404 .50644 .66801 .50361 .6583 Metetra
.7 .714 .86 r
.50361 .6583 .50644 .66801 .51233 .66241 .50951 .65267 Metetra
.693 .712 .862 r
.50951 .65267 .51233 .66241 .51823 .65722 .51543 .64746 Metetra
.687 .709 .865 r
.51543 .64746 .51823 .65722 .52414 .65243 .52135 .64266 Metetra
.68 .706 .867 r
.52135 .64266 .52414 .65243 .53007 .64805 .52728 .63826 Metetra
.673 .703 .869 r
.52728 .63826 .53007 .64805 .536 .64405 .53322 .63424 Metetra
.666 .7 .872 r
.53322 .63424 .536 .64405 .54195 .64044 .53918 .63062 Metetra
.659 .697 .874 r
.53918 .63062 .54195 .64044 .5479 .63721 .54514 .62737 Metetra
.652 .693 .876 r
.54514 .62737 .5479 .63721 .55387 .63434 .55112 .62449 Metetra
.644 .69 .878 r
.55112 .62449 .55387 .63434 .55985 .63184 .55711 .62197 Metetra
.637 .687 .88 r
.55711 .62197 .55985 .63184 .56585 .62968 .56311 .61979 Metetra
.63 .683 .881 r
.56311 .61979 .56585 .62968 .57185 .62786 .56913 .61797 Metetra
.622 .68 .883 r
.56913 .61797 .57185 .62786 .57787 .62638 .57516 .61647 Metetra
.615 .676 .885 r
.57516 .61647 .57787 .62638 .5839 .62522 .5812 .6153 Metetra
.608 .672 .886 r
.5812 .6153 .5839 .62522 .58995 .62437 .58725 .61444 Metetra
.601 .669 .887 r
.58725 .61444 .58995 .62437 .59601 .62383 .59332 .61388 Metetra
.593 .665 .889 r
.59332 .61388 .59601 .62383 .60208 .62358 .5994 .61362 Metetra
.586 .661 .89 r
.5994 .61362 .60208 .62358 .60817 .62361 .6055 .61364 Metetra
.579 .658 .891 r
.6055 .61364 .60817 .62361 .61427 .62391 .61161 .61393 Metetra
.573 .654 .892 r
.61161 .61393 .61427 .62391 .62039 .62447 .61774 .61448 Metetra
.566 .651 .893 r
.61774 .61448 .62039 .62447 .62652 .62529 .62388 .61529 Metetra
.559 .647 .893 r
.62388 .61529 .62652 .62529 .63266 .62634 .63003 .61633 Metetra
.553 .644 .894 r
.63003 .61633 .63266 .62634 .63882 .62762 .6362 .6176 Metetra
.547 .641 .894 r
.6362 .6176 .63882 .62762 .645 .62912 .64238 .61909 Metetra
.541 .638 .895 r
.64238 .61909 .645 .62912 .65119 .63082 .64858 .62079 Metetra
.536 .634 .895 r
.64858 .62079 .65119 .63082 .65739 .63272 .6548 .62267 Metetra
.531 .632 .896 r
.6548 .62267 .65739 .63272 .66361 .63479 .66103 .62474 Metetra
.526 .629 .896 r
.66103 .62474 .66361 .63479 .66985 .63703 .66727 .62698 Metetra
.521 .626 .896 r
.66727 .62698 .66985 .63703 .6761 .63943 .67354 .62937 Metetra
.517 .624 .896 r
.67354 .62937 .6761 .63943 .68237 .64198 .67981 .6319 Metetra
.513 .622 .897 r
.67981 .6319 .68237 .64198 .68865 .64465 .68611 .63457 Metetra
.51 .62 .897 r
.68611 .63457 .68865 .64465 .69495 .64744 .69242 .63735 Metetra
.507 .618 .897 r
.69242 .63735 .69495 .64744 .70127 .65034 .69874 .64024 Metetra
.504 .617 .897 r
.69874 .64024 .70127 .65034 .7076 .65333 .70508 .64323 Metetra
.502 .615 .897 r
.70508 .64323 .7076 .65333 .71395 .65639 .71144 .64629 Metetra
.5 .614 .897 r
.71144 .64629 .71395 .65639 .72031 .65952 .71781 .64941 Metetra
.499 .613 .897 r
.71781 .64941 .72031 .65952 .72669 .66271 .7242 .65259 Metetra
.498 .613 .897 r
.7242 .65259 .72669 .66271 .73308 .66593 .73061 .65581 Metetra
.497 .613 .897 r
.73061 .65581 .73308 .66593 .7395 .66918 .73703 .65905 Metetra
.497 .613 .897 r
.73703 .65905 .7395 .66918 .74592 .67243 .74347 .6623 Metetra
.497 .613 .897 r
.74347 .6623 .74592 .67243 .75237 .67569 .74992 .66555 Metetra
.498 .613 .897 r
.74992 .66555 .75237 .67569 .75883 .67893 .75639 .66878 Metetra
.499 .614 .897 r
.75639 .66878 .75883 .67893 .7653 .68213 .76288 .67198 Metetra
.501 .615 .897 r
.76288 .67198 .7653 .68213 .77179 .6853 .76938 .67514 Metetra
.503 .616 .897 r
.76938 .67514 .77179 .6853 .7783 .6884 .7759 .67823 Metetra
.505 .617 .897 r
.7759 .67823 .7783 .6884 .78482 .69143 .78243 .68126 Metetra
.508 .619 .897 r
.78243 .68126 .78482 .69143 .79136 .69438 .78898 .6842 Metetra
.511 .621 .897 r
.78898 .6842 .79136 .69438 .79791 .69722 .79554 .68703 Metetra
.515 .623 .897 r
.79554 .68703 .79791 .69722 .80448 .69995 .80212 .68975 Metetra
.519 .625 .897 r
.80212 .68975 .80448 .69995 .81106 .70255 .80871 .69235 Metetra
.523 .628 .897 r
.80871 .69235 .81106 .70255 .81766 .705 .81532 .69479 Metetra
.528 .631 .896 r
.81532 .69479 .81766 .705 .82427 .7073 .82194 .69709 Metetra
.532 .633 .896 r
.82194 .69709 .82427 .7073 .8309 .70943 .82858 .6992 Metetra
.537 .636 .896 r
.82858 .6992 .8309 .70943 .83754 .71137 .83523 .70114 Metetra
.543 .64 .896 r
.83523 .70114 .83754 .71137 .84419 .71311 .8419 .70287 Metetra
.548 .643 .895 r
.8419 .70287 .84419 .71311 .85086 .71464 .84858 .70439 Metetra
.554 .646 .895 r
.84858 .70439 .85086 .71464 .85754 .71595 .85527 .70569 Metetra
.56 .65 .895 r
.85527 .70569 .85754 .71595 .86424 .71701 .86198 .70674 Metetra
.567 .653 .894 r
.86198 .70674 .86424 .71701 .87094 .71782 .86869 .70754 Metetra
.573 .657 .894 r
.86869 .70754 .87094 .71782 .87766 .71836 .87543 .70807 Metetra
.58 .661 .893 r
.87543 .70807 .87766 .71836 .8844 .71862 .88217 .70832 Metetra
.587 .665 .893 r
.88217 .70832 .8844 .71862 .89114 .71859 .88893 .70827 Metetra
.593 .669 .892 r
.88893 .70827 .89114 .71859 .8979 .71825 .89569 .70792 Metetra
.6 .673 .891 r
.89569 .70792 .8979 .71825 .90466 .71759 .90247 .70725 Metetra
.607 .677 .89 r
.90247 .70725 .90466 .71759 .91144 .71659 .90926 .70624 Metetra
.615 .681 .889 r
.90926 .70624 .91144 .71659 .91823 .71526 .91606 .70489 Metetra
.622 .685 .888 r
.91606 .70489 .91823 .71526 .92503 .71356 .92288 .70318 Metetra
.629 .689 .887 r
.92288 .70318 .92503 .71356 .93184 .71149 .9297 .7011 Metetra
.636 .693 .886 r
.9297 .7011 .93184 .71149 .93866 .70905 .93653 .69863 Metetra
.644 .697 .885 r
.93653 .69863 .93866 .70905 .94549 .70621 .94337 .69577 Metetra
.651 .701 .883 r
.94337 .69577 .94549 .70621 .95232 .70296 .95022 .69251 Metetra
.658 .705 .882 r
.95022 .69251 .95232 .70296 .95917 .6993 .95707 .68883 Metetra
.665 .709 .88 r
.95707 .68883 .95917 .6993 .96602 .69521 .96394 .68472 Metetra
.673 .713 .879 r
.96394 .68472 .96602 .69521 .97288 .69068 .97081 .68017 Metetra
.68 .717 .877 r
.97081 .68017 .97288 .69068 .97975 .68571 .97769 .67518 Metetra
.687 .721 .875 r
.97769 .67518 .97975 .68571 .98662 .68027 .98458 .66972 Metetra
.811 .752 .797 r
.36115 .92264 .36422 .93153 .36997 .91451 .36692 .90558 Metetra
.808 .751 .8 r
.36692 .90558 .36997 .91451 .37572 .898 .37268 .88903 Metetra
.805 .751 .802 r
.37268 .88903 .37572 .898 .38148 .88198 .37845 .87298 Metetra
.802 .75 .804 r
.37845 .87298 .38148 .88198 .38724 .86648 .38422 .85744 Metetra
.799 .749 .807 r
.38422 .85744 .38724 .86648 .39301 .85147 .39 .8424 Metetra
.795 .748 .81 r
.39 .8424 .39301 .85147 .39878 .83697 .39577 .82786 Metetra
.792 .747 .812 r
.39577 .82786 .39878 .83697 .40455 .82297 .40156 .81383 Metetra
.788 .747 .815 r
.40156 .81383 .40455 .82297 .41033 .80946 .40734 .80029 Metetra
.784 .746 .818 r
.40734 .80029 .41033 .80946 .41611 .79645 .41313 .78725 Metetra
.78 .745 .82 r
.41313 .78725 .41611 .79645 .42189 .78393 .41893 .7747 Metetra
.776 .743 .823 r
.41893 .7747 .42189 .78393 .42769 .7719 .42473 .76264 Metetra
.772 .742 .826 r
.42473 .76264 .42769 .7719 .43348 .76036 .43054 .75107 Metetra
.767 .741 .829 r
.43054 .75107 .43348 .76036 .43929 .7493 .43635 .73998 Metetra
.763 .739 .831 r
.43635 .73998 .43929 .7493 .4451 .73872 .44217 .72938 Metetra
.758 .738 .834 r
.44217 .72938 .4451 .73872 .45091 .72862 .44799 .71925 Metetra
.753 .736 .837 r
.44799 .71925 .45091 .72862 .45674 .71899 .45383 .70959 Metetra
.748 .735 .84 r
.45383 .70959 .45674 .71899 .46257 .70982 .45967 .7004 Metetra
.742 .733 .843 r
.45967 .7004 .46257 .70982 .4684 .70112 .46551 .69167 Metetra
.737 .731 .846 r
.46551 .69167 .4684 .70112 .47425 .69287 .47137 .6834 Metetra
.731 .729 .848 r
.47137 .6834 .47425 .69287 .48011 .68508 .47723 .67558 Metetra
.726 .727 .851 r
.47723 .67558 .48011 .68508 .48597 .67773 .48311 .66821 Metetra
.72 .724 .854 r
.48311 .66821 .48597 .67773 .49184 .67082 .48899 .66128 Metetra
.713 .722 .857 r
.48899 .66128 .49184 .67082 .49772 .66434 .49488 .65479 Metetra
.707 .72 .859 r
.49488 .65479 .49772 .66434 .50361 .6583 .50078 .64872 Metetra
.701 .717 .862 r
.50078 .64872 .50361 .6583 .50951 .65267 .50669 .64307 Metetra
.694 .714 .864 r
.50669 .64307 .50951 .65267 .51543 .64746 .51261 .63784 Metetra
.687 .712 .867 r
.51261 .63784 .51543 .64746 .52135 .64266 .51854 .63302 Metetra
.68 .709 .869 r
.51854 .63302 .52135 .64266 .52728 .63826 .52448 .6286 Metetra
.673 .706 .872 r
.52448 .6286 .52728 .63826 .53322 .63424 .53043 .62457 Metetra
.666 .703 .874 r
.53043 .62457 .53322 .63424 .53918 .63062 .5364 .62093 Metetra
.659 .699 .876 r
.5364 .62093 .53918 .63062 .54514 .62737 .54237 .61767 Metetra
.652 .696 .878 r
.54237 .61767 .54514 .62737 .55112 .62449 .54836 .61477 Metetra
.644 .693 .88 r
.54836 .61477 .55112 .62449 .55711 .62197 .55436 .61223 Metetra
.637 .689 .882 r
.55436 .61223 .55711 .62197 .56311 .61979 .56037 .61005 Metetra
.629 .686 .884 r
.56037 .61005 .56311 .61979 .56913 .61797 .5664 .6082 Metetra
.622 .682 .886 r
.5664 .6082 .56913 .61797 .57516 .61647 .57243 .60669 Metetra
.614 .678 .887 r
.57243 .60669 .57516 .61647 .5812 .6153 .57848 .60551 Metetra
.607 .675 .889 r
.57848 .60551 .5812 .6153 .58725 .61444 .58455 .60464 Metetra
.6 .671 .89 r
.58455 .60464 .58725 .61444 .59332 .61388 .59063 .60407 Metetra
.592 .667 .891 r
.59063 .60407 .59332 .61388 .5994 .61362 .59672 .60379 Metetra
.585 .664 .893 r
.59672 .60379 .5994 .61362 .6055 .61364 .60282 .6038 Metetra
.578 .66 .894 r
.60282 .6038 .6055 .61364 .61161 .61393 .60894 .60408 Metetra
.571 .657 .894 r
.60894 .60408 .61161 .61393 .61774 .61448 .61508 .60463 Metetra
.564 .653 .895 r
.61508 .60463 .61774 .61448 .62388 .61529 .62123 .60542 Metetra
.558 .649 .896 r
.62123 .60542 .62388 .61529 .63003 .61633 .62739 .60646 Metetra
.551 .646 .897 r
.62739 .60646 .63003 .61633 .6362 .6176 .63357 .60772 Metetra
.545 .643 .897 r
.63357 .60772 .6362 .6176 .64238 .61909 .63976 .6092 Metetra
.539 .639 .898 r
.63976 .6092 .64238 .61909 .64858 .62079 .64597 .61089 Metetra
.534 .636 .898 r
.64597 .61089 .64858 .62079 .6548 .62267 .6522 .61276 Metetra
.528 .633 .899 r
.6522 .61276 .6548 .62267 .66103 .62474 .65844 .61482 Metetra
.523 .631 .899 r
.65844 .61482 .66103 .62474 .66727 .62698 .66469 .61705 Metetra
.519 .628 .899 r
.66469 .61705 .66727 .62698 .67354 .62937 .67096 .61944 Metetra
.514 .626 .899 r
.67096 .61944 .67354 .62937 .67981 .6319 .67725 .62197 Metetra
.51 .624 .899 r
.67725 .62197 .67981 .6319 .68611 .63457 .68355 .62463 Metetra
.507 .622 .899 r
.68355 .62463 .68611 .63457 .69242 .63735 .68987 .62741 Metetra
.504 .62 .9 r
.68987 .62741 .69242 .63735 .69874 .64024 .69621 .63029 Metetra
.501 .618 .9 r
.69621 .63029 .69874 .64024 .70508 .64323 .70256 .63327 Metetra
.499 .617 .9 r
.70256 .63327 .70508 .64323 .71144 .64629 .70893 .63632 Metetra
.497 .616 .9 r
.70893 .63632 .71144 .64629 .71781 .64941 .71531 .63944 Metetra
.496 .615 .9 r
.71531 .63944 .71781 .64941 .7242 .65259 .72171 .64261 Metetra
.495 .614 .9 r
.72171 .64261 .7242 .65259 .73061 .65581 .72812 .64582 Metetra
.494 .614 .9 r
.72812 .64582 .73061 .65581 .73703 .65905 .73456 .64906 Metetra
.494 .614 .9 r
.73456 .64906 .73703 .65905 .74347 .6623 .741 .6523 Metetra
.494 .614 .9 r
.741 .6523 .74347 .6623 .74992 .66555 .74747 .65555 Metetra
.495 .615 .9 r
.74747 .65555 .74992 .66555 .75639 .66878 .75395 .65877 Metetra
.496 .615 .9 r
.75395 .65877 .75639 .66878 .76288 .67198 .76044 .66197 Metetra
.498 .616 .9 r
.76044 .66197 .76288 .67198 .76938 .67514 .76696 .66512 Metetra
.5 .618 .9 r
.76696 .66512 .76938 .67514 .7759 .67823 .77348 .66821 Metetra
.502 .619 .9 r
.77348 .66821 .7759 .67823 .78243 .68126 .78003 .67123 Metetra
.505 .621 .9 r
.78003 .67123 .78243 .68126 .78898 .6842 .78659 .67416 Metetra
.509 .623 .9 r
.78659 .67416 .78898 .6842 .79554 .68703 .79316 .67699 Metetra
.512 .625 .9 r
.79316 .67699 .79554 .68703 .80212 .68975 .79975 .6797 Metetra
.516 .627 .899 r
.79975 .6797 .80212 .68975 .80871 .69235 .80635 .68229 Metetra
.52 .63 .899 r
.80635 .68229 .80871 .69235 .81532 .69479 .81297 .68473 Metetra
.525 .632 .899 r
.81297 .68473 .81532 .69479 .82194 .69709 .81961 .68701 Metetra
.53 .635 .899 r
.81961 .68701 .82194 .69709 .82858 .6992 .82625 .68912 Metetra
.535 .638 .899 r
.82625 .68912 .82858 .6992 .83523 .70114 .83292 .69105 Metetra
.541 .642 .899 r
.83292 .69105 .83523 .70114 .8419 .70287 .83959 .69277 Metetra
.546 .645 .898 r
.83959 .69277 .8419 .70287 .84858 .70439 .84629 .69429 Metetra
.552 .648 .898 r
.84629 .69429 .84858 .70439 .85527 .70569 .85299 .69557 Metetra
.559 .652 .898 r
.85299 .69557 .85527 .70569 .86198 .70674 .85971 .69661 Metetra
.565 .656 .897 r
.85971 .69661 .86198 .70674 .86869 .70754 .86644 .6974 Metetra
.572 .659 .897 r
.86644 .6974 .86869 .70754 .87543 .70807 .87318 .69792 Metetra
.578 .663 .896 r
.87318 .69792 .87543 .70807 .88217 .70832 .87994 .69816 Metetra
.585 .667 .895 r
.87994 .69816 .88217 .70832 .88893 .70827 .8867 .6981 Metetra
.592 .671 .895 r
.8867 .6981 .88893 .70827 .89569 .70792 .89348 .69774 Metetra
.599 .675 .894 r
.89348 .69774 .89569 .70792 .90247 .70725 .90028 .69705 Metetra
.607 .679 .893 r
.90028 .69705 .90247 .70725 .90926 .70624 .90708 .69603 Metetra
.614 .683 .892 r
.90708 .69603 .90926 .70624 .91606 .70489 .91389 .69466 Metetra
.621 .688 .891 r
.91389 .69466 .91606 .70489 .92288 .70318 .92071 .69294 Metetra
.629 .692 .89 r
.92071 .69294 .92288 .70318 .9297 .7011 .92755 .69084 Metetra
.636 .696 .889 r
.92755 .69084 .9297 .7011 .93653 .69863 .93439 .68836 Metetra
.643 .7 .887 r
.93439 .68836 .93653 .69863 .94337 .69577 .94124 .68549 Metetra
.651 .704 .886 r
.94124 .68549 .94337 .69577 .95022 .69251 .94811 .6822 Metetra
.658 .708 .884 r
.94811 .6822 .95022 .69251 .95707 .68883 .95498 .6785 Metetra
.665 .712 .883 r
.95498 .6785 .95707 .68883 .96394 .68472 .96185 .67438 Metetra
.673 .716 .881 r
.96185 .67438 .96394 .68472 .97081 .68017 .96874 .66981 Metetra
.68 .72 .879 r
.96874 .66981 .97081 .68017 .97769 .67518 .97563 .66479 Metetra
.687 .724 .878 r
.97563 .66479 .97769 .67518 .98458 .66972 .98253 .65931 Metetra
.812 .754 .798 r
.35808 .91389 .36115 .92264 .36692 .90558 .36385 .89679 Metetra
.81 .753 .8 r
.36385 .89679 .36692 .90558 .37268 .88903 .36963 .8802 Metetra
.807 .753 .803 r
.36963 .8802 .37268 .88903 .37845 .87298 .37541 .86412 Metetra
.803 .752 .805 r
.37541 .86412 .37845 .87298 .38422 .85744 .38119 .84854 Metetra
.8 .751 .808 r
.38119 .84854 .38422 .85744 .39 .8424 .38697 .83346 Metetra
.797 .751 .811 r
.38697 .83346 .39 .8424 .39577 .82786 .39276 .8189 Metetra
.793 .75 .813 r
.39276 .8189 .39577 .82786 .40156 .81383 .39855 .80483 Metetra
.789 .749 .816 r
.39855 .80483 .40156 .81383 .40734 .80029 .40435 .79126 Metetra
.786 .748 .819 r
.40435 .79126 .40734 .80029 .41313 .78725 .41015 .77818 Metetra
.782 .747 .821 r
.41015 .77818 .41313 .78725 .41893 .7747 .41595 .7656 Metetra
.777 .746 .824 r
.41595 .7656 .41893 .7747 .42473 .76264 .42176 .75352 Metetra
.773 .745 .827 r
.42176 .75352 .42473 .76264 .43054 .75107 .42758 .74192 Metetra
.769 .743 .83 r
.42758 .74192 .43054 .75107 .43635 .73998 .4334 .7308 Metetra
.764 .742 .833 r
.4334 .7308 .43635 .73998 .44217 .72938 .43923 .72017 Metetra
.759 .74 .836 r
.43923 .72017 .44217 .72938 .44799 .71925 .44506 .71001 Metetra
.754 .739 .839 r
.44506 .71001 .44799 .71925 .45383 .70959 .45091 .70033 Metetra
.749 .737 .841 r
.45091 .70033 .45383 .70959 .45967 .7004 .45676 .69111 Metetra
.743 .735 .844 r
.45676 .69111 .45967 .7004 .46551 .69167 .46261 .68236 Metetra
.738 .734 .847 r
.46261 .68236 .46551 .69167 .47137 .6834 .46848 .67407 Metetra
.732 .732 .85 r
.46848 .67407 .47137 .6834 .47723 .67558 .47435 .66622 Metetra
.726 .729 .853 r
.47435 .66622 .47723 .67558 .48311 .66821 .48023 .65883 Metetra
.72 .727 .856 r
.48023 .65883 .48311 .66821 .48899 .66128 .48612 .65188 Metetra
.714 .725 .858 r
.48612 .65188 .48899 .66128 .49488 .65479 .49202 .64536 Metetra
.708 .722 .861 r
.49202 .64536 .49488 .65479 .50078 .64872 .49793 .63928 Metetra
.701 .72 .864 r
.49793 .63928 .50078 .64872 .50669 .64307 .50385 .63361 Metetra
.695 .717 .867 r
.50385 .63361 .50669 .64307 .51261 .63784 .50978 .62836 Metetra
.688 .714 .869 r
.50978 .62836 .51261 .63784 .51854 .63302 .51572 .62352 Metetra
.681 .711 .872 r
.51572 .62352 .51854 .63302 .52448 .6286 .52167 .61908 Metetra
.674 .708 .874 r
.52167 .61908 .52448 .6286 .53043 .62457 .52763 .61504 Metetra
.666 .705 .876 r
.52763 .61504 .53043 .62457 .5364 .62093 .53361 .61138 Metetra
.659 .702 .879 r
.53361 .61138 .5364 .62093 .54237 .61767 .53959 .6081 Metetra
.652 .699 .881 r
.53959 .6081 .54237 .61767 .54836 .61477 .54559 .60519 Metetra
.644 .695 .883 r
.54559 .60519 .54836 .61477 .55436 .61223 .5516 .60263 Metetra
.637 .692 .885 r
.5516 .60263 .55436 .61223 .56037 .61005 .55762 .60043 Metetra
.629 .688 .887 r
.55762 .60043 .56037 .61005 .5664 .6082 .56365 .59858 Metetra
.621 .685 .888 r
.56365 .59858 .5664 .6082 .57243 .60669 .5697 .59706 Metetra
.614 .681 .89 r
.5697 .59706 .57243 .60669 .57848 .60551 .57576 .59586 Metetra
.606 .677 .891 r
.57576 .59586 .57848 .60551 .58455 .60464 .58183 .59497 Metetra
.599 .674 .893 r
.58183 .59497 .58455 .60464 .59063 .60407 .58792 .59439 Metetra
.591 .67 .894 r
.58792 .59439 .59063 .60407 .59672 .60379 .59402 .59411 Metetra
.584 .666 .895 r
.59402 .59411 .59672 .60379 .60282 .6038 .60013 .59411 Metetra
.577 .662 .896 r
.60013 .59411 .60282 .6038 .60894 .60408 .60626 .59438 Metetra
.569 .659 .897 r
.60626 .59438 .60894 .60408 .61508 .60463 .61241 .59491 Metetra
.562 .655 .898 r
.61241 .59491 .61508 .60463 .62123 .60542 .61857 .5957 Metetra
.556 .652 .899 r
.61857 .5957 .62123 .60542 .62739 .60646 .62474 .59672 Metetra
.549 .648 .9 r
.62474 .59672 .62739 .60646 .63357 .60772 .63093 .59798 Metetra
.543 .645 .9 r
.63093 .59798 .63357 .60772 .63976 .6092 .63713 .59945 Metetra
.537 .642 .901 r
.63713 .59945 .63976 .6092 .64597 .61089 .64335 .60113 Metetra
.531 .638 .901 r
.64335 .60113 .64597 .61089 .6522 .61276 .64958 .603 Metetra
.526 .635 .901 r
.64958 .603 .6522 .61276 .65844 .61482 .65583 .60505 Metetra
.521 .633 .902 r
.65583 .60505 .65844 .61482 .66469 .61705 .6621 .60727 Metetra
.516 .63 .902 r
.6621 .60727 .66469 .61705 .67096 .61944 .66838 .60965 Metetra
.511 .627 .902 r
.66838 .60965 .67096 .61944 .67725 .62197 .67468 .61217 Metetra
.507 .625 .902 r
.67468 .61217 .67725 .62197 .68355 .62463 .68099 .61482 Metetra
.504 .623 .902 r
.68099 .61482 .68355 .62463 .68987 .62741 .68732 .6176 Metetra
.501 .621 .902 r
.68732 .6176 .68987 .62741 .69621 .63029 .69366 .62047 Metetra
.498 .62 .902 r
.69366 .62047 .69621 .63029 .70256 .63327 .70002 .62344 Metetra
.496 .618 .902 r
.70002 .62344 .70256 .63327 .70893 .63632 .7064 .62649 Metetra
.494 .617 .902 r
.7064 .62649 .70893 .63632 .71531 .63944 .7128 .62961 Metetra
.492 .617 .903 r
.7128 .62961 .71531 .63944 .72171 .64261 .71921 .63277 Metetra
.491 .616 .903 r
.71921 .63277 .72171 .64261 .72812 .64582 .72563 .63598 Metetra
.491 .616 .903 r
.72563 .63598 .72812 .64582 .73456 .64906 .73207 .63921 Metetra
.491 .616 .903 r
.73207 .63921 .73456 .64906 .741 .6523 .73853 .64245 Metetra
.491 .616 .903 r
.73853 .64245 .741 .6523 .74747 .65555 .74501 .64568 Metetra
.492 .616 .903 r
.74501 .64568 .74747 .65555 .75395 .65877 .7515 .64891 Metetra
.493 .617 .903 r
.7515 .64891 .75395 .65877 .76044 .66197 .758 .65209 Metetra
.495 .618 .903 r
.758 .65209 .76044 .66197 .76696 .66512 .76453 .65524 Metetra
.497 .619 .903 r
.76453 .65524 .76696 .66512 .77348 .66821 .77106 .65832 Metetra
.499 .621 .902 r
.77106 .65832 .77348 .66821 .78003 .67123 .77762 .66134 Metetra
.502 .622 .902 r
.77762 .66134 .78003 .67123 .78659 .67416 .78419 .66426 Metetra
.506 .624 .902 r
.78419 .66426 .78659 .67416 .79316 .67699 .79077 .66709 Metetra
.509 .627 .902 r
.79077 .66709 .79316 .67699 .79975 .6797 .79737 .66979 Metetra
.513 .629 .902 r
.79737 .66979 .79975 .6797 .80635 .68229 .80399 .67237 Metetra
.518 .631 .902 r
.80399 .67237 .80635 .68229 .81297 .68473 .81062 .67481 Metetra
.522 .634 .902 r
.81062 .67481 .81297 .68473 .81961 .68701 .81726 .67708 Metetra
.528 .637 .902 r
.81726 .67708 .81961 .68701 .82625 .68912 .82392 .67919 Metetra
.533 .64 .902 r
.82392 .67919 .82625 .68912 .83292 .69105 .8306 .6811 Metetra
.538 .644 .902 r
.8306 .6811 .83292 .69105 .83959 .69277 .83728 .68282 Metetra
.544 .647 .901 r
.83728 .68282 .83959 .69277 .84629 .69429 .84399 .68432 Metetra
.55 .651 .901 r
.84399 .68432 .84629 .69429 .85299 .69557 .8507 .6856 Metetra
.557 .654 .9 r
.8507 .6856 .85299 .69557 .85971 .69661 .85743 .68663 Metetra
.563 .658 .9 r
.85743 .68663 .85971 .69661 .86644 .6974 .86417 .68741 Metetra
.57 .662 .899 r
.86417 .68741 .86644 .6974 .87318 .69792 .87093 .68792 Metetra
.577 .666 .899 r
.87093 .68792 .87318 .69792 .87994 .69816 .8777 .68815 Metetra
.584 .67 .898 r
.8777 .68815 .87994 .69816 .8867 .6981 .88448 .68808 Metetra
.591 .674 .897 r
.88448 .68808 .8867 .6981 .89348 .69774 .89127 .6877 Metetra
.598 .678 .897 r
.89127 .6877 .89348 .69774 .90028 .69705 .89807 .687 Metetra
.606 .682 .896 r
.89807 .687 .90028 .69705 .90708 .69603 .90489 .68597 Metetra
.613 .686 .895 r
.90489 .68597 .90708 .69603 .91389 .69466 .91171 .68458 Metetra
.621 .69 .894 r
.91171 .68458 .91389 .69466 .92071 .69294 .91855 .68284 Metetra
.628 .695 .892 r
.91855 .68284 .92071 .69294 .92755 .69084 .92539 .68073 Metetra
.636 .699 .891 r
.92539 .68073 .92755 .69084 .93439 .68836 .93225 .67823 Metetra
.643 .703 .89 r
.93225 .67823 .93439 .68836 .94124 .68549 .93911 .67534 Metetra
.651 .707 .888 r
.93911 .67534 .94124 .68549 .94811 .6822 .94599 .67204 Metetra
.658 .711 .887 r
.94599 .67204 .94811 .6822 .95498 .6785 .95287 .66832 Metetra
.666 .715 .885 r
.95287 .66832 .95498 .6785 .96185 .67438 .95976 .66418 Metetra
.673 .719 .884 r
.95976 .66418 .96185 .67438 .96874 .66981 .96666 .65959 Metetra
.68 .723 .882 r
.96666 .65959 .96874 .66981 .97563 .66479 .97356 .65455 Metetra
.688 .727 .88 r
.97356 .65455 .97563 .66479 .98253 .65931 .98048 .64905 Metetra
.814 .756 .799 r
.35499 .90527 .35808 .91389 .36385 .89679 .36078 .88813 Metetra
.811 .755 .801 r
.36078 .88813 .36385 .89679 .36963 .8802 .36656 .87151 Metetra
.808 .755 .804 r
.36656 .87151 .36963 .8802 .37541 .86412 .37235 .85539 Metetra
.805 .754 .806 r
.37235 .85539 .37541 .86412 .38119 .84854 .37814 .83978 Metetra
.801 .754 .809 r
.37814 .83978 .38119 .84854 .38697 .83346 .38393 .82467 Metetra
.798 .753 .811 r
.38393 .82467 .38697 .83346 .39276 .8189 .38973 .81006 Metetra
.794 .752 .814 r
.38973 .81006 .39276 .8189 .39855 .80483 .39553 .79596 Metetra
.791 .751 .817 r
.39553 .79596 .39855 .80483 .40435 .79126 .40134 .78236 Metetra
.787 .75 .82 r
.40134 .78236 .40435 .79126 .41015 .77818 .40715 .76926 Metetra
.783 .749 .823 r
.40715 .76926 .41015 .77818 .41595 .7656 .41296 .75665 Metetra
.779 .748 .825 r
.41296 .75665 .41595 .7656 .42176 .75352 .41878 .74453 Metetra
.774 .747 .828 r
.41878 .74453 .42176 .75352 .42758 .74192 .42461 .7329 Metetra
.77 .746 .831 r
.42461 .7329 .42758 .74192 .4334 .7308 .43044 .72176 Metetra
.765 .745 .834 r
.43044 .72176 .4334 .7308 .43923 .72017 .43628 .7111 Metetra
.76 .743 .837 r
.43628 .7111 .43923 .72017 .44506 .71001 .44212 .70091 Metetra
.755 .742 .84 r
.44212 .70091 .44506 .71001 .45091 .70033 .44797 .6912 Metetra
.75 .74 .843 r
.44797 .6912 .45091 .70033 .45676 .69111 .45383 .68196 Metetra
.745 .738 .846 r
.45383 .68196 .45676 .69111 .46261 .68236 .4597 .67319 Metetra
.739 .736 .849 r
.4597 .67319 .46261 .68236 .46848 .67407 .46557 .66487 Metetra
.733 .734 .852 r
.46557 .66487 .46848 .67407 .47435 .66622 .47146 .657 Metetra
.727 .732 .855 r
.47146 .657 .47435 .66622 .48023 .65883 .47735 .64959 Metetra
.721 .73 .858 r
.47735 .64959 .48023 .65883 .48612 .65188 .48325 .64261 Metetra
.715 .728 .86 r
.48325 .64261 .48612 .65188 .49202 .64536 .48916 .63608 Metetra
.708 .725 .863 r
.48916 .63608 .49202 .64536 .49793 .63928 .49507 .62997 Metetra
.702 .723 .866 r
.49507 .62997 .49793 .63928 .50385 .63361 .501 .62429 Metetra
.695 .72 .869 r
.501 .62429 .50385 .63361 .50978 .62836 .50694 .61902 Metetra
.688 .717 .871 r
.50694 .61902 .50978 .62836 .51572 .62352 .51289 .61416 Metetra
.681 .714 .874 r
.51289 .61416 .51572 .62352 .52167 .61908 .51885 .6097 Metetra
.674 .711 .876 r
.51885 .6097 .52167 .61908 .52763 .61504 .52482 .60564 Metetra
.666 .708 .879 r
.52482 .60564 .52763 .61504 .53361 .61138 .5308 .60196 Metetra
.659 .705 .881 r
.5308 .60196 .53361 .61138 .53959 .6081 .5368 .59867 Metetra
.652 .702 .883 r
.5368 .59867 .53959 .6081 .54559 .60519 .5428 .59574 Metetra
.644 .698 .885 r
.5428 .59574 .54559 .60519 .5516 .60263 .54882 .59317 Metetra
.636 .695 .887 r
.54882 .59317 .5516 .60263 .55762 .60043 .55485 .59096 Metetra
.629 .691 .889 r
.55485 .59096 .55762 .60043 .56365 .59858 .5609 .58909 Metetra
.621 .687 .891 r
.5609 .58909 .56365 .59858 .5697 .59706 .56695 .58755 Metetra
.613 .684 .893 r
.56695 .58755 .5697 .59706 .57576 .59586 .57302 .58634 Metetra
.605 .68 .894 r
.57302 .58634 .57576 .59586 .58183 .59497 .5791 .58545 Metetra
.598 .676 .896 r
.5791 .58545 .58183 .59497 .58792 .59439 .5852 .58486 Metetra
.59 .672 .897 r
.5852 .58486 .58792 .59439 .59402 .59411 .59131 .58456 Metetra
.582 .669 .898 r
.59131 .58456 .59402 .59411 .60013 .59411 .59744 .58455 Metetra
.575 .665 .899 r
.59744 .58455 .60013 .59411 .60626 .59438 .60357 .58481 Metetra
.568 .661 .9 r
.60357 .58481 .60626 .59438 .61241 .59491 .60973 .58533 Metetra
.561 .657 .901 r
.60973 .58533 .61241 .59491 .61857 .5957 .6159 .58611 Metetra
.554 .654 .902 r
.6159 .58611 .61857 .5957 .62474 .59672 .62208 .58712 Metetra
.547 .65 .902 r
.62208 .58712 .62474 .59672 .63093 .59798 .62828 .58837 Metetra
.541 .647 .903 r
.62828 .58837 .63093 .59798 .63713 .59945 .63449 .58983 Metetra
.535 .644 .904 r
.63449 .58983 .63713 .59945 .64335 .60113 .64072 .5915 Metetra
.529 .64 .904 r
.64072 .5915 .64335 .60113 .64958 .603 .64696 .59337 Metetra
.523 .637 .904 r
.64696 .59337 .64958 .603 .65583 .60505 .65322 .59541 Metetra
.518 .634 .905 r
.65322 .59541 .65583 .60505 .6621 .60727 .6595 .59763 Metetra
.513 .632 .905 r
.6595 .59763 .6621 .60727 .66838 .60965 .66579 .6 Metetra
.509 .629 .905 r
.66579 .6 .66838 .60965 .67468 .61217 .67209 .60251 Metetra
.504 .627 .905 r
.67209 .60251 .67468 .61217 .68099 .61482 .67842 .60516 Metetra
.501 .625 .905 r
.67842 .60516 .68099 .61482 .68732 .6176 .68476 .60793 Metetra
.498 .623 .905 r
.68476 .60793 .68732 .6176 .69366 .62047 .69111 .6108 Metetra
.495 .621 .905 r
.69111 .6108 .69366 .62047 .70002 .62344 .69748 .61376 Metetra
.492 .62 .905 r
.69748 .61376 .70002 .62344 .7064 .62649 .70387 .61681 Metetra
.49 .619 .905 r
.70387 .61681 .7064 .62649 .7128 .62961 .71027 .61991 Metetra
.489 .618 .905 r
.71027 .61991 .7128 .62961 .71921 .63277 .71669 .62308 Metetra
.488 .618 .905 r
.71669 .62308 .71921 .63277 .72563 .63598 .72313 .62627 Metetra
.487 .617 .905 r
.72313 .62627 .72563 .63598 .73207 .63921 .72958 .6295 Metetra
.487 .617 .905 r
.72958 .6295 .73207 .63921 .73853 .64245 .73605 .63273 Metetra
.488 .617 .905 r
.73605 .63273 .73853 .64245 .74501 .64568 .74254 .63597 Metetra
.488 .618 .905 r
.74254 .63597 .74501 .64568 .7515 .64891 .74904 .63918 Metetra
.49 .619 .905 r
.74904 .63918 .7515 .64891 .758 .65209 .75555 .64236 Metetra
.491 .62 .905 r
.75555 .64236 .758 .65209 .76453 .65524 .76209 .6455 Metetra
.494 .621 .905 r
.76209 .6455 .76453 .65524 .77106 .65832 .76863 .64858 Metetra
.496 .622 .905 r
.76863 .64858 .77106 .65832 .77762 .66134 .7752 .65159 Metetra
.499 .624 .905 r
.7752 .65159 .77762 .66134 .78419 .66426 .78178 .65451 Metetra
.503 .626 .905 r
.78178 .65451 .78419 .66426 .79077 .66709 .78838 .65733 Metetra
.506 .628 .905 r
.78838 .65733 .79077 .66709 .79737 .66979 .79499 .66003 Metetra
.51 .631 .905 r
.79499 .66003 .79737 .66979 .80399 .67237 .80161 .6626 Metetra
.515 .633 .905 r
.80161 .6626 .80399 .67237 .81062 .67481 .80825 .66503 Metetra
.52 .636 .905 r
.80825 .66503 .81062 .67481 .81726 .67708 .81491 .66729 Metetra
.525 .639 .905 r
.81491 .66729 .81726 .67708 .82392 .67919 .82158 .66939 Metetra
.53 .642 .905 r
.82158 .66939 .82392 .67919 .8306 .6811 .82827 .6713 Metetra
.536 .646 .904 r
.82827 .6713 .8306 .6811 .83728 .68282 .83497 .67301 Metetra
.542 .649 .904 r
.83497 .67301 .83728 .68282 .84399 .68432 .84168 .6745 Metetra
.548 .653 .904 r
.84168 .6745 .84399 .68432 .8507 .6856 .84841 .67577 Metetra
.555 .656 .903 r
.84841 .67577 .8507 .6856 .85743 .68663 .85515 .67679 Metetra
.562 .66 .903 r
.85515 .67679 .85743 .68663 .86417 .68741 .8619 .67756 Metetra
.568 .664 .902 r
.8619 .67756 .86417 .68741 .87093 .68792 .86867 .67806 Metetra
.575 .668 .902 r
.86867 .67806 .87093 .68792 .8777 .68815 .87545 .67827 Metetra
.583 .672 .901 r
.87545 .67827 .8777 .68815 .88448 .68808 .88224 .67819 Metetra
.59 .676 .9 r
.88224 .67819 .88448 .68808 .89127 .6877 .88904 .6778 Metetra
.597 .681 .899 r
.88904 .6778 .89127 .6877 .89807 .687 .89586 .67709 Metetra
.605 .685 .899 r
.89586 .67709 .89807 .687 .90489 .68597 .90269 .67604 Metetra
.612 .689 .898 r
.90269 .67604 .90489 .68597 .91171 .68458 .90952 .67465 Metetra
.62 .693 .896 r
.90952 .67465 .91171 .68458 .91855 .68284 .91637 .67289 Metetra
.627 .697 .895 r
.91637 .67289 .91855 .68284 .92539 .68073 .92323 .67077 Metetra
.635 .702 .894 r
.92323 .67077 .92539 .68073 .93225 .67823 .9301 .66825 Metetra
.643 .706 .893 r
.9301 .66825 .93225 .67823 .93911 .67534 .93698 .66534 Metetra
.65 .71 .891 r
.93698 .66534 .93911 .67534 .94599 .67204 .94386 .66203 Metetra
.658 .714 .89 r
.94386 .66203 .94599 .67204 .95287 .66832 .95076 .65829 Metetra
.666 .718 .888 r
.95076 .65829 .95287 .66832 .95976 .66418 .95766 .65412 Metetra
.673 .722 .886 r
.95766 .65412 .95976 .66418 .96666 .65959 .96457 .64951 Metetra
.681 .726 .884 r
.96457 .64951 .96666 .65959 .97356 .65455 .97149 .64445 Metetra
.688 .73 .883 r
.97149 .64445 .97356 .65455 .98048 .64905 .97841 .63893 Metetra
.815 .758 .799 r
.35189 .89679 .35499 .90527 .36078 .88813 .35768 .87962 Metetra
.812 .758 .802 r
.35768 .87962 .36078 .88813 .36656 .87151 .36348 .86296 Metetra
.809 .757 .804 r
.36348 .86296 .36656 .87151 .37235 .85539 .36928 .8468 Metetra
.806 .757 .807 r
.36928 .8468 .37235 .85539 .37814 .83978 .37508 .83115 Metetra
.803 .756 .81 r
.37508 .83115 .37814 .83978 .38393 .82467 .38088 .81601 Metetra
.799 .755 .812 r
.38088 .81601 .38393 .82467 .38973 .81006 .38669 .80137 Metetra
.796 .755 .815 r
.38669 .80137 .38973 .81006 .39553 .79596 .3925 .78724 Metetra
.792 .754 .818 r
.3925 .78724 .39553 .79596 .40134 .78236 .39831 .7736 Metetra
.788 .753 .821 r
.39831 .7736 .40134 .78236 .40715 .76926 .40413 .76047 Metetra
.784 .752 .824 r
.40413 .76047 .40715 .76926 .41296 .75665 .40996 .74783 Metetra
.78 .751 .827 r
.40996 .74783 .41296 .75665 .41878 .74453 .41579 .73568 Metetra
.776 .75 .83 r
.41579 .73568 .41878 .74453 .42461 .7329 .42162 .72402 Metetra
.771 .748 .833 r
.42162 .72402 .42461 .7329 .43044 .72176 .42747 .71285 Metetra
.766 .747 .836 r
.42747 .71285 .43044 .72176 .43628 .7111 .43331 .70216 Metetra
.761 .746 .839 r
.43331 .70216 .43628 .7111 .44212 .70091 .43917 .69195 Metetra
.756 .744 .842 r
.43917 .69195 .44212 .70091 .44797 .6912 .44503 .68222 Metetra
.751 .743 .845 r
.44503 .68222 .44797 .6912 .45383 .68196 .4509 .67295 Metetra
.746 .741 .848 r
.4509 .67295 .45383 .68196 .4597 .67319 .45677 .66415 Metetra
.74 .739 .851 r
.45677 .66415 .4597 .67319 .46557 .66487 .46266 .65581 Metetra
.734 .737 .854 r
.46266 .65581 .46557 .66487 .47146 .657 .46855 .64792 Metetra
.728 .735 .857 r
.46855 .64792 .47146 .657 .47735 .64959 .47445 .64048 Metetra
.722 .733 .859 r
.47445 .64048 .47735 .64959 .48325 .64261 .48036 .63349 Metetra
.716 .731 .862 r
.48036 .63349 .48325 .64261 .48916 .63608 .48628 .62693 Metetra
.709 .728 .865 r
.48628 .62693 .48916 .63608 .49507 .62997 .49221 .6208 Metetra
.702 .726 .868 r
.49221 .6208 .49507 .62997 .501 .62429 .49814 .6151 Metetra
.696 .723 .871 r
.49814 .6151 .501 .62429 .50694 .61902 .50409 .60981 Metetra
.689 .72 .874 r
.50409 .60981 .50694 .61902 .51289 .61416 .51005 .60493 Metetra
.681 .717 .876 r
.51005 .60493 .51289 .61416 .51885 .6097 .51602 .60046 Metetra
.674 .714 .879 r
.51602 .60046 .51885 .6097 .52482 .60564 .522 .59638 Metetra
.667 .711 .881 r
.522 .59638 .52482 .60564 .5308 .60196 .52799 .59269 Metetra
.659 .708 .883 r
.52799 .59269 .5308 .60196 .5368 .59867 .534 .58937 Metetra
.651 .704 .886 r
.534 .58937 .5368 .59867 .5428 .59574 .54001 .58643 Metetra
.644 .701 .888 r
.54001 .58643 .5428 .59574 .54882 .59317 .54604 .58385 Metetra
.636 .697 .89 r
.54604 .58385 .54882 .59317 .55485 .59096 .55208 .58162 Metetra
.628 .694 .892 r
.55208 .58162 .55485 .59096 .5609 .58909 .55813 .57974 Metetra
.62 .69 .894 r
.55813 .57974 .5609 .58909 .56695 .58755 .5642 .57819 Metetra
.612 .686 .895 r
.5642 .57819 .56695 .58755 .57302 .58634 .57027 .57697 Metetra
.604 .683 .897 r
.57027 .57697 .57302 .58634 .5791 .58545 .57637 .57606 Metetra
.597 .679 .898 r
.57637 .57606 .5791 .58545 .5852 .58486 .58247 .57546 Metetra
.589 .675 .9 r
.58247 .57546 .5852 .58486 .59131 .58456 .58859 .57515 Metetra
.581 .671 .901 r
.58859 .57515 .59131 .58456 .59744 .58455 .59473 .57513 Metetra
.574 .667 .902 r
.59473 .57513 .59744 .58455 .60357 .58481 .60087 .57538 Metetra
.566 .664 .903 r
.60087 .57538 .60357 .58481 .60973 .58533 .60704 .57589 Metetra
.559 .66 .904 r
.60704 .57589 .60973 .58533 .6159 .58611 .61322 .57666 Metetra
.552 .656 .905 r
.61322 .57666 .6159 .58611 .62208 .58712 .61941 .57767 Metetra
.545 .653 .905 r
.61941 .57767 .62208 .58712 .62828 .58837 .62561 .5789 Metetra
.538 .649 .906 r
.62561 .5789 .62828 .58837 .63449 .58983 .63184 .58036 Metetra
.532 .646 .906 r
.63184 .58036 .63449 .58983 .64072 .5915 .63808 .58202 Metetra
.526 .642 .907 r
.63808 .58202 .64072 .5915 .64696 .59337 .64433 .58388 Metetra
.52 .639 .907 r
.64433 .58388 .64696 .59337 .65322 .59541 .6506 .58592 Metetra
.515 .636 .908 r
.6506 .58592 .65322 .59541 .6595 .59763 .65688 .58812 Metetra
.51 .634 .908 r
.65688 .58812 .6595 .59763 .66579 .6 .66318 .59049 Metetra
.506 .631 .908 r
.66318 .59049 .66579 .6 .67209 .60251 .6695 .593 Metetra
.501 .629 .908 r
.6695 .593 .67209 .60251 .67842 .60516 .67583 .59564 Metetra
.498 .627 .908 r
.67583 .59564 .67842 .60516 .68476 .60793 .68218 .5984 Metetra
.494 .625 .908 r
.68218 .5984 .68476 .60793 .69111 .6108 .68855 .60126 Metetra
.491 .623 .908 r
.68855 .60126 .69111 .6108 .69748 .61376 .69493 .60422 Metetra
.489 .622 .908 r
.69493 .60422 .69748 .61376 .70387 .61681 .70133 .60726 Metetra
.487 .621 .908 r
.70133 .60726 .70387 .61681 .71027 .61991 .70774 .61036 Metetra
.485 .62 .908 r
.70774 .61036 .71027 .61991 .71669 .62308 .71417 .61352 Metetra
.484 .619 .908 r
.71417 .61352 .71669 .62308 .72313 .62627 .72062 .61671 Metetra
.484 .619 .908 r
.72062 .61671 .72313 .62627 .72958 .6295 .72708 .61993 Metetra
.484 .619 .908 r
.72708 .61993 .72958 .6295 .73605 .63273 .73356 .62316 Metetra
.484 .619 .908 r
.73356 .62316 .73605 .63273 .74254 .63597 .74005 .62639 Metetra
.485 .619 .908 r
.74005 .62639 .74254 .63597 .74904 .63918 .74657 .6296 Metetra
.486 .62 .908 r
.74657 .6296 .74904 .63918 .75555 .64236 .75309 .63278 Metetra
.488 .621 .908 r
.75309 .63278 .75555 .64236 .76209 .6455 .75964 .63591 Metetra
.49 .622 .908 r
.75964 .63591 .76209 .6455 .76863 .64858 .7662 .63898 Metetra
.493 .624 .908 r
.7662 .63898 .76863 .64858 .7752 .65159 .77277 .64198 Metetra
.496 .626 .908 r
.77277 .64198 .7752 .65159 .78178 .65451 .77936 .6449 Metetra
.499 .628 .908 r
.77936 .6449 .78178 .65451 .78838 .65733 .78597 .64771 Metetra
.503 .63 .908 r
.78597 .64771 .78838 .65733 .79499 .66003 .79259 .6504 Metetra
.507 .633 .908 r
.79259 .6504 .79499 .66003 .80161 .6626 .79923 .65297 Metetra
.512 .635 .908 r
.79923 .65297 .80161 .6626 .80825 .66503 .80588 .65539 Metetra
.517 .638 .908 r
.80588 .65539 .80825 .66503 .81491 .66729 .81255 .65765 Metetra
.522 .641 .908 r
.81255 .65765 .81491 .66729 .82158 .66939 .81923 .65974 Metetra
.528 .644 .908 r
.81923 .65974 .82158 .66939 .82827 .6713 .82593 .66164 Metetra
.534 .648 .907 r
.82593 .66164 .82827 .6713 .83497 .67301 .83264 .66334 Metetra
.54 .651 .907 r
.83264 .66334 .83497 .67301 .84168 .6745 .83937 .66483 Metetra
.546 .655 .907 r
.83937 .66483 .84168 .6745 .84841 .67577 .8461 .66608 Metetra
.553 .659 .906 r
.8461 .66608 .84841 .67577 .85515 .67679 .85286 .6671 Metetra
.56 .663 .906 r
.85286 .6671 .85515 .67679 .8619 .67756 .85962 .66786 Metetra
.567 .667 .905 r
.85962 .66786 .8619 .67756 .86867 .67806 .8664 .66835 Metetra
.574 .671 .905 r
.8664 .66835 .86867 .67806 .87545 .67827 .87319 .66855 Metetra
.581 .675 .904 r
.87319 .66855 .87545 .67827 .88224 .67819 .88 .66846 Metetra
.589 .679 .903 r
.88 .66846 .88224 .67819 .88904 .6778 .88681 .66806 Metetra
.596 .683 .902 r
.88681 .66806 .88904 .6778 .89586 .67709 .89364 .66733 Metetra
.604 .688 .901 r
.89364 .66733 .89586 .67709 .90269 .67604 .90048 .66627 Metetra
.611 .692 .9 r
.90048 .66627 .90269 .67604 .90952 .67465 .90733 .66486 Metetra
.619 .696 .899 r
.90733 .66486 .90952 .67465 .91637 .67289 .91419 .66309 Metetra
.627 .7 .898 r
.91419 .66309 .91637 .67289 .92323 .67077 .92106 .66095 Metetra
.635 .705 .897 r
.92106 .66095 .92323 .67077 .9301 .66825 .92794 .65842 Metetra
.642 .709 .895 r
.92794 .65842 .9301 .66825 .93698 .66534 .93483 .65549 Metetra
.65 .713 .894 r
.93483 .65549 .93698 .66534 .94386 .66203 .94173 .65216 Metetra
.658 .717 .892 r
.94173 .65216 .94386 .66203 .95076 .65829 .94864 .6484 Metetra
.666 .721 .891 r
.94864 .6484 .95076 .65829 .95766 .65412 .95556 .64422 Metetra
.673 .725 .889 r
.95556 .64422 .95766 .65412 .96457 .64951 .96248 .63959 Metetra
.681 .729 .887 r
.96248 .63959 .96457 .64951 .97149 .64445 .96941 .63451 Metetra
.688 .733 .885 r
.96941 .63451 .97149 .64445 .97841 .63893 .97635 .62896 Metetra
.816 .76 .8 r
.34878 .88846 .35189 .89679 .35768 .87962 .35458 .87125 Metetra
.814 .76 .803 r
.35458 .87125 .35768 .87962 .36348 .86296 .36038 .85455 Metetra
.811 .759 .805 r
.36038 .85455 .36348 .86296 .36928 .8468 .36619 .83835 Metetra
.807 .759 .808 r
.36619 .83835 .36928 .8468 .37508 .83115 .372 .82267 Metetra
.804 .758 .811 r
.372 .82267 .37508 .83115 .38088 .81601 .37782 .80749 Metetra
.801 .758 .813 r
.37782 .80749 .38088 .81601 .38669 .80137 .38363 .79282 Metetra
.797 .757 .816 r
.38363 .79282 .38669 .80137 .3925 .78724 .38945 .77865 Metetra
.793 .756 .819 r
.38945 .77865 .3925 .78724 .39831 .7736 .39528 .76499 Metetra
.789 .755 .822 r
.39528 .76499 .39831 .7736 .40413 .76047 .40111 .75182 Metetra
.785 .754 .825 r
.40111 .75182 .40413 .76047 .40996 .74783 .40694 .73915 Metetra
.781 .753 .828 r
.40694 .73915 .40996 .74783 .41579 .73568 .41278 .72697 Metetra
.777 .752 .831 r
.41278 .72697 .41579 .73568 .42162 .72402 .41863 .71529 Metetra
.772 .751 .834 r
.41863 .71529 .42162 .72402 .42747 .71285 .42448 .70409 Metetra
.767 .75 .837 r
.42448 .70409 .42747 .71285 .43331 .70216 .43034 .69337 Metetra
.763 .748 .84 r
.43034 .69337 .43331 .70216 .43917 .69195 .4362 .68313 Metetra
.757 .747 .843 r
.4362 .68313 .43917 .69195 .44503 .68222 .44207 .67337 Metetra
.752 .745 .846 r
.44207 .67337 .44503 .68222 .4509 .67295 .44795 .66408 Metetra
.747 .744 .849 r
.44795 .66408 .4509 .67295 .45677 .66415 .45383 .65525 Metetra
.741 .742 .852 r
.45383 .65525 .45677 .66415 .46266 .65581 .45973 .64689 Metetra
.735 .74 .855 r
.45973 .64689 .46266 .65581 .46855 .64792 .46563 .63898 Metetra
.729 .738 .858 r
.46563 .63898 .46855 .64792 .47445 .64048 .47154 .63151 Metetra
.723 .736 .861 r
.47154 .63151 .47445 .64048 .48036 .63349 .47746 .6245 Metetra
.716 .734 .864 r
.47746 .6245 .48036 .63349 .48628 .62693 .48339 .61792 Metetra
.71 .731 .867 r
.48339 .61792 .48628 .62693 .49221 .6208 .48932 .61177 Metetra
.703 .729 .87 r
.48932 .61177 .49221 .6208 .49814 .6151 .49527 .60605 Metetra
.696 .726 .873 r
.49527 .60605 .49814 .6151 .50409 .60981 .50123 .60074 Metetra
.689 .723 .876 r
.50123 .60074 .50409 .60981 .51005 .60493 .5072 .59585 Metetra
.682 .72 .878 r
.5072 .59585 .51005 .60493 .51602 .60046 .51318 .59135 Metetra
.674 .717 .881 r
.51318 .59135 .51602 .60046 .522 .59638 .51917 .58726 Metetra
.667 .714 .884 r
.51917 .58726 .522 .59638 .52799 .59269 .52517 .58355 Metetra
.659 .711 .886 r
.52517 .58355 .52799 .59269 .534 .58937 .53118 .58022 Metetra
.651 .707 .888 r
.53118 .58022 .534 .58937 .54001 .58643 .5372 .57726 Metetra
.643 .704 .891 r
.5372 .57726 .54001 .58643 .54604 .58385 .54324 .57467 Metetra
.635 .7 .893 r
.54324 .57467 .54604 .58385 .55208 .58162 .54929 .57243 Metetra
.627 .697 .895 r
.54929 .57243 .55208 .58162 .55813 .57974 .55535 .57053 Metetra
.619 .693 .896 r
.55535 .57053 .55813 .57974 .5642 .57819 .56143 .56897 Metetra
.611 .689 .898 r
.56143 .56897 .5642 .57819 .57027 .57697 .56752 .56773 Metetra
.603 .685 .9 r
.56752 .56773 .57027 .57697 .57637 .57606 .57362 .56681 Metetra
.595 .682 .901 r
.57362 .56681 .57637 .57606 .58247 .57546 .57973 .5662 Metetra
.587 .678 .903 r
.57973 .5662 .58247 .57546 .58859 .57515 .58586 .56588 Metetra
.58 .674 .904 r
.58586 .56588 .58859 .57515 .59473 .57513 .59201 .56585 Metetra
.572 .67 .905 r
.59201 .56585 .59473 .57513 .60087 .57538 .59816 .56609 Metetra
.564 .666 .906 r
.59816 .56609 .60087 .57538 .60704 .57589 .60434 .56659 Metetra
.557 .662 .907 r
.60434 .56659 .60704 .57589 .61322 .57666 .61052 .56735 Metetra
.55 .658 .908 r
.61052 .56735 .61322 .57666 .61941 .57767 .61673 .56835 Metetra
.543 .655 .908 r
.61673 .56835 .61941 .57767 .62561 .5789 .62294 .56958 Metetra
.536 .651 .909 r
.62294 .56958 .62561 .5789 .63184 .58036 .62918 .57103 Metetra
.53 .648 .909 r
.62918 .57103 .63184 .58036 .63808 .58202 .63542 .57268 Metetra
.523 .644 .91 r
.63542 .57268 .63808 .58202 .64433 .58388 .64169 .57453 Metetra
.518 .641 .91 r
.64169 .57453 .64433 .58388 .6506 .58592 .64797 .57656 Metetra
.512 .638 .91 r
.64797 .57656 .6506 .58592 .65688 .58812 .65426 .57876 Metetra
.507 .635 .911 r
.65426 .57876 .65688 .58812 .66318 .59049 .66057 .58112 Metetra
.502 .633 .911 r
.66057 .58112 .66318 .59049 .6695 .593 .6669 .58362 Metetra
.498 .63 .911 r
.6669 .58362 .6695 .593 .67583 .59564 .67324 .58626 Metetra
.494 .628 .911 r
.67324 .58626 .67583 .59564 .68218 .5984 .6796 .58901 Metetra
.491 .626 .911 r
.6796 .58901 .68218 .5984 .68855 .60126 .68598 .59187 Metetra
.488 .625 .911 r
.68598 .59187 .68855 .60126 .69493 .60422 .69237 .59482 Metetra
.485 .623 .911 r
.69237 .59482 .69493 .60422 .70133 .60726 .69877 .59786 Metetra
.483 .622 .911 r
.69877 .59786 .70133 .60726 .70774 .61036 .7052 .60095 Metetra
.482 .621 .911 r
.7052 .60095 .70774 .61036 .71417 .61352 .71164 .6041 Metetra
.481 .621 .911 r
.71164 .6041 .71417 .61352 .72062 .61671 .7181 .60729 Metetra
.48 .62 .911 r
.7181 .60729 .72062 .61671 .72708 .61993 .72457 .61051 Metetra
.48 .62 .911 r
.72457 .61051 .72708 .61993 .73356 .62316 .73106 .61373 Metetra
.48 .62 .911 r
.73106 .61373 .73356 .62316 .74005 .62639 .73757 .61695 Metetra
.481 .621 .911 r
.73757 .61695 .74005 .62639 .74657 .6296 .74409 .62016 Metetra
.483 .622 .911 r
.74409 .62016 .74657 .6296 .75309 .63278 .75063 .62333 Metetra
.484 .623 .911 r
.75063 .62333 .75309 .63278 .75964 .63591 .75718 .62646 Metetra
.487 .624 .911 r
.75718 .62646 .75964 .63591 .7662 .63898 .76375 .62953 Metetra
.489 .626 .911 r
.76375 .62953 .7662 .63898 .77277 .64198 .77034 .63252 Metetra
.492 .627 .911 r
.77034 .63252 .77277 .64198 .77936 .6449 .77694 .63543 Metetra
.496 .63 .911 r
.77694 .63543 .77936 .6449 .78597 .64771 .78356 .63824 Metetra
.5 .632 .911 r
.78356 .63824 .78597 .64771 .79259 .6504 .79019 .64093 Metetra
.504 .634 .911 r
.79019 .64093 .79259 .6504 .79923 .65297 .79684 .64348 Metetra
.509 .637 .911 r
.79684 .64348 .79923 .65297 .80588 .65539 .8035 .6459 Metetra
.514 .64 .911 r
.8035 .6459 .80588 .65539 .81255 .65765 .81018 .64815 Metetra
.519 .643 .911 r
.81018 .64815 .81255 .65765 .81923 .65974 .81688 .65023 Metetra
.525 .647 .911 r
.81688 .65023 .81923 .65974 .82593 .66164 .82358 .65213 Metetra
.531 .65 .91 r
.82358 .65213 .82593 .66164 .83264 .66334 .83031 .65382 Metetra
.537 .654 .91 r
.83031 .65382 .83264 .66334 .83937 .66483 .83704 .6553 Metetra
.544 .657 .91 r
.83704 .6553 .83937 .66483 .8461 .66608 .84379 .65655 Metetra
.551 .661 .909 r
.84379 .65655 .8461 .66608 .85286 .6671 .85056 .65755 Metetra
.558 .665 .909 r
.85056 .65755 .85286 .6671 .85962 .66786 .85734 .6583 Metetra
.565 .669 .908 r
.85734 .6583 .85962 .66786 .8664 .66835 .86413 .65878 Metetra
.572 .673 .908 r
.86413 .65878 .8664 .66835 .87319 .66855 .87093 .65897 Metetra
.58 .678 .907 r
.87093 .65897 .87319 .66855 .88 .66846 .87775 .65887 Metetra
.587 .682 .906 r
.87775 .65887 .88 .66846 .88681 .66806 .88457 .65845 Metetra
.595 .686 .905 r
.88457 .65845 .88681 .66806 .89364 .66733 .89141 .65772 Metetra
.603 .69 .904 r
.89141 .65772 .89364 .66733 .90048 .66627 .89827 .65664 Metetra
.61 .695 .903 r
.89827 .65664 .90048 .66627 .90733 .66486 .90513 .65522 Metetra
.618 .699 .902 r
.90513 .65522 .90733 .66486 .91419 .66309 .912 .65343 Metetra
.626 .703 .901 r
.912 .65343 .91419 .66309 .92106 .66095 .91888 .65127 Metetra
.634 .708 .9 r
.91888 .65127 .92106 .66095 .92794 .65842 .92578 .64873 Metetra
.642 .712 .898 r
.92578 .64873 .92794 .65842 .93483 .65549 .93268 .64579 Metetra
.65 .716 .897 r
.93268 .64579 .93483 .65549 .94173 .65216 .93959 .64243 Metetra
.658 .72 .895 r
.93959 .64243 .94173 .65216 .94864 .6484 .94651 .63866 Metetra
.666 .725 .893 r
.94651 .63866 .94864 .6484 .95556 .64422 .95344 .63445 Metetra
.673 .729 .891 r
.95344 .63445 .95556 .64422 .96248 .63959 .96038 .62981 Metetra
.681 .733 .89 r
.96038 .62981 .96248 .63959 .96941 .63451 .96732 .6247 Metetra
.689 .737 .888 r
.96732 .6247 .96941 .63451 .97635 .62896 .97428 .61914 Metetra
.818 .763 .801 r
.34565 .88026 .34878 .88846 .35458 .87125 .35146 .86301 Metetra
.815 .762 .803 r
.35146 .86301 .35458 .87125 .36038 .85455 .35728 .84627 Metetra
.812 .762 .806 r
.35728 .84627 .36038 .85455 .36619 .83835 .36309 .83005 Metetra
.809 .761 .809 r
.36309 .83005 .36619 .83835 .372 .82267 .36892 .81433 Metetra
.805 .761 .811 r
.36892 .81433 .372 .82267 .37782 .80749 .37474 .79912 Metetra
.802 .76 .814 r
.37474 .79912 .37782 .80749 .38363 .79282 .38057 .78441 Metetra
.798 .759 .817 r
.38057 .78441 .38363 .79282 .38945 .77865 .3864 .77021 Metetra
.795 .759 .82 r
.3864 .77021 .38945 .77865 .39528 .76499 .39223 .75651 Metetra
.791 .758 .823 r
.39223 .75651 .39528 .76499 .40111 .75182 .39807 .74331 Metetra
.787 .757 .826 r
.39807 .74331 .40111 .75182 .40694 .73915 .40392 .73061 Metetra
.782 .756 .829 r
.40392 .73061 .40694 .73915 .41278 .72697 .40977 .7184 Metetra
.778 .755 .832 r
.40977 .7184 .41278 .72697 .41863 .71529 .41562 .70669 Metetra
.773 .754 .835 r
.41562 .70669 .41863 .71529 .42448 .70409 .42148 .69546 Metetra
.769 .753 .838 r
.42148 .69546 .42448 .70409 .43034 .69337 .42735 .68471 Metetra
.764 .751 .841 r
.42735 .68471 .43034 .69337 .4362 .68313 .43322 .67445 Metetra
.759 .75 .845 r
.43322 .67445 .4362 .68313 .44207 .67337 .4391 .66466 Metetra
.753 .748 .848 r
.4391 .66466 .44207 .67337 .44795 .66408 .44499 .65534 Metetra
.748 .747 .851 r
.44499 .65534 .44795 .66408 .45383 .65525 .45088 .64649 Metetra
.742 .745 .854 r
.45088 .64649 .45383 .65525 .45973 .64689 .45679 .6381 Metetra
.736 .743 .857 r
.45679 .6381 .45973 .64689 .46563 .63898 .4627 .63017 Metetra
.73 .741 .86 r
.4627 .63017 .46563 .63898 .47154 .63151 .46862 .62269 Metetra
.724 .739 .863 r
.46862 .62269 .47154 .63151 .47746 .6245 .47455 .61565 Metetra
.717 .736 .866 r
.47455 .61565 .47746 .6245 .48339 .61792 .48048 .60905 Metetra
.711 .734 .869 r
.48048 .60905 .48339 .61792 .48932 .61177 .48643 .60288 Metetra
.704 .732 .872 r
.48643 .60288 .48932 .61177 .49527 .60605 .49239 .59714 Metetra
.697 .729 .875 r
.49239 .59714 .49527 .60605 .50123 .60074 .49835 .59181 Metetra
.689 .726 .878 r
.49835 .59181 .50123 .60074 .5072 .59585 .50433 .5869 Metetra
.682 .723 .881 r
.50433 .5869 .5072 .59585 .51318 .59135 .51032 .58239 Metetra
.675 .72 .883 r
.51032 .58239 .51318 .59135 .51917 .58726 .51632 .57828 Metetra
.667 .717 .886 r
.51632 .57828 .51917 .58726 .52517 .58355 .52233 .57455 Metetra
.659 .714 .889 r
.52233 .57455 .52517 .58355 .53118 .58022 .52835 .57121 Metetra
.651 .71 .891 r
.52835 .57121 .53118 .58022 .5372 .57726 .53439 .56823 Metetra
.643 .707 .893 r
.53439 .56823 .5372 .57726 .54324 .57467 .54043 .56562 Metetra
.635 .703 .895 r
.54043 .56562 .54324 .57467 .54929 .57243 .54649 .56337 Metetra
.627 .7 .897 r
.54649 .56337 .54929 .57243 .55535 .57053 .55256 .56146 Metetra
.619 .696 .899 r
.55256 .56146 .55535 .57053 .56143 .56897 .55865 .55988 Metetra
.611 .692 .901 r
.55865 .55988 .56143 .56897 .56752 .56773 .56475 .55863 Metetra
.602 .688 .903 r
.56475 .55863 .56752 .56773 .57362 .56681 .57086 .5577 Metetra
.594 .684 .904 r
.57086 .5577 .57362 .56681 .57973 .5662 .57698 .55708 Metetra
.586 .68 .906 r
.57698 .55708 .57973 .5662 .58586 .56588 .58312 .55675 Metetra
.578 .676 .907 r
.58312 .55675 .58586 .56588 .59201 .56585 .58928 .5567 Metetra
.57 .672 .908 r
.58928 .5567 .59201 .56585 .59816 .56609 .59544 .55694 Metetra
.562 .668 .909 r
.59544 .55694 .59816 .56609 .60434 .56659 .60162 .55743 Metetra
.555 .665 .91 r
.60162 .55743 .60434 .56659 .61052 .56735 .60782 .55818 Metetra
.548 .661 .911 r
.60782 .55818 .61052 .56735 .61673 .56835 .61403 .55917 Metetra
.54 .657 .911 r
.61403 .55917 .61673 .56835 .62294 .56958 .62026 .56039 Metetra
.534 .653 .912 r
.62026 .56039 .62294 .56958 .62918 .57103 .6265 .56183 Metetra
.527 .65 .913 r
.6265 .56183 .62918 .57103 .63542 .57268 .63276 .56348 Metetra
.521 .647 .913 r
.63276 .56348 .63542 .57268 .64169 .57453 .63903 .56532 Metetra
.515 .643 .913 r
.63903 .56532 .64169 .57453 .64797 .57656 .64532 .56734 Metetra
.509 .64 .914 r
.64532 .56734 .64797 .57656 .65426 .57876 .65163 .56954 Metetra
.504 .637 .914 r
.65163 .56954 .65426 .57876 .66057 .58112 .65795 .57189 Metetra
.499 .635 .914 r
.65795 .57189 .66057 .58112 .6669 .58362 .66429 .57439 Metetra
.495 .632 .914 r
.66429 .57439 .6669 .58362 .67324 .58626 .67064 .57702 Metetra
.491 .63 .914 r
.67064 .57702 .67324 .58626 .6796 .58901 .67701 .57977 Metetra
.487 .628 .914 r
.67701 .57977 .6796 .58901 .68598 .59187 .68339 .58262 Metetra
.484 .626 .914 r
.68339 .58262 .68598 .59187 .69237 .59482 .68979 .58557 Metetra
.482 .625 .914 r
.68979 .58557 .69237 .59482 .69877 .59786 .69621 .58859 Metetra
.48 .624 .914 r
.69621 .58859 .69877 .59786 .7052 .60095 .70265 .59169 Metetra
.478 .623 .914 r
.70265 .59169 .7052 .60095 .71164 .6041 .7091 .59483 Metetra
.477 .622 .914 r
.7091 .59483 .71164 .6041 .7181 .60729 .71557 .59802 Metetra
.476 .622 .914 r
.71557 .59802 .7181 .60729 .72457 .61051 .72205 .60123 Metetra
.476 .622 .914 r
.72205 .60123 .72457 .61051 .73106 .61373 .72855 .60445 Metetra
.477 .622 .914 r
.72855 .60445 .73106 .61373 .73757 .61695 .73507 .60766 Metetra
.477 .623 .914 r
.73507 .60766 .73757 .61695 .74409 .62016 .7416 .61086 Metetra
.479 .623 .914 r
.7416 .61086 .74409 .62016 .75063 .62333 .74815 .61403 Metetra
.481 .624 .914 r
.74815 .61403 .75063 .62333 .75718 .62646 .75471 .61715 Metetra
.483 .626 .914 r
.75471 .61715 .75718 .62646 .76375 .62953 .7613 .62022 Metetra
.486 .627 .914 r
.7613 .62022 .76375 .62953 .77034 .63252 .76789 .62321 Metetra
.489 .629 .914 r
.76789 .62321 .77034 .63252 .77694 .63543 .77451 .62611 Metetra
.493 .631 .914 r
.77451 .62611 .77694 .63543 .78356 .63824 .78114 .62891 Metetra
.497 .634 .914 r
.78114 .62891 .78356 .63824 .79019 .64093 .78778 .63159 Metetra
.501 .636 .914 r
.78778 .63159 .79019 .64093 .79684 .64348 .79444 .63414 Metetra
.506 .639 .914 r
.79444 .63414 .79684 .64348 .8035 .6459 .80112 .63655 Metetra
.511 .642 .914 r
.80112 .63655 .8035 .6459 .81018 .64815 .80781 .6388 Metetra
.517 .645 .914 r
.80781 .6388 .81018 .64815 .81688 .65023 .81451 .64087 Metetra
.522 .649 .914 r
.81451 .64087 .81688 .65023 .82358 .65213 .82123 .64276 Metetra
.529 .652 .913 r
.82123 .64276 .82358 .65213 .83031 .65382 .82796 .64445 Metetra
.535 .656 .913 r
.82796 .64445 .83031 .65382 .83704 .6553 .83471 .64591 Metetra
.542 .66 .913 r
.83471 .64591 .83704 .6553 .84379 .65655 .84148 .64715 Metetra
.549 .664 .912 r
.84148 .64715 .84379 .65655 .85056 .65755 .84825 .64815 Metetra
.556 .668 .912 r
.84825 .64815 .85056 .65755 .85734 .6583 .85504 .64889 Metetra
.563 .672 .911 r
.85504 .64889 .85734 .6583 .86413 .65878 .86184 .64936 Metetra
.57 .676 .911 r
.86184 .64936 .86413 .65878 .87093 .65897 .86866 .64954 Metetra
.578 .68 .91 r
.86866 .64954 .87093 .65897 .87775 .65887 .87549 .64942 Metetra
.586 .685 .909 r
.87549 .64942 .87775 .65887 .88457 .65845 .88233 .649 Metetra
.594 .689 .908 r
.88233 .649 .88457 .65845 .89141 .65772 .88918 .64825 Metetra
.601 .693 .907 r
.88918 .64825 .89141 .65772 .89827 .65664 .89604 .64716 Metetra
.609 .698 .906 r
.89604 .64716 .89827 .65664 .90513 .65522 .90292 .64572 Metetra
.617 .702 .905 r
.90292 .64572 .90513 .65522 .912 .65343 .90981 .64392 Metetra
.626 .706 .904 r
.90981 .64392 .912 .65343 .91888 .65127 .9167 .64175 Metetra
.634 .711 .902 r
.9167 .64175 .91888 .65127 .92578 .64873 .92361 .63919 Metetra
.642 .715 .901 r
.92361 .63919 .92578 .64873 .93268 .64579 .93052 .63623 Metetra
.65 .719 .899 r
.93052 .63623 .93268 .64579 .93959 .64243 .93745 .63286 Metetra
.658 .724 .898 r
.93745 .63286 .93959 .64243 .94651 .63866 .94438 .62907 Metetra
.666 .728 .896 r
.94438 .62907 .94651 .63866 .95344 .63445 .95132 .62484 Metetra
.674 .732 .894 r
.95132 .62484 .95344 .63445 .96038 .62981 .95828 .62017 Metetra
.681 .736 .892 r
.95828 .62017 .96038 .62981 .96732 .6247 .96523 .61505 Metetra
.689 .74 .89 r
.96523 .61505 .96732 .6247 .97428 .61914 .9722 .60946 Metetra
.819 .765 .802 r
.34251 .87221 .34565 .88026 .35146 .86301 .34833 .85492 Metetra
.816 .764 .804 r
.34833 .85492 .35146 .86301 .35728 .84627 .35416 .83815 Metetra
.813 .764 .807 r
.35416 .83815 .35728 .84627 .36309 .83005 .35998 .82188 Metetra
.81 .764 .81 r
.35998 .82188 .36309 .83005 .36892 .81433 .36581 .80613 Metetra
.807 .763 .812 r
.36581 .80613 .36892 .81433 .37474 .79912 .37165 .79088 Metetra
.803 .763 .815 r
.37165 .79088 .37474 .79912 .38057 .78441 .37749 .77614 Metetra
.8 .762 .818 r
.37749 .77614 .38057 .78441 .3864 .77021 .38333 .7619 Metetra
.796 .761 .821 r
.38333 .7619 .3864 .77021 .39223 .75651 .38917 .74817 Metetra
.792 .76 .824 r
.38917 .74817 .39223 .75651 .39807 .74331 .39502 .73494 Metetra
.788 .76 .827 r
.39502 .73494 .39807 .74331 .40392 .73061 .40087 .72221 Metetra
.784 .759 .83 r
.40087 .72221 .40392 .73061 .40977 .7184 .40673 .70997 Metetra
.779 .758 .833 r
.40673 .70997 .40977 .7184 .41562 .70669 .4126 .69823 Metetra
.775 .757 .837 r
.4126 .69823 .41562 .70669 .42148 .69546 .41847 .68697 Metetra
.77 .755 .84 r
.41847 .68697 .42148 .69546 .42735 .68471 .42435 .6762 Metetra
.765 .754 .843 r
.42435 .6762 .42735 .68471 .43322 .67445 .43023 .66591 Metetra
.76 .753 .846 r
.43023 .66591 .43322 .67445 .4391 .66466 .43612 .65609 Metetra
.754 .751 .849 r
.43612 .65609 .4391 .66466 .44499 .65534 .44202 .64675 Metetra
.749 .75 .853 r
.44202 .64675 .44499 .65534 .45088 .64649 .44792 .63787 Metetra
.743 .748 .856 r
.44792 .63787 .45088 .64649 .45679 .6381 .45383 .62946 Metetra
.737 .746 .859 r
.45383 .62946 .45679 .6381 .4627 .63017 .45975 .6215 Metetra
.731 .744 .862 r
.45975 .6215 .4627 .63017 .46862 .62269 .46568 .614 Metetra
.725 .742 .865 r
.46568 .614 .46862 .62269 .47455 .61565 .47162 .60694 Metetra
.718 .74 .868 r
.47162 .60694 .47455 .61565 .48048 .60905 .47757 .60032 Metetra
.711 .737 .872 r
.47757 .60032 .48048 .60905 .48643 .60288 .48353 .59413 Metetra
.704 .735 .875 r
.48353 .59413 .48643 .60288 .49239 .59714 .48949 .58836 Metetra
.697 .732 .878 r
.48949 .58836 .49239 .59714 .49835 .59181 .49547 .58302 Metetra
.69 .729 .88 r
.49547 .58302 .49835 .59181 .50433 .5869 .50146 .57809 Metetra
.682 .726 .883 r
.50146 .57809 .50433 .5869 .51032 .58239 .50745 .57356 Metetra
.675 .723 .886 r
.50745 .57356 .51032 .58239 .51632 .57828 .51346 .56943 Metetra
.667 .72 .889 r
.51346 .56943 .51632 .57828 .52233 .57455 .51948 .56569 Metetra
.659 .717 .891 r
.51948 .56569 .52233 .57455 .52835 .57121 .52551 .56233 Metetra
.651 .713 .894 r
.52551 .56233 .52835 .57121 .53439 .56823 .53156 .55934 Metetra
.643 .71 .896 r
.53156 .55934 .53439 .56823 .54043 .56562 .53761 .55672 Metetra
.635 .706 .898 r
.53761 .55672 .54043 .56562 .54649 .56337 .54368 .55445 Metetra
.626 .703 .9 r
.54368 .55445 .54649 .56337 .55256 .56146 .54976 .55253 Metetra
.618 .699 .902 r
.54976 .55253 .55256 .56146 .55865 .55988 .55586 .55094 Metetra
.61 .695 .904 r
.55586 .55094 .55865 .55988 .56475 .55863 .56197 .54968 Metetra
.601 .691 .906 r
.56197 .54968 .56475 .55863 .57086 .5577 .56809 .54873 Metetra
.593 .687 .907 r
.56809 .54873 .57086 .5577 .57698 .55708 .57422 .5481 Metetra
.585 .683 .909 r
.57422 .5481 .57698 .55708 .58312 .55675 .58037 .54776 Metetra
.576 .679 .91 r
.58037 .54776 .58312 .55675 .58928 .5567 .58653 .5477 Metetra
.568 .675 .911 r
.58653 .5477 .58928 .5567 .59544 .55694 .59271 .54793 Metetra
.561 .671 .912 r
.59271 .54793 .59544 .55694 .60162 .55743 .5989 .54841 Metetra
.553 .667 .913 r
.5989 .54841 .60162 .55743 .60782 .55818 .60511 .54915 Metetra
.545 .663 .914 r
.60511 .54915 .60782 .55818 .61403 .55917 .61133 .55013 Metetra
.538 .659 .915 r
.61133 .55013 .61403 .55917 .62026 .56039 .61757 .55135 Metetra
.531 .656 .915 r
.61757 .55135 .62026 .56039 .6265 .56183 .62382 .55278 Metetra
.524 .652 .916 r
.62382 .55278 .6265 .56183 .63276 .56348 .63009 .55442 Metetra
.518 .649 .916 r
.63009 .55442 .63276 .56348 .63903 .56532 .63637 .55625 Metetra
.512 .645 .916 r
.63637 .55625 .63903 .56532 .64532 .56734 .64267 .55827 Metetra
.506 .642 .917 r
.64267 .55827 .64532 .56734 .65163 .56954 .64898 .56046 Metetra
.501 .639 .917 r
.64898 .56046 .65163 .56954 .65795 .57189 .65532 .56281 Metetra
.496 .637 .917 r
.65532 .56281 .65795 .57189 .66429 .57439 .66166 .5653 Metetra
.491 .634 .917 r
.66166 .5653 .66429 .57439 .67064 .57702 .66803 .56792 Metetra
.487 .632 .917 r
.66803 .56792 .67064 .57702 .67701 .57977 .67441 .57066 Metetra
.483 .63 .917 r
.67441 .57066 .67701 .57977 .68339 .58262 .6808 .57351 Metetra
.48 .628 .917 r
.6808 .57351 .68339 .58262 .68979 .58557 .68721 .57646 Metetra
.478 .627 .917 r
.68721 .57646 .68979 .58557 .69621 .58859 .69364 .57948 Metetra
.476 .625 .917 r
.69364 .57948 .69621 .58859 .70265 .59169 .70009 .58257 Metetra
.474 .624 .917 r
.70009 .58257 .70265 .59169 .7091 .59483 .70655 .58571 Metetra
.473 .624 .917 r
.70655 .58571 .7091 .59483 .71557 .59802 .71303 .58888 Metetra
.472 .623 .917 r
.71303 .58888 .71557 .59802 .72205 .60123 .71952 .59209 Metetra
.472 .623 .917 r
.71952 .59209 .72205 .60123 .72855 .60445 .72603 .5953 Metetra
.473 .624 .917 r
.72603 .5953 .72855 .60445 .73507 .60766 .73256 .59852 Metetra
.473 .624 .917 r
.73256 .59852 .73507 .60766 .7416 .61086 .7391 .60171 Metetra
.475 .625 .917 r
.7391 .60171 .7416 .61086 .74815 .61403 .74566 .60487 Metetra
.477 .626 .917 r
.74566 .60487 .74815 .61403 .75471 .61715 .75224 .60799 Metetra
.479 .627 .917 r
.75224 .60799 .75471 .61715 .7613 .62022 .75883 .61105 Metetra
.482 .629 .917 r
.75883 .61105 .7613 .62022 .76789 .62321 .76544 .61404 Metetra
.485 .631 .917 r
.76544 .61404 .76789 .62321 .77451 .62611 .77206 .61693 Metetra
.489 .633 .917 r
.77206 .61693 .77451 .62611 .78114 .62891 .7787 .61973 Metetra
.493 .636 .917 r
.7787 .61973 .78114 .62891 .78778 .63159 .78536 .6224 Metetra
.498 .638 .917 r
.78536 .6224 .78778 .63159 .79444 .63414 .79203 .62495 Metetra
.503 .641 .917 r
.79203 .62495 .79444 .63414 .80112 .63655 .79872 .62735 Metetra
.508 .644 .917 r
.79872 .62735 .80112 .63655 .80781 .6388 .80542 .62959 Metetra
.514 .647 .917 r
.80542 .62959 .80781 .6388 .81451 .64087 .81214 .63166 Metetra
.52 .651 .917 r
.81214 .63166 .81451 .64087 .82123 .64276 .81887 .63354 Metetra
.526 .654 .917 r
.81887 .63354 .82123 .64276 .82796 .64445 .82561 .63522 Metetra
.532 .658 .916 r
.82561 .63522 .82796 .64445 .83471 .64591 .83238 .63668 Metetra
.539 .662 .916 r
.83238 .63668 .83471 .64591 .84148 .64715 .83915 .63791 Metetra
.546 .666 .916 r
.83915 .63791 .84148 .64715 .84825 .64815 .84594 .6389 Metetra
.553 .67 .915 r
.84594 .6389 .84825 .64815 .85504 .64889 .85274 .63963 Metetra
.561 .674 .915 r
.85274 .63963 .85504 .64889 .86184 .64936 .85955 .64008 Metetra
.569 .679 .914 r
.85955 .64008 .86184 .64936 .86866 .64954 .86638 .64026 Metetra
.576 .683 .913 r
.86638 .64026 .86866 .64954 .87549 .64942 .87322 .64013 Metetra
.584 .687 .912 r
.87322 .64013 .87549 .64942 .88233 .649 .88008 .63969 Metetra
.592 .692 .911 r
.88008 .63969 .88233 .649 .88918 .64825 .88694 .63893 Metetra
.6 .696 .91 r
.88694 .63893 .88918 .64825 .89604 .64716 .89382 .63783 Metetra
.608 .701 .909 r
.89382 .63783 .89604 .64716 .90292 .64572 .9007 .63638 Metetra
.617 .705 .908 r
.9007 .63638 .90292 .64572 .90981 .64392 .9076 .63456 Metetra
.625 .71 .907 r
.9076 .63456 .90981 .64392 .9167 .64175 .91451 .63237 Metetra
.633 .714 .905 r
.91451 .63237 .9167 .64175 .92361 .63919 .92143 .6298 Metetra
.641 .718 .904 r
.92143 .6298 .92361 .63919 .93052 .63623 .92836 .62682 Metetra
.649 .723 .902 r
.92836 .62682 .93052 .63623 .93745 .63286 .9353 .62343 Metetra
.658 .727 .9 r
.9353 .62343 .93745 .63286 .94438 .62907 .94224 .61962 Metetra
.666 .731 .899 r
.94224 .61962 .94438 .62907 .95132 .62484 .9492 .61538 Metetra
.674 .735 .897 r
.9492 .61538 .95132 .62484 .95828 .62017 .95616 .61069 Metetra
.682 .74 .895 r
.95616 .61069 .95828 .62017 .96523 .61505 .96313 .60554 Metetra
.689 .744 .893 r
.96313 .60554 .96523 .61505 .9722 .60946 .97011 .59993 Metetra
.821 .767 .802 r
.33935 .8643 .34251 .87221 .34833 .85492 .34518 .84697 Metetra
.818 .767 .805 r
.34518 .84697 .34833 .85492 .35416 .83815 .35102 .83016 Metetra
.815 .766 .808 r
.35102 .83016 .35416 .83815 .35998 .82188 .35686 .81386 Metetra
.812 .766 .81 r
.35686 .81386 .35998 .82188 .36581 .80613 .3627 .79807 Metetra
.808 .766 .813 r
.3627 .79807 .36581 .80613 .37165 .79088 .36854 .78278 Metetra
.805 .765 .816 r
.36854 .78278 .37165 .79088 .37749 .77614 .37439 .76801 Metetra
.801 .764 .819 r
.37439 .76801 .37749 .77614 .38333 .7619 .38024 .75374 Metetra
.797 .764 .822 r
.38024 .75374 .38333 .7619 .38917 .74817 .3861 .73998 Metetra
.794 .763 .825 r
.3861 .73998 .38917 .74817 .39502 .73494 .39196 .72671 Metetra
.789 .762 .828 r
.39196 .72671 .39502 .73494 .40087 .72221 .39782 .71395 Metetra
.785 .761 .832 r
.39782 .71395 .40087 .72221 .40673 .70997 .40369 .70168 Metetra
.781 .76 .835 r
.40369 .70168 .40673 .70997 .4126 .69823 .40956 .68991 Metetra
.776 .759 .838 r
.40956 .68991 .4126 .69823 .41847 .68697 .41544 .67862 Metetra
.771 .758 .841 r
.41544 .67862 .41847 .68697 .42435 .6762 .42133 .66782 Metetra
.766 .757 .844 r
.42133 .66782 .42435 .6762 .43023 .66591 .42722 .6575 Metetra
.761 .756 .848 r
.42722 .6575 .43023 .66591 .43612 .65609 .43312 .64766 Metetra
.756 .754 .851 r
.43312 .64766 .43612 .65609 .44202 .64675 .43903 .63829 Metetra
.75 .752 .854 r
.43903 .63829 .44202 .64675 .44792 .63787 .44494 .62939 Metetra
.744 .751 .858 r
.44494 .62939 .44792 .63787 .45383 .62946 .45087 .62096 Metetra
.738 .749 .861 r
.45087 .62096 .45383 .62946 .45975 .6215 .4568 .61298 Metetra
.732 .747 .864 r
.4568 .61298 .45975 .6215 .46568 .614 .46274 .60545 Metetra
.725 .745 .867 r
.46274 .60545 .46568 .614 .47162 .60694 .46868 .59837 Metetra
.719 .743 .871 r
.46868 .59837 .47162 .60694 .47757 .60032 .47464 .59172 Metetra
.712 .74 .874 r
.47464 .59172 .47757 .60032 .48353 .59413 .48061 .58552 Metetra
.705 .738 .877 r
.48061 .58552 .48353 .59413 .48949 .58836 .48658 .57973 Metetra
.698 .735 .88 r
.48658 .57973 .48949 .58836 .49547 .58302 .49257 .57437 Metetra
.69 .732 .883 r
.49257 .57437 .49547 .58302 .50146 .57809 .49857 .56942 Metetra
.683 .729 .886 r
.49857 .56942 .50146 .57809 .50745 .57356 .50457 .56488 Metetra
.675 .726 .888 r
.50457 .56488 .50745 .57356 .51346 .56943 .51059 .56073 Metetra
.667 .723 .891 r
.51059 .56073 .51346 .56943 .51948 .56569 .51662 .55697 Metetra
.659 .72 .894 r
.51662 .55697 .51948 .56569 .52551 .56233 .52266 .5536 Metetra
.651 .717 .896 r
.52266 .5536 .52551 .56233 .53156 .55934 .52872 .55059 Metetra
.642 .713 .899 r
.52872 .55059 .53156 .55934 .53761 .55672 .53478 .54795 Metetra
.634 .709 .901 r
.53478 .54795 .53761 .55672 .54368 .55445 .54086 .54567 Metetra
.626 .706 .903 r
.54086 .54567 .54368 .55445 .54976 .55253 .54695 .54373 Metetra
.617 .702 .905 r
.54695 .54373 .54976 .55253 .55586 .55094 .55306 .54213 Metetra
.609 .698 .907 r
.55306 .54213 .55586 .55094 .56197 .54968 .55917 .54086 Metetra
.6 .694 .909 r
.55917 .54086 .56197 .54968 .56809 .54873 .5653 .53991 Metetra
.592 .69 .91 r
.5653 .53991 .56809 .54873 .57422 .5481 .57145 .53926 Metetra
.583 .686 .912 r
.57145 .53926 .57422 .5481 .58037 .54776 .57761 .53891 Metetra
.575 .682 .913 r
.57761 .53891 .58037 .54776 .58653 .5477 .58378 .53885 Metetra
.567 .678 .914 r
.58378 .53885 .58653 .5477 .59271 .54793 .58997 .53906 Metetra
.558 .674 .915 r
.58997 .53906 .59271 .54793 .5989 .54841 .59617 .53954 Metetra
.551 .67 .916 r
.59617 .53954 .5989 .54841 .60511 .54915 .60239 .54027 Metetra
.543 .666 .917 r
.60239 .54027 .60511 .54915 .61133 .55013 .60862 .54124 Metetra
.535 .662 .918 r
.60862 .54124 .61133 .55013 .61757 .55135 .61486 .54245 Metetra
.528 .658 .918 r
.61486 .54245 .61757 .55135 .62382 .55278 .62113 .54387 Metetra
.521 .654 .919 r
.62113 .54387 .62382 .55278 .63009 .55442 .6274 .5455 Metetra
.515 .651 .919 r
.6274 .5455 .63009 .55442 .63637 .55625 .6337 .54733 Metetra
.508 .647 .919 r
.6337 .54733 .63637 .55625 .64267 .55827 .64001 .54934 Metetra
.503 .644 .92 r
.64001 .54934 .64267 .55827 .64898 .56046 .64633 .55152 Metetra
.497 .641 .92 r
.64633 .55152 .64898 .56046 .65532 .56281 .65267 .55386 Metetra
.492 .638 .92 r
.65267 .55386 .65532 .56281 .66166 .5653 .65903 .55635 Metetra
.487 .636 .92 r
.65903 .55635 .66166 .5653 .66803 .56792 .6654 .55897 Metetra
.483 .634 .92 r
.6654 .55897 .66803 .56792 .67441 .57066 .67179 .5617 Metetra
.48 .632 .92 r
.67179 .5617 .67441 .57066 .6808 .57351 .6782 .56455 Metetra
.476 .63 .92 r
.6782 .56455 .6808 .57351 .68721 .57646 .68462 .56749 Metetra
.474 .628 .92 r
.68462 .56749 .68721 .57646 .69364 .57948 .69106 .5705 Metetra
.471 .627 .92 r
.69106 .5705 .69364 .57948 .70009 .58257 .69752 .57359 Metetra
.47 .626 .92 r
.69752 .57359 .70009 .58257 .70655 .58571 .70399 .57672 Metetra
.469 .625 .92 r
.70399 .57672 .70655 .58571 .71303 .58888 .71048 .5799 Metetra
.468 .625 .92 r
.71048 .5799 .71303 .58888 .71952 .59209 .71698 .5831 Metetra
.468 .625 .92 r
.71698 .5831 .71952 .59209 .72603 .5953 .7235 .58631 Metetra
.468 .625 .92 r
.7235 .58631 .72603 .5953 .73256 .59852 .73004 .58951 Metetra
.469 .626 .92 r
.73004 .58951 .73256 .59852 .7391 .60171 .7366 .59271 Metetra
.471 .627 .92 r
.7366 .59271 .7391 .60171 .74566 .60487 .74317 .59586 Metetra
.473 .628 .92 r
.74317 .59586 .74566 .60487 .75224 .60799 .74975 .59898 Metetra
.475 .629 .92 r
.74975 .59898 .75224 .60799 .75883 .61105 .75636 .60203 Metetra
.478 .631 .92 r
.75636 .60203 .75883 .61105 .76544 .61404 .76298 .60501 Metetra
.481 .633 .92 r
.76298 .60501 .76544 .61404 .77206 .61693 .76961 .6079 Metetra
.485 .635 .92 r
.76961 .6079 .77206 .61693 .7787 .61973 .77626 .61069 Metetra
.489 .637 .92 r
.77626 .61069 .7787 .61973 .78536 .6224 .78293 .61336 Metetra
.494 .64 .92 r
.78293 .61336 .78536 .6224 .79203 .62495 .78961 .6159 Metetra
.499 .643 .92 r
.78961 .6159 .79203 .62495 .79872 .62735 .79631 .6183 Metetra
.505 .646 .92 r
.79631 .6183 .79872 .62735 .80542 .62959 .80303 .62053 Metetra
.51 .649 .92 r
.80303 .62053 .80542 .62959 .81214 .63166 .80976 .62259 Metetra
.516 .653 .92 r
.80976 .62259 .81214 .63166 .81887 .63354 .8165 .62447 Metetra
.523 .657 .92 r
.8165 .62447 .81887 .63354 .82561 .63522 .82326 .62614 Metetra
.53 .66 .919 r
.82326 .62614 .82561 .63522 .83238 .63668 .83003 .62759 Metetra
.537 .664 .919 r
.83003 .62759 .83238 .63668 .83915 .63791 .83682 .62881 Metetra
.544 .669 .919 r
.83682 .62881 .83915 .63791 .84594 .6389 .84362 .62979 Metetra
.551 .673 .918 r
.84362 .62979 .84594 .6389 .85274 .63963 .85043 .63051 Metetra
.559 .677 .918 r
.85043 .63051 .85274 .63963 .85955 .64008 .85726 .63096 Metetra
.567 .681 .917 r
.85726 .63096 .85955 .64008 .86638 .64026 .8641 .63112 Metetra
.575 .686 .916 r
.8641 .63112 .86638 .64026 .87322 .64013 .87095 .63098 Metetra
.583 .69 .915 r
.87095 .63098 .87322 .64013 .88008 .63969 .87781 .63053 Metetra
.591 .695 .915 r
.87781 .63053 .88008 .63969 .88694 .63893 .88469 .62976 Metetra
.599 .699 .913 r
.88469 .62976 .88694 .63893 .89382 .63783 .89158 .62864 Metetra
.607 .704 .912 r
.89158 .62864 .89382 .63783 .9007 .63638 .89848 .62718 Metetra
.616 .708 .911 r
.89848 .62718 .9007 .63638 .9076 .63456 .90539 .62535 Metetra
.624 .713 .91 r
.90539 .62535 .9076 .63456 .91451 .63237 .91231 .62315 Metetra
.632 .717 .908 r
.91231 .62315 .91451 .63237 .92143 .6298 .91925 .62055 Metetra
.641 .722 .907 r
.91925 .62055 .92143 .6298 .92836 .62682 .92619 .61756 Metetra
.649 .726 .905 r
.92619 .61756 .92836 .62682 .9353 .62343 .93314 .61416 Metetra
.657 .73 .903 r
.93314 .61416 .9353 .62343 .94224 .61962 .9401 .61033 Metetra
.666 .735 .901 r
.9401 .61033 .94224 .61962 .9492 .61538 .94707 .60606 Metetra
.674 .739 .899 r
.94707 .60606 .9492 .61538 .95616 .61069 .95405 .60135 Metetra
.682 .743 .897 r
.95405 .60135 .95616 .61069 .96313 .60554 .96103 .59619 Metetra
.69 .747 .895 r
.96103 .59619 .96313 .60554 .97011 .59993 .96802 .59056 Metetra
.822 .769 .803 r
.33618 .85653 .33935 .8643 .34518 .84697 .34203 .83917 Metetra
.819 .769 .806 r
.34203 .83917 .34518 .84697 .35102 .83016 .34787 .82232 Metetra
.816 .769 .808 r
.34787 .82232 .35102 .83016 .35686 .81386 .35372 .80598 Metetra
.813 .768 .811 r
.35372 .80598 .35686 .81386 .3627 .79807 .35957 .79015 Metetra
.81 .768 .814 r
.35957 .79015 .3627 .79807 .36854 .78278 .36543 .77483 Metetra
.806 .768 .817 r
.36543 .77483 .36854 .78278 .37439 .76801 .37128 .76002 Metetra
.803 .767 .82 r
.37128 .76002 .37439 .76801 .38024 .75374 .37714 .74572 Metetra
.799 .766 .823 r
.37714 .74572 .38024 .75374 .3861 .73998 .38301 .73192 Metetra
.795 .766 .826 r
.38301 .73192 .3861 .73998 .39196 .72671 .38888 .71863 Metetra
.791 .765 .83 r
.38888 .71863 .39196 .72671 .39782 .71395 .39475 .70583 Metetra
.786 .764 .833 r
.39475 .70583 .39782 .71395 .40369 .70168 .40063 .69354 Metetra
.782 .763 .836 r
.40063 .69354 .40369 .70168 .40956 .68991 .40652 .68173 Metetra
.777 .762 .839 r
.40652 .68173 .40956 .68991 .41544 .67862 .41241 .67042 Metetra
.773 .761 .843 r
.41241 .67042 .41544 .67862 .42133 .66782 .4183 .65959 Metetra
.767 .76 .846 r
.4183 .65959 .42133 .66782 .42722 .6575 .42421 .64924 Metetra
.762 .758 .849 r
.42421 .64924 .42722 .6575 .43312 .64766 .43012 .63938 Metetra
.757 .757 .853 r
.43012 .63938 .43312 .64766 .43903 .63829 .43603 .62998 Metetra
.751 .755 .856 r
.43603 .62998 .43903 .63829 .44494 .62939 .44196 .62106 Metetra
.745 .754 .859 r
.44196 .62106 .44494 .62939 .45087 .62096 .44789 .6126 Metetra
.739 .752 .863 r
.44789 .6126 .45087 .62096 .4568 .61298 .45383 .60459 Metetra
.733 .75 .866 r
.45383 .60459 .4568 .61298 .46274 .60545 .45978 .59704 Metetra
.726 .748 .869 r
.45978 .59704 .46274 .60545 .46868 .59837 .46573 .58994 Metetra
.72 .746 .873 r
.46573 .58994 .46868 .59837 .47464 .59172 .4717 .58327 Metetra
.713 .743 .876 r
.4717 .58327 .47464 .59172 .48061 .58552 .47768 .57704 Metetra
.706 .741 .879 r
.47768 .57704 .48061 .58552 .48658 .57973 .48366 .57124 Metetra
.698 .738 .882 r
.48366 .57124 .48658 .57973 .49257 .57437 .48966 .56586 Metetra
.691 .736 .885 r
.48966 .56586 .49257 .57437 .49857 .56942 .49567 .56089 Metetra
.683 .733 .888 r
.49567 .56089 .49857 .56942 .50457 .56488 .50168 .55633 Metetra
.675 .73 .891 r
.50168 .55633 .50457 .56488 .51059 .56073 .50771 .55217 Metetra
.667 .726 .894 r
.50771 .55217 .51059 .56073 .51662 .55697 .51375 .54839 Metetra
.659 .723 .896 r
.51375 .54839 .51662 .55697 .52266 .5536 .5198 .545 Metetra
.651 .72 .899 r
.5198 .545 .52266 .5536 .52872 .55059 .52587 .54199 Metetra
.642 .716 .901 r
.52587 .54199 .52872 .55059 .53478 .54795 .53194 .53933 Metetra
.634 .712 .904 r
.53194 .53933 .53478 .54795 .54086 .54567 .53803 .53704 Metetra
.625 .709 .906 r
.53803 .53704 .54086 .54567 .54695 .54373 .54413 .53509 Metetra
.616 .705 .908 r
.54413 .53509 .54695 .54373 .55306 .54213 .55024 .53347 Metetra
.608 .701 .91 r
.55024 .53347 .55306 .54213 .55917 .54086 .55637 .53219 Metetra
.599 .697 .912 r
.55637 .53219 .55917 .54086 .5653 .53991 .56251 .53122 Metetra
.59 .693 .913 r
.56251 .53122 .5653 .53991 .57145 .53926 .56866 .53056 Metetra
.582 .689 .915 r
.56866 .53056 .57145 .53926 .57761 .53891 .57483 .5302 Metetra
.573 .684 .916 r
.57483 .5302 .57761 .53891 .58378 .53885 .58102 .53013 Metetra
.565 .68 .917 r
.58102 .53013 .58378 .53885 .58997 .53906 .58721 .53033 Metetra
.556 .676 .918 r
.58721 .53033 .58997 .53906 .59617 .53954 .59342 .5308 Metetra
.548 .672 .919 r
.59342 .5308 .59617 .53954 .60239 .54027 .59965 .53152 Metetra
.54 .668 .92 r
.59965 .53152 .60239 .54027 .60862 .54124 .60589 .53249 Metetra
.533 .664 .921 r
.60589 .53249 .60862 .54124 .61486 .54245 .61215 .53369 Metetra
.525 .66 .921 r
.61215 .53369 .61486 .54245 .62113 .54387 .61842 .5351 Metetra
.518 .657 .922 r
.61842 .5351 .62113 .54387 .6274 .5455 .62471 .53673 Metetra
.511 .653 .922 r
.62471 .53673 .6274 .5455 .6337 .54733 .63101 .53855 Metetra
.505 .65 .923 r
.63101 .53855 .6337 .54733 .64001 .54934 .63733 .54055 Metetra
.499 .646 .923 r
.63733 .54055 .64001 .54934 .64633 .55152 .64367 .54273 Metetra
.493 .643 .923 r
.64367 .54273 .64633 .55152 .65267 .55386 .65002 .54506 Metetra
.488 .64 .923 r
.65002 .54506 .65267 .55386 .65903 .55635 .65639 .54754 Metetra
.483 .638 .923 r
.65639 .54754 .65903 .55635 .6654 .55897 .66277 .55016 Metetra
.479 .635 .923 r
.66277 .55016 .6654 .55897 .67179 .5617 .66917 .55289 Metetra
.475 .633 .923 r
.66917 .55289 .67179 .5617 .6782 .56455 .67559 .55573 Metetra
.472 .631 .923 r
.67559 .55573 .6782 .56455 .68462 .56749 .68202 .55866 Metetra
.469 .63 .923 r
.68202 .55866 .68462 .56749 .69106 .5705 .68847 .56167 Metetra
.467 .629 .923 r
.68847 .56167 .69106 .5705 .69752 .57359 .69493 .56475 Metetra
.465 .628 .923 r
.69493 .56475 .69752 .57359 .70399 .57672 .70142 .56788 Metetra
.464 .627 .923 r
.70142 .56788 .70399 .57672 .71048 .5799 .70792 .57105 Metetra
.464 .627 .923 r
.70792 .57105 .71048 .5799 .71698 .5831 .71443 .57425 Metetra
.464 .626 .923 r
.71443 .57425 .71698 .5831 .7235 .58631 .72097 .57746 Metetra
.464 .627 .923 r
.72097 .57746 .7235 .58631 .73004 .58951 .72751 .58066 Metetra
.465 .627 .923 r
.72751 .58066 .73004 .58951 .7366 .59271 .73408 .58385 Metetra
.466 .628 .923 r
.73408 .58385 .7366 .59271 .74317 .59586 .74066 .587 Metetra
.468 .629 .923 r
.74066 .587 .74317 .59586 .74975 .59898 .74726 .59011 Metetra
.471 .631 .923 r
.74726 .59011 .74975 .59898 .75636 .60203 .75388 .59316 Metetra
.474 .632 .923 r
.75388 .59316 .75636 .60203 .76298 .60501 .76051 .59613 Metetra
.477 .634 .923 r
.76051 .59613 .76298 .60501 .76961 .6079 .76715 .59902 Metetra
.481 .637 .923 r
.76715 .59902 .76961 .6079 .77626 .61069 .77382 .6018 Metetra
.486 .639 .923 r
.77382 .6018 .77626 .61069 .78293 .61336 .78049 .60447 Metetra
.49 .642 .923 r
.78049 .60447 .78293 .61336 .78961 .6159 .78719 .607 Metetra
.496 .645 .923 r
.78719 .607 .78961 .6159 .79631 .6183 .7939 .60939 Metetra
.501 .648 .923 r
.7939 .60939 .79631 .6183 .80303 .62053 .80062 .61162 Metetra
.507 .652 .923 r
.80062 .61162 .80303 .62053 .80976 .62259 .80736 .61368 Metetra
.513 .655 .923 r
.80736 .61368 .80976 .62259 .8165 .62447 .81412 .61554 Metetra
.52 .659 .923 r
.81412 .61554 .8165 .62447 .82326 .62614 .82089 .6172 Metetra
.527 .663 .923 r
.82089 .6172 .82326 .62614 .83003 .62759 .82767 .61865 Metetra
.534 .667 .922 r
.82767 .61865 .83003 .62759 .83682 .62881 .83447 .61986 Metetra
.541 .671 .922 r
.83447 .61986 .83682 .62881 .84362 .62979 .84128 .62083 Metetra
.549 .675 .921 r
.84128 .62083 .84362 .62979 .85043 .63051 .84811 .62154 Metetra
.557 .68 .921 r
.84811 .62154 .85043 .63051 .85726 .63096 .85495 .62198 Metetra
.565 .684 .92 r
.85495 .62198 .85726 .63096 .8641 .63112 .8618 .62213 Metetra
.573 .689 .919 r
.8618 .62213 .8641 .63112 .87095 .63098 .86867 .62199 Metetra
.581 .693 .919 r
.86867 .62199 .87095 .63098 .87781 .63053 .87555 .62152 Metetra
.589 .698 .918 r
.87555 .62152 .87781 .63053 .88469 .62976 .88244 .62074 Metetra
.598 .702 .917 r
.88244 .62074 .88469 .62976 .89158 .62864 .88934 .61961 Metetra
.606 .707 .915 r
.88934 .61961 .89158 .62864 .89848 .62718 .89625 .61813 Metetra
.615 .711 .914 r
.89625 .61813 .89848 .62718 .90539 .62535 .90318 .61629 Metetra
.623 .716 .913 r
.90318 .61629 .90539 .62535 .91231 .62315 .91011 .61407 Metetra
.632 .721 .911 r
.91011 .61407 .91231 .62315 .91925 .62055 .91705 .61146 Metetra
.64 .725 .91 r
.91705 .61146 .91925 .62055 .92619 .61756 .92401 .60845 Metetra
.649 .73 .908 r
.92401 .60845 .92619 .61756 .93314 .61416 .93097 .60503 Metetra
.657 .734 .906 r
.93097 .60503 .93314 .61416 .9401 .61033 .93795 .60118 Metetra
.666 .738 .904 r
.93795 .60118 .9401 .61033 .94707 .60606 .94493 .5969 Metetra
.674 .743 .902 r
.94493 .5969 .94707 .60606 .95405 .60135 .95192 .59217 Metetra
.682 .747 .9 r
.95192 .59217 .95405 .60135 .96103 .59619 .95892 .58698 Metetra
.69 .751 .898 r
.95892 .58698 .96103 .59619 .96802 .59056 .96592 .58133 Metetra
.823 .772 .804 r
.333 .84891 .33618 .85653 .34203 .83917 .33885 .83151 Metetra
.821 .771 .806 r
.33885 .83151 .34203 .83917 .34787 .82232 .34471 .81462 Metetra
.818 .771 .809 r
.34471 .81462 .34787 .82232 .35372 .80598 .35057 .79824 Metetra
.814 .771 .812 r
.35057 .79824 .35372 .80598 .35957 .79015 .35643 .78237 Metetra
.811 .77 .815 r
.35643 .78237 .35957 .79015 .36543 .77483 .36229 .76702 Metetra
.808 .77 .818 r
.36229 .76702 .36543 .77483 .37128 .76002 .36816 .75218 Metetra
.804 .77 .821 r
.36816 .75218 .37128 .76002 .37714 .74572 .37403 .73784 Metetra
.8 .769 .824 r
.37403 .73784 .37714 .74572 .38301 .73192 .37991 .72401 Metetra
.796 .768 .828 r
.37991 .72401 .38301 .73192 .38888 .71863 .38579 .71068 Metetra
.792 .768 .831 r
.38579 .71068 .38888 .71863 .39475 .70583 .39167 .69786 Metetra
.788 .767 .834 r
.39167 .69786 .39475 .70583 .40063 .69354 .39756 .68553 Metetra
.783 .766 .837 r
.39756 .68553 .40063 .69354 .40652 .68173 .40346 .6737 Metetra
.779 .765 .841 r
.40346 .6737 .40652 .68173 .41241 .67042 .40936 .66235 Metetra
.774 .764 .844 r
.40936 .66235 .41241 .67042 .4183 .65959 .41526 .6515 Metetra
.769 .763 .847 r
.41526 .6515 .4183 .65959 .42421 .64924 .42117 .64112 Metetra
.763 .761 .851 r
.42117 .64112 .42421 .64924 .43012 .63938 .42709 .63123 Metetra
.758 .76 .854 r
.42709 .63123 .43012 .63938 .43603 .62998 .43302 .62181 Metetra
.752 .759 .858 r
.43302 .62181 .43603 .62998 .44196 .62106 .43895 .61286 Metetra
.746 .757 .861 r
.43895 .61286 .44196 .62106 .44789 .6126 .4449 .60438 Metetra
.74 .755 .865 r
.4449 .60438 .44789 .6126 .45383 .60459 .45085 .59635 Metetra
.734 .753 .868 r
.45085 .59635 .45383 .60459 .45978 .59704 .45681 .58878 Metetra
.727 .751 .871 r
.45681 .58878 .45978 .59704 .46573 .58994 .46277 .58165 Metetra
.72 .749 .875 r
.46277 .58165 .46573 .58994 .4717 .58327 .46875 .57497 Metetra
.713 .747 .878 r
.46875 .57497 .4717 .58327 .47768 .57704 .47474 .56872 Metetra
.706 .744 .881 r
.47474 .56872 .47768 .57704 .48366 .57124 .48073 .56289 Metetra
.699 .742 .884 r
.48073 .56289 .48366 .57124 .48966 .56586 .48674 .55749 Metetra
.691 .739 .888 r
.48674 .55749 .48966 .56586 .49567 .56089 .49275 .55251 Metetra
.683 .736 .891 r
.49275 .55251 .49567 .56089 .50168 .55633 .49878 .54793 Metetra
.675 .733 .894 r
.49878 .54793 .50168 .55633 .50771 .55217 .50482 .54375 Metetra
.667 .73 .896 r
.50482 .54375 .50771 .55217 .51375 .54839 .51087 .53996 Metetra
.659 .726 .899 r
.51087 .53996 .51375 .54839 .5198 .545 .51693 .53655 Metetra
.65 .723 .902 r
.51693 .53655 .5198 .545 .52587 .54199 .523 .53352 Metetra
.642 .719 .904 r
.523 .53352 .52587 .54199 .53194 .53933 .52909 .53085 Metetra
.633 .716 .907 r
.52909 .53085 .53194 .53933 .53803 .53704 .53518 .52854 Metetra
.624 .712 .909 r
.53518 .52854 .53803 .53704 .54413 .53509 .54129 .52658 Metetra
.615 .708 .911 r
.54129 .52658 .54413 .53509 .55024 .53347 .54742 .52495 Metetra
.606 .704 .913 r
.54742 .52495 .55024 .53347 .55637 .53219 .55355 .52366 Metetra
.598 .7 .915 r
.55355 .52366 .55637 .53219 .56251 .53122 .55971 .52268 Metetra
.589 .696 .916 r
.55971 .52268 .56251 .53122 .56866 .53056 .56587 .52201 Metetra
.58 .691 .918 r
.56587 .52201 .56866 .53056 .57483 .5302 .57205 .52164 Metetra
.571 .687 .919 r
.57205 .52164 .57483 .5302 .58102 .53013 .57824 .52155 Metetra
.563 .683 .92 r
.57824 .52155 .58102 .53013 .58721 .53033 .58445 .52175 Metetra
.554 .679 .922 r
.58445 .52175 .58721 .53033 .59342 .5308 .59067 .52221 Metetra
.546 .675 .922 r
.59067 .52221 .59342 .5308 .59965 .53152 .5969 .52292 Metetra
.538 .671 .923 r
.5969 .52292 .59965 .53152 .60589 .53249 .60316 .52388 Metetra
.53 .667 .924 r
.60316 .52388 .60589 .53249 .61215 .53369 .60942 .52507 Metetra
.522 .663 .925 r
.60942 .52507 .61215 .53369 .61842 .5351 .61571 .52648 Metetra
.515 .659 .925 r
.61571 .52648 .61842 .5351 .62471 .53673 .622 .5281 Metetra
.508 .655 .925 r
.622 .5281 .62471 .53673 .63101 .53855 .62832 .52991 Metetra
.502 .652 .926 r
.62832 .52991 .63101 .53855 .63733 .54055 .63465 .53191 Metetra
.495 .648 .926 r
.63465 .53191 .63733 .54055 .64367 .54273 .64099 .53408 Metetra
.49 .645 .926 r
.64099 .53408 .64367 .54273 .65002 .54506 .64735 .53641 Metetra
.484 .642 .926 r
.64735 .53641 .65002 .54506 .65639 .54754 .65373 .53888 Metetra
.479 .64 .926 r
.65373 .53888 .65639 .54754 .66277 .55016 .66013 .54149 Metetra
.475 .637 .926 r
.66013 .54149 .66277 .55016 .66917 .55289 .66654 .54422 Metetra
.471 .635 .926 r
.66654 .54422 .66917 .55289 .67559 .55573 .67296 .54705 Metetra
.468 .633 .926 r
.67296 .54705 .67559 .55573 .68202 .55866 .67941 .54998 Metetra
.465 .631 .926 r
.67941 .54998 .68202 .55866 .68847 .56167 .68587 .55299 Metetra
.463 .63 .926 r
.68587 .55299 .68847 .56167 .69493 .56475 .69234 .55606 Metetra
.461 .629 .926 r
.69234 .55606 .69493 .56475 .70142 .56788 .69884 .55919 Metetra
.46 .628 .926 r
.69884 .55919 .70142 .56788 .70792 .57105 .70535 .56236 Metetra
.459 .628 .926 r
.70535 .56236 .70792 .57105 .71443 .57425 .71187 .56555 Metetra
.459 .628 .926 r
.71187 .56555 .71443 .57425 .72097 .57746 .71842 .56875 Metetra
.459 .628 .926 r
.71842 .56875 .72097 .57746 .72751 .58066 .72498 .57195 Metetra
.46 .629 .926 r
.72498 .57195 .72751 .58066 .73408 .58385 .73155 .57513 Metetra
.462 .63 .926 r
.73155 .57513 .73408 .58385 .74066 .587 .73815 .57828 Metetra
.464 .631 .926 r
.73815 .57828 .74066 .587 .74726 .59011 .74476 .58139 Metetra
.466 .632 .926 r
.74476 .58139 .74726 .59011 .75388 .59316 .75138 .58443 Metetra
.47 .634 .926 r
.75138 .58443 .75388 .59316 .76051 .59613 .75803 .5874 Metetra
.473 .636 .926 r
.75803 .5874 .76051 .59613 .76715 .59902 .76468 .59028 Metetra
.477 .638 .926 r
.76468 .59028 .76715 .59902 .77382 .6018 .77136 .59306 Metetra
.482 .641 .926 r
.77136 .59306 .77382 .6018 .78049 .60447 .77805 .59572 Metetra
.486 .644 .926 r
.77805 .59572 .78049 .60447 .78719 .607 .78475 .59825 Metetra
.492 .647 .926 r
.78475 .59825 .78719 .607 .7939 .60939 .79148 .60064 Metetra
.497 .65 .926 r
.79148 .60064 .7939 .60939 .80062 .61162 .79821 .60286 Metetra
.504 .654 .926 r
.79821 .60286 .80062 .61162 .80736 .61368 .80496 .60491 Metetra
.51 .657 .926 r
.80496 .60491 .80736 .61368 .81412 .61554 .81173 .60677 Metetra
.517 .661 .926 r
.81173 .60677 .81412 .61554 .82089 .6172 .81851 .60842 Metetra
.524 .665 .926 r
.81851 .60842 .82089 .6172 .82767 .61865 .82531 .60986 Metetra
.531 .669 .925 r
.82531 .60986 .82767 .61865 .83447 .61986 .83212 .61106 Metetra
.539 .674 .925 r
.83212 .61106 .83447 .61986 .84128 .62083 .83895 .61203 Metetra
.546 .678 .925 r
.83895 .61203 .84128 .62083 .84811 .62154 .84578 .61273 Metetra
.554 .682 .924 r
.84578 .61273 .84811 .62154 .85495 .62198 .85264 .61316 Metetra
.562 .687 .923 r
.85264 .61316 .85495 .62198 .8618 .62213 .8595 .6133 Metetra
.571 .691 .923 r
.8595 .6133 .8618 .62213 .86867 .62199 .86638 .61314 Metetra
.579 .696 .922 r
.86638 .61314 .86867 .62199 .87555 .62152 .87327 .61267 Metetra
.588 .701 .921 r
.87327 .61267 .87555 .62152 .88244 .62074 .88017 .61187 Metetra
.596 .705 .92 r
.88017 .61187 .88244 .62074 .88934 .61961 .88709 .61073 Metetra
.605 .71 .919 r
.88709 .61073 .88934 .61961 .89625 .61813 .89401 .60924 Metetra
.614 .715 .917 r
.89401 .60924 .89625 .61813 .90318 .61629 .90095 .60738 Metetra
.622 .719 .916 r
.90095 .60738 .90318 .61629 .91011 .61407 .9079 .60514 Metetra
.631 .724 .914 r
.9079 .60514 .91011 .61407 .91705 .61146 .91486 .60252 Metetra
.64 .729 .913 r
.91486 .60252 .91705 .61146 .92401 .60845 .92182 .59949 Metetra
.648 .733 .911 r
.92182 .59949 .92401 .60845 .93097 .60503 .9288 .59605 Metetra
.657 .737 .909 r
.9288 .59605 .93097 .60503 .93795 .60118 .93579 .59219 Metetra
.665 .742 .907 r
.93579 .59219 .93795 .60118 .94493 .5969 .94278 .58789 Metetra
.674 .746 .905 r
.94278 .58789 .94493 .5969 .95192 .59217 .94979 .58314 Metetra
.682 .75 .903 r
.94979 .58314 .95192 .59217 .95892 .58698 .9568 .57793 Metetra
.69 .754 .901 r
.9568 .57793 .95892 .58698 .96592 .58133 .96382 .57225 Metetra
.825 .774 .804 r
.3298 .84143 .333 .84891 .33885 .83151 .33566 .82399 Metetra
.822 .774 .807 r
.33566 .82399 .33885 .83151 .34471 .81462 .34153 .80706 Metetra
.819 .774 .81 r
.34153 .80706 .34471 .81462 .35057 .79824 .3474 .79065 Metetra
.816 .773 .813 r
.3474 .79065 .35057 .79824 .35643 .78237 .35327 .77474 Metetra
.812 .773 .816 r
.35327 .77474 .35643 .78237 .36229 .76702 .35915 .75936 Metetra
.809 .773 .819 r
.35915 .75936 .36229 .76702 .36816 .75218 .36503 .74448 Metetra
.805 .772 .822 r
.36503 .74448 .36816 .75218 .37403 .73784 .37091 .73011 Metetra
.802 .772 .825 r
.37091 .73011 .37403 .73784 .37991 .72401 .37679 .71624 Metetra
.798 .771 .829 r
.37679 .71624 .37991 .72401 .38579 .71068 .38268 .70288 Metetra
.794 .77 .832 r
.38268 .70288 .38579 .71068 .39167 .69786 .38858 .69003 Metetra
.789 .77 .835 r
.38858 .69003 .39167 .69786 .39756 .68553 .39448 .67767 Metetra
.785 .769 .839 r
.39448 .67767 .39756 .68553 .40346 .6737 .40038 .6658 Metetra
.78 .768 .842 r
.40038 .6658 .40346 .6737 .40936 .66235 .40629 .65443 Metetra
.775 .767 .846 r
.40629 .65443 .40936 .66235 .41526 .6515 .41221 .64355 Metetra
.77 .766 .849 r
.41221 .64355 .41526 .6515 .42117 .64112 .41813 .63315 Metetra
.765 .764 .852 r
.41813 .63315 .42117 .64112 .42709 .63123 .42406 .62323 Metetra
.759 .763 .856 r
.42406 .62323 .42709 .63123 .43302 .62181 .43 .61378 Metetra
.753 .762 .859 r
.43 .61378 .43302 .62181 .43895 .61286 .43594 .60481 Metetra
.747 .76 .863 r
.43594 .60481 .43895 .61286 .4449 .60438 .44189 .5963 Metetra
.741 .758 .867 r
.44189 .5963 .4449 .60438 .45085 .59635 .44785 .58825 Metetra
.735 .756 .87 r
.44785 .58825 .45085 .59635 .45681 .58878 .45382 .58065 Metetra
.728 .754 .873 r
.45382 .58065 .45681 .58878 .46277 .58165 .4598 .5735 Metetra
.721 .752 .877 r
.4598 .5735 .46277 .58165 .46875 .57497 .46578 .5668 Metetra
.714 .75 .88 r
.46578 .5668 .46875 .57497 .47474 .56872 .47178 .56053 Metetra
.707 .748 .884 r
.47178 .56053 .47474 .56872 .48073 .56289 .47779 .55469 Metetra
.699 .745 .887 r
.47779 .55469 .48073 .56289 .48674 .55749 .4838 .54927 Metetra
.692 .742 .89 r
.4838 .54927 .48674 .55749 .49275 .55251 .48983 .54427 Metetra
.684 .739 .893 r
.48983 .54427 .49275 .55251 .49878 .54793 .49586 .53967 Metetra
.675 .736 .896 r
.49586 .53967 .49878 .54793 .50482 .54375 .50191 .53547 Metetra
.667 .733 .899 r
.50191 .53547 .50482 .54375 .51087 .53996 .50797 .53167 Metetra
.659 .73 .902 r
.50797 .53167 .51087 .53996 .51693 .53655 .51404 .52824 Metetra
.65 .726 .905 r
.51404 .52824 .51693 .53655 .523 .53352 .52012 .5252 Metetra
.641 .723 .907 r
.52012 .5252 .523 .53352 .52909 .53085 .52622 .52251 Metetra
.632 .719 .91 r
.52622 .52251 .52909 .53085 .53518 .52854 .53233 .52019 Metetra
.623 .715 .912 r
.53233 .52019 .53518 .52854 .54129 .52658 .53845 .51821 Metetra
.614 .711 .914 r
.53845 .51821 .54129 .52658 .54742 .52495 .54458 .51658 Metetra
.605 .707 .916 r
.54458 .51658 .54742 .52495 .55355 .52366 .55073 .51527 Metetra
.596 .703 .918 r
.55073 .51527 .55355 .52366 .55971 .52268 .55689 .51428 Metetra
.587 .699 .92 r
.55689 .51428 .55971 .52268 .56587 .52201 .56306 .5136 Metetra
.578 .694 .921 r
.56306 .5136 .56587 .52201 .57205 .52164 .56925 .51322 Metetra
.569 .69 .922 r
.56925 .51322 .57205 .52164 .57824 .52155 .57545 .51312 Metetra
.56 .686 .924 r
.57545 .51312 .57824 .52155 .58445 .52175 .58167 .51331 Metetra
.552 .682 .925 r
.58167 .51331 .58445 .52175 .59067 .52221 .5879 .51376 Metetra
.543 .677 .926 r
.5879 .51376 .59067 .52221 .5969 .52292 .59415 .51447 Metetra
.535 .673 .926 r
.59415 .51447 .5969 .52292 .60316 .52388 .60041 .51542 Metetra
.527 .669 .927 r
.60041 .51542 .60316 .52388 .60942 .52507 .60669 .5166 Metetra
.519 .665 .928 r
.60669 .5166 .60942 .52507 .61571 .52648 .61298 .518 Metetra
.512 .661 .928 r
.61298 .518 .61571 .52648 .622 .5281 .61929 .51961 Metetra
.505 .657 .929 r
.61929 .51961 .622 .5281 .62832 .52991 .62561 .52142 Metetra
.498 .654 .929 r
.62561 .52142 .62832 .52991 .63465 .53191 .63195 .52341 Metetra
.492 .65 .929 r
.63195 .52341 .63465 .53191 .64099 .53408 .63831 .52558 Metetra
.486 .647 .929 r
.63831 .52558 .64099 .53408 .64735 .53641 .64468 .5279 Metetra
.48 .644 .929 r
.64468 .5279 .64735 .53641 .65373 .53888 .65107 .53037 Metetra
.475 .641 .929 r
.65107 .53037 .65373 .53888 .66013 .54149 .65747 .53297 Metetra
.471 .639 .929 r
.65747 .53297 .66013 .54149 .66654 .54422 .66389 .5357 Metetra
.467 .637 .929 r
.66389 .5357 .66654 .54422 .67296 .54705 .67033 .53853 Metetra
.463 .635 .929 r
.67033 .53853 .67296 .54705 .67941 .54998 .67678 .54145 Metetra
.46 .633 .929 r
.67678 .54145 .67941 .54998 .68587 .55299 .68326 .54445 Metetra
.458 .632 .929 r
.68326 .54445 .68587 .55299 .69234 .55606 .68974 .54752 Metetra
.456 .631 .929 r
.68974 .54752 .69234 .55606 .69884 .55919 .69625 .55065 Metetra
.455 .63 .929 r
.69625 .55065 .69884 .55919 .70535 .56236 .70277 .55381 Metetra
.454 .63 .929 r
.70277 .55381 .70535 .56236 .71187 .56555 .70931 .557 Metetra
.454 .63 .929 r
.70931 .557 .71187 .56555 .71842 .56875 .71586 .56019 Metetra
.455 .63 .929 r
.71586 .56019 .71842 .56875 .72498 .57195 .72243 .56339 Metetra
.456 .63 .929 r
.72243 .56339 .72498 .57195 .73155 .57513 .72902 .56657 Metetra
.457 .631 .929 r
.72902 .56657 .73155 .57513 .73815 .57828 .73562 .56971 Metetra
.459 .632 .929 r
.73562 .56971 .73815 .57828 .74476 .58139 .74224 .57281 Metetra
.462 .634 .929 r
.74224 .57281 .74476 .58139 .75138 .58443 .74888 .57585 Metetra
.465 .636 .929 r
.74888 .57585 .75138 .58443 .75803 .5874 .75554 .57882 Metetra
.469 .638 .929 r
.75554 .57882 .75803 .5874 .76468 .59028 .76221 .5817 Metetra
.473 .64 .929 r
.76221 .5817 .76468 .59028 .77136 .59306 .76889 .58447 Metetra
.477 .643 .929 r
.76889 .58447 .77136 .59306 .77805 .59572 .77559 .58713 Metetra
.482 .646 .93 r
.77559 .58713 .77805 .59572 .78475 .59825 .78231 .58965 Metetra
.488 .649 .93 r
.78231 .58965 .78475 .59825 .79148 .60064 .78904 .59203 Metetra
.494 .652 .93 r
.78904 .59203 .79148 .60064 .79821 .60286 .79579 .59425 Metetra
.5 .656 .93 r
.79579 .59425 .79821 .60286 .80496 .60491 .80256 .59629 Metetra
.506 .66 .929 r
.80256 .59629 .80496 .60491 .81173 .60677 .80934 .59814 Metetra
.513 .664 .929 r
.80934 .59814 .81173 .60677 .81851 .60842 .81613 .59979 Metetra
.521 .668 .929 r
.81613 .59979 .81851 .60842 .82531 .60986 .82294 .60122 Metetra
.528 .672 .929 r
.82294 .60122 .82531 .60986 .83212 .61106 .82976 .60242 Metetra
.536 .676 .928 r
.82976 .60242 .83212 .61106 .83895 .61203 .8366 .60337 Metetra
.544 .681 .928 r
.8366 .60337 .83895 .61203 .84578 .61273 .84345 .60406 Metetra
.552 .685 .927 r
.84345 .60406 .84578 .61273 .85264 .61316 .85031 .60448 Metetra
.56 .69 .927 r
.85031 .60448 .85264 .61316 .8595 .6133 .85719 .60461 Metetra
.569 .694 .926 r
.85719 .60461 .8595 .6133 .86638 .61314 .86408 .60444 Metetra
.577 .699 .925 r
.86408 .60444 .86638 .61314 .87327 .61267 .87099 .60396 Metetra
.586 .704 .924 r
.87099 .60396 .87327 .61267 .88017 .61187 .8779 .60315 Metetra
.595 .709 .923 r
.8779 .60315 .88017 .61187 .88709 .61073 .88483 .602 Metetra
.604 .713 .922 r
.88483 .602 .88709 .61073 .89401 .60924 .89177 .60049 Metetra
.612 .718 .92 r
.89177 .60049 .89401 .60924 .90095 .60738 .89872 .59862 Metetra
.621 .723 .919 r
.89872 .59862 .90095 .60738 .9079 .60514 .90568 .59637 Metetra
.63 .727 .917 r
.90568 .59637 .9079 .60514 .91486 .60252 .91265 .59373 Metetra
.639 .732 .916 r
.91265 .59373 .91486 .60252 .92182 .59949 .91963 .59069 Metetra
.648 .737 .914 r
.91963 .59069 .92182 .59949 .9288 .59605 .92662 .58723 Metetra
.657 .741 .912 r
.92662 .58723 .9288 .59605 .93579 .59219 .93362 .58335 Metetra
.665 .745 .91 r
.93362 .58335 .93579 .59219 .94278 .58789 .94063 .57902 Metetra
.674 .75 .908 r
.94063 .57902 .94278 .58789 .94979 .58314 .94765 .57426 Metetra
.682 .754 .906 r
.94765 .57426 .94979 .58314 .9568 .57793 .95468 .56903 Metetra
.691 .758 .903 r
.95468 .56903 .9568 .57793 .96382 .57225 .96171 .56333 Metetra
.826 .776 .805 r
.32659 .8341 .3298 .84143 .33566 .82399 .33246 .81662 Metetra
.823 .776 .808 r
.33246 .81662 .33566 .82399 .34153 .80706 .33834 .79965 Metetra
.82 .776 .811 r
.33834 .79965 .34153 .80706 .3474 .79065 .34422 .7832 Metetra
.817 .776 .814 r
.34422 .7832 .3474 .79065 .35327 .77474 .3501 .76726 Metetra
.814 .776 .817 r
.3501 .76726 .35327 .77474 .35915 .75936 .35599 .75183 Metetra
.81 .775 .82 r
.35599 .75183 .35915 .75936 .36503 .74448 .36188 .73692 Metetra
.807 .775 .823 r
.36188 .73692 .36503 .74448 .37091 .73011 .36777 .72252 Metetra
.803 .774 .827 r
.36777 .72252 .37091 .73011 .37679 .71624 .37366 .70862 Metetra
.799 .774 .83 r
.37366 .70862 .37679 .71624 .38268 .70288 .37956 .69523 Metetra
.795 .773 .833 r
.37956 .69523 .38268 .70288 .38858 .69003 .38547 .68234 Metetra
.791 .773 .837 r
.38547 .68234 .38858 .69003 .39448 .67767 .39138 .66995 Metetra
.786 .772 .84 r
.39138 .66995 .39448 .67767 .40038 .6658 .39729 .65806 Metetra
.781 .771 .843 r
.39729 .65806 .40038 .6658 .40629 .65443 .40321 .64665 Metetra
.776 .77 .847 r
.40321 .64665 .40629 .65443 .41221 .64355 .40914 .63574 Metetra
.771 .769 .851 r
.40914 .63574 .41221 .64355 .41813 .63315 .41507 .62531 Metetra
.766 .768 .854 r
.41507 .62531 .41813 .63315 .42406 .62323 .42101 .61537 Metetra
.76 .766 .858 r
.42101 .61537 .42406 .62323 .43 .61378 .42696 .6059 Metetra
.755 .765 .861 r
.42696 .6059 .43 .61378 .43594 .60481 .43291 .5969 Metetra
.748 .763 .865 r
.43291 .5969 .43594 .60481 .44189 .5963 .43887 .58836 Metetra
.742 .762 .868 r
.43887 .58836 .44189 .5963 .44785 .58825 .44484 .58029 Metetra
.736 .76 .872 r
.44484 .58029 .44785 .58825 .45382 .58065 .45082 .57267 Metetra
.729 .758 .876 r
.45082 .57267 .45382 .58065 .4598 .5735 .45681 .5655 Metetra
.722 .756 .879 r
.45681 .5655 .4598 .5735 .46578 .5668 .46281 .55878 Metetra
.715 .753 .883 r
.46281 .55878 .46578 .5668 .47178 .56053 .46881 .55249 Metetra
.707 .751 .886 r
.46881 .55249 .47178 .56053 .47779 .55469 .47483 .54663 Metetra
.7 .748 .889 r
.47483 .54663 .47779 .55469 .4838 .54927 .48085 .54119 Metetra
.692 .746 .893 r
.48085 .54119 .4838 .54927 .48983 .54427 .48689 .53617 Metetra
.684 .743 .896 r
.48689 .53617 .48983 .54427 .49586 .53967 .49294 .53155 Metetra
.676 .74 .899 r
.49294 .53155 .49586 .53967 .50191 .53547 .49899 .52734 Metetra
.667 .736 .902 r
.49899 .52734 .50191 .53547 .50797 .53167 .50506 .52352 Metetra
.658 .733 .905 r
.50506 .52352 .50797 .53167 .51404 .52824 .51114 .52008 Metetra
.65 .73 .907 r
.51114 .52008 .51404 .52824 .52012 .5252 .51724 .51702 Metetra
.641 .726 .91 r
.51724 .51702 .52012 .5252 .52622 .52251 .52334 .51432 Metetra
.632 .722 .913 r
.52334 .51432 .52622 .52251 .53233 .52019 .52946 .51198 Metetra
.623 .718 .915 r
.52946 .51198 .53233 .52019 .53845 .51821 .53559 .50999 Metetra
.613 .714 .917 r
.53559 .50999 .53845 .51821 .54458 .51658 .54173 .50834 Metetra
.604 .71 .919 r
.54173 .50834 .54458 .51658 .55073 .51527 .54789 .50702 Metetra
.595 .706 .921 r
.54789 .50702 .55073 .51527 .55689 .51428 .55406 .50602 Metetra
.586 .702 .923 r
.55406 .50602 .55689 .51428 .56306 .5136 .56024 .50533 Metetra
.576 .697 .924 r
.56024 .50533 .56306 .5136 .56925 .51322 .56644 .50494 Metetra
.567 .693 .926 r
.56644 .50494 .56925 .51322 .57545 .51312 .57265 .50484 Metetra
.558 .689 .927 r
.57265 .50484 .57545 .51312 .58167 .51331 .57888 .50501 Metetra
.549 .684 .928 r
.57888 .50501 .58167 .51331 .5879 .51376 .58512 .50546 Metetra
.541 .68 .929 r
.58512 .50546 .5879 .51376 .59415 .51447 .59138 .50615 Metetra
.532 .676 .93 r
.59138 .50615 .59415 .51447 .60041 .51542 .59765 .5071 Metetra
.524 .672 .93 r
.59765 .5071 .60041 .51542 .60669 .5166 .60394 .50827 Metetra
.516 .667 .931 r
.60394 .50827 .60669 .5166 .61298 .518 .61024 .50967 Metetra
.508 .663 .931 r
.61024 .50967 .61298 .518 .61929 .51961 .61656 .51127 Metetra
.501 .66 .932 r
.61656 .51127 .61929 .51961 .62561 .52142 .62289 .51307 Metetra
.494 .656 .932 r
.62289 .51307 .62561 .52142 .63195 .52341 .62924 .51506 Metetra
.488 .652 .932 r
.62924 .51506 .63195 .52341 .63831 .52558 .63561 .51722 Metetra
.481 .649 .932 r
.63561 .51722 .63831 .52558 .64468 .5279 .64199 .51954 Metetra
.476 .646 .932 r
.64199 .51954 .64468 .5279 .65107 .53037 .64839 .522 Metetra
.471 .643 .932 r
.64839 .522 .65107 .53037 .65747 .53297 .65481 .5246 Metetra
.466 .641 .932 r
.65481 .5246 .65747 .53297 .66389 .5357 .66124 .52732 Metetra
.462 .638 .932 r
.66124 .52732 .66389 .5357 .67033 .53853 .66769 .53014 Metetra
.458 .636 .932 r
.66769 .53014 .67033 .53853 .67678 .54145 .67415 .53306 Metetra
.456 .635 .932 r
.67415 .53306 .67678 .54145 .68326 .54445 .68063 .53606 Metetra
.453 .633 .932 r
.68063 .53606 .68326 .54445 .68974 .54752 .68713 .53913 Metetra
.451 .632 .932 r
.68713 .53913 .68974 .54752 .69625 .55065 .69365 .54225 Metetra
.45 .632 .932 r
.69365 .54225 .69625 .55065 .70277 .55381 .70018 .54541 Metetra
.449 .631 .932 r
.70018 .54541 .70277 .55381 .70931 .557 .70673 .54859 Metetra
.449 .631 .932 r
.70673 .54859 .70931 .557 .71586 .56019 .71329 .55179 Metetra
.45 .631 .932 r
.71329 .55179 .71586 .56019 .72243 .56339 .71987 .55498 Metetra
.451 .632 .932 r
.71987 .55498 .72243 .56339 .72902 .56657 .72647 .55815 Metetra
.452 .633 .932 r
.72647 .55815 .72902 .56657 .73562 .56971 .73309 .56129 Metetra
.454 .634 .932 r
.73309 .56129 .73562 .56971 .74224 .57281 .73972 .56439 Metetra
.457 .636 .932 r
.73972 .56439 .74224 .57281 .74888 .57585 .74637 .56743 Metetra
.46 .638 .932 r
.74637 .56743 .74888 .57585 .75554 .57882 .75304 .57039 Metetra
.464 .64 .932 r
.75304 .57039 .75554 .57882 .76221 .5817 .75972 .57326 Metetra
.468 .642 .933 r
.75972 .57326 .76221 .5817 .76889 .58447 .76641 .57603 Metetra
.473 .645 .933 r
.76641 .57603 .76889 .58447 .77559 .58713 .77313 .57868 Metetra
.478 .648 .933 r
.77313 .57868 .77559 .58713 .78231 .58965 .77986 .5812 Metetra
.484 .651 .933 r
.77986 .5812 .78231 .58965 .78904 .59203 .7866 .58357 Metetra
.49 .654 .933 r
.7866 .58357 .78904 .59203 .79579 .59425 .79336 .58578 Metetra
.496 .658 .933 r
.79336 .58578 .79579 .59425 .80256 .59629 .80014 .58782 Metetra
.503 .662 .933 r
.80014 .58782 .80256 .59629 .80934 .59814 .80693 .58966 Metetra
.51 .666 .932 r
.80693 .58966 .80934 .59814 .81613 .59979 .81374 .59131 Metetra
.517 .67 .932 r
.81374 .59131 .81613 .59979 .82294 .60122 .82056 .59273 Metetra
.525 .674 .932 r
.82056 .59273 .82294 .60122 .82976 .60242 .82739 .59392 Metetra
.533 .679 .932 r
.82739 .59392 .82976 .60242 .8366 .60337 .83424 .59486 Metetra
.541 .683 .931 r
.83424 .59486 .8366 .60337 .84345 .60406 .84111 .59555 Metetra
.549 .688 .931 r
.84111 .59555 .84345 .60406 .85031 .60448 .84798 .59596 Metetra
.558 .693 .93 r
.84798 .59596 .85031 .60448 .85719 .60461 .85487 .59608 Metetra
.567 .697 .929 r
.85487 .59608 .85719 .60461 .86408 .60444 .86178 .5959 Metetra
.575 .702 .928 r
.86178 .5959 .86408 .60444 .87099 .60396 .86869 .5954 Metetra
.584 .707 .927 r
.86869 .5954 .87099 .60396 .8779 .60315 .87562 .59458 Metetra
.593 .712 .926 r
.87562 .59458 .8779 .60315 .88483 .602 .88256 .59342 Metetra
.602 .717 .925 r
.88256 .59342 .88483 .602 .89177 .60049 .88951 .5919 Metetra
.611 .721 .924 r
.88951 .5919 .89177 .60049 .89872 .59862 .89648 .59001 Metetra
.62 .726 .922 r
.89648 .59001 .89872 .59862 .90568 .59637 .90345 .58775 Metetra
.629 .731 .921 r
.90345 .58775 .90568 .59637 .91265 .59373 .91044 .58509 Metetra
.638 .736 .919 r
.91044 .58509 .91265 .59373 .91963 .59069 .91743 .58203 Metetra
.647 .74 .917 r
.91743 .58203 .91963 .59069 .92662 .58723 .92444 .57856 Metetra
.656 .745 .915 r
.92444 .57856 .92662 .58723 .93362 .58335 .93145 .57466 Metetra
.665 .749 .913 r
.93145 .57466 .93362 .58335 .94063 .57902 .93847 .57032 Metetra
.674 .754 .911 r
.93847 .57032 .94063 .57902 .94765 .57426 .9455 .56553 Metetra
.682 .758 .908 r
.9455 .56553 .94765 .57426 .95468 .56903 .95254 .56028 Metetra
.691 .762 .906 r
.95254 .56028 .95468 .56903 .96171 .56333 .95959 .55456 Metetra
.828 .779 .806 r
.32336 .82691 .32659 .8341 .33246 .81662 .32925 .80939 Metetra
.825 .779 .809 r
.32925 .80939 .33246 .81662 .33834 .79965 .33513 .79238 Metetra
.822 .779 .812 r
.33513 .79238 .33834 .79965 .34422 .7832 .34102 .77589 Metetra
.819 .778 .815 r
.34102 .77589 .34422 .7832 .3501 .76726 .34692 .75992 Metetra
.815 .778 .818 r
.34692 .75992 .3501 .76726 .35599 .75183 .35281 .74446 Metetra
.812 .778 .821 r
.35281 .74446 .35599 .75183 .36188 .73692 .35871 .72951 Metetra
.808 .778 .824 r
.35871 .72951 .36188 .73692 .36777 .72252 .36461 .71507 Metetra
.804 .777 .828 r
.36461 .71507 .36777 .72252 .37366 .70862 .37052 .70114 Metetra
.801 .777 .831 r
.37052 .70114 .37366 .70862 .37956 .69523 .37643 .68772 Metetra
.796 .776 .834 r
.37643 .68772 .37956 .69523 .38547 .68234 .38235 .6748 Metetra
.792 .775 .838 r
.38235 .6748 .38547 .68234 .39138 .66995 .38827 .66238 Metetra
.787 .775 .841 r
.38827 .66238 .39138 .66995 .39729 .65806 .39419 .65045 Metetra
.783 .774 .845 r
.39419 .65045 .39729 .65806 .40321 .64665 .40012 .63902 Metetra
.778 .773 .848 r
.40012 .63902 .40321 .64665 .40914 .63574 .40606 .62808 Metetra
.773 .772 .852 r
.40606 .62808 .40914 .63574 .41507 .62531 .412 .61763 Metetra
.767 .771 .856 r
.412 .61763 .41507 .62531 .42101 .61537 .41795 .60765 Metetra
.762 .769 .859 r
.41795 .60765 .42101 .61537 .42696 .6059 .42391 .59816 Metetra
.756 .768 .863 r
.42391 .59816 .42696 .6059 .43291 .5969 .42987 .58913 Metetra
.75 .767 .867 r
.42987 .58913 .43291 .5969 .43887 .58836 .43584 .58057 Metetra
.743 .765 .87 r
.43584 .58057 .43887 .58836 .44484 .58029 .44182 .57248 Metetra
.737 .763 .874 r
.44182 .57248 .44484 .58029 .45082 .57267 .44781 .56484 Metetra
.73 .761 .878 r
.44781 .56484 .45082 .57267 .45681 .5655 .45381 .55764 Metetra
.723 .759 .881 r
.45381 .55764 .45681 .5655 .46281 .55878 .45982 .5509 Metetra
.716 .757 .885 r
.45982 .5509 .46281 .55878 .46881 .55249 .46583 .54459 Metetra
.708 .754 .888 r
.46583 .54459 .46881 .55249 .47483 .54663 .47186 .53871 Metetra
.7 .752 .892 r
.47186 .53871 .47483 .54663 .48085 .54119 .47789 .53325 Metetra
.692 .749 .895 r
.47789 .53325 .48085 .54119 .48689 .53617 .48394 .52821 Metetra
.684 .746 .898 r
.48394 .52821 .48689 .53617 .49294 .53155 .48999 .52358 Metetra
.676 .743 .902 r
.48999 .52358 .49294 .53155 .49899 .52734 .49606 .51935 Metetra
.667 .74 .905 r
.49606 .51935 .49899 .52734 .50506 .52352 .50214 .51551 Metetra
.658 .737 .908 r
.50214 .51551 .50506 .52352 .51114 .52008 .50823 .51206 Metetra
.649 .733 .91 r
.50823 .51206 .51114 .52008 .51724 .51702 .51433 .50898 Metetra
.64 .729 .913 r
.51433 .50898 .51724 .51702 .52334 .51432 .52045 .50627 Metetra
.631 .726 .916 r
.52045 .50627 .52334 .51432 .52946 .51198 .52658 .50392 Metetra
.622 .722 .918 r
.52658 .50392 .52946 .51198 .53559 .50999 .53272 .50192 Metetra
.612 .718 .92 r
.53272 .50192 .53559 .50999 .54173 .50834 .53887 .50026 Metetra
.603 .713 .922 r
.53887 .50026 .54173 .50834 .54789 .50702 .54504 .49892 Metetra
.593 .709 .924 r
.54504 .49892 .54789 .50702 .55406 .50602 .55122 .49791 Metetra
.584 .705 .926 r
.55122 .49791 .55406 .50602 .56024 .50533 .55741 .49721 Metetra
.574 .7 .928 r
.55741 .49721 .56024 .50533 .56644 .50494 .56362 .49681 Metetra
.565 .696 .929 r
.56362 .49681 .56644 .50494 .57265 .50484 .56984 .4967 Metetra
.556 .692 .93 r
.56984 .4967 .57265 .50484 .57888 .50501 .57608 .49686 Metetra
.547 .687 .931 r
.57608 .49686 .57888 .50501 .58512 .50546 .58233 .4973 Metetra
.538 .683 .932 r
.58233 .4973 .58512 .50546 .59138 .50615 .5886 .49799 Metetra
.529 .678 .933 r
.5886 .49799 .59138 .50615 .59765 .5071 .59488 .49892 Metetra
.521 .674 .934 r
.59488 .49892 .59765 .5071 .60394 .50827 .60118 .50009 Metetra
.512 .67 .934 r
.60118 .50009 .60394 .50827 .61024 .50967 .60749 .50148 Metetra
.505 .666 .935 r
.60749 .50148 .61024 .50967 .61656 .51127 .61382 .50308 Metetra
.497 .662 .935 r
.61382 .50308 .61656 .51127 .62289 .51307 .62016 .50487 Metetra
.49 .658 .935 r
.62016 .50487 .62289 .51307 .62924 .51506 .62653 .50685 Metetra
.483 .654 .935 r
.62653 .50685 .62924 .51506 .63561 .51722 .6329 .50901 Metetra
.477 .651 .935 r
.6329 .50901 .63561 .51722 .64199 .51954 .6393 .51132 Metetra
.471 .648 .935 r
.6393 .51132 .64199 .51954 .64839 .522 .6457 .51378 Metetra
.466 .645 .935 r
.6457 .51378 .64839 .522 .65481 .5246 .65213 .51637 Metetra
.461 .642 .935 r
.65213 .51637 .65481 .5246 .66124 .52732 .65857 .51909 Metetra
.457 .64 .935 r
.65857 .51909 .66124 .52732 .66769 .53014 .66503 .52191 Metetra
.453 .638 .935 r
.66503 .52191 .66769 .53014 .67415 .53306 .67151 .52482 Metetra
.45 .636 .935 r
.67151 .52482 .67415 .53306 .68063 .53606 .678 .52782 Metetra
.448 .635 .935 r
.678 .52782 .68063 .53606 .68713 .53913 .68451 .53088 Metetra
.446 .634 .935 r
.68451 .53088 .68713 .53913 .69365 .54225 .69104 .534 Metetra
.445 .633 .935 r
.69104 .534 .69365 .54225 .70018 .54541 .69758 .53715 Metetra
.444 .633 .935 r
.69758 .53715 .70018 .54541 .70673 .54859 .70414 .54033 Metetra
.444 .633 .935 r
.70414 .54033 .70673 .54859 .71329 .55179 .71072 .54352 Metetra
.444 .633 .935 r
.71072 .54352 .71329 .55179 .71987 .55498 .71731 .54671 Metetra
.445 .633 .935 r
.71731 .54671 .71987 .55498 .72647 .55815 .72392 .54988 Metetra
.447 .634 .935 r
.72392 .54988 .72647 .55815 .73309 .56129 .73055 .55302 Metetra
.449 .636 .935 r
.73055 .55302 .73309 .56129 .73972 .56439 .73719 .55611 Metetra
.452 .637 .935 r
.73719 .55611 .73972 .56439 .74637 .56743 .74385 .55915 Metetra
.455 .639 .935 r
.74385 .55915 .74637 .56743 .75304 .57039 .75053 .5621 Metetra
.459 .641 .935 r
.75053 .5621 .75304 .57039 .75972 .57326 .75722 .56497 Metetra
.464 .644 .936 r
.75722 .56497 .75972 .57326 .76641 .57603 .76393 .56774 Metetra
.468 .647 .936 r
.76393 .56774 .76641 .57603 .77313 .57868 .77065 .57038 Metetra
.474 .65 .936 r
.77065 .57038 .77313 .57868 .77986 .5812 .7774 .5729 Metetra
.479 .653 .936 r
.7774 .5729 .77986 .5812 .7866 .58357 .78415 .57527 Metetra
.486 .657 .936 r
.78415 .57527 .7866 .58357 .79336 .58578 .79093 .57747 Metetra
.492 .66 .936 r
.79093 .57747 .79336 .58578 .80014 .58782 .79771 .5795 Metetra
.499 .664 .936 r
.79771 .5795 .80014 .58782 .80693 .58966 .80452 .58134 Metetra
.506 .668 .936 r
.80452 .58134 .80693 .58966 .81374 .59131 .81134 .58297 Metetra
.514 .673 .936 r
.81134 .58297 .81374 .59131 .82056 .59273 .81817 .58439 Metetra
.522 .677 .935 r
.81817 .58439 .82056 .59273 .82739 .59392 .82502 .58557 Metetra
.53 .681 .935 r
.82502 .58557 .82739 .59392 .83424 .59486 .83188 .58651 Metetra
.538 .686 .934 r
.83188 .58651 .83424 .59486 .84111 .59555 .83875 .58718 Metetra
.547 .691 .934 r
.83875 .58718 .84111 .59555 .84798 .59596 .84564 .58758 Metetra
.555 .696 .933 r
.84564 .58758 .84798 .59596 .85487 .59608 .85255 .5877 Metetra
.564 .7 .933 r
.85255 .5877 .85487 .59608 .86178 .5959 .85946 .58751 Metetra
.573 .705 .932 r
.85946 .58751 .86178 .5959 .86869 .5954 .86639 .587 Metetra
.582 .71 .931 r
.86639 .587 .86869 .5954 .87562 .59458 .87333 .58617 Metetra
.592 .715 .93 r
.87333 .58617 .87562 .59458 .88256 .59342 .88029 .58499 Metetra
.601 .72 .928 r
.88029 .58499 .88256 .59342 .88951 .5919 .88725 .58346 Metetra
.61 .725 .927 r
.88725 .58346 .88951 .5919 .89648 .59001 .89423 .58156 Metetra
.619 .73 .925 r
.89423 .58156 .89648 .59001 .90345 .58775 .90122 .57928 Metetra
.628 .735 .924 r
.90122 .57928 .90345 .58775 .91044 .58509 .90822 .57661 Metetra
.638 .739 .922 r
.90822 .57661 .91044 .58509 .91743 .58203 .91522 .57353 Metetra
.647 .744 .92 r
.91522 .57353 .91743 .58203 .92444 .57856 .92224 .57004 Metetra
.656 .749 .918 r
.92224 .57004 .92444 .57856 .93145 .57466 .92927 .56612 Metetra
.665 .753 .916 r
.92927 .56612 .93145 .57466 .93847 .57032 .93631 .56176 Metetra
.674 .757 .914 r
.93631 .56176 .93847 .57032 .9455 .56553 .94335 .55695 Metetra
.683 .762 .911 r
.94335 .55695 .9455 .56553 .95254 .56028 .95041 .55168 Metetra
.691 .766 .909 r
.95041 .55168 .95254 .56028 .95959 .55456 .95747 .54594 Metetra
.829 .781 .807 r
.32012 .81987 .32336 .82691 .32925 .80939 .32602 .80231 Metetra
.826 .781 .81 r
.32602 .80231 .32925 .80939 .33513 .79238 .33191 .78527 Metetra
.823 .781 .813 r
.33191 .78527 .33513 .79238 .34102 .77589 .33782 .76874 Metetra
.82 .781 .816 r
.33782 .76874 .34102 .77589 .34692 .75992 .34372 .75273 Metetra
.817 .781 .819 r
.34372 .75273 .34692 .75992 .35281 .74446 .34962 .73723 Metetra
.813 .781 .822 r
.34962 .73723 .35281 .74446 .35871 .72951 .35553 .72224 Metetra
.81 .78 .825 r
.35553 .72224 .35871 .72951 .36461 .71507 .36145 .70777 Metetra
.806 .78 .829 r
.36145 .70777 .36461 .71507 .37052 .70114 .36736 .69381 Metetra
.802 .779 .832 r
.36736 .69381 .37052 .70114 .37643 .68772 .37328 .68035 Metetra
.798 .779 .836 r
.37328 .68035 .37643 .68772 .38235 .6748 .37921 .6674 Metetra
.793 .778 .839 r
.37921 .6674 .38235 .6748 .38827 .66238 .38514 .65495 Metetra
.789 .778 .843 r
.38514 .65495 .38827 .66238 .39419 .65045 .39107 .64299 Metetra
.784 .777 .846 r
.39107 .64299 .39419 .65045 .40012 .63902 .39702 .63153 Metetra
.779 .776 .85 r
.39702 .63153 .40012 .63902 .40606 .62808 .40296 .62056 Metetra
.774 .775 .854 r
.40296 .62056 .40606 .62808 .412 .61763 .40892 .61008 Metetra
.768 .774 .857 r
.40892 .61008 .412 .61763 .41795 .60765 .41488 .60008 Metetra
.763 .773 .861 r
.41488 .60008 .41795 .60765 .42391 .59816 .42084 .59056 Metetra
.757 .771 .865 r
.42084 .59056 .42391 .59816 .42987 .58913 .42682 .58151 Metetra
.751 .77 .869 r
.42682 .58151 .42987 .58913 .43584 .58057 .4328 .57293 Metetra
.744 .768 .872 r
.4328 .57293 .43584 .58057 .44182 .57248 .43879 .56481 Metetra
.738 .766 .876 r
.43879 .56481 .44182 .57248 .44781 .56484 .44479 .55714 Metetra
.731 .765 .88 r
.44479 .55714 .44781 .56484 .45381 .55764 .4508 .54993 Metetra
.724 .763 .884 r
.4508 .54993 .45381 .55764 .45982 .5509 .45681 .54316 Metetra
.716 .76 .887 r
.45681 .54316 .45982 .5509 .46583 .54459 .46284 .53683 Metetra
.709 .758 .891 r
.46284 .53683 .46583 .54459 .47186 .53871 .46887 .53093 Metetra
.701 .755 .894 r
.46887 .53093 .47186 .53871 .47789 .53325 .47492 .52546 Metetra
.693 .753 .898 r
.47492 .52546 .47789 .53325 .48394 .52821 .48097 .5204 Metetra
.684 .75 .901 r
.48097 .5204 .48394 .52821 .48999 .52358 .48704 .51575 Metetra
.676 .747 .904 r
.48704 .51575 .48999 .52358 .49606 .51935 .49312 .5115 Metetra
.667 .744 .907 r
.49312 .5115 .49606 .51935 .50214 .51551 .49921 .50765 Metetra
.658 .74 .91 r
.49921 .50765 .50214 .51551 .50823 .51206 .50531 .50418 Metetra
.649 .737 .913 r
.50531 .50418 .50823 .51206 .51433 .50898 .51142 .50109 Metetra
.64 .733 .916 r
.51142 .50109 .51433 .50898 .52045 .50627 .51755 .49837 Metetra
.63 .729 .919 r
.51755 .49837 .52045 .50627 .52658 .50392 .52368 .496 Metetra
.621 .725 .921 r
.52368 .496 .52658 .50392 .53272 .50192 .52983 .49399 Metetra
.611 .721 .923 r
.52983 .49399 .53272 .50192 .53887 .50026 .536 .49231 Metetra
.601 .717 .926 r
.536 .49231 .53887 .50026 .54504 .49892 .54217 .49097 Metetra
.592 .712 .927 r
.54217 .49097 .54504 .49892 .55122 .49791 .54837 .48995 Metetra
.582 .708 .929 r
.54837 .48995 .55122 .49791 .55741 .49721 .55457 .48924 Metetra
.572 .704 .931 r
.55457 .48924 .55741 .49721 .56362 .49681 .56079 .48882 Metetra
.563 .699 .932 r
.56079 .48882 .56362 .49681 .56984 .4967 .56702 .4887 Metetra
.553 .694 .933 r
.56702 .4887 .56984 .4967 .57608 .49686 .57327 .48886 Metetra
.544 .69 .935 r
.57327 .48886 .57608 .49686 .58233 .4973 .57953 .48929 Metetra
.535 .685 .936 r
.57953 .48929 .58233 .4973 .5886 .49799 .58581 .48997 Metetra
.526 .681 .936 r
.58581 .48997 .5886 .49799 .59488 .49892 .5921 .4909 Metetra
.517 .677 .937 r
.5921 .4909 .59488 .49892 .60118 .50009 .59841 .49206 Metetra
.509 .672 .937 r
.59841 .49206 .60118 .50009 .60749 .50148 .60473 .49344 Metetra
.501 .668 .938 r
.60473 .49344 .60749 .50148 .61382 .50308 .61107 .49503 Metetra
.493 .664 .938 r
.61107 .49503 .61382 .50308 .62016 .50487 .61743 .49682 Metetra
.486 .66 .938 r
.61743 .49682 .62016 .50487 .62653 .50685 .6238 .4988 Metetra
.479 .656 .938 r
.6238 .4988 .62653 .50685 .6329 .50901 .63018 .50094 Metetra
.472 .653 .939 r
.63018 .50094 .6329 .50901 .6393 .51132 .63659 .50325 Metetra
.467 .65 .939 r
.63659 .50325 .6393 .51132 .6457 .51378 .64301 .50571 Metetra
.461 .647 .938 r
.64301 .50571 .6457 .51378 .65213 .51637 .64944 .5083 Metetra
.456 .644 .938 r
.64944 .5083 .65213 .51637 .65857 .51909 .6559 .51101 Metetra
.452 .642 .938 r
.6559 .51101 .65857 .51909 .66503 .52191 .66237 .51382 Metetra
.448 .64 .938 r
.66237 .51382 .66503 .52191 .67151 .52482 .66885 .51673 Metetra
.445 .638 .938 r
.66885 .51673 .67151 .52482 .678 .52782 .67536 .51973 Metetra
.443 .636 .938 r
.67536 .51973 .678 .52782 .68451 .53088 .68188 .52279 Metetra
.441 .635 .938 r
.68188 .52279 .68451 .53088 .69104 .534 .68841 .5259 Metetra
.439 .635 .938 r
.68841 .5259 .69104 .534 .69758 .53715 .69497 .52905 Metetra
.438 .634 .938 r
.69497 .52905 .69758 .53715 .70414 .54033 .70154 .53223 Metetra
.438 .634 .938 r
.70154 .53223 .70414 .54033 .71072 .54352 .70813 .53541 Metetra
.439 .634 .938 r
.70813 .53541 .71072 .54352 .71731 .54671 .71473 .5386 Metetra
.44 .635 .938 r
.71473 .5386 .71731 .54671 .72392 .54988 .72135 .54177 Metetra
.442 .636 .938 r
.72135 .54177 .72392 .54988 .73055 .55302 .72799 .5449 Metetra
.444 .637 .938 r
.72799 .5449 .73055 .55302 .73719 .55611 .73465 .54799 Metetra
.447 .639 .938 r
.73465 .54799 .73719 .55611 .74385 .55915 .74132 .55102 Metetra
.45 .641 .938 r
.74132 .55102 .74385 .55915 .75053 .5621 .74801 .55397 Metetra
.454 .643 .939 r
.74801 .55397 .75053 .5621 .75722 .56497 .75471 .55684 Metetra
.459 .646 .939 r
.75471 .55684 .75722 .56497 .76393 .56774 .76143 .5596 Metetra
.463 .649 .939 r
.76143 .5596 .76393 .56774 .77065 .57038 .76817 .56224 Metetra
.469 .652 .939 r
.76817 .56224 .77065 .57038 .7774 .5729 .77492 .56475 Metetra
.475 .655 .939 r
.77492 .56475 .7774 .5729 .78415 .57527 .78169 .56711 Metetra
.481 .659 .939 r
.78169 .56711 .78415 .57527 .79093 .57747 .78848 .56931 Metetra
.488 .662 .939 r
.78848 .56931 .79093 .57747 .79771 .5795 .79528 .57134 Metetra
.495 .666 .939 r
.79528 .57134 .79771 .5795 .80452 .58134 .80209 .57317 Metetra
.502 .671 .939 r
.80209 .57317 .80452 .58134 .81134 .58297 .80892 .5748 Metetra
.51 .675 .939 r
.80892 .5748 .81134 .58297 .81817 .58439 .81577 .57621 Metetra
.518 .68 .939 r
.81577 .57621 .81817 .58439 .82502 .58557 .82263 .57738 Metetra
.527 .684 .938 r
.82263 .57738 .82502 .58557 .83188 .58651 .82951 .57831 Metetra
.535 .689 .938 r
.82951 .57831 .83188 .58651 .83875 .58718 .83639 .57898 Metetra
.544 .694 .937 r
.83639 .57898 .83875 .58718 .84564 .58758 .8433 .57937 Metetra
.553 .699 .937 r
.8433 .57937 .84564 .58758 .85255 .5877 .85021 .57947 Metetra
.562 .704 .936 r
.85021 .57947 .85255 .5877 .85946 .58751 .85714 .57927 Metetra
.571 .709 .935 r
.85714 .57927 .85946 .58751 .86639 .587 .86408 .57875 Metetra
.58 .714 .934 r
.86408 .57875 .86639 .587 .87333 .58617 .87104 .5779 Metetra
.59 .719 .933 r
.87104 .5779 .87333 .58617 .88029 .58499 .87801 .57672 Metetra
.599 .723 .932 r
.87801 .57672 .88029 .58499 .88725 .58346 .88498 .57517 Metetra
.609 .728 .93 r
.88498 .57517 .88725 .58346 .89423 .58156 .89197 .57326 Metetra
.618 .733 .929 r
.89197 .57326 .89423 .58156 .90122 .57928 .89898 .57097 Metetra
.628 .738 .927 r
.89898 .57097 .90122 .57928 .90822 .57661 .90599 .56828 Metetra
.637 .743 .925 r
.90599 .56828 .90822 .57661 .91522 .57353 .91301 .56519 Metetra
.646 .748 .923 r
.91301 .56519 .91522 .57353 .92224 .57004 .92004 .56168 Metetra
.655 .752 .921 r
.92004 .56168 .92224 .57004 .92927 .56612 .92708 .55774 Metetra
.665 .757 .919 r
.92708 .55774 .92927 .56612 .93631 .56176 .93413 .55336 Metetra
.674 .761 .917 r
.93413 .55336 .93631 .56176 .94335 .55695 .94119 .54853 Metetra
.683 .766 .914 r
.94119 .54853 .94335 .55695 .95041 .55168 .94826 .54324 Metetra
.691 .77 .912 r
.94826 .54324 .95041 .55168 .95747 .54594 .95534 .53748 Metetra
.831 .784 .807 r
.31686 .81298 .32012 .81987 .32602 .80231 .32277 .79538 Metetra
.828 .784 .81 r
.32277 .79538 .32602 .80231 .33191 .78527 .32868 .77829 Metetra
.825 .784 .813 r
.32868 .77829 .33191 .78527 .33782 .76874 .33459 .76173 Metetra
.822 .784 .817 r
.33459 .76173 .33782 .76874 .34372 .75273 .3405 .74568 Metetra
.818 .783 .82 r
.3405 .74568 .34372 .75273 .34962 .73723 .34642 .73015 Metetra
.815 .783 .823 r
.34642 .73015 .34962 .73723 .35553 .72224 .35234 .71513 Metetra
.811 .783 .826 r
.35234 .71513 .35553 .72224 .36145 .70777 .35826 .70062 Metetra
.807 .783 .83 r
.35826 .70062 .36145 .70777 .36736 .69381 .36419 .68662 Metetra
.803 .782 .833 r
.36419 .68662 .36736 .69381 .37328 .68035 .37012 .67313 Metetra
.799 .782 .837 r
.37012 .67313 .37328 .68035 .37921 .6674 .37606 .66015 Metetra
.795 .781 .84 r
.37606 .66015 .37921 .6674 .38514 .65495 .382 .64766 Metetra
.79 .781 .844 r
.382 .64766 .38514 .65495 .39107 .64299 .38795 .63568 Metetra
.785 .78 .848 r
.38795 .63568 .39107 .64299 .39702 .63153 .3939 .62419 Metetra
.78 .779 .851 r
.3939 .62419 .39702 .63153 .40296 .62056 .39985 .61319 Metetra
.775 .778 .855 r
.39985 .61319 .40296 .62056 .40892 .61008 .40582 .60268 Metetra
.77 .777 .859 r
.40582 .60268 .40892 .61008 .41488 .60008 .41179 .59266 Metetra
.764 .776 .863 r
.41179 .59266 .41488 .60008 .42084 .59056 .41776 .58311 Metetra
.758 .775 .867 r
.41776 .58311 .42084 .59056 .42682 .58151 .42375 .57403 Metetra
.752 .773 .871 r
.42375 .57403 .42682 .58151 .4328 .57293 .42974 .56543 Metetra
.745 .772 .874 r
.42974 .56543 .4328 .57293 .43879 .56481 .43574 .55728 Metetra
.739 .77 .878 r
.43574 .55728 .43879 .56481 .44479 .55714 .44175 .5496 Metetra
.732 .768 .882 r
.44175 .5496 .44479 .55714 .4508 .54993 .44777 .54236 Metetra
.724 .766 .886 r
.44777 .54236 .4508 .54993 .45681 .54316 .45379 .53557 Metetra
.717 .764 .89 r
.45379 .53557 .45681 .54316 .46284 .53683 .45983 .52922 Metetra
.709 .762 .893 r
.45983 .52922 .46284 .53683 .46887 .53093 .46588 .5233 Metetra
.701 .759 .897 r
.46588 .5233 .46887 .53093 .47492 .52546 .47193 .51781 Metetra
.693 .756 .9 r
.47193 .51781 .47492 .52546 .48097 .5204 .478 .51273 Metetra
.684 .753 .904 r
.478 .51273 .48097 .5204 .48704 .51575 .48407 .50807 Metetra
.676 .75 .907 r
.48407 .50807 .48704 .51575 .49312 .5115 .49016 .5038 Metetra
.667 .747 .91 r
.49016 .5038 .49312 .5115 .49921 .50765 .49626 .49993 Metetra
.658 .744 .913 r
.49626 .49993 .49921 .50765 .50531 .50418 .50237 .49645 Metetra
.648 .74 .916 r
.50237 .49645 .50531 .50418 .51142 .50109 .5085 .49334 Metetra
.639 .736 .919 r
.5085 .49334 .51142 .50109 .51755 .49837 .51463 .49061 Metetra
.629 .733 .922 r
.51463 .49061 .51755 .49837 .52368 .496 .52078 .48823 Metetra
.62 .729 .924 r
.52078 .48823 .52368 .496 .52983 .49399 .52694 .4862 Metetra
.61 .724 .927 r
.52694 .4862 .52983 .49399 .536 .49231 .53311 .48452 Metetra
.6 .72 .929 r
.53311 .48452 .536 .49231 .54217 .49097 .5393 .48316 Metetra
.59 .716 .931 r
.5393 .48316 .54217 .49097 .54837 .48995 .5455 .48213 Metetra
.58 .711 .933 r
.5455 .48213 .54837 .48995 .55457 .48924 .55171 .48141 Metetra
.57 .707 .934 r
.55171 .48141 .55457 .48924 .56079 .48882 .55794 .48099 Metetra
.56 .702 .936 r
.55794 .48099 .56079 .48882 .56702 .4887 .56419 .48086 Metetra
.551 .697 .937 r
.56419 .48086 .56702 .4887 .57327 .48886 .57044 .481 Metetra
.541 .693 .938 r
.57044 .481 .57327 .48886 .57953 .48929 .57672 .48142 Metetra
.532 .688 .939 r
.57672 .48142 .57953 .48929 .58581 .48997 .583 .4821 Metetra
.522 .684 .94 r
.583 .4821 .58581 .48997 .5921 .4909 .58931 .48302 Metetra
.514 .679 .94 r
.58931 .48302 .5921 .4909 .59841 .49206 .59562 .48417 Metetra
.505 .675 .941 r
.59562 .48417 .59841 .49206 .60473 .49344 .60196 .48555 Metetra
.497 .67 .941 r
.60196 .48555 .60473 .49344 .61107 .49503 .60831 .48713 Metetra
.489 .666 .941 r
.60831 .48713 .61107 .49503 .61743 .49682 .61467 .48892 Metetra
.481 .662 .942 r
.61467 .48892 .61743 .49682 .6238 .4988 .62106 .49089 Metetra
.474 .659 .942 r
.62106 .49089 .6238 .4988 .63018 .50094 .62745 .49303 Metetra
.468 .655 .942 r
.62745 .49303 .63018 .50094 .63659 .50325 .63387 .49533 Metetra
.462 .652 .942 r
.63387 .49533 .63659 .50325 .64301 .50571 .6403 .49778 Metetra
.456 .649 .942 r
.6403 .49778 .64301 .50571 .64944 .5083 .64675 .50037 Metetra
.451 .646 .941 r
.64675 .50037 .64944 .5083 .6559 .51101 .65321 .50307 Metetra
.447 .643 .941 r
.65321 .50307 .6559 .51101 .66237 .51382 .65969 .50589 Metetra
.443 .641 .941 r
.65969 .50589 .66237 .51382 .66885 .51673 .66619 .50879 Metetra
.44 .639 .941 r
.66619 .50879 .66885 .51673 .67536 .51973 .6727 .51178 Metetra
.437 .638 .941 r
.6727 .51178 .67536 .51973 .68188 .52279 .67923 .51484 Metetra
.435 .637 .941 r
.67923 .51484 .68188 .52279 .68841 .5259 .68578 .51795 Metetra
.433 .636 .941 r
.68578 .51795 .68841 .5259 .69497 .52905 .69235 .5211 Metetra
.433 .636 .941 r
.69235 .5211 .69497 .52905 .70154 .53223 .69893 .52427 Metetra
.433 .635 .941 r
.69893 .52427 .70154 .53223 .70813 .53541 .70553 .52745 Metetra
.433 .636 .941 r
.70553 .52745 .70813 .53541 .71473 .5386 .71215 .53064 Metetra
.434 .636 .941 r
.71215 .53064 .71473 .5386 .72135 .54177 .71878 .5338 Metetra
.436 .637 .941 r
.71878 .5338 .72135 .54177 .72799 .5449 .72543 .53693 Metetra
.438 .639 .941 r
.72543 .53693 .72799 .5449 .73465 .54799 .73209 .54002 Metetra
.441 .64 .941 r
.73209 .54002 .73465 .54799 .74132 .55102 .73878 .54304 Metetra
.445 .642 .941 r
.73878 .54304 .74132 .55102 .74801 .55397 .74548 .54599 Metetra
.449 .645 .942 r
.74548 .54599 .74801 .55397 .75471 .55684 .75219 .54885 Metetra
.453 .647 .942 r
.75219 .54885 .75471 .55684 .76143 .5596 .75893 .55161 Metetra
.458 .65 .942 r
.75893 .55161 .76143 .5596 .76817 .56224 .76568 .55425 Metetra
.464 .654 .942 r
.76568 .55425 .76817 .56224 .77492 .56475 .77244 .55675 Metetra
.47 .657 .942 r
.77244 .55675 .77492 .56475 .78169 .56711 .77922 .55911 Metetra
.477 .661 .942 r
.77922 .55911 .78169 .56711 .78848 .56931 .78602 .5613 Metetra
.483 .665 .942 r
.78602 .5613 .78848 .56931 .79528 .57134 .79283 .56332 Metetra
.491 .669 .942 r
.79283 .56332 .79528 .57134 .80209 .57317 .79966 .56515 Metetra
.498 .673 .942 r
.79966 .56515 .80209 .57317 .80892 .5748 .8065 .56677 Metetra
.506 .678 .942 r
.8065 .56677 .80892 .5748 .81577 .57621 .81336 .56817 Metetra
.515 .682 .942 r
.81336 .56817 .81577 .57621 .82263 .57738 .82024 .56934 Metetra
.523 .687 .942 r
.82024 .56934 .82263 .57738 .82951 .57831 .82712 .57026 Metetra
.532 .692 .941 r
.82712 .57026 .82951 .57831 .83639 .57898 .83402 .57092 Metetra
.541 .697 .941 r
.83402 .57092 .83639 .57898 .8433 .57937 .84094 .5713 Metetra
.55 .702 .94 r
.84094 .5713 .8433 .57937 .85021 .57947 .84787 .57139 Metetra
.559 .707 .939 r
.84787 .57139 .85021 .57947 .85714 .57927 .85481 .57118 Metetra
.569 .712 .938 r
.85481 .57118 .85714 .57927 .86408 .57875 .86177 .57066 Metetra
.578 .717 .937 r
.86177 .57066 .86408 .57875 .87104 .5779 .86873 .5698 Metetra
.588 .722 .936 r
.86873 .5698 .87104 .5779 .87801 .57672 .87572 .5686 Metetra
.598 .727 .935 r
.87572 .5686 .87801 .57672 .88498 .57517 .88271 .56704 Metetra
.607 .732 .933 r
.88271 .56704 .88498 .57517 .89197 .57326 .88971 .56511 Metetra
.617 .737 .932 r
.88971 .56511 .89197 .57326 .89898 .57097 .89673 .56281 Metetra
.626 .742 .93 r
.89673 .56281 .89898 .57097 .90599 .56828 .90375 .5601 Metetra
.636 .747 .928 r
.90375 .5601 .90599 .56828 .91301 .56519 .91079 .557 Metetra
.646 .752 .926 r
.91079 .557 .91301 .56519 .92004 .56168 .91783 .55347 Metetra
.655 .756 .924 r
.91783 .55347 .92004 .56168 .92708 .55774 .92489 .54951 Metetra
.664 .761 .922 r
.92489 .54951 .92708 .55774 .93413 .55336 .93195 .54512 Metetra
.673 .765 .92 r
.93195 .54512 .93413 .55336 .94119 .54853 .93903 .54027 Metetra
.683 .77 .917 r
.93903 .54027 .94119 .54853 .94826 .54324 .94611 .53496 Metetra
.692 .774 .915 r
.94611 .53496 .94826 .54324 .95534 .53748 .9532 .52917 Metetra
.832 .786 .808 r
.31359 .80624 .31686 .81298 .32277 .79538 .31951 .7886 Metetra
.829 .786 .811 r
.31951 .7886 .32277 .79538 .32868 .77829 .32543 .77147 Metetra
.826 .786 .814 r
.32543 .77147 .32868 .77829 .33459 .76173 .33135 .75487 Metetra
.823 .786 .817 r
.33135 .75487 .33459 .76173 .3405 .74568 .33728 .73878 Metetra
.82 .786 .821 r
.33728 .73878 .3405 .74568 .34642 .73015 .3432 .72321 Metetra
.816 .786 .824 r
.3432 .72321 .34642 .73015 .35234 .71513 .34913 .70816 Metetra
.813 .786 .827 r
.34913 .70816 .35234 .71513 .35826 .70062 .35507 .69361 Metetra
.809 .786 .831 r
.35507 .69361 .35826 .70062 .36419 .68662 .36101 .67958 Metetra
.805 .785 .834 r
.36101 .67958 .36419 .68662 .37012 .67313 .36695 .66606 Metetra
.801 .785 .838 r
.36695 .66606 .37012 .67313 .37606 .66015 .37289 .65304 Metetra
.796 .784 .842 r
.37289 .65304 .37606 .66015 .382 .64766 .37884 .64053 Metetra
.792 .784 .845 r
.37884 .64053 .382 .64766 .38795 .63568 .3848 .62851 Metetra
.787 .783 .849 r
.3848 .62851 .38795 .63568 .3939 .62419 .39076 .617 Metetra
.782 .782 .853 r
.39076 .617 .3939 .62419 .39985 .61319 .39673 .60597 Metetra
.776 .781 .857 r
.39673 .60597 .39985 .61319 .40582 .60268 .4027 .59543 Metetra
.771 .78 .861 r
.4027 .59543 .40582 .60268 .41179 .59266 .40869 .58538 Metetra
.765 .779 .865 r
.40869 .58538 .41179 .59266 .41776 .58311 .41467 .57581 Metetra
.759 .778 .869 r
.41467 .57581 .41776 .58311 .42375 .57403 .42067 .56671 Metetra
.753 .777 .872 r
.42067 .56671 .42375 .57403 .42974 .56543 .42667 .55807 Metetra
.746 .775 .876 r
.42667 .55807 .42974 .56543 .43574 .55728 .43268 .54991 Metetra
.74 .773 .88 r
.43268 .54991 .43574 .55728 .44175 .5496 .4387 .5422 Metetra
.733 .772 .884 r
.4387 .5422 .44175 .5496 .44777 .54236 .44473 .53494 Metetra
.725 .77 .888 r
.44473 .53494 .44777 .54236 .45379 .53557 .45076 .52813 Metetra
.718 .768 .892 r
.45076 .52813 .45379 .53557 .45983 .52922 .45681 .52176 Metetra
.71 .765 .896 r
.45681 .52176 .45983 .52922 .46588 .5233 .46287 .51582 Metetra
.702 .763 .899 r
.46287 .51582 .46588 .5233 .47193 .51781 .46893 .51031 Metetra
.693 .76 .903 r
.46893 .51031 .47193 .51781 .478 .51273 .47501 .50521 Metetra
.685 .757 .906 r
.47501 .50521 .478 .51273 .48407 .50807 .48109 .50053 Metetra
.676 .754 .91 r
.48109 .50053 .48407 .50807 .49016 .5038 .48719 .49625 Metetra
.667 .751 .913 r
.48719 .49625 .49016 .5038 .49626 .49993 .4933 .49236 Metetra
.657 .747 .916 r
.4933 .49236 .49626 .49993 .50237 .49645 .49942 .48887 Metetra
.648 .744 .919 r
.49942 .48887 .50237 .49645 .5085 .49334 .50556 .48575 Metetra
.638 .74 .922 r
.50556 .48575 .5085 .49334 .51463 .49061 .5117 .48299 Metetra
.628 .736 .925 r
.5117 .48299 .51463 .49061 .52078 .48823 .51786 .4806 Metetra
.619 .732 .927 r
.51786 .4806 .52078 .48823 .52694 .4862 .52403 .47856 Metetra
.608 .728 .93 r
.52403 .47856 .52694 .4862 .53311 .48452 .53021 .47687 Metetra
.598 .723 .932 r
.53021 .47687 .53311 .48452 .5393 .48316 .53641 .4755 Metetra
.588 .719 .934 r
.53641 .4755 .5393 .48316 .5455 .48213 .54262 .47446 Metetra
.578 .714 .936 r
.54262 .47446 .5455 .48213 .55171 .48141 .54885 .47372 Metetra
.568 .71 .937 r
.54885 .47372 .55171 .48141 .55794 .48099 .55509 .47329 Metetra
.558 .705 .939 r
.55509 .47329 .55794 .48099 .56419 .48086 .56134 .47315 Metetra
.548 .7 .94 r
.56134 .47315 .56419 .48086 .57044 .481 .56761 .47329 Metetra
.538 .696 .941 r
.56761 .47329 .57044 .481 .57672 .48142 .57389 .4737 Metetra
.528 .691 .942 r
.57389 .4737 .57672 .48142 .583 .4821 .58019 .47437 Metetra
.519 .686 .943 r
.58019 .47437 .583 .4821 .58931 .48302 .5865 .47528 Metetra
.51 .682 .944 r
.5865 .47528 .58931 .48302 .59562 .48417 .59283 .47643 Metetra
.501 .677 .944 r
.59283 .47643 .59562 .48417 .60196 .48555 .59917 .4778 Metetra
.492 .673 .944 r
.59917 .4778 .60196 .48555 .60831 .48713 .60553 .47938 Metetra
.484 .669 .945 r
.60553 .47938 .60831 .48713 .61467 .48892 .61191 .48116 Metetra
.477 .664 .945 r
.61191 .48116 .61467 .48892 .62106 .49089 .6183 .48312 Metetra
.469 .661 .945 r
.6183 .48312 .62106 .49089 .62745 .49303 .62471 .48526 Metetra
.463 .657 .945 r
.62471 .48526 .62745 .49303 .63387 .49533 .63114 .48756 Metetra
.456 .654 .945 r
.63114 .48756 .63387 .49533 .6403 .49778 .63758 .49001 Metetra
.451 .65 .945 r
.63758 .49001 .6403 .49778 .64675 .50037 .64404 .49259 Metetra
.446 .648 .944 r
.64404 .49259 .64675 .50037 .65321 .50307 .65051 .49529 Metetra
.441 .645 .944 r
.65051 .49529 .65321 .50307 .65969 .50589 .657 .4981 Metetra
.437 .643 .944 r
.657 .4981 .65969 .50589 .66619 .50879 .66351 .501 Metetra
.434 .641 .944 r
.66351 .501 .66619 .50879 .6727 .51178 .67004 .50399 Metetra
.431 .639 .944 r
.67004 .50399 .6727 .51178 .67923 .51484 .67658 .50704 Metetra
.429 .638 .944 r
.67658 .50704 .67923 .51484 .68578 .51795 .68314 .51015 Metetra
.427 .637 .944 r
.68314 .51015 .68578 .51795 .69235 .5211 .68972 .51329 Metetra
.427 .637 .944 r
.68972 .51329 .69235 .5211 .69893 .52427 .69631 .51646 Metetra
.427 .637 .944 r
.69631 .51646 .69893 .52427 .70553 .52745 .70292 .51964 Metetra
.427 .637 .944 r
.70292 .51964 .70553 .52745 .71215 .53064 .70955 .52282 Metetra
.428 .638 .944 r
.70955 .52282 .71215 .53064 .71878 .5338 .71619 .52598 Metetra
.43 .639 .944 r
.71619 .52598 .71878 .5338 .72543 .53693 .72285 .52911 Metetra
.432 .64 .944 r
.72285 .52911 .72543 .53693 .73209 .54002 .72953 .5322 Metetra
.435 .642 .944 r
.72953 .5322 .73209 .54002 .73878 .54304 .73623 .53522 Metetra
.439 .644 .944 r
.73623 .53522 .73878 .54304 .74548 .54599 .74294 .53816 Metetra
.443 .646 .945 r
.74294 .53816 .74548 .54599 .75219 .54885 .74967 .54102 Metetra
.448 .649 .945 r
.74967 .54102 .75219 .54885 .75893 .55161 .75641 .54377 Metetra
.453 .652 .945 r
.75641 .54377 .75893 .55161 .76568 .55425 .76317 .54641 Metetra
.459 .655 .945 r
.76317 .54641 .76568 .55425 .77244 .55675 .76995 .54891 Metetra
.465 .659 .945 r
.76995 .54891 .77244 .55675 .77922 .55911 .77675 .55126 Metetra
.472 .663 .945 r
.77675 .55126 .77922 .55911 .78602 .5613 .78355 .55345 Metetra
.479 .667 .946 r
.78355 .55345 .78602 .5613 .79283 .56332 .79038 .55546 Metetra
.486 .671 .946 r
.79038 .55546 .79283 .56332 .79966 .56515 .79722 .55729 Metetra
.494 .675 .946 r
.79722 .55729 .79966 .56515 .8065 .56677 .80408 .5589 Metetra
.502 .68 .945 r
.80408 .5589 .8065 .56677 .81336 .56817 .81095 .5603 Metetra
.511 .685 .945 r
.81095 .5603 .81336 .56817 .82024 .56934 .81783 .56146 Metetra
.52 .69 .945 r
.81783 .56146 .82024 .56934 .82712 .57026 .82473 .56237 Metetra
.529 .695 .945 r
.82473 .56237 .82712 .57026 .83402 .57092 .83165 .56302 Metetra
.538 .7 .944 r
.83165 .56302 .83402 .57092 .84094 .5713 .83858 .56339 Metetra
.547 .705 .943 r
.83858 .56339 .84094 .5713 .84787 .57139 .84552 .56348 Metetra
.557 .71 .943 r
.84552 .56348 .84787 .57139 .85481 .57118 .85247 .56326 Metetra
.566 .715 .942 r
.85247 .56326 .85481 .57118 .86177 .57066 .85944 .56272 Metetra
.576 .72 .941 r
.85944 .56272 .86177 .57066 .86873 .5698 .86642 .56185 Metetra
.586 .725 .94 r
.86642 .56185 .86873 .5698 .87572 .5686 .87342 .56064 Metetra
.596 .731 .938 r
.87342 .56064 .87572 .5686 .88271 .56704 .88042 .55907 Metetra
.606 .736 .937 r
.88042 .55907 .88271 .56704 .88971 .56511 .88744 .55713 Metetra
.616 .741 .935 r
.88744 .55713 .88971 .56511 .89673 .56281 .89447 .5548 Metetra
.625 .746 .933 r
.89447 .5548 .89673 .56281 .90375 .5601 .90151 .55209 Metetra
.635 .751 .932 r
.90151 .55209 .90375 .5601 .91079 .557 .90856 .54896 Metetra
.645 .755 .93 r
.90856 .54896 .91079 .557 .91783 .55347 .91562 .54542 Metetra
.654 .76 .927 r
.91562 .54542 .91783 .55347 .92489 .54951 .92269 .54144 Metetra
.664 .765 .925 r
.92269 .54144 .92489 .54951 .93195 .54512 .92977 .53703 Metetra
.673 .769 .923 r
.92977 .53703 .93195 .54512 .93903 .54027 .93685 .53216 Metetra
.683 .774 .92 r
.93685 .53216 .93903 .54027 .94611 .53496 .94395 .52683 Metetra
.692 .778 .917 r
.94395 .52683 .94611 .53496 .9532 .52917 .95105 .52102 Metetra
.834 .789 .809 r
.3103 .79964 .31359 .80624 .31951 .7886 .31623 .78196 Metetra
.831 .789 .812 r
.31623 .78196 .31951 .7886 .32543 .77147 .32216 .7648 Metetra
.828 .789 .815 r
.32216 .7648 .32543 .77147 .33135 .75487 .3281 .74816 Metetra
.825 .789 .818 r
.3281 .74816 .33135 .75487 .33728 .73878 .33403 .73203 Metetra
.821 .789 .822 r
.33403 .73203 .33728 .73878 .3432 .72321 .33997 .71642 Metetra
.818 .789 .825 r
.33997 .71642 .3432 .72321 .34913 .70816 .34591 .70133 Metetra
.814 .789 .829 r
.34591 .70133 .34913 .70816 .35507 .69361 .35186 .68676 Metetra
.81 .788 .832 r
.35186 .68676 .35507 .69361 .36101 .67958 .35781 .67269 Metetra
.806 .788 .836 r
.35781 .67269 .36101 .67958 .36695 .66606 .36376 .65914 Metetra
.802 .788 .839 r
.36376 .65914 .36695 .66606 .37289 .65304 .36971 .64609 Metetra
.798 .787 .843 r
.36971 .64609 .37289 .65304 .37884 .64053 .37568 .63354 Metetra
.793 .787 .847 r
.37568 .63354 .37884 .64053 .3848 .62851 .38164 .6215 Metetra
.788 .786 .851 r
.38164 .6215 .3848 .62851 .39076 .617 .38762 .60995 Metetra
.783 .786 .855 r
.38762 .60995 .39076 .617 .39673 .60597 .39359 .59889 Metetra
.778 .785 .858 r
.39359 .59889 .39673 .60597 .4027 .59543 .39958 .58833 Metetra
.772 .784 .862 r
.39958 .58833 .4027 .59543 .40869 .58538 .40557 .57825 Metetra
.766 .783 .866 r
.40557 .57825 .40869 .58538 .41467 .57581 .41157 .56865 Metetra
.76 .782 .87 r
.41157 .56865 .41467 .57581 .42067 .56671 .41757 .55952 Metetra
.754 .78 .874 r
.41757 .55952 .42067 .56671 .42667 .55807 .42358 .55087 Metetra
.747 .779 .878 r
.42358 .55087 .42667 .55807 .43268 .54991 .42961 .54268 Metetra
.741 .777 .882 r
.42961 .54268 .43268 .54991 .4387 .5422 .43563 .53495 Metetra
.733 .775 .886 r
.43563 .53495 .4387 .5422 .44473 .53494 .44167 .52767 Metetra
.726 .773 .89 r
.44167 .52767 .44473 .53494 .45076 .52813 .44772 .52084 Metetra
.718 .771 .894 r
.44772 .52084 .45076 .52813 .45681 .52176 .45378 .51444 Metetra
.71 .769 .898 r
.45378 .51444 .45681 .52176 .46287 .51582 .45984 .50849 Metetra
.702 .766 .902 r
.45984 .50849 .46287 .51582 .46893 .51031 .46592 .50295 Metetra
.694 .764 .906 r
.46592 .50295 .46893 .51031 .47501 .50521 .472 .49784 Metetra
.685 .761 .909 r
.472 .49784 .47501 .50521 .48109 .50053 .4781 .49314 Metetra
.676 .758 .913 r
.4781 .49314 .48109 .50053 .48719 .49625 .48421 .48884 Metetra
.667 .755 .916 r
.48421 .48884 .48719 .49625 .4933 .49236 .49033 .48494 Metetra
.657 .751 .919 r
.49033 .48494 .4933 .49236 .49942 .48887 .49646 .48143 Metetra
.647 .748 .922 r
.49646 .48143 .49942 .48887 .50556 .48575 .5026 .47829 Metetra
.638 .744 .925 r
.5026 .47829 .50556 .48575 .5117 .48299 .50876 .47553 Metetra
.627 .74 .928 r
.50876 .47553 .5117 .48299 .51786 .4806 .51493 .47313 Metetra
.617 .736 .931 r
.51493 .47313 .51786 .4806 .52403 .47856 .52111 .47107 Metetra
.607 .731 .933 r
.52111 .47107 .52403 .47856 .53021 .47687 .5273 .46936 Metetra
.597 .727 .935 r
.5273 .46936 .53021 .47687 .53641 .4755 .53351 .46799 Metetra
.586 .722 .937 r
.53351 .46799 .53641 .4755 .54262 .47446 .53973 .46693 Metetra
.576 .718 .939 r
.53973 .46693 .54262 .47446 .54885 .47372 .54597 .46619 Metetra
.565 .713 .941 r
.54597 .46619 .54885 .47372 .55509 .47329 .55222 .46575 Metetra
.555 .708 .942 r
.55222 .46575 .55509 .47329 .56134 .47315 .55848 .4656 Metetra
.545 .703 .944 r
.55848 .4656 .56134 .47315 .56761 .47329 .56476 .46573 Metetra
.535 .699 .945 r
.56476 .46573 .56761 .47329 .57389 .4737 .57105 .46613 Metetra
.525 .694 .946 r
.57105 .46613 .57389 .4737 .58019 .47437 .57736 .46679 Metetra
.515 .689 .946 r
.57736 .46679 .58019 .47437 .5865 .47528 .58368 .4677 Metetra
.506 .684 .947 r
.58368 .4677 .5865 .47528 .59283 .47643 .59002 .46884 Metetra
.497 .68 .947 r
.59002 .46884 .59283 .47643 .59917 .4778 .59638 .4702 Metetra
.488 .675 .948 r
.59638 .4702 .59917 .4778 .60553 .47938 .60275 .47178 Metetra
.48 .671 .948 r
.60275 .47178 .60553 .47938 .61191 .48116 .60914 .47355 Metetra
.472 .667 .948 r
.60914 .47355 .61191 .48116 .6183 .48312 .61554 .47551 Metetra
.464 .663 .948 r
.61554 .47551 .6183 .48312 .62471 .48526 .62196 .47765 Metetra
.457 .659 .948 r
.62196 .47765 .62471 .48526 .63114 .48756 .62839 .47994 Metetra
.451 .655 .948 r
.62839 .47994 .63114 .48756 .63758 .49001 .63485 .48238 Metetra
.445 .652 .948 r
.63485 .48238 .63758 .49001 .64404 .49259 .64132 .48496 Metetra
.44 .649 .947 r
.64132 .48496 .64404 .49259 .65051 .49529 .6478 .48766 Metetra
.435 .647 .947 r
.6478 .48766 .65051 .49529 .657 .4981 .6543 .49046 Metetra
.431 .644 .947 r
.6543 .49046 .657 .4981 .66351 .501 .66082 .49336 Metetra
.428 .642 .947 r
.66082 .49336 .66351 .501 .67004 .50399 .66736 .49635 Metetra
.425 .641 .947 r
.66736 .49635 .67004 .50399 .67658 .50704 .67391 .4994 Metetra
.423 .64 .947 r
.67391 .4994 .67658 .50704 .68314 .51015 .68049 .5025 Metetra
.421 .639 .946 r
.68049 .5025 .68314 .51015 .68972 .51329 .68707 .50564 Metetra
.42 .638 .946 r
.68707 .50564 .68972 .51329 .69631 .51646 .69368 .50881 Metetra
.42 .638 .946 r
.69368 .50881 .69631 .51646 .70292 .51964 .7003 .51199 Metetra
.421 .638 .946 r
.7003 .51199 .70292 .51964 .70955 .52282 .70694 .51516 Metetra
.422 .639 .947 r
.70694 .51516 .70955 .52282 .71619 .52598 .7136 .51832 Metetra
.424 .64 .947 r
.7136 .51832 .71619 .52598 .72285 .52911 .72027 .52145 Metetra
.426 .642 .947 r
.72027 .52145 .72285 .52911 .72953 .5322 .72696 .52453 Metetra
.429 .643 .947 r
.72696 .52453 .72953 .5322 .73623 .53522 .73367 .52755 Metetra
.433 .646 .947 r
.73367 .52755 .73623 .53522 .74294 .53816 .74039 .53049 Metetra
.437 .648 .947 r
.74039 .53049 .74294 .53816 .74967 .54102 .74713 .53334 Metetra
.442 .651 .948 r
.74713 .53334 .74967 .54102 .75641 .54377 .75389 .53609 Metetra
.448 .654 .948 r
.75389 .53609 .75641 .54377 .76317 .54641 .76066 .53872 Metetra
.453 .657 .948 r
.76066 .53872 .76317 .54641 .76995 .54891 .76745 .54122 Metetra
.46 .661 .948 r
.76745 .54122 .76995 .54891 .77675 .55126 .77426 .54357 Metetra
.467 .665 .949 r
.77426 .54357 .77675 .55126 .78355 .55345 .78108 .54575 Metetra
.474 .669 .949 r
.78108 .54575 .78355 .55345 .79038 .55546 .78792 .54776 Metetra
.482 .673 .949 r
.78792 .54776 .79038 .55546 .79722 .55729 .79477 .54958 Metetra
.49 .678 .949 r
.79477 .54958 .79722 .55729 .80408 .5589 .80164 .55119 Metetra
.498 .683 .949 r
.80164 .55119 .80408 .5589 .81095 .5603 .80852 .55257 Metetra
.507 .687 .949 r
.80852 .55257 .81095 .5603 .81783 .56146 .81542 .55373 Metetra
.516 .692 .948 r
.81542 .55373 .81783 .56146 .82473 .56237 .82233 .55463 Metetra
.525 .697 .948 r
.82233 .55463 .82473 .56237 .83165 .56302 .82926 .55528 Metetra
.534 .703 .947 r
.82926 .55528 .83165 .56302 .83858 .56339 .8362 .55564 Metetra
.544 .708 .947 r
.8362 .55564 .83858 .56339 .84552 .56348 .84316 .55571 Metetra
.554 .713 .946 r
.84316 .55571 .84552 .56348 .85247 .56326 .85013 .55548 Metetra
.564 .718 .945 r
.85013 .55548 .85247 .56326 .85944 .56272 .85711 .55494 Metetra
.574 .724 .944 r
.85711 .55494 .85944 .56272 .86642 .56185 .8641 .55406 Metetra
.584 .729 .943 r
.8641 .55406 .86642 .56185 .87342 .56064 .87111 .55283 Metetra
.594 .734 .942 r
.87111 .55283 .87342 .56064 .88042 .55907 .87813 .55125 Metetra
.604 .739 .94 r
.87813 .55125 .88042 .55907 .88744 .55713 .88516 .54929 Metetra
.614 .745 .939 r
.88516 .54929 .88744 .55713 .89447 .5548 .8922 .54696 Metetra
.624 .75 .937 r
.8922 .54696 .89447 .5548 .90151 .55209 .89926 .54422 Metetra
.634 .755 .935 r
.89926 .54422 .90151 .55209 .90856 .54896 .90632 .54108 Metetra
.644 .759 .933 r
.90632 .54108 .90856 .54896 .91562 .54542 .91339 .53752 Metetra
.654 .764 .931 r
.91339 .53752 .91562 .54542 .92269 .54144 .92048 .53353 Metetra
.663 .769 .928 r
.92048 .53353 .92269 .54144 .92977 .53703 .92757 .5291 Metetra
.673 .774 .926 r
.92757 .5291 .92977 .53703 .93685 .53216 .93467 .52421 Metetra
.682 .778 .923 r
.93467 .52421 .93685 .53216 .94395 .52683 .94178 .51886 Metetra
.692 .782 .92 r
.94178 .51886 .94395 .52683 .95105 .52102 .9489 .51303 Metetra
.835 .791 .81 r
.307 .7932 .3103 .79964 .31623 .78196 .31294 .77548 Metetra
.832 .791 .813 r
.31294 .77548 .31623 .78196 .32216 .7648 .31888 .75828 Metetra
.829 .791 .816 r
.31888 .75828 .32216 .7648 .3281 .74816 .32483 .74159 Metetra
.826 .792 .819 r
.32483 .74159 .3281 .74816 .33403 .73203 .33077 .72543 Metetra
.823 .792 .823 r
.33077 .72543 .33403 .73203 .33997 .71642 .33672 .70979 Metetra
.819 .792 .826 r
.33672 .70979 .33997 .71642 .34591 .70133 .34268 .69466 Metetra
.816 .791 .83 r
.34268 .69466 .34591 .70133 .35186 .68676 .34863 .68005 Metetra
.812 .791 .833 r
.34863 .68005 .35186 .68676 .35781 .67269 .35459 .66595 Metetra
.808 .791 .837 r
.35459 .66595 .35781 .67269 .36376 .65914 .36055 .65236 Metetra
.804 .791 .841 r
.36055 .65236 .36376 .65914 .36971 .64609 .36652 .63928 Metetra
.799 .79 .844 r
.36652 .63928 .36971 .64609 .37568 .63354 .37249 .6267 Metetra
.795 .79 .848 r
.37249 .6267 .37568 .63354 .38164 .6215 .37847 .61463 Metetra
.79 .789 .852 r
.37847 .61463 .38164 .6215 .38762 .60995 .38445 .60305 Metetra
.785 .789 .856 r
.38445 .60305 .38762 .60995 .39359 .59889 .39044 .59197 Metetra
.779 .788 .86 r
.39044 .59197 .39359 .59889 .39958 .58833 .39644 .58137 Metetra
.774 .787 .864 r
.39644 .58137 .39958 .58833 .40557 .57825 .40244 .57127 Metetra
.768 .786 .868 r
.40244 .57127 .40557 .57825 .41157 .56865 .40845 .56164 Metetra
.762 .785 .872 r
.40845 .56164 .41157 .56865 .41757 .55952 .41446 .55249 Metetra
.755 .784 .876 r
.41446 .55249 .41757 .55952 .42358 .55087 .42049 .54381 Metetra
.748 .782 .881 r
.42049 .54381 .42358 .55087 .42961 .54268 .42652 .5356 Metetra
.742 .781 .885 r
.42652 .5356 .42961 .54268 .43563 .53495 .43256 .52784 Metetra
.734 .779 .889 r
.43256 .52784 .43563 .53495 .44167 .52767 .4386 .52054 Metetra
.727 .777 .893 r
.4386 .52054 .44167 .52767 .44772 .52084 .44466 .51369 Metetra
.719 .775 .897 r
.44466 .51369 .44772 .52084 .45378 .51444 .45073 .50728 Metetra
.711 .773 .901 r
.45073 .50728 .45378 .51444 .45984 .50849 .4568 .5013 Metetra
.702 .77 .905 r
.4568 .5013 .45984 .50849 .46592 .50295 .46289 .49575 Metetra
.694 .768 .908 r
.46289 .49575 .46592 .50295 .472 .49784 .46899 .49062 Metetra
.685 .765 .912 r
.46899 .49062 .472 .49784 .4781 .49314 .4751 .4859 Metetra
.676 .762 .916 r
.4751 .4859 .4781 .49314 .48421 .48884 .48121 .48159 Metetra
.666 .758 .919 r
.48121 .48159 .48421 .48884 .49033 .48494 .48734 .47767 Metetra
.657 .755 .922 r
.48734 .47767 .49033 .48494 .49646 .48143 .49349 .47414 Metetra
.647 .751 .925 r
.49349 .47414 .49646 .48143 .5026 .47829 .49964 .47099 Metetra
.637 .747 .928 r
.49964 .47099 .5026 .47829 .50876 .47553 .50581 .46821 Metetra
.626 .743 .931 r
.50581 .46821 .50876 .47553 .51493 .47313 .51198 .4658 Metetra
.616 .739 .934 r
.51198 .4658 .51493 .47313 .52111 .47107 .51818 .46373 Metetra
.606 .735 .936 r
.51818 .46373 .52111 .47107 .5273 .46936 .52438 .46201 Metetra
.595 .73 .939 r
.52438 .46201 .5273 .46936 .53351 .46799 .5306 .46062 Metetra
.584 .726 .941 r
.5306 .46062 .53351 .46799 .53973 .46693 .53683 .45956 Metetra
.574 .721 .943 r
.53683 .45956 .53973 .46693 .54597 .46619 .54308 .45881 Metetra
.563 .716 .944 r
.54308 .45881 .54597 .46619 .55222 .46575 .54934 .45836 Metetra
.552 .711 .946 r
.54934 .45836 .55222 .46575 .55848 .4656 .55561 .4582 Metetra
.542 .707 .947 r
.55561 .4582 .55848 .4656 .56476 .46573 .5619 .45832 Metetra
.531 .702 .948 r
.5619 .45832 .56476 .46573 .57105 .46613 .5682 .45872 Metetra
.521 .697 .949 r
.5682 .45872 .57105 .46613 .57736 .46679 .57452 .45937 Metetra
.511 .692 .95 r
.57452 .45937 .57736 .46679 .58368 .4677 .58086 .46027 Metetra
.502 .687 .95 r
.58086 .46027 .58368 .4677 .59002 .46884 .58721 .4614 Metetra
.492 .682 .951 r
.58721 .4614 .59002 .46884 .59638 .4702 .59357 .46276 Metetra
.483 .677 .951 r
.59357 .46276 .59638 .4702 .60275 .47178 .59995 .46433 Metetra
.475 .673 .951 r
.59995 .46433 .60275 .47178 .60914 .47355 .60635 .4661 Metetra
.467 .669 .951 r
.60635 .4661 .60914 .47355 .61554 .47551 .61276 .46805 Metetra
.459 .665 .951 r
.61276 .46805 .61554 .47551 .62196 .47765 .61919 .47018 Metetra
.452 .661 .951 r
.61919 .47018 .62196 .47765 .62839 .47994 .62564 .47247 Metetra
.445 .657 .951 r
.62564 .47247 .62839 .47994 .63485 .48238 .6321 .47491 Metetra
.439 .654 .951 r
.6321 .47491 .63485 .48238 .64132 .48496 .63858 .47748 Metetra
.434 .651 .95 r
.63858 .47748 .64132 .48496 .6478 .48766 .64508 .48018 Metetra
.429 .648 .95 r
.64508 .48018 .6478 .48766 .6543 .49046 .6516 .48298 Metetra
.425 .646 .95 r
.6516 .48298 .6543 .49046 .66082 .49336 .65813 .48588 Metetra
.421 .644 .95 r
.65813 .48588 .66082 .49336 .66736 .49635 .66467 .48886 Metetra
.418 .642 .949 r
.66467 .48886 .66736 .49635 .67391 .4994 .67124 .4919 Metetra
.416 .641 .949 r
.67124 .4919 .67391 .4994 .68049 .5025 .67782 .495 Metetra
.415 .64 .949 r
.67782 .495 .68049 .5025 .68707 .50564 .68442 .49814 Metetra
.414 .64 .949 r
.68442 .49814 .68707 .50564 .69368 .50881 .69104 .50131 Metetra
.414 .639 .949 r
.69104 .50131 .69368 .50881 .7003 .51199 .69767 .50448 Metetra
.414 .64 .949 r
.69767 .50448 .7003 .51199 .70694 .51516 .70432 .50766 Metetra
.415 .64 .949 r
.70432 .50766 .70694 .51516 .7136 .51832 .71099 .51081 Metetra
.417 .642 .949 r
.71099 .51081 .7136 .51832 .72027 .52145 .71767 .51394 Metetra
.42 .643 .95 r
.71767 .51394 .72027 .52145 .72696 .52453 .72438 .51701 Metetra
.423 .645 .95 r
.72438 .51701 .72696 .52453 .73367 .52755 .7311 .52003 Metetra
.427 .647 .95 r
.7311 .52003 .73367 .52755 .74039 .53049 .73783 .52297 Metetra
.431 .65 .95 r
.73783 .52297 .74039 .53049 .74713 .53334 .74458 .52582 Metetra
.436 .652 .951 r
.74458 .52582 .74713 .53334 .75389 .53609 .75135 .52857 Metetra
.442 .656 .951 r
.75135 .52857 .75389 .53609 .76066 .53872 .75814 .53119 Metetra
.448 .659 .951 r
.75814 .53119 .76066 .53872 .76745 .54122 .76494 .53369 Metetra
.454 .663 .951 r
.76494 .53369 .76745 .54122 .77426 .54357 .77176 .53603 Metetra
.461 .667 .952 r
.77176 .53603 .77426 .54357 .78108 .54575 .77859 .53821 Metetra
.469 .671 .952 r
.77859 .53821 .78108 .54575 .78792 .54776 .78544 .54021 Metetra
.477 .676 .952 r
.78544 .54021 .78792 .54776 .79477 .54958 .79231 .54202 Metetra
.485 .68 .952 r
.79231 .54202 .79477 .54958 .80164 .55119 .79919 .54363 Metetra
.494 .685 .952 r
.79919 .54363 .80164 .55119 .80852 .55257 .80609 .54501 Metetra
.503 .69 .952 r
.80609 .54501 .80852 .55257 .81542 .55373 .813 .54616 Metetra
.512 .695 .952 r
.813 .54616 .81542 .55373 .82233 .55463 .81992 .54705 Metetra
.521 .7 .951 r
.81992 .54705 .82233 .55463 .82926 .55528 .82686 .54769 Metetra
.531 .706 .951 r
.82686 .54769 .82926 .55528 .8362 .55564 .83382 .54804 Metetra
.541 .711 .95 r
.83382 .54804 .8362 .55564 .84316 .55571 .84079 .54811 Metetra
.551 .716 .95 r
.84079 .54811 .84316 .55571 .85013 .55548 .84777 .54787 Metetra
.561 .722 .949 r
.84777 .54787 .85013 .55548 .85711 .55494 .85477 .54731 Metetra
.571 .727 .948 r
.85477 .54731 .85711 .55494 .8641 .55406 .86177 .54642 Metetra
.582 .733 .946 r
.86177 .54642 .8641 .55406 .87111 .55283 .86879 .54518 Metetra
.592 .738 .945 r
.86879 .54518 .87111 .55283 .87813 .55125 .87583 .54359 Metetra
.602 .743 .944 r
.87583 .54359 .87813 .55125 .88516 .54929 .88287 .54162 Metetra
.613 .748 .942 r
.88287 .54162 .88516 .54929 .8922 .54696 .88993 .53927 Metetra
.623 .754 .94 r
.88993 .53927 .8922 .54696 .89926 .54422 .897 .53652 Metetra
.633 .759 .938 r
.897 .53652 .89926 .54422 .90632 .54108 .90407 .53337 Metetra
.643 .764 .936 r
.90407 .53337 .90632 .54108 .91339 .53752 .91116 .52979 Metetra
.653 .768 .934 r
.91116 .52979 .91339 .53752 .92048 .53353 .91826 .52578 Metetra
.663 .773 .931 r
.91826 .52578 .92048 .53353 .92757 .5291 .92537 .52133 Metetra
.673 .778 .929 r
.92537 .52133 .92757 .5291 .93467 .52421 .93248 .51642 Metetra
.682 .782 .926 r
.93248 .51642 .93467 .52421 .94178 .51886 .93961 .51104 Metetra
.692 .787 .923 r
.93961 .51104 .94178 .51886 .9489 .51303 .94674 .50519 Metetra
.837 .794 .81 r
.30368 .78691 .307 .7932 .31294 .77548 .30963 .76914 Metetra
.834 .794 .813 r
.30963 .76914 .31294 .77548 .31888 .75828 .31559 .7519 Metetra
.831 .794 .817 r
.31559 .7519 .31888 .75828 .32483 .74159 .32154 .73518 Metetra
.828 .794 .82 r
.32154 .73518 .32483 .74159 .33077 .72543 .3275 .71898 Metetra
.824 .794 .824 r
.3275 .71898 .33077 .72543 .33672 .70979 .33346 .7033 Metetra
.821 .794 .827 r
.33346 .7033 .33672 .70979 .34268 .69466 .33942 .68814 Metetra
.817 .794 .831 r
.33942 .68814 .34268 .69466 .34863 .68005 .34539 .67349 Metetra
.813 .794 .834 r
.34539 .67349 .34863 .68005 .35459 .66595 .35136 .65936 Metetra
.809 .794 .838 r
.35136 .65936 .35459 .66595 .36055 .65236 .35733 .64573 Metetra
.805 .794 .842 r
.35733 .64573 .36055 .65236 .36652 .63928 .36331 .63262 Metetra
.801 .794 .846 r
.36331 .63262 .36652 .63928 .37249 .6267 .36929 .62001 Metetra
.796 .793 .85 r
.36929 .62001 .37249 .6267 .37847 .61463 .37528 .60791 Metetra
.791 .793 .854 r
.37528 .60791 .37847 .61463 .38445 .60305 .38128 .5963 Metetra
.786 .792 .858 r
.38128 .5963 .38445 .60305 .39044 .59197 .38728 .58519 Metetra
.78 .791 .862 r
.38728 .58519 .39044 .59197 .39644 .58137 .39328 .57457 Metetra
.775 .791 .866 r
.39328 .57457 .39644 .58137 .40244 .57127 .39929 .56443 Metetra
.769 .79 .87 r
.39929 .56443 .40244 .57127 .40845 .56164 .40531 .55478 Metetra
.763 .789 .874 r
.40531 .55478 .40845 .56164 .41446 .55249 .41134 .5456 Metetra
.756 .787 .878 r
.41134 .5456 .41446 .55249 .42049 .54381 .41737 .5369 Metetra
.75 .786 .883 r
.41737 .5369 .42049 .54381 .42652 .5356 .42341 .52866 Metetra
.742 .784 .887 r
.42341 .52866 .42652 .5356 .43256 .52784 .42946 .52088 Metetra
.735 .783 .891 r
.42946 .52088 .43256 .52784 .4386 .52054 .43552 .51356 Metetra
.728 .781 .895 r
.43552 .51356 .4386 .52054 .44466 .51369 .44159 .50669 Metetra
.72 .779 .899 r
.44159 .50669 .44466 .51369 .45073 .50728 .44767 .50026 Metetra
.711 .777 .903 r
.44767 .50026 .45073 .50728 .4568 .5013 .45375 .49426 Metetra
.703 .774 .907 r
.45375 .49426 .4568 .5013 .46289 .49575 .45985 .48869 Metetra
.694 .771 .911 r
.45985 .48869 .46289 .49575 .46899 .49062 .46596 .48354 Metetra
.685 .769 .915 r
.46596 .48354 .46899 .49062 .4751 .4859 .47208 .47881 Metetra
.676 .766 .918 r
.47208 .47881 .4751 .4859 .48121 .48159 .4782 .47448 Metetra
.666 .762 .922 r
.4782 .47448 .48121 .48159 .48734 .47767 .48435 .47054 Metetra
.656 .759 .925 r
.48435 .47054 .48734 .47767 .49349 .47414 .4905 .467 Metetra
.646 .755 .929 r
.4905 .467 .49349 .47414 .49964 .47099 .49666 .46384 Metetra
.636 .751 .932 r
.49666 .46384 .49964 .47099 .50581 .46821 .50284 .46105 Metetra
.625 .747 .935 r
.50284 .46105 .50581 .46821 .51198 .4658 .50903 .45862 Metetra
.615 .743 .937 r
.50903 .45862 .51198 .4658 .51818 .46373 .51523 .45654 Metetra
.604 .739 .94 r
.51523 .45654 .51818 .46373 .52438 .46201 .52144 .45481 Metetra
.593 .734 .942 r
.52144 .45481 .52438 .46201 .5306 .46062 .52767 .45341 Metetra
.582 .729 .944 r
.52767 .45341 .5306 .46062 .53683 .45956 .53391 .45233 Metetra
.571 .725 .946 r
.53391 .45233 .53683 .45956 .54308 .45881 .54017 .45157 Metetra
.56 .72 .948 r
.54017 .45157 .54308 .45881 .54934 .45836 .54644 .45111 Metetra
.549 .715 .949 r
.54644 .45111 .54934 .45836 .55561 .4582 .55273 .45095 Metetra
.539 .71 .95 r
.55273 .45095 .55561 .4582 .5619 .45832 .55903 .45106 Metetra
.528 .705 .951 r
.55903 .45106 .5619 .45832 .5682 .45872 .56534 .45145 Metetra
.517 .699 .952 r
.56534 .45145 .5682 .45872 .57452 .45937 .57167 .45209 Metetra
.507 .694 .953 r
.57167 .45209 .57452 .45937 .58086 .46027 .57801 .45298 Metetra
.497 .689 .953 r
.57801 .45298 .58086 .46027 .58721 .4614 .58437 .45411 Metetra
.488 .685 .954 r
.58437 .45411 .58721 .4614 .59357 .46276 .59075 .45546 Metetra
.478 .68 .954 r
.59075 .45546 .59357 .46276 .59995 .46433 .59714 .45703 Metetra
.47 .675 .954 r
.59714 .45703 .59995 .46433 .60635 .4661 .60355 .45879 Metetra
.461 .671 .954 r
.60355 .45879 .60635 .4661 .61276 .46805 .60998 .46074 Metetra
.453 .667 .954 r
.60998 .46074 .61276 .46805 .61919 .47018 .61642 .46286 Metetra
.446 .663 .954 r
.61642 .46286 .61919 .47018 .62564 .47247 .62288 .46515 Metetra
.439 .659 .954 r
.62288 .46515 .62564 .47247 .6321 .47491 .62935 .46759 Metetra
.433 .655 .953 r
.62935 .46759 .6321 .47491 .63858 .47748 .63584 .47015 Metetra
.427 .652 .953 r
.63584 .47015 .63858 .47748 .64508 .48018 .64235 .47285 Metetra
.422 .65 .953 r
.64235 .47285 .64508 .48018 .6516 .48298 .64887 .47565 Metetra
.418 .647 .953 r
.64887 .47565 .6516 .48298 .65813 .48588 .65542 .47854 Metetra
.414 .645 .952 r
.65542 .47854 .65813 .48588 .66467 .48886 .66198 .48152 Metetra
.411 .643 .952 r
.66198 .48152 .66467 .48886 .67124 .4919 .66855 .48456 Metetra
.409 .642 .952 r
.66855 .48456 .67124 .4919 .67782 .495 .67515 .48766 Metetra
.408 .641 .952 r
.67515 .48766 .67782 .495 .68442 .49814 .68176 .4908 Metetra
.407 .641 .952 r
.68176 .4908 .68442 .49814 .69104 .50131 .68838 .49396 Metetra
.407 .641 .952 r
.68838 .49396 .69104 .50131 .69767 .50448 .69503 .49714 Metetra
.407 .641 .952 r
.69503 .49714 .69767 .50448 .70432 .50766 .70169 .50031 Metetra
.408 .642 .952 r
.70169 .50031 .70432 .50766 .71099 .51081 .70837 .50346 Metetra
.41 .643 .952 r
.70837 .50346 .71099 .51081 .71767 .51394 .71507 .50658 Metetra
.413 .644 .952 r
.71507 .50658 .71767 .51394 .72438 .51701 .72178 .50965 Metetra
.416 .646 .953 r
.72178 .50965 .72438 .51701 .7311 .52003 .72851 .51267 Metetra
.42 .648 .953 r
.72851 .51267 .7311 .52003 .73783 .52297 .73526 .51561 Metetra
.425 .651 .953 r
.73526 .51561 .73783 .52297 .74458 .52582 .74203 .51845 Metetra
.43 .654 .953 r
.74203 .51845 .74458 .52582 .75135 .52857 .74881 .5212 Metetra
.435 .657 .954 r
.74881 .5212 .75135 .52857 .75814 .53119 .75561 .52382 Metetra
.442 .661 .954 r
.75561 .52382 .75814 .53119 .76494 .53369 .76242 .52631 Metetra
.448 .665 .954 r
.76242 .52631 .76494 .53369 .77176 .53603 .76925 .52865 Metetra
.456 .669 .955 r
.76925 .52865 .77176 .53603 .77859 .53821 .7761 .53082 Metetra
.463 .673 .955 r
.7761 .53082 .77859 .53821 .78544 .54021 .78296 .53282 Metetra
.472 .678 .955 r
.78296 .53282 .78544 .54021 .79231 .54202 .78984 .53463 Metetra
.48 .683 .955 r
.78984 .53463 .79231 .54202 .79919 .54363 .79673 .53622 Metetra
.489 .688 .955 r
.79673 .53622 .79919 .54363 .80609 .54501 .80364 .5376 Metetra
.498 .693 .955 r
.80364 .5376 .80609 .54501 .813 .54616 .81057 .53874 Metetra
.508 .698 .955 r
.81057 .53874 .813 .54616 .81992 .54705 .81751 .53963 Metetra
.517 .703 .955 r
.81751 .53963 .81992 .54705 .82686 .54769 .82446 .54026 Metetra
.527 .709 .954 r
.82446 .54026 .82686 .54769 .83382 .54804 .83143 .54061 Metetra
.537 .714 .954 r
.83143 .54061 .83382 .54804 .84079 .54811 .83841 .54066 Metetra
.548 .72 .953 r
.83841 .54066 .84079 .54811 .84777 .54787 .84541 .54041 Metetra
.558 .725 .952 r
.84541 .54041 .84777 .54787 .85477 .54731 .85241 .53984 Metetra
.569 .731 .951 r
.85241 .53984 .85477 .54731 .86177 .54642 .85944 .53894 Metetra
.579 .736 .95 r
.85944 .53894 .86177 .54642 .86879 .54518 .86647 .53769 Metetra
.59 .742 .949 r
.86647 .53769 .86879 .54518 .87583 .54359 .87352 .53608 Metetra
.6 .747 .947 r
.87352 .53608 .87583 .54359 .88287 .54162 .88058 .5341 Metetra
.611 .752 .945 r
.88058 .5341 .88287 .54162 .88993 .53927 .88765 .53174 Metetra
.621 .758 .943 r
.88765 .53174 .88993 .53927 .897 .53652 .89473 .52898 Metetra
.632 .763 .941 r
.89473 .52898 .897 .53652 .90407 .53337 .90182 .5258 Metetra
.642 .768 .939 r
.90182 .5258 .90407 .53337 .91116 .52979 .90892 .52221 Metetra
.652 .773 .937 r
.90892 .52221 .91116 .52979 .91826 .52578 .91603 .51818 Metetra
.662 .777 .934 r
.91603 .51818 .91826 .52578 .92537 .52133 .92316 .51371 Metetra
.672 .782 .932 r
.92316 .51371 .92537 .52133 .93248 .51642 .93029 .50878 Metetra
.682 .787 .929 r
.93029 .50878 .93248 .51642 .93961 .51104 .93743 .50339 Metetra
.692 .791 .926 r
.93743 .50339 .93961 .51104 .94674 .50519 .94457 .49752 Metetra
.838 .796 .811 r
.30035 .78077 .30368 .78691 .30963 .76914 .30631 .76296 Metetra
.835 .797 .814 r
.30631 .76296 .30963 .76914 .31559 .7519 .31228 .74568 Metetra
.832 .797 .818 r
.31228 .74568 .31559 .7519 .32154 .73518 .31824 .72892 Metetra
.829 .797 .821 r
.31824 .72892 .32154 .73518 .3275 .71898 .32421 .71268 Metetra
.826 .797 .824 r
.32421 .71268 .3275 .71898 .33346 .7033 .33018 .69696 Metetra
.822 .797 .828 r
.33018 .69696 .33346 .7033 .33942 .68814 .33616 .68176 Metetra
.819 .797 .832 r
.33616 .68176 .33942 .68814 .34539 .67349 .34213 .66708 Metetra
.815 .797 .835 r
.34213 .66708 .34539 .67349 .35136 .65936 .34811 .65291 Metetra
.811 .797 .839 r
.34811 .65291 .35136 .65936 .35733 .64573 .3541 .63926 Metetra
.807 .797 .843 r
.3541 .63926 .35733 .64573 .36331 .63262 .36009 .62611 Metetra
.802 .797 .847 r
.36009 .62611 .36331 .63262 .36929 .62001 .36608 .61347 Metetra
.797 .797 .851 r
.36608 .61347 .36929 .62001 .37528 .60791 .37208 .60134 Metetra
.792 .796 .855 r
.37208 .60134 .37528 .60791 .38128 .5963 .37808 .5897 Metetra
.787 .796 .859 r
.37808 .5897 .38128 .5963 .38728 .58519 .38409 .57856 Metetra
.782 .795 .863 r
.38409 .57856 .38728 .58519 .39328 .57457 .39011 .56791 Metetra
.776 .794 .868 r
.39011 .56791 .39328 .57457 .39929 .56443 .39613 .55775 Metetra
.77 .793 .872 r
.39613 .55775 .39929 .56443 .40531 .55478 .40216 .54807 Metetra
.764 .792 .876 r
.40216 .54807 .40531 .55478 .41134 .5456 .4082 .53887 Metetra
.757 .791 .88 r
.4082 .53887 .41134 .5456 .41737 .5369 .41424 .53014 Metetra
.751 .79 .885 r
.41424 .53014 .41737 .5369 .42341 .52866 .4203 .52188 Metetra
.743 .788 .889 r
.4203 .52188 .42341 .52866 .42946 .52088 .42636 .51408 Metetra
.736 .787 .893 r
.42636 .51408 .42946 .52088 .43552 .51356 .43243 .50673 Metetra
.728 .785 .897 r
.43243 .50673 .43552 .51356 .44159 .50669 .4385 .49984 Metetra
.72 .783 .902 r
.4385 .49984 .44159 .50669 .44767 .50026 .44459 .49339 Metetra
.712 .78 .906 r
.44459 .49339 .44767 .50026 .45375 .49426 .45069 .48737 Metetra
.703 .778 .91 r
.45069 .48737 .45375 .49426 .45985 .48869 .4568 .48178 Metetra
.694 .775 .914 r
.4568 .48178 .45985 .48869 .46596 .48354 .46291 .47662 Metetra
.685 .773 .918 r
.46291 .47662 .46596 .48354 .47208 .47881 .46904 .47186 Metetra
.676 .77 .921 r
.46904 .47186 .47208 .47881 .4782 .47448 .47518 .46752 Metetra
.666 .766 .925 r
.47518 .46752 .4782 .47448 .48435 .47054 .48133 .46357 Metetra
.656 .763 .928 r
.48133 .46357 .48435 .47054 .4905 .467 .4875 .46001 Metetra
.645 .759 .932 r
.4875 .46001 .4905 .467 .49666 .46384 .49367 .45683 Metetra
.635 .755 .935 r
.49367 .45683 .49666 .46384 .50284 .46105 .49986 .45403 Metetra
.624 .751 .938 r
.49986 .45403 .50284 .46105 .50903 .45862 .50606 .45159 Metetra
.613 .747 .941 r
.50606 .45159 .50903 .45862 .51523 .45654 .51227 .4495 Metetra
.602 .742 .943 r
.51227 .4495 .51523 .45654 .52144 .45481 .51849 .44775 Metetra
.591 .738 .945 r
.51849 .44775 .52144 .45481 .52767 .45341 .52473 .44634 Metetra
.58 .733 .947 r
.52473 .44634 .52767 .45341 .53391 .45233 .53099 .44526 Metetra
.569 .728 .949 r
.53099 .44526 .53391 .45233 .54017 .45157 .53725 .44449 Metetra
.557 .723 .951 r
.53725 .44449 .54017 .45157 .54644 .45111 .54353 .44402 Metetra
.546 .718 .952 r
.54353 .44402 .54644 .45111 .55273 .45095 .54983 .44384 Metetra
.535 .713 .954 r
.54983 .44384 .55273 .45095 .55903 .45106 .55614 .44395 Metetra
.524 .708 .955 r
.55614 .44395 .55903 .45106 .56534 .45145 .56246 .44433 Metetra
.513 .702 .956 r
.56246 .44433 .56534 .45145 .57167 .45209 .5688 .44497 Metetra
.503 .697 .956 r
.5688 .44497 .57167 .45209 .57801 .45298 .57516 .44585 Metetra
.493 .692 .957 r
.57516 .44585 .57801 .45298 .58437 .45411 .58153 .44697 Metetra
.483 .687 .957 r
.58153 .44697 .58437 .45411 .59075 .45546 .58792 .44832 Metetra
.473 .682 .957 r
.58792 .44832 .59075 .45546 .59714 .45703 .59432 .44988 Metetra
.464 .677 .957 r
.59432 .44988 .59714 .45703 .60355 .45879 .60074 .45164 Metetra
.456 .673 .957 r
.60074 .45164 .60355 .45879 .60998 .46074 .60718 .45358 Metetra
.447 .668 .957 r
.60718 .45358 .60998 .46074 .61642 .46286 .61363 .4557 Metetra
.44 .664 .957 r
.61363 .4557 .61642 .46286 .62288 .46515 .6201 .45798 Metetra
.433 .661 .956 r
.6201 .45798 .62288 .46515 .62935 .46759 .62658 .46042 Metetra
.426 .657 .956 r
.62658 .46042 .62935 .46759 .63584 .47015 .63309 .46298 Metetra
.421 .654 .956 r
.63309 .46298 .63584 .47015 .64235 .47285 .63961 .46567 Metetra
.415 .651 .956 r
.63961 .46567 .64235 .47285 .64887 .47565 .64614 .46847 Metetra
.411 .648 .955 r
.64614 .46847 .64887 .47565 .65542 .47854 .6527 .47136 Metetra
.407 .646 .955 r
.6527 .47136 .65542 .47854 .66198 .48152 .65927 .47434 Metetra
.404 .645 .955 r
.65927 .47434 .66198 .48152 .66855 .48456 .66585 .47738 Metetra
.402 .643 .955 r
.66585 .47738 .66855 .48456 .67515 .48766 .67246 .48047 Metetra
.4 .642 .954 r
.67246 .48047 .67515 .48766 .68176 .4908 .67908 .48361 Metetra
.399 .642 .954 r
.67908 .48361 .68176 .4908 .68838 .49396 .68572 .48677 Metetra
.399 .642 .954 r
.68572 .48677 .68838 .49396 .69503 .49714 .69238 .48994 Metetra
.4 .642 .954 r
.69238 .48994 .69503 .49714 .70169 .50031 .69905 .49311 Metetra
.401 .643 .954 r
.69905 .49311 .70169 .50031 .70837 .50346 .70574 .49626 Metetra
.403 .644 .955 r
.70574 .49626 .70837 .50346 .71507 .50658 .71245 .49938 Metetra
.406 .646 .955 r
.71245 .49938 .71507 .50658 .72178 .50965 .71918 .50245 Metetra
.409 .647 .955 r
.71918 .50245 .72178 .50965 .72851 .51267 .72592 .50546 Metetra
.413 .65 .955 r
.72592 .50546 .72851 .51267 .73526 .51561 .73268 .5084 Metetra
.418 .653 .956 r
.73268 .5084 .73526 .51561 .74203 .51845 .73946 .51124 Metetra
.423 .656 .956 r
.73946 .51124 .74203 .51845 .74881 .5212 .74625 .51398 Metetra
.429 .659 .957 r
.74625 .51398 .74881 .5212 .75561 .52382 .75306 .5166 Metetra
.435 .663 .957 r
.75306 .5166 .75561 .52382 .76242 .52631 .75989 .51909 Metetra
.442 .667 .957 r
.75989 .51909 .76242 .52631 .76925 .52865 .76673 .52142 Metetra
.45 .671 .958 r
.76673 .52142 .76925 .52865 .7761 .53082 .77359 .52359 Metetra
.458 .675 .958 r
.77359 .52359 .7761 .53082 .78296 .53282 .78047 .52559 Metetra
.466 .68 .958 r
.78047 .52559 .78296 .53282 .78984 .53463 .78736 .52739 Metetra
.475 .685 .958 r
.78736 .52739 .78984 .53463 .79673 .53622 .79427 .52898 Metetra
.484 .69 .958 r
.79427 .52898 .79673 .53622 .80364 .5376 .80119 .53035 Metetra
.493 .695 .958 r
.80119 .53035 .80364 .5376 .81057 .53874 .80813 .53148 Metetra
.503 .701 .958 r
.80813 .53148 .81057 .53874 .81751 .53963 .81508 .53237 Metetra
.513 .706 .958 r
.81508 .53237 .81751 .53963 .82446 .54026 .82205 .53299 Metetra
.523 .712 .958 r
.82205 .53299 .82446 .54026 .83143 .54061 .82903 .53333 Metetra
.534 .717 .957 r
.82903 .53333 .83143 .54061 .83841 .54066 .83602 .53337 Metetra
.544 .723 .956 r
.83602 .53337 .83841 .54066 .84541 .54041 .84303 .53312 Metetra
.555 .729 .956 r
.84303 .53312 .84541 .54041 .85241 .53984 .85005 .53254 Metetra
.566 .734 .954 r
.85005 .53254 .85241 .53984 .85944 .53894 .85709 .53162 Metetra
.577 .74 .953 r
.85709 .53162 .85944 .53894 .86647 .53769 .86414 .53036 Metetra
.588 .745 .952 r
.86414 .53036 .86647 .53769 .87352 .53608 .8712 .52874 Metetra
.598 .751 .95 r
.8712 .52874 .87352 .53608 .88058 .5341 .87827 .52675 Metetra
.609 .756 .949 r
.87827 .52675 .88058 .5341 .88765 .53174 .88536 .52437 Metetra
.62 .762 .947 r
.88536 .52437 .88765 .53174 .89473 .52898 .89245 .52159 Metetra
.631 .767 .945 r
.89245 .52159 .89473 .52898 .90182 .5258 .89956 .5184 Metetra
.641 .772 .943 r
.89956 .5184 .90182 .5258 .90892 .52221 .90667 .51479 Metetra
.652 .777 .94 r
.90667 .51479 .90892 .52221 .91603 .51818 .9138 .51075 Metetra
.662 .782 .938 r
.9138 .51075 .91603 .51818 .92316 .51371 .92094 .50626 Metetra
.672 .786 .935 r
.92094 .50626 .92316 .51371 .93029 .50878 .92808 .50131 Metetra
.682 .791 .932 r
.92808 .50131 .93029 .50878 .93743 .50339 .93524 .4959 Metetra
.692 .795 .929 r
.93524 .4959 .93743 .50339 .94457 .49752 .9424 .49 Metetra
.84 .799 .812 r
.297 .77478 .30035 .78077 .30631 .76296 .30297 .75693 Metetra
.837 .799 .815 r
.30297 .75693 .30631 .76296 .31228 .74568 .30895 .73961 Metetra
.834 .8 .818 r
.30895 .73961 .31228 .74568 .31824 .72892 .31493 .72281 Metetra
.831 .8 .822 r
.31493 .72281 .31824 .72892 .32421 .71268 .32091 .70654 Metetra
.827 .8 .825 r
.32091 .70654 .32421 .71268 .33018 .69696 .32689 .69078 Metetra
.824 .8 .829 r
.32689 .69078 .33018 .69696 .33616 .68176 .33287 .67554 Metetra
.82 .8 .833 r
.33287 .67554 .33616 .68176 .34213 .66708 .33886 .66083 Metetra
.816 .8 .836 r
.33886 .66083 .34213 .66708 .34811 .65291 .34485 .64662 Metetra
.812 .8 .84 r
.34485 .64662 .34811 .65291 .3541 .63926 .35085 .63293 Metetra
.808 .8 .844 r
.35085 .63293 .3541 .63926 .36009 .62611 .35685 .61975 Metetra
.804 .8 .848 r
.35685 .61975 .36009 .62611 .36608 .61347 .36285 .60708 Metetra
.799 .8 .852 r
.36285 .60708 .36608 .61347 .37208 .60134 .36886 .59492 Metetra
.794 .799 .857 r
.36886 .59492 .37208 .60134 .37808 .5897 .37488 .58325 Metetra
.789 .799 .861 r
.37488 .58325 .37808 .5897 .38409 .57856 .3809 .57208 Metetra
.783 .798 .865 r
.3809 .57208 .38409 .57856 .39011 .56791 .38693 .5614 Metetra
.777 .798 .869 r
.38693 .5614 .39011 .56791 .39613 .55775 .39296 .55121 Metetra
.771 .797 .874 r
.39296 .55121 .39613 .55775 .40216 .54807 .399 .54151 Metetra
.765 .796 .878 r
.399 .54151 .40216 .54807 .4082 .53887 .40505 .53228 Metetra
.759 .795 .882 r
.40505 .53228 .4082 .53887 .41424 .53014 .4111 .52353 Metetra
.752 .794 .887 r
.4111 .52353 .41424 .53014 .4203 .52188 .41716 .51524 Metetra
.744 .792 .891 r
.41716 .51524 .4203 .52188 .42636 .51408 .42324 .50742 Metetra
.737 .79 .896 r
.42324 .50742 .42636 .51408 .43243 .50673 .42932 .50006 Metetra
.729 .789 .9 r
.42932 .50006 .43243 .50673 .4385 .49984 .4354 .49314 Metetra
.721 .787 .904 r
.4354 .49314 .4385 .49984 .44459 .49339 .4415 .48667 Metetra
.712 .784 .908 r
.4415 .48667 .44459 .49339 .45069 .48737 .44761 .48063 Metetra
.704 .782 .913 r
.44761 .48063 .45069 .48737 .4568 .48178 .45373 .47503 Metetra
.695 .779 .917 r
.45373 .47503 .4568 .48178 .46291 .47662 .45986 .46984 Metetra
.685 .777 .921 r
.45986 .46984 .46291 .47662 .46904 .47186 .466 .46507 Metetra
.675 .774 .924 r
.466 .46507 .46904 .47186 .47518 .46752 .47215 .46071 Metetra
.665 .77 .928 r
.47215 .46071 .47518 .46752 .48133 .46357 .47831 .45675 Metetra
.655 .767 .932 r
.47831 .45675 .48133 .46357 .4875 .46001 .48448 .45317 Metetra
.645 .763 .935 r
.48448 .45317 .4875 .46001 .49367 .45683 .49067 .44998 Metetra
.634 .759 .938 r
.49067 .44998 .49367 .45683 .49986 .45403 .49686 .44716 Metetra
.623 .755 .941 r
.49686 .44716 .49986 .45403 .50606 .45159 .50307 .44471 Metetra
.612 .751 .944 r
.50307 .44471 .50606 .45159 .51227 .4495 .5093 .44261 Metetra
.6 .746 .946 r
.5093 .44261 .51227 .4495 .51849 .44775 .51553 .44085 Metetra
.589 .741 .949 r
.51553 .44085 .51849 .44775 .52473 .44634 .52178 .43943 Metetra
.577 .737 .951 r
.52178 .43943 .52473 .44634 .53099 .44526 .52804 .43833 Metetra
.566 .732 .953 r
.52804 .43833 .53099 .44526 .53725 .44449 .53432 .43755 Metetra
.554 .726 .954 r
.53432 .43755 .53725 .44449 .54353 .44402 .54061 .43708 Metetra
.543 .721 .956 r
.54061 .43708 .54353 .44402 .54983 .44384 .54692 .43689 Metetra
.531 .716 .957 r
.54692 .43689 .54983 .44384 .55614 .44395 .55324 .43699 Metetra
.52 .711 .958 r
.55324 .43699 .55614 .44395 .56246 .44433 .55958 .43736 Metetra
.509 .705 .959 r
.55958 .43736 .56246 .44433 .5688 .44497 .56593 .43799 Metetra
.498 .7 .959 r
.56593 .43799 .5688 .44497 .57516 .44585 .57229 .43887 Metetra
.488 .695 .96 r
.57229 .43887 .57516 .44585 .58153 .44697 .57868 .43999 Metetra
.478 .689 .96 r
.57868 .43999 .58153 .44697 .58792 .44832 .58507 .44133 Metetra
.468 .684 .96 r
.58507 .44133 .58792 .44832 .59432 .44988 .59149 .44288 Metetra
.458 .679 .96 r
.59149 .44288 .59432 .44988 .60074 .45164 .59792 .44464 Metetra
.45 .675 .96 r
.59792 .44464 .60074 .45164 .60718 .45358 .60437 .44658 Metetra
.441 .67 .96 r
.60437 .44658 .60718 .45358 .61363 .4557 .61083 .44869 Metetra
.433 .666 .96 r
.61083 .44869 .61363 .4557 .6201 .45798 .61731 .45097 Metetra
.426 .662 .959 r
.61731 .45097 .6201 .45798 .62658 .46042 .62381 .4534 Metetra
.419 .658 .959 r
.62381 .4534 .62658 .46042 .63309 .46298 .63032 .45596 Metetra
.413 .655 .958 r
.63032 .45596 .63309 .46298 .63961 .46567 .63685 .45865 Metetra
.408 .652 .958 r
.63685 .45865 .63961 .46567 .64614 .46847 .6434 .46144 Metetra
.404 .65 .958 r
.6434 .46144 .64614 .46847 .6527 .47136 .64996 .46433 Metetra
.4 .647 .957 r
.64996 .46433 .6527 .47136 .65927 .47434 .65654 .46731 Metetra
.397 .646 .957 r
.65654 .46731 .65927 .47434 .66585 .47738 .66314 .47035 Metetra
.394 .644 .957 r
.66314 .47035 .66585 .47738 .67246 .48047 .66976 .47344 Metetra
.393 .643 .957 r
.66976 .47344 .67246 .48047 .67908 .48361 .67639 .47657 Metetra
.392 .643 .957 r
.67639 .47657 .67908 .48361 .68572 .48677 .68305 .47973 Metetra
.391 .643 .957 r
.68305 .47973 .68572 .48677 .69238 .48994 .68971 .4829 Metetra
.392 .643 .957 r
.68971 .4829 .69238 .48994 .69905 .49311 .6964 .48607 Metetra
.393 .644 .957 r
.6964 .48607 .69905 .49311 .70574 .49626 .7031 .48922 Metetra
.395 .645 .957 r
.7031 .48922 .70574 .49626 .71245 .49938 .70983 .49233 Metetra
.398 .647 .957 r
.70983 .49233 .71245 .49938 .71918 .50245 .71656 .4954 Metetra
.402 .649 .958 r
.71656 .4954 .71918 .50245 .72592 .50546 .72332 .49841 Metetra
.406 .651 .958 r
.72332 .49841 .72592 .50546 .73268 .5084 .73009 .50135 Metetra
.411 .654 .958 r
.73009 .50135 .73268 .5084 .73946 .51124 .73688 .50419 Metetra
.416 .657 .959 r
.73688 .50419 .73946 .51124 .74625 .51398 .74369 .50692 Metetra
.422 .66 .959 r
.74369 .50692 .74625 .51398 .75306 .5166 .75051 .50954 Metetra
.429 .664 .96 r
.75051 .50954 .75306 .5166 .75989 .51909 .75735 .51202 Metetra
.436 .668 .96 r
.75735 .51202 .75989 .51909 .76673 .52142 .7642 .51435 Metetra
.444 .673 .961 r
.7642 .51435 .76673 .52142 .77359 .52359 .77108 .51652 Metetra
.452 .677 .961 r
.77108 .51652 .77359 .52359 .78047 .52559 .77797 .51851 Metetra
.46 .682 .961 r
.77797 .51851 .78047 .52559 .78736 .52739 .78487 .52031 Metetra
.469 .687 .961 r
.78487 .52031 .78736 .52739 .79427 .52898 .79179 .52189 Metetra
.479 .693 .962 r
.79179 .52189 .79427 .52898 .80119 .53035 .79873 .52326 Metetra
.489 .698 .962 r
.79873 .52326 .80119 .53035 .80813 .53148 .80568 .52439 Metetra
.499 .703 .962 r
.80568 .52439 .80813 .53148 .81508 .53237 .81264 .52526 Metetra
.509 .709 .961 r
.81264 .52526 .81508 .53237 .82205 .53299 .81962 .52588 Metetra
.519 .715 .961 r
.81962 .52588 .82205 .53299 .82903 .53333 .82662 .52621 Metetra
.53 .72 .96 r
.82662 .52621 .82903 .53333 .83602 .53337 .83363 .52625 Metetra
.541 .726 .96 r
.83363 .52625 .83602 .53337 .84303 .53312 .84065 .52598 Metetra
.552 .732 .959 r
.84065 .52598 .84303 .53312 .85005 .53254 .84768 .52539 Metetra
.563 .738 .958 r
.84768 .52539 .85005 .53254 .85709 .53162 .85473 .52446 Metetra
.574 .743 .957 r
.85473 .52446 .85709 .53162 .86414 .53036 .8618 .52319 Metetra
.585 .749 .955 r
.8618 .52319 .86414 .53036 .8712 .52874 .86887 .52156 Metetra
.596 .755 .954 r
.86887 .52156 .8712 .52874 .87827 .52675 .87596 .51955 Metetra
.607 .76 .952 r
.87596 .51955 .87827 .52675 .88536 .52437 .88306 .51716 Metetra
.618 .766 .95 r
.88306 .51716 .88536 .52437 .89245 .52159 .89017 .51437 Metetra
.629 .771 .948 r
.89017 .51437 .89245 .52159 .89956 .5184 .89729 .51117 Metetra
.64 .776 .946 r
.89729 .51117 .89956 .5184 .90667 .51479 .90442 .50754 Metetra
.651 .781 .943 r
.90442 .50754 .90667 .51479 .9138 .51075 .91156 .50348 Metetra
.661 .786 .941 r
.91156 .50348 .9138 .51075 .92094 .50626 .91871 .49897 Metetra
.671 .791 .938 r
.91871 .49897 .92094 .50626 .92808 .50131 .92587 .494 Metetra
.682 .796 .935 r
.92587 .494 .92808 .50131 .93524 .4959 .93304 .48856 Metetra
.692 .8 .932 r
.93304 .48856 .93524 .4959 .9424 .49 .94022 .48265 Metetra
.841 .802 .812 r
.29363 .76895 .297 .77478 .30297 .75693 .29962 .75106 Metetra
.838 .802 .816 r
.29962 .75106 .30297 .75693 .30895 .73961 .30561 .7337 Metetra
.835 .802 .819 r
.30561 .7337 .30895 .73961 .31493 .72281 .3116 .71686 Metetra
.832 .803 .823 r
.3116 .71686 .31493 .72281 .32091 .70654 .31759 .70054 Metetra
.829 .803 .826 r
.31759 .70054 .32091 .70654 .32689 .69078 .32358 .68475 Metetra
.826 .803 .83 r
.32358 .68475 .32689 .69078 .33287 .67554 .32958 .66948 Metetra
.822 .803 .834 r
.32958 .66948 .33287 .67554 .33886 .66083 .33558 .65472 Metetra
.818 .803 .838 r
.33558 .65472 .33886 .66083 .34485 .64662 .34158 .64048 Metetra
.814 .804 .842 r
.34158 .64048 .34485 .64662 .35085 .63293 .34758 .62676 Metetra
.81 .803 .846 r
.34758 .62676 .35085 .63293 .35685 .61975 .3536 .61355 Metetra
.805 .803 .85 r
.3536 .61355 .35685 .61975 .36285 .60708 .35961 .60085 Metetra
.8 .803 .854 r
.35961 .60085 .36285 .60708 .36886 .59492 .36563 .58865 Metetra
.795 .803 .858 r
.36563 .58865 .36886 .59492 .37488 .58325 .37166 .57695 Metetra
.79 .802 .862 r
.37166 .57695 .37488 .58325 .3809 .57208 .37769 .56575 Metetra
.785 .802 .867 r
.37769 .56575 .3809 .57208 .38693 .5614 .38373 .55505 Metetra
.779 .801 .871 r
.38373 .55505 .38693 .5614 .39296 .55121 .38977 .54483 Metetra
.773 .801 .875 r
.38977 .54483 .39296 .55121 .399 .54151 .39582 .5351 Metetra
.766 .8 .88 r
.39582 .5351 .399 .54151 .40505 .53228 .40188 .52585 Metetra
.76 .799 .884 r
.40188 .52585 .40505 .53228 .4111 .52353 .40795 .51707 Metetra
.753 .797 .889 r
.40795 .51707 .4111 .52353 .41716 .51524 .41402 .50876 Metetra
.745 .796 .893 r
.41402 .50876 .41716 .51524 .42324 .50742 .4201 .50092 Metetra
.738 .794 .898 r
.4201 .50092 .42324 .50742 .42932 .50006 .42619 .49353 Metetra
.73 .793 .902 r
.42619 .49353 .42932 .50006 .4354 .49314 .43229 .48659 Metetra
.721 .791 .907 r
.43229 .48659 .4354 .49314 .4415 .48667 .4384 .4801 Metetra
.713 .789 .911 r
.4384 .4801 .4415 .48667 .44761 .48063 .44452 .47404 Metetra
.704 .786 .915 r
.44452 .47404 .44761 .48063 .45373 .47503 .45065 .46842 Metetra
.695 .784 .919 r
.45065 .46842 .45373 .47503 .45986 .46984 .45678 .46322 Metetra
.685 .781 .923 r
.45678 .46322 .45986 .46984 .466 .46507 .46293 .45843 Metetra
.675 .778 .927 r
.46293 .45843 .466 .46507 .47215 .46071 .4691 .45405 Metetra
.665 .774 .931 r
.4691 .45405 .47215 .46071 .47831 .45675 .47527 .45007 Metetra
.654 .771 .935 r
.47527 .45007 .47831 .45675 .48448 .45317 .48145 .44648 Metetra
.644 .767 .938 r
.48145 .44648 .48448 .45317 .49067 .44998 .48765 .44328 Metetra
.633 .763 .941 r
.48765 .44328 .49067 .44998 .49686 .44716 .49385 .44045 Metetra
.621 .759 .944 r
.49385 .44045 .49686 .44716 .50307 .44471 .50008 .43798 Metetra
.61 .755 .947 r
.50008 .43798 .50307 .44471 .5093 .44261 .50631 .43587 Metetra
.598 .75 .95 r
.50631 .43587 .5093 .44261 .51553 .44085 .51256 .4341 Metetra
.587 .745 .952 r
.51256 .4341 .51553 .44085 .52178 .43943 .51882 .43267 Metetra
.575 .74 .954 r
.51882 .43267 .52178 .43943 .52804 .43833 .52509 .43156 Metetra
.563 .735 .956 r
.52509 .43156 .52804 .43833 .53432 .43755 .53138 .43077 Metetra
.551 .73 .958 r
.53138 .43077 .53432 .43755 .54061 .43708 .53768 .43029 Metetra
.539 .724 .959 r
.53768 .43029 .54061 .43708 .54692 .43689 .544 .43009 Metetra
.528 .719 .96 r
.544 .43009 .54692 .43689 .55324 .43699 .55033 .43019 Metetra
.516 .714 .961 r
.55033 .43019 .55324 .43699 .55958 .43736 .55668 .43055 Metetra
.505 .708 .962 r
.55668 .43055 .55958 .43736 .56593 .43799 .56304 .43117 Metetra
.493 .703 .963 r
.56304 .43117 .56593 .43799 .57229 .43887 .56942 .43205 Metetra
.483 .697 .963 r
.56942 .43205 .57229 .43887 .57868 .43999 .57581 .43316 Metetra
.472 .692 .963 r
.57581 .43316 .57868 .43999 .58507 .44133 .58222 .43449 Metetra
.462 .687 .963 r
.58222 .43449 .58507 .44133 .59149 .44288 .58864 .43604 Metetra
.452 .682 .963 r
.58864 .43604 .59149 .44288 .59792 .44464 .59508 .43779 Metetra
.443 .677 .963 r
.59508 .43779 .59792 .44464 .60437 .44658 .60154 .43973 Metetra
.435 .672 .963 r
.60154 .43973 .60437 .44658 .61083 .44869 .60802 .44184 Metetra
.426 .668 .962 r
.60802 .44184 .61083 .44869 .61731 .45097 .61451 .44412 Metetra
.419 .664 .962 r
.61451 .44412 .61731 .45097 .62381 .4534 .62102 .44654 Metetra
.412 .66 .961 r
.62102 .44654 .62381 .4534 .63032 .45596 .62754 .4491 Metetra
.406 .656 .961 r
.62754 .4491 .63032 .45596 .63685 .45865 .63408 .45178 Metetra
.401 .653 .961 r
.63408 .45178 .63685 .45865 .6434 .46144 .64064 .45458 Metetra
.396 .651 .96 r
.64064 .45458 .6434 .46144 .64996 .46433 .64722 .45746 Metetra
.392 .648 .96 r
.64722 .45746 .64996 .46433 .65654 .46731 .65381 .46043 Metetra
.389 .647 .959 r
.65381 .46043 .65654 .46731 .66314 .47035 .66042 .46347 Metetra
.386 .645 .959 r
.66042 .46347 .66314 .47035 .66976 .47344 .66705 .46656 Metetra
.384 .644 .959 r
.66705 .46656 .66976 .47344 .67639 .47657 .6737 .46969 Metetra
.384 .644 .959 r
.6737 .46969 .67639 .47657 .68305 .47973 .68036 .47285 Metetra
.383 .644 .959 r
.68036 .47285 .68305 .47973 .68971 .4829 .68704 .47602 Metetra
.384 .644 .959 r
.68704 .47602 .68971 .4829 .6964 .48607 .69374 .47919 Metetra
.385 .645 .959 r
.69374 .47919 .6964 .48607 .7031 .48922 .70045 .48233 Metetra
.387 .646 .959 r
.70045 .48233 .7031 .48922 .70983 .49233 .70719 .48545 Metetra
.39 .648 .96 r
.70719 .48545 .70983 .49233 .71656 .4954 .71394 .48852 Metetra
.394 .65 .96 r
.71394 .48852 .71656 .4954 .72332 .49841 .72071 .49152 Metetra
.398 .652 .96 r
.72071 .49152 .72332 .49841 .73009 .50135 .72749 .49445 Metetra
.403 .655 .961 r
.72749 .49445 .73009 .50135 .73688 .50419 .73429 .49729 Metetra
.409 .658 .961 r
.73429 .49729 .73688 .50419 .74369 .50692 .74111 .50003 Metetra
.415 .662 .962 r
.74111 .50003 .74369 .50692 .75051 .50954 .74795 .50264 Metetra
.422 .666 .962 r
.74795 .50264 .75051 .50954 .75735 .51202 .7548 .50512 Metetra
.429 .67 .963 r
.7548 .50512 .75735 .51202 .7642 .51435 .76167 .50745 Metetra
.437 .675 .963 r
.76167 .50745 .7642 .51435 .77108 .51652 .76855 .50961 Metetra
.445 .679 .964 r
.76855 .50961 .77108 .51652 .77797 .51851 .77545 .5116 Metetra
.454 .684 .964 r
.77545 .5116 .77797 .51851 .78487 .52031 .78237 .51339 Metetra
.464 .69 .964 r
.78237 .51339 .78487 .52031 .79179 .52189 .7893 .51497 Metetra
.473 .695 .965 r
.7893 .51497 .79179 .52189 .79873 .52326 .79625 .51633 Metetra
.483 .701 .965 r
.79625 .51633 .79873 .52326 .80568 .52439 .80322 .51745 Metetra
.494 .706 .965 r
.80322 .51745 .80568 .52439 .81264 .52526 .8102 .51832 Metetra
.504 .712 .965 r
.8102 .51832 .81264 .52526 .81962 .52588 .81719 .51892 Metetra
.515 .718 .964 r
.81719 .51892 .81962 .52588 .82662 .52621 .8242 .51925 Metetra
.526 .724 .964 r
.8242 .51925 .82662 .52621 .83363 .52625 .83122 .51928 Metetra
.537 .73 .963 r
.83122 .51928 .83363 .52625 .84065 .52598 .83826 .519 Metetra
.548 .736 .962 r
.83826 .519 .84065 .52598 .84768 .52539 .84531 .5184 Metetra
.56 .741 .961 r
.84531 .5184 .84768 .52539 .85473 .52446 .85237 .51747 Metetra
.571 .747 .96 r
.85237 .51747 .85473 .52446 .8618 .52319 .85945 .51619 Metetra
.582 .753 .959 r
.85945 .51619 .8618 .52319 .86887 .52156 .86653 .51454 Metetra
.594 .759 .957 r
.86653 .51454 .86887 .52156 .87596 .51955 .87364 .51252 Metetra
.605 .764 .956 r
.87364 .51252 .87596 .51955 .88306 .51716 .88075 .51011 Metetra
.616 .77 .954 r
.88075 .51011 .88306 .51716 .89017 .51437 .88787 .50731 Metetra
.628 .775 .951 r
.88787 .50731 .89017 .51437 .89729 .51117 .89501 .50409 Metetra
.639 .781 .949 r
.89501 .50409 .89729 .51117 .90442 .50754 .90215 .50044 Metetra
.65 .786 .947 r
.90215 .50044 .90442 .50754 .91156 .50348 .90931 .49636 Metetra
.66 .791 .944 r
.90931 .49636 .91156 .50348 .91871 .49897 .91648 .49184 Metetra
.671 .795 .941 r
.91648 .49184 .91871 .49897 .92587 .494 .92365 .48685 Metetra
.681 .8 .938 r
.92365 .48685 .92587 .494 .93304 .48856 .93083 .48139 Metetra
.691 .805 .935 r
.93083 .48139 .93304 .48856 .94022 .48265 .93803 .47545 Metetra
.843 .804 .813 r
.29025 .76327 .29363 .76895 .29962 .75106 .29625 .74534 Metetra
.84 .805 .817 r
.29625 .74534 .29962 .75106 .30561 .7337 .30225 .72793 Metetra
.837 .805 .82 r
.30225 .72793 .30561 .7337 .3116 .71686 .30825 .71106 Metetra
.834 .806 .824 r
.30825 .71106 .3116 .71686 .31759 .70054 .31425 .6947 Metetra
.831 .806 .827 r
.31425 .6947 .31759 .70054 .32358 .68475 .32025 .67887 Metetra
.827 .806 .831 r
.32025 .67887 .32358 .68475 .32958 .66948 .32626 .66356 Metetra
.823 .806 .835 r
.32626 .66356 .32958 .66948 .33558 .65472 .33227 .64877 Metetra
.82 .807 .839 r
.33227 .64877 .33558 .65472 .34158 .64048 .33829 .6345 Metetra
.815 .807 .843 r
.33829 .6345 .34158 .64048 .34758 .62676 .3443 .62074 Metetra
.811 .807 .847 r
.3443 .62074 .34758 .62676 .3536 .61355 .35033 .6075 Metetra
.807 .807 .851 r
.35033 .6075 .3536 .61355 .35961 .60085 .35635 .59476 Metetra
.802 .807 .855 r
.35635 .59476 .35961 .60085 .36563 .58865 .36238 .58253 Metetra
.797 .806 .86 r
.36238 .58253 .36563 .58865 .37166 .57695 .36842 .57081 Metetra
.791 .806 .864 r
.36842 .57081 .37166 .57695 .37769 .56575 .37446 .55958 Metetra
.786 .806 .868 r
.37446 .55958 .37769 .56575 .38373 .55505 .38051 .54884 Metetra
.78 .805 .873 r
.38051 .54884 .38373 .55505 .38977 .54483 .38657 .5386 Metetra
.774 .804 .877 r
.38657 .5386 .38977 .54483 .39582 .5351 .39263 .52884 Metetra
.768 .803 .882 r
.39263 .52884 .39582 .5351 .40188 .52585 .3987 .51957 Metetra
.761 .802 .886 r
.3987 .51957 .40188 .52585 .40795 .51707 .40477 .51076 Metetra
.754 .801 .891 r
.40477 .51076 .40795 .51707 .41402 .50876 .41086 .50243 Metetra
.746 .8 .896 r
.41086 .50243 .41402 .50876 .4201 .50092 .41695 .49456 Metetra
.739 .798 .9 r
.41695 .49456 .4201 .50092 .42619 .49353 .42305 .48715 Metetra
.73 .797 .905 r
.42305 .48715 .42619 .49353 .43229 .48659 .42916 .4802 Metetra
.722 .795 .909 r
.42916 .4802 .43229 .48659 .4384 .4801 .43528 .47368 Metetra
.713 .793 .914 r
.43528 .47368 .4384 .4801 .44452 .47404 .44141 .46761 Metetra
.704 .79 .918 r
.44141 .46761 .44452 .47404 .45065 .46842 .44755 .46196 Metetra
.695 .788 .922 r
.44755 .46196 .45065 .46842 .45678 .46322 .4537 .45675 Metetra
.685 .785 .926 r
.4537 .45675 .45678 .46322 .46293 .45843 .45986 .45194 Metetra
.675 .782 .93 r
.45986 .45194 .46293 .45843 .4691 .45405 .46603 .44755 Metetra
.664 .779 .934 r
.46603 .44755 .4691 .45405 .47527 .45007 .47221 .44355 Metetra
.654 .775 .938 r
.47221 .44355 .47527 .45007 .48145 .44648 .47841 .43995 Metetra
.643 .771 .941 r
.47841 .43995 .48145 .44648 .48765 .44328 .48461 .43673 Metetra
.631 .767 .945 r
.48461 .43673 .48765 .44328 .49385 .44045 .49083 .43388 Metetra
.62 .763 .948 r
.49083 .43388 .49385 .44045 .50008 .43798 .49706 .4314 Metetra
.608 .759 .951 r
.49706 .4314 .50008 .43798 .50631 .43587 .50331 .42928 Metetra
.596 .754 .953 r
.50331 .42928 .50631 .43587 .51256 .4341 .50957 .4275 Metetra
.584 .749 .956 r
.50957 .4275 .51256 .4341 .51882 .43267 .51584 .42606 Metetra
.572 .744 .958 r
.51584 .42606 .51882 .43267 .52509 .43156 .52212 .42494 Metetra
.56 .739 .96 r
.52212 .42494 .52509 .43156 .53138 .43077 .52842 .42414 Metetra
.548 .733 .961 r
.52842 .42414 .53138 .43077 .53768 .43029 .53473 .42365 Metetra
.536 .728 .963 r
.53473 .42365 .53768 .43029 .544 .43009 .54106 .42345 Metetra
.524 .722 .964 r
.54106 .42345 .544 .43009 .55033 .43019 .5474 .42353 Metetra
.512 .717 .965 r
.5474 .42353 .55033 .43019 .55668 .43055 .55376 .42389 Metetra
.5 .711 .965 r
.55376 .42389 .55668 .43055 .56304 .43117 .56014 .42451 Metetra
.488 .705 .966 r
.56014 .42451 .56304 .43117 .56942 .43205 .56652 .42538 Metetra
.477 .7 .966 r
.56652 .42538 .56942 .43205 .57581 .43316 .57293 .42648 Metetra
.466 .694 .966 r
.57293 .42648 .57581 .43316 .58222 .43449 .57935 .42781 Metetra
.456 .689 .966 r
.57935 .42781 .58222 .43449 .58864 .43604 .58578 .42935 Metetra
.446 .684 .966 r
.58578 .42935 .58864 .43604 .59508 .43779 .59224 .4311 Metetra
.437 .679 .966 r
.59224 .4311 .59508 .43779 .60154 .43973 .59871 .43303 Metetra
.428 .674 .965 r
.59871 .43303 .60154 .43973 .60802 .44184 .60519 .43514 Metetra
.419 .669 .965 r
.60519 .43514 .60802 .44184 .61451 .44412 .61169 .43741 Metetra
.412 .665 .964 r
.61169 .43741 .61451 .44412 .62102 .44654 .61821 .43983 Metetra
.405 .661 .964 r
.61821 .43983 .62102 .44654 .62754 .4491 .62475 .44239 Metetra
.398 .658 .963 r
.62475 .44239 .62754 .4491 .63408 .45178 .6313 .44507 Metetra
.393 .654 .963 r
.6313 .44507 .63408 .45178 .64064 .45458 .63787 .44786 Metetra
.388 .652 .962 r
.63787 .44786 .64064 .45458 .64722 .45746 .64446 .45075 Metetra
.384 .649 .962 r
.64446 .45075 .64722 .45746 .65381 .46043 .65107 .45372 Metetra
.38 .647 .962 r
.65107 .45372 .65381 .46043 .66042 .46347 .65769 .45675 Metetra
.378 .646 .961 r
.65769 .45675 .66042 .46347 .66705 .46656 .66433 .45984 Metetra
.376 .645 .961 r
.66433 .45984 .66705 .46656 .6737 .46969 .67099 .46297 Metetra
.375 .644 .961 r
.67099 .46297 .6737 .46969 .68036 .47285 .67766 .46613 Metetra
.375 .644 .961 r
.67766 .46613 .68036 .47285 .68704 .47602 .68436 .4693 Metetra
.375 .645 .961 r
.68436 .4693 .68704 .47602 .69374 .47919 .69107 .47246 Metetra
.377 .645 .961 r
.69107 .47246 .69374 .47919 .70045 .48233 .69779 .47561 Metetra
.379 .647 .961 r
.69779 .47561 .70045 .48233 .70719 .48545 .70454 .47872 Metetra
.382 .648 .962 r
.70454 .47872 .70719 .48545 .71394 .48852 .7113 .48179 Metetra
.386 .651 .962 r
.7113 .48179 .71394 .48852 .72071 .49152 .71808 .48479 Metetra
.39 .653 .963 r
.71808 .48479 .72071 .49152 .72749 .49445 .72488 .48772 Metetra
.395 .656 .963 r
.72488 .48772 .72749 .49445 .73429 .49729 .73169 .49056 Metetra
.401 .66 .964 r
.73169 .49056 .73429 .49729 .74111 .50003 .73852 .49329 Metetra
.407 .663 .964 r
.73852 .49329 .74111 .50003 .74795 .50264 .74537 .4959 Metetra
.414 .667 .965 r
.74537 .4959 .74795 .50264 .7548 .50512 .75224 .49837 Metetra
.422 .672 .966 r
.75224 .49837 .7548 .50512 .76167 .50745 .75912 .5007 Metetra
.43 .676 .966 r
.75912 .5007 .76167 .50745 .76855 .50961 .76602 .50286 Metetra
.439 .681 .967 r
.76602 .50286 .76855 .50961 .77545 .5116 .77293 .50484 Metetra
.448 .686 .967 r
.77293 .50484 .77545 .5116 .78237 .51339 .77986 .50663 Metetra
.458 .692 .967 r
.77986 .50663 .78237 .51339 .7893 .51497 .78681 .5082 Metetra
.467 .697 .968 r
.78681 .5082 .7893 .51497 .79625 .51633 .79377 .50956 Metetra
.478 .703 .968 r
.79377 .50956 .79625 .51633 .80322 .51745 .80075 .51067 Metetra
.488 .709 .968 r
.80075 .51067 .80322 .51745 .8102 .51832 .80774 .51154 Metetra
.499 .715 .968 r
.80774 .51154 .8102 .51832 .81719 .51892 .81475 .51214 Metetra
.51 .721 .968 r
.81475 .51214 .81719 .51892 .8242 .51925 .82177 .51245 Metetra
.522 .727 .967 r
.82177 .51245 .8242 .51925 .83122 .51928 .8288 .51247 Metetra
.533 .733 .967 r
.8288 .51247 .83122 .51928 .83826 .519 .83586 .51219 Metetra
.545 .739 .966 r
.83586 .51219 .83826 .519 .84531 .5184 .84292 .51158 Metetra
.556 .745 .965 r
.84292 .51158 .84531 .5184 .85237 .51747 .85 .51063 Metetra
.568 .751 .964 r
.85 .51063 .85237 .51747 .85945 .51619 .85709 .50934 Metetra
.58 .757 .962 r
.85709 .50934 .85945 .51619 .86653 .51454 .86419 .50768 Metetra
.591 .763 .961 r
.86419 .50768 .86653 .51454 .87364 .51252 .87131 .50565 Metetra
.603 .768 .959 r
.87131 .50565 .87364 .51252 .88075 .51011 .87843 .50323 Metetra
.615 .774 .957 r
.87843 .50323 .88075 .51011 .88787 .50731 .88557 .50041 Metetra
.626 .78 .955 r
.88557 .50041 .88787 .50731 .89501 .50409 .89272 .49717 Metetra
.637 .785 .952 r
.89272 .49717 .89501 .50409 .90215 .50044 .89988 .49351 Metetra
.648 .79 .95 r
.89988 .49351 .90215 .50044 .90931 .49636 .90705 .48942 Metetra
.659 .795 .947 r
.90705 .48942 .90931 .49636 .91648 .49184 .91423 .48487 Metetra
.67 .8 .944 r
.91423 .48487 .91648 .49184 .92365 .48685 .92142 .47986 Metetra
.681 .805 .941 r
.92142 .47986 .92365 .48685 .93083 .48139 .92862 .47439 Metetra
.691 .809 .938 r
.92862 .47439 .93083 .48139 .93803 .47545 .93583 .46843 Metetra
.844 .807 .814 r
.28685 .75775 .29025 .76327 .29625 .74534 .29286 .73977 Metetra
.842 .807 .817 r
.29286 .73977 .29625 .74534 .30225 .72793 .29887 .72233 Metetra
.839 .808 .821 r
.29887 .72233 .30225 .72793 .30825 .71106 .30488 .70541 Metetra
.835 .808 .824 r
.30488 .70541 .30825 .71106 .31425 .6947 .3109 .68902 Metetra
.832 .809 .828 r
.3109 .68902 .31425 .6947 .32025 .67887 .31691 .67315 Metetra
.829 .809 .832 r
.31691 .67315 .32025 .67887 .32626 .66356 .32293 .6578 Metetra
.825 .809 .836 r
.32293 .6578 .32626 .66356 .33227 .64877 .32895 .64297 Metetra
.821 .81 .84 r
.32895 .64297 .33227 .64877 .33829 .6345 .33498 .62867 Metetra
.817 .81 .844 r
.33498 .62867 .33829 .6345 .3443 .62074 .34101 .61488 Metetra
.813 .81 .848 r
.34101 .61488 .3443 .62074 .35033 .6075 .34704 .6016 Metetra
.808 .81 .852 r
.34704 .6016 .35033 .6075 .35635 .59476 .35308 .58883 Metetra
.803 .81 .857 r
.35308 .58883 .35635 .59476 .36238 .58253 .35912 .57657 Metetra
.798 .81 .861 r
.35912 .57657 .36238 .58253 .36842 .57081 .36517 .56481 Metetra
.793 .81 .865 r
.36517 .56481 .36842 .57081 .37446 .55958 .37122 .55356 Metetra
.787 .809 .87 r
.37122 .55356 .37446 .55958 .38051 .54884 .37728 .5428 Metetra
.781 .809 .875 r
.37728 .5428 .38051 .54884 .38657 .5386 .38335 .53252 Metetra
.775 .808 .879 r
.38335 .53252 .38657 .5386 .39263 .52884 .38942 .52274 Metetra
.769 .807 .884 r
.38942 .52274 .39263 .52884 .3987 .51957 .3955 .51344 Metetra
.762 .806 .888 r
.3955 .51344 .3987 .51957 .40477 .51076 .40159 .50461 Metetra
.755 .805 .893 r
.40159 .50461 .40477 .51076 .41086 .50243 .40768 .49626 Metetra
.747 .804 .898 r
.40768 .49626 .41086 .50243 .41695 .49456 .41379 .48836 Metetra
.739 .803 .903 r
.41379 .48836 .41695 .49456 .42305 .48715 .4199 .48093 Metetra
.731 .801 .907 r
.4199 .48093 .42305 .48715 .42916 .4802 .42602 .47395 Metetra
.723 .799 .912 r
.42602 .47395 .42916 .4802 .43528 .47368 .43215 .46742 Metetra
.714 .797 .916 r
.43215 .46742 .43528 .47368 .44141 .46761 .43829 .46133 Metetra
.704 .795 .921 r
.43829 .46133 .44141 .46761 .44755 .46196 .44444 .45566 Metetra
.695 .792 .925 r
.44444 .45566 .44755 .46196 .4537 .45675 .4506 .45043 Metetra
.685 .789 .929 r
.4506 .45043 .4537 .45675 .45986 .45194 .45677 .44561 Metetra
.675 .786 .933 r
.45677 .44561 .45986 .45194 .46603 .44755 .46295 .44119 Metetra
.664 .783 .937 r
.46295 .44119 .46603 .44755 .47221 .44355 .46915 .43718 Metetra
.653 .779 .941 r
.46915 .43718 .47221 .44355 .47841 .43995 .47535 .43357 Metetra
.642 .775 .945 r
.47535 .43357 .47841 .43995 .48461 .43673 .48157 .43033 Metetra
.63 .771 .948 r
.48157 .43033 .48461 .43673 .49083 .43388 .4878 .42747 Metetra
.618 .767 .951 r
.4878 .42747 .49083 .43388 .49706 .4314 .49404 .42498 Metetra
.606 .763 .954 r
.49404 .42498 .49706 .4314 .50331 .42928 .50029 .42285 Metetra
.594 .758 .957 r
.50029 .42285 .50331 .42928 .50957 .4275 .50656 .42106 Metetra
.582 .753 .959 r
.50656 .42106 .50957 .4275 .51584 .42606 .51284 .4196 Metetra
.569 .748 .961 r
.51284 .4196 .51584 .42606 .52212 .42494 .51914 .41848 Metetra
.557 .742 .963 r
.51914 .41848 .52212 .42494 .52842 .42414 .52545 .41767 Metetra
.544 .737 .965 r
.52545 .41767 .52842 .42414 .53473 .42365 .53177 .41717 Metetra
.532 .731 .966 r
.53177 .41717 .53473 .42365 .54106 .42345 .53811 .41696 Metetra
.519 .725 .967 r
.53811 .41696 .54106 .42345 .5474 .42353 .54447 .41704 Metetra
.507 .72 .968 r
.54447 .41704 .5474 .42353 .55376 .42389 .55084 .41739 Metetra
.495 .714 .969 r
.55084 .41739 .55376 .42389 .56014 .42451 .55722 .418 Metetra
.483 .708 .969 r
.55722 .418 .56014 .42451 .56652 .42538 .56362 .41886 Metetra
.471 .702 .969 r
.56362 .41886 .56652 .42538 .57293 .42648 .57003 .41996 Metetra
.46 .696 .969 r
.57003 .41996 .57293 .42648 .57935 .42781 .57647 .42128 Metetra
.45 .691 .969 r
.57647 .42128 .57935 .42781 .58578 .42935 .58291 .42282 Metetra
.439 .686 .969 r
.58291 .42282 .58578 .42935 .59224 .4311 .58938 .42456 Metetra
.43 .68 .968 r
.58938 .42456 .59224 .4311 .59871 .43303 .59586 .42649 Metetra
.42 .675 .968 r
.59586 .42649 .59871 .43303 .60519 .43514 .60235 .4286 Metetra
.412 .671 .967 r
.60235 .4286 .60519 .43514 .61169 .43741 .60887 .43087 Metetra
.404 .666 .967 r
.60887 .43087 .61169 .43741 .61821 .43983 .6154 .43329 Metetra
.397 .662 .966 r
.6154 .43329 .61821 .43983 .62475 .44239 .62195 .43584 Metetra
.39 .659 .965 r
.62195 .43584 .62475 .44239 .6313 .44507 .62851 .43852 Metetra
.384 .655 .965 r
.62851 .43852 .6313 .44507 .63787 .44786 .63509 .44131 Metetra
.379 .653 .964 r
.63509 .44131 .63787 .44786 .64446 .45075 .64169 .44419 Metetra
.375 .65 .964 r
.64169 .44419 .64446 .45075 .65107 .45372 .64831 .44716 Metetra
.371 .648 .963 r
.64831 .44716 .65107 .45372 .65769 .45675 .65494 .45019 Metetra
.369 .647 .963 r
.65494 .45019 .65769 .45675 .66433 .45984 .6616 .45328 Metetra
.367 .646 .963 r
.6616 .45328 .66433 .45984 .67099 .46297 .66827 .45641 Metetra
.366 .645 .963 r
.66827 .45641 .67099 .46297 .67766 .46613 .67495 .45956 Metetra
.366 .645 .963 r
.67495 .45956 .67766 .46613 .68436 .4693 .68166 .46273 Metetra
.366 .645 .963 r
.68166 .46273 .68436 .4693 .69107 .47246 .68838 .46589 Metetra
.368 .646 .963 r
.68838 .46589 .69107 .47246 .69779 .47561 .69512 .46904 Metetra
.37 .647 .963 r
.69512 .46904 .69779 .47561 .70454 .47872 .70188 .47215 Metetra
.373 .649 .964 r
.70188 .47215 .70454 .47872 .7113 .48179 .70865 .47521 Metetra
.377 .651 .964 r
.70865 .47521 .7113 .48179 .71808 .48479 .71544 .47822 Metetra
.382 .654 .965 r
.71544 .47822 .71808 .48479 .72488 .48772 .72225 .48114 Metetra
.387 .657 .965 r
.72225 .48114 .72488 .48772 .73169 .49056 .72908 .48398 Metetra
.393 .661 .966 r
.72908 .48398 .73169 .49056 .73852 .49329 .73593 .48671 Metetra
.399 .664 .967 r
.73593 .48671 .73852 .49329 .74537 .4959 .74279 .48932 Metetra
.407 .669 .967 r
.74279 .48932 .74537 .4959 .75224 .49837 .74966 .49179 Metetra
.415 .673 .968 r
.74966 .49179 .75224 .49837 .75912 .5007 .75656 .49411 Metetra
.423 .678 .969 r
.75656 .49411 .75912 .5007 .76602 .50286 .76347 .49627 Metetra
.432 .683 .969 r
.76347 .49627 .76602 .50286 .77293 .50484 .7704 .49825 Metetra
.441 .688 .97 r
.7704 .49825 .77293 .50484 .77986 .50663 .77734 .50003 Metetra
.451 .694 .97 r
.77734 .50003 .77986 .50663 .78681 .5082 .7843 .5016 Metetra
.461 .7 .971 r
.7843 .5016 .78681 .5082 .79377 .50956 .79128 .50295 Metetra
.472 .706 .971 r
.79128 .50295 .79377 .50956 .80075 .51067 .79827 .50406 Metetra
.483 .712 .971 r
.79827 .50406 .80075 .51067 .80774 .51154 .80527 .50492 Metetra
.494 .718 .971 r
.80527 .50492 .80774 .51154 .81475 .51214 .81229 .50551 Metetra
.506 .724 .971 r
.81229 .50551 .81475 .51214 .82177 .51245 .81933 .50582 Metetra
.517 .73 .97 r
.81933 .50582 .82177 .51245 .8288 .51247 .82638 .50583 Metetra
.529 .736 .97 r
.82638 .50583 .8288 .51247 .83586 .51219 .83344 .50554 Metetra
.541 .742 .969 r
.83344 .50554 .83586 .51219 .84292 .51158 .84052 .50492 Metetra
.553 .749 .968 r
.84052 .50492 .84292 .51158 .85 .51063 .84761 .50396 Metetra
.565 .755 .967 r
.84761 .50396 .85 .51063 .85709 .50934 .85472 .50266 Metetra
.577 .761 .966 r
.85472 .50266 .85709 .50934 .86419 .50768 .86184 .50099 Metetra
.589 .767 .964 r
.86184 .50099 .86419 .50768 .87131 .50565 .86897 .49894 Metetra
.601 .773 .962 r
.86897 .49894 .87131 .50565 .87843 .50323 .87611 .49651 Metetra
.612 .778 .96 r
.87611 .49651 .87843 .50323 .88557 .50041 .88326 .49367 Metetra
.624 .784 .958 r
.88326 .49367 .88557 .50041 .89272 .49717 .89043 .49042 Metetra
.636 .789 .956 r
.89043 .49042 .89272 .49717 .89988 .49351 .8976 .48675 Metetra
.647 .795 .953 r
.8976 .48675 .89988 .49351 .90705 .48942 .90479 .48263 Metetra
.658 .8 .95 r
.90479 .48263 .90705 .48942 .91423 .48487 .91198 .47807 Metetra
.669 .805 .948 r
.91198 .47807 .91423 .48487 .92142 .47986 .91919 .47304 Metetra
.68 .809 .944 r
.91919 .47304 .92142 .47986 .92862 .47439 .9264 .46754 Metetra
.691 .814 .941 r
.9264 .46754 .92862 .47439 .93583 .46843 .93362 .46156 Metetra
.846 .81 .815 r
.28344 .75238 .28685 .75775 .29286 .73977 .28946 .73436 Metetra
.843 .81 .818 r
.28946 .73436 .29286 .73977 .29887 .72233 .29548 .71688 Metetra
.84 .811 .822 r
.29548 .71688 .29887 .72233 .30488 .70541 .3015 .69992 Metetra
.837 .811 .825 r
.3015 .69992 .30488 .70541 .3109 .68902 .30753 .68349 Metetra
.834 .812 .829 r
.30753 .68349 .3109 .68902 .31691 .67315 .31356 .66758 Metetra
.83 .812 .833 r
.31356 .66758 .31691 .67315 .32293 .6578 .31959 .6522 Metetra
.827 .813 .837 r
.31959 .6522 .32293 .6578 .32895 .64297 .32562 .63733 Metetra
.823 .813 .841 r
.32562 .63733 .32895 .64297 .33498 .62867 .33166 .62299 Metetra
.819 .813 .845 r
.33166 .62299 .33498 .62867 .34101 .61488 .3377 .60917 Metetra
.814 .813 .849 r
.3377 .60917 .34101 .61488 .34704 .6016 .34374 .59585 Metetra
.81 .813 .854 r
.34374 .59585 .34704 .6016 .35308 .58883 .34979 .58306 Metetra
.805 .814 .858 r
.34979 .58306 .35308 .58883 .35912 .57657 .35584 .57076 Metetra
.8 .813 .862 r
.35584 .57076 .35912 .57657 .36517 .56481 .3619 .55898 Metetra
.794 .813 .867 r
.3619 .55898 .36517 .56481 .37122 .55356 .36797 .54769 Metetra
.789 .813 .872 r
.36797 .54769 .37122 .55356 .37728 .5428 .37404 .5369 Metetra
.783 .813 .876 r
.37404 .5369 .37728 .5428 .38335 .53252 .38011 .5266 Metetra
.776 .812 .881 r
.38011 .5266 .38335 .53252 .38942 .52274 .3862 .51679 Metetra
.77 .811 .886 r
.3862 .51679 .38942 .52274 .3955 .51344 .39229 .50746 Metetra
.763 .81 .891 r
.39229 .50746 .3955 .51344 .40159 .50461 .39839 .49861 Metetra
.756 .809 .895 r
.39839 .49861 .40159 .50461 .40768 .49626 .40449 .49023 Metetra
.748 .808 .9 r
.40449 .49023 .40768 .49626 .41379 .48836 .41061 .48232 Metetra
.74 .807 .905 r
.41061 .48232 .41379 .48836 .4199 .48093 .41673 .47486 Metetra
.732 .805 .91 r
.41673 .47486 .4199 .48093 .42602 .47395 .42286 .46786 Metetra
.723 .803 .914 r
.42286 .46786 .42602 .47395 .43215 .46742 .429 .46131 Metetra
.714 .801 .919 r
.429 .46131 .43215 .46742 .43829 .46133 .43515 .4552 Metetra
.705 .799 .923 r
.43515 .4552 .43829 .46133 .44444 .45566 .44131 .44952 Metetra
.695 .796 .928 r
.44131 .44952 .44444 .45566 .4506 .45043 .44748 .44426 Metetra
.685 .794 .932 r
.44748 .44426 .4506 .45043 .45677 .44561 .45367 .43942 Metetra
.674 .791 .936 r
.45367 .43942 .45677 .44561 .46295 .44119 .45986 .435 Metetra
.663 .787 .94 r
.45986 .435 .46295 .44119 .46915 .43718 .46606 .43097 Metetra
.652 .784 .944 r
.46606 .43097 .46915 .43718 .47535 .43357 .47228 .42734 Metetra
.64 .78 .948 r
.47228 .42734 .47535 .43357 .48157 .43033 .47851 .42409 Metetra
.629 .776 .951 r
.47851 .42409 .48157 .43033 .4878 .42747 .48475 .42122 Metetra
.617 .771 .954 r
.48475 .42122 .4878 .42747 .49404 .42498 .491 .41871 Metetra
.604 .767 .957 r
.491 .41871 .49404 .42498 .50029 .42285 .49727 .41657 Metetra
.592 .762 .96 r
.49727 .41657 .50029 .42285 .50656 .42106 .50355 .41477 Metetra
.579 .757 .962 r
.50355 .41477 .50656 .42106 .51284 .4196 .50984 .4133 Metetra
.566 .751 .965 r
.50984 .4133 .51284 .4196 .51914 .41848 .51615 .41217 Metetra
.553 .746 .966 r
.51615 .41217 .51914 .41848 .52545 .41767 .52247 .41135 Metetra
.54 .74 .968 r
.52247 .41135 .52545 .41767 .53177 .41717 .5288 .41084 Metetra
.527 .734 .969 r
.5288 .41084 .53177 .41717 .53811 .41696 .53515 .41062 Metetra
.515 .728 .97 r
.53515 .41062 .53811 .41696 .54447 .41704 .54152 .41069 Metetra
.502 .722 .971 r
.54152 .41069 .54447 .41704 .55084 .41739 .5479 .41104 Metetra
.489 .716 .972 r
.5479 .41104 .55084 .41739 .55722 .418 .55429 .41164 Metetra
.477 .71 .972 r
.55429 .41164 .55722 .418 .56362 .41886 .5607 .4125 Metetra
.465 .705 .972 r
.5607 .4125 .56362 .41886 .57003 .41996 .56713 .41359 Metetra
.454 .699 .972 r
.56713 .41359 .57003 .41996 .57647 .42128 .57357 .41491 Metetra
.443 .693 .972 r
.57357 .41491 .57647 .42128 .58291 .42282 .58003 .41645 Metetra
.432 .687 .971 r
.58003 .41645 .58291 .42282 .58938 .42456 .5865 .41818 Metetra
.422 .682 .971 r
.5865 .41818 .58938 .42456 .59586 .42649 .593 .42011 Metetra
.413 .677 .97 r
.593 .42011 .59586 .42649 .60235 .4286 .5995 .42221 Metetra
.404 .672 .97 r
.5995 .42221 .60235 .4286 .60887 .43087 .60603 .42448 Metetra
.396 .668 .969 r
.60603 .42448 .60887 .43087 .6154 .43329 .61257 .42689 Metetra
.388 .663 .968 r
.61257 .42689 .6154 .43329 .62195 .43584 .61913 .42945 Metetra
.381 .66 .967 r
.61913 .42945 .62195 .43584 .62851 .43852 .62571 .43212 Metetra
.375 .656 .967 r
.62571 .43212 .62851 .43852 .63509 .44131 .6323 .43491 Metetra
.37 .653 .966 r
.6323 .43491 .63509 .44131 .64169 .44419 .63891 .43779 Metetra
.366 .651 .966 r
.63891 .43779 .64169 .44419 .64831 .44716 .64554 .44076 Metetra
.362 .649 .965 r
.64554 .44076 .64831 .44716 .65494 .45019 .65219 .44379 Metetra
.359 .647 .965 r
.65219 .44379 .65494 .45019 .6616 .45328 .65885 .44688 Metetra
.358 .646 .965 r
.65885 .44688 .6616 .45328 .66827 .45641 .66553 .45001 Metetra
.357 .645 .964 r
.66553 .45001 .66827 .45641 .67495 .45956 .67223 .45316 Metetra
.356 .645 .964 r
.67223 .45316 .67495 .45956 .68166 .46273 .67895 .45632 Metetra
.357 .646 .964 r
.67895 .45632 .68166 .46273 .68838 .46589 .68568 .45949 Metetra
.359 .647 .965 r
.68568 .45949 .68838 .46589 .69512 .46904 .69244 .46263 Metetra
.361 .648 .965 r
.69244 .46263 .69512 .46904 .70188 .47215 .69921 .46574 Metetra
.364 .65 .965 r
.69921 .46574 .70188 .47215 .70865 .47521 .70599 .4688 Metetra
.368 .652 .966 r
.70599 .4688 .70865 .47521 .71544 .47822 .7128 .47181 Metetra
.373 .655 .967 r
.7128 .47181 .71544 .47822 .72225 .48114 .71962 .47473 Metetra
.378 .658 .967 r
.71962 .47473 .72225 .48114 .72908 .48398 .72646 .47756 Metetra
.384 .662 .968 r
.72646 .47756 .72908 .48398 .73593 .48671 .73332 .48029 Metetra
.391 .666 .969 r
.73332 .48029 .73593 .48671 .74279 .48932 .74019 .4829 Metetra
.399 .67 .969 r
.74019 .4829 .74279 .48932 .74966 .49179 .74708 .48537 Metetra
.407 .675 .97 r
.74708 .48537 .74966 .49179 .75656 .49411 .75399 .48769 Metetra
.415 .68 .971 r
.75399 .48769 .75656 .49411 .76347 .49627 .76091 .48984 Metetra
.424 .685 .972 r
.76091 .48984 .76347 .49627 .7704 .49825 .76785 .49182 Metetra
.434 .69 .972 r
.76785 .49182 .7704 .49825 .77734 .50003 .77481 .49359 Metetra
.444 .696 .973 r
.77481 .49359 .77734 .50003 .7843 .5016 .78178 .49516 Metetra
.455 .702 .973 r
.78178 .49516 .7843 .5016 .79128 .50295 .78877 .49651 Metetra
.466 .708 .974 r
.78877 .49651 .79128 .50295 .79827 .50406 .79578 .49761 Metetra
.477 .714 .974 r
.79578 .49761 .79827 .50406 .80527 .50492 .8028 .49846 Metetra
.489 .72 .974 r
.8028 .49846 .80527 .50492 .81229 .50551 .80983 .49905 Metetra
.5 .727 .974 r
.80983 .49905 .81229 .50551 .81933 .50582 .81688 .49935 Metetra
.512 .733 .974 r
.81688 .49935 .81933 .50582 .82638 .50583 .82395 .49935 Metetra
.524 .74 .973 r
.82395 .49935 .82638 .50583 .83344 .50554 .83102 .49905 Metetra
.537 .746 .972 r
.83102 .49905 .83344 .50554 .84052 .50492 .83812 .49842 Metetra
.549 .752 .971 r
.83812 .49842 .84052 .50492 .84761 .50396 .84522 .49746 Metetra
.561 .759 .97 r
.84522 .49746 .84761 .50396 .85472 .50266 .85234 .49614 Metetra
.574 .765 .969 r
.85234 .49614 .85472 .50266 .86184 .50099 .85947 .49446 Metetra
.586 .771 .967 r
.85947 .49446 .86184 .50099 .86897 .49894 .86662 .4924 Metetra
.598 .777 .966 r
.86662 .4924 .86897 .49894 .87611 .49651 .87377 .48995 Metetra
.61 .783 .964 r
.87377 .48995 .87611 .49651 .88326 .49367 .88094 .4871 Metetra
.622 .788 .961 r
.88094 .4871 .88326 .49367 .89043 .49042 .88812 .48384 Metetra
.634 .794 .959 r
.88812 .48384 .89043 .49042 .8976 .48675 .89531 .48015 Metetra
.646 .799 .956 r
.89531 .48015 .8976 .48675 .90479 .48263 .90251 .47601 Metetra
.657 .804 .954 r
.90251 .47601 .90479 .48263 .91198 .47807 .90972 .47143 Metetra
.669 .809 .951 r
.90972 .47143 .91198 .47807 .91919 .47304 .91694 .46639 Metetra
.68 .814 .947 r
.91694 .46639 .91919 .47304 .9264 .46754 .92417 .46087 Metetra
.69 .819 .944 r
.92417 .46087 .9264 .46754 .93362 .46156 .93141 .45486 Metetra
.848 .812 .815 r
.28001 .74717 .28344 .75238 .28946 .73436 .28604 .72911 Metetra
.845 .813 .819 r
.28604 .72911 .28946 .73436 .29548 .71688 .29207 .71158 Metetra
.842 .814 .822 r
.29207 .71158 .29548 .71688 .3015 .69992 .29811 .69459 Metetra
.839 .814 .826 r
.29811 .69459 .3015 .69992 .30753 .68349 .30414 .67811 Metetra
.835 .815 .83 r
.30414 .67811 .30753 .68349 .31356 .66758 .31018 .66217 Metetra
.832 .815 .834 r
.31018 .66217 .31356 .66758 .31959 .6522 .31622 .64675 Metetra
.828 .816 .838 r
.31622 .64675 .31959 .6522 .32562 .63733 .32227 .63185 Metetra
.824 .816 .842 r
.32227 .63185 .32562 .63733 .33166 .62299 .32832 .61747 Metetra
.82 .817 .846 r
.32832 .61747 .33166 .62299 .3377 .60917 .33437 .60361 Metetra
.816 .817 .851 r
.33437 .60361 .3377 .60917 .34374 .59585 .34042 .59027 Metetra
.811 .817 .855 r
.34042 .59027 .34374 .59585 .34979 .58306 .34648 .57743 Metetra
.806 .817 .859 r
.34648 .57743 .34979 .58306 .35584 .57076 .35255 .56511 Metetra
.801 .817 .864 r
.35255 .56511 .35584 .57076 .3619 .55898 .35862 .55329 Metetra
.796 .817 .869 r
.35862 .55329 .3619 .55898 .36797 .54769 .36469 .54198 Metetra
.79 .817 .873 r
.36469 .54198 .36797 .54769 .37404 .5369 .37078 .53116 Metetra
.784 .816 .878 r
.37078 .53116 .37404 .5369 .38011 .5266 .37686 .52083 Metetra
.778 .816 .883 r
.37686 .52083 .38011 .5266 .3862 .51679 .38296 .511 Metetra
.771 .815 .888 r
.38296 .511 .3862 .51679 .39229 .50746 .38906 .50164 Metetra
.764 .814 .893 r
.38906 .50164 .39229 .50746 .39839 .49861 .39517 .49277 Metetra
.757 .814 .897 r
.39517 .49277 .39839 .49861 .40449 .49023 .40129 .48436 Metetra
.749 .812 .902 r
.40129 .48436 .40449 .49023 .41061 .48232 .40741 .47643 Metetra
.741 .811 .907 r
.40741 .47643 .41061 .48232 .41673 .47486 .41355 .46895 Metetra
.733 .809 .912 r
.41355 .46895 .41673 .47486 .42286 .46786 .41969 .46193 Metetra
.724 .808 .917 r
.41969 .46193 .42286 .46786 .429 .46131 .42584 .45536 Metetra
.714 .806 .922 r
.42584 .45536 .429 .46131 .43515 .4552 .432 .44922 Metetra
.705 .803 .926 r
.432 .44922 .43515 .4552 .44131 .44952 .43817 .44352 Metetra
.695 .801 .931 r
.43817 .44352 .44131 .44952 .44748 .44426 .44436 .43825 Metetra
.684 .798 .935 r
.44436 .43825 .44748 .44426 .45367 .43942 .45055 .4334 Metetra
.674 .795 .939 r
.45055 .4334 .45367 .43942 .45986 .435 .45675 .42895 Metetra
.663 .792 .943 r
.45675 .42895 .45986 .435 .46606 .43097 .46297 .42491 Metetra
.651 .788 .947 r
.46297 .42491 .46606 .43097 .47228 .42734 .46919 .42127 Metetra
.639 .784 .951 r
.46919 .42127 .47228 .42734 .47851 .42409 .47543 .41801 Metetra
.627 .78 .954 r
.47543 .41801 .47851 .42409 .48475 .42122 .48168 .41512 Metetra
.615 .775 .958 r
.48168 .41512 .48475 .42122 .491 .41871 .48795 .4126 Metetra
.602 .771 .961 r
.48795 .4126 .491 .41871 .49727 .41657 .49422 .41044 Metetra
.589 .766 .963 r
.49422 .41044 .49727 .41657 .50355 .41477 .50052 .40863 Metetra
.576 .76 .966 r
.50052 .40863 .50355 .41477 .50984 .4133 .50682 .40716 Metetra
.563 .755 .968 r
.50682 .40716 .50984 .4133 .51615 .41217 .51314 .40602 Metetra
.55 .749 .97 r
.51314 .40602 .51615 .41217 .52247 .41135 .51947 .40519 Metetra
.536 .744 .971 r
.51947 .40519 .52247 .41135 .5288 .41084 .52581 .40467 Metetra
.523 .738 .972 r
.52581 .40467 .5288 .41084 .53515 .41062 .53218 .40445 Metetra
.51 .732 .973 r
.53218 .40445 .53515 .41062 .54152 .41069 .53855 .40451 Metetra
.497 .725 .974 r
.53855 .40451 .54152 .41069 .5479 .41104 .54494 .40484 Metetra
.484 .719 .975 r
.54494 .40484 .5479 .41104 .55429 .41164 .55135 .40544 Metetra
.471 .713 .975 r
.55135 .40544 .55429 .41164 .5607 .4125 .55777 .40629 Metetra
.459 .707 .975 r
.55777 .40629 .5607 .4125 .56713 .41359 .56421 .40738 Metetra
.447 .701 .975 r
.56421 .40738 .56713 .41359 .57357 .41491 .57066 .4087 Metetra
.436 .695 .974 r
.57066 .4087 .57357 .41491 .58003 .41645 .57713 .41023 Metetra
.425 .689 .974 r
.57713 .41023 .58003 .41645 .5865 .41818 .58362 .41196 Metetra
.414 .684 .973 r
.58362 .41196 .5865 .41818 .593 .42011 .59012 .41388 Metetra
.404 .678 .972 r
.59012 .41388 .593 .42011 .5995 .42221 .59664 .41598 Metetra
.395 .673 .972 r
.59664 .41598 .5995 .42221 .60603 .42448 .60318 .41825 Metetra
.387 .669 .971 r
.60318 .41825 .60603 .42448 .61257 .42689 .60973 .42066 Metetra
.379 .664 .97 r
.60973 .42066 .61257 .42689 .61913 .42945 .6163 .42321 Metetra
.372 .66 .969 r
.6163 .42321 .61913 .42945 .62571 .43212 .62289 .42589 Metetra
.366 .657 .968 r
.62289 .42589 .62571 .43212 .6323 .43491 .6295 .42867 Metetra
.361 .654 .968 r
.6295 .42867 .6323 .43491 .63891 .43779 .63612 .43155 Metetra
.356 .651 .967 r
.63612 .43155 .63891 .43779 .64554 .44076 .64276 .43452 Metetra
.352 .649 .967 r
.64276 .43452 .64554 .44076 .65219 .44379 .64942 .43755 Metetra
.35 .647 .966 r
.64942 .43755 .65219 .44379 .65885 .44688 .65609 .44064 Metetra
.348 .646 .966 r
.65609 .44064 .65885 .44688 .66553 .45001 .66279 .44376 Metetra
.347 .646 .966 r
.66279 .44376 .66553 .45001 .67223 .45316 .6695 .44692 Metetra
.346 .645 .966 r
.6695 .44692 .67223 .45316 .67895 .45632 .67623 .45008 Metetra
.347 .646 .966 r
.67623 .45008 .67895 .45632 .68568 .45949 .68298 .45324 Metetra
.349 .647 .966 r
.68298 .45324 .68568 .45949 .69244 .46263 .68974 .45638 Metetra
.351 .648 .966 r
.68974 .45638 .69244 .46263 .69921 .46574 .69652 .45949 Metetra
.354 .65 .967 r
.69652 .45949 .69921 .46574 .70599 .4688 .70332 .46255 Metetra
.358 .652 .967 r
.70332 .46255 .70599 .4688 .7128 .47181 .71014 .46556 Metetra
.363 .655 .968 r
.71014 .46556 .7128 .47181 .71962 .47473 .71697 .46848 Metetra
.369 .659 .969 r
.71697 .46848 .71962 .47473 .72646 .47756 .72383 .47131 Metetra
.375 .662 .97 r
.72383 .47131 .72646 .47756 .73332 .48029 .7307 .47404 Metetra
.382 .666 .971 r
.7307 .47404 .73332 .48029 .74019 .4829 .73758 .47664 Metetra
.39 .671 .971 r
.73758 .47664 .74019 .4829 .74708 .48537 .74449 .47911 Metetra
.398 .676 .972 r
.74449 .47911 .74708 .48537 .75399 .48769 .75141 .48143 Metetra
.407 .681 .973 r
.75141 .48143 .75399 .48769 .76091 .48984 .75835 .48358 Metetra
.417 .686 .974 r
.75835 .48358 .76091 .48984 .76785 .49182 .7653 .48555 Metetra
.427 .692 .975 r
.7653 .48555 .76785 .49182 .77481 .49359 .77227 .48732 Metetra
.437 .698 .975 r
.77227 .48732 .77481 .49359 .78178 .49516 .77926 .48889 Metetra
.448 .704 .976 r
.77926 .48889 .78178 .49516 .78877 .49651 .78626 .49022 Metetra
.459 .71 .976 r
.78626 .49022 .78877 .49651 .79578 .49761 .79328 .49132 Metetra
.471 .717 .977 r
.79328 .49132 .79578 .49761 .8028 .49846 .80031 .49217 Metetra
.483 .723 .977 r
.80031 .49217 .8028 .49846 .80983 .49905 .80736 .49275 Metetra
.495 .73 .977 r
.80736 .49275 .80983 .49905 .81688 .49935 .81442 .49304 Metetra
.507 .736 .977 r
.81442 .49304 .81688 .49935 .82395 .49935 .8215 .49304 Metetra
.52 .743 .976 r
.8215 .49304 .82395 .49935 .83102 .49905 .82859 .49273 Metetra
.532 .749 .976 r
.82859 .49273 .83102 .49905 .83812 .49842 .8357 .49209 Metetra
.545 .756 .975 r
.8357 .49209 .83812 .49842 .84522 .49746 .84282 .49112 Metetra
.558 .762 .974 r
.84282 .49112 .84522 .49746 .85234 .49614 .84995 .48979 Metetra
.57 .769 .972 r
.84995 .48979 .85234 .49614 .85947 .49446 .8571 .4881 Metetra
.583 .775 .971 r
.8571 .4881 .85947 .49446 .86662 .4924 .86426 .48603 Metetra
.595 .781 .969 r
.86426 .48603 .86662 .4924 .87377 .48995 .87143 .48357 Metetra
.608 .787 .967 r
.87143 .48357 .87377 .48995 .88094 .4871 .87861 .4807 Metetra
.62 .793 .965 r
.87861 .4807 .88094 .4871 .88812 .48384 .88581 .47742 Metetra
.632 .798 .962 r
.88581 .47742 .88812 .48384 .89531 .48015 .89301 .47371 Metetra
.644 .804 .96 r
.89301 .47371 .89531 .48015 .90251 .47601 .90023 .46956 Metetra
.656 .809 .957 r
.90023 .46956 .90251 .47601 .90972 .47143 .90746 .46496 Metetra
.668 .814 .954 r
.90746 .46496 .90972 .47143 .91694 .46639 .91469 .45989 Metetra
.679 .819 .95 r
.91469 .45989 .91694 .46639 .92417 .46087 .92194 .45436 Metetra
.69 .824 .947 r
.92194 .45436 .92417 .46087 .93141 .45486 .92919 .44833 Metetra
.849 .815 .816 r
.27656 .74212 .28001 .74717 .28604 .72911 .2826 .72402 Metetra
.846 .816 .82 r
.2826 .72402 .28604 .72911 .29207 .71158 .28865 .70645 Metetra
.843 .817 .823 r
.28865 .70645 .29207 .71158 .29811 .69459 .29469 .68941 Metetra
.84 .817 .827 r
.29469 .68941 .29811 .69459 .30414 .67811 .30074 .6729 Metetra
.837 .818 .831 r
.30074 .6729 .30414 .67811 .31018 .66217 .30679 .65691 Metetra
.833 .818 .835 r
.30679 .65691 .31018 .66217 .31622 .64675 .31285 .64145 Metetra
.83 .819 .839 r
.31285 .64145 .31622 .64675 .32227 .63185 .3189 .62652 Metetra
.826 .819 .843 r
.3189 .62652 .32227 .63185 .32832 .61747 .32496 .61211 Metetra
.822 .82 .847 r
.32496 .61211 .32832 .61747 .33437 .60361 .33102 .59821 Metetra
.817 .82 .852 r
.33102 .59821 .33437 .60361 .34042 .59027 .33709 .58483 Metetra
.813 .82 .856 r
.33709 .58483 .34042 .59027 .34648 .57743 .34316 .57197 Metetra
.808 .821 .861 r
.34316 .57197 .34648 .57743 .35255 .56511 .34924 .55962 Metetra
.803 .821 .865 r
.34924 .55962 .35255 .56511 .35862 .55329 .35532 .54777 Metetra
.797 .821 .87 r
.35532 .54777 .35862 .55329 .36469 .54198 .36141 .53642 Metetra
.791 .821 .875 r
.36141 .53642 .36469 .54198 .37078 .53116 .3675 .52558 Metetra
.785 .82 .88 r
.3675 .52558 .37078 .53116 .37686 .52083 .3736 .51522 Metetra
.779 .82 .885 r
.3736 .51522 .37686 .52083 .38296 .511 .3797 .50536 Metetra
.772 .819 .89 r
.3797 .50536 .38296 .511 .38906 .50164 .38582 .49598 Metetra
.765 .819 .895 r
.38582 .49598 .38906 .50164 .39517 .49277 .39194 .48708 Metetra
.758 .818 .9 r
.39194 .48708 .39517 .49277 .40129 .48436 .39807 .47865 Metetra
.75 .817 .905 r
.39807 .47865 .40129 .48436 .40741 .47643 .4042 .47069 Metetra
.742 .815 .91 r
.4042 .47069 .40741 .47643 .41355 .46895 .41035 .46319 Metetra
.733 .814 .915 r
.41035 .46319 .41355 .46895 .41969 .46193 .4165 .45615 Metetra
.724 .812 .919 r
.4165 .45615 .41969 .46193 .42584 .45536 .42266 .44956 Metetra
.715 .81 .924 r
.42266 .44956 .42584 .45536 .432 .44922 .42884 .44341 Metetra
.705 .808 .929 r
.42884 .44341 .432 .44922 .43817 .44352 .43502 .43769 Metetra
.695 .805 .934 r
.43502 .43769 .43817 .44352 .44436 .43825 .44121 .4324 Metetra
.684 .803 .938 r
.44121 .4324 .44436 .43825 .45055 .4334 .44742 .42753 Metetra
.673 .799 .942 r
.44742 .42753 .45055 .4334 .45675 .42895 .45363 .42307 Metetra
.662 .796 .947 r
.45363 .42307 .45675 .42895 .46297 .42491 .45986 .41901 Metetra
.65 .792 .951 r
.45986 .41901 .46297 .42491 .46919 .42127 .46609 .41535 Metetra
.638 .788 .954 r
.46609 .41535 .46919 .42127 .47543 .41801 .47234 .41208 Metetra
.625 .784 .958 r
.47234 .41208 .47543 .41801 .48168 .41512 .47861 .40918 Metetra
.613 .78 .961 r
.47861 .40918 .48168 .41512 .48795 .4126 .48488 .40665 Metetra
.6 .775 .964 r
.48488 .40665 .48795 .4126 .49422 .41044 .49117 .40448 Metetra
.586 .77 .967 r
.49117 .40448 .49422 .41044 .50052 .40863 .49747 .40266 Metetra
.573 .764 .969 r
.49747 .40266 .50052 .40863 .50682 .40716 .50378 .40117 Metetra
.559 .759 .971 r
.50378 .40117 .50682 .40716 .51314 .40602 .51011 .40002 Metetra
.546 .753 .973 r
.51011 .40002 .51314 .40602 .51947 .40519 .51646 .39918 Metetra
.532 .747 .974 r
.51646 .39918 .51947 .40519 .52581 .40467 .52281 .39866 Metetra
.518 .741 .976 r
.52281 .39866 .52581 .40467 .53218 .40445 .52919 .39842 Metetra
.505 .735 .976 r
.52919 .39842 .53218 .40445 .53855 .40451 .53557 .39848 Metetra
.491 .728 .977 r
.53557 .39848 .53855 .40451 .54494 .40484 .54197 .39881 Metetra
.478 .722 .977 r
.54197 .39881 .54494 .40484 .55135 .40544 .54839 .3994 Metetra
.465 .715 .978 r
.54839 .3994 .55135 .40544 .55777 .40629 .55483 .40025 Metetra
.452 .709 .977 r
.55483 .40025 .55777 .40629 .56421 .40738 .56127 .40133 Metetra
.44 .703 .977 r
.56127 .40133 .56421 .40738 .57066 .4087 .56774 .40264 Metetra
.428 .697 .977 r
.56774 .40264 .57066 .4087 .57713 .41023 .57422 .40417 Metetra
.417 .691 .976 r
.57422 .40417 .57713 .41023 .58362 .41196 .58072 .4059 Metetra
.406 .685 .975 r
.58072 .4059 .58362 .41196 .59012 .41388 .58723 .40782 Metetra
.396 .679 .974 r
.58723 .40782 .59012 .41388 .59664 .41598 .59377 .40992 Metetra
.386 .674 .973 r
.59377 .40992 .59664 .41598 .60318 .41825 .60031 .41218 Metetra
.378 .669 .972 r
.60031 .41218 .60318 .41825 .60973 .42066 .60688 .41459 Metetra
.37 .665 .971 r
.60688 .41459 .60973 .42066 .6163 .42321 .61346 .41714 Metetra
.363 .661 .971 r
.61346 .41714 .6163 .42321 .62289 .42589 .62006 .41981 Metetra
.356 .657 .97 r
.62006 .41981 .62289 .42589 .6295 .42867 .62668 .42259 Metetra
.351 .654 .969 r
.62668 .42259 .6295 .42867 .63612 .43155 .63331 .42547 Metetra
.346 .651 .968 r
.63331 .42547 .63612 .43155 .64276 .43452 .63997 .42844 Metetra
.342 .649 .968 r
.63997 .42844 .64276 .43452 .64942 .43755 .64664 .43147 Metetra
.339 .647 .967 r
.64664 .43147 .64942 .43755 .65609 .44064 .65333 .43455 Metetra
.337 .646 .967 r
.65333 .43455 .65609 .44064 .66279 .44376 .66003 .43768 Metetra
.336 .645 .967 r
.66003 .43768 .66279 .44376 .6695 .44692 .66675 .44083 Metetra
.336 .645 .967 r
.66675 .44083 .6695 .44692 .67623 .45008 .6735 .444 Metetra
.337 .646 .967 r
.6735 .444 .67623 .45008 .68298 .45324 .68026 .44716 Metetra
.338 .647 .967 r
.68026 .44716 .68298 .45324 .68974 .45638 .68703 .4503 Metetra
.341 .648 .967 r
.68703 .4503 .68974 .45638 .69652 .45949 .69383 .45341 Metetra
.344 .65 .968 r
.69383 .45341 .69652 .45949 .70332 .46255 .70064 .45647 Metetra
.348 .653 .969 r
.70064 .45647 .70332 .46255 .71014 .46556 .70747 .45947 Metetra
.353 .656 .969 r
.70747 .45947 .71014 .46556 .71697 .46848 .71432 .46239 Metetra
.359 .659 .97 r
.71432 .46239 .71697 .46848 .72383 .47131 .72118 .46522 Metetra
.366 .663 .971 r
.72118 .46522 .72383 .47131 .7307 .47404 .72807 .46795 Metetra
.373 .667 .972 r
.72807 .46795 .7307 .47404 .73758 .47664 .73497 .47055 Metetra
.381 .672 .973 r
.73497 .47055 .73758 .47664 .74449 .47911 .74188 .47302 Metetra
.389 .677 .974 r
.74188 .47302 .74449 .47911 .75141 .48143 .74882 .47533 Metetra
.399 .682 .975 r
.74882 .47533 .75141 .48143 .75835 .48358 .75577 .47748 Metetra
.408 .688 .976 r
.75577 .47748 .75835 .48358 .7653 .48555 .76274 .47944 Metetra
.419 .694 .977 r
.76274 .47944 .7653 .48555 .77227 .48732 .76972 .48121 Metetra
.43 .7 .978 r
.76972 .48121 .77227 .48732 .77926 .48889 .77672 .48277 Metetra
.441 .706 .978 r
.77672 .48277 .77926 .48889 .78626 .49022 .78374 .48411 Metetra
.452 .713 .979 r
.78374 .48411 .78626 .49022 .79328 .49132 .79077 .4852 Metetra
.464 .719 .979 r
.79077 .4852 .79328 .49132 .80031 .49217 .79781 .48604 Metetra
.477 .726 .98 r
.79781 .48604 .80031 .49217 .80736 .49275 .80488 .48661 Metetra
.489 .733 .98 r
.80488 .48661 .80736 .49275 .81442 .49304 .81196 .4869 Metetra
.502 .739 .98 r
.81196 .4869 .81442 .49304 .8215 .49304 .81905 .48689 Metetra
.515 .746 .979 r
.81905 .48689 .8215 .49304 .82859 .49273 .82615 .48657 Metetra
.528 .753 .979 r
.82615 .48657 .82859 .49273 .8357 .49209 .83328 .48593 Metetra
.541 .76 .978 r
.83328 .48593 .8357 .49209 .84282 .49112 .84041 .48494 Metetra
.554 .766 .977 r
.84041 .48494 .84282 .49112 .84995 .48979 .84756 .4836 Metetra
.567 .773 .976 r
.84756 .4836 .84995 .48979 .8571 .4881 .85472 .4819 Metetra
.58 .779 .974 r
.85472 .4819 .8571 .4881 .86426 .48603 .86189 .47982 Metetra
.592 .785 .972 r
.86189 .47982 .86426 .48603 .87143 .48357 .86908 .47734 Metetra
.605 .791 .97 r
.86908 .47734 .87143 .48357 .87861 .4807 .87628 .47446 Metetra
.618 .797 .968 r
.87628 .47446 .87861 .4807 .88581 .47742 .88349 .47117 Metetra
.63 .803 .966 r
.88349 .47117 .88581 .47742 .89301 .47371 .89071 .46744 Metetra
.643 .809 .963 r
.89071 .46744 .89301 .47371 .90023 .46956 .89794 .46328 Metetra
.655 .814 .96 r
.89794 .46328 .90023 .46956 .90746 .46496 .90518 .45866 Metetra
.666 .819 .957 r
.90518 .45866 .90746 .46496 .91469 .45989 .91243 .45357 Metetra
.678 .824 .953 r
.91243 .45357 .91469 .45989 .92194 .45436 .91969 .44801 Metetra
.689 .829 .95 r
.91969 .44801 .92194 .45436 .92919 .44833 .92696 .44197 Metetra
.851 .818 .817 r
.27309 .73723 .27656 .74212 .2826 .72402 .27915 .71908 Metetra
.848 .819 .82 r
.27915 .71908 .2826 .72402 .28865 .70645 .28521 .70147 Metetra
.845 .82 .824 r
.28521 .70147 .28865 .70645 .29469 .68941 .29126 .68439 Metetra
.842 .82 .828 r
.29126 .68439 .29469 .68941 .30074 .6729 .29732 .66784 Metetra
.839 .821 .832 r
.29732 .66784 .30074 .6729 .30679 .65691 .30339 .65182 Metetra
.835 .822 .836 r
.30339 .65182 .30679 .65691 .31285 .64145 .30945 .63632 Metetra
.831 .822 .84 r
.30945 .63632 .31285 .64145 .3189 .62652 .31552 .62135 Metetra
.827 .823 .844 r
.31552 .62135 .3189 .62652 .32496 .61211 .32159 .6069 Metetra
.823 .823 .849 r
.32159 .6069 .32496 .61211 .33102 .59821 .32766 .59297 Metetra
.819 .824 .853 r
.32766 .59297 .33102 .59821 .33709 .58483 .33374 .57956 Metetra
.814 .824 .858 r
.33374 .57956 .33709 .58483 .34316 .57197 .33982 .56666 Metetra
.809 .824 .862 r
.33982 .56666 .34316 .57197 .34924 .55962 .34591 .55428 Metetra
.804 .824 .867 r
.34591 .55428 .34924 .55962 .35532 .54777 .352 .5424 Metetra
.799 .825 .872 r
.352 .5424 .35532 .54777 .36141 .53642 .3581 .53102 Metetra
.793 .824 .877 r
.3581 .53102 .36141 .53642 .3675 .52558 .36421 .52015 Metetra
.787 .824 .882 r
.36421 .52015 .3675 .52558 .3736 .51522 .37032 .50977 Metetra
.78 .824 .887 r
.37032 .50977 .3736 .51522 .3797 .50536 .37643 .49988 Metetra
.773 .823 .892 r
.37643 .49988 .3797 .50536 .38582 .49598 .38256 .49047 Metetra
.766 .823 .897 r
.38256 .49047 .38582 .49598 .39194 .48708 .38869 .48155 Metetra
.759 .822 .902 r
.38869 .48155 .39194 .48708 .39807 .47865 .39483 .4731 Metetra
.751 .821 .907 r
.39483 .4731 .39807 .47865 .4042 .47069 .40098 .46511 Metetra
.742 .82 .912 r
.40098 .46511 .4042 .47069 .41035 .46319 .40713 .45759 Metetra
.734 .818 .917 r
.40713 .45759 .41035 .46319 .4165 .45615 .4133 .45053 Metetra
.725 .817 .922 r
.4133 .45053 .4165 .45615 .42266 .44956 .41947 .44392 Metetra
.715 .815 .927 r
.41947 .44392 .42266 .44956 .42884 .44341 .42565 .43774 Metetra
.705 .812 .932 r
.42565 .43774 .42884 .44341 .43502 .43769 .43185 .43201 Metetra
.695 .81 .936 r
.43185 .43201 .43502 .43769 .44121 .4324 .43805 .4267 Metetra
.684 .807 .941 r
.43805 .4267 .44121 .4324 .44742 .42753 .44427 .42181 Metetra
.672 .804 .945 r
.44427 .42181 .44742 .42753 .45363 .42307 .45049 .41734 Metetra
.661 .801 .95 r
.45049 .41734 .45363 .42307 .45986 .41901 .45673 .41327 Metetra
.649 .797 .954 r
.45673 .41327 .45986 .41901 .46609 .41535 .46298 .40959 Metetra
.636 .793 .957 r
.46298 .40959 .46609 .41535 .47234 .41208 .46924 .4063 Metetra
.624 .789 .961 r
.46924 .4063 .47234 .41208 .47861 .40918 .47551 .40339 Metetra
.61 .784 .964 r
.47551 .40339 .47861 .40918 .48488 .40665 .4818 .40085 Metetra
.597 .779 .967 r
.4818 .40085 .48488 .40665 .49117 .40448 .4881 .39867 Metetra
.583 .774 .97 r
.4881 .39867 .49117 .40448 .49747 .40266 .49441 .39684 Metetra
.57 .768 .972 r
.49441 .39684 .49747 .40266 .50378 .40117 .50074 .39534 Metetra
.556 .763 .974 r
.50074 .39534 .50378 .40117 .51011 .40002 .50708 .39418 Metetra
.541 .757 .976 r
.50708 .39418 .51011 .40002 .51646 .39918 .51343 .39333 Metetra
.527 .75 .978 r
.51343 .39333 .51646 .39918 .52281 .39866 .5198 .3928 Metetra
.513 .744 .979 r
.5198 .3928 .52281 .39866 .52919 .39842 .52618 .39256 Metetra
.499 .738 .979 r
.52618 .39256 .52919 .39842 .53557 .39848 .53258 .39261 Metetra
.485 .731 .98 r
.53258 .39261 .53557 .39848 .54197 .39881 .53899 .39293 Metetra
.472 .724 .98 r
.53899 .39293 .54197 .39881 .54839 .3994 .54542 .39352 Metetra
.458 .718 .98 r
.54542 .39352 .54839 .3994 .55483 .40025 .55187 .39436 Metetra
.445 .711 .98 r
.55187 .39436 .55483 .40025 .56127 .40133 .55833 .39544 Metetra
.432 .705 .979 r
.55833 .39544 .56127 .40133 .56774 .40264 .5648 .39675 Metetra
.42 .698 .979 r
.5648 .39675 .56774 .40264 .57422 .40417 .5713 .39827 Metetra
.408 .692 .978 r
.5713 .39827 .57422 .40417 .58072 .4059 .57781 .4 Metetra
.397 .686 .977 r
.57781 .4 .58072 .4059 .58723 .40782 .58433 .40191 Metetra
.387 .68 .976 r
.58433 .40191 .58723 .40782 .59377 .40992 .59088 .40401 Metetra
.377 .675 .975 r
.59088 .40401 .59377 .40992 .60031 .41218 .59744 .40626 Metetra
.368 .67 .974 r
.59744 .40626 .60031 .41218 .60688 .41459 .60401 .40867 Metetra
.36 .665 .973 r
.60401 .40867 .60688 .41459 .61346 .41714 .61061 .41122 Metetra
.352 .661 .972 r
.61061 .41122 .61346 .41714 .62006 .41981 .61722 .41389 Metetra
.346 .657 .971 r
.61722 .41389 .62006 .41981 .62668 .42259 .62385 .41668 Metetra
.34 .654 .97 r
.62385 .41668 .62668 .42259 .63331 .42547 .6305 .41956 Metetra
.335 .651 .969 r
.6305 .41956 .63331 .42547 .63997 .42844 .63716 .42252 Metetra
.331 .649 .968 r
.63716 .42252 .63997 .42844 .64664 .43147 .64384 .42555 Metetra
.328 .647 .968 r
.64384 .42555 .64664 .43147 .65333 .43455 .65054 .42863 Metetra
.326 .646 .968 r
.65054 .42863 .65333 .43455 .66003 .43768 .65726 .43176 Metetra
.325 .645 .967 r
.65726 .43176 .66003 .43768 .66675 .44083 .664 .43491 Metetra
.325 .645 .967 r
.664 .43491 .66675 .44083 .6735 .444 .67075 .43807 Metetra
.326 .645 .967 r
.67075 .43807 .6735 .444 .68026 .44716 .67752 .44123 Metetra
.327 .646 .968 r
.67752 .44123 .68026 .44716 .68703 .4503 .68431 .44438 Metetra
.33 .648 .968 r
.68431 .44438 .68703 .4503 .69383 .45341 .69112 .44748 Metetra
.333 .65 .969 r
.69112 .44748 .69383 .45341 .70064 .45647 .69795 .45055 Metetra
.338 .653 .97 r
.69795 .45055 .70064 .45647 .70747 .45947 .70479 .45355 Metetra
.343 .656 .97 r
.70479 .45355 .70747 .45947 .71432 .46239 .71165 .45647 Metetra
.349 .659 .971 r
.71165 .45647 .71432 .46239 .72118 .46522 .71853 .4593 Metetra
.356 .663 .972 r
.71853 .4593 .72118 .46522 .72807 .46795 .72542 .46202 Metetra
.363 .668 .973 r
.72542 .46202 .72807 .46795 .73497 .47055 .73234 .46462 Metetra
.371 .673 .975 r
.73234 .46462 .73497 .47055 .74188 .47302 .73927 .46709 Metetra
.38 .678 .976 r
.73927 .46709 .74188 .47302 .74882 .47533 .74621 .4694 Metetra
.39 .683 .977 r
.74621 .4694 .74882 .47533 .75577 .47748 .75318 .47154 Metetra
.4 .689 .978 r
.75318 .47154 .75577 .47748 .76274 .47944 .76016 .47351 Metetra
.41 .695 .979 r
.76016 .47351 .76274 .47944 .76972 .48121 .76716 .47527 Metetra
.421 .702 .98 r
.76716 .47527 .76972 .48121 .77672 .48277 .77417 .47683 Metetra
.433 .708 .981 r
.77417 .47683 .77672 .48277 .78374 .48411 .7812 .47816 Metetra
.445 .715 .981 r
.7812 .47816 .78374 .48411 .79077 .4852 .78825 .47925 Metetra
.457 .722 .982 r
.78825 .47925 .79077 .4852 .79781 .48604 .79531 .48008 Metetra
.47 .728 .982 r
.79531 .48008 .79781 .48604 .80488 .48661 .80239 .48065 Metetra
.483 .735 .982 r
.80239 .48065 .80488 .48661 .81196 .4869 .80948 .48093 Metetra
.496 .742 .982 r
.80948 .48093 .81196 .4869 .81905 .48689 .81658 .48091 Metetra
.509 .749 .982 r
.81658 .48091 .81905 .48689 .82615 .48657 .82371 .48058 Metetra
.523 .756 .982 r
.82371 .48058 .82615 .48657 .83328 .48593 .83084 .47993 Metetra
.536 .763 .981 r
.83084 .47993 .83328 .48593 .84041 .48494 .83799 .47893 Metetra
.549 .77 .98 r
.83799 .47893 .84041 .48494 .84756 .4836 .84515 .47759 Metetra
.563 .777 .979 r
.84515 .47759 .84756 .4836 .85472 .4819 .85233 .47587 Metetra
.576 .783 .977 r
.85233 .47587 .85472 .4819 .86189 .47982 .85952 .47378 Metetra
.589 .79 .975 r
.85952 .47378 .86189 .47982 .86908 .47734 .86672 .47129 Metetra
.602 .796 .973 r
.86672 .47129 .86908 .47734 .87628 .47446 .87393 .4684 Metetra
.615 .802 .971 r
.87393 .4684 .87628 .47446 .88349 .47117 .88116 .46508 Metetra
.628 .808 .969 r
.88116 .46508 .88349 .47117 .89071 .46744 .88839 .46134 Metetra
.641 .813 .966 r
.88839 .46134 .89071 .46744 .89794 .46328 .89564 .45716 Metetra
.653 .819 .963 r
.89564 .45716 .89794 .46328 .90518 .45866 .90289 .45252 Metetra
.665 .824 .96 r
.90289 .45252 .90518 .45866 .91243 .45357 .91016 .44742 Metetra
.677 .829 .956 r
.91016 .44742 .91243 .45357 .91969 .44801 .91744 .44184 Metetra
.688 .834 .953 r
.91744 .44184 .91969 .44801 .92696 .44197 .92472 .43577 Metetra
.852 .821 .817 r
.26961 .73249 .27309 .73723 .27915 .71908 .27568 .71431 Metetra
.85 .822 .821 r
.27568 .71431 .27915 .71908 .28521 .70147 .28175 .69666 Metetra
.847 .823 .825 r
.28175 .69666 .28521 .70147 .29126 .68439 .28782 .67953 Metetra
.843 .823 .829 r
.28782 .67953 .29126 .68439 .29732 .66784 .29389 .66294 Metetra
.84 .824 .833 r
.29389 .66294 .29732 .66784 .30339 .65182 .29996 .64688 Metetra
.837 .825 .837 r
.29996 .64688 .30339 .65182 .30945 .63632 .30604 .63135 Metetra
.833 .826 .841 r
.30604 .63135 .30945 .63632 .31552 .62135 .31212 .61634 Metetra
.829 .826 .845 r
.31212 .61634 .31552 .62135 .32159 .6069 .3182 .60185 Metetra
.825 .827 .85 r
.3182 .60185 .32159 .6069 .32766 .59297 .32429 .58789 Metetra
.82 .827 .854 r
.32429 .58789 .32766 .59297 .33374 .57956 .33038 .57444 Metetra
.816 .828 .859 r
.33038 .57444 .33374 .57956 .33982 .56666 .33647 .56152 Metetra
.811 .828 .864 r
.33647 .56152 .33982 .56666 .34591 .55428 .34257 .5491 Metetra
.806 .828 .868 r
.34257 .5491 .34591 .55428 .352 .5424 .34867 .53719 Metetra
.8 .828 .873 r
.34867 .53719 .352 .5424 .3581 .53102 .35478 .52578 Metetra
.794 .828 .878 r
.35478 .52578 .3581 .53102 .36421 .52015 .3609 .51488 Metetra
.788 .828 .883 r
.3609 .51488 .36421 .52015 .37032 .50977 .36702 .50447 Metetra
.781 .828 .888 r
.36702 .50447 .37032 .50977 .37643 .49988 .37315 .49455 Metetra
.775 .828 .894 r
.37315 .49455 .37643 .49988 .38256 .49047 .37928 .48512 Metetra
.767 .827 .899 r
.37928 .48512 .38256 .49047 .38869 .48155 .38543 .47617 Metetra
.76 .826 .904 r
.38543 .47617 .38869 .48155 .39483 .4731 .39158 .4677 Metetra
.752 .825 .909 r
.39158 .4677 .39483 .4731 .40098 .46511 .39774 .45969 Metetra
.743 .824 .914 r
.39774 .45969 .40098 .46511 .40713 .45759 .4039 .45215 Metetra
.734 .823 .92 r
.4039 .45215 .40713 .45759 .4133 .45053 .41008 .44507 Metetra
.725 .821 .925 r
.41008 .44507 .4133 .45053 .41947 .44392 .41626 .43843 Metetra
.715 .819 .93 r
.41626 .43843 .41947 .44392 .42565 .43774 .42246 .43224 Metetra
.705 .817 .935 r
.42246 .43224 .42565 .43774 .43185 .43201 .42866 .42649 Metetra
.694 .814 .939 r
.42866 .42649 .43185 .43201 .43805 .4267 .43488 .42116 Metetra
.683 .812 .944 r
.43488 .42116 .43805 .4267 .44427 .42181 .4411 .41626 Metetra
.672 .809 .948 r
.4411 .41626 .44427 .42181 .45049 .41734 .44734 .41176 Metetra
.66 .805 .953 r
.44734 .41176 .45049 .41734 .45673 .41327 .45359 .40768 Metetra
.647 .801 .957 r
.45359 .40768 .45673 .41327 .46298 .40959 .45985 .40399 Metetra
.635 .797 .961 r
.45985 .40399 .46298 .40959 .46924 .4063 .46612 .40069 Metetra
.622 .793 .964 r
.46612 .40069 .46924 .4063 .47551 .40339 .47241 .39776 Metetra
.608 .788 .968 r
.47241 .39776 .47551 .40339 .4818 .40085 .4787 .39521 Metetra
.594 .783 .971 r
.4787 .39521 .4818 .40085 .4881 .39867 .48501 .39302 Metetra
.58 .778 .973 r
.48501 .39302 .4881 .39867 .49441 .39684 .49134 .39117 Metetra
.566 .772 .976 r
.49134 .39117 .49441 .39684 .50074 .39534 .49767 .38967 Metetra
.552 .766 .978 r
.49767 .38967 .50074 .39534 .50708 .39418 .50403 .3885 Metetra
.537 .76 .979 r
.50403 .3885 .50708 .39418 .51343 .39333 .51039 .38765 Metetra
.522 .754 .981 r
.51039 .38765 .51343 .39333 .5198 .3928 .51677 .3871 Metetra
.508 .747 .982 r
.51677 .3871 .5198 .3928 .52618 .39256 .52317 .38686 Metetra
.493 .741 .982 r
.52317 .38686 .52618 .39256 .53258 .39261 .52957 .3869 Metetra
.479 .734 .983 r
.52957 .3869 .53258 .39261 .53899 .39293 .536 .38722 Metetra
.465 .727 .983 r
.536 .38722 .53899 .39293 .54542 .39352 .54244 .3878 Metetra
.451 .72 .982 r
.54244 .3878 .54542 .39352 .55187 .39436 .5489 .38863 Metetra
.437 .713 .982 r
.5489 .38863 .55187 .39436 .55833 .39544 .55537 .38971 Metetra
.424 .706 .981 r
.55537 .38971 .55833 .39544 .5648 .39675 .56186 .39101 Metetra
.412 .7 .981 r
.56186 .39101 .5648 .39675 .5713 .39827 .56836 .39253 Metetra
.4 .693 .98 r
.56836 .39253 .5713 .39827 .57781 .4 .57488 .39425 Metetra
.388 .687 .978 r
.57488 .39425 .57781 .4 .58433 .40191 .58142 .39617 Metetra
.377 .681 .977 r
.58142 .39617 .58433 .40191 .59088 .40401 .58797 .39826 Metetra
.367 .676 .976 r
.58797 .39826 .59088 .40401 .59744 .40626 .59455 .40052 Metetra
.358 .67 .975 r
.59455 .40052 .59744 .40626 .60401 .40867 .60114 .40292 Metetra
.349 .665 .974 r
.60114 .40292 .60401 .40867 .61061 .41122 .60774 .40547 Metetra
.342 .661 .972 r
.60774 .40547 .61061 .41122 .61722 .41389 .61437 .40814 Metetra
.335 .657 .971 r
.61437 .40814 .61722 .41389 .62385 .41668 .62101 .41092 Metetra
.329 .654 .97 r
.62101 .41092 .62385 .41668 .6305 .41956 .62767 .4138 Metetra
.324 .651 .969 r
.62767 .4138 .6305 .41956 .63716 .42252 .63434 .41676 Metetra
.32 .648 .969 r
.63434 .41676 .63716 .42252 .64384 .42555 .64104 .41979 Metetra
.317 .646 .968 r
.64104 .41979 .64384 .42555 .65054 .42863 .64775 .42288 Metetra
.315 .645 .968 r
.64775 .42288 .65054 .42863 .65726 .43176 .65448 .426 Metetra
.314 .645 .968 r
.65448 .426 .65726 .43176 .664 .43491 .66123 .42915 Metetra
.313 .644 .968 r
.66123 .42915 .664 .43491 .67075 .43807 .668 .43232 Metetra
.314 .645 .968 r
.668 .43232 .67075 .43807 .67752 .44123 .67478 .43548 Metetra
.316 .646 .968 r
.67478 .43548 .67752 .44123 .68431 .44438 .68158 .43862 Metetra
.319 .647 .969 r
.68158 .43862 .68431 .44438 .69112 .44748 .6884 .44173 Metetra
.322 .65 .969 r
.6884 .44173 .69112 .44748 .69795 .45055 .69524 .44479 Metetra
.327 .652 .97 r
.69524 .44479 .69795 .45055 .70479 .45355 .7021 .44779 Metetra
.332 .656 .971 r
.7021 .44779 .70479 .45355 .71165 .45647 .70897 .45071 Metetra
.338 .659 .972 r
.70897 .45071 .71165 .45647 .71853 .4593 .71586 .45354 Metetra
.345 .663 .973 r
.71586 .45354 .71853 .4593 .72542 .46202 .72277 .45626 Metetra
.353 .668 .974 r
.72277 .45626 .72542 .46202 .73234 .46462 .7297 .45886 Metetra
.361 .673 .976 r
.7297 .45886 .73234 .46462 .73927 .46709 .73664 .46132 Metetra
.37 .678 .977 r
.73664 .46132 .73927 .46709 .74621 .4694 .7436 .46363 Metetra
.38 .684 .978 r
.7436 .46363 .74621 .4694 .75318 .47154 .75058 .46577 Metetra
.391 .69 .979 r
.75058 .46577 .75318 .47154 .76016 .47351 .75757 .46774 Metetra
.402 .696 .981 r
.75757 .46774 .76016 .47351 .76716 .47527 .76458 .4695 Metetra
.413 .703 .982 r
.76458 .4695 .76716 .47527 .77417 .47683 .77161 .47105 Metetra
.425 .71 .983 r
.77161 .47105 .77417 .47683 .7812 .47816 .77866 .47238 Metetra
.437 .717 .983 r
.77866 .47238 .7812 .47816 .78825 .47925 .78572 .47346 Metetra
.45 .724 .984 r
.78572 .47346 .78825 .47925 .79531 .48008 .79279 .47429 Metetra
.463 .731 .985 r
.79279 .47429 .79531 .48008 .80239 .48065 .79988 .47485 Metetra
.476 .738 .985 r
.79988 .47485 .80239 .48065 .80948 .48093 .80699 .47513 Metetra
.49 .745 .985 r
.80699 .47513 .80948 .48093 .81658 .48091 .81411 .4751 Metetra
.503 .753 .985 r
.81411 .4751 .81658 .48091 .82371 .48058 .82125 .47476 Metetra
.517 .76 .984 r
.82125 .47476 .82371 .48058 .83084 .47993 .8284 .4741 Metetra
.531 .767 .984 r
.8284 .4741 .83084 .47993 .83799 .47893 .83556 .4731 Metetra
.545 .774 .983 r
.83556 .4731 .83799 .47893 .84515 .47759 .84274 .47174 Metetra
.559 .781 .982 r
.84274 .47174 .84515 .47759 .85233 .47587 .84993 .47001 Metetra
.572 .787 .98 r
.84993 .47001 .85233 .47587 .85952 .47378 .85713 .4679 Metetra
.586 .794 .979 r
.85713 .4679 .85952 .47378 .86672 .47129 .86435 .4654 Metetra
.599 .8 .977 r
.86435 .4654 .86672 .47129 .87393 .4684 .87158 .4625 Metetra
.613 .806 .974 r
.87158 .4625 .87393 .4684 .88116 .46508 .87882 .45917 Metetra
.626 .812 .972 r
.87882 .45917 .88116 .46508 .88839 .46134 .88607 .45541 Metetra
.639 .818 .969 r
.88607 .45541 .88839 .46134 .89564 .45716 .89333 .45121 Metetra
.651 .824 .966 r
.89333 .45121 .89564 .45716 .90289 .45252 .9006 .44656 Metetra
.664 .829 .963 r
.9006 .44656 .90289 .45252 .91016 .44742 .90788 .44143 Metetra
.676 .834 .959 r
.90788 .44143 .91016 .44742 .91744 .44184 .91517 .43583 Metetra
.688 .839 .956 r
.91517 .43583 .91744 .44184 .92472 .43577 .92248 .42974 Metetra
.854 .824 .818 r
.26611 .72792 .26961 .73249 .27568 .71431 .27219 .70969 Metetra
.851 .825 .822 r
.27219 .70969 .27568 .71431 .28175 .69666 .27827 .692 Metetra
.848 .826 .825 r
.27827 .692 .28175 .69666 .28782 .67953 .28435 .67484 Metetra
.845 .826 .829 r
.28435 .67484 .28782 .67953 .29389 .66294 .29044 .6582 Metetra
.842 .827 .833 r
.29044 .6582 .29389 .66294 .29996 .64688 .29652 .6421 Metetra
.838 .828 .838 r
.29652 .6421 .29996 .64688 .30604 .63135 .30261 .62653 Metetra
.835 .829 .842 r
.30261 .62653 .30604 .63135 .31212 .61634 .3087 .61149 Metetra
.831 .83 .846 r
.3087 .61149 .31212 .61634 .3182 .60185 .3148 .59697 Metetra
.826 .83 .851 r
.3148 .59697 .3182 .60185 .32429 .58789 .32089 .58297 Metetra
.822 .831 .855 r
.32089 .58297 .32429 .58789 .33038 .57444 .32699 .56949 Metetra
.817 .831 .86 r
.32699 .56949 .33038 .57444 .33647 .56152 .3331 .55653 Metetra
.812 .832 .865 r
.3331 .55653 .33647 .56152 .34257 .5491 .33921 .54408 Metetra
.807 .832 .87 r
.33921 .54408 .34257 .5491 .34867 .53719 .34533 .53214 Metetra
.801 .832 .875 r
.34533 .53214 .34867 .53719 .35478 .52578 .35145 .5207 Metetra
.796 .832 .88 r
.35145 .5207 .35478 .52578 .3609 .51488 .35757 .50977 Metetra
.789 .832 .885 r
.35757 .50977 .3609 .51488 .36702 .50447 .36371 .49933 Metetra
.783 .832 .89 r
.36371 .49933 .36702 .50447 .37315 .49455 .36985 .48939 Metetra
.776 .832 .896 r
.36985 .48939 .37315 .49455 .37928 .48512 .37599 .47993 Metetra
.768 .831 .901 r
.37599 .47993 .37928 .48512 .38543 .47617 .38215 .47096 Metetra
.761 .831 .906 r
.38215 .47096 .38543 .47617 .39158 .4677 .38831 .46246 Metetra
.752 .83 .911 r
.38831 .46246 .39158 .4677 .39774 .45969 .39448 .45443 Metetra
.744 .829 .917 r
.39448 .45443 .39774 .45969 .4039 .45215 .40066 .44687 Metetra
.735 .827 .922 r
.40066 .44687 .4039 .45215 .41008 .44507 .40684 .43976 Metetra
.725 .826 .927 r
.40684 .43976 .41008 .44507 .41626 .43843 .41304 .43311 Metetra
.715 .824 .932 r
.41304 .43311 .41626 .43843 .42246 .43224 .41925 .4269 Metetra
.705 .822 .937 r
.41925 .4269 .42246 .43224 .42866 .42649 .42546 .42112 Metetra
.694 .819 .942 r
.42546 .42112 .42866 .42649 .43488 .42116 .43169 .41578 Metetra
.683 .816 .947 r
.43169 .41578 .43488 .42116 .4411 .41626 .43793 .41086 Metetra
.671 .813 .951 r
.43793 .41086 .4411 .41626 .44734 .41176 .44417 .40635 Metetra
.659 .81 .956 r
.44417 .40635 .44734 .41176 .45359 .40768 .45043 .40225 Metetra
.646 .806 .96 r
.45043 .40225 .45359 .40768 .45985 .40399 .45671 .39855 Metetra
.633 .802 .964 r
.45671 .39855 .45985 .40399 .46612 .40069 .46299 .39523 Metetra
.619 .797 .967 r
.46299 .39523 .46612 .40069 .47241 .39776 .46928 .3923 Metetra
.605 .793 .971 r
.46928 .3923 .47241 .39776 .4787 .39521 .47559 .38973 Metetra
.591 .787 .974 r
.47559 .38973 .4787 .39521 .48501 .39302 .48191 .38753 Metetra
.577 .782 .976 r
.48191 .38753 .48501 .39302 .49134 .39117 .48825 .38567 Metetra
.562 .776 .979 r
.48825 .38567 .49134 .39117 .49767 .38967 .4946 .38416 Metetra
.547 .77 .981 r
.4946 .38416 .49767 .38967 .50403 .3885 .50096 .38298 Metetra
.532 .764 .982 r
.50096 .38298 .50403 .3885 .51039 .38765 .50734 .38212 Metetra
.517 .757 .983 r
.50734 .38212 .51039 .38765 .51677 .3871 .51373 .38157 Metetra
.502 .75 .984 r
.51373 .38157 .51677 .3871 .52317 .38686 .52013 .38131 Metetra
.487 .743 .985 r
.52013 .38131 .52317 .38686 .52957 .3869 .52655 .38135 Metetra
.472 .736 .985 r
.52655 .38135 .52957 .3869 .536 .38722 .53299 .38166 Metetra
.458 .729 .985 r
.53299 .38166 .536 .38722 .54244 .3878 .53944 .38224 Metetra
.443 .722 .985 r
.53944 .38224 .54244 .3878 .5489 .38863 .54591 .38307 Metetra
.429 .715 .984 r
.54591 .38307 .5489 .38863 .55537 .38971 .55239 .38414 Metetra
.416 .708 .983 r
.55239 .38414 .55537 .38971 .56186 .39101 .55889 .38544 Metetra
.403 .701 .982 r
.55889 .38544 .56186 .39101 .56836 .39253 .56541 .38695 Metetra
.39 .694 .981 r
.56541 .38695 .56836 .39253 .57488 .39425 .57194 .38867 Metetra
.378 .688 .98 r
.57194 .38867 .57488 .39425 .58142 .39617 .57849 .39058 Metetra
.367 .682 .978 r
.57849 .39058 .58142 .39617 .58797 .39826 .58506 .39267 Metetra
.357 .676 .977 r
.58506 .39267 .58797 .39826 .59455 .40052 .59164 .39493 Metetra
.347 .67 .975 r
.59164 .39493 .59455 .40052 .60114 .40292 .59824 .39733 Metetra
.338 .665 .974 r
.59824 .39733 .60114 .40292 .60774 .40547 .60486 .39988 Metetra
.33 .661 .973 r
.60486 .39988 .60774 .40547 .61437 .40814 .6115 .40255 Metetra
.323 .657 .972 r
.6115 .40255 .61437 .40814 .62101 .41092 .61815 .40533 Metetra
.317 .653 .97 r
.61815 .40533 .62101 .41092 .62767 .4138 .62482 .40821 Metetra
.312 .65 .969 r
.62482 .40821 .62767 .4138 .63434 .41676 .63151 .41117 Metetra
.308 .648 .969 r
.63151 .41117 .63434 .41676 .64104 .41979 .63822 .4142 Metetra
.305 .646 .968 r
.63822 .4142 .64104 .41979 .64775 .42288 .64494 .41728 Metetra
.303 .644 .968 r
.64494 .41728 .64775 .42288 .65448 .426 .65169 .42041 Metetra
.301 .644 .967 r
.65169 .42041 .65448 .426 .66123 .42915 .65845 .42356 Metetra
.301 .643 .967 r
.65845 .42356 .66123 .42915 .668 .43232 .66523 .42672 Metetra
.302 .644 .967 r
.66523 .42672 .668 .43232 .67478 .43548 .67202 .42988 Metetra
.304 .645 .968 r
.67202 .42988 .67478 .43548 .68158 .43862 .67884 .43303 Metetra
.307 .647 .968 r
.67884 .43303 .68158 .43862 .6884 .44173 .68567 .43613 Metetra
.31 .649 .969 r
.68567 .43613 .6884 .44173 .69524 .44479 .69252 .4392 Metetra
.315 .652 .97 r
.69252 .4392 .69524 .44479 .7021 .44779 .69939 .44219 Metetra
.32 .655 .971 r
.69939 .44219 .7021 .44779 .70897 .45071 .70628 .44512 Metetra
.327 .659 .972 r
.70628 .44512 .70897 .45071 .71586 .45354 .71318 .44794 Metetra
.334 .663 .973 r
.71318 .44794 .71586 .45354 .72277 .45626 .7201 .45067 Metetra
.342 .668 .975 r
.7201 .45067 .72277 .45626 .7297 .45886 .72704 .45326 Metetra
.351 .673 .976 r
.72704 .45326 .7297 .45886 .73664 .46132 .734 .45572 Metetra
.36 .679 .978 r
.734 .45572 .73664 .46132 .7436 .46363 .74098 .45803 Metetra
.37 .685 .979 r
.74098 .45803 .7436 .46363 .75058 .46577 .74797 .46017 Metetra
.381 .691 .981 r
.74797 .46017 .75058 .46577 .75757 .46774 .75498 .46213 Metetra
.392 .698 .982 r
.75498 .46213 .75757 .46774 .76458 .4695 .762 .46389 Metetra
.404 .704 .983 r
.762 .46389 .76458 .4695 .77161 .47105 .76904 .46544 Metetra
.416 .711 .984 r
.76904 .46544 .77161 .47105 .77866 .47238 .7761 .46676 Metetra
.429 .719 .985 r
.7761 .46676 .77866 .47238 .78572 .47346 .78317 .46785 Metetra
.442 .726 .986 r
.78317 .46785 .78572 .47346 .79279 .47429 .79026 .46867 Metetra
.456 .733 .987 r
.79026 .46867 .79279 .47429 .79988 .47485 .79737 .46922 Metetra
.469 .741 .987 r
.79737 .46922 .79988 .47485 .80699 .47513 .80449 .46949 Metetra
.483 .748 .987 r
.80449 .46949 .80699 .47513 .81411 .4751 .81163 .46946 Metetra
.497 .756 .987 r
.81163 .46946 .81411 .4751 .82125 .47476 .81878 .46911 Metetra
.512 .763 .987 r
.81878 .46911 .82125 .47476 .8284 .4741 .82594 .46844 Metetra
.526 .77 .987 r
.82594 .46844 .8284 .4741 .83556 .4731 .83312 .46743 Metetra
.54 .777 .986 r
.83312 .46743 .83556 .4731 .84274 .47174 .84031 .46606 Metetra
.554 .785 .985 r
.84031 .46606 .84274 .47174 .84993 .47001 .84752 .46432 Metetra
.568 .791 .983 r
.84752 .46432 .84993 .47001 .85713 .4679 .85474 .4622 Metetra
.582 .798 .982 r
.85474 .4622 .85713 .4679 .86435 .4654 .86197 .45969 Metetra
.596 .805 .98 r
.86197 .45969 .86435 .4654 .87158 .4625 .86921 .45677 Metetra
.61 .811 .977 r
.86921 .45677 .87158 .4625 .87882 .45917 .87647 .45343 Metetra
.623 .817 .975 r
.87647 .45343 .87882 .45917 .88607 .45541 .88373 .44965 Metetra
.637 .823 .972 r
.88373 .44965 .88607 .45541 .89333 .45121 .89101 .44544 Metetra
.649 .828 .969 r
.89101 .44544 .89333 .45121 .9006 .44656 .8983 .44076 Metetra
.662 .834 .966 r
.8983 .44076 .9006 .44656 .90788 .44143 .9056 .43562 Metetra
.674 .839 .962 r
.9056 .43562 .90788 .44143 .91517 .43583 .9129 .43 Metetra
.687 .844 .958 r
.9129 .43 .91517 .43583 .92248 .42974 .92022 .42389 Metetra
.856 .827 .819 r
.26259 .72352 .26611 .72792 .27219 .70969 .26869 .70524 Metetra
.853 .828 .822 r
.26869 .70524 .27219 .70969 .27827 .692 .27478 .6875 Metetra
.85 .829 .826 r
.27478 .6875 .27827 .692 .28435 .67484 .28087 .6703 Metetra
.847 .83 .83 r
.28087 .6703 .28435 .67484 .29044 .6582 .28697 .65363 Metetra
.843 .83 .834 r
.28697 .65363 .29044 .6582 .29652 .6421 .29307 .63749 Metetra
.84 .831 .839 r
.29307 .63749 .29652 .6421 .30261 .62653 .29917 .62188 Metetra
.836 .832 .843 r
.29917 .62188 .30261 .62653 .3087 .61149 .30527 .6068 Metetra
.832 .833 .847 r
.30527 .6068 .3087 .61149 .3148 .59697 .31137 .59224 Metetra
.828 .834 .852 r
.31137 .59224 .3148 .59697 .32089 .58297 .31748 .57821 Metetra
.824 .834 .857 r
.31748 .57821 .32089 .58297 .32699 .56949 .3236 .56469 Metetra
.819 .835 .861 r
.3236 .56469 .32699 .56949 .3331 .55653 .32971 .5517 Metetra
.814 .836 .866 r
.32971 .5517 .3331 .55653 .33921 .54408 .33584 .53922 Metetra
.808 .836 .871 r
.33584 .53922 .33921 .54408 .34533 .53214 .34196 .52724 Metetra
.803 .836 .876 r
.34196 .52724 .34533 .53214 .35145 .5207 .34809 .51578 Metetra
.797 .836 .882 r
.34809 .51578 .35145 .5207 .35757 .50977 .35423 .50482 Metetra
.791 .836 .887 r
.35423 .50482 .35757 .50977 .36371 .49933 .36038 .49435 Metetra
.784 .836 .892 r
.36038 .49435 .36371 .49933 .36985 .48939 .36653 .48438 Metetra
.777 .836 .898 r
.36653 .48438 .36985 .48939 .37599 .47993 .37269 .4749 Metetra
.769 .836 .903 r
.37269 .4749 .37599 .47993 .38215 .47096 .37885 .4659 Metetra
.761 .835 .908 r
.37885 .4659 .38215 .47096 .38831 .46246 .38502 .45738 Metetra
.753 .834 .914 r
.38502 .45738 .38831 .46246 .39448 .45443 .39121 .44933 Metetra
.744 .833 .919 r
.39121 .44933 .39448 .45443 .40066 .44687 .3974 .44174 Metetra
.735 .832 .924 r
.3974 .44174 .40066 .44687 .40684 .43976 .40359 .43461 Metetra
.726 .83 .93 r
.40359 .43461 .40684 .43976 .41304 .43311 .4098 .42794 Metetra
.715 .829 .935 r
.4098 .42794 .41304 .43311 .41925 .4269 .41602 .42171 Metetra
.705 .826 .94 r
.41602 .42171 .41925 .4269 .42546 .42112 .42225 .41592 Metetra
.694 .824 .945 r
.42225 .41592 .42546 .42112 .43169 .41578 .42848 .41056 Metetra
.682 .821 .95 r
.42848 .41056 .43169 .41578 .43793 .41086 .43473 .40562 Metetra
.67 .818 .954 r
.43473 .40562 .43793 .41086 .44417 .40635 .44099 .4011 Metetra
.657 .815 .959 r
.44099 .4011 .44417 .40635 .45043 .40225 .44726 .39698 Metetra
.644 .811 .963 r
.44726 .39698 .45043 .40225 .45671 .39855 .45355 .39326 Metetra
.631 .806 .967 r
.45355 .39326 .45671 .39855 .46299 .39523 .45984 .38994 Metetra
.617 .802 .971 r
.45984 .38994 .46299 .39523 .46928 .3923 .46615 .38699 Metetra
.603 .797 .974 r
.46615 .38699 .46928 .3923 .47559 .38973 .47247 .38441 Metetra
.588 .792 .977 r
.47247 .38441 .47559 .38973 .48191 .38753 .4788 .38219 Metetra
.573 .786 .979 r
.4788 .38219 .48191 .38753 .48825 .38567 .48515 .38033 Metetra
.558 .78 .982 r
.48515 .38033 .48825 .38567 .4946 .38416 .49151 .37881 Metetra
.543 .774 .984 r
.49151 .37881 .4946 .38416 .50096 .38298 .49788 .37762 Metetra
.527 .767 .985 r
.49788 .37762 .50096 .38298 .50734 .38212 .50427 .37675 Metetra
.512 .76 .986 r
.50427 .37675 .50734 .38212 .51373 .38157 .51067 .37619 Metetra
.496 .753 .987 r
.51067 .37619 .51373 .38157 .52013 .38131 .51709 .37593 Metetra
.481 .746 .987 r
.51709 .37593 .52013 .38131 .52655 .38135 .52352 .37596 Metetra
.465 .739 .987 r
.52352 .37596 .52655 .38135 .53299 .38166 .52997 .37627 Metetra
.45 .731 .987 r
.52997 .37627 .53299 .38166 .53944 .38224 .53643 .37684 Metetra
.435 .724 .986 r
.53643 .37684 .53944 .38224 .54591 .38307 .54291 .37766 Metetra
.421 .717 .986 r
.54291 .37766 .54591 .38307 .55239 .38414 .54941 .37873 Metetra
.407 .709 .985 r
.54941 .37873 .55239 .38414 .55889 .38544 .55592 .38002 Metetra
.393 .702 .983 r
.55592 .38002 .55889 .38544 .56541 .38695 .56245 .38154 Metetra
.38 .695 .982 r
.56245 .38154 .56541 .38695 .57194 .38867 .56899 .38325 Metetra
.368 .688 .981 r
.56899 .38325 .57194 .38867 .57849 .39058 .57555 .38516 Metetra
.357 .682 .979 r
.57555 .38516 .57849 .39058 .58506 .39267 .58213 .38725 Metetra
.346 .676 .977 r
.58213 .38725 .58506 .39267 .59164 .39493 .58873 .3895 Metetra
.336 .67 .976 r
.58873 .3895 .59164 .39493 .59824 .39733 .59534 .39191 Metetra
.327 .665 .974 r
.59534 .39191 .59824 .39733 .60486 .39988 .60197 .39445 Metetra
.319 .66 .973 r
.60197 .39445 .60486 .39988 .6115 .40255 .60862 .39712 Metetra
.311 .656 .971 r
.60862 .39712 .6115 .40255 .61815 .40533 .61528 .3999 Metetra
.305 .652 .97 r
.61528 .3999 .61815 .40533 .62482 .40821 .62197 .40278 Metetra
.3 .649 .969 r
.62197 .40278 .62482 .40821 .63151 .41117 .62867 .40574 Metetra
.295 .646 .968 r
.62867 .40574 .63151 .41117 .63822 .4142 .63539 .40877 Metetra
.292 .644 .967 r
.63539 .40877 .63822 .4142 .64494 .41728 .64212 .41186 Metetra
.29 .643 .967 r
.64212 .41186 .64494 .41728 .65169 .42041 .64888 .41498 Metetra
.289 .642 .967 r
.64888 .41498 .65169 .42041 .65845 .42356 .65565 .41813 Metetra
.288 .642 .967 r
.65565 .41813 .65845 .42356 .66523 .42672 .66244 .4213 Metetra
.289 .643 .967 r
.66244 .4213 .66523 .42672 .67202 .42988 .66925 .42446 Metetra
.291 .644 .967 r
.66925 .42446 .67202 .42988 .67884 .43303 .67608 .4276 Metetra
.294 .645 .968 r
.67608 .4276 .67884 .43303 .68567 .43613 .68293 .43071 Metetra
.298 .648 .969 r
.68293 .43071 .68567 .43613 .69252 .4392 .68979 .43377 Metetra
.302 .651 .97 r
.68979 .43377 .69252 .4392 .69939 .44219 .69667 .43677 Metetra
.308 .654 .971 r
.69667 .43677 .69939 .44219 .70628 .44512 .70357 .43969 Metetra
.315 .658 .972 r
.70357 .43969 .70628 .44512 .71318 .44794 .71049 .44252 Metetra
.322 .663 .973 r
.71049 .44252 .71318 .44794 .7201 .45067 .71743 .44524 Metetra
.33 .668 .975 r
.71743 .44524 .7201 .45067 .72704 .45326 .72438 .44784 Metetra
.339 .673 .977 r
.72438 .44784 .72704 .45326 .734 .45572 .73135 .4503 Metetra
.349 .679 .978 r
.73135 .4503 .734 .45572 .74098 .45803 .73834 .4526 Metetra
.36 .685 .98 r
.73834 .4526 .74098 .45803 .74797 .46017 .74534 .45474 Metetra
.371 .692 .981 r
.74534 .45474 .74797 .46017 .75498 .46213 .75237 .4567 Metetra
.382 .698 .983 r
.75237 .4567 .75498 .46213 .762 .46389 .75941 .45846 Metetra
.395 .705 .984 r
.75941 .45846 .762 .46389 .76904 .46544 .76646 .46 Metetra
.407 .713 .986 r
.76646 .46 .76904 .46544 .7761 .46676 .77353 .46132 Metetra
.42 .72 .987 r
.77353 .46132 .7761 .46676 .78317 .46785 .78062 .4624 Metetra
.434 .728 .988 r
.78062 .4624 .78317 .46785 .79026 .46867 .78773 .46322 Metetra
.448 .735 .989 r
.78773 .46322 .79026 .46867 .79737 .46922 .79485 .46376 Metetra
.462 .743 .989 r
.79485 .46376 .79737 .46922 .80449 .46949 .80198 .46403 Metetra
.476 .751 .99 r
.80198 .46403 .80449 .46949 .81163 .46946 .80913 .46399 Metetra
.491 .759 .99 r
.80913 .46399 .81163 .46946 .81878 .46911 .8163 .46363 Metetra
.505 .766 .99 r
.8163 .46363 .81878 .46911 .82594 .46844 .82348 .46295 Metetra
.52 .774 .989 r
.82348 .46295 .82594 .46844 .83312 .46743 .83067 .46193 Metetra
.535 .781 .988 r
.83067 .46193 .83312 .46743 .84031 .46606 .83788 .46055 Metetra
.549 .788 .987 r
.83788 .46055 .84031 .46606 .84752 .46432 .8451 .4588 Metetra
.564 .795 .986 r
.8451 .4588 .84752 .46432 .85474 .4622 .85233 .45667 Metetra
.578 .802 .984 r
.85233 .45667 .85474 .4622 .86197 .45969 .85958 .45415 Metetra
.593 .809 .982 r
.85958 .45415 .86197 .45969 .86921 .45677 .86684 .45121 Metetra
.607 .815 .98 r
.86684 .45121 .86921 .45677 .87647 .45343 .87411 .44786 Metetra
.621 .822 .978 r
.87411 .44786 .87647 .45343 .88373 .44965 .88139 .44407 Metetra
.634 .828 .975 r
.88139 .44407 .88373 .44965 .89101 .44544 .88868 .43983 Metetra
.647 .833 .972 r
.88868 .43983 .89101 .44544 .8983 .44076 .89599 .43514 Metetra
.66 .839 .969 r
.89599 .43514 .8983 .44076 .9056 .43562 .9033 .42998 Metetra
.673 .844 .965 r
.9033 .42998 .9056 .43562 .9129 .43 .91062 .42434 Metetra
.685 .849 .961 r
.91062 .42434 .9129 .43 .92022 .42389 .91796 .41821 Metetra
.857 .83 .819 r
.25906 .71927 .26259 .72352 .26869 .70524 .26516 .70095 Metetra
.854 .831 .823 r
.26516 .70095 .26869 .70524 .27478 .6875 .27127 .68317 Metetra
.851 .832 .827 r
.27127 .68317 .27478 .6875 .28087 .6703 .27737 .66593 Metetra
.848 .833 .831 r
.27737 .66593 .28087 .6703 .28697 .65363 .28348 .64921 Metetra
.845 .834 .835 r
.28348 .64921 .28697 .65363 .29307 .63749 .28959 .63304 Metetra
.842 .835 .839 r
.28959 .63304 .29307 .63749 .29917 .62188 .2957 .61739 Metetra
.838 .836 .844 r
.2957 .61739 .29917 .62188 .30527 .6068 .30182 .60227 Metetra
.834 .836 .848 r
.30182 .60227 .30527 .6068 .31137 .59224 .30793 .58767 Metetra
.83 .837 .853 r
.30793 .58767 .31137 .59224 .31748 .57821 .31406 .5736 Metetra
.825 .838 .858 r
.31406 .5736 .31748 .57821 .3236 .56469 .32018 .56006 Metetra
.82 .839 .863 r
.32018 .56006 .3236 .56469 .32971 .5517 .32631 .54703 Metetra
.815 .839 .868 r
.32631 .54703 .32971 .5517 .33584 .53922 .33244 .53452 Metetra
.81 .84 .873 r
.33244 .53452 .33584 .53922 .34196 .52724 .33858 .52251 Metetra
.804 .84 .878 r
.33858 .52251 .34196 .52724 .34809 .51578 .34473 .51102 Metetra
.798 .841 .883 r
.34473 .51102 .34809 .51578 .35423 .50482 .35088 .50003 Metetra
.792 .841 .889 r
.35088 .50003 .35423 .50482 .36038 .49435 .35703 .48954 Metetra
.785 .841 .894 r
.35703 .48954 .36038 .49435 .36653 .48438 .36319 .47954 Metetra
.778 .841 .899 r
.36319 .47954 .36653 .48438 .37269 .4749 .36936 .47003 Metetra
.77 .84 .905 r
.36936 .47003 .37269 .4749 .37885 .4659 .37554 .46101 Metetra
.762 .84 .91 r
.37554 .46101 .37885 .4659 .38502 .45738 .38172 .45246 Metetra
.754 .839 .916 r
.38172 .45246 .38502 .45738 .39121 .44933 .38792 .44439 Metetra
.745 .838 .921 r
.38792 .44439 .39121 .44933 .3974 .44174 .39412 .43678 Metetra
.736 .837 .927 r
.39412 .43678 .3974 .44174 .40359 .43461 .40033 .42963 Metetra
.726 .835 .932 r
.40033 .42963 .40359 .43461 .4098 .42794 .40655 .42293 Metetra
.715 .833 .938 r
.40655 .42293 .4098 .42794 .41602 .42171 .41278 .41669 Metetra
.705 .831 .943 r
.41278 .41669 .41602 .42171 .42225 .41592 .41902 .41088 Metetra
.693 .829 .948 r
.41902 .41088 .42225 .41592 .42848 .41056 .42526 .4055 Metetra
.681 .826 .953 r
.42526 .4055 .42848 .41056 .43473 .40562 .43152 .40054 Metetra
.669 .823 .957 r
.43152 .40054 .43473 .40562 .44099 .4011 .43779 .39601 Metetra
.656 .819 .962 r
.43779 .39601 .44099 .4011 .44726 .39698 .44408 .39187 Metetra
.643 .815 .966 r
.44408 .39187 .44726 .39698 .45355 .39326 .45037 .38814 Metetra
.629 .811 .97 r
.45037 .38814 .45355 .39326 .45984 .38994 .45668 .3848 Metetra
.614 .806 .974 r
.45668 .3848 .45984 .38994 .46615 .38699 .463 .38184 Metetra
.6 .801 .977 r
.463 .38184 .46615 .38699 .47247 .38441 .46933 .37925 Metetra
.585 .796 .98 r
.46933 .37925 .47247 .38441 .4788 .38219 .47567 .37702 Metetra
.569 .79 .982 r
.47567 .37702 .4788 .38219 .48515 .38033 .48203 .37515 Metetra
.554 .784 .985 r
.48203 .37515 .48515 .38033 .49151 .37881 .4884 .37362 Metetra
.538 .777 .986 r
.4884 .37362 .49151 .37881 .49788 .37762 .49478 .37242 Metetra
.522 .771 .988 r
.49478 .37242 .49788 .37762 .50427 .37675 .50118 .37154 Metetra
.506 .764 .989 r
.50118 .37154 .50427 .37675 .51067 .37619 .5076 .37098 Metetra
.49 .756 .989 r
.5076 .37098 .51067 .37619 .51709 .37593 .51403 .37071 Metetra
.474 .749 .989 r
.51403 .37071 .51709 .37593 .52352 .37596 .52047 .37073 Metetra
.458 .741 .989 r
.52047 .37073 .52352 .37596 .52997 .37627 .52693 .37103 Metetra
.442 .734 .989 r
.52693 .37103 .52997 .37627 .53643 .37684 .53341 .3716 Metetra
.427 .726 .988 r
.53341 .3716 .53643 .37684 .54291 .37766 .5399 .37242 Metetra
.412 .718 .987 r
.5399 .37242 .54291 .37766 .54941 .37873 .5464 .37348 Metetra
.397 .711 .986 r
.5464 .37348 .54941 .37873 .55592 .38002 .55293 .37477 Metetra
.383 .703 .984 r
.55293 .37477 .55592 .38002 .56245 .38154 .55947 .37628 Metetra
.37 .696 .983 r
.55947 .37628 .56245 .38154 .56899 .38325 .56602 .378 Metetra
.357 .689 .981 r
.56602 .378 .56899 .38325 .57555 .38516 .5726 .37991 Metetra
.345 .682 .979 r
.5726 .37991 .57555 .38516 .58213 .38725 .57919 .38199 Metetra
.334 .676 .977 r
.57919 .38199 .58213 .38725 .58873 .3895 .58579 .38424 Metetra
.324 .67 .975 r
.58579 .38424 .58873 .3895 .59534 .39191 .59242 .38665 Metetra
.315 .664 .974 r
.59242 .38665 .59534 .39191 .60197 .39445 .59906 .38919 Metetra
.306 .659 .972 r
.59906 .38919 .60197 .39445 .60862 .39712 .60572 .39186 Metetra
.299 .655 .971 r
.60572 .39186 .60862 .39712 .61528 .3999 .6124 .39464 Metetra
.292 .651 .969 r
.6124 .39464 .61528 .3999 .62197 .40278 .6191 .39752 Metetra
.287 .648 .968 r
.6191 .39752 .62197 .40278 .62867 .40574 .62581 .40048 Metetra
.282 .645 .967 r
.62581 .40048 .62867 .40574 .63539 .40877 .63254 .40351 Metetra
.279 .643 .966 r
.63254 .40351 .63539 .40877 .64212 .41186 .63929 .4066 Metetra
.277 .641 .966 r
.63929 .4066 .64212 .41186 .64888 .41498 .64606 .40972 Metetra
.275 .641 .965 r
.64606 .40972 .64888 .41498 .65565 .41813 .65285 .41287 Metetra
.275 .64 .965 r
.65285 .41287 .65565 .41813 .66244 .4213 .65965 .41604 Metetra
.276 .641 .965 r
.65965 .41604 .66244 .4213 .66925 .42446 .66647 .4192 Metetra
.278 .642 .966 r
.66647 .4192 .66925 .42446 .67608 .4276 .67331 .42234 Metetra
.281 .644 .967 r
.67331 .42234 .67608 .4276 .68293 .43071 .68017 .42545 Metetra
.285 .646 .967 r
.68017 .42545 .68293 .43071 .68979 .43377 .68705 .42851 Metetra
.289 .649 .969 r
.68705 .42851 .68979 .43377 .69667 .43677 .69395 .43151 Metetra
.295 .653 .97 r
.69395 .43151 .69667 .43677 .70357 .43969 .70086 .43443 Metetra
.302 .657 .971 r
.70086 .43443 .70357 .43969 .71049 .44252 .70779 .43726 Metetra
.31 .662 .973 r
.70779 .43726 .71049 .44252 .71743 .44524 .71474 .43998 Metetra
.318 .667 .975 r
.71474 .43998 .71743 .44524 .72438 .44784 .72171 .44258 Metetra
.327 .673 .976 r
.72171 .44258 .72438 .44784 .73135 .4503 .72869 .44504 Metetra
.338 .679 .978 r
.72869 .44504 .73135 .4503 .73834 .4526 .73569 .44734 Metetra
.348 .685 .98 r
.73569 .44734 .73834 .4526 .74534 .45474 .74271 .44948 Metetra
.36 .692 .982 r
.74271 .44948 .74534 .45474 .75237 .4567 .74975 .45143 Metetra
.372 .699 .983 r
.74975 .45143 .75237 .4567 .75941 .45846 .7568 .45319 Metetra
.385 .706 .985 r
.7568 .45319 .75941 .45846 .76646 .46 .76387 .45473 Metetra
.398 .714 .987 r
.76387 .45473 .76646 .46 .77353 .46132 .77096 .45605 Metetra
.411 .722 .988 r
.77096 .45605 .77353 .46132 .78062 .4624 .77806 .45712 Metetra
.425 .729 .989 r
.77806 .45712 .78062 .4624 .78773 .46322 .78518 .45793 Metetra
.44 .737 .99 r
.78518 .45793 .78773 .46322 .79485 .46376 .79231 .45848 Metetra
.454 .745 .991 r
.79231 .45848 .79485 .46376 .80198 .46403 .79946 .45873 Metetra
.469 .753 .992 r
.79946 .45873 .80198 .46403 .80913 .46399 .80663 .45869 Metetra
.484 .761 .992 r
.80663 .45869 .80913 .46399 .8163 .46363 .81381 .45833 Metetra
.499 .769 .992 r
.81381 .45833 .8163 .46363 .82348 .46295 .821 .45764 Metetra
.514 .777 .992 r
.821 .45764 .82348 .46295 .83067 .46193 .82821 .45661 Metetra
.529 .785 .991 r
.82821 .45661 .83067 .46193 .83788 .46055 .83543 .45522 Metetra
.544 .792 .99 r
.83543 .45522 .83788 .46055 .8451 .4588 .84267 .45346 Metetra
.559 .799 .989 r
.84267 .45346 .8451 .4588 .85233 .45667 .84992 .45132 Metetra
.574 .807 .987 r
.84992 .45132 .85233 .45667 .85958 .45415 .85718 .44878 Metetra
.589 .813 .985 r
.85718 .44878 .85958 .45415 .86684 .45121 .86445 .44583 Metetra
.603 .82 .983 r
.86445 .44583 .86684 .45121 .87411 .44786 .87174 .44246 Metetra
.618 .826 .98 r
.87174 .44246 .87411 .44786 .88139 .44407 .87904 .43865 Metetra
.631 .832 .978 r
.87904 .43865 .88139 .44407 .88868 .43983 .88635 .4344 Metetra
.645 .838 .975 r
.88635 .4344 .88868 .43983 .89599 .43514 .89367 .42969 Metetra
.658 .844 .971 r
.89367 .42969 .89599 .43514 .9033 .42998 .901 .42451 Metetra
.671 .849 .968 r
.901 .42451 .9033 .42998 .91062 .42434 .90834 .41885 Metetra
.684 .854 .964 r
.90834 .41885 .91062 .42434 .91796 .41821 .91569 .4127 Metetra
.859 .833 .82 r
.25551 .71519 .25906 .71927 .26516 .70095 .26162 .69683 Metetra
.856 .834 .824 r
.26162 .69683 .26516 .70095 .27127 .68317 .26774 .67901 Metetra
.853 .835 .828 r
.26774 .67901 .27127 .68317 .27737 .66593 .27386 .66172 Metetra
.85 .836 .832 r
.27386 .66172 .27737 .66593 .28348 .64921 .27998 .64496 Metetra
.847 .837 .836 r
.27998 .64496 .28348 .64921 .28959 .63304 .2861 .62874 Metetra
.843 .838 .84 r
.2861 .62874 .28959 .63304 .2957 .61739 .29222 .61306 Metetra
.839 .839 .845 r
.29222 .61306 .2957 .61739 .30182 .60227 .29835 .5979 Metetra
.835 .84 .849 r
.29835 .5979 .30182 .60227 .30793 .58767 .30448 .58327 Metetra
.831 .841 .854 r
.30448 .58327 .30793 .58767 .31406 .5736 .31061 .56917 Metetra
.827 .842 .859 r
.31061 .56917 .31406 .5736 .32018 .56006 .31675 .55559 Metetra
.822 .843 .864 r
.31675 .55559 .32018 .56006 .32631 .54703 .32289 .54252 Metetra
.817 .843 .869 r
.32289 .54252 .32631 .54703 .33244 .53452 .32903 .52998 Metetra
.811 .844 .874 r
.32903 .52998 .33244 .53452 .33858 .52251 .33518 .51795 Metetra
.806 .844 .88 r
.33518 .51795 .33858 .52251 .34473 .51102 .34134 .50642 Metetra
.8 .845 .885 r
.34134 .50642 .34473 .51102 .35088 .50003 .3475 .4954 Metetra
.793 .845 .89 r
.3475 .4954 .35088 .50003 .35703 .48954 .35367 .48488 Metetra
.786 .845 .896 r
.35367 .48488 .35703 .48954 .36319 .47954 .35984 .47486 Metetra
.779 .845 .901 r
.35984 .47486 .36319 .47954 .36936 .47003 .36602 .46532 Metetra
.771 .845 .907 r
.36602 .46532 .36936 .47003 .37554 .46101 .37221 .45627 Metetra
.763 .844 .913 r
.37221 .45627 .37554 .46101 .38172 .45246 .37841 .4477 Metetra
.755 .844 .918 r
.37841 .4477 .38172 .45246 .38792 .44439 .38461 .4396 Metetra
.746 .843 .924 r
.38461 .4396 .38792 .44439 .39412 .43678 .39083 .43197 Metetra
.736 .841 .929 r
.39083 .43197 .39412 .43678 .40033 .42963 .39705 .42481 Metetra
.726 .84 .935 r
.39705 .42481 .40033 .42963 .40655 .42293 .40328 .41809 Metetra
.715 .838 .94 r
.40328 .41809 .40655 .42293 .41278 .41669 .40952 .41182 Metetra
.704 .836 .946 r
.40952 .41182 .41278 .41669 .41902 .41088 .41577 .406 Metetra
.693 .834 .951 r
.41577 .406 .41902 .41088 .42526 .4055 .42203 .4006 Metetra
.68 .831 .956 r
.42203 .4006 .42526 .4055 .43152 .40054 .4283 .39563 Metetra
.668 .828 .96 r
.4283 .39563 .43152 .40054 .43779 .39601 .43458 .39107 Metetra
.654 .824 .965 r
.43458 .39107 .43779 .39601 .44408 .39187 .44088 .38693 Metetra
.641 .82 .969 r
.44088 .38693 .44408 .39187 .45037 .38814 .44718 .38318 Metetra
.626 .816 .973 r
.44718 .38318 .45037 .38814 .45668 .3848 .4535 .37983 Metetra
.612 .811 .977 r
.4535 .37983 .45668 .3848 .463 .38184 .45983 .37685 Metetra
.597 .806 .98 r
.45983 .37685 .463 .38184 .46933 .37925 .46617 .37425 Metetra
.581 .8 .983 r
.46617 .37425 .46933 .37925 .47567 .37702 .47253 .37202 Metetra
.565 .794 .985 r
.47253 .37202 .47567 .37702 .48203 .37515 .4789 .37013 Metetra
.549 .788 .987 r
.4789 .37013 .48203 .37515 .4884 .37362 .48528 .36859 Metetra
.533 .781 .989 r
.48528 .36859 .4884 .37362 .49478 .37242 .49167 .36738 Metetra
.516 .774 .99 r
.49167 .36738 .49478 .37242 .50118 .37154 .49809 .3665 Metetra
.5 .767 .991 r
.49809 .3665 .50118 .37154 .5076 .37098 .50451 .36593 Metetra
.483 .759 .991 r
.50451 .36593 .5076 .37098 .51403 .37071 .51095 .36565 Metetra
.466 .751 .991 r
.51095 .36565 .51403 .37071 .52047 .37073 .51741 .36567 Metetra
.45 .743 .991 r
.51741 .36567 .52047 .37073 .52693 .37103 .52388 .36596 Metetra
.434 .735 .99 r
.52388 .36596 .52693 .37103 .53341 .3716 .53037 .36653 Metetra
.418 .727 .989 r
.53037 .36653 .53341 .3716 .5399 .37242 .53687 .36734 Metetra
.402 .719 .988 r
.53687 .36734 .5399 .37242 .5464 .37348 .54339 .3684 Metetra
.387 .711 .986 r
.54339 .3684 .5464 .37348 .55293 .37477 .54992 .36969 Metetra
.373 .704 .985 r
.54992 .36969 .55293 .37477 .55947 .37628 .55647 .3712 Metetra
.359 .696 .983 r
.55647 .3712 .55947 .37628 .56602 .378 .56304 .37291 Metetra
.346 .689 .981 r
.56304 .37291 .56602 .378 .5726 .37991 .56963 .37481 Metetra
.334 .682 .979 r
.56963 .37481 .5726 .37991 .57919 .38199 .57623 .3769 Metetra
.322 .675 .977 r
.57623 .3769 .57919 .38199 .58579 .38424 .58285 .37915 Metetra
.311 .669 .975 r
.58285 .37915 .58579 .38424 .59242 .38665 .58949 .38155 Metetra
.302 .663 .973 r
.58949 .38155 .59242 .38665 .59906 .38919 .59614 .38409 Metetra
.293 .658 .971 r
.59614 .38409 .59906 .38919 .60572 .39186 .60281 .38676 Metetra
.285 .653 .969 r
.60281 .38676 .60572 .39186 .6124 .39464 .6095 .38954 Metetra
.279 .649 .968 r
.6095 .38954 .6124 .39464 .6191 .39752 .61621 .39242 Metetra
.273 .646 .966 r
.61621 .39242 .6191 .39752 .62581 .40048 .62294 .39538 Metetra
.268 .643 .965 r
.62294 .39538 .62581 .40048 .63254 .40351 .62968 .39841 Metetra
.265 .641 .964 r
.62968 .39841 .63254 .40351 .63929 .4066 .63645 .4015 Metetra
.262 .639 .964 r
.63645 .4015 .63929 .4066 .64606 .40972 .64323 .40463 Metetra
.261 .638 .963 r
.64323 .40463 .64606 .40972 .65285 .41287 .65003 .40778 Metetra
.261 .638 .963 r
.65003 .40778 .65285 .41287 .65965 .41604 .65684 .41095 Metetra
.262 .639 .964 r
.65684 .41095 .65965 .41604 .66647 .4192 .66368 .41411 Metetra
.264 .64 .964 r
.66368 .41411 .66647 .4192 .67331 .42234 .67053 .41725 Metetra
.267 .642 .965 r
.67053 .41725 .67331 .42234 .68017 .42545 .67741 .42036 Metetra
.271 .644 .966 r
.67741 .42036 .68017 .42545 .68705 .42851 .6843 .42342 Metetra
.276 .648 .967 r
.6843 .42342 .68705 .42851 .69395 .43151 .6912 .42642 Metetra
.282 .651 .968 r
.6912 .42642 .69395 .43151 .70086 .43443 .69813 .42935 Metetra
.289 .656 .97 r
.69813 .42935 .70086 .43443 .70779 .43726 .70508 .43217 Metetra
.297 .66 .972 r
.70508 .43217 .70779 .43726 .71474 .43998 .71204 .43489 Metetra
.305 .666 .974 r
.71204 .43489 .71474 .43998 .72171 .44258 .71902 .43749 Metetra
.315 .672 .976 r
.71902 .43749 .72171 .44258 .72869 .44504 .72602 .43995 Metetra
.325 .678 .978 r
.72602 .43995 .72869 .44504 .73569 .44734 .73303 .44225 Metetra
.337 .685 .98 r
.73303 .44225 .73569 .44734 .74271 .44948 .74006 .44439 Metetra
.348 .692 .982 r
.74006 .44439 .74271 .44948 .74975 .45143 .74711 .44634 Metetra
.361 .699 .984 r
.74711 .44634 .74975 .45143 .7568 .45319 .75418 .4481 Metetra
.374 .707 .986 r
.75418 .4481 .7568 .45319 .76387 .45473 .76127 .44964 Metetra
.387 .715 .987 r
.76127 .44964 .76387 .45473 .77096 .45605 .76837 .45095 Metetra
.402 .723 .989 r
.76837 .45095 .77096 .45605 .77806 .45712 .77548 .45201 Metetra
.416 .731 .99 r
.77548 .45201 .77806 .45712 .78518 .45793 .78262 .45282 Metetra
.431 .739 .992 r
.78262 .45282 .78518 .45793 .79231 .45848 .78977 .45336 Metetra
.446 .747 .993 r
.78977 .45336 .79231 .45848 .79946 .45873 .79693 .45361 Metetra
.461 .756 .993 r
.79693 .45361 .79946 .45873 .80663 .45869 .80411 .45356 Metetra
.477 .764 .994 r
.80411 .45356 .80663 .45869 .81381 .45833 .8113 .45319 Metetra
.492 .772 .994 r
.8113 .45319 .81381 .45833 .821 .45764 .81851 .4525 Metetra
.508 .78 .994 r
.81851 .4525 .821 .45764 .82821 .45661 .82574 .45145 Metetra
.523 .788 .993 r
.82574 .45145 .82821 .45661 .83543 .45522 .83298 .45006 Metetra
.539 .796 .992 r
.83298 .45006 .83543 .45522 .84267 .45346 .84023 .44829 Metetra
.554 .803 .991 r
.84023 .44829 .84267 .45346 .84992 .45132 .84749 .44613 Metetra
.57 .811 .99 r
.84749 .44613 .84992 .45132 .85718 .44878 .85477 .44358 Metetra
.585 .818 .988 r
.85477 .44358 .85718 .44878 .86445 .44583 .86206 .44062 Metetra
.6 .824 .986 r
.86206 .44062 .86445 .44583 .87174 .44246 .86936 .43723 Metetra
.614 .831 .983 r
.86936 .43723 .87174 .44246 .87904 .43865 .87668 .43341 Metetra
.629 .837 .98 r
.87668 .43341 .87904 .43865 .88635 .4344 .884 .42914 Metetra
.643 .843 .977 r
.884 .42914 .88635 .4344 .89367 .42969 .89134 .42442 Metetra
.656 .849 .974 r
.89134 .42442 .89367 .42969 .901 .42451 .89868 .41922 Metetra
.67 .854 .97 r
.89868 .41922 .901 .42451 .90834 .41885 .90604 .41354 Metetra
.682 .859 .966 r
.90604 .41354 .90834 .41885 .91569 .4127 .9134 .40736 Metetra
.86 .836 .82 r
.25193 .71128 .25551 .71519 .26162 .69683 .25806 .69287 Metetra
.858 .837 .824 r
.25806 .69287 .26162 .69683 .26774 .67901 .26419 .675 Metetra
.855 .838 .828 r
.26419 .675 .26774 .67901 .27386 .66172 .27032 .65767 Metetra
.852 .839 .833 r
.27032 .65767 .27386 .66172 .27998 .64496 .27645 .64088 Metetra
.848 .84 .837 r
.27645 .64088 .27998 .64496 .2861 .62874 .28259 .62462 Metetra
.845 .841 .841 r
.28259 .62462 .2861 .62874 .29222 .61306 .28872 .60889 Metetra
.841 .842 .846 r
.28872 .60889 .29222 .61306 .29835 .5979 .29486 .5937 Metetra
.837 .844 .85 r
.29486 .5937 .29835 .5979 .30448 .58327 .301 .57903 Metetra
.833 .845 .855 r
.301 .57903 .30448 .58327 .31061 .56917 .30715 .56489 Metetra
.828 .845 .86 r
.30715 .56489 .31061 .56917 .31675 .55559 .3133 .55128 Metetra
.823 .846 .865 r
.3133 .55128 .31675 .55559 .32289 .54252 .31945 .53818 Metetra
.818 .847 .87 r
.31945 .53818 .32289 .54252 .32903 .52998 .32561 .5256 Metetra
.813 .848 .876 r
.32561 .5256 .32903 .52998 .33518 .51795 .33177 .51354 Metetra
.807 .848 .881 r
.33177 .51354 .33518 .51795 .34134 .50642 .33794 .50199 Metetra
.801 .849 .886 r
.33794 .50199 .34134 .50642 .3475 .4954 .34411 .49094 Metetra
.794 .849 .892 r
.34411 .49094 .3475 .4954 .35367 .48488 .35029 .48039 Metetra
.787 .849 .898 r
.35029 .48039 .35367 .48488 .35984 .47486 .35647 .47034 Metetra
.78 .849 .903 r
.35647 .47034 .35984 .47486 .36602 .46532 .36267 .46078 Metetra
.772 .849 .909 r
.36267 .46078 .36602 .46532 .37221 .45627 .36887 .4517 Metetra
.764 .849 .915 r
.36887 .4517 .37221 .45627 .37841 .4477 .37508 .44311 Metetra
.755 .848 .92 r
.37508 .44311 .37841 .4477 .38461 .4396 .38129 .43499 Metetra
.746 .847 .926 r
.38129 .43499 .38461 .4396 .39083 .43197 .38752 .42733 Metetra
.736 .846 .932 r
.38752 .42733 .39083 .43197 .39705 .42481 .39375 .42014 Metetra
.726 .845 .937 r
.39375 .42014 .39705 .42481 .40328 .41809 .39999 .41341 Metetra
.715 .843 .943 r
.39999 .41341 .40328 .41809 .40952 .41182 .40624 .40712 Metetra
.704 .841 .948 r
.40624 .40712 .40952 .41182 .41577 .406 .4125 .40128 Metetra
.692 .838 .953 r
.4125 .40128 .41577 .406 .42203 .4006 .41878 .39586 Metetra
.679 .836 .958 r
.41878 .39586 .42203 .4006 .4283 .39563 .42506 .39088 Metetra
.666 .832 .963 r
.42506 .39088 .4283 .39563 .43458 .39107 .43135 .38631 Metetra
.653 .829 .968 r
.43135 .38631 .43458 .39107 .44088 .38693 .43766 .38215 Metetra
.639 .825 .972 r
.43766 .38215 .44088 .38693 .44718 .38318 .44397 .37839 Metetra
.624 .82 .976 r
.44397 .37839 .44718 .38318 .4535 .37983 .4503 .37502 Metetra
.609 .815 .979 r
.4503 .37502 .4535 .37983 .45983 .37685 .45664 .37203 Metetra
.593 .81 .983 r
.45664 .37203 .45983 .37685 .46617 .37425 .463 .36942 Metetra
.577 .804 .985 r
.463 .36942 .46617 .37425 .47253 .37202 .46937 .36717 Metetra
.561 .798 .988 r
.46937 .36717 .47253 .37202 .4789 .37013 .47575 .36528 Metetra
.544 .791 .99 r
.47575 .36528 .4789 .37013 .48528 .36859 .48214 .36373 Metetra
.527 .784 .991 r
.48214 .36373 .48528 .36859 .49167 .36738 .48855 .36251 Metetra
.51 .777 .992 r
.48855 .36251 .49167 .36738 .49809 .3665 .49497 .36162 Metetra
.493 .77 .993 r
.49497 .36162 .49809 .3665 .50451 .36593 .50141 .36104 Metetra
.476 .762 .993 r
.50141 .36104 .50451 .36593 .51095 .36565 .50786 .36076 Metetra
.458 .754 .993 r
.50786 .36076 .51095 .36565 .51741 .36567 .51433 .36077 Metetra
.441 .745 .992 r
.51433 .36077 .51741 .36567 .52388 .36596 .52081 .36106 Metetra
.425 .737 .991 r
.52081 .36106 .52388 .36596 .53037 .36653 .52731 .36162 Metetra
.408 .729 .99 r
.52731 .36162 .53037 .36653 .53687 .36734 .53383 .36243 Metetra
.392 .72 .989 r
.53383 .36243 .53687 .36734 .54339 .3684 .54036 .36348 Metetra
.377 .712 .987 r
.54036 .36348 .54339 .3684 .54992 .36969 .5469 .36477 Metetra
.362 .704 .985 r
.5469 .36477 .54992 .36969 .55647 .3712 .55347 .36627 Metetra
.348 .696 .983 r
.55347 .36627 .55647 .3712 .56304 .37291 .56005 .36798 Metetra
.334 .688 .98 r
.56005 .36798 .56304 .37291 .56963 .37481 .56664 .36989 Metetra
.321 .681 .978 r
.56664 .36989 .56963 .37481 .57623 .3769 .57326 .37197 Metetra
.309 .674 .976 r
.57326 .37197 .57623 .3769 .58285 .37915 .57989 .37422 Metetra
.298 .668 .973 r
.57989 .37422 .58285 .37915 .58949 .38155 .58654 .37662 Metetra
.288 .662 .971 r
.58654 .37662 .58949 .38155 .59614 .38409 .59321 .37917 Metetra
.279 .656 .969 r
.59321 .37917 .59614 .38409 .60281 .38676 .59989 .38183 Metetra
.271 .651 .967 r
.59989 .38183 .60281 .38676 .6095 .38954 .6066 .38461 Metetra
.264 .647 .965 r
.6066 .38461 .6095 .38954 .61621 .39242 .61332 .38749 Metetra
.259 .643 .964 r
.61332 .38749 .61621 .39242 .62294 .39538 .62006 .39046 Metetra
.254 .64 .963 r
.62006 .39046 .62294 .39538 .62968 .39841 .62681 .39349 Metetra
.25 .638 .962 r
.62681 .39349 .62968 .39841 .63645 .4015 .63359 .39658 Metetra
.248 .637 .961 r
.63359 .39658 .63645 .4015 .64323 .40463 .64038 .3997 Metetra
.246 .636 .961 r
.64038 .3997 .64323 .40463 .65003 .40778 .64719 .40286 Metetra
.246 .636 .961 r
.64719 .40286 .65003 .40778 .65684 .41095 .65402 .40602 Metetra
.247 .636 .961 r
.65402 .40602 .65684 .41095 .66368 .41411 .66087 .40919 Metetra
.249 .637 .961 r
.66087 .40919 .66368 .41411 .67053 .41725 .66774 .41233 Metetra
.252 .639 .962 r
.66774 .41233 .67053 .41725 .67741 .42036 .67462 .41544 Metetra
.256 .642 .963 r
.67462 .41544 .67741 .42036 .6843 .42342 .68153 .41851 Metetra
.261 .645 .965 r
.68153 .41851 .6843 .42342 .6912 .42642 .68845 .42151 Metetra
.268 .649 .966 r
.68845 .42151 .6912 .42642 .69813 .42935 .69539 .42443 Metetra
.275 .654 .968 r
.69539 .42443 .69813 .42935 .70508 .43217 .70235 .42726 Metetra
.283 .659 .97 r
.70235 .42726 .70508 .43217 .71204 .43489 .70932 .42998 Metetra
.292 .664 .972 r
.70932 .42998 .71204 .43489 .71902 .43749 .71632 .43257 Metetra
.302 .67 .974 r
.71632 .43257 .71902 .43749 .72602 .43995 .72333 .43503 Metetra
.313 .677 .976 r
.72333 .43503 .72602 .43995 .73303 .44225 .73036 .43734 Metetra
.324 .684 .979 r
.73036 .43734 .73303 .44225 .74006 .44439 .73741 .43947 Metetra
.336 .691 .981 r
.73741 .43947 .74006 .44439 .74711 .44634 .74447 .44142 Metetra
.349 .699 .983 r
.74447 .44142 .74711 .44634 .75418 .4481 .75155 .44317 Metetra
.363 .707 .985 r
.75155 .44317 .75418 .4481 .76127 .44964 .75865 .44471 Metetra
.377 .715 .987 r
.75865 .44471 .76127 .44964 .76837 .45095 .76577 .44602 Metetra
.391 .724 .989 r
.76577 .44602 .76837 .45095 .77548 .45201 .7729 .44708 Metetra
.406 .732 .991 r
.7729 .44708 .77548 .45201 .78262 .45282 .78005 .44789 Metetra
.421 .741 .992 r
.78005 .44789 .78262 .45282 .78977 .45336 .78721 .44842 Metetra
.437 .749 .994 r
.78721 .44842 .78977 .45336 .79693 .45361 .79439 .44867 Metetra
.453 .758 .995 r
.79439 .44867 .79693 .45361 .80411 .45356 .80158 .44861 Metetra
.469 .766 .995 r
.80158 .44861 .80411 .45356 .8113 .45319 .80879 .44823 Metetra
.485 .775 .996 r
.80879 .44823 .8113 .45319 .81851 .4525 .81602 .44753 Metetra
.501 .783 .996 r
.81602 .44753 .81851 .4525 .82574 .45145 .82326 .44648 Metetra
.517 .791 .995 r
.82326 .44648 .82574 .45145 .83298 .45006 .83051 .44507 Metetra
.533 .799 .994 r
.83051 .44507 .83298 .45006 .84023 .44829 .83778 .44329 Metetra
.549 .807 .993 r
.83778 .44329 .84023 .44829 .84749 .44613 .84506 .44112 Metetra
.565 .815 .992 r
.84506 .44112 .84749 .44613 .85477 .44358 .85235 .43856 Metetra
.58 .822 .99 r
.85235 .43856 .85477 .44358 .86206 .44062 .85966 .43558 Metetra
.596 .829 .988 r
.85966 .43558 .86206 .44062 .86936 .43723 .86697 .43218 Metetra
.611 .836 .986 r
.86697 .43218 .86936 .43723 .87668 .43341 .8743 .42835 Metetra
.625 .842 .983 r
.8743 .42835 .87668 .43341 .884 .42914 .88165 .42406 Metetra
.64 .848 .98 r
.88165 .42406 .884 .42914 .89134 .42442 .889 .41932 Metetra
.654 .854 .976 r
.889 .41932 .89134 .42442 .89868 .41922 .89636 .4141 Metetra
.667 .859 .973 r
.89636 .4141 .89868 .41922 .90604 .41354 .90373 .4084 Metetra
.681 .864 .969 r
.90373 .4084 .90604 .41354 .9134 .40736 .91111 .4022 Metetra
.862 .839 .821 r
.24834 .70753 .25193 .71128 .25806 .69287 .25448 .68908 Metetra
.859 .84 .825 r
.25448 .68908 .25806 .69287 .26419 .675 .26063 .67117 Metetra
.856 .841 .829 r
.26063 .67117 .26419 .675 .27032 .65767 .26677 .65379 Metetra
.853 .842 .833 r
.26677 .65379 .27032 .65767 .27645 .64088 .27291 .63696 Metetra
.85 .844 .838 r
.27291 .63696 .27645 .64088 .28259 .62462 .27906 .62066 Metetra
.846 .845 .842 r
.27906 .62066 .28259 .62462 .28872 .60889 .28521 .60489 Metetra
.843 .846 .847 r
.28521 .60489 .28872 .60889 .29486 .5937 .29136 .58966 Metetra
.839 .847 .851 r
.29136 .58966 .29486 .5937 .301 .57903 .29751 .57496 Metetra
.834 .848 .856 r
.29751 .57496 .301 .57903 .30715 .56489 .30367 .56078 Metetra
.83 .849 .861 r
.30367 .56078 .30715 .56489 .3133 .55128 .30983 .54713 Metetra
.825 .85 .866 r
.30983 .54713 .3133 .55128 .31945 .53818 .31599 .534 Metetra
.82 .851 .872 r
.31599 .534 .31945 .53818 .32561 .5256 .32216 .52139 Metetra
.814 .852 .877 r
.32216 .52139 .32561 .5256 .33177 .51354 .32834 .5093 Metetra
.808 .853 .883 r
.32834 .5093 .33177 .51354 .33794 .50199 .33452 .49771 Metetra
.802 .853 .888 r
.33452 .49771 .33794 .50199 .34411 .49094 .3407 .48664 Metetra
.796 .854 .894 r
.3407 .48664 .34411 .49094 .35029 .48039 .34689 .47606 Metetra
.789 .854 .899 r
.34689 .47606 .35029 .48039 .35647 .47034 .35309 .46598 Metetra
.781 .854 .905 r
.35309 .46598 .35647 .47034 .36267 .46078 .35929 .45639 Metetra
.773 .854 .911 r
.35929 .45639 .36267 .46078 .36887 .4517 .36551 .44729 Metetra
.765 .854 .917 r
.36551 .44729 .36887 .4517 .37508 .44311 .37173 .43868 Metetra
.756 .853 .923 r
.37173 .43868 .37508 .44311 .38129 .43499 .37795 .43053 Metetra
.746 .852 .928 r
.37795 .43053 .38129 .43499 .38752 .42733 .38419 .42286 Metetra
.736 .851 .934 r
.38419 .42286 .38752 .42733 .39375 .42014 .39043 .41565 Metetra
.726 .85 .94 r
.39043 .41565 .39375 .42014 .39999 .41341 .39669 .40889 Metetra
.715 .848 .945 r
.39669 .40889 .39999 .41341 .40624 .40712 .40295 .40259 Metetra
.703 .846 .951 r
.40295 .40259 .40624 .40712 .4125 .40128 .40922 .39672 Metetra
.691 .843 .956 r
.40922 .39672 .4125 .40128 .41878 .39586 .41551 .39129 Metetra
.678 .841 .961 r
.41551 .39129 .41878 .39586 .42506 .39088 .4218 .38629 Metetra
.665 .837 .966 r
.4218 .38629 .42506 .39088 .43135 .38631 .42811 .3817 Metetra
.651 .834 .971 r
.42811 .3817 .43135 .38631 .43766 .38215 .43442 .37753 Metetra
.636 .829 .975 r
.43442 .37753 .43766 .38215 .44397 .37839 .44075 .37375 Metetra
.621 .825 .979 r
.44075 .37375 .44397 .37839 .4503 .37502 .44709 .37037 Metetra
.605 .82 .982 r
.44709 .37037 .4503 .37502 .45664 .37203 .45345 .36738 Metetra
.589 .814 .985 r
.45345 .36738 .45664 .37203 .463 .36942 .45981 .36475 Metetra
.573 .808 .988 r
.45981 .36475 .463 .36942 .46937 .36717 .46619 .36249 Metetra
.556 .802 .99 r
.46619 .36249 .46937 .36717 .47575 .36528 .47258 .36059 Metetra
.539 .795 .992 r
.47258 .36059 .47575 .36528 .48214 .36373 .47899 .35903 Metetra
.521 .788 .994 r
.47899 .35903 .48214 .36373 .48855 .36251 .48541 .35781 Metetra
.503 .78 .994 r
.48541 .35781 .48855 .36251 .49497 .36162 .49184 .35691 Metetra
.486 .772 .995 r
.49184 .35691 .49497 .36162 .50141 .36104 .49829 .35632 Metetra
.468 .764 .995 r
.49829 .35632 .50141 .36104 .50786 .36076 .50476 .35603 Metetra
.45 .756 .994 r
.50476 .35603 .50786 .36076 .51433 .36077 .51124 .35604 Metetra
.433 .747 .993 r
.51124 .35604 .51433 .36077 .52081 .36106 .51773 .35632 Metetra
.415 .738 .992 r
.51773 .35632 .52081 .36106 .52731 .36162 .52424 .35687 Metetra
.398 .73 .991 r
.52424 .35687 .52731 .36162 .53383 .36243 .53077 .35768 Metetra
.382 .721 .989 r
.53077 .35768 .53383 .36243 .54036 .36348 .53731 .35873 Metetra
.366 .712 .986 r
.53731 .35873 .54036 .36348 .5469 .36477 .54387 .36002 Metetra
.35 .704 .984 r
.54387 .36002 .5469 .36477 .55347 .36627 .55045 .36152 Metetra
.335 .695 .982 r
.55045 .36152 .55347 .36627 .56005 .36798 .55704 .36323 Metetra
.321 .687 .979 r
.55704 .36323 .56005 .36798 .56664 .36989 .56365 .36513 Metetra
.308 .68 .976 r
.56365 .36513 .56664 .36989 .57326 .37197 .57027 .36721 Metetra
.296 .672 .974 r
.57027 .36721 .57326 .37197 .57989 .37422 .57692 .36946 Metetra
.284 .666 .971 r
.57692 .36946 .57989 .37422 .58654 .37662 .58358 .37186 Metetra
.274 .659 .969 r
.58358 .37186 .58654 .37662 .59321 .37917 .59026 .3744 Metetra
.265 .654 .966 r
.59026 .3744 .59321 .37917 .59989 .38183 .59696 .37707 Metetra
.257 .649 .964 r
.59696 .37707 .59989 .38183 .6066 .38461 .60367 .37985 Metetra
.249 .644 .962 r
.60367 .37985 .6066 .38461 .61332 .38749 .61041 .38273 Metetra
.243 .641 .961 r
.61041 .38273 .61332 .38749 .62006 .39046 .61716 .3857 Metetra
.239 .637 .959 r
.61716 .3857 .62006 .39046 .62681 .39349 .62393 .38873 Metetra
.235 .635 .958 r
.62393 .38873 .62681 .39349 .63359 .39658 .63072 .39182 Metetra
.232 .633 .958 r
.63072 .39182 .63359 .39658 .64038 .3997 .63752 .39495 Metetra
.231 .633 .957 r
.63752 .39495 .64038 .3997 .64719 .40286 .64435 .3981 Metetra
.231 .632 .957 r
.64435 .3981 .64719 .40286 .65402 .40602 .65119 .40127 Metetra
.232 .633 .957 r
.65119 .40127 .65402 .40602 .66087 .40919 .65805 .40444 Metetra
.234 .634 .958 r
.65805 .40444 .66087 .40919 .66774 .41233 .66493 .40758 Metetra
.237 .636 .959 r
.66493 .40758 .66774 .41233 .67462 .41544 .67183 .4107 Metetra
.241 .639 .96 r
.67183 .4107 .67462 .41544 .68153 .41851 .67875 .41376 Metetra
.246 .643 .962 r
.67875 .41376 .68153 .41851 .68845 .42151 .68568 .41676 Metetra
.253 .647 .963 r
.68568 .41676 .68845 .42151 .69539 .42443 .69264 .41968 Metetra
.26 .651 .965 r
.69264 .41968 .69539 .42443 .70235 .42726 .69961 .42251 Metetra
.269 .657 .967 r
.69961 .42251 .70235 .42726 .70932 .42998 .7066 .42523 Metetra
.278 .662 .97 r
.7066 .42523 .70932 .42998 .71632 .43257 .71361 .42783 Metetra
.288 .669 .972 r
.71361 .42783 .71632 .43257 .72333 .43503 .72063 .43029 Metetra
.299 .676 .975 r
.72063 .43029 .72333 .43503 .73036 .43734 .72768 .43259 Metetra
.311 .683 .977 r
.72768 .43259 .73036 .43734 .73741 .43947 .73474 .43473 Metetra
.324 .691 .98 r
.73474 .43473 .73741 .43947 .74447 .44142 .74182 .43668 Metetra
.337 .699 .982 r
.74182 .43668 .74447 .44142 .75155 .44317 .74891 .43843 Metetra
.351 .707 .985 r
.74891 .43843 .75155 .44317 .75865 .44471 .75602 .43996 Metetra
.365 .715 .987 r
.75602 .43996 .75865 .44471 .76577 .44602 .76315 .44127 Metetra
.38 .724 .989 r
.76315 .44127 .76577 .44602 .7729 .44708 .7703 .44233 Metetra
.396 .733 .991 r
.7703 .44233 .7729 .44708 .78005 .44789 .77746 .44313 Metetra
.411 .742 .993 r
.77746 .44313 .78005 .44789 .78721 .44842 .78464 .44365 Metetra
.428 .751 .994 r
.78464 .44365 .78721 .44842 .79439 .44867 .79184 .44389 Metetra
.444 .76 .996 r
.79184 .44389 .79439 .44867 .80158 .44861 .79905 .44383 Metetra
.46 .769 .996 r
.79905 .44383 .80158 .44861 .80879 .44823 .80627 .44345 Metetra
.477 .777 .997 r
.80627 .44345 .80879 .44823 .81602 .44753 .81351 .44273 Metetra
.494 .786 .997 r
.81351 .44273 .81602 .44753 .82326 .44648 .82076 .44168 Metetra
.51 .795 .997 r
.82076 .44168 .82326 .44648 .83051 .44507 .82803 .44026 Metetra
.527 .803 .996 r
.82803 .44026 .83051 .44507 .83778 .44329 .83532 .43847 Metetra
.543 .811 .995 r
.83532 .43847 .83778 .44329 .84506 .44112 .84261 .43629 Metetra
.56 .819 .994 r
.84261 .43629 .84506 .44112 .85235 .43856 .84992 .43372 Metetra
.576 .826 .992 r
.84992 .43372 .85235 .43856 .85966 .43558 .85724 .43073 Metetra
.591 .833 .99 r
.85724 .43073 .85966 .43558 .86697 .43218 .86458 .42731 Metetra
.607 .84 .988 r
.86458 .42731 .86697 .43218 .8743 .42835 .87192 .42346 Metetra
.622 .847 .985 r
.87192 .42346 .8743 .42835 .88165 .42406 .87928 .41916 Metetra
.637 .853 .982 r
.87928 .41916 .88165 .42406 .889 .41932 .88665 .4144 Metetra
.651 .859 .979 r
.88665 .4144 .889 .41932 .89636 .4141 .89403 .40916 Metetra
.665 .864 .975 r
.89403 .40916 .89636 .4141 .90373 .4084 .90142 .40344 Metetra
.679 .869 .971 r
.90142 .40344 .90373 .4084 .91111 .4022 .90882 .39722 Metetra
.864 .842 .822 r
.24474 .70395 .24834 .70753 .25448 .68908 .25089 .68545 Metetra
.861 .843 .826 r
.25089 .68545 .25448 .68908 .26063 .67117 .25704 .6675 Metetra
.858 .844 .83 r
.25704 .6675 .26063 .67117 .26677 .65379 .2632 .65008 Metetra
.855 .846 .834 r
.2632 .65008 .26677 .65379 .27291 .63696 .26935 .6332 Metetra
.852 .847 .838 r
.26935 .6332 .27291 .63696 .27906 .62066 .27551 .61686 Metetra
.848 .848 .843 r
.27551 .61686 .27906 .62066 .28521 .60489 .28167 .60106 Metetra
.844 .85 .848 r
.28167 .60106 .28521 .60489 .29136 .58966 .28784 .58579 Metetra
.84 .851 .852 r
.28784 .58579 .29136 .58966 .29751 .57496 .294 .57105 Metetra
.836 .852 .857 r
.294 .57105 .29751 .57496 .30367 .56078 .30017 .55684 Metetra
.831 .853 .862 r
.30017 .55684 .30367 .56078 .30983 .54713 .30634 .54315 Metetra
.826 .854 .868 r
.30634 .54315 .30983 .54713 .31599 .534 .31252 .52999 Metetra
.821 .855 .873 r
.31252 .52999 .31599 .534 .32216 .52139 .3187 .51735 Metetra
.816 .856 .878 r
.3187 .51735 .32216 .52139 .32834 .5093 .32489 .50522 Metetra
.81 .857 .884 r
.32489 .50522 .32834 .5093 .33452 .49771 .33108 .49361 Metetra
.803 .857 .89 r
.33108 .49361 .33452 .49771 .3407 .48664 .33728 .4825 Metetra
.797 .858 .895 r
.33728 .4825 .3407 .48664 .34689 .47606 .34348 .4719 Metetra
.79 .858 .901 r
.34348 .4719 .34689 .47606 .35309 .46598 .34969 .46179 Metetra
.782 .859 .907 r
.34969 .46179 .35309 .46598 .35929 .45639 .3559 .45218 Metetra
.774 .858 .913 r
.3559 .45218 .35929 .45639 .36551 .44729 .36213 .44305 Metetra
.765 .858 .919 r
.36213 .44305 .36551 .44729 .37173 .43868 .36836 .43441 Metetra
.756 .858 .925 r
.36836 .43441 .37173 .43868 .37795 .43053 .3746 .42624 Metetra
.747 .857 .931 r
.3746 .42624 .37795 .43053 .38419 .42286 .38085 .41855 Metetra
.737 .856 .936 r
.38085 .41855 .38419 .42286 .39043 .41565 .3871 .41132 Metetra
.726 .855 .942 r
.3871 .41132 .39043 .41565 .39669 .40889 .39337 .40454 Metetra
.715 .853 .948 r
.39337 .40454 .39669 .40889 .40295 .40259 .39964 .39821 Metetra
.703 .851 .953 r
.39964 .39821 .40295 .40259 .40922 .39672 .40593 .39233 Metetra
.69 .848 .959 r
.40593 .39233 .40922 .39672 .41551 .39129 .41222 .38688 Metetra
.677 .846 .964 r
.41222 .38688 .41551 .39129 .4218 .38629 .41853 .38186 Metetra
.663 .842 .969 r
.41853 .38186 .4218 .38629 .42811 .3817 .42485 .37726 Metetra
.649 .838 .973 r
.42485 .37726 .42811 .3817 .43442 .37753 .43117 .37307 Metetra
.634 .834 .977 r
.43117 .37307 .43442 .37753 .44075 .37375 .43751 .36929 Metetra
.618 .829 .981 r
.43751 .36929 .44075 .37375 .44709 .37037 .44387 .36589 Metetra
.602 .824 .985 r
.44387 .36589 .44709 .37037 .45345 .36738 .45023 .36288 Metetra
.585 .819 .988 r
.45023 .36288 .45345 .36738 .45981 .36475 .45661 .36025 Metetra
.568 .812 .991 r
.45661 .36025 .45981 .36475 .46619 .36249 .463 .35798 Metetra
.551 .806 .993 r
.463 .35798 .46619 .36249 .47258 .36059 .4694 .35607 Metetra
.533 .799 .994 r
.4694 .35607 .47258 .36059 .47899 .35903 .47582 .3545 Metetra
.515 .791 .995 r
.47582 .3545 .47899 .35903 .48541 .35781 .48225 .35327 Metetra
.497 .783 .996 r
.48225 .35327 .48541 .35781 .49184 .35691 .4887 .35236 Metetra
.478 .775 .996 r
.4887 .35236 .49184 .35691 .49829 .35632 .49516 .35176 Metetra
.46 .766 .996 r
.49516 .35176 .49829 .35632 .50476 .35603 .50164 .35147 Metetra
.441 .757 .995 r
.50164 .35147 .50476 .35603 .51124 .35604 .50813 .35147 Metetra
.423 .748 .994 r
.50813 .35147 .51124 .35604 .51773 .35632 .51464 .35175 Metetra
.405 .739 .992 r
.51464 .35175 .51773 .35632 .52424 .35687 .52116 .3523 Metetra
.387 .73 .99 r
.52116 .3523 .52424 .35687 .53077 .35768 .5277 .3531 Metetra
.37 .721 .988 r
.5277 .3531 .53077 .35768 .53731 .35873 .53425 .35415 Metetra
.354 .712 .986 r
.53425 .35415 .53731 .35873 .54387 .36002 .54082 .35543 Metetra
.338 .703 .983 r
.54082 .35543 .54387 .36002 .55045 .36152 .54741 .35693 Metetra
.322 .694 .98 r
.54741 .35693 .55045 .36152 .55704 .36323 .55401 .35864 Metetra
.308 .686 .977 r
.55401 .35864 .55704 .36323 .56365 .36513 .56064 .36054 Metetra
.294 .678 .974 r
.56064 .36054 .56365 .36513 .57027 .36721 .56728 .36262 Metetra
.282 .67 .971 r
.56728 .36262 .57027 .36721 .57692 .36946 .57393 .36487 Metetra
.27 .663 .968 r
.57393 .36487 .57692 .36946 .58358 .37186 .58061 .36727 Metetra
.259 .657 .966 r
.58061 .36727 .58358 .37186 .59026 .3744 .5873 .36981 Metetra
.25 .651 .963 r
.5873 .36981 .59026 .3744 .59696 .37707 .59401 .37248 Metetra
.241 .646 .961 r
.59401 .37248 .59696 .37707 .60367 .37985 .60074 .37526 Metetra
.234 .641 .959 r
.60074 .37526 .60367 .37985 .61041 .38273 .60748 .37814 Metetra
.228 .637 .957 r
.60748 .37814 .61041 .38273 .61716 .3857 .61425 .38111 Metetra
.223 .634 .955 r
.61425 .38111 .61716 .3857 .62393 .38873 .62103 .38414 Metetra
.219 .631 .954 r
.62103 .38414 .62393 .38873 .63072 .39182 .62783 .38723 Metetra
.216 .63 .953 r
.62783 .38723 .63072 .39182 .63752 .39495 .63465 .39037 Metetra
.215 .629 .953 r
.63465 .39037 .63752 .39495 .64435 .3981 .64149 .39352 Metetra
.214 .629 .953 r
.64149 .39352 .64435 .3981 .65119 .40127 .64834 .39669 Metetra
.215 .629 .953 r
.64834 .39669 .65119 .40127 .65805 .40444 .65522 .39986 Metetra
.218 .631 .954 r
.65522 .39986 .65805 .40444 .66493 .40758 .66211 .40301 Metetra
.221 .633 .955 r
.66211 .40301 .66493 .40758 .67183 .4107 .66902 .40612 Metetra
.225 .636 .956 r
.66902 .40612 .67183 .4107 .67875 .41376 .67596 .40919 Metetra
.231 .639 .958 r
.67596 .40919 .67875 .41376 .68568 .41676 .6829 .41219 Metetra
.237 .643 .96 r
.6829 .41219 .68568 .41676 .69264 .41968 .68987 .41511 Metetra
.245 .648 .962 r
.68987 .41511 .69264 .41968 .69961 .42251 .69686 .41794 Metetra
.254 .654 .964 r
.69686 .41794 .69961 .42251 .7066 .42523 .70386 .42066 Metetra
.263 .66 .967 r
.70386 .42066 .7066 .42523 .71361 .42783 .71088 .42326 Metetra
.274 .667 .969 r
.71088 .42326 .71361 .42783 .72063 .43029 .71792 .42572 Metetra
.285 .674 .972 r
.71792 .42572 .72063 .43029 .72768 .43259 .72498 .42802 Metetra
.297 .681 .975 r
.72498 .42802 .72768 .43259 .73474 .43473 .73206 .43016 Metetra
.31 .689 .978 r
.73206 .43016 .73474 .43473 .74182 .43668 .73915 .4321 Metetra
.324 .698 .981 r
.73915 .4321 .74182 .43668 .74891 .43843 .74626 .43385 Metetra
.338 .706 .983 r
.74626 .43385 .74891 .43843 .75602 .43996 .75339 .43538 Metetra
.353 .715 .986 r
.75339 .43538 .75602 .43996 .76315 .44127 .76053 .43669 Metetra
.369 .724 .988 r
.76053 .43669 .76315 .44127 .7703 .44233 .76769 .43774 Metetra
.385 .733 .991 r
.76769 .43774 .7703 .44233 .77746 .44313 .77487 .43854 Metetra
.401 .743 .993 r
.77487 .43854 .77746 .44313 .78464 .44365 .78206 .43906 Metetra
.418 .752 .995 r
.78206 .43906 .78464 .44365 .79184 .44389 .78927 .4393 Metetra
.434 .761 .996 r
.78927 .4393 .79184 .44389 .79905 .44383 .7965 .43923 Metetra
.451 .771 .997 r
.7965 .43923 .79905 .44383 .80627 .44345 .80374 .43884 Metetra
.469 .78 .998 r
.80374 .43884 .80627 .44345 .81351 .44273 .81099 .43812 Metetra
.486 .789 .998 r
.81099 .43812 .81351 .44273 .82076 .44168 .81826 .43705 Metetra
.503 .797 .998 r
.81826 .43705 .82076 .44168 .82803 .44026 .82555 .43563 Metetra
.52 .806 .998 r
.82555 .43563 .82803 .44026 .83532 .43847 .83284 .43382 Metetra
.537 .814 .997 r
.83284 .43382 .83532 .43847 .84261 .43629 .84016 .43164 Metetra
.554 .822 .996 r
.84016 .43164 .84261 .43629 .84992 .43372 .84748 .42905 Metetra
.57 .83 .994 r
.84748 .42905 .84992 .43372 .85724 .43073 .85482 .42605 Metetra
.587 .837 .992 r
.85482 .42605 .85724 .43073 .86458 .42731 .86217 .42262 Metetra
.603 .845 .99 r
.86217 .42262 .86458 .42731 .87192 .42346 .86953 .41875 Metetra
.618 .851 .987 r
.86953 .41875 .87192 .42346 .87928 .41916 .87691 .41443 Metetra
.633 .858 .984 r
.87691 .41443 .87928 .41916 .88665 .4144 .88429 .40965 Metetra
.648 .864 .981 r
.88429 .40965 .88665 .4144 .89403 .40916 .89169 .4044 Metetra
.663 .869 .977 r
.89169 .4044 .89403 .40916 .90142 .40344 .89909 .39865 Metetra
.677 .875 .973 r
.89909 .39865 .90142 .40344 .90882 .39722 .90651 .39241 Metetra
.865 .845 .822 r
.24111 .70053 .24474 .70395 .25089 .68545 .24727 .68199 Metetra
.863 .846 .826 r
.24727 .68199 .25089 .68545 .25704 .6675 .25344 .66399 Metetra
.86 .848 .83 r
.25344 .66399 .25704 .6675 .2632 .65008 .25961 .64654 Metetra
.856 .849 .835 r
.25961 .64654 .2632 .65008 .26935 .6332 .26578 .62962 Metetra
.853 .85 .839 r
.26578 .62962 .26935 .6332 .27551 .61686 .27195 .61324 Metetra
.85 .852 .844 r
.27195 .61324 .27551 .61686 .28167 .60106 .27812 .59739 Metetra
.846 .853 .849 r
.27812 .59739 .28167 .60106 .28784 .58579 .2843 .58209 Metetra
.842 .854 .853 r
.2843 .58209 .28784 .58579 .294 .57105 .29047 .56731 Metetra
.837 .856 .858 r
.29047 .56731 .294 .57105 .30017 .55684 .29665 .55306 Metetra
.833 .857 .864 r
.29665 .55306 .30017 .55684 .30634 .54315 .30284 .53934 Metetra
.828 .858 .869 r
.30284 .53934 .30634 .54315 .31252 .52999 .30903 .52615 Metetra
.823 .859 .874 r
.30903 .52615 .31252 .52999 .3187 .51735 .31522 .51347 Metetra
.817 .86 .88 r
.31522 .51347 .3187 .51735 .32489 .50522 .32142 .50131 Metetra
.811 .861 .885 r
.32142 .50131 .32489 .50522 .33108 .49361 .32762 .48967 Metetra
.805 .862 .891 r
.32762 .48967 .33108 .49361 .33728 .4825 .33383 .47853 Metetra
.798 .862 .897 r
.33383 .47853 .33728 .4825 .34348 .4719 .34005 .4679 Metetra
.791 .863 .903 r
.34005 .4679 .34348 .4719 .34969 .46179 .34627 .45776 Metetra
.783 .863 .909 r
.34627 .45776 .34969 .46179 .3559 .45218 .3525 .44813 Metetra
.775 .863 .915 r
.3525 .44813 .3559 .45218 .36213 .44305 .35873 .43898 Metetra
.766 .863 .921 r
.35873 .43898 .36213 .44305 .36836 .43441 .36498 .43031 Metetra
.757 .863 .927 r
.36498 .43031 .36836 .43441 .3746 .42624 .37123 .42212 Metetra
.747 .862 .933 r
.37123 .42212 .3746 .42624 .38085 .41855 .37749 .4144 Metetra
.737 .861 .939 r
.37749 .4144 .38085 .41855 .3871 .41132 .38375 .40715 Metetra
.726 .86 .945 r
.38375 .40715 .3871 .41132 .39337 .40454 .39003 .40035 Metetra
.714 .858 .95 r
.39003 .40035 .39337 .40454 .39964 .39821 .39632 .39401 Metetra
.702 .856 .956 r
.39632 .39401 .39964 .39821 .40593 .39233 .40261 .38811 Metetra
.689 .853 .961 r
.40261 .38811 .40593 .39233 .41222 .38688 .40892 .38264 Metetra
.675 .85 .966 r
.40892 .38264 .41222 .38688 .41853 .38186 .41524 .37761 Metetra
.661 .847 .971 r
.41524 .37761 .41853 .38186 .42485 .37726 .42157 .37299 Metetra
.646 .843 .976 r
.42157 .37299 .42485 .37726 .43117 .37307 .42791 .36879 Metetra
.631 .839 .98 r
.42791 .36879 .43117 .37307 .43751 .36929 .43426 .36499 Metetra
.615 .834 .984 r
.43426 .36499 .43751 .36929 .44387 .36589 .44062 .36158 Metetra
.598 .829 .987 r
.44062 .36158 .44387 .36589 .45023 .36288 .447 .35856 Metetra
.581 .823 .99 r
.447 .35856 .45023 .36288 .45661 .36025 .45339 .35591 Metetra
.563 .816 .993 r
.45339 .35591 .45661 .36025 .463 .35798 .45979 .35363 Metetra
.545 .809 .995 r
.45979 .35363 .463 .35798 .4694 .35607 .46621 .35171 Metetra
.527 .802 .996 r
.46621 .35171 .4694 .35607 .47582 .3545 .47264 .35013 Metetra
.508 .794 .997 r
.47264 .35013 .47582 .3545 .48225 .35327 .47908 .34889 Metetra
.489 .786 .997 r
.47908 .34889 .48225 .35327 .4887 .35236 .48554 .34798 Metetra
.47 .777 .997 r
.48554 .34798 .4887 .35236 .49516 .35176 .49201 .34738 Metetra
.451 .768 .997 r
.49201 .34738 .49516 .35176 .50164 .35147 .4985 .34708 Metetra
.432 .759 .996 r
.4985 .34708 .50164 .35147 .50813 .35147 .505 .34707 Metetra
.413 .75 .994 r
.505 .34707 .50813 .35147 .51464 .35175 .51152 .34735 Metetra
.394 .74 .992 r
.51152 .34735 .51464 .35175 .52116 .3523 .51806 .34789 Metetra
.376 .73 .99 r
.51806 .34789 .52116 .3523 .5277 .3531 .52461 .34869 Metetra
.358 .721 .987 r
.52461 .34869 .5277 .3531 .53425 .35415 .53118 .34974 Metetra
.341 .711 .984 r
.53118 .34974 .53425 .35415 .54082 .35543 .53776 .35102 Metetra
.325 .702 .981 r
.53776 .35102 .54082 .35543 .54741 .35693 .54436 .35251 Metetra
.309 .693 .978 r
.54436 .35251 .54741 .35693 .55401 .35864 .55098 .35422 Metetra
.294 .684 .975 r
.55098 .35422 .55401 .35864 .56064 .36054 .55761 .35612 Metetra
.28 .676 .971 r
.55761 .35612 .56064 .36054 .56728 .36262 .56426 .3582 Metetra
.267 .668 .968 r
.56426 .3582 .56728 .36262 .57393 .36487 .57093 .36045 Metetra
.255 .661 .965 r
.57093 .36045 .57393 .36487 .58061 .36727 .57762 .36285 Metetra
.244 .654 .962 r
.57762 .36285 .58061 .36727 .5873 .36981 .58432 .36539 Metetra
.234 .648 .959 r
.58432 .36539 .5873 .36981 .59401 .37248 .59105 .36806 Metetra
.225 .642 .956 r
.59105 .36806 .59401 .37248 .60074 .37526 .59779 .37084 Metetra
.217 .637 .954 r
.59779 .37084 .60074 .37526 .60748 .37814 .60454 .37373 Metetra
.211 .633 .952 r
.60454 .37373 .60748 .37814 .61425 .38111 .61132 .37669 Metetra
.206 .63 .95 r
.61132 .37669 .61425 .38111 .62103 .38414 .61812 .37973 Metetra
.202 .627 .949 r
.61812 .37973 .62103 .38414 .62783 .38723 .62493 .38282 Metetra
.199 .625 .948 r
.62493 .38282 .62783 .38723 .63465 .39037 .63176 .38595 Metetra
.198 .624 .948 r
.63176 .38595 .63465 .39037 .64149 .39352 .63862 .38911 Metetra
.198 .624 .948 r
.63862 .38911 .64149 .39352 .64834 .39669 .64548 .39228 Metetra
.199 .625 .948 r
.64548 .39228 .64834 .39669 .65522 .39986 .65237 .39545 Metetra
.201 .626 .949 r
.65237 .39545 .65522 .39986 .66211 .40301 .65928 .3986 Metetra
.204 .629 .95 r
.65928 .3986 .66211 .40301 .66902 .40612 .66621 .40172 Metetra
.209 .632 .951 r
.66621 .40172 .66902 .40612 .67596 .40919 .67315 .40479 Metetra
.214 .635 .953 r
.67315 .40479 .67596 .40919 .6829 .41219 .68011 .40779 Metetra
.221 .64 .955 r
.68011 .40779 .6829 .41219 .68987 .41511 .68709 .41072 Metetra
.229 .645 .957 r
.68709 .41072 .68987 .41511 .69686 .41794 .69409 .41355 Metetra
.238 .65 .96 r
.69409 .41355 .69686 .41794 .70386 .42066 .70111 .41627 Metetra
.248 .657 .963 r
.70111 .41627 .70386 .42066 .71088 .42326 .70815 .41887 Metetra
.258 .664 .966 r
.70815 .41887 .71088 .42326 .71792 .42572 .7152 .42133 Metetra
.27 .671 .969 r
.7152 .42133 .71792 .42572 .72498 .42802 .72227 .42363 Metetra
.283 .679 .972 r
.72227 .42363 .72498 .42802 .73206 .43016 .72936 .42576 Metetra
.296 .687 .975 r
.72936 .42576 .73206 .43016 .73915 .4321 .73647 .42771 Metetra
.31 .696 .978 r
.73647 .42771 .73915 .4321 .74626 .43385 .74359 .42945 Metetra
.325 .705 .981 r
.74359 .42945 .74626 .43385 .75339 .43538 .75074 .43099 Metetra
.341 .714 .984 r
.75074 .43099 .75339 .43538 .76053 .43669 .7579 .43229 Metetra
.357 .724 .987 r
.7579 .43229 .76053 .43669 .76769 .43774 .76507 .43334 Metetra
.373 .733 .99 r
.76507 .43334 .76769 .43774 .77487 .43854 .77226 .43413 Metetra
.39 .743 .992 r
.77226 .43413 .77487 .43854 .78206 .43906 .77947 .43465 Metetra
.407 .753 .994 r
.77947 .43465 .78206 .43906 .78927 .4393 .7867 .43488 Metetra
.424 .763 .996 r
.7867 .43488 .78927 .4393 .7965 .43923 .79394 .4348 Metetra
.442 .772 .997 r
.79394 .4348 .7965 .43923 .80374 .43884 .80119 .43441 Metetra
.46 .782 .998 r
.80119 .43441 .80374 .43884 .81099 .43812 .80846 .43368 Metetra
.478 .791 .999 r
.80846 .43368 .81099 .43812 .81826 .43705 .81575 .43261 Metetra
.495 .8 .999 r
.81575 .43261 .81826 .43705 .82555 .43563 .82305 .43117 Metetra
.513 .809 .999 r
.82305 .43117 .82555 .43563 .83284 .43382 .83036 .42936 Metetra
.53 .818 .998 r
.83036 .42936 .83284 .43382 .84016 .43164 .83769 .42716 Metetra
.548 .826 .997 r
.83769 .42716 .84016 .43164 .84748 .42905 .84503 .42456 Metetra
.565 .834 .996 r
.84503 .42456 .84748 .42905 .85482 .42605 .85239 .42155 Metetra
.582 .842 .994 r
.85239 .42155 .85482 .42605 .86217 .42262 .85975 .4181 Metetra
.598 .849 .992 r
.85975 .4181 .86217 .42262 .86953 .41875 .86713 .41422 Metetra
.614 .856 .989 r
.86713 .41422 .86953 .41875 .87691 .41443 .87452 .40989 Metetra
.63 .862 .986 r
.87452 .40989 .87691 .41443 .88429 .40965 .88192 .40509 Metetra
.645 .868 .983 r
.88192 .40509 .88429 .40965 .89169 .4044 .88934 .39981 Metetra
.66 .874 .979 r
.88934 .39981 .89169 .4044 .89909 .39865 .89676 .39405 Metetra
.674 .88 .975 r
.89676 .39405 .89909 .39865 .90651 .39241 .90419 .38779 Metetra
.867 .848 .823 r
.23746 .69729 .24111 .70053 .24727 .68199 .24364 .6787 Metetra
.864 .849 .827 r
.24364 .6787 .24727 .68199 .25344 .66399 .24982 .66066 Metetra
.861 .851 .831 r
.24982 .66066 .25344 .66399 .25961 .64654 .256 .64316 Metetra
.858 .852 .835 r
.256 .64316 .25961 .64654 .26578 .62962 .26218 .6262 Metetra
.855 .854 .84 r
.26218 .6262 .26578 .62962 .27195 .61324 .26836 .60978 Metetra
.851 .855 .845 r
.26836 .60978 .27195 .61324 .27812 .59739 .27455 .5939 Metetra
.847 .857 .849 r
.27455 .5939 .27812 .59739 .2843 .58209 .28074 .57855 Metetra
.843 .858 .854 r
.28074 .57855 .2843 .58209 .29047 .56731 .28693 .56374 Metetra
.839 .86 .859 r
.28693 .56374 .29047 .56731 .29665 .55306 .29312 .54945 Metetra
.834 .861 .865 r
.29312 .54945 .29665 .55306 .30284 .53934 .29932 .5357 Metetra
.829 .862 .87 r
.29932 .5357 .30284 .53934 .30903 .52615 .30552 .52247 Metetra
.824 .863 .876 r
.30552 .52247 .30903 .52615 .31522 .51347 .31172 .50976 Metetra
.818 .864 .881 r
.31172 .50976 .31522 .51347 .32142 .50131 .31794 .49757 Metetra
.812 .865 .887 r
.31794 .49757 .32142 .50131 .32762 .48967 .32415 .48589 Metetra
.806 .866 .893 r
.32415 .48589 .32762 .48967 .33383 .47853 .33037 .47473 Metetra
.799 .867 .899 r
.33037 .47473 .33383 .47853 .34005 .4679 .3366 .46407 Metetra
.792 .867 .905 r
.3366 .46407 .34005 .4679 .34627 .45776 .34283 .45391 Metetra
.784 .868 .911 r
.34283 .45391 .34627 .45776 .3525 .44813 .34907 .44424 Metetra
.776 .868 .917 r
.34907 .44424 .3525 .44813 .35873 .43898 .35532 .43507 Metetra
.767 .868 .923 r
.35532 .43507 .35873 .43898 .36498 .43031 .36157 .42638 Metetra
.757 .868 .929 r
.36157 .42638 .36498 .43031 .37123 .42212 .36784 .41816 Metetra
.747 .867 .935 r
.36784 .41816 .37123 .42212 .37749 .4144 .37411 .41042 Metetra
.737 .866 .941 r
.37411 .41042 .37749 .4144 .38375 .40715 .38039 .40315 Metetra
.725 .865 .947 r
.38039 .40315 .38375 .40715 .39003 .40035 .38668 .39633 Metetra
.713 .863 .953 r
.38668 .39633 .39003 .40035 .39632 .39401 .39298 .38997 Metetra
.701 .861 .958 r
.39298 .38997 .39632 .39401 .40261 .38811 .39929 .38405 Metetra
.688 .858 .964 r
.39929 .38405 .40261 .38811 .40892 .38264 .4056 .37857 Metetra
.674 .855 .969 r
.4056 .37857 .40892 .38264 .41524 .37761 .41193 .37352 Metetra
.659 .852 .974 r
.41193 .37352 .41524 .37761 .42157 .37299 .41827 .36889 Metetra
.644 .848 .978 r
.41827 .36889 .42157 .37299 .42791 .36879 .42463 .36467 Metetra
.628 .844 .982 r
.42463 .36467 .42791 .36879 .43426 .36499 .43099 .36085 Metetra
.611 .839 .986 r
.43099 .36085 .43426 .36499 .44062 .36158 .43737 .35743 Metetra
.594 .833 .99 r
.43737 .35743 .44062 .36158 .447 .35856 .44375 .3544 Metetra
.576 .827 .992 r
.44375 .3544 .447 .35856 .45339 .35591 .45016 .35174 Metetra
.558 .82 .995 r
.45016 .35174 .45339 .35591 .45979 .35363 .45657 .34945 Metetra
.539 .813 .996 r
.45657 .34945 .45979 .35363 .46621 .35171 .463 .34752 Metetra
.52 .805 .998 r
.463 .34752 .46621 .35171 .47264 .35013 .46944 .34594 Metetra
.501 .797 .998 r
.46944 .34594 .47264 .35013 .47908 .34889 .4759 .34469 Metetra
.481 .788 .998 r
.4759 .34469 .47908 .34889 .48554 .34798 .48237 .34376 Metetra
.461 .779 .998 r
.48237 .34376 .48554 .34798 .49201 .34738 .48885 .34316 Metetra
.442 .77 .997 r
.48885 .34316 .49201 .34738 .4985 .34708 .49535 .34285 Metetra
.422 .76 .996 r
.49535 .34285 .4985 .34708 .505 .34707 .50187 .34284 Metetra
.402 .75 .994 r
.50187 .34284 .505 .34707 .51152 .34735 .5084 .34311 Metetra
.383 .74 .991 r
.5084 .34311 .51152 .34735 .51806 .34789 .51494 .34365 Metetra
.364 .73 .988 r
.51494 .34365 .51806 .34789 .52461 .34869 .52151 .34445 Metetra
.346 .72 .985 r
.52151 .34445 .52461 .34869 .53118 .34974 .52809 .34549 Metetra
.328 .71 .982 r
.52809 .34549 .53118 .34974 .53776 .35102 .53468 .34677 Metetra
.311 .7 .979 r
.53468 .34677 .53776 .35102 .54436 .35251 .54129 .34827 Metetra
.295 .691 .975 r
.54129 .34827 .54436 .35251 .55098 .35422 .54792 .34997 Metetra
.279 .682 .971 r
.54792 .34997 .55098 .35422 .55761 .35612 .55457 .35187 Metetra
.265 .673 .967 r
.55457 .35187 .55761 .35612 .56426 .3582 .56123 .35395 Metetra
.251 .665 .964 r
.56123 .35395 .56426 .3582 .57093 .36045 .56792 .3562 Metetra
.239 .657 .96 r
.56792 .3562 .57093 .36045 .57762 .36285 .57461 .3586 Metetra
.227 .65 .957 r
.57461 .3586 .57762 .36285 .58432 .36539 .58133 .36114 Metetra
.217 .643 .954 r
.58133 .36114 .58432 .36539 .59105 .36806 .58807 .36381 Metetra
.208 .638 .951 r
.58807 .36381 .59105 .36806 .59779 .37084 .59482 .3666 Metetra
.2 .633 .948 r
.59482 .3666 .59779 .37084 .60454 .37373 .60159 .36948 Metetra
.194 .628 .946 r
.60159 .36948 .60454 .37373 .61132 .37669 .60838 .37245 Metetra
.189 .625 .944 r
.60838 .37245 .61132 .37669 .61812 .37973 .61519 .37549 Metetra
.184 .622 .943 r
.61519 .37549 .61812 .37973 .62493 .38282 .62202 .37858 Metetra
.182 .62 .942 r
.62202 .37858 .62493 .38282 .63176 .38595 .62886 .38172 Metetra
.18 .619 .942 r
.62886 .38172 .63176 .38595 .63862 .38911 .63573 .38488 Metetra
.18 .619 .942 r
.63573 .38488 .63862 .38911 .64548 .39228 .64261 .38805 Metetra
.181 .62 .942 r
.64261 .38805 .64548 .39228 .65237 .39545 .64951 .39122 Metetra
.183 .621 .943 r
.64951 .39122 .65237 .39545 .65928 .3986 .65643 .39437 Metetra
.187 .624 .944 r
.65643 .39437 .65928 .3986 .66621 .40172 .66337 .39749 Metetra
.191 .627 .945 r
.66337 .39749 .66621 .40172 .67315 .40479 .67033 .40056 Metetra
.197 .631 .947 r
.67033 .40056 .67315 .40479 .68011 .40779 .67731 .40357 Metetra
.204 .635 .95 r
.67731 .40357 .68011 .40779 .68709 .41072 .6843 .40649 Metetra
.212 .641 .952 r
.6843 .40649 .68709 .41072 .69409 .41355 .69132 .40933 Metetra
.221 .647 .955 r
.69132 .40933 .69409 .41355 .70111 .41627 .69835 .41205 Metetra
.231 .653 .958 r
.69835 .41205 .70111 .41627 .70815 .41887 .7054 .41465 Metetra
.243 .66 .961 r
.7054 .41465 .70815 .41887 .7152 .42133 .71247 .41711 Metetra
.255 .668 .965 r
.71247 .41711 .7152 .42133 .72227 .42363 .71955 .41941 Metetra
.268 .676 .968 r
.71955 .41941 .72227 .42363 .72936 .42576 .72666 .42154 Metetra
.281 .685 .972 r
.72666 .42154 .72936 .42576 .73647 .42771 .73378 .42349 Metetra
.296 .694 .975 r
.73378 .42349 .73647 .42771 .74359 .42945 .74092 .42524 Metetra
.311 .704 .979 r
.74092 .42524 .74359 .42945 .75074 .43099 .74807 .42676 Metetra
.327 .713 .982 r
.74807 .42676 .75074 .43099 .7579 .43229 .75525 .42806 Metetra
.344 .723 .985 r
.75525 .42806 .7579 .43229 .76507 .43334 .76244 .42911 Metetra
.361 .733 .988 r
.76244 .42911 .76507 .43334 .77226 .43413 .76965 .4299 Metetra
.378 .743 .991 r
.76965 .4299 .77226 .43413 .77947 .43465 .77687 .43042 Metetra
.396 .753 .993 r
.77687 .43042 .77947 .43465 .7867 .43488 .78411 .43064 Metetra
.414 .763 .995 r
.78411 .43064 .7867 .43488 .79394 .4348 .79137 .43056 Metetra
.432 .773 .997 r
.79137 .43056 .79394 .4348 .80119 .43441 .79864 .43016 Metetra
.45 .783 .998 r
.79864 .43016 .80119 .43441 .80846 .43368 .80592 .42942 Metetra
.469 .793 .999 r
.80592 .42942 .80846 .43368 .81575 .43261 .81322 .42834 Metetra
.487 .803 1 r
.81322 .42834 .81575 .43261 .82305 .43117 .82054 .4269 Metetra
.505 .812 1 r
.82054 .4269 .82305 .43117 .83036 .42936 .82787 .42507 Metetra
.523 .821 .999 r
.82787 .42507 .83036 .42936 .83769 .42716 .83521 .42286 Metetra
.541 .829 .998 r
.83521 .42286 .83769 .42716 .84503 .42456 .84257 .42025 Metetra
.559 .838 .997 r
.84257 .42025 .84503 .42456 .85239 .42155 .84994 .41722 Metetra
.576 .846 .995 r
.84994 .41722 .85239 .42155 .85975 .4181 .85733 .41377 Metetra
.593 .853 .993 r
.85733 .41377 .85975 .4181 .86713 .41422 .86472 .40987 Metetra
.61 .86 .991 r
.86472 .40987 .86713 .41422 .87452 .40989 .87213 .40552 Metetra
.626 .867 .988 r
.87213 .40552 .87452 .40989 .88192 .40509 .87955 .4007 Metetra
.641 .873 .984 r
.87955 .4007 .88192 .40509 .88934 .39981 .88697 .39541 Metetra
.657 .879 .981 r
.88697 .39541 .88934 .39981 .89676 .39405 .89441 .38963 Metetra
.671 .885 .977 r
.89441 .38963 .89676 .39405 .90419 .38779 .90186 .38335 Metetra
.869 .851 .823 r
.2338 .69422 .23746 .69729 .24364 .6787 .23999 .67559 Metetra
.866 .852 .827 r
.23999 .67559 .24364 .6787 .24982 .66066 .24618 .6575 Metetra
.863 .854 .832 r
.24618 .6575 .24982 .66066 .256 .64316 .25237 .63996 Metetra
.86 .856 .836 r
.25237 .63996 .256 .64316 .26218 .6262 .25857 .62295 Metetra
.856 .857 .841 r
.25857 .62295 .26218 .6262 .26836 .60978 .26476 .60649 Metetra
.853 .859 .845 r
.26476 .60649 .26836 .60978 .27455 .5939 .27096 .59057 Metetra
.849 .86 .85 r
.27096 .59057 .27455 .5939 .28074 .57855 .27716 .57518 Metetra
.845 .862 .855 r
.27716 .57518 .28074 .57855 .28693 .56374 .28336 .56033 Metetra
.841 .863 .86 r
.28336 .56033 .28693 .56374 .29312 .54945 .28957 .54601 Metetra
.836 .865 .866 r
.28957 .54601 .29312 .54945 .29932 .5357 .29578 .53222 Metetra
.831 .866 .871 r
.29578 .53222 .29932 .5357 .30552 .52247 .30199 .51896 Metetra
.825 .867 .877 r
.30199 .51896 .30552 .52247 .31172 .50976 .30821 .50622 Metetra
.82 .869 .882 r
.30821 .50622 .31172 .50976 .31794 .49757 .31443 .494 Metetra
.814 .87 .888 r
.31443 .494 .31794 .49757 .32415 .48589 .32066 .48229 Metetra
.807 .871 .894 r
.32066 .48229 .32415 .48589 .33037 .47473 .32689 .47109 Metetra
.8 .871 .9 r
.32689 .47109 .33037 .47473 .3366 .46407 .33313 .46041 Metetra
.793 .872 .906 r
.33313 .46041 .3366 .46407 .34283 .45391 .33938 .45022 Metetra
.785 .873 .912 r
.33938 .45022 .34283 .45391 .34907 .44424 .34563 .44053 Metetra
.776 .873 .919 r
.34563 .44053 .34907 .44424 .35532 .43507 .35189 .43133 Metetra
.767 .873 .925 r
.35189 .43133 .35532 .43507 .36157 .42638 .35816 .42261 Metetra
.758 .872 .931 r
.35816 .42261 .36157 .42638 .36784 .41816 .36443 .41438 Metetra
.747 .872 .937 r
.36443 .41438 .36784 .41816 .37411 .41042 .37071 .40661 Metetra
.736 .871 .943 r
.37071 .40661 .37411 .41042 .38039 .40315 .37701 .39932 Metetra
.725 .87 .949 r
.37701 .39932 .38039 .40315 .38668 .39633 .38331 .39248 Metetra
.713 .868 .955 r
.38331 .39248 .38668 .39633 .39298 .38997 .38962 .3861 Metetra
.7 .866 .961 r
.38962 .3861 .39298 .38997 .39929 .38405 .39594 .38016 Metetra
.686 .863 .966 r
.39594 .38016 .39929 .38405 .4056 .37857 .40227 .37466 Metetra
.672 .86 .971 r
.40227 .37466 .4056 .37857 .41193 .37352 .40861 .3696 Metetra
.657 .857 .976 r
.40861 .3696 .41193 .37352 .41827 .36889 .41496 .36495 Metetra
.641 .853 .981 r
.41496 .36495 .41827 .36889 .42463 .36467 .42133 .36072 Metetra
.625 .848 .985 r
.42133 .36072 .42463 .36467 .43099 .36085 .4277 .35689 Metetra
.607 .843 .988 r
.4277 .35689 .43099 .36085 .43737 .35743 .43409 .35346 Metetra
.59 .837 .992 r
.43409 .35346 .43737 .35743 .44375 .3544 .44049 .35041 Metetra
.571 .831 .994 r
.44049 .35041 .44375 .3544 .45016 .35174 .4469 .34774 Metetra
.552 .824 .996 r
.4469 .34774 .45016 .35174 .45657 .34945 .45333 .34544 Metetra
.533 .816 .998 r
.45333 .34544 .45657 .34945 .463 .34752 .45977 .3435 Metetra
.513 .808 .999 r
.45977 .3435 .463 .34752 .46944 .34594 .46622 .34191 Metetra
.493 .8 .999 r
.46622 .34191 .46944 .34594 .4759 .34469 .47269 .34065 Metetra
.473 .791 .999 r
.47269 .34065 .4759 .34469 .48237 .34376 .47917 .33972 Metetra
.452 .781 .998 r
.47917 .33972 .48237 .34376 .48885 .34316 .48567 .33911 Metetra
.432 .771 .997 r
.48567 .33911 .48885 .34316 .49535 .34285 .49218 .3388 Metetra
.411 .761 .995 r
.49218 .3388 .49535 .34285 .50187 .34284 .49871 .33878 Metetra
.391 .751 .993 r
.49871 .33878 .50187 .34284 .5084 .34311 .50525 .33905 Metetra
.371 .74 .99 r
.50525 .33905 .5084 .34311 .51494 .34365 .51181 .33959 Metetra
.351 .73 .986 r
.51181 .33959 .51494 .34365 .52151 .34445 .51839 .34038 Metetra
.332 .719 .983 r
.51839 .34038 .52151 .34445 .52809 .34549 .52498 .34142 Metetra
.314 .709 .979 r
.52498 .34142 .52809 .34549 .53468 .34677 .53159 .34269 Metetra
.296 .698 .975 r
.53159 .34269 .53468 .34677 .54129 .34827 .53821 .34419 Metetra
.28 .688 .971 r
.53821 .34419 .54129 .34827 .54792 .34997 .54485 .34589 Metetra
.264 .679 .967 r
.54485 .34589 .54792 .34997 .55457 .35187 .55151 .34779 Metetra
.249 .67 .963 r
.55151 .34779 .55457 .35187 .56123 .35395 .55819 .34987 Metetra
.235 .661 .959 r
.55819 .34987 .56123 .35395 .56792 .3562 .56488 .35212 Metetra
.222 .653 .955 r
.56488 .35212 .56792 .3562 .57461 .3586 .5716 .35452 Metetra
.21 .645 .951 r
.5716 .35452 .57461 .3586 .58133 .36114 .57833 .35707 Metetra
.2 .639 .948 r
.57833 .35707 .58133 .36114 .58807 .36381 .58508 .35974 Metetra
.191 .633 .945 r
.58508 .35974 .58807 .36381 .59482 .3666 .59184 .36252 Metetra
.183 .627 .942 r
.59184 .36252 .59482 .3666 .60159 .36948 .59863 .36541 Metetra
.176 .623 .939 r
.59863 .36541 .60159 .36948 .60838 .37245 .60543 .36838 Metetra
.17 .619 .937 r
.60543 .36838 .60838 .37245 .61519 .37549 .61225 .37142 Metetra
.166 .617 .936 r
.61225 .37142 .61519 .37549 .62202 .37858 .61909 .37451 Metetra
.163 .615 .935 r
.61909 .37451 .62202 .37858 .62886 .38172 .62595 .37765 Metetra
.162 .614 .934 r
.62595 .37765 .62886 .38172 .63573 .38488 .63283 .38082 Metetra
.162 .613 .934 r
.63283 .38082 .63573 .38488 .64261 .38805 .63972 .38399 Metetra
.163 .614 .935 r
.63972 .38399 .64261 .38805 .64951 .39122 .64664 .38716 Metetra
.165 .616 .936 r
.64664 .38716 .64951 .39122 .65643 .39437 .65357 .39032 Metetra
.168 .618 .937 r
.65357 .39032 .65643 .39437 .66337 .39749 .66053 .39344 Metetra
.173 .621 .938 r
.66053 .39344 .66337 .39749 .67033 .40056 .6675 .39651 Metetra
.179 .625 .941 r
.6675 .39651 .67033 .40056 .67731 .40357 .67449 .39952 Metetra
.186 .63 .943 r
.67449 .39952 .67731 .40357 .6843 .40649 .6815 .40245 Metetra
.195 .636 .946 r
.6815 .40245 .6843 .40649 .69132 .40933 .68853 .40528 Metetra
.204 .642 .949 r
.68853 .40528 .69132 .40933 .69835 .41205 .69557 .40801 Metetra
.214 .649 .952 r
.69557 .40801 .69835 .41205 .7054 .41465 .70264 .41061 Metetra
.226 .656 .956 r
.70264 .41061 .7054 .41465 .71247 .41711 .70972 .41307 Metetra
.238 .664 .96 r
.70972 .41307 .71247 .41711 .71955 .41941 .71682 .41537 Metetra
.252 .673 .963 r
.71682 .41537 .71955 .41941 .72666 .42154 .72394 .4175 Metetra
.266 .682 .967 r
.72394 .4175 .72666 .42154 .73378 .42349 .73107 .41945 Metetra
.281 .692 .971 r
.73107 .41945 .73378 .42349 .74092 .42524 .73823 .42119 Metetra
.297 .701 .975 r
.73823 .42119 .74092 .42524 .74807 .42676 .7454 .42272 Metetra
.313 .711 .979 r
.7454 .42272 .74807 .42676 .75525 .42806 .75259 .42402 Metetra
.33 .722 .982 r
.75259 .42402 .75525 .42806 .76244 .42911 .75979 .42507 Metetra
.348 .732 .986 r
.75979 .42507 .76244 .42911 .76965 .4299 .76702 .42585 Metetra
.366 .743 .989 r
.76702 .42585 .76965 .4299 .77687 .43042 .77426 .42636 Metetra
.384 .753 .992 r
.77426 .42636 .77687 .43042 .78411 .43064 .78151 .42658 Metetra
.402 .764 .994 r
.78151 .42658 .78411 .43064 .79137 .43056 .78878 .4265 Metetra
.421 .774 .996 r
.78878 .4265 .79137 .43056 .79864 .43016 .79607 .42609 Metetra
.44 .785 .998 r
.79607 .42609 .79864 .43016 .80592 .42942 .80337 .42535 Metetra
.459 .795 .999 r
.80337 .42535 .80592 .42942 .81322 .42834 .81069 .42426 Metetra
.478 .805 1 r
.81069 .42426 .81322 .42834 .82054 .4269 .81802 .4228 Metetra
.497 .814 1 r
.81802 .4228 .82054 .4269 .82787 .42507 .82537 .42097 Metetra
.516 .824 1 r
.82537 .42097 .82787 .42507 .83521 .42286 .83273 .41875 Metetra
.534 .833 .999 r
.83273 .41875 .83521 .42286 .84257 .42025 .8401 .41613 Metetra
.552 .841 .998 r
.8401 .41613 .84257 .42025 .84994 .41722 .84749 .41309 Metetra
.57 .849 .996 r
.84749 .41309 .84994 .41722 .85733 .41377 .85489 .40961 Metetra
.588 .857 .994 r
.85489 .40961 .85733 .41377 .86472 .40987 .8623 .4057 Metetra
.605 .864 .992 r
.8623 .4057 .86472 .40987 .87213 .40552 .86972 .40134 Metetra
.621 .871 .989 r
.86972 .40134 .87213 .40552 .87955 .4007 .87716 .3965 Metetra
.638 .878 .986 r
.87716 .3965 .87955 .4007 .88697 .39541 .8846 .39119 Metetra
.653 .884 .982 r
.8846 .39119 .88697 .39541 .89441 .38963 .89206 .38539 Metetra
.668 .89 .978 r
.89206 .38539 .89441 .38963 .90186 .38335 .89953 .37909 Metetra
.87 .854 .824 r
.23011 .69132 .2338 .69422 .23999 .67559 .23632 .67264 Metetra
.867 .856 .828 r
.23632 .67264 .23999 .67559 .24618 .6575 .24252 .65451 Metetra
.864 .857 .832 r
.24252 .65451 .24618 .6575 .25237 .63996 .24873 .63692 Metetra
.861 .859 .837 r
.24873 .63692 .25237 .63996 .25857 .62295 .25493 .61988 Metetra
.858 .861 .841 r
.25493 .61988 .25857 .62295 .26476 .60649 .26114 .60338 Metetra
.854 .862 .846 r
.26114 .60338 .26476 .60649 .27096 .59057 .26735 .58741 Metetra
.851 .864 .851 r
.26735 .58741 .27096 .59057 .27716 .57518 .27356 .57199 Metetra
.846 .866 .856 r
.27356 .57199 .27716 .57518 .28336 .56033 .27978 .5571 Metetra
.842 .867 .861 r
.27978 .5571 .28336 .56033 .28957 .54601 .286 .54274 Metetra
.837 .869 .867 r
.286 .54274 .28957 .54601 .29578 .53222 .29222 .52892 Metetra
.832 .87 .872 r
.29222 .52892 .29578 .53222 .30199 .51896 .29845 .51562 Metetra
.827 .872 .878 r
.29845 .51562 .30199 .51896 .30821 .50622 .30468 .50285 Metetra
.821 .873 .884 r
.30468 .50285 .30821 .50622 .31443 .494 .31091 .49059 Metetra
.815 .874 .89 r
.31091 .49059 .31443 .494 .32066 .48229 .31715 .47886 Metetra
.808 .875 .896 r
.31715 .47886 .32066 .48229 .32689 .47109 .3234 .46763 Metetra
.801 .876 .902 r
.3234 .46763 .32689 .47109 .33313 .46041 .32965 .45691 Metetra
.794 .877 .908 r
.32965 .45691 .33313 .46041 .33938 .45022 .3359 .4467 Metetra
.786 .877 .914 r
.3359 .4467 .33938 .45022 .34563 .44053 .34217 .43698 Metetra
.777 .878 .92 r
.34217 .43698 .34563 .44053 .35189 .43133 .34844 .42775 Metetra
.768 .878 .927 r
.34844 .42775 .35189 .43133 .35816 .42261 .35472 .41902 Metetra
.758 .877 .933 r
.35472 .41902 .35816 .42261 .36443 .41438 .36101 .41076 Metetra
.747 .877 .939 r
.36101 .41076 .36443 .41438 .37071 .40661 .3673 .40297 Metetra
.736 .876 .945 r
.3673 .40297 .37071 .40661 .37701 .39932 .37361 .39566 Metetra
.724 .875 .951 r
.37361 .39566 .37701 .39932 .38331 .39248 .37992 .3888 Metetra
.712 .873 .957 r
.37992 .3888 .38331 .39248 .38962 .3861 .38624 .3824 Metetra
.699 .871 .963 r
.38624 .3824 .38962 .3861 .39594 .38016 .39257 .37644 Metetra
.685 .869 .968 r
.39257 .37644 .39594 .38016 .40227 .37466 .39892 .37093 Metetra
.67 .865 .973 r
.39892 .37093 .40227 .37466 .40861 .3696 .40527 .36584 Metetra
.654 .862 .978 r
.40527 .36584 .40861 .3696 .41496 .36495 .41164 .36118 Metetra
.638 .858 .983 r
.41164 .36118 .41496 .36495 .42133 .36072 .41801 .35693 Metetra
.621 .853 .987 r
.41801 .35693 .42133 .36072 .4277 .35689 .4244 .35309 Metetra
.603 .847 .99 r
.4244 .35309 .4277 .35689 .43409 .35346 .4308 .34965 Metetra
.585 .841 .993 r
.4308 .34965 .43409 .35346 .44049 .35041 .43721 .34659 Metetra
.566 .835 .996 r
.43721 .34659 .44049 .35041 .4469 .34774 .44364 .34391 Metetra
.546 .827 .998 r
.44364 .34391 .4469 .34774 .45333 .34544 .45008 .3416 Metetra
.526 .819 .999 r
.45008 .3416 .45333 .34544 .45977 .3435 .45653 .33965 Metetra
.506 .811 1 r
.45653 .33965 .45977 .3435 .46622 .34191 .46299 .33805 Metetra
.485 .802 1 r
.46299 .33805 .46622 .34191 .47269 .34065 .46947 .33679 Metetra
.464 .792 .999 r
.46947 .33679 .47269 .34065 .47917 .33972 .47597 .33585 Metetra
.442 .782 .998 r
.47597 .33585 .47917 .33972 .48567 .33911 .48248 .33523 Metetra
.421 .772 .996 r
.48248 .33523 .48567 .33911 .49218 .3388 .489 .33491 Metetra
.4 .761 .994 r
.489 .33491 .49218 .3388 .49871 .33878 .49554 .33489 Metetra
.379 .751 .991 r
.49554 .33489 .49871 .33878 .50525 .33905 .5021 .33516 Metetra
.358 .74 .987 r
.5021 .33516 .50525 .33905 .51181 .33959 .50867 .33569 Metetra
.338 .728 .984 r
.50867 .33569 .51181 .33959 .51839 .34038 .51526 .33648 Metetra
.318 .717 .98 r
.51526 .33648 .51839 .34038 .52498 .34142 .52186 .33752 Metetra
.299 .706 .975 r
.52186 .33752 .52498 .34142 .53159 .34269 .52848 .33879 Metetra
.281 .696 .971 r
.52848 .33879 .53159 .34269 .53821 .34419 .53512 .34028 Metetra
.264 .685 .966 r
.53512 .34028 .53821 .34419 .54485 .34589 .54177 .34199 Metetra
.247 .675 .962 r
.54177 .34199 .54485 .34589 .55151 .34779 .54844 .34388 Metetra
.232 .666 .957 r
.54844 .34388 .55151 .34779 .55819 .34987 .55513 .34596 Metetra
.218 .657 .953 r
.55513 .34596 .55819 .34987 .56488 .35212 .56184 .34821 Metetra
.204 .648 .948 r
.56184 .34821 .56488 .35212 .5716 .35452 .56856 .35062 Metetra
.192 .64 .944 r
.56856 .35062 .5716 .35452 .57833 .35707 .57531 .35316 Metetra
.182 .633 .94 r
.57531 .35316 .57833 .35707 .58508 .35974 .58207 .35584 Metetra
.172 .627 .937 r
.58207 .35584 .58508 .35974 .59184 .36252 .58885 .35862 Metetra
.164 .621 .934 r
.58885 .35862 .59184 .36252 .59863 .36541 .59565 .36151 Metetra
.157 .617 .931 r
.59565 .36151 .59863 .36541 .60543 .36838 .60246 .36448 Metetra
.151 .613 .929 r
.60246 .36448 .60543 .36838 .61225 .37142 .6093 .36752 Metetra
.147 .61 .928 r
.6093 .36752 .61225 .37142 .61909 .37451 .61615 .37062 Metetra
.144 .608 .927 r
.61615 .37062 .61909 .37451 .62595 .37765 .62302 .37376 Metetra
.143 .607 .926 r
.62302 .37376 .62595 .37765 .63283 .38082 .62991 .37693 Metetra
.142 .607 .926 r
.62991 .37693 .63283 .38082 .63972 .38399 .63682 .38011 Metetra
.144 .608 .926 r
.63682 .38011 .63972 .38399 .64664 .38716 .64375 .38328 Metetra
.146 .609 .927 r
.64375 .38328 .64664 .38716 .65357 .39032 .6507 .38644 Metetra
.149 .612 .929 r
.6507 .38644 .65357 .39032 .66053 .39344 .65767 .38956 Metetra
.154 .615 .93 r
.65767 .38956 .66053 .39344 .6675 .39651 .66465 .39264 Metetra
.16 .619 .933 r
.66465 .39264 .6675 .39651 .67449 .39952 .67166 .39565 Metetra
.168 .624 .935 r
.67166 .39565 .67449 .39952 .6815 .40245 .67868 .39858 Metetra
.176 .63 .938 r
.67868 .39858 .6815 .40245 .68853 .40528 .68572 .40142 Metetra
.186 .636 .942 r
.68572 .40142 .68853 .40528 .69557 .40801 .69278 .40414 Metetra
.197 .644 .946 r
.69278 .40414 .69557 .40801 .70264 .41061 .69986 .40675 Metetra
.208 .651 .949 r
.69986 .40675 .70264 .41061 .70972 .41307 .70696 .40921 Metetra
.221 .66 .954 r
.70696 .40921 .70972 .41307 .71682 .41537 .71407 .41151 Metetra
.235 .669 .958 r
.71407 .41151 .71682 .41537 .72394 .4175 .72121 .41364 Metetra
.25 .678 .962 r
.72121 .41364 .72394 .4175 .73107 .41945 .72836 .41559 Metetra
.265 .688 .966 r
.72836 .41559 .73107 .41945 .73823 .42119 .73553 .41733 Metetra
.281 .698 .971 r
.73553 .41733 .73823 .42119 .7454 .42272 .74271 .41886 Metetra
.298 .709 .975 r
.74271 .41886 .7454 .42272 .75259 .42402 .74992 .42015 Metetra
.316 .72 .979 r
.74992 .42015 .75259 .42402 .75979 .42507 .75714 .4212 Metetra
.334 .731 .982 r
.75714 .4212 .75979 .42507 .76702 .42585 .76438 .42199 Metetra
.352 .742 .986 r
.76438 .42199 .76702 .42585 .77426 .42636 .77163 .42249 Metetra
.371 .753 .989 r
.77163 .42249 .77426 .42636 .78151 .42658 .7789 .42271 Metetra
.39 .764 .992 r
.7789 .42271 .78151 .42658 .78878 .4265 .78619 .42261 Metetra
.41 .775 .994 r
.78619 .42261 .78878 .4265 .79607 .42609 .79349 .4222 Metetra
.429 .785 .996 r
.79349 .4222 .79607 .42609 .80337 .42535 .80081 .42145 Metetra
.449 .796 .998 r
.80081 .42145 .80337 .42535 .81069 .42426 .80814 .42035 Metetra
.469 .806 .999 r
.80814 .42035 .81069 .42426 .81802 .4228 .81549 .41889 Metetra
.488 .816 1 r
.81549 .41889 .81802 .4228 .82537 .42097 .82285 .41705 Metetra
.507 .826 1 r
.82285 .41705 .82537 .42097 .83273 .41875 .83023 .41482 Metetra
.527 .835 .999 r
.83023 .41482 .83273 .41875 .8401 .41613 .83762 .41218 Metetra
.545 .844 .999 r
.83762 .41218 .8401 .41613 .84749 .41309 .84502 .40913 Metetra
.564 .853 .997 r
.84502 .40913 .84749 .41309 .85489 .40961 .85244 .40564 Metetra
.582 .861 .995 r
.85244 .40564 .85489 .40961 .8623 .4057 .85987 .40172 Metetra
.6 .868 .993 r
.85987 .40172 .8623 .4057 .86972 .40134 .86731 .39733 Metetra
.617 .876 .99 r
.86731 .39733 .86972 .40134 .87716 .3965 .87476 .39248 Metetra
.633 .882 .987 r
.87476 .39248 .87716 .3965 .8846 .39119 .88222 .38715 Metetra
.649 .889 .983 r
.88222 .38715 .8846 .39119 .89206 .38539 .8897 .38133 Metetra
.665 .894 .979 r
.8897 .38133 .89206 .38539 .89953 .37909 .89718 .37501 Metetra
.872 .857 .824 r
.22641 .68859 .23011 .69132 .23632 .67264 .23262 .66987 Metetra
.869 .859 .828 r
.23262 .66987 .23632 .67264 .24252 .65451 .23884 .65169 Metetra
.866 .861 .833 r
.23884 .65169 .24252 .65451 .24873 .63692 .24506 .63406 Metetra
.863 .862 .837 r
.24506 .63406 .24873 .63692 .25493 .61988 .25128 .61697 Metetra
.86 .864 .842 r
.25128 .61697 .25493 .61988 .26114 .60338 .2575 .60043 Metetra
.856 .866 .847 r
.2575 .60043 .26114 .60338 .26735 .58741 .26372 .58443 Metetra
.852 .868 .852 r
.26372 .58443 .26735 .58741 .27356 .57199 .26995 .56896 Metetra
.848 .869 .857 r
.26995 .56896 .27356 .57199 .27978 .5571 .27618 .55404 Metetra
.844 .871 .862 r
.27618 .55404 .27978 .5571 .286 .54274 .28241 .53964 Metetra
.839 .873 .868 r
.28241 .53964 .286 .54274 .29222 .52892 .28864 .52578 Metetra
.834 .874 .873 r
.28864 .52578 .29222 .52892 .29845 .51562 .29488 .51245 Metetra
.828 .876 .879 r
.29488 .51245 .29845 .51562 .30468 .50285 .30112 .49965 Metetra
.822 .877 .885 r
.30112 .49965 .30468 .50285 .31091 .49059 .30737 .48736 Metetra
.816 .878 .891 r
.30737 .48736 .31091 .49059 .31715 .47886 .31362 .47559 Metetra
.809 .88 .897 r
.31362 .47559 .31715 .47886 .3234 .46763 .31988 .46434 Metetra
.802 .881 .903 r
.31988 .46434 .3234 .46763 .32965 .45691 .32614 .45359 Metetra
.794 .881 .909 r
.32614 .45359 .32965 .45691 .3359 .4467 .33241 .44335 Metetra
.786 .882 .916 r
.33241 .44335 .3359 .4467 .34217 .43698 .33869 .4336 Metetra
.777 .883 .922 r
.33869 .4336 .34217 .43698 .34844 .42775 .34497 .42435 Metetra
.768 .883 .928 r
.34497 .42435 .34844 .42775 .35472 .41902 .35127 .41559 Metetra
.758 .882 .935 r
.35127 .41559 .35472 .41902 .36101 .41076 .35757 .40731 Metetra
.747 .882 .941 r
.35757 .40731 .36101 .41076 .3673 .40297 .36387 .3995 Metetra
.736 .881 .947 r
.36387 .3995 .3673 .40297 .37361 .39566 .37019 .39216 Metetra
.724 .88 .953 r
.37019 .39216 .37361 .39566 .37992 .3888 .37651 .38529 Metetra
.711 .878 .959 r
.37651 .38529 .37992 .3888 .38624 .3824 .38285 .37887 Metetra
.697 .876 .965 r
.38285 .37887 .38624 .3824 .39257 .37644 .38919 .3729 Metetra
.683 .874 .97 r
.38919 .3729 .39257 .37644 .39892 .37093 .39555 .36736 Metetra
.668 .87 .976 r
.39555 .36736 .39892 .37093 .40527 .36584 .40191 .36226 Metetra
.652 .867 .98 r
.40191 .36226 .40527 .36584 .41164 .36118 .40829 .35758 Metetra
.635 .862 .985 r
.40829 .35758 .41164 .36118 .41801 .35693 .41468 .35332 Metetra
.617 .857 .989 r
.41468 .35332 .41801 .35693 .4244 .35309 .42108 .34947 Metetra
.599 .852 .992 r
.42108 .34947 .4244 .35309 .4308 .34965 .42749 .34601 Metetra
.58 .845 .995 r
.42749 .34601 .4308 .34965 .43721 .34659 .43392 .34294 Metetra
.56 .838 .997 r
.43392 .34294 .43721 .34659 .44364 .34391 .44035 .34025 Metetra
.54 .831 .999 r
.44035 .34025 .44364 .34391 .45008 .3416 .4468 .33793 Metetra
.519 .822 1 r
.4468 .33793 .45008 .3416 .45653 .33965 .45327 .33597 Metetra
.498 .813 1 r
.45327 .33597 .45653 .33965 .46299 .33805 .45975 .33436 Metetra
.476 .804 1 r
.45975 .33436 .46299 .33805 .46947 .33679 .46624 .33309 Metetra
.454 .794 .999 r
.46624 .33309 .46947 .33679 .47597 .33585 .47274 .33215 Metetra
.432 .784 .997 r
.47274 .33215 .47597 .33585 .48248 .33523 .47927 .33152 Metetra
.41 .773 .995 r
.47927 .33152 .48248 .33523 .489 .33491 .4858 .3312 Metetra
.388 .761 .992 r
.4858 .3312 .489 .33491 .49554 .33489 .49235 .33118 Metetra
.366 .75 .988 r
.49235 .33118 .49554 .33489 .5021 .33516 .49892 .33144 Metetra
.345 .738 .984 r
.49892 .33144 .5021 .33516 .50867 .33569 .50551 .33197 Metetra
.324 .727 .98 r
.50551 .33197 .50867 .33569 .51526 .33648 .51211 .33275 Metetra
.304 .715 .976 r
.51211 .33275 .51526 .33648 .52186 .33752 .51872 .33379 Metetra
.284 .704 .971 r
.51872 .33379 .52186 .33752 .52848 .33879 .52536 .33506 Metetra
.265 .692 .966 r
.52536 .33506 .52848 .33879 .53512 .34028 .53201 .33655 Metetra
.247 .681 .96 r
.53201 .33655 .53512 .34028 .54177 .34199 .53867 .33826 Metetra
.23 .671 .955 r
.53867 .33826 .54177 .34199 .54844 .34388 .54536 .34015 Metetra
.215 .661 .95 r
.54536 .34015 .54844 .34388 .55513 .34596 .55206 .34223 Metetra
.2 .651 .945 r
.55206 .34223 .55513 .34596 .56184 .34821 .55878 .34448 Metetra
.186 .642 .941 r
.55878 .34448 .56184 .34821 .56856 .35062 .56552 .34689 Metetra
.174 .634 .936 r
.56552 .34689 .56856 .35062 .57531 .35316 .57227 .34943 Metetra
.163 .627 .932 r
.57227 .34943 .57531 .35316 .58207 .35584 .57905 .35211 Metetra
.153 .62 .928 r
.57905 .35211 .58207 .35584 .58885 .35862 .58584 .3549 Metetra
.145 .615 .925 r
.58584 .3549 .58885 .35862 .59565 .36151 .59265 .35779 Metetra
.138 .61 .922 r
.59265 .35779 .59565 .36151 .60246 .36448 .59948 .36076 Metetra
.132 .606 .92 r
.59948 .36076 .60246 .36448 .6093 .36752 .60633 .36381 Metetra
.128 .603 .918 r
.60633 .36381 .6093 .36752 .61615 .37062 .61319 .36691 Metetra
.125 .601 .917 r
.61319 .36691 .61615 .37062 .62302 .37376 .62008 .37005 Metetra
.123 .6 .916 r
.62008 .37005 .62302 .37376 .62991 .37693 .62699 .37322 Metetra
.123 .599 .916 r
.62699 .37322 .62991 .37693 .63682 .38011 .63391 .3764 Metetra
.124 .6 .917 r
.63391 .3764 .63682 .38011 .64375 .38328 .64085 .37958 Metetra
.126 .602 .918 r
.64085 .37958 .64375 .38328 .6507 .38644 .64781 .38274 Metetra
.13 .604 .919 r
.64781 .38274 .6507 .38644 .65767 .38956 .65479 .38587 Metetra
.135 .608 .921 r
.65479 .38587 .65767 .38956 .66465 .39264 .66179 .38895 Metetra
.141 .612 .924 r
.66179 .38895 .66465 .39264 .67166 .39565 .66881 .39196 Metetra
.149 .618 .927 r
.66881 .39196 .67166 .39565 .67868 .39858 .67585 .39489 Metetra
.157 .624 .93 r
.67585 .39489 .67868 .39858 .68572 .40142 .6829 .39773 Metetra
.167 .63 .934 r
.6829 .39773 .68572 .40142 .69278 .40414 .68998 .40046 Metetra
.178 .638 .938 r
.68998 .40046 .69278 .40414 .69986 .40675 .69707 .40306 Metetra
.19 .646 .942 r
.69707 .40306 .69986 .40675 .70696 .40921 .70418 .40553 Metetra
.203 .655 .946 r
.70418 .40553 .70696 .40921 .71407 .41151 .71131 .40783 Metetra
.218 .664 .951 r
.71131 .40783 .71407 .41151 .72121 .41364 .71846 .40997 Metetra
.233 .674 .956 r
.71846 .40997 .72121 .41364 .72836 .41559 .72563 .41191 Metetra
.248 .684 .96 r
.72563 .41191 .72836 .41559 .73553 .41733 .73281 .41365 Metetra
.265 .695 .965 r
.73281 .41365 .73553 .41733 .74271 .41886 .74001 .41518 Metetra
.283 .706 .97 r
.74001 .41518 .74271 .41886 .74992 .42015 .74723 .41647 Metetra
.301 .717 .974 r
.74723 .41647 .74992 .42015 .75714 .4212 .75447 .41752 Metetra
.319 .729 .978 r
.75447 .41752 .75714 .4212 .76438 .42199 .76172 .4183 Metetra
.338 .74 .982 r
.76172 .4183 .76438 .42199 .77163 .42249 .76899 .4188 Metetra
.358 .752 .986 r
.76899 .4188 .77163 .42249 .7789 .42271 .77628 .41901 Metetra
.378 .763 .989 r
.77628 .41901 .7789 .42271 .78619 .42261 .78358 .41892 Metetra
.398 .775 .992 r
.78358 .41892 .78619 .42261 .79349 .4222 .7909 .4185 Metetra
.418 .786 .995 r
.7909 .4185 .79349 .4222 .80081 .42145 .79824 .41774 Metetra
.438 .797 .996 r
.79824 .41774 .80081 .42145 .80814 .42035 .80558 .41663 Metetra
.459 .808 .998 r
.80558 .41663 .80814 .42035 .81549 .41889 .81295 .41516 Metetra
.479 .818 .999 r
.81295 .41516 .81549 .41889 .82285 .41705 .82033 .41331 Metetra
.499 .828 .999 r
.82033 .41331 .82285 .41705 .83023 .41482 .82772 .41107 Metetra
.518 .838 .999 r
.82772 .41107 .83023 .41482 .83762 .41218 .83513 .40842 Metetra
.538 .847 .998 r
.83513 .40842 .83762 .41218 .84502 .40913 .84255 .40536 Metetra
.557 .856 .997 r
.84255 .40536 .84502 .40913 .85244 .40564 .84998 .40186 Metetra
.576 .864 .996 r
.84998 .40186 .85244 .40564 .85987 .40172 .85742 .39792 Metetra
.594 .872 .993 r
.85742 .39792 .85987 .40172 .86731 .39733 .86488 .39352 Metetra
.612 .88 .991 r
.86488 .39352 .86731 .39733 .87476 .39248 .87235 .38865 Metetra
.629 .887 .988 r
.87235 .38865 .87476 .39248 .88222 .38715 .87983 .3833 Metetra
.645 .893 .984 r
.87983 .3833 .88222 .38715 .8897 .38133 .88732 .37746 Metetra
.661 .899 .98 r
.88732 .37746 .8897 .38133 .89718 .37501 .89482 .37111 Metetra
.873 .86 .824 r
.22268 .68604 .22641 .68859 .23262 .66987 .22891 .66727 Metetra
.871 .862 .829 r
.22891 .66727 .23262 .66987 .23884 .65169 .23514 .64905 Metetra
.868 .864 .833 r
.23514 .64905 .23884 .65169 .24506 .63406 .24137 .63137 Metetra
.865 .866 .838 r
.24137 .63137 .24506 .63406 .25128 .61697 .24761 .61424 Metetra
.861 .868 .843 r
.24761 .61424 .25128 .61697 .2575 .60043 .25384 .59766 Metetra
.858 .87 .847 r
.25384 .59766 .2575 .60043 .26372 .58443 .26008 .58162 Metetra
.854 .871 .853 r
.26008 .58162 .26372 .58443 .26995 .56896 .26632 .56611 Metetra
.85 .873 .858 r
.26632 .56611 .26995 .56896 .27618 .55404 .27256 .55115 Metetra
.845 .875 .863 r
.27256 .55115 .27618 .55404 .28241 .53964 .2788 .53672 Metetra
.84 .877 .869 r
.2788 .53672 .28241 .53964 .28864 .52578 .28505 .52282 Metetra
.835 .878 .874 r
.28505 .52282 .28864 .52578 .29488 .51245 .2913 .50946 Metetra
.83 .88 .88 r
.2913 .50946 .29488 .51245 .30112 .49965 .29755 .49662 Metetra
.824 .882 .886 r
.29755 .49662 .30112 .49965 .30737 .48736 .30381 .4843 Metetra
.817 .883 .892 r
.30381 .4843 .30737 .48736 .31362 .47559 .31008 .4725 Metetra
.81 .884 .898 r
.31008 .4725 .31362 .47559 .31988 .46434 .31635 .46122 Metetra
.803 .885 .905 r
.31635 .46122 .31988 .46434 .32614 .45359 .32262 .45044 Metetra
.795 .886 .911 r
.32262 .45044 .32614 .45359 .33241 .44335 .32891 .44017 Metetra
.787 .887 .917 r
.32891 .44017 .33241 .44335 .33869 .4336 .33519 .4304 Metetra
.778 .887 .924 r
.33519 .4304 .33869 .4336 .34497 .42435 .34149 .42112 Metetra
.768 .888 .93 r
.34149 .42112 .34497 .42435 .35127 .41559 .34779 .41234 Metetra
.758 .888 .937 r
.34779 .41234 .35127 .41559 .35757 .40731 .35411 .40403 Metetra
.747 .887 .943 r
.35411 .40403 .35757 .40731 .36387 .3995 .36043 .3962 Metetra
.735 .886 .949 r
.36043 .3962 .36387 .3995 .37019 .39216 .36675 .38884 Metetra
.723 .885 .955 r
.36675 .38884 .37019 .39216 .37651 .38529 .37309 .38195 Metetra
.71 .883 .961 r
.37309 .38195 .37651 .38529 .38285 .37887 .37944 .37551 Metetra
.696 .881 .967 r
.37944 .37551 .38285 .37887 .38919 .3729 .3858 .36952 Metetra
.681 .878 .972 r
.3858 .36952 .38919 .3729 .39555 .36736 .39216 .36397 Metetra
.665 .875 .977 r
.39216 .36397 .39555 .36736 .40191 .36226 .39854 .35885 Metetra
.648 .871 .982 r
.39854 .35885 .40191 .36226 .40829 .35758 .40493 .35416 Metetra
.631 .867 .986 r
.40493 .35416 .40829 .35758 .41468 .35332 .41133 .34988 Metetra
.613 .862 .99 r
.41133 .34988 .41468 .35332 .42108 .34947 .41774 .34602 Metetra
.594 .856 .993 r
.41774 .34602 .42108 .34947 .42749 .34601 .42417 .34255 Metetra
.574 .849 .996 r
.42417 .34255 .42749 .34601 .43392 .34294 .4306 .33947 Metetra
.554 .842 .998 r
.4306 .33947 .43392 .34294 .44035 .34025 .43705 .33677 Metetra
.533 .834 .999 r
.43705 .33677 .44035 .34025 .4468 .33793 .44351 .33444 Metetra
.511 .825 1 r
.44351 .33444 .4468 .33793 .45327 .33597 .44999 .33247 Metetra
.489 .816 1 r
.44999 .33247 .45327 .33597 .45975 .33436 .45648 .33085 Metetra
.466 .806 .999 r
.45648 .33085 .45975 .33436 .46624 .33309 .46299 .32957 Metetra
.444 .795 .997 r
.46299 .32957 .46624 .33309 .47274 .33215 .4695 .32862 Metetra
.421 .784 .995 r
.4695 .32862 .47274 .33215 .47927 .33152 .47604 .32799 Metetra
.398 .773 .992 r
.47604 .32799 .47927 .33152 .4858 .3312 .48259 .32767 Metetra
.375 .761 .989 r
.48259 .32767 .4858 .3312 .49235 .33118 .48915 .32764 Metetra
.353 .749 .985 r
.48915 .32764 .49235 .33118 .49892 .33144 .49573 .32789 Metetra
.331 .737 .981 r
.49573 .32789 .49892 .33144 .50551 .33197 .50233 .32842 Metetra
.309 .724 .976 r
.50233 .32842 .50551 .33197 .51211 .33275 .50894 .3292 Metetra
.288 .712 .97 r
.50894 .3292 .51211 .33275 .51872 .33379 .51557 .33024 Metetra
.268 .7 .965 r
.51557 .33024 .51872 .33379 .52536 .33506 .52222 .33151 Metetra
.248 .688 .959 r
.52222 .33151 .52536 .33506 .53201 .33655 .52888 .333 Metetra
.23 .677 .954 r
.52888 .333 .53201 .33655 .53867 .33826 .53556 .3347 Metetra
.213 .666 .948 r
.53556 .3347 .53867 .33826 .54536 .34015 .54226 .3366 Metetra
.196 .655 .942 r
.54226 .3366 .54536 .34015 .55206 .34223 .54897 .33868 Metetra
.181 .645 .937 r
.54897 .33868 .55206 .34223 .55878 .34448 .5557 .34093 Metetra
.167 .636 .932 r
.5557 .34093 .55878 .34448 .56552 .34689 .56245 .34333 Metetra
.155 .628 .927 r
.56245 .34333 .56552 .34689 .57227 .34943 .56922 .34588 Metetra
.143 .62 .923 r
.56922 .34588 .57227 .34943 .57905 .35211 .57601 .34856 Metetra
.133 .613 .919 r
.57601 .34856 .57905 .35211 .58584 .3549 .58282 .35135 Metetra
.125 .607 .915 r
.58282 .35135 .58584 .3549 .59265 .35779 .58964 .35424 Metetra
.118 .602 .912 r
.58964 .35424 .59265 .35779 .59948 .36076 .59648 .35722 Metetra
.112 .598 .909 r
.59648 .35722 .59948 .36076 .60633 .36381 .60334 .36027 Metetra
.107 .595 .908 r
.60334 .36027 .60633 .36381 .61319 .36691 .61022 .36337 Metetra
.104 .593 .906 r
.61022 .36337 .61319 .36691 .62008 .37005 .61712 .36652 Metetra
.103 .591 .906 r
.61712 .36652 .62008 .37005 .62699 .37322 .62404 .36969 Metetra
.102 .591 .905 r
.62404 .36969 .62699 .37322 .63391 .3764 .63098 .37288 Metetra
.103 .592 .906 r
.63098 .37288 .63391 .3764 .64085 .37958 .63794 .37606 Metetra
.106 .594 .907 r
.63794 .37606 .64085 .37958 .64781 .38274 .64491 .37922 Metetra
.11 .596 .909 r
.64491 .37922 .64781 .38274 .65479 .38587 .65191 .38235 Metetra
.115 .6 .911 r
.65191 .38235 .65479 .38587 .66179 .38895 .65892 .38543 Metetra
.121 .605 .913 r
.65892 .38543 .66179 .38895 .66881 .39196 .66595 .38845 Metetra
.129 .61 .917 r
.66595 .38845 .66881 .39196 .67585 .39489 .673 .39139 Metetra
.138 .616 .92 r
.673 .39139 .67585 .39489 .6829 .39773 .68007 .39423 Metetra
.148 .623 .924 r
.68007 .39423 .6829 .39773 .68998 .40046 .68716 .39696 Metetra
.159 .631 .928 r
.68716 .39696 .68998 .40046 .69707 .40306 .69427 .39956 Metetra
.171 .64 .933 r
.69427 .39956 .69707 .40306 .70418 .40553 .7014 .40203 Metetra
.185 .649 .938 r
.7014 .40203 .70418 .40553 .71131 .40783 .70854 .40433 Metetra
.199 .658 .943 r
.70854 .40433 .71131 .40783 .71846 .40997 .71571 .40647 Metetra
.215 .669 .948 r
.71571 .40647 .71846 .40997 .72563 .41191 .72289 .40842 Metetra
.231 .68 .953 r
.72289 .40842 .72563 .41191 .73281 .41365 .73009 .41016 Metetra
.248 .691 .958 r
.73009 .41016 .73281 .41365 .74001 .41518 .7373 .41168 Metetra
.266 .702 .964 r
.7373 .41168 .74001 .41518 .74723 .41647 .74454 .41297 Metetra
.285 .714 .968 r
.74454 .41297 .74723 .41647 .75447 .41752 .75179 .41402 Metetra
.304 .726 .973 r
.75179 .41402 .75447 .41752 .76172 .4183 .75906 .4148 Metetra
.324 .738 .978 r
.75906 .4148 .76172 .4183 .76899 .4188 .76634 .4153 Metetra
.344 .75 .982 r
.76634 .4153 .76899 .4188 .77628 .41901 .77365 .4155 Metetra
.364 .762 .986 r
.77365 .4155 .77628 .41901 .78358 .41892 .78096 .4154 Metetra
.385 .774 .989 r
.78096 .4154 .78358 .41892 .7909 .4185 .7883 .41498 Metetra
.406 .786 .992 r
.7883 .41498 .7909 .4185 .79824 .41774 .79565 .41421 Metetra
.427 .797 .994 r
.79565 .41421 .79824 .41774 .80558 .41663 .80301 .4131 Metetra
.448 .809 .996 r
.80301 .4131 .80558 .41663 .81295 .41516 .8104 .41162 Metetra
.469 .819 .997 r
.8104 .41162 .81295 .41516 .82033 .41331 .81779 .40976 Metetra
.489 .83 .998 r
.81779 .40976 .82033 .41331 .82772 .41107 .8252 .40751 Metetra
.51 .84 .998 r
.8252 .40751 .82772 .41107 .83513 .40842 .83262 .40485 Metetra
.53 .85 .998 r
.83262 .40485 .83513 .40842 .84255 .40536 .84006 .40177 Metetra
.549 .859 .997 r
.84006 .40177 .84255 .40536 .84998 .40186 .84751 .39826 Metetra
.569 .868 .995 r
.84751 .39826 .84998 .40186 .85742 .39792 .85497 .3943 Metetra
.588 .876 .993 r
.85497 .3943 .85742 .39792 .86488 .39352 .86245 .38989 Metetra
.606 .883 .991 r
.86245 .38989 .86488 .39352 .87235 .38865 .86993 .385 Metetra
.624 .891 .988 r
.86993 .385 .87235 .38865 .87983 .3833 .87743 .37963 Metetra
.641 .897 .984 r
.87743 .37963 .87983 .3833 .88732 .37746 .88494 .37377 Metetra
.657 .903 .981 r
.88494 .37377 .88732 .37746 .89482 .37111 .89246 .36741 Metetra
.875 .863 .825 r
.21894 .68366 .22268 .68604 .22891 .66727 .22518 .66485 Metetra
.872 .865 .829 r
.22518 .66485 .22891 .66727 .23514 .64905 .23142 .64658 Metetra
.869 .867 .834 r
.23142 .64658 .23514 .64905 .24137 .63137 .23767 .62886 Metetra
.866 .869 .838 r
.23767 .62886 .24137 .63137 .24761 .61424 .24392 .61169 Metetra
.863 .871 .843 r
.24392 .61169 .24761 .61424 .25384 .59766 .25016 .59506 Metetra
.859 .873 .848 r
.25016 .59506 .25384 .59766 .26008 .58162 .25641 .57898 Metetra
.855 .875 .853 r
.25641 .57898 .26008 .58162 .26632 .56611 .26266 .56344 Metetra
.851 .877 .859 r
.26266 .56344 .26632 .56611 .27256 .55115 .26892 .54843 Metetra
.847 .879 .864 r
.26892 .54843 .27256 .55115 .2788 .53672 .27517 .53397 Metetra
.842 .881 .87 r
.27517 .53397 .2788 .53672 .28505 .52282 .28143 .52004 Metetra
.836 .883 .875 r
.28143 .52004 .28505 .52282 .2913 .50946 .28769 .50663 Metetra
.831 .884 .881 r
.28769 .50663 .2913 .50946 .29755 .49662 .29396 .49376 Metetra
.825 .886 .887 r
.29396 .49376 .29755 .49662 .30381 .4843 .30023 .48141 Metetra
.818 .887 .893 r
.30023 .48141 .30381 .4843 .31008 .4725 .30651 .46958 Metetra
.811 .889 .9 r
.30651 .46958 .31008 .4725 .31635 .46122 .31279 .45827 Metetra
.804 .89 .906 r
.31279 .45827 .31635 .46122 .32262 .45044 .31908 .44746 Metetra
.796 .891 .912 r
.31908 .44746 .32262 .45044 .32891 .44017 .32538 .43717 Metetra
.787 .892 .919 r
.32538 .43717 .32891 .44017 .33519 .4304 .33168 .42737 Metetra
.778 .892 .925 r
.33168 .42737 .33519 .4304 .34149 .42112 .33799 .41807 Metetra
.768 .893 .932 r
.33799 .41807 .34149 .42112 .34779 .41234 .3443 .40926 Metetra
.758 .893 .938 r
.3443 .40926 .34779 .41234 .35411 .40403 .35063 .40093 Metetra
.747 .892 .945 r
.35063 .40093 .35411 .40403 .36043 .3962 .35696 .39308 Metetra
.735 .891 .951 r
.35696 .39308 .36043 .3962 .36675 .38884 .3633 .3857 Metetra
.722 .89 .957 r
.3633 .3857 .36675 .38884 .37309 .38195 .36965 .37878 Metetra
.708 .888 .963 r
.36965 .37878 .37309 .38195 .37944 .37551 .37601 .37232 Metetra
.694 .886 .969 r
.37601 .37232 .37944 .37551 .3858 .36952 .38238 .36631 Metetra
.678 .883 .974 r
.38238 .36631 .3858 .36952 .39216 .36397 .38876 .36075 Metetra
.662 .88 .979 r
.38876 .36075 .39216 .36397 .39854 .35885 .39515 .35561 Metetra
.645 .876 .984 r
.39515 .35561 .39854 .35885 .40493 .35416 .40155 .35091 Metetra
.627 .871 .988 r
.40155 .35091 .40493 .35416 .41133 .34988 .40796 .34662 Metetra
.608 .866 .991 r
.40796 .34662 .41133 .34988 .41774 .34602 .41439 .34274 Metetra
.589 .86 .994 r
.41439 .34274 .41774 .34602 .42417 .34255 .42082 .33926 Metetra
.568 .853 .997 r
.42082 .33926 .42417 .34255 .4306 .33947 .42727 .33616 Metetra
.547 .845 .998 r
.42727 .33616 .4306 .33947 .43705 .33677 .43373 .33345 Metetra
.525 .836 .999 r
.43373 .33345 .43705 .33677 .44351 .33444 .44021 .33112 Metetra
.503 .827 1 r
.44021 .33112 .44351 .33444 .44999 .33247 .4467 .32914 Metetra
.48 .817 .999 r
.4467 .32914 .44999 .33247 .45648 .33085 .4532 .32751 Metetra
.456 .807 .998 r
.4532 .32751 .45648 .33085 .46299 .32957 .45972 .32623 Metetra
.433 .796 .996 r
.45972 .32623 .46299 .32957 .4695 .32862 .46625 .32527 Metetra
.409 .784 .993 r
.46625 .32527 .4695 .32862 .47604 .32799 .47279 .32463 Metetra
.386 .772 .989 r
.47279 .32463 .47604 .32799 .48259 .32767 .47936 .3243 Metetra
.362 .76 .985 r
.47936 .3243 .48259 .32767 .48915 .32764 .48593 .32427 Metetra
.339 .747 .981 r
.48593 .32427 .48915 .32764 .49573 .32789 .49253 .32452 Metetra
.316 .734 .976 r
.49253 .32452 .49573 .32789 .50233 .32842 .49913 .32504 Metetra
.293 .721 .97 r
.49913 .32504 .50233 .32842 .50894 .3292 .50576 .32583 Metetra
.272 .708 .964 r
.50576 .32583 .50894 .3292 .51557 .33024 .5124 .32686 Metetra
.251 .696 .958 r
.5124 .32686 .51557 .33024 .52222 .33151 .51906 .32813 Metetra
.231 .683 .952 r
.51906 .32813 .52222 .33151 .52888 .333 .52574 .32962 Metetra
.212 .671 .946 r
.52574 .32962 .52888 .333 .53556 .3347 .53243 .33132 Metetra
.194 .66 .939 r
.53243 .33132 .53556 .3347 .54226 .3366 .53914 .33322 Metetra
.177 .649 .933 r
.53914 .33322 .54226 .3366 .54897 .33868 .54587 .3353 Metetra
.162 .638 .927 r
.54587 .3353 .54897 .33868 .5557 .34093 .55261 .33755 Metetra
.148 .629 .922 r
.55261 .33755 .5557 .34093 .56245 .34333 .55938 .33996 Metetra
.135 .62 .916 r
.55938 .33996 .56245 .34333 .56922 .34588 .56616 .34251 Metetra
.123 .612 .912 r
.56616 .34251 .56922 .34588 .57601 .34856 .57296 .34519 Metetra
.113 .605 .907 r
.57296 .34519 .57601 .34856 .58282 .35135 .57978 .34798 Metetra
.104 .599 .904 r
.57978 .34798 .58282 .35135 .58964 .35424 .58661 .35088 Metetra
.097 .593 .9 r
.58661 .35088 .58964 .35424 .59648 .35722 .59347 .35386 Metetra
.091 .589 .898 r
.59347 .35386 .59648 .35722 .60334 .36027 .60035 .35691 Metetra
.086 .586 .896 r
.60035 .35691 .60334 .36027 .61022 .36337 .60724 .36002 Metetra
.083 .584 .894 r
.60724 .36002 .61022 .36337 .61712 .36652 .61415 .36317 Metetra
.081 .582 .893 r
.61415 .36317 .61712 .36652 .62404 .36969 .62108 .36634 Metetra
.081 .582 .893 r
.62108 .36634 .62404 .36969 .63098 .37288 .62804 .36953 Metetra
.082 .583 .894 r
.62804 .36953 .63098 .37288 .63794 .37606 .63501 .37272 Metetra
.085 .585 .895 r
.63501 .37272 .63794 .37606 .64491 .37922 .642 .37589 Metetra
.089 .588 .897 r
.642 .37589 .64491 .37922 .65191 .38235 .649 .37902 Metetra
.094 .591 .899 r
.649 .37902 .65191 .38235 .65892 .38543 .65603 .3821 Metetra
.1 .596 .902 r
.65603 .3821 .65892 .38543 .66595 .38845 .66308 .38512 Metetra
.108 .602 .905 r
.66308 .38512 .66595 .38845 .673 .39139 .67015 .38806 Metetra
.117 .608 .909 r
.67015 .38806 .673 .39139 .68007 .39423 .67723 .39091 Metetra
.128 .615 .913 r
.67723 .39091 .68007 .39423 .68716 .39696 .68433 .39364 Metetra
.139 .623 .918 r
.68433 .39364 .68716 .39696 .69427 .39956 .69146 .39625 Metetra
.152 .632 .923 r
.69146 .39625 .69427 .39956 .7014 .40203 .6986 .39871 Metetra
.166 .642 .928 r
.6986 .39871 .7014 .40203 .70854 .40433 .70576 .40102 Metetra
.18 .652 .934 r
.70576 .40102 .70854 .40433 .71571 .40647 .71294 .40316 Metetra
.196 .663 .939 r
.71294 .40316 .71571 .40647 .72289 .40842 .72013 .4051 Metetra
.213 .674 .945 r
.72013 .4051 .72289 .40842 .73009 .41016 .72735 .40685 Metetra
.231 .686 .951 r
.72735 .40685 .73009 .41016 .7373 .41168 .73458 .40837 Metetra
.249 .698 .956 r
.73458 .40837 .7373 .41168 .74454 .41297 .74183 .40966 Metetra
.268 .71 .962 r
.74183 .40966 .74454 .41297 .75179 .41402 .7491 .4107 Metetra
.288 .722 .967 r
.7491 .4107 .75179 .41402 .75906 .4148 .75638 .41148 Metetra
.308 .735 .972 r
.75638 .41148 .75906 .4148 .76634 .4153 .76368 .41198 Metetra
.329 .748 .977 r
.76368 .41198 .76634 .4153 .77365 .4155 .771 .41218 Metetra
.35 .76 .981 r
.771 .41218 .77365 .4155 .78096 .4154 .77833 .41207 Metetra
.371 .773 .985 r
.77833 .41207 .78096 .4154 .7883 .41498 .78569 .41164 Metetra
.393 .785 .988 r
.78569 .41164 .7883 .41498 .79565 .41421 .79305 .41087 Metetra
.415 .797 .991 r
.79305 .41087 .79565 .41421 .80301 .4131 .80043 .40975 Metetra
.436 .809 .993 r
.80043 .40975 .80301 .4131 .8104 .41162 .80783 .40826 Metetra
.458 .82 .995 r
.80783 .40826 .8104 .41162 .81779 .40976 .81524 .4064 Metetra
.479 .831 .996 r
.81524 .4064 .81779 .40976 .8252 .40751 .82267 .40413 Metetra
.5 .842 .997 r
.82267 .40413 .8252 .40751 .83262 .40485 .83011 .40146 Metetra
.521 .852 .997 r
.83011 .40146 .83262 .40485 .84006 .40177 .83756 .39837 Metetra
.541 .861 .996 r
.83756 .39837 .84006 .40177 .84751 .39826 .84503 .39485 Metetra
.561 .871 .995 r
.84503 .39485 .84751 .39826 .85497 .3943 .85251 .39088 Metetra
.581 .879 .993 r
.85251 .39088 .85497 .3943 .86245 .38989 .86 .38645 Metetra
.6 .887 .991 r
.86 .38645 .86245 .38989 .86993 .385 .8675 .38154 Metetra
.618 .894 .988 r
.8675 .38154 .86993 .385 .87743 .37963 .87502 .37616 Metetra
.636 .901 .984 r
.87502 .37616 .87743 .37963 .88494 .37377 .88254 .37028 Metetra
.653 .908 .981 r
.88254 .37028 .88494 .37377 .89246 .36741 .89008 .36389 Metetra
.877 .867 .825 r
.21517 .68146 .21894 .68366 .22518 .66485 .22143 .6626 Metetra
.874 .869 .83 r
.22143 .6626 .22518 .66485 .23142 .64658 .22769 .64429 Metetra
.871 .871 .834 r
.22769 .64429 .23142 .64658 .23767 .62886 .23394 .62652 Metetra
.868 .873 .839 r
.23394 .62652 .23767 .62886 .24392 .61169 .2402 .60931 Metetra
.864 .875 .844 r
.2402 .60931 .24392 .61169 .25016 .59506 .24646 .59264 Metetra
.861 .877 .849 r
.24646 .59264 .25016 .59506 .25641 .57898 .25272 .57651 Metetra
.857 .879 .854 r
.25272 .57651 .25641 .57898 .26266 .56344 .25899 .56093 Metetra
.853 .881 .859 r
.25899 .56093 .26266 .56344 .26892 .54843 .26526 .54589 Metetra
.848 .883 .865 r
.26526 .54589 .26892 .54843 .27517 .53397 .27152 .53139 Metetra
.843 .885 .87 r
.27152 .53139 .27517 .53397 .28143 .52004 .2778 .51742 Metetra
.838 .887 .876 r
.2778 .51742 .28143 .52004 .28769 .50663 .28407 .50399 Metetra
.832 .889 .882 r
.28407 .50399 .28769 .50663 .29396 .49376 .29035 .49108 Metetra
.826 .89 .888 r
.29035 .49108 .29396 .49376 .30023 .48141 .29664 .4787 Metetra
.819 .892 .894 r
.29664 .4787 .30023 .48141 .30651 .46958 .30293 .46684 Metetra
.812 .893 .901 r
.30293 .46684 .30651 .46958 .31279 .45827 .30922 .45549 Metetra
.805 .895 .907 r
.30922 .45549 .31279 .45827 .31908 .44746 .31552 .44466 Metetra
.797 .896 .914 r
.31552 .44466 .31908 .44746 .32538 .43717 .32183 .43433 Metetra
.788 .897 .92 r
.32183 .43433 .32538 .43717 .33168 .42737 .32815 .42451 Metetra
.779 .897 .927 r
.32815 .42451 .33168 .42737 .33799 .41807 .33447 .41518 Metetra
.769 .898 .933 r
.33447 .41518 .33799 .41807 .3443 .40926 .3408 .40635 Metetra
.758 .898 .94 r
.3408 .40635 .3443 .40926 .35063 .40093 .34713 .398 Metetra
.746 .897 .946 r
.34713 .398 .35063 .40093 .35696 .39308 .35348 .39012 Metetra
.734 .897 .953 r
.35348 .39012 .35696 .39308 .3633 .3857 .35983 .38272 Metetra
.721 .895 .959 r
.35983 .38272 .3633 .3857 .36965 .37878 .36619 .37579 Metetra
.707 .894 .965 r
.36619 .37579 .36965 .37878 .37601 .37232 .37256 .36931 Metetra
.692 .891 .97 r
.37256 .36931 .37601 .37232 .38238 .36631 .37894 .36328 Metetra
.676 .888 .976 r
.37894 .36328 .38238 .36631 .38876 .36075 .38534 .3577 Metetra
.659 .885 .981 r
.38534 .3577 .38876 .36075 .39515 .35561 .39174 .35255 Metetra
.641 .88 .985 r
.39174 .35255 .39515 .35561 .40155 .35091 .39815 .34783 Metetra
.623 .876 .989 r
.39815 .34783 .40155 .35091 .40796 .34662 .40458 .34353 Metetra
.603 .87 .992 r
.40458 .34353 .40796 .34662 .41439 .34274 .41101 .33963 Metetra
.583 .863 .995 r
.41101 .33963 .41439 .34274 .42082 .33926 .41746 .33614 Metetra
.562 .856 .997 r
.41746 .33614 .42082 .33926 .42727 .33616 .42392 .33304 Metetra
.54 .848 .998 r
.42392 .33304 .42727 .33616 .43373 .33345 .4304 .33032 Metetra
.517 .839 .999 r
.4304 .33032 .43373 .33345 .44021 .33112 .43689 .32797 Metetra
.494 .829 .999 r
.43689 .32797 .44021 .33112 .4467 .32914 .44339 .32598 Metetra
.47 .819 .998 r
.44339 .32598 .4467 .32914 .4532 .32751 .4499 .32435 Metetra
.446 .808 .996 r
.4499 .32435 .4532 .32751 .45972 .32623 .45643 .32305 Metetra
.421 .796 .993 r
.45643 .32305 .45972 .32623 .46625 .32527 .46298 .32209 Metetra
.397 .784 .99 r
.46298 .32209 .46625 .32527 .47279 .32463 .46953 .32145 Metetra
.372 .771 .986 r
.46953 .32145 .47279 .32463 .47936 .3243 .47611 .32112 Metetra
.348 .758 .981 r
.47611 .32112 .47936 .3243 .48593 .32427 .4827 .32108 Metetra
.324 .744 .976 r
.4827 .32108 .48593 .32427 .49253 .32452 .4893 .32133 Metetra
.3 .731 .97 r
.4893 .32133 .49253 .32452 .49913 .32504 .49592 .32185 Metetra
.277 .717 .963 r
.49592 .32185 .49913 .32504 .50576 .32583 .50256 .32263 Metetra
.255 .704 .957 r
.50256 .32263 .50576 .32583 .5124 .32686 .50922 .32366 Metetra
.233 .69 .95 r
.50922 .32366 .5124 .32686 .51906 .32813 .51589 .32493 Metetra
.213 .677 .943 r
.51589 .32493 .51906 .32813 .52574 .32962 .52258 .32642 Metetra
.193 .665 .936 r
.52258 .32642 .52574 .32962 .53243 .33132 .52928 .32812 Metetra
.175 .653 .93 r
.52928 .32812 .53243 .33132 .53914 .33322 .536 .33002 Metetra
.158 .641 .923 r
.536 .33002 .53914 .33322 .54587 .3353 .54275 .3321 Metetra
.142 .631 .916 r
.54275 .3321 .54587 .3353 .55261 .33755 .5495 .33435 Metetra
.127 .621 .91 r
.5495 .33435 .55261 .33755 .55938 .33996 .55628 .33676 Metetra
.114 .611 .905 r
.55628 .33676 .55938 .33996 .56616 .34251 .56308 .33932 Metetra
.102 .603 .899 r
.56308 .33932 .56616 .34251 .57296 .34519 .56989 .342 Metetra
.092 .596 .895 r
.56989 .342 .57296 .34519 .57978 .34798 .57672 .34479 Metetra
.083 .589 .891 r
.57672 .34479 .57978 .34798 .58661 .35088 .58357 .34769 Metetra
.075 .584 .887 r
.58357 .34769 .58661 .35088 .59347 .35386 .59044 .35068 Metetra
.069 .579 .884 r
.59044 .35068 .59347 .35386 .60035 .35691 .59733 .35373 Metetra
.065 .576 .882 r
.59733 .35373 .60035 .35691 .60724 .36002 .60424 .35684 Metetra
.062 .574 .881 r
.60424 .35684 .60724 .36002 .61415 .36317 .61117 .36 Metetra
.06 .572 .88 r
.61117 .36 .61415 .36317 .62108 .36634 .61811 .36318 Metetra
.06 .572 .88 r
.61811 .36318 .62108 .36634 .62804 .36953 .62508 .36637 Metetra
.061 .573 .88 r
.62508 .36637 .62804 .36953 .63501 .37272 .63206 .36956 Metetra
.063 .575 .881 r
.63206 .36956 .63501 .37272 .642 .37589 .63907 .37273 Metetra
.067 .578 .883 r
.63907 .37273 .642 .37589 .649 .37902 .64609 .37587 Metetra
.072 .582 .886 r
.64609 .37587 .649 .37902 .65603 .3821 .65313 .37895 Metetra
.079 .586 .889 r
.65313 .37895 .65603 .3821 .66308 .38512 .66019 .38198 Metetra
.087 .592 .892 r
.66019 .38198 .66308 .38512 .67015 .38806 .66727 .38492 Metetra
.096 .599 .897 r
.66727 .38492 .67015 .38806 .67723 .39091 .67437 .38777 Metetra
.107 .607 .901 r
.67437 .38777 .67723 .39091 .68433 .39364 .68149 .3905 Metetra
.119 .615 .906 r
.68149 .3905 .68433 .39364 .69146 .39625 .68863 .39311 Metetra
.131 .624 .912 r
.68863 .39311 .69146 .39625 .6986 .39871 .69578 .39558 Metetra
.146 .634 .917 r
.69578 .39558 .6986 .39871 .70576 .40102 .70296 .39789 Metetra
.161 .645 .923 r
.70296 .39789 .70576 .40102 .71294 .40316 .71015 .40003 Metetra
.177 .656 .929 r
.71015 .40003 .71294 .40316 .72013 .4051 .71736 .40198 Metetra
.194 .668 .936 r
.71736 .40198 .72013 .4051 .72735 .40685 .72459 .40372 Metetra
.212 .68 .942 r
.72459 .40372 .72735 .40685 .73458 .40837 .73184 .40524 Metetra
.231 .692 .948 r
.73184 .40524 .73458 .40837 .74183 .40966 .73911 .40653 Metetra
.251 .705 .954 r
.73911 .40653 .74183 .40966 .7491 .4107 .74639 .40757 Metetra
.271 .718 .96 r
.74639 .40757 .7491 .4107 .75638 .41148 .75369 .40835 Metetra
.292 .731 .965 r
.75369 .40835 .75638 .41148 .76368 .41198 .76101 .40884 Metetra
.313 .744 .971 r
.76101 .40884 .76368 .41198 .771 .41218 .76834 .40904 Metetra
.335 .758 .975 r
.76834 .40904 .771 .41218 .77833 .41207 .77569 .40893 Metetra
.357 .771 .98 r
.77569 .40893 .77833 .41207 .78569 .41164 .78306 .40849 Metetra
.379 .784 .984 r
.78306 .40849 .78569 .41164 .79305 .41087 .79044 .40772 Metetra
.402 .796 .987 r
.79044 .40772 .79305 .41087 .80043 .40975 .79784 .40659 Metetra
.424 .809 .99 r
.79784 .40659 .80043 .40975 .80783 .40826 .80525 .4051 Metetra
.446 .82 .992 r
.80525 .4051 .80783 .40826 .81524 .4064 .81268 .40322 Metetra
.468 .832 .994 r
.81268 .40322 .81524 .4064 .82267 .40413 .82013 .40095 Metetra
.49 .843 .994 r
.82013 .40095 .82267 .40413 .83011 .40146 .82758 .39827 Metetra
.512 .854 .995 r
.82758 .39827 .83011 .40146 .83756 .39837 .83505 .39516 Metetra
.533 .864 .994 r
.83505 .39516 .83756 .39837 .84503 .39485 .84254 .39162 Metetra
.553 .873 .994 r
.84254 .39162 .84503 .39485 .85251 .39088 .85003 .38764 Metetra
.574 .882 .992 r
.85003 .38764 .85251 .39088 .86 .38645 .85754 .38319 Metetra
.593 .89 .99 r
.85754 .38319 .86 .38645 .8675 .38154 .86506 .37827 Metetra
.612 .898 .987 r
.86506 .37827 .8675 .38154 .87502 .37616 .8726 .37287 Metetra
.63 .905 .984 r
.8726 .37287 .87502 .37616 .88254 .37028 .88014 .36697 Metetra
.648 .912 .98 r
.88014 .36697 .88254 .37028 .89008 .36389 .88769 .36056 Metetra
.878 .87 .826 r
.21139 .67944 .21517 .68146 .22143 .6626 .21766 .66053 Metetra
.875 .872 .83 r
.21766 .66053 .22143 .6626 .22769 .64429 .22393 .64217 Metetra
.872 .874 .835 r
.22393 .64217 .22769 .64429 .23394 .62652 .2302 .62436 Metetra
.869 .876 .839 r
.2302 .62436 .23394 .62652 .2402 .60931 .23647 .60711 Metetra
.866 .878 .844 r
.23647 .60711 .2402 .60931 .24646 .59264 .24274 .59039 Metetra
.862 .881 .849 r
.24274 .59039 .24646 .59264 .25272 .57651 .24902 .57423 Metetra
.858 .883 .855 r
.24902 .57423 .25272 .57651 .25899 .56093 .2553 .55861 Metetra
.854 .885 .86 r
.2553 .55861 .25899 .56093 .26526 .54589 .26158 .54353 Metetra
.849 .887 .866 r
.26158 .54353 .26526 .54589 .27152 .53139 .26786 .52899 Metetra
.844 .889 .871 r
.26786 .52899 .27152 .53139 .2778 .51742 .27414 .51499 Metetra
.839 .891 .877 r
.27414 .51499 .2778 .51742 .28407 .50399 .28043 .50151 Metetra
.833 .893 .883 r
.28043 .50151 .28407 .50399 .29035 .49108 .28673 .48857 Metetra
.827 .895 .889 r
.28673 .48857 .29035 .49108 .29664 .4787 .29302 .47616 Metetra
.821 .896 .896 r
.29302 .47616 .29664 .4787 .30293 .46684 .29933 .46427 Metetra
.813 .898 .902 r
.29933 .46427 .30293 .46684 .30922 .45549 .30563 .45289 Metetra
.806 .899 .908 r
.30563 .45289 .30922 .45549 .31552 .44466 .31195 .44203 Metetra
.797 .901 .915 r
.31195 .44203 .31552 .44466 .32183 .43433 .31827 .43168 Metetra
.788 .902 .922 r
.31827 .43168 .32183 .43433 .32815 .42451 .32459 .42183 Metetra
.779 .902 .928 r
.32459 .42183 .32815 .42451 .33447 .41518 .33093 .41248 Metetra
.768 .903 .935 r
.33093 .41248 .33447 .41518 .3408 .40635 .33727 .40362 Metetra
.757 .903 .941 r
.33727 .40362 .3408 .40635 .34713 .398 .34362 .39524 Metetra
.745 .902 .948 r
.34362 .39524 .34713 .398 .35348 .39012 .34997 .38735 Metetra
.733 .902 .954 r
.34997 .38735 .35348 .39012 .35983 .38272 .35634 .37993 Metetra
.719 .9 .96 r
.35634 .37993 .35983 .38272 .36619 .37579 .36271 .37297 Metetra
.705 .898 .966 r
.36271 .37297 .36619 .37579 .37256 .36931 .3691 .36647 Metetra
.689 .896 .972 r
.3691 .36647 .37256 .36931 .37894 .36328 .37549 .36043 Metetra
.673 .893 .977 r
.37549 .36043 .37894 .36328 .38534 .3577 .3819 .35483 Metetra
.656 .889 .982 r
.3819 .35483 .38534 .3577 .39174 .35255 .38831 .34966 Metetra
.637 .885 .986 r
.38831 .34966 .39174 .35255 .39815 .34783 .39474 .34493 Metetra
.618 .88 .99 r
.39474 .34493 .39815 .34783 .40458 .34353 .40117 .34061 Metetra
.598 .874 .993 r
.40117 .34061 .40458 .34353 .41101 .33963 .40762 .3367 Metetra
.577 .867 .995 r
.40762 .3367 .41101 .33963 .41746 .33614 .41408 .3332 Metetra
.555 .859 .997 r
.41408 .3332 .41746 .33614 .42392 .33304 .42056 .33008 Metetra
.532 .85 .998 r
.42056 .33008 .42392 .33304 .4304 .33032 .42705 .32735 Metetra
.508 .841 .998 r
.42705 .32735 .4304 .33032 .43689 .32797 .43355 .325 Metetra
.484 .831 .997 r
.43355 .325 .43689 .32797 .44339 .32598 .44006 .323 Metetra
.459 .82 .996 r
.44006 .323 .44339 .32598 .4499 .32435 .44659 .32136 Metetra
.434 .808 .993 r
.44659 .32136 .4499 .32435 .45643 .32305 .45313 .32006 Metetra
.409 .796 .99 r
.45313 .32006 .45643 .32305 .46298 .32209 .45969 .31909 Metetra
.384 .783 .986 r
.45969 .31909 .46298 .32209 .46953 .32145 .46626 .31844 Metetra
.358 .769 .981 r
.46626 .31844 .46953 .32145 .47611 .32112 .47284 .31811 Metetra
.333 .755 .975 r
.47284 .31811 .47611 .32112 .4827 .32108 .47945 .31806 Metetra
.308 .741 .969 r
.47945 .31806 .4827 .32108 .4893 .32133 .48606 .31831 Metetra
.284 .727 .963 r
.48606 .31831 .4893 .32133 .49592 .32185 .4927 .31883 Metetra
.26 .713 .956 r
.4927 .31883 .49592 .32185 .50256 .32263 .49935 .31961 Metetra
.237 .698 .948 r
.49935 .31961 .50256 .32263 .50922 .32366 .50602 .32064 Metetra
.215 .684 .941 r
.50602 .32064 .50922 .32366 .51589 .32493 .5127 .3219 Metetra
.194 .671 .933 r
.5127 .3219 .51589 .32493 .52258 .32642 .5194 .32339 Metetra
.174 .658 .926 r
.5194 .32339 .52258 .32642 .52928 .32812 .52612 .32509 Metetra
.155 .645 .918 r
.52612 .32509 .52928 .32812 .536 .33002 .53286 .32699 Metetra
.137 .633 .911 r
.53286 .32699 .536 .33002 .54275 .3321 .53961 .32908 Metetra
.121 .622 .904 r
.53961 .32908 .54275 .3321 .5495 .33435 .54638 .33133 Metetra
.106 .611 .898 r
.54638 .33133 .5495 .33435 .55628 .33676 .55317 .33375 Metetra
.093 .602 .891 r
.55317 .33375 .55628 .33676 .56308 .33932 .55998 .3363 Metetra
.081 .593 .886 r
.55998 .3363 .56308 .33932 .56989 .342 .56681 .33899 Metetra
.07 .585 .881 r
.56681 .33899 .56989 .342 .57672 .34479 .57365 .34179 Metetra
.061 .579 .876 r
.57365 .34179 .57672 .34479 .58357 .34769 .58052 .34469 Metetra
.053 .573 .873 r
.58052 .34469 .58357 .34769 .59044 .35068 .5874 .34767 Metetra
.047 .569 .87 r
.5874 .34767 .59044 .35068 .59733 .35373 .5943 .35073 Metetra
.043 .565 .867 r
.5943 .35073 .59733 .35373 .60424 .35684 .60123 .35385 Metetra
.039 .563 .866 r
.60123 .35385 .60424 .35684 .61117 .36 .60817 .35701 Metetra
.038 .561 .865 r
.60817 .35701 .61117 .36 .61811 .36318 .61513 .36019 Metetra
.037 .561 .865 r
.61513 .36019 .61811 .36318 .62508 .36637 .62211 .36339 Metetra
.039 .562 .865 r
.62211 .36339 .62508 .36637 .63206 .36956 .6291 .36658 Metetra
.041 .564 .867 r
.6291 .36658 .63206 .36956 .63907 .37273 .63612 .36976 Metetra
.045 .567 .869 r
.63612 .36976 .63907 .37273 .64609 .37587 .64316 .3729 Metetra
.05 .571 .871 r
.64316 .3729 .64609 .37587 .65313 .37895 .65021 .37599 Metetra
.057 .576 .874 r
.65021 .37599 .65313 .37895 .66019 .38198 .65729 .37902 Metetra
.065 .582 .878 r
.65729 .37902 .66019 .38198 .66727 .38492 .66439 .38196 Metetra
.075 .589 .883 r
.66439 .38196 .66727 .38492 .67437 .38777 .6715 .38481 Metetra
.085 .597 .888 r
.6715 .38481 .67437 .38777 .68149 .3905 .67863 .38755 Metetra
.097 .606 .893 r
.67863 .38755 .68149 .3905 .68863 .39311 .68579 .39017 Metetra
.111 .615 .899 r
.68579 .39017 .68863 .39311 .69578 .39558 .69296 .39264 Metetra
.125 .625 .905 r
.69296 .39264 .69578 .39558 .70296 .39789 .70015 .39495 Metetra
.14 .636 .911 r
.70015 .39495 .70296 .39789 .71015 .40003 .70735 .39709 Metetra
.157 .648 .918 r
.70735 .39709 .71015 .40003 .71736 .40198 .71458 .39904 Metetra
.174 .66 .925 r
.71458 .39904 .71736 .40198 .72459 .40372 .72183 .40078 Metetra
.193 .673 .931 r
.72183 .40078 .72459 .40372 .73184 .40524 .72909 .4023 Metetra
.212 .686 .938 r
.72909 .4023 .73184 .40524 .73911 .40653 .73637 .40359 Metetra
.233 .699 .945 r
.73637 .40359 .73911 .40653 .74639 .40757 .74367 .40463 Metetra
.253 .713 .951 r
.74367 .40463 .74639 .40757 .75369 .40835 .75099 .4054 Metetra
.275 .727 .957 r
.75099 .4054 .75369 .40835 .76101 .40884 .75832 .4059 Metetra
.297 .74 .963 r
.75832 .4059 .76101 .40884 .76834 .40904 .76567 .40609 Metetra
.319 .754 .969 r
.76567 .40609 .76834 .40904 .77569 .40893 .77304 .40598 Metetra
.342 .768 .974 r
.77304 .40598 .77569 .40893 .78306 .40849 .78042 .40554 Metetra
.365 .781 .978 r
.78042 .40554 .78306 .40849 .79044 .40772 .78782 .40476 Metetra
.388 .795 .982 r
.78782 .40476 .79044 .40772 .79784 .40659 .79524 .40362 Metetra
.411 .808 .985 r
.79524 .40362 .79784 .40659 .80525 .4051 .80267 .40212 Metetra
.434 .82 .988 r
.80267 .40212 .80525 .4051 .81268 .40322 .81011 .40023 Metetra
.457 .832 .99 r
.81011 .40023 .81268 .40322 .82013 .40095 .81757 .39795 Metetra
.48 .844 .991 r
.81757 .39795 .82013 .40095 .82758 .39827 .82504 .39526 Metetra
.502 .855 .992 r
.82504 .39526 .82758 .39827 .83505 .39516 .83253 .39214 Metetra
.524 .865 .992 r
.83253 .39214 .83505 .39516 .84254 .39162 .84003 .38859 Metetra
.545 .875 .992 r
.84003 .38859 .84254 .39162 .85003 .38764 .84755 .38459 Metetra
.566 .884 .99 r
.84755 .38459 .85003 .38764 .85754 .38319 .85507 .38013 Metetra
.586 .893 .988 r
.85507 .38013 .85754 .38319 .86506 .37827 .86261 .37519 Metetra
.605 .901 .986 r
.86261 .37519 .86506 .37827 .8726 .37287 .87016 .36977 Metetra
.624 .909 .983 r
.87016 .36977 .8726 .37287 .88014 .36697 .87773 .36385 Metetra
.642 .915 .98 r
.87773 .36385 .88014 .36697 .88769 .36056 .8853 .35742 Metetra
.88 .873 .826 r
.20758 .6776 .21139 .67944 .21766 .66053 .21386 .65864 Metetra
.877 .875 .83 r
.21386 .65864 .21766 .66053 .22393 .64217 .22015 .64024 Metetra
.874 .878 .835 r
.22015 .64024 .22393 .64217 .2302 .62436 .22643 .62238 Metetra
.871 .88 .84 r
.22643 .62238 .2302 .62436 .23647 .60711 .23272 .60508 Metetra
.867 .882 .845 r
.23272 .60508 .23647 .60711 .24274 .59039 .239 .58833 Metetra
.864 .884 .85 r
.239 .58833 .24274 .59039 .24902 .57423 .24529 .57212 Metetra
.86 .887 .855 r
.24529 .57212 .24902 .57423 .2553 .55861 .25158 .55646 Metetra
.855 .889 .861 r
.25158 .55646 .2553 .55861 .26158 .54353 .25788 .54134 Metetra
.851 .891 .866 r
.25788 .54134 .26158 .54353 .26786 .52899 .26417 .52677 Metetra
.846 .893 .872 r
.26417 .52677 .26786 .52899 .27414 .51499 .27047 .51273 Metetra
.84 .895 .878 r
.27047 .51273 .27414 .51499 .28043 .50151 .27677 .49922 Metetra
.835 .897 .884 r
.27677 .49922 .28043 .50151 .28673 .48857 .28308 .48625 Metetra
.828 .899 .89 r
.28308 .48625 .28673 .48857 .29302 .47616 .28939 .4738 Metetra
.821 .901 .897 r
.28939 .4738 .29302 .47616 .29933 .46427 .2957 .46188 Metetra
.814 .903 .903 r
.2957 .46188 .29933 .46427 .30563 .45289 .30202 .45047 Metetra
.806 .904 .91 r
.30202 .45047 .30563 .45289 .31195 .44203 .30835 .43958 Metetra
.798 .905 .916 r
.30835 .43958 .31195 .44203 .31827 .43168 .31468 .4292 Metetra
.789 .906 .923 r
.31468 .4292 .31827 .43168 .32459 .42183 .32102 .41932 Metetra
.779 .907 .929 r
.32102 .41932 .32459 .42183 .33093 .41248 .32737 .40995 Metetra
.768 .908 .936 r
.32737 .40995 .33093 .41248 .33727 .40362 .33372 .40106 Metetra
.757 .908 .943 r
.33372 .40106 .33727 .40362 .34362 .39524 .34008 .39266 Metetra
.745 .907 .949 r
.34008 .39266 .34362 .39524 .34997 .38735 .34645 .38475 Metetra
.732 .907 .955 r
.34645 .38475 .34997 .38735 .35634 .37993 .35283 .3773 Metetra
.718 .905 .962 r
.35283 .3773 .35634 .37993 .36271 .37297 .35922 .37033 Metetra
.703 .903 .967 r
.35922 .37033 .36271 .37297 .3691 .36647 .36561 .36381 Metetra
.687 .901 .973 r
.36561 .36381 .3691 .36647 .37549 .36043 .37202 .35775 Metetra
.67 .898 .978 r
.37202 .35775 .37549 .36043 .3819 .35483 .37844 .35213 Metetra
.652 .894 .983 r
.37844 .35213 .3819 .35483 .38831 .34966 .38487 .34695 Metetra
.633 .889 .987 r
.38487 .34695 .38831 .34966 .39474 .34493 .3913 .3422 Metetra
.613 .884 .99 r
.3913 .3422 .39474 .34493 .40117 .34061 .39775 .33787 Metetra
.592 .877 .993 r
.39775 .33787 .40117 .34061 .40762 .3367 .40422 .33395 Metetra
.57 .87 .995 r
.40422 .33395 .40762 .3367 .41408 .3332 .41069 .33043 Metetra
.547 .862 .996 r
.41069 .33043 .41408 .3332 .42056 .33008 .41718 .32731 Metetra
.523 .853 .997 r
.41718 .32731 .42056 .33008 .42705 .32735 .42368 .32457 Metetra
.499 .843 .996 r
.42368 .32457 .42705 .32735 .43355 .325 .43019 .3222 Metetra
.474 .832 .995 r
.43019 .3222 .43355 .325 .44006 .323 .43671 .3202 Metetra
.448 .82 .993 r
.43671 .3202 .44006 .323 .44659 .32136 .44325 .31855 Metetra
.422 .808 .99 r
.44325 .31855 .44659 .32136 .45313 .32006 .44981 .31724 Metetra
.396 .794 .986 r
.44981 .31724 .45313 .32006 .45969 .31909 .45638 .31627 Metetra
.37 .781 .981 r
.45638 .31627 .45969 .31909 .46626 .31844 .46296 .31562 Metetra
.343 .766 .975 r
.46296 .31562 .46626 .31844 .47284 .31811 .46956 .31527 Metetra
.317 .752 .969 r
.46956 .31527 .47284 .31811 .47945 .31806 .47618 .31523 Metetra
.292 .737 .962 r
.47618 .31523 .47945 .31806 .48606 .31831 .48281 .31547 Metetra
.266 .722 .955 r
.48281 .31547 .48606 .31831 .4927 .31883 .48945 .31599 Metetra
.242 .707 .947 r
.48945 .31599 .4927 .31883 .49935 .31961 .49612 .31676 Metetra
.218 .692 .939 r
.49612 .31676 .49935 .31961 .50602 .32064 .5028 .31779 Metetra
.196 .677 .93 r
.5028 .31779 .50602 .32064 .5127 .3219 .50949 .31906 Metetra
.174 .663 .922 r
.50949 .31906 .5127 .3219 .5194 .32339 .51621 .32055 Metetra
.154 .649 .914 r
.51621 .32055 .5194 .32339 .52612 .32509 .52294 .32225 Metetra
.134 .636 .906 r
.52294 .32225 .52612 .32509 .53286 .32699 .52969 .32415 Metetra
.116 .624 .898 r
.52969 .32415 .53286 .32699 .53961 .32908 .53646 .32624 Metetra
.1 .612 .89 r
.53646 .32624 .53961 .32908 .54638 .33133 .54324 .3285 Metetra
.085 .601 .883 r
.54324 .3285 .54638 .33133 .55317 .33375 .55005 .33091 Metetra
.071 .591 .877 r
.55005 .33091 .55317 .33375 .55998 .3363 .55687 .33347 Metetra
.059 .582 .871 r
.55687 .33347 .55998 .3363 .56681 .33899 .56371 .33616 Metetra
.048 .574 .866 r
.56371 .33616 .56681 .33899 .57365 .34179 .57057 .33896 Metetra
.039 .568 .861 r
.57057 .33896 .57365 .34179 .58052 .34469 .57745 .34187 Metetra
.031 .562 .857 r
.57745 .34187 .58052 .34469 .5874 .34767 .58434 .34486 Metetra
.025 .557 .854 r
.58434 .34486 .5874 .34767 .5943 .35073 .59126 .34792 Metetra
.02 .553 .851 r
.59126 .34792 .5943 .35073 .60123 .35385 .5982 .35104 Metetra
.017 .551 .849 r
.5982 .35104 .60123 .35385 .60817 .35701 .60515 .3542 Metetra
.015 .55 .849 r
.60515 .3542 .60817 .35701 .61513 .36019 .61212 .35739 Metetra
.015 .549 .848 r
.61212 .35739 .61513 .36019 .62211 .36339 .61912 .36059 Metetra
.016 .55 .849 r
.61912 .36059 .62211 .36339 .6291 .36658 .62613 .36379 Metetra
.019 .552 .85 r
.62613 .36379 .6291 .36658 .63612 .36976 .63316 .36697 Metetra
.023 .555 .852 r
.63316 .36697 .63612 .36976 .64316 .3729 .64021 .37011 Metetra
.028 .559 .855 r
.64021 .37011 .64316 .3729 .65021 .37599 .64728 .37321 Metetra
.035 .565 .859 r
.64728 .37321 .65021 .37599 .65729 .37902 .65437 .37624 Metetra
.043 .571 .863 r
.65437 .37624 .65729 .37902 .66439 .38196 .66148 .37919 Metetra
.053 .578 .868 r
.66148 .37919 .66439 .38196 .6715 .38481 .66861 .38205 Metetra
.063 .586 .873 r
.66861 .38205 .6715 .38481 .67863 .38755 .67576 .38479 Metetra
.076 .595 .879 r
.67576 .38479 .67863 .38755 .68579 .39017 .68293 .38741 Metetra
.089 .605 .885 r
.68293 .38741 .68579 .39017 .69296 .39264 .69012 .38988 Metetra
.104 .616 .891 r
.69012 .38988 .69296 .39264 .70015 .39495 .69732 .39219 Metetra
.119 .627 .898 r
.69732 .39219 .70015 .39495 .70735 .39709 .70454 .39433 Metetra
.136 .639 .905 r
.70454 .39433 .70735 .39709 .71458 .39904 .71179 .39628 Metetra
.154 .652 .913 r
.71179 .39628 .71458 .39904 .72183 .40078 .71905 .39803 Metetra
.173 .665 .92 r
.71905 .39803 .72183 .40078 .72909 .4023 .72633 .39955 Metetra
.193 .679 .927 r
.72633 .39955 .72909 .4023 .73637 .40359 .73362 .40084 Metetra
.214 .693 .934 r
.73362 .40084 .73637 .40359 .74367 .40463 .74094 .40188 Metetra
.235 .707 .941 r
.74094 .40188 .74367 .40463 .75099 .4054 .74827 .40265 Metetra
.257 .721 .948 r
.74827 .40265 .75099 .4054 .75832 .4059 .75562 .40314 Metetra
.28 .736 .955 r
.75562 .40314 .75832 .4059 .76567 .40609 .76299 .40333 Metetra
.303 .75 .961 r
.76299 .40333 .76567 .40609 .77304 .40598 .77037 .40321 Metetra
.326 .764 .966 r
.77037 .40321 .77304 .40598 .78042 .40554 .77777 .40277 Metetra
.35 .778 .971 r
.77777 .40277 .78042 .40554 .78782 .40476 .78519 .40198 Metetra
.374 .792 .976 r
.78519 .40198 .78782 .40476 .79524 .40362 .79262 .40084 Metetra
.397 .806 .98 r
.79262 .40084 .79524 .40362 .80267 .40212 .80006 .39933 Metetra
.421 .819 .983 r
.80006 .39933 .80267 .40212 .81011 .40023 .80753 .39744 Metetra
.445 .832 .986 r
.80753 .39744 .81011 .40023 .81757 .39795 .815 .39514 Metetra
.468 .844 .988 r
.815 .39514 .81757 .39795 .82504 .39526 .8225 .39244 Metetra
.491 .855 .989 r
.8225 .39244 .82504 .39526 .83253 .39214 .83 .38931 Metetra
.514 .866 .989 r
.83 .38931 .83253 .39214 .84003 .38859 .83752 .38575 Metetra
.536 .877 .989 r
.83752 .38575 .84003 .38859 .84755 .38459 .84505 .38173 Metetra
.557 .886 .988 r
.84505 .38173 .84755 .38459 .85507 .38013 .8526 .37726 Metetra
.578 .895 .986 r
.8526 .37726 .85507 .38013 .86261 .37519 .86015 .3723 Metetra
.598 .904 .984 r
.86015 .3723 .86261 .37519 .87016 .36977 .86772 .36686 Metetra
.618 .912 .981 r
.86772 .36686 .87016 .36977 .87773 .36385 .8753 .36092 Metetra
.637 .919 .978 r
.8753 .36092 .87773 .36385 .8853 .35742 .88289 .35447 Metetra
.881 .876 .826 r
.20375 .67594 .20758 .6776 .21386 .65864 .21005 .65693 Metetra
.879 .879 .831 r
.21005 .65693 .21386 .65864 .22015 .64024 .21635 .63848 Metetra
.876 .881 .835 r
.21635 .63848 .22015 .64024 .22643 .62238 .22265 .62058 Metetra
.872 .883 .84 r
.22265 .62058 .22643 .62238 .23272 .60508 .22895 .60324 Metetra
.869 .886 .845 r
.22895 .60324 .23272 .60508 .239 .58833 .23525 .58644 Metetra
.865 .888 .85 r
.23525 .58644 .239 .58833 .24529 .57212 .24155 .57019 Metetra
.861 .89 .856 r
.24155 .57019 .24529 .57212 .25158 .55646 .24785 .55449 Metetra
.857 .893 .861 r
.24785 .55449 .25158 .55646 .25788 .54134 .25416 .53934 Metetra
.852 .895 .867 r
.25416 .53934 .25788 .54134 .26417 .52677 .26046 .52472 Metetra
.847 .897 .873 r
.26046 .52472 .26417 .52677 .27047 .51273 .26677 .51064 Metetra
.842 .9 .879 r
.26677 .51064 .27047 .51273 .27677 .49922 .27309 .4971 Metetra
.836 .902 .885 r
.27309 .4971 .27677 .49922 .28308 .48625 .27941 .4841 Metetra
.829 .904 .891 r
.27941 .4841 .28308 .48625 .28939 .4738 .28573 .47162 Metetra
.822 .906 .897 r
.28573 .47162 .28939 .4738 .2957 .46188 .29206 .45966 Metetra
.815 .907 .904 r
.29206 .45966 .2957 .46188 .30202 .45047 .29839 .44823 Metetra
.807 .909 .911 r
.29839 .44823 .30202 .45047 .30835 .43958 .30473 .43731 Metetra
.798 .91 .917 r
.30473 .43731 .30835 .43958 .31468 .4292 .31108 .4269 Metetra
.789 .911 .924 r
.31108 .4269 .31468 .4292 .32102 .41932 .31743 .417 Metetra
.779 .912 .931 r
.31743 .417 .32102 .41932 .32737 .40995 .32379 .40759 Metetra
.768 .913 .937 r
.32379 .40759 .32737 .40995 .33372 .40106 .33016 .39868 Metetra
.756 .913 .944 r
.33016 .39868 .33372 .40106 .34008 .39266 .33653 .39026 Metetra
.744 .912 .95 r
.33653 .39026 .34008 .39266 .34645 .38475 .34291 .38232 Metetra
.73 .912 .957 r
.34291 .38232 .34645 .38475 .35283 .3773 .3493 .37486 Metetra
.716 .91 .963 r
.3493 .37486 .35283 .3773 .35922 .37033 .3557 .36787 Metetra
.7 .908 .968 r
.3557 .36787 .35922 .37033 .36561 .36381 .36211 .36133 Metetra
.684 .906 .974 r
.36211 .36133 .36561 .36381 .37202 .35775 .36853 .35525 Metetra
.666 .902 .979 r
.36853 .35525 .37202 .35775 .37844 .35213 .37496 .34962 Metetra
.648 .898 .983 r
.37496 .34962 .37844 .35213 .38487 .34695 .3814 .34442 Metetra
.628 .893 .987 r
.3814 .34442 .38487 .34695 .3913 .3422 .38785 .33966 Metetra
.607 .887 .99 r
.38785 .33966 .3913 .3422 .39775 .33787 .39431 .33531 Metetra
.586 .88 .993 r
.39431 .33531 .39775 .33787 .40422 .33395 .40079 .33138 Metetra
.563 .873 .994 r
.40079 .33138 .40422 .33395 .41069 .33043 .40728 .32785 Metetra
.539 .864 .995 r
.40728 .32785 .41069 .33043 .41718 .32731 .41377 .32471 Metetra
.514 .854 .995 r
.41377 .32471 .41718 .32731 .42368 .32457 .42029 .32196 Metetra
.489 .844 .994 r
.42029 .32196 .42368 .32457 .43019 .3222 .42681 .31959 Metetra
.463 .832 .992 r
.42681 .31959 .43019 .3222 .43671 .3202 .43335 .31758 Metetra
.436 .82 .989 r
.43335 .31758 .43671 .3202 .44325 .31855 .4399 .31592 Metetra
.409 .807 .985 r
.4399 .31592 .44325 .31855 .44981 .31724 .44647 .31461 Metetra
.382 .793 .98 r
.44647 .31461 .44981 .31724 .45638 .31627 .45305 .31363 Metetra
.355 .778 .975 r
.45305 .31363 .45638 .31627 .46296 .31562 .45965 .31297 Metetra
.328 .763 .968 r
.45965 .31297 .46296 .31562 .46956 .31527 .46626 .31262 Metetra
.301 .748 .961 r
.46626 .31262 .46956 .31527 .47618 .31523 .47289 .31257 Metetra
.274 .732 .953 r
.47289 .31257 .47618 .31523 .48281 .31547 .47953 .31281 Metetra
.248 .716 .945 r
.47953 .31281 .48281 .31547 .48945 .31599 .48619 .31333 Metetra
.223 .7 .936 r
.48619 .31333 .48945 .31599 .49612 .31676 .49287 .3141 Metetra
.199 .685 .928 r
.49287 .3141 .49612 .31676 .5028 .31779 .49956 .31513 Metetra
.176 .67 .919 r
.49956 .31513 .5028 .31779 .50949 .31906 .50627 .3164 Metetra
.154 .655 .91 r
.50627 .3164 .50949 .31906 .51621 .32055 .513 .31789 Metetra
.133 .64 .901 r
.513 .31789 .51621 .32055 .52294 .32225 .51975 .31959 Metetra
.113 .627 .892 r
.51975 .31959 .52294 .32225 .52969 .32415 .52651 .32149 Metetra
.095 .614 .883 r
.52651 .32149 .52969 .32415 .53646 .32624 .53329 .32358 Metetra
.078 .601 .875 r
.53329 .32358 .53646 .32624 .54324 .3285 .54009 .32584 Metetra
.063 .59 .868 r
.54009 .32584 .54324 .3285 .55005 .33091 .5469 .32826 Metetra
.049 .58 .861 r
.5469 .32826 .55005 .33091 .55687 .33347 .55374 .33082 Metetra
.036 .571 .854 r
.55374 .33082 .55687 .33347 .56371 .33616 .56059 .33351 Metetra
.025 .562 .849 r
.56059 .33351 .56371 .33616 .57057 .33896 .56747 .33632 Metetra
.016 .555 .844 r
.56747 .33632 .57057 .33896 .57745 .34187 .57436 .33923 Metetra
.008 .549 .84 r
.57436 .33923 .57745 .34187 .58434 .34486 .58127 .34222 Metetra
.002 .544 .836 r
.58127 .34222 .58434 .34486 .59126 .34792 .5882 .34529 Metetra
0 .541 .834 r
.5882 .34529 .59126 .34792 .5982 .35104 .59515 .34841 Metetra
0 .538 .832 r
.59515 .34841 .5982 .35104 .60515 .3542 .60212 .35158 Metetra
0 .537 .831 r
.60212 .35158 .60515 .3542 .61212 .35739 .60911 .35478 Metetra
0 .536 .831 r
.60911 .35478 .61212 .35739 .61912 .36059 .61611 .35798 Metetra
0 .537 .831 r
.61611 .35798 .61912 .36059 .62613 .36379 .62314 .36118 Metetra
0 .539 .833 r
.62314 .36118 .62613 .36379 .63316 .36697 .63019 .36437 Metetra
0 .543 .835 r
.63019 .36437 .63316 .36697 .64021 .37011 .63725 .36752 Metetra
.005 .547 .838 r
.63725 .36752 .64021 .37011 .64728 .37321 .64434 .37062 Metetra
.012 .552 .842 r
.64434 .37062 .64728 .37321 .65437 .37624 .65144 .37365 Metetra
.02 .559 .846 r
.65144 .37365 .65437 .37624 .66148 .37919 .65857 .37661 Metetra
.03 .566 .851 r
.65857 .37661 .66148 .37919 .66861 .38205 .66571 .37947 Metetra
.041 .575 .856 r
.66571 .37947 .66861 .38205 .67576 .38479 .67288 .38221 Metetra
.053 .584 .863 r
.67288 .38221 .67576 .38479 .68293 .38741 .68006 .38483 Metetra
.067 .594 .869 r
.68006 .38483 .68293 .38741 .69012 .38988 .68726 .38731 Metetra
.082 .605 .876 r
.68726 .38731 .69012 .38988 .69732 .39219 .69448 .38963 Metetra
.098 .617 .884 r
.69448 .38963 .69732 .39219 .70454 .39433 .70172 .39177 Metetra
.115 .629 .891 r
.70172 .39177 .70454 .39433 .71179 .39628 .70898 .39372 Metetra
.133 .643 .899 r
.70898 .39372 .71179 .39628 .71905 .39803 .71625 .39547 Metetra
.153 .656 .907 r
.71625 .39547 .71905 .39803 .72633 .39955 .72355 .39699 Metetra
.173 .67 .915 r
.72355 .39699 .72633 .39955 .73362 .40084 .73086 .39828 Metetra
.194 .685 .923 r
.73086 .39828 .73362 .40084 .74094 .40188 .73819 .39932 Metetra
.216 .7 .93 r
.73819 .39932 .74094 .40188 .74827 .40265 .74554 .40009 Metetra
.238 .715 .938 r
.74554 .40009 .74827 .40265 .75562 .40314 .75291 .40058 Metetra
.262 .73 .945 r
.75291 .40058 .75562 .40314 .76299 .40333 .76029 .40077 Metetra
.285 .745 .952 r
.76029 .40077 .76299 .40333 .77037 .40321 .76769 .40064 Metetra
.309 .76 .958 r
.76769 .40064 .77037 .40321 .77777 .40277 .77511 .40019 Metetra
.334 .775 .964 r
.77511 .40019 .77777 .40277 .78519 .40198 .78254 .3994 Metetra
.358 .789 .969 r
.78254 .3994 .78519 .40198 .79262 .40084 .78999 .39825 Metetra
.383 .803 .973 r
.78999 .39825 .79262 .40084 .80006 .39933 .79745 .39674 Metetra
.407 .817 .977 r
.79745 .39674 .80006 .39933 .80753 .39744 .80493 .39483 Metetra
.432 .831 .98 r
.80493 .39483 .80753 .39744 .815 .39514 .81243 .39253 Metetra
.456 .843 .983 r
.81243 .39253 .815 .39514 .8225 .39244 .81993 .38982 Metetra
.48 .855 .984 r
.81993 .38982 .8225 .39244 .83 .38931 .82746 .38668 Metetra
.503 .867 .985 r
.82746 .38668 .83 .38931 .83752 .38575 .83499 .3831 Metetra
.526 .878 .985 r
.83499 .3831 .83752 .38575 .84505 .38173 .84254 .37907 Metetra
.548 .888 .985 r
.84254 .37907 .84505 .38173 .8526 .37726 .85011 .37458 Metetra
.57 .897 .984 r
.85011 .37458 .8526 .37726 .86015 .3723 .85768 .36961 Metetra
.59 .906 .982 r
.85768 .36961 .86015 .3723 .86772 .36686 .86527 .36415 Metetra
.611 .914 .979 r
.86527 .36415 .86772 .36686 .8753 .36092 .87286 .35819 Metetra
.63 .922 .976 r
.87286 .35819 .8753 .36092 .88289 .35447 .88047 .35172 Metetra
.883 .88 .826 r
.19991 .67446 .20375 .67594 .21005 .65693 .20622 .6554 Metetra
.88 .882 .831 r
.20622 .6554 .21005 .65693 .21635 .63848 .21253 .63691 Metetra
.877 .885 .836 r
.21253 .63691 .21635 .63848 .22265 .62058 .21884 .61896 Metetra
.874 .887 .841 r
.21884 .61896 .22265 .62058 .22895 .60324 .22515 .60157 Metetra
.87 .889 .846 r
.22515 .60157 .22895 .60324 .23525 .58644 .23146 .58473 Metetra
.867 .892 .851 r
.23146 .58473 .23525 .58644 .24155 .57019 .23778 .56844 Metetra
.863 .894 .856 r
.23778 .56844 .24155 .57019 .24785 .55449 .2441 .5527 Metetra
.858 .897 .862 r
.2441 .5527 .24785 .55449 .25416 .53934 .25041 .53751 Metetra
.853 .899 .867 r
.25041 .53751 .25416 .53934 .26046 .52472 .25674 .52286 Metetra
.848 .902 .873 r
.25674 .52286 .26046 .52472 .26677 .51064 .26306 .50874 Metetra
.843 .904 .879 r
.26306 .50874 .26677 .51064 .27309 .4971 .26939 .49517 Metetra
.837 .906 .886 r
.26939 .49517 .27309 .4971 .27941 .4841 .27572 .48213 Metetra
.83 .908 .892 r
.27572 .48213 .27941 .4841 .28573 .47162 .28206 .46961 Metetra
.823 .91 .898 r
.28206 .46961 .28573 .47162 .29206 .45966 .2884 .45763 Metetra
.816 .912 .905 r
.2884 .45763 .29206 .45966 .29839 .44823 .29475 .44616 Metetra
.807 .914 .911 r
.29475 .44616 .29839 .44823 .30473 .43731 .3011 .43521 Metetra
.798 .915 .918 r
.3011 .43521 .30473 .43731 .31108 .4269 .30746 .42478 Metetra
.789 .916 .925 r
.30746 .42478 .31108 .4269 .31743 .417 .31382 .41485 Metetra
.779 .917 .932 r
.31382 .41485 .31743 .417 .32379 .40759 .32019 .40542 Metetra
.767 .918 .938 r
.32019 .40542 .32379 .40759 .33016 .39868 .32657 .39649 Metetra
.755 .918 .945 r
.32657 .39649 .33016 .39868 .33653 .39026 .33296 .38804 Metetra
.742 .917 .951 r
.33296 .38804 .33653 .39026 .34291 .38232 .33935 .38008 Metetra
.729 .917 .957 r
.33935 .38008 .34291 .38232 .3493 .37486 .34576 .3726 Metetra
.714 .915 .963 r
.34576 .3726 .3493 .37486 .3557 .36787 .35217 .36558 Metetra
.698 .913 .969 r
.35217 .36558 .3557 .36787 .36211 .36133 .35859 .35903 Metetra
.681 .91 .974 r
.35859 .35903 .36211 .36133 .36853 .35525 .36502 .35293 Metetra
.662 .907 .979 r
.36502 .35293 .36853 .35525 .37496 .34962 .37147 .34728 Metetra
.643 .902 .983 r
.37147 .34728 .37496 .34962 .3814 .34442 .37792 .34207 Metetra
.623 .897 .987 r
.37792 .34207 .3814 .34442 .38785 .33966 .38438 .33729 Metetra
.601 .891 .99 r
.38438 .33729 .38785 .33966 .39431 .33531 .39086 .33293 Metetra
.579 .883 .992 r
.39086 .33293 .39431 .33531 .40079 .33138 .39734 .32898 Metetra
.555 .875 .993 r
.39734 .32898 .40079 .33138 .40728 .32785 .40384 .32544 Metetra
.53 .866 .993 r
.40384 .32544 .40728 .32785 .41377 .32471 .41036 .3223 Metetra
.505 .856 .992 r
.41036 .3223 .41377 .32471 .42029 .32196 .41688 .31954 Metetra
.478 .844 .991 r
.41688 .31954 .42029 .32196 .42681 .31959 .42342 .31715 Metetra
.451 .832 .988 r
.42342 .31715 .42681 .31959 .43335 .31758 .42997 .31513 Metetra
.424 .819 .984 r
.42997 .31513 .43335 .31758 .4399 .31592 .43654 .31347 Metetra
.396 .805 .98 r
.43654 .31347 .4399 .31592 .44647 .31461 .44312 .31215 Metetra
.368 .79 .974 r
.44312 .31215 .44647 .31461 .45305 .31363 .44971 .31117 Metetra
.339 .775 .967 r
.44971 .31117 .45305 .31363 .45965 .31297 .45632 .3105 Metetra
.311 .759 .96 r
.45632 .3105 .45965 .31297 .46626 .31262 .46295 .31015 Metetra
.284 .743 .952 r
.46295 .31015 .46626 .31262 .47289 .31257 .46959 .3101 Metetra
.256 .726 .943 r
.46959 .3101 .47289 .31257 .47953 .31281 .47624 .31034 Metetra
.23 .71 .934 r
.47624 .31034 .47953 .31281 .48619 .31333 .48292 .31085 Metetra
.204 .693 .925 r
.48292 .31085 .48619 .31333 .49287 .3141 .48961 .31162 Metetra
.179 .677 .915 r
.48961 .31162 .49287 .3141 .49956 .31513 .49631 .31265 Metetra
.155 .661 .905 r
.49631 .31265 .49956 .31513 .50627 .3164 .50304 .31392 Metetra
.133 .645 .895 r
.50304 .31392 .50627 .3164 .513 .31789 .50978 .31541 Metetra
.111 .63 .886 r
.50978 .31541 .513 .31789 .51975 .31959 .51653 .31711 Metetra
.091 .616 .876 r
.51653 .31711 .51975 .31959 .52651 .32149 .52331 .31902 Metetra
.073 .602 .867 r
.52331 .31902 .52651 .32149 .53329 .32358 .5301 .32111 Metetra
.056 .59 .859 r
.5301 .32111 .53329 .32358 .54009 .32584 .53692 .32337 Metetra
.04 .578 .851 r
.53692 .32337 .54009 .32584 .5469 .32826 .54375 .32579 Metetra
.026 .568 .843 r
.54375 .32579 .5469 .32826 .55374 .33082 .5506 .32835 Metetra
.014 .558 .837 r
.5506 .32835 .55374 .33082 .56059 .33351 .55746 .33105 Metetra
.003 .549 .831 r
.55746 .33105 .56059 .33351 .56747 .33632 .56435 .33386 Metetra
0 .542 .825 r
.56435 .33386 .56747 .33632 .57436 .33923 .57126 .33677 Metetra
0 .536 .821 r
.57126 .33677 .57436 .33923 .58127 .34222 .57818 .33977 Metetra
0 .531 .817 r
.57818 .33977 .58127 .34222 .5882 .34529 .58513 .34285 Metetra
0 .527 .815 r
.58513 .34285 .5882 .34529 .59515 .34841 .59209 .34598 Metetra
0 .524 .813 r
.59209 .34598 .59515 .34841 .60212 .35158 .59907 .34915 Metetra
0 .523 .812 r
.59907 .34915 .60212 .35158 .60911 .35478 .60607 .35235 Metetra
0 .523 .811 r
.60607 .35235 .60911 .35478 .61611 .35798 .6131 .35556 Metetra
0 .524 .812 r
.6131 .35556 .61611 .35798 .62314 .36118 .62014 .35876 Metetra
0 .526 .814 r
.62014 .35876 .62314 .36118 .63019 .36437 .6272 .36195 Metetra
0 .529 .816 r
.6272 .36195 .63019 .36437 .63725 .36752 .63428 .36511 Metetra
0 .534 .819 r
.63428 .36511 .63725 .36752 .64434 .37062 .64138 .36821 Metetra
0 .539 .823 r
.64138 .36821 .64434 .37062 .65144 .37365 .6485 .37125 Metetra
0 .546 .828 r
.6485 .37125 .65144 .37365 .65857 .37661 .65564 .37421 Metetra
.007 .553 .833 r
.65564 .37421 .65857 .37661 .66571 .37947 .6628 .37708 Metetra
.018 .562 .839 r
.6628 .37708 .66571 .37947 .67288 .38221 .66998 .37983 Metetra
.031 .572 .845 r
.66998 .37983 .67288 .38221 .68006 .38483 .67717 .38245 Metetra
.044 .582 .852 r
.67717 .38245 .68006 .38483 .68726 .38731 .68439 .38493 Metetra
.059 .593 .86 r
.68439 .38493 .68726 .38731 .69448 .38963 .69163 .38725 Metetra
.076 .606 .867 r
.69163 .38725 .69448 .38963 .70172 .39177 .69888 .38939 Metetra
.093 .619 .876 r
.69888 .38939 .70172 .39177 .70898 .39372 .70616 .39135 Metetra
.112 .632 .884 r
.70616 .39135 .70898 .39372 .71625 .39547 .71345 .3931 Metetra
.131 .646 .892 r
.71345 .3931 .71625 .39547 .72355 .39699 .72076 .39462 Metetra
.152 .661 .901 r
.72076 .39462 .72355 .39699 .73086 .39828 .72809 .39591 Metetra
.174 .676 .909 r
.72809 .39591 .73086 .39828 .73819 .39932 .73543 .39695 Metetra
.196 .692 .918 r
.73543 .39695 .73819 .39932 .74554 .40009 .7428 .39772 Metetra
.219 .707 .926 r
.7428 .39772 .74554 .40009 .75291 .40058 .75018 .3982 Metetra
.243 .723 .934 r
.75018 .3982 .75291 .40058 .76029 .40077 .75758 .39839 Metetra
.267 .739 .941 r
.75758 .39839 .76029 .40077 .76769 .40064 .765 .39826 Metetra
.292 .754 .948 r
.765 .39826 .76769 .40064 .77511 .40019 .77243 .39781 Metetra
.317 .77 .955 r
.77243 .39781 .77511 .40019 .78254 .3994 .77988 .39701 Metetra
.342 .785 .96 r
.77988 .39701 .78254 .3994 .78999 .39825 .78735 .39586 Metetra
.368 .8 .966 r
.78735 .39586 .78999 .39825 .79745 .39674 .79483 .39433 Metetra
.393 .815 .97 r
.79483 .39433 .79745 .39674 .80493 .39483 .80232 .39242 Metetra
.418 .829 .974 r
.80232 .39242 .80493 .39483 .81243 .39253 .80984 .39011 Metetra
.443 .842 .977 r
.80984 .39011 .81243 .39253 .81993 .38982 .81736 .38739 Metetra
.467 .855 .979 r
.81736 .38739 .81993 .38982 .82746 .38668 .8249 .38424 Metetra
.492 .867 .981 r
.8249 .38424 .82746 .38668 .83499 .3831 .83246 .38065 Metetra
.515 .878 .981 r
.83246 .38065 .83499 .3831 .84254 .37907 .84002 .3766 Metetra
.538 .889 .981 r
.84002 .3766 .84254 .37907 .85011 .37458 .8476 .3721 Metetra
.56 .899 .98 r
.8476 .3721 .85011 .37458 .85768 .36961 .8552 .36711 Metetra
.582 .908 .979 r
.8552 .36711 .85768 .36961 .86527 .36415 .8628 .36163 Metetra
.603 .916 .976 r
.8628 .36163 .86527 .36415 .87286 .35819 .87042 .35565 Metetra
.623 .924 .974 r
.87042 .35565 .87286 .35819 .88047 .35172 .87804 .34916 Metetra
.884 .883 .827 r
.19604 .67316 .19991 .67446 .20622 .6554 .20236 .65406 Metetra
.882 .886 .831 r
.20236 .65406 .20622 .6554 .21253 .63691 .20869 .63552 Metetra
.879 .888 .836 r
.20869 .63552 .21253 .63691 .21884 .61896 .21501 .61753 Metetra
.875 .891 .841 r
.21501 .61753 .21884 .61896 .22515 .60157 .22134 .60009 Metetra
.872 .893 .846 r
.22134 .60009 .22515 .60157 .23146 .58473 .22766 .58321 Metetra
.868 .896 .851 r
.22766 .58321 .23146 .58473 .23778 .56844 .23399 .56688 Metetra
.864 .898 .857 r
.23399 .56688 .23778 .56844 .2441 .5527 .24032 .5511 Metetra
.859 .901 .862 r
.24032 .5511 .2441 .5527 .25041 .53751 .24665 .53586 Metetra
.855 .903 .868 r
.24665 .53586 .25041 .53751 .25674 .52286 .25299 .52117 Metetra
.849 .906 .874 r
.25299 .52117 .25674 .52286 .26306 .50874 .25933 .50702 Metetra
.844 .908 .88 r
.25933 .50702 .26306 .50874 .26939 .49517 .26567 .49341 Metetra
.838 .91 .886 r
.26567 .49341 .26939 .49517 .27572 .48213 .27201 .48034 Metetra
.831 .913 .893 r
.27201 .48034 .27572 .48213 .28206 .46961 .27836 .46779 Metetra
.824 .915 .899 r
.27836 .46779 .28206 .46961 .2884 .45763 .28472 .45577 Metetra
.816 .917 .906 r
.28472 .45577 .2884 .45763 .29475 .44616 .29108 .44428 Metetra
.808 .918 .912 r
.29108 .44428 .29475 .44616 .3011 .43521 .29744 .4333 Metetra
.799 .92 .919 r
.29744 .4333 .3011 .43521 .30746 .42478 .30381 .42284 Metetra
.789 .921 .926 r
.30381 .42284 .30746 .42478 .31382 .41485 .31019 .41288 Metetra
.778 .922 .932 r
.31019 .41288 .31382 .41485 .32019 .40542 .31658 .40343 Metetra
.767 .923 .939 r
.31658 .40343 .32019 .40542 .32657 .39649 .32297 .39447 Metetra
.754 .923 .946 r
.32297 .39447 .32657 .39649 .33296 .38804 .32937 .386 Metetra
.741 .922 .952 r
.32937 .386 .33296 .38804 .33935 .38008 .33577 .37802 Metetra
.727 .921 .958 r
.33577 .37802 .33935 .38008 .34576 .3726 .34219 .37051 Metetra
.711 .92 .964 r
.34219 .37051 .34576 .3726 .35217 .36558 .34862 .36348 Metetra
.695 .918 .97 r
.34862 .36348 .35217 .36558 .35859 .35903 .35505 .35691 Metetra
.677 .915 .975 r
.35505 .35691 .35859 .35903 .36502 .35293 .3615 .35079 Metetra
.658 .911 .979 r
.3615 .35079 .36502 .35293 .37147 .34728 .36795 .34512 Metetra
.638 .906 .983 r
.36795 .34512 .37147 .34728 .37792 .34207 .37442 .3399 Metetra
.617 .9 .986 r
.37442 .3399 .37792 .34207 .38438 .33729 .38089 .3351 Metetra
.595 .894 .989 r
.38089 .3351 .38438 .33729 .39086 .33293 .38738 .33073 Metetra
.571 .886 .99 r
.38738 .33073 .39086 .33293 .39734 .32898 .39388 .32677 Metetra
.547 .877 .991 r
.39388 .32677 .39734 .32898 .40384 .32544 .40039 .32322 Metetra
.521 .867 .991 r
.40039 .32322 .40384 .32544 .41036 .3223 .40692 .32006 Metetra
.494 .856 .989 r
.40692 .32006 .41036 .3223 .41688 .31954 .41346 .31729 Metetra
.467 .844 .987 r
.41346 .31729 .41688 .31954 .42342 .31715 .42001 .3149 Metetra
.439 .831 .983 r
.42001 .3149 .42342 .31715 .42997 .31513 .42657 .31287 Metetra
.41 .817 .979 r
.42657 .31287 .42997 .31513 .43654 .31347 .43315 .3112 Metetra
.381 .802 .973 r
.43315 .3112 .43654 .31347 .44312 .31215 .43974 .30988 Metetra
.352 .787 .967 r
.43974 .30988 .44312 .31215 .44971 .31117 .44635 .30889 Metetra
.323 .771 .959 r
.44635 .30889 .44971 .31117 .45632 .3105 .45297 .30822 Metetra
.294 .754 .951 r
.45297 .30822 .45632 .3105 .46295 .31015 .45961 .30786 Metetra
.266 .737 .942 r
.45961 .30786 .46295 .31015 .46959 .3101 .46627 .30781 Metetra
.238 .719 .932 r
.46627 .30781 .46959 .3101 .47624 .31034 .47293 .30804 Metetra
.21 .702 .922 r
.47293 .30804 .47624 .31034 .48292 .31085 .47962 .30855 Metetra
.184 .685 .912 r
.47962 .30855 .48292 .31085 .48961 .31162 .48632 .30933 Metetra
.158 .667 .901 r
.48632 .30933 .48961 .31162 .49631 .31265 .49304 .31036 Metetra
.134 .651 .891 r
.49304 .31036 .49631 .31265 .50304 .31392 .49978 .31162 Metetra
.111 .635 .88 r
.49978 .31162 .50304 .31392 .50978 .31541 .50653 .31311 Metetra
.089 .619 .87 r
.50653 .31311 .50978 .31541 .51653 .31711 .51331 .31482 Metetra
.069 .604 .86 r
.51331 .31482 .51653 .31711 .52331 .31902 .52009 .31673 Metetra
.05 .59 .85 r
.52009 .31673 .52331 .31902 .5301 .32111 .5269 .31882 Metetra
.033 .577 .841 r
.5269 .31882 .5301 .32111 .53692 .32337 .53373 .32108 Metetra
.017 .565 .832 r
.53373 .32108 .53692 .32337 .54375 .32579 .54057 .32351 Metetra
.003 .554 .824 r
.54057 .32351 .54375 .32579 .5506 .32835 .54744 .32608 Metetra
0 .544 .817 r
.54744 .32608 .5506 .32835 .55746 .33105 .55432 .32877 Metetra
0 .536 .811 r
.55432 .32877 .55746 .33105 .56435 .33386 .56122 .33159 Metetra
0 .528 .805 r
.56122 .33159 .56435 .33386 .57126 .33677 .56814 .33451 Metetra
0 .522 .801 r
.56814 .33451 .57126 .33677 .57818 .33977 .57508 .33751 Metetra
0 .517 .797 r
.57508 .33751 .57818 .33977 .58513 .34285 .58203 .34059 Metetra
0 .513 .794 r
.58203 .34059 .58513 .34285 .59209 .34598 .58901 .34372 Metetra
0 .51 .792 r
.58901 .34372 .59209 .34598 .59907 .34915 .59601 .3469 Metetra
0 .508 .791 r
.59601 .3469 .59907 .34915 .60607 .35235 .60303 .35011 Metetra
0 .508 .791 r
.60303 .35011 .60607 .35235 .6131 .35556 .61006 .35332 Metetra
0 .509 .792 r
.61006 .35332 .6131 .35556 .62014 .35876 .61712 .35654 Metetra
0 .511 .793 r
.61712 .35654 .62014 .35876 .6272 .36195 .62419 .35973 Metetra
0 .515 .796 r
.62419 .35973 .6272 .36195 .63428 .36511 .63129 .36289 Metetra
0 .519 .799 r
.63129 .36289 .63428 .36511 .64138 .36821 .6384 .366 Metetra
0 .525 .803 r
.6384 .366 .64138 .36821 .6485 .37125 .64554 .36905 Metetra
0 .532 .808 r
.64554 .36905 .6485 .37125 .65564 .37421 .65269 .37201 Metetra
0 .539 .813 r
.65269 .37201 .65564 .37421 .6628 .37708 .65987 .37488 Metetra
0 .548 .82 r
.65987 .37488 .6628 .37708 .66998 .37983 .66706 .37763 Metetra
.008 .558 .826 r
.66706 .37763 .66998 .37983 .67717 .38245 .67427 .38026 Metetra
.022 .569 .834 r
.67427 .38026 .67717 .38245 .68439 .38493 .68151 .38274 Metetra
.037 .581 .842 r
.68151 .38274 .68439 .38493 .69163 .38725 .68876 .38507 Metetra
.053 .593 .85 r
.68876 .38507 .69163 .38725 .69888 .38939 .69603 .38721 Metetra
.071 .607 .858 r
.69603 .38721 .69888 .38939 .70616 .39135 .70332 .38917 Metetra
.09 .621 .867 r
.70332 .38917 .70616 .39135 .71345 .3931 .71063 .39092 Metetra
.11 .636 .876 r
.71063 .39092 .71345 .3931 .72076 .39462 .71795 .39245 Metetra
.131 .651 .886 r
.71795 .39245 .72076 .39462 .72809 .39591 .7253 .39374 Metetra
.153 .666 .895 r
.7253 .39374 .72809 .39591 .73543 .39695 .73266 .39477 Metetra
.175 .682 .904 r
.73266 .39477 .73543 .39695 .7428 .39772 .74004 .39554 Metetra
.199 .699 .913 r
.74004 .39554 .7428 .39772 .75018 .3982 .74744 .39603 Metetra
.223 .715 .921 r
.74744 .39603 .75018 .3982 .75758 .39839 .75486 .39621 Metetra
.248 .732 .929 r
.75486 .39621 .75758 .39839 .765 .39826 .76229 .39608 Metetra
.274 .748 .937 r
.76229 .39608 .765 .39826 .77243 .39781 .76974 .39562 Metetra
.299 .764 .944 r
.76974 .39562 .77243 .39781 .77988 .39701 .77721 .39482 Metetra
.325 .78 .951 r
.77721 .39482 .77988 .39701 .78735 .39586 .78469 .39366 Metetra
.351 .796 .957 r
.78469 .39366 .78735 .39586 .79483 .39433 .79219 .39213 Metetra
.377 .811 .962 r
.79219 .39213 .79483 .39433 .80232 .39242 .7997 .39021 Metetra
.403 .826 .966 r
.7997 .39021 .80232 .39242 .80984 .39011 .80723 .38789 Metetra
.429 .84 .97 r
.80723 .38789 .80984 .39011 .81736 .38739 .81478 .38516 Metetra
.454 .853 .973 r
.81478 .38516 .81736 .38739 .8249 .38424 .82233 .38199 Metetra
.479 .866 .975 r
.82233 .38199 .8249 .38424 .83246 .38065 .82991 .37839 Metetra
.504 .878 .976 r
.82991 .37839 .83246 .38065 .84002 .3766 .83749 .37433 Metetra
.528 .889 .976 r
.83749 .37433 .84002 .3766 .8476 .3721 .84509 .36981 Metetra
.551 .9 .976 r
.84509 .36981 .8476 .3721 .8552 .36711 .8527 .36481 Metetra
.573 .909 .975 r
.8527 .36481 .8552 .36711 .8628 .36163 .86032 .35931 Metetra
.595 .918 .973 r
.86032 .35931 .8628 .36163 .87042 .35565 .86796 .35331 Metetra
.615 .926 .97 r
.86796 .35331 .87042 .35565 .87804 .34916 .8756 .3468 Metetra
.886 .886 .827 r
.19214 .67205 .19604 .67316 .20236 .65406 .19848 .6529 Metetra
.883 .889 .831 r
.19848 .6529 .20236 .65406 .20869 .63552 .20482 .63431 Metetra
.88 .892 .836 r
.20482 .63431 .20869 .63552 .21501 .61753 .21116 .61627 Metetra
.877 .894 .841 r
.21116 .61627 .21501 .61753 .22134 .60009 .2175 .59879 Metetra
.873 .897 .846 r
.2175 .59879 .22134 .60009 .22766 .58321 .22384 .58187 Metetra
.869 .899 .851 r
.22384 .58187 .22766 .58321 .23399 .56688 .23018 .5655 Metetra
.865 .902 .857 r
.23018 .5655 .23399 .56688 .24032 .5511 .23653 .54967 Metetra
.861 .905 .863 r
.23653 .54967 .24032 .5511 .24665 .53586 .24287 .5344 Metetra
.856 .907 .868 r
.24287 .5344 .24665 .53586 .25299 .52117 .24922 .51967 Metetra
.851 .91 .874 r
.24922 .51967 .25299 .52117 .25933 .50702 .25557 .50549 Metetra
.845 .912 .881 r
.25557 .50549 .25933 .50702 .26567 .49341 .26193 .49184 Metetra
.839 .915 .887 r
.26193 .49184 .26567 .49341 .27201 .48034 .26828 .47873 Metetra
.832 .917 .893 r
.26828 .47873 .27201 .48034 .27836 .46779 .27465 .46615 Metetra
.825 .919 .9 r
.27465 .46615 .27836 .46779 .28472 .45577 .28101 .4541 Metetra
.817 .921 .906 r
.28101 .4541 .28472 .45577 .29108 .44428 .28739 .44258 Metetra
.808 .923 .913 r
.28739 .44258 .29108 .44428 .29744 .4333 .29377 .43157 Metetra
.799 .925 .92 r
.29377 .43157 .29744 .4333 .30381 .42284 .30015 .42108 Metetra
.789 .926 .926 r
.30015 .42108 .30381 .42284 .31019 .41288 .30654 .41109 Metetra
.778 .927 .933 r
.30654 .41109 .31019 .41288 .31658 .40343 .31294 .40161 Metetra
.766 .927 .94 r
.31294 .40161 .31658 .40343 .32297 .39447 .31934 .39263 Metetra
.753 .928 .946 r
.31934 .39263 .32297 .39447 .32937 .386 .32576 .38414 Metetra
.739 .927 .953 r
.32576 .38414 .32937 .386 .33577 .37802 .33218 .37614 Metetra
.724 .926 .959 r
.33218 .37614 .33577 .37802 .34219 .37051 .33861 .36861 Metetra
.709 .924 .964 r
.33861 .36861 .34219 .37051 .34862 .36348 .34504 .36155 Metetra
.691 .922 .97 r
.34504 .36155 .34862 .36348 .35505 .35691 .35149 .35496 Metetra
.673 .919 .974 r
.35149 .35496 .35505 .35691 .3615 .35079 .35795 .34883 Metetra
.654 .915 .979 r
.35795 .34883 .3615 .35079 .36795 .34512 .36442 .34315 Metetra
.633 .91 .982 r
.36442 .34315 .36795 .34512 .37442 .3399 .3709 .3379 Metetra
.611 .904 .985 r
.3709 .3379 .37442 .3399 .38089 .3351 .37739 .3331 Metetra
.588 .896 .987 r
.37739 .3331 .38089 .3351 .38738 .33073 .38389 .32871 Metetra
.563 .888 .988 r
.38389 .32871 .38738 .33073 .39388 .32677 .3904 .32474 Metetra
.538 .879 .988 r
.3904 .32474 .39388 .32677 .40039 .32322 .39692 .32118 Metetra
.511 .868 .987 r
.39692 .32118 .40039 .32322 .40692 .32006 .40346 .31801 Metetra
.483 .857 .985 r
.40346 .31801 .40692 .32006 .41346 .31729 .41001 .31523 Metetra
.455 .844 .982 r
.41001 .31523 .41346 .31729 .42001 .3149 .41658 .31283 Metetra
.426 .83 .978 r
.41658 .31283 .42001 .3149 .42657 .31287 .42315 .31079 Metetra
.396 .815 .972 r
.42315 .31079 .42657 .31287 .43315 .3112 .42975 .30912 Metetra
.366 .799 .966 r
.42975 .30912 .43315 .3112 .43974 .30988 .43635 .30779 Metetra
.336 .783 .958 r
.43635 .30779 .43974 .30988 .44635 .30889 .44297 .30679 Metetra
.306 .765 .949 r
.44297 .30679 .44635 .30889 .45297 .30822 .44961 .30612 Metetra
.276 .748 .94 r
.44961 .30612 .45297 .30822 .45961 .30786 .45626 .30576 Metetra
.247 .73 .93 r
.45626 .30576 .45961 .30786 .46627 .30781 .46293 .3057 Metetra
.218 .711 .92 r
.46293 .3057 .46627 .30781 .47293 .30804 .46961 .30593 Metetra
.19 .693 .909 r
.46961 .30593 .47293 .30804 .47962 .30855 .47631 .30644 Metetra
.163 .675 .897 r
.47631 .30644 .47962 .30855 .48632 .30933 .48302 .30722 Metetra
.137 .657 .886 r
.48302 .30722 .48632 .30933 .49304 .31036 .48976 .30825 Metetra
.112 .64 .874 r
.48976 .30825 .49304 .31036 .49978 .31162 .49651 .30951 Metetra
.089 .623 .863 r
.49651 .30951 .49978 .31162 .50653 .31311 .50327 .31101 Metetra
.067 .607 .852 r
.50327 .31101 .50653 .31311 .51331 .31482 .51006 .31271 Metetra
.046 .591 .841 r
.51006 .31271 .51331 .31482 .52009 .31673 .51686 .31462 Metetra
.027 .577 .831 r
.51686 .31462 .52009 .31673 .5269 .31882 .52368 .31672 Metetra
.01 .564 .821 r
.52368 .31672 .5269 .31882 .53373 .32108 .53052 .31898 Metetra
0 .551 .812 r
.53052 .31898 .53373 .32108 .54057 .32351 .53738 .32141 Metetra
0 .54 .804 r
.53738 .32141 .54057 .32351 .54744 .32608 .54426 .32398 Metetra
0 .53 .797 r
.54426 .32398 .54744 .32608 .55432 .32877 .55115 .32669 Metetra
0 .521 .79 r
.55115 .32669 .55432 .32877 .56122 .33159 .55807 .32951 Metetra
0 .513 .784 r
.55807 .32951 .56122 .33159 .56814 .33451 .565 .33243 Metetra
0 .507 .779 r
.565 .33243 .56814 .33451 .57508 .33751 .57195 .33544 Metetra
0 .501 .775 r
.57195 .33544 .57508 .33751 .58203 .34059 .57893 .33852 Metetra
0 .497 .772 r
.57893 .33852 .58203 .34059 .58901 .34372 .58592 .34166 Metetra
0 .495 .77 r
.58592 .34166 .58901 .34372 .59601 .3469 .59293 .34484 Metetra
0 .493 .769 r
.59293 .34484 .59601 .3469 .60303 .35011 .59996 .34805 Metetra
0 .493 .769 r
.59996 .34805 .60303 .35011 .61006 .35332 .60701 .35128 Metetra
0 .494 .77 r
.60701 .35128 .61006 .35332 .61712 .35654 .61408 .3545 Metetra
0 .496 .771 r
.61408 .3545 .61712 .35654 .62419 .35973 .62117 .3577 Metetra
0 .499 .774 r
.62117 .3577 .62419 .35973 .63129 .36289 .62828 .36086 Metetra
0 .504 .777 r
.62828 .36086 .63129 .36289 .6384 .366 .63541 .36398 Metetra
0 .51 .782 r
.63541 .36398 .6384 .366 .64554 .36905 .64256 .36703 Metetra
0 .517 .787 r
.64256 .36703 .64554 .36905 .65269 .37201 .64973 .37 Metetra
0 .525 .792 r
.64973 .37 .65269 .37201 .65987 .37488 .65692 .37287 Metetra
0 .534 .799 r
.65692 .37287 .65987 .37488 .66706 .37763 .66413 .37563 Metetra
0 .544 .806 r
.66413 .37563 .66706 .37763 .67427 .38026 .67136 .37826 Metetra
0 .555 .814 r
.67136 .37826 .67427 .38026 .68151 .38274 .67861 .38075 Metetra
.014 .567 .822 r
.67861 .38075 .68151 .38274 .68876 .38507 .68588 .38308 Metetra
.03 .58 .831 r
.68588 .38308 .68876 .38507 .69603 .38721 .69316 .38523 Metetra
.048 .594 .84 r
.69316 .38523 .69603 .38721 .70332 .38917 .70047 .38719 Metetra
.067 .608 .849 r
.70047 .38719 .70332 .38917 .71063 .39092 .70779 .38894 Metetra
.087 .624 .859 r
.70779 .38894 .71063 .39092 .71795 .39245 .71513 .39047 Metetra
.109 .639 .869 r
.71513 .39047 .71795 .39245 .7253 .39374 .7225 .39176 Metetra
.131 .656 .879 r
.7225 .39176 .7253 .39374 .73266 .39477 .72988 .39279 Metetra
.154 .672 .888 r
.72988 .39279 .73266 .39477 .74004 .39554 .73727 .39356 Metetra
.178 .689 .898 r
.73727 .39356 .74004 .39554 .74744 .39603 .74469 .39404 Metetra
.203 .706 .907 r
.74469 .39404 .74744 .39603 .75486 .39621 .75212 .39423 Metetra
.229 .723 .916 r
.75212 .39423 .75486 .39621 .76229 .39608 .75957 .39409 Metetra
.255 .741 .925 r
.75957 .39409 .76229 .39608 .76974 .39562 .76704 .39363 Metetra
.281 .758 .933 r
.76704 .39363 .76974 .39562 .77721 .39482 .77452 .39282 Metetra
.308 .774 .94 r
.77452 .39282 .77721 .39482 .78469 .39366 .78202 .39166 Metetra
.334 .791 .946 r
.78202 .39166 .78469 .39366 .79219 .39213 .78954 .39012 Metetra
.361 .807 .952 r
.78954 .39012 .79219 .39213 .7997 .39021 .79707 .38819 Metetra
.388 .822 .958 r
.79707 .38819 .7997 .39021 .80723 .38789 .80462 .38586 Metetra
.414 .837 .962 r
.80462 .38586 .80723 .38789 .81478 .38516 .81218 .38312 Metetra
.441 .851 .965 r
.81218 .38312 .81478 .38516 .82233 .38199 .81975 .37995 Metetra
.466 .864 .968 r
.81975 .37995 .82233 .38199 .82991 .37839 .82734 .37633 Metetra
.492 .877 .97 r
.82734 .37633 .82991 .37839 .83749 .37433 .83495 .37226 Metetra
.516 .889 .971 r
.83495 .37226 .83749 .37433 .84509 .36981 .84256 .36772 Metetra
.54 .9 .971 r
.84256 .36772 .84509 .36981 .8527 .36481 .85019 .3627 Metetra
.563 .91 .97 r
.85019 .3627 .8527 .36481 .86032 .35931 .85784 .35719 Metetra
.585 .919 .968 r
.85784 .35719 .86032 .35931 .86796 .35331 .86549 .35117 Metetra
.607 .928 .966 r
.86549 .35117 .86796 .35331 .8756 .3468 .87315 .34464 Metetra
.887 .89 .827 r
.18823 .67112 .19214 .67205 .19848 .6529 .19458 .65193 Metetra
.885 .892 .831 r
.19458 .65193 .19848 .6529 .20482 .63431 .20094 .63329 Metetra
.881 .895 .836 r
.20094 .63329 .20482 .63431 .21116 .61627 .20729 .61521 Metetra
.878 .898 .841 r
.20729 .61521 .21116 .61627 .2175 .59879 .21364 .59768 Metetra
.875 .9 .846 r
.21364 .59768 .2175 .59879 .22384 .58187 .22 .58071 Metetra
.871 .903 .852 r
.22 .58071 .22384 .58187 .23018 .5655 .22635 .5643 Metetra
.867 .906 .857 r
.22635 .5643 .23018 .5655 .23653 .54967 .23271 .54843 Metetra
.862 .909 .863 r
.23271 .54843 .23653 .54967 .24287 .5344 .23907 .53312 Metetra
.857 .911 .869 r
.23907 .53312 .24287 .5344 .24922 .51967 .24543 .51835 Metetra
.852 .914 .875 r
.24543 .51835 .24922 .51967 .25557 .50549 .25179 .50413 Metetra
.846 .917 .881 r
.25179 .50413 .25557 .50549 .26193 .49184 .25816 .49045 Metetra
.839 .919 .887 r
.25816 .49045 .26193 .49184 .26828 .47873 .26453 .47731 Metetra
.833 .922 .894 r
.26453 .47731 .26828 .47873 .27465 .46615 .27091 .46469 Metetra
.825 .924 .9 r
.27091 .46469 .27465 .46615 .28101 .4541 .27729 .45261 Metetra
.817 .926 .907 r
.27729 .45261 .28101 .4541 .28739 .44258 .28368 .44106 Metetra
.808 .928 .914 r
.28368 .44106 .28739 .44258 .29377 .43157 .29007 .43002 Metetra
.799 .93 .92 r
.29007 .43002 .29377 .43157 .30015 .42108 .29647 .4195 Metetra
.788 .931 .927 r
.29647 .4195 .30015 .42108 .30654 .41109 .30287 .40949 Metetra
.777 .932 .934 r
.30287 .40949 .30654 .41109 .31294 .40161 .30928 .39998 Metetra
.765 .932 .94 r
.30928 .39998 .31294 .40161 .31934 .39263 .3157 .39098 Metetra
.752 .932 .947 r
.3157 .39098 .31934 .39263 .32576 .38414 .32213 .38246 Metetra
.737 .932 .953 r
.32213 .38246 .32576 .38414 .33218 .37614 .32856 .37444 Metetra
.722 .931 .959 r
.32856 .37444 .33218 .37614 .33861 .36861 .335 .36689 Metetra
.706 .929 .964 r
.335 .36689 .33861 .36861 .34504 .36155 .34145 .35982 Metetra
.688 .926 .969 r
.34145 .35982 .34504 .36155 .35149 .35496 .34791 .35321 Metetra
.669 .923 .974 r
.34791 .35321 .35149 .35496 .35795 .34883 .35438 .34706 Metetra
.649 .918 .978 r
.35438 .34706 .35795 .34883 .36442 .34315 .36086 .34136 Metetra
.627 .913 .981 r
.36086 .34136 .36442 .34315 .3709 .3379 .36736 .3361 Metetra
.604 .906 .983 r
.36736 .3361 .3709 .3379 .37739 .3331 .37386 .33127 Metetra
.58 .899 .985 r
.37386 .33127 .37739 .3331 .38389 .32871 .38037 .32687 Metetra
.555 .89 .985 r
.38037 .32687 .38389 .32871 .3904 .32474 .3869 .32289 Metetra
.528 .88 .985 r
.3869 .32289 .3904 .32474 .39692 .32118 .39344 .31932 Metetra
.5 .868 .983 r
.39344 .31932 .39692 .32118 .40346 .31801 .39999 .31614 Metetra
.472 .856 .98 r
.39999 .31614 .40346 .31801 .41001 .31523 .40655 .31335 Metetra
.442 .842 .976 r
.40655 .31335 .41001 .31523 .41658 .31283 .41313 .31094 Metetra
.412 .828 .971 r
.41313 .31094 .41658 .31283 .42315 .31079 .41972 .3089 Metetra
.381 .812 .964 r
.41972 .3089 .42315 .31079 .42975 .30912 .42632 .30722 Metetra
.35 .795 .957 r
.42632 .30722 .42975 .30912 .43635 .30779 .43294 .30588 Metetra
.319 .777 .948 r
.43294 .30588 .43635 .30779 .44297 .30679 .43958 .30488 Metetra
.288 .759 .939 r
.43958 .30488 .44297 .30679 .44961 .30612 .44622 .3042 Metetra
.257 .741 .928 r
.44622 .3042 .44961 .30612 .45626 .30576 .45289 .30384 Metetra
.227 .722 .917 r
.45289 .30384 .45626 .30576 .46293 .3057 .45957 .30378 Metetra
.198 .702 .906 r
.45957 .30378 .46293 .3057 .46961 .30593 .46627 .30401 Metetra
.169 .683 .894 r
.46627 .30401 .46961 .30593 .47631 .30644 .47298 .30452 Metetra
.142 .664 .881 r
.47298 .30452 .47631 .30644 .48302 .30722 .47971 .30529 Metetra
.115 .646 .869 r
.47971 .30529 .48302 .30722 .48976 .30825 .48645 .30632 Metetra
.09 .628 .857 r
.48645 .30632 .48976 .30825 .49651 .30951 .49322 .30759 Metetra
.066 .61 .845 r
.49322 .30759 .49651 .30951 .50327 .31101 .5 .30908 Metetra
.044 .594 .833 r
.5 .30908 .50327 .31101 .51006 .31271 .5068 .31079 Metetra
.023 .578 .822 r
.5068 .31079 .51006 .31271 .51686 .31462 .51361 .3127 Metetra
.004 .563 .811 r
.51361 .3127 .51686 .31462 .52368 .31672 .52045 .3148 Metetra
0 .549 .801 r
.52045 .3148 .52368 .31672 .53052 .31898 .5273 .31707 Metetra
0 .536 .791 r
.5273 .31707 .53052 .31898 .53738 .32141 .53417 .3195 Metetra
0 .525 .783 r
.53417 .3195 .53738 .32141 .54426 .32398 .54106 .32208 Metetra
0 .514 .775 r
.54106 .32208 .54426 .32398 .55115 .32669 .54797 .32479 Metetra
0 .505 .768 r
.54797 .32479 .55115 .32669 .55807 .32951 .5549 .32761 Metetra
0 .497 .762 r
.5549 .32761 .55807 .32951 .565 .33243 .56185 .33054 Metetra
0 .491 .757 r
.56185 .33054 .565 .33243 .57195 .33544 .56882 .33356 Metetra
0 .485 .753 r
.56882 .33356 .57195 .33544 .57893 .33852 .5758 .33664 Metetra
0 .481 .75 r
.5758 .33664 .57893 .33852 .58592 .34166 .58281 .33979 Metetra
0 .478 .747 r
.58281 .33979 .58592 .34166 .59293 .34484 .58984 .34298 Metetra
0 .477 .746 r
.58984 .34298 .59293 .34484 .59996 .34805 .59688 .34619 Metetra
0 .477 .746 r
.59688 .34619 .59996 .34805 .60701 .35128 .60395 .34942 Metetra
0 .478 .747 r
.60395 .34942 .60701 .35128 .61408 .3545 .61103 .35265 Metetra
0 .48 .748 r
.61103 .35265 .61408 .3545 .62117 .3577 .61814 .35585 Metetra
0 .483 .751 r
.61814 .35585 .62117 .3577 .62828 .36086 .62526 .35903 Metetra
0 .488 .755 r
.62526 .35903 .62828 .36086 .63541 .36398 .63241 .36215 Metetra
0 .494 .759 r
.63241 .36215 .63541 .36398 .64256 .36703 .63957 .3652 Metetra
0 .501 .764 r
.63957 .3652 .64256 .36703 .64973 .37 .64676 .36818 Metetra
0 .509 .77 r
.64676 .36818 .64973 .37 .65692 .37287 .65396 .37106 Metetra
0 .519 .777 r
.65396 .37106 .65692 .37287 .66413 .37563 .66119 .37382 Metetra
0 .529 .785 r
.66119 .37382 .66413 .37563 .67136 .37826 .66843 .37646 Metetra
0 .54 .793 r
.66843 .37646 .67136 .37826 .67861 .38075 .6757 .37895 Metetra
0 .553 .801 r
.6757 .37895 .67861 .38075 .68588 .38308 .68298 .38128 Metetra
.007 .566 .81 r
.68298 .38128 .68588 .38308 .69316 .38523 .69028 .38343 Metetra
.025 .58 .82 r
.69028 .38343 .69316 .38523 .70047 .38719 .6976 .3854 Metetra
.044 .595 .83 r
.6976 .3854 .70047 .38719 .70779 .38894 .70494 .38715 Metetra
.065 .611 .84 r
.70494 .38715 .70779 .38894 .71513 .39047 .7123 .38868 Metetra
.086 .627 .851 r
.7123 .38868 .71513 .39047 .7225 .39176 .71968 .38997 Metetra
.109 .644 .861 r
.71968 .38997 .7225 .39176 .72988 .39279 .72708 .39101 Metetra
.132 .661 .871 r
.72708 .39101 .72988 .39279 .73727 .39356 .73449 .39178 Metetra
.157 .679 .882 r
.73449 .39178 .73727 .39356 .74469 .39404 .74192 .39226 Metetra
.182 .696 .892 r
.74192 .39226 .74469 .39404 .75212 .39423 .74937 .39244 Metetra
.208 .714 .901 r
.74937 .39244 .75212 .39423 .75957 .39409 .75684 .3923 Metetra
.235 .732 .911 r
.75684 .3923 .75957 .39409 .76704 .39363 .76432 .39184 Metetra
.262 .75 .919 r
.76432 .39184 .76704 .39363 .77452 .39282 .77183 .39103 Metetra
.289 .767 .927 r
.77183 .39103 .77452 .39282 .78202 .39166 .77934 .38986 Metetra
.317 .784 .935 r
.77934 .38986 .78202 .39166 .78954 .39012 .78688 .38831 Metetra
.344 .801 .942 r
.78688 .38831 .78954 .39012 .79707 .38819 .79443 .38638 Metetra
.372 .817 .947 r
.79443 .38638 .79707 .38819 .80462 .38586 .80199 .38404 Metetra
.399 .833 .953 r
.80199 .38404 .80462 .38586 .81218 .38312 .80957 .38128 Metetra
.426 .848 .957 r
.80957 .38128 .81218 .38312 .81975 .37995 .81716 .3781 Metetra
.453 .862 .96 r
.81716 .3781 .81975 .37995 .82734 .37633 .82477 .37447 Metetra
.479 .875 .962 r
.82477 .37447 .82734 .37633 .83495 .37226 .83239 .37039 Metetra
.504 .887 .964 r
.83239 .37039 .83495 .37226 .84256 .36772 .84003 .36583 Metetra
.529 .899 .964 r
.84003 .36583 .84256 .36772 .85019 .3627 .84768 .3608 Metetra
.553 .91 .964 r
.84768 .3608 .85019 .3627 .85784 .35719 .85534 .35527 Metetra
.576 .92 .963 r
.85534 .35527 .85784 .35719 .86549 .35117 .86301 .34923 Metetra
.598 .929 .961 r
.86301 .34923 .86549 .35117 .87315 .34464 .87069 .34268 Metetra
.889 .893 .827 r
.1843 .67038 .18823 .67112 .19458 .65193 .19066 .65114 Metetra
.886 .896 .832 r
.19066 .65114 .19458 .65193 .20094 .63329 .19703 .63245 Metetra
.883 .899 .836 r
.19703 .63245 .20094 .63329 .20729 .61521 .2034 .61432 Metetra
.88 .901 .841 r
.2034 .61432 .20729 .61521 .21364 .59768 .20976 .59675 Metetra
.876 .904 .847 r
.20976 .59675 .21364 .59768 .22 .58071 .21613 .57974 Metetra
.872 .907 .852 r
.21613 .57974 .22 .58071 .22635 .5643 .2225 .56329 Metetra
.868 .91 .857 r
.2225 .56329 .22635 .5643 .23271 .54843 .22887 .54738 Metetra
.863 .913 .863 r
.22887 .54738 .23271 .54843 .23907 .53312 .23524 .53203 Metetra
.858 .916 .869 r
.23524 .53203 .23907 .53312 .24543 .51835 .24162 .51722 Metetra
.853 .918 .875 r
.24162 .51722 .24543 .51835 .25179 .50413 .248 .50296 Metetra
.847 .921 .881 r
.248 .50296 .25179 .50413 .25816 .49045 .25438 .48925 Metetra
.84 .924 .888 r
.25438 .48925 .25816 .49045 .26453 .47731 .26076 .47607 Metetra
.833 .926 .894 r
.26076 .47607 .26453 .47731 .27091 .46469 .26715 .46342 Metetra
.826 .928 .901 r
.26715 .46342 .27091 .46469 .27729 .45261 .27355 .45131 Metetra
.817 .931 .907 r
.27355 .45131 .27729 .45261 .28368 .44106 .27995 .43972 Metetra
.808 .933 .914 r
.27995 .43972 .28368 .44106 .29007 .43002 .28635 .42866 Metetra
.798 .934 .921 r
.28635 .42866 .29007 .43002 .29647 .4195 .29276 .41811 Metetra
.788 .936 .927 r
.29276 .41811 .29647 .4195 .30287 .40949 .29918 .40807 Metetra
.776 .936 .934 r
.29918 .40807 .30287 .40949 .30928 .39998 .3056 .39854 Metetra
.763 .937 .94 r
.3056 .39854 .30928 .39998 .3157 .39098 .31204 .38951 Metetra
.75 .937 .947 r
.31204 .38951 .3157 .39098 .32213 .38246 .31847 .38097 Metetra
.735 .936 .953 r
.31847 .38097 .32213 .38246 .32856 .37444 .32492 .37292 Metetra
.719 .935 .959 r
.32492 .37292 .32856 .37444 .335 .36689 .33138 .36535 Metetra
.702 .933 .964 r
.33138 .36535 .335 .36689 .34145 .35982 .33784 .35826 Metetra
.684 .93 .969 r
.33784 .35826 .34145 .35982 .34791 .35321 .34431 .35163 Metetra
.664 .926 .973 r
.34431 .35163 .34791 .35321 .35438 .34706 .3508 .34547 Metetra
.643 .922 .977 r
.3508 .34547 .35438 .34706 .36086 .34136 .35729 .33975 Metetra
.621 .916 .979 r
.35729 .33975 .36086 .34136 .36736 .3361 .3638 .33447 Metetra
.597 .909 .981 r
.3638 .33447 .36736 .3361 .37386 .33127 .37031 .32964 Metetra
.572 .9 .982 r
.37031 .32964 .37386 .33127 .38037 .32687 .37684 .32522 Metetra
.545 .891 .982 r
.37684 .32522 .38037 .32687 .3869 .32289 .38338 .32123 Metetra
.518 .88 .98 r
.38338 .32123 .3869 .32289 .39344 .31932 .38993 .31764 Metetra
.489 .868 .978 r
.38993 .31764 .39344 .31932 .39999 .31614 .39649 .31446 Metetra
.459 .855 .974 r
.39649 .31446 .39999 .31614 .40655 .31335 .40307 .31166 Metetra
.428 .84 .969 r
.40307 .31166 .40655 .31335 .41313 .31094 .40966 .30924 Metetra
.397 .824 .963 r
.40966 .30924 .41313 .31094 .41972 .3089 .41626 .30719 Metetra
.365 .808 .955 r
.41626 .30719 .41972 .3089 .42632 .30722 .42288 .3055 Metetra
.333 .79 .947 r
.42288 .3055 .42632 .30722 .43294 .30588 .42951 .30416 Metetra
.301 .771 .937 r
.42951 .30416 .43294 .30588 .43958 .30488 .43616 .30315 Metetra
.27 .752 .926 r
.43616 .30315 .43958 .30488 .44622 .3042 .44282 .30247 Metetra
.238 .732 .915 r
.44282 .30247 .44622 .3042 .45289 .30384 .4495 .30211 Metetra
.207 .712 .903 r
.4495 .30211 .45289 .30384 .45957 .30378 .45619 .30205 Metetra
.177 .692 .89 r
.45619 .30205 .45957 .30378 .46627 .30401 .4629 .30228 Metetra
.148 .672 .877 r
.4629 .30228 .46627 .30401 .47298 .30452 .46963 .30278 Metetra
.12 .653 .864 r
.46963 .30278 .47298 .30452 .47971 .30529 .47637 .30356 Metetra
.093 .633 .851 r
.47637 .30356 .47971 .30529 .48645 .30632 .48313 .30458 Metetra
.068 .615 .838 r
.48313 .30458 .48645 .30632 .49322 .30759 .48991 .30585 Metetra
.044 .597 .825 r
.48991 .30585 .49322 .30759 .5 .30908 .4967 .30735 Metetra
.021 .579 .812 r
.4967 .30735 .5 .30908 .5068 .31079 .50352 .30906 Metetra
0 .563 .8 r
.50352 .30906 .5068 .31079 .51361 .3127 .51035 .31097 Metetra
0 .548 .789 r
.51035 .31097 .51361 .3127 .52045 .3148 .5172 .31307 Metetra
0 .534 .778 r
.5172 .31307 .52045 .3148 .5273 .31707 .52406 .31535 Metetra
0 .521 .769 r
.52406 .31535 .5273 .31707 .53417 .3195 .53095 .31779 Metetra
0 .509 .76 r
.53095 .31779 .53417 .3195 .54106 .32208 .53785 .32037 Metetra
0 .498 .752 r
.53785 .32037 .54106 .32208 .54797 .32479 .54478 .32308 Metetra
0 .489 .744 r
.54478 .32308 .54797 .32479 .5549 .32761 .55172 .32591 Metetra
0 .481 .738 r
.55172 .32591 .5549 .32761 .56185 .33054 .55868 .32884 Metetra
0 .474 .733 r
.55868 .32884 .56185 .33054 .56882 .33356 .56566 .33186 Metetra
0 .469 .729 r
.56566 .33186 .56882 .33356 .5758 .33664 .57266 .33496 Metetra
0 .464 .725 r
.57266 .33496 .5758 .33664 .58281 .33979 .57968 .33811 Metetra
0 .462 .723 r
.57968 .33811 .58281 .33979 .58984 .34298 .58672 .3413 Metetra
0 .46 .722 r
.58672 .3413 .58984 .34298 .59688 .34619 .59379 .34453 Metetra
0 .46 .722 r
.59379 .34453 .59688 .34619 .60395 .34942 .60087 .34776 Metetra
0 .461 .723 r
.60087 .34776 .60395 .34942 .61103 .35265 .60797 .35099 Metetra
0 .463 .724 r
.60797 .35099 .61103 .35265 .61814 .35585 .61509 .35421 Metetra
0 .467 .727 r
.61509 .35421 .61814 .35585 .62526 .35903 .62223 .35738 Metetra
0 .471 .731 r
.62223 .35738 .62526 .35903 .63241 .36215 .62939 .36051 Metetra
0 .477 .735 r
.62939 .36051 .63241 .36215 .63957 .3652 .63657 .36357 Metetra
0 .485 .741 r
.63657 .36357 .63957 .3652 .64676 .36818 .64377 .36656 Metetra
0 .493 .747 r
.64377 .36656 .64676 .36818 .65396 .37106 .65099 .36944 Metetra
0 .502 .754 r
.65099 .36944 .65396 .37106 .66119 .37382 .65823 .37221 Metetra
0 .513 .762 r
.65823 .37221 .66119 .37382 .66843 .37646 .66549 .37485 Metetra
0 .525 .77 r
.66549 .37485 .66843 .37646 .6757 .37895 .67277 .37735 Metetra
0 .537 .779 r
.67277 .37735 .6757 .37895 .68298 .38128 .68007 .37968 Metetra
0 .551 .789 r
.68007 .37968 .68298 .38128 .69028 .38343 .68738 .38184 Metetra
.002 .565 .799 r
.68738 .38184 .69028 .38343 .6976 .3854 .69472 .3838 Metetra
.021 .581 .809 r
.69472 .3838 .6976 .3854 .70494 .38715 .70208 .38556 Metetra
.042 .597 .82 r
.70208 .38556 .70494 .38715 .7123 .38868 .70945 .38709 Metetra
.063 .613 .831 r
.70945 .38709 .7123 .38868 .71968 .38997 .71685 .38839 Metetra
.086 .631 .842 r
.71685 .38839 .71968 .38997 .72708 .39101 .72426 .38942 Metetra
.11 .649 .853 r
.72426 .38942 .72708 .39101 .73449 .39178 .73169 .39019 Metetra
.135 .667 .864 r
.73169 .39019 .73449 .39178 .74192 .39226 .73914 .39067 Metetra
.161 .685 .875 r
.73914 .39067 .74192 .39226 .74937 .39244 .74661 .39085 Metetra
.187 .704 .885 r
.74661 .39085 .74937 .39244 .75684 .3923 .75409 .39071 Metetra
.214 .722 .895 r
.75409 .39071 .75684 .3923 .76432 .39184 .7616 .39024 Metetra
.242 .741 .905 r
.7616 .39024 .76432 .39184 .77183 .39103 .76911 .38943 Metetra
.27 .759 .914 r
.76911 .38943 .77183 .39103 .77934 .38986 .77665 .38825 Metetra
.298 .777 .922 r
.77665 .38825 .77934 .38986 .78688 .38831 .7842 .3867 Metetra
.326 .794 .929 r
.7842 .3867 .78688 .38831 .79443 .38638 .79177 .38476 Metetra
.355 .811 .936 r
.79177 .38476 .79443 .38638 .80199 .38404 .79935 .38241 Metetra
.383 .828 .942 r
.79935 .38241 .80199 .38404 .80957 .38128 .80695 .37965 Metetra
.411 .843 .947 r
.80695 .37965 .80957 .38128 .81716 .3781 .81456 .37645 Metetra
.438 .858 .951 r
.81456 .37645 .81716 .3781 .82477 .37447 .82219 .37281 Metetra
.465 .872 .954 r
.82219 .37281 .82477 .37447 .83239 .37039 .82983 .36871 Metetra
.491 .885 .956 r
.82983 .36871 .83239 .37039 .84003 .36583 .83748 .36415 Metetra
.517 .898 .957 r
.83748 .36415 .84003 .36583 .84768 .3608 .84515 .35909 Metetra
.541 .909 .958 r
.84515 .35909 .84768 .3608 .85534 .35527 .85282 .35355 Metetra
.565 .919 .957 r
.85282 .35355 .85534 .35527 .86301 .34923 .86052 .34749 Metetra
.588 .929 .956 r
.86052 .34749 .86301 .34923 .87069 .34268 .86822 .34092 Metetra
.89 .896 .827 r
.18034 .66984 .1843 .67038 .19066 .65114 .18672 .65054 Metetra
.887 .899 .832 r
.18672 .65054 .19066 .65114 .19703 .63245 .1931 .6318 Metetra
.884 .902 .836 r
.1931 .6318 .19703 .63245 .2034 .61432 .19948 .61363 Metetra
.881 .905 .841 r
.19948 .61363 .2034 .61432 .20976 .59675 .20586 .59602 Metetra
.877 .908 .847 r
.20586 .59602 .20976 .59675 .21613 .57974 .21224 .57896 Metetra
.873 .911 .852 r
.21224 .57896 .21613 .57974 .2225 .56329 .21863 .56246 Metetra
.869 .914 .858 r
.21863 .56246 .2225 .56329 .22887 .54738 .22501 .54651 Metetra
.864 .917 .863 r
.22501 .54651 .22887 .54738 .23524 .53203 .2314 .53112 Metetra
.859 .92 .869 r
.2314 .53112 .23524 .53203 .24162 .51722 .23779 .51628 Metetra
.854 .923 .875 r
.23779 .51628 .24162 .51722 .248 .50296 .24418 .50198 Metetra
.848 .925 .882 r
.24418 .50198 .248 .50296 .25438 .48925 .25057 .48823 Metetra
.841 .928 .888 r
.25057 .48823 .25438 .48925 .26076 .47607 .25697 .47501 Metetra
.834 .931 .894 r
.25697 .47501 .26076 .47607 .26715 .46342 .26338 .46234 Metetra
.826 .933 .901 r
.26338 .46234 .26715 .46342 .27355 .45131 .26978 .45019 Metetra
.817 .935 .908 r
.26978 .45019 .27355 .45131 .27995 .43972 .2762 .43857 Metetra
.808 .937 .914 r
.2762 .43857 .27995 .43972 .28635 .42866 .28261 .42748 Metetra
.798 .939 .921 r
.28261 .42748 .28635 .42866 .29276 .41811 .28904 .4169 Metetra
.787 .94 .928 r
.28904 .4169 .29276 .41811 .29918 .40807 .29547 .40684 Metetra
.775 .941 .934 r
.29547 .40684 .29918 .40807 .3056 .39854 .30191 .39728 Metetra
.762 .942 .94 r
.30191 .39728 .3056 .39854 .31204 .38951 .30835 .38823 Metetra
.748 .942 .947 r
.30835 .38823 .31204 .38951 .31847 .38097 .3148 .37967 Metetra
.733 .941 .953 r
.3148 .37967 .31847 .38097 .32492 .37292 .32126 .37159 Metetra
.716 .939 .958 r
.32126 .37159 .32492 .37292 .33138 .36535 .32773 .36401 Metetra
.698 .937 .963 r
.32773 .36401 .33138 .36535 .33784 .35826 .33421 .35689 Metetra
.679 .934 .968 r
.33421 .35689 .33784 .35826 .34431 .35163 .3407 .35025 Metetra
.659 .93 .972 r
.3407 .35025 .34431 .35163 .3508 .34547 .34719 .34406 Metetra
.637 .925 .975 r
.34719 .34406 .3508 .34547 .35729 .33975 .3537 .33833 Metetra
.614 .918 .977 r
.3537 .33833 .35729 .33975 .3638 .33447 .36022 .33304 Metetra
.589 .911 .978 r
.36022 .33304 .3638 .33447 .37031 .32964 .36675 .32819 Metetra
.563 .902 .978 r
.36675 .32819 .37031 .32964 .37684 .32522 .37329 .32376 Metetra
.535 .891 .977 r
.37329 .32376 .37684 .32522 .38338 .32123 .37984 .31975 Metetra
.506 .88 .975 r
.37984 .31975 .38338 .32123 .38993 .31764 .3864 .31616 Metetra
.477 .867 .972 r
.3864 .31616 .38993 .31764 .39649 .31446 .39298 .31296 Metetra
.446 .853 .967 r
.39298 .31296 .39649 .31446 .40307 .31166 .39957 .31015 Metetra
.414 .837 .961 r
.39957 .31015 .40307 .31166 .40966 .30924 .40617 .30773 Metetra
.382 .82 .954 r
.40617 .30773 .40966 .30924 .41626 .30719 .41279 .30567 Metetra
.349 .802 .945 r
.41279 .30567 .41626 .30719 .42288 .3055 .41942 .30397 Metetra
.316 .784 .935 r
.41942 .30397 .42288 .3055 .42951 .30416 .42607 .30263 Metetra
.283 .764 .924 r
.42607 .30263 .42951 .30416 .43616 .30315 .43273 .30162 Metetra
.25 .744 .912 r
.43273 .30162 .43616 .30315 .44282 .30247 .4394 .30093 Metetra
.218 .723 .9 r
.4394 .30093 .44282 .30247 .4495 .30211 .44609 .30057 Metetra
.186 .702 .887 r
.44609 .30057 .4495 .30211 .45619 .30205 .4528 .3005 Metetra
.156 .681 .873 r
.4528 .3005 .45619 .30205 .4629 .30228 .45952 .30073 Metetra
.126 .66 .859 r
.45952 .30073 .4629 .30228 .46963 .30278 .46626 .30123 Metetra
.097 .64 .845 r
.46626 .30123 .46963 .30278 .47637 .30356 .47302 .30201 Metetra
.07 .62 .831 r
.47302 .30201 .47637 .30356 .48313 .30458 .47979 .30304 Metetra
.045 .601 .817 r
.47979 .30304 .48313 .30458 .48991 .30585 .48658 .30431 Metetra
.02 .582 .804 r
.48658 .30431 .48991 .30585 .4967 .30735 .49339 .30581 Metetra
0 .564 .79 r
.49339 .30581 .4967 .30735 .50352 .30906 .50022 .30752 Metetra
0 .548 .778 r
.50022 .30752 .50352 .30906 .51035 .31097 .50706 .30944 Metetra
0 .532 .766 r
.50706 .30944 .51035 .31097 .5172 .31307 .51392 .31154 Metetra
0 .517 .755 r
.51392 .31154 .5172 .31307 .52406 .31535 .52081 .31382 Metetra
0 .504 .745 r
.52081 .31382 .52406 .31535 .53095 .31779 .52771 .31626 Metetra
0 .492 .736 r
.52771 .31626 .53095 .31779 .53785 .32037 .53462 .31885 Metetra
0 .481 .727 r
.53462 .31885 .53785 .32037 .54478 .32308 .54156 .32156 Metetra
0 .472 .72 r
.54156 .32156 .54478 .32308 .55172 .32591 .54852 .3244 Metetra
0 .463 .713 r
.54852 .3244 .55172 .32591 .55868 .32884 .5555 .32734 Metetra
0 .457 .708 r
.5555 .32734 .55868 .32884 .56566 .33186 .56249 .33036 Metetra
0 .451 .704 r
.56249 .33036 .56566 .33186 .57266 .33496 .56951 .33347 Metetra
0 .447 .7 r
.56951 .33347 .57266 .33496 .57968 .33811 .57654 .33662 Metetra
0 .444 .698 r
.57654 .33662 .57968 .33811 .58672 .3413 .5836 .33983 Metetra
0 .442 .697 r
.5836 .33983 .58672 .3413 .59379 .34453 .59067 .34305 Metetra
0 .442 .697 r
.59067 .34305 .59379 .34453 .60087 .34776 .59777 .3463 Metetra
0 .443 .697 r
.59777 .3463 .60087 .34776 .60797 .35099 .60488 .34953 Metetra
0 .445 .699 r
.60488 .34953 .60797 .35099 .61509 .35421 .61202 .35275 Metetra
0 .449 .702 r
.61202 .35275 .61509 .35421 .62223 .35738 .61917 .35594 Metetra
0 .454 .706 r
.61917 .35594 .62223 .35738 .62939 .36051 .62635 .35907 Metetra
0 .46 .71 r
.62635 .35907 .62939 .36051 .63657 .36357 .63355 .36214 Metetra
0 .467 .716 r
.63355 .36214 .63657 .36357 .64377 .36656 .64076 .36513 Metetra
0 .476 .722 r
.64076 .36513 .64377 .36656 .65099 .36944 .648 .36802 Metetra
0 .485 .73 r
.648 .36802 .65099 .36944 .65823 .37221 .65525 .37079 Metetra
0 .496 .738 r
.65525 .37079 .65823 .37221 .66549 .37485 .66253 .37344 Metetra
0 .508 .746 r
.66253 .37344 .66549 .37485 .67277 .37735 .66982 .37594 Metetra
0 .521 .756 r
.66982 .37594 .67277 .37735 .68007 .37968 .67714 .37828 Metetra
0 .535 .766 r
.67714 .37828 .68007 .37968 .68738 .38184 .68447 .38044 Metetra
0 .55 .776 r
.68447 .38044 .68738 .38184 .69472 .3838 .69183 .38241 Metetra
0 .565 .787 r
.69183 .38241 .69472 .3838 .70208 .38556 .6992 .38417 Metetra
.018 .582 .798 r
.6992 .38417 .70208 .38556 .70945 .38709 .70659 .38571 Metetra
.04 .599 .81 r
.70659 .38571 .70945 .38709 .71685 .38839 .714 .387 Metetra
.063 .617 .821 r
.714 .387 .71685 .38839 .72426 .38942 .72143 .38804 Metetra
.088 .635 .833 r
.72143 .38804 .72426 .38942 .73169 .39019 .72888 .38881 Metetra
.113 .654 .845 r
.72888 .38881 .73169 .39019 .73914 .39067 .73635 .38929 Metetra
.139 .673 .856 r
.73635 .38929 .73914 .39067 .74661 .39085 .74383 .38946 Metetra
.166 .692 .867 r
.74383 .38946 .74661 .39085 .75409 .39071 .75133 .38932 Metetra
.193 .711 .878 r
.75133 .38932 .75409 .39071 .7616 .39024 .75885 .38885 Metetra
.221 .731 .889 r
.75885 .38885 .7616 .39024 .76911 .38943 .76639 .38803 Metetra
.25 .75 .898 r
.76639 .38803 .76911 .38943 .77665 .38825 .77394 .38685 Metetra
.279 .768 .907 r
.77394 .38685 .77665 .38825 .7842 .3867 .78151 .38529 Metetra
.308 .787 .916 r
.78151 .38529 .7842 .3867 .79177 .38476 .7891 .38334 Metetra
.337 .805 .923 r
.7891 .38334 .79177 .38476 .79935 .38241 .7967 .38099 Metetra
.366 .822 .93 r
.7967 .38099 .79935 .38241 .80695 .37965 .80431 .37821 Metetra
.394 .838 .936 r
.80431 .37821 .80695 .37965 .81456 .37645 .81194 .37501 Metetra
.423 .854 .94 r
.81194 .37501 .81456 .37645 .82219 .37281 .81959 .37136 Metetra
.45 .868 .944 r
.81959 .37136 .82219 .37281 .82983 .36871 .82725 .36724 Metetra
.477 .882 .947 r
.82725 .36724 .82983 .36871 .83748 .36415 .83492 .36266 Metetra
.504 .895 .949 r
.83492 .36266 .83748 .36415 .84515 .35909 .8426 .35759 Metetra
.529 .907 .95 r
.8426 .35759 .84515 .35909 .85282 .35355 .8503 .35203 Metetra
.554 .918 .95 r
.8503 .35203 .85282 .35355 .86052 .34749 .85801 .34595 Metetra
.578 .928 .949 r
.85801 .34595 .86052 .34749 .86822 .34092 .86573 .33936 Metetra
.892 .9 .827 r
.17636 .66948 .18034 .66984 .18672 .65054 .18275 .65013 Metetra
.889 .903 .832 r
.18275 .65013 .18672 .65054 .1931 .6318 .18915 .63135 Metetra
.886 .906 .836 r
.18915 .63135 .1931 .6318 .19948 .61363 .19554 .61313 Metetra
.882 .909 .841 r
.19554 .61313 .19948 .61363 .20586 .59602 .20194 .59547 Metetra
.879 .912 .847 r
.20194 .59547 .20586 .59602 .21224 .57896 .20833 .57837 Metetra
.875 .915 .852 r
.20833 .57837 .21224 .57896 .21863 .56246 .21473 .56182 Metetra
.87 .918 .858 r
.21473 .56182 .21863 .56246 .22501 .54651 .22113 .54584 Metetra
.865 .921 .863 r
.22113 .54584 .22501 .54651 .2314 .53112 .22753 .5304 Metetra
.86 .924 .869 r
.22753 .5304 .2314 .53112 .23779 .51628 .23393 .51552 Metetra
.854 .927 .875 r
.23393 .51552 .23779 .51628 .24418 .50198 .24034 .50119 Metetra
.848 .93 .882 r
.24034 .50119 .24418 .50198 .25057 .48823 .24675 .4874 Metetra
.841 .932 .888 r
.24675 .4874 .25057 .48823 .25697 .47501 .25316 .47415 Metetra
.834 .935 .895 r
.25316 .47415 .25697 .47501 .26338 .46234 .25958 .46144 Metetra
.826 .938 .901 r
.25958 .46144 .26338 .46234 .26978 .45019 .266 .44926 Metetra
.817 .94 .908 r
.266 .44926 .26978 .45019 .2762 .43857 .27242 .43761 Metetra
.808 .942 .914 r
.27242 .43761 .2762 .43857 .28261 .42748 .27886 .42649 Metetra
.797 .943 .921 r
.27886 .42649 .28261 .42748 .28904 .4169 .28529 .41588 Metetra
.786 .945 .927 r
.28529 .41588 .28904 .4169 .29547 .40684 .29174 .40579 Metetra
.774 .946 .934 r
.29174 .40579 .29547 .40684 .30191 .39728 .29819 .39621 Metetra
.76 .946 .94 r
.29819 .39621 .30191 .39728 .30835 .38823 .30465 .38713 Metetra
.746 .946 .946 r
.30465 .38713 .30835 .38823 .3148 .37967 .31111 .37855 Metetra
.73 .945 .952 r
.31111 .37855 .3148 .37967 .32126 .37159 .31758 .37045 Metetra
.713 .943 .957 r
.31758 .37045 .32126 .37159 .32773 .36401 .32407 .36284 Metetra
.694 .941 .962 r
.32407 .36284 .32773 .36401 .33421 .35689 .33056 .35571 Metetra
.674 .937 .966 r
.33056 .35571 .33421 .35689 .3407 .35025 .33706 .34905 Metetra
.653 .933 .97 r
.33706 .34905 .3407 .35025 .34719 .34406 .34357 .34284 Metetra
.63 .927 .972 r
.34357 .34284 .34719 .34406 .3537 .33833 .35009 .33709 Metetra
.606 .92 .974 r
.35009 .33709 .3537 .33833 .36022 .33304 .35662 .33179 Metetra
.58 .912 .975 r
.35662 .33179 .36022 .33304 .36675 .32819 .36316 .32692 Metetra
.553 .902 .974 r
.36316 .32692 .36675 .32819 .37329 .32376 .36971 .32249 Metetra
.525 .891 .972 r
.36971 .32249 .37329 .32376 .37984 .31975 .37628 .31847 Metetra
.495 .879 .969 r
.37628 .31847 .37984 .31975 .3864 .31616 .38286 .31486 Metetra
.464 .865 .965 r
.38286 .31486 .3864 .31616 .39298 .31296 .38945 .31165 Metetra
.432 .85 .959 r
.38945 .31165 .39298 .31296 .39957 .31015 .39605 .30884 Metetra
.399 .833 .952 r
.39605 .30884 .39957 .31015 .40617 .30773 .40267 .3064 Metetra
.365 .815 .943 r
.40267 .3064 .40617 .30773 .41279 .30567 .4093 .30434 Metetra
.332 .796 .933 r
.4093 .30434 .41279 .30567 .41942 .30397 .41594 .30264 Metetra
.298 .776 .922 r
.41594 .30264 .41942 .30397 .42607 .30263 .4226 .30128 Metetra
.264 .756 .91 r
.4226 .30128 .42607 .30263 .43273 .30162 .42927 .30027 Metetra
.23 .734 .897 r
.42927 .30027 .43273 .30162 .4394 .30093 .43596 .29958 Metetra
.197 .713 .884 r
.43596 .29958 .4394 .30093 .44609 .30057 .44267 .29921 Metetra
.165 .691 .869 r
.44267 .29921 .44609 .30057 .4528 .3005 .44939 .29914 Metetra
.134 .669 .855 r
.44939 .29914 .4528 .3005 .45952 .30073 .45613 .29937 Metetra
.104 .647 .84 r
.45613 .29937 .45952 .30073 .46626 .30123 .46288 .29988 Metetra
.075 .626 .825 r
.46288 .29988 .46626 .30123 .47302 .30201 .46965 .30065 Metetra
.047 .606 .81 r
.46965 .30065 .47302 .30201 .47979 .30304 .47644 .30168 Metetra
.021 .586 .795 r
.47644 .30168 .47979 .30304 .48658 .30431 .48324 .30295 Metetra
0 .566 .781 r
.48324 .30295 .48658 .30431 .49339 .30581 .49006 .30445 Metetra
0 .548 .767 r
.49006 .30445 .49339 .30581 .50022 .30752 .4969 .30617 Metetra
0 .531 .754 r
.4969 .30617 .50022 .30752 .50706 .30944 .50376 .30809 Metetra
0 .515 .742 r
.50376 .30809 .50706 .30944 .51392 .31154 .51064 .3102 Metetra
0 .5 .731 r
.51064 .3102 .51392 .31154 .52081 .31382 .51753 .31248 Metetra
0 .487 .72 r
.51753 .31248 .52081 .31382 .52771 .31626 .52445 .31493 Metetra
0 .474 .71 r
.52445 .31493 .52771 .31626 .53462 .31885 .53138 .31752 Metetra
0 .464 .702 r
.53138 .31752 .53462 .31885 .54156 .32156 .53833 .32024 Metetra
0 .454 .694 r
.53833 .32024 .54156 .32156 .54852 .3244 .5453 .32308 Metetra
.147 0 0 r
.5453 .32308 .54852 .3244 .5555 .32734 .55229 .32603 Metetra
.155 0 0 r
.55229 .32603 .5555 .32734 .56249 .33036 .5593 .32906 Metetra
.161 0 0 r
.5593 .32906 .56249 .33036 .56951 .33347 .56633 .33217 Metetra
.166 0 0 r
.56633 .33217 .56951 .33347 .57654 .33662 .57338 .33533 Metetra
.169 0 0 r
.57338 .33533 .57654 .33662 .5836 .33983 .58045 .33854 Metetra
.171 0 0 r
.58045 .33854 .5836 .33983 .59067 .34305 .58754 .34178 Metetra
.171 0 0 r
.58754 .34178 .59067 .34305 .59777 .3463 .59465 .34503 Metetra
.17 0 0 r
.59465 .34503 .59777 .3463 .60488 .34953 .60178 .34827 Metetra
.167 0 0 r
.60178 .34827 .60488 .34953 .61202 .35275 .60893 .3515 Metetra
.163 0 0 r
.60893 .3515 .61202 .35275 .61917 .35594 .61611 .35469 Metetra
.158 0 0 r
.61611 .35469 .61917 .35594 .62635 .35907 .6233 .35783 Metetra
.151 0 0 r
.6233 .35783 .62635 .35907 .63355 .36214 .63051 .36091 Metetra
.143 0 0 r
.63051 .36091 .63355 .36214 .64076 .36513 .63774 .3639 Metetra
0 .458 .697 r
.63774 .3639 .64076 .36513 .648 .36802 .64499 .36679 Metetra
0 .468 .704 r
.64499 .36679 .648 .36802 .65525 .37079 .65226 .36958 Metetra
0 .479 .712 r
.65226 .36958 .65525 .37079 .66253 .37344 .65955 .37223 Metetra
0 .491 .721 r
.65955 .37223 .66253 .37344 .66982 .37594 .66687 .37473 Metetra
0 .504 .731 r
.66687 .37473 .66982 .37594 .67714 .37828 .6742 .37708 Metetra
0 .518 .741 r
.6742 .37708 .67714 .37828 .68447 .38044 .68155 .37924 Metetra
0 .533 .752 r
.68155 .37924 .68447 .38044 .69183 .38241 .68892 .38122 Metetra
0 .549 .763 r
.68892 .38122 .69183 .38241 .6992 .38417 .69631 .38298 Metetra
0 .566 .775 r
.69631 .38298 .6992 .38417 .70659 .38571 .70372 .38452 Metetra
.017 .584 .787 r
.70372 .38452 .70659 .38571 .714 .387 .71114 .38582 Metetra
.04 .602 .799 r
.71114 .38582 .714 .387 .72143 .38804 .71859 .38686 Metetra
.065 .621 .812 r
.71859 .38686 .72143 .38804 .72888 .38881 .72606 .38762 Metetra
.09 .64 .824 r
.72606 .38762 .72888 .38881 .73635 .38929 .73354 .3881 Metetra
.116 .66 .836 r
.73354 .3881 .73635 .38929 .74383 .38946 .74104 .38828 Metetra
.144 .679 .848 r
.74104 .38828 .74383 .38946 .75133 .38932 .74856 .38814 Metetra
.172 .699 .86 r
.74856 .38814 .75133 .38932 .75885 .38885 .7561 .38766 Metetra
.2 .719 .871 r
.7561 .38766 .75885 .38885 .76639 .38803 .76365 .38684 Metetra
.229 .739 .882 r
.76365 .38684 .76639 .38803 .77394 .38685 .77122 .38565 Metetra
.259 .759 .892 r
.77122 .38565 .77394 .38685 .78151 .38529 .77881 .38409 Metetra
.288 .778 .901 r
.77881 .38409 .78151 .38529 .7891 .38334 .78641 .38213 Metetra
.318 .797 .909 r
.78641 .38213 .7891 .38334 .7967 .38099 .79403 .37977 Metetra
.348 .815 .917 r
.79403 .37977 .7967 .38099 .80431 .37821 .80166 .37699 Metetra
.377 .832 .923 r
.80166 .37699 .80431 .37821 .81194 .37501 .80931 .37377 Metetra
.406 .848 .929 r
.80931 .37377 .81194 .37501 .81959 .37136 .81698 .3701 Metetra
.435 .864 .933 r
.81698 .3701 .81959 .37136 .82725 .36724 .82465 .36598 Metetra
.463 .878 .937 r
.82465 .36598 .82725 .36724 .83492 .36266 .83234 .36138 Metetra
.49 .892 .939 r
.83234 .36138 .83492 .36266 .8426 .35759 .84005 .3563 Metetra
.516 .905 .941 r
.84005 .3563 .8426 .35759 .8503 .35203 .84777 .35071 Metetra
.542 .916 .942 r
.84777 .35071 .8503 .35203 .85801 .34595 .85549 .34462 Metetra
.566 .927 .941 r
.85549 .34462 .85801 .34595 .86573 .33936 .86324 .33801 Metetra
.893 .903 .827 r
.17235 .66931 .17636 .66948 .18275 .65013 .17876 .64991 Metetra
.89 .906 .831 r
.17876 .64991 .18275 .65013 .18915 .63135 .18517 .63108 Metetra
.887 .909 .836 r
.18517 .63108 .18915 .63135 .19554 .61313 .19158 .61281 Metetra
.883 .912 .841 r
.19158 .61281 .19554 .61313 .20194 .59547 .19799 .59511 Metetra
.88 .915 .847 r
.19799 .59511 .20194 .59547 .20833 .57837 .2044 .57796 Metetra
.876 .918 .852 r
.2044 .57796 .20833 .57837 .21473 .56182 .21081 .56138 Metetra
.871 .922 .858 r
.21081 .56138 .21473 .56182 .22113 .54584 .21723 .54535 Metetra
.866 .925 .863 r
.21723 .54535 .22113 .54584 .22753 .5304 .22364 .52988 Metetra
.861 .928 .869 r
.22364 .52988 .22753 .5304 .23393 .51552 .23006 .51495 Metetra
.855 .931 .875 r
.23006 .51495 .23393 .51552 .24034 .50119 .23648 .50058 Metetra
.849 .934 .882 r
.23648 .50058 .24034 .50119 .24675 .4874 .2429 .48676 Metetra
.842 .937 .888 r
.2429 .48676 .24675 .4874 .25316 .47415 .24932 .47347 Metetra
.834 .939 .895 r
.24932 .47347 .25316 .47415 .25958 .46144 .25576 .46073 Metetra
.826 .942 .901 r
.25576 .46073 .25958 .46144 .266 .44926 .26219 .44852 Metetra
.817 .944 .908 r
.26219 .44852 .266 .44926 .27242 .43761 .26863 .43684 Metetra
.807 .946 .914 r
.26863 .43684 .27242 .43761 .27886 .42649 .27508 .42569 Metetra
.797 .948 .921 r
.27508 .42569 .27886 .42649 .28529 .41588 .28153 .41505 Metetra
.785 .949 .927 r
.28153 .41505 .28529 .41588 .29174 .40579 .28798 .40494 Metetra
.772 .95 .934 r
.28798 .40494 .29174 .40579 .29819 .39621 .29445 .39533 Metetra
.758 .95 .94 r
.29445 .39533 .29819 .39621 .30465 .38713 .30092 .38622 Metetra
.743 .95 .945 r
.30092 .38622 .30465 .38713 .31111 .37855 .3074 .37762 Metetra
.727 .949 .951 r
.3074 .37762 .31111 .37855 .31758 .37045 .31389 .3695 Metetra
.709 .947 .956 r
.31389 .3695 .31758 .37045 .32407 .36284 .32038 .36187 Metetra
.69 .944 .96 r
.32038 .36187 .32407 .36284 .33056 .35571 .32688 .35472 Metetra
.669 .94 .964 r
.32688 .35472 .33056 .35571 .33706 .34905 .3334 .34803 Metetra
.647 .935 .967 r
.3334 .34803 .33706 .34905 .34357 .34284 .33992 .34181 Metetra
.623 .929 .969 r
.33992 .34181 .34357 .34284 .35009 .33709 .34646 .33605 Metetra
.598 .922 .97 r
.34646 .33605 .35009 .33709 .35662 .33179 .353 .33073 Metetra
.571 .913 .97 r
.353 .33073 .35662 .33179 .36316 .32692 .35955 .32585 Metetra
.543 .902 .969 r
.35955 .32585 .36316 .32692 .36971 .32249 .36612 .3214 Metetra
.513 .891 .966 r
.36612 .3214 .36971 .32249 .37628 .31847 .3727 .31737 Metetra
.482 .877 .962 r
.3727 .31737 .37628 .31847 .38286 .31486 .37929 .31375 Metetra
.45 .862 .956 r
.37929 .31375 .38286 .31486 .38945 .31165 .38589 .31053 Metetra
.417 .846 .95 r
.38589 .31053 .38945 .31165 .39605 .30884 .39251 .30771 Metetra
.383 .828 .941 r
.39251 .30771 .39605 .30884 .40267 .3064 .39914 .30527 Metetra
.348 .809 .931 r
.39914 .30527 .40267 .3064 .4093 .30434 .40578 .3032 Metetra
.313 .789 .92 r
.40578 .3032 .4093 .30434 .41594 .30264 .41244 .30149 Metetra
.279 .768 .908 r
.41244 .30149 .41594 .30264 .4226 .30128 .41912 .30013 Metetra
.244 .746 .895 r
.41912 .30013 .4226 .30128 .42927 .30027 .4258 .29911 Metetra
.209 .724 .881 r
.4258 .29911 .42927 .30027 .43596 .29958 .43251 .29842 Metetra
.176 .701 .866 r
.43251 .29842 .43596 .29958 .44267 .29921 .43922 .29805 Metetra
.143 .678 .85 r
.43922 .29805 .44267 .29921 .44939 .29914 .44596 .29798 Metetra
.111 .656 .835 r
.44596 .29798 .44939 .29914 .45613 .29937 .45271 .2982 Metetra
.081 .633 .819 r
.45271 .2982 .45613 .29937 .46288 .29988 .45947 .29871 Metetra
.052 .611 .803 r
.45947 .29871 .46288 .29988 .46965 .30065 .46626 .29949 Metetra
.024 .59 .787 r
.46626 .29949 .46965 .30065 .47644 .30168 .47306 .30052 Metetra
0 .57 .772 r
.47306 .30052 .47644 .30168 .48324 .30295 .47988 .30179 Metetra
0 .55 .757 r
.47988 .30179 .48324 .30295 .49006 .30445 .48671 .30329 Metetra
0 .531 .743 r
.48671 .30329 .49006 .30445 .4969 .30617 .49357 .30501 Metetra
0 .514 .73 r
.49357 .30501 .4969 .30617 .50376 .30809 .50044 .30694 Metetra
0 .498 .717 r
.50044 .30694 .50376 .30809 .51064 .3102 .50733 .30905 Metetra
0 .483 .705 r
.50733 .30905 .51064 .3102 .51753 .31248 .51424 .31134 Metetra
.123 0 0 r
.51424 .31134 .51753 .31248 .52445 .31493 .52117 .31379 Metetra
.137 0 0 r
.52117 .31379 .52445 .31493 .53138 .31752 .52811 .31638 Metetra
.149 0 0 r
.52811 .31638 .53138 .31752 .53833 .32024 .53508 .31911 Metetra
.16 0 0 r
.53508 .31911 .53833 .32024 .5453 .32308 .54207 .32196 Metetra
.17 0 0 r
.54207 .32196 .5453 .32308 .55229 .32603 .54907 .32491 Metetra
.177 0 0 r
.54907 .32491 .55229 .32603 .5593 .32906 .5561 .32795 Metetra
.184 0 0 r
.5561 .32795 .5593 .32906 .56633 .33217 .56314 .33107 Metetra
.188 0 0 r
.56314 .33107 .56633 .33217 .57338 .33533 .57021 .33424 Metetra
.191 0 0 r
.57021 .33424 .57338 .33533 .58045 .33854 .57729 .33745 Metetra
.193 0 0 r
.57729 .33745 .58045 .33854 .58754 .34178 .5844 .3407 Metetra
.194 0 0 r
.5844 .3407 .58754 .34178 .59465 .34503 .59152 .34395 Metetra
.192 0 0 r
.59152 .34395 .59465 .34503 .60178 .34827 .59867 .34721 Metetra
.19 0 0 r
.59867 .34721 .60178 .34827 .60893 .3515 .60583 .35044 Metetra
.186 0 0 r
.60583 .35044 .60893 .3515 .61611 .35469 .61302 .35364 Metetra
.18 0 0 r
.61302 .35364 .61611 .35469 .6233 .35783 .62023 .35679 Metetra
.174 0 0 r
.62023 .35679 .6233 .35783 .63051 .36091 .62745 .35987 Metetra
.165 0 0 r
.62745 .35987 .63051 .36091 .63774 .3639 .6347 .36287 Metetra
.156 0 0 r
.6347 .36287 .63774 .3639 .64499 .36679 .64197 .36577 Metetra
.145 0 0 r
.64197 .36577 .64499 .36679 .65226 .36958 .64926 .36856 Metetra
.132 0 0 r
.64926 .36856 .65226 .36958 .65955 .37223 .65656 .37122 Metetra
.118 0 0 r
.65656 .37122 .65955 .37223 .66687 .37473 .66389 .37373 Metetra
0 .486 .705 r
.66389 .37373 .66687 .37473 .6742 .37708 .67124 .37608 Metetra
0 .5 .716 r
.67124 .37608 .6742 .37708 .68155 .37924 .67861 .37825 Metetra
0 .516 .727 r
.67861 .37825 .68155 .37924 .68892 .38122 .68599 .38023 Metetra
0 .532 .739 r
.68599 .38023 .68892 .38122 .69631 .38298 .6934 .38199 Metetra
0 .549 .751 r
.6934 .38199 .69631 .38298 .70372 .38452 .70083 .38353 Metetra
0 .567 .763 r
.70083 .38353 .70372 .38452 .71114 .38582 .70827 .38483 Metetra
.017 .586 .776 r
.70827 .38483 .71114 .38582 .71859 .38686 .71573 .38587 Metetra
.041 .605 .789 r
.71573 .38587 .71859 .38686 .72606 .38762 .72322 .38664 Metetra
.067 .625 .802 r
.72322 .38664 .72606 .38762 .73354 .3881 .73072 .38712 Metetra
.093 .645 .815 r
.73072 .38712 .73354 .3881 .74104 .38828 .73824 .3873 Metetra
.121 .666 .828 r
.73824 .3873 .74104 .38828 .74856 .38814 .74577 .38716 Metetra
.149 .686 .84 r
.74577 .38716 .74856 .38814 .7561 .38766 .75333 .38668 Metetra
.178 .707 .852 r
.75333 .38668 .7561 .38766 .76365 .38684 .7609 .38585 Metetra
.208 .728 .863 r
.7609 .38585 .76365 .38684 .77122 .38565 .76849 .38466 Metetra
.238 .748 .874 r
.76849 .38466 .77122 .38565 .77881 .38409 .77609 .38309 Metetra
.268 .768 .884 r
.77609 .38309 .77881 .38409 .78641 .38213 .78371 .38113 Metetra
.299 .787 .894 r
.78371 .38113 .78641 .38213 .79403 .37977 .79135 .37875 Metetra
.329 .806 .902 r
.79135 .37875 .79403 .37977 .80166 .37699 .799 .37596 Metetra
.359 .824 .909 r
.799 .37596 .80166 .37699 .80931 .37377 .80667 .37274 Metetra
.389 .842 .916 r
.80667 .37274 .80931 .37377 .81698 .3701 .81435 .36906 Metetra
.418 .858 .921 r
.81435 .36906 .81698 .3701 .82465 .36598 .82205 .36492 Metetra
.447 .873 .925 r
.82205 .36492 .82465 .36598 .83234 .36138 .82976 .36031 Metetra
.475 .888 .929 r
.82976 .36031 .83234 .36138 .84005 .3563 .83748 .35521 Metetra
.503 .901 .931 r
.83748 .35521 .84005 .3563 .84777 .35071 .84522 .34961 Metetra
.529 .914 .932 r
.84522 .34961 .84777 .35071 .85549 .34462 .85297 .3435 Metetra
.554 .925 .933 r
.85297 .3435 .85549 .34462 .86324 .33801 .86073 .33686 Metetra
.894 .906 .827 r
.16833 .66933 .17235 .66931 .17876 .64991 .17475 .64989 Metetra
.891 .909 .831 r
.17475 .64989 .17876 .64991 .18517 .63108 .18118 .63101 Metetra
.888 .913 .836 r
.18118 .63101 .18517 .63108 .19158 .61281 .1876 .61269 Metetra
.885 .916 .841 r
.1876 .61269 .19158 .61281 .19799 .59511 .19402 .59494 Metetra
.881 .919 .847 r
.19402 .59494 .19799 .59511 .2044 .57796 .20045 .57775 Metetra
.877 .922 .852 r
.20045 .57775 .2044 .57796 .21081 .56138 .20687 .56112 Metetra
.872 .925 .858 r
.20687 .56112 .21081 .56138 .21723 .54535 .2133 .54505 Metetra
.867 .929 .863 r
.2133 .54505 .21723 .54535 .22364 .52988 .21973 .52954 Metetra
.862 .932 .869 r
.21973 .52954 .22364 .52988 .23006 .51495 .22616 .51458 Metetra
.856 .935 .875 r
.22616 .51458 .23006 .51495 .23648 .50058 .23259 .50017 Metetra
.849 .938 .882 r
.23259 .50017 .23648 .50058 .2429 .48676 .23903 .48631 Metetra
.842 .941 .888 r
.23903 .48631 .2429 .48676 .24932 .47347 .24547 .47299 Metetra
.835 .944 .894 r
.24547 .47299 .24932 .47347 .25576 .46073 .25191 .46021 Metetra
.826 .946 .901 r
.25191 .46021 .25576 .46073 .26219 .44852 .25836 .44797 Metetra
.817 .949 .907 r
.25836 .44797 .26219 .44852 .26863 .43684 .26481 .43626 Metetra
.807 .951 .914 r
.26481 .43626 .26863 .43684 .27508 .42569 .27127 .42508 Metetra
.796 .952 .92 r
.27127 .42508 .27508 .42569 .28153 .41505 .27774 .41441 Metetra
.783 .954 .927 r
.27774 .41441 .28153 .41505 .28798 .40494 .28421 .40427 Metetra
.77 .954 .933 r
.28421 .40427 .28798 .40494 .29445 .39533 .29069 .39464 Metetra
.756 .955 .939 r
.29069 .39464 .29445 .39533 .30092 .38622 .29717 .38551 Metetra
.74 .954 .944 r
.29717 .38551 .30092 .38622 .3074 .37762 .30366 .37688 Metetra
.723 .953 .95 r
.30366 .37688 .3074 .37762 .31389 .3695 .31016 .36874 Metetra
.705 .951 .954 r
.31016 .36874 .31389 .3695 .32038 .36187 .31667 .36109 Metetra
.685 .947 .958 r
.31667 .36109 .32038 .36187 .32688 .35472 .32319 .35391 Metetra
.663 .943 .962 r
.32319 .35391 .32688 .35472 .3334 .34803 .32972 .34721 Metetra
.64 .938 .964 r
.32972 .34721 .3334 .34803 .33992 .34181 .33626 .34098 Metetra
.616 .931 .965 r
.33626 .34098 .33992 .34181 .34646 .33605 .3428 .33519 Metetra
.589 .923 .966 r
.3428 .33519 .34646 .33605 .353 .33073 .34936 .32986 Metetra
.561 .913 .965 r
.34936 .32986 .353 .33073 .35955 .32585 .35593 .32497 Metetra
.532 .902 .962 r
.35593 .32497 .35955 .32585 .36612 .3214 .36251 .3205 Metetra
.501 .889 .959 r
.36251 .3205 .36612 .3214 .3727 .31737 .3691 .31646 Metetra
.469 .874 .954 r
.3691 .31646 .3727 .31737 .37929 .31375 .37571 .31283 Metetra
.435 .859 .947 r
.37571 .31283 .37929 .31375 .38589 .31053 .38232 .3096 Metetra
.401 .841 .939 r
.38232 .3096 .38589 .31053 .39251 .30771 .38895 .30677 Metetra
.366 .822 .929 r
.38895 .30677 .39251 .30771 .39914 .30527 .3956 .30432 Metetra
.33 .802 .918 r
.3956 .30432 .39914 .30527 .40578 .3032 .40225 .30224 Metetra
.295 .781 .906 r
.40225 .30224 .40578 .3032 .41244 .30149 .40892 .30053 Metetra
.259 .759 .892 r
.40892 .30053 .41244 .30149 .41912 .30013 .41561 .29917 Metetra
.223 .736 .878 r
.41561 .29917 .41912 .30013 .4258 .29911 .42231 .29815 Metetra
.188 .712 .863 r
.42231 .29815 .4258 .29911 .43251 .29842 .42903 .29745 Metetra
.154 .689 .847 r
.42903 .29745 .43251 .29842 .43922 .29805 .43576 .29708 Metetra
.121 .665 .83 r
.43576 .29708 .43922 .29805 .44596 .29798 .44251 .29701 Metetra
.089 .641 .813 r
.44251 .29701 .44596 .29798 .45271 .2982 .44927 .29723 Metetra
.058 .618 .797 r
.44927 .29723 .45271 .2982 .45947 .29871 .45605 .29774 Metetra
.029 .596 .78 r
.45605 .29774 .45947 .29871 .46626 .29949 .46285 .29851 Metetra
.001 .574 .764 r
.46285 .29851 .46626 .29949 .47306 .30052 .46966 .29955 Metetra
0 .553 .748 r
.46966 .29955 .47306 .30052 .47988 .30179 .4765 .30082 Metetra
0 .533 .732 r
.4765 .30082 .47988 .30179 .48671 .30329 .48335 .30233 Metetra
0 .514 .718 r
.48335 .30233 .48671 .30329 .49357 .30501 .49021 .30405 Metetra
0 .496 .704 r
.49021 .30405 .49357 .30501 .50044 .30694 .4971 .30598 Metetra
.112 0 0 r
.4971 .30598 .50044 .30694 .50733 .30905 .50401 .30809 Metetra
.13 0 0 r
.50401 .30809 .50733 .30905 .51424 .31134 .51093 .31039 Metetra
.145 0 0 r
.51093 .31039 .51424 .31134 .52117 .31379 .51787 .31284 Metetra
.159 0 0 r
.51787 .31284 .52117 .31379 .52811 .31638 .52483 .31545 Metetra
.172 0 0 r
.52483 .31545 .52811 .31638 .53508 .31911 .53181 .31818 Metetra
.183 0 0 r
.53181 .31818 .53508 .31911 .54207 .32196 .53881 .32104 Metetra
.192 0 0 r
.53881 .32104 .54207 .32196 .54907 .32491 .54583 .32399 Metetra
.199 0 0 r
.54583 .32399 .54907 .32491 .5561 .32795 .55287 .32704 Metetra
.206 0 0 r
.55287 .32704 .5561 .32795 .56314 .33107 .55993 .33016 Metetra
.21 0 0 r
.55993 .33016 .56314 .33107 .57021 .33424 .56701 .33334 Metetra
.213 0 0 r
.56701 .33334 .57021 .33424 .57729 .33745 .57411 .33656 Metetra
.215 0 0 r
.57411 .33656 .57729 .33745 .5844 .3407 .58123 .33982 Metetra
.215 0 0 r
.58123 .33982 .5844 .3407 .59152 .34395 .58838 .34308 Metetra
.214 0 0 r
.58838 .34308 .59152 .34395 .59867 .34721 .59554 .34634 Metetra
.212 0 0 r
.59554 .34634 .59867 .34721 .60583 .35044 .60272 .34958 Metetra
.208 0 0 r
.60272 .34958 .60583 .35044 .61302 .35364 .60992 .35279 Metetra
.202 0 0 r
.60992 .35279 .61302 .35364 .62023 .35679 .61714 .35595 Metetra
.196 0 0 r
.61714 .35595 .62023 .35679 .62745 .35987 .62438 .35903 Metetra
.188 0 0 r
.62438 .35903 .62745 .35987 .6347 .36287 .63165 .36204 Metetra
.178 0 0 r
.63165 .36204 .6347 .36287 .64197 .36577 .63893 .36495 Metetra
.167 0 0 r
.63893 .36495 .64197 .36577 .64926 .36856 .64623 .36775 Metetra
.155 0 0 r
.64623 .36775 .64926 .36856 .65656 .37122 .65356 .37041 Metetra
.141 0 0 r
.65356 .37041 .65656 .37122 .66389 .37373 .6609 .37293 Metetra
.126 0 0 r
.6609 .37293 .66389 .37373 .67124 .37608 .66827 .37528 Metetra
.11 0 0 r
.66827 .37528 .67124 .37608 .67861 .37825 .67565 .37746 Metetra
0 .498 .701 r
.67565 .37746 .67861 .37825 .68599 .38023 .68305 .37944 Metetra
0 .514 .713 r
.68305 .37944 .68599 .38023 .6934 .38199 .69048 .38121 Metetra
0 .532 .726 r
.69048 .38121 .6934 .38199 .70083 .38353 .69792 .38275 Metetra
0 .55 .739 r
.69792 .38275 .70083 .38353 .70827 .38483 .70538 .38406 Metetra
0 .569 .752 r
.70538 .38406 .70827 .38483 .71573 .38587 .71286 .3851 Metetra
.018 .589 .765 r
.71286 .3851 .71573 .38587 .72322 .38664 .72036 .38587 Metetra
.044 .609 .779 r
.72036 .38587 .72322 .38664 .73072 .38712 .72788 .38635 Metetra
.07 .63 .792 r
.72788 .38635 .73072 .38712 .73824 .3873 .73542 .38652 Metetra
.098 .651 .806 r
.73542 .38652 .73824 .3873 .74577 .38716 .74297 .38638 Metetra
.127 .672 .819 r
.74297 .38638 .74577 .38716 .75333 .38668 .75054 .3859 Metetra
.156 .694 .831 r
.75054 .3859 .75333 .38668 .7609 .38585 .75813 .38507 Metetra
.186 .715 .844 r
.75813 .38507 .7609 .38585 .76849 .38466 .76574 .38387 Metetra
.217 .736 .855 r
.76574 .38387 .76849 .38466 .77609 .38309 .77336 .3823 Metetra
.248 .757 .866 r
.77336 .3823 .77609 .38309 .78371 .38113 .781 .38033 Metetra
.279 .777 .876 r
.781 .38033 .78371 .38113 .79135 .37875 .78866 .37795 Metetra
.31 .797 .886 r
.78866 .37795 .79135 .37875 .799 .37596 .79633 .37515 Metetra
.341 .816 .894 r
.79633 .37515 .799 .37596 .80667 .37274 .80401 .37191 Metetra
.371 .834 .901 r
.80401 .37191 .80667 .37274 .81435 .36906 .81172 .36822 Metetra
.401 .851 .908 r
.81172 .36822 .81435 .36906 .82205 .36492 .81943 .36407 Metetra
.431 .867 .913 r
.81943 .36407 .82205 .36492 .82976 .36031 .82716 .35944 Metetra
.46 .883 .917 r
.82716 .35944 .82976 .36031 .83748 .35521 .8349 .35433 Metetra
.488 .897 .92 r
.8349 .35433 .83748 .35521 .84522 .34961 .84266 .34871 Metetra
.515 .91 .922 r
.84266 .34871 .84522 .34961 .85297 .3435 .85043 .34258 Metetra
.542 .922 .923 r
.85043 .34258 .85297 .3435 .86073 .33686 .85821 .33592 Metetra
.896 .91 .826 r
.16428 .66955 .16833 .66933 .17475 .64989 .17072 .65006 Metetra
.893 .913 .831 r
.17072 .65006 .17475 .64989 .18118 .63101 .17715 .63113 Metetra
.889 .916 .836 r
.17715 .63113 .18118 .63101 .1876 .61269 .18359 .61277 Metetra
.886 .919 .841 r
.18359 .61277 .1876 .61269 .19402 .59494 .19003 .59497 Metetra
.882 .923 .846 r
.19003 .59497 .19402 .59494 .20045 .57775 .19647 .57773 Metetra
.878 .926 .852 r
.19647 .57773 .20045 .57775 .20687 .56112 .20291 .56106 Metetra
.873 .929 .857 r
.20291 .56106 .20687 .56112 .2133 .54505 .20935 .54495 Metetra
.868 .933 .863 r
.20935 .54495 .2133 .54505 .21973 .52954 .21579 .5294 Metetra
.863 .936 .869 r
.21579 .5294 .21973 .52954 .22616 .51458 .22224 .5144 Metetra
.856 .939 .875 r
.22224 .5144 .22616 .51458 .23259 .50017 .22868 .49995 Metetra
.85 .942 .881 r
.22868 .49995 .23259 .50017 .23903 .48631 .23513 .48605 Metetra
.843 .945 .888 r
.23513 .48605 .23903 .48631 .24547 .47299 .24159 .4727 Metetra
.835 .948 .894 r
.24159 .4727 .24547 .47299 .25191 .46021 .24805 .45989 Metetra
.826 .951 .9 r
.24805 .45989 .25191 .46021 .25836 .44797 .25451 .44761 Metetra
.816 .953 .907 r
.25451 .44761 .25836 .44797 .26481 .43626 .26098 .43587 Metetra
.806 .955 .913 r
.26098 .43587 .26481 .43626 .27127 .42508 .26745 .42466 Metetra
.794 .957 .92 r
.26745 .42466 .27127 .42508 .27774 .41441 .27393 .41397 Metetra
.782 .958 .926 r
.27393 .41397 .27774 .41441 .28421 .40427 .28041 .40379 Metetra
.768 .959 .932 r
.28041 .40379 .28421 .40427 .29069 .39464 .2869 .39413 Metetra
.753 .959 .938 r
.2869 .39413 .29069 .39464 .29717 .38551 .2934 .38498 Metetra
.737 .958 .943 r
.2934 .38498 .29717 .38551 .30366 .37688 .29991 .37633 Metetra
.719 .956 .948 r
.29991 .37633 .30366 .37688 .31016 .36874 .30642 .36817 Metetra
.7 .954 .952 r
.30642 .36817 .31016 .36874 .31667 .36109 .31295 .3605 Metetra
.679 .95 .956 r
.31295 .3605 .31667 .36109 .32319 .35391 .31948 .3533 Metetra
.657 .945 .958 r
.31948 .3533 .32319 .35391 .32972 .34721 .32602 .34658 Metetra
.633 .939 .96 r
.32602 .34658 .32972 .34721 .33626 .34098 .33257 .34033 Metetra
.607 .932 .961 r
.33257 .34033 .33626 .34098 .3428 .33519 .33913 .33453 Metetra
.58 .923 .96 r
.33913 .33453 .3428 .33519 .34936 .32986 .3457 .32918 Metetra
.551 .912 .959 r
.3457 .32918 .34936 .32986 .35593 .32497 .35228 .32427 Metetra
.52 .9 .955 r
.35228 .32427 .35593 .32497 .36251 .3205 .35888 .3198 Metetra
.488 .886 .951 r
.35888 .3198 .36251 .3205 .3691 .31646 .36548 .31574 Metetra
.455 .871 .944 r
.36548 .31574 .3691 .31646 .37571 .31283 .3721 .3121 Metetra
.42 .854 .936 r
.3721 .3121 .37571 .31283 .38232 .3096 .37873 .30887 Metetra
.385 .835 .927 r
.37873 .30887 .38232 .3096 .38895 .30677 .38537 .30603 Metetra
.348 .815 .916 r
.38537 .30603 .38895 .30677 .3956 .30432 .39203 .30357 Metetra
.312 .794 .904 r
.39203 .30357 .3956 .30432 .40225 .30224 .3987 .30149 Metetra
.275 .771 .89 r
.3987 .30149 .40225 .30224 .40892 .30053 .40539 .29977 Metetra
.238 .748 .875 r
.40539 .29977 .40892 .30053 .41561 .29917 .41209 .2984 Metetra
.202 .724 .86 r
.41209 .2984 .41561 .29917 .42231 .29815 .4188 .29737 Metetra
.166 .7 .843 r
.4188 .29737 .42231 .29815 .42903 .29745 .42553 .29668 Metetra
.132 .675 .826 r
.42553 .29668 .42903 .29745 .43576 .29708 .43228 .2963 Metetra
.098 .65 .809 r
.43228 .2963 .43576 .29708 .44251 .29701 .43904 .29623 Metetra
.066 .626 .791 r
.43904 .29623 .44251 .29701 .44927 .29723 .44582 .29645 Metetra
.035 .602 .773 r
.44582 .29645 .44927 .29723 .45605 .29774 .45261 .29696 Metetra
.005 .579 .756 r
.45261 .29696 .45605 .29774 .46285 .29851 .45942 .29774 Metetra
0 .556 .739 r
.45942 .29774 .46285 .29851 .46966 .29955 .46625 .29877 Metetra
0 .535 .722 r
.46625 .29877 .46966 .29955 .4765 .30082 .4731 .30005 Metetra
0 .515 .706 r
.4731 .30005 .4765 .30082 .48335 .30233 .47996 .30156 Metetra
.095 0 0 r
.47996 .30156 .48335 .30233 .49021 .30405 .48684 .30329 Metetra
.116 0 0 r
.48684 .30329 .49021 .30405 .4971 .30598 .49374 .30522 Metetra
.135 0 0 r
.49374 .30522 .4971 .30598 .50401 .30809 .50066 .30734 Metetra
.152 0 0 r
.50066 .30734 .50401 .30809 .51093 .31039 .5076 .30964 Metetra
.168 0 0 r
.5076 .30964 .51093 .31039 .51787 .31284 .51456 .3121 Metetra
.182 0 0 r
.51456 .3121 .51787 .31284 .52483 .31545 .52153 .31471 Metetra
.194 0 0 r
.52153 .31471 .52483 .31545 .53181 .31818 .52853 .31745 Metetra
.204 0 0 r
.52853 .31745 .53181 .31818 .53881 .32104 .53554 .32031 Metetra
.213 0 0 r
.53554 .32031 .53881 .32104 .54583 .32399 .54258 .32327 Metetra
.221 0 0 r
.54258 .32327 .54583 .32399 .55287 .32704 .54963 .32633 Metetra
.227 0 0 r
.54963 .32633 .55287 .32704 .55993 .33016 .55671 .32946 Metetra
.232 0 0 r
.55671 .32946 .55993 .33016 .56701 .33334 .5638 .33265 Metetra
.235 0 0 r
.5638 .33265 .56701 .33334 .57411 .33656 .57092 .33588 Metetra
.236 0 0 r
.57092 .33588 .57411 .33656 .58123 .33982 .57805 .33914 Metetra
.237 0 0 r
.57805 .33914 .58123 .33982 .58838 .34308 .58521 .34241 Metetra
.236 0 0 r
.58521 .34241 .58838 .34308 .59554 .34634 .59239 .34568 Metetra
.233 0 0 r
.59239 .34568 .59554 .34634 .60272 .34958 .59958 .34893 Metetra
.229 0 0 r
.59958 .34893 .60272 .34958 .60992 .35279 .6068 .35214 Metetra
.224 0 0 r
.6068 .35214 .60992 .35279 .61714 .35595 .61404 .3553 Metetra
.217 0 0 r
.61404 .3553 .61714 .35595 .62438 .35903 .6213 .3584 Metetra
.209 0 0 r
.6213 .3584 .62438 .35903 .63165 .36204 .62858 .36142 Metetra
.2 0 0 r
.62858 .36142 .63165 .36204 .63893 .36495 .63588 .36433 Metetra
.189 0 0 r
.63588 .36433 .63893 .36495 .64623 .36775 .6432 .36714 Metetra
.177 0 0 r
.6432 .36714 .64623 .36775 .65356 .37041 .65054 .36981 Metetra
.164 0 0 r
.65054 .36981 .65356 .37041 .6609 .37293 .6579 .37233 Metetra
.149 0 0 r
.6579 .37233 .6609 .37293 .66827 .37528 .66528 .37469 Metetra
.132 0 0 r
.66528 .37469 .66827 .37528 .67565 .37746 .67268 .37687 Metetra
.115 0 0 r
.67268 .37687 .67565 .37746 .68305 .37944 .6801 .37886 Metetra
.095 0 0 r
.6801 .37886 .68305 .37944 .69048 .38121 .68754 .38063 Metetra
.075 0 0 r
.68754 .38063 .69048 .38121 .69792 .38275 .695 .38218 Metetra
0 .532 .713 r
.695 .38218 .69792 .38275 .70538 .38406 .70248 .38348 Metetra
0 .551 .726 r
.70248 .38348 .70538 .38406 .71286 .3851 .70998 .38453 Metetra
0 .571 .74 r
.70998 .38453 .71286 .3851 .72036 .38587 .71749 .3853 Metetra
.02 .592 .754 r
.71749 .3853 .72036 .38587 .72788 .38635 .72503 .38578 Metetra
.047 .613 .768 r
.72503 .38578 .72788 .38635 .73542 .38652 .73258 .38596 Metetra
.075 .635 .782 r
.73258 .38596 .73542 .38652 .74297 .38638 .74015 .38581 Metetra
.104 .657 .796 r
.74015 .38581 .74297 .38638 .75054 .3859 .74774 .38533 Metetra
.134 .679 .81 r
.74774 .38533 .75054 .3859 .75813 .38507 .75535 .3845 Metetra
.164 .701 .823 r
.75535 .3845 .75813 .38507 .76574 .38387 .76298 .3833 Metetra
.195 .723 .835 r
.76298 .3833 .76574 .38387 .77336 .3823 .77062 .38171 Metetra
.226 .744 .847 r
.77062 .38171 .77336 .3823 .781 .38033 .77828 .37974 Metetra
.258 .765 .858 r
.77828 .37974 .781 .38033 .78866 .37795 .78595 .37735 Metetra
.29 .786 .868 r
.78595 .37735 .78866 .37795 .79633 .37515 .79364 .37454 Metetra
.321 .806 .877 r
.79364 .37454 .79633 .37515 .80401 .37191 .80135 .37129 Metetra
.353 .825 .886 r
.80135 .37129 .80401 .37191 .81172 .36822 .80907 .36759 Metetra
.384 .843 .893 r
.80907 .36759 .81172 .36822 .81943 .36407 .8168 .36343 Metetra
.414 .86 .899 r
.8168 .36343 .81943 .36407 .82716 .35944 .82455 .35879 Metetra
.444 .876 .904 r
.82455 .35879 .82716 .35944 .8349 .35433 .83231 .35366 Metetra
.473 .891 .907 r
.83231 .35366 .8349 .35433 .84266 .34871 .84009 .34802 Metetra
.501 .905 .91 r
.84009 .34802 .84266 .34871 .85043 .34258 .84787 .34187 Metetra
.528 .918 .912 r
.84787 .34187 .85043 .34258 .85821 .33592 .85567 .3352 Metetra
.897 .913 .826 r
.1602 .66997 .16428 .66955 .17072 .65006 .16666 .65042 Metetra
.894 .916 .831 r
.16666 .65042 .17072 .65006 .17715 .63113 .17311 .63145 Metetra
.891 .92 .836 r
.17311 .63145 .17715 .63113 .18359 .61277 .17956 .61303 Metetra
.887 .923 .841 r
.17956 .61303 .18359 .61277 .19003 .59497 .18602 .59519 Metetra
.883 .926 .846 r
.18602 .59519 .19003 .59497 .19647 .57773 .19247 .57791 Metetra
.879 .93 .852 r
.19247 .57791 .19647 .57773 .20291 .56106 .19892 .5612 Metetra
.874 .933 .857 r
.19892 .5612 .20291 .56106 .20935 .54495 .20538 .54504 Metetra
.869 .937 .863 r
.20538 .54504 .20935 .54495 .21579 .5294 .21183 .52945 Metetra
.863 .94 .869 r
.21183 .52945 .21579 .5294 .22224 .5144 .21829 .51441 Metetra
.857 .943 .875 r
.21829 .51441 .22224 .5144 .22868 .49995 .22475 .49992 Metetra
.85 .946 .881 r
.22475 .49992 .22868 .49995 .23513 .48605 .23122 .48599 Metetra
.843 .949 .887 r
.23122 .48599 .23513 .48605 .24159 .4727 .23769 .4726 Metetra
.834 .952 .894 r
.23769 .4726 .24159 .4727 .24805 .45989 .24416 .45975 Metetra
.825 .955 .9 r
.24416 .45975 .24805 .45989 .25451 .44761 .25064 .44745 Metetra
.816 .957 .906 r
.25064 .44745 .25451 .44761 .26098 .43587 .25712 .43567 Metetra
.805 .959 .913 r
.25712 .43567 .26098 .43587 .26745 .42466 .2636 .42443 Metetra
.793 .961 .919 r
.2636 .42443 .26745 .42466 .27393 .41397 .2701 .41371 Metetra
.78 .962 .925 r
.2701 .41371 .27393 .41397 .28041 .40379 .2766 .40351 Metetra
.766 .962 .931 r
.2766 .40351 .28041 .40379 .2869 .39413 .2831 .39383 Metetra
.75 .962 .936 r
.2831 .39383 .2869 .39413 .2934 .38498 .28961 .38465 Metetra
.733 .961 .941 r
.28961 .38465 .2934 .38498 .29991 .37633 .29613 .37597 Metetra
.715 .959 .945 r
.29613 .37597 .29991 .37633 .30642 .36817 .30266 .36779 Metetra
.695 .957 .949 r
.30266 .36779 .30642 .36817 .31295 .3605 .3092 .3601 Metetra
.673 .953 .952 r
.3092 .3601 .31295 .3605 .31948 .3533 .31574 .35289 Metetra
.65 .947 .954 r
.31574 .35289 .31948 .3533 .32602 .34658 .3223 .34615 Metetra
.625 .941 .956 r
.3223 .34615 .32602 .34658 .33257 .34033 .32886 .33988 Metetra
.598 .932 .956 r
.32886 .33988 .33257 .34033 .33913 .33453 .33543 .33406 Metetra
.57 .923 .954 r
.33543 .33406 .33913 .33453 .3457 .32918 .34202 .3287 Metetra
.539 .911 .951 r
.34202 .3287 .3457 .32918 .35228 .32427 .34861 .32378 Metetra
.508 .898 .947 r
.34861 .32378 .35228 .32427 .35888 .3198 .35522 .31929 Metetra
.474 .883 .941 r
.35522 .31929 .35888 .3198 .36548 .31574 .36184 .31522 Metetra
.44 .866 .934 r
.36184 .31522 .36548 .31574 .3721 .3121 .36847 .31157 Metetra
.404 .848 .925 r
.36847 .31157 .3721 .3121 .37873 .30887 .37512 .30833 Metetra
.367 .828 .914 r
.37512 .30833 .37873 .30887 .38537 .30603 .38177 .30548 Metetra
.33 .807 .902 r
.38177 .30548 .38537 .30603 .39203 .30357 .38844 .30301 Metetra
.293 .784 .888 r
.38844 .30301 .39203 .30357 .3987 .30149 .39513 .30092 Metetra
.255 .761 .873 r
.39513 .30092 .3987 .30149 .40539 .29977 .40183 .2992 Metetra
.217 .736 .857 r
.40183 .2992 .40539 .29977 .41209 .2984 .40854 .29783 Metetra
.18 .711 .84 r
.40854 .29783 .41209 .2984 .4188 .29737 .41527 .2968 Metetra
.144 .686 .822 r
.41527 .2968 .4188 .29737 .42553 .29668 .42201 .2961 Metetra
.109 .66 .804 r
.42201 .2961 .42553 .29668 .43228 .2963 .42877 .29572 Metetra
.075 .635 .786 r
.42877 .29572 .43228 .2963 .43904 .29623 .43555 .29565 Metetra
.043 .61 .767 r
.43555 .29565 .43904 .29623 .44582 .29645 .44234 .29587 Metetra
.012 .585 .749 r
.44234 .29587 .44582 .29645 .45261 .29696 .44915 .29638 Metetra
0 .561 .73 r
.44915 .29638 .45261 .29696 .45942 .29774 .45598 .29716 Metetra
0 .539 .713 r
.45598 .29716 .45942 .29774 .46625 .29877 .46282 .29819 Metetra
.071 0 0 r
.46282 .29819 .46625 .29877 .4731 .30005 .46968 .29947 Metetra
.096 0 0 r
.46968 .29947 .4731 .30005 .47996 .30156 .47656 .30099 Metetra
.118 0 0 r
.47656 .30099 .47996 .30156 .48684 .30329 .48345 .30272 Metetra
.138 0 0 r
.48345 .30272 .48684 .30329 .49374 .30522 .49037 .30465 Metetra
.157 0 0 r
.49037 .30465 .49374 .30522 .50066 .30734 .4973 .30678 Metetra
.174 0 0 r
.4973 .30678 .50066 .30734 .5076 .30964 .50425 .30908 Metetra
.19 0 0 r
.50425 .30908 .5076 .30964 .51456 .3121 .51123 .31155 Metetra
.203 0 0 r
.51123 .31155 .51456 .3121 .52153 .31471 .51822 .31417 Metetra
.215 0 0 r
.51822 .31417 .52153 .31471 .52853 .31745 .52523 .31691 Metetra
.226 0 0 r
.52523 .31691 .52853 .31745 .53554 .32031 .53226 .31978 Metetra
.235 0 0 r
.53226 .31978 .53554 .32031 .54258 .32327 .53931 .32276 Metetra
.242 0 0 r
.53931 .32276 .54258 .32327 .54963 .32633 .54638 .32582 Metetra
.248 0 0 r
.54638 .32582 .54963 .32633 .55671 .32946 .55347 .32895 Metetra
.252 0 0 r
.55347 .32895 .55671 .32946 .5638 .33265 .56058 .33215 Metetra
.255 0 0 r
.56058 .33215 .5638 .33265 .57092 .33588 .56771 .33539 Metetra
.257 0 0 r
.56771 .33539 .57092 .33588 .57805 .33914 .57486 .33866 Metetra
.257 0 0 r
.57486 .33866 .57805 .33914 .58521 .34241 .58203 .34194 Metetra
.256 0 0 r
.58203 .34194 .58521 .34241 .59239 .34568 .58922 .34521 Metetra
.254 0 0 r
.58922 .34521 .59239 .34568 .59958 .34893 .59643 .34847 Metetra
.25 0 0 r
.59643 .34847 .59958 .34893 .6068 .35214 .60367 .3517 Metetra
.245 0 0 r
.60367 .3517 .6068 .35214 .61404 .3553 .61092 .35487 Metetra
.238 0 0 r
.61092 .35487 .61404 .3553 .6213 .3584 .61819 .35797 Metetra
.231 0 0 r
.61819 .35797 .6213 .3584 .62858 .36142 .62549 .361 Metetra
.221 0 0 r
.62549 .361 .62858 .36142 .63588 .36433 .6328 .36392 Metetra
.211 0 0 r
.6328 .36392 .63588 .36433 .6432 .36714 .64014 .36673 Metetra
.199 0 0 r
.64014 .36673 .6432 .36714 .65054 .36981 .6475 .36941 Metetra
.185 0 0 r
.6475 .36941 .65054 .36981 .6579 .37233 .65487 .37194 Metetra
.171 0 0 r
.65487 .37194 .6579 .37233 .66528 .37469 .66227 .3743 Metetra
.155 0 0 r
.66227 .3743 .66528 .37469 .67268 .37687 .66969 .37649 Metetra
.137 0 0 r
.66969 .37649 .67268 .37687 .6801 .37886 .67713 .37848 Metetra
.118 0 0 r
.67713 .37848 .6801 .37886 .68754 .38063 .68458 .38026 Metetra
.098 0 0 r
.68458 .38026 .68754 .38063 .695 .38218 .69206 .38181 Metetra
.076 0 0 r
.69206 .38181 .695 .38218 .70248 .38348 .69956 .38312 Metetra
.053 0 0 r
.69956 .38312 .70248 .38348 .70998 .38453 .70707 .38417 Metetra
0 .553 .714 r
.70707 .38417 .70998 .38453 .71749 .3853 .71461 .38494 Metetra
0 .574 .729 r
.71461 .38494 .71749 .3853 .72503 .38578 .72216 .38542 Metetra
.024 .596 .743 r
.72216 .38542 .72503 .38578 .73258 .38596 .72973 .3856 Metetra
.052 .618 .758 r
.72973 .3856 .73258 .38596 .74015 .38581 .73732 .38545 Metetra
.081 .641 .772 r
.73732 .38545 .74015 .38581 .74774 .38533 .74493 .38497 Metetra
.111 .663 .786 r
.74493 .38497 .74774 .38533 .75535 .3845 .75256 .38413 Metetra
.141 .686 .8 r
.75256 .38413 .75535 .3845 .76298 .3833 .7602 .38293 Metetra
.173 .708 .814 r
.7602 .38293 .76298 .3833 .77062 .38171 .76786 .38134 Metetra
.204 .731 .826 r
.76786 .38134 .77062 .38171 .77828 .37974 .77554 .37936 Metetra
.237 .753 .838 r
.77554 .37936 .77828 .37974 .78595 .37735 .78323 .37697 Metetra
.269 .774 .849 r
.78323 .37697 .78595 .37735 .79364 .37454 .79094 .37415 Metetra
.301 .795 .859 r
.79094 .37415 .79364 .37454 .80135 .37129 .79866 .37089 Metetra
.333 .815 .868 r
.79866 .37089 .80135 .37129 .80907 .36759 .8064 .36718 Metetra
.365 .834 .876 r
.8064 .36718 .80907 .36759 .8168 .36343 .81416 .363 Metetra
.396 .852 .883 r
.81416 .363 .8168 .36343 .82455 .35879 .82192 .35835 Metetra
.427 .869 .889 r
.82192 .35835 .82455 .35879 .83231 .35366 .82971 .3532 Metetra
.457 .884 .894 r
.82971 .3532 .83231 .35366 .84009 .34802 .8375 .34755 Metetra
.485 .899 .897 r
.8375 .34755 .84009 .34802 .84787 .34187 .84531 .34138 Metetra
.513 .913 .9 r
.84531 .34138 .84787 .34187 .85567 .3352 .85313 .33468 Metetra
.898 .916 .826 r
.15611 .67059 .1602 .66997 .16666 .65042 .16257 .65099 Metetra
.895 .92 .83 r
.16257 .65099 .16666 .65042 .17311 .63145 .16904 .63196 Metetra
.892 .923 .835 r
.16904 .63196 .17311 .63145 .17956 .61303 .17551 .6135 Metetra
.888 .927 .84 r
.17551 .6135 .17956 .61303 .18602 .59519 .18198 .59561 Metetra
.884 .93 .846 r
.18198 .59561 .18602 .59519 .19247 .57791 .18844 .57828 Metetra
.88 .934 .851 r
.18844 .57828 .19247 .57791 .19892 .5612 .19491 .56152 Metetra
.875 .937 .857 r
.19491 .56152 .19892 .5612 .20538 .54504 .20138 .54533 Metetra
.87 .94 .862 r
.20138 .54533 .20538 .54504 .21183 .52945 .20785 .52969 Metetra
.864 .944 .868 r
.20785 .52969 .21183 .52945 .21829 .51441 .21433 .51461 Metetra
.857 .947 .874 r
.21433 .51461 .21829 .51441 .22475 .49992 .2208 .50009 Metetra
.85 .95 .88 r
.2208 .50009 .22475 .49992 .23122 .48599 .22728 .48612 Metetra
.843 .954 .887 r
.22728 .48612 .23122 .48599 .23769 .4726 .23376 .47269 Metetra
.834 .956 .893 r
.23376 .47269 .23769 .4726 .24416 .45975 .24025 .45982 Metetra
.825 .959 .899 r
.24025 .45982 .24416 .45975 .25064 .44745 .24674 .44748 Metetra
.815 .961 .905 r
.24674 .44748 .25064 .44745 .25712 .43567 .25324 .43567 Metetra
.803 .963 .912 r
.25324 .43567 .25712 .43567 .2636 .42443 .25974 .4244 Metetra
.791 .965 .918 r
.25974 .4244 .2636 .42443 .2701 .41371 .26624 .41365 Metetra
.778 .966 .923 r
.26624 .41365 .2701 .41371 .2766 .40351 .27276 .40343 Metetra
.763 .966 .929 r
.27276 .40343 .2766 .40351 .2831 .39383 .27927 .39371 Metetra
.747 .966 .934 r
.27927 .39371 .2831 .39383 .28961 .38465 .2858 .38451 Metetra
.729 .965 .939 r
.2858 .38451 .28961 .38465 .29613 .37597 .29233 .37581 Metetra
.71 .962 .943 r
.29233 .37581 .29613 .37597 .30266 .36779 .29888 .36761 Metetra
.689 .959 .946 r
.29888 .36761 .30266 .36779 .3092 .3601 .30543 .35989 Metetra
.667 .954 .948 r
.30543 .35989 .3092 .3601 .31574 .35289 .31198 .35266 Metetra
.642 .949 .95 r
.31198 .35266 .31574 .35289 .3223 .34615 .31855 .34591 Metetra
.616 .941 .95 r
.31855 .34591 .3223 .34615 .32886 .33988 .32513 .33962 Metetra
.588 .932 .949 r
.32513 .33962 .32886 .33988 .33543 .33406 .33172 .33379 Metetra
.559 .922 .947 r
.33172 .33379 .33543 .33406 .34202 .3287 .33832 .32841 Metetra
.527 .909 .943 r
.33832 .32841 .34202 .3287 .34861 .32378 .34493 .32347 Metetra
.494 .895 .938 r
.34493 .32347 .34861 .32378 .35522 .31929 .35155 .31897 Metetra
.46 .879 .931 r
.35155 .31897 .35522 .31929 .36184 .31522 .35818 .3149 Metetra
.424 .861 .922 r
.35818 .3149 .36184 .31522 .36847 .31157 .36483 .31124 Metetra
.387 .841 .911 r
.36483 .31124 .36847 .31157 .37512 .30833 .37148 .30798 Metetra
.349 .82 .899 r
.37148 .30798 .37512 .30833 .38177 .30548 .37815 .30512 Metetra
.311 .798 .886 r
.37815 .30512 .38177 .30548 .38844 .30301 .38484 .30265 Metetra
.273 .774 .871 r
.38484 .30265 .38844 .30301 .39513 .30092 .39154 .30056 Metetra
.234 .749 .854 r
.39154 .30056 .39513 .30092 .40183 .2992 .39825 .29883 Metetra
.196 .723 .837 r
.39825 .29883 .40183 .2992 .40854 .29783 .40498 .29745 Metetra
.158 .697 .819 r
.40498 .29745 .40854 .29783 .41527 .2968 .41172 .29642 Metetra
.122 .671 .8 r
.41172 .29642 .41527 .2968 .42201 .2961 .41848 .29572 Metetra
.086 .644 .781 r
.41848 .29572 .42201 .2961 .42877 .29572 .42525 .29534 Metetra
.052 .618 .761 r
.42525 .29534 .42877 .29572 .43555 .29565 .43204 .29526 Metetra
.02 .592 .742 r
.43204 .29526 .43555 .29565 .44234 .29587 .43885 .29549 Metetra
0 .567 .723 r
.43885 .29549 .44234 .29587 .44915 .29638 .44567 .296 Metetra
.041 0 0 r
.44567 .296 .44915 .29638 .45598 .29716 .45251 .29678 Metetra
.068 0 0 r
.45251 .29678 .45598 .29716 .46282 .29819 .45937 .29781 Metetra
.094 0 0 r
.45937 .29781 .46282 .29819 .46968 .29947 .46624 .2991 Metetra
.118 0 0 r
.46624 .2991 .46968 .29947 .47656 .30099 .47313 .30061 Metetra
.14 0 0 r
.47313 .30061 .47656 .30099 .48345 .30272 .48004 .30235 Metetra
.16 0 0 r
.48004 .30235 .48345 .30272 .49037 .30465 .48697 .30429 Metetra
.179 0 0 r
.48697 .30429 .49037 .30465 .4973 .30678 .49392 .30642 Metetra
.196 0 0 r
.49392 .30642 .4973 .30678 .50425 .30908 .50089 .30873 Metetra
.211 0 0 r
.50089 .30873 .50425 .30908 .51123 .31155 .50787 .3112 Metetra
.224 0 0 r
.50787 .3112 .51123 .31155 .51822 .31417 .51488 .31383 Metetra
.236 0 0 r
.51488 .31383 .51822 .31417 .52523 .31691 .5219 .31658 Metetra
.246 0 0 r
.5219 .31658 .52523 .31691 .53226 .31978 .52895 .31946 Metetra
.255 0 0 r
.52895 .31946 .53226 .31978 .53931 .32276 .53601 .32244 Metetra
.262 0 0 r
.53601 .32244 .53931 .32276 .54638 .32582 .5431 .32551 Metetra
.268 0 0 r
.5431 .32551 .54638 .32582 .55347 .32895 .5502 .32865 Metetra
.272 0 0 r
.5502 .32865 .55347 .32895 .56058 .33215 .55733 .33186 Metetra
.275 0 0 r
.55733 .33186 .56058 .33215 .56771 .33539 .56448 .33511 Metetra
.277 0 0 r
.56448 .33511 .56771 .33539 .57486 .33866 .57164 .33838 Metetra
.277 0 0 r
.57164 .33838 .57486 .33866 .58203 .34194 .57883 .34167 Metetra
.276 0 0 r
.57883 .34167 .58203 .34194 .58922 .34521 .58604 .34496 Metetra
.274 0 0 r
.58604 .34496 .58922 .34521 .59643 .34847 .59326 .34823 Metetra
.27 0 0 r
.59326 .34823 .59643 .34847 .60367 .3517 .60051 .35146 Metetra
.265 0 0 r
.60051 .35146 .60367 .3517 .61092 .35487 .60778 .35464 Metetra
.259 0 0 r
.60778 .35464 .61092 .35487 .61819 .35797 .61507 .35775 Metetra
.251 0 0 r
.61507 .35775 .61819 .35797 .62549 .361 .62238 .36078 Metetra
.242 0 0 r
.62238 .36078 .62549 .361 .6328 .36392 .62972 .36372 Metetra
.232 0 0 r
.62972 .36372 .6328 .36392 .64014 .36673 .63707 .36653 Metetra
.22 0 0 r
.63707 .36653 .64014 .36673 .6475 .36941 .64444 .36922 Metetra
.207 0 0 r
.64444 .36922 .6475 .36941 .65487 .37194 .65184 .37175 Metetra
.192 0 0 r
.65184 .37175 .65487 .37194 .66227 .3743 .65925 .37413 Metetra
.176 0 0 r
.65925 .37413 .66227 .3743 .66969 .37649 .66668 .37632 Metetra
.159 0 0 r
.66668 .37632 .66969 .37649 .67713 .37848 .67414 .37832 Metetra
.14 0 0 r
.67414 .37832 .67713 .37848 .68458 .38026 .68161 .3801 Metetra
.12 0 0 r
.68161 .3801 .68458 .38026 .69206 .38181 .68911 .38166 Metetra
.099 0 0 r
.68911 .38166 .69206 .38181 .69956 .38312 .69662 .38297 Metetra
.076 0 0 r
.69662 .38297 .69956 .38312 .70707 .38417 .70416 .38402 Metetra
.052 0 0 r
.70416 .38402 .70707 .38417 .71461 .38494 .71171 .38479 Metetra
.026 0 0 r
.71171 .38479 .71461 .38494 .72216 .38542 .71928 .38528 Metetra
.001 .578 .717 r
.71928 .38528 .72216 .38542 .72973 .3856 .72687 .38545 Metetra
.029 .6 .732 r
.72687 .38545 .72973 .3856 .73732 .38545 .73448 .38531 Metetra
.058 .623 .747 r
.73448 .38531 .73732 .38545 .74493 .38497 .7421 .38482 Metetra
.088 .647 .762 r
.7421 .38482 .74493 .38497 .75256 .38413 .74975 .38398 Metetra
.119 .67 .777 r
.74975 .38398 .75256 .38413 .7602 .38293 .75741 .38277 Metetra
.15 .693 .791 r
.75741 .38277 .7602 .38293 .76786 .38134 .76509 .38118 Metetra
.182 .716 .804 r
.76509 .38118 .76786 .38134 .77554 .37936 .77278 .37919 Metetra
.215 .739 .817 r
.77278 .37919 .77554 .37936 .78323 .37697 .7805 .37679 Metetra
.248 .761 .829 r
.7805 .37679 .78323 .37697 .79094 .37415 .78822 .37397 Metetra
.28 .783 .84 r
.78822 .37397 .79094 .37415 .79866 .37089 .79597 .3707 Metetra
.313 .803 .85 r
.79597 .3707 .79866 .37089 .8064 .36718 .80373 .36698 Metetra
.346 .823 .859 r
.80373 .36698 .8064 .36718 .81416 .363 .8115 .36279 Metetra
.378 .842 .867 r
.8115 .36279 .81416 .363 .82192 .35835 .81929 .35812 Metetra
.409 .86 .873 r
.81929 .35812 .82192 .35835 .82971 .3532 .82709 .35296 Metetra
.44 .877 .879 r
.82709 .35296 .82971 .3532 .8375 .34755 .8349 .34729 Metetra
.469 .892 .883 r
.8349 .34729 .8375 .34755 .84531 .34138 .84273 .3411 Metetra
.498 .906 .887 r
.84273 .3411 .84531 .34138 .85313 .33468 .85057 .33438 Metetra
.899 .92 .825 r
.15198 .6714 .15611 .67059 .16257 .65099 .15847 .65175 Metetra
.896 .923 .83 r
.15847 .65175 .16257 .65099 .16904 .63196 .16495 .63267 Metetra
.893 .927 .835 r
.16495 .63267 .16904 .63196 .17551 .6135 .17143 .61416 Metetra
.889 .93 .84 r
.17143 .61416 .17551 .6135 .18198 .59561 .17791 .59623 Metetra
.885 .934 .845 r
.17791 .59623 .18198 .59561 .18844 .57828 .1844 .57886 Metetra
.88 .937 .851 r
.1844 .57886 .18844 .57828 .19491 .56152 .19088 .56205 Metetra
.875 .941 .856 r
.19088 .56205 .19491 .56152 .20138 .54533 .19736 .54581 Metetra
.87 .944 .862 r
.19736 .54581 .20138 .54533 .20785 .52969 .20385 .53014 Metetra
.864 .948 .868 r
.20385 .53014 .20785 .52969 .21433 .51461 .21034 .51502 Metetra
.858 .951 .874 r
.21034 .51502 .21433 .51461 .2208 .50009 .21683 .50046 Metetra
.85 .954 .88 r
.21683 .50046 .2208 .50009 .22728 .48612 .22332 .48645 Metetra
.842 .958 .886 r
.22332 .48645 .22728 .48612 .23376 .47269 .22982 .47299 Metetra
.834 .96 .892 r
.22982 .47299 .23376 .47269 .24025 .45982 .23632 .46007 Metetra
.824 .963 .898 r
.23632 .46007 .24025 .45982 .24674 .44748 .24282 .4477 Metetra
.813 .965 .904 r
.24282 .4477 .24674 .44748 .25324 .43567 .24933 .43587 Metetra
.802 .967 .91 r
.24933 .43587 .25324 .43567 .25974 .4244 .25585 .42456 Metetra
.789 .969 .916 r
.25585 .42456 .25974 .4244 .26624 .41365 .26237 .41379 Metetra
.775 .97 .922 r
.26237 .41379 .26624 .41365 .27276 .40343 .26889 .40353 Metetra
.76 .97 .927 r
.26889 .40353 .27276 .40343 .27927 .39371 .27543 .3938 Metetra
.743 .969 .932 r
.27543 .3938 .27927 .39371 .2858 .38451 .28197 .38457 Metetra
.725 .967 .936 r
.28197 .38457 .2858 .38451 .29233 .37581 .28851 .37585 Metetra
.705 .965 .939 r
.28851 .37585 .29233 .37581 .29888 .36761 .29507 .36762 Metetra
.683 .961 .942 r
.29507 .36762 .29888 .36761 .30543 .35989 .30163 .35989 Metetra
.66 .956 .944 r
.30163 .35989 .30543 .35989 .31198 .35266 .30821 .35264 Metetra
.634 .949 .945 r
.30821 .35264 .31198 .35266 .31855 .34591 .31479 .34586 Metetra
.607 .941 .944 r
.31479 .34586 .31855 .34591 .32513 .33962 .32138 .33955 Metetra
.578 .931 .942 r
.32138 .33955 .32513 .33962 .33172 .33379 .32798 .33371 Metetra
.547 .92 .939 r
.32798 .33371 .33172 .33379 .33832 .32841 .33459 .32832 Metetra
.515 .906 .934 r
.33459 .32832 .33832 .32841 .34493 .32347 .34122 .32337 Metetra
.48 .891 .927 r
.34122 .32337 .34493 .32347 .35155 .31897 .34785 .31885 Metetra
.445 .874 .919 r
.34785 .31885 .35155 .31897 .35818 .3149 .3545 .31477 Metetra
.407 .854 .909 r
.3545 .31477 .35818 .3149 .36483 .31124 .36116 .3111 Metetra
.369 .834 .897 r
.36116 .3111 .36483 .31124 .37148 .30798 .36783 .30783 Metetra
.331 .811 .884 r
.36783 .30783 .37148 .30798 .37815 .30512 .37451 .30497 Metetra
.291 .787 .868 r
.37451 .30497 .37815 .30512 .38484 .30265 .38121 .30249 Metetra
.252 .762 .852 r
.38121 .30249 .38484 .30265 .39154 .30056 .38792 .30039 Metetra
.213 .736 .834 r
.38792 .30039 .39154 .30056 .39825 .29883 .39465 .29865 Metetra
.174 .709 .816 r
.39465 .29865 .39825 .29883 .40498 .29745 .40139 .29727 Metetra
.136 .682 .797 r
.40139 .29727 .40498 .29745 .41172 .29642 .40815 .29624 Metetra
.099 .655 .777 r
.40815 .29624 .41172 .29642 .41848 .29572 .41492 .29553 Metetra
.063 .628 .756 r
.41492 .29553 .41848 .29572 .42525 .29534 .42171 .29515 Metetra
.029 .601 .736 r
.42171 .29515 .42525 .29534 .43204 .29526 .42851 .29508 Metetra
0 .574 .716 r
.42851 .29508 .43204 .29526 .43885 .29549 .43533 .2953 Metetra
.034 0 0 r
.43533 .2953 .43885 .29549 .44567 .296 .44217 .29581 Metetra
.064 0 0 r
.44217 .29581 .44567 .296 .45251 .29678 .44902 .29659 Metetra
.091 0 0 r
.44902 .29659 .45251 .29678 .45937 .29781 .45589 .29763 Metetra
.117 0 0 r
.45589 .29763 .45937 .29781 .46624 .2991 .46278 .29892 Metetra
.14 0 0 r
.46278 .29892 .46624 .2991 .47313 .30061 .46969 .30044 Metetra
.162 0 0 r
.46969 .30044 .47313 .30061 .48004 .30235 .47662 .30218 Metetra
.182 0 0 r
.47662 .30218 .48004 .30235 .48697 .30429 .48356 .30413 Metetra
.2 0 0 r
.48356 .30413 .48697 .30429 .49392 .30642 .49052 .30627 Metetra
.217 0 0 r
.49052 .30627 .49392 .30642 .50089 .30873 .4975 .30858 Metetra
.231 0 0 r
.4975 .30858 .50089 .30873 .50787 .3112 .5045 .31106 Metetra
.244 0 0 r
.5045 .31106 .50787 .3112 .51488 .31383 .51152 .31369 Metetra
.256 0 0 r
.51152 .31369 .51488 .31383 .5219 .31658 .51856 .31645 Metetra
.266 0 0 r
.51856 .31645 .5219 .31658 .52895 .31946 .52562 .31934 Metetra
.275 0 0 r
.52562 .31934 .52895 .31946 .53601 .32244 .5327 .32233 Metetra
.282 0 0 r
.5327 .32233 .53601 .32244 .5431 .32551 .5398 .32541 Metetra
.287 0 0 r
.5398 .32541 .5431 .32551 .5502 .32865 .54692 .32856 Metetra
.292 0 0 r
.54692 .32856 .5502 .32865 .55733 .33186 .55407 .33177 Metetra
.294 0 0 r
.55407 .33177 .55733 .33186 .56448 .33511 .56123 .33503 Metetra
.296 0 0 r
.56123 .33503 .56448 .33511 .57164 .33838 .56841 .33832 Metetra
.296 0 0 r
.56841 .33832 .57164 .33838 .57883 .34167 .57561 .34161 Metetra
.295 0 0 r
.57561 .34161 .57883 .34167 .58604 .34496 .58283 .34491 Metetra
.293 0 0 r
.58283 .34491 .58604 .34496 .59326 .34823 .59008 .34818 Metetra
.289 0 0 r
.59008 .34818 .59326 .34823 .60051 .35146 .59734 .35143 Metetra
.284 0 0 r
.59734 .35143 .60051 .35146 .60778 .35464 .60463 .35462 Metetra
.278 0 0 r
.60463 .35462 .60778 .35464 .61507 .35775 .61194 .35774 Metetra
.271 0 0 r
.61194 .35774 .61507 .35775 .62238 .36078 .61926 .36078 Metetra
.262 0 0 r
.61926 .36078 .62238 .36078 .62972 .36372 .62661 .36372 Metetra
.252 0 0 r
.62661 .36372 .62972 .36372 .63707 .36653 .63398 .36654 Metetra
.24 0 0 r
.63398 .36654 .63707 .36653 .64444 .36922 .64137 .36924 Metetra
.227 0 0 r
.64137 .36924 .64444 .36922 .65184 .37175 .64878 .37178 Metetra
.213 0 0 r
.64878 .37178 .65184 .37175 .65925 .37413 .65621 .37416 Metetra
.198 0 0 r
.65621 .37416 .65925 .37413 .66668 .37632 .66366 .37636 Metetra
.181 0 0 r
.66366 .37636 .66668 .37632 .67414 .37832 .67114 .37836 Metetra
.162 0 0 r
.67114 .37836 .67414 .37832 .68161 .3801 .67863 .38015 Metetra
.142 0 0 r
.67863 .38015 .68161 .3801 .68911 .38166 .68614 .38171 Metetra
.121 0 0 r
.68614 .38171 .68911 .38166 .69662 .38297 .69367 .38303 Metetra
.098 0 0 r
.69367 .38303 .69662 .38297 .70416 .38402 .70122 .38408 Metetra
.074 0 0 r
.70122 .38408 .70416 .38402 .71171 .38479 .70879 .38486 Metetra
.049 0 0 r
.70879 .38486 .71171 .38479 .71928 .38528 .71638 .38534 Metetra
.022 0 0 r
.71638 .38534 .71928 .38528 .72687 .38545 .72399 .38552 Metetra
.72399 .38552 .72687 .38545 .73448 .38531 .73162 .38537 Metetra
.035 .605 .721 r
.73162 .38537 .73448 .38531 .7421 .38482 .73926 .38488 Metetra
.065 .629 .737 r
.73926 .38488 .7421 .38482 .74975 .38398 .74692 .38404 Metetra
.096 .653 .752 r
.74692 .38404 .74975 .38398 .75741 .38277 .7546 .38283 Metetra
.127 .677 .767 r
.7546 .38283 .75741 .38277 .76509 .38118 .7623 .38124 Metetra
.16 .7 .781 r
.7623 .38124 .76509 .38118 .77278 .37919 .77002 .37924 Metetra
.193 .724 .794 r
.77002 .37924 .77278 .37919 .7805 .37679 .77775 .37683 Metetra
.226 .747 .807 r
.77775 .37683 .7805 .37679 .78822 .37397 .78549 .374 Metetra
.259 .769 .819 r
.78549 .374 .78822 .37397 .79597 .3707 .79326 .37072 Metetra
.292 .791 .83 r
.79326 .37072 .79597 .3707 .80373 .36698 .80104 .36699 Metetra
.326 .812 .84 r
.80104 .36699 .80373 .36698 .8115 .36279 .80883 .36279 Metetra
.358 .831 .849 r
.80883 .36279 .8115 .36279 .81929 .35812 .81664 .35811 Metetra
.39 .85 .856 r
.81664 .35811 .81929 .35812 .82709 .35296 .82446 .35293 Metetra
.422 .868 .863 r
.82446 .35293 .82709 .35296 .8349 .34729 .83229 .34724 Metetra
.452 .884 .868 r
.83229 .34724 .8349 .34729 .84273 .3411 .84014 .34104 Metetra
.482 .899 .872 r
.84014 .34104 .84273 .3411 .85057 .33438 .848 .3343 Metetra
.9 .923 .825 r
.14784 .67241 .15198 .6714 .15847 .65175 .15434 .65271 Metetra
.897 .926 .829 r
.15434 .65271 .15847 .65175 .16495 .63267 .16083 .63358 Metetra
.894 .93 .834 r
.16083 .63358 .16495 .63267 .17143 .61416 .16733 .61503 Metetra
.89 .934 .839 r
.16733 .61503 .17143 .61416 .17791 .59623 .17383 .59704 Metetra
.886 .937 .845 r
.17383 .59704 .17791 .59623 .1844 .57886 .18032 .57963 Metetra
.881 .941 .85 r
.18032 .57963 .1844 .57886 .19088 .56205 .18682 .56278 Metetra
.876 .945 .856 r
.18682 .56278 .19088 .56205 .19736 .54581 .19332 .5465 Metetra
.871 .948 .861 r
.19332 .5465 .19736 .54581 .20385 .53014 .19982 .53078 Metetra
.864 .952 .867 r
.19982 .53078 .20385 .53014 .21034 .51502 .20632 .51562 Metetra
.858 .955 .873 r
.20632 .51562 .21034 .51502 .21683 .50046 .21283 .50102 Metetra
.85 .958 .879 r
.21283 .50102 .21683 .50046 .22332 .48645 .21934 .48697 Metetra
.842 .962 .885 r
.21934 .48697 .22332 .48645 .22982 .47299 .22585 .47348 Metetra
.833 .964 .891 r
.22585 .47348 .22982 .47299 .23632 .46007 .23236 .46053 Metetra
.823 .967 .897 r
.23236 .46053 .23632 .46007 .24282 .4477 .23888 .44813 Metetra
.812 .969 .903 r
.23888 .44813 .24282 .4477 .24933 .43587 .2454 .43626 Metetra
.8 .971 .909 r
.2454 .43626 .24933 .43587 .25585 .42456 .25193 .42493 Metetra
.787 .972 .914 r
.25193 .42493 .25585 .42456 .26237 .41379 .25847 .41412 Metetra
.772 .973 .919 r
.25847 .41412 .26237 .41379 .26889 .40353 .26501 .40384 Metetra
.756 .973 .924 r
.26501 .40384 .26889 .40353 .27543 .3938 .27155 .39408 Metetra
.739 .972 .929 r
.27155 .39408 .27543 .3938 .28197 .38457 .27811 .38483 Metetra
.72 .97 .932 r
.27811 .38483 .28197 .38457 .28851 .37585 .28467 .37608 Metetra
.699 .967 .935 r
.28467 .37608 .28851 .37585 .29507 .36762 .29124 .36783 Metetra
.676 .963 .938 r
.29124 .36783 .29507 .36762 .30163 .35989 .29782 .36008 Metetra
.652 .957 .939 r
.29782 .36008 .30163 .35989 .30821 .35264 .3044 .35281 Metetra
.626 .949 .939 r
.3044 .35281 .30821 .35264 .31479 .34586 .311 .34601 Metetra
.597 .94 .937 r
.311 .34601 .31479 .34586 .32138 .33955 .31761 .33969 Metetra
.567 .93 .934 r
.31761 .33969 .32138 .33955 .32798 .33371 .32422 .33383 Metetra
.535 .917 .93 r
.32422 .33383 .32798 .33371 .33459 .32832 .33085 .32842 Metetra
.501 .902 .924 r
.33085 .32842 .33459 .32832 .34122 .32337 .33749 .32346 Metetra
.465 .886 .916 r
.33749 .32346 .34122 .32337 .34785 .31885 .34413 .31893 Metetra
.428 .867 .906 r
.34413 .31893 .34785 .31885 .3545 .31477 .35079 .31484 Metetra
.39 .847 .894 r
.35079 .31484 .3545 .31477 .36116 .3111 .35747 .31116 Metetra
.351 .825 .881 r
.35747 .31116 .36116 .3111 .36783 .30783 .36415 .30788 Metetra
.311 .801 .866 r
.36415 .30788 .36783 .30783 .37451 .30497 .37085 .30501 Metetra
.271 .776 .85 r
.37085 .30501 .37451 .30497 .38121 .30249 .37756 .30252 Metetra
.231 .749 .832 r
.37756 .30252 .38121 .30249 .38792 .30039 .38429 .30042 Metetra
.191 .722 .813 r
.38429 .30042 .38792 .30039 .39465 .29865 .39103 .29868 Metetra
.152 .694 .793 r
.39103 .29868 .39465 .29865 .40139 .29727 .39779 .29729 Metetra
.113 .666 .773 r
.39779 .29729 .40139 .29727 .40815 .29624 .40456 .29626 Metetra
.076 .638 .752 r
.40456 .29626 .40815 .29624 .41492 .29553 .41134 .29555 Metetra
.04 .61 .731 r
.41134 .29555 .41492 .29553 .42171 .29515 .41815 .29517 Metetra
.006 .582 .71 r
.41815 .29517 .42171 .29515 .42851 .29508 .42496 .29509 Metetra
.026 0 0 r
.42496 .29509 .42851 .29508 .43533 .2953 .4318 .29532 Metetra
.057 0 0 r
.4318 .29532 .43533 .2953 .44217 .29581 .43865 .29583 Metetra
.086 0 0 r
.43865 .29583 .44217 .29581 .44902 .29659 .44552 .29661 Metetra
.113 0 0 r
.44552 .29661 .44902 .29659 .45589 .29763 .4524 .29766 Metetra
.138 0 0 r
.4524 .29766 .45589 .29763 .46278 .29892 .45931 .29895 Metetra
.162 0 0 r
.45931 .29895 .46278 .29892 .46969 .30044 .46623 .30047 Metetra
.183 0 0 r
.46623 .30047 .46969 .30044 .47662 .30218 .47317 .30222 Metetra
.203 0 0 r
.47317 .30222 .47662 .30218 .48356 .30413 .48013 .30417 Metetra
.221 0 0 r
.48013 .30417 .48356 .30413 .49052 .30627 .4871 .30631 Metetra
.237 0 0 r
.4871 .30631 .49052 .30627 .4975 .30858 .4941 .30864 Metetra
.251 0 0 r
.4941 .30864 .4975 .30858 .5045 .31106 .50112 .31112 Metetra
.264 0 0 r
.50112 .31112 .5045 .31106 .51152 .31369 .50815 .31376 Metetra
.275 0 0 r
.50815 .31376 .51152 .31369 .51856 .31645 .51521 .31653 Metetra
.285 0 0 r
.51521 .31653 .51856 .31645 .52562 .31934 .52228 .31942 Metetra
.293 0 0 r
.52228 .31942 .52562 .31934 .5327 .32233 .52938 .32242 Metetra
.3 0 0 r
.52938 .32242 .5327 .32233 .5398 .32541 .53649 .32551 Metetra
.306 0 0 r
.53649 .32551 .5398 .32541 .54692 .32856 .54363 .32867 Metetra
.31 0 0 r
.54363 .32867 .54692 .32856 .55407 .33177 .55078 .33189 Metetra
.313 0 0 r
.55078 .33189 .55407 .33177 .56123 .33503 .55796 .33516 Metetra
.314 0 0 r
.55796 .33516 .56123 .33503 .56841 .33832 .56516 .33845 Metetra
.315 0 0 r
.56516 .33845 .56841 .33832 .57561 .34161 .57238 .34176 Metetra
.314 0 0 r
.57238 .34176 .57561 .34161 .58283 .34491 .57961 .34507 Metetra
.311 0 0 r
.57961 .34507 .58283 .34491 .59008 .34818 .58687 .34835 Metetra
.308 0 0 r
.58687 .34835 .59008 .34818 .59734 .35143 .59416 .3516 Metetra
.303 0 0 r
.59416 .3516 .59734 .35143 .60463 .35462 .60146 .3548 Metetra
.297 0 0 r
.60146 .3548 .60463 .35462 .61194 .35774 .60878 .35793 Metetra
.29 0 0 r
.60878 .35793 .61194 .35774 .61926 .36078 .61613 .36098 Metetra
.281 0 0 r
.61613 .36098 .61926 .36078 .62661 .36372 .62349 .36393 Metetra
.271 0 0 r
.62349 .36393 .62661 .36372 .63398 .36654 .63088 .36677 Metetra
.26 0 0 r
.63088 .36677 .63398 .36654 .64137 .36924 .63828 .36947 Metetra
.247 0 0 r
.63828 .36947 .64137 .36924 .64878 .37178 .64571 .37202 Metetra
.233 0 0 r
.64571 .37202 .64878 .37178 .65621 .37416 .65316 .37441 Metetra
.218 0 0 r
.65316 .37441 .65621 .37416 .66366 .37636 .66063 .37661 Metetra
.201 0 0 r
.66063 .37661 .66366 .37636 .67114 .37836 .66812 .37862 Metetra
.183 0 0 r
.66812 .37862 .67114 .37836 .67863 .38015 .67563 .38042 Metetra
.164 0 0 r
.67563 .38042 .67863 .38015 .68614 .38171 .68315 .38198 Metetra
.143 0 0 r
.68315 .38198 .68614 .38171 .69367 .38303 .6907 .3833 Metetra
.12 0 0 r
.6907 .3833 .69367 .38303 .70122 .38408 .69827 .38436 Metetra
.097 0 0 r
.69827 .38436 .70122 .38408 .70879 .38486 .70586 .38514 Metetra
.072 0 0 r
.70586 .38514 .70879 .38486 .71638 .38534 .71347 .38562 Metetra
.045 0 0 r
.71347 .38562 .71638 .38534 .72399 .38552 .72109 .3858 Metetra
.017 0 0 r
.72109 .3858 .72399 .38552 .73162 .38537 .72874 .38565 Metetra
.72874 .38565 .73162 .38537 .73926 .38488 .7364 .38516 Metetra
.042 .61 .71 r
.7364 .38516 .73926 .38488 .74692 .38404 .74408 .38432 Metetra
.073 .635 .726 r
.74408 .38432 .74692 .38404 .7546 .38283 .75178 .38311 Metetra
.104 .659 .741 r
.75178 .38311 .7546 .38283 .7623 .38124 .7595 .38151 Metetra
.137 .684 .756 r
.7595 .38151 .7623 .38124 .77002 .37924 .76723 .37951 Metetra
.17 .708 .771 r
.76723 .37951 .77002 .37924 .77775 .37683 .77498 .37709 Metetra
.204 .731 .784 r
.77498 .37709 .77775 .37683 .78549 .374 .78275 .37425 Metetra
.237 .755 .797 r
.78275 .37425 .78549 .374 .79326 .37072 .79053 .37096 Metetra
.271 .777 .809 r
.79053 .37096 .79326 .37072 .80104 .36699 .79833 .36722 Metetra
.305 .799 .82 r
.79833 .36722 .80104 .36699 .80883 .36279 .80614 .36301 Metetra
.338 .819 .829 r
.80614 .36301 .80883 .36279 .81664 .35811 .81397 .35831 Metetra
.371 .839 .838 r
.81397 .35831 .81664 .35811 .82446 .35293 .82181 .35312 Metetra
.403 .858 .845 r
.82181 .35312 .82446 .35293 .83229 .34724 .82967 .34741 Metetra
.435 .875 .851 r
.82967 .34741 .83229 .34724 .84014 .34104 .83754 .34119 Metetra
.465 .891 .857 r
.83754 .34119 .84014 .34104 .848 .3343 .84542 .33443 Metetra
.901 .926 .824 r
.14367 .67363 .14784 .67241 .15434 .65271 .15018 .65388 Metetra
.898 .93 .829 r
.15018 .65388 .15434 .65271 .16083 .63358 .15669 .6347 Metetra
.895 .933 .834 r
.15669 .6347 .16083 .63358 .16733 .61503 .1632 .61609 Metetra
.891 .937 .839 r
.1632 .61609 .16733 .61503 .17383 .59704 .16972 .59806 Metetra
.886 .941 .844 r
.16972 .59806 .17383 .59704 .18032 .57963 .17623 .5806 Metetra
.882 .945 .849 r
.17623 .5806 .18032 .57963 .18682 .56278 .18274 .56371 Metetra
.877 .948 .855 r
.18274 .56371 .18682 .56278 .19332 .5465 .18925 .54738 Metetra
.871 .952 .86 r
.18925 .54738 .19332 .5465 .19982 .53078 .19577 .53162 Metetra
.865 .955 .866 r
.19577 .53162 .19982 .53078 .20632 .51562 .20229 .51642 Metetra
.858 .959 .872 r
.20229 .51642 .20632 .51562 .21283 .50102 .2088 .50178 Metetra
.85 .962 .878 r
.2088 .50178 .21283 .50102 .21934 .48697 .21533 .4877 Metetra
.841 .965 .884 r
.21533 .4877 .21934 .48697 .22585 .47348 .22185 .47417 Metetra
.832 .968 .89 r
.22185 .47417 .22585 .47348 .23236 .46053 .22838 .46119 Metetra
.822 .971 .895 r
.22838 .46119 .23236 .46053 .23888 .44813 .23491 .44875 Metetra
.81 .973 .901 r
.23491 .44875 .23888 .44813 .2454 .43626 .24145 .43685 Metetra
.798 .975 .907 r
.24145 .43685 .2454 .43626 .25193 .42493 .248 .42549 Metetra
.784 .976 .912 r
.248 .42549 .25193 .42493 .25847 .41412 .25454 .41466 Metetra
.769 .976 .917 r
.25454 .41466 .25847 .41412 .26501 .40384 .2611 .40435 Metetra
.752 .976 .921 r
.2611 .40435 .26501 .40384 .27155 .39408 .26766 .39456 Metetra
.734 .974 .925 r
.26766 .39456 .27155 .39408 .27811 .38483 .27423 .38528 Metetra
.714 .972 .929 r
.27423 .38528 .27811 .38483 .28467 .37608 .2808 .37651 Metetra
.693 .968 .931 r
.2808 .37651 .28467 .37608 .29124 .36783 .28739 .36824 Metetra
.669 .963 .932 r
.28739 .36824 .29124 .36783 .29782 .36008 .29398 .36047 Metetra
.644 .957 .933 r
.29398 .36047 .29782 .36008 .3044 .35281 .30058 .35318 Metetra
.616 .949 .932 r
.30058 .35318 .3044 .35281 .311 .34601 .30719 .34637 Metetra
.587 .939 .929 r
.30719 .34637 .311 .34601 .31761 .33969 .31381 .34003 Metetra
.555 .927 .925 r
.31381 .34003 .31761 .33969 .32422 .33383 .32044 .33415 Metetra
.522 .913 .92 r
.32044 .33415 .32422 .33383 .33085 .32842 .32708 .32873 Metetra
.487 .897 .912 r
.32708 .32873 .33085 .32842 .33749 .32346 .33373 .32375 Metetra
.45 .88 .903 r
.33373 .32375 .33749 .32346 .34413 .31893 .3404 .31921 Metetra
.412 .86 .892 r
.3404 .31921 .34413 .31893 .35079 .31484 .34707 .31511 Metetra
.372 .838 .879 r
.34707 .31511 .35079 .31484 .35747 .31116 .35376 .31142 Metetra
.332 .814 .864 r
.35376 .31142 .35747 .31116 .36415 .30788 .36046 .30813 Metetra
.291 .789 .848 r
.36046 .30813 .36415 .30788 .37085 .30501 .36717 .30525 Metetra
.25 .763 .83 r
.36717 .30525 .37085 .30501 .37756 .30252 .3739 .30276 Metetra
.209 .735 .811 r
.3739 .30276 .37756 .30252 .38429 .30042 .38064 .30065 Metetra
.169 .707 .791 r
.38064 .30065 .38429 .30042 .39103 .29868 .38739 .2989 Metetra
.129 .678 .77 r
.38739 .2989 .39103 .29868 .39779 .29729 .39416 .29752 Metetra
.091 .649 .748 r
.39416 .29752 .39779 .29729 .40456 .29626 .40095 .29648 Metetra
.053 .62 .727 r
.40095 .29648 .40456 .29626 .41134 .29555 .40775 .29577 Metetra
.40775 .29577 .41134 .29555 .41815 .29517 .41456 .29539 Metetra
.017 0 0 r
.41456 .29539 .41815 .29517 .42496 .29509 .42139 .29531 Metetra
.049 0 0 r
.42139 .29531 .42496 .29509 .4318 .29532 .42824 .29554 Metetra
.08 0 0 r
.42824 .29554 .4318 .29532 .43865 .29583 .43511 .29605 Metetra
.108 0 0 r
.43511 .29605 .43865 .29583 .44552 .29661 .44199 .29684 Metetra
.135 0 0 r
.44199 .29684 .44552 .29661 .4524 .29766 .44889 .29788 Metetra
.16 0 0 r
.44889 .29788 .4524 .29766 .45931 .29895 .45581 .29918 Metetra
.183 0 0 r
.45581 .29918 .45931 .29895 .46623 .30047 .46275 .30071 Metetra
.204 0 0 r
.46275 .30071 .46623 .30047 .47317 .30222 .4697 .30246 Metetra
.223 0 0 r
.4697 .30246 .47317 .30222 .48013 .30417 .47667 .30441 Metetra
.24 0 0 r
.47667 .30441 .48013 .30417 .4871 .30631 .48367 .30657 Metetra
.256 0 0 r
.48367 .30657 .4871 .30631 .4941 .30864 .49068 .30889 Metetra
.27 0 0 r
.49068 .30889 .4941 .30864 .50112 .31112 .49771 .31139 Metetra
.283 0 0 r
.49771 .31139 .50112 .31112 .50815 .31376 .50476 .31403 Metetra
.294 0 0 r
.50476 .31403 .50815 .31376 .51521 .31653 .51183 .31681 Metetra
.303 0 0 r
.51183 .31681 .51521 .31653 .52228 .31942 .51892 .31971 Metetra
.311 0 0 r
.51892 .31971 .52228 .31942 .52938 .32242 .52603 .32272 Metetra
.318 0 0 r
.52603 .32272 .52938 .32242 .53649 .32551 .53316 .32582 Metetra
.324 0 0 r
.53316 .32582 .53649 .32551 .54363 .32867 .54031 .32899 Metetra
.328 0 0 r
.54031 .32899 .54363 .32867 .55078 .33189 .54748 .33222 Metetra
.33 0 0 r
.54748 .33222 .55078 .33189 .55796 .33516 .55467 .3355 Metetra
.332 0 0 r
.55467 .3355 .55796 .33516 .56516 .33845 .56189 .3388 Metetra
.332 0 0 r
.56189 .3388 .56516 .33845 .57238 .34176 .56912 .34212 Metetra
.331 0 0 r
.56912 .34212 .57238 .34176 .57961 .34507 .57638 .34543 Metetra
.329 0 0 r
.57638 .34543 .57961 .34507 .58687 .34835 .58365 .34873 Metetra
.325 0 0 r
.58365 .34873 .58687 .34835 .59416 .3516 .59095 .35199 Metetra
.321 0 0 r
.59095 .35199 .59416 .3516 .60146 .3548 .59827 .3552 Metetra
.315 0 0 r
.59827 .3552 .60146 .3548 .60878 .35793 .60561 .35834 Metetra
.308 0 0 r
.60561 .35834 .60878 .35793 .61613 .36098 .61297 .3614 Metetra
.299 0 0 r
.61297 .3614 .61613 .36098 .62349 .36393 .62035 .36436 Metetra
.29 0 0 r
.62035 .36436 .62349 .36393 .63088 .36677 .62775 .3672 Metetra
.279 0 0 r
.62775 .3672 .63088 .36677 .63828 .36947 .63518 .36991 Metetra
.266 0 0 r
.63518 .36991 .63828 .36947 .64571 .37202 .64262 .37247 Metetra
.253 0 0 r
.64262 .37247 .64571 .37202 .65316 .37441 .65009 .37486 Metetra
.238 0 0 r
.65009 .37486 .65316 .37441 .66063 .37661 .65757 .37708 Metetra
.221 0 0 r
.65757 .37708 .66063 .37661 .66812 .37862 .66508 .37909 Metetra
.204 0 0 r
.66508 .37909 .66812 .37862 .67563 .38042 .67261 .38089 Metetra
.185 0 0 r
.67261 .38089 .67563 .38042 .68315 .38198 .68015 .38246 Metetra
.164 0 0 r
.68015 .38246 .68315 .38198 .6907 .3833 .68772 .38379 Metetra
.142 0 0 r
.68772 .38379 .6907 .3833 .69827 .38436 .69531 .38485 Metetra
.119 0 0 r
.69531 .38485 .69827 .38436 .70586 .38514 .70291 .38563 Metetra
.094 0 0 r
.70291 .38563 .70586 .38514 .71347 .38562 .71054 .38612 Metetra
.068 0 0 r
.71054 .38612 .71347 .38562 .72109 .3858 .71818 .3863 Metetra
.04 0 0 r
.71818 .3863 .72109 .3858 .72874 .38565 .72585 .38615 Metetra
.011 0 0 r
.72585 .38615 .72874 .38565 .7364 .38516 .73353 .38566 Metetra
.73353 .38566 .7364 .38516 .74408 .38432 .74123 .38482 Metetra
.74123 .38482 .74408 .38432 .75178 .38311 .74895 .3836 Metetra
.081 .641 .715 r
.74895 .3836 .75178 .38311 .7595 .38151 .75668 .382 Metetra
.114 .666 .731 r
.75668 .382 .7595 .38151 .76723 .37951 .76444 .37999 Metetra
.147 .691 .746 r
.76444 .37999 .76723 .37951 .77498 .37709 .77221 .37757 Metetra
.181 .715 .76 r
.77221 .37757 .77498 .37709 .78275 .37425 .77999 .37472 Metetra
.215 .739 .774 r
.77999 .37472 .78275 .37425 .79053 .37096 .7878 .37142 Metetra
.25 .762 .786 r
.7878 .37142 .79053 .37096 .79833 .36722 .79561 .36767 Metetra
.284 .785 .798 r
.79561 .36767 .79833 .36722 .80614 .36301 .80345 .36344 Metetra
.318 .806 .809 r
.80345 .36344 .80614 .36301 .81397 .35831 .81129 .35873 Metetra
.351 .827 .818 r
.81129 .35873 .81397 .35831 .82181 .35312 .81915 .35352 Metetra
.384 .846 .827 r
.81915 .35352 .82181 .35312 .82967 .34741 .82703 .34781 Metetra
.416 .865 .834 r
.82703 .34781 .82967 .34741 .83754 .34119 .83492 .34156 Metetra
.448 .881 .84 r
.83492 .34156 .83754 .34119 .84542 .33443 .84282 .33479 Metetra
.902 .93 .823 r
.13947 .67505 .14367 .67363 .15018 .65388 .146 .65525 Metetra
.899 .933 .828 r
.146 .65525 .15018 .65388 .15669 .6347 .15253 .63602 Metetra
.896 .937 .833 r
.15253 .63602 .15669 .6347 .1632 .61609 .15905 .61736 Metetra
.892 .941 .838 r
.15905 .61736 .1632 .61609 .16972 .59806 .16558 .59928 Metetra
.887 .944 .843 r
.16558 .59928 .16972 .59806 .17623 .5806 .17211 .58177 Metetra
.882 .948 .848 r
.17211 .58177 .17623 .5806 .18274 .56371 .17863 .56484 Metetra
.877 .952 .854 r
.17863 .56484 .18274 .56371 .18925 .54738 .18516 .54847 Metetra
.871 .956 .859 r
.18516 .54847 .18925 .54738 .19577 .53162 .19169 .53267 Metetra
.865 .959 .865 r
.19169 .53267 .19577 .53162 .20229 .51642 .19822 .51743 Metetra
.857 .963 .871 r
.19822 .51743 .20229 .51642 .2088 .50178 .20476 .50275 Metetra
.849 .966 .877 r
.20476 .50275 .2088 .50178 .21533 .4877 .21129 .48863 Metetra
.841 .969 .882 r
.21129 .48863 .21533 .4877 .22185 .47417 .21783 .47506 Metetra
.831 .972 .888 r
.21783 .47506 .22185 .47417 .22838 .46119 .22438 .46205 Metetra
.82 .974 .894 r
.22438 .46205 .22838 .46119 .23491 .44875 .23093 .44958 Metetra
.808 .976 .899 r
.23093 .44958 .23491 .44875 .24145 .43685 .23748 .43765 Metetra
.795 .978 .904 r
.23748 .43765 .24145 .43685 .248 .42549 .24404 .42625 Metetra
.781 .979 .909 r
.24404 .42625 .248 .42549 .25454 .41466 .2506 .41539 Metetra
.765 .979 .914 r
.2506 .41539 .25454 .41466 .2611 .40435 .25717 .40506 Metetra
.748 .978 .918 r
.25717 .40506 .2611 .40435 .26766 .39456 .26374 .39524 Metetra
.729 .977 .921 r
.26374 .39524 .26766 .39456 .27423 .38528 .27033 .38594 Metetra
.708 .974 .924 r
.27033 .38594 .27423 .38528 .2808 .37651 .27692 .37715 Metetra
.686 .97 .926 r
.27692 .37715 .2808 .37651 .28739 .36824 .28351 .36886 Metetra
.661 .964 .926 r
.28351 .36886 .28739 .36824 .29398 .36047 .29012 .36106 Metetra
.635 .957 .926 r
.29012 .36106 .29398 .36047 .30058 .35318 .29674 .35375 Metetra
.606 .948 .924 r
.29674 .35375 .30058 .35318 .30719 .34637 .30336 .34692 Metetra
.575 .937 .92 r
.30336 .34692 .30719 .34637 .31381 .34003 .30999 .34056 Metetra
.543 .924 .915 r
.30999 .34056 .31381 .34003 .32044 .33415 .31664 .33467 Metetra
.508 .909 .908 r
.31664 .33467 .32044 .33415 .32708 .32873 .32329 .32924 Metetra
.471 .892 .9 r
.32329 .32924 .32708 .32873 .33373 .32375 .32996 .32425 Metetra
.433 .872 .889 r
.32996 .32425 .33373 .32375 .3404 .31921 .33663 .3197 Metetra
.394 .851 .876 r
.33663 .3197 .3404 .31921 .34707 .31511 .34332 .31558 Metetra
.354 .828 .862 r
.34332 .31558 .34707 .31511 .35376 .31142 .35002 .31188 Metetra
.312 .803 .846 r
.35002 .31188 .35376 .31142 .36046 .30813 .35674 .30859 Metetra
.271 .777 .828 r
.35674 .30859 .36046 .30813 .36717 .30525 .36347 .3057 Metetra
.229 .749 .809 r
.36347 .3057 .36717 .30525 .3739 .30276 .37021 .3032 Metetra
.188 .72 .788 r
.37021 .3032 .3739 .30276 .38064 .30065 .37696 .30108 Metetra
.147 .691 .767 r
.37696 .30108 .38064 .30065 .38739 .2989 .38373 .29933 Metetra
.107 .661 .745 r
.38373 .29933 .38739 .2989 .39416 .29752 .39051 .29794 Metetra
.068 .631 .723 r
.39051 .29794 .39416 .29752 .40095 .29648 .39731 .2969 Metetra
.39731 .2969 .40095 .29648 .40775 .29577 .40413 .29619 Metetra
.005 0 0 r
.40413 .29619 .40775 .29577 .41456 .29539 .41096 .29581 Metetra
.039 0 0 r
.41096 .29581 .41456 .29539 .42139 .29531 .4178 .29573 Metetra
.071 0 0 r
.4178 .29573 .42139 .29531 .42824 .29554 .42467 .29596 Metetra
.101 0 0 r
.42467 .29596 .42824 .29554 .43511 .29605 .43155 .29648 Metetra
.13 0 0 r
.43155 .29648 .43511 .29605 .44199 .29684 .43844 .29727 Metetra
.156 0 0 r
.43844 .29727 .44199 .29684 .44889 .29788 .44536 .29832 Metetra
.18 0 0 r
.44536 .29832 .44889 .29788 .45581 .29918 .45229 .29961 Metetra
.203 0 0 r
.45229 .29961 .45581 .29918 .46275 .30071 .45924 .30115 Metetra
.224 0 0 r
.45924 .30115 .46275 .30071 .4697 .30246 .46621 .3029 Metetra
.242 0 0 r
.46621 .3029 .4697 .30246 .47667 .30441 .4732 .30487 Metetra
.259 0 0 r
.4732 .30487 .47667 .30441 .48367 .30657 .48021 .30702 Metetra
.275 0 0 r
.48021 .30702 .48367 .30657 .49068 .30889 .48723 .30936 Metetra
.289 0 0 r
.48723 .30936 .49068 .30889 .49771 .31139 .49428 .31186 Metetra
.301 0 0 r
.49428 .31186 .49771 .31139 .50476 .31403 .50134 .31452 Metetra
.312 0 0 r
.50134 .31452 .50476 .31403 .51183 .31681 .50843 .3173 Metetra
.321 0 0 r
.50843 .3173 .51183 .31681 .51892 .31971 .51554 .32021 Metetra
.329 0 0 r
.51554 .32021 .51892 .31971 .52603 .32272 .52266 .32323 Metetra
.335 0 0 r
.52266 .32323 .52603 .32272 .53316 .32582 .52981 .32634 Metetra
.34 0 0 r
.52981 .32634 .53316 .32582 .54031 .32899 .53697 .32952 Metetra
.344 0 0 r
.53697 .32952 .54031 .32899 .54748 .33222 .54416 .33276 Metetra
.347 0 0 r
.54416 .33276 .54748 .33222 .55467 .3355 .55137 .33605 Metetra
.349 0 0 r
.55137 .33605 .55467 .3355 .56189 .3388 .5586 .33936 Metetra
.349 0 0 r
.5586 .33936 .56189 .3388 .56912 .34212 .56585 .34269 Metetra
.348 0 0 r
.56585 .34269 .56912 .34212 .57638 .34543 .57312 .34601 Metetra
.346 0 0 r
.57312 .34601 .57638 .34543 .58365 .34873 .58041 .34932 Metetra
.342 0 0 r
.58041 .34932 .58365 .34873 .59095 .35199 .58773 .35259 Metetra
.338 0 0 r
.58773 .35259 .59095 .35199 .59827 .3552 .59506 .35581 Metetra
.332 0 0 r
.59506 .35581 .59827 .3552 .60561 .35834 .60242 .35896 Metetra
.325 0 0 r
.60242 .35896 .60561 .35834 .61297 .3614 .6098 .36203 Metetra
.317 0 0 r
.6098 .36203 .61297 .3614 .62035 .36436 .61719 .365 Metetra
.308 0 0 r
.61719 .365 .62035 .36436 .62775 .3672 .62461 .36785 Metetra
.297 0 0 r
.62461 .36785 .62775 .3672 .63518 .36991 .63205 .37057 Metetra
.285 0 0 r
.63205 .37057 .63518 .36991 .64262 .37247 .63952 .37314 Metetra
.272 0 0 r
.63952 .37314 .64262 .37247 .65009 .37486 .647 .37554 Metetra
.257 0 0 r
.647 .37554 .65009 .37486 .65757 .37708 .6545 .37776 Metetra
.241 0 0 r
.6545 .37776 .65757 .37708 .66508 .37909 .66203 .37978 Metetra
.224 0 0 r
.66203 .37978 .66508 .37909 .67261 .38089 .66957 .38159 Metetra
.205 0 0 r
.66957 .38159 .67261 .38089 .68015 .38246 .67714 .38316 Metetra
.185 0 0 r
.67714 .38316 .68015 .38246 .68772 .38379 .68472 .38449 Metetra
.163 0 0 r
.68472 .38449 .68772 .38379 .69531 .38485 .69233 .38556 Metetra
.14 0 0 r
.69233 .38556 .69531 .38485 .70291 .38563 .69995 .38635 Metetra
.115 0 0 r
.69995 .38635 .70291 .38563 .71054 .38612 .7076 .38684 Metetra
.09 0 0 r
.7076 .38684 .71054 .38612 .71818 .3863 .71526 .38702 Metetra
.062 0 0 r
.71526 .38702 .71818 .3863 .72585 .38615 .72294 .38687 Metetra
.034 0 0 r
.72294 .38687 .72585 .38615 .73353 .38566 .73064 .38638 Metetra
.004 0 0 r
.73064 .38638 .73353 .38566 .74123 .38482 .73836 .38553 Metetra
.73836 .38553 .74123 .38482 .74895 .3836 .7461 .38431 Metetra
.7461 .38431 .74895 .3836 .75668 .382 .75385 .3827 Metetra
.091 .647 .704 r
.75385 .3827 .75668 .382 .76444 .37999 .76163 .38069 Metetra
.125 .673 .72 r
.76163 .38069 .76444 .37999 .77221 .37757 .76941 .37827 Metetra
.159 .698 .735 r
.76941 .37827 .77221 .37757 .77999 .37472 .77722 .37541 Metetra
.193 .722 .749 r
.77722 .37541 .77999 .37472 .7878 .37142 .78504 .3721 Metetra
.228 .746 .763 r
.78504 .3721 .7878 .37142 .79561 .36767 .79288 .36834 Metetra
.262 .77 .776 r
.79288 .36834 .79561 .36767 .80345 .36344 .80073 .3641 Metetra
.297 .792 .787 r
.80073 .3641 .80345 .36344 .81129 .35873 .8086 .35938 Metetra
.331 .814 .797 r
.8086 .35938 .81129 .35873 .81915 .35352 .81648 .35416 Metetra
.364 .834 .807 r
.81648 .35416 .81915 .35352 .82703 .34781 .82438 .34842 Metetra
.397 .853 .815 r
.82438 .34842 .82703 .34781 .83492 .34156 .83229 .34216 Metetra
.429 .871 .822 r
.83229 .34216 .83492 .34156 .84282 .33479 .84021 .33536 Metetra
.903 .933 .823 r
.13525 .67668 .13947 .67505 .146 .65525 .14179 .65682 Metetra
.9 .936 .827 r
.14179 .65682 .146 .65525 .15253 .63602 .14834 .63754 Metetra
.896 .94 .832 r
.14834 .63754 .15253 .63602 .15905 .61736 .15488 .61884 Metetra
.892 .944 .837 r
.15488 .61884 .15905 .61736 .16558 .59928 .16142 .60071 Metetra
.888 .948 .842 r
.16142 .60071 .16558 .59928 .17211 .58177 .16796 .58315 Metetra
.883 .952 .847 r
.16796 .58315 .17211 .58177 .17863 .56484 .1745 .56617 Metetra
.877 .955 .853 r
.1745 .56617 .17863 .56484 .18516 .54847 .18105 .54976 Metetra
.871 .959 .858 r
.18105 .54976 .18516 .54847 .19169 .53267 .18759 .53392 Metetra
.864 .963 .864 r
.18759 .53392 .19169 .53267 .19822 .51743 .19414 .51864 Metetra
.857 .966 .869 r
.19414 .51864 .19822 .51743 .20476 .50275 .20069 .50392 Metetra
.849 .97 .875 r
.20069 .50392 .20476 .50275 .21129 .48863 .20724 .48976 Metetra
.84 .973 .881 r
.20724 .48976 .21129 .48863 .21783 .47506 .21379 .47616 Metetra
.83 .975 .886 r
.21379 .47616 .21783 .47506 .22438 .46205 .22035 .46311 Metetra
.819 .978 .892 r
.22035 .46311 .22438 .46205 .23093 .44958 .22691 .4506 Metetra
.806 .98 .897 r
.22691 .4506 .23093 .44958 .23748 .43765 .23348 .43864 Metetra
.793 .981 .902 r
.23348 .43864 .23748 .43765 .24404 .42625 .24005 .42722 Metetra
.778 .982 .906 r
.24005 .42722 .24404 .42625 .2506 .41539 .24663 .41633 Metetra
.761 .982 .911 r
.24663 .41633 .2506 .41539 .25717 .40506 .25321 .40597 Metetra
.743 .98 .914 r
.25321 .40597 .25717 .40506 .26374 .39524 .2598 .39612 Metetra
.724 .978 .917 r
.2598 .39612 .26374 .39524 .27033 .38594 .2664 .3868 Metetra
.702 .975 .919 r
.2664 .3868 .27033 .38594 .27692 .37715 .27301 .37798 Metetra
.678 .97 .92 r
.27301 .37798 .27692 .37715 .28351 .36886 .27962 .36967 Metetra
.653 .964 .92 r
.27962 .36967 .28351 .36886 .29012 .36106 .28624 .36185 Metetra
.625 .956 .918 r
.28624 .36185 .29012 .36106 .29674 .35375 .29287 .35452 Metetra
.595 .946 .915 r
.29287 .35452 .29674 .35375 .30336 .34692 .29951 .34768 Metetra
.563 .934 .911 r
.29951 .34768 .30336 .34692 .30999 .34056 .30615 .3413 Metetra
.529 .919 .904 r
.30615 .3413 .30999 .34056 .31664 .33467 .31281 .3354 Metetra
.493 .903 .896 r
.31281 .3354 .31664 .33467 .32329 .32924 .31948 .32995 Metetra
.456 .885 .886 r
.31948 .32995 .32329 .32924 .32996 .32425 .32616 .32494 Metetra
.416 .864 .874 r
.32616 .32494 .32996 .32425 .33663 .3197 .33285 .32038 Metetra
.376 .842 .86 r
.33285 .32038 .33663 .3197 .34332 .31558 .33955 .31625 Metetra
.334 .817 .844 r
.33955 .31625 .34332 .31558 .35002 .31188 .34627 .31254 Metetra
.292 .791 .826 r
.34627 .31254 .35002 .31188 .35674 .30859 .353 .30924 Metetra
.25 .763 .807 r
.353 .30924 .35674 .30859 .36347 .3057 .35974 .30635 Metetra
.207 .734 .786 r
.35974 .30635 .36347 .3057 .37021 .3032 .36649 .30384 Metetra
.165 .704 .765 r
.36649 .30384 .37021 .3032 .37696 .30108 .37326 .30172 Metetra
.124 .674 .742 r
.37326 .30172 .37696 .30108 .38373 .29933 .38005 .29997 Metetra
.084 .643 .719 r
.38005 .29997 .38373 .29933 .39051 .29794 .38684 .29857 Metetra
.38684 .29857 .39051 .29794 .39731 .2969 .39366 .29753 Metetra
.39366 .29753 .39731 .2969 .40413 .29619 .40049 .29682 Metetra
.028 0 0 r
.40049 .29682 .40413 .29619 .41096 .29581 .40733 .29643 Metetra
.061 0 0 r
.40733 .29643 .41096 .29581 .4178 .29573 .41419 .29636 Metetra
.093 0 0 r
.41419 .29636 .4178 .29573 .42467 .29596 .42107 .29659 Metetra
.123 0 0 r
.42107 .29659 .42467 .29596 .43155 .29648 .42796 .29711 Metetra
.151 0 0 r
.42796 .29711 .43155 .29648 .43844 .29727 .43488 .2979 Metetra
.177 0 0 r
.43488 .2979 .43844 .29727 .44536 .29832 .44181 .29895 Metetra
.201 0 0 r
.44181 .29895 .44536 .29832 .45229 .29961 .44875 .30026 Metetra
.223 0 0 r
.44875 .30026 .45229 .29961 .45924 .30115 .45572 .3018 Metetra
.243 0 0 r
.45572 .3018 .45924 .30115 .46621 .3029 .4627 .30356 Metetra
.261 0 0 r
.4627 .30356 .46621 .3029 .4732 .30487 .46971 .30553 Metetra
.278 0 0 r
.46971 .30553 .4732 .30487 .48021 .30702 .47673 .30769 Metetra
.293 0 0 r
.47673 .30769 .48021 .30702 .48723 .30936 .48377 .31004 Metetra
.306 0 0 r
.48377 .31004 .48723 .30936 .49428 .31186 .49083 .31255 Metetra
.318 0 0 r
.49083 .31255 .49428 .31186 .50134 .31452 .49791 .31521 Metetra
.328 0 0 r
.49791 .31521 .50134 .31452 .50843 .3173 .50501 .318 Metetra
.337 0 0 r
.50501 .318 .50843 .3173 .51554 .32021 .51213 .32092 Metetra
.345 0 0 r
.51213 .32092 .51554 .32021 .52266 .32323 .51928 .32395 Metetra
.351 0 0 r
.51928 .32395 .52266 .32323 .52981 .32634 .52644 .32707 Metetra
.357 0 0 r
.52644 .32707 .52981 .32634 .53697 .32952 .53362 .33026 Metetra
.36 0 0 r
.53362 .33026 .53697 .32952 .54416 .33276 .54082 .33351 Metetra
.363 0 0 r
.54082 .33351 .54416 .33276 .55137 .33605 .54805 .33681 Metetra
.364 0 0 r
.54805 .33681 .55137 .33605 .5586 .33936 .55529 .34013 Metetra
.365 0 0 r
.55529 .34013 .5586 .33936 .56585 .34269 .56256 .34347 Metetra
.364 0 0 r
.56256 .34347 .56585 .34269 .57312 .34601 .56985 .34681 Metetra
.362 0 0 r
.56985 .34681 .57312 .34601 .58041 .34932 .57716 .35012 Metetra
.358 0 0 r
.57716 .35012 .58041 .34932 .58773 .35259 .58449 .35341 Metetra
.354 0 0 r
.58449 .35341 .58773 .35259 .59506 .35581 .59184 .35664 Metetra
.348 0 0 r
.59184 .35664 .59506 .35581 .60242 .35896 .59921 .3598 Metetra
.342 0 0 r
.59921 .3598 .60242 .35896 .6098 .36203 .6066 .36288 Metetra
.334 0 0 r
.6066 .36288 .6098 .36203 .61719 .365 .61402 .36585 Metetra
.324 0 0 r
.61402 .36585 .61719 .365 .62461 .36785 .62146 .36871 Metetra
.314 0 0 r
.62146 .36871 .62461 .36785 .63205 .37057 .62891 .37144 Metetra
.302 0 0 r
.62891 .37144 .63205 .37057 .63952 .37314 .63639 .37402 Metetra
.289 0 0 r
.63639 .37402 .63952 .37314 .647 .37554 .64389 .37643 Metetra
.275 0 0 r
.64389 .37643 .647 .37554 .6545 .37776 .65142 .37866 Metetra
.26 0 0 r
.65142 .37866 .6545 .37776 .66203 .37978 .65896 .38069 Metetra
.243 0 0 r
.65896 .38069 .66203 .37978 .66957 .38159 .66652 .3825 Metetra
.224 0 0 r
.66652 .3825 .66957 .38159 .67714 .38316 .6741 .38408 Metetra
.204 0 0 r
.6741 .38408 .67714 .38316 .68472 .38449 .68171 .38542 Metetra
.183 0 0 r
.68171 .38542 .68472 .38449 .69233 .38556 .68933 .38649 Metetra
.161 0 0 r
.68933 .38649 .69233 .38556 .69995 .38635 .69697 .38728 Metetra
.136 0 0 r
.69697 .38728 .69995 .38635 .7076 .38684 .70463 .38777 Metetra
.111 0 0 r
.70463 .38777 .7076 .38684 .71526 .38702 .71232 .38795 Metetra
.084 0 0 r
.71232 .38795 .71526 .38702 .72294 .38687 .72002 .38781 Metetra
.056 0 0 r
.72002 .38781 .72294 .38687 .73064 .38638 .72774 .38732 Metetra
.027 0 0 r
.72774 .38732 .73064 .38638 .73836 .38553 .73548 .38647 Metetra
.73548 .38647 .73836 .38553 .7461 .38431 .74323 .38525 Metetra
.74323 .38525 .7461 .38431 .75385 .3827 .75101 .38364 Metetra
.75101 .38364 .75385 .3827 .76163 .38069 .7588 .38162 Metetra
.7588 .38162 .76163 .38069 .76941 .37827 .76661 .37919 Metetra
.136 .679 .709 r
.76661 .37919 .76941 .37827 .77722 .37541 .77443 .37632 Metetra
.17 .705 .724 r
.77443 .37632 .77722 .37541 .78504 .3721 .78228 .37301 Metetra
.205 .729 .739 r
.78228 .37301 .78504 .3721 .79288 .36834 .79013 .36923 Metetra
.24 .754 .752 r
.79013 .36923 .79288 .36834 .80073 .3641 .79801 .36498 Metetra
.275 .777 .764 r
.79801 .36498 .80073 .3641 .8086 .35938 .80589 .36025 Metetra
.31 .799 .776 r
.80589 .36025 .8086 .35938 .81648 .35416 .8138 .35501 Metetra
.344 .82 .786 r
.8138 .35501 .81648 .35416 .82438 .34842 .82171 .34926 Metetra
.378 .84 .795 r
.82171 .34926 .82438 .34842 .83229 .34216 .82964 .34298 Metetra
.41 .859 .802 r
.82964 .34298 .83229 .34216 .84021 .33536 .83759 .33616 Metetra
.904 .936 .822 r
.131 .67852 .13525 .67668 .14179 .65682 .13756 .6586 Metetra
.901 .94 .827 r
.13756 .6586 .14179 .65682 .14834 .63754 .14412 .63927 Metetra
.897 .944 .831 r
.14412 .63927 .14834 .63754 .15488 .61884 .15068 .62052 Metetra
.893 .947 .836 r
.15068 .62052 .15488 .61884 .16142 .60071 .15723 .60234 Metetra
.888 .951 .841 r
.15723 .60234 .16142 .60071 .16796 .58315 .16379 .58474 Metetra
.883 .955 .846 r
.16379 .58474 .16796 .58315 .1745 .56617 .17035 .56771 Metetra
.877 .959 .852 r
.17035 .56771 .1745 .56617 .18105 .54976 .17691 .55126 Metetra
.871 .963 .857 r
.17691 .55126 .18105 .54976 .18759 .53392 .18347 .53537 Metetra
.864 .966 .862 r
.18347 .53537 .18759 .53392 .19414 .51864 .19003 .52005 Metetra
.856 .97 .868 r
.19003 .52005 .19414 .51864 .20069 .50392 .19659 .5053 Metetra
.848 .973 .873 r
.19659 .5053 .20069 .50392 .20724 .48976 .20316 .4911 Metetra
.839 .976 .879 r
.20316 .4911 .20724 .48976 .21379 .47616 .20973 .47746 Metetra
.828 .979 .884 r
.20973 .47746 .21379 .47616 .22035 .46311 .2163 .46438 Metetra
.817 .981 .889 r
.2163 .46438 .22035 .46311 .22691 .4506 .22288 .45184 Metetra
.804 .983 .894 r
.22288 .45184 .22691 .4506 .23348 .43864 .22946 .43984 Metetra
.79 .984 .899 r
.22946 .43984 .23348 .43864 .24005 .42722 .23605 .42839 Metetra
.774 .984 .903 r
.23605 .42839 .24005 .42722 .24663 .41633 .24264 .41747 Metetra
.757 .984 .907 r
.24264 .41747 .24663 .41633 .25321 .40597 .24924 .40708 Metetra
.738 .982 .91 r
.24924 .40708 .25321 .40597 .2598 .39612 .25584 .39721 Metetra
.718 .98 .912 r
.25584 .39721 .2598 .39612 .2664 .3868 .26245 .38786 Metetra
.695 .976 .913 r
.26245 .38786 .2664 .3868 .27301 .37798 .26907 .37902 Metetra
.67 .97 .913 r
.26907 .37902 .27301 .37798 .27962 .36967 .2757 .37069 Metetra
.644 .963 .912 r
.2757 .37069 .27962 .36967 .28624 .36185 .28233 .36285 Metetra
.615 .954 .91 r
.28233 .36285 .28624 .36185 .29287 .35452 .28897 .3555 Metetra
.584 .943 .906 r
.28897 .3555 .29287 .35452 .29951 .34768 .29563 .34864 Metetra
.55 .93 .9 r
.29563 .34864 .29951 .34768 .30615 .3413 .30229 .34225 Metetra
.515 .914 .892 r
.30229 .34225 .30615 .3413 .31281 .3354 .30896 .33632 Metetra
.478 .897 .882 r
.30896 .33632 .31281 .3354 .31948 .32995 .31565 .33086 Metetra
.439 .877 .871 r
.31565 .33086 .31948 .32995 .32616 .32494 .32234 .32585 Metetra
.399 .855 .857 r
.32234 .32585 .32616 .32494 .33285 .32038 .32905 .32127 Metetra
.357 .831 .842 r
.32905 .32127 .33285 .32038 .33955 .31625 .33576 .31713 Metetra
.314 .805 .824 r
.33576 .31713 .33955 .31625 .34627 .31254 .34249 .31341 Metetra
.271 .777 .805 r
.34249 .31341 .34627 .31254 .353 .30924 .34924 .31011 Metetra
.228 .748 .785 r
.34924 .31011 .353 .30924 .35974 .30635 .35599 .3072 Metetra
.185 .718 .763 r
.35599 .3072 .35974 .30635 .36649 .30384 .36276 .30469 Metetra
.143 .687 .74 r
.36276 .30469 .36649 .30384 .37326 .30172 .36954 .30257 Metetra
.102 .656 .717 r
.36954 .30257 .37326 .30172 .38005 .29997 .37634 .30081 Metetra
.37634 .30081 .38005 .29997 .38684 .29857 .38315 .29941 Metetra
.38315 .29941 .38684 .29857 .39366 .29753 .38998 .29836 Metetra
.014 0 0 r
.38998 .29836 .39366 .29753 .40049 .29682 .39683 .29765 Metetra
.05 0 0 r
.39683 .29765 .40049 .29682 .40733 .29643 .40368 .29727 Metetra
.083 0 0 r
.40368 .29727 .40733 .29643 .41419 .29636 .41056 .2972 Metetra
.114 0 0 r
.41056 .2972 .41419 .29636 .42107 .29659 .41745 .29743 Metetra
.144 0 0 r
.41745 .29743 .42107 .29659 .42796 .29711 .42436 .29795 Metetra
.171 0 0 r
.42436 .29795 .42796 .29711 .43488 .2979 .43129 .29874 Metetra
.196 0 0 r
.43129 .29874 .43488 .2979 .44181 .29895 .43823 .2998 Metetra
.22 0 0 r
.43823 .2998 .44181 .29895 .44875 .30026 .4452 .30111 Metetra
.241 0 0 r
.4452 .30111 .44875 .30026 .45572 .3018 .45218 .30266 Metetra
.261 0 0 r
.45218 .30266 .45572 .3018 .4627 .30356 .45918 .30442 Metetra
.279 0 0 r
.45918 .30442 .4627 .30356 .46971 .30553 .46619 .3064 Metetra
.295 0 0 r
.46619 .3064 .46971 .30553 .47673 .30769 .47323 .30857 Metetra
.31 0 0 r
.47323 .30857 .47673 .30769 .48377 .31004 .48029 .31092 Metetra
.323 0 0 r
.48029 .31092 .48377 .31004 .49083 .31255 .48736 .31344 Metetra
.334 0 0 r
.48736 .31344 .49083 .31255 .49791 .31521 .49446 .31611 Metetra
.345 0 0 r
.49446 .31611 .49791 .31521 .50501 .318 .50158 .31892 Metetra
.353 0 0 r
.50158 .31892 .50501 .318 .51213 .32092 .50871 .32185 Metetra
.361 0 0 r
.50871 .32185 .51213 .32092 .51928 .32395 .51587 .32488 Metetra
.367 0 0 r
.51587 .32488 .51928 .32395 .52644 .32707 .52305 .32801 Metetra
.372 0 0 r
.52305 .32801 .52644 .32707 .53362 .33026 .53025 .33121 Metetra
.375 0 0 r
.53025 .33121 .53362 .33026 .54082 .33351 .53746 .33447 Metetra
.378 0 0 r
.53746 .33447 .54082 .33351 .54805 .33681 .54471 .33778 Metetra
.379 0 0 r
.54471 .33778 .54805 .33681 .55529 .34013 .55197 .34112 Metetra
.38 0 0 r
.55197 .34112 .55529 .34013 .56256 .34347 .55925 .34447 Metetra
.379 0 0 r
.55925 .34447 .56256 .34347 .56985 .34681 .56655 .34782 Metetra
.377 0 0 r
.56655 .34782 .56985 .34681 .57716 .35012 .57388 .35114 Metetra
.374 0 0 r
.57388 .35114 .57716 .35012 .58449 .35341 .58123 .35444 Metetra
.369 0 0 r
.58123 .35444 .58449 .35341 .59184 .35664 .58859 .35768 Metetra
.364 0 0 r
.58859 .35768 .59184 .35664 .59921 .3598 .59598 .36085 Metetra
.357 0 0 r
.59598 .36085 .59921 .3598 .6066 .36288 .60339 .36394 Metetra
.35 0 0 r
.60339 .36394 .6066 .36288 .61402 .36585 .61083 .36693 Metetra
.341 0 0 r
.61083 .36693 .61402 .36585 .62146 .36871 .61828 .3698 Metetra
.331 0 0 r
.61828 .3698 .62146 .36871 .62891 .37144 .62576 .37254 Metetra
.319 0 0 r
.62576 .37254 .62891 .37144 .63639 .37402 .63325 .37512 Metetra
.307 0 0 r
.63325 .37512 .63639 .37402 .64389 .37643 .64077 .37754 Metetra
.293 0 0 r
.64077 .37754 .64389 .37643 .65142 .37866 .64831 .37978 Metetra
.277 0 0 r
.64831 .37978 .65142 .37866 .65896 .38069 .65587 .38182 Metetra
.261 0 0 r
.65587 .38182 .65896 .38069 .66652 .3825 .66345 .38364 Metetra
.243 0 0 r
.66345 .38364 .66652 .3825 .6741 .38408 .67105 .38522 Metetra
.223 0 0 r
.67105 .38522 .6741 .38408 .68171 .38542 .67867 .38656 Metetra
.203 0 0 r
.67867 .38656 .68171 .38542 .68933 .38649 .68631 .38764 Metetra
.181 0 0 r
.68631 .38764 .68933 .38649 .69697 .38728 .69398 .38843 Metetra
.157 0 0 r
.69398 .38843 .69697 .38728 .70463 .38777 .70166 .38893 Metetra
.132 0 0 r
.70166 .38893 .70463 .38777 .71232 .38795 .70936 .38911 Metetra
.105 0 0 r
.70936 .38911 .71232 .38795 .72002 .38781 .71708 .38897 Metetra
.078 0 0 r
.71708 .38897 .72002 .38781 .72774 .38732 .72482 .38848 Metetra
.049 0 0 r
.72482 .38848 .72774 .38732 .73548 .38647 .73258 .38763 Metetra
.018 0 0 r
.73258 .38763 .73548 .38647 .74323 .38525 .74035 .3864 Metetra
.74035 .3864 .74323 .38525 .75101 .38364 .74815 .38479 Metetra
.74815 .38479 .75101 .38364 .7588 .38162 .75596 .38277 Metetra
.75596 .38277 .7588 .38162 .76661 .37919 .76379 .38033 Metetra
.76379 .38033 .76661 .37919 .77443 .37632 .77163 .37746 Metetra
.148 .686 .698 r
.77163 .37746 .77443 .37632 .78228 .37301 .77949 .37414 Metetra
.183 .712 .713 r
.77949 .37414 .78228 .37301 .79013 .36923 .78737 .37035 Metetra
.218 .736 .727 r
.78737 .37035 .79013 .36923 .79801 .36498 .79527 .36609 Metetra
.253 .76 .74 r
.79527 .36609 .79801 .36498 .80589 .36025 .80317 .36134 Metetra
.289 .784 .753 r
.80317 .36134 .80589 .36025 .8138 .35501 .8111 .35609 Metetra
.323 .806 .764 r
.8111 .35609 .8138 .35501 .82171 .34926 .81903 .35032 Metetra
.357 .827 .773 r
.81903 .35032 .82171 .34926 .82964 .34298 .82699 .34403 Metetra
.391 .846 .782 r
.82699 .34403 .82964 .34298 .83759 .33616 .83495 .33719 Metetra
.905 .939 .821 r
.12673 .68056 .131 .67852 .13756 .6586 .1333 .6606 Metetra
.901 .943 .826 r
.1333 .6606 .13756 .6586 .14412 .63927 .13988 .64121 Metetra
.898 .947 .83 r
.13988 .64121 .14412 .63927 .15068 .62052 .14645 .62241 Metetra
.893 .951 .835 r
.14645 .62241 .15068 .62052 .15723 .60234 .15302 .60418 Metetra
.889 .955 .84 r
.15302 .60418 .15723 .60234 .16379 .58474 .15959 .58653 Metetra
.883 .959 .845 r
.15959 .58653 .16379 .58474 .17035 .56771 .16617 .56946 Metetra
.877 .962 .85 r
.16617 .56946 .17035 .56771 .17691 .55126 .17274 .55296 Metetra
.871 .966 .855 r
.17274 .55296 .17691 .55126 .18347 .53537 .17932 .53703 Metetra
.864 .97 .861 r
.17932 .53703 .18347 .53537 .19003 .52005 .18589 .52167 Metetra
.856 .973 .866 r
.18589 .52167 .19003 .52005 .19659 .5053 .19247 .50688 Metetra
.847 .976 .871 r
.19247 .50688 .19659 .5053 .20316 .4911 .19905 .49264 Metetra
.837 .979 .877 r
.19905 .49264 .20316 .4911 .20973 .47746 .20564 .47897 Metetra
.826 .982 .882 r
.20564 .47897 .20973 .47746 .2163 .46438 .21222 .46585 Metetra
.814 .984 .887 r
.21222 .46585 .2163 .46438 .22288 .45184 .21882 .45328 Metetra
.801 .986 .891 r
.21882 .45328 .22288 .45184 .22946 .43984 .22541 .44125 Metetra
.786 .986 .895 r
.22541 .44125 .22946 .43984 .23605 .42839 .23201 .42977 Metetra
.77 .987 .899 r
.23201 .42977 .23605 .42839 .24264 .41747 .23862 .41882 Metetra
.752 .986 .902 r
.23862 .41882 .24264 .41747 .24924 .40708 .24523 .4084 Metetra
.733 .984 .905 r
.24523 .4084 .24924 .40708 .25584 .39721 .25185 .39851 Metetra
.711 .98 .906 r
.25185 .39851 .25584 .39721 .26245 .38786 .25848 .38913 Metetra
.687 .976 .907 r
.25848 .38913 .26245 .38786 .26907 .37902 .26511 .38027 Metetra
.662 .969 .906 r
.26511 .38027 .26907 .37902 .2757 .37069 .27175 .37191 Metetra
.634 .961 .904 r
.27175 .37191 .2757 .37069 .28233 .36285 .2784 .36405 Metetra
.604 .951 .9 r
.2784 .36405 .28233 .36285 .28897 .3555 .28506 .35669 Metetra
.571 .939 .895 r
.28506 .35669 .28897 .3555 .29563 .34864 .29173 .34981 Metetra
.537 .925 .888 r
.29173 .34981 .29563 .34864 .30229 .34225 .2984 .3434 Metetra
.5 .908 .879 r
.2984 .3434 .30229 .34225 .30896 .33632 .30509 .33746 Metetra
.462 .889 .868 r
.30509 .33746 .30896 .33632 .31565 .33086 .31179 .33198 Metetra
.422 .868 .855 r
.31179 .33198 .31565 .33086 .32234 .32585 .3185 .32695 Metetra
.38 .844 .84 r
.3185 .32695 .32234 .32585 .32905 .32127 .32522 .32237 Metetra
.337 .819 .823 r
.32522 .32237 .32905 .32127 .33576 .31713 .33195 .31822 Metetra
.294 .792 .804 r
.33195 .31822 .33576 .31713 .34249 .31341 .33869 .31449 Metetra
.25 .763 .783 r
.33869 .31449 .34249 .31341 .34924 .31011 .34545 .31118 Metetra
.207 .732 .761 r
.34545 .31118 .34924 .31011 .35599 .3072 .35222 .30827 Metetra
.163 .701 .738 r
.35222 .30827 .35599 .3072 .36276 .30469 .359 .30575 Metetra
.121 .669 .715 r
.359 .30575 .36276 .30469 .36954 .30257 .3658 .30362 Metetra
.3658 .30362 .36954 .30257 .37634 .30081 .37261 .30186 Metetra
.37261 .30186 .37634 .30081 .38315 .29941 .37944 .30046 Metetra
.37944 .30046 .38315 .29941 .38998 .29836 .38628 .29941 Metetra
.036 0 0 r
.38628 .29941 .38998 .29836 .39683 .29765 .39314 .2987 Metetra
.071 0 0 r
.39314 .2987 .39683 .29765 .40368 .29727 .40002 .29831 Metetra
.104 0 0 r
.40002 .29831 .40368 .29727 .41056 .2972 .40691 .29824 Metetra
.135 0 0 r
.40691 .29824 .41056 .2972 .41745 .29743 .41381 .29848 Metetra
.164 0 0 r
.41381 .29848 .41745 .29743 .42436 .29795 .42074 .299 Metetra
.191 0 0 r
.42074 .299 .42436 .29795 .43129 .29874 .42768 .2998 Metetra
.216 0 0 r
.42768 .2998 .43129 .29874 .43823 .2998 .43464 .30086 Metetra
.238 0 0 r
.43464 .30086 .43823 .2998 .4452 .30111 .44162 .30217 Metetra
.259 0 0 r
.44162 .30217 .4452 .30111 .45218 .30266 .44861 .30372 Metetra
.279 0 0 r
.44861 .30372 .45218 .30266 .45918 .30442 .45563 .3055 Metetra
.296 0 0 r
.45563 .3055 .45918 .30442 .46619 .3064 .46266 .30748 Metetra
.312 0 0 r
.46266 .30748 .46619 .3064 .47323 .30857 .46971 .30966 Metetra
.326 0 0 r
.46971 .30966 .47323 .30857 .48029 .31092 .47678 .31202 Metetra
.339 0 0 r
.47678 .31202 .48029 .31092 .48736 .31344 .48388 .31455 Metetra
.35 0 0 r
.48388 .31455 .48736 .31344 .49446 .31611 .49099 .31723 Metetra
.36 0 0 r
.49099 .31723 .49446 .31611 .50158 .31892 .49812 .32004 Metetra
.368 0 0 r
.49812 .32004 .50158 .31892 .50871 .32185 .50527 .32298 Metetra
.375 0 0 r
.50527 .32298 .50871 .32185 .51587 .32488 .51244 .32603 Metetra
.381 0 0 r
.51244 .32603 .51587 .32488 .52305 .32801 .51964 .32917 Metetra
.386 0 0 r
.51964 .32917 .52305 .32801 .53025 .33121 .52685 .33238 Metetra
.39 0 0 r
.52685 .33238 .53025 .33121 .53746 .33447 .53409 .33565 Metetra
.392 0 0 r
.53409 .33565 .53746 .33447 .54471 .33778 .54134 .33897 Metetra
.394 0 0 r
.54134 .33897 .54471 .33778 .55197 .34112 .54862 .34232 Metetra
.394 0 0 r
.54862 .34232 .55197 .34112 .55925 .34447 .55592 .34568 Metetra
.393 0 0 r
.55592 .34568 .55925 .34447 .56655 .34782 .56324 .34904 Metetra
.391 0 0 r
.56324 .34904 .56655 .34782 .57388 .35114 .57058 .35238 Metetra
.388 0 0 r
.57058 .35238 .57388 .35114 .58123 .35444 .57795 .35569 Metetra
.384 0 0 r
.57795 .35569 .58123 .35444 .58859 .35768 .58533 .35894 Metetra
.378 0 0 r
.58533 .35894 .58859 .35768 .59598 .36085 .59274 .36212 Metetra
.372 0 0 r
.59274 .36212 .59598 .36085 .60339 .36394 .60017 .36522 Metetra
.365 0 0 r
.60017 .36522 .60339 .36394 .61083 .36693 .60762 .36822 Metetra
.356 0 0 r
.60762 .36822 .61083 .36693 .61828 .3698 .61509 .3711 Metetra
.346 0 0 r
.61509 .3711 .61828 .3698 .62576 .37254 .62258 .37385 Metetra
.335 0 0 r
.62258 .37385 .62576 .37254 .63325 .37512 .6301 .37645 Metetra
.323 0 0 r
.6301 .37645 .63325 .37512 .64077 .37754 .63763 .37887 Metetra
.309 0 0 r
.63763 .37887 .64077 .37754 .64831 .37978 .64519 .38112 Metetra
.294 0 0 r
.64519 .38112 .64831 .37978 .65587 .38182 .65276 .38316 Metetra
.278 0 0 r
.65276 .38316 .65587 .38182 .66345 .38364 .66036 .38499 Metetra
.261 0 0 r
.66036 .38499 .66345 .38364 .67105 .38522 .66798 .38659 Metetra
.242 0 0 r
.66798 .38659 .67105 .38522 .67867 .38656 .67562 .38793 Metetra
.222 0 0 r
.67562 .38793 .67867 .38656 .68631 .38764 .68328 .38901 Metetra
.2 0 0 r
.68328 .38901 .68631 .38764 .69398 .38843 .69096 .38981 Metetra
.177 0 0 r
.69096 .38981 .69398 .38843 .70166 .38893 .69866 .39031 Metetra
.152 0 0 r
.69866 .39031 .70166 .38893 .70936 .38911 .70638 .3905 Metetra
.126 0 0 r
.70638 .3905 .70936 .38911 .71708 .38897 .71412 .39035 Metetra
.099 0 0 r
.71412 .39035 .71708 .38897 .72482 .38848 .72188 .38987 Metetra
.07 0 0 r
.72188 .38987 .72482 .38848 .73258 .38763 .72966 .38902 Metetra
.04 0 0 r
.72966 .38902 .73258 .38763 .74035 .3864 .73745 .38779 Metetra
.009 0 0 r
.73745 .38779 .74035 .3864 .74815 .38479 .74527 .38617 Metetra
.74527 .38617 .74815 .38479 .75596 .38277 .7531 .38415 Metetra
.7531 .38415 .75596 .38277 .76379 .38033 .76095 .3817 Metetra
.76095 .3817 .76379 .38033 .77163 .37746 .76881 .37882 Metetra
.76881 .37882 .77163 .37746 .77949 .37414 .7767 .37549 Metetra
.7767 .37549 .77949 .37414 .78737 .37035 .7846 .3717 Metetra
.196 .718 .702 r
.7846 .3717 .78737 .37035 .79527 .36609 .79251 .36743 Metetra
.231 .743 .716 r
.79251 .36743 .79527 .36609 .80317 .36134 .80044 .36266 Metetra
.267 .767 .729 r
.80044 .36266 .80317 .36134 .8111 .35609 .80838 .3574 Metetra
.302 .79 .741 r
.80838 .3574 .8111 .35609 .81903 .35032 .81634 .35161 Metetra
.337 .812 .751 r
.81634 .35161 .81903 .35032 .82699 .34403 .82431 .3453 Metetra
.371 .832 .761 r
.82431 .3453 .82699 .34403 .83495 .33719 .8323 .33844 Metetra
.906 .942 .82 r
.12243 .68282 .12673 .68056 .1333 .6606 .12902 .6628 Metetra
.902 .946 .824 r
.12902 .6628 .1333 .6606 .13988 .64121 .13561 .64336 Metetra
.898 .95 .829 r
.13561 .64336 .13988 .64121 .14645 .62241 .1422 .62451 Metetra
.894 .954 .834 r
.1422 .62451 .14645 .62241 .15302 .60418 .14879 .60623 Metetra
.889 .958 .839 r
.14879 .60623 .15302 .60418 .15959 .58653 .15537 .58854 Metetra
.883 .962 .844 r
.15537 .58854 .15959 .58653 .16617 .56946 .16196 .57142 Metetra
.877 .966 .849 r
.16196 .57142 .16617 .56946 .17274 .55296 .16855 .55487 Metetra
.871 .97 .854 r
.16855 .55487 .17274 .55296 .17932 .53703 .17514 .5389 Metetra
.863 .973 .859 r
.17514 .5389 .17932 .53703 .18589 .52167 .18173 .5235 Metetra
.855 .977 .864 r
.18173 .5235 .18589 .52167 .19247 .50688 .18833 .50867 Metetra
.846 .98 .869 r
.18833 .50867 .19247 .50688 .19905 .49264 .19492 .4944 Metetra
.835 .983 .874 r
.19492 .4944 .19905 .49264 .20564 .47897 .20152 .48068 Metetra
.824 .985 .879 r
.20152 .48068 .20564 .47897 .21222 .46585 .20812 .46753 Metetra
.812 .987 .883 r
.20812 .46753 .21222 .46585 .21882 .45328 .21473 .45493 Metetra
.798 .988 .888 r
.21473 .45493 .21882 .45328 .22541 .44125 .22134 .44287 Metetra
.782 .989 .892 r
.22134 .44287 .22541 .44125 .23201 .42977 .22796 .43135 Metetra
.766 .988 .895 r
.22796 .43135 .23201 .42977 .23862 .41882 .23458 .42038 Metetra
.747 .987 .897 r
.23458 .42038 .23862 .41882 .24523 .4084 .24121 .40993 Metetra
.726 .984 .899 r
.24121 .40993 .24523 .4084 .25185 .39851 .24784 .40001 Metetra
.704 .981 .9 r
.24784 .40001 .25185 .39851 .25848 .38913 .25448 .39061 Metetra
.679 .975 .9 r
.25448 .39061 .25848 .38913 .26511 .38027 .26113 .38173 Metetra
.652 .968 .898 r
.26113 .38173 .26511 .38027 .27175 .37191 .26778 .37335 Metetra
.623 .959 .895 r
.26778 .37335 .27175 .37191 .2784 .36405 .27445 .36547 Metetra
.592 .948 .89 r
.27445 .36547 .2784 .36405 .28506 .35669 .28112 .35808 Metetra
.558 .934 .884 r
.28112 .35808 .28506 .35669 .29173 .34981 .2878 .35118 Metetra
.523 .919 .875 r
.2878 .35118 .29173 .34981 .2984 .3434 .29449 .34476 Metetra
.485 .901 .865 r
.29449 .34476 .2984 .3434 .30509 .33746 .3012 .3388 Metetra
.445 .88 .852 r
.3012 .3388 .30509 .33746 .31179 .33198 .30791 .33331 Metetra
.404 .858 .837 r
.30791 .33331 .31179 .33198 .3185 .32695 .31463 .32827 Metetra
.361 .833 .821 r
.31463 .32827 .3185 .32695 .32522 .32237 .32137 .32368 Metetra
.317 .806 .802 r
.32137 .32368 .32522 .32237 .33195 .31822 .32811 .31951 Metetra
.273 .777 .782 r
.32811 .31951 .33195 .31822 .33869 .31449 .33487 .31578 Metetra
.229 .747 .76 r
.33487 .31578 .33869 .31449 .34545 .31118 .34164 .31246 Metetra
.185 .716 .737 r
.34164 .31246 .34545 .31118 .35222 .30827 .34843 .30954 Metetra
.141 .683 .713 r
.34843 .30954 .35222 .30827 .359 .30575 .35523 .30702 Metetra
.35523 .30702 .359 .30575 .3658 .30362 .36204 .30488 Metetra
.36204 .30488 .3658 .30362 .37261 .30186 .36886 .30312 Metetra
.36886 .30312 .37261 .30186 .37944 .30046 .37571 .30171 Metetra
.021 0 0 r
.37571 .30171 .37944 .30046 .38628 .29941 .38256 .30066 Metetra
.058 0 0 r
.38256 .30066 .38628 .29941 .39314 .2987 .38944 .29995 Metetra
.092 0 0 r
.38944 .29995 .39314 .2987 .40002 .29831 .39633 .29957 Metetra
.125 0 0 r
.39633 .29957 .40002 .29831 .40691 .29824 .40323 .2995 Metetra
.155 0 0 r
.40323 .2995 .40691 .29824 .41381 .29848 .41015 .29974 Metetra
.183 0 0 r
.41015 .29974 .41381 .29848 .42074 .299 .41709 .30026 Metetra
.21 0 0 r
.41709 .30026 .42074 .299 .42768 .2998 .42405 .30106 Metetra
.234 0 0 r
.42405 .30106 .42768 .2998 .43464 .30086 .43102 .30213 Metetra
.256 0 0 r
.43102 .30213 .43464 .30086 .44162 .30217 .43802 .30345 Metetra
.277 0 0 r
.43802 .30345 .44162 .30217 .44861 .30372 .44503 .30501 Metetra
.295 0 0 r
.44503 .30501 .44861 .30372 .45563 .3055 .45206 .30679 Metetra
.312 0 0 r
.45206 .30679 .45563 .3055 .46266 .30748 .4591 .30878 Metetra
.328 0 0 r
.4591 .30878 .46266 .30748 .46971 .30966 .46617 .31097 Metetra
.341 0 0 r
.46617 .31097 .46971 .30966 .47678 .31202 .47326 .31334 Metetra
.354 0 0 r
.47326 .31334 .47678 .31202 .48388 .31455 .48037 .31587 Metetra
.365 0 0 r
.48037 .31587 .48388 .31455 .49099 .31723 .48749 .31856 Metetra
.374 0 0 r
.48749 .31856 .49099 .31723 .49812 .32004 .49464 .32139 Metetra
.382 0 0 r
.49464 .32139 .49812 .32004 .50527 .32298 .50181 .32434 Metetra
.389 0 0 r
.50181 .32434 .50527 .32298 .51244 .32603 .509 .32739 Metetra
.395 0 0 r
.509 .32739 .51244 .32603 .51964 .32917 .51621 .33054 Metetra
.4 0 0 r
.51621 .33054 .51964 .32917 .52685 .33238 .52344 .33377 Metetra
.403 0 0 r
.52344 .33377 .52685 .33238 .53409 .33565 .53069 .33705 Metetra
.406 0 0 r
.53069 .33705 .53409 .33565 .54134 .33897 .53796 .34038 Metetra
.407 0 0 r
.53796 .34038 .54134 .33897 .54862 .34232 .54526 .34374 Metetra
.407 0 0 r
.54526 .34374 .54862 .34232 .55592 .34568 .55257 .34712 Metetra
.406 0 0 r
.55257 .34712 .55592 .34568 .56324 .34904 .55991 .35049 Metetra
.404 0 0 r
.55991 .35049 .56324 .34904 .57058 .35238 .56727 .35384 Metetra
.401 0 0 r
.56727 .35384 .57058 .35238 .57795 .35569 .57465 .35716 Metetra
.397 0 0 r
.57465 .35716 .57795 .35569 .58533 .35894 .58205 .36042 Metetra
.392 0 0 r
.58205 .36042 .58533 .35894 .59274 .36212 .58947 .36362 Metetra
.386 0 0 r
.58947 .36362 .59274 .36212 .60017 .36522 .59692 .36673 Metetra
.379 0 0 r
.59692 .36673 .60017 .36522 .60762 .36822 .60439 .36974 Metetra
.37 0 0 r
.60439 .36974 .60762 .36822 .61509 .3711 .61188 .37263 Metetra
.361 0 0 r
.61188 .37263 .61509 .3711 .62258 .37385 .61939 .37539 Metetra
.35 0 0 r
.61939 .37539 .62258 .37385 .6301 .37645 .62692 .37799 Metetra
.338 0 0 r
.62692 .37799 .6301 .37645 .63763 .37887 .63447 .38043 Metetra
.325 0 0 r
.63447 .38043 .63763 .37887 .64519 .38112 .64205 .38269 Metetra
.311 0 0 r
.64205 .38269 .64519 .38112 .65276 .38316 .64964 .38474 Metetra
.295 0 0 r
.64964 .38474 .65276 .38316 .66036 .38499 .65726 .38657 Metetra
.278 0 0 r
.65726 .38657 .66036 .38499 .66798 .38659 .6649 .38818 Metetra
.259 0 0 r
.6649 .38818 .66798 .38659 .67562 .38793 .67256 .38953 Metetra
.24 0 0 r
.67256 .38953 .67562 .38793 .68328 .38901 .68023 .39061 Metetra
.218 0 0 r
.68023 .39061 .68328 .38901 .69096 .38981 .68793 .39142 Metetra
.196 0 0 r
.68793 .39142 .69096 .38981 .69866 .39031 .69565 .39192 Metetra
.172 0 0 r
.69565 .39192 .69866 .39031 .70638 .3905 .70339 .39211 Metetra
.146 0 0 r
.70339 .39211 .70638 .3905 .71412 .39035 .71115 .39197 Metetra
.119 0 0 r
.71115 .39197 .71412 .39035 .72188 .38987 .71893 .39148 Metetra
.091 0 0 r
.71893 .39148 .72188 .38987 .72966 .38902 .72673 .39063 Metetra
.061 0 0 r
.72673 .39063 .72966 .38902 .73745 .38779 .73454 .3894 Metetra
.031 0 0 r
.73454 .3894 .73745 .38779 .74527 .38617 .74238 .38778 Metetra
.74238 .38778 .74527 .38617 .7531 .38415 .75023 .38575 Metetra
.75023 .38575 .7531 .38415 .76095 .3817 .7581 .3833 Metetra
.7581 .3833 .76095 .3817 .76881 .37882 .76598 .38041 Metetra
.76598 .38041 .76881 .37882 .7767 .37549 .77388 .37708 Metetra
.77388 .37708 .7767 .37549 .7846 .3717 .7818 .37327 Metetra
.7818 .37327 .7846 .3717 .79251 .36743 .78974 .36899 Metetra
.209 .725 .69 r
.78974 .36899 .79251 .36743 .80044 .36266 .79769 .36421 Metetra
.245 .75 .704 r
.79769 .36421 .80044 .36266 .80838 .3574 .80565 .35893 Metetra
.28 .773 .717 r
.80565 .35893 .80838 .3574 .81634 .35161 .81363 .35313 Metetra
.316 .796 .728 r
.81363 .35313 .81634 .35161 .82431 .3453 .82163 .3468 Metetra
.35 .817 .739 r
.82163 .3468 .82431 .3453 .8323 .33844 .82964 .33993 Metetra
.906 .945 .819 r
.1181 .68528 .12243 .68282 .12902 .6628 .12471 .66521 Metetra
.903 .949 .823 r
.12471 .66521 .12902 .6628 .13561 .64336 .13131 .64572 Metetra
.898 .953 .828 r
.13131 .64572 .13561 .64336 .1422 .62451 .13792 .62682 Metetra
.894 .957 .832 r
.13792 .62682 .1422 .62451 .14879 .60623 .14452 .6085 Metetra
.889 .961 .837 r
.14452 .6085 .14879 .60623 .15537 .58854 .15113 .59075 Metetra
.883 .965 .842 r
.15113 .59075 .15537 .58854 .16196 .57142 .15773 .57359 Metetra
.877 .969 .847 r
.15773 .57359 .16196 .57142 .16855 .55487 .16433 .557 Metetra
.87 .973 .852 r
.16433 .557 .16855 .55487 .17514 .5389 .17094 .54099 Metetra
.862 .976 .857 r
.17094 .54099 .17514 .5389 .18173 .5235 .17755 .52554 Metetra
.854 .98 .862 r
.17755 .52554 .18173 .5235 .18833 .50867 .18415 .51067 Metetra
.844 .983 .867 r
.18415 .51067 .18833 .50867 .19492 .4944 .19077 .49636 Metetra
.834 .985 .871 r
.19077 .49636 .19492 .4944 .20152 .48068 .19738 .48261 Metetra
.822 .988 .876 r
.19738 .48261 .20152 .48068 .20812 .46753 .204 .46942 Metetra
.809 .989 .88 r
.204 .46942 .20812 .46753 .21473 .45493 .21062 .45678 Metetra
.794 .99 .884 r
.21062 .45678 .21473 .45493 .22134 .44287 .21725 .44469 Metetra
.778 .991 .887 r
.21725 .44469 .22134 .44287 .22796 .43135 .22388 .43315 Metetra
.761 .99 .89 r
.22388 .43315 .22796 .43135 .23458 .42038 .23051 .42214 Metetra
.741 .988 .892 r
.23051 .42214 .23458 .42038 .24121 .40993 .23716 .41167 Metetra
.72 .985 .893 r
.23716 .41167 .24121 .40993 .24784 .40001 .2438 .40172 Metetra
.696 .98 .893 r
.2438 .40172 .24784 .40001 .25448 .39061 .25046 .3923 Metetra
.67 .974 .892 r
.25046 .3923 .25448 .39061 .26113 .38173 .25712 .38339 Metetra
.642 .966 .889 r
.25712 .38339 .26113 .38173 .26778 .37335 .26379 .37499 Metetra
.612 .956 .885 r
.26379 .37499 .26778 .37335 .27445 .36547 .27047 .36709 Metetra
.58 .943 .879 r
.27047 .36709 .27445 .36547 .28112 .35808 .27716 .35968 Metetra
.545 .929 .871 r
.27716 .35968 .28112 .35808 .2878 .35118 .28385 .35277 Metetra
.508 .912 .861 r
.28385 .35277 .2878 .35118 .29449 .34476 .29056 .34633 Metetra
.468 .892 .849 r
.29056 .34633 .29449 .34476 .3012 .3388 .29728 .34036 Metetra
.428 .871 .835 r
.29728 .34036 .3012 .3388 .30791 .33331 .304 .33485 Metetra
.385 .846 .819 r
.304 .33485 .30791 .33331 .31463 .32827 .31074 .3298 Metetra
.341 .82 .801 r
.31074 .3298 .31463 .32827 .32137 .32368 .31749 .32519 Metetra
.297 .792 .781 r
.31749 .32519 .32137 .32368 .32811 .31951 .32425 .32102 Metetra
.252 .762 .759 r
.32425 .32102 .32811 .31951 .33487 .31578 .33103 .31727 Metetra
.207 .73 .736 r
.33103 .31727 .33487 .31578 .34164 .31246 .33781 .31395 Metetra
.163 .698 .712 r
.33781 .31395 .34164 .31246 .34843 .30954 .34461 .31102 Metetra
.34461 .31102 .34843 .30954 .35523 .30702 .35142 .30849 Metetra
.35142 .30849 .35523 .30702 .36204 .30488 .35825 .30635 Metetra
.35825 .30635 .36204 .30488 .36886 .30312 .36509 .30459 Metetra
.005 0 0 r
.36509 .30459 .36886 .30312 .37571 .30171 .37195 .30318 Metetra
.043 0 0 r
.37195 .30318 .37571 .30171 .38256 .30066 .37882 .30213 Metetra
.079 0 0 r
.37882 .30213 .38256 .30066 .38944 .29995 .38571 .30142 Metetra
.113 0 0 r
.38571 .30142 .38944 .29995 .39633 .29957 .39261 .30104 Metetra
.145 0 0 r
.39261 .30104 .39633 .29957 .40323 .2995 .39953 .30097 Metetra
.174 0 0 r
.39953 .30097 .40323 .2995 .41015 .29974 .40647 .30121 Metetra
.202 0 0 r
.40647 .30121 .41015 .29974 .41709 .30026 .41342 .30174 Metetra
.228 0 0 r
.41342 .30174 .41709 .30026 .42405 .30106 .4204 .30254 Metetra
.251 0 0 r
.4204 .30254 .42405 .30106 .43102 .30213 .42739 .30362 Metetra
.273 0 0 r
.42739 .30362 .43102 .30213 .43802 .30345 .43439 .30494 Metetra
.293 0 0 r
.43439 .30494 .43802 .30345 .44503 .30501 .44142 .3065 Metetra
.311 0 0 r
.44142 .3065 .44503 .30501 .45206 .30679 .44846 .30829 Metetra
.328 0 0 r
.44846 .30829 .45206 .30679 .4591 .30878 .45553 .31029 Metetra
.343 0 0 r
.45553 .31029 .4591 .30878 .46617 .31097 .46261 .31249 Metetra
.356 0 0 r
.46261 .31249 .46617 .31097 .47326 .31334 .46972 .31487 Metetra
.368 0 0 r
.46972 .31487 .47326 .31334 .48037 .31587 .47684 .31741 Metetra
.379 0 0 r
.47684 .31741 .48037 .31587 .48749 .31856 .48398 .32011 Metetra
.388 0 0 r
.48398 .32011 .48749 .31856 .49464 .32139 .49114 .32295 Metetra
.396 0 0 r
.49114 .32295 .49464 .32139 .50181 .32434 .49833 .32591 Metetra
.403 0 0 r
.49833 .32591 .50181 .32434 .509 .32739 .50553 .32898 Metetra
.408 0 0 r
.50553 .32898 .509 .32739 .51621 .33054 .51276 .33214 Metetra
.413 0 0 r
.51276 .33214 .51621 .33054 .52344 .33377 .52 .33537 Metetra
.416 0 0 r
.52 .33537 .52344 .33377 .53069 .33705 .52727 .33867 Metetra
.418 0 0 r
.52727 .33867 .53069 .33705 .53796 .34038 .53456 .34201 Metetra
.419 0 0 r
.53456 .34201 .53796 .34038 .54526 .34374 .54187 .34539 Metetra
.42 0 0 r
.54187 .34539 .54526 .34374 .55257 .34712 .5492 .34877 Metetra
.419 0 0 r
.5492 .34877 .55257 .34712 .55991 .35049 .55656 .35216 Metetra
.417 0 0 r
.55656 .35216 .55991 .35049 .56727 .35384 .56393 .35552 Metetra
.414 0 0 r
.56393 .35552 .56727 .35384 .57465 .35716 .57133 .35885 Metetra
.41 0 0 r
.57133 .35885 .57465 .35716 .58205 .36042 .57875 .36212 Metetra
.405 0 0 r
.57875 .36212 .58205 .36042 .58947 .36362 .58619 .36533 Metetra
.399 0 0 r
.58619 .36533 .58947 .36362 .59692 .36673 .59365 .36846 Metetra
.392 0 0 r
.59365 .36846 .59692 .36673 .60439 .36974 .60114 .37148 Metetra
.384 0 0 r
.60114 .37148 .60439 .36974 .61188 .37263 .60865 .37438 Metetra
.375 0 0 r
.60865 .37438 .61188 .37263 .61939 .37539 .61617 .37715 Metetra
.365 0 0 r
.61617 .37715 .61939 .37539 .62692 .37799 .62372 .37976 Metetra
.353 0 0 r
.62372 .37976 .62692 .37799 .63447 .38043 .6313 .38221 Metetra
.34 0 0 r
.6313 .38221 .63447 .38043 .64205 .38269 .63889 .38448 Metetra
.326 0 0 r
.63889 .38448 .64205 .38269 .64964 .38474 .6465 .38654 Metetra
.311 0 0 r
.6465 .38654 .64964 .38474 .65726 .38657 .65414 .38838 Metetra
.294 0 0 r
.65414 .38838 .65726 .38657 .6649 .38818 .66179 .38999 Metetra
.276 0 0 r
.66179 .38999 .6649 .38818 .67256 .38953 .66947 .39135 Metetra
.257 0 0 r
.66947 .39135 .67256 .38953 .68023 .39061 .67717 .39244 Metetra
.236 0 0 r
.67717 .39244 .68023 .39061 .68793 .39142 .68489 .39325 Metetra
.214 0 0 r
.68489 .39325 .68793 .39142 .69565 .39192 .69263 .39376 Metetra
.19 0 0 r
.69263 .39376 .69565 .39192 .70339 .39211 .70038 .39395 Metetra
.165 0 0 r
.70038 .39395 .70339 .39211 .71115 .39197 .70816 .39381 Metetra
.139 0 0 r
.70816 .39381 .71115 .39197 .71893 .39148 .71596 .39332 Metetra
.111 0 0 r
.71596 .39332 .71893 .39148 .72673 .39063 .72378 .39247 Metetra
.082 0 0 r
.72378 .39247 .72673 .39063 .73454 .3894 .73161 .39124 Metetra
.052 0 0 r
.73161 .39124 .73454 .3894 .74238 .38778 .73947 .38962 Metetra
.02 0 0 r
.73947 .38962 .74238 .38778 .75023 .38575 .74734 .38759 Metetra
.74734 .38759 .75023 .38575 .7581 .3833 .75523 .38513 Metetra
.75523 .38513 .7581 .3833 .76598 .38041 .76313 .38224 Metetra
.76313 .38224 .76598 .38041 .77388 .37708 .77106 .37889 Metetra
.77106 .37889 .77388 .37708 .7818 .37327 .779 .37508 Metetra
.779 .37508 .7818 .37327 .78974 .36899 .78695 .37079 Metetra
.78695 .37079 .78974 .36899 .79769 .36421 .79492 .366 Metetra
.223 .731 .678 r
.79492 .366 .79769 .36421 .80565 .35893 .80291 .3607 Metetra
.259 .756 .692 r
.80291 .3607 .80565 .35893 .81363 .35313 .81091 .35489 Metetra
.294 .779 .704 r
.81091 .35489 .81363 .35313 .82163 .3468 .81893 .34854 Metetra
.329 .801 .715 r
.81893 .34854 .82163 .3468 .82964 .33993 .82696 .34164 Metetra
.907 .948 .817 r
.11375 .68797 .1181 .68528 .12471 .66521 .12037 .66784 Metetra
.903 .952 .822 r
.12037 .66784 .12471 .66521 .13131 .64572 .12699 .6483 Metetra
.899 .956 .826 r
.12699 .6483 .13131 .64572 .13792 .62682 .13361 .62934 Metetra
.894 .96 .831 r
.13361 .62934 .13792 .62682 .14452 .6085 .14023 .61097 Metetra
.889 .964 .836 r
.14023 .61097 .14452 .6085 .15113 .59075 .14685 .59318 Metetra
.883 .968 .84 r
.14685 .59318 .15113 .59075 .15773 .57359 .15347 .57597 Metetra
.876 .972 .845 r
.15347 .57597 .15773 .57359 .16433 .557 .16009 .55934 Metetra
.869 .976 .85 r
.16009 .55934 .16433 .557 .17094 .54099 .16671 .54328 Metetra
.861 .979 .855 r
.16671 .54328 .17094 .54099 .17755 .52554 .17333 .5278 Metetra
.852 .983 .859 r
.17333 .5278 .17755 .52554 .18415 .51067 .17996 .51288 Metetra
.842 .986 .864 r
.17996 .51288 .18415 .51067 .19077 .49636 .18658 .49853 Metetra
.831 .988 .868 r
.18658 .49853 .19077 .49636 .19738 .48261 .19321 .48475 Metetra
.819 .99 .873 r
.19321 .48475 .19738 .48261 .204 .46942 .19985 .47152 Metetra
.805 .992 .876 r
.19985 .47152 .204 .46942 .21062 .45678 .20648 .45885 Metetra
.79 .992 .88 r
.20648 .45885 .21062 .45678 .21725 .44469 .21313 .44673 Metetra
.774 .992 .882 r
.21313 .44673 .21725 .44469 .22388 .43315 .21977 .43516 Metetra
.755 .991 .885 r
.21977 .43516 .22388 .43315 .23051 .42214 .22642 .42412 Metetra
.735 .988 .886 r
.22642 .42412 .23051 .42214 .23716 .41167 .23308 .41362 Metetra
.712 .985 .886 r
.23308 .41362 .23716 .41167 .2438 .40172 .23974 .40365 Metetra
.688 .979 .885 r
.23974 .40365 .2438 .40172 .25046 .3923 .24641 .3942 Metetra
.661 .972 .883 r
.24641 .3942 .25046 .3923 .25712 .38339 .25309 .38527 Metetra
.632 .963 .879 r
.25309 .38527 .25712 .38339 .26379 .37499 .25978 .37684 Metetra
.6 .952 .874 r
.25978 .37684 .26379 .37499 .27047 .36709 .26647 .36892 Metetra
.566 .938 .867 r
.26647 .36892 .27047 .36709 .27716 .35968 .27317 .3615 Metetra
.53 .922 .857 r
.27317 .3615 .27716 .35968 .28385 .35277 .27988 .35456 Metetra
.492 .904 .846 r
.27988 .35456 .28385 .35277 .29056 .34633 .2866 .34811 Metetra
.452 .883 .833 r
.2866 .34811 .29056 .34633 .29728 .34036 .29333 .34212 Metetra
.409 .86 .817 r
.29333 .34212 .29728 .34036 .304 .33485 .30008 .3366 Metetra
.366 .834 .799 r
.30008 .3366 .304 .33485 .31074 .3298 .30683 .33154 Metetra
.321 .806 .78 r
.30683 .33154 .31074 .3298 .31749 .32519 .31359 .32692 Metetra
.276 .777 .759 r
.31359 .32692 .31749 .32519 .32425 .32102 .32037 .32274 Metetra
.231 .745 .736 r
.32037 .32274 .32425 .32102 .33103 .31727 .32716 .31898 Metetra
.185 .713 .711 r
.32716 .31898 .33103 .31727 .33781 .31395 .33396 .31565 Metetra
.33396 .31565 .33781 .31395 .34461 .31102 .34077 .31272 Metetra
.34077 .31272 .34461 .31102 .35142 .30849 .3476 .31019 Metetra
.3476 .31019 .35142 .30849 .35825 .30635 .35444 .30804 Metetra
.35444 .30804 .35825 .30635 .36509 .30459 .3613 .30627 Metetra
.027 0 0 r
.3613 .30627 .36509 .30459 .37195 .30318 .36817 .30486 Metetra
.064 0 0 r
.36817 .30486 .37195 .30318 .37882 .30213 .37506 .30381 Metetra
.099 0 0 r
.37506 .30381 .37882 .30213 .38571 .30142 .38196 .3031 Metetra
.133 0 0 r
.38196 .3031 .38571 .30142 .39261 .30104 .38888 .30272 Metetra
.164 0 0 r
.38888 .30272 .39261 .30104 .39953 .30097 .39581 .30265 Metetra
.193 0 0 r
.39581 .30265 .39953 .30097 .40647 .30121 .40277 .30289 Metetra
.22 0 0 r
.40277 .30289 .40647 .30121 .41342 .30174 .40973 .30343 Metetra
.245 0 0 r
.40973 .30343 .41342 .30174 .4204 .30254 .41672 .30424 Metetra
.268 0 0 r
.41672 .30424 .4204 .30254 .42739 .30362 .42373 .30532 Metetra
.289 0 0 r
.42373 .30532 .42739 .30362 .43439 .30494 .43075 .30665 Metetra
.309 0 0 r
.43075 .30665 .43439 .30494 .44142 .3065 .43779 .30822 Metetra
.326 0 0 r
.43779 .30822 .44142 .3065 .44846 .30829 .44485 .31001 Metetra
.342 0 0 r
.44485 .31001 .44846 .30829 .45553 .31029 .45193 .31202 Metetra
.357 0 0 r
.45193 .31202 .45553 .31029 .46261 .31249 .45903 .31423 Metetra
.37 0 0 r
.45903 .31423 .46261 .31249 .46972 .31487 .46615 .31661 Metetra
.381 0 0 r
.46615 .31661 .46972 .31487 .47684 .31741 .47329 .31917 Metetra
.392 0 0 r
.47329 .31917 .47684 .31741 .48398 .32011 .48045 .32188 Metetra
.401 0 0 r
.48045 .32188 .48398 .32011 .49114 .32295 .48763 .32473 Metetra
.408 0 0 r
.48763 .32473 .49114 .32295 .49833 .32591 .49483 .3277 Metetra
.415 0 0 r
.49483 .3277 .49833 .32591 .50553 .32898 .50205 .33078 Metetra
.42 0 0 r
.50205 .33078 .50553 .32898 .51276 .33214 .50929 .33395 Metetra
.425 0 0 r
.50929 .33395 .51276 .33214 .52 .33537 .51655 .3372 Metetra
.428 0 0 r
.51655 .3372 .52 .33537 .52727 .33867 .52384 .34051 Metetra
.43 0 0 r
.52384 .34051 .52727 .33867 .53456 .34201 .53114 .34387 Metetra
.431 0 0 r
.53114 .34387 .53456 .34201 .54187 .34539 .53847 .34725 Metetra
.432 0 0 r
.53847 .34725 .54187 .34539 .5492 .34877 .54582 .35065 Metetra
.431 0 0 r
.54582 .35065 .5492 .34877 .55656 .35216 .55319 .35405 Metetra
.429 0 0 r
.55319 .35405 .55656 .35216 .56393 .35552 .56058 .35742 Metetra
.426 0 0 r
.56058 .35742 .56393 .35552 .57133 .35885 .56799 .36076 Metetra
.422 0 0 r
.56799 .36076 .57133 .35885 .57875 .36212 .57543 .36405 Metetra
.418 0 0 r
.57543 .36405 .57875 .36212 .58619 .36533 .58289 .36727 Metetra
.412 0 0 r
.58289 .36727 .58619 .36533 .59365 .36846 .59037 .37041 Metetra
.405 0 0 r
.59037 .37041 .59365 .36846 .60114 .37148 .59787 .37344 Metetra
.397 0 0 r
.59787 .37344 .60114 .37148 .60865 .37438 .6054 .37636 Metetra
.388 0 0 r
.6054 .37636 .60865 .37438 .61617 .37715 .61294 .37914 Metetra
.378 0 0 r
.61294 .37914 .61617 .37715 .62372 .37976 .62051 .38176 Metetra
.367 0 0 r
.62051 .38176 .62372 .37976 .6313 .38221 .6281 .38422 Metetra
.354 0 0 r
.6281 .38422 .6313 .38221 .63889 .38448 .63571 .3865 Metetra
.341 0 0 r
.63571 .3865 .63889 .38448 .6465 .38654 .64334 .38857 Metetra
.326 0 0 r
.64334 .38857 .6465 .38654 .65414 .38838 .651 .39042 Metetra
.31 0 0 r
.651 .39042 .65414 .38838 .66179 .38999 .65867 .39204 Metetra
.292 0 0 r
.65867 .39204 .66179 .38999 .66947 .39135 .66637 .3934 Metetra
.273 0 0 r
.66637 .3934 .66947 .39135 .67717 .39244 .67409 .3945 Metetra
.253 0 0 r
.67409 .3945 .67717 .39244 .68489 .39325 .68182 .39531 Metetra
.232 0 0 r
.68182 .39531 .68489 .39325 .69263 .39376 .68958 .39583 Metetra
.209 0 0 r
.68958 .39583 .69263 .39376 .70038 .39395 .69736 .39602 Metetra
.184 0 0 r
.69736 .39602 .70038 .39395 .70816 .39381 .70516 .39588 Metetra
.158 0 0 r
.70516 .39588 .70816 .39381 .71596 .39332 .71297 .3954 Metetra
.131 0 0 r
.71297 .3954 .71596 .39332 .72378 .39247 .72081 .39455 Metetra
.102 0 0 r
.72081 .39455 .72378 .39247 .73161 .39124 .72867 .39332 Metetra
.072 0 0 r
.72867 .39332 .73161 .39124 .73947 .38962 .73654 .39169 Metetra
.041 0 0 r
.73654 .39169 .73947 .38962 .74734 .38759 .74443 .38966 Metetra
.009 0 0 r
.74443 .38966 .74734 .38759 .75523 .38513 .75234 .3872 Metetra
.75234 .3872 .75523 .38513 .76313 .38224 .76027 .3843 Metetra
.76027 .3843 .76313 .38224 .77106 .37889 .76821 .38094 Metetra
.76821 .38094 .77106 .37889 .779 .37508 .77618 .37712 Metetra
.77618 .37712 .779 .37508 .78695 .37079 .78415 .37282 Metetra
.78415 .37282 .78695 .37079 .79492 .366 .79215 .36802 Metetra
.79215 .36802 .79492 .366 .80291 .3607 .80015 .36271 Metetra
.237 .737 .666 r
.80015 .36271 .80291 .3607 .81091 .35489 .80818 .35687 Metetra
.273 .762 .68 r
.80818 .35687 .81091 .35489 .81893 .34854 .81621 .35051 Metetra
.308 .784 .692 r
.81621 .35051 .81893 .34854 .82696 .34164 .82426 .3436 Metetra
.907 .951 .816 r
.10937 .69087 .11375 .68797 .12037 .66784 .11601 .67069 Metetra
.903 .955 .82 r
.11601 .67069 .12037 .66784 .12699 .6483 .12264 .65109 Metetra
.899 .959 .825 r
.12264 .65109 .12699 .6483 .13361 .62934 .12928 .63208 Metetra
.894 .963 .829 r
.12928 .63208 .13361 .62934 .14023 .61097 .13592 .61366 Metetra
.889 .967 .834 r
.13592 .61366 .14023 .61097 .14685 .59318 .14255 .59582 Metetra
.883 .971 .838 r
.14255 .59582 .14685 .59318 .15347 .57597 .14919 .57857 Metetra
.876 .975 .843 r
.14919 .57857 .15347 .57597 .16009 .55934 .15582 .56189 Metetra
.868 .979 .848 r
.15582 .56189 .16009 .55934 .16671 .54328 .16246 .54579 Metetra
.86 .982 .852 r
.16246 .54579 .16671 .54328 .17333 .5278 .16909 .53026 Metetra
.851 .985 .857 r
.16909 .53026 .17333 .5278 .17996 .51288 .17573 .51531 Metetra
.84 .988 .861 r
.17573 .51531 .17996 .51288 .18658 .49853 .18238 .50092 Metetra
.829 .991 .865 r
.18238 .50092 .18658 .49853 .19321 .48475 .18902 .4871 Metetra
.816 .992 .869 r
.18902 .4871 .19321 .48475 .19985 .47152 .19567 .47384 Metetra
.802 .994 .872 r
.19567 .47384 .19985 .47152 .20648 .45885 .20232 .46114 Metetra
.786 .994 .875 r
.20232 .46114 .20648 .45885 .21313 .44673 .20898 .44898 Metetra
.769 .993 .877 r
.20898 .44898 .21313 .44673 .21977 .43516 .21564 .43738 Metetra
.749 .991 .879 r
.21564 .43738 .21977 .43516 .22642 .42412 .22231 .42631 Metetra
.728 .988 .879 r
.22231 .42631 .22642 .42412 .23308 .41362 .22898 .41578 Metetra
.705 .984 .879 r
.22898 .41578 .23308 .41362 .23974 .40365 .23566 .40578 Metetra
.679 .978 .877 r
.23566 .40578 .23974 .40365 .24641 .3942 .24234 .39631 Metetra
.651 .97 .874 r
.24234 .39631 .24641 .3942 .25309 .38527 .24903 .38735 Metetra
.621 .959 .869 r
.24903 .38735 .25309 .38527 .25978 .37684 .25573 .37891 Metetra
.588 .947 .862 r
.25573 .37891 .25978 .37684 .26647 .36892 .26244 .37097 Metetra
.553 .932 .853 r
.26244 .37097 .26647 .36892 .27317 .3615 .26916 .36353 Metetra
.515 .915 .843 r
.26916 .36353 .27317 .3615 .27988 .35456 .27589 .35657 Metetra
.476 .895 .83 r
.27589 .35657 .27988 .35456 .2866 .34811 .28262 .3501 Metetra
.434 .873 .815 r
.28262 .3501 .2866 .34811 .29333 .34212 .28937 .3441 Metetra
.391 .848 .798 r
.28937 .3441 .29333 .34212 .30008 .3366 .29612 .33857 Metetra
.346 .821 .779 r
.29612 .33857 .30008 .3366 .30683 .33154 .30289 .33349 Metetra
.301 .792 .758 r
.30289 .33349 .30683 .33154 .31359 .32692 .30967 .32886 Metetra
.255 .761 .735 r
.30967 .32886 .31359 .32692 .32037 .32274 .31646 .32467 Metetra
.209 .728 .711 r
.31646 .32467 .32037 .32274 .32716 .31898 .32326 .32091 Metetra
.32326 .32091 .32716 .31898 .33396 .31565 .33008 .31756 Metetra
.33008 .31756 .33396 .31565 .34077 .31272 .33691 .31463 Metetra
.33691 .31463 .34077 .31272 .3476 .31019 .34375 .31209 Metetra
.34375 .31209 .3476 .31019 .35444 .30804 .35061 .30994 Metetra
.009 0 0 r
.35061 .30994 .35444 .30804 .3613 .30627 .35748 .30817 Metetra
.048 0 0 r
.35748 .30817 .3613 .30627 .36817 .30486 .36437 .30676 Metetra
.084 0 0 r
.36437 .30676 .36817 .30486 .37506 .30381 .37127 .30571 Metetra
.119 0 0 r
.37127 .30571 .37506 .30381 .38196 .3031 .37819 .305 Metetra
.152 0 0 r
.37819 .305 .38196 .3031 .38888 .30272 .38512 .30462 Metetra
.183 0 0 r
.38512 .30462 .38888 .30272 .39581 .30265 .39207 .30456 Metetra
.211 0 0 r
.39207 .30456 .39581 .30265 .40277 .30289 .39904 .3048 Metetra
.237 0 0 r
.39904 .3048 .40277 .30289 .40973 .30343 .40602 .30534 Metetra
.262 0 0 r
.40602 .30534 .40973 .30343 .41672 .30424 .41302 .30615 Metetra
.284 0 0 r
.41302 .30615 .41672 .30424 .42373 .30532 .42004 .30724 Metetra
.305 0 0 r
.42004 .30724 .42373 .30532 .43075 .30665 .42708 .30857 Metetra
.324 0 0 r
.42708 .30857 .43075 .30665 .43779 .30822 .43414 .31015 Metetra
.341 0 0 r
.43414 .31015 .43779 .30822 .44485 .31001 .44122 .31196 Metetra
.356 0 0 r
.44122 .31196 .44485 .31001 .45193 .31202 .44831 .31397 Metetra
.37 0 0 r
.44831 .31397 .45193 .31202 .45903 .31423 .45543 .31619 Metetra
.383 0 0 r
.45543 .31619 .45903 .31423 .46615 .31661 .46256 .31858 Metetra
.394 0 0 r
.46256 .31858 .46615 .31661 .47329 .31917 .46972 .32115 Metetra
.404 0 0 r
.46972 .32115 .47329 .31917 .48045 .32188 .47689 .32387 Metetra
.413 0 0 r
.47689 .32387 .48045 .32188 .48763 .32473 .48409 .32673 Metetra
.42 0 0 r
.48409 .32673 .48763 .32473 .49483 .3277 .4913 .32971 Metetra
.427 0 0 r
.4913 .32971 .49483 .3277 .50205 .33078 .49854 .3328 Metetra
.432 0 0 r
.49854 .3328 .50205 .33078 .50929 .33395 .5058 .33599 Metetra
.436 0 0 r
.5058 .33599 .50929 .33395 .51655 .3372 .51308 .33925 Metetra
.439 0 0 r
.51308 .33925 .51655 .3372 .52384 .34051 .52038 .34257 Metetra
.441 0 0 r
.52038 .34257 .52384 .34051 .53114 .34387 .5277 .34594 Metetra
.442 0 0 r
.5277 .34594 .53114 .34387 .53847 .34725 .53504 .34934 Metetra
.443 0 0 r
.53504 .34934 .53847 .34725 .54582 .35065 .54241 .35275 Metetra
.442 0 0 r
.54241 .35275 .54582 .35065 .55319 .35405 .5498 .35616 Metetra
.44 0 0 r
.5498 .35616 .55319 .35405 .56058 .35742 .55721 .35955 Metetra
.437 0 0 r
.55721 .35955 .56058 .35742 .56799 .36076 .56464 .36291 Metetra
.434 0 0 r
.56464 .36291 .56799 .36076 .57543 .36405 .57209 .36621 Metetra
.429 0 0 r
.57209 .36621 .57543 .36405 .58289 .36727 .57957 .36944 Metetra
.424 0 0 r
.57957 .36944 .58289 .36727 .59037 .37041 .58707 .37259 Metetra
.417 0 0 r
.58707 .37259 .59037 .37041 .59787 .37344 .59459 .37564 Metetra
.409 0 0 r
.59459 .37564 .59787 .37344 .6054 .37636 .60213 .37856 Metetra
.401 0 0 r
.60213 .37856 .6054 .37636 .61294 .37914 .60969 .38135 Metetra
.391 0 0 r
.60969 .38135 .61294 .37914 .62051 .38176 .61728 .38399 Metetra
.38 0 0 r
.61728 .38399 .62051 .38176 .6281 .38422 .62489 .38646 Metetra
.368 0 0 r
.62489 .38646 .6281 .38422 .63571 .3865 .63252 .38874 Metetra
.355 0 0 r
.63252 .38874 .63571 .3865 .64334 .38857 .64017 .39083 Metetra
.34 0 0 r
.64017 .39083 .64334 .38857 .651 .39042 .64784 .39269 Metetra
.324 0 0 r
.64784 .39269 .651 .39042 .65867 .39204 .65553 .39431 Metetra
.307 0 0 r
.65553 .39431 .65867 .39204 .66637 .3934 .66325 .39569 Metetra
.289 0 0 r
.66325 .39569 .66637 .3934 .67409 .3945 .67099 .39679 Metetra
.269 0 0 r
.67099 .39679 .67409 .3945 .68182 .39531 .67874 .39761 Metetra
.248 0 0 r
.67874 .39761 .68182 .39531 .68958 .39583 .68652 .39813 Metetra
.226 0 0 r
.68652 .39813 .68958 .39583 .69736 .39602 .69432 .39833 Metetra
.202 0 0 r
.69432 .39833 .69736 .39602 .70516 .39588 .70213 .39819 Metetra
.177 0 0 r
.70213 .39819 .70516 .39588 .71297 .3954 .70997 .39771 Metetra
.15 0 0 r
.70997 .39771 .71297 .3954 .72081 .39455 .71783 .39686 Metetra
.122 0 0 r
.71783 .39686 .72081 .39455 .72867 .39332 .7257 .39563 Metetra
.093 0 0 r
.7257 .39563 .72867 .39332 .73654 .39169 .7336 .394 Metetra
.062 0 0 r
.7336 .394 .73654 .39169 .74443 .38966 .74151 .39196 Metetra
.03 0 0 r
.74151 .39196 .74443 .38966 .75234 .3872 .74944 .3895 Metetra
.74944 .3895 .75234 .3872 .76027 .3843 .75739 .38659 Metetra
.75739 .38659 .76027 .3843 .76821 .38094 .76536 .38323 Metetra
.76536 .38323 .76821 .38094 .77618 .37712 .77334 .3794 Metetra
.77334 .3794 .77618 .37712 .78415 .37282 .78134 .37508 Metetra
.78134 .37508 .78415 .37282 .79215 .36802 .78935 .37027 Metetra
.78935 .37027 .79215 .36802 .80015 .36271 .79738 .36495 Metetra
.79738 .36495 .80015 .36271 .80818 .35687 .80542 .3591 Metetra
.80542 .3591 .80818 .35687 .81621 .35051 .81348 .35272 Metetra
.287 .767 .667 r
.81348 .35272 .81621 .35051 .82426 .3436 .82156 .34578 Metetra
.908 .954 .815 r
.10496 .69398 .10937 .69087 .11601 .67069 .11161 .67375 Metetra
.904 .958 .819 r
.11161 .67375 .11601 .67069 .12264 .65109 .11827 .6541 Metetra
.899 .962 .823 r
.11827 .6541 .12264 .65109 .12928 .63208 .12492 .63504 Metetra
.894 .966 .827 r
.12492 .63504 .12928 .63208 .13592 .61366 .13157 .61657 Metetra
.888 .97 .832 r
.13157 .61657 .13592 .61366 .14255 .59582 .13822 .59868 Metetra
.882 .974 .836 r
.13822 .59868 .14255 .59582 .14919 .57857 .14487 .58138 Metetra
.875 .978 .841 r
.14487 .58138 .14919 .57857 .15582 .56189 .15152 .56466 Metetra
.867 .982 .845 r
.15152 .56466 .15582 .56189 .16246 .54579 .15818 .54851 Metetra
.859 .985 .849 r
.15818 .54851 .16246 .54579 .16909 .53026 .16483 .53295 Metetra
.849 .988 .854 r
.16483 .53295 .16909 .53026 .17573 .51531 .17149 .51795 Metetra
.838 .991 .858 r
.17149 .51795 .17573 .51531 .18238 .50092 .17814 .50353 Metetra
.826 .993 .861 r
.17814 .50353 .18238 .50092 .18902 .4871 .1848 .48967 Metetra
.813 .994 .865 r
.1848 .48967 .18902 .4871 .19567 .47384 .19147 .47637 Metetra
.798 .995 .868 r
.19147 .47637 .19567 .47384 .20232 .46114 .19813 .46363 Metetra
.781 .995 .87 r
.19813 .46363 .20232 .46114 .20898 .44898 .20481 .45145 Metetra
.763 .994 .871 r
.20481 .45145 .20898 .44898 .21564 .43738 .21148 .43981 Metetra
.743 .992 .872 r
.21148 .43981 .21564 .43738 .22231 .42631 .21816 .42872 Metetra
.721 .988 .872 r
.21816 .42872 .22231 .42631 .22898 .41578 .22485 .41816 Metetra
.696 .983 .87 r
.22485 .41816 .22898 .41578 .23566 .40578 .23155 .40814 Metetra
.669 .975 .868 r
.23155 .40814 .23566 .40578 .24234 .39631 .23825 .39864 Metetra
.64 .966 .863 r
.23825 .39864 .24234 .39631 .24903 .38735 .24495 .38966 Metetra
.609 .955 .857 r
.24495 .38966 .24903 .38735 .25573 .37891 .25167 .38119 Metetra
.575 .941 .849 r
.25167 .38119 .25573 .37891 .26244 .37097 .25839 .37323 Metetra
.538 .925 .839 r
.25839 .37323 .26244 .37097 .26916 .36353 .26512 .36577 Metetra
.499 .906 .827 r
.26512 .36577 .26916 .36353 .27589 .35657 .27187 .3588 Metetra
.459 .885 .813 r
.27187 .3588 .27589 .35657 .28262 .3501 .27862 .35231 Metetra
.416 .861 .797 r
.27862 .35231 .28262 .3501 .28937 .3441 .28538 .3463 Metetra
.372 .835 .778 r
.28538 .3463 .28937 .3441 .29612 .33857 .29215 .34075 Metetra
.326 .807 .757 r
.29215 .34075 .29612 .33857 .30289 .33349 .29893 .33566 Metetra
.28 .776 .735 r
.29893 .33566 .30289 .33349 .30967 .32886 .30572 .33102 Metetra
.234 .744 .711 r
.30572 .33102 .30967 .32886 .31646 .32467 .31253 .32682 Metetra
.187 .71 .686 r
.31253 .32682 .31646 .32467 .32326 .32091 .31935 .32305 Metetra
.31935 .32305 .32326 .32091 .33008 .31756 .32618 .3197 Metetra
.32618 .3197 .33008 .31756 .33691 .31463 .33302 .31676 Metetra
.33302 .31676 .33691 .31463 .34375 .31209 .33988 .31421 Metetra
.33988 .31421 .34375 .31209 .35061 .30994 .34675 .31206 Metetra
.03 0 0 r
.34675 .31206 .35061 .30994 .35748 .30817 .35364 .31029 Metetra
.068 0 0 r
.35364 .31029 .35748 .30817 .36437 .30676 .36054 .30888 Metetra
.104 0 0 r
.36054 .30888 .36437 .30676 .37127 .30571 .36746 .30782 Metetra
.139 0 0 r
.36746 .30782 .37127 .30571 .37819 .305 .37439 .30711 Metetra
.171 0 0 r
.37439 .30711 .37819 .305 .38512 .30462 .38134 .30673 Metetra
.201 0 0 r
.38134 .30673 .38512 .30462 .39207 .30456 .38831 .30668 Metetra
.228 0 0 r
.38831 .30668 .39207 .30456 .39904 .3048 .39529 .30692 Metetra
.254 0 0 r
.39529 .30692 .39904 .3048 .40602 .30534 .40229 .30746 Metetra
.278 0 0 r
.40229 .30746 .40602 .30534 .41302 .30615 .40931 .30829 Metetra
.3 0 0 r
.40931 .30829 .41302 .30615 .42004 .30724 .41634 .30938 Metetra
.32 0 0 r
.41634 .30938 .42004 .30724 .42708 .30857 .4234 .31072 Metetra
.338 0 0 r
.4234 .31072 .42708 .30857 .43414 .31015 .43047 .31231 Metetra
.354 0 0 r
.43047 .31231 .43414 .31015 .44122 .31196 .43756 .31412 Metetra
.369 0 0 r
.43756 .31412 .44122 .31196 .44831 .31397 .44467 .31614 Metetra
.383 0 0 r
.44467 .31614 .44831 .31397 .45543 .31619 .4518 .31837 Metetra
.395 0 0 r
.4518 .31837 .45543 .31619 .46256 .31858 .45895 .32077 Metetra
.406 0 0 r
.45895 .32077 .46256 .31858 .46972 .32115 .46612 .32335 Metetra
.416 0 0 r
.46612 .32335 .46972 .32115 .47689 .32387 .47331 .32608 Metetra
.424 0 0 r
.47331 .32608 .47689 .32387 .48409 .32673 .48052 .32895 Metetra
.431 0 0 r
.48052 .32895 .48409 .32673 .4913 .32971 .48776 .33195 Metetra
.437 0 0 r
.48776 .33195 .4913 .32971 .49854 .3328 .49501 .33505 Metetra
.443 0 0 r
.49501 .33505 .49854 .3328 .5058 .33599 .50228 .33825 Metetra
.447 0 0 r
.50228 .33825 .5058 .33599 .51308 .33925 .50958 .34152 Metetra
.45 0 0 r
.50958 .34152 .51308 .33925 .52038 .34257 .5169 .34486 Metetra
.452 0 0 r
.5169 .34486 .52038 .34257 .5277 .34594 .52424 .34824 Metetra
.453 0 0 r
.52424 .34824 .5277 .34594 .53504 .34934 .5316 .35166 Metetra
.453 0 0 r
.5316 .35166 .53504 .34934 .54241 .35275 .53898 .35508 Metetra
.452 0 0 r
.53898 .35508 .54241 .35275 .5498 .35616 .54639 .35851 Metetra
.451 0 0 r
.54639 .35851 .5498 .35616 .55721 .35955 .55381 .36191 Metetra
.448 0 0 r
.55381 .36191 .55721 .35955 .56464 .36291 .56126 .36528 Metetra
.444 0 0 r
.56126 .36528 .56464 .36291 .57209 .36621 .56873 .36859 Metetra
.44 0 0 r
.56873 .36859 .57209 .36621 .57957 .36944 .57623 .37184 Metetra
.435 0 0 r
.57623 .37184 .57957 .36944 .58707 .37259 .58374 .375 Metetra
.428 0 0 r
.58374 .375 .58707 .37259 .59459 .37564 .59128 .37806 Metetra
.421 0 0 r
.59128 .37806 .59459 .37564 .60213 .37856 .59884 .381 Metetra
.412 0 0 r
.59884 .381 .60213 .37856 .60969 .38135 .60642 .3838 Metetra
.403 0 0 r
.60642 .3838 .60969 .38135 .61728 .38399 .61403 .38645 Metetra
.392 0 0 r
.61403 .38645 .61728 .38399 .62489 .38646 .62165 .38893 Metetra
.381 0 0 r
.62165 .38893 .62489 .38646 .63252 .38874 .6293 .39123 Metetra
.368 0 0 r
.6293 .39123 .63252 .38874 .64017 .39083 .63697 .39332 Metetra
.354 0 0 r
.63697 .39332 .64017 .39083 .64784 .39269 .64466 .39519 Metetra
.338 0 0 r
.64466 .39519 .64784 .39269 .65553 .39431 .65238 .39682 Metetra
.322 0 0 r
.65238 .39682 .65553 .39431 .66325 .39569 .66011 .3982 Metetra
.304 0 0 r
.66011 .3982 .66325 .39569 .67099 .39679 .66787 .39931 Metetra
.285 0 0 r
.66787 .39931 .67099 .39679 .67874 .39761 .67564 .40014 Metetra
.264 0 0 r
.67564 .40014 .67874 .39761 .68652 .39813 .68344 .40066 Metetra
.242 0 0 r
.68344 .40066 .68652 .39813 .69432 .39833 .69126 .40087 Metetra
.219 0 0 r
.69126 .40087 .69432 .39833 .70213 .39819 .69909 .40073 Metetra
.194 0 0 r
.69909 .40073 .70213 .39819 .70997 .39771 .70695 .40025 Metetra
.168 0 0 r
.70695 .40025 .70997 .39771 .71783 .39686 .71483 .3994 Metetra
.141 0 0 r
.71483 .3994 .71783 .39686 .7257 .39563 .72272 .39817 Metetra
.112 0 0 r
.72272 .39817 .7257 .39563 .7336 .394 .73064 .39654 Metetra
.082 0 0 r
.73064 .39654 .7336 .394 .74151 .39196 .73857 .3945 Metetra
.05 0 0 r
.73857 .3945 .74151 .39196 .74944 .3895 .74652 .39203 Metetra
.018 0 0 r
.74652 .39203 .74944 .3895 .75739 .38659 .75449 .38912 Metetra
.75449 .38912 .75739 .38659 .76536 .38323 .76248 .38575 Metetra
.76248 .38575 .76536 .38323 .77334 .3794 .77048 .38191 Metetra
.77048 .38191 .77334 .3794 .78134 .37508 .7785 .37759 Metetra
.7785 .37759 .78134 .37508 .78935 .37027 .78654 .37276 Metetra
.78654 .37276 .78935 .37027 .79738 .36495 .79459 .36743 Metetra
.79459 .36743 .79738 .36495 .80542 .3591 .80266 .36156 Metetra
.80266 .36156 .80542 .3591 .81348 .35272 .81074 .35516 Metetra
.81074 .35516 .81348 .35272 .82156 .34578 .81883 .34821 Metetra
.908 .957 .813 r
.10052 .69732 .10496 .69398 .11161 .67375 .1072 .67703 Metetra
.904 .961 .817 r
.1072 .67703 .11161 .67375 .11827 .6541 .11387 .65733 Metetra
.899 .965 .821 r
.11387 .65733 .11827 .6541 .12492 .63504 .12053 .63822 Metetra
.894 .969 .825 r
.12053 .63822 .12492 .63504 .13157 .61657 .1272 .6197 Metetra
.888 .973 .83 r
.1272 .6197 .13157 .61657 .13822 .59868 .13387 .60176 Metetra
.881 .977 .834 r
.13387 .60176 .13822 .59868 .14487 .58138 .14053 .58441 Metetra
.874 .981 .838 r
.14053 .58441 .14487 .58138 .15152 .56466 .1472 .56764 Metetra
.866 .984 .842 r
.1472 .56764 .15152 .56466 .15818 .54851 .15387 .55146 Metetra
.857 .988 .846 r
.15387 .55146 .15818 .54851 .16483 .53295 .16054 .53585 Metetra
.847 .99 .85 r
.16054 .53585 .16483 .53295 .17149 .51795 .16721 .52081 Metetra
.835 .993 .854 r
.16721 .52081 .17149 .51795 .17814 .50353 .17388 .50635 Metetra
.823 .995 .857 r
.17388 .50635 .17814 .50353 .1848 .48967 .18056 .49245 Metetra
.809 .996 .86 r
.18056 .49245 .1848 .48967 .19147 .47637 .18724 .47912 Metetra
.793 .996 .863 r
.18724 .47912 .19147 .47637 .19813 .46363 .19392 .46635 Metetra
.776 .996 .864 r
.19392 .46635 .19813 .46363 .20481 .45145 .20061 .45413 Metetra
.757 .994 .865 r
.20061 .45413 .20481 .45145 .21148 .43981 .2073 .44246 Metetra
.736 .991 .865 r
.2073 .44246 .21148 .43981 .21816 .42872 .214 .43134 Metetra
.713 .987 .864 r
.214 .43134 .21816 .42872 .22485 .41816 .2207 .42076 Metetra
.687 .98 .862 r
.2207 .42076 .22485 .41816 .23155 .40814 .22741 .41071 Metetra
.659 .972 .858 r
.22741 .41071 .23155 .40814 .23825 .39864 .23412 .40118 Metetra
.629 .962 .852 r
.23412 .40118 .23825 .39864 .24495 .38966 .24085 .39218 Metetra
.596 .95 .845 r
.24085 .39218 .24495 .38966 .25167 .38119 .24758 .38369 Metetra
.561 .935 .836 r
.24758 .38369 .25167 .38119 .25839 .37323 .25432 .37571 Metetra
.523 .917 .824 r
.25432 .37571 .25839 .37323 .26512 .36577 .26106 .36823 Metetra
.483 .897 .811 r
.26106 .36823 .26512 .36577 .27187 .3588 .26782 .36124 Metetra
.441 .874 .795 r
.26782 .36124 .27187 .3588 .27862 .35231 .27458 .35474 Metetra
.397 .849 .777 r
.27458 .35474 .27862 .35231 .28538 .3463 .28136 .34871 Metetra
.352 .821 .757 r
.28136 .34871 .28538 .3463 .29215 .34075 .28815 .34315 Metetra
.306 .791 .735 r
.28815 .34315 .29215 .34075 .29893 .33566 .29494 .33805 Metetra
.259 .76 .711 r
.29494 .33805 .29893 .33566 .30572 .33102 .30175 .3334 Metetra
.212 .726 .686 r
.30175 .3334 .30572 .33102 .31253 .32682 .30857 .32919 Metetra
.30857 .32919 .31253 .32682 .31935 .32305 .31541 .32541 Metetra
.31541 .32541 .31935 .32305 .32618 .3197 .32225 .32205 Metetra
.32225 .32205 .32618 .3197 .33302 .31676 .32911 .3191 Metetra
.32911 .3191 .33302 .31676 .33988 .31421 .33599 .31656 Metetra
.01 0 0 r
.33599 .31656 .33988 .31421 .34675 .31206 .34287 .3144 Metetra
.05 0 0 r
.34287 .3144 .34675 .31206 .35364 .31029 .34977 .31262 Metetra
.088 0 0 r
.34977 .31262 .35364 .31029 .36054 .30888 .35669 .31121 Metetra
.124 0 0 r
.35669 .31121 .36054 .30888 .36746 .30782 .36362 .31016 Metetra
.157 0 0 r
.36362 .31016 .36746 .30782 .37439 .30711 .37057 .30945 Metetra
.188 0 0 r
.37057 .30945 .37439 .30711 .38134 .30673 .37754 .30907 Metetra
.218 0 0 r
.37754 .30907 .38134 .30673 .38831 .30668 .38452 .30902 Metetra
.245 0 0 r
.38452 .30902 .38831 .30668 .39529 .30692 .39151 .30927 Metetra
.27 0 0 r
.39151 .30927 .39529 .30692 .40229 .30746 .39853 .30981 Metetra
.293 0 0 r
.39853 .30981 .40229 .30746 .40931 .30829 .40556 .31064 Metetra
.314 0 0 r
.40556 .31064 .40931 .30829 .41634 .30938 .41261 .31174 Metetra
.333 0 0 r
.41261 .31174 .41634 .30938 .4234 .31072 .41968 .31309 Metetra
.351 0 0 r
.41968 .31309 .4234 .31072 .43047 .31231 .42677 .31468 Metetra
.367 0 0 r
.42677 .31468 .43047 .31231 .43756 .31412 .43388 .3165 Metetra
.382 0 0 r
.43388 .3165 .43756 .31412 .44467 .31614 .44101 .31854 Metetra
.395 0 0 r
.44101 .31854 .44467 .31614 .4518 .31837 .44815 .32077 Metetra
.407 0 0 r
.44815 .32077 .4518 .31837 .45895 .32077 .45532 .32319 Metetra
.417 0 0 r
.45532 .32319 .45895 .32077 .46612 .32335 .46251 .32578 Metetra
.427 0 0 r
.46251 .32578 .46612 .32335 .47331 .32608 .46971 .32852 Metetra
.435 0 0 r
.46971 .32852 .47331 .32608 .48052 .32895 .47694 .3314 Metetra
.442 0 0 r
.47694 .3314 .48052 .32895 .48776 .33195 .48419 .33441 Metetra
.448 0 0 r
.48419 .33441 .48776 .33195 .49501 .33505 .49146 .33753 Metetra
.453 0 0 r
.49146 .33753 .49501 .33505 .50228 .33825 .49875 .34074 Metetra
.457 0 0 r
.49875 .34074 .50228 .33825 .50958 .34152 .50606 .34403 Metetra
.459 0 0 r
.50606 .34403 .50958 .34152 .5169 .34486 .5134 .34738 Metetra
.461 0 0 r
.5134 .34738 .5169 .34486 .52424 .34824 .52075 .35077 Metetra
.463 0 0 r
.52075 .35077 .52424 .34824 .5316 .35166 .52813 .3542 Metetra
.463 0 0 r
.52813 .3542 .5316 .35166 .53898 .35508 .53553 .35764 Metetra
.462 0 0 r
.53553 .35764 .53898 .35508 .54639 .35851 .54295 .36108 Metetra
.46 0 0 r
.54295 .36108 .54639 .35851 .55381 .36191 .5504 .3645 Metetra
.458 0 0 r
.5504 .3645 .55381 .36191 .56126 .36528 .55787 .36788 Metetra
.454 0 0 r
.55787 .36788 .56126 .36528 .56873 .36859 .56535 .37121 Metetra
.45 0 0 r
.56535 .37121 .56873 .36859 .57623 .37184 .57287 .37447 Metetra
.445 0 0 r
.57287 .37447 .57623 .37184 .58374 .375 .5804 .37764 Metetra
.439 0 0 r
.5804 .37764 .58374 .375 .59128 .37806 .58796 .38071 Metetra
.431 0 0 r
.58796 .38071 .59128 .37806 .59884 .381 .59553 .38367 Metetra
.423 0 0 r
.59553 .38367 .59884 .381 .60642 .3838 .60313 .38648 Metetra
.414 0 0 r
.60313 .38648 .60642 .3838 .61403 .38645 .61076 .38914 Metetra
.404 0 0 r
.61076 .38914 .61403 .38645 .62165 .38893 .6184 .39164 Metetra
.392 0 0 r
.6184 .39164 .62165 .38893 .6293 .39123 .62607 .39394 Metetra
.38 0 0 r
.62607 .39394 .6293 .39123 .63697 .39332 .63376 .39604 Metetra
.366 0 0 r
.63376 .39604 .63697 .39332 .64466 .39519 .64147 .39792 Metetra
.352 0 0 r
.64147 .39792 .64466 .39519 .65238 .39682 .6492 .39957 Metetra
.336 0 0 r
.6492 .39957 .65238 .39682 .66011 .3982 .65695 .40096 Metetra
.318 0 0 r
.65695 .40096 .66011 .3982 .66787 .39931 .66473 .40208 Metetra
.3 0 0 r
.66473 .40208 .66787 .39931 .67564 .40014 .67253 .40291 Metetra
.28 0 0 r
.67253 .40291 .67564 .40014 .68344 .40066 .68034 .40343 Metetra
.258 0 0 r
.68034 .40343 .68344 .40066 .69126 .40087 .68818 .40364 Metetra
.235 0 0 r
.68818 .40364 .69126 .40087 .69909 .40073 .69604 .40352 Metetra
.211 0 0 r
.69604 .40352 .69909 .40073 .70695 .40025 .70391 .40304 Metetra
.186 0 0 r
.70391 .40304 .70695 .40025 .71483 .3994 .71181 .40219 Metetra
.159 0 0 r
.71181 .40219 .71483 .3994 .72272 .39817 .71973 .40096 Metetra
.131 0 0 r
.71973 .40096 .72272 .39817 .73064 .39654 .72766 .39933 Metetra
.101 0 0 r
.72766 .39933 .73064 .39654 .73857 .3945 .73562 .39728 Metetra
.07 0 0 r
.73562 .39728 .73857 .3945 .74652 .39203 .74359 .39481 Metetra
.038 0 0 r
.74359 .39481 .74652 .39203 .75449 .38912 .75158 .39189 Metetra
.005 0 0 r
.75158 .39189 .75449 .38912 .76248 .38575 .75959 .38852 Metetra
.75959 .38852 .76248 .38575 .77048 .38191 .76761 .38467 Metetra
.76761 .38467 .77048 .38191 .7785 .37759 .77566 .38033 Metetra
.77566 .38033 .7785 .37759 .78654 .37276 .78371 .3755 Metetra
.78371 .3755 .78654 .37276 .79459 .36743 .79179 .37015 Metetra
.79179 .37015 .79459 .36743 .80266 .36156 .79988 .36427 Metetra
.79988 .36427 .80266 .36156 .81074 .35516 .80798 .35785 Metetra
.80798 .35785 .81074 .35516 .81883 .34821 .8161 .35088 Metetra
.908 .96 .811 r
.09606 .70088 .10052 .69732 .1072 .67703 .10275 .68054 Metetra
.904 .964 .815 r
.10275 .68054 .1072 .67703 .11387 .65733 .10943 .66078 Metetra
.899 .968 .819 r
.10943 .66078 .11387 .65733 .12053 .63822 .11612 .64162 Metetra
.893 .972 .823 r
.11612 .64162 .12053 .63822 .1272 .6197 .1228 .62305 Metetra
.887 .976 .827 r
.1228 .62305 .1272 .6197 .13387 .60176 .12948 .60506 Metetra
.88 .98 .831 r
.12948 .60506 .13387 .60176 .14053 .58441 .13617 .58767 Metetra
.873 .983 .835 r
.13617 .58767 .14053 .58441 .1472 .56764 .14285 .57085 Metetra
.864 .987 .839 r
.14285 .57085 .1472 .56764 .15387 .55146 .14953 .55462 Metetra
.855 .99 .843 r
.14953 .55462 .15387 .55146 .16054 .53585 .15622 .53897 Metetra
.844 .993 .847 r
.15622 .53897 .16054 .53585 .16721 .52081 .16291 .52389 Metetra
.833 .995 .85 r
.16291 .52389 .16721 .52081 .17388 .50635 .1696 .50939 Metetra
.819 .996 .853 r
.1696 .50939 .17388 .50635 .18056 .49245 .17629 .49546 Metetra
.805 .997 .855 r
.17629 .49546 .18056 .49245 .18724 .47912 .18298 .48209 Metetra
.789 .997 .857 r
.18298 .48209 .18724 .47912 .19392 .46635 .18968 .46928 Metetra
.771 .996 .858 r
.18968 .46928 .19392 .46635 .20061 .45413 .19638 .45703 Metetra
.751 .994 .858 r
.19638 .45703 .20061 .45413 .2073 .44246 .20309 .44534 Metetra
.729 .99 .857 r
.20309 .44534 .2073 .44246 .214 .43134 .2098 .43418 Metetra
.704 .985 .855 r
.2098 .43418 .214 .43134 .2207 .42076 .21652 .42357 Metetra
.678 .978 .852 r
.21652 .42357 .2207 .42076 .22741 .41071 .22325 .41349 Metetra
.648 .969 .847 r
.22325 .41349 .22741 .41071 .23412 .40118 .22998 .40395 Metetra
.617 .957 .84 r
.22998 .40395 .23412 .40118 .24085 .39218 .23671 .39492 Metetra
.583 .943 .832 r
.23671 .39492 .24085 .39218 .24758 .38369 .24346 .38641 Metetra
.546 .927 .821 r
.24346 .38641 .24758 .38369 .25432 .37571 .25021 .37841 Metetra
.507 .908 .808 r
.25021 .37841 .25432 .37571 .26106 .36823 .25698 .37091 Metetra
.466 .887 .793 r
.25698 .37091 .26106 .36823 .26782 .36124 .26375 .3639 Metetra
.423 .862 .776 r
.26375 .3639 .26782 .36124 .27458 .35474 .27053 .35738 Metetra
.378 .836 .756 r
.27053 .35738 .27458 .35474 .28136 .34871 .27732 .35134 Metetra
.332 .806 .735 r
.27732 .35134 .28136 .34871 .28815 .34315 .28412 .34577 Metetra
.285 .775 .712 r
.28412 .34577 .28815 .34315 .29494 .33805 .29093 .34066 Metetra
.238 .742 .687 r
.29093 .34066 .29494 .33805 .30175 .3334 .29776 .33599 Metetra
.29776 .33599 .30175 .3334 .30857 .32919 .30459 .33177 Metetra
.30459 .33177 .30857 .32919 .31541 .32541 .31144 .32799 Metetra
.31144 .32799 .31541 .32541 .32225 .32205 .3183 .32462 Metetra
.3183 .32462 .32225 .32205 .32911 .3191 .32518 .32167 Metetra
.32518 .32167 .32911 .3191 .33599 .31656 .33207 .31912 Metetra
.031 0 0 r
.33207 .31912 .33599 .31656 .34287 .3144 .33897 .31696 Metetra
.07 0 0 r
.33897 .31696 .34287 .3144 .34977 .31262 .34589 .31518 Metetra
.107 0 0 r
.34589 .31518 .34977 .31262 .35669 .31121 .35282 .31377 Metetra
.142 0 0 r
.35282 .31377 .35669 .31121 .36362 .31016 .35976 .31272 Metetra
.175 0 0 r
.35976 .31272 .36362 .31016 .37057 .30945 .36673 .31201 Metetra
.206 0 0 r
.36673 .31201 .37057 .30945 .37754 .30907 .37371 .31163 Metetra
.234 0 0 r
.37371 .31163 .37754 .30907 .38452 .30902 .3807 .31158 Metetra
.26 0 0 r
.3807 .31158 .38452 .30902 .39151 .30927 .38772 .31183 Metetra
.285 0 0 r
.38772 .31183 .39151 .30927 .39853 .30981 .39475 .31239 Metetra
.307 0 0 r
.39475 .31239 .39853 .30981 .40556 .31064 .4018 .31322 Metetra
.328 0 0 r
.4018 .31322 .40556 .31064 .41261 .31174 .40887 .31432 Metetra
.347 0 0 r
.40887 .31432 .41261 .31174 .41968 .31309 .41595 .31568 Metetra
.364 0 0 r
.41595 .31568 .41968 .31309 .42677 .31468 .42305 .31728 Metetra
.379 0 0 r
.42305 .31728 .42677 .31468 .43388 .3165 .43018 .31911 Metetra
.393 0 0 r
.43018 .31911 .43388 .3165 .44101 .31854 .43732 .32116 Metetra
.406 0 0 r
.43732 .32116 .44101 .31854 .44815 .32077 .44448 .3234 Metetra
.418 0 0 r
.44448 .3234 .44815 .32077 .45532 .32319 .45167 .32583 Metetra
.428 0 0 r
.45167 .32583 .45532 .32319 .46251 .32578 .45887 .32843 Metetra
.437 0 0 r
.45887 .32843 .46251 .32578 .46971 .32852 .46609 .33119 Metetra
.445 0 0 r
.46609 .33119 .46971 .32852 .47694 .3314 .47334 .33408 Metetra
.452 0 0 r
.47334 .33408 .47694 .3314 .48419 .33441 .4806 .3371 Metetra
.457 0 0 r
.4806 .3371 .48419 .33441 .49146 .33753 .48789 .34023 Metetra
.462 0 0 r
.48789 .34023 .49146 .33753 .49875 .34074 .4952 .34346 Metetra
.466 0 0 r
.4952 .34346 .49875 .34074 .50606 .34403 .50253 .34676 Metetra
.469 0 0 r
.50253 .34676 .50606 .34403 .5134 .34738 .50988 .35012 Metetra
.471 0 0 r
.50988 .35012 .5134 .34738 .52075 .35077 .51725 .35354 Metetra
.472 0 0 r
.51725 .35354 .52075 .35077 .52813 .3542 .52465 .35698 Metetra
.472 0 0 r
.52465 .35698 .52813 .3542 .53553 .35764 .53206 .36043 Metetra
.471 0 0 r
.53206 .36043 .53553 .35764 .54295 .36108 .5395 .36388 Metetra
.47 0 0 r
.5395 .36388 .54295 .36108 .5504 .3645 .54696 .36732 Metetra
.467 0 0 r
.54696 .36732 .5504 .3645 .55787 .36788 .55445 .37071 Metetra
.464 0 0 r
.55445 .37071 .55787 .36788 .56535 .37121 .56195 .37406 Metetra
.46 0 0 r
.56195 .37406 .56535 .37121 .57287 .37447 .56948 .37733 Metetra
.455 0 0 r
.56948 .37733 .57287 .37447 .5804 .37764 .57704 .38052 Metetra
.449 0 0 r
.57704 .38052 .5804 .37764 .58796 .38071 .58461 .3836 Metetra
.442 0 0 r
.58461 .3836 .58796 .38071 .59553 .38367 .59221 .38657 Metetra
.434 0 0 r
.59221 .38657 .59553 .38367 .60313 .38648 .59983 .3894 Metetra
.425 0 0 r
.59983 .3894 .60313 .38648 .61076 .38914 .60747 .39207 Metetra
.415 0 0 r
.60747 .39207 .61076 .38914 .6184 .39164 .61513 .39458 Metetra
.404 0 0 r
.61513 .39458 .6184 .39164 .62607 .39394 .62282 .39689 Metetra
.392 0 0 r
.62282 .39689 .62607 .39394 .63376 .39604 .63052 .39901 Metetra
.378 0 0 r
.63052 .39901 .63376 .39604 .64147 .39792 .63825 .4009 Metetra
.364 0 0 r
.63825 .4009 .64147 .39792 .6492 .39957 .64601 .40255 Metetra
.348 0 0 r
.64601 .40255 .6492 .39957 .65695 .40096 .65378 .40395 Metetra
.332 0 0 r
.65378 .40395 .65695 .40096 .66473 .40208 .66157 .40508 Metetra
.313 0 0 r
.66157 .40508 .66473 .40208 .67253 .40291 .66939 .40591 Metetra
.294 0 0 r
.66939 .40591 .67253 .40291 .68034 .40343 .67723 .40645 Metetra
.273 0 0 r
.67723 .40645 .68034 .40343 .68818 .40364 .68508 .40666 Metetra
.251 0 0 r
.68508 .40666 .68818 .40364 .69604 .40352 .69296 .40654 Metetra
.228 0 0 r
.69296 .40654 .69604 .40352 .70391 .40304 .70086 .40606 Metetra
.203 0 0 r
.70086 .40606 .70391 .40304 .71181 .40219 .70878 .40521 Metetra
.176 0 0 r
.70878 .40521 .71181 .40219 .71973 .40096 .71671 .40398 Metetra
.149 0 0 r
.71671 .40398 .71973 .40096 .72766 .39933 .72467 .40235 Metetra
.12 0 0 r
.72467 .40235 .72766 .39933 .73562 .39728 .73265 .40031 Metetra
.089 0 0 r
.73265 .40031 .73562 .39728 .74359 .39481 .74064 .39783 Metetra
.058 0 0 r
.74064 .39783 .74359 .39481 .75158 .39189 .74865 .39491 Metetra
.025 0 0 r
.74865 .39491 .75158 .39189 .75959 .38852 .75668 .39152 Metetra
.75668 .39152 .75959 .38852 .76761 .38467 .76473 .38767 Metetra
.76473 .38767 .76761 .38467 .77566 .38033 .77279 .38332 Metetra
.77279 .38332 .77566 .38033 .78371 .3755 .78087 .37847 Metetra
.78087 .37847 .78371 .3755 .79179 .37015 .78897 .37311 Metetra
.78897 .37311 .79179 .37015 .79988 .36427 .79708 .36722 Metetra
.79708 .36722 .79988 .36427 .80798 .35785 .8052 .36078 Metetra
.8052 .36078 .80798 .35785 .8161 .35088 .81334 .35379 Metetra
.908 .963 .809 r
.09157 .70467 .09606 .70088 .10275 .68054 .09827 .68427 Metetra
.904 .967 .813 r
.09827 .68427 .10275 .68054 .10943 .66078 .10497 .66446 Metetra
.899 .971 .817 r
.10497 .66446 .10943 .66078 .11612 .64162 .11168 .64524 Metetra
.893 .975 .821 r
.11168 .64524 .11612 .64162 .1228 .62305 .11837 .62662 Metetra
.886 .979 .825 r
.11837 .62662 .1228 .62305 .12948 .60506 .12507 .60859 Metetra
.879 .982 .829 r
.12507 .60859 .12948 .60506 .13617 .58767 .13177 .59114 Metetra
.871 .986 .832 r
.13177 .59114 .13617 .58767 .14285 .57085 .13847 .57428 Metetra
.863 .989 .836 r
.13847 .57428 .14285 .57085 .14953 .55462 .14517 .55801 Metetra
.853 .992 .84 r
.14517 .55801 .14953 .55462 .15622 .53897 .15187 .54231 Metetra
.842 .995 .843 r
.15187 .54231 .15622 .53897 .16291 .52389 .15858 .5272 Metetra
.829 .996 .846 r
.15858 .5272 .16291 .52389 .1696 .50939 .16528 .51266 Metetra
.816 .998 .848 r
.16528 .51266 .1696 .50939 .17629 .49546 .17199 .49868 Metetra
.8 .998 .85 r
.17199 .49868 .17629 .49546 .18298 .48209 .1787 .48528 Metetra
.783 .998 .851 r
.1787 .48528 .18298 .48209 .18968 .46928 .18541 .47244 Metetra
.765 .996 .851 r
.18541 .47244 .18968 .46928 .19638 .45703 .19213 .46016 Metetra
.744 .993 .851 r
.19213 .46016 .19638 .45703 .20309 .44534 .19885 .44843 Metetra
.721 .989 .849 r
.19885 .44843 .20309 .44534 .2098 .43418 .20558 .43725 Metetra
.695 .982 .846 r
.20558 .43725 .2098 .43418 .21652 .42357 .21232 .42661 Metetra
.667 .974 .842 r
.21232 .42661 .21652 .42357 .22325 .41349 .21906 .4165 Metetra
.637 .964 .836 r
.21906 .4165 .22325 .41349 .22998 .40395 .2258 .40693 Metetra
.604 .952 .828 r
.2258 .40693 .22998 .40395 .23671 .39492 .23256 .39788 Metetra
.569 .936 .818 r
.23256 .39788 .23671 .39492 .24346 .38641 .23932 .38935 Metetra
.531 .919 .805 r
.23932 .38935 .24346 .38641 .25021 .37841 .24609 .38133 Metetra
.491 .898 .791 r
.24609 .38133 .25021 .37841 .25698 .37091 .25286 .37381 Metetra
.448 .875 .775 r
.25286 .37381 .25698 .37091 .26375 .3639 .25965 .36679 Metetra
.404 .849 .756 r
.25965 .36679 .26375 .3639 .27053 .35738 .26645 .36025 Metetra
.358 .821 .735 r
.26645 .36025 .27053 .35738 .27732 .35134 .27325 .35419 Metetra
.312 .791 .712 r
.27325 .35419 .27732 .35134 .28412 .34577 .28007 .34861 Metetra
.264 .758 .688 r
.28007 .34861 .28412 .34577 .29093 .34066 .2869 .34348 Metetra
.2869 .34348 .29093 .34066 .29776 .33599 .29374 .33881 Metetra
.29374 .33881 .29776 .33599 .30459 .33177 .30059 .33458 Metetra
.30059 .33458 .30459 .33177 .31144 .32799 .30745 .33079 Metetra
.30745 .33079 .31144 .32799 .3183 .32462 .31433 .32742 Metetra
.31433 .32742 .3183 .32462 .32518 .32167 .32122 .32446 Metetra
.01 0 0 r
.32122 .32446 .32518 .32167 .33207 .31912 .32812 .3219 Metetra
.051 0 0 r
.32812 .3219 .33207 .31912 .33897 .31696 .33504 .31974 Metetra
.089 0 0 r
.33504 .31974 .33897 .31696 .34589 .31518 .34197 .31796 Metetra
.126 0 0 r
.34197 .31796 .34589 .31518 .35282 .31377 .34892 .31655 Metetra
.16 0 0 r
.34892 .31655 .35282 .31377 .35976 .31272 .35588 .3155 Metetra
.192 0 0 r
.35588 .3155 .35976 .31272 .36673 .31201 .36286 .31479 Metetra
.222 0 0 r
.36286 .31479 .36673 .31201 .37371 .31163 .36986 .31442 Metetra
.25 0 0 r
.36986 .31442 .37371 .31163 .3807 .31158 .37687 .31437 Metetra
.275 0 0 r
.37687 .31437 .3807 .31158 .38772 .31183 .3839 .31463 Metetra
.299 0 0 r
.3839 .31463 .38772 .31183 .39475 .31239 .39094 .31518 Metetra
.321 0 0 r
.39094 .31518 .39475 .31239 .4018 .31322 .39801 .31602 Metetra
.341 0 0 r
.39801 .31602 .4018 .31322 .40887 .31432 .40509 .31713 Metetra
.359 0 0 r
.40509 .31713 .40887 .31432 .41595 .31568 .41219 .3185 Metetra
.376 0 0 r
.41219 .3185 .41595 .31568 .42305 .31728 .41931 .32011 Metetra
.391 0 0 r
.41931 .32011 .42305 .31728 .43018 .31911 .42645 .32195 Metetra
.404 0 0 r
.42645 .32195 .43018 .31911 .43732 .32116 .43361 .32401 Metetra
.417 0 0 r
.43361 .32401 .43732 .32116 .44448 .3234 .44079 .32626 Metetra
.428 0 0 r
.44079 .32626 .44448 .3234 .45167 .32583 .44799 .3287 Metetra
.438 0 0 r
.44799 .3287 .45167 .32583 .45887 .32843 .45521 .33131 Metetra
.446 0 0 r
.45521 .33131 .45887 .32843 .46609 .33119 .46245 .33408 Metetra
.454 0 0 r
.46245 .33408 .46609 .33119 .47334 .33408 .46971 .33699 Metetra
.461 0 0 r
.46971 .33699 .47334 .33408 .4806 .3371 .47699 .34002 Metetra
.466 0 0 r
.47699 .34002 .4806 .3371 .48789 .34023 .48429 .34317 Metetra
.471 0 0 r
.48429 .34317 .48789 .34023 .4952 .34346 .49162 .34641 Metetra
.475 0 0 r
.49162 .34641 .4952 .34346 .50253 .34676 .49897 .34972 Metetra
.477 0 0 r
.49897 .34972 .50253 .34676 .50988 .35012 .50633 .3531 Metetra
.479 0 0 r
.50633 .3531 .50988 .35012 .51725 .35354 .51372 .35653 Metetra
.48 0 0 r
.51372 .35653 .51725 .35354 .52465 .35698 .52114 .35998 Metetra
.48 0 0 r
.52114 .35998 .52465 .35698 .53206 .36043 .52857 .36345 Metetra
.48 0 0 r
.52857 .36345 .53206 .36043 .5395 .36388 .53603 .36692 Metetra
.478 0 0 r
.53603 .36692 .5395 .36388 .54696 .36732 .54351 .37037 Metetra
.476 0 0 r
.54351 .37037 .54696 .36732 .55445 .37071 .55101 .37378 Metetra
.473 0 0 r
.55101 .37378 .55445 .37071 .56195 .37406 .55853 .37714 Metetra
.469 0 0 r
.55853 .37714 .56195 .37406 .56948 .37733 .56608 .38043 Metetra
.464 0 0 r
.56608 .38043 .56948 .37733 .57704 .38052 .57365 .38363 Metetra
.458 0 0 r
.57365 .38363 .57704 .38052 .58461 .3836 .58124 .38673 Metetra
.451 0 0 r
.58124 .38673 .58461 .3836 .59221 .38657 .58886 .38971 Metetra
.443 0 0 r
.58886 .38971 .59221 .38657 .59983 .3894 .5965 .39255 Metetra
.435 0 0 r
.5965 .39255 .59983 .3894 .60747 .39207 .60416 .39524 Metetra
.425 0 0 r
.60416 .39524 .60747 .39207 .61513 .39458 .61184 .39776 Metetra
.414 0 0 r
.61184 .39776 .61513 .39458 .62282 .39689 .61954 .40009 Metetra
.403 0 0 r
.61954 .40009 .62282 .39689 .63052 .39901 .62727 .40221 Metetra
.39 0 0 r
.62727 .40221 .63052 .39901 .63825 .4009 .63502 .40411 Metetra
.376 0 0 r
.63502 .40411 .63825 .4009 .64601 .40255 .64279 .40577 Metetra
.361 0 0 r
.64279 .40577 .64601 .40255 .65378 .40395 .65058 .40718 Metetra
.344 0 0 r
.65058 .40718 .65378 .40395 .66157 .40508 .6584 .40832 Metetra
.327 0 0 r
.6584 .40832 .66157 .40508 .66939 .40591 .66623 .40916 Metetra
.308 0 0 r
.66623 .40916 .66939 .40591 .67723 .40645 .67409 .4097 Metetra
.288 0 0 r
.67409 .4097 .67723 .40645 .68508 .40666 .68197 .40992 Metetra
.266 0 0 r
.68197 .40992 .68508 .40666 .69296 .40654 .68987 .4098 Metetra
.243 0 0 r
.68987 .4098 .69296 .40654 .70086 .40606 .69779 .40933 Metetra
.219 0 0 r
.69779 .40933 .70086 .40606 .70878 .40521 .70572 .40848 Metetra
.193 0 0 r
.70572 .40848 .70878 .40521 .71671 .40398 .71368 .40725 Metetra
.166 0 0 r
.71368 .40725 .71671 .40398 .72467 .40235 .72166 .40562 Metetra
.138 0 0 r
.72166 .40562 .72467 .40235 .73265 .40031 .72966 .40357 Metetra
.108 0 0 r
.72966 .40357 .73265 .40031 .74064 .39783 .73767 .40109 Metetra
.077 0 0 r
.73767 .40109 .74064 .39783 .74865 .39491 .74571 .39816 Metetra
.045 0 0 r
.74571 .39816 .74865 .39491 .75668 .39152 .75376 .39477 Metetra
.012 0 0 r
.75376 .39477 .75668 .39152 .76473 .38767 .76183 .39091 Metetra
.76183 .39091 .76473 .38767 .77279 .38332 .76991 .38655 Metetra
.76991 .38655 .77279 .38332 .78087 .37847 .77801 .3817 Metetra
.77801 .3817 .78087 .37847 .78897 .37311 .78613 .37632 Metetra
.78613 .37632 .78897 .37311 .79708 .36722 .79426 .37041 Metetra
.79426 .37041 .79708 .36722 .8052 .36078 .80241 .36396 Metetra
.80241 .36396 .8052 .36078 .81334 .35379 .81058 .35695 Metetra
.908 .965 .807 r
.08705 .70868 .09157 .70467 .09827 .68427 .09377 .68822 Metetra
.903 .969 .811 r
.09377 .68822 .09827 .68427 .10497 .66446 .10049 .66836 Metetra
.898 .973 .815 r
.10049 .66836 .10497 .66446 .11168 .64524 .1072 .64909 Metetra
.892 .977 .818 r
.1072 .64909 .11168 .64524 .11837 .62662 .11392 .63042 Metetra
.886 .981 .822 r
.11392 .63042 .11837 .62662 .12507 .60859 .12064 .61233 Metetra
.878 .985 .826 r
.12064 .61233 .12507 .60859 .13177 .59114 .12735 .59484 Metetra
.87 .988 .829 r
.12735 .59484 .13177 .59114 .13847 .57428 .13407 .57794 Metetra
.861 .991 .833 r
.13407 .57794 .13847 .57428 .14517 .55801 .14078 .56162 Metetra
.85 .994 .836 r
.14078 .56162 .14517 .55801 .15187 .54231 .1475 .54588 Metetra
.839 .996 .838 r
.1475 .54588 .15187 .54231 .15858 .5272 .15422 .53072 Metetra
.826 .998 .841 r
.15422 .53072 .15858 .5272 .16528 .51266 .16094 .51614 Metetra
.811 .999 .843 r
.16094 .51614 .16528 .51266 .17199 .49868 .16766 .50213 Metetra
.795 .999 .844 r
.16766 .50213 .17199 .49868 .1787 .48528 .17439 .48869 Metetra
.778 .998 .845 r
.17439 .48869 .1787 .48528 .18541 .47244 .18112 .47582 Metetra
.758 .995 .844 r
.18112 .47582 .18541 .47244 .19213 .46016 .18785 .4635 Metetra
.736 .992 .843 r
.18785 .4635 .19213 .46016 .19885 .44843 .19459 .45174 Metetra
.712 .987 .84 r
.19459 .45174 .19885 .44843 .20558 .43725 .20134 .44053 Metetra
.686 .979 .836 r
.20134 .44053 .20558 .43725 .21232 .42661 .20808 .42986 Metetra
.657 .97 .831 r
.20808 .42986 .21232 .42661 .21906 .4165 .21484 .41974 Metetra
.625 .959 .823 r
.21484 .41974 .21906 .4165 .2258 .40693 .2216 .41014 Metetra
.591 .945 .814 r
.2216 .41014 .2258 .40693 .23256 .39788 .22837 .40107 Metetra
.554 .929 .803 r
.22837 .40107 .23256 .39788 .23932 .38935 .23515 .39251 Metetra
.515 .909 .789 r
.23515 .39251 .23932 .38935 .24609 .38133 .24193 .38447 Metetra
.474 .887 .773 r
.24193 .38447 .24609 .38133 .25286 .37381 .24872 .37693 Metetra
.43 .863 .755 r
.24872 .37693 .25286 .37381 .25965 .36679 .25553 .36989 Metetra
.385 .836 .735 r
.25553 .36989 .25965 .36679 .26645 .36025 .26234 .36334 Metetra
.339 .806 .713 r
.26234 .36334 .26645 .36025 .27325 .35419 .26916 .35727 Metetra
.291 .774 .689 r
.26916 .35727 .27325 .35419 .28007 .34861 .27599 .35167 Metetra
.27599 .35167 .28007 .34861 .2869 .34348 .28284 .34654 Metetra
.28284 .34654 .2869 .34348 .29374 .33881 .28969 .34185 Metetra
.28969 .34185 .29374 .33881 .30059 .33458 .29656 .33762 Metetra
.29656 .33762 .30059 .33458 .30745 .33079 .30344 .33381 Metetra
.30344 .33381 .30745 .33079 .31433 .32742 .31033 .33044 Metetra
.31033 .33044 .31433 .32742 .32122 .32446 .31723 .32747 Metetra
.03 0 0 r
.31723 .32747 .32122 .32446 .32812 .3219 .32415 .32491 Metetra
.07 0 0 r
.32415 .32491 .32812 .3219 .33504 .31974 .33109 .32275 Metetra
.108 0 0 r
.33109 .32275 .33504 .31974 .34197 .31796 .33803 .32097 Metetra
.144 0 0 r
.33803 .32097 .34197 .31796 .34892 .31655 .345 .31955 Metetra
.177 0 0 r
.345 .31955 .34892 .31655 .35588 .3155 .35198 .3185 Metetra
.208 0 0 r
.35198 .3185 .35588 .3155 .36286 .31479 .35897 .3178 Metetra
.238 0 0 r
.35897 .3178 .36286 .31479 .36986 .31442 .36598 .31743 Metetra
.265 0 0 r
.36598 .31743 .36986 .31442 .37687 .31437 .37301 .31738 Metetra
.289 0 0 r
.37301 .31738 .37687 .31437 .3839 .31463 .38005 .31765 Metetra
.312 0 0 r
.38005 .31765 .3839 .31463 .39094 .31518 .38712 .31821 Metetra
.334 0 0 r
.38712 .31821 .39094 .31518 .39801 .31602 .3942 .31906 Metetra
.353 0 0 r
.3942 .31906 .39801 .31602 .40509 .31713 .4013 .32017 Metetra
.371 0 0 r
.4013 .32017 .40509 .31713 .41219 .3185 .40841 .32155 Metetra
.387 0 0 r
.40841 .32155 .41219 .3185 .41931 .32011 .41555 .32317 Metetra
.401 0 0 r
.41555 .32317 .41931 .32011 .42645 .32195 .42271 .32502 Metetra
.415 0 0 r
.42271 .32502 .42645 .32195 .43361 .32401 .42988 .32708 Metetra
.427 0 0 r
.42988 .32708 .43361 .32401 .44079 .32626 .43708 .32935 Metetra
.437 0 0 r
.43708 .32935 .44079 .32626 .44799 .3287 .44429 .3318 Metetra
.447 0 0 r
.44429 .3318 .44799 .3287 .45521 .33131 .45153 .33443 Metetra
.455 0 0 r
.45153 .33443 .45521 .33131 .46245 .33408 .45878 .33721 Metetra
.463 0 0 r
.45878 .33721 .46245 .33408 .46971 .33699 .46606 .34013 Metetra
.469 0 0 r
.46606 .34013 .46971 .33699 .47699 .34002 .47336 .34318 Metetra
.475 0 0 r
.47336 .34318 .47699 .34002 .48429 .34317 .48068 .34634 Metetra
.479 0 0 r
.48068 .34634 .48429 .34317 .49162 .34641 .48802 .34959 Metetra
.483 0 0 r
.48802 .34959 .49162 .34641 .49897 .34972 .49538 .35292 Metetra
.485 0 0 r
.49538 .35292 .49897 .34972 .50633 .3531 .50277 .35632 Metetra
.487 0 0 r
.50277 .35632 .50633 .3531 .51372 .35653 .51018 .35976 Metetra
.488 0 0 r
.51018 .35976 .51372 .35653 .52114 .35998 .51761 .36323 Metetra
.488 0 0 r
.51761 .36323 .52114 .35998 .52857 .36345 .52506 .36671 Metetra
.488 0 0 r
.52506 .36671 .52857 .36345 .53603 .36692 .53253 .3702 Metetra
.486 0 0 r
.53253 .3702 .53603 .36692 .54351 .37037 .54003 .37366 Metetra
.484 0 0 r
.54003 .37366 .54351 .37037 .55101 .37378 .54755 .37709 Metetra
.481 0 0 r
.54755 .37709 .55101 .37378 .55853 .37714 .55509 .38046 Metetra
.477 0 0 r
.55509 .38046 .55853 .37714 .56608 .38043 .56266 .38376 Metetra
.472 0 0 r
.56266 .38376 .56608 .38043 .57365 .38363 .57025 .38698 Metetra
.466 0 0 r
.57025 .38698 .57365 .38363 .58124 .38673 .57786 .3901 Metetra
.46 0 0 r
.57786 .3901 .58124 .38673 .58886 .38971 .58549 .39309 Metetra
.452 0 0 r
.58549 .39309 .58886 .38971 .5965 .39255 .59315 .39595 Metetra
.444 0 0 r
.59315 .39595 .5965 .39255 .60416 .39524 .60083 .39865 Metetra
.435 0 0 r
.60083 .39865 .60416 .39524 .61184 .39776 .60853 .40118 Metetra
.424 0 0 r
.60853 .40118 .61184 .39776 .61954 .40009 .61625 .40352 Metetra
.413 0 0 r
.61625 .40352 .61954 .40009 .62727 .40221 .624 .40565 Metetra
.4 0 0 r
.624 .40565 .62727 .40221 .63502 .40411 .63177 .40757 Metetra
.387 0 0 r
.63177 .40757 .63502 .40411 .64279 .40577 .63956 .40924 Metetra
.372 0 0 r
.63956 .40924 .64279 .40577 .65058 .40718 .64737 .41066 Metetra
.356 0 0 r
.64737 .41066 .65058 .40718 .6584 .40832 .65521 .4118 Metetra
.339 0 0 r
.65521 .4118 .6584 .40832 .66623 .40916 .66306 .41265 Metetra
.321 0 0 r
.66306 .41265 .66623 .40916 .67409 .4097 .67094 .4132 Metetra
.301 0 0 r
.67094 .4132 .67409 .4097 .68197 .40992 .67884 .41342 Metetra
.28 0 0 r
.67884 .41342 .68197 .40992 .68987 .4098 .68676 .41331 Metetra
.258 0 0 r
.68676 .41331 .68987 .4098 .69779 .40933 .69469 .41284 Metetra
.234 0 0 r
.69469 .41284 .69779 .40933 .70572 .40848 .70265 .412 Metetra
.209 0 0 r
.70265 .412 .70572 .40848 .71368 .40725 .71063 .41077 Metetra
.183 0 0 r
.71063 .41077 .71368 .40725 .72166 .40562 .71863 .40914 Metetra
.155 0 0 r
.71863 .40914 .72166 .40562 .72966 .40357 .72665 .40709 Metetra
.126 0 0 r
.72665 .40709 .72966 .40357 .73767 .40109 .73469 .4046 Metetra
.095 0 0 r
.73469 .4046 .73767 .40109 .74571 .39816 .74274 .40167 Metetra
.064 0 0 r
.74274 .40167 .74571 .39816 .75376 .39477 .75082 .39827 Metetra
.031 0 0 r
.75082 .39827 .75376 .39477 .76183 .39091 .75891 .3944 Metetra
.75891 .3944 .76183 .39091 .76991 .38655 .76701 .39004 Metetra
.76701 .39004 .76991 .38655 .77801 .3817 .77514 .38517 Metetra
.77514 .38517 .77801 .3817 .78613 .37632 .78328 .37978 Metetra
.78328 .37978 .78613 .37632 .79426 .37041 .79144 .37385 Metetra
.79144 .37385 .79426 .37041 .80241 .36396 .79961 .36739 Metetra
.79961 .36739 .80241 .36396 .81058 .35695 .80779 .36036 Metetra
.908 .968 .805 r
.08249 .71292 .08705 .70868 .09377 .68822 .08923 .6924 Metetra
.903 .972 .809 r
.08923 .6924 .09377 .68822 .10049 .66836 .09597 .67249 Metetra
.897 .976 .812 r
.09597 .67249 .10049 .66836 .1072 .64909 .1027 .65317 Metetra
.891 .98 .816 r
.1027 .65317 .1072 .64909 .11392 .63042 .10944 .63444 Metetra
.884 .983 .819 r
.10944 .63444 .11392 .63042 .12064 .61233 .11617 .61631 Metetra
.877 .987 .823 r
.11617 .61631 .12064 .61233 .12735 .59484 .1229 .59877 Metetra
.868 .99 .826 r
.1229 .59877 .12735 .59484 .13407 .57794 .12963 .58182 Metetra
.858 .993 .829 r
.12963 .58182 .13407 .57794 .14078 .56162 .13636 .56545 Metetra
.848 .996 .831 r
.13636 .56545 .14078 .56162 .1475 .54588 .1431 .54967 Metetra
.835 .998 .834 r
.1431 .54967 .1475 .54588 .15422 .53072 .14983 .53447 Metetra
.822 .999 .836 r
.14983 .53447 .15422 .53072 .16094 .51614 .15657 .51985 Metetra
.807 .999 .837 r
.15657 .51985 .16094 .51614 .16766 .50213 .16331 .50581 Metetra
.79 .999 .838 r
.16331 .50581 .16766 .50213 .17439 .48869 .17005 .49233 Metetra
.772 .997 .838 r
.17005 .49233 .17439 .48869 .18112 .47582 .1768 .47942 Metetra
.751 .994 .837 r
.1768 .47942 .18112 .47582 .18785 .4635 .18355 .46708 Metetra
.728 .99 .834 r
.18355 .46708 .18785 .4635 .19459 .45174 .1903 .45528 Metetra
.703 .984 .831 r
.1903 .45528 .19459 .45174 .20134 .44053 .19706 .44404 Metetra
.675 .976 .826 r
.19706 .44404 .20134 .44053 .20808 .42986 .20383 .43335 Metetra
.645 .965 .819 r
.20383 .43335 .20808 .42986 .21484 .41974 .2106 .42319 Metetra
.612 .953 .81 r
.2106 .42319 .21484 .41974 .2216 .41014 .21737 .41357 Metetra
.577 .938 .8 r
.21737 .41357 .2216 .41014 .22837 .40107 .22416 .40448 Metetra
.539 .92 .787 r
.22416 .40448 .22837 .40107 .23515 .39251 .23095 .3959 Metetra
.499 .899 .772 r
.23095 .3959 .23515 .39251 .24193 .38447 .23775 .38784 Metetra
.456 .876 .755 r
.23775 .38784 .24193 .38447 .24872 .37693 .24456 .38028 Metetra
.412 .85 .735 r
.24456 .38028 .24872 .37693 .25553 .36989 .25138 .37323 Metetra
.366 .821 .714 r
.25138 .37323 .25553 .36989 .26234 .36334 .2582 .36666 Metetra
.318 .79 .69 r
.2582 .36666 .26234 .36334 .26916 .35727 .26504 .36057 Metetra
.27 .757 .665 r
.26504 .36057 .26916 .35727 .27599 .35167 .27189 .35496 Metetra
.27189 .35496 .27599 .35167 .28284 .34654 .27875 .34981 Metetra
.27875 .34981 .28284 .34654 .28969 .34185 .28562 .34512 Metetra
.28562 .34512 .28969 .34185 .29656 .33762 .2925 .34087 Metetra
.2925 .34087 .29656 .33762 .30344 .33381 .2994 .33706 Metetra
.2994 .33706 .30344 .33381 .31033 .33044 .3063 .33368 Metetra
.008 0 0 r
.3063 .33368 .31033 .33044 .31723 .32747 .31322 .33071 Metetra
.05 0 0 r
.31322 .33071 .31723 .32747 .32415 .32491 .32016 .32815 Metetra
.089 0 0 r
.32016 .32815 .32415 .32491 .33109 .32275 .32711 .32598 Metetra
.126 0 0 r
.32711 .32598 .33109 .32275 .33803 .32097 .33407 .3242 Metetra
.161 0 0 r
.33407 .3242 .33803 .32097 .345 .31955 .34105 .32279 Metetra
.194 0 0 r
.34105 .32279 .345 .31955 .35198 .3185 .34804 .32174 Metetra
.224 0 0 r
.34804 .32174 .35198 .3185 .35897 .3178 .35505 .32103 Metetra
.252 0 0 r
.35505 .32103 .35897 .3178 .36598 .31743 .36208 .32067 Metetra
.279 0 0 r
.36208 .32067 .36598 .31743 .37301 .31738 .36913 .32063 Metetra
.303 0 0 r
.36913 .32063 .37301 .31738 .38005 .31765 .37619 .3209 Metetra
.325 0 0 r
.37619 .3209 .38005 .31765 .38712 .31821 .38326 .32147 Metetra
.346 0 0 r
.38326 .32147 .38712 .31821 .3942 .31906 .39036 .32232 Metetra
.365 0 0 r
.39036 .32232 .3942 .31906 .4013 .32017 .39748 .32344 Metetra
.382 0 0 r
.39748 .32344 .4013 .32017 .40841 .32155 .40461 .32483 Metetra
.397 0 0 r
.40461 .32483 .40841 .32155 .41555 .32317 .41176 .32646 Metetra
.412 0 0 r
.41176 .32646 .41555 .32317 .42271 .32502 .41893 .32832 Metetra
.424 0 0 r
.41893 .32832 .42271 .32502 .42988 .32708 .42612 .33039 Metetra
.436 0 0 r
.42612 .33039 .42988 .32708 .43708 .32935 .43334 .33267 Metetra
.446 0 0 r
.43334 .33267 .43708 .32935 .44429 .3318 .44057 .33514 Metetra
.456 0 0 r
.44057 .33514 .44429 .3318 .45153 .33443 .44782 .33777 Metetra
.464 0 0 r
.44782 .33777 .45153 .33443 .45878 .33721 .45509 .34057 Metetra
.471 0 0 r
.45509 .34057 .45878 .33721 .46606 .34013 .46239 .3435 Metetra
.477 0 0 r
.46239 .3435 .46606 .34013 .47336 .34318 .4697 .34657 Metetra
.483 0 0 r
.4697 .34657 .47336 .34318 .48068 .34634 .47704 .34974 Metetra
.487 0 0 r
.47704 .34974 .48068 .34634 .48802 .34959 .4844 .35301 Metetra
.49 0 0 r
.4844 .35301 .48802 .34959 .49538 .35292 .49178 .35635 Metetra
.493 0 0 r
.49178 .35635 .49538 .35292 .50277 .35632 .49918 .35976 Metetra
.495 0 0 r
.49918 .35976 .50277 .35632 .51018 .35976 .50661 .36322 Metetra
.496 0 0 r
.50661 .36322 .51018 .35976 .51761 .36323 .51405 .36671 Metetra
.496 0 0 r
.51405 .36671 .51761 .36323 .52506 .36671 .52152 .37021 Metetra
.495 0 0 r
.52152 .37021 .52506 .36671 .53253 .3702 .52902 .37371 Metetra
.494 0 0 r
.52902 .37371 .53253 .3702 .54003 .37366 .53653 .37719 Metetra
.492 0 0 r
.53653 .37719 .54003 .37366 .54755 .37709 .54407 .38063 Metetra
.489 0 0 r
.54407 .38063 .54755 .37709 .55509 .38046 .55163 .38402 Metetra
.485 0 0 r
.55163 .38402 .55509 .38046 .56266 .38376 .55921 .38734 Metetra
.48 0 0 r
.55921 .38734 .56266 .38376 .57025 .38698 .56682 .39057 Metetra
.475 0 0 r
.56682 .39057 .57025 .38698 .57786 .3901 .57445 .3937 Metetra
.468 0 0 r
.57445 .3937 .57786 .3901 .58549 .39309 .5821 .39671 Metetra
.461 0 0 r
.5821 .39671 .58549 .39309 .59315 .39595 .58978 .39958 Metetra
.453 0 0 r
.58978 .39958 .59315 .39595 .60083 .39865 .59748 .4023 Metetra
.444 0 0 r
.59748 .4023 .60083 .39865 .60853 .40118 .6052 .40484 Metetra
.434 0 0 r
.6052 .40484 .60853 .40118 .61625 .40352 .61294 .4072 Metetra
.423 0 0 r
.61294 .4072 .61625 .40352 .624 .40565 .62071 .40934 Metetra
.411 0 0 r
.62071 .40934 .624 .40565 .63177 .40757 .6285 .41127 Metetra
.397 0 0 r
.6285 .41127 .63177 .40757 .63956 .40924 .63631 .41295 Metetra
.383 0 0 r
.63631 .41295 .63956 .40924 .64737 .41066 .64414 .41438 Metetra
.368 0 0 r
.64414 .41438 .64737 .41066 .65521 .4118 .65199 .41553 Metetra
.351 0 0 r
.65199 .41553 .65521 .4118 .66306 .41265 .65987 .41639 Metetra
.333 0 0 r
.65987 .41639 .66306 .41265 .67094 .4132 .66777 .41695 Metetra
.314 0 0 r
.66777 .41695 .67094 .4132 .67884 .41342 .67569 .41718 Metetra
.294 0 0 r
.67569 .41718 .67884 .41342 .68676 .41331 .68362 .41707 Metetra
.272 0 0 r
.68362 .41707 .68676 .41331 .69469 .41284 .69159 .4166 Metetra
.249 0 0 r
.69159 .4166 .69469 .41284 .70265 .412 .69957 .41576 Metetra
.224 0 0 r
.69957 .41576 .70265 .412 .71063 .41077 .70757 .41453 Metetra
.198 0 0 r
.70757 .41453 .71063 .41077 .71863 .40914 .71559 .4129 Metetra
.171 0 0 r
.71559 .4129 .71863 .40914 .72665 .40709 .72363 .41085 Metetra
.143 0 0 r
.72363 .41085 .72665 .40709 .73469 .4046 .73168 .40836 Metetra
.113 0 0 r
.73168 .40836 .73469 .4046 .74274 .40167 .73976 .40542 Metetra
.082 0 0 r
.73976 .40542 .74274 .40167 .75082 .39827 .74786 .40202 Metetra
.05 0 0 r
.74786 .40202 .75082 .39827 .75891 .3944 .75597 .39814 Metetra
.017 0 0 r
.75597 .39814 .75891 .3944 .76701 .39004 .7641 .39377 Metetra
.7641 .39377 .76701 .39004 .77514 .38517 .77225 .38889 Metetra
.77225 .38889 .77514 .38517 .78328 .37978 .78041 .38348 Metetra
.78041 .38348 .78328 .37978 .79144 .37385 .78859 .37755 Metetra
.78859 .37755 .79144 .37385 .79961 .36739 .79678 .37106 Metetra
.79678 .37106 .79961 .36739 .80779 .36036 .80499 .36402 Metetra
.908 .97 .803 r
.07791 .71739 .08249 .71292 .08923 .6924 .08467 .69682 Metetra
.902 .974 .806 r
.08467 .69682 .08923 .6924 .09597 .67249 .09142 .67685 Metetra
.897 .978 .81 r
.09142 .67685 .09597 .67249 .1027 .65317 .09817 .65747 Metetra
.89 .982 .813 r
.09817 .65747 .1027 .65317 .10944 .63444 .10492 .63869 Metetra
.883 .986 .816 r
.10492 .63869 .10944 .63444 .11617 .61631 .11167 .62051 Metetra
.875 .989 .819 r
.11167 .62051 .11617 .61631 .1229 .59877 .11842 .60292 Metetra
.866 .992 .822 r
.11842 .60292 .1229 .59877 .12963 .58182 .12517 .58592 Metetra
.856 .995 .825 r
.12517 .58592 .12963 .58182 .13636 .56545 .13192 .56952 Metetra
.844 .997 .827 r
.13192 .56952 .13636 .56545 .1431 .54967 .13867 .55369 Metetra
.832 .999 .829 r
.13867 .55369 .1431 .54967 .14983 .53447 .14542 .53845 Metetra
.818 1 .83 r
.14542 .53845 .14983 .53447 .15657 .51985 .15217 .52379 Metetra
.802 1 .831 r
.15217 .52379 .15657 .51985 .16331 .50581 .15893 .50971 Metetra
.784 .999 .831 r
.15893 .50971 .16331 .50581 .17005 .49233 .16569 .4962 Metetra
.765 .996 .83 r
.16569 .4962 .17005 .49233 .1768 .47942 .17245 .48326 Metetra
.743 .993 .828 r
.17245 .48326 .1768 .47942 .18355 .46708 .17921 .47087 Metetra
.72 .987 .825 r
.17921 .47087 .18355 .46708 .1903 .45528 .18598 .45905 Metetra
.693 .98 .82 r
.18598 .45905 .1903 .45528 .19706 .44404 .19276 .44778 Metetra
.665 .971 .814 r
.19276 .44778 .19706 .44404 .20383 .43335 .19954 .43706 Metetra
.633 .96 .806 r
.19954 .43706 .20383 .43335 .2106 .42319 .20633 .42688 Metetra
.599 .946 .796 r
.20633 .42688 .2106 .42319 .21737 .41357 .21312 .41723 Metetra
.563 .929 .784 r
.21312 .41723 .21737 .41357 .22416 .40448 .21992 .40811 Metetra
.523 .91 .77 r
.21992 .40811 .22416 .40448 .23095 .3959 .22673 .39951 Metetra
.482 .888 .754 r
.22673 .39951 .23095 .3959 .23775 .38784 .23354 .39143 Metetra
.438 .863 .735 r
.23354 .39143 .23775 .38784 .24456 .38028 .24037 .38386 Metetra
.393 .836 .714 r
.24037 .38386 .24456 .38028 .25138 .37323 .2472 .37678 Metetra
.346 .806 .692 r
.2472 .37678 .25138 .37323 .2582 .36666 .25404 .3702 Metetra
.298 .773 .667 r
.25404 .3702 .2582 .36666 .26504 .36057 .2609 .3641 Metetra
.2609 .3641 .26504 .36057 .27189 .35496 .26776 .35848 Metetra
.26776 .35848 .27189 .35496 .27875 .34981 .27464 .35332 Metetra
.27464 .35332 .27875 .34981 .28562 .34512 .28152 .34862 Metetra
.28152 .34862 .28562 .34512 .2925 .34087 .28842 .34436 Metetra
.28842 .34436 .2925 .34087 .2994 .33706 .29533 .34054 Metetra
.29533 .34054 .2994 .33706 .3063 .33368 .30225 .33715 Metetra
.028 0 0 r
.30225 .33715 .3063 .33368 .31322 .33071 .30919 .33418 Metetra
.068 0 0 r
.30919 .33418 .31322 .33071 .32016 .32815 .31614 .33162 Metetra
.107 0 0 r
.31614 .33162 .32016 .32815 .32711 .32598 .3231 .32945 Metetra
.143 0 0 r
.3231 .32945 .32711 .32598 .33407 .3242 .33008 .32766 Metetra
.178 0 0 r
.33008 .32766 .33407 .3242 .34105 .32279 .33708 .32625 Metetra
.209 0 0 r
.33708 .32625 .34105 .32279 .34804 .32174 .34409 .3252 Metetra
.239 0 0 r
.34409 .3252 .34804 .32174 .35505 .32103 .35111 .3245 Metetra
.267 0 0 r
.35111 .3245 .35505 .32103 .36208 .32067 .35816 .32414 Metetra
.292 0 0 r
.35816 .32414 .36208 .32067 .36913 .32063 .36522 .3241 Metetra
.316 0 0 r
.36522 .3241 .36913 .32063 .37619 .3209 .37229 .32438 Metetra
.337 0 0 r
.37229 .32438 .37619 .3209 .38326 .32147 .37939 .32495 Metetra
.357 0 0 r
.37939 .32495 .38326 .32147 .39036 .32232 .3865 .32581 Metetra
.376 0 0 r
.3865 .32581 .39036 .32232 .39748 .32344 .39363 .32695 Metetra
.392 0 0 r
.39363 .32695 .39748 .32344 .40461 .32483 .40078 .32834 Metetra
.407 0 0 r
.40078 .32834 .40461 .32483 .41176 .32646 .40795 .32998 Metetra
.421 0 0 r
.40795 .32998 .41176 .32646 .41893 .32832 .41514 .33185 Metetra
.434 0 0 r
.41514 .33185 .41893 .32832 .42612 .33039 .42235 .33394 Metetra
.445 0 0 r
.42235 .33394 .42612 .33039 .43334 .33267 .42957 .33623 Metetra
.455 0 0 r
.42957 .33623 .43334 .33267 .44057 .33514 .43682 .33871 Metetra
.464 0 0 r
.43682 .33871 .44057 .33514 .44782 .33777 .44409 .34136 Metetra
.472 0 0 r
.44409 .34136 .44782 .33777 .45509 .34057 .45138 .34416 Metetra
.479 0 0 r
.45138 .34416 .45509 .34057 .46239 .3435 .45869 .34711 Metetra
.485 0 0 r
.45869 .34711 .46239 .3435 .4697 .34657 .46602 .35019 Metetra
.49 0 0 r
.46602 .35019 .4697 .34657 .47704 .34974 .47338 .35338 Metetra
.494 0 0 r
.47338 .35338 .47704 .34974 .4844 .35301 .48075 .35666 Metetra
.497 0 0 r
.48075 .35666 .4844 .35301 .49178 .35635 .48815 .36003 Metetra
.5 0 0 r
.48815 .36003 .49178 .35635 .49918 .35976 .49557 .36345 Metetra
.502 0 0 r
.49557 .36345 .49918 .35976 .50661 .36322 .50302 .36693 Metetra
.503 0 0 r
.50302 .36693 .50661 .36322 .51405 .36671 .51048 .37043 Metetra
.503 0 0 r
.51048 .37043 .51405 .36671 .52152 .37021 .51797 .37395 Metetra
.502 0 0 r
.51797 .37395 .52152 .37021 .52902 .37371 .52548 .37746 Metetra
.501 0 0 r
.52548 .37746 .52902 .37371 .53653 .37719 .53301 .38096 Metetra
.499 0 0 r
.53301 .38096 .53653 .37719 .54407 .38063 .54057 .38442 Metetra
.496 0 0 r
.54057 .38442 .54407 .38063 .55163 .38402 .54815 .38782 Metetra
.492 0 0 r
.54815 .38782 .55163 .38402 .55921 .38734 .55575 .39116 Metetra
.487 0 0 r
.55575 .39116 .55921 .38734 .56682 .39057 .56337 .39441 Metetra
.482 0 0 r
.56337 .39441 .56682 .39057 .57445 .3937 .57102 .39756 Metetra
.476 0 0 r
.57102 .39756 .57445 .3937 .5821 .39671 .57869 .40058 Metetra
.469 0 0 r
.57869 .40058 .5821 .39671 .58978 .39958 .58639 .40346 Metetra
.461 0 0 r
.58639 .40346 .58978 .39958 .59748 .4023 .59411 .40619 Metetra
.452 0 0 r
.59411 .40619 .59748 .4023 .6052 .40484 .60185 .40875 Metetra
.442 0 0 r
.60185 .40875 .6052 .40484 .61294 .4072 .60961 .41112 Metetra
.432 0 0 r
.60961 .41112 .61294 .4072 .62071 .40934 .61739 .41328 Metetra
.42 0 0 r
.61739 .41328 .62071 .40934 .6285 .41127 .6252 .41521 Metetra
.407 0 0 r
.6252 .41521 .6285 .41127 .63631 .41295 .63303 .41691 Metetra
.393 0 0 r
.63303 .41691 .63631 .41295 .64414 .41438 .64089 .41835 Metetra
.378 0 0 r
.64089 .41835 .64414 .41438 .65199 .41553 .64876 .41951 Metetra
.362 0 0 r
.64876 .41951 .65199 .41553 .65987 .41639 .65666 .42038 Metetra
.345 0 0 r
.65666 .42038 .65987 .41639 .66777 .41695 .66458 .42094 Metetra
.326 0 0 r
.66458 .42094 .66777 .41695 .67569 .41718 .67251 .42118 Metetra
.306 0 0 r
.67251 .42118 .67569 .41718 .68362 .41707 .68048 .42107 Metetra
.285 0 0 r
.68048 .42107 .68362 .41707 .69159 .4166 .68846 .42061 Metetra
.263 0 0 r
.68846 .42061 .69159 .4166 .69957 .41576 .69646 .41977 Metetra
.239 0 0 r
.69646 .41977 .69957 .41576 .70757 .41453 .70448 .41855 Metetra
.214 0 0 r
.70448 .41855 .70757 .41453 .71559 .4129 .71252 .41692 Metetra
.187 0 0 r
.71252 .41692 .71559 .4129 .72363 .41085 .72058 .41486 Metetra
.159 0 0 r
.72058 .41486 .72363 .41085 .73168 .40836 .72866 .41237 Metetra
.13 0 0 r
.72866 .41237 .73168 .40836 .73976 .40542 .73676 .40943 Metetra
.1 0 0 r
.73676 .40943 .73976 .40542 .74786 .40202 .74488 .40603 Metetra
.068 0 0 r
.74488 .40603 .74786 .40202 .75597 .39814 .75302 .40214 Metetra
.036 0 0 r
.75302 .40214 .75597 .39814 .7641 .39377 .76117 .39775 Metetra
.002 0 0 r
.76117 .39775 .7641 .39377 .77225 .38889 .76934 .39286 Metetra
.76934 .39286 .77225 .38889 .78041 .38348 .77753 .38745 Metetra
.77753 .38745 .78041 .38348 .78859 .37755 .78573 .3815 Metetra
.78573 .3815 .78859 .37755 .79678 .37106 .79395 .37499 Metetra
.79395 .37499 .79678 .37106 .80499 .36402 .80218 .36793 Metetra
.907 .973 .8 r
.0733 .72209 .07791 .71739 .08467 .69682 .08008 .70146 Metetra
.902 .977 .804 r
.08008 .70146 .08467 .69682 .09142 .67685 .08685 .68143 Metetra
.896 .98 .807 r
.08685 .68143 .09142 .67685 .09817 .65747 .09361 .66201 Metetra
.889 .984 .81 r
.09361 .66201 .09817 .65747 .10492 .63869 .10038 .64318 Metetra
.881 .988 .813 r
.10038 .64318 .10492 .63869 .11167 .62051 .10715 .62494 Metetra
.873 .991 .815 r
.10715 .62494 .11167 .62051 .11842 .60292 .11391 .60731 Metetra
.864 .994 .818 r
.11391 .60731 .11842 .60292 .12517 .58592 .12068 .59026 Metetra
.853 .996 .82 r
.12068 .59026 .12517 .58592 .13192 .56952 .12744 .57381 Metetra
.841 .998 .822 r
.12744 .57381 .13192 .56952 .13867 .55369 .13421 .55794 Metetra
.828 .999 .824 r
.13421 .55794 .13867 .55369 .14542 .53845 .14097 .54266 Metetra
.813 1 .824 r
.14097 .54266 .14542 .53845 .15217 .52379 .14774 .52796 Metetra
.797 .999 .825 r
.14774 .52796 .15217 .52379 .15893 .50971 .15452 .51384 Metetra
.778 .998 .824 r
.15452 .51384 .15893 .50971 .16569 .4962 .16129 .50029 Metetra
.758 .995 .822 r
.16129 .50029 .16569 .4962 .17245 .48326 .16807 .48732 Metetra
.735 .991 .819 r
.16807 .48732 .17245 .48326 .17921 .47087 .17485 .4749 Metetra
.71 .984 .815 r
.17485 .4749 .17921 .47087 .18598 .45905 .18164 .46305 Metetra
.683 .976 .81 r
.18164 .46305 .18598 .45905 .19276 .44778 .18843 .45175 Metetra
.653 .966 .802 r
.18843 .45175 .19276 .44778 .19954 .43706 .19523 .441 Metetra
.621 .953 .793 r
.19523 .441 .19954 .43706 .20633 .42688 .20203 .43079 Metetra
.585 .938 .782 r
.20203 .43079 .20633 .42688 .21312 .41723 .20884 .42112 Metetra
.547 .92 .768 r
.20884 .42112 .21312 .41723 .21992 .40811 .21565 .41198 Metetra
.507 .899 .753 r
.21565 .41198 .21992 .40811 .22673 .39951 .22248 .40336 Metetra
.464 .876 .735 r
.22248 .40336 .22673 .39951 .23354 .39143 .22931 .39526 Metetra
.42 .85 .715 r
.22931 .39526 .23354 .39143 .24037 .38386 .23615 .38766 Metetra
.374 .821 .693 r
.23615 .38766 .24037 .38386 .2472 .37678 .243 .38057 Metetra
.326 .789 .669 r
.243 .38057 .2472 .37678 .25404 .3702 .24986 .37397 Metetra
.24986 .37397 .25404 .3702 .2609 .3641 .25673 .36786 Metetra
.25673 .36786 .2609 .3641 .26776 .35848 .26361 .36222 Metetra
.26361 .36222 .26776 .35848 .27464 .35332 .2705 .35705 Metetra
.2705 .35705 .27464 .35332 .28152 .34862 .2774 .35234 Metetra
.2774 .35234 .28152 .34862 .28842 .34436 .28431 .34808 Metetra
.28431 .34808 .28842 .34436 .29533 .34054 .29124 .34425 Metetra
.005 0 0 r
.29124 .34425 .29533 .34054 .30225 .33715 .29818 .34086 Metetra
.047 0 0 r
.29818 .34086 .30225 .33715 .30919 .33418 .30513 .33788 Metetra
.087 0 0 r
.30513 .33788 .30919 .33418 .31614 .33162 .31209 .33531 Metetra
.124 0 0 r
.31209 .33531 .31614 .33162 .3231 .32945 .31907 .33314 Metetra
.16 0 0 r
.31907 .33314 .3231 .32945 .33008 .32766 .32607 .33136 Metetra
.193 0 0 r
.32607 .33136 .33008 .32766 .33708 .32625 .33308 .32995 Metetra
.224 0 0 r
.33308 .32995 .33708 .32625 .34409 .3252 .34011 .3289 Metetra
.253 0 0 r
.34011 .3289 .34409 .3252 .35111 .3245 .34715 .3282 Metetra
.28 0 0 r
.34715 .3282 .35111 .3245 .35816 .32414 .35421 .32784 Metetra
.305 0 0 r
.35421 .32784 .35816 .32414 .36522 .3241 .36128 .32781 Metetra
.328 0 0 r
.36128 .32781 .36522 .3241 .37229 .32438 .36838 .32809 Metetra
.349 0 0 r
.36838 .32809 .37229 .32438 .37939 .32495 .37549 .32867 Metetra
.368 0 0 r
.37549 .32867 .37939 .32495 .3865 .32581 .38262 .32954 Metetra
.386 0 0 r
.38262 .32954 .3865 .32581 .39363 .32695 .38976 .33069 Metetra
.402 0 0 r
.38976 .33069 .39363 .32695 .40078 .32834 .39693 .33209 Metetra
.417 0 0 r
.39693 .33209 .40078 .32834 .40795 .32998 .40411 .33374 Metetra
.43 0 0 r
.40411 .33374 .40795 .32998 .41514 .33185 .41132 .33562 Metetra
.442 0 0 r
.41132 .33562 .41514 .33185 .42235 .33394 .41854 .33772 Metetra
.453 0 0 r
.41854 .33772 .42235 .33394 .42957 .33623 .42579 .34002 Metetra
.463 0 0 r
.42579 .34002 .42957 .33623 .43682 .33871 .43305 .34251 Metetra
.472 0 0 r
.43305 .34251 .43682 .33871 .44409 .34136 .44034 .34518 Metetra
.479 0 0 r
.44034 .34518 .44409 .34136 .45138 .34416 .44765 .348 Metetra
.486 0 0 r
.44765 .348 .45138 .34416 .45869 .34711 .45497 .35096 Metetra
.492 0 0 r
.45497 .35096 .45869 .34711 .46602 .35019 .46232 .35406 Metetra
.497 0 0 r
.46232 .35406 .46602 .35019 .47338 .35338 .46969 .35726 Metetra
.501 0 0 r
.46969 .35726 .47338 .35338 .48075 .35666 .47709 .36056 Metetra
.504 0 0 r
.47709 .36056 .48075 .35666 .48815 .36003 .4845 .36394 Metetra
.507 0 0 r
.4845 .36394 .48815 .36003 .49557 .36345 .49194 .36738 Metetra
.508 0 0 r
.49194 .36738 .49557 .36345 .50302 .36693 .4994 .37087 Metetra
.509 0 0 r
.4994 .37087 .50302 .36693 .51048 .37043 .50688 .37439 Metetra
.509 0 0 r
.50688 .37439 .51048 .37043 .51797 .37395 .51439 .37793 Metetra
.509 0 0 r
.51439 .37793 .51797 .37395 .52548 .37746 .52192 .38146 Metetra
.507 0 0 r
.52192 .38146 .52548 .37746 .53301 .38096 .52947 .38497 Metetra
.505 0 0 r
.52947 .38497 .53301 .38096 .54057 .38442 .53704 .38845 Metetra
.502 0 0 r
.53704 .38845 .54057 .38442 .54815 .38782 .54464 .39187 Metetra
.499 0 0 r
.54464 .39187 .54815 .38782 .55575 .39116 .55226 .39523 Metetra
.494 0 0 r
.55226 .39523 .55575 .39116 .56337 .39441 .55991 .39849 Metetra
.489 0 0 r
.55991 .39849 .56337 .39441 .57102 .39756 .56757 .40165 Metetra
.483 0 0 r
.56757 .40165 .57102 .39756 .57869 .40058 .57526 .40469 Metetra
.476 0 0 r
.57526 .40469 .57869 .40058 .58639 .40346 .58298 .40759 Metetra
.469 0 0 r
.58298 .40759 .58639 .40346 .59411 .40619 .59071 .41034 Metetra
.46 0 0 r
.59071 .41034 .59411 .40619 .60185 .40875 .59847 .41291 Metetra
.451 0 0 r
.59847 .41291 .60185 .40875 .60961 .41112 .60626 .41529 Metetra
.44 0 0 r
.60626 .41529 .60961 .41112 .61739 .41328 .61406 .41746 Metetra
.429 0 0 r
.61406 .41746 .61739 .41328 .6252 .41521 .62189 .41941 Metetra
.416 0 0 r
.62189 .41941 .6252 .41521 .63303 .41691 .62974 .42112 Metetra
.403 0 0 r
.62974 .42112 .63303 .41691 .64089 .41835 .63761 .42257 Metetra
.388 0 0 r
.63761 .42257 .64089 .41835 .64876 .41951 .64551 .42374 Metetra
.373 0 0 r
.64551 .42374 .64876 .41951 .65666 .42038 .65343 .42462 Metetra
.356 0 0 r
.65343 .42462 .65666 .42038 .66458 .42094 .66136 .42519 Metetra
.338 0 0 r
.66136 .42519 .66458 .42094 .67251 .42118 .66933 .42543 Metetra
.318 0 0 r
.66933 .42543 .67251 .42118 .68048 .42107 .67731 .42533 Metetra
.298 0 0 r
.67731 .42533 .68048 .42107 .68846 .42061 .68531 .42487 Metetra
.276 0 0 r
.68531 .42487 .68846 .42061 .69646 .41977 .69333 .42404 Metetra
.253 0 0 r
.69333 .42404 .69646 .41977 .70448 .41855 .70138 .42282 Metetra
.228 0 0 r
.70138 .42282 .70448 .41855 .71252 .41692 .70944 .42118 Metetra
.202 0 0 r
.70944 .42118 .71252 .41692 .72058 .41486 .71752 .41913 Metetra
.175 0 0 r
.71752 .41913 .72058 .41486 .72866 .41237 .72563 .41664 Metetra
.147 0 0 r
.72563 .41664 .72866 .41237 .73676 .40943 .73375 .41369 Metetra
.117 0 0 r
.73375 .41369 .73676 .40943 .74488 .40603 .74189 .41028 Metetra
.086 0 0 r
.74189 .41028 .74488 .40603 .75302 .40214 .75005 .40639 Metetra
.054 0 0 r
.75005 .40639 .75302 .40214 .76117 .39775 .75822 .40199 Metetra
.021 0 0 r
.75822 .40199 .76117 .39775 .76934 .39286 .76641 .39709 Metetra
.76641 .39709 .76934 .39286 .77753 .38745 .77462 .39166 Metetra
.77462 .39166 .77753 .38745 .78573 .3815 .78285 .3857 Metetra
.78285 .3857 .78573 .3815 .79395 .37499 .79109 .37918 Metetra
.79109 .37918 .79395 .37499 .80218 .36793 .79935 .3721 Metetra
.906 .975 .798 r
.06866 .72703 .0733 .72209 .08008 .70146 .07545 .70634 Metetra
.901 .979 .801 r
.07545 .70634 .08008 .70146 .08685 .68143 .08224 .68626 Metetra
.895 .983 .804 r
.08224 .68626 .08685 .68143 .09361 .66201 .08902 .66678 Metetra
.888 .986 .806 r
.08902 .66678 .09361 .66201 .10038 .64318 .09581 .64789 Metetra
.88 .989 .809 r
.09581 .64789 .10038 .64318 .10715 .62494 .10259 .62961 Metetra
.871 .993 .812 r
.10259 .62961 .10715 .62494 .11391 .60731 .10937 .61193 Metetra
.861 .995 .814 r
.10937 .61193 .11391 .60731 .12068 .59026 .11615 .59483 Metetra
.85 .997 .816 r
.11615 .59483 .12068 .59026 .12744 .57381 .12294 .57834 Metetra
.837 .999 .817 r
.12294 .57834 .12744 .57381 .13421 .55794 .12972 .56243 Metetra
.824 1 .818 r
.12972 .56243 .13421 .55794 .14097 .54266 .1365 .5471 Metetra
.808 1 .818 r
.1365 .5471 .14097 .54266 .14774 .52796 .14329 .53237 Metetra
.791 .999 .818 r
.14329 .53237 .14774 .52796 .15452 .51384 .15008 .51821 Metetra
.772 .997 .816 r
.15008 .51821 .15452 .51384 .16129 .50029 .15687 .50462 Metetra
.75 .993 .814 r
.15687 .50462 .16129 .50029 .16807 .48732 .16366 .49161 Metetra
.727 .988 .81 r
.16366 .49161 .16807 .48732 .17485 .4749 .17046 .47916 Metetra
.701 .981 .805 r
.17046 .47916 .17485 .4749 .18164 .46305 .17726 .46728 Metetra
.672 .971 .798 r
.17726 .46728 .18164 .46305 .18843 .45175 .18407 .45595 Metetra
.641 .96 .789 r
.18407 .45595 .18843 .45175 .19523 .441 .19088 .44517 Metetra
.607 .946 .779 r
.19088 .44517 .19523 .441 .20203 .43079 .1977 .43493 Metetra
.571 .929 .766 r
.1977 .43493 .20203 .43079 .20884 .42112 .20453 .42524 Metetra
.532 .91 .752 r
.20453 .42524 .20884 .42112 .21565 .41198 .21136 .41607 Metetra
.49 .888 .735 r
.21136 .41607 .21565 .41198 .22248 .40336 .2182 .40743 Metetra
.447 .863 .716 r
.2182 .40743 .22248 .40336 .22931 .39526 .22505 .39931 Metetra
.401 .835 .694 r
.22505 .39931 .22931 .39526 .23615 .38766 .2319 .3917 Metetra
.354 .805 .671 r
.2319 .3917 .23615 .38766 .243 .38057 .23877 .38459 Metetra
.306 .772 .646 r
.23877 .38459 .243 .38057 .24986 .37397 .24564 .37798 Metetra
.24564 .37798 .24986 .37397 .25673 .36786 .25253 .37185 Metetra
.25253 .37185 .25673 .36786 .26361 .36222 .25942 .3662 Metetra
.25942 .3662 .26361 .36222 .2705 .35705 .26633 .36102 Metetra
.26633 .36102 .2705 .35705 .2774 .35234 .27325 .3563 Metetra
.27325 .3563 .2774 .35234 .28431 .34808 .28018 .35203 Metetra
.28018 .35203 .28431 .34808 .29124 .34425 .28712 .3482 Metetra
.024 0 0 r
.28712 .3482 .29124 .34425 .29818 .34086 .29407 .3448 Metetra
.065 0 0 r
.29407 .3448 .29818 .34086 .30513 .33788 .30104 .34182 Metetra
.104 0 0 r
.30104 .34182 .30513 .33788 .31209 .33531 .30802 .33924 Metetra
.141 0 0 r
.30802 .33924 .31209 .33531 .31907 .33314 .31502 .33707 Metetra
.176 0 0 r
.31502 .33707 .31907 .33314 .32607 .33136 .32203 .33529 Metetra
.209 0 0 r
.32203 .33529 .32607 .33136 .33308 .32995 .32906 .33388 Metetra
.239 0 0 r
.32906 .33388 .33308 .32995 .34011 .3289 .3361 .33283 Metetra
.267 0 0 r
.3361 .33283 .34011 .3289 .34715 .3282 .34316 .33214 Metetra
.293 0 0 r
.34316 .33214 .34715 .3282 .35421 .32784 .35023 .33178 Metetra
.317 0 0 r
.35023 .33178 .35421 .32784 .36128 .32781 .35732 .33175 Metetra
.339 0 0 r
.35732 .33175 .36128 .32781 .36838 .32809 .36443 .33204 Metetra
.36 0 0 r
.36443 .33204 .36838 .32809 .37549 .32867 .37156 .33263 Metetra
.378 0 0 r
.37156 .33263 .37549 .32867 .38262 .32954 .37871 .33351 Metetra
.396 0 0 r
.37871 .33351 .38262 .32954 .38976 .33069 .38587 .33466 Metetra
.411 0 0 r
.38587 .33466 .38976 .33069 .39693 .33209 .39305 .33607 Metetra
.425 0 0 r
.39305 .33607 .39693 .33209 .40411 .33374 .40025 .33773 Metetra
.438 0 0 r
.40025 .33773 .40411 .33374 .41132 .33562 .40747 .33963 Metetra
.45 0 0 r
.40747 .33963 .41132 .33562 .41854 .33772 .41472 .34174 Metetra
.461 0 0 r
.41472 .34174 .41854 .33772 .42579 .34002 .42198 .34405 Metetra
.47 0 0 r
.42198 .34405 .42579 .34002 .43305 .34251 .42926 .34656 Metetra
.479 0 0 r
.42926 .34656 .43305 .34251 .44034 .34518 .43656 .34924 Metetra
.486 0 0 r
.43656 .34924 .44034 .34518 .44765 .348 .44389 .35207 Metetra
.493 0 0 r
.44389 .35207 .44765 .348 .45497 .35096 .45123 .35505 Metetra
.498 0 0 r
.45123 .35505 .45497 .35096 .46232 .35406 .4586 .35816 Metetra
.503 0 0 r
.4586 .35816 .46232 .35406 .46969 .35726 .46599 .36138 Metetra
.507 0 0 r
.46599 .36138 .46969 .35726 .47709 .36056 .4734 .3647 Metetra
.51 0 0 r
.4734 .3647 .47709 .36056 .4845 .36394 .48083 .36809 Metetra
.513 0 0 r
.48083 .36809 .4845 .36394 .49194 .36738 .48829 .37155 Metetra
.514 0 0 r
.48829 .37155 .49194 .36738 .4994 .37087 .49576 .37506 Metetra
.515 0 0 r
.49576 .37506 .4994 .37087 .50688 .37439 .50326 .3786 Metetra
.515 0 0 r
.50326 .3786 .50688 .37439 .51439 .37793 .51079 .38215 Metetra
.515 0 0 r
.51079 .38215 .51439 .37793 .52192 .38146 .51834 .3857 Metetra
.513 0 0 r
.51834 .3857 .52192 .38146 .52947 .38497 .5259 .38923 Metetra
.511 0 0 r
.5259 .38923 .52947 .38497 .53704 .38845 .5335 .39273 Metetra
.509 0 0 r
.5335 .39273 .53704 .38845 .54464 .39187 .54111 .39617 Metetra
.505 0 0 r
.54111 .39617 .54464 .39187 .55226 .39523 .54875 .39954 Metetra
.501 0 0 r
.54875 .39954 .55226 .39523 .55991 .39849 .55642 .40282 Metetra
.496 0 0 r
.55642 .40282 .55991 .39849 .56757 .40165 .5641 .406 Metetra
.49 0 0 r
.5641 .406 .56757 .40165 .57526 .40469 .57181 .40905 Metetra
.483 0 0 r
.57181 .40905 .57526 .40469 .58298 .40759 .57955 .41197 Metetra
.476 0 0 r
.57955 .41197 .58298 .40759 .59071 .41034 .5873 .41473 Metetra
.468 0 0 r
.5873 .41473 .59071 .41034 .59847 .41291 .59508 .41732 Metetra
.458 0 0 r
.59508 .41732 .59847 .41291 .60626 .41529 .60288 .41971 Metetra
.448 0 0 r
.60288 .41971 .60626 .41529 .61406 .41746 .61071 .4219 Metetra
.437 0 0 r
.61071 .4219 .61406 .41746 .62189 .41941 .61856 .42386 Metetra
.425 0 0 r
.61856 .42386 .62189 .41941 .62974 .42112 .62643 .42558 Metetra
.412 0 0 r
.62643 .42558 .62974 .42112 .63761 .42257 .63432 .42704 Metetra
.398 0 0 r
.63432 .42704 .63761 .42257 .64551 .42374 .64224 .42822 Metetra
.383 0 0 r
.64224 .42822 .64551 .42374 .65343 .42462 .65017 .42911 Metetra
.366 0 0 r
.65017 .42911 .65343 .42462 .66136 .42519 .65813 .42969 Metetra
.349 0 0 r
.65813 .42969 .66136 .42519 .66933 .42543 .66612 .42994 Metetra
.33 0 0 r
.66612 .42994 .66933 .42543 .67731 .42533 .67412 .42984 Metetra
.31 0 0 r
.67412 .42984 .67731 .42533 .68531 .42487 .68214 .42939 Metetra
.288 0 0 r
.68214 .42939 .68531 .42487 .69333 .42404 .69019 .42856 Metetra
.266 0 0 r
.69019 .42856 .69333 .42404 .70138 .42282 .69825 .42734 Metetra
.242 0 0 r
.69825 .42734 .70138 .42282 .70944 .42118 .70634 .42571 Metetra
.217 0 0 r
.70634 .42571 .70944 .42118 .71752 .41913 .71444 .42366 Metetra
.19 0 0 r
.71444 .42366 .71752 .41913 .72563 .41664 .72257 .42116 Metetra
.162 0 0 r
.72257 .42116 .72563 .41664 .73375 .41369 .73071 .41821 Metetra
.133 0 0 r
.73071 .41821 .73375 .41369 .74189 .41028 .73888 .4148 Metetra
.103 0 0 r
.73888 .4148 .74189 .41028 .75005 .40639 .74706 .41089 Metetra
.072 0 0 r
.74706 .41089 .75005 .40639 .75822 .40199 .75526 .40649 Metetra
.039 0 0 r
.75526 .40649 .75822 .40199 .76641 .39709 .76347 .40158 Metetra
.006 0 0 r
.76347 .40158 .76641 .39709 .77462 .39166 .7717 .39614 Metetra
.7717 .39614 .77462 .39166 .78285 .3857 .77995 .39016 Metetra
.77995 .39016 .78285 .3857 .79109 .37918 .78822 .38363 Metetra
.78822 .38363 .79109 .37918 .79935 .3721 .7965 .37653 Metetra
.906 .977 .795 r
.06399 .7322 .06866 .72703 .07545 .70634 .0708 .71146 Metetra
.9 .981 .798 r
.0708 .71146 .07545 .70634 .08224 .68626 .0776 .69132 Metetra
.893 .984 .8 r
.0776 .69132 .08224 .68626 .08902 .66678 .08441 .67178 Metetra
.886 .988 .803 r
.08441 .67178 .08902 .66678 .09581 .64789 .09121 .65285 Metetra
.878 .991 .805 r
.09121 .65285 .09581 .64789 .10259 .62961 .09801 .63451 Metetra
.868 .994 .807 r
.09801 .63451 .10259 .62961 .10937 .61193 .1048 .61678 Metetra
.858 .996 .809 r
.1048 .61678 .10937 .61193 .11615 .59483 .1116 .59964 Metetra
.846 .998 .811 r
.1116 .59964 .11615 .59483 .12294 .57834 .1184 .5831 Metetra
.833 1 .811 r
.1184 .5831 .12294 .57834 .12972 .56243 .1252 .56714 Metetra
.819 1 .812 r
.1252 .56714 .12972 .56243 .1365 .5471 .132 .55178 Metetra
.803 .999 .811 r
.132 .55178 .1365 .5471 .14329 .53237 .1388 .537 Metetra
.785 .998 .81 r
.1388 .537 .14329 .53237 .15008 .51821 .14561 .5228 Metetra
.765 .995 .808 r
.14561 .5228 .15008 .51821 .15687 .50462 .15242 .50918 Metetra
.742 .991 .805 r
.15242 .50918 .15687 .50462 .16366 .49161 .15923 .49613 Metetra
.718 .984 .8 r
.15923 .49613 .16366 .49161 .17046 .47916 .16604 .48365 Metetra
.691 .976 .794 r
.16604 .48365 .17046 .47916 .17726 .46728 .17286 .47174 Metetra
.661 .966 .786 r
.17286 .47174 .17726 .46728 .18407 .45595 .17969 .46038 Metetra
.629 .953 .776 r
.17969 .46038 .18407 .45595 .19088 .44517 .18651 .44957 Metetra
.594 .938 .764 r
.18651 .44957 .19088 .44517 .1977 .43493 .19335 .43931 Metetra
.556 .92 .75 r
.19335 .43931 .1977 .43493 .20453 .42524 .20019 .42959 Metetra
.516 .899 .734 r
.20019 .42959 .20453 .42524 .21136 .41607 .20704 .4204 Metetra
.473 .876 .716 r
.20704 .4204 .21136 .41607 .2182 .40743 .21389 .41174 Metetra
.428 .849 .695 r
.21389 .41174 .2182 .40743 .22505 .39931 .22076 .4036 Metetra
.382 .82 .673 r
.22076 .4036 .22505 .39931 .2319 .3917 .22763 .39597 Metetra
.334 .789 .648 r
.22763 .39597 .2319 .3917 .23877 .38459 .23451 .38885 Metetra
.23451 .38885 .23877 .38459 .24564 .37798 .2414 .38222 Metetra
.2414 .38222 .24564 .37798 .25253 .37185 .2483 .37608 Metetra
.2483 .37608 .25253 .37185 .25942 .3662 .25521 .37041 Metetra
.25521 .37041 .25942 .3662 .26633 .36102 .26214 .36522 Metetra
.26214 .36522 .26633 .36102 .27325 .3563 .26907 .36049 Metetra
.26907 .36049 .27325 .3563 .28018 .35203 .27601 .35621 Metetra
.27601 .35621 .28018 .35203 .28712 .3482 .28297 .35237 Metetra
.042 0 0 r
.28297 .35237 .28712 .3482 .29407 .3448 .28994 .34897 Metetra
.083 0 0 r
.28994 .34897 .29407 .3448 .30104 .34182 .29693 .34598 Metetra
.121 0 0 r
.29693 .34598 .30104 .34182 .30802 .33924 .30392 .34341 Metetra
.157 0 0 r
.30392 .34341 .30802 .33924 .31502 .33707 .31094 .34124 Metetra
.191 0 0 r
.31094 .34124 .31502 .33707 .32203 .33529 .31796 .33945 Metetra
.223 0 0 r
.31796 .33945 .32203 .33529 .32906 .33388 .32501 .33804 Metetra
.252 0 0 r
.32501 .33804 .32906 .33388 .3361 .33283 .33207 .337 Metetra
.28 0 0 r
.33207 .337 .3361 .33283 .34316 .33214 .33914 .33631 Metetra
.305 0 0 r
.33914 .33631 .34316 .33214 .35023 .33178 .34623 .33596 Metetra
.329 0 0 r
.34623 .33596 .35023 .33178 .35732 .33175 .35334 .33594 Metetra
.35 0 0 r
.35334 .33594 .35732 .33175 .36443 .33204 .36046 .33623 Metetra
.37 0 0 r
.36046 .33623 .36443 .33204 .37156 .33263 .36761 .33683 Metetra
.388 0 0 r
.36761 .33683 .37156 .33263 .37871 .33351 .37477 .33771 Metetra
.405 0 0 r
.37477 .33771 .37871 .33351 .38587 .33466 .38195 .33887 Metetra
.42 0 0 r
.38195 .33887 .38587 .33466 .39305 .33607 .38915 .3403 Metetra
.434 0 0 r
.38915 .3403 .39305 .33607 .40025 .33773 .39637 .34197 Metetra
.446 0 0 r
.39637 .34197 .40025 .33773 .40747 .33963 .40361 .34387 Metetra
.458 0 0 r
.40361 .34387 .40747 .33963 .41472 .34174 .41086 .346 Metetra
.468 0 0 r
.41086 .346 .41472 .34174 .42198 .34405 .41814 .34833 Metetra
.477 0 0 r
.41814 .34833 .42198 .34405 .42926 .34656 .42544 .35084 Metetra
.485 0 0 r
.42544 .35084 .42926 .34656 .43656 .34924 .43276 .35354 Metetra
.493 0 0 r
.43276 .35354 .43656 .34924 .44389 .35207 .4401 .35639 Metetra
.499 0 0 r
.4401 .35639 .44389 .35207 .45123 .35505 .44746 .35939 Metetra
.504 0 0 r
.44746 .35939 .45123 .35505 .4586 .35816 .45485 .36251 Metetra
.509 0 0 r
.45485 .36251 .4586 .35816 .46599 .36138 .46226 .36575 Metetra
.513 0 0 r
.46226 .36575 .46599 .36138 .4734 .3647 .46968 .36908 Metetra
.516 0 0 r
.46968 .36908 .4734 .3647 .48083 .36809 .47713 .37249 Metetra
.518 .002 0 r
.47713 .37249 .48083 .36809 .48829 .37155 .48461 .37597 Metetra
.52 .004 0 r
.48461 .37597 .48829 .37155 .49576 .37506 .4921 .3795 Metetra
.521 .005 0 r
.4921 .3795 .49576 .37506 .50326 .3786 .49962 .38305 Metetra
.521 .005 0 r
.49962 .38305 .50326 .3786 .51079 .38215 .50716 .38662 Metetra
.52 .004 0 r
.50716 .38662 .51079 .38215 .51834 .3857 .51473 .39019 Metetra
.519 .003 0 r
.51473 .39019 .51834 .3857 .5259 .38923 .52232 .39374 Metetra
.517 0 0 r
.52232 .39374 .5259 .38923 .5335 .39273 .52993 .39725 Metetra
.514 0 0 r
.52993 .39725 .5335 .39273 .54111 .39617 .53756 .40071 Metetra
.511 0 0 r
.53756 .40071 .54111 .39617 .54875 .39954 .54522 .4041 Metetra
.507 0 0 r
.54522 .4041 .54875 .39954 .55642 .40282 .5529 .4074 Metetra
.502 0 0 r
.5529 .4074 .55642 .40282 .5641 .406 .56061 .41059 Metetra
.496 0 0 r
.56061 .41059 .5641 .406 .57181 .40905 .56834 .41367 Metetra
.49 0 0 r
.56834 .41367 .57181 .40905 .57955 .41197 .57609 .4166 Metetra
.483 0 0 r
.57609 .4166 .57955 .41197 .5873 .41473 .58387 .41938 Metetra
.475 0 0 r
.58387 .41938 .5873 .41473 .59508 .41732 .59167 .42198 Metetra
.466 0 0 r
.59167 .42198 .59508 .41732 .60288 .41971 .59949 .42439 Metetra
.456 0 0 r
.59949 .42439 .60288 .41971 .61071 .4219 .60733 .42659 Metetra
.445 0 0 r
.60733 .42659 .61071 .4219 .61856 .42386 .6152 .42856 Metetra
.433 0 0 r
.6152 .42856 .61856 .42386 .62643 .42558 .62309 .43029 Metetra
.421 0 0 r
.62309 .43029 .62643 .42558 .63432 .42704 .63101 .43177 Metetra
.407 0 0 r
.63101 .43177 .63432 .42704 .64224 .42822 .63894 .43296 Metetra
.392 0 0 r
.63894 .43296 .64224 .42822 .65017 .42911 .6469 .43386 Metetra
.376 0 0 r
.6469 .43386 .65017 .42911 .65813 .42969 .65488 .43444 Metetra
.359 0 0 r
.65488 .43444 .65813 .42969 .66612 .42994 .66289 .4347 Metetra
.341 0 0 r
.66289 .4347 .66612 .42994 .67412 .42984 .67091 .43462 Metetra
.321 0 0 r
.67091 .43462 .67412 .42984 .68214 .42939 .67896 .43417 Metetra
.3 0 0 r
.67896 .43417 .68214 .42939 .69019 .42856 .68702 .43334 Metetra
.278 0 0 r
.68702 .43334 .69019 .42856 .69825 .42734 .69511 .43212 Metetra
.255 0 0 r
.69511 .43212 .69825 .42734 .70634 .42571 .70322 .43049 Metetra
.23 0 0 r
.70322 .43049 .70634 .42571 .71444 .42366 .71135 .42844 Metetra
.204 0 0 r
.71135 .42844 .71444 .42366 .72257 .42116 .71949 .42595 Metetra
.177 0 0 r
.71949 .42595 .72257 .42116 .73071 .41821 .72766 .42299 Metetra
.149 0 0 r
.72766 .42299 .73071 .41821 .73888 .4148 .73585 .41957 Metetra
.119 0 0 r
.73585 .41957 .73888 .4148 .74706 .41089 .74405 .41566 Metetra
.089 0 0 r
.74405 .41566 .74706 .41089 .75526 .40649 .75227 .41125 Metetra
.057 0 0 r
.75227 .41125 .75526 .40649 .76347 .40158 .76051 .40633 Metetra
.024 0 0 r
.76051 .40633 .76347 .40158 .7717 .39614 .76877 .40088 Metetra
.76877 .40088 .7717 .39614 .77995 .39016 .77704 .39489 Metetra
.77704 .39489 .77995 .39016 .78822 .38363 .78533 .38834 Metetra
.78533 .38834 .78822 .38363 .7965 .37653 .79363 .38122 Metetra
.905 .979 .792 r
.05929 .73762 .06399 .7322 .0708 .71146 .06611 .71681 Metetra
.899 .983 .794 r
.06611 .71681 .0708 .71146 .0776 .69132 .07294 .69662 Metetra
.892 .986 .797 r
.07294 .69662 .0776 .69132 .08441 .67178 .07975 .67702 Metetra
.884 .99 .799 r
.07975 .67702 .08441 .67178 .09121 .65285 .08657 .65804 Metetra
.875 .993 .801 r
.08657 .65804 .09121 .65285 .09801 .63451 .09339 .63965 Metetra
.866 .995 .803 r
.09339 .63965 .09801 .63451 .1048 .61678 .10021 .62187 Metetra
.855 .997 .804 r
.10021 .62187 .1048 .61678 .1116 .59964 .10702 .60468 Metetra
.843 .999 .805 r
.10702 .60468 .1116 .59964 .1184 .5831 .11384 .58809 Metetra
.829 1 .806 r
.11384 .58809 .1184 .5831 .1252 .56714 .12065 .5721 Metetra
.814 1 .805 r
.12065 .5721 .1252 .56714 .132 .55178 .12747 .55669 Metetra
.797 .999 .804 r
.12747 .55669 .132 .55178 .1388 .537 .13429 .54187 Metetra
.778 .996 .802 r
.13429 .54187 .1388 .537 .14561 .5228 .14111 .52764 Metetra
.757 .993 .799 r
.14111 .52764 .14561 .5228 .15242 .50918 .14794 .51398 Metetra
.734 .988 .795 r
.14794 .51398 .15242 .50918 .15923 .49613 .15476 .5009 Metetra
.708 .98 .789 r
.15476 .5009 .15923 .49613 .16604 .48365 .16159 .48838 Metetra
.68 .971 .782 r
.16159 .48838 .16604 .48365 .17286 .47174 .16843 .47643 Metetra
.649 .96 .773 r
.16843 .47643 .17286 .47174 .17969 .46038 .17527 .46505 Metetra
.616 .946 .762 r
.17527 .46505 .17969 .46038 .18651 .44957 .18212 .45421 Metetra
.579 .929 .749 r
.18212 .45421 .18651 .44957 .19335 .43931 .18897 .44392 Metetra
.54 .91 .734 r
.18897 .44392 .19335 .43931 .20019 .42959 .19582 .43418 Metetra
.499 .888 .716 r
.19582 .43418 .20019 .42959 .20704 .4204 .20269 .42497 Metetra
.455 .863 .696 r
.20269 .42497 .20704 .4204 .21389 .41174 .20956 .41629 Metetra
.41 .835 .675 r
.20956 .41629 .21389 .41174 .22076 .4036 .21644 .40812 Metetra
.363 .804 .651 r
.21644 .40812 .22076 .4036 .22763 .39597 .22333 .40048 Metetra
.22333 .40048 .22763 .39597 .23451 .38885 .23023 .39333 Metetra
.23023 .39333 .23451 .38885 .2414 .38222 .23713 .38669 Metetra
.23713 .38669 .2414 .38222 .2483 .37608 .24405 .38054 Metetra
.24405 .38054 .2483 .37608 .25521 .37041 .25098 .37486 Metetra
.25098 .37486 .25521 .37041 .26214 .36522 .25791 .36966 Metetra
.25791 .36966 .26214 .36522 .26907 .36049 .26486 .36492 Metetra
.26486 .36492 .26907 .36049 .27601 .35621 .27182 .36063 Metetra
.018 0 0 r
.27182 .36063 .27601 .35621 .28297 .35237 .2788 .35679 Metetra
.06 0 0 r
.2788 .35679 .28297 .35237 .28994 .34897 .28579 .35338 Metetra
.1 0 0 r
.28579 .35338 .28994 .34897 .29693 .34598 .29279 .35039 Metetra
.137 0 0 r
.29279 .35039 .29693 .34598 .30392 .34341 .2998 .34781 Metetra
.173 0 0 r
.2998 .34781 .30392 .34341 .31094 .34124 .30683 .34564 Metetra
.206 0 0 r
.30683 .34564 .31094 .34124 .31796 .33945 .31387 .34385 Metetra
.237 0 0 r
.31387 .34385 .31796 .33945 .32501 .33804 .32093 .34245 Metetra
.266 0 0 r
.32093 .34245 .32501 .33804 .33207 .337 .32801 .3414 Metetra
.292 0 0 r
.32801 .3414 .33207 .337 .33914 .33631 .3351 .34072 Metetra
.317 0 0 r
.3351 .34072 .33914 .33631 .34623 .33596 .3422 .34037 Metetra
.339 0 0 r
.3422 .34037 .34623 .33596 .35334 .33594 .34933 .34036 Metetra
.36 0 0 r
.34933 .34036 .35334 .33594 .36046 .33623 .35647 .34066 Metetra
.38 0 0 r
.35647 .34066 .36046 .33623 .36761 .33683 .36363 .34126 Metetra
.397 0 0 r
.36363 .34126 .36761 .33683 .37477 .33771 .37081 .34216 Metetra
.413 0 0 r
.37081 .34216 .37477 .33771 .38195 .33887 .37801 .34333 Metetra
.428 0 0 r
.37801 .34333 .38195 .33887 .38915 .3403 .38522 .34476 Metetra
.442 0 0 r
.38522 .34476 .38915 .3403 .39637 .34197 .39246 .34645 Metetra
.454 0 0 r
.39246 .34645 .39637 .34197 .40361 .34387 .39971 .34836 Metetra
.465 0 0 r
.39971 .34836 .40361 .34387 .41086 .346 .40699 .3505 Metetra
.475 0 0 r
.40699 .3505 .41086 .346 .41814 .34833 .41428 .35284 Metetra
.484 0 0 r
.41428 .35284 .41814 .34833 .42544 .35084 .4216 .35538 Metetra
.492 0 0 r
.4216 .35538 .42544 .35084 .43276 .35354 .42894 .35808 Metetra
.499 0 0 r
.42894 .35808 .43276 .35354 .4401 .35639 .43629 .36095 Metetra
.505 0 0 r
.43629 .36095 .4401 .35639 .44746 .35939 .44367 .36397 Metetra
.51 0 0 r
.44367 .36397 .44746 .35939 .45485 .36251 .45108 .36711 Metetra
.515 .002 0 r
.45108 .36711 .45485 .36251 .46226 .36575 .4585 .37036 Metetra
.518 .006 0 r
.4585 .37036 .46226 .36575 .46968 .36908 .46595 .37371 Metetra
.521 .01 0 r
.46595 .37371 .46968 .36908 .47713 .37249 .47341 .37714 Metetra
.524 .013 0 r
.47341 .37714 .47713 .37249 .48461 .37597 .48091 .38064 Metetra
.525 .014 0 r
.48091 .38064 .48461 .37597 .4921 .3795 .48842 .38418 Metetra
.526 .015 0 r
.48842 .38418 .4921 .3795 .49962 .38305 .49596 .38776 Metetra
.526 .016 0 r
.49596 .38776 .49962 .38305 .50716 .38662 .50352 .39135 Metetra
.526 .015 0 r
.50352 .39135 .50716 .38662 .51473 .39019 .5111 .39493 Metetra
.524 .013 0 r
.5111 .39493 .51473 .39019 .52232 .39374 .51871 .3985 Metetra
.522 .011 0 r
.51871 .3985 .52232 .39374 .52993 .39725 .52634 .40203 Metetra
.52 .008 0 r
.52634 .40203 .52993 .39725 .53756 .40071 .53399 .40551 Metetra
.517 .004 0 r
.53399 .40551 .53756 .40071 .54522 .4041 .54167 .40891 Metetra
.513 0 0 r
.54167 .40891 .54522 .4041 .5529 .4074 .54937 .41223 Metetra
.508 0 0 r
.54937 .41223 .5529 .4074 .56061 .41059 .55709 .41544 Metetra
.502 0 0 r
.55709 .41544 .56061 .41059 .56834 .41367 .56484 .41853 Metetra
.496 0 0 r
.56484 .41853 .56834 .41367 .57609 .4166 .57262 .42148 Metetra
.489 0 0 r
.57262 .42148 .57609 .4166 .58387 .41938 .58041 .42428 Metetra
.481 0 0 r
.58041 .42428 .58387 .41938 .59167 .42198 .58823 .42689 Metetra
.472 0 0 r
.58823 .42689 .59167 .42198 .59949 .42439 .59607 .42932 Metetra
.463 0 0 r
.59607 .42932 .59949 .42439 .60733 .42659 .60394 .43153 Metetra
.452 0 0 r
.60394 .43153 .60733 .42659 .6152 .42856 .61183 .43352 Metetra
.441 0 0 r
.61183 .43352 .6152 .42856 .62309 .43029 .61974 .43527 Metetra
.429 0 0 r
.61974 .43527 .62309 .43029 .63101 .43177 .62767 .43675 Metetra
.415 0 0 r
.62767 .43675 .63101 .43177 .63894 .43296 .63563 .43796 Metetra
.401 0 0 r
.63563 .43796 .63894 .43296 .6469 .43386 .64361 .43886 Metetra
.385 0 0 r
.64361 .43886 .6469 .43386 .65488 .43444 .65161 .43946 Metetra
.369 0 0 r
.65161 .43946 .65488 .43444 .66289 .4347 .65964 .43973 Metetra
.351 0 0 r
.65964 .43973 .66289 .4347 .67091 .43462 .66768 .43965 Metetra
.332 0 0 r
.66768 .43965 .67091 .43462 .67896 .43417 .67575 .43921 Metetra
.312 0 0 r
.67575 .43921 .67896 .43417 .68702 .43334 .68384 .43838 Metetra
.29 0 0 r
.68384 .43838 .68702 .43334 .69511 .43212 .69195 .43717 Metetra
.267 0 0 r
.69195 .43717 .69511 .43212 .70322 .43049 .70008 .43554 Metetra
.243 0 0 r
.70008 .43554 .70322 .43049 .71135 .42844 .70823 .43349 Metetra
.218 0 0 r
.70823 .43349 .71135 .42844 .71949 .42595 .7164 .43099 Metetra
.192 0 0 r
.7164 .43099 .71949 .42595 .72766 .42299 .72459 .42804 Metetra
.164 0 0 r
.72459 .42804 .72766 .42299 .73585 .41957 .7328 .42461 Metetra
.135 0 0 r
.7328 .42461 .73585 .41957 .74405 .41566 .74103 .42069 Metetra
.105 0 0 r
.74103 .42069 .74405 .41566 .75227 .41125 .74927 .41628 Metetra
.074 0 0 r
.74927 .41628 .75227 .41125 .76051 .40633 .75753 .41134 Metetra
.042 0 0 r
.75753 .41134 .76051 .40633 .76877 .40088 .76581 .40588 Metetra
.009 0 0 r
.76581 .40588 .76877 .40088 .77704 .39489 .77411 .39987 Metetra
.77411 .39987 .77704 .39489 .78533 .38834 .78242 .39331 Metetra
.78242 .39331 .78533 .38834 .79363 .38122 .79075 .38617 Metetra
.904 .981 .789 r
.05456 .74327 .05929 .73762 .06611 .71681 .0614 .72241 Metetra
.897 .984 .791 r
.0614 .72241 .06611 .71681 .07294 .69662 .06824 .70215 Metetra
.89 .988 .793 r
.06824 .70215 .07294 .69662 .07975 .67702 .07507 .68251 Metetra
.882 .991 .795 r
.07507 .68251 .07975 .67702 .08657 .65804 .08191 .66347 Metetra
.873 .994 .797 r
.08191 .66347 .08657 .65804 .09339 .63965 .08874 .64503 Metetra
.863 .996 .798 r
.08874 .64503 .09339 .63965 .10021 .62187 .09558 .6272 Metetra
.851 .998 .799 r
.09558 .6272 .10021 .62187 .10702 .60468 .10241 .60997 Metetra
.839 .999 .799 r
.10241 .60997 .10702 .60468 .11384 .58809 .10924 .59333 Metetra
.824 1 .799 r
.10924 .59333 .11384 .58809 .12065 .5721 .11607 .57729 Metetra
.809 .999 .798 r
.11607 .57729 .12065 .5721 .12747 .55669 .12291 .56184 Metetra
.791 .997 .797 r
.12291 .56184 .12747 .55669 .13429 .54187 .12975 .54698 Metetra
.771 .994 .794 r
.12975 .54698 .13429 .54187 .14111 .52764 .13658 .53271 Metetra
.749 .99 .79 r
.13658 .53271 .14111 .52764 .14794 .51398 .14342 .51901 Metetra
.725 .984 .785 r
.14342 .51901 .14794 .51398 .15476 .5009 .15027 .5059 Metetra
.698 .976 .778 r
.15027 .5059 .15476 .5009 .16159 .48838 .15712 .49335 Metetra
.669 .966 .77 r
.15712 .49335 .16159 .48838 .16843 .47643 .16397 .48137 Metetra
.637 .953 .759 r
.16397 .48137 .16843 .47643 .17527 .46505 .17083 .46995 Metetra
.602 .938 .747 r
.17083 .46995 .17527 .46505 .18212 .45421 .17769 .45909 Metetra
.565 .92 .733 r
.17769 .45909 .18212 .45421 .18897 .44392 .18455 .44877 Metetra
.525 .899 .716 r
.18455 .44877 .18897 .44392 .19582 .43418 .19143 .439 Metetra
.482 .875 .697 r
.19143 .439 .19582 .43418 .20269 .42497 .19831 .42977 Metetra
.438 .849 .676 r
.19831 .42977 .20269 .42497 .20956 .41629 .2052 .42107 Metetra
.391 .82 .653 r
.2052 .42107 .20956 .41629 .21644 .40812 .21209 .41289 Metetra
.343 .788 .628 r
.21209 .41289 .21644 .40812 .22333 .40048 .219 .40522 Metetra
.219 .40522 .22333 .40048 .23023 .39333 .22591 .39806 Metetra
.22591 .39806 .23023 .39333 .23713 .38669 .23283 .3914 Metetra
.23283 .3914 .23713 .38669 .24405 .38054 .23977 .38523 Metetra
.23977 .38523 .24405 .38054 .25098 .37486 .24671 .37955 Metetra
.24671 .37955 .25098 .37486 .25791 .36966 .25366 .37434 Metetra
.25366 .37434 .25791 .36966 .26486 .36492 .26063 .36959 Metetra
.26063 .36959 .26486 .36492 .27182 .36063 .26761 .36529 Metetra
.036 0 0 r
.26761 .36529 .27182 .36063 .2788 .35679 .2746 .36144 Metetra
.077 0 0 r
.2746 .36144 .2788 .35679 .28579 .35338 .2816 .35803 Metetra
.116 0 0 r
.2816 .35803 .28579 .35338 .29279 .35039 .28862 .35504 Metetra
.153 0 0 r
.28862 .35504 .29279 .35039 .2998 .34781 .29565 .35246 Metetra
.188 0 0 r
.29565 .35246 .2998 .34781 .30683 .34564 .30269 .35028 Metetra
.22 0 0 r
.30269 .35028 .30683 .34564 .31387 .34385 .30975 .3485 Metetra
.25 0 0 r
.30975 .3485 .31387 .34385 .32093 .34245 .31683 .34709 Metetra
.278 0 0 r
.31683 .34709 .32093 .34245 .32801 .3414 .32392 .34605 Metetra
.304 0 0 r
.32392 .34605 .32801 .3414 .3351 .34072 .33103 .34537 Metetra
.328 0 0 r
.33103 .34537 .3351 .34072 .3422 .34037 .33815 .34503 Metetra
.35 0 0 r
.33815 .34503 .3422 .34037 .34933 .34036 .34529 .34502 Metetra
.37 0 0 r
.34529 .34502 .34933 .34036 .35647 .34066 .35245 .34533 Metetra
.389 0 0 r
.35245 .34533 .35647 .34066 .36363 .34126 .35963 .34594 Metetra
.406 0 0 r
.35963 .34594 .36363 .34126 .37081 .34216 .36682 .34685 Metetra
.421 0 0 r
.36682 .34685 .37081 .34216 .37801 .34333 .37404 .34803 Metetra
.436 0 0 r
.37404 .34803 .37801 .34333 .38522 .34476 .38127 .34947 Metetra
.449 0 0 r
.38127 .34947 .38522 .34476 .39246 .34645 .38852 .35117 Metetra
.461 0 0 r
.38852 .35117 .39246 .34645 .39971 .34836 .39579 .3531 Metetra
.471 0 0 r
.39579 .3531 .39971 .34836 .40699 .3505 .40308 .35525 Metetra
.481 0 0 r
.40308 .35525 .40699 .3505 .41428 .35284 .4104 .35761 Metetra
.49 0 0 r
.4104 .35761 .41428 .35284 .4216 .35538 .41773 .36016 Metetra
.498 0 0 r
.41773 .36016 .4216 .35538 .42894 .35808 .42508 .36288 Metetra
.504 0 0 r
.42508 .36288 .42894 .35808 .43629 .36095 .43246 .36576 Metetra
.51 .001 0 r
.43246 .36576 .43629 .36095 .44367 .36397 .43986 .36879 Metetra
.516 .007 0 r
.43986 .36879 .44367 .36397 .45108 .36711 .44728 .37195 Metetra
.52 .013 0 r
.44728 .37195 .45108 .36711 .4585 .37036 .45472 .37522 Metetra
.524 .017 0 r
.45472 .37522 .4585 .37036 .46595 .37371 .46218 .37859 Metetra
.526 .02 0 r
.46218 .37859 .46595 .37371 .47341 .37714 .46967 .38204 Metetra
.529 .023 0 r
.46967 .38204 .47341 .37714 .48091 .38064 .47718 .38556 Metetra
.53 .025 0 r
.47718 .38556 .48091 .38064 .48842 .38418 .48471 .38912 Metetra
.531 .026 0 r
.48471 .38912 .48842 .38418 .49596 .38776 .49227 .39271 Metetra
.531 .026 0 r
.49227 .39271 .49596 .38776 .50352 .39135 .49985 .39632 Metetra
.531 .025 0 r
.49985 .39632 .50352 .39135 .5111 .39493 .50745 .39992 Metetra
.529 .024 0 r
.50745 .39992 .5111 .39493 .51871 .3985 .51507 .40351 Metetra
.527 .022 0 r
.51507 .40351 .51871 .3985 .52634 .40203 .52272 .40706 Metetra
.525 .019 0 r
.52272 .40706 .52634 .40203 .53399 .40551 .5304 .41056 Metetra
.522 .015 0 r
.5304 .41056 .53399 .40551 .54167 .40891 .53809 .41398 Metetra
.518 .01 0 r
.53809 .41398 .54167 .40891 .54937 .41223 .54581 .41732 Metetra
.513 .005 0 r
.54581 .41732 .54937 .41223 .55709 .41544 .55356 .42055 Metetra
.508 0 0 r
.55356 .42055 .55709 .41544 .56484 .41853 .56133 .42366 Metetra
.502 0 0 r
.56133 .42366 .56484 .41853 .57262 .42148 .56912 .42663 Metetra
.495 0 0 r
.56912 .42663 .57262 .42148 .58041 .42428 .57693 .42943 Metetra
.487 0 0 r
.57693 .42943 .58041 .42428 .58823 .42689 .58477 .43207 Metetra
.479 0 0 r
.58477 .43207 .58823 .42689 .59607 .42932 .59263 .43451 Metetra
.469 0 0 r
.59263 .43451 .59607 .42932 .60394 .43153 .60052 .43674 Metetra
.459 0 0 r
.60052 .43674 .60394 .43153 .61183 .43352 .60843 .43874 Metetra
.448 0 0 r
.60843 .43874 .61183 .43352 .61974 .43527 .61636 .4405 Metetra
.436 0 0 r
.61636 .4405 .61974 .43527 .62767 .43675 .62432 .442 Metetra
.423 0 0 r
.62432 .442 .62767 .43675 .63563 .43796 .6323 .44321 Metetra
.409 0 0 r
.6323 .44321 .63563 .43796 .64361 .43886 .6403 .44413 Metetra
.394 0 0 r
.6403 .44413 .64361 .43886 .65161 .43946 .64832 .44474 Metetra
.378 0 0 r
.64832 .44474 .65161 .43946 .65964 .43973 .65637 .44501 Metetra
.361 0 0 r
.65637 .44501 .65964 .43973 .66768 .43965 .66444 .44494 Metetra
.342 0 0 r
.66444 .44494 .66768 .43965 .67575 .43921 .67253 .44451 Metetra
.322 0 0 r
.67253 .44451 .67575 .43921 .68384 .43838 .68064 .44369 Metetra
.301 0 0 r
.68064 .44369 .68384 .43838 .69195 .43717 .68877 .44248 Metetra
.279 0 0 r
.68877 .44248 .69195 .43717 .70008 .43554 .69692 .44085 Metetra
.256 0 0 r
.69692 .44085 .70008 .43554 .70823 .43349 .70509 .4388 Metetra
.231 0 0 r
.70509 .4388 .70823 .43349 .7164 .43099 .71329 .4363 Metetra
.205 0 0 r
.71329 .4363 .7164 .43099 .72459 .42804 .7215 .43334 Metetra
.178 0 0 r
.7215 .43334 .72459 .42804 .7328 .42461 .72973 .42991 Metetra
.15 0 0 r
.72973 .42991 .7328 .42461 .74103 .42069 .73798 .42599 Metetra
.12 0 0 r
.73798 .42599 .74103 .42069 .74927 .41628 .74625 .42157 Metetra
.09 0 0 r
.74625 .42157 .74927 .41628 .75753 .41134 .75454 .41662 Metetra
.058 0 0 r
.75454 .41662 .75753 .41134 .76581 .40588 .76284 .41115 Metetra
.026 0 0 r
.76284 .41115 .76581 .40588 .77411 .39987 .77116 .40513 Metetra
.77116 .40513 .77411 .39987 .78242 .39331 .7795 .39855 Metetra
.7795 .39855 .78242 .39331 .79075 .38617 .78785 .3914 Metetra
.902 .983 .785 r
.04979 .74917 .05456 .74327 .0614 .72241 .05665 .72825 Metetra
.896 .986 .787 r
.05665 .72825 .0614 .72241 .06824 .70215 .06351 .70794 Metetra
.888 .989 .789 r
.06351 .70794 .06824 .70215 .07507 .68251 .07036 .68823 Metetra
.88 .992 .791 r
.07036 .68823 .07507 .68251 .08191 .66347 .07721 .66914 Metetra
.87 .995 .792 r
.07721 .66914 .08191 .66347 .08874 .64503 .08407 .65065 Metetra
.86 .997 .793 r
.08407 .65065 .08874 .64503 .09558 .6272 .09092 .63277 Metetra
.848 .998 .794 r
.09092 .63277 .09558 .6272 .10241 .60997 .09777 .61549 Metetra
.834 .999 .793 r
.09777 .61549 .10241 .60997 .10924 .59333 .10462 .59881 Metetra
.819 .999 .793 r
.10462 .59881 .10924 .59333 .11607 .57729 .11147 .58272 Metetra
.803 .998 .791 r
.11147 .58272 .11607 .57729 .12291 .56184 .11832 .56723 Metetra
.784 .996 .789 r
.11832 .56723 .12291 .56184 .12975 .54698 .12517 .55233 Metetra
.763 .992 .785 r
.12517 .55233 .12975 .54698 .13658 .53271 .13203 .53802 Metetra
.741 .987 .78 r
.13203 .53802 .13658 .53271 .14342 .51901 .13888 .52429 Metetra
.715 .98 .774 r
.13888 .52429 .14342 .51901 .15027 .5059 .14574 .51114 Metetra
.687 .971 .766 r
.14574 .51114 .15027 .5059 .15712 .49335 .15261 .49856 Metetra
.657 .959 .757 r
.15261 .49856 .15712 .49335 .16397 .48137 .15948 .48654 Metetra
.624 .945 .745 r
.15948 .48654 .16397 .48137 .17083 .46995 .16635 .4751 Metetra
.588 .929 .732 r
.16635 .4751 .17083 .46995 .17769 .45909 .17323 .4642 Metetra
.549 .909 .716 r
.17323 .4642 .17769 .45909 .18455 .44877 .18011 .45386 Metetra
.508 .887 .698 r
.18011 .45386 .18455 .44877 .19143 .439 .187 .44407 Metetra
.465 .862 .678 r
.187 .44407 .19143 .439 .19831 .42977 .1939 .43481 Metetra
.419 .834 .656 r
.1939 .43481 .19831 .42977 .2052 .42107 .20081 .42609 Metetra
.372 .804 .632 r
.20081 .42609 .2052 .42107 .21209 .41289 .20772 .41789 Metetra
.20772 .41789 .21209 .41289 .219 .40522 .21464 .4102 Metetra
.21464 .4102 .219 .40522 .22591 .39806 .22157 .40303 Metetra
.22157 .40303 .22591 .39806 .23283 .3914 .22851 .39636 Metetra
.22851 .39636 .23283 .3914 .23977 .38523 .23546 .39017 Metetra
.23546 .39017 .23977 .38523 .24671 .37955 .24242 .38448 Metetra
.24242 .38448 .24671 .37955 .25366 .37434 .24939 .37925 Metetra
.24939 .37925 .25366 .37434 .26063 .36959 .25637 .3745 Metetra
.011 0 0 r
.25637 .3745 .26063 .36959 .26761 .36529 .26336 .37019 Metetra
.054 0 0 r
.26336 .37019 .26761 .36529 .2746 .36144 .27037 .36634 Metetra
.094 0 0 r
.27037 .36634 .2746 .36144 .2816 .35803 .27739 .36292 Metetra
.132 0 0 r
.27739 .36292 .2816 .35803 .28862 .35504 .28442 .35992 Metetra
.168 0 0 r
.28442 .35992 .28862 .35504 .29565 .35246 .29147 .35734 Metetra
.202 0 0 r
.29147 .35734 .29565 .35246 .30269 .35028 .29853 .35517 Metetra
.233 0 0 r
.29853 .35517 .30269 .35028 .30975 .3485 .30561 .35338 Metetra
.262 0 0 r
.30561 .35338 .30975 .3485 .31683 .34709 .3127 .35198 Metetra
.29 0 0 r
.3127 .35198 .31683 .34709 .32392 .34605 .31981 .35094 Metetra
.315 0 0 r
.31981 .35094 .32392 .34605 .33103 .34537 .32693 .35027 Metetra
.338 0 0 r
.32693 .35027 .33103 .34537 .33815 .34503 .33407 .34993 Metetra
.359 0 0 r
.33407 .34993 .33815 .34503 .34529 .34502 .34123 .34993 Metetra
.379 0 0 r
.34123 .34993 .34529 .34502 .35245 .34533 .3484 .35025 Metetra
.397 0 0 r
.3484 .35025 .35245 .34533 .35963 .34594 .3556 .35087 Metetra
.414 0 0 r
.3556 .35087 .35963 .34594 .36682 .34685 .36281 .35178 Metetra
.429 0 0 r
.36281 .35178 .36682 .34685 .37404 .34803 .37004 .35297 Metetra
.443 0 0 r
.37004 .35297 .37404 .34803 .38127 .34947 .37729 .35443 Metetra
.456 0 0 r
.37729 .35443 .38127 .34947 .38852 .35117 .38456 .35614 Metetra
.467 0 0 r
.38456 .35614 .38852 .35117 .39579 .3531 .39185 .35808 Metetra
.478 0 0 r
.39185 .35808 .39579 .3531 .40308 .35525 .39916 .36025 Metetra
.487 0 0 r
.39916 .36025 .40308 .35525 .4104 .35761 .40649 .36262 Metetra
.496 0 0 r
.40649 .36262 .4104 .35761 .41773 .36016 .41384 .36518 Metetra
.503 0 0 r
.41384 .36518 .41773 .36016 .42508 .36288 .42121 .36792 Metetra
.51 .005 0 r
.42121 .36792 .42508 .36288 .43246 .36576 .4286 .37082 Metetra
.515 .012 0 r
.4286 .37082 .43246 .36576 .43986 .36879 .43602 .37387 Metetra
.521 .018 .002 r
.43602 .37387 .43986 .36879 .44728 .37195 .44346 .37705 Metetra
.525 .023 .006 r
.44346 .37705 .44728 .37195 .45472 .37522 .45091 .38034 Metetra
.528 .027 .009 r
.45091 .38034 .45472 .37522 .46218 .37859 .4584 .38372 Metetra
.531 .03 .011 r
.4584 .38372 .46218 .37859 .46967 .38204 .4659 .38719 Metetra
.533 .033 .013 r
.4659 .38719 .46967 .38204 .47718 .38556 .47343 .39073 Metetra
.535 .035 .015 r
.47343 .39073 .47718 .38556 .48471 .38912 .48098 .39431 Metetra
.536 .036 .015 r
.48098 .39431 .48471 .38912 .49227 .39271 .48855 .39792 Metetra
.536 .036 .015 r
.48855 .39792 .49227 .39271 .49985 .39632 .49615 .40155 Metetra
.535 .035 .015 r
.49615 .40155 .49985 .39632 .50745 .39992 .50377 .40517 Metetra
.534 .034 .014 r
.50377 .40517 .50745 .39992 .51507 .40351 .51142 .40878 Metetra
.532 .032 .012 r
.51142 .40878 .51507 .40351 .52272 .40706 .51908 .41235 Metetra
.53 .029 .01 r
.51908 .41235 .52272 .40706 .5304 .41056 .52678 .41586 Metetra
.527 .025 .008 r
.52678 .41586 .5304 .41056 .53809 .41398 .53449 .41931 Metetra
.523 .021 .005 r
.53449 .41931 .53809 .41398 .54581 .41732 .54223 .42266 Metetra
.518 .015 .001 r
.54223 .42266 .54581 .41732 .55356 .42055 .55 .42591 Metetra
.513 .009 0 r
.55 .42591 .55356 .42055 .56133 .42366 .55778 .42904 Metetra
.507 .003 0 r
.55778 .42904 .56133 .42366 .56912 .42663 .5656 .43203 Metetra
.5 0 0 r
.5656 .43203 .56912 .42663 .57693 .42943 .57343 .43485 Metetra
.493 0 0 r
.57343 .43485 .57693 .42943 .58477 .43207 .58129 .4375 Metetra
.485 0 0 r
.58129 .4375 .58477 .43207 .59263 .43451 .58917 .43996 Metetra
.476 0 0 r
.58917 .43996 .59263 .43451 .60052 .43674 .59708 .44221 Metetra
.466 0 0 r
.59708 .44221 .60052 .43674 .60843 .43874 .60501 .44423 Metetra
.455 0 0 r
.60501 .44423 .60843 .43874 .61636 .4405 .61297 .446 Metetra
.443 0 0 r
.61297 .446 .61636 .4405 .62432 .442 .62094 .44751 Metetra
.431 0 0 r
.62094 .44751 .62432 .442 .6323 .44321 .62894 .44873 Metetra
.417 0 0 r
.62894 .44873 .6323 .44321 .6403 .44413 .63696 .44967 Metetra
.402 0 0 r
.63696 .44967 .6403 .44413 .64832 .44474 .64501 .45028 Metetra
.387 0 0 r
.64501 .45028 .64832 .44474 .65637 .44501 .65308 .45057 Metetra
.37 0 0 r
.65308 .45057 .65637 .44501 .66444 .44494 .66117 .4505 Metetra
.352 0 0 r
.66117 .4505 .66444 .44494 .67253 .44451 .66928 .45007 Metetra
.333 0 0 r
.66928 .45007 .67253 .44451 .68064 .44369 .67741 .44926 Metetra
.312 0 0 r
.67741 .44926 .68064 .44369 .68877 .44248 .68557 .44805 Metetra
.291 0 0 r
.68557 .44805 .68877 .44248 .69692 .44085 .69374 .44643 Metetra
.268 0 0 r
.69374 .44643 .69692 .44085 .70509 .4388 .70194 .44438 Metetra
.244 0 0 r
.70194 .44438 .70509 .4388 .71329 .4363 .71015 .44188 Metetra
.219 0 0 r
.71015 .44188 .71329 .4363 .7215 .43334 .71839 .43892 Metetra
.192 0 0 r
.71839 .43892 .7215 .43334 .72973 .42991 .72665 .43548 Metetra
.164 0 0 r
.72665 .43548 .72973 .42991 .73798 .42599 .73492 .43156 Metetra
.135 0 0 r
.73492 .43156 .73798 .42599 .74625 .42157 .74321 .42713 Metetra
.106 0 0 r
.74321 .42713 .74625 .42157 .75454 .41662 .75152 .42217 Metetra
.075 0 0 r
.75152 .42217 .75454 .41662 .76284 .41115 .75985 .41669 Metetra
.043 0 0 r
.75985 .41669 .76284 .41115 .77116 .40513 .7682 .41065 Metetra
.01 0 0 r
.7682 .41065 .77116 .40513 .7795 .39855 .77656 .40406 Metetra
.77656 .40406 .7795 .39855 .78785 .3914 .78494 .39689 Metetra
.901 .984 .782 r
.04499 .75531 .04979 .74917 .05665 .72825 .05187 .73433 Metetra
.894 .988 .784 r
.05187 .73433 .05665 .72825 .06351 .70794 .05874 .71396 Metetra
.886 .991 .785 r
.05874 .71396 .06351 .70794 .07036 .68823 .06562 .69421 Metetra
.877 .993 .786 r
.06562 .69421 .07036 .68823 .07721 .66914 .07249 .67506 Metetra
.867 .996 .787 r
.07249 .67506 .07721 .66914 .08407 .65065 .07936 .65652 Metetra
.856 .997 .788 r
.07936 .65652 .08407 .65065 .09092 .63277 .08622 .63858 Metetra
.844 .998 .788 r
.08622 .63858 .09092 .63277 .09777 .61549 .09309 .62126 Metetra
.83 .999 .787 r
.09309 .62126 .09777 .61549 .10462 .59881 .09996 .60453 Metetra
.814 .998 .786 r
.09996 .60453 .10462 .59881 .11147 .58272 .10683 .5884 Metetra
.797 .997 .783 r
.10683 .5884 .11147 .58272 .11832 .56723 .11369 .57287 Metetra
.777 .994 .78 r
.11369 .57287 .11832 .56723 .12517 .55233 .12057 .55793 Metetra
.756 .989 .776 r
.12057 .55793 .12517 .55233 .13203 .53802 .12744 .54357 Metetra
.732 .983 .77 r
.12744 .54357 .13203 .53802 .13888 .52429 .13431 .52981 Metetra
.705 .975 .763 r
.13431 .52981 .13888 .52429 .14574 .51114 .14119 .51662 Metetra
.676 .965 .754 r
.14119 .51662 .14574 .51114 .15261 .49856 .14807 .504 Metetra
.645 .952 .743 r
.14807 .504 .15261 .49856 .15948 .48654 .15496 .49196 Metetra
.61 .937 .73 r
.15496 .49196 .15948 .48654 .16635 .4751 .16185 .48048 Metetra
.573 .919 .716 r
.16185 .48048 .16635 .4751 .17323 .4642 .16874 .46956 Metetra
.533 .898 .699 r
.16874 .46956 .17323 .4642 .18011 .45386 .17564 .4592 Metetra
.491 .875 .68 r
.17564 .4592 .18011 .45386 .187 .44407 .18255 .44938 Metetra
.447 .848 .658 r
.18255 .44938 .187 .44407 .1939 .43481 .18946 .4401 Metetra
.401 .819 .635 r
.18946 .4401 .1939 .43481 .20081 .42609 .19639 .43135 Metetra
.19639 .43135 .20081 .42609 .20772 .41789 .20331 .42313 Metetra
.20331 .42313 .20772 .41789 .21464 .4102 .21025 .41543 Metetra
.21025 .41543 .21464 .4102 .22157 .40303 .2172 .40824 Metetra
.2172 .40824 .22157 .40303 .22851 .39636 .22415 .40155 Metetra
.22415 .40155 .22851 .39636 .23546 .39017 .23112 .39536 Metetra
.23112 .39536 .23546 .39017 .24242 .38448 .2381 .38965 Metetra
.2381 .38965 .24242 .38448 .24939 .37925 .24508 .38441 Metetra
.24508 .38441 .24939 .37925 .25637 .3745 .25208 .37965 Metetra
.029 0 0 r
.25208 .37965 .25637 .3745 .26336 .37019 .25909 .37534 Metetra
.07 0 0 r
.25909 .37534 .26336 .37019 .27037 .36634 .26611 .37148 Metetra
.11 0 0 r
.26611 .37148 .27037 .36634 .27739 .36292 .27315 .36805 Metetra
.147 0 0 r
.27315 .36805 .27739 .36292 .28442 .35992 .2802 .36506 Metetra
.183 0 0 r
.2802 .36506 .28442 .35992 .29147 .35734 .28726 .36247 Metetra
.215 0 0 r
.28726 .36247 .29147 .35734 .29853 .35517 .29434 .3603 Metetra
.246 0 0 r
.29434 .3603 .29853 .35517 .30561 .35338 .30143 .35851 Metetra
.274 0 0 r
.30143 .35851 .30561 .35338 .3127 .35198 .30854 .35711 Metetra
.301 0 0 r
.30854 .35711 .3127 .35198 .31981 .35094 .31567 .35608 Metetra
.325 0 0 r
.31567 .35608 .31981 .35094 .32693 .35027 .32281 .35541 Metetra
.348 0 0 r
.32281 .35541 .32693 .35027 .33407 .34993 .32996 .35508 Metetra
.369 0 0 r
.32996 .35508 .33407 .34993 .34123 .34993 .33714 .35509 Metetra
.388 0 0 r
.33714 .35509 .34123 .34993 .3484 .35025 .34433 .35541 Metetra
.405 0 0 r
.34433 .35541 .3484 .35025 .3556 .35087 .35154 .35604 Metetra
.422 0 0 r
.35154 .35604 .3556 .35087 .36281 .35178 .35877 .35697 Metetra
.436 0 0 r
.35877 .35697 .36281 .35178 .37004 .35297 .36602 .35817 Metetra
.45 0 0 r
.36602 .35817 .37004 .35297 .37729 .35443 .37328 .35964 Metetra
.462 0 0 r
.37328 .35964 .37729 .35443 .38456 .35614 .38057 .36136 Metetra
.473 0 0 r
.38057 .36136 .38456 .35614 .39185 .35808 .38788 .36332 Metetra
.483 0 0 r
.38788 .36332 .39185 .35808 .39916 .36025 .3952 .3655 Metetra
.493 0 0 r
.3952 .3655 .39916 .36025 .40649 .36262 .40255 .36788 Metetra
.501 0 0 r
.40255 .36788 .40649 .36262 .41384 .36518 .40992 .37046 Metetra
.508 .008 .003 r
.40992 .37046 .41384 .36518 .42121 .36792 .41731 .37322 Metetra
.515 .015 .008 r
.41731 .37322 .42121 .36792 .4286 .37082 .42472 .37614 Metetra
.52 .022 .013 r
.42472 .37614 .4286 .37082 .43602 .37387 .43215 .3792 Metetra
.525 .028 .017 r
.43215 .3792 .43602 .37387 .44346 .37705 .43961 .3824 Metetra
.529 .033 .021 r
.43961 .3824 .44346 .37705 .45091 .38034 .44708 .3857 Metetra
.533 .037 .024 r
.44708 .3857 .45091 .38034 .4584 .38372 .45459 .38911 Metetra
.536 .04 .026 r
.45459 .38911 .4584 .38372 .4659 .38719 .46211 .3926 Metetra
.538 .043 .028 r
.46211 .3926 .4659 .38719 .47343 .39073 .46965 .39615 Metetra
.539 .044 .029 r
.46965 .39615 .47343 .39073 .48098 .39431 .47722 .39975 Metetra
.54 .045 .03 r
.47722 .39975 .48098 .39431 .48855 .39792 .48482 .40339 Metetra
.54 .045 .03 r
.48482 .40339 .48855 .39792 .49615 .40155 .49243 .40703 Metetra
.539 .045 .03 r
.49243 .40703 .49615 .40155 .50377 .40517 .50007 .41068 Metetra
.538 .043 .029 r
.50007 .41068 .50377 .40517 .51142 .40878 .50774 .41431 Metetra
.537 .041 .027 r
.50774 .41431 .51142 .40878 .51908 .41235 .51542 .4179 Metetra
.534 .038 .025 r
.51542 .4179 .51908 .41235 .52678 .41586 .52313 .42143 Metetra
.531 .035 .023 r
.52313 .42143 .52678 .41586 .53449 .41931 .53087 .4249 Metetra
.527 .031 .02 r
.53087 .4249 .53449 .41931 .54223 .42266 .53863 .42827 Metetra
.523 .025 .016 r
.53863 .42827 .54223 .42266 .55 .42591 .54641 .43154 Metetra
.518 .02 .012 r
.54641 .43154 .55 .42591 .55778 .42904 .55422 .43469 Metetra
.512 .013 .007 r
.55422 .43469 .55778 .42904 .5656 .43203 .56205 .43769 Metetra
.506 .006 .002 r
.56205 .43769 .5656 .43203 .57343 .43485 .56991 .44053 Metetra
.498 0 0 r
.56991 .44053 .57343 .43485 .58129 .4375 .57779 .4432 Metetra
.49 0 0 r
.57779 .4432 .58129 .4375 .58917 .43996 .58569 .44568 Metetra
.482 0 0 r
.58569 .44568 .58917 .43996 .59708 .44221 .59362 .44794 Metetra
.472 0 0 r
.59362 .44794 .59708 .44221 .60501 .44423 .60157 .44997 Metetra
.461 0 0 r
.60157 .44997 .60501 .44423 .61297 .446 .60955 .45176 Metetra
.45 0 0 r
.60955 .45176 .61297 .446 .62094 .44751 .61754 .45328 Metetra
.438 0 0 r
.61754 .45328 .62094 .44751 .62894 .44873 .62557 .45452 Metetra
.424 0 0 r
.62557 .45452 .62894 .44873 .63696 .44967 .63361 .45547 Metetra
.41 0 0 r
.63361 .45547 .63696 .44967 .64501 .45028 .64168 .45609 Metetra
.395 0 0 r
.64168 .45609 .64501 .45028 .65308 .45057 .64977 .45639 Metetra
.378 0 0 r
.64977 .45639 .65308 .45057 .66117 .4505 .65788 .45633 Metetra
.361 0 0 r
.65788 .45633 .66117 .4505 .66928 .45007 .66601 .45591 Metetra
.342 0 0 r
.66601 .45591 .66928 .45007 .67741 .44926 .67417 .4551 Metetra
.322 0 0 r
.67417 .4551 .67741 .44926 .68557 .44805 .68235 .4539 Metetra
.301 0 0 r
.68235 .4539 .68557 .44805 .69374 .44643 .69054 .45228 Metetra
.279 0 0 r
.69054 .45228 .69374 .44643 .70194 .44438 .69876 .45023 Metetra
.256 0 0 r
.69876 .45023 .70194 .44438 .71015 .44188 .707 .44773 Metetra
.231 0 0 r
.707 .44773 .71015 .44188 .71839 .43892 .71526 .44477 Metetra
.205 0 0 r
.71526 .44477 .71839 .43892 .72665 .43548 .72354 .44133 Metetra
.178 0 0 r
.72354 .44133 .72665 .43548 .73492 .43156 .73184 .4374 Metetra
.15 0 0 r
.73184 .4374 .73492 .43156 .74321 .42713 .74016 .43296 Metetra
.121 0 0 r
.74016 .43296 .74321 .42713 .75152 .42217 .74849 .428 Metetra
.09 0 0 r
.74849 .428 .75152 .42217 .75985 .41669 .75684 .4225 Metetra
.059 0 0 r
.75684 .4225 .75985 .41669 .7682 .41065 .76521 .41645 Metetra
.027 0 0 r
.76521 .41645 .7682 .41065 .77656 .40406 .7736 .40984 Metetra
.7736 .40984 .77656 .40406 .78494 .39689 .782 .40265 Metetra
.899 .986 .778 r
.04016 .7617 .04499 .75531 .05187 .73433 .04706 .74066 Metetra
.892 .989 .78 r
.04706 .74066 .05187 .73433 .05874 .71396 .05395 .72024 Metetra
.884 .992 .781 r
.05395 .72024 .05874 .71396 .06562 .69421 .06084 .70042 Metetra
.874 .994 .782 r
.06084 .70042 .06562 .69421 .07249 .67506 .06773 .68122 Metetra
.864 .996 .782 r
.06773 .68122 .07249 .67506 .07936 .65652 .07461 .66263 Metetra
.852 .997 .782 r
.07461 .66263 .07936 .65652 .08622 .63858 .0815 .64465 Metetra
.839 .998 .782 r
.0815 .64465 .08622 .63858 .09309 .62126 .08839 .62727 Metetra
.825 .998 .78 r
.08839 .62727 .09309 .62126 .09996 .60453 .09527 .6105 Metetra
.808 .997 .778 r
.09527 .6105 .09996 .60453 .10683 .5884 .10216 .59432 Metetra
.79 .995 .775 r
.10216 .59432 .10683 .5884 .11369 .57287 .10904 .57875 Metetra
.77 .991 .771 r
.10904 .57875 .11369 .57287 .12057 .55793 .11593 .56376 Metetra
.747 .986 .766 r
.11593 .56376 .12057 .55793 .12744 .54357 .12282 .54937 Metetra
.722 .979 .759 r
.12282 .54937 .12744 .54357 .13431 .52981 .12971 .53557 Metetra
.695 .97 .751 r
.12971 .53557 .13431 .52981 .14119 .51662 .1366 .52234 Metetra
.665 .958 .741 r
.1366 .52234 .14119 .51662 .14807 .504 .1435 .5097 Metetra
.632 .944 .729 r
.1435 .5097 .14807 .504 .15496 .49196 .15041 .49762 Metetra
.596 .928 .715 r
.15041 .49762 .15496 .49196 .16185 .48048 .15731 .48612 Metetra
.558 .909 .699 r
.15731 .48612 .16185 .48048 .16874 .46956 .16422 .47517 Metetra
.517 .887 .681 r
.16422 .47517 .16874 .46956 .17564 .4592 .17114 .46478 Metetra
.474 .862 .66 r
.17114 .46478 .17564 .4592 .18255 .44938 .17807 .45493 Metetra
.429 .834 .638 r
.17807 .45493 .18255 .44938 .18946 .4401 .185 .44563 Metetra
.382 .804 .614 r
.185 .44563 .18946 .4401 .19639 .43135 .19193 .43686 Metetra
.19193 .43686 .19639 .43135 .20331 .42313 .19888 .42862 Metetra
.19888 .42862 .20331 .42313 .21025 .41543 .20583 .4209 Metetra
.20583 .4209 .21025 .41543 .2172 .40824 .2128 .41369 Metetra
.2128 .41369 .2172 .40824 .22415 .40155 .21977 .40699 Metetra
.21977 .40699 .22415 .40155 .23112 .39536 .22675 .40078 Metetra
.22675 .40078 .23112 .39536 .2381 .38965 .23374 .39506 Metetra
.23374 .39506 .2381 .38965 .24508 .38441 .24075 .38982 Metetra
.003 0 0 r
.24075 .38982 .24508 .38441 .25208 .37965 .24776 .38505 Metetra
.046 0 0 r
.24776 .38505 .25208 .37965 .25909 .37534 .25479 .38073 Metetra
.087 0 0 r
.25479 .38073 .25909 .37534 .26611 .37148 .26183 .37686 Metetra
.126 0 0 r
.26183 .37686 .26611 .37148 .27315 .36805 .26888 .37344 Metetra
.162 0 0 r
.26888 .37344 .27315 .36805 .2802 .36506 .27595 .37044 Metetra
.196 0 0 r
.27595 .37044 .2802 .36506 .28726 .36247 .28303 .36785 Metetra
.228 0 0 r
.28303 .36785 .28726 .36247 .29434 .3603 .29012 .36568 Metetra
.258 0 0 r
.29012 .36568 .29434 .3603 .30143 .35851 .29723 .36389 Metetra
.286 0 0 r
.29723 .36389 .30143 .35851 .30854 .35711 .30436 .3625 Metetra
.311 0 0 r
.30436 .3625 .30854 .35711 .31567 .35608 .3115 .36147 Metetra
.335 0 0 r
.3115 .36147 .31567 .35608 .32281 .35541 .31866 .3608 Metetra
.357 0 0 r
.31866 .3608 .32281 .35541 .32996 .35508 .32583 .36048 Metetra
.377 0 0 r
.32583 .36048 .32996 .35508 .33714 .35509 .33302 .36049 Metetra
.396 0 0 r
.33302 .36049 .33714 .35509 .34433 .35541 .34023 .36082 Metetra
.413 0 0 r
.34023 .36082 .34433 .35541 .35154 .35604 .34746 .36146 Metetra
.429 0 0 r
.34746 .36146 .35154 .35604 .35877 .35697 .3547 .3624 Metetra
.443 0 0 r
.3547 .3624 .35877 .35697 .36602 .35817 .36197 .36361 Metetra
.456 0 0 r
.36197 .36361 .36602 .35817 .37328 .35964 .36925 .3651 Metetra
.468 0 0 r
.36925 .3651 .37328 .35964 .38057 .36136 .37655 .36683 Metetra
.479 0 0 r
.37655 .36683 .38057 .36136 .38788 .36332 .38388 .3688 Metetra
.489 0 0 r
.38388 .3688 .38788 .36332 .3952 .3655 .39122 .371 Metetra
.498 0 .005 r
.39122 .371 .3952 .3655 .40255 .36788 .39859 .3734 Metetra
.506 .01 .012 r
.39859 .3734 .40255 .36788 .40992 .37046 .40597 .376 Metetra
.513 .018 .018 r
.40597 .376 .40992 .37046 .41731 .37322 .41338 .37877 Metetra
.519 .025 .023 r
.41338 .37877 .41731 .37322 .42472 .37614 .42081 .38171 Metetra
.525 .032 .028 r
.42081 .38171 .42472 .37614 .43215 .3792 .42826 .38479 Metetra
.53 .037 .032 r
.42826 .38479 .43215 .3792 .43961 .3824 .43573 .388 Metetra
.534 .042 .035 r
.43573 .388 .43961 .3824 .44708 .3857 .44323 .39133 Metetra
.537 .046 .038 r
.44323 .39133 .44708 .3857 .45459 .38911 .45075 .39475 Metetra
.54 .049 .04 r
.45075 .39475 .45459 .38911 .46211 .3926 .45829 .39826 Metetra
.542 .052 .042 r
.45829 .39826 .46211 .3926 .46965 .39615 .46585 .40184 Metetra
.543 .053 .043 r
.46585 .40184 .46965 .39615 .47722 .39975 .47344 .40546 Metetra
.544 .054 .044 r
.47344 .40546 .47722 .39975 .48482 .40339 .48105 .40911 Metetra
.544 .054 .044 r
.48105 .40911 .48482 .40339 .49243 .40703 .48869 .41278 Metetra
.543 .054 .044 r
.48869 .41278 .49243 .40703 .50007 .41068 .49635 .41645 Metetra
.542 .053 .043 r
.49635 .41645 .50007 .41068 .50774 .41431 .50403 .42009 Metetra
.541 .05 .041 r
.50403 .42009 .50774 .41431 .51542 .4179 .51174 .4237 Metetra
.538 .048 .039 r
.51174 .4237 .51542 .4179 .52313 .42143 .51947 .42726 Metetra
.535 .044 .037 r
.51947 .42726 .52313 .42143 .53087 .4249 .52722 .43075 Metetra
.532 .04 .034 r
.52722 .43075 .53087 .4249 .53863 .42827 .535 .43414 Metetra
.527 .035 .031 r
.535 .43414 .53863 .42827 .54641 .43154 .54281 .43743 Metetra
.522 .029 .027 r
.54281 .43743 .54641 .43154 .55422 .43469 .55063 .4406 Metetra
.517 .023 .022 r
.55063 .4406 .55422 .43469 .56205 .43769 .55849 .44362 Metetra
.51 .016 .017 r
.55849 .44362 .56205 .43769 .56991 .44053 .56636 .44648 Metetra
.503 .008 .012 r
.56636 .44648 .56991 .44053 .57779 .4432 .57426 .44917 Metetra
.496 0 .006 r
.57426 .44917 .57779 .4432 .58569 .44568 .58219 .45166 Metetra
.487 0 0 r
.58219 .45166 .58569 .44568 .59362 .44794 .59014 .45394 Metetra
.478 0 0 r
.59014 .45394 .59362 .44794 .60157 .44997 .59811 .45599 Metetra
.467 0 0 r
.59811 .45599 .60157 .44997 .60955 .45176 .6061 .45779 Metetra
.456 0 0 r
.6061 .45779 .60955 .45176 .61754 .45328 .61412 .45933 Metetra
.444 0 0 r
.61412 .45933 .61754 .45328 .62557 .45452 .62217 .46058 Metetra
.431 0 0 r
.62217 .46058 .62557 .45452 .63361 .45547 .63023 .46154 Metetra
.417 0 0 r
.63023 .46154 .63361 .45547 .64168 .45609 .63832 .46217 Metetra
.402 0 0 r
.63832 .46217 .64168 .45609 .64977 .45639 .64643 .46248 Metetra
.387 0 0 r
.64643 .46248 .64977 .45639 .65788 .45633 .65457 .46243 Metetra
.369 0 0 r
.65457 .46243 .65788 .45633 .66601 .45591 .66273 .46202 Metetra
.351 0 0 r
.66273 .46202 .66601 .45591 .67417 .4551 .6709 .46122 Metetra
.332 0 0 r
.6709 .46122 .67417 .4551 .68235 .4539 .6791 .46002 Metetra
.312 0 0 r
.6791 .46002 .68235 .4539 .69054 .45228 .68733 .4584 Metetra
.29 0 0 r
.68733 .4584 .69054 .45228 .69876 .45023 .69557 .45635 Metetra
.267 0 0 r
.69557 .45635 .69876 .45023 .707 .44773 .70383 .45385 Metetra
.243 0 0 r
.70383 .45385 .707 .44773 .71526 .44477 .71211 .45089 Metetra
.218 0 0 r
.71211 .45089 .71526 .44477 .72354 .44133 .72042 .44745 Metetra
.191 0 0 r
.72042 .44745 .72354 .44133 .73184 .4374 .72874 .44351 Metetra
.164 0 0 r
.72874 .44351 .73184 .4374 .74016 .43296 .73708 .43906 Metetra
.135 0 0 r
.73708 .43906 .74016 .43296 .74849 .428 .74544 .43409 Metetra
.105 0 0 r
.74544 .43409 .74849 .428 .75684 .4225 .75382 .42858 Metetra
.075 0 0 r
.75382 .42858 .75684 .4225 .76521 .41645 .76221 .42252 Metetra
.043 0 0 r
.76221 .42252 .76521 .41645 .7736 .40984 .77062 .4159 Metetra
.011 0 0 r
.77062 .4159 .7736 .40984 .782 .40265 .77905 .40869 Metetra
.897 .987 .774 r
.0353 .76835 .04016 .7617 .04706 .74066 .04221 .74725 Metetra
.89 .99 .775 r
.04221 .74725 .04706 .74066 .05395 .72024 .04912 .72676 Metetra
.881 .992 .776 r
.04912 .72676 .05395 .72024 .06084 .70042 .05603 .70689 Metetra
.871 .995 .777 r
.05603 .70689 .06084 .70042 .06773 .68122 .06294 .68763 Metetra
.86 .996 .777 r
.06294 .68763 .06773 .68122 .07461 .66263 .06984 .66899 Metetra
.848 .997 .776 r
.06984 .66899 .07461 .66263 .0815 .64465 .07674 .65096 Metetra
.835 .998 .775 r
.07674 .65096 .0815 .64465 .08839 .62727 .08365 .63353 Metetra
.819 .997 .773 r
.08365 .63353 .08839 .62727 .09527 .6105 .09055 .61671 Metetra
.802 .995 .77 r
.09055 .61671 .09527 .6105 .10216 .59432 .09745 .60049 Metetra
.783 .992 .767 r
.09745 .60049 .10216 .59432 .10904 .57875 .10436 .58487 Metetra
.762 .988 .762 r
.10436 .58487 .10904 .57875 .11593 .56376 .11126 .56985 Metetra
.738 .982 .756 r
.11126 .56985 .11593 .56376 .12282 .54937 .11817 .55542 Metetra
.712 .974 .748 r
.11817 .55542 .12282 .54937 .12971 .53557 .12508 .54158 Metetra
.684 .964 .739 r
.12508 .54158 .12971 .53557 .1366 .52234 .13199 .52832 Metetra
.652 .951 .727 r
.13199 .52832 .1366 .52234 .1435 .5097 .1389 .51564 Metetra
.619 .936 .714 r
.1389 .51564 .1435 .5097 .15041 .49762 .14582 .50353 Metetra
.582 .918 .699 r
.14582 .50353 .15041 .49762 .15731 .48612 .15275 .49199 Metetra
.543 .898 .682 r
.15275 .49199 .15731 .48612 .16422 .47517 .15968 .48102 Metetra
.501 .874 .663 r
.15968 .48102 .16422 .47517 .17114 .46478 .16661 .4706 Metetra
.457 .848 .641 r
.16661 .4706 .17114 .46478 .17807 .45493 .17355 .46073 Metetra
.411 .819 .617 r
.17355 .46073 .17807 .45493 .185 .44563 .1805 .45141 Metetra
.1805 .45141 .185 .44563 .19193 .43686 .18745 .44262 Metetra
.18745 .44262 .19193 .43686 .19888 .42862 .19442 .43436 Metetra
.19442 .43436 .19888 .42862 .20583 .4209 .20139 .42662 Metetra
.20139 .42662 .20583 .4209 .2128 .41369 .20837 .4194 Metetra
.20837 .4194 .2128 .41369 .21977 .40699 .21536 .41268 Metetra
.21536 .41268 .21977 .40699 .22675 .40078 .22235 .40646 Metetra
.22235 .40646 .22675 .40078 .23374 .39506 .22936 .40073 Metetra
.22936 .40073 .23374 .39506 .24075 .38982 .23638 .39547 Metetra
.02 0 0 r
.23638 .39547 .24075 .38982 .24776 .38505 .24342 .39069 Metetra
.062 0 0 r
.24342 .39069 .24776 .38505 .25479 .38073 .25046 .38637 Metetra
.102 0 0 r
.25046 .38637 .25479 .38073 .26183 .37686 .25752 .3825 Metetra
.14 0 0 r
.25752 .3825 .26183 .37686 .26888 .37344 .26458 .37907 Metetra
.176 0 0 r
.26458 .37907 .26888 .37344 .27595 .37044 .27167 .37606 Metetra
.209 0 0 r
.27167 .37606 .27595 .37044 .28303 .36785 .27876 .37348 Metetra
.241 0 0 r
.27876 .37348 .28303 .36785 .29012 .36568 .28588 .3713 Metetra
.27 0 0 r
.28588 .3713 .29012 .36568 .29723 .36389 .293 .36952 Metetra
.297 0 0 r
.293 .36952 .29723 .36389 .30436 .3625 .30014 .36813 Metetra
.321 0 0 r
.30014 .36813 .30436 .3625 .3115 .36147 .3073 .36711 Metetra
.345 0 0 r
.3073 .36711 .3115 .36147 .31866 .3608 .31448 .36644 Metetra
.366 0 0 r
.31448 .36644 .31866 .3608 .32583 .36048 .32167 .36613 Metetra
.386 0 0 r
.32167 .36613 .32583 .36048 .33302 .36049 .32888 .36615 Metetra
.404 0 0 r
.32888 .36615 .33302 .36049 .34023 .36082 .3361 .36649 Metetra
.42 0 0 r
.3361 .36649 .34023 .36082 .34746 .36146 .34335 .36714 Metetra
.436 0 0 r
.34335 .36714 .34746 .36146 .3547 .3624 .35061 .36809 Metetra
.45 0 0 r
.35061 .36809 .3547 .3624 .36197 .36361 .35789 .36931 Metetra
.462 0 0 r
.35789 .36931 .36197 .36361 .36925 .3651 .36519 .37081 Metetra
.474 0 0 r
.36519 .37081 .36925 .3651 .37655 .36683 .37251 .37256 Metetra
.485 0 .004 r
.37251 .37256 .37655 .36683 .38388 .3688 .37985 .37454 Metetra
.494 0 .012 r
.37985 .37454 .38388 .3688 .39122 .371 .38722 .37675 Metetra
.503 .01 .02 r
.38722 .37675 .39122 .371 .39859 .3734 .3946 .37917 Metetra
.511 .019 .026 r
.3946 .37917 .39859 .3734 .40597 .376 .402 .38179 Metetra
.517 .028 .032 r
.402 .38179 .40597 .376 .41338 .37877 .40943 .38458 Metetra
.524 .035 .037 r
.40943 .38458 .41338 .37877 .42081 .38171 .41687 .38753 Metetra
.529 .041 .042 r
.41687 .38753 .42081 .38171 .42826 .38479 .42434 .39063 Metetra
.534 .047 .046 r
.42434 .39063 .42826 .38479 .43573 .388 .43183 .39387 Metetra
.538 .051 .049 r
.43183 .39387 .43573 .388 .44323 .39133 .43935 .39721 Metetra
.541 .055 .052 r
.43935 .39721 .44323 .39133 .45075 .39475 .44689 .40066 Metetra
.543 .058 .054 r
.44689 .40066 .45075 .39475 .45829 .39826 .45445 .40419 Metetra
.545 .061 .056 r
.45445 .40419 .45829 .39826 .46585 .40184 .46203 .40778 Metetra
.547 .062 .057 r
.46203 .40778 .46585 .40184 .47344 .40546 .46964 .41142 Metetra
.548 .063 .057 r
.46964 .41142 .47344 .40546 .48105 .40911 .47727 .4151 Metetra
.548 .063 .058 r
.47727 .4151 .48105 .40911 .48869 .41278 .48492 .41879 Metetra
.547 .063 .057 r
.48492 .41879 .48869 .41278 .49635 .41645 .4926 .42248 Metetra
.546 .061 .056 r
.4926 .42248 .49635 .41645 .50403 .42009 .5003 .42615 Metetra
.544 .059 .055 r
.5003 .42615 .50403 .42009 .51174 .4237 .50803 .42978 Metetra
.542 .057 .053 r
.50803 .42978 .51174 .4237 .51947 .42726 .51578 .43336 Metetra
.539 .053 .051 r
.51578 .43336 .51947 .42726 .52722 .43075 .52355 .43686 Metetra
.536 .049 .048 r
.52355 .43686 .52722 .43075 .535 .43414 .53135 .44028 Metetra
.531 .044 .045 r
.53135 .44028 .535 .43414 .54281 .43743 .53918 .44359 Metetra
.527 .039 .041 r
.53918 .44359 .54281 .43743 .55063 .4406 .54702 .44677 Metetra
.521 .032 .037 r
.54702 .44677 .55063 .4406 .55849 .44362 .5549 .44981 Metetra
.515 .025 .032 r
.5549 .44981 .55849 .44362 .56636 .44648 .56279 .4527 Metetra
.508 .018 .027 r
.56279 .4527 .56636 .44648 .57426 .44917 .57071 .4554 Metetra
.5 .009 .021 r
.57071 .4554 .57426 .44917 .58219 .45166 .57866 .45791 Metetra
.492 0 .015 r
.57866 .45791 .58219 .45166 .59014 .45394 .58663 .46021 Metetra
.483 0 .008 r
.58663 .46021 .59014 .45394 .59811 .45599 .59462 .46227 Metetra
.473 0 .001 r
.59462 .46227 .59811 .45599 .6061 .45779 .60264 .46409 Metetra
.462 0 0 r
.60264 .46409 .6061 .45779 .61412 .45933 .61068 .46564 Metetra
.451 0 0 r
.61068 .46564 .61412 .45933 .62217 .46058 .61875 .46691 Metetra
.438 0 0 r
.61875 .46691 .62217 .46058 .63023 .46154 .62683 .46788 Metetra
.424 0 0 r
.62683 .46788 .63023 .46154 .63832 .46217 .63495 .46853 Metetra
.41 0 0 r
.63495 .46853 .63832 .46217 .64643 .46248 .64308 .46884 Metetra
.394 0 0 r
.64308 .46884 .64643 .46248 .65457 .46243 .65124 .4688 Metetra
.378 0 0 r
.65124 .4688 .65457 .46243 .66273 .46202 .65942 .4684 Metetra
.36 0 0 r
.65942 .4684 .66273 .46202 .6709 .46122 .66762 .4676 Metetra
.341 0 0 r
.66762 .4676 .6709 .46122 .6791 .46002 .67584 .46641 Metetra
.321 0 0 r
.67584 .46641 .6791 .46002 .68733 .4584 .68409 .4648 Metetra
.3 0 0 r
.68409 .4648 .68733 .4584 .69557 .45635 .69235 .46275 Metetra
.278 0 0 r
.69235 .46275 .69557 .45635 .70383 .45385 .70064 .46025 Metetra
.254 0 0 r
.70064 .46025 .70383 .45385 .71211 .45089 .70895 .45729 Metetra
.23 0 0 r
.70895 .45729 .71211 .45089 .72042 .44745 .71727 .45384 Metetra
.204 0 0 r
.71727 .45384 .72042 .44745 .72874 .44351 .72562 .4499 Metetra
.177 0 0 r
.72562 .4499 .72874 .44351 .73708 .43906 .73398 .44545 Metetra
.149 0 0 r
.73398 .44545 .73708 .43906 .74544 .43409 .74237 .44047 Metetra
.12 0 0 r
.74237 .44047 .74544 .43409 .75382 .42858 .75077 .43495 Metetra
.09 0 0 r
.75077 .43495 .75382 .42858 .76221 .42252 .75919 .42888 Metetra
.059 0 0 r
.75919 .42888 .76221 .42252 .77062 .4159 .76762 .42224 Metetra
.027 0 0 r
.76762 .42224 .77062 .4159 .77905 .40869 .77608 .41502 Metetra
.895 .988 .77 r
.0304 .77524 .0353 .76835 .04221 .74725 .03733 .75408 Metetra
.887 .991 .771 r
.03733 .75408 .04221 .74725 .04912 .72676 .04426 .73354 Metetra
.878 .993 .771 r
.04426 .73354 .04912 .72676 .05603 .70689 .05119 .71361 Metetra
.868 .995 .771 r
.05119 .71361 .05603 .70689 .06294 .68763 .05811 .6943 Metetra
.857 .996 .771 r
.05811 .6943 .06294 .68763 .06984 .66899 .06504 .6756 Metetra
.844 .997 .77 r
.06504 .6756 .06984 .66899 .07674 .65096 .07196 .65752 Metetra
.829 .997 .768 r
.07196 .65752 .07674 .65096 .08365 .63353 .07888 .64004 Metetra
.813 .996 .766 r
.07888 .64004 .08365 .63353 .09055 .61671 .0858 .62318 Metetra
.795 .993 .762 r
.0858 .62318 .09055 .61671 .09745 .60049 .09272 .60691 Metetra
.776 .99 .758 r
.09272 .60691 .09745 .60049 .10436 .58487 .09964 .59125 Metetra
.753 .984 .752 r
.09964 .59125 .10436 .58487 .11126 .56985 .10656 .57619 Metetra
.729 .977 .745 r
.10656 .57619 .11126 .56985 .11817 .55542 .11348 .56172 Metetra
.702 .968 .736 r
.11348 .56172 .11817 .55542 .12508 .54158 .12041 .54784 Metetra
.672 .957 .726 r
.12041 .54784 .12508 .54158 .13199 .52832 .12734 .53454 Metetra
.64 .943 .713 r
.12734 .53454 .13199 .52832 .1389 .51564 .13427 .52183 Metetra
.605 .927 .699 r
.13427 .52183 .1389 .51564 .14582 .50353 .14121 .50969 Metetra
.567 .908 .683 r
.14121 .50969 .14582 .50353 .15275 .49199 .14815 .49812 Metetra
.527 .886 .664 r
.14815 .49812 .15275 .49199 .15968 .48102 .1551 .48712 Metetra
.484 .861 .644 r
.1551 .48712 .15968 .48102 .16661 .4706 .16205 .47667 Metetra
.439 .834 .621 r
.16205 .47667 .16661 .4706 .17355 .46073 .16901 .46678 Metetra
.392 .803 .596 r
.16901 .46678 .17355 .46073 .1805 .45141 .17597 .45743 Metetra
.17597 .45743 .1805 .45141 .18745 .44262 .18294 .44862 Metetra
.18294 .44862 .18745 .44262 .19442 .43436 .18992 .44034 Metetra
.18992 .44034 .19442 .43436 .20139 .42662 .19691 .43259 Metetra
.19691 .43259 .20139 .42662 .20837 .4194 .20391 .42535 Metetra
.20391 .42535 .20837 .4194 .21536 .41268 .21091 .41862 Metetra
.21091 .41862 .21536 .41268 .22235 .40646 .21793 .41239 Metetra
.21793 .41239 .22235 .40646 .22936 .40073 .22495 .40664 Metetra
.22495 .40664 .22936 .40073 .23638 .39547 .23199 .40138 Metetra
.037 0 0 r
.23199 .40138 .23638 .39547 .24342 .39069 .23904 .39659 Metetra
.078 0 0 r
.23904 .39659 .24342 .39069 .25046 .38637 .2461 .39226 Metetra
.118 0 0 r
.2461 .39226 .25046 .38637 .25752 .3825 .25317 .38838 Metetra
.155 0 0 r
.25317 .38838 .25752 .3825 .26458 .37907 .26026 .38495 Metetra
.189 0 0 r
.26026 .38495 .26458 .37907 .27167 .37606 .26736 .38194 Metetra
.222 0 0 r
.26736 .38194 .27167 .37606 .27876 .37348 .27447 .37936 Metetra
.252 0 0 r
.27447 .37936 .27876 .37348 .28588 .3713 .2816 .37718 Metetra
.281 0 0 r
.2816 .37718 .28588 .3713 .293 .36952 .28874 .37541 Metetra
.307 0 0 r
.28874 .37541 .293 .36952 .30014 .36813 .2959 .37401 Metetra
.331 0 0 r
.2959 .37401 .30014 .36813 .3073 .36711 .30308 .373 Metetra
.354 0 0 r
.30308 .373 .3073 .36711 .31448 .36644 .31027 .37234 Metetra
.374 0 0 r
.31027 .37234 .31448 .36644 .32167 .36613 .31748 .37203 Metetra
.393 0 0 r
.31748 .37203 .32167 .36613 .32888 .36615 .3247 .37206 Metetra
.411 0 0 r
.3247 .37206 .32888 .36615 .3361 .36649 .33195 .37241 Metetra
.427 0 0 r
.33195 .37241 .3361 .36649 .34335 .36714 .33921 .37307 Metetra
.442 0 0 r
.33921 .37307 .34335 .36714 .35061 .36809 .34649 .37403 Metetra
.456 0 0 r
.34649 .37403 .35061 .36809 .35789 .36931 .35379 .37527 Metetra
.468 0 .001 r
.35379 .37527 .35789 .36931 .36519 .37081 .36111 .37678 Metetra
.479 0 .01 r
.36111 .37678 .36519 .37081 .37251 .37256 .36844 .37854 Metetra
.49 0 .019 r
.36844 .37854 .37251 .37256 .37985 .37454 .3758 .38054 Metetra
.499 .01 .027 r
.3758 .38054 .37985 .37454 .38722 .37675 .38318 .38277 Metetra
.507 .02 .034 r
.38318 .38277 .38722 .37675 .3946 .37917 .39058 .3852 Metetra
.515 .029 .04 r
.39058 .3852 .3946 .37917 .402 .38179 .398 .38784 Metetra
.522 .037 .046 r
.398 .38784 .402 .38179 .40943 .38458 .40545 .39064 Metetra
.528 .044 .051 r
.40545 .39064 .40943 .38458 .41687 .38753 .41291 .39362 Metetra
.533 .05 .055 r
.41291 .39362 .41687 .38753 .42434 .39063 .4204 .39674 Metetra
.537 .055 .059 r
.4204 .39674 .42434 .39063 .43183 .39387 .42791 .39999 Metetra
.541 .06 .062 r
.42791 .39999 .43183 .39387 .43935 .39721 .43544 .40336 Metetra
.544 .064 .065 r
.43544 .40336 .43935 .39721 .44689 .40066 .443 .40683 Metetra
.547 .067 .067 r
.443 .40683 .44689 .40066 .45445 .40419 .45058 .41038 Metetra
.549 .069 .069 r
.45058 .41038 .45445 .40419 .46203 .40778 .45818 .41399 Metetra
.55 .071 .07 r
.45818 .41399 .46203 .40778 .46964 .41142 .4658 .41766 Metetra
.551 .072 .07 r
.4658 .41766 .46964 .41142 .47727 .4151 .47345 .42135 Metetra
.551 .072 .071 r
.47345 .42135 .47727 .4151 .48492 .41879 .48113 .42506 Metetra
.551 .071 .07 r
.48113 .42506 .48492 .41879 .4926 .42248 .48882 .42877 Metetra
.55 .07 .069 r
.48882 .42877 .4926 .42248 .5003 .42615 .49655 .43247 Metetra
.548 .068 .068 r
.49655 .43247 .5003 .42615 .50803 .42978 .50429 .43612 Metetra
.546 .065 .066 r
.50429 .43612 .50803 .42978 .51578 .43336 .51206 .43972 Metetra
.543 .062 .064 r
.51206 .43972 .51578 .43336 .52355 .43686 .51986 .44325 Metetra
.539 .058 .061 r
.51986 .44325 .52355 .43686 .53135 .44028 .52768 .44668 Metetra
.535 .053 .058 r
.52768 .44668 .53135 .44028 .53918 .44359 .53552 .45001 Metetra
.531 .048 .054 r
.53552 .45001 .53918 .44359 .54702 .44677 .54339 .45322 Metetra
.525 .042 .05 r
.54339 .45322 .54702 .44677 .5549 .44981 .55128 .45628 Metetra
.519 .035 .046 r
.55128 .45628 .5549 .44981 .56279 .4527 .5592 .45918 Metetra
.513 .027 .041 r
.5592 .45918 .56279 .4527 .57071 .4554 .56714 .46191 Metetra
.505 .019 .035 r
.56714 .46191 .57071 .4554 .57866 .45791 .57511 .46444 Metetra
.497 .01 .029 r
.57511 .46444 .57866 .45791 .58663 .46021 .5831 .46675 Metetra
.488 0 .022 r
.5831 .46675 .58663 .46021 .59462 .46227 .59111 .46883 Metetra
.478 0 .015 r
.59111 .46883 .59462 .46227 .60264 .46409 .59915 .47067 Metetra
.468 0 .008 r
.59915 .47067 .60264 .46409 .61068 .46564 .60722 .47223 Metetra
.456 0 0 r
.60722 .47223 .61068 .46564 .61875 .46691 .6153 .47352 Metetra
.444 0 0 r
.6153 .47352 .61875 .46691 .62683 .46788 .62341 .4745 Metetra
.431 0 0 r
.62341 .4745 .62683 .46788 .63495 .46853 .63155 .47516 Metetra
.417 0 0 r
.63155 .47516 .63495 .46853 .64308 .46884 .6397 .47548 Metetra
.402 0 0 r
.6397 .47548 .64308 .46884 .65124 .4688 .64788 .47545 Metetra
.385 0 0 r
.64788 .47545 .65124 .4688 .65942 .4684 .65609 .47506 Metetra
.368 0 0 r
.65609 .47506 .65942 .4684 .66762 .4676 .66431 .47427 Metetra
.35 0 0 r
.66431 .47427 .66762 .4676 .67584 .46641 .67256 .47308 Metetra
.33 0 0 r
.67256 .47308 .67584 .46641 .68409 .4648 .68083 .47147 Metetra
.31 0 0 r
.68083 .47147 .68409 .4648 .69235 .46275 .68912 .46943 Metetra
.288 0 0 r
.68912 .46943 .69235 .46275 .70064 .46025 .69743 .46693 Metetra
.265 0 0 r
.69743 .46693 .70064 .46025 .70895 .45729 .70576 .46397 Metetra
.241 0 0 r
.70576 .46397 .70895 .45729 .71727 .45384 .71411 .46052 Metetra
.216 0 0 r
.71411 .46052 .71727 .45384 .72562 .4499 .72248 .45657 Metetra
.19 0 0 r
.72248 .45657 .72562 .4499 .73398 .44545 .73087 .45211 Metetra
.162 0 0 r
.73087 .45211 .73398 .44545 .74237 .44047 .73928 .44712 Metetra
.134 0 0 r
.73928 .44712 .74237 .44047 .75077 .43495 .7477 .44159 Metetra
.104 0 0 r
.7477 .44159 .75077 .43495 .75919 .42888 .75615 .43551 Metetra
.074 0 0 r
.75615 .43551 .75919 .42888 .76762 .42224 .76461 .42885 Metetra
.043 0 0 r
.76461 .42885 .76762 .42224 .77608 .41502 .77309 .42162 Metetra
.893 .989 .766 r
.02547 .78239 .0304 .77524 .03733 .75408 .03242 .76117 Metetra
.885 .991 .766 r
.03242 .76117 .03733 .75408 .04426 .73354 .03937 .74057 Metetra
.875 .993 .766 r
.03937 .74057 .04426 .73354 .05119 .71361 .04631 .72058 Metetra
.865 .995 .766 r
.04631 .72058 .05119 .71361 .05811 .6943 .05326 .70122 Metetra
.853 .996 .765 r
.05326 .70122 .05811 .6943 .06504 .6756 .0602 .68247 Metetra
.839 .996 .763 r
.0602 .68247 .06504 .6756 .07196 .65752 .06714 .66433 Metetra
.824 .996 .761 r
.06714 .66433 .07196 .65752 .07888 .64004 .07407 .64681 Metetra
.807 .994 .758 r
.07407 .64681 .07888 .64004 .0858 .62318 .08101 .62989 Metetra
.789 .991 .754 r
.08101 .62989 .0858 .62318 .09272 .60691 .08795 .61359 Metetra
.768 .986 .748 r
.08795 .61359 .09272 .60691 .09964 .59125 .09489 .59788 Metetra
.745 .98 .742 r
.09489 .59788 .09964 .59125 .10656 .57619 .10183 .58278 Metetra
.719 .972 .734 r
.10183 .58278 .10656 .57619 .11348 .56172 .10877 .56827 Metetra
.691 .962 .724 r
.10877 .56827 .11348 .56172 .12041 .54784 .11571 .55435 Metetra
.66 .95 .712 r
.11571 .55435 .12041 .54784 .12734 .53454 .12266 .54102 Metetra
.627 .935 .699 r
.12266 .54102 .12734 .53454 .13427 .52183 .12961 .52827 Metetra
.591 .917 .683 r
.12961 .52827 .13427 .52183 .14121 .50969 .13656 .5161 Metetra
.552 .897 .666 r
.13656 .5161 .14121 .50969 .14815 .49812 .14352 .5045 Metetra
.511 .874 .646 r
.14352 .5045 .14815 .49812 .1551 .48712 .15049 .49347 Metetra
.467 .848 .625 r
.15049 .49347 .1551 .48712 .16205 .47667 .15745 .483 Metetra
.421 .819 .601 r
.15745 .483 .16205 .47667 .16901 .46678 .16443 .47308 Metetra
.16443 .47308 .16901 .46678 .17597 .45743 .17141 .46371 Metetra
.17141 .46371 .17597 .45743 .18294 .44862 .1784 .45488 Metetra
.1784 .45488 .18294 .44862 .18992 .44034 .1854 .44658 Metetra
.1854 .44658 .18992 .44034 .19691 .43259 .1924 .43881 Metetra
.1924 .43881 .19691 .43259 .20391 .42535 .19941 .43156 Metetra
.19941 .43156 .20391 .42535 .21091 .41862 .20644 .42481 Metetra
.20644 .42481 .21091 .41862 .21793 .41239 .21347 .41856 Metetra
.21347 .41856 .21793 .41239 .22495 .40664 .22051 .41281 Metetra
.01 0 0 r
.22051 .41281 .22495 .40664 .23199 .40138 .22757 .40754 Metetra
.053 0 0 r
.22757 .40754 .23199 .40138 .23904 .39659 .23463 .40274 Metetra
.094 0 0 r
.23463 .40274 .23904 .39659 .2461 .39226 .24171 .3984 Metetra
.132 0 0 r
.24171 .3984 .2461 .39226 .25317 .38838 .2488 .39452 Metetra
.168 0 0 r
.2488 .39452 .25317 .38838 .26026 .38495 .2559 .39109 Metetra
.202 0 0 r
.2559 .39109 .26026 .38495 .26736 .38194 .26302 .38808 Metetra
.234 0 0 r
.26302 .38808 .26736 .38194 .27447 .37936 .27015 .38549 Metetra
.263 0 0 r
.27015 .38549 .27447 .37936 .2816 .37718 .2773 .38332 Metetra
.291 0 0 r
.2773 .38332 .2816 .37718 .28874 .37541 .28446 .38154 Metetra
.316 0 0 r
.28446 .38154 .28874 .37541 .2959 .37401 .29163 .38016 Metetra
.34 0 0 r
.29163 .38016 .2959 .37401 .30308 .373 .29882 .37914 Metetra
.362 0 0 r
.29882 .37914 .30308 .373 .31027 .37234 .30603 .37849 Metetra
.382 0 0 r
.30603 .37849 .31027 .37234 .31748 .37203 .31326 .37819 Metetra
.401 0 0 r
.31326 .37819 .31748 .37203 .3247 .37206 .3205 .37823 Metetra
.418 0 0 r
.3205 .37823 .3247 .37206 .33195 .37241 .32776 .37859 Metetra
.434 0 0 r
.32776 .37859 .33195 .37241 .33921 .37307 .33504 .37926 Metetra
.448 0 0 r
.33504 .37926 .33921 .37307 .34649 .37403 .34234 .38023 Metetra
.461 0 .006 r
.34234 .38023 .34649 .37403 .35379 .37527 .34965 .38149 Metetra
.473 0 .016 r
.34965 .38149 .35379 .37527 .36111 .37678 .35699 .38301 Metetra
.484 0 .025 r
.35699 .38301 .36111 .37678 .36844 .37854 .36435 .38478 Metetra
.494 .009 .033 r
.36435 .38478 .36844 .37854 .3758 .38054 .37172 .3868 Metetra
.503 .02 .041 r
.37172 .3868 .3758 .38054 .38318 .38277 .37912 .38904 Metetra
.512 .029 .048 r
.37912 .38904 .38318 .38277 .39058 .3852 .38654 .3915 Metetra
.519 .038 .054 r
.38654 .3915 .39058 .3852 .398 .38784 .39398 .39415 Metetra
.526 .046 .059 r
.39398 .39415 .398 .38784 .40545 .39064 .40144 .39697 Metetra
.531 .053 .064 r
.40144 .39697 .40545 .39064 .41291 .39362 .40892 .39997 Metetra
.537 .059 .068 r
.40892 .39997 .41291 .39362 .4204 .39674 .41643 .40311 Metetra
.541 .064 .072 r
.41643 .40311 .4204 .39674 .42791 .39999 .42396 .40638 Metetra
.545 .068 .075 r
.42396 .40638 .42791 .39999 .43544 .40336 .43151 .40977 Metetra
.548 .072 .078 r
.43151 .40977 .43544 .40336 .443 .40683 .43908 .41326 Metetra
.55 .075 .08 r
.43908 .41326 .443 .40683 .45058 .41038 .44668 .41683 Metetra
.552 .077 .081 r
.44668 .41683 .45058 .41038 .45818 .41399 .4543 .42047 Metetra
.554 .079 .082 r
.4543 .42047 .45818 .41399 .4658 .41766 .46195 .42415 Metetra
.554 .08 .083 r
.46195 .42415 .4658 .41766 .47345 .42135 .46961 .42787 Metetra
.554 .08 .083 r
.46961 .42787 .47345 .42135 .48113 .42506 .47731 .43161 Metetra
.554 .079 .083 r
.47731 .43161 .48113 .42506 .48882 .42877 .48502 .43534 Metetra
.553 .078 .082 r
.48502 .43534 .48882 .42877 .49655 .43247 .49277 .43905 Metetra
.551 .076 .081 r
.49277 .43905 .49655 .43247 .50429 .43612 .50053 .44273 Metetra
.549 .074 .079 r
.50053 .44273 .50429 .43612 .51206 .43972 .50832 .44635 Metetra
.546 .07 .077 r
.50832 .44635 .51206 .43972 .51986 .44325 .51614 .4499 Metetra
.543 .066 .074 r
.51614 .4499 .51986 .44325 .52768 .44668 .52398 .45336 Metetra
.539 .062 .071 r
.52398 .45336 .52768 .44668 .53552 .45001 .53184 .45671 Metetra
.534 .056 .067 r
.53184 .45671 .53552 .45001 .54339 .45322 .53973 .45994 Metetra
.529 .05 .063 r
.53973 .45994 .54339 .45322 .55128 .45628 .54764 .46302 Metetra
.523 .044 .059 r
.54764 .46302 .55128 .45628 .5592 .45918 .55558 .46595 Metetra
.517 .036 .054 r
.55558 .46595 .5592 .45918 .56714 .46191 .56355 .46869 Metetra
.509 .028 .049 r
.56355 .46869 .56714 .46191 .57511 .46444 .57153 .47124 Metetra
.501 .019 .043 r
.57153 .47124 .57511 .46444 .5831 .46675 .57955 .47357 Metetra
.493 .01 .037 r
.57955 .47357 .5831 .46675 .59111 .46883 .58758 .47567 Metetra
.483 0 .03 r
.58758 .47567 .59111 .46883 .59915 .47067 .59564 .47752 Metetra
.473 0 .023 r
.59564 .47752 .59915 .47067 .60722 .47223 .60373 .4791 Metetra
.462 0 .015 r
.60373 .4791 .60722 .47223 .6153 .47352 .61184 .4804 Metetra
.45 0 .007 r
.61184 .4804 .6153 .47352 .62341 .4745 .61997 .48139 Metetra
.437 0 0 r
.61997 .48139 .62341 .4745 .63155 .47516 .62813 .48207 Metetra
.423 0 0 r
.62813 .48207 .63155 .47516 .6397 .47548 .63631 .4824 Metetra
.408 0 0 r
.63631 .4824 .6397 .47548 .64788 .47545 .64451 .48239 Metetra
.393 0 0 r
.64451 .48239 .64788 .47545 .65609 .47506 .65274 .482 Metetra
.376 0 0 r
.65274 .482 .65609 .47506 .66431 .47427 .66098 .48122 Metetra
.358 0 0 r
.66098 .48122 .66431 .47427 .67256 .47308 .66925 .48004 Metetra
.339 0 0 r
.66925 .48004 .67256 .47308 .68083 .47147 .67755 .47843 Metetra
.319 0 0 r
.67755 .47843 .68083 .47147 .68912 .46943 .68586 .47639 Metetra
.298 0 0 r
.68586 .47639 .68912 .46943 .69743 .46693 .69419 .47389 Metetra
.275 0 0 r
.69419 .47389 .69743 .46693 .70576 .46397 .70255 .47093 Metetra
.252 0 0 r
.70255 .47093 .70576 .46397 .71411 .46052 .71092 .46748 Metetra
.227 0 0 r
.71092 .46748 .71411 .46052 .72248 .45657 .71932 .46353 Metetra
.202 0 0 r
.71932 .46353 .72248 .45657 .73087 .45211 .72773 .45906 Metetra
.175 0 0 r
.72773 .45906 .73087 .45211 .73928 .44712 .73617 .45406 Metetra
.147 0 0 r
.73617 .45406 .73928 .44712 .7477 .44159 .74462 .44853 Metetra
.118 0 0 r
.74462 .44853 .7477 .44159 .75615 .43551 .75309 .44243 Metetra
.088 0 0 r
.75309 .44243 .75615 .43551 .76461 .42885 .76158 .43576 Metetra
.058 0 0 r
.76158 .43576 .76461 .42885 .77309 .42162 .77008 .4285 Metetra
.891 .99 .761 r
.0205 .7898 .02547 .78239 .03242 .76117 .02747 .76852 Metetra
.882 .992 .761 r
.02747 .76852 .03242 .76117 .03937 .74057 .03444 .74786 Metetra
.872 .994 .761 r
.03444 .74786 .03937 .74057 .04631 .72058 .0414 .72782 Metetra
.861 .995 .76 r
.0414 .72782 .04631 .72058 .05326 .70122 .04836 .70839 Metetra
.848 .995 .759 r
.04836 .70839 .05326 .70122 .0602 .68247 .05532 .68959 Metetra
.834 .995 .756 r
.05532 .68959 .0602 .68247 .06714 .66433 .06228 .6714 Metetra
.818 .994 .753 r
.06228 .6714 .06714 .66433 .07407 .64681 .06924 .65383 Metetra
.801 .992 .75 r
.06924 .65383 .07407 .64681 .08101 .62989 .07619 .63687 Metetra
.781 .988 .745 r
.07619 .63687 .08101 .62989 .08795 .61359 .08315 .62051 Metetra
.759 .983 .738 r
.08315 .62051 .08795 .61359 .09489 .59788 .09011 .60477 Metetra
.735 .976 .731 r
.09011 .60477 .09489 .59788 .10183 .58278 .09706 .58962 Metetra
.709 .967 .722 r
.09706 .58962 .10183 .58278 .10877 .56827 .10402 .57507 Metetra
.68 .955 .711 r
.10402 .57507 .10877 .56827 .11571 .55435 .11098 .56112 Metetra
.648 .942 .698 r
.11098 .56112 .11571 .55435 .12266 .54102 .11795 .54775 Metetra
.613 .926 .684 r
.11795 .54775 .12266 .54102 .12961 .52827 .12492 .53497 Metetra
.576 .907 .667 r
.12492 .53497 .12961 .52827 .13656 .5161 .13189 .52277 Metetra
.536 .885 .649 r
.13189 .52277 .13656 .5161 .14352 .5045 .13886 .51114 Metetra
.494 .861 .628 r
.13886 .51114 .14352 .5045 .15049 .49347 .14584 .50008 Metetra
.45 .833 .605 r
.14584 .50008 .15049 .49347 .15745 .483 .15283 .48958 Metetra
.15283 .48958 .15745 .483 .16443 .47308 .15982 .47964 Metetra
.15982 .47964 .16443 .47308 .17141 .46371 .16682 .47024 Metetra
.16682 .47024 .17141 .46371 .1784 .45488 .17383 .46139 Metetra
.17383 .46139 .1784 .45488 .1854 .44658 .18084 .45308 Metetra
.18084 .45308 .1854 .44658 .1924 .43881 .18786 .44529 Metetra
.18786 .44529 .1924 .43881 .19941 .43156 .19489 .43802 Metetra
.19489 .43802 .19941 .43156 .20644 .42481 .20193 .43125 Metetra
.20193 .43125 .20644 .42481 .21347 .41856 .20898 .425 Metetra
.20898 .425 .21347 .41856 .22051 .41281 .21604 .41923 Metetra
.027 0 0 r
.21604 .41923 .22051 .41281 .22757 .40754 .22311 .41395 Metetra
.069 0 0 r
.22311 .41395 .22757 .40754 .23463 .40274 .2302 .40915 Metetra
.108 0 0 r
.2302 .40915 .23463 .40274 .24171 .3984 .23729 .40481 Metetra
.146 0 0 r
.23729 .40481 .24171 .3984 .2488 .39452 .2444 .40092 Metetra
.181 0 0 r
.2444 .40092 .2488 .39452 .2559 .39109 .25152 .39748 Metetra
.214 0 0 r
.25152 .39748 .2559 .39109 .26302 .38808 .25865 .39447 Metetra
.245 0 0 r
.25865 .39447 .26302 .38808 .27015 .38549 .2658 .39189 Metetra
.274 0 0 r
.2658 .39189 .27015 .38549 .2773 .38332 .27296 .38971 Metetra
.301 0 0 r
.27296 .38971 .2773 .38332 .28446 .38154 .28014 .38794 Metetra
.326 0 0 r
.28014 .38794 .28446 .38154 .29163 .38016 .28733 .38656 Metetra
.349 0 0 r
.28733 .38656 .29163 .38016 .29882 .37914 .29454 .38555 Metetra
.37 0 0 r
.29454 .38555 .29882 .37914 .30603 .37849 .30177 .3849 Metetra
.39 0 0 r
.30177 .3849 .30603 .37849 .31326 .37819 .30901 .38461 Metetra
.408 0 0 r
.30901 .38461 .31326 .37819 .3205 .37823 .31627 .38466 Metetra
.424 0 0 r
.31627 .38466 .3205 .37823 .32776 .37859 .32355 .38503 Metetra
.44 0 0 r
.32355 .38503 .32776 .37859 .33504 .37926 .33084 .38571 Metetra
.454 0 .01 r
.33084 .38571 .33504 .37926 .34234 .38023 .33816 .3867 Metetra
.467 0 .02 r
.33816 .3867 .34234 .38023 .34965 .38149 .34549 .38796 Metetra
.478 0 .03 r
.34549 .38796 .34965 .38149 .35699 .38301 .35285 .3895 Metetra
.489 .008 .039 r
.35285 .3895 .35699 .38301 .36435 .38478 .36022 .39129 Metetra
.499 .019 .047 r
.36022 .39129 .36435 .38478 .37172 .3868 .36762 .39332 Metetra
.508 .029 .054 r
.36762 .39332 .37172 .3868 .37912 .38904 .37503 .39558 Metetra
.516 .039 .061 r
.37503 .39558 .37912 .38904 .38654 .3915 .38247 .39806 Metetra
.523 .047 .067 r
.38247 .39806 .38654 .3915 .39398 .39415 .38993 .40072 Metetra
.529 .054 .072 r
.38993 .40072 .39398 .39415 .40144 .39697 .39741 .40357 Metetra
.535 .061 .077 r
.39741 .40357 .40144 .39697 .40892 .39997 .40491 .40658 Metetra
.54 .067 .081 r
.40491 .40658 .40892 .39997 .41643 .40311 .41243 .40974 Metetra
.544 .072 .084 r
.41243 .40974 .41643 .40311 .42396 .40638 .41998 .41304 Metetra
.548 .076 .087 r
.41998 .41304 .42396 .40638 .43151 .40977 .42755 .41645 Metetra
.551 .08 .09 r
.42755 .41645 .43151 .40977 .43908 .41326 .43514 .41996 Metetra
.553 .083 .092 r
.43514 .41996 .43908 .41326 .44668 .41683 .44276 .42355 Metetra
.555 .085 .093 r
.44276 .42355 .44668 .41683 .4543 .42047 .4504 .42721 Metetra
.557 .087 .094 r
.4504 .42721 .4543 .42047 .46195 .42415 .45806 .43092 Metetra
.557 .087 .095 r
.45806 .43092 .46195 .42415 .46961 .42787 .46575 .43466 Metetra
.557 .088 .095 r
.46575 .43466 .46961 .42787 .47731 .43161 .47346 .43842 Metetra
.557 .087 .095 r
.47346 .43842 .47731 .43161 .48502 .43534 .4812 .44218 Metetra
.556 .086 .094 r
.4812 .44218 .48502 .43534 .49277 .43905 .48896 .44591 Metetra
.554 .084 .093 r
.48896 .44591 .49277 .43905 .50053 .44273 .49675 .44961 Metetra
.552 .081 .091 r
.49675 .44961 .50053 .44273 .50832 .44635 .50456 .45326 Metetra
.549 .078 .089 r
.50456 .45326 .50832 .44635 .51614 .4499 .51239 .45683 Metetra
.546 .075 .086 r
.51239 .45683 .51614 .4499 .52398 .45336 .52025 .46031 Metetra
.542 .07 .083 r
.52025 .46031 .52398 .45336 .53184 .45671 .52814 .46369 Metetra
.538 .065 .08 r
.52814 .46369 .53184 .45671 .53973 .45994 .53605 .46694 Metetra
.533 .059 .076 r
.53605 .46694 .53973 .45994 .54764 .46302 .54398 .47004 Metetra
.527 .052 .072 r
.54398 .47004 .54764 .46302 .55558 .46595 .55194 .47298 Metetra
.521 .045 .067 r
.55194 .47298 .55558 .46595 .56355 .46869 .55993 .47575 Metetra
.514 .037 .062 r
.55993 .47575 .56355 .46869 .57153 .47124 .56794 .47832 Metetra
.506 .029 .056 r
.56794 .47832 .57153 .47124 .57955 .47357 .57597 .48067 Metetra
.497 .019 .05 r
.57597 .48067 .57955 .47357 .58758 .47567 .58403 .48278 Metetra
.488 .009 .044 r
.58403 .48278 .58758 .47567 .59564 .47752 .59211 .48465 Metetra
.478 0 .037 r
.59211 .48465 .59564 .47752 .60373 .4791 .60022 .48625 Metetra
.467 0 .029 r
.60022 .48625 .60373 .4791 .61184 .4804 .60835 .48756 Metetra
.455 0 .021 r
.60835 .48756 .61184 .4804 .61997 .48139 .61651 .48857 Metetra
.443 0 .013 r
.61651 .48857 .61997 .48139 .62813 .48207 .62468 .48926 Metetra
.429 0 .004 r
.62468 .48926 .62813 .48207 .63631 .4824 .63289 .48961 Metetra
.415 0 0 r
.63289 .48961 .63631 .4824 .64451 .48239 .64111 .4896 Metetra
.4 0 0 r
.64111 .4896 .64451 .48239 .65274 .482 .64936 .48922 Metetra
.383 0 0 r
.64936 .48922 .65274 .482 .66098 .48122 .65763 .48845 Metetra
.366 0 0 r
.65763 .48845 .66098 .48122 .66925 .48004 .66593 .48727 Metetra
.347 0 0 r
.66593 .48727 .66925 .48004 .67755 .47843 .67424 .48567 Metetra
.328 0 0 r
.67424 .48567 .67755 .47843 .68586 .47639 .68258 .48363 Metetra
.307 0 0 r
.68258 .48363 .68586 .47639 .69419 .47389 .69094 .48114 Metetra
.285 0 0 r
.69094 .48114 .69419 .47389 .70255 .47093 .69932 .47817 Metetra
.262 0 0 r
.69932 .47817 .70255 .47093 .71092 .46748 .70772 .47472 Metetra
.238 0 0 r
.70772 .47472 .71092 .46748 .71932 .46353 .71614 .47077 Metetra
.213 0 0 r
.71614 .47077 .71932 .46353 .72773 .45906 .72458 .4663 Metetra
.187 0 0 r
.72458 .4663 .72773 .45906 .73617 .45406 .73304 .46129 Metetra
.16 0 0 r
.73304 .46129 .73617 .45406 .74462 .44853 .74151 .45574 Metetra
.131 0 0 r
.74151 .45574 .74462 .44853 .75309 .44243 .75001 .44963 Metetra
.102 0 0 r
.75001 .44963 .75309 .44243 .76158 .43576 .75852 .44295 Metetra
.072 0 0 r
.75852 .44295 .76158 .43576 .77008 .4285 .76705 .43568 Metetra
.888 .99 .756 r
.0155 .79747 .0205 .7898 .02747 .76852 .02249 .77613 Metetra
.879 .992 .756 r
.02249 .77613 .02747 .76852 .03444 .74786 .02948 .7554 Metetra
.868 .994 .755 r
.02948 .7554 .03444 .74786 .0414 .72782 .03646 .73531 Metetra
.857 .994 .754 r
.03646 .73531 .0414 .72782 .04836 .70839 .04344 .71583 Metetra
.843 .995 .752 r
.04344 .71583 .04836 .70839 .05532 .68959 .05042 .69697 Metetra
.829 .994 .749 r
.05042 .69697 .05532 .68959 .06228 .6714 .05739 .67873 Metetra
.812 .992 .746 r
.05739 .67873 .06228 .6714 .06924 .65383 .06437 .66111 Metetra
.794 .989 .741 r
.06437 .66111 .06924 .65383 .07619 .63687 .07134 .6441 Metetra
.773 .984 .735 r
.07134 .6441 .07619 .63687 .08315 .62051 .07831 .6277 Metetra
.751 .978 .728 r
.07831 .6277 .08315 .62051 .09011 .60477 .08529 .61191 Metetra
.726 .97 .72 r
.08529 .61191 .09011 .60477 .09706 .58962 .09226 .59672 Metetra
.698 .96 .71 r
.09226 .59672 .09706 .58962 .10402 .57507 .09924 .58213 Metetra
.668 .948 .698 r
.09924 .58213 .10402 .57507 .11098 .56112 .10622 .56814 Metetra
.635 .933 .684 r
.10622 .56814 .11098 .56112 .11795 .54775 .1132 .55474 Metetra
.6 .916 .668 r
.1132 .55474 .11795 .54775 .12492 .53497 .12019 .54192 Metetra
.561 .896 .651 r
.12019 .54192 .12492 .53497 .13189 .52277 .12718 .52969 Metetra
.52 .873 .631 r
.12718 .52969 .13189 .52277 .13886 .51114 .13417 .51803 Metetra
.477 .847 .609 r
.13417 .51803 .13886 .51114 .14584 .50008 .14117 .50694 Metetra
.432 .819 .585 r
.14117 .50694 .14584 .50008 .15283 .48958 .14817 .49642 Metetra
.14817 .49642 .15283 .48958 .15982 .47964 .15518 .48645 Metetra
.15518 .48645 .15982 .47964 .16682 .47024 .1622 .47703 Metetra
.1622 .47703 .16682 .47024 .17383 .46139 .16922 .46816 Metetra
.16922 .46816 .17383 .46139 .18084 .45308 .17625 .45983 Metetra
.17625 .45983 .18084 .45308 .18786 .44529 .18329 .45202 Metetra
.18329 .45202 .18786 .44529 .19489 .43802 .19034 .44473 Metetra
.19034 .44473 .19489 .43802 .20193 .43125 .1974 .43796 Metetra
.1974 .43796 .20193 .43125 .20898 .425 .20446 .43169 Metetra
.20446 .43169 .20898 .425 .21604 .41923 .21154 .42591 Metetra
.043 0 0 r
.21154 .42591 .21604 .41923 .22311 .41395 .21863 .42062 Metetra
.084 0 0 r
.21863 .42062 .22311 .41395 .2302 .40915 .22573 .41581 Metetra
.123 0 0 r
.22573 .41581 .2302 .40915 .23729 .40481 .23284 .41146 Metetra
.159 0 0 r
.23284 .41146 .23729 .40481 .2444 .40092 .23996 .40757 Metetra
.194 0 0 r
.23996 .40757 .2444 .40092 .25152 .39748 .2471 .40413 Metetra
.226 0 0 r
.2471 .40413 .25152 .39748 .25865 .39447 .25425 .40112 Metetra
.256 0 0 r
.25425 .40112 .25865 .39447 .2658 .39189 .26142 .39854 Metetra
.284 0 0 r
.26142 .39854 .2658 .39189 .27296 .38971 .2686 .39637 Metetra
.31 0 0 r
.2686 .39637 .27296 .38971 .28014 .38794 .27579 .3946 Metetra
.335 0 0 r
.27579 .3946 .28014 .38794 .28733 .38656 .283 .39322 Metetra
.357 0 0 r
.283 .39322 .28733 .38656 .29454 .38555 .29023 .39222 Metetra
.378 0 0 r
.29023 .39222 .29454 .38555 .30177 .3849 .29747 .39158 Metetra
.397 0 0 r
.29747 .39158 .30177 .3849 .30901 .38461 .30473 .39129 Metetra
.414 0 0 r
.30473 .39129 .30901 .38461 .31627 .38466 .31201 .39135 Metetra
.43 0 .001 r
.31201 .39135 .31627 .38466 .32355 .38503 .31931 .39173 Metetra
.445 0 .013 r
.31931 .39173 .32355 .38503 .33084 .38571 .32662 .39243 Metetra
.459 0 .024 r
.32662 .39243 .33084 .38571 .33816 .3867 .33395 .39342 Metetra
.472 0 .034 r
.33395 .39342 .33816 .3867 .34549 .38796 .34131 .3947 Metetra
.483 .005 .044 r
.34131 .3947 .34549 .38796 .35285 .3895 .34868 .39625 Metetra
.494 .017 .052 r
.34868 .39625 .35285 .3895 .36022 .39129 .35607 .39806 Metetra
.503 .028 .06 r
.35607 .39806 .36022 .39129 .36762 .39332 .36348 .40011 Metetra
.512 .038 .067 r
.36348 .40011 .36762 .39332 .37503 .39558 .37092 .40239 Metetra
.52 .047 .074 r
.37092 .40239 .37503 .39558 .38247 .39806 .37837 .40488 Metetra
.527 .055 .079 r
.37837 .40488 .38247 .39806 .38993 .40072 .38585 .40757 Metetra
.533 .063 .084 r
.38585 .40757 .38993 .40072 .39741 .40357 .39334 .41043 Metetra
.538 .069 .089 r
.39334 .41043 .39741 .40357 .40491 .40658 .40087 .41347 Metetra
.543 .075 .093 r
.40087 .41347 .40491 .40658 .41243 .40974 .40841 .41665 Metetra
.547 .08 .096 r
.40841 .41665 .41243 .40974 .41998 .41304 .41597 .41996 Metetra
.551 .084 .099 r
.41597 .41996 .41998 .41304 .42755 .41645 .42356 .4234 Metetra
.554 .088 .102 r
.42356 .4234 .42755 .41645 .43514 .41996 .43117 .42693 Metetra
.556 .091 .104 r
.43117 .42693 .43514 .41996 .44276 .42355 .43881 .43055 Metetra
.558 .093 .105 r
.43881 .43055 .44276 .42355 .4504 .42721 .44647 .43423 Metetra
.559 .094 .106 r
.44647 .43423 .4504 .42721 .45806 .43092 .45415 .43796 Metetra
.56 .095 .107 r
.45415 .43796 .45806 .43092 .46575 .43466 .46186 .44173 Metetra
.56 .095 .107 r
.46186 .44173 .46575 .43466 .47346 .43842 .46959 .44551 Metetra
.56 .095 .106 r
.46959 .44551 .47346 .43842 .4812 .44218 .47735 .44929 Metetra
.559 .093 .106 r
.47735 .44929 .4812 .44218 .48896 .44591 .48513 .45305 Metetra
.557 .092 .104 r
.48513 .45305 .48896 .44591 .49675 .44961 .49294 .45677 Metetra
.555 .089 .103 r
.49294 .45677 .49675 .44961 .50456 .45326 .50077 .46044 Metetra
.552 .086 .101 r
.50077 .46044 .50456 .45326 .51239 .45683 .50862 .46404 Metetra
.549 .082 .098 r
.50862 .46404 .51239 .45683 .52025 .46031 .5165 .46754 Metetra
.545 .078 .095 r
.5165 .46754 .52025 .46031 .52814 .46369 .52441 .47094 Metetra
.541 .073 .092 r
.52441 .47094 .52814 .46369 .53605 .46694 .53234 .47421 Metetra
.536 .067 .088 r
.53234 .47421 .53605 .46694 .54398 .47004 .5403 .47734 Metetra
.53 .061 .084 r
.5403 .47734 .54398 .47004 .55194 .47298 .54828 .4803 Metetra
.524 .054 .08 r
.54828 .4803 .55194 .47298 .55993 .47575 .55628 .48309 Metetra
.517 .046 .075 r
.55628 .48309 .55993 .47575 .56794 .47832 .56431 .48567 Metetra
.51 .037 .069 r
.56431 .48567 .56794 .47832 .57597 .48067 .57237 .48805 Metetra
.501 .028 .063 r
.57237 .48805 .57597 .48067 .58403 .48278 .58045 .49018 Metetra
.492 .018 .057 r
.58045 .49018 .58403 .48278 .59211 .48465 .58855 .49207 Metetra
.483 .008 .05 r
.58855 .49207 .59211 .48465 .60022 .48625 .59668 .49368 Metetra
.472 0 .043 r
.59668 .49368 .60022 .48625 .60835 .48756 .60484 .49501 Metetra
.461 0 .035 r
.60484 .49501 .60835 .48756 .61651 .48857 .61302 .49604 Metetra
.448 0 .027 r
.61302 .49604 .61651 .48857 .62468 .48926 .62122 .49674 Metetra
.435 0 .018 r
.62122 .49674 .62468 .48926 .63289 .48961 .62944 .4971 Metetra
.421 0 .009 r
.62944 .4971 .63289 .48961 .64111 .4896 .63769 .4971 Metetra
.406 0 0 r
.63769 .4971 .64111 .4896 .64936 .48922 .64597 .49673 Metetra
.39 0 0 r
.64597 .49673 .64936 .48922 .65763 .48845 .65426 .49597 Metetra
.373 0 0 r
.65426 .49597 .65763 .48845 .66593 .48727 .66258 .4948 Metetra
.355 0 0 r
.66258 .4948 .66593 .48727 .67424 .48567 .67092 .4932 Metetra
.336 0 0 r
.67092 .4932 .67424 .48567 .68258 .48363 .67928 .49117 Metetra
.316 0 0 r
.67928 .49117 .68258 .48363 .69094 .48114 .68766 .48868 Metetra
.295 0 0 r
.68766 .48868 .69094 .48114 .69932 .47817 .69607 .48571 Metetra
.272 0 0 r
.69607 .48571 .69932 .47817 .70772 .47472 .70449 .48226 Metetra
.249 0 0 r
.70449 .48226 .70772 .47472 .71614 .47077 .71294 .4783 Metetra
.224 0 0 r
.71294 .4783 .71614 .47077 .72458 .4663 .7214 .47382 Metetra
.199 0 0 r
.7214 .47382 .72458 .4663 .73304 .46129 .72989 .46881 Metetra
.172 0 0 r
.72989 .46881 .73304 .46129 .74151 .45574 .73839 .46325 Metetra
.144 0 0 r
.73839 .46325 .74151 .45574 .75001 .44963 .74691 .45713 Metetra
.116 0 0 r
.74691 .45713 .75001 .44963 .75852 .44295 .75545 .45043 Metetra
.086 0 0 r
.75545 .45043 .75852 .44295 .76705 .43568 .76401 .44315 Metetra
.885 .99 .751 r
.01047 .8054 .0155 .79747 .02249 .77613 .01748 .784 Metetra
.876 .992 .751 r
.01748 .784 .02249 .77613 .02948 .7554 .02448 .76322 Metetra
.865 .993 .749 r
.02448 .76322 .02948 .7554 .03646 .73531 .03148 .74306 Metetra
.852 .994 .748 r
.03148 .74306 .03646 .73531 .04344 .71583 .03848 .72353 Metetra
.838 .993 .745 r
.03848 .72353 .04344 .71583 .05042 .69697 .04547 .70461 Metetra
.823 .992 .742 r
.04547 .70461 .05042 .69697 .05739 .67873 .05247 .68632 Metetra
.806 .99 .737 r
.05247 .68632 .05739 .67873 .06437 .66111 .05946 .66865 Metetra
.787 .986 .732 r
.05946 .66865 .06437 .66111 .07134 .6441 .06645 .65159 Metetra
.765 .981 .725 r
.06645 .65159 .07134 .6441 .07831 .6277 .07345 .63515 Metetra
.742 .974 .718 r
.07345 .63515 .07831 .6277 .08529 .61191 .08044 .61931 Metetra
.716 .965 .708 r
.08044 .61931 .08529 .61191 .09226 .59672 .08743 .60408 Metetra
.687 .954 .697 r
.08743 .60408 .09226 .59672 .09924 .58213 .09443 .58945 Metetra
.656 .94 .684 r
.09443 .58945 .09924 .58213 .10622 .56814 .10143 .57542 Metetra
.622 .924 .669 r
.10143 .57542 .10622 .56814 .1132 .55474 .10843 .56199 Metetra
.585 .906 .653 r
.10843 .56199 .1132 .55474 .12019 .54192 .11543 .54914 Metetra
.546 .884 .634 r
.11543 .54914 .12019 .54192 .12718 .52969 .12243 .53687 Metetra
.504 .86 .613 r
.12243 .53687 .12718 .52969 .13417 .51803 .12945 .52518 Metetra
.46 .833 .59 r
.12945 .52518 .13417 .51803 .14117 .50694 .13646 .51407 Metetra
.13646 .51407 .14117 .50694 .14817 .49642 .14348 .50352 Metetra
.14348 .50352 .14817 .49642 .15518 .48645 .15051 .49352 Metetra
.15051 .49352 .15518 .48645 .1622 .47703 .15754 .48408 Metetra
.15754 .48408 .1622 .47703 .16922 .46816 .16458 .47519 Metetra
.16458 .47519 .16922 .46816 .17625 .45983 .17163 .46684 Metetra
.17163 .46684 .17625 .45983 .18329 .45202 .17869 .45901 Metetra
.17869 .45901 .18329 .45202 .19034 .44473 .18575 .45171 Metetra
.18575 .45171 .19034 .44473 .1974 .43796 .19283 .44492 Metetra
.19283 .44492 .1974 .43796 .20446 .43169 .19991 .43864 Metetra
.016 0 0 r
.19991 .43864 .20446 .43169 .21154 .42591 .20701 .43285 Metetra
.058 0 0 r
.20701 .43285 .21154 .42591 .21863 .42062 .21411 .42756 Metetra
.098 0 0 r
.21411 .42756 .21863 .42062 .22573 .41581 .22123 .42274 Metetra
.136 0 0 r
.22123 .42274 .22573 .41581 .23284 .41146 .22836 .41838 Metetra
.172 0 0 r
.22836 .41838 .23284 .41146 .23996 .40757 .2355 .41449 Metetra
.206 0 0 r
.2355 .41449 .23996 .40757 .2471 .40413 .24266 .41104 Metetra
.237 0 0 r
.24266 .41104 .2471 .40413 .25425 .40112 .24982 .40803 Metetra
.267 0 0 r
.24982 .40803 .25425 .40112 .26142 .39854 .25701 .40545 Metetra
.294 0 0 r
.25701 .40545 .26142 .39854 .2686 .39637 .2642 .40328 Metetra
.319 0 0 r
.2642 .40328 .2686 .39637 .27579 .3946 .27142 .40152 Metetra
.343 0 0 r
.27142 .40152 .27579 .3946 .283 .39322 .27864 .40014 Metetra
.365 0 0 r
.27864 .40014 .283 .39322 .29023 .39222 .28589 .39915 Metetra
.385 0 0 r
.28589 .39915 .29023 .39222 .29747 .39158 .29315 .39852 Metetra
.403 0 0 r
.29315 .39852 .29747 .39158 .30473 .39129 .30043 .39824 Metetra
.42 0 .003 r
.30043 .39824 .30473 .39129 .31201 .39135 .30772 .39831 Metetra
.436 0 .016 r
.30772 .39831 .31201 .39135 .31931 .39173 .31504 .3987 Metetra
.451 0 .027 r
.31504 .3987 .31931 .39173 .32662 .39243 .32237 .39941 Metetra
.464 0 .038 r
.32237 .39941 .32662 .39243 .33395 .39342 .32972 .40042 Metetra
.476 .002 .048 r
.32972 .40042 .33395 .39342 .34131 .3947 .33709 .40171 Metetra
.488 .014 .057 r
.33709 .40171 .34131 .3947 .34868 .39625 .34448 .40328 Metetra
.498 .026 .065 r
.34448 .40328 .34868 .39625 .35607 .39806 .35189 .4051 Metetra
.507 .037 .073 r
.35189 .4051 .35607 .39806 .36348 .40011 .35932 .40717 Metetra
.515 .047 .08 r
.35932 .40717 .36348 .40011 .37092 .40239 .36677 .40947 Metetra
.523 .056 .086 r
.36677 .40947 .37092 .40239 .37837 .40488 .37424 .41197 Metetra
.53 .064 .091 r
.37424 .41197 .37837 .40488 .38585 .40757 .38174 .41468 Metetra
.536 .071 .096 r
.38174 .41468 .38585 .40757 .39334 .41043 .38925 .41757 Metetra
.541 .077 .101 r
.38925 .41757 .39334 .41043 .40087 .41347 .39679 .42062 Metetra
.546 .083 .105 r
.39679 .42062 .40087 .41347 .40841 .41665 .40436 .42383 Metetra
.55 .088 .108 r
.40436 .42383 .40841 .41665 .41597 .41996 .41194 .42716 Metetra
.554 .092 .111 r
.41194 .42716 .41597 .41996 .42356 .4234 .41955 .43062 Metetra
.557 .095 .113 r
.41955 .43062 .42356 .4234 .43117 .42693 .42718 .43417 Metetra
.559 .098 .115 r
.42718 .43417 .43117 .42693 .43881 .43055 .43483 .43781 Metetra
.561 .1 .116 r
.43483 .43781 .43881 .43055 .44647 .43423 .44251 .44152 Metetra
.562 .101 .117 r
.44251 .44152 .44647 .43423 .45415 .43796 .45022 .44528 Metetra
.563 .102 .118 r
.45022 .44528 .45415 .43796 .46186 .44173 .45794 .44907 Metetra
.563 .102 .118 r
.45794 .44907 .46186 .44173 .46959 .44551 .46569 .45288 Metetra
.562 .102 .118 r
.46569 .45288 .46959 .44551 .47735 .44929 .47347 .45668 Metetra
.561 .101 .117 r
.47347 .45668 .47735 .44929 .48513 .45305 .48127 .46046 Metetra
.56 .099 .116 r
.48127 .46046 .48513 .45305 .49294 .45677 .4891 .46421 Metetra
.558 .096 .114 r
.4891 .46421 .49294 .45677 .50077 .46044 .49695 .4679 Metetra
.555 .093 .112 r
.49695 .4679 .50077 .46044 .50862 .46404 .50483 .47152 Metetra
.552 .09 .11 r
.50483 .47152 .50862 .46404 .5165 .46754 .51273 .47505 Metetra
.548 .086 .107 r
.51273 .47505 .5165 .46754 .52441 .47094 .52065 .47847 Metetra
.544 .081 .104 r
.52065 .47847 .52441 .47094 .53234 .47421 .52861 .48177 Metetra
.539 .075 .1 r
.52861 .48177 .53234 .47421 .5403 .47734 .53658 .48492 Metetra
.534 .069 .096 r
.53658 .48492 .5403 .47734 .54828 .4803 .54459 .4879 Metetra
.528 .062 .092 r
.54459 .4879 .54828 .4803 .55628 .48309 .55261 .49071 Metetra
.521 .054 .087 r
.55261 .49071 .55628 .48309 .56431 .48567 .56067 .49332 Metetra
.513 .046 .082 r
.56067 .49332 .56431 .48567 .57237 .48805 .56874 .49571 Metetra
.505 .037 .076 r
.56874 .49571 .57237 .48805 .58045 .49018 .57685 .49787 Metetra
.497 .027 .07 r
.57685 .49787 .58045 .49018 .58855 .49207 .58497 .49977 Metetra
.487 .017 .063 r
.58497 .49977 .58855 .49207 .59668 .49368 .59313 .5014 Metetra
.477 .006 .056 r
.59313 .5014 .59668 .49368 .60484 .49501 .6013 .50275 Metetra
.466 0 .049 r
.6013 .50275 .60484 .49501 .61302 .49604 .6095 .50379 Metetra
.454 0 .041 r
.6095 .50379 .61302 .49604 .62122 .49674 .61773 .5045 Metetra
.441 0 .032 r
.61773 .5045 .62122 .49674 .62944 .4971 .62598 .50488 Metetra
.427 0 .023 r
.62598 .50488 .62944 .4971 .63769 .4971 .63425 .50489 Metetra
.412 0 .014 r
.63425 .50489 .63769 .4971 .64597 .49673 .64255 .50453 Metetra
.397 0 .004 r
.64255 .50453 .64597 .49673 .65426 .49597 .65087 .50378 Metetra
.38 0 0 r
.65087 .50378 .65426 .49597 .66258 .4948 .65921 .50262 Metetra
.363 0 0 r
.65921 .50262 .66258 .4948 .67092 .4932 .66757 .50103 Metetra
.344 0 0 r
.66757 .50103 .67092 .4932 .67928 .49117 .67596 .499 Metetra
.324 0 0 r
.67596 .499 .67928 .49117 .68766 .48868 .68437 .49651 Metetra
.304 0 0 r
.68437 .49651 .68766 .48868 .69607 .48571 .69279 .49354 Metetra
.282 0 0 r
.69279 .49354 .69607 .48571 .70449 .48226 .70124 .49009 Metetra
.259 0 0 r
.70124 .49009 .70449 .48226 .71294 .4783 .70972 .48612 Metetra
.235 0 0 r
.70972 .48612 .71294 .4783 .7214 .47382 .71821 .48164 Metetra
.21 0 0 r
.71821 .48164 .7214 .47382 .72989 .46881 .72672 .47662 Metetra
.184 0 0 r
.72672 .47662 .72989 .46881 .73839 .46325 .73524 .47106 Metetra
.156 0 0 r
.73524 .47106 .73839 .46325 .74691 .45713 .74379 .46492 Metetra
.128 0 0 r
.74379 .46492 .74691 .45713 .75545 .45043 .75236 .45821 Metetra
.1 0 0 r
.75236 .45821 .75545 .45043 .76401 .44315 .76094 .45091 Metetra
.882 .991 .746 r
.0054 .8136 .01047 .8054 .01748 .784 .01243 .79213 Metetra
.872 .992 .745 r
.01243 .79213 .01748 .784 .02448 .76322 .01945 .77129 Metetra
.86 .993 .743 r
.01945 .77129 .02448 .76322 .03148 .74306 .02647 .75108 Metetra
.848 .993 .741 r
.02647 .75108 .03148 .74306 .03848 .72353 .03348 .73149 Metetra
.833 .992 .738 r
.03348 .73149 .03848 .72353 .04547 .70461 .0405 .71252 Metetra
.817 .99 .734 r
.0405 .71252 .04547 .70461 .05247 .68632 .04751 .69418 Metetra
.799 .987 .729 r
.04751 .69418 .05247 .68632 .05946 .66865 .05452 .67646 Metetra
.779 .982 .723 r
.05452 .67646 .05946 .66865 .06645 .65159 .06153 .65935 Metetra
.757 .976 .715 r
.06153 .65935 .06645 .65159 .07345 .63515 .06854 .64286 Metetra
.732 .969 .706 r
.06854 .64286 .07345 .63515 .08044 .61931 .07556 .62698 Metetra
.705 .959 .696 r
.07556 .62698 .08044 .61931 .08743 .60408 .08257 .61171 Metetra
.676 .947 .684 r
.08257 .61171 .08743 .60408 .09443 .58945 .08958 .59704 Metetra
.643 .932 .67 r
.08958 .59704 .09443 .58945 .10143 .57542 .0966 .58297 Metetra
.608 .915 .654 r
.0966 .58297 .10143 .57542 .10843 .56199 .10361 .5695 Metetra
.571 .895 .636 r
.10361 .5695 .10843 .56199 .11543 .54914 .11063 .55661 Metetra
.53 .872 .616 r
.11063 .55661 .11543 .54914 .12243 .53687 .11766 .54431 Metetra
.488 .847 .594 r
.11766 .54431 .12243 .53687 .12945 .52518 .12469 .5326 Metetra
.443 .819 .571 r
.12469 .5326 .12945 .52518 .13646 .51407 .13172 .52145 Metetra
.13172 .52145 .13646 .51407 .14348 .50352 .13876 .51087 Metetra
.13876 .51087 .14348 .50352 .15051 .49352 .1458 .50086 Metetra
.1458 .50086 .15051 .49352 .15754 .48408 .15286 .4914 Metetra
.15286 .4914 .15754 .48408 .16458 .47519 .15991 .48248 Metetra
.15991 .48248 .16458 .47519 .17163 .46684 .16698 .47411 Metetra
.16698 .47411 .17163 .46684 .17869 .45901 .17405 .46627 Metetra
.17405 .46627 .17869 .45901 .18575 .45171 .18114 .45895 Metetra
.18114 .45895 .18575 .45171 .19283 .44492 .18823 .45215 Metetra
.18823 .45215 .19283 .44492 .19991 .43864 .19533 .44585 Metetra
.031 0 0 r
.19533 .44585 .19991 .43864 .20701 .43285 .20244 .44006 Metetra
.073 0 0 r
.20244 .44006 .20701 .43285 .21411 .42756 .20957 .43475 Metetra
.112 0 0 r
.20957 .43475 .21411 .42756 .22123 .42274 .2167 .42993 Metetra
.149 0 0 r
.2167 .42993 .22123 .42274 .22836 .41838 .22385 .42557 Metetra
.184 0 0 r
.22385 .42557 .22836 .41838 .2355 .41449 .23101 .42167 Metetra
.217 0 0 r
.23101 .42167 .2355 .41449 .24266 .41104 .23818 .41822 Metetra
.248 0 0 r
.23818 .41822 .24266 .41104 .24982 .40803 .24536 .41521 Metetra
.277 0 0 r
.24536 .41521 .24982 .40803 .25701 .40545 .25256 .41263 Metetra
.303 0 0 r
.25256 .41263 .25701 .40545 .2642 .40328 .25978 .41046 Metetra
.328 0 0 r
.25978 .41046 .2642 .40328 .27142 .40152 .26701 .4087 Metetra
.351 0 0 r
.26701 .4087 .27142 .40152 .27864 .40014 .27425 .40733 Metetra
.372 0 0 r
.27425 .40733 .27864 .40014 .28589 .39915 .28152 .40634 Metetra
.392 0 0 r
.28152 .40634 .28589 .39915 .29315 .39852 .28879 .40572 Metetra
.41 0 .004 r
.28879 .40572 .29315 .39852 .30043 .39824 .29609 .40546 Metetra
.426 0 .017 r
.29609 .40546 .30043 .39824 .30772 .39831 .3034 .40553 Metetra
.442 0 .03 r
.3034 .40553 .30772 .39831 .31504 .3987 .31073 .40594 Metetra
.456 0 .041 r
.31073 .40594 .31504 .3987 .32237 .39941 .31808 .40666 Metetra
.469 0 .051 r
.31808 .40666 .32237 .39941 .32972 .40042 .32545 .40768 Metetra
.481 .011 .061 r
.32545 .40768 .32972 .40042 .33709 .40171 .33284 .40899 Metetra
.492 .023 .07 r
.33284 .40899 .33709 .40171 .34448 .40328 .34025 .41057 Metetra
.502 .035 .078 r
.34025 .41057 .34448 .40328 .35189 .4051 .34768 .41241 Metetra
.511 .045 .085 r
.34768 .41241 .35189 .4051 .35932 .40717 .35513 .4145 Metetra
.519 .055 .092 r
.35513 .4145 .35932 .40717 .36677 .40947 .3626 .41681 Metetra
.526 .064 .098 r
.3626 .41681 .36677 .40947 .37424 .41197 .37009 .41934 Metetra
.533 .071 .103 r
.37009 .41934 .37424 .41197 .38174 .41468 .3776 .42207 Metetra
.539 .078 .108 r
.3776 .42207 .38174 .41468 .38925 .41757 .38514 .42498 Metetra
.544 .085 .112 r
.38514 .42498 .38925 .41757 .39679 .42062 .39269 .42805 Metetra
.549 .09 .116 r
.39269 .42805 .39679 .42062 .40436 .42383 .40027 .43128 Metetra
.553 .095 .119 r
.40027 .43128 .40436 .42383 .41194 .42716 .40788 .43464 Metetra
.556 .099 .122 r
.40788 .43464 .41194 .42716 .41955 .43062 .41551 .43812 Metetra
.559 .102 .124 r
.41551 .43812 .41955 .43062 .42718 .43417 .42316 .4417 Metetra
.562 .105 .126 r
.42316 .4417 .42718 .43417 .43483 .43781 .43083 .44536 Metetra
.563 .107 .127 r
.43083 .44536 .43483 .43781 .44251 .44152 .43853 .44909 Metetra
.564 .108 .128 r
.43853 .44909 .44251 .44152 .45022 .44528 .44625 .45287 Metetra
.565 .109 .129 r
.44625 .45287 .45022 .44528 .45794 .44907 .454 .45669 Metetra
.565 .109 .129 r
.454 .45669 .45794 .44907 .46569 .45288 .46177 .46052 Metetra
.565 .109 .128 r
.46177 .46052 .46569 .45288 .47347 .45668 .46957 .46435 Metetra
.564 .108 .128 r
.46957 .46435 .47347 .45668 .48127 .46046 .47739 .46816 Metetra
.562 .106 .126 r
.47739 .46816 .48127 .46046 .4891 .46421 .48523 .47193 Metetra
.56 .104 .125 r
.48523 .47193 .4891 .46421 .49695 .4679 .49311 .47565 Metetra
.558 .101 .123 r
.49311 .47565 .49695 .4679 .50483 .47152 .501 .47929 Metetra
.555 .097 .121 r
.501 .47929 .50483 .47152 .51273 .47505 .50893 .48285 Metetra
.551 .093 .118 r
.50893 .48285 .51273 .47505 .52065 .47847 .51687 .48629 Metetra
.547 .088 .115 r
.51687 .48629 .52065 .47847 .52861 .48177 .52485 .48961 Metetra
.542 .083 .112 r
.52485 .48961 .52861 .48177 .53658 .48492 .53285 .49278 Metetra
.537 .076 .108 r
.53285 .49278 .53658 .48492 .54459 .4879 .54087 .49579 Metetra
.531 .07 .103 r
.54087 .49579 .54459 .4879 .55261 .49071 .54892 .49862 Metetra
.524 .062 .099 r
.54892 .49862 .55261 .49071 .56067 .49332 .55699 .50125 Metetra
.517 .054 .094 r
.55699 .50125 .56067 .49332 .56874 .49571 .56509 .50366 Metetra
.509 .045 .088 r
.56509 .50366 .56874 .49571 .57685 .49787 .57322 .50584 Metetra
.5 .036 .082 r
.57322 .50584 .57685 .49787 .58497 .49977 .58137 .50776 Metetra
.491 .026 .076 r
.58137 .50776 .58497 .49977 .59313 .5014 .58954 .50941 Metetra
.481 .015 .069 r
.58954 .50941 .59313 .5014 .6013 .50275 .59774 .51077 Metetra
.47 .003 .062 r
.59774 .51077 .6013 .50275 .6095 .50379 .60597 .51183 Metetra
.459 0 .054 r
.60597 .51183 .6095 .50379 .61773 .5045 .61422 .51256 Metetra
.446 0 .046 r
.61422 .51256 .61773 .5045 .62598 .50488 .62249 .51295 Metetra
.433 0 .037 r
.62249 .51295 .62598 .50488 .63425 .50489 .63078 .51297 Metetra
.418 0 .028 r
.63078 .51297 .63425 .50489 .64255 .50453 .6391 .51262 Metetra
.403 0 .019 r
.6391 .51262 .64255 .50453 .65087 .50378 .64745 .51188 Metetra
.387 0 .009 r
.64745 .51188 .65087 .50378 .65921 .50262 .65581 .51073 Metetra
.37 0 0 r
.65581 .51073 .65921 .50262 .66757 .50103 .6642 .50914 Metetra
.351 0 0 r
.6642 .50914 .66757 .50103 .67596 .499 .67261 .50712 Metetra
.332 0 0 r
.67261 .50712 .67596 .499 .68437 .49651 .68105 .50463 Metetra
.312 0 0 r
.68105 .50463 .68437 .49651 .69279 .49354 .6895 .50167 Metetra
.291 0 0 r
.6895 .50167 .69279 .49354 .70124 .49009 .69798 .49821 Metetra
.268 0 0 r
.69798 .49821 .70124 .49009 .70972 .48612 .70647 .49425 Metetra
.245 0 0 r
.70647 .49425 .70972 .48612 .71821 .48164 .71499 .48976 Metetra
.22 0 0 r
.71499 .48976 .71821 .48164 .72672 .47662 .72352 .48473 Metetra
.195 0 0 r
.72352 .48473 .72672 .47662 .73524 .47106 .73208 .47916 Metetra
.168 0 0 r
.73208 .47916 .73524 .47106 .74379 .46492 .74065 .47301 Metetra
.141 0 0 r
.74065 .47301 .74379 .46492 .75236 .45821 .74925 .46629 Metetra
.112 0 0 r
.74925 .46629 .75236 .45821 .76094 .45091 .75785 .45897 Metetra
.879 .99 .741 r
.00029 .82207 .0054 .8136 .01243 .79213 .00734 .80054 Metetra
.868 .991 .739 r
.00734 .80054 .01243 .79213 .01945 .77129 .01438 .77963 Metetra
.856 .992 .737 r
.01438 .77963 .01945 .77129 .02647 .75108 .02142 .75936 Metetra
.843 .991 .734 r
.02142 .75936 .02647 .75108 .03348 .73149 .02845 .73971 Metetra
.828 .99 .73 r
.02845 .73971 .03348 .73149 .0405 .71252 .03549 .7207 Metetra
.811 .988 .726 r
.03549 .7207 .0405 .71252 .04751 .69418 .04252 .7023 Metetra
.792 .984 .72 r
.04252 .7023 .04751 .69418 .05452 .67646 .04955 .68453 Metetra
.771 .979 .713 r
.04955 .68453 .05452 .67646 .06153 .65935 .05658 .66737 Metetra
.748 .972 .705 r
.05658 .66737 .06153 .65935 .06854 .64286 .06361 .65083 Metetra
.722 .963 .695 r
.06361 .65083 .06854 .64286 .07556 .62698 .07064 .63491 Metetra
.694 .952 .684 r
.07064 .63491 .07556 .62698 .08257 .61171 .07767 .6196 Metetra
.664 .939 .671 r
.07767 .6196 .08257 .61171 .08958 .59704 .0847 .60489 Metetra
.63 .923 .656 r
.0847 .60489 .08958 .59704 .0966 .58297 .09173 .59078 Metetra
.594 .905 .639 r
.09173 .59078 .0966 .58297 .10361 .5695 .09877 .57727 Metetra
.556 .884 .62 r
.09877 .57727 .10361 .5695 .11063 .55661 .10581 .56435 Metetra
.515 .86 .599 r
.10581 .56435 .11063 .55661 .11766 .54431 .11285 .55202 Metetra
.471 .833 .576 r
.11285 .55202 .11766 .54431 .12469 .5326 .1199 .54028 Metetra
.1199 .54028 .12469 .5326 .13172 .52145 .12695 .5291 Metetra
.12695 .5291 .13172 .52145 .13876 .51087 .134 .5185 Metetra
.134 .5185 .13876 .51087 .1458 .50086 .14107 .50846 Metetra
.14107 .50846 .1458 .50086 .15286 .4914 .14814 .49897 Metetra
.14814 .49897 .15286 .4914 .15991 .48248 .15521 .49004 Metetra
.15521 .49004 .15991 .48248 .16698 .47411 .16229 .48165 Metetra
.16229 .48165 .16698 .47411 .17405 .46627 .16939 .47379 Metetra
.16939 .47379 .17405 .46627 .18114 .45895 .17649 .46646 Metetra
.17649 .46646 .18114 .45895 .18823 .45215 .1836 .45964 Metetra
.004 0 0 r
.1836 .45964 .18823 .45215 .19533 .44585 .19072 .45334 Metetra
.046 0 0 r
.19072 .45334 .19533 .44585 .20244 .44006 .19785 .44753 Metetra
.087 0 0 r
.19785 .44753 .20244 .44006 .20957 .43475 .20499 .44222 Metetra
.126 0 0 r
.20499 .44222 .20957 .43475 .2167 .42993 .21214 .43738 Metetra
.162 0 0 r
.21214 .43738 .2167 .42993 .22385 .42557 .2193 .43302 Metetra
.196 0 0 r
.2193 .43302 .22385 .42557 .23101 .42167 .22648 .42912 Metetra
.228 0 0 r
.22648 .42912 .23101 .42167 .23818 .41822 .23367 .42567 Metetra
.258 0 0 r
.23367 .42567 .23818 .41822 .24536 .41521 .24087 .42266 Metetra
.286 0 0 r
.24087 .42266 .24536 .41521 .25256 .41263 .24809 .42008 Metetra
.312 0 0 r
.24809 .42008 .25256 .41263 .25978 .41046 .25532 .41791 Metetra
.336 0 0 r
.25532 .41791 .25978 .41046 .26701 .4087 .26257 .41616 Metetra
.358 0 0 r
.26257 .41616 .26701 .4087 .27425 .40733 .26983 .41479 Metetra
.379 0 0 r
.26983 .41479 .27425 .40733 .28152 .40634 .27711 .41381 Metetra
.398 0 .005 r
.27711 .41381 .28152 .40634 .28879 .40572 .28441 .4132 Metetra
.416 0 .019 r
.28441 .4132 .28879 .40572 .29609 .40546 .29172 .41294 Metetra
.432 0 .031 r
.29172 .41294 .29609 .40546 .3034 .40553 .29905 .41303 Metetra
.447 0 .043 r
.29905 .41303 .3034 .40553 .31073 .40594 .3064 .41344 Metetra
.461 0 .054 r
.3064 .41344 .31073 .40594 .31808 .40666 .31377 .41418 Metetra
.473 .007 .064 r
.31377 .41418 .31808 .40666 .32545 .40768 .32116 .41521 Metetra
.485 .02 .073 r
.32116 .41521 .32545 .40768 .33284 .40899 .32856 .41654 Metetra
.496 .032 .082 r
.32856 .41654 .33284 .40899 .34025 .41057 .33599 .41814 Metetra
.505 .043 .09 r
.33599 .41814 .34025 .41057 .34768 .41241 .34344 .42 Metetra
.514 .053 .097 r
.34344 .42 .34768 .41241 .35513 .4145 .3509 .4221 Metetra
.522 .063 .103 r
.3509 .4221 .35513 .4145 .3626 .41681 .35839 .42444 Metetra
.53 .071 .109 r
.35839 .42444 .3626 .41681 .37009 .41934 .3659 .42698 Metetra
.536 .079 .114 r
.3659 .42698 .37009 .41934 .3776 .42207 .37344 .42973 Metetra
.542 .086 .119 r
.37344 .42973 .3776 .42207 .38514 .42498 .38099 .43266 Metetra
.547 .092 .123 r
.38099 .43266 .38514 .42498 .39269 .42805 .38857 .43576 Metetra
.552 .097 .127 r
.38857 .43576 .39269 .42805 .40027 .43128 .39617 .43901 Metetra
.556 .102 .13 r
.39617 .43901 .40027 .43128 .40788 .43464 .40379 .44239 Metetra
.559 .106 .132 r
.40379 .44239 .40788 .43464 .41551 .43812 .41143 .44589 Metetra
.562 .109 .135 r
.41143 .44589 .41551 .43812 .42316 .4417 .4191 .4495 Metetra
.564 .112 .136 r
.4191 .4495 .42316 .4417 .43083 .44536 .4268 .45319 Metetra
.566 .114 .138 r
.4268 .45319 .43083 .44536 .43853 .44909 .43452 .45694 Metetra
.567 .115 .138 r
.43452 .45694 .43853 .44909 .44625 .45287 .44226 .46075 Metetra
.567 .116 .139 r
.44226 .46075 .44625 .45287 .454 .45669 .45003 .46459 Metetra
.568 .116 .139 r
.45003 .46459 .454 .45669 .46177 .46052 .45782 .46845 Metetra
.567 .115 .139 r
.45782 .46845 .46177 .46052 .46957 .46435 .46563 .4723 Metetra
.566 .114 .138 r
.46563 .4723 .46957 .46435 .47739 .46816 .47348 .47614 Metetra
.565 .113 .137 r
.47348 .47614 .47739 .46816 .48523 .47193 .48134 .47994 Metetra
.563 .11 .135 r
.48134 .47994 .48523 .47193 .49311 .47565 .48924 .48368 Metetra
.56 .107 .134 r
.48924 .48368 .49311 .47565 .501 .47929 .49715 .48735 Metetra
.557 .104 .131 r
.49715 .48735 .501 .47929 .50893 .48285 .5051 .49093 Metetra
.554 .1 .129 r
.5051 .49093 .50893 .48285 .51687 .48629 .51307 .4944 Metetra
.55 .095 .126 r
.51307 .4944 .51687 .48629 .52485 .48961 .52106 .49774 Metetra
.545 .09 .122 r
.52106 .49774 .52485 .48961 .53285 .49278 .52908 .50094 Metetra
.54 .084 .119 r
.52908 .50094 .53285 .49278 .54087 .49579 .53713 .50397 Metetra
.534 .077 .115 r
.53713 .50397 .54087 .49579 .54892 .49862 .5452 .50682 Metetra
.527 .07 .11 r
.5452 .50682 .54892 .49862 .55699 .50125 .5533 .50947 Metetra
.52 .062 .105 r
.5533 .50947 .55699 .50125 .56509 .50366 .56142 .51191 Metetra
.513 .054 .1 r
.56142 .51191 .56509 .50366 .57322 .50584 .56957 .5141 Metetra
.504 .044 .094 r
.56957 .5141 .57322 .50584 .58137 .50776 .57774 .51605 Metetra
.495 .034 .088 r
.57774 .51605 .58137 .50776 .58954 .50941 .58594 .51772 Metetra
.485 .024 .081 r
.58594 .51772 .58954 .50941 .59774 .51077 .59416 .5191 Metetra
.475 .012 .074 r
.59416 .5191 .59774 .51077 .60597 .51183 .60241 .52017 Metetra
.463 0 .067 r
.60241 .52017 .60597 .51183 .61422 .51256 .61068 .52091 Metetra
.451 0 .059 r
.61068 .52091 .61422 .51256 .62249 .51295 .61897 .52131 Metetra
.438 0 .05 r
.61897 .52131 .62249 .51295 .63078 .51297 .6273 .52135 Metetra
.424 0 .042 r
.6273 .52135 .63078 .51297 .6391 .51262 .63564 .52101 Metetra
.409 0 .032 r
.63564 .52101 .6391 .51262 .64745 .51188 .64401 .52028 Metetra
.393 0 .023 r
.64401 .52028 .64745 .51188 .65581 .51073 .6524 .51913 Metetra
.376 0 .012 r
.6524 .51913 .65581 .51073 .6642 .50914 .66081 .51756 Metetra
.359 0 .002 r
.66081 .51756 .6642 .50914 .67261 .50712 .66925 .51554 Metetra
.34 0 0 r
.66925 .51554 .67261 .50712 .68105 .50463 .6777 .51305 Metetra
.32 0 0 r
.6777 .51305 .68105 .50463 .6895 .50167 .68618 .51009 Metetra
.299 0 0 r
.68618 .51009 .6895 .50167 .69798 .49821 .69469 .50663 Metetra
.277 0 0 r
.69469 .50663 .69798 .49821 .70647 .49425 .70321 .50267 Metetra
.254 0 0 r
.70321 .50267 .70647 .49425 .71499 .48976 .71175 .49818 Metetra
.23 0 0 r
.71175 .49818 .71499 .48976 .72352 .48473 .72031 .49314 Metetra
.205 0 0 r
.72031 .49314 .72352 .48473 .73208 .47916 .72889 .48756 Metetra
.18 0 0 r
.72889 .48756 .73208 .47916 .74065 .47301 .73749 .4814 Metetra
.153 0 0 r
.73749 .4814 .74065 .47301 .74925 .46629 .74611 .47467 Metetra
.125 0 0 r
.74611 .47467 .74925 .46629 .75785 .45897 .75475 .46733 Metetra
0 g
.25 Mabswid
.75107 0 m
.99085 .37462 L
s
.99085 .37462 m
1 .93381 L
s
1 .93381 m
.75679 .72639 L
s
.75679 .72639 m
.75107 0 L
s
.012 .20026 m
0 .83759 L
s
0 .83759 m
.75679 .72639 L
s
.75679 .72639 m
.75107 0 L
s
.75107 0 m
.012 .20026 L
s
.012 .20026 m
.75107 0 L
s
.012 .20026 m
.01174 .21391 L
s
gsave
.01251 .17296 -65.5971 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.14452 .16435 m
.14433 .178 L
s
gsave
.14491 .13704 -69.6804 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.28408 .12653 m
.28396 .14019 L
s
gsave
.28433 .09922 -65.6928 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.43125 .08666 m
.4312 .10032 L
s
gsave
.43136 .05934 -69.8694 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.58668 .04454 m
.5867 .0582 L
s
gsave
.58663 .01722 -65.7999 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.75107 0 m
.75118 .01366 L
s
gsave
.75085 -0.02732 -70.0815 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2.5) show
1.000 setlinewidth
grestore
.125 Mabswid
.03796 .19322 m
.03782 .20141 L
s
.0642 .18611 m
.06406 .1943 L
s
.0907 .17893 m
.09057 .18712 L
s
.11747 .17168 m
.11735 .17987 L
s
.17185 .15694 m
.17175 .16514 L
s
.19947 .14946 m
.19937 .15765 L
s
.22738 .1419 m
.22729 .15009 L
s
.25558 .13426 m
.2555 .14245 L
s
.31289 .11873 m
.31282 .12692 L
s
.342 .11084 m
.34195 .11903 L
s
.37143 .10287 m
.37138 .11106 L
s
.40118 .0948 m
.40114 .103 L
s
.46166 .07842 m
.46164 .08661 L
s
.4924 .07009 m
.49238 .07829 L
s
.52347 .06167 m
.52347 .06986 L
s
.5549 .05315 m
.55491 .06135 L
s
.61882 .03584 m
.61884 .04403 L
s
.65132 .02703 m
.65135 .03522 L
s
.68419 .01812 m
.68423 .02632 L
s
.71744 .00911 m
.71749 .01731 L
s
gsave
.35773 -0.05704 -65.2867 -17.1875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(d) show
67.688 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
0 .83759 m
.38225 1 L
s
0 .83759 m
.00026 .82394 L
s
gsave
-0.00051 .86489 -69.5352 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.11406 .88605 m
.11426 .87239 L
s
gsave
.11365 .91335 -69.4672 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(-) show
69.875 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.21429 .92864 m
.21445 .91498 L
s
gsave
.21398 .95595 -65.8912 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.30307 .96636 m
.30318 .9527 L
s
gsave
.30285 .99367 -65.8606 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.38225 1 m
.38233 .98634 L
s
gsave
.38211 1.02732 -65.8333 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
/Helvetica findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(4) show
1.000 setlinewidth
grestore
.125 Mabswid
.02996 .85032 m
.03011 .84213 L
s
.05893 .86262 m
.05907 .85443 L
s
.08695 .87453 m
.08707 .86634 L
s
.14031 .8972 m
.14042 .88901 L
s
.16574 .90801 m
.16585 .89981 L
s
.19039 .91848 m
.19049 .91029 L
s
.23748 .93849 m
.23757 .93029 L
s
.25999 .94805 m
.26007 .93986 L
s
.28184 .95734 m
.28191 .94914 L
s
.3237 .97512 m
.32376 .96693 L
s
.34376 .98365 m
.34382 .97545 L
s
.36327 .99193 m
.36332 .98374 L
s
gsave
.21245 1.09251 -67.9691 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21.1875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 14.000 moveto
%%IncludeResource: font Helvetica
%%IncludeFont: Helvetica
%%BeginResource: font Helvetica-MISO
%%BeginFont: Helvetica-MISO
/Helvetica /Helvetica-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
63.000 14.000 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
(w) show
72.625 14.000 moveto
%%IncludeResource: font Helvetica-MISO
%%IncludeFont: Helvetica-MISO
/Helvetica-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.500 0.000 0.100 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCacheValid->False]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 693}},
WindowToolbars->"RulerBar",
WindowSize->{1016, 666},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowCellLabel->False,
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 244, 5, 231, "Input"],
Cell[2001, 58, 1858, 46, 356, "Input"],
Cell[3862, 106, 1464, 26, 712, "Input"],

Cell[CellGroupData[{
Cell[5351, 136, 3171, 57, 1603, "Input"],
Cell[8525, 195, 130, 3, 95, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8692, 203, 379, 6, 231, "Input"],
Cell[9074, 211, 504120, 17940, 592, 224767, 14487, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],
Cell[513209, 18154, 456, 10, 173, "Input"],

Cell[CellGroupData[{
Cell[513690, 18168, 455, 8, 367, "Input"],
Cell[514148, 18178, 516785, 18862, 592, 241515, 15459, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1030970, 37045, 901, 18, 510, "Input"],

Cell[CellGroupData[{
Cell[1031896, 37067, 788075, 20051, 592, 787957, 20047, "GraphicsData", \
"PostScript", "Graphics",
  ImageCacheValid->False],
Cell[1819974, 57120, 806556, 21077, 592, 806438, 21073, "GraphicsData", \
"PostScript", "Graphics",
  ImageCacheValid->False]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

