(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   2116073,      71680]*)
(*NotebookOutlinePosition[   2116809,      71705]*)
(*  CellTagsIndexPosition[   2116765,      71701]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\( (*\(\(--\(-\ 
              Definici\[OAcute]n\)\)\ del\ m\[OAcute]dulo\ que\ resuelve\ la\ \
ecuaci\[OAcute]n\ \(diferencial\ --\)\)\(-\)*) \)\(\[IndentingNewLine]\)\( \
(*\(--\(-\ \ \ \ \ \ \ \ \ \ \ \ \ \ x''\)\) + \((B/\((M*L)\))\) 
            x' + \((g/L)\) 
            sen \((x)\) = \(\(0\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ --\)\(-\)\)\
*) \)\(\[IndentingNewLine]\)\( (*\(\(--\(-\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ o\
\)\)\ en\ su\ forma\ \(equivalente\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \
--\)\)\(-\)*) \)\(\[IndentingNewLine]\)\( (*\(--\(-\ \ \ \ \ \ \ \ \ \ \ \ \ \
\ \ x1'\)\) = \(\(x2\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \
\ \ \ \ \ \ \ \ \ \ --\)\(-\)\)*) \)\(\[IndentingNewLine]\)\( (*\(--\(-\ \ \ \
\ \ \ \ \ \ \ \ \ \ \ \ x2'\)\) = \(-\((B/\((M*L)\))\)\)*x2 - \((g/L)\)*
            Sin \(\((x1)\)\ \ \ \ \ \ \ \ \ \ \ \ \ \ --\) - *) \)\)\)], \
"Input"],

Cell["\<\

<<Graphics`PlotField`
<<Graphics`Arrow`
<<Graphics`Legend`

Clear[sol]
sol[s_, r_] := Module[{solED, y, x, t, ec1, ec2}, 
   t0 := 0; tf := 40; M := 1; L := 1; B := 0.08; 
    g := 9.81; escV:=1;
    ec1 = Derivative[1][x1][t] == x2[t]; 
    ec2 = Derivative[1][x2][t] == -(B/(M*L))*x2[t] - 
       (g/L)*Sin[x1[t]]; 
    solED = NDSolve[{ec1, ec2, x1[0] == s, 
       x2[0] == r}, {x1[t], x2[t]}, {t, t0, tf}]; 
    ParametricPlot[{x1[t], x2[t]} /. solED, 
     {t, t0, tf}, Compiled -> False, 
     DisplayFunction -> Identity]]
     \
\>", "Input"],

Cell[BoxData[
    \(\(\(x1min = \(-Pi\)\)\(;\)\(x1max := 
      Pi\)\(;\)\(x2min := \(-6\)\)\(;\)\(x2max := 
      6\)\(;\)\(\[IndentingNewLine]\)\)\)], "Input"],

Cell["\<\
graphs=Evaluate[Flatten[Table[sol[s,r],{s,-Pi,Pi,0.5},{r,0,0,1}],2]];
(*graphs=Evaluate[sol[Pi,2]];*)
\
\>", "Input"],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(f = \((M/2)\)*x2^2 + 
          M*g*L*\((1 - Cos[x1])\);\)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(gra1 = 
        Plot3D[Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
          PlotPoints \[Rule] 100, PlotRange \[Rule] All, 
          AspectRatio \[Rule] 1, Mesh \[Rule] True, FaceGrids \[Rule] All, 
          ViewPoint -> {1.217, \ \(-3.126\), \ 0.447}, 
          AxesLabel -> {"\<\[Delta]\>", "\<\[Omega] \>", "\<H(\[Delta],\
\[Omega]) \>"}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
4.40186e-017 1.084 -0.622688 2.42717 [
[.14041 .10025 -5.87389 -9 ]
[.14041 .10025 6.12611 0 ]
[.38369 .05255 -2.97512 -9 ]
[.38369 .05255 3.02488 0 ]
[.64662 .001 -3.01646 -9 ]
[.64662 .001 2.98354 0 ]
[.38425 -0.09915 -4.95853 -12.5625 ]
[.38425 -0.09915 5.04147 0 ]
[.03758 .93384 -6.15537 0 ]
[.03758 .93384 5.84463 9 ]
[.12482 .96006 -12.2568 0 ]
[.12482 .96006 11.7432 9 ]
[.20258 .98343 -3.05221 0 ]
[.20258 .98343 2.94779 9 ]
[.27231 1.00439 -9.1244 0 ]
[.27231 1.00439 8.8756 9 ]
[.33519 1.02329 -3.03178 0 ]
[.33519 1.02329 2.96822 9 ]
[.2014 1.13511 -8.13924 0 ]
[.2014 1.13511 7.86076 12.5625 ]
[-0.00456 .17596 -6 -4.11184 ]
[-0.00456 .17596 0 4.88816 ]
[-0.00686 .35966 -12 -4.17198 ]
[-0.00686 .35966 0 4.82802 ]
[-0.00919 .54496 -12 -4.23268 ]
[-0.00919 .54496 0 4.76732 ]
[-0.01153 .73186 -12 -4.29396 ]
[-0.01153 .73186 0 4.70604 ]
[-0.07653 .53213 -46 -5.89802 ]
[-0.07653 .53213 0 6.66448 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.00915 .15624 m
.80663 0 L
s
.14013 .13058 m
.13999 .14575 L
s
[(-2)] .14041 .10025 -0.02102 1 Mshowa
.38358 .08288 m
.38352 .09805 L
s
[(0)] .38369 .05255 -0.00829 1 Mshowa
.6467 .03133 m
.64673 .0465 L
s
[(2)] .64662 .001 .00549 1 Mshowa
.125 Mabswid
.19927 .11899 m
.1992 .12809 L
s
.25954 .10719 m
.25948 .11629 L
s
.32096 .09515 m
.32091 .10425 L
s
.44742 .07038 m
.4474 .07948 L
s
.51253 .05762 m
.51253 .06672 L
s
.57894 .04461 m
.57895 .05371 L
s
.08208 .14195 m
.08198 .15105 L
s
.0251 .15312 m
.02499 .16221 L
s
.71583 .01779 m
.71587 .02689 L
s
.78639 .00397 m
.78644 .01307 L
s
gsave
.38425 -0.09915 -65.9585 -16.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
0 .89211 m
.35878 1 L
s
.03793 .90351 m
.0381 .88835 L
s
[(-5)] .03758 .93384 .0259 -1 Mshowa
.12511 .92973 m
.12526 .91456 L
s
[(-2.5)] .12482 .96006 .0214 -1 Mshowa
.20281 .9531 m
.20293 .93793 L
s
[(0)] .20258 .98343 .0174 -1 Mshowa
.27249 .97405 m
.27259 .95888 L
s
[(2.5)] .27231 1.00439 .01382 -1 Mshowa
.33534 .99295 m
.33541 .97778 L
s
[(5)] .33519 1.02329 .01059 -1 Mshowa
.125 Mabswid
.05621 .90901 m
.05631 .89991 L
s
.07405 .91437 m
.07415 .90527 L
s
.09147 .91961 m
.09157 .91051 L
s
.10849 .92473 m
.10858 .91563 L
s
.14136 .93462 m
.14144 .92552 L
s
.15724 .93939 m
.15732 .93029 L
s
.17277 .94406 m
.17285 .93496 L
s
.18796 .94863 m
.18803 .93953 L
s
.21735 .95747 m
.21742 .94837 L
s
.23158 .96175 m
.23164 .95264 L
s
.2455 .96593 m
.24556 .95683 L
s
.25914 .97003 m
.2592 .96093 L
s
.28558 .97799 m
.28563 .96888 L
s
.29839 .98184 m
.29844 .97274 L
s
.31096 .98562 m
.311 .97652 L
s
.32327 .98932 m
.32331 .98022 L
s
.0192 .89788 m
.01931 .88878 L
s
.34717 .99651 m
.34721 .98741 L
s
gsave
.2014 1.13511 -69.1392 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
75.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.00915 .15624 m
0 .89211 L
s
.00894 .17335 m
.01569 .17204 L
s
[(0)] -0.00456 .17596 1 -0.08626 Mshowa
.00665 .35746 m
.01341 .35636 L
s
[(10)] -0.00686 .35966 1 -0.07289 Mshowa
.00434 .54316 m
.0111 .54226 L
s
[(20)] -0.00919 .54496 1 -0.0594 Mshowa
.00201 .73047 m
.00878 .72977 L
s
[(30)] -0.01153 .73186 1 -0.04579 Mshowa
.125 Mabswid
.00848 .21004 m
.01253 .20929 L
s
.00803 .2468 m
.01208 .24607 L
s
.00757 .28363 m
.01162 .28292 L
s
.00711 .32051 m
.01116 .31982 L
s
.00619 .39447 m
.01024 .39383 L
s
.00573 .43155 m
.00978 .43093 L
s
.00527 .46869 m
.00932 .4681 L
s
.0048 .50589 m
.00886 .50533 L
s
.00388 .58049 m
.00793 .57998 L
s
.00341 .61789 m
.00747 .6174 L
s
.00294 .65535 m
.007 .65488 L
s
.00248 .69288 m
.00654 .69244 L
s
.00154 .76813 m
.0056 .76773 L
s
.00107 .80585 m
.00513 .80548 L
s
.0006 .84364 m
.00467 .84329 L
s
.00013 .88149 m
.00419 .88117 L
s
gsave
-0.07653 .53213 -107 -9.89802 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(H) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 12.813 moveto
(H) show
75.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
81.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
87.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
93.000 12.813 moveto
(L) show
105.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.4 g
.25 Mabswid
.00894 .17335 m
.36112 .44376 L
s
.00665 .35746 m
.36052 .58665 L
s
.00434 .54316 m
.35991 .73048 L
s
.00201 .73047 m
.35931 .87528 L
s
.04624 .18513 m
.03793 .90351 L
s
.13159 .25162 m
.12511 .92973 L
s
.2078 .31099 m
.20281 .9531 L
s
.27626 .36432 m
.27249 .97405 L
s
.33808 .41248 m
.33534 .99295 L
s
0 g
.00915 .15624 m
0 .89211 L
s
0 .89211 m
.35878 1 L
s
.35878 1 m
.36117 .43047 L
s
.36117 .43047 m
.00915 .15624 L
s
.4 g
.82683 .03676 m
.83222 .84483 L
s
.87285 .12053 m
.87871 .87799 L
s
.91339 .19431 m
.91957 .90713 L
s
.94937 .2598 m
.95576 .93295 L
s
.98152 .31832 m
.98804 .95598 L
s
.80675 .01926 m
.9936 .35457 L
s
.80804 .22666 m
.99524 .5111 L
s
.80934 .43609 m
.9969 .66878 L
s
.81065 .64757 m
.99856 .82761 L
s
0 g
.80663 0 m
.99345 .34002 L
s
.99345 .34002 m
1 .9645 L
s
1 .9645 m
.81178 .83025 L
s
.81178 .83025 m
.80663 0 L
s
.4 g
.00894 .17335 m
.80675 .01926 L
s
.00665 .35746 m
.80804 .22666 L
s
.00434 .54316 m
.80934 .43609 L
s
.00201 .73047 m
.81065 .64757 L
s
.14013 .13058 m
.13307 .88197 L
s
.38358 .08288 m
.38069 .8631 L
s
.6467 .03133 m
.64868 .84268 L
s
0 g
.00915 .15624 m
0 .89211 L
s
0 .89211 m
.81178 .83025 L
s
.81178 .83025 m
.80663 0 L
s
.80663 0 m
.00915 .15624 L
s
.4 g
.46757 .41525 m
.46657 .99403 L
s
.66263 .38734 m
.6643 .98309 L
s
.86957 .35774 m
.87424 .97147 L
s
.36112 .44376 m
.9936 .35457 L
s
.36052 .58665 m
.99524 .5111 L
s
.35991 .73048 m
.9969 .66878 L
s
.35931 .87528 m
.99856 .82761 L
s
0 g
.36117 .43047 m
.99345 .34002 L
s
.99345 .34002 m
1 .9645 L
s
1 .9645 m
.35878 1 L
s
.35878 1 m
.36117 .43047 L
s
.4 g
.14013 .13058 m
.46757 .41525 L
s
.38358 .08288 m
.66263 .38734 L
s
.6467 .03133 m
.86957 .35774 L
s
.04624 .18513 m
.82683 .03676 L
s
.13159 .25162 m
.87285 .12053 L
s
.2078 .31099 m
.91339 .19431 L
s
.27626 .36432 m
.94937 .2598 L
s
.33808 .41248 m
.98152 .31832 L
s
.13307 .88197 m
.46657 .99403 L
s
.38069 .8631 m
.6643 .98309 L
s
.64868 .84268 m
.87424 .97147 L
s
.03793 .90351 m
.83222 .84483 L
s
.12511 .92973 m
.87871 .87799 L
s
.20281 .9531 m
.91957 .90713 L
s
.27249 .97405 m
.95576 .93295 L
s
.33534 .99295 m
.98804 .95598 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
.617 .674 .882 r
.35609 .97486 .35884 .98626 .36474 .98564 .362 .97422 Metetra
.628 .68 .88 r
.362 .97422 .36474 .98564 .37065 .98443 .36792 .973 Metetra
.639 .685 .877 r
.36792 .973 .37065 .98443 .37658 .98265 .37386 .97121 Metetra
.65 .69 .875 r
.37386 .97121 .37658 .98265 .38251 .9803 .37981 .96884 Metetra
.659 .695 .872 r
.37981 .96884 .38251 .9803 .38846 .97738 .38577 .96591 Metetra
.668 .699 .87 r
.38577 .96591 .38846 .97738 .39443 .97391 .39174 .96242 Metetra
.677 .703 .867 r
.39174 .96242 .39443 .97391 .4004 .96989 .39772 .95838 Metetra
.684 .707 .865 r
.39772 .95838 .4004 .96989 .40638 .96534 .40372 .95381 Metetra
.692 .71 .862 r
.40372 .95381 .40638 .96534 .41238 .96028 .40972 .94873 Metetra
.698 .713 .86 r
.40972 .94873 .41238 .96028 .41839 .95472 .41574 .94315 Metetra
.705 .716 .858 r
.41574 .94315 .41839 .95472 .42441 .94868 .42177 .93709 Metetra
.71 .719 .856 r
.42177 .93709 .42441 .94868 .43043 .94219 .42781 .93057 Metetra
.715 .721 .854 r
.42781 .93057 .43043 .94219 .43647 .93526 .43386 .92362 Metetra
.72 .723 .852 r
.43386 .92362 .43647 .93526 .44252 .92793 .43992 .91627 Metetra
.724 .725 .85 r
.43992 .91627 .44252 .92793 .44858 .92022 .44599 .90853 Metetra
.728 .727 .849 r
.44599 .90853 .44858 .92022 .45465 .91216 .45207 .90045 Metetra
.732 .728 .847 r
.45207 .90045 .45465 .91216 .46073 .90378 .45816 .89204 Metetra
.734 .729 .846 r
.45816 .89204 .46073 .90378 .46682 .89511 .46426 .88335 Metetra
.737 .73 .845 r
.46426 .88335 .46682 .89511 .47292 .88619 .47037 .8744 Metetra
.739 .731 .844 r
.47037 .8744 .47292 .88619 .47902 .87705 .47649 .86522 Metetra
.741 .732 .843 r
.47649 .86522 .47902 .87705 .48514 .86771 .48261 .85586 Metetra
.742 .733 .843 r
.48261 .85586 .48514 .86771 .49126 .85823 .48875 .84635 Metetra
.743 .733 .842 r
.48875 .84635 .49126 .85823 .4974 .84863 .4949 .83672 Metetra
.744 .734 .842 r
.4949 .83672 .4974 .84863 .50354 .83896 .50105 .82702 Metetra
.744 .734 .842 r
.50105 .82702 .50354 .83896 .50969 .82924 .50721 .81727 Metetra
.744 .734 .842 r
.50721 .81727 .50969 .82924 .51585 .81951 .51338 .80752 Metetra
.744 .733 .842 r
.51338 .80752 .51585 .81951 .52202 .80982 .51956 .7978 Metetra
.743 .733 .843 r
.51956 .7978 .52202 .80982 .5282 .8002 .52575 .78815 Metetra
.742 .733 .843 r
.52575 .78815 .5282 .8002 .53438 .79069 .53195 .7786 Metetra
.74 .732 .844 r
.53195 .7786 .53438 .79069 .54058 .78132 .53816 .7692 Metetra
.738 .731 .845 r
.53816 .7692 .54058 .78132 .54678 .77212 .54437 .75998 Metetra
.736 .73 .846 r
.54437 .75998 .54678 .77212 .553 .76314 .5506 .75097 Metetra
.733 .728 .847 r
.5506 .75097 .553 .76314 .55922 .75441 .55683 .74221 Metetra
.73 .727 .848 r
.55683 .74221 .55922 .75441 .56545 .74596 .56308 .73374 Metetra
.726 .725 .849 r
.56308 .73374 .56545 .74596 .57169 .73783 .56933 .72557 Metetra
.722 .723 .851 r
.56933 .72557 .57169 .73783 .57795 .73004 .57559 .71776 Metetra
.718 .721 .852 r
.57559 .71776 .57795 .73004 .58421 .72262 .58187 .71031 Metetra
.713 .719 .854 r
.58187 .71031 .58421 .72262 .59048 .7156 .58815 .70327 Metetra
.708 .716 .855 r
.58815 .70327 .59048 .7156 .59676 .70902 .59444 .69666 Metetra
.702 .713 .857 r
.59444 .69666 .59676 .70902 .60305 .70289 .60075 .69051 Metetra
.696 .71 .859 r
.60075 .69051 .60305 .70289 .60936 .69723 .60706 .68483 Metetra
.689 .706 .861 r
.60706 .68483 .60936 .69723 .61567 .69208 .61339 .67966 Metetra
.682 .702 .863 r
.61339 .67966 .61567 .69208 .622 .68744 .61973 .675 Metetra
.674 .698 .865 r
.61973 .675 .622 .68744 .62834 .68333 .62608 .67087 Metetra
.666 .694 .866 r
.62608 .67087 .62834 .68333 .63469 .67978 .63244 .6673 Metetra
.657 .689 .868 r
.63244 .6673 .63469 .67978 .64105 .67679 .63882 .6643 Metetra
.648 .684 .87 r
.63882 .6643 .64105 .67679 .64743 .67438 .6452 .66186 Metetra
.639 .679 .872 r
.6452 .66186 .64743 .67438 .65382 .67255 .6516 .66002 Metetra
.629 .673 .873 r
.6516 .66002 .65382 .67255 .66022 .6713 .65802 .65876 Metetra
.619 .667 .875 r
.65802 .65876 .66022 .6713 .66663 .67065 .66445 .6581 Metetra
.608 .661 .876 r
.66445 .6581 .66663 .67065 .67306 .6706 .67089 .65803 Metetra
.597 .654 .877 r
.67089 .65803 .67306 .6706 .67951 .67114 .67734 .65856 Metetra
.585 .648 .878 r
.67734 .65856 .67951 .67114 .68597 .67227 .68381 .65968 Metetra
.574 .641 .879 r
.68381 .65968 .68597 .67227 .69244 .67398 .6903 .66138 Metetra
.562 .633 .88 r
.6903 .66138 .69244 .67398 .69893 .67628 .6968 .66367 Metetra
.55 .626 .88 r
.6968 .66367 .69893 .67628 .70543 .67914 .70331 .66652 Metetra
.538 .619 .88 r
.70331 .66652 .70543 .67914 .71195 .68256 .70985 .66994 Metetra
.526 .611 .88 r
.70985 .66994 .71195 .68256 .71848 .68651 .71639 .67389 Metetra
.514 .604 .88 r
.71639 .67389 .71848 .68651 .72504 .691 .72296 .67837 Metetra
.503 .596 .88 r
.72296 .67837 .72504 .691 .7316 .69599 .72954 .68336 Metetra
.491 .589 .879 r
.72954 .68336 .7316 .69599 .73819 .70146 .73613 .68883 Metetra
.48 .581 .879 r
.73613 .68883 .73819 .70146 .74479 .70739 .74274 .69476 Metetra
.469 .574 .878 r
.74274 .69476 .74479 .70739 .7514 .71377 .74937 .70113 Metetra
.459 .568 .877 r
.74937 .70113 .7514 .71377 .75804 .72055 .75602 .70792 Metetra
.45 .561 .876 r
.75602 .70792 .75804 .72055 .76469 .72772 .76268 .71509 Metetra
.441 .556 .875 r
.76268 .71509 .76469 .72772 .77135 .73524 .76936 .72261 Metetra
.433 .55 .875 r
.76936 .72261 .77135 .73524 .77804 .74307 .77606 .73045 Metetra
.426 .545 .874 r
.77606 .73045 .77804 .74307 .78474 .7512 .78277 .73858 Metetra
.419 .541 .873 r
.78277 .73858 .78474 .7512 .79146 .75958 .7895 .74697 Metetra
.414 .537 .872 r
.7895 .74697 .79146 .75958 .79819 .76819 .79625 .75557 Metetra
.41 .534 .871 r
.79625 .75557 .79819 .76819 .80495 .77697 .80302 .76436 Metetra
.406 .532 .871 r
.80302 .76436 .80495 .77697 .81171 .7859 .8098 .7733 Metetra
.404 .53 .871 r
.8098 .7733 .81171 .7859 .8185 .79494 .8166 .78234 Metetra
.403 .529 .87 r
.8166 .78234 .8185 .79494 .8253 .80405 .82341 .79145 Metetra
.402 .529 .87 r
.82341 .79145 .8253 .80405 .83212 .81319 .83024 .8006 Metetra
.403 .53 .871 r
.83024 .8006 .83212 .81319 .83895 .82232 .83709 .80974 Metetra
.405 .531 .871 r
.83709 .80974 .83895 .82232 .8458 .83141 .84395 .81883 Metetra
.408 .533 .871 r
.84395 .81883 .8458 .83141 .85267 .84041 .85083 .82784 Metetra
.412 .536 .872 r
.85083 .82784 .85267 .84041 .85955 .84929 .85773 .83672 Metetra
.416 .539 .873 r
.85773 .83672 .85955 .84929 .86645 .858 .86464 .84544 Metetra
.422 .543 .873 r
.86464 .84544 .86645 .858 .87336 .86652 .87156 .85396 Metetra
.429 .547 .874 r
.87156 .85396 .87336 .86652 .88028 .87479 .8785 .86224 Metetra
.436 .553 .875 r
.8785 .86224 .88028 .87479 .88722 .8828 .88545 .87024 Metetra
.444 .558 .876 r
.88545 .87024 .88722 .8828 .89418 .89049 .89242 .87794 Metetra
.453 .564 .877 r
.89242 .87794 .89418 .89049 .90114 .89784 .8994 .88529 Metetra
.462 .571 .878 r
.8994 .88529 .90114 .89784 .90812 .90481 .90639 .89227 Metetra
.472 .577 .879 r
.90639 .89227 .90812 .90481 .91511 .91138 .9134 .89883 Metetra
.482 .584 .88 r
.9134 .89883 .91511 .91138 .92212 .91751 .92042 .90496 Metetra
.493 .592 .881 r
.92042 .90496 .92212 .91751 .92913 .92317 .92744 .91062 Metetra
.504 .599 .882 r
.92744 .91062 .92913 .92317 .93616 .92834 .93449 .91579 Metetra
.515 .607 .883 r
.93449 .91579 .93616 .92834 .9432 .933 .94154 .92044 Metetra
.526 .615 .883 r
.94154 .92044 .9432 .933 .95025 .93711 .9486 .92456 Metetra
.538 .622 .884 r
.9486 .92456 .95025 .93711 .9573 .94067 .95567 .92811 Metetra
.549 .63 .884 r
.95567 .92811 .9573 .94067 .96437 .94365 .96275 .93108 Metetra
.561 .638 .884 r
.96275 .93108 .96437 .94365 .97145 .94603 .96985 .93346 Metetra
.572 .646 .884 r
.96985 .93346 .97145 .94603 .97853 .94782 .97695 .93523 Metetra
.584 .653 .884 r
.97695 .93523 .97853 .94782 .98563 .94898 .98406 .93638 Metetra
.595 .66 .884 r
.98406 .93638 .98563 .94898 .99273 .94952 .99117 .93691 Metetra
.606 .668 .883 r
.99117 .93691 .99273 .94952 .99984 .94943 .9983 .93681 Metetra
.616 .677 .885 r
.35333 .96362 .35609 .97486 .362 .97422 .35925 .96297 Metetra
.628 .682 .882 r
.35925 .96297 .362 .97422 .36792 .973 .36518 .96174 Metetra
.639 .688 .88 r
.36518 .96174 .36792 .973 .37386 .97121 .37113 .95993 Metetra
.649 .693 .877 r
.37113 .95993 .37386 .97121 .37981 .96884 .37709 .95755 Metetra
.659 .698 .874 r
.37709 .95755 .37981 .96884 .38577 .96591 .38306 .9546 Metetra
.668 .702 .872 r
.38306 .9546 .38577 .96591 .39174 .96242 .38904 .95109 Metetra
.677 .706 .869 r
.38904 .95109 .39174 .96242 .39772 .95838 .39503 .94704 Metetra
.685 .709 .867 r
.39503 .94704 .39772 .95838 .40372 .95381 .40104 .94245 Metetra
.692 .713 .864 r
.40104 .94245 .40372 .95381 .40972 .94873 .40706 .93735 Metetra
.699 .716 .862 r
.40706 .93735 .40972 .94873 .41574 .94315 .41309 .93175 Metetra
.705 .719 .86 r
.41309 .93175 .41574 .94315 .42177 .93709 .41912 .92566 Metetra
.711 .721 .858 r
.41912 .92566 .42177 .93709 .42781 .93057 .42518 .91912 Metetra
.716 .724 .856 r
.42518 .91912 .42781 .93057 .43386 .92362 .43124 .91215 Metetra
.721 .726 .854 r
.43124 .91215 .43386 .92362 .43992 .91627 .43731 .90477 Metetra
.725 .728 .852 r
.43731 .90477 .43992 .91627 .44599 .90853 .44339 .89701 Metetra
.729 .729 .851 r
.44339 .89701 .44599 .90853 .45207 .90045 .44948 .8889 Metetra
.732 .731 .849 r
.44948 .8889 .45207 .90045 .45816 .89204 .45558 .88047 Metetra
.735 .732 .848 r
.45558 .88047 .45816 .89204 .46426 .88335 .46169 .87175 Metetra
.738 .733 .847 r
.46169 .87175 .46426 .88335 .47037 .8744 .46781 .86277 Metetra
.74 .734 .846 r
.46781 .86277 .47037 .8744 .47649 .86522 .47394 .85357 Metetra
.742 .735 .845 r
.47394 .85357 .47649 .86522 .48261 .85586 .48008 .84418 Metetra
.743 .736 .845 r
.48008 .84418 .48261 .85586 .48875 .84635 .48623 .83464 Metetra
.744 .736 .844 r
.48623 .83464 .48875 .84635 .4949 .83672 .49238 .82498 Metetra
.745 .736 .844 r
.49238 .82498 .4949 .83672 .50105 .82702 .49855 .81525 Metetra
.745 .736 .844 r
.49855 .81525 .50105 .82702 .50721 .81727 .50472 .80547 Metetra
.745 .736 .844 r
.50472 .80547 .50721 .81727 .51338 .80752 .5109 .79569 Metetra
.745 .736 .844 r
.5109 .79569 .51338 .80752 .51956 .7978 .5171 .78594 Metetra
.744 .736 .844 r
.5171 .78594 .51956 .7978 .52575 .78815 .5233 .77626 Metetra
.743 .735 .845 r
.5233 .77626 .52575 .78815 .53195 .7786 .52951 .76669 Metetra
.741 .735 .845 r
.52951 .76669 .53195 .7786 .53816 .7692 .53572 .75726 Metetra
.739 .734 .846 r
.53572 .75726 .53816 .7692 .54437 .75998 .54195 .74801 Metetra
.737 .732 .847 r
.54195 .74801 .54437 .75998 .5506 .75097 .54819 .73897 Metetra
.734 .731 .848 r
.54819 .73897 .5506 .75097 .55683 .74221 .55444 .73018 Metetra
.731 .73 .85 r
.55444 .73018 .55683 .74221 .56308 .73374 .56069 .72168 Metetra
.727 .728 .851 r
.56069 .72168 .56308 .73374 .56933 .72557 .56696 .71349 Metetra
.723 .726 .852 r
.56696 .71349 .56933 .72557 .57559 .71776 .57323 .70565 Metetra
.719 .724 .854 r
.57323 .70565 .57559 .71776 .58187 .71031 .57952 .69818 Metetra
.714 .721 .856 r
.57952 .69818 .58187 .71031 .58815 .70327 .58581 .69111 Metetra
.708 .719 .857 r
.58581 .69111 .58815 .70327 .59444 .69666 .59212 .68448 Metetra
.702 .716 .859 r
.59212 .68448 .59444 .69666 .60075 .69051 .59843 .6783 Metetra
.696 .712 .861 r
.59843 .6783 .60075 .69051 .60706 .68483 .60476 .6726 Metetra
.689 .709 .863 r
.60476 .6726 .60706 .68483 .61339 .67966 .6111 .6674 Metetra
.682 .705 .865 r
.6111 .6674 .61339 .67966 .61973 .675 .61745 .66272 Metetra
.674 .701 .867 r
.61745 .66272 .61973 .675 .62608 .67087 .62381 .65858 Metetra
.666 .697 .869 r
.62381 .65858 .62608 .67087 .63244 .6673 .63019 .65499 Metetra
.657 .692 .871 r
.63019 .65499 .63244 .6673 .63882 .6643 .63657 .65197 Metetra
.648 .687 .872 r
.63657 .65197 .63882 .6643 .6452 .66186 .64297 .64952 Metetra
.638 .681 .874 r
.64297 .64952 .6452 .66186 .6516 .66002 .64938 .64766 Metetra
.628 .676 .876 r
.64938 .64766 .6516 .66002 .65802 .65876 .65581 .64638 Metetra
.618 .67 .877 r
.65581 .64638 .65802 .65876 .66445 .6581 .66225 .64571 Metetra
.607 .663 .879 r
.66225 .64571 .66445 .6581 .67089 .65803 .6687 .64563 Metetra
.596 .657 .88 r
.6687 .64563 .67089 .65803 .67734 .65856 .67517 .64614 Metetra
.584 .65 .881 r
.67517 .64614 .67734 .65856 .68381 .65968 .68165 .64725 Metetra
.572 .643 .882 r
.68165 .64725 .68381 .65968 .6903 .66138 .68815 .64895 Metetra
.56 .635 .882 r
.68815 .64895 .6903 .66138 .6968 .66367 .69466 .65123 Metetra
.548 .628 .883 r
.69466 .65123 .6968 .66367 .70331 .66652 .70119 .65408 Metetra
.536 .62 .883 r
.70119 .65408 .70331 .66652 .70985 .66994 .70773 .65749 Metetra
.523 .612 .883 r
.70773 .65749 .70985 .66994 .71639 .67389 .71429 .66144 Metetra
.511 .605 .883 r
.71429 .66144 .71639 .67389 .72296 .67837 .72087 .66591 Metetra
.499 .597 .883 r
.72087 .66591 .72296 .67837 .72954 .68336 .72746 .67089 Metetra
.488 .59 .882 r
.72746 .67089 .72954 .68336 .73613 .68883 .73407 .67637 Metetra
.476 .582 .881 r
.73407 .67637 .73613 .68883 .74274 .69476 .74069 .6823 Metetra
.466 .575 .881 r
.74069 .6823 .74274 .69476 .74937 .70113 .74733 .68867 Metetra
.455 .568 .88 r
.74733 .68867 .74937 .70113 .75602 .70792 .75399 .69546 Metetra
.445 .562 .879 r
.75399 .69546 .75602 .70792 .76268 .71509 .76067 .70263 Metetra
.436 .556 .878 r
.76067 .70263 .76268 .71509 .76936 .72261 .76736 .71015 Metetra
.428 .55 .877 r
.76736 .71015 .76936 .72261 .77606 .73045 .77407 .71799 Metetra
.421 .545 .876 r
.77407 .71799 .77606 .73045 .78277 .73858 .7808 .72613 Metetra
.414 .541 .875 r
.7808 .72613 .78277 .73858 .7895 .74697 .78754 .73452 Metetra
.409 .537 .874 r
.78754 .73452 .7895 .74697 .79625 .75557 .7943 .74313 Metetra
.404 .534 .874 r
.7943 .74313 .79625 .75557 .80302 .76436 .80108 .75192 Metetra
.401 .531 .873 r
.80108 .75192 .80302 .76436 .8098 .7733 .80787 .76086 Metetra
.398 .53 .873 r
.80787 .76086 .8098 .7733 .8166 .78234 .81468 .76991 Metetra
.397 .529 .872 r
.81468 .76991 .8166 .78234 .82341 .79145 .82151 .77903 Metetra
.397 .529 .872 r
.82151 .77903 .82341 .79145 .83024 .8006 .82836 .78818 Metetra
.398 .529 .873 r
.82836 .78818 .83024 .8006 .83709 .80974 .83522 .79733 Metetra
.399 .531 .873 r
.83522 .79733 .83709 .80974 .84395 .81883 .84209 .80643 Metetra
.402 .533 .873 r
.84209 .80643 .84395 .81883 .85083 .82784 .84899 .81544 Metetra
.406 .535 .874 r
.84899 .81544 .85083 .82784 .85773 .83672 .85589 .82433 Metetra
.411 .539 .875 r
.85589 .82433 .85773 .83672 .86464 .84544 .86282 .83305 Metetra
.417 .543 .876 r
.86282 .83305 .86464 .84544 .87156 .85396 .86976 .84157 Metetra
.424 .547 .877 r
.86976 .84157 .87156 .85396 .8785 .86224 .87671 .84986 Metetra
.431 .553 .878 r
.87671 .84986 .8785 .86224 .88545 .87024 .88367 .85787 Metetra
.439 .558 .879 r
.88367 .85787 .88545 .87024 .89242 .87794 .89065 .86557 Metetra
.448 .564 .88 r
.89065 .86557 .89242 .87794 .8994 .88529 .89765 .87292 Metetra
.458 .571 .881 r
.89765 .87292 .8994 .88529 .90639 .89227 .90466 .8799 Metetra
.468 .578 .882 r
.90466 .8799 .90639 .89227 .9134 .89883 .91168 .88647 Metetra
.478 .585 .883 r
.91168 .88647 .9134 .89883 .92042 .90496 .91871 .89259 Metetra
.489 .593 .884 r
.91871 .89259 .92042 .90496 .92744 .91062 .92575 .89825 Metetra
.501 .6 .885 r
.92575 .89825 .92744 .91062 .93449 .91579 .93281 .90342 Metetra
.512 .608 .886 r
.93281 .90342 .93449 .91579 .94154 .92044 .93987 .90807 Metetra
.524 .616 .886 r
.93987 .90807 .94154 .92044 .9486 .92456 .94695 .91218 Metetra
.535 .624 .887 r
.94695 .91218 .9486 .92456 .95567 .92811 .95404 .91572 Metetra
.547 .632 .887 r
.95404 .91572 .95567 .92811 .96275 .93108 .96113 .91869 Metetra
.559 .64 .887 r
.96113 .91869 .96275 .93108 .96985 .93346 .96824 .92106 Metetra
.571 .648 .887 r
.96824 .92106 .96985 .93346 .97695 .93523 .97535 .92282 Metetra
.582 .655 .887 r
.97535 .92282 .97695 .93523 .98406 .93638 .98248 .92397 Metetra
.593 .663 .887 r
.98248 .92397 .98406 .93638 .99117 .93691 .98961 .92448 Metetra
.604 .67 .886 r
.98961 .92448 .99117 .93691 .9983 .93681 .99675 .92436 Metetra
.615 .679 .887 r
.35056 .95255 .35333 .96362 .35925 .96297 .35649 .95189 Metetra
.627 .685 .885 r
.35649 .95189 .35925 .96297 .36518 .96174 .36243 .95064 Metetra
.638 .69 .882 r
.36243 .95064 .36518 .96174 .37113 .95993 .36839 .94882 Metetra
.649 .696 .88 r
.36839 .94882 .37113 .95993 .37709 .95755 .37435 .94642 Metetra
.659 .7 .877 r
.37435 .94642 .37709 .95755 .38306 .9546 .38033 .94346 Metetra
.668 .705 .874 r
.38033 .94346 .38306 .9546 .38904 .95109 .38633 .93994 Metetra
.677 .709 .872 r
.38633 .93994 .38904 .95109 .39503 .94704 .39233 .93586 Metetra
.685 .712 .869 r
.39233 .93586 .39503 .94704 .40104 .94245 .39835 .93126 Metetra
.693 .716 .867 r
.39835 .93126 .40104 .94245 .40706 .93735 .40438 .92614 Metetra
.699 .719 .864 r
.40438 .92614 .40706 .93735 .41309 .93175 .41042 .92051 Metetra
.706 .722 .862 r
.41042 .92051 .41309 .93175 .41912 .92566 .41647 .91441 Metetra
.712 .724 .86 r
.41647 .91441 .41912 .92566 .42518 .91912 .42253 .90785 Metetra
.717 .726 .858 r
.42253 .90785 .42518 .91912 .43124 .91215 .4286 .90085 Metetra
.722 .729 .856 r
.4286 .90085 .43124 .91215 .43731 .90477 .43468 .89345 Metetra
.726 .73 .854 r
.43468 .89345 .43731 .90477 .44339 .89701 .44077 .88566 Metetra
.73 .732 .853 r
.44077 .88566 .44339 .89701 .44948 .8889 .44688 .87752 Metetra
.733 .734 .851 r
.44688 .87752 .44948 .8889 .45558 .88047 .45299 .86907 Metetra
.736 .735 .85 r
.45299 .86907 .45558 .88047 .46169 .87175 .45911 .86032 Metetra
.739 .736 .849 r
.45911 .86032 .46169 .87175 .46781 .86277 .46524 .85131 Metetra
.741 .737 .848 r
.46524 .85131 .46781 .86277 .47394 .85357 .47138 .84208 Metetra
.743 .738 .847 r
.47138 .84208 .47394 .85357 .48008 .84418 .47753 .83266 Metetra
.744 .738 .846 r
.47753 .83266 .48008 .84418 .48623 .83464 .48369 .8231 Metetra
.745 .739 .846 r
.48369 .8231 .48623 .83464 .49238 .82498 .48986 .81341 Metetra
.746 .739 .845 r
.48986 .81341 .49238 .82498 .49855 .81525 .49603 .80365 Metetra
.746 .739 .845 r
.49603 .80365 .49855 .81525 .50472 .80547 .50222 .79384 Metetra
.746 .739 .845 r
.50222 .79384 .50472 .80547 .5109 .79569 .50841 .78403 Metetra
.746 .739 .846 r
.50841 .78403 .5109 .79569 .5171 .78594 .51462 .77425 Metetra
.745 .739 .846 r
.51462 .77425 .5171 .78594 .5233 .77626 .52083 .76454 Metetra
.744 .738 .847 r
.52083 .76454 .5233 .77626 .52951 .76669 .52705 .75494 Metetra
.742 .737 .847 r
.52705 .75494 .52951 .76669 .53572 .75726 .53328 .74548 Metetra
.74 .736 .848 r
.53328 .74548 .53572 .75726 .54195 .74801 .53952 .7362 Metetra
.738 .735 .849 r
.53952 .7362 .54195 .74801 .54819 .73897 .54577 .72714 Metetra
.735 .734 .85 r
.54577 .72714 .54819 .73897 .55444 .73018 .55203 .71832 Metetra
.732 .732 .851 r
.55203 .71832 .55444 .73018 .56069 .72168 .55829 .70979 Metetra
.728 .731 .853 r
.55829 .70979 .56069 .72168 .56696 .71349 .56457 .70157 Metetra
.724 .729 .854 r
.56457 .70157 .56696 .71349 .57323 .70565 .57086 .6937 Metetra
.719 .727 .856 r
.57086 .6937 .57323 .70565 .57952 .69818 .57715 .68621 Metetra
.714 .724 .858 r
.57715 .68621 .57952 .69818 .58581 .69111 .58346 .67912 Metetra
.709 .721 .859 r
.58346 .67912 .58581 .69111 .59212 .68448 .58978 .67246 Metetra
.703 .719 .861 r
.58978 .67246 .59212 .68448 .59843 .6783 .59611 .66626 Metetra
.697 .715 .863 r
.59611 .66626 .59843 .6783 .60476 .6726 .60245 .66054 Metetra
.69 .712 .865 r
.60245 .66054 .60476 .6726 .6111 .6674 .6088 .65532 Metetra
.682 .708 .867 r
.6088 .65532 .6111 .6674 .61745 .66272 .61516 .65062 Metetra
.674 .704 .869 r
.61516 .65062 .61745 .66272 .62381 .65858 .62153 .64646 Metetra
.666 .699 .871 r
.62153 .64646 .62381 .65858 .63019 .65499 .62792 .64285 Metetra
.657 .694 .873 r
.62792 .64285 .63019 .65499 .63657 .65197 .63432 .6398 Metetra
.648 .689 .875 r
.63432 .6398 .63657 .65197 .64297 .64952 .64073 .63734 Metetra
.638 .684 .877 r
.64073 .63734 .64297 .64952 .64938 .64766 .64715 .63546 Metetra
.628 .678 .878 r
.64715 .63546 .64938 .64766 .65581 .64638 .65359 .63418 Metetra
.617 .672 .88 r
.65359 .63418 .65581 .64638 .66225 .64571 .66004 .63349 Metetra
.606 .665 .881 r
.66004 .63349 .66225 .64571 .6687 .64563 .66651 .6334 Metetra
.594 .659 .883 r
.66651 .6334 .6687 .64563 .67517 .64614 .67299 .6339 Metetra
.583 .652 .884 r
.67299 .6339 .67517 .64614 .68165 .64725 .67948 .635 Metetra
.57 .644 .884 r
.67948 .635 .68165 .64725 .68815 .64895 .68599 .63669 Metetra
.558 .637 .885 r
.68599 .63669 .68815 .64895 .69466 .65123 .69252 .63896 Metetra
.546 .629 .886 r
.69252 .63896 .69466 .65123 .70119 .65408 .69906 .6418 Metetra
.533 .622 .886 r
.69906 .6418 .70119 .65408 .70773 .65749 .70561 .64521 Metetra
.521 .614 .886 r
.70561 .64521 .70773 .65749 .71429 .66144 .71218 .64915 Metetra
.508 .606 .886 r
.71218 .64915 .71429 .66144 .72087 .66591 .71877 .65362 Metetra
.496 .598 .885 r
.71877 .65362 .72087 .66591 .72746 .67089 .72538 .6586 Metetra
.484 .59 .885 r
.72538 .6586 .72746 .67089 .73407 .67637 .732 .66407 Metetra
.473 .583 .884 r
.732 .66407 .73407 .67637 .74069 .6823 .73863 .67001 Metetra
.461 .576 .883 r
.73863 .67001 .74069 .6823 .74733 .68867 .74529 .67638 Metetra
.451 .569 .882 r
.74529 .67638 .74733 .68867 .75399 .69546 .75196 .68317 Metetra
.441 .562 .881 r
.75196 .68317 .75399 .69546 .76067 .70263 .75865 .69034 Metetra
.432 .556 .88 r
.75865 .69034 .76067 .70263 .76736 .71015 .76535 .69786 Metetra
.423 .55 .879 r
.76535 .69786 .76736 .71015 .77407 .71799 .77207 .70571 Metetra
.416 .545 .878 r
.77207 .70571 .77407 .71799 .7808 .72613 .77881 .71385 Metetra
.409 .541 .877 r
.77881 .71385 .7808 .72613 .78754 .73452 .78557 .72224 Metetra
.403 .537 .876 r
.78557 .72224 .78754 .73452 .7943 .74313 .79234 .73086 Metetra
.399 .533 .876 r
.79234 .73086 .7943 .74313 .80108 .75192 .79913 .73966 Metetra
.395 .531 .875 r
.79913 .73966 .80108 .75192 .80787 .76086 .80594 .7486 Metetra
.393 .529 .875 r
.80594 .7486 .80787 .76086 .81468 .76991 .81277 .75766 Metetra
.391 .528 .875 r
.81277 .75766 .81468 .76991 .82151 .77903 .81961 .76679 Metetra
.391 .528 .874 r
.81961 .76679 .82151 .77903 .82836 .78818 .82646 .77594 Metetra
.392 .529 .875 r
.82646 .77594 .82836 .78818 .83522 .79733 .83334 .78509 Metetra
.394 .53 .875 r
.83334 .78509 .83522 .79733 .84209 .80643 .84023 .7942 Metetra
.397 .532 .875 r
.84023 .7942 .84209 .80643 .84899 .81544 .84713 .80321 Metetra
.401 .535 .876 r
.84713 .80321 .84899 .81544 .85589 .82433 .85406 .81211 Metetra
.406 .538 .877 r
.85406 .81211 .85589 .82433 .86282 .83305 .86099 .82084 Metetra
.412 .543 .878 r
.86099 .82084 .86282 .83305 .86976 .84157 .86794 .82936 Metetra
.419 .547 .879 r
.86794 .82936 .86976 .84157 .87671 .84986 .87491 .83765 Metetra
.426 .553 .88 r
.87491 .83765 .87671 .84986 .88367 .85787 .88189 .84567 Metetra
.435 .559 .881 r
.88189 .84567 .88367 .85787 .89065 .86557 .88888 .85337 Metetra
.444 .565 .882 r
.88888 .85337 .89065 .86557 .89765 .87292 .89589 .86073 Metetra
.454 .572 .883 r
.89589 .86073 .89765 .87292 .90466 .8799 .90291 .86771 Metetra
.464 .579 .885 r
.90291 .86771 .90466 .8799 .91168 .88647 .90995 .87427 Metetra
.475 .586 .886 r
.90995 .87427 .91168 .88647 .91871 .89259 .91699 .8804 Metetra
.486 .594 .887 r
.91699 .8804 .91871 .89259 .92575 .89825 .92405 .88606 Metetra
.497 .602 .887 r
.92405 .88606 .92575 .89825 .93281 .90342 .93112 .89123 Metetra
.509 .61 .888 r
.93112 .89123 .93281 .90342 .93987 .90807 .9382 .89587 Metetra
.521 .618 .889 r
.9382 .89587 .93987 .90807 .94695 .91218 .94529 .89998 Metetra
.533 .626 .889 r
.94529 .89998 .94695 .91218 .95404 .91572 .95239 .90352 Metetra
.545 .634 .89 r
.95239 .90352 .95404 .91572 .96113 .91869 .95951 .90648 Metetra
.557 .642 .89 r
.95951 .90648 .96113 .91869 .96824 .92106 .96663 .90884 Metetra
.569 .65 .89 r
.96663 .90884 .96824 .92106 .97535 .92282 .97376 .91059 Metetra
.58 .657 .89 r
.97376 .91059 .97535 .92282 .98248 .92397 .9809 .91173 Metetra
.592 .665 .889 r
.9809 .91173 .98248 .92397 .98961 .92448 .98804 .91223 Metetra
.603 .672 .889 r
.98804 .91223 .98961 .92448 .99675 .92436 .9952 .9121 Metetra
.614 .682 .89 r
.34777 .94165 .35056 .95255 .35649 .95189 .35371 .94097 Metetra
.626 .688 .888 r
.35371 .94097 .35649 .95189 .36243 .95064 .35967 .93972 Metetra
.638 .693 .885 r
.35967 .93972 .36243 .95064 .36839 .94882 .36563 .93788 Metetra
.649 .698 .882 r
.36563 .93788 .36839 .94882 .37435 .94642 .37161 .93547 Metetra
.659 .703 .88 r
.37161 .93547 .37435 .94642 .38033 .94346 .3776 .93249 Metetra
.668 .707 .877 r
.3776 .93249 .38033 .94346 .38633 .93994 .3836 .92895 Metetra
.677 .711 .874 r
.3836 .92895 .38633 .93994 .39233 .93586 .38962 .92486 Metetra
.685 .715 .871 r
.38962 .92486 .39233 .93586 .39835 .93126 .39565 .92024 Metetra
.693 .719 .869 r
.39565 .92024 .39835 .93126 .40438 .92614 .40168 .91509 Metetra
.7 .722 .866 r
.40168 .91509 .40438 .92614 .41042 .92051 .40773 .90945 Metetra
.706 .724 .864 r
.40773 .90945 .41042 .92051 .41647 .91441 .4138 .90332 Metetra
.712 .727 .862 r
.4138 .90332 .41647 .91441 .42253 .90785 .41987 .89674 Metetra
.718 .729 .86 r
.41987 .89674 .42253 .90785 .4286 .90085 .42595 .88972 Metetra
.722 .731 .858 r
.42595 .88972 .4286 .90085 .43468 .89345 .43204 .88229 Metetra
.727 .733 .856 r
.43204 .88229 .43468 .89345 .44077 .88566 .43815 .87448 Metetra
.731 .735 .854 r
.43815 .87448 .44077 .88566 .44688 .87752 .44426 .86632 Metetra
.734 .736 .853 r
.44426 .86632 .44688 .87752 .45299 .86907 .45038 .85783 Metetra
.737 .738 .852 r
.45038 .85783 .45299 .86907 .45911 .86032 .45652 .84906 Metetra
.74 .739 .85 r
.45652 .84906 .45911 .86032 .46524 .85131 .46266 .84002 Metetra
.742 .74 .849 r
.46266 .84002 .46524 .85131 .47138 .84208 .46881 .83076 Metetra
.744 .741 .849 r
.46881 .83076 .47138 .84208 .47753 .83266 .47497 .82132 Metetra
.745 .741 .848 r
.47497 .82132 .47753 .83266 .48369 .8231 .48114 .81172 Metetra
.746 .742 .847 r
.48114 .81172 .48369 .8231 .48986 .81341 .48732 .80201 Metetra
.747 .742 .847 r
.48732 .80201 .48986 .81341 .49603 .80365 .49351 .79221 Metetra
.747 .742 .847 r
.49351 .79221 .49603 .80365 .50222 .79384 .49971 .78238 Metetra
.747 .742 .847 r
.49971 .78238 .50222 .79384 .50841 .78403 .50591 .77254 Metetra
.747 .742 .847 r
.50591 .77254 .50841 .78403 .51462 .77425 .51213 .76273 Metetra
.746 .741 .848 r
.51213 .76273 .51462 .77425 .52083 .76454 .51835 .75299 Metetra
.745 .741 .848 r
.51835 .75299 .52083 .76454 .52705 .75494 .52459 .74336 Metetra
.743 .74 .849 r
.52459 .74336 .52705 .75494 .53328 .74548 .53083 .73387 Metetra
.741 .739 .85 r
.53083 .73387 .53328 .74548 .53952 .7362 .53708 .72456 Metetra
.739 .738 .851 r
.53708 .72456 .53952 .7362 .54577 .72714 .54334 .71547 Metetra
.736 .737 .852 r
.54334 .71547 .54577 .72714 .55203 .71832 .54961 .70663 Metetra
.733 .735 .853 r
.54961 .70663 .55203 .71832 .55829 .70979 .55589 .69807 Metetra
.729 .734 .855 r
.55589 .69807 .55829 .70979 .56457 .70157 .56218 .68982 Metetra
.725 .732 .856 r
.56218 .68982 .56457 .70157 .57086 .6937 .56847 .68193 Metetra
.72 .729 .858 r
.56847 .68193 .57086 .6937 .57715 .68621 .57478 .67441 Metetra
.715 .727 .86 r
.57478 .67441 .57715 .68621 .58346 .67912 .5811 .66729 Metetra
.71 .724 .862 r
.5811 .66729 .58346 .67912 .58978 .67246 .58743 .66061 Metetra
.704 .721 .863 r
.58743 .66061 .58978 .67246 .59611 .66626 .59377 .65439 Metetra
.697 .718 .865 r
.59377 .65439 .59611 .66626 .60245 .66054 .60012 .64864 Metetra
.69 .715 .867 r
.60012 .64864 .60245 .66054 .6088 .65532 .60649 .6434 Metetra
.683 .711 .869 r
.60649 .6434 .6088 .65532 .61516 .65062 .61286 .63868 Metetra
.675 .706 .872 r
.61286 .63868 .61516 .65062 .62153 .64646 .61925 .6345 Metetra
.666 .702 .874 r
.61925 .6345 .62153 .64646 .62792 .64285 .62564 .63087 Metetra
.657 .697 .876 r
.62564 .63087 .62792 .64285 .63432 .6398 .63206 .62781 Metetra
.648 .692 .877 r
.63206 .62781 .63432 .6398 .64073 .63734 .63848 .62533 Metetra
.638 .686 .879 r
.63848 .62533 .64073 .63734 .64715 .63546 .64492 .62344 Metetra
.627 .68 .881 r
.64492 .62344 .64715 .63546 .65359 .63418 .65137 .62214 Metetra
.616 .674 .883 r
.65137 .62214 .65359 .63418 .66004 .63349 .65783 .62144 Metetra
.605 .668 .884 r
.65783 .62144 .66004 .63349 .66651 .6334 .66431 .62133 Metetra
.593 .661 .885 r
.66431 .62133 .66651 .6334 .67299 .6339 .6708 .62183 Metetra
.581 .654 .886 r
.6708 .62183 .67299 .6339 .67948 .635 .67731 .62292 Metetra
.569 .646 .887 r
.67731 .62292 .67948 .635 .68599 .63669 .68383 .6246 Metetra
.556 .639 .888 r
.68383 .6246 .68599 .63669 .69252 .63896 .69036 .62686 Metetra
.543 .631 .888 r
.69036 .62686 .69252 .63896 .69906 .6418 .69692 .6297 Metetra
.531 .623 .889 r
.69692 .6297 .69906 .6418 .70561 .64521 .70348 .63309 Metetra
.518 .615 .888 r
.70348 .63309 .70561 .64521 .71218 .64915 .71007 .63704 Metetra
.505 .607 .888 r
.71007 .63704 .71218 .64915 .71877 .65362 .71667 .64151 Metetra
.493 .599 .888 r
.71667 .64151 .71877 .65362 .72538 .6586 .72328 .64648 Metetra
.48 .591 .887 r
.72328 .64648 .72538 .6586 .732 .66407 .72992 .65195 Metetra
.469 .584 .886 r
.72992 .65195 .732 .66407 .73863 .67001 .73657 .65789 Metetra
.457 .576 .886 r
.73657 .65789 .73863 .67001 .74529 .67638 .74323 .66426 Metetra
.446 .569 .885 r
.74323 .66426 .74529 .67638 .75196 .68317 .74992 .67105 Metetra
.436 .562 .884 r
.74992 .67105 .75196 .68317 .75865 .69034 .75662 .67822 Metetra
.427 .556 .882 r
.75662 .67822 .75865 .69034 .76535 .69786 .76334 .68575 Metetra
.418 .55 .881 r
.76334 .68575 .76535 .69786 .77207 .70571 .77007 .6936 Metetra
.41 .545 .88 r
.77007 .6936 .77207 .70571 .77881 .71385 .77682 .70174 Metetra
.404 .54 .879 r
.77682 .70174 .77881 .71385 .78557 .72224 .78359 .71014 Metetra
.398 .536 .879 r
.78359 .71014 .78557 .72224 .79234 .73086 .79038 .71876 Metetra
.393 .533 .878 r
.79038 .71876 .79234 .73086 .79913 .73966 .79718 .72757 Metetra
.389 .531 .877 r
.79718 .72757 .79913 .73966 .80594 .7486 .804 .73652 Metetra
.387 .529 .877 r
.804 .73652 .80594 .7486 .81277 .75766 .81084 .74558 Metetra
.385 .528 .877 r
.81084 .74558 .81277 .75766 .81961 .76679 .81769 .75471 Metetra
.385 .528 .877 r
.81769 .75471 .81961 .76679 .82646 .77594 .82457 .76388 Metetra
.386 .528 .877 r
.82457 .76388 .82646 .77594 .83334 .78509 .83145 .77303 Metetra
.388 .53 .877 r
.83145 .77303 .83334 .78509 .84023 .7942 .83836 .78214 Metetra
.391 .532 .878 r
.83836 .78214 .84023 .7942 .84713 .80321 .84528 .79117 Metetra
.395 .535 .878 r
.84528 .79117 .84713 .80321 .85406 .81211 .85221 .80006 Metetra
.4 .538 .879 r
.85221 .80006 .85406 .81211 .86099 .82084 .85916 .8088 Metetra
.406 .542 .88 r
.85916 .8088 .86099 .82084 .86794 .82936 .86613 .81733 Metetra
.413 .547 .881 r
.86613 .81733 .86794 .82936 .87491 .83765 .87311 .82563 Metetra
.421 .553 .882 r
.87311 .82563 .87491 .83765 .88189 .84567 .8801 .83364 Metetra
.43 .559 .883 r
.8801 .83364 .88189 .84567 .88888 .85337 .88711 .84135 Metetra
.439 .565 .885 r
.88711 .84135 .88888 .85337 .89589 .86073 .89413 .84871 Metetra
.449 .572 .886 r
.89413 .84871 .89589 .86073 .90291 .86771 .90117 .85569 Metetra
.46 .579 .887 r
.90117 .85569 .90291 .86771 .90995 .87427 .90821 .86226 Metetra
.471 .587 .888 r
.90821 .86226 .90995 .87427 .91699 .8804 .91527 .86839 Metetra
.482 .595 .889 r
.91527 .86839 .91699 .8804 .92405 .88606 .92235 .87405 Metetra
.494 .603 .89 r
.92235 .87405 .92405 .88606 .93112 .89123 .92943 .87921 Metetra
.506 .611 .891 r
.92943 .87921 .93112 .89123 .9382 .89587 .93653 .88385 Metetra
.518 .619 .892 r
.93653 .88385 .9382 .89587 .94529 .89998 .94363 .88795 Metetra
.53 .627 .892 r
.94363 .88795 .94529 .89998 .95239 .90352 .95075 .89149 Metetra
.542 .636 .893 r
.95075 .89149 .95239 .90352 .95951 .90648 .95787 .89444 Metetra
.555 .644 .893 r
.95787 .89444 .95951 .90648 .96663 .90884 .96501 .8968 Metetra
.567 .652 .893 r
.96501 .8968 .96663 .90884 .97376 .91059 .97215 .89854 Metetra
.579 .66 .893 r
.97215 .89854 .97376 .91059 .9809 .91173 .97931 .89967 Metetra
.591 .667 .892 r
.97931 .89967 .9809 .91173 .98804 .91223 .98647 .90016 Metetra
.602 .675 .892 r
.98647 .90016 .98804 .91223 .9952 .9121 .99364 .90002 Metetra
.613 .684 .893 r
.34498 .93092 .34777 .94165 .35371 .94097 .35093 .93023 Metetra
.626 .69 .891 r
.35093 .93023 .35371 .94097 .35967 .93972 .35689 .92896 Metetra
.637 .696 .888 r
.35689 .92896 .35967 .93972 .36563 .93788 .36286 .92711 Metetra
.648 .701 .885 r
.36286 .92711 .36563 .93788 .37161 .93547 .36885 .92469 Metetra
.659 .706 .882 r
.36885 .92469 .37161 .93547 .3776 .93249 .37485 .92169 Metetra
.668 .71 .879 r
.37485 .92169 .3776 .93249 .3836 .92895 .38087 .91813 Metetra
.677 .714 .877 r
.38087 .91813 .3836 .92895 .38962 .92486 .38689 .91403 Metetra
.686 .718 .874 r
.38689 .91403 .38962 .92486 .39565 .92024 .39293 .90938 Metetra
.693 .721 .871 r
.39293 .90938 .39565 .92024 .40168 .91509 .39898 .90422 Metetra
.7 .725 .869 r
.39898 .90422 .40168 .91509 .40773 .90945 .40504 .89856 Metetra
.707 .727 .866 r
.40504 .89856 .40773 .90945 .4138 .90332 .41111 .89241 Metetra
.713 .73 .864 r
.41111 .89241 .4138 .90332 .41987 .89674 .4172 .8858 Metetra
.718 .732 .862 r
.4172 .8858 .41987 .89674 .42595 .88972 .42329 .87876 Metetra
.723 .734 .86 r
.42329 .87876 .42595 .88972 .43204 .88229 .42939 .87131 Metetra
.728 .736 .858 r
.42939 .87131 .43204 .88229 .43815 .87448 .43551 .86347 Metetra
.732 .738 .856 r
.43551 .86347 .43815 .87448 .44426 .86632 .44163 .85528 Metetra
.735 .739 .855 r
.44163 .85528 .44426 .86632 .45038 .85783 .44777 .84677 Metetra
.738 .741 .853 r
.44777 .84677 .45038 .85783 .45652 .84906 .45391 .83797 Metetra
.741 .742 .852 r
.45391 .83797 .45652 .84906 .46266 .84002 .46007 .8289 Metetra
.743 .743 .851 r
.46007 .8289 .46266 .84002 .46881 .83076 .46623 .81962 Metetra
.745 .743 .85 r
.46623 .81962 .46881 .83076 .47497 .82132 .4724 .81014 Metetra
.746 .744 .85 r
.4724 .81014 .47497 .82132 .48114 .81172 .47858 .80052 Metetra
.747 .745 .849 r
.47858 .80052 .48114 .81172 .48732 .80201 .48477 .79077 Metetra
.748 .745 .849 r
.48477 .79077 .48732 .80201 .49351 .79221 .49097 .78095 Metetra
.748 .745 .849 r
.49097 .78095 .49351 .79221 .49971 .78238 .49718 .77108 Metetra
.748 .745 .849 r
.49718 .77108 .49971 .78238 .50591 .77254 .5034 .76121 Metetra
.748 .745 .849 r
.5034 .76121 .50591 .77254 .51213 .76273 .50963 .75138 Metetra
.747 .744 .849 r
.50963 .75138 .51213 .76273 .51835 .75299 .51586 .74161 Metetra
.746 .744 .85 r
.51586 .74161 .51835 .75299 .52459 .74336 .52211 .73195 Metetra
.744 .743 .851 r
.52211 .73195 .52459 .74336 .53083 .73387 .52836 .72243 Metetra
.742 .742 .852 r
.52836 .72243 .53083 .73387 .53708 .72456 .53463 .71309 Metetra
.74 .741 .853 r
.53463 .71309 .53708 .72456 .54334 .71547 .5409 .70397 Metetra
.737 .74 .854 r
.5409 .70397 .54334 .71547 .54961 .70663 .54718 .6951 Metetra
.733 .738 .855 r
.54718 .6951 .54961 .70663 .55589 .69807 .55347 .68652 Metetra
.73 .737 .857 r
.55347 .68652 .55589 .69807 .56218 .68982 .55977 .67824 Metetra
.726 .735 .858 r
.55977 .67824 .56218 .68982 .56847 .68193 .56608 .67032 Metetra
.721 .732 .86 r
.56608 .67032 .56847 .68193 .57478 .67441 .5724 .66278 Metetra
.716 .73 .862 r
.5724 .66278 .57478 .67441 .5811 .66729 .57873 .65564 Metetra
.71 .727 .864 r
.57873 .65564 .5811 .66729 .58743 .66061 .58507 .64893 Metetra
.704 .724 .866 r
.58507 .64893 .58743 .66061 .59377 .65439 .59143 .64268 Metetra
.698 .721 .868 r
.59143 .64268 .59377 .65439 .60012 .64864 .59779 .63692 Metetra
.69 .717 .87 r
.59779 .63692 .60012 .64864 .60649 .6434 .60417 .63165 Metetra
.683 .713 .872 r
.60417 .63165 .60649 .6434 .61286 .63868 .61055 .62691 Metetra
.675 .709 .874 r
.61055 .62691 .61286 .63868 .61925 .6345 .61695 .62271 Metetra
.666 .705 .876 r
.61695 .62271 .61925 .6345 .62564 .63087 .62336 .61907 Metetra
.657 .7 .878 r
.62336 .61907 .62564 .63087 .63206 .62781 .62978 .61599 Metetra
.647 .695 .88 r
.62978 .61599 .63206 .62781 .63848 .62533 .63622 .61349 Metetra
.637 .689 .882 r
.63622 .61349 .63848 .62533 .64492 .62344 .64267 .61158 Metetra
.626 .683 .884 r
.64267 .61158 .64492 .62344 .65137 .62214 .64913 .61027 Metetra
.615 .677 .885 r
.64913 .61027 .65137 .62214 .65783 .62144 .6556 .60956 Metetra
.604 .67 .887 r
.6556 .60956 .65783 .62144 .66431 .62133 .66209 .60944 Metetra
.592 .663 .888 r
.66209 .60944 .66431 .62133 .6708 .62183 .6686 .60992 Metetra
.579 .656 .889 r
.6686 .60992 .6708 .62183 .67731 .62292 .67512 .61101 Metetra
.567 .648 .89 r
.67512 .61101 .67731 .62292 .68383 .6246 .68165 .61268 Metetra
.554 .641 .891 r
.68165 .61268 .68383 .6246 .69036 .62686 .6882 .61494 Metetra
.541 .633 .891 r
.6882 .61494 .69036 .62686 .69692 .6297 .69477 .61776 Metetra
.528 .625 .891 r
.69477 .61776 .69692 .6297 .70348 .63309 .70135 .62116 Metetra
.515 .617 .891 r
.70135 .62116 .70348 .63309 .71007 .63704 .70794 .62509 Metetra
.502 .608 .891 r
.70794 .62509 .71007 .63704 .71667 .64151 .71455 .62956 Metetra
.489 .6 .891 r
.71455 .62956 .71667 .64151 .72328 .64648 .72118 .63454 Metetra
.477 .592 .89 r
.72118 .63454 .72328 .64648 .72992 .65195 .72783 .64 Metetra
.464 .584 .889 r
.72783 .64 .72992 .65195 .73657 .65789 .73449 .64594 Metetra
.453 .577 .888 r
.73449 .64594 .73657 .65789 .74323 .66426 .74117 .65231 Metetra
.442 .569 .887 r
.74117 .65231 .74323 .66426 .74992 .67105 .74787 .6591 Metetra
.431 .562 .886 r
.74787 .6591 .74992 .67105 .75662 .67822 .75458 .66628 Metetra
.422 .556 .885 r
.75458 .66628 .75662 .67822 .76334 .68575 .76131 .67381 Metetra
.413 .55 .884 r
.76131 .67381 .76334 .68575 .77007 .6936 .76806 .68166 Metetra
.405 .545 .883 r
.76806 .68166 .77007 .6936 .77682 .70174 .77482 .68981 Metetra
.398 .54 .882 r
.77482 .68981 .77682 .70174 .78359 .71014 .78161 .69821 Metetra
.392 .536 .881 r
.78161 .69821 .78359 .71014 .79038 .71876 .78841 .70684 Metetra
.387 .533 .88 r
.78841 .70684 .79038 .71876 .79718 .72757 .79522 .71565 Metetra
.383 .53 .879 r
.79522 .71565 .79718 .72757 .804 .73652 .80206 .72461 Metetra
.381 .528 .879 r
.80206 .72461 .804 .73652 .81084 .74558 .80891 .73368 Metetra
.379 .527 .879 r
.80891 .73368 .81084 .74558 .81769 .75471 .81578 .74281 Metetra
.379 .527 .879 r
.81578 .74281 .81769 .75471 .82457 .76388 .82266 .75198 Metetra
.38 .528 .879 r
.82266 .75198 .82457 .76388 .83145 .77303 .82956 .76115 Metetra
.382 .529 .879 r
.82956 .76115 .83145 .77303 .83836 .78214 .83648 .77026 Metetra
.385 .531 .88 r
.83648 .77026 .83836 .78214 .84528 .79117 .84341 .77929 Metetra
.389 .534 .88 r
.84341 .77929 .84528 .79117 .85221 .80006 .85036 .7882 Metetra
.394 .538 .881 r
.85036 .7882 .85221 .80006 .85916 .8088 .85732 .79694 Metetra
.401 .542 .882 r
.85732 .79694 .85916 .8088 .86613 .81733 .8643 .80548 Metetra
.408 .547 .883 r
.8643 .80548 .86613 .81733 .87311 .82563 .8713 .81378 Metetra
.416 .553 .885 r
.8713 .81378 .87311 .82563 .8801 .83364 .8783 .8218 Metetra
.425 .559 .886 r
.8783 .8218 .8801 .83364 .88711 .84135 .88533 .82951 Metetra
.434 .565 .887 r
.88533 .82951 .88711 .84135 .89413 .84871 .89236 .83687 Metetra
.444 .572 .888 r
.89236 .83687 .89413 .84871 .90117 .85569 .89941 .84385 Metetra
.455 .58 .89 r
.89941 .84385 .90117 .85569 .90821 .86226 .90647 .85043 Metetra
.466 .588 .891 r
.90647 .85043 .90821 .86226 .91527 .86839 .91355 .85656 Metetra
.478 .596 .892 r
.91355 .85656 .91527 .86839 .92235 .87405 .92064 .86221 Metetra
.49 .604 .893 r
.92064 .86221 .92235 .87405 .92943 .87921 .92773 .86738 Metetra
.502 .612 .894 r
.92773 .86738 .92943 .87921 .93653 .88385 .93484 .87202 Metetra
.515 .621 .895 r
.93484 .87202 .93653 .88385 .94363 .88795 .94196 .87611 Metetra
.527 .629 .895 r
.94196 .87611 .94363 .88795 .95075 .89149 .9491 .87964 Metetra
.54 .637 .896 r
.9491 .87964 .95075 .89149 .95787 .89444 .95624 .88259 Metetra
.552 .646 .896 r
.95624 .88259 .95787 .89444 .96501 .8968 .96339 .88494 Metetra
.565 .654 .896 r
.96339 .88494 .96501 .8968 .97215 .89854 .97055 .88668 Metetra
.577 .662 .896 r
.97055 .88668 .97215 .89854 .97931 .89967 .97772 .88779 Metetra
.589 .67 .895 r
.97772 .88779 .97931 .89967 .98647 .90016 .98489 .88827 Metetra
.601 .677 .895 r
.98489 .88827 .98647 .90016 .99364 .90002 .99208 .88812 Metetra
.612 .687 .896 r
.34216 .92036 .34498 .93092 .35093 .93023 .34812 .91966 Metetra
.625 .693 .893 r
.34812 .91966 .35093 .93023 .35689 .92896 .3541 .91838 Metetra
.637 .699 .891 r
.3541 .91838 .35689 .92896 .36286 .92711 .36008 .91652 Metetra
.648 .704 .888 r
.36008 .91652 .36286 .92711 .36885 .92469 .36608 .91408 Metetra
.659 .709 .885 r
.36608 .91408 .36885 .92469 .37485 .92169 .37209 .91107 Metetra
.668 .713 .882 r
.37209 .91107 .37485 .92169 .38087 .91813 .37812 .90749 Metetra
.677 .717 .879 r
.37812 .90749 .38087 .91813 .38689 .91403 .38416 .90337 Metetra
.686 .721 .876 r
.38416 .90337 .38689 .91403 .39293 .90938 .3902 .8987 Metetra
.694 .725 .874 r
.3902 .8987 .39293 .90938 .39898 .90422 .39626 .89352 Metetra
.701 .728 .871 r
.39626 .89352 .39898 .90422 .40504 .89856 .40234 .88783 Metetra
.707 .73 .869 r
.40234 .88783 .40504 .89856 .41111 .89241 .40842 .88167 Metetra
.714 .733 .866 r
.40842 .88167 .41111 .89241 .4172 .8858 .41451 .87504 Metetra
.719 .735 .864 r
.41451 .87504 .4172 .8858 .42329 .87876 .42062 .86797 Metetra
.724 .737 .862 r
.42062 .86797 .42329 .87876 .42939 .87131 .42673 .86049 Metetra
.728 .739 .86 r
.42673 .86049 .42939 .87131 .43551 .86347 .43286 .85263 Metetra
.733 .741 .858 r
.43286 .85263 .43551 .86347 .44163 .85528 .439 .84442 Metetra
.736 .742 .857 r
.439 .84442 .44163 .85528 .44777 .84677 .44514 .83588 Metetra
.739 .744 .855 r
.44514 .83588 .44777 .84677 .45391 .83797 .4513 .82705 Metetra
.742 .745 .854 r
.4513 .82705 .45391 .83797 .46007 .8289 .45746 .81796 Metetra
.744 .746 .853 r
.45746 .81796 .46007 .8289 .46623 .81962 .46364 .80864 Metetra
.746 .746 .852 r
.46364 .80864 .46623 .81962 .4724 .81014 .46982 .79914 Metetra
.747 .747 .851 r
.46982 .79914 .4724 .81014 .47858 .80052 .47601 .78948 Metetra
.749 .747 .851 r
.47601 .78948 .47858 .80052 .48477 .79077 .48222 .77971 Metetra
.749 .748 .851 r
.48222 .77971 .48477 .79077 .49097 .78095 .48843 .76986 Metetra
.75 .748 .851 r
.48843 .76986 .49097 .78095 .49718 .77108 .49465 .75996 Metetra
.749 .748 .851 r
.49465 .75996 .49718 .77108 .5034 .76121 .50088 .75006 Metetra
.749 .748 .851 r
.50088 .75006 .5034 .76121 .50963 .75138 .50712 .7402 Metetra
.748 .747 .851 r
.50712 .7402 .50963 .75138 .51586 .74161 .51336 .7304 Metetra
.747 .747 .852 r
.51336 .7304 .51586 .74161 .52211 .73195 .51962 .72071 Metetra
.745 .746 .853 r
.51962 .72071 .52211 .73195 .52836 .72243 .52589 .71116 Metetra
.743 .745 .853 r
.52589 .71116 .52836 .72243 .53463 .71309 .53216 .7018 Metetra
.741 .744 .854 r
.53216 .7018 .53463 .71309 .5409 .70397 .53845 .69265 Metetra
.738 .743 .856 r
.53845 .69265 .5409 .70397 .54718 .6951 .54474 .68375 Metetra
.734 .741 .857 r
.54474 .68375 .54718 .6951 .55347 .68652 .55104 .67513 Metetra
.731 .739 .859 r
.55104 .67513 .55347 .68652 .55977 .67824 .55736 .66684 Metetra
.726 .738 .86 r
.55736 .66684 .55977 .67824 .56608 .67032 .56368 .65889 Metetra
.722 .735 .862 r
.56368 .65889 .56608 .67032 .5724 .66278 .57001 .65132 Metetra
.716 .733 .864 r
.57001 .65132 .5724 .66278 .57873 .65564 .57635 .64415 Metetra
.711 .73 .866 r
.57635 .64415 .57873 .65564 .58507 .64893 .58271 .63742 Metetra
.705 .727 .868 r
.58271 .63742 .58507 .64893 .59143 .64268 .58907 .63115 Metetra
.698 .724 .87 r
.58907 .63115 .59143 .64268 .59779 .63692 .59545 .62536 Metetra
.691 .72 .872 r
.59545 .62536 .59779 .63692 .60417 .63165 .60183 .62008 Metetra
.683 .716 .874 r
.60183 .62008 .60417 .63165 .61055 .62691 .60823 .61532 Metetra
.675 .712 .876 r
.60823 .61532 .61055 .62691 .61695 .62271 .61464 .6111 Metetra
.666 .708 .879 r
.61464 .6111 .61695 .62271 .62336 .61907 .62107 .60743 Metetra
.657 .703 .881 r
.62107 .60743 .62336 .61907 .62978 .61599 .6275 .60434 Metetra
.647 .697 .883 r
.6275 .60434 .62978 .61599 .63622 .61349 .63395 .60183 Metetra
.636 .692 .885 r
.63395 .60183 .63622 .61349 .64267 .61158 .64041 .5999 Metetra
.626 .686 .886 r
.64041 .5999 .64267 .61158 .64913 .61027 .64688 .59857 Metetra
.614 .679 .888 r
.64688 .59857 .64913 .61027 .6556 .60956 .65337 .59785 Metetra
.602 .673 .89 r
.65337 .59785 .6556 .60956 .66209 .60944 .65987 .59772 Metetra
.59 .665 .891 r
.65987 .59772 .66209 .60944 .6686 .60992 .66639 .59819 Metetra
.578 .658 .892 r
.66639 .59819 .6686 .60992 .67512 .61101 .67292 .59927 Metetra
.565 .651 .893 r
.67292 .59927 .67512 .61101 .68165 .61268 .67947 .60093 Metetra
.552 .643 .894 r
.67947 .60093 .68165 .61268 .6882 .61494 .68603 .60318 Metetra
.538 .635 .894 r
.68603 .60318 .6882 .61494 .69477 .61776 .69261 .606 Metetra
.525 .626 .894 r
.69261 .606 .69477 .61776 .70135 .62116 .6992 .60939 Metetra
.512 .618 .894 r
.6992 .60939 .70135 .62116 .70794 .62509 .70581 .61332 Metetra
.498 .61 .894 r
.70581 .61332 .70794 .62509 .71455 .62956 .71243 .61779 Metetra
.485 .601 .893 r
.71243 .61779 .71455 .62956 .72118 .63454 .71907 .62276 Metetra
.473 .593 .893 r
.71907 .62276 .72118 .63454 .72783 .64 .72573 .62823 Metetra
.46 .585 .892 r
.72573 .62823 .72783 .64 .73449 .64594 .73241 .63416 Metetra
.448 .577 .891 r
.73241 .63416 .73449 .64594 .74117 .65231 .7391 .64054 Metetra
.437 .57 .89 r
.7391 .64054 .74117 .65231 .74787 .6591 .74581 .64733 Metetra
.426 .563 .888 r
.74581 .64733 .74787 .6591 .75458 .66628 .75254 .65451 Metetra
.416 .556 .887 r
.75254 .65451 .75458 .66628 .76131 .67381 .75928 .66204 Metetra
.407 .55 .886 r
.75928 .66204 .76131 .67381 .76806 .68166 .76604 .6699 Metetra
.399 .544 .885 r
.76604 .6699 .76806 .68166 .77482 .68981 .77282 .67805 Metetra
.392 .54 .884 r
.77282 .67805 .77482 .68981 .78161 .69821 .77961 .68646 Metetra
.386 .535 .883 r
.77961 .68646 .78161 .69821 .78841 .70684 .78643 .69509 Metetra
.381 .532 .882 r
.78643 .69509 .78841 .70684 .79522 .71565 .79326 .70391 Metetra
.377 .529 .881 r
.79326 .70391 .79522 .71565 .80206 .72461 .8001 .71287 Metetra
.374 .527 .881 r
.8001 .71287 .80206 .72461 .80891 .73368 .80697 .72195 Metetra
.373 .526 .881 r
.80697 .72195 .80891 .73368 .81578 .74281 .81385 .73109 Metetra
.372 .526 .881 r
.81385 .73109 .81578 .74281 .82266 .75198 .82075 .74027 Metetra
.373 .527 .881 r
.82075 .74027 .82266 .75198 .82956 .76115 .82766 .74944 Metetra
.375 .528 .881 r
.82766 .74944 .82956 .76115 .83648 .77026 .83459 .75856 Metetra
.379 .531 .882 r
.83459 .75856 .83648 .77026 .84341 .77929 .84154 .7676 Metetra
.383 .534 .882 r
.84154 .7676 .84341 .77929 .85036 .7882 .8485 .77651 Metetra
.388 .537 .883 r
.8485 .77651 .85036 .7882 .85732 .79694 .85548 .78526 Metetra
.395 .542 .884 r
.85548 .78526 .85732 .79694 .8643 .80548 .86247 .7938 Metetra
.402 .547 .886 r
.86247 .7938 .8643 .80548 .8713 .81378 .86948 .80211 Metetra
.41 .553 .887 r
.86948 .80211 .8713 .81378 .8783 .8218 .8765 .81013 Metetra
.419 .559 .888 r
.8765 .81013 .8783 .8218 .88533 .82951 .88354 .81785 Metetra
.429 .566 .89 r
.88354 .81785 .88533 .82951 .89236 .83687 .89059 .82521 Metetra
.439 .573 .891 r
.89059 .82521 .89236 .83687 .89941 .84385 .89765 .8322 Metetra
.451 .58 .892 r
.89765 .8322 .89941 .84385 .90647 .85043 .90473 .83877 Metetra
.462 .588 .894 r
.90473 .83877 .90647 .85043 .91355 .85656 .91182 .8449 Metetra
.474 .597 .895 r
.91182 .8449 .91355 .85656 .92064 .86221 .91892 .85056 Metetra
.486 .605 .896 r
.91892 .85056 .92064 .86221 .92773 .86738 .92603 .85572 Metetra
.499 .613 .897 r
.92603 .85572 .92773 .86738 .93484 .87202 .93316 .86036 Metetra
.512 .622 .897 r
.93316 .86036 .93484 .87202 .94196 .87611 .94029 .86445 Metetra
.524 .631 .898 r
.94029 .86445 .94196 .87611 .9491 .87964 .94744 .86798 Metetra
.537 .639 .899 r
.94744 .86798 .9491 .87964 .95624 .88259 .95459 .87092 Metetra
.55 .648 .899 r
.95459 .87092 .95624 .88259 .96339 .88494 .96176 .87326 Metetra
.563 .656 .899 r
.96176 .87326 .96339 .88494 .97055 .88668 .96893 .87499 Metetra
.575 .664 .899 r
.96893 .87499 .97055 .88668 .97772 .88779 .97612 .8761 Metetra
.587 .672 .898 r
.97612 .8761 .97772 .88779 .98489 .88827 .98331 .87657 Metetra
.599 .68 .898 r
.98331 .87657 .98489 .88827 .99208 .88812 .99051 .8764 Metetra
.611 .69 .899 r
.33934 .90997 .34216 .92036 .34812 .91966 .34531 .90926 Metetra
.624 .696 .896 r
.34531 .90926 .34812 .91966 .3541 .91838 .35129 .90797 Metetra
.636 .702 .893 r
.35129 .90797 .3541 .91838 .36008 .91652 .35729 .90609 Metetra
.648 .707 .89 r
.35729 .90609 .36008 .91652 .36608 .91408 .3633 .90364 Metetra
.658 .712 .887 r
.3633 .90364 .36608 .91408 .37209 .91107 .36932 .90061 Metetra
.668 .716 .885 r
.36932 .90061 .37209 .91107 .37812 .90749 .37536 .89702 Metetra
.678 .72 .882 r
.37536 .89702 .37812 .90749 .38416 .90337 .3814 .89288 Metetra
.686 .724 .879 r
.3814 .89288 .38416 .90337 .3902 .8987 .38746 .8882 Metetra
.694 .728 .876 r
.38746 .8882 .3902 .8987 .39626 .89352 .39353 .88299 Metetra
.701 .731 .873 r
.39353 .88299 .39626 .89352 .40234 .88783 .39962 .87729 Metetra
.708 .734 .871 r
.39962 .87729 .40234 .88783 .40842 .88167 .40571 .8711 Metetra
.714 .736 .868 r
.40571 .8711 .40842 .88167 .41451 .87504 .41182 .86444 Metetra
.72 .738 .866 r
.41182 .86444 .41451 .87504 .42062 .86797 .41793 .85735 Metetra
.725 .74 .864 r
.41793 .85735 .42062 .86797 .42673 .86049 .42406 .84985 Metetra
.729 .742 .862 r
.42406 .84985 .42673 .86049 .43286 .85263 .4302 .84196 Metetra
.733 .744 .86 r
.4302 .84196 .43286 .85263 .439 .84442 .43634 .83372 Metetra
.737 .745 .859 r
.43634 .83372 .439 .84442 .44514 .83588 .4425 .82516 Metetra
.74 .747 .857 r
.4425 .82516 .44514 .83588 .4513 .82705 .44867 .8163 Metetra
.743 .748 .856 r
.44867 .8163 .4513 .82705 .45746 .81796 .45485 .80718 Metetra
.745 .749 .855 r
.45485 .80718 .45746 .81796 .46364 .80864 .46103 .79784 Metetra
.747 .749 .854 r
.46103 .79784 .46364 .80864 .46982 .79914 .46723 .78831 Metetra
.749 .75 .853 r
.46723 .78831 .46982 .79914 .47601 .78948 .47343 .77862 Metetra
.75 .75 .853 r
.47343 .77862 .47601 .78948 .48222 .77971 .47965 .76882 Metetra
.75 .751 .852 r
.47965 .76882 .48222 .77971 .48843 .76986 .48587 .75894 Metetra
.751 .751 .852 r
.48587 .75894 .48843 .76986 .49465 .75996 .4921 .74902 Metetra
.751 .751 .852 r
.4921 .74902 .49465 .75996 .50088 .75006 .49834 .73909 Metetra
.75 .751 .853 r
.49834 .73909 .50088 .75006 .50712 .7402 .50459 .72919 Metetra
.749 .75 .853 r
.50459 .72919 .50712 .7402 .51336 .7304 .51085 .71936 Metetra
.748 .75 .854 r
.51085 .71936 .51336 .7304 .51962 .72071 .51712 .70964 Metetra
.746 .749 .854 r
.51712 .70964 .51962 .72071 .52589 .71116 .5234 .70007 Metetra
.744 .748 .855 r
.5234 .70007 .52589 .71116 .53216 .7018 .52969 .69067 Metetra
.742 .747 .856 r
.52969 .69067 .53216 .7018 .53845 .69265 .53598 .68149 Metetra
.739 .746 .858 r
.53598 .68149 .53845 .69265 .54474 .68375 .54229 .67257 Metetra
.735 .744 .859 r
.54229 .67257 .54474 .68375 .55104 .67513 .5486 .66393 Metetra
.731 .743 .861 r
.5486 .66393 .55104 .67513 .55736 .66684 .55493 .6556 Metetra
.727 .741 .862 r
.55493 .6556 .55736 .66684 .56368 .65889 .56126 .64763 Metetra
.722 .738 .864 r
.56126 .64763 .56368 .65889 .57001 .65132 .56761 .64003 Metetra
.717 .736 .866 r
.56761 .64003 .57001 .65132 .57635 .64415 .57396 .63284 Metetra
.711 .733 .868 r
.57396 .63284 .57635 .64415 .58271 .63742 .58033 .62609 Metetra
.705 .73 .87 r
.58033 .62609 .58271 .63742 .58907 .63115 .58671 .61979 Metetra
.698 .727 .872 r
.58671 .61979 .58907 .63115 .59545 .62536 .59309 .61398 Metetra
.691 .723 .874 r
.59309 .61398 .59545 .62536 .60183 .62008 .59949 .60867 Metetra
.683 .719 .877 r
.59949 .60867 .60183 .62008 .60823 .61532 .6059 .60389 Metetra
.675 .715 .879 r
.6059 .60389 .60823 .61532 .61464 .6111 .61233 .59965 Metetra
.666 .71 .881 r
.61233 .59965 .61464 .6111 .62107 .60743 .61876 .59597 Metetra
.657 .705 .883 r
.61876 .59597 .62107 .60743 .6275 .60434 .62521 .59286 Metetra
.646 .7 .885 r
.62521 .59286 .6275 .60434 .63395 .60183 .63167 .59033 Metetra
.636 .694 .887 r
.63167 .59033 .63395 .60183 .64041 .5999 .63814 .58839 Metetra
.625 .688 .889 r
.63814 .58839 .64041 .5999 .64688 .59857 .64463 .58705 Metetra
.613 .682 .891 r
.64463 .58705 .64688 .59857 .65337 .59785 .65113 .58631 Metetra
.601 .675 .892 r
.65113 .58631 .65337 .59785 .65987 .59772 .65764 .58617 Metetra
.589 .668 .894 r
.65764 .58617 .65987 .59772 .66639 .59819 .66417 .58663 Metetra
.576 .66 .895 r
.66417 .58663 .66639 .59819 .67292 .59927 .67072 .5877 Metetra
.563 .653 .896 r
.67072 .5877 .67292 .59927 .67947 .60093 .67727 .58935 Metetra
.549 .645 .896 r
.67727 .58935 .67947 .60093 .68603 .60318 .68385 .5916 Metetra
.536 .636 .897 r
.68385 .5916 .68603 .60318 .69261 .606 .69044 .59441 Metetra
.522 .628 .897 r
.69044 .59441 .69261 .606 .6992 .60939 .69704 .5978 Metetra
.508 .619 .897 r
.69704 .5978 .6992 .60939 .70581 .61332 .70367 .60172 Metetra
.495 .611 .897 r
.70367 .60172 .70581 .61332 .71243 .61779 .7103 .60619 Metetra
.481 .602 .896 r
.7103 .60619 .71243 .61779 .71907 .62276 .71696 .61116 Metetra
.468 .594 .895 r
.71696 .61116 .71907 .62276 .72573 .62823 .72363 .61663 Metetra
.456 .586 .894 r
.72363 .61663 .72573 .62823 .73241 .63416 .73032 .62256 Metetra
.443 .578 .893 r
.73032 .62256 .73241 .63416 .7391 .64054 .73702 .62894 Metetra
.432 .57 .892 r
.73702 .62894 .7391 .64054 .74581 .64733 .74374 .63573 Metetra
.421 .563 .891 r
.74374 .63573 .74581 .64733 .75254 .65451 .75048 .64291 Metetra
.41 .556 .89 r
.75048 .64291 .75254 .65451 .75928 .66204 .75724 .65045 Metetra
.401 .55 .888 r
.75724 .65045 .75928 .66204 .76604 .6699 .76401 .65831 Metetra
.393 .544 .887 r
.76401 .65831 .76604 .6699 .77282 .67805 .7708 .66647 Metetra
.385 .539 .886 r
.7708 .66647 .77282 .67805 .77961 .68646 .77761 .67488 Metetra
.379 .535 .885 r
.77761 .67488 .77961 .68646 .78643 .69509 .78444 .68352 Metetra
.374 .531 .884 r
.78444 .68352 .78643 .69509 .79326 .70391 .79128 .69234 Metetra
.37 .529 .883 r
.79128 .69234 .79326 .70391 .8001 .71287 .79814 .70132 Metetra
.367 .527 .883 r
.79814 .70132 .8001 .71287 .80697 .72195 .80502 .7104 Metetra
.366 .526 .883 r
.80502 .7104 .80697 .72195 .81385 .73109 .81191 .71955 Metetra
.366 .525 .883 r
.81191 .71955 .81385 .73109 .82075 .74027 .81883 .72873 Metetra
.367 .526 .883 r
.81883 .72873 .82075 .74027 .82766 .74944 .82575 .73791 Metetra
.369 .528 .883 r
.82575 .73791 .82766 .74944 .83459 .75856 .8327 .74704 Metetra
.372 .53 .884 r
.8327 .74704 .83459 .75856 .84154 .7676 .83966 .75608 Metetra
.376 .533 .885 r
.83966 .75608 .84154 .7676 .8485 .77651 .84663 .765 Metetra
.382 .537 .885 r
.84663 .765 .8485 .77651 .85548 .78526 .85363 .77376 Metetra
.388 .541 .887 r
.85363 .77376 .85548 .78526 .86247 .7938 .86063 .78231 Metetra
.396 .547 .888 r
.86063 .78231 .86247 .7938 .86948 .80211 .86765 .79062 Metetra
.404 .552 .889 r
.86765 .79062 .86948 .80211 .8765 .81013 .87469 .79865 Metetra
.414 .559 .891 r
.87469 .79865 .8765 .81013 .88354 .81785 .88174 .80637 Metetra
.424 .566 .892 r
.88174 .80637 .88354 .81785 .89059 .82521 .88881 .81374 Metetra
.434 .573 .894 r
.88881 .81374 .89059 .82521 .89765 .8322 .89588 .82072 Metetra
.446 .581 .895 r
.89588 .82072 .89765 .8322 .90473 .83877 .90298 .8273 Metetra
.458 .589 .896 r
.90298 .8273 .90473 .83877 .91182 .8449 .91008 .83343 Metetra
.47 .598 .898 r
.91008 .83343 .91182 .8449 .91892 .85056 .9172 .83909 Metetra
.482 .606 .899 r
.9172 .83909 .91892 .85056 .92603 .85572 .92432 .84425 Metetra
.495 .615 .9 r
.92432 .84425 .92603 .85572 .93316 .86036 .93146 .84889 Metetra
.508 .624 .9 r
.93146 .84889 .93316 .86036 .94029 .86445 .93861 .85297 Metetra
.521 .632 .901 r
.93861 .85297 .94029 .86445 .94744 .86798 .94577 .8565 Metetra
.534 .641 .902 r
.94577 .8565 .94744 .86798 .95459 .87092 .95294 .85943 Metetra
.548 .65 .902 r
.95294 .85943 .95459 .87092 .96176 .87326 .96013 .86177 Metetra
.56 .658 .902 r
.96013 .86177 .96176 .87326 .96893 .87499 .96732 .86349 Metetra
.573 .667 .902 r
.96732 .86349 .96893 .87499 .97612 .8761 .97451 .86458 Metetra
.586 .675 .901 r
.97451 .86458 .97612 .8761 .98331 .87657 .98172 .86504 Metetra
.598 .683 .901 r
.98172 .86504 .98331 .87657 .99051 .8764 .98894 .86486 Metetra
.61 .693 .902 r
.3365 .89975 .33934 .90997 .34531 .90926 .34248 .89904 Metetra
.623 .699 .899 r
.34248 .89904 .34531 .90926 .35129 .90797 .34848 .89773 Metetra
.635 .705 .896 r
.34848 .89773 .35129 .90797 .35729 .90609 .35448 .89584 Metetra
.647 .71 .893 r
.35448 .89584 .35729 .90609 .3633 .90364 .3605 .89337 Metetra
.658 .715 .89 r
.3605 .89337 .3633 .90364 .36932 .90061 .36654 .89033 Metetra
.668 .719 .887 r
.36654 .89033 .36932 .90061 .37536 .89702 .37258 .88672 Metetra
.678 .724 .884 r
.37258 .88672 .37536 .89702 .3814 .89288 .37864 .88256 Metetra
.686 .727 .881 r
.37864 .88256 .3814 .89288 .38746 .8882 .38471 .87786 Metetra
.694 .731 .878 r
.38471 .87786 .38746 .8882 .39353 .88299 .39079 .87264 Metetra
.702 .734 .876 r
.39079 .87264 .39353 .88299 .39962 .87729 .39689 .86691 Metetra
.709 .737 .873 r
.39689 .86691 .39962 .87729 .40571 .8711 .40299 .8607 Metetra
.715 .739 .871 r
.40299 .8607 .40571 .8711 .41182 .86444 .40911 .85402 Metetra
.72 .741 .868 r
.40911 .85402 .41182 .86444 .41793 .85735 .41524 .84691 Metetra
.726 .744 .866 r
.41524 .84691 .41793 .85735 .42406 .84985 .42137 .83938 Metetra
.73 .745 .864 r
.42137 .83938 .42406 .84985 .4302 .84196 .42752 .83147 Metetra
.734 .747 .862 r
.42752 .83147 .4302 .84196 .43634 .83372 .43368 .8232 Metetra
.738 .748 .861 r
.43368 .8232 .43634 .83372 .4425 .82516 .43985 .81461 Metetra
.741 .75 .859 r
.43985 .81461 .4425 .82516 .44867 .8163 .44603 .80573 Metetra
.744 .751 .858 r
.44603 .80573 .44867 .8163 .45485 .80718 .45222 .79658 Metetra
.746 .752 .857 r
.45222 .79658 .45485 .80718 .46103 .79784 .45842 .78721 Metetra
.748 .753 .856 r
.45842 .78721 .46103 .79784 .46723 .78831 .46462 .77765 Metetra
.75 .753 .855 r
.46462 .77765 .46723 .78831 .47343 .77862 .47084 .76794 Metetra
.751 .754 .855 r
.47084 .76794 .47343 .77862 .47965 .76882 .47707 .75811 Metetra
.751 .754 .854 r
.47707 .75811 .47965 .76882 .48587 .75894 .4833 .74819 Metetra
.752 .754 .854 r
.4833 .74819 .48587 .75894 .4921 .74902 .48955 .73824 Metetra
.752 .754 .854 r
.48955 .73824 .4921 .74902 .49834 .73909 .4958 .72828 Metetra
.751 .754 .854 r
.4958 .72828 .49834 .73909 .50459 .72919 .50206 .71835 Metetra
.75 .753 .855 r
.50206 .71835 .50459 .72919 .51085 .71936 .50833 .7085 Metetra
.749 .753 .855 r
.50833 .7085 .51085 .71936 .51712 .70964 .51461 .69875 Metetra
.747 .752 .856 r
.51461 .69875 .51712 .70964 .5234 .70007 .5209 .68914 Metetra
.745 .751 .857 r
.5209 .68914 .5234 .70007 .52969 .69067 .5272 .67972 Metetra
.743 .75 .858 r
.5272 .67972 .52969 .69067 .53598 .68149 .53351 .67051 Metetra
.74 .749 .86 r
.53351 .67051 .53598 .68149 .54229 .67257 .53983 .66156 Metetra
.736 .747 .861 r
.53983 .66156 .54229 .67257 .5486 .66393 .54615 .65289 Metetra
.732 .746 .863 r
.54615 .65289 .5486 .66393 .55493 .6556 .55249 .64454 Metetra
.728 .744 .864 r
.55249 .64454 .55493 .6556 .56126 .64763 .55884 .63654 Metetra
.723 .742 .866 r
.55884 .63654 .56126 .64763 .56761 .64003 .5652 .62891 Metetra
.718 .739 .868 r
.5652 .62891 .56761 .64003 .57396 .63284 .57156 .6217 Metetra
.712 .736 .87 r
.57156 .6217 .57396 .63284 .58033 .62609 .57794 .61492 Metetra
.706 .733 .872 r
.57794 .61492 .58033 .62609 .58671 .61979 .58433 .6086 Metetra
.699 .73 .875 r
.58433 .6086 .58671 .61979 .59309 .61398 .59073 .60277 Metetra
.691 .726 .877 r
.59073 .60277 .59309 .61398 .59949 .60867 .59714 .59744 Metetra
.684 .722 .879 r
.59714 .59744 .59949 .60867 .6059 .60389 .60356 .59264 Metetra
.675 .718 .881 r
.60356 .59264 .6059 .60389 .61233 .59965 .61 .58838 Metetra
.666 .713 .884 r
.61 .58838 .61233 .59965 .61876 .59597 .61645 .58468 Metetra
.656 .708 .886 r
.61645 .58468 .61876 .59597 .62521 .59286 .62291 .58155 Metetra
.646 .703 .888 r
.62291 .58155 .62521 .59286 .63167 .59033 .62938 .57901 Metetra
.635 .697 .89 r
.62938 .57901 .63167 .59033 .63814 .58839 .63586 .57705 Metetra
.624 .691 .892 r
.63586 .57705 .63814 .58839 .64463 .58705 .64236 .5757 Metetra
.612 .684 .894 r
.64236 .5757 .64463 .58705 .65113 .58631 .64888 .57494 Metetra
.6 .678 .895 r
.64888 .57494 .65113 .58631 .65764 .58617 .6554 .5748 Metetra
.587 .67 .897 r
.6554 .5748 .65764 .58617 .66417 .58663 .66194 .57525 Metetra
.574 .663 .898 r
.66194 .57525 .66417 .58663 .67072 .5877 .6685 .5763 Metetra
.561 .655 .899 r
.6685 .5763 .67072 .5877 .67727 .58935 .67507 .57795 Metetra
.547 .647 .899 r
.67507 .57795 .67727 .58935 .68385 .5916 .68166 .58019 Metetra
.533 .638 .9 r
.68166 .58019 .68385 .5916 .69044 .59441 .68826 .583 Metetra
.519 .63 .9 r
.68826 .583 .69044 .59441 .69704 .5978 .69488 .58638 Metetra
.505 .621 .9 r
.69488 .58638 .69704 .5978 .70367 .60172 .70151 .5903 Metetra
.491 .612 .9 r
.70151 .5903 .70367 .60172 .7103 .60619 .70816 .59476 Metetra
.477 .604 .899 r
.70816 .59476 .7103 .60619 .71696 .61116 .71483 .59973 Metetra
.464 .595 .898 r
.71483 .59973 .71696 .61116 .72363 .61663 .72152 .6052 Metetra
.451 .586 .897 r
.72152 .6052 .72363 .61663 .73032 .62256 .72822 .61113 Metetra
.438 .578 .896 r
.72822 .61113 .73032 .62256 .73702 .62894 .73493 .61751 Metetra
.426 .57 .895 r
.73493 .61751 .73702 .62894 .74374 .63573 .74167 .62431 Metetra
.415 .563 .893 r
.74167 .62431 .74374 .63573 .75048 .64291 .74842 .63149 Metetra
.405 .556 .892 r
.74842 .63149 .75048 .64291 .75724 .65045 .75519 .63903 Metetra
.395 .55 .891 r
.75519 .63903 .75724 .65045 .76401 .65831 .76198 .6469 Metetra
.387 .544 .889 r
.76198 .6469 .76401 .65831 .7708 .66647 .76878 .65507 Metetra
.379 .539 .888 r
.76878 .65507 .7708 .66647 .77761 .67488 .7756 .66349 Metetra
.373 .534 .887 r
.7756 .66349 .77761 .67488 .78444 .68352 .78244 .67213 Metetra
.367 .531 .886 r
.78244 .67213 .78444 .68352 .79128 .69234 .7893 .68096 Metetra
.363 .528 .885 r
.7893 .68096 .79128 .69234 .79814 .70132 .79617 .68994 Metetra
.36 .526 .885 r
.79617 .68994 .79814 .70132 .80502 .7104 .80306 .69902 Metetra
.359 .525 .885 r
.80306 .69902 .80502 .7104 .81191 .71955 .80997 .70818 Metetra
.359 .525 .885 r
.80997 .70818 .81191 .71955 .81883 .72873 .8169 .71738 Metetra
.36 .525 .885 r
.8169 .71738 .81883 .72873 .82575 .73791 .82384 .72656 Metetra
.362 .527 .885 r
.82384 .72656 .82575 .73791 .8327 .74704 .8308 .7357 Metetra
.365 .529 .886 r
.8308 .7357 .8327 .74704 .83966 .75608 .83777 .74475 Metetra
.37 .532 .887 r
.83777 .74475 .83966 .75608 .84663 .765 .84476 .75367 Metetra
.375 .536 .888 r
.84476 .75367 .84663 .765 .85363 .77376 .85177 .76243 Metetra
.382 .541 .889 r
.85177 .76243 .85363 .77376 .86063 .78231 .85879 .77099 Metetra
.39 .546 .89 r
.85879 .77099 .86063 .78231 .86765 .79062 .86582 .77931 Metetra
.398 .552 .892 r
.86582 .77931 .86765 .79062 .87469 .79865 .87287 .78734 Metetra
.408 .559 .893 r
.87287 .78734 .87469 .79865 .88174 .80637 .87994 .79507 Metetra
.418 .566 .895 r
.87994 .79507 .88174 .80637 .88881 .81374 .88702 .80244 Metetra
.429 .574 .896 r
.88702 .80244 .88881 .81374 .89588 .82072 .89411 .80943 Metetra
.441 .582 .898 r
.89411 .80943 .89588 .82072 .90298 .8273 .90122 .81601 Metetra
.453 .59 .899 r
.90122 .81601 .90298 .8273 .91008 .83343 .90834 .82214 Metetra
.465 .598 .9 r
.90834 .82214 .91008 .83343 .9172 .83909 .91547 .8278 Metetra
.478 .607 .902 r
.91547 .8278 .9172 .83909 .92432 .84425 .92261 .83296 Metetra
.491 .616 .903 r
.92261 .83296 .92432 .84425 .93146 .84889 .92976 .83759 Metetra
.505 .625 .903 r
.92976 .83759 .93146 .84889 .93861 .85297 .93693 .84168 Metetra
.518 .634 .904 r
.93693 .84168 .93861 .85297 .94577 .8565 .9441 .8452 Metetra
.532 .643 .905 r
.9441 .8452 .94577 .8565 .95294 .85943 .95129 .84813 Metetra
.545 .652 .905 r
.95129 .84813 .95294 .85943 .96013 .86177 .95849 .85046 Metetra
.558 .661 .905 r
.95849 .85046 .96013 .86177 .96732 .86349 .96569 .85217 Metetra
.571 .669 .905 r
.96569 .85217 .96732 .86349 .97451 .86458 .97291 .85326 Metetra
.584 .677 .905 r
.97291 .85326 .97451 .86458 .98172 .86504 .98013 .85371 Metetra
.596 .685 .904 r
.98013 .85371 .98172 .86504 .98894 .86486 .98736 .85351 Metetra
.608 .696 .905 r
.33365 .88971 .3365 .89975 .34248 .89904 .33964 .88898 Metetra
.622 .702 .902 r
.33964 .88898 .34248 .89904 .34848 .89773 .34565 .88767 Metetra
.635 .708 .899 r
.34565 .88767 .34848 .89773 .35448 .89584 .35166 .88577 Metetra
.647 .713 .896 r
.35166 .88577 .35448 .89584 .3605 .89337 .35769 .88328 Metetra
.658 .718 .893 r
.35769 .88328 .3605 .89337 .36654 .89033 .36374 .88022 Metetra
.668 .723 .89 r
.36374 .88022 .36654 .89033 .37258 .88672 .3698 .8766 Metetra
.678 .727 .887 r
.3698 .8766 .37258 .88672 .37864 .88256 .37586 .87242 Metetra
.687 .731 .884 r
.37586 .87242 .37864 .88256 .38471 .87786 .38195 .8677 Metetra
.695 .734 .881 r
.38195 .8677 .38471 .87786 .39079 .87264 .38804 .86246 Metetra
.702 .737 .878 r
.38804 .86246 .39079 .87264 .39689 .86691 .39414 .85671 Metetra
.709 .74 .875 r
.39414 .85671 .39689 .86691 .40299 .8607 .40026 .85048 Metetra
.716 .742 .873 r
.40026 .85048 .40299 .8607 .40911 .85402 .40639 .84378 Metetra
.721 .745 .87 r
.40639 .84378 .40911 .85402 .41524 .84691 .41253 .83664 Metetra
.726 .747 .868 r
.41253 .83664 .41524 .84691 .42137 .83938 .41868 .82909 Metetra
.731 .749 .866 r
.41868 .82909 .42137 .83938 .42752 .83147 .42484 .82115 Metetra
.735 .75 .864 r
.42484 .82115 .42752 .83147 .43368 .8232 .43101 .81286 Metetra
.739 .752 .863 r
.43101 .81286 .43368 .8232 .43985 .81461 .43719 .80424 Metetra
.742 .753 .861 r
.43719 .80424 .43985 .81461 .44603 .80573 .44338 .79533 Metetra
.745 .754 .86 r
.44338 .79533 .44603 .80573 .45222 .79658 .44958 .78616 Metetra
.747 .755 .859 r
.44958 .78616 .45222 .79658 .45842 .78721 .45579 .77676 Metetra
.749 .756 .858 r
.45579 .77676 .45842 .78721 .46462 .77765 .46201 .76717 Metetra
.751 .756 .857 r
.46201 .76717 .46462 .77765 .47084 .76794 .46823 .75743 Metetra
.752 .757 .856 r
.46823 .75743 .47084 .76794 .47707 .75811 .47447 .74756 Metetra
.753 .757 .856 r
.47447 .74756 .47707 .75811 .4833 .74819 .48072 .73762 Metetra
.753 .757 .856 r
.48072 .73762 .4833 .74819 .48955 .73824 .48698 .72764 Metetra
.753 .757 .856 r
.48698 .72764 .48955 .73824 .4958 .72828 .49324 .71765 Metetra
.752 .757 .856 r
.49324 .71765 .4958 .72828 .50206 .71835 .49952 .70769 Metetra
.751 .756 .857 r
.49952 .70769 .50206 .71835 .50833 .7085 .5058 .69781 Metetra
.75 .756 .857 r
.5058 .69781 .50833 .7085 .51461 .69875 .51209 .68803 Metetra
.748 .755 .858 r
.51209 .68803 .51461 .69875 .5209 .68914 .51839 .67839 Metetra
.746 .754 .859 r
.51839 .67839 .5209 .68914 .5272 .67972 .5247 .66894 Metetra
.744 .753 .86 r
.5247 .66894 .5272 .67972 .53351 .67051 .53102 .65971 Metetra
.741 .752 .862 r
.53102 .65971 .53351 .67051 .53983 .66156 .53735 .65072 Metetra
.737 .75 .863 r
.53735 .65072 .53983 .66156 .54615 .65289 .54369 .64203 Metetra
.733 .749 .865 r
.54369 .64203 .54615 .65289 .55249 .64454 .55004 .63365 Metetra
.729 .747 .866 r
.55004 .63365 .55249 .64454 .55884 .63654 .5564 .62562 Metetra
.724 .745 .868 r
.5564 .62562 .55884 .63654 .5652 .62891 .56277 .61797 Metetra
.719 .742 .87 r
.56277 .61797 .5652 .62891 .57156 .6217 .56915 .61073 Metetra
.713 .74 .872 r
.56915 .61073 .57156 .6217 .57794 .61492 .57554 .60393 Metetra
.706 .736 .875 r
.57554 .60393 .57794 .61492 .58433 .6086 .58194 .59759 Metetra
.699 .733 .877 r
.58194 .59759 .58433 .6086 .59073 .60277 .58836 .59173 Metetra
.692 .73 .879 r
.58836 .59173 .59073 .60277 .59714 .59744 .59478 .58638 Metetra
.684 .726 .882 r
.59478 .58638 .59714 .59744 .60356 .59264 .60121 .58156 Metetra
.675 .721 .884 r
.60121 .58156 .60356 .59264 .61 .58838 .60766 .57728 Metetra
.666 .716 .886 r
.60766 .57728 .61 .58838 .61645 .58468 .61412 .57357 Metetra
.656 .711 .889 r
.61412 .57357 .61645 .58468 .62291 .58155 .62059 .57042 Metetra
.646 .706 .891 r
.62059 .57042 .62291 .58155 .62938 .57901 .62708 .56786 Metetra
.635 .7 .893 r
.62708 .56786 .62938 .57901 .63586 .57705 .63358 .56589 Metetra
.623 .694 .895 r
.63358 .56589 .63586 .57705 .64236 .5757 .64009 .56452 Metetra
.611 .687 .897 r
.64009 .56452 .64236 .5757 .64888 .57494 .64661 .56376 Metetra
.599 .68 .898 r
.64661 .56376 .64888 .57494 .6554 .5748 .65315 .56359 Metetra
.586 .673 .9 r
.65315 .56359 .6554 .5748 .66194 .57525 .65971 .56404 Metetra
.572 .665 .901 r
.65971 .56404 .66194 .57525 .6685 .5763 .66628 .56508 Metetra
.559 .657 .902 r
.66628 .56508 .6685 .5763 .67507 .57795 .67286 .56672 Metetra
.544 .649 .902 r
.67286 .56672 .67507 .57795 .68166 .58019 .67946 .56895 Metetra
.53 .64 .903 r
.67946 .56895 .68166 .58019 .68826 .583 .68608 .57176 Metetra
.516 .631 .903 r
.68608 .57176 .68826 .583 .69488 .58638 .69271 .57513 Metetra
.502 .622 .903 r
.69271 .57513 .69488 .58638 .70151 .5903 .69935 .57906 Metetra
.487 .613 .902 r
.69935 .57906 .70151 .5903 .70816 .59476 .70602 .58351 Metetra
.473 .605 .902 r
.70602 .58351 .70816 .59476 .71483 .59973 .7127 .58848 Metetra
.459 .596 .901 r
.7127 .58848 .71483 .59973 .72152 .6052 .71939 .59395 Metetra
.446 .587 .9 r
.71939 .59395 .72152 .6052 .72822 .61113 .72611 .59988 Metetra
.433 .579 .899 r
.72611 .59988 .72822 .61113 .73493 .61751 .73284 .60626 Metetra
.421 .571 .897 r
.73284 .60626 .73493 .61751 .74167 .62431 .73959 .61306 Metetra
.409 .563 .896 r
.73959 .61306 .74167 .62431 .74842 .63149 .74635 .62025 Metetra
.398 .556 .894 r
.74635 .62025 .74842 .63149 .75519 .63903 .75313 .6278 Metetra
.389 .549 .893 r
.75313 .6278 .75519 .63903 .76198 .6469 .75993 .63567 Metetra
.38 .543 .892 r
.75993 .63567 .76198 .6469 .76878 .65507 .76675 .64384 Metetra
.372 .538 .89 r
.76675 .64384 .76878 .65507 .7756 .66349 .77359 .65226 Metetra
.366 .533 .889 r
.77359 .65226 .7756 .66349 .78244 .67213 .78044 .66091 Metetra
.36 .53 .888 r
.78044 .66091 .78244 .67213 .7893 .68096 .78731 .66975 Metetra
.356 .527 .887 r
.78731 .66975 .7893 .68096 .79617 .68994 .7942 .67874 Metetra
.353 .525 .887 r
.7942 .67874 .79617 .68994 .80306 .69902 .8011 .68783 Metetra
.352 .524 .887 r
.8011 .68783 .80306 .69902 .80997 .70818 .80802 .697 Metetra
.351 .524 .886 r
.80802 .697 .80997 .70818 .8169 .71738 .81496 .7062 Metetra
.352 .524 .887 r
.81496 .7062 .8169 .71738 .82384 .72656 .82192 .71539 Metetra
.354 .526 .887 r
.82192 .71539 .82384 .72656 .8308 .7357 .82889 .72454 Metetra
.358 .528 .888 r
.82889 .72454 .8308 .7357 .83777 .74475 .83588 .73359 Metetra
.363 .531 .889 r
.83588 .73359 .83777 .74475 .84476 .75367 .84288 .74253 Metetra
.368 .536 .89 r
.84288 .74253 .84476 .75367 .85177 .76243 .8499 .75129 Metetra
.375 .54 .891 r
.8499 .75129 .85177 .76243 .85879 .77099 .85694 .75986 Metetra
.383 .546 .892 r
.85694 .75986 .85879 .77099 .86582 .77931 .86399 .76818 Metetra
.392 .552 .894 r
.86399 .76818 .86582 .77931 .87287 .78734 .87105 .77622 Metetra
.402 .559 .895 r
.87105 .77622 .87287 .78734 .87994 .79507 .87813 .78395 Metetra
.412 .566 .897 r
.87813 .78395 .87994 .79507 .88702 .80244 .88522 .79133 Metetra
.424 .574 .899 r
.88522 .79133 .88702 .80244 .89411 .80943 .89233 .79832 Metetra
.435 .582 .9 r
.89233 .79832 .89411 .80943 .90122 .81601 .89945 .8049 Metetra
.448 .591 .902 r
.89945 .8049 .90122 .81601 .90834 .82214 .90659 .81104 Metetra
.461 .599 .903 r
.90659 .81104 .90834 .82214 .91547 .8278 .91373 .8167 Metetra
.474 .608 .904 r
.91373 .8167 .91547 .8278 .92261 .83296 .92089 .82185 Metetra
.487 .617 .906 r
.92089 .82185 .92261 .83296 .92976 .83759 .92806 .82649 Metetra
.501 .627 .906 r
.92806 .82649 .92976 .83759 .93693 .84168 .93524 .83057 Metetra
.515 .636 .907 r
.93524 .83057 .93693 .84168 .9441 .8452 .94243 .83408 Metetra
.529 .645 .908 r
.94243 .83408 .9441 .8452 .95129 .84813 .94963 .83701 Metetra
.542 .654 .908 r
.94963 .83701 .95129 .84813 .95849 .85046 .95684 .83933 Metetra
.556 .663 .908 r
.95684 .83933 .95849 .85046 .96569 .85217 .96406 .84104 Metetra
.569 .672 .908 r
.96406 .84104 .96569 .85217 .97291 .85326 .97129 .84211 Metetra
.582 .68 .908 r
.97129 .84211 .97291 .85326 .98013 .85371 .97853 .84255 Metetra
.595 .688 .907 r
.97853 .84255 .98013 .85371 .98736 .85351 .98578 .84235 Metetra
.607 .699 .909 r
.33079 .87985 .33365 .88971 .33964 .88898 .33679 .87911 Metetra
.621 .705 .906 r
.33679 .87911 .33964 .88898 .34565 .88767 .3428 .87778 Metetra
.634 .711 .902 r
.3428 .87778 .34565 .88767 .35166 .88577 .34883 .87586 Metetra
.646 .716 .899 r
.34883 .87586 .35166 .88577 .35769 .88328 .35487 .87337 Metetra
.658 .721 .896 r
.35487 .87337 .35769 .88328 .36374 .88022 .36093 .87029 Metetra
.668 .726 .893 r
.36093 .87029 .36374 .88022 .3698 .8766 .36699 .86665 Metetra
.678 .73 .89 r
.36699 .86665 .3698 .8766 .37586 .87242 .37307 .86246 Metetra
.687 .734 .886 r
.37307 .86246 .37586 .87242 .38195 .8677 .37917 .85772 Metetra
.695 .737 .883 r
.37917 .85772 .38195 .8677 .38804 .86246 .38527 .85246 Metetra
.703 .74 .88 r
.38527 .85246 .38804 .86246 .39414 .85671 .39139 .84669 Metetra
.71 .743 .878 r
.39139 .84669 .39414 .85671 .40026 .85048 .39752 .84043 Metetra
.716 .746 .875 r
.39752 .84043 .40026 .85048 .40639 .84378 .40365 .83371 Metetra
.722 .748 .873 r
.40365 .83371 .40639 .84378 .41253 .83664 .4098 .82655 Metetra
.727 .75 .87 r
.4098 .82655 .41253 .83664 .41868 .82909 .41597 .81897 Metetra
.732 .752 .868 r
.41597 .81897 .41868 .82909 .42484 .82115 .42214 .81101 Metetra
.736 .753 .866 r
.42214 .81101 .42484 .82115 .43101 .81286 .42832 .80269 Metetra
.74 .755 .865 r
.42832 .80269 .43101 .81286 .43719 .80424 .43451 .79405 Metetra
.743 .756 .863 r
.43451 .79405 .43719 .80424 .44338 .79533 .44071 .78511 Metetra
.746 .757 .862 r
.44071 .78511 .44338 .79533 .44958 .78616 .44692 .77591 Metetra
.748 .758 .861 r
.44692 .77591 .44958 .78616 .45579 .77676 .45315 .76648 Metetra
.75 .759 .86 r
.45315 .76648 .45579 .77676 .46201 .76717 .45938 .75686 Metetra
.752 .759 .859 r
.45938 .75686 .46201 .76717 .46823 .75743 .46562 .74709 Metetra
.753 .76 .858 r
.46562 .74709 .46823 .75743 .47447 .74756 .47187 .7372 Metetra
.754 .76 .858 r
.47187 .7372 .47447 .74756 .48072 .73762 .47813 .72723 Metetra
.754 .76 .858 r
.47813 .72723 .48072 .73762 .48698 .72764 .48439 .71721 Metetra
.754 .76 .858 r
.48439 .71721 .48698 .72764 .49324 .71765 .49067 .70719 Metetra
.753 .76 .858 r
.49067 .70719 .49324 .71765 .49952 .70769 .49696 .69721 Metetra
.752 .76 .859 r
.49696 .69721 .49952 .70769 .5058 .69781 .50325 .68729 Metetra
.751 .759 .859 r
.50325 .68729 .5058 .69781 .51209 .68803 .50956 .67748 Metetra
.749 .758 .86 r
.50956 .67748 .51209 .68803 .51839 .67839 .51587 .66782 Metetra
.747 .758 .861 r
.51587 .66782 .51839 .67839 .5247 .66894 .5222 .65834 Metetra
.745 .756 .862 r
.5222 .65834 .5247 .66894 .53102 .65971 .52853 .64907 Metetra
.742 .755 .864 r
.52853 .64907 .53102 .65971 .53735 .65072 .53487 .64006 Metetra
.738 .754 .865 r
.53487 .64006 .53735 .65072 .54369 .64203 .54122 .63134 Metetra
.734 .752 .867 r
.54122 .63134 .54369 .64203 .55004 .63365 .54758 .62293 Metetra
.73 .75 .869 r
.54758 .62293 .55004 .63365 .5564 .62562 .55396 .61488 Metetra
.725 .748 .87 r
.55396 .61488 .5564 .62562 .56277 .61797 .56034 .6072 Metetra
.719 .745 .873 r
.56034 .6072 .56277 .61797 .56915 .61073 .56673 .59994 Metetra
.713 .743 .875 r
.56673 .59994 .56915 .61073 .57554 .60393 .57313 .59311 Metetra
.707 .74 .877 r
.57313 .59311 .57554 .60393 .58194 .59759 .57955 .58675 Metetra
.7 .736 .879 r
.57955 .58675 .58194 .59759 .58836 .59173 .58597 .58087 Metetra
.692 .733 .882 r
.58597 .58087 .58836 .59173 .59478 .58638 .59241 .5755 Metetra
.684 .729 .884 r
.59241 .5755 .59478 .58638 .60121 .58156 .59886 .57066 Metetra
.675 .724 .887 r
.59886 .57066 .60121 .58156 .60766 .57728 .60531 .56636 Metetra
.666 .72 .889 r
.60531 .56636 .60766 .57728 .61412 .57357 .61179 .56262 Metetra
.656 .714 .891 r
.61179 .56262 .61412 .57357 .62059 .57042 .61827 .55946 Metetra
.645 .709 .894 r
.61827 .55946 .62059 .57042 .62708 .56786 .62477 .55689 Metetra
.634 .703 .896 r
.62477 .55689 .62708 .56786 .63358 .56589 .63128 .5549 Metetra
.622 .697 .898 r
.63128 .5549 .63358 .56589 .64009 .56452 .6378 .55352 Metetra
.61 .69 .9 r
.6378 .55352 .64009 .56452 .64661 .56376 .64434 .55274 Metetra
.597 .683 .901 r
.64434 .55274 .64661 .56376 .65315 .56359 .65089 .55257 Metetra
.584 .675 .903 r
.65089 .55257 .65315 .56359 .65971 .56404 .65746 .553 Metetra
.57 .667 .904 r
.65746 .553 .65971 .56404 .66628 .56508 .66404 .55404 Metetra
.556 .659 .905 r
.66404 .55404 .66628 .56508 .67286 .56672 .67064 .55567 Metetra
.542 .651 .906 r
.67064 .55567 .67286 .56672 .67946 .56895 .67725 .55789 Metetra
.527 .642 .906 r
.67725 .55789 .67946 .56895 .68608 .57176 .68388 .5607 Metetra
.513 .633 .906 r
.68388 .5607 .68608 .57176 .69271 .57513 .69052 .56406 Metetra
.498 .624 .906 r
.69052 .56406 .69271 .57513 .69935 .57906 .69718 .56798 Metetra
.483 .615 .905 r
.69718 .56798 .69935 .57906 .70602 .58351 .70386 .57244 Metetra
.469 .606 .905 r
.70386 .57244 .70602 .58351 .7127 .58848 .71055 .57741 Metetra
.455 .597 .904 r
.71055 .57741 .7127 .58848 .71939 .59395 .71726 .58288 Metetra
.441 .588 .903 r
.71726 .58288 .71939 .59395 .72611 .59988 .72399 .58881 Metetra
.428 .579 .901 r
.72399 .58881 .72611 .59988 .73284 .60626 .73073 .59519 Metetra
.415 .571 .9 r
.73073 .59519 .73284 .60626 .73959 .61306 .73749 .602 Metetra
.403 .563 .898 r
.73749 .602 .73959 .61306 .74635 .62025 .74427 .60919 Metetra
.392 .556 .897 r
.74427 .60919 .74635 .62025 .75313 .6278 .75107 .61674 Metetra
.382 .549 .895 r
.75107 .61674 .75313 .6278 .75993 .63567 .75788 .62462 Metetra
.373 .543 .894 r
.75788 .62462 .75993 .63567 .76675 .64384 .76471 .63279 Metetra
.365 .537 .892 r
.76471 .63279 .76675 .64384 .77359 .65226 .77156 .64122 Metetra
.358 .533 .891 r
.77156 .64122 .77359 .65226 .78044 .66091 .77843 .64988 Metetra
.353 .529 .89 r
.77843 .64988 .78044 .66091 .78731 .66975 .78531 .65872 Metetra
.349 .526 .889 r
.78531 .65872 .78731 .66975 .7942 .67874 .79221 .66772 Metetra
.346 .524 .889 r
.79221 .66772 .7942 .67874 .8011 .68783 .79913 .67682 Metetra
.344 .523 .888 r
.79913 .67682 .8011 .68783 .80802 .697 .80607 .68599 Metetra
.344 .522 .888 r
.80607 .68599 .80802 .697 .81496 .7062 .81302 .6952 Metetra
.345 .523 .889 r
.81302 .6952 .81496 .7062 .82192 .71539 .81999 .7044 Metetra
.347 .525 .889 r
.81999 .7044 .82192 .71539 .82889 .72454 .82697 .71356 Metetra
.35 .527 .89 r
.82697 .71356 .82889 .72454 .83588 .73359 .83398 .72262 Metetra
.355 .531 .891 r
.83398 .72262 .83588 .73359 .84288 .74253 .84099 .73156 Metetra
.361 .535 .892 r
.84099 .73156 .84288 .74253 .8499 .75129 .84803 .74034 Metetra
.368 .54 .893 r
.84803 .74034 .8499 .75129 .85694 .75986 .85508 .74891 Metetra
.376 .545 .895 r
.85508 .74891 .85694 .75986 .86399 .76818 .86214 .75723 Metetra
.385 .552 .896 r
.86214 .75723 .86399 .76818 .87105 .77622 .86922 .76528 Metetra
.395 .559 .898 r
.86922 .76528 .87105 .77622 .87813 .78395 .87632 .77301 Metetra
.406 .566 .9 r
.87632 .77301 .87813 .78395 .88522 .79133 .88342 .7804 Metetra
.418 .574 .901 r
.88342 .7804 .88522 .79133 .89233 .79832 .89055 .7874 Metetra
.43 .583 .903 r
.89055 .7874 .89233 .79832 .89945 .8049 .89768 .79398 Metetra
.443 .591 .905 r
.89768 .79398 .89945 .8049 .90659 .81104 .90483 .80011 Metetra
.456 .6 .906 r
.90483 .80011 .90659 .81104 .91373 .8167 .91199 .80578 Metetra
.469 .609 .907 r
.91199 .80578 .91373 .8167 .92089 .82185 .91916 .81093 Metetra
.483 .619 .909 r
.91916 .81093 .92089 .82185 .92806 .82649 .92635 .81557 Metetra
.497 .628 .91 r
.92635 .81557 .92806 .82649 .93524 .83057 .93354 .81965 Metetra
.511 .638 .91 r
.93354 .81965 .93524 .83057 .94243 .83408 .94075 .82316 Metetra
.525 .647 .911 r
.94075 .82316 .94243 .83408 .94963 .83701 .94797 .82608 Metetra
.539 .656 .911 r
.94797 .82608 .94963 .83701 .95684 .83933 .95519 .82839 Metetra
.553 .665 .911 r
.95519 .82839 .95684 .83933 .96406 .84104 .96243 .83009 Metetra
.567 .674 .911 r
.96243 .83009 .96406 .84104 .97129 .84211 .96967 .83116 Metetra
.58 .683 .911 r
.96967 .83116 .97129 .84211 .97853 .84255 .97693 .83159 Metetra
.593 .691 .91 r
.97693 .83159 .97853 .84255 .98578 .84235 .98419 .83137 Metetra
.605 .702 .912 r
.32791 .87016 .33079 .87985 .33679 .87911 .33392 .86941 Metetra
.62 .708 .909 r
.33392 .86941 .33679 .87911 .3428 .87778 .33995 .86807 Metetra
.633 .714 .905 r
.33995 .86807 .3428 .87778 .34883 .87586 .34598 .86614 Metetra
.646 .72 .902 r
.34598 .86614 .34883 .87586 .35487 .87337 .35204 .86363 Metetra
.657 .725 .899 r
.35204 .86363 .35487 .87337 .36093 .87029 .3581 .86054 Metetra
.668 .729 .896 r
.3581 .86054 .36093 .87029 .36699 .86665 .36418 .85688 Metetra
.678 .733 .892 r
.36418 .85688 .36699 .86665 .37307 .86246 .37027 .85267 Metetra
.687 .737 .889 r
.37027 .85267 .37307 .86246 .37917 .85772 .37638 .84791 Metetra
.695 .741 .886 r
.37638 .84791 .37917 .85772 .38527 .85246 .38249 .84263 Metetra
.703 .744 .883 r
.38249 .84263 .38527 .85246 .39139 .84669 .38862 .83684 Metetra
.71 .747 .88 r
.38862 .83684 .39139 .84669 .39752 .84043 .39476 .83056 Metetra
.717 .749 .877 r
.39476 .83056 .39752 .84043 .40365 .83371 .40091 .82382 Metetra
.723 .751 .875 r
.40091 .82382 .40365 .83371 .4098 .82655 .40707 .81663 Metetra
.728 .753 .873 r
.40707 .81663 .4098 .82655 .41597 .81897 .41324 .80903 Metetra
.733 .755 .87 r
.41324 .80903 .41597 .81897 .42214 .81101 .41942 .80104 Metetra
.737 .757 .868 r
.41942 .80104 .42214 .81101 .42832 .80269 .42562 .7927 Metetra
.741 .758 .867 r
.42562 .7927 .42832 .80269 .43451 .79405 .43182 .78403 Metetra
.744 .759 .865 r
.43182 .78403 .43451 .79405 .44071 .78511 .43804 .77506 Metetra
.747 .76 .864 r
.43804 .77506 .44071 .78511 .44692 .77591 .44426 .76583 Metetra
.749 .761 .862 r
.44426 .76583 .44692 .77591 .45315 .76648 .45049 .75638 Metetra
.751 .762 .861 r
.45049 .75638 .45315 .76648 .45938 .75686 .45674 .74673 Metetra
.753 .763 .861 r
.45674 .74673 .45938 .75686 .46562 .74709 .46299 .73693 Metetra
.754 .763 .86 r
.46299 .73693 .46562 .74709 .47187 .7372 .46925 .72701 Metetra
.755 .763 .86 r
.46925 .72701 .47187 .7372 .47813 .72723 .47552 .71701 Metetra
.755 .763 .86 r
.47552 .71701 .47813 .72723 .48439 .71721 .4818 .70696 Metetra
.755 .763 .86 r
.4818 .70696 .48439 .71721 .49067 .70719 .48809 .69691 Metetra
.754 .763 .86 r
.48809 .69691 .49067 .70719 .49696 .69721 .49439 .6869 Metetra
.754 .763 .86 r
.49439 .6869 .49696 .69721 .50325 .68729 .5007 .67695 Metetra
.752 .762 .861 r
.5007 .67695 .50325 .68729 .50956 .67748 .50702 .66711 Metetra
.75 .762 .862 r
.50702 .66711 .50956 .67748 .51587 .66782 .51334 .65742 Metetra
.748 .761 .863 r
.51334 .65742 .51587 .66782 .5222 .65834 .51968 .64791 Metetra
.746 .76 .864 r
.51968 .64791 .5222 .65834 .52853 .64907 .52602 .63862 Metetra
.743 .758 .866 r
.52602 .63862 .52853 .64907 .53487 .64006 .53238 .62958 Metetra
.739 .757 .867 r
.53238 .62958 .53487 .64006 .54122 .63134 .53874 .62083 Metetra
.735 .755 .869 r
.53874 .62083 .54122 .63134 .54758 .62293 .54511 .61239 Metetra
.731 .753 .871 r
.54511 .61239 .54758 .62293 .55396 .61488 .5515 .60431 Metetra
.726 .751 .873 r
.5515 .60431 .55396 .61488 .56034 .6072 .55789 .59661 Metetra
.72 .749 .875 r
.55789 .59661 .56034 .6072 .56673 .59994 .5643 .58932 Metetra
.714 .746 .877 r
.5643 .58932 .56673 .59994 .57313 .59311 .57071 .58247 Metetra
.707 .743 .879 r
.57071 .58247 .57313 .59311 .57955 .58675 .57714 .57609 Metetra
.7 .74 .882 r
.57714 .57609 .57955 .58675 .58597 .58087 .58358 .57019 Metetra
.692 .736 .884 r
.58358 .57019 .58597 .58087 .59241 .5755 .59002 .56479 Metetra
.684 .732 .887 r
.59002 .56479 .59241 .5755 .59886 .57066 .59649 .55993 Metetra
.675 .728 .889 r
.59649 .55993 .59886 .57066 .60531 .56636 .60296 .55561 Metetra
.666 .723 .892 r
.60296 .55561 .60531 .56636 .61179 .56262 .60944 .55186 Metetra
.655 .718 .894 r
.60944 .55186 .61179 .56262 .61827 .55946 .61594 .54868 Metetra
.645 .712 .896 r
.61594 .54868 .61827 .55946 .62477 .55689 .62245 .54609 Metetra
.633 .706 .899 r
.62245 .54609 .62477 .55689 .63128 .5549 .62897 .54409 Metetra
.621 .7 .901 r
.62897 .54409 .63128 .5549 .6378 .55352 .63551 .54269 Metetra
.609 .693 .903 r
.63551 .54269 .6378 .55352 .64434 .55274 .64206 .5419 Metetra
.596 .685 .904 r
.64206 .5419 .64434 .55274 .65089 .55257 .64863 .54172 Metetra
.582 .678 .906 r
.64863 .54172 .65089 .55257 .65746 .553 .65521 .54214 Metetra
.568 .67 .907 r
.65521 .54214 .65746 .553 .66404 .55404 .6618 .54317 Metetra
.554 .661 .908 r
.6618 .54317 .66404 .55404 .67064 .55567 .66841 .5448 Metetra
.539 .653 .909 r
.66841 .5448 .67064 .55567 .67725 .55789 .67503 .54701 Metetra
.524 .644 .909 r
.67503 .54701 .67725 .55789 .68388 .5607 .68168 .54981 Metetra
.509 .635 .909 r
.68168 .54981 .68388 .5607 .69052 .56406 .68833 .55317 Metetra
.494 .625 .909 r
.68833 .55317 .69052 .56406 .69718 .56798 .695 .55709 Metetra
.479 .616 .908 r
.695 .55709 .69718 .56798 .70386 .57244 .70169 .56154 Metetra
.464 .607 .908 r
.70169 .56154 .70386 .57244 .71055 .57741 .7084 .56651 Metetra
.45 .597 .907 r
.7084 .56651 .71055 .57741 .71726 .58288 .71512 .57198 Metetra
.435 .588 .905 r
.71512 .57198 .71726 .58288 .72399 .58881 .72186 .57792 Metetra
.422 .579 .904 r
.72186 .57792 .72399 .58881 .73073 .59519 .72862 .5843 Metetra
.409 .571 .902 r
.72862 .5843 .73073 .59519 .73749 .602 .73539 .59111 Metetra
.397 .563 .901 r
.73539 .59111 .73749 .602 .74427 .60919 .74219 .5983 Metetra
.385 .555 .899 r
.74219 .5983 .74427 .60919 .75107 .61674 .74899 .60586 Metetra
.375 .548 .897 r
.74899 .60586 .75107 .61674 .75788 .62462 .75582 .61374 Metetra
.366 .542 .896 r
.75582 .61374 .75788 .62462 .76471 .63279 .76267 .62192 Metetra
.358 .537 .894 r
.76267 .62192 .76471 .63279 .77156 .64122 .76953 .63036 Metetra
.351 .532 .893 r
.76953 .63036 .77156 .64122 .77843 .64988 .77641 .63902 Metetra
.345 .528 .892 r
.77641 .63902 .77843 .64988 .78531 .65872 .7833 .64788 Metetra
.341 .525 .891 r
.7833 .64788 .78531 .65872 .79221 .66772 .79022 .65688 Metetra
.338 .523 .891 r
.79022 .65688 .79221 .66772 .79913 .67682 .79715 .66599 Metetra
.336 .522 .89 r
.79715 .66599 .79913 .67682 .80607 .68599 .8041 .67517 Metetra
.336 .521 .89 r
.8041 .67517 .80607 .68599 .81302 .6952 .81107 .68439 Metetra
.337 .522 .89 r
.81107 .68439 .81302 .6952 .81999 .7044 .81805 .6936 Metetra
.339 .524 .891 r
.81805 .6936 .81999 .7044 .82697 .71356 .82505 .70276 Metetra
.343 .526 .892 r
.82505 .70276 .82697 .71356 .83398 .72262 .83207 .71183 Metetra
.348 .53 .893 r
.83207 .71183 .83398 .72262 .84099 .73156 .8391 .72078 Metetra
.354 .534 .894 r
.8391 .72078 .84099 .73156 .84803 .74034 .84615 .72956 Metetra
.361 .539 .895 r
.84615 .72956 .84803 .74034 .85508 .74891 .85321 .73814 Metetra
.369 .545 .897 r
.85321 .73814 .85508 .74891 .86214 .75723 .86029 .74647 Metetra
.379 .551 .898 r
.86029 .74647 .86214 .75723 .86922 .76528 .86738 .75453 Metetra
.389 .558 .9 r
.86738 .75453 .86922 .76528 .87632 .77301 .87449 .76227 Metetra
.4 .566 .902 r
.87449 .76227 .87632 .77301 .88342 .7804 .88162 .76965 Metetra
.412 .574 .904 r
.88162 .76965 .88342 .7804 .89055 .7874 .88875 .77666 Metetra
.424 .583 .906 r
.88875 .77666 .89055 .7874 .89768 .79398 .8959 .78324 Metetra
.437 .592 .907 r
.8959 .78324 .89768 .79398 .90483 .80011 .90307 .78938 Metetra
.451 .601 .909 r
.90307 .78938 .90483 .80011 .91199 .80578 .91024 .79504 Metetra
.465 .611 .91 r
.91024 .79504 .91199 .80578 .91916 .81093 .91743 .8002 Metetra
.479 .62 .912 r
.91743 .8002 .91916 .81093 .92635 .81557 .92463 .80483 Metetra
.493 .63 .913 r
.92463 .80483 .92635 .81557 .93354 .81965 .93184 .80891 Metetra
.508 .639 .913 r
.93184 .80891 .93354 .81965 .94075 .82316 .93906 .81242 Metetra
.522 .649 .914 r
.93906 .81242 .94075 .82316 .94797 .82608 .94629 .81533 Metetra
.536 .658 .914 r
.94629 .81533 .94797 .82608 .95519 .82839 .95354 .81764 Metetra
.55 .668 .915 r
.95354 .81764 .95519 .82839 .96243 .83009 .96079 .81933 Metetra
.564 .677 .915 r
.96079 .81933 .96243 .83009 .96967 .83116 .96805 .82039 Metetra
.578 .685 .914 r
.96805 .82039 .96967 .83116 .97693 .83159 .97532 .82081 Metetra
.591 .694 .914 r
.97532 .82081 .97693 .83159 .98419 .83137 .9826 .82058 Metetra
.604 .705 .915 r
.32502 .86064 .32791 .87016 .33392 .86941 .33104 .85988 Metetra
.619 .711 .912 r
.33104 .85988 .33392 .86941 .33995 .86807 .33708 .85853 Metetra
.632 .717 .909 r
.33708 .85853 .33995 .86807 .34598 .86614 .34313 .85659 Metetra
.645 .723 .905 r
.34313 .85659 .34598 .86614 .35204 .86363 .34919 .85406 Metetra
.657 .728 .902 r
.34919 .85406 .35204 .86363 .3581 .86054 .35526 .85096 Metetra
.668 .733 .898 r
.35526 .85096 .3581 .86054 .36418 .85688 .36135 .84729 Metetra
.678 .737 .895 r
.36135 .84729 .36418 .85688 .37027 .85267 .36746 .84305 Metetra
.687 .741 .892 r
.36746 .84305 .37027 .85267 .37638 .84791 .37357 .83828 Metetra
.696 .744 .889 r
.37357 .83828 .37638 .84791 .38249 .84263 .3797 .83298 Metetra
.704 .747 .885 r
.3797 .83298 .38249 .84263 .38862 .83684 .38584 .82717 Metetra
.711 .75 .883 r
.38584 .82717 .38862 .83684 .39476 .83056 .39199 .82087 Metetra
.718 .752 .88 r
.39199 .82087 .39476 .83056 .40091 .82382 .39815 .8141 Metetra
.723 .755 .877 r
.39815 .8141 .40091 .82382 .40707 .81663 .40432 .80689 Metetra
.729 .757 .875 r
.40432 .80689 .40707 .81663 .41324 .80903 .41051 .79927 Metetra
.734 .759 .873 r
.41051 .79927 .41324 .80903 .41942 .80104 .4167 .79126 Metetra
.738 .76 .871 r
.4167 .79126 .41942 .80104 .42562 .7927 .42291 .78288 Metetra
.742 .762 .869 r
.42291 .78288 .42562 .7927 .43182 .78403 .42912 .77419 Metetra
.745 .763 .867 r
.42912 .77419 .43182 .78403 .43804 .77506 .43535 .76519 Metetra
.748 .764 .866 r
.43535 .76519 .43804 .77506 .44426 .76583 .44158 .75593 Metetra
.75 .765 .864 r
.44158 .75593 .44426 .76583 .45049 .75638 .44783 .74645 Metetra
.752 .765 .863 r
.44783 .74645 .45049 .75638 .45674 .74673 .45408 .73678 Metetra
.754 .766 .863 r
.45408 .73678 .45674 .74673 .46299 .73693 .46035 .72694 Metetra
.755 .766 .862 r
.46035 .72694 .46299 .73693 .46925 .72701 .46662 .71699 Metetra
.756 .767 .862 r
.46662 .71699 .46925 .72701 .47552 .71701 .4729 .70696 Metetra
.756 .767 .862 r
.4729 .70696 .47552 .71701 .4818 .70696 .4792 .69689 Metetra
.756 .767 .862 r
.4792 .69689 .4818 .70696 .48809 .69691 .4855 .68681 Metetra
.756 .767 .862 r
.4855 .68681 .48809 .69691 .49439 .6869 .49181 .67676 Metetra
.755 .766 .862 r
.49181 .67676 .49439 .6869 .5007 .67695 .49813 .66679 Metetra
.753 .766 .863 r
.49813 .66679 .5007 .67695 .50702 .66711 .50446 .65692 Metetra
.752 .765 .864 r
.50446 .65692 .50702 .66711 .51334 .65742 .5108 .6472 Metetra
.749 .764 .865 r
.5108 .6472 .51334 .65742 .51968 .64791 .51715 .63766 Metetra
.747 .763 .866 r
.51715 .63766 .51968 .64791 .52602 .63862 .5235 .62834 Metetra
.744 .762 .868 r
.5235 .62834 .52602 .63862 .53238 .62958 .52987 .61927 Metetra
.74 .76 .869 r
.52987 .61927 .53238 .62958 .53874 .62083 .53625 .61049 Metetra
.736 .759 .871 r
.53625 .61049 .53874 .62083 .54511 .61239 .54263 .60203 Metetra
.731 .757 .873 r
.54263 .60203 .54511 .61239 .5515 .60431 .54903 .59392 Metetra
.726 .755 .875 r
.54903 .59392 .5515 .60431 .55789 .59661 .55544 .5862 Metetra
.721 .752 .877 r
.55544 .5862 .55789 .59661 .5643 .58932 .56185 .57888 Metetra
.715 .749 .879 r
.56185 .57888 .5643 .58932 .57071 .58247 .56828 .57201 Metetra
.708 .746 .882 r
.56828 .57201 .57071 .58247 .57714 .57609 .57472 .5656 Metetra
.701 .743 .884 r
.57472 .5656 .57714 .57609 .58358 .57019 .58117 .55968 Metetra
.693 .739 .887 r
.58117 .55968 .58358 .57019 .59002 .56479 .58763 .55426 Metetra
.684 .735 .889 r
.58763 .55426 .59002 .56479 .59649 .55993 .5941 .54938 Metetra
.675 .731 .892 r
.5941 .54938 .59649 .55993 .60296 .55561 .60059 .54504 Metetra
.665 .726 .895 r
.60059 .54504 .60296 .55561 .60944 .55186 .60709 .54127 Metetra
.655 .721 .897 r
.60709 .54127 .60944 .55186 .61594 .54868 .6136 .53808 Metetra
.644 .715 .899 r
.6136 .53808 .61594 .54868 .62245 .54609 .62012 .53547 Metetra
.632 .709 .902 r
.62012 .53547 .62245 .54609 .62897 .54409 .62666 .53345 Metetra
.62 .703 .904 r
.62666 .53345 .62897 .54409 .63551 .54269 .63321 .53204 Metetra
.607 .696 .906 r
.63321 .53204 .63551 .54269 .64206 .5419 .63977 .53124 Metetra
.594 .688 .908 r
.63977 .53124 .64206 .5419 .64863 .54172 .64635 .53105 Metetra
.58 .68 .909 r
.64635 .53105 .64863 .54172 .65521 .54214 .65294 .53146 Metetra
.566 .672 .91 r
.65294 .53146 .65521 .54214 .6618 .54317 .65955 .53248 Metetra
.551 .664 .911 r
.65955 .53248 .6618 .54317 .66841 .5448 .66617 .5341 Metetra
.536 .655 .912 r
.66617 .5341 .66841 .5448 .67503 .54701 .67281 .53631 Metetra
.521 .646 .912 r
.67281 .53631 .67503 .54701 .68168 .54981 .67946 .5391 Metetra
.505 .636 .912 r
.67946 .5391 .68168 .54981 .68833 .55317 .68613 .54246 Metetra
.49 .627 .912 r
.68613 .54246 .68833 .55317 .695 .55709 .69282 .54638 Metetra
.474 .617 .911 r
.69282 .54638 .695 .55709 .70169 .56154 .69952 .55083 Metetra
.459 .608 .91 r
.69952 .55083 .70169 .56154 .7084 .56651 .70624 .5558 Metetra
.444 .598 .909 r
.70624 .5558 .7084 .56651 .71512 .57198 .71297 .56126 Metetra
.43 .589 .908 r
.71297 .56126 .71512 .57198 .72186 .57792 .71973 .5672 Metetra
.416 .58 .906 r
.71973 .5672 .72186 .57792 .72862 .5843 .7265 .57359 Metetra
.403 .571 .905 r
.7265 .57359 .72862 .5843 .73539 .59111 .73328 .5804 Metetra
.39 .563 .903 r
.73328 .5804 .73539 .59111 .74219 .5983 .74009 .5876 Metetra
.378 .555 .901 r
.74009 .5876 .74219 .5983 .74899 .60586 .74691 .59516 Metetra
.368 .548 .9 r
.74691 .59516 .74899 .60586 .75582 .61374 .75375 .60305 Metetra
.358 .541 .898 r
.75375 .60305 .75582 .61374 .76267 .62192 .76061 .61123 Metetra
.35 .536 .896 r
.76061 .61123 .76267 .62192 .76953 .63036 .76749 .61968 Metetra
.343 .531 .895 r
.76749 .61968 .76953 .63036 .77641 .63902 .77438 .62835 Metetra
.337 .527 .894 r
.77438 .62835 .77641 .63902 .7833 .64788 .78129 .63721 Metetra
.333 .524 .893 r
.78129 .63721 .7833 .64788 .79022 .65688 .78822 .64622 Metetra
.329 .521 .892 r
.78822 .64622 .79022 .65688 .79715 .66599 .79516 .65534 Metetra
.328 .52 .892 r
.79516 .65534 .79715 .66599 .8041 .67517 .80213 .66453 Metetra
.327 .52 .892 r
.80213 .66453 .8041 .67517 .81107 .68439 .80911 .67376 Metetra
.328 .521 .892 r
.80911 .67376 .81107 .68439 .81805 .6936 .81611 .68297 Metetra
.331 .522 .893 r
.81611 .68297 .81805 .6936 .82505 .70276 .82312 .69214 Metetra
.335 .525 .893 r
.82312 .69214 .82505 .70276 .83207 .71183 .83015 .70123 Metetra
.34 .529 .894 r
.83015 .70123 .83207 .71183 .8391 .72078 .8372 .71018 Metetra
.346 .533 .896 r
.8372 .71018 .8391 .72078 .84615 .72956 .84426 .71897 Metetra
.353 .538 .897 r
.84426 .71897 .84615 .72956 .85321 .73814 .85134 .72756 Metetra
.362 .544 .899 r
.85134 .72756 .85321 .73814 .86029 .74647 .85843 .7359 Metetra
.371 .551 .901 r
.85843 .7359 .86029 .74647 .86738 .75453 .86554 .74396 Metetra
.382 .558 .903 r
.86554 .74396 .86738 .75453 .87449 .76227 .87266 .7517 Metetra
.393 .566 .904 r
.87266 .7517 .87449 .76227 .88162 .76965 .8798 .7591 Metetra
.406 .575 .906 r
.8798 .7591 .88162 .76965 .88875 .77666 .88695 .7661 Metetra
.418 .583 .908 r
.88695 .7661 .88875 .77666 .8959 .78324 .89412 .77269 Metetra
.432 .593 .91 r
.89412 .77269 .8959 .78324 .90307 .78938 .9013 .77883 Metetra
.446 .602 .912 r
.9013 .77883 .90307 .78938 .91024 .79504 .90849 .7845 Metetra
.46 .612 .913 r
.90849 .7845 .91024 .79504 .91743 .8002 .91569 .78965 Metetra
.474 .621 .915 r
.91569 .78965 .91743 .8002 .92463 .80483 .92291 .79428 Metetra
.489 .631 .916 r
.92291 .79428 .92463 .80483 .93184 .80891 .93013 .79836 Metetra
.504 .641 .917 r
.93013 .79836 .93184 .80891 .93906 .81242 .93737 .80186 Metetra
.519 .651 .917 r
.93737 .80186 .93906 .81242 .94629 .81533 .94462 .80478 Metetra
.533 .661 .918 r
.94462 .80478 .94629 .81533 .95354 .81764 .95188 .80708 Metetra
.548 .67 .918 r
.95188 .80708 .95354 .81764 .96079 .81933 .95914 .80876 Metetra
.562 .679 .918 r
.95914 .80876 .96079 .81933 .96805 .82039 .96642 .80981 Metetra
.576 .688 .918 r
.96642 .80981 .96805 .82039 .97532 .82081 .97371 .81022 Metetra
.589 .697 .917 r
.97371 .81022 .97532 .82081 .9826 .82058 .981 .80998 Metetra
.602 .708 .918 r
.32211 .85131 .32502 .86064 .33104 .85988 .32814 .85054 Metetra
.617 .715 .915 r
.32814 .85054 .33104 .85988 .33708 .85853 .33419 .84917 Metetra
.631 .721 .912 r
.33419 .84917 .33708 .85853 .34313 .85659 .34025 .84722 Metetra
.644 .726 .908 r
.34025 .84722 .34313 .85659 .34919 .85406 .34633 .84468 Metetra
.656 .732 .905 r
.34633 .84468 .34919 .85406 .35526 .85096 .35241 .84156 Metetra
.668 .736 .901 r
.35241 .84156 .35526 .85096 .36135 .84729 .35851 .83787 Metetra
.678 .74 .898 r
.35851 .83787 .36135 .84729 .36746 .84305 .36463 .83362 Metetra
.687 .744 .894 r
.36463 .83362 .36746 .84305 .37357 .83828 .37075 .82883 Metetra
.696 .748 .891 r
.37075 .82883 .37357 .83828 .3797 .83298 .37689 .82351 Metetra
.704 .751 .888 r
.37689 .82351 .3797 .83298 .38584 .82717 .38304 .81768 Metetra
.711 .753 .885 r
.38304 .81768 .38584 .82717 .39199 .82087 .3892 .81135 Metetra
.718 .756 .882 r
.3892 .81135 .39199 .82087 .39815 .8141 .39538 .80457 Metetra
.724 .758 .88 r
.39538 .80457 .39815 .8141 .40432 .80689 .40156 .79733 Metetra
.73 .76 .877 r
.40156 .79733 .40432 .80689 .41051 .79927 .40776 .78968 Metetra
.735 .762 .875 r
.40776 .78968 .41051 .79927 .4167 .79126 .41396 .78165 Metetra
.739 .764 .873 r
.41396 .78165 .4167 .79126 .42291 .78288 .42018 .77325 Metetra
.743 .765 .871 r
.42018 .77325 .42291 .78288 .42912 .77419 .42641 .76452 Metetra
.746 .766 .869 r
.42641 .76452 .42912 .77419 .43535 .76519 .43265 .7555 Metetra
.749 .767 .868 r
.43265 .7555 .43535 .76519 .44158 .75593 .43889 .74622 Metetra
.752 .768 .866 r
.43889 .74622 .44158 .75593 .44783 .74645 .44515 .7367 Metetra
.754 .769 .865 r
.44515 .7367 .44783 .74645 .45408 .73678 .45142 .727 Metetra
.755 .769 .865 r
.45142 .727 .45408 .73678 .46035 .72694 .45769 .71714 Metetra
.756 .77 .864 r
.45769 .71714 .46035 .72694 .46662 .71699 .46398 .70716 Metetra
.757 .77 .864 r
.46398 .70716 .46662 .71699 .4729 .70696 .47028 .6971 Metetra
.757 .77 .863 r
.47028 .6971 .4729 .70696 .4792 .69689 .47658 .687 Metetra
.757 .77 .863 r
.47658 .687 .4792 .69689 .4855 .68681 .48289 .67689 Metetra
.757 .77 .864 r
.48289 .67689 .4855 .68681 .49181 .67676 .48922 .66681 Metetra
.756 .77 .864 r
.48922 .66681 .49181 .67676 .49813 .66679 .49555 .6568 Metetra
.754 .769 .865 r
.49555 .6568 .49813 .66679 .50446 .65692 .50189 .64691 Metetra
.753 .768 .866 r
.50189 .64691 .50446 .65692 .5108 .6472 .50824 .63716 Metetra
.75 .768 .867 r
.50824 .63716 .5108 .6472 .51715 .63766 .5146 .62759 Metetra
.748 .766 .868 r
.5146 .62759 .51715 .63766 .5235 .62834 .52097 .61824 Metetra
.745 .765 .87 r
.52097 .61824 .5235 .62834 .52987 .61927 .52735 .60914 Metetra
.741 .764 .871 r
.52735 .60914 .52987 .61927 .53625 .61049 .53374 .60033 Metetra
.737 .762 .873 r
.53374 .60033 .53625 .61049 .54263 .60203 .54014 .59185 Metetra
.732 .76 .875 r
.54014 .59185 .54263 .60203 .54903 .59392 .54655 .58371 Metetra
.727 .758 .877 r
.54655 .58371 .54903 .59392 .55544 .5862 .55297 .57596 Metetra
.721 .756 .879 r
.55297 .57596 .55544 .5862 .56185 .57888 .5594 .56862 Metetra
.715 .753 .882 r
.5594 .56862 .56185 .57888 .56828 .57201 .56584 .56172 Metetra
.708 .75 .884 r
.56584 .56172 .56828 .57201 .57472 .5656 .57229 .55529 Metetra
.701 .746 .887 r
.57229 .55529 .57472 .5656 .58117 .55968 .57875 .54934 Metetra
.693 .743 .889 r
.57875 .54934 .58117 .55968 .58763 .55426 .58523 .54391 Metetra
.684 .739 .892 r
.58523 .54391 .58763 .55426 .5941 .54938 .59171 .53901 Metetra
.675 .734 .895 r
.59171 .53901 .5941 .54938 .60059 .54504 .59821 .53465 Metetra
.665 .729 .897 r
.59821 .53465 .60059 .54504 .60709 .54127 .60472 .53086 Metetra
.655 .724 .9 r
.60472 .53086 .60709 .54127 .6136 .53808 .61124 .52765 Metetra
.644 .718 .902 r
.61124 .52765 .6136 .53808 .62012 .53547 .61778 .52502 Metetra
.632 .712 .905 r
.61778 .52502 .62012 .53547 .62666 .53345 .62433 .523 Metetra
.619 .706 .907 r
.62433 .523 .62666 .53345 .63321 .53204 .63089 .52157 Metetra
.606 .699 .909 r
.63089 .52157 .63321 .53204 .63977 .53124 .63747 .52076 Metetra
.592 .691 .911 r
.63747 .52076 .63977 .53124 .64635 .53105 .64406 .52055 Metetra
.578 .683 .912 r
.64406 .52055 .64635 .53105 .65294 .53146 .65066 .52096 Metetra
.564 .675 .914 r
.65066 .52096 .65294 .53146 .65955 .53248 .65728 .52197 Metetra
.549 .666 .914 r
.65728 .52197 .65955 .53248 .66617 .5341 .66392 .52358 Metetra
.533 .657 .915 r
.66392 .52358 .66617 .5341 .67281 .53631 .67057 .52579 Metetra
.517 .648 .915 r
.67057 .52579 .67281 .53631 .67946 .5391 .67724 .52857 Metetra
.502 .638 .915 r
.67724 .52857 .67946 .5391 .68613 .54246 .68392 .53193 Metetra
.486 .628 .915 r
.68392 .53193 .68613 .54246 .69282 .54638 .69062 .53584 Metetra
.47 .619 .914 r
.69062 .53584 .69282 .54638 .69952 .55083 .69733 .54029 Metetra
.454 .609 .913 r
.69733 .54029 .69952 .55083 .70624 .5558 .70407 .54526 Metetra
.439 .599 .912 r
.70407 .54526 .70624 .5558 .71297 .56126 .71082 .55073 Metetra
.424 .589 .911 r
.71082 .55073 .71297 .56126 .71973 .5672 .71758 .55667 Metetra
.41 .58 .909 r
.71758 .55667 .71973 .5672 .7265 .57359 .72437 .56306 Metetra
.396 .571 .907 r
.72437 .56306 .7265 .57359 .73328 .5804 .73117 .56987 Metetra
.383 .563 .905 r
.73117 .56987 .73328 .5804 .74009 .5876 .73799 .57708 Metetra
.371 .555 .904 r
.73799 .57708 .74009 .5876 .74691 .59516 .74482 .58464 Metetra
.36 .547 .902 r
.74482 .58464 .74691 .59516 .75375 .60305 .75168 .59254 Metetra
.351 .541 .9 r
.75168 .59254 .75375 .60305 .76061 .61123 .75855 .60073 Metetra
.342 .535 .898 r
.75855 .60073 .76061 .61123 .76749 .61968 .76544 .60918 Metetra
.335 .53 .897 r
.76544 .60918 .76749 .61968 .77438 .62835 .77234 .61786 Metetra
.329 .525 .896 r
.77234 .61786 .77438 .62835 .78129 .63721 .77927 .62673 Metetra
.324 .522 .895 r
.77927 .62673 .78129 .63721 .78822 .64622 .78621 .63575 Metetra
.321 .52 .894 r
.78621 .63575 .78822 .64622 .79516 .65534 .79317 .64488 Metetra
.319 .519 .894 r
.79317 .64488 .79516 .65534 .80213 .66453 .80015 .65408 Metetra
.319 .519 .894 r
.80015 .65408 .80213 .66453 .80911 .67376 .80714 .66331 Metetra
.32 .519 .894 r
.80714 .66331 .80911 .67376 .81611 .68297 .81415 .67254 Metetra
.322 .521 .894 r
.81415 .67254 .81611 .68297 .82312 .69214 .82118 .68172 Metetra
.326 .524 .895 r
.82118 .68172 .82312 .69214 .83015 .70123 .82823 .69081 Metetra
.331 .527 .896 r
.82823 .69081 .83015 .70123 .8372 .71018 .83529 .69977 Metetra
.338 .532 .898 r
.83529 .69977 .8372 .71018 .84426 .71897 .84237 .70857 Metetra
.345 .537 .899 r
.84237 .70857 .84426 .71897 .85134 .72756 .84946 .71716 Metetra
.354 .543 .901 r
.84946 .71716 .85134 .72756 .85843 .7359 .85657 .72551 Metetra
.364 .55 .903 r
.85657 .72551 .85843 .7359 .86554 .74396 .86369 .73358 Metetra
.375 .558 .905 r
.86369 .73358 .86554 .74396 .87266 .7517 .87083 .74133 Metetra
.386 .566 .907 r
.87083 .74133 .87266 .7517 .8798 .7591 .87798 .74873 Metetra
.399 .575 .909 r
.87798 .74873 .8798 .7591 .88695 .7661 .88515 .75574 Metetra
.412 .584 .911 r
.88515 .75574 .88695 .7661 .89412 .77269 .89233 .76233 Metetra
.426 .593 .913 r
.89233 .76233 .89412 .77269 .9013 .77883 .89952 .76847 Metetra
.44 .603 .915 r
.89952 .76847 .9013 .77883 .90849 .7845 .90673 .77414 Metetra
.455 .613 .916 r
.90673 .77414 .90849 .7845 .91569 .78965 .91395 .7793 Metetra
.47 .623 .918 r
.91395 .7793 .91569 .78965 .92291 .79428 .92118 .78393 Metetra
.485 .633 .919 r
.92118 .78393 .92291 .79428 .93013 .79836 .92842 .788 Metetra
.5 .643 .92 r
.92842 .788 .93013 .79836 .93737 .80186 .93567 .7915 Metetra
.515 .653 .921 r
.93567 .7915 .93737 .80186 .94462 .80478 .94293 .79441 Metetra
.53 .663 .921 r
.94293 .79441 .94462 .80478 .95188 .80708 .95021 .79671 Metetra
.545 .673 .921 r
.95021 .79671 .95188 .80708 .95914 .80876 .95749 .79838 Metetra
.559 .682 .921 r
.95749 .79838 .95914 .80876 .96642 .80981 .96479 .79942 Metetra
.574 .691 .921 r
.96479 .79942 .96642 .80981 .97371 .81022 .97209 .79982 Metetra
.587 .7 .92 r
.97209 .79982 .97371 .81022 .981 .80998 .9794 .79957 Metetra
.6 .711 .922 r
.31919 .84215 .32211 .85131 .32814 .85054 .32524 .84137 Metetra
.616 .718 .919 r
.32524 .84137 .32814 .85054 .33419 .84917 .33129 .84 Metetra
.63 .724 .915 r
.33129 .84 .33419 .84917 .34025 .84722 .33736 .83803 Metetra
.644 .73 .911 r
.33736 .83803 .34025 .84722 .34633 .84468 .34345 .83547 Metetra
.656 .735 .908 r
.34345 .83547 .34633 .84468 .35241 .84156 .34955 .83234 Metetra
.667 .74 .904 r
.34955 .83234 .35241 .84156 .35851 .83787 .35566 .82863 Metetra
.678 .744 .901 r
.35566 .82863 .35851 .83787 .36463 .83362 .36178 .82437 Metetra
.688 .748 .897 r
.36178 .82437 .36463 .83362 .37075 .82883 .36792 .81956 Metetra
.696 .751 .894 r
.36792 .81956 .37075 .82883 .37689 .82351 .37407 .81422 Metetra
.705 .754 .891 r
.37407 .81422 .37689 .82351 .38304 .81768 .38023 .80836 Metetra
.712 .757 .888 r
.38023 .80836 .38304 .81768 .3892 .81135 .38641 .80202 Metetra
.719 .76 .885 r
.38641 .80202 .3892 .81135 .39538 .80457 .39259 .79521 Metetra
.725 .762 .882 r
.39259 .79521 .39538 .80457 .40156 .79733 .39879 .78795 Metetra
.731 .764 .879 r
.39879 .78795 .40156 .79733 .40776 .78968 .40499 .78028 Metetra
.735 .766 .877 r
.40499 .78028 .40776 .78968 .41396 .78165 .41121 .77222 Metetra
.74 .767 .875 r
.41121 .77222 .41396 .78165 .42018 .77325 .41744 .76379 Metetra
.744 .768 .873 r
.41744 .76379 .42018 .77325 .42641 .76452 .42368 .75504 Metetra
.747 .77 .871 r
.42368 .75504 .42641 .76452 .43265 .7555 .42993 .74599 Metetra
.75 .771 .87 r
.42993 .74599 .43265 .7555 .43889 .74622 .43619 .73668 Metetra
.753 .772 .868 r
.43619 .73668 .43889 .74622 .44515 .7367 .44246 .72714 Metetra
.755 .772 .867 r
.44246 .72714 .44515 .7367 .45142 .727 .44874 .7174 Metetra
.756 .773 .867 r
.44874 .7174 .45142 .727 .45769 .71714 .45503 .70751 Metetra
.757 .773 .866 r
.45503 .70751 .45769 .71714 .46398 .70716 .46133 .6975 Metetra
.758 .773 .866 r
.46133 .6975 .46398 .70716 .47028 .6971 .46763 .68741 Metetra
.758 .774 .865 r
.46763 .68741 .47028 .6971 .47658 .687 .47395 .67728 Metetra
.758 .774 .865 r
.47395 .67728 .47658 .687 .48289 .67689 .48028 .66714 Metetra
.758 .773 .866 r
.48028 .66714 .48289 .67689 .48922 .66681 .48661 .65703 Metetra
.757 .773 .866 r
.48661 .65703 .48922 .66681 .49555 .6568 .49296 .647 Metetra
.756 .773 .867 r
.49296 .647 .49555 .6568 .50189 .64691 .49931 .63707 Metetra
.754 .772 .868 r
.49931 .63707 .50189 .64691 .50824 .63716 .50568 .62729 Metetra
.751 .771 .869 r
.50568 .62729 .50824 .63716 .5146 .62759 .51205 .61769 Metetra
.749 .77 .87 r
.51205 .61769 .5146 .62759 .52097 .61824 .51843 .60831 Metetra
.746 .769 .872 r
.51843 .60831 .52097 .61824 .52735 .60914 .52482 .59919 Metetra
.742 .767 .873 r
.52482 .59919 .52735 .60914 .53374 .60033 .53123 .59035 Metetra
.738 .766 .875 r
.53123 .59035 .53374 .60033 .54014 .59185 .53764 .58184 Metetra
.733 .764 .877 r
.53764 .58184 .54014 .59185 .54655 .58371 .54406 .57368 Metetra
.728 .762 .88 r
.54406 .57368 .54655 .58371 .55297 .57596 .55049 .5659 Metetra
.722 .759 .882 r
.55049 .5659 .55297 .57596 .5594 .56862 .55693 .55854 Metetra
.716 .756 .884 r
.55693 .55854 .5594 .56862 .56584 .56172 .56339 .55162 Metetra
.709 .753 .887 r
.56339 .55162 .56584 .56172 .57229 .55529 .56985 .54516 Metetra
.701 .75 .889 r
.56985 .54516 .57229 .55529 .57875 .54934 .57633 .53919 Metetra
.693 .746 .892 r
.57633 .53919 .57875 .54934 .58523 .54391 .58281 .53374 Metetra
.685 .742 .895 r
.58281 .53374 .58523 .54391 .59171 .53901 .58931 .52881 Metetra
.675 .738 .898 r
.58931 .52881 .59171 .53901 .59821 .53465 .59582 .52444 Metetra
.665 .733 .9 r
.59582 .52444 .59821 .53465 .60472 .53086 .60235 .52063 Metetra
.654 .727 .903 r
.60235 .52063 .60472 .53086 .61124 .52765 .60888 .5174 Metetra
.643 .722 .905 r
.60888 .5174 .61124 .52765 .61778 .52502 .61543 .51476 Metetra
.631 .715 .908 r
.61543 .51476 .61778 .52502 .62433 .523 .62199 .51272 Metetra
.618 .709 .91 r
.62199 .51272 .62433 .523 .63089 .52157 .62857 .51128 Metetra
.605 .702 .912 r
.62857 .51128 .63089 .52157 .63747 .52076 .63516 .51046 Metetra
.591 .694 .914 r
.63516 .51046 .63747 .52076 .64406 .52055 .64176 .51024 Metetra
.576 .686 .916 r
.64176 .51024 .64406 .52055 .65066 .52096 .64838 .51064 Metetra
.561 .677 .917 r
.64838 .51064 .65066 .52096 .65728 .52197 .65501 .51164 Metetra
.546 .668 .918 r
.65501 .51164 .65728 .52197 .66392 .52358 .66166 .51324 Metetra
.53 .659 .918 r
.66166 .51324 .66392 .52358 .67057 .52579 .66832 .51544 Metetra
.514 .65 .919 r
.66832 .51544 .67057 .52579 .67724 .52857 .675 .51822 Metetra
.498 .64 .919 r
.675 .51822 .67724 .52857 .68392 .53193 .6817 .52158 Metetra
.481 .63 .918 r
.6817 .52158 .68392 .53193 .69062 .53584 .68841 .52549 Metetra
.465 .62 .917 r
.68841 .52549 .69062 .53584 .69733 .54029 .69514 .52994 Metetra
.449 .61 .916 r
.69514 .52994 .69733 .54029 .70407 .54526 .70189 .53491 Metetra
.433 .6 .915 r
.70189 .53491 .70407 .54526 .71082 .55073 .70865 .54037 Metetra
.418 .59 .913 r
.70865 .54037 .71082 .55073 .71758 .55667 .71543 .54632 Metetra
.403 .58 .912 r
.71543 .54632 .71758 .55667 .72437 .56306 .72223 .55271 Metetra
.389 .571 .91 r
.72223 .55271 .72437 .56306 .73117 .56987 .72904 .55953 Metetra
.376 .562 .908 r
.72904 .55953 .73117 .56987 .73799 .57708 .73587 .56674 Metetra
.364 .554 .906 r
.73587 .56674 .73799 .57708 .74482 .58464 .74272 .57431 Metetra
.352 .546 .904 r
.74272 .57431 .74482 .58464 .75168 .59254 .74959 .58221 Metetra
.342 .54 .902 r
.74959 .58221 .75168 .59254 .75855 .60073 .75647 .59041 Metetra
.334 .534 .9 r
.75647 .59041 .75855 .60073 .76544 .60918 .76338 .59887 Metetra
.326 .528 .899 r
.76338 .59887 .76544 .60918 .77234 .61786 .7703 .60756 Metetra
.32 .524 .897 r
.7703 .60756 .77234 .61786 .77927 .62673 .77724 .61643 Metetra
.315 .521 .896 r
.77724 .61643 .77927 .62673 .78621 .63575 .78419 .62546 Metetra
.312 .519 .896 r
.78419 .62546 .78621 .63575 .79317 .64488 .79117 .6346 Metetra
.31 .517 .895 r
.79117 .6346 .79317 .64488 .80015 .65408 .79816 .64381 Metetra
.31 .517 .895 r
.79816 .64381 .80015 .65408 .80714 .66331 .80517 .65305 Metetra
.311 .518 .895 r
.80517 .65305 .80714 .66331 .81415 .67254 .81219 .66228 Metetra
.313 .52 .896 r
.81219 .66228 .81415 .67254 .82118 .68172 .81924 .67147 Metetra
.317 .522 .897 r
.81924 .67147 .82118 .68172 .82823 .69081 .8263 .68057 Metetra
.323 .526 .898 r
.8263 .68057 .82823 .69081 .83529 .69977 .83337 .68955 Metetra
.329 .531 .899 r
.83337 .68955 .83529 .69977 .84237 .70857 .84046 .69835 Metetra
.337 .536 .901 r
.84046 .69835 .84237 .70857 .84946 .71716 .84757 .70695 Metetra
.346 .543 .903 r
.84757 .70695 .84946 .71716 .85657 .72551 .85469 .71531 Metetra
.356 .55 .905 r
.85469 .71531 .85657 .72551 .86369 .73358 .86183 .72338 Metetra
.367 .557 .907 r
.86183 .72338 .86369 .73358 .87083 .74133 .86899 .73114 Metetra
.379 .566 .909 r
.86899 .73114 .87083 .74133 .87798 .74873 .87615 .73854 Metetra
.392 .575 .911 r
.87615 .73854 .87798 .74873 .88515 .75574 .88334 .74556 Metetra
.406 .584 .914 r
.88334 .74556 .88515 .75574 .89233 .76233 .89053 .75216 Metetra
.42 .594 .916 r
.89053 .75216 .89233 .76233 .89952 .76847 .89774 .7583 Metetra
.434 .604 .918 r
.89774 .7583 .89952 .76847 .90673 .77414 .90496 .76397 Metetra
.449 .614 .919 r
.90496 .76397 .90673 .77414 .91395 .7793 .91219 .76913 Metetra
.465 .624 .921 r
.91219 .76913 .91395 .7793 .92118 .78393 .91944 .77376 Metetra
.48 .634 .922 r
.91944 .77376 .92118 .78393 .92842 .788 .9267 .77783 Metetra
.496 .645 .923 r
.9267 .77783 .92842 .788 .93567 .7915 .93397 .78133 Metetra
.511 .655 .924 r
.93397 .78133 .93567 .7915 .94293 .79441 .94125 .78423 Metetra
.526 .665 .924 r
.94125 .78423 .94293 .79441 .95021 .79671 .94854 .78653 Metetra
.542 .675 .925 r
.94854 .78653 .95021 .79671 .95749 .79838 .95584 .78819 Metetra
.557 .685 .925 r
.95584 .78819 .95749 .79838 .96479 .79942 .96314 .78923 Metetra
.571 .694 .924 r
.96314 .78923 .96479 .79942 .97209 .79982 .97046 .78961 Metetra
.585 .703 .924 r
.97046 .78961 .97209 .79982 .9794 .79957 .97779 .78935 Metetra
.599 .714 .925 r
.31626 .83317 .31919 .84215 .32524 .84137 .32231 .83238 Metetra
.614 .721 .922 r
.32231 .83238 .32524 .84137 .33129 .84 .32838 .831 Metetra
.629 .728 .918 r
.32838 .831 .33129 .84 .33736 .83803 .33446 .82902 Metetra
.643 .733 .915 r
.33446 .82902 .33736 .83803 .34345 .83547 .34056 .82645 Metetra
.655 .739 .911 r
.34056 .82645 .34345 .83547 .34955 .83234 .34667 .8233 Metetra
.667 .743 .907 r
.34667 .8233 .34955 .83234 .35566 .82863 .35279 .81958 Metetra
.678 .748 .904 r
.35279 .81958 .35566 .82863 .36178 .82437 .35893 .8153 Metetra
.688 .751 .9 r
.35893 .8153 .36178 .82437 .36792 .81956 .36508 .81047 Metetra
.697 .755 .897 r
.36508 .81047 .36792 .81956 .37407 .81422 .37124 .80511 Metetra
.705 .758 .893 r
.37124 .80511 .37407 .81422 .38023 .80836 .37741 .79923 Metetra
.713 .761 .89 r
.37741 .79923 .38023 .80836 .38641 .80202 .3836 .79287 Metetra
.719 .763 .887 r
.3836 .79287 .38641 .80202 .39259 .79521 .38979 .78603 Metetra
.726 .765 .884 r
.38979 .78603 .39259 .79521 .39879 .78795 .396 .77875 Metetra
.731 .767 .882 r
.396 .77875 .39879 .78795 .40499 .78028 .40222 .77106 Metetra
.736 .769 .879 r
.40222 .77106 .40499 .78028 .41121 .77222 .40845 .76297 Metetra
.741 .771 .877 r
.40845 .76297 .41121 .77222 .41744 .76379 .41469 .75452 Metetra
.745 .772 .875 r
.41469 .75452 .41744 .76379 .42368 .75504 .42094 .74574 Metetra
.748 .773 .873 r
.42094 .74574 .42368 .75504 .42993 .74599 .4272 .73666 Metetra
.751 .774 .872 r
.4272 .73666 .42993 .74599 .43619 .73668 .43348 .72732 Metetra
.754 .775 .87 r
.43348 .72732 .43619 .73668 .44246 .72714 .43976 .71775 Metetra
.756 .776 .869 r
.43976 .71775 .44246 .72714 .44874 .7174 .44605 .70799 Metetra
.757 .776 .869 r
.44605 .70799 .44874 .7174 .45503 .70751 .45235 .69807 Metetra
.759 .777 .868 r
.45235 .69807 .45503 .70751 .46133 .6975 .45866 .68803 Metetra
.759 .777 .868 r
.45866 .68803 .46133 .6975 .46763 .68741 .46498 .67791 Metetra
.76 .777 .867 r
.46498 .67791 .46763 .68741 .47395 .67728 .47131 .66774 Metetra
.76 .777 .867 r
.47131 .66774 .47395 .67728 .48028 .66714 .47765 .65758 Metetra
.759 .777 .868 r
.47765 .65758 .48028 .66714 .48661 .65703 .484 .64744 Metetra
.758 .777 .868 r
.484 .64744 .48661 .65703 .49296 .647 .49036 .63737 Metetra
.757 .776 .869 r
.49036 .63737 .49296 .647 .49931 .63707 .49672 .62742 Metetra
.755 .775 .87 r
.49672 .62742 .49931 .63707 .50568 .62729 .5031 .61761 Metetra
.753 .775 .871 r
.5031 .61761 .50568 .62729 .51205 .61769 .50948 .60798 Metetra
.75 .774 .872 r
.50948 .60798 .51205 .61769 .51843 .60831 .51588 .59857 Metetra
.747 .772 .874 r
.51588 .59857 .51843 .60831 .52482 .59919 .52228 .58942 Metetra
.743 .771 .876 r
.52228 .58942 .52482 .59919 .53123 .59035 .5287 .58055 Metetra
.739 .769 .878 r
.5287 .58055 .53123 .59035 .53764 .58184 .53512 .57201 Metetra
.734 .767 .88 r
.53512 .57201 .53764 .58184 .54406 .57368 .54156 .56383 Metetra
.729 .765 .882 r
.54156 .56383 .54406 .57368 .55049 .5659 .548 .55602 Metetra
.723 .763 .884 r
.548 .55602 .55049 .5659 .55693 .55854 .55446 .54863 Metetra
.716 .76 .887 r
.55446 .54863 .55693 .55854 .56339 .55162 .56092 .54169 Metetra
.709 .757 .889 r
.56092 .54169 .56339 .55162 .56985 .54516 .5674 .53521 Metetra
.702 .754 .892 r
.5674 .53521 .56985 .54516 .57633 .53919 .57389 .52922 Metetra
.694 .75 .895 r
.57389 .52922 .57633 .53919 .58281 .53374 .58039 .52374 Metetra
.685 .746 .898 r
.58039 .52374 .58281 .53374 .58931 .52881 .5869 .5188 Metetra
.675 .741 .9 r
.5869 .5188 .58931 .52881 .59582 .52444 .59342 .51441 Metetra
.665 .736 .903 r
.59342 .51441 .59582 .52444 .60235 .52063 .59996 .51058 Metetra
.654 .731 .906 r
.59996 .51058 .60235 .52063 .60888 .5174 .60651 .50733 Metetra
.642 .725 .908 r
.60651 .50733 .60888 .5174 .61543 .51476 .61307 .50468 Metetra
.63 .719 .911 r
.61307 .50468 .61543 .51476 .62199 .51272 .61964 .50262 Metetra
.617 .712 .913 r
.61964 .50262 .62199 .51272 .62857 .51128 .62623 .50117 Metetra
.603 .705 .915 r
.62623 .50117 .62857 .51128 .63516 .51046 .63283 .50033 Metetra
.589 .697 .917 r
.63283 .50033 .63516 .51046 .64176 .51024 .63945 .50011 Metetra
.574 .689 .919 r
.63945 .50011 .64176 .51024 .64838 .51064 .64608 .50049 Metetra
.559 .68 .92 r
.64608 .50049 .64838 .51064 .65501 .51164 .65273 .50149 Metetra
.543 .671 .921 r
.65273 .50149 .65501 .51164 .66166 .51324 .65939 .50309 Metetra
.527 .661 .922 r
.65939 .50309 .66166 .51324 .66832 .51544 .66607 .50528 Metetra
.51 .652 .922 r
.66607 .50528 .66832 .51544 .675 .51822 .67276 .50806 Metetra
.493 .642 .922 r
.67276 .50806 .675 .51822 .6817 .52158 .67947 .51141 Metetra
.477 .631 .921 r
.67947 .51141 .6817 .52158 .68841 .52549 .6862 .51532 Metetra
.46 .621 .92 r
.6862 .51532 .68841 .52549 .69514 .52994 .69294 .51976 Metetra
.443 .611 .919 r
.69294 .51976 .69514 .52994 .70189 .53491 .6997 .52473 Metetra
.427 .6 .918 r
.6997 .52473 .70189 .53491 .70865 .54037 .70647 .5302 Metetra
.411 .59 .916 r
.70647 .5302 .70865 .54037 .71543 .54632 .71327 .53615 Metetra
.396 .58 .914 r
.71327 .53615 .71543 .54632 .72223 .55271 .72008 .54255 Metetra
.382 .571 .912 r
.72008 .54255 .72223 .55271 .72904 .55953 .7269 .54936 Metetra
.368 .562 .91 r
.7269 .54936 .72904 .55953 .73587 .56674 .73375 .55658 Metetra
.356 .553 .908 r
.73375 .55658 .73587 .56674 .74272 .57431 .74061 .56416 Metetra
.344 .546 .906 r
.74061 .56416 .74272 .57431 .74959 .58221 .74749 .57207 Metetra
.334 .539 .904 r
.74749 .57207 .74959 .58221 .75647 .59041 .75439 .58027 Metetra
.325 .532 .902 r
.75439 .58027 .75647 .59041 .76338 .59887 .76131 .58874 Metetra
.317 .527 .9 r
.76131 .58874 .76338 .59887 .7703 .60756 .76825 .59744 Metetra
.311 .523 .899 r
.76825 .59744 .7703 .60756 .77724 .61643 .7752 .60632 Metetra
.306 .519 .898 r
.7752 .60632 .77724 .61643 .78419 .62546 .78217 .61535 Metetra
.302 .517 .897 r
.78217 .61535 .78419 .62546 .79117 .6346 .78916 .6245 Metetra
.301 .515 .897 r
.78916 .6245 .79117 .6346 .79816 .64381 .79616 .63372 Metetra
.3 .515 .897 r
.79616 .63372 .79816 .64381 .80517 .65305 .80319 .64297 Metetra
.301 .516 .897 r
.80319 .64297 .80517 .65305 .81219 .66228 .81023 .65222 Metetra
.304 .518 .897 r
.81023 .65222 .81219 .66228 .81924 .67147 .81728 .66142 Metetra
.308 .521 .898 r
.81728 .66142 .81924 .67147 .8263 .68057 .82436 .67053 Metetra
.313 .525 .9 r
.82436 .67053 .8263 .68057 .83337 .68955 .83145 .67951 Metetra
.32 .529 .901 r
.83145 .67951 .83337 .68955 .84046 .69835 .83855 .68833 Metetra
.328 .535 .903 r
.83855 .68833 .84046 .69835 .84757 .70695 .84568 .69693 Metetra
.338 .542 .905 r
.84568 .69693 .84757 .70695 .85469 .71531 .85281 .7053 Metetra
.348 .549 .907 r
.85281 .7053 .85469 .71531 .86183 .72338 .85997 .71338 Metetra
.359 .557 .909 r
.85997 .71338 .86183 .72338 .86899 .73114 .86714 .72114 Metetra
.372 .565 .912 r
.86714 .72114 .86899 .73114 .87615 .73854 .87432 .72855 Metetra
.385 .575 .914 r
.87432 .72855 .87615 .73854 .88334 .74556 .88152 .73557 Metetra
.399 .584 .916 r
.88152 .73557 .88334 .74556 .89053 .75216 .88873 .74217 Metetra
.413 .594 .918 r
.88873 .74217 .89053 .75216 .89774 .7583 .89595 .74832 Metetra
.428 .604 .92 r
.89595 .74832 .89774 .7583 .90496 .76397 .90319 .75399 Metetra
.444 .615 .922 r
.90319 .75399 .90496 .76397 .91219 .76913 .91044 .75915 Metetra
.459 .625 .924 r
.91044 .75915 .91219 .76913 .91944 .77376 .9177 .76378 Metetra
.475 .636 .925 r
.9177 .76378 .91944 .77376 .9267 .77783 .92497 .76785 Metetra
.491 .647 .926 r
.92497 .76785 .9267 .77783 .93397 .78133 .93226 .77135 Metetra
.507 .657 .927 r
.93226 .77135 .93397 .78133 .94125 .78423 .93955 .77425 Metetra
.523 .667 .928 r
.93955 .77425 .94125 .78423 .94854 .78653 .94686 .77654 Metetra
.538 .678 .928 r
.94686 .77654 .94854 .78653 .95584 .78819 .95417 .7782 Metetra
.554 .687 .928 r
.95417 .7782 .95584 .78819 .96314 .78923 .9615 .77922 Metetra
.569 .697 .928 r
.9615 .77922 .96314 .78923 .97046 .78961 .96883 .7796 Metetra
.583 .706 .927 r
.96883 .7796 .97046 .78961 .97779 .78935 .97618 .77933 Metetra
.597 .718 .929 r
.31331 .82438 .31626 .83317 .32231 .83238 .31938 .82358 Metetra
.613 .725 .925 r
.31938 .82358 .32231 .83238 .32838 .831 .32545 .82218 Metetra
.628 .731 .922 r
.32545 .82218 .32838 .831 .33446 .82902 .33155 .82019 Metetra
.642 .737 .918 r
.33155 .82019 .33446 .82902 .34056 .82645 .33766 .81761 Metetra
.655 .742 .914 r
.33766 .81761 .34056 .82645 .34667 .8233 .34378 .81444 Metetra
.667 .747 .91 r
.34378 .81444 .34667 .8233 .35279 .81958 .34991 .81071 Metetra
.678 .751 .907 r
.34991 .81071 .35279 .81958 .35893 .8153 .35606 .80641 Metetra
.688 .755 .903 r
.35606 .80641 .35893 .8153 .36508 .81047 .36222 .80156 Metetra
.697 .759 .899 r
.36222 .80156 .36508 .81047 .37124 .80511 .36839 .79618 Metetra
.705 .762 .896 r
.36839 .79618 .37124 .80511 .37741 .79923 .37457 .79028 Metetra
.713 .764 .893 r
.37457 .79028 .37741 .79923 .3836 .79287 .38077 .7839 Metetra
.72 .767 .89 r
.38077 .7839 .3836 .79287 .38979 .78603 .38698 .77704 Metetra
.726 .769 .887 r
.38698 .77704 .38979 .78603 .396 .77875 .3932 .76974 Metetra
.732 .771 .884 r
.3932 .76974 .396 .77875 .40222 .77106 .39943 .76201 Metetra
.737 .773 .882 r
.39943 .76201 .40222 .77106 .40845 .76297 .40567 .7539 Metetra
.742 .774 .879 r
.40567 .7539 .40845 .76297 .41469 .75452 .41193 .74542 Metetra
.746 .776 .877 r
.41193 .74542 .41469 .75452 .42094 .74574 .41819 .73662 Metetra
.749 .777 .875 r
.41819 .73662 .42094 .74574 .4272 .73666 .42446 .72751 Metetra
.752 .778 .874 r
.42446 .72751 .4272 .73666 .43348 .72732 .43075 .71814 Metetra
.755 .779 .873 r
.43075 .71814 .43348 .72732 .43976 .71775 .43704 .70855 Metetra
.757 .779 .871 r
.43704 .70855 .43976 .71775 .44605 .70799 .44335 .69875 Metetra
.759 .78 .871 r
.44335 .69875 .44605 .70799 .45235 .69807 .44966 .6888 Metetra
.76 .78 .87 r
.44966 .6888 .45235 .69807 .45866 .68803 .45598 .67874 Metetra
.761 .781 .869 r
.45598 .67874 .45866 .68803 .46498 .67791 .46231 .66859 Metetra
.761 .781 .869 r
.46231 .66859 .46498 .67791 .47131 .66774 .46866 .65839 Metetra
.761 .781 .869 r
.46866 .65839 .47131 .66774 .47765 .65758 .47501 .64819 Metetra
.76 .78 .87 r
.47501 .64819 .47765 .65758 .484 .64744 .48137 .63802 Metetra
.759 .78 .87 r
.48137 .63802 .484 .64744 .49036 .63737 .48774 .62793 Metetra
.758 .78 .871 r
.48774 .62793 .49036 .63737 .49672 .62742 .49412 .61794 Metetra
.756 .779 .872 r
.49412 .61794 .49672 .62742 .5031 .61761 .50051 .6081 Metetra
.754 .778 .873 r
.50051 .6081 .5031 .61761 .50948 .60798 .50691 .59845 Metetra
.751 .777 .874 r
.50691 .59845 .50948 .60798 .51588 .59857 .51331 .58901 Metetra
.748 .776 .876 r
.51331 .58901 .51588 .59857 .52228 .58942 .51973 .57983 Metetra
.744 .774 .878 r
.51973 .57983 .52228 .58942 .5287 .58055 .52616 .57094 Metetra
.74 .773 .88 r
.52616 .57094 .5287 .58055 .53512 .57201 .5326 .56237 Metetra
.735 .771 .882 r
.5326 .56237 .53512 .57201 .54156 .56383 .53904 .55415 Metetra
.729 .769 .884 r
.53904 .55415 .54156 .56383 .548 .55602 .5455 .54633 Metetra
.724 .766 .887 r
.5455 .54633 .548 .55602 .55446 .54863 .55197 .53891 Metetra
.717 .764 .889 r
.55197 .53891 .55446 .54863 .56092 .54169 .55845 .53194 Metetra
.71 .761 .892 r
.55845 .53194 .56092 .54169 .5674 .53521 .56494 .52544 Metetra
.702 .757 .895 r
.56494 .52544 .5674 .53521 .57389 .52922 .57144 .51943 Metetra
.694 .754 .898 r
.57144 .51943 .57389 .52922 .58039 .52374 .57795 .51393 Metetra
.685 .749 .9 r
.57795 .51393 .58039 .52374 .5869 .5188 .58448 .50897 Metetra
.675 .745 .903 r
.58448 .50897 .5869 .5188 .59342 .51441 .59101 .50455 Metetra
.664 .74 .906 r
.59101 .50455 .59342 .51441 .59996 .51058 .59756 .50071 Metetra
.653 .734 .909 r
.59756 .50071 .59996 .51058 .60651 .50733 .60412 .49745 Metetra
.641 .728 .912 r
.60412 .49745 .60651 .50733 .61307 .50468 .6107 .49477 Metetra
.629 .722 .914 r
.6107 .49477 .61307 .50468 .61964 .50262 .61729 .4927 Metetra
.616 .715 .917 r
.61729 .4927 .61964 .50262 .62623 .50117 .62389 .49124 Metetra
.602 .708 .919 r
.62389 .49124 .62623 .50117 .63283 .50033 .6305 .49039 Metetra
.587 .7 .921 r
.6305 .49039 .63283 .50033 .63945 .50011 .63713 .49016 Metetra
.572 .692 .922 r
.63713 .49016 .63945 .50011 .64608 .50049 .64378 .49053 Metetra
.556 .683 .924 r
.64378 .49053 .64608 .50049 .65273 .50149 .65044 .49152 Metetra
.54 .673 .924 r
.65044 .49152 .65273 .50149 .65939 .50309 .65711 .49311 Metetra
.523 .664 .925 r
.65711 .49311 .65939 .50309 .66607 .50528 .6638 .4953 Metetra
.506 .654 .925 r
.6638 .4953 .66607 .50528 .67276 .50806 .67051 .49807 Metetra
.489 .643 .925 r
.67051 .49807 .67276 .50806 .67947 .51141 .67723 .50142 Metetra
.472 .633 .924 r
.67723 .50142 .67947 .51141 .6862 .51532 .68397 .50533 Metetra
.454 .622 .924 r
.68397 .50533 .6862 .51532 .69294 .51976 .69072 .50977 Metetra
.438 .612 .922 r
.69072 .50977 .69294 .51976 .6997 .52473 .6975 .51474 Metetra
.421 .601 .921 r
.6975 .51474 .6997 .52473 .70647 .5302 .70429 .52022 Metetra
.405 .591 .919 r
.70429 .52022 .70647 .5302 .71327 .53615 .71109 .52616 Metetra
.389 .58 .917 r
.71109 .52616 .71327 .53615 .72008 .54255 .71792 .53256 Metetra
.374 .571 .915 r
.71792 .53256 .72008 .54255 .7269 .54936 .72476 .53939 Metetra
.36 .561 .912 r
.72476 .53939 .7269 .54936 .73375 .55658 .73162 .54661 Metetra
.347 .553 .91 r
.73162 .54661 .73375 .55658 .74061 .56416 .7385 .55419 Metetra
.335 .545 .908 r
.7385 .55419 .74061 .56416 .74749 .57207 .74539 .56211 Metetra
.325 .537 .906 r
.74539 .56211 .74749 .57207 .75439 .58027 .7523 .57032 Metetra
.316 .531 .904 r
.7523 .57032 .75439 .58027 .76131 .58874 .75923 .5788 Metetra
.308 .525 .902 r
.75923 .5788 .76131 .58874 .76825 .59744 .76618 .5875 Metetra
.301 .521 .9 r
.76618 .5875 .76825 .59744 .7752 .60632 .77315 .59639 Metetra
.296 .517 .899 r
.77315 .59639 .7752 .60632 .78217 .61535 .78014 .60544 Metetra
.293 .515 .898 r
.78014 .60544 .78217 .61535 .78916 .6245 .78714 .6146 Metetra
.291 .514 .898 r
.78714 .6146 .78916 .6245 .79616 .63372 .79416 .62383 Metetra
.29 .513 .898 r
.79416 .62383 .79616 .63372 .80319 .64297 .80119 .63309 Metetra
.291 .514 .898 r
.80119 .63309 .80319 .64297 .81023 .65222 .80825 .64234 Metetra
.294 .516 .899 r
.80825 .64234 .81023 .65222 .81728 .66142 .81532 .65155 Metetra
.298 .519 .9 r
.81532 .65155 .81728 .66142 .82436 .67053 .82241 .66067 Metetra
.304 .523 .901 r
.82241 .66067 .82436 .67053 .83145 .67951 .82951 .66966 Metetra
.311 .528 .903 r
.82951 .66966 .83145 .67951 .83855 .68833 .83664 .67849 Metetra
.319 .534 .905 r
.83664 .67849 .83855 .68833 .84568 .69693 .84377 .68711 Metetra
.329 .54 .907 r
.84377 .68711 .84568 .69693 .85281 .7053 .85093 .69548 Metetra
.339 .548 .909 r
.85093 .69548 .85281 .7053 .85997 .71338 .8581 .70357 Metetra
.351 .556 .911 r
.8581 .70357 .85997 .71338 .86714 .72114 .86528 .71134 Metetra
.364 .565 .914 r
.86528 .71134 .86714 .72114 .87432 .72855 .87248 .71875 Metetra
.377 .574 .916 r
.87248 .71875 .87432 .72855 .88152 .73557 .87969 .72578 Metetra
.392 .584 .919 r
.87969 .72578 .88152 .73557 .88873 .74217 .88691 .73238 Metetra
.406 .595 .921 r
.88691 .73238 .88873 .74217 .89595 .74832 .89415 .73854 Metetra
.422 .605 .923 r
.89415 .73854 .89595 .74832 .90319 .75399 .90141 .74421 Metetra
.438 .616 .925 r
.90141 .74421 .90319 .75399 .91044 .75915 .90867 .74937 Metetra
.454 .627 .927 r
.90867 .74937 .91044 .75915 .9177 .76378 .91595 .754 Metetra
.47 .638 .929 r
.91595 .754 .9177 .76378 .92497 .76785 .92324 .75807 Metetra
.486 .648 .93 r
.92324 .75807 .92497 .76785 .93226 .77135 .93054 .76156 Metetra
.503 .659 .931 r
.93054 .76156 .93226 .77135 .93955 .77425 .93785 .76446 Metetra
.519 .67 .931 r
.93785 .76446 .93955 .77425 .94686 .77654 .94517 .76674 Metetra
.535 .68 .932 r
.94517 .76674 .94686 .77654 .95417 .7782 .9525 .76839 Metetra
.551 .69 .932 r
.9525 .76839 .95417 .7782 .9615 .77922 .95985 .76941 Metetra
.566 .7 .931 r
.95985 .76941 .9615 .77922 .96883 .7796 .9672 .76978 Metetra
.581 .709 .931 r
.9672 .76978 .96883 .7796 .97618 .77933 .97456 .7695 Metetra
.595 .721 .932 r
.31035 .81577 .31331 .82438 .31938 .82358 .31642 .81496 Metetra
.611 .728 .929 r
.31642 .81496 .31938 .82358 .32545 .82218 .32251 .81355 Metetra
.627 .735 .925 r
.32251 .81355 .32545 .82218 .33155 .82019 .32862 .81154 Metetra
.641 .741 .921 r
.32862 .81154 .33155 .82019 .33766 .81761 .33474 .80895 Metetra
.654 .746 .917 r
.33474 .80895 .33766 .81761 .34378 .81444 .34087 .80577 Metetra
.666 .751 .913 r
.34087 .80577 .34378 .81444 .34991 .81071 .34701 .80201 Metetra
.678 .755 .91 r
.34701 .80201 .34991 .81071 .35606 .80641 .35317 .7977 Metetra
.688 .759 .906 r
.35317 .7977 .35606 .80641 .36222 .80156 .35934 .79283 Metetra
.697 .762 .902 r
.35934 .79283 .36222 .80156 .36839 .79618 .36553 .78743 Metetra
.706 .766 .899 r
.36553 .78743 .36839 .79618 .37457 .79028 .37172 .78152 Metetra
.714 .768 .895 r
.37172 .78152 .37457 .79028 .38077 .7839 .37793 .77511 Metetra
.721 .771 .892 r
.37793 .77511 .38077 .7839 .38698 .77704 .38415 .76823 Metetra
.727 .773 .889 r
.38415 .76823 .38698 .77704 .3932 .76974 .39039 .7609 Metetra
.733 .775 .886 r
.39039 .7609 .3932 .76974 .39943 .76201 .39663 .75315 Metetra
.738 .777 .884 r
.39663 .75315 .39943 .76201 .40567 .7539 .40288 .74501 Metetra
.743 .778 .882 r
.40288 .74501 .40567 .7539 .41193 .74542 .40915 .73651 Metetra
.747 .779 .879 r
.40915 .73651 .41193 .74542 .41819 .73662 .41542 .72768 Metetra
.75 .781 .878 r
.41542 .72768 .41819 .73662 .42446 .72751 .42171 .71855 Metetra
.753 .782 .876 r
.42171 .71855 .42446 .72751 .43075 .71814 .42801 .70915 Metetra
.756 .782 .875 r
.42801 .70915 .43075 .71814 .43704 .70855 .43431 .69952 Metetra
.758 .783 .873 r
.43431 .69952 .43704 .70855 .44335 .69875 .44063 .6897 Metetra
.76 .784 .873 r
.44063 .6897 .44335 .69875 .44966 .6888 .44695 .67972 Metetra
.761 .784 .872 r
.44695 .67972 .44966 .6888 .45598 .67874 .45329 .66963 Metetra
.762 .784 .872 r
.45329 .66963 .45598 .67874 .46231 .66859 .45964 .65944 Metetra
.762 .784 .871 r
.45964 .65944 .46231 .66859 .46866 .65839 .46599 .64922 Metetra
.762 .784 .871 r
.46599 .64922 .46866 .65839 .47501 .64819 .47235 .63899 Metetra
.761 .784 .872 r
.47235 .63899 .47501 .64819 .48137 .63802 .47873 .62879 Metetra
.76 .784 .872 r
.47873 .62879 .48137 .63802 .48774 .62793 .48511 .61867 Metetra
.759 .783 .873 r
.48511 .61867 .48774 .62793 .49412 .61794 .4915 .60865 Metetra
.757 .783 .874 r
.4915 .60865 .49412 .61794 .50051 .6081 .4979 .59878 Metetra
.755 .782 .875 r
.4979 .59878 .50051 .6081 .50691 .59845 .50432 .58909 Metetra
.752 .781 .877 r
.50432 .58909 .50691 .59845 .51331 .58901 .51074 .57963 Metetra
.749 .78 .878 r
.51074 .57963 .51331 .58901 .51973 .57983 .51717 .57042 Metetra
.745 .778 .88 r
.51717 .57042 .51973 .57983 .52616 .57094 .52361 .5615 Metetra
.741 .777 .882 r
.52361 .5615 .52616 .57094 .5326 .56237 .53006 .5529 Metetra
.736 .775 .884 r
.53006 .5529 .5326 .56237 .53904 .55415 .53652 .54466 Metetra
.73 .773 .887 r
.53652 .54466 .53904 .55415 .5455 .54633 .54299 .53681 Metetra
.724 .77 .889 r
.54299 .53681 .5455 .54633 .55197 .53891 .54947 .52937 Metetra
.718 .767 .892 r
.54947 .52937 .55197 .53891 .55845 .53194 .55596 .52238 Metetra
.71 .764 .895 r
.55596 .52238 .55845 .53194 .56494 .52544 .56246 .51585 Metetra
.703 .761 .897 r
.56246 .51585 .56494 .52544 .57144 .51943 .56898 .50982 Metetra
.694 .757 .9 r
.56898 .50982 .57144 .51943 .57795 .51393 .5755 .5043 Metetra
.685 .753 .903 r
.5755 .5043 .57795 .51393 .58448 .50897 .58204 .49931 Metetra
.675 .749 .906 r
.58204 .49931 .58448 .50897 .59101 .50455 .58859 .49488 Metetra
.664 .743 .909 r
.58859 .49488 .59101 .50455 .59756 .50071 .59515 .49102 Metetra
.653 .738 .912 r
.59515 .49102 .59756 .50071 .60412 .49745 .60173 .48774 Metetra
.641 .732 .915 r
.60173 .48774 .60412 .49745 .6107 .49477 .60831 .48505 Metetra
.628 .725 .917 r
.60831 .48505 .6107 .49477 .61729 .4927 .61492 .48297 Metetra
.614 .718 .92 r
.61492 .48297 .61729 .4927 .62389 .49124 .62153 .4815 Metetra
.6 .711 .922 r
.62153 .4815 .62389 .49124 .6305 .49039 .62816 .48063 Metetra
.585 .703 .924 r
.62816 .48063 .6305 .49039 .63713 .49016 .6348 .48039 Metetra
.569 .694 .926 r
.6348 .48039 .63713 .49016 .64378 .49053 .64146 .48076 Metetra
.553 .685 .927 r
.64146 .48076 .64378 .49053 .65044 .49152 .64813 .48173 Metetra
.536 .676 .928 r
.64813 .48173 .65044 .49152 .65711 .49311 .65482 .48332 Metetra
.519 .666 .928 r
.65482 .48332 .65711 .49311 .6638 .4953 .66153 .4855 Metetra
.502 .656 .929 r
.66153 .4855 .6638 .4953 .67051 .49807 .66825 .48827 Metetra
.484 .645 .928 r
.66825 .48827 .67051 .49807 .67723 .50142 .67498 .49162 Metetra
.467 .634 .928 r
.67498 .49162 .67723 .50142 .68397 .50533 .68173 .49552 Metetra
.449 .623 .927 r
.68173 .49552 .68397 .50533 .69072 .50977 .6885 .49997 Metetra
.431 .612 .925 r
.6885 .49997 .69072 .50977 .6975 .51474 .69529 .50494 Metetra
.414 .602 .923 r
.69529 .50494 .6975 .51474 .70429 .52022 .70209 .51041 Metetra
.398 .591 .921 r
.70209 .51041 .70429 .52022 .71109 .52616 .70891 .51636 Metetra
.382 .58 .919 r
.70891 .51636 .71109 .52616 .71792 .53256 .71575 .52277 Metetra
.366 .57 .917 r
.71575 .52277 .71792 .53256 .72476 .53939 .7226 .5296 Metetra
.352 .561 .914 r
.7226 .5296 .72476 .53939 .73162 .54661 .72948 .53682 Metetra
.339 .552 .912 r
.72948 .53682 .73162 .54661 .7385 .55419 .73637 .54441 Metetra
.326 .543 .91 r
.73637 .54441 .7385 .55419 .74539 .56211 .74328 .55233 Metetra
.315 .536 .907 r
.74328 .55233 .74539 .56211 .7523 .57032 .75021 .56056 Metetra
.306 .529 .905 r
.75021 .56056 .7523 .57032 .75923 .5788 .75715 .56904 Metetra
.298 .524 .903 r
.75715 .56904 .75923 .5788 .76618 .5875 .76411 .57775 Metetra
.291 .519 .902 r
.76411 .57775 .76618 .5875 .77315 .59639 .77109 .58666 Metetra
.286 .515 .901 r
.77109 .58666 .77315 .59639 .78014 .60544 .77809 .59571 Metetra
.282 .513 .9 r
.77809 .59571 .78014 .60544 .78714 .6146 .78511 .60488 Metetra
.28 .512 .899 r
.78511 .60488 .78714 .6146 .79416 .62383 .79214 .61412 Metetra
.28 .511 .899 r
.79214 .61412 .79416 .62383 .80119 .63309 .7992 .62339 Metetra
.281 .512 .899 r
.7992 .62339 .80119 .63309 .80825 .64234 .80627 .63266 Metetra
.284 .514 .9 r
.80627 .63266 .80825 .64234 .81532 .65155 .81335 .64187 Metetra
.288 .517 .901 r
.81335 .64187 .81532 .65155 .82241 .66067 .82045 .651 Metetra
.294 .521 .903 r
.82045 .651 .82241 .66067 .82951 .66966 .82757 .66001 Metetra
.301 .526 .904 r
.82757 .66001 .82951 .66966 .83664 .67849 .83471 .66884 Metetra
.31 .532 .906 r
.83471 .66884 .83664 .67849 .84377 .68711 .84186 .67747 Metetra
.319 .539 .909 r
.84186 .67747 .84377 .68711 .85093 .69548 .84903 .68585 Metetra
.33 .547 .911 r
.84903 .68585 .85093 .69548 .8581 .70357 .85622 .69395 Metetra
.342 .555 .914 r
.85622 .69395 .8581 .70357 .86528 .71134 .86341 .70172 Metetra
.355 .564 .916 r
.86341 .70172 .86528 .71134 .87248 .71875 .87063 .70914 Metetra
.369 .574 .919 r
.87063 .70914 .87248 .71875 .87969 .72578 .87786 .71618 Metetra
.384 .584 .921 r
.87786 .71618 .87969 .72578 .88691 .73238 .8851 .72279 Metetra
.399 .595 .924 r
.8851 .72279 .88691 .73238 .89415 .73854 .89235 .72894 Metetra
.415 .606 .926 r
.89235 .72894 .89415 .73854 .90141 .74421 .89962 .73462 Metetra
.431 .617 .928 r
.89962 .73462 .90141 .74421 .90867 .74937 .9069 .73978 Metetra
.448 .628 .93 r
.9069 .73978 .90867 .74937 .91595 .754 .91419 .74441 Metetra
.465 .639 .932 r
.91419 .74441 .91595 .754 .92324 .75807 .9215 .74848 Metetra
.481 .65 .933 r
.9215 .74848 .92324 .75807 .93054 .76156 .92882 .75197 Metetra
.498 .661 .934 r
.92882 .75197 .93054 .76156 .93785 .76446 .93614 .75486 Metetra
.515 .672 .935 r
.93614 .75486 .93785 .76446 .94517 .76674 .94348 .75714 Metetra
.531 .683 .935 r
.94348 .75714 .94517 .76674 .9525 .76839 .95083 .75879 Metetra
.547 .693 .935 r
.95083 .75879 .9525 .76839 .95985 .76941 .95819 .7598 Metetra
.563 .703 .935 r
.95819 .7598 .95985 .76941 .9672 .76978 .96555 .76016 Metetra
.578 .713 .934 r
.96555 .76016 .9672 .76978 .97456 .7695 .97293 .75986 Metetra
.592 .725 .936 r
.30737 .80734 .31035 .81577 .31642 .81496 .31346 .80652 Metetra
.609 .732 .932 r
.31346 .80652 .31642 .81496 .32251 .81355 .31956 .8051 Metetra
.625 .739 .929 r
.31956 .8051 .32251 .81355 .32862 .81154 .32567 .80308 Metetra
.64 .745 .925 r
.32567 .80308 .32862 .81154 .33474 .80895 .3318 .80047 Metetra
.653 .75 .921 r
.3318 .80047 .33474 .80895 .34087 .80577 .33795 .79728 Metetra
.666 .755 .917 r
.33795 .79728 .34087 .80577 .34701 .80201 .3441 .79351 Metetra
.677 .759 .913 r
.3441 .79351 .34701 .80201 .35317 .7977 .35027 .78917 Metetra
.688 .763 .909 r
.35027 .78917 .35317 .7977 .35934 .79283 .35646 .78429 Metetra
.697 .766 .905 r
.35646 .78429 .35934 .79283 .36553 .78743 .36265 .77887 Metetra
.706 .769 .901 r
.36265 .77887 .36553 .78743 .37172 .78152 .36886 .77293 Metetra
.714 .772 .898 r
.36886 .77293 .37172 .78152 .37793 .77511 .37508 .7665 Metetra
.721 .775 .895 r
.37508 .7665 .37793 .77511 .38415 .76823 .38131 .7596 Metetra
.728 .777 .892 r
.38131 .7596 .38415 .76823 .39039 .7609 .38756 .75225 Metetra
.734 .779 .889 r
.38756 .75225 .39039 .7609 .39663 .75315 .39381 .74448 Metetra
.739 .78 .886 r
.39381 .74448 .39663 .75315 .40288 .74501 .40008 .73631 Metetra
.744 .782 .884 r
.40008 .73631 .40288 .74501 .40915 .73651 .40636 .72779 Metetra
.748 .783 .882 r
.40636 .72779 .40915 .73651 .41542 .72768 .41264 .71893 Metetra
.751 .784 .88 r
.41264 .71893 .41542 .72768 .42171 .71855 .41894 .70977 Metetra
.754 .785 .878 r
.41894 .70977 .42171 .71855 .42801 .70915 .42525 .70034 Metetra
.757 .786 .877 r
.42525 .70034 .42801 .70915 .43431 .69952 .43157 .69068 Metetra
.759 .787 .876 r
.43157 .69068 .43431 .69952 .44063 .6897 .4379 .68083 Metetra
.761 .787 .875 r
.4379 .68083 .44063 .6897 .44695 .67972 .44424 .67083 Metetra
.762 .788 .874 r
.44424 .67083 .44695 .67972 .45329 .66963 .45059 .6607 Metetra
.763 .788 .874 r
.45059 .6607 .45329 .66963 .45964 .65944 .45694 .65049 Metetra
.763 .788 .873 r
.45694 .65049 .45964 .65944 .46599 .64922 .46331 .64023 Metetra
.763 .788 .873 r
.46331 .64023 .46599 .64922 .47235 .63899 .46969 .62997 Metetra
.763 .788 .874 r
.46969 .62997 .47235 .63899 .47873 .62879 .47607 .61975 Metetra
.762 .787 .874 r
.47607 .61975 .47873 .62879 .48511 .61867 .48247 .60959 Metetra
.76 .787 .875 r
.48247 .60959 .48511 .61867 .4915 .60865 .48888 .59954 Metetra
.758 .786 .876 r
.48888 .59954 .4915 .60865 .4979 .59878 .49529 .58964 Metetra
.756 .786 .877 r
.49529 .58964 .4979 .59878 .50432 .58909 .50171 .57993 Metetra
.753 .785 .879 r
.50171 .57993 .50432 .58909 .51074 .57963 .50815 .57043 Metetra
.75 .783 .88 r
.50815 .57043 .51074 .57963 .51717 .57042 .51459 .56119 Metetra
.746 .782 .882 r
.51459 .56119 .51717 .57042 .52361 .5615 .52104 .55225 Metetra
.741 .78 .884 r
.52104 .55225 .52361 .5615 .53006 .5529 .52751 .54362 Metetra
.737 .779 .887 r
.52751 .54362 .53006 .5529 .53652 .54466 .53398 .53536 Metetra
.731 .776 .889 r
.53398 .53536 .53652 .54466 .54299 .53681 .54046 .52748 Metetra
.725 .774 .892 r
.54046 .52748 .54299 .53681 .54947 .52937 .54696 .52001 Metetra
.718 .771 .894 r
.54696 .52001 .54947 .52937 .55596 .52238 .55346 .51299 Metetra
.711 .768 .897 r
.55346 .51299 .55596 .52238 .56246 .51585 .55998 .50644 Metetra
.703 .765 .9 r
.55998 .50644 .56246 .51585 .56898 .50982 .56651 .50039 Metetra
.694 .761 .903 r
.56651 .50039 .56898 .50982 .5755 .5043 .57304 .49485 Metetra
.685 .757 .906 r
.57304 .49485 .5755 .5043 .58204 .49931 .5796 .48985 Metetra
.675 .752 .909 r
.5796 .48985 .58204 .49931 .58859 .49488 .58616 .4854 Metetra
.664 .747 .912 r
.58616 .4854 .58859 .49488 .59515 .49102 .59273 .48152 Metetra
.652 .742 .915 r
.59273 .48152 .59515 .49102 .60173 .48774 .59932 .47822 Metetra
.64 .736 .918 r
.59932 .47822 .60173 .48774 .60831 .48505 .60592 .47552 Metetra
.627 .729 .921 r
.60592 .47552 .60831 .48505 .61492 .48297 .61254 .47342 Metetra
.613 .722 .923 r
.61254 .47342 .61492 .48297 .62153 .4815 .61916 .47193 Metetra
.598 .714 .925 r
.61916 .47193 .62153 .4815 .62816 .48063 .62581 .47106 Metetra
.583 .706 .927 r
.62581 .47106 .62816 .48063 .6348 .48039 .63246 .4708 Metetra
.567 .697 .929 r
.63246 .4708 .6348 .48039 .64146 .48076 .63913 .47116 Metetra
.55 .688 .93 r
.63913 .47116 .64146 .48076 .64813 .48173 .64582 .47213 Metetra
.533 .678 .931 r
.64582 .47213 .64813 .48173 .65482 .48332 .65252 .47371 Metetra
.515 .668 .932 r
.65252 .47371 .65482 .48332 .66153 .4855 .65924 .47589 Metetra
.497 .658 .932 r
.65924 .47589 .66153 .4855 .66825 .48827 .66597 .47866 Metetra
.479 .647 .932 r
.66597 .47866 .66825 .48827 .67498 .49162 .67272 .482 Metetra
.461 .636 .931 r
.67272 .482 .67498 .49162 .68173 .49552 .67949 .4859 Metetra
.443 .625 .93 r
.67949 .4859 .68173 .49552 .6885 .49997 .68627 .49035 Metetra
.425 .613 .928 r
.68627 .49035 .6885 .49997 .69529 .50494 .69307 .49532 Metetra
.407 .602 .926 r
.69307 .49532 .69529 .50494 .70209 .51041 .69989 .5008 Metetra
.39 .591 .924 r
.69989 .5008 .70209 .51041 .70891 .51636 .70672 .50675 Metetra
.374 .58 .922 r
.70672 .50675 .70891 .51636 .71575 .52277 .71357 .51316 Metetra
.358 .57 .919 r
.71357 .51316 .71575 .52277 .7226 .5296 .72044 .51999 Metetra
.343 .56 .917 r
.72044 .51999 .7226 .5296 .72948 .53682 .72733 .52722 Metetra
.329 .551 .914 r
.72733 .52722 .72948 .53682 .73637 .54441 .73423 .53482 Metetra
.317 .542 .911 r
.73423 .53482 .73637 .54441 .74328 .55233 .74116 .54275 Metetra
.306 .534 .909 r
.74116 .54275 .74328 .55233 .75021 .56056 .7481 .55098 Metetra
.296 .528 .907 r
.7481 .55098 .75021 .56056 .75715 .56904 .75506 .55947 Metetra
.287 .522 .905 r
.75506 .55947 .75715 .56904 .76411 .57775 .76203 .56819 Metetra
.281 .517 .903 r
.76203 .56819 .76411 .57775 .77109 .58666 .76903 .57711 Metetra
.275 .513 .902 r
.76903 .57711 .77109 .58666 .77809 .59571 .77604 .58617 Metetra
.272 .511 .901 r
.77604 .58617 .77809 .59571 .78511 .60488 .78307 .59535 Metetra
.27 .509 .9 r
.78307 .59535 .78511 .60488 .79214 .61412 .79012 .6046 Metetra
.269 .509 .9 r
.79012 .6046 .79214 .61412 .7992 .62339 .79719 .61388 Metetra
.27 .51 .9 r
.79719 .61388 .7992 .62339 .80627 .63266 .80427 .62316 Metetra
.273 .512 .901 r
.80427 .62316 .80627 .63266 .81335 .64187 .81137 .63239 Metetra
.278 .515 .902 r
.81137 .63239 .81335 .64187 .82045 .651 .81849 .64153 Metetra
.283 .519 .904 r
.81849 .64153 .82045 .651 .82757 .66001 .82563 .65054 Metetra
.291 .524 .906 r
.82563 .65054 .82757 .66001 .83471 .66884 .83278 .65938 Metetra
.3 .531 .908 r
.83278 .65938 .83471 .66884 .84186 .67747 .83995 .66802 Metetra
.31 .538 .91 r
.83995 .66802 .84186 .67747 .84903 .68585 .84713 .67641 Metetra
.321 .546 .913 r
.84713 .67641 .84903 .68585 .85622 .69395 .85433 .68452 Metetra
.333 .554 .915 r
.85433 .68452 .85622 .69395 .86341 .70172 .86154 .6923 Metetra
.347 .564 .918 r
.86154 .6923 .86341 .70172 .87063 .70914 .86877 .69973 Metetra
.361 .574 .921 r
.86877 .69973 .87063 .70914 .87786 .71618 .87601 .70677 Metetra
.376 .584 .924 r
.87601 .70677 .87786 .71618 .8851 .72279 .88327 .71338 Metetra
.392 .595 .926 r
.88327 .71338 .8851 .72279 .89235 .72894 .89054 .71954 Metetra
.408 .606 .929 r
.89054 .71954 .89235 .72894 .89962 .73462 .89783 .72522 Metetra
.425 .618 .931 r
.89783 .72522 .89962 .73462 .9069 .73978 .90512 .73039 Metetra
.442 .629 .933 r
.90512 .73039 .9069 .73978 .91419 .74441 .91243 .73502 Metetra
.459 .641 .935 r
.91243 .73502 .91419 .74441 .9215 .74848 .91975 .73908 Metetra
.476 .652 .936 r
.91975 .73908 .9215 .74848 .92882 .75197 .92709 .74257 Metetra
.494 .663 .938 r
.92709 .74257 .92882 .75197 .93614 .75486 .93443 .74546 Metetra
.511 .674 .938 r
.93443 .74546 .93614 .75486 .94348 .75714 .94178 .74773 Metetra
.527 .685 .939 r
.94178 .74773 .94348 .75714 .95083 .75879 .94915 .74938 Metetra
.544 .696 .939 r
.94915 .74938 .95083 .75879 .95819 .7598 .95652 .75038 Metetra
.56 .706 .939 r
.95652 .75038 .95819 .7598 .96555 .76016 .96391 .75073 Metetra
.576 .716 .938 r
.96391 .75073 .96555 .76016 .97293 .75986 .9713 .75042 Metetra
.59 .728 .94 r
.30438 .79909 .30737 .80734 .31346 .80652 .31048 .79826 Metetra
.608 .736 .936 r
.31048 .79826 .31346 .80652 .31956 .8051 .31659 .79683 Metetra
.624 .743 .932 r
.31659 .79683 .31956 .8051 .32567 .80308 .32272 .7948 Metetra
.639 .749 .928 r
.32272 .7948 .32567 .80308 .3318 .80047 .32886 .79218 Metetra
.653 .754 .924 r
.32886 .79218 .3318 .80047 .33795 .79728 .33501 .78897 Metetra
.665 .759 .92 r
.33501 .78897 .33795 .79728 .3441 .79351 .34118 .78519 Metetra
.677 .763 .916 r
.34118 .78519 .3441 .79351 .35027 .78917 .34736 .78083 Metetra
.688 .767 .912 r
.34736 .78083 .35027 .78917 .35646 .78429 .35356 .77593 Metetra
.698 .77 .908 r
.35356 .77593 .35646 .78429 .36265 .77887 .35976 .77049 Metetra
.706 .773 .904 r
.35976 .77049 .36265 .77887 .36886 .77293 .36598 .76454 Metetra
.715 .776 .901 r
.36598 .76454 .36886 .77293 .37508 .7665 .37222 .75808 Metetra
.722 .779 .897 r
.37222 .75808 .37508 .7665 .38131 .7596 .37846 .75116 Metetra
.729 .781 .894 r
.37846 .75116 .38131 .7596 .38756 .75225 .38472 .74379 Metetra
.735 .783 .891 r
.38472 .74379 .38756 .75225 .39381 .74448 .39098 .73599 Metetra
.74 .784 .889 r
.39098 .73599 .39381 .74448 .40008 .73631 .39726 .7278 Metetra
.745 .786 .886 r
.39726 .7278 .40008 .73631 .40636 .72779 .40355 .71924 Metetra
.749 .787 .884 r
.40355 .71924 .40636 .72779 .41264 .71893 .40985 .71036 Metetra
.752 .788 .882 r
.40985 .71036 .41264 .71893 .41894 .70977 .41616 .70117 Metetra
.756 .789 .88 r
.41616 .70117 .41894 .70977 .42525 .70034 .42248 .69172 Metetra
.758 .79 .879 r
.42248 .69172 .42525 .70034 .43157 .69068 .42882 .68203 Metetra
.76 .791 .878 r
.42882 .68203 .43157 .69068 .4379 .68083 .43516 .67215 Metetra
.762 .791 .877 r
.43516 .67215 .4379 .68083 .44424 .67083 .44151 .66211 Metetra
.763 .791 .876 r
.44151 .66211 .44424 .67083 .45059 .6607 .44787 .65196 Metetra
.764 .792 .876 r
.44787 .65196 .45059 .6607 .45694 .65049 .45424 .64172 Metetra
.764 .792 .875 r
.45424 .64172 .45694 .65049 .46331 .64023 .46062 .63143 Metetra
.764 .792 .875 r
.46062 .63143 .46331 .64023 .46969 .62997 .46701 .62114 Metetra
.764 .792 .876 r
.46701 .62114 .46969 .62997 .47607 .61975 .47341 .61088 Metetra
.763 .791 .876 r
.47341 .61088 .47607 .61975 .48247 .60959 .47982 .6007 Metetra
.761 .791 .877 r
.47982 .6007 .48247 .60959 .48888 .59954 .48623 .59062 Metetra
.759 .79 .878 r
.48623 .59062 .48888 .59954 .49529 .58964 .49266 .58069 Metetra
.757 .789 .879 r
.49266 .58069 .49529 .58964 .50171 .57993 .4991 .57094 Metetra
.754 .788 .881 r
.4991 .57094 .50171 .57993 .50815 .57043 .50555 .56142 Metetra
.751 .787 .883 r
.50555 .56142 .50815 .57043 .51459 .56119 .512 .55215 Metetra
.747 .786 .885 r
.512 .55215 .51459 .56119 .52104 .55225 .51847 .54318 Metetra
.742 .784 .887 r
.51847 .54318 .52104 .55225 .52751 .54362 .52494 .53453 Metetra
.737 .782 .889 r
.52494 .53453 .52751 .54362 .53398 .53536 .53143 .52623 Metetra
.732 .78 .892 r
.53143 .52623 .53398 .53536 .54046 .52748 .53793 .51833 Metetra
.726 .778 .894 r
.53793 .51833 .54046 .52748 .54696 .52001 .54443 .51084 Metetra
.719 .775 .897 r
.54443 .51084 .54696 .52001 .55346 .51299 .55095 .5038 Metetra
.711 .772 .9 r
.55095 .5038 .55346 .51299 .55998 .50644 .55748 .49722 Metetra
.703 .769 .903 r
.55748 .49722 .55998 .50644 .56651 .50039 .56402 .49115 Metetra
.694 .765 .906 r
.56402 .49115 .56651 .50039 .57304 .49485 .57057 .48559 Metetra
.685 .761 .909 r
.57057 .48559 .57304 .49485 .5796 .48985 .57714 .48056 Metetra
.674 .756 .912 r
.57714 .48056 .5796 .48985 .58616 .4854 .58371 .47609 Metetra
.663 .751 .915 r
.58371 .47609 .58616 .4854 .59273 .48152 .5903 .4722 Metetra
.651 .745 .918 r
.5903 .4722 .59273 .48152 .59932 .47822 .5969 .46888 Metetra
.639 .739 .921 r
.5969 .46888 .59932 .47822 .60592 .47552 .60352 .46617 Metetra
.625 .733 .924 r
.60352 .46617 .60592 .47552 .61254 .47342 .61015 .46406 Metetra
.611 .725 .927 r
.61015 .46406 .61254 .47342 .61916 .47193 .61679 .46255 Metetra
.596 .718 .929 r
.61679 .46255 .61916 .47193 .62581 .47106 .62344 .46167 Metetra
.58 .709 .931 r
.62344 .46167 .62581 .47106 .63246 .4708 .63011 .4614 Metetra
.564 .7 .933 r
.63011 .4614 .63246 .4708 .63913 .47116 .6368 .46175 Metetra
.547 .691 .934 r
.6368 .46175 .63913 .47116 .64582 .47213 .6435 .46272 Metetra
.529 .681 .935 r
.6435 .46272 .64582 .47213 .65252 .47371 .65021 .46429 Metetra
.511 .671 .935 r
.65021 .46429 .65252 .47371 .65924 .47589 .65694 .46646 Metetra
.493 .66 .935 r
.65694 .46646 .65924 .47589 .66597 .47866 .66369 .46923 Metetra
.474 .649 .935 r
.66369 .46923 .66597 .47866 .67272 .482 .67045 .47257 Metetra
.455 .637 .934 r
.67045 .47257 .67272 .482 .67949 .4859 .67723 .47647 Metetra
.437 .626 .933 r
.67723 .47647 .67949 .4859 .68627 .49035 .68403 .48092 Metetra
.418 .614 .931 r
.68403 .48092 .68627 .49035 .69307 .49532 .69084 .48589 Metetra
.4 .602 .929 r
.69084 .48589 .69307 .49532 .69989 .5008 .69767 .49137 Metetra
.382 .591 .927 r
.69767 .49137 .69989 .5008 .70672 .50675 .70452 .49732 Metetra
.365 .58 .924 r
.70452 .49732 .70672 .50675 .71357 .51316 .71139 .50374 Metetra
.349 .569 .921 r
.71139 .50374 .71357 .51316 .72044 .51999 .71827 .51057 Metetra
.334 .559 .918 r
.71827 .51057 .72044 .51999 .72733 .52722 .72517 .51781 Metetra
.32 .55 .916 r
.72517 .51781 .72733 .52722 .73423 .53482 .73209 .52542 Metetra
.307 .541 .913 r
.73209 .52542 .73423 .53482 .74116 .54275 .73903 .53335 Metetra
.295 .533 .91 r
.73903 .53335 .74116 .54275 .7481 .55098 .74598 .54159 Metetra
.285 .526 .908 r
.74598 .54159 .7481 .55098 .75506 .55947 .75295 .55009 Metetra
.277 .52 .906 r
.75295 .55009 .75506 .55947 .76203 .56819 .75995 .55883 Metetra
.27 .515 .904 r
.75995 .55883 .76203 .56819 .76903 .57711 .76696 .56775 Metetra
.264 .511 .903 r
.76696 .56775 .76903 .57711 .77604 .58617 .77398 .57682 Metetra
.26 .508 .902 r
.77398 .57682 .77604 .58617 .78307 .59535 .78103 .58601 Metetra
.258 .507 .901 r
.78103 .58601 .78307 .59535 .79012 .6046 .78809 .59527 Metetra
.258 .506 .901 r
.78809 .59527 .79012 .6046 .79719 .61388 .79517 .60457 Metetra
.259 .507 .901 r
.79517 .60457 .79719 .61388 .80427 .62316 .80227 .61386 Metetra
.262 .509 .902 r
.80227 .61386 .80427 .62316 .81137 .63239 .80939 .62309 Metetra
.266 .513 .903 r
.80939 .62309 .81137 .63239 .81849 .64153 .81652 .63225 Metetra
.273 .517 .905 r
.81652 .63225 .81849 .64153 .82563 .65054 .82367 .64127 Metetra
.28 .522 .907 r
.82367 .64127 .82563 .65054 .83278 .65938 .83084 .65012 Metetra
.289 .529 .909 r
.83084 .65012 .83278 .65938 .83995 .66802 .83802 .65877 Metetra
.299 .536 .912 r
.83802 .65877 .83995 .66802 .84713 .67641 .84522 .66717 Metetra
.311 .544 .914 r
.84522 .66717 .84713 .67641 .85433 .68452 .85243 .67528 Metetra
.324 .553 .917 r
.85243 .67528 .85433 .68452 .86154 .6923 .85966 .68307 Metetra
.338 .563 .92 r
.85966 .68307 .86154 .6923 .86877 .69973 .86691 .69051 Metetra
.352 .573 .923 r
.86691 .69051 .86877 .69973 .87601 .70677 .87417 .69755 Metetra
.368 .584 .926 r
.87417 .69755 .87601 .70677 .88327 .71338 .88144 .70417 Metetra
.384 .595 .929 r
.88144 .70417 .88327 .71338 .89054 .71954 .88873 .71034 Metetra
.401 .607 .932 r
.88873 .71034 .89054 .71954 .89783 .72522 .89603 .71602 Metetra
.418 .618 .934 r
.89603 .71602 .89783 .72522 .90512 .73039 .90334 .72119 Metetra
.435 .63 .936 r
.90334 .72119 .90512 .73039 .91243 .73502 .91066 .72582 Metetra
.453 .642 .938 r
.91066 .72582 .91243 .73502 .91975 .73908 .918 .72989 Metetra
.471 .654 .94 r
.918 .72989 .91975 .73908 .92709 .74257 .92535 .73337 Metetra
.489 .665 .941 r
.92535 .73337 .92709 .74257 .93443 .74546 .93271 .73626 Metetra
.506 .677 .942 r
.93271 .73626 .93443 .74546 .94178 .74773 .94008 .73853 Metetra
.523 .688 .942 r
.94008 .73853 .94178 .74773 .94915 .74938 .94746 .74016 Metetra
.54 .699 .942 r
.94746 .74016 .94915 .74938 .95652 .75038 .95485 .74116 Metetra
.557 .709 .942 r
.95485 .74116 .95652 .75038 .96391 .75073 .96225 .7415 Metetra
.573 .719 .942 r
.96225 .7415 .96391 .75073 .9713 .75042 .96966 .74118 Metetra
.587 .732 .943 r
.30137 .79103 .30438 .79909 .31048 .79826 .30748 .79019 Metetra
.606 .74 .94 r
.30748 .79019 .31048 .79826 .31659 .79683 .31361 .78875 Metetra
.622 .746 .936 r
.31361 .78875 .31659 .79683 .32272 .7948 .31974 .78671 Metetra
.638 .753 .931 r
.31974 .78671 .32272 .7948 .32886 .79218 .3259 .78408 Metetra
.652 .758 .927 r
.3259 .78408 .32886 .79218 .33501 .78897 .33206 .78085 Metetra
.665 .763 .923 r
.33206 .78085 .33501 .78897 .34118 .78519 .33824 .77705 Metetra
.677 .767 .919 r
.33824 .77705 .34118 .78519 .34736 .78083 .34443 .77268 Metetra
.688 .771 .915 r
.34443 .77268 .34736 .78083 .35356 .77593 .35064 .76776 Metetra
.698 .775 .911 r
.35064 .76776 .35356 .77593 .35976 .77049 .35686 .7623 Metetra
.707 .778 .907 r
.35686 .7623 .35976 .77049 .36598 .76454 .36309 .75633 Metetra
.715 .78 .903 r
.36309 .75633 .36598 .76454 .37222 .75808 .36934 .74985 Metetra
.723 .783 .9 r
.36934 .74985 .37222 .75808 .37846 .75116 .37559 .7429 Metetra
.729 .785 .897 r
.37559 .7429 .37846 .75116 .38472 .74379 .38186 .73551 Metetra
.735 .787 .894 r
.38186 .73551 .38472 .74379 .39098 .73599 .38814 .72769 Metetra
.741 .788 .891 r
.38814 .72769 .39098 .73599 .39726 .7278 .39443 .71947 Metetra
.746 .79 .889 r
.39443 .71947 .39726 .7278 .40355 .71924 .40073 .71089 Metetra
.75 .791 .886 r
.40073 .71089 .40355 .71924 .40985 .71036 .40705 .70197 Metetra
.753 .792 .884 r
.40705 .70197 .40985 .71036 .41616 .70117 .41337 .69276 Metetra
.757 .793 .883 r
.41337 .69276 .41616 .70117 .42248 .69172 .4197 .68328 Metetra
.759 .794 .881 r
.4197 .68328 .42248 .69172 .42882 .68203 .42605 .67356 Metetra
.762 .794 .88 r
.42605 .67356 .42882 .68203 .43516 .67215 .4324 .66366 Metetra
.763 .795 .879 r
.4324 .66366 .43516 .67215 .44151 .66211 .43877 .65359 Metetra
.764 .795 .878 r
.43877 .65359 .44151 .66211 .44787 .65196 .44514 .6434 Metetra
.765 .796 .878 r
.44514 .6434 .44787 .65196 .45424 .64172 .45152 .63313 Metetra
.766 .796 .877 r
.45152 .63313 .45424 .64172 .46062 .63143 .45792 .62281 Metetra
.765 .796 .878 r
.45792 .62281 .46062 .63143 .46701 .62114 .46432 .61249 Metetra
.765 .795 .878 r
.46432 .61249 .46701 .62114 .47341 .61088 .47073 .6022 Metetra
.764 .795 .878 r
.47073 .6022 .47341 .61088 .47982 .6007 .47715 .59199 Metetra
.762 .795 .879 r
.47715 .59199 .47982 .6007 .48623 .59062 .48358 .58188 Metetra
.76 .794 .88 r
.48358 .58188 .48623 .59062 .49266 .58069 .49002 .57192 Metetra
.758 .793 .882 r
.49002 .57192 .49266 .58069 .4991 .57094 .49647 .56215 Metetra
.755 .792 .883 r
.49647 .56215 .4991 .57094 .50555 .56142 .50293 .55259 Metetra
.752 .791 .885 r
.50293 .55259 .50555 .56142 .512 .55215 .5094 .5433 Metetra
.748 .79 .887 r
.5094 .5433 .512 .55215 .51847 .54318 .51588 .5343 Metetra
.743 .788 .889 r
.51588 .5343 .51847 .54318 .52494 .53453 .52237 .52562 Metetra
.738 .786 .891 r
.52237 .52562 .52494 .53453 .53143 .52623 .52887 .5173 Metetra
.733 .784 .894 r
.52887 .5173 .53143 .52623 .53793 .51833 .53538 .50937 Metetra
.726 .782 .897 r
.53538 .50937 .53793 .51833 .54443 .51084 .5419 .50185 Metetra
.719 .779 .9 r
.5419 .50185 .54443 .51084 .55095 .5038 .54843 .49479 Metetra
.712 .776 .903 r
.54843 .49479 .55095 .5038 .55748 .49722 .55497 .48819 Metetra
.703 .773 .906 r
.55497 .48819 .55748 .49722 .56402 .49115 .56153 .48209 Metetra
.694 .769 .909 r
.56153 .48209 .56402 .49115 .57057 .48559 .56809 .47651 Metetra
.685 .765 .912 r
.56809 .47651 .57057 .48559 .57714 .48056 .57467 .47146 Metetra
.674 .76 .915 r
.57467 .47146 .57714 .48056 .58371 .47609 .58126 .46698 Metetra
.663 .755 .919 r
.58126 .46698 .58371 .47609 .5903 .4722 .58786 .46306 Metetra
.651 .749 .922 r
.58786 .46306 .5903 .4722 .5969 .46888 .59448 .45973 Metetra
.638 .743 .925 r
.59448 .45973 .5969 .46888 .60352 .46617 .6011 .457 Metetra
.624 .736 .927 r
.6011 .457 .60352 .46617 .61015 .46406 .60774 .45488 Metetra
.609 .729 .93 r
.60774 .45488 .61015 .46406 .61679 .46255 .6144 .45336 Metetra
.594 .721 .932 r
.6144 .45336 .61679 .46255 .62344 .46167 .62107 .45247 Metetra
.578 .712 .934 r
.62107 .45247 .62344 .46167 .63011 .4614 .62775 .45219 Metetra
.561 .703 .936 r
.62775 .45219 .63011 .4614 .6368 .46175 .63445 .45253 Metetra
.544 .694 .937 r
.63445 .45253 .6368 .46175 .6435 .46272 .64116 .45349 Metetra
.525 .684 .938 r
.64116 .45349 .6435 .46272 .65021 .46429 .64789 .45506 Metetra
.507 .673 .939 r
.64789 .45506 .65021 .46429 .65694 .46646 .65464 .45722 Metetra
.488 .662 .939 r
.65464 .45722 .65694 .46646 .66369 .46923 .6614 .45998 Metetra
.469 .65 .938 r
.6614 .45998 .66369 .46923 .67045 .47257 .66817 .46332 Metetra
.449 .639 .937 r
.66817 .46332 .67045 .47257 .67723 .47647 .67497 .46722 Metetra
.43 .627 .936 r
.67497 .46722 .67723 .47647 .68403 .48092 .68178 .47167 Metetra
.411 .615 .934 r
.68178 .47167 .68403 .48092 .69084 .48589 .6886 .47664 Metetra
.392 .603 .932 r
.6886 .47664 .69084 .48589 .69767 .49137 .69545 .48212 Metetra
.374 .591 .929 r
.69545 .48212 .69767 .49137 .70452 .49732 .70231 .48809 Metetra
.357 .58 .926 r
.70231 .48809 .70452 .49732 .71139 .50374 .70919 .4945 Metetra
.34 .569 .923 r
.70919 .4945 .71139 .50374 .71827 .51057 .71609 .50135 Metetra
.324 .558 .92 r
.71609 .50135 .71827 .51057 .72517 .51781 .723 .50859 Metetra
.31 .548 .917 r
.723 .50859 .72517 .51781 .73209 .52542 .72993 .5162 Metetra
.297 .539 .914 r
.72993 .5162 .73209 .52542 .73903 .53335 .73689 .52415 Metetra
.285 .531 .911 r
.73689 .52415 .73903 .53335 .74598 .54159 .74386 .53239 Metetra
.274 .524 .909 r
.74386 .53239 .74598 .54159 .75295 .55009 .75084 .54091 Metetra
.265 .517 .907 r
.75084 .54091 .75295 .55009 .75995 .55883 .75785 .54965 Metetra
.258 .512 .905 r
.75785 .54965 .75995 .55883 .76696 .56775 .76487 .55858 Metetra
.252 .508 .903 r
.76487 .55858 .76696 .56775 .77398 .57682 .77192 .56767 Metetra
.249 .505 .902 r
.77192 .56767 .77398 .57682 .78103 .58601 .77898 .57687 Metetra
.246 .504 .902 r
.77898 .57687 .78103 .58601 .78809 .59527 .78605 .58614 Metetra
.246 .504 .901 r
.78605 .58614 .78809 .59527 .79517 .60457 .79315 .59544 Metetra
.247 .505 .902 r
.79315 .59544 .79517 .60457 .80227 .61386 .80026 .60474 Metetra
.25 .507 .903 r
.80026 .60474 .80227 .61386 .80939 .62309 .80739 .61399 Metetra
.255 .51 .904 r
.80739 .61399 .80939 .62309 .81652 .63225 .81454 .62316 Metetra
.261 .514 .906 r
.81454 .62316 .81652 .63225 .82367 .64127 .82171 .63219 Metetra
.269 .52 .908 r
.82171 .63219 .82367 .64127 .83084 .65012 .82889 .64105 Metetra
.278 .527 .91 r
.82889 .64105 .83084 .65012 .83802 .65877 .83609 .64971 Metetra
.289 .534 .913 r
.83609 .64971 .83802 .65877 .84522 .66717 .8433 .65812 Metetra
.301 .543 .916 r
.8433 .65812 .84522 .66717 .85243 .67528 .85053 .66624 Metetra
.314 .552 .919 r
.85053 .66624 .85243 .67528 .85966 .68307 .85778 .67404 Metetra
.328 .562 .922 r
.85778 .67404 .85966 .68307 .86691 .69051 .86504 .68149 Metetra
.343 .573 .925 r
.86504 .68149 .86691 .69051 .87417 .69755 .87231 .68854 Metetra
.359 .584 .928 r
.87231 .68854 .87417 .69755 .88144 .70417 .8796 .69516 Metetra
.376 .595 .931 r
.8796 .69516 .88144 .70417 .88873 .71034 .8869 .70133 Metetra
.393 .607 .934 r
.8869 .70133 .88873 .71034 .89603 .71602 .89422 .70702 Metetra
.411 .619 .937 r
.89422 .70702 .89603 .71602 .90334 .72119 .90155 .71219 Metetra
.429 .631 .939 r
.90155 .71219 .90334 .72119 .91066 .72582 .90889 .71682 Metetra
.447 .643 .941 r
.90889 .71682 .91066 .72582 .918 .72989 .91624 .72089 Metetra
.465 .656 .943 r
.91624 .72089 .918 .72989 .92535 .73337 .92361 .72437 Metetra
.483 .668 .944 r
.92361 .72437 .92535 .73337 .93271 .73626 .93098 .72725 Metetra
.501 .679 .945 r
.93098 .72725 .93271 .73626 .94008 .73853 .93837 .72952 Metetra
.519 .691 .946 r
.93837 .72952 .94008 .73853 .94746 .74016 .94577 .73115 Metetra
.536 .702 .946 r
.94577 .73115 .94746 .74016 .95485 .74116 .95318 .73214 Metetra
.553 .713 .946 r
.95318 .73214 .95485 .74116 .96225 .7415 .96059 .73247 Metetra
.57 .723 .945 r
.96059 .73247 .96225 .7415 .96966 .74118 .96802 .73214 Metetra
.585 .736 .947 r
.29835 .78316 .30137 .79103 .30748 .79019 .30447 .78231 Metetra
.603 .743 .943 r
.30447 .78231 .30748 .79019 .31361 .78875 .31061 .78086 Metetra
.621 .75 .939 r
.31061 .78086 .31361 .78875 .31974 .78671 .31676 .77881 Metetra
.636 .757 .935 r
.31676 .77881 .31974 .78671 .3259 .78408 .32292 .77616 Metetra
.651 .762 .931 r
.32292 .77616 .3259 .78408 .33206 .78085 .3291 .77292 Metetra
.664 .767 .926 r
.3291 .77292 .33206 .78085 .33824 .77705 .33529 .7691 Metetra
.676 .771 .922 r
.33529 .7691 .33824 .77705 .34443 .77268 .34149 .76472 Metetra
.688 .775 .918 r
.34149 .76472 .34443 .77268 .35064 .76776 .34771 .75978 Metetra
.698 .779 .914 r
.34771 .75978 .35064 .76776 .35686 .7623 .35394 .7543 Metetra
.707 .782 .91 r
.35394 .7543 .35686 .7623 .36309 .75633 .36019 .7483 Metetra
.715 .784 .906 r
.36019 .7483 .36309 .75633 .36934 .74985 .36644 .74181 Metetra
.723 .787 .903 r
.36644 .74181 .36934 .74985 .37559 .7429 .37271 .73484 Metetra
.73 .789 .899 r
.37271 .73484 .37559 .7429 .38186 .73551 .37899 .72742 Metetra
.736 .791 .896 r
.37899 .72742 .38186 .73551 .38814 .72769 .38528 .71957 Metetra
.742 .792 .893 r
.38528 .71957 .38814 .72769 .39443 .71947 .39159 .71133 Metetra
.746 .794 .891 r
.39159 .71133 .39443 .71947 .40073 .71089 .3979 .70272 Metetra
.751 .795 .889 r
.3979 .70272 .40073 .71089 .40705 .70197 .40423 .69378 Metetra
.755 .796 .887 r
.40423 .69378 .40705 .70197 .41337 .69276 .41056 .68454 Metetra
.758 .797 .885 r
.41056 .68454 .41337 .69276 .4197 .68328 .41691 .67503 Metetra
.76 .798 .883 r
.41691 .67503 .4197 .68328 .42605 .67356 .42327 .66528 Metetra
.763 .798 .882 r
.42327 .66528 .42605 .67356 .4324 .66366 .42963 .65535 Metetra
.764 .799 .881 r
.42963 .65535 .4324 .66366 .43877 .65359 .43601 .64525 Metetra
.766 .799 .88 r
.43601 .64525 .43877 .65359 .44514 .6434 .4424 .63503 Metetra
.766 .799 .88 r
.4424 .63503 .44514 .6434 .45152 .63313 .44879 .62473 Metetra
.767 .8 .88 r
.44879 .62473 .45152 .63313 .45792 .62281 .4552 .61438 Metetra
.767 .8 .88 r
.4552 .61438 .45792 .62281 .46432 .61249 .46161 .60403 Metetra
.766 .799 .88 r
.46161 .60403 .46432 .61249 .47073 .6022 .46804 .59371 Metetra
.765 .799 .881 r
.46804 .59371 .47073 .6022 .47715 .59199 .47447 .58347 Metetra
.764 .799 .881 r
.47447 .58347 .47715 .59199 .48358 .58188 .48092 .57333 Metetra
.762 .798 .882 r
.48092 .57333 .48358 .58188 .49002 .57192 .48737 .56334 Metetra
.759 .797 .884 r
.48737 .56334 .49002 .57192 .49647 .56215 .49383 .55354 Metetra
.756 .796 .885 r
.49383 .55354 .49647 .56215 .50293 .55259 .50031 .54396 Metetra
.753 .795 .887 r
.50031 .54396 .50293 .55259 .5094 .5433 .50679 .53463 Metetra
.749 .794 .889 r
.50679 .53463 .5094 .5433 .51588 .5343 .51328 .5256 Metetra
.744 .792 .891 r
.51328 .5256 .51588 .5343 .52237 .52562 .51978 .51689 Metetra
.739 .79 .894 r
.51978 .51689 .52237 .52562 .52887 .5173 .5263 .50855 Metetra
.733 .788 .897 r
.5263 .50855 .52887 .5173 .53538 .50937 .53282 .50059 Metetra
.727 .786 .899 r
.53282 .50059 .53538 .50937 .5419 .50185 .53935 .49305 Metetra
.72 .783 .902 r
.53935 .49305 .5419 .50185 .54843 .49479 .5459 .48596 Metetra
.712 .78 .905 r
.5459 .48596 .54843 .49479 .55497 .48819 .55245 .47934 Metetra
.704 .777 .909 r
.55245 .47934 .55497 .48819 .56153 .48209 .55902 .47322 Metetra
.695 .773 .912 r
.55902 .47322 .56153 .48209 .56809 .47651 .5656 .46762 Metetra
.685 .769 .915 r
.5656 .46762 .56809 .47651 .57467 .47146 .57219 .46255 Metetra
.674 .764 .919 r
.57219 .46255 .57467 .47146 .58126 .46698 .57879 .45805 Metetra
.662 .759 .922 r
.57879 .45805 .58126 .46698 .58786 .46306 .58541 .45411 Metetra
.65 .753 .925 r
.58541 .45411 .58786 .46306 .59448 .45973 .59204 .45077 Metetra
.637 .747 .928 r
.59204 .45077 .59448 .45973 .6011 .457 .59868 .44802 Metetra
.623 .74 .931 r
.59868 .44802 .6011 .457 .60774 .45488 .60533 .44588 Metetra
.608 .732 .934 r
.60533 .44588 .60774 .45488 .6144 .45336 .612 .44436 Metetra
.592 .724 .936 r
.612 .44436 .6144 .45336 .62107 .45247 .61868 .44345 Metetra
.575 .716 .938 r
.61868 .44345 .62107 .45247 .62775 .45219 .62538 .44316 Metetra
.558 .706 .94 r
.62538 .44316 .62775 .45219 .63445 .45253 .63209 .4435 Metetra
.54 .697 .941 r
.63209 .4435 .63445 .45253 .64116 .45349 .63882 .44445 Metetra
.521 .686 .942 r
.63882 .44445 .64116 .45349 .64789 .45506 .64556 .44601 Metetra
.502 .675 .942 r
.64556 .44601 .64789 .45506 .65464 .45722 .65232 .44817 Metetra
.483 .664 .942 r
.65232 .44817 .65464 .45722 .6614 .45998 .65909 .45093 Metetra
.463 .652 .941 r
.65909 .45093 .6614 .45998 .66817 .46332 .66588 .45426 Metetra
.443 .64 .94 r
.66588 .45426 .66817 .46332 .67497 .46722 .67269 .45817 Metetra
.423 .628 .939 r
.67269 .45817 .67497 .46722 .68178 .47167 .67951 .46261 Metetra
.404 .615 .937 r
.67951 .46261 .68178 .47167 .6886 .47664 .68635 .46759 Metetra
.384 .603 .934 r
.68635 .46759 .6886 .47664 .69545 .48212 .69321 .47307 Metetra
.366 .591 .931 r
.69321 .47307 .69545 .48212 .70231 .48809 .70009 .47904 Metetra
.348 .579 .928 r
.70009 .47904 .70231 .48809 .70919 .4945 .70698 .48546 Metetra
.33 .568 .925 r
.70698 .48546 .70919 .4945 .71609 .50135 .71389 .49231 Metetra
.314 .557 .922 r
.71389 .49231 .71609 .50135 .723 .50859 .72082 .49956 Metetra
.299 .547 .919 r
.72082 .49956 .723 .50859 .72993 .5162 .72777 .50718 Metetra
.286 .537 .915 r
.72777 .50718 .72993 .5162 .73689 .52415 .73474 .51513 Metetra
.273 .529 .912 r
.73474 .51513 .73689 .52415 .74386 .53239 .74172 .52339 Metetra
.263 .521 .91 r
.74172 .52339 .74386 .53239 .75084 .54091 .74872 .53191 Metetra
.253 .515 .907 r
.74872 .53191 .75084 .54091 .75785 .54965 .75574 .54066 Metetra
.246 .509 .905 r
.75574 .54066 .75785 .54965 .76487 .55858 .76278 .54961 Metetra
.24 .505 .904 r
.76278 .54961 .76487 .55858 .77192 .56767 .76984 .5587 Metetra
.236 .502 .902 r
.76984 .5587 .77192 .56767 .77898 .57687 .77691 .56791 Metetra
.234 .501 .902 r
.77691 .56791 .77898 .57687 .78605 .58614 .78401 .5772 Metetra
.234 .501 .902 r
.78401 .5772 .78605 .58614 .79315 .59544 .79112 .58652 Metetra
.235 .502 .902 r
.79112 .58652 .79315 .59544 .80026 .60474 .79825 .59583 Metetra
.238 .504 .903 r
.79825 .59583 .80026 .60474 .80739 .61399 .80539 .60509 Metetra
.243 .507 .904 r
.80539 .60509 .80739 .61399 .81454 .62316 .81256 .61426 Metetra
.249 .512 .906 r
.81256 .61426 .81454 .62316 .82171 .63219 .81974 .62331 Metetra
.257 .518 .908 r
.81974 .62331 .82171 .63219 .82889 .64105 .82693 .63218 Metetra
.267 .524 .911 r
.82693 .63218 .82889 .64105 .83609 .64971 .83415 .64085 Metetra
.278 .532 .914 r
.83415 .64085 .83609 .64971 .8433 .65812 .84138 .64927 Metetra
.29 .541 .917 r
.84138 .64927 .8433 .65812 .85053 .66624 .84862 .6574 Metetra
.303 .551 .92 r
.84862 .6574 .85053 .66624 .85778 .67404 .85588 .66521 Metetra
.318 .561 .924 r
.85588 .66521 .85778 .67404 .86504 .68149 .86316 .67266 Metetra
.334 .572 .927 r
.86316 .67266 .86504 .68149 .87231 .68854 .87045 .67972 Metetra
.35 .583 .931 r
.87045 .67972 .87231 .68854 .8796 .69516 .87775 .68635 Metetra
.367 .595 .934 r
.87775 .68635 .8796 .69516 .8869 .70133 .88507 .69252 Metetra
.385 .607 .937 r
.88507 .69252 .8869 .70133 .89422 .70702 .8924 .69821 Metetra
.403 .62 .94 r
.8924 .69821 .89422 .70702 .90155 .71219 .89975 .70338 Metetra
.422 .632 .942 r
.89975 .70338 .90155 .71219 .90889 .71682 .90711 .70802 Metetra
.44 .645 .944 r
.90711 .70802 .90889 .71682 .91624 .72089 .91448 .71209 Metetra
.459 .657 .946 r
.91448 .71209 .91624 .72089 .92361 .72437 .92186 .71557 Metetra
.478 .67 .948 r
.92186 .71557 .92361 .72437 .93098 .72725 .92925 .71845 Metetra
.496 .682 .949 r
.92925 .71845 .93098 .72725 .93837 .72952 .93666 .72071 Metetra
.514 .693 .949 r
.93666 .72071 .93837 .72952 .94577 .73115 .94407 .72233 Metetra
.532 .705 .95 r
.94407 .72233 .94577 .73115 .95318 .73214 .95149 .72331 Metetra
.55 .716 .95 r
.95149 .72331 .95318 .73214 .96059 .73247 .95893 .72364 Metetra
.567 .726 .949 r
.95893 .72364 .96059 .73247 .96802 .73214 .96637 .7233 Metetra
.582 .739 .951 r
.29531 .77547 .29835 .78316 .30447 .78231 .30145 .77462 Metetra
.601 .747 .947 r
.30145 .77462 .30447 .78231 .31061 .78086 .30759 .77315 Metetra
.619 .754 .943 r
.30759 .77315 .31061 .78086 .31676 .77881 .31375 .77109 Metetra
.635 .761 .938 r
.31375 .77109 .31676 .77881 .32292 .77616 .31993 .76843 Metetra
.65 .766 .934 r
.31993 .76843 .32292 .77616 .3291 .77292 .32612 .76518 Metetra
.664 .771 .93 r
.32612 .76518 .3291 .77292 .33529 .7691 .33232 .76134 Metetra
.676 .776 .925 r
.33232 .76134 .33529 .7691 .34149 .76472 .33854 .75694 Metetra
.687 .78 .921 r
.33854 .75694 .34149 .76472 .34771 .75978 .34477 .75198 Metetra
.698 .783 .917 r
.34477 .75198 .34771 .75978 .35394 .7543 .35101 .74648 Metetra
.707 .786 .913 r
.35101 .74648 .35394 .7543 .36019 .7483 .35727 .74047 Metetra
.716 .789 .909 r
.35727 .74047 .36019 .7483 .36644 .74181 .36354 .73395 Metetra
.724 .791 .905 r
.36354 .73395 .36644 .74181 .37271 .73484 .36982 .72696 Metetra
.731 .793 .902 r
.36982 .72696 .37271 .73484 .37899 .72742 .37611 .71951 Metetra
.737 .795 .899 r
.37611 .71951 .37899 .72742 .38528 .71957 .38241 .71164 Metetra
.742 .797 .896 r
.38241 .71164 .38528 .71957 .39159 .71133 .38873 .70338 Metetra
.747 .798 .893 r
.38873 .70338 .39159 .71133 .3979 .70272 .39506 .69474 Metetra
.752 .799 .891 r
.39506 .69474 .3979 .70272 .40423 .69378 .40139 .68577 Metetra
.756 .8 .889 r
.40139 .68577 .40423 .69378 .41056 .68454 .40774 .6765 Metetra
.759 .801 .887 r
.40774 .6765 .41056 .68454 .41691 .67503 .4141 .66696 Metetra
.762 .802 .885 r
.4141 .66696 .41691 .67503 .42327 .66528 .42047 .65719 Metetra
.764 .802 .884 r
.42047 .65719 .42327 .66528 .42963 .65535 .42685 .64723 Metetra
.766 .803 .883 r
.42685 .64723 .42963 .65535 .43601 .64525 .43324 .6371 Metetra
.767 .803 .882 r
.43324 .6371 .43601 .64525 .4424 .63503 .43964 .62685 Metetra
.768 .804 .882 r
.43964 .62685 .4424 .63503 .44879 .62473 .44605 .61652 Metetra
.768 .804 .882 r
.44605 .61652 .44879 .62473 .4552 .61438 .45247 .60614 Metetra
.768 .804 .882 r
.45247 .60614 .4552 .61438 .46161 .60403 .45889 .59576 Metetra
.767 .803 .882 r
.45889 .59576 .46161 .60403 .46804 .59371 .46533 .58541 Metetra
.766 .803 .883 r
.46533 .58541 .46804 .59371 .47447 .58347 .47178 .57513 Metetra
.765 .803 .883 r
.47178 .57513 .47447 .58347 .48092 .57333 .47824 .56497 Metetra
.763 .802 .885 r
.47824 .56497 .48092 .57333 .48737 .56334 .4847 .55495 Metetra
.76 .801 .886 r
.4847 .55495 .48737 .56334 .49383 .55354 .49118 .54511 Metetra
.757 .8 .888 r
.49118 .54511 .49383 .55354 .50031 .54396 .49767 .5355 Metetra
.754 .799 .889 r
.49767 .5355 .50031 .54396 .50679 .53463 .50416 .52615 Metetra
.75 .798 .892 r
.50416 .52615 .50679 .53463 .51328 .5256 .51067 .51709 Metetra
.745 .796 .894 r
.51067 .51709 .51328 .5256 .51978 .51689 .51718 .50836 Metetra
.74 .795 .896 r
.51718 .50836 .51978 .51689 .5263 .50855 .52371 .49998 Metetra
.734 .793 .899 r
.52371 .49998 .5263 .50855 .53282 .50059 .53025 .492 Metetra
.728 .79 .902 r
.53025 .492 .53282 .50059 .53935 .49305 .53679 .48444 Metetra
.72 .787 .905 r
.53679 .48444 .53935 .49305 .5459 .48596 .54335 .47732 Metetra
.713 .784 .908 r
.54335 .47732 .5459 .48596 .55245 .47934 .54992 .47068 Metetra
.704 .781 .912 r
.54992 .47068 .55245 .47934 .55902 .47322 .5565 .46454 Metetra
.695 .777 .915 r
.5565 .46454 .55902 .47322 .5656 .46762 .56309 .45891 Metetra
.684 .773 .918 r
.56309 .45891 .5656 .46762 .57219 .46255 .5697 .45383 Metetra
.673 .768 .922 r
.5697 .45383 .57219 .46255 .57879 .45805 .57631 .44931 Metetra
.662 .763 .925 r
.57631 .44931 .57879 .45805 .58541 .45411 .58294 .44536 Metetra
.649 .757 .928 r
.58294 .44536 .58541 .45411 .59204 .45077 .58958 .44199 Metetra
.635 .751 .931 r
.58958 .44199 .59204 .45077 .59868 .44802 .59624 .43923 Metetra
.621 .744 .934 r
.59624 .43923 .59868 .44802 .60533 .44588 .60291 .43708 Metetra
.606 .736 .937 r
.60291 .43708 .60533 .44588 .612 .44436 .60959 .43554 Metetra
.589 .728 .94 r
.60959 .43554 .612 .44436 .61868 .44345 .61629 .43462 Metetra
.572 .719 .942 r
.61629 .43462 .61868 .44345 .62538 .44316 .623 .43433 Metetra
.555 .71 .943 r
.623 .43433 .62538 .44316 .63209 .4435 .62972 .43465 Metetra
.536 .699 .945 r
.62972 .43465 .63209 .4435 .63882 .44445 .63646 .4356 Metetra
.517 .689 .945 r
.63646 .4356 .63882 .44445 .64556 .44601 .64322 .43715 Metetra
.497 .677 .946 r
.64322 .43715 .64556 .44601 .65232 .44817 .64999 .43931 Metetra
.477 .666 .945 r
.64999 .43931 .65232 .44817 .65909 .45093 .65678 .44206 Metetra
.457 .654 .945 r
.65678 .44206 .65909 .45093 .66588 .45426 .66358 .4454 Metetra
.437 .641 .943 r
.66358 .4454 .66588 .45426 .67269 .45817 .6704 .4493 Metetra
.416 .629 .941 r
.6704 .4493 .67269 .45817 .67951 .46261 .67724 .45375 Metetra
.396 .616 .939 r
.67724 .45375 .67951 .46261 .68635 .46759 .6841 .45873 Metetra
.376 .603 .937 r
.6841 .45873 .68635 .46759 .69321 .47307 .69097 .46421 Metetra
.357 .591 .934 r
.69097 .46421 .69321 .47307 .70009 .47904 .69786 .47018 Metetra
.338 .578 .93 r
.69786 .47018 .70009 .47904 .70698 .48546 .70477 .47661 Metetra
.32 .567 .927 r
.70477 .47661 .70698 .48546 .71389 .49231 .71169 .48346 Metetra
.304 .555 .923 r
.71169 .48346 .71389 .49231 .72082 .49956 .71864 .49072 Metetra
.288 .545 .92 r
.71864 .49072 .72082 .49956 .72777 .50718 .7256 .49835 Metetra
.274 .535 .916 r
.7256 .49835 .72777 .50718 .73474 .51513 .73258 .50631 Metetra
.262 .526 .913 r
.73258 .50631 .73474 .51513 .74172 .52339 .73958 .51458 Metetra
.25 .519 .91 r
.73958 .51458 .74172 .52339 .74872 .53191 .74659 .52311 Metetra
.241 .512 .908 r
.74659 .52311 .74872 .53191 .75574 .54066 .75363 .53187 Metetra
.233 .506 .905 r
.75363 .53187 .75574 .54066 .76278 .54961 .76068 .54083 Metetra
.227 .502 .904 r
.76068 .54083 .76278 .54961 .76984 .5587 .76775 .54993 Metetra
.223 .499 .903 r
.76775 .54993 .76984 .5587 .77691 .56791 .77484 .55916 Metetra
.221 .498 .902 r
.77484 .55916 .77691 .56791 .78401 .5772 .78195 .56845 Metetra
.221 .497 .902 r
.78195 .56845 .78401 .5772 .79112 .58652 .78908 .57778 Metetra
.222 .498 .902 r
.78908 .57778 .79112 .58652 .79825 .59583 .79622 .5871 Metetra
.225 .501 .903 r
.79622 .5871 .79825 .59583 .80539 .60509 .80338 .59638 Metetra
.23 .504 .905 r
.80338 .59638 .80539 .60509 .81256 .61426 .81056 .60557 Metetra
.237 .509 .906 r
.81056 .60557 .81256 .61426 .81974 .62331 .81776 .61462 Metetra
.245 .515 .909 r
.81776 .61462 .81974 .62331 .82693 .63218 .82497 .62351 Metetra
.255 .522 .912 r
.82497 .62351 .82693 .63218 .83415 .64085 .8322 .63218 Metetra
.266 .53 .915 r
.8322 .63218 .83415 .64085 .84138 .64927 .83944 .64061 Metetra
.278 .539 .918 r
.83944 .64061 .84138 .64927 .84862 .6574 .8467 .64876 Metetra
.292 .549 .922 r
.8467 .64876 .84862 .6574 .85588 .66521 .85398 .65657 Metetra
.307 .559 .925 r
.85398 .65657 .85588 .66521 .86316 .67266 .86127 .66403 Metetra
.323 .571 .929 r
.86127 .66403 .86316 .67266 .87045 .67972 .86858 .6711 Metetra
.34 .583 .932 r
.86858 .6711 .87045 .67972 .87775 .68635 .8759 .67774 Metetra
.358 .595 .936 r
.8759 .67774 .87775 .68635 .88507 .69252 .88323 .68392 Metetra
.376 .607 .939 r
.88323 .68392 .88507 .69252 .8924 .69821 .89058 .68961 Metetra
.395 .62 .942 r
.89058 .68961 .8924 .69821 .89975 .70338 .89794 .69478 Metetra
.414 .633 .945 r
.89794 .69478 .89975 .70338 .90711 .70802 .90532 .69942 Metetra
.433 .646 .947 r
.90532 .69942 .90711 .70802 .91448 .71209 .9127 .70349 Metetra
.453 .659 .949 r
.9127 .70349 .91448 .71209 .92186 .71557 .9201 .70697 Metetra
.472 .672 .951 r
.9201 .70697 .92186 .71557 .92925 .71845 .92751 .70985 Metetra
.491 .684 .952 r
.92751 .70985 .92925 .71845 .93666 .72071 .93493 .7121 Metetra
.51 .696 .953 r
.93493 .7121 .93666 .72071 .94407 .72233 .94236 .71372 Metetra
.528 .708 .953 r
.94236 .71372 .94407 .72233 .95149 .72331 .94981 .71469 Metetra
.546 .719 .953 r
.94981 .71469 .95149 .72331 .95893 .72364 .95726 .71501 Metetra
.563 .73 .953 r
.95726 .71501 .95893 .72364 .96637 .7233 .96472 .71467 Metetra
.579 .743 .954 r
.29226 .76798 .29531 .77547 .30145 .77462 .2984 .76711 Metetra
.599 .751 .951 r
.2984 .76711 .30145 .77462 .30759 .77315 .30456 .76564 Metetra
.617 .758 .946 r
.30456 .76564 .30759 .77315 .31375 .77109 .31073 .76356 Metetra
.633 .765 .942 r
.31073 .76356 .31375 .77109 .31993 .76843 .31692 .76089 Metetra
.649 .771 .938 r
.31692 .76089 .31993 .76843 .32612 .76518 .32312 .75762 Metetra
.663 .776 .933 r
.32312 .75762 .32612 .76518 .33232 .76134 .32934 .75377 Metetra
.676 .78 .929 r
.32934 .75377 .33232 .76134 .33854 .75694 .33557 .74935 Metetra
.687 .784 .924 r
.33557 .74935 .33854 .75694 .34477 .75198 .34181 .74438 Metetra
.698 .787 .92 r
.34181 .74438 .34477 .75198 .35101 .74648 .34806 .73886 Metetra
.708 .79 .916 r
.34806 .73886 .35101 .74648 .35727 .74047 .35433 .73282 Metetra
.716 .793 .912 r
.35433 .73282 .35727 .74047 .36354 .73395 .36061 .72628 Metetra
.724 .795 .908 r
.36061 .72628 .36354 .73395 .36982 .72696 .36691 .71927 Metetra
.731 .797 .905 r
.36691 .71927 .36982 .72696 .37611 .71951 .37321 .7118 Metetra
.738 .799 .901 r
.37321 .7118 .37611 .71951 .38241 .71164 .37953 .70391 Metetra
.743 .801 .898 r
.37953 .70391 .38241 .71164 .38873 .70338 .38586 .69561 Metetra
.748 .802 .896 r
.38586 .69561 .38873 .70338 .39506 .69474 .39219 .68695 Metetra
.753 .803 .893 r
.39219 .68695 .39506 .69474 .40139 .68577 .39855 .67796 Metetra
.757 .804 .891 r
.39855 .67796 .40139 .68577 .40774 .6765 .40491 .66866 Metetra
.76 .805 .889 r
.40491 .66866 .40774 .6765 .4141 .66696 .41128 .65909 Metetra
.763 .806 .888 r
.41128 .65909 .4141 .66696 .42047 .65719 .41766 .64929 Metetra
.765 .807 .886 r
.41766 .64929 .42047 .65719 .42685 .64723 .42405 .63929 Metetra
.767 .807 .885 r
.42405 .63929 .42685 .64723 .43324 .6371 .43046 .62914 Metetra
.768 .807 .884 r
.43046 .62914 .43324 .6371 .43964 .62685 .43687 .61886 Metetra
.769 .808 .884 r
.43687 .61886 .43964 .62685 .44605 .61652 .44329 .6085 Metetra
.769 .808 .884 r
.44329 .6085 .44605 .61652 .45247 .60614 .44972 .59809 Metetra
.769 .808 .884 r
.44972 .59809 .45247 .60614 .45889 .59576 .45616 .58768 Metetra
.768 .807 .884 r
.45616 .58768 .45889 .59576 .46533 .58541 .46261 .5773 Metetra
.767 .807 .885 r
.46261 .5773 .46533 .58541 .47178 .57513 .46908 .56699 Metetra
.766 .807 .886 r
.46908 .56699 .47178 .57513 .47824 .56497 .47555 .55679 Metetra
.764 .806 .887 r
.47555 .55679 .47824 .56497 .4847 .55495 .48203 .54674 Metetra
.761 .805 .888 r
.48203 .54674 .4847 .55495 .49118 .54511 .48852 .53688 Metetra
.758 .805 .89 r
.48852 .53688 .49118 .54511 .49767 .5355 .49501 .52724 Metetra
.755 .803 .892 r
.49501 .52724 .49767 .5355 .50416 .52615 .50152 .51786 Metetra
.751 .802 .894 r
.50152 .51786 .50416 .52615 .51067 .51709 .50804 .50877 Metetra
.746 .801 .896 r
.50804 .50877 .51067 .51709 .51718 .50836 .51457 .50001 Metetra
.741 .799 .899 r
.51457 .50001 .51718 .50836 .52371 .49998 .52111 .49161 Metetra
.735 .797 .902 r
.52111 .49161 .52371 .49998 .53025 .492 .52766 .4836 Metetra
.728 .794 .905 r
.52766 .4836 .53025 .492 .53679 .48444 .53422 .47601 Metetra
.721 .792 .908 r
.53422 .47601 .53679 .48444 .54335 .47732 .54079 .46887 Metetra
.713 .789 .911 r
.54079 .46887 .54335 .47732 .54992 .47068 .54738 .46221 Metetra
.704 .785 .914 r
.54738 .46221 .54992 .47068 .5565 .46454 .55397 .45604 Metetra
.695 .781 .918 r
.55397 .45604 .5565 .46454 .56309 .45891 .56058 .4504 Metetra
.684 .777 .921 r
.56058 .4504 .56309 .45891 .5697 .45383 .56719 .4453 Metetra
.673 .772 .925 r
.56719 .4453 .5697 .45383 .57631 .44931 .57382 .44075 Metetra
.661 .767 .928 r
.57382 .44075 .57631 .44931 .58294 .44536 .58047 .43678 Metetra
.648 .761 .932 r
.58047 .43678 .58294 .44536 .58958 .44199 .58712 .43341 Metetra
.634 .755 .935 r
.58712 .43341 .58958 .44199 .59624 .43923 .59379 .43063 Metetra
.619 .748 .938 r
.59379 .43063 .59624 .43923 .60291 .43708 .60047 .42846 Metetra
.604 .74 .941 r
.60047 .42846 .60291 .43708 .60959 .43554 .60717 .42691 Metetra
.587 .731 .943 r
.60717 .42691 .60959 .43554 .61629 .43462 .61388 .42599 Metetra
.57 .722 .945 r
.61388 .42599 .61629 .43462 .623 .43433 .6206 .42568 Metetra
.551 .713 .947 r
.6206 .42568 .623 .43433 .62972 .43465 .62734 .426 Metetra
.532 .702 .948 r
.62734 .426 .62972 .43465 .63646 .4356 .6341 .42693 Metetra
.513 .691 .949 r
.6341 .42693 .63646 .4356 .64322 .43715 .64087 .42848 Metetra
.492 .68 .949 r
.64087 .42848 .64322 .43715 .64999 .43931 .64765 .43064 Metetra
.472 .668 .949 r
.64765 .43064 .64999 .43931 .65678 .44206 .65445 .43339 Metetra
.451 .655 .948 r
.65445 .43339 .65678 .44206 .66358 .4454 .66127 .43672 Metetra
.43 .642 .946 r
.66127 .43672 .66358 .4454 .6704 .4493 .66811 .44062 Metetra
.408 .629 .944 r
.66811 .44062 .6704 .4493 .67724 .45375 .67496 .44507 Metetra
.388 .616 .942 r
.67496 .44507 .67724 .45375 .6841 .45873 .68183 .45005 Metetra
.367 .603 .939 r
.68183 .45005 .6841 .45873 .69097 .46421 .68871 .45554 Metetra
.347 .59 .936 r
.68871 .45554 .69097 .46421 .69786 .47018 .69562 .46152 Metetra
.328 .577 .932 r
.69562 .46152 .69786 .47018 .70477 .47661 .70254 .46795 Metetra
.31 .565 .928 r
.70254 .46795 .70477 .47661 .71169 .48346 .70948 .47481 Metetra
.293 .554 .925 r
.70948 .47481 .71169 .48346 .71864 .49072 .71644 .48208 Metetra
.277 .543 .921 r
.71644 .48208 .71864 .49072 .7256 .49835 .72341 .48971 Metetra
.262 .533 .917 r
.72341 .48971 .7256 .49835 .73258 .50631 .73041 .49768 Metetra
.249 .524 .914 r
.73041 .49768 .73258 .50631 .73958 .51458 .73742 .50596 Metetra
.238 .516 .911 r
.73742 .50596 .73958 .51458 .74659 .52311 .74445 .5145 Metetra
.228 .509 .908 r
.74445 .5145 .74659 .52311 .75363 .53187 .7515 .52327 Metetra
.22 .503 .905 r
.7515 .52327 .75363 .53187 .76068 .54083 .75857 .53224 Metetra
.214 .499 .904 r
.75857 .53224 .76068 .54083 .76775 .54993 .76566 .54136 Metetra
.21 .496 .902 r
.76566 .54136 .76775 .54993 .77484 .55916 .77276 .55059 Metetra
.208 .494 .902 r
.77276 .55059 .77484 .55916 .78195 .56845 .77989 .5599 Metetra
.207 .494 .901 r
.77989 .5599 .78195 .56845 .78908 .57778 .78703 .56925 Metetra
.208 .495 .902 r
.78703 .56925 .78908 .57778 .79622 .5871 .79419 .57858 Metetra
.212 .497 .903 r
.79419 .57858 .79622 .5871 .80338 .59638 .80136 .58787 Metetra
.217 .501 .904 r
.80136 .58787 .80338 .59638 .81056 .60557 .80856 .59707 Metetra
.224 .506 .906 r
.80856 .59707 .81056 .60557 .81776 .61462 .81577 .60613 Metetra
.232 .512 .909 r
.81577 .60613 .81776 .61462 .82497 .62351 .82299 .61503 Metetra
.242 .519 .912 r
.82299 .61503 .82497 .62351 .8322 .63218 .83024 .62372 Metetra
.254 .527 .915 r
.83024 .62372 .8322 .63218 .83944 .64061 .8375 .63216 Metetra
.267 .537 .919 r
.8375 .63216 .83944 .64061 .8467 .64876 .84478 .64031 Metetra
.281 .547 .923 r
.84478 .64031 .8467 .64876 .85398 .65657 .85207 .64814 Metetra
.296 .558 .927 r
.85207 .64814 .85398 .65657 .86127 .66403 .85938 .65561 Metetra
.313 .57 .93 r
.85938 .65561 .86127 .66403 .86858 .6711 .8667 .66268 Metetra
.33 .582 .934 r
.8667 .66268 .86858 .6711 .8759 .67774 .87404 .66932 Metetra
.348 .594 .938 r
.87404 .66932 .8759 .67774 .88323 .68392 .88139 .67551 Metetra
.367 .607 .942 r
.88139 .67551 .88323 .68392 .89058 .68961 .88875 .6812 Metetra
.386 .621 .945 r
.88875 .6812 .89058 .68961 .89794 .69478 .89613 .68638 Metetra
.406 .634 .948 r
.89613 .68638 .89794 .69478 .90532 .69942 .90352 .69102 Metetra
.426 .647 .95 r
.90352 .69102 .90532 .69942 .9127 .70349 .91092 .69509 Metetra
.446 .661 .953 r
.91092 .69509 .9127 .70349 .9201 .70697 .91834 .69857 Metetra
.466 .674 .954 r
.91834 .69857 .9201 .70697 .92751 .70985 .92577 .70145 Metetra
.485 .686 .956 r
.92577 .70145 .92751 .70985 .93493 .7121 .9332 .7037 Metetra
.505 .699 .957 r
.9332 .7037 .93493 .7121 .94236 .71372 .94065 .70531 Metetra
.523 .711 .957 r
.94065 .70531 .94236 .71372 .94981 .71469 .94811 .70628 Metetra
.542 .722 .957 r
.94811 .70628 .94981 .71469 .95726 .71501 .95558 .70659 Metetra
.56 .733 .957 r
.95558 .70659 .95726 .71501 .96472 .71467 .96306 .70623 Metetra
.576 .747 .958 r
.28919 .76067 .29226 .76798 .2984 .76711 .29535 .7598 Metetra
.596 .755 .954 r
.29535 .7598 .2984 .76711 .30456 .76564 .30152 .75831 Metetra
.615 .763 .95 r
.30152 .75831 .30456 .76564 .31073 .76356 .3077 .75623 Metetra
.632 .769 .946 r
.3077 .75623 .31073 .76356 .31692 .76089 .3139 .75354 Metetra
.648 .775 .941 r
.3139 .75354 .31692 .76089 .32312 .75762 .32011 .75026 Metetra
.662 .78 .936 r
.32011 .75026 .32312 .75762 .32934 .75377 .32634 .74639 Metetra
.675 .784 .932 r
.32634 .74639 .32934 .75377 .33557 .74935 .33258 .74196 Metetra
.687 .788 .927 r
.33258 .74196 .33557 .74935 .34181 .74438 .33883 .73696 Metetra
.698 .792 .923 r
.33883 .73696 .34181 .74438 .34806 .73886 .3451 .73143 Metetra
.708 .795 .919 r
.3451 .73143 .34806 .73886 .35433 .73282 .35138 .72537 Metetra
.717 .797 .915 r
.35138 .72537 .35433 .73282 .36061 .72628 .35768 .71881 Metetra
.725 .8 .911 r
.35768 .71881 .36061 .72628 .36691 .71927 .36398 .71177 Metetra
.732 .802 .907 r
.36398 .71177 .36691 .71927 .37321 .7118 .3703 .70428 Metetra
.738 .804 .904 r
.3703 .70428 .37321 .7118 .37953 .70391 .37663 .69636 Metetra
.744 .805 .901 r
.37663 .69636 .37953 .70391 .38586 .69561 .38297 .68804 Metetra
.749 .806 .898 r
.38297 .68804 .38586 .69561 .39219 .68695 .38932 .67936 Metetra
.754 .808 .896 r
.38932 .67936 .39219 .68695 .39855 .67796 .39568 .67033 Metetra
.758 .809 .893 r
.39568 .67033 .39855 .67796 .40491 .66866 .40206 .66101 Metetra
.761 .809 .891 r
.40206 .66101 .40491 .66866 .41128 .65909 .40844 .65141 Metetra
.764 .81 .89 r
.40844 .65141 .41128 .65909 .41766 .64929 .41484 .64158 Metetra
.766 .811 .888 r
.41484 .64158 .41766 .64929 .42405 .63929 .42124 .63155 Metetra
.768 .811 .887 r
.42124 .63155 .42405 .63929 .43046 .62914 .42766 .62137 Metetra
.769 .812 .887 r
.42766 .62137 .43046 .62914 .43687 .61886 .43408 .61106 Metetra
.77 .812 .886 r
.43408 .61106 .43687 .61886 .44329 .6085 .44052 .60067 Metetra
.77 .812 .886 r
.44052 .60067 .44329 .6085 .44972 .59809 .44696 .59023 Metetra
.77 .812 .886 r
.44696 .59023 .44972 .59809 .45616 .58768 .45342 .57979 Metetra
.77 .812 .886 r
.45342 .57979 .45616 .58768 .46261 .5773 .45988 .56938 Metetra
.769 .811 .887 r
.45988 .56938 .46261 .5773 .46908 .56699 .46636 .55904 Metetra
.767 .811 .888 r
.46636 .55904 .46908 .56699 .47555 .55679 .47284 .54881 Metetra
.765 .81 .889 r
.47284 .54881 .47555 .55679 .48203 .54674 .47933 .53873 Metetra
.762 .81 .89 r
.47933 .53873 .48203 .54674 .48852 .53688 .48584 .52884 Metetra
.759 .809 .892 r
.48584 .52884 .48852 .53688 .49501 .52724 .49235 .51917 Metetra
.756 .808 .894 r
.49235 .51917 .49501 .52724 .50152 .51786 .49887 .50976 Metetra
.752 .806 .896 r
.49887 .50976 .50152 .51786 .50804 .50877 .50541 .50064 Metetra
.747 .805 .899 r
.50541 .50064 .50804 .50877 .51457 .50001 .51195 .49186 Metetra
.741 .803 .901 r
.51195 .49186 .51457 .50001 .52111 .49161 .5185 .48343 Metetra
.735 .801 .904 r
.5185 .48343 .52111 .49161 .52766 .4836 .52506 .47539 Metetra
.729 .799 .907 r
.52506 .47539 .52766 .4836 .53422 .47601 .53164 .46778 Metetra
.721 .796 .911 r
.53164 .46778 .53422 .47601 .54079 .46887 .53822 .46062 Metetra
.713 .793 .914 r
.53822 .46062 .54079 .46887 .54738 .46221 .54482 .45393 Metetra
.704 .79 .917 r
.54482 .45393 .54738 .46221 .55397 .45604 .55143 .44774 Metetra
.695 .786 .921 r
.55143 .44774 .55397 .45604 .56058 .4504 .55805 .44207 Metetra
.684 .781 .925 r
.55805 .44207 .56058 .4504 .56719 .4453 .56468 .43695 Metetra
.673 .777 .928 r
.56468 .43695 .56719 .4453 .57382 .44075 .57132 .43239 Metetra
.66 .771 .932 r
.57132 .43239 .57382 .44075 .58047 .43678 .57798 .42841 Metetra
.647 .765 .935 r
.57798 .42841 .58047 .43678 .58712 .43341 .58465 .42501 Metetra
.633 .759 .938 r
.58465 .42501 .58712 .43341 .59379 .43063 .59133 .42222 Metetra
.618 .752 .942 r
.59133 .42222 .59379 .43063 .60047 .42846 .59803 .42004 Metetra
.601 .744 .944 r
.59803 .42004 .60047 .42846 .60717 .42691 .60473 .41848 Metetra
.584 .735 .947 r
.60473 .41848 .60717 .42691 .61388 .42599 .61146 .41754 Metetra
.566 .726 .949 r
.61146 .41754 .61388 .42599 .6206 .42568 .6182 .41723 Metetra
.548 .716 .951 r
.6182 .41723 .6206 .42568 .62734 .426 .62495 .41753 Metetra
.528 .705 .952 r
.62495 .41753 .62734 .426 .6341 .42693 .63172 .41846 Metetra
.508 .694 .952 r
.63172 .41846 .6341 .42693 .64087 .42848 .6385 .42001 Metetra
.487 .682 .952 r
.6385 .42001 .64087 .42848 .64765 .43064 .6453 .42216 Metetra
.466 .67 .952 r
.6453 .42216 .64765 .43064 .65445 .43339 .65212 .42491 Metetra
.444 .657 .951 r
.65212 .42491 .65445 .43339 .66127 .43672 .65895 .42824 Metetra
.422 .644 .949 r
.65895 .42824 .66127 .43672 .66811 .44062 .6658 .43214 Metetra
.4 .63 .947 r
.6658 .43214 .66811 .44062 .67496 .44507 .67267 .43659 Metetra
.379 .616 .944 r
.67267 .43659 .67496 .44507 .68183 .45005 .67955 .44157 Metetra
.358 .603 .941 r
.67955 .44157 .68183 .45005 .68871 .45554 .68645 .44707 Metetra
.337 .589 .938 r
.68645 .44707 .68871 .45554 .69562 .46152 .69337 .45304 Metetra
.317 .576 .934 r
.69337 .45304 .69562 .46152 .70254 .46795 .7003 .45948 Metetra
.299 .564 .93 r
.7003 .45948 .70254 .46795 .70948 .47481 .70726 .46635 Metetra
.281 .552 .926 r
.70726 .46635 .70948 .47481 .71644 .48208 .71423 .47363 Metetra
.265 .54 .922 r
.71423 .47363 .71644 .48208 .72341 .48971 .72122 .48127 Metetra
.25 .53 .918 r
.72122 .48127 .72341 .48971 .73041 .49768 .72823 .48925 Metetra
.236 .521 .914 r
.72823 .48925 .73041 .49768 .73742 .50596 .73526 .49754 Metetra
.224 .512 .91 r
.73526 .49754 .73742 .50596 .74445 .5145 .74231 .50609 Metetra
.214 .505 .908 r
.74231 .50609 .74445 .5145 .7515 .52327 .74937 .51487 Metetra
.206 .499 .905 r
.74937 .51487 .7515 .52327 .75857 .53224 .75645 .52385 Metetra
.2 .495 .903 r
.75645 .52385 .75857 .53224 .76566 .54136 .76355 .53298 Metetra
.196 .492 .902 r
.76355 .53298 .76566 .54136 .77276 .55059 .77067 .54223 Metetra
.193 .49 .901 r
.77067 .54223 .77276 .55059 .77989 .5599 .77781 .55155 Metetra
.193 .49 .901 r
.77781 .55155 .77989 .5599 .78703 .56925 .78497 .56091 Metetra
.194 .491 .901 r
.78497 .56091 .78703 .56925 .79419 .57858 .79214 .57025 Metetra
.198 .493 .902 r
.79214 .57025 .79419 .57858 .80136 .58787 .79933 .57955 Metetra
.203 .497 .904 r
.79933 .57955 .80136 .58787 .80856 .59707 .80654 .58876 Metetra
.21 .502 .906 r
.80654 .58876 .80856 .59707 .81577 .60613 .81377 .59784 Metetra
.218 .508 .909 r
.81377 .59784 .81577 .60613 .82299 .61503 .82101 .60675 Metetra
.229 .516 .912 r
.82101 .60675 .82299 .61503 .83024 .62372 .82827 .61545 Metetra
.241 .525 .916 r
.82827 .61545 .83024 .62372 .8375 .63216 .83555 .6239 Metetra
.254 .534 .919 r
.83555 .6239 .8375 .63216 .84478 .64031 .84284 .63207 Metetra
.269 .545 .923 r
.84284 .63207 .84478 .64031 .85207 .64814 .85015 .6399 Metetra
.285 .556 .928 r
.85015 .6399 .85207 .64814 .85938 .65561 .85748 .64738 Metetra
.302 .568 .932 r
.85748 .64738 .85938 .65561 .8667 .66268 .86481 .65446 Metetra
.32 .581 .936 r
.86481 .65446 .8667 .66268 .87404 .66932 .87217 .66111 Metetra
.338 .594 .94 r
.87217 .66111 .87404 .66932 .88139 .67551 .87953 .6673 Metetra
.358 .607 .944 r
.87953 .6673 .88139 .67551 .88875 .6812 .88692 .673 Metetra
.378 .621 .947 r
.88692 .673 .88875 .6812 .89613 .68638 .89431 .67819 Metetra
.398 .635 .95 r
.89431 .67819 .89613 .68638 .90352 .69102 .90172 .68282 Metetra
.418 .648 .953 r
.90172 .68282 .90352 .69102 .91092 .69509 .90914 .68689 Metetra
.439 .662 .956 r
.90914 .68689 .91092 .69509 .91834 .69857 .91657 .69038 Metetra
.459 .675 .958 r
.91657 .69038 .91834 .69857 .92577 .70145 .92401 .69325 Metetra
.479 .689 .959 r
.92401 .69325 .92577 .70145 .9332 .7037 .93147 .6955 Metetra
.499 .701 .96 r
.93147 .6955 .9332 .7037 .94065 .70531 .93893 .69711 Metetra
.519 .714 .961 r
.93893 .69711 .94065 .70531 .94811 .70628 .94641 .69807 Metetra
.537 .726 .961 r
.94641 .69807 .94811 .70628 .95558 .70659 .9539 .69837 Metetra
.556 .737 .96 r
.9539 .69837 .95558 .70659 .96306 .70623 .96139 .698 Metetra
.572 .751 .962 r
.28611 .75356 .28919 .76067 .29535 .7598 .29228 .75267 Metetra
.593 .759 .958 r
.29228 .75267 .29535 .7598 .30152 .75831 .29846 .75118 Metetra
.612 .767 .954 r
.29846 .75118 .30152 .75831 .3077 .75623 .30465 .74908 Metetra
.63 .774 .949 r
.30465 .74908 .3077 .75623 .3139 .75354 .31086 .74638 Metetra
.646 .779 .945 r
.31086 .74638 .3139 .75354 .32011 .75026 .31709 .74309 Metetra
.661 .785 .94 r
.31709 .74309 .32011 .75026 .32634 .74639 .32333 .73921 Metetra
.674 .789 .935 r
.32333 .73921 .32634 .74639 .33258 .74196 .32958 .73475 Metetra
.687 .793 .931 r
.32958 .73475 .33258 .74196 .33883 .73696 .33585 .72974 Metetra
.698 .796 .926 r
.33585 .72974 .33883 .73696 .3451 .73143 .34213 .72419 Metetra
.708 .799 .922 r
.34213 .72419 .3451 .73143 .35138 .72537 .34842 .71811 Metetra
.717 .802 .918 r
.34842 .71811 .35138 .72537 .35768 .71881 .35472 .71153 Metetra
.725 .804 .914 r
.35472 .71153 .35768 .71881 .36398 .71177 .36104 .70447 Metetra
.732 .806 .91 r
.36104 .70447 .36398 .71177 .3703 .70428 .36737 .69695 Metetra
.739 .808 .907 r
.36737 .69695 .3703 .70428 .37663 .69636 .37371 .68901 Metetra
.745 .81 .903 r
.37371 .68901 .37663 .69636 .38297 .68804 .38007 .68066 Metetra
.75 .811 .901 r
.38007 .68066 .38297 .68804 .38932 .67936 .38643 .67195 Metetra
.755 .812 .898 r
.38643 .67195 .38932 .67936 .39568 .67033 .39281 .6629 Metetra
.759 .813 .896 r
.39281 .6629 .39568 .67033 .40206 .66101 .39919 .65355 Metetra
.762 .814 .894 r
.39919 .65355 .40206 .66101 .40844 .65141 .40559 .64392 Metetra
.765 .814 .892 r
.40559 .64392 .40844 .65141 .41484 .64158 .412 .63406 Metetra
.767 .815 .891 r
.412 .63406 .41484 .64158 .42124 .63155 .41842 .62401 Metetra
.769 .815 .89 r
.41842 .62401 .42124 .63155 .42766 .62137 .42485 .61379 Metetra
.77 .816 .889 r
.42485 .61379 .42766 .62137 .43408 .61106 .43129 .60345 Metetra
.771 .816 .888 r
.43129 .60345 .43408 .61106 .44052 .60067 .43773 .59303 Metetra
.771 .816 .888 r
.43773 .59303 .44052 .60067 .44696 .59023 .44419 .58256 Metetra
.771 .816 .888 r
.44419 .58256 .44696 .59023 .45342 .57979 .45066 .57209 Metetra
.771 .816 .888 r
.45066 .57209 .45342 .57979 .45988 .56938 .45714 .56165 Metetra
.77 .816 .889 r
.45714 .56165 .45988 .56938 .46636 .55904 .46363 .55128 Metetra
.768 .815 .89 r
.46363 .55128 .46636 .55904 .47284 .54881 .47012 .54102 Metetra
.766 .815 .891 r
.47012 .54102 .47284 .54881 .47933 .53873 .47663 .53091 Metetra
.763 .814 .893 r
.47663 .53091 .47933 .53873 .48584 .52884 .48315 .52099 Metetra
.76 .813 .894 r
.48315 .52099 .48584 .52884 .49235 .51917 .48967 .51129 Metetra
.757 .812 .896 r
.48967 .51129 .49235 .51917 .49887 .50976 .49621 .50185 Metetra
.752 .811 .899 r
.49621 .50185 .49887 .50976 .50541 .50064 .50276 .49271 Metetra
.748 .809 .901 r
.50276 .49271 .50541 .50064 .51195 .49186 .50931 .48389 Metetra
.742 .808 .904 r
.50931 .48389 .51195 .49186 .5185 .48343 .51588 .47544 Metetra
.736 .805 .907 r
.51588 .47544 .5185 .48343 .52506 .47539 .52246 .46738 Metetra
.729 .803 .91 r
.52246 .46738 .52506 .47539 .53164 .46778 .52904 .45974 Metetra
.722 .801 .913 r
.52904 .45974 .53164 .46778 .53822 .46062 .53564 .45255 Metetra
.713 .798 .917 r
.53564 .45255 .53822 .46062 .54482 .45393 .54225 .44584 Metetra
.704 .794 .92 r
.54225 .44584 .54482 .45393 .55143 .44774 .54887 .43963 Metetra
.694 .79 .924 r
.54887 .43963 .55143 .44774 .55805 .44207 .55551 .43394 Metetra
.684 .786 .928 r
.55551 .43394 .55805 .44207 .56468 .43695 .56215 .4288 Metetra
.672 .781 .931 r
.56215 .4288 .56468 .43695 .57132 .43239 .56881 .42422 Metetra
.659 .776 .935 r
.56881 .42422 .57132 .43239 .57798 .42841 .57548 .42022 Metetra
.646 .77 .939 r
.57548 .42022 .57798 .42841 .58465 .42501 .58216 .41681 Metetra
.631 .763 .942 r
.58216 .41681 .58465 .42501 .59133 .42222 .58886 .414 Metetra
.616 .756 .945 r
.58886 .414 .59133 .42222 .59803 .42004 .59557 .41181 Metetra
.599 .748 .948 r
.59557 .41181 .59803 .42004 .60473 .41848 .60229 .41024 Metetra
.582 .739 .95 r
.60229 .41024 .60473 .41848 .61146 .41754 .60903 .40929 Metetra
.563 .729 .953 r
.60903 .40929 .61146 .41754 .6182 .41723 .61578 .40896 Metetra
.544 .719 .954 r
.61578 .40896 .6182 .41723 .62495 .41753 .62255 .40926 Metetra
.524 .708 .955 r
.62255 .40926 .62495 .41753 .63172 .41846 .62933 .41019 Metetra
.503 .697 .956 r
.62933 .41019 .63172 .41846 .6385 .42001 .63613 .41173 Metetra
.481 .684 .956 r
.63613 .41173 .6385 .42001 .6453 .42216 .64294 .41387 Metetra
.459 .672 .955 r
.64294 .41387 .6453 .42216 .65212 .42491 .64977 .41662 Metetra
.437 .658 .954 r
.64977 .41662 .65212 .42491 .65895 .42824 .65662 .41995 Metetra
.414 .645 .952 r
.65662 .41995 .65895 .42824 .6658 .43214 .66348 .42385 Metetra
.392 .631 .95 r
.66348 .42385 .6658 .43214 .67267 .43659 .67036 .4283 Metetra
.37 .617 .947 r
.67036 .4283 .67267 .43659 .67955 .44157 .67726 .43329 Metetra
.348 .603 .943 r
.67726 .43329 .67955 .44157 .68645 .44707 .68417 .43879 Metetra
.327 .589 .939 r
.68417 .43879 .68645 .44707 .69337 .45304 .69111 .44477 Metetra
.306 .575 .935 r
.69111 .44477 .69337 .45304 .7003 .45948 .69806 .45121 Metetra
.287 .562 .931 r
.69806 .45121 .7003 .45948 .70726 .46635 .70503 .45809 Metetra
.269 .55 .926 r
.70503 .45809 .70726 .46635 .71423 .47363 .71201 .46537 Metetra
.252 .538 .922 r
.71201 .46537 .71423 .47363 .72122 .48127 .71902 .47302 Metetra
.236 .527 .918 r
.71902 .47302 .72122 .48127 .72823 .48925 .72604 .48101 Metetra
.223 .517 .914 r
.72604 .48101 .72823 .48925 .73526 .49754 .73309 .48931 Metetra
.211 .509 .91 r
.73309 .48931 .73526 .49754 .74231 .50609 .74015 .49788 Metetra
.2 .501 .907 r
.74015 .49788 .74231 .50609 .74937 .51487 .74723 .50667 Metetra
.192 .495 .904 r
.74723 .50667 .74937 .51487 .75645 .52385 .75432 .51566 Metetra
.185 .491 .902 r
.75432 .51566 .75645 .52385 .76355 .53298 .76144 .52481 Metetra
.181 .488 .901 r
.76144 .52481 .76355 .53298 .77067 .54223 .76858 .53406 Metetra
.179 .486 .9 r
.76858 .53406 .77067 .54223 .77781 .55155 .77573 .5434 Metetra
.178 .485 .9 r
.77573 .5434 .77781 .55155 .78497 .56091 .7829 .55277 Metetra
.18 .486 .9 r
.7829 .55277 .78497 .56091 .79214 .57025 .79009 .56213 Metetra
.183 .489 .901 r
.79009 .56213 .79214 .57025 .79933 .57955 .7973 .57144 Metetra
.188 .493 .903 r
.7973 .57144 .79933 .57955 .80654 .58876 .80452 .58066 Metetra
.195 .498 .905 r
.80452 .58066 .80654 .58876 .81377 .59784 .81176 .58976 Metetra
.204 .505 .908 r
.81176 .58976 .81377 .59784 .82101 .60675 .81902 .59868 Metetra
.215 .512 .912 r
.81902 .59868 .82101 .60675 .82827 .61545 .8263 .60739 Metetra
.227 .521 .915 r
.8263 .60739 .82827 .61545 .83555 .6239 .83359 .61585 Metetra
.241 .531 .92 r
.83359 .61585 .83555 .6239 .84284 .63207 .8409 .62402 Metetra
.256 .542 .924 r
.8409 .62402 .84284 .63207 .85015 .6399 .84823 .63187 Metetra
.272 .554 .928 r
.84823 .63187 .85015 .6399 .85748 .64738 .85557 .63936 Metetra
.29 .566 .933 r
.85557 .63936 .85748 .64738 .86481 .65446 .86292 .64645 Metetra
.308 .58 .937 r
.86292 .64645 .86481 .65446 .87217 .66111 .87029 .6531 Metetra
.328 .593 .942 r
.87029 .6531 .87217 .66111 .87953 .6673 .87767 .6593 Metetra
.348 .607 .946 r
.87767 .6593 .87953 .6673 .88692 .673 .88507 .66501 Metetra
.368 .621 .95 r
.88507 .66501 .88692 .673 .89431 .67819 .89248 .67019 Metetra
.389 .635 .953 r
.89248 .67019 .89431 .67819 .90172 .68282 .89991 .67483 Metetra
.41 .649 .956 r
.89991 .67483 .90172 .68282 .90914 .68689 .90734 .67891 Metetra
.431 .663 .959 r
.90734 .67891 .90914 .68689 .91657 .69038 .91479 .68239 Metetra
.452 .677 .961 r
.91479 .68239 .91657 .69038 .92401 .69325 .92225 .68526 Metetra
.473 .691 .962 r
.92225 .68526 .92401 .69325 .93147 .6955 .92973 .6875 Metetra
.493 .704 .964 r
.92973 .6875 .93147 .6955 .93893 .69711 .93721 .68911 Metetra
.513 .717 .964 r
.93721 .68911 .93893 .69711 .94641 .69807 .9447 .69006 Metetra
.533 .729 .964 r
.9447 .69006 .94641 .69807 .9539 .69837 .95221 .69035 Metetra
.552 .74 .964 r
.95221 .69035 .9539 .69837 .96139 .698 .95972 .68998 Metetra
.568 .755 .966 r
.28301 .74664 .28611 .75356 .29228 .75267 .28919 .74574 Metetra
.59 .763 .962 r
.28919 .74574 .29228 .75267 .29846 .75118 .29538 .74424 Metetra
.61 .771 .957 r
.29538 .74424 .29846 .75118 .30465 .74908 .30159 .74213 Metetra
.628 .778 .953 r
.30159 .74213 .30465 .74908 .31086 .74638 .30781 .73942 Metetra
.645 .784 .948 r
.30781 .73942 .31086 .74638 .31709 .74309 .31405 .73611 Metetra
.66 .789 .943 r
.31405 .73611 .31709 .74309 .32333 .73921 .3203 .73221 Metetra
.674 .794 .939 r
.3203 .73221 .32333 .73921 .32958 .73475 .32656 .72774 Metetra
.686 .798 .934 r
.32656 .72774 .32958 .73475 .33585 .72974 .33284 .72271 Metetra
.698 .801 .929 r
.33284 .72271 .33585 .72974 .34213 .72419 .33913 .71714 Metetra
.708 .804 .925 r
.33913 .71714 .34213 .72419 .34842 .71811 .34544 .71104 Metetra
.717 .807 .92 r
.34544 .71104 .34842 .71811 .35472 .71153 .35176 .70444 Metetra
.725 .809 .916 r
.35176 .70444 .35472 .71153 .36104 .70447 .35809 .69735 Metetra
.733 .811 .913 r
.35809 .69735 .36104 .70447 .36737 .69695 .36443 .68981 Metetra
.74 .813 .909 r
.36443 .68981 .36737 .69695 .37371 .68901 .37078 .68185 Metetra
.746 .814 .906 r
.37078 .68185 .37371 .68901 .38007 .68066 .37715 .67348 Metetra
.751 .815 .903 r
.37715 .67348 .38007 .68066 .38643 .67195 .38353 .66474 Metetra
.756 .816 .9 r
.38353 .66474 .38643 .67195 .39281 .6629 .38992 .65566 Metetra
.76 .817 .898 r
.38992 .65566 .39281 .6629 .39919 .65355 .39632 .64628 Metetra
.763 .818 .896 r
.39632 .64628 .39919 .65355 .40559 .64392 .40273 .63663 Metetra
.766 .819 .894 r
.40273 .63663 .40559 .64392 .412 .63406 .40915 .62674 Metetra
.768 .819 .893 r
.40915 .62674 .412 .63406 .41842 .62401 .41558 .61665 Metetra
.77 .82 .892 r
.41558 .61665 .41842 .62401 .42485 .61379 .42202 .60641 Metetra
.771 .82 .891 r
.42202 .60641 .42485 .61379 .43129 .60345 .42847 .59604 Metetra
.772 .82 .89 r
.42847 .59604 .43129 .60345 .43773 .59303 .43494 .58558 Metetra
.773 .82 .89 r
.43494 .58558 .43773 .59303 .44419 .58256 .44141 .57508 Metetra
.773 .82 .89 r
.44141 .57508 .44419 .58256 .45066 .57209 .44789 .56458 Metetra
.772 .82 .891 r
.44789 .56458 .45066 .57209 .45714 .56165 .45438 .55411 Metetra
.771 .82 .891 r
.45438 .55411 .45714 .56165 .46363 .55128 .46088 .54371 Metetra
.769 .82 .892 r
.46088 .54371 .46363 .55128 .47012 .54102 .46739 .53342 Metetra
.767 .819 .893 r
.46739 .53342 .47012 .54102 .47663 .53091 .47391 .52328 Metetra
.765 .818 .895 r
.47391 .52328 .47663 .53091 .48315 .52099 .48044 .51333 Metetra
.761 .817 .897 r
.48044 .51333 .48315 .52099 .48967 .51129 .48698 .5036 Metetra
.758 .816 .899 r
.48698 .5036 .48967 .51129 .49621 .50185 .49353 .49413 Metetra
.753 .815 .901 r
.49353 .49413 .49621 .50185 .50276 .49271 .50009 .48496 Metetra
.748 .814 .904 r
.50009 .48496 .50276 .49271 .50931 .48389 .50666 .47612 Metetra
.743 .812 .907 r
.50666 .47612 .50931 .48389 .51588 .47544 .51324 .46764 Metetra
.737 .81 .91 r
.51324 .46764 .51588 .47544 .52246 .46738 .51983 .45955 Metetra
.73 .808 .913 r
.51983 .45955 .52246 .46738 .52904 .45974 .52643 .45189 Metetra
.722 .805 .916 r
.52643 .45189 .52904 .45974 .53564 .45255 .53305 .44468 Metetra
.714 .802 .92 r
.53305 .44468 .53564 .45255 .54225 .44584 .53967 .43794 Metetra
.704 .799 .923 r
.53967 .43794 .54225 .44584 .54887 .43963 .54631 .43171 Metetra
.694 .795 .927 r
.54631 .43171 .54887 .43963 .55551 .43394 .55295 .426 Metetra
.683 .79 .931 r
.55295 .426 .55551 .43394 .56215 .4288 .55961 .42084 Metetra
.671 .785 .935 r
.55961 .42084 .56215 .4288 .56881 .42422 .56628 .41624 Metetra
.658 .78 .938 r
.56628 .41624 .56881 .42422 .57548 .42022 .57297 .41222 Metetra
.644 .774 .942 r
.57297 .41222 .57548 .42022 .58216 .41681 .57966 .4088 Metetra
.63 .767 .946 r
.57966 .4088 .58216 .41681 .58886 .414 .58637 .40598 Metetra
.614 .76 .949 r
.58637 .40598 .58886 .414 .59557 .41181 .5931 .40377 Metetra
.597 .751 .952 r
.5931 .40377 .59557 .41181 .60229 .41024 .59983 .40219 Metetra
.579 .743 .954 r
.59983 .40219 .60229 .41024 .60903 .40929 .60659 .40123 Metetra
.56 .733 .956 r
.60659 .40123 .60903 .40929 .61578 .40896 .61335 .40089 Metetra
.54 .722 .958 r
.61335 .40089 .61578 .40896 .62255 .40926 .62013 .40119 Metetra
.519 .711 .959 r
.62013 .40119 .62255 .40926 .62933 .41019 .62693 .4021 Metetra
.497 .699 .959 r
.62693 .4021 .62933 .41019 .63613 .41173 .63374 .40364 Metetra
.475 .687 .959 r
.63374 .40364 .63613 .41173 .64294 .41387 .64057 .40578 Metetra
.452 .673 .958 r
.64057 .40578 .64294 .41387 .64977 .41662 .64741 .40852 Metetra
.429 .66 .957 r
.64741 .40852 .64977 .41662 .65662 .41995 .65428 .41185 Metetra
.406 .645 .955 r
.65428 .41185 .65662 .41995 .66348 .42385 .66115 .41576 Metetra
.383 .631 .952 r
.66115 .41576 .66348 .42385 .67036 .4283 .66805 .42021 Metetra
.36 .617 .949 r
.66805 .42021 .67036 .4283 .67726 .43329 .67496 .4252 Metetra
.338 .602 .945 r
.67496 .4252 .67726 .43329 .68417 .43879 .68189 .4307 Metetra
.316 .588 .941 r
.68189 .4307 .68417 .43879 .69111 .44477 .68884 .43669 Metetra
.295 .574 .936 r
.68884 .43669 .69111 .44477 .69806 .45121 .6958 .44314 Metetra
.275 .56 .931 r
.6958 .44314 .69806 .45121 .70503 .45809 .70279 .45002 Metetra
.256 .547 .927 r
.70279 .45002 .70503 .45809 .71201 .46537 .70979 .45731 Metetra
.238 .535 .922 r
.70979 .45731 .71201 .46537 .71902 .47302 .71681 .46497 Metetra
.222 .524 .917 r
.71681 .46497 .71902 .47302 .72604 .48101 .72385 .47298 Metetra
.208 .514 .913 r
.72385 .47298 .72604 .48101 .73309 .48931 .7309 .48128 Metetra
.196 .505 .909 r
.7309 .48128 .73309 .48931 .74015 .49788 .73798 .48986 Metetra
.185 .497 .906 r
.73798 .48986 .74015 .49788 .74723 .50667 .74507 .49867 Metetra
.177 .491 .903 r
.74507 .49867 .74723 .50667 .75432 .51566 .75219 .50767 Metetra
.17 .486 .901 r
.75219 .50767 .75432 .51566 .76144 .52481 .75932 .51683 Metetra
.166 .483 .899 r
.75932 .51683 .76144 .52481 .76858 .53406 .76647 .5261 Metetra
.163 .481 .898 r
.76647 .5261 .76858 .53406 .77573 .5434 .77364 .53545 Metetra
.163 .481 .898 r
.77364 .53545 .77573 .5434 .7829 .55277 .78082 .54483 Metetra
.164 .482 .899 r
.78082 .54483 .7829 .55277 .79009 .56213 .78803 .5542 Metetra
.168 .484 .9 r
.78803 .5542 .79009 .56213 .7973 .57144 .79525 .56353 Metetra
.173 .488 .902 r
.79525 .56353 .7973 .57144 .80452 .58066 .80249 .57277 Metetra
.18 .494 .904 r
.80249 .57277 .80452 .58066 .81176 .58976 .80975 .58187 Metetra
.19 .501 .907 r
.80975 .58187 .81176 .58976 .81902 .59868 .81703 .59081 Metetra
.2 .509 .911 r
.81703 .59081 .81902 .59868 .8263 .60739 .82432 .59953 Metetra
.213 .518 .915 r
.82432 .59953 .8263 .60739 .83359 .61585 .83163 .608 Metetra
.227 .528 .919 r
.83163 .608 .83359 .61585 .8409 .62402 .83895 .61619 Metetra
.243 .539 .924 r
.83895 .61619 .8409 .62402 .84823 .63187 .84629 .62404 Metetra
.26 .552 .929 r
.84629 .62404 .84823 .63187 .85557 .63936 .85365 .63154 Metetra
.278 .564 .934 r
.85365 .63154 .85557 .63936 .86292 .64645 .86102 .63864 Metetra
.297 .578 .938 r
.86102 .63864 .86292 .64645 .87029 .6531 .86841 .6453 Metetra
.316 .592 .943 r
.86841 .6453 .87029 .6531 .87767 .6593 .87581 .6515 Metetra
.337 .606 .947 r
.87581 .6515 .87767 .6593 .88507 .66501 .88322 .65722 Metetra
.358 .621 .952 r
.88322 .65722 .88507 .66501 .89248 .67019 .89065 .66241 Metetra
.38 .636 .955 r
.89065 .66241 .89248 .67019 .89991 .67483 .89809 .66705 Metetra
.401 .65 .959 r
.89809 .66705 .89991 .67483 .90734 .67891 .90554 .67112 Metetra
.423 .665 .961 r
.90554 .67112 .90734 .67891 .91479 .68239 .91301 .6746 Metetra
.445 .679 .964 r
.91301 .6746 .91479 .68239 .92225 .68526 .92049 .67747 Metetra
.466 .693 .966 r
.92049 .67747 .92225 .68526 .92973 .6875 .92798 .67972 Metetra
.487 .707 .967 r
.92798 .67972 .92973 .6875 .93721 .68911 .93548 .68132 Metetra
.508 .72 .968 r
.93548 .68132 .93721 .68911 .9447 .69006 .94299 .68226 Metetra
.528 .732 .968 r
.94299 .68226 .9447 .69006 .95221 .69035 .95051 .68255 Metetra
.547 .744 .968 r
.95051 .68255 .95221 .69035 .95972 .68998 .95804 .68216 Metetra
.564 .759 .969 r
.2799 .73991 .28301 .74664 .28919 .74574 .28609 .73901 Metetra
.587 .768 .965 r
.28609 .73901 .28919 .74574 .29538 .74424 .29229 .73749 Metetra
.607 .776 .961 r
.29229 .73749 .29538 .74424 .30159 .74213 .29851 .73537 Metetra
.626 .782 .956 r
.29851 .73537 .30159 .74213 .30781 .73942 .30474 .73265 Metetra
.643 .788 .952 r
.30474 .73265 .30781 .73942 .31405 .73611 .31099 .72932 Metetra
.659 .794 .947 r
.31099 .72932 .31405 .73611 .3203 .73221 .31725 .72541 Metetra
.673 .798 .942 r
.31725 .72541 .3203 .73221 .32656 .72774 .32353 .72093 Metetra
.686 .802 .937 r
.32353 .72093 .32656 .72774 .33284 .72271 .32982 .71588 Metetra
.697 .806 .932 r
.32982 .71588 .33284 .72271 .33913 .71714 .33613 .71029 Metetra
.708 .809 .928 r
.33613 .71029 .33913 .71714 .34544 .71104 .34244 .70417 Metetra
.717 .811 .923 r
.34244 .70417 .34544 .71104 .35176 .70444 .34877 .69754 Metetra
.726 .814 .919 r
.34877 .69754 .35176 .70444 .35809 .69735 .35512 .69044 Metetra
.733 .815 .915 r
.35512 .69044 .35809 .69735 .36443 .68981 .36147 .68287 Metetra
.74 .817 .912 r
.36147 .68287 .36443 .68981 .37078 .68185 .36784 .67488 Metetra
.746 .819 .909 r
.36784 .67488 .37078 .68185 .37715 .67348 .37422 .66649 Metetra
.752 .82 .906 r
.37422 .66649 .37715 .67348 .38353 .66474 .38061 .65772 Metetra
.756 .821 .903 r
.38061 .65772 .38353 .66474 .38992 .65566 .38701 .64862 Metetra
.761 .822 .9 r
.38701 .64862 .38992 .65566 .39632 .64628 .39342 .63921 Metetra
.764 .823 .898 r
.39342 .63921 .39632 .64628 .40273 .63663 .39985 .62952 Metetra
.767 .823 .897 r
.39985 .62952 .40273 .63663 .40915 .62674 .40628 .61961 Metetra
.769 .824 .895 r
.40628 .61961 .40915 .62674 .41558 .61665 .41273 .60949 Metetra
.771 .824 .894 r
.41273 .60949 .41558 .61665 .42202 .60641 .41918 .59922 Metetra
.773 .825 .893 r
.41918 .59922 .42202 .60641 .42847 .59604 .42565 .58882 Metetra
.773 .825 .893 r
.42565 .58882 .42847 .59604 .43494 .58558 .43212 .57833 Metetra
.774 .825 .892 r
.43212 .57833 .43494 .58558 .44141 .57508 .43861 .5678 Metetra
.774 .825 .892 r
.43861 .5678 .44141 .57508 .44789 .56458 .4451 .55727 Metetra
.773 .825 .893 r
.4451 .55727 .44789 .56458 .45438 .55411 .45161 .54676 Metetra
.772 .824 .893 r
.45161 .54676 .45438 .55411 .46088 .54371 .45812 .53633 Metetra
.77 .824 .894 r
.45812 .53633 .46088 .54371 .46739 .53342 .46465 .52602 Metetra
.768 .823 .896 r
.46465 .52602 .46739 .53342 .47391 .52328 .47118 .51585 Metetra
.766 .823 .897 r
.47118 .51585 .47391 .52328 .48044 .51333 .47772 .50586 Metetra
.762 .822 .899 r
.47772 .50586 .48044 .51333 .48698 .5036 .48428 .49611 Metetra
.759 .821 .901 r
.48428 .49611 .48698 .5036 .49353 .49413 .49084 .48661 Metetra
.754 .82 .904 r
.49084 .48661 .49353 .49413 .50009 .48496 .49741 .47741 Metetra
.749 .818 .906 r
.49741 .47741 .50009 .48496 .50666 .47612 .504 .46854 Metetra
.744 .817 .909 r
.504 .46854 .50666 .47612 .51324 .46764 .51059 .46003 Metetra
.737 .815 .912 r
.51059 .46003 .51324 .46764 .51983 .45955 .5172 .45192 Metetra
.73 .812 .916 r
.5172 .45192 .51983 .45955 .52643 .45189 .52381 .44423 Metetra
.722 .81 .919 r
.52381 .44423 .52643 .45189 .53305 .44468 .53044 .43699 Metetra
.714 .807 .923 r
.53044 .43699 .53305 .44468 .53967 .43794 .53708 .43024 Metetra
.704 .803 .926 r
.53708 .43024 .53967 .43794 .54631 .43171 .54373 .42398 Metetra
.694 .799 .93 r
.54373 .42398 .54631 .43171 .55295 .426 .55039 .41826 Metetra
.683 .795 .934 r
.55039 .41826 .55295 .426 .55961 .42084 .55706 .41307 Metetra
.671 .79 .938 r
.55706 .41307 .55961 .42084 .56628 .41624 .56374 .40846 Metetra
.657 .784 .942 r
.56374 .40846 .56628 .41624 .57297 .41222 .57044 .40442 Metetra
.643 .778 .946 r
.57044 .40442 .57297 .41222 .57966 .4088 .57715 .40098 Metetra
.628 .771 .949 r
.57715 .40098 .57966 .4088 .58637 .40598 .58388 .39815 Metetra
.611 .764 .952 r
.58388 .39815 .58637 .40598 .5931 .40377 .59062 .39593 Metetra
.594 .755 .955 r
.59062 .39593 .5931 .40377 .59983 .40219 .59737 .39433 Metetra
.575 .746 .958 r
.59737 .39433 .59983 .40219 .60659 .40123 .60413 .39336 Metetra
.556 .736 .96 r
.60413 .39336 .60659 .40123 .61335 .40089 .61091 .39302 Metetra
.535 .726 .961 r
.61091 .39302 .61335 .40089 .62013 .40119 .61771 .3933 Metetra
.514 .714 .962 r
.61771 .3933 .62013 .40119 .62693 .4021 .62452 .39421 Metetra
.492 .702 .963 r
.62452 .39421 .62693 .4021 .63374 .40364 .63135 .39574 Metetra
.469 .689 .962 r
.63135 .39574 .63374 .40364 .64057 .40578 .63819 .39789 Metetra
.445 .675 .961 r
.63819 .39789 .64057 .40578 .64741 .40852 .64505 .40063 Metetra
.422 .661 .96 r
.64505 .40063 .64741 .40852 .65428 .41185 .65192 .40396 Metetra
.398 .646 .957 r
.65192 .40396 .65428 .41185 .66115 .41576 .65881 .40786 Metetra
.374 .631 .954 r
.65881 .40786 .66115 .41576 .66805 .42021 .66572 .41232 Metetra
.35 .616 .951 r
.66572 .41232 .66805 .42021 .67496 .4252 .67265 .41731 Metetra
.327 .601 .946 r
.67265 .41731 .67496 .4252 .68189 .4307 .67959 .42281 Metetra
.304 .586 .942 r
.67959 .42281 .68189 .4307 .68884 .43669 .68656 .42881 Metetra
.282 .572 .937 r
.68656 .42881 .68884 .43669 .6958 .44314 .69354 .43526 Metetra
.262 .558 .932 r
.69354 .43526 .6958 .44314 .70279 .45002 .70053 .44216 Metetra
.242 .544 .927 r
.70053 .44216 .70279 .45002 .70979 .45731 .70755 .44945 Metetra
.224 .532 .922 r
.70755 .44945 .70979 .45731 .71681 .46497 .71458 .45713 Metetra
.208 .52 .917 r
.71458 .45713 .71681 .46497 .72385 .47298 .72164 .46514 Metetra
.193 .51 .912 r
.72164 .46514 .72385 .47298 .7309 .48128 .72871 .47345 Metetra
.181 .501 .908 r
.72871 .47345 .7309 .48128 .73798 .48986 .7358 .48204 Metetra
.17 .493 .904 r
.7358 .48204 .73798 .48986 .74507 .49867 .74291 .49086 Metetra
.161 .486 .901 r
.74291 .49086 .74507 .49867 .75219 .50767 .75004 .49988 Metetra
.154 .481 .899 r
.75004 .49988 .75219 .50767 .75932 .51683 .75719 .50905 Metetra
.149 .478 .897 r
.75719 .50905 .75932 .51683 .76647 .5261 .76435 .51833 Metetra
.147 .476 .896 r
.76435 .51833 .76647 .5261 .77364 .53545 .77154 .5277 Metetra
.146 .475 .896 r
.77154 .5277 .77364 .53545 .78082 .54483 .77874 .53709 Metetra
.148 .477 .897 r
.77874 .53709 .78082 .54483 .78803 .5542 .78596 .54648 Metetra
.151 .479 .898 r
.78596 .54648 .78803 .5542 .79525 .56353 .7932 .55582 Metetra
.157 .484 .9 r
.7932 .55582 .79525 .56353 .80249 .57277 .80045 .56507 Metetra
.165 .489 .903 r
.80045 .56507 .80249 .57277 .80975 .58187 .80773 .57419 Metetra
.174 .496 .906 r
.80773 .57419 .80975 .58187 .81703 .59081 .81502 .58314 Metetra
.185 .504 .91 r
.81502 .58314 .81703 .59081 .82432 .59953 .82233 .59187 Metetra
.198 .514 .914 r
.82233 .59187 .82432 .59953 .83163 .608 .82965 .60036 Metetra
.213 .525 .919 r
.82965 .60036 .83163 .608 .83895 .61619 .83699 .60855 Metetra
.229 .536 .924 r
.83699 .60855 .83895 .61619 .84629 .62404 .84435 .61642 Metetra
.246 .549 .929 r
.84435 .61642 .84629 .62404 .85365 .63154 .85172 .62393 Metetra
.265 .562 .934 r
.85172 .62393 .85365 .63154 .86102 .63864 .85911 .63103 Metetra
.284 .576 .939 r
.85911 .63103 .86102 .63864 .86841 .6453 .86651 .63771 Metetra
.305 .591 .944 r
.86651 .63771 .86841 .6453 .87581 .6515 .87393 .64392 Metetra
.326 .606 .949 r
.87393 .64392 .87581 .6515 .88322 .65722 .88136 .64963 Metetra
.348 .621 .953 r
.88136 .64963 .88322 .65722 .89065 .66241 .88881 .65483 Metetra
.37 .636 .957 r
.88881 .65483 .89065 .66241 .89809 .66705 .89627 .65947 Metetra
.392 .651 .961 r
.89627 .65947 .89809 .66705 .90554 .67112 .90374 .66355 Metetra
.415 .666 .964 r
.90374 .66355 .90554 .67112 .91301 .6746 .91122 .66703 Metetra
.437 .681 .967 r
.91122 .66703 .91301 .6746 .92049 .67747 .91871 .6699 Metetra
.459 .695 .969 r
.91871 .6699 .92049 .67747 .92798 .67972 .92622 .67214 Metetra
.481 .709 .97 r
.92622 .67214 .92798 .67972 .93548 .68132 .93374 .67373 Metetra
.502 .723 .971 r
.93374 .67373 .93548 .68132 .94299 .68226 .94127 .67468 Metetra
.523 .735 .971 r
.94127 .67468 .94299 .68226 .95051 .68255 .94881 .67495 Metetra
.543 .748 .971 r
.94881 .67495 .95051 .68255 .95804 .68216 .95636 .67456 Metetra
.56 .762 .973 r
.27677 .73338 .2799 .73991 .28609 .73901 .28297 .73247 Metetra
.583 .772 .969 r
.28297 .73247 .28609 .73901 .29229 .73749 .28918 .73094 Metetra
.604 .78 .965 r
.28918 .73094 .29229 .73749 .29851 .73537 .29541 .72881 Metetra
.624 .787 .96 r
.29541 .72881 .29851 .73537 .30474 .73265 .30166 .72607 Metetra
.641 .793 .955 r
.30166 .72607 .30474 .73265 .31099 .72932 .30792 .72273 Metetra
.657 .798 .95 r
.30792 .72273 .31099 .72932 .31725 .72541 .31419 .71881 Metetra
.672 .803 .945 r
.31419 .71881 .31725 .72541 .32353 .72093 .32048 .71431 Metetra
.685 .807 .94 r
.32048 .71431 .32353 .72093 .32982 .71588 .32679 .70924 Metetra
.697 .811 .935 r
.32679 .70924 .32982 .71588 .33613 .71029 .3331 .70363 Metetra
.708 .814 .931 r
.3331 .70363 .33613 .71029 .34244 .70417 .33943 .69749 Metetra
.717 .816 .926 r
.33943 .69749 .34244 .70417 .34877 .69754 .34578 .69084 Metetra
.726 .818 .922 r
.34578 .69084 .34877 .69754 .35512 .69044 .35213 .68372 Metetra
.734 .82 .918 r
.35213 .68372 .35512 .69044 .36147 .68287 .3585 .67613 Metetra
.741 .822 .914 r
.3585 .67613 .36147 .68287 .36784 .67488 .36488 .66811 Metetra
.747 .823 .911 r
.36488 .66811 .36784 .67488 .37422 .66649 .37127 .65969 Metetra
.753 .825 .908 r
.37127 .65969 .37422 .66649 .38061 .65772 .37768 .6509 Metetra
.757 .826 .905 r
.37768 .6509 .38061 .65772 .38701 .64862 .38409 .64177 Metetra
.761 .826 .903 r
.38409 .64177 .38701 .64862 .39342 .63921 .39052 .63233 Metetra
.765 .827 .901 r
.39052 .63233 .39342 .63921 .39985 .62952 .39695 .62262 Metetra
.768 .828 .899 r
.39695 .62262 .39985 .62952 .40628 .61961 .4034 .61267 Metetra
.77 .828 .897 r
.4034 .61267 .40628 .61961 .41273 .60949 .40986 .60253 Metetra
.772 .829 .896 r
.40986 .60253 .41273 .60949 .41918 .59922 .41633 .59222 Metetra
.774 .829 .895 r
.41633 .59222 .41918 .59922 .42565 .58882 .42281 .58179 Metetra
.775 .829 .895 r
.42281 .58179 .42565 .58882 .43212 .57833 .4293 .57128 Metetra
.775 .829 .894 r
.4293 .57128 .43212 .57833 .43861 .5678 .43579 .56072 Metetra
.775 .829 .895 r
.43579 .56072 .43861 .5678 .4451 .55727 .4423 .55015 Metetra
.774 .829 .895 r
.4423 .55015 .4451 .55727 .45161 .54676 .44882 .53962 Metetra
.773 .829 .896 r
.44882 .53962 .45161 .54676 .45812 .53633 .45535 .52916 Metetra
.771 .828 .897 r
.45535 .52916 .45812 .53633 .46465 .52602 .46189 .51881 Metetra
.769 .828 .898 r
.46189 .51881 .46465 .52602 .47118 .51585 .46844 .50861 Metetra
.767 .827 .9 r
.46844 .50861 .47118 .51585 .47772 .50586 .47499 .49859 Metetra
.763 .826 .901 r
.47499 .49859 .47772 .50586 .48428 .49611 .48156 .48881 Metetra
.76 .825 .904 r
.48156 .48881 .48428 .49611 .49084 .48661 .48814 .47928 Metetra
.755 .824 .906 r
.48814 .47928 .49084 .48661 .49741 .47741 .49472 .47005 Metetra
.75 .823 .909 r
.49472 .47005 .49741 .47741 .504 .46854 .50132 .46116 Metetra
.744 .821 .912 r
.50132 .46116 .504 .46854 .51059 .46003 .50793 .45262 Metetra
.738 .819 .915 r
.50793 .45262 .51059 .46003 .5172 .45192 .51455 .44448 Metetra
.731 .817 .918 r
.51455 .44448 .5172 .45192 .52381 .44423 .52118 .43677 Metetra
.723 .814 .922 r
.52118 .43677 .52381 .44423 .53044 .43699 .52782 .42951 Metetra
.714 .811 .926 r
.52782 .42951 .53044 .43699 .53708 .43024 .53447 .42273 Metetra
.704 .808 .929 r
.53447 .42273 .53708 .43024 .54373 .42398 .54113 .41645 Metetra
.694 .804 .933 r
.54113 .41645 .54373 .42398 .55039 .41826 .54781 .41071 Metetra
.682 .8 .937 r
.54781 .41071 .55039 .41826 .55706 .41307 .5545 .4055 Metetra
.67 .795 .941 r
.5545 .4055 .55706 .41307 .56374 .40846 .56119 .40087 Metetra
.656 .789 .945 r
.56119 .40087 .56374 .40846 .57044 .40442 .56791 .39682 Metetra
.641 .783 .949 r
.56791 .39682 .57044 .40442 .57715 .40098 .57463 .39336 Metetra
.626 .776 .953 r
.57463 .39336 .57715 .40098 .58388 .39815 .58137 .39051 Metetra
.609 .768 .956 r
.58137 .39051 .58388 .39815 .59062 .39593 .58812 .38828 Metetra
.591 .759 .959 r
.58812 .38828 .59062 .39593 .59737 .39433 .59489 .38667 Metetra
.572 .75 .962 r
.59489 .38667 .59737 .39433 .60413 .39336 .60167 .38569 Metetra
.552 .74 .964 r
.60167 .38569 .60413 .39336 .61091 .39302 .60846 .38534 Metetra
.531 .729 .965 r
.60846 .38534 .61091 .39302 .61771 .3933 .61527 .38562 Metetra
.509 .717 .966 r
.61527 .38562 .61771 .3933 .62452 .39421 .6221 .38652 Metetra
.486 .704 .966 r
.6221 .38652 .62452 .39421 .63135 .39574 .62894 .38805 Metetra
.462 .691 .966 r
.62894 .38805 .63135 .39574 .63819 .39789 .63579 .39019 Metetra
.438 .677 .964 r
.63579 .39019 .63819 .39789 .64505 .40063 .64267 .39293 Metetra
.413 .662 .962 r
.64267 .39293 .64505 .40063 .65192 .40396 .64956 .39626 Metetra
.388 .647 .96 r
.64956 .39626 .65192 .40396 .65881 .40786 .65646 .40016 Metetra
.364 .631 .956 r
.65646 .40016 .65881 .40786 .66572 .41232 .66339 .40462 Metetra
.339 .616 .952 r
.66339 .40462 .66572 .41232 .67265 .41731 .67033 .40961 Metetra
.315 .6 .948 r
.67033 .40961 .67265 .41731 .67959 .42281 .67729 .41512 Metetra
.292 .585 .943 r
.67729 .41512 .67959 .42281 .68656 .42881 .68426 .42112 Metetra
.269 .57 .937 r
.68426 .42112 .68656 .42881 .69354 .43526 .69126 .42759 Metetra
.248 .555 .932 r
.69126 .42759 .69354 .43526 .70053 .44216 .69827 .43449 Metetra
.228 .541 .926 r
.69827 .43449 .70053 .44216 .70755 .44945 .7053 .44179 Metetra
.21 .528 .921 r
.7053 .44179 .70755 .44945 .71458 .45713 .71235 .44948 Metetra
.193 .516 .916 r
.71235 .44948 .71458 .45713 .72164 .46514 .71942 .4575 Metetra
.178 .505 .911 r
.71942 .4575 .72164 .46514 .72871 .47345 .72651 .46583 Metetra
.165 .496 .906 r
.72651 .46583 .72871 .47345 .7358 .48204 .73361 .47443 Metetra
.153 .488 .902 r
.73361 .47443 .7358 .48204 .74291 .49086 .74074 .48326 Metetra
.144 .481 .899 r
.74074 .48326 .74291 .49086 .75004 .49988 .74788 .49229 Metetra
.137 .476 .896 r
.74788 .49229 .75004 .49988 .75719 .50905 .75504 .50147 Metetra
.133 .472 .895 r
.75504 .50147 .75719 .50905 .76435 .51833 .76223 .51077 Metetra
.13 .47 .893 r
.76223 .51077 .76435 .51833 .77154 .5277 .76943 .52015 Metetra
.129 .47 .893 r
.76943 .52015 .77154 .5277 .77874 .53709 .77664 .52956 Metetra
.131 .471 .894 r
.77664 .52956 .77874 .53709 .78596 .54648 .78388 .53896 Metetra
.135 .474 .895 r
.78388 .53896 .78596 .54648 .7932 .55582 .79113 .54831 Metetra
.14 .478 .897 r
.79113 .54831 .7932 .55582 .80045 .56507 .79841 .55758 Metetra
.148 .484 .9 r
.79841 .55758 .80045 .56507 .80773 .57419 .8057 .56671 Metetra
.158 .491 .904 r
.8057 .56671 .80773 .57419 .81502 .58314 .813 .57567 Metetra
.169 .5 .908 r
.813 .57567 .81502 .58314 .82233 .59187 .82033 .58442 Metetra
.183 .51 .913 r
.82033 .58442 .82233 .59187 .82965 .60036 .82767 .59292 Metetra
.198 .521 .918 r
.82767 .59292 .82965 .60036 .83699 .60855 .83503 .60113 Metetra
.214 .533 .923 r
.83503 .60113 .83699 .60855 .84435 .61642 .8424 .60901 Metetra
.232 .546 .928 r
.8424 .60901 .84435 .61642 .85172 .62393 .84979 .61652 Metetra
.251 .56 .934 r
.84979 .61652 .85172 .62393 .85911 .63103 .85719 .62363 Metetra
.271 .574 .939 r
.85719 .62363 .85911 .63103 .86651 .63771 .86461 .63032 Metetra
.292 .589 .945 r
.86461 .63032 .86651 .63771 .87393 .64392 .87205 .63653 Metetra
.314 .604 .95 r
.87205 .63653 .87393 .64392 .88136 .64963 .8795 .64226 Metetra
.336 .62 .955 r
.8795 .64226 .88136 .64963 .88881 .65483 .88696 .64746 Metetra
.359 .636 .959 r
.88696 .64746 .88881 .65483 .89627 .65947 .89443 .65211 Metetra
.382 .651 .963 r
.89443 .65211 .89627 .65947 .90374 .66355 .90192 .65618 Metetra
.406 .667 .967 r
.90192 .65618 .90374 .66355 .91122 .66703 .90942 .65966 Metetra
.429 .682 .969 r
.90942 .65966 .91122 .66703 .91871 .6699 .91693 .66253 Metetra
.451 .697 .972 r
.91693 .66253 .91871 .6699 .92622 .67214 .92446 .66477 Metetra
.474 .711 .973 r
.92446 .66477 .92622 .67214 .93374 .67373 .93199 .66636 Metetra
.496 .725 .974 r
.93199 .66636 .93374 .67373 .94127 .67468 .93954 .6673 Metetra
.517 .739 .975 r
.93954 .6673 .94127 .67468 .94881 .67495 .9471 .66757 Metetra
.537 .751 .975 r
.9471 .66757 .94881 .67495 .95636 .67456 .95466 .66716 Metetra
.555 .766 .976 r
.27362 .72704 .27677 .73338 .28297 .73247 .27983 .72612 Metetra
.579 .776 .973 r
.27983 .72612 .28297 .73247 .28918 .73094 .28606 .72459 Metetra
.601 .784 .968 r
.28606 .72459 .28918 .73094 .29541 .72881 .2923 .72244 Metetra
.621 .792 .964 r
.2923 .72244 .29541 .72881 .30166 .72607 .29856 .71969 Metetra
.639 .798 .959 r
.29856 .71969 .30166 .72607 .30792 .72273 .30483 .71634 Metetra
.656 .803 .954 r
.30483 .71634 .30792 .72273 .31419 .71881 .31112 .7124 Metetra
.671 .808 .949 r
.31112 .7124 .31419 .71881 .32048 .71431 .31742 .70788 Metetra
.684 .812 .944 r
.31742 .70788 .32048 .71431 .32679 .70924 .32374 .7028 Metetra
.697 .815 .939 r
.32374 .7028 .32679 .70924 .3331 .70363 .33007 .69717 Metetra
.708 .818 .934 r
.33007 .69717 .3331 .70363 .33943 .69749 .33641 .69101 Metetra
.718 .821 .929 r
.33641 .69101 .33943 .69749 .34578 .69084 .34276 .68434 Metetra
.726 .823 .925 r
.34276 .68434 .34578 .69084 .35213 .68372 .34913 .67719 Metetra
.734 .825 .921 r
.34913 .67719 .35213 .68372 .3585 .67613 .35551 .66958 Metetra
.741 .827 .917 r
.35551 .66958 .3585 .67613 .36488 .66811 .36191 .66154 Metetra
.748 .828 .914 r
.36191 .66154 .36488 .66811 .37127 .65969 .36831 .65309 Metetra
.753 .829 .91 r
.36831 .65309 .37127 .65969 .37768 .6509 .37473 .64428 Metetra
.758 .83 .908 r
.37473 .64428 .37768 .6509 .38409 .64177 .38116 .63512 Metetra
.762 .831 .905 r
.38116 .63512 .38409 .64177 .39052 .63233 .3876 .62565 Metetra
.766 .832 .903 r
.3876 .62565 .39052 .63233 .39695 .62262 .39405 .61591 Metetra
.769 .832 .901 r
.39405 .61591 .39695 .62262 .4034 .61267 .40051 .60594 Metetra
.771 .833 .899 r
.40051 .60594 .4034 .61267 .40986 .60253 .40698 .59576 Metetra
.773 .833 .898 r
.40698 .59576 .40986 .60253 .41633 .59222 .41346 .58543 Metetra
.775 .834 .897 r
.41346 .58543 .41633 .59222 .42281 .58179 .41995 .57496 Metetra
.776 .834 .897 r
.41995 .57496 .42281 .58179 .4293 .57128 .42645 .56442 Metetra
.776 .834 .897 r
.42645 .56442 .4293 .57128 .43579 .56072 .43297 .55383 Metetra
.776 .834 .897 r
.43297 .55383 .43579 .56072 .4423 .55015 .43949 .54323 Metetra
.775 .834 .897 r
.43949 .54323 .4423 .55015 .44882 .53962 .44602 .53267 Metetra
.774 .833 .898 r
.44602 .53267 .44882 .53962 .45535 .52916 .45256 .52217 Metetra
.773 .833 .899 r
.45256 .52217 .45535 .52916 .46189 .51881 .45911 .51179 Metetra
.77 .833 .9 r
.45911 .51179 .46189 .51881 .46844 .50861 .46568 .50156 Metetra
.768 .832 .902 r
.46568 .50156 .46844 .50861 .47499 .49859 .47225 .49152 Metetra
.764 .831 .904 r
.47225 .49152 .47499 .49859 .48156 .48881 .47883 .48171 Metetra
.76 .83 .906 r
.47883 .48171 .48156 .48881 .48814 .47928 .48542 .47215 Metetra
.756 .829 .908 r
.48542 .47215 .48814 .47928 .49472 .47005 .49202 .46289 Metetra
.751 .828 .911 r
.49202 .46289 .49472 .47005 .50132 .46116 .49863 .45397 Metetra
.745 .826 .914 r
.49863 .45397 .50132 .46116 .50793 .45262 .50526 .44541 Metetra
.738 .824 .918 r
.50526 .44541 .50793 .45262 .51455 .44448 .51189 .43724 Metetra
.731 .822 .921 r
.51189 .43724 .51455 .44448 .52118 .43677 .51853 .42951 Metetra
.723 .819 .925 r
.51853 .42951 .52118 .43677 .52782 .42951 .52519 .42222 Metetra
.714 .816 .929 r
.52519 .42222 .52782 .42951 .53447 .42273 .53185 .41542 Metetra
.704 .813 .933 r
.53185 .41542 .53447 .42273 .54113 .41645 .53853 .40912 Metetra
.693 .809 .937 r
.53853 .40912 .54113 .41645 .54781 .41071 .54522 .40335 Metetra
.682 .804 .941 r
.54522 .40335 .54781 .41071 .5545 .4055 .55192 .39813 Metetra
.669 .799 .945 r
.55192 .39813 .5545 .4055 .56119 .40087 .55863 .39348 Metetra
.655 .794 .949 r
.55863 .39348 .56119 .40087 .56791 .39682 .56536 .38941 Metetra
.64 .787 .953 r
.56536 .38941 .56791 .39682 .57463 .39336 .5721 .38594 Metetra
.624 .78 .956 r
.5721 .38594 .57463 .39336 .58137 .39051 .57885 .38307 Metetra
.606 .772 .96 r
.57885 .38307 .58137 .39051 .58812 .38828 .58562 .38083 Metetra
.588 .764 .963 r
.58562 .38083 .58812 .38828 .59489 .38667 .5924 .37921 Metetra
.568 .754 .965 r
.5924 .37921 .59489 .38667 .60167 .38569 .59919 .37822 Metetra
.547 .743 .967 r
.59919 .37822 .60167 .38569 .60846 .38534 .606 .37786 Metetra
.526 .732 .969 r
.606 .37786 .60846 .38534 .61527 .38562 .61282 .37813 Metetra
.503 .72 .969 r
.61282 .37813 .61527 .38562 .6221 .38652 .61966 .37903 Metetra
.479 .707 .969 r
.61966 .37903 .6221 .38652 .62894 .38805 .62652 .38055 Metetra
.455 .693 .969 r
.62652 .38055 .62894 .38805 .63579 .39019 .63339 .38269 Metetra
.43 .678 .967 r
.63339 .38269 .63579 .39019 .64267 .39293 .64028 .38542 Metetra
.404 .663 .965 r
.64028 .38542 .64267 .39293 .64956 .39626 .64718 .38875 Metetra
.379 .647 .962 r
.64718 .38875 .64956 .39626 .65646 .40016 .6541 .39266 Metetra
.353 .631 .958 r
.6541 .39266 .65646 .40016 .66339 .40462 .66104 .39712 Metetra
.328 .615 .954 r
.66104 .39712 .66339 .40462 .67033 .40961 .668 .40212 Metetra
.303 .599 .949 r
.668 .40212 .67033 .40961 .67729 .41512 .67497 .40763 Metetra
.279 .583 .943 r
.67497 .40763 .67729 .41512 .68426 .42112 .68196 .41364 Metetra
.256 .567 .937 r
.68196 .41364 .68426 .42112 .69126 .42759 .68897 .42011 Metetra
.234 .552 .931 r
.68897 .42011 .69126 .42759 .69827 .43449 .696 .42702 Metetra
.213 .538 .925 r
.696 .42702 .69827 .43449 .7053 .44179 .70304 .43434 Metetra
.194 .524 .919 r
.70304 .43434 .7053 .44179 .71235 .44948 .71011 .44203 Metetra
.177 .512 .914 r
.71011 .44203 .71235 .44948 .71942 .4575 .71719 .45006 Metetra
.161 .501 .909 r
.71719 .45006 .71942 .4575 .72651 .46583 .7243 .4584 Metetra
.148 .491 .904 r
.7243 .4584 .72651 .46583 .73361 .47443 .73142 .46701 Metetra
.136 .482 .9 r
.73142 .46701 .73361 .47443 .74074 .48326 .73856 .47586 Metetra
.127 .475 .896 r
.73856 .47586 .74074 .48326 .74788 .49229 .74572 .4849 Metetra
.12 .47 .893 r
.74572 .4849 .74788 .49229 .75504 .50147 .75289 .4941 Metetra
.115 .466 .891 r
.75289 .4941 .75504 .50147 .76223 .51077 .76009 .50342 Metetra
.112 .464 .89 r
.76009 .50342 .76223 .51077 .76943 .52015 .76731 .5128 Metetra
.112 .464 .89 r
.76731 .5128 .76943 .52015 .77664 .52956 .77454 .52223 Metetra
.113 .465 .891 r
.77454 .52223 .77664 .52956 .78388 .53896 .78179 .53165 Metetra
.117 .468 .892 r
.78179 .53165 .78388 .53896 .79113 .54831 .78906 .54102 Metetra
.123 .472 .894 r
.78906 .54102 .79113 .54831 .79841 .55758 .79635 .55029 Metetra
.131 .478 .898 r
.79635 .55029 .79841 .55758 .8057 .56671 .80366 .55944 Metetra
.141 .486 .901 r
.80366 .55944 .8057 .56671 .813 .57567 .81098 .56842 Metetra
.153 .495 .906 r
.81098 .56842 .813 .57567 .82033 .58442 .81832 .57718 Metetra
.166 .505 .911 r
.81832 .57718 .82033 .58442 .82767 .59292 .82568 .58569 Metetra
.182 .516 .916 r
.82568 .58569 .82767 .59292 .83503 .60113 .83305 .59391 Metetra
.199 .529 .922 r
.83305 .59391 .83503 .60113 .8424 .60901 .84044 .6018 Metetra
.217 .542 .928 r
.84044 .6018 .8424 .60901 .84979 .61652 .84785 .60932 Metetra
.237 .557 .933 r
.84785 .60932 .84979 .61652 .85719 .62363 .85527 .61645 Metetra
.257 .572 .939 r
.85527 .61645 .85719 .62363 .86461 .63032 .8627 .62314 Metetra
.279 .587 .945 r
.8627 .62314 .86461 .63032 .87205 .63653 .87016 .62936 Metetra
.302 .603 .951 r
.87016 .62936 .87205 .63653 .8795 .64226 .87762 .63509 Metetra
.325 .619 .956 r
.87762 .63509 .8795 .64226 .88696 .64746 .8851 .6403 Metetra
.348 .636 .961 r
.8851 .6403 .88696 .64746 .89443 .65211 .89259 .64495 Metetra
.372 .652 .965 r
.89259 .64495 .89443 .65211 .90192 .65618 .9001 .64903 Metetra
.396 .668 .969 r
.9001 .64903 .90192 .65618 .90942 .65966 .90762 .65251 Metetra
.42 .684 .972 r
.90762 .65251 .90942 .65966 .91693 .66253 .91515 .65538 Metetra
.443 .699 .975 r
.91515 .65538 .91693 .66253 .92446 .66477 .92269 .65761 Metetra
.466 .714 .976 r
.92269 .65761 .92446 .66477 .93199 .66636 .93024 .6592 Metetra
.489 .728 .978 r
.93024 .6592 .93199 .66636 .93954 .6673 .93781 .66013 Metetra
.511 .742 .978 r
.93781 .66013 .93954 .6673 .9471 .66757 .94538 .66039 Metetra
.532 .755 .978 r
.94538 .66039 .9471 .66757 .95466 .66716 .95297 .65998 Metetra
.55 .77 .98 r
.27046 .7209 .27362 .72704 .27983 .72612 .27668 .71998 Metetra
.575 .78 .976 r
.27668 .71998 .27983 .72612 .28606 .72459 .28292 .71843 Metetra
.598 .789 .972 r
.28292 .71843 .28606 .72459 .2923 .72244 .28917 .71628 Metetra
.619 .796 .967 r
.28917 .71628 .2923 .72244 .29856 .71969 .29544 .71352 Metetra
.637 .803 .962 r
.29544 .71352 .29856 .71969 .30483 .71634 .30173 .71015 Metetra
.654 .808 .957 r
.30173 .71015 .30483 .71634 .31112 .7124 .30803 .7062 Metetra
.67 .813 .952 r
.30803 .7062 .31112 .7124 .31742 .70788 .31434 .70166 Metetra
.684 .817 .947 r
.31434 .70166 .31742 .70788 .32374 .7028 .32067 .69656 Metetra
.696 .82 .942 r
.32067 .69656 .32374 .7028 .33007 .69717 .32701 .69091 Metetra
.707 .823 .937 r
.32701 .69091 .33007 .69717 .33641 .69101 .33337 .68473 Metetra
.717 .826 .932 r
.33337 .68473 .33641 .69101 .34276 .68434 .33974 .67804 Metetra
.727 .828 .928 r
.33974 .67804 .34276 .68434 .34913 .67719 .34612 .67087 Metetra
.735 .83 .924 r
.34612 .67087 .34913 .67719 .35551 .66958 .35251 .66323 Metetra
.742 .832 .92 r
.35251 .66323 .35551 .66958 .36191 .66154 .35892 .65517 Metetra
.748 .833 .916 r
.35892 .65517 .36191 .66154 .36831 .65309 .36533 .6467 Metetra
.754 .834 .913 r
.36533 .6467 .36831 .65309 .37473 .64428 .37176 .63785 Metetra
.759 .835 .91 r
.37176 .63785 .37473 .64428 .38116 .63512 .37821 .62866 Metetra
.763 .836 .907 r
.37821 .62866 .38116 .63512 .3876 .62565 .38466 .61917 Metetra
.767 .837 .905 r
.38466 .61917 .3876 .62565 .39405 .61591 .39112 .6094 Metetra
.77 .837 .903 r
.39112 .6094 .39405 .61591 .40051 .60594 .3976 .5994 Metetra
.773 .838 .902 r
.3976 .5994 .40051 .60594 .40698 .59576 .40408 .58919 Metetra
.774 .838 .9 r
.40408 .58919 .40698 .59576 .41346 .58543 .41058 .57883 Metetra
.776 .838 .9 r
.41058 .57883 .41346 .58543 .41995 .57496 .41708 .56834 Metetra
.777 .838 .899 r
.41708 .56834 .41995 .57496 .42645 .56442 .4236 .55776 Metetra
.777 .838 .899 r
.4236 .55776 .42645 .56442 .43297 .55383 .43013 .54714 Metetra
.777 .838 .899 r
.43013 .54714 .43297 .55383 .43949 .54323 .43666 .53651 Metetra
.776 .838 .899 r
.43666 .53651 .43949 .54323 .44602 .53267 .44321 .52591 Metetra
.775 .838 .9 r
.44321 .52591 .44602 .53267 .45256 .52217 .44976 .51539 Metetra
.774 .838 .901 r
.44976 .51539 .45256 .52217 .45911 .51179 .45633 .50498 Metetra
.771 .837 .902 r
.45633 .50498 .45911 .51179 .46568 .50156 .4629 .49472 Metetra
.769 .837 .904 r
.4629 .49472 .46568 .50156 .47225 .49152 .46949 .48465 Metetra
.765 .836 .906 r
.46949 .48465 .47225 .49152 .47883 .48171 .47608 .4748 Metetra
.761 .835 .908 r
.47608 .4748 .47883 .48171 .48542 .47215 .48269 .46522 Metetra
.757 .834 .911 r
.48269 .46522 .48542 .47215 .49202 .46289 .4893 .45593 Metetra
.751 .832 .914 r
.4893 .45593 .49202 .46289 .49863 .45397 .49593 .44698 Metetra
.745 .831 .917 r
.49593 .44698 .49863 .45397 .50526 .44541 .50257 .43839 Metetra
.739 .829 .92 r
.50257 .43839 .50526 .44541 .51189 .43724 .50921 .4302 Metetra
.731 .827 .924 r
.50921 .4302 .51189 .43724 .51853 .42951 .51587 .42244 Metetra
.723 .824 .928 r
.51587 .42244 .51853 .42951 .52519 .42222 .52254 .41513 Metetra
.714 .821 .932 r
.52254 .41513 .52519 .42222 .53185 .41542 .52922 .40831 Metetra
.704 .818 .936 r
.52922 .40831 .53185 .41542 .53853 .40912 .53591 .40199 Metetra
.693 .814 .94 r
.53591 .40199 .53853 .40912 .54522 .40335 .54261 .3962 Metetra
.681 .809 .944 r
.54261 .3962 .54522 .40335 .55192 .39813 .54933 .39096 Metetra
.668 .804 .948 r
.54933 .39096 .55192 .39813 .55863 .39348 .55606 .38628 Metetra
.653 .798 .952 r
.55606 .38628 .55863 .39348 .56536 .38941 .5628 .3822 Metetra
.638 .792 .956 r
.5628 .3822 .56536 .38941 .5721 .38594 .56955 .37871 Metetra
.621 .785 .96 r
.56955 .37871 .5721 .38594 .57885 .38307 .57632 .37583 Metetra
.604 .777 .963 r
.57632 .37583 .57885 .38307 .58562 .38083 .5831 .37358 Metetra
.585 .768 .966 r
.5831 .37358 .58562 .38083 .5924 .37921 .58989 .37194 Metetra
.564 .758 .969 r
.58989 .37194 .5924 .37921 .59919 .37822 .5967 .37094 Metetra
.543 .747 .971 r
.5967 .37094 .59919 .37822 .606 .37786 .60352 .37058 Metetra
.52 .735 .972 r
.60352 .37058 .606 .37786 .61282 .37813 .61036 .37084 Metetra
.497 .723 .973 r
.61036 .37084 .61282 .37813 .61966 .37903 .61722 .37173 Metetra
.472 .709 .973 r
.61722 .37173 .61966 .37903 .62652 .38055 .62409 .37325 Metetra
.447 .695 .972 r
.62409 .37325 .62652 .38055 .63339 .38269 .63097 .37538 Metetra
.421 .68 .97 r
.63097 .37538 .63339 .38269 .64028 .38542 .63787 .37812 Metetra
.395 .664 .967 r
.63787 .37812 .64028 .38542 .64718 .38875 .64479 .38145 Metetra
.368 .647 .964 r
.64479 .38145 .64718 .38875 .6541 .39266 .65173 .38536 Metetra
.342 .631 .959 r
.65173 .38536 .6541 .39266 .66104 .39712 .65868 .38982 Metetra
.316 .614 .955 r
.65868 .38982 .66104 .39712 .668 .40212 .66565 .39483 Metetra
.29 .597 .949 r
.66565 .39483 .668 .40212 .67497 .40763 .67264 .40035 Metetra
.265 .58 .943 r
.67264 .40035 .67497 .40763 .68196 .41364 .67965 .40636 Metetra
.241 .564 .937 r
.67965 .40636 .68196 .41364 .68897 .42011 .68667 .41284 Metetra
.219 .549 .93 r
.68667 .41284 .68897 .42011 .696 .42702 .69371 .41976 Metetra
.198 .534 .924 r
.69371 .41976 .696 .42702 .70304 .43434 .70078 .42708 Metetra
.178 .52 .918 r
.70078 .42708 .70304 .43434 .71011 .44203 .70786 .43478 Metetra
.16 .507 .911 r
.70786 .43478 .71011 .44203 .71719 .45006 .71495 .44283 Metetra
.144 .495 .906 r
.71495 .44283 .71719 .45006 .7243 .4584 .72207 .45118 Metetra
.13 .485 .901 r
.72207 .45118 .7243 .4584 .73142 .46701 .72921 .45981 Metetra
.119 .476 .896 r
.72921 .45981 .73142 .46701 .73856 .47586 .73636 .46867 Metetra
.109 .469 .892 r
.73636 .46867 .73856 .47586 .74572 .4849 .74354 .47772 Metetra
.102 .464 .889 r
.74354 .47772 .74572 .4849 .75289 .4941 .75073 .48693 Metetra
.097 .46 .887 r
.75073 .48693 .75289 .4941 .76009 .50342 .75794 .49626 Metetra
.094 .458 .886 r
.75794 .49626 .76009 .50342 .76731 .5128 .76518 .50567 Metetra
.093 .457 .886 r
.76518 .50567 .76731 .5128 .77454 .52223 .77242 .51511 Metetra
.095 .458 .887 r
.77242 .51511 .77454 .52223 .78179 .53165 .77969 .52454 Metetra
.099 .461 .888 r
.77969 .52454 .78179 .53165 .78906 .54102 .78698 .53392 Metetra
.105 .466 .891 r
.78698 .53392 .78906 .54102 .79635 .55029 .79428 .54322 Metetra
.113 .472 .894 r
.79428 .54322 .79635 .55029 .80366 .55944 .80161 .55238 Metetra
.123 .48 .898 r
.80161 .55238 .80366 .55944 .81098 .56842 .80895 .56137 Metetra
.135 .489 .903 r
.80895 .56137 .81098 .56842 .81832 .57718 .8163 .57014 Metetra
.149 .5 .908 r
.8163 .57014 .81832 .57718 .82568 .58569 .82368 .57867 Metetra
.165 .512 .914 r
.82368 .57867 .82568 .58569 .83305 .59391 .83107 .5869 Metetra
.182 .524 .92 r
.83107 .5869 .83305 .59391 .84044 .6018 .83847 .5948 Metetra
.201 .538 .926 r
.83847 .5948 .84044 .6018 .84785 .60932 .8459 .60234 Metetra
.222 .553 .933 r
.8459 .60234 .84785 .60932 .85527 .61645 .85333 .60947 Metetra
.243 .569 .939 r
.85333 .60947 .85527 .61645 .8627 .62314 .86079 .61617 Metetra
.265 .585 .945 r
.86079 .61617 .8627 .62314 .87016 .62936 .86826 .6224 Metetra
.289 .601 .951 r
.86826 .6224 .87016 .62936 .87762 .63509 .87574 .62814 Metetra
.312 .618 .957 r
.87574 .62814 .87762 .63509 .8851 .6403 .88324 .63335 Metetra
.337 .635 .962 r
.88324 .63335 .8851 .6403 .89259 .64495 .89075 .638 Metetra
.361 .652 .967 r
.89075 .638 .89259 .64495 .9001 .64903 .89827 .64209 Metetra
.386 .668 .971 r
.89827 .64209 .9001 .64903 .90762 .65251 .9058 .64557 Metetra
.41 .685 .974 r
.9058 .64557 .90762 .65251 .91515 .65538 .91335 .64844 Metetra
.435 .701 .977 r
.91335 .64844 .91515 .65538 .92269 .65761 .92091 .65067 Metetra
.458 .716 .979 r
.92091 .65067 .92269 .65761 .93024 .6592 .92848 .65225 Metetra
.482 .731 .981 r
.92848 .65225 .93024 .6592 .93781 .66013 .93607 .65318 Metetra
.504 .745 .981 r
.93607 .65318 .93781 .66013 .94538 .66039 .94366 .65343 Metetra
.526 .758 .981 r
.94366 .65343 .94538 .66039 .95297 .65998 .95126 .65301 Metetra
.545 .774 .983 r
.26728 .71496 .27046 .7209 .27668 .71998 .27351 .71403 Metetra
.571 .784 .98 r
.27351 .71403 .27668 .71998 .28292 .71843 .27976 .71248 Metetra
.594 .793 .975 r
.27976 .71248 .28292 .71843 .28917 .71628 .28603 .71031 Metetra
.616 .801 .971 r
.28603 .71031 .28917 .71628 .29544 .71352 .29231 .70754 Metetra
.635 .807 .966 r
.29231 .70754 .29544 .71352 .30173 .71015 .29861 .70416 Metetra
.652 .813 .96 r
.29861 .70416 .30173 .71015 .30803 .7062 .30492 .70019 Metetra
.668 .818 .955 r
.30492 .70019 .30803 .7062 .31434 .70166 .31125 .69564 Metetra
.683 .822 .95 r
.31125 .69564 .31434 .70166 .32067 .69656 .31759 .69052 Metetra
.695 .825 .945 r
.31759 .69052 .32067 .69656 .32701 .69091 .32394 .68485 Metetra
.707 .828 .94 r
.32394 .68485 .32701 .69091 .33337 .68473 .33031 .67865 Metetra
.717 .831 .935 r
.33031 .67865 .33337 .68473 .33974 .67804 .33669 .67194 Metetra
.727 .833 .931 r
.33669 .67194 .33974 .67804 .34612 .67087 .34309 .66474 Metetra
.735 .835 .926 r
.34309 .66474 .34612 .67087 .35251 .66323 .34949 .65709 Metetra
.742 .836 .922 r
.34949 .65709 .35251 .66323 .35892 .65517 .35591 .64899 Metetra
.749 .838 .919 r
.35591 .64899 .35892 .65517 .36533 .6467 .36234 .6405 Metetra
.755 .839 .915 r
.36234 .6405 .36533 .6467 .37176 .63785 .36879 .63163 Metetra
.76 .84 .912 r
.36879 .63163 .37176 .63785 .37821 .62866 .37524 .62241 Metetra
.764 .841 .91 r
.37524 .62241 .37821 .62866 .38466 .61917 .38171 .61289 Metetra
.768 .841 .908 r
.38171 .61289 .38466 .61917 .39112 .6094 .38818 .60309 Metetra
.771 .842 .906 r
.38818 .60309 .39112 .6094 .3976 .5994 .39467 .59306 Metetra
.774 .842 .904 r
.39467 .59306 .3976 .5994 .40408 .58919 .40117 .58283 Metetra
.775 .843 .903 r
.40117 .58283 .40408 .58919 .41058 .57883 .40768 .57243 Metetra
.777 .843 .902 r
.40768 .57243 .41058 .57883 .41708 .56834 .4142 .56191 Metetra
.778 .843 .901 r
.4142 .56191 .41708 .56834 .4236 .55776 .42073 .5513 Metetra
.778 .843 .901 r
.42073 .5513 .4236 .55776 .43013 .54714 .42727 .54065 Metetra
.778 .843 .901 r
.42727 .54065 .43013 .54714 .43666 .53651 .43382 .52999 Metetra
.777 .843 .901 r
.43382 .52999 .43666 .53651 .44321 .52591 .44038 .51936 Metetra
.776 .843 .902 r
.44038 .51936 .44321 .52591 .44976 .51539 .44695 .50881 Metetra
.775 .842 .903 r
.44695 .50881 .44976 .51539 .45633 .50498 .45353 .49837 Metetra
.772 .842 .905 r
.45353 .49837 .45633 .50498 .4629 .49472 .46012 .48808 Metetra
.769 .841 .906 r
.46012 .48808 .4629 .49472 .46949 .48465 .46672 .47797 Metetra
.766 .841 .908 r
.46672 .47797 .46949 .48465 .47608 .4748 .47333 .4681 Metetra
.762 .84 .911 r
.47333 .4681 .47608 .4748 .48269 .46522 .47994 .45849 Metetra
.757 .839 .913 r
.47994 .45849 .48269 .46522 .4893 .45593 .48657 .44917 Metetra
.752 .837 .916 r
.48657 .44917 .4893 .45593 .49593 .44698 .49321 .44019 Metetra
.746 .836 .919 r
.49321 .44019 .49593 .44698 .50257 .43839 .49986 .43158 Metetra
.739 .834 .923 r
.49986 .43158 .50257 .43839 .50921 .4302 .50653 .42336 Metetra
.732 .832 .927 r
.50653 .42336 .50921 .4302 .51587 .42244 .5132 .41557 Metetra
.723 .829 .93 r
.5132 .41557 .51587 .42244 .52254 .41513 .51988 .40824 Metetra
.714 .826 .934 r
.51988 .40824 .52254 .41513 .52922 .40831 .52657 .40139 Metetra
.704 .823 .939 r
.52657 .40139 .52922 .40831 .53591 .40199 .53328 .39505 Metetra
.692 .819 .943 r
.53328 .39505 .53591 .40199 .54261 .3962 .54 .38924 Metetra
.68 .814 .947 r
.54 .38924 .54261 .3962 .54933 .39096 .54673 .38398 Metetra
.666 .809 .951 r
.54673 .38398 .54933 .39096 .55606 .38628 .55347 .37929 Metetra
.652 .803 .956 r
.55347 .37929 .55606 .38628 .5628 .3822 .56022 .37519 Metetra
.636 .797 .96 r
.56022 .37519 .5628 .3822 .56955 .37871 .56699 .37168 Metetra
.619 .789 .963 r
.56699 .37168 .56955 .37871 .57632 .37583 .57377 .36879 Metetra
.601 .781 .967 r
.57377 .36879 .57632 .37583 .5831 .37358 .58057 .36652 Metetra
.581 .772 .97 r
.58057 .36652 .5831 .37358 .58989 .37194 .58738 .36488 Metetra
.56 .762 .972 r
.58738 .36488 .58989 .37194 .5967 .37094 .5942 .36387 Metetra
.538 .75 .974 r
.5942 .36387 .5967 .37094 .60352 .37058 .60104 .36349 Metetra
.515 .738 .975 r
.60104 .36349 .60352 .37058 .61036 .37084 .60789 .36375 Metetra
.49 .725 .976 r
.60789 .36375 .61036 .37084 .61722 .37173 .61476 .36464 Metetra
.465 .711 .976 r
.61476 .36464 .61722 .37173 .62409 .37325 .62164 .36615 Metetra
.439 .696 .974 r
.62164 .36615 .62409 .37325 .63097 .37538 .62854 .36828 Metetra
.412 .681 .972 r
.62854 .36828 .63097 .37538 .63787 .37812 .63546 .37102 Metetra
.385 .664 .969 r
.63546 .37102 .63787 .37812 .64479 .38145 .64239 .37435 Metetra
.358 .647 .965 r
.64239 .37435 .64479 .38145 .65173 .38536 .64934 .37826 Metetra
.33 .63 .961 r
.64934 .37826 .65173 .38536 .65868 .38982 .65631 .38273 Metetra
.303 .613 .955 r
.65631 .38273 .65868 .38982 .66565 .39483 .6633 .38773 Metetra
.277 .595 .949 r
.6633 .38773 .66565 .39483 .67264 .40035 .6703 .39326 Metetra
.251 .578 .943 r
.6703 .39326 .67264 .40035 .67965 .40636 .67732 .39928 Metetra
.226 .561 .936 r
.67732 .39928 .67965 .40636 .68667 .41284 .68436 .40577 Metetra
.203 .545 .929 r
.68436 .40577 .68667 .41284 .69371 .41976 .69142 .41269 Metetra
.181 .529 .922 r
.69142 .41269 .69371 .41976 .70078 .42708 .6985 .42003 Metetra
.161 .515 .915 r
.6985 .42003 .70078 .42708 .70786 .43478 .70559 .42774 Metetra
.143 .501 .909 r
.70559 .42774 .70786 .43478 .71495 .44283 .71271 .4358 Metetra
.126 .489 .902 r
.71271 .4358 .71495 .44283 .72207 .45118 .71984 .44416 Metetra
.112 .479 .897 r
.71984 .44416 .72207 .45118 .72921 .45981 .72699 .4528 Metetra
.1 .47 .892 r
.72699 .4528 .72921 .45981 .73636 .46867 .73416 .46168 Metetra
.09 .462 .888 r
.73416 .46168 .73636 .46867 .74354 .47772 .74135 .47075 Metetra
.083 .457 .885 r
.74135 .47075 .74354 .47772 .75073 .48693 .74856 .47997 Metetra
.078 .453 .883 r
.74856 .47997 .75073 .48693 .75794 .49626 .75579 .48932 Metetra
.075 .45 .882 r
.75579 .48932 .75794 .49626 .76518 .50567 .76304 .49874 Metetra
.074 .45 .881 r
.76304 .49874 .76518 .50567 .77242 .51511 .7703 .50819 Metetra
.076 .451 .882 r
.7703 .50819 .77242 .51511 .77969 .52454 .77759 .51764 Metetra
.08 .454 .884 r
.77759 .51764 .77969 .52454 .78698 .53392 .78489 .52704 Metetra
.086 .459 .886 r
.78489 .52704 .78698 .53392 .79428 .54322 .79221 .53635 Metetra
.094 .466 .89 r
.79221 .53635 .79428 .54322 .80161 .55238 .79955 .54553 Metetra
.105 .474 .894 r
.79955 .54553 .80161 .55238 .80895 .56137 .8069 .55453 Metetra
.117 .483 .899 r
.8069 .55453 .80895 .56137 .8163 .57014 .81428 .56332 Metetra
.132 .494 .905 r
.81428 .56332 .8163 .57014 .82368 .57867 .82167 .57186 Metetra
.148 .506 .911 r
.82167 .57186 .82368 .57867 .83107 .5869 .82907 .5801 Metetra
.166 .52 .917 r
.82907 .5801 .83107 .5869 .83847 .5948 .8365 .58801 Metetra
.185 .534 .924 r
.8365 .58801 .83847 .5948 .8459 .60234 .84394 .59556 Metetra
.206 .549 .931 r
.84394 .59556 .8459 .60234 .85333 .60947 .85139 .60271 Metetra
.228 .565 .938 r
.85139 .60271 .85333 .60947 .86079 .61617 .85886 .60941 Metetra
.251 .582 .945 r
.85886 .60941 .86079 .61617 .86826 .6224 .86635 .61565 Metetra
.275 .599 .951 r
.86635 .61565 .86826 .6224 .87574 .62814 .87385 .6214 Metetra
.299 .617 .957 r
.87385 .6214 .87574 .62814 .88324 .63335 .88136 .62661 Metetra
.324 .634 .963 r
.88136 .62661 .88324 .63335 .89075 .638 .88889 .63127 Metetra
.35 .652 .968 r
.88889 .63127 .89075 .638 .89827 .64209 .89643 .63536 Metetra
.375 .669 .973 r
.89643 .63536 .89827 .64209 .9058 .64557 .90398 .63884 Metetra
.4 .686 .976 r
.90398 .63884 .9058 .64557 .91335 .64844 .91155 .64171 Metetra
.425 .702 .979 r
.91155 .64171 .91335 .64844 .92091 .65067 .91913 .64394 Metetra
.45 .718 .982 r
.91913 .64394 .92091 .65067 .92848 .65225 .92672 .64552 Metetra
.474 .733 .983 r
.92672 .64552 .92848 .65225 .93607 .65318 .93432 .64644 Metetra
.497 .748 .984 r
.93432 .64644 .93607 .65318 .94366 .65343 .94193 .64669 Metetra
.52 .762 .985 r
.94193 .64669 .94366 .65343 .95126 .65301 .94955 .64626 Metetra
.539 .778 .986 r
.26408 .70923 .26728 .71496 .27351 .71403 .27033 .70828 Metetra
.566 .788 .983 r
.27033 .70828 .27351 .71403 .27976 .71248 .27659 .70672 Metetra
.59 .798 .979 r
.27659 .70672 .27976 .71248 .28603 .71031 .28287 .70455 Metetra
.612 .806 .974 r
.28287 .70455 .28603 .71031 .29231 .70754 .28916 .70176 Metetra
.632 .812 .969 r
.28916 .70176 .29231 .70754 .29861 .70416 .29547 .69837 Metetra
.65 .818 .964 r
.29547 .69837 .29861 .70416 .30492 .70019 .3018 .69438 Metetra
.667 .823 .959 r
.3018 .69438 .30492 .70019 .31125 .69564 .30814 .68981 Metetra
.681 .827 .953 r
.30814 .68981 .31125 .69564 .31759 .69052 .31449 .68468 Metetra
.695 .831 .948 r
.31449 .68468 .31759 .69052 .32394 .68485 .32086 .67899 Metetra
.707 .834 .943 r
.32086 .67899 .32394 .68485 .33031 .67865 .32724 .67277 Metetra
.717 .836 .938 r
.32724 .67277 .33031 .67865 .33669 .67194 .33363 .66604 Metetra
.727 .838 .933 r
.33363 .66604 .33669 .67194 .34309 .66474 .34004 .65882 Metetra
.735 .84 .929 r
.34004 .65882 .34309 .66474 .34949 .65709 .34646 .65114 Metetra
.743 .842 .925 r
.34646 .65114 .34949 .65709 .35591 .64899 .35289 .64302 Metetra
.749 .843 .921 r
.35289 .64302 .35591 .64899 .36234 .6405 .35934 .6345 Metetra
.755 .844 .918 r
.35934 .6345 .36234 .6405 .36879 .63163 .36579 .6256 Metetra
.76 .845 .915 r
.36579 .6256 .36879 .63163 .37524 .62241 .37226 .61636 Metetra
.765 .846 .912 r
.37226 .61636 .37524 .62241 .38171 .61289 .37874 .60681 Metetra
.769 .846 .91 r
.37874 .60681 .38171 .61289 .38818 .60309 .38523 .59699 Metetra
.772 .847 .908 r
.38523 .59699 .38818 .60309 .39467 .59306 .39173 .58692 Metetra
.774 .847 .906 r
.39173 .58692 .39467 .59306 .40117 .58283 .39824 .57666 Metetra
.776 .847 .905 r
.39824 .57666 .40117 .58283 .40768 .57243 .40477 .56623 Metetra
.778 .848 .904 r
.40477 .56623 .40768 .57243 .4142 .56191 .4113 .55568 Metetra
.779 .848 .903 r
.4113 .55568 .4142 .56191 .42073 .5513 .41784 .54504 Metetra
.779 .848 .903 r
.41784 .54504 .42073 .5513 .42727 .54065 .4244 .53436 Metetra
.779 .848 .903 r
.4244 .53436 .42727 .54065 .43382 .52999 .43096 .52367 Metetra
.778 .848 .903 r
.43096 .52367 .43382 .52999 .44038 .51936 .43754 .51301 Metetra
.777 .848 .904 r
.43754 .51301 .44038 .51936 .44695 .50881 .44412 .50243 Metetra
.776 .847 .905 r
.44412 .50243 .44695 .50881 .45353 .49837 .45071 .49195 Metetra
.773 .847 .907 r
.45071 .49195 .45353 .49837 .46012 .48808 .45732 .48163 Metetra
.77 .846 .909 r
.45732 .48163 .46012 .48808 .46672 .47797 .46393 .4715 Metetra
.767 .845 .911 r
.46393 .4715 .46672 .47797 .47333 .4681 .47055 .46159 Metetra
.763 .845 .913 r
.47055 .46159 .47333 .4681 .47994 .45849 .47719 .45195 Metetra
.758 .843 .916 r
.47719 .45195 .47994 .45849 .48657 .44917 .48383 .44261 Metetra
.753 .842 .919 r
.48383 .44261 .48657 .44917 .49321 .44019 .49048 .4336 Metetra
.747 .841 .922 r
.49048 .4336 .49321 .44019 .49986 .43158 .49715 .42496 Metetra
.74 .839 .926 r
.49715 .42496 .49986 .43158 .50653 .42336 .50382 .41672 Metetra
.732 .837 .929 r
.50382 .41672 .50653 .42336 .5132 .41557 .51051 .40891 Metetra
.723 .834 .933 r
.51051 .40891 .5132 .41557 .51988 .40824 .51721 .40155 Metetra
.714 .831 .937 r
.51721 .40155 .51988 .40824 .52657 .40139 .52392 .39468 Metetra
.703 .828 .942 r
.52392 .39468 .52657 .40139 .53328 .39505 .53064 .38832 Metetra
.692 .824 .946 r
.53064 .38832 .53328 .39505 .54 .38924 .53737 .38248 Metetra
.679 .819 .95 r
.53737 .38248 .54 .38924 .54673 .38398 .54411 .37721 Metetra
.665 .814 .955 r
.54411 .37721 .54673 .38398 .55347 .37929 .55087 .3725 Metetra
.65 .808 .959 r
.55087 .3725 .55347 .37929 .56022 .37519 .55764 .36838 Metetra
.634 .801 .963 r
.55764 .36838 .56022 .37519 .56699 .37168 .56442 .36486 Metetra
.616 .794 .967 r
.56442 .36486 .56699 .37168 .57377 .36879 .57121 .36195 Metetra
.597 .785 .97 r
.57121 .36195 .57377 .36879 .58057 .36652 .57802 .35967 Metetra
.577 .776 .973 r
.57802 .35967 .58057 .36652 .58738 .36488 .58485 .35802 Metetra
.556 .765 .976 r
.58485 .35802 .58738 .36488 .5942 .36387 .59169 .357 Metetra
.533 .754 .978 r
.59169 .357 .5942 .36387 .60104 .36349 .59854 .35662 Metetra
.509 .742 .979 r
.59854 .35662 .60104 .36349 .60789 .36375 .60541 .35687 Metetra
.483 .728 .979 r
.60541 .35687 .60789 .36375 .61476 .36464 .61229 .35775 Metetra
.457 .713 .978 r
.61229 .35775 .61476 .36464 .62164 .36615 .61919 .35926 Metetra
.43 .698 .977 r
.61919 .35926 .62164 .36615 .62854 .36828 .6261 .36139 Metetra
.403 .682 .974 r
.6261 .36139 .62854 .36828 .63546 .37102 .63303 .36412 Metetra
.374 .665 .971 r
.63303 .36412 .63546 .37102 .64239 .37435 .63998 .36745 Metetra
.346 .647 .966 r
.63998 .36745 .64239 .37435 .64934 .37826 .64695 .37136 Metetra
.318 .629 .961 r
.64695 .37136 .64934 .37826 .65631 .38273 .65393 .37583 Metetra
.29 .611 .955 r
.65393 .37583 .65631 .38273 .6633 .38773 .66093 .38085 Metetra
.262 .593 .949 r
.66093 .38085 .6633 .38773 .6703 .39326 .66795 .38638 Metetra
.236 .575 .942 r
.66795 .38638 .6703 .39326 .67732 .39928 .67499 .39241 Metetra
.21 .557 .934 r
.67499 .39241 .67732 .39928 .68436 .40577 .68204 .3989 Metetra
.186 .54 .927 r
.68204 .3989 .68436 .40577 .69142 .41269 .68911 .40584 Metetra
.164 .524 .919 r
.68911 .40584 .69142 .41269 .6985 .42003 .69621 .41318 Metetra
.143 .509 .912 r
.69621 .41318 .6985 .42003 .70559 .42774 .70332 .42091 Metetra
.124 .495 .905 r
.70332 .42091 .70559 .42774 .71271 .4358 .71045 .42898 Metetra
.108 .483 .898 r
.71045 .42898 .71271 .4358 .71984 .44416 .71759 .43735 Metetra
.093 .472 .892 r
.71759 .43735 .71984 .44416 .72699 .4528 .72476 .44601 Metetra
.081 .463 .887 r
.72476 .44601 .72699 .4528 .73416 .46168 .73195 .45489 Metetra
.071 .455 .883 r
.73195 .45489 .73416 .46168 .74135 .47075 .73916 .46398 Metetra
.063 .449 .88 r
.73916 .46398 .74135 .47075 .74856 .47997 .74638 .47322 Metetra
.058 .445 .877 r
.74638 .47322 .74856 .47997 .75579 .48932 .75362 .48258 Metetra
.055 .443 .876 r
.75362 .48258 .75579 .48932 .76304 .49874 .76089 .49202 Metetra
.054 .442 .876 r
.76089 .49202 .76304 .49874 .7703 .50819 .76817 .50149 Metetra
.056 .444 .876 r
.76817 .50149 .7703 .50819 .77759 .51764 .77547 .51095 Metetra
.06 .447 .878 r
.77547 .51095 .77759 .51764 .78489 .52704 .78279 .52037 Metetra
.066 .452 .881 r
.78279 .52037 .78489 .52704 .79221 .53635 .79012 .52969 Metetra
.075 .458 .885 r
.79012 .52969 .79221 .53635 .79955 .54553 .79748 .53888 Metetra
.086 .467 .889 r
.79748 .53888 .79955 .54553 .8069 .55453 .80485 .5479 Metetra
.098 .476 .895 r
.80485 .5479 .8069 .55453 .81428 .56332 .81224 .55671 Metetra
.113 .488 .901 r
.81224 .55671 .81428 .56332 .82167 .57186 .81965 .56526 Metetra
.13 .5 .907 r
.81965 .56526 .82167 .57186 .82907 .5801 .82707 .57351 Metetra
.148 .514 .914 r
.82707 .57351 .82907 .5801 .8365 .58801 .83451 .58144 Metetra
.168 .529 .921 r
.83451 .58144 .8365 .58801 .84394 .59556 .84197 .589 Metetra
.189 .545 .929 r
.84197 .589 .84394 .59556 .85139 .60271 .84944 .59615 Metetra
.212 .562 .936 r
.84944 .59615 .85139 .60271 .85886 .60941 .85693 .60287 Metetra
.235 .579 .943 r
.85693 .60287 .85886 .60941 .86635 .61565 .86443 .60912 Metetra
.26 .597 .951 r
.86443 .60912 .86635 .61565 .87385 .6214 .87195 .61487 Metetra
.285 .615 .957 r
.87195 .61487 .87385 .6214 .88136 .62661 .87948 .62009 Metetra
.311 .633 .963 r
.87948 .62009 .88136 .62661 .88889 .63127 .88703 .62476 Metetra
.337 .651 .969 r
.88703 .62476 .88889 .63127 .89643 .63536 .89459 .62884 Metetra
.364 .669 .974 r
.89459 .62884 .89643 .63536 .90398 .63884 .90216 .63233 Metetra
.39 .686 .978 r
.90216 .63233 .90398 .63884 .91155 .64171 .90974 .6352 Metetra
.416 .703 .981 r
.90974 .6352 .91155 .64171 .91913 .64394 .91734 .63743 Metetra
.441 .72 .984 r
.91734 .63743 .91913 .64394 .92672 .64552 .92494 .63901 Metetra
.466 .736 .986 r
.92494 .63901 .92672 .64552 .93432 .64644 .93256 .63992 Metetra
.49 .751 .987 r
.93256 .63992 .93432 .64644 .94193 .64669 .94019 .64016 Metetra
.513 .765 .988 r
.94019 .64016 .94193 .64669 .94955 .64626 .94783 .63973 Metetra
.533 .781 .989 r
.26086 .70369 .26408 .70923 .27033 .70828 .26712 .70274 Metetra
.561 .793 .986 r
.26712 .70274 .27033 .70828 .27659 .70672 .2734 .70117 Metetra
.586 .802 .982 r
.2734 .70117 .27659 .70672 .28287 .70455 .27969 .69898 Metetra
.609 .81 .977 r
.27969 .69898 .28287 .70455 .28916 .70176 .286 .69618 Metetra
.63 .817 .972 r
.286 .69618 .28916 .70176 .29547 .69837 .29232 .69278 Metetra
.648 .823 .967 r
.29232 .69278 .29547 .69837 .3018 .69438 .29866 .68878 Metetra
.665 .828 .962 r
.29866 .68878 .3018 .69438 .30814 .68981 .30501 .68419 Metetra
.68 .832 .956 r
.30501 .68419 .30814 .68981 .31449 .68468 .31137 .67904 Metetra
.694 .836 .951 r
.31137 .67904 .31449 .68468 .32086 .67899 .31775 .67333 Metetra
.706 .839 .946 r
.31775 .67333 .32086 .67899 .32724 .67277 .32415 .66709 Metetra
.717 .841 .941 r
.32415 .66709 .32724 .67277 .33363 .66604 .33056 .66034 Metetra
.727 .843 .936 r
.33056 .66034 .33363 .66604 .34004 .65882 .33698 .6531 Metetra
.735 .845 .932 r
.33698 .6531 .34004 .65882 .34646 .65114 .34341 .64539 Metetra
.743 .847 .928 r
.34341 .64539 .34646 .65114 .35289 .64302 .34985 .63725 Metetra
.75 .848 .924 r
.34985 .63725 .35289 .64302 .35934 .6345 .35631 .62871 Metetra
.756 .849 .92 r
.35631 .62871 .35934 .6345 .36579 .6256 .36278 .61978 Metetra
.761 .85 .917 r
.36278 .61978 .36579 .6256 .37226 .61636 .36926 .61051 Metetra
.766 .851 .914 r
.36926 .61051 .37226 .61636 .37874 .60681 .37576 .60094 Metetra
.77 .851 .912 r
.37576 .60094 .37874 .60681 .38523 .59699 .38226 .59108 Metetra
.773 .852 .91 r
.38226 .59108 .38523 .59699 .39173 .58692 .38878 .58099 Metetra
.775 .852 .908 r
.38878 .58099 .39173 .58692 .39824 .57666 .3953 .5707 Metetra
.777 .852 .907 r
.3953 .5707 .39824 .57666 .40477 .56623 .40184 .56024 Metetra
.779 .853 .906 r
.40184 .56024 .40477 .56623 .4113 .55568 .40839 .54965 Metetra
.78 .853 .905 r
.40839 .54965 .4113 .55568 .41784 .54504 .41494 .53899 Metetra
.78 .853 .905 r
.41494 .53899 .41784 .54504 .4244 .53436 .42151 .52827 Metetra
.78 .853 .905 r
.42151 .52827 .4244 .53436 .43096 .52367 .42809 .51755 Metetra
.779 .853 .906 r
.42809 .51755 .43096 .52367 .43754 .51301 .43468 .50686 Metetra
.778 .852 .906 r
.43468 .50686 .43754 .51301 .44412 .50243 .44128 .49624 Metetra
.776 .852 .908 r
.44128 .49624 .44412 .50243 .45071 .49195 .44788 .48574 Metetra
.774 .852 .909 r
.44788 .48574 .45071 .49195 .45732 .48163 .4545 .47539 Metetra
.771 .851 .911 r
.4545 .47539 .45732 .48163 .46393 .4715 .46113 .46523 Metetra
.768 .85 .913 r
.46113 .46523 .46393 .4715 .47055 .46159 .46777 .45529 Metetra
.764 .85 .915 r
.46777 .45529 .47055 .46159 .47719 .45195 .47441 .44562 Metetra
.759 .848 .918 r
.47441 .44562 .47719 .45195 .48383 .44261 .48107 .43625 Metetra
.753 .847 .921 r
.48107 .43625 .48383 .44261 .49048 .4336 .48774 .42722 Metetra
.747 .846 .925 r
.48774 .42722 .49048 .4336 .49715 .42496 .49442 .41855 Metetra
.74 .844 .928 r
.49442 .41855 .49715 .42496 .50382 .41672 .50111 .41028 Metetra
.732 .842 .932 r
.50111 .41028 .50382 .41672 .51051 .40891 .50781 .40244 Metetra
.723 .839 .936 r
.50781 .40244 .51051 .40891 .51721 .40155 .51452 .39506 Metetra
.713 .836 .94 r
.51452 .39506 .51721 .40155 .52392 .39468 .52124 .38817 Metetra
.703 .833 .945 r
.52124 .38817 .52392 .39468 .53064 .38832 .52798 .38178 Metetra
.691 .829 .949 r
.52798 .38178 .53064 .38832 .53737 .38248 .53472 .37593 Metetra
.678 .824 .954 r
.53472 .37593 .53737 .38248 .54411 .37721 .54148 .37063 Metetra
.664 .819 .958 r
.54148 .37063 .54411 .37721 .55087 .3725 .54825 .36591 Metetra
.648 .813 .962 r
.54825 .36591 .55087 .3725 .55764 .36838 .55504 .36177 Metetra
.631 .806 .967 r
.55504 .36177 .55764 .36838 .56442 .36486 .56183 .35824 Metetra
.613 .798 .97 r
.56183 .35824 .56442 .36486 .57121 .36195 .56864 .35532 Metetra
.594 .79 .974 r
.56864 .35532 .57121 .36195 .57802 .35967 .57547 .35302 Metetra
.573 .78 .977 r
.57547 .35302 .57802 .35967 .58485 .35802 .58231 .35136 Metetra
.551 .769 .979 r
.58231 .35136 .58485 .35802 .59169 .357 .58916 .35033 Metetra
.527 .757 .981 r
.58916 .35033 .59169 .357 .59854 .35662 .59603 .34994 Metetra
.502 .745 .982 r
.59603 .34994 .59854 .35662 .60541 .35687 .60291 .35018 Metetra
.476 .731 .982 r
.60291 .35018 .60541 .35687 .61229 .35775 .60981 .35106 Metetra
.449 .715 .981 r
.60981 .35106 .61229 .35775 .61919 .35926 .61672 .35257 Metetra
.421 .699 .979 r
.61672 .35257 .61919 .35926 .6261 .36139 .62365 .35469 Metetra
.392 .683 .976 r
.62365 .35469 .6261 .36139 .63303 .36412 .6306 .35743 Metetra
.363 .665 .972 r
.6306 .35743 .63303 .36412 .63998 .36745 .63756 .36076 Metetra
.334 .647 .967 r
.63756 .36076 .63998 .36745 .64695 .37136 .64454 .36467 Metetra
.305 .628 .962 r
.64454 .36467 .64695 .37136 .65393 .37583 .65154 .36915 Metetra
.276 .609 .955 r
.65154 .36915 .65393 .37583 .66093 .38085 .65855 .37417 Metetra
.247 .59 .948 r
.65855 .37417 .66093 .38085 .66795 .38638 .66559 .3797 Metetra
.22 .571 .94 r
.66559 .3797 .66795 .38638 .67499 .39241 .67264 .38574 Metetra
.194 .553 .932 r
.67264 .38574 .67499 .39241 .68204 .3989 .67971 .39224 Metetra
.169 .535 .924 r
.67971 .39224 .68204 .3989 .68911 .40584 .6868 .39919 Metetra
.146 .519 .916 r
.6868 .39919 .68911 .40584 .69621 .41318 .69391 .40654 Metetra
.125 .503 .908 r
.69391 .40654 .69621 .41318 .70332 .42091 .70103 .41428 Metetra
.105 .489 .9 r
.70103 .41428 .70332 .42091 .71045 .42898 .70818 .42236 Metetra
.088 .476 .893 r
.70818 .42236 .71045 .42898 .71759 .43735 .71534 .43075 Metetra
.073 .465 .887 r
.71534 .43075 .71759 .43735 .72476 .44601 .72252 .43942 Metetra
.061 .455 .882 r
.72252 .43942 .72476 .44601 .73195 .45489 .72973 .44832 Metetra
.05 .447 .877 r
.72973 .44832 .73195 .45489 .73916 .46398 .73695 .45742 Metetra
.043 .441 .873 r
.73695 .45742 .73916 .46398 .74638 .47322 .74419 .46668 Metetra
.037 .437 .871 r
.74419 .46668 .74638 .47322 .75362 .48258 .75145 .47605 Metetra
.034 .434 .87 r
.75145 .47605 .75362 .48258 .76089 .49202 .75873 .48551 Metetra
.033 .434 .869 r
.75873 .48551 .76089 .49202 .76817 .50149 .76603 .49499 Metetra
.035 .435 .87 r
.76603 .49499 .76817 .50149 .77547 .51095 .77334 .50447 Metetra
.039 .438 .872 r
.77334 .50447 .77547 .51095 .78279 .52037 .78068 .5139 Metetra
.046 .444 .875 r
.78068 .5139 .78279 .52037 .79012 .52969 .78803 .52325 Metetra
.055 .45 .879 r
.78803 .52325 .79012 .52969 .79748 .53888 .7954 .53245 Metetra
.066 .459 .884 r
.7954 .53245 .79748 .53888 .80485 .5479 .80279 .54149 Metetra
.079 .469 .889 r
.80279 .54149 .80485 .5479 .81224 .55671 .8102 .55031 Metetra
.094 .481 .896 r
.8102 .55031 .81224 .55671 .81965 .56526 .81762 .55887 Metetra
.111 .494 .903 r
.81762 .55887 .81965 .56526 .82707 .57351 .82506 .56714 Metetra
.129 .508 .91 r
.82506 .56714 .82707 .57351 .83451 .58144 .83252 .57508 Metetra
.15 .524 .918 r
.83252 .57508 .83451 .58144 .84197 .589 .83999 .58265 Metetra
.172 .54 .926 r
.83999 .58265 .84197 .589 .84944 .59615 .84748 .58982 Metetra
.195 .557 .934 r
.84748 .58982 .84944 .59615 .85693 .60287 .85499 .59655 Metetra
.219 .575 .942 r
.85499 .59655 .85693 .60287 .86443 .60912 .86251 .6028 Metetra
.245 .594 .949 r
.86251 .6028 .86443 .60912 .87195 .61487 .87004 .60856 Metetra
.271 .613 .956 r
.87004 .60856 .87195 .61487 .87948 .62009 .87759 .61379 Metetra
.298 .631 .963 r
.87759 .61379 .87948 .62009 .88703 .62476 .88516 .61846 Metetra
.325 .65 .969 r
.88516 .61846 .88703 .62476 .89459 .62884 .89273 .62255 Metetra
.352 .669 .975 r
.89273 .62255 .89459 .62884 .90216 .63233 .90032 .62604 Metetra
.379 .687 .979 r
.90032 .62604 .90216 .63233 .90974 .6352 .90792 .6289 Metetra
.405 .704 .983 r
.90792 .6289 .90974 .6352 .91734 .63743 .91554 .63113 Metetra
.432 .722 .986 r
.91554 .63113 .91734 .63743 .92494 .63901 .92316 .63271 Metetra
.457 .738 .988 r
.92316 .63271 .92494 .63901 .93256 .63992 .9308 .63362 Metetra
.482 .753 .99 r
.9308 .63362 .93256 .63992 .94019 .64016 .93845 .63385 Metetra
.506 .768 .99 r
.93845 .63385 .94019 .64016 .94783 .63973 .94611 .63341 Metetra
.526 .785 .992 r
.25763 .69836 .26086 .70369 .26712 .70274 .26391 .6974 Metetra
.555 .797 .989 r
.26391 .6974 .26712 .70274 .2734 .70117 .27019 .69582 Metetra
.581 .807 .985 r
.27019 .69582 .2734 .70117 .27969 .69898 .2765 .69362 Metetra
.605 .815 .981 r
.2765 .69362 .27969 .69898 .286 .69618 .28282 .69081 Metetra
.627 .822 .976 r
.28282 .69081 .286 .69618 .29232 .69278 .28915 .68739 Metetra
.646 .828 .97 r
.28915 .68739 .29232 .69278 .29866 .68878 .2955 .68338 Metetra
.663 .833 .965 r
.2955 .68338 .29866 .68878 .30501 .68419 .30186 .67878 Metetra
.679 .837 .959 r
.30186 .67878 .30501 .68419 .31137 .67904 .30824 .67361 Metetra
.693 .841 .954 r
.30824 .67361 .31137 .67904 .31775 .67333 .31464 .66788 Metetra
.705 .844 .949 r
.31464 .66788 .31775 .67333 .32415 .66709 .32104 .66162 Metetra
.717 .847 .944 r
.32104 .66162 .32415 .66709 .33056 .66034 .32746 .65485 Metetra
.727 .849 .939 r
.32746 .65485 .33056 .66034 .33698 .6531 .3339 .64758 Metetra
.735 .85 .934 r
.3339 .64758 .33698 .6531 .34341 .64539 .34034 .63986 Metetra
.743 .852 .93 r
.34034 .63986 .34341 .64539 .34985 .63725 .3468 .63169 Metetra
.75 .853 .926 r
.3468 .63169 .34985 .63725 .35631 .62871 .35327 .62312 Metetra
.756 .854 .923 r
.35327 .62312 .35631 .62871 .36278 .61978 .35976 .61417 Metetra
.762 .855 .92 r
.35976 .61417 .36278 .61978 .36926 .61051 .36625 .60487 Metetra
.766 .856 .917 r
.36625 .60487 .36926 .61051 .37576 .60094 .37276 .59526 Metetra
.77 .856 .914 r
.37276 .59526 .37576 .60094 .38226 .59108 .37928 .58538 Metetra
.774 .857 .912 r
.37928 .58538 .38226 .59108 .38878 .58099 .38581 .57526 Metetra
.776 .857 .91 r
.38581 .57526 .38878 .58099 .3953 .5707 .39235 .56494 Metetra
.778 .857 .909 r
.39235 .56494 .3953 .5707 .40184 .56024 .3989 .55445 Metetra
.78 .857 .908 r
.3989 .55445 .40184 .56024 .40839 .54965 .40546 .54383 Metetra
.781 .858 .907 r
.40546 .54383 .40839 .54965 .41494 .53899 .41203 .53313 Metetra
.781 .858 .907 r
.41203 .53313 .41494 .53899 .42151 .52827 .41861 .52239 Metetra
.781 .858 .907 r
.41861 .52239 .42151 .52827 .42809 .51755 .4252 .51163 Metetra
.78 .858 .908 r
.4252 .51163 .42809 .51755 .43468 .50686 .4318 .50091 Metetra
.779 .857 .909 r
.4318 .50091 .43468 .50686 .44128 .49624 .43842 .49027 Metetra
.777 .857 .91 r
.43842 .49027 .44128 .49624 .44788 .48574 .44504 .47973 Metetra
.775 .857 .911 r
.44504 .47973 .44788 .48574 .4545 .47539 .45167 .46935 Metetra
.772 .856 .913 r
.45167 .46935 .4545 .47539 .46113 .46523 .45831 .45916 Metetra
.768 .855 .915 r
.45831 .45916 .46113 .46523 .46777 .45529 .46496 .4492 Metetra
.764 .855 .918 r
.46496 .4492 .46777 .45529 .47441 .44562 .47163 .4395 Metetra
.759 .854 .921 r
.47163 .4395 .47441 .44562 .48107 .43625 .4783 .4301 Metetra
.754 .852 .924 r
.4783 .4301 .48107 .43625 .48774 .42722 .48498 .42103 Metetra
.747 .851 .927 r
.48498 .42103 .48774 .42722 .49442 .41855 .49168 .41234 Metetra
.74 .849 .931 r
.49168 .41234 .49442 .41855 .50111 .41028 .49838 .40404 Metetra
.732 .847 .935 r
.49838 .40404 .50111 .41028 .50781 .40244 .50509 .39618 Metetra
.723 .844 .939 r
.50509 .39618 .50781 .40244 .51452 .39506 .51182 .38878 Metetra
.713 .841 .943 r
.51182 .38878 .51452 .39506 .52124 .38817 .51856 .38186 Metetra
.702 .838 .948 r
.51856 .38186 .52124 .38817 .52798 .38178 .52531 .37545 Metetra
.69 .834 .952 r
.52531 .37545 .52798 .38178 .53472 .37593 .53207 .36958 Metetra
.676 .829 .957 r
.53207 .36958 .53472 .37593 .54148 .37063 .53884 .36426 Metetra
.662 .824 .961 r
.53884 .36426 .54148 .37063 .54825 .36591 .54563 .35952 Metetra
.646 .818 .966 r
.54563 .35952 .54825 .36591 .55504 .36177 .55243 .35537 Metetra
.629 .811 .97 r
.55243 .35537 .55504 .36177 .56183 .35824 .55924 .35182 Metetra
.61 .803 .974 r
.55924 .35182 .56183 .35824 .56864 .35532 .56606 .34889 Metetra
.59 .794 .977 r
.56606 .34889 .56864 .35532 .57547 .35302 .5729 .34658 Metetra
.568 .784 .98 r
.5729 .34658 .57547 .35302 .58231 .35136 .57975 .3449 Metetra
.545 .773 .982 r
.57975 .3449 .58231 .35136 .58916 .35033 .58662 .34387 Metetra
.521 .761 .984 r
.58662 .34387 .58916 .35033 .59603 .34994 .5935 .34347 Metetra
.495 .747 .985 r
.5935 .34347 .59603 .34994 .60291 .35018 .6004 .34371 Metetra
.468 .733 .984 r
.6004 .34371 .60291 .35018 .60981 .35106 .60731 .34458 Metetra
.44 .717 .983 r
.60731 .34458 .60981 .35106 .61672 .35257 .61424 .34608 Metetra
.411 .701 .981 r
.61424 .34608 .61672 .35257 .62365 .35469 .62119 .34821 Metetra
.382 .683 .978 r
.62119 .34821 .62365 .35469 .6306 .35743 .62815 .35094 Metetra
.351 .665 .973 r
.62815 .35094 .6306 .35743 .63756 .36076 .63513 .35427 Metetra
.321 .646 .968 r
.63513 .35427 .63756 .36076 .64454 .36467 .64212 .35819 Metetra
.291 .626 .961 r
.64212 .35819 .64454 .36467 .65154 .36915 .64913 .36267 Metetra
.261 .606 .954 r
.64913 .36267 .65154 .36915 .65855 .37417 .65617 .36769 Metetra
.232 .587 .946 r
.65617 .36769 .65855 .37417 .66559 .3797 .66321 .37323 Metetra
.203 .567 .938 r
.66321 .37323 .66559 .3797 .67264 .38574 .67028 .37928 Metetra
.176 .548 .929 r
.67028 .37928 .67264 .38574 .67971 .39224 .67737 .38579 Metetra
.151 .53 .92 r
.67737 .38579 .67971 .39224 .6868 .39919 .68447 .39275 Metetra
.127 .513 .912 r
.68447 .39275 .6868 .39919 .69391 .40654 .69159 .40011 Metetra
.105 .496 .903 r
.69159 .40011 .69391 .40654 .70103 .41428 .69873 .40786 Metetra
.086 .482 .895 r
.69873 .40786 .70103 .41428 .70818 .42236 .7059 .41596 Metetra
.068 .468 .887 r
.7059 .41596 .70818 .42236 .71534 .43075 .71308 .42436 Metetra
.053 .456 .881 r
.71308 .42436 .71534 .43075 .72252 .43942 .72027 .43304 Metetra
.04 .446 .875 r
.72027 .43304 .72252 .43942 .72973 .44832 .72749 .44196 Metetra
.029 .438 .87 r
.72749 .44196 .72973 .44832 .73695 .45742 .73473 .45107 Metetra
.021 .432 .866 r
.73473 .45107 .73695 .45742 .74419 .46668 .74199 .46035 Metetra
.016 .428 .864 r
.74199 .46035 .74419 .46668 .75145 .47605 .74926 .46974 Metetra
.013 .425 .862 r
.74926 .46974 .75145 .47605 .75873 .48551 .75656 .47921 Metetra
.012 .425 .862 r
.75656 .47921 .75873 .48551 .76603 .49499 .76387 .48871 Metetra
.014 .426 .863 r
.76387 .48871 .76603 .49499 .77334 .50447 .7712 .49821 Metetra
.018 .43 .865 r
.7712 .49821 .77334 .50447 .78068 .5139 .77856 .50766 Metetra
.025 .435 .868 r
.77856 .50766 .78068 .5139 .78803 .52325 .78593 .51701 Metetra
.034 .442 .872 r
.78593 .51701 .78803 .52325 .7954 .53245 .79331 .52624 Metetra
.045 .451 .877 r
.79331 .52624 .7954 .53245 .80279 .54149 .80072 .53529 Metetra
.058 .461 .883 r
.80072 .53529 .80279 .54149 .8102 .55031 .80814 .54412 Metetra
.073 .473 .89 r
.80814 .54412 .8102 .55031 .81762 .55887 .81559 .5527 Metetra
.091 .487 .898 r
.81559 .5527 .81762 .55887 .82506 .56714 .82304 .56099 Metetra
.11 .502 .905 r
.82304 .56099 .82506 .56714 .83252 .57508 .83052 .56894 Metetra
.131 .518 .914 r
.83052 .56894 .83252 .57508 .83999 .58265 .83801 .57652 Metetra
.153 .535 .922 r
.83801 .57652 .83999 .58265 .84748 .58982 .84552 .5837 Metetra
.177 .553 .931 r
.84552 .5837 .84748 .58982 .85499 .59655 .85304 .59044 Metetra
.202 .571 .939 r
.85304 .59044 .85499 .59655 .86251 .6028 .86058 .5967 Metetra
.229 .59 .947 r
.86058 .5967 .86251 .6028 .87004 .60856 .86813 .60247 Metetra
.255 .61 .955 r
.86813 .60247 .87004 .60856 .87759 .61379 .8757 .6077 Metetra
.283 .629 .962 r
.8757 .6077 .87759 .61379 .88516 .61846 .88328 .61238 Metetra
.311 .649 .969 r
.88328 .61238 .88516 .61846 .89273 .62255 .89087 .61647 Metetra
.339 .668 .975 r
.89087 .61647 .89273 .62255 .90032 .62604 .89848 .61996 Metetra
.367 .687 .98 r
.89848 .61996 .90032 .62604 .90792 .6289 .9061 .62283 Metetra
.394 .705 .984 r
.9061 .62283 .90792 .6289 .91554 .63113 .91373 .62506 Metetra
.421 .723 .988 r
.91373 .62506 .91554 .63113 .92316 .63271 .92138 .62663 Metetra
.448 .74 .99 r
.92138 .62663 .92316 .63271 .9308 .63362 .92903 .62754 Metetra
.474 .756 .992 r
.92903 .62754 .9308 .63362 .93845 .63385 .9367 .62777 Metetra
.498 .771 .993 r
.9367 .62777 .93845 .63385 .94611 .63341 .94438 .62731 Metetra
.519 .788 .994 r
.25438 .69323 .25763 .69836 .26391 .6974 .26067 .69226 Metetra
.549 .8 .992 r
.26067 .69226 .26391 .6974 .27019 .69582 .26697 .69067 Metetra
.576 .811 .988 r
.26697 .69067 .27019 .69582 .2765 .69362 .27328 .68847 Metetra
.601 .82 .984 r
.27328 .68847 .2765 .69362 .28282 .69081 .27962 .68564 Metetra
.623 .827 .979 r
.27962 .68564 .28282 .69081 .28915 .68739 .28596 .68221 Metetra
.643 .833 .973 r
.28596 .68221 .28915 .68739 .2955 .68338 .29233 .67818 Metetra
.661 .838 .968 r
.29233 .67818 .2955 .68338 .30186 .67878 .2987 .67357 Metetra
.677 .843 .963 r
.2987 .67357 .30186 .67878 .30824 .67361 .30509 .66838 Metetra
.692 .846 .957 r
.30509 .66838 .30824 .67361 .31464 .66788 .3115 .66263 Metetra
.704 .849 .952 r
.3115 .66263 .31464 .66788 .32104 .66162 .31792 .65635 Metetra
.716 .852 .947 r
.31792 .65635 .32104 .66162 .32746 .65485 .32435 .64956 Metetra
.726 .854 .942 r
.32435 .64956 .32746 .65485 .3339 .64758 .3308 .64227 Metetra
.735 .856 .937 r
.3308 .64227 .3339 .64758 .34034 .63986 .33726 .63452 Metetra
.743 .857 .933 r
.33726 .63452 .34034 .63986 .3468 .63169 .34373 .62633 Metetra
.751 .858 .929 r
.34373 .62633 .3468 .63169 .35327 .62312 .35022 .61773 Metetra
.757 .859 .925 r
.35022 .61773 .35327 .62312 .35976 .61417 .35672 .60876 Metetra
.762 .86 .922 r
.35672 .60876 .35976 .61417 .36625 .60487 .36322 .59943 Metetra
.767 .861 .919 r
.36322 .59943 .36625 .60487 .37276 .59526 .36974 .5898 Metetra
.771 .861 .916 r
.36974 .5898 .37276 .59526 .37928 .58538 .37628 .57989 Metetra
.774 .862 .914 r
.37628 .57989 .37928 .58538 .38581 .57526 .38282 .56974 Metetra
.777 .862 .913 r
.38282 .56974 .38581 .57526 .39235 .56494 .38937 .55938 Metetra
.779 .862 .911 r
.38937 .55938 .39235 .56494 .3989 .55445 .39594 .54886 Metetra
.781 .862 .91 r
.39594 .54886 .3989 .55445 .40546 .54383 .40251 .53822 Metetra
.782 .863 .91 r
.40251 .53822 .40546 .54383 .41203 .53313 .4091 .52749 Metetra
.782 .863 .909 r
.4091 .52749 .41203 .53313 .41861 .52239 .41569 .51671 Metetra
.782 .863 .909 r
.41569 .51671 .41861 .52239 .4252 .51163 .4223 .50593 Metetra
.781 .863 .91 r
.4223 .50593 .4252 .51163 .4318 .50091 .42892 .49517 Metetra
.78 .862 .911 r
.42892 .49517 .4318 .50091 .43842 .49027 .43554 .4845 Metetra
.778 .862 .912 r
.43554 .4845 .43842 .49027 .44504 .47973 .44218 .47393 Metetra
.776 .862 .913 r
.44218 .47393 .44504 .47973 .45167 .46935 .44883 .46352 Metetra
.773 .861 .915 r
.44883 .46352 .45167 .46935 .45831 .45916 .45548 .4533 Metetra
.769 .861 .917 r
.45548 .4533 .45831 .45916 .46496 .4492 .46215 .4433 Metetra
.765 .86 .92 r
.46215 .4433 .46496 .4492 .47163 .4395 .46883 .43357 Metetra
.76 .859 .923 r
.46883 .43357 .47163 .4395 .4783 .4301 .47551 .42415 Metetra
.754 .857 .926 r
.47551 .42415 .4783 .4301 .48498 .42103 .48221 .41506 Metetra
.748 .856 .93 r
.48221 .41506 .48498 .42103 .49168 .41234 .48892 .40633 Metetra
.74 .854 .933 r
.48892 .40633 .49168 .41234 .49838 .40404 .49564 .39801 Metetra
.732 .852 .937 r
.49564 .39801 .49838 .40404 .50509 .39618 .50237 .39013 Metetra
.723 .85 .942 r
.50237 .39013 .50509 .39618 .51182 .38878 .50911 .3827 Metetra
.712 .847 .946 r
.50911 .3827 .51182 .38878 .51856 .38186 .51586 .37576 Metetra
.701 .843 .951 r
.51586 .37576 .51856 .38186 .52531 .37545 .52262 .36933 Metetra
.689 .839 .955 r
.52262 .36933 .52531 .37545 .53207 .36958 .5294 .36344 Metetra
.675 .834 .96 r
.5294 .36344 .53207 .36958 .53884 .36426 .53619 .3581 Metetra
.66 .829 .965 r
.53619 .3581 .53884 .36426 .54563 .35952 .54299 .35334 Metetra
.644 .823 .969 r
.54299 .35334 .54563 .35952 .55243 .35537 .5498 .34917 Metetra
.626 .816 .973 r
.5498 .34917 .55243 .35537 .55924 .35182 .55663 .34561 Metetra
.607 .808 .977 r
.55663 .34561 .55924 .35182 .56606 .34889 .56347 .34266 Metetra
.586 .798 .98 r
.56347 .34266 .56606 .34889 .5729 .34658 .57032 .34034 Metetra
.564 .788 .983 r
.57032 .34034 .5729 .34658 .57975 .3449 .57719 .33865 Metetra
.54 .777 .986 r
.57719 .33865 .57975 .3449 .58662 .34387 .58407 .33761 Metetra
.515 .764 .987 r
.58407 .33761 .58662 .34387 .5935 .34347 .59097 .3372 Metetra
.488 .75 .987 r
.59097 .3372 .5935 .34347 .6004 .34371 .59788 .33743 Metetra
.46 .735 .987 r
.59788 .33743 .6004 .34371 .60731 .34458 .60481 .3383 Metetra
.431 .719 .985 r
.60481 .3383 .60731 .34458 .61424 .34608 .61175 .3398 Metetra
.401 .702 .983 r
.61175 .3398 .61424 .34608 .62119 .34821 .61871 .34193 Metetra
.37 .683 .979 r
.61871 .34193 .62119 .34821 .62815 .35094 .62569 .34466 Metetra
.339 .664 .974 r
.62569 .34466 .62815 .35094 .63513 .35427 .63268 .34799 Metetra
.307 .644 .968 r
.63268 .34799 .63513 .35427 .64212 .35819 .63969 .35191 Metetra
.276 .624 .961 r
.63969 .35191 .64212 .35819 .64913 .36267 .64672 .35639 Metetra
.245 .603 .953 r
.64672 .35639 .64913 .36267 .65617 .36769 .65376 .36142 Metetra
.215 .583 .944 r
.65376 .36142 .65617 .36769 .66321 .37323 .66083 .36697 Metetra
.186 .562 .935 r
.66083 .36697 .66321 .37323 .67028 .37928 .66791 .37302 Metetra
.158 .543 .925 r
.66791 .37302 .67028 .37928 .67737 .38579 .67501 .37955 Metetra
.132 .524 .916 r
.67501 .37955 .67737 .38579 .68447 .39275 .68213 .38651 Metetra
.108 .506 .906 r
.68213 .38651 .68447 .39275 .69159 .40011 .68927 .39389 Metetra
.085 .489 .897 r
.68927 .39389 .69159 .40011 .69873 .40786 .69643 .40165 Metetra
.065 .474 .889 r
.69643 .40165 .69873 .40786 .7059 .41596 .7036 .40976 Metetra
.047 .46 .881 r
.7036 .40976 .7059 .41596 .71308 .42436 .7108 .41818 Metetra
.031 .448 .873 r
.7108 .41818 .71308 .42436 .72027 .43304 .71801 .42687 Metetra
.018 .437 .867 r
.71801 .42687 .72027 .43304 .72749 .44196 .72525 .43581 Metetra
.007 .429 .862 r
.72525 .43581 .72749 .44196 .73473 .45107 .7325 .44494 Metetra
0 .422 .858 r
.7325 .44494 .73473 .45107 .74199 .46035 .73978 .45423 Metetra
0 .418 .855 r
.73978 .45423 .74199 .46035 .74926 .46974 .74707 .46364 Metetra
0 .415 .854 r
.74707 .46364 .74926 .46974 .75656 .47921 .75438 .47312 Metetra
0 .415 .853 r
.75438 .47312 .75656 .47921 .76387 .48871 .76171 .48264 Metetra
0 .416 .854 r
.76171 .48264 .76387 .48871 .7712 .49821 .76906 .49216 Metetra
0 .42 .856 r
.76906 .49216 .7712 .49821 .77856 .50766 .77643 .50162 Metetra
.003 .425 .86 r
.77643 .50162 .77856 .50766 .78593 .51701 .78381 .511 Metetra
.012 .433 .864 r
.78381 .511 .78593 .51701 .79331 .52624 .79122 .52024 Metetra
.023 .442 .87 r
.79122 .52024 .79331 .52624 .80072 .53529 .79864 .5293 Metetra
.037 .453 .876 r
.79864 .5293 .80072 .53529 .80814 .54412 .80608 .53815 Metetra
.052 .465 .883 r
.80608 .53815 .80814 .54412 .81559 .5527 .81354 .54675 Metetra
.07 .479 .891 r
.81354 .54675 .81559 .5527 .82304 .56099 .82102 .55505 Metetra
.09 .494 .9 r
.82102 .55505 .82304 .56099 .83052 .56894 .82851 .56301 Metetra
.111 .511 .909 r
.82851 .56301 .83052 .56894 .83801 .57652 .83602 .57061 Metetra
.134 .529 .918 r
.83602 .57061 .83801 .57652 .84552 .5837 .84354 .5778 Metetra
.159 .547 .927 r
.84354 .5778 .84552 .5837 .85304 .59044 .85108 .58455 Metetra
.185 .566 .936 r
.85108 .58455 .85304 .59044 .86058 .5967 .85864 .59082 Metetra
.212 .586 .945 r
.85864 .59082 .86058 .5967 .86813 .60247 .86621 .5966 Metetra
.239 .606 .953 r
.86621 .5966 .86813 .60247 .8757 .6077 .87379 .60184 Metetra
.268 .627 .961 r
.87379 .60184 .8757 .6077 .88328 .61238 .88139 .60652 Metetra
.296 .647 .968 r
.88139 .60652 .88328 .61238 .89087 .61647 .889 .61062 Metetra
.325 .667 .975 r
.889 .61062 .89087 .61647 .89848 .61996 .89663 .61411 Metetra
.354 .687 .98 r
.89663 .61411 .89848 .61996 .9061 .62283 .90427 .61698 Metetra
.383 .706 .985 r
.90427 .61698 .9061 .62283 .91373 .62506 .91192 .6192 Metetra
.411 .724 .989 r
.91192 .6192 .91373 .62506 .92138 .62663 .91958 .62077 Metetra
.438 .742 .992 r
.91958 .62077 .92138 .62663 .92903 .62754 .92726 .62168 Metetra
.465 .758 .994 r
.92726 .62168 .92903 .62754 .9367 .62777 .93494 .6219 Metetra
.49 .774 .995 r
.93494 .6219 .9367 .62777 .94438 .62731 .94264 .62144 Metetra
.511 .791 .996 r
.25112 .6883 .25438 .69323 .26067 .69226 .25742 .68733 Metetra
.542 .804 .994 r
.25742 .68733 .26067 .69226 .26697 .69067 .26373 .68573 Metetra
.571 .815 .991 r
.26373 .68573 .26697 .69067 .27328 .68847 .27006 .68352 Metetra
.596 .824 .987 r
.27006 .68352 .27328 .68847 .27962 .68564 .2764 .68068 Metetra
.619 .832 .982 r
.2764 .68068 .27962 .68564 .28596 .68221 .28276 .67724 Metetra
.64 .838 .976 r
.28276 .67724 .28596 .68221 .29233 .67818 .28914 .67319 Metetra
.659 .844 .971 r
.28914 .67319 .29233 .67818 .2987 .67357 .29553 .66856 Metetra
.675 .848 .965 r
.29553 .66856 .2987 .67357 .30509 .66838 .30193 .66336 Metetra
.69 .852 .96 r
.30193 .66336 .30509 .66838 .3115 .66263 .30835 .65759 Metetra
.704 .855 .955 r
.30835 .65759 .3115 .66263 .31792 .65635 .31478 .65129 Metetra
.715 .857 .949 r
.31478 .65129 .31792 .65635 .32435 .64956 .32123 .64448 Metetra
.726 .859 .944 r
.32123 .64448 .32435 .64956 .3308 .64227 .32769 .63717 Metetra
.735 .861 .94 r
.32769 .63717 .3308 .64227 .33726 .63452 .33416 .6294 Metetra
.743 .862 .935 r
.33416 .6294 .33726 .63452 .34373 .62633 .34065 .62118 Metetra
.751 .864 .931 r
.34065 .62118 .34373 .62633 .35022 .61773 .34715 .61256 Metetra
.757 .864 .928 r
.34715 .61256 .35022 .61773 .35672 .60876 .35366 .60355 Metetra
.763 .865 .924 r
.35366 .60355 .35672 .60876 .36322 .59943 .36018 .5942 Metetra
.768 .866 .921 r
.36018 .5942 .36322 .59943 .36974 .5898 .36671 .58454 Metetra
.772 .866 .919 r
.36671 .58454 .36974 .5898 .37628 .57989 .37326 .5746 Metetra
.775 .867 .916 r
.37326 .5746 .37628 .57989 .38282 .56974 .37982 .56442 Metetra
.778 .867 .915 r
.37982 .56442 .38282 .56974 .38937 .55938 .38639 .55403 Metetra
.78 .867 .913 r
.38639 .55403 .38937 .55938 .39594 .54886 .39296 .54348 Metetra
.782 .868 .912 r
.39296 .54348 .39594 .54886 .40251 .53822 .39955 .53281 Metetra
.783 .868 .912 r
.39955 .53281 .40251 .53822 .4091 .52749 .40615 .52205 Metetra
.783 .868 .911 r
.40615 .52205 .4091 .52749 .41569 .51671 .41276 .51124 Metetra
.783 .868 .911 r
.41276 .51124 .41569 .51671 .4223 .50593 .41938 .50042 Metetra
.782 .868 .912 r
.41938 .50042 .4223 .50593 .42892 .49517 .42601 .48964 Metetra
.781 .867 .913 r
.42601 .48964 .42892 .49517 .43554 .4845 .43266 .47893 Metetra
.779 .867 .914 r
.43266 .47893 .43554 .4845 .44218 .47393 .43931 .46834 Metetra
.777 .867 .915 r
.43931 .46834 .44218 .47393 .44883 .46352 .44597 .45789 Metetra
.773 .866 .917 r
.44597 .45789 .44883 .46352 .45548 .4533 .45264 .44764 Metetra
.77 .866 .92 r
.45264 .44764 .45548 .4533 .46215 .4433 .45932 .43762 Metetra
.765 .865 .922 r
.45932 .43762 .46215 .4433 .46883 .43357 .46601 .42786 Metetra
.76 .864 .925 r
.46601 .42786 .46883 .43357 .47551 .42415 .47271 .4184 Metetra
.754 .863 .929 r
.47271 .4184 .47551 .42415 .48221 .41506 .47942 .40928 Metetra
.748 .861 .932 r
.47942 .40928 .48221 .41506 .48892 .40633 .48615 .40054 Metetra
.74 .86 .936 r
.48615 .40054 .48892 .40633 .49564 .39801 .49288 .39219 Metetra
.732 .857 .94 r
.49288 .39219 .49564 .39801 .50237 .39013 .49962 .38428 Metetra
.722 .855 .944 r
.49962 .38428 .50237 .39013 .50911 .3827 .50638 .37682 Metetra
.712 .852 .949 r
.50638 .37682 .50911 .3827 .51586 .37576 .51315 .36986 Metetra
.7 .848 .954 r
.51315 .36986 .51586 .37576 .52262 .36933 .51992 .36341 Metetra
.687 .844 .958 r
.51992 .36341 .52262 .36933 .5294 .36344 .52671 .3575 Metetra
.673 .84 .963 r
.52671 .3575 .5294 .36344 .53619 .3581 .53352 .35214 Metetra
.658 .834 .968 r
.53352 .35214 .53619 .3581 .54299 .35334 .54033 .34736 Metetra
.641 .828 .972 r
.54033 .34736 .54299 .35334 .5498 .34917 .54716 .34318 Metetra
.623 .82 .976 r
.54716 .34318 .5498 .34917 .55663 .34561 .554 .3396 Metetra
.603 .812 .98 r
.554 .3396 .55663 .34561 .56347 .34266 .56086 .33664 Metetra
.581 .803 .984 r
.56086 .33664 .56347 .34266 .57032 .34034 .56772 .33431 Metetra
.558 .792 .986 r
.56772 .33431 .57032 .34034 .57719 .33865 .57461 .33261 Metetra
.534 .78 .988 r
.57461 .33261 .57719 .33865 .58407 .33761 .5815 .33156 Metetra
.508 .767 .99 r
.5815 .33156 .58407 .33761 .59097 .3372 .58842 .33114 Metetra
.48 .753 .99 r
.58842 .33114 .59097 .3372 .59788 .33743 .59534 .33137 Metetra
.451 .737 .989 r
.59534 .33137 .59788 .33743 .60481 .3383 .60229 .33223 Metetra
.421 .72 .987 r
.60229 .33223 .60481 .3383 .61175 .3398 .60925 .33373 Metetra
.39 .702 .984 r
.60925 .33373 .61175 .3398 .61871 .34193 .61622 .33585 Metetra
.358 .683 .979 r
.61622 .33585 .61871 .34193 .62569 .34466 .62321 .33859 Metetra
.326 .663 .974 r
.62321 .33859 .62569 .34466 .63268 .34799 .63022 .34192 Metetra
.293 .642 .967 r
.63022 .34192 .63268 .34799 .63969 .35191 .63725 .34584 Metetra
.261 .621 .959 r
.63725 .34584 .63969 .35191 .64672 .35639 .64429 .35033 Metetra
.229 .6 .95 r
.64429 .35033 .64672 .35639 .65376 .36142 .65135 .35537 Metetra
.198 .578 .941 r
.65135 .35537 .65376 .36142 .66083 .36697 .65843 .36092 Metetra
.168 .557 .931 r
.65843 .36092 .66083 .36697 .66791 .37302 .66553 .36698 Metetra
.139 .537 .921 r
.66553 .36698 .66791 .37302 .67501 .37955 .67265 .37352 Metetra
.112 .517 .91 r
.67265 .37352 .67501 .37955 .68213 .38651 .67978 .38049 Metetra
.087 .498 .9 r
.67978 .38049 .68213 .38651 .68927 .39389 .68694 .38788 Metetra
.064 .481 .89 r
.68694 .38788 .68927 .39389 .69643 .40165 .69411 .39566 Metetra
.043 .465 .881 r
.69411 .39566 .69643 .40165 .7036 .40976 .7013 .40378 Metetra
.025 .451 .873 r
.7013 .40378 .7036 .40976 .7108 .41818 .70851 .41221 Metetra
.009 .438 .865 r
.70851 .41221 .7108 .41818 .71801 .42687 .71574 .42092 Metetra
0 .428 .858 r
.71574 .42092 .71801 .42687 .72525 .43581 .72299 .42987 Metetra
0 .419 .853 r
.72299 .42987 .72525 .43581 .7325 .44494 .73026 .43902 Metetra
0 .412 .849 r
.73026 .43902 .7325 .44494 .73978 .45423 .73755 .44832 Metetra
0 .408 .846 r
.73755 .44832 .73978 .45423 .74707 .46364 .74486 .45775 Metetra
0 .405 .844 r
.74486 .45775 .74707 .46364 .75438 .47312 .75219 .46725 Metetra
0 .404 .844 r
.75219 .46725 .75438 .47312 .76171 .48264 .75954 .47679 Metetra
0 .406 .845 r
.75954 .47679 .76171 .48264 .76906 .49216 .7669 .48632 Metetra
0 .41 .847 r
.7669 .48632 .76906 .49216 .77643 .50162 .77429 .49581 Metetra
0 .415 .851 r
.77429 .49581 .77643 .50162 .78381 .511 .78169 .5052 Metetra
0 .423 .855 r
.78169 .5052 .78381 .511 .79122 .52024 .78911 .51445 Metetra
.001 .432 .861 r
.78911 .51445 .79122 .52024 .79864 .5293 .79655 .52354 Metetra
.015 .443 .868 r
.79655 .52354 .79864 .5293 .80608 .53815 .80401 .5324 Metetra
.031 .456 .876 r
.80401 .5324 .80608 .53815 .81354 .54675 .81149 .54101 Metetra
.049 .47 .884 r
.81149 .54101 .81354 .54675 .82102 .55505 .81898 .54933 Metetra
.069 .486 .893 r
.81898 .54933 .82102 .55505 .82851 .56301 .82649 .55731 Metetra
.091 .504 .902 r
.82649 .55731 .82851 .56301 .83602 .57061 .83401 .56492 Metetra
.114 .522 .912 r
.83401 .56492 .83602 .57061 .84354 .5778 .84156 .57212 Metetra
.14 .541 .922 r
.84156 .57212 .84354 .5778 .85108 .58455 .84911 .57888 Metetra
.166 .561 .932 r
.84911 .57888 .85108 .58455 .85864 .59082 .85669 .58516 Metetra
.194 .582 .941 r
.85669 .58516 .85864 .59082 .86621 .5966 .86428 .59094 Metetra
.222 .603 .95 r
.86428 .59094 .86621 .5966 .87379 .60184 .87188 .59619 Metetra
.251 .624 .959 r
.87188 .59619 .87379 .60184 .88139 .60652 .8795 .60088 Metetra
.281 .645 .967 r
.8795 .60088 .88139 .60652 .889 .61062 .88713 .60498 Metetra
.311 .665 .974 r
.88713 .60498 .889 .61062 .89663 .61411 .89477 .60848 Metetra
.34 .686 .98 r
.89477 .60848 .89663 .61411 .90427 .61698 .90243 .61135 Metetra
.37 .706 .985 r
.90243 .61135 .90427 .61698 .91192 .6192 .9101 .61357 Metetra
.399 .725 .989 r
.9101 .61357 .91192 .6192 .91958 .62077 .91778 .61514 Metetra
.427 .743 .993 r
.91778 .61514 .91958 .62077 .92726 .62168 .92547 .61604 Metetra
.455 .76 .995 r
.92547 .61604 .92726 .62168 .93494 .6219 .93318 .61626 Metetra
.481 .776 .996 r
.93318 .61626 .93494 .6219 .94264 .62144 .94089 .61579 Metetra
.503 .794 .998 r
.24784 .68359 .25112 .6883 .25742 .68733 .25414 .68261 Metetra
.535 .808 .996 r
.25414 .68261 .25742 .68733 .26373 .68573 .26047 .681 Metetra
.565 .819 .993 r
.26047 .681 .26373 .68573 .27006 .68352 .26681 .67878 Metetra
.592 .829 .989 r
.26681 .67878 .27006 .68352 .2764 .68068 .27317 .67593 Metetra
.615 .837 .984 r
.27317 .67593 .2764 .68068 .28276 .67724 .27954 .67247 Metetra
.637 .843 .979 r
.27954 .67247 .28276 .67724 .28914 .67319 .28593 .66842 Metetra
.656 .849 .974 r
.28593 .66842 .28914 .67319 .29553 .66856 .29233 .66377 Metetra
.673 .853 .968 r
.29233 .66377 .29553 .66856 .30193 .66336 .29875 .65854 Metetra
.689 .857 .963 r
.29875 .65854 .30193 .66336 .30835 .65759 .30518 .65276 Metetra
.702 .86 .957 r
.30518 .65276 .30835 .65759 .31478 .65129 .31163 .64644 Metetra
.715 .863 .952 r
.31163 .64644 .31478 .65129 .32123 .64448 .31809 .63961 Metetra
.725 .865 .947 r
.31809 .63961 .32123 .64448 .32769 .63717 .32456 .63228 Metetra
.735 .866 .942 r
.32456 .63228 .32769 .63717 .33416 .6294 .33105 .62448 Metetra
.743 .868 .938 r
.33105 .62448 .33416 .6294 .34065 .62118 .33755 .61624 Metetra
.751 .869 .934 r
.33755 .61624 .34065 .62118 .34715 .61256 .34406 .60759 Metetra
.757 .87 .93 r
.34406 .60759 .34715 .61256 .35366 .60355 .35058 .59856 Metetra
.763 .87 .926 r
.35058 .59856 .35366 .60355 .36018 .5942 .35712 .58918 Metetra
.768 .871 .923 r
.35712 .58918 .36018 .5942 .36671 .58454 .36367 .57949 Metetra
.772 .872 .921 r
.36367 .57949 .36671 .58454 .37326 .5746 .37023 .56952 Metetra
.776 .872 .919 r
.37023 .56952 .37326 .5746 .37982 .56442 .3768 .55931 Metetra
.779 .872 .917 r
.3768 .55931 .37982 .56442 .38639 .55403 .38338 .5489 Metetra
.781 .872 .915 r
.38338 .5489 .38639 .55403 .39296 .54348 .38997 .53832 Metetra
.782 .873 .914 r
.38997 .53832 .39296 .54348 .39955 .53281 .39658 .52761 Metetra
.783 .873 .914 r
.39658 .52761 .39955 .53281 .40615 .52205 .40319 .51682 Metetra
.784 .873 .913 r
.40319 .51682 .40615 .52205 .41276 .51124 .40982 .50598 Metetra
.784 .873 .913 r
.40982 .50598 .41276 .51124 .41938 .50042 .41645 .49513 Metetra
.783 .873 .914 r
.41645 .49513 .41938 .50042 .42601 .48964 .4231 .48432 Metetra
.782 .873 .915 r
.4231 .48432 .42601 .48964 .43266 .47893 .42975 .47358 Metetra
.78 .872 .916 r
.42975 .47358 .43266 .47893 .43931 .46834 .43642 .46295 Metetra
.777 .872 .917 r
.43642 .46295 .43931 .46834 .44597 .45789 .44309 .45247 Metetra
.774 .872 .919 r
.44309 .45247 .44597 .45789 .45264 .44764 .44978 .44219 Metetra
.77 .871 .922 r
.44978 .44219 .45264 .44764 .45932 .43762 .45647 .43214 Metetra
.766 .87 .924 r
.45647 .43214 .45932 .43762 .46601 .42786 .46318 .42235 Metetra
.761 .869 .928 r
.46318 .42235 .46601 .42786 .47271 .4184 .4699 .41287 Metetra
.755 .868 .931 r
.4699 .41287 .47271 .4184 .47942 .40928 .47662 .40372 Metetra
.748 .867 .935 r
.47662 .40372 .47942 .40928 .48615 .40054 .48336 .39494 Metetra
.74 .865 .938 r
.48336 .39494 .48615 .40054 .49288 .39219 .49011 .38657 Metetra
.731 .863 .943 r
.49011 .38657 .49288 .39219 .49962 .38428 .49687 .37863 Metetra
.722 .86 .947 r
.49687 .37863 .49962 .38428 .50638 .37682 .50364 .37116 Metetra
.711 .857 .952 r
.50364 .37116 .50638 .37682 .51315 .36986 .51042 .36417 Metetra
.699 .854 .956 r
.51042 .36417 .51315 .36986 .51992 .36341 .51721 .3577 Metetra
.686 .85 .961 r
.51721 .3577 .51992 .36341 .52671 .3575 .52402 .35177 Metetra
.671 .845 .966 r
.52402 .35177 .52671 .3575 .53352 .35214 .53084 .34639 Metetra
.656 .839 .971 r
.53084 .34639 .53352 .35214 .54033 .34736 .53767 .3416 Metetra
.638 .833 .975 r
.53767 .3416 .54033 .34736 .54716 .34318 .54451 .33739 Metetra
.619 .825 .979 r
.54451 .33739 .54716 .34318 .554 .3396 .55136 .3338 Metetra
.599 .817 .983 r
.55136 .3338 .554 .3396 .56086 .33664 .55823 .33083 Metetra
.577 .807 .987 r
.55823 .33083 .56086 .33664 .56772 .33431 .56512 .32849 Metetra
.553 .796 .989 r
.56512 .32849 .56772 .33431 .57461 .33261 .57202 .32678 Metetra
.527 .784 .991 r
.57202 .32678 .57461 .33261 .5815 .33156 .57893 .32571 Metetra
.5 .77 .992 r
.57893 .32571 .5815 .33156 .58842 .33114 .58585 .32529 Metetra
.472 .755 .992 r
.58585 .32529 .58842 .33114 .59534 .33137 .5928 .32551 Metetra
.442 .739 .991 r
.5928 .32551 .59534 .33137 .60229 .33223 .59976 .32638 Metetra
.41 .721 .988 r
.59976 .32638 .60229 .33223 .60925 .33373 .60673 .32787 Metetra
.378 .703 .984 r
.60673 .32787 .60925 .33373 .61622 .33585 .61372 .32999 Metetra
.345 .683 .979 r
.61372 .32999 .61622 .33585 .62321 .33859 .62073 .33273 Metetra
.311 .662 .973 r
.62073 .33273 .62321 .33859 .63022 .34192 .62775 .33606 Metetra
.278 .64 .965 r
.62775 .33606 .63022 .34192 .63725 .34584 .63479 .33999 Metetra
.244 .618 .957 r
.63479 .33999 .63725 .34584 .64429 .35033 .64185 .34448 Metetra
.211 .596 .947 r
.64185 .34448 .64429 .35033 .65135 .35537 .64893 .34952 Metetra
.179 .573 .937 r
.64893 .34952 .65135 .35537 .65843 .36092 .65602 .35509 Metetra
.148 .551 .926 r
.65602 .35509 .65843 .36092 .66553 .36698 .66314 .36115 Metetra
.119 .53 .915 r
.66314 .36115 .66553 .36698 .67265 .37352 .67027 .3677 Metetra
.091 .509 .904 r
.67027 .3677 .67265 .37352 .67978 .38049 .67742 .37468 Metetra
.066 .49 .893 r
.67742 .37468 .67978 .38049 .68694 .38788 .68459 .38209 Metetra
.042 .472 .883 r
.68459 .38209 .68694 .38788 .69411 .39566 .69178 .38987 Metetra
.021 .456 .873 r
.69178 .38987 .69411 .39566 .7013 .40378 .69899 .39801 Metetra
.002 .441 .864 r
.69899 .39801 .7013 .40378 .70851 .41221 .70621 .40646 Metetra
0 .428 .855 r
.70621 .40646 .70851 .41221 .71574 .42092 .71346 .41518 Metetra
0 .417 .848 r
.71346 .41518 .71574 .42092 .72299 .42987 .72073 .42415 Metetra
0 .408 .843 r
.72073 .42415 .72299 .42987 .73026 .43902 .72801 .43331 Metetra
0 .401 .838 r
.72801 .43331 .73026 .43902 .73755 .44832 .73532 .44264 Metetra
0 .396 .835 r
.73532 .44264 .73755 .44832 .74486 .45775 .74264 .45208 Metetra
0 .394 .833 r
.74264 .45208 .74486 .45775 .75219 .46725 .74999 .4616 Metetra
0 .393 .833 r
.74999 .4616 .75219 .46725 .75954 .47679 .75735 .47116 Metetra
0 .395 .834 r
.75735 .47116 .75954 .47679 .7669 .48632 .76474 .48071 Metetra
0 .398 .836 r
.76474 .48071 .7669 .48632 .77429 .49581 .77214 .49021 Metetra
0 .404 .84 r
.77214 .49021 .77429 .49581 .78169 .5052 .77956 .49961 Metetra
0 .412 .845 r
.77956 .49961 .78169 .5052 .78911 .51445 .787 .50889 Metetra
0 .422 .851 r
.787 .50889 .78911 .51445 .79655 .52354 .79445 .51799 Metetra
0 .433 .858 r
.79445 .51799 .79655 .52354 .80401 .5324 .80193 .52687 Metetra
.008 .446 .867 r
.80193 .52687 .80401 .5324 .81149 .54101 .80942 .5355 Metetra
.026 .461 .876 r
.80942 .5355 .81149 .54101 .81898 .54933 .81693 .54383 Metetra
.047 .478 .885 r
.81693 .54383 .81898 .54933 .82649 .55731 .82446 .55182 Metetra
.069 .495 .895 r
.82446 .55182 .82649 .55731 .83401 .56492 .832 .55944 Metetra
.094 .514 .906 r
.832 .55944 .83401 .56492 .84156 .57212 .83956 .56666 Metetra
.119 .534 .916 r
.83956 .56666 .84156 .57212 .84911 .57888 .84714 .57343 Metetra
.146 .555 .927 r
.84714 .57343 .84911 .57888 .85669 .58516 .85473 .57973 Metetra
.175 .576 .937 r
.85473 .57973 .85669 .58516 .86428 .59094 .86234 .58552 Metetra
.204 .598 .947 r
.86234 .58552 .86428 .59094 .87188 .59619 .86996 .59077 Metetra
.234 .62 .956 r
.86996 .59077 .87188 .59619 .8795 .60088 .87759 .59546 Metetra
.265 .642 .964 r
.87759 .59546 .8795 .60088 .88713 .60498 .88524 .59957 Metetra
.295 .663 .972 r
.88524 .59957 .88713 .60498 .89477 .60848 .8929 .60307 Metetra
.326 .685 .979 r
.8929 .60307 .89477 .60848 .90243 .61135 .90058 .60594 Metetra
.357 .705 .985 r
.90058 .60594 .90243 .61135 .9101 .61357 .90827 .60817 Metetra
.387 .725 .99 r
.90827 .60817 .9101 .61357 .91778 .61514 .91597 .60973 Metetra
.416 .744 .993 r
.91597 .60973 .91778 .61514 .92547 .61604 .92368 .61063 Metetra
.444 .762 .996 r
.92368 .61063 .92547 .61604 .93318 .61626 .9314 .61084 Metetra
.472 .779 .998 r
.9314 .61084 .93318 .61626 .94089 .61579 .93914 .61037 Metetra
.494 .797 .999 r
.24453 .67908 .24784 .68359 .25414 .68261 .25085 .6781 Metetra
.528 .811 .998 r
.25085 .6781 .25414 .68261 .26047 .681 .25719 .67648 Metetra
.558 .823 .995 r
.25719 .67648 .26047 .681 .26681 .67878 .26355 .67425 Metetra
.586 .833 .992 r
.26355 .67425 .26681 .67878 .27317 .67593 .26992 .67139 Metetra
.611 .841 .987 r
.26992 .67139 .27317 .67593 .27954 .67247 .2763 .66792 Metetra
.633 .848 .982 r
.2763 .66792 .27954 .67247 .28593 .66842 .2827 .66385 Metetra
.653 .854 .977 r
.2827 .66385 .28593 .66842 .29233 .66377 .28912 .65918 Metetra
.671 .859 .971 r
.28912 .65918 .29233 .66377 .29875 .65854 .29555 .65394 Metetra
.687 .862 .965 r
.29555 .65394 .29875 .65854 .30518 .65276 .30199 .64814 Metetra
.701 .866 .96 r
.30199 .64814 .30518 .65276 .31163 .64644 .30845 .6418 Metetra
.714 .868 .955 r
.30845 .6418 .31163 .64644 .31809 .63961 .31493 .63494 Metetra
.725 .87 .949 r
.31493 .63494 .31809 .63961 .32456 .63228 .32142 .62759 Metetra
.735 .872 .945 r
.32142 .62759 .32456 .63228 .33105 .62448 .32792 .61977 Metetra
.743 .873 .94 r
.32792 .61977 .33105 .62448 .33755 .61624 .33443 .61151 Metetra
.751 .874 .936 r
.33443 .61151 .33755 .61624 .34406 .60759 .34096 .60283 Metetra
.758 .875 .932 r
.34096 .60283 .34406 .60759 .35058 .59856 .34749 .59377 Metetra
.763 .876 .929 r
.34749 .59377 .35058 .59856 .35712 .58918 .35404 .58437 Metetra
.768 .876 .926 r
.35404 .58437 .35712 .58918 .36367 .57949 .36061 .57465 Metetra
.773 .877 .923 r
.36061 .57465 .36367 .57949 .37023 .56952 .36718 .56465 Metetra
.776 .877 .921 r
.36718 .56465 .37023 .56952 .3768 .55931 .37377 .55441 Metetra
.779 .877 .919 r
.37377 .55441 .3768 .55931 .38338 .5489 .38036 .54397 Metetra
.781 .878 .917 r
.38036 .54397 .38338 .5489 .38997 .53832 .38697 .53336 Metetra
.783 .878 .916 r
.38697 .53336 .38997 .53832 .39658 .52761 .39359 .52262 Metetra
.784 .878 .915 r
.39359 .52262 .39658 .52761 .40319 .51682 .40022 .51179 Metetra
.784 .878 .915 r
.40022 .51179 .40319 .51682 .40982 .50598 .40685 .50092 Metetra
.784 .878 .915 r
.40685 .50092 .40982 .50598 .41645 .49513 .4135 .49004 Metetra
.784 .878 .916 r
.4135 .49004 .41645 .49513 .4231 .48432 .42016 .4792 Metetra
.782 .878 .917 r
.42016 .4792 .4231 .48432 .42975 .47358 .42683 .46843 Metetra
.78 .878 .918 r
.42683 .46843 .42975 .47358 .43642 .46295 .43351 .45777 Metetra
.778 .877 .92 r
.43351 .45777 .43642 .46295 .44309 .45247 .4402 .44726 Metetra
.775 .877 .922 r
.4402 .44726 .44309 .45247 .44978 .44219 .4469 .43695 Metetra
.771 .876 .924 r
.4469 .43695 .44978 .44219 .45647 .43214 .45361 .42687 Metetra
.766 .875 .927 r
.45361 .42687 .45647 .43214 .46318 .42235 .46033 .41705 Metetra
.761 .875 .93 r
.46033 .41705 .46318 .42235 .4699 .41287 .46707 .40754 Metetra
.755 .873 .933 r
.46707 .40754 .4699 .41287 .47662 .40372 .47381 .39837 Metetra
.748 .872 .937 r
.47381 .39837 .47662 .40372 .48336 .39494 .48056 .38956 Metetra
.74 .87 .941 r
.48056 .38956 .48336 .39494 .49011 .38657 .48732 .38116 Metetra
.731 .868 .945 r
.48732 .38116 .49011 .38657 .49687 .37863 .4941 .3732 Metetra
.721 .866 .95 r
.4941 .3732 .49687 .37863 .50364 .37116 .50088 .3657 Metetra
.71 .863 .954 r
.50088 .3657 .50364 .37116 .51042 .36417 .50768 .35869 Metetra
.698 .859 .959 r
.50768 .35869 .51042 .36417 .51721 .3577 .51449 .3522 Metetra
.684 .855 .964 r
.51449 .3522 .51721 .3577 .52402 .35177 .52131 .34625 Metetra
.669 .85 .969 r
.52131 .34625 .52402 .35177 .53084 .34639 .52814 .34085 Metetra
.653 .844 .974 r
.52814 .34085 .53084 .34639 .53767 .3416 .53498 .33604 Metetra
.635 .838 .978 r
.53498 .33604 .53767 .3416 .54451 .33739 .54184 .33182 Metetra
.616 .83 .982 r
.54184 .33182 .54451 .33739 .55136 .3338 .54871 .32821 Metetra
.594 .821 .986 r
.54871 .32821 .55136 .3338 .55823 .33083 .5556 .32523 Metetra
.571 .811 .989 r
.5556 .32523 .55823 .33083 .56512 .32849 .5625 .32287 Metetra
.547 .8 .992 r
.5625 .32287 .56512 .32849 .57202 .32678 .56941 .32116 Metetra
.52 .787 .994 r
.56941 .32116 .57202 .32678 .57893 .32571 .57634 .32008 Metetra
.492 .773 .994 r
.57634 .32008 .57893 .32571 .58585 .32529 .58328 .31965 Metetra
.463 .758 .994 r
.58328 .31965 .58585 .32529 .5928 .32551 .59024 .31987 Metetra
.431 .741 .992 r
.59024 .31987 .5928 .32551 .59976 .32638 .59721 .32073 Metetra
.399 .722 .989 r
.59721 .32073 .59976 .32638 .60673 .32787 .6042 .32222 Metetra
.365 .702 .984 r
.6042 .32222 .60673 .32787 .61372 .32999 .61121 .32434 Metetra
.331 .682 .979 r
.61121 .32434 .61372 .32999 .62073 .33273 .61823 .32708 Metetra
.297 .66 .972 r
.61823 .32708 .62073 .33273 .62775 .33606 .62527 .33042 Metetra
.262 .637 .963 r
.62527 .33042 .62775 .33606 .63479 .33999 .63233 .33434 Metetra
.227 .614 .954 r
.63233 .33434 .63479 .33999 .64185 .34448 .6394 .33884 Metetra
.193 .591 .943 r
.6394 .33884 .64185 .34448 .64893 .34952 .64649 .34389 Metetra
.16 .567 .932 r
.64649 .34389 .64893 .34952 .65602 .35509 .6536 .34946 Metetra
.128 .545 .92 r
.6536 .34946 .65602 .35509 .66314 .36115 .66073 .35554 Metetra
.098 .522 .908 r
.66073 .35554 .66314 .36115 .67027 .3677 .66788 .36209 Metetra
.07 .501 .896 r
.66788 .36209 .67027 .3677 .67742 .37468 .67505 .36909 Metetra
.044 .481 .885 r
.67505 .36909 .67742 .37468 .68459 .38209 .68223 .3765 Metetra
.02 .463 .874 r
.68223 .3765 .68459 .38209 .69178 .38987 .68944 .3843 Metetra
0 .446 .863 r
.68944 .3843 .69178 .38987 .69899 .39801 .69666 .39245 Metetra
0 .43 .853 r
.69666 .39245 .69899 .39801 .70621 .40646 .70391 .40092 Metetra
0 .417 .845 r
.70391 .40092 .70621 .40646 .71346 .41518 .71117 .40966 Metetra
0 .406 .837 r
.71117 .40966 .71346 .41518 .72073 .42415 .71845 .41864 Metetra
0 .397 .831 r
.71845 .41864 .72073 .42415 .72801 .43331 .72575 .42782 Metetra
0 .389 .826 r
.72575 .42782 .72801 .43331 .73532 .44264 .73308 .43717 Metetra
0 .384 .823 r
.73308 .43717 .73532 .44264 .74264 .45208 .74042 .44663 Metetra
0 .382 .821 r
.74042 .44663 .74264 .45208 .74999 .4616 .74778 .45617 Metetra
0 .381 .821 r
.74778 .45617 .74999 .4616 .75735 .47116 .75516 .46574 Metetra
0 .383 .822 r
.75516 .46574 .75735 .47116 .76474 .48071 .76256 .47531 Metetra
0 .387 .825 r
.76256 .47531 .76474 .48071 .77214 .49021 .76998 .48483 Metetra
0 .393 .828 r
.76998 .48483 .77214 .49021 .77956 .49961 .77741 .49425 Metetra
0 .4 .834 r
.77741 .49425 .77956 .49961 .787 .50889 .78487 .50355 Metetra
0 .41 .84 r
.78487 .50355 .787 .50889 .79445 .51799 .79234 .51266 Metetra
0 .422 .848 r
.79234 .51266 .79445 .51799 .80193 .52687 .79984 .52156 Metetra
0 .436 .856 r
.79984 .52156 .80193 .52687 .80942 .5355 .80735 .53021 Metetra
.003 .451 .866 r
.80735 .53021 .80942 .5355 .81693 .54383 .81487 .53855 Metetra
.024 .468 .876 r
.81487 .53855 .81693 .54383 .82446 .55182 .82242 .54656 Metetra
.047 .486 .887 r
.82242 .54656 .82446 .55182 .832 .55944 .82998 .5542 Metetra
.072 .506 .898 r
.82998 .5542 .832 .55944 .83956 .56666 .83756 .56142 Metetra
.098 .527 .909 r
.83756 .56142 .83956 .56666 .84714 .57343 .84515 .56821 Metetra
.126 .548 .92 r
.84515 .56821 .84714 .57343 .85473 .57973 .85276 .57451 Metetra
.155 .57 .931 r
.85276 .57451 .85473 .57973 .86234 .58552 .86039 .58031 Metetra
.185 .593 .942 r
.86039 .58031 .86234 .58552 .86996 .59077 .86803 .58557 Metetra
.216 .616 .952 r
.86803 .58557 .86996 .59077 .87759 .59546 .87568 .59027 Metetra
.248 .638 .961 r
.87568 .59027 .87759 .59546 .88524 .59957 .88335 .59439 Metetra
.279 .661 .97 r
.88335 .59439 .88524 .59957 .8929 .60307 .89103 .59789 Metetra
.311 .683 .977 r
.89103 .59789 .8929 .60307 .90058 .60594 .89872 .60076 Metetra
.342 .704 .984 r
.89872 .60076 .90058 .60594 .90827 .60817 .90643 .60299 Metetra
.373 .725 .989 r
.90643 .60299 .90827 .60817 .91597 .60973 .91415 .60455 Metetra
.404 .744 .993 r
.91415 .60455 .91597 .60973 .92368 .61063 .92188 .60544 Metetra
.433 .763 .996 r
.92188 .60544 .92368 .61063 .9314 .61084 .92962 .60565 Metetra
.461 .781 .998 r
.92962 .60565 .9314 .61084 .93914 .61037 .93738 .60517 Metetra
.484 .799 1 r
.24121 .67479 .24453 .67908 .25085 .6781 .24755 .67379 Metetra
.519 .814 .999 r
.24755 .67379 .25085 .6781 .25719 .67648 .2539 .67217 Metetra
.552 .827 .997 r
.2539 .67217 .25719 .67648 .26355 .67425 .26026 .66993 Metetra
.58 .837 .994 r
.26026 .66993 .26355 .67425 .26992 .67139 .26665 .66706 Metetra
.606 .846 .989 r
.26665 .66706 .26992 .67139 .2763 .66792 .27305 .66357 Metetra
.629 .853 .984 r
.27305 .66357 .2763 .66792 .2827 .66385 .27946 .65949 Metetra
.65 .859 .979 r
.27946 .65949 .2827 .66385 .28912 .65918 .28589 .65481 Metetra
.668 .864 .974 r
.28589 .65481 .28912 .65918 .29555 .65394 .29233 .64955 Metetra
.685 .868 .968 r
.29233 .64955 .29555 .65394 .30199 .64814 .29879 .64373 Metetra
.699 .871 .962 r
.29879 .64373 .30199 .64814 .30845 .6418 .30526 .63737 Metetra
.712 .874 .957 r
.30526 .63737 .30845 .6418 .31493 .63494 .31175 .63049 Metetra
.724 .876 .952 r
.31175 .63049 .31493 .63494 .32142 .62759 .31825 .62312 Metetra
.734 .877 .947 r
.31825 .62312 .32142 .62759 .32792 .61977 .32477 .61527 Metetra
.743 .879 .942 r
.32477 .61527 .32792 .61977 .33443 .61151 .33129 .60698 Metetra
.751 .88 .938 r
.33129 .60698 .33443 .61151 .34096 .60283 .33783 .59828 Metetra
.758 .881 .934 r
.33783 .59828 .34096 .60283 .34749 .59377 .34439 .5892 Metetra
.764 .881 .931 r
.34439 .5892 .34749 .59377 .35404 .58437 .35095 .57977 Metetra
.769 .882 .928 r
.35095 .57977 .35404 .58437 .36061 .57465 .35753 .57002 Metetra
.773 .882 .925 r
.35753 .57002 .36061 .57465 .36718 .56465 .36412 .55999 Metetra
.777 .882 .923 r
.36412 .55999 .36718 .56465 .37377 .55441 .37072 .54972 Metetra
.78 .883 .921 r
.37072 .54972 .37377 .55441 .38036 .54397 .37733 .53925 Metetra
.782 .883 .919 r
.37733 .53925 .38036 .54397 .38697 .53336 .38395 .52861 Metetra
.784 .883 .918 r
.38395 .52861 .38697 .53336 .39359 .52262 .39058 .51784 Metetra
.785 .883 .917 r
.39058 .51784 .39359 .52262 .40022 .51179 .39722 .50698 Metetra
.785 .883 .917 r
.39722 .50698 .40022 .51179 .40685 .50092 .40388 .49608 Metetra
.785 .883 .917 r
.40388 .49608 .40685 .50092 .4135 .49004 .41054 .48517 Metetra
.784 .883 .918 r
.41054 .48517 .4135 .49004 .42016 .4792 .41721 .47429 Metetra
.783 .883 .918 r
.41721 .47429 .42016 .4792 .42683 .46843 .4239 .46349 Metetra
.781 .883 .92 r
.4239 .46349 .42683 .46843 .43351 .45777 .43059 .4528 Metetra
.778 .882 .921 r
.43059 .4528 .43351 .45777 .4402 .44726 .4373 .44227 Metetra
.775 .882 .924 r
.4373 .44227 .4402 .44726 .4469 .43695 .44401 .43192 Metetra
.771 .882 .926 r
.44401 .43192 .4469 .43695 .45361 .42687 .45074 .42181 Metetra
.766 .881 .929 r
.45074 .42181 .45361 .42687 .46033 .41705 .45747 .41197 Metetra
.761 .88 .932 r
.45747 .41197 .46033 .41705 .46707 .40754 .46422 .40242 Metetra
.755 .879 .935 r
.46422 .40242 .46707 .40754 .47381 .39837 .47098 .39322 Metetra
.748 .877 .939 r
.47098 .39322 .47381 .39837 .48056 .38956 .47774 .38439 Metetra
.739 .876 .943 r
.47774 .38439 .48056 .38956 .48732 .38116 .48452 .37597 Metetra
.73 .874 .948 r
.48452 .37597 .48732 .38116 .4941 .3732 .49131 .36798 Metetra
.72 .871 .952 r
.49131 .36798 .4941 .3732 .50088 .3657 .49811 .36046 Metetra
.709 .868 .957 r
.49811 .36046 .50088 .3657 .50768 .35869 .50492 .35342 Metetra
.696 .865 .962 r
.50492 .35342 .50768 .35869 .51449 .3522 .51175 .34691 Metetra
.682 .86 .967 r
.51175 .34691 .51449 .3522 .52131 .34625 .51858 .34094 Metetra
.667 .855 .972 r
.51858 .34094 .52131 .34625 .52814 .34085 .52543 .33552 Metetra
.65 .849 .976 r
.52543 .33552 .52814 .34085 .53498 .33604 .53229 .33069 Metetra
.632 .843 .981 r
.53229 .33069 .53498 .33604 .54184 .33182 .53916 .32646 Metetra
.611 .835 .985 r
.53916 .32646 .54184 .33182 .54871 .32821 .54605 .32284 Metetra
.59 .826 .989 r
.54605 .32284 .54871 .32821 .5556 .32523 .55295 .31984 Metetra
.566 .815 .992 r
.55295 .31984 .5556 .32523 .5625 .32287 .55986 .31747 Metetra
.54 .804 .994 r
.55986 .31747 .5625 .32287 .56941 .32116 .56679 .31574 Metetra
.513 .79 .996 r
.56679 .31574 .56941 .32116 .57634 .32008 .57373 .31466 Metetra
.484 .776 .996 r
.57373 .31466 .57634 .32008 .58328 .31965 .58069 .31423 Metetra
.453 .759 .995 r
.58069 .31423 .58328 .31965 .59024 .31987 .58766 .31444 Metetra
.421 .742 .993 r
.58766 .31444 .59024 .31987 .59721 .32073 .59465 .31529 Metetra
.387 .722 .989 r
.59465 .31529 .59721 .32073 .6042 .32222 .60166 .31678 Metetra
.352 .702 .984 r
.60166 .31678 .6042 .32222 .61121 .32434 .60868 .3189 Metetra
.317 .68 .977 r
.60868 .3189 .61121 .32434 .61823 .32708 .61572 .32164 Metetra
.281 .657 .969 r
.61572 .32164 .61823 .32708 .62527 .33042 .62277 .32498 Metetra
.245 .634 .96 r
.62277 .32498 .62527 .33042 .63233 .33434 .62985 .32891 Metetra
.209 .609 .95 r
.62985 .32891 .63233 .33434 .6394 .33884 .63694 .33342 Metetra
.174 .585 .938 r
.63694 .33342 .6394 .33884 .64649 .34389 .64404 .33847 Metetra
.14 .561 .926 r
.64404 .33847 .64649 .34389 .6536 .34946 .65117 .34405 Metetra
.107 .537 .913 r
.65117 .34405 .6536 .34946 .66073 .35554 .65832 .35014 Metetra
.076 .514 .901 r
.65832 .35014 .66073 .35554 .66788 .36209 .66548 .3567 Metetra
.047 .492 .888 r
.66548 .3567 .66788 .36209 .67505 .36909 .67266 .36371 Metetra
.021 .471 .875 r
.67266 .36371 .67505 .36909 .68223 .3765 .67986 .37114 Metetra
0 .452 .863 r
.67986 .37114 .68223 .3765 .68944 .3843 .68708 .37895 Metetra
0 .435 .852 r
.68708 .37895 .68944 .3843 .69666 .39245 .69432 .38712 Metetra
0 .419 .842 r
.69432 .38712 .69666 .39245 .70391 .40092 .70159 .3956 Metetra
0 .405 .833 r
.70159 .3956 .70391 .40092 .71117 .40966 .70886 .40436 Metetra
0 .394 .825 r
.70886 .40436 .71117 .40966 .71845 .41864 .71616 .41335 Metetra
0 .384 .818 r
.71616 .41335 .71845 .41864 .72575 .42782 .72348 .42255 Metetra
0 .377 .813 r
.72348 .42255 .72575 .42782 .73308 .43717 .73082 .43191 Metetra
0 .372 .81 r
.73082 .43191 .73308 .43717 .74042 .44663 .73818 .44139 Metetra
0 .369 .808 r
.73818 .44139 .74042 .44663 .74778 .45617 .74556 .45095 Metetra
0 .368 .808 r
.74556 .45095 .74778 .45617 .75516 .46574 .75295 .46054 Metetra
0 .37 .809 r
.75295 .46054 .75516 .46574 .76256 .47531 .76037 .47013 Metetra
0 .374 .811 r
.76037 .47013 .76256 .47531 .76998 .48483 .76781 .47967 Metetra
0 .38 .816 r
.76781 .47967 .76998 .48483 .77741 .49425 .77526 .48911 Metetra
0 .388 .821 r
.77526 .48911 .77741 .49425 .78487 .50355 .78273 .49842 Metetra
0 .398 .828 r
.78273 .49842 .78487 .50355 .79234 .51266 .79023 .50756 Metetra
0 .411 .836 r
.79023 .50756 .79234 .51266 .79984 .52156 .79774 .51648 Metetra
0 .425 .845 r
.79774 .51648 .79984 .52156 .80735 .53021 .80526 .52514 Metetra
0 .44 .855 r
.80526 .52514 .80735 .53021 .81487 .53855 .81281 .5335 Metetra
.001 .458 .866 r
.81281 .5335 .81487 .53855 .82242 .54656 .82037 .54152 Metetra
.024 .477 .877 r
.82037 .54152 .82242 .54656 .82998 .5542 .82795 .54917 Metetra
.049 .497 .889 r
.82795 .54917 .82998 .5542 .83756 .56142 .83555 .55641 Metetra
.076 .518 .901 r
.83555 .55641 .83756 .56142 .84515 .56821 .84316 .56321 Metetra
.105 .54 .913 r
.84316 .56321 .84515 .56821 .85276 .57451 .85079 .56952 Metetra
.135 .563 .925 r
.85079 .56952 .85276 .57451 .86039 .58031 .85843 .57533 Metetra
.165 .587 .936 r
.85843 .57533 .86039 .58031 .86803 .58557 .86609 .5806 Metetra
.197 .61 .947 r
.86609 .5806 .86803 .58557 .87568 .59027 .87376 .58531 Metetra
.23 .634 .957 r
.87376 .58531 .87568 .59027 .88335 .59439 .88145 .58943 Metetra
.262 .657 .966 r
.88145 .58943 .88335 .59439 .89103 .59789 .88915 .59294 Metetra
.295 .68 .974 r
.88915 .59294 .89103 .59789 .89872 .60076 .89686 .59581 Metetra
.327 .703 .982 r
.89686 .59581 .89872 .60076 .90643 .60299 .90459 .59804 Metetra
.359 .724 .988 r
.90459 .59804 .90643 .60299 .91415 .60455 .91233 .5996 Metetra
.391 .744 .992 r
.91233 .5996 .91415 .60455 .92188 .60544 .92008 .60049 Metetra
.421 .764 .996 r
.92008 .60049 .92188 .60544 .92962 .60565 .92784 .60069 Metetra
.45 .782 .998 r
.92784 .60069 .92962 .60565 .93738 .60517 .93561 .6002 Metetra
.473 .801 1 r
.23788 .6707 .24121 .67479 .24755 .67379 .24422 .6697 Metetra
.51 .817 1 r
.24422 .6697 .24755 .67379 .2539 .67217 .25059 .66807 Metetra
.544 .83 .998 r
.25059 .66807 .2539 .67217 .26026 .66993 .25696 .66582 Metetra
.574 .842 .995 r
.25696 .66582 .26026 .66993 .26665 .66706 .26336 .66294 Metetra
.601 .851 .991 r
.26336 .66294 .26665 .66706 .27305 .66357 .26977 .65944 Metetra
.625 .858 .987 r
.26977 .65944 .27305 .66357 .27946 .65949 .2762 .65534 Metetra
.647 .864 .981 r
.2762 .65534 .27946 .65949 .28589 .65481 .28264 .65065 Metetra
.666 .869 .976 r
.28264 .65065 .28589 .65481 .29233 .64955 .2891 .64537 Metetra
.683 .873 .97 r
.2891 .64537 .29233 .64955 .29879 .64373 .29557 .63954 Metetra
.698 .877 .965 r
.29557 .63954 .29879 .64373 .30526 .63737 .30206 .63316 Metetra
.711 .879 .959 r
.30206 .63316 .30526 .63737 .31175 .63049 .30856 .62626 Metetra
.723 .881 .954 r
.30856 .62626 .31175 .63049 .31825 .62312 .31507 .61886 Metetra
.733 .883 .949 r
.31507 .61886 .31825 .62312 .32477 .61527 .3216 .61099 Metetra
.742 .884 .945 r
.3216 .61099 .32477 .61527 .33129 .60698 .32814 .60268 Metetra
.751 .885 .94 r
.32814 .60268 .33129 .60698 .33783 .59828 .3347 .59395 Metetra
.758 .886 .936 r
.3347 .59395 .33783 .59828 .34439 .5892 .34126 .58484 Metetra
.764 .887 .933 r
.34126 .58484 .34439 .5892 .35095 .57977 .34784 .57538 Metetra
.769 .887 .93 r
.34784 .57538 .35095 .57977 .35753 .57002 .35443 .5656 Metetra
.773 .888 .927 r
.35443 .5656 .35753 .57002 .36412 .55999 .36103 .55555 Metetra
.777 .888 .924 r
.36103 .55555 .36412 .55999 .37072 .54972 .36765 .54525 Metetra
.78 .888 .922 r
.36765 .54525 .37072 .54972 .37733 .53925 .37427 .53474 Metetra
.782 .888 .921 r
.37427 .53474 .37733 .53925 .38395 .52861 .38091 .52407 Metetra
.784 .888 .92 r
.38091 .52407 .38395 .52861 .39058 .51784 .38756 .51327 Metetra
.785 .888 .919 r
.38756 .51327 .39058 .51784 .39722 .50698 .39421 .50239 Metetra
.786 .888 .919 r
.39421 .50239 .39722 .50698 .40388 .49608 .40088 .49145 Metetra
.786 .888 .919 r
.40088 .49145 .40388 .49608 .41054 .48517 .40756 .48051 Metetra
.785 .888 .919 r
.40756 .48051 .41054 .48517 .41721 .47429 .41425 .4696 Metetra
.783 .888 .92 r
.41425 .4696 .41721 .47429 .4239 .46349 .42095 .45877 Metetra
.781 .888 .922 r
.42095 .45877 .4239 .46349 .43059 .4528 .42766 .44805 Metetra
.779 .888 .923 r
.42766 .44805 .43059 .4528 .4373 .44227 .43438 .43748 Metetra
.775 .887 .925 r
.43438 .43748 .4373 .44227 .44401 .43192 .44111 .42711 Metetra
.771 .887 .928 r
.44111 .42711 .44401 .43192 .45074 .42181 .44785 .41696 Metetra
.767 .886 .931 r
.44785 .41696 .45074 .42181 .45747 .41197 .4546 .40709 Metetra
.761 .885 .934 r
.4546 .40709 .45747 .41197 .46422 .40242 .46136 .39752 Metetra
.755 .884 .937 r
.46136 .39752 .46422 .40242 .47098 .39322 .46813 .38829 Metetra
.747 .883 .941 r
.46813 .38829 .47098 .39322 .47774 .38439 .47491 .37943 Metetra
.739 .881 .946 r
.47491 .37943 .47774 .38439 .48452 .37597 .48171 .37098 Metetra
.73 .879 .95 r
.48171 .37098 .48452 .37597 .49131 .36798 .48851 .36297 Metetra
.719 .877 .955 r
.48851 .36297 .49131 .36798 .49811 .36046 .49533 .35542 Metetra
.708 .874 .959 r
.49533 .35542 .49811 .36046 .50492 .35342 .50215 .34837 Metetra
.695 .87 .964 r
.50215 .34837 .50492 .35342 .51175 .34691 .50899 .34183 Metetra
.68 .866 .969 r
.50899 .34183 .51175 .34691 .51858 .34094 .51584 .33584 Metetra
.664 .861 .974 r
.51584 .33584 .51858 .34094 .52543 .33552 .5227 .33041 Metetra
.647 .855 .979 r
.5227 .33041 .52543 .33552 .53229 .33069 .52958 .32556 Metetra
.628 .848 .984 r
.52958 .32556 .53229 .33069 .53916 .32646 .53647 .32131 Metetra
.607 .839 .988 r
.53647 .32131 .53916 .32646 .54605 .32284 .54337 .31767 Metetra
.584 .83 .991 r
.54337 .31767 .54605 .32284 .55295 .31984 .55029 .31466 Metetra
.56 .819 .994 r
.55029 .31466 .55295 .31984 .55986 .31747 .55721 .31228 Metetra
.533 .807 .996 r
.55721 .31228 .55986 .31747 .56679 .31574 .56416 .31055 Metetra
.505 .793 .997 r
.56416 .31055 .56679 .31574 .57373 .31466 .57112 .30946 Metetra
.475 .778 .997 r
.57112 .30946 .57373 .31466 .58069 .31423 .57809 .30902 Metetra
.443 .761 .996 r
.57809 .30902 .58069 .31423 .58766 .31444 .58508 .30922 Metetra
.409 .742 .993 r
.58508 .30922 .58766 .31444 .59465 .31529 .59208 .31007 Metetra
.374 .722 .989 r
.59208 .31007 .59465 .31529 .60166 .31678 .5991 .31156 Metetra
.338 .701 .983 r
.5991 .31156 .60166 .31678 .60868 .3189 .60614 .31368 Metetra
.301 .678 .975 r
.60614 .31368 .60868 .3189 .61572 .32164 .61319 .31642 Metetra
.264 .654 .966 r
.61319 .31642 .61572 .32164 .62277 .32498 .62026 .31976 Metetra
.227 .629 .956 r
.62026 .31976 .62277 .32498 .62985 .32891 .62735 .3237 Metetra
.19 .604 .945 r
.62735 .3237 .62985 .32891 .63694 .33342 .63446 .32821 Metetra
.154 .579 .932 r
.63446 .32821 .63694 .33342 .64404 .33847 .64158 .33327 Metetra
.119 .554 .919 r
.64158 .33327 .64404 .33847 .65117 .34405 .64873 .33886 Metetra
.086 .529 .905 r
.64873 .33886 .65117 .34405 .65832 .35014 .65589 .34495 Metetra
.054 .505 .891 r
.65589 .34495 .65832 .35014 .66548 .3567 .66307 .35153 Metetra
.024 .482 .878 r
.66307 .35153 .66548 .3567 .67266 .36371 .67026 .35855 Metetra
0 .461 .864 r
.67026 .35855 .67266 .36371 .67986 .37114 .67748 .36599 Metetra
0 .441 .852 r
.67748 .36599 .67986 .37114 .68708 .37895 .68472 .37382 Metetra
0 .423 .84 r
.68472 .37382 .68708 .37895 .69432 .38712 .69198 .382 Metetra
0 .407 .829 r
.69198 .382 .69432 .38712 .70159 .3956 .69925 .3905 Metetra
0 .393 .819 r
.69925 .3905 .70159 .3956 .70886 .40436 .70655 .39927 Metetra
0 .381 .811 r
.70655 .39927 .70886 .40436 .71616 .41335 .71386 .40829 Metetra
0 .371 .804 r
.71386 .40829 .71616 .41335 .72348 .42255 .7212 .4175 Metetra
0 .364 .799 r
.7212 .4175 .72348 .42255 .73082 .43191 .72856 .42688 Metetra
0 .358 .795 r
.72856 .42688 .73082 .43191 .73818 .44139 .73593 .43638 Metetra
0 .355 .793 r
.73593 .43638 .73818 .44139 .74556 .45095 .74333 .44596 Metetra
0 .355 .793 r
.74333 .44596 .74556 .45095 .75295 .46054 .75074 .45557 Metetra
0 .357 .794 r
.75074 .45557 .75295 .46054 .76037 .47013 .75817 .46518 Metetra
0 .361 .797 r
.75817 .46518 .76037 .47013 .76781 .47967 .76563 .47473 Metetra
0 .367 .801 r
.76563 .47473 .76781 .47967 .77526 .48911 .7731 .4842 Metetra
0 .375 .807 r
.7731 .4842 .77526 .48911 .78273 .49842 .78059 .49353 Metetra
0 .386 .814 r
.78059 .49353 .78273 .49842 .79023 .50756 .7881 .50268 Metetra
0 .398 .823 r
.7881 .50268 .79023 .50756 .79774 .51648 .79563 .51162 Metetra
0 .412 .832 r
.79563 .51162 .79774 .51648 .80526 .52514 .80317 .52029 Metetra
0 .429 .843 r
.80317 .52029 .80526 .52514 .81281 .5335 .81073 .52867 Metetra
0 .447 .854 r
.81073 .52867 .81281 .5335 .82037 .54152 .81831 .53671 Metetra
0 .466 .866 r
.81831 .53671 .82037 .54152 .82795 .54917 .82591 .54437 Metetra
.026 .487 .879 r
.82591 .54437 .82795 .54917 .83555 .55641 .83353 .55163 Metetra
.053 .509 .891 r
.83353 .55163 .83555 .55641 .84316 .56321 .84116 .55844 Metetra
.083 .532 .904 r
.84116 .55844 .84316 .56321 .85079 .56952 .8488 .56476 Metetra
.113 .556 .917 r
.8488 .56476 .85079 .56952 .85843 .57533 .85646 .57058 Metetra
.145 .58 .929 r
.85646 .57058 .85843 .57533 .86609 .5806 .86414 .57586 Metetra
.177 .604 .941 r
.86414 .57586 .86609 .5806 .87376 .58531 .87183 .58058 Metetra
.211 .629 .952 r
.87183 .58058 .87376 .58531 .88145 .58943 .87954 .5847 Metetra
.244 .653 .962 r
.87954 .5847 .88145 .58943 .88915 .59294 .88726 .58821 Metetra
.278 .677 .971 r
.88726 .58821 .88915 .59294 .89686 .59581 .89499 .59109 Metetra
.311 .7 .979 r
.89499 .59109 .89686 .59581 .90459 .59804 .90273 .59332 Metetra
.344 .723 .985 r
.90273 .59332 .90459 .59804 .91233 .5996 .91049 .59488 Metetra
.377 .744 .991 r
.91049 .59488 .91233 .5996 .92008 .60049 .91826 .59576 Metetra
.408 .764 .995 r
.91826 .59576 .92008 .60049 .92784 .60069 .92604 .59596 Metetra
.439 .783 .998 r
.92604 .59596 .92784 .60069 .93561 .6002 .93383 .59546 Metetra
.462 .803 .999 r
.23452 .66683 .23788 .6707 .24422 .6697 .24088 .66583 Metetra
.501 .82 1 r
.24088 .66583 .24422 .6697 .25059 .66807 .24726 .66419 Metetra
.536 .834 .999 r
.24726 .66419 .25059 .66807 .25696 .66582 .25365 .66192 Metetra
.567 .845 .997 r
.25365 .66192 .25696 .66582 .26336 .66294 .26006 .65903 Metetra
.595 .855 .993 r
.26006 .65903 .26336 .66294 .26977 .65944 .26648 .65553 Metetra
.62 .863 .989 r
.26648 .65553 .26977 .65944 .2762 .65534 .27292 .65141 Metetra
.643 .869 .984 r
.27292 .65141 .2762 .65534 .28264 .65065 .27938 .6467 Metetra
.662 .875 .978 r
.27938 .6467 .28264 .65065 .2891 .64537 .28585 .64141 Metetra
.68 .879 .973 r
.28585 .64141 .2891 .64537 .29557 .63954 .29233 .63555 Metetra
.696 .882 .967 r
.29233 .63555 .29557 .63954 .30206 .63316 .29883 .62916 Metetra
.709 .885 .962 r
.29883 .62916 .30206 .63316 .30856 .62626 .30535 .62223 Metetra
.722 .887 .956 r
.30535 .62223 .30856 .62626 .31507 .61886 .31188 .61481 Metetra
.732 .888 .951 r
.31188 .61481 .31507 .61886 .3216 .61099 .31842 .60692 Metetra
.742 .89 .947 r
.31842 .60692 .3216 .61099 .32814 .60268 .32497 .59858 Metetra
.75 .891 .942 r
.32497 .59858 .32814 .60268 .3347 .59395 .33154 .58983 Metetra
.757 .891 .938 r
.33154 .58983 .3347 .59395 .34126 .58484 .33812 .58069 Metetra
.764 .892 .935 r
.33812 .58069 .34126 .58484 .34784 .57538 .34471 .57121 Metetra
.769 .893 .931 r
.34471 .57121 .34784 .57538 .35443 .5656 .35132 .5614 Metetra
.774 .893 .929 r
.35132 .5614 .35443 .5656 .36103 .55555 .35794 .55132 Metetra
.777 .893 .926 r
.35794 .55132 .36103 .55555 .36765 .54525 .36456 .54099 Metetra
.78 .893 .924 r
.36456 .54099 .36765 .54525 .37427 .53474 .3712 .53045 Metetra
.783 .894 .923 r
.3712 .53045 .37427 .53474 .38091 .52407 .37785 .51975 Metetra
.785 .894 .922 r
.37785 .51975 .38091 .52407 .38756 .51327 .38452 .50892 Metetra
.786 .894 .921 r
.38452 .50892 .38756 .51327 .39421 .50239 .39119 .498 Metetra
.786 .894 .92 r
.39119 .498 .39421 .50239 .40088 .49145 .39787 .48704 Metetra
.786 .894 .921 r
.39787 .48704 .40088 .49145 .40756 .48051 .40457 .47606 Metetra
.785 .894 .921 r
.40457 .47606 .40756 .48051 .41425 .4696 .41127 .46512 Metetra
.784 .894 .922 r
.41127 .46512 .41425 .4696 .42095 .45877 .41798 .45426 Metetra
.782 .893 .923 r
.41798 .45426 .42095 .45877 .42766 .44805 .42471 .44351 Metetra
.779 .893 .925 r
.42471 .44351 .42766 .44805 .43438 .43748 .43144 .43291 Metetra
.776 .893 .927 r
.43144 .43291 .43438 .43748 .44111 .42711 .43819 .42251 Metetra
.771 .892 .93 r
.43819 .42251 .44111 .42711 .44785 .41696 .44494 .41233 Metetra
.767 .892 .933 r
.44494 .41233 .44785 .41696 .4546 .40709 .45171 .40243 Metetra
.761 .891 .936 r
.45171 .40243 .4546 .40709 .46136 .39752 .45848 .39283 Metetra
.754 .89 .94 r
.45848 .39283 .46136 .39752 .46813 .38829 .46527 .38357 Metetra
.747 .888 .943 r
.46527 .38357 .46813 .38829 .47491 .37943 .47207 .37469 Metetra
.738 .887 .948 r
.47207 .37469 .47491 .37943 .48171 .37098 .47888 .36621 Metetra
.729 .885 .952 r
.47888 .36621 .48171 .37098 .48851 .36297 .4857 .35817 Metetra
.718 .882 .957 r
.4857 .35817 .48851 .36297 .49533 .35542 .49253 .3506 Metetra
.706 .879 .962 r
.49253 .3506 .49533 .35542 .50215 .34837 .49937 .34353 Metetra
.693 .875 .967 r
.49937 .34353 .50215 .34837 .50899 .34183 .50622 .33697 Metetra
.678 .871 .972 r
.50622 .33697 .50899 .34183 .51584 .33584 .51309 .33096 Metetra
.662 .866 .977 r
.51309 .33096 .51584 .33584 .5227 .33041 .51997 .32551 Metetra
.644 .86 .981 r
.51997 .32551 .5227 .33041 .52958 .32556 .52686 .32064 Metetra
.624 .852 .986 r
.52686 .32064 .52958 .32556 .53647 .32131 .53376 .31637 Metetra
.602 .844 .99 r
.53376 .31637 .53647 .32131 .54337 .31767 .54068 .31272 Metetra
.579 .834 .993 r
.54068 .31272 .54337 .31767 .55029 .31466 .54761 .3097 Metetra
.553 .823 .996 r
.54761 .3097 .55029 .31466 .55721 .31228 .55455 .30731 Metetra
.526 .81 .998 r
.55455 .30731 .55721 .31228 .56416 .31055 .56151 .30556 Metetra
.496 .796 .999 r
.56151 .30556 .56416 .31055 .57112 .30946 .56849 .30447 Metetra
.465 .78 .998 r
.56849 .30447 .57112 .30946 .57809 .30902 .57547 .30402 Metetra
.431 .762 .996 r
.57547 .30402 .57809 .30902 .58508 .30922 .58248 .30422 Metetra
.397 .743 .993 r
.58248 .30422 .58508 .30922 .59208 .31007 .5895 .30506 Metetra
.36 .722 .987 r
.5895 .30506 .59208 .31007 .5991 .31156 .59653 .30655 Metetra
.323 .699 .981 r
.59653 .30655 .5991 .31156 .60614 .31368 .60359 .30867 Metetra
.285 .675 .972 r
.60359 .30867 .60614 .31368 .61319 .31642 .61066 .31141 Metetra
.246 .65 .962 r
.61066 .31141 .61319 .31642 .62026 .31976 .61774 .31476 Metetra
.208 .624 .951 r
.61774 .31476 .62026 .31976 .62735 .3237 .62485 .3187 Metetra
.17 .598 .938 r
.62485 .3187 .62735 .3237 .63446 .32821 .63197 .32321 Metetra
.133 .572 .925 r
.63197 .32321 .63446 .32821 .64158 .33327 .63911 .32828 Metetra
.097 .545 .91 r
.63911 .32828 .64158 .33327 .64873 .33886 .64627 .33388 Metetra
.063 .52 .896 r
.64627 .33388 .64873 .33886 .65589 .34495 .65344 .33999 Metetra
.031 .495 .881 r
.65344 .33999 .65589 .34495 .66307 .35153 .66064 .34657 Metetra
0 .471 .866 r
.66064 .34657 .66307 .35153 .67026 .35855 .66786 .35361 Metetra
0 .449 .852 r
.66786 .35361 .67026 .35855 .67748 .36599 .67509 .36106 Metetra
0 .429 .839 r
.67509 .36106 .67748 .36599 .68472 .37382 .68234 .36891 Metetra
0 .41 .826 r
.68234 .36891 .68472 .37382 .69198 .382 .68962 .3771 Metetra
0 .394 .815 r
.68962 .3771 .69198 .382 .69925 .3905 .69691 .38561 Metetra
0 .379 .804 r
.69691 .38561 .69925 .3905 .70655 .39927 .70422 .39441 Metetra
0 .367 .796 r
.70422 .39441 .70655 .39927 .71386 .40829 .71155 .40344 Metetra
0 .357 .789 r
.71155 .40344 .71386 .40829 .7212 .4175 .71891 .41268 Metetra
0 .349 .783 r
.71891 .41268 .7212 .4175 .72856 .42688 .72628 .42207 Metetra
0 .344 .779 r
.72628 .42207 .72856 .42688 .73593 .43638 .73367 .43159 Metetra
0 .341 .777 r
.73367 .43159 .73593 .43638 .74333 .44596 .74108 .44119 Metetra
0 .341 .777 r
.74108 .44119 .74333 .44596 .75074 .45557 .74851 .45082 Metetra
0 .342 .778 r
.74851 .45082 .75074 .45557 .75817 .46518 .75596 .46045 Metetra
0 .346 .781 r
.75596 .46045 .75817 .46518 .76563 .47473 .76343 .47002 Metetra
0 .353 .786 r
.76343 .47002 .76563 .47473 .7731 .4842 .77092 .47951 Metetra
0 .361 .792 r
.77092 .47951 .7731 .4842 .78059 .49353 .77843 .48885 Metetra
0 .372 .799 r
.77843 .48885 .78059 .49353 .7881 .50268 .78596 .49803 Metetra
0 .385 .808 r
.78596 .49803 .7881 .50268 .79563 .51162 .7935 .50698 Metetra
0 .399 .818 r
.7935 .50698 .79563 .51162 .80317 .52029 .80107 .51567 Metetra
0 .416 .829 r
.80107 .51567 .80317 .52029 .81073 .52867 .80865 .52407 Metetra
0 .434 .841 r
.80865 .52407 .81073 .52867 .81831 .53671 .81625 .53213 Metetra
0 .455 .854 r
.81625 .53213 .81831 .53671 .82591 .54437 .82386 .53981 Metetra
.002 .476 .867 r
.82386 .53981 .82591 .54437 .83353 .55163 .8315 .54707 Metetra
.03 .499 .881 r
.8315 .54707 .83353 .55163 .84116 .55844 .83914 .55389 Metetra
.059 .522 .894 r
.83914 .55389 .84116 .55844 .8488 .56476 .84681 .56023 Metetra
.091 .547 .908 r
.84681 .56023 .8488 .56476 .85646 .57058 .85449 .56606 Metetra
.123 .572 .921 r
.85449 .56606 .85646 .57058 .86414 .57586 .86218 .57135 Metetra
.156 .598 .934 r
.86218 .57135 .86414 .57586 .87183 .58058 .86989 .57607 Metetra
.191 .623 .945 r
.86989 .57607 .87183 .58058 .87954 .5847 .87762 .5802 Metetra
.225 .648 .956 r
.87762 .5802 .87954 .5847 .88726 .58821 .88536 .58372 Metetra
.26 .673 .966 r
.88536 .58372 .88726 .58821 .89499 .59109 .89311 .5866 Metetra
.294 .697 .975 r
.89311 .5866 .89499 .59109 .90273 .59332 .90087 .58883 Metetra
.329 .721 .982 r
.90087 .58883 .90273 .59332 .91049 .59488 .90865 .59039 Metetra
.362 .743 .988 r
.90865 .59039 .91049 .59488 .91826 .59576 .91644 .59127 Metetra
.394 .764 .993 r
.91644 .59127 .91826 .59576 .92604 .59596 .92424 .59146 Metetra
.426 .784 .996 r
.92424 .59146 .92604 .59596 .93383 .59546 .93205 .59096 Metetra
.45 .803 .997 r
.23115 .66318 .23452 .66683 .24088 .66583 .23752 .66217 Metetra
.49 .821 .999 r
.23752 .66217 .24088 .66583 .24726 .66419 .24391 .66052 Metetra
.527 .837 .999 r
.24391 .66052 .24726 .66419 .25365 .66192 .25031 .65825 Metetra
.56 .849 .998 r
.25031 .65825 .25365 .66192 .26006 .65903 .25673 .65534 Metetra
.589 .859 .994 r
.25673 .65534 .26006 .65903 .26648 .65553 .26317 .65182 Metetra
.615 .867 .99 r
.26317 .65182 .26648 .65553 .27292 .65141 .26962 .64769 Metetra
.638 .874 .985 r
.26962 .64769 .27292 .65141 .27938 .6467 .27609 .64297 Metetra
.659 .88 .98 r
.27609 .64297 .27938 .6467 .28585 .64141 .28258 .63766 Metetra
.677 .884 .975 r
.28258 .63766 .28585 .64141 .29233 .63555 .28908 .63179 Metetra
.693 .887 .969 r
.28908 .63179 .29233 .63555 .29883 .62916 .29559 .62537 Metetra
.708 .89 .964 r
.29559 .62537 .29883 .62916 .30535 .62223 .30212 .61843 Metetra
.72 .892 .958 r
.30212 .61843 .30535 .62223 .31188 .61481 .30866 .61099 Metetra
.731 .894 .953 r
.30866 .61099 .31188 .61481 .31842 .60692 .31522 .60307 Metetra
.741 .895 .949 r
.31522 .60307 .31842 .60692 .32497 .59858 .32179 .59471 Metetra
.749 .896 .944 r
.32179 .59471 .32497 .59858 .33154 .58983 .32837 .58593 Metetra
.757 .897 .94 r
.32837 .58593 .33154 .58983 .33812 .58069 .33496 .57677 Metetra
.763 .898 .936 r
.33496 .57677 .33812 .58069 .34471 .57121 .34157 .56725 Metetra
.769 .898 .933 r
.34157 .56725 .34471 .57121 .35132 .5614 .34819 .55742 Metetra
.774 .898 .93 r
.34819 .55742 .35132 .5614 .35794 .55132 .35482 .5473 Metetra
.777 .899 .928 r
.35482 .5473 .35794 .55132 .36456 .54099 .36146 .53695 Metetra
.781 .899 .926 r
.36146 .53695 .36456 .54099 .3712 .53045 .36812 .52638 Metetra
.783 .899 .924 r
.36812 .52638 .3712 .53045 .37785 .51975 .37478 .51565 Metetra
.785 .899 .923 r
.37478 .51565 .37785 .51975 .38452 .50892 .38146 .50479 Metetra
.786 .899 .922 r
.38146 .50479 .38452 .50892 .39119 .498 .38815 .49384 Metetra
.786 .899 .922 r
.38815 .49384 .39119 .498 .39787 .48704 .39485 .48284 Metetra
.786 .899 .922 r
.39485 .48284 .39787 .48704 .40457 .47606 .40155 .47183 Metetra
.785 .899 .923 r
.40155 .47183 .40457 .47606 .41127 .46512 .40827 .46086 Metetra
.784 .899 .924 r
.40827 .46086 .41127 .46512 .41798 .45426 .415 .44997 Metetra
.782 .899 .925 r
.415 .44997 .41798 .45426 .42471 .44351 .42174 .43918 Metetra
.779 .899 .927 r
.42174 .43918 .42471 .44351 .43144 .43291 .42849 .42855 Metetra
.776 .898 .929 r
.42849 .42855 .43144 .43291 .43819 .42251 .43525 .41812 Metetra
.771 .898 .931 r
.43525 .41812 .43819 .42251 .44494 .41233 .44202 .40792 Metetra
.766 .897 .934 r
.44202 .40792 .44494 .41233 .45171 .40243 .4488 .39798 Metetra
.761 .896 .938 r
.4488 .39798 .45171 .40243 .45848 .39283 .45559 .38836 Metetra
.754 .895 .941 r
.45559 .38836 .45848 .39283 .46527 .38357 .46239 .37907 Metetra
.746 .894 .945 r
.46239 .37907 .46527 .38357 .47207 .37469 .46921 .37016 Metetra
.737 .892 .95 r
.46921 .37016 .47207 .37469 .47888 .36621 .47603 .36166 Metetra
.728 .89 .954 r
.47603 .36166 .47888 .36621 .4857 .35817 .48287 .3536 Metetra
.717 .888 .959 r
.48287 .3536 .4857 .35817 .49253 .3506 .48971 .346 Metetra
.704 .885 .964 r
.48971 .346 .49253 .3506 .49937 .34353 .49657 .3389 Metetra
.69 .881 .969 r
.49657 .3389 .49937 .34353 .50622 .33697 .50344 .33232 Metetra
.675 .876 .974 r
.50344 .33232 .50622 .33697 .51309 .33096 .51032 .32629 Metetra
.658 .871 .979 r
.51032 .32629 .51309 .33096 .51997 .32551 .51721 .32082 Metetra
.64 .865 .984 r
.51721 .32082 .51997 .32551 .52686 .32064 .52412 .31594 Metetra
.619 .857 .988 r
.52412 .31594 .52686 .32064 .53376 .31637 .53104 .31166 Metetra
.597 .848 .992 r
.53104 .31166 .53376 .31637 .54068 .31272 .53797 .30799 Metetra
.572 .838 .995 r
.53797 .30799 .54068 .31272 .54761 .3097 .54492 .30495 Metetra
.546 .827 .998 r
.54492 .30495 .54761 .3097 .55455 .30731 .55188 .30255 Metetra
.517 .813 .999 r
.55188 .30255 .55455 .30731 .56151 .30556 .55885 .3008 Metetra
.487 .798 .999 r
.55885 .3008 .56151 .30556 .56849 .30447 .56584 .29969 Metetra
.454 .782 .998 r
.56584 .29969 .56849 .30447 .57547 .30402 .57285 .29924 Metetra
.42 .763 .996 r
.57285 .29924 .57547 .30402 .58248 .30422 .57987 .29943 Metetra
.383 .743 .991 r
.57987 .29943 .58248 .30422 .5895 .30506 .5869 .30028 Metetra
.346 .721 .985 r
.5869 .30028 .5895 .30506 .59653 .30655 .59395 .30176 Metetra
.307 .697 .978 r
.59395 .30176 .59653 .30655 .60359 .30867 .60102 .30388 Metetra
.268 .672 .968 r
.60102 .30388 .60359 .30867 .61066 .31141 .60811 .30662 Metetra
.228 .646 .957 r
.60811 .30662 .61066 .31141 .61774 .31476 .61521 .30997 Metetra
.188 .619 .945 r
.61521 .30997 .61774 .31476 .62485 .3187 .62233 .31392 Metetra
.149 .591 .931 r
.62233 .31392 .62485 .3187 .63197 .32321 .62947 .31844 Metetra
.111 .564 .916 r
.62947 .31844 .63197 .32321 .63911 .32828 .63662 .32352 Metetra
.074 .536 .901 r
.63662 .32352 .63911 .32828 .64627 .33388 .6438 .32913 Metetra
.039 .51 .885 r
.6438 .32913 .64627 .33388 .65344 .33999 .65099 .33524 Metetra
.006 .484 .869 r
.65099 .33524 .65344 .33999 .66064 .34657 .6582 .34184 Metetra
0 .46 .853 r
.6582 .34184 .66064 .34657 .66786 .35361 .66543 .34889 Metetra
0 .437 .838 r
.66543 .34889 .66786 .35361 .67509 .36106 .67269 .35636 Metetra
0 .416 .824 r
.67269 .35636 .67509 .36106 .68234 .36891 .67996 .36421 Metetra
0 .397 .811 r
.67996 .36421 .68234 .36891 .68962 .3771 .68724 .37243 Metetra
0 .38 .799 r
.68724 .37243 .68962 .3771 .69691 .38561 .69455 .38096 Metetra
0 .365 .788 r
.69455 .38096 .69691 .38561 .70422 .39441 .70188 .38977 Metetra
0 .352 .779 r
.70188 .38977 .70422 .39441 .71155 .40344 .70923 .39882 Metetra
0 .342 .772 r
.70923 .39882 .71155 .40344 .71891 .41268 .7166 .40807 Metetra
0 .335 .766 r
.7166 .40807 .71891 .41268 .72628 .42207 .72399 .41749 Metetra
0 .329 .762 r
.72399 .41749 .72628 .42207 .73367 .43159 .7314 .42703 Metetra
0 .326 .76 r
.7314 .42703 .73367 .43159 .74108 .44119 .73883 .43664 Metetra
0 .326 .759 r
.73883 .43664 .74108 .44119 .74851 .45082 .74628 .4463 Metetra
0 .327 .761 r
.74628 .4463 .74851 .45082 .75596 .46045 .75375 .45594 Metetra
0 .331 .764 r
.75375 .45594 .75596 .46045 .76343 .47002 .76123 .46554 Metetra
0 .338 .768 r
.76123 .46554 .76343 .47002 .77092 .47951 .76874 .47504 Metetra
0 .347 .775 r
.76874 .47504 .77092 .47951 .77843 .48885 .77627 .48441 Metetra
0 .357 .783 r
.77627 .48441 .77843 .48885 .78596 .49803 .78381 .4936 Metetra
0 .371 .792 r
.78381 .4936 .78596 .49803 .7935 .50698 .79137 .50257 Metetra
0 .386 .802 r
.79137 .50257 .7935 .50698 .80107 .51567 .79895 .51129 Metetra
0 .403 .814 r
.79895 .51129 .80107 .51567 .80865 .52407 .80655 .5197 Metetra
0 .422 .826 r
.80655 .5197 .80865 .52407 .81625 .53213 .81417 .52777 Metetra
0 .442 .84 r
.81417 .52777 .81625 .53213 .82386 .53981 .8218 .53547 Metetra
0 .464 .854 r
.8218 .53547 .82386 .53981 .8315 .54707 .82946 .54275 Metetra
.005 .488 .868 r
.82946 .54275 .8315 .54707 .83914 .55389 .83712 .54958 Metetra
.036 .512 .883 r
.83712 .54958 .83914 .55389 .84681 .56023 .84481 .55593 Metetra
.067 .537 .897 r
.84481 .55593 .84681 .56023 .85449 .56606 .85251 .56178 Metetra
.1 .563 .911 r
.85251 .56178 .85449 .56606 .86218 .57135 .86022 .56707 Metetra
.135 .59 .925 r
.86022 .56707 .86218 .57135 .86989 .57607 .86795 .5718 Metetra
.17 .616 .938 r
.86795 .5718 .86989 .57607 .87762 .5802 .87569 .57594 Metetra
.205 .643 .949 r
.87569 .57594 .87762 .5802 .88536 .58372 .88345 .57946 Metetra
.241 .668 .96 r
.88345 .57946 .88536 .58372 .89311 .5866 .89122 .58234 Metetra
.276 .694 .97 r
.89122 .58234 .89311 .5866 .90087 .58883 .899 .58457 Metetra
.312 .718 .978 r
.899 .58457 .90087 .58883 .90865 .59039 .9068 .58613 Metetra
.346 .741 .984 r
.9068 .58613 .90865 .59039 .91644 .59127 .91461 .58701 Metetra
.38 .763 .99 r
.91461 .58701 .91644 .59127 .92424 .59146 .92243 .5872 Metetra
.412 .783 .994 r
.92243 .5872 .92424 .59146 .93205 .59096 .93026 .58669 Metetra
.437 .804 .995 r
.22775 .65974 .23115 .66318 .23752 .66217 .23414 .65872 Metetra
.479 .823 .998 r
.23414 .65872 .23752 .66217 .24391 .66052 .24054 .65707 Metetra
.517 .839 .999 r
.24054 .65707 .24391 .66052 .25031 .65825 .24696 .65478 Metetra
.552 .852 .998 r
.24696 .65478 .25031 .65825 .25673 .65534 .25339 .65187 Metetra
.582 .863 .995 r
.25339 .65187 .25673 .65534 .26317 .65182 .25984 .64834 Metetra
.609 .872 .991 r
.25984 .64834 .26317 .65182 .26962 .64769 .26631 .6442 Metetra
.634 .879 .987 r
.26631 .6442 .26962 .64769 .27609 .64297 .27279 .63946 Metetra
.655 .885 .982 r
.27279 .63946 .27609 .64297 .28258 .63766 .27929 .63413 Metetra
.674 .889 .976 r
.27929 .63413 .28258 .63766 .28908 .63179 .2858 .62824 Metetra
.691 .893 .971 r
.2858 .62824 .28908 .63179 .29559 .62537 .29233 .6218 Metetra
.705 .896 .965 r
.29233 .6218 .29559 .62537 .30212 .61843 .29887 .61484 Metetra
.718 .898 .96 r
.29887 .61484 .30212 .61843 .30866 .61099 .30543 .60737 Metetra
.73 .899 .955 r
.30543 .60737 .30866 .61099 .31522 .60307 .312 .59944 Metetra
.74 .901 .95 r
.312 .59944 .31522 .60307 .32179 .59471 .31858 .59105 Metetra
.749 .902 .946 r
.31858 .59105 .32179 .59471 .32837 .58593 .32518 .58224 Metetra
.756 .903 .942 r
.32518 .58224 .32837 .58593 .33496 .57677 .33179 .57306 Metetra
.763 .903 .938 r
.33179 .57306 .33496 .57677 .34157 .56725 .33841 .56351 Metetra
.769 .904 .935 r
.33841 .56351 .34157 .56725 .34819 .55742 .34504 .55365 Metetra
.773 .904 .932 r
.34504 .55365 .34819 .55742 .35482 .5473 .35169 .54351 Metetra
.777 .904 .929 r
.35169 .54351 .35482 .5473 .36146 .53695 .35835 .53312 Metetra
.781 .904 .927 r
.35835 .53312 .36146 .53695 .36812 .52638 .36502 .52252 Metetra
.783 .904 .926 r
.36502 .52252 .36812 .52638 .37478 .51565 .3717 .51176 Metetra
.785 .904 .925 r
.3717 .51176 .37478 .51565 .38146 .50479 .37839 .50087 Metetra
.786 .904 .924 r
.37839 .50087 .38146 .50479 .38815 .49384 .38509 .48989 Metetra
.787 .904 .924 r
.38509 .48989 .38815 .49384 .39485 .48284 .3918 .47886 Metetra
.786 .904 .924 r
.3918 .47886 .39485 .48284 .40155 .47183 .39853 .46782 Metetra
.786 .904 .924 r
.39853 .46782 .40155 .47183 .40827 .46086 .40526 .45682 Metetra
.784 .904 .925 r
.40526 .45682 .40827 .46086 .415 .44997 .412 .44589 Metetra
.782 .904 .927 r
.412 .44589 .415 .44997 .42174 .43918 .41876 .43508 Metetra
.779 .904 .928 r
.41876 .43508 .42174 .43918 .42849 .42855 .42552 .42442 Metetra
.776 .904 .931 r
.42552 .42442 .42849 .42855 .43525 .41812 .4323 .41395 Metetra
.771 .903 .933 r
.4323 .41395 .43525 .41812 .44202 .40792 .43908 .40372 Metetra
.766 .903 .936 r
.43908 .40372 .44202 .40792 .4488 .39798 .44588 .39376 Metetra
.76 .902 .939 r
.44588 .39376 .4488 .39798 .45559 .38836 .45269 .3841 Metetra
.753 .901 .943 r
.45269 .3841 .45559 .38836 .46239 .37907 .4595 .37479 Metetra
.745 .899 .947 r
.4595 .37479 .46239 .37907 .46921 .37016 .46633 .36585 Metetra
.736 .898 .952 r
.46633 .36585 .46921 .37016 .47603 .36166 .47317 .35732 Metetra
.726 .896 .956 r
.47317 .35732 .47603 .36166 .48287 .3536 .48002 .34923 Metetra
.715 .893 .961 r
.48002 .34923 .48287 .3536 .48971 .346 .48688 .34161 Metetra
.702 .89 .966 r
.48688 .34161 .48971 .346 .49657 .3389 .49375 .33449 Metetra
.688 .886 .971 r
.49375 .33449 .49657 .3389 .50344 .33232 .50064 .32789 Metetra
.672 .882 .976 r
.50064 .32789 .50344 .33232 .51032 .32629 .50754 .32184 Metetra
.655 .876 .981 r
.50754 .32184 .51032 .32629 .51721 .32082 .51445 .31635 Metetra
.635 .87 .986 r
.51445 .31635 .51721 .32082 .52412 .31594 .52137 .31145 Metetra
.614 .862 .99 r
.52137 .31145 .52412 .31594 .53104 .31166 .5283 .30715 Metetra
.591 .853 .994 r
.5283 .30715 .53104 .31166 .53797 .30799 .53525 .30347 Metetra
.566 .842 .997 r
.53525 .30347 .53797 .30799 .54492 .30495 .54221 .30042 Metetra
.538 .83 .999 r
.54221 .30042 .54492 .30495 .55188 .30255 .54919 .29801 Metetra
.509 .816 1 r
.54919 .29801 .55188 .30255 .55885 .3008 .55618 .29625 Metetra
.477 .8 1 r
.55618 .29625 .55885 .3008 .56584 .29969 .56318 .29513 Metetra
.443 .783 .998 r
.56318 .29513 .56584 .29969 .57285 .29924 .5702 .29467 Metetra
.407 .763 .995 r
.5702 .29467 .57285 .29924 .57987 .29943 .57724 .29487 Metetra
.369 .742 .989 r
.57724 .29487 .57987 .29943 .5869 .30028 .58429 .29571 Metetra
.33 .719 .983 r
.58429 .29571 .5869 .30028 .59395 .30176 .59136 .29719 Metetra
.29 .694 .974 r
.59136 .29719 .59395 .30176 .60102 .30388 .59844 .29931 Metetra
.249 .668 .963 r
.59844 .29931 .60102 .30388 .60811 .30662 .60554 .30206 Metetra
.208 .64 .951 r
.60554 .30206 .60811 .30662 .61521 .30997 .61266 .30541 Metetra
.168 .612 .937 r
.61266 .30541 .61521 .30997 .62233 .31392 .6198 .30936 Metetra
.127 .583 .922 r
.6198 .30936 .62233 .31392 .62947 .31844 .62695 .31389 Metetra
.088 .555 .906 r
.62695 .31389 .62947 .31844 .63662 .32352 .63412 .31897 Metetra
.051 .526 .889 r
.63412 .31897 .63662 .32352 .6438 .32913 .64132 .32459 Metetra
.015 .499 .873 r
.64132 .32459 .6438 .32913 .65099 .33524 .64852 .33072 Metetra
0 .472 .856 r
.64852 .33072 .65099 .33524 .6582 .34184 .65575 .33733 Metetra
0 .447 .839 r
.65575 .33733 .6582 .34184 .66543 .34889 .663 .34439 Metetra
0 .424 .823 r
.663 .34439 .66543 .34889 .67269 .35636 .67027 .35187 Metetra
0 .402 .808 r
.67027 .35187 .67269 .35636 .67996 .36421 .67755 .35975 Metetra
0 .382 .794 r
.67755 .35975 .67996 .36421 .68724 .37243 .68486 .36797 Metetra
0 .365 .782 r
.68486 .36797 .68724 .37243 .69455 .38096 .69219 .37652 Metetra
0 .35 .771 r
.69219 .37652 .69455 .38096 .70188 .38977 .69953 .38535 Metetra
0 .337 .761 r
.69953 .38535 .70188 .38977 .70923 .39882 .7069 .39442 Metetra
0 .327 .753 r
.7069 .39442 .70923 .39882 .7166 .40807 .71429 .40369 Metetra
0 .319 .748 r
.71429 .40369 .7166 .40807 .72399 .41749 .72169 .41313 Metetra
0 .313 .743 r
.72169 .41313 .72399 .41749 .7314 .42703 .72912 .42269 Metetra
0 .31 .741 r
.72912 .42269 .7314 .42703 .73883 .43664 .73656 .43233 Metetra
0 .31 .741 r
.73656 .43233 .73883 .43664 .74628 .4463 .74403 .442 Metetra
0 .312 .742 r
.74403 .442 .74628 .4463 .75375 .45594 .75152 .45166 Metetra
0 .316 .745 r
.75152 .45166 .75375 .45594 .76123 .46554 .75902 .46128 Metetra
0 .322 .75 r
.75902 .46128 .76123 .46554 .76874 .47504 .76654 .47081 Metetra
0 .331 .757 r
.76654 .47081 .76874 .47504 .77627 .48441 .77409 .4802 Metetra
0 .342 .765 r
.77409 .4802 .77627 .48441 .78381 .4936 .78165 .48941 Metetra
0 .356 .774 r
.78165 .48941 .78381 .4936 .79137 .50257 .78923 .4984 Metetra
0 .371 .785 r
.78923 .4984 .79137 .50257 .79895 .51129 .79683 .50713 Metetra
0 .388 .797 r
.79683 .50713 .79895 .51129 .80655 .5197 .80445 .51556 Metetra
0 .408 .81 r
.80445 .51556 .80655 .5197 .81417 .52777 .81208 .52365 Metetra
0 .429 .824 r
.81208 .52365 .81417 .52777 .8218 .53547 .81974 .53136 Metetra
0 .451 .839 r
.81974 .53136 .8218 .53547 .82946 .54275 .82741 .53866 Metetra
0 .475 .854 r
.82741 .53866 .82946 .54275 .83712 .54958 .83509 .5455 Metetra
.011 .501 .87 r
.83509 .5455 .83712 .54958 .84481 .55593 .84279 .55187 Metetra
.043 .527 .885 r
.84279 .55187 .84481 .55593 .85251 .56178 .85051 .55772 Metetra
.077 .554 .9 r
.85051 .55772 .85251 .56178 .86022 .56707 .85825 .56303 Metetra
.112 .581 .915 r
.85825 .56303 .86022 .56707 .86795 .5718 .86599 .56777 Metetra
.148 .609 .928 r
.86599 .56777 .86795 .5718 .87569 .57594 .87376 .57191 Metetra
.184 .636 .941 r
.87376 .57191 .87569 .57594 .88345 .57946 .88153 .57543 Metetra
.221 .663 .953 r
.88153 .57543 .88345 .57946 .89122 .58234 .88932 .57832 Metetra
.257 .689 .963 r
.88932 .57832 .89122 .58234 .899 .58457 .89713 .58055 Metetra
.294 .714 .972 r
.89713 .58055 .899 .58457 .9068 .58613 .90494 .58211 Metetra
.329 .738 .98 r
.90494 .58211 .9068 .58613 .91461 .58701 .91277 .58299 Metetra
.364 .761 .986 r
.91277 .58299 .91461 .58701 .92243 .5872 .92061 .58317 Metetra
.398 .783 .99 r
.92061 .58317 .92243 .5872 .93026 .58669 .92846 .58266 Metetra
.423 .803 .991 r
.22434 .65652 .22775 .65974 .23414 .65872 .23074 .65549 Metetra
.467 .824 .996 r
.23074 .65549 .23414 .65872 .24054 .65707 .23715 .65383 Metetra
.507 .841 .998 r
.23715 .65383 .24054 .65707 .24696 .65478 .24358 .65154 Metetra
.543 .855 .997 r
.24358 .65154 .24696 .65478 .25339 .65187 .25003 .64862 Metetra
.575 .867 .995 r
.25003 .64862 .25339 .65187 .25984 .64834 .2565 .64507 Metetra
.603 .876 .992 r
.2565 .64507 .25984 .64834 .26631 .6442 .26298 .64092 Metetra
.628 .884 .988 r
.26298 .64092 .26631 .6442 .27279 .63946 .26947 .63616 Metetra
.651 .89 .983 r
.26947 .63616 .27279 .63946 .27929 .63413 .27598 .63082 Metetra
.67 .894 .978 r
.27598 .63082 .27929 .63413 .2858 .62824 .28251 .62491 Metetra
.688 .898 .972 r
.28251 .62491 .2858 .62824 .29233 .6218 .28905 .61845 Metetra
.703 .901 .967 r
.28905 .61845 .29233 .6218 .29887 .61484 .29561 .61147 Metetra
.716 .903 .962 r
.29561 .61147 .29887 .61484 .30543 .60737 .30218 .60398 Metetra
.728 .905 .957 r
.30218 .60398 .30543 .60737 .312 .59944 .30876 .59602 Metetra
.739 .906 .952 r
.30876 .59602 .312 .59944 .31858 .59105 .31536 .58761 Metetra
.748 .907 .948 r
.31536 .58761 .31858 .59105 .32518 .58224 .32197 .57878 Metetra
.756 .908 .943 r
.32197 .57878 .32518 .58224 .33179 .57306 .32859 .56956 Metetra
.762 .909 .94 r
.32859 .56956 .33179 .57306 .33841 .56351 .33523 .55999 Metetra
.768 .909 .936 r
.33523 .55999 .33841 .56351 .34504 .55365 .34188 .5501 Metetra
.773 .909 .933 r
.34188 .5501 .34504 .55365 .35169 .54351 .34854 .53993 Metetra
.777 .909 .931 r
.34854 .53993 .35169 .54351 .35835 .53312 .35521 .52951 Metetra
.781 .91 .929 r
.35521 .52951 .35835 .53312 .36502 .52252 .3619 .51889 Metetra
.783 .91 .927 r
.3619 .51889 .36502 .52252 .3717 .51176 .36859 .50809 Metetra
.785 .91 .926 r
.36859 .50809 .3717 .51176 .37839 .50087 .3753 .49717 Metetra
.786 .91 .925 r
.3753 .49717 .37839 .50087 .38509 .48989 .38201 .48616 Metetra
.787 .91 .925 r
.38201 .48616 .38509 .48989 .3918 .47886 .38874 .47509 Metetra
.787 .91 .925 r
.38874 .47509 .3918 .47886 .39853 .46782 .39548 .46403 Metetra
.786 .91 .926 r
.39548 .46403 .39853 .46782 .40526 .45682 .40223 .45299 Metetra
.784 .91 .927 r
.40223 .45299 .40526 .45682 .412 .44589 .40899 .44203 Metetra
.782 .91 .928 r
.40899 .44203 .412 .44589 .41876 .43508 .41576 .43119 Metetra
.779 .909 .93 r
.41576 .43119 .41876 .43508 .42552 .42442 .42254 .4205 Metetra
.775 .909 .932 r
.42254 .4205 .42552 .42442 .4323 .41395 .42933 .41 Metetra
.771 .909 .935 r
.42933 .41 .4323 .41395 .43908 .40372 .43613 .39974 Metetra
.766 .908 .938 r
.43613 .39974 .43908 .40372 .44588 .39376 .44294 .38975 Metetra
.76 .907 .941 r
.44294 .38975 .44588 .39376 .45269 .3841 .44976 .38006 Metetra
.752 .906 .945 r
.44976 .38006 .45269 .3841 .4595 .37479 .4566 .37072 Metetra
.744 .905 .949 r
.4566 .37072 .4595 .37479 .46633 .36585 .46344 .36176 Metetra
.735 .903 .953 r
.46344 .36176 .46633 .36585 .47317 .35732 .47029 .3532 Metetra
.725 .901 .958 r
.47029 .3532 .47317 .35732 .48002 .34923 .47716 .34509 Metetra
.713 .899 .963 r
.47716 .34509 .48002 .34923 .48688 .34161 .48404 .33745 Metetra
.7 .895 .968 r
.48404 .33745 .48688 .34161 .49375 .33449 .49092 .3303 Metetra
.685 .891 .973 r
.49092 .3303 .49375 .33449 .50064 .32789 .49783 .32368 Metetra
.669 .887 .978 r
.49783 .32368 .50064 .32789 .50754 .32184 .50474 .31761 Metetra
.651 .881 .983 r
.50474 .31761 .50754 .32184 .51445 .31635 .51166 .3121 Metetra
.631 .874 .987 r
.51166 .3121 .51445 .31635 .52137 .31145 .5186 .30718 Metetra
.609 .866 .991 r
.5186 .30718 .52137 .31145 .5283 .30715 .52555 .30287 Metetra
.585 .857 .995 r
.52555 .30287 .5283 .30715 .53525 .30347 .53251 .29918 Metetra
.558 .846 .998 r
.53251 .29918 .53525 .30347 .54221 .30042 .53949 .29611 Metetra
.53 .833 .999 r
.53949 .29611 .54221 .30042 .54919 .29801 .54648 .29369 Metetra
.499 .818 1 r
.54648 .29369 .54919 .29801 .55618 .29625 .55349 .29192 Metetra
.466 .802 .999 r
.55349 .29192 .55618 .29625 .56318 .29513 .56051 .2908 Metetra
.431 .784 .997 r
.56051 .2908 .56318 .29513 .5702 .29467 .56755 .29033 Metetra
.393 .763 .993 r
.56755 .29033 .5702 .29467 .57724 .29487 .5746 .29052 Metetra
.354 .74 .987 r
.5746 .29052 .57724 .29487 .58429 .29571 .58167 .29136 Metetra
.314 .716 .979 r
.58167 .29136 .58429 .29571 .59136 .29719 .58875 .29284 Metetra
.272 .69 .969 r
.58875 .29284 .59136 .29719 .59844 .29931 .59585 .29496 Metetra
.23 .662 .957 r
.59585 .29496 .59844 .29931 .60554 .30206 .60297 .29771 Metetra
.188 .634 .943 r
.60297 .29771 .60554 .30206 .61266 .30541 .6101 .30107 Metetra
.146 .604 .928 r
.6101 .30107 .61266 .30541 .6198 .30936 .61725 .30502 Metetra
.105 .574 .912 r
.61725 .30502 .6198 .30936 .62695 .31389 .62442 .30956 Metetra
.065 .545 .895 r
.62442 .30956 .62695 .31389 .63412 .31897 .63161 .31465 Metetra
.026 .515 .877 r
.63161 .31465 .63412 .31897 .64132 .32459 .63882 .32028 Metetra
0 .487 .859 r
.63882 .32028 .64132 .32459 .64852 .33072 .64605 .32642 Metetra
0 .459 .841 r
.64605 .32642 .64852 .33072 .65575 .33733 .65329 .33304 Metetra
0 .434 .823 r
.65329 .33304 .65575 .33733 .663 .34439 .66055 .34011 Metetra
0 .409 .806 r
.66055 .34011 .663 .34439 .67027 .35187 .66784 .34761 Metetra
0 .387 .791 r
.66784 .34761 .67027 .35187 .67755 .35975 .67514 .3555 Metetra
0 .367 .776 r
.67514 .3555 .67755 .35975 .68486 .36797 .68247 .36375 Metetra
0 .349 .763 r
.68247 .36375 .68486 .36797 .69219 .37652 .68981 .37231 Metetra
0 .334 .751 r
.68981 .37231 .69219 .37652 .69953 .38535 .69717 .38116 Metetra
0 .321 .742 r
.69717 .38116 .69953 .38535 .7069 .39442 .70455 .39025 Metetra
0 .311 .734 r
.70455 .39025 .7069 .39442 .71429 .40369 .71196 .39954 Metetra
0 .303 .728 r
.71196 .39954 .71429 .40369 .72169 .41313 .71938 .409 Metetra
0 .297 .723 r
.71938 .409 .72169 .41313 .72912 .42269 .72682 .41858 Metetra
0 .294 .721 r
.72682 .41858 .72912 .42269 .73656 .43233 .73429 .42824 Metetra
0 .293 .72 r
.73429 .42824 .73656 .43233 .74403 .442 .74177 .43793 Metetra
0 .295 .722 r
.74177 .43793 .74403 .442 .75152 .45166 .74927 .44762 Metetra
0 .299 .725 r
.74927 .44762 .75152 .45166 .75902 .46128 .7568 .45726 Metetra
0 .306 .73 r
.7568 .45726 .75902 .46128 .76654 .47081 .76434 .4668 Metetra
0 .315 .737 r
.76434 .4668 .76654 .47081 .77409 .4802 .7719 .47621 Metetra
0 .326 .745 r
.7719 .47621 .77409 .4802 .78165 .48941 .77948 .48544 Metetra
0 .34 .755 r
.77948 .48544 .78165 .48941 .78923 .4984 .78708 .49445 Metetra
0 .355 .767 r
.78708 .49445 .78923 .4984 .79683 .50713 .7947 .5032 Metetra
0 .373 .779 r
.7947 .5032 .79683 .50713 .80445 .51556 .80233 .51165 Metetra
0 .393 .793 r
.80233 .51165 .80445 .51556 .81208 .52365 .80999 .51976 Metetra
0 .414 .808 r
.80999 .51976 .81208 .52365 .81974 .53136 .81766 .52749 Metetra
0 .438 .823 r
.81766 .52749 .81974 .53136 .82741 .53866 .82535 .5348 Metetra
0 .462 .839 r
.82535 .5348 .82741 .53866 .83509 .5455 .83305 .54166 Metetra
0 .488 .855 r
.83305 .54166 .83509 .5455 .84279 .55187 .84077 .54804 Metetra
.018 .515 .871 r
.84077 .54804 .84279 .55187 .85051 .55772 .84851 .5539 Metetra
.053 .543 .887 r
.84851 .5539 .85051 .55772 .85825 .56303 .85626 .55922 Metetra
.088 .571 .903 r
.85626 .55922 .85825 .56303 .86599 .56777 .86403 .56397 Metetra
.125 .6 .918 r
.86403 .56397 .86599 .56777 .87376 .57191 .87181 .56811 Metetra
.162 .628 .931 r
.87181 .56811 .87376 .57191 .88153 .57543 .87961 .57164 Metetra
.2 .656 .944 r
.87961 .57164 .88153 .57543 .88932 .57832 .88742 .57453 Metetra
.237 .683 .955 r
.88742 .57453 .88932 .57832 .89713 .58055 .89524 .57677 Metetra
.275 .709 .965 r
.89524 .57677 .89713 .58055 .90494 .58211 .90308 .57833 Metetra
.312 .735 .974 r
.90308 .57833 .90494 .58211 .91277 .58299 .91093 .5792 Metetra
.347 .758 .981 r
.91093 .5792 .91277 .58299 .92061 .58317 .91879 .57938 Metetra
.382 .781 .986 r
.91879 .57938 .92061 .58317 .92846 .58266 .92666 .57886 Metetra
.408 .802 .987 r
.22091 .65352 .22434 .65652 .23074 .65549 .22732 .65249 Metetra
.454 .824 .993 r
.22732 .65249 .23074 .65549 .23715 .65383 .23375 .65082 Metetra
.496 .842 .996 r
.23375 .65082 .23715 .65383 .24358 .65154 .24019 .64852 Metetra
.533 .857 .996 r
.24019 .64852 .24358 .65154 .25003 .64862 .24665 .64559 Metetra
.567 .87 .995 r
.24665 .64559 .25003 .64862 .2565 .64507 .25313 .64203 Metetra
.596 .88 .992 r
.25313 .64203 .2565 .64507 .26298 .64092 .25962 .63786 Metetra
.622 .888 .988 r
.25962 .63786 .26298 .64092 .26947 .63616 .26613 .63309 Metetra
.646 .894 .984 r
.26613 .63309 .26947 .63616 .27598 .63082 .27266 .62773 Metetra
.666 .899 .979 r
.27266 .62773 .27598 .63082 .28251 .62491 .2792 .6218 Metetra
.684 .903 .974 r
.2792 .6218 .28251 .62491 .28905 .61845 .28576 .61533 Metetra
.7 .906 .968 r
.28576 .61533 .28905 .61845 .29561 .61147 .29233 .60832 Metetra
.714 .909 .963 r
.29233 .60832 .29561 .61147 .30218 .60398 .29891 .60081 Metetra
.726 .91 .958 r
.29891 .60081 .30218 .60398 .30876 .59602 .30551 .59283 Metetra
.737 .912 .953 r
.30551 .59283 .30876 .59602 .31536 .58761 .31212 .58439 Metetra
.747 .913 .949 r
.31212 .58439 .31536 .58761 .32197 .57878 .31875 .57554 Metetra
.755 .914 .945 r
.31875 .57554 .32197 .57878 .32859 .56956 .32538 .56629 Metetra
.762 .914 .941 r
.32538 .56629 .32859 .56956 .33523 .55999 .33204 .5567 Metetra
.768 .914 .938 r
.33204 .5567 .33523 .55999 .34188 .5501 .3387 .54678 Metetra
.773 .915 .935 r
.3387 .54678 .34188 .5501 .34854 .53993 .34537 .53658 Metetra
.777 .915 .932 r
.34537 .53658 .34854 .53993 .35521 .52951 .35206 .52613 Metetra
.78 .915 .93 r
.35206 .52613 .35521 .52951 .3619 .51889 .35876 .51547 Metetra
.783 .915 .928 r
.35876 .51547 .3619 .51889 .36859 .50809 .36547 .50465 Metetra
.785 .915 .927 r
.36547 .50465 .36859 .50809 .3753 .49717 .37219 .49369 Metetra
.786 .915 .926 r
.37219 .49369 .3753 .49717 .38201 .48616 .37892 .48265 Metetra
.787 .915 .926 r
.37892 .48265 .38201 .48616 .38874 .47509 .38567 .47155 Metetra
.786 .915 .926 r
.38567 .47155 .38874 .47509 .39548 .46403 .39242 .46045 Metetra
.786 .915 .927 r
.39242 .46045 .39548 .46403 .40223 .45299 .39918 .44939 Metetra
.784 .915 .928 r
.39918 .44939 .40223 .45299 .40899 .44203 .40596 .4384 Metetra
.782 .915 .929 r
.40596 .4384 .40899 .44203 .41576 .43119 .41274 .42752 Metetra
.779 .915 .931 r
.41274 .42752 .41576 .43119 .42254 .4205 .41954 .4168 Metetra
.775 .915 .933 r
.41954 .4168 .42254 .4205 .42933 .41 .42634 .40627 Metetra
.771 .914 .936 r
.42634 .40627 .42933 .41 .43613 .39974 .43316 .39598 Metetra
.765 .914 .939 r
.43316 .39598 .43613 .39974 .44294 .38975 .43999 .38596 Metetra
.759 .913 .942 r
.43999 .38596 .44294 .38975 .44976 .38006 .44683 .37624 Metetra
.751 .912 .946 r
.44683 .37624 .44976 .38006 .4566 .37072 .45367 .36687 Metetra
.743 .91 .95 r
.45367 .36687 .4566 .37072 .46344 .36176 .46053 .35788 Metetra
.734 .909 .955 r
.46053 .35788 .46344 .36176 .47029 .3532 .4674 .3493 Metetra
.723 .907 .959 r
.4674 .3493 .47029 .3532 .47716 .34509 .47428 .34117 Metetra
.711 .904 .964 r
.47428 .34117 .47716 .34509 .48404 .33745 .48118 .3335 Metetra
.697 .901 .969 r
.48118 .3335 .48404 .33745 .49092 .3303 .48808 .32633 Metetra
.682 .897 .974 r
.48808 .32633 .49092 .3303 .49783 .32368 .495 .31969 Metetra
.665 .892 .979 r
.495 .31969 .49783 .32368 .50474 .31761 .50192 .3136 Metetra
.646 .886 .984 r
.50192 .3136 .50474 .31761 .51166 .3121 .50887 .30807 Metetra
.626 .879 .988 r
.50887 .30807 .51166 .3121 .5186 .30718 .51582 .30314 Metetra
.603 .87 .992 r
.51582 .30314 .5186 .30718 .52555 .30287 .52278 .29881 Metetra
.578 .861 .996 r
.52278 .29881 .52555 .30287 .53251 .29918 .52976 .2951 Metetra
.55 .849 .998 r
.52976 .2951 .53251 .29918 .53949 .29611 .53676 .29203 Metetra
.521 .836 .999 r
.53676 .29203 .53949 .29611 .54648 .29369 .54377 .2896 Metetra
.489 .82 .999 r
.54377 .2896 .54648 .29369 .55349 .29192 .55079 .28781 Metetra
.454 .803 .998 r
.55079 .28781 .55349 .29192 .56051 .2908 .55782 .28668 Metetra
.418 .784 .995 r
.55782 .28668 .56051 .2908 .56755 .29033 .56488 .28621 Metetra
.379 .762 .99 r
.56488 .28621 .56755 .29033 .5746 .29052 .57194 .2864 Metetra
.338 .738 .983 r
.57194 .2864 .5746 .29052 .58167 .29136 .57903 .28723 Metetra
.297 .713 .973 r
.57903 .28723 .58167 .29136 .58875 .29284 .58613 .28871 Metetra
.254 .685 .962 r
.58613 .28871 .58875 .29284 .59585 .29496 .59324 .29084 Metetra
.21 .656 .949 r
.59324 .29084 .59585 .29496 .60297 .29771 .60038 .29359 Metetra
.166 .626 .934 r
.60038 .29359 .60297 .29771 .6101 .30107 .60753 .29695 Metetra
.123 .596 .918 r
.60753 .29695 .6101 .30107 .61725 .30502 .6147 .30091 Metetra
.081 .565 .9 r
.6147 .30091 .61725 .30502 .62442 .30956 .62188 .30545 Metetra
.04 .534 .881 r
.62188 .30545 .62442 .30956 .63161 .31465 .62909 .31055 Metetra
.001 .503 .862 r
.62909 .31055 .63161 .31465 .63882 .32028 .63631 .31619 Metetra
0 .474 .843 r
.63631 .31619 .63882 .32028 .64605 .32642 .64355 .32234 Metetra
0 .446 .824 r
.64355 .32234 .64605 .32642 .65329 .33304 .65082 .32898 Metetra
0 .419 .806 r
.65082 .32898 .65329 .33304 .66055 .34011 .6581 .33607 Metetra
0 .394 .788 r
.6581 .33607 .66055 .34011 .66784 .34761 .6654 .34358 Metetra
0 .372 .772 r
.6654 .34358 .66784 .34761 .67514 .3555 .67272 .35149 Metetra
0 .351 .756 r
.67272 .35149 .67514 .3555 .68247 .36375 .68006 .35975 Metetra
0 .333 .743 r
.68006 .35975 .68247 .36375 .68981 .37231 .68742 .36833 Metetra
0 .318 .731 r
.68742 .36833 .68981 .37231 .69717 .38116 .6948 .3772 Metetra
0 .304 .721 r
.6948 .3772 .69717 .38116 .70455 .39025 .7022 .38631 Metetra
0 .294 .713 r
.7022 .38631 .70455 .39025 .71196 .39954 .70962 .39562 Metetra
0 .286 .706 r
.70962 .39562 .71196 .39954 .71938 .409 .71706 .4051 Metetra
0 .28 .702 r
.71706 .4051 .71938 .409 .72682 .41858 .72452 .4147 Metetra
0 .277 .699 r
.72452 .4147 .72682 .41858 .73429 .42824 .732 .42438 Metetra
0 .276 .699 r
.732 .42438 .73429 .42824 .74177 .43793 .7395 .43409 Metetra
0 .278 .7 r
.7395 .43409 .74177 .43793 .74927 .44762 .74702 .4438 Metetra
0 .282 .704 r
.74702 .4438 .74927 .44762 .7568 .45726 .75456 .45346 Metetra
0 .289 .709 r
.75456 .45346 .7568 .45726 .76434 .4668 .76212 .46303 Metetra
0 .298 .716 r
.76212 .46303 .76434 .4668 .7719 .47621 .7697 .47246 Metetra
0 .31 .724 r
.7697 .47246 .7719 .47621 .77948 .48544 .7773 .48171 Metetra
0 .323 .735 r
.7773 .48171 .77948 .48544 .78708 .49445 .78492 .49074 Metetra
0 .339 .746 r
.78492 .49074 .78708 .49445 .7947 .5032 .79255 .49951 Metetra
0 .357 .759 r
.79255 .49951 .7947 .5032 .80233 .51165 .80021 .50798 Metetra
0 .377 .774 r
.80021 .50798 .80233 .51165 .80999 .51976 .80788 .5161 Metetra
0 .399 .789 r
.80788 .5161 .80999 .51976 .81766 .52749 .81557 .52385 Metetra
0 .423 .805 r
.81557 .52385 .81766 .52749 .82535 .5348 .82328 .53118 Metetra
0 .448 .822 r
.82328 .53118 .82535 .5348 .83305 .54166 .831 .53805 Metetra
0 .475 .839 r
.831 .53805 .83305 .54166 .84077 .54804 .83874 .54444 Metetra
0 .503 .856 r
.83874 .54444 .84077 .54804 .84851 .5539 .8465 .55032 Metetra
.028 .531 .873 r
.8465 .55032 .84851 .5539 .85626 .55922 .85427 .55565 Metetra
.064 .56 .889 r
.85427 .55565 .85626 .55922 .86403 .56397 .86206 .5604 Metetra
.101 .59 .905 r
.86206 .5604 .86403 .56397 .87181 .56811 .86986 .56456 Metetra
.139 .619 .92 r
.86986 .56456 .87181 .56811 .87961 .57164 .87767 .56809 Metetra
.178 .648 .934 r
.87767 .56809 .87961 .57164 .88742 .57453 .8855 .57099 Metetra
.216 .676 .946 r
.8855 .57099 .88742 .57453 .89524 .57677 .89335 .57322 Metetra
.255 .704 .957 r
.89335 .57322 .89524 .57677 .90308 .57833 .9012 .57478 Metetra
.293 .73 .966 r
.9012 .57478 .90308 .57833 .91093 .5792 .90907 .57566 Metetra
.33 .755 .974 r
.90907 .57566 .91093 .5792 .91879 .57938 .91695 .57583 Metetra
.365 .778 .98 r
.91695 .57583 .91879 .57938 .92666 .57886 .92484 .57531 Metetra
.392 .8 .981 r
.21746 .65074 .22091 .65352 .22732 .65249 .22388 .6497 Metetra
.44 .823 .989 r
.22388 .6497 .22732 .65249 .23375 .65082 .23032 .64803 Metetra
.484 .843 .993 r
.23032 .64803 .23375 .65082 .24019 .64852 .23678 .64572 Metetra
.523 .859 .995 r
.23678 .64572 .24019 .64852 .24665 .64559 .24325 .64278 Metetra
.558 .873 .994 r
.24325 .64278 .24665 .64559 .25313 .64203 .24975 .63921 Metetra
.589 .883 .992 r
.24975 .63921 .25313 .64203 .25962 .63786 .25625 .63502 Metetra
.616 .892 .989 r
.25625 .63502 .25962 .63786 .26613 .63309 .26278 .63024 Metetra
.64 .899 .984 r
.26278 .63024 .26613 .63309 .27266 .62773 .26932 .62486 Metetra
.662 .904 .98 r
.26932 .62486 .27266 .62773 .2792 .6218 .27587 .61892 Metetra
.68 .908 .975 r
.27587 .61892 .2792 .6218 .28576 .61533 .28244 .61242 Metetra
.697 .911 .969 r
.28244 .61242 .28576 .61533 .29233 .60832 .28902 .6054 Metetra
.712 .914 .964 r
.28902 .6054 .29233 .60832 .29891 .60081 .29562 .59787 Metetra
.724 .916 .959 r
.29562 .59787 .29891 .60081 .30551 .59283 .30224 .58986 Metetra
.735 .917 .955 r
.30224 .58986 .30551 .59283 .31212 .58439 .30886 .5814 Metetra
.745 .918 .95 r
.30886 .5814 .31212 .58439 .31875 .57554 .3155 .57252 Metetra
.753 .919 .946 r
.3155 .57252 .31875 .57554 .32538 .56629 .32216 .56325 Metetra
.761 .919 .942 r
.32216 .56325 .32538 .56629 .33204 .5567 .32882 .55362 Metetra
.767 .92 .939 r
.32882 .55362 .33204 .5567 .3387 .54678 .3355 .54367 Metetra
.772 .92 .936 r
.3355 .54367 .3387 .54678 .34537 .53658 .34219 .53344 Metetra
.776 .92 .933 r
.34219 .53344 .34537 .53658 .35206 .52613 .34889 .52297 Metetra
.78 .92 .931 r
.34889 .52297 .35206 .52613 .35876 .51547 .3556 .51228 Metetra
.783 .921 .93 r
.3556 .51228 .35876 .51547 .36547 .50465 .36233 .50142 Metetra
.785 .921 .928 r
.36233 .50142 .36547 .50465 .37219 .49369 .36907 .49043 Metetra
.786 .921 .928 r
.36907 .49043 .37219 .49369 .37892 .48265 .37581 .47936 Metetra
.786 .921 .927 r
.37581 .47936 .37892 .48265 .38567 .47155 .38257 .46823 Metetra
.786 .921 .927 r
.38257 .46823 .38567 .47155 .39242 .46045 .38934 .4571 Metetra
.785 .921 .928 r
.38934 .4571 .39242 .46045 .39918 .44939 .39612 .446 Metetra
.784 .921 .929 r
.39612 .446 .39918 .44939 .40596 .4384 .40291 .43498 Metetra
.781 .92 .93 r
.40291 .43498 .40596 .4384 .41274 .42752 .40971 .42407 Metetra
.778 .92 .932 r
.40971 .42407 .41274 .42752 .41954 .4168 .41652 .41332 Metetra
.775 .92 .934 r
.41652 .41332 .41954 .4168 .42634 .40627 .42334 .40276 Metetra
.77 .92 .937 r
.42334 .40276 .42634 .40627 .43316 .39598 .43018 .39244 Metetra
.764 .919 .94 r
.43018 .39244 .43316 .39598 .43999 .38596 .43702 .38239 Metetra
.758 .918 .944 r
.43702 .38239 .43999 .38596 .44683 .37624 .44387 .37265 Metetra
.75 .917 .947 r
.44387 .37265 .44683 .37624 .45367 .36687 .45073 .36325 Metetra
.742 .916 .952 r
.45073 .36325 .45367 .36687 .46053 .35788 .45761 .35423 Metetra
.732 .914 .956 r
.45761 .35423 .46053 .35788 .4674 .3493 .4645 .34563 Metetra
.721 .912 .961 r
.4645 .34563 .4674 .3493 .47428 .34117 .47139 .33746 Metetra
.708 .909 .966 r
.47139 .33746 .47428 .34117 .48118 .3335 .4783 .32977 Metetra
.694 .906 .97 r
.4783 .32977 .48118 .3335 .48808 .32633 .48522 .32258 Metetra
.678 .902 .975 r
.48522 .32258 .48808 .32633 .495 .31969 .49215 .31592 Metetra
.661 .897 .98 r
.49215 .31592 .495 .31969 .50192 .3136 .4991 .30981 Metetra
.642 .891 .985 r
.4991 .30981 .50192 .3136 .50887 .30807 .50605 .30427 Metetra
.62 .883 .989 r
.50605 .30427 .50887 .30807 .51582 .30314 .51302 .29931 Metetra
.596 .874 .993 r
.51302 .29931 .51582 .30314 .52278 .29881 .52 .29497 Metetra
.57 .864 .996 r
.52 .29497 .52278 .29881 .52976 .2951 .527 .29125 Metetra
.542 .852 .998 r
.527 .29125 .52976 .2951 .53676 .29203 .53401 .28816 Metetra
.511 .838 .999 r
.53401 .28816 .53676 .29203 .54377 .2896 .54103 .28572 Metetra
.478 .822 .998 r
.54103 .28572 .54377 .2896 .55079 .28781 .54807 .28393 Metetra
.442 .804 .996 r
.54807 .28393 .55079 .28781 .55782 .28668 .55512 .28279 Metetra
.404 .783 .992 r
.55512 .28279 .55782 .28668 .56488 .28621 .56219 .28232 Metetra
.363 .76 .986 r
.56219 .28232 .56488 .28621 .57194 .2864 .56928 .2825 Metetra
.322 .735 .978 r
.56928 .2825 .57194 .2864 .57903 .28723 .57638 .28333 Metetra
.278 .708 .967 r
.57638 .28333 .57903 .28723 .58613 .28871 .58349 .28481 Metetra
.234 .68 .955 r
.58349 .28481 .58613 .28871 .59324 .29084 .59062 .28693 Metetra
.189 .649 .94 r
.59062 .28693 .59324 .29084 .60038 .29359 .59777 .28969 Metetra
.144 .618 .924 r
.59777 .28969 .60038 .29359 .60753 .29695 .60494 .29305 Metetra
.1 .586 .906 r
.60494 .29305 .60753 .29695 .6147 .30091 .61213 .29702 Metetra
.057 .554 .887 r
.61213 .29702 .6147 .30091 .62188 .30545 .61933 .30157 Metetra
.015 .522 .867 r
.61933 .30157 .62188 .30545 .62909 .31055 .62655 .30668 Metetra
0 .49 .846 r
.62655 .30668 .62909 .31055 .63631 .31619 .63379 .31233 Metetra
0 .46 .826 r
.63379 .31233 .63631 .31619 .64355 .32234 .64105 .31849 Metetra
0 .431 .806 r
.64105 .31849 .64355 .32234 .65082 .32898 .64833 .32514 Metetra
0 .404 .787 r
.64833 .32514 .65082 .32898 .6581 .33607 .65563 .33225 Metetra
0 .378 .768 r
.65563 .33225 .6581 .33607 .6654 .34358 .66294 .33978 Metetra
0 .355 .751 r
.66294 .33978 .6654 .34358 .67272 .35149 .67028 .3477 Metetra
0 .334 .735 r
.67028 .3477 .67272 .35149 .68006 .35975 .67764 .35598 Metetra
0 .316 .721 r
.67764 .35598 .68006 .35975 .68742 .36833 .68501 .36458 Metetra
0 .3 .709 r
.68501 .36458 .68742 .36833 .6948 .3772 .69241 .37346 Metetra
0 .287 .699 r
.69241 .37346 .6948 .3772 .7022 .38631 .69983 .38259 Metetra
0 .276 .69 r
.69983 .38259 .7022 .38631 .70962 .39562 .70727 .39193 Metetra
0 .268 .684 r
.70727 .39193 .70962 .39562 .71706 .4051 .71472 .40143 Metetra
0 .262 .679 r
.71472 .40143 .71706 .4051 .72452 .4147 .7222 .41105 Metetra
0 .259 .677 r
.7222 .41105 .72452 .4147 .732 .42438 .7297 .42075 Metetra
0 .259 .676 r
.7297 .42075 .732 .42438 .7395 .43409 .73722 .43049 Metetra
0 .26 .678 r
.73722 .43049 .7395 .43409 .74702 .4438 .74476 .44022 Metetra
0 .265 .681 r
.74476 .44022 .74702 .4438 .75456 .45346 .75232 .4499 Metetra
0 .272 .686 r
.75232 .4499 .75456 .45346 .76212 .46303 .75989 .45949 Metetra
0 .281 .694 r
.75989 .45949 .76212 .46303 .7697 .47246 .76749 .46894 Metetra
0 .292 .702 r
.76749 .46894 .7697 .47246 .7773 .48171 .77511 .47822 Metetra
0 .306 .713 r
.77511 .47822 .7773 .48171 .78492 .49074 .78274 .48727 Metetra
0 .322 .725 r
.78274 .48727 .78492 .49074 .79255 .49951 .7904 .49606 Metetra
0 .34 .738 r
.7904 .49606 .79255 .49951 .80021 .50798 .79807 .50454 Metetra
0 .361 .753 r
.79807 .50454 .80021 .50798 .80788 .5161 .80576 .51269 Metetra
0 .383 .769 r
.80576 .51269 .80788 .5161 .81557 .52385 .81347 .52045 Metetra
0 .407 .786 r
.81347 .52045 .81557 .52385 .82328 .53118 .8212 .52779 Metetra
0 .433 .803 r
.8212 .52779 .82328 .53118 .831 .53805 .82894 .53468 Metetra
0 .46 .821 r
.82894 .53468 .831 .53805 .83874 .54444 .8367 .54109 Metetra
0 .489 .839 r
.8367 .54109 .83874 .54444 .8465 .55032 .84448 .54698 Metetra
.002 .518 .857 r
.84448 .54698 .8465 .55032 .85427 .55565 .85227 .55232 Metetra
.039 .548 .874 r
.85227 .55232 .85427 .55565 .86206 .5604 .86007 .55708 Metetra
.076 .579 .891 r
.86007 .55708 .86206 .5604 .86986 .56456 .86789 .56124 Metetra
.115 .609 .907 r
.86789 .56124 .86986 .56456 .87767 .56809 .87573 .56479 Metetra
.155 .639 .922 r
.87573 .56479 .87767 .56809 .8855 .57099 .88358 .56768 Metetra
.194 .668 .935 r
.88358 .56768 .8855 .57099 .89335 .57322 .89144 .56992 Metetra
.234 .697 .947 r
.89144 .56992 .89335 .57322 .9012 .57478 .89932 .57148 Metetra
.273 .724 .957 r
.89932 .57148 .9012 .57478 .90907 .57566 .90721 .57235 Metetra
.311 .75 .966 r
.90721 .57235 .90907 .57566 .91695 .57583 .91511 .57253 Metetra
.348 .775 .973 r
.91511 .57253 .91695 .57583 .92484 .57531 .92302 .572 Metetra
.375 .796 .974 r
.21399 .64818 .21746 .65074 .22388 .6497 .22042 .64714 Metetra
.425 .822 .983 r
.22042 .64714 .22388 .6497 .23032 .64803 .22688 .64546 Metetra
.471 .843 .989 r
.22688 .64546 .23032 .64803 .23678 .64572 .23335 .64314 Metetra
.512 .86 .992 r
.23335 .64314 .23678 .64572 .24325 .64278 .23984 .64019 Metetra
.548 .875 .992 r
.23984 .64019 .24325 .64278 .24975 .63921 .24634 .63661 Metetra
.58 .886 .991 r
.24634 .63661 .24975 .63921 .25625 .63502 .25286 .63241 Metetra
.609 .896 .988 r
.25286 .63241 .25625 .63502 .26278 .63024 .2594 .62761 Metetra
.634 .903 .984 r
.2594 .62761 .26278 .63024 .26932 .62486 .26595 .62222 Metetra
.657 .909 .98 r
.26595 .62222 .26932 .62486 .27587 .61892 .27252 .61626 Metetra
.676 .913 .975 r
.27252 .61626 .27587 .61892 .28244 .61242 .27911 .60974 Metetra
.693 .916 .97 r
.27911 .60974 .28244 .61242 .28902 .6054 .2857 .6027 Metetra
.709 .919 .965 r
.2857 .6027 .28902 .6054 .29562 .59787 .29232 .59514 Metetra
.722 .921 .96 r
.29232 .59514 .29562 .59787 .30224 .58986 .29895 .58711 Metetra
.733 .922 .955 r
.29895 .58711 .30224 .58986 .30886 .5814 .30559 .57863 Metetra
.743 .924 .951 r
.30559 .57863 .30886 .5814 .3155 .57252 .31224 .56972 Metetra
.752 .924 .947 r
.31224 .56972 .3155 .57252 .32216 .56325 .31891 .56042 Metetra
.759 .925 .943 r
.31891 .56042 .32216 .56325 .32882 .55362 .32559 .55077 Metetra
.766 .925 .94 r
.32559 .55077 .32882 .55362 .3355 .54367 .33228 .5408 Metetra
.771 .926 .937 r
.33228 .5408 .3355 .54367 .34219 .53344 .33899 .53054 Metetra
.776 .926 .934 r
.33899 .53054 .34219 .53344 .34889 .52297 .3457 .52003 Metetra
.779 .926 .932 r
.3457 .52003 .34889 .52297 .3556 .51228 .35243 .50931 Metetra
.782 .926 .93 r
.35243 .50931 .3556 .51228 .36233 .50142 .35917 .49842 Metetra
.784 .926 .929 r
.35917 .49842 .36233 .50142 .36907 .49043 .36592 .4874 Metetra
.785 .926 .928 r
.36592 .4874 .36907 .49043 .37581 .47936 .37269 .4763 Metetra
.786 .926 .928 r
.37269 .4763 .37581 .47936 .38257 .46823 .37946 .46514 Metetra
.786 .926 .928 r
.37946 .46514 .38257 .46823 .38934 .4571 .38625 .45398 Metetra
.785 .926 .929 r
.38625 .45398 .38934 .4571 .39612 .446 .39304 .44285 Metetra
.783 .926 .93 r
.39304 .44285 .39612 .446 .40291 .43498 .39985 .43179 Metetra
.781 .926 .931 r
.39985 .43179 .40291 .43498 .40971 .42407 .40666 .42085 Metetra
.778 .926 .933 r
.40666 .42085 .40971 .42407 .41652 .41332 .41349 .41007 Metetra
.774 .925 .935 r
.41349 .41007 .41652 .41332 .42334 .40276 .42033 .39948 Metetra
.769 .925 .938 r
.42033 .39948 .42334 .40276 .43018 .39244 .42717 .38913 Metetra
.763 .924 .941 r
.42717 .38913 .43018 .39244 .43702 .38239 .43403 .37905 Metetra
.756 .924 .945 r
.43403 .37905 .43702 .38239 .44387 .37265 .4409 .36928 Metetra
.749 .923 .948 r
.4409 .36928 .44387 .37265 .45073 .36325 .44778 .35985 Metetra
.74 .921 .953 r
.44778 .35985 .45073 .36325 .45761 .35423 .45467 .35081 Metetra
.73 .92 .957 r
.45467 .35081 .45761 .35423 .4645 .34563 .46157 .34217 Metetra
.718 .917 .962 r
.46157 .34217 .4645 .34563 .47139 .33746 .46848 .33399 Metetra
.705 .914 .966 r
.46848 .33399 .47139 .33746 .4783 .32977 .47541 .32627 Metetra
.691 .911 .971 r
.47541 .32627 .4783 .32977 .48522 .32258 .48234 .31906 Metetra
.675 .907 .976 r
.48234 .31906 .48522 .32258 .49215 .31592 .48929 .31238 Metetra
.656 .901 .981 r
.48929 .31238 .49215 .31592 .4991 .30981 .49625 .30624 Metetra
.636 .895 .986 r
.49625 .30624 .4991 .30981 .50605 .30427 .50322 .30068 Metetra
.614 .887 .99 r
.50322 .30068 .50605 .30427 .51302 .29931 .51021 .29572 Metetra
.589 .878 .993 r
.51021 .29572 .51302 .29931 .52 .29497 .51721 .29136 Metetra
.562 .867 .996 r
.51721 .29136 .52 .29497 .527 .29125 .52422 .28762 Metetra
.533 .854 .997 r
.52422 .28762 .527 .29125 .53401 .28816 .53125 .28452 Metetra
.5 .84 .997 r
.53125 .28452 .53401 .28816 .54103 .28572 .53829 .28207 Metetra
.466 .823 .996 r
.53829 .28207 .54103 .28572 .54807 .28393 .54534 .28027 Metetra
.428 .803 .993 r
.54534 .28027 .54807 .28393 .55512 .28279 .55241 .27913 Metetra
.389 .782 .988 r
.55241 .27913 .55512 .28279 .56219 .28232 .55949 .27864 Metetra
.347 .758 .981 r
.55949 .27864 .56219 .28232 .56928 .2825 .56659 .27882 Metetra
.304 .731 .971 r
.56659 .27882 .56928 .2825 .57638 .28333 .57371 .27965 Metetra
.259 .703 .959 r
.57371 .27965 .57638 .28333 .58349 .28481 .58084 .28114 Metetra
.213 .673 .945 r
.58084 .28114 .58349 .28481 .59062 .28693 .58799 .28326 Metetra
.167 .641 .929 r
.58799 .28326 .59062 .28693 .59777 .28969 .59516 .28601 Metetra
.121 .608 .912 r
.59516 .28601 .59777 .28969 .60494 .29305 .60234 .28939 Metetra
.076 .575 .892 r
.60234 .28939 .60494 .29305 .61213 .29702 .60954 .29336 Metetra
.032 .542 .872 r
.60954 .29336 .61213 .29702 .61933 .30157 .61676 .29792 Metetra
0 .508 .85 r
.61676 .29792 .61933 .30157 .62655 .30668 .624 .30304 Metetra
0 .476 .829 r
.624 .30304 .62655 .30668 .63379 .31233 .63126 .3087 Metetra
0 .445 .807 r
.63126 .3087 .63379 .31233 .64105 .31849 .63853 .31487 Metetra
0 .415 .786 r
.63853 .31487 .64105 .31849 .64833 .32514 .64583 .32154 Metetra
0 .387 .766 r
.64583 .32154 .64833 .32514 .65563 .33225 .65314 .32866 Metetra
0 .361 .747 r
.65314 .32866 .65563 .33225 .66294 .33978 .66048 .3362 Metetra
0 .338 .729 r
.66048 .3362 .66294 .33978 .67028 .3477 .66783 .34414 Metetra
0 .317 .713 r
.66783 .34414 .67028 .3477 .67764 .35598 .6752 .35244 Metetra
0 .298 .698 r
.6752 .35244 .67764 .35598 .68501 .36458 .6826 .36106 Metetra
0 .282 .686 r
.6826 .36106 .68501 .36458 .69241 .37346 .69001 .36996 Metetra
0 .269 .675 r
.69001 .36996 .69241 .37346 .69983 .38259 .69745 .37911 Metetra
0 .258 .667 r
.69745 .37911 .69983 .38259 .70727 .39193 .7049 .38847 Metetra
0 .25 .66 r
.7049 .38847 .70727 .39193 .71472 .40143 .71238 .39799 Metetra
0 .244 .655 r
.71238 .39799 .71472 .40143 .7222 .41105 .71987 .40764 Metetra
0 .241 .653 r
.71987 .40764 .7222 .41105 .7297 .42075 .72739 .41736 Metetra
0 .24 .652 r
.72739 .41736 .7297 .42075 .73722 .43049 .73493 .42712 Metetra
0 .242 .654 r
.73493 .42712 .73722 .43049 .74476 .44022 .74248 .43687 Metetra
0 .247 .657 r
.74248 .43687 .74476 .44022 .75232 .4499 .75006 .44658 Metetra
0 .253 .663 r
.75006 .44658 .75232 .4499 .75989 .45949 .75766 .45619 Metetra
0 .263 .67 r
.75766 .45619 .75989 .45949 .76749 .46894 .76527 .46566 Metetra
0 .274 .679 r
.76527 .46566 .76749 .46894 .77511 .47822 .77291 .47496 Metetra
0 .288 .69 r
.77291 .47496 .77511 .47822 .78274 .48727 .78056 .48403 Metetra
0 .304 .702 r
.78056 .48403 .78274 .48727 .7904 .49606 .78823 .49284 Metetra
0 .323 .716 r
.78823 .49284 .7904 .49606 .79807 .50454 .79593 .50135 Metetra
0 .344 .731 r
.79593 .50135 .79807 .50454 .80576 .51269 .80364 .50951 Metetra
0 .366 .747 r
.80364 .50951 .80576 .51269 .81347 .52045 .81136 .51729 Metetra
0 .391 .765 r
.81136 .51729 .81347 .52045 .8212 .52779 .81911 .52465 Metetra
0 .417 .783 r
.81911 .52465 .8212 .52779 .82894 .53468 .82687 .53156 Metetra
0 .445 .801 r
.82687 .53156 .82894 .53468 .8367 .54109 .83465 .53797 Metetra
0 .474 .82 r
.83465 .53797 .8367 .54109 .84448 .54698 .84244 .54387 Metetra
0 .504 .839 r
.84244 .54387 .84448 .54698 .85227 .55232 .85026 .54923 Metetra
.013 .535 .857 r
.85026 .54923 .85227 .55232 .86007 .55708 .85808 .554 Metetra
.051 .566 .875 r
.85808 .554 .86007 .55708 .86789 .56124 .86592 .55817 Metetra
.091 .598 .892 r
.86592 .55817 .86789 .56124 .87573 .56479 .87378 .56172 Metetra
.131 .629 .908 r
.87378 .56172 .87573 .56479 .88358 .56768 .88165 .56462 Metetra
.171 .659 .923 r
.88165 .56462 .88358 .56768 .89144 .56992 .88953 .56686 Metetra
.212 .689 .936 r
.88953 .56686 .89144 .56992 .89932 .57148 .89743 .56842 Metetra
.252 .717 .947 r
.89743 .56842 .89932 .57148 .90721 .57235 .90534 .56929 Metetra
.291 .744 .956 r
.90534 .56929 .90721 .57235 .91511 .57253 .91326 .56947 Metetra
.329 .77 .964 r
.91326 .56947 .91511 .57253 .92302 .572 .92119 .56893 Metetra
.356 .792 .965 r
.2105 .64585 .21399 .64818 .22042 .64714 .21695 .64481 Metetra
.409 .819 .976 r
.21695 .64481 .22042 .64714 .22688 .64546 .22341 .64312 Metetra
.457 .842 .984 r
.22341 .64312 .22688 .64546 .23335 .64314 .2299 .64079 Metetra
.499 .861 .988 r
.2299 .64079 .23335 .64314 .23984 .64019 .2364 .63783 Metetra
.538 .876 .99 r
.2364 .63783 .23984 .64019 .24634 .63661 .24292 .63424 Metetra
.571 .889 .989 r
.24292 .63424 .24634 .63661 .25286 .63241 .24945 .63003 Metetra
.601 .899 .987 r
.24945 .63003 .25286 .63241 .2594 .62761 .256 .62521 Metetra
.628 .907 .984 r
.256 .62521 .2594 .62761 .26595 .62222 .26257 .6198 Metetra
.651 .913 .98 r
.26257 .6198 .26595 .62222 .27252 .61626 .26916 .61382 Metetra
.672 .918 .975 r
.26916 .61382 .27252 .61626 .27911 .60974 .27575 .60729 Metetra
.689 .921 .97 r
.27575 .60729 .27911 .60974 .2857 .6027 .28237 .60022 Metetra
.705 .924 .965 r
.28237 .60022 .2857 .6027 .29232 .59514 .28899 .59265 Metetra
.719 .926 .961 r
.28899 .59265 .29232 .59514 .29895 .58711 .29564 .58459 Metetra
.731 .928 .956 r
.29564 .58459 .29895 .58711 .30559 .57863 .30229 .57608 Metetra
.741 .929 .952 r
.30229 .57608 .30559 .57863 .31224 .56972 .30896 .56715 Metetra
.75 .93 .948 r
.30896 .56715 .31224 .56972 .31891 .56042 .31564 .55783 Metetra
.758 .93 .944 r
.31564 .55783 .31891 .56042 .32559 .55077 .32234 .54815 Metetra
.765 .931 .94 r
.32234 .54815 .32559 .55077 .33228 .5408 .32905 .53814 Metetra
.77 .931 .937 r
.32905 .53814 .33228 .5408 .33899 .53054 .33577 .52785 Metetra
.775 .931 .935 r
.33577 .52785 .33899 .53054 .3457 .52003 .3425 .51732 Metetra
.778 .931 .933 r
.3425 .51732 .3457 .52003 .35243 .50931 .34924 .50657 Metetra
.781 .931 .931 r
.34924 .50657 .35243 .50931 .35917 .49842 .356 .49565 Metetra
.783 .931 .93 r
.356 .49565 .35917 .49842 .36592 .4874 .36277 .4846 Metetra
.785 .931 .929 r
.36277 .4846 .36592 .4874 .37269 .4763 .36954 .47346 Metetra
.785 .931 .929 r
.36954 .47346 .37269 .4763 .37946 .46514 .37633 .46227 Metetra
.785 .931 .929 r
.37633 .46227 .37946 .46514 .38625 .45398 .38313 .45108 Metetra
.784 .931 .929 r
.38313 .45108 .38625 .45398 .39304 .44285 .38994 .43991 Metetra
.783 .931 .93 r
.38994 .43991 .39304 .44285 .39985 .43179 .39676 .42883 Metetra
.78 .931 .932 r
.39676 .42883 .39985 .43179 .40666 .42085 .4036 .41786 Metetra
.777 .931 .934 r
.4036 .41786 .40666 .42085 .41349 .41007 .41044 .40704 Metetra
.773 .931 .936 r
.41044 .40704 .41349 .41007 .42033 .39948 .41729 .39642 Metetra
.768 .93 .939 r
.41729 .39642 .42033 .39948 .42717 .38913 .42415 .38604 Metetra
.762 .93 .942 r
.42415 .38604 .42717 .38913 .43403 .37905 .43103 .37593 Metetra
.755 .929 .945 r
.43103 .37593 .43403 .37905 .4409 .36928 .43791 .36613 Metetra
.747 .928 .949 r
.43791 .36613 .4409 .36928 .44778 .35985 .44481 .35668 Metetra
.738 .927 .953 r
.44481 .35668 .44778 .35985 .45467 .35081 .45172 .3476 Metetra
.727 .925 .958 r
.45172 .3476 .45467 .35081 .46157 .34217 .45863 .33895 Metetra
.715 .922 .962 r
.45863 .33895 .46157 .34217 .46848 .33399 .46556 .33073 Metetra
.702 .92 .967 r
.46556 .33073 .46848 .33399 .47541 .32627 .4725 .323 Metetra
.687 .916 .972 r
.4725 .323 .47541 .32627 .48234 .31906 .47945 .31576 Metetra
.67 .911 .977 r
.47945 .31576 .48234 .31906 .48929 .31238 .48642 .30906 Metetra
.651 .906 .981 r
.48642 .30906 .48929 .31238 .49625 .30624 .49339 .3029 Metetra
.63 .899 .986 r
.49339 .3029 .49625 .30624 .50322 .30068 .50038 .29733 Metetra
.607 .891 .989 r
.50038 .29733 .50322 .30068 .51021 .29572 .50738 .29234 Metetra
.581 .881 .992 r
.50738 .29234 .51021 .29572 .51721 .29136 .5144 .28797 Metetra
.553 .87 .995 r
.5144 .28797 .51721 .29136 .52422 .28762 .52143 .28422 Metetra
.522 .856 .996 r
.52143 .28422 .52422 .28762 .53125 .28452 .52847 .28111 Metetra
.489 .841 .995 r
.52847 .28111 .53125 .28452 .53829 .28207 .53552 .27865 Metetra
.453 .823 .993 r
.53552 .27865 .53829 .28207 .54534 .28027 .54259 .27684 Metetra
.414 .802 .989 r
.54259 .27684 .54534 .28027 .55241 .27913 .54968 .27569 Metetra
.373 .78 .983 r
.54968 .27569 .55241 .27913 .55949 .27864 .55678 .2752 Metetra
.33 .754 .974 r
.55678 .2752 .55949 .27864 .56659 .27882 .5639 .27537 Metetra
.285 .727 .963 r
.5639 .27537 .56659 .27882 .57371 .27965 .57103 .2762 Metetra
.238 .697 .95 r
.57103 .2762 .57371 .27965 .58084 .28114 .57818 .27769 Metetra
.191 .665 .935 r
.57818 .27769 .58084 .28114 .58799 .28326 .58534 .27981 Metetra
.144 .632 .917 r
.58534 .27981 .58799 .28326 .59516 .28601 .59252 .28257 Metetra
.097 .598 .898 r
.59252 .28257 .59516 .28601 .60234 .28939 .59973 .28595 Metetra
.05 .563 .877 r
.59973 .28595 .60234 .28939 .60954 .29336 .60694 .28993 Metetra
.006 .528 .855 r
.60694 .28993 .60954 .29336 .61676 .29792 .61418 .2945 Metetra
0 .494 .832 r
.61418 .2945 .61676 .29792 .624 .30304 .62143 .29963 Metetra
0 .461 .809 r
.62143 .29963 .624 .30304 .63126 .3087 .62871 .3053 Metetra
0 .429 .787 r
.62871 .3053 .63126 .3087 .63853 .31487 .636 .31149 Metetra
0 .398 .765 r
.636 .31149 .63853 .31487 .64583 .32154 .64331 .31816 Metetra
0 .37 .744 r
.64331 .31816 .64583 .32154 .65314 .32866 .65064 .3253 Metetra
0 .344 .724 r
.65064 .3253 .65314 .32866 .66048 .3362 .65799 .33286 Metetra
0 .32 .706 r
.65799 .33286 .66048 .3362 .66783 .34414 .66537 .34081 Metetra
0 .299 .689 r
.66537 .34081 .66783 .34414 .6752 .35244 .67276 .34913 Metetra
0 .28 .674 r
.67276 .34913 .6752 .35244 .6826 .36106 .68017 .35777 Metetra
0 .264 .661 r
.68017 .35777 .6826 .36106 .69001 .36996 .6876 .3667 Metetra
0 .25 .65 r
.6876 .3667 .69001 .36996 .69745 .37911 .69505 .37587 Metetra
0 .24 .642 r
.69505 .37587 .69745 .37911 .7049 .38847 .70253 .38525 Metetra
0 .231 .635 r
.70253 .38525 .7049 .38847 .71238 .39799 .71002 .39479 Metetra
0 .226 .63 r
.71002 .39479 .71238 .39799 .71987 .40764 .71753 .40446 Metetra
0 .222 .628 r
.71753 .40446 .71987 .40764 .72739 .41736 .72507 .4142 Metetra
0 .222 .627 r
.72507 .4142 .72739 .41736 .73493 .42712 .73262 .42399 Metetra
0 .224 .629 r
.73262 .42399 .73493 .42712 .74248 .43687 .7402 .43376 Metetra
0 .228 .632 r
.7402 .43376 .74248 .43687 .75006 .44658 .74779 .44349 Metetra
0 .235 .638 r
.74779 .44349 .75006 .44658 .75766 .45619 .75541 .45312 Metetra
0 .244 .645 r
.75541 .45312 .75766 .45619 .76527 .46566 .76304 .46262 Metetra
0 .256 .654 r
.76304 .46262 .76527 .46566 .77291 .47496 .77069 .47194 Metetra
0 .27 .665 r
.77069 .47194 .77291 .47496 .78056 .48403 .77837 .48103 Metetra
0 .286 .678 r
.77837 .48103 .78056 .48403 .78823 .49284 .78606 .48986 Metetra
0 .305 .692 r
.78606 .48986 .78823 .49284 .79593 .50135 .79377 .49839 Metetra
0 .326 .707 r
.79377 .49839 .79593 .50135 .80364 .50951 .8015 .50657 Metetra
0 .348 .724 r
.8015 .50657 .80364 .50951 .81136 .51729 .80924 .51437 Metetra
0 .373 .742 r
.80924 .51437 .81136 .51729 .81911 .52465 .81701 .52175 Metetra
0 .4 .761 r
.81701 .52175 .81911 .52465 .82687 .53156 .82479 .52867 Metetra
0 .428 .78 r
.82479 .52867 .82687 .53156 .83465 .53797 .83259 .5351 Metetra
0 .458 .8 r
.83259 .5351 .83465 .53797 .84244 .54387 .8404 .54102 Metetra
0 .489 .819 r
.8404 .54102 .84244 .54387 .85026 .54923 .84823 .54638 Metetra
0 .521 .839 r
.84823 .54638 .85026 .54923 .85808 .554 .85608 .55116 Metetra
.025 .553 .858 r
.85608 .55116 .85808 .554 .86592 .55817 .86394 .55534 Metetra
.065 .585 .876 r
.86394 .55534 .86592 .55817 .87378 .56172 .87182 .5589 Metetra
.106 .617 .893 r
.87182 .5589 .87378 .56172 .88165 .56462 .87971 .56181 Metetra
.147 .649 .908 r
.87971 .56181 .88165 .56462 .88953 .56686 .88761 .56405 Metetra
.189 .68 .922 r
.88761 .56405 .88953 .56686 .89743 .56842 .89553 .56561 Metetra
.23 .709 .935 r
.89553 .56561 .89743 .56842 .90534 .56929 .90346 .56648 Metetra
.27 .737 .945 r
.90346 .56648 .90534 .56929 .91326 .56947 .9114 .56665 Metetra
.309 .764 .954 r
.9114 .56665 .91326 .56947 .92119 .56893 .91935 .56611 Metetra
.337 .786 .955 r
.20699 .64375 .2105 .64585 .21695 .64481 .21345 .6427 Metetra
.392 .816 .968 r
.21345 .6427 .21695 .64481 .22341 .64312 .21993 .641 Metetra
.441 .84 .977 r
.21993 .641 .22341 .64312 .2299 .64079 .22643 .63867 Metetra
.486 .861 .983 r
.22643 .63867 .2299 .64079 .2364 .63783 .23294 .63569 Metetra
.526 .877 .986 r
.23294 .63569 .2364 .63783 .24292 .63424 .23948 .63209 Metetra
.562 .891 .986 r
.23948 .63209 .24292 .63424 .24945 .63003 .24602 .62787 Metetra
.593 .902 .985 r
.24602 .62787 .24945 .63003 .256 .62521 .25259 .62304 Metetra
.621 .91 .982 r
.25259 .62304 .256 .62521 .26257 .6198 .25917 .61761 Metetra
.645 .917 .979 r
.25917 .61761 .26257 .6198 .26916 .61382 .26577 .61162 Metetra
.666 .922 .975 r
.26577 .61162 .26916 .61382 .27575 .60729 .27238 .60506 Metetra
.685 .926 .97 r
.27238 .60506 .27575 .60729 .28237 .60022 .27901 .59797 Metetra
.701 .929 .965 r
.27901 .59797 .28237 .60022 .28899 .59265 .28565 .59038 Metetra
.716 .931 .961 r
.28565 .59038 .28899 .59265 .29564 .58459 .29231 .5823 Metetra
.728 .933 .956 r
.29231 .5823 .29564 .58459 .30229 .57608 .29898 .57376 Metetra
.739 .934 .952 r
.29898 .57376 .30229 .57608 .30896 .56715 .30566 .56481 Metetra
.748 .935 .948 r
.30566 .56481 .30896 .56715 .31564 .55783 .31236 .55546 Metetra
.756 .935 .944 r
.31236 .55546 .31564 .55783 .32234 .54815 .31907 .54575 Metetra
.763 .936 .941 r
.31907 .54575 .32234 .54815 .32905 .53814 .32579 .53572 Metetra
.769 .936 .938 r
.32579 .53572 .32905 .53814 .33577 .52785 .33253 .5254 Metetra
.774 .936 .935 r
.33253 .5254 .33577 .52785 .3425 .51732 .33928 .51483 Metetra
.777 .936 .933 r
.33928 .51483 .3425 .51732 .34924 .50657 .34604 .50405 Metetra
.78 .936 .932 r
.34604 .50405 .34924 .50657 .356 .49565 .35281 .4931 Metetra
.783 .936 .93 r
.35281 .4931 .356 .49565 .36277 .4846 .35959 .48202 Metetra
.784 .936 .93 r
.35959 .48202 .36277 .4846 .36954 .47346 .36638 .47085 Metetra
.784 .937 .929 r
.36638 .47085 .36954 .47346 .37633 .46227 .37319 .45963 Metetra
.784 .936 .929 r
.37319 .45963 .37633 .46227 .38313 .45108 .38 .4484 Metetra
.783 .936 .93 r
.38 .4484 .38313 .45108 .38994 .43991 .38683 .43721 Metetra
.782 .936 .931 r
.38683 .43721 .38994 .43991 .39676 .42883 .39367 .42609 Metetra
.779 .936 .932 r
.39367 .42609 .39676 .42883 .4036 .41786 .40051 .41509 Metetra
.776 .936 .934 r
.40051 .41509 .4036 .41786 .41044 .40704 .40737 .40424 Metetra
.771 .936 .937 r
.40737 .40424 .41044 .40704 .41729 .39642 .41424 .39359 Metetra
.766 .935 .939 r
.41424 .39359 .41729 .39642 .42415 .38604 .42112 .38318 Metetra
.76 .935 .942 r
.42112 .38318 .42415 .38604 .43103 .37593 .42801 .37304 Metetra
.753 .934 .946 r
.42801 .37304 .43103 .37593 .43791 .36613 .43491 .36321 Metetra
.745 .933 .95 r
.43491 .36321 .43791 .36613 .44481 .35668 .44182 .35373 Metetra
.735 .932 .954 r
.44182 .35373 .44481 .35668 .45172 .3476 .44874 .34463 Metetra
.724 .93 .958 r
.44874 .34463 .45172 .3476 .45863 .33895 .45568 .33595 Metetra
.712 .927 .963 r
.45568 .33595 .45863 .33895 .46556 .33073 .46262 .32771 Metetra
.698 .924 .967 r
.46262 .32771 .46556 .33073 .4725 .323 .46958 .31995 Metetra
.683 .921 .972 r
.46958 .31995 .4725 .323 .47945 .31576 .47655 .31269 Metetra
.665 .916 .977 r
.47655 .31269 .47945 .31576 .48642 .30906 .48353 .30597 Metetra
.646 .91 .981 r
.48353 .30597 .48642 .30906 .49339 .3029 .49052 .29979 Metetra
.624 .903 .985 r
.49052 .29979 .49339 .3029 .50038 .29733 .49752 .2942 Metetra
.6 .894 .989 r
.49752 .2942 .50038 .29733 .50738 .29234 .50454 .2892 Metetra
.573 .884 .991 r
.50454 .2892 .50738 .29234 .5144 .28797 .51157 .28481 Metetra
.544 .872 .993 r
.51157 .28481 .5144 .28797 .52143 .28422 .51862 .28105 Metetra
.512 .858 .993 r
.51862 .28105 .52143 .28422 .52847 .28111 .52567 .27792 Metetra
.477 .841 .992 r
.52567 .27792 .52847 .28111 .53552 .27865 .53275 .27545 Metetra
.439 .822 .989 r
.53275 .27545 .53552 .27865 .54259 .27684 .53983 .27363 Metetra
.399 .801 .984 r
.53983 .27363 .54259 .27684 .54968 .27569 .54693 .27248 Metetra
.356 .776 .976 r
.54693 .27248 .54968 .27569 .55678 .2752 .55405 .27198 Metetra
.311 .75 .966 r
.55405 .27198 .55678 .2752 .5639 .27537 .56118 .27215 Metetra
.265 .721 .954 r
.56118 .27215 .5639 .27537 .57103 .2762 .56833 .27298 Metetra
.217 .689 .939 r
.56833 .27298 .57103 .2762 .57818 .27769 .5755 .27447 Metetra
.168 .656 .922 r
.5755 .27447 .57818 .27769 .58534 .27981 .58268 .2766 Metetra
.12 .621 .903 r
.58268 .2766 .58534 .27981 .59252 .28257 .58988 .27936 Metetra
.072 .586 .882 r
.58988 .27936 .59252 .28257 .59973 .28595 .5971 .28274 Metetra
.025 .55 .86 r
.5971 .28274 .59973 .28595 .60694 .28993 .60433 .28673 Metetra
0 .514 .836 r
.60433 .28673 .60694 .28993 .61418 .2945 .61158 .2913 Metetra
0 .479 .812 r
.61158 .2913 .61418 .2945 .62143 .29963 .61886 .29645 Metetra
0 .444 .788 r
.61886 .29645 .62143 .29963 .62871 .3053 .62615 .30213 Metetra
0 .412 .765 r
.62615 .30213 .62871 .3053 .636 .31149 .63346 .30833 Metetra
0 .381 .742 r
.63346 .30833 .636 .31149 .64331 .31816 .64078 .31502 Metetra
0 .352 .72 r
.64078 .31502 .64331 .31816 .65064 .3253 .64813 .32217 Metetra
0 .326 .7 r
.64813 .32217 .65064 .3253 .65799 .33286 .6555 .32975 Metetra
0 .302 .681 r
.6555 .32975 .65799 .33286 .66537 .34081 .66289 .33772 Metetra
0 .28 .664 r
.66289 .33772 .66537 .34081 .67276 .34913 .6703 .34606 Metetra
0 .261 .649 r
.6703 .34606 .67276 .34913 .68017 .35777 .67773 .35472 Metetra
0 .245 .636 r
.67773 .35472 .68017 .35777 .6876 .3667 .68518 .36367 Metetra
0 .232 .625 r
.68518 .36367 .6876 .3667 .69505 .37587 .69265 .37286 Metetra
.347 0 0 r
.69265 .37286 .69505 .37587 .70253 .38525 .70014 .38226 Metetra
.355 0 0 r
.70014 .38226 .70253 .38525 .71002 .39479 .70765 .39183 Metetra
.361 0 0 r
.70765 .39183 .71002 .39479 .71753 .40446 .71518 .40152 Metetra
.364 0 0 r
.71518 .40152 .71753 .40446 .72507 .4142 .72273 .41129 Metetra
.364 0 0 r
.72273 .41129 .72507 .4142 .73262 .42399 .7303 .42109 Metetra
.362 0 0 r
.7303 .42109 .73262 .42399 .7402 .43376 .7379 .43089 Metetra
.358 0 0 r
.7379 .43089 .7402 .43376 .74779 .44349 .74551 .44064 Metetra
.352 0 0 r
.74551 .44064 .74779 .44349 .75541 .45312 .75314 .4503 Metetra
0 .225 .619 r
.75314 .4503 .75541 .45312 .76304 .46262 .7608 .45982 Metetra
0 .237 .629 r
.7608 .45982 .76304 .46262 .77069 .47194 .76847 .46916 Metetra
0 .251 .64 r
.76847 .46916 .77069 .47194 .77837 .48103 .77616 .47828 Metetra
0 .267 .652 r
.77616 .47828 .77837 .48103 .78606 .48986 .78387 .48713 Metetra
0 .286 .667 r
.78387 .48713 .78606 .48986 .79377 .49839 .7916 .49568 Metetra
0 .307 .683 r
.7916 .49568 .79377 .49839 .8015 .50657 .79935 .50388 Metetra
0 .33 .7 r
.79935 .50388 .8015 .50657 .80924 .51437 .80712 .51169 Metetra
0 .355 .718 r
.80712 .51169 .80924 .51437 .81701 .52175 .8149 .51909 Metetra
0 .382 .737 r
.8149 .51909 .81701 .52175 .82479 .52867 .8227 .52603 Metetra
0 .411 .757 r
.8227 .52603 .82479 .52867 .83259 .5351 .83052 .53248 Metetra
0 .441 .777 r
.83052 .53248 .83259 .5351 .8404 .54102 .83835 .5384 Metetra
0 .473 .798 r
.83835 .5384 .8404 .54102 .84823 .54638 .8462 .54378 Metetra
0 .505 .818 r
.8462 .54378 .84823 .54638 .85608 .55116 .85407 .54857 Metetra
0 .538 .838 r
.85407 .54857 .85608 .55116 .86394 .55534 .86195 .55276 Metetra
.039 .571 .857 r
.86195 .55276 .86394 .55534 .87182 .5589 .86985 .55632 Metetra
.08 .604 .875 r
.86985 .55632 .87182 .5589 .87971 .56181 .87776 .55924 Metetra
.122 .637 .892 r
.87776 .55924 .87971 .56181 .88761 .56405 .88568 .56148 Metetra
.165 .669 .907 r
.88568 .56148 .88761 .56405 .89553 .56561 .89362 .56305 Metetra
.207 .7 .921 r
.89362 .56305 .89553 .56561 .90346 .56648 .90157 .56392 Metetra
.248 .729 .932 r
.90157 .56392 .90346 .56648 .9114 .56665 .90953 .56408 Metetra
.288 .757 .942 r
.90953 .56408 .9114 .56665 .91935 .56611 .91751 .56354 Metetra
.317 .779 .943 r
.20346 .64187 .20699 .64375 .21345 .6427 .20993 .64082 Metetra
.373 .811 .958 r
.20993 .64082 .21345 .6427 .21993 .641 .21643 .63912 Metetra
.425 .837 .97 r
.21643 .63912 .21993 .641 .22643 .63867 .22294 .63677 Metetra
.472 .859 .977 r
.22294 .63677 .22643 .63867 .23294 .63569 .22947 .63379 Metetra
.514 .878 .981 r
.22947 .63379 .23294 .63569 .23948 .63209 .23601 .63017 Metetra
.551 .892 .983 r
.23601 .63017 .23948 .63209 .24602 .62787 .24258 .62594 Metetra
.584 .904 .982 r
.24258 .62594 .24602 .62787 .25259 .62304 .24916 .62109 Metetra
.613 .913 .98 r
.24916 .62109 .25259 .62304 .25917 .61761 .25575 .61565 Metetra
.638 .92 .977 r
.25575 .61565 .25917 .61761 .26577 .61162 .26236 .60964 Metetra
.661 .926 .974 r
.26236 .60964 .26577 .61162 .27238 .60506 .26899 .60306 Metetra
.68 .93 .969 r
.26899 .60306 .27238 .60506 .27901 .59797 .27563 .59596 Metetra
.697 .933 .965 r
.27563 .59596 .27901 .59797 .28565 .59038 .28229 .58834 Metetra
.712 .936 .961 r
.28229 .58834 .28565 .59038 .29231 .5823 .28896 .58024 Metetra
.725 .938 .956 r
.28896 .58024 .29231 .5823 .29898 .57376 .29565 .57168 Metetra
.736 .939 .952 r
.29565 .57168 .29898 .57376 .30566 .56481 .30234 .56269 Metetra
.746 .94 .948 r
.30234 .56269 .30566 .56481 .31236 .55546 .30906 .55332 Metetra
.754 .94 .944 r
.30906 .55332 .31236 .55546 .31907 .54575 .31578 .54358 Metetra
.761 .941 .941 r
.31578 .54358 .31907 .54575 .32579 .53572 .32252 .53352 Metetra
.767 .941 .938 r
.32252 .53352 .32579 .53572 .33253 .5254 .32927 .52317 Metetra
.772 .941 .936 r
.32927 .52317 .33253 .5254 .33928 .51483 .33603 .51258 Metetra
.776 .942 .933 r
.33603 .51258 .33928 .51483 .34604 .50405 .34281 .50177 Metetra
.779 .942 .932 r
.34281 .50177 .34604 .50405 .35281 .4931 .3496 .49079 Metetra
.781 .942 .931 r
.3496 .49079 .35281 .4931 .35959 .48202 .35639 .47967 Metetra
.783 .942 .93 r
.35639 .47967 .35959 .48202 .36638 .47085 .3632 .46847 Metetra
.783 .942 .929 r
.3632 .46847 .36638 .47085 .37319 .45963 .37002 .45722 Metetra
.783 .942 .93 r
.37002 .45722 .37319 .45963 .38 .4484 .37685 .44596 Metetra
.782 .942 .93 r
.37685 .44596 .38 .4484 .38683 .43721 .3837 .43473 Metetra
.78 .942 .931 r
.3837 .43473 .38683 .43721 .39367 .42609 .39055 .42358 Metetra
.778 .941 .933 r
.39055 .42358 .39367 .42609 .40051 .41509 .39741 .41255 Metetra
.774 .941 .934 r
.39741 .41255 .40051 .41509 .40737 .40424 .40429 .40167 Metetra
.77 .941 .937 r
.40429 .40167 .40737 .40424 .41424 .39359 .41117 .39099 Metetra
.765 .941 .939 r
.41117 .39099 .41424 .39359 .42112 .38318 .41807 .38055 Metetra
.758 .94 .942 r
.41807 .38055 .42112 .38318 .42801 .37304 .42497 .37038 Metetra
.751 .939 .946 r
.42497 .37038 .42801 .37304 .43491 .36321 .43189 .36052 Metetra
.742 .938 .95 r
.43189 .36052 .43491 .36321 .44182 .35373 .43882 .35101 Metetra
.733 .937 .954 r
.43882 .35101 .44182 .35373 .44874 .34463 .44576 .34189 Metetra
.721 .935 .958 r
.44576 .34189 .44874 .34463 .45568 .33595 .4527 .33318 Metetra
.709 .932 .963 r
.4527 .33318 .45568 .33595 .46262 .32771 .45967 .32491 Metetra
.694 .929 .967 r
.45967 .32491 .46262 .32771 .46958 .31995 .46664 .31713 Metetra
.678 .925 .972 r
.46664 .31713 .46958 .31995 .47655 .31269 .47362 .30985 Metetra
.66 .92 .976 r
.47362 .30985 .47655 .31269 .48353 .30597 .48062 .3031 Metetra
.639 .914 .98 r
.48062 .3031 .48353 .30597 .49052 .29979 .48763 .29691 Metetra
.617 .906 .984 r
.48763 .29691 .49052 .29979 .49752 .2942 .49465 .2913 Metetra
.592 .897 .987 r
.49465 .2913 .49752 .2942 .50454 .2892 .50168 .28628 Metetra
.564 .886 .989 r
.50168 .28628 .50454 .2892 .51157 .28481 .50873 .28188 Metetra
.533 .874 .99 r
.50873 .28188 .51157 .28481 .51862 .28105 .51579 .2781 Metetra
.5 .858 .99 r
.51579 .2781 .51862 .28105 .52567 .27792 .52286 .27497 Metetra
.463 .841 .988 r
.52286 .27497 .52567 .27792 .53275 .27545 .52995 .27248 Metetra
.424 .821 .984 r
.52995 .27248 .53275 .27545 .53983 .27363 .53706 .27066 Metetra
.382 .798 .977 r
.53706 .27066 .53983 .27363 .54693 .27248 .54417 .2695 Metetra
.338 .772 .968 r
.54417 .2695 .54693 .27248 .55405 .27198 .55131 .269 Metetra
.292 .744 .957 r
.55131 .269 .55405 .27198 .56118 .27215 .55846 .26917 Metetra
.244 .713 .943 r
.55846 .26917 .56118 .27215 .56833 .27298 .56562 .27 Metetra
.194 .681 .927 r
.56562 .27 .56833 .27298 .5755 .27447 .5728 .27148 Metetra
.145 .646 .908 r
.5728 .27148 .5755 .27447 .58268 .2766 .58 .27361 Metetra
.095 .61 .887 r
.58 .27361 .58268 .2766 .58988 .27936 .58722 .27638 Metetra
.046 .573 .865 r
.58722 .27638 .58988 .27936 .5971 .28274 .59445 .27977 Metetra
0 .535 .841 r
.59445 .27977 .5971 .28274 .60433 .28673 .6017 .28376 Metetra
0 .498 .816 r
.6017 .28376 .60433 .28673 .61158 .2913 .60897 .28835 Metetra
0 .462 .791 r
.60897 .28835 .61158 .2913 .61886 .29645 .61626 .2935 Metetra
0 .427 .766 r
.61626 .2935 .61886 .29645 .62615 .30213 .62357 .29919 Metetra
0 .394 .741 r
.62357 .29919 .62615 .30213 .63346 .30833 .6309 .30541 Metetra
0 .362 .717 r
.6309 .30541 .63346 .30833 .64078 .31502 .63824 .31211 Metetra
0 .333 .695 r
.63824 .31211 .64078 .31502 .64813 .32217 .64561 .31928 Metetra
0 .307 .674 r
.64561 .31928 .64813 .32217 .6555 .32975 .653 .32687 Metetra
0 .282 .655 r
.653 .32687 .6555 .32975 .66289 .33772 .6604 .33487 Metetra
0 .261 .638 r
.6604 .33487 .66289 .33772 .6703 .34606 .66783 .34322 Metetra
.331 0 0 r
.66783 .34322 .6703 .34606 .67773 .35472 .67527 .3519 Metetra
.347 0 0 r
.67527 .3519 .67773 .35472 .68518 .36367 .68274 .36087 Metetra
.361 0 0 r
.68274 .36087 .68518 .36367 .69265 .37286 .69023 .37009 Metetra
.371 0 0 r
.69023 .37009 .69265 .37286 .70014 .38226 .69774 .37951 Metetra
.379 0 0 r
.69774 .37951 .70014 .38226 .70765 .39183 .70527 .3891 Metetra
.385 0 0 r
.70527 .3891 .70765 .39183 .71518 .40152 .71282 .39881 Metetra
.388 0 0 r
.71282 .39881 .71518 .40152 .72273 .41129 .72039 .40861 Metetra
.389 0 0 r
.72039 .40861 .72273 .41129 .7303 .42109 .72798 .41844 Metetra
.387 0 0 r
.72798 .41844 .7303 .42109 .7379 .43089 .73559 .42826 Metetra
.383 0 0 r
.73559 .42826 .7379 .43089 .74551 .44064 .74322 .43804 Metetra
.376 0 0 r
.74322 .43804 .74551 .44064 .75314 .4503 .75087 .44772 Metetra
.367 0 0 r
.75087 .44772 .75314 .4503 .7608 .45982 .75854 .45726 Metetra
.356 0 0 r
.75854 .45726 .7608 .45982 .76847 .46916 .76623 .46663 Metetra
.342 0 0 r
.76623 .46663 .76847 .46916 .77616 .47828 .77394 .47576 Metetra
.326 0 0 r
.77394 .47576 .77616 .47828 .78387 .48713 .78167 .48464 Metetra
0 .267 .64 r
.78167 .48464 .78387 .48713 .7916 .49568 .78942 .49321 Metetra
0 .288 .656 r
.78942 .49321 .7916 .49568 .79935 .50388 .79719 .50143 Metetra
0 .311 .674 r
.79719 .50143 .79935 .50388 .80712 .51169 .80498 .50926 Metetra
0 .336 .693 r
.80498 .50926 .80712 .51169 .8149 .51909 .81278 .51668 Metetra
0 .364 .712 r
.81278 .51668 .8149 .51909 .8227 .52603 .8206 .52363 Metetra
0 .393 .733 r
.8206 .52363 .8227 .52603 .83052 .53248 .82844 .5301 Metetra
0 .423 .754 r
.82844 .5301 .83052 .53248 .83835 .5384 .83629 .53604 Metetra
0 .455 .775 r
.83629 .53604 .83835 .5384 .8462 .54378 .84416 .54142 Metetra
0 .488 .796 r
.84416 .54142 .8462 .54378 .85407 .54857 .85205 .54623 Metetra
0 .522 .817 r
.85205 .54623 .85407 .54857 .86195 .55276 .85995 .55043 Metetra
.012 .556 .837 r
.85995 .55043 .86195 .55276 .86985 .55632 .86787 .554 Metetra
.054 .59 .856 r
.86787 .554 .86985 .55632 .87776 .55924 .8758 .55692 Metetra
.097 .624 .874 r
.8758 .55692 .87776 .55924 .88568 .56148 .88374 .55917 Metetra
.14 .657 .89 r
.88374 .55917 .88568 .56148 .89362 .56305 .8917 .56073 Metetra
.183 .689 .905 r
.8917 .56073 .89362 .56305 .90157 .56392 .89967 .5616 Metetra
.225 .719 .917 r
.89967 .5616 .90157 .56392 .90953 .56408 .90766 .56177 Metetra
.266 .748 .928 r
.90766 .56177 .90953 .56408 .91751 .56354 .91565 .56122 Metetra
.295 .771 .929 r
.19991 .64023 .20346 .64187 .20993 .64082 .20639 .63917 Metetra
.354 .805 .947 r
.20639 .63917 .20993 .64082 .21643 .63912 .2129 .63746 Metetra
.408 .833 .96 r
.2129 .63746 .21643 .63912 .22294 .63677 .21943 .63511 Metetra
.457 .857 .97 r
.21943 .63511 .22294 .63677 .22947 .63379 .22597 .63211 Metetra
.501 .877 .975 r
.22597 .63211 .22947 .63379 .23601 .63017 .23253 .62849 Metetra
.54 .893 .978 r
.23253 .62849 .23601 .63017 .24258 .62594 .23911 .62424 Metetra
.574 .905 .979 r
.23911 .62424 .24258 .62594 .24916 .62109 .2457 .61938 Metetra
.604 .915 .978 r
.2457 .61938 .24916 .62109 .25575 .61565 .25231 .61393 Metetra
.631 .923 .975 r
.25231 .61393 .25575 .61565 .26236 .60964 .25894 .60789 Metetra
.654 .929 .972 r
.25894 .60789 .26236 .60964 .26899 .60306 .26558 .6013 Metetra
.675 .934 .968 r
.26558 .6013 .26899 .60306 .27563 .59596 .27224 .59417 Metetra
.692 .938 .964 r
.27224 .59417 .27563 .59596 .28229 .58834 .27891 .58653 Metetra
.708 .94 .96 r
.27891 .58653 .28229 .58834 .28896 .58024 .28559 .57841 Metetra
.721 .942 .956 r
.28559 .57841 .28896 .58024 .29565 .57168 .29229 .56982 Metetra
.733 .944 .952 r
.29229 .56982 .29565 .57168 .30234 .56269 .29901 .56081 Metetra
.743 .945 .948 r
.29901 .56081 .30234 .56269 .30906 .55332 .30574 .55141 Metetra
.752 .945 .944 r
.30574 .55141 .30906 .55332 .31578 .54358 .31248 .54165 Metetra
.759 .946 .941 r
.31248 .54165 .31578 .54358 .32252 .53352 .31923 .53156 Metetra
.765 .946 .938 r
.31923 .53156 .32252 .53352 .32927 .52317 .326 .52118 Metetra
.77 .946 .935 r
.326 .52118 .32927 .52317 .33603 .51258 .33277 .51055 Metetra
.774 .947 .933 r
.33277 .51055 .33603 .51258 .34281 .50177 .33956 .49971 Metetra
.778 .947 .932 r
.33956 .49971 .34281 .50177 .3496 .49079 .34637 .4887 Metetra
.78 .947 .93 r
.34637 .4887 .3496 .49079 .35639 .47967 .35318 .47756 Metetra
.781 .947 .93 r
.35318 .47756 .35639 .47967 .3632 .46847 .36001 .46632 Metetra
.782 .947 .929 r
.36001 .46632 .3632 .46847 .37002 .45722 .36684 .45504 Metetra
.782 .947 .929 r
.36684 .45504 .37002 .45722 .37685 .44596 .37369 .44375 Metetra
.781 .947 .93 r
.37369 .44375 .37685 .44596 .3837 .43473 .38055 .43249 Metetra
.779 .947 .931 r
.38055 .43249 .3837 .43473 .39055 .42358 .38741 .42131 Metetra
.776 .947 .932 r
.38741 .42131 .39055 .42358 .39741 .41255 .39429 .41024 Metetra
.773 .946 .934 r
.39429 .41024 .39741 .41255 .40429 .40167 .40118 .39933 Metetra
.768 .946 .937 r
.40118 .39933 .40429 .40167 .41117 .39099 .40809 .38862 Metetra
.763 .946 .939 r
.40809 .38862 .41117 .39099 .41807 .38055 .415 .37815 Metetra
.756 .945 .942 r
.415 .37815 .41807 .38055 .42497 .37038 .42192 .36795 Metetra
.748 .944 .946 r
.42192 .36795 .42497 .37038 .43189 .36052 .42885 .35806 Metetra
.74 .943 .949 r
.42885 .35806 .43189 .36052 .43882 .35101 .4358 .34853 Metetra
.729 .941 .953 r
.4358 .34853 .43882 .35101 .44576 .34189 .44275 .33937 Metetra
.718 .939 .958 r
.44275 .33937 .44576 .34189 .4527 .33318 .44972 .33064 Metetra
.704 .937 .962 r
.44972 .33064 .4527 .33318 .45967 .32491 .45669 .32235 Metetra
.69 .933 .966 r
.45669 .32235 .45967 .32491 .46664 .31713 .46368 .31454 Metetra
.673 .929 .971 r
.46368 .31454 .46664 .31713 .47362 .30985 .47068 .30724 Metetra
.654 .924 .975 r
.47068 .30724 .47362 .30985 .48062 .3031 .4777 .30047 Metetra
.633 .917 .979 r
.4777 .30047 .48062 .3031 .48763 .29691 .48472 .29426 Metetra
.609 .909 .982 r
.48472 .29426 .48763 .29691 .49465 .2913 .49176 .28863 Metetra
.583 .9 .985 r
.49176 .28863 .49465 .2913 .50168 .28628 .49881 .2836 Metetra
.554 .888 .986 r
.49881 .2836 .50168 .28628 .50873 .28188 .50587 .27918 Metetra
.522 .874 .987 r
.50587 .27918 .50873 .28188 .51579 .2781 .51295 .27539 Metetra
.487 .858 .985 r
.51295 .27539 .51579 .2781 .52286 .27497 .52004 .27224 Metetra
.449 .84 .982 r
.52004 .27224 .52286 .27497 .52995 .27248 .52714 .26975 Metetra
.409 .818 .977 r
.52714 .26975 .52995 .27248 .53706 .27066 .53426 .26792 Metetra
.365 .794 .969 r
.53426 .26792 .53706 .27066 .54417 .2695 .5414 .26675 Metetra
.319 .767 .959 r
.5414 .26675 .54417 .2695 .55131 .269 .54855 .26625 Metetra
.271 .737 .946 r
.54855 .26625 .55131 .269 .55846 .26917 .55572 .26641 Metetra
.222 .705 .931 r
.55572 .26641 .55846 .26917 .56562 .27 .5629 .26724 Metetra
.171 .671 .913 r
.5629 .26724 .56562 .27 .5728 .27148 .5701 .26873 Metetra
.12 .634 .892 r
.5701 .26873 .5728 .27148 .58 .27361 .57731 .27086 Metetra
.069 .597 .87 r
.57731 .27086 .58 .27361 .58722 .27638 .58455 .27363 Metetra
.02 .558 .845 r
.58455 .27363 .58722 .27638 .59445 .27977 .5918 .27703 Metetra
0 .52 .82 r
.5918 .27703 .59445 .27977 .6017 .28376 .59906 .28103 Metetra
0 .482 .794 r
.59906 .28103 .6017 .28376 .60897 .28835 .60635 .28562 Metetra
0 .445 .767 r
.60635 .28562 .60897 .28835 .61626 .2935 .61366 .29078 Metetra
0 .409 .741 r
.61366 .29078 .61626 .2935 .62357 .29919 .62098 .29649 Metetra
0 .375 .716 r
.62098 .29649 .62357 .29919 .6309 .30541 .62833 .30272 Metetra
0 .343 .692 r
.62833 .30272 .6309 .30541 .63824 .31211 .63569 .30944 Metetra
0 .314 .669 r
.63569 .30944 .63824 .31211 .64561 .31928 .64307 .31662 Metetra
0 .287 .647 r
.64307 .31662 .64561 .31928 .653 .32687 .65048 .32424 Metetra
.315 0 0 r
.65048 .32424 .653 .32687 .6604 .33487 .6579 .33225 Metetra
.337 0 0 r
.6579 .33225 .6604 .33487 .66783 .34322 .66534 .34063 Metetra
.356 0 0 r
.66534 .34063 .66783 .34322 .67527 .3519 .67281 .34933 Metetra
.372 0 0 r
.67281 .34933 .67527 .3519 .68274 .36087 .68029 .35832 Metetra
.385 0 0 r
.68029 .35832 .68274 .36087 .69023 .37009 .6878 .36756 Metetra
.395 0 0 r
.6878 .36756 .69023 .37009 .69774 .37951 .69532 .377 Metetra
.403 0 0 r
.69532 .377 .69774 .37951 .70527 .3891 .70287 .38662 Metetra
.409 0 0 r
.70287 .38662 .70527 .3891 .71282 .39881 .71044 .39635 Metetra
.412 0 0 r
.71044 .39635 .71282 .39881 .72039 .40861 .71803 .40617 Metetra
.412 0 0 r
.71803 .40617 .72039 .40861 .72798 .41844 .72564 .41603 Metetra
.41 0 0 r
.72564 .41603 .72798 .41844 .73559 .42826 .73327 .42588 Metetra
.406 0 0 r
.73327 .42588 .73559 .42826 .74322 .43804 .74092 .43568 Metetra
.4 0 0 r
.74092 .43568 .74322 .43804 .75087 .44772 .74859 .44538 Metetra
.391 0 0 r
.74859 .44538 .75087 .44772 .75854 .45726 .75628 .45495 Metetra
.38 0 0 r
.75628 .45495 .75854 .45726 .76623 .46663 .76399 .46434 Metetra
.367 0 0 r
.76399 .46434 .76623 .46663 .77394 .47576 .77172 .4735 Metetra
.351 0 0 r
.77172 .4735 .77394 .47576 .78167 .48464 .77947 .48239 Metetra
.332 0 0 r
.77947 .48239 .78167 .48464 .78942 .49321 .78723 .49098 Metetra
.312 0 0 r
.78723 .49098 .78942 .49321 .79719 .50143 .79502 .49922 Metetra
0 .291 .647 r
.79502 .49922 .79719 .50143 .80498 .50926 .80283 .50708 Metetra
0 .317 .666 r
.80283 .50708 .80498 .50926 .81278 .51668 .81065 .51451 Metetra
0 .344 .686 r
.81065 .51451 .81278 .51668 .8206 .52363 .81849 .52149 Metetra
0 .373 .707 r
.81849 .52149 .8206 .52363 .82844 .5301 .82635 .52797 Metetra
0 .404 .728 r
.82635 .52797 .82844 .5301 .83629 .53604 .83422 .53392 Metetra
0 .437 .75 r
.83422 .53392 .83629 .53604 .84416 .54142 .84211 .53932 Metetra
0 .471 .772 r
.84211 .53932 .84416 .54142 .85205 .54623 .85002 .54414 Metetra
0 .505 .793 r
.85002 .54414 .85205 .54623 .85995 .55043 .85794 .54835 Metetra
0 .54 .814 r
.85794 .54835 .85995 .55043 .86787 .554 .86588 .55192 Metetra
.027 .575 .835 r
.86588 .55192 .86787 .554 .8758 .55692 .87383 .55485 Metetra
.07 .609 .853 r
.87383 .55485 .8758 .55692 .88374 .55917 .88179 .5571 Metetra
.114 .643 .871 r
.88179 .5571 .88374 .55917 .8917 .56073 .88977 .55867 Metetra
.158 .676 .887 r
.88977 .55867 .8917 .56073 .89967 .5616 .89777 .55954 Metetra
.201 .708 .901 r
.89777 .55954 .89967 .5616 .90766 .56177 .90577 .5597 Metetra
.243 .738 .912 r
.90577 .5597 .90766 .56177 .91565 .56122 .91379 .55915 Metetra
.272 .761 .913 r
.19633 .63881 .19991 .64023 .20639 .63917 .20284 .63775 Metetra
.334 .797 .934 r
.20284 .63775 .20639 .63917 .2129 .63746 .20936 .63603 Metetra
.39 .828 .95 r
.20936 .63603 .2129 .63746 .21943 .63511 .2159 .63368 Metetra
.441 .854 .961 r
.2159 .63368 .21943 .63511 .22597 .63211 .22245 .63067 Metetra
.486 .875 .968 r
.22245 .63067 .22597 .63211 .23253 .62849 .22903 .62704 Metetra
.527 .892 .972 r
.22903 .62704 .23253 .62849 .23911 .62424 .23562 .62278 Metetra
.563 .906 .974 r
.23562 .62278 .23911 .62424 .2457 .61938 .24223 .6179 Metetra
.595 .917 .974 r
.24223 .6179 .2457 .61938 .25231 .61393 .24885 .61243 Metetra
.623 .926 .972 r
.24885 .61243 .25231 .61393 .25894 .60789 .25549 .60638 Metetra
.647 .932 .97 r
.25549 .60638 .25894 .60789 .26558 .6013 .26215 .59977 Metetra
.668 .938 .966 r
.26215 .59977 .26558 .6013 .27224 .59417 .26882 .59262 Metetra
.687 .941 .963 r
.26882 .59262 .27224 .59417 .27891 .58653 .27551 .58496 Metetra
.703 .944 .959 r
.27551 .58496 .27891 .58653 .28559 .57841 .28221 .57681 Metetra
.717 .947 .955 r
.28221 .57681 .28559 .57841 .29229 .56982 .28892 .5682 Metetra
.729 .948 .951 r
.28892 .5682 .29229 .56982 .29901 .56081 .29565 .55917 Metetra
.74 .949 .947 r
.29565 .55917 .29901 .56081 .30574 .55141 .30239 .54974 Metetra
.749 .95 .943 r
.30239 .54974 .30574 .55141 .31248 .54165 .30915 .53995 Metetra
.756 .951 .94 r
.30915 .53995 .31248 .54165 .31923 .53156 .31592 .52983 Metetra
.763 .951 .937 r
.31592 .52983 .31923 .53156 .326 .52118 .3227 .51942 Metetra
.768 .951 .935 r
.3227 .51942 .326 .52118 .33277 .51055 .3295 .50876 Metetra
.772 .951 .933 r
.3295 .50876 .33277 .51055 .33956 .49971 .3363 .49789 Metetra
.776 .952 .931 r
.3363 .49789 .33956 .49971 .34637 .4887 .34312 .48685 Metetra
.778 .952 .93 r
.34312 .48685 .34637 .4887 .35318 .47756 .34995 .47567 Metetra
.78 .952 .929 r
.34995 .47567 .35318 .47756 .36001 .46632 .35679 .46441 Metetra
.78 .952 .929 r
.35679 .46441 .36001 .46632 .36684 .45504 .36364 .45309 Metetra
.78 .952 .929 r
.36364 .45309 .36684 .45504 .37369 .44375 .3705 .44177 Metetra
.779 .952 .93 r
.3705 .44177 .37369 .44375 .38055 .43249 .37738 .43048 Metetra
.777 .952 .931 r
.37738 .43048 .38055 .43249 .38741 .42131 .38426 .41926 Metetra
.774 .951 .932 r
.38426 .41926 .38741 .42131 .39429 .41024 .39116 .40817 Metetra
.771 .951 .934 r
.39116 .40817 .39429 .41024 .40118 .39933 .39806 .39723 Metetra
.766 .951 .936 r
.39806 .39723 .40118 .39933 .40809 .38862 .40498 .38648 Metetra
.76 .95 .939 r
.40498 .38648 .40809 .38862 .415 .37815 .41191 .37598 Metetra
.753 .95 .942 r
.41191 .37598 .415 .37815 .42192 .36795 .41885 .36575 Metetra
.746 .949 .945 r
.41885 .36575 .42192 .36795 .42885 .35806 .4258 .35584 Metetra
.736 .948 .949 r
.4258 .35584 .42885 .35806 .4358 .34853 .43276 .34627 Metetra
.726 .946 .953 r
.43276 .34627 .4358 .34853 .44275 .33937 .43973 .33709 Metetra
.714 .944 .957 r
.43973 .33709 .44275 .33937 .44972 .33064 .44671 .32833 Metetra
.7 .941 .961 r
.44671 .32833 .44972 .33064 .45669 .32235 .4537 .32002 Metetra
.684 .937 .965 r
.4537 .32002 .45669 .32235 .46368 .31454 .46071 .31219 Metetra
.667 .933 .969 r
.46071 .31219 .46368 .31454 .47068 .30724 .46773 .30486 Metetra
.647 .927 .973 r
.46773 .30486 .47068 .30724 .4777 .30047 .47476 .29808 Metetra
.625 .92 .977 r
.47476 .29808 .4777 .30047 .48472 .29426 .4818 .29184 Metetra
.6 .912 .98 r
.4818 .29184 .48472 .29426 .49176 .28863 .48885 .28619 Metetra
.573 .901 .982 r
.48885 .28619 .49176 .28863 .49881 .2836 .49592 .28114 Metetra
.543 .889 .982 r
.49592 .28114 .49881 .2836 .50587 .27918 .503 .27671 Metetra
.51 .875 .982 r
.503 .27671 .50587 .27918 .51295 .27539 .51009 .27291 Metetra
.473 .857 .98 r
.51009 .27291 .51295 .27539 .52004 .27224 .5172 .26975 Metetra
.434 .838 .976 r
.5172 .26975 .52004 .27224 .52714 .26975 .52432 .26725 Metetra
.392 .815 .969 r
.52432 .26725 .52714 .26975 .53426 .26792 .53146 .26541 Metetra
.347 .789 .96 r
.53146 .26541 .53426 .26792 .5414 .26675 .53861 .26424 Metetra
.299 .761 .948 r
.53861 .26424 .5414 .26675 .54855 .26625 .54578 .26373 Metetra
.25 .729 .934 r
.54578 .26373 .54855 .26625 .55572 .26641 .55296 .26389 Metetra
.199 .695 .916 r
.55296 .26389 .55572 .26641 .5629 .26724 .56016 .26472 Metetra
.147 .659 .897 r
.56016 .26472 .5629 .26724 .5701 .26873 .56737 .26621 Metetra
.095 .621 .874 r
.56737 .26621 .5701 .26873 .57731 .27086 .57461 .26834 Metetra
.043 .582 .85 r
.57461 .26834 .57731 .27086 .58455 .27363 .58186 .27112 Metetra
0 .543 .824 r
.58186 .27112 .58455 .27363 .5918 .27703 .58912 .27452 Metetra
0 .503 .797 r
.58912 .27452 .5918 .27703 .59906 .28103 .59641 .27853 Metetra
0 .464 .77 r
.59641 .27853 .59906 .28103 .60635 .28562 .60371 .28314 Metetra
0 .426 .742 r
.60371 .28314 .60635 .28562 .61366 .29078 .61104 .28831 Metetra
0 .39 .715 r
.61104 .28831 .61366 .29078 .62098 .29649 .61838 .29403 Metetra
0 .356 .689 r
.61838 .29403 .62098 .29649 .62833 .30272 .62574 .30027 Metetra
0 .324 .665 r
.62574 .30027 .62833 .30272 .63569 .30944 .63312 .30701 Metetra
.289 0 0 r
.63312 .30701 .63569 .30944 .64307 .31662 .64052 .31421 Metetra
.316 0 0 r
.64052 .31421 .64307 .31662 .65048 .32424 .64794 .32184 Metetra
.341 0 0 r
.64794 .32184 .65048 .32424 .6579 .33225 .65538 .32987 Metetra
.362 0 0 r
.65538 .32987 .6579 .33225 .66534 .34063 .66284 .33827 Metetra
.38 0 0 r
.66284 .33827 .66534 .34063 .67281 .34933 .67033 .34699 Metetra
.396 0 0 r
.67033 .34699 .67281 .34933 .68029 .35832 .67783 .356 Metetra
.408 0 0 r
.67783 .356 .68029 .35832 .6878 .36756 .68535 .36527 Metetra
.419 0 0 r
.68535 .36527 .6878 .36756 .69532 .377 .6929 .37474 Metetra
.426 0 0 r
.6929 .37474 .69532 .377 .70287 .38662 .70046 .38437 Metetra
.432 0 0 r
.70046 .38437 .70287 .38662 .71044 .39635 .70805 .39414 Metetra
.434 0 0 r
.70805 .39414 .71044 .39635 .71803 .40617 .71566 .40398 Metetra
.435 0 0 r
.71566 .40398 .71803 .40617 .72564 .41603 .72328 .41386 Metetra
.433 0 0 r
.72328 .41386 .72564 .41603 .73327 .42588 .73093 .42374 Metetra
.429 0 0 r
.73093 .42374 .73327 .42588 .74092 .43568 .7386 .43356 Metetra
.423 0 0 r
.7386 .43356 .74092 .43568 .74859 .44538 .74629 .44329 Metetra
.415 0 0 r
.74629 .44329 .74859 .44538 .75628 .45495 .754 .45288 Metetra
.404 0 0 r
.754 .45288 .75628 .45495 .76399 .46434 .76173 .46229 Metetra
.391 0 0 r
.76173 .46229 .76399 .46434 .77172 .4735 .76948 .47148 Metetra
.375 0 0 r
.76948 .47148 .77172 .4735 .77947 .48239 .77725 .4804 Metetra
.357 0 0 r
.77725 .4804 .77947 .48239 .78723 .49098 .78503 .48901 Metetra
.337 0 0 r
.78503 .48901 .78723 .49098 .79502 .49922 .79284 .49727 Metetra
.314 0 0 r
.79284 .49727 .79502 .49922 .80283 .50708 .80066 .50515 Metetra
.288 0 0 r
.80066 .50515 .80283 .50708 .81065 .51451 .80851 .5126 Metetra
0 .324 .658 r
.80851 .5126 .81065 .51451 .81849 .52149 .81637 .51959 Metetra
0 .354 .679 r
.81637 .51959 .81849 .52149 .82635 .52797 .82425 .52609 Metetra
0 .385 .701 r
.82425 .52609 .82635 .52797 .83422 .53392 .83214 .53206 Metetra
0 .418 .724 r
.83214 .53206 .83422 .53392 .84211 .53932 .84005 .53747 Metetra
0 .452 .746 r
.84005 .53747 .84211 .53932 .85002 .54414 .84798 .5423 Metetra
0 .487 .769 r
.84798 .5423 .85002 .54414 .85794 .54835 .85592 .54652 Metetra
0 .522 .79 r
.85592 .54652 .85794 .54835 .86588 .55192 .86388 .5501 Metetra
0 .558 .811 r
.86388 .5501 .86588 .55192 .87383 .55485 .87185 .55303 Metetra
.043 .594 .831 r
.87185 .55303 .87383 .55485 .88179 .5571 .87984 .55529 Metetra
.088 .629 .85 r
.87984 .55529 .88179 .5571 .88977 .55867 .88784 .55686 Metetra
.132 .663 .867 r
.88784 .55686 .88977 .55867 .89777 .55954 .89585 .55773 Metetra
.176 .695 .882 r
.89585 .55773 .89777 .55954 .90577 .5597 .90388 .55789 Metetra
.219 .726 .895 r
.90388 .55789 .90577 .5597 .91379 .55915 .91192 .55734 Metetra
.249 .75 .895 r
.19274 .63763 .19633 .63881 .20284 .63775 .19926 .63656 Metetra
.312 .789 .919 r
.19926 .63656 .20284 .63775 .20936 .63603 .20579 .63484 Metetra
.37 .822 .937 r
.20579 .63484 .20936 .63603 .2159 .63368 .21235 .63248 Metetra
.423 .849 .95 r
.21235 .63248 .2159 .63368 .22245 .63067 .21892 .62947 Metetra
.471 .872 .96 r
.21892 .62947 .22245 .63067 .22903 .62704 .2255 .62582 Metetra
.514 .891 .966 r
.2255 .62582 .22903 .62704 .23562 .62278 .23211 .62154 Metetra
.551 .906 .969 r
.23211 .62154 .23562 .62278 .24223 .6179 .23873 .61666 Metetra
.585 .918 .969 r
.23873 .61666 .24223 .6179 .24885 .61243 .24537 .61117 Metetra
.614 .928 .969 r
.24537 .61117 .24885 .61243 .25549 .60638 .25203 .6051 Metetra
.639 .935 .967 r
.25203 .6051 .25549 .60638 .26215 .59977 .2587 .59847 Metetra
.662 .941 .964 r
.2587 .59847 .26215 .59977 .26882 .59262 .26538 .5913 Metetra
.681 .945 .96 r
.26538 .5913 .26882 .59262 .27551 .58496 .27209 .58362 Metetra
.698 .948 .957 r
.27209 .58362 .27551 .58496 .28221 .57681 .2788 .57545 Metetra
.713 .951 .953 r
.2788 .57545 .28221 .57681 .28892 .5682 .28553 .56681 Metetra
.725 .952 .949 r
.28553 .56681 .28892 .5682 .29565 .55917 .29228 .55775 Metetra
.736 .954 .946 r
.29228 .55775 .29565 .55917 .30239 .54974 .29903 .5483 Metetra
.746 .955 .942 r
.29903 .5483 .30239 .54974 .30915 .53995 .30581 .53848 Metetra
.754 .955 .939 r
.30581 .53848 .30915 .53995 .31592 .52983 .31259 .52833 Metetra
.76 .956 .937 r
.31259 .52833 .31592 .52983 .3227 .51942 .31939 .5179 Metetra
.766 .956 .934 r
.31939 .5179 .3227 .51942 .3295 .50876 .3262 .50721 Metetra
.77 .956 .932 r
.3262 .50721 .3295 .50876 .3363 .49789 .33302 .49631 Metetra
.774 .956 .931 r
.33302 .49631 .3363 .49789 .34312 .48685 .33985 .48523 Metetra
.776 .956 .929 r
.33985 .48523 .34312 .48685 .34995 .47567 .3467 .47403 Metetra
.778 .956 .929 r
.3467 .47403 .34995 .47567 .35679 .46441 .35355 .46273 Metetra
.778 .956 .928 r
.35355 .46273 .35679 .46441 .36364 .45309 .36042 .45138 Metetra
.778 .956 .928 r
.36042 .45138 .36364 .45309 .3705 .44177 .3673 .44002 Metetra
.777 .956 .929 r
.3673 .44002 .3705 .44177 .37738 .43048 .37419 .4287 Metetra
.775 .956 .93 r
.37419 .4287 .37738 .43048 .38426 .41926 .38109 .41745 Metetra
.772 .956 .931 r
.38109 .41745 .38426 .41926 .39116 .40817 .388 .40632 Metetra
.768 .956 .933 r
.388 .40632 .39116 .40817 .39806 .39723 .39493 .39535 Metetra
.763 .956 .935 r
.39493 .39535 .39806 .39723 .40498 .38648 .40186 .38458 Metetra
.757 .955 .938 r
.40186 .38458 .40498 .38648 .41191 .37598 .4088 .37405 Metetra
.75 .954 .941 r
.4088 .37405 .41191 .37598 .41885 .36575 .41576 .36379 Metetra
.742 .953 .944 r
.41576 .36379 .41885 .36575 .4258 .35584 .42272 .35384 Metetra
.733 .952 .948 r
.42272 .35384 .4258 .35584 .43276 .34627 .4297 .34425 Metetra
.722 .95 .951 r
.4297 .34425 .43276 .34627 .43973 .33709 .43669 .33505 Metetra
.709 .948 .955 r
.43669 .33505 .43973 .33709 .44671 .32833 .44369 .32626 Metetra
.695 .945 .959 r
.44369 .32626 .44671 .32833 .4537 .32002 .4507 .31792 Metetra
.679 .941 .963 r
.4507 .31792 .4537 .32002 .46071 .31219 .45772 .31007 Metetra
.66 .936 .967 r
.45772 .31007 .46071 .31219 .46773 .30486 .46475 .30272 Metetra
.64 .93 .971 r
.46475 .30272 .46773 .30486 .47476 .29808 .4718 .29591 Metetra
.617 .923 .974 r
.4718 .29591 .47476 .29808 .4818 .29184 .47886 .28966 Metetra
.591 .914 .976 r
.47886 .28966 .4818 .29184 .48885 .28619 .48593 .28399 Metetra
.563 .903 .978 r
.48593 .28399 .48885 .28619 .49592 .28114 .49301 .27893 Metetra
.531 .889 .978 r
.49301 .27893 .49592 .28114 .503 .27671 .50011 .27448 Metetra
.497 .874 .976 r
.50011 .27448 .503 .27671 .51009 .27291 .50722 .27067 Metetra
.459 .856 .973 r
.50722 .27067 .51009 .27291 .5172 .26975 .51434 .2675 Metetra
.418 .834 .967 r
.51434 .2675 .5172 .26975 .52432 .26725 .52148 .26499 Metetra
.374 .81 .96 r
.52148 .26499 .52432 .26725 .53146 .26541 .52863 .26314 Metetra
.327 .783 .949 r
.52863 .26314 .53146 .26541 .53861 .26424 .5358 .26196 Metetra
.278 .753 .936 r
.5358 .26196 .53861 .26424 .54578 .26373 .54299 .26145 Metetra
.227 .72 .919 r
.54299 .26145 .54578 .26373 .55296 .26389 .55019 .26161 Metetra
.175 .684 .9 r
.55019 .26161 .55296 .26389 .56016 .26472 .5574 .26244 Metetra
.122 .646 .879 r
.5574 .26244 .56016 .26472 .56737 .26621 .56464 .26392 Metetra
.069 .607 .855 r
.56464 .26392 .56737 .26621 .57461 .26834 .57189 .26606 Metetra
.016 .567 .829 r
.57189 .26606 .57461 .26834 .58186 .27112 .57915 .26885 Metetra
0 .526 .801 r
.57915 .26885 .58186 .27112 .58912 .27452 .58644 .27225 Metetra
0 .485 .773 r
.58644 .27225 .58912 .27452 .59641 .27853 .59374 .27627 Metetra
0 .445 .744 r
.59374 .27627 .59641 .27853 .60371 .28314 .60106 .28089 Metetra
0 .407 .716 r
.60106 .28089 .60371 .28314 .61104 .28831 .6084 .28607 Metetra
0 .37 .688 r
.6084 .28607 .61104 .28831 .61838 .29403 .61576 .29181 Metetra
0 .336 .662 r
.61576 .29181 .61838 .29403 .62574 .30027 .62314 .29806 Metetra
.284 0 0 r
.62314 .29806 .62574 .30027 .63312 .30701 .63054 .30482 Metetra
.314 0 0 r
.63054 .30482 .63312 .30701 .64052 .31421 .63796 .31203 Metetra
.341 0 0 r
.63796 .31203 .64052 .31421 .64794 .32184 .64539 .31969 Metetra
.365 0 0 r
.64539 .31969 .64794 .32184 .65538 .32987 .65285 .32774 Metetra
.386 0 0 r
.65285 .32774 .65538 .32987 .66284 .33827 .66033 .33616 Metetra
.404 0 0 r
.66033 .33616 .66284 .33827 .67033 .34699 .66783 .3449 Metetra
.419 0 0 r
.66783 .3449 .67033 .34699 .67783 .356 .67535 .35394 Metetra
.431 0 0 r
.67535 .35394 .67783 .356 .68535 .36527 .68289 .36322 Metetra
.441 0 0 r
.68289 .36322 .68535 .36527 .6929 .37474 .69046 .37271 Metetra
.448 0 0 r
.69046 .37271 .6929 .37474 .70046 .38437 .69804 .38238 Metetra
.453 0 0 r
.69804 .38238 .70046 .38437 .70805 .39414 .70565 .39216 Metetra
.456 0 0 r
.70565 .39216 .70805 .39414 .71566 .40398 .71327 .40203 Metetra
.457 0 0 r
.71327 .40203 .71566 .40398 .72328 .41386 .72092 .41194 Metetra
.455 0 0 r
.72092 .41194 .72328 .41386 .73093 .42374 .72858 .42184 Metetra
.451 0 0 r
.72858 .42184 .73093 .42374 .7386 .43356 .73627 .43169 Metetra
.445 0 0 r
.73627 .43169 .7386 .43356 .74629 .44329 .74398 .44145 Metetra
.437 0 0 r
.74398 .44145 .74629 .44329 .754 .45288 .75171 .45106 Metetra
.426 0 0 r
.75171 .45106 .754 .45288 .76173 .46229 .75946 .4605 Metetra
.414 0 0 r
.75946 .4605 .76173 .46229 .76948 .47148 .76723 .46971 Metetra
.399 0 0 r
.76723 .46971 .76948 .47148 .77725 .4804 .77501 .47865 Metetra
.381 0 0 r
.77501 .47865 .77725 .4804 .78503 .48901 .78282 .48729 Metetra
.361 0 0 r
.78282 .48729 .78503 .48901 .79284 .49727 .79065 .49557 Metetra
.339 0 0 r
.79065 .49557 .79284 .49727 .80066 .50515 .79849 .50347 Metetra
.314 0 0 r
.79849 .50347 .80066 .50515 .80851 .5126 .80635 .51094 Metetra
.286 0 0 r
.80635 .51094 .80851 .5126 .81637 .51959 .81424 .51795 Metetra
.256 0 0 r
.81424 .51795 .81637 .51959 .82425 .52609 .82213 .52446 Metetra
0 .365 .673 r
.82213 .52446 .82425 .52609 .83214 .53206 .83005 .53045 Metetra
0 .398 .696 r
.83005 .53045 .83214 .53206 .84005 .53747 .83798 .53587 Metetra
0 .432 .719 r
.83798 .53587 .84005 .53747 .84798 .5423 .84593 .54071 Metetra
0 .467 .742 r
.84593 .54071 .84798 .5423 .85592 .54652 .85389 .54494 Metetra
0 .504 .765 r
.85389 .54494 .85592 .54652 .86388 .5501 .86187 .54854 Metetra
0 .54 .787 r
.86187 .54854 .86388 .5501 .87185 .55303 .86986 .55147 Metetra
.016 .576 .807 r
.86986 .55147 .87185 .55303 .87984 .55529 .87787 .55374 Metetra
.061 .612 .827 r
.87787 .55374 .87984 .55529 .88784 .55686 .88589 .55531 Metetra
.105 .647 .845 r
.88589 .55531 .88784 .55686 .89585 .55773 .89393 .55618 Metetra
.15 .681 .861 r
.89393 .55618 .89585 .55773 .90388 .55789 .90197 .55634 Metetra
.194 .713 .875 r
.90197 .55634 .90388 .55789 .91192 .55734 .91004 .55578 Metetra
.224 .737 .876 r
.18913 .63669 .19274 .63763 .19926 .63656 .19566 .63561 Metetra
.289 .778 .902 r
.19566 .63561 .19926 .63656 .20579 .63484 .20221 .63389 Metetra
.35 .814 .923 r
.20221 .63389 .20579 .63484 .21235 .63248 .20877 .63152 Metetra
.405 .844 .938 r
.20877 .63152 .21235 .63248 .21892 .62947 .21536 .6285 Metetra
.455 .869 .95 r
.21536 .6285 .21892 .62947 .2255 .62582 .22196 .62484 Metetra
.499 .889 .957 r
.22196 .62484 .2255 .62582 .23211 .62154 .22858 .62055 Metetra
.539 .905 .962 r
.22858 .62055 .23211 .62154 .23873 .61666 .23522 .61565 Metetra
.573 .918 .964 r
.23522 .61565 .23873 .61666 .24537 .61117 .24187 .61015 Metetra
.604 .929 .964 r
.24187 .61015 .24537 .61117 .25203 .6051 .24854 .60406 Metetra
.631 .937 .963 r
.24854 .60406 .25203 .6051 .2587 .59847 .25523 .59741 Metetra
.654 .943 .96 r
.25523 .59741 .2587 .59847 .26538 .5913 .26193 .59022 Metetra
.675 .948 .958 r
.26193 .59022 .26538 .5913 .27209 .58362 .26864 .58252 Metetra
.692 .952 .954 r
.26864 .58252 .27209 .58362 .2788 .57545 .27538 .57432 Metetra
.708 .954 .951 r
.27538 .57432 .2788 .57545 .28553 .56681 .28212 .56567 Metetra
.721 .956 .947 r
.28212 .56567 .28553 .56681 .29228 .55775 .28888 .55658 Metetra
.732 .958 .944 r
.28888 .55658 .29228 .55775 .29903 .5483 .29566 .5471 Metetra
.742 .959 .941 r
.29566 .5471 .29903 .5483 .30581 .53848 .30244 .53725 Metetra
.75 .96 .938 r
.30244 .53725 .30581 .53848 .31259 .52833 .30924 .52708 Metetra
.757 .96 .935 r
.30924 .52708 .31259 .52833 .31939 .5179 .31606 .51661 Metetra
.763 .96 .933 r
.31606 .51661 .31939 .5179 .3262 .50721 .32288 .50589 Metetra
.767 .961 .931 r
.32288 .50589 .3262 .50721 .33302 .49631 .32972 .49496 Metetra
.771 .961 .929 r
.32972 .49496 .33302 .49631 .33985 .48523 .33657 .48385 Metetra
.774 .961 .928 r
.33657 .48385 .33985 .48523 .3467 .47403 .34343 .47262 Metetra
.775 .961 .928 r
.34343 .47262 .3467 .47403 .35355 .46273 .3503 .46128 Metetra
.776 .961 .927 r
.3503 .46128 .35355 .46273 .36042 .45138 .35719 .4499 Metetra
.776 .961 .927 r
.35719 .4499 .36042 .45138 .3673 .44002 .36408 .43852 Metetra
.774 .961 .928 r
.36408 .43852 .3673 .44002 .37419 .4287 .37099 .42716 Metetra
.772 .961 .929 r
.37099 .42716 .37419 .4287 .38109 .41745 .3779 .41588 Metetra
.769 .961 .93 r
.3779 .41588 .38109 .41745 .388 .40632 .38483 .40472 Metetra
.765 .96 .932 r
.38483 .40472 .388 .40632 .39493 .39535 .39177 .39372 Metetra
.76 .96 .934 r
.39177 .39372 .39493 .39535 .40186 .38458 .39872 .38291 Metetra
.754 .959 .937 r
.39872 .38291 .40186 .38458 .4088 .37405 .40568 .37235 Metetra
.747 .959 .939 r
.40568 .37235 .4088 .37405 .41576 .36379 .41265 .36206 Metetra
.738 .958 .943 r
.41265 .36206 .41576 .36379 .42272 .35384 .41963 .35209 Metetra
.729 .956 .946 r
.41963 .35209 .42272 .35384 .4297 .34425 .42663 .34247 Metetra
.717 .954 .95 r
.42663 .34247 .4297 .34425 .43669 .33505 .43363 .33324 Metetra
.704 .952 .953 r
.43363 .33324 .43669 .33505 .44369 .32626 .44065 .32442 Metetra
.689 .948 .957 r
.44065 .32442 .44369 .32626 .4507 .31792 .44767 .31606 Metetra
.672 .944 .961 r
.44767 .31606 .4507 .31792 .45772 .31007 .45471 .30818 Metetra
.653 .939 .965 r
.45471 .30818 .45772 .31007 .46475 .30272 .46176 .30082 Metetra
.632 .933 .968 r
.46176 .30082 .46475 .30272 .4718 .29591 .46883 .29399 Metetra
.608 .925 .97 r
.46883 .29399 .4718 .29591 .47886 .28966 .4759 .28772 Metetra
.581 .915 .972 r
.4759 .28772 .47886 .28966 .48593 .28399 .48299 .28203 Metetra
.551 .903 .972 r
.48299 .28203 .48593 .28399 .49301 .27893 .49009 .27695 Metetra
.518 .889 .972 r
.49009 .27695 .49301 .27893 .50011 .27448 .4972 .27249 Metetra
.482 .872 .969 r
.4972 .27249 .50011 .27448 .50722 .27067 .50433 .26866 Metetra
.443 .853 .965 r
.50433 .26866 .50722 .27067 .51434 .2675 .51147 .26548 Metetra
.401 .83 .958 r
.51147 .26548 .51434 .2675 .52148 .26499 .51863 .26296 Metetra
.355 .805 .949 r
.51863 .26296 .52148 .26499 .52863 .26314 .5258 .26111 Metetra
.307 .776 .936 r
.5258 .26111 .52863 .26314 .5358 .26196 .53298 .25992 Metetra
.256 .744 .921 r
.53298 .25992 .5358 .26196 .54299 .26145 .54018 .25941 Metetra
.204 .709 .903 r
.54018 .25941 .54299 .26145 .55019 .26161 .5474 .25957 Metetra
.15 .672 .882 r
.5474 .25957 .55019 .26161 .5574 .26244 .55463 .26039 Metetra
.096 .632 .859 r
.55463 .26039 .5574 .26244 .56464 .26392 .56188 .26188 Metetra
.042 .592 .833 r
.56188 .26188 .56464 .26392 .57189 .26606 .56915 .26403 Metetra
0 .55 .805 r
.56915 .26403 .57189 .26606 .57915 .26885 .57643 .26681 Metetra
0 .508 .777 r
.57643 .26681 .57915 .26885 .58644 .27225 .58374 .27023 Metetra
0 .466 .747 r
.58374 .27023 .58644 .27225 .59374 .27627 .59106 .27426 Metetra
0 .426 .718 r
.59106 .27426 .59374 .27627 .60106 .28089 .59839 .27888 Metetra
0 .387 .688 r
.59839 .27888 .60106 .28089 .6084 .28607 .60575 .28408 Metetra
.24 0 0 r
.60575 .28408 .6084 .28607 .61576 .29181 .61313 .28983 Metetra
.276 0 0 r
.61313 .28983 .61576 .29181 .62314 .29806 .62053 .2961 Metetra
.309 0 0 r
.62053 .2961 .62314 .29806 .63054 .30482 .62794 .30287 Metetra
.339 0 0 r
.62794 .30287 .63054 .30482 .63796 .31203 .63538 .3101 Metetra
.365 0 0 r
.63538 .3101 .63796 .31203 .64539 .31969 .64283 .31777 Metetra
.388 0 0 r
.64283 .31777 .64539 .31969 .65285 .32774 .65031 .32585 Metetra
.409 0 0 r
.65031 .32585 .65285 .32774 .66033 .33616 .65781 .33429 Metetra
.426 0 0 r
.65781 .33429 .66033 .33616 .66783 .3449 .66533 .34305 Metetra
.441 0 0 r
.66533 .34305 .66783 .3449 .67535 .35394 .67286 .35211 Metetra
.453 0 0 r
.67286 .35211 .67535 .35394 .68289 .36322 .68042 .36142 Metetra
.462 0 0 r
.68042 .36142 .68289 .36322 .69046 .37271 .68801 .37094 Metetra
.469 0 0 r
.68801 .37094 .69046 .37271 .69804 .38238 .69561 .38063 Metetra
.474 0 0 r
.69561 .38063 .69804 .38238 .70565 .39216 .70323 .39044 Metetra
.477 0 0 r
.70323 .39044 .70565 .39216 .71327 .40203 .71087 .40034 Metetra
.478 0 0 r
.71087 .40034 .71327 .40203 .72092 .41194 .71854 .41027 Metetra
.476 0 0 r
.71854 .41027 .72092 .41194 .72858 .42184 .72623 .4202 Metetra
.472 0 0 r
.72623 .4202 .72858 .42184 .73627 .43169 .73393 .43007 Metetra
.466 0 0 r
.73393 .43007 .73627 .43169 .74398 .44145 .74166 .43985 Metetra
.458 0 0 r
.74166 .43985 .74398 .44145 .75171 .45106 .74941 .4495 Metetra
.448 0 0 r
.74941 .4495 .75171 .45106 .75946 .4605 .75718 .45896 Metetra
.436 0 0 r
.75718 .45896 .75946 .4605 .76723 .46971 .76496 .46819 Metetra
.421 0 0 r
.76496 .46819 .76723 .46971 .77501 .47865 .77277 .47716 Metetra
.404 0 0 r
.77277 .47716 .77501 .47865 .78282 .48729 .7806 .48582 Metetra
.385 0 0 r
.7806 .48582 .78282 .48729 .79065 .49557 .78844 .49412 Metetra
.363 0 0 r
.78844 .49412 .79065 .49557 .79849 .50347 .79631 .50204 Metetra
.338 0 0 r
.79631 .50204 .79849 .50347 .80635 .51094 .80419 .50953 Metetra
.311 0 0 r
.80419 .50953 .80635 .51094 .81424 .51795 .81209 .51656 Metetra
.282 0 0 r
.81209 .51656 .81424 .51795 .82213 .52446 .82001 .52309 Metetra
.25 0 0 r
.82001 .52309 .82213 .52446 .83005 .53045 .82795 .52909 Metetra
.215 0 0 r
.82795 .52909 .83005 .53045 .83798 .53587 .8359 .53453 Metetra
0 .411 .69 r
.8359 .53453 .83798 .53587 .84593 .54071 .84387 .53939 Metetra
0 .447 .714 r
.84387 .53939 .84593 .54071 .85389 .54494 .85185 .54363 Metetra
0 .484 .737 r
.85185 .54363 .85389 .54494 .86187 .54854 .85985 .54723 Metetra
0 .521 .76 r
.85985 .54723 .86187 .54854 .86986 .55147 .86786 .55017 Metetra
0 .558 .782 r
.86786 .55017 .86986 .55147 .87787 .55374 .87589 .55244 Metetra
.033 .595 .802 r
.87589 .55244 .87787 .55374 .88589 .55531 .88394 .55402 Metetra
.078 .631 .821 r
.88394 .55402 .88589 .55531 .89393 .55618 .89199 .55489 Metetra
.124 .665 .838 r
.89199 .55489 .89393 .55618 .90197 .55634 .90006 .55505 Metetra
.168 .698 .853 r
.90006 .55505 .90197 .55634 .91004 .55578 .90815 .55448 Metetra
.199 .723 .854 r
.18549 .63598 .18913 .63669 .19566 .63561 .19204 .6349 Metetra
.266 .766 .883 r
.19204 .6349 .19566 .63561 .20221 .63389 .1986 .63317 Metetra
.328 .804 .907 r
.1986 .63317 .20221 .63389 .20877 .63152 .20518 .63079 Metetra
.385 .836 .925 r
.20518 .63079 .20877 .63152 .21536 .6285 .21178 .62776 Metetra
.437 .863 .938 r
.21178 .62776 .21536 .6285 .22196 .62484 .2184 .62409 Metetra
.484 .885 .948 r
.2184 .62409 .22196 .62484 .22858 .62055 .22503 .6198 Metetra
.525 .903 .954 r
.22503 .6198 .22858 .62055 .23522 .61565 .23168 .61488 Metetra
.561 .918 .957 r
.23168 .61488 .23522 .61565 .24187 .61015 .23835 .60936 Metetra
.593 .929 .958 r
.23835 .60936 .24187 .61015 .24854 .60406 .24503 .60326 Metetra
.621 .938 .958 r
.24503 .60326 .24854 .60406 .25523 .59741 .25174 .59659 Metetra
.646 .945 .956 r
.25174 .59659 .25523 .59741 .26193 .59022 .25845 .58938 Metetra
.667 .95 .954 r
.25845 .58938 .26193 .59022 .26864 .58252 .26518 .58165 Metetra
.686 .955 .951 r
.26518 .58165 .26864 .58252 .27538 .57432 .27193 .57343 Metetra
.702 .958 .948 r
.27193 .57343 .27538 .57432 .28212 .56567 .27869 .56476 Metetra
.716 .96 .945 r
.27869 .56476 .28212 .56567 .28888 .55658 .28547 .55564 Metetra
.728 .962 .942 r
.28547 .55564 .28888 .55658 .29566 .5471 .29226 .54613 Metetra
.738 .963 .939 r
.29226 .54613 .29566 .5471 .30244 .53725 .29906 .53626 Metetra
.746 .964 .936 r
.29906 .53626 .30244 .53725 .30924 .52708 .30587 .52606 Metetra
.754 .964 .933 r
.30587 .52606 .30924 .52708 .31606 .51661 .3127 .51556 Metetra
.76 .965 .931 r
.3127 .51556 .31606 .51661 .32288 .50589 .31954 .50481 Metetra
.764 .965 .929 r
.31954 .50481 .32288 .50589 .32972 .49496 .3264 .49385 Metetra
.768 .965 .928 r
.3264 .49385 .32972 .49496 .33657 .48385 .33326 .48271 Metetra
.771 .965 .927 r
.33326 .48271 .33657 .48385 .34343 .47262 .34014 .47144 Metetra
.772 .965 .926 r
.34014 .47144 .34343 .47262 .3503 .46128 .34703 .46008 Metetra
.773 .965 .926 r
.34703 .46008 .3503 .46128 .35719 .4499 .35393 .44867 Metetra
.773 .965 .926 r
.35393 .44867 .35719 .4499 .36408 .43852 .36084 .43725 Metetra
.772 .965 .926 r
.36084 .43725 .36408 .43852 .37099 .42716 .36776 .42586 Metetra
.769 .965 .927 r
.36776 .42586 .37099 .42716 .3779 .41588 .3747 .41455 Metetra
.766 .965 .929 r
.3747 .41455 .3779 .41588 .38483 .40472 .38164 .40336 Metetra
.762 .965 .93 r
.38164 .40336 .38483 .40472 .39177 .39372 .3886 .39232 Metetra
.757 .964 .932 r
.3886 .39232 .39177 .39372 .39872 .38291 .39556 .38149 Metetra
.751 .964 .935 r
.39556 .38149 .39872 .38291 .40568 .37235 .40254 .37089 Metetra
.743 .963 .938 r
.40254 .37089 .40568 .37235 .41265 .36206 .40953 .36057 Metetra
.734 .961 .941 r
.40953 .36057 .41265 .36206 .41963 .35209 .41653 .35057 Metetra
.724 .96 .944 r
.41653 .35057 .41963 .35209 .42663 .34247 .42354 .34093 Metetra
.712 .958 .947 r
.42354 .34093 .42663 .34247 .43363 .33324 .43056 .33166 Metetra
.698 .955 .951 r
.43056 .33166 .43363 .33324 .44065 .32442 .43759 .32283 Metetra
.683 .951 .954 r
.43759 .32283 .44065 .32442 .44767 .31606 .44463 .31444 Metetra
.665 .947 .958 r
.44463 .31444 .44767 .31606 .45471 .30818 .45169 .30654 Metetra
.645 .941 .961 r
.45169 .30654 .45471 .30818 .46176 .30082 .45876 .29915 Metetra
.623 .934 .964 r
.45876 .29915 .46176 .30082 .46883 .29399 .46584 .2923 Metetra
.598 .926 .965 r
.46584 .2923 .46883 .29399 .4759 .28772 .47293 .28601 Metetra
.57 .915 .966 r
.47293 .28601 .4759 .28772 .48299 .28203 .48003 .28031 Metetra
.539 .902 .966 r
.48003 .28031 .48299 .28203 .49009 .27695 .48715 .27521 Metetra
.505 .887 .964 r
.48715 .27521 .49009 .27695 .4972 .27249 .49428 .27073 Metetra
.467 .869 .961 r
.49428 .27073 .4972 .27249 .50433 .26866 .50142 .26689 Metetra
.426 .849 .955 r
.50142 .26689 .50433 .26866 .51147 .26548 .50858 .2637 Metetra
.382 .825 .947 r
.50858 .2637 .51147 .26548 .51863 .26296 .51575 .26117 Metetra
.335 .797 .936 r
.51575 .26117 .51863 .26296 .5258 .26111 .52294 .25931 Metetra
.285 .767 .922 r
.52294 .25931 .5258 .26111 .53298 .25992 .53014 .25812 Metetra
.233 .733 .905 r
.53014 .25812 .53298 .25992 .54018 .25941 .53736 .25761 Metetra
.179 .697 .885 r
.53736 .25761 .54018 .25941 .5474 .25957 .5446 .25776 Metetra
.124 .658 .862 r
.5446 .25776 .5474 .25957 .55463 .26039 .55185 .25859 Metetra
.069 .617 .837 r
.55185 .25859 .55463 .26039 .56188 .26188 .55911 .26008 Metetra
.015 .575 .809 r
.55911 .26008 .56188 .26188 .56915 .26403 .5664 .26223 Metetra
0 .532 .78 r
.5664 .26223 .56915 .26403 .57643 .26681 .5737 .26502 Metetra
0 .489 .75 r
.5737 .26502 .57643 .26681 .58374 .27023 .58102 .26844 Metetra
0 .447 .72 r
.58102 .26844 .58374 .27023 .59106 .27426 .58836 .27248 Metetra
0 .406 .689 r
.58836 .27248 .59106 .27426 .59839 .27888 .59571 .27712 Metetra
.226 0 0 r
.59571 .27712 .59839 .27888 .60575 .28408 .60309 .28233 Metetra
.266 0 0 r
.60309 .28233 .60575 .28408 .61313 .28983 .61048 .28809 Metetra
.301 0 0 r
.61048 .28809 .61313 .28983 .62053 .2961 .6179 .29438 Metetra
.334 0 0 r
.6179 .29438 .62053 .2961 .62794 .30287 .62533 .30116 Metetra
.363 0 0 r
.62533 .30116 .62794 .30287 .63538 .3101 .63278 .30842 Metetra
.388 0 0 r
.63278 .30842 .63538 .3101 .64283 .31777 .64026 .31611 Metetra
.411 0 0 r
.64026 .31611 .64283 .31777 .65031 .32585 .64775 .3242 Metetra
.431 0 0 r
.64775 .3242 .65031 .32585 .65781 .33429 .65527 .33266 Metetra
.447 0 0 r
.65527 .33266 .65781 .33429 .66533 .34305 .6628 .34145 Metetra
.462 0 0 r
.6628 .34145 .66533 .34305 .67286 .35211 .67036 .35053 Metetra
.473 0 0 r
.67036 .35053 .67286 .35211 .68042 .36142 .67794 .35987 Metetra
.483 0 0 r
.67794 .35987 .68042 .36142 .68801 .37094 .68554 .36941 Metetra
.489 0 0 r
.68554 .36941 .68801 .37094 .69561 .38063 .69316 .37913 Metetra
.494 0 0 r
.69316 .37913 .69561 .38063 .70323 .39044 .7008 .38897 Metetra
.497 0 0 r
.7008 .38897 .70323 .39044 .71087 .40034 .70847 .39889 Metetra
.497 0 0 r
.70847 .39889 .71087 .40034 .71854 .41027 .71615 .40885 Metetra
.496 0 0 r
.71615 .40885 .71854 .41027 .72623 .4202 .72385 .4188 Metetra
.492 0 0 r
.72385 .4188 .72623 .4202 .73393 .43007 .73158 .4287 Metetra
.487 0 0 r
.73158 .4287 .73393 .43007 .74166 .43985 .73933 .43851 Metetra
.479 0 0 r
.73933 .43851 .74166 .43985 .74941 .4495 .74709 .44818 Metetra
.469 0 0 r
.74709 .44818 .74941 .4495 .75718 .45896 .75488 .45767 Metetra
.457 0 0 r
.75488 .45767 .75718 .45896 .76496 .46819 .76269 .46693 Metetra
.443 0 0 r
.76269 .46693 .76496 .46819 .77277 .47716 .77052 .47592 Metetra
.426 0 0 r
.77052 .47592 .77277 .47716 .7806 .48582 .77836 .4846 Metetra
.407 0 0 r
.77836 .4846 .7806 .48582 .78844 .49412 .78623 .49293 Metetra
.386 0 0 r
.78623 .49293 .78844 .49412 .79631 .50204 .79411 .50087 Metetra
.362 0 0 r
.79411 .50087 .79631 .50204 .80419 .50953 .80202 .50838 Metetra
.336 0 0 r
.80202 .50838 .80419 .50953 .81209 .51656 .80994 .51543 Metetra
.307 0 0 r
.80994 .51543 .81209 .51656 .82001 .52309 .81788 .52198 Metetra
.275 0 0 r
.81788 .52198 .82001 .52309 .82795 .52909 .82583 .52799 Metetra
.241 0 0 r
.82583 .52799 .82795 .52909 .8359 .53453 .83381 .53345 Metetra
.205 0 0 r
.83381 .53345 .8359 .53453 .84387 .53939 .8418 .53832 Metetra
.166 0 0 r
.8418 .53832 .84387 .53939 .85185 .54363 .8498 .54257 Metetra
0 .463 .708 r
.8498 .54257 .85185 .54363 .85985 .54723 .85782 .54618 Metetra
0 .501 .732 r
.85782 .54618 .85985 .54723 .86786 .55017 .86586 .54913 Metetra
0 .538 .754 r
.86586 .54913 .86786 .55017 .87589 .55244 .87391 .5514 Metetra
.006 .576 .775 r
.87391 .5514 .87589 .55244 .88394 .55402 .88197 .55298 Metetra
.051 .612 .795 r
.88197 .55298 .88394 .55402 .89199 .55489 .89005 .55386 Metetra
.097 .648 .814 r
.89005 .55386 .89199 .55489 .90006 .55505 .89814 .55402 Metetra
.142 .682 .83 r
.89814 .55402 .90006 .55505 .90815 .55448 .90625 .55345 Metetra
.173 .707 .83 r
.18183 .63551 .18549 .63598 .19204 .6349 .18839 .63443 Metetra
.241 .753 .862 r
.18839 .63443 .19204 .6349 .1986 .63317 .19497 .6327 Metetra
.305 .793 .889 r
.19497 .6327 .1986 .63317 .20518 .63079 .20156 .63031 Metetra
.365 .828 .909 r
.20156 .63031 .20518 .63079 .21178 .62776 .20818 .62727 Metetra
.418 .857 .925 r
.20818 .62727 .21178 .62776 .2184 .62409 .21481 .62359 Metetra
.467 .881 .936 r
.21481 .62359 .2184 .62409 .22503 .6198 .22146 .61928 Metetra
.51 .9 .944 r
.22146 .61928 .22503 .6198 .23168 .61488 .22813 .61435 Metetra
.548 .916 .949 r
.22813 .61435 .23168 .61488 .23835 .60936 .23481 .60882 Metetra
.582 .929 .951 r
.23481 .60882 .23835 .60936 .24503 .60326 .24151 .6027 Metetra
.611 .939 .952 r
.24151 .6027 .24503 .60326 .25174 .59659 .24822 .59601 Metetra
.637 .946 .951 r
.24822 .59601 .25174 .59659 .25845 .58938 .25496 .58878 Metetra
.659 .952 .95 r
.25496 .58878 .25845 .58938 .26518 .58165 .2617 .58103 Metetra
.679 .957 .947 r
.2617 .58103 .26518 .58165 .27193 .57343 .26846 .57279 Metetra
.695 .96 .945 r
.26846 .57279 .27193 .57343 .27869 .56476 .27524 .56409 Metetra
.71 .963 .942 r
.27524 .56409 .27869 .56476 .28547 .55564 .28203 .55495 Metetra
.722 .965 .939 r
.28203 .55495 .28547 .55564 .29226 .54613 .28884 .54541 Metetra
.733 .966 .936 r
.28884 .54541 .29226 .54613 .29906 .53626 .29565 .53551 Metetra
.742 .967 .934 r
.29565 .53551 .29906 .53626 .30587 .52606 .30249 .52528 Metetra
.75 .968 .931 r
.30249 .52528 .30587 .52606 .3127 .51556 .30933 .51476 Metetra
.756 .968 .929 r
.30933 .51476 .3127 .51556 .31954 .50481 .31619 .50398 Metetra
.761 .969 .927 r
.31619 .50398 .31954 .50481 .3264 .49385 .32306 .49298 Metetra
.765 .969 .926 r
.32306 .49298 .3264 .49385 .33326 .48271 .32994 .48181 Metetra
.767 .969 .925 r
.32994 .48181 .33326 .48271 .34014 .47144 .33683 .47051 Metetra
.769 .969 .924 r
.33683 .47051 .34014 .47144 .34703 .46008 .34374 .45912 Metetra
.77 .969 .924 r
.34374 .45912 .34703 .46008 .35393 .44867 .35066 .44767 Metetra
.77 .969 .924 r
.35066 .44767 .35393 .44867 .36084 .43725 .35758 .43622 Metetra
.768 .969 .924 r
.35758 .43622 .36084 .43725 .36776 .42586 .36452 .4248 Metetra
.766 .969 .925 r
.36452 .4248 .36776 .42586 .3747 .41455 .37147 .41346 Metetra
.763 .969 .927 r
.37147 .41346 .3747 .41455 .38164 .40336 .37843 .40223 Metetra
.759 .969 .928 r
.37843 .40223 .38164 .40336 .3886 .39232 .38541 .39117 Metetra
.753 .968 .93 r
.38541 .39117 .3886 .39232 .39556 .38149 .39239 .3803 Metetra
.747 .967 .933 r
.39239 .3803 .39556 .38149 .40254 .37089 .39938 .36967 Metetra
.739 .966 .935 r
.39938 .36967 .40254 .37089 .40953 .36057 .40639 .35933 Metetra
.729 .965 .938 r
.40639 .35933 .40953 .36057 .41653 .35057 .4134 .3493 Metetra
.719 .963 .941 r
.4134 .3493 .41653 .35057 .42354 .34093 .42043 .33962 Metetra
.706 .961 .944 r
.42043 .33962 .42354 .34093 .43056 .33166 .42747 .33033 Metetra
.692 .958 .948 r
.42747 .33033 .43056 .33166 .43759 .32283 .43452 .32147 Metetra
.676 .954 .951 r
.43452 .32147 .43759 .32283 .44463 .31444 .44158 .31306 Metetra
.657 .949 .954 r
.44158 .31306 .44463 .31444 .45169 .30654 .44865 .30513 Metetra
.637 .943 .956 r
.44865 .30513 .45169 .30654 .45876 .29915 .45573 .29772 Metetra
.613 .935 .959 r
.45573 .29772 .45876 .29915 .46584 .2923 .46283 .29085 Metetra
.587 .926 .96 r
.46283 .29085 .46584 .2923 .47293 .28601 .46994 .28454 Metetra
.558 .915 .96 r
.46994 .28454 .47293 .28601 .48003 .28031 .47706 .27882 Metetra
.526 .901 .959 r
.47706 .27882 .48003 .28031 .48715 .27521 .48419 .27371 Metetra
.49 .885 .956 r
.48419 .27371 .48715 .27521 .49428 .27073 .49134 .26922 Metetra
.451 .866 .951 r
.49134 .26922 .49428 .27073 .50142 .26689 .4985 .26537 Metetra
.408 .843 .944 r
.4985 .26537 .50142 .26689 .50858 .2637 .50568 .26217 Metetra
.363 .818 .934 r
.50568 .26217 .50858 .2637 .51575 .26117 .51287 .25963 Metetra
.314 .789 .921 r
.51287 .25963 .51575 .26117 .52294 .25931 .52007 .25776 Metetra
.262 .757 .906 r
.52007 .25776 .52294 .25931 .53014 .25812 .52729 .25657 Metetra
.209 .721 .887 r
.52729 .25657 .53014 .25812 .53736 .25761 .53453 .25605 Metetra
.154 .683 .865 r
.53453 .25605 .53736 .25761 .5446 .25776 .54178 .2562 Metetra
.098 .643 .84 r
.54178 .2562 .5446 .25776 .55185 .25859 .54904 .25703 Metetra
.043 .6 .813 r
.54904 .25703 .55185 .25859 .55911 .26008 .55633 .25852 Metetra
0 .557 .784 r
.55633 .25852 .55911 .26008 .5664 .26223 .56363 .26067 Metetra
0 .513 .754 r
.56363 .26067 .5664 .26223 .5737 .26502 .57095 .26347 Metetra
0 .469 .722 r
.57095 .26347 .5737 .26502 .58102 .26844 .57829 .2669 Metetra
0 .426 .691 r
.57829 .2669 .58102 .26844 .58836 .27248 .58564 .27095 Metetra
.21 0 0 r
.58564 .27095 .58836 .27248 .59571 .27712 .59302 .2756 Metetra
.252 0 0 r
.59302 .2756 .59571 .27712 .60309 .28233 .60041 .28082 Metetra
.291 0 0 r
.60041 .28082 .60309 .28233 .61048 .28809 .60782 .2866 Metetra
.326 0 0 r
.60782 .2866 .61048 .28809 .6179 .29438 .61525 .2929 Metetra
.357 0 0 r
.61525 .2929 .6179 .29438 .62533 .30116 .6227 .2997 Metetra
.386 0 0 r
.6227 .2997 .62533 .30116 .63278 .30842 .63018 .30698 Metetra
.411 0 0 r
.63018 .30698 .63278 .30842 .64026 .31611 .63767 .31469 Metetra
.433 0 0 r
.63767 .31469 .64026 .31611 .64775 .3242 .64518 .3228 Metetra
.452 0 0 r
.64518 .3228 .64775 .3242 .65527 .33266 .65272 .33129 Metetra
.468 0 0 r
.65272 .33129 .65527 .33266 .6628 .34145 .66027 .3401 Metetra
.482 0 0 r
.66027 .3401 .6628 .34145 .67036 .35053 .66785 .34921 Metetra
.493 0 0 r
.66785 .34921 .67036 .35053 .67794 .35987 .67544 .35857 Metetra
.502 0 0 r
.67544 .35857 .67794 .35987 .68554 .36941 .68306 .36814 Metetra
.508 0 0 r
.68306 .36814 .68554 .36941 .69316 .37913 .6907 .37788 Metetra
.513 0 0 r
.6907 .37788 .69316 .37913 .7008 .38897 .69836 .38774 Metetra
.516 0 0 r
.69836 .38774 .7008 .38897 .70847 .39889 .70604 .39769 Metetra
.516 0 0 r
.70604 .39769 .70847 .39889 .71615 .40885 .71375 .40768 Metetra
.515 0 0 r
.71375 .40768 .71615 .40885 .72385 .4188 .72147 .41766 Metetra
.511 0 0 r
.72147 .41766 .72385 .4188 .73158 .4287 .72922 .42759 Metetra
.506 0 0 r
.72922 .42759 .73158 .4287 .73933 .43851 .73698 .43743 Metetra
.498 0 0 r
.73698 .43743 .73933 .43851 .74709 .44818 .74477 .44712 Metetra
.489 0 0 r
.74477 .44712 .74709 .44818 .75488 .45767 .75257 .45664 Metetra
.477 0 0 r
.75257 .45664 .75488 .45767 .76269 .46693 .7604 .46592 Metetra
.463 0 0 r
.7604 .46592 .76269 .46693 .77052 .47592 .76825 .47494 Metetra
.447 0 0 r
.76825 .47494 .77052 .47592 .77836 .4846 .77612 .48364 Metetra
.429 0 0 r
.77612 .48364 .77836 .4846 .78623 .49293 .784 .492 Metetra
.408 0 0 r
.784 .492 .78623 .49293 .79411 .50087 .79191 .49996 Metetra
.385 0 0 r
.79191 .49996 .79411 .50087 .80202 .50838 .79983 .50749 Metetra
.359 0 0 r
.79983 .50749 .80202 .50838 .80994 .51543 .80777 .51456 Metetra
.331 0 0 r
.80777 .51456 .80994 .51543 .81788 .52198 .81573 .52112 Metetra
.3 0 0 r
.81573 .52112 .81788 .52198 .82583 .52799 .82371 .52716 Metetra
.267 0 0 r
.82371 .52716 .82583 .52799 .83381 .53345 .8317 .53263 Metetra
.231 0 0 r
.8317 .53263 .83381 .53345 .8418 .53832 .83971 .53751 Metetra
.193 0 0 r
.83971 .53751 .8418 .53832 .8498 .54257 .84774 .54177 Metetra
.153 0 0 r
.84774 .54177 .8498 .54257 .85782 .54618 .85578 .54539 Metetra
0 .479 .702 r
.85578 .54539 .85782 .54618 .86586 .54913 .86384 .54835 Metetra
0 .517 .725 r
.86384 .54835 .86586 .54913 .87391 .5514 .87191 .55063 Metetra
0 .555 .747 r
.87191 .55063 .87391 .5514 .88197 .55298 .88 .55222 Metetra
.023 .593 .768 r
.88 .55222 .88197 .55298 .89005 .55386 .8881 .55309 Metetra
.069 .629 .787 r
.8881 .55309 .89005 .55386 .89814 .55402 .89621 .55325 Metetra
.115 .665 .804 r
.89621 .55325 .89814 .55402 .90625 .55345 .90434 .55268 Metetra
.146 .689 .805 r
.17816 .63528 .18183 .63551 .18839 .63443 .18473 .6342 Metetra
.216 .738 .84 r
.18473 .6342 .18839 .63443 .19497 .6327 .19132 .63246 Metetra
.282 .781 .869 r
.19132 .63246 .19497 .6327 .20156 .63031 .19793 .63007 Metetra
.343 .818 .892 r
.19793 .63007 .20156 .63031 .20818 .62727 .20456 .62702 Metetra
.399 .849 .91 r
.20456 .62702 .20818 .62727 .21481 .62359 .2112 .62333 Metetra
.449 .875 .924 r
.2112 .62333 .21481 .62359 .22146 .61928 .21787 .61901 Metetra
.494 .896 .933 r
.21787 .61901 .22146 .61928 .22813 .61435 .22455 .61406 Metetra
.534 .914 .939 r
.22455 .61406 .22813 .61435 .23481 .60882 .23125 .60851 Metetra
.569 .927 .943 r
.23125 .60851 .23481 .60882 .24151 .6027 .23796 .60238 Metetra
.6 .938 .945 r
.23796 .60238 .24151 .6027 .24822 .59601 .24469 .59567 Metetra
.627 .947 .945 r
.24469 .59567 .24822 .59601 .25496 .58878 .25144 .58842 Metetra
.65 .954 .944 r
.25144 .58842 .25496 .58878 .2617 .58103 .2582 .58065 Metetra
.671 .959 .943 r
.2582 .58065 .2617 .58103 .26846 .57279 .26498 .57239 Metetra
.688 .963 .941 r
.26498 .57239 .26846 .57279 .27524 .56409 .27177 .56366 Metetra
.704 .966 .938 r
.27177 .56366 .27524 .56409 .28203 .55495 .27858 .5545 Metetra
.717 .968 .936 r
.27858 .5545 .28203 .55495 .28884 .54541 .2854 .54493 Metetra
.728 .969 .933 r
.2854 .54493 .28884 .54541 .29565 .53551 .29223 .53501 Metetra
.737 .971 .931 r
.29223 .53501 .29565 .53551 .30249 .52528 .29908 .52475 Metetra
.745 .971 .928 r
.29908 .52475 .30249 .52528 .30933 .51476 .30594 .51419 Metetra
.752 .972 .926 r
.30594 .51419 .30933 .51476 .31619 .50398 .31281 .50338 Metetra
.757 .972 .925 r
.31281 .50338 .31619 .50398 .32306 .49298 .3197 .49236 Metetra
.761 .973 .923 r
.3197 .49236 .32306 .49298 .32994 .48181 .3266 .48116 Metetra
.764 .973 .922 r
.3266 .48116 .32994 .48181 .33683 .47051 .33351 .46982 Metetra
.765 .973 .922 r
.33351 .46982 .33683 .47051 .34374 .45912 .34043 .4584 Metetra
.766 .973 .921 r
.34043 .4584 .34374 .45912 .35066 .44767 .34736 .44692 Metetra
.766 .973 .921 r
.34736 .44692 .35066 .44767 .35758 .43622 .35431 .43543 Metetra
.765 .973 .922 r
.35431 .43543 .35758 .43622 .36452 .4248 .36126 .42398 Metetra
.762 .973 .923 r
.36126 .42398 .36452 .4248 .37147 .41346 .36823 .41261 Metetra
.759 .973 .924 r
.36823 .41261 .37147 .41346 .37843 .40223 .37521 .40135 Metetra
.755 .972 .926 r
.37521 .40135 .37843 .40223 .38541 .39117 .38219 .39025 Metetra
.749 .972 .927 r
.38219 .39025 .38541 .39117 .39239 .3803 .38919 .37936 Metetra
.742 .971 .93 r
.38919 .37936 .39239 .3803 .39938 .36967 .3962 .3687 Metetra
.734 .97 .932 r
.3962 .3687 .39938 .36967 .40639 .35933 .40323 .35832 Metetra
.724 .968 .935 r
.40323 .35832 .40639 .35933 .4134 .3493 .41026 .34826 Metetra
.713 .966 .938 r
.41026 .34826 .4134 .3493 .42043 .33962 .4173 .33856 Metetra
.7 .964 .941 r
.4173 .33856 .42043 .33962 .42747 .33033 .42436 .32925 Metetra
.685 .96 .944 r
.42436 .32925 .42747 .33033 .43452 .32147 .43142 .32035 Metetra
.668 .956 .946 r
.43142 .32035 .43452 .32147 .44158 .31306 .4385 .31192 Metetra
.649 .951 .949 r
.4385 .31192 .44158 .31306 .44865 .30513 .44559 .30397 Metetra
.627 .944 .951 r
.44559 .30397 .44865 .30513 .45573 .29772 .45269 .29654 Metetra
.603 .936 .952 r
.45269 .29654 .45573 .29772 .46283 .29085 .4598 .28965 Metetra
.576 .926 .953 r
.4598 .28965 .46283 .29085 .46994 .28454 .46693 .28332 Metetra
.545 .913 .952 r
.46693 .28332 .46994 .28454 .47706 .27882 .47407 .27758 Metetra
.511 .899 .95 r
.47407 .27758 .47706 .27882 .48419 .27371 .48122 .27245 Metetra
.474 .881 .946 r
.48122 .27245 .48419 .27371 .49134 .26922 .48838 .26795 Metetra
.434 .861 .94 r
.48838 .26795 .49134 .26922 .4985 .26537 .49556 .26409 Metetra
.389 .837 .931 r
.49556 .26409 .4985 .26537 .50568 .26217 .50275 .26088 Metetra
.342 .81 .92 r
.50275 .26088 .50568 .26217 .51287 .25963 .50996 .25833 Metetra
.292 .779 .905 r
.50996 .25833 .51287 .25963 .52007 .25776 .51718 .25645 Metetra
.239 .745 .887 r
.51718 .25645 .52007 .25776 .52729 .25657 .52442 .25525 Metetra
.184 .708 .867 r
.52442 .25525 .52729 .25657 .53453 .25605 .53167 .25473 Metetra
.128 .668 .843 r
.53167 .25473 .53453 .25605 .54178 .2562 .53894 .25488 Metetra
.072 .626 .816 r
.53894 .25488 .54178 .2562 .54904 .25703 .54623 .25571 Metetra
.015 .582 .788 r
.54623 .25571 .54904 .25703 .55633 .25852 .55353 .25721 Metetra
0 .537 .757 r
.55353 .25721 .55633 .25852 .56363 .26067 .56085 .25937 Metetra
0 .492 .726 r
.56085 .25937 .56363 .26067 .57095 .26347 .56819 .26217 Metetra
0 .448 .693 r
.56819 .26217 .57095 .26347 .57829 .2669 .57554 .26561 Metetra
.192 0 0 r
.57554 .26561 .57829 .2669 .58564 .27095 .58291 .26967 Metetra
.236 0 0 r
.58291 .26967 .58564 .27095 .59302 .2756 .5903 .27433 Metetra
.277 0 0 r
.5903 .27433 .59302 .2756 .60041 .28082 .59772 .27956 Metetra
.315 0 0 r
.59772 .27956 .60041 .28082 .60782 .2866 .60515 .28535 Metetra
.349 0 0 r
.60515 .28535 .60782 .2866 .61525 .2929 .6126 .29167 Metetra
.38 0 0 r
.6126 .29167 .61525 .2929 .6227 .2997 .62006 .2985 Metetra
.408 0 0 r
.62006 .2985 .6227 .2997 .63018 .30698 .62755 .30579 Metetra
.432 0 0 r
.62755 .30579 .63018 .30698 .63767 .31469 .63507 .31352 Metetra
.453 0 0 r
.63507 .31352 .63767 .31469 .64518 .3228 .6426 .32166 Metetra
.471 0 0 r
.6426 .32166 .64518 .3228 .65272 .33129 .65015 .33016 Metetra
.487 0 0 r
.65015 .33016 .65272 .33129 .66027 .3401 .65772 .339 Metetra
.5 0 0 r
.65772 .339 .66027 .3401 .66785 .34921 .66532 .34813 Metetra
.511 0 0 r
.66532 .34813 .66785 .34921 .67544 .35857 .67293 .35752 Metetra
.52 0 0 r
.67293 .35752 .67544 .35857 .68306 .36814 .68057 .36711 Metetra
.526 0 0 r
.68057 .36711 .68306 .36814 .6907 .37788 .68823 .37688 Metetra
.531 0 0 r
.68823 .37688 .6907 .37788 .69836 .38774 .69591 .38678 Metetra
.533 0 0 r
.69591 .38678 .69836 .38774 .70604 .39769 .70361 .39675 Metetra
.534 0 0 r
.70361 .39675 .70604 .39769 .71375 .40768 .71133 .40677 Metetra
.532 0 0 r
.71133 .40677 .71375 .40768 .72147 .41766 .71907 .41678 Metetra
.529 0 0 r
.71907 .41678 .72147 .41766 .72922 .42759 .72684 .42674 Metetra
.524 0 0 r
.72684 .42674 .72922 .42759 .73698 .43743 .73462 .4366 Metetra
.516 0 0 r
.73462 .4366 .73698 .43743 .74477 .44712 .74243 .44632 Metetra
.507 0 0 r
.74243 .44632 .74477 .44712 .75257 .45664 .75026 .45586 Metetra
.496 0 0 r
.75026 .45586 .75257 .45664 .7604 .46592 .7581 .46517 Metetra
.483 0 0 r
.7581 .46517 .7604 .46592 .76825 .47494 .76597 .47422 Metetra
.467 0 0 r
.76597 .47422 .76825 .47494 .77612 .48364 .77386 .48295 Metetra
.449 0 0 r
.77386 .48295 .77612 .48364 .784 .492 .78176 .49132 Metetra
.429 0 0 r
.78176 .49132 .784 .492 .79191 .49996 .78969 .49931 Metetra
.407 0 0 r
.78969 .49931 .79191 .49996 .79983 .50749 .79763 .50686 Metetra
.382 0 0 r
.79763 .50686 .79983 .50749 .80777 .51456 .8056 .51395 Metetra
.354 0 0 r
.8056 .51395 .80777 .51456 .81573 .52112 .81358 .52053 Metetra
.324 0 0 r
.81358 .52053 .81573 .52112 .82371 .52716 .82157 .52658 Metetra
.292 0 0 r
.82157 .52658 .82371 .52716 .8317 .53263 .82959 .53207 Metetra
.257 0 0 r
.82959 .53207 .8317 .53263 .83971 .53751 .83762 .53696 Metetra
.219 0 0 r
.83762 .53696 .83971 .53751 .84774 .54177 .84567 .54124 Metetra
.179 0 0 r
.84567 .54124 .84774 .54177 .85578 .54539 .85373 .54487 Metetra
.138 0 0 r
.85373 .54487 .85578 .54539 .86384 .54835 .86181 .54784 Metetra
.095 0 0 r
.86181 .54784 .86384 .54835 .87191 .55063 .86991 .55012 Metetra
0 .534 .717 r
.86991 .55012 .87191 .55063 .88 .55222 .87801 .55171 Metetra
0 .572 .739 r
.87801 .55171 .88 .55222 .8881 .55309 .88614 .55259 Metetra
.042 .609 .759 r
.88614 .55259 .8881 .55309 .89621 .55325 .89427 .55275 Metetra
.087 .645 .777 r
.89427 .55275 .89621 .55325 .90434 .55268 .90242 .55218 Metetra
.119 .67 .778 r
.17446 .6353 .17816 .63528 .18473 .6342 .18104 .63421 Metetra
.19 .721 .815 r
.18104 .63421 .18473 .6342 .19132 .63246 .18765 .63247 Metetra
.257 .766 .847 r
.18765 .63247 .19132 .63246 .19793 .63007 .19427 .63007 Metetra
.32 .806 .873 r
.19427 .63007 .19793 .63007 .20456 .62702 .20091 .62701 Metetra
.378 .839 .893 r
.20091 .62701 .20456 .62702 .2112 .62333 .20757 .62331 Metetra
.43 .868 .909 r
.20757 .62331 .2112 .62333 .21787 .61901 .21425 .61898 Metetra
.477 .891 .921 r
.21425 .61898 .21787 .61901 .22455 .61406 .22095 .61402 Metetra
.519 .91 .929 r
.22095 .61402 .22455 .61406 .23125 .60851 .22766 .60846 Metetra
.556 .925 .934 r
.22766 .60846 .23125 .60851 .23796 .60238 .23439 .6023 Metetra
.588 .937 .937 r
.23439 .6023 .23796 .60238 .24469 .59567 .24114 .59558 Metetra
.616 .947 .938 r
.24114 .59558 .24469 .59567 .25144 .58842 .2479 .58831 Metetra
.641 .954 .938 r
.2479 .58831 .25144 .58842 .2582 .58065 .25468 .58052 Metetra
.662 .96 .937 r
.25468 .58052 .2582 .58065 .26498 .57239 .26147 .57223 Metetra
.681 .964 .936 r
.26147 .57223 .26498 .57239 .27177 .56366 .26828 .56348 Metetra
.697 .968 .934 r
.26828 .56348 .27177 .56366 .27858 .5545 .2751 .55429 Metetra
.71 .97 .931 r
.2751 .55429 .27858 .5545 .2854 .54493 .28194 .5447 Metetra
.722 .972 .929 r
.28194 .5447 .2854 .54493 .29223 .53501 .28879 .53474 Metetra
.732 .973 .927 r
.28879 .53474 .29223 .53501 .29908 .52475 .29565 .52446 Metetra
.74 .974 .925 r
.29565 .52446 .29908 .52475 .30594 .51419 .30253 .51387 Metetra
.747 .975 .923 r
.30253 .51387 .30594 .51419 .31281 .50338 .30942 .50303 Metetra
.752 .976 .921 r
.30942 .50303 .31281 .50338 .3197 .49236 .31632 .49198 Metetra
.756 .976 .92 r
.31632 .49198 .3197 .49236 .3266 .48116 .32323 .48075 Metetra
.759 .976 .919 r
.32323 .48075 .3266 .48116 .33351 .46982 .33016 .46938 Metetra
.761 .976 .919 r
.33016 .46938 .33351 .46982 .34043 .4584 .3371 .45792 Metetra
.762 .976 .918 r
.3371 .45792 .34043 .4584 .34736 .44692 .34405 .44641 Metetra
.762 .976 .918 r
.34405 .44641 .34736 .44692 .35431 .43543 .35101 .43489 Metetra
.761 .976 .919 r
.35101 .43489 .35431 .43543 .36126 .42398 .35798 .42341 Metetra
.758 .976 .92 r
.35798 .42341 .36126 .42398 .36823 .41261 .36496 .412 Metetra
.755 .976 .921 r
.36496 .412 .36823 .41261 .37521 .40135 .37196 .40071 Metetra
.75 .975 .922 r
.37196 .40071 .37521 .40135 .38219 .39025 .37896 .38958 Metetra
.744 .975 .924 r
.37896 .38958 .38219 .39025 .38919 .37936 .38598 .37866 Metetra
.737 .974 .926 r
.38598 .37866 .38919 .37936 .3962 .3687 .39301 .36797 Metetra
.728 .972 .929 r
.39301 .36797 .3962 .3687 .40323 .35832 .40005 .35756 Metetra
.718 .971 .931 r
.40005 .35756 .40323 .35832 .41026 .34826 .4071 .34748 Metetra
.706 .969 .934 r
.4071 .34748 .41026 .34826 .4173 .33856 .41416 .33774 Metetra
.693 .966 .936 r
.41416 .33774 .4173 .33856 .42436 .32925 .42123 .3284 Metetra
.677 .962 .939 r
.42123 .3284 .42436 .32925 .43142 .32035 .42831 .31948 Metetra
.66 .957 .941 r
.42831 .31948 .43142 .32035 .4385 .31192 .43541 .31103 Metetra
.64 .951 .943 r
.43541 .31103 .4385 .31192 .44559 .30397 .44251 .30305 Metetra
.617 .944 .945 r
.44251 .30305 .44559 .30397 .45269 .29654 .44963 .2956 Metetra
.591 .935 .945 r
.44963 .2956 .45269 .29654 .4598 .28965 .45676 .28869 Metetra
.563 .924 .945 r
.45676 .28869 .4598 .28965 .46693 .28332 .4639 .28234 Metetra
.531 .911 .943 r
.4639 .28234 .46693 .28332 .47407 .27758 .47106 .27659 Metetra
.496 .895 .94 r
.47106 .27659 .47407 .27758 .48122 .27245 .47823 .27144 Metetra
.457 .876 .935 r
.47823 .27144 .48122 .27245 .48838 .26795 .48541 .26692 Metetra
.415 .854 .927 r
.48541 .26692 .48838 .26795 .49556 .26409 .49261 .26305 Metetra
.369 .829 .916 r
.49261 .26305 .49556 .26409 .50275 .26088 .49982 .25983 Metetra
.321 .8 .903 r
.49982 .25983 .50275 .26088 .50996 .25833 .50704 .25727 Metetra
.269 .768 .887 r
.50704 .25727 .50996 .25833 .51718 .25645 .51428 .25539 Metetra
.215 .732 .867 r
.51428 .25539 .51718 .25645 .52442 .25525 .52153 .25419 Metetra
.159 .693 .845 r
.52153 .25419 .52442 .25525 .53167 .25473 .5288 .25366 Metetra
.102 .651 .819 r
.5288 .25366 .53167 .25473 .53894 .25488 .53609 .25381 Metetra
.045 .608 .791 r
.53609 .25381 .53894 .25488 .54623 .25571 .54339 .25464 Metetra
0 .563 .761 r
.54339 .25464 .54623 .25571 .55353 .25721 .55071 .25614 Metetra
0 .517 .729 r
.55071 .25614 .55353 .25721 .56085 .25937 .55805 .2583 Metetra
.12 0 0 r
.55805 .2583 .56085 .25937 .56819 .26217 .5654 .26112 Metetra
.17 0 0 r
.5654 .26112 .56819 .26217 .57554 .26561 .57278 .26456 Metetra
.218 0 0 r
.57278 .26456 .57554 .26561 .58291 .26967 .58017 .26863 Metetra
.262 0 0 r
.58017 .26863 .58291 .26967 .5903 .27433 .58758 .2733 Metetra
.302 0 0 r
.58758 .2733 .5903 .27433 .59772 .27956 .59501 .27855 Metetra
.339 0 0 r
.59501 .27855 .59772 .27956 .60515 .28535 .60245 .28436 Metetra
.372 0 0 r
.60245 .28436 .60515 .28535 .6126 .29167 .60992 .2907 Metetra
.402 0 0 r
.60992 .2907 .6126 .29167 .62006 .2985 .61741 .29754 Metetra
.428 0 0 r
.61741 .29754 .62006 .2985 .62755 .30579 .62492 .30485 Metetra
.452 0 0 r
.62492 .30485 .62755 .30579 .63507 .31352 .63245 .3126 Metetra
.472 0 0 r
.63245 .3126 .63507 .31352 .6426 .32166 .64 .32076 Metetra
.49 0 0 r
.64 .32076 .6426 .32166 .65015 .33016 .64757 .32929 Metetra
.505 0 0 r
.64757 .32929 .65015 .33016 .65772 .339 .65516 .33815 Metetra
.518 0 0 r
.65516 .33815 .65772 .339 .66532 .34813 .66277 .34731 Metetra
.529 0 0 r
.66277 .34731 .66532 .34813 .67293 .35752 .67041 .35672 Metetra
.537 0 0 r
.67041 .35672 .67293 .35752 .68057 .36711 .67806 .36635 Metetra
.543 0 0 r
.67806 .36635 .68057 .36711 .68823 .37688 .68574 .37614 Metetra
.547 0 0 r
.68574 .37614 .68823 .37688 .69591 .38678 .69344 .38606 Metetra
.55 0 0 r
.69344 .38606 .69591 .38678 .70361 .39675 .70116 .39607 Metetra
.55 0 0 r
.70116 .39607 .70361 .39675 .71133 .40677 .7089 .40611 Metetra
.549 0 0 r
.7089 .40611 .71133 .40677 .71907 .41678 .71666 .41615 Metetra
.546 0 0 r
.71666 .41615 .71907 .41678 .72684 .42674 .72445 .42614 Metetra
.541 0 0 r
.72445 .42614 .72684 .42674 .73462 .4366 .73225 .43603 Metetra
.534 0 0 r
.73225 .43603 .73462 .4366 .74243 .44632 .74008 .44578 Metetra
.525 0 0 r
.74008 .44578 .74243 .44632 .75026 .45586 .74793 .45535 Metetra
.514 0 0 r
.74793 .45535 .75026 .45586 .7581 .46517 .75579 .46469 Metetra
.501 0 0 r
.75579 .46469 .7581 .46517 .76597 .47422 .76368 .47375 Metetra
.486 0 0 r
.76368 .47375 .76597 .47422 .77386 .48295 .77159 .48251 Metetra
.469 0 0 r
.77159 .48251 .77386 .48295 .78176 .49132 .77951 .49091 Metetra
.45 0 0 r
.77951 .49091 .78176 .49132 .78969 .49931 .78746 .49892 Metetra
.428 0 0 r
.78746 .49892 .78969 .49931 .79763 .50686 .79543 .50649 Metetra
.403 0 0 r
.79543 .50649 .79763 .50686 .8056 .51395 .80341 .5136 Metetra
.377 0 0 r
.80341 .5136 .8056 .51395 .81358 .52053 .81141 .52021 Metetra
.347 0 0 r
.81141 .52021 .81358 .52053 .82157 .52658 .81943 .52628 Metetra
.316 0 0 r
.81943 .52628 .82157 .52658 .82959 .53207 .82747 .53178 Metetra
.281 0 0 r
.82747 .53178 .82959 .53207 .83762 .53696 .83552 .53669 Metetra
.245 0 0 r
.83552 .53669 .83762 .53696 .84567 .54124 .84359 .54097 Metetra
.206 0 0 r
.84359 .54097 .84567 .54124 .85373 .54487 .85167 .54462 Metetra
.164 0 0 r
.85167 .54462 .85373 .54487 .86181 .54784 .85977 .54759 Metetra
.122 0 0 r
.85977 .54759 .86181 .54784 .86991 .55012 .86789 .54989 Metetra
.077 0 0 r
.86789 .54989 .86991 .55012 .87801 .55171 .87602 .55148 Metetra
0 .55 .709 r
.87602 .55148 .87801 .55171 .88614 .55259 .88416 .55236 Metetra
.014 .588 .729 r
.88416 .55236 .88614 .55259 .89427 .55275 .89232 .55251 Metetra
.06 .625 .748 r
.89232 .55251 .89427 .55275 .90242 .55218 .90049 .55194 Metetra
.092 .65 .749 r
.17073 .63556 .17446 .6353 .18104 .63421 .17733 .63447 Metetra
.163 .703 .789 r
.17733 .63447 .18104 .63421 .18765 .63247 .18395 .63272 Metetra
.232 .751 .823 r
.18395 .63272 .18765 .63247 .19427 .63007 .19059 .63032 Metetra
.297 .792 .852 r
.19059 .63032 .19427 .63007 .20091 .62701 .19725 .62725 Metetra
.356 .828 .875 r
.19725 .62725 .20091 .62701 .20757 .62331 .20392 .62354 Metetra
.41 .859 .893 r
.20392 .62354 .20757 .62331 .21425 .61898 .21062 .6192 Metetra
.459 .884 .907 r
.21062 .6192 .21425 .61898 .22095 .61402 .21733 .61423 Metetra
.503 .905 .917 r
.21733 .61423 .22095 .61402 .22766 .60846 .22406 .60865 Metetra
.541 .922 .923 r
.22406 .60865 .22766 .60846 .23439 .6023 .2308 .60248 Metetra
.575 .935 .928 r
.2308 .60248 .23439 .6023 .24114 .59558 .23756 .59573 Metetra
.605 .945 .93 r
.23756 .59573 .24114 .59558 .2479 .58831 .24434 .58844 Metetra
.63 .954 .931 r
.24434 .58844 .2479 .58831 .25468 .58052 .25113 .58063 Metetra
.653 .96 .931 r
.25113 .58063 .25468 .58052 .26147 .57223 .25794 .57232 Metetra
.672 .965 .93 r
.25794 .57232 .26147 .57223 .26828 .56348 .26476 .56354 Metetra
.689 .969 .928 r
.26476 .56354 .26828 .56348 .2751 .55429 .2716 .55433 Metetra
.703 .972 .926 r
.2716 .55433 .2751 .55429 .28194 .5447 .27846 .54471 Metetra
.715 .974 .925 r
.27846 .54471 .28194 .5447 .28879 .53474 .28532 .53473 Metetra
.726 .976 .923 r
.28532 .53473 .28879 .53474 .29565 .52446 .2922 .52441 Metetra
.734 .977 .921 r
.2922 .52441 .29565 .52446 .30253 .51387 .2991 .5138 Metetra
.741 .978 .919 r
.2991 .5138 .30253 .51387 .30942 .50303 .306 .50293 Metetra
.747 .978 .918 r
.306 .50293 .30942 .50303 .31632 .49198 .31292 .49184 Metetra
.751 .979 .917 r
.31292 .49184 .31632 .49198 .32323 .48075 .31985 .48058 Metetra
.755 .979 .916 r
.31985 .48058 .32323 .48075 .33016 .46938 .32679 .46918 Metetra
.757 .979 .915 r
.32679 .46918 .33016 .46938 .3371 .45792 .33375 .45769 Metetra
.757 .979 .915 r
.33375 .45769 .3371 .45792 .34405 .44641 .34071 .44615 Metetra
.757 .979 .915 r
.34071 .44615 .34405 .44641 .35101 .43489 .34769 .4346 Metetra
.756 .979 .915 r
.34769 .4346 .35101 .43489 .35798 .42341 .35468 .42308 Metetra
.753 .979 .916 r
.35468 .42308 .35798 .42341 .36496 .412 .36168 .41164 Metetra
.75 .979 .917 r
.36168 .41164 .36496 .412 .37196 .40071 .36869 .40032 Metetra
.745 .978 .919 r
.36869 .40032 .37196 .40071 .37896 .38958 .37572 .38916 Metetra
.739 .977 .92 r
.37572 .38916 .37896 .38958 .38598 .37866 .38275 .3782 Metetra
.731 .976 .922 r
.38275 .3782 .38598 .37866 .39301 .36797 .38979 .36749 Metetra
.722 .975 .924 r
.38979 .36749 .39301 .36797 .40005 .35756 .39685 .35705 Metetra
.711 .973 .926 r
.39685 .35705 .40005 .35756 .4071 .34748 .40392 .34693 Metetra
.699 .97 .929 r
.40392 .34693 .4071 .34748 .41416 .33774 .41099 .33717 Metetra
.685 .967 .931 r
.41099 .33717 .41416 .33774 .42123 .3284 .41808 .3278 Metetra
.669 .963 .933 r
.41808 .3278 .42123 .3284 .42831 .31948 .42518 .31886 Metetra
.65 .958 .935 r
.42518 .31886 .42831 .31948 .43541 .31103 .43229 .31038 Metetra
.629 .951 .936 r
.43229 .31038 .43541 .31103 .44251 .30305 .43942 .30238 Metetra
.606 .943 .937 r
.43942 .30238 .44251 .30305 .44963 .2956 .44655 .29491 Metetra
.579 .934 .937 r
.44655 .29491 .44963 .2956 .45676 .28869 .4537 .28797 Metetra
.549 .922 .936 r
.4537 .28797 .45676 .28869 .4639 .28234 .46086 .28161 Metetra
.516 .907 .933 r
.46086 .28161 .4639 .28234 .47106 .27659 .46803 .27584 Metetra
.48 .89 .928 r
.46803 .27584 .47106 .27659 .47823 .27144 .47522 .27068 Metetra
.439 .87 .921 r
.47522 .27068 .47823 .27144 .48541 .26692 .48242 .26615 Metetra
.396 .846 .912 r
.48242 .26615 .48541 .26692 .49261 .26305 .48963 .26226 Metetra
.348 .819 .9 r
.48963 .26226 .49261 .26305 .49982 .25983 .49686 .25903 Metetra
.298 .789 .885 r
.49686 .25903 .49982 .25983 .50704 .25727 .5041 .25647 Metetra
.245 .755 .867 r
.5041 .25647 .50704 .25727 .51428 .25539 .51136 .25458 Metetra
.189 .717 .845 r
.51136 .25458 .51428 .25539 .52153 .25419 .51863 .25337 Metetra
.133 .676 .821 r
.51863 .25337 .52153 .25419 .5288 .25366 .52592 .25284 Metetra
.075 .633 .793 r
.52592 .25284 .5288 .25366 .53609 .25381 .53322 .25299 Metetra
.017 .588 .764 r
.53322 .25299 .53609 .25381 .54339 .25464 .54054 .25382 Metetra
0 .542 .732 r
.54054 .25382 .54339 .25464 .55071 .25614 .54788 .25533 Metetra
.094 0 0 r
.54788 .25533 .55071 .25614 .55805 .2583 .55524 .25749 Metetra
.147 0 0 r
.55524 .25749 .55805 .2583 .5654 .26112 .56261 .26031 Metetra
.196 0 0 r
.56261 .26031 .5654 .26112 .57278 .26456 .57 .26377 Metetra
.243 0 0 r
.57 .26377 .57278 .26456 .58017 .26863 .57741 .26785 Metetra
.286 0 0 r
.57741 .26785 .58017 .26863 .58758 .2733 .58483 .27253 Metetra
.325 0 0 r
.58483 .27253 .58758 .2733 .59501 .27855 .59228 .2778 Metetra
.361 0 0 r
.59228 .2778 .59501 .27855 .60245 .28436 .59975 .28362 Metetra
.394 0 0 r
.59975 .28362 .60245 .28436 .60992 .2907 .60723 .28997 Metetra
.423 0 0 r
.60723 .28997 .60992 .2907 .61741 .29754 .61474 .29683 Metetra
.448 0 0 r
.61474 .29683 .61741 .29754 .62492 .30485 .62227 .30417 Metetra
.471 0 0 r
.62227 .30417 .62492 .30485 .63245 .3126 .62981 .31194 Metetra
.491 0 0 r
.62981 .31194 .63245 .3126 .64 .32076 .63738 .32012 Metetra
.508 0 0 r
.63738 .32012 .64 .32076 .64757 .32929 .64497 .32868 Metetra
.523 0 0 r
.64497 .32868 .64757 .32929 .65516 .33815 .65258 .33756 Metetra
.535 0 0 r
.65258 .33756 .65516 .33815 .66277 .34731 .66021 .34675 Metetra
.545 0 0 r
.66021 .34675 .66277 .34731 .67041 .35672 .66787 .35619 Metetra
.553 0 0 r
.66787 .35619 .67041 .35672 .67806 .36635 .67554 .36584 Metetra
.559 0 0 r
.67554 .36584 .67806 .36635 .68574 .37614 .68324 .37566 Metetra
.563 0 0 r
.68324 .37566 .68574 .37614 .69344 .38606 .69096 .38561 Metetra
.565 0 0 r
.69096 .38561 .69344 .38606 .70116 .39607 .6987 .39564 Metetra
.566 0 0 r
.6987 .39564 .70116 .39607 .7089 .40611 .70646 .40572 Metetra
.564 0 0 r
.70646 .40572 .7089 .40611 .71666 .41615 .71424 .41578 Metetra
.561 0 0 r
.71424 .41578 .71666 .41615 .72445 .42614 .72204 .4258 Metetra
.556 0 0 r
.72204 .4258 .72445 .42614 .73225 .43603 .72987 .43572 Metetra
.55 0 0 r
.72987 .43572 .73225 .43603 .74008 .44578 .73771 .4455 Metetra
.541 0 0 r
.73771 .4455 .74008 .44578 .74793 .45535 .74558 .4551 Metetra
.531 0 0 r
.74558 .4551 .74793 .45535 .75579 .46469 .75347 .46446 Metetra
.518 0 0 r
.75347 .46446 .75579 .46469 .76368 .47375 .76138 .47356 Metetra
.504 0 0 r
.76138 .47356 .76368 .47375 .77159 .48251 .7693 .48234 Metetra
.487 0 0 r
.7693 .48234 .77159 .48251 .77951 .49091 .77725 .49076 Metetra
.469 0 0 r
.77725 .49076 .77951 .49091 .78746 .49892 .78522 .4988 Metetra
.447 0 0 r
.78522 .4988 .78746 .49892 .79543 .50649 .7932 .50639 Metetra
.424 0 0 r
.7932 .50639 .79543 .50649 .80341 .5136 .80121 .51352 Metetra
.398 0 0 r
.80121 .51352 .80341 .5136 .81141 .52021 .80923 .52015 Metetra
.37 0 0 r
.80923 .52015 .81141 .52021 .81943 .52628 .81727 .52624 Metetra
.339 0 0 r
.81727 .52624 .81943 .52628 .82747 .53178 .82533 .53175 Metetra
.305 0 0 r
.82533 .53175 .82747 .53178 .83552 .53669 .8334 .53668 Metetra
.269 0 0 r
.8334 .53668 .83552 .53669 .84359 .54097 .8415 .54098 Metetra
.231 0 0 r
.8415 .54098 .84359 .54097 .85167 .54462 .8496 .54463 Metetra
.19 0 0 r
.8496 .54463 .85167 .54462 .85977 .54759 .85773 .54762 Metetra
.148 0 0 r
.85773 .54762 .85977 .54759 .86789 .54989 .86586 .54992 Metetra
.104 0 0 r
.86586 .54992 .86789 .54989 .87602 .55148 .87402 .55151 Metetra
.06 0 0 r
.87402 .55151 .87602 .55148 .88416 .55236 .88218 .5524 Metetra
.014 0 0 r
.88218 .5524 .88416 .55236 .89232 .55251 .89036 .55255 Metetra
.032 .603 .718 r
.89036 .55255 .89232 .55251 .90049 .55194 .89856 .55198 Metetra
.064 .628 .719 r
.16699 .63607 .17073 .63556 .17733 .63447 .1736 .63498 Metetra
.136 .683 .761 r
.1736 .63498 .17733 .63447 .18395 .63272 .18024 .63323 Metetra
.206 .733 .798 r
.18024 .63323 .18395 .63272 .19059 .63032 .18689 .63081 Metetra
.272 .777 .829 r
.18689 .63081 .19059 .63032 .19725 .62725 .19356 .62774 Metetra
.333 .816 .855 r
.19356 .62774 .19725 .62725 .20392 .62354 .20025 .62402 Metetra
.389 .849 .875 r
.20025 .62402 .20392 .62354 .21062 .6192 .20696 .61966 Metetra
.44 .876 .891 r
.20696 .61966 .21062 .6192 .21733 .61423 .21368 .61468 Metetra
.486 .898 .903 r
.21368 .61468 .21733 .61423 .22406 .60865 .22043 .60908 Metetra
.526 .917 .911 r
.22043 .60908 .22406 .60865 .2308 .60248 .22719 .6029 Metetra
.561 .932 .917 r
.22719 .6029 .2308 .60248 .23756 .59573 .23396 .59614 Metetra
.592 .943 .921 r
.23396 .59614 .23756 .59573 .24434 .58844 .24076 .58883 Metetra
.619 .953 .922 r
.24076 .58883 .24434 .58844 .25113 .58063 .24757 .58099 Metetra
.643 .96 .923 r
.24757 .58099 .25113 .58063 .25794 .57232 .25439 .57266 Metetra
.663 .965 .923 r
.25439 .57266 .25794 .57232 .26476 .56354 .26123 .56386 Metetra
.68 .97 .922 r
.26123 .56386 .26476 .56354 .2716 .55433 .26809 .55462 Metetra
.695 .973 .921 r
.26809 .55462 .2716 .55433 .27846 .54471 .27495 .54498 Metetra
.708 .976 .919 r
.27495 .54498 .27846 .54471 .28532 .53473 .28184 .53497 Metetra
.719 .978 .918 r
.28184 .53497 .28532 .53473 .2922 .52441 .28873 .52462 Metetra
.728 .979 .916 r
.28873 .52462 .2922 .52441 .2991 .5138 .29564 .51398 Metetra
.735 .98 .915 r
.29564 .51398 .2991 .5138 .306 .50293 .30256 .50308 Metetra
.741 .981 .913 r
.30256 .50308 .306 .50293 .31292 .49184 .3095 .49196 Metetra
.746 .981 .912 r
.3095 .49196 .31292 .49184 .31985 .48058 .31645 .48066 Metetra
.749 .982 .911 r
.31645 .48066 .31985 .48058 .32679 .46918 .32341 .46923 Metetra
.751 .982 .911 r
.32341 .46923 .32679 .46918 .33375 .45769 .33038 .45771 Metetra
.752 .982 .911 r
.33038 .45771 .33375 .45769 .34071 .44615 .33736 .44614 Metetra
.752 .982 .911 r
.33736 .44614 .34071 .44615 .34769 .4346 .34436 .43455 Metetra
.751 .982 .911 r
.34436 .43455 .34769 .4346 .35468 .42308 .35136 .423 Metetra
.748 .982 .912 r
.35136 .423 .35468 .42308 .36168 .41164 .35838 .41153 Metetra
.744 .981 .913 r
.35838 .41153 .36168 .41164 .36869 .40032 .36541 .40018 Metetra
.739 .98 .914 r
.36541 .40018 .36869 .40032 .37572 .38916 .37245 .38899 Metetra
.732 .979 .916 r
.37245 .38899 .37572 .38916 .38275 .3782 .3795 .378 Metetra
.725 .978 .917 r
.3795 .378 .38275 .3782 .38979 .36749 .38656 .36725 Metetra
.715 .977 .919 r
.38656 .36725 .38979 .36749 .39685 .35705 .39363 .35678 Metetra
.704 .974 .921 r
.39363 .35678 .39685 .35705 .40392 .34693 .40072 .34664 Metetra
.691 .972 .923 r
.40072 .34664 .40392 .34693 .41099 .33717 .40781 .33685 Metetra
.677 .968 .925 r
.40781 .33685 .41099 .33717 .41808 .3278 .41492 .32746 Metetra
.66 .963 .927 r
.41492 .32746 .41808 .3278 .42518 .31886 .42203 .31849 Metetra
.64 .958 .928 r
.42203 .31849 .42518 .31886 .43229 .31038 .42916 .30998 Metetra
.618 .951 .929 r
.42916 .30998 .43229 .31038 .43942 .30238 .4363 .30196 Metetra
.594 .942 .929 r
.4363 .30196 .43942 .30238 .44655 .29491 .44346 .29446 Metetra
.566 .931 .927 r
.44346 .29446 .44655 .29491 .4537 .28797 .45062 .28751 Metetra
.535 .918 .925 r
.45062 .28751 .4537 .28797 .46086 .28161 .4578 .28113 Metetra
.5 .903 .921 r
.4578 .28113 .46086 .28161 .46803 .27584 .46499 .27534 Metetra
.462 .884 .915 r
.46499 .27534 .46803 .27584 .47522 .27068 .47219 .27016 Metetra
.42 .862 .907 r
.47219 .27016 .47522 .27068 .48242 .26615 .47941 .26562 Metetra
.375 .837 .896 r
.47941 .26562 .48242 .26615 .48963 .26226 .48664 .26172 Metetra
.326 .809 .882 r
.48664 .26172 .48963 .26226 .49686 .25903 .49389 .25848 Metetra
.275 .776 .865 r
.49389 .25848 .49686 .25903 .5041 .25647 .50115 .25591 Metetra
.22 .74 .845 r
.50115 .25591 .5041 .25647 .51136 .25458 .50842 .25401 Metetra
.164 .701 .822 r
.50842 .25401 .51136 .25458 .51863 .25337 .51571 .2528 Metetra
.106 .659 .795 r
.51571 .2528 .51863 .25337 .52592 .25284 .52302 .25227 Metetra
.048 .614 .766 r
.52302 .25227 .52592 .25284 .53322 .25299 .53034 .25242 Metetra
0 .568 .735 r
.53034 .25242 .53322 .25299 .54054 .25382 .53768 .25325 Metetra
.066 0 0 r
.53768 .25325 .54054 .25382 .54788 .25533 .54503 .25476 Metetra
.121 0 0 r
.54503 .25476 .54788 .25533 .55524 .25749 .55241 .25693 Metetra
.173 0 0 r
.55241 .25693 .55524 .25749 .56261 .26031 .5598 .25976 Metetra
.222 0 0 r
.5598 .25976 .56261 .26031 .57 .26377 .5672 .26323 Metetra
.267 0 0 r
.5672 .26323 .57 .26377 .57741 .26785 .57463 .26732 Metetra
.31 0 0 r
.57463 .26732 .57741 .26785 .58483 .27253 .58208 .27201 Metetra
.348 0 0 r
.58208 .27201 .58483 .27253 .59228 .2778 .58954 .27729 Metetra
.383 0 0 r
.58954 .27729 .59228 .2778 .59975 .28362 .59703 .28313 Metetra
.414 0 0 r
.59703 .28313 .59975 .28362 .60723 .28997 .60453 .2895 Metetra
.442 0 0 r
.60453 .2895 .60723 .28997 .61474 .29683 .61206 .29638 Metetra
.467 0 0 r
.61206 .29638 .61474 .29683 .62227 .30417 .6196 .30374 Metetra
.489 0 0 r
.6196 .30374 .62227 .30417 .62981 .31194 .62717 .31153 Metetra
.508 0 0 r
.62717 .31153 .62981 .31194 .63738 .32012 .63475 .31974 Metetra
.524 0 0 r
.63475 .31974 .63738 .32012 .64497 .32868 .64236 .32832 Metetra
.539 0 0 r
.64236 .32832 .64497 .32868 .65258 .33756 .64999 .33723 Metetra
.55 0 0 r
.64999 .33723 .65258 .33756 .66021 .34675 .65764 .34644 Metetra
.56 0 0 r
.65764 .34644 .66021 .34675 .66787 .35619 .66531 .35591 Metetra
.568 0 0 r
.66531 .35591 .66787 .35619 .67554 .36584 .67301 .36559 Metetra
.574 0 0 r
.67301 .36559 .67554 .36584 .68324 .37566 .68072 .37544 Metetra
.577 0 0 r
.68072 .37544 .68324 .37566 .69096 .38561 .68846 .38542 Metetra
.58 .003 0 r
.68846 .38542 .69096 .38561 .6987 .39564 .69622 .39548 Metetra
.58 .003 0 r
.69622 .39548 .6987 .39564 .70646 .40572 .704 .40558 Metetra
.579 .002 0 r
.704 .40558 .70646 .40572 .71424 .41578 .7118 .41568 Metetra
.576 0 0 r
.7118 .41568 .71424 .41578 .72204 .4258 .71963 .42573 Metetra
.571 0 0 r
.71963 .42573 .72204 .4258 .72987 .43572 .72747 .43568 Metetra
.565 0 0 r
.72747 .43568 .72987 .43572 .73771 .4455 .73534 .44549 Metetra
.556 0 0 r
.73534 .44549 .73771 .4455 .74558 .4551 .74322 .45511 Metetra
.546 0 0 r
.74322 .45511 .74558 .4551 .75347 .46446 .75113 .4645 Metetra
.534 0 0 r
.75113 .4645 .75347 .46446 .76138 .47356 .75906 .47363 Metetra
.521 0 0 r
.75906 .47363 .76138 .47356 .7693 .48234 .76701 .48243 Metetra
.505 0 0 r
.76701 .48243 .7693 .48234 .77725 .49076 .77498 .49088 Metetra
.486 0 0 r
.77498 .49088 .77725 .49076 .78522 .4988 .78297 .49894 Metetra
.466 0 0 r
.78297 .49894 .78522 .4988 .7932 .50639 .79097 .50656 Metetra
.443 0 0 r
.79097 .50656 .7932 .50639 .80121 .51352 .799 .51371 Metetra
.418 0 0 r
.799 .51371 .80121 .51352 .80923 .52015 .80704 .52036 Metetra
.391 0 0 r
.80704 .52036 .80923 .52015 .81727 .52624 .8151 .52646 Metetra
.36 0 0 r
.8151 .52646 .81727 .52624 .82533 .53175 .82318 .532 Metetra
.328 0 0 r
.82318 .532 .82533 .53175 .8334 .53668 .83128 .53694 Metetra
.293 0 0 r
.83128 .53694 .8334 .53668 .8415 .54098 .83939 .54125 Metetra
.255 0 0 r
.83939 .54125 .8415 .54098 .8496 .54463 .84752 .54492 Metetra
.216 0 0 r
.84752 .54492 .8496 .54463 .85773 .54762 .85567 .54791 Metetra
.174 0 0 r
.85567 .54791 .85773 .54762 .86586 .54992 .86383 .55022 Metetra
.131 0 0 r
.86383 .55022 .86586 .54992 .87402 .55151 .872 .55182 Metetra
.087 0 0 r
.872 .55182 .87402 .55151 .88218 .5524 .88019 .55271 Metetra
.041 0 0 r
.88019 .55271 .88218 .5524 .89036 .55255 .8884 .55287 Metetra
.8884 .55287 .89036 .55255 .89856 .55198 .89661 .55229 Metetra
.16322 .63683 .16699 .63607 .1736 .63498 .16985 .63573 Metetra
.109 .662 .732 r
.16985 .63573 .1736 .63498 .18024 .63323 .1765 .63398 Metetra
.18 .714 .771 r
.1765 .63398 .18024 .63323 .18689 .63081 .18316 .63156 Metetra
.247 .761 .805 r
.18316 .63156 .18689 .63081 .19356 .62774 .18985 .62848 Metetra
.31 .802 .833 r
.18985 .62848 .19356 .62774 .20025 .62402 .19655 .62475 Metetra
.368 .837 .856 r
.19655 .62475 .20025 .62402 .20696 .61966 .20328 .62038 Metetra
.42 .866 .874 r
.20328 .62038 .20696 .61966 .21368 .61468 .21002 .61538 Metetra
.467 .891 .887 r
.21002 .61538 .21368 .61468 .22043 .60908 .21678 .60977 Metetra
.509 .911 .898 r
.21678 .60977 .22043 .60908 .22719 .6029 .22355 .60357 Metetra
.546 .927 .905 r
.22355 .60357 .22719 .6029 .23396 .59614 .23035 .59679 Metetra
.578 .94 .91 r
.23035 .59679 .23396 .59614 .24076 .58883 .23715 .58946 Metetra
.607 .95 .913 r
.23715 .58946 .24076 .58883 .24757 .58099 .24398 .5816 Metetra
.631 .958 .914 r
.24398 .5816 .24757 .58099 .25439 .57266 .25082 .57325 Metetra
.653 .965 .915 r
.25082 .57325 .25439 .57266 .26123 .56386 .25768 .56442 Metetra
.671 .97 .915 r
.25768 .56442 .26123 .56386 .26809 .55462 .26455 .55516 Metetra
.687 .974 .914 r
.26455 .55516 .26809 .55462 .27495 .54498 .27143 .54549 Metetra
.7 .977 .913 r
.27143 .54549 .27495 .54498 .28184 .53497 .27833 .53545 Metetra
.712 .979 .912 r
.27833 .53545 .28184 .53497 .28873 .52462 .28524 .52508 Metetra
.721 .98 .91 r
.28524 .52508 .28873 .52462 .29564 .51398 .29217 .5144 Metetra
.729 .982 .909 r
.29217 .5144 .29564 .51398 .30256 .50308 .29911 .50347 Metetra
.735 .983 .908 r
.29911 .50347 .30256 .50308 .3095 .49196 .30606 .49233 Metetra
.74 .983 .907 r
.30606 .49233 .3095 .49196 .31645 .48066 .31302 .481 Metetra
.743 .984 .907 r
.31302 .481 .31645 .48066 .32341 .46923 .32 .46954 Metetra
.746 .984 .906 r
.32 .46954 .32341 .46923 .33038 .45771 .32699 .45798 Metetra
.746 .984 .906 r
.32699 .45798 .33038 .45771 .33736 .44614 .33399 .44638 Metetra
.746 .984 .906 r
.33399 .44638 .33736 .44614 .34436 .43455 .341 .43476 Metetra
.745 .984 .906 r
.341 .43476 .34436 .43455 .35136 .423 .34802 .42318 Metetra
.742 .984 .907 r
.34802 .42318 .35136 .423 .35838 .41153 .35506 .41167 Metetra
.738 .983 .908 r
.35506 .41167 .35838 .41153 .36541 .40018 .3621 .40029 Metetra
.733 .982 .909 r
.3621 .40029 .36541 .40018 .37245 .38899 .36916 .38906 Metetra
.726 .981 .91 r
.36916 .38906 .37245 .38899 .3795 .378 .37623 .37804 Metetra
.718 .98 .912 r
.37623 .37804 .3795 .378 .38656 .36725 .38331 .36727 Metetra
.708 .978 .913 r
.38331 .36727 .38656 .36725 .39363 .35678 .3904 .35677 Metetra
.696 .975 .915 r
.3904 .35677 .39363 .35678 .40072 .34664 .3975 .3466 Metetra
.683 .972 .916 r
.3975 .3466 .40072 .34664 .40781 .33685 .40461 .33678 Metetra
.667 .968 .918 r
.40461 .33678 .40781 .33685 .41492 .32746 .41173 .32736 Metetra
.649 .963 .919 r
.41173 .32736 .41492 .32746 .42203 .31849 .41887 .31836 Metetra
.629 .957 .92 r
.41887 .31836 .42203 .31849 .42916 .30998 .42602 .30983 Metetra
.606 .949 .92 r
.42602 .30983 .42916 .30998 .4363 .30196 .43317 .30179 Metetra
.58 .939 .919 r
.43317 .30179 .4363 .30196 .44346 .29446 .44034 .29427 Metetra
.551 .927 .917 r
.44034 .29427 .44346 .29446 .45062 .28751 .44753 .2873 Metetra
.519 .913 .913 r
.44753 .2873 .45062 .28751 .4578 .28113 .45472 .2809 Metetra
.483 .896 .908 r
.45472 .2809 .4578 .28113 .46499 .27534 .46193 .27509 Metetra
.444 .877 .9 r
.46193 .27509 .46499 .27534 .47219 .27016 .46915 .2699 Metetra
.4 .853 .89 r
.46915 .2699 .47219 .27016 .47941 .26562 .47639 .26534 Metetra
.354 .827 .878 r
.47639 .26534 .47941 .26562 .48664 .26172 .48363 .26143 Metetra
.303 .796 .862 r
.48363 .26143 .48664 .26172 .49389 .25848 .4909 .25818 Metetra
.25 .762 .843 r
.4909 .25818 .49389 .25848 .50115 .25591 .49818 .2556 Metetra
.195 .724 .821 r
.49818 .2556 .50115 .25591 .50842 .25401 .50547 .2537 Metetra
.137 .683 .796 r
.50547 .2537 .50842 .25401 .51571 .2528 .51278 .25248 Metetra
.079 .639 .768 r
.51278 .25248 .51571 .2528 .52302 .25227 .5201 .25195 Metetra
.021 .594 .737 r
.5201 .25195 .52302 .25227 .53034 .25242 .52744 .2521 Metetra
.037 0 0 r
.52744 .2521 .53034 .25242 .53768 .25325 .53479 .25294 Metetra
.093 0 0 r
.53479 .25294 .53768 .25325 .54503 .25476 .54217 .25445 Metetra
.147 0 0 r
.54217 .25445 .54503 .25476 .55241 .25693 .54956 .25663 Metetra
.199 0 0 r
.54956 .25663 .55241 .25693 .5598 .25976 .55697 .25946 Metetra
.247 0 0 r
.55697 .25946 .5598 .25976 .5672 .26323 .56439 .26294 Metetra
.291 0 0 r
.56439 .26294 .5672 .26323 .57463 .26732 .57184 .26704 Metetra
.332 0 0 r
.57184 .26704 .57463 .26732 .58208 .27201 .5793 .27175 Metetra
.369 0 0 r
.5793 .27175 .58208 .27201 .58954 .27729 .58679 .27704 Metetra
.403 0 0 r
.58679 .27704 .58954 .27729 .59703 .28313 .59429 .2829 Metetra
.434 0 0 r
.59429 .2829 .59703 .28313 .60453 .2895 .60181 .28929 Metetra
.461 0 0 r
.60181 .28929 .60453 .2895 .61206 .29638 .60936 .29619 Metetra
.485 0 0 r
.60936 .29619 .61206 .29638 .6196 .30374 .61692 .30357 Metetra
.506 0 0 r
.61692 .30357 .6196 .30374 .62717 .31153 .6245 .31138 Metetra
.524 0 0 r
.6245 .31138 .62717 .31153 .63475 .31974 .63211 .31961 Metetra
.54 0 0 r
.63211 .31961 .63475 .31974 .64236 .32832 .63974 .32822 Metetra
.553 0 0 r
.63974 .32822 .64236 .32832 .64999 .33723 .64738 .33716 Metetra
.565 0 0 r
.64738 .33716 .64999 .33723 .65764 .34644 .65505 .3464 Metetra
.574 0 0 r
.65505 .3464 .65764 .34644 .66531 .35591 .66275 .35589 Metetra
.582 .005 0 r
.66275 .35589 .66531 .35591 .67301 .36559 .67046 .3656 Metetra
.587 .012 0 r
.67046 .3656 .67301 .36559 .68072 .37544 .67819 .37548 Metetra
.591 .017 0 r
.67819 .37548 .68072 .37544 .68846 .38542 .68595 .38549 Metetra
.593 .019 0 r
.68595 .38549 .68846 .38542 .69622 .39548 .69373 .39558 Metetra
.593 .02 0 r
.69373 .39558 .69622 .39548 .704 .40558 .70153 .40571 Metetra
.592 .018 0 r
.70153 .40571 .704 .40558 .7118 .41568 .70935 .41584 Metetra
.589 .015 0 r
.70935 .41584 .7118 .41568 .71963 .42573 .7172 .42592 Metetra
.585 .009 0 r
.7172 .42592 .71963 .42573 .72747 .43568 .72506 .4359 Metetra
.579 .002 0 r
.72506 .4359 .72747 .43568 .73534 .44549 .73295 .44574 Metetra
.571 0 0 r
.73295 .44574 .73534 .44549 .74322 .45511 .74086 .45539 Metetra
.561 0 0 r
.74086 .45539 .74322 .45511 .75113 .4645 .74878 .46481 Metetra
.549 0 0 r
.74878 .46481 .75113 .4645 .75906 .47363 .75673 .47396 Metetra
.536 0 0 r
.75673 .47396 .75906 .47363 .76701 .48243 .7647 .4828 Metetra
.521 0 0 r
.7647 .4828 .76701 .48243 .77498 .49088 .77269 .49128 Metetra
.503 0 0 r
.77269 .49128 .77498 .49088 .78297 .49894 .7807 .49936 Metetra
.483 0 0 r
.7807 .49936 .78297 .49894 .79097 .50656 .78873 .507 Metetra
.461 0 0 r
.78873 .507 .79097 .50656 .799 .51371 .79678 .51417 Metetra
.437 0 0 r
.79678 .51417 .799 .51371 .80704 .52036 .80484 .52084 Metetra
.41 0 0 r
.80484 .52084 .80704 .52036 .8151 .52646 .81292 .52697 Metetra
.381 0 0 r
.81292 .52697 .8151 .52646 .82318 .532 .82103 .53252 Metetra
.349 0 0 r
.82103 .53252 .82318 .532 .83128 .53694 .82914 .53747 Metetra
.315 0 0 r
.82914 .53747 .83128 .53694 .83939 .54125 .83728 .5418 Metetra
.279 0 0 r
.83728 .5418 .83939 .54125 .84752 .54492 .84543 .54548 Metetra
.24 0 0 r
.84543 .54548 .84752 .54492 .85567 .54791 .8536 .54848 Metetra
.199 0 0 r
.8536 .54848 .85567 .54791 .86383 .55022 .86178 .5508 Metetra
.157 0 0 r
.86178 .5508 .86383 .55022 .872 .55182 .86998 .55241 Metetra
.113 0 0 r
.86998 .55241 .872 .55182 .88019 .55271 .87819 .55329 Metetra
.068 0 0 r
.87819 .55329 .88019 .55271 .8884 .55287 .88642 .55345 Metetra
.023 0 0 r
.88642 .55345 .8884 .55287 .89661 .55229 .89466 .55288 Metetra
.15943 .63784 .16322 .63683 .16985 .63573 .16607 .63674 Metetra
.16607 .63674 .16985 .63573 .1765 .63398 .17273 .63498 Metetra
.153 .694 .742 r
.17273 .63498 .1765 .63398 .18316 .63156 .17942 .63256 Metetra
.221 .743 .778 r
.17942 .63256 .18316 .63156 .18985 .62848 .18612 .62947 Metetra
.285 .786 .809 r
.18612 .62947 .18985 .62848 .19655 .62475 .19284 .62573 Metetra
.345 .823 .834 r
.19284 .62573 .19655 .62475 .20328 .62038 .19958 .62135 Metetra
.399 .855 .855 r
.19958 .62135 .20328 .62038 .21002 .61538 .20633 .61634 Metetra
.448 .882 .871 r
.20633 .61634 .21002 .61538 .21678 .60977 .21311 .61071 Metetra
.491 .903 .883 r
.21311 .61071 .21678 .60977 .22355 .60357 .2199 .60449 Metetra
.53 .921 .892 r
.2199 .60449 .22355 .60357 .23035 .59679 .22671 .5977 Metetra
.564 .936 .898 r
.22671 .5977 .23035 .59679 .23715 .58946 .23353 .59035 Metetra
.593 .947 .902 r
.23353 .59035 .23715 .58946 .24398 .5816 .24037 .58247 Metetra
.619 .956 .905 r
.24037 .58247 .24398 .5816 .25082 .57325 .24723 .57409 Metetra
.642 .963 .906 r
.24723 .57409 .25082 .57325 .25768 .56442 .2541 .56524 Metetra
.661 .969 .907 r
.2541 .56524 .25768 .56442 .26455 .55516 .26099 .55595 Metetra
.677 .973 .906 r
.26099 .55595 .26455 .55516 .27143 .54549 .26789 .54626 Metetra
.692 .977 .906 r
.26789 .54626 .27143 .54549 .27833 .53545 .2748 .53619 Metetra
.703 .979 .905 r
.2748 .53619 .27833 .53545 .28524 .52508 .28173 .52579 Metetra
.713 .981 .904 r
.28173 .52579 .28524 .52508 .29217 .5144 .28867 .51509 Metetra
.722 .983 .903 r
.28867 .51509 .29217 .5144 .29911 .50347 .29563 .50413 Metetra
.728 .984 .902 r
.29563 .50413 .29911 .50347 .30606 .49233 .3026 .49295 Metetra
.733 .985 .902 r
.3026 .49295 .30606 .49233 .31302 .481 .30958 .48159 Metetra
.737 .985 .901 r
.30958 .48159 .31302 .481 .32 .46954 .31657 .47009 Metetra
.739 .985 .901 r
.31657 .47009 .32 .46954 .32699 .45798 .32358 .45851 Metetra
.74 .986 .9 r
.32358 .45851 .32699 .45798 .33399 .44638 .33059 .44687 Metetra
.74 .986 .9 r
.33059 .44687 .33399 .44638 .341 .43476 .33762 .43522 Metetra
.738 .985 .901 r
.33762 .43522 .341 .43476 .34802 .42318 .34466 .4236 Metetra
.735 .985 .901 r
.34466 .4236 .34802 .42318 .35506 .41167 .35172 .41207 Metetra
.731 .984 .902 r
.35172 .41207 .35506 .41167 .3621 .40029 .35878 .40065 Metetra
.725 .983 .903 r
.35878 .40065 .3621 .40029 .36916 .38906 .36585 .38939 Metetra
.718 .982 .904 r
.36585 .38939 .36916 .38906 .37623 .37804 .37294 .37834 Metetra
.71 .98 .905 r
.37294 .37834 .37623 .37804 .38331 .36727 .38003 .36753 Metetra
.699 .978 .907 r
.38003 .36753 .38331 .36727 .3904 .35677 .38714 .35701 Metetra
.687 .975 .908 r
.38714 .35701 .3904 .35677 .3975 .3466 .39426 .3468 Metetra
.673 .972 .909 r
.39426 .3468 .3975 .3466 .40461 .33678 .40139 .33696 Metetra
.657 .967 .91 r
.40139 .33696 .40461 .33678 .41173 .32736 .40853 .32751 Metetra
.638 .962 .91 r
.40853 .32751 .41173 .32736 .41887 .31836 .41568 .31849 Metetra
.617 .955 .91 r
.41568 .31849 .41887 .31836 .42602 .30983 .42285 .30994 Metetra
.593 .946 .909 r
.42285 .30994 .42602 .30983 .43317 .30179 .43002 .30187 Metetra
.566 .935 .908 r
.43002 .30187 .43317 .30179 .44034 .29427 .43721 .29433 Metetra
.536 .923 .904 r
.43721 .29433 .44034 .29427 .44753 .2873 .44441 .28734 Metetra
.502 .907 .9 r
.44441 .28734 .44753 .2873 .45472 .2809 .45163 .28092 Metetra
.465 .889 .893 r
.45163 .28092 .45472 .2809 .46193 .27509 .45885 .2751 Metetra
.424 .868 .884 r
.45885 .2751 .46193 .27509 .46915 .2699 .46609 .26989 Metetra
.379 .843 .872 r
.46609 .26989 .46915 .2699 .47639 .26534 .47334 .26532 Metetra
.331 .814 .858 r
.47334 .26532 .47639 .26534 .48363 .26143 .48061 .2614 Metetra
.28 .782 .84 r
.48061 .2614 .48363 .26143 .4909 .25818 .48789 .25814 Metetra
.225 .746 .82 r
.48789 .25814 .4909 .25818 .49818 .2556 .49519 .25555 Metetra
.169 .707 .796 r
.49519 .25555 .49818 .2556 .50547 .2537 .5025 .25364 Metetra
.111 .664 .769 r
.5025 .25364 .50547 .2537 .51278 .25248 .50982 .25242 Metetra
.052 .619 .739 r
.50982 .25242 .51278 .25248 .5201 .25195 .51716 .25189 Metetra
0 .572 .707 r
.51716 .25189 .5201 .25195 .52744 .2521 .52452 .25204 Metetra
.064 0 0 r
.52452 .25204 .52744 .2521 .53479 .25294 .53189 .25288 Metetra
.12 0 0 r
.53189 .25288 .53479 .25294 .54217 .25445 .53929 .2544 Metetra
.173 0 0 r
.53929 .2544 .54217 .25445 .54956 .25663 .54669 .25658 Metetra
.223 0 0 r
.54669 .25658 .54956 .25663 .55697 .25946 .55412 .25942 Metetra
.27 0 0 r
.55412 .25942 .55697 .25946 .56439 .26294 .56157 .26291 Metetra
.314 0 0 r
.56157 .26291 .56439 .26294 .57184 .26704 .56903 .26702 Metetra
.354 0 0 r
.56903 .26702 .57184 .26704 .5793 .27175 .57651 .27175 Metetra
.39 0 0 r
.57651 .27175 .5793 .27175 .58679 .27704 .58401 .27705 Metetra
.423 0 0 r
.58401 .27705 .58679 .27704 .59429 .2829 .59154 .28293 Metetra
.452 0 0 r
.59154 .28293 .59429 .2829 .60181 .28929 .59908 .28934 Metetra
.478 0 0 r
.59908 .28934 .60181 .28929 .60936 .29619 .60664 .29626 Metetra
.501 0 0 r
.60664 .29626 .60936 .29619 .61692 .30357 .61422 .30365 Metetra
.521 0 0 r
.61422 .30365 .61692 .30357 .6245 .31138 .62183 .3115 Metetra
.539 0 0 r
.62183 .3115 .6245 .31138 .63211 .31961 .62945 .31975 Metetra
.554 0 0 r
.62945 .31975 .63211 .31961 .63974 .32822 .6371 .32838 Metetra
.567 0 0 r
.6371 .32838 .63974 .32822 .64738 .33716 .64476 .33735 Metetra
.578 .002 0 r
.64476 .33735 .64738 .33716 .65505 .3464 .65245 .34661 Metetra
.587 .013 0 r
.65245 .34661 .65505 .3464 .66275 .35589 .66016 .35613 Metetra
.594 .022 0 r
.66016 .35613 .66275 .35589 .67046 .3656 .6679 .36587 Metetra
.6 .028 0 r
.6679 .36587 .67046 .3656 .67819 .37548 .67565 .37578 Metetra
.603 .033 0 r
.67565 .37578 .67819 .37548 .68595 .38549 .68343 .38582 Metetra
.605 .035 0 r
.68343 .38582 .68595 .38549 .69373 .39558 .69123 .39595 Metetra
.606 .036 0 r
.69123 .39595 .69373 .39558 .70153 .40571 .69905 .40611 Metetra
.604 .034 0 r
.69905 .40611 .70153 .40571 .70935 .41584 .70689 .41627 Metetra
.602 .031 0 r
.70689 .41627 .70935 .41584 .7172 .42592 .71475 .42638 Metetra
.597 .026 0 r
.71475 .42638 .7172 .42592 .72506 .4359 .72264 .43639 Metetra
.591 .018 0 r
.72264 .43639 .72506 .4359 .73295 .44574 .73054 .44626 Metetra
.584 .009 0 r
.73054 .44626 .73295 .44574 .74086 .45539 .73847 .45594 Metetra
.574 0 0 r
.73847 .45594 .74086 .45539 .74878 .46481 .74642 .46539 Metetra
.563 0 0 r
.74642 .46539 .74878 .46481 .75673 .47396 .75439 .47457 Metetra
.55 0 0 r
.75439 .47457 .75673 .47396 .7647 .4828 .76238 .48343 Metetra
.536 0 0 r
.76238 .48343 .7647 .4828 .77269 .49128 .77039 .49194 Metetra
.519 0 0 r
.77039 .49194 .77269 .49128 .7807 .49936 .77842 .50004 Metetra
.5 0 0 r
.77842 .50004 .7807 .49936 .78873 .507 .78647 .50771 Metetra
.479 0 0 r
.78647 .50771 .78873 .507 .79678 .51417 .79454 .51491 Metetra
.455 0 0 r
.79454 .51491 .79678 .51417 .80484 .52084 .80263 .5216 Metetra
.429 0 0 r
.80263 .5216 .80484 .52084 .81292 .52697 .81073 .52774 Metetra
.401 0 0 r
.81073 .52774 .81292 .52697 .82103 .53252 .81886 .53331 Metetra
.37 0 0 r
.81886 .53331 .82103 .53252 .82914 .53747 .827 .53828 Metetra
.337 0 0 r
.827 .53828 .82914 .53747 .83728 .5418 .83515 .54263 Metetra
.301 0 0 r
.83515 .54263 .83728 .5418 .84543 .54548 .84333 .54632 Metetra
.263 0 0 r
.84333 .54632 .84543 .54548 .8536 .54848 .85152 .54933 Metetra
.224 0 0 r
.85152 .54933 .8536 .54848 .86178 .5508 .85972 .55165 Metetra
.182 0 0 r
.85972 .55165 .86178 .5508 .86998 .55241 .86794 .55327 Metetra
.139 0 0 r
.86794 .55327 .86998 .55241 .87819 .55329 .87618 .55416 Metetra
.095 0 0 r
.87618 .55416 .87819 .55329 .88642 .55345 .88443 .55432 Metetra
.05 0 0 r
.88443 .55432 .88642 .55345 .89466 .55288 .89269 .55374 Metetra
.018 0 0 r
.15561 .6391 .15943 .63784 .16607 .63674 .16227 .638 Metetra
.16227 .638 .16607 .63674 .17273 .63498 .16895 .63624 Metetra
.126 .673 .713 r
.16895 .63624 .17273 .63498 .17942 .63256 .17564 .63381 Metetra
.195 .724 .751 r
.17564 .63381 .17942 .63256 .18612 .62947 .18236 .63071 Metetra
.26 .769 .784 r
.18236 .63071 .18612 .62947 .19284 .62573 .1891 .62697 Metetra
.321 .808 .811 r
.1891 .62697 .19284 .62573 .19958 .62135 .19585 .62257 Metetra
.377 .842 .834 r
.19585 .62257 .19958 .62135 .20633 .61634 .20262 .61755 Metetra
.427 .871 .852 r
.20262 .61755 .20633 .61634 .21311 .61071 .20941 .61191 Metetra
.473 .895 .866 r
.20941 .61191 .21311 .61071 .2199 .60449 .21622 .60567 Metetra
.513 .914 .877 r
.21622 .60567 .2199 .60449 .22671 .5977 .22304 .59886 Metetra
.548 .93 .885 r
.22304 .59886 .22671 .5977 .23353 .59035 .22988 .59149 Metetra
.579 .943 .89 r
.22988 .59149 .23353 .59035 .24037 .58247 .23674 .58359 Metetra
.606 .953 .894 r
.23674 .58359 .24037 .58247 .24723 .57409 .24361 .57519 Metetra
.63 .961 .896 r
.24361 .57519 .24723 .57409 .2541 .56524 .2505 .56632 Metetra
.65 .967 .897 r
.2505 .56632 .2541 .56524 .26099 .55595 .2574 .557 Metetra
.667 .972 .898 r
.2574 .557 .26099 .55595 .26789 .54626 .26432 .54728 Metetra
.682 .976 .898 r
.26432 .54728 .26789 .54626 .2748 .53619 .27125 .53719 Metetra
.695 .979 .898 r
.27125 .53719 .2748 .53619 .28173 .52579 .2782 .52675 Metetra
.705 .981 .897 r
.2782 .52675 .28173 .52579 .28867 .51509 .28516 .51602 Metetra
.714 .983 .896 r
.28516 .51602 .28867 .51509 .29563 .50413 .29213 .50503 Metetra
.72 .984 .896 r
.29213 .50503 .29563 .50413 .3026 .49295 .29912 .49382 Metetra
.726 .985 .895 r
.29912 .49382 .3026 .49295 .30958 .48159 .30611 .48243 Metetra
.73 .986 .895 r
.30611 .48243 .30958 .48159 .31657 .47009 .31312 .47091 Metetra
.732 .986 .894 r
.31312 .47091 .31657 .47009 .32358 .45851 .32015 .45929 Metetra
.733 .987 .894 r
.32015 .45929 .32358 .45851 .33059 .44687 .32718 .44761 Metetra
.733 .986 .894 r
.32718 .44761 .33059 .44687 .33762 .43522 .33423 .43593 Metetra
.731 .986 .894 r
.33423 .43593 .33762 .43522 .34466 .4236 .34128 .42429 Metetra
.728 .986 .895 r
.34128 .42429 .34466 .4236 .35172 .41207 .34835 .41272 Metetra
.723 .985 .895 r
.34835 .41272 .35172 .41207 .35878 .40065 .35543 .40127 Metetra
.718 .984 .896 r
.35543 .40127 .35878 .40065 .36585 .38939 .36253 .38998 Metetra
.71 .982 .897 r
.36253 .38998 .36585 .38939 .37294 .37834 .36963 .3789 Metetra
.701 .98 .898 r
.36963 .3789 .37294 .37834 .38003 .36753 .37674 .36806 Metetra
.69 .978 .899 r
.37674 .36806 .38003 .36753 .38714 .35701 .38387 .3575 Metetra
.678 .975 .9 r
.38387 .3575 .38714 .35701 .39426 .3468 .391 .34727 Metetra
.663 .971 .9 r
.391 .34727 .39426 .3468 .40139 .33696 .39815 .3374 Metetra
.646 .966 .901 r
.39815 .3374 .40139 .33696 .40853 .32751 .40531 .32792 Metetra
.627 .959 .901 r
.40531 .32792 .40853 .32751 .41568 .31849 .41248 .31888 Metetra
.604 .952 .9 r
.41248 .31888 .41568 .31849 .42285 .30994 .41966 .3103 Metetra
.579 .942 .898 r
.41966 .3103 .42285 .30994 .43002 .30187 .42685 .30221 Metetra
.551 .93 .895 r
.42685 .30221 .43002 .30187 .43721 .29433 .43406 .29464 Metetra
.52 .917 .891 r
.43406 .29464 .43721 .29433 .44441 .28734 .44128 .28763 Metetra
.485 .9 .885 r
.44128 .28763 .44441 .28734 .45163 .28092 .44851 .28119 Metetra
.446 .88 .877 r
.44851 .28119 .45163 .28092 .45885 .2751 .45575 .27536 Metetra
.403 .857 .866 r
.45575 .27536 .45885 .2751 .46609 .26989 .46301 .27013 Metetra
.357 .831 .853 r
.46301 .27013 .46609 .26989 .47334 .26532 .47028 .26555 Metetra
.308 .8 .836 r
.47028 .26555 .47334 .26532 .48061 .2614 .47757 .26162 Metetra
.255 .766 .817 r
.47757 .26162 .48061 .2614 .48789 .25814 .48486 .25835 Metetra
.2 .729 .795 r
.48486 .25835 .48789 .25814 .49519 .25555 .49218 .25575 Metetra
.142 .688 .769 r
.49218 .25575 .49519 .25555 .5025 .25364 .49951 .25384 Metetra
.084 .644 .74 r
.49951 .25384 .5025 .25364 .50982 .25242 .50685 .25262 Metetra
.025 .597 .709 r
.50685 .25262 .50982 .25242 .51716 .25189 .51421 .25208 Metetra
.033 0 0 r
.51421 .25208 .51716 .25189 .52452 .25204 .52159 .25224 Metetra
.09 0 0 r
.52159 .25224 .52452 .25204 .53189 .25288 .52898 .25308 Metetra
.146 0 0 r
.52898 .25308 .53189 .25288 .53929 .2544 .53639 .2546 Metetra
.198 0 0 r
.53639 .2546 .53929 .2544 .54669 .25658 .54381 .25679 Metetra
.247 0 0 r
.54381 .25679 .54669 .25658 .55412 .25942 .55126 .25964 Metetra
.293 0 0 r
.55126 .25964 .55412 .25942 .56157 .26291 .55872 .26314 Metetra
.335 0 0 r
.55872 .26314 .56157 .26291 .56903 .26702 .5662 .26726 Metetra
.374 0 0 r
.5662 .26726 .56903 .26702 .57651 .27175 .57371 .272 Metetra
.409 0 0 r
.57371 .272 .57651 .27175 .58401 .27705 .58123 .27733 Metetra
.441 0 0 r
.58123 .27733 .58401 .27705 .59154 .28293 .58877 .28322 Metetra
.469 0 0 r
.58877 .28322 .59154 .28293 .59908 .28934 .59633 .28965 Metetra
.494 0 0 r
.59633 .28965 .59908 .28934 .60664 .29626 .60391 .29659 Metetra
.516 0 0 r
.60391 .29659 .60664 .29626 .61422 .30365 .61151 .30401 Metetra
.536 0 0 r
.61151 .30401 .61422 .30365 .62183 .3115 .61913 .31187 Metetra
.553 0 0 r
.61913 .31187 .62183 .3115 .62945 .31975 .62678 .32015 Metetra
.568 0 0 r
.62678 .32015 .62945 .31975 .6371 .32838 .63444 .32881 Metetra
.58 .005 0 r
.63444 .32881 .6371 .32838 .64476 .33735 .64213 .3378 Metetra
.591 .018 0 r
.64213 .3378 .64476 .33735 .65245 .34661 .64984 .3471 Metetra
.599 .029 0 r
.64984 .3471 .65245 .34661 .66016 .35613 .65757 .35665 Metetra
.606 .038 0 r
.65757 .35665 .66016 .35613 .6679 .36587 .66532 .36641 Metetra
.611 .044 0 r
.66532 .36641 .6679 .36587 .67565 .37578 .67309 .37636 Metetra
.615 .049 0 r
.67309 .37636 .67565 .37578 .68343 .38582 .68089 .38643 Metetra
.617 .051 0 r
.68089 .38643 .68343 .38582 .69123 .39595 .68871 .39658 Metetra
.617 .051 0 r
.68871 .39658 .69123 .39595 .69905 .40611 .69655 .40678 Metetra
.616 .05 0 r
.69655 .40678 .69905 .40611 .70689 .41627 .70441 .41697 Metetra
.613 .047 0 r
.70441 .41697 .70689 .41627 .71475 .42638 .71229 .42711 Metetra
.609 .041 0 r
.71229 .42711 .71475 .42638 .72264 .43639 .7202 .43715 Metetra
.603 .034 0 r
.7202 .43715 .72264 .43639 .73054 .44626 .72813 .44705 Metetra
.596 .025 0 r
.72813 .44705 .73054 .44626 .73847 .45594 .73608 .45676 Metetra
.587 .014 0 r
.73608 .45676 .73847 .45594 .74642 .46539 .74405 .46625 Metetra
.576 .001 0 r
.74405 .46625 .74642 .46539 .75439 .47457 .75204 .47545 Metetra
.564 0 0 r
.75204 .47545 .75439 .47457 .76238 .48343 .76005 .48434 Metetra
.55 0 0 r
.76005 .48434 .76238 .48343 .77039 .49194 .76808 .49288 Metetra
.533 0 0 r
.76808 .49288 .77039 .49194 .77842 .50004 .77613 .50101 Metetra
.515 0 0 r
.77613 .50101 .77842 .50004 .78647 .50771 .7842 .5087 Metetra
.494 0 0 r
.7842 .5087 .78647 .50771 .79454 .51491 .79229 .51592 Metetra
.472 0 0 r
.79229 .51592 .79454 .51491 .80263 .5216 .8004 .52263 Metetra
.447 0 0 r
.8004 .52263 .80263 .5216 .81073 .52774 .80853 .5288 Metetra
.419 0 0 r
.80853 .5288 .81073 .52774 .81886 .53331 .81668 .53439 Metetra
.389 0 0 r
.81668 .53439 .81886 .53331 .827 .53828 .82484 .53937 Metetra
.357 0 0 r
.82484 .53937 .827 .53828 .83515 .54263 .83302 .54373 Metetra
.323 0 0 r
.83302 .54373 .83515 .54263 .84333 .54632 .84121 .54743 Metetra
.286 0 0 r
.84121 .54743 .84333 .54632 .85152 .54933 .84943 .55046 Metetra
.247 0 0 r
.84943 .55046 .85152 .54933 .85972 .55165 .85766 .55279 Metetra
.206 0 0 r
.85766 .55279 .85972 .55165 .86794 .55327 .8659 .55441 Metetra
.164 0 0 r
.8659 .55441 .86794 .55327 .87618 .55416 .87416 .55531 Metetra
.12 0 0 r
.87416 .55531 .87618 .55416 .88443 .55432 .88243 .55547 Metetra
.076 0 0 r
.88243 .55547 .88443 .55432 .89269 .55374 .89072 .55489 Metetra
.044 0 0 r
.15177 .64062 .15561 .6391 .16227 .638 .15845 .63952 Metetra
.15845 .63952 .16227 .638 .16895 .63624 .16514 .63775 Metetra
.16514 .63775 .16895 .63624 .17564 .63381 .17185 .63532 Metetra
.168 .703 .722 r
.17185 .63532 .17564 .63381 .18236 .63071 .17858 .63221 Metetra
.234 .75 .757 r
.17858 .63221 .18236 .63071 .1891 .62697 .18533 .62846 Metetra
.297 .792 .787 r
.18533 .62846 .1891 .62697 .19585 .62257 .1921 .62406 Metetra
.354 .828 .812 r
.1921 .62406 .19585 .62257 .20262 .61755 .19889 .61902 Metetra
.406 .859 .832 r
.19889 .61902 .20262 .61755 .20941 .61191 .20569 .61337 Metetra
.453 .884 .848 r
.20569 .61337 .20941 .61191 .21622 .60567 .21252 .60711 Metetra
.495 .906 .86 r
.21252 .60711 .21622 .60567 .22304 .59886 .21936 .60028 Metetra
.532 .923 .87 r
.21936 .60028 .22304 .59886 .22988 .59149 .22621 .59289 Metetra
.564 .937 .877 r
.22621 .59289 .22988 .59149 .23674 .58359 .23309 .58497 Metetra
.592 .948 .882 r
.23309 .58497 .23674 .58359 .24361 .57519 .23997 .57655 Metetra
.617 .957 .885 r
.23997 .57655 .24361 .57519 .2505 .56632 .24688 .56765 Metetra
.638 .965 .887 r
.24688 .56765 .2505 .56632 .2574 .557 .2538 .55831 Metetra
.656 .97 .888 r
.2538 .55831 .2574 .557 .26432 .54728 .26073 .54856 Metetra
.672 .975 .889 r
.26073 .54856 .26432 .54728 .27125 .53719 .26768 .53844 Metetra
.685 .978 .889 r
.26768 .53844 .27125 .53719 .2782 .52675 .27464 .52798 Metetra
.696 .981 .889 r
.27464 .52798 .2782 .52675 .28516 .51602 .28162 .51722 Metetra
.705 .983 .888 r
.28162 .51722 .28516 .51602 .29213 .50503 .28861 .5062 Metetra
.712 .984 .888 r
.28861 .5062 .29213 .50503 .29912 .49382 .29561 .49495 Metetra
.718 .985 .888 r
.29561 .49495 .29912 .49382 .30611 .48243 .30263 .48353 Metetra
.722 .986 .887 r
.30263 .48353 .30611 .48243 .31312 .47091 .30965 .47198 Metetra
.724 .987 .887 r
.30965 .47198 .31312 .47091 .32015 .45929 .31669 .46032 Metetra
.725 .987 .887 r
.31669 .46032 .32015 .45929 .32718 .44761 .32375 .44862 Metetra
.725 .987 .887 r
.32375 .44862 .32718 .44761 .33423 .43593 .33081 .4369 Metetra
.723 .986 .887 r
.33081 .4369 .33423 .43593 .34128 .42429 .33788 .42522 Metetra
.72 .986 .888 r
.33788 .42522 .34128 .42429 .34835 .41272 .34497 .41362 Metetra
.715 .985 .888 r
.34497 .41362 .34835 .41272 .35543 .40127 .35207 .40214 Metetra
.709 .984 .889 r
.35207 .40214 .35543 .40127 .36253 .38998 .35918 .39082 Metetra
.701 .982 .889 r
.35918 .39082 .36253 .38998 .36963 .3789 .3663 .37971 Metetra
.692 .98 .89 r
.3663 .37971 .36963 .3789 .37674 .36806 .37343 .36884 Metetra
.681 .977 .89 r
.37343 .36884 .37674 .36806 .38387 .3575 .38057 .35825 Metetra
.667 .973 .891 r
.38057 .35825 .38387 .3575 .391 .34727 .38773 .34799 Metetra
.652 .969 .891 r
.38773 .34799 .391 .34727 .39815 .3374 .39489 .33809 Metetra
.634 .963 .89 r
.39489 .33809 .39815 .3374 .40531 .32792 .40207 .32859 Metetra
.614 .956 .89 r
.40207 .32859 .40531 .32792 .41248 .31888 .40926 .31952 Metetra
.591 .947 .888 r
.40926 .31952 .41248 .31888 .41966 .3103 .41646 .31091 Metetra
.564 .937 .885 r
.41646 .31091 .41966 .3103 .42685 .30221 .42367 .3028 Metetra
.535 .924 .881 r
.42367 .3028 .42685 .30221 .43406 .29464 .43089 .29522 Metetra
.502 .909 .876 r
.43089 .29522 .43406 .29464 .44128 .28763 .43813 .28818 Metetra
.466 .891 .868 r
.43813 .28818 .44128 .28763 .44851 .28119 .44538 .28173 Metetra
.426 .87 .858 r
.44538 .28173 .44851 .28119 .45575 .27536 .45264 .27587 Metetra
.382 .845 .846 r
.45264 .27587 .45575 .27536 .46301 .27013 .45991 .27064 Metetra
.334 .817 .831 r
.45991 .27064 .46301 .27013 .47028 .26555 .4672 .26604 Metetra
.284 .785 .813 r
.4672 .26604 .47028 .26555 .47757 .26162 .4745 .2621 Metetra
.23 .749 .792 r
.4745 .2621 .47757 .26162 .48486 .25835 .48182 .25882 Metetra
.174 .71 .768 r
.48182 .25882 .48486 .25835 .49218 .25575 .48915 .25622 Metetra
.116 .668 .74 r
.48915 .25622 .49218 .25575 .49951 .25384 .4965 .2543 Metetra
.057 .622 .71 r
.4965 .2543 .49951 .25384 .50685 .25262 .50386 .25307 Metetra
.002 0 0 r
.50386 .25307 .50685 .25262 .51421 .25208 .51124 .25254 Metetra
.06 0 0 r
.51124 .25254 .51421 .25208 .52159 .25224 .51863 .25269 Metetra
.116 0 0 r
.51863 .25269 .52159 .25224 .52898 .25308 .52604 .25354 Metetra
.171 0 0 r
.52604 .25354 .52898 .25308 .53639 .2546 .53347 .25506 Metetra
.222 0 0 r
.53347 .25506 .53639 .2546 .54381 .25679 .54092 .25726 Metetra
.27 0 0 r
.54092 .25726 .54381 .25679 .55126 .25964 .54838 .26012 Metetra
.315 0 0 r
.54838 .26012 .55126 .25964 .55872 .26314 .55586 .26363 Metetra
.356 0 0 r
.55586 .26363 .55872 .26314 .5662 .26726 .56336 .26777 Metetra
.393 0 0 r
.56336 .26777 .5662 .26726 .57371 .272 .57088 .27252 Metetra
.427 0 0 r
.57088 .27252 .57371 .272 .58123 .27733 .57842 .27786 Metetra
.458 0 0 r
.57842 .27786 .58123 .27733 .58877 .28322 .58598 .28377 Metetra
.485 0 0 r
.58598 .28377 .58877 .28322 .59633 .28965 .59356 .29022 Metetra
.509 0 0 r
.59356 .29022 .59633 .28965 .60391 .29659 .60116 .29718 Metetra
.531 0 0 r
.60116 .29718 .60391 .29659 .61151 .30401 .60878 .30462 Metetra
.549 0 0 r
.60878 .30462 .61151 .30401 .61913 .31187 .61642 .31251 Metetra
.566 0 0 r
.61642 .31251 .61913 .31187 .62678 .32015 .62409 .32082 Metetra
.58 .007 0 r
.62409 .32082 .62678 .32015 .63444 .32881 .63177 .3295 Metetra
.592 .022 0 r
.63177 .3295 .63444 .32881 .64213 .3378 .63948 .33852 Metetra
.602 .034 0 r
.63948 .33852 .64213 .3378 .64984 .3471 .6472 .34785 Metetra
.61 .045 0 r
.6472 .34785 .64984 .3471 .65757 .35665 .65495 .35743 Metetra
.617 .053 0 r
.65495 .35743 .65757 .35665 .66532 .36641 .66273 .36723 Metetra
.622 .059 0 r
.66273 .36723 .66532 .36641 .67309 .37636 .67052 .3772 Metetra
.625 .064 0 r
.67052 .3772 .67309 .37636 .68089 .38643 .67834 .3873 Metetra
.627 .066 0 r
.67834 .3873 .68089 .38643 .68871 .39658 .68618 .39749 Metetra
.627 .066 0 r
.68618 .39749 .68871 .39658 .69655 .40678 .69404 .40772 Metetra
.626 .065 0 r
.69404 .40772 .69655 .40678 .70441 .41697 .70192 .41794 Metetra
.624 .062 0 r
.70192 .41794 .70441 .41697 .71229 .42711 .70982 .42811 Metetra
.62 .057 0 r
.70982 .42811 .71229 .42711 .7202 .43715 .71775 .43818 Metetra
.614 .05 0 r
.71775 .43818 .7202 .43715 .72813 .44705 .7257 .44812 Metetra
.607 .041 0 r
.7257 .44812 .72813 .44705 .73608 .45676 .73367 .45786 Metetra
.599 .03 0 r
.73367 .45786 .73608 .45676 .74405 .46625 .74166 .46737 Metetra
.588 .017 0 r
.74166 .46737 .74405 .46625 .75204 .47545 .74967 .47661 Metetra
.576 .003 0 r
.74967 .47661 .75204 .47545 .76005 .48434 .7577 .48553 Metetra
.562 0 0 r
.7577 .48553 .76005 .48434 .76808 .49288 .76576 .49409 Metetra
.547 0 0 r
.76576 .49409 .76808 .49288 .77613 .50101 .77383 .50225 Metetra
.529 0 0 r
.77383 .50225 .77613 .50101 .7842 .5087 .78192 .50997 Metetra
.509 0 0 r
.78192 .50997 .7842 .5087 .79229 .51592 .79004 .51721 Metetra
.487 0 0 r
.79004 .51721 .79229 .51592 .8004 .52263 .79817 .52394 Metetra
.463 0 0 r
.79817 .52394 .8004 .52263 .80853 .5288 .80632 .53013 Metetra
.437 0 0 r
.80632 .53013 .80853 .5288 .81668 .53439 .81448 .53574 Metetra
.408 0 0 r
.81448 .53574 .81668 .53439 .82484 .53937 .82267 .54074 Metetra
.377 0 0 r
.82267 .54074 .82484 .53937 .83302 .54373 .83087 .54512 Metetra
.343 0 0 r
.83087 .54512 .83302 .54373 .84121 .54743 .83909 .54883 Metetra
.307 0 0 r
.83909 .54883 .84121 .54743 .84943 .55046 .84733 .55187 Metetra
.269 0 0 r
.84733 .55187 .84943 .55046 .85766 .55279 .85558 .55421 Metetra
.229 0 0 r
.85558 .55421 .85766 .55279 .8659 .55441 .86384 .55584 Metetra
.188 0 0 r
.86384 .55584 .8659 .55441 .87416 .55531 .87212 .55674 Metetra
.145 0 0 r
.87212 .55674 .87416 .55531 .88243 .55547 .88042 .5569 Metetra
.101 0 0 r
.88042 .5569 .88243 .55547 .89072 .55489 .88873 .55633 Metetra
.07 0 0 r
.14791 .64239 .15177 .64062 .15845 .63952 .1546 .64129 Metetra
.1546 .64129 .15845 .63952 .16514 .63775 .16131 .63952 Metetra
.16131 .63952 .16514 .63775 .17185 .63532 .16803 .63708 Metetra
.16803 .63708 .17185 .63532 .17858 .63221 .17478 .63397 Metetra
.208 .73 .729 r
.17478 .63397 .17858 .63221 .18533 .62846 .18155 .63021 Metetra
.272 .774 .761 r
.18155 .63021 .18533 .62846 .1921 .62406 .18833 .6258 Metetra
.33 .812 .788 r
.18833 .6258 .1921 .62406 .19889 .61902 .19513 .62075 Metetra
.384 .845 .81 r
.19513 .62075 .19889 .61902 .20569 .61337 .20195 .61508 Metetra
.432 .873 .828 r
.20195 .61508 .20569 .61337 .21252 .60711 .20879 .60881 Metetra
.476 .896 .843 r
.20879 .60881 .21252 .60711 .21936 .60028 .21565 .60196 Metetra
.514 .915 .854 r
.21565 .60196 .21936 .60028 .22621 .59289 .22252 .59455 Metetra
.548 .93 .862 r
.22252 .59455 .22621 .59289 .23309 .58497 .22941 .58661 Metetra
.577 .943 .868 r
.22941 .58661 .23309 .58497 .23997 .57655 .23631 .57816 Metetra
.603 .953 .873 r
.23631 .57816 .23997 .57655 .24688 .56765 .24324 .56924 Metetra
.625 .961 .876 r
.24324 .56924 .24688 .56765 .2538 .55831 .25017 .55988 Metetra
.644 .967 .878 r
.25017 .55988 .2538 .55831 .26073 .54856 .25712 .5501 Metetra
.661 .972 .879 r
.25712 .5501 .26073 .54856 .26768 .53844 .26409 .53995 Metetra
.674 .976 .88 r
.26409 .53995 .26768 .53844 .27464 .52798 .27107 .52946 Metetra
.686 .979 .88 r
.27107 .52946 .27464 .52798 .28162 .51722 .27806 .51867 Metetra
.695 .982 .88 r
.27806 .51867 .28162 .51722 .28861 .5062 .28507 .50762 Metetra
.703 .983 .88 r
.28507 .50762 .28861 .5062 .29561 .49495 .29209 .49635 Metetra
.709 .985 .879 r
.29209 .49635 .29561 .49495 .30263 .48353 .29912 .48489 Metetra
.713 .986 .879 r
.29912 .48489 .30263 .48353 .30965 .47198 .30616 .4733 Metetra
.715 .986 .879 r
.30616 .4733 .30965 .47198 .31669 .46032 .31322 .46162 Metetra
.717 .986 .879 r
.31322 .46162 .31669 .46032 .32375 .44862 .32029 .44988 Metetra
.716 .986 .879 r
.32029 .44988 .32375 .44862 .33081 .4369 .32737 .43813 Metetra
.714 .986 .879 r
.32737 .43813 .33081 .4369 .33788 .42522 .33446 .42642 Metetra
.711 .985 .879 r
.33446 .42642 .33788 .42522 .34497 .41362 .34157 .41479 Metetra
.706 .984 .88 r
.34157 .41479 .34497 .41362 .35207 .40214 .34868 .40328 Metetra
.7 .983 .88 r
.34868 .40328 .35207 .40214 .35918 .39082 .35581 .39192 Metetra
.692 .981 .88 r
.35581 .39192 .35918 .39082 .3663 .37971 .36295 .38078 Metetra
.682 .978 .881 r
.36295 .38078 .3663 .37971 .37343 .36884 .3701 .36988 Metetra
.67 .975 .881 r
.3701 .36988 .37343 .36884 .38057 .35825 .37726 .35926 Metetra
.656 .971 .881 r
.37726 .35926 .38057 .35825 .38773 .34799 .38443 .34897 Metetra
.64 .966 .88 r
.38443 .34897 .38773 .34799 .39489 .33809 .39161 .33904 Metetra
.621 .959 .879 r
.39161 .33904 .39489 .33809 .40207 .32859 .39881 .32952 Metetra
.6 .952 .877 r
.39881 .32952 .40207 .32859 .40926 .31952 .40601 .32042 Metetra
.576 .942 .875 r
.40601 .32042 .40926 .31952 .41646 .31091 .41323 .31179 Metetra
.549 .931 .871 r
.41323 .31179 .41646 .31091 .42367 .3028 .42046 .30366 Metetra
.518 .917 .866 r
.42046 .30366 .42367 .3028 .43089 .29522 .4277 .29605 Metetra
.484 .9 .859 r
.4277 .29605 .43089 .29522 .43813 .28818 .43496 .289 Metetra
.446 .881 .85 r
.43496 .289 .43813 .28818 .44538 .28173 .44222 .28252 Metetra
.405 .858 .839 r
.44222 .28252 .44538 .28173 .45264 .27587 .4495 .27665 Metetra
.359 .832 .825 r
.4495 .27665 .45264 .27587 .45991 .27064 .4568 .2714 Metetra
.311 .802 .808 r
.4568 .2714 .45991 .27064 .4672 .26604 .4641 .26679 Metetra
.259 .768 .788 r
.4641 .26679 .4672 .26604 .4745 .2621 .47142 .26284 Metetra
.204 .731 .765 r
.47142 .26284 .4745 .2621 .48182 .25882 .47876 .25955 Metetra
.147 .69 .739 r
.47876 .25955 .48182 .25882 .48915 .25622 .48611 .25694 Metetra
.089 .646 .711 r
.48611 .25694 .48915 .25622 .4965 .2543 .49347 .25502 Metetra
.49347 .25502 .4965 .2543 .50386 .25307 .50085 .25379 Metetra
.028 0 0 r
.50085 .25379 .50386 .25307 .51124 .25254 .50825 .25325 Metetra
.086 0 0 r
.50825 .25325 .51124 .25254 .51863 .25269 .51566 .25341 Metetra
.142 0 0 r
.51566 .25341 .51863 .25269 .52604 .25354 .52309 .25426 Metetra
.195 0 0 r
.52309 .25426 .52604 .25354 .53347 .25506 .53054 .25579 Metetra
.245 0 0 r
.53054 .25579 .53347 .25506 .54092 .25726 .538 .25799 Metetra
.292 0 0 r
.538 .25799 .54092 .25726 .54838 .26012 .54549 .26086 Metetra
.335 0 0 r
.54549 .26086 .54838 .26012 .55586 .26363 .55299 .26438 Metetra
.375 0 0 r
.55299 .26438 .55586 .26363 .56336 .26777 .5605 .26853 Metetra
.411 0 0 r
.5605 .26853 .56336 .26777 .57088 .27252 .56804 .2733 Metetra
.444 0 0 r
.56804 .2733 .57088 .27252 .57842 .27786 .5756 .27866 Metetra
.474 0 0 r
.5756 .27866 .57842 .27786 .58598 .28377 .58318 .28459 Metetra
.5 0 0 r
.58318 .28459 .58598 .28377 .59356 .29022 .59078 .29106 Metetra
.523 0 0 r
.59078 .29106 .59356 .29022 .60116 .29718 .5984 .29804 Metetra
.544 0 0 r
.5984 .29804 .60116 .29718 .60878 .30462 .60604 .30551 Metetra
.562 0 0 r
.60604 .30551 .60878 .30462 .61642 .31251 .6137 .31342 Metetra
.578 .006 0 r
.6137 .31342 .61642 .31251 .62409 .32082 .62138 .32175 Metetra
.591 .023 0 r
.62138 .32175 .62409 .32082 .63177 .3295 .62908 .33046 Metetra
.603 .037 0 r
.62908 .33046 .63177 .3295 .63948 .33852 .63681 .33952 Metetra
.613 .049 0 r
.63681 .33952 .63948 .33852 .6472 .34785 .64456 .34887 Metetra
.621 .06 0 r
.64456 .34887 .6472 .34785 .65495 .35743 .65233 .35848 Metetra
.627 .068 0 r
.65233 .35848 .65495 .35743 .66273 .36723 .66012 .36831 Metetra
.632 .074 0 r
.66012 .36831 .66273 .36723 .67052 .3772 .66793 .37831 Metetra
.635 .078 0 r
.66793 .37831 .67052 .3772 .67834 .3873 .67577 .38845 Metetra
.637 .08 0 r
.67577 .38845 .67834 .3873 .68618 .39749 .68363 .39867 Metetra
.637 .081 0 r
.68363 .39867 .68618 .39749 .69404 .40772 .69151 .40893 Metetra
.636 .079 0 r
.69151 .40893 .69404 .40772 .70192 .41794 .69941 .41918 Metetra
.633 .076 0 r
.69941 .41918 .70192 .41794 .70982 .42811 .70734 .42939 Metetra
.63 .071 0 r
.70734 .42939 .70982 .42811 .71775 .43818 .71529 .43949 Metetra
.624 .064 0 r
.71529 .43949 .71775 .43818 .7257 .44812 .72325 .44946 Metetra
.617 .056 0 r
.72325 .44946 .7257 .44812 .73367 .45786 .73125 .45924 Metetra
.609 .045 0 r
.73125 .45924 .73367 .45786 .74166 .46737 .73926 .46878 Metetra
.599 .033 0 r
.73926 .46878 .74166 .46737 .74967 .47661 .74729 .47805 Metetra
.588 .019 0 r
.74729 .47805 .74967 .47661 .7577 .48553 .75535 .487 Metetra
.574 .003 0 r
.75535 .487 .7577 .48553 .76576 .49409 .76342 .49558 Metetra
.559 0 0 r
.76342 .49558 .76576 .49409 .77383 .50225 .77151 .50377 Metetra
.542 0 0 r
.77151 .50377 .77383 .50225 .78192 .50997 .77963 .51152 Metetra
.523 0 0 r
.77963 .51152 .78192 .50997 .79004 .51721 .78776 .51878 Metetra
.502 0 0 r
.78776 .51878 .79004 .51721 .79817 .52394 .79592 .52554 Metetra
.479 0 0 r
.79592 .52554 .79817 .52394 .80632 .53013 .80409 .53175 Metetra
.453 0 0 r
.80409 .53175 .80632 .53013 .81448 .53574 .81228 .53738 Metetra
.425 0 0 r
.81228 .53738 .81448 .53574 .82267 .54074 .82049 .5424 Metetra
.395 0 0 r
.82049 .5424 .82267 .54074 .83087 .54512 .82871 .54679 Metetra
.362 0 0 r
.82871 .54679 .83087 .54512 .83909 .54883 .83695 .55051 Metetra
.327 0 0 r
.83695 .55051 .83909 .54883 .84733 .55187 .84521 .55356 Metetra
.29 0 0 r
.84521 .55356 .84733 .55187 .85558 .55421 .85349 .55591 Metetra
.252 0 0 r
.85349 .55591 .85558 .55421 .86384 .55584 .86178 .55755 Metetra
.211 0 0 r
.86178 .55755 .86384 .55584 .87212 .55674 .87008 .55846 Metetra
.169 0 0 r
.87008 .55846 .87212 .55674 .88042 .5569 .8784 .55862 Metetra
.126 0 0 r
.8784 .55862 .88042 .5569 .88873 .55633 .88674 .55805 Metetra
.095 0 0 r
.14403 .64443 .14791 .64239 .1546 .64129 .15073 .64333 Metetra
.025 0 0 r
.15073 .64333 .1546 .64129 .16131 .63952 .15745 .64156 Metetra
.15745 .64156 .16131 .63952 .16803 .63708 .16419 .63911 Metetra
.16419 .63911 .16803 .63708 .17478 .63397 .17095 .636 Metetra
.182 .709 .699 r
.17095 .636 .17478 .63397 .18155 .63021 .17773 .63222 Metetra
.246 .755 .734 r
.17773 .63222 .18155 .63021 .18833 .6258 .18453 .6278 Metetra
.306 .795 .763 r
.18453 .6278 .18833 .6258 .19513 .62075 .19135 .62274 Metetra
.361 .83 .787 r
.19135 .62274 .19513 .62075 .20195 .61508 .19819 .61705 Metetra
.411 .86 .807 r
.19819 .61705 .20195 .61508 .20879 .60881 .20504 .61077 Metetra
.455 .884 .823 r
.20504 .61077 .20879 .60881 .21565 .60196 .21192 .6039 Metetra
.495 .905 .836 r
.21192 .6039 .21565 .60196 .22252 .59455 .21881 .59647 Metetra
.53 .922 .846 r
.21881 .59647 .22252 .59455 .22941 .58661 .22571 .58851 Metetra
.561 .936 .853 r
.22571 .58851 .22941 .58661 .23631 .57816 .23263 .58004 Metetra
.588 .947 .859 r
.23263 .58004 .23631 .57816 .24324 .56924 .23957 .5711 Metetra
.611 .956 .863 r
.23957 .5711 .24324 .56924 .25017 .55988 .24652 .56171 Metetra
.631 .963 .866 r
.24652 .56171 .25017 .55988 .25712 .5501 .25349 .5519 Metetra
.648 .969 .868 r
.25349 .5519 .25712 .5501 .26409 .53995 .26047 .54173 Metetra
.663 .973 .869 r
.26047 .54173 .26409 .53995 .27107 .52946 .26747 .53121 Metetra
.675 .977 .87 r
.26747 .53121 .27107 .52946 .27806 .51867 .27448 .52039 Metetra
.685 .98 .87 r
.27448 .52039 .27806 .51867 .28507 .50762 .2815 .50931 Metetra
.693 .982 .87 r
.2815 .50931 .28507 .50762 .29209 .49635 .28854 .498 Metetra
.699 .983 .87 r
.28854 .498 .29209 .49635 .29912 .48489 .29559 .48652 Metetra
.703 .984 .87 r
.29559 .48652 .29912 .48489 .30616 .4733 .30265 .4749 Metetra
.706 .985 .87 r
.30265 .4749 .30616 .4733 .31322 .46162 .30973 .46318 Metetra
.707 .985 .87 r
.30973 .46318 .31322 .46162 .32029 .44988 .31681 .45141 Metetra
.707 .985 .87 r
.31681 .45141 .32029 .44988 .32737 .43813 .32391 .43963 Metetra
.705 .985 .87 r
.32391 .43963 .32737 .43813 .33446 .42642 .33102 .42788 Metetra
.701 .984 .87 r
.33102 .42788 .33446 .42642 .34157 .41479 .33814 .41622 Metetra
.696 .983 .871 r
.33814 .41622 .34157 .41479 .34868 .40328 .34528 .40467 Metetra
.69 .981 .871 r
.34528 .40467 .34868 .40328 .35581 .39192 .35242 .39329 Metetra
.681 .979 .871 r
.35242 .39329 .35581 .39192 .36295 .38078 .35958 .38211 Metetra
.671 .976 .87 r
.35958 .38211 .36295 .38078 .3701 .36988 .36674 .37118 Metetra
.658 .972 .87 r
.36674 .37118 .3701 .36988 .37726 .35926 .37392 .36053 Metetra
.644 .967 .869 r
.37392 .36053 .37726 .35926 .38443 .34897 .38111 .35022 Metetra
.627 .962 .868 r
.38111 .35022 .38443 .34897 .39161 .33904 .38831 .34026 Metetra
.607 .955 .867 r
.38831 .34026 .39161 .33904 .39881 .32952 .39553 .3307 Metetra
.585 .946 .864 r
.39553 .3307 .39881 .32952 .40601 .32042 .40275 .32158 Metetra
.56 .936 .86 r
.40275 .32158 .40601 .32042 .41323 .31179 .40999 .31293 Metetra
.532 .923 .856 r
.40999 .31293 .41323 .31179 .42046 .30366 .41723 .30477 Metetra
.5 .908 .849 r
.41723 .30477 .42046 .30366 .4277 .29605 .42449 .29714 Metetra
.464 .89 .841 r
.42449 .29714 .4277 .29605 .43496 .289 .43177 .29007 Metetra
.425 .869 .831 r
.43177 .29007 .43496 .289 .44222 .28252 .43905 .28358 Metetra
.383 .845 .818 r
.43905 .28358 .44222 .28252 .4495 .27665 .44635 .27769 Metetra
.336 .817 .802 r
.44635 .27769 .4495 .27665 .4568 .2714 .45366 .27243 Metetra
.286 .786 .784 r
.45366 .27243 .4568 .2714 .4641 .26679 .46099 .26781 Metetra
.234 .75 .762 r
.46099 .26781 .4641 .26679 .47142 .26284 .46832 .26384 Metetra
.178 .711 .737 r
.46832 .26384 .47142 .26284 .47876 .25955 .47568 .26055 Metetra
.121 .669 .71 r
.47568 .26055 .47876 .25955 .48611 .25694 .48305 .25793 Metetra
.48305 .25793 .48611 .25694 .49347 .25502 .49043 .256 Metetra
.49043 .256 .49347 .25502 .50085 .25379 .49783 .25477 Metetra
.055 0 0 r
.49783 .25477 .50085 .25379 .50825 .25325 .50524 .25423 Metetra
.111 0 0 r
.50524 .25423 .50825 .25325 .51566 .25341 .51267 .25439 Metetra
.166 0 0 r
.51267 .25439 .51566 .25341 .52309 .25426 .52012 .25524 Metetra
.218 0 0 r
.52012 .25524 .52309 .25426 .53054 .25579 .52759 .25678 Metetra
.267 0 0 r
.52759 .25678 .53054 .25579 .538 .25799 .53507 .25899 Metetra
.313 0 0 r
.53507 .25899 .538 .25799 .54549 .26086 .54257 .26187 Metetra
.355 0 0 r
.54257 .26187 .54549 .26086 .55299 .26438 .55009 .2654 Metetra
.394 0 0 r
.55009 .2654 .55299 .26438 .5605 .26853 .55763 .26957 Metetra
.429 0 0 r
.55763 .26957 .5605 .26853 .56804 .2733 .56519 .27435 Metetra
.46 0 0 r
.56519 .27435 .56804 .2733 .5756 .27866 .57276 .27973 Metetra
.488 0 0 r
.57276 .27973 .5756 .27866 .58318 .28459 .58036 .28567 Metetra
.514 0 0 r
.58036 .28567 .58318 .28459 .59078 .29106 .58798 .29217 Metetra
.536 0 0 r
.58798 .29217 .59078 .29106 .5984 .29804 .59562 .29917 Metetra
.556 0 0 r
.59562 .29917 .5984 .29804 .60604 .30551 .60328 .30666 Metetra
.573 .003 0 r
.60328 .30666 .60604 .30551 .6137 .31342 .61096 .3146 Metetra
.589 .022 0 r
.61096 .3146 .6137 .31342 .62138 .32175 .61866 .32296 Metetra
.602 .038 0 r
.61866 .32296 .62138 .32175 .62908 .33046 .62638 .3317 Metetra
.613 .052 0 r
.62638 .3317 .62908 .33046 .63681 .33952 .63413 .34078 Metetra
.622 .064 0 r
.63413 .34078 .63681 .33952 .64456 .34887 .64189 .35016 Metetra
.63 .074 0 r
.64189 .35016 .64456 .34887 .65233 .35848 .64968 .3598 Metetra
.636 .082 0 r
.64968 .3598 .65233 .35848 .66012 .36831 .6575 .36966 Metetra
.641 .088 0 r
.6575 .36966 .66012 .36831 .66793 .37831 .66533 .3797 Metetra
.644 .092 0 r
.66533 .3797 .66793 .37831 .67577 .38845 .67319 .38987 Metetra
.645 .094 0 r
.67319 .38987 .67577 .38845 .68363 .39867 .68107 .40012 Metetra
.646 .094 0 r
.68107 .40012 .68363 .39867 .69151 .40893 .68897 .41042 Metetra
.645 .093 0 r
.68897 .41042 .69151 .40893 .69941 .41918 .69689 .42071 Metetra
.642 .09 0 r
.69689 .42071 .69941 .41918 .70734 .42939 .70484 .43094 Metetra
.639 .085 0 r
.70484 .43094 .70734 .42939 .71529 .43949 .71281 .44108 Metetra
.633 .079 0 r
.71281 .44108 .71529 .43949 .72325 .44946 .7208 .45108 Metetra
.627 .07 0 r
.7208 .45108 .72325 .44946 .73125 .45924 .72881 .46089 Metetra
.619 .06 0 r
.72881 .46089 .73125 .45924 .73926 .46878 .73684 .47047 Metetra
.609 .048 0 r
.73684 .47047 .73926 .46878 .74729 .47805 .7449 .47977 Metetra
.598 .034 0 r
.7449 .47977 .74729 .47805 .75535 .487 .75297 .48874 Metetra
.585 .019 0 r
.75297 .48874 .75535 .487 .76342 .49558 .76107 .49736 Metetra
.571 .001 0 r
.76107 .49736 .76342 .49558 .77151 .50377 .76919 .50558 Metetra
.554 0 0 r
.76919 .50558 .77151 .50377 .77963 .51152 .77732 .51335 Metetra
.536 0 0 r
.77732 .51335 .77963 .51152 .78776 .51878 .78548 .52064 Metetra
.515 0 0 r
.78548 .52064 .78776 .51878 .79592 .52554 .79365 .52742 Metetra
.493 0 0 r
.79365 .52742 .79592 .52554 .80409 .53175 .80185 .53365 Metetra
.468 0 0 r
.80185 .53365 .80409 .53175 .81228 .53738 .81006 .5393 Metetra
.441 0 0 r
.81006 .5393 .81228 .53738 .82049 .5424 .81829 .54434 Metetra
.412 0 0 r
.81829 .54434 .82049 .5424 .82871 .54679 .82654 .54874 Metetra
.38 0 0 r
.82654 .54874 .82871 .54679 .83695 .55051 .83481 .55249 Metetra
.346 0 0 r
.83481 .55249 .83695 .55051 .84521 .55356 .84309 .55555 Metetra
.311 0 0 r
.84309 .55555 .84521 .55356 .85349 .55591 .85139 .55791 Metetra
.273 0 0 r
.85139 .55791 .85349 .55591 .86178 .55755 .8597 .55955 Metetra
.233 0 0 r
.8597 .55955 .86178 .55755 .87008 .55846 .86803 .56046 Metetra
.192 0 0 r
.86803 .56046 .87008 .55846 .8784 .55862 .87637 .56063 Metetra
.15 0 0 r
.87637 .56063 .8784 .55862 .88674 .55805 .88473 .56005 Metetra
.119 0 0 r
.14011 .64673 .14403 .64443 .15073 .64333 .14683 .64563 Metetra
.05 0 0 r
.14683 .64563 .15073 .64333 .15745 .64156 .15357 .64385 Metetra
.15357 .64385 .15745 .64156 .16419 .63911 .16033 .6414 Metetra
.16033 .6414 .16419 .63911 .17095 .636 .1671 .63828 Metetra
.1671 .63828 .17095 .636 .17773 .63222 .1739 .6345 Metetra
.22 .734 .705 r
.1739 .6345 .17773 .63222 .18453 .6278 .18072 .63006 Metetra
.281 .777 .736 r
.18072 .63006 .18453 .6278 .19135 .62274 .18755 .62499 Metetra
.337 .813 .763 r
.18755 .62499 .19135 .62274 .19819 .61705 .1944 .61929 Metetra
.388 .845 .785 r
.1944 .61929 .19819 .61705 .20504 .61077 .20127 .61299 Metetra
.434 .872 .803 r
.20127 .61299 .20504 .61077 .21192 .6039 .20816 .6061 Metetra
.476 .894 .817 r
.20816 .6061 .21192 .6039 .21881 .59647 .21507 .59866 Metetra
.512 .913 .828 r
.21507 .59866 .21881 .59647 .22571 .58851 .22199 .59068 Metetra
.544 .928 .837 r
.22199 .59068 .22571 .58851 .23263 .58004 .22893 .58218 Metetra
.572 .94 .844 r
.22893 .58218 .23263 .58004 .23957 .5711 .23588 .57322 Metetra
.597 .95 .849 r
.23588 .57322 .23957 .5711 .24652 .56171 .24285 .5638 Metetra
.618 .958 .853 r
.24285 .5638 .24652 .56171 .25349 .5519 .24983 .55397 Metetra
.635 .965 .856 r
.24983 .55397 .25349 .5519 .26047 .54173 .25683 .54377 Metetra
.651 .97 .857 r
.25683 .54377 .26047 .54173 .26747 .53121 .26385 .53322 Metetra
.663 .974 .859 r
.26385 .53322 .26747 .53121 .27448 .52039 .27087 .52237 Metetra
.674 .977 .859 r
.27087 .52237 .27448 .52039 .2815 .50931 .27792 .51126 Metetra
.682 .979 .86 r
.27792 .51126 .2815 .50931 .28854 .498 .28497 .49992 Metetra
.688 .981 .86 r
.28497 .49992 .28854 .498 .29559 .48652 .29204 .48841 Metetra
.693 .982 .86 r
.29204 .48841 .29559 .48652 .30265 .4749 .29912 .47675 Metetra
.696 .983 .861 r
.29912 .47675 .30265 .4749 .30973 .46318 .30621 .465 Metetra
.697 .983 .861 r
.30621 .465 .30973 .46318 .31681 .45141 .31331 .4532 Metetra
.697 .983 .861 r
.31331 .4532 .31681 .45141 .32391 .43963 .32043 .44139 Metetra
.695 .982 .861 r
.32043 .44139 .32391 .43963 .33102 .42788 .32756 .42961 Metetra
.691 .982 .86 r
.32756 .42961 .33102 .42788 .33814 .41622 .3347 .41791 Metetra
.686 .98 .86 r
.3347 .41791 .33814 .41622 .34528 .40467 .34185 .40633 Metetra
.679 .978 .86 r
.34185 .40633 .34528 .40467 .35242 .39329 .34901 .39492 Metetra
.67 .976 .86 r
.34901 .39492 .35242 .39329 .35958 .38211 .35618 .38371 Metetra
.659 .972 .859 r
.35618 .38371 .35958 .38211 .36674 .37118 .36337 .37275 Metetra
.646 .968 .858 r
.36337 .37275 .36674 .37118 .37392 .36053 .37057 .36207 Metetra
.631 .963 .857 r
.37057 .36207 .37392 .36053 .38111 .35022 .37777 .35172 Metetra
.613 .957 .855 r
.37777 .35172 .38111 .35022 .38831 .34026 .38499 .34174 Metetra
.593 .949 .853 r
.38499 .34174 .38831 .34026 .39553 .3307 .39222 .33216 Metetra
.569 .939 .849 r
.39222 .33216 .39553 .3307 .40275 .32158 .39947 .32301 Metetra
.543 .928 .845 r
.39947 .32301 .40275 .32158 .40999 .31293 .40672 .31433 Metetra
.514 .914 .839 r
.40672 .31433 .40999 .31293 .41723 .30477 .41399 .30615 Metetra
.481 .898 .831 r
.41399 .30615 .41723 .30477 .42449 .29714 .42127 .2985 Metetra
.444 .879 .821 r
.42127 .2985 .42449 .29714 .43177 .29007 .42856 .29141 Metetra
.404 .856 .809 r
.42856 .29141 .43177 .29007 .43905 .28358 .43586 .2849 Metetra
.36 .83 .795 r
.43586 .2849 .43905 .28358 .44635 .27769 .44318 .279 Metetra
.312 .801 .778 r
.44318 .279 .44635 .27769 .45366 .27243 .45051 .27372 Metetra
.262 .768 .758 r
.45051 .27372 .45366 .27243 .46099 .26781 .45785 .26908 Metetra
.208 .731 .734 r
.45785 .26908 .46099 .26781 .46832 .26384 .46521 .26511 Metetra
.152 .69 .708 r
.46521 .26511 .46832 .26384 .47568 .26055 .47258 .2618 Metetra
.47258 .2618 .47568 .26055 .48305 .25793 .47997 .25918 Metetra
.47997 .25918 .48305 .25793 .49043 .256 .48737 .25725 Metetra
.023 0 0 r
.48737 .25725 .49043 .256 .49783 .25477 .49479 .25602 Metetra
.08 0 0 r
.49479 .25602 .49783 .25477 .50524 .25423 .50222 .25548 Metetra
.136 0 0 r
.50222 .25548 .50524 .25423 .51267 .25439 .50967 .25564 Metetra
.19 0 0 r
.50967 .25564 .51267 .25439 .52012 .25524 .51714 .2565 Metetra
.241 0 0 r
.51714 .2565 .52012 .25524 .52759 .25678 .52462 .25804 Metetra
.288 0 0 r
.52462 .25804 .52759 .25678 .53507 .25899 .53212 .26026 Metetra
.333 0 0 r
.53212 .26026 .53507 .25899 .54257 .26187 .53964 .26315 Metetra
.374 0 0 r
.53964 .26315 .54257 .26187 .55009 .2654 .54718 .26669 Metetra
.411 0 0 r
.54718 .26669 .55009 .2654 .55763 .26957 .55474 .27087 Metetra
.445 0 0 r
.55474 .27087 .55763 .26957 .56519 .27435 .56231 .27567 Metetra
.475 0 0 r
.56231 .27567 .56519 .27435 .57276 .27973 .56991 .28106 Metetra
.502 0 0 r
.56991 .28106 .57276 .27973 .58036 .28567 .57753 .28703 Metetra
.527 0 0 r
.57753 .28703 .58036 .28567 .58798 .29217 .58516 .29354 Metetra
.548 0 0 r
.58516 .29354 .58798 .29217 .59562 .29917 .59282 .30057 Metetra
.567 0 0 r
.59282 .30057 .59562 .29917 .60328 .30666 .6005 .30809 Metetra
.584 .019 0 r
.6005 .30809 .60328 .30666 .61096 .3146 .6082 .31606 Metetra
.599 .037 0 r
.6082 .31606 .61096 .3146 .61866 .32296 .61592 .32444 Metetra
.611 .053 0 r
.61592 .32444 .61866 .32296 .62638 .3317 .62366 .33321 Metetra
.622 .067 0 r
.62366 .33321 .62638 .3317 .63413 .34078 .63143 .34232 Metetra
.631 .078 0 r
.63143 .34232 .63413 .34078 .64189 .35016 .63922 .35173 Metetra
.638 .088 0 r
.63922 .35173 .64189 .35016 .64968 .3598 .64703 .3614 Metetra
.644 .095 0 r
.64703 .3614 .64968 .3598 .6575 .36966 .65486 .3713 Metetra
.649 .101 0 r
.65486 .3713 .6575 .36966 .66533 .3797 .66271 .38137 Metetra
.652 .105 0 r
.66271 .38137 .66533 .3797 .67319 .38987 .67059 .39157 Metetra
.653 .107 0 r
.67059 .39157 .67319 .38987 .68107 .40012 .67849 .40186 Metetra
.654 .108 0 r
.67849 .40186 .68107 .40012 .68897 .41042 .68641 .41218 Metetra
.653 .106 0 r
.68641 .41218 .68897 .41042 .69689 .42071 .69436 .42251 Metetra
.65 .103 0 r
.69436 .42251 .69689 .42071 .70484 .43094 .70232 .43278 Metetra
.647 .099 0 r
.70232 .43278 .70484 .43094 .71281 .44108 .71031 .44295 Metetra
.642 .092 0 r
.71031 .44295 .71281 .44108 .7208 .45108 .71833 .45299 Metetra
.636 .084 0 r
.71833 .45299 .7208 .45108 .72881 .46089 .72636 .46283 Metetra
.628 .074 0 r
.72636 .46283 .72881 .46089 .73684 .47047 .73441 .47244 Metetra
.619 .063 0 r
.73441 .47244 .73684 .47047 .7449 .47977 .74249 .48177 Metetra
.608 .049 0 r
.74249 .48177 .7449 .47977 .75297 .48874 .75059 .49078 Metetra
.595 .034 0 r
.75059 .49078 .75297 .48874 .76107 .49736 .75871 .49942 Metetra
.581 .017 0 r
.75871 .49942 .76107 .49736 .76919 .50558 .76684 .50767 Metetra
.565 0 0 r
.76684 .50767 .76919 .50558 .77732 .51335 .775 .51547 Metetra
.548 0 0 r
.775 .51547 .77732 .51335 .78548 .52064 .78318 .52278 Metetra
.528 0 0 r
.78318 .52278 .78548 .52064 .79365 .52742 .79138 .52959 Metetra
.506 0 0 r
.79138 .52959 .79365 .52742 .80185 .53365 .7996 .53584 Metetra
.482 0 0 r
.7996 .53584 .80185 .53365 .81006 .5393 .80783 .54151 Metetra
.456 0 0 r
.80783 .54151 .81006 .5393 .81829 .54434 .81609 .54657 Metetra
.428 0 0 r
.81609 .54657 .81829 .54434 .82654 .54874 .82436 .55099 Metetra
.397 0 0 r
.82436 .55099 .82654 .54874 .83481 .55249 .83265 .55475 Metetra
.364 0 0 r
.83265 .55475 .83481 .55249 .84309 .55555 .84095 .55782 Metetra
.33 0 0 r
.84095 .55782 .84309 .55555 .85139 .55791 .84927 .56019 Metetra
.293 0 0 r
.84927 .56019 .85139 .55791 .8597 .55955 .85761 .56184 Metetra
.254 0 0 r
.85761 .56184 .8597 .55955 .86803 .56046 .86596 .56276 Metetra
.214 0 0 r
.86596 .56276 .86803 .56046 .87637 .56063 .87433 .56293 Metetra
.173 0 0 r
.87433 .56293 .87637 .56063 .88473 .56005 .88271 .56236 Metetra
.142 0 0 r
.13618 .64929 .14011 .64673 .14683 .64563 .14291 .64819 Metetra
.075 0 0 r
.14291 .64819 .14683 .64563 .15357 .64385 .14966 .64641 Metetra
.007 0 0 r
.14966 .64641 .15357 .64385 .16033 .6414 .15644 .64396 Metetra
.15644 .64396 .16033 .6414 .1671 .63828 .16323 .64083 Metetra
.16323 .64083 .1671 .63828 .1739 .6345 .17004 .63704 Metetra
.17004 .63704 .1739 .6345 .18072 .63006 .17687 .63259 Metetra
.255 .757 .708 r
.17687 .63259 .18072 .63006 .18755 .62499 .18372 .62751 Metetra
.313 .796 .737 r
.18372 .62751 .18755 .62499 .1944 .61929 .19059 .6218 Metetra
.365 .829 .761 r
.19059 .6218 .1944 .61929 .20127 .61299 .19748 .61548 Metetra
.413 .858 .781 r
.19748 .61548 .20127 .61299 .20816 .6061 .20438 .60858 Metetra
.455 .882 .797 r
.20438 .60858 .20816 .6061 .21507 .59866 .2113 .60111 Metetra
.493 .902 .81 r
.2113 .60111 .21507 .59866 .22199 .59068 .21824 .59311 Metetra
.526 .918 .82 r
.21824 .59311 .22199 .59068 .22893 .58218 .2252 .58459 Metetra
.556 .932 .828 r
.2252 .58459 .22893 .58218 .23588 .57322 .23217 .5756 Metetra
.581 .943 .834 r
.23217 .5756 .23588 .57322 .24285 .5638 .23916 .56616 Metetra
.603 .952 .839 r
.23916 .56616 .24285 .5638 .24983 .55397 .24616 .5563 Metetra
.622 .959 .842 r
.24616 .5563 .24983 .55397 .25683 .54377 .25317 .54607 Metetra
.637 .965 .845 r
.25317 .54607 .25683 .54377 .26385 .53322 .2602 .5355 Metetra
.651 .969 .847 r
.2602 .5355 .26385 .53322 .27087 .52237 .26725 .52462 Metetra
.662 .973 .848 r
.26725 .52462 .27087 .52237 .27792 .51126 .27431 .51347 Metetra
.67 .976 .849 r
.27431 .51347 .27792 .51126 .28497 .49992 .28138 .50211 Metetra
.677 .978 .849 r
.28138 .50211 .28497 .49992 .29204 .48841 .28846 .49056 Metetra
.682 .979 .85 r
.28846 .49056 .29204 .48841 .29912 .47675 .29556 .47887 Metetra
.685 .98 .85 r
.29556 .47887 .29912 .47675 .30621 .465 .30267 .46709 Metetra
.686 .98 .85 r
.30267 .46709 .30621 .465 .31331 .4532 .30979 .45525 Metetra
.686 .98 .85 r
.30979 .45525 .31331 .4532 .32043 .44139 .31693 .44341 Metetra
.684 .979 .85 r
.31693 .44341 .32043 .44139 .32756 .42961 .32407 .4316 Metetra
.68 .978 .85 r
.32407 .4316 .32756 .42961 .3347 .41791 .33123 .41987 Metetra
.674 .977 .849 r
.33123 .41987 .3347 .41791 .34185 .40633 .3384 .40826 Metetra
.667 .975 .849 r
.3384 .40826 .34185 .40633 .34901 .39492 .34558 .39681 Metetra
.657 .972 .848 r
.34558 .39681 .34901 .39492 .35618 .38371 .35277 .38557 Metetra
.646 .968 .847 r
.35277 .38557 .35618 .38371 .36337 .37275 .35998 .37458 Metetra
.633 .963 .846 r
.35998 .37458 .36337 .37275 .37057 .36207 .36719 .36387 Metetra
.617 .957 .844 r
.36719 .36387 .37057 .36207 .37777 .35172 .37442 .3535 Metetra
.598 .95 .841 r
.37442 .3535 .37777 .35172 .38499 .34174 .38165 .34348 Metetra
.577 .942 .838 r
.38165 .34348 .38499 .34174 .39222 .33216 .3889 .33388 Metetra
.553 .931 .833 r
.3889 .33388 .39222 .33216 .39947 .32301 .39616 .3247 Metetra
.525 .919 .828 r
.39616 .3247 .39947 .32301 .40672 .31433 .40344 .316 Metetra
.495 .904 .82 r
.40344 .316 .40672 .31433 .41399 .30615 .41072 .3078 Metetra
.461 .886 .811 r
.41072 .3078 .41399 .30615 .42127 .2985 .41802 .30013 Metetra
.423 .866 .8 r
.41802 .30013 .42127 .2985 .42856 .29141 .42533 .29302 Metetra
.381 .842 .787 r
.42533 .29302 .42856 .29141 .43586 .2849 .43265 .28649 Metetra
.336 .814 .771 r
.43265 .28649 .43586 .2849 .44318 .279 .43998 .28057 Metetra
.288 .783 .752 r
.43998 .28057 .44318 .279 .45051 .27372 .44733 .27528 Metetra
.236 .748 .73 r
.44733 .27528 .45051 .27372 .45785 .26908 .45469 .27063 Metetra
.182 .71 .706 r
.45469 .27063 .45785 .26908 .46521 .26511 .46207 .26664 Metetra
.46207 .26664 .46521 .26511 .47258 .2618 .46946 .26333 Metetra
.46946 .26333 .47258 .2618 .47997 .25918 .47687 .26071 Metetra
.47687 .26071 .47997 .25918 .48737 .25725 .48429 .25877 Metetra
.048 0 0 r
.48429 .25877 .48737 .25725 .49479 .25602 .49172 .25753 Metetra
.105 0 0 r
.49172 .25753 .49479 .25602 .50222 .25548 .49918 .257 Metetra
.16 0 0 r
.49918 .257 .50222 .25548 .50967 .25564 .50664 .25716 Metetra
.213 0 0 r
.50664 .25716 .50967 .25564 .51714 .2565 .51413 .25802 Metetra
.262 0 0 r
.51413 .25802 .51714 .2565 .52462 .25804 .52163 .25957 Metetra
.309 0 0 r
.52163 .25957 .52462 .25804 .53212 .26026 .52915 .2618 Metetra
.351 0 0 r
.52915 .2618 .53212 .26026 .53964 .26315 .53669 .2647 Metetra
.391 0 0 r
.53669 .2647 .53964 .26315 .54718 .26669 .54425 .26825 Metetra
.427 0 0 r
.54425 .26825 .54718 .26669 .55474 .27087 .55183 .27245 Metetra
.459 0 0 r
.55183 .27245 .55474 .27087 .56231 .27567 .55942 .27726 Metetra
.489 0 0 r
.55942 .27726 .56231 .27567 .56991 .28106 .56704 .28268 Metetra
.515 0 0 r
.56704 .28268 .56991 .28106 .57753 .28703 .57467 .28866 Metetra
.539 0 0 r
.57467 .28866 .57753 .28703 .58516 .29354 .58233 .2952 Metetra
.559 0 0 r
.58233 .2952 .58516 .29354 .59282 .30057 .59001 .30225 Metetra
.578 .015 0 r
.59001 .30225 .59282 .30057 .6005 .30809 .59771 .30979 Metetra
.594 .034 0 r
.59771 .30979 .6005 .30809 .6082 .31606 .60543 .31778 Metetra
.608 .052 0 r
.60543 .31778 .6082 .31606 .61592 .32444 .61317 .3262 Metetra
.62 .067 0 r
.61317 .3262 .61592 .32444 .62366 .33321 .62093 .33499 Metetra
.63 .081 0 r
.62093 .33499 .62366 .33321 .63143 .34232 .62871 .34413 Metetra
.639 .092 0 r
.62871 .34413 .63143 .34232 .63922 .35173 .63652 .35358 Metetra
.646 .101 0 r
.63652 .35358 .63922 .35173 .64703 .3614 .64435 .36328 Metetra
.652 .108 0 r
.64435 .36328 .64703 .3614 .65486 .3713 .65221 .37321 Metetra
.656 .114 0 r
.65221 .37321 .65486 .3713 .66271 .38137 .66008 .38331 Metetra
.659 .118 0 r
.66008 .38331 .66271 .38137 .67059 .39157 .66798 .39355 Metetra
.661 .12 0 r
.66798 .39355 .67059 .39157 .67849 .40186 .6759 .40387 Metetra
.661 .12 0 r
.6759 .40387 .67849 .40186 .68641 .41218 .68384 .41423 Metetra
.66 .119 0 r
.68384 .41423 .68641 .41218 .69436 .42251 .69181 .42459 Metetra
.658 .116 0 r
.69181 .42459 .69436 .42251 .70232 .43278 .6998 .4349 Metetra
.654 .111 0 r
.6998 .4349 .70232 .43278 .71031 .44295 .70781 .44511 Metetra
.65 .105 0 r
.70781 .44511 .71031 .44295 .71833 .45299 .71584 .45517 Metetra
.643 .097 0 r
.71584 .45517 .71833 .45299 .72636 .46283 .72389 .46505 Metetra
.636 .088 0 r
.72389 .46505 .72636 .46283 .73441 .47244 .73197 .47469 Metetra
.627 .077 0 r
.73197 .47469 .73441 .47244 .74249 .48177 .74007 .48406 Metetra
.617 .064 0 r
.74007 .48406 .74249 .48177 .75059 .49078 .74819 .4931 Metetra
.605 .049 0 r
.74819 .4931 .75059 .49078 .75871 .49942 .75633 .50177 Metetra
.591 .032 0 r
.75633 .50177 .75871 .49942 .76684 .50767 .76449 .51005 Metetra
.576 .014 0 r
.76449 .51005 .76684 .50767 .775 .51547 .77267 .51787 Metetra
.558 0 0 r
.77267 .51787 .775 .51547 .78318 .52278 .78087 .52522 Metetra
.539 0 0 r
.78087 .52522 .78318 .52278 .79138 .52959 .78909 .53205 Metetra
.518 0 0 r
.78909 .53205 .79138 .52959 .7996 .53584 .79733 .53832 Metetra
.495 0 0 r
.79733 .53832 .7996 .53584 .80783 .54151 .80559 .54401 Metetra
.47 0 0 r
.80559 .54401 .80783 .54151 .81609 .54657 .81387 .54909 Metetra
.443 0 0 r
.81387 .54909 .81609 .54657 .82436 .55099 .82216 .55353 Metetra
.413 0 0 r
.82216 .55353 .82436 .55099 .83265 .55475 .83048 .5573 Metetra
.381 0 0 r
.83048 .5573 .83265 .55475 .84095 .55782 .8388 .56039 Metetra
.347 0 0 r
.8388 .56039 .84095 .55782 .84927 .56019 .84715 .56277 Metetra
.312 0 0 r
.84715 .56277 .84927 .56019 .85761 .56184 .85551 .56443 Metetra
.274 0 0 r
.85551 .56443 .85761 .56184 .86596 .56276 .86389 .56535 Metetra
.235 0 0 r
.86389 .56535 .86596 .56276 .87433 .56293 .87228 .56553 Metetra
.195 0 0 r
.87228 .56553 .87433 .56293 .88271 .56236 .88068 .56495 Metetra
.164 0 0 r
.13222 .65212 .13618 .64929 .14291 .64819 .13897 .65102 Metetra
.099 0 0 r
.13897 .65102 .14291 .64819 .14966 .64641 .14573 .64924 Metetra
.032 0 0 r
.14573 .64924 .14966 .64641 .15644 .64396 .15252 .64678 Metetra
.15252 .64678 .15644 .64396 .16323 .64083 .15933 .64365 Metetra
.15933 .64365 .16323 .64083 .17004 .63704 .16616 .63985 Metetra
.16616 .63985 .17004 .63704 .17687 .63259 .17301 .63539 Metetra
.23 .736 .68 r
.17301 .63539 .17687 .63259 .18372 .62751 .17987 .63029 Metetra
.288 .776 .71 r
.17987 .63029 .18372 .62751 .19059 .6218 .18676 .62457 Metetra
.341 .812 .735 r
.18676 .62457 .19059 .6218 .19748 .61548 .19366 .61824 Metetra
.39 .842 .757 r
.19366 .61824 .19748 .61548 .20438 .60858 .20058 .61132 Metetra
.434 .868 .775 r
.20058 .61132 .20438 .60858 .2113 .60111 .20752 .60383 Metetra
.473 .89 .79 r
.20752 .60383 .2113 .60111 .21824 .59311 .21447 .59581 Metetra
.508 .908 .801 r
.21447 .59581 .21824 .59311 .2252 .58459 .22145 .58727 Metetra
.538 .922 .81 r
.22145 .58727 .2252 .58459 .23217 .5756 .22843 .57826 Metetra
.564 .935 .818 r
.22843 .57826 .23217 .5756 .23916 .56616 .23544 .56879 Metetra
.587 .945 .823 r
.23544 .56879 .23916 .56616 .24616 .5563 .24246 .55891 Metetra
.607 .953 .828 r
.24246 .55891 .24616 .5563 .25317 .54607 .24949 .54865 Metetra
.623 .959 .831 r
.24949 .54865 .25317 .54607 .2602 .5355 .25654 .53804 Metetra
.637 .964 .833 r
.25654 .53804 .2602 .5355 .26725 .52462 .2636 .52713 Metetra
.649 .968 .835 r
.2636 .52713 .26725 .52462 .27431 .51347 .27068 .51596 Metetra
.658 .971 .836 r
.27068 .51596 .27431 .51347 .28138 .50211 .27776 .50456 Metetra
.665 .973 .837 r
.27776 .50456 .28138 .50211 .28846 .49056 .28487 .49298 Metetra
.67 .975 .838 r
.28487 .49298 .28846 .49056 .29556 .47887 .29198 .48126 Metetra
.673 .976 .838 r
.29198 .48126 .29556 .47887 .30267 .46709 .29911 .46945 Metetra
.675 .976 .838 r
.29911 .46945 .30267 .46709 .30979 .45525 .30625 .45758 Metetra
.674 .976 .838 r
.30625 .45758 .30979 .45525 .31693 .44341 .3134 .4457 Metetra
.672 .976 .838 r
.3134 .4457 .31693 .44341 .32407 .4316 .32057 .43386 Metetra
.668 .974 .838 r
.32057 .43386 .32407 .4316 .33123 .41987 .32774 .42209 Metetra
.662 .972 .837 r
.32774 .42209 .33123 .41987 .3384 .40826 .33493 .41045 Metetra
.654 .97 .836 r
.33493 .41045 .3384 .40826 .34558 .39681 .34213 .39897 Metetra
.644 .967 .835 r
.34213 .39897 .34558 .39681 .35277 .38557 .34934 .3877 Metetra
.632 .962 .834 r
.34934 .3877 .35277 .38557 .35998 .37458 .35656 .37668 Metetra
.618 .957 .832 r
.35656 .37668 .35998 .37458 .36719 .36387 .36379 .36594 Metetra
.602 .951 .829 r
.36379 .36594 .36719 .36387 .37442 .3535 .37104 .35554 Metetra
.582 .943 .826 r
.37104 .35554 .37442 .3535 .38165 .34348 .37829 .3455 Metetra
.56 .933 .822 r
.37829 .3455 .38165 .34348 .3889 .33388 .38556 .33586 Metetra
.535 .922 .816 r
.38556 .33586 .3889 .33388 .39616 .3247 .39284 .32667 Metetra
.507 .908 .809 r
.39284 .32667 .39616 .3247 .40344 .316 .40013 .31794 Metetra
.475 .892 .801 r
.40013 .31794 .40344 .316 .41072 .3078 .40743 .30972 Metetra
.44 .873 .791 r
.40743 .30972 .41072 .3078 .41802 .30013 .41475 .30202 Metetra
.401 .851 .778 r
.41475 .30202 .41802 .30013 .42533 .29302 .42208 .29489 Metetra
.358 .826 .763 r
.42208 .29489 .42533 .29302 .43265 .28649 .42942 .28835 Metetra
.312 .797 .746 r
.42942 .28835 .43265 .28649 .43998 .28057 .43677 .28241 Metetra
.263 .764 .725 r
.43677 .28241 .43998 .28057 .44733 .27528 .44414 .27711 Metetra
.211 .728 .702 r
.44414 .27711 .44733 .27528 .45469 .27063 .45152 .27245 Metetra
.45152 .27245 .45469 .27063 .46207 .26664 .45891 .26845 Metetra
.45891 .26845 .46207 .26664 .46946 .26333 .46632 .26513 Metetra
.46632 .26513 .46946 .26333 .47687 .26071 .47375 .2625 Metetra
.016 0 0 r
.47375 .2625 .47687 .26071 .48429 .25877 .48119 .26056 Metetra
.073 0 0 r
.48119 .26056 .48429 .25877 .49172 .25753 .48864 .25932 Metetra
.129 0 0 r
.48864 .25932 .49172 .25753 .49918 .257 .49611 .25878 Metetra
.183 0 0 r
.49611 .25878 .49918 .257 .50664 .25716 .5036 .25895 Metetra
.234 0 0 r
.5036 .25895 .50664 .25716 .51413 .25802 .51111 .25981 Metetra
.283 0 0 r
.51111 .25981 .51413 .25802 .52163 .25957 .51863 .26137 Metetra
.328 0 0 r
.51863 .26137 .52163 .25957 .52915 .2618 .52617 .26361 Metetra
.369 0 0 r
.52617 .26361 .52915 .2618 .53669 .2647 .53373 .26652 Metetra
.407 0 0 r
.53373 .26652 .53669 .2647 .54425 .26825 .5413 .27009 Metetra
.442 0 0 r
.5413 .27009 .54425 .26825 .55183 .27245 .5489 .2743 Metetra
.473 0 0 r
.5489 .2743 .55183 .27245 .55942 .27726 .55651 .27913 Metetra
.502 0 0 r
.55651 .27913 .55942 .27726 .56704 .28268 .56415 .28456 Metetra
.527 0 0 r
.56415 .28456 .56704 .28268 .57467 .28866 .5718 .29057 Metetra
.549 0 0 r
.5718 .29057 .57467 .28866 .58233 .2952 .57948 .29712 Metetra
.57 .008 0 r
.57948 .29712 .58233 .2952 .59001 .30225 .58718 .3042 Metetra
.587 .03 0 r
.58718 .3042 .59001 .30225 .59771 .30979 .5949 .31177 Metetra
.603 .049 0 r
.5949 .31177 .59771 .30979 .60543 .31778 .60263 .31979 Metetra
.616 .066 0 r
.60263 .31979 .60543 .31778 .61317 .3262 .6104 .32823 Metetra
.628 .081 0 r
.6104 .32823 .61317 .3262 .62093 .33499 .61818 .33706 Metetra
.638 .094 0 r
.61818 .33706 .62093 .33499 .62871 .34413 .62598 .34623 Metetra
.646 .105 0 r
.62598 .34623 .62871 .34413 .63652 .35358 .63381 .3557 Metetra
.653 .114 0 r
.63381 .3557 .63652 .35358 .64435 .36328 .64166 .36544 Metetra
.659 .121 0 r
.64166 .36544 .64435 .36328 .65221 .37321 .64954 .3754 Metetra
.663 .126 0 r
.64954 .3754 .65221 .37321 .66008 .38331 .65743 .38554 Metetra
.666 .13 0 r
.65743 .38554 .66008 .38331 .66798 .39355 .66535 .39581 Metetra
.667 .132 0 r
.66535 .39581 .66798 .39355 .6759 .40387 .67329 .40617 Metetra
.667 .132 0 r
.67329 .40617 .6759 .40387 .68384 .41423 .68126 .41657 Metetra
.667 .131 0 r
.68126 .41657 .68384 .41423 .69181 .42459 .68924 .42696 Metetra
.664 .128 0 r
.68924 .42696 .69181 .42459 .6998 .4349 .69725 .4373 Metetra
.661 .124 0 r
.69725 .4373 .6998 .4349 .70781 .44511 .70528 .44755 Metetra
.656 .118 0 r
.70528 .44755 .70781 .44511 .71584 .45517 .71334 .45765 Metetra
.651 .11 0 r
.71334 .45765 .71584 .45517 .72389 .46505 .72142 .46756 Metetra
.643 .101 0 r
.72142 .46756 .72389 .46505 .73197 .47469 .72951 .47724 Metetra
.635 .09 0 r
.72951 .47724 .73197 .47469 .74007 .48406 .73763 .48663 Metetra
.625 .077 0 r
.73763 .48663 .74007 .48406 .74819 .4931 .74578 .49571 Metetra
.613 .063 0 r
.74578 .49571 .74819 .4931 .75633 .50177 .75394 .50441 Metetra
.6 .047 0 r
.75394 .50441 .75633 .50177 .76449 .51005 .76212 .51272 Metetra
.585 .029 0 r
.76212 .51272 .76449 .51005 .77267 .51787 .77033 .52057 Metetra
.568 .009 0 r
.77033 .52057 .77267 .51787 .78087 .52522 .77855 .52794 Metetra
.55 0 0 r
.77855 .52794 .78087 .52522 .78909 .53205 .78679 .5348 Metetra
.53 0 0 r
.78679 .5348 .78909 .53205 .79733 .53832 .79506 .54109 Metetra
.507 0 0 r
.79506 .54109 .79733 .53832 .80559 .54401 .80334 .54681 Metetra
.483 0 0 r
.80334 .54681 .80559 .54401 .81387 .54909 .81164 .55191 Metetra
.456 0 0 r
.81164 .55191 .81387 .54909 .82216 .55353 .81996 .55636 Metetra
.428 0 0 r
.81996 .55636 .82216 .55353 .83048 .5573 .82829 .56015 Metetra
.397 0 0 r
.82829 .56015 .83048 .5573 .8388 .56039 .83664 .56325 Metetra
.364 0 0 r
.83664 .56325 .8388 .56039 .84715 .56277 .84501 .56564 Metetra
.33 0 0 r
.84501 .56564 .84715 .56277 .85551 .56443 .8534 .56731 Metetra
.293 0 0 r
.8534 .56731 .85551 .56443 .86389 .56535 .8618 .56824 Metetra
.255 0 0 r
.8618 .56824 .86389 .56535 .87228 .56553 .87022 .56842 Metetra
.216 0 0 r
.87022 .56842 .87228 .56553 .88068 .56495 .87865 .56785 Metetra
.186 0 0 r
.12823 .65522 .13222 .65212 .13897 .65102 .135 .65412 Metetra
.122 0 0 r
.135 .65412 .13897 .65102 .14573 .64924 .14178 .65234 Metetra
.056 0 0 r
.14178 .65234 .14573 .64924 .15252 .64678 .14858 .64987 Metetra
.14858 .64987 .15252 .64678 .15933 .64365 .15541 .64673 Metetra
.15541 .64673 .15933 .64365 .16616 .63985 .16225 .64293 Metetra
.16225 .64293 .16616 .63985 .17301 .63539 .16911 .63846 Metetra
.16911 .63846 .17301 .63539 .17987 .63029 .176 .63335 Metetra
.263 .756 .682 r
.176 .63335 .17987 .63029 .18676 .62457 .1829 .62762 Metetra
.317 .793 .709 r
.1829 .62762 .18676 .62457 .19366 .61824 .18982 .62127 Metetra
.367 .825 .732 r
.18982 .62127 .19366 .61824 .20058 .61132 .19675 .61433 Metetra
.412 .853 .752 r
.19675 .61433 .20058 .61132 .20752 .60383 .20371 .60682 Metetra
.452 .876 .768 r
.20371 .60682 .20752 .60383 .21447 .59581 .21068 .59878 Metetra
.488 .896 .781 r
.21068 .59878 .21447 .59581 .22145 .58727 .21767 .59022 Metetra
.519 .912 .792 r
.21767 .59022 .22145 .58727 .22843 .57826 .22467 .58118 Metetra
.547 .925 .8 r
.22467 .58118 .22843 .57826 .23544 .56879 .23169 .57169 Metetra
.571 .936 .807 r
.23169 .57169 .23544 .56879 .24246 .55891 .23873 .56178 Metetra
.591 .945 .812 r
.23873 .56178 .24246 .55891 .24949 .54865 .24578 .55149 Metetra
.608 .952 .816 r
.24578 .55149 .24949 .54865 .25654 .53804 .25285 .54086 Metetra
.623 .958 .819 r
.25285 .54086 .25654 .53804 .2636 .52713 .25993 .52992 Metetra
.635 .962 .821 r
.25993 .52992 .2636 .52713 .27068 .51596 .26702 .51872 Metetra
.645 .966 .823 r
.26702 .51872 .27068 .51596 .27776 .50456 .27413 .50729 Metetra
.652 .968 .824 r
.27413 .50729 .27776 .50456 .28487 .49298 .28125 .49568 Metetra
.657 .97 .825 r
.28125 .49568 .28487 .49298 .29198 .48126 .28838 .48393 Metetra
.661 .971 .825 r
.28838 .48393 .29198 .48126 .29911 .46945 .29553 .47208 Metetra
.662 .972 .826 r
.29553 .47208 .29911 .46945 .30625 .45758 .30268 .46018 Metetra
.661 .971 .825 r
.30268 .46018 .30625 .45758 .3134 .4457 .30985 .44827 Metetra
.659 .971 .825 r
.30985 .44827 .3134 .4457 .32057 .43386 .31704 .43639 Metetra
.655 .969 .825 r
.31704 .43639 .32057 .43386 .32774 .42209 .32423 .42459 Metetra
.649 .967 .824 r
.32423 .42459 .32774 .42209 .33493 .41045 .33144 .41292 Metetra
.641 .964 .823 r
.33144 .41292 .33493 .41045 .34213 .39897 .33865 .40141 Metetra
.63 .961 .821 r
.33865 .40141 .34213 .39897 .34934 .3877 .34588 .39011 Metetra
.618 .956 .819 r
.34588 .39011 .34934 .3877 .35656 .37668 .35312 .37905 Metetra
.603 .95 .817 r
.35312 .37905 .35656 .37668 .36379 .36594 .36037 .36829 Metetra
.586 .943 .813 r
.36037 .36829 .36379 .36594 .37104 .35554 .36764 .35785 Metetra
.566 .934 .809 r
.36764 .35785 .37104 .35554 .37829 .3455 .37491 .34779 Metetra
.543 .924 .804 r
.37491 .34779 .37829 .3455 .38556 .33586 .3822 .33812 Metetra
.517 .911 .798 r
.3822 .33812 .38556 .33586 .39284 .32667 .3895 .3289 Metetra
.487 .896 .79 r
.3895 .3289 .39284 .32667 .40013 .31794 .3968 .32015 Metetra
.455 .879 .78 r
.3968 .32015 .40013 .31794 .40743 .30972 .40413 .3119 Metetra
.418 .859 .768 r
.40413 .3119 .40743 .30972 .41475 .30202 .41146 .30419 Metetra
.378 .835 .754 r
.41146 .30419 .41475 .30202 .42208 .29489 .41881 .29704 Metetra
.335 .808 .738 r
.41881 .29704 .42208 .29489 .42942 .28835 .42617 .29048 Metetra
.288 .778 .719 r
.42617 .29048 .42942 .28835 .43677 .28241 .43354 .28453 Metetra
.238 .744 .697 r
.43354 .28453 .43677 .28241 .44414 .27711 .44093 .27921 Metetra
.44093 .27921 .44414 .27711 .45152 .27245 .44833 .27454 Metetra
.44833 .27454 .45152 .27245 .45891 .26845 .45574 .27053 Metetra
.45574 .27053 .45891 .26845 .46632 .26513 .46317 .2672 Metetra
.46317 .2672 .46632 .26513 .47375 .2625 .47061 .26456 Metetra
.041 0 0 r
.47061 .26456 .47375 .2625 .48119 .26056 .47807 .26262 Metetra
.098 0 0 r
.47807 .26262 .48119 .26056 .48864 .25932 .48554 .26138 Metetra
.152 0 0 r
.48554 .26138 .48864 .25932 .49611 .25878 .49303 .26084 Metetra
.205 0 0 r
.49303 .26084 .49611 .25878 .5036 .25895 .50054 .26101 Metetra
.255 0 0 r
.50054 .26101 .5036 .25895 .51111 .25981 .50806 .26188 Metetra
.302 0 0 r
.50806 .26188 .51111 .25981 .51863 .26137 .51561 .26344 Metetra
.345 0 0 r
.51561 .26344 .51863 .26137 .52617 .26361 .52317 .26569 Metetra
.386 0 0 r
.52317 .26569 .52617 .26361 .53373 .26652 .53074 .26861 Metetra
.422 0 0 r
.53074 .26861 .53373 .26652 .5413 .27009 .53834 .2722 Metetra
.456 0 0 r
.53834 .2722 .5413 .27009 .5489 .2743 .54595 .27642 Metetra
.486 0 0 r
.54595 .27642 .5489 .2743 .55651 .27913 .55359 .28127 Metetra
.513 0 0 r
.55359 .28127 .55651 .27913 .56415 .28456 .56124 .28672 Metetra
.538 0 0 r
.56124 .28672 .56415 .28456 .5718 .29057 .56892 .29275 Metetra
.56 0 0 r
.56892 .29275 .5718 .29057 .57948 .29712 .57661 .29933 Metetra
.579 .023 0 r
.57661 .29933 .57948 .29712 .58718 .3042 .58433 .30643 Metetra
.596 .044 0 r
.58433 .30643 .58718 .3042 .5949 .31177 .59207 .31403 Metetra
.611 .063 0 r
.59207 .31403 .5949 .31177 .60263 .31979 .59983 .32207 Metetra
.624 .08 0 r
.59983 .32207 .60263 .31979 .6104 .32823 .60761 .33055 Metetra
.635 .094 0 r
.60761 .33055 .6104 .32823 .61818 .33706 .61541 .3394 Metetra
.645 .106 0 r
.61541 .3394 .61818 .33706 .62598 .34623 .62324 .34861 Metetra
.653 .117 0 r
.62324 .34861 .62598 .34623 .63381 .3557 .63109 .35811 Metetra
.66 .126 0 r
.63109 .35811 .63381 .3557 .64166 .36544 .63896 .36789 Metetra
.665 .132 0 r
.63896 .36789 .64166 .36544 .64954 .3754 .64685 .37788 Metetra
.669 .138 0 r
.64685 .37788 .64954 .3754 .65743 .38554 .65477 .38806 Metetra
.672 .141 0 r
.65477 .38806 .65743 .38554 .66535 .39581 .66271 .39836 Metetra
.673 .143 0 r
.66271 .39836 .66535 .39581 .67329 .40617 .67067 .40876 Metetra
.673 .144 0 r
.67067 .40876 .67329 .40617 .68126 .41657 .67865 .41919 Metetra
.673 .142 0 r
.67865 .41919 .68126 .41657 .68924 .42696 .68666 .42962 Metetra
.67 .14 0 r
.68666 .42962 .68924 .42696 .69725 .4373 .69469 .44 Metetra
.667 .135 0 r
.69469 .44 .69725 .4373 .70528 .44755 .70275 .45028 Metetra
.663 .13 0 r
.70275 .45028 .70528 .44755 .71334 .45765 .71082 .46042 Metetra
.657 .122 0 r
.71082 .46042 .71334 .45765 .72142 .46756 .71892 .47036 Metetra
.65 .113 0 r
.71892 .47036 .72142 .46756 .72951 .47724 .72704 .48007 Metetra
.642 .103 0 r
.72704 .48007 .72951 .47724 .73763 .48663 .73518 .4895 Metetra
.632 .09 0 r
.73518 .4895 .73763 .48663 .74578 .49571 .74335 .49861 Metetra
.621 .076 0 r
.74335 .49861 .74578 .49571 .75394 .50441 .75153 .50735 Metetra
.608 .061 0 r
.75153 .50735 .75394 .50441 .76212 .51272 .75974 .51568 Metetra
.594 .043 0 r
.75974 .51568 .76212 .51272 .77033 .52057 .76797 .52356 Metetra
.578 .024 0 r
.76797 .52356 .77033 .52057 .77855 .52794 .77621 .53096 Metetra
.56 .003 0 r
.77621 .53096 .77855 .52794 .78679 .5348 .78448 .53784 Metetra
.54 0 0 r
.78448 .53784 .78679 .5348 .79506 .54109 .79277 .54417 Metetra
.519 0 0 r
.79277 .54417 .79506 .54109 .80334 .54681 .80107 .5499 Metetra
.495 0 0 r
.80107 .5499 .80334 .54681 .81164 .55191 .8094 .55502 Metetra
.469 0 0 r
.8094 .55502 .81164 .55191 .81996 .55636 .81774 .55949 Metetra
.442 0 0 r
.81774 .55949 .81996 .55636 .82829 .56015 .8261 .5633 Metetra
.412 0 0 r
.8261 .5633 .82829 .56015 .83664 .56325 .83447 .56641 Metetra
.38 0 0 r
.83447 .56641 .83664 .56325 .84501 .56564 .84287 .56882 Metetra
.346 0 0 r
.84287 .56882 .84501 .56564 .8534 .56731 .85128 .5705 Metetra
.311 0 0 r
.85128 .5705 .8534 .56731 .8618 .56824 .8597 .57143 Metetra
.274 0 0 r
.8597 .57143 .8618 .56824 .87022 .56842 .86814 .57162 Metetra
.236 0 0 r
.86814 .57162 .87022 .56842 .87865 .56785 .8766 .57105 Metetra
.206 0 0 r
.12422 .65859 .12823 .65522 .135 .65412 .131 .65749 Metetra
.144 0 0 r
.131 .65749 .135 .65412 .14178 .65234 .1378 .65571 Metetra
.08 0 0 r
.1378 .65571 .14178 .65234 .14858 .64987 .14462 .65324 Metetra
.014 0 0 r
.14462 .65324 .14858 .64987 .15541 .64673 .15146 .65009 Metetra
.15146 .65009 .15541 .64673 .16225 .64293 .15832 .64628 Metetra
.15832 .64628 .16225 .64293 .16911 .63846 .1652 .64181 Metetra
.1652 .64181 .16911 .63846 .176 .63335 .1721 .63668 Metetra
.1721 .63668 .176 .63335 .1829 .62762 .17901 .63093 Metetra
.292 .773 .682 r
.17901 .63093 .1829 .62762 .18982 .62127 .18595 .62457 Metetra
.343 .807 .707 r
.18595 .62457 .18982 .62127 .19675 .61433 .1929 .61761 Metetra
.389 .836 .728 r
.1929 .61761 .19675 .61433 .20371 .60682 .19987 .61009 Metetra
.431 .861 .746 r
.19987 .61009 .20371 .60682 .21068 .59878 .20686 .60202 Metetra
.467 .882 .76 r
.20686 .60202 .21068 .59878 .21767 .59022 .21387 .59345 Metetra
.5 .9 .772 r
.21387 .59345 .21767 .59022 .22467 .58118 .22089 .58438 Metetra
.528 .914 .782 r
.22089 .58438 .22467 .58118 .23169 .57169 .22793 .57486 Metetra
.553 .926 .789 r
.22793 .57486 .23169 .57169 .23873 .56178 .23498 .56493 Metetra
.574 .936 .795 r
.23498 .56493 .23873 .56178 .24578 .55149 .24205 .55461 Metetra
.593 .944 .8 r
.24205 .55461 .24578 .55149 .25285 .54086 .24913 .54395 Metetra
.608 .95 .804 r
.24913 .54395 .25285 .54086 .25993 .52992 .25623 .53298 Metetra
.62 .955 .806 r
.25623 .53298 .25993 .52992 .26702 .51872 .26334 .52175 Metetra
.63 .959 .809 r
.26334 .52175 .26702 .51872 .27413 .50729 .27047 .51029 Metetra
.638 .962 .81 r
.27047 .51029 .27413 .50729 .28125 .49568 .27761 .49865 Metetra
.644 .964 .811 r
.27761 .49865 .28125 .49568 .28838 .48393 .28476 .48686 Metetra
.647 .965 .812 r
.28476 .48686 .28838 .48393 .29553 .47208 .29192 .47498 Metetra
.649 .966 .812 r
.29192 .47498 .29553 .47208 .30268 .46018 .2991 .46305 Metetra
.648 .966 .812 r
.2991 .46305 .30268 .46018 .30985 .44827 .30629 .45111 Metetra
.646 .965 .811 r
.30629 .45111 .30985 .44827 .31704 .43639 .31349 .4392 Metetra
.641 .963 .811 r
.31349 .4392 .31704 .43639 .32423 .42459 .3207 .42737 Metetra
.635 .961 .81 r
.3207 .42737 .32423 .42459 .33144 .41292 .32792 .41566 Metetra
.626 .957 .808 r
.32792 .41566 .33144 .41292 .33865 .40141 .33516 .40412 Metetra
.616 .953 .806 r
.33516 .40412 .33865 .40141 .34588 .39011 .3424 .39278 Metetra
.603 .948 .804 r
.3424 .39278 .34588 .39011 .35312 .37905 .34966 .3817 Metetra
.587 .942 .8 r
.34966 .3817 .35312 .37905 .36037 .36829 .35693 .3709 Metetra
.569 .934 .796 r
.35693 .3709 .36037 .36829 .36764 .35785 .36422 .36044 Metetra
.548 .924 .792 r
.36422 .36044 .36764 .35785 .37491 .34779 .37151 .35035 Metetra
.524 .913 .785 r
.37151 .35035 .37491 .34779 .3822 .33812 .37881 .34066 Metetra
.497 .899 .778 r
.37881 .34066 .3822 .33812 .3895 .3289 .38613 .33141 Metetra
.467 .883 .769 r
.38613 .33141 .3895 .3289 .3968 .32015 .39346 .32263 Metetra
.433 .865 .758 r
.39346 .32263 .3968 .32015 .40413 .3119 .4008 .31436 Metetra
.396 .843 .745 r
.4008 .31436 .40413 .3119 .41146 .30419 .40815 .30663 Metetra
.355 .818 .73 r
.40815 .30663 .41146 .30419 .41881 .29704 .41552 .29946 Metetra
.31 .79 .712 r
.41552 .29946 .41881 .29704 .42617 .29048 .4229 .29288 Metetra
.263 .758 .691 r
.4229 .29288 .42617 .29048 .43354 .28453 .43029 .28692 Metetra
.43029 .28692 .43354 .28453 .44093 .27921 .43769 .28158 Metetra
.43769 .28158 .44093 .27921 .44833 .27454 .44511 .2769 Metetra
.44511 .2769 .44833 .27454 .45574 .27053 .45254 .27288 Metetra
.45254 .27288 .45574 .27053 .46317 .2672 .45999 .26955 Metetra
.009 0 0 r
.45999 .26955 .46317 .2672 .47061 .26456 .46745 .2669 Metetra
.066 0 0 r
.46745 .2669 .47061 .26456 .47807 .26262 .47493 .26496 Metetra
.121 0 0 r
.47493 .26496 .47807 .26262 .48554 .26138 .48243 .26372 Metetra
.175 0 0 r
.48243 .26372 .48554 .26138 .49303 .26084 .48993 .26318 Metetra
.226 0 0 r
.48993 .26318 .49303 .26084 .50054 .26101 .49746 .26335 Metetra
.275 0 0 r
.49746 .26335 .50054 .26101 .50806 .26188 .505 .26423 Metetra
.32 0 0 r
.505 .26423 .50806 .26188 .51561 .26344 .51256 .2658 Metetra
.362 0 0 r
.51256 .2658 .51561 .26344 .52317 .26569 .52014 .26805 Metetra
.401 0 0 r
.52014 .26805 .52317 .26569 .53074 .26861 .52774 .27099 Metetra
.437 0 0 r
.52774 .27099 .53074 .26861 .53834 .2722 .53536 .27459 Metetra
.469 0 0 r
.53536 .27459 .53834 .2722 .54595 .27642 .54299 .27883 Metetra
.498 0 0 r
.54299 .27883 .54595 .27642 .55359 .28127 .55064 .28369 Metetra
.524 0 0 r
.55064 .28369 .55359 .28127 .56124 .28672 .55832 .28917 Metetra
.548 0 0 r
.55832 .28917 .56124 .28672 .56892 .29275 .56601 .29522 Metetra
.569 .015 0 r
.56601 .29522 .56892 .29275 .57661 .29933 .57373 .30182 Metetra
.588 .038 0 r
.57373 .30182 .57661 .29933 .58433 .30643 .58147 .30895 Metetra
.604 .058 0 r
.58147 .30895 .58433 .30643 .59207 .31403 .58922 .31657 Metetra
.618 .076 0 r
.58922 .31657 .59207 .31403 .59983 .32207 .597 .32464 Metetra
.631 .093 0 r
.597 .32464 .59983 .32207 .60761 .33055 .60481 .33315 Metetra
.642 .106 0 r
.60481 .33315 .60761 .33055 .61541 .3394 .61263 .34203 Metetra
.651 .118 0 r
.61263 .34203 .61541 .3394 .62324 .34861 .62048 .35127 Metetra
.659 .129 0 r
.62048 .35127 .62324 .34861 .63109 .35811 .62834 .36081 Metetra
.666 .137 0 r
.62834 .36081 .63109 .35811 .63896 .36789 .63624 .37062 Metetra
.671 .144 0 r
.63624 .37062 .63896 .36789 .64685 .37788 .64415 .38065 Metetra
.674 .149 0 r
.64415 .38065 .64685 .37788 .65477 .38806 .65209 .39086 Metetra
.677 .152 0 r
.65209 .39086 .65477 .38806 .66271 .39836 .66005 .4012 Metetra
.679 .154 0 r
.66005 .4012 .66271 .39836 .67067 .40876 .66803 .41163 Metetra
.679 .155 0 r
.66803 .41163 .67067 .40876 .67865 .41919 .67604 .4221 Metetra
.678 .153 0 r
.67604 .4221 .67865 .41919 .68666 .42962 .68407 .43257 Metetra
.676 .151 0 r
.68407 .43257 .68666 .42962 .69469 .44 .69212 .44298 Metetra
.673 .147 0 r
.69212 .44298 .69469 .44 .70275 .45028 .7002 .4533 Metetra
.668 .141 0 r
.7002 .4533 .70275 .45028 .71082 .46042 .70829 .46347 Metetra
.663 .134 0 r
.70829 .46347 .71082 .46042 .71892 .47036 .71641 .47346 Metetra
.656 .125 0 r
.71641 .47346 .71892 .47036 .72704 .48007 .72456 .4832 Metetra
.648 .115 0 r
.72456 .4832 .72704 .48007 .73518 .4895 .73272 .49267 Metetra
.639 .103 0 r
.73272 .49267 .73518 .4895 .74335 .49861 .74091 .50181 Metetra
.628 .089 0 r
.74091 .50181 .74335 .49861 .75153 .50735 .74912 .51058 Metetra
.616 .074 0 r
.74912 .51058 .75153 .50735 .75974 .51568 .75734 .51894 Metetra
.602 .057 0 r
.75734 .51894 .75974 .51568 .76797 .52356 .76559 .52686 Metetra
.586 .039 0 r
.76559 .52686 .76797 .52356 .77621 .53096 .77386 .53428 Metetra
.569 .018 0 r
.77386 .53428 .77621 .53096 .78448 .53784 .78215 .54119 Metetra
.55 0 0 r
.78215 .54119 .78448 .53784 .79277 .54417 .79046 .54754 Metetra
.529 0 0 r
.79046 .54754 .79277 .54417 .80107 .5499 .79879 .5533 Metetra
.506 0 0 r
.79879 .5533 .80107 .5499 .8094 .55502 .80714 .55844 Metetra
.481 0 0 r
.80714 .55844 .8094 .55502 .81774 .55949 .81551 .56293 Metetra
.454 0 0 r
.81551 .56293 .81774 .55949 .8261 .5633 .82389 .56675 Metetra
.426 0 0 r
.82389 .56675 .8261 .5633 .83447 .56641 .83229 .56988 Metetra
.395 0 0 r
.83229 .56988 .83447 .56641 .84287 .56882 .84071 .5723 Metetra
.362 0 0 r
.84071 .5723 .84287 .56882 .85128 .5705 .84914 .57398 Metetra
.328 0 0 r
.84914 .57398 .85128 .5705 .8597 .57143 .85759 .57493 Metetra
.292 0 0 r
.85759 .57493 .8597 .57143 .86814 .57162 .86606 .57512 Metetra
.255 0 0 r
.86606 .57512 .86814 .57162 .8766 .57105 .87454 .57455 Metetra
.225 0 0 r
.12018 .66224 .12422 .65859 .131 .65749 .12698 .66114 Metetra
.165 0 0 r
.12698 .66114 .131 .65749 .1378 .65571 .13379 .65935 Metetra
.102 0 0 r
.13379 .65935 .1378 .65571 .14462 .65324 .14063 .65688 Metetra
.038 0 0 r
.14063 .65688 .14462 .65324 .15146 .65009 .14748 .65373 Metetra
.14748 .65373 .15146 .65009 .15832 .64628 .15436 .64991 Metetra
.15436 .64991 .15832 .64628 .1652 .64181 .16125 .64542 Metetra
.16125 .64542 .1652 .64181 .1721 .63668 .16817 .64029 Metetra
.16817 .64029 .1721 .63668 .17901 .63093 .1751 .63453 Metetra
.1751 .63453 .17901 .63093 .18595 .62457 .18206 .62815 Metetra
.319 .788 .68 r
.18206 .62815 .18595 .62457 .1929 .61761 .18903 .62118 Metetra
.366 .819 .703 r
.18903 .62118 .1929 .61761 .19987 .61009 .19602 .61363 Metetra
.408 .845 .722 r
.19602 .61363 .19987 .61009 .20686 .60202 .20302 .60555 Metetra
.446 .868 .738 r
.20302 .60555 .20686 .60202 .21387 .59345 .21004 .59695 Metetra
.48 .886 .751 r
.21004 .59695 .21387 .59345 .22089 .58438 .21708 .58786 Metetra
.509 .902 .762 r
.21708 .58786 .22089 .58438 .22793 .57486 .22414 .57832 Metetra
.535 .915 .77 r
.22414 .57832 .22793 .57486 .23498 .56493 .23121 .56836 Metetra
.557 .926 .777 r
.23121 .56836 .23498 .56493 .24205 .55461 .2383 .55801 Metetra
.576 .934 .783 r
.2383 .55801 .24205 .55461 .24913 .54395 .2454 .54732 Metetra
.592 .941 .787 r
.2454 .54732 .24913 .54395 .25623 .53298 .25251 .53632 Metetra
.605 .947 .79 r
.25251 .53632 .25623 .53298 .26334 .52175 .25964 .52506 Metetra
.615 .951 .793 r
.25964 .52506 .26334 .52175 .27047 .51029 .26678 .51357 Metetra
.623 .955 .795 r
.26678 .51357 .27047 .51029 .27761 .49865 .27394 .50189 Metetra
.629 .957 .796 r
.27394 .50189 .27761 .49865 .28476 .48686 .28111 .49008 Metetra
.633 .958 .797 r
.28111 .49008 .28476 .48686 .29192 .47498 .28829 .47816 Metetra
.634 .959 .797 r
.28829 .47816 .29192 .47498 .2991 .46305 .29549 .4662 Metetra
.634 .959 .797 r
.29549 .4662 .2991 .46305 .30629 .45111 .30269 .45422 Metetra
.631 .958 .797 r
.30269 .45422 .30629 .45111 .31349 .4392 .30991 .44228 Metetra
.627 .956 .796 r
.30991 .44228 .31349 .4392 .3207 .42737 .31714 .43042 Metetra
.62 .953 .794 r
.31714 .43042 .3207 .42737 .32792 .41566 .32439 .41868 Metetra
.611 .95 .792 r
.32439 .41868 .32792 .41566 .33516 .40412 .33164 .4071 Metetra
.6 .945 .79 r
.33164 .4071 .33516 .40412 .3424 .39278 .33891 .39574 Metetra
.586 .939 .787 r
.33891 .39574 .3424 .39278 .34966 .3817 .34618 .38462 Metetra
.57 .932 .783 r
.34618 .38462 .34966 .3817 .35693 .3709 .35347 .3738 Metetra
.551 .924 .778 r
.35347 .3738 .35693 .3709 .36422 .36044 .36077 .3633 Metetra
.53 .913 .773 r
.36077 .3633 .36422 .36044 .37151 .35035 .36808 .35318 Metetra
.505 .901 .766 r
.36808 .35318 .37151 .35035 .37881 .34066 .37541 .34346 Metetra
.477 .886 .757 r
.37541 .34346 .37881 .34066 .38613 .33141 .38274 .33419 Metetra
.446 .869 .747 r
.38274 .33419 .38613 .33141 .39346 .32263 .39009 .32539 Metetra
.411 .849 .735 r
.39009 .32539 .39346 .32263 .4008 .31436 .39745 .3171 Metetra
.373 .826 .72 r
.39745 .3171 .4008 .31436 .40815 .30663 .40482 .30935 Metetra
.331 .8 .704 r
.40482 .30935 .40815 .30663 .41552 .29946 .41221 .30216 Metetra
.286 .77 .684 r
.41221 .30216 .41552 .29946 .4229 .29288 .4196 .29556 Metetra
.4196 .29556 .4229 .29288 .43029 .28692 .42701 .28958 Metetra
.42701 .28958 .43029 .28692 .43769 .28158 .43444 .28423 Metetra
.43444 .28423 .43769 .28158 .44511 .2769 .44188 .27954 Metetra
.44188 .27954 .44511 .2769 .45254 .27288 .44933 .27551 Metetra
.44933 .27551 .45254 .27288 .45999 .26955 .4568 .27217 Metetra
.034 0 0 r
.4568 .27217 .45999 .26955 .46745 .2669 .46428 .26952 Metetra
.09 0 0 r
.46428 .26952 .46745 .2669 .47493 .26496 .47177 .26757 Metetra
.144 0 0 r
.47177 .26757 .47493 .26496 .48243 .26372 .47929 .26633 Metetra
.196 0 0 r
.47929 .26633 .48243 .26372 .48993 .26318 .48682 .2658 Metetra
.246 0 0 r
.48682 .2658 .48993 .26318 .49746 .26335 .49436 .26597 Metetra
.293 0 0 r
.49436 .26597 .49746 .26335 .505 .26423 .50192 .26685 Metetra
.337 0 0 r
.50192 .26685 .505 .26423 .51256 .2658 .5095 .26843 Metetra
.378 0 0 r
.5095 .26843 .51256 .2658 .52014 .26805 .5171 .2707 Metetra
.416 0 0 r
.5171 .2707 .52014 .26805 .52774 .27099 .52472 .27365 Metetra
.45 0 0 r
.52472 .27365 .52774 .27099 .53536 .27459 .53235 .27726 Metetra
.481 0 0 r
.53235 .27726 .53536 .27459 .54299 .27883 .54001 .28151 Metetra
.509 0 0 r
.54001 .28151 .54299 .27883 .55064 .28369 .54768 .2864 Metetra
.534 0 0 r
.54768 .2864 .55064 .28369 .55832 .28917 .55538 .29189 Metetra
.557 .005 0 r
.55538 .29189 .55832 .28917 .56601 .29522 .56309 .29797 Metetra
.577 .03 0 r
.56309 .29797 .56601 .29522 .57373 .30182 .57083 .30459 Metetra
.595 .052 0 r
.57083 .30459 .57373 .30182 .58147 .30895 .57858 .31175 Metetra
.611 .072 0 r
.57858 .31175 .58147 .30895 .58922 .31657 .58636 .31939 Metetra
.625 .089 0 r
.58636 .31939 .58922 .31657 .597 .32464 .59416 .3275 Metetra
.637 .105 0 r
.59416 .3275 .597 .32464 .60481 .33315 .60198 .33603 Metetra
.648 .118 0 r
.60198 .33603 .60481 .33315 .61263 .34203 .60983 .34495 Metetra
.657 .13 0 r
.60983 .34495 .61263 .34203 .62048 .35127 .6177 .35422 Metetra
.665 .14 0 r
.6177 .35422 .62048 .35127 .62834 .36081 .62558 .36379 Metetra
.671 .148 0 r
.62558 .36379 .62834 .36081 .63624 .37062 .6335 .37364 Metetra
.676 .155 0 r
.6335 .37364 .63624 .37062 .64415 .38065 .64143 .3837 Metetra
.679 .159 0 r
.64143 .3837 .64415 .38065 .65209 .39086 .64939 .39395 Metetra
.682 .163 0 r
.64939 .39395 .65209 .39086 .66005 .4012 .65737 .40433 Metetra
.683 .165 0 r
.65737 .40433 .66005 .4012 .66803 .41163 .66538 .4148 Metetra
.684 .165 0 r
.66538 .4148 .66803 .41163 .67604 .4221 .67341 .42531 Metetra
.683 .164 0 r
.67341 .42531 .67604 .4221 .68407 .43257 .68146 .43581 Metetra
.681 .161 0 r
.68146 .43581 .68407 .43257 .69212 .44298 .68953 .44626 Metetra
.678 .157 0 r
.68953 .44626 .69212 .44298 .7002 .4533 .69763 .45662 Metetra
.674 .152 0 r
.69763 .45662 .7002 .4533 .70829 .46347 .70575 .46683 Metetra
.668 .145 0 r
.70575 .46683 .70829 .46347 .71641 .47346 .71389 .47685 Metetra
.662 .136 0 r
.71389 .47685 .71641 .47346 .72456 .4832 .72206 .48663 Metetra
.654 .127 0 r
.72206 .48663 .72456 .4832 .73272 .49267 .73024 .49613 Metetra
.645 .115 0 r
.73024 .49613 .73272 .49267 .74091 .50181 .73845 .5053 Metetra
.634 .102 0 r
.73845 .5053 .74091 .50181 .74912 .51058 .74668 .51411 Metetra
.622 .087 0 r
.74668 .51411 .74912 .51058 .75734 .51894 .75494 .5225 Metetra
.609 .071 0 r
.75494 .5225 .75734 .51894 .76559 .52686 .76321 .53045 Metetra
.594 .053 0 r
.76321 .53045 .76559 .52686 .77386 .53428 .7715 .5379 Metetra
.577 .033 0 r
.7715 .5379 .77386 .53428 .78215 .54119 .77981 .54484 Metetra
.559 .011 0 r
.77981 .54484 .78215 .54119 .79046 .54754 .78815 .55121 Metetra
.538 0 0 r
.78815 .55121 .79046 .54754 .79879 .5533 .7965 .55699 Metetra
.516 0 0 r
.7965 .55699 .79879 .5533 .80714 .55844 .80487 .56215 Metetra
.492 0 0 r
.80487 .56215 .80714 .55844 .81551 .56293 .81326 .56667 Metetra
.466 0 0 r
.81326 .56667 .81551 .56293 .82389 .56675 .82167 .57051 Metetra
.438 0 0 r
.82167 .57051 .82389 .56675 .83229 .56988 .83009 .57365 Metetra
.409 0 0 r
.83009 .57365 .83229 .56988 .84071 .5723 .83854 .57608 Metetra
.377 0 0 r
.83854 .57608 .84071 .5723 .84914 .57398 .84699 .57778 Metetra
.344 0 0 r
.84699 .57778 .84914 .57398 .85759 .57493 .85547 .57873 Metetra
.309 0 0 r
.85547 .57873 .85759 .57493 .86606 .57512 .86396 .57893 Metetra
.273 0 0 r
.86396 .57893 .86606 .57512 .87454 .57455 .87247 .57836 Metetra
.244 0 0 r
.11612 .66616 .12018 .66224 .12698 .66114 .12293 .66506 Metetra
.185 0 0 r
.12293 .66506 .12698 .66114 .13379 .65935 .12976 .66327 Metetra
.124 0 0 r
.12976 .66327 .13379 .65935 .14063 .65688 .13661 .6608 Metetra
.061 0 0 r
.13661 .6608 .14063 .65688 .14748 .65373 .14348 .65764 Metetra
.14348 .65764 .14748 .65373 .15436 .64991 .15038 .65381 Metetra
.15038 .65381 .15436 .64991 .16125 .64542 .15729 .64932 Metetra
.15729 .64932 .16125 .64542 .16817 .64029 .16422 .64418 Metetra
.16422 .64418 .16817 .64029 .1751 .63453 .17117 .6384 Metetra
.17117 .6384 .1751 .63453 .18206 .62815 .17814 .632 Metetra
.294 .768 .652 r
.17814 .632 .18206 .62815 .18903 .62118 .18513 .62502 Metetra
.342 .8 .676 r
.18513 .62502 .18903 .62118 .19602 .61363 .19213 .61745 Metetra
.385 .828 .697 r
.19213 .61745 .19602 .61363 .20302 .60555 .19916 .60935 Metetra
.424 .852 .714 r
.19916 .60935 .20302 .60555 .21004 .59695 .2062 .60072 Metetra
.459 .872 .729 r
.2062 .60072 .21004 .59695 .21708 .58786 .21325 .59161 Metetra
.489 .889 .741 r
.21325 .59161 .21708 .58786 .22414 .57832 .22032 .58205 Metetra
.516 .903 .75 r
.22032 .58205 .22414 .57832 .23121 .56836 .22741 .57206 Metetra
.539 .914 .758 r
.22741 .57206 .23121 .56836 .2383 .55801 .23452 .56169 Metetra
.558 .924 .765 r
.23452 .56169 .2383 .55801 .2454 .54732 .24164 .55097 Metetra
.575 .932 .77 r
.24164 .55097 .2454 .54732 .25251 .53632 .24877 .53994 Metetra
.588 .938 .773 r
.24877 .53994 .25251 .53632 .25964 .52506 .25592 .52865 Metetra
.599 .943 .776 r
.25592 .52865 .25964 .52506 .26678 .51357 .26308 .51712 Metetra
.608 .946 .779 r
.26308 .51712 .26678 .51357 .27394 .50189 .27025 .50542 Metetra
.614 .949 .78 r
.27025 .50542 .27394 .50189 .28111 .49008 .27744 .49357 Metetra
.617 .95 .781 r
.27744 .49357 .28111 .49008 .28829 .47816 .28464 .48162 Metetra
.619 .951 .781 r
.28464 .48162 .28829 .47816 .29549 .4662 .29185 .46962 Metetra
.619 .951 .781 r
.29185 .46962 .29549 .4662 .30269 .45422 .29908 .45761 Metetra
.616 .95 .781 r
.29908 .45761 .30269 .45422 .30991 .44228 .30632 .44564 Metetra
.611 .948 .78 r
.30632 .44564 .30991 .44228 .31714 .43042 .31356 .43374 Metetra
.604 .945 .778 r
.31356 .43374 .31714 .43042 .32439 .41868 .32083 .42197 Metetra
.595 .941 .776 r
.32083 .42197 .32439 .41868 .33164 .4071 .3281 .41036 Metetra
.583 .936 .773 r
.3281 .41036 .33164 .4071 .33891 .39574 .33538 .39897 Metetra
.569 .929 .769 r
.33538 .39897 .33891 .39574 .34618 .38462 .34268 .38782 Metetra
.552 .922 .765 r
.34268 .38782 .34618 .38462 .35347 .3738 .34999 .37697 Metetra
.533 .912 .759 r
.34999 .37697 .35347 .3738 .36077 .3633 .35731 .36645 Metetra
.51 .901 .753 r
.35731 .36645 .36077 .3633 .36808 .35318 .36464 .3563 Metetra
.485 .888 .745 r
.36464 .3563 .36808 .35318 .37541 .34346 .37198 .34655 Metetra
.456 .872 .735 r
.37198 .34655 .37541 .34346 .38274 .33419 .37934 .33725 Metetra
.424 .854 .724 r
.37934 .33725 .38274 .33419 .39009 .32539 .3867 .32843 Metetra
.388 .832 .71 r
.3867 .32843 .39009 .32539 .39745 .3171 .39408 .32012 Metetra
.349 .808 .695 r
.39408 .32012 .39745 .3171 .40482 .30935 .40147 .31235 Metetra
.307 .78 .677 r
.40147 .31235 .40482 .30935 .41221 .30216 .40888 .30514 Metetra
.40888 .30514 .41221 .30216 .4196 .29556 .41629 .29852 Metetra
.41629 .29852 .4196 .29556 .42701 .28958 .42372 .29253 Metetra
.42372 .29253 .42701 .28958 .43444 .28423 .43117 .28717 Metetra
.43117 .28717 .43444 .28423 .44188 .27954 .43862 .28246 Metetra
.43862 .28246 .44188 .27954 .44933 .27551 .44609 .27843 Metetra
.002 0 0 r
.44609 .27843 .44933 .27551 .4568 .27217 .45358 .27508 Metetra
.058 0 0 r
.45358 .27508 .4568 .27217 .46428 .26952 .46108 .27242 Metetra
.112 0 0 r
.46108 .27242 .46428 .26952 .47177 .26757 .4686 .27047 Metetra
.166 0 0 r
.4686 .27047 .47177 .26757 .47929 .26633 .47613 .26923 Metetra
.217 0 0 r
.47613 .26923 .47929 .26633 .48682 .2658 .48368 .2687 Metetra
.265 0 0 r
.48368 .2687 .48682 .2658 .49436 .26597 .49124 .26887 Metetra
.311 0 0 r
.49124 .26887 .49436 .26597 .50192 .26685 .49882 .26976 Metetra
.353 0 0 r
.49882 .26976 .50192 .26685 .5095 .26843 .50642 .27135 Metetra
.393 0 0 r
.50642 .27135 .5095 .26843 .5171 .2707 .51404 .27363 Metetra
.429 0 0 r
.51404 .27363 .5171 .2707 .52472 .27365 .52168 .27659 Metetra
.462 0 0 r
.52168 .27659 .52472 .27365 .53235 .27726 .52933 .28021 Metetra
.492 0 0 r
.52933 .28021 .53235 .27726 .54001 .28151 .53701 .28449 Metetra
.519 0 0 r
.53701 .28449 .54001 .28151 .54768 .2864 .5447 .28939 Metetra
.544 0 0 r
.5447 .28939 .54768 .2864 .55538 .29189 .55242 .2949 Metetra
.566 .02 0 r
.55242 .2949 .55538 .29189 .56309 .29797 .56015 .301 Metetra
.585 .044 0 r
.56015 .301 .56309 .29797 .57083 .30459 .56791 .30765 Metetra
.603 .065 0 r
.56791 .30765 .57083 .30459 .57858 .31175 .57568 .31483 Metetra
.618 .085 0 r
.57568 .31483 .57858 .31175 .58636 .31939 .58348 .32251 Metetra
.631 .102 0 r
.58348 .32251 .58636 .31939 .59416 .3275 .5913 .33064 Metetra
.643 .117 0 r
.5913 .33064 .59416 .3275 .60198 .33603 .59915 .33921 Metetra
.653 .13 0 r
.59915 .33921 .60198 .33603 .60983 .34495 .60701 .34816 Metetra
.662 .141 0 r
.60701 .34816 .60983 .34495 .6177 .35422 .6149 .35746 Metetra
.669 .151 0 r
.6149 .35746 .6177 .35422 .62558 .36379 .62281 .36707 Metetra
.676 .159 0 r
.62281 .36707 .62558 .36379 .6335 .37364 .63074 .37695 Metetra
.68 .165 .003 r
.63074 .37695 .6335 .37364 .64143 .3837 .6387 .38705 Metetra
.684 .17 .006 r
.6387 .38705 .64143 .3837 .64939 .39395 .64668 .39733 Metetra
.686 .173 .008 r
.64668 .39733 .64939 .39395 .65737 .40433 .65468 .40775 Metetra
.688 .175 .01 r
.65468 .40775 .65737 .40433 .66538 .4148 .66271 .41826 Metetra
.688 .175 .01 r
.66271 .41826 .66538 .4148 .67341 .42531 .67076 .42881 Metetra
.687 .174 .009 r
.67076 .42881 .67341 .42531 .68146 .43581 .67883 .43935 Metetra
.685 .171 .007 r
.67883 .43935 .68146 .43581 .68953 .44626 .68693 .44984 Metetra
.682 .168 .005 r
.68693 .44984 .68953 .44626 .69763 .45662 .69505 .46023 Metetra
.678 .162 .001 r
.69505 .46023 .69763 .45662 .70575 .46683 .70319 .47048 Metetra
.673 .155 0 r
.70319 .47048 .70575 .46683 .71389 .47685 .71135 .48054 Metetra
.667 .147 0 r
.71135 .48054 .71389 .47685 .72206 .48663 .71954 .49036 Metetra
.659 .138 0 r
.71954 .49036 .72206 .48663 .73024 .49613 .72775 .49989 Metetra
.65 .126 0 r
.72775 .49989 .73024 .49613 .73845 .5053 .73598 .5091 Metetra
.64 .114 0 r
.73598 .5091 .73845 .5053 .74668 .51411 .74424 .51794 Metetra
.628 .099 0 r
.74424 .51794 .74668 .51411 .75494 .5225 .75251 .52637 Metetra
.615 .083 0 r
.75251 .52637 .75494 .5225 .76321 .53045 .76081 .53434 Metetra
.601 .066 0 r
.76081 .53434 .76321 .53045 .7715 .5379 .76912 .54183 Metetra
.585 .047 0 r
.76912 .54183 .7715 .5379 .77981 .54484 .77746 .54879 Metetra
.567 .026 0 r
.77746 .54879 .77981 .54484 .78815 .55121 .78582 .55519 Metetra
.547 .003 0 r
.78582 .55519 .78815 .55121 .7965 .55699 .79419 .56099 Metetra
.526 0 0 r
.79419 .56099 .7965 .55699 .80487 .56215 .80259 .56618 Metetra
.502 0 0 r
.80259 .56618 .80487 .56215 .81326 .56667 .811 .57071 Metetra
.477 0 0 r
.811 .57071 .81326 .56667 .82167 .57051 .81944 .57457 Metetra
.45 0 0 r
.81944 .57457 .82167 .57051 .83009 .57365 .82789 .57773 Metetra
.421 0 0 r
.82789 .57773 .83009 .57365 .83854 .57608 .83635 .58017 Metetra
.391 0 0 r
.83635 .58017 .83854 .57608 .84699 .57778 .84484 .58188 Metetra
.359 0 0 r
.84484 .58188 .84699 .57778 .85547 .57873 .85334 .58284 Metetra
.325 0 0 r
.85334 .58284 .85547 .57873 .86396 .57893 .86185 .58304 Metetra
.29 0 0 r
.86185 .58304 .86396 .57893 .87247 .57836 .87038 .58248 Metetra
.261 0 0 r
.11203 .67036 .11612 .66616 .12293 .66506 .11886 .66926 Metetra
.204 0 0 r
.11886 .66926 .12293 .66506 .12976 .66327 .1257 .66747 Metetra
.145 0 0 r
.1257 .66747 .12976 .66327 .13661 .6608 .13257 .665 Metetra
.084 0 0 r
.13257 .665 .13661 .6608 .14348 .65764 .13946 .66184 Metetra
.021 0 0 r
.13946 .66184 .14348 .65764 .15038 .65381 .14637 .658 Metetra
.14637 .658 .15038 .65381 .15729 .64932 .15329 .6535 Metetra
.15329 .6535 .15729 .64932 .16422 .64418 .16024 .64834 Metetra
.16024 .64834 .16422 .64418 .17117 .6384 .16721 .64255 Metetra
.16721 .64255 .17117 .6384 .17814 .632 .1742 .63614 Metetra
.1742 .63614 .17814 .632 .18513 .62502 .1812 .62914 Metetra
.318 .78 .649 r
.1812 .62914 .18513 .62502 .19213 .61745 .18822 .62156 Metetra
.362 .809 .671 r
.18822 .62156 .19213 .61745 .19916 .60935 .19526 .61343 Metetra
.402 .835 .69 r
.19526 .61343 .19916 .60935 .2062 .60072 .20232 .60478 Metetra
.437 .856 .706 r
.20232 .60478 .2062 .60072 .21325 .59161 .20939 .59565 Metetra
.469 .874 .719 r
.20939 .59565 .21325 .59161 .22032 .58205 .21649 .58606 Metetra
.496 .889 .729 r
.21649 .58606 .22032 .58205 .22741 .57206 .22359 .57605 Metetra
.52 .902 .738 r
.22359 .57605 .22741 .57206 .23452 .56169 .23071 .56565 Metetra
.54 .912 .745 r
.23071 .56565 .23452 .56169 .24164 .55097 .23785 .5549 Metetra
.557 .921 .751 r
.23785 .5549 .24164 .55097 .24877 .53994 .245 .54384 Metetra
.571 .927 .755 r
.245 .54384 .24877 .53994 .25592 .52865 .25217 .53252 Metetra
.582 .933 .759 r
.25217 .53252 .25592 .52865 .26308 .51712 .25935 .52096 Metetra
.591 .937 .761 r
.25935 .52096 .26308 .51712 .27025 .50542 .26654 .50922 Metetra
.597 .939 .763 r
.26654 .50922 .27025 .50542 .27744 .49357 .27374 .49734 Metetra
.601 .941 .764 r
.27374 .49734 .27744 .49357 .28464 .48162 .28096 .48536 Metetra
.603 .942 .765 r
.28096 .48536 .28464 .48162 .29185 .46962 .2882 .47333 Metetra
.603 .942 .765 r
.2882 .47333 .29185 .46962 .29908 .45761 .29544 .46129 Metetra
.6 .94 .764 r
.29544 .46129 .29908 .45761 .30632 .44564 .3027 .44928 Metetra
.595 .938 .763 r
.3027 .44928 .30632 .44564 .31356 .43374 .30996 .43735 Metetra
.588 .935 .761 r
.30996 .43735 .31356 .43374 .32083 .42197 .31724 .42555 Metetra
.578 .931 .758 r
.31724 .42555 .32083 .42197 .3281 .41036 .32454 .41391 Metetra
.566 .925 .755 r
.32454 .41391 .3281 .41036 .33538 .39897 .33184 .40248 Metetra
.551 .918 .75 r
.33184 .40248 .33538 .39897 .34268 .38782 .33915 .3913 Metetra
.534 .91 .745 r
.33915 .3913 .34268 .38782 .34999 .37697 .34648 .38042 Metetra
.514 .899 .739 r
.34648 .38042 .34999 .37697 .35731 .36645 .35382 .36987 Metetra
.491 .887 .731 r
.35382 .36987 .35731 .36645 .36464 .3563 .36117 .35969 Metetra
.464 .873 .722 r
.36117 .35969 .36464 .3563 .37198 .34655 .36853 .34992 Metetra
.435 .856 .712 r
.36853 .34992 .37198 .34655 .37934 .33725 .37591 .3406 Metetra
.402 .837 .699 r
.37591 .3406 .37934 .33725 .3867 .32843 .38329 .33175 Metetra
.365 .814 .685 r
.38329 .33175 .3867 .32843 .39408 .32012 .39069 .32342 Metetra
.325 .789 .668 r
.39069 .32342 .39408 .32012 .40147 .31235 .3981 .31562 Metetra
.282 .76 .649 r
.3981 .31562 .40147 .31235 .40888 .30514 .40552 .3084 Metetra
.40552 .3084 .40888 .30514 .41629 .29852 .41296 .30177 Metetra
.41296 .30177 .41629 .29852 .42372 .29253 .42041 .29575 Metetra
.42041 .29575 .42372 .29253 .43117 .28717 .42787 .29038 Metetra
.42787 .29038 .43117 .28717 .43862 .28246 .43535 .28566 Metetra
.43535 .28566 .43862 .28246 .44609 .27843 .44284 .28162 Metetra
.027 0 0 r
.44284 .28162 .44609 .27843 .45358 .27508 .45034 .27826 Metetra
.081 0 0 r
.45034 .27826 .45358 .27508 .46108 .27242 .45786 .2756 Metetra
.134 0 0 r
.45786 .2756 .46108 .27242 .4686 .27047 .4654 .27365 Metetra
.186 0 0 r
.4654 .27365 .4686 .27047 .47613 .26923 .47295 .27241 Metetra
.236 0 0 r
.47295 .27241 .47613 .26923 .48368 .2687 .48052 .27188 Metetra
.283 0 0 r
.48052 .27188 .48368 .2687 .49124 .26887 .4881 .27206 Metetra
.327 0 0 r
.4881 .27206 .49124 .26887 .49882 .26976 .49571 .27295 Metetra
.369 0 0 r
.49571 .27295 .49882 .26976 .50642 .27135 .50333 .27455 Metetra
.407 0 0 r
.50333 .27455 .50642 .27135 .51404 .27363 .51096 .27684 Metetra
.442 0 0 r
.51096 .27684 .51404 .27363 .52168 .27659 .51862 .27981 Metetra
.474 0 0 r
.51862 .27981 .52168 .27659 .52933 .28021 .52629 .28345 Metetra
.503 0 0 r
.52629 .28345 .52933 .28021 .53701 .28449 .53399 .28775 Metetra
.529 0 0 r
.53399 .28775 .53701 .28449 .5447 .28939 .5417 .29267 Metetra
.552 .009 0 r
.5417 .29267 .5447 .28939 .55242 .2949 .54944 .2982 Metetra
.574 .034 0 r
.54944 .2982 .55242 .2949 .56015 .301 .55719 .30432 Metetra
.592 .057 0 r
.55719 .30432 .56015 .301 .56791 .30765 .56497 .311 Metetra
.609 .078 0 r
.56497 .311 .56791 .30765 .57568 .31483 .57277 .31821 Metetra
.624 .097 0 r
.57277 .31821 .57568 .31483 .58348 .32251 .58059 .32591 Metetra
.637 .113 0 r
.58059 .32591 .58348 .32251 .5913 .33064 .58843 .33408 Metetra
.649 .128 0 r
.58843 .33408 .5913 .33064 .59915 .33921 .59629 .34267 Metetra
.658 .141 0 r
.59629 .34267 .59915 .33921 .60701 .34816 .60418 .35166 Metetra
.667 .152 .004 r
.60418 .35166 .60701 .34816 .6149 .35746 .61208 .36099 Metetra
.674 .161 .011 r
.61208 .36099 .6149 .35746 .62281 .36707 .62002 .37064 Metetra
.68 .168 .016 r
.62002 .37064 .62281 .36707 .63074 .37695 .62797 .38056 Metetra
.684 .175 .021 r
.62797 .38056 .63074 .37695 .6387 .38705 .63595 .3907 Metetra
.688 .179 .024 r
.63595 .3907 .6387 .38705 .64668 .39733 .64395 .40102 Metetra
.69 .182 .026 r
.64395 .40102 .64668 .39733 .65468 .40775 .65197 .41147 Metetra
.692 .184 .027 r
.65197 .41147 .65468 .40775 .66271 .41826 .66002 .42202 Metetra
.692 .185 .028 r
.66002 .42202 .66271 .41826 .67076 .42881 .66809 .4326 Metetra
.691 .183 .027 r
.66809 .4326 .67076 .42881 .67883 .43935 .67619 .44319 Metetra
.689 .181 .025 r
.67619 .44319 .67883 .43935 .68693 .44984 .68431 .45372 Metetra
.686 .177 .023 r
.68431 .45372 .68693 .44984 .69505 .46023 .69245 .46415 Metetra
.682 .172 .019 r
.69245 .46415 .69505 .46023 .70319 .47048 .70061 .47444 Metetra
.677 .166 .015 r
.70061 .47444 .70319 .47048 .71135 .48054 .7088 .48453 Metetra
.671 .158 .009 r
.7088 .48453 .71135 .48054 .71954 .49036 .71701 .49439 Metetra
.664 .148 .003 r
.71701 .49439 .71954 .49036 .72775 .49989 .72524 .50396 Metetra
.655 .137 0 r
.72524 .50396 .72775 .49989 .73598 .5091 .7335 .5132 Metetra
.645 .125 0 r
.7335 .5132 .73598 .5091 .74424 .51794 .74178 .52207 Metetra
.634 .111 0 r
.74178 .52207 .74424 .51794 .75251 .52637 .75007 .53054 Metetra
.621 .096 0 r
.75007 .53054 .75251 .52637 .76081 .53434 .75839 .53854 Metetra
.607 .079 0 r
.75839 .53854 .76081 .53434 .76912 .54183 .76673 .54606 Metetra
.592 .06 0 r
.76673 .54606 .76912 .54183 .77746 .54879 .77509 .55305 Metetra
.574 .04 0 r
.77509 .55305 .77746 .54879 .78582 .55519 .78348 .55948 Metetra
.555 .018 0 r
.78348 .55948 .78582 .55519 .79419 .56099 .79188 .56531 Metetra
.535 0 0 r
.79188 .56531 .79419 .56099 .80259 .56618 .8003 .57051 Metetra
.512 0 0 r
.8003 .57051 .80259 .56618 .811 .57071 .80873 .57507 Metetra
.488 0 0 r
.80873 .57507 .811 .57071 .81944 .57457 .81719 .57894 Metetra
.461 0 0 r
.81719 .57894 .81944 .57457 .82789 .57773 .82566 .58212 Metetra
.433 0 0 r
.82566 .58212 .82789 .57773 .83635 .58017 .83416 .58457 Metetra
.404 0 0 r
.83416 .58457 .83635 .58017 .84484 .58188 .84267 .58629 Metetra
.372 0 0 r
.84267 .58629 .84484 .58188 .85334 .58284 .85119 .58726 Metetra
.34 0 0 r
.85119 .58726 .85334 .58284 .86185 .58304 .85973 .58747 Metetra
.306 0 0 r
.85973 .58747 .86185 .58304 .87038 .58248 .86829 .58691 Metetra
.278 0 0 r
.10792 .67484 .11203 .67036 .11886 .66926 .11476 .67375 Metetra
.223 0 0 r
.11476 .67375 .11886 .66926 .1257 .66747 .12162 .67196 Metetra
.165 0 0 r
.12162 .67196 .1257 .66747 .13257 .665 .1285 .66948 Metetra
.105 0 0 r
.1285 .66948 .13257 .665 .13946 .66184 .13541 .66631 Metetra
.044 0 0 r
.13541 .66631 .13946 .66184 .14637 .658 .14233 .66247 Metetra
.14233 .66247 .14637 .658 .15329 .6535 .14927 .65796 Metetra
.14927 .65796 .15329 .6535 .16024 .64834 .15624 .65279 Metetra
.15624 .65279 .16024 .64834 .16721 .64255 .16322 .64699 Metetra
.16322 .64699 .16721 .64255 .1742 .63614 .17023 .64056 Metetra
.17023 .64056 .1742 .63614 .1812 .62914 .17725 .63354 Metetra
.17725 .63354 .1812 .62914 .18822 .62156 .18429 .62594 Metetra
.338 .79 .645 r
.18429 .62594 .18822 .62156 .19526 .61343 .19135 .6178 Metetra
.379 .816 .665 r
.19135 .6178 .19526 .61343 .20232 .60478 .19842 .60913 Metetra
.415 .839 .681 r
.19842 .60913 .20232 .60478 .20939 .59565 .20551 .59997 Metetra
.447 .859 .696 r
.20551 .59997 .20939 .59565 .21649 .58606 .21262 .59035 Metetra
.475 .875 .707 r
.21262 .59035 .21649 .58606 .22359 .57605 .21975 .58032 Metetra
.5 .888 .717 r
.21975 .58032 .22359 .57605 .23071 .56565 .22689 .56989 Metetra
.521 .899 .725 r
.22689 .56989 .23071 .56565 .23785 .5549 .23404 .55911 Metetra
.538 .909 .731 r
.23404 .55911 .23785 .5549 .245 .54384 .24121 .54803 Metetra
.553 .916 .736 r
.24121 .54803 .245 .54384 .25217 .53252 .24839 .53667 Metetra
.565 .922 .74 r
.24839 .53667 .25217 .53252 .25935 .52096 .25559 .52508 Metetra
.574 .926 .743 r
.25559 .52508 .25935 .52096 .26654 .50922 .2628 .51331 Metetra
.581 .929 .745 r
.2628 .51331 .26654 .50922 .27374 .49734 .27003 .5014 Metetra
.585 .931 .746 r
.27003 .5014 .27374 .49734 .28096 .48536 .27726 .48939 Metetra
.586 .932 .747 r
.27726 .48939 .28096 .48536 .2882 .47333 .28451 .47732 Metetra
.586 .931 .747 r
.28451 .47732 .2882 .47333 .29544 .46129 .29178 .46525 Metetra
.583 .93 .746 r
.29178 .46525 .29544 .46129 .3027 .44928 .29905 .45321 Metetra
.578 .928 .744 r
.29905 .45321 .3027 .44928 .30996 .43735 .30634 .44125 Metetra
.57 .924 .742 r
.30634 .44125 .30996 .43735 .31724 .42555 .31364 .42941 Metetra
.56 .919 .739 r
.31364 .42941 .31724 .42555 .32454 .41391 .32095 .41774 Metetra
.548 .913 .735 r
.32095 .41774 .32454 .41391 .33184 .40248 .32827 .40628 Metetra
.532 .906 .731 r
.32827 .40628 .33184 .40248 .33915 .3913 .33561 .39507 Metetra
.515 .897 .725 r
.33561 .39507 .33915 .3913 .34648 .38042 .34295 .38416 Metetra
.494 .886 .718 r
.34295 .38416 .34648 .38042 .35382 .36987 .35031 .37358 Metetra
.47 .873 .709 r
.35031 .37358 .35382 .36987 .36117 .35969 .35768 .36337 Metetra
.443 .857 .699 r
.35768 .36337 .36117 .35969 .36853 .34992 .36506 .35358 Metetra
.413 .839 .688 r
.36506 .35358 .36853 .34992 .37591 .3406 .37245 .34423 Metetra
.379 .819 .674 r
.37245 .34423 .37591 .3406 .38329 .33175 .37986 .33536 Metetra
.342 .795 .659 r
.37986 .33536 .38329 .33175 .39069 .32342 .38728 .327 Metetra
.301 .769 .641 r
.38728 .327 .39069 .32342 .3981 .31562 .39471 .31919 Metetra
.39471 .31919 .3981 .31562 .40552 .3084 .40215 .31194 Metetra
.40215 .31194 .40552 .3084 .41296 .30177 .4096 .30529 Metetra
.4096 .30529 .41296 .30177 .42041 .29575 .41707 .29927 Metetra
.41707 .29927 .42041 .29575 .42787 .29038 .42455 .29388 Metetra
.42455 .29388 .42787 .29038 .43535 .28566 .43205 .28915 Metetra
.43205 .28915 .43535 .28566 .44284 .28162 .43956 .2851 Metetra
.05 0 0 r
.43956 .2851 .44284 .28162 .45034 .27826 .44709 .28174 Metetra
.103 0 0 r
.44709 .28174 .45034 .27826 .45786 .2756 .45463 .27907 Metetra
.156 0 0 r
.45463 .27907 .45786 .2756 .4654 .27365 .46218 .27712 Metetra
.206 0 0 r
.46218 .27712 .4654 .27365 .47295 .27241 .46975 .27588 Metetra
.254 0 0 r
.46975 .27588 .47295 .27241 .48052 .27188 .47734 .27535 Metetra
.3 0 0 r
.47734 .27535 .48052 .27188 .4881 .27206 .48495 .27554 Metetra
.343 0 0 r
.48495 .27554 .4881 .27206 .49571 .27295 .49257 .27643 Metetra
.383 0 0 r
.49257 .27643 .49571 .27295 .50333 .27455 .50021 .27804 Metetra
.42 0 0 r
.50021 .27804 .50333 .27455 .51096 .27684 .50787 .28034 Metetra
.453 0 0 r
.50787 .28034 .51096 .27684 .51862 .27981 .51554 .28333 Metetra
.484 0 0 r
.51554 .28333 .51862 .27981 .52629 .28345 .52324 .28698 Metetra
.512 0 0 r
.52324 .28698 .52629 .28345 .53399 .28775 .53095 .29129 Metetra
.538 0 0 r
.53095 .29129 .53399 .28775 .5417 .29267 .53869 .29624 Metetra
.56 .023 0 r
.53869 .29624 .5417 .29267 .54944 .2982 .54644 .3018 Metetra
.581 .048 0 r
.54644 .3018 .54944 .2982 .55719 .30432 .55422 .30794 Metetra
.599 .07 0 r
.55422 .30794 .55719 .30432 .56497 .311 .56201 .31464 Metetra
.615 .09 0 r
.56201 .31464 .56497 .311 .57277 .31821 .56983 .32188 Metetra
.63 .108 0 r
.56983 .32188 .57277 .31821 .58059 .32591 .57767 .32961 Metetra
.642 .124 0 r
.57767 .32961 .58059 .32591 .58843 .33408 .58553 .33781 Metetra
.653 .139 .005 r
.58553 .33781 .58843 .33408 .59629 .34267 .59342 .34643 Metetra
.663 .151 .014 r
.59342 .34643 .59629 .34267 .60418 .35166 .60132 .35545 Metetra
.671 .162 .022 r
.60132 .35545 .60418 .35166 .61208 .36099 .60925 .36482 Metetra
.678 .171 .028 r
.60925 .36482 .61208 .36099 .62002 .37064 .61721 .37451 Metetra
.684 .178 .034 r
.61721 .37451 .62002 .37064 .62797 .38056 .62518 .38446 Metetra
.688 .184 .038 r
.62518 .38446 .62797 .38056 .63595 .3907 .63318 .39464 Metetra
.692 .188 .041 r
.63318 .39464 .63595 .3907 .64395 .40102 .6412 .405 Metetra
.694 .192 .043 r
.6412 .405 .64395 .40102 .65197 .41147 .64925 .41549 Metetra
.695 .193 .044 r
.64925 .41549 .65197 .41147 .66002 .42202 .65732 .42608 Metetra
.695 .194 .045 r
.65732 .42608 .66002 .42202 .66809 .4326 .66541 .4367 Metetra
.695 .193 .044 r
.66541 .4367 .66809 .4326 .67619 .44319 .67353 .44733 Metetra
.693 .19 .042 r
.67353 .44733 .67619 .44319 .68431 .45372 .68167 .4579 Metetra
.69 .187 .04 r
.68167 .4579 .68431 .45372 .69245 .46415 .68983 .46837 Metetra
.686 .182 .036 r
.68983 .46837 .69245 .46415 .70061 .47444 .69802 .47869 Metetra
.681 .175 .032 r
.69802 .47869 .70061 .47444 .7088 .48453 .70623 .48883 Metetra
.675 .167 .027 r
.70623 .48883 .7088 .48453 .71701 .49439 .71447 .49872 Metetra
.668 .158 .021 r
.71447 .49872 .71701 .49439 .72524 .50396 .72272 .50833 Metetra
.66 .148 .014 r
.72272 .50833 .72524 .50396 .7335 .5132 .731 .51761 Metetra
.65 .136 .006 r
.731 .51761 .7335 .5132 .74178 .52207 .7393 .52652 Metetra
.639 .122 0 r
.7393 .52652 .74178 .52207 .75007 .53054 .74762 .53501 Metetra
.627 .107 0 r
.74762 .53501 .75007 .53054 .75839 .53854 .75596 .54305 Metetra
.613 .091 0 r
.75596 .54305 .75839 .53854 .76673 .54606 .76433 .5506 Metetra
.598 .073 0 r
.76433 .5506 .76673 .54606 .77509 .55305 .77271 .55762 Metetra
.581 .053 0 r
.77271 .55762 .77509 .55305 .78348 .55948 .78112 .56407 Metetra
.563 .032 0 r
.78112 .56407 .78348 .55948 .79188 .56531 .78954 .56993 Metetra
.543 .009 0 r
.78954 .56993 .79188 .56531 .8003 .57051 .79799 .57516 Metetra
.521 0 0 r
.79799 .57516 .8003 .57051 .80873 .57507 .80645 .57973 Metetra
.497 0 0 r
.80645 .57973 .80873 .57507 .81719 .57894 .81493 .58363 Metetra
.472 0 0 r
.81493 .58363 .81719 .57894 .82566 .58212 .82343 .58682 Metetra
.445 0 0 r
.82343 .58682 .82566 .58212 .83416 .58457 .83195 .58929 Metetra
.416 0 0 r
.83195 .58929 .83416 .58457 .84267 .58629 .84048 .59102 Metetra
.386 0 0 r
.84048 .59102 .84267 .58629 .85119 .58726 .84903 .592 Metetra
.354 0 0 r
.84903 .592 .85119 .58726 .85973 .58747 .8576 .59222 Metetra
.321 0 0 r
.8576 .59222 .85973 .58747 .86829 .58691 .86618 .59166 Metetra
.293 0 0 r
.10377 .67961 .10792 .67484 .11476 .67375 .11063 .67851 Metetra
.24 0 0 r
.11063 .67851 .11476 .67375 .12162 .67196 .11751 .67673 Metetra
.184 0 0 r
.11751 .67673 .12162 .67196 .1285 .66948 .12441 .67424 Metetra
.126 0 0 r
.12441 .67424 .1285 .66948 .13541 .66631 .13133 .67107 Metetra
.066 0 0 r
.13133 .67107 .13541 .66631 .14233 .66247 .13827 .66722 Metetra
.006 0 0 r
.13827 .66722 .14233 .66247 .14927 .65796 .14523 .6627 Metetra
.14523 .6627 .14927 .65796 .15624 .65279 .15221 .65753 Metetra
.15221 .65753 .15624 .65279 .16322 .64699 .15921 .65171 Metetra
.15921 .65171 .16322 .64699 .17023 .64056 .16623 .64527 Metetra
.16623 .64527 .17023 .64056 .17725 .63354 .17327 .63823 Metetra
.17327 .63823 .17725 .63354 .18429 .62594 .18033 .63062 Metetra
.18033 .63062 .18429 .62594 .19135 .6178 .1874 .62245 Metetra
.356 .797 .639 r
.1874 .62245 .19135 .6178 .19842 .60913 .1945 .61376 Metetra
.393 .821 .657 r
.1945 .61376 .19842 .60913 .20551 .59997 .20161 .60458 Metetra
.425 .842 .672 r
.20161 .60458 .20551 .59997 .21262 .59035 .20873 .59494 Metetra
.454 .859 .685 r
.20873 .59494 .21262 .59035 .21975 .58032 .21587 .58487 Metetra
.479 .874 .695 r
.21587 .58487 .21975 .58032 .22689 .56989 .22303 .57442 Metetra
.501 .886 .704 r
.22303 .57442 .22689 .56989 .23404 .55911 .2302 .56361 Metetra
.519 .895 .711 r
.2302 .56361 .23404 .55911 .24121 .54803 .23739 .5525 Metetra
.534 .903 .716 r
.23739 .5525 .24121 .54803 .24839 .53667 .24459 .54111 Metetra
.547 .91 .721 r
.24459 .54111 .24839 .53667 .25559 .52508 .25181 .52949 Metetra
.556 .914 .724 r
.25181 .52949 .25559 .52508 .2628 .51331 .25904 .51769 Metetra
.563 .918 .726 r
.25904 .51769 .2628 .51331 .27003 .5014 .26628 .50575 Metetra
.567 .92 .728 r
.26628 .50575 .27003 .5014 .27726 .48939 .27354 .4937 Metetra
.569 .92 .728 r
.27354 .4937 .27726 .48939 .28451 .47732 .28081 .4816 Metetra
.568 .92 .728 r
.28081 .4816 .28451 .47732 .29178 .46525 .28809 .46949 Metetra
.565 .919 .727 r
.28809 .46949 .29178 .46525 .29905 .45321 .29539 .45742 Metetra
.56 .916 .725 r
.29539 .45742 .29905 .45321 .30634 .44125 .30269 .44543 Metetra
.552 .912 .723 r
.30269 .44543 .30634 .44125 .31364 .42941 .31001 .43356 Metetra
.542 .907 .72 r
.31001 .43356 .31364 .42941 .32095 .41774 .31734 .42185 Metetra
.529 .901 .715 r
.31734 .42185 .32095 .41774 .32827 .40628 .32468 .41036 Metetra
.513 .892 .71 r
.32468 .41036 .32827 .40628 .33561 .39507 .33204 .39912 Metetra
.495 .883 .703 r
.33204 .39912 .33561 .39507 .34295 .38416 .3394 .38818 Metetra
.473 .871 .696 r
.3394 .38818 .34295 .38416 .35031 .37358 .34678 .37757 Metetra
.449 .857 .686 r
.34678 .37757 .35031 .37358 .35768 .36337 .35417 .36734 Metetra
.421 .841 .676 r
.35417 .36734 .35768 .36337 .36506 .35358 .36157 .35752 Metetra
.39 .822 .663 r
.36157 .35752 .36506 .35358 .37245 .34423 .36898 .34814 Metetra
.356 .8 .648 r
.36898 .34814 .37245 .34423 .37986 .33536 .3764 .33925 Metetra
.318 .775 .632 r
.3764 .33925 .37986 .33536 .38728 .327 .38384 .33087 Metetra
.38384 .33087 .38728 .327 .39471 .31919 .39129 .32304 Metetra
.39129 .32304 .39471 .31919 .40215 .31194 .39875 .31577 Metetra
.39875 .31577 .40215 .31194 .4096 .30529 .40623 .30911 Metetra
.40623 .30911 .4096 .30529 .41707 .29927 .41372 .30307 Metetra
.41372 .30307 .41707 .29927 .42455 .29388 .42122 .29767 Metetra
.42122 .29767 .42455 .29388 .43205 .28915 .42873 .29293 Metetra
.019 0 0 r
.42873 .29293 .43205 .28915 .43956 .2851 .43626 .28887 Metetra
.072 0 0 r
.43626 .28887 .43956 .2851 .44709 .28174 .44381 .2855 Metetra
.125 0 0 r
.44381 .2855 .44709 .28174 .45463 .27907 .45137 .28283 Metetra
.176 0 0 r
.45137 .28283 .45463 .27907 .46218 .27712 .45894 .28087 Metetra
.225 0 0 r
.45894 .28087 .46218 .27712 .46975 .27588 .46654 .27963 Metetra
.272 0 0 r
.46654 .27963 .46975 .27588 .47734 .27535 .47414 .27911 Metetra
.316 0 0 r
.47414 .27911 .47734 .27535 .48495 .27554 .48177 .2793 Metetra
.358 0 0 r
.48177 .2793 .48495 .27554 .49257 .27643 .48941 .28021 Metetra
.396 0 0 r
.48941 .28021 .49257 .27643 .50021 .27804 .49707 .28182 Metetra
.432 0 0 r
.49707 .28182 .50021 .27804 .50787 .28034 .50475 .28413 Metetra
.464 0 0 r
.50475 .28413 .50787 .28034 .51554 .28333 .51244 .28713 Metetra
.494 0 0 r
.51244 .28713 .51554 .28333 .52324 .28698 .52016 .29081 Metetra
.521 0 0 r
.52016 .29081 .52324 .28698 .53095 .29129 .52789 .29514 Metetra
.546 .011 0 r
.52789 .29514 .53095 .29129 .53869 .29624 .53565 .3001 Metetra
.568 .037 0 r
.53565 .3001 .53869 .29624 .54644 .3018 .54342 .30568 Metetra
.587 .061 0 r
.54342 .30568 .54644 .3018 .55422 .30794 .55122 .31185 Metetra
.605 .083 0 r
.55122 .31185 .55422 .30794 .56201 .31464 .55904 .31858 Metetra
.621 .102 0 r
.55904 .31858 .56201 .31464 .56983 .32188 .56688 .32584 Metetra
.635 .119 .003 r
.56688 .32584 .56983 .32188 .57767 .32961 .57474 .3336 Metetra
.647 .135 .014 r
.57474 .3336 .57767 .32961 .58553 .33781 .58262 .34183 Metetra
.658 .149 .023 r
.58262 .34183 .58553 .33781 .59342 .34643 .59052 .35049 Metetra
.667 .161 .032 r
.59052 .35049 .59342 .34643 .60132 .35545 .59845 .35955 Metetra
.675 .171 .039 r
.59845 .35955 .60132 .35545 .60925 .36482 .6064 .36895 Metetra
.682 .18 .045 r
.6064 .36895 .60925 .36482 .61721 .37451 .61438 .37867 Metetra
.687 .187 .05 r
.61438 .37867 .61721 .37451 .62518 .38446 .62237 .38866 Metetra
.691 .193 .054 r
.62237 .38866 .62518 .38446 .63318 .39464 .6304 .39888 Metetra
.695 .197 .057 r
.6304 .39888 .63318 .39464 .6412 .405 .63844 .40928 Metetra
.697 .2 .059 r
.63844 .40928 .6412 .405 .64925 .41549 .64651 .41981 Metetra
.698 .202 .061 r
.64651 .41981 .64925 .41549 .65732 .42608 .6546 .43044 Metetra
.698 .202 .061 r
.6546 .43044 .65732 .42608 .66541 .4367 .66272 .44111 Metetra
.698 .201 .06 r
.66272 .44111 .66541 .4367 .67353 .44733 .67086 .45177 Metetra
.696 .199 .059 r
.67086 .45177 .67353 .44733 .68167 .4579 .67902 .46238 Metetra
.693 .195 .056 r
.67902 .46238 .68167 .4579 .68983 .46837 .6872 .4729 Metetra
.69 .19 .053 r
.6872 .4729 .68983 .46837 .69802 .47869 .69541 .48326 Metetra
.685 .184 .049 r
.69541 .48326 .69802 .47869 .70623 .48883 .70365 .49343 Metetra
.679 .177 .044 r
.70365 .49343 .70623 .48883 .71447 .49872 .7119 .50337 Metetra
.672 .168 .038 r
.7119 .50337 .71447 .49872 .72272 .50833 .72018 .51301 Metetra
.664 .158 .032 r
.72018 .51301 .72272 .50833 .731 .51761 .72848 .52233 Metetra
.654 .146 .024 r
.72848 .52233 .731 .51761 .7393 .52652 .73681 .53128 Metetra
.644 .133 .016 r
.73681 .53128 .7393 .52652 .74762 .53501 .74515 .5398 Metetra
.632 .118 .007 r
.74515 .5398 .74762 .53501 .75596 .54305 .75352 .54788 Metetra
.619 .102 0 r
.75352 .54788 .75596 .54305 .76433 .5506 .76191 .55546 Metetra
.604 .085 0 r
.76191 .55546 .76433 .5506 .77271 .55762 .77032 .56251 Metetra
.587 .066 0 r
.77032 .56251 .77271 .55762 .78112 .56407 .77875 .56899 Metetra
.57 .045 0 r
.77875 .56899 .78112 .56407 .78954 .56993 .7872 .57487 Metetra
.55 .023 0 r
.7872 .57487 .78954 .56993 .79799 .57516 .79567 .58012 Metetra
.529 0 0 r
.79567 .58012 .79799 .57516 .80645 .57973 .80415 .58472 Metetra
.506 0 0 r
.80415 .58472 .80645 .57973 .81493 .58363 .81266 .58863 Metetra
.481 0 0 r
.81266 .58863 .81493 .58363 .82343 .58682 .82118 .59184 Metetra
.455 0 0 r
.82118 .59184 .82343 .58682 .83195 .58929 .82973 .59433 Metetra
.427 0 0 r
.82973 .59433 .83195 .58929 .84048 .59102 .83829 .59607 Metetra
.398 0 0 r
.83829 .59607 .84048 .59102 .84903 .592 .84686 .59706 Metetra
.367 0 0 r
.84686 .59706 .84903 .592 .8576 .59222 .85546 .59728 Metetra
.335 0 0 r
.85546 .59728 .8576 .59222 .86618 .59166 .86406 .59673 Metetra
.308 0 0 r
.0996 .68466 .10377 .67961 .11063 .67851 .10647 .68357 Metetra
.256 0 0 r
.10647 .68357 .11063 .67851 .11751 .67673 .11337 .68178 Metetra
.202 0 0 r
.11337 .68178 .11751 .67673 .12441 .67424 .12028 .6793 Metetra
.145 0 0 r
.12028 .6793 .12441 .67424 .13133 .67107 .12722 .67612 Metetra
.087 0 0 r
.12722 .67612 .13133 .67107 .13827 .66722 .13418 .67227 Metetra
.028 0 0 r
.13418 .67227 .13827 .66722 .14523 .6627 .14116 .66774 Metetra
.14116 .66774 .14523 .6627 .15221 .65753 .14815 .66255 Metetra
.14815 .66255 .15221 .65753 .15921 .65171 .15517 .65672 Metetra
.15517 .65672 .15921 .65171 .16623 .64527 .16221 .65027 Metetra
.16221 .65027 .16623 .64527 .17327 .63823 .16927 .64321 Metetra
.16927 .64321 .17327 .63823 .18033 .63062 .17634 .63558 Metetra
.17634 .63558 .18033 .63062 .1874 .62245 .18343 .62739 Metetra
.18343 .62739 .1874 .62245 .1945 .61376 .19055 .61868 Metetra
.37 .802 .631 r
.19055 .61868 .1945 .61376 .20161 .60458 .19767 .60948 Metetra
.403 .824 .647 r
.19767 .60948 .20161 .60458 .20873 .59494 .20482 .59981 Metetra
.433 .842 .661 r
.20482 .59981 .20873 .59494 .21587 .58487 .21198 .58972 Metetra
.458 .858 .672 r
.21198 .58972 .21587 .58487 .22303 .57442 .21915 .57924 Metetra
.481 .871 .682 r
.21915 .57924 .22303 .57442 .2302 .56361 .22634 .5684 Metetra
.499 .881 .689 r
.22634 .5684 .2302 .56361 .23739 .5525 .23355 .55726 Metetra
.515 .89 .696 r
.23355 .55726 .23739 .5525 .24459 .54111 .24077 .54584 Metetra
.528 .896 .7 r
.24077 .54584 .24459 .54111 .25181 .52949 .24801 .53419 Metetra
.537 .901 .704 r
.24801 .53419 .25181 .52949 .25904 .51769 .25526 .52236 Metetra
.544 .905 .707 r
.25526 .52236 .25904 .51769 .26628 .50575 .26252 .51038 Metetra
.549 .907 .708 r
.26252 .51038 .26628 .50575 .27354 .4937 .26979 .4983 Metetra
.551 .908 .709 r
.26979 .4983 .27354 .4937 .28081 .4816 .27708 .48617 Metetra
.55 .908 .709 r
.27708 .48617 .28081 .4816 .28809 .46949 .28438 .47403 Metetra
.547 .906 .707 r
.28438 .47403 .28809 .46949 .29539 .45742 .29169 .46192 Metetra
.541 .904 .706 r
.29169 .46192 .29539 .45742 .30269 .44543 .29902 .4499 Metetra
.533 .899 .703 r
.29902 .4499 .30269 .44543 .31001 .43356 .30636 .43799 Metetra
.523 .894 .699 r
.30636 .43799 .31001 .43356 .31734 .42185 .31371 .42626 Metetra
.509 .887 .694 r
.31371 .42626 .31734 .42185 .32468 .41036 .32107 .41474 Metetra
.493 .878 .688 r
.32107 .41474 .32468 .41036 .33204 .39912 .32844 .40347 Metetra
.474 .867 .681 r
.32844 .40347 .33204 .39912 .3394 .38818 .33583 .39249 Metetra
.452 .855 .673 r
.33583 .39249 .3394 .38818 .34678 .37757 .34322 .38186 Metetra
.427 .84 .663 r
.34322 .38186 .34678 .37757 .35417 .36734 .35063 .3716 Metetra
.399 .823 .651 r
.35063 .3716 .35417 .36734 .36157 .35752 .35805 .36175 Metetra
.367 .803 .637 r
.35805 .36175 .36157 .35752 .36898 .34814 .36548 .35235 Metetra
.36548 .35235 .36898 .34814 .3764 .33925 .37293 .34343 Metetra
.37293 .34343 .3764 .33925 .38384 .33087 .38038 .33503 Metetra
.38038 .33503 .38384 .33087 .39129 .32304 .38785 .32718 Metetra
.38785 .32718 .39129 .32304 .39875 .31577 .39533 .31989 Metetra
.39533 .31989 .39875 .31577 .40623 .30911 .40283 .31321 Metetra
.40283 .31321 .40623 .30911 .41372 .30307 .41034 .30716 Metetra
.41034 .30716 .41372 .30307 .42122 .29767 .41786 .30174 Metetra
.41786 .30174 .42122 .29767 .42873 .29293 .42539 .297 Metetra
.042 0 0 r
.42539 .297 .42873 .29293 .43626 .28887 .43294 .29293 Metetra
.094 0 0 r
.43294 .29293 .43626 .28887 .44381 .2855 .44051 .28955 Metetra
.145 0 0 r
.44051 .28955 .44381 .2855 .45137 .28283 .44809 .28688 Metetra
.195 0 0 r
.44809 .28688 .45137 .28283 .45894 .28087 .45569 .28492 Metetra
.243 0 0 r
.45569 .28492 .45894 .28087 .46654 .27963 .4633 .28368 Metetra
.288 0 0 r
.4633 .28368 .46654 .27963 .47414 .27911 .47092 .28316 Metetra
.331 0 0 r
.47092 .28316 .47414 .27911 .48177 .2793 .47857 .28336 Metetra
.371 0 0 r
.47857 .28336 .48177 .2793 .48941 .28021 .48623 .28427 Metetra
.409 0 0 r
.48623 .28427 .48941 .28021 .49707 .28182 .49391 .28589 Metetra
.443 0 0 r
.49391 .28589 .49707 .28182 .50475 .28413 .50161 .28822 Metetra
.475 0 0 r
.50161 .28822 .50475 .28413 .51244 .28713 .50933 .29124 Metetra
.503 0 0 r
.50933 .29124 .51244 .28713 .52016 .29081 .51706 .29493 Metetra
.529 0 0 r
.51706 .29493 .52016 .29081 .52789 .29514 .52482 .29927 Metetra
.553 .025 0 r
.52482 .29927 .52789 .29514 .53565 .3001 .53259 .30426 Metetra
.574 .05 0 r
.53259 .30426 .53565 .3001 .54342 .30568 .54039 .30986 Metetra
.593 .073 0 r
.54039 .30986 .54342 .30568 .55122 .31185 .54821 .31606 Metetra
.61 .094 0 r
.54821 .31606 .55122 .31185 .55904 .31858 .55604 .32281 Metetra
.626 .113 .009 r
.55604 .32281 .55904 .31858 .56688 .32584 .5639 .33011 Metetra
.639 .13 .021 r
.5639 .33011 .56688 .32584 .57474 .3336 .57178 .3379 Metetra
.651 .145 .031 r
.57178 .3379 .57474 .3336 .58262 .34183 .57969 .34616 Metetra
.661 .159 .041 r
.57969 .34616 .58262 .34183 .59052 .35049 .58762 .35485 Metetra
.67 .17 .049 r
.58762 .35485 .59052 .35049 .59845 .35955 .59556 .36394 Metetra
.678 .18 .056 r
.59556 .36394 .59845 .35955 .6064 .36895 .60354 .37339 Metetra
.685 .189 .062 r
.60354 .37339 .6064 .36895 .61438 .37867 .61153 .38314 Metetra
.69 .196 .066 r
.61153 .38314 .61438 .37867 .62237 .38866 .61955 .39317 Metetra
.694 .201 .07 r
.61955 .39317 .62237 .38866 .6304 .39888 .62759 .40343 Metetra
.698 .206 .073 r
.62759 .40343 .6304 .39888 .63844 .40928 .63566 .41387 Metetra
.7 .208 .075 r
.63566 .41387 .63844 .40928 .64651 .41981 .64375 .42444 Metetra
.701 .21 .076 r
.64375 .42444 .64651 .41981 .6546 .43044 .65186 .43511 Metetra
.701 .21 .076 r
.65186 .43511 .6546 .43044 .66272 .44111 .66 .44582 Metetra
.701 .209 .076 r
.66 .44582 .66272 .44111 .67086 .45177 .66816 .45652 Metetra
.699 .207 .074 r
.66816 .45652 .67086 .45177 .67902 .46238 .67635 .46718 Metetra
.696 .204 .072 r
.67635 .46718 .67902 .46238 .6872 .4729 .68456 .47773 Metetra
.693 .199 .069 r
.68456 .47773 .6872 .4729 .69541 .48326 .69279 .48814 Metetra
.688 .193 .065 r
.69279 .48814 .69541 .48326 .70365 .49343 .70105 .49835 Metetra
.682 .186 .06 r
.70105 .49835 .70365 .49343 .7119 .50337 .70933 .50832 Metetra
.675 .177 .055 r
.70933 .50832 .7119 .50337 .72018 .51301 .71763 .51801 Metetra
.667 .167 .049 r
.71763 .51801 .72018 .51301 .72848 .52233 .72595 .52736 Metetra
.658 .156 .042 r
.72595 .52736 .72848 .52233 .73681 .53128 .7343 .53635 Metetra
.648 .143 .034 r
.7343 .53635 .73681 .53128 .74515 .5398 .74267 .54491 Metetra
.636 .129 .025 r
.74267 .54491 .74515 .5398 .75352 .54788 .75106 .55302 Metetra
.623 .113 .016 r
.75106 .55302 .75352 .54788 .76191 .55546 .75948 .56063 Metetra
.609 .096 .005 r
.75948 .56063 .76191 .55546 .77032 .56251 .76791 .56771 Metetra
.593 .078 0 r
.76791 .56771 .77032 .56251 .77875 .56899 .77636 .57422 Metetra
.576 .058 0 r
.77636 .57422 .77875 .56899 .7872 .57487 .78484 .58013 Metetra
.557 .037 0 r
.78484 .58013 .7872 .57487 .79567 .58012 .79333 .58541 Metetra
.536 .014 0 r
.79333 .58541 .79567 .58012 .80415 .58472 .80184 .59002 Metetra
.514 0 0 r
.80184 .59002 .80415 .58472 .81266 .58863 .81038 .59396 Metetra
.49 0 0 r
.81038 .59396 .81266 .58863 .82118 .59184 .81893 .59719 Metetra
.465 0 0 r
.81893 .59719 .82118 .59184 .82973 .59433 .82749 .59969 Metetra
.438 0 0 r
.82749 .59969 .82973 .59433 .83829 .59607 .83608 .60144 Metetra
.409 0 0 r
.83608 .60144 .83829 .59607 .84686 .59706 .84468 .60244 Metetra
.379 0 0 r
.84468 .60244 .84686 .59706 .85546 .59728 .8533 .60267 Metetra
.348 0 0 r
.8533 .60267 .85546 .59728 .86406 .59673 .86193 .60213 Metetra
.321 0 0 r
.0954 .69 .0996 .68466 .10647 .68357 .10229 .68891 Metetra
.272 0 0 r
.10229 .68891 .10647 .68357 .11337 .68178 .1092 .68713 Metetra
.219 0 0 r
.1092 .68713 .11337 .68178 .12028 .6793 .11613 .68464 Metetra
.164 0 0 r
.11613 .68464 .12028 .6793 .12722 .67612 .12309 .68146 Metetra
.108 0 0 r
.12309 .68146 .12722 .67612 .13418 .67227 .13006 .6776 Metetra
.05 0 0 r
.13006 .6776 .13418 .67227 .14116 .66774 .13706 .67306 Metetra
.13706 .67306 .14116 .66774 .14815 .66255 .14407 .66787 Metetra
.14407 .66787 .14815 .66255 .15517 .65672 .15111 .66203 Metetra
.15111 .66203 .15517 .65672 .16221 .65027 .15816 .65556 Metetra
.15816 .65556 .16221 .65027 .16927 .64321 .16524 .64849 Metetra
.16524 .64849 .16927 .64321 .17634 .63558 .17233 .64083 Metetra
.17233 .64083 .17634 .63558 .18343 .62739 .17944 .63263 Metetra
.17944 .63263 .18343 .62739 .19055 .61868 .18657 .62389 Metetra
.18657 .62389 .19055 .61868 .19767 .60948 .19371 .61467 Metetra
.38 .805 .622 r
.19371 .61467 .19767 .60948 .20482 .59981 .20088 .60497 Metetra
.411 .825 .636 r
.20088 .60497 .20482 .59981 .21198 .58972 .20805 .59486 Metetra
.437 .841 .649 r
.20805 .59486 .21198 .58972 .21915 .57924 .21525 .58435 Metetra
.46 .855 .659 r
.21525 .58435 .21915 .57924 .22634 .5684 .22246 .57349 Metetra
.479 .866 .667 r
.22246 .57349 .22634 .5684 .23355 .55726 .22968 .56231 Metetra
.495 .875 .674 r
.22968 .56231 .23355 .55726 .24077 .54584 .23692 .55086 Metetra
.508 .882 .679 r
.23692 .55086 .24077 .54584 .24801 .53419 .24418 .53918 Metetra
.518 .888 .683 r
.24418 .53918 .24801 .53419 .25526 .52236 .25144 .52732 Metetra
.525 .891 .686 r
.25144 .52732 .25526 .52236 .26252 .51038 .25873 .51531 Metetra
.53 .894 .688 r
.25873 .51531 .26252 .51038 .26979 .4983 .26602 .5032 Metetra
.532 .895 .688 r
.26602 .5032 .26979 .4983 .27708 .48617 .27333 .49103 Metetra
.531 .895 .688 r
.27333 .49103 .27708 .48617 .28438 .47403 .28065 .47886 Metetra
.528 .893 .687 r
.28065 .47886 .28438 .47403 .29169 .46192 .28798 .46672 Metetra
.522 .89 .685 r
.28798 .46672 .29169 .46192 .29902 .4499 .29532 .45466 Metetra
.514 .885 .682 r
.29532 .45466 .29902 .4499 .30636 .43799 .30268 .44272 Metetra
.503 .879 .678 r
.30268 .44272 .30636 .43799 .31371 .42626 .31005 .43096 Metetra
.489 .872 .672 r
.31005 .43096 .31371 .42626 .32107 .41474 .31743 .4194 Metetra
.472 .862 .666 r
.31743 .4194 .32107 .41474 .32844 .40347 .32482 .4081 Metetra
.453 .851 .658 r
.32482 .4081 .32844 .40347 .33583 .39249 .33223 .3971 Metetra
.43 .838 .649 r
.33223 .3971 .33583 .39249 .34322 .38186 .33964 .38643 Metetra
.405 .822 .638 r
.33964 .38643 .34322 .38186 .35063 .3716 .34707 .37615 Metetra
.376 .804 .625 r
.34707 .37615 .35063 .3716 .35805 .36175 .35451 .36627 Metetra
.35451 .36627 .35805 .36175 .36548 .35235 .36196 .35685 Metetra
.36196 .35685 .36548 .35235 .37293 .34343 .36943 .34791 Metetra
.36943 .34791 .37293 .34343 .38038 .33503 .3769 .33948 Metetra
.3769 .33948 .38038 .33503 .38785 .32718 .38439 .33161 Metetra
.38439 .33161 .38785 .32718 .39533 .31989 .39189 .32431 Metetra
.39189 .32431 .39533 .31989 .40283 .31321 .39941 .31761 Metetra
.39941 .31761 .40283 .31321 .41034 .30716 .40694 .31154 Metetra
.40694 .31154 .41034 .30716 .41786 .30174 .41448 .30611 Metetra
.013 0 0 r
.41448 .30611 .41786 .30174 .42539 .297 .42203 .30136 Metetra
.064 0 0 r
.42203 .30136 .42539 .297 .43294 .29293 .4296 .29728 Metetra
.115 0 0 r
.4296 .29728 .43294 .29293 .44051 .28955 .43719 .2939 Metetra
.165 0 0 r
.43719 .2939 .44051 .28955 .44809 .28688 .44479 .29122 Metetra
.213 0 0 r
.44479 .29122 .44809 .28688 .45569 .28492 .45241 .28926 Metetra
.26 0 0 r
.45241 .28926 .45569 .28492 .4633 .28368 .46004 .28802 Metetra
.304 0 0 r
.46004 .28802 .4633 .28368 .47092 .28316 .46769 .2875 Metetra
.345 0 0 r
.46769 .2875 .47092 .28316 .47857 .28336 .47535 .28771 Metetra
.384 0 0 r
.47535 .28771 .47857 .28336 .48623 .28427 .48303 .28863 Metetra
.42 0 0 r
.48303 .28863 .48623 .28427 .49391 .28589 .49073 .29027 Metetra
.453 0 0 r
.49073 .29027 .49391 .28589 .50161 .28822 .49845 .2926 Metetra
.484 0 0 r
.49845 .2926 .50161 .28822 .50933 .29124 .50619 .29563 Metetra
.512 0 0 r
.50619 .29563 .50933 .29124 .51706 .29493 .51395 .29934 Metetra
.537 .011 0 r
.51395 .29934 .51706 .29493 .52482 .29927 .52172 .30371 Metetra
.56 .038 0 r
.52172 .30371 .52482 .29927 .53259 .30426 .52952 .30872 Metetra
.58 .063 0 r
.52952 .30872 .53259 .30426 .54039 .30986 .53733 .31434 Metetra
.599 .085 0 r
.53733 .31434 .54039 .30986 .54821 .31606 .54517 .32056 Metetra
.615 .105 .014 r
.54517 .32056 .54821 .31606 .55604 .32281 .55303 .32735 Metetra
.63 .124 .027 r
.55303 .32735 .55604 .32281 .5639 .33011 .56091 .33467 Metetra
.643 .14 .038 r
.56091 .33467 .5639 .33011 .57178 .3379 .56881 .3425 Metetra
.655 .155 .048 r
.56881 .3425 .57178 .3379 .57969 .34616 .57674 .35079 Metetra
.665 .168 .057 r
.57674 .35079 .57969 .34616 .58762 .35485 .58469 .35952 Metetra
.674 .179 .065 r
.58469 .35952 .58762 .35485 .59556 .36394 .59266 .36864 Metetra
.681 .189 .072 r
.59266 .36864 .59556 .36394 .60354 .37339 .60065 .37812 Metetra
.688 .197 .077 r
.60065 .37812 .60354 .37339 .61153 .38314 .60867 .38792 Metetra
.693 .204 .082 r
.60867 .38792 .61153 .38314 .61955 .39317 .61671 .39799 Metetra
.697 .209 .086 r
.61671 .39799 .61955 .39317 .62759 .40343 .62477 .40828 Metetra
.7 .214 .088 r
.62477 .40828 .62759 .40343 .63566 .41387 .63286 .41876 Metetra
.702 .216 .09 r
.63286 .41876 .63566 .41387 .64375 .42444 .64097 .42938 Metetra
.703 .218 .091 r
.64097 .42938 .64375 .42444 .65186 .43511 .64911 .44009 Metetra
.704 .218 .091 r
.64911 .44009 .65186 .43511 .66 .44582 .65727 .45084 Metetra
.703 .217 .091 r
.65727 .45084 .66 .44582 .66816 .45652 .66546 .46159 Metetra
.701 .215 .089 r
.66546 .46159 .66816 .45652 .67635 .46718 .67366 .47228 Metetra
.699 .212 .087 r
.67366 .47228 .67635 .46718 .68456 .47773 .6819 .48288 Metetra
.695 .207 .084 r
.6819 .48288 .68456 .47773 .69279 .48814 .69015 .49333 Metetra
.691 .201 .081 r
.69015 .49333 .69279 .48814 .70105 .49835 .69843 .50358 Metetra
.685 .194 .076 r
.69843 .50358 .70105 .49835 .70933 .50832 .70674 .5136 Metetra
.678 .186 .071 r
.70674 .5136 .70933 .50832 .71763 .51801 .71506 .52332 Metetra
.671 .176 .065 r
.71506 .52332 .71763 .51801 .72595 .52736 .72341 .53272 Metetra
.662 .165 .058 r
.72341 .53272 .72595 .52736 .7343 .53635 .73178 .54173 Metetra
.652 .153 .051 r
.73178 .54173 .7343 .53635 .74267 .54491 .74017 .55033 Metetra
.64 .139 .042 r
.74017 .55033 .74267 .54491 .75106 .55302 .74859 .55848 Metetra
.628 .124 .033 r
.74859 .55848 .75106 .55302 .75948 .56063 .75703 .56612 Metetra
.614 .107 .023 r
.75703 .56612 .75948 .56063 .76791 .56771 .76548 .57323 Metetra
.598 .09 .013 r
.76548 .57323 .76791 .56771 .77636 .57422 .77396 .57977 Metetra
.582 .07 .002 r
.77396 .57977 .77636 .57422 .78484 .58013 .78246 .58571 Metetra
.563 .049 0 r
.78246 .58571 .78484 .58013 .79333 .58541 .79098 .59101 Metetra
.543 .027 0 r
.79098 .59101 .79333 .58541 .80184 .59002 .79952 .59565 Metetra
.522 .004 0 r
.79952 .59565 .80184 .59002 .81038 .59396 .80808 .59961 Metetra
.498 0 0 r
.80808 .59961 .81038 .59396 .81893 .59719 .81665 .60285 Metetra
.474 0 0 r
.81665 .60285 .81893 .59719 .82749 .59969 .82525 .60537 Metetra
.447 0 0 r
.82525 .60537 .82749 .59969 .83608 .60144 .83386 .60714 Metetra
.42 0 0 r
.83386 .60714 .83608 .60144 .84468 .60244 .84249 .60815 Metetra
.391 0 0 r
.84249 .60815 .84468 .60244 .8533 .60267 .85113 .60839 Metetra
.36 0 0 r
.85113 .60839 .8533 .60267 .86193 .60213 .85979 .60785 Metetra
.334 0 0 r
.09118 .69564 .0954 .69 .10229 .68891 .09808 .69455 Metetra
.286 0 0 r
.09808 .69455 .10229 .68891 .1092 .68713 .10501 .69277 Metetra
.235 0 0 r
.10501 .69277 .1092 .68713 .11613 .68464 .11196 .69028 Metetra
.182 0 0 r
.11196 .69028 .11613 .68464 .12309 .68146 .11893 .6871 Metetra
.127 0 0 r
.11893 .6871 .12309 .68146 .13006 .6776 .12592 .68323 Metetra
.071 0 0 r
.12592 .68323 .13006 .6776 .13706 .67306 .13293 .67868 Metetra
.015 0 0 r
.13293 .67868 .13706 .67306 .14407 .66787 .13996 .67348 Metetra
.13996 .67348 .14407 .66787 .15111 .66203 .14702 .66762 Metetra
.14702 .66762 .15111 .66203 .15816 .65556 .15409 .66114 Metetra
.15409 .66114 .15816 .65556 .16524 .64849 .16118 .65405 Metetra
.16118 .65405 .16524 .64849 .17233 .64083 .16829 .64638 Metetra
.16829 .64638 .17233 .64083 .17944 .63263 .17542 .63816 Metetra
.17542 .63816 .17944 .63263 .18657 .62389 .18256 .6294 Metetra
.18256 .6294 .18657 .62389 .19371 .61467 .18973 .62015 Metetra
.18973 .62015 .19371 .61467 .20088 .60497 .19691 .61043 Metetra
.388 .806 .611 r
.19691 .61043 .20088 .60497 .20805 .59486 .20411 .60029 Metetra
.415 .823 .624 r
.20411 .60029 .20805 .59486 .21525 .58435 .21132 .58975 Metetra
.438 .838 .635 r
.21132 .58975 .21525 .58435 .22246 .57349 .21855 .57886 Metetra
.458 .849 .644 r
.21855 .57886 .22246 .57349 .22968 .56231 .22579 .56766 Metetra
.475 .859 .651 r
.22579 .56766 .22968 .56231 .23692 .55086 .23305 .55618 Metetra
.488 .867 .657 r
.23305 .55618 .23692 .55086 .24418 .53918 .24032 .54447 Metetra
.498 .873 .661 r
.24032 .54447 .24418 .53918 .25144 .52732 .24761 .53257 Metetra
.506 .877 .664 r
.24761 .53257 .25144 .52732 .25873 .51531 .25491 .52053 Metetra
.51 .88 .666 r
.25491 .52053 .25873 .51531 .26602 .5032 .26222 .50839 Metetra
.512 .881 .667 r
.26222 .50839 .26602 .5032 .27333 .49103 .26955 .49619 Metetra
.512 .88 .667 r
.26955 .49619 .27333 .49103 .28065 .47886 .27689 .48398 Metetra
.508 .878 .666 r
.27689 .48398 .28065 .47886 .28798 .46672 .28424 .47181 Metetra
.502 .875 .663 r
.28424 .47181 .28798 .46672 .29532 .45466 .2916 .45971 Metetra
.494 .87 .66 r
.2916 .45971 .29532 .45466 .30268 .44272 .29898 .44775 Metetra
.482 .864 .655 r
.29898 .44775 .30268 .44272 .31005 .43096 .30637 .43595 Metetra
.468 .856 .65 r
.30637 .43595 .31005 .43096 .31743 .4194 .31377 .42436 Metetra
.451 .846 .643 r
.31377 .42436 .31743 .4194 .32482 .4081 .32118 .41303 Metetra
.431 .834 .634 r
.32118 .41303 .32482 .4081 .33223 .3971 .32861 .402 Metetra
.408 .82 .624 r
.32861 .402 .33223 .3971 .33964 .38643 .33604 .39131 Metetra
.382 .803 .613 r
.33604 .39131 .33964 .38643 .34707 .37615 .34349 .38099 Metetra
.34349 .38099 .34707 .37615 .35451 .36627 .35095 .37109 Metetra
.35095 .37109 .35451 .36627 .36196 .35685 .35842 .36164 Metetra
.35842 .36164 .36196 .35685 .36943 .34791 .3659 .35268 Metetra
.3659 .35268 .36943 .34791 .3769 .33948 .3734 .34423 Metetra
.3734 .34423 .3769 .33948 .38439 .33161 .38091 .33634 Metetra
.38091 .33634 .38439 .33161 .39189 .32431 .38843 .32902 Metetra
.38843 .32902 .39189 .32431 .39941 .31761 .39597 .3223 Metetra
.39597 .3223 .39941 .31761 .40694 .31154 .40351 .31622 Metetra
.40351 .31622 .40694 .31154 .41448 .30611 .41108 .31078 Metetra
.035 0 0 r
.41108 .31078 .41448 .30611 .42203 .30136 .41865 .30601 Metetra
.085 0 0 r
.41865 .30601 .42203 .30136 .4296 .29728 .42624 .30193 Metetra
.135 0 0 r
.42624 .30193 .4296 .29728 .43719 .2939 .43385 .29854 Metetra
.184 0 0 r
.43385 .29854 .43719 .2939 .44479 .29122 .44147 .29586 Metetra
.231 0 0 r
.44147 .29586 .44479 .29122 .45241 .28926 .4491 .2939 Metetra
.276 0 0 r
.4491 .2939 .45241 .28926 .46004 .28802 .45676 .29266 Metetra
.319 0 0 r
.45676 .29266 .46004 .28802 .46769 .2875 .46442 .29215 Metetra
.359 0 0 r
.46442 .29215 .46769 .2875 .47535 .28771 .47211 .29236 Metetra
.396 0 0 r
.47211 .29236 .47535 .28771 .48303 .28863 .47981 .29329 Metetra
.431 0 0 r
.47981 .29329 .48303 .28863 .49073 .29027 .48753 .29494 Metetra
.463 0 0 r
.48753 .29494 .49073 .29027 .49845 .2926 .49527 .29729 Metetra
.493 0 0 r
.49527 .29729 .49845 .2926 .50619 .29563 .50303 .30033 Metetra
.52 0 0 r
.50303 .30033 .50619 .29563 .51395 .29934 .51081 .30406 Metetra
.544 .025 0 r
.51081 .30406 .51395 .29934 .52172 .30371 .51861 .30845 Metetra
.566 .051 0 r
.51861 .30845 .52172 .30371 .52952 .30872 .52642 .31348 Metetra
.586 .075 .003 r
.52642 .31348 .52952 .30872 .53733 .31434 .53426 .31913 Metetra
.604 .096 .018 r
.53426 .31913 .53733 .31434 .54517 .32056 .54212 .32538 Metetra
.62 .116 .032 r
.54212 .32538 .54517 .32056 .55303 .32735 .55 .33219 Metetra
.634 .134 .044 r
.55 .33219 .55303 .32735 .56091 .33467 .5579 .33954 Metetra
.647 .15 .055 r
.5579 .33954 .56091 .33467 .56881 .3425 .56582 .3474 Metetra
.658 .164 .065 r
.56582 .3474 .56881 .3425 .57674 .35079 .57377 .35573 Metetra
.668 .177 .073 r
.57377 .35573 .57674 .35079 .58469 .35952 .58174 .36449 Metetra
.677 .188 .08 r
.58174 .36449 .58469 .35952 .59266 .36864 .58973 .37365 Metetra
.684 .197 .087 r
.58973 .37365 .59266 .36864 .60065 .37812 .59775 .38317 Metetra
.69 .205 .092 r
.59775 .38317 .60065 .37812 .60867 .38792 .60579 .393 Metetra
.695 .212 .097 r
.60579 .393 .60867 .38792 .61671 .39799 .61385 .40311 Metetra
.699 .217 .1 r
.61385 .40311 .61671 .39799 .62477 .40828 .62194 .41345 Metetra
.702 .221 .103 r
.62194 .41345 .62477 .40828 .63286 .41876 .63005 .42397 Metetra
.704 .224 .105 r
.63005 .42397 .63286 .41876 .64097 .42938 .63818 .43463 Metetra
.706 .225 .106 r
.63818 .43463 .64097 .42938 .64911 .44009 .64634 .44538 Metetra
.706 .226 .106 r
.64634 .44538 .64911 .44009 .65727 .45084 .65452 .45618 Metetra
.705 .225 .105 r
.65452 .45618 .65727 .45084 .66546 .46159 .66273 .46697 Metetra
.704 .223 .104 r
.66273 .46697 .66546 .46159 .67366 .47228 .67096 .47771 Metetra
.701 .219 .102 r
.67096 .47771 .67366 .47228 .6819 .48288 .67922 .48835 Metetra
.698 .215 .099 r
.67922 .48835 .6819 .48288 .69015 .49333 .6875 .49884 Metetra
.693 .209 .095 r
.6875 .49884 .69015 .49333 .69843 .50358 .6958 .50913 Metetra
.688 .202 .091 r
.6958 .50913 .69843 .50358 .70674 .5136 .70413 .51919 Metetra
.681 .194 .086 r
.70413 .51919 .70674 .5136 .71506 .52332 .71248 .52895 Metetra
.674 .185 .08 r
.71248 .52895 .71506 .52332 .72341 .53272 .72085 .53839 Metetra
.665 .174 .074 r
.72085 .53839 .72341 .53272 .73178 .54173 .72924 .54744 Metetra
.655 .162 .067 r
.72924 .54744 .73178 .54173 .74017 .55033 .73766 .55608 Metetra
.644 .149 .059 r
.73766 .55608 .74017 .55033 .74859 .55848 .7461 .56426 Metetra
.632 .134 .05 r
.7461 .56426 .74859 .55848 .75703 .56612 .75456 .57194 Metetra
.618 .118 .041 r
.75456 .57194 .75703 .56612 .76548 .57323 .76305 .57908 Metetra
.603 .101 .031 r
.76305 .57908 .76548 .57323 .77396 .57977 .77155 .58565 Metetra
.587 .082 .02 r
.77155 .58565 .77396 .57977 .78246 .58571 .78007 .59161 Metetra
.569 .062 .008 r
.78007 .59161 .78246 .58571 .79098 .59101 .78862 .59694 Metetra
.55 .04 0 r
.78862 .59694 .79098 .59101 .79952 .59565 .79718 .60161 Metetra
.529 .017 0 r
.79718 .60161 .79952 .59565 .80808 .59961 .80576 .60558 Metetra
.506 0 0 r
.80576 .60558 .80808 .59961 .81665 .60285 .81437 .60885 Metetra
.482 0 0 r
.81437 .60885 .81665 .60285 .82525 .60537 .82299 .61138 Metetra
.457 0 0 r
.82299 .61138 .82525 .60537 .83386 .60714 .83162 .61316 Metetra
.43 0 0 r
.83162 .61316 .83386 .60714 .84249 .60815 .84028 .61418 Metetra
.401 0 0 r
.84028 .61418 .84249 .60815 .85113 .60839 .84895 .61443 Metetra
.372 0 0 r
.84895 .61443 .85113 .60839 .85979 .60785 .85764 .6139 Metetra
.346 0 0 r
.08692 .70157 .09118 .69564 .09808 .69455 .09384 .70049 Metetra
.3 0 0 r
.09384 .70049 .09808 .69455 .10501 .69277 .10079 .6987 Metetra
.251 0 0 r
.10079 .6987 .10501 .69277 .11196 .69028 .10775 .69621 Metetra
.199 0 0 r
.10775 .69621 .11196 .69028 .11893 .6871 .11474 .69303 Metetra
.146 0 0 r
.11474 .69303 .11893 .6871 .12592 .68323 .12175 .68915 Metetra
.091 0 0 r
.12175 .68915 .12592 .68323 .13293 .67868 .12878 .6846 Metetra
.036 0 0 r
.12878 .6846 .13293 .67868 .13996 .67348 .13583 .67938 Metetra
.13583 .67938 .13996 .67348 .14702 .66762 .1429 .67352 Metetra
.1429 .67352 .14702 .66762 .15409 .66114 .14999 .66702 Metetra
.14999 .66702 .15409 .66114 .16118 .65405 .15709 .65992 Metetra
.15709 .65992 .16118 .65405 .16829 .64638 .16422 .65223 Metetra
.16422 .65223 .16829 .64638 .17542 .63816 .17137 .64398 Metetra
.17137 .64398 .17542 .63816 .18256 .6294 .17853 .63521 Metetra
.17853 .63521 .18256 .6294 .18973 .62015 .18572 .62593 Metetra
.18572 .62593 .18973 .62015 .19691 .61043 .19292 .61619 Metetra
.19292 .61619 .19691 .61043 .20411 .60029 .20013 .60602 Metetra
.393 .805 .599 r
.20013 .60602 .20411 .60029 .21132 .58975 .20736 .59546 Metetra
.416 .82 .611 r
.20736 .59546 .21132 .58975 .21855 .57886 .21461 .58454 Metetra
.437 .832 .621 r
.21461 .58454 .21855 .57886 .22579 .56766 .22187 .57331 Metetra
.454 .843 .628 r
.22187 .57331 .22579 .56766 .23305 .55618 .22915 .5618 Metetra
.467 .851 .634 r
.22915 .5618 .23305 .55618 .24032 .54447 .23644 .55005 Metetra
.478 .857 .639 r
.23644 .55005 .24032 .54447 .24761 .53257 .24375 .53812 Metetra
.485 .861 .642 r
.24375 .53812 .24761 .53257 .25491 .52053 .25107 .52605 Metetra
.49 .864 .644 r
.25107 .52605 .25491 .52053 .26222 .50839 .2584 .51387 Metetra
.492 .865 .645 r
.2584 .51387 .26222 .50839 .26955 .49619 .26575 .50164 Metetra
.492 .865 .645 r
.26575 .50164 .26955 .49619 .27689 .48398 .2731 .4894 Metetra
.488 .863 .644 r
.2731 .4894 .27689 .48398 .28424 .47181 .28048 .47719 Metetra
.482 .86 .641 r
.28048 .47719 .28424 .47181 .2916 .45971 .28786 .46507 Metetra
.473 .854 .637 r
.28786 .46507 .2916 .45971 .29898 .44775 .29526 .45307 Metetra
.462 .848 .632 r
.29526 .45307 .29898 .44775 .30637 .43595 .30266 .44124 Metetra
.447 .839 .626 r
.30266 .44124 .30637 .43595 .31377 .42436 .31008 .42962 Metetra
.43 .829 .619 r
.31008 .42962 .31377 .42436 .32118 .41303 .31752 .41826 Metetra
.409 .816 .61 r
.31752 .41826 .32118 .41303 .32861 .402 .32496 .4072 Metetra
.386 .801 .599 r
.32496 .4072 .32861 .402 .33604 .39131 .33242 .39648 Metetra
.33242 .39648 .33604 .39131 .34349 .38099 .33988 .38613 Metetra
.33988 .38613 .34349 .38099 .35095 .37109 .34736 .3762 Metetra
.34736 .3762 .35095 .37109 .35842 .36164 .35485 .36673 Metetra
.35485 .36673 .35842 .36164 .3659 .35268 .36236 .35774 Metetra
.36236 .35774 .3659 .35268 .3734 .34423 .36987 .34928 Metetra
.36987 .34928 .3734 .34423 .38091 .33634 .3774 .34136 Metetra
.3774 .34136 .38091 .33634 .38843 .32902 .38495 .33403 Metetra
.38495 .33403 .38843 .32902 .39597 .3223 .3925 .3273 Metetra
.3925 .3273 .39597 .3223 .40351 .31622 .40007 .3212 Metetra
.007 0 0 r
.40007 .3212 .40351 .31622 .41108 .31078 .40765 .31575 Metetra
.056 0 0 r
.40765 .31575 .41108 .31078 .41865 .30601 .41525 .31097 Metetra
.105 0 0 r
.41525 .31097 .41865 .30601 .42624 .30193 .42286 .30688 Metetra
.154 0 0 r
.42286 .30688 .42624 .30193 .43385 .29854 .43048 .30349 Metetra
.201 0 0 r
.43048 .30349 .43385 .29854 .44147 .29586 .43812 .3008 Metetra
.247 0 0 r
.43812 .3008 .44147 .29586 .4491 .2939 .44578 .29884 Metetra
.291 0 0 r
.44578 .29884 .4491 .2939 .45676 .29266 .45345 .29761 Metetra
.332 0 0 r
.45345 .29761 .45676 .29266 .46442 .29215 .46114 .2971 Metetra
.371 0 0 r
.46114 .2971 .46442 .29215 .47211 .29236 .46885 .29731 Metetra
.408 0 0 r
.46885 .29731 .47211 .29236 .47981 .29329 .47657 .29825 Metetra
.441 0 0 r
.47657 .29825 .47981 .29329 .48753 .29494 .48431 .29991 Metetra
.472 0 0 r
.48431 .29991 .48753 .29494 .49527 .29729 .49207 .30228 Metetra
.501 0 0 r
.49207 .30228 .49527 .29729 .50303 .30033 .49985 .30534 Metetra
.527 .01 0 r
.49985 .30534 .50303 .30033 .51081 .30406 .50765 .30908 Metetra
.55 .038 0 r
.50765 .30908 .51081 .30406 .51861 .30845 .51547 .31349 Metetra
.572 .063 .005 r
.51547 .31349 .51861 .30845 .52642 .31348 .52331 .31854 Metetra
.591 .086 .021 r
.52331 .31854 .52642 .31348 .53426 .31913 .53117 .32422 Metetra
.609 .107 .035 r
.53117 .32422 .53426 .31913 .54212 .32538 .53905 .33049 Metetra
.624 .126 .049 r
.53905 .33049 .54212 .32538 .55 .33219 .54695 .33734 Metetra
.638 .144 .06 r
.54695 .33734 .55 .33219 .5579 .33954 .55487 .34472 Metetra
.65 .159 .071 r
.55487 .34472 .5579 .33954 .56582 .3474 .56282 .35261 Metetra
.661 .173 .08 r
.56282 .35261 .56582 .3474 .57377 .35573 .57078 .36097 Metetra
.671 .185 .088 r
.57078 .36097 .57377 .35573 .58174 .36449 .57877 .36977 Metetra
.679 .196 .095 r
.57877 .36977 .58174 .36449 .58973 .37365 .58679 .37897 Metetra
.686 .205 .101 r
.58679 .37897 .58973 .37365 .59775 .38317 .59483 .38853 Metetra
.692 .213 .107 r
.59483 .38853 .59775 .38317 .60579 .393 .60289 .3984 Metetra
.697 .219 .111 r
.60289 .3984 .60579 .393 .61385 .40311 .61097 .40855 Metetra
.701 .224 .114 r
.61097 .40855 .61385 .40311 .62194 .41345 .61908 .41893 Metetra
.704 .228 .117 r
.61908 .41893 .62194 .41345 .63005 .42397 .62721 .42949 Metetra
.706 .231 .118 r
.62721 .42949 .63005 .42397 .63818 .43463 .63537 .4402 Metetra
.708 .233 .119 r
.63537 .4402 .63818 .43463 .64634 .44538 .64355 .45099 Metetra
.708 .233 .12 r
.64355 .45099 .64634 .44538 .65452 .45618 .65176 .46183 Metetra
.707 .232 .119 r
.65176 .46183 .65452 .45618 .66273 .46697 .65999 .47266 Metetra
.705 .23 .118 r
.65999 .47266 .66273 .46697 .67096 .47771 .66824 .48345 Metetra
.703 .227 .116 r
.66824 .48345 .67096 .47771 .67922 .48835 .67652 .49413 Metetra
.7 .222 .113 r
.67652 .49413 .67922 .48835 .6875 .49884 .68483 .50466 Metetra
.695 .217 .11 r
.68483 .50466 .6875 .49884 .6958 .50913 .69315 .515 Metetra
.69 .21 .106 r
.69315 .515 .6958 .50913 .70413 .51919 .7015 .5251 Metetra
.684 .202 .101 r
.7015 .5251 .70413 .51919 .71248 .52895 .70988 .53491 Metetra
.676 .193 .095 r
.70988 .53491 .71248 .52895 .72085 .53839 .71827 .54438 Metetra
.668 .183 .089 r
.71827 .54438 .72085 .53839 .72924 .54744 .72669 .55348 Metetra
.658 .171 .082 r
.72669 .55348 .72924 .54744 .73766 .55608 .73513 .56215 Metetra
.648 .158 .075 r
.73513 .56215 .73766 .55608 .7461 .56426 .7436 .57036 Metetra
.636 .144 .066 r
.7436 .57036 .7461 .56426 .75456 .57194 .75208 .57808 Metetra
.622 .128 .057 r
.75208 .57808 .75456 .57194 .76305 .57908 .76059 .58525 Metetra
.608 .111 .048 r
.76059 .58525 .76305 .57908 .77155 .58565 .76912 .59185 Metetra
.592 .093 .037 r
.76912 .59185 .77155 .58565 .78007 .59161 .77767 .59785 Metetra
.574 .073 .027 r
.77767 .59785 .78007 .59161 .78862 .59694 .78624 .6032 Metetra
.555 .052 .015 r
.78624 .6032 .78862 .59694 .79718 .60161 .79483 .60789 Metetra
.535 .03 .003 r
.79483 .60789 .79718 .60161 .80576 .60558 .80344 .61189 Metetra
.513 .007 0 r
.80344 .61189 .80576 .60558 .81437 .60885 .81207 .61517 Metetra
.49 0 0 r
.81207 .61517 .81437 .60885 .82299 .61138 .82071 .61772 Metetra
.465 0 0 r
.82071 .61772 .82299 .61138 .83162 .61316 .82938 .61952 Metetra
.439 0 0 r
.82938 .61952 .83162 .61316 .84028 .61418 .83806 .62055 Metetra
.412 0 0 r
.83806 .62055 .84028 .61418 .84895 .61443 .84675 .62081 Metetra
.383 0 0 r
.84675 .62081 .84895 .61443 .85764 .6139 .85547 .62028 Metetra
.358 0 0 r
.08264 .7078 .08692 .70157 .09384 .70049 .08958 .70672 Metetra
.313 0 0 r
.08958 .70672 .09384 .70049 .10079 .6987 .09654 .70493 Metetra
.265 0 0 r
.09654 .70493 .10079 .6987 .10775 .69621 .10352 .70244 Metetra
.215 0 0 r
.10352 .70244 .10775 .69621 .11474 .69303 .11052 .69926 Metetra
.163 0 0 r
.11052 .69926 .11474 .69303 .12175 .68915 .11755 .69538 Metetra
.11 0 0 r
.11755 .69538 .12175 .68915 .12878 .6846 .12459 .69082 Metetra
.056 0 0 r
.12459 .69082 .12878 .6846 .13583 .67938 .13166 .68559 Metetra
.003 0 0 r
.13166 .68559 .13583 .67938 .1429 .67352 .13875 .67971 Metetra
.13875 .67971 .1429 .67352 .14999 .66702 .14586 .6732 Metetra
.14586 .6732 .14999 .66702 .15709 .65992 .15298 .66608 Metetra
.15298 .66608 .15709 .65992 .16422 .65223 .16013 .65838 Metetra
.16013 .65838 .16422 .65223 .17137 .64398 .16729 .65011 Metetra
.16729 .65011 .17137 .64398 .17853 .63521 .17448 .64131 Metetra
.17448 .64131 .17853 .63521 .18572 .62593 .18168 .63201 Metetra
.18168 .63201 .18572 .62593 .19292 .61619 .18889 .62225 Metetra
.18889 .62225 .19292 .61619 .20013 .60602 .19613 .61205 Metetra
.19613 .61205 .20013 .60602 .20736 .59546 .20338 .60146 Metetra
.20338 .60146 .20736 .59546 .21461 .58454 .21065 .59052 Metetra
.415 .814 .596 r
.21065 .59052 .21461 .58454 .22187 .57331 .21793 .57925 Metetra
.432 .825 .605 r
.21793 .57925 .22187 .57331 .22915 .5618 .22522 .56771 Metetra
.446 .834 .611 r
.22522 .56771 .22915 .5618 .23644 .55005 .23253 .55594 Metetra
.457 .84 .616 r
.23253 .55594 .23644 .55005 .24375 .53812 .23986 .54398 Metetra
.465 .845 .62 r
.23986 .54398 .24375 .53812 .25107 .52605 .2472 .53187 Metetra
.47 .848 .622 r
.2472 .53187 .25107 .52605 .2584 .51387 .25455 .51966 Metetra
.472 .849 .623 r
.25455 .51966 .2584 .51387 .26575 .50164 .26192 .5074 Metetra
.471 .849 .622 r
.26192 .5074 .26575 .50164 .2731 .4894 .26929 .49512 Metetra
.468 .847 .621 r
.26929 .49512 .2731 .4894 .28048 .47719 .27669 .48288 Metetra
.461 .843 .618 r
.27669 .48288 .28048 .47719 .28786 .46507 .28409 .47072 Metetra
.452 .838 .614 r
.28409 .47072 .28786 .46507 .29526 .45307 .29151 .45869 Metetra
.44 .83 .609 r
.29151 .45869 .29526 .45307 .30266 .44124 .29893 .44683 Metetra
.426 .821 .602 r
.29893 .44683 .30266 .44124 .31008 .42962 .30637 .43518 Metetra
.408 .81 .594 r
.30637 .43518 .31008 .42962 .31752 .41826 .31383 .42379 Metetra
.31383 .42379 .31752 .41826 .32496 .4072 .32129 .4127 Metetra
.32129 .4127 .32496 .4072 .33242 .39648 .32877 .40195 Metetra
.32877 .40195 .33242 .39648 .33988 .38613 .33625 .39157 Metetra
.33625 .39157 .33988 .38613 .34736 .3762 .34375 .38162 Metetra
.34375 .38162 .34736 .3762 .35485 .36673 .35126 .37212 Metetra
.35126 .37212 .35485 .36673 .36236 .35774 .35879 .36311 Metetra
.35879 .36311 .36236 .35774 .36987 .34928 .36633 .35462 Metetra
.36633 .35462 .36987 .34928 .3774 .34136 .37388 .34669 Metetra
.37388 .34669 .3774 .34136 .38495 .33403 .38144 .33934 Metetra
.38144 .33934 .38495 .33403 .3925 .3273 .38901 .33259 Metetra
.38901 .33259 .3925 .3273 .40007 .3212 .3966 .32648 Metetra
.028 0 0 r
.3966 .32648 .40007 .3212 .40765 .31575 .4042 .32102 Metetra
.077 0 0 r
.4042 .32102 .40765 .31575 .41525 .31097 .41182 .31623 Metetra
.125 0 0 r
.41182 .31623 .41525 .31097 .42286 .30688 .41945 .31213 Metetra
.172 0 0 r
.41945 .31213 .42286 .30688 .43048 .30349 .4271 .30873 Metetra
.218 0 0 r
.4271 .30873 .43048 .30349 .43812 .3008 .43476 .30605 Metetra
.263 0 0 r
.43476 .30605 .43812 .3008 .44578 .29884 .44244 .30409 Metetra
.305 0 0 r
.44244 .30409 .44578 .29884 .45345 .29761 .45013 .30285 Metetra
.345 0 0 r
.45013 .30285 .45345 .29761 .46114 .2971 .45784 .30235 Metetra
.383 0 0 r
.45784 .30235 .46114 .2971 .46885 .29731 .46557 .30257 Metetra
.418 0 0 r
.46557 .30257 .46885 .29731 .47657 .29825 .47331 .30352 Metetra
.451 0 0 r
.47331 .30352 .47657 .29825 .48431 .29991 .48107 .30519 Metetra
.481 0 0 r
.48107 .30519 .48431 .29991 .49207 .30228 .48885 .30757 Metetra
.508 0 0 r
.48885 .30757 .49207 .30228 .49985 .30534 .49665 .31065 Metetra
.533 .023 0 r
.49665 .31065 .49985 .30534 .50765 .30908 .50447 .31441 Metetra
.556 .05 .007 r
.50447 .31441 .50765 .30908 .51547 .31349 .51231 .31884 Metetra
.577 .074 .023 r
.51231 .31884 .51547 .31349 .52331 .31854 .52017 .32392 Metetra
.596 .097 .038 r
.52017 .32392 .52331 .31854 .53117 .32422 .52805 .32962 Metetra
.613 .117 .052 r
.52805 .32962 .53117 .32422 .53905 .33049 .53595 .33592 Metetra
.628 .136 .065 r
.53595 .33592 .53905 .33049 .54695 .33734 .54388 .34279 Metetra
.641 .153 .076 r
.54388 .34279 .54695 .33734 .55487 .34472 .55182 .35021 Metetra
.653 .168 .086 r
.55182 .35021 .55487 .34472 .56282 .35261 .55979 .35813 Metetra
.664 .181 .095 r
.55979 .35813 .56282 .35261 .57078 .36097 .56778 .36653 Metetra
.673 .193 .103 r
.56778 .36653 .57078 .36097 .57877 .36977 .57579 .37536 Metetra
.682 .204 .11 r
.57579 .37536 .57877 .36977 .58679 .37897 .58383 .3846 Metetra
.689 .213 .115 r
.58383 .3846 .58679 .37897 .59483 .38853 .59188 .3942 Metetra
.694 .22 .12 r
.59188 .3942 .59483 .38853 .60289 .3984 .59997 .40411 Metetra
.699 .226 .124 r
.59997 .40411 .60289 .3984 .61097 .40855 .60808 .4143 Metetra
.703 .231 .128 r
.60808 .4143 .61097 .40855 .61908 .41893 .61621 .42473 Metetra
.706 .235 .13 r
.61621 .42473 .61908 .41893 .62721 .42949 .62436 .43533 Metetra
.708 .238 .132 r
.62436 .43533 .62721 .42949 .63537 .4402 .63254 .44608 Metetra
.709 .239 .133 r
.63254 .44608 .63537 .4402 .64355 .45099 .64075 .45692 Metetra
.709 .24 .133 r
.64075 .45692 .64355 .45099 .65176 .46183 .64898 .4678 Metetra
.709 .239 .132 r
.64898 .4678 .65176 .46183 .65999 .47266 .65723 .47868 Metetra
.707 .237 .131 r
.65723 .47868 .65999 .47266 .66824 .48345 .66551 .48951 Metetra
.705 .234 .129 r
.66551 .48951 .66824 .48345 .67652 .49413 .67381 .50024 Metetra
.701 .229 .127 r
.67381 .50024 .67652 .49413 .68483 .50466 .68214 .51082 Metetra
.697 .224 .123 r
.68214 .51082 .68483 .50466 .69315 .515 .69049 .5212 Metetra
.692 .217 .119 r
.69049 .5212 .69315 .515 .7015 .5251 .69886 .53134 Metetra
.686 .21 .115 r
.69886 .53134 .7015 .5251 .70988 .53491 .70726 .54119 Metetra
.679 .201 .11 r
.70726 .54119 .70988 .53491 .71827 .54438 .71568 .5507 Metetra
.67 .191 .104 r
.71568 .5507 .71827 .54438 .72669 .55348 .72412 .55984 Metetra
.661 .179 .097 r
.72412 .55984 .72669 .55348 .73513 .56215 .73259 .56855 Metetra
.651 .167 .09 r
.73259 .56855 .73513 .56215 .7436 .57036 .74108 .5768 Metetra
.639 .153 .082 r
.74108 .5768 .7436 .57036 .75208 .57808 .74959 .58455 Metetra
.626 .138 .073 r
.74959 .58455 .75208 .57808 .76059 .58525 .75812 .59176 Metetra
.612 .121 .064 r
.75812 .59176 .76059 .58525 .76912 .59185 .76668 .59839 Metetra
.596 .103 .054 r
.76668 .59839 .76912 .59185 .77767 .59785 .77525 .60441 Metetra
.579 .084 .044 r
.77525 .60441 .77767 .59785 .78624 .6032 .78385 .6098 Metetra
.561 .064 .033 r
.78385 .6098 .78624 .6032 .79483 .60789 .79246 .61451 Metetra
.541 .043 .021 r
.79246 .61451 .79483 .60789 .80344 .61189 .8011 .61853 Metetra
.52 .02 .009 r
.8011 .61853 .80344 .61189 .81207 .61517 .80975 .62183 Metetra
.497 0 0 r
.80975 .62183 .81207 .61517 .82071 .61772 .81842 .6244 Metetra
.473 0 0 r
.81842 .6244 .82071 .61772 .82938 .61952 .82711 .62621 Metetra
.448 0 0 r
.82711 .62621 .82938 .61952 .83806 .62055 .83582 .62726 Metetra
.421 0 0 r
.83582 .62726 .83806 .62055 .84675 .62081 .84455 .62752 Metetra
.393 0 0 r
.84455 .62752 .84675 .62081 .85547 .62028 .85329 .627 Metetra
.369 0 0 r
.07833 .71432 .08264 .7078 .08958 .70672 .08528 .71325 Metetra
.325 0 0 r
.08528 .71325 .08958 .70672 .09654 .70493 .09226 .71147 Metetra
.279 0 0 r
.09226 .71147 .09654 .70493 .10352 .70244 .09926 .70898 Metetra
.231 0 0 r
.09926 .70898 .10352 .70244 .11052 .69926 .10628 .70579 Metetra
.18 0 0 r
.10628 .70579 .11052 .69926 .11755 .69538 .11332 .7019 Metetra
.128 0 0 r
.11332 .7019 .11755 .69538 .12459 .69082 .12038 .69733 Metetra
.076 0 0 r
.12038 .69733 .12459 .69082 .13166 .68559 .12747 .6921 Metetra
.023 0 0 r
.12747 .6921 .13166 .68559 .13875 .67971 .13457 .68621 Metetra
.13457 .68621 .13875 .67971 .14586 .6732 .1417 .67968 Metetra
.1417 .67968 .14586 .6732 .15298 .66608 .14884 .67255 Metetra
.14884 .67255 .15298 .66608 .16013 .65838 .15601 .66483 Metetra
.15601 .66483 .16013 .65838 .16729 .65011 .16319 .65654 Metetra
.16319 .65654 .16729 .65011 .17448 .64131 .17039 .64772 Metetra
.17039 .64772 .17448 .64131 .18168 .63201 .17761 .6384 Metetra
.17761 .6384 .18168 .63201 .18889 .62225 .18485 .62861 Metetra
.18485 .62861 .18889 .62225 .19613 .61205 .1921 .61839 Metetra
.1921 .61839 .19613 .61205 .20338 .60146 .19937 .60777 Metetra
.19937 .60777 .20338 .60146 .21065 .59052 .20665 .5968 Metetra
.20665 .5968 .21065 .59052 .21793 .57925 .21396 .5855 Metetra
.41 .807 .58 r
.21396 .5855 .21793 .57925 .22522 .56771 .22127 .57393 Metetra
.425 .816 .587 r
.22127 .57393 .22522 .56771 .23253 .55594 .2286 .56213 Metetra
.436 .823 .593 r
.2286 .56213 .23253 .55594 .23986 .54398 .23595 .55013 Metetra
.444 .828 .596 r
.23595 .55013 .23986 .54398 .2472 .53187 .2433 .53799 Metetra
.449 .831 .599 r
.2433 .53799 .2472 .53187 .25455 .51966 .25068 .52575 Metetra
.451 .832 .6 r
.25068 .52575 .25455 .51966 .26192 .5074 .25806 .51346 Metetra
.45 .832 .599 r
.25806 .51346 .26192 .5074 .26929 .49512 .26546 .50115 Metetra
.447 .83 .598 r
.26546 .50115 .26929 .49512 .27669 .48288 .27287 .48888 Metetra
.44 .826 .595 r
.27287 .48888 .27669 .48288 .28409 .47072 .28029 .47668 Metetra
.431 .82 .591 r
.28029 .47668 .28409 .47072 .29151 .45869 .28773 .46462 Metetra
.419 .812 .585 r
.28773 .46462 .29151 .45869 .29893 .44683 .29518 .45272 Metetra
.29518 .45272 .29893 .44683 .30637 .43518 .30264 .44104 Metetra
.30264 .44104 .30637 .43518 .31383 .42379 .31011 .42962 Metetra
.31011 .42962 .31383 .42379 .32129 .4127 .31759 .4185 Metetra
.31759 .4185 .32129 .4127 .32877 .40195 .32509 .40772 Metetra
.32509 .40772 .32877 .40195 .33625 .39157 .3326 .39732 Metetra
.3326 .39732 .33625 .39157 .34375 .38162 .34012 .38734 Metetra
.34012 .38734 .34375 .38162 .35126 .37212 .34765 .37782 Metetra
.34765 .37782 .35126 .37212 .35879 .36311 .3552 .36878 Metetra
.3552 .36878 .35879 .36311 .36633 .35462 .36275 .36028 Metetra
.36275 .36028 .36633 .35462 .37388 .34669 .37032 .35232 Metetra
.37032 .35232 .37388 .34669 .38144 .33934 .37791 .34495 Metetra
.37791 .34495 .38144 .33934 .38901 .33259 .3855 .33819 Metetra
.002 0 0 r
.3855 .33819 .38901 .33259 .3966 .32648 .39311 .33206 Metetra
.049 0 0 r
.39311 .33206 .3966 .32648 .4042 .32102 .40073 .32659 Metetra
.096 0 0 r
.40073 .32659 .4042 .32102 .41182 .31623 .40837 .32179 Metetra
.143 0 0 r
.40837 .32179 .41182 .31623 .41945 .31213 .41602 .31769 Metetra
.19 0 0 r
.41602 .31769 .41945 .31213 .4271 .30873 .42369 .31428 Metetra
.234 0 0 r
.42369 .31428 .4271 .30873 .43476 .30605 .43137 .3116 Metetra
.278 0 0 r
.43137 .3116 .43476 .30605 .44244 .30409 .43907 .30964 Metetra
.319 0 0 r
.43907 .30964 .44244 .30409 .45013 .30285 .44678 .3084 Metetra
.358 0 0 r
.44678 .3084 .45013 .30285 .45784 .30235 .45451 .3079 Metetra
.394 0 0 r
.45451 .3079 .45784 .30235 .46557 .30257 .46226 .30814 Metetra
.428 0 0 r
.46226 .30814 .46557 .30257 .47331 .30352 .47003 .30909 Metetra
.46 0 0 r
.47003 .30909 .47331 .30352 .48107 .30519 .47781 .31078 Metetra
.489 0 0 r
.47781 .31078 .48107 .30519 .48885 .30757 .48561 .31317 Metetra
.515 .008 0 r
.48561 .31317 .48885 .30757 .49665 .31065 .49343 .31627 Metetra
.54 .036 .007 r
.49343 .31627 .49665 .31065 .50447 .31441 .50127 .32005 Metetra
.562 .062 .024 r
.50127 .32005 .50447 .31441 .51231 .31884 .50913 .3245 Metetra
.582 .086 .04 r
.50913 .3245 .51231 .31884 .52017 .32392 .51701 .3296 Metetra
.6 .107 .055 r
.51701 .3296 .52017 .32392 .52805 .32962 .52492 .33533 Metetra
.617 .127 .068 r
.52492 .33533 .52805 .32962 .53595 .33592 .53284 .34166 Metetra
.631 .145 .08 r
.53284 .34166 .53595 .33592 .54388 .34279 .54078 .34856 Metetra
.645 .162 .091 r
.54078 .34856 .54388 .34279 .55182 .35021 .54875 .35601 Metetra
.656 .176 .101 r
.54875 .35601 .55182 .35021 .55979 .35813 .55674 .36396 Metetra
.667 .189 .109 r
.55674 .36396 .55979 .35813 .56778 .36653 .56475 .3724 Metetra
.676 .201 .117 r
.56475 .3724 .56778 .36653 .57579 .37536 .57279 .38127 Metetra
.684 .211 .123 r
.57279 .38127 .57579 .37536 .58383 .3846 .58084 .39055 Metetra
.69 .22 .129 r
.58084 .39055 .58383 .3846 .59188 .3942 .58893 .40019 Metetra
.696 .227 .134 r
.58893 .40019 .59188 .3942 .59997 .40411 .59703 .41014 Metetra
.701 .233 .138 r
.59703 .41014 .59997 .40411 .60808 .4143 .60516 .42038 Metetra
.705 .238 .141 r
.60516 .42038 .60808 .4143 .61621 .42473 .61331 .43084 Metetra
.708 .242 .143 r
.61331 .43084 .61621 .42473 .62436 .43533 .62149 .44149 Metetra
.71 .244 .145 r
.62149 .44149 .62436 .43533 .63254 .44608 .6297 .45229 Metetra
.711 .246 .145 r
.6297 .45229 .63254 .44608 .64075 .45692 .63792 .46317 Metetra
.711 .246 .146 r
.63792 .46317 .64075 .45692 .64898 .4678 .64618 .4741 Metetra
.71 .245 .145 r
.64618 .4741 .64898 .4678 .65723 .47868 .65445 .48502 Metetra
.709 .243 .144 r
.65445 .48502 .65723 .47868 .66551 .48951 .66275 .4959 Metetra
.706 .24 .142 r
.66275 .4959 .66551 .48951 .67381 .50024 .67108 .50667 Metetra
.703 .236 .14 r
.67108 .50667 .67381 .50024 .68214 .51082 .67943 .51729 Metetra
.699 .231 .136 r
.67943 .51729 .68214 .51082 .69049 .5212 .6878 .52772 Metetra
.694 .224 .133 r
.6878 .52772 .69049 .5212 .69886 .53134 .6962 .5379 Metetra
.688 .217 .128 r
.6962 .5379 .69886 .53134 .70726 .54119 .70462 .5478 Metetra
.681 .208 .123 r
.70462 .5478 .70726 .54119 .71568 .5507 .71307 .55735 Metetra
.673 .198 .118 r
.71307 .55735 .71568 .5507 .72412 .55984 .72154 .56653 Metetra
.664 .187 .111 r
.72154 .56653 .72412 .55984 .73259 .56855 .73003 .57528 Metetra
.653 .175 .104 r
.73003 .57528 .73259 .56855 .74108 .5768 .73855 .58357 Metetra
.642 .162 .097 r
.73855 .58357 .74108 .5768 .74959 .58455 .74708 .59135 Metetra
.629 .147 .089 r
.74708 .59135 .74959 .58455 .75812 .59176 .75564 .5986 Metetra
.615 .131 .08 r
.75564 .5986 .75812 .59176 .76668 .59839 .76422 .60526 Metetra
.6 .114 .07 r
.76422 .60526 .76668 .59839 .77525 .60441 .77282 .61131 Metetra
.584 .095 .06 r
.77282 .61131 .77525 .60441 .78385 .6098 .78144 .61672 Metetra
.566 .075 .05 r
.78144 .61672 .78385 .6098 .79246 .61451 .79008 .62146 Metetra
.547 .054 .038 r
.79008 .62146 .79246 .61451 .8011 .61853 .79874 .62551 Metetra
.526 .032 .027 r
.79874 .62551 .8011 .61853 .80975 .62183 .80742 .62883 Metetra
.504 .009 .014 r
.80742 .62883 .80975 .62183 .81842 .6244 .81612 .63142 Metetra
.48 0 .002 r
.81612 .63142 .81842 .6244 .82711 .62621 .82484 .63325 Metetra
.456 0 0 r
.82484 .63325 .82711 .62621 .83582 .62726 .83357 .6343 Metetra
.43 0 0 r
.83357 .6343 .83582 .62726 .84455 .62752 .84233 .63458 Metetra
.403 0 0 r
.84233 .63458 .84455 .62752 .85329 .627 .8511 .63406 Metetra
.379 0 0 r
.07399 .72116 .07833 .71432 .08528 .71325 .08096 .72009 Metetra
.337 0 0 r
.08096 .72009 .08528 .71325 .09226 .71147 .08795 .7183 Metetra
.292 0 0 r
.08795 .7183 .09226 .71147 .09926 .70898 .09496 .71581 Metetra
.245 0 0 r
.09496 .71581 .09926 .70898 .10628 .70579 .102 .71262 Metetra
.196 0 0 r
.102 .71262 .10628 .70579 .11332 .7019 .10906 .70873 Metetra
.146 0 0 r
.10906 .70873 .11332 .7019 .12038 .69733 .11614 .70416 Metetra
.095 0 0 r
.11614 .70416 .12038 .69733 .12747 .6921 .12325 .69891 Metetra
.044 0 0 r
.12325 .69891 .12747 .6921 .13457 .68621 .13037 .69301 Metetra
.13037 .69301 .13457 .68621 .1417 .67968 .13751 .68647 Metetra
.13751 .68647 .1417 .67968 .14884 .67255 .14468 .67932 Metetra
.14468 .67932 .14884 .67255 .15601 .66483 .15186 .67158 Metetra
.15186 .67158 .15601 .66483 .16319 .65654 .15906 .66328 Metetra
.15906 .66328 .16319 .65654 .17039 .64772 .16628 .65444 Metetra
.16628 .65444 .17039 .64772 .17761 .6384 .17352 .64509 Metetra
.17352 .64509 .17761 .6384 .18485 .62861 .18077 .63528 Metetra
.18077 .63528 .18485 .62861 .1921 .61839 .18804 .62503 Metetra
.18804 .62503 .1921 .61839 .19937 .60777 .19533 .61439 Metetra
.19533 .61439 .19937 .60777 .20665 .5968 .20264 .60338 Metetra
.20264 .60338 .20665 .5968 .21396 .5855 .20996 .59206 Metetra
.20996 .59206 .21396 .5855 .22127 .57393 .21729 .58046 Metetra
.21729 .58046 .22127 .57393 .2286 .56213 .22464 .56862 Metetra
.22464 .56862 .2286 .56213 .23595 .55013 .23201 .5566 Metetra
.422 .81 .573 r
.23201 .5566 .23595 .55013 .2433 .53799 .23938 .54443 Metetra
.428 .813 .575 r
.23938 .54443 .2433 .53799 .25068 .52575 .24678 .53215 Metetra
.43 .814 .576 r
.24678 .53215 .25068 .52575 .25806 .51346 .25418 .51982 Metetra
.429 .814 .576 r
.25418 .51982 .25806 .51346 .26546 .50115 .2616 .50748 Metetra
.425 .812 .574 r
.2616 .50748 .26546 .50115 .27287 .48888 .26903 .49517 Metetra
.419 .808 .571 r
.26903 .49517 .27287 .48888 .28029 .47668 .27647 .48295 Metetra
.27647 .48295 .28029 .47668 .28773 .46462 .28393 .47085 Metetra
.28393 .47085 .28773 .46462 .29518 .45272 .2914 .45892 Metetra
.2914 .45892 .29518 .45272 .30264 .44104 .29888 .44721 Metetra
.29888 .44721 .30264 .44104 .31011 .42962 .30637 .43576 Metetra
.30637 .43576 .31011 .42962 .31759 .4185 .31387 .42461 Metetra
.31387 .42461 .31759 .4185 .32509 .40772 .32139 .4138 Metetra
.32139 .4138 .32509 .40772 .3326 .39732 .32892 .40337 Metetra
.32892 .40337 .3326 .39732 .34012 .38734 .33646 .39337 Metetra
.33646 .39337 .34012 .38734 .34765 .37782 .34401 .38382 Metetra
.34401 .38382 .34765 .37782 .3552 .36878 .35158 .37476 Metetra
.35158 .37476 .3552 .36878 .36275 .36028 .35916 .36623 Metetra
.35916 .36623 .36275 .36028 .37032 .35232 .36675 .35826 Metetra
.36675 .35826 .37032 .35232 .37791 .34495 .37435 .35087 Metetra
.37435 .35087 .37791 .34495 .3855 .33819 .38197 .34409 Metetra
.023 0 0 r
.38197 .34409 .3855 .33819 .39311 .33206 .3896 .33795 Metetra
.069 0 0 r
.3896 .33795 .39311 .33206 .40073 .32659 .39724 .33247 Metetra
.115 0 0 r
.39724 .33247 .40073 .32659 .40837 .32179 .4049 .32766 Metetra
.161 0 0 r
.4049 .32766 .40837 .32179 .41602 .31769 .41257 .32355 Metetra
.206 0 0 r
.41257 .32355 .41602 .31769 .42369 .31428 .42026 .32015 Metetra
.25 0 0 r
.42026 .32015 .42369 .31428 .43137 .3116 .42796 .31746 Metetra
.292 0 0 r
.42796 .31746 .43137 .3116 .43907 .30964 .43568 .3155 Metetra
.331 0 0 r
.43568 .3155 .43907 .30964 .44678 .3084 .44342 .31427 Metetra
.369 0 0 r
.44342 .31427 .44678 .3084 .45451 .3079 .45117 .31377 Metetra
.404 0 0 r
.45117 .31377 .45451 .3079 .46226 .30814 .45894 .31401 Metetra
.437 0 0 r
.45894 .31401 .46226 .30814 .47003 .30909 .46672 .31498 Metetra
.468 0 0 r
.46672 .31498 .47003 .30909 .47781 .31078 .47453 .31667 Metetra
.496 0 0 r
.47453 .31667 .47781 .31078 .48561 .31317 .48235 .31908 Metetra
.522 .021 .007 r
.48235 .31908 .48561 .31317 .49343 .31627 .49019 .3222 Metetra
.545 .048 .025 r
.49019 .3222 .49343 .31627 .50127 .32005 .49805 .326 Metetra
.567 .073 .042 r
.49805 .326 .50127 .32005 .50913 .3245 .50594 .33048 Metetra
.587 .096 .057 r
.50594 .33048 .50913 .3245 .51701 .3296 .51384 .3356 Metetra
.604 .117 .071 r
.51384 .3356 .51701 .3296 .52492 .33533 .52176 .34136 Metetra
.62 .137 .084 r
.52176 .34136 .52492 .33533 .53284 .34166 .52971 .34771 Metetra
.634 .154 .095 r
.52971 .34771 .53284 .34166 .54078 .34856 .53767 .35465 Metetra
.647 .17 .106 r
.53767 .35465 .54078 .34856 .54875 .35601 .54566 .36213 Metetra
.659 .184 .115 r
.54566 .36213 .54875 .35601 .55674 .36396 .55367 .37012 Metetra
.669 .197 .123 r
.55367 .37012 .55674 .36396 .56475 .3724 .5617 .37859 Metetra
.678 .208 .13 r
.5617 .37859 .56475 .3724 .57279 .38127 .56976 .3875 Metetra
.685 .218 .136 r
.56976 .3875 .57279 .38127 .58084 .39055 .57784 .39682 Metetra
.692 .227 .142 r
.57784 .39682 .58084 .39055 .58893 .40019 .58595 .4065 Metetra
.698 .234 .146 r
.58595 .4065 .58893 .40019 .59703 .41014 .59407 .41649 Metetra
.702 .24 .15 r
.59407 .41649 .59703 .41014 .60516 .42038 .60223 .42677 Metetra
.706 .244 .153 r
.60223 .42677 .60516 .42038 .61331 .43084 .6104 .43728 Metetra
.709 .248 .155 r
.6104 .43728 .61331 .43084 .62149 .44149 .6186 .44798 Metetra
.711 .251 .157 r
.6186 .44798 .62149 .44149 .6297 .45229 .62683 .45882 Metetra
.712 .252 .158 r
.62683 .45882 .6297 .45229 .63792 .46317 .63508 .46975 Metetra
.712 .252 .158 r
.63508 .46975 .63792 .46317 .64618 .4741 .64336 .48072 Metetra
.711 .251 .157 r
.64336 .48072 .64618 .4741 .65445 .48502 .65166 .49169 Metetra
.71 .25 .156 r
.65166 .49169 .65445 .48502 .66275 .4959 .65998 .50261 Metetra
.708 .247 .154 r
.65998 .50261 .66275 .4959 .67108 .50667 .66833 .51343 Metetra
.704 .243 .152 r
.66833 .51343 .67108 .50667 .67943 .51729 .67671 .5241 Metetra
.7 .237 .149 r
.67671 .5241 .67943 .51729 .6878 .52772 .6851 .53457 Metetra
.695 .231 .145 r
.6851 .53457 .6878 .52772 .6962 .5379 .69353 .5448 Metetra
.689 .224 .141 r
.69353 .5448 .6962 .5379 .70462 .5478 .70197 .55474 Metetra
.683 .215 .136 r
.70197 .55474 .70462 .5478 .71307 .55735 .71044 .56434 Metetra
.675 .206 .131 r
.71044 .56434 .71307 .55735 .72154 .56653 .71894 .57355 Metetra
.666 .195 .125 r
.71894 .57355 .72154 .56653 .73003 .57528 .72745 .58235 Metetra
.656 .183 .118 r
.72745 .58235 .73003 .57528 .73855 .58357 .73599 .59067 Metetra
.645 .17 .111 r
.73599 .59067 .73855 .58357 .74708 .59135 .74456 .5985 Metetra
.632 .156 .103 r
.74456 .5985 .74708 .59135 .75564 .5986 .75314 .60577 Metetra
.619 .14 .095 r
.75314 .60577 .75564 .5986 .76422 .60526 .76175 .61247 Metetra
.604 .123 .086 r
.76175 .61247 .76422 .60526 .77282 .61131 .77037 .61855 Metetra
.588 .105 .076 r
.77037 .61855 .77282 .61131 .78144 .61672 .77902 .62399 Metetra
.57 .086 .066 r
.77902 .62399 .78144 .61672 .79008 .62146 .78769 .62876 Metetra
.552 .066 .055 r
.78769 .62876 .79008 .62146 .79874 .62551 .79638 .63283 Metetra
.532 .044 .044 r
.79638 .63283 .79874 .62551 .80742 .62883 .80508 .63617 Metetra
.51 .022 .032 r
.80508 .63617 .80742 .62883 .81612 .63142 .81381 .63878 Metetra
.487 0 .02 r
.81381 .63878 .81612 .63142 .82484 .63325 .82255 .64062 Metetra
.463 0 .007 r
.82255 .64062 .82484 .63325 .83357 .6343 .83131 .64169 Metetra
.438 0 0 r
.83131 .64169 .83357 .6343 .84233 .63458 .84009 .64198 Metetra
.412 0 0 r
.84009 .64198 .84233 .63458 .8511 .63406 .84889 .64147 Metetra
.388 0 0 r
.06961 .72829 .07399 .72116 .08096 .72009 .0766 .72723 Metetra
.348 0 0 r
.0766 .72723 .08096 .72009 .08795 .7183 .08361 .72545 Metetra
.305 0 0 r
.08361 .72545 .08795 .7183 .09496 .71581 .09064 .72296 Metetra
.259 0 0 r
.09064 .72296 .09496 .71581 .102 .71262 .0977 .71976 Metetra
.212 0 0 r
.0977 .71976 .102 .71262 .10906 .70873 .10478 .71587 Metetra
.163 0 0 r
.10478 .71587 .10906 .70873 .11614 .70416 .11187 .71129 Metetra
.113 0 0 r
.11187 .71129 .11614 .70416 .12325 .69891 .11899 .70603 Metetra
.063 0 0 r
.11899 .70603 .12325 .69891 .13037 .69301 .12614 .70012 Metetra
.013 0 0 r
.12614 .70012 .13037 .69301 .13751 .68647 .1333 .69357 Metetra
.1333 .69357 .13751 .68647 .14468 .67932 .14048 .68641 Metetra
.14048 .68641 .14468 .67932 .15186 .67158 .14768 .67865 Metetra
.14768 .67865 .15186 .67158 .15906 .66328 .1549 .67032 Metetra
.1549 .67032 .15906 .66328 .16628 .65444 .16214 .66146 Metetra
.16214 .66146 .16628 .65444 .17352 .64509 .16939 .6521 Metetra
.16939 .6521 .17352 .64509 .18077 .63528 .17667 .64226 Metetra
.17667 .64226 .18077 .63528 .18804 .62503 .18396 .63199 Metetra
.18396 .63199 .18804 .62503 .19533 .61439 .19127 .62131 Metetra
.19127 .62131 .19533 .61439 .20264 .60338 .19859 .61028 Metetra
.19859 .61028 .20264 .60338 .20996 .59206 .20593 .59893 Metetra
.20593 .59893 .20996 .59206 .21729 .58046 .21329 .5873 Metetra
.21329 .5873 .21729 .58046 .22464 .56862 .22065 .57543 Metetra
.22065 .57543 .22464 .56862 .23201 .5566 .22804 .56337 Metetra
.22804 .56337 .23201 .5566 .23938 .54443 .23544 .55117 Metetra
.23544 .55117 .23938 .54443 .24678 .53215 .24285 .53886 Metetra
.24285 .53886 .24678 .53215 .25418 .51982 .25027 .5265 Metetra
.25027 .5265 .25418 .51982 .2616 .50748 .25771 .51412 Metetra
.25771 .51412 .2616 .50748 .26903 .49517 .26516 .50178 Metetra
.26516 .50178 .26903 .49517 .27647 .48295 .27263 .48952 Metetra
.27263 .48952 .27647 .48295 .28393 .47085 .2801 .47739 Metetra
.2801 .47739 .28393 .47085 .2914 .45892 .28759 .46544 Metetra
.28759 .46544 .2914 .45892 .29888 .44721 .29509 .45369 Metetra
.29509 .45369 .29888 .44721 .30637 .43576 .30261 .44221 Metetra
.30261 .44221 .30637 .43576 .31387 .42461 .31013 .43103 Metetra
.31013 .43103 .31387 .42461 .32139 .4138 .31767 .42019 Metetra
.31767 .42019 .32139 .4138 .32892 .40337 .32522 .40974 Metetra
.32522 .40974 .32892 .40337 .33646 .39337 .33278 .39971 Metetra
.33278 .39971 .33646 .39337 .34401 .38382 .34035 .39013 Metetra
.34035 .39013 .34401 .38382 .35158 .37476 .34794 .38105 Metetra
.34794 .38105 .35158 .37476 .35916 .36623 .35554 .3725 Metetra
.35554 .3725 .35916 .36623 .36675 .35826 .36315 .36451 Metetra
.36315 .36451 .36675 .35826 .37435 .35087 .37077 .3571 Metetra
.37077 .3571 .37435 .35087 .38197 .34409 .37841 .35031 Metetra
.043 0 0 r
.37841 .35031 .38197 .34409 .3896 .33795 .38606 .34416 Metetra
.088 0 0 r
.38606 .34416 .3896 .33795 .39724 .33247 .39372 .33866 Metetra
.133 0 0 r
.39372 .33866 .39724 .33247 .4049 .32766 .4014 .33385 Metetra
.178 0 0 r
.4014 .33385 .4049 .32766 .41257 .32355 .4091 .32973 Metetra
.222 0 0 r
.4091 .32973 .41257 .32355 .42026 .32015 .4168 .32632 Metetra
.264 0 0 r
.4168 .32632 .42026 .32015 .42796 .31746 .42453 .32363 Metetra
.305 0 0 r
.42453 .32363 .42796 .31746 .43568 .3155 .43227 .32167 Metetra
.343 0 0 r
.43227 .32167 .43568 .3155 .44342 .31427 .44002 .32044 Metetra
.38 0 0 r
.44002 .32044 .44342 .31427 .45117 .31377 .4478 .31995 Metetra
.414 0 0 r
.4478 .31995 .45117 .31377 .45894 .31401 .45559 .3202 Metetra
.446 0 0 r
.45559 .3202 .45894 .31401 .46672 .31498 .4634 .32118 Metetra
.475 0 0 r
.4634 .32118 .46672 .31498 .47453 .31667 .47122 .32289 Metetra
.503 .005 .006 r
.47122 .32289 .47453 .31667 .48235 .31908 .47907 .32531 Metetra
.528 .033 .025 r
.47907 .32531 .48235 .31908 .49019 .3222 .48693 .32845 Metetra
.551 .059 .042 r
.48693 .32845 .49019 .3222 .49805 .326 .49481 .33227 Metetra
.572 .084 .058 r
.49481 .33227 .49805 .326 .50594 .33048 .50272 .33677 Metetra
.591 .106 .073 r
.50272 .33677 .50594 .33048 .51384 .3356 .51064 .34192 Metetra
.608 .127 .086 r
.51064 .34192 .51384 .3356 .52176 .34136 .51858 .3477 Metetra
.623 .146 .098 r
.51858 .3477 .52176 .34136 .52971 .34771 .52655 .35409 Metetra
.637 .163 .109 r
.52655 .35409 .52971 .34771 .53767 .35465 .53454 .36105 Metetra
.65 .178 .119 r
.53454 .36105 .53767 .35465 .54566 .36213 .54255 .36857 Metetra
.661 .192 .128 r
.54255 .36857 .54566 .36213 .55367 .37012 .55058 .37659 Metetra
.671 .204 .136 r
.55058 .37659 .55367 .37012 .5617 .37859 .55864 .3851 Metetra
.68 .215 .143 r
.55864 .3851 .5617 .37859 .56976 .3875 .56672 .39405 Metetra
.687 .225 .149 r
.56672 .39405 .56976 .3875 .57784 .39682 .57482 .40341 Metetra
.694 .233 .154 r
.57482 .40341 .57784 .39682 .58595 .4065 .58295 .41313 Metetra
.699 .24 .159 r
.58295 .41313 .58595 .4065 .59407 .41649 .5911 .42317 Metetra
.704 .246 .162 r
.5911 .42317 .59407 .41649 .60223 .42677 .59927 .43349 Metetra
.707 .251 .165 r
.59927 .43349 .60223 .42677 .6104 .43728 .60747 .44405 Metetra
.71 .254 .167 r
.60747 .44405 .6104 .43728 .6186 .44798 .6157 .45479 Metetra
.712 .256 .169 r
.6157 .45479 .6186 .44798 .62683 .45882 .62395 .46568 Metetra
.713 .258 .169 r
.62395 .46568 .62683 .45882 .63508 .46975 .63222 .47665 Metetra
.713 .258 .169 r
.63222 .47665 .63508 .46975 .64336 .48072 .64052 .48768 Metetra
.712 .257 .169 r
.64052 .48768 .64336 .48072 .65166 .49169 .64884 .49869 Metetra
.711 .255 .168 r
.64884 .49869 .65166 .49169 .65998 .50261 .65719 .50966 Metetra
.709 .253 .166 r
.65719 .50966 .65998 .50261 .66833 .51343 .66557 .52053 Metetra
.706 .249 .164 r
.66557 .52053 .66833 .51343 .67671 .5241 .67397 .53124 Metetra
.702 .244 .161 r
.67397 .53124 .67671 .5241 .6851 .53457 .68239 .54176 Metetra
.697 .238 .158 r
.68239 .54176 .6851 .53457 .69353 .5448 .69084 .55204 Metetra
.691 .23 .154 r
.69084 .55204 .69353 .5448 .70197 .55474 .69931 .56202 Metetra
.684 .222 .149 r
.69931 .56202 .70197 .55474 .71044 .56434 .7078 .57166 Metetra
.677 .213 .144 r
.7078 .57166 .71044 .56434 .71894 .57355 .71632 .58092 Metetra
.668 .202 .138 r
.71632 .58092 .71894 .57355 .72745 .58235 .72486 .58975 Metetra
.658 .191 .132 r
.72486 .58975 .72745 .58235 .73599 .59067 .73343 .59812 Metetra
.647 .178 .125 r
.73343 .59812 .73599 .59067 .74456 .5985 .74202 .60598 Metetra
.635 .164 .117 r
.74202 .60598 .74456 .5985 .75314 .60577 .75063 .61329 Metetra
.622 .149 .109 r
.75063 .61329 .75314 .60577 .76175 .61247 .75926 .62002 Metetra
.607 .132 .1 r
.75926 .62002 .76175 .61247 .77037 .61855 .76791 .62614 Metetra
.592 .115 .091 r
.76791 .62614 .77037 .61855 .77902 .62399 .77658 .63161 Metetra
.575 .096 .081 r
.77658 .63161 .77902 .62399 .78769 .62876 .78528 .6364 Metetra
.556 .076 .071 r
.78528 .6364 .78769 .62876 .79638 .63283 .79399 .64049 Metetra
.537 .055 .06 r
.79399 .64049 .79638 .63283 .80508 .63617 .80273 .64386 Metetra
.516 .034 .049 r
.80273 .64386 .80508 .63617 .81381 .63878 .81148 .64648 Metetra
.494 .011 .037 r
.81148 .64648 .81381 .63878 .82255 .64062 .82025 .64834 Metetra
.47 0 .025 r
.82025 .64834 .82255 .64062 .83131 .64169 .82904 .64943 Metetra
.446 0 .013 r
.82904 .64943 .83131 .64169 .84009 .64198 .83785 .64972 Metetra
.42 0 .001 r
.83785 .64972 .84009 .64198 .84889 .64147 .84667 .64923 Metetra
.397 0 0 r
.06521 .73574 .06961 .72829 .0766 .72723 .07222 .73468 Metetra
.358 0 0 r
.07222 .73468 .0766 .72723 .08361 .72545 .07924 .7329 Metetra
.316 0 0 r
.07924 .7329 .08361 .72545 .09064 .72296 .08629 .73042 Metetra
.272 0 0 r
.08629 .73042 .09064 .72296 .0977 .71976 .09337 .72722 Metetra
.226 0 0 r
.09337 .72722 .0977 .71976 .10478 .71587 .10046 .72332 Metetra
.179 0 0 r
.10046 .72332 .10478 .71587 .11187 .71129 .10758 .71873 Metetra
.13 0 0 r
.10758 .71873 .11187 .71129 .11899 .70603 .11471 .71347 Metetra
.081 0 0 r
.11471 .71347 .11899 .70603 .12614 .70012 .12187 .70755 Metetra
.033 0 0 r
.12187 .70755 .12614 .70012 .1333 .69357 .12905 .70098 Metetra
.12905 .70098 .1333 .69357 .14048 .68641 .13625 .6938 Metetra
.13625 .6938 .14048 .68641 .14768 .67865 .14347 .68602 Metetra
.14347 .68602 .14768 .67865 .1549 .67032 .15071 .67768 Metetra
.15071 .67768 .1549 .67032 .16214 .66146 .15797 .6688 Metetra
.15797 .6688 .16214 .66146 .16939 .6521 .16524 .65941 Metetra
.16524 .65941 .16939 .6521 .17667 .64226 .17254 .64955 Metetra
.17254 .64955 .17667 .64226 .18396 .63199 .17985 .63925 Metetra
.17985 .63925 .18396 .63199 .19127 .62131 .18717 .62855 Metetra
.18717 .62855 .19127 .62131 .19859 .61028 .19452 .61749 Metetra
.19452 .61749 .19859 .61028 .20593 .59893 .20188 .60611 Metetra
.20188 .60611 .20593 .59893 .21329 .5873 .20925 .59445 Metetra
.20925 .59445 .21329 .5873 .22065 .57543 .21664 .58255 Metetra
.21664 .58255 .22065 .57543 .22804 .56337 .22404 .57046 Metetra
.22404 .57046 .22804 .56337 .23544 .55117 .23146 .55822 Metetra
.23146 .55822 .23544 .55117 .24285 .53886 .23889 .54588 Metetra
.23889 .54588 .24285 .53886 .25027 .5265 .24634 .53348 Metetra
.24634 .53348 .25027 .5265 .25771 .51412 .2538 .52108 Metetra
.2538 .52108 .25771 .51412 .26516 .50178 .26127 .5087 Metetra
.26127 .5087 .26516 .50178 .27263 .48952 .26875 .49641 Metetra
.26875 .49641 .27263 .48952 .2801 .47739 .27625 .48425 Metetra
.27625 .48425 .2801 .47739 .28759 .46544 .28376 .47226 Metetra
.28376 .47226 .28759 .46544 .29509 .45369 .29128 .46048 Metetra
.29128 .46048 .29509 .45369 .30261 .44221 .29881 .44897 Metetra
.29881 .44897 .30261 .44221 .31013 .43103 .30636 .43776 Metetra
.30636 .43776 .31013 .43103 .31767 .42019 .31392 .42689 Metetra
.31392 .42689 .31767 .42019 .32522 .40974 .32149 .41641 Metetra
.32149 .41641 .32522 .40974 .33278 .39971 .32907 .40636 Metetra
.32907 .40636 .33278 .39971 .34035 .39013 .33666 .39676 Metetra
.33666 .39676 .34035 .39013 .34794 .38105 .34427 .38766 Metetra
.34427 .38766 .34794 .38105 .35554 .3725 .35189 .37908 Metetra
.35189 .37908 .35554 .3725 .36315 .36451 .35952 .37107 Metetra
.35952 .37107 .36315 .36451 .37077 .3571 .36717 .36365 Metetra
.018 0 0 r
.36717 .36365 .37077 .3571 .37841 .35031 .37483 .35684 Metetra
.062 0 0 r
.37483 .35684 .37841 .35031 .38606 .34416 .3825 .35067 Metetra
.106 0 0 r
.3825 .35067 .38606 .34416 .39372 .33866 .39018 .34517 Metetra
.151 0 0 r
.39018 .34517 .39372 .33866 .4014 .33385 .39788 .34035 Metetra
.194 0 0 r
.39788 .34035 .4014 .33385 .4091 .32973 .4056 .33622 Metetra
.237 0 0 r
.4056 .33622 .4091 .32973 .4168 .32632 .41333 .33281 Metetra
.278 0 0 r
.41333 .33281 .4168 .32632 .42453 .32363 .42107 .33012 Metetra
.317 0 0 r
.42107 .33012 .42453 .32363 .43227 .32167 .42883 .32816 Metetra
.355 0 0 r
.42883 .32816 .43227 .32167 .44002 .32044 .43661 .32693 Metetra
.39 0 0 r
.43661 .32693 .44002 .32044 .4478 .31995 .44441 .32645 Metetra
.423 0 0 r
.44441 .32645 .4478 .31995 .45559 .3202 .45222 .32671 Metetra
.454 0 0 r
.45222 .32671 .45559 .3202 .4634 .32118 .46005 .3277 Metetra
.483 0 .004 r
.46005 .3277 .4634 .32118 .47122 .32289 .46789 .32942 Metetra
.509 .017 .024 r
.46789 .32942 .47122 .32289 .47907 .32531 .47576 .33186 Metetra
.533 .045 .042 r
.47576 .33186 .47907 .32531 .48693 .32845 .48364 .33501 Metetra
.556 .07 .058 r
.48364 .33501 .48693 .32845 .49481 .33227 .49155 .33886 Metetra
.576 .094 .074 r
.49155 .33886 .49481 .33227 .50272 .33677 .49947 .34338 Metetra
.594 .116 .088 r
.49947 .34338 .50272 .33677 .51064 .34192 .50742 .34856 Metetra
.611 .136 .101 r
.50742 .34856 .51064 .34192 .51858 .3477 .51539 .35437 Metetra
.626 .154 .113 r
.51539 .35437 .51858 .3477 .52655 .35409 .52338 .36078 Metetra
.64 .171 .123 r
.52338 .36078 .52655 .35409 .53454 .36105 .53139 .36778 Metetra
.652 .186 .133 r
.53139 .36778 .53454 .36105 .54255 .36857 .53942 .37533 Metetra
.663 .199 .141 r
.53942 .37533 .54255 .36857 .55058 .37659 .54747 .38339 Metetra
.673 .211 .149 r
.54747 .38339 .55058 .37659 .55864 .3851 .55555 .39194 Metetra
.681 .222 .155 r
.55555 .39194 .55864 .3851 .56672 .39405 .56365 .40093 Metetra
.688 .231 .161 r
.56365 .40093 .56672 .39405 .57482 .40341 .57178 .41033 Metetra
.695 .239 .166 r
.57178 .41033 .57482 .40341 .58295 .41313 .57993 .42009 Metetra
.7 .246 .17 r
.57993 .42009 .58295 .41313 .5911 .42317 .5881 .43018 Metetra
.705 .252 .174 r
.5881 .43018 .5911 .42317 .59927 .43349 .5963 .44054 Metetra
.708 .256 .176 r
.5963 .44054 .59927 .43349 .60747 .44405 .60452 .45115 Metetra
.711 .26 .178 r
.60452 .45115 .60747 .44405 .6157 .45479 .61277 .46193 Metetra
.713 .262 .18 r
.61277 .46193 .6157 .45479 .62395 .46568 .62104 .47287 Metetra
.714 .263 .181 r
.62104 .47287 .62395 .46568 .63222 .47665 .62934 .48389 Metetra
.714 .264 .181 r
.62934 .48389 .63222 .47665 .64052 .48768 .63767 .49496 Metetra
.713 .263 .18 r
.63767 .49496 .64052 .48768 .64884 .49869 .64601 .50603 Metetra
.712 .261 .179 r
.64601 .50603 .64884 .49869 .65719 .50966 .65439 .51705 Metetra
.71 .258 .178 r
.65439 .51705 .65719 .50966 .66557 .52053 .66278 .52796 Metetra
.707 .254 .175 r
.66278 .52796 .66557 .52053 .67397 .53124 .67121 .53872 Metetra
.703 .25 .173 r
.67121 .53872 .67397 .53124 .68239 .54176 .67965 .54929 Metetra
.698 .244 .169 r
.67965 .54929 .68239 .54176 .69084 .55204 .68813 .55961 Metetra
.692 .237 .166 r
.68813 .55961 .69084 .55204 .69931 .56202 .69662 .56964 Metetra
.686 .229 .161 r
.69662 .56964 .69931 .56202 .7078 .57166 .70514 .57932 Metetra
.678 .22 .156 r
.70514 .57932 .7078 .57166 .71632 .58092 .71369 .58863 Metetra
.67 .209 .151 r
.71369 .58863 .71632 .58092 .72486 .58975 .72225 .5975 Metetra
.66 .198 .145 r
.72225 .5975 .72486 .58975 .73343 .59812 .73084 .60591 Metetra
.649 .185 .138 r
.73084 .60591 .73343 .59812 .74202 .60598 .73946 .6138 Metetra
.638 .172 .131 r
.73946 .6138 .74202 .60598 .75063 .61329 .74809 .62115 Metetra
.625 .157 .123 r
.74809 .62115 .75063 .61329 .75926 .62002 .75675 .62792 Metetra
.611 .141 .115 r
.75675 .62792 .75926 .62002 .76791 .62614 .76543 .63407 Metetra
.595 .124 .106 r
.76543 .63407 .76791 .62614 .77658 .63161 .77413 .63957 Metetra
.579 .106 .096 r
.77413 .63957 .77658 .63161 .78528 .6364 .78285 .64439 Metetra
.561 .087 .086 r
.78285 .64439 .78528 .6364 .79399 .64049 .79159 .64851 Metetra
.542 .066 .076 r
.79159 .64851 .79399 .64049 .80273 .64386 .80035 .6519 Metetra
.521 .045 .065 r
.80035 .6519 .80273 .64386 .81148 .64648 .80913 .65454 Metetra
.5 .023 .054 r
.80913 .65454 .81148 .64648 .82025 .64834 .81793 .65642 Metetra
.477 0 .043 r
.81793 .65642 .82025 .64834 .82904 .64943 .82675 .65752 Metetra
.453 0 .031 r
.82675 .65752 .82904 .64943 .83785 .64972 .83559 .65782 Metetra
.428 0 .019 r
.83559 .65782 .83785 .64972 .84667 .64923 .84444 .65733 Metetra
.405 0 .015 r
.06078 .7435 .06521 .73574 .07222 .73468 .0678 .74245 Metetra
.368 0 0 r
.0678 .74245 .07222 .73468 .07924 .7329 .07485 .74067 Metetra
.327 0 0 r
.07485 .74067 .07924 .7329 .08629 .73042 .08191 .73818 Metetra
.285 0 0 r
.08191 .73818 .08629 .73042 .09337 .72722 .089 .73498 Metetra
.24 0 0 r
.089 .73498 .09337 .72722 .10046 .72332 .09611 .73108 Metetra
.194 0 0 r
.09611 .73108 .10046 .72332 .10758 .71873 .10325 .72649 Metetra
.147 0 0 r
.10325 .72649 .10758 .71873 .11471 .71347 .11041 .72122 Metetra
.099 0 0 r
.11041 .72122 .11471 .71347 .12187 .70755 .11758 .71528 Metetra
.052 0 0 r
.11758 .71528 .12187 .70755 .12905 .70098 .12478 .70871 Metetra
.005 0 0 r
.12478 .70871 .12905 .70098 .13625 .6938 .132 .70151 Metetra
.132 .70151 .13625 .6938 .14347 .68602 .13924 .69372 Metetra
.13924 .69372 .14347 .68602 .15071 .67768 .14649 .68536 Metetra
.14649 .68536 .15071 .67768 .15797 .6688 .15377 .67645 Metetra
.15377 .67645 .15797 .6688 .16524 .65941 .16107 .66704 Metetra
.16107 .66704 .16524 .65941 .17254 .64955 .16838 .65716 Metetra
.16838 .65716 .17254 .64955 .17985 .63925 .17571 .64683 Metetra
.17571 .64683 .17985 .63925 .18717 .62855 .18305 .63611 Metetra
.18305 .63611 .18717 .62855 .19452 .61749 .19042 .62502 Metetra
.19042 .62502 .19452 .61749 .20188 .60611 .1978 .6136 Metetra
.1978 .6136 .20188 .60611 .20925 .59445 .20519 .60191 Metetra
.20519 .60191 .20925 .59445 .21664 .58255 .2126 .58998 Metetra
.2126 .58998 .21664 .58255 .22404 .57046 .22002 .57786 Metetra
.22002 .57786 .22404 .57046 .23146 .55822 .22746 .56559 Metetra
.22746 .56559 .23146 .55822 .23889 .54588 .23491 .55322 Metetra
.23491 .55322 .23889 .54588 .24634 .53348 .24238 .54079 Metetra
.24238 .54079 .24634 .53348 .2538 .52108 .24986 .52835 Metetra
.24986 .52835 .2538 .52108 .26127 .5087 .25735 .51594 Metetra
.25735 .51594 .26127 .5087 .26875 .49641 .26485 .50362 Metetra
.26485 .50362 .26875 .49641 .27625 .48425 .27237 .49142 Metetra
.27237 .49142 .27625 .48425 .28376 .47226 .2799 .4794 Metetra
.2799 .4794 .28376 .47226 .29128 .46048 .28744 .46759 Metetra
.28744 .46759 .29128 .46048 .29881 .44897 .295 .45605 Metetra
.295 .45605 .29881 .44897 .30636 .43776 .30256 .44481 Metetra
.30256 .44481 .30636 .43776 .31392 .42689 .31014 .43391 Metetra
.31014 .43391 .31392 .42689 .32149 .41641 .31773 .42341 Metetra
.31773 .42341 .32149 .41641 .32907 .40636 .32534 .41332 Metetra
.32534 .41332 .32907 .40636 .33666 .39676 .33295 .4037 Metetra
.33295 .4037 .33666 .39676 .34427 .38766 .34058 .39458 Metetra
.34058 .39458 .34427 .38766 .35189 .37908 .34822 .38598 Metetra
.34822 .38598 .35189 .37908 .35952 .37107 .35587 .37795 Metetra
.35587 .37795 .35952 .37107 .36717 .36365 .36354 .37051 Metetra
.038 0 0 r
.36354 .37051 .36717 .36365 .37483 .35684 .37122 .36369 Metetra
.081 0 0 r
.37122 .36369 .37483 .35684 .3825 .35067 .37891 .35751 Metetra
.124 0 0 r
.37891 .35751 .3825 .35067 .39018 .34517 .38662 .35199 Metetra
.167 0 0 r
.38662 .35199 .39018 .34517 .39788 .34035 .39434 .34716 Metetra
.209 0 0 r
.39434 .34716 .39788 .34035 .4056 .33622 .40208 .34303 Metetra
.251 0 0 r
.40208 .34303 .4056 .33622 .41333 .33281 .40983 .33961 Metetra
.291 0 0 r
.40983 .33961 .41333 .33281 .42107 .33012 .41759 .33692 Metetra
.329 0 0 r
.41759 .33692 .42107 .33012 .42883 .32816 .42538 .33496 Metetra
.365 0 0 r
.42538 .33496 .42883 .32816 .43661 .32693 .43317 .33375 Metetra
.399 0 0 r
.43317 .33375 .43661 .32693 .44441 .32645 .44099 .33327 Metetra
.432 0 0 r
.44099 .33327 .44441 .32645 .45222 .32671 .44882 .33353 Metetra
.462 0 .002 r
.44882 .33353 .45222 .32671 .46005 .3277 .45667 .33454 Metetra
.489 0 .022 r
.45667 .33454 .46005 .3277 .46789 .32942 .46454 .33627 Metetra
.515 .029 .041 r
.46454 .33627 .46789 .32942 .47576 .33186 .47243 .33873 Metetra
.539 .056 .058 r
.47243 .33873 .47576 .33186 .48364 .33501 .48034 .3419 Metetra
.56 .081 .074 r
.48034 .3419 .48364 .33501 .49155 .33886 .48826 .34577 Metetra
.58 .104 .089 r
.48826 .34577 .49155 .33886 .49947 .34338 .49621 .35031 Metetra
.598 .125 .102 r
.49621 .35031 .49947 .34338 .50742 .34856 .50418 .35552 Metetra
.614 .144 .115 r
.50418 .35552 .50742 .34856 .51539 .35437 .51217 .36136 Metetra
.629 .162 .126 r
.51217 .36136 .51539 .35437 .52338 .36078 .52018 .36781 Metetra
.642 .178 .136 r
.52018 .36781 .52338 .36078 .53139 .36778 .52821 .37484 Metetra
.654 .193 .145 r
.52821 .37484 .53139 .36778 .53942 .37533 .53627 .38242 Metetra
.665 .206 .154 r
.53627 .38242 .53942 .37533 .54747 .38339 .54434 .39052 Metetra
.674 .218 .161 r
.54434 .39052 .54747 .38339 .55555 .39194 .55244 .39911 Metetra
.682 .228 .167 r
.55244 .39911 .55555 .39194 .56365 .40093 .56057 .40814 Metetra
.69 .237 .173 r
.56057 .40814 .56365 .40093 .57178 .41033 .56872 .41758 Metetra
.696 .245 .177 r
.56872 .41758 .57178 .41033 .57993 .42009 .57689 .42738 Metetra
.701 .252 .181 r
.57689 .42738 .57993 .42009 .5881 .43018 .58509 .43752 Metetra
.706 .257 .185 r
.58509 .43752 .5881 .43018 .5963 .44054 .59331 .44793 Metetra
.709 .262 .187 r
.59331 .44793 .5963 .44054 .60452 .45115 .60155 .45858 Metetra
.712 .265 .189 r
.60155 .45858 .60452 .45115 .61277 .46193 .60983 .46941 Metetra
.714 .268 .191 r
.60983 .46941 .61277 .46193 .62104 .47287 .61812 .48039 Metetra
.714 .269 .191 r
.61812 .48039 .62104 .47287 .62934 .48389 .62644 .49147 Metetra
.715 .269 .192 r
.62644 .49147 .62934 .48389 .63767 .49496 .63479 .50259 Metetra
.714 .268 .191 r
.63479 .50259 .63767 .49496 .64601 .50603 .64316 .5137 Metetra
.713 .267 .19 r
.64316 .5137 .64601 .50603 .65439 .51705 .65156 .52477 Metetra
.711 .264 .189 r
.65156 .52477 .65439 .51705 .66278 .52796 .65998 .53573 Metetra
.708 .26 .187 r
.65998 .53573 .66278 .52796 .67121 .53872 .66843 .54654 Metetra
.704 .255 .184 r
.66843 .54654 .67121 .53872 .67965 .54929 .6769 .55716 Metetra
.699 .249 .181 r
.6769 .55716 .67965 .54929 .68813 .55961 .6854 .56753 Metetra
.693 .243 .177 r
.6854 .56753 .68813 .55961 .69662 .56964 .69392 .5776 Metetra
.687 .235 .173 r
.69392 .5776 .69662 .56964 .70514 .57932 .70247 .58733 Metetra
.68 .226 .168 r
.70247 .58733 .70514 .57932 .71369 .58863 .71104 .59668 Metetra
.671 .216 .163 r
.71104 .59668 .71369 .58863 .72225 .5975 .71963 .60559 Metetra
.662 .205 .157 r
.71963 .60559 .72225 .5975 .73084 .60591 .72825 .61404 Metetra
.651 .193 .15 r
.72825 .61404 .73084 .60591 .73946 .6138 .73688 .62198 Metetra
.64 .179 .143 r
.73688 .62198 .73946 .6138 .74809 .62115 .74555 .62936 Metetra
.627 .165 .136 r
.74555 .62936 .74809 .62115 .75675 .62792 .75423 .63617 Metetra
.613 .15 .128 r
.75423 .63617 .75675 .62792 .76543 .63407 .76294 .64235 Metetra
.598 .133 .12 r
.76294 .64235 .76543 .63407 .77413 .63957 .77166 .64788 Metetra
.582 .115 .111 r
.77166 .64788 .77413 .63957 .78285 .64439 .78041 .65273 Metetra
.565 .096 .101 r
.78041 .65273 .78285 .64439 .79159 .64851 .78918 .65687 Metetra
.546 .077 .091 r
.78918 .65687 .79159 .64851 .80035 .6519 .79797 .66028 Metetra
.526 .056 .081 r
.79797 .66028 .80035 .6519 .80913 .65454 .80678 .66295 Metetra
.505 .034 .07 r
.80678 .66295 .80913 .65454 .81793 .65642 .8156 .66484 Metetra
.483 .012 .059 r
.8156 .66484 .81793 .65642 .82675 .65752 .82445 .66596 Metetra
.46 0 .048 r
.82445 .66596 .82675 .65752 .83559 .65782 .83331 .66628 Metetra
.436 0 .036 r
.83331 .66628 .83559 .65782 .84444 .65733 .84219 .6658 Metetra
.413 0 .033 r
.05632 .75158 .06078 .7435 .0678 .74245 .06336 .75053 Metetra
.377 0 .003 r
.06336 .75053 .0678 .74245 .07485 .74067 .07042 .74876 Metetra
.338 0 0 r
.07042 .74876 .07485 .74067 .08191 .73818 .0775 .74627 Metetra
.296 0 0 r
.0775 .74627 .08191 .73818 .089 .73498 .08461 .74307 Metetra
.253 0 0 r
.08461 .74307 .089 .73498 .09611 .73108 .09174 .73916 Metetra
.208 0 0 r
.09174 .73916 .09611 .73108 .10325 .72649 .09889 .73456 Metetra
.162 0 0 r
.09889 .73456 .10325 .72649 .11041 .72122 .10607 .72928 Metetra
.116 0 0 r
.10607 .72928 .11041 .72122 .11758 .71528 .11326 .72334 Metetra
.07 0 0 r
.11326 .72334 .11758 .71528 .12478 .70871 .12048 .71675 Metetra
.024 0 0 r
.12048 .71675 .12478 .70871 .132 .70151 .12772 .70954 Metetra
.12772 .70954 .132 .70151 .13924 .69372 .13497 .70173 Metetra
.13497 .70173 .13924 .69372 .14649 .68536 .14225 .69335 Metetra
.14225 .69335 .14649 .68536 .15377 .67645 .14954 .68442 Metetra
.14954 .68442 .15377 .67645 .16107 .66704 .15686 .67499 Metetra
.15686 .67499 .16107 .66704 .16838 .65716 .16419 .66508 Metetra
.16419 .66508 .16838 .65716 .17571 .64683 .17154 .65473 Metetra
.17154 .65473 .17571 .64683 .18305 .63611 .1789 .64398 Metetra
.1789 .64398 .18305 .63611 .19042 .62502 .18629 .63286 Metetra
.18629 .63286 .19042 .62502 .1978 .6136 .19369 .62142 Metetra
.19369 .62142 .1978 .6136 .20519 .60191 .2011 .6097 Metetra
.2011 .6097 .20519 .60191 .2126 .58998 .20853 .59774 Metetra
.20853 .59774 .2126 .58998 .22002 .57786 .21597 .58558 Metetra
.21597 .58558 .22002 .57786 .22746 .56559 .22343 .57328 Metetra
.22343 .57328 .22746 .56559 .23491 .55322 .2309 .56087 Metetra
.2309 .56087 .23491 .55322 .24238 .54079 .23839 .54841 Metetra
.23839 .54841 .24238 .54079 .24986 .52835 .24589 .53594 Metetra
.24589 .53594 .24986 .52835 .25735 .51594 .2534 .5235 Metetra
.2534 .5235 .25735 .51594 .26485 .50362 .26093 .51114 Metetra
.26093 .51114 .26485 .50362 .27237 .49142 .26847 .49891 Metetra
.26847 .49891 .27237 .49142 .2799 .4794 .27602 .48686 Metetra
.27602 .48686 .2799 .4794 .28744 .46759 .28358 .47502 Metetra
.28358 .47502 .28744 .46759 .295 .45605 .29115 .46345 Metetra
.29115 .46345 .295 .45605 .30256 .44481 .29874 .45218 Metetra
.29874 .45218 .30256 .44481 .31014 .43391 .30634 .44125 Metetra
.30634 .44125 .31014 .43391 .31773 .42341 .31395 .43072 Metetra
.31395 .43072 .31773 .42341 .32534 .41332 .32158 .42061 Metetra
.32158 .42061 .32534 .41332 .33295 .4037 .32921 .41096 Metetra
.32921 .41096 .33295 .4037 .34058 .39458 .33686 .40182 Metetra
.33686 .40182 .34058 .39458 .34822 .38598 .34452 .3932 Metetra
.34452 .3932 .34822 .38598 .35587 .37795 .3522 .38515 Metetra
.015 0 0 r
.3522 .38515 .35587 .37795 .36354 .37051 .35989 .37769 Metetra
.056 0 0 r
.35989 .37769 .36354 .37051 .37122 .36369 .36759 .37086 Metetra
.099 0 0 r
.36759 .37086 .37122 .36369 .37891 .35751 .3753 .36466 Metetra
.141 0 0 r
.3753 .36466 .37891 .35751 .38662 .35199 .38303 .35914 Metetra
.183 0 0 r
.38303 .35914 .38662 .35199 .39434 .34716 .39077 .3543 Metetra
.224 0 0 r
.39077 .3543 .39434 .34716 .40208 .34303 .39853 .35016 Metetra
.264 0 0 r
.39853 .35016 .40208 .34303 .40983 .33961 .4063 .34674 Metetra
.303 0 0 r
.4063 .34674 .40983 .33961 .41759 .33692 .41409 .34405 Metetra
.34 0 0 r
.41409 .34405 .41759 .33692 .42538 .33496 .42189 .34209 Metetra
.375 0 0 r
.42189 .34209 .42538 .33496 .43317 .33375 .42971 .34088 Metetra
.408 0 0 r
.42971 .34088 .43317 .33375 .44099 .33327 .43755 .34041 Metetra
.439 0 0 r
.43755 .34041 .44099 .33327 .44882 .33353 .44541 .34068 Metetra
.469 0 .02 r
.44541 .34068 .44882 .33353 .45667 .33454 .45328 .3417 Metetra
.496 .013 .039 r
.45328 .3417 .45667 .33454 .46454 .33627 .46117 .34345 Metetra
.52 .041 .057 r
.46117 .34345 .46454 .33627 .47243 .33873 .46908 .34593 Metetra
.543 .067 .074 r
.46908 .34593 .47243 .33873 .48034 .3419 .47701 .34912 Metetra
.564 .091 .089 r
.47701 .34912 .48034 .3419 .48826 .34577 .48496 .35301 Metetra
.584 .113 .103 r
.48496 .35301 .48826 .34577 .49621 .35031 .49293 .35758 Metetra
.601 .134 .116 r
.49293 .35758 .49621 .35031 .50418 .35552 .50092 .36281 Metetra
.617 .153 .128 r
.50092 .36281 .50418 .35552 .51217 .36136 .50893 .36868 Metetra
.631 .17 .139 r
.50893 .36868 .51217 .36136 .52018 .36781 .51696 .37516 Metetra
.644 .186 .149 r
.51696 .37516 .52018 .36781 .52821 .37484 .52502 .38222 Metetra
.656 .2 .158 r
.52502 .38222 .52821 .37484 .53627 .38242 .53309 .38984 Metetra
.666 .213 .165 r
.53309 .38984 .53627 .38242 .54434 .39052 .54119 .39798 Metetra
.676 .224 .172 r
.54119 .39798 .54434 .39052 .55244 .39911 .54932 .4066 Metetra
.684 .234 .178 r
.54932 .4066 .55244 .39911 .56057 .40814 .55746 .41568 Metetra
.691 .243 .184 r
.55746 .41568 .56057 .40814 .56872 .41758 .56564 .42516 Metetra
.697 .251 .188 r
.56564 .42516 .56872 .41758 .57689 .42738 .57383 .43501 Metetra
.702 .257 .192 r
.57383 .43501 .57689 .42738 .58509 .43752 .58205 .44519 Metetra
.706 .263 .195 r
.58205 .44519 .58509 .43752 .59331 .44793 .5903 .45565 Metetra
.71 .267 .198 r
.5903 .45565 .59331 .44793 .60155 .45858 .59857 .46634 Metetra
.712 .27 .2 r
.59857 .46634 .60155 .45858 .60983 .46941 .60686 .47723 Metetra
.714 .273 .201 r
.60686 .47723 .60983 .46941 .61812 .48039 .61518 .48826 Metetra
.715 .274 .202 r
.61518 .48826 .61812 .48039 .62644 .49147 .62353 .49938 Metetra
.715 .274 .202 r
.62353 .49938 .62644 .49147 .63479 .50259 .6319 .51055 Metetra
.715 .273 .202 r
.6319 .51055 .63479 .50259 .64316 .5137 .64029 .52172 Metetra
.713 .272 .201 r
.64029 .52172 .64316 .5137 .65156 .52477 .64872 .53283 Metetra
.711 .269 .199 r
.64872 .53283 .65156 .52477 .65998 .53573 .65716 .54385 Metetra
.708 .265 .197 r
.65716 .54385 .65998 .53573 .66843 .54654 .66563 .55471 Metetra
.704 .261 .195 r
.66563 .55471 .66843 .54654 .6769 .55716 .67413 .56537 Metetra
.7 .255 .192 r
.67413 .56537 .6769 .55716 .6854 .56753 .68265 .57579 Metetra
.694 .248 .188 r
.68265 .57579 .6854 .56753 .69392 .5776 .6912 .58591 Metetra
.688 .241 .184 r
.6912 .58591 .69392 .5776 .70247 .58733 .69977 .59569 Metetra
.681 .232 .179 r
.69977 .59569 .70247 .58733 .71104 .59668 .70837 .60508 Metetra
.673 .222 .174 r
.70837 .60508 .71104 .59668 .71963 .60559 .71699 .61404 Metetra
.663 .211 .169 r
.71699 .61404 .71963 .60559 .72825 .61404 .72563 .62253 Metetra
.653 .2 .162 r
.72563 .62253 .72825 .61404 .73688 .62198 .73429 .6305 Metetra
.642 .187 .156 r
.73429 .6305 .73688 .62198 .74555 .62936 .74298 .63793 Metetra
.63 .173 .149 r
.74298 .63793 .74555 .62936 .75423 .63617 .75169 .64477 Metetra
.616 .158 .141 r
.75169 .64477 .75423 .63617 .76294 .64235 .76043 .65098 Metetra
.601 .141 .133 r
.76043 .65098 .76294 .64235 .77166 .64788 .76918 .65654 Metetra
.586 .124 .124 r
.76918 .65654 .77166 .64788 .78041 .65273 .77796 .66142 Metetra
.569 .106 .115 r
.77796 .66142 .78041 .65273 .78918 .65687 .78675 .66559 Metetra
.55 .087 .105 r
.78675 .66559 .78918 .65687 .79797 .66028 .79557 .66903 Metetra
.531 .066 .096 r
.79557 .66903 .79797 .66028 .80678 .66295 .8044 .67171 Metetra
.511 .045 .085 r
.8044 .67171 .80678 .66295 .8156 .66484 .81326 .67363 Metetra
.489 .023 .075 r
.81326 .67363 .8156 .66484 .82445 .66596 .82213 .67476 Metetra
.466 .001 .064 r
.82213 .67476 .82445 .66596 .83331 .66628 .83102 .67509 Metetra
.443 0 .052 r
.83102 .67509 .83331 .66628 .84219 .6658 .83993 .67462 Metetra
.421 0 .049 r
.05182 .75997 .05632 .75158 .06336 .75053 .05888 .75893 Metetra
.385 0 .021 r
.05888 .75893 .06336 .75053 .07042 .74876 .06596 .75716 Metetra
.347 0 0 r
.06596 .75716 .07042 .74876 .0775 .74627 .07306 .75468 Metetra
.307 0 0 r
.07306 .75468 .0775 .74627 .08461 .74307 .08018 .75147 Metetra
.265 0 0 r
.08018 .75147 .08461 .74307 .09174 .73916 .08733 .74756 Metetra
.222 0 0 r
.08733 .74756 .09174 .73916 .09889 .73456 .0945 .74296 Metetra
.177 0 0 r
.0945 .74296 .09889 .73456 .10607 .72928 .1017 .73767 Metetra
.132 0 0 r
.1017 .73767 .10607 .72928 .11326 .72334 .10891 .73172 Metetra
.087 0 0 r
.10891 .73172 .11326 .72334 .12048 .71675 .11615 .72511 Metetra
.043 0 0 r
.11615 .72511 .12048 .71675 .12772 .70954 .1234 .71789 Metetra
.1234 .71789 .12772 .70954 .13497 .70173 .13068 .71006 Metetra
.13068 .71006 .13497 .70173 .14225 .69335 .13797 .70166 Metetra
.13797 .70166 .14225 .69335 .14954 .68442 .14529 .69272 Metetra
.14529 .69272 .14954 .68442 .15686 .67499 .15262 .68326 Metetra
.15262 .68326 .15686 .67499 .16419 .66508 .15997 .67333 Metetra
.15997 .67333 .16419 .66508 .17154 .65473 .16734 .66295 Metetra
.16734 .66295 .17154 .65473 .1789 .64398 .17473 .65217 Metetra
.17473 .65217 .1789 .64398 .18629 .63286 .18213 .64103 Metetra
.18213 .64103 .18629 .63286 .19369 .62142 .18955 .62956 Metetra
.18955 .62956 .19369 .62142 .2011 .6097 .19698 .6178 Metetra
.19698 .6178 .2011 .6097 .20853 .59774 .20443 .60581 Metetra
.20443 .60581 .20853 .59774 .21597 .58558 .2119 .59363 Metetra
.2119 .59363 .21597 .58558 .22343 .57328 .21937 .58129 Metetra
.21937 .58129 .22343 .57328 .2309 .56087 .22687 .56885 Metetra
.22687 .56885 .2309 .56087 .23839 .54841 .23437 .55636 Metetra
.23437 .55636 .23839 .54841 .24589 .53594 .24189 .54385 Metetra
.24189 .54385 .24589 .53594 .2534 .5235 .24943 .53138 Metetra
.24943 .53138 .2534 .5235 .26093 .51114 .25697 .51899 Metetra
.25697 .51899 .26093 .51114 .26847 .49891 .26453 .50673 Metetra
.26453 .50673 .26847 .49891 .27602 .48686 .2721 .49464 Metetra
.2721 .49464 .27602 .48686 .28358 .47502 .27969 .48277 Metetra
.27969 .48277 .28358 .47502 .29115 .46345 .28728 .47116 Metetra
.28728 .47116 .29115 .46345 .29874 .45218 .29489 .45987 Metetra
.29489 .45987 .29874 .45218 .30634 .44125 .30251 .44891 Metetra
.30251 .44891 .30634 .44125 .31395 .43072 .31015 .43835 Metetra
.31015 .43835 .31395 .43072 .32158 .42061 .31779 .42822 Metetra
.31779 .42822 .32158 .42061 .32921 .41096 .32545 .41855 Metetra
.32545 .41855 .32921 .41096 .33686 .40182 .33312 .40938 Metetra
.33312 .40938 .33686 .40182 .34452 .3932 .3408 .40074 Metetra
.3408 .40074 .34452 .3932 .3522 .38515 .3485 .39267 Metetra
.034 0 0 r
.3485 .39267 .3522 .38515 .35989 .37769 .35621 .3852 Metetra
.074 0 0 r
.35621 .3852 .35989 .37769 .36759 .37086 .36393 .37835 Metetra
.116 0 0 r
.36393 .37835 .36759 .37086 .3753 .36466 .37167 .37214 Metetra
.157 0 0 r
.37167 .37214 .3753 .36466 .38303 .35914 .37942 .36661 Metetra
.198 0 0 r
.37942 .36661 .38303 .35914 .39077 .3543 .38718 .36176 Metetra
.238 0 0 r
.38718 .36176 .39077 .3543 .39853 .35016 .39496 .35762 Metetra
.277 0 0 r
.39496 .35762 .39853 .35016 .4063 .34674 .40275 .35419 Metetra
.314 0 0 r
.40275 .35419 .4063 .34674 .41409 .34405 .41056 .3515 Metetra
.35 0 0 r
.41056 .3515 .41409 .34405 .42189 .34209 .41839 .34955 Metetra
.384 0 0 r
.41839 .34955 .42189 .34209 .42971 .34088 .42623 .34834 Metetra
.417 0 0 r
.42623 .34834 .42971 .34088 .43755 .34041 .43409 .34788 Metetra
.447 0 .017 r
.43409 .34788 .43755 .34041 .44541 .34068 .44197 .34816 Metetra
.475 0 .037 r
.44197 .34816 .44541 .34068 .45328 .3417 .44986 .34919 Metetra
.501 .025 .055 r
.44986 .34919 .45328 .3417 .46117 .34345 .45777 .35096 Metetra
.526 .052 .073 r
.45777 .35096 .46117 .34345 .46908 .34593 .46571 .35345 Metetra
.548 .077 .089 r
.46571 .35345 .46908 .34593 .47701 .34912 .47366 .35666 Metetra
.568 .1 .103 r
.47366 .35666 .47701 .34912 .48496 .35301 .48163 .36057 Metetra
.587 .122 .117 r
.48163 .36057 .48496 .35301 .49293 .35758 .48962 .36517 Metetra
.604 .142 .13 r
.48962 .36517 .49293 .35758 .50092 .36281 .49763 .37043 Metetra
.62 .161 .141 r
.49763 .37043 .50092 .36281 .50893 .36868 .50566 .37633 Metetra
.634 .177 .151 r
.50566 .37633 .50893 .36868 .51696 .37516 .51372 .38284 Metetra
.646 .193 .161 r
.51372 .38284 .51696 .37516 .52502 .38222 .5218 .38994 Metetra
.658 .207 .169 r
.5218 .38994 .52502 .38222 .53309 .38984 .5299 .3976 Metetra
.668 .219 .177 r
.5299 .3976 .53309 .38984 .54119 .39798 .53802 .40577 Metetra
.677 .23 .183 r
.53802 .40577 .54119 .39798 .54932 .4066 .54617 .41444 Metetra
.685 .24 .189 r
.54617 .41444 .54932 .4066 .55746 .41568 .55434 .42355 Metetra
.692 .249 .194 r
.55434 .42355 .55746 .41568 .56564 .42516 .56253 .43308 Metetra
.698 .256 .199 r
.56253 .43308 .56564 .42516 .57383 .43501 .57075 .44298 Metetra
.703 .263 .203 r
.57075 .44298 .57383 .43501 .58205 .44519 .579 .4532 Metetra
.707 .268 .206 r
.579 .4532 .58205 .44519 .5903 .45565 .58726 .46371 Metetra
.71 .272 .208 r
.58726 .46371 .5903 .45565 .59857 .46634 .59556 .47445 Metetra
.713 .275 .21 r
.59556 .47445 .59857 .46634 .60686 .47723 .60388 .48539 Metetra
.715 .278 .211 r
.60388 .48539 .60686 .47723 .61518 .48826 .61222 .49647 Metetra
.716 .279 .212 r
.61222 .49647 .61518 .48826 .62353 .49938 .62059 .50764 Metetra
.716 .279 .212 r
.62059 .50764 .62353 .49938 .6319 .51055 .62899 .51886 Metetra
.715 .278 .212 r
.62899 .51886 .6319 .51055 .64029 .52172 .63741 .53008 Metetra
.714 .277 .211 r
.63741 .53008 .64029 .52172 .64872 .53283 .64585 .54125 Metetra
.712 .274 .209 r
.64585 .54125 .64872 .53283 .65716 .54385 .65432 .55231 Metetra
.709 .27 .207 r
.65432 .55231 .65716 .54385 .66563 .55471 .66282 .56322 Metetra
.705 .266 .205 r
.66282 .56322 .66563 .55471 .67413 .56537 .67134 .57394 Metetra
.701 .26 .202 r
.67134 .57394 .67413 .56537 .68265 .57579 .67989 .5844 Metetra
.695 .254 .198 r
.67989 .5844 .68265 .57579 .6912 .58591 .68846 .59457 Metetra
.689 .246 .195 r
.68846 .59457 .6912 .58591 .69977 .59569 .69706 .60439 Metetra
.682 .238 .19 r
.69706 .60439 .69977 .59569 .70837 .60508 .70568 .61383 Metetra
.674 .228 .185 r
.70568 .61383 .70837 .60508 .71699 .61404 .71433 .62284 Metetra
.665 .218 .18 r
.71433 .62284 .71699 .61404 .72563 .62253 .723 .63137 Metetra
.655 .206 .174 r
.723 .63137 .72563 .62253 .73429 .6305 .73169 .63939 Metetra
.644 .194 .168 r
.73169 .63939 .73429 .6305 .74298 .63793 .7404 .64685 Metetra
.632 .18 .161 r
.7404 .64685 .74298 .63793 .75169 .64477 .74914 .65372 Metetra
.619 .165 .153 r
.74914 .65372 .75169 .64477 .76043 .65098 .7579 .65997 Metetra
.604 .149 .145 r
.7579 .65997 .76043 .65098 .76918 .65654 .76668 .66557 Metetra
.589 .133 .137 r
.76668 .66557 .76918 .65654 .77796 .66142 .77548 .67048 Metetra
.572 .115 .128 r
.77548 .67048 .77796 .66142 .78675 .66559 .78431 .67467 Metetra
.554 .096 .119 r
.78431 .67467 .78675 .66559 .79557 .66903 .79315 .67814 Metetra
.535 .076 .11 r
.79315 .67814 .79557 .66903 .8044 .67171 .80202 .68084 Metetra
.515 .056 .1 r
.80202 .68084 .8044 .67171 .81326 .67363 .8109 .68278 Metetra
.494 .035 .089 r
.8109 .68278 .81326 .67363 .82213 .67476 .8198 .68392 Metetra
.472 .013 .079 r
.8198 .68392 .82213 .67476 .83102 .67509 .82872 .68427 Metetra
.449 0 .068 r
.82872 .68427 .83102 .67509 .83993 .67462 .83766 .68381 Metetra
.428 0 .065 r
.0473 .76869 .05182 .75997 .05888 .75893 .05437 .76765 Metetra
.393 0 .037 r
.05437 .76765 .05888 .75893 .06596 .75716 .06147 .76589 Metetra
.357 0 .009 r
.06147 .76589 .06596 .75716 .07306 .75468 .06859 .7634 Metetra
.318 0 0 r
.06859 .7634 .07306 .75468 .08018 .75147 .07573 .7602 Metetra
.277 0 0 r
.07573 .7602 .08018 .75147 .08733 .74756 .0829 .75629 Metetra
.235 0 0 r
.0829 .75629 .08733 .74756 .0945 .74296 .09008 .75168 Metetra
.192 0 0 r
.09008 .75168 .0945 .74296 .1017 .73767 .0973 .74638 Metetra
.148 0 0 r
.0973 .74638 .1017 .73767 .10891 .73172 .10453 .74042 Metetra
.104 0 0 r
.10453 .74042 .10891 .73172 .11615 .72511 .11178 .7338 Metetra
.06 0 0 r
.11178 .7338 .11615 .72511 .1234 .71789 .11906 .72656 Metetra
.018 0 0 r
.11906 .72656 .1234 .71789 .13068 .71006 .12635 .71872 Metetra
.12635 .71872 .13068 .71006 .13797 .70166 .13367 .7103 Metetra
.13367 .7103 .13797 .70166 .14529 .69272 .141 .70134 Metetra
.141 .70134 .14529 .69272 .15262 .68326 .14835 .69186 Metetra
.14835 .69186 .15262 .68326 .15997 .67333 .15572 .6819 Metetra
.15572 .6819 .15997 .67333 .16734 .66295 .16311 .6715 Metetra
.16311 .6715 .16734 .66295 .17473 .65217 .17052 .66069 Metetra
.17052 .66069 .17473 .65217 .18213 .64103 .17794 .64952 Metetra
.17794 .64952 .18213 .64103 .18955 .62956 .18538 .63802 Metetra
.18538 .63802 .18955 .62956 .19698 .6178 .19283 .62624 Metetra
.19283 .62624 .19698 .6178 .20443 .60581 .2003 .61421 Metetra
.2003 .61421 .20443 .60581 .2119 .59363 .20779 .602 Metetra
.20779 .602 .2119 .59363 .21937 .58129 .21529 .58963 Metetra
.21529 .58963 .21937 .58129 .22687 .56885 .2228 .57716 Metetra
.2228 .57716 .22687 .56885 .23437 .55636 .23033 .56463 Metetra
.23033 .56463 .23437 .55636 .24189 .54385 .23787 .55209 Metetra
.23787 .55209 .24189 .54385 .24943 .53138 .24543 .53958 Metetra
.24543 .53958 .24943 .53138 .25697 .51899 .25299 .52716 Metetra
.25299 .52716 .25697 .51899 .26453 .50673 .26057 .51486 Metetra
.26057 .51486 .26453 .50673 .2721 .49464 .26816 .50275 Metetra
.26816 .50275 .2721 .49464 .27969 .48277 .27577 .49085 Metetra
.27577 .49085 .27969 .48277 .28728 .47116 .28339 .47921 Metetra
.28339 .47921 .28728 .47116 .29489 .45987 .29102 .46788 Metetra
.29102 .46788 .29489 .45987 .30251 .44891 .29866 .4569 Metetra
.29866 .4569 .30251 .44891 .31015 .43835 .30631 .44631 Metetra
.30631 .44631 .31015 .43835 .31779 .42822 .31398 .43615 Metetra
.31398 .43615 .31779 .42822 .32545 .41855 .32166 .42646 Metetra
.32166 .42646 .32545 .41855 .33312 .40938 .32935 .41727 Metetra
.32935 .41727 .33312 .40938 .3408 .40074 .33706 .40861 Metetra
.013 0 0 r
.33706 .40861 .3408 .40074 .3485 .39267 .34477 .40052 Metetra
.052 0 0 r
.34477 .40052 .3485 .39267 .35621 .3852 .3525 .39303 Metetra
.092 0 0 r
.3525 .39303 .35621 .3852 .36393 .37835 .36025 .38617 Metetra
.132 0 0 r
.36025 .38617 .36393 .37835 .37167 .37214 .36801 .37995 Metetra
.172 0 0 r
.36801 .37995 .37167 .37214 .37942 .36661 .37578 .3744 Metetra
.212 0 0 r
.37578 .3744 .37942 .36661 .38718 .36176 .38356 .36955 Metetra
.251 0 0 r
.38356 .36955 .38718 .36176 .39496 .35762 .39136 .3654 Metetra
.289 0 0 r
.39136 .3654 .39496 .35762 .40275 .35419 .39918 .36198 Metetra
.325 0 0 r
.39918 .36198 .40275 .35419 .41056 .3515 .40701 .35928 Metetra
.36 0 0 r
.40701 .35928 .41056 .3515 .41839 .34955 .41486 .35733 Metetra
.393 0 0 r
.41486 .35733 .41839 .34955 .42623 .34834 .42272 .35613 Metetra
.425 0 .014 r
.42272 .35613 .42623 .34834 .43409 .34788 .4306 .35568 Metetra
.454 0 .034 r
.4306 .35568 .43409 .34788 .44197 .34816 .4385 .35597 Metetra
.481 .008 .053 r
.4385 .35597 .44197 .34816 .44986 .34919 .44642 .35701 Metetra
.507 .036 .071 r
.44642 .35701 .44986 .34919 .45777 .35096 .45435 .35879 Metetra
.53 .062 .087 r
.45435 .35879 .45777 .35096 .46571 .35345 .46231 .36131 Metetra
.552 .087 .103 r
.46231 .36131 .46571 .35345 .47366 .35666 .47028 .36454 Metetra
.572 .11 .117 r
.47028 .36454 .47366 .35666 .48163 .36057 .47828 .36847 Metetra
.59 .131 .13 r
.47828 .36847 .48163 .36057 .48962 .36517 .48629 .3731 Metetra
.607 .15 .142 r
.48629 .3731 .48962 .36517 .49763 .37043 .49432 .37838 Metetra
.622 .168 .153 r
.49432 .37838 .49763 .37043 .50566 .37633 .50238 .38431 Metetra
.636 .185 .163 r
.50238 .38431 .50566 .37633 .51372 .38284 .51046 .39086 Metetra
.648 .199 .172 r
.51046 .39086 .51372 .38284 .5218 .38994 .51856 .398 Metetra
.659 .213 .18 r
.51856 .398 .5218 .38994 .5299 .3976 .52668 .40569 Metetra
.669 .225 .188 r
.52668 .40569 .5299 .3976 .53802 .40577 .53483 .41391 Metetra
.678 .236 .194 r
.53483 .41391 .53802 .40577 .54617 .41444 .543 .42261 Metetra
.686 .246 .2 r
.543 .42261 .54617 .41444 .55434 .42355 .55119 .43177 Metetra
.693 .254 .205 r
.55119 .43177 .55434 .42355 .56253 .43308 .55941 .44134 Metetra
.698 .262 .209 r
.55941 .44134 .56253 .43308 .57075 .44298 .56765 .45128 Metetra
.703 .268 .213 r
.56765 .45128 .57075 .44298 .579 .4532 .57592 .46156 Metetra
.707 .273 .215 r
.57592 .46156 .579 .4532 .58726 .46371 .58421 .47211 Metetra
.711 .277 .218 r
.58421 .47211 .58726 .46371 .59556 .47445 .59253 .4829 Metetra
.713 .28 .22 r
.59253 .4829 .59556 .47445 .60388 .48539 .60087 .49389 Metetra
.715 .282 .221 r
.60087 .49389 .60388 .48539 .61222 .49647 .60924 .50502 Metetra
.716 .284 .221 r
.60924 .50502 .61222 .49647 .62059 .50764 .61763 .51625 Metetra
.716 .284 .222 r
.61763 .51625 .62059 .50764 .62899 .51886 .62605 .52752 Metetra
.716 .283 .221 r
.62605 .52752 .62899 .51886 .63741 .53008 .6345 .53879 Metetra
.714 .281 .22 r
.6345 .53879 .63741 .53008 .64585 .54125 .64297 .55001 Metetra
.712 .279 .219 r
.64297 .55001 .64585 .54125 .65432 .55231 .65147 .56113 Metetra
.709 .275 .217 r
.65147 .56113 .65432 .55231 .66282 .56322 .65999 .57209 Metetra
.706 .271 .215 r
.65999 .57209 .66282 .56322 .67134 .57394 .66854 .58285 Metetra
.701 .265 .212 r
.66854 .58285 .67134 .57394 .67989 .5844 .67711 .59337 Metetra
.696 .259 .209 r
.67711 .59337 .67989 .5844 .68846 .59457 .68571 .60358 Metetra
.69 .252 .205 r
.68571 .60358 .68846 .59457 .69706 .60439 .69433 .61346 Metetra
.683 .243 .201 r
.69433 .61346 .69706 .60439 .70568 .61383 .70298 .62294 Metetra
.675 .234 .196 r
.70298 .62294 .70568 .61383 .71433 .62284 .71165 .63199 Metetra
.666 .224 .191 r
.71165 .63199 .71433 .62284 .723 .63137 .72035 .64057 Metetra
.656 .213 .185 r
.72035 .64057 .723 .63137 .73169 .63939 .72906 .64863 Metetra
.645 .2 .179 r
.72906 .64863 .73169 .63939 .7404 .64685 .73781 .65613 Metetra
.634 .187 .172 r
.73781 .65613 .7404 .64685 .74914 .65372 .74657 .66304 Metetra
.621 .172 .165 r
.74657 .66304 .74914 .65372 .7579 .65997 .75536 .66933 Metetra
.607 .157 .158 r
.75536 .66933 .7579 .65997 .76668 .66557 .76417 .67496 Metetra
.592 .141 .15 r
.76417 .67496 .76668 .66557 .77548 .67048 .773 .67989 Metetra
.575 .123 .141 r
.773 .67989 .77548 .67048 .78431 .67467 .78185 .68412 Metetra
.558 .105 .132 r
.78185 .68412 .78431 .67467 .79315 .67814 .79072 .68761 Metetra
.54 .086 .123 r
.79072 .68761 .79315 .67814 .80202 .68084 .79961 .69034 Metetra
.52 .066 .114 r
.79961 .69034 .80202 .68084 .8109 .68278 .80852 .69229 Metetra
.499 .045 .104 r
.80852 .69229 .8109 .68278 .8198 .68392 .81745 .69345 Metetra
.478 .024 .094 r
.81745 .69345 .8198 .68392 .82872 .68427 .8264 .69381 Metetra
.456 .002 .083 r
.8264 .69381 .82872 .68427 .83766 .68381 .83537 .69336 Metetra
.434 0 .08 r
.04274 .77773 .0473 .76869 .05437 .76765 .04983 .7767 Metetra
.401 0 .053 r
.04983 .7767 .05437 .76765 .06147 .76589 .05694 .77494 Metetra
.365 0 .026 r
.05694 .77494 .06147 .76589 .06859 .7634 .06408 .77246 Metetra
.328 0 0 r
.06408 .77246 .06859 .7634 .07573 .7602 .07124 .76926 Metetra
.288 0 0 r
.07124 .76926 .07573 .7602 .0829 .75629 .07843 .76534 Metetra
.247 0 0 r
.07843 .76534 .0829 .75629 .09008 .75168 .08563 .76073 Metetra
.205 0 0 r
.08563 .76073 .09008 .75168 .0973 .74638 .09286 .75542 Metetra
.163 0 0 r
.09286 .75542 .0973 .74638 .10453 .74042 .10012 .74945 Metetra
.12 0 0 r
.10012 .74945 .10453 .74042 .11178 .7338 .10739 .74282 Metetra
.077 0 0 r
.10739 .74282 .11178 .7338 .11906 .72656 .11468 .73557 Metetra
.036 0 0 r
.11468 .73557 .11906 .72656 .12635 .71872 .122 .72771 Metetra
.122 .72771 .12635 .71872 .13367 .7103 .12933 .71927 Metetra
.12933 .71927 .13367 .7103 .141 .70134 .13668 .71029 Metetra
.13668 .71029 .141 .70134 .14835 .69186 .14406 .70079 Metetra
.14406 .70079 .14835 .69186 .15572 .6819 .15145 .6908 Metetra
.15145 .6908 .15572 .6819 .16311 .6715 .15886 .68038 Metetra
.15886 .68038 .16311 .6715 .17052 .66069 .16628 .66954 Metetra
.16628 .66954 .17052 .66069 .17794 .64952 .17372 .65834 Metetra
.17372 .65834 .17794 .64952 .18538 .63802 .18118 .64681 Metetra
.18118 .64681 .18538 .63802 .19283 .62624 .18866 .635 Metetra
.18866 .635 .19283 .62624 .2003 .61421 .19615 .62294 Metetra
.19615 .62294 .2003 .61421 .20779 .602 .20365 .61069 Metetra
.20365 .61069 .20779 .602 .21529 .58963 .21117 .59829 Metetra
.21117 .59829 .21529 .58963 .2228 .57716 .21871 .58579 Metetra
.21871 .58579 .2228 .57716 .23033 .56463 .22626 .57323 Metetra
.22626 .57323 .23033 .56463 .23787 .55209 .23382 .56065 Metetra
.23382 .56065 .23787 .55209 .24543 .53958 .24139 .54811 Metetra
.24139 .54811 .24543 .53958 .25299 .52716 .24898 .53566 Metetra
.24898 .53566 .25299 .52716 .26057 .51486 .25658 .52333 Metetra
.25658 .52333 .26057 .51486 .26816 .50275 .2642 .51118 Metetra
.2642 .51118 .26816 .50275 .27577 .49085 .27182 .49925 Metetra
.27182 .49925 .27577 .49085 .28339 .47921 .27946 .48758 Metetra
.27946 .48758 .28339 .47921 .29102 .46788 .28711 .47623 Metetra
.28711 .47623 .29102 .46788 .29866 .4569 .29478 .46522 Metetra
.29478 .46522 .29866 .4569 .30631 .44631 .30245 .4546 Metetra
.30245 .4546 .30631 .44631 .31398 .43615 .31014 .44442 Metetra
.31014 .44442 .31398 .43615 .32166 .42646 .31784 .4347 Metetra
.31784 .4347 .32166 .42646 .32935 .41727 .32556 .42548 Metetra
.32556 .42548 .32935 .41727 .33706 .40861 .33328 .41681 Metetra
.031 0 0 r
.33328 .41681 .33706 .40861 .34477 .40052 .34102 .4087 Metetra
.069 0 0 r
.34102 .4087 .34477 .40052 .3525 .39303 .34877 .4012 Metetra
.108 0 0 r
.34877 .4012 .3525 .39303 .36025 .38617 .35654 .39432 Metetra
.147 0 0 r
.35654 .39432 .36025 .38617 .36801 .37995 .36432 .38809 Metetra
.187 0 0 r
.36432 .38809 .36801 .37995 .37578 .3744 .37211 .38253 Metetra
.225 0 0 r
.37211 .38253 .37578 .3744 .38356 .36955 .37992 .37767 Metetra
.263 0 0 r
.37992 .37767 .38356 .36955 .39136 .3654 .38774 .37352 Metetra
.3 0 0 r
.38774 .37352 .39136 .3654 .39918 .36198 .39558 .37009 Metetra
.336 0 0 r
.39558 .37009 .39918 .36198 .40701 .35928 .40344 .3674 Metetra
.369 0 0 r
.40344 .3674 .40701 .35928 .41486 .35733 .41131 .36545 Metetra
.402 0 .01 r
.41131 .36545 .41486 .35733 .42272 .35613 .41919 .36425 Metetra
.432 0 .031 r
.41919 .36425 .42272 .35613 .4306 .35568 .42709 .36381 Metetra
.461 0 .05 r
.42709 .36381 .4306 .35568 .4385 .35597 .43502 .36411 Metetra
.487 .019 .069 r
.43502 .36411 .4385 .35597 .44642 .35701 .44295 .36517 Metetra
.512 .047 .086 r
.44295 .36517 .44642 .35701 .45435 .35879 .45091 .36697 Metetra
.535 .072 .102 r
.45091 .36697 .45435 .35879 .46231 .36131 .45889 .3695 Metetra
.556 .096 .117 r
.45889 .3695 .46231 .36131 .47028 .36454 .46688 .37275 Metetra
.575 .118 .13 r
.46688 .37275 .47028 .36454 .47828 .36847 .4749 .37671 Metetra
.593 .139 .143 r
.4749 .37671 .47828 .36847 .48629 .3731 .48294 .38136 Metetra
.609 .158 .155 r
.48294 .38136 .48629 .3731 .49432 .37838 .49099 .38668 Metetra
.624 .175 .165 r
.49099 .38668 .49432 .37838 .50238 .38431 .49907 .39264 Metetra
.637 .191 .175 r
.49907 .39264 .50238 .38431 .51046 .39086 .50717 .39922 Metetra
.65 .206 .183 r
.50717 .39922 .51046 .39086 .51856 .398 .5153 .40639 Metetra
.66 .219 .191 r
.5153 .40639 .51856 .398 .52668 .40569 .52344 .41412 Metetra
.67 .231 .198 r
.52344 .41412 .52668 .40569 .53483 .41391 .53161 .42238 Metetra
.679 .242 .204 r
.53161 .42238 .53483 .41391 .543 .42261 .53981 .43113 Metetra
.687 .251 .21 r
.53981 .43113 .543 .42261 .55119 .43177 .54802 .44033 Metetra
.693 .259 .215 r
.54802 .44033 .55119 .43177 .55941 .44134 .55626 .44995 Metetra
.699 .266 .219 r
.55626 .44995 .55941 .44134 .56765 .45128 .56453 .45994 Metetra
.704 .273 .222 r
.56453 .45994 .56765 .45128 .57592 .46156 .57282 .47026 Metetra
.708 .278 .225 r
.57282 .47026 .57592 .46156 .58421 .47211 .58114 .48086 Metetra
.711 .282 .227 r
.58114 .48086 .58421 .47211 .59253 .4829 .58948 .49171 Metetra
.714 .285 .229 r
.58948 .49171 .59253 .4829 .60087 .49389 .59785 .50274 Metetra
.715 .287 .23 r
.59785 .50274 .60087 .49389 .60924 .50502 .60624 .51393 Metetra
.716 .288 .231 r
.60624 .51393 .60924 .50502 .61763 .51625 .61466 .52521 Metetra
.716 .288 .231 r
.61466 .52521 .61763 .51625 .62605 .52752 .6231 .53653 Metetra
.716 .288 .23 r
.6231 .53653 .62605 .52752 .6345 .53879 .63157 .54785 Metetra
.715 .286 .23 r
.63157 .54785 .6345 .53879 .64297 .55001 .64007 .55913 Metetra
.712 .283 .228 r
.64007 .55913 .64297 .55001 .65147 .56113 .64859 .57029 Metetra
.71 .28 .226 r
.64859 .57029 .65147 .56113 .65999 .57209 .65714 .58131 Metetra
.706 .276 .224 r
.65714 .58131 .65999 .57209 .66854 .58285 .66571 .59213 Metetra
.702 .27 .222 r
.66571 .59213 .66854 .58285 .67711 .59337 .67431 .60269 Metetra
.697 .264 .218 r
.67431 .60269 .67711 .59337 .68571 .60358 .68293 .61296 Metetra
.691 .257 .215 r
.68293 .61296 .68571 .60358 .69433 .61346 .69158 .62288 Metetra
.684 .249 .211 r
.69158 .62288 .69433 .61346 .70298 .62294 .70026 .63241 Metetra
.676 .24 .206 r
.70026 .63241 .70298 .62294 .71165 .63199 .70895 .64151 Metetra
.667 .23 .201 r
.70895 .64151 .71165 .63199 .72035 .64057 .71768 .65013 Metetra
.658 .219 .196 r
.71768 .65013 .72035 .64057 .72906 .64863 .72642 .65823 Metetra
.647 .207 .19 r
.72642 .65823 .72906 .64863 .73781 .65613 .73519 .66578 Metetra
.635 .194 .183 r
.73519 .66578 .73781 .65613 .74657 .66304 .74398 .67273 Metetra
.623 .18 .177 r
.74398 .67273 .74657 .66304 .75536 .66933 .7528 .67905 Metetra
.609 .164 .169 r
.7528 .67905 .75536 .66933 .76417 .67496 .76164 .68471 Metetra
.594 .148 .162 r
.76164 .68471 .76417 .67496 .773 .67989 .77049 .68968 Metetra
.578 .132 .154 r
.77049 .68968 .773 .67989 .78185 .68412 .77937 .69394 Metetra
.561 .114 .145 r
.77937 .69394 .78185 .68412 .79072 .68761 .78827 .69745 Metetra
.543 .095 .136 r
.78827 .69745 .79072 .68761 .79961 .69034 .79719 .7002 Metetra
.524 .075 .127 r
.79719 .7002 .79961 .69034 .80852 .69229 .80613 .70217 Metetra
.504 .055 .118 r
.80613 .70217 .80852 .69229 .81745 .69345 .81509 .70335 Metetra
.483 .034 .108 r
.81509 .70335 .81745 .69345 .8264 .69381 .82407 .70373 Metetra
.461 .013 .098 r
.82407 .70373 .8264 .69381 .83537 .69336 .83307 .70329 Metetra
.441 0 .094 r
.03815 .7871 .04274 .77773 .04983 .7767 .04526 .78608 Metetra
.408 0 .069 r
.04526 .78608 .04983 .7767 .05694 .77494 .05239 .78432 Metetra
.374 0 .042 r
.05239 .78432 .05694 .77494 .06408 .77246 .05955 .78184 Metetra
.337 0 .014 r
.05955 .78184 .06408 .77246 .07124 .76926 .06672 .77864 Metetra
.299 0 0 r
.06672 .77864 .07124 .76926 .07843 .76534 .07393 .77472 Metetra
.259 0 0 r
.07393 .77472 .07843 .76534 .08563 .76073 .08115 .7701 Metetra
.218 0 0 r
.08115 .7701 .08563 .76073 .09286 .75542 .0884 .76479 Metetra
.177 0 0 r
.0884 .76479 .09286 .75542 .10012 .74945 .09567 .75881 Metetra
.135 0 0 r
.09567 .75881 .10012 .74945 .10739 .74282 .10296 .75217 Metetra
.093 0 0 r
.10296 .75217 .10739 .74282 .11468 .73557 .11028 .7449 Metetra
.053 0 0 r
.11028 .7449 .11468 .73557 .122 .72771 .11761 .73702 Metetra
.013 0 0 r
.11761 .73702 .122 .72771 .12933 .71927 .12496 .72857 Metetra
.12496 .72857 .12933 .71927 .13668 .71029 .13234 .71957 Metetra
.13234 .71957 .13668 .71029 .14406 .70079 .13973 .71004 Metetra
.13973 .71004 .14406 .70079 .15145 .6908 .14714 .70004 Metetra
.14714 .70004 .15145 .6908 .15886 .68038 .15457 .68959 Metetra
.15457 .68959 .15886 .68038 .16628 .66954 .16201 .67873 Metetra
.16201 .67873 .16628 .66954 .17372 .65834 .16948 .66749 Metetra
.16948 .66749 .17372 .65834 .18118 .64681 .17696 .65594 Metetra
.17696 .65594 .18118 .64681 .18866 .635 .18445 .64409 Metetra
.18445 .64409 .18866 .635 .19615 .62294 .19196 .63201 Metetra
.19196 .63201 .19615 .62294 .20365 .61069 .19949 .61973 Metetra
.19949 .61973 .20365 .61069 .21117 .59829 .20703 .60729 Metetra
.20703 .60729 .21117 .59829 .21871 .58579 .21459 .59475 Metetra
.21459 .59475 .21871 .58579 .22626 .57323 .22216 .58216 Metetra
.22216 .58216 .22626 .57323 .23382 .56065 .22974 .56955 Metetra
.22974 .56955 .23382 .56065 .24139 .54811 .23734 .55698 Metetra
.23734 .55698 .24139 .54811 .24898 .53566 .24495 .54449 Metetra
.24495 .54449 .24898 .53566 .25658 .52333 .25257 .53213 Metetra
.25257 .53213 .25658 .52333 .2642 .51118 .2602 .51995 Metetra
.2602 .51995 .2642 .51118 .27182 .49925 .26785 .50799 Metetra
.26785 .50799 .27182 .49925 .27946 .48758 .27551 .49629 Metetra
.27551 .49629 .27946 .48758 .28711 .47623 .28318 .4849 Metetra
.28318 .4849 .28711 .47623 .29478 .46522 .29087 .47387 Metetra
.29087 .47387 .29478 .46522 .30245 .4546 .29857 .46322 Metetra
.29857 .46322 .30245 .4546 .31014 .44442 .30628 .45301 Metetra
.30628 .45301 .31014 .44442 .31784 .4347 .314 .44327 Metetra
.314 .44327 .31784 .4347 .32556 .42548 .32173 .43404 Metetra
.012 0 0 r
.32173 .43404 .32556 .42548 .33328 .41681 .32948 .42534 Metetra
.048 0 0 r
.32948 .42534 .33328 .41681 .34102 .4087 .33724 .41722 Metetra
.086 0 0 r
.33724 .41722 .34102 .4087 .34877 .4012 .34502 .40969 Metetra
.124 0 0 r
.34502 .40969 .34877 .4012 .35654 .39432 .35281 .4028 Metetra
.162 0 0 r
.35281 .4028 .35654 .39432 .36432 .38809 .36061 .39656 Metetra
.2 0 0 r
.36061 .39656 .36432 .38809 .37211 .38253 .36842 .39099 Metetra
.238 0 0 r
.36842 .39099 .37211 .38253 .37992 .37767 .37625 .38612 Metetra
.275 0 0 r
.37625 .38612 .37992 .37767 .38774 .37352 .3841 .38197 Metetra
.311 0 0 r
.3841 .38197 .38774 .37352 .39558 .37009 .39196 .37854 Metetra
.345 0 0 r
.39196 .37854 .39558 .37009 .40344 .3674 .39983 .37585 Metetra
.378 0 .006 r
.39983 .37585 .40344 .3674 .41131 .36545 .40773 .3739 Metetra
.409 0 .027 r
.40773 .3739 .41131 .36545 .41919 .36425 .41563 .37271 Metetra
.439 0 .047 r
.41563 .37271 .41919 .36425 .42709 .36381 .42356 .37227 Metetra
.467 .002 .066 r
.42356 .37227 .42709 .36381 .43502 .36411 .4315 .37259 Metetra
.493 .03 .083 r
.4315 .37259 .43502 .36411 .44295 .36517 .43946 .37366 Metetra
.517 .057 .1 r
.43946 .37366 .44295 .36517 .45091 .36697 .44744 .37548 Metetra
.539 .082 .115 r
.44744 .37548 .45091 .36697 .45889 .3695 .45544 .37803 Metetra
.559 .105 .13 r
.45544 .37803 .45889 .3695 .46688 .37275 .46346 .3813 Metetra
.578 .127 .143 r
.46346 .3813 .46688 .37275 .4749 .37671 .4715 .38529 Metetra
.596 .147 .155 r
.4715 .38529 .4749 .37671 .48294 .38136 .47956 .38997 Metetra
.612 .165 .166 r
.47956 .38997 .48294 .38136 .49099 .38668 .48764 .39531 Metetra
.626 .182 .176 r
.48764 .39531 .49099 .38668 .49907 .39264 .49574 .40131 Metetra
.639 .198 .186 r
.49574 .40131 .49907 .39264 .50717 .39922 .50387 .40792 Metetra
.651 .212 .194 r
.50387 .40792 .50717 .39922 .5153 .40639 .51201 .41513 Metetra
.662 .225 .202 r
.51201 .41513 .5153 .40639 .52344 .41412 .52018 .4229 Metetra
.671 .237 .208 r
.52018 .4229 .52344 .41412 .53161 .42238 .52837 .4312 Metetra
.68 .247 .214 r
.52837 .4312 .53161 .42238 .53981 .43113 .53659 .43999 Metetra
.687 .256 .22 r
.53659 .43999 .53981 .43113 .54802 .44033 .54483 .44924 Metetra
.694 .264 .224 r
.54483 .44924 .54802 .44033 .55626 .44995 .5531 .4589 Metetra
.699 .271 .228 r
.5531 .4589 .55626 .44995 .56453 .45994 .56139 .46894 Metetra
.704 .277 .231 r
.56139 .46894 .56453 .45994 .57282 .47026 .5697 .47931 Metetra
.708 .282 .234 r
.5697 .47931 .57282 .47026 .58114 .48086 .57804 .48996 Metetra
.711 .286 .236 r
.57804 .48996 .58114 .48086 .58948 .49171 .58641 .50086 Metetra
.714 .289 .238 r
.58641 .50086 .58948 .49171 .59785 .50274 .5948 .51195 Metetra
.715 .291 .239 r
.5948 .51195 .59785 .50274 .60624 .51393 .60322 .52319 Metetra
.716 .292 .24 r
.60322 .52319 .60624 .51393 .61466 .52521 .61166 .53452 Metetra
.717 .292 .24 r
.61166 .53452 .61466 .52521 .6231 .53653 .62013 .5459 Metetra
.716 .292 .239 r
.62013 .5459 .6231 .53653 .63157 .54785 .62862 .55728 Metetra
.715 .29 .239 r
.62862 .55728 .63157 .54785 .64007 .55913 .63715 .5686 Metetra
.713 .288 .237 r
.63715 .5686 .64007 .55913 .64859 .57029 .64569 .57982 Metetra
.71 .284 .236 r
.64569 .57982 .64859 .57029 .65714 .58131 .65427 .59089 Metetra
.706 .28 .233 r
.65427 .59089 .65714 .58131 .66571 .59213 .66287 .60176 Metetra
.702 .275 .231 r
.66287 .60176 .66571 .59213 .67431 .60269 .67149 .61238 Metetra
.697 .269 .228 r
.67149 .61238 .67431 .60269 .68293 .61296 .68014 .6227 Metetra
.691 .262 .224 r
.68014 .6227 .68293 .61296 .69158 .62288 .68882 .63267 Metetra
.684 .254 .22 r
.68882 .63267 .69158 .62288 .70026 .63241 .69752 .64225 Metetra
.677 .245 .216 r
.69752 .64225 .70026 .63241 .70895 .64151 .70624 .65139 Metetra
.668 .235 .211 r
.70624 .65139 .70895 .64151 .71768 .65013 .71499 .66006 Metetra
.659 .224 .206 r
.71499 .66006 .71768 .65013 .72642 .65823 .72376 .6682 Metetra
.648 .213 .2 r
.72376 .6682 .72642 .65823 .73519 .66578 .73256 .67579 Metetra
.637 .2 .194 r
.73256 .67579 .73519 .66578 .74398 .67273 .74138 .68278 Metetra
.625 .186 .188 r
.74138 .68278 .74398 .67273 .7528 .67905 .75022 .68914 Metetra
.611 .172 .181 r
.75022 .68914 .7528 .67905 .76164 .68471 .75909 .69483 Metetra
.597 .156 .173 r
.75909 .69483 .76164 .68471 .77049 .68968 .76797 .69984 Metetra
.581 .139 .165 r
.76797 .69984 .77049 .68968 .77937 .69394 .77688 .70412 Metetra
.565 .122 .157 r
.77688 .70412 .77937 .69394 .78827 .69745 .78581 .70766 Metetra
.547 .104 .149 r
.78581 .70766 .78827 .69745 .79719 .7002 .79476 .71044 Metetra
.528 .085 .14 r
.79476 .71044 .79719 .7002 .80613 .70217 .80373 .71243 Metetra
.509 .065 .131 r
.80373 .71243 .80613 .70217 .81509 .70335 .81272 .71363 Metetra
.488 .045 .121 r
.81272 .71363 .81509 .70335 .82407 .70373 .82172 .71402 Metetra
.467 .024 .112 r
.82172 .71402 .82407 .70373 .83307 .70329 .83075 .71359 Metetra
.446 .007 .108 r
.03353 .7968 .03815 .7871 .04526 .78608 .04065 .79579 Metetra
.415 0 .084 r
.04065 .79579 .04526 .78608 .05239 .78432 .0478 .79404 Metetra
.381 0 .058 r
.0478 .79404 .05239 .78432 .05955 .78184 .05498 .79156 Metetra
.346 0 .031 r
.05498 .79156 .05955 .78184 .06672 .77864 .06217 .78836 Metetra
.309 0 .003 r
.06217 .78836 .06672 .77864 .07393 .77472 .0694 .78444 Metetra
.27 0 0 r
.0694 .78444 .07393 .77472 .08115 .7701 .07664 .77981 Metetra
.231 0 0 r
.07664 .77981 .08115 .7701 .0884 .76479 .08391 .77449 Metetra
.19 0 0 r
.08391 .77449 .0884 .76479 .09567 .75881 .0912 .7685 Metetra
.149 0 0 r
.0912 .7685 .09567 .75881 .10296 .75217 .09851 .76185 Metetra
.109 0 0 r
.09851 .76185 .10296 .75217 .11028 .7449 .10584 .75457 Metetra
.069 0 0 r
.10584 .75457 .11028 .7449 .11761 .73702 .11319 .74668 Metetra
.031 0 0 r
.11319 .74668 .11761 .73702 .12496 .72857 .12057 .7382 Metetra
.12057 .7382 .12496 .72857 .13234 .71957 .12796 .72918 Metetra
.12796 .72918 .13234 .71957 .13973 .71004 .13537 .71964 Metetra
.13537 .71964 .13973 .71004 .14714 .70004 .1428 .70961 Metetra
.1428 .70961 .14714 .70004 .15457 .68959 .15025 .69913 Metetra
.15025 .69913 .15457 .68959 .16201 .67873 .15772 .68824 Metetra
.15772 .68824 .16201 .67873 .16948 .66749 .1652 .67698 Metetra
.1652 .67698 .16948 .66749 .17696 .65594 .1727 .6654 Metetra
.1727 .6654 .17696 .65594 .18445 .64409 .18022 .65352 Metetra
.18022 .65352 .18445 .64409 .19196 .63201 .18775 .64141 Metetra
.18775 .64141 .19196 .63201 .19949 .61973 .1953 .62909 Metetra
.1953 .62909 .19949 .61973 .20703 .60729 .20286 .61663 Metetra
.20286 .61663 .20703 .60729 .21459 .59475 .21043 .60406 Metetra
.21043 .60406 .21459 .59475 .22216 .58216 .21803 .59143 Metetra
.21803 .59143 .22216 .58216 .22974 .56955 .22563 .57879 Metetra
.22563 .57879 .22974 .56955 .23734 .55698 .23325 .56618 Metetra
.23325 .56618 .23734 .55698 .24495 .54449 .24088 .55366 Metetra
.24088 .55366 .24495 .54449 .25257 .53213 .24852 .54127 Metetra
.24852 .54127 .25257 .53213 .2602 .51995 .25618 .52905 Metetra
.25618 .52905 .2602 .51995 .26785 .50799 .26385 .51706 Metetra
.26385 .51706 .26785 .50799 .27551 .49629 .27153 .50533 Metetra
.27153 .50533 .27551 .49629 .28318 .4849 .27923 .49392 Metetra
.27923 .49392 .28318 .4849 .29087 .47387 .28693 .48285 Metetra
.28693 .48285 .29087 .47387 .29857 .46322 .29465 .47218 Metetra
.29465 .47218 .29857 .46322 .30628 .45301 .30238 .46195 Metetra
.30238 .46195 .30628 .45301 .314 .44327 .31013 .45218 Metetra
.31013 .45218 .314 .44327 .32173 .43404 .31789 .44292 Metetra
.03 0 0 r
.31789 .44292 .32173 .43404 .32948 .42534 .32566 .43421 Metetra
.065 0 0 r
.32566 .43421 .32948 .42534 .33724 .41722 .33344 .42606 Metetra
.102 0 0 r
.33344 .42606 .33724 .41722 .34502 .40969 .34124 .41853 Metetra
.139 0 0 r
.34124 .41853 .34502 .40969 .35281 .4028 .34905 .41162 Metetra
.176 0 0 r
.34905 .41162 .35281 .4028 .36061 .39656 .35687 .40537 Metetra
.214 0 0 r
.35687 .40537 .36061 .39656 .36842 .39099 .36471 .39979 Metetra
.25 0 0 r
.36471 .39979 .36842 .39099 .37625 .38612 .37256 .39492 Metetra
.286 0 0 r
.37256 .39492 .37625 .38612 .3841 .38197 .38043 .39076 Metetra
.321 0 0 r
.38043 .39076 .3841 .38197 .39196 .37854 .38831 .38732 Metetra
.354 0 .002 r
.38831 .38732 .39196 .37854 .39983 .37585 .39621 .38463 Metetra
.386 0 .023 r
.39621 .38463 .39983 .37585 .40773 .3739 .40412 .38269 Metetra
.417 0 .043 r
.40412 .38269 .40773 .3739 .41563 .37271 .41205 .38151 Metetra
.446 0 .063 r
.41205 .38151 .41563 .37271 .42356 .37227 .42 .38108 Metetra
.472 .013 .081 r
.42 .38108 .42356 .37227 .4315 .37259 .42797 .38141 Metetra
.498 .041 .098 r
.42797 .38141 .4315 .37259 .43946 .37366 .43595 .3825 Metetra
.521 .067 .114 r
.43595 .3825 .43946 .37366 .44744 .37548 .44395 .38433 Metetra
.543 .091 .129 r
.44395 .38433 .44744 .37548 .45544 .37803 .45198 .3869 Metetra
.563 .114 .142 r
.45198 .3869 .45544 .37803 .46346 .3813 .46002 .3902 Metetra
.581 .135 .155 r
.46002 .3902 .46346 .3813 .4715 .38529 .46808 .39421 Metetra
.598 .154 .167 r
.46808 .39421 .4715 .38529 .47956 .38997 .47616 .39892 Metetra
.614 .172 .178 r
.47616 .39892 .47956 .38997 .48764 .39531 .48426 .40429 Metetra
.628 .189 .187 r
.48426 .40429 .48764 .39531 .49574 .40131 .49239 .41032 Metetra
.641 .204 .196 r
.49239 .41032 .49574 .40131 .50387 .40792 .50054 .41697 Metetra
.652 .218 .204 r
.50054 .41697 .50387 .40792 .51201 .41513 .50871 .42422 Metetra
.663 .231 .212 r
.50871 .42422 .51201 .41513 .52018 .4229 .5169 .43203 Metetra
.672 .242 .218 r
.5169 .43203 .52018 .4229 .52837 .4312 .52511 .44037 Metetra
.68 .252 .224 r
.52511 .44037 .52837 .4312 .53659 .43999 .53335 .4492 Metetra
.688 .261 .229 r
.53335 .4492 .53659 .43999 .54483 .44924 .54162 .4585 Metetra
.694 .269 .233 r
.54162 .4585 .54483 .44924 .5531 .4589 .54991 .46821 Metetra
.7 .276 .237 r
.54991 .46821 .5531 .4589 .56139 .46894 .55822 .47829 Metetra
.704 .282 .24 r
.55822 .47829 .56139 .46894 .5697 .47931 .56656 .48871 Metetra
.708 .286 .243 r
.56656 .48871 .5697 .47931 .57804 .48996 .57493 .49942 Metetra
.712 .29 .245 r
.57493 .49942 .57804 .48996 .58641 .50086 .58332 .51037 Metetra
.714 .293 .246 r
.58332 .51037 .58641 .50086 .5948 .51195 .59173 .52151 Metetra
.716 .295 .248 r
.59173 .52151 .5948 .51195 .60322 .52319 .60017 .5328 Metetra
.716 .296 .248 r
.60017 .5328 .60322 .52319 .61166 .53452 .60864 .54419 Metetra
.717 .297 .248 r
.60864 .54419 .61166 .53452 .62013 .5459 .61714 .55562 Metetra
.716 .296 .248 r
.61714 .55562 .62013 .5459 .62862 .55728 .62566 .56706 Metetra
.715 .294 .247 r
.62566 .56706 .62862 .55728 .63715 .5686 .6342 .57844 Metetra
.713 .292 .246 r
.6342 .57844 .63715 .5686 .64569 .57982 .64278 .58971 Metetra
.71 .289 .244 r
.64278 .58971 .64569 .57982 .65427 .59089 .65138 .60084 Metetra
.707 .285 .242 r
.65138 .60084 .65427 .59089 .66287 .60176 .66 .61176 Metetra
.702 .279 .24 r
.66 .61176 .66287 .60176 .67149 .61238 .66865 .62243 Metetra
.697 .273 .237 r
.66865 .62243 .67149 .61238 .68014 .6227 .67733 .6328 Metetra
.692 .267 .233 r
.67733 .6328 .68014 .6227 .68882 .63267 .68603 .64282 Metetra
.685 .259 .23 r
.68603 .64282 .68882 .63267 .69752 .64225 .69476 .65245 Metetra
.677 .25 .225 r
.69476 .65245 .69752 .64225 .70624 .65139 .70351 .66165 Metetra
.669 .241 .221 r
.70351 .66165 .70624 .65139 .71499 .66006 .71229 .67036 Metetra
.66 .23 .216 r
.71229 .67036 .71499 .66006 .72376 .6682 .72109 .67855 Metetra
.65 .218 .21 r
.72109 .67855 .72376 .6682 .73256 .67579 .72991 .68618 Metetra
.638 .206 .204 r
.72991 .68618 .73256 .67579 .74138 .68278 .73876 .69321 Metetra
.626 .193 .198 r
.73876 .69321 .74138 .68278 .75022 .68914 .74763 .6996 Metetra
.613 .178 .191 r
.74763 .6996 .75022 .68914 .75909 .69483 .75652 .70534 Metetra
.599 .163 .184 r
.75652 .70534 .75909 .69483 .76797 .69984 .76544 .71037 Metetra
.584 .147 .177 r
.76544 .71037 .76797 .69984 .77688 .70412 .77437 .71469 Metetra
.567 .13 .169 r
.77437 .71469 .77688 .70412 .78581 .70766 .78333 .71825 Metetra
.55 .112 .161 r
.78333 .71825 .78581 .70766 .79476 .71044 .79231 .72106 Metetra
.532 .094 .152 r
.79231 .72106 .79476 .71044 .80373 .71243 .80131 .72307 Metetra
.513 .074 .143 r
.80131 .72307 .80373 .71243 .81272 .71363 .81032 .72429 Metetra
.493 .054 .134 r
.81032 .72429 .81272 .71363 .82172 .71402 .81936 .72469 Metetra
.472 .034 .125 r
.81936 .72469 .82172 .71402 .83075 .71359 .82842 .72428 Metetra
.452 .018 .122 r
.02887 .80684 .03353 .7968 .04065 .79579 .03602 .80583 Metetra
.421 0 .098 r
.03602 .80583 .04065 .79579 .0478 .79404 .04318 .80409 Metetra
.389 0 .073 r
.04318 .80409 .0478 .79404 .05498 .79156 .05038 .80161 Metetra
.354 0 .047 r
.05038 .80161 .05498 .79156 .06217 .78836 .05759 .79841 Metetra
.318 0 .02 r
.05759 .79841 .06217 .78836 .0694 .78444 .06483 .79449 Metetra
.281 0 0 r
.06483 .79449 .0694 .78444 .07664 .77981 .07209 .78986 Metetra
.242 0 0 r
.07209 .78986 .07664 .77981 .08391 .77449 .07938 .78454 Metetra
.203 0 0 r
.07938 .78454 .08391 .77449 .0912 .7685 .08669 .77853 Metetra
.163 0 0 r
.08669 .77853 .0912 .7685 .09851 .76185 .09402 .77187 Metetra
.124 0 0 r
.09402 .77187 .09851 .76185 .10584 .75457 .10137 .76458 Metetra
.085 0 0 r
.10137 .76458 .10584 .75457 .11319 .74668 .10874 .75667 Metetra
.047 0 0 r
.10874 .75667 .11319 .74668 .12057 .7382 .11614 .74818 Metetra
.011 0 0 r
.11614 .74818 .12057 .7382 .12796 .72918 .12355 .73913 Metetra
.12355 .73913 .12796 .72918 .13537 .71964 .13098 .72957 Metetra
.13098 .72957 .13537 .71964 .1428 .70961 .13843 .71952 Metetra
.13843 .71952 .1428 .70961 .15025 .69913 .1459 .70901 Metetra
.1459 .70901 .15025 .69913 .15772 .68824 .15339 .6981 Metetra
.15339 .6981 .15772 .68824 .1652 .67698 .16089 .68681 Metetra
.16089 .68681 .1652 .67698 .1727 .6654 .16841 .6752 Metetra
.16841 .6752 .1727 .6654 .18022 .65352 .17595 .66329 Metetra
.17595 .66329 .18022 .65352 .18775 .64141 .1835 .65114 Metetra
.1835 .65114 .18775 .64141 .1953 .62909 .19107 .6388 Metetra
.19107 .6388 .1953 .62909 .20286 .61663 .19866 .6263 Metetra
.19866 .6263 .20286 .61663 .21043 .60406 .20625 .6137 Metetra
.20625 .6137 .21043 .60406 .21803 .59143 .21387 .60104 Metetra
.21387 .60104 .21803 .59143 .22563 .57879 .22149 .58836 Metetra
.22149 .58836 .22563 .57879 .23325 .56618 .22913 .57572 Metetra
.22913 .57572 .23325 .56618 .24088 .55366 .23678 .56317 Metetra
.23678 .56317 .24088 .55366 .24852 .54127 .24445 .55075 Metetra
.24445 .55075 .24852 .54127 .25618 .52905 .25213 .5385 Metetra
.25213 .5385 .25618 .52905 .26385 .51706 .25982 .52647 Metetra
.25982 .52647 .26385 .51706 .27153 .50533 .26752 .51472 Metetra
.26752 .51472 .27153 .50533 .27923 .49392 .27524 .50327 Metetra
.27524 .50327 .27923 .49392 .28693 .48285 .28297 .49218 Metetra
.28297 .49218 .28693 .48285 .29465 .47218 .29071 .48148 Metetra
.29071 .48148 .29465 .47218 .30238 .46195 .29846 .47122 Metetra
.29846 .47122 .30238 .46195 .31013 .45218 .30623 .46143 Metetra
.013 0 0 r
.30623 .46143 .31013 .45218 .31789 .44292 .31401 .45215 Metetra
.047 0 0 r
.31401 .45215 .31789 .44292 .32566 .43421 .3218 .44341 Metetra
.081 0 0 r
.3218 .44341 .32566 .43421 .33344 .42606 .32961 .43525 Metetra
.117 0 0 r
.32961 .43525 .33344 .42606 .34124 .41853 .33743 .4277 Metetra
.154 0 0 r
.33743 .4277 .34124 .41853 .34905 .41162 .34526 .42078 Metetra
.19 0 0 r
.34526 .42078 .34905 .41162 .35687 .40537 .35311 .41451 Metetra
.226 0 0 r
.35311 .41451 .35687 .40537 .36471 .39979 .36097 .40893 Metetra
.262 0 0 r
.36097 .40893 .36471 .39979 .37256 .39492 .36884 .40405 Metetra
.297 0 0 r
.36884 .40405 .37256 .39492 .38043 .39076 .37673 .39989 Metetra
.331 0 0 r
.37673 .39989 .38043 .39076 .38831 .38732 .38463 .39645 Metetra
.363 0 .019 r
.38463 .39645 .38831 .38732 .39621 .38463 .39256 .39377 Metetra
.394 0 .04 r
.39256 .39377 .39621 .38463 .40412 .38269 .40049 .39183 Metetra
.424 0 .059 r
.40049 .39183 .40412 .38269 .41205 .38151 .40845 .39065 Metetra
.452 0 .078 r
.40845 .39065 .41205 .38151 .42 .38108 .41642 .39023 Metetra
.478 .024 .095 r
.41642 .39023 .42 .38108 .42797 .38141 .42441 .39058 Metetra
.502 .051 .111 r
.42441 .39058 .42797 .38141 .43595 .3825 .43241 .39168 Metetra
.525 .076 .127 r
.43241 .39168 .43595 .3825 .44395 .38433 .44044 .39353 Metetra
.546 .1 .141 r
.44044 .39353 .44395 .38433 .45198 .3869 .44848 .39612 Metetra
.566 .122 .154 r
.44848 .39612 .45198 .3869 .46002 .3902 .45655 .39944 Metetra
.584 .142 .167 r
.45655 .39944 .46002 .3902 .46808 .39421 .46463 .40348 Metetra
.6 .161 .178 r
.46463 .40348 .46808 .39421 .47616 .39892 .47274 .40821 Metetra
.616 .179 .188 r
.47274 .40821 .47616 .39892 .48426 .40429 .48086 .41362 Metetra
.629 .195 .198 r
.48086 .41362 .48426 .40429 .49239 .41032 .48901 .41968 Metetra
.642 .21 .206 r
.48901 .41968 .49239 .41032 .50054 .41697 .49718 .42637 Metetra
.653 .224 .214 r
.49718 .42637 .50054 .41697 .50871 .42422 .50538 .43366 Metetra
.664 .236 .221 r
.50538 .43366 .50871 .42422 .5169 .43203 .51359 .44151 Metetra
.673 .247 .227 r
.51359 .44151 .5169 .43203 .52511 .44037 .52183 .44989 Metetra
.681 .257 .233 r
.52183 .44989 .52511 .44037 .53335 .4492 .5301 .45877 Metetra
.688 .266 .238 r
.5301 .45877 .53335 .4492 .54162 .4585 .53838 .46811 Metetra
.695 .273 .242 r
.53838 .46811 .54162 .4585 .54991 .46821 .5467 .47787 Metetra
.7 .28 .246 r
.5467 .47787 .54991 .46821 .55822 .47829 .55504 .48801 Metetra
.705 .286 .249 r
.55504 .48801 .55822 .47829 .56656 .48871 .5634 .49848 Metetra
.709 .291 .251 r
.5634 .49848 .56656 .48871 .57493 .49942 .57179 .50924 Metetra
.712 .294 .253 r
.57179 .50924 .57493 .49942 .58332 .51037 .5802 .52024 Metetra
.714 .297 .255 r
.5802 .52024 .58332 .51037 .59173 .52151 .58864 .53144 Metetra
.716 .299 .256 r
.58864 .53144 .59173 .52151 .60017 .5328 .59711 .54278 Metetra
.716 .3 .256 r
.59711 .54278 .60017 .5328 .60864 .54419 .6056 .55422 Metetra
.717 .301 .257 r
.6056 .55422 .60864 .54419 .61714 .55562 .61412 .56571 Metetra
.716 .3 .256 r
.61412 .56571 .61714 .55562 .62566 .56706 .62267 .5772 Metetra
.715 .298 .255 r
.62267 .5772 .62566 .56706 .6342 .57844 .63124 .58864 Metetra
.713 .296 .254 r
.63124 .58864 .6342 .57844 .64278 .58971 .63984 .59997 Metetra
.71 .293 .253 r
.63984 .59997 .64278 .58971 .65138 .60084 .64847 .61115 Metetra
.707 .289 .251 r
.64847 .61115 .65138 .60084 .66 .61176 .65712 .62213 Metetra
.703 .284 .248 r
.65712 .62213 .66 .61176 .66865 .62243 .6658 .63285 Metetra
.698 .278 .245 r
.6658 .63285 .66865 .62243 .67733 .6328 .6745 .64328 Metetra
.692 .271 .242 r
.6745 .64328 .67733 .6328 .68603 .64282 .68323 .65335 Metetra
.685 .264 .238 r
.68323 .65335 .68603 .64282 .69476 .65245 .69198 .66303 Metetra
.678 .255 .234 r
.69198 .66303 .69476 .65245 .70351 .66165 .70076 .67227 Metetra
.67 .246 .23 r
.70076 .67227 .70351 .66165 .71229 .67036 .70956 .68103 Metetra
.661 .235 .225 r
.70956 .68103 .71229 .67036 .72109 .67855 .71839 .68927 Metetra
.651 .224 .22 r
.71839 .68927 .72109 .67855 .72991 .68618 .72724 .69694 Metetra
.64 .212 .214 r
.72724 .69694 .72991 .68618 .73876 .69321 .73612 .70401 Metetra
.628 .199 .208 r
.73612 .70401 .73876 .69321 .74763 .6996 .74502 .71045 Metetra
.615 .185 .202 r
.74502 .71045 .74763 .6996 .75652 .70534 .75394 .71622 Metetra
.601 .17 .195 r
.75394 .71622 .75652 .70534 .76544 .71037 .76288 .72129 Metetra
.586 .154 .187 r
.76288 .72129 .76544 .71037 .77437 .71469 .77185 .72563 Metetra
.57 .138 .18 r
.77185 .72563 .77437 .71469 .78333 .71825 .78084 .72923 Metetra
.553 .12 .172 r
.78084 .72923 .78333 .71825 .79231 .72106 .78984 .73205 Metetra
.536 .102 .164 r
.78984 .73205 .79231 .72106 .80131 .72307 .79887 .73409 Metetra
.517 .083 .155 r
.79887 .73409 .80131 .72307 .81032 .72429 .80792 .73533 Metetra
.497 .064 .146 r
.80792 .73533 .81032 .72429 .81936 .72469 .81698 .73575 Metetra
.477 .044 .137 r
.81698 .73575 .81936 .72469 .82842 .72428 .82607 .73535 Metetra
.457 .028 .134 r
.02418 .81721 .02887 .80684 .03602 .80583 .03135 .81621 Metetra
.427 0 .111 r
.03135 .81621 .03602 .80583 .04318 .80409 .03853 .81448 Metetra
.396 0 .087 r
.03853 .81448 .04318 .80409 .05038 .80161 .04574 .81201 Metetra
.362 0 .062 r
.04574 .81201 .05038 .80161 .05759 .79841 .05297 .80881 Metetra
.327 0 .036 r
.05297 .80881 .05759 .79841 .06483 .79449 .06023 .80488 Metetra
.291 0 .01 r
.06023 .80488 .06483 .79449 .07209 .78986 .06751 .80025 Metetra
.253 0 0 r
.06751 .80025 .07209 .78986 .07938 .78454 .07482 .79492 Metetra
.215 0 0 r
.07482 .79492 .07938 .78454 .08669 .77853 .08215 .78891 Metetra
.177 0 0 r
.08215 .78891 .08669 .77853 .09402 .77187 .0895 .78224 Metetra
.138 0 0 r
.0895 .78224 .09402 .77187 .10137 .76458 .09687 .77493 Metetra
.1 0 0 r
.09687 .77493 .10137 .76458 .10874 .75667 .10426 .767 Metetra
.064 0 0 r
.10426 .767 .10874 .75667 .11614 .74818 .11167 .75849 Metetra
.028 0 0 r
.11167 .75849 .11614 .74818 .12355 .73913 .11911 .74943 Metetra
.11911 .74943 .12355 .73913 .13098 .72957 .12656 .73984 Metetra
.12656 .73984 .13098 .72957 .13843 .71952 .13403 .72977 Metetra
.13403 .72977 .13843 .71952 .1459 .70901 .14152 .71924 Metetra
.14152 .71924 .1459 .70901 .15339 .6981 .14903 .7083 Metetra
.14903 .7083 .15339 .6981 .16089 .68681 .15655 .69698 Metetra
.15655 .69698 .16089 .68681 .16841 .6752 .1641 .68534 Metetra
.1641 .68534 .16841 .6752 .17595 .66329 .17165 .6734 Metetra
.17165 .6734 .17595 .66329 .1835 .65114 .17923 .66123 Metetra
.17923 .66123 .1835 .65114 .19107 .6388 .18682 .64885 Metetra
.18682 .64885 .19107 .6388 .19866 .6263 .19442 .63632 Metetra
.19442 .63632 .19866 .6263 .20625 .6137 .20204 .62368 Metetra
.20204 .62368 .20625 .6137 .21387 .60104 .20968 .61099 Metetra
.20968 .61099 .21387 .60104 .22149 .58836 .21732 .59828 Metetra
.21732 .59828 .22149 .58836 .22913 .57572 .22498 .58561 Metetra
.22498 .58561 .22913 .57572 .23678 .56317 .23266 .57302 Metetra
.23266 .57302 .23678 .56317 .24445 .55075 .24035 .56056 Metetra
.24035 .56056 .24445 .55075 .25213 .5385 .24805 .54829 Metetra
.24805 .54829 .25213 .5385 .25982 .52647 .25576 .53623 Metetra
.25576 .53623 .25982 .52647 .26752 .51472 .26349 .52444 Metetra
.26349 .52444 .26752 .51472 .27524 .50327 .27123 .51297 Metetra
.27123 .51297 .27524 .50327 .28297 .49218 .27898 .50185 Metetra
.27898 .50185 .28297 .49218 .29071 .48148 .28674 .49112 Metetra
.28674 .49112 .29071 .48148 .29846 .47122 .29452 .48084 Metetra
.29452 .48084 .29846 .47122 .30623 .46143 .30231 .47102 Metetra
.03 0 0 r
.30231 .47102 .30623 .46143 .31401 .45215 .31011 .46172 Metetra
.063 0 0 r
.31011 .46172 .31401 .45215 .3218 .44341 .31792 .45297 Metetra
.097 0 0 r
.31792 .45297 .3218 .44341 .32961 .43525 .32575 .44479 Metetra
.132 0 0 r
.32575 .44479 .32961 .43525 .33743 .4277 .33359 .43722 Metetra
.167 0 0 r
.33359 .43722 .33743 .4277 .34526 .42078 .34145 .43028 Metetra
.203 0 0 r
.34145 .43028 .34526 .42078 .35311 .41451 .34931 .42401 Metetra
.238 0 0 r
.34931 .42401 .35311 .41451 .36097 .40893 .3572 .41842 Metetra
.273 0 0 r
.3572 .41842 .36097 .40893 .36884 .40405 .36509 .41353 Metetra
.307 0 0 r
.36509 .41353 .36884 .40405 .37673 .39989 .37301 .40936 Metetra
.34 0 .015 r
.37301 .40936 .37673 .39989 .38463 .39645 .38093 .40593 Metetra
.371 0 .036 r
.38093 .40593 .38463 .39645 .39256 .39377 .38888 .40324 Metetra
.402 0 .055 r
.38888 .40324 .39256 .39377 .40049 .39183 .39684 .40131 Metetra
.43 0 .074 r
.39684 .40131 .40049 .39183 .40845 .39065 .40481 .40014 Metetra
.457 .007 .092 r
.40481 .40014 .40845 .39065 .41642 .39023 .41281 .39974 Metetra
.483 .035 .109 r
.41281 .39974 .41642 .39023 .42441 .39058 .42082 .40009 Metetra
.507 .061 .125 r
.42082 .40009 .42441 .39058 .43241 .39168 .42885 .40121 Metetra
.529 .085 .139 r
.42885 .40121 .43241 .39168 .44044 .39353 .4369 .40308 Metetra
.55 .108 .153 r
.4369 .40308 .44044 .39353 .44848 .39612 .44496 .40569 Metetra
.569 .13 .166 r
.44496 .40569 .44848 .39612 .45655 .39944 .45305 .40904 Metetra
.586 .15 .178 r
.45305 .40904 .45655 .39944 .46463 .40348 .46116 .4131 Metetra
.603 .168 .189 r
.46116 .4131 .46463 .40348 .47274 .40821 .46929 .41786 Metetra
.617 .185 .199 r
.46929 .41786 .47274 .40821 .48086 .41362 .47744 .42331 Metetra
.631 .201 .208 r
.47744 .42331 .48086 .41362 .48901 .41968 .48561 .4294 Metetra
.643 .216 .216 r
.48561 .4294 .48901 .41968 .49718 .42637 .4938 .43613 Metetra
.654 .229 .224 r
.4938 .43613 .49718 .42637 .50538 .43366 .50202 .44345 Metetra
.664 .241 .23 r
.50202 .44345 .50538 .43366 .51359 .44151 .51026 .45134 Metetra
.673 .252 .236 r
.51026 .45134 .51359 .44151 .52183 .44989 .51853 .45977 Metetra
.681 .262 .242 r
.51853 .45977 .52183 .44989 .5301 .45877 .52681 .4687 Metetra
.689 .27 .246 r
.52681 .4687 .5301 .45877 .53838 .46811 .53513 .47808 Metetra
.695 .278 .25 r
.53513 .47808 .53838 .46811 .5467 .47787 .54346 .48789 Metetra
.7 .284 .254 r
.54346 .48789 .5467 .47787 .55504 .48801 .55183 .49808 Metetra
.705 .29 .257 r
.55183 .49808 .55504 .48801 .5634 .49848 .56021 .5086 Metetra
.709 .295 .259 r
.56021 .5086 .5634 .49848 .57179 .50924 .56863 .51941 Metetra
.712 .298 .261 r
.56863 .51941 .57179 .50924 .5802 .52024 .57707 .53047 Metetra
.714 .301 .263 r
.57707 .53047 .5802 .52024 .58864 .53144 .58553 .54172 Metetra
.715 .303 .264 r
.58553 .54172 .58864 .53144 .59711 .54278 .59403 .55313 Metetra
.716 .304 .264 r
.59403 .55313 .59711 .54278 .6056 .55422 .60255 .56462 Metetra
.717 .304 .264 r
.60255 .56462 .6056 .55422 .61412 .56571 .61109 .57617 Metetra
.716 .304 .264 r
.61109 .57617 .61412 .56571 .62267 .5772 .61966 .58772 Metetra
.715 .302 .263 r
.61966 .58772 .62267 .5772 .63124 .58864 .62826 .59921 Metetra
.713 .3 .262 r
.62826 .59921 .63124 .58864 .63984 .59997 .63689 .6106 Metetra
.71 .297 .261 r
.63689 .6106 .63984 .59997 .64847 .61115 .64554 .62184 Metetra
.707 .293 .259 r
.64554 .62184 .64847 .61115 .65712 .62213 .65422 .63287 Metetra
.703 .288 .256 r
.65422 .63287 .65712 .62213 .6658 .63285 .66292 .64365 Metetra
.698 .282 .254 r
.66292 .64365 .6658 .63285 .6745 .64328 .67165 .65413 Metetra
.692 .276 .251 r
.67165 .65413 .6745 .64328 .68323 .65335 .68041 .66426 Metetra
.686 .268 .247 r
.68041 .66426 .68323 .65335 .69198 .66303 .68919 .67399 Metetra
.679 .26 .243 r
.68919 .67399 .69198 .66303 .70076 .67227 .69799 .68328 Metetra
.671 .251 .239 r
.69799 .68328 .70076 .67227 .70956 .68103 .70682 .69209 Metetra
.662 .24 .234 r
.70682 .69209 .70956 .68103 .71839 .68927 .71568 .70037 Metetra
.652 .229 .229 r
.71568 .70037 .71839 .68927 .72724 .69694 .72456 .70809 Metetra
.641 .217 .224 r
.72456 .70809 .72724 .69694 .73612 .70401 .73346 .7152 Metetra
.629 .205 .218 r
.73346 .7152 .73612 .70401 .74502 .71045 .74239 .72167 Metetra
.617 .191 .211 r
.74239 .72167 .74502 .71045 .75394 .71622 .75134 .72748 Metetra
.603 .176 .205 r
.75134 .72748 .75394 .71622 .76288 .72129 .76031 .73258 Metetra
.588 .161 .198 r
.76031 .73258 .76288 .72129 .77185 .72563 .76931 .73696 Metetra
.573 .145 .191 r
.76931 .73696 .77185 .72563 .78084 .72923 .77832 .74059 Metetra
.556 .128 .183 r
.77832 .74059 .78084 .72923 .78984 .73205 .78736 .74344 Metetra
.539 .11 .175 r
.78736 .74344 .78984 .73205 .79887 .73409 .79642 .7455 Metetra
.521 .092 .167 r
.79642 .7455 .79887 .73409 .80792 .73533 .80549 .74676 Metetra
.501 .073 .158 r
.80549 .74676 .80792 .73533 .81698 .73575 .81459 .74719 Metetra
.482 .054 .15 r
.81459 .74719 .81698 .73575 .82607 .73535 .82371 .74681 Metetra
.462 .037 .146 r
.01946 .82793 .02418 .81721 .03135 .81621 .02664 .82694 Metetra
.433 .005 .124 r
.02664 .82694 .03135 .81621 .03853 .81448 .03384 .82521 Metetra
.402 0 .101 r
.03384 .82521 .03853 .81448 .04574 .81201 .04107 .82274 Metetra
.37 0 .077 r
.04107 .82274 .04574 .81201 .05297 .80881 .04832 .81955 Metetra
.336 0 .052 r
.04832 .81955 .05297 .80881 .06023 .80488 .0556 .81562 Metetra
.3 0 .026 r
.0556 .81562 .06023 .80488 .06751 .80025 .0629 .81098 Metetra
.264 0 0 r
.0629 .81098 .06751 .80025 .07482 .79492 .07023 .80565 Metetra
.227 0 0 r
.07023 .80565 .07482 .79492 .08215 .78891 .07757 .79963 Metetra
.189 0 0 r
.07757 .79963 .08215 .78891 .0895 .78224 .08494 .79294 Metetra
.152 0 0 r
.08494 .79294 .0895 .78224 .09687 .77493 .09233 .78562 Metetra
.115 0 0 r
.09233 .78562 .09687 .77493 .10426 .767 .09975 .77768 Metetra
.079 0 0 r
.09975 .77768 .10426 .767 .11167 .75849 .10718 .76916 Metetra
.044 0 0 r
.10718 .76916 .11167 .75849 .11911 .74943 .11463 .76007 Metetra
.011 0 0 r
.11463 .76007 .11911 .74943 .12656 .73984 .12211 .75046 Metetra
.12211 .75046 .12656 .73984 .13403 .72977 .1296 .74036 Metetra
.1296 .74036 .13403 .72977 .14152 .71924 .13711 .72981 Metetra
.13711 .72981 .14152 .71924 .14903 .7083 .14464 .71884 Metetra
.14464 .71884 .14903 .7083 .15655 .69698 .15218 .7075 Metetra
.15218 .7075 .15655 .69698 .1641 .68534 .15975 .69583 Metetra
.15975 .69583 .1641 .68534 .17165 .6734 .16733 .68386 Metetra
.16733 .68386 .17165 .6734 .17923 .66123 .17492 .67165 Metetra
.17492 .67165 .17923 .66123 .18682 .64885 .18253 .65924 Metetra
.18253 .65924 .18682 .64885 .19442 .63632 .19016 .64668 Metetra
.19016 .64668 .19442 .63632 .20204 .62368 .1978 .63401 Metetra
.1978 .63401 .20204 .62368 .20968 .61099 .20546 .62128 Metetra
.20546 .62128 .20968 .61099 .21732 .59828 .21312 .60854 Metetra
.21312 .60854 .21732 .59828 .22498 .58561 .22081 .59584 Metetra
.22081 .59584 .22498 .58561 .23266 .57302 .2285 .58322 Metetra
.2285 .58322 .23266 .57302 .24035 .56056 .23621 .57073 Metetra
.23621 .57073 .24035 .56056 .24805 .54829 .24394 .55842 Metetra
.24394 .55842 .24805 .54829 .25576 .53623 .25167 .54633 Metetra
.25167 .54633 .25576 .53623 .26349 .52444 .25942 .53451 Metetra
.25942 .53451 .26349 .52444 .27123 .51297 .26718 .52301 Metetra
.26718 .52301 .27123 .51297 .27898 .50185 .27496 .51186 Metetra
.27496 .51186 .27898 .50185 .28674 .49112 .28274 .50111 Metetra
.28274 .50111 .28674 .49112 .29452 .48084 .29054 .4908 Metetra
.015 0 0 r
.29054 .4908 .29452 .48084 .30231 .47102 .29835 .48096 Metetra
.046 0 0 r
.29835 .48096 .30231 .47102 .31011 .46172 .30618 .47164 Metetra
.078 0 0 r
.30618 .47164 .31011 .46172 .31792 .45297 .31401 .46287 Metetra
.112 0 0 r
.31401 .46287 .31792 .45297 .32575 .44479 .32186 .45467 Metetra
.146 0 0 r
.32186 .45467 .32575 .44479 .33359 .43722 .32973 .44708 Metetra
.181 0 0 r
.32973 .44708 .33359 .43722 .34145 .43028 .3376 .44014 Metetra
.215 0 0 r
.3376 .44014 .34145 .43028 .34931 .42401 .3455 .43385 Metetra
.25 0 0 r
.3455 .43385 .34931 .42401 .3572 .41842 .3534 .42825 Metetra
.283 0 0 r
.3534 .42825 .3572 .41842 .36509 .41353 .36132 .42336 Metetra
.316 0 .011 r
.36132 .42336 .36509 .41353 .37301 .40936 .36926 .41919 Metetra
.348 0 .032 r
.36926 .41919 .37301 .40936 .38093 .40593 .37721 .41576 Metetra
.379 0 .051 r
.37721 .41576 .38093 .40593 .38888 .40324 .38517 .41307 Metetra
.409 0 .07 r
.38517 .41307 .38888 .40324 .39684 .40131 .39316 .41115 Metetra
.437 0 .088 r
.39316 .41115 .39684 .40131 .40481 .40014 .40116 .40998 Metetra
.463 .018 .106 r
.40116 .40998 .40481 .40014 .41281 .39974 .40917 .40959 Metetra
.488 .045 .122 r
.40917 .40959 .41281 .39974 .42082 .40009 .41721 .40996 Metetra
.511 .07 .137 r
.41721 .40996 .42082 .40009 .42885 .40121 .42526 .41109 Metetra
.533 .094 .151 r
.42526 .41109 .42885 .40121 .4369 .40308 .43333 .41298 Metetra
.553 .116 .165 r
.43333 .41298 .4369 .40308 .44496 .40569 .44142 .41562 Metetra
.572 .137 .177 r
.44142 .41562 .44496 .40569 .45305 .40904 .44953 .41899 Metetra
.589 .157 .188 r
.44953 .41899 .45305 .40904 .46116 .4131 .45766 .42308 Metetra
.605 .175 .199 r
.45766 .42308 .46116 .4131 .46929 .41786 .46582 .42787 Metetra
.619 .192 .209 r
.46582 .42787 .46929 .41786 .47744 .42331 .47399 .43335 Metetra
.632 .207 .217 r
.47399 .43335 .47744 .42331 .48561 .4294 .48219 .43948 Metetra
.644 .221 .225 r
.48219 .43948 .48561 .4294 .4938 .43613 .4904 .44624 Metetra
.655 .234 .233 r
.4904 .44624 .4938 .43613 .50202 .44345 .49864 .4536 Metetra
.665 .246 .239 r
.49864 .4536 .50202 .44345 .51026 .45134 .50691 .46154 Metetra
.674 .256 .245 r
.50691 .46154 .51026 .45134 .51853 .45977 .5152 .47001 Metetra
.682 .266 .25 r
.5152 .47001 .51853 .45977 .52681 .4687 .52351 .47898 Metetra
.689 .274 .255 r
.52351 .47898 .52681 .4687 .53513 .47808 .53185 .48842 Metetra
.695 .282 .259 r
.53185 .48842 .53513 .47808 .54346 .48789 .54021 .49828 Metetra
.7 .288 .262 r
.54021 .49828 .54346 .48789 .55183 .49808 .54859 .50852 Metetra
.705 .294 .265 r
.54859 .50852 .55183 .49808 .56021 .5086 .55701 .51909 Metetra
.709 .298 .267 r
.55701 .51909 .56021 .5086 .56863 .51941 .56545 .52996 Metetra
.712 .302 .269 r
.56545 .52996 .56863 .51941 .57707 .53047 .57391 .54107 Metetra
.714 .305 .271 r
.57391 .54107 .57707 .53047 .58553 .54172 .5824 .55238 Metetra
.715 .307 .271 r
.5824 .55238 .58553 .54172 .59403 .55313 .59092 .56384 Metetra
.716 .308 .272 r
.59092 .56384 .59403 .55313 .60255 .56462 .59946 .5754 Metetra
.716 .308 .272 r
.59946 .5754 .60255 .56462 .61109 .57617 .60804 .587 Metetra
.716 .307 .272 r
.60804 .587 .61109 .57617 .61966 .58772 .61663 .59861 Metetra
.715 .306 .271 r
.61663 .59861 .61966 .58772 .62826 .59921 .62526 .61016 Metetra
.713 .304 .27 r
.62526 .61016 .62826 .59921 .63689 .6106 .63391 .62161 Metetra
.71 .3 .268 r
.63391 .62161 .63689 .6106 .64554 .62184 .64259 .6329 Metetra
.707 .296 .267 r
.64259 .6329 .64554 .62184 .65422 .63287 .65129 .64399 Metetra
.703 .292 .264 r
.65129 .64399 .65422 .63287 .66292 .64365 .66002 .65483 Metetra
.698 .286 .262 r
.66002 .65483 .66292 .64365 .67165 .65413 .66878 .66536 Metetra
.693 .28 .259 r
.66878 .66536 .67165 .65413 .68041 .66426 .67756 .67554 Metetra
.686 .272 .255 r
.67756 .67554 .68041 .66426 .68919 .67399 .68637 .68533 Metetra
.679 .264 .252 r
.68637 .68533 .68919 .67399 .69799 .68328 .69521 .69467 Metetra
.671 .255 .247 r
.69521 .69467 .69799 .68328 .70682 .69209 .70406 .70353 Metetra
.662 .245 .243 r
.70406 .70353 .70682 .69209 .71568 .70037 .71295 .71185 Metetra
.653 .234 .238 r
.71295 .71185 .71568 .70037 .72456 .70809 .72186 .71962 Metetra
.642 .223 .233 r
.72186 .71962 .72456 .70809 .73346 .7152 .73079 .72677 Metetra
.631 .21 .227 r
.73079 .72677 .73346 .7152 .74239 .72167 .73975 .73329 Metetra
.618 .197 .221 r
.73975 .73329 .74239 .72167 .75134 .72748 .74872 .73913 Metetra
.605 .183 .215 r
.74872 .73913 .75134 .72748 .76031 .73258 .75773 .74427 Metetra
.59 .168 .208 r
.75773 .74427 .76031 .73258 .76931 .73696 .76675 .74868 Metetra
.575 .152 .201 r
.76675 .74868 .76931 .73696 .77832 .74059 .77579 .75234 Metetra
.559 .135 .193 r
.77579 .75234 .77832 .74059 .78736 .74344 .78486 .75522 Metetra
.542 .118 .186 r
.78486 .75522 .78736 .74344 .79642 .7455 .79395 .7573 Metetra
.524 .1 .178 r
.79395 .7573 .79642 .7455 .80549 .74676 .80306 .75858 Metetra
.505 .082 .17 r
.80306 .75858 .80549 .74676 .81459 .74719 .81218 .75903 Metetra
.486 .063 .161 r
.81218 .75903 .81459 .74719 .82371 .74681 .82133 .75866 Metetra
.467 .047 .158 r
.0147 .83899 .01946 .82793 .02664 .82694 .0219 .83801 Metetra
.439 .015 .137 r
.0219 .83801 .02664 .82694 .03384 .82521 .02912 .83629 Metetra
.409 0 .114 r
.02912 .83629 .03384 .82521 .04107 .82274 .03637 .83383 Metetra
.377 0 .091 r
.03637 .83383 .04107 .82274 .04832 .81955 .04364 .83063 Metetra
.344 0 .067 r
.04364 .83063 .04832 .81955 .0556 .81562 .05094 .82671 Metetra
.31 0 .042 r
.05094 .82671 .0556 .81562 .0629 .81098 .05826 .82207 Metetra
.274 0 .017 r
.05826 .82207 .0629 .81098 .07023 .80565 .0656 .81672 Metetra
.238 0 0 r
.0656 .81672 .07023 .80565 .07757 .79963 .07297 .81069 Metetra
.201 0 0 r
.07297 .81069 .07757 .79963 .08494 .79294 .08036 .804 Metetra
.165 0 0 r
.08036 .804 .08494 .79294 .09233 .78562 .08777 .79666 Metetra
.129 0 0 r
.08777 .79666 .09233 .78562 .09975 .77768 .0952 .78871 Metetra
.094 0 0 r
.0952 .78871 .09975 .77768 .10718 .76916 .10265 .78017 Metetra
.06 0 0 r
.10265 .78017 .10718 .76916 .11463 .76007 .11013 .77106 Metetra
.028 0 0 r
.11013 .77106 .11463 .76007 .12211 .75046 .11762 .76143 Metetra
.11762 .76143 .12211 .75046 .1296 .74036 .12513 .75131 Metetra
.12513 .75131 .1296 .74036 .13711 .72981 .13266 .74073 Metetra
.13266 .74073 .13711 .72981 .14464 .71884 .14021 .72974 Metetra
.14021 .72974 .14464 .71884 .15218 .7075 .14778 .71837 Metetra
.14778 .71837 .15218 .7075 .15975 .69583 .15537 .70667 Metetra
.15537 .70667 .15975 .69583 .16733 .68386 .16297 .69467 Metetra
.16297 .69467 .16733 .68386 .17492 .67165 .17058 .68243 Metetra
.17058 .68243 .17492 .67165 .18253 .65924 .17822 .66999 Metetra
.17822 .66999 .18253 .65924 .19016 .64668 .18586 .6574 Metetra
.18586 .6574 .19016 .64668 .1978 .63401 .19353 .64469 Metetra
.19353 .64469 .1978 .63401 .20546 .62128 .2012 .63193 Metetra
.2012 .63193 .20546 .62128 .21312 .60854 .2089 .61916 Metetra
.2089 .61916 .21312 .60854 .22081 .59584 .2166 .60642 Metetra
.2166 .60642 .22081 .59584 .2285 .58322 .22432 .59377 Metetra
.22432 .59377 .2285 .58322 .23621 .57073 .23205 .58125 Metetra
.23205 .58125 .23621 .57073 .24394 .55842 .2398 .5689 Metetra
.2398 .5689 .24394 .55842 .25167 .54633 .24755 .55678 Metetra
.24755 .55678 .25167 .54633 .25942 .53451 .25533 .54494 Metetra
.25533 .54494 .25942 .53451 .26718 .52301 .26311 .5334 Metetra
.26311 .5334 .26718 .52301 .27496 .51186 .2709 .52223 Metetra
.2709 .52223 .27496 .51186 .28274 .50111 .27871 .51145 Metetra
.002 0 0 r
.27871 .51145 .28274 .50111 .29054 .4908 .28653 .50111 Metetra
.031 0 0 r
.28653 .50111 .29054 .4908 .29835 .48096 .29437 .49126 Metetra
.062 0 0 r
.29437 .49126 .29835 .48096 .30618 .47164 .30222 .48191 Metetra
.093 0 0 r
.30222 .48191 .30618 .47164 .31401 .46287 .31008 .47312 Metetra
.126 0 0 r
.31008 .47312 .31401 .46287 .32186 .45467 .31795 .4649 Metetra
.159 0 0 r
.31795 .4649 .32186 .45467 .32973 .44708 .32584 .4573 Metetra
.193 0 0 r
.32584 .4573 .32973 .44708 .3376 .44014 .33374 .45034 Metetra
.227 0 0 r
.33374 .45034 .3376 .44014 .3455 .43385 .34165 .44405 Metetra
.26 0 0 r
.34165 .44405 .3455 .43385 .3534 .42825 .34958 .43844 Metetra
.293 0 .007 r
.34958 .43844 .3534 .42825 .36132 .42336 .35752 .43354 Metetra
.325 0 .028 r
.35752 .43354 .36132 .42336 .36926 .41919 .36548 .42937 Metetra
.357 0 .047 r
.36548 .42937 .36926 .41919 .37721 .41576 .37345 .42594 Metetra
.387 0 .066 r
.37345 .42594 .37721 .41576 .38517 .41307 .38144 .42325 Metetra
.415 0 .085 r
.38144 .42325 .38517 .41307 .39316 .41115 .38945 .42133 Metetra
.442 .001 .102 r
.38945 .42133 .39316 .41115 .40116 .40998 .39747 .42018 Metetra
.468 .028 .119 r
.39747 .42018 .40116 .40998 .40917 .40959 .40551 .41979 Metetra
.492 .054 .134 r
.40551 .41979 .40917 .40959 .41721 .40996 .41357 .42018 Metetra
.515 .079 .149 r
.41357 .42018 .41721 .40996 .42526 .41109 .42164 .42133 Metetra
.536 .102 .163 r
.42164 .42133 .42526 .41109 .43333 .41298 .42974 .42324 Metetra
.556 .124 .176 r
.42974 .42324 .43333 .41298 .44142 .41562 .43785 .4259 Metetra
.574 .144 .188 r
.43785 .4259 .44142 .41562 .44953 .41899 .44599 .42929 Metetra
.591 .163 .199 r
.44599 .42929 .44953 .41899 .45766 .42308 .45414 .43341 Metetra
.606 .181 .209 r
.45414 .43341 .45766 .42308 .46582 .42787 .46232 .43824 Metetra
.621 .198 .218 r
.46232 .43824 .46582 .42787 .47399 .43335 .47052 .44375 Metetra
.634 .213 .227 r
.47052 .44375 .47399 .43335 .48219 .43948 .47874 .44991 Metetra
.645 .226 .234 r
.47874 .44991 .48219 .43948 .4904 .44624 .48698 .45671 Metetra
.656 .239 .241 r
.48698 .45671 .4904 .44624 .49864 .4536 .49524 .46412 Metetra
.666 .251 .248 r
.49524 .46412 .49864 .4536 .50691 .46154 .50353 .4721 Metetra
.674 .261 .253 r
.50353 .4721 .50691 .46154 .5152 .47001 .51184 .48062 Metetra
.682 .27 .258 r
.51184 .48062 .5152 .47001 .52351 .47898 .52018 .48964 Metetra
.689 .279 .263 r
.52018 .48964 .52351 .47898 .53185 .48842 .52854 .49912 Metetra
.695 .286 .266 r
.52854 .49912 .53185 .48842 .54021 .49828 .53693 .50903 Metetra
.7 .292 .27 r
.53693 .50903 .54021 .49828 .54859 .50852 .54534 .51932 Metetra
.705 .297 .272 r
.54534 .51932 .54859 .50852 .55701 .51909 .55378 .52995 Metetra
.708 .302 .275 r
.55378 .52995 .55701 .51909 .56545 .52996 .56224 .54088 Metetra
.711 .306 .277 r
.56224 .54088 .56545 .52996 .57391 .54107 .57073 .55204 Metetra
.714 .308 .278 r
.57073 .55204 .57391 .54107 .5824 .55238 .57925 .56341 Metetra
.715 .31 .279 r
.57925 .56341 .5824 .55238 .59092 .56384 .58779 .57493 Metetra
.716 .311 .279 r
.58779 .57493 .59092 .56384 .59946 .5754 .59636 .58654 Metetra
.716 .311 .279 r
.59636 .58654 .59946 .5754 .60804 .587 .60496 .59821 Metetra
.716 .311 .279 r
.60496 .59821 .60804 .587 .61663 .59861 .61358 .60987 Metetra
.714 .309 .278 r
.61358 .60987 .61663 .59861 .62526 .61016 .62223 .62148 Metetra
.713 .307 .277 r
.62223 .62148 .62526 .61016 .63391 .62161 .63091 .63299 Metetra
.71 .304 .276 r
.63091 .63299 .63391 .62161 .64259 .6329 .63962 .64434 Metetra
.707 .3 .274 r
.63962 .64434 .64259 .6329 .65129 .64399 .64835 .65549 Metetra
.703 .295 .272 r
.64835 .65549 .65129 .64399 .66002 .65483 .65711 .66639 Metetra
.698 .29 .269 r
.65711 .66639 .66002 .65483 .66878 .66536 .66589 .67697 Metetra
.693 .284 .267 r
.66589 .67697 .66878 .66536 .67756 .67554 .6747 .68721 Metetra
.686 .276 .263 r
.6747 .68721 .67756 .67554 .68637 .68533 .68354 .69705 Metetra
.679 .268 .26 r
.68354 .69705 .68637 .68533 .69521 .69467 .6924 .70644 Metetra
.672 .26 .256 r
.6924 .70644 .69521 .69467 .70406 .70353 .70129 .71535 Metetra
.663 .25 .251 r
.70129 .71535 .70406 .70353 .71295 .71185 .7102 .72373 Metetra
.653 .239 .246 r
.7102 .72373 .71295 .71185 .72186 .71962 .71914 .73154 Metetra
.643 .228 .241 r
.71914 .73154 .72186 .71962 .73079 .72677 .7281 .73874 Metetra
.632 .216 .236 r
.7281 .73874 .73079 .72677 .73975 .73329 .73708 .74529 Metetra
.619 .203 .23 r
.73708 .74529 .73975 .73329 .74872 .73913 .74609 .75118 Metetra
.606 .189 .224 r
.74609 .75118 .74872 .73913 .75773 .74427 .75512 .75635 Metetra
.592 .174 .217 r
.75512 .75635 .75773 .74427 .76675 .74868 .76417 .7608 Metetra
.577 .158 .211 r
.76417 .7608 .76675 .74868 .77579 .75234 .77325 .76448 Metetra
.562 .142 .204 r
.77325 .76448 .77579 .75234 .78486 .75522 .78235 .76739 Metetra
.545 .125 .196 r
.78235 .76739 .78486 .75522 .79395 .7573 .79146 .7695 Metetra
.527 .108 .188 r
.79146 .7695 .79395 .7573 .80306 .75858 .8006 .7708 Metetra
.509 .09 .181 r
.8006 .7708 .80306 .75858 .81218 .75903 .80976 .77127 Metetra
.49 .071 .172 r
.80976 .77127 .81218 .75903 .82133 .75866 .81893 .77091 Metetra
.471 .056 .169 r
.00991 .8504 .0147 .83899 .0219 .83801 .01713 .84943 Metetra
.444 .025 .149 r
.01713 .84943 .0219 .83801 .02912 .83629 .02437 .84772 Metetra
.415 0 .127 r
.02437 .84772 .02912 .83629 .03637 .83383 .03163 .84526 Metetra
.384 0 .104 r
.03163 .84526 .03637 .83383 .04364 .83063 .03892 .84207 Metetra
.352 0 .081 r
.03892 .84207 .04364 .83063 .05094 .82671 .04624 .83814 Metetra
.318 0 .057 r
.04624 .83814 .05094 .82671 .05826 .82207 .05358 .8335 Metetra
.284 0 .033 r
.05358 .8335 .05826 .82207 .0656 .81672 .06094 .82815 Metetra
.249 0 .008 r
.06094 .82815 .0656 .81672 .07297 .81069 .06833 .82211 Metetra
.213 0 0 r
.06833 .82211 .07297 .81069 .08036 .804 .07574 .81541 Metetra
.177 0 0 r
.07574 .81541 .08036 .804 .08777 .79666 .08317 .80806 Metetra
.142 0 0 r
.08317 .80806 .08777 .79666 .0952 .78871 .09062 .80009 Metetra
.108 0 0 r
.09062 .80009 .0952 .78871 .10265 .78017 .09809 .79153 Metetra
.075 0 0 r
.09809 .79153 .10265 .78017 .11013 .77106 .10559 .78241 Metetra
.043 0 0 r
.10559 .78241 .11013 .77106 .11762 .76143 .1131 .77276 Metetra
.013 0 0 r
.1131 .77276 .11762 .76143 .12513 .75131 .12064 .76261 Metetra
.12064 .76261 .12513 .75131 .13266 .74073 .12819 .75201 Metetra
.12819 .75201 .13266 .74073 .14021 .72974 .13576 .74099 Metetra
.13576 .74099 .14021 .72974 .14778 .71837 .14335 .72959 Metetra
.14335 .72959 .14778 .71837 .15537 .70667 .15095 .71786 Metetra
.15095 .71786 .15537 .70667 .16297 .69467 .15858 .70584 Metetra
.15858 .70584 .16297 .69467 .17058 .68243 .16621 .69356 Metetra
.16621 .69356 .17058 .68243 .17822 .66999 .17387 .68109 Metetra
.17387 .68109 .17822 .66999 .18586 .6574 .18154 .66846 Metetra
.18154 .66846 .18586 .6574 .19353 .64469 .18922 .65573 Metetra
.18922 .65573 .19353 .64469 .2012 .63193 .19692 .64293 Metetra
.19692 .64293 .2012 .63193 .2089 .61916 .20464 .63013 Metetra
.20464 .63013 .2089 .61916 .2166 .60642 .21236 .61736 Metetra
.21236 .61736 .2166 .60642 .22432 .59377 .2201 .60467 Metetra
.2201 .60467 .22432 .59377 .23205 .58125 .22786 .59212 Metetra
.22786 .59212 .23205 .58125 .2398 .5689 .23563 .57974 Metetra
.23563 .57974 .2398 .5689 .24755 .55678 .24341 .56759 Metetra
.24341 .56759 .24755 .55678 .25533 .54494 .2512 .55571 Metetra
.2512 .55571 .25533 .54494 .26311 .5334 .25901 .54415 Metetra
.25901 .54415 .26311 .5334 .2709 .52223 .26683 .53295 Metetra
.26683 .53295 .2709 .52223 .27871 .51145 .27466 .52215 Metetra
.019 0 0 r
.27466 .52215 .27871 .51145 .28653 .50111 .2825 .51178 Metetra
.047 0 0 r
.2825 .51178 .28653 .50111 .29437 .49126 .29036 .5019 Metetra
.077 0 0 r
.29036 .5019 .29437 .49126 .30222 .48191 .29823 .49254 Metetra
.108 0 0 r
.29823 .49254 .30222 .48191 .31008 .47312 .30611 .48372 Metetra
.14 0 0 r
.30611 .48372 .31008 .47312 .31795 .4649 .31401 .47549 Metetra
.172 0 0 r
.31401 .47549 .31795 .4649 .32584 .4573 .32192 .46788 Metetra
.205 0 0 r
.32192 .46788 .32584 .4573 .33374 .45034 .32984 .4609 Metetra
.238 0 0 r
.32984 .4609 .33374 .45034 .34165 .44405 .33778 .4546 Metetra
.271 0 .004 r
.33778 .4546 .34165 .44405 .34958 .43844 .34573 .44898 Metetra
.303 0 .024 r
.34573 .44898 .34958 .43844 .35752 .43354 .35369 .44408 Metetra
.334 0 .043 r
.35369 .44408 .35752 .43354 .36548 .42937 .36167 .4399 Metetra
.364 0 .062 r
.36167 .4399 .36548 .42937 .37345 .42594 .36967 .43647 Metetra
.394 0 .081 r
.36967 .43647 .37345 .42594 .38144 .42325 .37768 .43379 Metetra
.421 0 .098 r
.37768 .43379 .38144 .42325 .38945 .42133 .38571 .43188 Metetra
.448 .011 .115 r
.38571 .43188 .38945 .42133 .39747 .42018 .39376 .43074 Metetra
.473 .038 .131 r
.39376 .43074 .39747 .42018 .40551 .41979 .40182 .43036 Metetra
.497 .063 .146 r
.40182 .43036 .40551 .41979 .41357 .42018 .4099 .43076 Metetra
.519 .087 .161 r
.4099 .43076 .41357 .42018 .42164 .42133 .418 .43193 Metetra
.539 .11 .174 r
.418 .43193 .42164 .42133 .42974 .42324 .42612 .43386 Metetra
.559 .131 .186 r
.42612 .43386 .42974 .42324 .43785 .4259 .43426 .43654 Metetra
.576 .151 .198 r
.43426 .43654 .43785 .4259 .44599 .42929 .44242 .43996 Metetra
.593 .17 .209 r
.44242 .43996 .44599 .42929 .45414 .43341 .4506 .44411 Metetra
.608 .187 .218 r
.4506 .44411 .45414 .43341 .46232 .43824 .4588 .44897 Metetra
.622 .203 .227 r
.4588 .44897 .46232 .43824 .47052 .44375 .46702 .45451 Metetra
.635 .218 .235 r
.46702 .45451 .47052 .44375 .47874 .44991 .47526 .46072 Metetra
.646 .232 .243 r
.47526 .46072 .47874 .44991 .48698 .45671 .48353 .46756 Metetra
.657 .244 .25 r
.48353 .46756 .48698 .45671 .49524 .46412 .49182 .475 Metetra
.666 .255 .256 r
.49182 .475 .49524 .46412 .50353 .4721 .50013 .48303 Metetra
.675 .265 .261 r
.50013 .48303 .50353 .4721 .51184 .48062 .50847 .49159 Metetra
.682 .274 .266 r
.50847 .49159 .51184 .48062 .52018 .48964 .51683 .50066 Metetra
.689 .282 .27 r
.51683 .50066 .52018 .48964 .52854 .49912 .52521 .5102 Metetra
.695 .29 .274 r
.52521 .5102 .52854 .49912 .53693 .50903 .53363 .52016 Metetra
.7 .296 .277 r
.53363 .52016 .53693 .50903 .54534 .51932 .54206 .5305 Metetra
.705 .301 .28 r
.54206 .5305 .54534 .51932 .55378 .52995 .55053 .54119 Metetra
.708 .305 .282 r
.55053 .54119 .55378 .52995 .56224 .54088 .55901 .55217 Metetra
.711 .309 .284 r
.55901 .55217 .56224 .54088 .57073 .55204 .56753 .56339 Metetra
.713 .312 .285 r
.56753 .56339 .57073 .55204 .57925 .56341 .57607 .57482 Metetra
.715 .313 .286 r
.57607 .57482 .57925 .56341 .58779 .57493 .58464 .5864 Metetra
.716 .314 .286 r
.58464 .5864 .58779 .57493 .59636 .58654 .59324 .59807 Metetra
.716 .315 .287 r
.59324 .59807 .59636 .58654 .60496 .59821 .60186 .6098 Metetra
.715 .314 .286 r
.60186 .6098 .60496 .59821 .61358 .60987 .61051 .62152 Metetra
.714 .313 .286 r
.61051 .62152 .61358 .60987 .62223 .62148 .61919 .63319 Metetra
.712 .31 .285 r
.61919 .63319 .62223 .62148 .63091 .63299 .62789 .64476 Metetra
.71 .307 .283 r
.62789 .64476 .63091 .63299 .63962 .64434 .63662 .65617 Metetra
.707 .304 .281 r
.63662 .65617 .63962 .64434 .64835 .65549 .64538 .66738 Metetra
.703 .299 .279 r
.64538 .66738 .64835 .65549 .65711 .66639 .65417 .67833 Metetra
.698 .294 .277 r
.65417 .67833 .65711 .66639 .66589 .67697 .66298 .68898 Metetra
.693 .287 .274 r
.66298 .68898 .66589 .67697 .6747 .68721 .67182 .69927 Metetra
.687 .28 .271 r
.67182 .69927 .6747 .68721 .68354 .69705 .68068 .70916 Metetra
.68 .273 .267 r
.68068 .70916 .68354 .69705 .6924 .70644 .68957 .71861 Metetra
.672 .264 .263 r
.68957 .71861 .6924 .70644 .70129 .71535 .69849 .72757 Metetra
.663 .254 .259 r
.69849 .72757 .70129 .71535 .7102 .72373 .70743 .736 Metetra
.654 .244 .255 r
.70743 .736 .7102 .72373 .71914 .73154 .7164 .74385 Metetra
.644 .233 .25 r
.7164 .74385 .71914 .73154 .7281 .73874 .72539 .7511 Metetra
.633 .221 .244 r
.72539 .7511 .7281 .73874 .73708 .74529 .7344 .7577 Metetra
.621 .208 .239 r
.7344 .7577 .73708 .74529 .74609 .75118 .74344 .76362 Metetra
.608 .194 .233 r
.74344 .76362 .74609 .75118 .75512 .75635 .7525 .76883 Metetra
.594 .18 .227 r
.7525 .76883 .75512 .75635 .76417 .7608 .76158 .77331 Metetra
.579 .165 .22 r
.76158 .77331 .76417 .7608 .77325 .76448 .77069 .77703 Metetra
.564 .149 .213 r
.77069 .77703 .77325 .76448 .78235 .76739 .77981 .77997 Metetra
.548 .132 .206 r
.77981 .77997 .78235 .76739 .79146 .7695 .78896 .7821 Metetra
.53 .115 .199 r
.78896 .7821 .79146 .7695 .8006 .7708 .79813 .78342 Metetra
.512 .098 .191 r
.79813 .78342 .8006 .7708 .80976 .77127 .80732 .78391 Metetra
.494 .08 .183 r
.80732 .78391 .80976 .77127 .81893 .77091 .81652 .78357 Metetra
.475 .064 .18 r
.00508 .86217 .00991 .8504 .01713 .84943 .01232 .86121 Metetra
.449 .034 .16 r
.01232 .86121 .01713 .84943 .02437 .84772 .01958 .8595 Metetra
.42 .003 .139 r
.01958 .8595 .02437 .84772 .03163 .84526 .02686 .85705 Metetra
.39 0 .117 r
.02686 .85705 .03163 .84526 .03892 .84207 .03417 .85386 Metetra
.359 0 .095 r
.03417 .85386 .03892 .84207 .04624 .83814 .04151 .84993 Metetra
.326 0 .071 r
.04151 .84993 .04624 .83814 .05358 .8335 .04886 .84529 Metetra
.293 0 .048 r
.04886 .84529 .05358 .8335 .06094 .82815 .05625 .83993 Metetra
.259 0 .024 r
.05625 .83993 .06094 .82815 .06833 .82211 .06365 .83389 Metetra
.224 0 0 r
.06365 .83389 .06833 .82211 .07574 .81541 .07108 .82717 Metetra
.189 0 0 r
.07108 .82717 .07574 .81541 .08317 .80806 .07853 .81981 Metetra
.155 0 0 r
.07853 .81981 .08317 .80806 .09062 .80009 .08601 .81183 Metetra
.122 0 0 r
.08601 .81183 .09062 .80009 .09809 .79153 .0935 .80325 Metetra
.089 0 0 r
.0935 .80325 .09809 .79153 .10559 .78241 .10101 .79411 Metetra
.058 0 0 r
.10101 .79411 .10559 .78241 .1131 .77276 .10855 .78444 Metetra
.029 0 0 r
.10855 .78444 .1131 .77276 .12064 .76261 .1161 .77427 Metetra
.002 0 0 r
.1161 .77427 .12064 .76261 .12819 .75201 .12368 .76364 Metetra
.12368 .76364 .12819 .75201 .13576 .74099 .13127 .7526 Metetra
.13127 .7526 .13576 .74099 .14335 .72959 .13888 .74117 Metetra
.13888 .74117 .14335 .72959 .15095 .71786 .14651 .72941 Metetra
.14651 .72941 .15095 .71786 .15858 .70584 .15415 .71736 Metetra
.15415 .71736 .15858 .70584 .16621 .69356 .16181 .70505 Metetra
.16181 .70505 .16621 .69356 .17387 .68109 .16949 .69255 Metetra
.16949 .69255 .17387 .68109 .18154 .66846 .17718 .67989 Metetra
.17718 .67989 .18154 .66846 .18922 .65573 .18489 .66712 Metetra
.18489 .66712 .18922 .65573 .19692 .64293 .19261 .65429 Metetra
.19261 .65429 .19692 .64293 .20464 .63013 .20035 .64145 Metetra
.20035 .64145 .20464 .63013 .21236 .61736 .20809 .62865 Metetra
.20809 .62865 .21236 .61736 .2201 .60467 .21586 .61593 Metetra
.21586 .61593 .2201 .60467 .22786 .59212 .22364 .60335 Metetra
.22364 .60335 .22786 .59212 .23563 .57974 .23143 .59094 Metetra
.23143 .59094 .23563 .57974 .24341 .56759 .23923 .57876 Metetra
.23923 .57876 .24341 .56759 .2512 .55571 .24704 .56685 Metetra
.24704 .56685 .2512 .55571 .25901 .54415 .25487 .55526 Metetra
.25487 .55526 .25901 .54415 .26683 .53295 .26272 .54403 Metetra
.008 0 0 r
.26272 .54403 .26683 .53295 .27466 .52215 .27057 .5332 Metetra
.034 0 0 r
.27057 .5332 .27466 .52215 .2825 .51178 .27844 .52281 Metetra
.062 0 0 r
.27844 .52281 .2825 .51178 .29036 .5019 .28632 .51291 Metetra
.091 0 0 r
.28632 .51291 .29036 .5019 .29823 .49254 .29421 .50352 Metetra
.122 0 0 r
.29421 .50352 .29823 .49254 .30611 .48372 .30212 .49469 Metetra
.153 0 0 r
.30212 .49469 .30611 .48372 .31401 .47549 .31003 .48644 Metetra
.185 0 0 r
.31003 .48644 .31401 .47549 .32192 .46788 .31797 .47881 Metetra
.217 0 0 r
.31797 .47881 .32192 .46788 .32984 .4609 .32591 .47182 Metetra
.249 0 0 r
.32591 .47182 .32984 .4609 .33778 .4546 .33387 .46551 Metetra
.281 0 .02 r
.33387 .46551 .33778 .4546 .34573 .44898 .34185 .45989 Metetra
.312 0 .039 r
.34185 .45989 .34573 .44898 .35369 .44408 .34984 .45498 Metetra
.342 0 .058 r
.34984 .45498 .35369 .44408 .36167 .4399 .35784 .4508 Metetra
.372 0 .077 r
.35784 .4508 .36167 .4399 .36967 .43647 .36586 .44737 Metetra
.4 0 .094 r
.36586 .44737 .36967 .43647 .37768 .43379 .3739 .4447 Metetra
.427 0 .112 r
.3739 .4447 .37768 .43379 .38571 .43188 .38195 .44279 Metetra
.453 .022 .128 r
.38195 .44279 .38571 .43188 .39376 .43074 .39002 .44165 Metetra
.478 .047 .143 r
.39002 .44165 .39376 .43074 .40182 .43036 .39811 .44129 Metetra
.501 .072 .158 r
.39811 .44129 .40182 .43036 .4099 .43076 .40621 .44171 Metetra
.522 .096 .172 r
.40621 .44171 .4099 .43076 .418 .43193 .41434 .44289 Metetra
.542 .118 .185 r
.41434 .44289 .418 .43193 .42612 .43386 .42248 .44484 Metetra
.561 .138 .197 r
.42248 .44484 .42612 .43386 .43426 .43654 .43064 .44755 Metetra
.579 .158 .208 r
.43064 .44755 .43426 .43654 .44242 .43996 .43882 .451 Metetra
.595 .176 .218 r
.43882 .451 .44242 .43996 .4506 .44411 .44703 .45518 Metetra
.61 .193 .227 r
.44703 .45518 .4506 .44411 .4588 .44897 .45525 .46007 Metetra
.623 .209 .236 r
.45525 .46007 .4588 .44897 .46702 .45451 .46349 .46565 Metetra
.636 .223 .244 r
.46349 .46565 .46702 .45451 .47526 .46072 .47176 .47189 Metetra
.647 .236 .251 r
.47176 .47189 .47526 .46072 .48353 .46756 .48005 .47877 Metetra
.657 .248 .258 r
.48005 .47877 .48353 .46756 .49182 .475 .48837 .48626 Metetra
.667 .259 .264 r
.48837 .48626 .49182 .475 .50013 .48303 .4967 .49433 Metetra
.675 .269 .269 r
.4967 .49433 .50013 .48303 .50847 .49159 .50507 .50294 Metetra
.683 .278 .274 r
.50507 .50294 .50847 .49159 .51683 .50066 .51345 .51206 Metetra
.689 .286 .278 r
.51345 .51206 .51683 .50066 .52521 .5102 .52186 .52164 Metetra
.695 .293 .281 r
.52186 .52164 .52521 .5102 .53363 .52016 .5303 .53166 Metetra
.7 .299 .284 r
.5303 .53166 .53363 .52016 .54206 .5305 .53876 .54206 Metetra
.705 .304 .287 r
.53876 .54206 .54206 .5305 .55053 .54119 .54725 .5528 Metetra
.708 .309 .289 r
.54725 .5528 .55053 .54119 .55901 .55217 .55576 .56384 Metetra
.711 .312 .291 r
.55576 .56384 .55901 .55217 .56753 .56339 .56431 .57512 Metetra
.713 .315 .292 r
.56431 .57512 .56753 .56339 .57607 .57482 .57287 .58661 Metetra
.715 .317 .293 r
.57287 .58661 .57607 .57482 .58464 .5864 .58147 .59825 Metetra
.715 .318 .293 r
.58147 .59825 .58464 .5864 .59324 .59807 .59009 .60998 Metetra
.716 .318 .293 r
.59009 .60998 .59324 .59807 .60186 .6098 .59874 .62177 Metetra
.715 .317 .293 r
.59874 .62177 .60186 .6098 .61051 .62152 .60742 .63356 Metetra
.714 .316 .293 r
.60742 .63356 .61051 .62152 .61919 .63319 .61612 .64529 Metetra
.712 .314 .292 r
.61612 .64529 .61919 .63319 .62789 .64476 .62485 .65692 Metetra
.71 .311 .29 r
.62485 .65692 .62789 .64476 .63662 .65617 .63361 .66839 Metetra
.707 .307 .288 r
.63361 .66839 .63662 .65617 .64538 .66738 .6424 .67966 Metetra
.703 .303 .286 r
.6424 .67966 .64538 .66738 .65417 .67833 .65121 .69067 Metetra
.698 .297 .284 r
.65121 .69067 .65417 .67833 .66298 .68898 .66005 .70137 Metetra
.693 .291 .281 r
.66005 .70137 .66298 .68898 .67182 .69927 .66892 .71172 Metetra
.687 .284 .278 r
.66892 .71172 .67182 .69927 .68068 .70916 .67781 .72167 Metetra
.68 .277 .275 r
.67781 .72167 .68068 .70916 .68957 .71861 .68673 .73118 Metetra
.672 .268 .271 r
.68673 .73118 .68957 .71861 .69849 .72757 .69567 .74019 Metetra
.664 .259 .267 r
.69567 .74019 .69849 .72757 .70743 .736 .70464 .74866 Metetra
.655 .249 .263 r
.70464 .74866 .70743 .736 .7164 .74385 .71364 .75657 Metetra
.645 .238 .258 r
.71364 .75657 .7164 .74385 .72539 .7511 .72266 .76386 Metetra
.634 .226 .253 r
.72266 .76386 .72539 .7511 .7344 .7577 .7317 .7705 Metetra
.622 .213 .247 r
.7317 .7705 .7344 .7577 .74344 .76362 .74077 .77647 Metetra
.609 .2 .242 r
.74077 .77647 .74344 .76362 .7525 .76883 .74986 .78172 Metetra
.596 .186 .236 r
.74986 .78172 .7525 .76883 .76158 .77331 .75897 .78623 Metetra
.581 .171 .229 r
.75897 .78623 .76158 .77331 .77069 .77703 .7681 .78998 Metetra
.566 .156 .222 r
.7681 .78998 .77069 .77703 .77981 .77997 .77726 .79295 Metetra
.55 .139 .216 r
.77726 .79295 .77981 .77997 .78896 .7821 .78644 .79511 Metetra
.533 .123 .208 r
.78644 .79511 .78896 .7821 .79813 .78342 .79564 .79645 Metetra
.516 .105 .201 r
.79564 .79645 .79813 .78342 .80732 .78391 .80486 .79696 Metetra
.497 .088 .193 r
.80486 .79696 .80732 .78391 .81652 .78357 .8141 .79663 Metetra
.479 .073 .19 r
.00022 .87429 .00508 .86217 .01232 .86121 .00747 .87334 Metetra
.453 .043 .171 r
.00747 .87334 .01232 .86121 .01958 .8595 .01475 .87165 Metetra
.426 .013 .151 r
.01475 .87165 .01958 .8595 .02686 .85705 .02205 .8692 Metetra
.396 0 .13 r
.02205 .8692 .02686 .85705 .03417 .85386 .02938 .86601 Metetra
.366 0 .108 r
.02938 .86601 .03417 .85386 .04151 .84993 .03674 .86208 Metetra
.334 0 .085 r
.03674 .86208 .04151 .84993 .04886 .84529 .04411 .85743 Metetra
.302 0 .062 r
.04411 .85743 .04886 .84529 .05625 .83993 .05152 .85208 Metetra
.268 0 .039 r
.05152 .85208 .05625 .83993 .06365 .83389 .05894 .84602 Metetra
.235 0 .016 r
.05894 .84602 .06365 .83389 .07108 .82717 .06639 .8393 Metetra
.201 0 0 r
.06639 .8393 .07108 .82717 .07853 .81981 .07386 .83193 Metetra
.167 0 0 r
.07386 .83193 .07853 .81981 .08601 .81183 .08136 .82393 Metetra
.135 0 0 r
.08136 .82393 .08601 .81183 .0935 .80325 .08887 .81533 Metetra
.103 0 0 r
.08887 .81533 .0935 .80325 .10101 .79411 .09641 .80617 Metetra
.073 0 0 r
.09641 .80617 .10101 .79411 .10855 .78444 .10396 .79648 Metetra
.044 0 0 r
.10396 .79648 .10855 .78444 .1161 .77427 .11154 .78629 Metetra
.018 0 0 r
.11154 .78629 .1161 .77427 .12368 .76364 .11913 .77564 Metetra
.11913 .77564 .12368 .76364 .13127 .7526 .12675 .76457 Metetra
.12675 .76457 .13127 .7526 .13888 .74117 .13438 .75311 Metetra
.13438 .75311 .13888 .74117 .14651 .72941 .14203 .74132 Metetra
.14203 .74132 .14651 .72941 .15415 .71736 .1497 .72924 Metetra
.1497 .72924 .15415 .71736 .16181 .70505 .15738 .71691 Metetra
.15738 .71691 .16181 .70505 .16949 .69255 .16508 .70437 Metetra
.16508 .70437 .16949 .69255 .17718 .67989 .17279 .69168 Metetra
.17279 .69168 .17718 .67989 .18489 .66712 .18052 .67888 Metetra
.18052 .67888 .18489 .66712 .19261 .65429 .18826 .66602 Metetra
.18826 .66602 .19261 .65429 .20035 .64145 .19602 .65314 Metetra
.19602 .65314 .20035 .64145 .20809 .62865 .20379 .64031 Metetra
.20379 .64031 .20809 .62865 .21586 .61593 .21158 .62755 Metetra
.21158 .62755 .21586 .61593 .22364 .60335 .21938 .61494 Metetra
.21938 .61494 .22364 .60335 .23143 .59094 .22719 .6025 Metetra
.22719 .6025 .23143 .59094 .23923 .57876 .23502 .59029 Metetra
.23502 .59029 .23923 .57876 .24704 .56685 .24286 .57835 Metetra
.24286 .57835 .24704 .56685 .25487 .55526 .25071 .56673 Metetra
.25071 .56673 .25487 .55526 .26272 .54403 .25858 .55547 Metetra
.024 0 0 r
.25858 .55547 .26272 .54403 .27057 .5332 .26645 .54461 Metetra
.049 0 0 r
.26645 .54461 .27057 .5332 .27844 .52281 .27434 .5342 Metetra
.077 0 0 r
.27434 .5342 .27844 .52281 .28632 .51291 .28225 .52427 Metetra
.105 0 0 r
.28225 .52427 .28632 .51291 .29421 .50352 .29016 .51487 Metetra
.135 0 0 r
.29016 .51487 .29421 .50352 .30212 .49469 .29809 .50602 Metetra
.165 0 0 r
.29809 .50602 .30212 .49469 .31003 .48644 .30603 .49775 Metetra
.196 0 0 r
.30603 .49775 .31003 .48644 .31797 .47881 .31399 .49011 Metetra
.228 0 0 r
.31399 .49011 .31797 .47881 .32591 .47182 .32196 .48311 Metetra
.259 0 .016 r
.32196 .48311 .32591 .47182 .33387 .46551 .32994 .47678 Metetra
.29 0 .035 r
.32994 .47678 .33387 .46551 .34185 .45989 .33794 .47116 Metetra
.32 0 .054 r
.33794 .47116 .34185 .45989 .34984 .45498 .34595 .46624 Metetra
.35 0 .073 r
.34595 .46624 .34984 .45498 .35784 .4508 .35398 .46206 Metetra
.379 0 .09 r
.35398 .46206 .35784 .4508 .36586 .44737 .36203 .45863 Metetra
.406 0 .108 r
.36203 .45863 .36586 .44737 .3739 .4447 .37009 .45596 Metetra
.433 .005 .124 r
.37009 .45596 .3739 .4447 .38195 .44279 .37816 .45406 Metetra
.458 .031 .14 r
.37816 .45406 .38195 .44279 .39002 .44165 .38626 .45294 Metetra
.482 .056 .155 r
.38626 .45294 .39002 .44165 .39811 .44129 .39437 .45259 Metetra
.504 .081 .169 r
.39437 .45259 .39811 .44129 .40621 .44171 .4025 .45302 Metetra
.525 .103 .182 r
.4025 .45302 .40621 .44171 .41434 .44289 .41064 .45423 Metetra
.545 .125 .195 r
.41064 .45423 .41434 .44289 .42248 .44484 .41881 .4562 Metetra
.564 .145 .206 r
.41881 .4562 .42248 .44484 .43064 .44755 .42699 .45893 Metetra
.581 .164 .217 r
.42699 .45893 .43064 .44755 .43882 .451 .4352 .46241 Metetra
.596 .182 .227 r
.4352 .46241 .43882 .451 .44703 .45518 .44343 .46662 Metetra
.611 .199 .236 r
.44343 .46662 .44703 .45518 .45525 .46007 .45168 .47154 Metetra
.624 .214 .245 r
.45168 .47154 .45525 .46007 .46349 .46565 .45995 .47715 Metetra
.637 .228 .252 r
.45995 .47715 .46349 .46565 .47176 .47189 .46824 .48344 Metetra
.648 .241 .259 r
.46824 .48344 .47176 .47189 .48005 .47877 .47655 .49036 Metetra
.658 .253 .266 r
.47655 .49036 .48005 .47877 .48837 .48626 .48489 .49789 Metetra
.667 .264 .271 r
.48489 .49789 .48837 .48626 .4967 .49433 .49325 .50601 Metetra
.675 .273 .276 r
.49325 .50601 .4967 .49433 .50507 .50294 .50164 .51467 Metetra
.683 .282 .281 r
.50164 .51467 .50507 .50294 .51345 .51206 .51005 .52383 Metetra
.689 .29 .285 r
.51005 .52383 .51345 .51206 .52186 .52164 .51849 .53347 Metetra
.695 .297 .288 r
.51849 .53347 .52186 .52164 .5303 .53166 .52695 .54354 Metetra
.7 .303 .291 r
.52695 .54354 .5303 .53166 .53876 .54206 .53544 .554 Metetra
.704 .308 .294 r
.53544 .554 .53876 .54206 .54725 .5528 .54395 .5648 Metetra
.708 .312 .296 r
.54395 .5648 .54725 .5528 .55576 .56384 .55249 .57589 Metetra
.711 .315 .297 r
.55249 .57589 .55576 .56384 .56431 .57512 .56106 .58724 Metetra
.713 .318 .299 r
.56106 .58724 .56431 .57512 .57287 .58661 .56965 .59879 Metetra
.714 .32 .3 r
.56965 .59879 .57287 .58661 .58147 .59825 .57827 .61048 Metetra
.715 .321 .3 r
.57827 .61048 .58147 .59825 .59009 .60998 .58692 .62228 Metetra
.715 .321 .3 r
.58692 .62228 .59009 .60998 .59874 .62177 .5956 .63413 Metetra
.715 .32 .3 r
.5956 .63413 .59874 .62177 .60742 .63356 .6043 .64598 Metetra
.714 .319 .299 r
.6043 .64598 .60742 .63356 .61612 .64529 .61303 .65778 Metetra
.712 .317 .298 r
.61303 .65778 .61612 .64529 .62485 .65692 .62179 .66947 Metetra
.709 .314 .297 r
.62179 .66947 .62485 .65692 .63361 .66839 .63058 .681 Metetra
.706 .31 .295 r
.63058 .681 .63361 .66839 .6424 .67966 .63939 .69233 Metetra
.702 .306 .293 r
.63939 .69233 .6424 .67966 .65121 .69067 .64823 .7034 Metetra
.698 .301 .291 r
.64823 .7034 .65121 .69067 .66005 .70137 .6571 .71417 Metetra
.693 .295 .288 r
.6571 .71417 .66005 .70137 .66892 .71172 .66599 .72458 Metetra
.687 .288 .285 r
.66599 .72458 .66892 .71172 .67781 .72167 .67491 .73458 Metetra
.68 .28 .282 r
.67491 .73458 .67781 .72167 .68673 .73118 .68386 .74414 Metetra
.673 .272 .278 r
.68386 .74414 .68673 .73118 .69567 .74019 .69283 .7532 Metetra
.664 .263 .275 r
.69283 .7532 .69567 .74019 .70464 .74866 .70183 .76173 Metetra
.655 .253 .27 r
.70183 .76173 .70464 .74866 .71364 .75657 .71086 .76968 Metetra
.645 .242 .266 r
.71086 .76968 .71364 .75657 .72266 .76386 .71991 .77702 Metetra
.635 .231 .261 r
.71991 .77702 .72266 .76386 .7317 .7705 .72898 .78371 Metetra
.623 .218 .255 r
.72898 .78371 .7317 .7705 .74077 .77647 .73808 .78972 Metetra
.611 .205 .25 r
.73808 .78972 .74077 .77647 .74986 .78172 .7472 .79501 Metetra
.597 .191 .244 r
.7472 .79501 .74986 .78172 .75897 .78623 .75634 .79956 Metetra
.583 .177 .238 r
.75634 .79956 .75897 .78623 .7681 .78998 .76551 .80334 Metetra
.568 .162 .231 r
.76551 .80334 .7681 .78998 .77726 .79295 .77469 .80634 Metetra
.552 .146 .225 r
.77469 .80634 .77726 .79295 .78644 .79511 .7839 .80852 Metetra
.536 .13 .218 r
.7839 .80852 .78644 .79511 .79564 .79645 .79313 .80989 Metetra
.519 .113 .211 r
.79313 .80989 .79564 .79645 .80486 .79696 .80239 .81042 Metetra
.501 .095 .203 r
.80239 .81042 .80486 .79696 .8141 .79663 .81166 .81011 Metetra
.4 g
.25 Mabswid
.82683 .03676 m
.83222 .84483 L
s
.87285 .12053 m
.87871 .87799 L
s
.91339 .19431 m
.91957 .90713 L
s
.94937 .2598 m
.95576 .93295 L
s
.98152 .31832 m
.98804 .95598 L
s
.80675 .01926 m
.9936 .35457 L
s
.80804 .22666 m
.99524 .5111 L
s
.80934 .43609 m
.9969 .66878 L
s
.81065 .64757 m
.99856 .82761 L
s
0 g
.80663 0 m
.99345 .34002 L
s
.99345 .34002 m
1 .9645 L
s
1 .9645 m
.81178 .83025 L
s
.81178 .83025 m
.80663 0 L
s
.4 g
.00894 .17335 m
.80675 .01926 L
s
.00665 .35746 m
.80804 .22666 L
s
.00434 .54316 m
.80934 .43609 L
s
.00201 .73047 m
.81065 .64757 L
s
.14013 .13058 m
.13307 .88197 L
s
.38358 .08288 m
.38069 .8631 L
s
.6467 .03133 m
.64868 .84268 L
s
0 g
.00915 .15624 m
0 .89211 L
s
0 .89211 m
.81178 .83025 L
s
.81178 .83025 m
.80663 0 L
s
.80663 0 m
.00915 .15624 L
s
.4 g
.13307 .88197 m
.46657 .99403 L
s
.38069 .8631 m
.6643 .98309 L
s
.64868 .84268 m
.87424 .97147 L
s
.03793 .90351 m
.83222 .84483 L
s
.12511 .92973 m
.87871 .87799 L
s
.20281 .9531 m
.91957 .90713 L
s
.27249 .97405 m
.95576 .93295 L
s
.33534 .99295 m
.98804 .95598 L
s
0 g
.00915 .15624 m
.80663 0 L
s
.14013 .13058 m
.13999 .14575 L
s
[(-2)] .14041 .10025 -0.02102 1 Mshowa
.38358 .08288 m
.38352 .09805 L
s
[(0)] .38369 .05255 -0.00829 1 Mshowa
.6467 .03133 m
.64673 .0465 L
s
[(2)] .64662 .001 .00549 1 Mshowa
.125 Mabswid
.19927 .11899 m
.1992 .12809 L
s
.25954 .10719 m
.25948 .11629 L
s
.32096 .09515 m
.32091 .10425 L
s
.44742 .07038 m
.4474 .07948 L
s
.51253 .05762 m
.51253 .06672 L
s
.57894 .04461 m
.57895 .05371 L
s
.08208 .14195 m
.08198 .15105 L
s
.0251 .15312 m
.02499 .16221 L
s
.71583 .01779 m
.71587 .02689 L
s
.78639 .00397 m
.78644 .01307 L
s
gsave
.38425 -0.09915 -65.9585 -16.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
69.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
0 .89211 m
.35878 1 L
s
.03793 .90351 m
.0381 .88835 L
s
[(-5)] .03758 .93384 .0259 -1 Mshowa
.12511 .92973 m
.12526 .91456 L
s
[(-2.5)] .12482 .96006 .0214 -1 Mshowa
.20281 .9531 m
.20293 .93793 L
s
[(0)] .20258 .98343 .0174 -1 Mshowa
.27249 .97405 m
.27259 .95888 L
s
[(2.5)] .27231 1.00439 .01382 -1 Mshowa
.33534 .99295 m
.33541 .97778 L
s
[(5)] .33519 1.02329 .01059 -1 Mshowa
.125 Mabswid
.05621 .90901 m
.05631 .89991 L
s
.07405 .91437 m
.07415 .90527 L
s
.09147 .91961 m
.09157 .91051 L
s
.10849 .92473 m
.10858 .91563 L
s
.14136 .93462 m
.14144 .92552 L
s
.15724 .93939 m
.15732 .93029 L
s
.17277 .94406 m
.17285 .93496 L
s
.18796 .94863 m
.18803 .93953 L
s
.21735 .95747 m
.21742 .94837 L
s
.23158 .96175 m
.23164 .95264 L
s
.2455 .96593 m
.24556 .95683 L
s
.25914 .97003 m
.2592 .96093 L
s
.28558 .97799 m
.28563 .96888 L
s
.29839 .98184 m
.29844 .97274 L
s
.31096 .98562 m
.311 .97652 L
s
.32327 .98932 m
.32331 .98022 L
s
.0192 .89788 m
.01931 .88878 L
s
.34717 .99651 m
.34721 .98741 L
s
gsave
.2014 1.13511 -69.1392 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.5625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
75.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(gra2 = 
        ContourPlot[Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
          AxesLabel \[Rule] {"\<\[Delta]\>", "\<\[Omega]\>", "\<H(\[Delta],\
\[Omega])\>"}, ColorFunction \[Rule] \((RGBColor[#, 1 - #,  .6] &)\), 
          PlotPoints \[Rule] 100, Contours \[Rule] 60, PlotRange \[Rule] All, 
          AspectRatio \[Rule] 1];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.153034 0.5 0.0801282 [
[.0409 -0.0125 -6 -9 ]
[.0409 -0.0125 6 0 ]
[.19393 -0.0125 -6 -9 ]
[.19393 -0.0125 6 0 ]
[.34697 -0.0125 -6 -9 ]
[.34697 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.65303 -0.0125 -3 -9 ]
[.65303 -0.0125 3 0 ]
[.80607 -0.0125 -3 -9 ]
[.80607 -0.0125 3 0 ]
[.9591 -0.0125 -3 -9 ]
[.9591 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01923 -12 -4.5 ]
[-0.0125 .01923 0 4.5 ]
[-0.0125 .17949 -12 -4.5 ]
[-0.0125 .17949 0 4.5 ]
[-0.0125 .33974 -12 -4.5 ]
[-0.0125 .33974 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .66026 -6 -4.5 ]
[-0.0125 .66026 0 4.5 ]
[-0.0125 .82051 -6 -4.5 ]
[-0.0125 .82051 0 4.5 ]
[-0.0125 .98077 -6 -4.5 ]
[-0.0125 .98077 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.0409 0 m
.0409 .00625 L
s
[(-3)] .0409 -0.0125 0 1 Mshowa
.19393 0 m
.19393 .00625 L
s
[(-2)] .19393 -0.0125 0 1 Mshowa
.34697 0 m
.34697 .00625 L
s
[(-1)] .34697 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.65303 0 m
.65303 .00625 L
s
[(1)] .65303 -0.0125 0 1 Mshowa
.80607 0 m
.80607 .00625 L
s
[(2)] .80607 -0.0125 0 1 Mshowa
.9591 0 m
.9591 .00625 L
s
[(3)] .9591 -0.0125 0 1 Mshowa
.125 Mabswid
.07151 0 m
.07151 .00375 L
s
.10211 0 m
.10211 .00375 L
s
.13272 0 m
.13272 .00375 L
s
.16333 0 m
.16333 .00375 L
s
.22454 0 m
.22454 .00375 L
s
.25515 0 m
.25515 .00375 L
s
.28575 0 m
.28575 .00375 L
s
.31636 0 m
.31636 .00375 L
s
.37757 0 m
.37757 .00375 L
s
.40818 0 m
.40818 .00375 L
s
.43879 0 m
.43879 .00375 L
s
.46939 0 m
.46939 .00375 L
s
.53061 0 m
.53061 .00375 L
s
.56121 0 m
.56121 .00375 L
s
.59182 0 m
.59182 .00375 L
s
.62243 0 m
.62243 .00375 L
s
.68364 0 m
.68364 .00375 L
s
.71425 0 m
.71425 .00375 L
s
.74485 0 m
.74485 .00375 L
s
.77546 0 m
.77546 .00375 L
s
.83667 0 m
.83667 .00375 L
s
.86728 0 m
.86728 .00375 L
s
.89789 0 m
.89789 .00375 L
s
.92849 0 m
.92849 .00375 L
s
.01029 0 m
.01029 .00375 L
s
.98971 0 m
.98971 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01923 m
.00625 .01923 L
s
[(-6)] -0.0125 .01923 1 0 Mshowa
0 .17949 m
.00625 .17949 L
s
[(-4)] -0.0125 .17949 1 0 Mshowa
0 .33974 m
.00625 .33974 L
s
[(-2)] -0.0125 .33974 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .66026 m
.00625 .66026 L
s
[(2)] -0.0125 .66026 1 0 Mshowa
0 .82051 m
.00625 .82051 L
s
[(4)] -0.0125 .82051 1 0 Mshowa
0 .98077 m
.00625 .98077 L
s
[(6)] -0.0125 .98077 1 0 Mshowa
.125 Mabswid
0 .05929 m
.00375 .05929 L
s
0 .09936 m
.00375 .09936 L
s
0 .13942 m
.00375 .13942 L
s
0 .21955 m
.00375 .21955 L
s
0 .25962 m
.00375 .25962 L
s
0 .29968 m
.00375 .29968 L
s
0 .37981 m
.00375 .37981 L
s
0 .41987 m
.00375 .41987 L
s
0 .45994 m
.00375 .45994 L
s
0 .54006 m
.00375 .54006 L
s
0 .58013 m
.00375 .58013 L
s
0 .62019 m
.00375 .62019 L
s
0 .70032 m
.00375 .70032 L
s
0 .74038 m
.00375 .74038 L
s
0 .78045 m
.00375 .78045 L
s
0 .86058 m
.00375 .86058 L
s
0 .90064 m
.00375 .90064 L
s
0 .94071 m
.00375 .94071 L
s
.25 Mabswid
0 0 m
0 1 L
s
.0409 .99375 m
.0409 1 L
s
.19393 .99375 m
.19393 1 L
s
.34697 .99375 m
.34697 1 L
s
.5 .99375 m
.5 1 L
s
.65303 .99375 m
.65303 1 L
s
.80607 .99375 m
.80607 1 L
s
.9591 .99375 m
.9591 1 L
s
.125 Mabswid
.07151 .99625 m
.07151 1 L
s
.10211 .99625 m
.10211 1 L
s
.13272 .99625 m
.13272 1 L
s
.16333 .99625 m
.16333 1 L
s
.22454 .99625 m
.22454 1 L
s
.25515 .99625 m
.25515 1 L
s
.28575 .99625 m
.28575 1 L
s
.31636 .99625 m
.31636 1 L
s
.37757 .99625 m
.37757 1 L
s
.40818 .99625 m
.40818 1 L
s
.43879 .99625 m
.43879 1 L
s
.46939 .99625 m
.46939 1 L
s
.53061 .99625 m
.53061 1 L
s
.56121 .99625 m
.56121 1 L
s
.59182 .99625 m
.59182 1 L
s
.62243 .99625 m
.62243 1 L
s
.68364 .99625 m
.68364 1 L
s
.71425 .99625 m
.71425 1 L
s
.74485 .99625 m
.74485 1 L
s
.77546 .99625 m
.77546 1 L
s
.83667 .99625 m
.83667 1 L
s
.86728 .99625 m
.86728 1 L
s
.89789 .99625 m
.89789 1 L
s
.92849 .99625 m
.92849 1 L
s
.01029 .99625 m
.01029 1 L
s
.98971 .99625 m
.98971 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01923 m
1 .01923 L
s
.99375 .17949 m
1 .17949 L
s
.99375 .33974 m
1 .33974 L
s
.99375 .5 m
1 .5 L
s
.99375 .66026 m
1 .66026 L
s
.99375 .82051 m
1 .82051 L
s
.99375 .98077 m
1 .98077 L
s
.125 Mabswid
.99625 .05929 m
1 .05929 L
s
.99625 .09936 m
1 .09936 L
s
.99625 .13942 m
1 .13942 L
s
.99625 .21955 m
1 .21955 L
s
.99625 .25962 m
1 .25962 L
s
.99625 .29968 m
1 .29968 L
s
.99625 .37981 m
1 .37981 L
s
.99625 .41987 m
1 .41987 L
s
.99625 .45994 m
1 .45994 L
s
.99625 .54006 m
1 .54006 L
s
.99625 .58013 m
1 .58013 L
s
.99625 .62019 m
1 .62019 L
s
.99625 .70032 m
1 .70032 L
s
.99625 .74038 m
1 .74038 L
s
.99625 .78045 m
1 .78045 L
s
.99625 .86058 m
1 .86058 L
s
.99625 .90064 m
1 .90064 L
s
.99625 .94071 m
1 .94071 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.517 .483 .6 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
0 g
.5 Mabswid
.533 .467 .6 r
.01923 .45401 m
.02894 .45132 L
.03583 .44658 L
.03866 .44407 L
.04587 .43687 L
.04837 .43374 L
.05385 .42716 L
.05808 .42157 L
.06121 .41744 L
.06779 .40833 L
.06823 .40773 L
.07506 .39802 L
.07751 .39447 L
.08175 .38831 L
.08722 .38024 L
.08834 .37859 L
.09488 .36888 L
.09693 .36582 L
.10139 .35917 L
.10664 .3513 L
.10788 .34946 L
.11437 .33974 L
.11636 .33677 L
.12087 .33003 L
.12607 .32228 L
.12739 .32032 L
.13393 .31061 L
.13578 .30787 L
.14051 .30089 L
.14549 .29357 L
.14713 .29118 L
.1538 .28147 L
.15521 .27943 L
.16052 .27176 L
.16492 .26545 L
.16731 .26204 L
.17416 .25233 L
.17463 .25167 L
.18109 .24262 L
.18434 .2381 L
.18811 .23291 L
.19406 .22477 L
.19521 .22319 L
.20242 .21348 L
.20377 .21168 L
.20974 .20377 L
.21348 .19887 L
.21718 .19406 L
.22319 .18634 L
.22476 .18434 L
.23248 .17463 L
.23291 .1741 L
.24037 .16492 L
.24262 .16218 L
.24843 .15521 L
.25233 .15059 L
.25669 .14549 L
.26204 .13933 L
.26517 .13578 L
.27176 .12843 L
.2739 .12607 L
.28147 .11789 L
.28291 .11636 L
.29118 .10772 L
.29223 .10664 L
.30089 .09794 L
.30192 .09693 L
.31061 .08856 L
.31203 .08722 L
.32032 .07958 L
.32263 .07751 L
.33003 .07102 L
.33382 .06779 L
.33974 .06289 L
.34574 .05808 L
.34946 .05518 L
.35856 .04837 L
.35917 .04792 L
.36888 .04111 L
.37255 .03866 L
.37859 .03476 L
.38818 .02894 L
.38831 .02887 L
.39802 .02345 L
.40623 .01923 L
.01923 .01923 L
F
0 g
.01923 .45401 m
.02894 .45132 L
.03583 .44658 L
.03866 .44407 L
.04587 .43687 L
.04837 .43374 L
.05385 .42716 L
.05808 .42157 L
.06121 .41744 L
.06779 .40833 L
.06823 .40773 L
.07506 .39802 L
.07751 .39447 L
.08175 .38831 L
.08722 .38024 L
.08834 .37859 L
.09488 .36888 L
.09693 .36582 L
.10139 .35917 L
.10664 .3513 L
.10788 .34946 L
.11437 .33974 L
.11636 .33677 L
.12087 .33003 L
.12607 .32228 L
.12739 .32032 L
.13393 .31061 L
.13578 .30787 L
.14051 .30089 L
.14549 .29357 L
.14713 .29118 L
.1538 .28147 L
.15521 .27943 L
.16052 .27176 L
.16492 .26545 L
.16731 .26204 L
.17416 .25233 L
.17463 .25167 L
.18109 .24262 L
.18434 .2381 L
.18811 .23291 L
.19406 .22477 L
.19521 .22319 L
.20242 .21348 L
.20377 .21168 L
.20974 .20377 L
.21348 .19887 L
.21718 .19406 L
.22319 .18634 L
.22476 .18434 L
Mistroke
.23248 .17463 L
.23291 .1741 L
.24037 .16492 L
.24262 .16218 L
.24843 .15521 L
.25233 .15059 L
.25669 .14549 L
.26204 .13933 L
.26517 .13578 L
.27176 .12843 L
.2739 .12607 L
.28147 .11789 L
.28291 .11636 L
.29118 .10772 L
.29223 .10664 L
.30089 .09794 L
.30192 .09693 L
.31061 .08856 L
.31203 .08722 L
.32032 .07958 L
.32263 .07751 L
.33003 .07102 L
.33382 .06779 L
.33974 .06289 L
.34574 .05808 L
.34946 .05518 L
.35856 .04837 L
.35917 .04792 L
.36888 .04111 L
.37255 .03866 L
.37859 .03476 L
.38818 .02894 L
.38831 .02887 L
.39802 .02345 L
.40623 .01923 L
Mfstroke
.533 .467 .6 r
.01923 .54599 m
.02894 .54868 L
.03583 .55342 L
.03866 .55593 L
.04587 .56313 L
.04837 .56626 L
.05385 .57284 L
.05808 .57843 L
.06121 .58256 L
.06779 .59167 L
.06823 .59227 L
.07506 .60198 L
.07751 .60553 L
.08175 .61169 L
.08722 .61976 L
.08834 .62141 L
.09488 .63112 L
.09693 .63418 L
.10139 .64083 L
.10664 .6487 L
.10788 .65054 L
.11437 .66026 L
.11636 .66323 L
.12087 .66997 L
.12607 .67772 L
.12739 .67968 L
.13393 .68939 L
.13578 .69213 L
.14051 .69911 L
.14549 .70643 L
.14713 .70882 L
.1538 .71853 L
.15521 .72057 L
.16052 .72824 L
.16492 .73455 L
.16731 .73796 L
.17416 .74767 L
.17463 .74833 L
.18109 .75738 L
.18434 .7619 L
.18811 .76709 L
.19406 .77523 L
.19521 .77681 L
.20242 .78652 L
.20377 .78832 L
.20974 .79623 L
.21348 .80113 L
.21718 .80594 L
.22319 .81366 L
.22476 .81566 L
.23248 .82537 L
.23291 .8259 L
.24037 .83508 L
.24262 .83782 L
.24843 .84479 L
.25233 .84941 L
.25669 .85451 L
.26204 .86067 L
.26517 .86422 L
.27176 .87157 L
.2739 .87393 L
.28147 .88211 L
.28291 .88364 L
.29118 .89228 L
.29223 .89336 L
.30089 .90206 L
.30192 .90307 L
.31061 .91144 L
.31203 .91278 L
.32032 .92042 L
.32263 .92249 L
.33003 .92898 L
.33382 .93221 L
.33974 .93711 L
.34574 .94192 L
.34946 .94482 L
.35856 .95163 L
.35917 .95208 L
.36888 .95889 L
.37255 .96134 L
.37859 .96524 L
.38818 .97106 L
.38831 .97113 L
.39802 .97655 L
.40623 .98077 L
.01923 .98077 L
F
0 g
.01923 .54599 m
.02894 .54868 L
.03583 .55342 L
.03866 .55593 L
.04587 .56313 L
.04837 .56626 L
.05385 .57284 L
.05808 .57843 L
.06121 .58256 L
.06779 .59167 L
.06823 .59227 L
.07506 .60198 L
.07751 .60553 L
.08175 .61169 L
.08722 .61976 L
.08834 .62141 L
.09488 .63112 L
.09693 .63418 L
.10139 .64083 L
.10664 .6487 L
.10788 .65054 L
.11437 .66026 L
.11636 .66323 L
.12087 .66997 L
.12607 .67772 L
.12739 .67968 L
.13393 .68939 L
.13578 .69213 L
.14051 .69911 L
.14549 .70643 L
.14713 .70882 L
.1538 .71853 L
.15521 .72057 L
.16052 .72824 L
.16492 .73455 L
.16731 .73796 L
.17416 .74767 L
.17463 .74833 L
.18109 .75738 L
.18434 .7619 L
.18811 .76709 L
.19406 .77523 L
.19521 .77681 L
.20242 .78652 L
.20377 .78832 L
.20974 .79623 L
.21348 .80113 L
.21718 .80594 L
.22319 .81366 L
.22476 .81566 L
Mistroke
.23248 .82537 L
.23291 .8259 L
.24037 .83508 L
.24262 .83782 L
.24843 .84479 L
.25233 .84941 L
.25669 .85451 L
.26204 .86067 L
.26517 .86422 L
.27176 .87157 L
.2739 .87393 L
.28147 .88211 L
.28291 .88364 L
.29118 .89228 L
.29223 .89336 L
.30089 .90206 L
.30192 .90307 L
.31061 .91144 L
.31203 .91278 L
.32032 .92042 L
.32263 .92249 L
.33003 .92898 L
.33382 .93221 L
.33974 .93711 L
.34574 .94192 L
.34946 .94482 L
.35856 .95163 L
.35917 .95208 L
.36888 .95889 L
.37255 .96134 L
.37859 .96524 L
.38818 .97106 L
.38831 .97113 L
.39802 .97655 L
.40623 .98077 L
Mfstroke
.55 .45 .6 r
.01923 .39789 m
.02894 .39665 L
.03866 .39304 L
.04701 .38831 L
.04837 .38729 L
.05808 .37973 L
.05941 .37859 L
.06779 .37071 L
.06962 .36888 L
.07751 .36053 L
.07875 .35917 L
.08722 .34948 L
.08724 .34946 L
.09533 .33974 L
.09693 .33777 L
.10314 .33003 L
.10664 .32557 L
.11074 .32032 L
.11636 .31303 L
.11821 .31061 L
.12559 .30089 L
.12607 .30025 L
.1329 .29118 L
.13578 .28733 L
.14017 .28147 L
.14549 .27433 L
.14742 .27176 L
.15467 .26204 L
.15521 .26132 L
.16193 .25233 L
.16492 .24835 L
.16923 .24262 L
.17463 .23546 L
.17656 .23291 L
.18395 .22319 L
.18434 .22268 L
.19141 .21348 L
.19406 .21006 L
.19894 .20377 L
.20377 .19761 L
.20657 .19406 L
.21348 .18537 L
.2143 .18434 L
.22215 .17463 L
.22319 .17335 L
.23013 .16492 L
.23291 .16159 L
.23827 .15521 L
.24262 .15009 L
.24657 .14549 L
.25233 .13889 L
.25507 .13578 L
.26204 .12798 L
.26378 .12607 L
.27176 .1174 L
.27273 .11636 L
.28147 .10716 L
.28196 .10664 L
.29118 .09726 L
.29151 .09693 L
.30089 .08773 L
.30143 .08722 L
.31061 .07858 L
.31177 .07751 L
.32032 .06981 L
.32261 .06779 L
.33003 .06144 L
.33406 .05808 L
.33974 .05348 L
.34626 .04837 L
.34946 .04593 L
.35917 .03882 L
.3594 .03866 L
.36888 .03214 L
.37378 .02894 L
.37859 .02591 L
.38831 .02013 L
.38988 .01923 L
.01923 .01923 L
F
0 g
.01923 .39789 m
.02894 .39665 L
.03866 .39304 L
.04701 .38831 L
.04837 .38729 L
.05808 .37973 L
.05941 .37859 L
.06779 .37071 L
.06962 .36888 L
.07751 .36053 L
.07875 .35917 L
.08722 .34948 L
.08724 .34946 L
.09533 .33974 L
.09693 .33777 L
.10314 .33003 L
.10664 .32557 L
.11074 .32032 L
.11636 .31303 L
.11821 .31061 L
.12559 .30089 L
.12607 .30025 L
.1329 .29118 L
.13578 .28733 L
.14017 .28147 L
.14549 .27433 L
.14742 .27176 L
.15467 .26204 L
.15521 .26132 L
.16193 .25233 L
.16492 .24835 L
.16923 .24262 L
.17463 .23546 L
.17656 .23291 L
.18395 .22319 L
.18434 .22268 L
.19141 .21348 L
.19406 .21006 L
.19894 .20377 L
.20377 .19761 L
.20657 .19406 L
.21348 .18537 L
.2143 .18434 L
.22215 .17463 L
.22319 .17335 L
.23013 .16492 L
.23291 .16159 L
.23827 .15521 L
.24262 .15009 L
.24657 .14549 L
Mistroke
.25233 .13889 L
.25507 .13578 L
.26204 .12798 L
.26378 .12607 L
.27176 .1174 L
.27273 .11636 L
.28147 .10716 L
.28196 .10664 L
.29118 .09726 L
.29151 .09693 L
.30089 .08773 L
.30143 .08722 L
.31061 .07858 L
.31177 .07751 L
.32032 .06981 L
.32261 .06779 L
.33003 .06144 L
.33406 .05808 L
.33974 .05348 L
.34626 .04837 L
.34946 .04593 L
.35917 .03882 L
.3594 .03866 L
.36888 .03214 L
.37378 .02894 L
.37859 .02591 L
.38831 .02013 L
.38988 .01923 L
Mfstroke
.55 .45 .6 r
.01923 .60211 m
.02894 .60335 L
.03866 .60696 L
.04701 .61169 L
.04837 .61271 L
.05808 .62027 L
.05941 .62141 L
.06779 .62929 L
.06962 .63112 L
.07751 .63947 L
.07875 .64083 L
.08722 .65052 L
.08724 .65054 L
.09533 .66026 L
.09693 .66223 L
.10314 .66997 L
.10664 .67443 L
.11074 .67968 L
.11636 .68697 L
.11821 .68939 L
.12559 .69911 L
.12607 .69975 L
.1329 .70882 L
.13578 .71267 L
.14017 .71853 L
.14549 .72567 L
.14742 .72824 L
.15467 .73796 L
.15521 .73868 L
.16193 .74767 L
.16492 .75165 L
.16923 .75738 L
.17463 .76454 L
.17656 .76709 L
.18395 .77681 L
.18434 .77732 L
.19141 .78652 L
.19406 .78994 L
.19894 .79623 L
.20377 .80239 L
.20657 .80594 L
.21348 .81463 L
.2143 .81566 L
.22215 .82537 L
.22319 .82665 L
.23013 .83508 L
.23291 .83841 L
.23827 .84479 L
.24262 .84991 L
.24657 .85451 L
.25233 .86111 L
.25507 .86422 L
.26204 .87202 L
.26378 .87393 L
.27176 .8826 L
.27273 .88364 L
.28147 .89284 L
.28196 .89336 L
.29118 .90274 L
.29151 .90307 L
.30089 .91227 L
.30143 .91278 L
.31061 .92142 L
.31177 .92249 L
.32032 .93019 L
.32261 .93221 L
.33003 .93856 L
.33406 .94192 L
.33974 .94652 L
.34626 .95163 L
.34946 .95407 L
.35917 .96118 L
.3594 .96134 L
.36888 .96786 L
.37378 .97106 L
.37859 .97409 L
.38831 .97987 L
.38988 .98077 L
.01923 .98077 L
F
0 g
.01923 .60211 m
.02894 .60335 L
.03866 .60696 L
.04701 .61169 L
.04837 .61271 L
.05808 .62027 L
.05941 .62141 L
.06779 .62929 L
.06962 .63112 L
.07751 .63947 L
.07875 .64083 L
.08722 .65052 L
.08724 .65054 L
.09533 .66026 L
.09693 .66223 L
.10314 .66997 L
.10664 .67443 L
.11074 .67968 L
.11636 .68697 L
.11821 .68939 L
.12559 .69911 L
.12607 .69975 L
.1329 .70882 L
.13578 .71267 L
.14017 .71853 L
.14549 .72567 L
.14742 .72824 L
.15467 .73796 L
.15521 .73868 L
.16193 .74767 L
.16492 .75165 L
.16923 .75738 L
.17463 .76454 L
.17656 .76709 L
.18395 .77681 L
.18434 .77732 L
.19141 .78652 L
.19406 .78994 L
.19894 .79623 L
.20377 .80239 L
.20657 .80594 L
.21348 .81463 L
.2143 .81566 L
.22215 .82537 L
.22319 .82665 L
.23013 .83508 L
.23291 .83841 L
.23827 .84479 L
.24262 .84991 L
.24657 .85451 L
Mistroke
.25233 .86111 L
.25507 .86422 L
.26204 .87202 L
.26378 .87393 L
.27176 .8826 L
.27273 .88364 L
.28147 .89284 L
.28196 .89336 L
.29118 .90274 L
.29151 .90307 L
.30089 .91227 L
.30143 .91278 L
.31061 .92142 L
.31177 .92249 L
.32032 .93019 L
.32261 .93221 L
.33003 .93856 L
.33406 .94192 L
.33974 .94652 L
.34626 .95163 L
.34946 .95407 L
.35917 .96118 L
.3594 .96134 L
.36888 .96786 L
.37378 .97106 L
.37859 .97409 L
.38831 .97987 L
.38988 .98077 L
Mfstroke
.567 .433 .6 r
.01923 .3631 m
.02894 .36218 L
.03866 .35945 L
.03947 .35917 L
.04837 .35503 L
.05754 .34946 L
.05808 .34908 L
.06779 .34179 L
.07029 .33974 L
.07751 .33337 L
.08109 .33003 L
.08722 .32402 L
.09086 .32032 L
.09693 .3139 L
.09997 .31061 L
.10664 .30318 L
.10866 .30089 L
.11636 .29198 L
.11704 .29118 L
.1252 .28147 L
.12607 .28043 L
.13321 .27176 L
.13578 .26861 L
.14111 .26204 L
.14549 .25661 L
.14893 .25233 L
.15521 .2445 L
.15671 .24262 L
.16447 .23291 L
.16492 .23234 L
.17223 .22319 L
.17463 .22018 L
.18 .21348 L
.18434 .20808 L
.18782 .20377 L
.19406 .19606 L
.19568 .19406 L
.20362 .18434 L
.20377 .18416 L
.21164 .17463 L
.21348 .17242 L
.21977 .16492 L
.22319 .16086 L
.22801 .15521 L
.23291 .14952 L
.2364 .14549 L
.24262 .13841 L
.24495 .13578 L
.25233 .12755 L
.25368 .12607 L
.26204 .11697 L
.26262 .11636 L
.27176 .10669 L
.2718 .10664 L
.28125 .09693 L
.28147 .09671 L
.29103 .08722 L
.29118 .08707 L
.30089 .07777 L
.30117 .07751 L
.31061 .06882 L
.31175 .06779 L
.32032 .06025 L
.32285 .05808 L
.33003 .05206 L
.33457 .04837 L
.33974 .04426 L
.34706 .03866 L
.34946 .03687 L
.35917 .02989 L
.36054 .02894 L
.36888 .02334 L
.37532 .01923 L
.01923 .01923 L
F
0 g
.01923 .3631 m
.02894 .36218 L
.03866 .35945 L
.03947 .35917 L
.04837 .35503 L
.05754 .34946 L
.05808 .34908 L
.06779 .34179 L
.07029 .33974 L
.07751 .33337 L
.08109 .33003 L
.08722 .32402 L
.09086 .32032 L
.09693 .3139 L
.09997 .31061 L
.10664 .30318 L
.10866 .30089 L
.11636 .29198 L
.11704 .29118 L
.1252 .28147 L
.12607 .28043 L
.13321 .27176 L
.13578 .26861 L
.14111 .26204 L
.14549 .25661 L
.14893 .25233 L
.15521 .2445 L
.15671 .24262 L
.16447 .23291 L
.16492 .23234 L
.17223 .22319 L
.17463 .22018 L
.18 .21348 L
.18434 .20808 L
.18782 .20377 L
.19406 .19606 L
.19568 .19406 L
.20362 .18434 L
.20377 .18416 L
.21164 .17463 L
.21348 .17242 L
.21977 .16492 L
.22319 .16086 L
.22801 .15521 L
.23291 .14952 L
.2364 .14549 L
.24262 .13841 L
.24495 .13578 L
.25233 .12755 L
.25368 .12607 L
Mistroke
.26204 .11697 L
.26262 .11636 L
.27176 .10669 L
.2718 .10664 L
.28125 .09693 L
.28147 .09671 L
.29103 .08722 L
.29118 .08707 L
.30089 .07777 L
.30117 .07751 L
.31061 .06882 L
.31175 .06779 L
.32032 .06025 L
.32285 .05808 L
.33003 .05206 L
.33457 .04837 L
.33974 .04426 L
.34706 .03866 L
.34946 .03687 L
.35917 .02989 L
.36054 .02894 L
.36888 .02334 L
.37532 .01923 L
Mfstroke
.567 .433 .6 r
.01923 .6369 m
.02894 .63782 L
.03866 .64055 L
.03947 .64083 L
.04837 .64497 L
.05754 .65054 L
.05808 .65092 L
.06779 .65821 L
.07029 .66026 L
.07751 .66663 L
.08109 .66997 L
.08722 .67598 L
.09086 .67968 L
.09693 .6861 L
.09997 .68939 L
.10664 .69682 L
.10866 .69911 L
.11636 .70802 L
.11704 .70882 L
.1252 .71853 L
.12607 .71957 L
.13321 .72824 L
.13578 .73139 L
.14111 .73796 L
.14549 .74339 L
.14893 .74767 L
.15521 .7555 L
.15671 .75738 L
.16447 .76709 L
.16492 .76766 L
.17223 .77681 L
.17463 .77982 L
.18 .78652 L
.18434 .79192 L
.18782 .79623 L
.19406 .80394 L
.19568 .80594 L
.20362 .81566 L
.20377 .81584 L
.21164 .82537 L
.21348 .82758 L
.21977 .83508 L
.22319 .83914 L
.22801 .84479 L
.23291 .85048 L
.2364 .85451 L
.24262 .86159 L
.24495 .86422 L
.25233 .87245 L
.25368 .87393 L
.26204 .88303 L
.26262 .88364 L
.27176 .89331 L
.2718 .89336 L
.28125 .90307 L
.28147 .90329 L
.29103 .91278 L
.29118 .91293 L
.30089 .92223 L
.30117 .92249 L
.31061 .93118 L
.31175 .93221 L
.32032 .93975 L
.32285 .94192 L
.33003 .94794 L
.33457 .95163 L
.33974 .95574 L
.34706 .96134 L
.34946 .96313 L
.35917 .97011 L
.36054 .97106 L
.36888 .97666 L
.37532 .98077 L
.01923 .98077 L
F
0 g
.01923 .6369 m
.02894 .63782 L
.03866 .64055 L
.03947 .64083 L
.04837 .64497 L
.05754 .65054 L
.05808 .65092 L
.06779 .65821 L
.07029 .66026 L
.07751 .66663 L
.08109 .66997 L
.08722 .67598 L
.09086 .67968 L
.09693 .6861 L
.09997 .68939 L
.10664 .69682 L
.10866 .69911 L
.11636 .70802 L
.11704 .70882 L
.1252 .71853 L
.12607 .71957 L
.13321 .72824 L
.13578 .73139 L
.14111 .73796 L
.14549 .74339 L
.14893 .74767 L
.15521 .7555 L
.15671 .75738 L
.16447 .76709 L
.16492 .76766 L
.17223 .77681 L
.17463 .77982 L
.18 .78652 L
.18434 .79192 L
.18782 .79623 L
.19406 .80394 L
.19568 .80594 L
.20362 .81566 L
.20377 .81584 L
.21164 .82537 L
.21348 .82758 L
.21977 .83508 L
.22319 .83914 L
.22801 .84479 L
.23291 .85048 L
.2364 .85451 L
.24262 .86159 L
.24495 .86422 L
.25233 .87245 L
.25368 .87393 L
Mistroke
.26204 .88303 L
.26262 .88364 L
.27176 .89331 L
.2718 .89336 L
.28125 .90307 L
.28147 .90329 L
.29103 .91278 L
.29118 .91293 L
.30089 .92223 L
.30117 .92249 L
.31061 .93118 L
.31175 .93221 L
.32032 .93975 L
.32285 .94192 L
.33003 .94794 L
.33457 .95163 L
.33974 .95574 L
.34706 .96134 L
.34946 .96313 L
.35917 .97011 L
.36054 .97106 L
.36888 .97666 L
.37532 .98077 L
Mfstroke
.583 .417 .6 r
.01923 .33552 m
.02894 .33475 L
.03866 .33246 L
.04561 .33003 L
.04837 .32874 L
.05808 .32367 L
.06352 .32032 L
.06779 .3174 L
.07683 .31061 L
.07751 .31006 L
.08722 .3018 L
.08823 .30089 L
.09693 .29277 L
.09857 .29118 L
.10664 .28309 L
.10821 .28147 L
.11636 .27288 L
.1174 .27176 L
.12607 .26225 L
.12625 .26204 L
.13487 .25233 L
.13578 .25129 L
.14332 .24262 L
.14549 .24009 L
.15164 .23291 L
.15521 .22872 L
.15989 .22319 L
.16492 .21724 L
.16808 .21348 L
.17463 .2057 L
.17626 .20377 L
.18434 .19417 L
.18444 .19406 L
.19264 .18434 L
.19406 .18268 L
.20089 .17463 L
.20377 .17126 L
.20921 .16492 L
.21348 .15997 L
.21761 .15521 L
.22319 .14882 L
.22612 .14549 L
.23291 .13785 L
.23476 .13578 L
.24262 .12709 L
.24355 .12607 L
.25233 .11655 L
.25252 .11636 L
.26169 .10664 L
.26204 .10627 L
.27109 .09693 L
.27176 .09626 L
.28078 .08722 L
.28147 .08654 L
.29078 .07751 L
.29118 .07712 L
.30089 .06804 L
.30116 .06779 L
.31061 .05929 L
.31198 .05808 L
.32032 .0509 L
.32333 .04837 L
.33003 .04287 L
.33533 .03866 L
.33974 .03523 L
.34813 .02894 L
.34946 .02798 L
.35917 .02113 L
.36197 .01923 L
.01923 .01923 L
F
0 g
.01923 .33552 m
.02894 .33475 L
.03866 .33246 L
.04561 .33003 L
.04837 .32874 L
.05808 .32367 L
.06352 .32032 L
.06779 .3174 L
.07683 .31061 L
.07751 .31006 L
.08722 .3018 L
.08823 .30089 L
.09693 .29277 L
.09857 .29118 L
.10664 .28309 L
.10821 .28147 L
.11636 .27288 L
.1174 .27176 L
.12607 .26225 L
.12625 .26204 L
.13487 .25233 L
.13578 .25129 L
.14332 .24262 L
.14549 .24009 L
.15164 .23291 L
.15521 .22872 L
.15989 .22319 L
.16492 .21724 L
.16808 .21348 L
.17463 .2057 L
.17626 .20377 L
.18434 .19417 L
.18444 .19406 L
.19264 .18434 L
.19406 .18268 L
.20089 .17463 L
.20377 .17126 L
.20921 .16492 L
.21348 .15997 L
.21761 .15521 L
.22319 .14882 L
.22612 .14549 L
.23291 .13785 L
.23476 .13578 L
.24262 .12709 L
.24355 .12607 L
.25233 .11655 L
.25252 .11636 L
.26169 .10664 L
.26204 .10627 L
Mistroke
.27109 .09693 L
.27176 .09626 L
.28078 .08722 L
.28147 .08654 L
.29078 .07751 L
.29118 .07712 L
.30089 .06804 L
.30116 .06779 L
.31061 .05929 L
.31198 .05808 L
.32032 .0509 L
.32333 .04837 L
.33003 .04287 L
.33533 .03866 L
.33974 .03523 L
.34813 .02894 L
.34946 .02798 L
.35917 .02113 L
.36197 .01923 L
Mfstroke
.583 .417 .6 r
.01923 .66448 m
.02894 .66525 L
.03866 .66754 L
.04561 .66997 L
.04837 .67126 L
.05808 .67633 L
.06352 .67968 L
.06779 .6826 L
.07683 .68939 L
.07751 .68994 L
.08722 .6982 L
.08823 .69911 L
.09693 .70723 L
.09857 .70882 L
.10664 .71691 L
.10821 .71853 L
.11636 .72712 L
.1174 .72824 L
.12607 .73775 L
.12625 .73796 L
.13487 .74767 L
.13578 .74871 L
.14332 .75738 L
.14549 .75991 L
.15164 .76709 L
.15521 .77128 L
.15989 .77681 L
.16492 .78276 L
.16808 .78652 L
.17463 .7943 L
.17626 .79623 L
.18434 .80583 L
.18444 .80594 L
.19264 .81566 L
.19406 .81732 L
.20089 .82537 L
.20377 .82874 L
.20921 .83508 L
.21348 .84003 L
.21761 .84479 L
.22319 .85118 L
.22612 .85451 L
.23291 .86215 L
.23476 .86422 L
.24262 .87291 L
.24355 .87393 L
.25233 .88345 L
.25252 .88364 L
.26169 .89336 L
.26204 .89373 L
.27109 .90307 L
.27176 .90374 L
.28078 .91278 L
.28147 .91346 L
.29078 .92249 L
.29118 .92288 L
.30089 .93196 L
.30116 .93221 L
.31061 .94071 L
.31198 .94192 L
.32032 .9491 L
.32333 .95163 L
.33003 .95713 L
.33533 .96134 L
.33974 .96477 L
.34813 .97106 L
.34946 .97202 L
.35917 .97887 L
.36197 .98077 L
.01923 .98077 L
F
0 g
.01923 .66448 m
.02894 .66525 L
.03866 .66754 L
.04561 .66997 L
.04837 .67126 L
.05808 .67633 L
.06352 .67968 L
.06779 .6826 L
.07683 .68939 L
.07751 .68994 L
.08722 .6982 L
.08823 .69911 L
.09693 .70723 L
.09857 .70882 L
.10664 .71691 L
.10821 .71853 L
.11636 .72712 L
.1174 .72824 L
.12607 .73775 L
.12625 .73796 L
.13487 .74767 L
.13578 .74871 L
.14332 .75738 L
.14549 .75991 L
.15164 .76709 L
.15521 .77128 L
.15989 .77681 L
.16492 .78276 L
.16808 .78652 L
.17463 .7943 L
.17626 .79623 L
.18434 .80583 L
.18444 .80594 L
.19264 .81566 L
.19406 .81732 L
.20089 .82537 L
.20377 .82874 L
.20921 .83508 L
.21348 .84003 L
.21761 .84479 L
.22319 .85118 L
.22612 .85451 L
.23291 .86215 L
.23476 .86422 L
.24262 .87291 L
.24355 .87393 L
.25233 .88345 L
.25252 .88364 L
.26169 .89336 L
.26204 .89373 L
Mistroke
.27109 .90307 L
.27176 .90374 L
.28078 .91278 L
.28147 .91346 L
.29078 .92249 L
.29118 .92288 L
.30089 .93196 L
.30116 .93221 L
.31061 .94071 L
.31198 .94192 L
.32032 .9491 L
.32333 .95163 L
.33003 .95713 L
.33533 .96134 L
.33974 .96477 L
.34813 .97106 L
.34946 .97202 L
.35917 .97887 L
.36197 .98077 L
Mfstroke
.6 .4 .6 r
.01923 .31194 m
.02894 .31126 L
.03289 .31061 L
.03866 .30926 L
.04837 .30598 L
.05808 .30149 L
.05923 .30089 L
.06779 .2959 L
.07489 .29118 L
.07751 .28931 L
.08722 .28183 L
.08767 .28147 L
.09693 .27359 L
.099 .27176 L
.10664 .2647 L
.10943 .26204 L
.11636 .25526 L
.11927 .25233 L
.12607 .24536 L
.1287 .24262 L
.13578 .2351 L
.13783 .23291 L
.14549 .22456 L
.14674 .22319 L
.15521 .2138 L
.1555 .21348 L
.16415 .20377 L
.16492 .2029 L
.17273 .19406 L
.17463 .1919 L
.18128 .18434 L
.18434 .18087 L
.18983 .17463 L
.19406 .16983 L
.1984 .16492 L
.20377 .15885 L
.20701 .15521 L
.21348 .14795 L
.21569 .14549 L
.22319 .13718 L
.22446 .13578 L
.23291 .12655 L
.23335 .12607 L
.24238 .11636 L
.24262 .1161 L
.25158 .10664 L
.25233 .10586 L
.26098 .09693 L
.26204 .09585 L
.27062 .08722 L
.27176 .08609 L
.28053 .07751 L
.28147 .0766 L
.29076 .06779 L
.29118 .0674 L
.30089 .05852 L
.30138 .05808 L
.31061 .04996 L
.31245 .04837 L
.32032 .04173 L
.32407 .03866 L
.33003 .03387 L
.33636 .02894 L
.33974 .02637 L
.34946 .01925 L
.34949 .01923 L
.01923 .01923 L
F
0 g
.01923 .31194 m
.02894 .31126 L
.03289 .31061 L
.03866 .30926 L
.04837 .30598 L
.05808 .30149 L
.05923 .30089 L
.06779 .2959 L
.07489 .29118 L
.07751 .28931 L
.08722 .28183 L
.08767 .28147 L
.09693 .27359 L
.099 .27176 L
.10664 .2647 L
.10943 .26204 L
.11636 .25526 L
.11927 .25233 L
.12607 .24536 L
.1287 .24262 L
.13578 .2351 L
.13783 .23291 L
.14549 .22456 L
.14674 .22319 L
.15521 .2138 L
.1555 .21348 L
.16415 .20377 L
.16492 .2029 L
.17273 .19406 L
.17463 .1919 L
.18128 .18434 L
.18434 .18087 L
.18983 .17463 L
.19406 .16983 L
.1984 .16492 L
.20377 .15885 L
.20701 .15521 L
.21348 .14795 L
.21569 .14549 L
.22319 .13718 L
.22446 .13578 L
.23291 .12655 L
.23335 .12607 L
.24238 .11636 L
.24262 .1161 L
.25158 .10664 L
.25233 .10586 L
.26098 .09693 L
.26204 .09585 L
.27062 .08722 L
Mistroke
.27176 .08609 L
.28053 .07751 L
.28147 .0766 L
.29076 .06779 L
.29118 .0674 L
.30089 .05852 L
.30138 .05808 L
.31061 .04996 L
.31245 .04837 L
.32032 .04173 L
.32407 .03866 L
.33003 .03387 L
.33636 .02894 L
.33974 .02637 L
.34946 .01925 L
.34949 .01923 L
Mfstroke
.6 .4 .6 r
.01923 .68806 m
.02894 .68874 L
.03289 .68939 L
.03866 .69074 L
.04837 .69402 L
.05808 .69851 L
.05923 .69911 L
.06779 .7041 L
.07489 .70882 L
.07751 .71069 L
.08722 .71817 L
.08767 .71853 L
.09693 .72641 L
.099 .72824 L
.10664 .7353 L
.10943 .73796 L
.11636 .74474 L
.11927 .74767 L
.12607 .75464 L
.1287 .75738 L
.13578 .7649 L
.13783 .76709 L
.14549 .77544 L
.14674 .77681 L
.15521 .7862 L
.1555 .78652 L
.16415 .79623 L
.16492 .7971 L
.17273 .80594 L
.17463 .8081 L
.18128 .81566 L
.18434 .81913 L
.18983 .82537 L
.19406 .83017 L
.1984 .83508 L
.20377 .84115 L
.20701 .84479 L
.21348 .85205 L
.21569 .85451 L
.22319 .86282 L
.22446 .86422 L
.23291 .87345 L
.23335 .87393 L
.24238 .88364 L
.24262 .8839 L
.25158 .89336 L
.25233 .89414 L
.26098 .90307 L
.26204 .90415 L
.27062 .91278 L
.27176 .91391 L
.28053 .92249 L
.28147 .9234 L
.29076 .93221 L
.29118 .9326 L
.30089 .94148 L
.30138 .94192 L
.31061 .95004 L
.31245 .95163 L
.32032 .95827 L
.32407 .96134 L
.33003 .96613 L
.33636 .97106 L
.33974 .97363 L
.34946 .98075 L
.34949 .98077 L
.01923 .98077 L
F
0 g
.01923 .68806 m
.02894 .68874 L
.03289 .68939 L
.03866 .69074 L
.04837 .69402 L
.05808 .69851 L
.05923 .69911 L
.06779 .7041 L
.07489 .70882 L
.07751 .71069 L
.08722 .71817 L
.08767 .71853 L
.09693 .72641 L
.099 .72824 L
.10664 .7353 L
.10943 .73796 L
.11636 .74474 L
.11927 .74767 L
.12607 .75464 L
.1287 .75738 L
.13578 .7649 L
.13783 .76709 L
.14549 .77544 L
.14674 .77681 L
.15521 .7862 L
.1555 .78652 L
.16415 .79623 L
.16492 .7971 L
.17273 .80594 L
.17463 .8081 L
.18128 .81566 L
.18434 .81913 L
.18983 .82537 L
.19406 .83017 L
.1984 .83508 L
.20377 .84115 L
.20701 .84479 L
.21348 .85205 L
.21569 .85451 L
.22319 .86282 L
.22446 .86422 L
.23291 .87345 L
.23335 .87393 L
.24238 .88364 L
.24262 .8839 L
.25158 .89336 L
.25233 .89414 L
.26098 .90307 L
.26204 .90415 L
.27062 .91278 L
Mistroke
.27176 .91391 L
.28053 .92249 L
.28147 .9234 L
.29076 .93221 L
.29118 .9326 L
.30089 .94148 L
.30138 .94192 L
.31061 .95004 L
.31245 .95163 L
.32032 .95827 L
.32407 .96134 L
.33003 .96613 L
.33636 .97106 L
.33974 .97363 L
.34946 .98075 L
.34949 .98077 L
Mfstroke
.617 .383 .6 r
.01923 .291 m
.02894 .29039 L
.03866 .28859 L
.04837 .28562 L
.05808 .28155 L
.05826 .28147 L
.06779 .27646 L
.07549 .27176 L
.07751 .27042 L
.08722 .26355 L
.08921 .26204 L
.09693 .25592 L
.10124 .25233 L
.10664 .24765 L
.11225 .24262 L
.11636 .23882 L
.12259 .23291 L
.12607 .22953 L
.13247 .22319 L
.13578 .21985 L
.14201 .21348 L
.14549 .20986 L
.1513 .20377 L
.15521 .19963 L
.16043 .19406 L
.16492 .18922 L
.16943 .18434 L
.17463 .17869 L
.17836 .17463 L
.18434 .1681 L
.18725 .16492 L
.19406 .15748 L
.19613 .15521 L
.20377 .14688 L
.20504 .14549 L
.21348 .13634 L
.214 .13578 L
.22303 .12607 L
.22319 .1259 L
.23217 .11636 L
.23291 .11558 L
.24144 .10664 L
.24262 .10542 L
.25088 .09693 L
.25233 .09545 L
.26051 .08722 L
.26204 .08569 L
.27037 .07751 L
.27176 .07617 L
.28051 .06779 L
.28147 .06689 L
.29098 .05808 L
.29118 .0579 L
.30089 .0492 L
.30184 .04837 L
.31061 .04081 L
.31316 .03866 L
.32032 .03275 L
.32506 .02894 L
.33003 .02503 L
.33765 .01923 L
.01923 .01923 L
F
0 g
.01923 .291 m
.02894 .29039 L
.03866 .28859 L
.04837 .28562 L
.05808 .28155 L
.05826 .28147 L
.06779 .27646 L
.07549 .27176 L
.07751 .27042 L
.08722 .26355 L
.08921 .26204 L
.09693 .25592 L
.10124 .25233 L
.10664 .24765 L
.11225 .24262 L
.11636 .23882 L
.12259 .23291 L
.12607 .22953 L
.13247 .22319 L
.13578 .21985 L
.14201 .21348 L
.14549 .20986 L
.1513 .20377 L
.15521 .19963 L
.16043 .19406 L
.16492 .18922 L
.16943 .18434 L
.17463 .17869 L
.17836 .17463 L
.18434 .1681 L
.18725 .16492 L
.19406 .15748 L
.19613 .15521 L
.20377 .14688 L
.20504 .14549 L
.21348 .13634 L
.214 .13578 L
.22303 .12607 L
.22319 .1259 L
.23217 .11636 L
.23291 .11558 L
.24144 .10664 L
.24262 .10542 L
.25088 .09693 L
.25233 .09545 L
.26051 .08722 L
.26204 .08569 L
.27037 .07751 L
.27176 .07617 L
.28051 .06779 L
Mistroke
.28147 .06689 L
.29098 .05808 L
.29118 .0579 L
.30089 .0492 L
.30184 .04837 L
.31061 .04081 L
.31316 .03866 L
.32032 .03275 L
.32506 .02894 L
.33003 .02503 L
.33765 .01923 L
Mfstroke
.617 .383 .6 r
.01923 .709 m
.02894 .70961 L
.03866 .71141 L
.04837 .71438 L
.05808 .71845 L
.05826 .71853 L
.06779 .72354 L
.07549 .72824 L
.07751 .72958 L
.08722 .73645 L
.08921 .73796 L
.09693 .74408 L
.10124 .74767 L
.10664 .75235 L
.11225 .75738 L
.11636 .76118 L
.12259 .76709 L
.12607 .77047 L
.13247 .77681 L
.13578 .78015 L
.14201 .78652 L
.14549 .79014 L
.1513 .79623 L
.15521 .80037 L
.16043 .80594 L
.16492 .81078 L
.16943 .81566 L
.17463 .82131 L
.17836 .82537 L
.18434 .8319 L
.18725 .83508 L
.19406 .84252 L
.19613 .84479 L
.20377 .85312 L
.20504 .85451 L
.21348 .86366 L
.214 .86422 L
.22303 .87393 L
.22319 .8741 L
.23217 .88364 L
.23291 .88442 L
.24144 .89336 L
.24262 .89458 L
.25088 .90307 L
.25233 .90455 L
.26051 .91278 L
.26204 .91431 L
.27037 .92249 L
.27176 .92383 L
.28051 .93221 L
.28147 .93311 L
.29098 .94192 L
.29118 .9421 L
.30089 .9508 L
.30184 .95163 L
.31061 .95919 L
.31316 .96134 L
.32032 .96725 L
.32506 .97106 L
.33003 .97497 L
.33765 .98077 L
.01923 .98077 L
F
0 g
.01923 .709 m
.02894 .70961 L
.03866 .71141 L
.04837 .71438 L
.05808 .71845 L
.05826 .71853 L
.06779 .72354 L
.07549 .72824 L
.07751 .72958 L
.08722 .73645 L
.08921 .73796 L
.09693 .74408 L
.10124 .74767 L
.10664 .75235 L
.11225 .75738 L
.11636 .76118 L
.12259 .76709 L
.12607 .77047 L
.13247 .77681 L
.13578 .78015 L
.14201 .78652 L
.14549 .79014 L
.1513 .79623 L
.15521 .80037 L
.16043 .80594 L
.16492 .81078 L
.16943 .81566 L
.17463 .82131 L
.17836 .82537 L
.18434 .8319 L
.18725 .83508 L
.19406 .84252 L
.19613 .84479 L
.20377 .85312 L
.20504 .85451 L
.21348 .86366 L
.214 .86422 L
.22303 .87393 L
.22319 .8741 L
.23217 .88364 L
.23291 .88442 L
.24144 .89336 L
.24262 .89458 L
.25088 .90307 L
.25233 .90455 L
.26051 .91278 L
.26204 .91431 L
.27037 .92249 L
.27176 .92383 L
.28051 .93221 L
Mistroke
.28147 .93311 L
.29098 .94192 L
.29118 .9421 L
.30089 .9508 L
.30184 .95163 L
.31061 .95919 L
.31316 .96134 L
.32032 .96725 L
.32506 .97106 L
.33003 .97497 L
.33765 .98077 L
Mfstroke
.633 .367 .6 r
.01923 .27197 m
.02531 .27176 L
.02894 .27142 L
.03866 .26976 L
.04837 .26704 L
.05808 .26329 L
.06087 .26204 L
.06779 .25858 L
.07751 .25298 L
.07855 .25233 L
.08722 .24657 L
.09273 .24262 L
.09693 .23945 L
.10516 .23291 L
.10664 .23168 L
.11636 .22337 L
.11655 .22319 L
.12607 .21457 L
.12725 .21348 L
.13578 .20539 L
.13745 .20377 L
.14549 .19587 L
.14732 .19406 L
.15521 .1861 L
.15693 .18434 L
.16492 .17612 L
.16636 .17463 L
.17463 .16601 L
.17567 .16492 L
.18434 .1558 L
.18491 .15521 L
.19406 .14555 L
.19411 .14549 L
.20331 .13578 L
.20377 .1353 L
.21254 .12607 L
.21348 .12508 L
.22184 .11636 L
.22319 .11494 L
.23122 .10664 L
.23291 .10492 L
.24074 .09693 L
.24262 .09503 L
.2504 .08722 L
.25233 .0853 L
.26026 .07751 L
.26204 .07578 L
.27036 .06779 L
.27176 .06647 L
.28073 .05808 L
.28147 .0574 L
.29118 .0486 L
.29144 .04837 L
.30089 .04007 L
.30254 .03866 L
.31061 .03185 L
.31413 .02894 L
.32032 .02394 L
.3263 .01923 L
.01923 .01923 L
F
0 g
.01923 .27197 m
.02531 .27176 L
.02894 .27142 L
.03866 .26976 L
.04837 .26704 L
.05808 .26329 L
.06087 .26204 L
.06779 .25858 L
.07751 .25298 L
.07855 .25233 L
.08722 .24657 L
.09273 .24262 L
.09693 .23945 L
.10516 .23291 L
.10664 .23168 L
.11636 .22337 L
.11655 .22319 L
.12607 .21457 L
.12725 .21348 L
.13578 .20539 L
.13745 .20377 L
.14549 .19587 L
.14732 .19406 L
.15521 .1861 L
.15693 .18434 L
.16492 .17612 L
.16636 .17463 L
.17463 .16601 L
.17567 .16492 L
.18434 .1558 L
.18491 .15521 L
.19406 .14555 L
.19411 .14549 L
.20331 .13578 L
.20377 .1353 L
.21254 .12607 L
.21348 .12508 L
.22184 .11636 L
.22319 .11494 L
.23122 .10664 L
.23291 .10492 L
.24074 .09693 L
.24262 .09503 L
.2504 .08722 L
.25233 .0853 L
.26026 .07751 L
.26204 .07578 L
.27036 .06779 L
.27176 .06647 L
.28073 .05808 L
Mistroke
.28147 .0574 L
.29118 .0486 L
.29144 .04837 L
.30089 .04007 L
.30254 .03866 L
.31061 .03185 L
.31413 .02894 L
.32032 .02394 L
.3263 .01923 L
Mfstroke
.633 .367 .6 r
.01923 .72803 m
.02531 .72824 L
.02894 .72858 L
.03866 .73024 L
.04837 .73296 L
.05808 .73671 L
.06087 .73796 L
.06779 .74142 L
.07751 .74702 L
.07855 .74767 L
.08722 .75343 L
.09273 .75738 L
.09693 .76055 L
.10516 .76709 L
.10664 .76832 L
.11636 .77663 L
.11655 .77681 L
.12607 .78543 L
.12725 .78652 L
.13578 .79461 L
.13745 .79623 L
.14549 .80413 L
.14732 .80594 L
.15521 .8139 L
.15693 .81566 L
.16492 .82388 L
.16636 .82537 L
.17463 .83399 L
.17567 .83508 L
.18434 .8442 L
.18491 .84479 L
.19406 .85445 L
.19411 .85451 L
.20331 .86422 L
.20377 .8647 L
.21254 .87393 L
.21348 .87492 L
.22184 .88364 L
.22319 .88506 L
.23122 .89336 L
.23291 .89508 L
.24074 .90307 L
.24262 .90497 L
.2504 .91278 L
.25233 .9147 L
.26026 .92249 L
.26204 .92422 L
.27036 .93221 L
.27176 .93353 L
.28073 .94192 L
.28147 .9426 L
.29118 .9514 L
.29144 .95163 L
.30089 .95993 L
.30254 .96134 L
.31061 .96815 L
.31413 .97106 L
.32032 .97606 L
.3263 .98077 L
.01923 .98077 L
F
0 g
.01923 .72803 m
.02531 .72824 L
.02894 .72858 L
.03866 .73024 L
.04837 .73296 L
.05808 .73671 L
.06087 .73796 L
.06779 .74142 L
.07751 .74702 L
.07855 .74767 L
.08722 .75343 L
.09273 .75738 L
.09693 .76055 L
.10516 .76709 L
.10664 .76832 L
.11636 .77663 L
.11655 .77681 L
.12607 .78543 L
.12725 .78652 L
.13578 .79461 L
.13745 .79623 L
.14549 .80413 L
.14732 .80594 L
.15521 .8139 L
.15693 .81566 L
.16492 .82388 L
.16636 .82537 L
.17463 .83399 L
.17567 .83508 L
.18434 .8442 L
.18491 .84479 L
.19406 .85445 L
.19411 .85451 L
.20331 .86422 L
.20377 .8647 L
.21254 .87393 L
.21348 .87492 L
.22184 .88364 L
.22319 .88506 L
.23122 .89336 L
.23291 .89508 L
.24074 .90307 L
.24262 .90497 L
.2504 .91278 L
.25233 .9147 L
.26026 .92249 L
.26204 .92422 L
.27036 .93221 L
.27176 .93353 L
.28073 .94192 L
Mistroke
.28147 .9426 L
.29118 .9514 L
.29144 .95163 L
.30089 .95993 L
.30254 .96134 L
.31061 .96815 L
.31413 .97106 L
.32032 .97606 L
.3263 .98077 L
Mfstroke
.65 .35 .6 r
.01923 .25442 m
.02894 .2539 L
.03866 .25236 L
.03883 .25233 L
.04837 .24983 L
.05808 .24633 L
.06641 .24262 L
.06779 .24193 L
.07751 .23669 L
.08376 .23291 L
.08722 .23067 L
.09693 .22395 L
.09798 .22319 L
.10664 .21661 L
.11058 .21348 L
.11636 .20873 L
.12218 .20377 L
.12607 .20036 L
.1331 .19406 L
.13578 .1916 L
.14355 .18434 L
.14549 .1825 L
.15366 .17463 L
.15521 .17312 L
.16353 .16492 L
.16492 .16353 L
.17322 .15521 L
.17463 .15378 L
.18281 .14549 L
.18434 .14393 L
.19232 .13578 L
.19406 .13401 L
.20182 .12607 L
.20377 .12407 L
.21132 .11636 L
.21348 .11415 L
.22087 .10664 L
.22319 .1043 L
.23051 .09693 L
.23291 .09453 L
.24026 .08722 L
.24262 .08489 L
.25016 .07751 L
.25233 .0754 L
.26025 .06779 L
.26204 .06609 L
.27057 .05808 L
.27176 .05698 L
.28118 .04837 L
.28147 .04811 L
.29118 .03948 L
.29212 .03866 L
.30089 .03112 L
.30348 .02894 L
.31061 .02305 L
.31533 .01923 L
.01923 .01923 L
F
0 g
.01923 .25442 m
.02894 .2539 L
.03866 .25236 L
.03883 .25233 L
.04837 .24983 L
.05808 .24633 L
.06641 .24262 L
.06779 .24193 L
.07751 .23669 L
.08376 .23291 L
.08722 .23067 L
.09693 .22395 L
.09798 .22319 L
.10664 .21661 L
.11058 .21348 L
.11636 .20873 L
.12218 .20377 L
.12607 .20036 L
.1331 .19406 L
.13578 .1916 L
.14355 .18434 L
.14549 .1825 L
.15366 .17463 L
.15521 .17312 L
.16353 .16492 L
.16492 .16353 L
.17322 .15521 L
.17463 .15378 L
.18281 .14549 L
.18434 .14393 L
.19232 .13578 L
.19406 .13401 L
.20182 .12607 L
.20377 .12407 L
.21132 .11636 L
.21348 .11415 L
.22087 .10664 L
.22319 .1043 L
.23051 .09693 L
.23291 .09453 L
.24026 .08722 L
.24262 .08489 L
.25016 .07751 L
.25233 .0754 L
.26025 .06779 L
.26204 .06609 L
.27057 .05808 L
.27176 .05698 L
.28118 .04837 L
.28147 .04811 L
Mistroke
.29118 .03948 L
.29212 .03866 L
.30089 .03112 L
.30348 .02894 L
.31061 .02305 L
.31533 .01923 L
Mfstroke
.65 .35 .6 r
.01923 .74558 m
.02894 .7461 L
.03866 .74764 L
.03883 .74767 L
.04837 .75017 L
.05808 .75367 L
.06641 .75738 L
.06779 .75807 L
.07751 .76331 L
.08376 .76709 L
.08722 .76933 L
.09693 .77605 L
.09798 .77681 L
.10664 .78339 L
.11058 .78652 L
.11636 .79127 L
.12218 .79623 L
.12607 .79964 L
.1331 .80594 L
.13578 .8084 L
.14355 .81566 L
.14549 .8175 L
.15366 .82537 L
.15521 .82688 L
.16353 .83508 L
.16492 .83647 L
.17322 .84479 L
.17463 .84622 L
.18281 .85451 L
.18434 .85607 L
.19232 .86422 L
.19406 .86599 L
.20182 .87393 L
.20377 .87593 L
.21132 .88364 L
.21348 .88585 L
.22087 .89336 L
.22319 .8957 L
.23051 .90307 L
.23291 .90547 L
.24026 .91278 L
.24262 .91511 L
.25016 .92249 L
.25233 .9246 L
.26025 .93221 L
.26204 .93391 L
.27057 .94192 L
.27176 .94302 L
.28118 .95163 L
.28147 .95189 L
.29118 .96052 L
.29212 .96134 L
.30089 .96888 L
.30348 .97106 L
.31061 .97695 L
.31533 .98077 L
.01923 .98077 L
F
0 g
.01923 .74558 m
.02894 .7461 L
.03866 .74764 L
.03883 .74767 L
.04837 .75017 L
.05808 .75367 L
.06641 .75738 L
.06779 .75807 L
.07751 .76331 L
.08376 .76709 L
.08722 .76933 L
.09693 .77605 L
.09798 .77681 L
.10664 .78339 L
.11058 .78652 L
.11636 .79127 L
.12218 .79623 L
.12607 .79964 L
.1331 .80594 L
.13578 .8084 L
.14355 .81566 L
.14549 .8175 L
.15366 .82537 L
.15521 .82688 L
.16353 .83508 L
.16492 .83647 L
.17322 .84479 L
.17463 .84622 L
.18281 .85451 L
.18434 .85607 L
.19232 .86422 L
.19406 .86599 L
.20182 .87393 L
.20377 .87593 L
.21132 .88364 L
.21348 .88585 L
.22087 .89336 L
.22319 .8957 L
.23051 .90307 L
.23291 .90547 L
.24026 .91278 L
.24262 .91511 L
.25016 .92249 L
.25233 .9246 L
.26025 .93221 L
.26204 .93391 L
.27057 .94192 L
.27176 .94302 L
.28118 .95163 L
.28147 .95189 L
Mistroke
.29118 .96052 L
.29212 .96134 L
.30089 .96888 L
.30348 .97106 L
.31061 .97695 L
.31533 .98077 L
Mfstroke
.667 .333 .6 r
.01923 .23804 m
.02894 .23756 L
.03866 .23611 L
.04837 .23373 L
.05113 .23291 L
.05808 .23044 L
.06779 .2263 L
.07408 .22319 L
.07751 .22135 L
.08722 .21566 L
.09065 .21348 L
.09693 .20929 L
.10468 .20377 L
.10664 .20231 L
.11636 .19479 L
.11727 .19406 L
.12607 .1868 L
.12896 .18434 L
.13578 .1784 L
.14002 .17463 L
.14549 .16966 L
.15064 .16492 L
.15521 .16064 L
.16094 .15521 L
.16492 .1514 L
.17102 .14549 L
.17463 .14198 L
.18095 .13578 L
.18434 .13244 L
.19078 .12607 L
.19406 .12282 L
.20056 .11636 L
.20377 .11317 L
.21034 .10664 L
.21348 .10353 L
.22015 .09693 L
.22319 .09393 L
.23003 .08722 L
.23291 .0844 L
.24001 .07751 L
.24262 .07499 L
.25014 .06779 L
.25233 .06572 L
.26046 .05808 L
.26204 .05661 L
.27102 .04837 L
.27176 .0477 L
.28147 .039 L
.28186 .03866 L
.29118 .03054 L
.29305 .02894 L
.30089 .02234 L
.30466 .01923 L
.01923 .01923 L
F
0 g
.01923 .23804 m
.02894 .23756 L
.03866 .23611 L
.04837 .23373 L
.05113 .23291 L
.05808 .23044 L
.06779 .2263 L
.07408 .22319 L
.07751 .22135 L
.08722 .21566 L
.09065 .21348 L
.09693 .20929 L
.10468 .20377 L
.10664 .20231 L
.11636 .19479 L
.11727 .19406 L
.12607 .1868 L
.12896 .18434 L
.13578 .1784 L
.14002 .17463 L
.14549 .16966 L
.15064 .16492 L
.15521 .16064 L
.16094 .15521 L
.16492 .1514 L
.17102 .14549 L
.17463 .14198 L
.18095 .13578 L
.18434 .13244 L
.19078 .12607 L
.19406 .12282 L
.20056 .11636 L
.20377 .11317 L
.21034 .10664 L
.21348 .10353 L
.22015 .09693 L
.22319 .09393 L
.23003 .08722 L
.23291 .0844 L
.24001 .07751 L
.24262 .07499 L
.25014 .06779 L
.25233 .06572 L
.26046 .05808 L
.26204 .05661 L
.27102 .04837 L
.27176 .0477 L
.28147 .039 L
.28186 .03866 L
.29118 .03054 L
Mistroke
.29305 .02894 L
.30089 .02234 L
.30466 .01923 L
Mfstroke
.667 .333 .6 r
.01923 .76196 m
.02894 .76244 L
.03866 .76389 L
.04837 .76627 L
.05113 .76709 L
.05808 .76956 L
.06779 .7737 L
.07408 .77681 L
.07751 .77865 L
.08722 .78434 L
.09065 .78652 L
.09693 .79071 L
.10468 .79623 L
.10664 .79769 L
.11636 .80521 L
.11727 .80594 L
.12607 .8132 L
.12896 .81566 L
.13578 .8216 L
.14002 .82537 L
.14549 .83034 L
.15064 .83508 L
.15521 .83936 L
.16094 .84479 L
.16492 .8486 L
.17102 .85451 L
.17463 .85802 L
.18095 .86422 L
.18434 .86756 L
.19078 .87393 L
.19406 .87718 L
.20056 .88364 L
.20377 .88683 L
.21034 .89336 L
.21348 .89647 L
.22015 .90307 L
.22319 .90607 L
.23003 .91278 L
.23291 .9156 L
.24001 .92249 L
.24262 .92501 L
.25014 .93221 L
.25233 .93428 L
.26046 .94192 L
.26204 .94339 L
.27102 .95163 L
.27176 .9523 L
.28147 .961 L
.28186 .96134 L
.29118 .96946 L
.29305 .97106 L
.30089 .97766 L
.30466 .98077 L
.01923 .98077 L
F
0 g
.01923 .76196 m
.02894 .76244 L
.03866 .76389 L
.04837 .76627 L
.05113 .76709 L
.05808 .76956 L
.06779 .7737 L
.07408 .77681 L
.07751 .77865 L
.08722 .78434 L
.09065 .78652 L
.09693 .79071 L
.10468 .79623 L
.10664 .79769 L
.11636 .80521 L
.11727 .80594 L
.12607 .8132 L
.12896 .81566 L
.13578 .8216 L
.14002 .82537 L
.14549 .83034 L
.15064 .83508 L
.15521 .83936 L
.16094 .84479 L
.16492 .8486 L
.17102 .85451 L
.17463 .85802 L
.18095 .86422 L
.18434 .86756 L
.19078 .87393 L
.19406 .87718 L
.20056 .88364 L
.20377 .88683 L
.21034 .89336 L
.21348 .89647 L
.22015 .90307 L
.22319 .90607 L
.23003 .91278 L
.23291 .9156 L
.24001 .92249 L
.24262 .92501 L
.25014 .93221 L
.25233 .93428 L
.26046 .94192 L
.26204 .94339 L
.27102 .95163 L
.27176 .9523 L
.28147 .961 L
.28186 .96134 L
.29118 .96946 L
Mistroke
.29305 .97106 L
.30089 .97766 L
.30466 .98077 L
Mfstroke
.683 .317 .6 r
.01923 .22262 m
.02894 .22217 L
.03866 .2208 L
.04837 .21855 L
.05808 .21544 L
.0632 .21348 L
.06779 .21151 L
.07751 .20681 L
.08312 .20377 L
.08722 .20139 L
.09693 .19532 L
.09884 .19406 L
.10664 .18866 L
.11255 .18434 L
.11636 .18146 L
.12504 .17463 L
.12607 .1738 L
.13578 .16573 L
.13673 .16492 L
.14549 .15731 L
.14787 .15521 L
.15521 .14861 L
.15862 .14549 L
.16492 .13967 L
.16908 .13578 L
.17463 .13055 L
.17935 .12607 L
.18434 .1213 L
.18949 .11636 L
.19406 .11196 L
.19956 .10664 L
.20377 .10257 L
.2096 .09693 L
.21348 .09318 L
.21966 .08722 L
.22319 .08382 L
.22978 .07751 L
.23291 .07452 L
.24 .06779 L
.24262 .06532 L
.25036 .05808 L
.25233 .05625 L
.26091 .04837 L
.26204 .04733 L
.27169 .03866 L
.27176 .0386 L
.28147 .03007 L
.28277 .02894 L
.29118 .02177 L
.2942 .01923 L
.01923 .01923 L
F
0 g
.01923 .22262 m
.02894 .22217 L
.03866 .2208 L
.04837 .21855 L
.05808 .21544 L
.0632 .21348 L
.06779 .21151 L
.07751 .20681 L
.08312 .20377 L
.08722 .20139 L
.09693 .19532 L
.09884 .19406 L
.10664 .18866 L
.11255 .18434 L
.11636 .18146 L
.12504 .17463 L
.12607 .1738 L
.13578 .16573 L
.13673 .16492 L
.14549 .15731 L
.14787 .15521 L
.15521 .14861 L
.15862 .14549 L
.16492 .13967 L
.16908 .13578 L
.17463 .13055 L
.17935 .12607 L
.18434 .1213 L
.18949 .11636 L
.19406 .11196 L
.19956 .10664 L
.20377 .10257 L
.2096 .09693 L
.21348 .09318 L
.21966 .08722 L
.22319 .08382 L
.22978 .07751 L
.23291 .07452 L
.24 .06779 L
.24262 .06532 L
.25036 .05808 L
.25233 .05625 L
.26091 .04837 L
.26204 .04733 L
.27169 .03866 L
.27176 .0386 L
.28147 .03007 L
.28277 .02894 L
.29118 .02177 L
.2942 .01923 L
Mistroke
Mfstroke
.683 .317 .6 r
.01923 .77738 m
.02894 .77783 L
.03866 .7792 L
.04837 .78145 L
.05808 .78456 L
.0632 .78652 L
.06779 .78849 L
.07751 .79319 L
.08312 .79623 L
.08722 .79861 L
.09693 .80468 L
.09884 .80594 L
.10664 .81134 L
.11255 .81566 L
.11636 .81854 L
.12504 .82537 L
.12607 .8262 L
.13578 .83427 L
.13673 .83508 L
.14549 .84269 L
.14787 .84479 L
.15521 .85139 L
.15862 .85451 L
.16492 .86033 L
.16908 .86422 L
.17463 .86945 L
.17935 .87393 L
.18434 .8787 L
.18949 .88364 L
.19406 .88804 L
.19956 .89336 L
.20377 .89743 L
.2096 .90307 L
.21348 .90682 L
.21966 .91278 L
.22319 .91618 L
.22978 .92249 L
.23291 .92548 L
.24 .93221 L
.24262 .93468 L
.25036 .94192 L
.25233 .94375 L
.26091 .95163 L
.26204 .95267 L
.27169 .96134 L
.27176 .9614 L
.28147 .96993 L
.28277 .97106 L
.29118 .97823 L
.2942 .98077 L
.01923 .98077 L
F
0 g
.01923 .77738 m
.02894 .77783 L
.03866 .7792 L
.04837 .78145 L
.05808 .78456 L
.0632 .78652 L
.06779 .78849 L
.07751 .79319 L
.08312 .79623 L
.08722 .79861 L
.09693 .80468 L
.09884 .80594 L
.10664 .81134 L
.11255 .81566 L
.11636 .81854 L
.12504 .82537 L
.12607 .8262 L
.13578 .83427 L
.13673 .83508 L
.14549 .84269 L
.14787 .84479 L
.15521 .85139 L
.15862 .85451 L
.16492 .86033 L
.16908 .86422 L
.17463 .86945 L
.17935 .87393 L
.18434 .8787 L
.18949 .88364 L
.19406 .88804 L
.19956 .89336 L
.20377 .89743 L
.2096 .90307 L
.21348 .90682 L
.21966 .91278 L
.22319 .91618 L
.22978 .92249 L
.23291 .92548 L
.24 .93221 L
.24262 .93468 L
.25036 .94192 L
.25233 .94375 L
.26091 .95163 L
.26204 .95267 L
.27169 .96134 L
.27176 .9614 L
.28147 .96993 L
.28277 .97106 L
.29118 .97823 L
.2942 .98077 L
Mistroke
Mfstroke
.7 .3 .6 r
.01923 .20802 m
.02894 .20759 L
.03866 .20629 L
.04837 .20415 L
.04982 .20377 L
.05808 .20119 L
.06779 .19744 L
.07528 .19406 L
.07751 .19296 L
.08722 .18778 L
.09309 .18434 L
.09693 .18197 L
.10664 .17558 L
.10802 .17463 L
.11636 .16867 L
.12137 .16492 L
.12607 .16129 L
.13371 .15521 L
.13578 .15351 L
.14537 .14549 L
.14549 .14539 L
.15521 .13697 L
.15655 .13578 L
.16492 .12831 L
.1674 .12607 L
.17463 .11946 L
.17801 .11636 L
.18434 .11048 L
.18845 .10664 L
.19406 .10139 L
.1988 .09693 L
.20377 .09224 L
.2091 .08722 L
.21348 .08308 L
.2194 .07751 L
.22319 .07394 L
.22976 .06779 L
.23291 .06486 L
.24021 .05808 L
.24262 .05586 L
.2508 .04837 L
.25233 .04698 L
.26158 .03866 L
.26204 .03824 L
.27176 .02968 L
.2726 .02894 L
.28147 .0213 L
.28391 .01923 L
.01923 .01923 L
F
0 g
.01923 .20802 m
.02894 .20759 L
.03866 .20629 L
.04837 .20415 L
.04982 .20377 L
.05808 .20119 L
.06779 .19744 L
.07528 .19406 L
.07751 .19296 L
.08722 .18778 L
.09309 .18434 L
.09693 .18197 L
.10664 .17558 L
.10802 .17463 L
.11636 .16867 L
.12137 .16492 L
.12607 .16129 L
.13371 .15521 L
.13578 .15351 L
.14537 .14549 L
.14549 .14539 L
.15521 .13697 L
.15655 .13578 L
.16492 .12831 L
.1674 .12607 L
.17463 .11946 L
.17801 .11636 L
.18434 .11048 L
.18845 .10664 L
.19406 .10139 L
.1988 .09693 L
.20377 .09224 L
.2091 .08722 L
.21348 .08308 L
.2194 .07751 L
.22319 .07394 L
.22976 .06779 L
.23291 .06486 L
.24021 .05808 L
.24262 .05586 L
.2508 .04837 L
.25233 .04698 L
.26158 .03866 L
.26204 .03824 L
.27176 .02968 L
.2726 .02894 L
.28147 .0213 L
.28391 .01923 L
s
.7 .3 .6 r
.01923 .79198 m
.02894 .79241 L
.03866 .79371 L
.04837 .79585 L
.04982 .79623 L
.05808 .79881 L
.06779 .80256 L
.07528 .80594 L
.07751 .80704 L
.08722 .81222 L
.09309 .81566 L
.09693 .81803 L
.10664 .82442 L
.10802 .82537 L
.11636 .83133 L
.12137 .83508 L
.12607 .83871 L
.13371 .84479 L
.13578 .84649 L
.14537 .85451 L
.14549 .85461 L
.15521 .86303 L
.15655 .86422 L
.16492 .87169 L
.1674 .87393 L
.17463 .88054 L
.17801 .88364 L
.18434 .88952 L
.18845 .89336 L
.19406 .89861 L
.1988 .90307 L
.20377 .90776 L
.2091 .91278 L
.21348 .91692 L
.2194 .92249 L
.22319 .92606 L
.22976 .93221 L
.23291 .93514 L
.24021 .94192 L
.24262 .94414 L
.2508 .95163 L
.25233 .95302 L
.26158 .96134 L
.26204 .96176 L
.27176 .97032 L
.2726 .97106 L
.28147 .9787 L
.28391 .98077 L
.01923 .98077 L
F
0 g
.01923 .79198 m
.02894 .79241 L
.03866 .79371 L
.04837 .79585 L
.04982 .79623 L
.05808 .79881 L
.06779 .80256 L
.07528 .80594 L
.07751 .80704 L
.08722 .81222 L
.09309 .81566 L
.09693 .81803 L
.10664 .82442 L
.10802 .82537 L
.11636 .83133 L
.12137 .83508 L
.12607 .83871 L
.13371 .84479 L
.13578 .84649 L
.14537 .85451 L
.14549 .85461 L
.15521 .86303 L
.15655 .86422 L
.16492 .87169 L
.1674 .87393 L
.17463 .88054 L
.17801 .88364 L
.18434 .88952 L
.18845 .89336 L
.19406 .89861 L
.1988 .90307 L
.20377 .90776 L
.2091 .91278 L
.21348 .91692 L
.2194 .92249 L
.22319 .92606 L
.22976 .93221 L
.23291 .93514 L
.24021 .94192 L
.24262 .94414 L
.2508 .95163 L
.25233 .95302 L
.26158 .96134 L
.26204 .96176 L
.27176 .97032 L
.2726 .97106 L
.28147 .9787 L
.28391 .98077 L
s
.717 .283 .6 r
.01923 .19412 m
.02293 .19406 L
.02894 .1937 L
.03866 .19246 L
.04837 .19042 L
.05808 .18759 L
.06696 .18434 L
.06779 .184 L
.07751 .17971 L
.08722 .17474 L
.08742 .17463 L
.09693 .16916 L
.10372 .16492 L
.10664 .16301 L
.11636 .15635 L
.11796 .15521 L
.12607 .14923 L
.13096 .14549 L
.13578 .14172 L
.14315 .13578 L
.14549 .13385 L
.15477 .12607 L
.15521 .12569 L
.16492 .11729 L
.16599 .11636 L
.17463 .10869 L
.17692 .10664 L
.18434 .09995 L
.18766 .09693 L
.19406 .09109 L
.19828 .08722 L
.20377 .08217 L
.20884 .07751 L
.21348 .07323 L
.21939 .06779 L
.22319 .0643 L
.22998 .05808 L
.23291 .05541 L
.24066 .04837 L
.24262 .0466 L
.25148 .03866 L
.25233 .03789 L
.26204 .02933 L
.26248 .02894 L
.27176 .02092 L
.27373 .01923 L
.01923 .01923 L
F
0 g
.01923 .19412 m
.02293 .19406 L
.02894 .1937 L
.03866 .19246 L
.04837 .19042 L
.05808 .18759 L
.06696 .18434 L
.06779 .184 L
.07751 .17971 L
.08722 .17474 L
.08742 .17463 L
.09693 .16916 L
.10372 .16492 L
.10664 .16301 L
.11636 .15635 L
.11796 .15521 L
.12607 .14923 L
.13096 .14549 L
.13578 .14172 L
.14315 .13578 L
.14549 .13385 L
.15477 .12607 L
.15521 .12569 L
.16492 .11729 L
.16599 .11636 L
.17463 .10869 L
.17692 .10664 L
.18434 .09995 L
.18766 .09693 L
.19406 .09109 L
.19828 .08722 L
.20377 .08217 L
.20884 .07751 L
.21348 .07323 L
.21939 .06779 L
.22319 .0643 L
.22998 .05808 L
.23291 .05541 L
.24066 .04837 L
.24262 .0466 L
.25148 .03866 L
.25233 .03789 L
.26204 .02933 L
.26248 .02894 L
.27176 .02092 L
.27373 .01923 L
s
.717 .283 .6 r
.01923 .80588 m
.02293 .80594 L
.02894 .8063 L
.03866 .80754 L
.04837 .80958 L
.05808 .81241 L
.06696 .81566 L
.06779 .816 L
.07751 .82029 L
.08722 .82526 L
.08742 .82537 L
.09693 .83084 L
.10372 .83508 L
.10664 .83699 L
.11636 .84365 L
.11796 .84479 L
.12607 .85077 L
.13096 .85451 L
.13578 .85828 L
.14315 .86422 L
.14549 .86615 L
.15477 .87393 L
.15521 .87431 L
.16492 .88271 L
.16599 .88364 L
.17463 .89131 L
.17692 .89336 L
.18434 .90005 L
.18766 .90307 L
.19406 .90891 L
.19828 .91278 L
.20377 .91783 L
.20884 .92249 L
.21348 .92677 L
.21939 .93221 L
.22319 .9357 L
.22998 .94192 L
.23291 .94459 L
.24066 .95163 L
.24262 .9534 L
.25148 .96134 L
.25233 .96211 L
.26204 .97067 L
.26248 .97106 L
.27176 .97908 L
.27373 .98077 L
.01923 .98077 L
F
0 g
.01923 .80588 m
.02293 .80594 L
.02894 .8063 L
.03866 .80754 L
.04837 .80958 L
.05808 .81241 L
.06696 .81566 L
.06779 .816 L
.07751 .82029 L
.08722 .82526 L
.08742 .82537 L
.09693 .83084 L
.10372 .83508 L
.10664 .83699 L
.11636 .84365 L
.11796 .84479 L
.12607 .85077 L
.13096 .85451 L
.13578 .85828 L
.14315 .86422 L
.14549 .86615 L
.15477 .87393 L
.15521 .87431 L
.16492 .88271 L
.16599 .88364 L
.17463 .89131 L
.17692 .89336 L
.18434 .90005 L
.18766 .90307 L
.19406 .90891 L
.19828 .91278 L
.20377 .91783 L
.20884 .92249 L
.21348 .92677 L
.21939 .93221 L
.22319 .9357 L
.22998 .94192 L
.23291 .94459 L
.24066 .95163 L
.24262 .9534 L
.25148 .96134 L
.25233 .96211 L
.26204 .97067 L
.26248 .97106 L
.27176 .97908 L
.27373 .98077 L
s
.733 .267 .6 r
.01923 .18082 m
.02894 .18042 L
.03866 .17923 L
.04837 .17727 L
.05784 .17463 L
.05808 .17455 L
.06779 .17111 L
.07751 .16698 L
.08187 .16492 L
.08722 .1622 L
.09693 .15682 L
.09967 .15521 L
.10664 .15089 L
.11484 .14549 L
.11636 .14446 L
.12607 .13758 L
.12851 .13578 L
.13578 .1303 L
.14122 .12607 L
.14549 .12267 L
.15326 .11636 L
.15521 .11475 L
.16484 .10664 L
.16492 .10658 L
.17463 .09821 L
.1761 .09693 L
.18434 .08969 L
.18713 .08722 L
.19406 .08105 L
.19802 .07751 L
.20377 .07234 L
.20882 .06779 L
.21348 .0636 L
.21961 .05808 L
.22319 .05486 L
.23043 .04837 L
.23291 .04616 L
.24134 .03866 L
.24262 .03752 L
.25233 .02898 L
.25238 .02894 L
.26204 .02058 L
.26361 .01923 L
.01923 .01923 L
F
0 g
.01923 .18082 m
.02894 .18042 L
.03866 .17923 L
.04837 .17727 L
.05784 .17463 L
.05808 .17455 L
.06779 .17111 L
.07751 .16698 L
.08187 .16492 L
.08722 .1622 L
.09693 .15682 L
.09967 .15521 L
.10664 .15089 L
.11484 .14549 L
.11636 .14446 L
.12607 .13758 L
.12851 .13578 L
.13578 .1303 L
.14122 .12607 L
.14549 .12267 L
.15326 .11636 L
.15521 .11475 L
.16484 .10664 L
.16492 .10658 L
.17463 .09821 L
.1761 .09693 L
.18434 .08969 L
.18713 .08722 L
.19406 .08105 L
.19802 .07751 L
.20377 .07234 L
.20882 .06779 L
.21348 .0636 L
.21961 .05808 L
.22319 .05486 L
.23043 .04837 L
.23291 .04616 L
.24134 .03866 L
.24262 .03752 L
.25233 .02898 L
.25238 .02894 L
.26204 .02058 L
.26361 .01923 L
s
.733 .267 .6 r
.01923 .81918 m
.02894 .81958 L
.03866 .82077 L
.04837 .82273 L
.05784 .82537 L
.05808 .82545 L
.06779 .82889 L
.07751 .83302 L
.08187 .83508 L
.08722 .8378 L
.09693 .84318 L
.09967 .84479 L
.10664 .84911 L
.11484 .85451 L
.11636 .85554 L
.12607 .86242 L
.12851 .86422 L
.13578 .8697 L
.14122 .87393 L
.14549 .87733 L
.15326 .88364 L
.15521 .88525 L
.16484 .89336 L
.16492 .89342 L
.17463 .90179 L
.1761 .90307 L
.18434 .91031 L
.18713 .91278 L
.19406 .91895 L
.19802 .92249 L
.20377 .92766 L
.20882 .93221 L
.21348 .9364 L
.21961 .94192 L
.22319 .94514 L
.23043 .95163 L
.23291 .95384 L
.24134 .96134 L
.24262 .96248 L
.25233 .97102 L
.25238 .97106 L
.26204 .97942 L
.26361 .98077 L
.01923 .98077 L
F
0 g
.01923 .81918 m
.02894 .81958 L
.03866 .82077 L
.04837 .82273 L
.05784 .82537 L
.05808 .82545 L
.06779 .82889 L
.07751 .83302 L
.08187 .83508 L
.08722 .8378 L
.09693 .84318 L
.09967 .84479 L
.10664 .84911 L
.11484 .85451 L
.11636 .85554 L
.12607 .86242 L
.12851 .86422 L
.13578 .8697 L
.14122 .87393 L
.14549 .87733 L
.15326 .88364 L
.15521 .88525 L
.16484 .89336 L
.16492 .89342 L
.17463 .90179 L
.1761 .90307 L
.18434 .91031 L
.18713 .91278 L
.19406 .91895 L
.19802 .92249 L
.20377 .92766 L
.20882 .93221 L
.21348 .9364 L
.21961 .94192 L
.22319 .94514 L
.23043 .95163 L
.23291 .95384 L
.24134 .96134 L
.24262 .96248 L
.25233 .97102 L
.25238 .97106 L
.26204 .97942 L
.26361 .98077 L
s
.75 .25 .6 r
.01923 .16805 m
.02894 .16767 L
.03866 .16652 L
.04725 .16492 L
.04837 .16464 L
.05808 .16202 L
.06779 .1587 L
.07641 .15521 L
.07751 .15472 L
.08722 .15011 L
.09591 .14549 L
.09693 .14492 L
.10664 .13918 L
.11204 .13578 L
.11636 .13295 L
.12607 .12628 L
.12637 .12607 L
.13578 .11922 L
.13959 .11636 L
.14549 .11181 L
.15205 .10664 L
.15521 .10411 L
.16398 .09693 L
.16492 .09615 L
.17463 .08799 L
.17554 .08722 L
.18434 .07968 L
.18686 .07751 L
.19406 .07124 L
.198 .06779 L
.20377 .06273 L
.20905 .05808 L
.21348 .05417 L
.22007 .04837 L
.22319 .04562 L
.23111 .03866 L
.23291 .03709 L
.24224 .02894 L
.24262 .02862 L
.25233 .02024 L
.25351 .01923 L
.01923 .01923 L
F
0 g
.01923 .16805 m
.02894 .16767 L
.03866 .16652 L
.04725 .16492 L
.04837 .16464 L
.05808 .16202 L
.06779 .1587 L
.07641 .15521 L
.07751 .15472 L
.08722 .15011 L
.09591 .14549 L
.09693 .14492 L
.10664 .13918 L
.11204 .13578 L
.11636 .13295 L
.12607 .12628 L
.12637 .12607 L
.13578 .11922 L
.13959 .11636 L
.14549 .11181 L
.15205 .10664 L
.15521 .10411 L
.16398 .09693 L
.16492 .09615 L
.17463 .08799 L
.17554 .08722 L
.18434 .07968 L
.18686 .07751 L
.19406 .07124 L
.198 .06779 L
.20377 .06273 L
.20905 .05808 L
.21348 .05417 L
.22007 .04837 L
.22319 .04562 L
.23111 .03866 L
.23291 .03709 L
.24224 .02894 L
.24262 .02862 L
.25233 .02024 L
.25351 .01923 L
s
.75 .25 .6 r
.01923 .83195 m
.02894 .83233 L
.03866 .83348 L
.04725 .83508 L
.04837 .83536 L
.05808 .83798 L
.06779 .8413 L
.07641 .84479 L
.07751 .84528 L
.08722 .84989 L
.09591 .85451 L
.09693 .85508 L
.10664 .86082 L
.11204 .86422 L
.11636 .86705 L
.12607 .87372 L
.12637 .87393 L
.13578 .88078 L
.13959 .88364 L
.14549 .88819 L
.15205 .89336 L
.15521 .89589 L
.16398 .90307 L
.16492 .90385 L
.17463 .91201 L
.17554 .91278 L
.18434 .92032 L
.18686 .92249 L
.19406 .92876 L
.198 .93221 L
.20377 .93727 L
.20905 .94192 L
.21348 .94583 L
.22007 .95163 L
.22319 .95438 L
.23111 .96134 L
.23291 .96291 L
.24224 .97106 L
.24262 .97138 L
.25233 .97976 L
.25351 .98077 L
.01923 .98077 L
F
0 g
.01923 .83195 m
.02894 .83233 L
.03866 .83348 L
.04725 .83508 L
.04837 .83536 L
.05808 .83798 L
.06779 .8413 L
.07641 .84479 L
.07751 .84528 L
.08722 .84989 L
.09591 .85451 L
.09693 .85508 L
.10664 .86082 L
.11204 .86422 L
.11636 .86705 L
.12607 .87372 L
.12637 .87393 L
.13578 .88078 L
.13959 .88364 L
.14549 .88819 L
.15205 .89336 L
.15521 .89589 L
.16398 .90307 L
.16492 .90385 L
.17463 .91201 L
.17554 .91278 L
.18434 .92032 L
.18686 .92249 L
.19406 .92876 L
.198 .93221 L
.20377 .93727 L
.20905 .94192 L
.21348 .94583 L
.22007 .95163 L
.22319 .95438 L
.23111 .96134 L
.23291 .96291 L
.24224 .97106 L
.24262 .97138 L
.25233 .97976 L
.25351 .98077 L
s
.767 .233 .6 r
.01923 .15575 m
.02894 .15538 L
.03106 .15521 L
.03866 .15428 L
.04837 .15246 L
.05808 .14994 L
.06779 .14674 L
.07112 .14549 L
.07751 .14289 L
.08722 .13843 L
.09247 .13578 L
.09693 .1334 L
.10664 .12784 L
.10957 .12607 L
.11636 .1218 L
.12456 .11636 L
.12607 .11532 L
.13578 .10845 L
.13826 .10664 L
.14549 .10125 L
.15112 .09693 L
.15521 .09374 L
.16339 .08722 L
.16492 .08599 L
.17463 .07803 L
.17526 .07751 L
.18434 .0699 L
.18684 .06779 L
.19406 .06165 L
.19823 .05808 L
.20377 .05332 L
.20952 .04837 L
.21348 .04495 L
.22076 .03866 L
.22319 .03656 L
.23203 .02894 L
.23291 .02819 L
.24262 .01988 L
.24338 .01923 L
.01923 .01923 L
F
0 g
.01923 .15575 m
.02894 .15538 L
.03106 .15521 L
.03866 .15428 L
.04837 .15246 L
.05808 .14994 L
.06779 .14674 L
.07112 .14549 L
.07751 .14289 L
.08722 .13843 L
.09247 .13578 L
.09693 .1334 L
.10664 .12784 L
.10957 .12607 L
.11636 .1218 L
.12456 .11636 L
.12607 .11532 L
.13578 .10845 L
.13826 .10664 L
.14549 .10125 L
.15112 .09693 L
.15521 .09374 L
.16339 .08722 L
.16492 .08599 L
.17463 .07803 L
.17526 .07751 L
.18434 .0699 L
.18684 .06779 L
.19406 .06165 L
.19823 .05808 L
.20377 .05332 L
.20952 .04837 L
.21348 .04495 L
.22076 .03866 L
.22319 .03656 L
.23203 .02894 L
.23291 .02819 L
.24262 .01988 L
.24338 .01923 L
s
.767 .233 .6 r
.01923 .84425 m
.02894 .84462 L
.03106 .84479 L
.03866 .84572 L
.04837 .84754 L
.05808 .85006 L
.06779 .85326 L
.07112 .85451 L
.07751 .85711 L
.08722 .86157 L
.09247 .86422 L
.09693 .8666 L
.10664 .87216 L
.10957 .87393 L
.11636 .8782 L
.12456 .88364 L
.12607 .88468 L
.13578 .89155 L
.13826 .89336 L
.14549 .89875 L
.15112 .90307 L
.15521 .90626 L
.16339 .91278 L
.16492 .91401 L
.17463 .92197 L
.17526 .92249 L
.18434 .9301 L
.18684 .93221 L
.19406 .93835 L
.19823 .94192 L
.20377 .94668 L
.20952 .95163 L
.21348 .95505 L
.22076 .96134 L
.22319 .96344 L
.23203 .97106 L
.23291 .97181 L
.24262 .98012 L
.24338 .98077 L
.01923 .98077 L
F
0 g
.01923 .84425 m
.02894 .84462 L
.03106 .84479 L
.03866 .84572 L
.04837 .84754 L
.05808 .85006 L
.06779 .85326 L
.07112 .85451 L
.07751 .85711 L
.08722 .86157 L
.09247 .86422 L
.09693 .8666 L
.10664 .87216 L
.10957 .87393 L
.11636 .8782 L
.12456 .88364 L
.12607 .88468 L
.13578 .89155 L
.13826 .89336 L
.14549 .89875 L
.15112 .90307 L
.15521 .90626 L
.16339 .91278 L
.16492 .91401 L
.17463 .92197 L
.17526 .92249 L
.18434 .9301 L
.18684 .93221 L
.19406 .93835 L
.19823 .94192 L
.20377 .94668 L
.20952 .95163 L
.21348 .95505 L
.22076 .96134 L
.22319 .96344 L
.23203 .97106 L
.23291 .97181 L
.24262 .98012 L
.24338 .98077 L
s
.783 .217 .6 r
.01923 .14388 m
.02894 .14353 L
.03866 .14246 L
.04837 .1407 L
.05808 .13826 L
.06602 .13578 L
.06779 .13516 L
.07751 .13143 L
.08722 .12711 L
.08938 .12607 L
.09693 .12223 L
.10664 .11683 L
.10746 .11636 L
.11636 .11096 L
.12308 .10664 L
.12607 .10466 L
.13578 .09798 L
.13726 .09693 L
.14549 .09095 L
.1505 .08722 L
.15521 .08363 L
.16309 .07751 L
.16492 .07606 L
.17463 .06829 L
.17524 .06779 L
.18434 .06034 L
.18708 .05808 L
.19406 .05227 L
.19871 .04837 L
.20377 .04411 L
.21023 .03866 L
.21348 .0359 L
.22169 .02894 L
.22319 .02767 L
.23291 .01946 L
.23318 .01923 L
.01923 .01923 L
F
0 g
.01923 .14388 m
.02894 .14353 L
.03866 .14246 L
.04837 .1407 L
.05808 .13826 L
.06602 .13578 L
.06779 .13516 L
.07751 .13143 L
.08722 .12711 L
.08938 .12607 L
.09693 .12223 L
.10664 .11683 L
.10746 .11636 L
.11636 .11096 L
.12308 .10664 L
.12607 .10466 L
.13578 .09798 L
.13726 .09693 L
.14549 .09095 L
.1505 .08722 L
.15521 .08363 L
.16309 .07751 L
.16492 .07606 L
.17463 .06829 L
.17524 .06779 L
.18434 .06034 L
.18708 .05808 L
.19406 .05227 L
.19871 .04837 L
.20377 .04411 L
.21023 .03866 L
.21348 .0359 L
.22169 .02894 L
.22319 .02767 L
.23291 .01946 L
.23318 .01923 L
s
.783 .217 .6 r
.01923 .85612 m
.02894 .85647 L
.03866 .85754 L
.04837 .8593 L
.05808 .86174 L
.06602 .86422 L
.06779 .86484 L
.07751 .86857 L
.08722 .87289 L
.08938 .87393 L
.09693 .87777 L
.10664 .88317 L
.10746 .88364 L
.11636 .88904 L
.12308 .89336 L
.12607 .89534 L
.13578 .90202 L
.13726 .90307 L
.14549 .90905 L
.1505 .91278 L
.15521 .91637 L
.16309 .92249 L
.16492 .92394 L
.17463 .93171 L
.17524 .93221 L
.18434 .93966 L
.18708 .94192 L
.19406 .94773 L
.19871 .95163 L
.20377 .95589 L
.21023 .96134 L
.21348 .9641 L
.22169 .97106 L
.22319 .97233 L
.23291 .98054 L
.23318 .98077 L
.01923 .98077 L
F
0 g
.01923 .85612 m
.02894 .85647 L
.03866 .85754 L
.04837 .8593 L
.05808 .86174 L
.06602 .86422 L
.06779 .86484 L
.07751 .86857 L
.08722 .87289 L
.08938 .87393 L
.09693 .87777 L
.10664 .88317 L
.10746 .88364 L
.11636 .88904 L
.12308 .89336 L
.12607 .89534 L
.13578 .90202 L
.13726 .90307 L
.14549 .90905 L
.1505 .91278 L
.15521 .91637 L
.16309 .92249 L
.16492 .92394 L
.17463 .93171 L
.17524 .93221 L
.18434 .93966 L
.18708 .94192 L
.19406 .94773 L
.19871 .95163 L
.20377 .95589 L
.21023 .96134 L
.21348 .9641 L
.22169 .97106 L
.22319 .97233 L
.23291 .98054 L
.23318 .98077 L
s
.8 .2 .6 r
.01923 .13239 m
.02894 .13205 L
.03866 .13102 L
.04837 .12931 L
.05808 .12694 L
.06116 .12607 L
.06779 .12394 L
.07751 .12032 L
.08671 .11636 L
.08722 .11612 L
.09693 .11138 L
.10574 .10664 L
.10664 .10613 L
.11636 .10042 L
.12196 .09693 L
.12607 .09428 L
.13578 .08777 L
.13658 .08722 L
.14549 .08091 L
.15017 .07751 L
.15521 .07377 L
.16307 .06779 L
.16492 .06637 L
.17463 .05876 L
.17549 .05808 L
.18434 .05099 L
.18758 .04837 L
.19406 .04308 L
.19944 .03866 L
.20377 .03508 L
.21118 .02894 L
.21348 .02703 L
.22286 .01923 L
.01923 .01923 L
F
0 g
.01923 .13239 m
.02894 .13205 L
.03866 .13102 L
.04837 .12931 L
.05808 .12694 L
.06116 .12607 L
.06779 .12394 L
.07751 .12032 L
.08671 .11636 L
.08722 .11612 L
.09693 .11138 L
.10574 .10664 L
.10664 .10613 L
.11636 .10042 L
.12196 .09693 L
.12607 .09428 L
.13578 .08777 L
.13658 .08722 L
.14549 .08091 L
.15017 .07751 L
.15521 .07377 L
.16307 .06779 L
.16492 .06637 L
.17463 .05876 L
.17549 .05808 L
.18434 .05099 L
.18758 .04837 L
.19406 .04308 L
.19944 .03866 L
.20377 .03508 L
.21118 .02894 L
.21348 .02703 L
.22286 .01923 L
s
.8 .2 .6 r
.01923 .86761 m
.02894 .86795 L
.03866 .86898 L
.04837 .87069 L
.05808 .87306 L
.06116 .87393 L
.06779 .87606 L
.07751 .87968 L
.08671 .88364 L
.08722 .88388 L
.09693 .88862 L
.10574 .89336 L
.10664 .89387 L
.11636 .89958 L
.12196 .90307 L
.12607 .90572 L
.13578 .91223 L
.13658 .91278 L
.14549 .91909 L
.15017 .92249 L
.15521 .92623 L
.16307 .93221 L
.16492 .93363 L
.17463 .94124 L
.17549 .94192 L
.18434 .94901 L
.18758 .95163 L
.19406 .95692 L
.19944 .96134 L
.20377 .96492 L
.21118 .97106 L
.21348 .97297 L
.22286 .98077 L
.01923 .98077 L
F
0 g
.01923 .86761 m
.02894 .86795 L
.03866 .86898 L
.04837 .87069 L
.05808 .87306 L
.06116 .87393 L
.06779 .87606 L
.07751 .87968 L
.08671 .88364 L
.08722 .88388 L
.09693 .88862 L
.10574 .89336 L
.10664 .89387 L
.11636 .89958 L
.12196 .90307 L
.12607 .90572 L
.13578 .91223 L
.13658 .91278 L
.14549 .91909 L
.15017 .92249 L
.15521 .92623 L
.16307 .93221 L
.16492 .93363 L
.17463 .94124 L
.17549 .94192 L
.18434 .94901 L
.18758 .95163 L
.19406 .95692 L
.19944 .96134 L
.20377 .96492 L
.21118 .97106 L
.21348 .97297 L
.22286 .98077 L
s
.817 .183 .6 r
.01923 .12125 m
.02894 .12092 L
.03866 .11992 L
.04837 .11826 L
.05663 .11636 L
.05808 .11596 L
.06779 .11304 L
.07751 .10952 L
.0845 .10664 L
.08722 .10544 L
.09693 .10083 L
.10442 .09693 L
.10664 .09572 L
.11636 .09015 L
.12119 .08722 L
.12607 .08416 L
.13578 .0778 L
.13622 .07751 L
.14549 .07111 L
.15015 .06779 L
.15521 .06412 L
.16334 .05808 L
.16492 .05689 L
.17463 .04944 L
.17601 .04837 L
.18434 .04182 L
.18833 .03866 L
.19406 .03407 L
.20042 .02894 L
.20377 .02623 L
.21236 .01923 L
.01923 .01923 L
F
0 g
.01923 .12125 m
.02894 .12092 L
.03866 .11992 L
.04837 .11826 L
.05663 .11636 L
.05808 .11596 L
.06779 .11304 L
.07751 .10952 L
.0845 .10664 L
.08722 .10544 L
.09693 .10083 L
.10442 .09693 L
.10664 .09572 L
.11636 .09015 L
.12119 .08722 L
.12607 .08416 L
.13578 .0778 L
.13622 .07751 L
.14549 .07111 L
.15015 .06779 L
.15521 .06412 L
.16334 .05808 L
.16492 .05689 L
.17463 .04944 L
.17601 .04837 L
.18434 .04182 L
.18833 .03866 L
.19406 .03407 L
.20042 .02894 L
.20377 .02623 L
.21236 .01923 L
s
.817 .183 .6 r
.01923 .87875 m
.02894 .87908 L
.03866 .88008 L
.04837 .88174 L
.05663 .88364 L
.05808 .88404 L
.06779 .88696 L
.07751 .89048 L
.0845 .89336 L
.08722 .89456 L
.09693 .89917 L
.10442 .90307 L
.10664 .90428 L
.11636 .90985 L
.12119 .91278 L
.12607 .91584 L
.13578 .9222 L
.13622 .92249 L
.14549 .92889 L
.15015 .93221 L
.15521 .93588 L
.16334 .94192 L
.16492 .94311 L
.17463 .95056 L
.17601 .95163 L
.18434 .95818 L
.18833 .96134 L
.19406 .96593 L
.20042 .97106 L
.20377 .97377 L
.21236 .98077 L
.01923 .98077 L
F
0 g
.01923 .87875 m
.02894 .87908 L
.03866 .88008 L
.04837 .88174 L
.05663 .88364 L
.05808 .88404 L
.06779 .88696 L
.07751 .89048 L
.0845 .89336 L
.08722 .89456 L
.09693 .89917 L
.10442 .90307 L
.10664 .90428 L
.11636 .90985 L
.12119 .91278 L
.12607 .91584 L
.13578 .9222 L
.13622 .92249 L
.14549 .92889 L
.15015 .93221 L
.15521 .93588 L
.16334 .94192 L
.16492 .94311 L
.17463 .95056 L
.17601 .95163 L
.18434 .95818 L
.18833 .96134 L
.19406 .96593 L
.20042 .97106 L
.20377 .97377 L
.21236 .98077 L
s
.833 .167 .6 r
.01923 .11043 m
.02894 .11011 L
.03866 .10914 L
.04837 .10752 L
.0526 .10664 L
.05808 .10529 L
.06779 .10244 L
.07751 .09902 L
.08278 .09693 L
.08722 .09504 L
.09693 .09055 L
.10352 .08722 L
.10664 .08556 L
.11636 .08013 L
.1208 .07751 L
.12607 .07428 L
.13578 .06807 L
.1362 .06779 L
.14549 .06153 L
.15044 .05808 L
.15521 .05469 L
.16389 .04837 L
.16492 .0476 L
.17463 .04031 L
.1768 .03866 L
.18434 .03284 L
.18934 .02894 L
.19406 .02523 L
.20163 .01923 L
.01923 .01923 L
F
0 g
.01923 .11043 m
.02894 .11011 L
.03866 .10914 L
.04837 .10752 L
.0526 .10664 L
.05808 .10529 L
.06779 .10244 L
.07751 .09902 L
.08278 .09693 L
.08722 .09504 L
.09693 .09055 L
.10352 .08722 L
.10664 .08556 L
.11636 .08013 L
.1208 .07751 L
.12607 .07428 L
.13578 .06807 L
.1362 .06779 L
.14549 .06153 L
.15044 .05808 L
.15521 .05469 L
.16389 .04837 L
.16492 .0476 L
.17463 .04031 L
.1768 .03866 L
.18434 .03284 L
.18934 .02894 L
.19406 .02523 L
.20163 .01923 L
s
.833 .167 .6 r
.01923 .88957 m
.02894 .88989 L
.03866 .89086 L
.04837 .89248 L
.0526 .89336 L
.05808 .89471 L
.06779 .89756 L
.07751 .90098 L
.08278 .90307 L
.08722 .90496 L
.09693 .90945 L
.10352 .91278 L
.10664 .91444 L
.11636 .91987 L
.1208 .92249 L
.12607 .92572 L
.13578 .93193 L
.1362 .93221 L
.14549 .93847 L
.15044 .94192 L
.15521 .94531 L
.16389 .95163 L
.16492 .9524 L
.17463 .95969 L
.1768 .96134 L
.18434 .96716 L
.18934 .97106 L
.19406 .97477 L
.20163 .98077 L
.01923 .98077 L
F
0 g
.01923 .88957 m
.02894 .88989 L
.03866 .89086 L
.04837 .89248 L
.0526 .89336 L
.05808 .89471 L
.06779 .89756 L
.07751 .90098 L
.08278 .90307 L
.08722 .90496 L
.09693 .90945 L
.10352 .91278 L
.10664 .91444 L
.11636 .91987 L
.1208 .92249 L
.12607 .92572 L
.13578 .93193 L
.1362 .93221 L
.14549 .93847 L
.15044 .94192 L
.15521 .94531 L
.16389 .95163 L
.16492 .9524 L
.17463 .95969 L
.1768 .96134 L
.18434 .96716 L
.18934 .97106 L
.19406 .97477 L
.20163 .98077 L
s
.85 .15 .6 r
.01923 .09991 m
.02894 .09959 L
.03866 .09864 L
.04837 .09707 L
.0491 .09693 L
.05808 .09489 L
.06779 .09212 L
.07751 .08878 L
.0816 .08722 L
.08722 .0849 L
.09693 .08052 L
.10305 .07751 L
.10664 .07565 L
.11636 .07034 L
.12077 .06779 L
.12607 .06463 L
.13578 .05855 L
.13651 .05808 L
.14549 .05215 L
.15102 .04837 L
.15521 .04545 L
.16471 .03866 L
.16492 .03851 L
.17463 .03135 L
.17785 .02894 L
.18434 .02402 L
.1906 .01923 L
.01923 .01923 L
F
0 g
.01923 .09991 m
.02894 .09959 L
.03866 .09864 L
.04837 .09707 L
.0491 .09693 L
.05808 .09489 L
.06779 .09212 L
.07751 .08878 L
.0816 .08722 L
.08722 .0849 L
.09693 .08052 L
.10305 .07751 L
.10664 .07565 L
.11636 .07034 L
.12077 .06779 L
.12607 .06463 L
.13578 .05855 L
.13651 .05808 L
.14549 .05215 L
.15102 .04837 L
.15521 .04545 L
.16471 .03866 L
.16492 .03851 L
.17463 .03135 L
.17785 .02894 L
.18434 .02402 L
.1906 .01923 L
s
.85 .15 .6 r
.01923 .90009 m
.02894 .90041 L
.03866 .90136 L
.04837 .90293 L
.0491 .90307 L
.05808 .90511 L
.06779 .90788 L
.07751 .91122 L
.0816 .91278 L
.08722 .9151 L
.09693 .91948 L
.10305 .92249 L
.10664 .92435 L
.11636 .92966 L
.12077 .93221 L
.12607 .93537 L
.13578 .94145 L
.13651 .94192 L
.14549 .94785 L
.15102 .95163 L
.15521 .95455 L
.16471 .96134 L
.16492 .96149 L
.17463 .96865 L
.17785 .97106 L
.18434 .97598 L
.1906 .98077 L
.01923 .98077 L
F
0 g
.01923 .90009 m
.02894 .90041 L
.03866 .90136 L
.04837 .90293 L
.0491 .90307 L
.05808 .90511 L
.06779 .90788 L
.07751 .91122 L
.0816 .91278 L
.08722 .9151 L
.09693 .91948 L
.10305 .92249 L
.10664 .92435 L
.11636 .92966 L
.12077 .93221 L
.12607 .93537 L
.13578 .94145 L
.13651 .94192 L
.14549 .94785 L
.15102 .95163 L
.15521 .95455 L
.16471 .96134 L
.16492 .96149 L
.17463 .96865 L
.17785 .97106 L
.18434 .97598 L
.1906 .98077 L
s
.867 .133 .6 r
.01923 .08965 m
.02894 .08934 L
.03866 .08841 L
.0467 .08722 L
.04837 .08688 L
.05808 .08476 L
.06779 .08205 L
.07751 .0788 L
.08098 .07751 L
.08722 .07501 L
.09693 .07072 L
.10302 .06779 L
.10664 .06596 L
.11636 .06077 L
.12112 .05808 L
.12607 .05518 L
.13578 .04923 L
.13715 .04837 L
.14549 .04296 L
.15191 .03866 L
.15521 .0364 L
.16492 .02959 L
.16582 .02894 L
.17463 .02256 L
.17916 .01923 L
.01923 .01923 L
F
0 g
.01923 .08965 m
.02894 .08934 L
.03866 .08841 L
.0467 .08722 L
.04837 .08688 L
.05808 .08476 L
.06779 .08205 L
.07751 .0788 L
.08098 .07751 L
.08722 .07501 L
.09693 .07072 L
.10302 .06779 L
.10664 .06596 L
.11636 .06077 L
.12112 .05808 L
.12607 .05518 L
.13578 .04923 L
.13715 .04837 L
.14549 .04296 L
.15191 .03866 L
.15521 .0364 L
.16492 .02959 L
.16582 .02894 L
.17463 .02256 L
.17916 .01923 L
s
.867 .133 .6 r
.01923 .91035 m
.02894 .91066 L
.03866 .91159 L
.0467 .91278 L
.04837 .91312 L
.05808 .91524 L
.06779 .91795 L
.07751 .9212 L
.08098 .92249 L
.08722 .92499 L
.09693 .92928 L
.10302 .93221 L
.10664 .93404 L
.11636 .93923 L
.12112 .94192 L
.12607 .94482 L
.13578 .95077 L
.13715 .95163 L
.14549 .95704 L
.15191 .96134 L
.15521 .9636 L
.16492 .97041 L
.16582 .97106 L
.17463 .97744 L
.17916 .98077 L
.01923 .98077 L
F
0 g
.01923 .91035 m
.02894 .91066 L
.03866 .91159 L
.0467 .91278 L
.04837 .91312 L
.05808 .91524 L
.06779 .91795 L
.07751 .9212 L
.08098 .92249 L
.08722 .92499 L
.09693 .92928 L
.10302 .93221 L
.10664 .93404 L
.11636 .93923 L
.12112 .94192 L
.12607 .94482 L
.13578 .95077 L
.13715 .95163 L
.14549 .95704 L
.15191 .96134 L
.15521 .9636 L
.16492 .97041 L
.16582 .97106 L
.17463 .97744 L
.17916 .98077 L
s
.883 .117 .6 r
.01923 .07964 m
.02894 .07934 L
.03866 .07844 L
.04536 .07751 L
.04837 .07694 L
.05808 .07486 L
.06779 .07222 L
.07751 .06904 L
.08094 .06779 L
.08722 .06534 L
.09693 .06114 L
.10343 .05808 L
.10664 .05649 L
.11636 .05141 L
.12184 .04837 L
.12607 .04594 L
.13578 .0401 L
.13811 .03866 L
.14549 .03395 L
.15308 .02894 L
.15521 .02751 L
.16492 .02083 L
.1672 .01923 L
.01923 .01923 L
F
0 g
.01923 .07964 m
.02894 .07934 L
.03866 .07844 L
.04536 .07751 L
.04837 .07694 L
.05808 .07486 L
.06779 .07222 L
.07751 .06904 L
.08094 .06779 L
.08722 .06534 L
.09693 .06114 L
.10343 .05808 L
.10664 .05649 L
.11636 .05141 L
.12184 .04837 L
.12607 .04594 L
.13578 .0401 L
.13811 .03866 L
.14549 .03395 L
.15308 .02894 L
.15521 .02751 L
.16492 .02083 L
.1672 .01923 L
s
.883 .117 .6 r
.01923 .92036 m
.02894 .92066 L
.03866 .92156 L
.04536 .92249 L
.04837 .92306 L
.05808 .92514 L
.06779 .92778 L
.07751 .93096 L
.08094 .93221 L
.08722 .93466 L
.09693 .93886 L
.10343 .94192 L
.10664 .94351 L
.11636 .94859 L
.12184 .95163 L
.12607 .95406 L
.13578 .9599 L
.13811 .96134 L
.14549 .96605 L
.15308 .97106 L
.15521 .97249 L
.16492 .97917 L
.1672 .98077 L
.01923 .98077 L
F
0 g
.01923 .92036 m
.02894 .92066 L
.03866 .92156 L
.04536 .92249 L
.04837 .92306 L
.05808 .92514 L
.06779 .92778 L
.07751 .93096 L
.08094 .93221 L
.08722 .93466 L
.09693 .93886 L
.10343 .94192 L
.10664 .94351 L
.11636 .94859 L
.12184 .95163 L
.12607 .95406 L
.13578 .9599 L
.13811 .96134 L
.14549 .96605 L
.15308 .97106 L
.15521 .97249 L
.16492 .97917 L
.1672 .98077 L
s
.9 .1 .6 r
.01923 .06986 m
.02894 .06957 L
.03866 .06869 L
.04527 .06779 L
.04837 .06723 L
.05808 .0652 L
.06779 .06261 L
.07751 .0595 L
.08148 .05808 L
.08722 .05588 L
.09693 .05177 L
.10427 .04837 L
.10664 .04721 L
.11636 .04224 L
.12291 .03866 L
.12607 .03687 L
.13578 .03115 L
.13939 .02894 L
.14549 .02512 L
.15455 .01923 L
.01923 .01923 L
F
0 g
.01923 .06986 m
.02894 .06957 L
.03866 .06869 L
.04527 .06779 L
.04837 .06723 L
.05808 .0652 L
.06779 .06261 L
.07751 .0595 L
.08148 .05808 L
.08722 .05588 L
.09693 .05177 L
.10427 .04837 L
.10664 .04721 L
.11636 .04224 L
.12291 .03866 L
.12607 .03687 L
.13578 .03115 L
.13939 .02894 L
.14549 .02512 L
.15455 .01923 L
s
.9 .1 .6 r
.01923 .93014 m
.02894 .93043 L
.03866 .93131 L
.04527 .93221 L
.04837 .93277 L
.05808 .9348 L
.06779 .93739 L
.07751 .9405 L
.08148 .94192 L
.08722 .94412 L
.09693 .94823 L
.10427 .95163 L
.10664 .95279 L
.11636 .95776 L
.12291 .96134 L
.12607 .96313 L
.13578 .96885 L
.13939 .97106 L
.14549 .97488 L
.15455 .98077 L
.01923 .98077 L
F
0 g
.01923 .93014 m
.02894 .93043 L
.03866 .93131 L
.04527 .93221 L
.04837 .93277 L
.05808 .9348 L
.06779 .93739 L
.07751 .9405 L
.08148 .94192 L
.08722 .94412 L
.09693 .94823 L
.10427 .95163 L
.10664 .95279 L
.11636 .95776 L
.12291 .96134 L
.12607 .96313 L
.13578 .96885 L
.13939 .97106 L
.14549 .97488 L
.15455 .98077 L
s
.917 .083 .6 r
.01923 .06031 m
.02894 .06002 L
.03866 .05915 L
.04646 .05808 L
.04837 .05772 L
.05808 .05574 L
.06779 .05321 L
.07751 .05016 L
.08259 .04837 L
.08722 .04661 L
.09693 .04259 L
.10554 .03866 L
.10664 .03813 L
.11636 .03324 L
.12434 .02894 L
.12607 .02798 L
.13578 .02237 L
.14098 .01923 L
.01923 .01923 L
F
0 g
.01923 .06031 m
.02894 .06002 L
.03866 .05915 L
.04646 .05808 L
.04837 .05772 L
.05808 .05574 L
.06779 .05321 L
.07751 .05016 L
.08259 .04837 L
.08722 .04661 L
.09693 .04259 L
.10554 .03866 L
.10664 .03813 L
.11636 .03324 L
.12434 .02894 L
.12607 .02798 L
.13578 .02237 L
.14098 .01923 L
s
.917 .083 .6 r
.01923 .93969 m
.02894 .93998 L
.03866 .94085 L
.04646 .94192 L
.04837 .94228 L
.05808 .94426 L
.06779 .94679 L
.07751 .94984 L
.08259 .95163 L
.08722 .95339 L
.09693 .95741 L
.10554 .96134 L
.10664 .96187 L
.11636 .96676 L
.12434 .97106 L
.12607 .97202 L
.13578 .97763 L
.14098 .98077 L
.01923 .98077 L
F
0 g
.01923 .93969 m
.02894 .93998 L
.03866 .94085 L
.04646 .94192 L
.04837 .94228 L
.05808 .94426 L
.06779 .94679 L
.07751 .94984 L
.08259 .95163 L
.08722 .95339 L
.09693 .95741 L
.10554 .96134 L
.10664 .96187 L
.11636 .96676 L
.12434 .97106 L
.12607 .97202 L
.13578 .97763 L
.14098 .98077 L
s
.933 .067 .6 r
.01923 .05095 m
.02894 .05067 L
.03866 .04982 L
.04837 .04842 L
.0487 .04837 L
.05808 .04648 L
.06779 .044 L
.07751 .04101 L
.08424 .03866 L
.08722 .03754 L
.09693 .03359 L
.10664 .02921 L
.10721 .02894 L
.11636 .02442 L
.12607 .01925 L
.12611 .01923 L
.01923 .01923 L
F
0 g
.01923 .05095 m
.02894 .05067 L
.03866 .04982 L
.04837 .04842 L
.0487 .04837 L
.05808 .04648 L
.06779 .044 L
.07751 .04101 L
.08424 .03866 L
.08722 .03754 L
.09693 .03359 L
.10664 .02921 L
.10721 .02894 L
.11636 .02442 L
.12607 .01925 L
.12611 .01923 L
s
.933 .067 .6 r
.01923 .94905 m
.02894 .94933 L
.03866 .95018 L
.04837 .95158 L
.0487 .95163 L
.05808 .95352 L
.06779 .956 L
.07751 .95899 L
.08424 .96134 L
.08722 .96246 L
.09693 .96641 L
.10664 .97079 L
.10721 .97106 L
.11636 .97558 L
.12607 .98075 L
.12611 .98077 L
.01923 .98077 L
F
0 g
.01923 .94905 m
.02894 .94933 L
.03866 .95018 L
.04837 .95158 L
.0487 .95163 L
.05808 .95352 L
.06779 .956 L
.07751 .95899 L
.08424 .96134 L
.08722 .96246 L
.09693 .96641 L
.10664 .97079 L
.10721 .97106 L
.11636 .97558 L
.12607 .98075 L
.12611 .98077 L
s
.95 .05 .6 r
.01923 .04179 m
.02894 .04151 L
.03866 .04068 L
.04837 .03931 L
.0521 .03866 L
.05808 .0374 L
.06779 .03498 L
.07751 .03204 L
.08639 .02894 L
.08722 .02863 L
.09693 .02476 L
.10664 .02046 L
.10927 .01923 L
.01923 .01923 L
F
0 g
.01923 .04179 m
.02894 .04151 L
.03866 .04068 L
.04837 .03931 L
.0521 .03866 L
.05808 .0374 L
.06779 .03498 L
.07751 .03204 L
.08639 .02894 L
.08722 .02863 L
.09693 .02476 L
.10664 .02046 L
.10927 .01923 L
s
.95 .05 .6 r
.01923 .95821 m
.02894 .95849 L
.03866 .95932 L
.04837 .96069 L
.0521 .96134 L
.05808 .9626 L
.06779 .96502 L
.07751 .96796 L
.08639 .97106 L
.08722 .97137 L
.09693 .97524 L
.10664 .97954 L
.10927 .98077 L
.01923 .98077 L
F
0 g
.01923 .95821 m
.02894 .95849 L
.03866 .95932 L
.04837 .96069 L
.0521 .96134 L
.05808 .9626 L
.06779 .96502 L
.07751 .96796 L
.08639 .97106 L
.08722 .97137 L
.09693 .97524 L
.10664 .97954 L
.10927 .98077 L
s
.967 .033 .6 r
.01923 .0328 m
.02894 .03253 L
.03866 .03172 L
.04837 .03037 L
.05608 .02894 L
.05808 .0285 L
.06779 .02612 L
.07751 .02324 L
.08722 .01989 L
.089 .01923 L
.01923 .01923 L
F
0 g
.01923 .0328 m
.02894 .03253 L
.03866 .03172 L
.04837 .03037 L
.05608 .02894 L
.05808 .0285 L
.06779 .02612 L
.07751 .02324 L
.08722 .01989 L
.089 .01923 L
s
.967 .033 .6 r
.01923 .9672 m
.02894 .96747 L
.03866 .96828 L
.04837 .96963 L
.05608 .97106 L
.05808 .9715 L
.06779 .97388 L
.07751 .97676 L
.08722 .98011 L
.089 .98077 L
.01923 .98077 L
F
0 g
.01923 .9672 m
.02894 .96747 L
.03866 .96828 L
.04837 .96963 L
.05608 .97106 L
.05808 .9715 L
.06779 .97388 L
.07751 .97676 L
.08722 .98011 L
.089 .98077 L
s
.983 .017 .6 r
.01923 .02399 m
.02894 .02372 L
.03866 .02293 L
.04837 .0216 L
.05808 .01977 L
.06053 .01923 L
.01923 .01923 L
F
0 g
.01923 .02399 m
.02894 .02372 L
.03866 .02293 L
.04837 .0216 L
.05808 .01977 L
.06053 .01923 L
s
.983 .017 .6 r
.01923 .97601 m
.02894 .97628 L
.03866 .97707 L
.04837 .9784 L
.05808 .98023 L
.06053 .98077 L
.01923 .98077 L
F
0 g
.01923 .97601 m
.02894 .97628 L
.03866 .97707 L
.04837 .9784 L
.05808 .98023 L
.06053 .98077 L
s
.5 .5 .6 r
.42558 .98077 m
.41744 .97734 L
.40773 .97279 L
.40428 .97106 L
.39802 .96775 L
.38831 .96222 L
.38683 .96134 L
.37859 .95622 L
.37165 .95163 L
.36888 .94974 L
.35917 .94279 L
.358 .94192 L
.34946 .93537 L
.34548 .93221 L
.33974 .9275 L
.33384 .92249 L
.33003 .91918 L
.3229 .91278 L
.32032 .91041 L
.31253 .90307 L
.31061 .90121 L
.30265 .89336 L
.30089 .89158 L
.29319 .88364 L
.29118 .88154 L
.28408 .87393 L
.28147 .87108 L
.2753 .86422 L
.27176 .86021 L
.26679 .85451 L
.26204 .84895 L
.25854 .84479 L
.25233 .83731 L
.25051 .83508 L
.24269 .82537 L
.24262 .82528 L
.23505 .81566 L
.23291 .81288 L
.22759 .80594 L
.22319 .80012 L
.22029 .79623 L
.21348 .787 L
.21313 .78652 L
.20611 .77681 L
.20377 .77352 L
.19923 .76709 L
.19406 .75969 L
.19246 .75738 L
.1858 .74767 L
.18434 .74552 L
.17926 .73796 L
.17463 .73099 L
.17282 .72824 L
.16649 .71853 L
.16492 .7161 L
.16025 .70882 L
.15521 .70085 L
.15411 .69911 L
.14807 .68939 L
.14549 .6852 L
.14213 .67968 L
.13629 .66997 L
.13578 .66912 L
.13055 .66026 L
.12607 .65255 L
.12492 .65054 L
.1194 .64083 L
.11636 .63539 L
.114 .63112 L
.10874 .62141 L
.10664 .61746 L
.10363 .61169 L
.09869 .60198 L
.09693 .59844 L
.09394 .59227 L
.08942 .58256 L
.08722 .57764 L
.08516 .57284 L
.08121 .56313 L
.07761 .55342 L
.07751 .55313 L
.07446 .54371 L
.07181 .53399 L
.06972 .52428 L
.06828 .51457 L
.06779 .50942 L
.06754 .50486 L
.06754 .49514 L
.06779 .49058 L
.06828 .48543 L
.06972 .47572 L
.07181 .46601 L
.07446 .45629 L
.07751 .44687 L
.07761 .44658 L
.08121 .43687 L
.08516 .42716 L
.08722 .42236 L
.08942 .41744 L
.09394 .40773 L
.09693 .40156 L
.09869 .39802 L
.10363 .38831 L
.10664 .38254 L
.10874 .37859 L
.114 .36888 L
.11636 .36461 L
.1194 .35917 L
.12492 .34946 L
.12607 .34745 L
.13055 .33974 L
.13578 .33088 L
.13629 .33003 L
.14213 .32032 L
.14549 .3148 L
.14807 .31061 L
.15411 .30089 L
.15521 .29915 L
.16025 .29118 L
.16492 .2839 L
.16649 .28147 L
.17282 .27176 L
.17463 .26901 L
.17926 .26204 L
.18434 .25448 L
.1858 .25233 L
.19246 .24262 L
.19406 .24031 L
.19923 .23291 L
.20377 .22648 L
.20611 .22319 L
.21313 .21348 L
.21348 .213 L
.22029 .20377 L
.22319 .19988 L
.22759 .19406 L
.23291 .18712 L
.23505 .18434 L
.24262 .17472 L
.24269 .17463 L
.25051 .16492 L
.25233 .16269 L
.25854 .15521 L
.26204 .15105 L
.26679 .14549 L
.27176 .13979 L
.2753 .13578 L
.28147 .12892 L
.28408 .12607 L
.29118 .11846 L
.29319 .11636 L
.30089 .10842 L
.30265 .10664 L
.31061 .09879 L
.31253 .09693 L
.32032 .08959 L
.3229 .08722 L
.33003 .08082 L
.33384 .07751 L
.33974 .0725 L
.34548 .06779 L
.34946 .06463 L
.358 .05808 L
.35917 .05721 L
.36888 .05026 L
.37165 .04837 L
.37859 .04378 L
.38683 .03866 L
.38831 .03778 L
.39802 .03225 L
.40428 .02894 L
.40773 .02721 L
.41744 .02266 L
.42558 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.42558 .98077 m
.41744 .97734 L
.40773 .97279 L
.40428 .97106 L
.39802 .96775 L
.38831 .96222 L
.38683 .96134 L
.37859 .95622 L
.37165 .95163 L
.36888 .94974 L
.35917 .94279 L
.358 .94192 L
.34946 .93537 L
.34548 .93221 L
.33974 .9275 L
.33384 .92249 L
.33003 .91918 L
.3229 .91278 L
.32032 .91041 L
.31253 .90307 L
.31061 .90121 L
.30265 .89336 L
.30089 .89158 L
.29319 .88364 L
.29118 .88154 L
.28408 .87393 L
.28147 .87108 L
.2753 .86422 L
.27176 .86021 L
.26679 .85451 L
.26204 .84895 L
.25854 .84479 L
.25233 .83731 L
.25051 .83508 L
.24269 .82537 L
.24262 .82528 L
.23505 .81566 L
.23291 .81288 L
.22759 .80594 L
.22319 .80012 L
.22029 .79623 L
.21348 .787 L
.21313 .78652 L
.20611 .77681 L
.20377 .77352 L
.19923 .76709 L
.19406 .75969 L
.19246 .75738 L
.1858 .74767 L
.18434 .74552 L
Mistroke
.17926 .73796 L
.17463 .73099 L
.17282 .72824 L
.16649 .71853 L
.16492 .7161 L
.16025 .70882 L
.15521 .70085 L
.15411 .69911 L
.14807 .68939 L
.14549 .6852 L
.14213 .67968 L
.13629 .66997 L
.13578 .66912 L
.13055 .66026 L
.12607 .65255 L
.12492 .65054 L
.1194 .64083 L
.11636 .63539 L
.114 .63112 L
.10874 .62141 L
.10664 .61746 L
.10363 .61169 L
.09869 .60198 L
.09693 .59844 L
.09394 .59227 L
.08942 .58256 L
.08722 .57764 L
.08516 .57284 L
.08121 .56313 L
.07761 .55342 L
.07751 .55313 L
.07446 .54371 L
.07181 .53399 L
.06972 .52428 L
.06828 .51457 L
.06779 .50942 L
.06754 .50486 L
.06754 .49514 L
.06779 .49058 L
.06828 .48543 L
.06972 .47572 L
.07181 .46601 L
.07446 .45629 L
.07751 .44687 L
.07761 .44658 L
.08121 .43687 L
.08516 .42716 L
.08722 .42236 L
.08942 .41744 L
.09394 .40773 L
Mistroke
.09693 .40156 L
.09869 .39802 L
.10363 .38831 L
.10664 .38254 L
.10874 .37859 L
.114 .36888 L
.11636 .36461 L
.1194 .35917 L
.12492 .34946 L
.12607 .34745 L
.13055 .33974 L
.13578 .33088 L
.13629 .33003 L
.14213 .32032 L
.14549 .3148 L
.14807 .31061 L
.15411 .30089 L
.15521 .29915 L
.16025 .29118 L
.16492 .2839 L
.16649 .28147 L
.17282 .27176 L
.17463 .26901 L
.17926 .26204 L
.18434 .25448 L
.1858 .25233 L
.19246 .24262 L
.19406 .24031 L
.19923 .23291 L
.20377 .22648 L
.20611 .22319 L
.21313 .21348 L
.21348 .213 L
.22029 .20377 L
.22319 .19988 L
.22759 .19406 L
.23291 .18712 L
.23505 .18434 L
.24262 .17472 L
.24269 .17463 L
.25051 .16492 L
.25233 .16269 L
.25854 .15521 L
.26204 .15105 L
.26679 .14549 L
.27176 .13979 L
.2753 .13578 L
.28147 .12892 L
.28408 .12607 L
.29118 .11846 L
Mistroke
.29319 .11636 L
.30089 .10842 L
.30265 .10664 L
.31061 .09879 L
.31253 .09693 L
.32032 .08959 L
.3229 .08722 L
.33003 .08082 L
.33384 .07751 L
.33974 .0725 L
.34548 .06779 L
.34946 .06463 L
.358 .05808 L
.35917 .05721 L
.36888 .05026 L
.37165 .04837 L
.37859 .04378 L
.38683 .03866 L
.38831 .03778 L
.39802 .03225 L
.40428 .02894 L
.40773 .02721 L
.41744 .02266 L
.42558 .01923 L
Mfstroke
.483 .517 .6 r
.45142 .98077 m
.44658 .97941 L
.43687 .9763 L
.42716 .97268 L
.4232 .97106 L
.41744 .96855 L
.40773 .96391 L
.40275 .96134 L
.39802 .95878 L
.38831 .95314 L
.38584 .95163 L
.37859 .94701 L
.37105 .94192 L
.36888 .9404 L
.35917 .9333 L
.35773 .93221 L
.34946 .92572 L
.3455 .92249 L
.33974 .91766 L
.33412 .91278 L
.33003 .90914 L
.32341 .90307 L
.32032 .90016 L
.31328 .89336 L
.31061 .89071 L
.30362 .88364 L
.30089 .88082 L
.29438 .87393 L
.29118 .87048 L
.28549 .86422 L
.28147 .8597 L
.27693 .85451 L
.27176 .84848 L
.26864 .84479 L
.26204 .83683 L
.26062 .83508 L
.25282 .82537 L
.25233 .82475 L
.24524 .81566 L
.24262 .81224 L
.23785 .80594 L
.23291 .7993 L
.23065 .79623 L
.22361 .78652 L
.22319 .78593 L
.21674 .77681 L
.21348 .77213 L
.21002 .76709 L
.20377 .75787 L
.20344 .75738 L
.197 .74767 L
.19406 .74316 L
.1907 .73796 L
.18452 .72824 L
.18434 .72796 L
.17848 .71853 L
.17463 .71223 L
.17257 .70882 L
.16679 .69911 L
.16492 .69592 L
.16113 .68939 L
.15561 .67968 L
.15521 .67896 L
.15023 .66997 L
.14549 .66119 L
.14499 .66026 L
.13991 .65054 L
.13578 .64243 L
.13498 .64083 L
.13023 .63112 L
.12607 .6223 L
.12566 .62141 L
.12129 .61169 L
.11714 .60198 L
.11636 .60008 L
.11324 .59227 L
.1096 .58256 L
.10664 .57405 L
.10625 .57284 L
.10322 .56313 L
.10055 .55342 L
.09826 .54371 L
.09693 .53715 L
.09638 .53399 L
.09495 .52428 L
.09398 .51457 L
.09349 .50486 L
.09349 .49514 L
.09398 .48543 L
.09495 .47572 L
.09638 .46601 L
.09693 .46285 L
.09826 .45629 L
.10055 .44658 L
.10322 .43687 L
.10625 .42716 L
.10664 .42595 L
.1096 .41744 L
.11324 .40773 L
.11636 .39992 L
.11714 .39802 L
.12129 .38831 L
.12566 .37859 L
.12607 .3777 L
.13023 .36888 L
.13498 .35917 L
.13578 .35757 L
.13991 .34946 L
.14499 .33974 L
.14549 .33881 L
.15023 .33003 L
.15521 .32104 L
.15561 .32032 L
.16113 .31061 L
.16492 .30408 L
.16679 .30089 L
.17257 .29118 L
.17463 .28777 L
.17848 .28147 L
.18434 .27204 L
.18452 .27176 L
.1907 .26204 L
.19406 .25684 L
.197 .25233 L
.20344 .24262 L
.20377 .24213 L
.21002 .23291 L
.21348 .22787 L
.21674 .22319 L
.22319 .21407 L
.22361 .21348 L
.23065 .20377 L
.23291 .2007 L
.23785 .19406 L
.24262 .18776 L
.24524 .18434 L
.25233 .17525 L
.25282 .17463 L
.26062 .16492 L
.26204 .16317 L
.26864 .15521 L
.27176 .15152 L
.27693 .14549 L
.28147 .1403 L
.28549 .13578 L
.29118 .12952 L
.29438 .12607 L
.30089 .11918 L
.30362 .11636 L
.31061 .10929 L
.31328 .10664 L
.32032 .09984 L
.32341 .09693 L
.33003 .09086 L
.33412 .08722 L
.33974 .08234 L
.3455 .07751 L
.34946 .07428 L
.35773 .06779 L
.35917 .0667 L
.36888 .0596 L
.37105 .05808 L
.37859 .05299 L
.38584 .04837 L
.38831 .04686 L
.39802 .04122 L
.40275 .03866 L
.40773 .03609 L
.41744 .03145 L
.4232 .02894 L
.42716 .02732 L
.43687 .0237 L
.44658 .02059 L
.45142 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.45142 .98077 m
.44658 .97941 L
.43687 .9763 L
.42716 .97268 L
.4232 .97106 L
.41744 .96855 L
.40773 .96391 L
.40275 .96134 L
.39802 .95878 L
.38831 .95314 L
.38584 .95163 L
.37859 .94701 L
.37105 .94192 L
.36888 .9404 L
.35917 .9333 L
.35773 .93221 L
.34946 .92572 L
.3455 .92249 L
.33974 .91766 L
.33412 .91278 L
.33003 .90914 L
.32341 .90307 L
.32032 .90016 L
.31328 .89336 L
.31061 .89071 L
.30362 .88364 L
.30089 .88082 L
.29438 .87393 L
.29118 .87048 L
.28549 .86422 L
.28147 .8597 L
.27693 .85451 L
.27176 .84848 L
.26864 .84479 L
.26204 .83683 L
.26062 .83508 L
.25282 .82537 L
.25233 .82475 L
.24524 .81566 L
.24262 .81224 L
.23785 .80594 L
.23291 .7993 L
.23065 .79623 L
.22361 .78652 L
.22319 .78593 L
.21674 .77681 L
.21348 .77213 L
.21002 .76709 L
.20377 .75787 L
.20344 .75738 L
Mistroke
.197 .74767 L
.19406 .74316 L
.1907 .73796 L
.18452 .72824 L
.18434 .72796 L
.17848 .71853 L
.17463 .71223 L
.17257 .70882 L
.16679 .69911 L
.16492 .69592 L
.16113 .68939 L
.15561 .67968 L
.15521 .67896 L
.15023 .66997 L
.14549 .66119 L
.14499 .66026 L
.13991 .65054 L
.13578 .64243 L
.13498 .64083 L
.13023 .63112 L
.12607 .6223 L
.12566 .62141 L
.12129 .61169 L
.11714 .60198 L
.11636 .60008 L
.11324 .59227 L
.1096 .58256 L
.10664 .57405 L
.10625 .57284 L
.10322 .56313 L
.10055 .55342 L
.09826 .54371 L
.09693 .53715 L
.09638 .53399 L
.09495 .52428 L
.09398 .51457 L
.09349 .50486 L
.09349 .49514 L
.09398 .48543 L
.09495 .47572 L
.09638 .46601 L
.09693 .46285 L
.09826 .45629 L
.10055 .44658 L
.10322 .43687 L
.10625 .42716 L
.10664 .42595 L
.1096 .41744 L
.11324 .40773 L
.11636 .39992 L
Mistroke
.11714 .39802 L
.12129 .38831 L
.12566 .37859 L
.12607 .3777 L
.13023 .36888 L
.13498 .35917 L
.13578 .35757 L
.13991 .34946 L
.14499 .33974 L
.14549 .33881 L
.15023 .33003 L
.15521 .32104 L
.15561 .32032 L
.16113 .31061 L
.16492 .30408 L
.16679 .30089 L
.17257 .29118 L
.17463 .28777 L
.17848 .28147 L
.18434 .27204 L
.18452 .27176 L
.1907 .26204 L
.19406 .25684 L
.197 .25233 L
.20344 .24262 L
.20377 .24213 L
.21002 .23291 L
.21348 .22787 L
.21674 .22319 L
.22319 .21407 L
.22361 .21348 L
.23065 .20377 L
.23291 .2007 L
.23785 .19406 L
.24262 .18776 L
.24524 .18434 L
.25233 .17525 L
.25282 .17463 L
.26062 .16492 L
.26204 .16317 L
.26864 .15521 L
.27176 .15152 L
.27693 .14549 L
.28147 .1403 L
.28549 .13578 L
.29118 .12952 L
.29438 .12607 L
.30089 .11918 L
.30362 .11636 L
.31061 .10929 L
Mistroke
.31328 .10664 L
.32032 .09984 L
.32341 .09693 L
.33003 .09086 L
.33412 .08722 L
.33974 .08234 L
.3455 .07751 L
.34946 .07428 L
.35773 .06779 L
.35917 .0667 L
.36888 .0596 L
.37105 .05808 L
.37859 .05299 L
.38584 .04837 L
.38831 .04686 L
.39802 .04122 L
.40275 .03866 L
.40773 .03609 L
.41744 .03145 L
.4232 .02894 L
.42716 .02732 L
.43687 .0237 L
.44658 .02059 L
.45142 .01923 L
Mfstroke
.467 .533 .6 r
.45629 .0267 m
.46601 .02459 L
.47572 .023 L
.48543 .02194 L
.49514 .02141 L
.50486 .02141 L
.51457 .02194 L
.52428 .023 L
.53399 .02459 L
.54371 .0267 L
.55207 .02894 L
.55342 .02935 L
.56313 .03251 L
.57284 .0362 L
.57866 .03866 L
.58256 .04041 L
.59227 .04514 L
.59837 .04837 L
.60198 .05038 L
.61169 .05613 L
.61481 .05808 L
.62141 .06238 L
.62923 .06779 L
.63112 .06915 L
.64083 .07641 L
.64225 .07751 L
.65054 .08416 L
.65421 .08722 L
.66026 .09241 L
.66535 .09693 L
.66997 .10115 L
.67582 .10664 L
.67968 .11037 L
.68573 .11636 L
.68939 .12007 L
.69517 .12607 L
.69911 .13026 L
.70419 .13578 L
.70882 .14092 L
.71286 .14549 L
.71853 .15205 L
.72121 .15521 L
.72824 .16366 L
.72927 .16492 L
.73708 .17463 L
.73796 .17575 L
.74464 .18434 L
.74767 .18831 L
.75199 .19406 L
.75738 .20137 L
.75913 .20377 L
.76608 .21348 L
.76709 .21493 L
.77285 .22319 L
.77681 .229 L
.77944 .23291 L
.78588 .24262 L
.78652 .2436 L
.79215 .25233 L
.79623 .25878 L
.79827 .26204 L
.80423 .27176 L
.80594 .27458 L
.81005 .28147 L
.81566 .29107 L
.81572 .29118 L
.82123 .30089 L
.82537 .30836 L
.8266 .31061 L
.8318 .32032 L
.83508 .32659 L
.83685 .33003 L
.84173 .33974 L
.84479 .34602 L
.84644 .34946 L
.85097 .35917 L
.85451 .36707 L
.8553 .36888 L
.85943 .37859 L
.86334 .38831 L
.86422 .39058 L
.86701 .39802 L
.87044 .40773 L
.87361 .41744 L
.87393 .41849 L
.87648 .42716 L
.87905 .43687 L
.88131 .44658 L
.88322 .45629 L
.88364 .4587 L
.88477 .46601 L
.88594 .47572 L
.88674 .48543 L
.88713 .49514 L
.88713 .50486 L
.88674 .51457 L
.88594 .52428 L
.88477 .53399 L
.88364 .5413 L
.88322 .54371 L
.88131 .55342 L
.87905 .56313 L
.87648 .57284 L
.87393 .58151 L
.87361 .58256 L
.87044 .59227 L
.86701 .60198 L
.86422 .60942 L
.86334 .61169 L
.85943 .62141 L
.8553 .63112 L
.85451 .63293 L
.85097 .64083 L
.84644 .65054 L
.84479 .65398 L
.84173 .66026 L
.83685 .66997 L
.83508 .67341 L
.8318 .67968 L
.8266 .68939 L
.82537 .69164 L
.82123 .69911 L
.81572 .70882 L
.81566 .70893 L
.81005 .71853 L
.80594 .72542 L
.80423 .72824 L
.79827 .73796 L
.79623 .74122 L
.79215 .74767 L
.78652 .7564 L
.78588 .75738 L
.77944 .76709 L
.77681 .771 L
.77285 .77681 L
.76709 .78507 L
.76608 .78652 L
.75913 .79623 L
.75738 .79863 L
.75199 .80594 L
.74767 .81169 L
.74464 .81566 L
.73796 .82425 L
.73708 .82537 L
.72927 .83508 L
.72824 .83634 L
.72121 .84479 L
.71853 .84795 L
.71286 .85451 L
.70882 .85908 L
.70419 .86422 L
.69911 .86974 L
.69517 .87393 L
.68939 .87993 L
.68573 .88364 L
.67968 .88963 L
.67582 .89336 L
.66997 .89885 L
.66535 .90307 L
.66026 .90759 L
.65421 .91278 L
.65054 .91584 L
.64225 .92249 L
.64083 .92359 L
.63112 .93085 L
.62923 .93221 L
.62141 .93762 L
.61481 .94192 L
.61169 .94387 L
.60198 .94962 L
.59837 .95163 L
.59227 .95486 L
.58256 .95959 L
.57866 .96134 L
.57284 .9638 L
.56313 .96749 L
.55342 .97065 L
.55207 .97106 L
.54371 .9733 L
.53399 .97541 L
.52428 .977 L
.51457 .97806 L
.50486 .97859 L
.49514 .97859 L
.48543 .97806 L
.47572 .977 L
.46601 .97541 L
.45629 .9733 L
.44793 .97106 L
.44658 .97065 L
.43687 .96749 L
.42716 .9638 L
.42134 .96134 L
.41744 .95959 L
.40773 .95486 L
.40163 .95163 L
.39802 .94962 L
.38831 .94387 L
.38519 .94192 L
.37859 .93762 L
.37077 .93221 L
.36888 .93085 L
.35917 .92359 L
.35775 .92249 L
.34946 .91584 L
.34579 .91278 L
.33974 .90759 L
.33465 .90307 L
.33003 .89885 L
.32418 .89336 L
.32032 .88963 L
.31427 .88364 L
.31061 .87993 L
.30483 .87393 L
.30089 .86974 L
.29581 .86422 L
.29118 .85908 L
.28714 .85451 L
.28147 .84795 L
.27879 .84479 L
.27176 .83634 L
.27073 .83508 L
.26292 .82537 L
.26204 .82425 L
.25536 .81566 L
.25233 .81169 L
.24801 .80594 L
.24262 .79863 L
.24087 .79623 L
.23392 .78652 L
.23291 .78507 L
.22715 .77681 L
.22319 .771 L
.22056 .76709 L
.21412 .75738 L
.21348 .7564 L
.20785 .74767 L
.20377 .74122 L
.20173 .73796 L
.19577 .72824 L
.19406 .72542 L
.18995 .71853 L
.18434 .70893 L
.18428 .70882 L
.17877 .69911 L
.17463 .69164 L
.1734 .68939 L
.1682 .67968 L
.16492 .67341 L
.16315 .66997 L
.15827 .66026 L
.15521 .65398 L
.15356 .65054 L
.14903 .64083 L
.14549 .63293 L
.1447 .63112 L
.14057 .62141 L
.13666 .61169 L
.13578 .60942 L
.13299 .60198 L
.12956 .59227 L
.12639 .58256 L
.12607 .58151 L
.12352 .57284 L
.12095 .56313 L
.11869 .55342 L
.11678 .54371 L
.11636 .5413 L
.11523 .53399 L
.11406 .52428 L
.11326 .51457 L
.11287 .50486 L
.11287 .49514 L
.11326 .48543 L
.11406 .47572 L
.11523 .46601 L
.11636 .4587 L
.11678 .45629 L
.11869 .44658 L
.12095 .43687 L
.12352 .42716 L
.12607 .41849 L
.12639 .41744 L
.12956 .40773 L
.13299 .39802 L
.13578 .39058 L
.13666 .38831 L
.14057 .37859 L
.1447 .36888 L
.14549 .36707 L
.14903 .35917 L
.15356 .34946 L
.15521 .34602 L
.15827 .33974 L
.16315 .33003 L
.16492 .32659 L
.1682 .32032 L
.1734 .31061 L
.17463 .30836 L
.17877 .30089 L
.18428 .29118 L
.18434 .29107 L
.18995 .28147 L
.19406 .27458 L
.19577 .27176 L
.20173 .26204 L
.20377 .25878 L
.20785 .25233 L
.21348 .2436 L
.21412 .24262 L
.22056 .23291 L
.22319 .229 L
.22715 .22319 L
.23291 .21493 L
.23392 .21348 L
.24087 .20377 L
.24262 .20137 L
.24801 .19406 L
.25233 .18831 L
.25536 .18434 L
.26204 .17575 L
.26292 .17463 L
.27073 .16492 L
.27176 .16366 L
.27879 .15521 L
.28147 .15205 L
.28714 .14549 L
.29118 .14092 L
.29581 .13578 L
.30089 .13026 L
.30483 .12607 L
.31061 .12007 L
.31427 .11636 L
.32032 .11037 L
.32418 .10664 L
.33003 .10115 L
.33465 .09693 L
.33974 .09241 L
.34579 .08722 L
.34946 .08416 L
.35775 .07751 L
.35917 .07641 L
.36888 .06915 L
.37077 .06779 L
.37859 .06238 L
.38519 .05808 L
.38831 .05613 L
.39802 .05038 L
.40163 .04837 L
.40773 .04514 L
.41744 .04041 L
.42134 .03866 L
.42716 .0362 L
.43687 .03251 L
.44658 .02935 L
.44793 .02894 L
F
0 g
.45629 .0267 m
.46601 .02459 L
.47572 .023 L
.48543 .02194 L
.49514 .02141 L
.50486 .02141 L
.51457 .02194 L
.52428 .023 L
.53399 .02459 L
.54371 .0267 L
.55207 .02894 L
.55342 .02935 L
.56313 .03251 L
.57284 .0362 L
.57866 .03866 L
.58256 .04041 L
.59227 .04514 L
.59837 .04837 L
.60198 .05038 L
.61169 .05613 L
.61481 .05808 L
.62141 .06238 L
.62923 .06779 L
.63112 .06915 L
.64083 .07641 L
.64225 .07751 L
.65054 .08416 L
.65421 .08722 L
.66026 .09241 L
.66535 .09693 L
.66997 .10115 L
.67582 .10664 L
.67968 .11037 L
.68573 .11636 L
.68939 .12007 L
.69517 .12607 L
.69911 .13026 L
.70419 .13578 L
.70882 .14092 L
.71286 .14549 L
.71853 .15205 L
.72121 .15521 L
.72824 .16366 L
.72927 .16492 L
.73708 .17463 L
.73796 .17575 L
.74464 .18434 L
.74767 .18831 L
.75199 .19406 L
.75738 .20137 L
Mistroke
.75913 .20377 L
.76608 .21348 L
.76709 .21493 L
.77285 .22319 L
.77681 .229 L
.77944 .23291 L
.78588 .24262 L
.78652 .2436 L
.79215 .25233 L
.79623 .25878 L
.79827 .26204 L
.80423 .27176 L
.80594 .27458 L
.81005 .28147 L
.81566 .29107 L
.81572 .29118 L
.82123 .30089 L
.82537 .30836 L
.8266 .31061 L
.8318 .32032 L
.83508 .32659 L
.83685 .33003 L
.84173 .33974 L
.84479 .34602 L
.84644 .34946 L
.85097 .35917 L
.85451 .36707 L
.8553 .36888 L
.85943 .37859 L
.86334 .38831 L
.86422 .39058 L
.86701 .39802 L
.87044 .40773 L
.87361 .41744 L
.87393 .41849 L
.87648 .42716 L
.87905 .43687 L
.88131 .44658 L
.88322 .45629 L
.88364 .4587 L
.88477 .46601 L
.88594 .47572 L
.88674 .48543 L
.88713 .49514 L
.88713 .50486 L
.88674 .51457 L
.88594 .52428 L
.88477 .53399 L
.88364 .5413 L
.88322 .54371 L
Mistroke
.88131 .55342 L
.87905 .56313 L
.87648 .57284 L
.87393 .58151 L
.87361 .58256 L
.87044 .59227 L
.86701 .60198 L
.86422 .60942 L
.86334 .61169 L
.85943 .62141 L
.8553 .63112 L
.85451 .63293 L
.85097 .64083 L
.84644 .65054 L
.84479 .65398 L
.84173 .66026 L
.83685 .66997 L
.83508 .67341 L
.8318 .67968 L
.8266 .68939 L
.82537 .69164 L
.82123 .69911 L
.81572 .70882 L
.81566 .70893 L
.81005 .71853 L
.80594 .72542 L
.80423 .72824 L
.79827 .73796 L
.79623 .74122 L
.79215 .74767 L
.78652 .7564 L
.78588 .75738 L
.77944 .76709 L
.77681 .771 L
.77285 .77681 L
.76709 .78507 L
.76608 .78652 L
.75913 .79623 L
.75738 .79863 L
.75199 .80594 L
.74767 .81169 L
.74464 .81566 L
.73796 .82425 L
.73708 .82537 L
.72927 .83508 L
.72824 .83634 L
.72121 .84479 L
.71853 .84795 L
.71286 .85451 L
.70882 .85908 L
Mistroke
.70419 .86422 L
.69911 .86974 L
.69517 .87393 L
.68939 .87993 L
.68573 .88364 L
.67968 .88963 L
.67582 .89336 L
.66997 .89885 L
.66535 .90307 L
.66026 .90759 L
.65421 .91278 L
.65054 .91584 L
.64225 .92249 L
.64083 .92359 L
.63112 .93085 L
.62923 .93221 L
.62141 .93762 L
.61481 .94192 L
.61169 .94387 L
.60198 .94962 L
.59837 .95163 L
.59227 .95486 L
.58256 .95959 L
.57866 .96134 L
.57284 .9638 L
.56313 .96749 L
.55342 .97065 L
.55207 .97106 L
.54371 .9733 L
.53399 .97541 L
.52428 .977 L
.51457 .97806 L
.50486 .97859 L
.49514 .97859 L
.48543 .97806 L
.47572 .977 L
.46601 .97541 L
.45629 .9733 L
.44793 .97106 L
.44658 .97065 L
.43687 .96749 L
.42716 .9638 L
.42134 .96134 L
.41744 .95959 L
.40773 .95486 L
.40163 .95163 L
.39802 .94962 L
.38831 .94387 L
.38519 .94192 L
.37859 .93762 L
Mistroke
.37077 .93221 L
.36888 .93085 L
.35917 .92359 L
.35775 .92249 L
.34946 .91584 L
.34579 .91278 L
.33974 .90759 L
.33465 .90307 L
.33003 .89885 L
.32418 .89336 L
.32032 .88963 L
.31427 .88364 L
.31061 .87993 L
.30483 .87393 L
.30089 .86974 L
.29581 .86422 L
.29118 .85908 L
.28714 .85451 L
.28147 .84795 L
.27879 .84479 L
.27176 .83634 L
.27073 .83508 L
.26292 .82537 L
.26204 .82425 L
.25536 .81566 L
.25233 .81169 L
.24801 .80594 L
.24262 .79863 L
.24087 .79623 L
.23392 .78652 L
.23291 .78507 L
.22715 .77681 L
.22319 .771 L
.22056 .76709 L
.21412 .75738 L
.21348 .7564 L
.20785 .74767 L
.20377 .74122 L
.20173 .73796 L
.19577 .72824 L
.19406 .72542 L
.18995 .71853 L
.18434 .70893 L
.18428 .70882 L
.17877 .69911 L
.17463 .69164 L
.1734 .68939 L
.1682 .67968 L
.16492 .67341 L
.16315 .66997 L
Mistroke
.15827 .66026 L
.15521 .65398 L
.15356 .65054 L
.14903 .64083 L
.14549 .63293 L
.1447 .63112 L
.14057 .62141 L
.13666 .61169 L
.13578 .60942 L
.13299 .60198 L
.12956 .59227 L
.12639 .58256 L
.12607 .58151 L
.12352 .57284 L
.12095 .56313 L
.11869 .55342 L
.11678 .54371 L
.11636 .5413 L
.11523 .53399 L
.11406 .52428 L
.11326 .51457 L
.11287 .50486 L
.11287 .49514 L
.11326 .48543 L
.11406 .47572 L
.11523 .46601 L
.11636 .4587 L
.11678 .45629 L
.11869 .44658 L
.12095 .43687 L
.12352 .42716 L
.12607 .41849 L
.12639 .41744 L
.12956 .40773 L
.13299 .39802 L
.13578 .39058 L
.13666 .38831 L
.14057 .37859 L
.1447 .36888 L
.14549 .36707 L
.14903 .35917 L
.15356 .34946 L
.15521 .34602 L
.15827 .33974 L
.16315 .33003 L
.16492 .32659 L
.1682 .32032 L
.1734 .31061 L
.17463 .30836 L
.17877 .30089 L
Mistroke
.18428 .29118 L
.18434 .29107 L
.18995 .28147 L
.19406 .27458 L
.19577 .27176 L
.20173 .26204 L
.20377 .25878 L
.20785 .25233 L
.21348 .2436 L
.21412 .24262 L
.22056 .23291 L
.22319 .229 L
.22715 .22319 L
.23291 .21493 L
.23392 .21348 L
.24087 .20377 L
.24262 .20137 L
.24801 .19406 L
.25233 .18831 L
.25536 .18434 L
.26204 .17575 L
.26292 .17463 L
.27073 .16492 L
.27176 .16366 L
.27879 .15521 L
.28147 .15205 L
.28714 .14549 L
.29118 .14092 L
.29581 .13578 L
.30089 .13026 L
.30483 .12607 L
.31061 .12007 L
.31427 .11636 L
.32032 .11037 L
.32418 .10664 L
.33003 .10115 L
.33465 .09693 L
.33974 .09241 L
.34579 .08722 L
.34946 .08416 L
.35775 .07751 L
.35917 .07641 L
.36888 .06915 L
.37077 .06779 L
.37859 .06238 L
.38519 .05808 L
.38831 .05613 L
.39802 .05038 L
.40163 .04837 L
.40773 .04514 L
Mistroke
.41744 .04041 L
.42134 .03866 L
.42716 .0362 L
.43687 .03251 L
.44658 .02935 L
.44793 .02894 L
.45629 .0267 L
Mfstroke
.45 .55 .6 r
.44658 .03826 m
.45629 .03557 L
.46601 .03341 L
.47572 .03179 L
.48543 .03071 L
.49514 .03017 L
.50486 .03017 L
.51457 .03071 L
.52428 .03179 L
.53399 .03341 L
.54371 .03557 L
.55342 .03826 L
.5547 .03866 L
.56313 .04149 L
.57284 .04525 L
.58001 .04837 L
.58256 .04955 L
.59227 .05437 L
.59911 .05808 L
.60198 .05972 L
.61169 .06559 L
.61513 .06779 L
.62141 .07199 L
.62921 .07751 L
.63112 .0789 L
.64083 .08634 L
.64194 .08722 L
.65054 .09428 L
.65365 .09693 L
.66026 .10274 L
.66455 .10664 L
.66997 .11171 L
.67479 .11636 L
.67968 .12119 L
.68449 .12607 L
.68939 .13118 L
.69371 .13578 L
.69911 .14168 L
.70253 .14549 L
.70882 .15268 L
.71098 .15521 L
.71853 .16421 L
.71912 .16492 L
.72696 .17463 L
.72824 .17625 L
.73454 .18434 L
.73796 .18883 L
.74187 .19406 L
.74767 .20195 L
.74898 .20377 L
.75588 .21348 L
.75738 .21563 L
.76258 .22319 L
.76709 .2299 L
.76909 .23291 L
.77541 .24262 L
.77681 .24479 L
.78156 .25233 L
.78652 .26036 L
.78754 .26204 L
.79335 .27176 L
.79623 .27668 L
.79899 .28147 L
.80447 .29118 L
.80594 .29385 L
.80978 .30089 L
.81492 .31061 L
.81566 .31202 L
.81989 .32032 L
.82469 .33003 L
.82537 .33144 L
.82931 .33974 L
.83374 .34946 L
.83508 .35249 L
.83797 .35917 L
.842 .36888 L
.84479 .37591 L
.84583 .37859 L
.84942 .38831 L
.85279 .39802 L
.85451 .40327 L
.85591 .40773 L
.85876 .41744 L
.86135 .42716 L
.86365 .43687 L
.86422 .4395 L
.86564 .44658 L
.86733 .45629 L
.86869 .46601 L
.86973 .47572 L
.87042 .48543 L
.87077 .49514 L
.87077 .50486 L
.87042 .51457 L
.86973 .52428 L
.86869 .53399 L
.86733 .54371 L
.86564 .55342 L
.86422 .5605 L
.86365 .56313 L
.86135 .57284 L
.85876 .58256 L
.85591 .59227 L
.85451 .59673 L
.85279 .60198 L
.84942 .61169 L
.84583 .62141 L
.84479 .62409 L
.842 .63112 L
.83797 .64083 L
.83508 .64751 L
.83374 .65054 L
.82931 .66026 L
.82537 .66856 L
.82469 .66997 L
.81989 .67968 L
.81566 .68798 L
.81492 .68939 L
.80978 .69911 L
.80594 .70615 L
.80447 .70882 L
.79899 .71853 L
.79623 .72332 L
.79335 .72824 L
.78754 .73796 L
.78652 .73964 L
.78156 .74767 L
.77681 .75521 L
.77541 .75738 L
.76909 .76709 L
.76709 .7701 L
.76258 .77681 L
.75738 .78437 L
.75588 .78652 L
.74898 .79623 L
.74767 .79805 L
.74187 .80594 L
.73796 .81117 L
.73454 .81566 L
.72824 .82375 L
.72696 .82537 L
.71912 .83508 L
.71853 .83579 L
.71098 .84479 L
.70882 .84732 L
.70253 .85451 L
.69911 .85832 L
.69371 .86422 L
.68939 .86882 L
.68449 .87393 L
.67968 .87881 L
.67479 .88364 L
.66997 .88829 L
.66455 .89336 L
.66026 .89726 L
.65365 .90307 L
.65054 .90572 L
.64194 .91278 L
.64083 .91366 L
.63112 .9211 L
.62921 .92249 L
.62141 .92801 L
.61513 .93221 L
.61169 .93441 L
.60198 .94028 L
.59911 .94192 L
.59227 .94563 L
.58256 .95045 L
.58001 .95163 L
.57284 .95475 L
.56313 .95851 L
.5547 .96134 L
.55342 .96174 L
.54371 .96443 L
.53399 .96659 L
.52428 .96821 L
.51457 .96929 L
.50486 .96983 L
.49514 .96983 L
.48543 .96929 L
.47572 .96821 L
.46601 .96659 L
.45629 .96443 L
.44658 .96174 L
.4453 .96134 L
.43687 .95851 L
.42716 .95475 L
.41999 .95163 L
.41744 .95045 L
.40773 .94563 L
.40089 .94192 L
.39802 .94028 L
.38831 .93441 L
.38487 .93221 L
.37859 .92801 L
.37079 .92249 L
.36888 .9211 L
.35917 .91366 L
.35806 .91278 L
.34946 .90572 L
.34635 .90307 L
.33974 .89726 L
.33545 .89336 L
.33003 .88829 L
.32521 .88364 L
.32032 .87881 L
.31551 .87393 L
.31061 .86882 L
.30629 .86422 L
.30089 .85832 L
.29747 .85451 L
.29118 .84732 L
.28902 .84479 L
.28147 .83579 L
.28088 .83508 L
.27304 .82537 L
.27176 .82375 L
.26546 .81566 L
.26204 .81117 L
.25813 .80594 L
.25233 .79805 L
.25102 .79623 L
.24412 .78652 L
.24262 .78437 L
.23742 .77681 L
.23291 .7701 L
.23091 .76709 L
.22459 .75738 L
.22319 .75521 L
.21844 .74767 L
.21348 .73964 L
.21246 .73796 L
.20665 .72824 L
.20377 .72332 L
.20101 .71853 L
.19553 .70882 L
.19406 .70615 L
.19022 .69911 L
.18508 .68939 L
.18434 .68798 L
.18011 .67968 L
.17531 .66997 L
.17463 .66856 L
.17069 .66026 L
.16626 .65054 L
.16492 .64751 L
.16203 .64083 L
.158 .63112 L
.15521 .62409 L
.15417 .62141 L
.15058 .61169 L
.14721 .60198 L
.14549 .59673 L
.14409 .59227 L
.14124 .58256 L
.13865 .57284 L
.13635 .56313 L
.13578 .5605 L
.13436 .55342 L
.13267 .54371 L
.13131 .53399 L
.13027 .52428 L
.12958 .51457 L
.12923 .50486 L
.12923 .49514 L
.12958 .48543 L
.13027 .47572 L
.13131 .46601 L
.13267 .45629 L
.13436 .44658 L
.13578 .4395 L
.13635 .43687 L
.13865 .42716 L
.14124 .41744 L
.14409 .40773 L
.14549 .40327 L
.14721 .39802 L
.15058 .38831 L
.15417 .37859 L
.15521 .37591 L
.158 .36888 L
.16203 .35917 L
.16492 .35249 L
.16626 .34946 L
.17069 .33974 L
.17463 .33144 L
.17531 .33003 L
.18011 .32032 L
.18434 .31202 L
.18508 .31061 L
.19022 .30089 L
.19406 .29385 L
.19553 .29118 L
.20101 .28147 L
.20377 .27668 L
.20665 .27176 L
.21246 .26204 L
.21348 .26036 L
.21844 .25233 L
.22319 .24479 L
.22459 .24262 L
.23091 .23291 L
.23291 .2299 L
.23742 .22319 L
.24262 .21563 L
.24412 .21348 L
.25102 .20377 L
.25233 .20195 L
.25813 .19406 L
.26204 .18883 L
.26546 .18434 L
.27176 .17625 L
.27304 .17463 L
.28088 .16492 L
.28147 .16421 L
.28902 .15521 L
.29118 .15268 L
.29747 .14549 L
.30089 .14168 L
.30629 .13578 L
.31061 .13118 L
.31551 .12607 L
.32032 .12119 L
.32521 .11636 L
.33003 .11171 L
.33545 .10664 L
.33974 .10274 L
.34635 .09693 L
.34946 .09428 L
.35806 .08722 L
.35917 .08634 L
.36888 .0789 L
.37079 .07751 L
.37859 .07199 L
.38487 .06779 L
.38831 .06559 L
.39802 .05972 L
.40089 .05808 L
.40773 .05437 L
.41744 .04955 L
.41999 .04837 L
.42716 .04525 L
.43687 .04149 L
.4453 .03866 L
F
0 g
.44658 .03826 m
.45629 .03557 L
.46601 .03341 L
.47572 .03179 L
.48543 .03071 L
.49514 .03017 L
.50486 .03017 L
.51457 .03071 L
.52428 .03179 L
.53399 .03341 L
.54371 .03557 L
.55342 .03826 L
.5547 .03866 L
.56313 .04149 L
.57284 .04525 L
.58001 .04837 L
.58256 .04955 L
.59227 .05437 L
.59911 .05808 L
.60198 .05972 L
.61169 .06559 L
.61513 .06779 L
.62141 .07199 L
.62921 .07751 L
.63112 .0789 L
.64083 .08634 L
.64194 .08722 L
.65054 .09428 L
.65365 .09693 L
.66026 .10274 L
.66455 .10664 L
.66997 .11171 L
.67479 .11636 L
.67968 .12119 L
.68449 .12607 L
.68939 .13118 L
.69371 .13578 L
.69911 .14168 L
.70253 .14549 L
.70882 .15268 L
.71098 .15521 L
.71853 .16421 L
.71912 .16492 L
.72696 .17463 L
.72824 .17625 L
.73454 .18434 L
.73796 .18883 L
.74187 .19406 L
.74767 .20195 L
.74898 .20377 L
Mistroke
.75588 .21348 L
.75738 .21563 L
.76258 .22319 L
.76709 .2299 L
.76909 .23291 L
.77541 .24262 L
.77681 .24479 L
.78156 .25233 L
.78652 .26036 L
.78754 .26204 L
.79335 .27176 L
.79623 .27668 L
.79899 .28147 L
.80447 .29118 L
.80594 .29385 L
.80978 .30089 L
.81492 .31061 L
.81566 .31202 L
.81989 .32032 L
.82469 .33003 L
.82537 .33144 L
.82931 .33974 L
.83374 .34946 L
.83508 .35249 L
.83797 .35917 L
.842 .36888 L
.84479 .37591 L
.84583 .37859 L
.84942 .38831 L
.85279 .39802 L
.85451 .40327 L
.85591 .40773 L
.85876 .41744 L
.86135 .42716 L
.86365 .43687 L
.86422 .4395 L
.86564 .44658 L
.86733 .45629 L
.86869 .46601 L
.86973 .47572 L
.87042 .48543 L
.87077 .49514 L
.87077 .50486 L
.87042 .51457 L
.86973 .52428 L
.86869 .53399 L
.86733 .54371 L
.86564 .55342 L
.86422 .5605 L
.86365 .56313 L
Mistroke
.86135 .57284 L
.85876 .58256 L
.85591 .59227 L
.85451 .59673 L
.85279 .60198 L
.84942 .61169 L
.84583 .62141 L
.84479 .62409 L
.842 .63112 L
.83797 .64083 L
.83508 .64751 L
.83374 .65054 L
.82931 .66026 L
.82537 .66856 L
.82469 .66997 L
.81989 .67968 L
.81566 .68798 L
.81492 .68939 L
.80978 .69911 L
.80594 .70615 L
.80447 .70882 L
.79899 .71853 L
.79623 .72332 L
.79335 .72824 L
.78754 .73796 L
.78652 .73964 L
.78156 .74767 L
.77681 .75521 L
.77541 .75738 L
.76909 .76709 L
.76709 .7701 L
.76258 .77681 L
.75738 .78437 L
.75588 .78652 L
.74898 .79623 L
.74767 .79805 L
.74187 .80594 L
.73796 .81117 L
.73454 .81566 L
.72824 .82375 L
.72696 .82537 L
.71912 .83508 L
.71853 .83579 L
.71098 .84479 L
.70882 .84732 L
.70253 .85451 L
.69911 .85832 L
.69371 .86422 L
.68939 .86882 L
.68449 .87393 L
Mistroke
.67968 .87881 L
.67479 .88364 L
.66997 .88829 L
.66455 .89336 L
.66026 .89726 L
.65365 .90307 L
.65054 .90572 L
.64194 .91278 L
.64083 .91366 L
.63112 .9211 L
.62921 .92249 L
.62141 .92801 L
.61513 .93221 L
.61169 .93441 L
.60198 .94028 L
.59911 .94192 L
.59227 .94563 L
.58256 .95045 L
.58001 .95163 L
.57284 .95475 L
.56313 .95851 L
.5547 .96134 L
.55342 .96174 L
.54371 .96443 L
.53399 .96659 L
.52428 .96821 L
.51457 .96929 L
.50486 .96983 L
.49514 .96983 L
.48543 .96929 L
.47572 .96821 L
.46601 .96659 L
.45629 .96443 L
.44658 .96174 L
.4453 .96134 L
.43687 .95851 L
.42716 .95475 L
.41999 .95163 L
.41744 .95045 L
.40773 .94563 L
.40089 .94192 L
.39802 .94028 L
.38831 .93441 L
.38487 .93221 L
.37859 .92801 L
.37079 .92249 L
.36888 .9211 L
.35917 .91366 L
.35806 .91278 L
.34946 .90572 L
Mistroke
.34635 .90307 L
.33974 .89726 L
.33545 .89336 L
.33003 .88829 L
.32521 .88364 L
.32032 .87881 L
.31551 .87393 L
.31061 .86882 L
.30629 .86422 L
.30089 .85832 L
.29747 .85451 L
.29118 .84732 L
.28902 .84479 L
.28147 .83579 L
.28088 .83508 L
.27304 .82537 L
.27176 .82375 L
.26546 .81566 L
.26204 .81117 L
.25813 .80594 L
.25233 .79805 L
.25102 .79623 L
.24412 .78652 L
.24262 .78437 L
.23742 .77681 L
.23291 .7701 L
.23091 .76709 L
.22459 .75738 L
.22319 .75521 L
.21844 .74767 L
.21348 .73964 L
.21246 .73796 L
.20665 .72824 L
.20377 .72332 L
.20101 .71853 L
.19553 .70882 L
.19406 .70615 L
.19022 .69911 L
.18508 .68939 L
.18434 .68798 L
.18011 .67968 L
.17531 .66997 L
.17463 .66856 L
.17069 .66026 L
.16626 .65054 L
.16492 .64751 L
.16203 .64083 L
.158 .63112 L
.15521 .62409 L
.15417 .62141 L
Mistroke
.15058 .61169 L
.14721 .60198 L
.14549 .59673 L
.14409 .59227 L
.14124 .58256 L
.13865 .57284 L
.13635 .56313 L
.13578 .5605 L
.13436 .55342 L
.13267 .54371 L
.13131 .53399 L
.13027 .52428 L
.12958 .51457 L
.12923 .50486 L
.12923 .49514 L
.12958 .48543 L
.13027 .47572 L
.13131 .46601 L
.13267 .45629 L
.13436 .44658 L
.13578 .4395 L
.13635 .43687 L
.13865 .42716 L
.14124 .41744 L
.14409 .40773 L
.14549 .40327 L
.14721 .39802 L
.15058 .38831 L
.15417 .37859 L
.15521 .37591 L
.158 .36888 L
.16203 .35917 L
.16492 .35249 L
.16626 .34946 L
.17069 .33974 L
.17463 .33144 L
.17531 .33003 L
.18011 .32032 L
.18434 .31202 L
.18508 .31061 L
.19022 .30089 L
.19406 .29385 L
.19553 .29118 L
.20101 .28147 L
.20377 .27668 L
.20665 .27176 L
.21246 .26204 L
.21348 .26036 L
.21844 .25233 L
.22319 .24479 L
Mistroke
.22459 .24262 L
.23091 .23291 L
.23291 .2299 L
.23742 .22319 L
.24262 .21563 L
.24412 .21348 L
.25102 .20377 L
.25233 .20195 L
.25813 .19406 L
.26204 .18883 L
.26546 .18434 L
.27176 .17625 L
.27304 .17463 L
.28088 .16492 L
.28147 .16421 L
.28902 .15521 L
.29118 .15268 L
.29747 .14549 L
.30089 .14168 L
.30629 .13578 L
.31061 .13118 L
.31551 .12607 L
.32032 .12119 L
.32521 .11636 L
.33003 .11171 L
.33545 .10664 L
.33974 .10274 L
.34635 .09693 L
.34946 .09428 L
.35806 .08722 L
.35917 .08634 L
.36888 .0789 L
.37079 .07751 L
.37859 .07199 L
.38487 .06779 L
.38831 .06559 L
.39802 .05972 L
.40089 .05808 L
.40773 .05437 L
.41744 .04955 L
.41999 .04837 L
.42716 .04525 L
.43687 .04149 L
.4453 .03866 L
.44658 .03826 L
Mfstroke
.433 .567 .6 r
.44658 .04735 m
.45629 .04461 L
.46601 .04241 L
.47572 .04076 L
.48543 .03966 L
.49514 .03911 L
.50486 .03911 L
.51457 .03966 L
.52428 .04076 L
.53399 .04241 L
.54371 .04461 L
.55342 .04735 L
.5566 .04837 L
.56313 .05065 L
.57284 .05449 L
.5809 .05808 L
.58256 .05887 L
.59227 .0638 L
.59946 .06779 L
.60198 .06926 L
.61169 .07527 L
.61511 .07751 L
.62141 .08181 L
.62889 .08722 L
.63112 .08889 L
.64083 .09651 L
.64135 .09693 L
.65054 .10466 L
.65281 .10664 L
.66026 .11335 L
.66349 .11636 L
.66997 .12257 L
.67351 .12607 L
.67968 .13233 L
.683 .13578 L
.68939 .14263 L
.69201 .14549 L
.69911 .15347 L
.70062 .15521 L
.70882 .16487 L
.70886 .16492 L
.71678 .17463 L
.71853 .17682 L
.72441 .18434 L
.72824 .18936 L
.73177 .19406 L
.73796 .20249 L
.73888 .20377 L
.74576 .21348 L
.74767 .21624 L
.75242 .22319 L
.75738 .23064 L
.75887 .23291 L
.76512 .24262 L
.76709 .24576 L
.77117 .25233 L
.77681 .26164 L
.77705 .26204 L
.78274 .27176 L
.78652 .27839 L
.78825 .28147 L
.79358 .29118 L
.79623 .29614 L
.79873 .30089 L
.8037 .31061 L
.80594 .31511 L
.80849 .32032 L
.81309 .33003 L
.81566 .33561 L
.81751 .33974 L
.82173 .34946 L
.82537 .35823 L
.82575 .35917 L
.82956 .36888 L
.83316 .37859 L
.83508 .38405 L
.83653 .38831 L
.83967 .39802 L
.84257 .40773 L
.84479 .41583 L
.84521 .41744 L
.8476 .42716 L
.84971 .43687 L
.85154 .44658 L
.85308 .45629 L
.85432 .46601 L
.85451 .46763 L
.85526 .47572 L
.85588 .48543 L
.8562 .49514 L
.8562 .50486 L
.85588 .51457 L
.85526 .52428 L
.85451 .53237 L
.85432 .53399 L
.85308 .54371 L
.85154 .55342 L
.84971 .56313 L
.8476 .57284 L
.84521 .58256 L
.84479 .58417 L
.84257 .59227 L
.83967 .60198 L
.83653 .61169 L
.83508 .61595 L
.83316 .62141 L
.82956 .63112 L
.82575 .64083 L
.82537 .64177 L
.82173 .65054 L
.81751 .66026 L
.81566 .66439 L
.81309 .66997 L
.80849 .67968 L
.80594 .68489 L
.8037 .68939 L
.79873 .69911 L
.79623 .70386 L
.79358 .70882 L
.78825 .71853 L
.78652 .72161 L
.78274 .72824 L
.77705 .73796 L
.77681 .73836 L
.77117 .74767 L
.76709 .75424 L
.76512 .75738 L
.75887 .76709 L
.75738 .76936 L
.75242 .77681 L
.74767 .78376 L
.74576 .78652 L
.73888 .79623 L
.73796 .79751 L
.73177 .80594 L
.72824 .81064 L
.72441 .81566 L
.71853 .82318 L
.71678 .82537 L
.70886 .83508 L
.70882 .83513 L
.70062 .84479 L
.69911 .84653 L
.69201 .85451 L
.68939 .85737 L
.683 .86422 L
.67968 .86767 L
.67351 .87393 L
.66997 .87743 L
.66349 .88364 L
.66026 .88665 L
.65281 .89336 L
.65054 .89534 L
.64135 .90307 L
.64083 .90349 L
.63112 .91111 L
.62889 .91278 L
.62141 .91819 L
.61511 .92249 L
.61169 .92473 L
.60198 .93074 L
.59946 .93221 L
.59227 .9362 L
.58256 .94113 L
.5809 .94192 L
.57284 .94551 L
.56313 .94935 L
.5566 .95163 L
.55342 .95265 L
.54371 .95539 L
.53399 .95759 L
.52428 .95924 L
.51457 .96034 L
.50486 .96089 L
.49514 .96089 L
.48543 .96034 L
.47572 .95924 L
.46601 .95759 L
.45629 .95539 L
.44658 .95265 L
.4434 .95163 L
.43687 .94935 L
.42716 .94551 L
.4191 .94192 L
.41744 .94113 L
.40773 .9362 L
.40054 .93221 L
.39802 .93074 L
.38831 .92473 L
.38489 .92249 L
.37859 .91819 L
.37111 .91278 L
.36888 .91111 L
.35917 .90349 L
.35865 .90307 L
.34946 .89534 L
.34719 .89336 L
.33974 .88665 L
.33651 .88364 L
.33003 .87743 L
.32649 .87393 L
.32032 .86767 L
.317 .86422 L
.31061 .85737 L
.30799 .85451 L
.30089 .84653 L
.29938 .84479 L
.29118 .83513 L
.29114 .83508 L
.28322 .82537 L
.28147 .82318 L
.27559 .81566 L
.27176 .81064 L
.26823 .80594 L
.26204 .79751 L
.26112 .79623 L
.25424 .78652 L
.25233 .78376 L
.24758 .77681 L
.24262 .76936 L
.24113 .76709 L
.23488 .75738 L
.23291 .75424 L
.22883 .74767 L
.22319 .73836 L
.22295 .73796 L
.21726 .72824 L
.21348 .72161 L
.21175 .71853 L
.20642 .70882 L
.20377 .70386 L
.20127 .69911 L
.1963 .68939 L
.19406 .68489 L
.19151 .67968 L
.18691 .66997 L
.18434 .66439 L
.18249 .66026 L
.17827 .65054 L
.17463 .64177 L
.17425 .64083 L
.17044 .63112 L
.16684 .62141 L
.16492 .61595 L
.16347 .61169 L
.16033 .60198 L
.15743 .59227 L
.15521 .58417 L
.15479 .58256 L
.1524 .57284 L
.15029 .56313 L
.14846 .55342 L
.14692 .54371 L
.14568 .53399 L
.14549 .53237 L
.14474 .52428 L
.14412 .51457 L
.1438 .50486 L
.1438 .49514 L
.14412 .48543 L
.14474 .47572 L
.14549 .46763 L
.14568 .46601 L
.14692 .45629 L
.14846 .44658 L
.15029 .43687 L
.1524 .42716 L
.15479 .41744 L
.15521 .41583 L
.15743 .40773 L
.16033 .39802 L
.16347 .38831 L
.16492 .38405 L
.16684 .37859 L
.17044 .36888 L
.17425 .35917 L
.17463 .35823 L
.17827 .34946 L
.18249 .33974 L
.18434 .33561 L
.18691 .33003 L
.19151 .32032 L
.19406 .31511 L
.1963 .31061 L
.20127 .30089 L
.20377 .29614 L
.20642 .29118 L
.21175 .28147 L
.21348 .27839 L
.21726 .27176 L
.22295 .26204 L
.22319 .26164 L
.22883 .25233 L
.23291 .24576 L
.23488 .24262 L
.24113 .23291 L
.24262 .23064 L
.24758 .22319 L
.25233 .21624 L
.25424 .21348 L
.26112 .20377 L
.26204 .20249 L
.26823 .19406 L
.27176 .18936 L
.27559 .18434 L
.28147 .17682 L
.28322 .17463 L
.29114 .16492 L
.29118 .16487 L
.29938 .15521 L
.30089 .15347 L
.30799 .14549 L
.31061 .14263 L
.317 .13578 L
.32032 .13233 L
.32649 .12607 L
.33003 .12257 L
.33651 .11636 L
.33974 .11335 L
.34719 .10664 L
.34946 .10466 L
.35865 .09693 L
.35917 .09651 L
.36888 .08889 L
.37111 .08722 L
.37859 .08181 L
.38489 .07751 L
.38831 .07527 L
.39802 .06926 L
.40054 .06779 L
.40773 .0638 L
.41744 .05887 L
.4191 .05808 L
.42716 .05449 L
.43687 .05065 L
.4434 .04837 L
F
0 g
.44658 .04735 m
.45629 .04461 L
.46601 .04241 L
.47572 .04076 L
.48543 .03966 L
.49514 .03911 L
.50486 .03911 L
.51457 .03966 L
.52428 .04076 L
.53399 .04241 L
.54371 .04461 L
.55342 .04735 L
.5566 .04837 L
.56313 .05065 L
.57284 .05449 L
.5809 .05808 L
.58256 .05887 L
.59227 .0638 L
.59946 .06779 L
.60198 .06926 L
.61169 .07527 L
.61511 .07751 L
.62141 .08181 L
.62889 .08722 L
.63112 .08889 L
.64083 .09651 L
.64135 .09693 L
.65054 .10466 L
.65281 .10664 L
.66026 .11335 L
.66349 .11636 L
.66997 .12257 L
.67351 .12607 L
.67968 .13233 L
.683 .13578 L
.68939 .14263 L
.69201 .14549 L
.69911 .15347 L
.70062 .15521 L
.70882 .16487 L
.70886 .16492 L
.71678 .17463 L
.71853 .17682 L
.72441 .18434 L
.72824 .18936 L
.73177 .19406 L
.73796 .20249 L
.73888 .20377 L
.74576 .21348 L
.74767 .21624 L
Mistroke
.75242 .22319 L
.75738 .23064 L
.75887 .23291 L
.76512 .24262 L
.76709 .24576 L
.77117 .25233 L
.77681 .26164 L
.77705 .26204 L
.78274 .27176 L
.78652 .27839 L
.78825 .28147 L
.79358 .29118 L
.79623 .29614 L
.79873 .30089 L
.8037 .31061 L
.80594 .31511 L
.80849 .32032 L
.81309 .33003 L
.81566 .33561 L
.81751 .33974 L
.82173 .34946 L
.82537 .35823 L
.82575 .35917 L
.82956 .36888 L
.83316 .37859 L
.83508 .38405 L
.83653 .38831 L
.83967 .39802 L
.84257 .40773 L
.84479 .41583 L
.84521 .41744 L
.8476 .42716 L
.84971 .43687 L
.85154 .44658 L
.85308 .45629 L
.85432 .46601 L
.85451 .46763 L
.85526 .47572 L
.85588 .48543 L
.8562 .49514 L
.8562 .50486 L
.85588 .51457 L
.85526 .52428 L
.85451 .53237 L
.85432 .53399 L
.85308 .54371 L
.85154 .55342 L
.84971 .56313 L
.8476 .57284 L
.84521 .58256 L
Mistroke
.84479 .58417 L
.84257 .59227 L
.83967 .60198 L
.83653 .61169 L
.83508 .61595 L
.83316 .62141 L
.82956 .63112 L
.82575 .64083 L
.82537 .64177 L
.82173 .65054 L
.81751 .66026 L
.81566 .66439 L
.81309 .66997 L
.80849 .67968 L
.80594 .68489 L
.8037 .68939 L
.79873 .69911 L
.79623 .70386 L
.79358 .70882 L
.78825 .71853 L
.78652 .72161 L
.78274 .72824 L
.77705 .73796 L
.77681 .73836 L
.77117 .74767 L
.76709 .75424 L
.76512 .75738 L
.75887 .76709 L
.75738 .76936 L
.75242 .77681 L
.74767 .78376 L
.74576 .78652 L
.73888 .79623 L
.73796 .79751 L
.73177 .80594 L
.72824 .81064 L
.72441 .81566 L
.71853 .82318 L
.71678 .82537 L
.70886 .83508 L
.70882 .83513 L
.70062 .84479 L
.69911 .84653 L
.69201 .85451 L
.68939 .85737 L
.683 .86422 L
.67968 .86767 L
.67351 .87393 L
.66997 .87743 L
.66349 .88364 L
Mistroke
.66026 .88665 L
.65281 .89336 L
.65054 .89534 L
.64135 .90307 L
.64083 .90349 L
.63112 .91111 L
.62889 .91278 L
.62141 .91819 L
.61511 .92249 L
.61169 .92473 L
.60198 .93074 L
.59946 .93221 L
.59227 .9362 L
.58256 .94113 L
.5809 .94192 L
.57284 .94551 L
.56313 .94935 L
.5566 .95163 L
.55342 .95265 L
.54371 .95539 L
.53399 .95759 L
.52428 .95924 L
.51457 .96034 L
.50486 .96089 L
.49514 .96089 L
.48543 .96034 L
.47572 .95924 L
.46601 .95759 L
.45629 .95539 L
.44658 .95265 L
.4434 .95163 L
.43687 .94935 L
.42716 .94551 L
.4191 .94192 L
.41744 .94113 L
.40773 .9362 L
.40054 .93221 L
.39802 .93074 L
.38831 .92473 L
.38489 .92249 L
.37859 .91819 L
.37111 .91278 L
.36888 .91111 L
.35917 .90349 L
.35865 .90307 L
.34946 .89534 L
.34719 .89336 L
.33974 .88665 L
.33651 .88364 L
.33003 .87743 L
Mistroke
.32649 .87393 L
.32032 .86767 L
.317 .86422 L
.31061 .85737 L
.30799 .85451 L
.30089 .84653 L
.29938 .84479 L
.29118 .83513 L
.29114 .83508 L
.28322 .82537 L
.28147 .82318 L
.27559 .81566 L
.27176 .81064 L
.26823 .80594 L
.26204 .79751 L
.26112 .79623 L
.25424 .78652 L
.25233 .78376 L
.24758 .77681 L
.24262 .76936 L
.24113 .76709 L
.23488 .75738 L
.23291 .75424 L
.22883 .74767 L
.22319 .73836 L
.22295 .73796 L
.21726 .72824 L
.21348 .72161 L
.21175 .71853 L
.20642 .70882 L
.20377 .70386 L
.20127 .69911 L
.1963 .68939 L
.19406 .68489 L
.19151 .67968 L
.18691 .66997 L
.18434 .66439 L
.18249 .66026 L
.17827 .65054 L
.17463 .64177 L
.17425 .64083 L
.17044 .63112 L
.16684 .62141 L
.16492 .61595 L
.16347 .61169 L
.16033 .60198 L
.15743 .59227 L
.15521 .58417 L
.15479 .58256 L
.1524 .57284 L
Mistroke
.15029 .56313 L
.14846 .55342 L
.14692 .54371 L
.14568 .53399 L
.14549 .53237 L
.14474 .52428 L
.14412 .51457 L
.1438 .50486 L
.1438 .49514 L
.14412 .48543 L
.14474 .47572 L
.14549 .46763 L
.14568 .46601 L
.14692 .45629 L
.14846 .44658 L
.15029 .43687 L
.1524 .42716 L
.15479 .41744 L
.15521 .41583 L
.15743 .40773 L
.16033 .39802 L
.16347 .38831 L
.16492 .38405 L
.16684 .37859 L
.17044 .36888 L
.17425 .35917 L
.17463 .35823 L
.17827 .34946 L
.18249 .33974 L
.18434 .33561 L
.18691 .33003 L
.19151 .32032 L
.19406 .31511 L
.1963 .31061 L
.20127 .30089 L
.20377 .29614 L
.20642 .29118 L
.21175 .28147 L
.21348 .27839 L
.21726 .27176 L
.22295 .26204 L
.22319 .26164 L
.22883 .25233 L
.23291 .24576 L
.23488 .24262 L
.24113 .23291 L
.24262 .23064 L
.24758 .22319 L
.25233 .21624 L
.25424 .21348 L
Mistroke
.26112 .20377 L
.26204 .20249 L
.26823 .19406 L
.27176 .18936 L
.27559 .18434 L
.28147 .17682 L
.28322 .17463 L
.29114 .16492 L
.29118 .16487 L
.29938 .15521 L
.30089 .15347 L
.30799 .14549 L
.31061 .14263 L
.317 .13578 L
.32032 .13233 L
.32649 .12607 L
.33003 .12257 L
.33651 .11636 L
.33974 .11335 L
.34719 .10664 L
.34946 .10466 L
.35865 .09693 L
.35917 .09651 L
.36888 .08889 L
.37111 .08722 L
.37859 .08181 L
.38489 .07751 L
.38831 .07527 L
.39802 .06926 L
.40054 .06779 L
.40773 .0638 L
.41744 .05887 L
.4191 .05808 L
.42716 .05449 L
.43687 .05065 L
.4434 .04837 L
.44658 .04735 L
Mfstroke
.417 .583 .6 r
.49514 .04822 m
.50486 .04822 L
.50863 .04837 L
.51457 .04878 L
.52428 .0499 L
.53399 .05158 L
.54371 .05383 L
.55342 .05663 L
.55782 .05808 L
.56313 .06 L
.57284 .06392 L
.58132 .06779 L
.58256 .0684 L
.59227 .07343 L
.59944 .07751 L
.60198 .07902 L
.61169 .08517 L
.61475 .08722 L
.62141 .09187 L
.62825 .09693 L
.63112 .09913 L
.64047 .10664 L
.64083 .10695 L
.65054 .11532 L
.6517 .11636 L
.66026 .12425 L
.66216 .12607 L
.66997 .13375 L
.67198 .13578 L
.67968 .14381 L
.68125 .14549 L
.68939 .15445 L
.69006 .15521 L
.69846 .16492 L
.69911 .16568 L
.7065 .17463 L
.70882 .17751 L
.71421 .18434 L
.71853 .18995 L
.72163 .19406 L
.72824 .20304 L
.72877 .20377 L
.73566 .21348 L
.73796 .2168 L
.7423 .22319 L
.74767 .23129 L
.74872 .23291 L
.75493 .24262 L
.75738 .24655 L
.76093 .25233 L
.76673 .26204 L
.76709 .26267 L
.77233 .27176 L
.77681 .27977 L
.77774 .28147 L
.78296 .29118 L
.78652 .29802 L
.78799 .30089 L
.79283 .31061 L
.79623 .31767 L
.79748 .32032 L
.80194 .33003 L
.80594 .33916 L
.8062 .33974 L
.81026 .34946 L
.81411 .35917 L
.81566 .36322 L
.81775 .36888 L
.82118 .37859 L
.82438 .38831 L
.82537 .39144 L
.82736 .39802 L
.83009 .40773 L
.83258 .41744 L
.83482 .42716 L
.83508 .42837 L
.8368 .43687 L
.8385 .44658 L
.83994 .45629 L
.84109 .46601 L
.84197 .47572 L
.84255 .48543 L
.84284 .49514 L
.84284 .50486 L
.84255 .51457 L
.84197 .52428 L
.84109 .53399 L
.83994 .54371 L
.8385 .55342 L
.8368 .56313 L
.83508 .57163 L
.83482 .57284 L
.83258 .58256 L
.83009 .59227 L
.82736 .60198 L
.82537 .60856 L
.82438 .61169 L
.82118 .62141 L
.81775 .63112 L
.81566 .63678 L
.81411 .64083 L
.81026 .65054 L
.8062 .66026 L
.80594 .66084 L
.80194 .66997 L
.79748 .67968 L
.79623 .68233 L
.79283 .68939 L
.78799 .69911 L
.78652 .70198 L
.78296 .70882 L
.77774 .71853 L
.77681 .72023 L
.77233 .72824 L
.76709 .73733 L
.76673 .73796 L
.76093 .74767 L
.75738 .75345 L
.75493 .75738 L
.74872 .76709 L
.74767 .76871 L
.7423 .77681 L
.73796 .7832 L
.73566 .78652 L
.72877 .79623 L
.72824 .79696 L
.72163 .80594 L
.71853 .81005 L
.71421 .81566 L
.70882 .82249 L
.7065 .82537 L
.69911 .83432 L
.69846 .83508 L
.69006 .84479 L
.68939 .84555 L
.68125 .85451 L
.67968 .85619 L
.67198 .86422 L
.66997 .86625 L
.66216 .87393 L
.66026 .87575 L
.6517 .88364 L
.65054 .88468 L
.64083 .89305 L
.64047 .89336 L
.63112 .90087 L
.62825 .90307 L
.62141 .90813 L
.61475 .91278 L
.61169 .91483 L
.60198 .92098 L
.59944 .92249 L
.59227 .92657 L
.58256 .9316 L
.58132 .93221 L
.57284 .93608 L
.56313 .94 L
.55782 .94192 L
.55342 .94337 L
.54371 .94617 L
.53399 .94842 L
.52428 .9501 L
.51457 .95122 L
.50863 .95163 L
.50486 .95178 L
.49514 .95178 L
.49137 .95163 L
.48543 .95122 L
.47572 .9501 L
.46601 .94842 L
.45629 .94617 L
.44658 .94337 L
.44218 .94192 L
.43687 .94 L
.42716 .93608 L
.41868 .93221 L
.41744 .9316 L
.40773 .92657 L
.40056 .92249 L
.39802 .92098 L
.38831 .91483 L
.38525 .91278 L
.37859 .90813 L
.37175 .90307 L
.36888 .90087 L
.35953 .89336 L
.35917 .89305 L
.34946 .88468 L
.3483 .88364 L
.33974 .87575 L
.33784 .87393 L
.33003 .86625 L
.32802 .86422 L
.32032 .85619 L
.31875 .85451 L
.31061 .84555 L
.30994 .84479 L
.30154 .83508 L
.30089 .83432 L
.2935 .82537 L
.29118 .82249 L
.28579 .81566 L
.28147 .81005 L
.27837 .80594 L
.27176 .79696 L
.27123 .79623 L
.26434 .78652 L
.26204 .7832 L
.2577 .77681 L
.25233 .76871 L
.25128 .76709 L
.24507 .75738 L
.24262 .75345 L
.23907 .74767 L
.23327 .73796 L
.23291 .73733 L
.22767 .72824 L
.22319 .72023 L
.22226 .71853 L
.21704 .70882 L
.21348 .70198 L
.21201 .69911 L
.20717 .68939 L
.20377 .68233 L
.20252 .67968 L
.19806 .66997 L
.19406 .66084 L
.1938 .66026 L
.18974 .65054 L
.18589 .64083 L
.18434 .63678 L
.18225 .63112 L
.17882 .62141 L
.17562 .61169 L
.17463 .60856 L
.17264 .60198 L
.16991 .59227 L
.16742 .58256 L
.16518 .57284 L
.16492 .57163 L
.1632 .56313 L
.1615 .55342 L
.16006 .54371 L
.15891 .53399 L
.15803 .52428 L
.15745 .51457 L
.15716 .50486 L
.15716 .49514 L
.15745 .48543 L
.15803 .47572 L
.15891 .46601 L
.16006 .45629 L
.1615 .44658 L
.1632 .43687 L
.16492 .42837 L
.16518 .42716 L
.16742 .41744 L
.16991 .40773 L
.17264 .39802 L
.17463 .39144 L
.17562 .38831 L
.17882 .37859 L
.18225 .36888 L
.18434 .36322 L
.18589 .35917 L
.18974 .34946 L
.1938 .33974 L
.19406 .33916 L
.19806 .33003 L
.20252 .32032 L
.20377 .31767 L
.20717 .31061 L
.21201 .30089 L
.21348 .29802 L
.21704 .29118 L
.22226 .28147 L
.22319 .27977 L
.22767 .27176 L
.23291 .26267 L
.23327 .26204 L
.23907 .25233 L
.24262 .24655 L
.24507 .24262 L
.25128 .23291 L
.25233 .23129 L
.2577 .22319 L
.26204 .2168 L
.26434 .21348 L
.27123 .20377 L
.27176 .20304 L
.27837 .19406 L
.28147 .18995 L
.28579 .18434 L
.29118 .17751 L
.2935 .17463 L
.30089 .16568 L
.30154 .16492 L
.30994 .15521 L
.31061 .15445 L
.31875 .14549 L
.32032 .14381 L
.32802 .13578 L
.33003 .13375 L
.33784 .12607 L
.33974 .12425 L
.3483 .11636 L
.34946 .11532 L
.35917 .10695 L
.35953 .10664 L
.36888 .09913 L
.37175 .09693 L
.37859 .09187 L
.38525 .08722 L
.38831 .08517 L
.39802 .07902 L
.40056 .07751 L
.40773 .07343 L
.41744 .0684 L
.41868 .06779 L
.42716 .06392 L
.43687 .06 L
.44218 .05808 L
.44658 .05663 L
.45629 .05383 L
.46601 .05158 L
.47572 .0499 L
.48543 .04878 L
.49137 .04837 L
F
0 g
.49514 .04822 m
.50486 .04822 L
.50863 .04837 L
.51457 .04878 L
.52428 .0499 L
.53399 .05158 L
.54371 .05383 L
.55342 .05663 L
.55782 .05808 L
.56313 .06 L
.57284 .06392 L
.58132 .06779 L
.58256 .0684 L
.59227 .07343 L
.59944 .07751 L
.60198 .07902 L
.61169 .08517 L
.61475 .08722 L
.62141 .09187 L
.62825 .09693 L
.63112 .09913 L
.64047 .10664 L
.64083 .10695 L
.65054 .11532 L
.6517 .11636 L
.66026 .12425 L
.66216 .12607 L
.66997 .13375 L
.67198 .13578 L
.67968 .14381 L
.68125 .14549 L
.68939 .15445 L
.69006 .15521 L
.69846 .16492 L
.69911 .16568 L
.7065 .17463 L
.70882 .17751 L
.71421 .18434 L
.71853 .18995 L
.72163 .19406 L
.72824 .20304 L
.72877 .20377 L
.73566 .21348 L
.73796 .2168 L
.7423 .22319 L
.74767 .23129 L
.74872 .23291 L
.75493 .24262 L
.75738 .24655 L
.76093 .25233 L
Mistroke
.76673 .26204 L
.76709 .26267 L
.77233 .27176 L
.77681 .27977 L
.77774 .28147 L
.78296 .29118 L
.78652 .29802 L
.78799 .30089 L
.79283 .31061 L
.79623 .31767 L
.79748 .32032 L
.80194 .33003 L
.80594 .33916 L
.8062 .33974 L
.81026 .34946 L
.81411 .35917 L
.81566 .36322 L
.81775 .36888 L
.82118 .37859 L
.82438 .38831 L
.82537 .39144 L
.82736 .39802 L
.83009 .40773 L
.83258 .41744 L
.83482 .42716 L
.83508 .42837 L
.8368 .43687 L
.8385 .44658 L
.83994 .45629 L
.84109 .46601 L
.84197 .47572 L
.84255 .48543 L
.84284 .49514 L
.84284 .50486 L
.84255 .51457 L
.84197 .52428 L
.84109 .53399 L
.83994 .54371 L
.8385 .55342 L
.8368 .56313 L
.83508 .57163 L
.83482 .57284 L
.83258 .58256 L
.83009 .59227 L
.82736 .60198 L
.82537 .60856 L
.82438 .61169 L
.82118 .62141 L
.81775 .63112 L
.81566 .63678 L
Mistroke
.81411 .64083 L
.81026 .65054 L
.8062 .66026 L
.80594 .66084 L
.80194 .66997 L
.79748 .67968 L
.79623 .68233 L
.79283 .68939 L
.78799 .69911 L
.78652 .70198 L
.78296 .70882 L
.77774 .71853 L
.77681 .72023 L
.77233 .72824 L
.76709 .73733 L
.76673 .73796 L
.76093 .74767 L
.75738 .75345 L
.75493 .75738 L
.74872 .76709 L
.74767 .76871 L
.7423 .77681 L
.73796 .7832 L
.73566 .78652 L
.72877 .79623 L
.72824 .79696 L
.72163 .80594 L
.71853 .81005 L
.71421 .81566 L
.70882 .82249 L
.7065 .82537 L
.69911 .83432 L
.69846 .83508 L
.69006 .84479 L
.68939 .84555 L
.68125 .85451 L
.67968 .85619 L
.67198 .86422 L
.66997 .86625 L
.66216 .87393 L
.66026 .87575 L
.6517 .88364 L
.65054 .88468 L
.64083 .89305 L
.64047 .89336 L
.63112 .90087 L
.62825 .90307 L
.62141 .90813 L
.61475 .91278 L
.61169 .91483 L
Mistroke
.60198 .92098 L
.59944 .92249 L
.59227 .92657 L
.58256 .9316 L
.58132 .93221 L
.57284 .93608 L
.56313 .94 L
.55782 .94192 L
.55342 .94337 L
.54371 .94617 L
.53399 .94842 L
.52428 .9501 L
.51457 .95122 L
.50863 .95163 L
.50486 .95178 L
.49514 .95178 L
.49137 .95163 L
.48543 .95122 L
.47572 .9501 L
.46601 .94842 L
.45629 .94617 L
.44658 .94337 L
.44218 .94192 L
.43687 .94 L
.42716 .93608 L
.41868 .93221 L
.41744 .9316 L
.40773 .92657 L
.40056 .92249 L
.39802 .92098 L
.38831 .91483 L
.38525 .91278 L
.37859 .90813 L
.37175 .90307 L
.36888 .90087 L
.35953 .89336 L
.35917 .89305 L
.34946 .88468 L
.3483 .88364 L
.33974 .87575 L
.33784 .87393 L
.33003 .86625 L
.32802 .86422 L
.32032 .85619 L
.31875 .85451 L
.31061 .84555 L
.30994 .84479 L
.30154 .83508 L
.30089 .83432 L
.2935 .82537 L
Mistroke
.29118 .82249 L
.28579 .81566 L
.28147 .81005 L
.27837 .80594 L
.27176 .79696 L
.27123 .79623 L
.26434 .78652 L
.26204 .7832 L
.2577 .77681 L
.25233 .76871 L
.25128 .76709 L
.24507 .75738 L
.24262 .75345 L
.23907 .74767 L
.23327 .73796 L
.23291 .73733 L
.22767 .72824 L
.22319 .72023 L
.22226 .71853 L
.21704 .70882 L
.21348 .70198 L
.21201 .69911 L
.20717 .68939 L
.20377 .68233 L
.20252 .67968 L
.19806 .66997 L
.19406 .66084 L
.1938 .66026 L
.18974 .65054 L
.18589 .64083 L
.18434 .63678 L
.18225 .63112 L
.17882 .62141 L
.17562 .61169 L
.17463 .60856 L
.17264 .60198 L
.16991 .59227 L
.16742 .58256 L
.16518 .57284 L
.16492 .57163 L
.1632 .56313 L
.1615 .55342 L
.16006 .54371 L
.15891 .53399 L
.15803 .52428 L
.15745 .51457 L
.15716 .50486 L
.15716 .49514 L
.15745 .48543 L
.15803 .47572 L
Mistroke
.15891 .46601 L
.16006 .45629 L
.1615 .44658 L
.1632 .43687 L
.16492 .42837 L
.16518 .42716 L
.16742 .41744 L
.16991 .40773 L
.17264 .39802 L
.17463 .39144 L
.17562 .38831 L
.17882 .37859 L
.18225 .36888 L
.18434 .36322 L
.18589 .35917 L
.18974 .34946 L
.1938 .33974 L
.19406 .33916 L
.19806 .33003 L
.20252 .32032 L
.20377 .31767 L
.20717 .31061 L
.21201 .30089 L
.21348 .29802 L
.21704 .29118 L
.22226 .28147 L
.22319 .27977 L
.22767 .27176 L
.23291 .26267 L
.23327 .26204 L
.23907 .25233 L
.24262 .24655 L
.24507 .24262 L
.25128 .23291 L
.25233 .23129 L
.2577 .22319 L
.26204 .2168 L
.26434 .21348 L
.27123 .20377 L
.27176 .20304 L
.27837 .19406 L
.28147 .18995 L
.28579 .18434 L
.29118 .17751 L
.2935 .17463 L
.30089 .16568 L
.30154 .16492 L
.30994 .15521 L
.31061 .15445 L
.31875 .14549 L
Mistroke
.32032 .14381 L
.32802 .13578 L
.33003 .13375 L
.33784 .12607 L
.33974 .12425 L
.3483 .11636 L
.34946 .11532 L
.35917 .10695 L
.35953 .10664 L
.36888 .09913 L
.37175 .09693 L
.37859 .09187 L
.38525 .08722 L
.38831 .08517 L
.39802 .07902 L
.40056 .07751 L
.40773 .07343 L
.41744 .0684 L
.41868 .06779 L
.42716 .06392 L
.43687 .06 L
.44218 .05808 L
.44658 .05663 L
.45629 .05383 L
.46601 .05158 L
.47572 .0499 L
.48543 .04878 L
.49137 .04837 L
.49514 .04822 L
Mfstroke
.4 .6 .6 r
.49514 .05751 m
.50486 .05751 L
.5145 .05808 L
.51457 .05809 L
.52428 .05923 L
.53399 .06095 L
.54371 .06324 L
.55342 .06611 L
.55839 .06779 L
.56313 .06955 L
.57284 .07356 L
.58129 .07751 L
.58256 .07814 L
.59227 .08329 L
.59904 .08722 L
.60198 .08902 L
.61169 .09532 L
.61405 .09693 L
.62141 .10219 L
.6273 .10664 L
.63112 .10964 L
.63929 .11636 L
.64083 .11767 L
.65031 .12607 L
.65054 .12628 L
.66026 .13548 L
.66056 .13578 L
.66997 .14528 L
.67017 .14549 L
.67925 .15521 L
.67968 .15568 L
.68786 .16492 L
.68939 .1667 L
.69606 .17463 L
.69911 .17836 L
.7039 .18434 L
.70882 .19067 L
.7114 .19406 L
.71853 .20366 L
.71861 .20377 L
.72553 .21348 L
.72824 .21739 L
.7322 .22319 L
.73796 .23188 L
.73862 .23291 L
.74481 .24262 L
.74767 .24723 L
.75078 .25233 L
.75653 .26204 L
.75738 .26352 L
.76207 .27176 L
.76709 .28088 L
.76741 .28147 L
.77255 .29118 L
.77681 .29953 L
.77749 .30089 L
.78223 .31061 L
.78652 .31977 L
.78677 .32032 L
.79111 .33003 L
.79525 .33974 L
.79623 .34211 L
.79919 .34946 L
.80292 .35917 L
.80594 .3675 L
.80643 .36888 L
.80973 .37859 L
.8128 .38831 L
.81565 .39802 L
.81566 .39805 L
.81826 .40773 L
.82063 .41744 L
.82276 .42716 L
.82464 .43687 L
.82537 .44106 L
.82625 .44658 L
.82761 .45629 L
.8287 .46601 L
.82952 .47572 L
.83007 .48543 L
.83035 .49514 L
.83035 .50486 L
.83007 .51457 L
.82952 .52428 L
.8287 .53399 L
.82761 .54371 L
.82625 .55342 L
.82537 .55894 L
.82464 .56313 L
.82276 .57284 L
.82063 .58256 L
.81826 .59227 L
.81566 .60195 L
.81565 .60198 L
.8128 .61169 L
.80973 .62141 L
.80643 .63112 L
.80594 .6325 L
.80292 .64083 L
.79919 .65054 L
.79623 .65789 L
.79525 .66026 L
.79111 .66997 L
.78677 .67968 L
.78652 .68023 L
.78223 .68939 L
.77749 .69911 L
.77681 .70047 L
.77255 .70882 L
.76741 .71853 L
.76709 .71912 L
.76207 .72824 L
.75738 .73648 L
.75653 .73796 L
.75078 .74767 L
.74767 .75277 L
.74481 .75738 L
.73862 .76709 L
.73796 .76812 L
.7322 .77681 L
.72824 .78261 L
.72553 .78652 L
.71861 .79623 L
.71853 .79634 L
.7114 .80594 L
.70882 .80933 L
.7039 .81566 L
.69911 .82164 L
.69606 .82537 L
.68939 .8333 L
.68786 .83508 L
.67968 .84432 L
.67925 .84479 L
.67017 .85451 L
.66997 .85472 L
.66056 .86422 L
.66026 .86452 L
.65054 .87372 L
.65031 .87393 L
.64083 .88233 L
.63929 .88364 L
.63112 .89036 L
.6273 .89336 L
.62141 .89781 L
.61405 .90307 L
.61169 .90468 L
.60198 .91098 L
.59904 .91278 L
.59227 .91671 L
.58256 .92186 L
.58129 .92249 L
.57284 .92644 L
.56313 .93045 L
.55839 .93221 L
.55342 .93389 L
.54371 .93676 L
.53399 .93905 L
.52428 .94077 L
.51457 .94191 L
.5145 .94192 L
.50486 .94249 L
.49514 .94249 L
.4855 .94192 L
.48543 .94191 L
.47572 .94077 L
.46601 .93905 L
.45629 .93676 L
.44658 .93389 L
.44161 .93221 L
.43687 .93045 L
.42716 .92644 L
.41871 .92249 L
.41744 .92186 L
.40773 .91671 L
.40096 .91278 L
.39802 .91098 L
.38831 .90468 L
.38595 .90307 L
.37859 .89781 L
.3727 .89336 L
.36888 .89036 L
.36071 .88364 L
.35917 .88233 L
.34969 .87393 L
.34946 .87372 L
.33974 .86452 L
.33944 .86422 L
.33003 .85472 L
.32983 .85451 L
.32075 .84479 L
.32032 .84432 L
.31214 .83508 L
.31061 .8333 L
.30394 .82537 L
.30089 .82164 L
.2961 .81566 L
.29118 .80933 L
.2886 .80594 L
.28147 .79634 L
.28139 .79623 L
.27447 .78652 L
.27176 .78261 L
.2678 .77681 L
.26204 .76812 L
.26138 .76709 L
.25519 .75738 L
.25233 .75277 L
.24922 .74767 L
.24347 .73796 L
.24262 .73648 L
.23793 .72824 L
.23291 .71912 L
.23259 .71853 L
.22745 .70882 L
.22319 .70047 L
.22251 .69911 L
.21777 .68939 L
.21348 .68023 L
.21323 .67968 L
.20889 .66997 L
.20475 .66026 L
.20377 .65789 L
.20081 .65054 L
.19708 .64083 L
.19406 .6325 L
.19357 .63112 L
.19027 .62141 L
.1872 .61169 L
.18435 .60198 L
.18434 .60195 L
.18174 .59227 L
.17937 .58256 L
.17724 .57284 L
.17536 .56313 L
.17463 .55894 L
.17375 .55342 L
.17239 .54371 L
.1713 .53399 L
.17048 .52428 L
.16993 .51457 L
.16965 .50486 L
.16965 .49514 L
.16993 .48543 L
.17048 .47572 L
.1713 .46601 L
.17239 .45629 L
.17375 .44658 L
.17463 .44106 L
.17536 .43687 L
.17724 .42716 L
.17937 .41744 L
.18174 .40773 L
.18434 .39805 L
.18435 .39802 L
.1872 .38831 L
.19027 .37859 L
.19357 .36888 L
.19406 .3675 L
.19708 .35917 L
.20081 .34946 L
.20377 .34211 L
.20475 .33974 L
.20889 .33003 L
.21323 .32032 L
.21348 .31977 L
.21777 .31061 L
.22251 .30089 L
.22319 .29953 L
.22745 .29118 L
.23259 .28147 L
.23291 .28088 L
.23793 .27176 L
.24262 .26352 L
.24347 .26204 L
.24922 .25233 L
.25233 .24723 L
.25519 .24262 L
.26138 .23291 L
.26204 .23188 L
.2678 .22319 L
.27176 .21739 L
.27447 .21348 L
.28139 .20377 L
.28147 .20366 L
.2886 .19406 L
.29118 .19067 L
.2961 .18434 L
.30089 .17836 L
.30394 .17463 L
.31061 .1667 L
.31214 .16492 L
.32032 .15568 L
.32075 .15521 L
.32983 .14549 L
.33003 .14528 L
.33944 .13578 L
.33974 .13548 L
.34946 .12628 L
.34969 .12607 L
.35917 .11767 L
.36071 .11636 L
.36888 .10964 L
.3727 .10664 L
.37859 .10219 L
.38595 .09693 L
.38831 .09532 L
.39802 .08902 L
.40096 .08722 L
.40773 .08329 L
.41744 .07814 L
.41871 .07751 L
.42716 .07356 L
.43687 .06955 L
.44161 .06779 L
.44658 .06611 L
.45629 .06324 L
.46601 .06095 L
.47572 .05923 L
.48543 .05809 L
.4855 .05808 L
F
0 g
.49514 .05751 m
.50486 .05751 L
.5145 .05808 L
.51457 .05809 L
.52428 .05923 L
.53399 .06095 L
.54371 .06324 L
.55342 .06611 L
.55839 .06779 L
.56313 .06955 L
.57284 .07356 L
.58129 .07751 L
.58256 .07814 L
.59227 .08329 L
.59904 .08722 L
.60198 .08902 L
.61169 .09532 L
.61405 .09693 L
.62141 .10219 L
.6273 .10664 L
.63112 .10964 L
.63929 .11636 L
.64083 .11767 L
.65031 .12607 L
.65054 .12628 L
.66026 .13548 L
.66056 .13578 L
.66997 .14528 L
.67017 .14549 L
.67925 .15521 L
.67968 .15568 L
.68786 .16492 L
.68939 .1667 L
.69606 .17463 L
.69911 .17836 L
.7039 .18434 L
.70882 .19067 L
.7114 .19406 L
.71853 .20366 L
.71861 .20377 L
.72553 .21348 L
.72824 .21739 L
.7322 .22319 L
.73796 .23188 L
.73862 .23291 L
.74481 .24262 L
.74767 .24723 L
.75078 .25233 L
.75653 .26204 L
.75738 .26352 L
Mistroke
.76207 .27176 L
.76709 .28088 L
.76741 .28147 L
.77255 .29118 L
.77681 .29953 L
.77749 .30089 L
.78223 .31061 L
.78652 .31977 L
.78677 .32032 L
.79111 .33003 L
.79525 .33974 L
.79623 .34211 L
.79919 .34946 L
.80292 .35917 L
.80594 .3675 L
.80643 .36888 L
.80973 .37859 L
.8128 .38831 L
.81565 .39802 L
.81566 .39805 L
.81826 .40773 L
.82063 .41744 L
.82276 .42716 L
.82464 .43687 L
.82537 .44106 L
.82625 .44658 L
.82761 .45629 L
.8287 .46601 L
.82952 .47572 L
.83007 .48543 L
.83035 .49514 L
.83035 .50486 L
.83007 .51457 L
.82952 .52428 L
.8287 .53399 L
.82761 .54371 L
.82625 .55342 L
.82537 .55894 L
.82464 .56313 L
.82276 .57284 L
.82063 .58256 L
.81826 .59227 L
.81566 .60195 L
.81565 .60198 L
.8128 .61169 L
.80973 .62141 L
.80643 .63112 L
.80594 .6325 L
.80292 .64083 L
.79919 .65054 L
Mistroke
.79623 .65789 L
.79525 .66026 L
.79111 .66997 L
.78677 .67968 L
.78652 .68023 L
.78223 .68939 L
.77749 .69911 L
.77681 .70047 L
.77255 .70882 L
.76741 .71853 L
.76709 .71912 L
.76207 .72824 L
.75738 .73648 L
.75653 .73796 L
.75078 .74767 L
.74767 .75277 L
.74481 .75738 L
.73862 .76709 L
.73796 .76812 L
.7322 .77681 L
.72824 .78261 L
.72553 .78652 L
.71861 .79623 L
.71853 .79634 L
.7114 .80594 L
.70882 .80933 L
.7039 .81566 L
.69911 .82164 L
.69606 .82537 L
.68939 .8333 L
.68786 .83508 L
.67968 .84432 L
.67925 .84479 L
.67017 .85451 L
.66997 .85472 L
.66056 .86422 L
.66026 .86452 L
.65054 .87372 L
.65031 .87393 L
.64083 .88233 L
.63929 .88364 L
.63112 .89036 L
.6273 .89336 L
.62141 .89781 L
.61405 .90307 L
.61169 .90468 L
.60198 .91098 L
.59904 .91278 L
.59227 .91671 L
.58256 .92186 L
Mistroke
.58129 .92249 L
.57284 .92644 L
.56313 .93045 L
.55839 .93221 L
.55342 .93389 L
.54371 .93676 L
.53399 .93905 L
.52428 .94077 L
.51457 .94191 L
.5145 .94192 L
.50486 .94249 L
.49514 .94249 L
.4855 .94192 L
.48543 .94191 L
.47572 .94077 L
.46601 .93905 L
.45629 .93676 L
.44658 .93389 L
.44161 .93221 L
.43687 .93045 L
.42716 .92644 L
.41871 .92249 L
.41744 .92186 L
.40773 .91671 L
.40096 .91278 L
.39802 .91098 L
.38831 .90468 L
.38595 .90307 L
.37859 .89781 L
.3727 .89336 L
.36888 .89036 L
.36071 .88364 L
.35917 .88233 L
.34969 .87393 L
.34946 .87372 L
.33974 .86452 L
.33944 .86422 L
.33003 .85472 L
.32983 .85451 L
.32075 .84479 L
.32032 .84432 L
.31214 .83508 L
.31061 .8333 L
.30394 .82537 L
.30089 .82164 L
.2961 .81566 L
.29118 .80933 L
.2886 .80594 L
.28147 .79634 L
.28139 .79623 L
Mistroke
.27447 .78652 L
.27176 .78261 L
.2678 .77681 L
.26204 .76812 L
.26138 .76709 L
.25519 .75738 L
.25233 .75277 L
.24922 .74767 L
.24347 .73796 L
.24262 .73648 L
.23793 .72824 L
.23291 .71912 L
.23259 .71853 L
.22745 .70882 L
.22319 .70047 L
.22251 .69911 L
.21777 .68939 L
.21348 .68023 L
.21323 .67968 L
.20889 .66997 L
.20475 .66026 L
.20377 .65789 L
.20081 .65054 L
.19708 .64083 L
.19406 .6325 L
.19357 .63112 L
.19027 .62141 L
.1872 .61169 L
.18435 .60198 L
.18434 .60195 L
.18174 .59227 L
.17937 .58256 L
.17724 .57284 L
.17536 .56313 L
.17463 .55894 L
.17375 .55342 L
.17239 .54371 L
.1713 .53399 L
.17048 .52428 L
.16993 .51457 L
.16965 .50486 L
.16965 .49514 L
.16993 .48543 L
.17048 .47572 L
.1713 .46601 L
.17239 .45629 L
.17375 .44658 L
.17463 .44106 L
.17536 .43687 L
.17724 .42716 L
Mistroke
.17937 .41744 L
.18174 .40773 L
.18434 .39805 L
.18435 .39802 L
.1872 .38831 L
.19027 .37859 L
.19357 .36888 L
.19406 .3675 L
.19708 .35917 L
.20081 .34946 L
.20377 .34211 L
.20475 .33974 L
.20889 .33003 L
.21323 .32032 L
.21348 .31977 L
.21777 .31061 L
.22251 .30089 L
.22319 .29953 L
.22745 .29118 L
.23259 .28147 L
.23291 .28088 L
.23793 .27176 L
.24262 .26352 L
.24347 .26204 L
.24922 .25233 L
.25233 .24723 L
.25519 .24262 L
.26138 .23291 L
.26204 .23188 L
.2678 .22319 L
.27176 .21739 L
.27447 .21348 L
.28139 .20377 L
.28147 .20366 L
.2886 .19406 L
.29118 .19067 L
.2961 .18434 L
.30089 .17836 L
.30394 .17463 L
.31061 .1667 L
.31214 .16492 L
.32032 .15568 L
.32075 .15521 L
.32983 .14549 L
.33003 .14528 L
.33944 .13578 L
.33974 .13548 L
.34946 .12628 L
.34969 .12607 L
.35917 .11767 L
Mistroke
.36071 .11636 L
.36888 .10964 L
.3727 .10664 L
.37859 .10219 L
.38595 .09693 L
.38831 .09532 L
.39802 .08902 L
.40096 .08722 L
.40773 .08329 L
.41744 .07814 L
.41871 .07751 L
.42716 .07356 L
.43687 .06955 L
.44161 .06779 L
.44658 .06611 L
.45629 .06324 L
.46601 .06095 L
.47572 .05923 L
.48543 .05809 L
.4855 .05808 L
.49514 .05751 L
Mfstroke
.383 .617 .6 r
.48543 .0676 m
.49514 .06701 L
.50486 .06701 L
.51457 .0676 L
.51695 .06779 L
.52428 .06877 L
.53399 .07052 L
.54371 .07287 L
.55342 .0758 L
.55835 .07751 L
.56313 .07931 L
.57284 .08342 L
.58081 .08722 L
.58256 .08811 L
.59227 .09339 L
.59825 .09693 L
.60198 .09926 L
.61169 .10572 L
.61301 .10664 L
.62141 .11278 L
.62604 .11636 L
.63112 .12044 L
.63781 .12607 L
.64083 .1287 L
.64863 .13578 L
.65054 .13758 L
.65869 .14549 L
.66026 .14707 L
.66811 .15521 L
.66997 .1572 L
.67699 .16492 L
.67968 .16797 L
.6854 .17463 L
.68939 .17942 L
.69341 .18434 L
.69911 .19155 L
.70104 .19406 L
.70835 .20377 L
.70882 .20441 L
.71534 .21348 L
.71853 .21804 L
.72206 .22319 L
.72824 .2325 L
.72851 .23291 L
.73471 .24262 L
.73796 .24787 L
.74067 .25233 L
.7464 .26204 L
.74767 .26425 L
.75191 .27176 L
.7572 .28147 L
.75738 .2818 L
.76229 .29118 L
.76709 .30075 L
.76716 .30089 L
.77183 .31061 L
.77629 .32032 L
.77681 .32147 L
.78055 .33003 L
.7846 .33974 L
.78652 .34453 L
.78844 .34946 L
.79207 .35917 L
.79548 .36888 L
.79623 .3711 L
.79868 .37859 L
.80165 .38831 L
.8044 .39802 L
.80594 .40386 L
.80692 .40773 L
.8092 .41744 L
.81124 .42716 L
.81304 .43687 L
.81459 .44658 L
.81566 .45437 L
.81589 .45629 L
.81693 .46601 L
.81772 .47572 L
.81824 .48543 L
.81851 .49514 L
.81851 .50486 L
.81824 .51457 L
.81772 .52428 L
.81693 .53399 L
.81589 .54371 L
.81566 .54563 L
.81459 .55342 L
.81304 .56313 L
.81124 .57284 L
.8092 .58256 L
.80692 .59227 L
.80594 .59614 L
.8044 .60198 L
.80165 .61169 L
.79868 .62141 L
.79623 .6289 L
.79548 .63112 L
.79207 .64083 L
.78844 .65054 L
.78652 .65547 L
.7846 .66026 L
.78055 .66997 L
.77681 .67853 L
.77629 .67968 L
.77183 .68939 L
.76716 .69911 L
.76709 .69925 L
.76229 .70882 L
.75738 .7182 L
.7572 .71853 L
.75191 .72824 L
.74767 .73575 L
.7464 .73796 L
.74067 .74767 L
.73796 .75213 L
.73471 .75738 L
.72851 .76709 L
.72824 .7675 L
.72206 .77681 L
.71853 .78196 L
.71534 .78652 L
.70882 .79559 L
.70835 .79623 L
.70104 .80594 L
.69911 .80845 L
.69341 .81566 L
.68939 .82058 L
.6854 .82537 L
.67968 .83203 L
.67699 .83508 L
.66997 .8428 L
.66811 .84479 L
.66026 .85293 L
.65869 .85451 L
.65054 .86242 L
.64863 .86422 L
.64083 .8713 L
.63781 .87393 L
.63112 .87956 L
.62604 .88364 L
.62141 .88722 L
.61301 .89336 L
.61169 .89428 L
.60198 .90074 L
.59825 .90307 L
.59227 .90661 L
.58256 .91189 L
.58081 .91278 L
.57284 .91658 L
.56313 .92069 L
.55835 .92249 L
.55342 .9242 L
.54371 .92713 L
.53399 .92948 L
.52428 .93123 L
.51695 .93221 L
.51457 .9324 L
.50486 .93299 L
.49514 .93299 L
.48543 .9324 L
.48305 .93221 L
.47572 .93123 L
.46601 .92948 L
.45629 .92713 L
.44658 .9242 L
.44165 .92249 L
.43687 .92069 L
.42716 .91658 L
.41919 .91278 L
.41744 .91189 L
.40773 .90661 L
.40175 .90307 L
.39802 .90074 L
.38831 .89428 L
.38699 .89336 L
.37859 .88722 L
.37396 .88364 L
.36888 .87956 L
.36219 .87393 L
.35917 .8713 L
.35137 .86422 L
.34946 .86242 L
.34131 .85451 L
.33974 .85293 L
.33189 .84479 L
.33003 .8428 L
.32301 .83508 L
.32032 .83203 L
.3146 .82537 L
.31061 .82058 L
.30659 .81566 L
.30089 .80845 L
.29896 .80594 L
.29165 .79623 L
.29118 .79559 L
.28466 .78652 L
.28147 .78196 L
.27794 .77681 L
.27176 .7675 L
.27149 .76709 L
.26529 .75738 L
.26204 .75213 L
.25933 .74767 L
.2536 .73796 L
.25233 .73575 L
.24809 .72824 L
.2428 .71853 L
.24262 .7182 L
.23771 .70882 L
.23291 .69925 L
.23284 .69911 L
.22817 .68939 L
.22371 .67968 L
.22319 .67853 L
.21945 .66997 L
.2154 .66026 L
.21348 .65547 L
.21156 .65054 L
.20793 .64083 L
.20452 .63112 L
.20377 .6289 L
.20132 .62141 L
.19835 .61169 L
.1956 .60198 L
.19406 .59614 L
.19308 .59227 L
.1908 .58256 L
.18876 .57284 L
.18696 .56313 L
.18541 .55342 L
.18434 .54563 L
.18411 .54371 L
.18307 .53399 L
.18228 .52428 L
.18176 .51457 L
.18149 .50486 L
.18149 .49514 L
.18176 .48543 L
.18228 .47572 L
.18307 .46601 L
.18411 .45629 L
.18434 .45437 L
.18541 .44658 L
.18696 .43687 L
.18876 .42716 L
.1908 .41744 L
.19308 .40773 L
.19406 .40386 L
.1956 .39802 L
.19835 .38831 L
.20132 .37859 L
.20377 .3711 L
.20452 .36888 L
.20793 .35917 L
.21156 .34946 L
.21348 .34453 L
.2154 .33974 L
.21945 .33003 L
.22319 .32147 L
.22371 .32032 L
.22817 .31061 L
.23284 .30089 L
.23291 .30075 L
.23771 .29118 L
.24262 .2818 L
.2428 .28147 L
.24809 .27176 L
.25233 .26425 L
.2536 .26204 L
.25933 .25233 L
.26204 .24787 L
.26529 .24262 L
.27149 .23291 L
.27176 .2325 L
.27794 .22319 L
.28147 .21804 L
.28466 .21348 L
.29118 .20441 L
.29165 .20377 L
.29896 .19406 L
.30089 .19155 L
.30659 .18434 L
.31061 .17942 L
.3146 .17463 L
.32032 .16797 L
.32301 .16492 L
.33003 .1572 L
.33189 .15521 L
.33974 .14707 L
.34131 .14549 L
.34946 .13758 L
.35137 .13578 L
.35917 .1287 L
.36219 .12607 L
.36888 .12044 L
.37396 .11636 L
.37859 .11278 L
.38699 .10664 L
.38831 .10572 L
.39802 .09926 L
.40175 .09693 L
.40773 .09339 L
.41744 .08811 L
.41919 .08722 L
.42716 .08342 L
.43687 .07931 L
.44165 .07751 L
.44658 .0758 L
.45629 .07287 L
.46601 .07052 L
.47572 .06877 L
.48305 .06779 L
F
0 g
.48543 .0676 m
.49514 .06701 L
.50486 .06701 L
.51457 .0676 L
.51695 .06779 L
.52428 .06877 L
.53399 .07052 L
.54371 .07287 L
.55342 .0758 L
.55835 .07751 L
.56313 .07931 L
.57284 .08342 L
.58081 .08722 L
.58256 .08811 L
.59227 .09339 L
.59825 .09693 L
.60198 .09926 L
.61169 .10572 L
.61301 .10664 L
.62141 .11278 L
.62604 .11636 L
.63112 .12044 L
.63781 .12607 L
.64083 .1287 L
.64863 .13578 L
.65054 .13758 L
.65869 .14549 L
.66026 .14707 L
.66811 .15521 L
.66997 .1572 L
.67699 .16492 L
.67968 .16797 L
.6854 .17463 L
.68939 .17942 L
.69341 .18434 L
.69911 .19155 L
.70104 .19406 L
.70835 .20377 L
.70882 .20441 L
.71534 .21348 L
.71853 .21804 L
.72206 .22319 L
.72824 .2325 L
.72851 .23291 L
.73471 .24262 L
.73796 .24787 L
.74067 .25233 L
.7464 .26204 L
.74767 .26425 L
.75191 .27176 L
Mistroke
.7572 .28147 L
.75738 .2818 L
.76229 .29118 L
.76709 .30075 L
.76716 .30089 L
.77183 .31061 L
.77629 .32032 L
.77681 .32147 L
.78055 .33003 L
.7846 .33974 L
.78652 .34453 L
.78844 .34946 L
.79207 .35917 L
.79548 .36888 L
.79623 .3711 L
.79868 .37859 L
.80165 .38831 L
.8044 .39802 L
.80594 .40386 L
.80692 .40773 L
.8092 .41744 L
.81124 .42716 L
.81304 .43687 L
.81459 .44658 L
.81566 .45437 L
.81589 .45629 L
.81693 .46601 L
.81772 .47572 L
.81824 .48543 L
.81851 .49514 L
.81851 .50486 L
.81824 .51457 L
.81772 .52428 L
.81693 .53399 L
.81589 .54371 L
.81566 .54563 L
.81459 .55342 L
.81304 .56313 L
.81124 .57284 L
.8092 .58256 L
.80692 .59227 L
.80594 .59614 L
.8044 .60198 L
.80165 .61169 L
.79868 .62141 L
.79623 .6289 L
.79548 .63112 L
.79207 .64083 L
.78844 .65054 L
.78652 .65547 L
Mistroke
.7846 .66026 L
.78055 .66997 L
.77681 .67853 L
.77629 .67968 L
.77183 .68939 L
.76716 .69911 L
.76709 .69925 L
.76229 .70882 L
.75738 .7182 L
.7572 .71853 L
.75191 .72824 L
.74767 .73575 L
.7464 .73796 L
.74067 .74767 L
.73796 .75213 L
.73471 .75738 L
.72851 .76709 L
.72824 .7675 L
.72206 .77681 L
.71853 .78196 L
.71534 .78652 L
.70882 .79559 L
.70835 .79623 L
.70104 .80594 L
.69911 .80845 L
.69341 .81566 L
.68939 .82058 L
.6854 .82537 L
.67968 .83203 L
.67699 .83508 L
.66997 .8428 L
.66811 .84479 L
.66026 .85293 L
.65869 .85451 L
.65054 .86242 L
.64863 .86422 L
.64083 .8713 L
.63781 .87393 L
.63112 .87956 L
.62604 .88364 L
.62141 .88722 L
.61301 .89336 L
.61169 .89428 L
.60198 .90074 L
.59825 .90307 L
.59227 .90661 L
.58256 .91189 L
.58081 .91278 L
.57284 .91658 L
.56313 .92069 L
Mistroke
.55835 .92249 L
.55342 .9242 L
.54371 .92713 L
.53399 .92948 L
.52428 .93123 L
.51695 .93221 L
.51457 .9324 L
.50486 .93299 L
.49514 .93299 L
.48543 .9324 L
.48305 .93221 L
.47572 .93123 L
.46601 .92948 L
.45629 .92713 L
.44658 .9242 L
.44165 .92249 L
.43687 .92069 L
.42716 .91658 L
.41919 .91278 L
.41744 .91189 L
.40773 .90661 L
.40175 .90307 L
.39802 .90074 L
.38831 .89428 L
.38699 .89336 L
.37859 .88722 L
.37396 .88364 L
.36888 .87956 L
.36219 .87393 L
.35917 .8713 L
.35137 .86422 L
.34946 .86242 L
.34131 .85451 L
.33974 .85293 L
.33189 .84479 L
.33003 .8428 L
.32301 .83508 L
.32032 .83203 L
.3146 .82537 L
.31061 .82058 L
.30659 .81566 L
.30089 .80845 L
.29896 .80594 L
.29165 .79623 L
.29118 .79559 L
.28466 .78652 L
.28147 .78196 L
.27794 .77681 L
.27176 .7675 L
.27149 .76709 L
Mistroke
.26529 .75738 L
.26204 .75213 L
.25933 .74767 L
.2536 .73796 L
.25233 .73575 L
.24809 .72824 L
.2428 .71853 L
.24262 .7182 L
.23771 .70882 L
.23291 .69925 L
.23284 .69911 L
.22817 .68939 L
.22371 .67968 L
.22319 .67853 L
.21945 .66997 L
.2154 .66026 L
.21348 .65547 L
.21156 .65054 L
.20793 .64083 L
.20452 .63112 L
.20377 .6289 L
.20132 .62141 L
.19835 .61169 L
.1956 .60198 L
.19406 .59614 L
.19308 .59227 L
.1908 .58256 L
.18876 .57284 L
.18696 .56313 L
.18541 .55342 L
.18434 .54563 L
.18411 .54371 L
.18307 .53399 L
.18228 .52428 L
.18176 .51457 L
.18149 .50486 L
.18149 .49514 L
.18176 .48543 L
.18228 .47572 L
.18307 .46601 L
.18411 .45629 L
.18434 .45437 L
.18541 .44658 L
.18696 .43687 L
.18876 .42716 L
.1908 .41744 L
.19308 .40773 L
.19406 .40386 L
.1956 .39802 L
.19835 .38831 L
Mistroke
.20132 .37859 L
.20377 .3711 L
.20452 .36888 L
.20793 .35917 L
.21156 .34946 L
.21348 .34453 L
.2154 .33974 L
.21945 .33003 L
.22319 .32147 L
.22371 .32032 L
.22817 .31061 L
.23284 .30089 L
.23291 .30075 L
.23771 .29118 L
.24262 .2818 L
.2428 .28147 L
.24809 .27176 L
.25233 .26425 L
.2536 .26204 L
.25933 .25233 L
.26204 .24787 L
.26529 .24262 L
.27149 .23291 L
.27176 .2325 L
.27794 .22319 L
.28147 .21804 L
.28466 .21348 L
.29118 .20441 L
.29165 .20377 L
.29896 .19406 L
.30089 .19155 L
.30659 .18434 L
.31061 .17942 L
.3146 .17463 L
.32032 .16797 L
.32301 .16492 L
.33003 .1572 L
.33189 .15521 L
.33974 .14707 L
.34131 .14549 L
.34946 .13758 L
.35137 .13578 L
.35917 .1287 L
.36219 .12607 L
.36888 .12044 L
.37396 .11636 L
.37859 .11278 L
.38699 .10664 L
.38831 .10572 L
.39802 .09926 L
Mistroke
.40175 .09693 L
.40773 .09339 L
.41744 .08811 L
.41919 .08722 L
.42716 .08342 L
.43687 .07931 L
.44165 .07751 L
.44658 .0758 L
.45629 .07287 L
.46601 .07052 L
.47572 .06877 L
.48305 .06779 L
.48543 .0676 L
Mfstroke
.367 .633 .6 r
.48543 .07732 m
.49514 .07672 L
.50486 .07672 L
.51457 .07732 L
.51679 .07751 L
.52428 .07852 L
.53399 .08032 L
.54371 .08271 L
.55342 .08571 L
.55769 .08722 L
.56313 .08931 L
.57284 .09352 L
.57986 .09693 L
.58256 .09833 L
.59227 .10374 L
.59707 .10664 L
.60198 .10977 L
.61162 .11636 L
.61169 .11641 L
.62141 .12367 L
.62445 .12607 L
.63112 .13155 L
.63603 .13578 L
.64083 .14007 L
.64666 .14549 L
.65054 .14923 L
.65653 .15521 L
.66026 .15905 L
.66576 .16492 L
.66997 .16955 L
.67446 .17463 L
.67968 .18074 L
.68268 .18434 L
.68939 .19266 L
.6905 .19406 L
.69794 .20377 L
.69911 .20534 L
.70504 .21348 L
.70882 .21883 L
.71184 .22319 L
.71834 .23291 L
.71853 .23319 L
.72458 .24262 L
.72824 .24852 L
.73056 .25233 L
.7363 .26204 L
.73796 .26493 L
.7418 .27176 L
.74707 .28147 L
.74767 .28259 L
.75212 .29118 L
.75696 .30089 L
.75738 .30177 L
.76158 .31061 L
.76598 .32032 L
.76709 .32284 L
.77018 .33003 L
.77416 .33974 L
.77681 .3465 L
.77793 .34946 L
.78148 .35917 L
.78482 .36888 L
.78652 .37408 L
.78794 .37859 L
.79084 .38831 L
.79351 .39802 L
.79596 .40773 L
.79623 .40888 L
.79817 .41744 L
.80015 .42716 L
.80189 .43687 L
.80338 .44658 L
.80464 .45629 L
.80564 .46601 L
.80594 .46938 L
.8064 .47572 L
.8069 .48543 L
.80716 .49514 L
.80716 .50486 L
.8069 .51457 L
.8064 .52428 L
.80594 .53062 L
.80564 .53399 L
.80464 .54371 L
.80338 .55342 L
.80189 .56313 L
.80015 .57284 L
.79817 .58256 L
.79623 .59112 L
.79596 .59227 L
.79351 .60198 L
.79084 .61169 L
.78794 .62141 L
.78652 .62592 L
.78482 .63112 L
.78148 .64083 L
.77793 .65054 L
.77681 .6535 L
.77416 .66026 L
.77018 .66997 L
.76709 .67716 L
.76598 .67968 L
.76158 .68939 L
.75738 .69823 L
.75696 .69911 L
.75212 .70882 L
.74767 .71741 L
.74707 .71853 L
.7418 .72824 L
.73796 .73507 L
.7363 .73796 L
.73056 .74767 L
.72824 .75148 L
.72458 .75738 L
.71853 .76681 L
.71834 .76709 L
.71184 .77681 L
.70882 .78117 L
.70504 .78652 L
.69911 .79466 L
.69794 .79623 L
.6905 .80594 L
.68939 .80734 L
.68268 .81566 L
.67968 .81926 L
.67446 .82537 L
.66997 .83045 L
.66576 .83508 L
.66026 .84095 L
.65653 .84479 L
.65054 .85077 L
.64666 .85451 L
.64083 .85993 L
.63603 .86422 L
.63112 .86845 L
.62445 .87393 L
.62141 .87633 L
.61169 .88359 L
.61162 .88364 L
.60198 .89023 L
.59707 .89336 L
.59227 .89626 L
.58256 .90167 L
.57986 .90307 L
.57284 .90648 L
.56313 .91069 L
.55769 .91278 L
.55342 .91429 L
.54371 .91729 L
.53399 .91968 L
.52428 .92148 L
.51679 .92249 L
.51457 .92268 L
.50486 .92328 L
.49514 .92328 L
.48543 .92268 L
.48321 .92249 L
.47572 .92148 L
.46601 .91968 L
.45629 .91729 L
.44658 .91429 L
.44231 .91278 L
.43687 .91069 L
.42716 .90648 L
.42014 .90307 L
.41744 .90167 L
.40773 .89626 L
.40293 .89336 L
.39802 .89023 L
.38838 .88364 L
.38831 .88359 L
.37859 .87633 L
.37555 .87393 L
.36888 .86845 L
.36397 .86422 L
.35917 .85993 L
.35334 .85451 L
.34946 .85077 L
.34347 .84479 L
.33974 .84095 L
.33424 .83508 L
.33003 .83045 L
.32554 .82537 L
.32032 .81926 L
.31732 .81566 L
.31061 .80734 L
.3095 .80594 L
.30206 .79623 L
.30089 .79466 L
.29496 .78652 L
.29118 .78117 L
.28816 .77681 L
.28166 .76709 L
.28147 .76681 L
.27542 .75738 L
.27176 .75148 L
.26944 .74767 L
.2637 .73796 L
.26204 .73507 L
.2582 .72824 L
.25293 .71853 L
.25233 .71741 L
.24788 .70882 L
.24304 .69911 L
.24262 .69823 L
.23842 .68939 L
.23402 .67968 L
.23291 .67716 L
.22982 .66997 L
.22584 .66026 L
.22319 .6535 L
.22207 .65054 L
.21852 .64083 L
.21518 .63112 L
.21348 .62592 L
.21206 .62141 L
.20916 .61169 L
.20649 .60198 L
.20404 .59227 L
.20377 .59112 L
.20183 .58256 L
.19985 .57284 L
.19811 .56313 L
.19662 .55342 L
.19536 .54371 L
.19436 .53399 L
.19406 .53062 L
.1936 .52428 L
.1931 .51457 L
.19284 .50486 L
.19284 .49514 L
.1931 .48543 L
.1936 .47572 L
.19406 .46938 L
.19436 .46601 L
.19536 .45629 L
.19662 .44658 L
.19811 .43687 L
.19985 .42716 L
.20183 .41744 L
.20377 .40888 L
.20404 .40773 L
.20649 .39802 L
.20916 .38831 L
.21206 .37859 L
.21348 .37408 L
.21518 .36888 L
.21852 .35917 L
.22207 .34946 L
.22319 .3465 L
.22584 .33974 L
.22982 .33003 L
.23291 .32284 L
.23402 .32032 L
.23842 .31061 L
.24262 .30177 L
.24304 .30089 L
.24788 .29118 L
.25233 .28259 L
.25293 .28147 L
.2582 .27176 L
.26204 .26493 L
.2637 .26204 L
.26944 .25233 L
.27176 .24852 L
.27542 .24262 L
.28147 .23319 L
.28166 .23291 L
.28816 .22319 L
.29118 .21883 L
.29496 .21348 L
.30089 .20534 L
.30206 .20377 L
.3095 .19406 L
.31061 .19266 L
.31732 .18434 L
.32032 .18074 L
.32554 .17463 L
.33003 .16955 L
.33424 .16492 L
.33974 .15905 L
.34347 .15521 L
.34946 .14923 L
.35334 .14549 L
.35917 .14007 L
.36397 .13578 L
.36888 .13155 L
.37555 .12607 L
.37859 .12367 L
.38831 .11641 L
.38838 .11636 L
.39802 .10977 L
.40293 .10664 L
.40773 .10374 L
.41744 .09833 L
.42014 .09693 L
.42716 .09352 L
.43687 .08931 L
.44231 .08722 L
.44658 .08571 L
.45629 .08271 L
.46601 .08032 L
.47572 .07852 L
.48321 .07751 L
F
0 g
.48543 .07732 m
.49514 .07672 L
.50486 .07672 L
.51457 .07732 L
.51679 .07751 L
.52428 .07852 L
.53399 .08032 L
.54371 .08271 L
.55342 .08571 L
.55769 .08722 L
.56313 .08931 L
.57284 .09352 L
.57986 .09693 L
.58256 .09833 L
.59227 .10374 L
.59707 .10664 L
.60198 .10977 L
.61162 .11636 L
.61169 .11641 L
.62141 .12367 L
.62445 .12607 L
.63112 .13155 L
.63603 .13578 L
.64083 .14007 L
.64666 .14549 L
.65054 .14923 L
.65653 .15521 L
.66026 .15905 L
.66576 .16492 L
.66997 .16955 L
.67446 .17463 L
.67968 .18074 L
.68268 .18434 L
.68939 .19266 L
.6905 .19406 L
.69794 .20377 L
.69911 .20534 L
.70504 .21348 L
.70882 .21883 L
.71184 .22319 L
.71834 .23291 L
.71853 .23319 L
.72458 .24262 L
.72824 .24852 L
.73056 .25233 L
.7363 .26204 L
.73796 .26493 L
.7418 .27176 L
.74707 .28147 L
.74767 .28259 L
Mistroke
.75212 .29118 L
.75696 .30089 L
.75738 .30177 L
.76158 .31061 L
.76598 .32032 L
.76709 .32284 L
.77018 .33003 L
.77416 .33974 L
.77681 .3465 L
.77793 .34946 L
.78148 .35917 L
.78482 .36888 L
.78652 .37408 L
.78794 .37859 L
.79084 .38831 L
.79351 .39802 L
.79596 .40773 L
.79623 .40888 L
.79817 .41744 L
.80015 .42716 L
.80189 .43687 L
.80338 .44658 L
.80464 .45629 L
.80564 .46601 L
.80594 .46938 L
.8064 .47572 L
.8069 .48543 L
.80716 .49514 L
.80716 .50486 L
.8069 .51457 L
.8064 .52428 L
.80594 .53062 L
.80564 .53399 L
.80464 .54371 L
.80338 .55342 L
.80189 .56313 L
.80015 .57284 L
.79817 .58256 L
.79623 .59112 L
.79596 .59227 L
.79351 .60198 L
.79084 .61169 L
.78794 .62141 L
.78652 .62592 L
.78482 .63112 L
.78148 .64083 L
.77793 .65054 L
.77681 .6535 L
.77416 .66026 L
.77018 .66997 L
Mistroke
.76709 .67716 L
.76598 .67968 L
.76158 .68939 L
.75738 .69823 L
.75696 .69911 L
.75212 .70882 L
.74767 .71741 L
.74707 .71853 L
.7418 .72824 L
.73796 .73507 L
.7363 .73796 L
.73056 .74767 L
.72824 .75148 L
.72458 .75738 L
.71853 .76681 L
.71834 .76709 L
.71184 .77681 L
.70882 .78117 L
.70504 .78652 L
.69911 .79466 L
.69794 .79623 L
.6905 .80594 L
.68939 .80734 L
.68268 .81566 L
.67968 .81926 L
.67446 .82537 L
.66997 .83045 L
.66576 .83508 L
.66026 .84095 L
.65653 .84479 L
.65054 .85077 L
.64666 .85451 L
.64083 .85993 L
.63603 .86422 L
.63112 .86845 L
.62445 .87393 L
.62141 .87633 L
.61169 .88359 L
.61162 .88364 L
.60198 .89023 L
.59707 .89336 L
.59227 .89626 L
.58256 .90167 L
.57986 .90307 L
.57284 .90648 L
.56313 .91069 L
.55769 .91278 L
.55342 .91429 L
.54371 .91729 L
.53399 .91968 L
Mistroke
.52428 .92148 L
.51679 .92249 L
.51457 .92268 L
.50486 .92328 L
.49514 .92328 L
.48543 .92268 L
.48321 .92249 L
.47572 .92148 L
.46601 .91968 L
.45629 .91729 L
.44658 .91429 L
.44231 .91278 L
.43687 .91069 L
.42716 .90648 L
.42014 .90307 L
.41744 .90167 L
.40773 .89626 L
.40293 .89336 L
.39802 .89023 L
.38838 .88364 L
.38831 .88359 L
.37859 .87633 L
.37555 .87393 L
.36888 .86845 L
.36397 .86422 L
.35917 .85993 L
.35334 .85451 L
.34946 .85077 L
.34347 .84479 L
.33974 .84095 L
.33424 .83508 L
.33003 .83045 L
.32554 .82537 L
.32032 .81926 L
.31732 .81566 L
.31061 .80734 L
.3095 .80594 L
.30206 .79623 L
.30089 .79466 L
.29496 .78652 L
.29118 .78117 L
.28816 .77681 L
.28166 .76709 L
.28147 .76681 L
.27542 .75738 L
.27176 .75148 L
.26944 .74767 L
.2637 .73796 L
.26204 .73507 L
.2582 .72824 L
Mistroke
.25293 .71853 L
.25233 .71741 L
.24788 .70882 L
.24304 .69911 L
.24262 .69823 L
.23842 .68939 L
.23402 .67968 L
.23291 .67716 L
.22982 .66997 L
.22584 .66026 L
.22319 .6535 L
.22207 .65054 L
.21852 .64083 L
.21518 .63112 L
.21348 .62592 L
.21206 .62141 L
.20916 .61169 L
.20649 .60198 L
.20404 .59227 L
.20377 .59112 L
.20183 .58256 L
.19985 .57284 L
.19811 .56313 L
.19662 .55342 L
.19536 .54371 L
.19436 .53399 L
.19406 .53062 L
.1936 .52428 L
.1931 .51457 L
.19284 .50486 L
.19284 .49514 L
.1931 .48543 L
.1936 .47572 L
.19406 .46938 L
.19436 .46601 L
.19536 .45629 L
.19662 .44658 L
.19811 .43687 L
.19985 .42716 L
.20183 .41744 L
.20377 .40888 L
.20404 .40773 L
.20649 .39802 L
.20916 .38831 L
.21206 .37859 L
.21348 .37408 L
.21518 .36888 L
.21852 .35917 L
.22207 .34946 L
.22319 .3465 L
Mistroke
.22584 .33974 L
.22982 .33003 L
.23291 .32284 L
.23402 .32032 L
.23842 .31061 L
.24262 .30177 L
.24304 .30089 L
.24788 .29118 L
.25233 .28259 L
.25293 .28147 L
.2582 .27176 L
.26204 .26493 L
.2637 .26204 L
.26944 .25233 L
.27176 .24852 L
.27542 .24262 L
.28147 .23319 L
.28166 .23291 L
.28816 .22319 L
.29118 .21883 L
.29496 .21348 L
.30089 .20534 L
.30206 .20377 L
.3095 .19406 L
.31061 .19266 L
.31732 .18434 L
.32032 .18074 L
.32554 .17463 L
.33003 .16955 L
.33424 .16492 L
.33974 .15905 L
.34347 .15521 L
.34946 .14923 L
.35334 .14549 L
.35917 .14007 L
.36397 .13578 L
.36888 .13155 L
.37555 .12607 L
.37859 .12367 L
.38831 .11641 L
.38838 .11636 L
.39802 .10977 L
.40293 .10664 L
.40773 .10374 L
.41744 .09833 L
.42014 .09693 L
.42716 .09352 L
.43687 .08931 L
.44231 .08722 L
.44658 .08571 L
Mistroke
.45629 .08271 L
.46601 .08032 L
.47572 .07852 L
.48321 .07751 L
.48543 .07732 L
Mfstroke
.35 .65 .6 r
.49514 .08666 m
.50486 .08666 L
.51401 .08722 L
.51457 .08727 L
.52428 .0885 L
.53399 .09034 L
.54371 .0928 L
.55342 .09587 L
.55639 .09693 L
.56313 .09956 L
.57284 .10388 L
.57844 .10664 L
.58256 .10881 L
.59227 .11438 L
.59548 .11636 L
.60198 .12057 L
.60986 .12607 L
.61169 .1274 L
.62141 .13488 L
.62252 .13578 L
.63112 .14301 L
.63393 .14549 L
.64083 .15181 L
.64439 .15521 L
.65054 .16129 L
.65408 .16492 L
.66026 .17147 L
.66314 .17463 L
.66997 .18238 L
.67165 .18434 L
.67968 .19404 L
.6797 .19406 L
.68732 .20377 L
.68939 .20649 L
.69458 .21348 L
.69911 .2198 L
.70149 .22319 L
.70808 .23291 L
.70882 .23402 L
.71438 .24262 L
.71853 .24925 L
.72041 .25233 L
.72618 .26204 L
.72824 .26563 L
.73169 .27176 L
.73697 .28147 L
.73796 .28333 L
.74201 .29118 L
.74683 .30089 L
.74767 .30264 L
.75142 .31061 L
.75579 .32032 L
.75738 .32398 L
.75994 .33003 L
.76388 .33974 L
.76709 .34811 L
.7676 .34946 L
.7711 .35917 L
.77438 .36888 L
.77681 .37652 L
.77744 .37859 L
.78028 .38831 L
.7829 .39802 L
.78528 .40773 L
.78652 .41315 L
.78744 .41744 L
.78937 .42716 L
.79107 .43687 L
.79252 .44658 L
.79374 .45629 L
.79472 .46601 L
.79545 .47572 L
.79594 .48543 L
.79619 .49514 L
.79619 .50486 L
.79594 .51457 L
.79545 .52428 L
.79472 .53399 L
.79374 .54371 L
.79252 .55342 L
.79107 .56313 L
.78937 .57284 L
.78744 .58256 L
.78652 .58685 L
.78528 .59227 L
.7829 .60198 L
.78028 .61169 L
.77744 .62141 L
.77681 .62348 L
.77438 .63112 L
.7711 .64083 L
.7676 .65054 L
.76709 .65189 L
.76388 .66026 L
.75994 .66997 L
.75738 .67602 L
.75579 .67968 L
.75142 .68939 L
.74767 .69736 L
.74683 .69911 L
.74201 .70882 L
.73796 .71667 L
.73697 .71853 L
.73169 .72824 L
.72824 .73437 L
.72618 .73796 L
.72041 .74767 L
.71853 .75075 L
.71438 .75738 L
.70882 .76598 L
.70808 .76709 L
.70149 .77681 L
.69911 .7802 L
.69458 .78652 L
.68939 .79351 L
.68732 .79623 L
.6797 .80594 L
.67968 .80596 L
.67165 .81566 L
.66997 .81762 L
.66314 .82537 L
.66026 .82853 L
.65408 .83508 L
.65054 .83871 L
.64439 .84479 L
.64083 .84819 L
.63393 .85451 L
.63112 .85699 L
.62252 .86422 L
.62141 .86512 L
.61169 .8726 L
.60986 .87393 L
.60198 .87943 L
.59548 .88364 L
.59227 .88562 L
.58256 .89119 L
.57844 .89336 L
.57284 .89612 L
.56313 .90044 L
.55639 .90307 L
.55342 .90413 L
.54371 .9072 L
.53399 .90966 L
.52428 .9115 L
.51457 .91273 L
.51401 .91278 L
.50486 .91334 L
.49514 .91334 L
.48599 .91278 L
.48543 .91273 L
.47572 .9115 L
.46601 .90966 L
.45629 .9072 L
.44658 .90413 L
.44361 .90307 L
.43687 .90044 L
.42716 .89612 L
.42156 .89336 L
.41744 .89119 L
.40773 .88562 L
.40452 .88364 L
.39802 .87943 L
.39014 .87393 L
.38831 .8726 L
.37859 .86512 L
.37748 .86422 L
.36888 .85699 L
.36607 .85451 L
.35917 .84819 L
.35561 .84479 L
.34946 .83871 L
.34592 .83508 L
.33974 .82853 L
.33686 .82537 L
.33003 .81762 L
.32835 .81566 L
.32032 .80596 L
.3203 .80594 L
.31268 .79623 L
.31061 .79351 L
.30542 .78652 L
.30089 .7802 L
.29851 .77681 L
.29192 .76709 L
.29118 .76598 L
.28562 .75738 L
.28147 .75075 L
.27959 .74767 L
.27382 .73796 L
.27176 .73437 L
.26831 .72824 L
.26303 .71853 L
.26204 .71667 L
.25799 .70882 L
.25317 .69911 L
.25233 .69736 L
.24858 .68939 L
.24421 .67968 L
.24262 .67602 L
.24006 .66997 L
.23612 .66026 L
.23291 .65189 L
.2324 .65054 L
.2289 .64083 L
.22562 .63112 L
.22319 .62348 L
.22256 .62141 L
.21972 .61169 L
.2171 .60198 L
.21472 .59227 L
.21348 .58685 L
.21256 .58256 L
.21063 .57284 L
.20893 .56313 L
.20748 .55342 L
.20626 .54371 L
.20528 .53399 L
.20455 .52428 L
.20406 .51457 L
.20381 .50486 L
.20381 .49514 L
.20406 .48543 L
.20455 .47572 L
.20528 .46601 L
.20626 .45629 L
.20748 .44658 L
.20893 .43687 L
.21063 .42716 L
.21256 .41744 L
.21348 .41315 L
.21472 .40773 L
.2171 .39802 L
.21972 .38831 L
.22256 .37859 L
.22319 .37652 L
.22562 .36888 L
.2289 .35917 L
.2324 .34946 L
.23291 .34811 L
.23612 .33974 L
.24006 .33003 L
.24262 .32398 L
.24421 .32032 L
.24858 .31061 L
.25233 .30264 L
.25317 .30089 L
.25799 .29118 L
.26204 .28333 L
.26303 .28147 L
.26831 .27176 L
.27176 .26563 L
.27382 .26204 L
.27959 .25233 L
.28147 .24925 L
.28562 .24262 L
.29118 .23402 L
.29192 .23291 L
.29851 .22319 L
.30089 .2198 L
.30542 .21348 L
.31061 .20649 L
.31268 .20377 L
.3203 .19406 L
.32032 .19404 L
.32835 .18434 L
.33003 .18238 L
.33686 .17463 L
.33974 .17147 L
.34592 .16492 L
.34946 .16129 L
.35561 .15521 L
.35917 .15181 L
.36607 .14549 L
.36888 .14301 L
.37748 .13578 L
.37859 .13488 L
.38831 .1274 L
.39014 .12607 L
.39802 .12057 L
.40452 .11636 L
.40773 .11438 L
.41744 .10881 L
.42156 .10664 L
.42716 .10388 L
.43687 .09956 L
.44361 .09693 L
.44658 .09587 L
.45629 .0928 L
.46601 .09034 L
.47572 .0885 L
.48543 .08727 L
.48599 .08722 L
F
0 g
.49514 .08666 m
.50486 .08666 L
.51401 .08722 L
.51457 .08727 L
.52428 .0885 L
.53399 .09034 L
.54371 .0928 L
.55342 .09587 L
.55639 .09693 L
.56313 .09956 L
.57284 .10388 L
.57844 .10664 L
.58256 .10881 L
.59227 .11438 L
.59548 .11636 L
.60198 .12057 L
.60986 .12607 L
.61169 .1274 L
.62141 .13488 L
.62252 .13578 L
.63112 .14301 L
.63393 .14549 L
.64083 .15181 L
.64439 .15521 L
.65054 .16129 L
.65408 .16492 L
.66026 .17147 L
.66314 .17463 L
.66997 .18238 L
.67165 .18434 L
.67968 .19404 L
.6797 .19406 L
.68732 .20377 L
.68939 .20649 L
.69458 .21348 L
.69911 .2198 L
.70149 .22319 L
.70808 .23291 L
.70882 .23402 L
.71438 .24262 L
.71853 .24925 L
.72041 .25233 L
.72618 .26204 L
.72824 .26563 L
.73169 .27176 L
.73697 .28147 L
.73796 .28333 L
.74201 .29118 L
.74683 .30089 L
.74767 .30264 L
Mistroke
.75142 .31061 L
.75579 .32032 L
.75738 .32398 L
.75994 .33003 L
.76388 .33974 L
.76709 .34811 L
.7676 .34946 L
.7711 .35917 L
.77438 .36888 L
.77681 .37652 L
.77744 .37859 L
.78028 .38831 L
.7829 .39802 L
.78528 .40773 L
.78652 .41315 L
.78744 .41744 L
.78937 .42716 L
.79107 .43687 L
.79252 .44658 L
.79374 .45629 L
.79472 .46601 L
.79545 .47572 L
.79594 .48543 L
.79619 .49514 L
.79619 .50486 L
.79594 .51457 L
.79545 .52428 L
.79472 .53399 L
.79374 .54371 L
.79252 .55342 L
.79107 .56313 L
.78937 .57284 L
.78744 .58256 L
.78652 .58685 L
.78528 .59227 L
.7829 .60198 L
.78028 .61169 L
.77744 .62141 L
.77681 .62348 L
.77438 .63112 L
.7711 .64083 L
.7676 .65054 L
.76709 .65189 L
.76388 .66026 L
.75994 .66997 L
.75738 .67602 L
.75579 .67968 L
.75142 .68939 L
.74767 .69736 L
.74683 .69911 L
Mistroke
.74201 .70882 L
.73796 .71667 L
.73697 .71853 L
.73169 .72824 L
.72824 .73437 L
.72618 .73796 L
.72041 .74767 L
.71853 .75075 L
.71438 .75738 L
.70882 .76598 L
.70808 .76709 L
.70149 .77681 L
.69911 .7802 L
.69458 .78652 L
.68939 .79351 L
.68732 .79623 L
.6797 .80594 L
.67968 .80596 L
.67165 .81566 L
.66997 .81762 L
.66314 .82537 L
.66026 .82853 L
.65408 .83508 L
.65054 .83871 L
.64439 .84479 L
.64083 .84819 L
.63393 .85451 L
.63112 .85699 L
.62252 .86422 L
.62141 .86512 L
.61169 .8726 L
.60986 .87393 L
.60198 .87943 L
.59548 .88364 L
.59227 .88562 L
.58256 .89119 L
.57844 .89336 L
.57284 .89612 L
.56313 .90044 L
.55639 .90307 L
.55342 .90413 L
.54371 .9072 L
.53399 .90966 L
.52428 .9115 L
.51457 .91273 L
.51401 .91278 L
.50486 .91334 L
.49514 .91334 L
.48599 .91278 L
.48543 .91273 L
Mistroke
.47572 .9115 L
.46601 .90966 L
.45629 .9072 L
.44658 .90413 L
.44361 .90307 L
.43687 .90044 L
.42716 .89612 L
.42156 .89336 L
.41744 .89119 L
.40773 .88562 L
.40452 .88364 L
.39802 .87943 L
.39014 .87393 L
.38831 .8726 L
.37859 .86512 L
.37748 .86422 L
.36888 .85699 L
.36607 .85451 L
.35917 .84819 L
.35561 .84479 L
.34946 .83871 L
.34592 .83508 L
.33974 .82853 L
.33686 .82537 L
.33003 .81762 L
.32835 .81566 L
.32032 .80596 L
.3203 .80594 L
.31268 .79623 L
.31061 .79351 L
.30542 .78652 L
.30089 .7802 L
.29851 .77681 L
.29192 .76709 L
.29118 .76598 L
.28562 .75738 L
.28147 .75075 L
.27959 .74767 L
.27382 .73796 L
.27176 .73437 L
.26831 .72824 L
.26303 .71853 L
.26204 .71667 L
.25799 .70882 L
.25317 .69911 L
.25233 .69736 L
.24858 .68939 L
.24421 .67968 L
.24262 .67602 L
.24006 .66997 L
Mistroke
.23612 .66026 L
.23291 .65189 L
.2324 .65054 L
.2289 .64083 L
.22562 .63112 L
.22319 .62348 L
.22256 .62141 L
.21972 .61169 L
.2171 .60198 L
.21472 .59227 L
.21348 .58685 L
.21256 .58256 L
.21063 .57284 L
.20893 .56313 L
.20748 .55342 L
.20626 .54371 L
.20528 .53399 L
.20455 .52428 L
.20406 .51457 L
.20381 .50486 L
.20381 .49514 L
.20406 .48543 L
.20455 .47572 L
.20528 .46601 L
.20626 .45629 L
.20748 .44658 L
.20893 .43687 L
.21063 .42716 L
.21256 .41744 L
.21348 .41315 L
.21472 .40773 L
.2171 .39802 L
.21972 .38831 L
.22256 .37859 L
.22319 .37652 L
.22562 .36888 L
.2289 .35917 L
.2324 .34946 L
.23291 .34811 L
.23612 .33974 L
.24006 .33003 L
.24262 .32398 L
.24421 .32032 L
.24858 .31061 L
.25233 .30264 L
.25317 .30089 L
.25799 .29118 L
.26204 .28333 L
.26303 .28147 L
.26831 .27176 L
Mistroke
.27176 .26563 L
.27382 .26204 L
.27959 .25233 L
.28147 .24925 L
.28562 .24262 L
.29118 .23402 L
.29192 .23291 L
.29851 .22319 L
.30089 .2198 L
.30542 .21348 L
.31061 .20649 L
.31268 .20377 L
.3203 .19406 L
.32032 .19404 L
.32835 .18434 L
.33003 .18238 L
.33686 .17463 L
.33974 .17147 L
.34592 .16492 L
.34946 .16129 L
.35561 .15521 L
.35917 .15181 L
.36607 .14549 L
.36888 .14301 L
.37748 .13578 L
.37859 .13488 L
.38831 .1274 L
.39014 .12607 L
.39802 .12057 L
.40452 .11636 L
.40773 .11438 L
.41744 .10881 L
.42156 .10664 L
.42716 .10388 L
.43687 .09956 L
.44361 .09693 L
.44658 .09587 L
.45629 .0928 L
.46601 .09034 L
.47572 .0885 L
.48543 .08727 L
.48599 .08722 L
.49514 .08666 L
Mfstroke
.333 .667 .6 r
.49514 .09684 m
.50486 .09684 L
.50716 .09693 L
.51457 .09747 L
.52428 .09873 L
.53399 .10062 L
.54371 .10314 L
.55342 .10629 L
.5544 .10664 L
.56313 .11008 L
.57284 .11451 L
.57652 .11636 L
.58256 .11959 L
.59227 .12531 L
.59348 .12607 L
.60198 .13169 L
.60773 .13578 L
.61169 .13873 L
.62025 .14549 L
.62141 .14645 L
.63112 .15486 L
.63151 .15521 L
.64083 .16396 L
.64181 .16492 L
.65054 .1738 L
.65134 .17463 L
.66023 .18434 L
.66026 .18438 L
.66857 .19406 L
.66997 .19574 L
.67644 .20377 L
.67968 .20794 L
.68388 .21348 L
.68939 .22101 L
.69095 .22319 L
.69767 .23291 L
.69911 .23505 L
.70407 .24262 L
.70882 .25014 L
.71017 .25233 L
.716 .26204 L
.71853 .26642 L
.72155 .27176 L
.72685 .28147 L
.72824 .28409 L
.73191 .29118 L
.73673 .30089 L
.73796 .30345 L
.74131 .31061 L
.74567 .32032 L
.74767 .32496 L
.7498 .33003 L
.7537 .33974 L
.75738 .34944 L
.75739 .34946 L
.76085 .35917 L
.7641 .36888 L
.76709 .37852 L
.76712 .37859 L
.76991 .38831 L
.77249 .39802 L
.77483 .40773 L
.77681 .41673 L
.77695 .41744 L
.77884 .42716 L
.7805 .43687 L
.78193 .44658 L
.78312 .45629 L
.78407 .46601 L
.78479 .47572 L
.78527 .48543 L
.78551 .49514 L
.78551 .50486 L
.78527 .51457 L
.78479 .52428 L
.78407 .53399 L
.78312 .54371 L
.78193 .55342 L
.7805 .56313 L
.77884 .57284 L
.77695 .58256 L
.77681 .58327 L
.77483 .59227 L
.77249 .60198 L
.76991 .61169 L
.76712 .62141 L
.76709 .62148 L
.7641 .63112 L
.76085 .64083 L
.75739 .65054 L
.75738 .65056 L
.7537 .66026 L
.7498 .66997 L
.74767 .67504 L
.74567 .67968 L
.74131 .68939 L
.73796 .69655 L
.73673 .69911 L
.73191 .70882 L
.72824 .71591 L
.72685 .71853 L
.72155 .72824 L
.71853 .73358 L
.716 .73796 L
.71017 .74767 L
.70882 .74986 L
.70407 .75738 L
.69911 .76495 L
.69767 .76709 L
.69095 .77681 L
.68939 .77899 L
.68388 .78652 L
.67968 .79206 L
.67644 .79623 L
.66997 .80426 L
.66857 .80594 L
.66026 .81562 L
.66023 .81566 L
.65134 .82537 L
.65054 .8262 L
.64181 .83508 L
.64083 .83604 L
.63151 .84479 L
.63112 .84514 L
.62141 .85355 L
.62025 .85451 L
.61169 .86127 L
.60773 .86422 L
.60198 .86831 L
.59348 .87393 L
.59227 .87469 L
.58256 .88041 L
.57652 .88364 L
.57284 .88549 L
.56313 .88992 L
.5544 .89336 L
.55342 .89371 L
.54371 .89686 L
.53399 .89938 L
.52428 .90127 L
.51457 .90253 L
.50716 .90307 L
.50486 .90316 L
.49514 .90316 L
.49284 .90307 L
.48543 .90253 L
.47572 .90127 L
.46601 .89938 L
.45629 .89686 L
.44658 .89371 L
.4456 .89336 L
.43687 .88992 L
.42716 .88549 L
.42348 .88364 L
.41744 .88041 L
.40773 .87469 L
.40652 .87393 L
.39802 .86831 L
.39227 .86422 L
.38831 .86127 L
.37975 .85451 L
.37859 .85355 L
.36888 .84514 L
.36849 .84479 L
.35917 .83604 L
.35819 .83508 L
.34946 .8262 L
.34866 .82537 L
.33977 .81566 L
.33974 .81562 L
.33143 .80594 L
.33003 .80426 L
.32356 .79623 L
.32032 .79206 L
.31612 .78652 L
.31061 .77899 L
.30905 .77681 L
.30233 .76709 L
.30089 .76495 L
.29593 .75738 L
.29118 .74986 L
.28983 .74767 L
.284 .73796 L
.28147 .73358 L
.27845 .72824 L
.27315 .71853 L
.27176 .71591 L
.26809 .70882 L
.26327 .69911 L
.26204 .69655 L
.25869 .68939 L
.25433 .67968 L
.25233 .67504 L
.2502 .66997 L
.2463 .66026 L
.24262 .65056 L
.24261 .65054 L
.23915 .64083 L
.2359 .63112 L
.23291 .62148 L
.23288 .62141 L
.23009 .61169 L
.22751 .60198 L
.22517 .59227 L
.22319 .58327 L
.22305 .58256 L
.22116 .57284 L
.2195 .56313 L
.21807 .55342 L
.21688 .54371 L
.21593 .53399 L
.21521 .52428 L
.21473 .51457 L
.21449 .50486 L
.21449 .49514 L
.21473 .48543 L
.21521 .47572 L
.21593 .46601 L
.21688 .45629 L
.21807 .44658 L
.2195 .43687 L
.22116 .42716 L
.22305 .41744 L
.22319 .41673 L
.22517 .40773 L
.22751 .39802 L
.23009 .38831 L
.23288 .37859 L
.23291 .37852 L
.2359 .36888 L
.23915 .35917 L
.24261 .34946 L
.24262 .34944 L
.2463 .33974 L
.2502 .33003 L
.25233 .32496 L
.25433 .32032 L
.25869 .31061 L
.26204 .30345 L
.26327 .30089 L
.26809 .29118 L
.27176 .28409 L
.27315 .28147 L
.27845 .27176 L
.28147 .26642 L
.284 .26204 L
.28983 .25233 L
.29118 .25014 L
.29593 .24262 L
.30089 .23505 L
.30233 .23291 L
.30905 .22319 L
.31061 .22101 L
.31612 .21348 L
.32032 .20794 L
.32356 .20377 L
.33003 .19574 L
.33143 .19406 L
.33974 .18438 L
.33977 .18434 L
.34866 .17463 L
.34946 .1738 L
.35819 .16492 L
.35917 .16396 L
.36849 .15521 L
.36888 .15486 L
.37859 .14645 L
.37975 .14549 L
.38831 .13873 L
.39227 .13578 L
.39802 .13169 L
.40652 .12607 L
.40773 .12531 L
.41744 .11959 L
.42348 .11636 L
.42716 .11451 L
.43687 .11008 L
.4456 .10664 L
.44658 .10629 L
.45629 .10314 L
.46601 .10062 L
.47572 .09873 L
.48543 .09747 L
.49284 .09693 L
F
0 g
.49514 .09684 m
.50486 .09684 L
.50716 .09693 L
.51457 .09747 L
.52428 .09873 L
.53399 .10062 L
.54371 .10314 L
.55342 .10629 L
.5544 .10664 L
.56313 .11008 L
.57284 .11451 L
.57652 .11636 L
.58256 .11959 L
.59227 .12531 L
.59348 .12607 L
.60198 .13169 L
.60773 .13578 L
.61169 .13873 L
.62025 .14549 L
.62141 .14645 L
.63112 .15486 L
.63151 .15521 L
.64083 .16396 L
.64181 .16492 L
.65054 .1738 L
.65134 .17463 L
.66023 .18434 L
.66026 .18438 L
.66857 .19406 L
.66997 .19574 L
.67644 .20377 L
.67968 .20794 L
.68388 .21348 L
.68939 .22101 L
.69095 .22319 L
.69767 .23291 L
.69911 .23505 L
.70407 .24262 L
.70882 .25014 L
.71017 .25233 L
.716 .26204 L
.71853 .26642 L
.72155 .27176 L
.72685 .28147 L
.72824 .28409 L
.73191 .29118 L
.73673 .30089 L
.73796 .30345 L
.74131 .31061 L
.74567 .32032 L
Mistroke
.74767 .32496 L
.7498 .33003 L
.7537 .33974 L
.75738 .34944 L
.75739 .34946 L
.76085 .35917 L
.7641 .36888 L
.76709 .37852 L
.76712 .37859 L
.76991 .38831 L
.77249 .39802 L
.77483 .40773 L
.77681 .41673 L
.77695 .41744 L
.77884 .42716 L
.7805 .43687 L
.78193 .44658 L
.78312 .45629 L
.78407 .46601 L
.78479 .47572 L
.78527 .48543 L
.78551 .49514 L
.78551 .50486 L
.78527 .51457 L
.78479 .52428 L
.78407 .53399 L
.78312 .54371 L
.78193 .55342 L
.7805 .56313 L
.77884 .57284 L
.77695 .58256 L
.77681 .58327 L
.77483 .59227 L
.77249 .60198 L
.76991 .61169 L
.76712 .62141 L
.76709 .62148 L
.7641 .63112 L
.76085 .64083 L
.75739 .65054 L
.75738 .65056 L
.7537 .66026 L
.7498 .66997 L
.74767 .67504 L
.74567 .67968 L
.74131 .68939 L
.73796 .69655 L
.73673 .69911 L
.73191 .70882 L
.72824 .71591 L
Mistroke
.72685 .71853 L
.72155 .72824 L
.71853 .73358 L
.716 .73796 L
.71017 .74767 L
.70882 .74986 L
.70407 .75738 L
.69911 .76495 L
.69767 .76709 L
.69095 .77681 L
.68939 .77899 L
.68388 .78652 L
.67968 .79206 L
.67644 .79623 L
.66997 .80426 L
.66857 .80594 L
.66026 .81562 L
.66023 .81566 L
.65134 .82537 L
.65054 .8262 L
.64181 .83508 L
.64083 .83604 L
.63151 .84479 L
.63112 .84514 L
.62141 .85355 L
.62025 .85451 L
.61169 .86127 L
.60773 .86422 L
.60198 .86831 L
.59348 .87393 L
.59227 .87469 L
.58256 .88041 L
.57652 .88364 L
.57284 .88549 L
.56313 .88992 L
.5544 .89336 L
.55342 .89371 L
.54371 .89686 L
.53399 .89938 L
.52428 .90127 L
.51457 .90253 L
.50716 .90307 L
.50486 .90316 L
.49514 .90316 L
.49284 .90307 L
.48543 .90253 L
.47572 .90127 L
.46601 .89938 L
.45629 .89686 L
.44658 .89371 L
Mistroke
.4456 .89336 L
.43687 .88992 L
.42716 .88549 L
.42348 .88364 L
.41744 .88041 L
.40773 .87469 L
.40652 .87393 L
.39802 .86831 L
.39227 .86422 L
.38831 .86127 L
.37975 .85451 L
.37859 .85355 L
.36888 .84514 L
.36849 .84479 L
.35917 .83604 L
.35819 .83508 L
.34946 .8262 L
.34866 .82537 L
.33977 .81566 L
.33974 .81562 L
.33143 .80594 L
.33003 .80426 L
.32356 .79623 L
.32032 .79206 L
.31612 .78652 L
.31061 .77899 L
.30905 .77681 L
.30233 .76709 L
.30089 .76495 L
.29593 .75738 L
.29118 .74986 L
.28983 .74767 L
.284 .73796 L
.28147 .73358 L
.27845 .72824 L
.27315 .71853 L
.27176 .71591 L
.26809 .70882 L
.26327 .69911 L
.26204 .69655 L
.25869 .68939 L
.25433 .67968 L
.25233 .67504 L
.2502 .66997 L
.2463 .66026 L
.24262 .65056 L
.24261 .65054 L
.23915 .64083 L
.2359 .63112 L
.23291 .62148 L
Mistroke
.23288 .62141 L
.23009 .61169 L
.22751 .60198 L
.22517 .59227 L
.22319 .58327 L
.22305 .58256 L
.22116 .57284 L
.2195 .56313 L
.21807 .55342 L
.21688 .54371 L
.21593 .53399 L
.21521 .52428 L
.21473 .51457 L
.21449 .50486 L
.21449 .49514 L
.21473 .48543 L
.21521 .47572 L
.21593 .46601 L
.21688 .45629 L
.21807 .44658 L
.2195 .43687 L
.22116 .42716 L
.22305 .41744 L
.22319 .41673 L
.22517 .40773 L
.22751 .39802 L
.23009 .38831 L
.23288 .37859 L
.23291 .37852 L
.2359 .36888 L
.23915 .35917 L
.24261 .34946 L
.24262 .34944 L
.2463 .33974 L
.2502 .33003 L
.25233 .32496 L
.25433 .32032 L
.25869 .31061 L
.26204 .30345 L
.26327 .30089 L
.26809 .29118 L
.27176 .28409 L
.27315 .28147 L
.27845 .27176 L
.28147 .26642 L
.284 .26204 L
.28983 .25233 L
.29118 .25014 L
.29593 .24262 L
.30089 .23505 L
Mistroke
.30233 .23291 L
.30905 .22319 L
.31061 .22101 L
.31612 .21348 L
.32032 .20794 L
.32356 .20377 L
.33003 .19574 L
.33143 .19406 L
.33974 .18438 L
.33977 .18434 L
.34866 .17463 L
.34946 .1738 L
.35819 .16492 L
.35917 .16396 L
.36849 .15521 L
.36888 .15486 L
.37859 .14645 L
.37975 .14549 L
.38831 .13873 L
.39227 .13578 L
.39802 .13169 L
.40652 .12607 L
.40773 .12531 L
.41744 .11959 L
.42348 .11636 L
.42716 .11451 L
.43687 .11008 L
.4456 .10664 L
.44658 .10629 L
.45629 .10314 L
.46601 .10062 L
.47572 .09873 L
.48543 .09747 L
.49284 .09693 L
.49514 .09684 L
Mfstroke
.317 .683 .6 r
.45629 .11375 m
.46601 .11116 L
.47572 .10922 L
.48543 .10793 L
.49514 .10728 L
.50486 .10728 L
.51457 .10793 L
.52428 .10922 L
.53399 .11116 L
.54371 .11375 L
.55166 .11636 L
.55342 .117 L
.56313 .12089 L
.57284 .12545 L
.57406 .12607 L
.58256 .13068 L
.59102 .13578 L
.59227 .13658 L
.60198 .14316 L
.60521 .14549 L
.61169 .15043 L
.61761 .15521 L
.62141 .15841 L
.62874 .16492 L
.63112 .16712 L
.6389 .17463 L
.64083 .17657 L
.64828 .18434 L
.65054 .1868 L
.65701 .19406 L
.66026 .19784 L
.66519 .20377 L
.66997 .20973 L
.67289 .21348 L
.67968 .22254 L
.68016 .22319 L
.68705 .23291 L
.68939 .23634 L
.69358 .24262 L
.69911 .25123 L
.69979 .25233 L
.7057 .26204 L
.70882 .26737 L
.71132 .27176 L
.71668 .28147 L
.71853 .28495 L
.72177 .29118 L
.72661 .30089 L
.72824 .30429 L
.7312 .31061 L
.73556 .32032 L
.73796 .32588 L
.73969 .33003 L
.74359 .33974 L
.74726 .34946 L
.74767 .35059 L
.7507 .35917 L
.75392 .36888 L
.75691 .37859 L
.75738 .38018 L
.75968 .38831 L
.76223 .39802 L
.76454 .40773 L
.76663 .41744 L
.76709 .41973 L
.7685 .42716 L
.77013 .43687 L
.77153 .44658 L
.77271 .45629 L
.77364 .46601 L
.77435 .47572 L
.77482 .48543 L
.77505 .49514 L
.77505 .50486 L
.77482 .51457 L
.77435 .52428 L
.77364 .53399 L
.77271 .54371 L
.77153 .55342 L
.77013 .56313 L
.7685 .57284 L
.76709 .58027 L
.76663 .58256 L
.76454 .59227 L
.76223 .60198 L
.75968 .61169 L
.75738 .61982 L
.75691 .62141 L
.75392 .63112 L
.7507 .64083 L
.74767 .64941 L
.74726 .65054 L
.74359 .66026 L
.73969 .66997 L
.73796 .67412 L
.73556 .67968 L
.7312 .68939 L
.72824 .69571 L
.72661 .69911 L
.72177 .70882 L
.71853 .71505 L
.71668 .71853 L
.71132 .72824 L
.70882 .73263 L
.7057 .73796 L
.69979 .74767 L
.69911 .74877 L
.69358 .75738 L
.68939 .76366 L
.68705 .76709 L
.68016 .77681 L
.67968 .77746 L
.67289 .78652 L
.66997 .79027 L
.66519 .79623 L
.66026 .80216 L
.65701 .80594 L
.65054 .8132 L
.64828 .81566 L
.64083 .82343 L
.6389 .82537 L
.63112 .83288 L
.62874 .83508 L
.62141 .84159 L
.61761 .84479 L
.61169 .84957 L
.60521 .85451 L
.60198 .85684 L
.59227 .86342 L
.59102 .86422 L
.58256 .86932 L
.57406 .87393 L
.57284 .87455 L
.56313 .87911 L
.55342 .883 L
.55166 .88364 L
.54371 .88625 L
.53399 .88884 L
.52428 .89078 L
.51457 .89207 L
.50486 .89272 L
.49514 .89272 L
.48543 .89207 L
.47572 .89078 L
.46601 .88884 L
.45629 .88625 L
.44834 .88364 L
.44658 .883 L
.43687 .87911 L
.42716 .87455 L
.42594 .87393 L
.41744 .86932 L
.40898 .86422 L
.40773 .86342 L
.39802 .85684 L
.39479 .85451 L
.38831 .84957 L
.38239 .84479 L
.37859 .84159 L
.37126 .83508 L
.36888 .83288 L
.3611 .82537 L
.35917 .82343 L
.35172 .81566 L
.34946 .8132 L
.34299 .80594 L
.33974 .80216 L
.33481 .79623 L
.33003 .79027 L
.32711 .78652 L
.32032 .77746 L
.31984 .77681 L
.31295 .76709 L
.31061 .76366 L
.30642 .75738 L
.30089 .74877 L
.30021 .74767 L
.2943 .73796 L
.29118 .73263 L
.28868 .72824 L
.28332 .71853 L
.28147 .71505 L
.27823 .70882 L
.27339 .69911 L
.27176 .69571 L
.2688 .68939 L
.26444 .67968 L
.26204 .67412 L
.26031 .66997 L
.25641 .66026 L
.25274 .65054 L
.25233 .64941 L
.2493 .64083 L
.24608 .63112 L
.24309 .62141 L
.24262 .61982 L
.24032 .61169 L
.23777 .60198 L
.23546 .59227 L
.23337 .58256 L
.23291 .58027 L
.2315 .57284 L
.22987 .56313 L
.22847 .55342 L
.22729 .54371 L
.22636 .53399 L
.22565 .52428 L
.22518 .51457 L
.22495 .50486 L
.22495 .49514 L
.22518 .48543 L
.22565 .47572 L
.22636 .46601 L
.22729 .45629 L
.22847 .44658 L
.22987 .43687 L
.2315 .42716 L
.23291 .41973 L
.23337 .41744 L
.23546 .40773 L
.23777 .39802 L
.24032 .38831 L
.24262 .38018 L
.24309 .37859 L
.24608 .36888 L
.2493 .35917 L
.25233 .35059 L
.25274 .34946 L
.25641 .33974 L
.26031 .33003 L
.26204 .32588 L
.26444 .32032 L
.2688 .31061 L
.27176 .30429 L
.27339 .30089 L
.27823 .29118 L
.28147 .28495 L
.28332 .28147 L
.28868 .27176 L
.29118 .26737 L
.2943 .26204 L
.30021 .25233 L
.30089 .25123 L
.30642 .24262 L
.31061 .23634 L
.31295 .23291 L
.31984 .22319 L
.32032 .22254 L
.32711 .21348 L
.33003 .20973 L
.33481 .20377 L
.33974 .19784 L
.34299 .19406 L
.34946 .1868 L
.35172 .18434 L
.35917 .17657 L
.3611 .17463 L
.36888 .16712 L
.37126 .16492 L
.37859 .15841 L
.38239 .15521 L
.38831 .15043 L
.39479 .14549 L
.39802 .14316 L
.40773 .13658 L
.40898 .13578 L
.41744 .13068 L
.42594 .12607 L
.42716 .12545 L
.43687 .12089 L
.44658 .117 L
.44834 .11636 L
F
0 g
.45629 .11375 m
.46601 .11116 L
.47572 .10922 L
.48543 .10793 L
.49514 .10728 L
.50486 .10728 L
.51457 .10793 L
.52428 .10922 L
.53399 .11116 L
.54371 .11375 L
.55166 .11636 L
.55342 .117 L
.56313 .12089 L
.57284 .12545 L
.57406 .12607 L
.58256 .13068 L
.59102 .13578 L
.59227 .13658 L
.60198 .14316 L
.60521 .14549 L
.61169 .15043 L
.61761 .15521 L
.62141 .15841 L
.62874 .16492 L
.63112 .16712 L
.6389 .17463 L
.64083 .17657 L
.64828 .18434 L
.65054 .1868 L
.65701 .19406 L
.66026 .19784 L
.66519 .20377 L
.66997 .20973 L
.67289 .21348 L
.67968 .22254 L
.68016 .22319 L
.68705 .23291 L
.68939 .23634 L
.69358 .24262 L
.69911 .25123 L
.69979 .25233 L
.7057 .26204 L
.70882 .26737 L
.71132 .27176 L
.71668 .28147 L
.71853 .28495 L
.72177 .29118 L
.72661 .30089 L
.72824 .30429 L
.7312 .31061 L
Mistroke
.73556 .32032 L
.73796 .32588 L
.73969 .33003 L
.74359 .33974 L
.74726 .34946 L
.74767 .35059 L
.7507 .35917 L
.75392 .36888 L
.75691 .37859 L
.75738 .38018 L
.75968 .38831 L
.76223 .39802 L
.76454 .40773 L
.76663 .41744 L
.76709 .41973 L
.7685 .42716 L
.77013 .43687 L
.77153 .44658 L
.77271 .45629 L
.77364 .46601 L
.77435 .47572 L
.77482 .48543 L
.77505 .49514 L
.77505 .50486 L
.77482 .51457 L
.77435 .52428 L
.77364 .53399 L
.77271 .54371 L
.77153 .55342 L
.77013 .56313 L
.7685 .57284 L
.76709 .58027 L
.76663 .58256 L
.76454 .59227 L
.76223 .60198 L
.75968 .61169 L
.75738 .61982 L
.75691 .62141 L
.75392 .63112 L
.7507 .64083 L
.74767 .64941 L
.74726 .65054 L
.74359 .66026 L
.73969 .66997 L
.73796 .67412 L
.73556 .67968 L
.7312 .68939 L
.72824 .69571 L
.72661 .69911 L
.72177 .70882 L
Mistroke
.71853 .71505 L
.71668 .71853 L
.71132 .72824 L
.70882 .73263 L
.7057 .73796 L
.69979 .74767 L
.69911 .74877 L
.69358 .75738 L
.68939 .76366 L
.68705 .76709 L
.68016 .77681 L
.67968 .77746 L
.67289 .78652 L
.66997 .79027 L
.66519 .79623 L
.66026 .80216 L
.65701 .80594 L
.65054 .8132 L
.64828 .81566 L
.64083 .82343 L
.6389 .82537 L
.63112 .83288 L
.62874 .83508 L
.62141 .84159 L
.61761 .84479 L
.61169 .84957 L
.60521 .85451 L
.60198 .85684 L
.59227 .86342 L
.59102 .86422 L
.58256 .86932 L
.57406 .87393 L
.57284 .87455 L
.56313 .87911 L
.55342 .883 L
.55166 .88364 L
.54371 .88625 L
.53399 .88884 L
.52428 .89078 L
.51457 .89207 L
.50486 .89272 L
.49514 .89272 L
.48543 .89207 L
.47572 .89078 L
.46601 .88884 L
.45629 .88625 L
.44834 .88364 L
.44658 .883 L
.43687 .87911 L
.42716 .87455 L
Mistroke
.42594 .87393 L
.41744 .86932 L
.40898 .86422 L
.40773 .86342 L
.39802 .85684 L
.39479 .85451 L
.38831 .84957 L
.38239 .84479 L
.37859 .84159 L
.37126 .83508 L
.36888 .83288 L
.3611 .82537 L
.35917 .82343 L
.35172 .81566 L
.34946 .8132 L
.34299 .80594 L
.33974 .80216 L
.33481 .79623 L
.33003 .79027 L
.32711 .78652 L
.32032 .77746 L
.31984 .77681 L
.31295 .76709 L
.31061 .76366 L
.30642 .75738 L
.30089 .74877 L
.30021 .74767 L
.2943 .73796 L
.29118 .73263 L
.28868 .72824 L
.28332 .71853 L
.28147 .71505 L
.27823 .70882 L
.27339 .69911 L
.27176 .69571 L
.2688 .68939 L
.26444 .67968 L
.26204 .67412 L
.26031 .66997 L
.25641 .66026 L
.25274 .65054 L
.25233 .64941 L
.2493 .64083 L
.24608 .63112 L
.24309 .62141 L
.24262 .61982 L
.24032 .61169 L
.23777 .60198 L
.23546 .59227 L
.23337 .58256 L
Mistroke
.23291 .58027 L
.2315 .57284 L
.22987 .56313 L
.22847 .55342 L
.22729 .54371 L
.22636 .53399 L
.22565 .52428 L
.22518 .51457 L
.22495 .50486 L
.22495 .49514 L
.22518 .48543 L
.22565 .47572 L
.22636 .46601 L
.22729 .45629 L
.22847 .44658 L
.22987 .43687 L
.2315 .42716 L
.23291 .41973 L
.23337 .41744 L
.23546 .40773 L
.23777 .39802 L
.24032 .38831 L
.24262 .38018 L
.24309 .37859 L
.24608 .36888 L
.2493 .35917 L
.25233 .35059 L
.25274 .34946 L
.25641 .33974 L
.26031 .33003 L
.26204 .32588 L
.26444 .32032 L
.2688 .31061 L
.27176 .30429 L
.27339 .30089 L
.27823 .29118 L
.28147 .28495 L
.28332 .28147 L
.28868 .27176 L
.29118 .26737 L
.2943 .26204 L
.30021 .25233 L
.30089 .25123 L
.30642 .24262 L
.31061 .23634 L
.31295 .23291 L
.31984 .22319 L
.32032 .22254 L
.32711 .21348 L
.33003 .20973 L
Mistroke
.33481 .20377 L
.33974 .19784 L
.34299 .19406 L
.34946 .1868 L
.35172 .18434 L
.35917 .17657 L
.3611 .17463 L
.36888 .16712 L
.37126 .16492 L
.37859 .15841 L
.38239 .15521 L
.38831 .15043 L
.39479 .14549 L
.39802 .14316 L
.40773 .13658 L
.40898 .13578 L
.41744 .13068 L
.42594 .12607 L
.42716 .12545 L
.43687 .12089 L
.44658 .117 L
.44834 .11636 L
.45629 .11375 L
Mfstroke
.3 .7 .6 r
.45629 .12467 m
.46601 .12201 L
.47572 .12001 L
.48543 .11868 L
.49514 .11802 L
.50486 .11802 L
.51457 .11868 L
.52428 .12001 L
.53399 .12201 L
.54371 .12467 L
.54804 .12607 L
.55342 .12801 L
.56313 .13202 L
.57101 .13578 L
.57284 .13672 L
.58256 .14211 L
.58809 .14549 L
.59227 .1482 L
.60198 .155 L
.60226 .15521 L
.61169 .16253 L
.61459 .16492 L
.62141 .1708 L
.62562 .17463 L
.63112 .17985 L
.63566 .18434 L
.64083 .18969 L
.6449 .19406 L
.65054 .20036 L
.65349 .20377 L
.66026 .21192 L
.66151 .21348 L
.66905 .22319 L
.66997 .22442 L
.67615 .23291 L
.67968 .23795 L
.68286 .24262 L
.68922 .25233 L
.68939 .2526 L
.69525 .26204 L
.69911 .26854 L
.70096 .27176 L
.70639 .28147 L
.70882 .28598 L
.71154 .29118 L
.71643 .30089 L
.71853 .30524 L
.72106 .31061 L
.72544 .32032 L
.72824 .32683 L
.72958 .33003 L
.73348 .33974 L
.73715 .34946 L
.73796 .35167 L
.74059 .35917 L
.7438 .36888 L
.74678 .37859 L
.74767 .38163 L
.74954 .38831 L
.75206 .39802 L
.75436 .40773 L
.75644 .41744 L
.75738 .42227 L
.75828 .42716 L
.7599 .43687 L
.76128 .44658 L
.76244 .45629 L
.76337 .46601 L
.76406 .47572 L
.76453 .48543 L
.76476 .49514 L
.76476 .50486 L
.76453 .51457 L
.76406 .52428 L
.76337 .53399 L
.76244 .54371 L
.76128 .55342 L
.7599 .56313 L
.75828 .57284 L
.75738 .57773 L
.75644 .58256 L
.75436 .59227 L
.75206 .60198 L
.74954 .61169 L
.74767 .61837 L
.74678 .62141 L
.7438 .63112 L
.74059 .64083 L
.73796 .64833 L
.73715 .65054 L
.73348 .66026 L
.72958 .66997 L
.72824 .67317 L
.72544 .67968 L
.72106 .68939 L
.71853 .69476 L
.71643 .69911 L
.71154 .70882 L
.70882 .71402 L
.70639 .71853 L
.70096 .72824 L
.69911 .73146 L
.69525 .73796 L
.68939 .7474 L
.68922 .74767 L
.68286 .75738 L
.67968 .76205 L
.67615 .76709 L
.66997 .77558 L
.66905 .77681 L
.66151 .78652 L
.66026 .78808 L
.65349 .79623 L
.65054 .79964 L
.6449 .80594 L
.64083 .81031 L
.63566 .81566 L
.63112 .82015 L
.62562 .82537 L
.62141 .8292 L
.61459 .83508 L
.61169 .83747 L
.60226 .84479 L
.60198 .845 L
.59227 .8518 L
.58809 .85451 L
.58256 .85789 L
.57284 .86328 L
.57101 .86422 L
.56313 .86798 L
.55342 .87199 L
.54804 .87393 L
.54371 .87533 L
.53399 .87799 L
.52428 .87999 L
.51457 .88132 L
.50486 .88198 L
.49514 .88198 L
.48543 .88132 L
.47572 .87999 L
.46601 .87799 L
.45629 .87533 L
.45196 .87393 L
.44658 .87199 L
.43687 .86798 L
.42899 .86422 L
.42716 .86328 L
.41744 .85789 L
.41191 .85451 L
.40773 .8518 L
.39802 .845 L
.39774 .84479 L
.38831 .83747 L
.38541 .83508 L
.37859 .8292 L
.37438 .82537 L
.36888 .82015 L
.36434 .81566 L
.35917 .81031 L
.3551 .80594 L
.34946 .79964 L
.34651 .79623 L
.33974 .78808 L
.33849 .78652 L
.33095 .77681 L
.33003 .77558 L
.32385 .76709 L
.32032 .76205 L
.31714 .75738 L
.31078 .74767 L
.31061 .7474 L
.30475 .73796 L
.30089 .73146 L
.29904 .72824 L
.29361 .71853 L
.29118 .71402 L
.28846 .70882 L
.28357 .69911 L
.28147 .69476 L
.27894 .68939 L
.27456 .67968 L
.27176 .67317 L
.27042 .66997 L
.26652 .66026 L
.26285 .65054 L
.26204 .64833 L
.25941 .64083 L
.2562 .63112 L
.25322 .62141 L
.25233 .61837 L
.25046 .61169 L
.24794 .60198 L
.24564 .59227 L
.24356 .58256 L
.24262 .57773 L
.24172 .57284 L
.2401 .56313 L
.23872 .55342 L
.23756 .54371 L
.23663 .53399 L
.23594 .52428 L
.23547 .51457 L
.23524 .50486 L
.23524 .49514 L
.23547 .48543 L
.23594 .47572 L
.23663 .46601 L
.23756 .45629 L
.23872 .44658 L
.2401 .43687 L
.24172 .42716 L
.24262 .42227 L
.24356 .41744 L
.24564 .40773 L
.24794 .39802 L
.25046 .38831 L
.25233 .38163 L
.25322 .37859 L
.2562 .36888 L
.25941 .35917 L
.26204 .35167 L
.26285 .34946 L
.26652 .33974 L
.27042 .33003 L
.27176 .32683 L
.27456 .32032 L
.27894 .31061 L
.28147 .30524 L
.28357 .30089 L
.28846 .29118 L
.29118 .28598 L
.29361 .28147 L
.29904 .27176 L
.30089 .26854 L
.30475 .26204 L
.31061 .2526 L
.31078 .25233 L
.31714 .24262 L
.32032 .23795 L
.32385 .23291 L
.33003 .22442 L
.33095 .22319 L
.33849 .21348 L
.33974 .21192 L
.34651 .20377 L
.34946 .20036 L
.3551 .19406 L
.35917 .18969 L
.36434 .18434 L
.36888 .17985 L
.37438 .17463 L
.37859 .1708 L
.38541 .16492 L
.38831 .16253 L
.39774 .15521 L
.39802 .155 L
.40773 .1482 L
.41191 .14549 L
.41744 .14211 L
.42716 .13672 L
.42899 .13578 L
.43687 .13202 L
.44658 .12801 L
.45196 .12607 L
F
0 g
.45629 .12467 m
.46601 .12201 L
.47572 .12001 L
.48543 .11868 L
.49514 .11802 L
.50486 .11802 L
.51457 .11868 L
.52428 .12001 L
.53399 .12201 L
.54371 .12467 L
.54804 .12607 L
.55342 .12801 L
.56313 .13202 L
.57101 .13578 L
.57284 .13672 L
.58256 .14211 L
.58809 .14549 L
.59227 .1482 L
.60198 .155 L
.60226 .15521 L
.61169 .16253 L
.61459 .16492 L
.62141 .1708 L
.62562 .17463 L
.63112 .17985 L
.63566 .18434 L
.64083 .18969 L
.6449 .19406 L
.65054 .20036 L
.65349 .20377 L
.66026 .21192 L
.66151 .21348 L
.66905 .22319 L
.66997 .22442 L
.67615 .23291 L
.67968 .23795 L
.68286 .24262 L
.68922 .25233 L
.68939 .2526 L
.69525 .26204 L
.69911 .26854 L
.70096 .27176 L
.70639 .28147 L
.70882 .28598 L
.71154 .29118 L
.71643 .30089 L
.71853 .30524 L
.72106 .31061 L
.72544 .32032 L
.72824 .32683 L
Mistroke
.72958 .33003 L
.73348 .33974 L
.73715 .34946 L
.73796 .35167 L
.74059 .35917 L
.7438 .36888 L
.74678 .37859 L
.74767 .38163 L
.74954 .38831 L
.75206 .39802 L
.75436 .40773 L
.75644 .41744 L
.75738 .42227 L
.75828 .42716 L
.7599 .43687 L
.76128 .44658 L
.76244 .45629 L
.76337 .46601 L
.76406 .47572 L
.76453 .48543 L
.76476 .49514 L
.76476 .50486 L
.76453 .51457 L
.76406 .52428 L
.76337 .53399 L
.76244 .54371 L
.76128 .55342 L
.7599 .56313 L
.75828 .57284 L
.75738 .57773 L
.75644 .58256 L
.75436 .59227 L
.75206 .60198 L
.74954 .61169 L
.74767 .61837 L
.74678 .62141 L
.7438 .63112 L
.74059 .64083 L
.73796 .64833 L
.73715 .65054 L
.73348 .66026 L
.72958 .66997 L
.72824 .67317 L
.72544 .67968 L
.72106 .68939 L
.71853 .69476 L
.71643 .69911 L
.71154 .70882 L
.70882 .71402 L
.70639 .71853 L
Mistroke
.70096 .72824 L
.69911 .73146 L
.69525 .73796 L
.68939 .7474 L
.68922 .74767 L
.68286 .75738 L
.67968 .76205 L
.67615 .76709 L
.66997 .77558 L
.66905 .77681 L
.66151 .78652 L
.66026 .78808 L
.65349 .79623 L
.65054 .79964 L
.6449 .80594 L
.64083 .81031 L
.63566 .81566 L
.63112 .82015 L
.62562 .82537 L
.62141 .8292 L
.61459 .83508 L
.61169 .83747 L
.60226 .84479 L
.60198 .845 L
.59227 .8518 L
.58809 .85451 L
.58256 .85789 L
.57284 .86328 L
.57101 .86422 L
.56313 .86798 L
.55342 .87199 L
.54804 .87393 L
.54371 .87533 L
.53399 .87799 L
.52428 .87999 L
.51457 .88132 L
.50486 .88198 L
.49514 .88198 L
.48543 .88132 L
.47572 .87999 L
.46601 .87799 L
.45629 .87533 L
.45196 .87393 L
.44658 .87199 L
.43687 .86798 L
.42899 .86422 L
.42716 .86328 L
.41744 .85789 L
.41191 .85451 L
.40773 .8518 L
Mistroke
.39802 .845 L
.39774 .84479 L
.38831 .83747 L
.38541 .83508 L
.37859 .8292 L
.37438 .82537 L
.36888 .82015 L
.36434 .81566 L
.35917 .81031 L
.3551 .80594 L
.34946 .79964 L
.34651 .79623 L
.33974 .78808 L
.33849 .78652 L
.33095 .77681 L
.33003 .77558 L
.32385 .76709 L
.32032 .76205 L
.31714 .75738 L
.31078 .74767 L
.31061 .7474 L
.30475 .73796 L
.30089 .73146 L
.29904 .72824 L
.29361 .71853 L
.29118 .71402 L
.28846 .70882 L
.28357 .69911 L
.28147 .69476 L
.27894 .68939 L
.27456 .67968 L
.27176 .67317 L
.27042 .66997 L
.26652 .66026 L
.26285 .65054 L
.26204 .64833 L
.25941 .64083 L
.2562 .63112 L
.25322 .62141 L
.25233 .61837 L
.25046 .61169 L
.24794 .60198 L
.24564 .59227 L
.24356 .58256 L
.24262 .57773 L
.24172 .57284 L
.2401 .56313 L
.23872 .55342 L
.23756 .54371 L
.23663 .53399 L
Mistroke
.23594 .52428 L
.23547 .51457 L
.23524 .50486 L
.23524 .49514 L
.23547 .48543 L
.23594 .47572 L
.23663 .46601 L
.23756 .45629 L
.23872 .44658 L
.2401 .43687 L
.24172 .42716 L
.24262 .42227 L
.24356 .41744 L
.24564 .40773 L
.24794 .39802 L
.25046 .38831 L
.25233 .38163 L
.25322 .37859 L
.2562 .36888 L
.25941 .35917 L
.26204 .35167 L
.26285 .34946 L
.26652 .33974 L
.27042 .33003 L
.27176 .32683 L
.27456 .32032 L
.27894 .31061 L
.28147 .30524 L
.28357 .30089 L
.28846 .29118 L
.29118 .28598 L
.29361 .28147 L
.29904 .27176 L
.30089 .26854 L
.30475 .26204 L
.31061 .2526 L
.31078 .25233 L
.31714 .24262 L
.32032 .23795 L
.32385 .23291 L
.33003 .22442 L
.33095 .22319 L
.33849 .21348 L
.33974 .21192 L
.34651 .20377 L
.34946 .20036 L
.3551 .19406 L
.35917 .18969 L
.36434 .18434 L
.36888 .17985 L
Mistroke
.37438 .17463 L
.37859 .1708 L
.38541 .16492 L
.38831 .16253 L
.39774 .15521 L
.39802 .155 L
.40773 .1482 L
.41191 .14549 L
.41744 .14211 L
.42716 .13672 L
.42899 .13578 L
.43687 .13202 L
.44658 .12801 L
.45196 .12607 L
.45629 .12467 L
Mfstroke
.283 .717 .6 r
.46601 .13317 m
.47572 .13111 L
.48543 .12974 L
.49514 .12906 L
.50486 .12906 L
.51457 .12974 L
.52428 .13111 L
.53399 .13317 L
.54329 .13578 L
.54371 .13591 L
.55342 .13936 L
.56313 .1435 L
.56731 .14549 L
.57284 .14835 L
.58256 .15392 L
.58464 .15521 L
.59227 .16022 L
.59886 .16492 L
.60198 .16727 L
.61116 .17463 L
.61169 .17508 L
.62141 .18368 L
.62211 .18434 L
.63112 .19311 L
.63205 .19406 L
.64083 .20339 L
.64118 .20377 L
.64963 .21348 L
.65054 .21457 L
.65751 .22319 L
.66026 .22673 L
.6649 .23291 L
.66997 .23994 L
.67184 .24262 L
.67839 .25233 L
.67968 .25432 L
.68457 .26204 L
.68939 .27002 L
.69042 .27176 L
.69595 .28147 L
.69911 .28726 L
.70119 .29118 L
.70614 .30089 L
.70882 .30638 L
.71083 .31061 L
.71525 .32032 L
.71853 .3279 L
.71942 .33003 L
.72335 .33974 L
.72704 .34946 L
.72824 .35278 L
.73049 .35917 L
.7337 .36888 L
.73668 .37859 L
.73796 .383 L
.73943 .38831 L
.74195 .39802 L
.74424 .40773 L
.74631 .41744 L
.74767 .42452 L
.74814 .42716 L
.74975 .43687 L
.75113 .44658 L
.75228 .45629 L
.7532 .46601 L
.75389 .47572 L
.75435 .48543 L
.75458 .49514 L
.75458 .50486 L
.75435 .51457 L
.75389 .52428 L
.7532 .53399 L
.75228 .54371 L
.75113 .55342 L
.74975 .56313 L
.74814 .57284 L
.74767 .57548 L
.74631 .58256 L
.74424 .59227 L
.74195 .60198 L
.73943 .61169 L
.73796 .617 L
.73668 .62141 L
.7337 .63112 L
.73049 .64083 L
.72824 .64722 L
.72704 .65054 L
.72335 .66026 L
.71942 .66997 L
.71853 .6721 L
.71525 .67968 L
.71083 .68939 L
.70882 .69362 L
.70614 .69911 L
.70119 .70882 L
.69911 .71274 L
.69595 .71853 L
.69042 .72824 L
.68939 .72998 L
.68457 .73796 L
.67968 .74568 L
.67839 .74767 L
.67184 .75738 L
.66997 .76006 L
.6649 .76709 L
.66026 .77327 L
.65751 .77681 L
.65054 .78543 L
.64963 .78652 L
.64118 .79623 L
.64083 .79661 L
.63205 .80594 L
.63112 .80689 L
.62211 .81566 L
.62141 .81632 L
.61169 .82492 L
.61116 .82537 L
.60198 .83273 L
.59886 .83508 L
.59227 .83978 L
.58464 .84479 L
.58256 .84608 L
.57284 .85165 L
.56731 .85451 L
.56313 .8565 L
.55342 .86064 L
.54371 .86409 L
.54329 .86422 L
.53399 .86683 L
.52428 .86889 L
.51457 .87026 L
.50486 .87094 L
.49514 .87094 L
.48543 .87026 L
.47572 .86889 L
.46601 .86683 L
.45671 .86422 L
.45629 .86409 L
.44658 .86064 L
.43687 .8565 L
.43269 .85451 L
.42716 .85165 L
.41744 .84608 L
.41536 .84479 L
.40773 .83978 L
.40114 .83508 L
.39802 .83273 L
.38884 .82537 L
.38831 .82492 L
.37859 .81632 L
.37789 .81566 L
.36888 .80689 L
.36795 .80594 L
.35917 .79661 L
.35882 .79623 L
.35037 .78652 L
.34946 .78543 L
.34249 .77681 L
.33974 .77327 L
.3351 .76709 L
.33003 .76006 L
.32816 .75738 L
.32161 .74767 L
.32032 .74568 L
.31543 .73796 L
.31061 .72998 L
.30958 .72824 L
.30405 .71853 L
.30089 .71274 L
.29881 .70882 L
.29386 .69911 L
.29118 .69362 L
.28917 .68939 L
.28475 .67968 L
.28147 .6721 L
.28058 .66997 L
.27665 .66026 L
.27296 .65054 L
.27176 .64722 L
.26951 .64083 L
.2663 .63112 L
.26332 .62141 L
.26204 .617 L
.26057 .61169 L
.25805 .60198 L
.25576 .59227 L
.25369 .58256 L
.25233 .57548 L
.25186 .57284 L
.25025 .56313 L
.24887 .55342 L
.24772 .54371 L
.2468 .53399 L
.24611 .52428 L
.24565 .51457 L
.24542 .50486 L
.24542 .49514 L
.24565 .48543 L
.24611 .47572 L
.2468 .46601 L
.24772 .45629 L
.24887 .44658 L
.25025 .43687 L
.25186 .42716 L
.25233 .42452 L
.25369 .41744 L
.25576 .40773 L
.25805 .39802 L
.26057 .38831 L
.26204 .383 L
.26332 .37859 L
.2663 .36888 L
.26951 .35917 L
.27176 .35278 L
.27296 .34946 L
.27665 .33974 L
.28058 .33003 L
.28147 .3279 L
.28475 .32032 L
.28917 .31061 L
.29118 .30638 L
.29386 .30089 L
.29881 .29118 L
.30089 .28726 L
.30405 .28147 L
.30958 .27176 L
.31061 .27002 L
.31543 .26204 L
.32032 .25432 L
.32161 .25233 L
.32816 .24262 L
.33003 .23994 L
.3351 .23291 L
.33974 .22673 L
.34249 .22319 L
.34946 .21457 L
.35037 .21348 L
.35882 .20377 L
.35917 .20339 L
.36795 .19406 L
.36888 .19311 L
.37789 .18434 L
.37859 .18368 L
.38831 .17508 L
.38884 .17463 L
.39802 .16727 L
.40114 .16492 L
.40773 .16022 L
.41536 .15521 L
.41744 .15392 L
.42716 .14835 L
.43269 .14549 L
.43687 .1435 L
.44658 .13936 L
.45629 .13591 L
.45671 .13578 L
F
0 g
.46601 .13317 m
.47572 .13111 L
.48543 .12974 L
.49514 .12906 L
.50486 .12906 L
.51457 .12974 L
.52428 .13111 L
.53399 .13317 L
.54329 .13578 L
.54371 .13591 L
.55342 .13936 L
.56313 .1435 L
.56731 .14549 L
.57284 .14835 L
.58256 .15392 L
.58464 .15521 L
.59227 .16022 L
.59886 .16492 L
.60198 .16727 L
.61116 .17463 L
.61169 .17508 L
.62141 .18368 L
.62211 .18434 L
.63112 .19311 L
.63205 .19406 L
.64083 .20339 L
.64118 .20377 L
.64963 .21348 L
.65054 .21457 L
.65751 .22319 L
.66026 .22673 L
.6649 .23291 L
.66997 .23994 L
.67184 .24262 L
.67839 .25233 L
.67968 .25432 L
.68457 .26204 L
.68939 .27002 L
.69042 .27176 L
.69595 .28147 L
.69911 .28726 L
.70119 .29118 L
.70614 .30089 L
.70882 .30638 L
.71083 .31061 L
.71525 .32032 L
.71853 .3279 L
.71942 .33003 L
.72335 .33974 L
.72704 .34946 L
Mistroke
.72824 .35278 L
.73049 .35917 L
.7337 .36888 L
.73668 .37859 L
.73796 .383 L
.73943 .38831 L
.74195 .39802 L
.74424 .40773 L
.74631 .41744 L
.74767 .42452 L
.74814 .42716 L
.74975 .43687 L
.75113 .44658 L
.75228 .45629 L
.7532 .46601 L
.75389 .47572 L
.75435 .48543 L
.75458 .49514 L
.75458 .50486 L
.75435 .51457 L
.75389 .52428 L
.7532 .53399 L
.75228 .54371 L
.75113 .55342 L
.74975 .56313 L
.74814 .57284 L
.74767 .57548 L
.74631 .58256 L
.74424 .59227 L
.74195 .60198 L
.73943 .61169 L
.73796 .617 L
.73668 .62141 L
.7337 .63112 L
.73049 .64083 L
.72824 .64722 L
.72704 .65054 L
.72335 .66026 L
.71942 .66997 L
.71853 .6721 L
.71525 .67968 L
.71083 .68939 L
.70882 .69362 L
.70614 .69911 L
.70119 .70882 L
.69911 .71274 L
.69595 .71853 L
.69042 .72824 L
.68939 .72998 L
.68457 .73796 L
Mistroke
.67968 .74568 L
.67839 .74767 L
.67184 .75738 L
.66997 .76006 L
.6649 .76709 L
.66026 .77327 L
.65751 .77681 L
.65054 .78543 L
.64963 .78652 L
.64118 .79623 L
.64083 .79661 L
.63205 .80594 L
.63112 .80689 L
.62211 .81566 L
.62141 .81632 L
.61169 .82492 L
.61116 .82537 L
.60198 .83273 L
.59886 .83508 L
.59227 .83978 L
.58464 .84479 L
.58256 .84608 L
.57284 .85165 L
.56731 .85451 L
.56313 .8565 L
.55342 .86064 L
.54371 .86409 L
.54329 .86422 L
.53399 .86683 L
.52428 .86889 L
.51457 .87026 L
.50486 .87094 L
.49514 .87094 L
.48543 .87026 L
.47572 .86889 L
.46601 .86683 L
.45671 .86422 L
.45629 .86409 L
.44658 .86064 L
.43687 .8565 L
.43269 .85451 L
.42716 .85165 L
.41744 .84608 L
.41536 .84479 L
.40773 .83978 L
.40114 .83508 L
.39802 .83273 L
.38884 .82537 L
.38831 .82492 L
.37859 .81632 L
Mistroke
.37789 .81566 L
.36888 .80689 L
.36795 .80594 L
.35917 .79661 L
.35882 .79623 L
.35037 .78652 L
.34946 .78543 L
.34249 .77681 L
.33974 .77327 L
.3351 .76709 L
.33003 .76006 L
.32816 .75738 L
.32161 .74767 L
.32032 .74568 L
.31543 .73796 L
.31061 .72998 L
.30958 .72824 L
.30405 .71853 L
.30089 .71274 L
.29881 .70882 L
.29386 .69911 L
.29118 .69362 L
.28917 .68939 L
.28475 .67968 L
.28147 .6721 L
.28058 .66997 L
.27665 .66026 L
.27296 .65054 L
.27176 .64722 L
.26951 .64083 L
.2663 .63112 L
.26332 .62141 L
.26204 .617 L
.26057 .61169 L
.25805 .60198 L
.25576 .59227 L
.25369 .58256 L
.25233 .57548 L
.25186 .57284 L
.25025 .56313 L
.24887 .55342 L
.24772 .54371 L
.2468 .53399 L
.24611 .52428 L
.24565 .51457 L
.24542 .50486 L
.24542 .49514 L
.24565 .48543 L
.24611 .47572 L
.2468 .46601 L
Mistroke
.24772 .45629 L
.24887 .44658 L
.25025 .43687 L
.25186 .42716 L
.25233 .42452 L
.25369 .41744 L
.25576 .40773 L
.25805 .39802 L
.26057 .38831 L
.26204 .383 L
.26332 .37859 L
.2663 .36888 L
.26951 .35917 L
.27176 .35278 L
.27296 .34946 L
.27665 .33974 L
.28058 .33003 L
.28147 .3279 L
.28475 .32032 L
.28917 .31061 L
.29118 .30638 L
.29386 .30089 L
.29881 .29118 L
.30089 .28726 L
.30405 .28147 L
.30958 .27176 L
.31061 .27002 L
.31543 .26204 L
.32032 .25432 L
.32161 .25233 L
.32816 .24262 L
.33003 .23994 L
.3351 .23291 L
.33974 .22673 L
.34249 .22319 L
.34946 .21457 L
.35037 .21348 L
.35882 .20377 L
.35917 .20339 L
.36795 .19406 L
.36888 .19311 L
.37789 .18434 L
.37859 .18368 L
.38831 .17508 L
.38884 .17463 L
.39802 .16727 L
.40114 .16492 L
.40773 .16022 L
.41536 .15521 L
.41744 .15392 L
Mistroke
.42716 .14835 L
.43269 .14549 L
.43687 .1435 L
.44658 .13936 L
.45629 .13591 L
.45671 .13578 L
.46601 .13317 L
Mfstroke
.267 .733 .6 r
.46601 .14468 m
.47572 .14256 L
.48543 .14115 L
.49514 .14044 L
.50486 .14044 L
.51457 .14115 L
.52428 .14256 L
.53399 .14468 L
.53709 .14549 L
.54371 .14752 L
.55342 .15107 L
.56282 .15521 L
.56313 .15536 L
.57284 .16038 L
.58059 .16492 L
.58256 .16615 L
.59227 .17268 L
.59496 .17463 L
.60198 .18001 L
.60729 .18434 L
.61169 .18814 L
.6182 .19406 L
.62141 .19711 L
.62807 .20377 L
.63112 .20696 L
.63709 .21348 L
.64083 .21775 L
.64543 .22319 L
.65054 .22953 L
.65318 .23291 L
.66026 .24239 L
.66042 .24262 L
.66721 .25233 L
.66997 .25645 L
.6736 .26204 L
.67961 .27176 L
.67968 .27187 L
.68529 .28147 L
.68939 .28887 L
.69064 .29118 L
.69569 .30089 L
.69911 .30779 L
.70046 .31061 L
.70495 .32032 L
.70882 .32919 L
.70917 .33003 L
.71314 .33974 L
.71686 .34946 L
.71853 .35404 L
.72033 .35917 L
.72357 .36888 L
.72656 .37859 L
.72824 .38441 L
.72932 .38831 L
.73185 .39802 L
.73414 .40773 L
.73621 .41744 L
.73796 .42668 L
.73804 .42716 L
.73964 .43687 L
.74102 .44658 L
.74217 .45629 L
.74308 .46601 L
.74377 .47572 L
.74423 .48543 L
.74446 .49514 L
.74446 .50486 L
.74423 .51457 L
.74377 .52428 L
.74308 .53399 L
.74217 .54371 L
.74102 .55342 L
.73964 .56313 L
.73804 .57284 L
.73796 .57332 L
.73621 .58256 L
.73414 .59227 L
.73185 .60198 L
.72932 .61169 L
.72824 .61559 L
.72656 .62141 L
.72357 .63112 L
.72033 .64083 L
.71853 .64596 L
.71686 .65054 L
.71314 .66026 L
.70917 .66997 L
.70882 .67081 L
.70495 .67968 L
.70046 .68939 L
.69911 .69221 L
.69569 .69911 L
.69064 .70882 L
.68939 .71113 L
.68529 .71853 L
.67968 .72813 L
.67961 .72824 L
.6736 .73796 L
.66997 .74355 L
.66721 .74767 L
.66042 .75738 L
.66026 .75761 L
.65318 .76709 L
.65054 .77047 L
.64543 .77681 L
.64083 .78225 L
.63709 .78652 L
.63112 .79304 L
.62807 .79623 L
.62141 .80289 L
.6182 .80594 L
.61169 .81186 L
.60729 .81566 L
.60198 .81999 L
.59496 .82537 L
.59227 .82732 L
.58256 .83385 L
.58059 .83508 L
.57284 .83962 L
.56313 .84464 L
.56282 .84479 L
.55342 .84893 L
.54371 .85248 L
.53709 .85451 L
.53399 .85532 L
.52428 .85744 L
.51457 .85885 L
.50486 .85956 L
.49514 .85956 L
.48543 .85885 L
.47572 .85744 L
.46601 .85532 L
.46291 .85451 L
.45629 .85248 L
.44658 .84893 L
.43718 .84479 L
.43687 .84464 L
.42716 .83962 L
.41941 .83508 L
.41744 .83385 L
.40773 .82732 L
.40504 .82537 L
.39802 .81999 L
.39271 .81566 L
.38831 .81186 L
.3818 .80594 L
.37859 .80289 L
.37193 .79623 L
.36888 .79304 L
.36291 .78652 L
.35917 .78225 L
.35457 .77681 L
.34946 .77047 L
.34682 .76709 L
.33974 .75761 L
.33958 .75738 L
.33279 .74767 L
.33003 .74355 L
.3264 .73796 L
.32039 .72824 L
.32032 .72813 L
.31471 .71853 L
.31061 .71113 L
.30936 .70882 L
.30431 .69911 L
.30089 .69221 L
.29954 .68939 L
.29505 .67968 L
.29118 .67081 L
.29083 .66997 L
.28686 .66026 L
.28314 .65054 L
.28147 .64596 L
.27967 .64083 L
.27643 .63112 L
.27344 .62141 L
.27176 .61559 L
.27068 .61169 L
.26815 .60198 L
.26586 .59227 L
.26379 .58256 L
.26204 .57332 L
.26196 .57284 L
.26036 .56313 L
.25898 .55342 L
.25783 .54371 L
.25692 .53399 L
.25623 .52428 L
.25577 .51457 L
.25554 .50486 L
.25554 .49514 L
.25577 .48543 L
.25623 .47572 L
.25692 .46601 L
.25783 .45629 L
.25898 .44658 L
.26036 .43687 L
.26196 .42716 L
.26204 .42668 L
.26379 .41744 L
.26586 .40773 L
.26815 .39802 L
.27068 .38831 L
.27176 .38441 L
.27344 .37859 L
.27643 .36888 L
.27967 .35917 L
.28147 .35404 L
.28314 .34946 L
.28686 .33974 L
.29083 .33003 L
.29118 .32919 L
.29505 .32032 L
.29954 .31061 L
.30089 .30779 L
.30431 .30089 L
.30936 .29118 L
.31061 .28887 L
.31471 .28147 L
.32032 .27187 L
.32039 .27176 L
.3264 .26204 L
.33003 .25645 L
.33279 .25233 L
.33958 .24262 L
.33974 .24239 L
.34682 .23291 L
.34946 .22953 L
.35457 .22319 L
.35917 .21775 L
.36291 .21348 L
.36888 .20696 L
.37193 .20377 L
.37859 .19711 L
.3818 .19406 L
.38831 .18814 L
.39271 .18434 L
.39802 .18001 L
.40504 .17463 L
.40773 .17268 L
.41744 .16615 L
.41941 .16492 L
.42716 .16038 L
.43687 .15536 L
.43718 .15521 L
.44658 .15107 L
.45629 .14752 L
.46291 .14549 L
F
0 g
.46601 .14468 m
.47572 .14256 L
.48543 .14115 L
.49514 .14044 L
.50486 .14044 L
.51457 .14115 L
.52428 .14256 L
.53399 .14468 L
.53709 .14549 L
.54371 .14752 L
.55342 .15107 L
.56282 .15521 L
.56313 .15536 L
.57284 .16038 L
.58059 .16492 L
.58256 .16615 L
.59227 .17268 L
.59496 .17463 L
.60198 .18001 L
.60729 .18434 L
.61169 .18814 L
.6182 .19406 L
.62141 .19711 L
.62807 .20377 L
.63112 .20696 L
.63709 .21348 L
.64083 .21775 L
.64543 .22319 L
.65054 .22953 L
.65318 .23291 L
.66026 .24239 L
.66042 .24262 L
.66721 .25233 L
.66997 .25645 L
.6736 .26204 L
.67961 .27176 L
.67968 .27187 L
.68529 .28147 L
.68939 .28887 L
.69064 .29118 L
.69569 .30089 L
.69911 .30779 L
.70046 .31061 L
.70495 .32032 L
.70882 .32919 L
.70917 .33003 L
.71314 .33974 L
.71686 .34946 L
.71853 .35404 L
.72033 .35917 L
Mistroke
.72357 .36888 L
.72656 .37859 L
.72824 .38441 L
.72932 .38831 L
.73185 .39802 L
.73414 .40773 L
.73621 .41744 L
.73796 .42668 L
.73804 .42716 L
.73964 .43687 L
.74102 .44658 L
.74217 .45629 L
.74308 .46601 L
.74377 .47572 L
.74423 .48543 L
.74446 .49514 L
.74446 .50486 L
.74423 .51457 L
.74377 .52428 L
.74308 .53399 L
.74217 .54371 L
.74102 .55342 L
.73964 .56313 L
.73804 .57284 L
.73796 .57332 L
.73621 .58256 L
.73414 .59227 L
.73185 .60198 L
.72932 .61169 L
.72824 .61559 L
.72656 .62141 L
.72357 .63112 L
.72033 .64083 L
.71853 .64596 L
.71686 .65054 L
.71314 .66026 L
.70917 .66997 L
.70882 .67081 L
.70495 .67968 L
.70046 .68939 L
.69911 .69221 L
.69569 .69911 L
.69064 .70882 L
.68939 .71113 L
.68529 .71853 L
.67968 .72813 L
.67961 .72824 L
.6736 .73796 L
.66997 .74355 L
.66721 .74767 L
Mistroke
.66042 .75738 L
.66026 .75761 L
.65318 .76709 L
.65054 .77047 L
.64543 .77681 L
.64083 .78225 L
.63709 .78652 L
.63112 .79304 L
.62807 .79623 L
.62141 .80289 L
.6182 .80594 L
.61169 .81186 L
.60729 .81566 L
.60198 .81999 L
.59496 .82537 L
.59227 .82732 L
.58256 .83385 L
.58059 .83508 L
.57284 .83962 L
.56313 .84464 L
.56282 .84479 L
.55342 .84893 L
.54371 .85248 L
.53709 .85451 L
.53399 .85532 L
.52428 .85744 L
.51457 .85885 L
.50486 .85956 L
.49514 .85956 L
.48543 .85885 L
.47572 .85744 L
.46601 .85532 L
.46291 .85451 L
.45629 .85248 L
.44658 .84893 L
.43718 .84479 L
.43687 .84464 L
.42716 .83962 L
.41941 .83508 L
.41744 .83385 L
.40773 .82732 L
.40504 .82537 L
.39802 .81999 L
.39271 .81566 L
.38831 .81186 L
.3818 .80594 L
.37859 .80289 L
.37193 .79623 L
.36888 .79304 L
.36291 .78652 L
Mistroke
.35917 .78225 L
.35457 .77681 L
.34946 .77047 L
.34682 .76709 L
.33974 .75761 L
.33958 .75738 L
.33279 .74767 L
.33003 .74355 L
.3264 .73796 L
.32039 .72824 L
.32032 .72813 L
.31471 .71853 L
.31061 .71113 L
.30936 .70882 L
.30431 .69911 L
.30089 .69221 L
.29954 .68939 L
.29505 .67968 L
.29118 .67081 L
.29083 .66997 L
.28686 .66026 L
.28314 .65054 L
.28147 .64596 L
.27967 .64083 L
.27643 .63112 L
.27344 .62141 L
.27176 .61559 L
.27068 .61169 L
.26815 .60198 L
.26586 .59227 L
.26379 .58256 L
.26204 .57332 L
.26196 .57284 L
.26036 .56313 L
.25898 .55342 L
.25783 .54371 L
.25692 .53399 L
.25623 .52428 L
.25577 .51457 L
.25554 .50486 L
.25554 .49514 L
.25577 .48543 L
.25623 .47572 L
.25692 .46601 L
.25783 .45629 L
.25898 .44658 L
.26036 .43687 L
.26196 .42716 L
.26204 .42668 L
.26379 .41744 L
Mistroke
.26586 .40773 L
.26815 .39802 L
.27068 .38831 L
.27176 .38441 L
.27344 .37859 L
.27643 .36888 L
.27967 .35917 L
.28147 .35404 L
.28314 .34946 L
.28686 .33974 L
.29083 .33003 L
.29118 .32919 L
.29505 .32032 L
.29954 .31061 L
.30089 .30779 L
.30431 .30089 L
.30936 .29118 L
.31061 .28887 L
.31471 .28147 L
.32032 .27187 L
.32039 .27176 L
.3264 .26204 L
.33003 .25645 L
.33279 .25233 L
.33958 .24262 L
.33974 .24239 L
.34682 .23291 L
.34946 .22953 L
.35457 .22319 L
.35917 .21775 L
.36291 .21348 L
.36888 .20696 L
.37193 .20377 L
.37859 .19711 L
.3818 .19406 L
.38831 .18814 L
.39271 .18434 L
.39802 .18001 L
.40504 .17463 L
.40773 .17268 L
.41744 .16615 L
.41941 .16492 L
.42716 .16038 L
.43687 .15536 L
.43718 .15521 L
.44658 .15107 L
.45629 .14752 L
.46291 .14549 L
.46601 .14468 L
Mfstroke
.25 .75 .6 r
.47572 .15438 m
.48543 .15292 L
.49514 .15219 L
.50486 .15219 L
.51457 .15292 L
.52428 .15438 L
.52845 .15521 L
.53399 .15658 L
.54371 .15951 L
.55342 .1632 L
.5574 .16492 L
.56313 .16764 L
.57284 .17285 L
.57588 .17463 L
.58256 .17884 L
.59051 .18434 L
.59227 .18564 L
.60198 .19327 L
.60292 .19406 L
.61169 .20176 L
.61385 .20377 L
.62141 .21116 L
.62367 .21348 L
.63112 .22151 L
.63261 .22319 L
.64083 .23288 L
.64085 .23291 L
.64849 .24262 L
.65054 .24536 L
.6556 .25233 L
.66026 .25907 L
.66225 .26204 L
.66848 .27176 L
.66997 .27416 L
.67434 .28147 L
.67968 .29088 L
.67985 .29118 L
.68503 .30089 L
.68939 .30957 L
.6899 .31061 L
.69448 .32032 L
.69878 .33003 L
.69911 .33079 L
.70281 .33974 L
.70658 .34946 L
.70882 .35556 L
.71009 .35917 L
.71336 .36888 L
.71638 .37859 L
.71853 .38602 L
.71916 .38831 L
.72171 .39802 L
.72401 .40773 L
.72609 .41744 L
.72793 .42716 L
.72824 .42896 L
.72954 .43687 L
.73091 .44658 L
.73206 .45629 L
.73298 .46601 L
.73367 .47572 L
.73413 .48543 L
.73436 .49514 L
.73436 .50486 L
.73413 .51457 L
.73367 .52428 L
.73298 .53399 L
.73206 .54371 L
.73091 .55342 L
.72954 .56313 L
.72824 .57104 L
.72793 .57284 L
.72609 .58256 L
.72401 .59227 L
.72171 .60198 L
.71916 .61169 L
.71853 .61398 L
.71638 .62141 L
.71336 .63112 L
.71009 .64083 L
.70882 .64444 L
.70658 .65054 L
.70281 .66026 L
.69911 .66921 L
.69878 .66997 L
.69448 .67968 L
.6899 .68939 L
.68939 .69043 L
.68503 .69911 L
.67985 .70882 L
.67968 .70912 L
.67434 .71853 L
.66997 .72584 L
.66848 .72824 L
.66225 .73796 L
.66026 .74093 L
.6556 .74767 L
.65054 .75464 L
.64849 .75738 L
.64085 .76709 L
.64083 .76712 L
.63261 .77681 L
.63112 .77849 L
.62367 .78652 L
.62141 .78884 L
.61385 .79623 L
.61169 .79824 L
.60292 .80594 L
.60198 .80673 L
.59227 .81436 L
.59051 .81566 L
.58256 .82116 L
.57588 .82537 L
.57284 .82715 L
.56313 .83236 L
.5574 .83508 L
.55342 .8368 L
.54371 .84049 L
.53399 .84342 L
.52845 .84479 L
.52428 .84562 L
.51457 .84708 L
.50486 .84781 L
.49514 .84781 L
.48543 .84708 L
.47572 .84562 L
.47155 .84479 L
.46601 .84342 L
.45629 .84049 L
.44658 .8368 L
.4426 .83508 L
.43687 .83236 L
.42716 .82715 L
.42412 .82537 L
.41744 .82116 L
.40949 .81566 L
.40773 .81436 L
.39802 .80673 L
.39708 .80594 L
.38831 .79824 L
.38615 .79623 L
.37859 .78884 L
.37633 .78652 L
.36888 .77849 L
.36739 .77681 L
.35917 .76712 L
.35915 .76709 L
.35151 .75738 L
.34946 .75464 L
.3444 .74767 L
.33974 .74093 L
.33775 .73796 L
.33152 .72824 L
.33003 .72584 L
.32566 .71853 L
.32032 .70912 L
.32015 .70882 L
.31497 .69911 L
.31061 .69043 L
.3101 .68939 L
.30552 .67968 L
.30122 .66997 L
.30089 .66921 L
.29719 .66026 L
.29342 .65054 L
.29118 .64444 L
.28991 .64083 L
.28664 .63112 L
.28362 .62141 L
.28147 .61398 L
.28084 .61169 L
.27829 .60198 L
.27599 .59227 L
.27391 .58256 L
.27207 .57284 L
.27176 .57104 L
.27046 .56313 L
.26909 .55342 L
.26794 .54371 L
.26702 .53399 L
.26633 .52428 L
.26587 .51457 L
.26564 .50486 L
.26564 .49514 L
.26587 .48543 L
.26633 .47572 L
.26702 .46601 L
.26794 .45629 L
.26909 .44658 L
.27046 .43687 L
.27176 .42896 L
.27207 .42716 L
.27391 .41744 L
.27599 .40773 L
.27829 .39802 L
.28084 .38831 L
.28147 .38602 L
.28362 .37859 L
.28664 .36888 L
.28991 .35917 L
.29118 .35556 L
.29342 .34946 L
.29719 .33974 L
.30089 .33079 L
.30122 .33003 L
.30552 .32032 L
.3101 .31061 L
.31061 .30957 L
.31497 .30089 L
.32015 .29118 L
.32032 .29088 L
.32566 .28147 L
.33003 .27416 L
.33152 .27176 L
.33775 .26204 L
.33974 .25907 L
.3444 .25233 L
.34946 .24536 L
.35151 .24262 L
.35915 .23291 L
.35917 .23288 L
.36739 .22319 L
.36888 .22151 L
.37633 .21348 L
.37859 .21116 L
.38615 .20377 L
.38831 .20176 L
.39708 .19406 L
.39802 .19327 L
.40773 .18564 L
.40949 .18434 L
.41744 .17884 L
.42412 .17463 L
.42716 .17285 L
.43687 .16764 L
.4426 .16492 L
.44658 .1632 L
.45629 .15951 L
.46601 .15658 L
.47155 .15521 L
F
0 g
.47572 .15438 m
.48543 .15292 L
.49514 .15219 L
.50486 .15219 L
.51457 .15292 L
.52428 .15438 L
.52845 .15521 L
.53399 .15658 L
.54371 .15951 L
.55342 .1632 L
.5574 .16492 L
.56313 .16764 L
.57284 .17285 L
.57588 .17463 L
.58256 .17884 L
.59051 .18434 L
.59227 .18564 L
.60198 .19327 L
.60292 .19406 L
.61169 .20176 L
.61385 .20377 L
.62141 .21116 L
.62367 .21348 L
.63112 .22151 L
.63261 .22319 L
.64083 .23288 L
.64085 .23291 L
.64849 .24262 L
.65054 .24536 L
.6556 .25233 L
.66026 .25907 L
.66225 .26204 L
.66848 .27176 L
.66997 .27416 L
.67434 .28147 L
.67968 .29088 L
.67985 .29118 L
.68503 .30089 L
.68939 .30957 L
.6899 .31061 L
.69448 .32032 L
.69878 .33003 L
.69911 .33079 L
.70281 .33974 L
.70658 .34946 L
.70882 .35556 L
.71009 .35917 L
.71336 .36888 L
.71638 .37859 L
.71853 .38602 L
Mistroke
.71916 .38831 L
.72171 .39802 L
.72401 .40773 L
.72609 .41744 L
.72793 .42716 L
.72824 .42896 L
.72954 .43687 L
.73091 .44658 L
.73206 .45629 L
.73298 .46601 L
.73367 .47572 L
.73413 .48543 L
.73436 .49514 L
.73436 .50486 L
.73413 .51457 L
.73367 .52428 L
.73298 .53399 L
.73206 .54371 L
.73091 .55342 L
.72954 .56313 L
.72824 .57104 L
.72793 .57284 L
.72609 .58256 L
.72401 .59227 L
.72171 .60198 L
.71916 .61169 L
.71853 .61398 L
.71638 .62141 L
.71336 .63112 L
.71009 .64083 L
.70882 .64444 L
.70658 .65054 L
.70281 .66026 L
.69911 .66921 L
.69878 .66997 L
.69448 .67968 L
.6899 .68939 L
.68939 .69043 L
.68503 .69911 L
.67985 .70882 L
.67968 .70912 L
.67434 .71853 L
.66997 .72584 L
.66848 .72824 L
.66225 .73796 L
.66026 .74093 L
.6556 .74767 L
.65054 .75464 L
.64849 .75738 L
.64085 .76709 L
Mistroke
.64083 .76712 L
.63261 .77681 L
.63112 .77849 L
.62367 .78652 L
.62141 .78884 L
.61385 .79623 L
.61169 .79824 L
.60292 .80594 L
.60198 .80673 L
.59227 .81436 L
.59051 .81566 L
.58256 .82116 L
.57588 .82537 L
.57284 .82715 L
.56313 .83236 L
.5574 .83508 L
.55342 .8368 L
.54371 .84049 L
.53399 .84342 L
.52845 .84479 L
.52428 .84562 L
.51457 .84708 L
.50486 .84781 L
.49514 .84781 L
.48543 .84708 L
.47572 .84562 L
.47155 .84479 L
.46601 .84342 L
.45629 .84049 L
.44658 .8368 L
.4426 .83508 L
.43687 .83236 L
.42716 .82715 L
.42412 .82537 L
.41744 .82116 L
.40949 .81566 L
.40773 .81436 L
.39802 .80673 L
.39708 .80594 L
.38831 .79824 L
.38615 .79623 L
.37859 .78884 L
.37633 .78652 L
.36888 .77849 L
.36739 .77681 L
.35917 .76712 L
.35915 .76709 L
.35151 .75738 L
.34946 .75464 L
.3444 .74767 L
Mistroke
.33974 .74093 L
.33775 .73796 L
.33152 .72824 L
.33003 .72584 L
.32566 .71853 L
.32032 .70912 L
.32015 .70882 L
.31497 .69911 L
.31061 .69043 L
.3101 .68939 L
.30552 .67968 L
.30122 .66997 L
.30089 .66921 L
.29719 .66026 L
.29342 .65054 L
.29118 .64444 L
.28991 .64083 L
.28664 .63112 L
.28362 .62141 L
.28147 .61398 L
.28084 .61169 L
.27829 .60198 L
.27599 .59227 L
.27391 .58256 L
.27207 .57284 L
.27176 .57104 L
.27046 .56313 L
.26909 .55342 L
.26794 .54371 L
.26702 .53399 L
.26633 .52428 L
.26587 .51457 L
.26564 .50486 L
.26564 .49514 L
.26587 .48543 L
.26633 .47572 L
.26702 .46601 L
.26794 .45629 L
.26909 .44658 L
.27046 .43687 L
.27176 .42896 L
.27207 .42716 L
.27391 .41744 L
.27599 .40773 L
.27829 .39802 L
.28084 .38831 L
.28147 .38602 L
.28362 .37859 L
.28664 .36888 L
.28991 .35917 L
Mistroke
.29118 .35556 L
.29342 .34946 L
.29719 .33974 L
.30089 .33079 L
.30122 .33003 L
.30552 .32032 L
.3101 .31061 L
.31061 .30957 L
.31497 .30089 L
.32015 .29118 L
.32032 .29088 L
.32566 .28147 L
.33003 .27416 L
.33152 .27176 L
.33775 .26204 L
.33974 .25907 L
.3444 .25233 L
.34946 .24536 L
.35151 .24262 L
.35915 .23291 L
.35917 .23288 L
.36739 .22319 L
.36888 .22151 L
.37633 .21348 L
.37859 .21116 L
.38615 .20377 L
.38831 .20176 L
.39708 .19406 L
.39802 .19327 L
.40773 .18564 L
.40949 .18434 L
.41744 .17884 L
.42412 .17463 L
.42716 .17285 L
.43687 .16764 L
.4426 .16492 L
.44658 .1632 L
.45629 .15951 L
.46601 .15658 L
.47155 .15521 L
.47572 .15438 L
Mfstroke
.233 .767 .6 r
.49514 .16436 m
.50486 .16436 L
.51279 .16492 L
.51457 .16511 L
.52428 .16663 L
.53399 .1689 L
.54371 .17195 L
.55074 .17463 L
.55342 .17577 L
.56313 .18039 L
.57036 .18434 L
.57284 .18581 L
.58256 .19206 L
.58542 .19406 L
.59227 .19915 L
.59802 .20377 L
.60198 .20714 L
.609 .21348 L
.61169 .21605 L
.61882 .22319 L
.62141 .22593 L
.62772 .23291 L
.63112 .23686 L
.63587 .24262 L
.64083 .24893 L
.64341 .25233 L
.6504 .26204 L
.65054 .26225 L
.65692 .27176 L
.66026 .27699 L
.66302 .28147 L
.66872 .29118 L
.66997 .29339 L
.67407 .30089 L
.67908 .31061 L
.67968 .31181 L
.68378 .32032 L
.68818 .33003 L
.68939 .33282 L
.6923 .33974 L
.69614 .34946 L
.69911 .35746 L
.69972 .35917 L
.70303 .36888 L
.70609 .37859 L
.70882 .38798 L
.70891 .38831 L
.71148 .39802 L
.71381 .40773 L
.7159 .41744 L
.71776 .42716 L
.71853 .43161 L
.71938 .43687 L
.72077 .44658 L
.72192 .45629 L
.72284 .46601 L
.72354 .47572 L
.724 .48543 L
.72423 .49514 L
.72423 .50486 L
.724 .51457 L
.72354 .52428 L
.72284 .53399 L
.72192 .54371 L
.72077 .55342 L
.71938 .56313 L
.71853 .56839 L
.71776 .57284 L
.7159 .58256 L
.71381 .59227 L
.71148 .60198 L
.70891 .61169 L
.70882 .61202 L
.70609 .62141 L
.70303 .63112 L
.69972 .64083 L
.69911 .64254 L
.69614 .65054 L
.6923 .66026 L
.68939 .66718 L
.68818 .66997 L
.68378 .67968 L
.67968 .68819 L
.67908 .68939 L
.67407 .69911 L
.66997 .70661 L
.66872 .70882 L
.66302 .71853 L
.66026 .72301 L
.65692 .72824 L
.65054 .73775 L
.6504 .73796 L
.64341 .74767 L
.64083 .75107 L
.63587 .75738 L
.63112 .76314 L
.62772 .76709 L
.62141 .77407 L
.61882 .77681 L
.61169 .78395 L
.609 .78652 L
.60198 .79286 L
.59802 .79623 L
.59227 .80085 L
.58542 .80594 L
.58256 .80794 L
.57284 .81419 L
.57036 .81566 L
.56313 .81961 L
.55342 .82423 L
.55074 .82537 L
.54371 .82805 L
.53399 .8311 L
.52428 .83337 L
.51457 .83489 L
.51279 .83508 L
.50486 .83564 L
.49514 .83564 L
.48721 .83508 L
.48543 .83489 L
.47572 .83337 L
.46601 .8311 L
.45629 .82805 L
.44926 .82537 L
.44658 .82423 L
.43687 .81961 L
.42964 .81566 L
.42716 .81419 L
.41744 .80794 L
.41458 .80594 L
.40773 .80085 L
.40198 .79623 L
.39802 .79286 L
.391 .78652 L
.38831 .78395 L
.38118 .77681 L
.37859 .77407 L
.37228 .76709 L
.36888 .76314 L
.36413 .75738 L
.35917 .75107 L
.35659 .74767 L
.3496 .73796 L
.34946 .73775 L
.34308 .72824 L
.33974 .72301 L
.33698 .71853 L
.33128 .70882 L
.33003 .70661 L
.32593 .69911 L
.32092 .68939 L
.32032 .68819 L
.31622 .67968 L
.31182 .66997 L
.31061 .66718 L
.3077 .66026 L
.30386 .65054 L
.30089 .64254 L
.30028 .64083 L
.29697 .63112 L
.29391 .62141 L
.29118 .61202 L
.29109 .61169 L
.28852 .60198 L
.28619 .59227 L
.2841 .58256 L
.28224 .57284 L
.28147 .56839 L
.28062 .56313 L
.27923 .55342 L
.27808 .54371 L
.27716 .53399 L
.27646 .52428 L
.276 .51457 L
.27577 .50486 L
.27577 .49514 L
.276 .48543 L
.27646 .47572 L
.27716 .46601 L
.27808 .45629 L
.27923 .44658 L
.28062 .43687 L
.28147 .43161 L
.28224 .42716 L
.2841 .41744 L
.28619 .40773 L
.28852 .39802 L
.29109 .38831 L
.29118 .38798 L
.29391 .37859 L
.29697 .36888 L
.30028 .35917 L
.30089 .35746 L
.30386 .34946 L
.3077 .33974 L
.31061 .33282 L
.31182 .33003 L
.31622 .32032 L
.32032 .31181 L
.32092 .31061 L
.32593 .30089 L
.33003 .29339 L
.33128 .29118 L
.33698 .28147 L
.33974 .27699 L
.34308 .27176 L
.34946 .26225 L
.3496 .26204 L
.35659 .25233 L
.35917 .24893 L
.36413 .24262 L
.36888 .23686 L
.37228 .23291 L
.37859 .22593 L
.38118 .22319 L
.38831 .21605 L
.391 .21348 L
.39802 .20714 L
.40198 .20377 L
.40773 .19915 L
.41458 .19406 L
.41744 .19206 L
.42716 .18581 L
.42964 .18434 L
.43687 .18039 L
.44658 .17577 L
.44926 .17463 L
.45629 .17195 L
.46601 .1689 L
.47572 .16663 L
.48543 .16511 L
.48721 .16492 L
F
0 g
.49514 .16436 m
.50486 .16436 L
.51279 .16492 L
.51457 .16511 L
.52428 .16663 L
.53399 .1689 L
.54371 .17195 L
.55074 .17463 L
.55342 .17577 L
.56313 .18039 L
.57036 .18434 L
.57284 .18581 L
.58256 .19206 L
.58542 .19406 L
.59227 .19915 L
.59802 .20377 L
.60198 .20714 L
.609 .21348 L
.61169 .21605 L
.61882 .22319 L
.62141 .22593 L
.62772 .23291 L
.63112 .23686 L
.63587 .24262 L
.64083 .24893 L
.64341 .25233 L
.6504 .26204 L
.65054 .26225 L
.65692 .27176 L
.66026 .27699 L
.66302 .28147 L
.66872 .29118 L
.66997 .29339 L
.67407 .30089 L
.67908 .31061 L
.67968 .31181 L
.68378 .32032 L
.68818 .33003 L
.68939 .33282 L
.6923 .33974 L
.69614 .34946 L
.69911 .35746 L
.69972 .35917 L
.70303 .36888 L
.70609 .37859 L
.70882 .38798 L
.70891 .38831 L
.71148 .39802 L
.71381 .40773 L
.7159 .41744 L
Mistroke
.71776 .42716 L
.71853 .43161 L
.71938 .43687 L
.72077 .44658 L
.72192 .45629 L
.72284 .46601 L
.72354 .47572 L
.724 .48543 L
.72423 .49514 L
.72423 .50486 L
.724 .51457 L
.72354 .52428 L
.72284 .53399 L
.72192 .54371 L
.72077 .55342 L
.71938 .56313 L
.71853 .56839 L
.71776 .57284 L
.7159 .58256 L
.71381 .59227 L
.71148 .60198 L
.70891 .61169 L
.70882 .61202 L
.70609 .62141 L
.70303 .63112 L
.69972 .64083 L
.69911 .64254 L
.69614 .65054 L
.6923 .66026 L
.68939 .66718 L
.68818 .66997 L
.68378 .67968 L
.67968 .68819 L
.67908 .68939 L
.67407 .69911 L
.66997 .70661 L
.66872 .70882 L
.66302 .71853 L
.66026 .72301 L
.65692 .72824 L
.65054 .73775 L
.6504 .73796 L
.64341 .74767 L
.64083 .75107 L
.63587 .75738 L
.63112 .76314 L
.62772 .76709 L
.62141 .77407 L
.61882 .77681 L
.61169 .78395 L
Mistroke
.609 .78652 L
.60198 .79286 L
.59802 .79623 L
.59227 .80085 L
.58542 .80594 L
.58256 .80794 L
.57284 .81419 L
.57036 .81566 L
.56313 .81961 L
.55342 .82423 L
.55074 .82537 L
.54371 .82805 L
.53399 .8311 L
.52428 .83337 L
.51457 .83489 L
.51279 .83508 L
.50486 .83564 L
.49514 .83564 L
.48721 .83508 L
.48543 .83489 L
.47572 .83337 L
.46601 .8311 L
.45629 .82805 L
.44926 .82537 L
.44658 .82423 L
.43687 .81961 L
.42964 .81566 L
.42716 .81419 L
.41744 .80794 L
.41458 .80594 L
.40773 .80085 L
.40198 .79623 L
.39802 .79286 L
.391 .78652 L
.38831 .78395 L
.38118 .77681 L
.37859 .77407 L
.37228 .76709 L
.36888 .76314 L
.36413 .75738 L
.35917 .75107 L
.35659 .74767 L
.3496 .73796 L
.34946 .73775 L
.34308 .72824 L
.33974 .72301 L
.33698 .71853 L
.33128 .70882 L
.33003 .70661 L
.32593 .69911 L
Mistroke
.32092 .68939 L
.32032 .68819 L
.31622 .67968 L
.31182 .66997 L
.31061 .66718 L
.3077 .66026 L
.30386 .65054 L
.30089 .64254 L
.30028 .64083 L
.29697 .63112 L
.29391 .62141 L
.29118 .61202 L
.29109 .61169 L
.28852 .60198 L
.28619 .59227 L
.2841 .58256 L
.28224 .57284 L
.28147 .56839 L
.28062 .56313 L
.27923 .55342 L
.27808 .54371 L
.27716 .53399 L
.27646 .52428 L
.276 .51457 L
.27577 .50486 L
.27577 .49514 L
.276 .48543 L
.27646 .47572 L
.27716 .46601 L
.27808 .45629 L
.27923 .44658 L
.28062 .43687 L
.28147 .43161 L
.28224 .42716 L
.2841 .41744 L
.28619 .40773 L
.28852 .39802 L
.29109 .38831 L
.29118 .38798 L
.29391 .37859 L
.29697 .36888 L
.30028 .35917 L
.30089 .35746 L
.30386 .34946 L
.3077 .33974 L
.31061 .33282 L
.31182 .33003 L
.31622 .32032 L
.32032 .31181 L
.32092 .31061 L
Mistroke
.32593 .30089 L
.33003 .29339 L
.33128 .29118 L
.33698 .28147 L
.33974 .27699 L
.34308 .27176 L
.34946 .26225 L
.3496 .26204 L
.35659 .25233 L
.35917 .24893 L
.36413 .24262 L
.36888 .23686 L
.37228 .23291 L
.37859 .22593 L
.38118 .22319 L
.38831 .21605 L
.391 .21348 L
.39802 .20714 L
.40198 .20377 L
.40773 .19915 L
.41458 .19406 L
.41744 .19206 L
.42716 .18581 L
.42964 .18434 L
.43687 .18039 L
.44658 .17577 L
.44926 .17463 L
.45629 .17195 L
.46601 .1689 L
.47572 .16663 L
.48543 .16511 L
.48721 .16492 L
.49514 .16436 L
Mfstroke
.217 .783 .6 r
.46601 .18171 m
.47572 .17934 L
.48543 .17777 L
.49514 .17698 L
.50486 .17698 L
.51457 .17777 L
.52428 .17934 L
.53399 .18171 L
.54226 .18434 L
.54371 .18488 L
.55342 .18886 L
.56313 .19367 L
.56385 .19406 L
.57284 .19933 L
.57959 .20377 L
.58256 .20586 L
.59227 .2133 L
.59249 .21348 L
.60198 .22169 L
.60361 .22319 L
.61169 .23108 L
.61346 .23291 L
.62141 .24154 L
.62235 .24262 L
.63046 .25233 L
.63112 .25316 L
.63791 .26204 L
.64083 .26607 L
.64481 .27176 L
.65054 .28043 L
.65121 .28147 L
.65717 .29118 L
.66026 .29648 L
.66274 .30089 L
.66793 .31061 L
.66997 .3146 L
.67279 .32032 L
.67732 .33003 L
.67968 .33537 L
.68155 .33974 L
.68548 .34946 L
.68914 .35917 L
.68939 .35987 L
.69252 .36888 L
.69565 .37859 L
.69851 .38831 L
.69911 .39044 L
.70112 .39802 L
.70349 .40773 L
.70561 .41744 L
.70749 .42716 L
.70882 .43492 L
.70913 .43687 L
.71053 .44658 L
.7117 .45629 L
.71263 .46601 L
.71333 .47572 L
.7138 .48543 L
.71403 .49514 L
.71403 .50486 L
.7138 .51457 L
.71333 .52428 L
.71263 .53399 L
.7117 .54371 L
.71053 .55342 L
.70913 .56313 L
.70882 .56508 L
.70749 .57284 L
.70561 .58256 L
.70349 .59227 L
.70112 .60198 L
.69911 .60956 L
.69851 .61169 L
.69565 .62141 L
.69252 .63112 L
.68939 .64013 L
.68914 .64083 L
.68548 .65054 L
.68155 .66026 L
.67968 .66463 L
.67732 .66997 L
.67279 .67968 L
.66997 .6854 L
.66793 .68939 L
.66274 .69911 L
.66026 .70352 L
.65717 .70882 L
.65121 .71853 L
.65054 .71957 L
.64481 .72824 L
.64083 .73393 L
.63791 .73796 L
.63112 .74684 L
.63046 .74767 L
.62235 .75738 L
.62141 .75846 L
.61346 .76709 L
.61169 .76892 L
.60361 .77681 L
.60198 .77831 L
.59249 .78652 L
.59227 .7867 L
.58256 .79414 L
.57959 .79623 L
.57284 .80067 L
.56385 .80594 L
.56313 .80633 L
.55342 .81114 L
.54371 .81512 L
.54226 .81566 L
.53399 .81829 L
.52428 .82066 L
.51457 .82223 L
.50486 .82302 L
.49514 .82302 L
.48543 .82223 L
.47572 .82066 L
.46601 .81829 L
.45774 .81566 L
.45629 .81512 L
.44658 .81114 L
.43687 .80633 L
.43615 .80594 L
.42716 .80067 L
.42041 .79623 L
.41744 .79414 L
.40773 .7867 L
.40751 .78652 L
.39802 .77831 L
.39639 .77681 L
.38831 .76892 L
.38654 .76709 L
.37859 .75846 L
.37765 .75738 L
.36954 .74767 L
.36888 .74684 L
.36209 .73796 L
.35917 .73393 L
.35519 .72824 L
.34946 .71957 L
.34879 .71853 L
.34283 .70882 L
.33974 .70352 L
.33726 .69911 L
.33207 .68939 L
.33003 .6854 L
.32721 .67968 L
.32268 .66997 L
.32032 .66463 L
.31845 .66026 L
.31452 .65054 L
.31086 .64083 L
.31061 .64013 L
.30748 .63112 L
.30435 .62141 L
.30149 .61169 L
.30089 .60956 L
.29888 .60198 L
.29651 .59227 L
.29439 .58256 L
.29251 .57284 L
.29118 .56508 L
.29087 .56313 L
.28947 .55342 L
.2883 .54371 L
.28737 .53399 L
.28667 .52428 L
.2862 .51457 L
.28597 .50486 L
.28597 .49514 L
.2862 .48543 L
.28667 .47572 L
.28737 .46601 L
.2883 .45629 L
.28947 .44658 L
.29087 .43687 L
.29118 .43492 L
.29251 .42716 L
.29439 .41744 L
.29651 .40773 L
.29888 .39802 L
.30089 .39044 L
.30149 .38831 L
.30435 .37859 L
.30748 .36888 L
.31061 .35987 L
.31086 .35917 L
.31452 .34946 L
.31845 .33974 L
.32032 .33537 L
.32268 .33003 L
.32721 .32032 L
.33003 .3146 L
.33207 .31061 L
.33726 .30089 L
.33974 .29648 L
.34283 .29118 L
.34879 .28147 L
.34946 .28043 L
.35519 .27176 L
.35917 .26607 L
.36209 .26204 L
.36888 .25316 L
.36954 .25233 L
.37765 .24262 L
.37859 .24154 L
.38654 .23291 L
.38831 .23108 L
.39639 .22319 L
.39802 .22169 L
.40751 .21348 L
.40773 .2133 L
.41744 .20586 L
.42041 .20377 L
.42716 .19933 L
.43615 .19406 L
.43687 .19367 L
.44658 .18886 L
.45629 .18488 L
.45774 .18434 L
F
0 g
.46601 .18171 m
.47572 .17934 L
.48543 .17777 L
.49514 .17698 L
.50486 .17698 L
.51457 .17777 L
.52428 .17934 L
.53399 .18171 L
.54226 .18434 L
.54371 .18488 L
.55342 .18886 L
.56313 .19367 L
.56385 .19406 L
.57284 .19933 L
.57959 .20377 L
.58256 .20586 L
.59227 .2133 L
.59249 .21348 L
.60198 .22169 L
.60361 .22319 L
.61169 .23108 L
.61346 .23291 L
.62141 .24154 L
.62235 .24262 L
.63046 .25233 L
.63112 .25316 L
.63791 .26204 L
.64083 .26607 L
.64481 .27176 L
.65054 .28043 L
.65121 .28147 L
.65717 .29118 L
.66026 .29648 L
.66274 .30089 L
.66793 .31061 L
.66997 .3146 L
.67279 .32032 L
.67732 .33003 L
.67968 .33537 L
.68155 .33974 L
.68548 .34946 L
.68914 .35917 L
.68939 .35987 L
.69252 .36888 L
.69565 .37859 L
.69851 .38831 L
.69911 .39044 L
.70112 .39802 L
.70349 .40773 L
.70561 .41744 L
Mistroke
.70749 .42716 L
.70882 .43492 L
.70913 .43687 L
.71053 .44658 L
.7117 .45629 L
.71263 .46601 L
.71333 .47572 L
.7138 .48543 L
.71403 .49514 L
.71403 .50486 L
.7138 .51457 L
.71333 .52428 L
.71263 .53399 L
.7117 .54371 L
.71053 .55342 L
.70913 .56313 L
.70882 .56508 L
.70749 .57284 L
.70561 .58256 L
.70349 .59227 L
.70112 .60198 L
.69911 .60956 L
.69851 .61169 L
.69565 .62141 L
.69252 .63112 L
.68939 .64013 L
.68914 .64083 L
.68548 .65054 L
.68155 .66026 L
.67968 .66463 L
.67732 .66997 L
.67279 .67968 L
.66997 .6854 L
.66793 .68939 L
.66274 .69911 L
.66026 .70352 L
.65717 .70882 L
.65121 .71853 L
.65054 .71957 L
.64481 .72824 L
.64083 .73393 L
.63791 .73796 L
.63112 .74684 L
.63046 .74767 L
.62235 .75738 L
.62141 .75846 L
.61346 .76709 L
.61169 .76892 L
.60361 .77681 L
.60198 .77831 L
Mistroke
.59249 .78652 L
.59227 .7867 L
.58256 .79414 L
.57959 .79623 L
.57284 .80067 L
.56385 .80594 L
.56313 .80633 L
.55342 .81114 L
.54371 .81512 L
.54226 .81566 L
.53399 .81829 L
.52428 .82066 L
.51457 .82223 L
.50486 .82302 L
.49514 .82302 L
.48543 .82223 L
.47572 .82066 L
.46601 .81829 L
.45774 .81566 L
.45629 .81512 L
.44658 .81114 L
.43687 .80633 L
.43615 .80594 L
.42716 .80067 L
.42041 .79623 L
.41744 .79414 L
.40773 .7867 L
.40751 .78652 L
.39802 .77831 L
.39639 .77681 L
.38831 .76892 L
.38654 .76709 L
.37859 .75846 L
.37765 .75738 L
.36954 .74767 L
.36888 .74684 L
.36209 .73796 L
.35917 .73393 L
.35519 .72824 L
.34946 .71957 L
.34879 .71853 L
.34283 .70882 L
.33974 .70352 L
.33726 .69911 L
.33207 .68939 L
.33003 .6854 L
.32721 .67968 L
.32268 .66997 L
.32032 .66463 L
.31845 .66026 L
Mistroke
.31452 .65054 L
.31086 .64083 L
.31061 .64013 L
.30748 .63112 L
.30435 .62141 L
.30149 .61169 L
.30089 .60956 L
.29888 .60198 L
.29651 .59227 L
.29439 .58256 L
.29251 .57284 L
.29118 .56508 L
.29087 .56313 L
.28947 .55342 L
.2883 .54371 L
.28737 .53399 L
.28667 .52428 L
.2862 .51457 L
.28597 .50486 L
.28597 .49514 L
.2862 .48543 L
.28667 .47572 L
.28737 .46601 L
.2883 .45629 L
.28947 .44658 L
.29087 .43687 L
.29118 .43492 L
.29251 .42716 L
.29439 .41744 L
.29651 .40773 L
.29888 .39802 L
.30089 .39044 L
.30149 .38831 L
.30435 .37859 L
.30748 .36888 L
.31061 .35987 L
.31086 .35917 L
.31452 .34946 L
.31845 .33974 L
.32032 .33537 L
.32268 .33003 L
.32721 .32032 L
.33003 .3146 L
.33207 .31061 L
.33726 .30089 L
.33974 .29648 L
.34283 .29118 L
.34879 .28147 L
.34946 .28043 L
.35519 .27176 L
Mistroke
.35917 .26607 L
.36209 .26204 L
.36888 .25316 L
.36954 .25233 L
.37765 .24262 L
.37859 .24154 L
.38654 .23291 L
.38831 .23108 L
.39639 .22319 L
.39802 .22169 L
.40751 .21348 L
.40773 .2133 L
.41744 .20586 L
.42041 .20377 L
.42716 .19933 L
.43615 .19406 L
.43687 .19367 L
.44658 .18886 L
.45629 .18488 L
.45774 .18434 L
.46601 .18171 L
Mfstroke
.2 .8 .6 r
.47572 .19258 m
.48543 .19093 L
.49514 .19012 L
.50486 .19012 L
.51457 .19093 L
.52428 .19258 L
.53061 .19406 L
.53399 .19505 L
.54371 .19836 L
.55342 .20252 L
.55601 .20377 L
.56313 .20756 L
.57283 .21348 L
.57284 .21349 L
.58256 .22035 L
.58622 .22319 L
.59227 .22819 L
.59758 .23291 L
.60198 .23705 L
.60755 .24262 L
.61169 .24701 L
.61646 .25233 L
.62141 .25816 L
.62455 .26204 L
.63112 .27062 L
.63195 .27176 L
.63877 .28147 L
.64083 .28457 L
.64507 .29118 L
.65054 .30025 L
.65092 .30089 L
.65635 .31061 L
.66026 .31805 L
.66141 .32032 L
.66611 .33003 L
.66997 .33857 L
.67048 .33974 L
.67454 .34946 L
.6783 .35917 L
.67968 .36292 L
.68178 .36888 L
.68498 .37859 L
.68791 .38831 L
.68939 .39359 L
.69058 .39802 L
.69299 .40773 L
.69515 .41744 L
.69706 .42716 L
.69873 .43687 L
.69911 .43925 L
.70016 .44658 L
.70134 .45629 L
.70229 .46601 L
.703 .47572 L
.70347 .48543 L
.70371 .49514 L
.70371 .50486 L
.70347 .51457 L
.703 .52428 L
.70229 .53399 L
.70134 .54371 L
.70016 .55342 L
.69911 .56075 L
.69873 .56313 L
.69706 .57284 L
.69515 .58256 L
.69299 .59227 L
.69058 .60198 L
.68939 .60641 L
.68791 .61169 L
.68498 .62141 L
.68178 .63112 L
.67968 .63708 L
.6783 .64083 L
.67454 .65054 L
.67048 .66026 L
.66997 .66143 L
.66611 .66997 L
.66141 .67968 L
.66026 .68195 L
.65635 .68939 L
.65092 .69911 L
.65054 .69975 L
.64507 .70882 L
.64083 .71543 L
.63877 .71853 L
.63195 .72824 L
.63112 .72938 L
.62455 .73796 L
.62141 .74184 L
.61646 .74767 L
.61169 .75299 L
.60755 .75738 L
.60198 .76295 L
.59758 .76709 L
.59227 .77181 L
.58622 .77681 L
.58256 .77965 L
.57284 .78651 L
.57283 .78652 L
.56313 .79244 L
.55601 .79623 L
.55342 .79748 L
.54371 .80164 L
.53399 .80495 L
.53061 .80594 L
.52428 .80742 L
.51457 .80907 L
.50486 .80988 L
.49514 .80988 L
.48543 .80907 L
.47572 .80742 L
.46939 .80594 L
.46601 .80495 L
.45629 .80164 L
.44658 .79748 L
.44399 .79623 L
.43687 .79244 L
.42717 .78652 L
.42716 .78651 L
.41744 .77965 L
.41378 .77681 L
.40773 .77181 L
.40242 .76709 L
.39802 .76295 L
.39245 .75738 L
.38831 .75299 L
.38354 .74767 L
.37859 .74184 L
.37545 .73796 L
.36888 .72938 L
.36805 .72824 L
.36123 .71853 L
.35917 .71543 L
.35493 .70882 L
.34946 .69975 L
.34908 .69911 L
.34365 .68939 L
.33974 .68195 L
.33859 .67968 L
.33389 .66997 L
.33003 .66143 L
.32952 .66026 L
.32546 .65054 L
.3217 .64083 L
.32032 .63708 L
.31822 .63112 L
.31502 .62141 L
.31209 .61169 L
.31061 .60641 L
.30942 .60198 L
.30701 .59227 L
.30485 .58256 L
.30294 .57284 L
.30127 .56313 L
.30089 .56075 L
.29984 .55342 L
.29866 .54371 L
.29771 .53399 L
.297 .52428 L
.29653 .51457 L
.29629 .50486 L
.29629 .49514 L
.29653 .48543 L
.297 .47572 L
.29771 .46601 L
.29866 .45629 L
.29984 .44658 L
.30089 .43925 L
.30127 .43687 L
.30294 .42716 L
.30485 .41744 L
.30701 .40773 L
.30942 .39802 L
.31061 .39359 L
.31209 .38831 L
.31502 .37859 L
.31822 .36888 L
.32032 .36292 L
.3217 .35917 L
.32546 .34946 L
.32952 .33974 L
.33003 .33857 L
.33389 .33003 L
.33859 .32032 L
.33974 .31805 L
.34365 .31061 L
.34908 .30089 L
.34946 .30025 L
.35493 .29118 L
.35917 .28457 L
.36123 .28147 L
.36805 .27176 L
.36888 .27062 L
.37545 .26204 L
.37859 .25816 L
.38354 .25233 L
.38831 .24701 L
.39245 .24262 L
.39802 .23705 L
.40242 .23291 L
.40773 .22819 L
.41378 .22319 L
.41744 .22035 L
.42716 .21349 L
.42717 .21348 L
.43687 .20756 L
.44399 .20377 L
.44658 .20252 L
.45629 .19836 L
.46601 .19505 L
.46939 .19406 L
F
0 g
.47572 .19258 m
.48543 .19093 L
.49514 .19012 L
.50486 .19012 L
.51457 .19093 L
.52428 .19258 L
.53061 .19406 L
.53399 .19505 L
.54371 .19836 L
.55342 .20252 L
.55601 .20377 L
.56313 .20756 L
.57283 .21348 L
.57284 .21349 L
.58256 .22035 L
.58622 .22319 L
.59227 .22819 L
.59758 .23291 L
.60198 .23705 L
.60755 .24262 L
.61169 .24701 L
.61646 .25233 L
.62141 .25816 L
.62455 .26204 L
.63112 .27062 L
.63195 .27176 L
.63877 .28147 L
.64083 .28457 L
.64507 .29118 L
.65054 .30025 L
.65092 .30089 L
.65635 .31061 L
.66026 .31805 L
.66141 .32032 L
.66611 .33003 L
.66997 .33857 L
.67048 .33974 L
.67454 .34946 L
.6783 .35917 L
.67968 .36292 L
.68178 .36888 L
.68498 .37859 L
.68791 .38831 L
.68939 .39359 L
.69058 .39802 L
.69299 .40773 L
.69515 .41744 L
.69706 .42716 L
.69873 .43687 L
.69911 .43925 L
Mistroke
.70016 .44658 L
.70134 .45629 L
.70229 .46601 L
.703 .47572 L
.70347 .48543 L
.70371 .49514 L
.70371 .50486 L
.70347 .51457 L
.703 .52428 L
.70229 .53399 L
.70134 .54371 L
.70016 .55342 L
.69911 .56075 L
.69873 .56313 L
.69706 .57284 L
.69515 .58256 L
.69299 .59227 L
.69058 .60198 L
.68939 .60641 L
.68791 .61169 L
.68498 .62141 L
.68178 .63112 L
.67968 .63708 L
.6783 .64083 L
.67454 .65054 L
.67048 .66026 L
.66997 .66143 L
.66611 .66997 L
.66141 .67968 L
.66026 .68195 L
.65635 .68939 L
.65092 .69911 L
.65054 .69975 L
.64507 .70882 L
.64083 .71543 L
.63877 .71853 L
.63195 .72824 L
.63112 .72938 L
.62455 .73796 L
.62141 .74184 L
.61646 .74767 L
.61169 .75299 L
.60755 .75738 L
.60198 .76295 L
.59758 .76709 L
.59227 .77181 L
.58622 .77681 L
.58256 .77965 L
.57284 .78651 L
.57283 .78652 L
Mistroke
.56313 .79244 L
.55601 .79623 L
.55342 .79748 L
.54371 .80164 L
.53399 .80495 L
.53061 .80594 L
.52428 .80742 L
.51457 .80907 L
.50486 .80988 L
.49514 .80988 L
.48543 .80907 L
.47572 .80742 L
.46939 .80594 L
.46601 .80495 L
.45629 .80164 L
.44658 .79748 L
.44399 .79623 L
.43687 .79244 L
.42717 .78652 L
.42716 .78651 L
.41744 .77965 L
.41378 .77681 L
.40773 .77181 L
.40242 .76709 L
.39802 .76295 L
.39245 .75738 L
.38831 .75299 L
.38354 .74767 L
.37859 .74184 L
.37545 .73796 L
.36888 .72938 L
.36805 .72824 L
.36123 .71853 L
.35917 .71543 L
.35493 .70882 L
.34946 .69975 L
.34908 .69911 L
.34365 .68939 L
.33974 .68195 L
.33859 .67968 L
.33389 .66997 L
.33003 .66143 L
.32952 .66026 L
.32546 .65054 L
.3217 .64083 L
.32032 .63708 L
.31822 .63112 L
.31502 .62141 L
.31209 .61169 L
.31061 .60641 L
Mistroke
.30942 .60198 L
.30701 .59227 L
.30485 .58256 L
.30294 .57284 L
.30127 .56313 L
.30089 .56075 L
.29984 .55342 L
.29866 .54371 L
.29771 .53399 L
.297 .52428 L
.29653 .51457 L
.29629 .50486 L
.29629 .49514 L
.29653 .48543 L
.297 .47572 L
.29771 .46601 L
.29866 .45629 L
.29984 .44658 L
.30089 .43925 L
.30127 .43687 L
.30294 .42716 L
.30485 .41744 L
.30701 .40773 L
.30942 .39802 L
.31061 .39359 L
.31209 .38831 L
.31502 .37859 L
.31822 .36888 L
.32032 .36292 L
.3217 .35917 L
.32546 .34946 L
.32952 .33974 L
.33003 .33857 L
.33389 .33003 L
.33859 .32032 L
.33974 .31805 L
.34365 .31061 L
.34908 .30089 L
.34946 .30025 L
.35493 .29118 L
.35917 .28457 L
.36123 .28147 L
.36805 .27176 L
.36888 .27062 L
.37545 .26204 L
.37859 .25816 L
.38354 .25233 L
.38831 .24701 L
.39245 .24262 L
.39802 .23705 L
Mistroke
.40242 .23291 L
.40773 .22819 L
.41378 .22319 L
.41744 .22035 L
.42716 .21349 L
.42717 .21348 L
.43687 .20756 L
.44399 .20377 L
.44658 .20252 L
.45629 .19836 L
.46601 .19505 L
.46939 .19406 L
.47572 .19258 L
Mfstroke
.183 .817 .6 r
.45629 .21247 m
.46601 .209 L
.47572 .20641 L
.48543 .20469 L
.49514 .20383 L
.50486 .20383 L
.51457 .20469 L
.52428 .20641 L
.53399 .209 L
.54371 .21247 L
.54617 .21348 L
.55342 .21684 L
.56313 .22213 L
.5649 .22319 L
.57284 .22839 L
.57906 .23291 L
.58256 .23564 L
.59081 .24262 L
.59227 .24394 L
.60097 .25233 L
.60198 .25337 L
.60998 .26204 L
.61169 .26402 L
.61809 .27176 L
.62141 .27601 L
.62547 .28147 L
.63112 .28952 L
.63223 .29118 L
.63846 .30089 L
.64083 .30482 L
.6442 .31061 L
.64952 .32032 L
.65054 .32228 L
.65444 .33003 L
.65901 .33974 L
.66026 .34254 L
.66323 .34946 L
.66713 .35917 L
.66997 .36678 L
.67072 .36888 L
.67402 .37859 L
.67704 .38831 L
.67968 .39765 L
.67978 .39802 L
.68226 .40773 L
.68447 .41744 L
.68643 .42716 L
.68814 .43687 L
.68939 .44514 L
.68959 .44658 L
.6908 .45629 L
.69177 .46601 L
.69249 .47572 L
.69297 .48543 L
.69321 .49514 L
.69321 .50486 L
.69297 .51457 L
.69249 .52428 L
.69177 .53399 L
.6908 .54371 L
.68959 .55342 L
.68939 .55486 L
.68814 .56313 L
.68643 .57284 L
.68447 .58256 L
.68226 .59227 L
.67978 .60198 L
.67968 .60235 L
.67704 .61169 L
.67402 .62141 L
.67072 .63112 L
.66997 .63322 L
.66713 .64083 L
.66323 .65054 L
.66026 .65746 L
.65901 .66026 L
.65444 .66997 L
.65054 .67772 L
.64952 .67968 L
.6442 .68939 L
.64083 .69518 L
.63846 .69911 L
.63223 .70882 L
.63112 .71048 L
.62547 .71853 L
.62141 .72399 L
.61809 .72824 L
.61169 .73598 L
.60998 .73796 L
.60198 .74663 L
.60097 .74767 L
.59227 .75606 L
.59081 .75738 L
.58256 .76436 L
.57906 .76709 L
.57284 .77161 L
.5649 .77681 L
.56313 .77787 L
.55342 .78316 L
.54617 .78652 L
.54371 .78753 L
.53399 .791 L
.52428 .79359 L
.51457 .79531 L
.50486 .79617 L
.49514 .79617 L
.48543 .79531 L
.47572 .79359 L
.46601 .791 L
.45629 .78753 L
.45383 .78652 L
.44658 .78316 L
.43687 .77787 L
.4351 .77681 L
.42716 .77161 L
.42094 .76709 L
.41744 .76436 L
.40919 .75738 L
.40773 .75606 L
.39903 .74767 L
.39802 .74663 L
.39002 .73796 L
.38831 .73598 L
.38191 .72824 L
.37859 .72399 L
.37453 .71853 L
.36888 .71048 L
.36777 .70882 L
.36154 .69911 L
.35917 .69518 L
.3558 .68939 L
.35048 .67968 L
.34946 .67772 L
.34556 .66997 L
.34099 .66026 L
.33974 .65746 L
.33677 .65054 L
.33287 .64083 L
.33003 .63322 L
.32928 .63112 L
.32598 .62141 L
.32296 .61169 L
.32032 .60235 L
.32022 .60198 L
.31774 .59227 L
.31553 .58256 L
.31357 .57284 L
.31186 .56313 L
.31061 .55486 L
.31041 .55342 L
.3092 .54371 L
.30823 .53399 L
.30751 .52428 L
.30703 .51457 L
.30679 .50486 L
.30679 .49514 L
.30703 .48543 L
.30751 .47572 L
.30823 .46601 L
.3092 .45629 L
.31041 .44658 L
.31061 .44514 L
.31186 .43687 L
.31357 .42716 L
.31553 .41744 L
.31774 .40773 L
.32022 .39802 L
.32032 .39765 L
.32296 .38831 L
.32598 .37859 L
.32928 .36888 L
.33003 .36678 L
.33287 .35917 L
.33677 .34946 L
.33974 .34254 L
.34099 .33974 L
.34556 .33003 L
.34946 .32228 L
.35048 .32032 L
.3558 .31061 L
.35917 .30482 L
.36154 .30089 L
.36777 .29118 L
.36888 .28952 L
.37453 .28147 L
.37859 .27601 L
.38191 .27176 L
.38831 .26402 L
.39002 .26204 L
.39802 .25337 L
.39903 .25233 L
.40773 .24394 L
.40919 .24262 L
.41744 .23564 L
.42094 .23291 L
.42716 .22839 L
.4351 .22319 L
.43687 .22213 L
.44658 .21684 L
.45383 .21348 L
F
0 g
.45629 .21247 m
.46601 .209 L
.47572 .20641 L
.48543 .20469 L
.49514 .20383 L
.50486 .20383 L
.51457 .20469 L
.52428 .20641 L
.53399 .209 L
.54371 .21247 L
.54617 .21348 L
.55342 .21684 L
.56313 .22213 L
.5649 .22319 L
.57284 .22839 L
.57906 .23291 L
.58256 .23564 L
.59081 .24262 L
.59227 .24394 L
.60097 .25233 L
.60198 .25337 L
.60998 .26204 L
.61169 .26402 L
.61809 .27176 L
.62141 .27601 L
.62547 .28147 L
.63112 .28952 L
.63223 .29118 L
.63846 .30089 L
.64083 .30482 L
.6442 .31061 L
.64952 .32032 L
.65054 .32228 L
.65444 .33003 L
.65901 .33974 L
.66026 .34254 L
.66323 .34946 L
.66713 .35917 L
.66997 .36678 L
.67072 .36888 L
.67402 .37859 L
.67704 .38831 L
.67968 .39765 L
.67978 .39802 L
.68226 .40773 L
.68447 .41744 L
.68643 .42716 L
.68814 .43687 L
.68939 .44514 L
.68959 .44658 L
Mistroke
.6908 .45629 L
.69177 .46601 L
.69249 .47572 L
.69297 .48543 L
.69321 .49514 L
.69321 .50486 L
.69297 .51457 L
.69249 .52428 L
.69177 .53399 L
.6908 .54371 L
.68959 .55342 L
.68939 .55486 L
.68814 .56313 L
.68643 .57284 L
.68447 .58256 L
.68226 .59227 L
.67978 .60198 L
.67968 .60235 L
.67704 .61169 L
.67402 .62141 L
.67072 .63112 L
.66997 .63322 L
.66713 .64083 L
.66323 .65054 L
.66026 .65746 L
.65901 .66026 L
.65444 .66997 L
.65054 .67772 L
.64952 .67968 L
.6442 .68939 L
.64083 .69518 L
.63846 .69911 L
.63223 .70882 L
.63112 .71048 L
.62547 .71853 L
.62141 .72399 L
.61809 .72824 L
.61169 .73598 L
.60998 .73796 L
.60198 .74663 L
.60097 .74767 L
.59227 .75606 L
.59081 .75738 L
.58256 .76436 L
.57906 .76709 L
.57284 .77161 L
.5649 .77681 L
.56313 .77787 L
.55342 .78316 L
.54617 .78652 L
Mistroke
.54371 .78753 L
.53399 .791 L
.52428 .79359 L
.51457 .79531 L
.50486 .79617 L
.49514 .79617 L
.48543 .79531 L
.47572 .79359 L
.46601 .791 L
.45629 .78753 L
.45383 .78652 L
.44658 .78316 L
.43687 .77787 L
.4351 .77681 L
.42716 .77161 L
.42094 .76709 L
.41744 .76436 L
.40919 .75738 L
.40773 .75606 L
.39903 .74767 L
.39802 .74663 L
.39002 .73796 L
.38831 .73598 L
.38191 .72824 L
.37859 .72399 L
.37453 .71853 L
.36888 .71048 L
.36777 .70882 L
.36154 .69911 L
.35917 .69518 L
.3558 .68939 L
.35048 .67968 L
.34946 .67772 L
.34556 .66997 L
.34099 .66026 L
.33974 .65746 L
.33677 .65054 L
.33287 .64083 L
.33003 .63322 L
.32928 .63112 L
.32598 .62141 L
.32296 .61169 L
.32032 .60235 L
.32022 .60198 L
.31774 .59227 L
.31553 .58256 L
.31357 .57284 L
.31186 .56313 L
.31061 .55486 L
.31041 .55342 L
Mistroke
.3092 .54371 L
.30823 .53399 L
.30751 .52428 L
.30703 .51457 L
.30679 .50486 L
.30679 .49514 L
.30703 .48543 L
.30751 .47572 L
.30823 .46601 L
.3092 .45629 L
.31041 .44658 L
.31061 .44514 L
.31186 .43687 L
.31357 .42716 L
.31553 .41744 L
.31774 .40773 L
.32022 .39802 L
.32032 .39765 L
.32296 .38831 L
.32598 .37859 L
.32928 .36888 L
.33003 .36678 L
.33287 .35917 L
.33677 .34946 L
.33974 .34254 L
.34099 .33974 L
.34556 .33003 L
.34946 .32228 L
.35048 .32032 L
.3558 .31061 L
.35917 .30482 L
.36154 .30089 L
.36777 .29118 L
.36888 .28952 L
.37453 .28147 L
.37859 .27601 L
.38191 .27176 L
.38831 .26402 L
.39002 .26204 L
.39802 .25337 L
.39903 .25233 L
.40773 .24394 L
.40919 .24262 L
.41744 .23564 L
.42094 .23291 L
.42716 .22839 L
.4351 .22319 L
.43687 .22213 L
.44658 .21684 L
.45383 .21348 L
Mistroke
.45629 .21247 L
Mfstroke
.167 .833 .6 r
.47572 .22093 m
.48543 .21912 L
.49514 .21822 L
.50486 .21822 L
.51457 .21912 L
.52428 .22093 L
.53264 .22319 L
.53399 .22365 L
.54371 .22731 L
.55342 .23192 L
.55527 .23291 L
.56313 .23752 L
.57074 .24262 L
.57284 .24415 L
.58256 .25186 L
.58311 .25233 L
.59227 .26072 L
.59361 .26204 L
.60198 .27084 L
.6028 .27176 L
.611 .28147 L
.61169 .28234 L
.6184 .29118 L
.62141 .29541 L
.62514 .30089 L
.63112 .3103 L
.63131 .31061 L
.63697 .32032 L
.64083 .32742 L
.64219 .33003 L
.647 .33974 L
.65054 .34745 L
.65143 .34946 L
.65551 .35917 L
.65925 .36888 L
.66026 .37163 L
.66269 .37859 L
.66582 .38831 L
.66865 .39802 L
.66997 .40287 L
.67121 .40773 L
.6735 .41744 L
.67552 .42716 L
.67727 .43687 L
.67877 .44658 L
.67968 .45348 L
.68001 .45629 L
.681 .46601 L
.68175 .47572 L
.68224 .48543 L
.68249 .49514 L
.68249 .50486 L
.68224 .51457 L
.68175 .52428 L
.681 .53399 L
.68001 .54371 L
.67968 .54652 L
.67877 .55342 L
.67727 .56313 L
.67552 .57284 L
.6735 .58256 L
.67121 .59227 L
.66997 .59713 L
.66865 .60198 L
.66582 .61169 L
.66269 .62141 L
.66026 .62837 L
.65925 .63112 L
.65551 .64083 L
.65143 .65054 L
.65054 .65255 L
.647 .66026 L
.64219 .66997 L
.64083 .67258 L
.63697 .67968 L
.63131 .68939 L
.63112 .6897 L
.62514 .69911 L
.62141 .70459 L
.6184 .70882 L
.61169 .71766 L
.611 .71853 L
.6028 .72824 L
.60198 .72916 L
.59361 .73796 L
.59227 .73928 L
.58311 .74767 L
.58256 .74814 L
.57284 .75585 L
.57074 .75738 L
.56313 .76248 L
.55527 .76709 L
.55342 .76808 L
.54371 .77269 L
.53399 .77635 L
.53264 .77681 L
.52428 .77907 L
.51457 .78088 L
.50486 .78178 L
.49514 .78178 L
.48543 .78088 L
.47572 .77907 L
.46736 .77681 L
.46601 .77635 L
.45629 .77269 L
.44658 .76808 L
.44473 .76709 L
.43687 .76248 L
.42926 .75738 L
.42716 .75585 L
.41744 .74814 L
.41689 .74767 L
.40773 .73928 L
.40639 .73796 L
.39802 .72916 L
.3972 .72824 L
.389 .71853 L
.38831 .71766 L
.3816 .70882 L
.37859 .70459 L
.37486 .69911 L
.36888 .6897 L
.36869 .68939 L
.36303 .67968 L
.35917 .67258 L
.35781 .66997 L
.353 .66026 L
.34946 .65255 L
.34857 .65054 L
.34449 .64083 L
.34075 .63112 L
.33974 .62837 L
.33731 .62141 L
.33418 .61169 L
.33135 .60198 L
.33003 .59713 L
.32879 .59227 L
.3265 .58256 L
.32448 .57284 L
.32273 .56313 L
.32123 .55342 L
.32032 .54652 L
.31999 .54371 L
.319 .53399 L
.31825 .52428 L
.31776 .51457 L
.31751 .50486 L
.31751 .49514 L
.31776 .48543 L
.31825 .47572 L
.319 .46601 L
.31999 .45629 L
.32032 .45348 L
.32123 .44658 L
.32273 .43687 L
.32448 .42716 L
.3265 .41744 L
.32879 .40773 L
.33003 .40287 L
.33135 .39802 L
.33418 .38831 L
.33731 .37859 L
.33974 .37163 L
.34075 .36888 L
.34449 .35917 L
.34857 .34946 L
.34946 .34745 L
.353 .33974 L
.35781 .33003 L
.35917 .32742 L
.36303 .32032 L
.36869 .31061 L
.36888 .3103 L
.37486 .30089 L
.37859 .29541 L
.3816 .29118 L
.38831 .28234 L
.389 .28147 L
.3972 .27176 L
.39802 .27084 L
.40639 .26204 L
.40773 .26072 L
.41689 .25233 L
.41744 .25186 L
.42716 .24415 L
.42926 .24262 L
.43687 .23752 L
.44473 .23291 L
.44658 .23192 L
.45629 .22731 L
.46601 .22365 L
.46736 .22319 L
F
0 g
.47572 .22093 m
.48543 .21912 L
.49514 .21822 L
.50486 .21822 L
.51457 .21912 L
.52428 .22093 L
.53264 .22319 L
.53399 .22365 L
.54371 .22731 L
.55342 .23192 L
.55527 .23291 L
.56313 .23752 L
.57074 .24262 L
.57284 .24415 L
.58256 .25186 L
.58311 .25233 L
.59227 .26072 L
.59361 .26204 L
.60198 .27084 L
.6028 .27176 L
.611 .28147 L
.61169 .28234 L
.6184 .29118 L
.62141 .29541 L
.62514 .30089 L
.63112 .3103 L
.63131 .31061 L
.63697 .32032 L
.64083 .32742 L
.64219 .33003 L
.647 .33974 L
.65054 .34745 L
.65143 .34946 L
.65551 .35917 L
.65925 .36888 L
.66026 .37163 L
.66269 .37859 L
.66582 .38831 L
.66865 .39802 L
.66997 .40287 L
.67121 .40773 L
.6735 .41744 L
.67552 .42716 L
.67727 .43687 L
.67877 .44658 L
.67968 .45348 L
.68001 .45629 L
.681 .46601 L
.68175 .47572 L
.68224 .48543 L
Mistroke
.68249 .49514 L
.68249 .50486 L
.68224 .51457 L
.68175 .52428 L
.681 .53399 L
.68001 .54371 L
.67968 .54652 L
.67877 .55342 L
.67727 .56313 L
.67552 .57284 L
.6735 .58256 L
.67121 .59227 L
.66997 .59713 L
.66865 .60198 L
.66582 .61169 L
.66269 .62141 L
.66026 .62837 L
.65925 .63112 L
.65551 .64083 L
.65143 .65054 L
.65054 .65255 L
.647 .66026 L
.64219 .66997 L
.64083 .67258 L
.63697 .67968 L
.63131 .68939 L
.63112 .6897 L
.62514 .69911 L
.62141 .70459 L
.6184 .70882 L
.61169 .71766 L
.611 .71853 L
.6028 .72824 L
.60198 .72916 L
.59361 .73796 L
.59227 .73928 L
.58311 .74767 L
.58256 .74814 L
.57284 .75585 L
.57074 .75738 L
.56313 .76248 L
.55527 .76709 L
.55342 .76808 L
.54371 .77269 L
.53399 .77635 L
.53264 .77681 L
.52428 .77907 L
.51457 .78088 L
.50486 .78178 L
.49514 .78178 L
Mistroke
.48543 .78088 L
.47572 .77907 L
.46736 .77681 L
.46601 .77635 L
.45629 .77269 L
.44658 .76808 L
.44473 .76709 L
.43687 .76248 L
.42926 .75738 L
.42716 .75585 L
.41744 .74814 L
.41689 .74767 L
.40773 .73928 L
.40639 .73796 L
.39802 .72916 L
.3972 .72824 L
.389 .71853 L
.38831 .71766 L
.3816 .70882 L
.37859 .70459 L
.37486 .69911 L
.36888 .6897 L
.36869 .68939 L
.36303 .67968 L
.35917 .67258 L
.35781 .66997 L
.353 .66026 L
.34946 .65255 L
.34857 .65054 L
.34449 .64083 L
.34075 .63112 L
.33974 .62837 L
.33731 .62141 L
.33418 .61169 L
.33135 .60198 L
.33003 .59713 L
.32879 .59227 L
.3265 .58256 L
.32448 .57284 L
.32273 .56313 L
.32123 .55342 L
.32032 .54652 L
.31999 .54371 L
.319 .53399 L
.31825 .52428 L
.31776 .51457 L
.31751 .50486 L
.31751 .49514 L
.31776 .48543 L
.31825 .47572 L
Mistroke
.319 .46601 L
.31999 .45629 L
.32032 .45348 L
.32123 .44658 L
.32273 .43687 L
.32448 .42716 L
.3265 .41744 L
.32879 .40773 L
.33003 .40287 L
.33135 .39802 L
.33418 .38831 L
.33731 .37859 L
.33974 .37163 L
.34075 .36888 L
.34449 .35917 L
.34857 .34946 L
.34946 .34745 L
.353 .33974 L
.35781 .33003 L
.35917 .32742 L
.36303 .32032 L
.36869 .31061 L
.36888 .3103 L
.37486 .30089 L
.37859 .29541 L
.3816 .29118 L
.38831 .28234 L
.389 .28147 L
.3972 .27176 L
.39802 .27084 L
.40639 .26204 L
.40773 .26072 L
.41689 .25233 L
.41744 .25186 L
.42716 .24415 L
.42926 .24262 L
.43687 .23752 L
.44473 .23291 L
.44658 .23192 L
.45629 .22731 L
.46601 .22365 L
.46736 .22319 L
.47572 .22093 L
Mfstroke
.15 .85 .6 r
.46601 .23913 m
.47572 .23624 L
.48543 .23433 L
.49514 .23338 L
.50486 .23338 L
.51457 .23433 L
.52428 .23624 L
.53399 .23913 L
.54286 .24262 L
.54371 .243 L
.55342 .2479 L
.56081 .25233 L
.56313 .25386 L
.57284 .26095 L
.57422 .26204 L
.58256 .26922 L
.58528 .27176 L
.59227 .27878 L
.59478 .28147 L
.60198 .28976 L
.60314 .29118 L
.61063 .30089 L
.61169 .30236 L
.61739 .31061 L
.62141 .31685 L
.62354 .32032 L
.62915 .33003 L
.63112 .33365 L
.63429 .33974 L
.639 .34946 L
.64083 .35348 L
.64331 .35917 L
.64726 .36888 L
.65054 .3777 L
.65086 .37859 L
.65414 .38831 L
.6571 .39802 L
.65977 .40773 L
.66026 .40964 L
.66214 .41744 L
.66424 .42716 L
.66606 .43687 L
.66761 .44658 L
.66889 .45629 L
.66992 .46601 L
.66997 .46652 L
.67069 .47572 L
.6712 .48543 L
.67145 .49514 L
.67145 .50486 L
.6712 .51457 L
.67069 .52428 L
.66997 .53348 L
.66992 .53399 L
.66889 .54371 L
.66761 .55342 L
.66606 .56313 L
.66424 .57284 L
.66214 .58256 L
.66026 .59036 L
.65977 .59227 L
.6571 .60198 L
.65414 .61169 L
.65086 .62141 L
.65054 .6223 L
.64726 .63112 L
.64331 .64083 L
.64083 .64652 L
.639 .65054 L
.63429 .66026 L
.63112 .66635 L
.62915 .66997 L
.62354 .67968 L
.62141 .68315 L
.61739 .68939 L
.61169 .69764 L
.61063 .69911 L
.60314 .70882 L
.60198 .71024 L
.59478 .71853 L
.59227 .72122 L
.58528 .72824 L
.58256 .73078 L
.57422 .73796 L
.57284 .73905 L
.56313 .74614 L
.56081 .74767 L
.55342 .7521 L
.54371 .757 L
.54286 .75738 L
.53399 .76087 L
.52428 .76376 L
.51457 .76567 L
.50486 .76662 L
.49514 .76662 L
.48543 .76567 L
.47572 .76376 L
.46601 .76087 L
.45714 .75738 L
.45629 .757 L
.44658 .7521 L
.43919 .74767 L
.43687 .74614 L
.42716 .73905 L
.42578 .73796 L
.41744 .73078 L
.41472 .72824 L
.40773 .72122 L
.40522 .71853 L
.39802 .71024 L
.39686 .70882 L
.38937 .69911 L
.38831 .69764 L
.38261 .68939 L
.37859 .68315 L
.37646 .67968 L
.37085 .66997 L
.36888 .66635 L
.36571 .66026 L
.361 .65054 L
.35917 .64652 L
.35669 .64083 L
.35274 .63112 L
.34946 .6223 L
.34914 .62141 L
.34586 .61169 L
.3429 .60198 L
.34023 .59227 L
.33974 .59036 L
.33786 .58256 L
.33576 .57284 L
.33394 .56313 L
.33239 .55342 L
.33111 .54371 L
.33008 .53399 L
.33003 .53348 L
.32931 .52428 L
.3288 .51457 L
.32855 .50486 L
.32855 .49514 L
.3288 .48543 L
.32931 .47572 L
.33003 .46652 L
.33008 .46601 L
.33111 .45629 L
.33239 .44658 L
.33394 .43687 L
.33576 .42716 L
.33786 .41744 L
.33974 .40964 L
.34023 .40773 L
.3429 .39802 L
.34586 .38831 L
.34914 .37859 L
.34946 .3777 L
.35274 .36888 L
.35669 .35917 L
.35917 .35348 L
.361 .34946 L
.36571 .33974 L
.36888 .33365 L
.37085 .33003 L
.37646 .32032 L
.37859 .31685 L
.38261 .31061 L
.38831 .30236 L
.38937 .30089 L
.39686 .29118 L
.39802 .28976 L
.40522 .28147 L
.40773 .27878 L
.41472 .27176 L
.41744 .26922 L
.42578 .26204 L
.42716 .26095 L
.43687 .25386 L
.43919 .25233 L
.44658 .2479 L
.45629 .243 L
.45714 .24262 L
F
0 g
.46601 .23913 m
.47572 .23624 L
.48543 .23433 L
.49514 .23338 L
.50486 .23338 L
.51457 .23433 L
.52428 .23624 L
.53399 .23913 L
.54286 .24262 L
.54371 .243 L
.55342 .2479 L
.56081 .25233 L
.56313 .25386 L
.57284 .26095 L
.57422 .26204 L
.58256 .26922 L
.58528 .27176 L
.59227 .27878 L
.59478 .28147 L
.60198 .28976 L
.60314 .29118 L
.61063 .30089 L
.61169 .30236 L
.61739 .31061 L
.62141 .31685 L
.62354 .32032 L
.62915 .33003 L
.63112 .33365 L
.63429 .33974 L
.639 .34946 L
.64083 .35348 L
.64331 .35917 L
.64726 .36888 L
.65054 .3777 L
.65086 .37859 L
.65414 .38831 L
.6571 .39802 L
.65977 .40773 L
.66026 .40964 L
.66214 .41744 L
.66424 .42716 L
.66606 .43687 L
.66761 .44658 L
.66889 .45629 L
.66992 .46601 L
.66997 .46652 L
.67069 .47572 L
.6712 .48543 L
.67145 .49514 L
.67145 .50486 L
Mistroke
.6712 .51457 L
.67069 .52428 L
.66997 .53348 L
.66992 .53399 L
.66889 .54371 L
.66761 .55342 L
.66606 .56313 L
.66424 .57284 L
.66214 .58256 L
.66026 .59036 L
.65977 .59227 L
.6571 .60198 L
.65414 .61169 L
.65086 .62141 L
.65054 .6223 L
.64726 .63112 L
.64331 .64083 L
.64083 .64652 L
.639 .65054 L
.63429 .66026 L
.63112 .66635 L
.62915 .66997 L
.62354 .67968 L
.62141 .68315 L
.61739 .68939 L
.61169 .69764 L
.61063 .69911 L
.60314 .70882 L
.60198 .71024 L
.59478 .71853 L
.59227 .72122 L
.58528 .72824 L
.58256 .73078 L
.57422 .73796 L
.57284 .73905 L
.56313 .74614 L
.56081 .74767 L
.55342 .7521 L
.54371 .757 L
.54286 .75738 L
.53399 .76087 L
.52428 .76376 L
.51457 .76567 L
.50486 .76662 L
.49514 .76662 L
.48543 .76567 L
.47572 .76376 L
.46601 .76087 L
.45714 .75738 L
.45629 .757 L
Mistroke
.44658 .7521 L
.43919 .74767 L
.43687 .74614 L
.42716 .73905 L
.42578 .73796 L
.41744 .73078 L
.41472 .72824 L
.40773 .72122 L
.40522 .71853 L
.39802 .71024 L
.39686 .70882 L
.38937 .69911 L
.38831 .69764 L
.38261 .68939 L
.37859 .68315 L
.37646 .67968 L
.37085 .66997 L
.36888 .66635 L
.36571 .66026 L
.361 .65054 L
.35917 .64652 L
.35669 .64083 L
.35274 .63112 L
.34946 .6223 L
.34914 .62141 L
.34586 .61169 L
.3429 .60198 L
.34023 .59227 L
.33974 .59036 L
.33786 .58256 L
.33576 .57284 L
.33394 .56313 L
.33239 .55342 L
.33111 .54371 L
.33008 .53399 L
.33003 .53348 L
.32931 .52428 L
.3288 .51457 L
.32855 .50486 L
.32855 .49514 L
.3288 .48543 L
.32931 .47572 L
.33003 .46652 L
.33008 .46601 L
.33111 .45629 L
.33239 .44658 L
.33394 .43687 L
.33576 .42716 L
.33786 .41744 L
.33974 .40964 L
Mistroke
.34023 .40773 L
.3429 .39802 L
.34586 .38831 L
.34914 .37859 L
.34946 .3777 L
.35274 .36888 L
.35669 .35917 L
.35917 .35348 L
.361 .34946 L
.36571 .33974 L
.36888 .33365 L
.37085 .33003 L
.37646 .32032 L
.37859 .31685 L
.38261 .31061 L
.38831 .30236 L
.38937 .30089 L
.39686 .29118 L
.39802 .28976 L
.40522 .28147 L
.40773 .27878 L
.41472 .27176 L
.41744 .26922 L
.42578 .26204 L
.42716 .26095 L
.43687 .25386 L
.43919 .25233 L
.44658 .2479 L
.45629 .243 L
.45714 .24262 L
.46601 .23913 L
Mfstroke
.133 .867 .6 r
.48543 .25047 m
.49514 .24945 L
.50486 .24945 L
.51457 .25047 L
.52377 .25233 L
.52428 .2525 L
.53399 .25558 L
.54371 .25972 L
.54829 .26204 L
.55342 .26497 L
.56313 .27138 L
.56366 .27176 L
.57284 .27902 L
.57565 .28147 L
.58256 .28799 L
.58568 .29118 L
.59227 .29844 L
.59435 .30089 L
.60198 .31057 L
.60201 .31061 L
.60886 .32032 L
.61169 .32465 L
.61504 .33003 L
.62064 .33974 L
.62141 .34116 L
.62572 .34946 L
.63036 .35917 L
.63112 .36086 L
.63457 .36888 L
.6384 .37859 L
.64083 .3853 L
.64187 .38831 L
.64499 .39802 L
.6478 .40773 L
.65029 .41744 L
.65054 .41849 L
.65249 .42716 L
.65439 .43687 L
.65601 .44658 L
.65735 .45629 L
.65842 .46601 L
.65922 .47572 L
.65975 .48543 L
.66001 .49514 L
.66001 .50486 L
.65975 .51457 L
.65922 .52428 L
.65842 .53399 L
.65735 .54371 L
.65601 .55342 L
.65439 .56313 L
.65249 .57284 L
.65054 .58151 L
.65029 .58256 L
.6478 .59227 L
.64499 .60198 L
.64187 .61169 L
.64083 .6147 L
.6384 .62141 L
.63457 .63112 L
.63112 .63914 L
.63036 .64083 L
.62572 .65054 L
.62141 .65884 L
.62064 .66026 L
.61504 .66997 L
.61169 .67535 L
.60886 .67968 L
.60201 .68939 L
.60198 .68943 L
.59435 .69911 L
.59227 .70156 L
.58568 .70882 L
.58256 .71201 L
.57565 .71853 L
.57284 .72098 L
.56366 .72824 L
.56313 .72862 L
.55342 .73503 L
.54829 .73796 L
.54371 .74028 L
.53399 .74442 L
.52428 .7475 L
.52377 .74767 L
.51457 .74953 L
.50486 .75055 L
.49514 .75055 L
.48543 .74953 L
.47623 .74767 L
.47572 .7475 L
.46601 .74442 L
.45629 .74028 L
.45171 .73796 L
.44658 .73503 L
.43687 .72862 L
.43634 .72824 L
.42716 .72098 L
.42435 .71853 L
.41744 .71201 L
.41432 .70882 L
.40773 .70156 L
.40565 .69911 L
.39802 .68943 L
.39799 .68939 L
.39114 .67968 L
.38831 .67535 L
.38496 .66997 L
.37936 .66026 L
.37859 .65884 L
.37428 .65054 L
.36964 .64083 L
.36888 .63914 L
.36543 .63112 L
.3616 .62141 L
.35917 .6147 L
.35813 .61169 L
.35501 .60198 L
.3522 .59227 L
.34971 .58256 L
.34946 .58151 L
.34751 .57284 L
.34561 .56313 L
.34399 .55342 L
.34265 .54371 L
.34158 .53399 L
.34078 .52428 L
.34025 .51457 L
.33999 .50486 L
.33999 .49514 L
.34025 .48543 L
.34078 .47572 L
.34158 .46601 L
.34265 .45629 L
.34399 .44658 L
.34561 .43687 L
.34751 .42716 L
.34946 .41849 L
.34971 .41744 L
.3522 .40773 L
.35501 .39802 L
.35813 .38831 L
.35917 .3853 L
.3616 .37859 L
.36543 .36888 L
.36888 .36086 L
.36964 .35917 L
.37428 .34946 L
.37859 .34116 L
.37936 .33974 L
.38496 .33003 L
.38831 .32465 L
.39114 .32032 L
.39799 .31061 L
.39802 .31057 L
.40565 .30089 L
.40773 .29844 L
.41432 .29118 L
.41744 .28799 L
.42435 .28147 L
.42716 .27902 L
.43634 .27176 L
.43687 .27138 L
.44658 .26497 L
.45171 .26204 L
.45629 .25972 L
.46601 .25558 L
.47572 .2525 L
.47623 .25233 L
F
0 g
.48543 .25047 m
.49514 .24945 L
.50486 .24945 L
.51457 .25047 L
.52377 .25233 L
.52428 .2525 L
.53399 .25558 L
.54371 .25972 L
.54829 .26204 L
.55342 .26497 L
.56313 .27138 L
.56366 .27176 L
.57284 .27902 L
.57565 .28147 L
.58256 .28799 L
.58568 .29118 L
.59227 .29844 L
.59435 .30089 L
.60198 .31057 L
.60201 .31061 L
.60886 .32032 L
.61169 .32465 L
.61504 .33003 L
.62064 .33974 L
.62141 .34116 L
.62572 .34946 L
.63036 .35917 L
.63112 .36086 L
.63457 .36888 L
.6384 .37859 L
.64083 .3853 L
.64187 .38831 L
.64499 .39802 L
.6478 .40773 L
.65029 .41744 L
.65054 .41849 L
.65249 .42716 L
.65439 .43687 L
.65601 .44658 L
.65735 .45629 L
.65842 .46601 L
.65922 .47572 L
.65975 .48543 L
.66001 .49514 L
.66001 .50486 L
.65975 .51457 L
.65922 .52428 L
.65842 .53399 L
.65735 .54371 L
.65601 .55342 L
Mistroke
.65439 .56313 L
.65249 .57284 L
.65054 .58151 L
.65029 .58256 L
.6478 .59227 L
.64499 .60198 L
.64187 .61169 L
.64083 .6147 L
.6384 .62141 L
.63457 .63112 L
.63112 .63914 L
.63036 .64083 L
.62572 .65054 L
.62141 .65884 L
.62064 .66026 L
.61504 .66997 L
.61169 .67535 L
.60886 .67968 L
.60201 .68939 L
.60198 .68943 L
.59435 .69911 L
.59227 .70156 L
.58568 .70882 L
.58256 .71201 L
.57565 .71853 L
.57284 .72098 L
.56366 .72824 L
.56313 .72862 L
.55342 .73503 L
.54829 .73796 L
.54371 .74028 L
.53399 .74442 L
.52428 .7475 L
.52377 .74767 L
.51457 .74953 L
.50486 .75055 L
.49514 .75055 L
.48543 .74953 L
.47623 .74767 L
.47572 .7475 L
.46601 .74442 L
.45629 .74028 L
.45171 .73796 L
.44658 .73503 L
.43687 .72862 L
.43634 .72824 L
.42716 .72098 L
.42435 .71853 L
.41744 .71201 L
.41432 .70882 L
Mistroke
.40773 .70156 L
.40565 .69911 L
.39802 .68943 L
.39799 .68939 L
.39114 .67968 L
.38831 .67535 L
.38496 .66997 L
.37936 .66026 L
.37859 .65884 L
.37428 .65054 L
.36964 .64083 L
.36888 .63914 L
.36543 .63112 L
.3616 .62141 L
.35917 .6147 L
.35813 .61169 L
.35501 .60198 L
.3522 .59227 L
.34971 .58256 L
.34946 .58151 L
.34751 .57284 L
.34561 .56313 L
.34399 .55342 L
.34265 .54371 L
.34158 .53399 L
.34078 .52428 L
.34025 .51457 L
.33999 .50486 L
.33999 .49514 L
.34025 .48543 L
.34078 .47572 L
.34158 .46601 L
.34265 .45629 L
.34399 .44658 L
.34561 .43687 L
.34751 .42716 L
.34946 .41849 L
.34971 .41744 L
.3522 .40773 L
.35501 .39802 L
.35813 .38831 L
.35917 .3853 L
.3616 .37859 L
.36543 .36888 L
.36888 .36086 L
.36964 .35917 L
.37428 .34946 L
.37859 .34116 L
.37936 .33974 L
.38496 .33003 L
Mistroke
.38831 .32465 L
.39114 .32032 L
.39799 .31061 L
.39802 .31057 L
.40565 .30089 L
.40773 .29844 L
.41432 .29118 L
.41744 .28799 L
.42435 .28147 L
.42716 .27902 L
.43634 .27176 L
.43687 .27138 L
.44658 .26497 L
.45171 .26204 L
.45629 .25972 L
.46601 .25558 L
.47572 .2525 L
.47623 .25233 L
.48543 .25047 L
Mfstroke
.117 .883 .6 r
.47572 .26991 m
.48543 .26772 L
.49514 .26663 L
.50486 .26663 L
.51457 .26772 L
.52428 .26991 L
.53023 .27176 L
.53399 .27322 L
.54371 .27769 L
.55041 .28147 L
.55342 .28338 L
.56313 .29035 L
.56419 .29118 L
.57284 .29871 L
.57514 .30089 L
.58256 .3086 L
.58435 .31061 L
.59227 .32025 L
.59232 .32032 L
.59937 .33003 L
.60198 .33395 L
.60564 .33974 L
.61127 .34946 L
.61169 .35022 L
.61635 .35917 L
.62094 .36888 L
.62141 .36993 L
.62508 .37859 L
.62881 .38831 L
.63112 .3949 L
.63215 .39802 L
.63514 .40773 L
.63779 .41744 L
.64012 .42716 L
.64083 .43041 L
.64213 .43687 L
.64384 .44658 L
.64526 .45629 L
.64638 .46601 L
.64722 .47572 L
.64778 .48543 L
.64806 .49514 L
.64806 .50486 L
.64778 .51457 L
.64722 .52428 L
.64638 .53399 L
.64526 .54371 L
.64384 .55342 L
.64213 .56313 L
.64083 .56959 L
.64012 .57284 L
.63779 .58256 L
.63514 .59227 L
.63215 .60198 L
.63112 .6051 L
.62881 .61169 L
.62508 .62141 L
.62141 .63007 L
.62094 .63112 L
.61635 .64083 L
.61169 .64978 L
.61127 .65054 L
.60564 .66026 L
.60198 .66605 L
.59937 .66997 L
.59232 .67968 L
.59227 .67975 L
.58435 .68939 L
.58256 .6914 L
.57514 .69911 L
.57284 .70129 L
.56419 .70882 L
.56313 .70965 L
.55342 .71662 L
.55041 .71853 L
.54371 .72231 L
.53399 .72678 L
.53023 .72824 L
.52428 .73009 L
.51457 .73228 L
.50486 .73337 L
.49514 .73337 L
.48543 .73228 L
.47572 .73009 L
.46977 .72824 L
.46601 .72678 L
.45629 .72231 L
.44959 .71853 L
.44658 .71662 L
.43687 .70965 L
.43581 .70882 L
.42716 .70129 L
.42486 .69911 L
.41744 .6914 L
.41565 .68939 L
.40773 .67975 L
.40768 .67968 L
.40063 .66997 L
.39802 .66605 L
.39436 .66026 L
.38873 .65054 L
.38831 .64978 L
.38365 .64083 L
.37906 .63112 L
.37859 .63007 L
.37492 .62141 L
.37119 .61169 L
.36888 .6051 L
.36785 .60198 L
.36486 .59227 L
.36221 .58256 L
.35988 .57284 L
.35917 .56959 L
.35787 .56313 L
.35616 .55342 L
.35474 .54371 L
.35362 .53399 L
.35278 .52428 L
.35222 .51457 L
.35194 .50486 L
.35194 .49514 L
.35222 .48543 L
.35278 .47572 L
.35362 .46601 L
.35474 .45629 L
.35616 .44658 L
.35787 .43687 L
.35917 .43041 L
.35988 .42716 L
.36221 .41744 L
.36486 .40773 L
.36785 .39802 L
.36888 .3949 L
.37119 .38831 L
.37492 .37859 L
.37859 .36993 L
.37906 .36888 L
.38365 .35917 L
.38831 .35022 L
.38873 .34946 L
.39436 .33974 L
.39802 .33395 L
.40063 .33003 L
.40768 .32032 L
.40773 .32025 L
.41565 .31061 L
.41744 .3086 L
.42486 .30089 L
.42716 .29871 L
.43581 .29118 L
.43687 .29035 L
.44658 .28338 L
.44959 .28147 L
.45629 .27769 L
.46601 .27322 L
.46977 .27176 L
F
0 g
.47572 .26991 m
.48543 .26772 L
.49514 .26663 L
.50486 .26663 L
.51457 .26772 L
.52428 .26991 L
.53023 .27176 L
.53399 .27322 L
.54371 .27769 L
.55041 .28147 L
.55342 .28338 L
.56313 .29035 L
.56419 .29118 L
.57284 .29871 L
.57514 .30089 L
.58256 .3086 L
.58435 .31061 L
.59227 .32025 L
.59232 .32032 L
.59937 .33003 L
.60198 .33395 L
.60564 .33974 L
.61127 .34946 L
.61169 .35022 L
.61635 .35917 L
.62094 .36888 L
.62141 .36993 L
.62508 .37859 L
.62881 .38831 L
.63112 .3949 L
.63215 .39802 L
.63514 .40773 L
.63779 .41744 L
.64012 .42716 L
.64083 .43041 L
.64213 .43687 L
.64384 .44658 L
.64526 .45629 L
.64638 .46601 L
.64722 .47572 L
.64778 .48543 L
.64806 .49514 L
.64806 .50486 L
.64778 .51457 L
.64722 .52428 L
.64638 .53399 L
.64526 .54371 L
.64384 .55342 L
.64213 .56313 L
.64083 .56959 L
Mistroke
.64012 .57284 L
.63779 .58256 L
.63514 .59227 L
.63215 .60198 L
.63112 .6051 L
.62881 .61169 L
.62508 .62141 L
.62141 .63007 L
.62094 .63112 L
.61635 .64083 L
.61169 .64978 L
.61127 .65054 L
.60564 .66026 L
.60198 .66605 L
.59937 .66997 L
.59232 .67968 L
.59227 .67975 L
.58435 .68939 L
.58256 .6914 L
.57514 .69911 L
.57284 .70129 L
.56419 .70882 L
.56313 .70965 L
.55342 .71662 L
.55041 .71853 L
.54371 .72231 L
.53399 .72678 L
.53023 .72824 L
.52428 .73009 L
.51457 .73228 L
.50486 .73337 L
.49514 .73337 L
.48543 .73228 L
.47572 .73009 L
.46977 .72824 L
.46601 .72678 L
.45629 .72231 L
.44959 .71853 L
.44658 .71662 L
.43687 .70965 L
.43581 .70882 L
.42716 .70129 L
.42486 .69911 L
.41744 .6914 L
.41565 .68939 L
.40773 .67975 L
.40768 .67968 L
.40063 .66997 L
.39802 .66605 L
.39436 .66026 L
Mistroke
.38873 .65054 L
.38831 .64978 L
.38365 .64083 L
.37906 .63112 L
.37859 .63007 L
.37492 .62141 L
.37119 .61169 L
.36888 .6051 L
.36785 .60198 L
.36486 .59227 L
.36221 .58256 L
.35988 .57284 L
.35917 .56959 L
.35787 .56313 L
.35616 .55342 L
.35474 .54371 L
.35362 .53399 L
.35278 .52428 L
.35222 .51457 L
.35194 .50486 L
.35194 .49514 L
.35222 .48543 L
.35278 .47572 L
.35362 .46601 L
.35474 .45629 L
.35616 .44658 L
.35787 .43687 L
.35917 .43041 L
.35988 .42716 L
.36221 .41744 L
.36486 .40773 L
.36785 .39802 L
.36888 .3949 L
.37119 .38831 L
.37492 .37859 L
.37859 .36993 L
.37906 .36888 L
.38365 .35917 L
.38831 .35022 L
.38873 .34946 L
.39436 .33974 L
.39802 .33395 L
.40063 .33003 L
.40768 .32032 L
.40773 .32025 L
.41565 .31061 L
.41744 .3086 L
.42486 .30089 L
.42716 .29871 L
.43581 .29118 L
Mistroke
.43687 .29035 L
.44658 .28338 L
.44959 .28147 L
.45629 .27769 L
.46601 .27322 L
.46977 .27176 L
.47572 .26991 L
Mfstroke
.1 .9 .6 r
.47572 .28875 m
.48543 .28637 L
.49514 .28518 L
.50486 .28518 L
.51457 .28637 L
.52428 .28875 L
.53129 .29118 L
.53399 .29236 L
.54371 .29725 L
.54965 .30089 L
.55342 .3035 L
.56244 .31061 L
.56313 .31121 L
.57263 .32032 L
.57284 .32054 L
.5812 .33003 L
.58256 .33172 L
.5886 .33974 L
.59227 .34509 L
.59509 .34946 L
.60085 .35917 L
.60198 .36123 L
.60598 .36888 L
.61056 .37859 L
.61169 .38117 L
.61466 .38831 L
.61831 .39802 L
.62141 .40724 L
.62156 .40773 L
.62443 .41744 L
.62693 .42716 L
.62909 .43687 L
.63092 .44658 L
.63112 .44772 L
.63243 .45629 L
.63363 .46601 L
.63453 .47572 L
.63512 .48543 L
.63542 .49514 L
.63542 .50486 L
.63512 .51457 L
.63453 .52428 L
.63363 .53399 L
.63243 .54371 L
.63112 .55228 L
.63092 .55342 L
.62909 .56313 L
.62693 .57284 L
.62443 .58256 L
.62156 .59227 L
.62141 .59276 L
.61831 .60198 L
.61466 .61169 L
.61169 .61883 L
.61056 .62141 L
.60598 .63112 L
.60198 .63877 L
.60085 .64083 L
.59509 .65054 L
.59227 .65491 L
.5886 .66026 L
.58256 .66828 L
.5812 .66997 L
.57284 .67946 L
.57263 .67968 L
.56313 .68879 L
.56244 .68939 L
.55342 .6965 L
.54965 .69911 L
.54371 .70275 L
.53399 .70764 L
.53129 .70882 L
.52428 .71125 L
.51457 .71363 L
.50486 .71482 L
.49514 .71482 L
.48543 .71363 L
.47572 .71125 L
.46871 .70882 L
.46601 .70764 L
.45629 .70275 L
.45035 .69911 L
.44658 .6965 L
.43756 .68939 L
.43687 .68879 L
.42737 .67968 L
.42716 .67946 L
.4188 .66997 L
.41744 .66828 L
.4114 .66026 L
.40773 .65491 L
.40491 .65054 L
.39915 .64083 L
.39802 .63877 L
.39402 .63112 L
.38944 .62141 L
.38831 .61883 L
.38534 .61169 L
.38169 .60198 L
.37859 .59276 L
.37844 .59227 L
.37557 .58256 L
.37307 .57284 L
.37091 .56313 L
.36908 .55342 L
.36888 .55228 L
.36757 .54371 L
.36637 .53399 L
.36547 .52428 L
.36488 .51457 L
.36458 .50486 L
.36458 .49514 L
.36488 .48543 L
.36547 .47572 L
.36637 .46601 L
.36757 .45629 L
.36888 .44772 L
.36908 .44658 L
.37091 .43687 L
.37307 .42716 L
.37557 .41744 L
.37844 .40773 L
.37859 .40724 L
.38169 .39802 L
.38534 .38831 L
.38831 .38117 L
.38944 .37859 L
.39402 .36888 L
.39802 .36123 L
.39915 .35917 L
.40491 .34946 L
.40773 .34509 L
.4114 .33974 L
.41744 .33172 L
.4188 .33003 L
.42716 .32054 L
.42737 .32032 L
.43687 .31121 L
.43756 .31061 L
.44658 .3035 L
.45035 .30089 L
.45629 .29725 L
.46601 .29236 L
.46871 .29118 L
F
0 g
.47572 .28875 m
.48543 .28637 L
.49514 .28518 L
.50486 .28518 L
.51457 .28637 L
.52428 .28875 L
.53129 .29118 L
.53399 .29236 L
.54371 .29725 L
.54965 .30089 L
.55342 .3035 L
.56244 .31061 L
.56313 .31121 L
.57263 .32032 L
.57284 .32054 L
.5812 .33003 L
.58256 .33172 L
.5886 .33974 L
.59227 .34509 L
.59509 .34946 L
.60085 .35917 L
.60198 .36123 L
.60598 .36888 L
.61056 .37859 L
.61169 .38117 L
.61466 .38831 L
.61831 .39802 L
.62141 .40724 L
.62156 .40773 L
.62443 .41744 L
.62693 .42716 L
.62909 .43687 L
.63092 .44658 L
.63112 .44772 L
.63243 .45629 L
.63363 .46601 L
.63453 .47572 L
.63512 .48543 L
.63542 .49514 L
.63542 .50486 L
.63512 .51457 L
.63453 .52428 L
.63363 .53399 L
.63243 .54371 L
.63112 .55228 L
.63092 .55342 L
.62909 .56313 L
.62693 .57284 L
.62443 .58256 L
.62156 .59227 L
Mistroke
.62141 .59276 L
.61831 .60198 L
.61466 .61169 L
.61169 .61883 L
.61056 .62141 L
.60598 .63112 L
.60198 .63877 L
.60085 .64083 L
.59509 .65054 L
.59227 .65491 L
.5886 .66026 L
.58256 .66828 L
.5812 .66997 L
.57284 .67946 L
.57263 .67968 L
.56313 .68879 L
.56244 .68939 L
.55342 .6965 L
.54965 .69911 L
.54371 .70275 L
.53399 .70764 L
.53129 .70882 L
.52428 .71125 L
.51457 .71363 L
.50486 .71482 L
.49514 .71482 L
.48543 .71363 L
.47572 .71125 L
.46871 .70882 L
.46601 .70764 L
.45629 .70275 L
.45035 .69911 L
.44658 .6965 L
.43756 .68939 L
.43687 .68879 L
.42737 .67968 L
.42716 .67946 L
.4188 .66997 L
.41744 .66828 L
.4114 .66026 L
.40773 .65491 L
.40491 .65054 L
.39915 .64083 L
.39802 .63877 L
.39402 .63112 L
.38944 .62141 L
.38831 .61883 L
.38534 .61169 L
.38169 .60198 L
.37859 .59276 L
Mistroke
.37844 .59227 L
.37557 .58256 L
.37307 .57284 L
.37091 .56313 L
.36908 .55342 L
.36888 .55228 L
.36757 .54371 L
.36637 .53399 L
.36547 .52428 L
.36488 .51457 L
.36458 .50486 L
.36458 .49514 L
.36488 .48543 L
.36547 .47572 L
.36637 .46601 L
.36757 .45629 L
.36888 .44772 L
.36908 .44658 L
.37091 .43687 L
.37307 .42716 L
.37557 .41744 L
.37844 .40773 L
.37859 .40724 L
.38169 .39802 L
.38534 .38831 L
.38831 .38117 L
.38944 .37859 L
.39402 .36888 L
.39802 .36123 L
.39915 .35917 L
.40491 .34946 L
.40773 .34509 L
.4114 .33974 L
.41744 .33172 L
.4188 .33003 L
.42716 .32054 L
.42737 .32032 L
.43687 .31121 L
.43756 .31061 L
.44658 .3035 L
.45035 .30089 L
.45629 .29725 L
.46601 .29236 L
.46871 .29118 L
.47572 .28875 L
Mfstroke
.083 .917 .6 r
.47572 .30944 m
.48543 .3068 L
.49514 .3055 L
.50486 .3055 L
.51457 .3068 L
.52428 .30944 L
.5276 .31061 L
.53399 .31345 L
.54371 .31891 L
.54586 .32032 L
.55342 .32594 L
.55823 .33003 L
.56313 .33469 L
.56795 .33974 L
.57284 .34543 L
.57604 .34946 L
.58256 .35856 L
.58296 .35917 L
.58899 .36888 L
.59227 .37476 L
.59427 .37859 L
.59894 .38831 L
.60198 .39538 L
.60305 .39802 L
.60667 .40773 L
.60984 .41744 L
.61169 .4238 L
.6126 .42716 L
.61497 .43687 L
.61697 .44658 L
.61862 .45629 L
.61992 .46601 L
.62089 .47572 L
.62141 .48258 L
.62154 .48543 L
.62186 .49514 L
.62186 .50486 L
.62154 .51457 L
.62141 .51742 L
.62089 .52428 L
.61992 .53399 L
.61862 .54371 L
.61697 .55342 L
.61497 .56313 L
.6126 .57284 L
.61169 .5762 L
.60984 .58256 L
.60667 .59227 L
.60305 .60198 L
.60198 .60462 L
.59894 .61169 L
.59427 .62141 L
.59227 .62524 L
.58899 .63112 L
.58296 .64083 L
.58256 .64144 L
.57604 .65054 L
.57284 .65457 L
.56795 .66026 L
.56313 .66531 L
.55823 .66997 L
.55342 .67406 L
.54586 .67968 L
.54371 .68109 L
.53399 .68655 L
.5276 .68939 L
.52428 .69056 L
.51457 .6932 L
.50486 .6945 L
.49514 .6945 L
.48543 .6932 L
.47572 .69056 L
.4724 .68939 L
.46601 .68655 L
.45629 .68109 L
.45414 .67968 L
.44658 .67406 L
.44177 .66997 L
.43687 .66531 L
.43205 .66026 L
.42716 .65457 L
.42396 .65054 L
.41744 .64144 L
.41704 .64083 L
.41101 .63112 L
.40773 .62524 L
.40573 .62141 L
.40106 .61169 L
.39802 .60462 L
.39695 .60198 L
.39333 .59227 L
.39016 .58256 L
.38831 .5762 L
.3874 .57284 L
.38503 .56313 L
.38303 .55342 L
.38138 .54371 L
.38008 .53399 L
.37911 .52428 L
.37859 .51742 L
.37846 .51457 L
.37814 .50486 L
.37814 .49514 L
.37846 .48543 L
.37859 .48258 L
.37911 .47572 L
.38008 .46601 L
.38138 .45629 L
.38303 .44658 L
.38503 .43687 L
.3874 .42716 L
.38831 .4238 L
.39016 .41744 L
.39333 .40773 L
.39695 .39802 L
.39802 .39538 L
.40106 .38831 L
.40573 .37859 L
.40773 .37476 L
.41101 .36888 L
.41704 .35917 L
.41744 .35856 L
.42396 .34946 L
.42716 .34543 L
.43205 .33974 L
.43687 .33469 L
.44177 .33003 L
.44658 .32594 L
.45414 .32032 L
.45629 .31891 L
.46601 .31345 L
.4724 .31061 L
F
0 g
.47572 .30944 m
.48543 .3068 L
.49514 .3055 L
.50486 .3055 L
.51457 .3068 L
.52428 .30944 L
.5276 .31061 L
.53399 .31345 L
.54371 .31891 L
.54586 .32032 L
.55342 .32594 L
.55823 .33003 L
.56313 .33469 L
.56795 .33974 L
.57284 .34543 L
.57604 .34946 L
.58256 .35856 L
.58296 .35917 L
.58899 .36888 L
.59227 .37476 L
.59427 .37859 L
.59894 .38831 L
.60198 .39538 L
.60305 .39802 L
.60667 .40773 L
.60984 .41744 L
.61169 .4238 L
.6126 .42716 L
.61497 .43687 L
.61697 .44658 L
.61862 .45629 L
.61992 .46601 L
.62089 .47572 L
.62141 .48258 L
.62154 .48543 L
.62186 .49514 L
.62186 .50486 L
.62154 .51457 L
.62141 .51742 L
.62089 .52428 L
.61992 .53399 L
.61862 .54371 L
.61697 .55342 L
.61497 .56313 L
.6126 .57284 L
.61169 .5762 L
.60984 .58256 L
.60667 .59227 L
.60305 .60198 L
.60198 .60462 L
Mistroke
.59894 .61169 L
.59427 .62141 L
.59227 .62524 L
.58899 .63112 L
.58296 .64083 L
.58256 .64144 L
.57604 .65054 L
.57284 .65457 L
.56795 .66026 L
.56313 .66531 L
.55823 .66997 L
.55342 .67406 L
.54586 .67968 L
.54371 .68109 L
.53399 .68655 L
.5276 .68939 L
.52428 .69056 L
.51457 .6932 L
.50486 .6945 L
.49514 .6945 L
.48543 .6932 L
.47572 .69056 L
.4724 .68939 L
.46601 .68655 L
.45629 .68109 L
.45414 .67968 L
.44658 .67406 L
.44177 .66997 L
.43687 .66531 L
.43205 .66026 L
.42716 .65457 L
.42396 .65054 L
.41744 .64144 L
.41704 .64083 L
.41101 .63112 L
.40773 .62524 L
.40573 .62141 L
.40106 .61169 L
.39802 .60462 L
.39695 .60198 L
.39333 .59227 L
.39016 .58256 L
.38831 .5762 L
.3874 .57284 L
.38503 .56313 L
.38303 .55342 L
.38138 .54371 L
.38008 .53399 L
.37911 .52428 L
.37859 .51742 L
Mistroke
.37846 .51457 L
.37814 .50486 L
.37814 .49514 L
.37846 .48543 L
.37859 .48258 L
.37911 .47572 L
.38008 .46601 L
.38138 .45629 L
.38303 .44658 L
.38503 .43687 L
.3874 .42716 L
.38831 .4238 L
.39016 .41744 L
.39333 .40773 L
.39695 .39802 L
.39802 .39538 L
.40106 .38831 L
.40573 .37859 L
.40773 .37476 L
.41101 .36888 L
.41704 .35917 L
.41744 .35856 L
.42396 .34946 L
.42716 .34543 L
.43205 .33974 L
.43687 .33469 L
.44177 .33003 L
.44658 .32594 L
.45414 .32032 L
.45629 .31891 L
.46601 .31345 L
.4724 .31061 L
.47572 .30944 L
Mfstroke
.067 .933 .6 r
.48543 .32967 m
.49514 .32819 L
.50486 .32819 L
.51457 .32967 L
.5163 .33003 L
.52428 .33267 L
.53399 .33725 L
.53823 .33974 L
.54371 .34354 L
.55097 .34946 L
.55342 .35173 L
.56061 .35917 L
.56313 .36211 L
.56845 .36888 L
.57284 .37519 L
.57504 .37859 L
.58069 .38831 L
.58256 .39187 L
.58556 .39802 L
.58979 .40773 L
.59227 .41415 L
.59345 .41744 L
.5966 .42716 L
.59929 .43687 L
.60154 .44658 L
.60198 .44869 L
.60339 .45629 L
.60485 .46601 L
.60593 .47572 L
.60665 .48543 L
.607 .49514 L
.607 .50486 L
.60665 .51457 L
.60593 .52428 L
.60485 .53399 L
.60339 .54371 L
.60198 .55131 L
.60154 .55342 L
.59929 .56313 L
.5966 .57284 L
.59345 .58256 L
.59227 .58585 L
.58979 .59227 L
.58556 .60198 L
.58256 .60813 L
.58069 .61169 L
.57504 .62141 L
.57284 .62481 L
.56845 .63112 L
.56313 .63789 L
.56061 .64083 L
.55342 .64827 L
.55097 .65054 L
.54371 .65646 L
.53823 .66026 L
.53399 .66275 L
.52428 .66733 L
.5163 .66997 L
.51457 .67033 L
.50486 .67181 L
.49514 .67181 L
.48543 .67033 L
.4837 .66997 L
.47572 .66733 L
.46601 .66275 L
.46177 .66026 L
.45629 .65646 L
.44903 .65054 L
.44658 .64827 L
.43939 .64083 L
.43687 .63789 L
.43155 .63112 L
.42716 .62481 L
.42496 .62141 L
.41931 .61169 L
.41744 .60813 L
.41444 .60198 L
.41021 .59227 L
.40773 .58585 L
.40655 .58256 L
.4034 .57284 L
.40071 .56313 L
.39846 .55342 L
.39802 .55131 L
.39661 .54371 L
.39515 .53399 L
.39407 .52428 L
.39335 .51457 L
.393 .50486 L
.393 .49514 L
.39335 .48543 L
.39407 .47572 L
.39515 .46601 L
.39661 .45629 L
.39802 .44869 L
.39846 .44658 L
.40071 .43687 L
.4034 .42716 L
.40655 .41744 L
.40773 .41415 L
.41021 .40773 L
.41444 .39802 L
.41744 .39187 L
.41931 .38831 L
.42496 .37859 L
.42716 .37519 L
.43155 .36888 L
.43687 .36211 L
.43939 .35917 L
.44658 .35173 L
.44903 .34946 L
.45629 .34354 L
.46177 .33974 L
.46601 .33725 L
.47572 .33267 L
.4837 .33003 L
F
0 g
.48543 .32967 m
.49514 .32819 L
.50486 .32819 L
.51457 .32967 L
.5163 .33003 L
.52428 .33267 L
.53399 .33725 L
.53823 .33974 L
.54371 .34354 L
.55097 .34946 L
.55342 .35173 L
.56061 .35917 L
.56313 .36211 L
.56845 .36888 L
.57284 .37519 L
.57504 .37859 L
.58069 .38831 L
.58256 .39187 L
.58556 .39802 L
.58979 .40773 L
.59227 .41415 L
.59345 .41744 L
.5966 .42716 L
.59929 .43687 L
.60154 .44658 L
.60198 .44869 L
.60339 .45629 L
.60485 .46601 L
.60593 .47572 L
.60665 .48543 L
.607 .49514 L
.607 .50486 L
.60665 .51457 L
.60593 .52428 L
.60485 .53399 L
.60339 .54371 L
.60198 .55131 L
.60154 .55342 L
.59929 .56313 L
.5966 .57284 L
.59345 .58256 L
.59227 .58585 L
.58979 .59227 L
.58556 .60198 L
.58256 .60813 L
.58069 .61169 L
.57504 .62141 L
.57284 .62481 L
.56845 .63112 L
.56313 .63789 L
Mistroke
.56061 .64083 L
.55342 .64827 L
.55097 .65054 L
.54371 .65646 L
.53823 .66026 L
.53399 .66275 L
.52428 .66733 L
.5163 .66997 L
.51457 .67033 L
.50486 .67181 L
.49514 .67181 L
.48543 .67033 L
.4837 .66997 L
.47572 .66733 L
.46601 .66275 L
.46177 .66026 L
.45629 .65646 L
.44903 .65054 L
.44658 .64827 L
.43939 .64083 L
.43687 .63789 L
.43155 .63112 L
.42716 .62481 L
.42496 .62141 L
.41931 .61169 L
.41744 .60813 L
.41444 .60198 L
.41021 .59227 L
.40773 .58585 L
.40655 .58256 L
.4034 .57284 L
.40071 .56313 L
.39846 .55342 L
.39802 .55131 L
.39661 .54371 L
.39515 .53399 L
.39407 .52428 L
.39335 .51457 L
.393 .50486 L
.393 .49514 L
.39335 .48543 L
.39407 .47572 L
.39515 .46601 L
.39661 .45629 L
.39802 .44869 L
.39846 .44658 L
.40071 .43687 L
.4034 .42716 L
.40655 .41744 L
.40773 .41415 L
Mistroke
.41021 .40773 L
.41444 .39802 L
.41744 .39187 L
.41931 .38831 L
.42496 .37859 L
.42716 .37519 L
.43155 .36888 L
.43687 .36211 L
.43939 .35917 L
.44658 .35173 L
.44903 .34946 L
.45629 .34354 L
.46177 .33974 L
.46601 .33725 L
.47572 .33267 L
.4837 .33003 L
.48543 .32967 L
Mfstroke
.05 .95 .6 r
.48543 .35613 m
.49514 .35438 L
.50486 .35438 L
.51457 .35613 L
.52337 .35917 L
.52428 .3597 L
.53399 .36519 L
.53909 .36888 L
.54371 .37286 L
.54951 .37859 L
.55342 .38308 L
.55753 .38831 L
.56313 .39656 L
.56404 .39802 L
.56947 .40773 L
.57284 .41477 L
.57403 .41744 L
.57788 .42716 L
.58111 .43687 L
.58256 .44187 L
.58379 .44658 L
.58597 .45629 L
.58767 .46601 L
.58893 .47572 L
.58976 .48543 L
.59018 .49514 L
.59018 .50486 L
.58976 .51457 L
.58893 .52428 L
.58767 .53399 L
.58597 .54371 L
.58379 .55342 L
.58256 .55813 L
.58111 .56313 L
.57788 .57284 L
.57403 .58256 L
.57284 .58523 L
.56947 .59227 L
.56404 .60198 L
.56313 .60344 L
.55753 .61169 L
.55342 .61692 L
.54951 .62141 L
.54371 .62714 L
.53909 .63112 L
.53399 .63481 L
.52428 .6403 L
.52337 .64083 L
.51457 .64387 L
.50486 .64562 L
.49514 .64562 L
.48543 .64387 L
.47663 .64083 L
.47572 .6403 L
.46601 .63481 L
.46091 .63112 L
.45629 .62714 L
.45049 .62141 L
.44658 .61692 L
.44247 .61169 L
.43687 .60344 L
.43596 .60198 L
.43053 .59227 L
.42716 .58523 L
.42597 .58256 L
.42212 .57284 L
.41889 .56313 L
.41744 .55813 L
.41621 .55342 L
.41403 .54371 L
.41233 .53399 L
.41107 .52428 L
.41024 .51457 L
.40982 .50486 L
.40982 .49514 L
.41024 .48543 L
.41107 .47572 L
.41233 .46601 L
.41403 .45629 L
.41621 .44658 L
.41744 .44187 L
.41889 .43687 L
.42212 .42716 L
.42597 .41744 L
.42716 .41477 L
.43053 .40773 L
.43596 .39802 L
.43687 .39656 L
.44247 .38831 L
.44658 .38308 L
.45049 .37859 L
.45629 .37286 L
.46091 .36888 L
.46601 .36519 L
.47572 .3597 L
.47663 .35917 L
F
0 g
.48543 .35613 m
.49514 .35438 L
.50486 .35438 L
.51457 .35613 L
.52337 .35917 L
.52428 .3597 L
.53399 .36519 L
.53909 .36888 L
.54371 .37286 L
.54951 .37859 L
.55342 .38308 L
.55753 .38831 L
.56313 .39656 L
.56404 .39802 L
.56947 .40773 L
.57284 .41477 L
.57403 .41744 L
.57788 .42716 L
.58111 .43687 L
.58256 .44187 L
.58379 .44658 L
.58597 .45629 L
.58767 .46601 L
.58893 .47572 L
.58976 .48543 L
.59018 .49514 L
.59018 .50486 L
.58976 .51457 L
.58893 .52428 L
.58767 .53399 L
.58597 .54371 L
.58379 .55342 L
.58256 .55813 L
.58111 .56313 L
.57788 .57284 L
.57403 .58256 L
.57284 .58523 L
.56947 .59227 L
.56404 .60198 L
.56313 .60344 L
.55753 .61169 L
.55342 .61692 L
.54951 .62141 L
.54371 .62714 L
.53909 .63112 L
.53399 .63481 L
.52428 .6403 L
.52337 .64083 L
.51457 .64387 L
.50486 .64562 L
Mistroke
.49514 .64562 L
.48543 .64387 L
.47663 .64083 L
.47572 .6403 L
.46601 .63481 L
.46091 .63112 L
.45629 .62714 L
.45049 .62141 L
.44658 .61692 L
.44247 .61169 L
.43687 .60344 L
.43596 .60198 L
.43053 .59227 L
.42716 .58523 L
.42597 .58256 L
.42212 .57284 L
.41889 .56313 L
.41744 .55813 L
.41621 .55342 L
.41403 .54371 L
.41233 .53399 L
.41107 .52428 L
.41024 .51457 L
.40982 .50486 L
.40982 .49514 L
.41024 .48543 L
.41107 .47572 L
.41233 .46601 L
.41403 .45629 L
.41621 .44658 L
.41744 .44187 L
.41889 .43687 L
.42212 .42716 L
.42597 .41744 L
.42716 .41477 L
.43053 .40773 L
.43596 .39802 L
.43687 .39656 L
.44247 .38831 L
.44658 .38308 L
.45049 .37859 L
.45629 .37286 L
.46091 .36888 L
.46601 .36519 L
.47572 .3597 L
.47663 .35917 L
.48543 .35613 L
Mfstroke
.033 .967 .6 r
.49514 .38646 m
.50486 .38646 L
.51334 .38831 L
.51457 .38872 L
.52428 .39336 L
.53099 .39802 L
.53399 .40071 L
.5408 .40773 L
.54371 .41139 L
.548 .41744 L
.55342 .42681 L
.5536 .42716 L
.55811 .43687 L
.56171 .44658 L
.56313 .45113 L
.56456 .45629 L
.56677 .46601 L
.56838 .47572 L
.56943 .48543 L
.56995 .49514 L
.56995 .50486 L
.56943 .51457 L
.56838 .52428 L
.56677 .53399 L
.56456 .54371 L
.56313 .54887 L
.56171 .55342 L
.55811 .56313 L
.5536 .57284 L
.55342 .57319 L
.548 .58256 L
.54371 .58861 L
.5408 .59227 L
.53399 .59929 L
.53099 .60198 L
.52428 .60664 L
.51457 .61128 L
.51334 .61169 L
.50486 .61354 L
.49514 .61354 L
.48666 .61169 L
.48543 .61128 L
.47572 .60664 L
.46901 .60198 L
.46601 .59929 L
.4592 .59227 L
.45629 .58861 L
.452 .58256 L
.44658 .57319 L
.4464 .57284 L
.44189 .56313 L
.43829 .55342 L
.43687 .54887 L
.43544 .54371 L
.43323 .53399 L
.43162 .52428 L
.43057 .51457 L
.43005 .50486 L
.43005 .49514 L
.43057 .48543 L
.43162 .47572 L
.43323 .46601 L
.43544 .45629 L
.43687 .45113 L
.43829 .44658 L
.44189 .43687 L
.4464 .42716 L
.44658 .42681 L
.452 .41744 L
.45629 .41139 L
.4592 .40773 L
.46601 .40071 L
.46901 .39802 L
.47572 .39336 L
.48543 .38872 L
.48666 .38831 L
F
0 g
.49514 .38646 m
.50486 .38646 L
.51334 .38831 L
.51457 .38872 L
.52428 .39336 L
.53099 .39802 L
.53399 .40071 L
.5408 .40773 L
.54371 .41139 L
.548 .41744 L
.55342 .42681 L
.5536 .42716 L
.55811 .43687 L
.56171 .44658 L
.56313 .45113 L
.56456 .45629 L
.56677 .46601 L
.56838 .47572 L
.56943 .48543 L
.56995 .49514 L
.56995 .50486 L
.56943 .51457 L
.56838 .52428 L
.56677 .53399 L
.56456 .54371 L
.56313 .54887 L
.56171 .55342 L
.55811 .56313 L
.5536 .57284 L
.55342 .57319 L
.548 .58256 L
.54371 .58861 L
.5408 .59227 L
.53399 .59929 L
.53099 .60198 L
.52428 .60664 L
.51457 .61128 L
.51334 .61169 L
.50486 .61354 L
.49514 .61354 L
.48666 .61169 L
.48543 .61128 L
.47572 .60664 L
.46901 .60198 L
.46601 .59929 L
.4592 .59227 L
.45629 .58861 L
.452 .58256 L
.44658 .57319 L
.4464 .57284 L
Mistroke
.44189 .56313 L
.43829 .55342 L
.43687 .54887 L
.43544 .54371 L
.43323 .53399 L
.43162 .52428 L
.43057 .51457 L
.43005 .50486 L
.43005 .49514 L
.43057 .48543 L
.43162 .47572 L
.43323 .46601 L
.43544 .45629 L
.43687 .45113 L
.43829 .44658 L
.44189 .43687 L
.4464 .42716 L
.44658 .42681 L
.452 .41744 L
.45629 .41139 L
.4592 .40773 L
.46601 .40071 L
.46901 .39802 L
.47572 .39336 L
.48543 .38872 L
.48666 .38831 L
.49514 .38646 L
Mfstroke
.017 .983 .6 r
.48543 .43621 m
.49514 .43234 L
.50486 .43234 L
.51457 .43621 L
.51579 .43687 L
.52428 .4447 L
.52587 .44658 L
.53201 .45629 L
.53399 .46064 L
.53611 .46601 L
.53897 .47572 L
.54074 .48543 L
.5416 .49514 L
.5416 .50486 L
.54074 .51457 L
.53897 .52428 L
.53611 .53399 L
.53399 .53936 L
.53201 .54371 L
.52587 .55342 L
.52428 .5553 L
.51579 .56313 L
.51457 .56379 L
.50486 .56766 L
.49514 .56766 L
.48543 .56379 L
.48421 .56313 L
.47572 .5553 L
.47413 .55342 L
.46799 .54371 L
.46601 .53936 L
.46389 .53399 L
.46103 .52428 L
.45926 .51457 L
.4584 .50486 L
.4584 .49514 L
.45926 .48543 L
.46103 .47572 L
.46389 .46601 L
.46601 .46064 L
.46799 .45629 L
.47413 .44658 L
.47572 .4447 L
.48421 .43687 L
F
0 g
.48543 .43621 m
.49514 .43234 L
.50486 .43234 L
.51457 .43621 L
.51579 .43687 L
.52428 .4447 L
.52587 .44658 L
.53201 .45629 L
.53399 .46064 L
.53611 .46601 L
.53897 .47572 L
.54074 .48543 L
.5416 .49514 L
.5416 .50486 L
.54074 .51457 L
.53897 .52428 L
.53611 .53399 L
.53399 .53936 L
.53201 .54371 L
.52587 .55342 L
.52428 .5553 L
.51579 .56313 L
.51457 .56379 L
.50486 .56766 L
.49514 .56766 L
.48543 .56379 L
.48421 .56313 L
.47572 .5553 L
.47413 .55342 L
.46799 .54371 L
.46601 .53936 L
.46389 .53399 L
.46103 .52428 L
.45926 .51457 L
.4584 .50486 L
.4584 .49514 L
.45926 .48543 L
.46103 .47572 L
.46389 .46601 L
.46601 .46064 L
.46799 .45629 L
.47413 .44658 L
.47572 .4447 L
.48421 .43687 L
.48543 .43621 L
s
.5 .5 .6 r
.54858 .98077 m
.55342 .97941 L
.56313 .9763 L
.57284 .97268 L
.5768 .97106 L
.58256 .96855 L
.59227 .96391 L
.59725 .96134 L
.60198 .95878 L
.61169 .95314 L
.61416 .95163 L
.62141 .94701 L
.62895 .94192 L
.63112 .9404 L
.64083 .9333 L
.64227 .93221 L
.65054 .92572 L
.6545 .92249 L
.66026 .91766 L
.66588 .91278 L
.66997 .90914 L
.67659 .90307 L
.67968 .90016 L
.68672 .89336 L
.68939 .89071 L
.69638 .88364 L
.69911 .88082 L
.70562 .87393 L
.70882 .87048 L
.71451 .86422 L
.71853 .8597 L
.72307 .85451 L
.72824 .84848 L
.73136 .84479 L
.73796 .83683 L
.73938 .83508 L
.74718 .82537 L
.74767 .82475 L
.75476 .81566 L
.75738 .81224 L
.76215 .80594 L
.76709 .7993 L
.76935 .79623 L
.77639 .78652 L
.77681 .78593 L
.78326 .77681 L
.78652 .77213 L
.78998 .76709 L
.79623 .75787 L
.79656 .75738 L
.803 .74767 L
.80594 .74316 L
.8093 .73796 L
.81548 .72824 L
.81566 .72796 L
.82152 .71853 L
.82537 .71223 L
.82743 .70882 L
.83321 .69911 L
.83508 .69592 L
.83887 .68939 L
.84439 .67968 L
.84479 .67896 L
.84977 .66997 L
.85451 .66119 L
.85501 .66026 L
.86009 .65054 L
.86422 .64243 L
.86502 .64083 L
.86977 .63112 L
.87393 .6223 L
.87434 .62141 L
.87871 .61169 L
.88286 .60198 L
.88364 .60008 L
.88676 .59227 L
.8904 .58256 L
.89336 .57405 L
.89375 .57284 L
.89678 .56313 L
.89945 .55342 L
.90174 .54371 L
.90307 .53715 L
.90362 .53399 L
.90505 .52428 L
.90602 .51457 L
.90651 .50486 L
.90651 .49514 L
.90602 .48543 L
.90505 .47572 L
.90362 .46601 L
.90307 .46285 L
.90174 .45629 L
.89945 .44658 L
.89678 .43687 L
.89375 .42716 L
.89336 .42595 L
.8904 .41744 L
.88676 .40773 L
.88364 .39992 L
.88286 .39802 L
.87871 .38831 L
.87434 .37859 L
.87393 .3777 L
.86977 .36888 L
.86502 .35917 L
.86422 .35757 L
.86009 .34946 L
.85501 .33974 L
.85451 .33881 L
.84977 .33003 L
.84479 .32104 L
.84439 .32032 L
.83887 .31061 L
.83508 .30408 L
.83321 .30089 L
.82743 .29118 L
.82537 .28777 L
.82152 .28147 L
.81566 .27204 L
.81548 .27176 L
.8093 .26204 L
.80594 .25684 L
.803 .25233 L
.79656 .24262 L
.79623 .24213 L
.78998 .23291 L
.78652 .22787 L
.78326 .22319 L
.77681 .21407 L
.77639 .21348 L
.76935 .20377 L
.76709 .2007 L
.76215 .19406 L
.75738 .18776 L
.75476 .18434 L
.74767 .17525 L
.74718 .17463 L
.73938 .16492 L
.73796 .16317 L
.73136 .15521 L
.72824 .15152 L
.72307 .14549 L
.71853 .1403 L
.71451 .13578 L
.70882 .12952 L
.70562 .12607 L
.69911 .11918 L
.69638 .11636 L
.68939 .10929 L
.68672 .10664 L
.67968 .09984 L
.67659 .09693 L
.66997 .09086 L
.66588 .08722 L
.66026 .08234 L
.6545 .07751 L
.65054 .07428 L
.64227 .06779 L
.64083 .0667 L
.63112 .0596 L
.62895 .05808 L
.62141 .05299 L
.61416 .04837 L
.61169 .04686 L
.60198 .04122 L
.59725 .03866 L
.59227 .03609 L
.58256 .03145 L
.5768 .02894 L
.57284 .02732 L
.56313 .0237 L
.55342 .02059 L
.54858 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.54858 .98077 m
.55342 .97941 L
.56313 .9763 L
.57284 .97268 L
.5768 .97106 L
.58256 .96855 L
.59227 .96391 L
.59725 .96134 L
.60198 .95878 L
.61169 .95314 L
.61416 .95163 L
.62141 .94701 L
.62895 .94192 L
.63112 .9404 L
.64083 .9333 L
.64227 .93221 L
.65054 .92572 L
.6545 .92249 L
.66026 .91766 L
.66588 .91278 L
.66997 .90914 L
.67659 .90307 L
.67968 .90016 L
.68672 .89336 L
.68939 .89071 L
.69638 .88364 L
.69911 .88082 L
.70562 .87393 L
.70882 .87048 L
.71451 .86422 L
.71853 .8597 L
.72307 .85451 L
.72824 .84848 L
.73136 .84479 L
.73796 .83683 L
.73938 .83508 L
.74718 .82537 L
.74767 .82475 L
.75476 .81566 L
.75738 .81224 L
.76215 .80594 L
.76709 .7993 L
.76935 .79623 L
.77639 .78652 L
.77681 .78593 L
.78326 .77681 L
.78652 .77213 L
.78998 .76709 L
.79623 .75787 L
.79656 .75738 L
Mistroke
.803 .74767 L
.80594 .74316 L
.8093 .73796 L
.81548 .72824 L
.81566 .72796 L
.82152 .71853 L
.82537 .71223 L
.82743 .70882 L
.83321 .69911 L
.83508 .69592 L
.83887 .68939 L
.84439 .67968 L
.84479 .67896 L
.84977 .66997 L
.85451 .66119 L
.85501 .66026 L
.86009 .65054 L
.86422 .64243 L
.86502 .64083 L
.86977 .63112 L
.87393 .6223 L
.87434 .62141 L
.87871 .61169 L
.88286 .60198 L
.88364 .60008 L
.88676 .59227 L
.8904 .58256 L
.89336 .57405 L
.89375 .57284 L
.89678 .56313 L
.89945 .55342 L
.90174 .54371 L
.90307 .53715 L
.90362 .53399 L
.90505 .52428 L
.90602 .51457 L
.90651 .50486 L
.90651 .49514 L
.90602 .48543 L
.90505 .47572 L
.90362 .46601 L
.90307 .46285 L
.90174 .45629 L
.89945 .44658 L
.89678 .43687 L
.89375 .42716 L
.89336 .42595 L
.8904 .41744 L
.88676 .40773 L
.88364 .39992 L
Mistroke
.88286 .39802 L
.87871 .38831 L
.87434 .37859 L
.87393 .3777 L
.86977 .36888 L
.86502 .35917 L
.86422 .35757 L
.86009 .34946 L
.85501 .33974 L
.85451 .33881 L
.84977 .33003 L
.84479 .32104 L
.84439 .32032 L
.83887 .31061 L
.83508 .30408 L
.83321 .30089 L
.82743 .29118 L
.82537 .28777 L
.82152 .28147 L
.81566 .27204 L
.81548 .27176 L
.8093 .26204 L
.80594 .25684 L
.803 .25233 L
.79656 .24262 L
.79623 .24213 L
.78998 .23291 L
.78652 .22787 L
.78326 .22319 L
.77681 .21407 L
.77639 .21348 L
.76935 .20377 L
.76709 .2007 L
.76215 .19406 L
.75738 .18776 L
.75476 .18434 L
.74767 .17525 L
.74718 .17463 L
.73938 .16492 L
.73796 .16317 L
.73136 .15521 L
.72824 .15152 L
.72307 .14549 L
.71853 .1403 L
.71451 .13578 L
.70882 .12952 L
.70562 .12607 L
.69911 .11918 L
.69638 .11636 L
.68939 .10929 L
Mistroke
.68672 .10664 L
.67968 .09984 L
.67659 .09693 L
.66997 .09086 L
.66588 .08722 L
.66026 .08234 L
.6545 .07751 L
.65054 .07428 L
.64227 .06779 L
.64083 .0667 L
.63112 .0596 L
.62895 .05808 L
.62141 .05299 L
.61416 .04837 L
.61169 .04686 L
.60198 .04122 L
.59725 .03866 L
.59227 .03609 L
.58256 .03145 L
.5768 .02894 L
.57284 .02732 L
.56313 .0237 L
.55342 .02059 L
.54858 .01923 L
Mfstroke
.517 .483 .6 r
.57442 .98077 m
.58256 .97734 L
.59227 .97279 L
.59572 .97106 L
.60198 .96775 L
.61169 .96222 L
.61317 .96134 L
.62141 .95622 L
.62835 .95163 L
.63112 .94974 L
.64083 .94279 L
.642 .94192 L
.65054 .93537 L
.65452 .93221 L
.66026 .9275 L
.66616 .92249 L
.66997 .91918 L
.6771 .91278 L
.67968 .91041 L
.68747 .90307 L
.68939 .90121 L
.69735 .89336 L
.69911 .89158 L
.70681 .88364 L
.70882 .88154 L
.71592 .87393 L
.71853 .87108 L
.7247 .86422 L
.72824 .86021 L
.73321 .85451 L
.73796 .84895 L
.74146 .84479 L
.74767 .83731 L
.74949 .83508 L
.75731 .82537 L
.75738 .82528 L
.76495 .81566 L
.76709 .81288 L
.77241 .80594 L
.77681 .80012 L
.77971 .79623 L
.78652 .787 L
.78687 .78652 L
.79389 .77681 L
.79623 .77352 L
.80077 .76709 L
.80594 .75969 L
.80754 .75738 L
.8142 .74767 L
.81566 .74552 L
.82074 .73796 L
.82537 .73099 L
.82718 .72824 L
.83351 .71853 L
.83508 .7161 L
.83975 .70882 L
.84479 .70085 L
.84589 .69911 L
.85193 .68939 L
.85451 .6852 L
.85787 .67968 L
.86371 .66997 L
.86422 .66912 L
.86945 .66026 L
.87393 .65255 L
.87508 .65054 L
.8806 .64083 L
.88364 .63539 L
.886 .63112 L
.89126 .62141 L
.89336 .61746 L
.89637 .61169 L
.90131 .60198 L
.90307 .59844 L
.90606 .59227 L
.91058 .58256 L
.91278 .57764 L
.91484 .57284 L
.91879 .56313 L
.92239 .55342 L
.92249 .55313 L
.92554 .54371 L
.92819 .53399 L
.93028 .52428 L
.93172 .51457 L
.93221 .50942 L
.93246 .50486 L
.93246 .49514 L
.93221 .49058 L
.93172 .48543 L
.93028 .47572 L
.92819 .46601 L
.92554 .45629 L
.92249 .44687 L
.92239 .44658 L
.91879 .43687 L
.91484 .42716 L
.91278 .42236 L
.91058 .41744 L
.90606 .40773 L
.90307 .40156 L
.90131 .39802 L
.89637 .38831 L
.89336 .38254 L
.89126 .37859 L
.886 .36888 L
.88364 .36461 L
.8806 .35917 L
.87508 .34946 L
.87393 .34745 L
.86945 .33974 L
.86422 .33088 L
.86371 .33003 L
.85787 .32032 L
.85451 .3148 L
.85193 .31061 L
.84589 .30089 L
.84479 .29915 L
.83975 .29118 L
.83508 .2839 L
.83351 .28147 L
.82718 .27176 L
.82537 .26901 L
.82074 .26204 L
.81566 .25448 L
.8142 .25233 L
.80754 .24262 L
.80594 .24031 L
.80077 .23291 L
.79623 .22648 L
.79389 .22319 L
.78687 .21348 L
.78652 .213 L
.77971 .20377 L
.77681 .19988 L
.77241 .19406 L
.76709 .18712 L
.76495 .18434 L
.75738 .17472 L
.75731 .17463 L
.74949 .16492 L
.74767 .16269 L
.74146 .15521 L
.73796 .15105 L
.73321 .14549 L
.72824 .13979 L
.7247 .13578 L
.71853 .12892 L
.71592 .12607 L
.70882 .11846 L
.70681 .11636 L
.69911 .10842 L
.69735 .10664 L
.68939 .09879 L
.68747 .09693 L
.67968 .08959 L
.6771 .08722 L
.66997 .08082 L
.66616 .07751 L
.66026 .0725 L
.65452 .06779 L
.65054 .06463 L
.642 .05808 L
.64083 .05721 L
.63112 .05026 L
.62835 .04837 L
.62141 .04378 L
.61317 .03866 L
.61169 .03778 L
.60198 .03225 L
.59572 .02894 L
.59227 .02721 L
.58256 .02266 L
.57442 .01923 L
.98077 .01923 L
.98077 .98077 L
F
0 g
.57442 .98077 m
.58256 .97734 L
.59227 .97279 L
.59572 .97106 L
.60198 .96775 L
.61169 .96222 L
.61317 .96134 L
.62141 .95622 L
.62835 .95163 L
.63112 .94974 L
.64083 .94279 L
.642 .94192 L
.65054 .93537 L
.65452 .93221 L
.66026 .9275 L
.66616 .92249 L
.66997 .91918 L
.6771 .91278 L
.67968 .91041 L
.68747 .90307 L
.68939 .90121 L
.69735 .89336 L
.69911 .89158 L
.70681 .88364 L
.70882 .88154 L
.71592 .87393 L
.71853 .87108 L
.7247 .86422 L
.72824 .86021 L
.73321 .85451 L
.73796 .84895 L
.74146 .84479 L
.74767 .83731 L
.74949 .83508 L
.75731 .82537 L
.75738 .82528 L
.76495 .81566 L
.76709 .81288 L
.77241 .80594 L
.77681 .80012 L
.77971 .79623 L
.78652 .787 L
.78687 .78652 L
.79389 .77681 L
.79623 .77352 L
.80077 .76709 L
.80594 .75969 L
.80754 .75738 L
.8142 .74767 L
.81566 .74552 L
Mistroke
.82074 .73796 L
.82537 .73099 L
.82718 .72824 L
.83351 .71853 L
.83508 .7161 L
.83975 .70882 L
.84479 .70085 L
.84589 .69911 L
.85193 .68939 L
.85451 .6852 L
.85787 .67968 L
.86371 .66997 L
.86422 .66912 L
.86945 .66026 L
.87393 .65255 L
.87508 .65054 L
.8806 .64083 L
.88364 .63539 L
.886 .63112 L
.89126 .62141 L
.89336 .61746 L
.89637 .61169 L
.90131 .60198 L
.90307 .59844 L
.90606 .59227 L
.91058 .58256 L
.91278 .57764 L
.91484 .57284 L
.91879 .56313 L
.92239 .55342 L
.92249 .55313 L
.92554 .54371 L
.92819 .53399 L
.93028 .52428 L
.93172 .51457 L
.93221 .50942 L
.93246 .50486 L
.93246 .49514 L
.93221 .49058 L
.93172 .48543 L
.93028 .47572 L
.92819 .46601 L
.92554 .45629 L
.92249 .44687 L
.92239 .44658 L
.91879 .43687 L
.91484 .42716 L
.91278 .42236 L
.91058 .41744 L
.90606 .40773 L
Mistroke
.90307 .40156 L
.90131 .39802 L
.89637 .38831 L
.89336 .38254 L
.89126 .37859 L
.886 .36888 L
.88364 .36461 L
.8806 .35917 L
.87508 .34946 L
.87393 .34745 L
.86945 .33974 L
.86422 .33088 L
.86371 .33003 L
.85787 .32032 L
.85451 .3148 L
.85193 .31061 L
.84589 .30089 L
.84479 .29915 L
.83975 .29118 L
.83508 .2839 L
.83351 .28147 L
.82718 .27176 L
.82537 .26901 L
.82074 .26204 L
.81566 .25448 L
.8142 .25233 L
.80754 .24262 L
.80594 .24031 L
.80077 .23291 L
.79623 .22648 L
.79389 .22319 L
.78687 .21348 L
.78652 .213 L
.77971 .20377 L
.77681 .19988 L
.77241 .19406 L
.76709 .18712 L
.76495 .18434 L
.75738 .17472 L
.75731 .17463 L
.74949 .16492 L
.74767 .16269 L
.74146 .15521 L
.73796 .15105 L
.73321 .14549 L
.72824 .13979 L
.7247 .13578 L
.71853 .12892 L
.71592 .12607 L
.70882 .11846 L
Mistroke
.70681 .11636 L
.69911 .10842 L
.69735 .10664 L
.68939 .09879 L
.68747 .09693 L
.67968 .08959 L
.6771 .08722 L
.66997 .08082 L
.66616 .07751 L
.66026 .0725 L
.65452 .06779 L
.65054 .06463 L
.642 .05808 L
.64083 .05721 L
.63112 .05026 L
.62835 .04837 L
.62141 .04378 L
.61317 .03866 L
.61169 .03778 L
.60198 .03225 L
.59572 .02894 L
.59227 .02721 L
.58256 .02266 L
.57442 .01923 L
Mfstroke
.533 .467 .6 r
.98077 .45401 m
.97106 .45132 L
.96417 .44658 L
.96134 .44407 L
.95413 .43687 L
.95163 .43374 L
.94615 .42716 L
.94192 .42157 L
.93879 .41744 L
.93221 .40833 L
.93177 .40773 L
.92494 .39802 L
.92249 .39447 L
.91825 .38831 L
.91278 .38024 L
.91166 .37859 L
.90512 .36888 L
.90307 .36582 L
.89861 .35917 L
.89336 .3513 L
.89212 .34946 L
.88563 .33974 L
.88364 .33677 L
.87913 .33003 L
.87393 .32228 L
.87261 .32032 L
.86607 .31061 L
.86422 .30787 L
.85949 .30089 L
.85451 .29357 L
.85287 .29118 L
.8462 .28147 L
.84479 .27943 L
.83948 .27176 L
.83508 .26545 L
.83269 .26204 L
.82584 .25233 L
.82537 .25167 L
.81891 .24262 L
.81566 .2381 L
.81189 .23291 L
.80594 .22477 L
.80479 .22319 L
.79758 .21348 L
.79623 .21168 L
.79026 .20377 L
.78652 .19887 L
.78282 .19406 L
.77681 .18634 L
.77524 .18434 L
.76752 .17463 L
.76709 .1741 L
.75963 .16492 L
.75738 .16218 L
.75157 .15521 L
.74767 .15059 L
.74331 .14549 L
.73796 .13933 L
.73483 .13578 L
.72824 .12843 L
.7261 .12607 L
.71853 .11789 L
.71709 .11636 L
.70882 .10772 L
.70777 .10664 L
.69911 .09794 L
.69808 .09693 L
.68939 .08856 L
.68797 .08722 L
.67968 .07958 L
.67737 .07751 L
.66997 .07102 L
.66618 .06779 L
.66026 .06289 L
.65426 .05808 L
.65054 .05518 L
.64144 .04837 L
.64083 .04792 L
.63112 .04111 L
.62745 .03866 L
.62141 .03476 L
.61182 .02894 L
.61169 .02887 L
.60198 .02345 L
.59377 .01923 L
.98077 .01923 L
F
0 g
.98077 .45401 m
.97106 .45132 L
.96417 .44658 L
.96134 .44407 L
.95413 .43687 L
.95163 .43374 L
.94615 .42716 L
.94192 .42157 L
.93879 .41744 L
.93221 .40833 L
.93177 .40773 L
.92494 .39802 L
.92249 .39447 L
.91825 .38831 L
.91278 .38024 L
.91166 .37859 L
.90512 .36888 L
.90307 .36582 L
.89861 .35917 L
.89336 .3513 L
.89212 .34946 L
.88563 .33974 L
.88364 .33677 L
.87913 .33003 L
.87393 .32228 L
.87261 .32032 L
.86607 .31061 L
.86422 .30787 L
.85949 .30089 L
.85451 .29357 L
.85287 .29118 L
.8462 .28147 L
.84479 .27943 L
.83948 .27176 L
.83508 .26545 L
.83269 .26204 L
.82584 .25233 L
.82537 .25167 L
.81891 .24262 L
.81566 .2381 L
.81189 .23291 L
.80594 .22477 L
.80479 .22319 L
.79758 .21348 L
.79623 .21168 L
.79026 .20377 L
.78652 .19887 L
.78282 .19406 L
.77681 .18634 L
.77524 .18434 L
Mistroke
.76752 .17463 L
.76709 .1741 L
.75963 .16492 L
.75738 .16218 L
.75157 .15521 L
.74767 .15059 L
.74331 .14549 L
.73796 .13933 L
.73483 .13578 L
.72824 .12843 L
.7261 .12607 L
.71853 .11789 L
.71709 .11636 L
.70882 .10772 L
.70777 .10664 L
.69911 .09794 L
.69808 .09693 L
.68939 .08856 L
.68797 .08722 L
.67968 .07958 L
.67737 .07751 L
.66997 .07102 L
.66618 .06779 L
.66026 .06289 L
.65426 .05808 L
.65054 .05518 L
.64144 .04837 L
.64083 .04792 L
.63112 .04111 L
.62745 .03866 L
.62141 .03476 L
.61182 .02894 L
.61169 .02887 L
.60198 .02345 L
.59377 .01923 L
Mfstroke
.533 .467 .6 r
.98077 .54599 m
.97106 .54868 L
.96417 .55342 L
.96134 .55593 L
.95413 .56313 L
.95163 .56626 L
.94615 .57284 L
.94192 .57843 L
.93879 .58256 L
.93221 .59167 L
.93177 .59227 L
.92494 .60198 L
.92249 .60553 L
.91825 .61169 L
.91278 .61976 L
.91166 .62141 L
.90512 .63112 L
.90307 .63418 L
.89861 .64083 L
.89336 .6487 L
.89212 .65054 L
.88563 .66026 L
.88364 .66323 L
.87913 .66997 L
.87393 .67772 L
.87261 .67968 L
.86607 .68939 L
.86422 .69213 L
.85949 .69911 L
.85451 .70643 L
.85287 .70882 L
.8462 .71853 L
.84479 .72057 L
.83948 .72824 L
.83508 .73455 L
.83269 .73796 L
.82584 .74767 L
.82537 .74833 L
.81891 .75738 L
.81566 .7619 L
.81189 .76709 L
.80594 .77523 L
.80479 .77681 L
.79758 .78652 L
.79623 .78832 L
.79026 .79623 L
.78652 .80113 L
.78282 .80594 L
.77681 .81366 L
.77524 .81566 L
.76752 .82537 L
.76709 .8259 L
.75963 .83508 L
.75738 .83782 L
.75157 .84479 L
.74767 .84941 L
.74331 .85451 L
.73796 .86067 L
.73483 .86422 L
.72824 .87157 L
.7261 .87393 L
.71853 .88211 L
.71709 .88364 L
.70882 .89228 L
.70777 .89336 L
.69911 .90206 L
.69808 .90307 L
.68939 .91144 L
.68797 .91278 L
.67968 .92042 L
.67737 .92249 L
.66997 .92898 L
.66618 .93221 L
.66026 .93711 L
.65426 .94192 L
.65054 .94482 L
.64144 .95163 L
.64083 .95208 L
.63112 .95889 L
.62745 .96134 L
.62141 .96524 L
.61182 .97106 L
.61169 .97113 L
.60198 .97655 L
.59377 .98077 L
.98077 .98077 L
F
0 g
.98077 .54599 m
.97106 .54868 L
.96417 .55342 L
.96134 .55593 L
.95413 .56313 L
.95163 .56626 L
.94615 .57284 L
.94192 .57843 L
.93879 .58256 L
.93221 .59167 L
.93177 .59227 L
.92494 .60198 L
.92249 .60553 L
.91825 .61169 L
.91278 .61976 L
.91166 .62141 L
.90512 .63112 L
.90307 .63418 L
.89861 .64083 L
.89336 .6487 L
.89212 .65054 L
.88563 .66026 L
.88364 .66323 L
.87913 .66997 L
.87393 .67772 L
.87261 .67968 L
.86607 .68939 L
.86422 .69213 L
.85949 .69911 L
.85451 .70643 L
.85287 .70882 L
.8462 .71853 L
.84479 .72057 L
.83948 .72824 L
.83508 .73455 L
.83269 .73796 L
.82584 .74767 L
.82537 .74833 L
.81891 .75738 L
.81566 .7619 L
.81189 .76709 L
.80594 .77523 L
.80479 .77681 L
.79758 .78652 L
.79623 .78832 L
.79026 .79623 L
.78652 .80113 L
.78282 .80594 L
.77681 .81366 L
.77524 .81566 L
Mistroke
.76752 .82537 L
.76709 .8259 L
.75963 .83508 L
.75738 .83782 L
.75157 .84479 L
.74767 .84941 L
.74331 .85451 L
.73796 .86067 L
.73483 .86422 L
.72824 .87157 L
.7261 .87393 L
.71853 .88211 L
.71709 .88364 L
.70882 .89228 L
.70777 .89336 L
.69911 .90206 L
.69808 .90307 L
.68939 .91144 L
.68797 .91278 L
.67968 .92042 L
.67737 .92249 L
.66997 .92898 L
.66618 .93221 L
.66026 .93711 L
.65426 .94192 L
.65054 .94482 L
.64144 .95163 L
.64083 .95208 L
.63112 .95889 L
.62745 .96134 L
.62141 .96524 L
.61182 .97106 L
.61169 .97113 L
.60198 .97655 L
.59377 .98077 L
Mfstroke
.55 .45 .6 r
.98077 .39789 m
.97106 .39665 L
.96134 .39304 L
.95299 .38831 L
.95163 .38729 L
.94192 .37973 L
.94059 .37859 L
.93221 .37071 L
.93038 .36888 L
.92249 .36053 L
.92125 .35917 L
.91278 .34948 L
.91276 .34946 L
.90467 .33974 L
.90307 .33777 L
.89686 .33003 L
.89336 .32557 L
.88926 .32032 L
.88364 .31303 L
.88179 .31061 L
.87441 .30089 L
.87393 .30025 L
.8671 .29118 L
.86422 .28733 L
.85983 .28147 L
.85451 .27433 L
.85258 .27176 L
.84533 .26204 L
.84479 .26132 L
.83807 .25233 L
.83508 .24835 L
.83077 .24262 L
.82537 .23546 L
.82344 .23291 L
.81605 .22319 L
.81566 .22268 L
.80859 .21348 L
.80594 .21006 L
.80106 .20377 L
.79623 .19761 L
.79343 .19406 L
.78652 .18537 L
.7857 .18434 L
.77785 .17463 L
.77681 .17335 L
.76987 .16492 L
.76709 .16159 L
.76173 .15521 L
.75738 .15009 L
.75343 .14549 L
.74767 .13889 L
.74493 .13578 L
.73796 .12798 L
.73622 .12607 L
.72824 .1174 L
.72727 .11636 L
.71853 .10716 L
.71804 .10664 L
.70882 .09726 L
.70849 .09693 L
.69911 .08773 L
.69857 .08722 L
.68939 .07858 L
.68823 .07751 L
.67968 .06981 L
.67739 .06779 L
.66997 .06144 L
.66594 .05808 L
.66026 .05348 L
.65374 .04837 L
.65054 .04593 L
.64083 .03882 L
.6406 .03866 L
.63112 .03214 L
.62622 .02894 L
.62141 .02591 L
.61169 .02013 L
.61012 .01923 L
.98077 .01923 L
F
0 g
.98077 .39789 m
.97106 .39665 L
.96134 .39304 L
.95299 .38831 L
.95163 .38729 L
.94192 .37973 L
.94059 .37859 L
.93221 .37071 L
.93038 .36888 L
.92249 .36053 L
.92125 .35917 L
.91278 .34948 L
.91276 .34946 L
.90467 .33974 L
.90307 .33777 L
.89686 .33003 L
.89336 .32557 L
.88926 .32032 L
.88364 .31303 L
.88179 .31061 L
.87441 .30089 L
.87393 .30025 L
.8671 .29118 L
.86422 .28733 L
.85983 .28147 L
.85451 .27433 L
.85258 .27176 L
.84533 .26204 L
.84479 .26132 L
.83807 .25233 L
.83508 .24835 L
.83077 .24262 L
.82537 .23546 L
.82344 .23291 L
.81605 .22319 L
.81566 .22268 L
.80859 .21348 L
.80594 .21006 L
.80106 .20377 L
.79623 .19761 L
.79343 .19406 L
.78652 .18537 L
.7857 .18434 L
.77785 .17463 L
.77681 .17335 L
.76987 .16492 L
.76709 .16159 L
.76173 .15521 L
.75738 .15009 L
.75343 .14549 L
Mistroke
.74767 .13889 L
.74493 .13578 L
.73796 .12798 L
.73622 .12607 L
.72824 .1174 L
.72727 .11636 L
.71853 .10716 L
.71804 .10664 L
.70882 .09726 L
.70849 .09693 L
.69911 .08773 L
.69857 .08722 L
.68939 .07858 L
.68823 .07751 L
.67968 .06981 L
.67739 .06779 L
.66997 .06144 L
.66594 .05808 L
.66026 .05348 L
.65374 .04837 L
.65054 .04593 L
.64083 .03882 L
.6406 .03866 L
.63112 .03214 L
.62622 .02894 L
.62141 .02591 L
.61169 .02013 L
.61012 .01923 L
Mfstroke
.55 .45 .6 r
.98077 .60211 m
.97106 .60335 L
.96134 .60696 L
.95299 .61169 L
.95163 .61271 L
.94192 .62027 L
.94059 .62141 L
.93221 .62929 L
.93038 .63112 L
.92249 .63947 L
.92125 .64083 L
.91278 .65052 L
.91276 .65054 L
.90467 .66026 L
.90307 .66223 L
.89686 .66997 L
.89336 .67443 L
.88926 .67968 L
.88364 .68697 L
.88179 .68939 L
.87441 .69911 L
.87393 .69975 L
.8671 .70882 L
.86422 .71267 L
.85983 .71853 L
.85451 .72567 L
.85258 .72824 L
.84533 .73796 L
.84479 .73868 L
.83807 .74767 L
.83508 .75165 L
.83077 .75738 L
.82537 .76454 L
.82344 .76709 L
.81605 .77681 L
.81566 .77732 L
.80859 .78652 L
.80594 .78994 L
.80106 .79623 L
.79623 .80239 L
.79343 .80594 L
.78652 .81463 L
.7857 .81566 L
.77785 .82537 L
.77681 .82665 L
.76987 .83508 L
.76709 .83841 L
.76173 .84479 L
.75738 .84991 L
.75343 .85451 L
.74767 .86111 L
.74493 .86422 L
.73796 .87202 L
.73622 .87393 L
.72824 .8826 L
.72727 .88364 L
.71853 .89284 L
.71804 .89336 L
.70882 .90274 L
.70849 .90307 L
.69911 .91227 L
.69857 .91278 L
.68939 .92142 L
.68823 .92249 L
.67968 .93019 L
.67739 .93221 L
.66997 .93856 L
.66594 .94192 L
.66026 .94652 L
.65374 .95163 L
.65054 .95407 L
.64083 .96118 L
.6406 .96134 L
.63112 .96786 L
.62622 .97106 L
.62141 .97409 L
.61169 .97987 L
.61012 .98077 L
.98077 .98077 L
F
0 g
.98077 .60211 m
.97106 .60335 L
.96134 .60696 L
.95299 .61169 L
.95163 .61271 L
.94192 .62027 L
.94059 .62141 L
.93221 .62929 L
.93038 .63112 L
.92249 .63947 L
.92125 .64083 L
.91278 .65052 L
.91276 .65054 L
.90467 .66026 L
.90307 .66223 L
.89686 .66997 L
.89336 .67443 L
.88926 .67968 L
.88364 .68697 L
.88179 .68939 L
.87441 .69911 L
.87393 .69975 L
.8671 .70882 L
.86422 .71267 L
.85983 .71853 L
.85451 .72567 L
.85258 .72824 L
.84533 .73796 L
.84479 .73868 L
.83807 .74767 L
.83508 .75165 L
.83077 .75738 L
.82537 .76454 L
.82344 .76709 L
.81605 .77681 L
.81566 .77732 L
.80859 .78652 L
.80594 .78994 L
.80106 .79623 L
.79623 .80239 L
.79343 .80594 L
.78652 .81463 L
.7857 .81566 L
.77785 .82537 L
.77681 .82665 L
.76987 .83508 L
.76709 .83841 L
.76173 .84479 L
.75738 .84991 L
.75343 .85451 L
Mistroke
.74767 .86111 L
.74493 .86422 L
.73796 .87202 L
.73622 .87393 L
.72824 .8826 L
.72727 .88364 L
.71853 .89284 L
.71804 .89336 L
.70882 .90274 L
.70849 .90307 L
.69911 .91227 L
.69857 .91278 L
.68939 .92142 L
.68823 .92249 L
.67968 .93019 L
.67739 .93221 L
.66997 .93856 L
.66594 .94192 L
.66026 .94652 L
.65374 .95163 L
.65054 .95407 L
.64083 .96118 L
.6406 .96134 L
.63112 .96786 L
.62622 .97106 L
.62141 .97409 L
.61169 .97987 L
.61012 .98077 L
Mfstroke
.567 .433 .6 r
.98077 .3631 m
.97106 .36218 L
.96134 .35945 L
.96053 .35917 L
.95163 .35503 L
.94246 .34946 L
.94192 .34908 L
.93221 .34179 L
.92971 .33974 L
.92249 .33337 L
.91891 .33003 L
.91278 .32402 L
.90914 .32032 L
.90307 .3139 L
.90003 .31061 L
.89336 .30318 L
.89134 .30089 L
.88364 .29198 L
.88296 .29118 L
.8748 .28147 L
.87393 .28043 L
.86679 .27176 L
.86422 .26861 L
.85889 .26204 L
.85451 .25661 L
.85107 .25233 L
.84479 .2445 L
.84329 .24262 L
.83553 .23291 L
.83508 .23234 L
.82777 .22319 L
.82537 .22018 L
.82 .21348 L
.81566 .20808 L
.81218 .20377 L
.80594 .19606 L
.80432 .19406 L
.79638 .18434 L
.79623 .18416 L
.78836 .17463 L
.78652 .17242 L
.78023 .16492 L
.77681 .16086 L
.77199 .15521 L
.76709 .14952 L
.7636 .14549 L
.75738 .13841 L
.75505 .13578 L
.74767 .12755 L
.74632 .12607 L
.73796 .11697 L
.73738 .11636 L
.72824 .10669 L
.7282 .10664 L
.71875 .09693 L
.71853 .09671 L
.70897 .08722 L
.70882 .08707 L
.69911 .07777 L
.69883 .07751 L
.68939 .06882 L
.68825 .06779 L
.67968 .06025 L
.67715 .05808 L
.66997 .05206 L
.66543 .04837 L
.66026 .04426 L
.65294 .03866 L
.65054 .03687 L
.64083 .02989 L
.63946 .02894 L
.63112 .02334 L
.62468 .01923 L
.98077 .01923 L
F
0 g
.98077 .3631 m
.97106 .36218 L
.96134 .35945 L
.96053 .35917 L
.95163 .35503 L
.94246 .34946 L
.94192 .34908 L
.93221 .34179 L
.92971 .33974 L
.92249 .33337 L
.91891 .33003 L
.91278 .32402 L
.90914 .32032 L
.90307 .3139 L
.90003 .31061 L
.89336 .30318 L
.89134 .30089 L
.88364 .29198 L
.88296 .29118 L
.8748 .28147 L
.87393 .28043 L
.86679 .27176 L
.86422 .26861 L
.85889 .26204 L
.85451 .25661 L
.85107 .25233 L
.84479 .2445 L
.84329 .24262 L
.83553 .23291 L
.83508 .23234 L
.82777 .22319 L
.82537 .22018 L
.82 .21348 L
.81566 .20808 L
.81218 .20377 L
.80594 .19606 L
.80432 .19406 L
.79638 .18434 L
.79623 .18416 L
.78836 .17463 L
.78652 .17242 L
.78023 .16492 L
.77681 .16086 L
.77199 .15521 L
.76709 .14952 L
.7636 .14549 L
.75738 .13841 L
.75505 .13578 L
.74767 .12755 L
.74632 .12607 L
Mistroke
.73796 .11697 L
.73738 .11636 L
.72824 .10669 L
.7282 .10664 L
.71875 .09693 L
.71853 .09671 L
.70897 .08722 L
.70882 .08707 L
.69911 .07777 L
.69883 .07751 L
.68939 .06882 L
.68825 .06779 L
.67968 .06025 L
.67715 .05808 L
.66997 .05206 L
.66543 .04837 L
.66026 .04426 L
.65294 .03866 L
.65054 .03687 L
.64083 .02989 L
.63946 .02894 L
.63112 .02334 L
.62468 .01923 L
Mfstroke
.567 .433 .6 r
.98077 .6369 m
.97106 .63782 L
.96134 .64055 L
.96053 .64083 L
.95163 .64497 L
.94246 .65054 L
.94192 .65092 L
.93221 .65821 L
.92971 .66026 L
.92249 .66663 L
.91891 .66997 L
.91278 .67598 L
.90914 .67968 L
.90307 .6861 L
.90003 .68939 L
.89336 .69682 L
.89134 .69911 L
.88364 .70802 L
.88296 .70882 L
.8748 .71853 L
.87393 .71957 L
.86679 .72824 L
.86422 .73139 L
.85889 .73796 L
.85451 .74339 L
.85107 .74767 L
.84479 .7555 L
.84329 .75738 L
.83553 .76709 L
.83508 .76766 L
.82777 .77681 L
.82537 .77982 L
.82 .78652 L
.81566 .79192 L
.81218 .79623 L
.80594 .80394 L
.80432 .80594 L
.79638 .81566 L
.79623 .81584 L
.78836 .82537 L
.78652 .82758 L
.78023 .83508 L
.77681 .83914 L
.77199 .84479 L
.76709 .85048 L
.7636 .85451 L
.75738 .86159 L
.75505 .86422 L
.74767 .87245 L
.74632 .87393 L
.73796 .88303 L
.73738 .88364 L
.72824 .89331 L
.7282 .89336 L
.71875 .90307 L
.71853 .90329 L
.70897 .91278 L
.70882 .91293 L
.69911 .92223 L
.69883 .92249 L
.68939 .93118 L
.68825 .93221 L
.67968 .93975 L
.67715 .94192 L
.66997 .94794 L
.66543 .95163 L
.66026 .95574 L
.65294 .96134 L
.65054 .96313 L
.64083 .97011 L
.63946 .97106 L
.63112 .97666 L
.62468 .98077 L
.98077 .98077 L
F
0 g
.98077 .6369 m
.97106 .63782 L
.96134 .64055 L
.96053 .64083 L
.95163 .64497 L
.94246 .65054 L
.94192 .65092 L
.93221 .65821 L
.92971 .66026 L
.92249 .66663 L
.91891 .66997 L
.91278 .67598 L
.90914 .67968 L
.90307 .6861 L
.90003 .68939 L
.89336 .69682 L
.89134 .69911 L
.88364 .70802 L
.88296 .70882 L
.8748 .71853 L
.87393 .71957 L
.86679 .72824 L
.86422 .73139 L
.85889 .73796 L
.85451 .74339 L
.85107 .74767 L
.84479 .7555 L
.84329 .75738 L
.83553 .76709 L
.83508 .76766 L
.82777 .77681 L
.82537 .77982 L
.82 .78652 L
.81566 .79192 L
.81218 .79623 L
.80594 .80394 L
.80432 .80594 L
.79638 .81566 L
.79623 .81584 L
.78836 .82537 L
.78652 .82758 L
.78023 .83508 L
.77681 .83914 L
.77199 .84479 L
.76709 .85048 L
.7636 .85451 L
.75738 .86159 L
.75505 .86422 L
.74767 .87245 L
.74632 .87393 L
Mistroke
.73796 .88303 L
.73738 .88364 L
.72824 .89331 L
.7282 .89336 L
.71875 .90307 L
.71853 .90329 L
.70897 .91278 L
.70882 .91293 L
.69911 .92223 L
.69883 .92249 L
.68939 .93118 L
.68825 .93221 L
.67968 .93975 L
.67715 .94192 L
.66997 .94794 L
.66543 .95163 L
.66026 .95574 L
.65294 .96134 L
.65054 .96313 L
.64083 .97011 L
.63946 .97106 L
.63112 .97666 L
.62468 .98077 L
Mfstroke
.583 .417 .6 r
.98077 .33552 m
.97106 .33475 L
.96134 .33246 L
.95439 .33003 L
.95163 .32874 L
.94192 .32367 L
.93648 .32032 L
.93221 .3174 L
.92317 .31061 L
.92249 .31006 L
.91278 .3018 L
.91177 .30089 L
.90307 .29277 L
.90143 .29118 L
.89336 .28309 L
.89179 .28147 L
.88364 .27288 L
.8826 .27176 L
.87393 .26225 L
.87375 .26204 L
.86513 .25233 L
.86422 .25129 L
.85668 .24262 L
.85451 .24009 L
.84836 .23291 L
.84479 .22872 L
.84011 .22319 L
.83508 .21724 L
.83192 .21348 L
.82537 .2057 L
.82374 .20377 L
.81566 .19417 L
.81556 .19406 L
.80736 .18434 L
.80594 .18268 L
.79911 .17463 L
.79623 .17126 L
.79079 .16492 L
.78652 .15997 L
.78239 .15521 L
.77681 .14882 L
.77388 .14549 L
.76709 .13785 L
.76524 .13578 L
.75738 .12709 L
.75645 .12607 L
.74767 .11655 L
.74748 .11636 L
.73831 .10664 L
.73796 .10627 L
.72891 .09693 L
.72824 .09626 L
.71922 .08722 L
.71853 .08654 L
.70922 .07751 L
.70882 .07712 L
.69911 .06804 L
.69884 .06779 L
.68939 .05929 L
.68802 .05808 L
.67968 .0509 L
.67667 .04837 L
.66997 .04287 L
.66467 .03866 L
.66026 .03523 L
.65187 .02894 L
.65054 .02798 L
.64083 .02113 L
.63803 .01923 L
.98077 .01923 L
F
0 g
.98077 .33552 m
.97106 .33475 L
.96134 .33246 L
.95439 .33003 L
.95163 .32874 L
.94192 .32367 L
.93648 .32032 L
.93221 .3174 L
.92317 .31061 L
.92249 .31006 L
.91278 .3018 L
.91177 .30089 L
.90307 .29277 L
.90143 .29118 L
.89336 .28309 L
.89179 .28147 L
.88364 .27288 L
.8826 .27176 L
.87393 .26225 L
.87375 .26204 L
.86513 .25233 L
.86422 .25129 L
.85668 .24262 L
.85451 .24009 L
.84836 .23291 L
.84479 .22872 L
.84011 .22319 L
.83508 .21724 L
.83192 .21348 L
.82537 .2057 L
.82374 .20377 L
.81566 .19417 L
.81556 .19406 L
.80736 .18434 L
.80594 .18268 L
.79911 .17463 L
.79623 .17126 L
.79079 .16492 L
.78652 .15997 L
.78239 .15521 L
.77681 .14882 L
.77388 .14549 L
.76709 .13785 L
.76524 .13578 L
.75738 .12709 L
.75645 .12607 L
.74767 .11655 L
.74748 .11636 L
.73831 .10664 L
.73796 .10627 L
Mistroke
.72891 .09693 L
.72824 .09626 L
.71922 .08722 L
.71853 .08654 L
.70922 .07751 L
.70882 .07712 L
.69911 .06804 L
.69884 .06779 L
.68939 .05929 L
.68802 .05808 L
.67968 .0509 L
.67667 .04837 L
.66997 .04287 L
.66467 .03866 L
.66026 .03523 L
.65187 .02894 L
.65054 .02798 L
.64083 .02113 L
.63803 .01923 L
Mfstroke
.583 .417 .6 r
.98077 .66448 m
.97106 .66525 L
.96134 .66754 L
.95439 .66997 L
.95163 .67126 L
.94192 .67633 L
.93648 .67968 L
.93221 .6826 L
.92317 .68939 L
.92249 .68994 L
.91278 .6982 L
.91177 .69911 L
.90307 .70723 L
.90143 .70882 L
.89336 .71691 L
.89179 .71853 L
.88364 .72712 L
.8826 .72824 L
.87393 .73775 L
.87375 .73796 L
.86513 .74767 L
.86422 .74871 L
.85668 .75738 L
.85451 .75991 L
.84836 .76709 L
.84479 .77128 L
.84011 .77681 L
.83508 .78276 L
.83192 .78652 L
.82537 .7943 L
.82374 .79623 L
.81566 .80583 L
.81556 .80594 L
.80736 .81566 L
.80594 .81732 L
.79911 .82537 L
.79623 .82874 L
.79079 .83508 L
.78652 .84003 L
.78239 .84479 L
.77681 .85118 L
.77388 .85451 L
.76709 .86215 L
.76524 .86422 L
.75738 .87291 L
.75645 .87393 L
.74767 .88345 L
.74748 .88364 L
.73831 .89336 L
.73796 .89373 L
.72891 .90307 L
.72824 .90374 L
.71922 .91278 L
.71853 .91346 L
.70922 .92249 L
.70882 .92288 L
.69911 .93196 L
.69884 .93221 L
.68939 .94071 L
.68802 .94192 L
.67968 .9491 L
.67667 .95163 L
.66997 .95713 L
.66467 .96134 L
.66026 .96477 L
.65187 .97106 L
.65054 .97202 L
.64083 .97887 L
.63803 .98077 L
.98077 .98077 L
F
0 g
.98077 .66448 m
.97106 .66525 L
.96134 .66754 L
.95439 .66997 L
.95163 .67126 L
.94192 .67633 L
.93648 .67968 L
.93221 .6826 L
.92317 .68939 L
.92249 .68994 L
.91278 .6982 L
.91177 .69911 L
.90307 .70723 L
.90143 .70882 L
.89336 .71691 L
.89179 .71853 L
.88364 .72712 L
.8826 .72824 L
.87393 .73775 L
.87375 .73796 L
.86513 .74767 L
.86422 .74871 L
.85668 .75738 L
.85451 .75991 L
.84836 .76709 L
.84479 .77128 L
.84011 .77681 L
.83508 .78276 L
.83192 .78652 L
.82537 .7943 L
.82374 .79623 L
.81566 .80583 L
.81556 .80594 L
.80736 .81566 L
.80594 .81732 L
.79911 .82537 L
.79623 .82874 L
.79079 .83508 L
.78652 .84003 L
.78239 .84479 L
.77681 .85118 L
.77388 .85451 L
.76709 .86215 L
.76524 .86422 L
.75738 .87291 L
.75645 .87393 L
.74767 .88345 L
.74748 .88364 L
.73831 .89336 L
.73796 .89373 L
Mistroke
.72891 .90307 L
.72824 .90374 L
.71922 .91278 L
.71853 .91346 L
.70922 .92249 L
.70882 .92288 L
.69911 .93196 L
.69884 .93221 L
.68939 .94071 L
.68802 .94192 L
.67968 .9491 L
.67667 .95163 L
.66997 .95713 L
.66467 .96134 L
.66026 .96477 L
.65187 .97106 L
.65054 .97202 L
.64083 .97887 L
.63803 .98077 L
Mfstroke
.6 .4 .6 r
.98077 .31194 m
.97106 .31126 L
.96711 .31061 L
.96134 .30926 L
.95163 .30598 L
.94192 .30149 L
.94077 .30089 L
.93221 .2959 L
.92511 .29118 L
.92249 .28931 L
.91278 .28183 L
.91233 .28147 L
.90307 .27359 L
.901 .27176 L
.89336 .2647 L
.89057 .26204 L
.88364 .25526 L
.88073 .25233 L
.87393 .24536 L
.8713 .24262 L
.86422 .2351 L
.86217 .23291 L
.85451 .22456 L
.85326 .22319 L
.84479 .2138 L
.8445 .21348 L
.83585 .20377 L
.83508 .2029 L
.82727 .19406 L
.82537 .1919 L
.81872 .18434 L
.81566 .18087 L
.81017 .17463 L
.80594 .16983 L
.8016 .16492 L
.79623 .15885 L
.79299 .15521 L
.78652 .14795 L
.78431 .14549 L
.77681 .13718 L
.77554 .13578 L
.76709 .12655 L
.76665 .12607 L
.75762 .11636 L
.75738 .1161 L
.74842 .10664 L
.74767 .10586 L
.73902 .09693 L
.73796 .09585 L
.72938 .08722 L
.72824 .08609 L
.71947 .07751 L
.71853 .0766 L
.70924 .06779 L
.70882 .0674 L
.69911 .05852 L
.69862 .05808 L
.68939 .04996 L
.68755 .04837 L
.67968 .04173 L
.67593 .03866 L
.66997 .03387 L
.66364 .02894 L
.66026 .02637 L
.65054 .01925 L
.65051 .01923 L
.98077 .01923 L
F
0 g
.98077 .31194 m
.97106 .31126 L
.96711 .31061 L
.96134 .30926 L
.95163 .30598 L
.94192 .30149 L
.94077 .30089 L
.93221 .2959 L
.92511 .29118 L
.92249 .28931 L
.91278 .28183 L
.91233 .28147 L
.90307 .27359 L
.901 .27176 L
.89336 .2647 L
.89057 .26204 L
.88364 .25526 L
.88073 .25233 L
.87393 .24536 L
.8713 .24262 L
.86422 .2351 L
.86217 .23291 L
.85451 .22456 L
.85326 .22319 L
.84479 .2138 L
.8445 .21348 L
.83585 .20377 L
.83508 .2029 L
.82727 .19406 L
.82537 .1919 L
.81872 .18434 L
.81566 .18087 L
.81017 .17463 L
.80594 .16983 L
.8016 .16492 L
.79623 .15885 L
.79299 .15521 L
.78652 .14795 L
.78431 .14549 L
.77681 .13718 L
.77554 .13578 L
.76709 .12655 L
.76665 .12607 L
.75762 .11636 L
.75738 .1161 L
.74842 .10664 L
.74767 .10586 L
.73902 .09693 L
.73796 .09585 L
.72938 .08722 L
Mistroke
.72824 .08609 L
.71947 .07751 L
.71853 .0766 L
.70924 .06779 L
.70882 .0674 L
.69911 .05852 L
.69862 .05808 L
.68939 .04996 L
.68755 .04837 L
.67968 .04173 L
.67593 .03866 L
.66997 .03387 L
.66364 .02894 L
.66026 .02637 L
.65054 .01925 L
.65051 .01923 L
Mfstroke
.6 .4 .6 r
.98077 .68806 m
.97106 .68874 L
.96711 .68939 L
.96134 .69074 L
.95163 .69402 L
.94192 .69851 L
.94077 .69911 L
.93221 .7041 L
.92511 .70882 L
.92249 .71069 L
.91278 .71817 L
.91233 .71853 L
.90307 .72641 L
.901 .72824 L
.89336 .7353 L
.89057 .73796 L
.88364 .74474 L
.88073 .74767 L
.87393 .75464 L
.8713 .75738 L
.86422 .7649 L
.86217 .76709 L
.85451 .77544 L
.85326 .77681 L
.84479 .7862 L
.8445 .78652 L
.83585 .79623 L
.83508 .7971 L
.82727 .80594 L
.82537 .8081 L
.81872 .81566 L
.81566 .81913 L
.81017 .82537 L
.80594 .83017 L
.8016 .83508 L
.79623 .84115 L
.79299 .84479 L
.78652 .85205 L
.78431 .85451 L
.77681 .86282 L
.77554 .86422 L
.76709 .87345 L
.76665 .87393 L
.75762 .88364 L
.75738 .8839 L
.74842 .89336 L
.74767 .89414 L
.73902 .90307 L
.73796 .90415 L
.72938 .91278 L
.72824 .91391 L
.71947 .92249 L
.71853 .9234 L
.70924 .93221 L
.70882 .9326 L
.69911 .94148 L
.69862 .94192 L
.68939 .95004 L
.68755 .95163 L
.67968 .95827 L
.67593 .96134 L
.66997 .96613 L
.66364 .97106 L
.66026 .97363 L
.65054 .98075 L
.65051 .98077 L
.98077 .98077 L
F
0 g
.98077 .68806 m
.97106 .68874 L
.96711 .68939 L
.96134 .69074 L
.95163 .69402 L
.94192 .69851 L
.94077 .69911 L
.93221 .7041 L
.92511 .70882 L
.92249 .71069 L
.91278 .71817 L
.91233 .71853 L
.90307 .72641 L
.901 .72824 L
.89336 .7353 L
.89057 .73796 L
.88364 .74474 L
.88073 .74767 L
.87393 .75464 L
.8713 .75738 L
.86422 .7649 L
.86217 .76709 L
.85451 .77544 L
.85326 .77681 L
.84479 .7862 L
.8445 .78652 L
.83585 .79623 L
.83508 .7971 L
.82727 .80594 L
.82537 .8081 L
.81872 .81566 L
.81566 .81913 L
.81017 .82537 L
.80594 .83017 L
.8016 .83508 L
.79623 .84115 L
.79299 .84479 L
.78652 .85205 L
.78431 .85451 L
.77681 .86282 L
.77554 .86422 L
.76709 .87345 L
.76665 .87393 L
.75762 .88364 L
.75738 .8839 L
.74842 .89336 L
.74767 .89414 L
.73902 .90307 L
.73796 .90415 L
.72938 .91278 L
Mistroke
.72824 .91391 L
.71947 .92249 L
.71853 .9234 L
.70924 .93221 L
.70882 .9326 L
.69911 .94148 L
.69862 .94192 L
.68939 .95004 L
.68755 .95163 L
.67968 .95827 L
.67593 .96134 L
.66997 .96613 L
.66364 .97106 L
.66026 .97363 L
.65054 .98075 L
.65051 .98077 L
Mfstroke
.617 .383 .6 r
.98077 .291 m
.97106 .29039 L
.96134 .28859 L
.95163 .28562 L
.94192 .28155 L
.94174 .28147 L
.93221 .27646 L
.92451 .27176 L
.92249 .27042 L
.91278 .26355 L
.91079 .26204 L
.90307 .25592 L
.89876 .25233 L
.89336 .24765 L
.88775 .24262 L
.88364 .23882 L
.87741 .23291 L
.87393 .22953 L
.86753 .22319 L
.86422 .21985 L
.85799 .21348 L
.85451 .20986 L
.8487 .20377 L
.84479 .19963 L
.83957 .19406 L
.83508 .18922 L
.83057 .18434 L
.82537 .17869 L
.82164 .17463 L
.81566 .1681 L
.81275 .16492 L
.80594 .15748 L
.80387 .15521 L
.79623 .14688 L
.79496 .14549 L
.78652 .13634 L
.786 .13578 L
.77697 .12607 L
.77681 .1259 L
.76783 .11636 L
.76709 .11558 L
.75856 .10664 L
.75738 .10542 L
.74912 .09693 L
.74767 .09545 L
.73949 .08722 L
.73796 .08569 L
.72963 .07751 L
.72824 .07617 L
.71949 .06779 L
.71853 .06689 L
.70902 .05808 L
.70882 .0579 L
.69911 .0492 L
.69816 .04837 L
.68939 .04081 L
.68684 .03866 L
.67968 .03275 L
.67494 .02894 L
.66997 .02503 L
.66235 .01923 L
.98077 .01923 L
F
0 g
.98077 .291 m
.97106 .29039 L
.96134 .28859 L
.95163 .28562 L
.94192 .28155 L
.94174 .28147 L
.93221 .27646 L
.92451 .27176 L
.92249 .27042 L
.91278 .26355 L
.91079 .26204 L
.90307 .25592 L
.89876 .25233 L
.89336 .24765 L
.88775 .24262 L
.88364 .23882 L
.87741 .23291 L
.87393 .22953 L
.86753 .22319 L
.86422 .21985 L
.85799 .21348 L
.85451 .20986 L
.8487 .20377 L
.84479 .19963 L
.83957 .19406 L
.83508 .18922 L
.83057 .18434 L
.82537 .17869 L
.82164 .17463 L
.81566 .1681 L
.81275 .16492 L
.80594 .15748 L
.80387 .15521 L
.79623 .14688 L
.79496 .14549 L
.78652 .13634 L
.786 .13578 L
.77697 .12607 L
.77681 .1259 L
.76783 .11636 L
.76709 .11558 L
.75856 .10664 L
.75738 .10542 L
.74912 .09693 L
.74767 .09545 L
.73949 .08722 L
.73796 .08569 L
.72963 .07751 L
.72824 .07617 L
.71949 .06779 L
Mistroke
.71853 .06689 L
.70902 .05808 L
.70882 .0579 L
.69911 .0492 L
.69816 .04837 L
.68939 .04081 L
.68684 .03866 L
.67968 .03275 L
.67494 .02894 L
.66997 .02503 L
.66235 .01923 L
Mfstroke
.617 .383 .6 r
.98077 .709 m
.97106 .70961 L
.96134 .71141 L
.95163 .71438 L
.94192 .71845 L
.94174 .71853 L
.93221 .72354 L
.92451 .72824 L
.92249 .72958 L
.91278 .73645 L
.91079 .73796 L
.90307 .74408 L
.89876 .74767 L
.89336 .75235 L
.88775 .75738 L
.88364 .76118 L
.87741 .76709 L
.87393 .77047 L
.86753 .77681 L
.86422 .78015 L
.85799 .78652 L
.85451 .79014 L
.8487 .79623 L
.84479 .80037 L
.83957 .80594 L
.83508 .81078 L
.83057 .81566 L
.82537 .82131 L
.82164 .82537 L
.81566 .8319 L
.81275 .83508 L
.80594 .84252 L
.80387 .84479 L
.79623 .85312 L
.79496 .85451 L
.78652 .86366 L
.786 .86422 L
.77697 .87393 L
.77681 .8741 L
.76783 .88364 L
.76709 .88442 L
.75856 .89336 L
.75738 .89458 L
.74912 .90307 L
.74767 .90455 L
.73949 .91278 L
.73796 .91431 L
.72963 .92249 L
.72824 .92383 L
.71949 .93221 L
.71853 .93311 L
.70902 .94192 L
.70882 .9421 L
.69911 .9508 L
.69816 .95163 L
.68939 .95919 L
.68684 .96134 L
.67968 .96725 L
.67494 .97106 L
.66997 .97497 L
.66235 .98077 L
.98077 .98077 L
F
0 g
.98077 .709 m
.97106 .70961 L
.96134 .71141 L
.95163 .71438 L
.94192 .71845 L
.94174 .71853 L
.93221 .72354 L
.92451 .72824 L
.92249 .72958 L
.91278 .73645 L
.91079 .73796 L
.90307 .74408 L
.89876 .74767 L
.89336 .75235 L
.88775 .75738 L
.88364 .76118 L
.87741 .76709 L
.87393 .77047 L
.86753 .77681 L
.86422 .78015 L
.85799 .78652 L
.85451 .79014 L
.8487 .79623 L
.84479 .80037 L
.83957 .80594 L
.83508 .81078 L
.83057 .81566 L
.82537 .82131 L
.82164 .82537 L
.81566 .8319 L
.81275 .83508 L
.80594 .84252 L
.80387 .84479 L
.79623 .85312 L
.79496 .85451 L
.78652 .86366 L
.786 .86422 L
.77697 .87393 L
.77681 .8741 L
.76783 .88364 L
.76709 .88442 L
.75856 .89336 L
.75738 .89458 L
.74912 .90307 L
.74767 .90455 L
.73949 .91278 L
.73796 .91431 L
.72963 .92249 L
.72824 .92383 L
.71949 .93221 L
Mistroke
.71853 .93311 L
.70902 .94192 L
.70882 .9421 L
.69911 .9508 L
.69816 .95163 L
.68939 .95919 L
.68684 .96134 L
.67968 .96725 L
.67494 .97106 L
.66997 .97497 L
.66235 .98077 L
Mfstroke
.633 .367 .6 r
.98077 .27197 m
.97469 .27176 L
.97106 .27142 L
.96134 .26976 L
.95163 .26704 L
.94192 .26329 L
.93913 .26204 L
.93221 .25858 L
.92249 .25298 L
.92145 .25233 L
.91278 .24657 L
.90727 .24262 L
.90307 .23945 L
.89484 .23291 L
.89336 .23168 L
.88364 .22337 L
.88345 .22319 L
.87393 .21457 L
.87275 .21348 L
.86422 .20539 L
.86255 .20377 L
.85451 .19587 L
.85268 .19406 L
.84479 .1861 L
.84307 .18434 L
.83508 .17612 L
.83364 .17463 L
.82537 .16601 L
.82433 .16492 L
.81566 .1558 L
.81509 .15521 L
.80594 .14555 L
.80589 .14549 L
.79669 .13578 L
.79623 .1353 L
.78746 .12607 L
.78652 .12508 L
.77816 .11636 L
.77681 .11494 L
.76878 .10664 L
.76709 .10492 L
.75926 .09693 L
.75738 .09503 L
.7496 .08722 L
.74767 .0853 L
.73974 .07751 L
.73796 .07578 L
.72964 .06779 L
.72824 .06647 L
.71927 .05808 L
.71853 .0574 L
.70882 .0486 L
.70856 .04837 L
.69911 .04007 L
.69746 .03866 L
.68939 .03185 L
.68587 .02894 L
.67968 .02394 L
.6737 .01923 L
.98077 .01923 L
F
0 g
.98077 .27197 m
.97469 .27176 L
.97106 .27142 L
.96134 .26976 L
.95163 .26704 L
.94192 .26329 L
.93913 .26204 L
.93221 .25858 L
.92249 .25298 L
.92145 .25233 L
.91278 .24657 L
.90727 .24262 L
.90307 .23945 L
.89484 .23291 L
.89336 .23168 L
.88364 .22337 L
.88345 .22319 L
.87393 .21457 L
.87275 .21348 L
.86422 .20539 L
.86255 .20377 L
.85451 .19587 L
.85268 .19406 L
.84479 .1861 L
.84307 .18434 L
.83508 .17612 L
.83364 .17463 L
.82537 .16601 L
.82433 .16492 L
.81566 .1558 L
.81509 .15521 L
.80594 .14555 L
.80589 .14549 L
.79669 .13578 L
.79623 .1353 L
.78746 .12607 L
.78652 .12508 L
.77816 .11636 L
.77681 .11494 L
.76878 .10664 L
.76709 .10492 L
.75926 .09693 L
.75738 .09503 L
.7496 .08722 L
.74767 .0853 L
.73974 .07751 L
.73796 .07578 L
.72964 .06779 L
.72824 .06647 L
.71927 .05808 L
Mistroke
.71853 .0574 L
.70882 .0486 L
.70856 .04837 L
.69911 .04007 L
.69746 .03866 L
.68939 .03185 L
.68587 .02894 L
.67968 .02394 L
.6737 .01923 L
Mfstroke
.633 .367 .6 r
.98077 .72803 m
.97469 .72824 L
.97106 .72858 L
.96134 .73024 L
.95163 .73296 L
.94192 .73671 L
.93913 .73796 L
.93221 .74142 L
.92249 .74702 L
.92145 .74767 L
.91278 .75343 L
.90727 .75738 L
.90307 .76055 L
.89484 .76709 L
.89336 .76832 L
.88364 .77663 L
.88345 .77681 L
.87393 .78543 L
.87275 .78652 L
.86422 .79461 L
.86255 .79623 L
.85451 .80413 L
.85268 .80594 L
.84479 .8139 L
.84307 .81566 L
.83508 .82388 L
.83364 .82537 L
.82537 .83399 L
.82433 .83508 L
.81566 .8442 L
.81509 .84479 L
.80594 .85445 L
.80589 .85451 L
.79669 .86422 L
.79623 .8647 L
.78746 .87393 L
.78652 .87492 L
.77816 .88364 L
.77681 .88506 L
.76878 .89336 L
.76709 .89508 L
.75926 .90307 L
.75738 .90497 L
.7496 .91278 L
.74767 .9147 L
.73974 .92249 L
.73796 .92422 L
.72964 .93221 L
.72824 .93353 L
.71927 .94192 L
.71853 .9426 L
.70882 .9514 L
.70856 .95163 L
.69911 .95993 L
.69746 .96134 L
.68939 .96815 L
.68587 .97106 L
.67968 .97606 L
.6737 .98077 L
.98077 .98077 L
F
0 g
.98077 .72803 m
.97469 .72824 L
.97106 .72858 L
.96134 .73024 L
.95163 .73296 L
.94192 .73671 L
.93913 .73796 L
.93221 .74142 L
.92249 .74702 L
.92145 .74767 L
.91278 .75343 L
.90727 .75738 L
.90307 .76055 L
.89484 .76709 L
.89336 .76832 L
.88364 .77663 L
.88345 .77681 L
.87393 .78543 L
.87275 .78652 L
.86422 .79461 L
.86255 .79623 L
.85451 .80413 L
.85268 .80594 L
.84479 .8139 L
.84307 .81566 L
.83508 .82388 L
.83364 .82537 L
.82537 .83399 L
.82433 .83508 L
.81566 .8442 L
.81509 .84479 L
.80594 .85445 L
.80589 .85451 L
.79669 .86422 L
.79623 .8647 L
.78746 .87393 L
.78652 .87492 L
.77816 .88364 L
.77681 .88506 L
.76878 .89336 L
.76709 .89508 L
.75926 .90307 L
.75738 .90497 L
.7496 .91278 L
.74767 .9147 L
.73974 .92249 L
.73796 .92422 L
.72964 .93221 L
.72824 .93353 L
.71927 .94192 L
Mistroke
.71853 .9426 L
.70882 .9514 L
.70856 .95163 L
.69911 .95993 L
.69746 .96134 L
.68939 .96815 L
.68587 .97106 L
.67968 .97606 L
.6737 .98077 L
Mfstroke
.65 .35 .6 r
.98077 .25442 m
.97106 .2539 L
.96134 .25236 L
.96117 .25233 L
.95163 .24983 L
.94192 .24633 L
.93359 .24262 L
.93221 .24193 L
.92249 .23669 L
.91624 .23291 L
.91278 .23067 L
.90307 .22395 L
.90202 .22319 L
.89336 .21661 L
.88942 .21348 L
.88364 .20873 L
.87782 .20377 L
.87393 .20036 L
.8669 .19406 L
.86422 .1916 L
.85645 .18434 L
.85451 .1825 L
.84634 .17463 L
.84479 .17312 L
.83647 .16492 L
.83508 .16353 L
.82678 .15521 L
.82537 .15378 L
.81719 .14549 L
.81566 .14393 L
.80768 .13578 L
.80594 .13401 L
.79818 .12607 L
.79623 .12407 L
.78868 .11636 L
.78652 .11415 L
.77913 .10664 L
.77681 .1043 L
.76949 .09693 L
.76709 .09453 L
.75974 .08722 L
.75738 .08489 L
.74984 .07751 L
.74767 .0754 L
.73975 .06779 L
.73796 .06609 L
.72943 .05808 L
.72824 .05698 L
.71882 .04837 L
.71853 .04811 L
.70882 .03948 L
.70788 .03866 L
.69911 .03112 L
.69652 .02894 L
.68939 .02305 L
.68467 .01923 L
.98077 .01923 L
F
0 g
.98077 .25442 m
.97106 .2539 L
.96134 .25236 L
.96117 .25233 L
.95163 .24983 L
.94192 .24633 L
.93359 .24262 L
.93221 .24193 L
.92249 .23669 L
.91624 .23291 L
.91278 .23067 L
.90307 .22395 L
.90202 .22319 L
.89336 .21661 L
.88942 .21348 L
.88364 .20873 L
.87782 .20377 L
.87393 .20036 L
.8669 .19406 L
.86422 .1916 L
.85645 .18434 L
.85451 .1825 L
.84634 .17463 L
.84479 .17312 L
.83647 .16492 L
.83508 .16353 L
.82678 .15521 L
.82537 .15378 L
.81719 .14549 L
.81566 .14393 L
.80768 .13578 L
.80594 .13401 L
.79818 .12607 L
.79623 .12407 L
.78868 .11636 L
.78652 .11415 L
.77913 .10664 L
.77681 .1043 L
.76949 .09693 L
.76709 .09453 L
.75974 .08722 L
.75738 .08489 L
.74984 .07751 L
.74767 .0754 L
.73975 .06779 L
.73796 .06609 L
.72943 .05808 L
.72824 .05698 L
.71882 .04837 L
.71853 .04811 L
Mistroke
.70882 .03948 L
.70788 .03866 L
.69911 .03112 L
.69652 .02894 L
.68939 .02305 L
.68467 .01923 L
Mfstroke
.65 .35 .6 r
.98077 .74558 m
.97106 .7461 L
.96134 .74764 L
.96117 .74767 L
.95163 .75017 L
.94192 .75367 L
.93359 .75738 L
.93221 .75807 L
.92249 .76331 L
.91624 .76709 L
.91278 .76933 L
.90307 .77605 L
.90202 .77681 L
.89336 .78339 L
.88942 .78652 L
.88364 .79127 L
.87782 .79623 L
.87393 .79964 L
.8669 .80594 L
.86422 .8084 L
.85645 .81566 L
.85451 .8175 L
.84634 .82537 L
.84479 .82688 L
.83647 .83508 L
.83508 .83647 L
.82678 .84479 L
.82537 .84622 L
.81719 .85451 L
.81566 .85607 L
.80768 .86422 L
.80594 .86599 L
.79818 .87393 L
.79623 .87593 L
.78868 .88364 L
.78652 .88585 L
.77913 .89336 L
.77681 .8957 L
.76949 .90307 L
.76709 .90547 L
.75974 .91278 L
.75738 .91511 L
.74984 .92249 L
.74767 .9246 L
.73975 .93221 L
.73796 .93391 L
.72943 .94192 L
.72824 .94302 L
.71882 .95163 L
.71853 .95189 L
.70882 .96052 L
.70788 .96134 L
.69911 .96888 L
.69652 .97106 L
.68939 .97695 L
.68467 .98077 L
.98077 .98077 L
F
0 g
.98077 .74558 m
.97106 .7461 L
.96134 .74764 L
.96117 .74767 L
.95163 .75017 L
.94192 .75367 L
.93359 .75738 L
.93221 .75807 L
.92249 .76331 L
.91624 .76709 L
.91278 .76933 L
.90307 .77605 L
.90202 .77681 L
.89336 .78339 L
.88942 .78652 L
.88364 .79127 L
.87782 .79623 L
.87393 .79964 L
.8669 .80594 L
.86422 .8084 L
.85645 .81566 L
.85451 .8175 L
.84634 .82537 L
.84479 .82688 L
.83647 .83508 L
.83508 .83647 L
.82678 .84479 L
.82537 .84622 L
.81719 .85451 L
.81566 .85607 L
.80768 .86422 L
.80594 .86599 L
.79818 .87393 L
.79623 .87593 L
.78868 .88364 L
.78652 .88585 L
.77913 .89336 L
.77681 .8957 L
.76949 .90307 L
.76709 .90547 L
.75974 .91278 L
.75738 .91511 L
.74984 .92249 L
.74767 .9246 L
.73975 .93221 L
.73796 .93391 L
.72943 .94192 L
.72824 .94302 L
.71882 .95163 L
.71853 .95189 L
Mistroke
.70882 .96052 L
.70788 .96134 L
.69911 .96888 L
.69652 .97106 L
.68939 .97695 L
.68467 .98077 L
Mfstroke
.667 .333 .6 r
.98077 .23804 m
.97106 .23756 L
.96134 .23611 L
.95163 .23373 L
.94887 .23291 L
.94192 .23044 L
.93221 .2263 L
.92592 .22319 L
.92249 .22135 L
.91278 .21566 L
.90935 .21348 L
.90307 .20929 L
.89532 .20377 L
.89336 .20231 L
.88364 .19479 L
.88273 .19406 L
.87393 .1868 L
.87104 .18434 L
.86422 .1784 L
.85998 .17463 L
.85451 .16966 L
.84936 .16492 L
.84479 .16064 L
.83906 .15521 L
.83508 .1514 L
.82898 .14549 L
.82537 .14198 L
.81905 .13578 L
.81566 .13244 L
.80922 .12607 L
.80594 .12282 L
.79944 .11636 L
.79623 .11317 L
.78966 .10664 L
.78652 .10353 L
.77985 .09693 L
.77681 .09393 L
.76997 .08722 L
.76709 .0844 L
.75999 .07751 L
.75738 .07499 L
.74986 .06779 L
.74767 .06572 L
.73954 .05808 L
.73796 .05661 L
.72898 .04837 L
.72824 .0477 L
.71853 .039 L
.71814 .03866 L
.70882 .03054 L
.70695 .02894 L
.69911 .02234 L
.69534 .01923 L
.98077 .01923 L
F
0 g
.98077 .23804 m
.97106 .23756 L
.96134 .23611 L
.95163 .23373 L
.94887 .23291 L
.94192 .23044 L
.93221 .2263 L
.92592 .22319 L
.92249 .22135 L
.91278 .21566 L
.90935 .21348 L
.90307 .20929 L
.89532 .20377 L
.89336 .20231 L
.88364 .19479 L
.88273 .19406 L
.87393 .1868 L
.87104 .18434 L
.86422 .1784 L
.85998 .17463 L
.85451 .16966 L
.84936 .16492 L
.84479 .16064 L
.83906 .15521 L
.83508 .1514 L
.82898 .14549 L
.82537 .14198 L
.81905 .13578 L
.81566 .13244 L
.80922 .12607 L
.80594 .12282 L
.79944 .11636 L
.79623 .11317 L
.78966 .10664 L
.78652 .10353 L
.77985 .09693 L
.77681 .09393 L
.76997 .08722 L
.76709 .0844 L
.75999 .07751 L
.75738 .07499 L
.74986 .06779 L
.74767 .06572 L
.73954 .05808 L
.73796 .05661 L
.72898 .04837 L
.72824 .0477 L
.71853 .039 L
.71814 .03866 L
.70882 .03054 L
Mistroke
.70695 .02894 L
.69911 .02234 L
.69534 .01923 L
Mfstroke
.667 .333 .6 r
.98077 .76196 m
.97106 .76244 L
.96134 .76389 L
.95163 .76627 L
.94887 .76709 L
.94192 .76956 L
.93221 .7737 L
.92592 .77681 L
.92249 .77865 L
.91278 .78434 L
.90935 .78652 L
.90307 .79071 L
.89532 .79623 L
.89336 .79769 L
.88364 .80521 L
.88273 .80594 L
.87393 .8132 L
.87104 .81566 L
.86422 .8216 L
.85998 .82537 L
.85451 .83034 L
.84936 .83508 L
.84479 .83936 L
.83906 .84479 L
.83508 .8486 L
.82898 .85451 L
.82537 .85802 L
.81905 .86422 L
.81566 .86756 L
.80922 .87393 L
.80594 .87718 L
.79944 .88364 L
.79623 .88683 L
.78966 .89336 L
.78652 .89647 L
.77985 .90307 L
.77681 .90607 L
.76997 .91278 L
.76709 .9156 L
.75999 .92249 L
.75738 .92501 L
.74986 .93221 L
.74767 .93428 L
.73954 .94192 L
.73796 .94339 L
.72898 .95163 L
.72824 .9523 L
.71853 .961 L
.71814 .96134 L
.70882 .96946 L
.70695 .97106 L
.69911 .97766 L
.69534 .98077 L
.98077 .98077 L
F
0 g
.98077 .76196 m
.97106 .76244 L
.96134 .76389 L
.95163 .76627 L
.94887 .76709 L
.94192 .76956 L
.93221 .7737 L
.92592 .77681 L
.92249 .77865 L
.91278 .78434 L
.90935 .78652 L
.90307 .79071 L
.89532 .79623 L
.89336 .79769 L
.88364 .80521 L
.88273 .80594 L
.87393 .8132 L
.87104 .81566 L
.86422 .8216 L
.85998 .82537 L
.85451 .83034 L
.84936 .83508 L
.84479 .83936 L
.83906 .84479 L
.83508 .8486 L
.82898 .85451 L
.82537 .85802 L
.81905 .86422 L
.81566 .86756 L
.80922 .87393 L
.80594 .87718 L
.79944 .88364 L
.79623 .88683 L
.78966 .89336 L
.78652 .89647 L
.77985 .90307 L
.77681 .90607 L
.76997 .91278 L
.76709 .9156 L
.75999 .92249 L
.75738 .92501 L
.74986 .93221 L
.74767 .93428 L
.73954 .94192 L
.73796 .94339 L
.72898 .95163 L
.72824 .9523 L
.71853 .961 L
.71814 .96134 L
.70882 .96946 L
Mistroke
.70695 .97106 L
.69911 .97766 L
.69534 .98077 L
Mfstroke
.683 .317 .6 r
.98077 .22262 m
.97106 .22217 L
.96134 .2208 L
.95163 .21855 L
.94192 .21544 L
.9368 .21348 L
.93221 .21151 L
.92249 .20681 L
.91688 .20377 L
.91278 .20139 L
.90307 .19532 L
.90116 .19406 L
.89336 .18866 L
.88745 .18434 L
.88364 .18146 L
.87496 .17463 L
.87393 .1738 L
.86422 .16573 L
.86327 .16492 L
.85451 .15731 L
.85213 .15521 L
.84479 .14861 L
.84138 .14549 L
.83508 .13967 L
.83092 .13578 L
.82537 .13055 L
.82065 .12607 L
.81566 .1213 L
.81051 .11636 L
.80594 .11196 L
.80044 .10664 L
.79623 .10257 L
.7904 .09693 L
.78652 .09318 L
.78034 .08722 L
.77681 .08382 L
.77022 .07751 L
.76709 .07452 L
.76 .06779 L
.75738 .06532 L
.74964 .05808 L
.74767 .05625 L
.73909 .04837 L
.73796 .04733 L
.72831 .03866 L
.72824 .0386 L
.71853 .03007 L
.71723 .02894 L
.70882 .02177 L
.7058 .01923 L
.98077 .01923 L
F
0 g
.98077 .22262 m
.97106 .22217 L
.96134 .2208 L
.95163 .21855 L
.94192 .21544 L
.9368 .21348 L
.93221 .21151 L
.92249 .20681 L
.91688 .20377 L
.91278 .20139 L
.90307 .19532 L
.90116 .19406 L
.89336 .18866 L
.88745 .18434 L
.88364 .18146 L
.87496 .17463 L
.87393 .1738 L
.86422 .16573 L
.86327 .16492 L
.85451 .15731 L
.85213 .15521 L
.84479 .14861 L
.84138 .14549 L
.83508 .13967 L
.83092 .13578 L
.82537 .13055 L
.82065 .12607 L
.81566 .1213 L
.81051 .11636 L
.80594 .11196 L
.80044 .10664 L
.79623 .10257 L
.7904 .09693 L
.78652 .09318 L
.78034 .08722 L
.77681 .08382 L
.77022 .07751 L
.76709 .07452 L
.76 .06779 L
.75738 .06532 L
.74964 .05808 L
.74767 .05625 L
.73909 .04837 L
.73796 .04733 L
.72831 .03866 L
.72824 .0386 L
.71853 .03007 L
.71723 .02894 L
.70882 .02177 L
.7058 .01923 L
Mistroke
Mfstroke
.683 .317 .6 r
.98077 .77738 m
.97106 .77783 L
.96134 .7792 L
.95163 .78145 L
.94192 .78456 L
.9368 .78652 L
.93221 .78849 L
.92249 .79319 L
.91688 .79623 L
.91278 .79861 L
.90307 .80468 L
.90116 .80594 L
.89336 .81134 L
.88745 .81566 L
.88364 .81854 L
.87496 .82537 L
.87393 .8262 L
.86422 .83427 L
.86327 .83508 L
.85451 .84269 L
.85213 .84479 L
.84479 .85139 L
.84138 .85451 L
.83508 .86033 L
.83092 .86422 L
.82537 .86945 L
.82065 .87393 L
.81566 .8787 L
.81051 .88364 L
.80594 .88804 L
.80044 .89336 L
.79623 .89743 L
.7904 .90307 L
.78652 .90682 L
.78034 .91278 L
.77681 .91618 L
.77022 .92249 L
.76709 .92548 L
.76 .93221 L
.75738 .93468 L
.74964 .94192 L
.74767 .94375 L
.73909 .95163 L
.73796 .95267 L
.72831 .96134 L
.72824 .9614 L
.71853 .96993 L
.71723 .97106 L
.70882 .97823 L
.7058 .98077 L
.98077 .98077 L
F
0 g
.98077 .77738 m
.97106 .77783 L
.96134 .7792 L
.95163 .78145 L
.94192 .78456 L
.9368 .78652 L
.93221 .78849 L
.92249 .79319 L
.91688 .79623 L
.91278 .79861 L
.90307 .80468 L
.90116 .80594 L
.89336 .81134 L
.88745 .81566 L
.88364 .81854 L
.87496 .82537 L
.87393 .8262 L
.86422 .83427 L
.86327 .83508 L
.85451 .84269 L
.85213 .84479 L
.84479 .85139 L
.84138 .85451 L
.83508 .86033 L
.83092 .86422 L
.82537 .86945 L
.82065 .87393 L
.81566 .8787 L
.81051 .88364 L
.80594 .88804 L
.80044 .89336 L
.79623 .89743 L
.7904 .90307 L
.78652 .90682 L
.78034 .91278 L
.77681 .91618 L
.77022 .92249 L
.76709 .92548 L
.76 .93221 L
.75738 .93468 L
.74964 .94192 L
.74767 .94375 L
.73909 .95163 L
.73796 .95267 L
.72831 .96134 L
.72824 .9614 L
.71853 .96993 L
.71723 .97106 L
.70882 .97823 L
.7058 .98077 L
Mistroke
Mfstroke
.7 .3 .6 r
.98077 .20802 m
.97106 .20759 L
.96134 .20629 L
.95163 .20415 L
.95018 .20377 L
.94192 .20119 L
.93221 .19744 L
.92472 .19406 L
.92249 .19296 L
.91278 .18778 L
.90691 .18434 L
.90307 .18197 L
.89336 .17558 L
.89198 .17463 L
.88364 .16867 L
.87863 .16492 L
.87393 .16129 L
.86629 .15521 L
.86422 .15351 L
.85463 .14549 L
.85451 .14539 L
.84479 .13697 L
.84345 .13578 L
.83508 .12831 L
.8326 .12607 L
.82537 .11946 L
.82199 .11636 L
.81566 .11048 L
.81155 .10664 L
.80594 .10139 L
.8012 .09693 L
.79623 .09224 L
.7909 .08722 L
.78652 .08308 L
.7806 .07751 L
.77681 .07394 L
.77024 .06779 L
.76709 .06486 L
.75979 .05808 L
.75738 .05586 L
.7492 .04837 L
.74767 .04698 L
.73842 .03866 L
.73796 .03824 L
.72824 .02968 L
.7274 .02894 L
.71853 .0213 L
.71609 .01923 L
.98077 .01923 L
F
0 g
.98077 .20802 m
.97106 .20759 L
.96134 .20629 L
.95163 .20415 L
.95018 .20377 L
.94192 .20119 L
.93221 .19744 L
.92472 .19406 L
.92249 .19296 L
.91278 .18778 L
.90691 .18434 L
.90307 .18197 L
.89336 .17558 L
.89198 .17463 L
.88364 .16867 L
.87863 .16492 L
.87393 .16129 L
.86629 .15521 L
.86422 .15351 L
.85463 .14549 L
.85451 .14539 L
.84479 .13697 L
.84345 .13578 L
.83508 .12831 L
.8326 .12607 L
.82537 .11946 L
.82199 .11636 L
.81566 .11048 L
.81155 .10664 L
.80594 .10139 L
.8012 .09693 L
.79623 .09224 L
.7909 .08722 L
.78652 .08308 L
.7806 .07751 L
.77681 .07394 L
.77024 .06779 L
.76709 .06486 L
.75979 .05808 L
.75738 .05586 L
.7492 .04837 L
.74767 .04698 L
.73842 .03866 L
.73796 .03824 L
.72824 .02968 L
.7274 .02894 L
.71853 .0213 L
.71609 .01923 L
s
.7 .3 .6 r
.98077 .79198 m
.97106 .79241 L
.96134 .79371 L
.95163 .79585 L
.95018 .79623 L
.94192 .79881 L
.93221 .80256 L
.92472 .80594 L
.92249 .80704 L
.91278 .81222 L
.90691 .81566 L
.90307 .81803 L
.89336 .82442 L
.89198 .82537 L
.88364 .83133 L
.87863 .83508 L
.87393 .83871 L
.86629 .84479 L
.86422 .84649 L
.85463 .85451 L
.85451 .85461 L
.84479 .86303 L
.84345 .86422 L
.83508 .87169 L
.8326 .87393 L
.82537 .88054 L
.82199 .88364 L
.81566 .88952 L
.81155 .89336 L
.80594 .89861 L
.8012 .90307 L
.79623 .90776 L
.7909 .91278 L
.78652 .91692 L
.7806 .92249 L
.77681 .92606 L
.77024 .93221 L
.76709 .93514 L
.75979 .94192 L
.75738 .94414 L
.7492 .95163 L
.74767 .95302 L
.73842 .96134 L
.73796 .96176 L
.72824 .97032 L
.7274 .97106 L
.71853 .9787 L
.71609 .98077 L
.98077 .98077 L
F
0 g
.98077 .79198 m
.97106 .79241 L
.96134 .79371 L
.95163 .79585 L
.95018 .79623 L
.94192 .79881 L
.93221 .80256 L
.92472 .80594 L
.92249 .80704 L
.91278 .81222 L
.90691 .81566 L
.90307 .81803 L
.89336 .82442 L
.89198 .82537 L
.88364 .83133 L
.87863 .83508 L
.87393 .83871 L
.86629 .84479 L
.86422 .84649 L
.85463 .85451 L
.85451 .85461 L
.84479 .86303 L
.84345 .86422 L
.83508 .87169 L
.8326 .87393 L
.82537 .88054 L
.82199 .88364 L
.81566 .88952 L
.81155 .89336 L
.80594 .89861 L
.8012 .90307 L
.79623 .90776 L
.7909 .91278 L
.78652 .91692 L
.7806 .92249 L
.77681 .92606 L
.77024 .93221 L
.76709 .93514 L
.75979 .94192 L
.75738 .94414 L
.7492 .95163 L
.74767 .95302 L
.73842 .96134 L
.73796 .96176 L
.72824 .97032 L
.7274 .97106 L
.71853 .9787 L
.71609 .98077 L
s
.717 .283 .6 r
.98077 .19412 m
.97707 .19406 L
.97106 .1937 L
.96134 .19246 L
.95163 .19042 L
.94192 .18759 L
.93304 .18434 L
.93221 .184 L
.92249 .17971 L
.91278 .17474 L
.91258 .17463 L
.90307 .16916 L
.89628 .16492 L
.89336 .16301 L
.88364 .15635 L
.88204 .15521 L
.87393 .14923 L
.86904 .14549 L
.86422 .14172 L
.85685 .13578 L
.85451 .13385 L
.84523 .12607 L
.84479 .12569 L
.83508 .11729 L
.83401 .11636 L
.82537 .10869 L
.82308 .10664 L
.81566 .09995 L
.81234 .09693 L
.80594 .09109 L
.80172 .08722 L
.79623 .08217 L
.79116 .07751 L
.78652 .07323 L
.78061 .06779 L
.77681 .0643 L
.77002 .05808 L
.76709 .05541 L
.75934 .04837 L
.75738 .0466 L
.74852 .03866 L
.74767 .03789 L
.73796 .02933 L
.73752 .02894 L
.72824 .02092 L
.72627 .01923 L
.98077 .01923 L
F
0 g
.98077 .19412 m
.97707 .19406 L
.97106 .1937 L
.96134 .19246 L
.95163 .19042 L
.94192 .18759 L
.93304 .18434 L
.93221 .184 L
.92249 .17971 L
.91278 .17474 L
.91258 .17463 L
.90307 .16916 L
.89628 .16492 L
.89336 .16301 L
.88364 .15635 L
.88204 .15521 L
.87393 .14923 L
.86904 .14549 L
.86422 .14172 L
.85685 .13578 L
.85451 .13385 L
.84523 .12607 L
.84479 .12569 L
.83508 .11729 L
.83401 .11636 L
.82537 .10869 L
.82308 .10664 L
.81566 .09995 L
.81234 .09693 L
.80594 .09109 L
.80172 .08722 L
.79623 .08217 L
.79116 .07751 L
.78652 .07323 L
.78061 .06779 L
.77681 .0643 L
.77002 .05808 L
.76709 .05541 L
.75934 .04837 L
.75738 .0466 L
.74852 .03866 L
.74767 .03789 L
.73796 .02933 L
.73752 .02894 L
.72824 .02092 L
.72627 .01923 L
s
.717 .283 .6 r
.98077 .80588 m
.97707 .80594 L
.97106 .8063 L
.96134 .80754 L
.95163 .80958 L
.94192 .81241 L
.93304 .81566 L
.93221 .816 L
.92249 .82029 L
.91278 .82526 L
.91258 .82537 L
.90307 .83084 L
.89628 .83508 L
.89336 .83699 L
.88364 .84365 L
.88204 .84479 L
.87393 .85077 L
.86904 .85451 L
.86422 .85828 L
.85685 .86422 L
.85451 .86615 L
.84523 .87393 L
.84479 .87431 L
.83508 .88271 L
.83401 .88364 L
.82537 .89131 L
.82308 .89336 L
.81566 .90005 L
.81234 .90307 L
.80594 .90891 L
.80172 .91278 L
.79623 .91783 L
.79116 .92249 L
.78652 .92677 L
.78061 .93221 L
.77681 .9357 L
.77002 .94192 L
.76709 .94459 L
.75934 .95163 L
.75738 .9534 L
.74852 .96134 L
.74767 .96211 L
.73796 .97067 L
.73752 .97106 L
.72824 .97908 L
.72627 .98077 L
.98077 .98077 L
F
0 g
.98077 .80588 m
.97707 .80594 L
.97106 .8063 L
.96134 .80754 L
.95163 .80958 L
.94192 .81241 L
.93304 .81566 L
.93221 .816 L
.92249 .82029 L
.91278 .82526 L
.91258 .82537 L
.90307 .83084 L
.89628 .83508 L
.89336 .83699 L
.88364 .84365 L
.88204 .84479 L
.87393 .85077 L
.86904 .85451 L
.86422 .85828 L
.85685 .86422 L
.85451 .86615 L
.84523 .87393 L
.84479 .87431 L
.83508 .88271 L
.83401 .88364 L
.82537 .89131 L
.82308 .89336 L
.81566 .90005 L
.81234 .90307 L
.80594 .90891 L
.80172 .91278 L
.79623 .91783 L
.79116 .92249 L
.78652 .92677 L
.78061 .93221 L
.77681 .9357 L
.77002 .94192 L
.76709 .94459 L
.75934 .95163 L
.75738 .9534 L
.74852 .96134 L
.74767 .96211 L
.73796 .97067 L
.73752 .97106 L
.72824 .97908 L
.72627 .98077 L
s
.733 .267 .6 r
.98077 .18082 m
.97106 .18042 L
.96134 .17923 L
.95163 .17727 L
.94216 .17463 L
.94192 .17455 L
.93221 .17111 L
.92249 .16698 L
.91813 .16492 L
.91278 .1622 L
.90307 .15682 L
.90033 .15521 L
.89336 .15089 L
.88516 .14549 L
.88364 .14446 L
.87393 .13758 L
.87149 .13578 L
.86422 .1303 L
.85878 .12607 L
.85451 .12267 L
.84674 .11636 L
.84479 .11475 L
.83516 .10664 L
.83508 .10658 L
.82537 .09821 L
.8239 .09693 L
.81566 .08969 L
.81287 .08722 L
.80594 .08105 L
.80198 .07751 L
.79623 .07234 L
.79118 .06779 L
.78652 .0636 L
.78039 .05808 L
.77681 .05486 L
.76957 .04837 L
.76709 .04616 L
.75866 .03866 L
.75738 .03752 L
.74767 .02898 L
.74762 .02894 L
.73796 .02058 L
.73639 .01923 L
.98077 .01923 L
F
0 g
.98077 .18082 m
.97106 .18042 L
.96134 .17923 L
.95163 .17727 L
.94216 .17463 L
.94192 .17455 L
.93221 .17111 L
.92249 .16698 L
.91813 .16492 L
.91278 .1622 L
.90307 .15682 L
.90033 .15521 L
.89336 .15089 L
.88516 .14549 L
.88364 .14446 L
.87393 .13758 L
.87149 .13578 L
.86422 .1303 L
.85878 .12607 L
.85451 .12267 L
.84674 .11636 L
.84479 .11475 L
.83516 .10664 L
.83508 .10658 L
.82537 .09821 L
.8239 .09693 L
.81566 .08969 L
.81287 .08722 L
.80594 .08105 L
.80198 .07751 L
.79623 .07234 L
.79118 .06779 L
.78652 .0636 L
.78039 .05808 L
.77681 .05486 L
.76957 .04837 L
.76709 .04616 L
.75866 .03866 L
.75738 .03752 L
.74767 .02898 L
.74762 .02894 L
.73796 .02058 L
.73639 .01923 L
s
.733 .267 .6 r
.98077 .81918 m
.97106 .81958 L
.96134 .82077 L
.95163 .82273 L
.94216 .82537 L
.94192 .82545 L
.93221 .82889 L
.92249 .83302 L
.91813 .83508 L
.91278 .8378 L
.90307 .84318 L
.90033 .84479 L
.89336 .84911 L
.88516 .85451 L
.88364 .85554 L
.87393 .86242 L
.87149 .86422 L
.86422 .8697 L
.85878 .87393 L
.85451 .87733 L
.84674 .88364 L
.84479 .88525 L
.83516 .89336 L
.83508 .89342 L
.82537 .90179 L
.8239 .90307 L
.81566 .91031 L
.81287 .91278 L
.80594 .91895 L
.80198 .92249 L
.79623 .92766 L
.79118 .93221 L
.78652 .9364 L
.78039 .94192 L
.77681 .94514 L
.76957 .95163 L
.76709 .95384 L
.75866 .96134 L
.75738 .96248 L
.74767 .97102 L
.74762 .97106 L
.73796 .97942 L
.73639 .98077 L
.98077 .98077 L
F
0 g
.98077 .81918 m
.97106 .81958 L
.96134 .82077 L
.95163 .82273 L
.94216 .82537 L
.94192 .82545 L
.93221 .82889 L
.92249 .83302 L
.91813 .83508 L
.91278 .8378 L
.90307 .84318 L
.90033 .84479 L
.89336 .84911 L
.88516 .85451 L
.88364 .85554 L
.87393 .86242 L
.87149 .86422 L
.86422 .8697 L
.85878 .87393 L
.85451 .87733 L
.84674 .88364 L
.84479 .88525 L
.83516 .89336 L
.83508 .89342 L
.82537 .90179 L
.8239 .90307 L
.81566 .91031 L
.81287 .91278 L
.80594 .91895 L
.80198 .92249 L
.79623 .92766 L
.79118 .93221 L
.78652 .9364 L
.78039 .94192 L
.77681 .94514 L
.76957 .95163 L
.76709 .95384 L
.75866 .96134 L
.75738 .96248 L
.74767 .97102 L
.74762 .97106 L
.73796 .97942 L
.73639 .98077 L
s
.75 .25 .6 r
.98077 .16805 m
.97106 .16767 L
.96134 .16652 L
.95275 .16492 L
.95163 .16464 L
.94192 .16202 L
.93221 .1587 L
.92359 .15521 L
.92249 .15472 L
.91278 .15011 L
.90409 .14549 L
.90307 .14492 L
.89336 .13918 L
.88796 .13578 L
.88364 .13295 L
.87393 .12628 L
.87363 .12607 L
.86422 .11922 L
.86041 .11636 L
.85451 .11181 L
.84795 .10664 L
.84479 .10411 L
.83602 .09693 L
.83508 .09615 L
.82537 .08799 L
.82446 .08722 L
.81566 .07968 L
.81314 .07751 L
.80594 .07124 L
.802 .06779 L
.79623 .06273 L
.79095 .05808 L
.78652 .05417 L
.77993 .04837 L
.77681 .04562 L
.76889 .03866 L
.76709 .03709 L
.75776 .02894 L
.75738 .02862 L
.74767 .02024 L
.74649 .01923 L
.98077 .01923 L
F
0 g
.98077 .16805 m
.97106 .16767 L
.96134 .16652 L
.95275 .16492 L
.95163 .16464 L
.94192 .16202 L
.93221 .1587 L
.92359 .15521 L
.92249 .15472 L
.91278 .15011 L
.90409 .14549 L
.90307 .14492 L
.89336 .13918 L
.88796 .13578 L
.88364 .13295 L
.87393 .12628 L
.87363 .12607 L
.86422 .11922 L
.86041 .11636 L
.85451 .11181 L
.84795 .10664 L
.84479 .10411 L
.83602 .09693 L
.83508 .09615 L
.82537 .08799 L
.82446 .08722 L
.81566 .07968 L
.81314 .07751 L
.80594 .07124 L
.802 .06779 L
.79623 .06273 L
.79095 .05808 L
.78652 .05417 L
.77993 .04837 L
.77681 .04562 L
.76889 .03866 L
.76709 .03709 L
.75776 .02894 L
.75738 .02862 L
.74767 .02024 L
.74649 .01923 L
s
.75 .25 .6 r
.98077 .83195 m
.97106 .83233 L
.96134 .83348 L
.95275 .83508 L
.95163 .83536 L
.94192 .83798 L
.93221 .8413 L
.92359 .84479 L
.92249 .84528 L
.91278 .84989 L
.90409 .85451 L
.90307 .85508 L
.89336 .86082 L
.88796 .86422 L
.88364 .86705 L
.87393 .87372 L
.87363 .87393 L
.86422 .88078 L
.86041 .88364 L
.85451 .88819 L
.84795 .89336 L
.84479 .89589 L
.83602 .90307 L
.83508 .90385 L
.82537 .91201 L
.82446 .91278 L
.81566 .92032 L
.81314 .92249 L
.80594 .92876 L
.802 .93221 L
.79623 .93727 L
.79095 .94192 L
.78652 .94583 L
.77993 .95163 L
.77681 .95438 L
.76889 .96134 L
.76709 .96291 L
.75776 .97106 L
.75738 .97138 L
.74767 .97976 L
.74649 .98077 L
.98077 .98077 L
F
0 g
.98077 .83195 m
.97106 .83233 L
.96134 .83348 L
.95275 .83508 L
.95163 .83536 L
.94192 .83798 L
.93221 .8413 L
.92359 .84479 L
.92249 .84528 L
.91278 .84989 L
.90409 .85451 L
.90307 .85508 L
.89336 .86082 L
.88796 .86422 L
.88364 .86705 L
.87393 .87372 L
.87363 .87393 L
.86422 .88078 L
.86041 .88364 L
.85451 .88819 L
.84795 .89336 L
.84479 .89589 L
.83602 .90307 L
.83508 .90385 L
.82537 .91201 L
.82446 .91278 L
.81566 .92032 L
.81314 .92249 L
.80594 .92876 L
.802 .93221 L
.79623 .93727 L
.79095 .94192 L
.78652 .94583 L
.77993 .95163 L
.77681 .95438 L
.76889 .96134 L
.76709 .96291 L
.75776 .97106 L
.75738 .97138 L
.74767 .97976 L
.74649 .98077 L
s
.767 .233 .6 r
.98077 .15575 m
.97106 .15538 L
.96894 .15521 L
.96134 .15428 L
.95163 .15246 L
.94192 .14994 L
.93221 .14674 L
.92888 .14549 L
.92249 .14289 L
.91278 .13843 L
.90753 .13578 L
.90307 .1334 L
.89336 .12784 L
.89043 .12607 L
.88364 .1218 L
.87544 .11636 L
.87393 .11532 L
.86422 .10845 L
.86174 .10664 L
.85451 .10125 L
.84888 .09693 L
.84479 .09374 L
.83661 .08722 L
.83508 .08599 L
.82537 .07803 L
.82474 .07751 L
.81566 .0699 L
.81316 .06779 L
.80594 .06165 L
.80177 .05808 L
.79623 .05332 L
.79048 .04837 L
.78652 .04495 L
.77924 .03866 L
.77681 .03656 L
.76797 .02894 L
.76709 .02819 L
.75738 .01988 L
.75662 .01923 L
.98077 .01923 L
F
0 g
.98077 .15575 m
.97106 .15538 L
.96894 .15521 L
.96134 .15428 L
.95163 .15246 L
.94192 .14994 L
.93221 .14674 L
.92888 .14549 L
.92249 .14289 L
.91278 .13843 L
.90753 .13578 L
.90307 .1334 L
.89336 .12784 L
.89043 .12607 L
.88364 .1218 L
.87544 .11636 L
.87393 .11532 L
.86422 .10845 L
.86174 .10664 L
.85451 .10125 L
.84888 .09693 L
.84479 .09374 L
.83661 .08722 L
.83508 .08599 L
.82537 .07803 L
.82474 .07751 L
.81566 .0699 L
.81316 .06779 L
.80594 .06165 L
.80177 .05808 L
.79623 .05332 L
.79048 .04837 L
.78652 .04495 L
.77924 .03866 L
.77681 .03656 L
.76797 .02894 L
.76709 .02819 L
.75738 .01988 L
.75662 .01923 L
s
.767 .233 .6 r
.98077 .84425 m
.97106 .84462 L
.96894 .84479 L
.96134 .84572 L
.95163 .84754 L
.94192 .85006 L
.93221 .85326 L
.92888 .85451 L
.92249 .85711 L
.91278 .86157 L
.90753 .86422 L
.90307 .8666 L
.89336 .87216 L
.89043 .87393 L
.88364 .8782 L
.87544 .88364 L
.87393 .88468 L
.86422 .89155 L
.86174 .89336 L
.85451 .89875 L
.84888 .90307 L
.84479 .90626 L
.83661 .91278 L
.83508 .91401 L
.82537 .92197 L
.82474 .92249 L
.81566 .9301 L
.81316 .93221 L
.80594 .93835 L
.80177 .94192 L
.79623 .94668 L
.79048 .95163 L
.78652 .95505 L
.77924 .96134 L
.77681 .96344 L
.76797 .97106 L
.76709 .97181 L
.75738 .98012 L
.75662 .98077 L
.98077 .98077 L
F
0 g
.98077 .84425 m
.97106 .84462 L
.96894 .84479 L
.96134 .84572 L
.95163 .84754 L
.94192 .85006 L
.93221 .85326 L
.92888 .85451 L
.92249 .85711 L
.91278 .86157 L
.90753 .86422 L
.90307 .8666 L
.89336 .87216 L
.89043 .87393 L
.88364 .8782 L
.87544 .88364 L
.87393 .88468 L
.86422 .89155 L
.86174 .89336 L
.85451 .89875 L
.84888 .90307 L
.84479 .90626 L
.83661 .91278 L
.83508 .91401 L
.82537 .92197 L
.82474 .92249 L
.81566 .9301 L
.81316 .93221 L
.80594 .93835 L
.80177 .94192 L
.79623 .94668 L
.79048 .95163 L
.78652 .95505 L
.77924 .96134 L
.77681 .96344 L
.76797 .97106 L
.76709 .97181 L
.75738 .98012 L
.75662 .98077 L
s
.783 .217 .6 r
.98077 .14388 m
.97106 .14353 L
.96134 .14246 L
.95163 .1407 L
.94192 .13826 L
.93398 .13578 L
.93221 .13516 L
.92249 .13143 L
.91278 .12711 L
.91062 .12607 L
.90307 .12223 L
.89336 .11683 L
.89254 .11636 L
.88364 .11096 L
.87692 .10664 L
.87393 .10466 L
.86422 .09798 L
.86274 .09693 L
.85451 .09095 L
.8495 .08722 L
.84479 .08363 L
.83691 .07751 L
.83508 .07606 L
.82537 .06829 L
.82476 .06779 L
.81566 .06034 L
.81292 .05808 L
.80594 .05227 L
.80129 .04837 L
.79623 .04411 L
.78977 .03866 L
.78652 .0359 L
.77831 .02894 L
.77681 .02767 L
.76709 .01946 L
.76682 .01923 L
.98077 .01923 L
F
0 g
.98077 .14388 m
.97106 .14353 L
.96134 .14246 L
.95163 .1407 L
.94192 .13826 L
.93398 .13578 L
.93221 .13516 L
.92249 .13143 L
.91278 .12711 L
.91062 .12607 L
.90307 .12223 L
.89336 .11683 L
.89254 .11636 L
.88364 .11096 L
.87692 .10664 L
.87393 .10466 L
.86422 .09798 L
.86274 .09693 L
.85451 .09095 L
.8495 .08722 L
.84479 .08363 L
.83691 .07751 L
.83508 .07606 L
.82537 .06829 L
.82476 .06779 L
.81566 .06034 L
.81292 .05808 L
.80594 .05227 L
.80129 .04837 L
.79623 .04411 L
.78977 .03866 L
.78652 .0359 L
.77831 .02894 L
.77681 .02767 L
.76709 .01946 L
.76682 .01923 L
s
.783 .217 .6 r
.98077 .85612 m
.97106 .85647 L
.96134 .85754 L
.95163 .8593 L
.94192 .86174 L
.93398 .86422 L
.93221 .86484 L
.92249 .86857 L
.91278 .87289 L
.91062 .87393 L
.90307 .87777 L
.89336 .88317 L
.89254 .88364 L
.88364 .88904 L
.87692 .89336 L
.87393 .89534 L
.86422 .90202 L
.86274 .90307 L
.85451 .90905 L
.8495 .91278 L
.84479 .91637 L
.83691 .92249 L
.83508 .92394 L
.82537 .93171 L
.82476 .93221 L
.81566 .93966 L
.81292 .94192 L
.80594 .94773 L
.80129 .95163 L
.79623 .95589 L
.78977 .96134 L
.78652 .9641 L
.77831 .97106 L
.77681 .97233 L
.76709 .98054 L
.76682 .98077 L
.98077 .98077 L
F
0 g
.98077 .85612 m
.97106 .85647 L
.96134 .85754 L
.95163 .8593 L
.94192 .86174 L
.93398 .86422 L
.93221 .86484 L
.92249 .86857 L
.91278 .87289 L
.91062 .87393 L
.90307 .87777 L
.89336 .88317 L
.89254 .88364 L
.88364 .88904 L
.87692 .89336 L
.87393 .89534 L
.86422 .90202 L
.86274 .90307 L
.85451 .90905 L
.8495 .91278 L
.84479 .91637 L
.83691 .92249 L
.83508 .92394 L
.82537 .93171 L
.82476 .93221 L
.81566 .93966 L
.81292 .94192 L
.80594 .94773 L
.80129 .95163 L
.79623 .95589 L
.78977 .96134 L
.78652 .9641 L
.77831 .97106 L
.77681 .97233 L
.76709 .98054 L
.76682 .98077 L
s
.8 .2 .6 r
.98077 .13239 m
.97106 .13205 L
.96134 .13102 L
.95163 .12931 L
.94192 .12694 L
.93884 .12607 L
.93221 .12394 L
.92249 .12032 L
.91329 .11636 L
.91278 .11612 L
.90307 .11138 L
.89426 .10664 L
.89336 .10613 L
.88364 .10042 L
.87804 .09693 L
.87393 .09428 L
.86422 .08777 L
.86342 .08722 L
.85451 .08091 L
.84983 .07751 L
.84479 .07377 L
.83693 .06779 L
.83508 .06637 L
.82537 .05876 L
.82451 .05808 L
.81566 .05099 L
.81242 .04837 L
.80594 .04308 L
.80056 .03866 L
.79623 .03508 L
.78882 .02894 L
.78652 .02703 L
.77714 .01923 L
.98077 .01923 L
F
0 g
.98077 .13239 m
.97106 .13205 L
.96134 .13102 L
.95163 .12931 L
.94192 .12694 L
.93884 .12607 L
.93221 .12394 L
.92249 .12032 L
.91329 .11636 L
.91278 .11612 L
.90307 .11138 L
.89426 .10664 L
.89336 .10613 L
.88364 .10042 L
.87804 .09693 L
.87393 .09428 L
.86422 .08777 L
.86342 .08722 L
.85451 .08091 L
.84983 .07751 L
.84479 .07377 L
.83693 .06779 L
.83508 .06637 L
.82537 .05876 L
.82451 .05808 L
.81566 .05099 L
.81242 .04837 L
.80594 .04308 L
.80056 .03866 L
.79623 .03508 L
.78882 .02894 L
.78652 .02703 L
.77714 .01923 L
s
.8 .2 .6 r
.98077 .86761 m
.97106 .86795 L
.96134 .86898 L
.95163 .87069 L
.94192 .87306 L
.93884 .87393 L
.93221 .87606 L
.92249 .87968 L
.91329 .88364 L
.91278 .88388 L
.90307 .88862 L
.89426 .89336 L
.89336 .89387 L
.88364 .89958 L
.87804 .90307 L
.87393 .90572 L
.86422 .91223 L
.86342 .91278 L
.85451 .91909 L
.84983 .92249 L
.84479 .92623 L
.83693 .93221 L
.83508 .93363 L
.82537 .94124 L
.82451 .94192 L
.81566 .94901 L
.81242 .95163 L
.80594 .95692 L
.80056 .96134 L
.79623 .96492 L
.78882 .97106 L
.78652 .97297 L
.77714 .98077 L
.98077 .98077 L
F
0 g
.98077 .86761 m
.97106 .86795 L
.96134 .86898 L
.95163 .87069 L
.94192 .87306 L
.93884 .87393 L
.93221 .87606 L
.92249 .87968 L
.91329 .88364 L
.91278 .88388 L
.90307 .88862 L
.89426 .89336 L
.89336 .89387 L
.88364 .89958 L
.87804 .90307 L
.87393 .90572 L
.86422 .91223 L
.86342 .91278 L
.85451 .91909 L
.84983 .92249 L
.84479 .92623 L
.83693 .93221 L
.83508 .93363 L
.82537 .94124 L
.82451 .94192 L
.81566 .94901 L
.81242 .95163 L
.80594 .95692 L
.80056 .96134 L
.79623 .96492 L
.78882 .97106 L
.78652 .97297 L
.77714 .98077 L
s
.817 .183 .6 r
.98077 .12125 m
.97106 .12092 L
.96134 .11992 L
.95163 .11826 L
.94337 .11636 L
.94192 .11596 L
.93221 .11304 L
.92249 .10952 L
.9155 .10664 L
.91278 .10544 L
.90307 .10083 L
.89558 .09693 L
.89336 .09572 L
.88364 .09015 L
.87881 .08722 L
.87393 .08416 L
.86422 .0778 L
.86378 .07751 L
.85451 .07111 L
.84985 .06779 L
.84479 .06412 L
.83666 .05808 L
.83508 .05689 L
.82537 .04944 L
.82399 .04837 L
.81566 .04182 L
.81167 .03866 L
.80594 .03407 L
.79958 .02894 L
.79623 .02623 L
.78764 .01923 L
.98077 .01923 L
F
0 g
.98077 .12125 m
.97106 .12092 L
.96134 .11992 L
.95163 .11826 L
.94337 .11636 L
.94192 .11596 L
.93221 .11304 L
.92249 .10952 L
.9155 .10664 L
.91278 .10544 L
.90307 .10083 L
.89558 .09693 L
.89336 .09572 L
.88364 .09015 L
.87881 .08722 L
.87393 .08416 L
.86422 .0778 L
.86378 .07751 L
.85451 .07111 L
.84985 .06779 L
.84479 .06412 L
.83666 .05808 L
.83508 .05689 L
.82537 .04944 L
.82399 .04837 L
.81566 .04182 L
.81167 .03866 L
.80594 .03407 L
.79958 .02894 L
.79623 .02623 L
.78764 .01923 L
s
.817 .183 .6 r
.98077 .87875 m
.97106 .87908 L
.96134 .88008 L
.95163 .88174 L
.94337 .88364 L
.94192 .88404 L
.93221 .88696 L
.92249 .89048 L
.9155 .89336 L
.91278 .89456 L
.90307 .89917 L
.89558 .90307 L
.89336 .90428 L
.88364 .90985 L
.87881 .91278 L
.87393 .91584 L
.86422 .9222 L
.86378 .92249 L
.85451 .92889 L
.84985 .93221 L
.84479 .93588 L
.83666 .94192 L
.83508 .94311 L
.82537 .95056 L
.82399 .95163 L
.81566 .95818 L
.81167 .96134 L
.80594 .96593 L
.79958 .97106 L
.79623 .97377 L
.78764 .98077 L
.98077 .98077 L
F
0 g
.98077 .87875 m
.97106 .87908 L
.96134 .88008 L
.95163 .88174 L
.94337 .88364 L
.94192 .88404 L
.93221 .88696 L
.92249 .89048 L
.9155 .89336 L
.91278 .89456 L
.90307 .89917 L
.89558 .90307 L
.89336 .90428 L
.88364 .90985 L
.87881 .91278 L
.87393 .91584 L
.86422 .9222 L
.86378 .92249 L
.85451 .92889 L
.84985 .93221 L
.84479 .93588 L
.83666 .94192 L
.83508 .94311 L
.82537 .95056 L
.82399 .95163 L
.81566 .95818 L
.81167 .96134 L
.80594 .96593 L
.79958 .97106 L
.79623 .97377 L
.78764 .98077 L
s
.833 .167 .6 r
.98077 .11043 m
.97106 .11011 L
.96134 .10914 L
.95163 .10752 L
.9474 .10664 L
.94192 .10529 L
.93221 .10244 L
.92249 .09902 L
.91722 .09693 L
.91278 .09504 L
.90307 .09055 L
.89648 .08722 L
.89336 .08556 L
.88364 .08013 L
.8792 .07751 L
.87393 .07428 L
.86422 .06807 L
.8638 .06779 L
.85451 .06153 L
.84956 .05808 L
.84479 .05469 L
.83611 .04837 L
.83508 .0476 L
.82537 .04031 L
.8232 .03866 L
.81566 .03284 L
.81066 .02894 L
.80594 .02523 L
.79837 .01923 L
.98077 .01923 L
F
0 g
.98077 .11043 m
.97106 .11011 L
.96134 .10914 L
.95163 .10752 L
.9474 .10664 L
.94192 .10529 L
.93221 .10244 L
.92249 .09902 L
.91722 .09693 L
.91278 .09504 L
.90307 .09055 L
.89648 .08722 L
.89336 .08556 L
.88364 .08013 L
.8792 .07751 L
.87393 .07428 L
.86422 .06807 L
.8638 .06779 L
.85451 .06153 L
.84956 .05808 L
.84479 .05469 L
.83611 .04837 L
.83508 .0476 L
.82537 .04031 L
.8232 .03866 L
.81566 .03284 L
.81066 .02894 L
.80594 .02523 L
.79837 .01923 L
s
.833 .167 .6 r
.98077 .88957 m
.97106 .88989 L
.96134 .89086 L
.95163 .89248 L
.9474 .89336 L
.94192 .89471 L
.93221 .89756 L
.92249 .90098 L
.91722 .90307 L
.91278 .90496 L
.90307 .90945 L
.89648 .91278 L
.89336 .91444 L
.88364 .91987 L
.8792 .92249 L
.87393 .92572 L
.86422 .93193 L
.8638 .93221 L
.85451 .93847 L
.84956 .94192 L
.84479 .94531 L
.83611 .95163 L
.83508 .9524 L
.82537 .95969 L
.8232 .96134 L
.81566 .96716 L
.81066 .97106 L
.80594 .97477 L
.79837 .98077 L
.98077 .98077 L
F
0 g
.98077 .88957 m
.97106 .88989 L
.96134 .89086 L
.95163 .89248 L
.9474 .89336 L
.94192 .89471 L
.93221 .89756 L
.92249 .90098 L
.91722 .90307 L
.91278 .90496 L
.90307 .90945 L
.89648 .91278 L
.89336 .91444 L
.88364 .91987 L
.8792 .92249 L
.87393 .92572 L
.86422 .93193 L
.8638 .93221 L
.85451 .93847 L
.84956 .94192 L
.84479 .94531 L
.83611 .95163 L
.83508 .9524 L
.82537 .95969 L
.8232 .96134 L
.81566 .96716 L
.81066 .97106 L
.80594 .97477 L
.79837 .98077 L
s
.85 .15 .6 r
.98077 .09991 m
.97106 .09959 L
.96134 .09864 L
.95163 .09707 L
.9509 .09693 L
.94192 .09489 L
.93221 .09212 L
.92249 .08878 L
.9184 .08722 L
.91278 .0849 L
.90307 .08052 L
.89695 .07751 L
.89336 .07565 L
.88364 .07034 L
.87923 .06779 L
.87393 .06463 L
.86422 .05855 L
.86349 .05808 L
.85451 .05215 L
.84898 .04837 L
.84479 .04545 L
.83529 .03866 L
.83508 .03851 L
.82537 .03135 L
.82215 .02894 L
.81566 .02402 L
.8094 .01923 L
.98077 .01923 L
F
0 g
.98077 .09991 m
.97106 .09959 L
.96134 .09864 L
.95163 .09707 L
.9509 .09693 L
.94192 .09489 L
.93221 .09212 L
.92249 .08878 L
.9184 .08722 L
.91278 .0849 L
.90307 .08052 L
.89695 .07751 L
.89336 .07565 L
.88364 .07034 L
.87923 .06779 L
.87393 .06463 L
.86422 .05855 L
.86349 .05808 L
.85451 .05215 L
.84898 .04837 L
.84479 .04545 L
.83529 .03866 L
.83508 .03851 L
.82537 .03135 L
.82215 .02894 L
.81566 .02402 L
.8094 .01923 L
s
.85 .15 .6 r
.98077 .90009 m
.97106 .90041 L
.96134 .90136 L
.95163 .90293 L
.9509 .90307 L
.94192 .90511 L
.93221 .90788 L
.92249 .91122 L
.9184 .91278 L
.91278 .9151 L
.90307 .91948 L
.89695 .92249 L
.89336 .92435 L
.88364 .92966 L
.87923 .93221 L
.87393 .93537 L
.86422 .94145 L
.86349 .94192 L
.85451 .94785 L
.84898 .95163 L
.84479 .95455 L
.83529 .96134 L
.83508 .96149 L
.82537 .96865 L
.82215 .97106 L
.81566 .97598 L
.8094 .98077 L
.98077 .98077 L
F
0 g
.98077 .90009 m
.97106 .90041 L
.96134 .90136 L
.95163 .90293 L
.9509 .90307 L
.94192 .90511 L
.93221 .90788 L
.92249 .91122 L
.9184 .91278 L
.91278 .9151 L
.90307 .91948 L
.89695 .92249 L
.89336 .92435 L
.88364 .92966 L
.87923 .93221 L
.87393 .93537 L
.86422 .94145 L
.86349 .94192 L
.85451 .94785 L
.84898 .95163 L
.84479 .95455 L
.83529 .96134 L
.83508 .96149 L
.82537 .96865 L
.82215 .97106 L
.81566 .97598 L
.8094 .98077 L
s
.867 .133 .6 r
.98077 .08965 m
.97106 .08934 L
.96134 .08841 L
.9533 .08722 L
.95163 .08688 L
.94192 .08476 L
.93221 .08205 L
.92249 .0788 L
.91902 .07751 L
.91278 .07501 L
.90307 .07072 L
.89698 .06779 L
.89336 .06596 L
.88364 .06077 L
.87888 .05808 L
.87393 .05518 L
.86422 .04923 L
.86285 .04837 L
.85451 .04296 L
.84809 .03866 L
.84479 .0364 L
.83508 .02959 L
.83418 .02894 L
.82537 .02256 L
.82084 .01923 L
.98077 .01923 L
F
0 g
.98077 .08965 m
.97106 .08934 L
.96134 .08841 L
.9533 .08722 L
.95163 .08688 L
.94192 .08476 L
.93221 .08205 L
.92249 .0788 L
.91902 .07751 L
.91278 .07501 L
.90307 .07072 L
.89698 .06779 L
.89336 .06596 L
.88364 .06077 L
.87888 .05808 L
.87393 .05518 L
.86422 .04923 L
.86285 .04837 L
.85451 .04296 L
.84809 .03866 L
.84479 .0364 L
.83508 .02959 L
.83418 .02894 L
.82537 .02256 L
.82084 .01923 L
s
.867 .133 .6 r
.98077 .91035 m
.97106 .91066 L
.96134 .91159 L
.9533 .91278 L
.95163 .91312 L
.94192 .91524 L
.93221 .91795 L
.92249 .9212 L
.91902 .92249 L
.91278 .92499 L
.90307 .92928 L
.89698 .93221 L
.89336 .93404 L
.88364 .93923 L
.87888 .94192 L
.87393 .94482 L
.86422 .95077 L
.86285 .95163 L
.85451 .95704 L
.84809 .96134 L
.84479 .9636 L
.83508 .97041 L
.83418 .97106 L
.82537 .97744 L
.82084 .98077 L
.98077 .98077 L
F
0 g
.98077 .91035 m
.97106 .91066 L
.96134 .91159 L
.9533 .91278 L
.95163 .91312 L
.94192 .91524 L
.93221 .91795 L
.92249 .9212 L
.91902 .92249 L
.91278 .92499 L
.90307 .92928 L
.89698 .93221 L
.89336 .93404 L
.88364 .93923 L
.87888 .94192 L
.87393 .94482 L
.86422 .95077 L
.86285 .95163 L
.85451 .95704 L
.84809 .96134 L
.84479 .9636 L
.83508 .97041 L
.83418 .97106 L
.82537 .97744 L
.82084 .98077 L
s
.883 .117 .6 r
.98077 .07964 m
.97106 .07934 L
.96134 .07844 L
.95464 .07751 L
.95163 .07694 L
.94192 .07486 L
.93221 .07222 L
.92249 .06904 L
.91906 .06779 L
.91278 .06534 L
.90307 .06114 L
.89657 .05808 L
.89336 .05649 L
.88364 .05141 L
.87816 .04837 L
.87393 .04594 L
.86422 .0401 L
.86189 .03866 L
.85451 .03395 L
.84692 .02894 L
.84479 .02751 L
.83508 .02083 L
.8328 .01923 L
.98077 .01923 L
F
0 g
.98077 .07964 m
.97106 .07934 L
.96134 .07844 L
.95464 .07751 L
.95163 .07694 L
.94192 .07486 L
.93221 .07222 L
.92249 .06904 L
.91906 .06779 L
.91278 .06534 L
.90307 .06114 L
.89657 .05808 L
.89336 .05649 L
.88364 .05141 L
.87816 .04837 L
.87393 .04594 L
.86422 .0401 L
.86189 .03866 L
.85451 .03395 L
.84692 .02894 L
.84479 .02751 L
.83508 .02083 L
.8328 .01923 L
s
.883 .117 .6 r
.98077 .92036 m
.97106 .92066 L
.96134 .92156 L
.95464 .92249 L
.95163 .92306 L
.94192 .92514 L
.93221 .92778 L
.92249 .93096 L
.91906 .93221 L
.91278 .93466 L
.90307 .93886 L
.89657 .94192 L
.89336 .94351 L
.88364 .94859 L
.87816 .95163 L
.87393 .95406 L
.86422 .9599 L
.86189 .96134 L
.85451 .96605 L
.84692 .97106 L
.84479 .97249 L
.83508 .97917 L
.8328 .98077 L
.98077 .98077 L
F
0 g
.98077 .92036 m
.97106 .92066 L
.96134 .92156 L
.95464 .92249 L
.95163 .92306 L
.94192 .92514 L
.93221 .92778 L
.92249 .93096 L
.91906 .93221 L
.91278 .93466 L
.90307 .93886 L
.89657 .94192 L
.89336 .94351 L
.88364 .94859 L
.87816 .95163 L
.87393 .95406 L
.86422 .9599 L
.86189 .96134 L
.85451 .96605 L
.84692 .97106 L
.84479 .97249 L
.83508 .97917 L
.8328 .98077 L
s
.9 .1 .6 r
.98077 .06986 m
.97106 .06957 L
.96134 .06869 L
.95473 .06779 L
.95163 .06723 L
.94192 .0652 L
.93221 .06261 L
.92249 .0595 L
.91852 .05808 L
.91278 .05588 L
.90307 .05177 L
.89573 .04837 L
.89336 .04721 L
.88364 .04224 L
.87709 .03866 L
.87393 .03687 L
.86422 .03115 L
.86061 .02894 L
.85451 .02512 L
.84545 .01923 L
.98077 .01923 L
F
0 g
.98077 .06986 m
.97106 .06957 L
.96134 .06869 L
.95473 .06779 L
.95163 .06723 L
.94192 .0652 L
.93221 .06261 L
.92249 .0595 L
.91852 .05808 L
.91278 .05588 L
.90307 .05177 L
.89573 .04837 L
.89336 .04721 L
.88364 .04224 L
.87709 .03866 L
.87393 .03687 L
.86422 .03115 L
.86061 .02894 L
.85451 .02512 L
.84545 .01923 L
s
.9 .1 .6 r
.98077 .93014 m
.97106 .93043 L
.96134 .93131 L
.95473 .93221 L
.95163 .93277 L
.94192 .9348 L
.93221 .93739 L
.92249 .9405 L
.91852 .94192 L
.91278 .94412 L
.90307 .94823 L
.89573 .95163 L
.89336 .95279 L
.88364 .95776 L
.87709 .96134 L
.87393 .96313 L
.86422 .96885 L
.86061 .97106 L
.85451 .97488 L
.84545 .98077 L
.98077 .98077 L
F
0 g
.98077 .93014 m
.97106 .93043 L
.96134 .93131 L
.95473 .93221 L
.95163 .93277 L
.94192 .9348 L
.93221 .93739 L
.92249 .9405 L
.91852 .94192 L
.91278 .94412 L
.90307 .94823 L
.89573 .95163 L
.89336 .95279 L
.88364 .95776 L
.87709 .96134 L
.87393 .96313 L
.86422 .96885 L
.86061 .97106 L
.85451 .97488 L
.84545 .98077 L
s
.917 .083 .6 r
.98077 .06031 m
.97106 .06002 L
.96134 .05915 L
.95354 .05808 L
.95163 .05772 L
.94192 .05574 L
.93221 .05321 L
.92249 .05016 L
.91741 .04837 L
.91278 .04661 L
.90307 .04259 L
.89446 .03866 L
.89336 .03813 L
.88364 .03324 L
.87566 .02894 L
.87393 .02798 L
.86422 .02237 L
.85902 .01923 L
.98077 .01923 L
F
0 g
.98077 .06031 m
.97106 .06002 L
.96134 .05915 L
.95354 .05808 L
.95163 .05772 L
.94192 .05574 L
.93221 .05321 L
.92249 .05016 L
.91741 .04837 L
.91278 .04661 L
.90307 .04259 L
.89446 .03866 L
.89336 .03813 L
.88364 .03324 L
.87566 .02894 L
.87393 .02798 L
.86422 .02237 L
.85902 .01923 L
s
.917 .083 .6 r
.98077 .93969 m
.97106 .93998 L
.96134 .94085 L
.95354 .94192 L
.95163 .94228 L
.94192 .94426 L
.93221 .94679 L
.92249 .94984 L
.91741 .95163 L
.91278 .95339 L
.90307 .95741 L
.89446 .96134 L
.89336 .96187 L
.88364 .96676 L
.87566 .97106 L
.87393 .97202 L
.86422 .97763 L
.85902 .98077 L
.98077 .98077 L
F
0 g
.98077 .93969 m
.97106 .93998 L
.96134 .94085 L
.95354 .94192 L
.95163 .94228 L
.94192 .94426 L
.93221 .94679 L
.92249 .94984 L
.91741 .95163 L
.91278 .95339 L
.90307 .95741 L
.89446 .96134 L
.89336 .96187 L
.88364 .96676 L
.87566 .97106 L
.87393 .97202 L
.86422 .97763 L
.85902 .98077 L
s
.933 .067 .6 r
.98077 .05095 m
.97106 .05067 L
.96134 .04982 L
.95163 .04842 L
.9513 .04837 L
.94192 .04648 L
.93221 .044 L
.92249 .04101 L
.91576 .03866 L
.91278 .03754 L
.90307 .03359 L
.89336 .02921 L
.89279 .02894 L
.88364 .02442 L
.87393 .01925 L
.87389 .01923 L
.98077 .01923 L
F
0 g
.98077 .05095 m
.97106 .05067 L
.96134 .04982 L
.95163 .04842 L
.9513 .04837 L
.94192 .04648 L
.93221 .044 L
.92249 .04101 L
.91576 .03866 L
.91278 .03754 L
.90307 .03359 L
.89336 .02921 L
.89279 .02894 L
.88364 .02442 L
.87393 .01925 L
.87389 .01923 L
s
.933 .067 .6 r
.98077 .94905 m
.97106 .94933 L
.96134 .95018 L
.95163 .95158 L
.9513 .95163 L
.94192 .95352 L
.93221 .956 L
.92249 .95899 L
.91576 .96134 L
.91278 .96246 L
.90307 .96641 L
.89336 .97079 L
.89279 .97106 L
.88364 .97558 L
.87393 .98075 L
.87389 .98077 L
.98077 .98077 L
F
0 g
.98077 .94905 m
.97106 .94933 L
.96134 .95018 L
.95163 .95158 L
.9513 .95163 L
.94192 .95352 L
.93221 .956 L
.92249 .95899 L
.91576 .96134 L
.91278 .96246 L
.90307 .96641 L
.89336 .97079 L
.89279 .97106 L
.88364 .97558 L
.87393 .98075 L
.87389 .98077 L
s
.95 .05 .6 r
.98077 .04179 m
.97106 .04151 L
.96134 .04068 L
.95163 .03931 L
.9479 .03866 L
.94192 .0374 L
.93221 .03498 L
.92249 .03204 L
.91361 .02894 L
.91278 .02863 L
.90307 .02476 L
.89336 .02046 L
.89073 .01923 L
.98077 .01923 L
F
0 g
.98077 .04179 m
.97106 .04151 L
.96134 .04068 L
.95163 .03931 L
.9479 .03866 L
.94192 .0374 L
.93221 .03498 L
.92249 .03204 L
.91361 .02894 L
.91278 .02863 L
.90307 .02476 L
.89336 .02046 L
.89073 .01923 L
s
.95 .05 .6 r
.98077 .95821 m
.97106 .95849 L
.96134 .95932 L
.95163 .96069 L
.9479 .96134 L
.94192 .9626 L
.93221 .96502 L
.92249 .96796 L
.91361 .97106 L
.91278 .97137 L
.90307 .97524 L
.89336 .97954 L
.89073 .98077 L
.98077 .98077 L
F
0 g
.98077 .95821 m
.97106 .95849 L
.96134 .95932 L
.95163 .96069 L
.9479 .96134 L
.94192 .9626 L
.93221 .96502 L
.92249 .96796 L
.91361 .97106 L
.91278 .97137 L
.90307 .97524 L
.89336 .97954 L
.89073 .98077 L
s
.967 .033 .6 r
.98077 .0328 m
.97106 .03253 L
.96134 .03172 L
.95163 .03037 L
.94392 .02894 L
.94192 .0285 L
.93221 .02612 L
.92249 .02324 L
.91278 .01989 L
.911 .01923 L
.98077 .01923 L
F
0 g
.98077 .0328 m
.97106 .03253 L
.96134 .03172 L
.95163 .03037 L
.94392 .02894 L
.94192 .0285 L
.93221 .02612 L
.92249 .02324 L
.91278 .01989 L
.911 .01923 L
s
.967 .033 .6 r
.98077 .9672 m
.97106 .96747 L
.96134 .96828 L
.95163 .96963 L
.94392 .97106 L
.94192 .9715 L
.93221 .97388 L
.92249 .97676 L
.91278 .98011 L
.911 .98077 L
.98077 .98077 L
F
0 g
.98077 .9672 m
.97106 .96747 L
.96134 .96828 L
.95163 .96963 L
.94392 .97106 L
.94192 .9715 L
.93221 .97388 L
.92249 .97676 L
.91278 .98011 L
.911 .98077 L
s
.983 .017 .6 r
.98077 .02399 m
.97106 .02372 L
.96134 .02293 L
.95163 .0216 L
.94192 .01977 L
.93947 .01923 L
.98077 .01923 L
F
0 g
.98077 .02399 m
.97106 .02372 L
.96134 .02293 L
.95163 .0216 L
.94192 .01977 L
.93947 .01923 L
s
.983 .017 .6 r
.98077 .97601 m
.97106 .97628 L
.96134 .97707 L
.95163 .9784 L
.94192 .98023 L
.93947 .98077 L
.98077 .98077 L
F
0 g
.98077 .97601 m
.97106 .97628 L
.96134 .97707 L
.95163 .9784 L
.94192 .98023 L
.93947 .98077 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(gra3 = 
        PlotGradientField[
          Evaluate[f], {x1, x1min, x1max}, {x2, x2min, x2max}, 
          HeadCenter \[Rule] 1, Frame \[Rule] True, 
          Scaling \[Rule] Automatic, HeadLength \[Rule] 1/80, 
          PlotPoints \[Rule] 15, PlotRange \[Rule] All, 
          AspectRatio \[Rule] 1, 
          Frame \[Rule] True];\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0.5 0.0763309 [
[.04527 -0.0125 -6 -9 ]
[.04527 -0.0125 6 0 ]
[.19685 -0.0125 -6 -9 ]
[.19685 -0.0125 6 0 ]
[.34842 -0.0125 -6 -9 ]
[.34842 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.65158 -0.0125 -3 -9 ]
[.65158 -0.0125 3 0 ]
[.80315 -0.0125 -3 -9 ]
[.80315 -0.0125 3 0 ]
[.95473 -0.0125 -3 -9 ]
[.95473 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .04201 -12 -4.5 ]
[-0.0125 .04201 0 4.5 ]
[-0.0125 .19468 -12 -4.5 ]
[-0.0125 .19468 0 4.5 ]
[-0.0125 .34734 -12 -4.5 ]
[-0.0125 .34734 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .65266 -6 -4.5 ]
[-0.0125 .65266 0 4.5 ]
[-0.0125 .80532 -6 -4.5 ]
[-0.0125 .80532 0 4.5 ]
[-0.0125 .95799 -6 -4.5 ]
[-0.0125 .95799 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.04527 0 m
.04527 .00625 L
s
[(-3)] .04527 -0.0125 0 1 Mshowa
.19685 0 m
.19685 .00625 L
s
[(-2)] .19685 -0.0125 0 1 Mshowa
.34842 0 m
.34842 .00625 L
s
[(-1)] .34842 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.65158 0 m
.65158 .00625 L
s
[(1)] .65158 -0.0125 0 1 Mshowa
.80315 0 m
.80315 .00625 L
s
[(2)] .80315 -0.0125 0 1 Mshowa
.95473 0 m
.95473 .00625 L
s
[(3)] .95473 -0.0125 0 1 Mshowa
.125 Mabswid
.07559 0 m
.07559 .00375 L
s
.1059 0 m
.1059 .00375 L
s
.13622 0 m
.13622 .00375 L
s
.16653 0 m
.16653 .00375 L
s
.22716 0 m
.22716 .00375 L
s
.25748 0 m
.25748 .00375 L
s
.28779 0 m
.28779 .00375 L
s
.31811 0 m
.31811 .00375 L
s
.37874 0 m
.37874 .00375 L
s
.40905 0 m
.40905 .00375 L
s
.43937 0 m
.43937 .00375 L
s
.46968 0 m
.46968 .00375 L
s
.53032 0 m
.53032 .00375 L
s
.56063 0 m
.56063 .00375 L
s
.59095 0 m
.59095 .00375 L
s
.62126 0 m
.62126 .00375 L
s
.68189 0 m
.68189 .00375 L
s
.71221 0 m
.71221 .00375 L
s
.74252 0 m
.74252 .00375 L
s
.77284 0 m
.77284 .00375 L
s
.83347 0 m
.83347 .00375 L
s
.86378 0 m
.86378 .00375 L
s
.8941 0 m
.8941 .00375 L
s
.92441 0 m
.92441 .00375 L
s
.01496 0 m
.01496 .00375 L
s
.98504 0 m
.98504 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .04201 m
.00625 .04201 L
s
[(-6)] -0.0125 .04201 1 0 Mshowa
0 .19468 m
.00625 .19468 L
s
[(-4)] -0.0125 .19468 1 0 Mshowa
0 .34734 m
.00625 .34734 L
s
[(-2)] -0.0125 .34734 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .65266 m
.00625 .65266 L
s
[(2)] -0.0125 .65266 1 0 Mshowa
0 .80532 m
.00625 .80532 L
s
[(4)] -0.0125 .80532 1 0 Mshowa
0 .95799 m
.00625 .95799 L
s
[(6)] -0.0125 .95799 1 0 Mshowa
.125 Mabswid
0 .08018 m
.00375 .08018 L
s
0 .11835 m
.00375 .11835 L
s
0 .15651 m
.00375 .15651 L
s
0 .23284 m
.00375 .23284 L
s
0 .27101 m
.00375 .27101 L
s
0 .30917 m
.00375 .30917 L
s
0 .3855 m
.00375 .3855 L
s
0 .42367 m
.00375 .42367 L
s
0 .46183 m
.00375 .46183 L
s
0 .53817 m
.00375 .53817 L
s
0 .57633 m
.00375 .57633 L
s
0 .6145 m
.00375 .6145 L
s
0 .69083 m
.00375 .69083 L
s
0 .72899 m
.00375 .72899 L
s
0 .76716 m
.00375 .76716 L
s
0 .84349 m
.00375 .84349 L
s
0 .88165 m
.00375 .88165 L
s
0 .91982 m
.00375 .91982 L
s
0 .00385 m
.00375 .00385 L
s
0 .99615 m
.00375 .99615 L
s
.25 Mabswid
0 0 m
0 1 L
s
.04527 .99375 m
.04527 1 L
s
.19685 .99375 m
.19685 1 L
s
.34842 .99375 m
.34842 1 L
s
.5 .99375 m
.5 1 L
s
.65158 .99375 m
.65158 1 L
s
.80315 .99375 m
.80315 1 L
s
.95473 .99375 m
.95473 1 L
s
.125 Mabswid
.07559 .99625 m
.07559 1 L
s
.1059 .99625 m
.1059 1 L
s
.13622 .99625 m
.13622 1 L
s
.16653 .99625 m
.16653 1 L
s
.22716 .99625 m
.22716 1 L
s
.25748 .99625 m
.25748 1 L
s
.28779 .99625 m
.28779 1 L
s
.31811 .99625 m
.31811 1 L
s
.37874 .99625 m
.37874 1 L
s
.40905 .99625 m
.40905 1 L
s
.43937 .99625 m
.43937 1 L
s
.46968 .99625 m
.46968 1 L
s
.53032 .99625 m
.53032 1 L
s
.56063 .99625 m
.56063 1 L
s
.59095 .99625 m
.59095 1 L
s
.62126 .99625 m
.62126 1 L
s
.68189 .99625 m
.68189 1 L
s
.71221 .99625 m
.71221 1 L
s
.74252 .99625 m
.74252 1 L
s
.77284 .99625 m
.77284 1 L
s
.83347 .99625 m
.83347 1 L
s
.86378 .99625 m
.86378 1 L
s
.8941 .99625 m
.8941 1 L
s
.92441 .99625 m
.92441 1 L
s
.01496 .99625 m
.01496 1 L
s
.98504 .99625 m
.98504 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .04201 m
1 .04201 L
s
.99375 .19468 m
1 .19468 L
s
.99375 .34734 m
1 .34734 L
s
.99375 .5 m
1 .5 L
s
.99375 .65266 m
1 .65266 L
s
.99375 .80532 m
1 .80532 L
s
.99375 .95799 m
1 .95799 L
s
.125 Mabswid
.99625 .08018 m
1 .08018 L
s
.99625 .11835 m
1 .11835 L
s
.99625 .15651 m
1 .15651 L
s
.99625 .23284 m
1 .23284 L
s
.99625 .27101 m
1 .27101 L
s
.99625 .30917 m
1 .30917 L
s
.99625 .3855 m
1 .3855 L
s
.99625 .42367 m
1 .42367 L
s
.99625 .46183 m
1 .46183 L
s
.99625 .53817 m
1 .53817 L
s
.99625 .57633 m
1 .57633 L
s
.99625 .6145 m
1 .6145 L
s
.99625 .69083 m
1 .69083 L
s
.99625 .72899 m
1 .72899 L
s
.99625 .76716 m
1 .76716 L
s
.99625 .84349 m
1 .84349 L
s
.99625 .88165 m
1 .88165 L
s
.99625 .91982 m
1 .91982 L
s
.99625 .00385 m
1 .00385 L
s
.99625 .99615 m
1 .99615 L
s
.25 Mabswid
1 0 m
1 1 L
s
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto fill
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto
-0.0125 0.003125 lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
0 0 Mdot
grestore
} def
% End of user PostScript
.0001 w
.02381 .04201 m
.02381 .02381 L
s
% Start of user PostScript
-3.14159 -6. -3.14159 -6.23851 MAarrowhead1
% End of user PostScript
.02381 .10744 m
.02381 .09184 L
s
% Start of user PostScript
-3.14159 -5.14286 -3.14159 -5.34729 MAarrowhead1
% End of user PostScript
.02381 .17287 m
.02381 .15986 L
s
% Start of user PostScript
-3.14159 -4.28571 -3.14159 -4.45608 MAarrowhead1
% End of user PostScript
.02381 .23829 m
.02381 .22789 L
s
% Start of user PostScript
-3.14159 -3.42857 -3.14159 -3.56486 MAarrowhead1
% End of user PostScript
.02381 .30372 m
.02381 .29592 L
s
% Start of user PostScript
-3.14159 -2.57143 -3.14159 -2.67365 MAarrowhead1
% End of user PostScript
.02381 .36915 m
.02381 .36395 L
s
% Start of user PostScript
-3.14159 -1.71429 -3.14159 -1.78243 MAarrowhead1
% End of user PostScript
.02381 .43457 m
.02381 .43197 L
s
% Start of user PostScript
-3.14159 -0.857143 -3.14159 -0.891215 MAarrowhead1
% End of user PostScript
.02381 .5 m
.02381 .5 L
s
% Start of user PostScript
-3.14159 0 MAarrowzero1
% End of user PostScript
.02381 .56543 m
.02381 .56803 L
s
% Start of user PostScript
-3.14159 0.857143 -3.14159 0.891215 MAarrowhead1
% End of user PostScript
.02381 .63085 m
.02381 .63605 L
s
% Start of user PostScript
-3.14159 1.71429 -3.14159 1.78243 MAarrowhead1
% End of user PostScript
.02381 .69628 m
.02381 .70408 L
s
% Start of user PostScript
-3.14159 2.57143 -3.14159 2.67365 MAarrowhead1
% End of user PostScript
.02381 .76171 m
.02381 .77211 L
s
% Start of user PostScript
-3.14159 3.42857 -3.14159 3.56486 MAarrowhead1
% End of user PostScript
.02381 .82713 m
.02381 .84014 L
s
% Start of user PostScript
-3.14159 4.28571 -3.14159 4.45608 MAarrowhead1
% End of user PostScript
.02381 .89256 m
.02381 .90816 L
s
% Start of user PostScript
-3.14159 5.14286 -3.14159 5.34729 MAarrowhead1
% End of user PostScript
.02381 .95799 m
.02381 .97619 L
s
% Start of user PostScript
-3.14159 6. -3.14159 6.23851 MAarrowhead1
% End of user PostScript
.09184 .04201 m
.06619 .02381 L
s
% Start of user PostScript
-2.69279 -6. -2.86199 -6.23851 MAarrowhead1
% End of user PostScript
.09184 .10744 m
.06619 .09184 L
s
% Start of user PostScript
-2.69279 -5.14286 -2.86199 -5.34729 MAarrowhead1
% End of user PostScript
.09184 .17287 m
.06619 .15986 L
s
% Start of user PostScript
-2.69279 -4.28571 -2.86199 -4.45608 MAarrowhead1
% End of user PostScript
.09184 .23829 m
.06619 .22789 L
s
% Start of user PostScript
-2.69279 -3.42857 -2.86199 -3.56486 MAarrowhead1
% End of user PostScript
.09184 .30372 m
.06619 .29592 L
s
% Start of user PostScript
-2.69279 -2.57143 -2.86199 -2.67365 MAarrowhead1
% End of user PostScript
.09184 .36915 m
.06619 .36395 L
s
% Start of user PostScript
-2.69279 -1.71429 -2.86199 -1.78243 MAarrowhead1
% End of user PostScript
.09184 .43457 m
.06619 .43197 L
s
% Start of user PostScript
-2.69279 -0.857143 -2.86199 -0.891215 MAarrowhead1
% End of user PostScript
.09184 .5 m
.06619 .5 L
s
% Start of user PostScript
-2.69279 0 -2.86199 0 MAarrowhead1
% End of user PostScript
.09184 .56543 m
.06619 .56803 L
s
% Start of user PostScript
-2.69279 0.857143 -2.86199 0.891215 MAarrowhead1
% End of user PostScript
.09184 .63085 m
.06619 .63605 L
s
% Start of user PostScript
-2.69279 1.71429 -2.86199 1.78243 MAarrowhead1
% End of user PostScript
.09184 .69628 m
.06619 .70408 L
s
% Start of user PostScript
-2.69279 2.57143 -2.86199 2.67365 MAarrowhead1
% End of user PostScript
.09184 .76171 m
.06619 .77211 L
s
% Start of user PostScript
-2.69279 3.42857 -2.86199 3.56486 MAarrowhead1
% End of user PostScript
.09184 .82713 m
.06619 .84014 L
s
% Start of user PostScript
-2.69279 4.28571 -2.86199 4.45608 MAarrowhead1
% End of user PostScript
.09184 .89256 m
.06619 .90816 L
s
% Start of user PostScript
-2.69279 5.14286 -2.86199 5.34729 MAarrowhead1
% End of user PostScript
.09184 .95799 m
.06619 .97619 L
s
% Start of user PostScript
-2.69279 6. -2.86199 6.23851 MAarrowhead1
% End of user PostScript
.15986 .04201 m
.11365 .02381 L
s
% Start of user PostScript
-2.24399 -6. -2.54887 -6.23851 MAarrowhead1
% End of user PostScript
.15986 .10744 m
.11365 .09184 L
s
% Start of user PostScript
-2.24399 -5.14286 -2.54887 -5.34729 MAarrowhead1
% End of user PostScript
.15986 .17287 m
.11365 .15986 L
s
% Start of user PostScript
-2.24399 -4.28571 -2.54887 -4.45608 MAarrowhead1
% End of user PostScript
.15986 .23829 m
.11365 .22789 L
s
% Start of user PostScript
-2.24399 -3.42857 -2.54887 -3.56486 MAarrowhead1
% End of user PostScript
.15986 .30372 m
.11365 .29592 L
s
% Start of user PostScript
-2.24399 -2.57143 -2.54887 -2.67365 MAarrowhead1
% End of user PostScript
.15986 .36915 m
.11365 .36395 L
s
% Start of user PostScript
-2.24399 -1.71429 -2.54887 -1.78243 MAarrowhead1
% End of user PostScript
.15986 .43457 m
.11365 .43197 L
s
% Start of user PostScript
-2.24399 -0.857143 -2.54887 -0.891215 MAarrowhead1
% End of user PostScript
.15986 .5 m
.11365 .5 L
s
% Start of user PostScript
-2.24399 0 -2.54887 0 MAarrowhead1
% End of user PostScript
.15986 .56543 m
.11365 .56803 L
s
% Start of user PostScript
-2.24399 0.857143 -2.54887 0.891215 MAarrowhead1
% End of user PostScript
.15986 .63085 m
.11365 .63605 L
s
% Start of user PostScript
-2.24399 1.71429 -2.54887 1.78243 MAarrowhead1
% End of user PostScript
.15986 .69628 m
.11365 .70408 L
s
% Start of user PostScript
-2.24399 2.57143 -2.54887 2.67365 MAarrowhead1
% End of user PostScript
.15986 .76171 m
.11365 .77211 L
s
% Start of user PostScript
-2.24399 3.42857 -2.54887 3.56486 MAarrowhead1
% End of user PostScript
.15986 .82713 m
.11365 .84014 L
s
% Start of user PostScript
-2.24399 4.28571 -2.54887 4.45608 MAarrowhead1
% End of user PostScript
.15986 .89256 m
.11365 .90816 L
s
% Start of user PostScript
-2.24399 5.14286 -2.54887 5.34729 MAarrowhead1
% End of user PostScript
.15986 .95799 m
.11365 .97619 L
s
% Start of user PostScript
-2.24399 6. -2.54887 6.23851 MAarrowhead1
% End of user PostScript
.22789 .04201 m
.17027 .02381 L
s
% Start of user PostScript
-1.7952 -6. -2.17537 -6.23851 MAarrowhead1
% End of user PostScript
.22789 .10744 m
.17027 .09184 L
s
% Start of user PostScript
-1.7952 -5.14286 -2.17537 -5.34729 MAarrowhead1
% End of user PostScript
.22789 .17287 m
.17027 .15986 L
s
% Start of user PostScript
-1.7952 -4.28571 -2.17537 -4.45608 MAarrowhead1
% End of user PostScript
.22789 .23829 m
.17027 .22789 L
s
% Start of user PostScript
-1.7952 -3.42857 -2.17537 -3.56486 MAarrowhead1
% End of user PostScript
.22789 .30372 m
.17027 .29592 L
s
% Start of user PostScript
-1.7952 -2.57143 -2.17537 -2.67365 MAarrowhead1
% End of user PostScript
.22789 .36915 m
.17027 .36395 L
s
% Start of user PostScript
-1.7952 -1.71429 -2.17537 -1.78243 MAarrowhead1
% End of user PostScript
.22789 .43457 m
.17027 .43197 L
s
% Start of user PostScript
-1.7952 -0.857143 -2.17537 -0.891215 MAarrowhead1
% End of user PostScript
.22789 .5 m
.17027 .5 L
s
% Start of user PostScript
-1.7952 0 -2.17537 0 MAarrowhead1
% End of user PostScript
.22789 .56543 m
.17027 .56803 L
s
% Start of user PostScript
-1.7952 0.857143 -2.17537 0.891215 MAarrowhead1
% End of user PostScript
.22789 .63085 m
.17027 .63605 L
s
% Start of user PostScript
-1.7952 1.71429 -2.17537 1.78243 MAarrowhead1
% End of user PostScript
.22789 .69628 m
.17027 .70408 L
s
% Start of user PostScript
-1.7952 2.57143 -2.17537 2.67365 MAarrowhead1
% End of user PostScript
.22789 .76171 m
.17027 .77211 L
s
% Start of user PostScript
-1.7952 3.42857 -2.17537 3.56486 MAarrowhead1
% End of user PostScript
.22789 .82713 m
.17027 .84014 L
s
% Start of user PostScript
-1.7952 4.28571 -2.17537 4.45608 MAarrowhead1
% End of user PostScript
.22789 .89256 m
.17027 .90816 L
s
% Start of user PostScript
-1.7952 5.14286 -2.17537 5.34729 MAarrowhead1
% End of user PostScript
.22789 .95799 m
.17027 .97619 L
s
% Start of user PostScript
-1.7952 6. -2.17537 6.23851 MAarrowhead1
% End of user PostScript
.29592 .04201 m
.23829 .02381 L
s
% Start of user PostScript
-1.3464 -6. -1.72658 -6.23851 MAarrowhead1
% End of user PostScript
.29592 .10744 m
.23829 .09184 L
s
% Start of user PostScript
-1.3464 -5.14286 -1.72658 -5.34729 MAarrowhead1
% End of user PostScript
.29592 .17287 m
.23829 .15986 L
s
% Start of user PostScript
-1.3464 -4.28571 -1.72658 -4.45608 MAarrowhead1
% End of user PostScript
.29592 .23829 m
.23829 .22789 L
s
% Start of user PostScript
-1.3464 -3.42857 -1.72658 -3.56486 MAarrowhead1
% End of user PostScript
.29592 .30372 m
.23829 .29592 L
s
% Start of user PostScript
-1.3464 -2.57143 -1.72658 -2.67365 MAarrowhead1
% End of user PostScript
.29592 .36915 m
.23829 .36395 L
s
% Start of user PostScript
-1.3464 -1.71429 -1.72658 -1.78243 MAarrowhead1
% End of user PostScript
.29592 .43457 m
.23829 .43197 L
s
% Start of user PostScript
-1.3464 -0.857143 -1.72658 -0.891215 MAarrowhead1
% End of user PostScript
.29592 .5 m
.23829 .5 L
s
% Start of user PostScript
-1.3464 0 -1.72658 0 MAarrowhead1
% End of user PostScript
.29592 .56543 m
.23829 .56803 L
s
% Start of user PostScript
-1.3464 0.857143 -1.72658 0.891215 MAarrowhead1
% End of user PostScript
.29592 .63085 m
.23829 .63605 L
s
% Start of user PostScript
-1.3464 1.71429 -1.72658 1.78243 MAarrowhead1
% End of user PostScript
.29592 .69628 m
.23829 .70408 L
s
% Start of user PostScript
-1.3464 2.57143 -1.72658 2.67365 MAarrowhead1
% End of user PostScript
.29592 .76171 m
.23829 .77211 L
s
% Start of user PostScript
-1.3464 3.42857 -1.72658 3.56486 MAarrowhead1
% End of user PostScript
.29592 .82713 m
.23829 .84014 L
s
% Start of user PostScript
-1.3464 4.28571 -1.72658 4.45608 MAarrowhead1
% End of user PostScript
.29592 .89256 m
.23829 .90816 L
s
% Start of user PostScript
-1.3464 5.14286 -1.72658 5.34729 MAarrowhead1
% End of user PostScript
.29592 .95799 m
.23829 .97619 L
s
% Start of user PostScript
-1.3464 6. -1.72658 6.23851 MAarrowhead1
% End of user PostScript
.36395 .04201 m
.31773 .02381 L
s
% Start of user PostScript
-0.897598 -6. -1.20248 -6.23851 MAarrowhead1
% End of user PostScript
.36395 .10744 m
.31773 .09184 L
s
% Start of user PostScript
-0.897598 -5.14286 -1.20248 -5.34729 MAarrowhead1
% End of user PostScript
.36395 .17287 m
.31773 .15986 L
s
% Start of user PostScript
-0.897598 -4.28571 -1.20248 -4.45608 MAarrowhead1
% End of user PostScript
.36395 .23829 m
.31773 .22789 L
s
% Start of user PostScript
-0.897598 -3.42857 -1.20248 -3.56486 MAarrowhead1
% End of user PostScript
.36395 .30372 m
.31773 .29592 L
s
% Start of user PostScript
-0.897598 -2.57143 -1.20248 -2.67365 MAarrowhead1
% End of user PostScript
.36395 .36915 m
.31773 .36395 L
s
% Start of user PostScript
-0.897598 -1.71429 -1.20248 -1.78243 MAarrowhead1
% End of user PostScript
.36395 .43457 m
.31773 .43197 L
s
% Start of user PostScript
-0.897598 -0.857143 -1.20248 -0.891215 MAarrowhead1
% End of user PostScript
.36395 .5 m
.31773 .5 L
s
% Start of user PostScript
-0.897598 0 -1.20248 0 MAarrowhead1
% End of user PostScript
.36395 .56543 m
.31773 .56803 L
s
% Start of user PostScript
-0.897598 0.857143 -1.20248 0.891215 MAarrowhead1
% End of user PostScript
.36395 .63085 m
.31773 .63605 L
s
% Start of user PostScript
-0.897598 1.71429 -1.20248 1.78243 MAarrowhead1
% End of user PostScript
.36395 .69628 m
.31773 .70408 L
s
% Start of user PostScript
-0.897598 2.57143 -1.20248 2.67365 MAarrowhead1
% End of user PostScript
.36395 .76171 m
.31773 .77211 L
s
% Start of user PostScript
-0.897598 3.42857 -1.20248 3.56486 MAarrowhead1
% End of user PostScript
.36395 .82713 m
.31773 .84014 L
s
% Start of user PostScript
-0.897598 4.28571 -1.20248 4.45608 MAarrowhead1
% End of user PostScript
.36395 .89256 m
.31773 .90816 L
s
% Start of user PostScript
-0.897598 5.14286 -1.20248 5.34729 MAarrowhead1
% End of user PostScript
.36395 .95799 m
.31773 .97619 L
s
% Start of user PostScript
-0.897598 6. -1.20248 6.23851 MAarrowhead1
% End of user PostScript
.43197 .04201 m
.40633 .02381 L
s
% Start of user PostScript
-0.448799 -6. -0.617994 -6.23851 MAarrowhead1
% End of user PostScript
.43197 .10744 m
.40633 .09184 L
s
% Start of user PostScript
-0.448799 -5.14286 -0.617994 -5.34729 MAarrowhead1
% End of user PostScript
.43197 .17287 m
.40633 .15986 L
s
% Start of user PostScript
-0.448799 -4.28571 -0.617994 -4.45608 MAarrowhead1
% End of user PostScript
.43197 .23829 m
.40633 .22789 L
s
% Start of user PostScript
-0.448799 -3.42857 -0.617994 -3.56486 MAarrowhead1
% End of user PostScript
.43197 .30372 m
.40633 .29592 L
s
% Start of user PostScript
-0.448799 -2.57143 -0.617994 -2.67365 MAarrowhead1
% End of user PostScript
.43197 .36915 m
.40633 .36395 L
s
% Start of user PostScript
-0.448799 -1.71429 -0.617994 -1.78243 MAarrowhead1
% End of user PostScript
.43197 .43457 m
.40633 .43197 L
s
% Start of user PostScript
-0.448799 -0.857143 -0.617994 -0.891215 MAarrowhead1
% End of user PostScript
.43197 .5 m
.40633 .5 L
s
% Start of user PostScript
-0.448799 0 -0.617994 0 MAarrowhead1
% End of user PostScript
.43197 .56543 m
.40633 .56803 L
s
% Start of user PostScript
-0.448799 0.857143 -0.617994 0.891215 MAarrowhead1
% End of user PostScript
.43197 .63085 m
.40633 .63605 L
s
% Start of user PostScript
-0.448799 1.71429 -0.617994 1.78243 MAarrowhead1
% End of user PostScript
.43197 .69628 m
.40633 .70408 L
s
% Start of user PostScript
-0.448799 2.57143 -0.617994 2.67365 MAarrowhead1
% End of user PostScript
.43197 .76171 m
.40633 .77211 L
s
% Start of user PostScript
-0.448799 3.42857 -0.617994 3.56486 MAarrowhead1
% End of user PostScript
.43197 .82713 m
.40633 .84014 L
s
% Start of user PostScript
-0.448799 4.28571 -0.617994 4.45608 MAarrowhead1
% End of user PostScript
.43197 .89256 m
.40633 .90816 L
s
% Start of user PostScript
-0.448799 5.14286 -0.617994 5.34729 MAarrowhead1
% End of user PostScript
.43197 .95799 m
.40633 .97619 L
s
% Start of user PostScript
-0.448799 6. -0.617994 6.23851 MAarrowhead1
% End of user PostScript
.5 .04201 m
.5 .02381 L
s
% Start of user PostScript
0 -6. 0 -6.23851 MAarrowhead1
% End of user PostScript
.5 .10744 m
.5 .09184 L
s
% Start of user PostScript
0 -5.14286 0 -5.34729 MAarrowhead1
% End of user PostScript
.5 .17287 m
.5 .15986 L
s
% Start of user PostScript
0 -4.28571 0 -4.45608 MAarrowhead1
% End of user PostScript
.5 .23829 m
.5 .22789 L
s
% Start of user PostScript
0 -3.42857 0 -3.56486 MAarrowhead1
% End of user PostScript
.5 .30372 m
.5 .29592 L
s
% Start of user PostScript
0 -2.57143 0 -2.67365 MAarrowhead1
% End of user PostScript
.5 .36915 m
.5 .36395 L
s
% Start of user PostScript
0 -1.71429 0 -1.78243 MAarrowhead1
% End of user PostScript
.5 .43457 m
.5 .43197 L
s
% Start of user PostScript
0 -0.857143 0 -0.891215 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .56543 m
.5 .56803 L
s
% Start of user PostScript
0 0.857143 0 0.891215 MAarrowhead1
% End of user PostScript
.5 .63085 m
.5 .63605 L
s
% Start of user PostScript
0 1.71429 0 1.78243 MAarrowhead1
% End of user PostScript
.5 .69628 m
.5 .70408 L
s
% Start of user PostScript
0 2.57143 0 2.67365 MAarrowhead1
% End of user PostScript
.5 .76171 m
.5 .77211 L
s
% Start of user PostScript
0 3.42857 0 3.56486 MAarrowhead1
% End of user PostScript
.5 .82713 m
.5 .84014 L
s
% Start of user PostScript
0 4.28571 0 4.45608 MAarrowhead1
% End of user PostScript
.5 .89256 m
.5 .90816 L
s
% Start of user PostScript
0 5.14286 0 5.34729 MAarrowhead1
% End of user PostScript
.5 .95799 m
.5 .97619 L
s
% Start of user PostScript
0 6. 0 6.23851 MAarrowhead1
% End of user PostScript
.56803 .04201 m
.59367 .02381 L
s
% Start of user PostScript
0.448799 -6. 0.617994 -6.23851 MAarrowhead1
% End of user PostScript
.56803 .10744 m
.59367 .09184 L
s
% Start of user PostScript
0.448799 -5.14286 0.617994 -5.34729 MAarrowhead1
% End of user PostScript
.56803 .17287 m
.59367 .15986 L
s
% Start of user PostScript
0.448799 -4.28571 0.617994 -4.45608 MAarrowhead1
% End of user PostScript
.56803 .23829 m
.59367 .22789 L
s
% Start of user PostScript
0.448799 -3.42857 0.617994 -3.56486 MAarrowhead1
% End of user PostScript
.56803 .30372 m
.59367 .29592 L
s
% Start of user PostScript
0.448799 -2.57143 0.617994 -2.67365 MAarrowhead1
% End of user PostScript
.56803 .36915 m
.59367 .36395 L
s
% Start of user PostScript
0.448799 -1.71429 0.617994 -1.78243 MAarrowhead1
% End of user PostScript
.56803 .43457 m
.59367 .43197 L
s
% Start of user PostScript
0.448799 -0.857143 0.617994 -0.891215 MAarrowhead1
% End of user PostScript
.56803 .5 m
.59367 .5 L
s
% Start of user PostScript
0.448799 0 0.617994 0 MAarrowhead1
% End of user PostScript
.56803 .56543 m
.59367 .56803 L
s
% Start of user PostScript
0.448799 0.857143 0.617994 0.891215 MAarrowhead1
% End of user PostScript
.56803 .63085 m
.59367 .63605 L
s
% Start of user PostScript
0.448799 1.71429 0.617994 1.78243 MAarrowhead1
% End of user PostScript
.56803 .69628 m
.59367 .70408 L
s
% Start of user PostScript
0.448799 2.57143 0.617994 2.67365 MAarrowhead1
% End of user PostScript
.56803 .76171 m
.59367 .77211 L
s
% Start of user PostScript
0.448799 3.42857 0.617994 3.56486 MAarrowhead1
% End of user PostScript
.56803 .82713 m
.59367 .84014 L
s
% Start of user PostScript
0.448799 4.28571 0.617994 4.45608 MAarrowhead1
% End of user PostScript
.56803 .89256 m
.59367 .90816 L
s
% Start of user PostScript
0.448799 5.14286 0.617994 5.34729 MAarrowhead1
% End of user PostScript
.56803 .95799 m
.59367 .97619 L
s
% Start of user PostScript
0.448799 6. 0.617994 6.23851 MAarrowhead1
% End of user PostScript
.63605 .04201 m
.68227 .02381 L
s
% Start of user PostScript
0.897598 -6. 1.20248 -6.23851 MAarrowhead1
% End of user PostScript
.63605 .10744 m
.68227 .09184 L
s
% Start of user PostScript
0.897598 -5.14286 1.20248 -5.34729 MAarrowhead1
% End of user PostScript
.63605 .17287 m
.68227 .15986 L
s
% Start of user PostScript
0.897598 -4.28571 1.20248 -4.45608 MAarrowhead1
% End of user PostScript
.63605 .23829 m
.68227 .22789 L
s
% Start of user PostScript
0.897598 -3.42857 1.20248 -3.56486 MAarrowhead1
% End of user PostScript
.63605 .30372 m
.68227 .29592 L
s
% Start of user PostScript
0.897598 -2.57143 1.20248 -2.67365 MAarrowhead1
% End of user PostScript
.63605 .36915 m
.68227 .36395 L
s
% Start of user PostScript
0.897598 -1.71429 1.20248 -1.78243 MAarrowhead1
% End of user PostScript
.63605 .43457 m
.68227 .43197 L
s
% Start of user PostScript
0.897598 -0.857143 1.20248 -0.891215 MAarrowhead1
% End of user PostScript
.63605 .5 m
.68227 .5 L
s
% Start of user PostScript
0.897598 0 1.20248 0 MAarrowhead1
% End of user PostScript
.63605 .56543 m
.68227 .56803 L
s
% Start of user PostScript
0.897598 0.857143 1.20248 0.891215 MAarrowhead1
% End of user PostScript
.63605 .63085 m
.68227 .63605 L
s
% Start of user PostScript
0.897598 1.71429 1.20248 1.78243 MAarrowhead1
% End of user PostScript
.63605 .69628 m
.68227 .70408 L
s
% Start of user PostScript
0.897598 2.57143 1.20248 2.67365 MAarrowhead1
% End of user PostScript
.63605 .76171 m
.68227 .77211 L
s
% Start of user PostScript
0.897598 3.42857 1.20248 3.56486 MAarrowhead1
% End of user PostScript
.63605 .82713 m
.68227 .84014 L
s
% Start of user PostScript
0.897598 4.28571 1.20248 4.45608 MAarrowhead1
% End of user PostScript
.63605 .89256 m
.68227 .90816 L
s
% Start of user PostScript
0.897598 5.14286 1.20248 5.34729 MAarrowhead1
% End of user PostScript
.63605 .95799 m
.68227 .97619 L
s
% Start of user PostScript
0.897598 6. 1.20248 6.23851 MAarrowhead1
% End of user PostScript
.70408 .04201 m
.76171 .02381 L
s
% Start of user PostScript
1.3464 -6. 1.72658 -6.23851 MAarrowhead1
% End of user PostScript
.70408 .10744 m
.76171 .09184 L
s
% Start of user PostScript
1.3464 -5.14286 1.72658 -5.34729 MAarrowhead1
% End of user PostScript
.70408 .17287 m
.76171 .15986 L
s
% Start of user PostScript
1.3464 -4.28571 1.72658 -4.45608 MAarrowhead1
% End of user PostScript
.70408 .23829 m
.76171 .22789 L
s
% Start of user PostScript
1.3464 -3.42857 1.72658 -3.56486 MAarrowhead1
% End of user PostScript
.70408 .30372 m
.76171 .29592 L
s
% Start of user PostScript
1.3464 -2.57143 1.72658 -2.67365 MAarrowhead1
% End of user PostScript
.70408 .36915 m
.76171 .36395 L
s
% Start of user PostScript
1.3464 -1.71429 1.72658 -1.78243 MAarrowhead1
% End of user PostScript
.70408 .43457 m
.76171 .43197 L
s
% Start of user PostScript
1.3464 -0.857143 1.72658 -0.891215 MAarrowhead1
% End of user PostScript
.70408 .5 m
.76171 .5 L
s
% Start of user PostScript
1.3464 0 1.72658 0 MAarrowhead1
% End of user PostScript
.70408 .56543 m
.76171 .56803 L
s
% Start of user PostScript
1.3464 0.857143 1.72658 0.891215 MAarrowhead1
% End of user PostScript
.70408 .63085 m
.76171 .63605 L
s
% Start of user PostScript
1.3464 1.71429 1.72658 1.78243 MAarrowhead1
% End of user PostScript
.70408 .69628 m
.76171 .70408 L
s
% Start of user PostScript
1.3464 2.57143 1.72658 2.67365 MAarrowhead1
% End of user PostScript
.70408 .76171 m
.76171 .77211 L
s
% Start of user PostScript
1.3464 3.42857 1.72658 3.56486 MAarrowhead1
% End of user PostScript
.70408 .82713 m
.76171 .84014 L
s
% Start of user PostScript
1.3464 4.28571 1.72658 4.45608 MAarrowhead1
% End of user PostScript
.70408 .89256 m
.76171 .90816 L
s
% Start of user PostScript
1.3464 5.14286 1.72658 5.34729 MAarrowhead1
% End of user PostScript
.70408 .95799 m
.76171 .97619 L
s
% Start of user PostScript
1.3464 6. 1.72658 6.23851 MAarrowhead1
% End of user PostScript
.77211 .04201 m
.82973 .02381 L
s
% Start of user PostScript
1.7952 -6. 2.17537 -6.23851 MAarrowhead1
% End of user PostScript
.77211 .10744 m
.82973 .09184 L
s
% Start of user PostScript
1.7952 -5.14286 2.17537 -5.34729 MAarrowhead1
% End of user PostScript
.77211 .17287 m
.82973 .15986 L
s
% Start of user PostScript
1.7952 -4.28571 2.17537 -4.45608 MAarrowhead1
% End of user PostScript
.77211 .23829 m
.82973 .22789 L
s
% Start of user PostScript
1.7952 -3.42857 2.17537 -3.56486 MAarrowhead1
% End of user PostScript
.77211 .30372 m
.82973 .29592 L
s
% Start of user PostScript
1.7952 -2.57143 2.17537 -2.67365 MAarrowhead1
% End of user PostScript
.77211 .36915 m
.82973 .36395 L
s
% Start of user PostScript
1.7952 -1.71429 2.17537 -1.78243 MAarrowhead1
% End of user PostScript
.77211 .43457 m
.82973 .43197 L
s
% Start of user PostScript
1.7952 -0.857143 2.17537 -0.891215 MAarrowhead1
% End of user PostScript
.77211 .5 m
.82973 .5 L
s
% Start of user PostScript
1.7952 0 2.17537 0 MAarrowhead1
% End of user PostScript
.77211 .56543 m
.82973 .56803 L
s
% Start of user PostScript
1.7952 0.857143 2.17537 0.891215 MAarrowhead1
% End of user PostScript
.77211 .63085 m
.82973 .63605 L
s
% Start of user PostScript
1.7952 1.71429 2.17537 1.78243 MAarrowhead1
% End of user PostScript
.77211 .69628 m
.82973 .70408 L
s
% Start of user PostScript
1.7952 2.57143 2.17537 2.67365 MAarrowhead1
% End of user PostScript
.77211 .76171 m
.82973 .77211 L
s
% Start of user PostScript
1.7952 3.42857 2.17537 3.56486 MAarrowhead1
% End of user PostScript
.77211 .82713 m
.82973 .84014 L
s
% Start of user PostScript
1.7952 4.28571 2.17537 4.45608 MAarrowhead1
% End of user PostScript
.77211 .89256 m
.82973 .90816 L
s
% Start of user PostScript
1.7952 5.14286 2.17537 5.34729 MAarrowhead1
% End of user PostScript
.77211 .95799 m
.82973 .97619 L
s
% Start of user PostScript
1.7952 6. 2.17537 6.23851 MAarrowhead1
% End of user PostScript
.84014 .04201 m
.88635 .02381 L
s
% Start of user PostScript
2.24399 -6. 2.54887 -6.23851 MAarrowhead1
% End of user PostScript
.84014 .10744 m
.88635 .09184 L
s
% Start of user PostScript
2.24399 -5.14286 2.54887 -5.34729 MAarrowhead1
% End of user PostScript
.84014 .17287 m
.88635 .15986 L
s
% Start of user PostScript
2.24399 -4.28571 2.54887 -4.45608 MAarrowhead1
% End of user PostScript
.84014 .23829 m
.88635 .22789 L
s
% Start of user PostScript
2.24399 -3.42857 2.54887 -3.56486 MAarrowhead1
% End of user PostScript
.84014 .30372 m
.88635 .29592 L
s
% Start of user PostScript
2.24399 -2.57143 2.54887 -2.67365 MAarrowhead1
% End of user PostScript
.84014 .36915 m
.88635 .36395 L
s
% Start of user PostScript
2.24399 -1.71429 2.54887 -1.78243 MAarrowhead1
% End of user PostScript
.84014 .43457 m
.88635 .43197 L
s
% Start of user PostScript
2.24399 -0.857143 2.54887 -0.891215 MAarrowhead1
% End of user PostScript
.84014 .5 m
.88635 .5 L
s
% Start of user PostScript
2.24399 0 2.54887 0 MAarrowhead1
% End of user PostScript
.84014 .56543 m
.88635 .56803 L
s
% Start of user PostScript
2.24399 0.857143 2.54887 0.891215 MAarrowhead1
% End of user PostScript
.84014 .63085 m
.88635 .63605 L
s
% Start of user PostScript
2.24399 1.71429 2.54887 1.78243 MAarrowhead1
% End of user PostScript
.84014 .69628 m
.88635 .70408 L
s
% Start of user PostScript
2.24399 2.57143 2.54887 2.67365 MAarrowhead1
% End of user PostScript
.84014 .76171 m
.88635 .77211 L
s
% Start of user PostScript
2.24399 3.42857 2.54887 3.56486 MAarrowhead1
% End of user PostScript
.84014 .82713 m
.88635 .84014 L
s
% Start of user PostScript
2.24399 4.28571 2.54887 4.45608 MAarrowhead1
% End of user PostScript
.84014 .89256 m
.88635 .90816 L
s
% Start of user PostScript
2.24399 5.14286 2.54887 5.34729 MAarrowhead1
% End of user PostScript
.84014 .95799 m
.88635 .97619 L
s
% Start of user PostScript
2.24399 6. 2.54887 6.23851 MAarrowhead1
% End of user PostScript
.90816 .04201 m
.93381 .02381 L
s
% Start of user PostScript
2.69279 -6. 2.86199 -6.23851 MAarrowhead1
% End of user PostScript
.90816 .10744 m
.93381 .09184 L
s
% Start of user PostScript
2.69279 -5.14286 2.86199 -5.34729 MAarrowhead1
% End of user PostScript
.90816 .17287 m
.93381 .15986 L
s
% Start of user PostScript
2.69279 -4.28571 2.86199 -4.45608 MAarrowhead1
% End of user PostScript
.90816 .23829 m
.93381 .22789 L
s
% Start of user PostScript
2.69279 -3.42857 2.86199 -3.56486 MAarrowhead1
% End of user PostScript
.90816 .30372 m
.93381 .29592 L
s
% Start of user PostScript
2.69279 -2.57143 2.86199 -2.67365 MAarrowhead1
% End of user PostScript
.90816 .36915 m
.93381 .36395 L
s
% Start of user PostScript
2.69279 -1.71429 2.86199 -1.78243 MAarrowhead1
% End of user PostScript
.90816 .43457 m
.93381 .43197 L
s
% Start of user PostScript
2.69279 -0.857143 2.86199 -0.891215 MAarrowhead1
% End of user PostScript
.90816 .5 m
.93381 .5 L
s
% Start of user PostScript
2.69279 0 2.86199 0 MAarrowhead1
% End of user PostScript
.90816 .56543 m
.93381 .56803 L
s
% Start of user PostScript
2.69279 0.857143 2.86199 0.891215 MAarrowhead1
% End of user PostScript
.90816 .63085 m
.93381 .63605 L
s
% Start of user PostScript
2.69279 1.71429 2.86199 1.78243 MAarrowhead1
% End of user PostScript
.90816 .69628 m
.93381 .70408 L
s
% Start of user PostScript
2.69279 2.57143 2.86199 2.67365 MAarrowhead1
% End of user PostScript
.90816 .76171 m
.93381 .77211 L
s
% Start of user PostScript
2.69279 3.42857 2.86199 3.56486 MAarrowhead1
% End of user PostScript
.90816 .82713 m
.93381 .84014 L
s
% Start of user PostScript
2.69279 4.28571 2.86199 4.45608 MAarrowhead1
% End of user PostScript
.90816 .89256 m
.93381 .90816 L
s
% Start of user PostScript
2.69279 5.14286 2.86199 5.34729 MAarrowhead1
% End of user PostScript
.90816 .95799 m
.93381 .97619 L
s
% Start of user PostScript
2.69279 6. 2.86199 6.23851 MAarrowhead1
% End of user PostScript
.97619 .04201 m
.97619 .02381 L
s
% Start of user PostScript
3.14159 -6. 3.14159 -6.23851 MAarrowhead1
% End of user PostScript
.97619 .10744 m
.97619 .09184 L
s
% Start of user PostScript
3.14159 -5.14286 3.14159 -5.34729 MAarrowhead1
% End of user PostScript
.97619 .17287 m
.97619 .15986 L
s
% Start of user PostScript
3.14159 -4.28571 3.14159 -4.45608 MAarrowhead1
% End of user PostScript
.97619 .23829 m
.97619 .22789 L
s
% Start of user PostScript
3.14159 -3.42857 3.14159 -3.56486 MAarrowhead1
% End of user PostScript
.97619 .30372 m
.97619 .29592 L
s
% Start of user PostScript
3.14159 -2.57143 3.14159 -2.67365 MAarrowhead1
% End of user PostScript
.97619 .36915 m
.97619 .36395 L
s
% Start of user PostScript
3.14159 -1.71429 3.14159 -1.78243 MAarrowhead1
% End of user PostScript
.97619 .43457 m
.97619 .43197 L
s
% Start of user PostScript
3.14159 -0.857143 3.14159 -0.891215 MAarrowhead1
% End of user PostScript
.97619 .5 m
.97619 .5 L
s
% Start of user PostScript
3.14159 0 MAarrowzero1
% End of user PostScript
.97619 .56543 m
.97619 .56803 L
s
% Start of user PostScript
3.14159 0.857143 3.14159 0.891215 MAarrowhead1
% End of user PostScript
.97619 .63085 m
.97619 .63605 L
s
% Start of user PostScript
3.14159 1.71429 3.14159 1.78243 MAarrowhead1
% End of user PostScript
.97619 .69628 m
.97619 .70408 L
s
% Start of user PostScript
3.14159 2.57143 3.14159 2.67365 MAarrowhead1
% End of user PostScript
.97619 .76171 m
.97619 .77211 L
s
% Start of user PostScript
3.14159 3.42857 3.14159 3.56486 MAarrowhead1
% End of user PostScript
.97619 .82713 m
.97619 .84014 L
s
% Start of user PostScript
3.14159 4.28571 3.14159 4.45608 MAarrowhead1
% End of user PostScript
.97619 .89256 m
.97619 .90816 L
s
% Start of user PostScript
3.14159 5.14286 3.14159 5.34729 MAarrowhead1
% End of user PostScript
.97619 .95799 m
.97619 .97619 L
s
% Start of user PostScript
3.14159 6. 3.14159 6.23851 MAarrowhead1
% End of user PostScript
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(gra4 = 
        PlotVectorField[{x2, \(-\((B/\((M*L)\))\)\)*x2 - \((g/M)\)*
                Sin[x1]}, {x1, x1min, x1max}, {x2, x2min, x2max}, 
          HeadCenter \[Rule] 1, AspectRatio \[Rule] 1, 
          HeadLength \[Rule] 1/80, Frame \[Rule] True, PlotPoints \[Rule] 15, 
          PlotLabel -> "\<Curvas de nivel del  Hamiltoniano  H(\[Delta],\
\[Omega]) y Campo  Vectorial de  las  ecuaciones 
      \[Delta]' =  \[Omega];\[IndentingNewLine]\[Omega]' =(1/M)*Pm - \
(B/M)*x2-(K/M)*Sin(\[Delta]); \>"];\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.141229 0.5 0.0750088 [
[.07631 -0.0125 -6 -9 ]
[.07631 -0.0125 6 0 ]
[.21754 -0.0125 -6 -9 ]
[.21754 -0.0125 6 0 ]
[.35877 -0.0125 -6 -9 ]
[.35877 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.64123 -0.0125 -3 -9 ]
[.64123 -0.0125 3 0 ]
[.78246 -0.0125 -3 -9 ]
[.78246 -0.0125 3 0 ]
[.92369 -0.0125 -3 -9 ]
[.92369 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .04995 -12 -4.5 ]
[-0.0125 .04995 0 4.5 ]
[-0.0125 .19996 -12 -4.5 ]
[-0.0125 .19996 0 4.5 ]
[-0.0125 .34998 -12 -4.5 ]
[-0.0125 .34998 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .65002 -6 -4.5 ]
[-0.0125 .65002 0 4.5 ]
[-0.0125 .80004 -6 -4.5 ]
[-0.0125 .80004 0 4.5 ]
[-0.0125 .95005 -6 -4.5 ]
[-0.0125 .95005 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -290 0 ]
[.5 1.0125 290 25.75 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07631 0 m
.07631 .00625 L
s
[(-3)] .07631 -0.0125 0 1 Mshowa
.21754 0 m
.21754 .00625 L
s
[(-2)] .21754 -0.0125 0 1 Mshowa
.35877 0 m
.35877 .00625 L
s
[(-1)] .35877 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.64123 0 m
.64123 .00625 L
s
[(1)] .64123 -0.0125 0 1 Mshowa
.78246 0 m
.78246 .00625 L
s
[(2)] .78246 -0.0125 0 1 Mshowa
.92369 0 m
.92369 .00625 L
s
[(3)] .92369 -0.0125 0 1 Mshowa
.125 Mabswid
.10456 0 m
.10456 .00375 L
s
.1328 0 m
.1328 .00375 L
s
.16105 0 m
.16105 .00375 L
s
.1893 0 m
.1893 .00375 L
s
.24579 0 m
.24579 .00375 L
s
.27403 0 m
.27403 .00375 L
s
.30228 0 m
.30228 .00375 L
s
.33052 0 m
.33052 .00375 L
s
.38702 0 m
.38702 .00375 L
s
.41526 0 m
.41526 .00375 L
s
.44351 0 m
.44351 .00375 L
s
.47175 0 m
.47175 .00375 L
s
.52825 0 m
.52825 .00375 L
s
.55649 0 m
.55649 .00375 L
s
.58474 0 m
.58474 .00375 L
s
.61298 0 m
.61298 .00375 L
s
.66948 0 m
.66948 .00375 L
s
.69772 0 m
.69772 .00375 L
s
.72597 0 m
.72597 .00375 L
s
.75421 0 m
.75421 .00375 L
s
.8107 0 m
.8107 .00375 L
s
.83895 0 m
.83895 .00375 L
s
.8672 0 m
.8672 .00375 L
s
.89544 0 m
.89544 .00375 L
s
.04807 0 m
.04807 .00375 L
s
.01982 0 m
.01982 .00375 L
s
.95193 0 m
.95193 .00375 L
s
.98018 0 m
.98018 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .04995 m
.00625 .04995 L
s
[(-6)] -0.0125 .04995 1 0 Mshowa
0 .19996 m
.00625 .19996 L
s
[(-4)] -0.0125 .19996 1 0 Mshowa
0 .34998 m
.00625 .34998 L
s
[(-2)] -0.0125 .34998 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .65002 m
.00625 .65002 L
s
[(2)] -0.0125 .65002 1 0 Mshowa
0 .80004 m
.00625 .80004 L
s
[(4)] -0.0125 .80004 1 0 Mshowa
0 .95005 m
.00625 .95005 L
s
[(6)] -0.0125 .95005 1 0 Mshowa
.125 Mabswid
0 .08745 m
.00375 .08745 L
s
0 .12496 m
.00375 .12496 L
s
0 .16246 m
.00375 .16246 L
s
0 .23747 m
.00375 .23747 L
s
0 .27497 m
.00375 .27497 L
s
0 .31248 m
.00375 .31248 L
s
0 .38749 m
.00375 .38749 L
s
0 .42499 m
.00375 .42499 L
s
0 .4625 m
.00375 .4625 L
s
0 .5375 m
.00375 .5375 L
s
0 .57501 m
.00375 .57501 L
s
0 .61251 m
.00375 .61251 L
s
0 .68752 m
.00375 .68752 L
s
0 .72503 m
.00375 .72503 L
s
0 .76253 m
.00375 .76253 L
s
0 .83754 m
.00375 .83754 L
s
0 .87504 m
.00375 .87504 L
s
0 .91255 m
.00375 .91255 L
s
0 .01244 m
.00375 .01244 L
s
0 .98756 m
.00375 .98756 L
s
.25 Mabswid
0 0 m
0 1 L
s
.07631 .99375 m
.07631 1 L
s
.21754 .99375 m
.21754 1 L
s
.35877 .99375 m
.35877 1 L
s
.5 .99375 m
.5 1 L
s
.64123 .99375 m
.64123 1 L
s
.78246 .99375 m
.78246 1 L
s
.92369 .99375 m
.92369 1 L
s
.125 Mabswid
.10456 .99625 m
.10456 1 L
s
.1328 .99625 m
.1328 1 L
s
.16105 .99625 m
.16105 1 L
s
.1893 .99625 m
.1893 1 L
s
.24579 .99625 m
.24579 1 L
s
.27403 .99625 m
.27403 1 L
s
.30228 .99625 m
.30228 1 L
s
.33052 .99625 m
.33052 1 L
s
.38702 .99625 m
.38702 1 L
s
.41526 .99625 m
.41526 1 L
s
.44351 .99625 m
.44351 1 L
s
.47175 .99625 m
.47175 1 L
s
.52825 .99625 m
.52825 1 L
s
.55649 .99625 m
.55649 1 L
s
.58474 .99625 m
.58474 1 L
s
.61298 .99625 m
.61298 1 L
s
.66948 .99625 m
.66948 1 L
s
.69772 .99625 m
.69772 1 L
s
.72597 .99625 m
.72597 1 L
s
.75421 .99625 m
.75421 1 L
s
.8107 .99625 m
.8107 1 L
s
.83895 .99625 m
.83895 1 L
s
.8672 .99625 m
.8672 1 L
s
.89544 .99625 m
.89544 1 L
s
.04807 .99625 m
.04807 1 L
s
.01982 .99625 m
.01982 1 L
s
.95193 .99625 m
.95193 1 L
s
.98018 .99625 m
.98018 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .04995 m
1 .04995 L
s
.99375 .19996 m
1 .19996 L
s
.99375 .34998 m
1 .34998 L
s
.99375 .5 m
1 .5 L
s
.99375 .65002 m
1 .65002 L
s
.99375 .80004 m
1 .80004 L
s
.99375 .95005 m
1 .95005 L
s
.125 Mabswid
.99625 .08745 m
1 .08745 L
s
.99625 .12496 m
1 .12496 L
s
.99625 .16246 m
1 .16246 L
s
.99625 .23747 m
1 .23747 L
s
.99625 .27497 m
1 .27497 L
s
.99625 .31248 m
1 .31248 L
s
.99625 .38749 m
1 .38749 L
s
.99625 .42499 m
1 .42499 L
s
.99625 .4625 m
1 .4625 L
s
.99625 .5375 m
1 .5375 L
s
.99625 .57501 m
1 .57501 L
s
.99625 .61251 m
1 .61251 L
s
.99625 .68752 m
1 .68752 L
s
.99625 .72503 m
1 .72503 L
s
.99625 .76253 m
1 .76253 L
s
.99625 .83754 m
1 .83754 L
s
.99625 .87504 m
1 .87504 L
s
.99625 .91255 m
1 .91255 L
s
.99625 .01244 m
1 .01244 L
s
.99625 .98756 m
1 .98756 L
s
.25 Mabswid
1 0 m
1 1 L
s
gsave
.5 1.0125 -351 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 33.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Curvas) show
105.000 12.813 moveto
(de) show
123.000 12.813 moveto
(nivel) show
159.000 12.813 moveto
(del) show
189.000 12.813 moveto
(Hamiltoniano) show
273.000 12.813 moveto
(H) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
279.000 12.813 moveto
(H) show
285.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
291.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
297.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
303.000 12.813 moveto
(L) show
315.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(y) show
327.000 12.813 moveto
(Campo) show
369.000 12.813 moveto
(Vectorial) show
429.000 12.813 moveto
(de) show
453.000 12.813 moveto
(las) show
483.000 12.813 moveto
(ecuaciones) show
591.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
597.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(') show
609.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
627.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
633.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(;) show
639.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
75.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
81.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(') show
93.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
99.000 26.000 moveto
(H) show
105.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
111.000 26.000 moveto
(\\220) show
117.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
123.000 26.000 moveto
(L) show
129.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
135.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Pm) show
153.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
165.000 26.000 moveto
(H) show
171.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(B) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
177.000 26.000 moveto
(\\220) show
183.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
189.000 26.000 moveto
(L) show
195.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
201.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x2) show
213.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
219.000 26.000 moveto
(H) show
225.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
231.000 26.000 moveto
(\\220) show
237.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
243.000 26.000 moveto
(L) show
249.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
255.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
273.000 26.000 moveto
(H) show
279.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
285.000 26.000 moveto
(L) show
291.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(;) show
303.000 26.000 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto fill
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto
-0.0125 0.003125 lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
0 0 Mdot
grestore
} def
% End of user PostScript
.0001 w
.05631 .04995 m
.02381 .05133 L
s
% Start of user PostScript
-3.14159 -6. -3.37175 -5.98159 MAarrowhead1
% End of user PostScript
.05631 .11424 m
.02845 .11542 L
s
% Start of user PostScript
-3.14159 -5.14286 -3.33887 -5.12707 MAarrowhead1
% End of user PostScript
.05631 .17853 m
.0331 .17952 L
s
% Start of user PostScript
-3.14159 -4.28571 -3.30599 -4.27256 MAarrowhead1
% End of user PostScript
.05631 .24283 m
.03774 .24362 L
s
% Start of user PostScript
-3.14159 -3.42857 -3.27311 -3.41805 MAarrowhead1
% End of user PostScript
.05631 .30712 m
.04238 .30771 L
s
% Start of user PostScript
-3.14159 -2.57143 -3.24023 -2.56354 MAarrowhead1
% End of user PostScript
.05631 .37141 m
.04703 .37181 L
s
% Start of user PostScript
-3.14159 -1.71429 -3.20735 -1.70902 MAarrowhead1
% End of user PostScript
.05631 .43571 m
.05167 .4359 L
s
% Start of user PostScript
-3.14159 -0.857143 -3.17447 -0.854512 MAarrowhead1
% End of user PostScript
.05631 .5 m
.05631 .5 L
s
% Start of user PostScript
-3.14159 0 MAarrowzero1
% End of user PostScript
.05631 .56429 m
.06096 .5641 L
s
% Start of user PostScript
-3.14159 0.857143 -3.10871 0.854512 MAarrowhead1
% End of user PostScript
.05631 .62859 m
.0656 .62819 L
s
% Start of user PostScript
-3.14159 1.71429 -3.07583 1.70902 MAarrowhead1
% End of user PostScript
.05631 .69288 m
.07025 .69229 L
s
% Start of user PostScript
-3.14159 2.57143 -3.04295 2.56354 MAarrowhead1
% End of user PostScript
.05631 .75717 m
.07489 .75638 L
s
% Start of user PostScript
-3.14159 3.42857 -3.01007 3.41805 MAarrowhead1
% End of user PostScript
.05631 .82147 m
.07953 .82048 L
s
% Start of user PostScript
-3.14159 4.28571 -2.97719 4.27256 MAarrowhead1
% End of user PostScript
.05631 .88576 m
.08418 .88458 L
s
% Start of user PostScript
-3.14159 5.14286 -2.94431 5.12707 MAarrowhead1
% End of user PostScript
.05631 .95005 m
.08882 .94867 L
s
% Start of user PostScript
-3.14159 6. -2.91143 5.98159 MAarrowhead1
% End of user PostScript
.1197 .04995 m
.08719 .06358 L
s
% Start of user PostScript
-2.69279 -6. -2.92295 -5.81831 MAarrowhead1
% End of user PostScript
.1197 .11424 m
.09184 .12767 L
s
% Start of user PostScript
-2.69279 -5.14286 -2.89007 -4.9638 MAarrowhead1
% End of user PostScript
.1197 .17853 m
.09648 .19177 L
s
% Start of user PostScript
-2.69279 -4.28571 -2.85719 -4.10929 MAarrowhead1
% End of user PostScript
.1197 .24283 m
.10112 .25586 L
s
% Start of user PostScript
-2.69279 -3.42857 -2.82431 -3.25477 MAarrowhead1
% End of user PostScript
.1197 .30712 m
.10577 .31996 L
s
% Start of user PostScript
-2.69279 -2.57143 -2.79143 -2.40026 MAarrowhead1
% End of user PostScript
.1197 .37141 m
.11041 .38406 L
s
% Start of user PostScript
-2.69279 -1.71429 -2.75855 -1.54575 MAarrowhead1
% End of user PostScript
.1197 .43571 m
.11505 .44815 L
s
% Start of user PostScript
-2.69279 -0.857143 -2.72567 -0.691237 MAarrowhead1
% End of user PostScript
.1197 .5 m
.1197 .51225 L
s
% Start of user PostScript
-2.69279 0 -2.69279 0.163275 MAarrowhead1
% End of user PostScript
.1197 .56429 m
.12434 .57634 L
s
% Start of user PostScript
-2.69279 0.857143 -2.65991 1.01779 MAarrowhead1
% End of user PostScript
.1197 .62859 m
.12899 .64044 L
s
% Start of user PostScript
-2.69279 1.71429 -2.62703 1.8723 MAarrowhead1
% End of user PostScript
.1197 .69288 m
.13363 .70453 L
s
% Start of user PostScript
-2.69279 2.57143 -2.59415 2.72681 MAarrowhead1
% End of user PostScript
.1197 .75717 m
.13827 .76863 L
s
% Start of user PostScript
-2.69279 3.42857 -2.56127 3.58132 MAarrowhead1
% End of user PostScript
.1197 .82147 m
.14292 .83273 L
s
% Start of user PostScript
-2.69279 4.28571 -2.52839 4.43584 MAarrowhead1
% End of user PostScript
.1197 .88576 m
.14756 .89682 L
s
% Start of user PostScript
-2.69279 5.14286 -2.49551 5.29035 MAarrowhead1
% End of user PostScript
.1197 .95005 m
.1522 .96092 L
s
% Start of user PostScript
-2.69279 6. -2.46263 6.14486 MAarrowhead1
% End of user PostScript
.18308 .04995 m
.15058 .0734 L
s
% Start of user PostScript
-2.24399 -6. -2.47415 -5.68738 MAarrowhead1
% End of user PostScript
.18308 .11424 m
.15522 .13749 L
s
% Start of user PostScript
-2.24399 -5.14286 -2.44127 -4.83286 MAarrowhead1
% End of user PostScript
.18308 .17853 m
.15986 .20159 L
s
% Start of user PostScript
-2.24399 -4.28571 -2.40839 -3.97835 MAarrowhead1
% End of user PostScript
.18308 .24283 m
.16451 .26568 L
s
% Start of user PostScript
-2.24399 -3.42857 -2.37551 -3.12384 MAarrowhead1
% End of user PostScript
.18308 .30712 m
.16915 .32978 L
s
% Start of user PostScript
-2.24399 -2.57143 -2.34263 -2.26933 MAarrowhead1
% End of user PostScript
.18308 .37141 m
.17379 .39388 L
s
% Start of user PostScript
-2.24399 -1.71429 -2.30975 -1.41481 MAarrowhead1
% End of user PostScript
.18308 .43571 m
.17844 .45797 L
s
% Start of user PostScript
-2.24399 -0.857143 -2.27687 -0.560301 MAarrowhead1
% End of user PostScript
.18308 .5 m
.18308 .52207 L
s
% Start of user PostScript
-2.24399 0 -2.24399 0.294211 MAarrowhead1
% End of user PostScript
.18308 .56429 m
.18773 .58616 L
s
% Start of user PostScript
-2.24399 0.857143 -2.21111 1.14872 MAarrowhead1
% End of user PostScript
.18308 .62859 m
.19237 .65026 L
s
% Start of user PostScript
-2.24399 1.71429 -2.17823 2.00324 MAarrowhead1
% End of user PostScript
.18308 .69288 m
.19701 .71436 L
s
% Start of user PostScript
-2.24399 2.57143 -2.14536 2.85775 MAarrowhead1
% End of user PostScript
.18308 .75717 m
.20166 .77845 L
s
% Start of user PostScript
-2.24399 3.42857 -2.11248 3.71226 MAarrowhead1
% End of user PostScript
.18308 .82147 m
.2063 .84255 L
s
% Start of user PostScript
-2.24399 4.28571 -2.0796 4.56677 MAarrowhead1
% End of user PostScript
.18308 .88576 m
.21094 .90664 L
s
% Start of user PostScript
-2.24399 5.14286 -2.04672 5.42129 MAarrowhead1
% End of user PostScript
.18308 .95005 m
.21559 .97074 L
s
% Start of user PostScript
-2.24399 6. -2.01384 6.2758 MAarrowhead1
% End of user PostScript
.24647 .04995 m
.21396 .07885 L
s
% Start of user PostScript
-1.7952 -6. -2.02536 -5.61471 MAarrowhead1
% End of user PostScript
.24647 .11424 m
.2186 .14294 L
s
% Start of user PostScript
-1.7952 -5.14286 -1.99248 -4.7602 MAarrowhead1
% End of user PostScript
.24647 .17853 m
.22325 .20704 L
s
% Start of user PostScript
-1.7952 -4.28571 -1.9596 -3.90569 MAarrowhead1
% End of user PostScript
.24647 .24283 m
.22789 .27114 L
s
% Start of user PostScript
-1.7952 -3.42857 -1.92672 -3.05117 MAarrowhead1
% End of user PostScript
.24647 .30712 m
.23253 .33523 L
s
% Start of user PostScript
-1.7952 -2.57143 -1.89384 -2.19666 MAarrowhead1
% End of user PostScript
.24647 .37141 m
.23718 .39933 L
s
% Start of user PostScript
-1.7952 -1.71429 -1.86096 -1.34215 MAarrowhead1
% End of user PostScript
.24647 .43571 m
.24182 .46342 L
s
% Start of user PostScript
-1.7952 -0.857143 -1.82808 -0.487637 MAarrowhead1
% End of user PostScript
.24647 .5 m
.24647 .52752 L
s
% Start of user PostScript
-1.7952 0 -1.7952 0.366876 MAarrowhead1
% End of user PostScript
.24647 .56429 m
.25111 .59161 L
s
% Start of user PostScript
-1.7952 0.857143 -1.76232 1.22139 MAarrowhead1
% End of user PostScript
.24647 .62859 m
.25575 .65571 L
s
% Start of user PostScript
-1.7952 1.71429 -1.72944 2.0759 MAarrowhead1
% End of user PostScript
.24647 .69288 m
.2604 .71981 L
s
% Start of user PostScript
-1.7952 2.57143 -1.69656 2.93041 MAarrowhead1
% End of user PostScript
.24647 .75717 m
.26504 .7839 L
s
% Start of user PostScript
-1.7952 3.42857 -1.66368 3.78493 MAarrowhead1
% End of user PostScript
.24647 .82147 m
.26968 .848 L
s
% Start of user PostScript
-1.7952 4.28571 -1.6308 4.63944 MAarrowhead1
% End of user PostScript
.24647 .88576 m
.27433 .91209 L
s
% Start of user PostScript
-1.7952 5.14286 -1.59792 5.49395 MAarrowhead1
% End of user PostScript
.24647 .95005 m
.27897 .97619 L
s
% Start of user PostScript
-1.7952 6. -1.56504 6.34846 MAarrowhead1
% End of user PostScript
.30985 .04995 m
.27734 .07885 L
s
% Start of user PostScript
-1.3464 -6. -1.57656 -5.61471 MAarrowhead1
% End of user PostScript
.30985 .11424 m
.28199 .14294 L
s
% Start of user PostScript
-1.3464 -5.14286 -1.54368 -4.7602 MAarrowhead1
% End of user PostScript
.30985 .17853 m
.28663 .20704 L
s
% Start of user PostScript
-1.3464 -4.28571 -1.5108 -3.90569 MAarrowhead1
% End of user PostScript
.30985 .24283 m
.29127 .27114 L
s
% Start of user PostScript
-1.3464 -3.42857 -1.47792 -3.05117 MAarrowhead1
% End of user PostScript
.30985 .30712 m
.29592 .33523 L
s
% Start of user PostScript
-1.3464 -2.57143 -1.44504 -2.19666 MAarrowhead1
% End of user PostScript
.30985 .37141 m
.30056 .39933 L
s
% Start of user PostScript
-1.3464 -1.71429 -1.41216 -1.34215 MAarrowhead1
% End of user PostScript
.30985 .43571 m
.30521 .46342 L
s
% Start of user PostScript
-1.3464 -0.857143 -1.37928 -0.487637 MAarrowhead1
% End of user PostScript
.30985 .5 m
.30985 .52752 L
s
% Start of user PostScript
-1.3464 0 -1.3464 0.366876 MAarrowhead1
% End of user PostScript
.30985 .56429 m
.31449 .59161 L
s
% Start of user PostScript
-1.3464 0.857143 -1.31352 1.22139 MAarrowhead1
% End of user PostScript
.30985 .62859 m
.31914 .65571 L
s
% Start of user PostScript
-1.3464 1.71429 -1.28064 2.0759 MAarrowhead1
% End of user PostScript
.30985 .69288 m
.32378 .71981 L
s
% Start of user PostScript
-1.3464 2.57143 -1.24776 2.93041 MAarrowhead1
% End of user PostScript
.30985 .75717 m
.32842 .7839 L
s
% Start of user PostScript
-1.3464 3.42857 -1.21488 3.78493 MAarrowhead1
% End of user PostScript
.30985 .82147 m
.33307 .848 L
s
% Start of user PostScript
-1.3464 4.28571 -1.182 4.63944 MAarrowhead1
% End of user PostScript
.30985 .88576 m
.33771 .91209 L
s
% Start of user PostScript
-1.3464 5.14286 -1.14912 5.49395 MAarrowhead1
% End of user PostScript
.30985 .95005 m
.34235 .97619 L
s
% Start of user PostScript
-1.3464 6. -1.11624 6.34846 MAarrowhead1
% End of user PostScript
.37323 .04995 m
.34073 .0734 L
s
% Start of user PostScript
-0.897598 -6. -1.12776 -5.68738 MAarrowhead1
% End of user PostScript
.37323 .11424 m
.34537 .13749 L
s
% Start of user PostScript
-0.897598 -5.14286 -1.09488 -4.83286 MAarrowhead1
% End of user PostScript
.37323 .17853 m
.35001 .20159 L
s
% Start of user PostScript
-0.897598 -4.28571 -1.062 -3.97835 MAarrowhead1
% End of user PostScript
.37323 .24283 m
.35466 .26568 L
s
% Start of user PostScript
-0.897598 -3.42857 -1.02912 -3.12384 MAarrowhead1
% End of user PostScript
.37323 .30712 m
.3593 .32978 L
s
% Start of user PostScript
-0.897598 -2.57143 -0.996238 -2.26933 MAarrowhead1
% End of user PostScript
.37323 .37141 m
.36395 .39388 L
s
% Start of user PostScript
-0.897598 -1.71429 -0.963358 -1.41481 MAarrowhead1
% End of user PostScript
.37323 .43571 m
.36859 .45797 L
s
% Start of user PostScript
-0.897598 -0.857143 -0.930478 -0.560301 MAarrowhead1
% End of user PostScript
.37323 .5 m
.37323 .52207 L
s
% Start of user PostScript
-0.897598 0 -0.897598 0.294211 MAarrowhead1
% End of user PostScript
.37323 .56429 m
.37788 .58616 L
s
% Start of user PostScript
-0.897598 0.857143 -0.864718 1.14872 MAarrowhead1
% End of user PostScript
.37323 .62859 m
.38252 .65026 L
s
% Start of user PostScript
-0.897598 1.71429 -0.831838 2.00324 MAarrowhead1
% End of user PostScript
.37323 .69288 m
.38716 .71436 L
s
% Start of user PostScript
-0.897598 2.57143 -0.798958 2.85775 MAarrowhead1
% End of user PostScript
.37323 .75717 m
.39181 .77845 L
s
% Start of user PostScript
-0.897598 3.42857 -0.766078 3.71226 MAarrowhead1
% End of user PostScript
.37323 .82147 m
.39645 .84255 L
s
% Start of user PostScript
-0.897598 4.28571 -0.733198 4.56677 MAarrowhead1
% End of user PostScript
.37323 .88576 m
.40109 .90664 L
s
% Start of user PostScript
-0.897598 5.14286 -0.700318 5.42129 MAarrowhead1
% End of user PostScript
.37323 .95005 m
.40574 .97074 L
s
% Start of user PostScript
-0.897598 6. -0.667439 6.2758 MAarrowhead1
% End of user PostScript
.43662 .04995 m
.40411 .06358 L
s
% Start of user PostScript
-0.448799 -6. -0.678958 -5.81831 MAarrowhead1
% End of user PostScript
.43662 .11424 m
.40875 .12767 L
s
% Start of user PostScript
-0.448799 -5.14286 -0.646078 -4.9638 MAarrowhead1
% End of user PostScript
.43662 .17853 m
.4134 .19177 L
s
% Start of user PostScript
-0.448799 -4.28571 -0.613198 -4.10929 MAarrowhead1
% End of user PostScript
.43662 .24283 m
.41804 .25586 L
s
% Start of user PostScript
-0.448799 -3.42857 -0.580319 -3.25477 MAarrowhead1
% End of user PostScript
.43662 .30712 m
.42269 .31996 L
s
% Start of user PostScript
-0.448799 -2.57143 -0.547439 -2.40026 MAarrowhead1
% End of user PostScript
.43662 .37141 m
.42733 .38406 L
s
% Start of user PostScript
-0.448799 -1.71429 -0.514559 -1.54575 MAarrowhead1
% End of user PostScript
.43662 .43571 m
.43197 .44815 L
s
% Start of user PostScript
-0.448799 -0.857143 -0.481679 -0.691237 MAarrowhead1
% End of user PostScript
.43662 .5 m
.43662 .51225 L
s
% Start of user PostScript
-0.448799 0 -0.448799 0.163275 MAarrowhead1
% End of user PostScript
.43662 .56429 m
.44126 .57634 L
s
% Start of user PostScript
-0.448799 0.857143 -0.415919 1.01779 MAarrowhead1
% End of user PostScript
.43662 .62859 m
.4459 .64044 L
s
% Start of user PostScript
-0.448799 1.71429 -0.383039 1.8723 MAarrowhead1
% End of user PostScript
.43662 .69288 m
.45055 .70453 L
s
% Start of user PostScript
-0.448799 2.57143 -0.350159 2.72681 MAarrowhead1
% End of user PostScript
.43662 .75717 m
.45519 .76863 L
s
% Start of user PostScript
-0.448799 3.42857 -0.317279 3.58132 MAarrowhead1
% End of user PostScript
.43662 .82147 m
.45983 .83273 L
s
% Start of user PostScript
-0.448799 4.28571 -0.284399 4.43584 MAarrowhead1
% End of user PostScript
.43662 .88576 m
.46448 .89682 L
s
% Start of user PostScript
-0.448799 5.14286 -0.251519 5.29035 MAarrowhead1
% End of user PostScript
.43662 .95005 m
.46912 .96092 L
s
% Start of user PostScript
-0.448799 6. -0.21864 6.14486 MAarrowhead1
% End of user PostScript
.5 .04995 m
.46749 .05133 L
s
% Start of user PostScript
0 -6. -0.230159 -5.98159 MAarrowhead1
% End of user PostScript
.5 .11424 m
.47214 .11542 L
s
% Start of user PostScript
0 -5.14286 -0.197279 -5.12707 MAarrowhead1
% End of user PostScript
.5 .17853 m
.47678 .17952 L
s
% Start of user PostScript
0 -4.28571 -0.1644 -4.27256 MAarrowhead1
% End of user PostScript
.5 .24283 m
.48143 .24362 L
s
% Start of user PostScript
0 -3.42857 -0.13152 -3.41805 MAarrowhead1
% End of user PostScript
.5 .30712 m
.48607 .30771 L
s
% Start of user PostScript
0 -2.57143 -0.0986397 -2.56354 MAarrowhead1
% End of user PostScript
.5 .37141 m
.49071 .37181 L
s
% Start of user PostScript
0 -1.71429 -0.0657598 -1.70902 MAarrowhead1
% End of user PostScript
.5 .43571 m
.49536 .4359 L
s
% Start of user PostScript
0 -0.857143 -0.0328799 -0.854512 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .56429 m
.50464 .5641 L
s
% Start of user PostScript
0 0.857143 0.0328799 0.854512 MAarrowhead1
% End of user PostScript
.5 .62859 m
.50929 .62819 L
s
% Start of user PostScript
0 1.71429 0.0657598 1.70902 MAarrowhead1
% End of user PostScript
.5 .69288 m
.51393 .69229 L
s
% Start of user PostScript
0 2.57143 0.0986397 2.56354 MAarrowhead1
% End of user PostScript
.5 .75717 m
.51857 .75638 L
s
% Start of user PostScript
0 3.42857 0.13152 3.41805 MAarrowhead1
% End of user PostScript
.5 .82147 m
.52322 .82048 L
s
% Start of user PostScript
0 4.28571 0.1644 4.27256 MAarrowhead1
% End of user PostScript
.5 .88576 m
.52786 .88458 L
s
% Start of user PostScript
0 5.14286 0.197279 5.12707 MAarrowhead1
% End of user PostScript
.5 .95005 m
.53251 .94867 L
s
% Start of user PostScript
0 6. 0.230159 5.98159 MAarrowhead1
% End of user PostScript
.56338 .04995 m
.53088 .03908 L
s
% Start of user PostScript
0.448799 -6. 0.21864 -6.14486 MAarrowhead1
% End of user PostScript
.56338 .11424 m
.53552 .10318 L
s
% Start of user PostScript
0.448799 -5.14286 0.251519 -5.29035 MAarrowhead1
% End of user PostScript
.56338 .17853 m
.54017 .16727 L
s
% Start of user PostScript
0.448799 -4.28571 0.284399 -4.43584 MAarrowhead1
% End of user PostScript
.56338 .24283 m
.54481 .23137 L
s
% Start of user PostScript
0.448799 -3.42857 0.317279 -3.58132 MAarrowhead1
% End of user PostScript
.56338 .30712 m
.54945 .29547 L
s
% Start of user PostScript
0.448799 -2.57143 0.350159 -2.72681 MAarrowhead1
% End of user PostScript
.56338 .37141 m
.5541 .35956 L
s
% Start of user PostScript
0.448799 -1.71429 0.383039 -1.8723 MAarrowhead1
% End of user PostScript
.56338 .43571 m
.55874 .42366 L
s
% Start of user PostScript
0.448799 -0.857143 0.415919 -1.01779 MAarrowhead1
% End of user PostScript
.56338 .5 m
.56338 .48775 L
s
% Start of user PostScript
0.448799 0 0.448799 -0.163275 MAarrowhead1
% End of user PostScript
.56338 .56429 m
.56803 .55185 L
s
% Start of user PostScript
0.448799 0.857143 0.481679 0.691237 MAarrowhead1
% End of user PostScript
.56338 .62859 m
.57267 .61594 L
s
% Start of user PostScript
0.448799 1.71429 0.514559 1.54575 MAarrowhead1
% End of user PostScript
.56338 .69288 m
.57731 .68004 L
s
% Start of user PostScript
0.448799 2.57143 0.547439 2.40026 MAarrowhead1
% End of user PostScript
.56338 .75717 m
.58196 .74414 L
s
% Start of user PostScript
0.448799 3.42857 0.580319 3.25477 MAarrowhead1
% End of user PostScript
.56338 .82147 m
.5866 .80823 L
s
% Start of user PostScript
0.448799 4.28571 0.613198 4.10929 MAarrowhead1
% End of user PostScript
.56338 .88576 m
.59125 .87233 L
s
% Start of user PostScript
0.448799 5.14286 0.646078 4.9638 MAarrowhead1
% End of user PostScript
.56338 .95005 m
.59589 .93642 L
s
% Start of user PostScript
0.448799 6. 0.678958 5.81831 MAarrowhead1
% End of user PostScript
.62677 .04995 m
.59426 .02926 L
s
% Start of user PostScript
0.897598 -6. 0.667439 -6.2758 MAarrowhead1
% End of user PostScript
.62677 .11424 m
.59891 .09336 L
s
% Start of user PostScript
0.897598 -5.14286 0.700318 -5.42129 MAarrowhead1
% End of user PostScript
.62677 .17853 m
.60355 .15745 L
s
% Start of user PostScript
0.897598 -4.28571 0.733198 -4.56677 MAarrowhead1
% End of user PostScript
.62677 .24283 m
.60819 .22155 L
s
% Start of user PostScript
0.897598 -3.42857 0.766078 -3.71226 MAarrowhead1
% End of user PostScript
.62677 .30712 m
.61284 .28564 L
s
% Start of user PostScript
0.897598 -2.57143 0.798958 -2.85775 MAarrowhead1
% End of user PostScript
.62677 .37141 m
.61748 .34974 L
s
% Start of user PostScript
0.897598 -1.71429 0.831838 -2.00324 MAarrowhead1
% End of user PostScript
.62677 .43571 m
.62212 .41384 L
s
% Start of user PostScript
0.897598 -0.857143 0.864718 -1.14872 MAarrowhead1
% End of user PostScript
.62677 .5 m
.62677 .47793 L
s
% Start of user PostScript
0.897598 0 0.897598 -0.294211 MAarrowhead1
% End of user PostScript
.62677 .56429 m
.63141 .54203 L
s
% Start of user PostScript
0.897598 0.857143 0.930478 0.560301 MAarrowhead1
% End of user PostScript
.62677 .62859 m
.63605 .60612 L
s
% Start of user PostScript
0.897598 1.71429 0.963358 1.41481 MAarrowhead1
% End of user PostScript
.62677 .69288 m
.6407 .67022 L
s
% Start of user PostScript
0.897598 2.57143 0.996238 2.26933 MAarrowhead1
% End of user PostScript
.62677 .75717 m
.64534 .73432 L
s
% Start of user PostScript
0.897598 3.42857 1.02912 3.12384 MAarrowhead1
% End of user PostScript
.62677 .82147 m
.64999 .79841 L
s
% Start of user PostScript
0.897598 4.28571 1.062 3.97835 MAarrowhead1
% End of user PostScript
.62677 .88576 m
.65463 .86251 L
s
% Start of user PostScript
0.897598 5.14286 1.09488 4.83286 MAarrowhead1
% End of user PostScript
.62677 .95005 m
.65927 .9266 L
s
% Start of user PostScript
0.897598 6. 1.12776 5.68738 MAarrowhead1
% End of user PostScript
.69015 .04995 m
.65765 .02381 L
s
% Start of user PostScript
1.3464 -6. 1.11624 -6.34846 MAarrowhead1
% End of user PostScript
.69015 .11424 m
.66229 .08791 L
s
% Start of user PostScript
1.3464 -5.14286 1.14912 -5.49395 MAarrowhead1
% End of user PostScript
.69015 .17853 m
.66693 .152 L
s
% Start of user PostScript
1.3464 -4.28571 1.182 -4.63944 MAarrowhead1
% End of user PostScript
.69015 .24283 m
.67158 .2161 L
s
% Start of user PostScript
1.3464 -3.42857 1.21488 -3.78493 MAarrowhead1
% End of user PostScript
.69015 .30712 m
.67622 .28019 L
s
% Start of user PostScript
1.3464 -2.57143 1.24776 -2.93041 MAarrowhead1
% End of user PostScript
.69015 .37141 m
.68086 .34429 L
s
% Start of user PostScript
1.3464 -1.71429 1.28064 -2.0759 MAarrowhead1
% End of user PostScript
.69015 .43571 m
.68551 .40839 L
s
% Start of user PostScript
1.3464 -0.857143 1.31352 -1.22139 MAarrowhead1
% End of user PostScript
.69015 .5 m
.69015 .47248 L
s
% Start of user PostScript
1.3464 0 1.3464 -0.366876 MAarrowhead1
% End of user PostScript
.69015 .56429 m
.69479 .53658 L
s
% Start of user PostScript
1.3464 0.857143 1.37928 0.487637 MAarrowhead1
% End of user PostScript
.69015 .62859 m
.69944 .60067 L
s
% Start of user PostScript
1.3464 1.71429 1.41216 1.34215 MAarrowhead1
% End of user PostScript
.69015 .69288 m
.70408 .66477 L
s
% Start of user PostScript
1.3464 2.57143 1.44504 2.19666 MAarrowhead1
% End of user PostScript
.69015 .75717 m
.70873 .72886 L
s
% Start of user PostScript
1.3464 3.42857 1.47792 3.05117 MAarrowhead1
% End of user PostScript
.69015 .82147 m
.71337 .79296 L
s
% Start of user PostScript
1.3464 4.28571 1.5108 3.90569 MAarrowhead1
% End of user PostScript
.69015 .88576 m
.71801 .85706 L
s
% Start of user PostScript
1.3464 5.14286 1.54368 4.7602 MAarrowhead1
% End of user PostScript
.69015 .95005 m
.72266 .92115 L
s
% Start of user PostScript
1.3464 6. 1.57656 5.61471 MAarrowhead1
% End of user PostScript
.75353 .04995 m
.72103 .02381 L
s
% Start of user PostScript
1.7952 -6. 1.56504 -6.34846 MAarrowhead1
% End of user PostScript
.75353 .11424 m
.72567 .08791 L
s
% Start of user PostScript
1.7952 -5.14286 1.59792 -5.49395 MAarrowhead1
% End of user PostScript
.75353 .17853 m
.73032 .152 L
s
% Start of user PostScript
1.7952 -4.28571 1.6308 -4.63944 MAarrowhead1
% End of user PostScript
.75353 .24283 m
.73496 .2161 L
s
% Start of user PostScript
1.7952 -3.42857 1.66368 -3.78493 MAarrowhead1
% End of user PostScript
.75353 .30712 m
.7396 .28019 L
s
% Start of user PostScript
1.7952 -2.57143 1.69656 -2.93041 MAarrowhead1
% End of user PostScript
.75353 .37141 m
.74425 .34429 L
s
% Start of user PostScript
1.7952 -1.71429 1.72944 -2.0759 MAarrowhead1
% End of user PostScript
.75353 .43571 m
.74889 .40839 L
s
% Start of user PostScript
1.7952 -0.857143 1.76232 -1.22139 MAarrowhead1
% End of user PostScript
.75353 .5 m
.75353 .47248 L
s
% Start of user PostScript
1.7952 0 1.7952 -0.366876 MAarrowhead1
% End of user PostScript
.75353 .56429 m
.75818 .53658 L
s
% Start of user PostScript
1.7952 0.857143 1.82808 0.487637 MAarrowhead1
% End of user PostScript
.75353 .62859 m
.76282 .60067 L
s
% Start of user PostScript
1.7952 1.71429 1.86096 1.34215 MAarrowhead1
% End of user PostScript
.75353 .69288 m
.76747 .66477 L
s
% Start of user PostScript
1.7952 2.57143 1.89384 2.19666 MAarrowhead1
% End of user PostScript
.75353 .75717 m
.77211 .72886 L
s
% Start of user PostScript
1.7952 3.42857 1.92672 3.05117 MAarrowhead1
% End of user PostScript
.75353 .82147 m
.77675 .79296 L
s
% Start of user PostScript
1.7952 4.28571 1.9596 3.90569 MAarrowhead1
% End of user PostScript
.75353 .88576 m
.7814 .85706 L
s
% Start of user PostScript
1.7952 5.14286 1.99248 4.7602 MAarrowhead1
% End of user PostScript
.75353 .95005 m
.78604 .92115 L
s
% Start of user PostScript
1.7952 6. 2.02536 5.61471 MAarrowhead1
% End of user PostScript
.81692 .04995 m
.78441 .02926 L
s
% Start of user PostScript
2.24399 -6. 2.01384 -6.2758 MAarrowhead1
% End of user PostScript
.81692 .11424 m
.78906 .09336 L
s
% Start of user PostScript
2.24399 -5.14286 2.04672 -5.42129 MAarrowhead1
% End of user PostScript
.81692 .17853 m
.7937 .15745 L
s
% Start of user PostScript
2.24399 -4.28571 2.0796 -4.56677 MAarrowhead1
% End of user PostScript
.81692 .24283 m
.79834 .22155 L
s
% Start of user PostScript
2.24399 -3.42857 2.11248 -3.71226 MAarrowhead1
% End of user PostScript
.81692 .30712 m
.80299 .28564 L
s
% Start of user PostScript
2.24399 -2.57143 2.14536 -2.85775 MAarrowhead1
% End of user PostScript
.81692 .37141 m
.80763 .34974 L
s
% Start of user PostScript
2.24399 -1.71429 2.17823 -2.00324 MAarrowhead1
% End of user PostScript
.81692 .43571 m
.81227 .41384 L
s
% Start of user PostScript
2.24399 -0.857143 2.21111 -1.14872 MAarrowhead1
% End of user PostScript
.81692 .5 m
.81692 .47793 L
s
% Start of user PostScript
2.24399 0 2.24399 -0.294211 MAarrowhead1
% End of user PostScript
.81692 .56429 m
.82156 .54203 L
s
% Start of user PostScript
2.24399 0.857143 2.27687 0.560301 MAarrowhead1
% End of user PostScript
.81692 .62859 m
.82621 .60612 L
s
% Start of user PostScript
2.24399 1.71429 2.30975 1.41481 MAarrowhead1
% End of user PostScript
.81692 .69288 m
.83085 .67022 L
s
% Start of user PostScript
2.24399 2.57143 2.34263 2.26933 MAarrowhead1
% End of user PostScript
.81692 .75717 m
.83549 .73432 L
s
% Start of user PostScript
2.24399 3.42857 2.37551 3.12384 MAarrowhead1
% End of user PostScript
.81692 .82147 m
.84014 .79841 L
s
% Start of user PostScript
2.24399 4.28571 2.40839 3.97835 MAarrowhead1
% End of user PostScript
.81692 .88576 m
.84478 .86251 L
s
% Start of user PostScript
2.24399 5.14286 2.44127 4.83286 MAarrowhead1
% End of user PostScript
.81692 .95005 m
.84942 .9266 L
s
% Start of user PostScript
2.24399 6. 2.47415 5.68738 MAarrowhead1
% End of user PostScript
.8803 .04995 m
.8478 .03908 L
s
% Start of user PostScript
2.69279 -6. 2.46263 -6.14486 MAarrowhead1
% End of user PostScript
.8803 .11424 m
.85244 .10318 L
s
% Start of user PostScript
2.69279 -5.14286 2.49551 -5.29035 MAarrowhead1
% End of user PostScript
.8803 .17853 m
.85708 .16727 L
s
% Start of user PostScript
2.69279 -4.28571 2.52839 -4.43584 MAarrowhead1
% End of user PostScript
.8803 .24283 m
.86173 .23137 L
s
% Start of user PostScript
2.69279 -3.42857 2.56127 -3.58132 MAarrowhead1
% End of user PostScript
.8803 .30712 m
.86637 .29547 L
s
% Start of user PostScript
2.69279 -2.57143 2.59415 -2.72681 MAarrowhead1
% End of user PostScript
.8803 .37141 m
.87101 .35956 L
s
% Start of user PostScript
2.69279 -1.71429 2.62703 -1.8723 MAarrowhead1
% End of user PostScript
.8803 .43571 m
.87566 .42366 L
s
% Start of user PostScript
2.69279 -0.857143 2.65991 -1.01779 MAarrowhead1
% End of user PostScript
.8803 .5 m
.8803 .48775 L
s
% Start of user PostScript
2.69279 0 2.69279 -0.163275 MAarrowhead1
% End of user PostScript
.8803 .56429 m
.88495 .55185 L
s
% Start of user PostScript
2.69279 0.857143 2.72567 0.691237 MAarrowhead1
% End of user PostScript
.8803 .62859 m
.88959 .61594 L
s
% Start of user PostScript
2.69279 1.71429 2.75855 1.54575 MAarrowhead1
% End of user PostScript
.8803 .69288 m
.89423 .68004 L
s
% Start of user PostScript
2.69279 2.57143 2.79143 2.40026 MAarrowhead1
% End of user PostScript
.8803 .75717 m
.89888 .74414 L
s
% Start of user PostScript
2.69279 3.42857 2.82431 3.25477 MAarrowhead1
% End of user PostScript
.8803 .82147 m
.90352 .80823 L
s
% Start of user PostScript
2.69279 4.28571 2.85719 4.10929 MAarrowhead1
% End of user PostScript
.8803 .88576 m
.90816 .87233 L
s
% Start of user PostScript
2.69279 5.14286 2.89007 4.9638 MAarrowhead1
% End of user PostScript
.8803 .95005 m
.91281 .93642 L
s
% Start of user PostScript
2.69279 6. 2.92295 5.81831 MAarrowhead1
% End of user PostScript
.94369 .04995 m
.91118 .05133 L
s
% Start of user PostScript
3.14159 -6. 2.91143 -5.98159 MAarrowhead1
% End of user PostScript
.94369 .11424 m
.91582 .11542 L
s
% Start of user PostScript
3.14159 -5.14286 2.94431 -5.12707 MAarrowhead1
% End of user PostScript
.94369 .17853 m
.92047 .17952 L
s
% Start of user PostScript
3.14159 -4.28571 2.97719 -4.27256 MAarrowhead1
% End of user PostScript
.94369 .24283 m
.92511 .24362 L
s
% Start of user PostScript
3.14159 -3.42857 3.01007 -3.41805 MAarrowhead1
% End of user PostScript
.94369 .30712 m
.92975 .30771 L
s
% Start of user PostScript
3.14159 -2.57143 3.04295 -2.56354 MAarrowhead1
% End of user PostScript
.94369 .37141 m
.9344 .37181 L
s
% Start of user PostScript
3.14159 -1.71429 3.07583 -1.70902 MAarrowhead1
% End of user PostScript
.94369 .43571 m
.93904 .4359 L
s
% Start of user PostScript
3.14159 -0.857143 3.10871 -0.854512 MAarrowhead1
% End of user PostScript
.94369 .5 m
.94369 .5 L
s
% Start of user PostScript
3.14159 0 MAarrowzero1
% End of user PostScript
.94369 .56429 m
.94833 .5641 L
s
% Start of user PostScript
3.14159 0.857143 3.17447 0.854512 MAarrowhead1
% End of user PostScript
.94369 .62859 m
.95297 .62819 L
s
% Start of user PostScript
3.14159 1.71429 3.20735 1.70902 MAarrowhead1
% End of user PostScript
.94369 .69288 m
.95762 .69229 L
s
% Start of user PostScript
3.14159 2.57143 3.24023 2.56354 MAarrowhead1
% End of user PostScript
.94369 .75717 m
.96226 .75638 L
s
% Start of user PostScript
3.14159 3.42857 3.27311 3.41805 MAarrowhead1
% End of user PostScript
.94369 .82147 m
.9669 .82048 L
s
% Start of user PostScript
3.14159 4.28571 3.30599 4.27256 MAarrowhead1
% End of user PostScript
.94369 .88576 m
.97155 .88458 L
s
% Start of user PostScript
3.14159 5.14286 3.33887 5.12707 MAarrowhead1
% End of user PostScript
.94369 .95005 m
.97619 .94867 L
s
% Start of user PostScript
3.14159 6. 3.37175 5.98159 MAarrowhead1
% End of user PostScript
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`0001/2000`400?l00000o`00003oo`3ooona
0?ooo`00o`3ooona0?ooo`00?03oool01@2oM0000000000000000000B9cO02h0oooo00<0oono07@0
00000000100000000`1d_ol0oooo0?ooo`0[0?ooo`030?noM0000000000000<0000000<007Bo0?oo
o`3oool0:03oool01@3o_g@00000000000000000M;oo02h0oooo00<0okmd0000000000000`000000
0`00M;l0oooo0?ooo`0Z0?ooo`030?oo_`1d0000000000@0000000<0M;oo0?ooo`3oool0;03oool0
1@2oM0000000000000000000B9cO03X0oooo000k0?ooo`070;md0000M;l0oooo0?ooo`3ookl0M000
04RLg`0^0?ooo`030;md000007@0_ooo0080oooo00<0giad09cOo`3oool0;`3oool00`2LB4P0W=oo
0?ooo`0[0?ooo`0609a8M02oool0oooo0?oo_`1d07@0_ooo<03oool00`2LB4P0W=oo0?ooo`0^0?oo
o`030;md000007@0_ooo0080oooo00<0giad09cOo`3oool0;03oool01`2oM00007Bo0?ooo`3oool0
oono07@00018W=l0>@3oool00400oooo00<0okmd001d_`3oool0;P3oool00`3o_g@0001809cOo`0c
0?ooo`0309a8B02Lgol0oooo02X0oooo00<0okmd001d_`3oool00P3oool00`3OW4P0B9cO0?ooo`0_
0?ooo`0309a8B02Lgol0oooo02l0oooo00<0okmd0000B02Lgol0=@3oool00`3o_g@007Bo0?ooo`0h
0?ooo`00?`3oool00`3ogi`0B01809cOo`0`0?ooo`030?oOW0180000B9cO0380oooo00<0W4Q809cO
o`3oool0:P3oool00`3OW4P0B9cO0?ooo`020?ooo`030?noM000M;l0oooo02l0oooo00<0W4Q809cO
o`3oool0<03oool00`3ogi`0B00004RLg`0c0?ooo`030?oOW01804P0W=oo03T0oooo000b0?ooo`03
09a800000000000000<0000000<004RL0?ooo`3oool00P3oool0103OW4P000000000B02LgolV0?oo
o`0309a800000000000000<0000000<004RL0?ooo`3oool0103oool00`2LB000B9cO0?ooo`0T0?oo
o`0309a800000000000000<0000000<004RL0?ooo`3oool00`3oool00`2LB4P0W=oo0?ooo`0Z0?oo
o`030=nLB018W=l0oooo0080oooo00<0okmd001d_`3oool0;`3oool00`2LB4P0W=oo0?ooo`0b0?oo
o`0309a80018W=l0oooo02l0oooo00@0gia80000000004P0W=oo>P3oool003l0oooo00<0omnL04P0
B02Lgol0<`3oool00`2LB7@0_ooo0?ooo`0_0?ooo`0309a8B02Lgol0oooo02X0oooo00<0gia804RL
g`3oool00P3oool00`3o_g@007Bo0?ooo`0_0?ooo`0309a8B02Lgol0oooo03<0oooo00<0W4Qd0;oo
o`3oool0<03oool00`3ogi`0B01809cOo`0i0?ooo`00@03oool00`2oM000M;oo0?ooo`0]0?ooo`03
0=nLB01d_ol0oooo0080oooo00<0_g@007Boo`3oool0;`3oool00`2LB4P0W=oo0?ooo`0Z0?ooo`03
0?noM018W=l0oooo0080oooo00<0gia804RLg`3oool0;`3oool00`2LB4P0W=oo0?ooo`0^0?ooo`03
0=nLB01d_ol0oooo0080oooo00<0_g@007Boo`3oool0<@3oool00`2oM000M;oo0?ooo`0h0?ooo`00
>`3oool01`3o_g@0001809cOo`3oool0omnL04P0B02Lgol0;P3oool01`3o_g@0001d0;ooo`3oool0
okmd0000B02Lgol0;@3oool01@3OW4P000000018W02LB4P0W=oo02`0oooo00H0W4P007Boo`3oool0
omnL04P0M02oool]0?ooo`050=nLB000000004RL09a8B02Lgol0;`3oool01`3o_g@0001d0;ooo`3o
ool0okmd0000B02Lgol0;@3oool01`3o_g@0001809cOo`3oool0omnL04P0B02Lgol0>@3oool003`0
oooo00D0omnL04P000000000000007Boo`0`0?ooo`050?noM000000000000000B02Lgol0<03oool0
0`3OW4P0001809cOo`0/0?ooo`050?oo_`1d000000000000B02Lgol0<03oool00`3OW4P0001809cO
o`0`0?ooo`050?noM000000000000000B02Lgol0;`3oool01@3ogi`0B000000000000000M;oo03X0
oooo003o0?oook40oooo003o0?oook40oooo003o0?oook40oooo003o0?oook40oooo003o0?oook40
oooo003o0?oook40oooo003o0?oook40oooo003o0?oook40oooo000N0?ooool00000M000000O0?oo
o`007P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0380oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0a0?ooo`030000
003oool0oooo0340oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0b0?ooo`030000
003oool0oooo01T0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3o
oom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`<00000o`3ooom^0?ooo`<000007`3oool0
01h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo
0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0l03o
ool2000001H0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`0M0?ooo`007P3oool0
0`000000oooo0?ooo`3a0?ooo`<000005@3oool2000006@0oooo00<000000?ooo`3oool07@3oool0
01h0oooo00<000000?ooo`3oool0f@3oool00`000000oooo0?ooo`0E0?ooo`D000004`3oool40000
0180oooo0P00001>0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0=X0
oooo0P00000F0?ooo`<000005@3oool3000001<0oooo0`00001<0?ooo`030000003oool0oooo01d0
oooo000N0?ooo`030000003oool0oooo0=X0oooo1000000E0?ooo`030000003oool0000001D0oooo
00<000000?ooo`0000004P3oool5000004X0oooo00<000000?ooo`3oool07@3oool001h0oooo00<0
00000?ooo`3oool0f`3oool4000001L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0@0?ooo`@00000BP3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`31
0?ooo`H000005@3oool010000000oooo0?ooo`00000G0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool0403oool010000000oooo0?ooo`00000A0?ooo`D00000<`3oool00`000000oooo
0?ooo`0M0?ooo`00503oool01@2oM00000000000000007@0_ooo00D0oooo00<000000?ooo`3oool0
`P3oool5000001T0oooo0P00000F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
4`3oool200000100oooo1000000c0?ooo`030000003oool0oooo01d0oooo000C0?ooo`060=nLB000
M;l0oooo0?ooo`3o_g@007Bo1@3oool00`000000oooo0?ooo`330?ooo`H000006@3oool00`000000
oooo0?ooo`0D0?ooo`8000005P3oool2000001D0oooo00<000000?ooo`3oool03P3oool600000300
oooo00<000000?ooo`3oool07@3oool00180oooo00<0oono07@0001d_ol00P3oool00`3ookl0M4RL
0?ooo`040?ooo`030000003oool0oooo00X0oooo0P00002R0?ooo`8000005@3oool010000000oooo
0?ooo`3oool3000001L0oooo0P00000F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool04`3oool200000100oooo00@000000?ooo`3oool0oooo0`00000@0?ooo`8000006`3oool00`00
0000oooo0?ooo`0M0?ooo`004P3oool01`3o_g@004Q807@0M02oool0oooo0=nLB000M;l01@3oool3
000000P0oooo100000000`3oool0000000000004000001D0oooo0P00000G0?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01@0oooo0P00000<0?ooo`@0000000<0oooo0000000000001000000E0?ooo`8000005`3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0D0?ooo`800000303oool4000000030?ooo`000000000000@000004P3oool3
000001l0oooo00090?ooo`0309a800000000000000<0000000H004RL0?ooo`3oool0omnL04Q8W03o
_g@2000000030018W03oool0oooo00@0oooo00<000000?ooo`3oool01P3oool7000001T0oooo0P00
000H0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01<0oooo0P00000<0?ooo`L00000W@3oool7000001X0oooo00<0
00000?ooo`3oool07@3oool00180oooo00<0oono07@0M02oool02@3oool00`000000oooo0?ooo`09
0?ooo`<000005@3oool00`000000oooo0?ooo`02000001P0oooo0P00000F0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool04`3oool200000100oooo00@000000?ooo`3oool0oooo0P00
000A0?ooo`<00000X@3oool3000001/0oooo00<000000?ooo`3oool07@3oool001<0oooo00<0_g@0
04RLg`3oool0203oool00`000000oooo0?ooo`0P0?ooo`@000006@3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0?
0?ooo`D00000e@3oool00`000000oooo0?ooo`0M0?ooo`004`3oool00`3ookl0M000001d_`080?oo
o`030000003oool0oooo01h0oooo1@00000I0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00l0oooo1000003G0?oo
o`030000003oool0oooo01d0oooo000E0?ooo`040;md0000000000000018W0D0oooo00<000000?oo
o`3oool07@3oool3000001P0oooo00@000000?ooo`00000000005`3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo0100oooo00@000000?ooo`00000000004@3oool300000=T0oooo00<0
00000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0=`3oool3000001L0oooo0P00000F
0?ooo`8000004P3oool300000>l0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?oo
o`3oool0=P3oool4000001D0oooo0P00000E0?ooo`030000003oool0000001<0oooo1@00003^0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo03H0oooo0`00000E0?ooo`80
00005@3oool3000001@0oooo0`00003`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo03D0oooo0P00000F0?ooo`@00000503oool400000180oooo0P00003b0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo04d0oooo0`00000D0?ooo`@00000o`3o
ool80?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo04`0oooo0P00000F
0?ooo`800000o`3oool:0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo
0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooog00
oooo00<000000?ooo`3oool07@3oool001h0oooo0`00003b0?ooo`030000003oool0oooo01@0oooo
0P00001R0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0l`3oool2000001D0oooo0`00
001R0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0=/0oooo00<00000
0?ooo`3oool05@3oool4000001<0oooo1@00000B0?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0g03oool2000001H0oooo0P00000E0?oo
o`<00000503oool2000004/0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3o
ool0g03oool4000001D0oooo0P00000E0?ooo`800000503oool4000004T0oooo00<000000?ooo`3o
ool07@3oool001h0oooo00<000000?ooo`3oool0g@3oool3000001L0oooo00<000000?ooo`3oool0
503oool2000001<0oooo0`0000190?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo0<<0oooo1P00000E0?ooo`030000003oool0000001L0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool000000140oooo1P00000a0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo0<@0oooo1@00000H0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo00l0oooo1@00000a0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo
0<D0oooo1@00000H0?ooo`8000005P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01<0oooo0P00000@0?ooo`D00000<03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000
oooo0?ooo`0;0?ooo`800000XP3oool2000001H0oooo00<000000?ooo`3oool00P00000H0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool00`00000A0?ooo`8000006P3oool00`000000
oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`080?ooo`/000005P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0P00000<0?ooo`/000005@3oool2000001L0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0503oool2000000`0oooo2`00000D0?ooo`030000003oool0oooo01d0oooo
000N0?ooo`030000003oool0oooo00X0oooo0`00000J0?ooo`8000005`3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0C0?ooo`800000403oool300000:40oooo0`00000J0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo02<0oooo00@000000?ooo`00000000005`3oool2000001H0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`8000004P3oool010000000oooo0000
0000003C0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0280oooo0`00
000H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo0140oooo0`00003E0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`<00000803oool5000001L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0403oool500000=<0oooo0`00000O
0?ooo`007P3oool00`000000oooo0?ooo`0O0?ooo`<000005`3oool00`000000oooo0000000G0?oo
o`030000003oool0oooo01@0oooo0P00000D0?ooo`8000004P3oool300000=P0oooo00<000000?oo
o`3oool07@3oool001h0oooo00<000000?ooo`3oool0>03oool4000001@0oooo00<000000?ooo`00
00005@3oool2000001D0oooo0`00003]0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo03P0oooo0`00000D0?ooo`<000005@3oool2000001D0oooo0`00003^0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo03L0oooo0P00000F0?ooo`@000004`3o
ool4000001<0oooo0P00003`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo04h0oooo1000000D0?ooo`<00000o`3oool70?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo04h0oooo0P00000E0?ooo`800000o`3oool90?ooo`030000003oool0oooo
01d0oooo000N0?ooo`030000003oool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`00
7P3oool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<0
00000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo0?@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo0?@0oooo0P00000E0?ooo`800000HP3oool00`00
0000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3L0?ooo`030000003oool0oooo01H0
oooo0`00000D0?ooo`<00000503oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo01d0
oooo000N0?ooo`030000003oool0oooo0=d0oooo0P00000F0?ooo`@000004`3oool4000001<0oooo
0`0000190?ooo`030000003oool0oooo01d0oooo000N0?ooo`<00000g@3oool4000001D0oooo0P00
000E0?ooo`<00000503oool4000004D0oooo0`00000O0?ooo`007P3oool00`000000oooo0?ooo`35
0?ooo`8000005`3oool2000001P0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0B
0?ooo`<000004`3oool300000380oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?oo
o`3oool0aP3oool4000001D0oooo0`00000G0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0000000C0?ooo`D00000;`3oool00`000000oooo0?ooo`0M0?oo
o`007P3oool00`000000oooo0?ooo`360?ooo`@00000603oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0A0?ooo`@0
0000;`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`370?ooo`@00000
603oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0A0?ooo`@00000;P3oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`0<0?ooo`<00000X@3oool3000001D0oooo00<000000?ooo`3oool00P00
000G0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00P00000A0?ooo`<00000603o
ool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`090?ooo`X000005P3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool02`3oool:
000001H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo00/0oooo2P00000D0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo
00`0oooo0`00000E0?ooo`030000003oool0oooo008000005`3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0@0?oo
o`040000003oool0oooo0?ooo`8000004@3oool300000:40oooo0`00000H0?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo02<0oooo0P0000000`3oool000000?ooo`0G0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0100oooo1@00003B0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo0280oooo1000000H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0100oooo1@00003C0?ooo`03
0000003oool0oooo01d0oooo000D0?ooo`050?oOW018000000000000001d_ol01@3oool00`000000
oooo0?ooo`0R0?ooo`<000005P3oool3000001L0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0000001<0oooo0`00003E0?ooo`030000003oool0oooo01d0
oooo000F0?ooo`030;md001d_ol0oooo00D0oooo00<000000?ooo`3oool08@3oool2000001L0oooo
0P00000H0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool04P3oool3000001<0oooo
0P00003G0?ooo`030000003oool0oooo01d0oooo000F0?ooo`030;md001d_ol0oooo00D0oooo00<0
00000?ooo`3oool0>@3oool4000001D0oooo0P00000E0?ooo`030000003oool0000001@0oooo1000
003[0?ooo`030000003oool0oooo01d0oooo000B0?ooo`030=nLB0000000000000<0000000<0M;oo
0?ooo`3oool00`3oool00`000000oooo0?ooo`0i0?ooo`<000005@3oool3000001@0oooo1000000C
0?ooo`@00000k03oool00`000000oooo0?ooo`0M0?ooo`002@3oool00`2LB0000000000000030000
00090018W03oool0oooo0?noM00007@0_ooo0?ooo`2oM000M;oo00H0oooo0`00000h0?ooo`800000
5`3oool2000001D0oooo0`00000D0?ooo`800000k03oool3000001l0oooo000C0?ooo`050=nLB000
M;l0oooo0;md001d_ol01P3oool00`000000oooo0?ooo`1@0?ooo`8000005@3oool300000?l0oooo
1P3oool00`000000oooo0?ooo`0M0?ooo`00503oool0102LB000B9cO0;md001d_ol60?ooo`030000
003oool0oooo0500oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`3o0?ooo`H0oooo
00<000000?ooo`3oool07@3oool001@0oooo00@0omnL04P0B018B000M;oo1P3oool00`000000oooo
0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001D0oooo00<0okmd0000001d_ol01P3o
ool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<00000
0?ooo`3oool0m@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo05l0oooo00<00000
0?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0m@3oool2000001H0oooo0P00001P0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?H0oooo0P00000E0?ooo`80
0000H03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3N0?ooo`030000
003oool0oooo01D0oooo0`00000E0?ooo`800000503oool00`000000oooo0?ooo`180?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0=h0oooo0`00000F0?ooo`<00000503o
ool3000001<0oooo0`0000180?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo0=l0oooo1000000D0?ooo`8000005@3oool3000001@0oooo100000160?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo0<L0oooo00<000000?ooo`3oool05@3oool30000
01L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0A0?ooo`<00000503oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0<P0
oooo0P00000F0?ooo`030000003oool0000001L0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0A0?ooo`030000003oool0000001@0oooo0P00000`0?ooo`030000003oool0oooo01d0
oooo000N0?ooo`<00000b03oool4000001L0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04@3oool4000002`0oooo
0`00000O0?ooo`007P3oool00`000000oooo0?ooo`0?0?ooo`800000XP3oool2000001@0oooo1000
000G0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo0140oooo0P0000000`3oool000000000000D0?ooo`8000005P3o
ool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0=0?ooo`H000005P3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool03`3oool6
000001<0oooo00@000000?ooo`3oool000005`3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0A0?ooo`050000003o
ool0oooo0?ooo`0000004@3oool6000001@0oooo00<000000?ooo`3oool07@3oool001h0oooo00<0
00000?ooo`3oool02`3oool6000001L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0D0?ooo`800000403oool6000009h0oooo1P00000F0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo00h0oooo0`00000E0?ooo`8000005`3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0C
0?ooo`8000005@3oool300000:40oooo0`00000F0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo02D0oooo0P00000H0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0180oooo0P00003C0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo02@0oooo1000000F0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo0180oooo1000003B0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo02<0oooo0`00000F0?ooo`8000005`3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0180oooo0P00000D0?ooo`<00000e03oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`0k0?ooo`@00000503oool2000001D0oooo00<000000?ooo`000000503o
ool400000>X0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0>`3oool3
000001D0oooo0P00000E0?ooo`<00000503oool300000>/0oooo00<000000?ooo`3oool07@3oool0
01h0oooo00<000000?ooo`3oool0>P3oool3000001D0oooo1000000D0?ooo`<000004`3oool30000
0>`0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0>P3oool00`000000
oooo0?ooo`0E0?ooo`<00000503oool3000001@0oooo00<000000?ooo`3oool0k03oool00`000000
oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1A0?ooo`<000005@3oool200000?l0oooo
1@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1A0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool0o`3oool40?ooo`030000003oool0oooo01d0oooo000N
0?ooo`<00000o`3ooom^0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0o`3ooom`0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?L0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo0?L0oooo0P00000F0?ooo`800000GP3oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`3P0?ooo`030000003oool0oooo01@0oooo0P00000F0?ooo`8000005@3o
ool00`000000oooo0?ooo`160?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo0>00oooo0P00000F0?ooo`8000005P3oool2000001@0oooo0P0000170?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo0>00oooo0P00000F0?ooo`<000005@3oool30000
01@0oooo0P0000160?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0>40
oooo0P00000E0?ooo`8000005P3oool2000001D0oooo0`0000150?ooo`030000003oool0oooo01d0
oooo000N0?ooo`030000003oool0oooo0<P0oooo0P00000G0?ooo`<000005P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3oool200000300oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0b@3oool3000001D0oooo0`00
000F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool2000001@0oooo0`00
000^0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0<T0oooo1@00000F
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo0140oooo1@00000/0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo0100oooo0P00002R0?ooo`800000503oool3000001L0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool04P3oool4000001D0oooo0P00000E0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo00d0oooo1P00000F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0?0?ooo`H00000503oool00`000000oooo0000000G0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo0180oooo00@000000?ooo`3oool000004@3oool6000001@0oooo00<000000?oo
o`3oool07@3oool001h0oooo00<000000?ooo`3oool03`3oool3000001D0oooo0P00000G0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`000000503oool300000:40oooo0`00000E0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`<000009P3oool2000001P0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
4P3oool300000<l0oooo0`00000O0?ooo`007P3oool00`000000oooo0?ooo`0U0?ooo`@000005P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0B0?ooo`D00000d03oool00`000000oooo0?ooo`0M0?ooo`007P3oool0
0`000000oooo0?ooo`0U0?ooo`<000005@3oool00`000000oooo0000000F0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0000000D0?ooo`<00000dP3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0T0?ooo`8000005`3oool30000
01H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0B0?ooo`<000004`3oool20000
0=@0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0?@3oool2000001D0
oooo0P00000F0?ooo`8000005@3oool200000>X0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0?03oool2000001H0oooo0`00000E0?ooo`<000004`3oool200000>/0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0?03oool2000001H0oooo0P00
000F0?ooo`800000503oool200000>/0oooo00<000000?ooo`3oool07@3oool001h0oooo00<00000
0?ooo`3oool0?03oool00`000000oooo0?ooo`0D0?ooo`8000005P3oool2000001D0oooo00<00000
0?ooo`3oool0jP3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1C0?oo
o`8000005P3oool200000?l0oooo0`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000
oooo0?ooo`1C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0o`3oool20?ooo`03
0000003oool0oooo01d0oooo000A0?ooo`030?oo_`1d0000000000@0000000<0M;oo0?ooo`3oool0
0`3oool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool00180oooo00<0
_g@00000M02oool00P3oool00`3OW7@0W=oo0?ooo`040?ooo`030000003oool0oooo0?l0ooooL03o
ool00`000000oooo0?ooo`0M0?ooo`004`3oool00`3o_g@0001809cOo`080?ooo`030000003oool0
oooo0?T0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`1L0?ooo`030000003oool0
oooo01d0oooo000D0?ooo`030?oOW0180000B9cO00L0oooo00<000000?ooo`3oool0n@3oool00`00
0000oooo0?ooo`0D0?ooo`800000G@3oool00`000000oooo0?ooo`0M0?ooo`002@3oool00`2LB000
000000000003000000030018W03oool0oooo00@0oooo00<0W4P004RLg`3oool01@3oool300000>40
oooo00<000000?ooo`3oool05@3oool2000001D0oooo0P00000F0?ooo`030000003oool0oooo0480
oooo0`00000O0?ooo`005`3oool00`2LB7@0_ooo0?ooo`040?ooo`030000003oool0oooo0>40oooo
0P00000F0?ooo`8000005P3oool2000001D0oooo0P0000150?ooo`030000003oool0oooo01d0oooo
000B0?ooo`030=nLB01d_ol0oooo0080oooo00<0_g@007Boo`3oool0103oool00`000000oooo0?oo
o`3Q0?ooo`8000005P3oool3000001D0oooo0`00000D0?ooo`800000A@3oool00`000000oooo0?oo
o`0M0?ooo`004P3oool01`3o_g@0001d0;ooo`3oool0okmd0000B02Lgol01@3oool00`000000oooo
0?ooo`3R0?ooo`8000005@3oool2000001H0oooo0P00000E0?ooo`<00000A03oool00`000000oooo
0?ooo`0M0?ooo`004`3oool01@3o_g@000000000000004P0W=oo00H0oooo00<000000?ooo`3oool0
bP3oool00`000000oooo0?ooo`0E0?ooo`<000005P3oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01<0oooo1000000C0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0
7@3oool001h0oooo00<000000?ooo`3oool0bP3oool3000001D0oooo0P00000G0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool04P3oool3000001@0oooo0`00000]0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo0</0oooo1000000E0?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01<0oooo1000000[0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo
0180oooo0P00002R0?ooo`8000004`3oool3000001H0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool04P3oool30000
01L0oooo0P00000C0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo00l0
oooo1@00000D0?ooo`8000005`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0000001<0
oooo1@00000D0?ooo`8000005`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0000001<0
oooo1@00000C0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0140oooo
0`00000D0?ooo`8000005P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?ooo`8000005P3oool300000:40oooo
0`00000C0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo02L0oooo1000
000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01<0oooo1000003?0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo02L0oooo0`00000E0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01<0oooo0`00003@
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo02H0oooo0`00000E0?oo
o`<000005P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01<0oooo1000000C0?oo
o`<00000d@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo01D0oooo0P00000E0?ooo`8000005P3oool2000001D0oooo0`00000D0?ooo`03
0000003oool0oooo0=40oooo00<000000?ooo`3oool07@3oool001h0oooo0`00000m0?ooo`800000
5P3oool3000001D0oooo0`00000D0?ooo`800000i`3oool3000001l0oooo000N0?ooo`030000003o
ool0oooo03d0oooo0P00000F0?ooo`8000005P3oool2000001D0oooo0P00003Y0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool05@3oool2
000001D0oooo0P00000F0?ooo`030000003oool0oooo0>P0oooo00<000000?ooo`3oool07@3oool0
01h0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0D0?ooo`800000o`3oool20?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`3o0?ooo`40oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o
0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0n`3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo05X0oooo00<000000?ooo`3oool07@3oool001h0
oooo00<000000?ooo`3oool0n`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo05X0
oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0h`3oool00`000000oooo
0?ooo`0D0?ooo`8000005P3oool2000001D0oooo00<000000?ooo`3oool0@`3oool00`000000oooo
0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3S0?ooo`030000003oool0oooo01@0oooo0`00
000E0?ooo`8000005@3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo0><0oooo0P00000E0?ooo`<000005@3oool3000001@0oooo0P000014
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0<`0oooo00<000000?oo
o`3oool0503oool2000001H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?oo
o`8000005P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo01d0oooo000N0?ooo`<0
0000c03oool00`000000oooo0?ooo`0D0?ooo`<000005P3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01<0oooo0`00000E0?ooo`800000:P3oool3000001l0oooo000N0?ooo`030000
003oool0oooo0<`0oooo0P00000F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0P00000/0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01@0oooo0P00002R0?ooo`8000004P3o
ool2000001H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool0503oool3000001P0oooo0P00000A0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo0180oooo1000002P0?ooo`@000004P3oool3
000001H0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool04`3oool4000001D0oooo1000000A0?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo0100oooo1P00000B0?ooo`<000005P3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0C0?ooo`@000004`3oool600000180oooo0P00000G0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01<0oooo0`00000D0?ooo`H000004@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000
oooo0?ooo`0C0?ooo`<000004P3oool2000001L0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool04`3oool3000001L0
oooo0`00002Q0?ooo`<000004@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo
0?ooo`0X0?ooo`8000005P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0D0?ooo`800000d03oool00`000000oooo
0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo01@0oooo0P00
000G0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool04`3oool2000001H0oooo0P00
003@0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo02P0oooo00<00000
0?ooo`3oool0503oool3000001H0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C
0?ooo`<000005@3oool00`000000oooo0?ooo`3?0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo03l0oooo0P00000E0?ooo`8000005P3oool2000001D0oooo0P00003X0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo03l0oooo0P00000E0?ooo`<0
00005@3oool3000001@0oooo0P00003X0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo03l0oooo00<000000?ooo`3oool0503oool3000001D0oooo0P00000E0?ooo`030000
003oool0oooo0>L0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0?`3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo0P00000E0?ooo`030000003o
ool0oooo0>L0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0E`3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?h0oooo00<000000?ooo`3oool07@3oool0
01h0oooo0`00001G0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0o03oool30000
01l0oooo000N0?ooo`030000003oool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`00
7P3oool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<0
00000?ooo`3oool0o03oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo05P0oooo00<0
00000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o03oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?oo
o`3oool0i@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo0>D0oooo00<000000?ooo`3oool04`3oool3000001D0oooo0`00000E0?ooo`03
0000003oool0oooo0440oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0
i@3oool00`000000oooo0?ooo`0C0?ooo`<000005@3oool3000001D0oooo00<000000?ooo`3oool0
@@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3T0?ooo`<00000503o
ool3000001D0oooo0`00000D0?ooo`<00000@P3oool00`000000oooo0?ooo`0M0?ooo`007P3oool0
0`000000oooo0?ooo`3=0?ooo`030000003oool0oooo01@0oooo0`00000E0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool04`3oool3000001H0oooo00<000000?ooo`3oool0:@3oool0
0`000000oooo0?ooo`0M0?ooo`004`3oool01@3o_g@00000000000000000M;oo00H0oooo00<00000
0?ooo`3oool0c@3oool00`000000oooo0?ooo`0D0?ooo`<000005@3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo01<0oooo0`00000F0?ooo`030000003oool0oooo02T0oooo00<00000
0?ooo`3oool07@3oool001<0oooo00H0W4Qd0;ooo`3oool0oono07@0M02oool50?ooo`030000003o
ool0oooo0<d0oooo0P00000F0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0P00000[0?ooo`030000003o
ool0oooo01d0oooo000B0?ooo`030?noM000M;l0oooo0080oooo00<0gia804RLg`3oool0103oool0
0`000000oooo0?ooo`3<0?ooo`<000005P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`<00000:P3oool0
0`000000oooo0?ooo`0M0?ooo`004P3oool00`3OW4P0B9cO0?ooo`020?ooo`030?noM000M;l0oooo
00@0oooo0`00000B0?ooo`030000003oool0oooo01<0oooo1000000E0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01<0oooo1000000E0?ooo`030000003oool0oooo01<0oooo1000000E0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01<0oooo1000000E0?ooo`030000003oool0oooo0100oooo0`00000O0?ooo`004P3oool00`3OW4P0
B9cO0?ooo`020?ooo`030?noM000M;l0oooo00@0oooo00<000000?ooo`3oool0:03oool4000001D0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool04`3oool4000002/0oooo1000001a0?ooo`@00000:P3oool00`000000
oooo0?ooo`0M0?ooo`004P3oool00`3OW4P0B9cO0?ooo`020?ooo`030?noM000M;l0oooo00@0oooo
00<000000?ooo`3oool0:03oool3000001H0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool300000<h0oooo
00<000000?ooo`3oool07@3oool00180oooo00<0okmd04RLg`3oool00P3oool00`3OW4P0B9cO0?oo
o`040?ooo`030000003oool0oooo02T0oooo0P00000F0?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0P00
003?0?ooo`030000003oool0oooo01d0oooo000C0?ooo`0609a8001d_ol0oooo0?oOW01807@0_ooo
1@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01@0oooo0`00000E0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool3000001H0oooo00<000000?ooo`3oool0
c@3oool00`000000oooo0?ooo`0M0?ooo`004`3oool01@3ookl0M0000000000004P0W=oo00H0oooo
00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0D0?ooo`<000005@3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01<0oooo0`00000F0?ooo`030000003oool0oooo0<d0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0@03oool3000001@0oooo0`00
000E0?ooo`<00000503oool300000>H0oooo00<000000?ooo`3oool07@3oool001h0oooo00<00000
0?ooo`3oool0@@3oool00`000000oooo0?ooo`0C0?ooo`<000005@3oool3000001D0oooo00<00000
0?ooo`3oool0i@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`110?oo
o`030000003oool0oooo01<0oooo0`00000E0?ooo`<000005@3oool00`000000oooo0?ooo`3U0?oo
o`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0440oooo00<000000?ooo`3o
ool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0i@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1H0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0o03oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0o03o
ool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooog00oooo00<00000
0?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo
01d0oooo000N0?ooo`<00000oP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo05D0
oooo0`00000O0?ooo`007P3oool00`000000oooo0?ooo`3m0?ooo`8000005@3oool2000005T0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0i`3oool00`000000oooo0?oo
o`0C0?ooo`8000005@3oool2000001L0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?oo
o`0M0?ooo`007P3oool00`000000oooo0?ooo`3V0?ooo`800000503oool3000001@0oooo1000000E
0?ooo`800000@@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3U0?oo
o`<00000503oool3000001@0oooo1000000E0?ooo`800000@@3oool00`000000oooo0?ooo`0M0?oo
o`007P3oool00`000000oooo0?ooo`3U0?ooo`<000005@3oool2000001D0oooo0`00000D0?ooo`<0
0000@@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3?0?ooo`030000
003oool0oooo0180oooo1000000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool3000001H0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`3>0?ooo`8000005P3oool2000001D0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`0E0?ooo`8000005@3oool2000002X0oooo00<000000?ooo`3oool07@3o
ool001h0oooo00<000000?ooo`3oool0c@3oool3000001D0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool2
000002X0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool03`3oool30000
0:40oooo0`00000G0?ooo`<000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`<000004P3oool30000
01D0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool03`3oool6000001@0
oooo0`00000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo0P00000B0?ooo`H000004`3oool4000001D0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool300000180oooo1P00000B0?ooo`030000003oool0oooo01d0
oooo000N0?ooo`030000003oool0oooo00l0oooo1000000E0?ooo`@000005@3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0D0?ooo`<000004P3oool400000:00oooo1000000D0?ooo`030000003oool0oooo01d0oooo
000N0?ooo`030000003oool0oooo00l0oooo0P00000H0?ooo`<000005@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0D0?ooo`<000004P3oool200000:80oooo0P00000F0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo02T0oooo0`00000F0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo0P00003>
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`<00000:P3oool2000001@0oooo1000000E0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool3000001D0oooo0P00003<0?oo
o`<000007`3oool001h0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0C0?ooo`<0
00005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0`00000F0?ooo`03
0000003oool0oooo0<`0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0
@@3oool3000001@0oooo0`00000D0?ooo`@000005@3oool200000>D0oooo00<000000?ooo`3oool0
7@3oool001h0oooo00<000000?ooo`3oool0@P3oool2000001@0oooo0`00000D0?ooo`@000005@3o
ool200000>D0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0@`3oool0
0`000000oooo0?ooo`0C0?ooo`8000005@3oool2000001L0oooo00<000000?ooo`3oool0h`3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1I0?ooo`8000005@3oool20000
0?d0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0FP3oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo0?/0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o
0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3oool10?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0M0?oo
o`007P3oool00`000000oooo0?ooo`3o0?ooo`8000005@3oool2000005L0oooo00<000000?ooo`3o
ool07@3oool001h0oooo00<000000?ooo`3oool0j03oool00`000000oooo0?ooo`0C0?ooo`800000
5P3oool2000001L0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`3W0?ooo`8000005@3oool2000001D0oooo0`00000F0?ooo`800000?`3o
ool00`000000oooo0?ooo`0M0?ooo`007P3oool300000>H0oooo0`00000D0?ooo`<000005@3oool3
000001D0oooo0P00000n0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0d@3oool00`00
0000oooo0?ooo`0B0?ooo`<000005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01D0oooo0P00000G0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool07@3oool001h0
oooo00<000000?ooo`3oool0d03oool2000001<0oooo1000000E0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0503oool3000001H0oooo0P00000X0?ooo`030000003oool0oooo01d0
oooo000N0?ooo`030000003oool0oooo0<h0oooo0`00000E0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo
0`00000Y0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0<d0oooo1000
000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo01<0oooo1000000Y0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo0140oooo0P00002R0?ooo`8000005`3oool2000001D0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool05@3oool2000001@0oooo0P00000D0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo0140oooo1@00000C0?ooo`030000003oool0000001D0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool05@3oool2000001@0oooo1@00000C0?ooo`030000003oool0000001D0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool05@3oool2000001@0oooo1@00000A0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo0140oooo0`00000E0?ooo`<000005@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`<0
0000503oool300000:40oooo0`00000C0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo02X0oooo0`00000E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo0`00003=0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo02/0oooo0P00000E0?ooo`8000005@3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`0000005@3o
ool200000<d0oooo00<000000?ooo`3oool07@3oool00140oooo00<0oono07@00000000010000000
0`1d_ol0oooo0?ooo`030?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool04@3oool3
000001H0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`<000005`3oool0
0`000000oooo0?ooo`3:0?ooo`030000003oool0oooo01d0oooo000B0?ooo`030;md000007@0_ooo
0080oooo00<0giad09cOo`3oool0103oool00`000000oooo0?ooo`120?ooo`8000005P3oool20000
01D0oooo00<000000?ooo`0000005@3oool200000>@0oooo00<000000?ooo`3oool07@3oool001<0
oooo00<0okmd0000B02Lgol0203oool00`000000oooo0?ooo`120?ooo`<00000503oool3000001D0
oooo0`00000E0?ooo`<00000h`3oool00`000000oooo0?ooo`0M0?ooo`00503oool00`3ogi`0B000
04RLg`070?ooo`030000003oool0oooo04<0oooo0P00000E0?ooo`8000005@3oool3000001H0oooo
0P00003S0?ooo`030000003oool0oooo01d0oooo000F0?ooo`0309a80018W=l0oooo00D0oooo0`00
00140?ooo`030000003oool0oooo01<0oooo0`00000E0?ooo`8000005`3oool00`000000oooo0?oo
o`3O0?ooo`<000007`3oool001L0oooo00<0W4Qd0;ooo`3oool0103oool00`000000oooo0?ooo`1K
0?ooo`8000005@3oool200000?/0oooo00<000000?ooo`3oool07@3oool00180oooo00<0gia807Bo
o`3oool00P3oool00`2oM000M;oo0?ooo`040?ooo`030000003oool0oooo05`0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`3i0?ooo`030000003oool0oooo01d0oooo000B0?ooo`07
0?noM00007@0_ooo0?ooo`3o_g@0001809cOo`050?ooo`030000003oool0oooo0?l0ooooL03oool0
0`000000oooo0?ooo`0M0?ooo`004`3oool01@3o_g@000000000000004P0W=oo00H0oooo00<00000
0?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo
0?l0oooo0P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo05<0oooo00<000000?oo
o`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3oool10?ooo`8000005P3oool2000005D0
oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0jP3oool00`000000oooo
0?ooo`0B0?ooo`<000005@3oool3000001H0oooo00<000000?ooo`3oool0?03oool00`000000oooo
0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3Y0?ooo`800000503oool2000001H0oooo0P00
000F0?ooo`800000?P3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3X
0?ooo`<000004`3oool3000001D0oooo0`00000E0?ooo`<00000?P3oool00`000000oooo0?ooo`0M
0?ooo`007P3oool00`000000oooo0?ooo`3X0?ooo`8000005@3oool2000001H0oooo0P00000E0?oo
o`800000?`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3B0?ooo`80
00004`3oool3000001@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`<0
0000603oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo0=00oooo0`00000D0?ooo`<00000503oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01@0oooo0`00000F0?ooo`8000009`3oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`3>0?ooo`@000005@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`<00000:03o
ool00`000000oooo0?ooo`0M0?ooo`007P3oool300000<l0oooo0`00000D0?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01D0oooo0`00000V0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool04P3oool30000
0:40oooo0`00000E0?ooo`030000003oool0000001D0oooo00<000000?ooo`3oool04`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool20000
01@0oooo0`00000B0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0180
oooo1P00000A0?ooo`040000003oool0oooo000001@0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0000000D0?ooo`H000004@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool0503oool6000000l0oooo00<000000?ooo`3oool07@3oool001h0
oooo00<000000?ooo`3oool04`3oool3000001@0oooo1000000D0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0
oooo0`00000D0?ooo`<00000X@3oool300000140oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0:P3oool4000001@0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool400000<`0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0;03oool3000001@0oooo0P00
000D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0000
000E0?ooo`<00000b`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0^
0?ooo`8000004`3oool2000001D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D
0?ooo`<000005`3oool200000<X0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?oo
o`3oool0A03oool2000001@0oooo00<000000?ooo`0000005@3oool00`000000oooo0000000E0?oo
o`800000h`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`140?ooo`80
0000503oool3000001D0oooo0`00000E0?ooo`<00000hP3oool00`000000oooo0?ooo`0M0?ooo`00
7P3oool00`000000oooo0?ooo`150?ooo`800000503oool2000001H0oooo0P00000F0?ooo`800000
hP3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo0180oooo0`00000E0?ooo`<000005P3oool00`000000oooo0?ooo`3P0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo05`0oooo0P00000F0?ooo`800000n@3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo
01D0oooo00<000000?ooo`3oool0m`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000
oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3oool001h0oooo0`00003o0?ooofh0oooo
0`00000O0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo0?l0oooo0`3oool2000001H0oooo0P00001C0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo0>`0oooo00<000000?ooo`3oool04P3oool3000001@0oooo0`00000G0?oo
o`030000003oool0oooo03X0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3o
ool0j`3oool00`000000oooo0?ooo`0B0?ooo`<00000503oool4000001H0oooo00<000000?ooo`3o
ool0>`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3Y0?ooo`<00000
503oool3000001D0oooo0P00000E0?ooo`<00000?@3oool00`000000oooo0?ooo`0M0?ooo`007P3o
ool00`000000oooo0?ooo`3X0?ooo`<00000503oool010000000oooo0?ooo`00000D0?ooo`030000
003oool0000001@0oooo0`00000n0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo0=<0oooo0P00000C0?ooo`<00000503oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo01@0oooo0`00000G0?ooo`8000009@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool0
0`000000oooo0?ooo`3@0?ooo`@00000503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`@000009P3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3@0?ooo`<00000503oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0E0?ooo`<000009`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000
oooo0?ooo`0D0?ooo`<00000X@3oool3000001<0oooo0P0000000`3oool000000?ooo`0C0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01D0oooo0`00000E0?ooo`<00000403oool00`000000oooo0?ooo`0M0?ooo`00
7P3oool00`000000oooo0?ooo`0B0?ooo`P000003`3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0503oool8000000l0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo2000000=0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01@0oooo1000000B0?ooo`80000000<0
oooo0000003oool04`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0000001D0oooo1000
002P0?ooo`@000003`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool3000001@0oooo0P00000F
0?ooo`<00000503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`<00000503oool200000:80oooo0P00000?
0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0;03oool3000001D0oooo00<000000?oo
o`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0503oool300000</0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3o
ool0;@3oool3000001@0oooo00<000000?ooo`000000503oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`0000005@3oool300000<X0oooo00<000000?ooo`3o
ool07@3oool001h0oooo00<000000?ooo`3oool0;`3oool2000001@0oooo0P00000D0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool2000001L0oooo0P0000390?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo04@0oooo1000000D0?ooo`8000005P3o
ool2000001@0oooo1000003Q0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo04D0oooo0`00000D0?ooo`8000005@3oool3000001D0oooo0`00003Q0?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo04L0oooo0P00000D0?ooo`8000005@3oool30000
01H0oooo0P00003P0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo05h0
oooo00<000000?ooo`3oool0503oool200000?P0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0?D0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?l0ooooL03oool00`000000oooo0?ooo`0M
0?ooo`00503oool01@3ogi`0B000000000000000M;oo00D0oooo00<000000?ooo`3oool0o`3ooom`
0?ooo`030000003oool0oooo01d0oooo000F0?ooo`030;md001d_ol0oooo00D0oooo00<000000?oo
o`3oool0o`3oool60?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0D03oool00`00
0000oooo0?ooo`0M0?ooo`005P3oool00`2oM000M;oo0?ooo`050?ooo`030000003oool0oooo0?l0
oooo1@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool07@3oool00180oooo00<0gia80000000000000`0000000`1d_ol0oooo0?ooo`030?ooo`<00000
k@3oool00`000000oooo0?ooo`0B0?ooo`<00000503oool3000001P0oooo00<000000?ooo`3oool0
=P3oool3000001l0oooo000B0?ooo`060?noM00007@0_ooo0?ooo`2oM000M;oo1P3oool00`000000
oooo0?ooo`3[0?ooo`800000503oool3000001@0oooo0`00000G0?ooo`800000>`3oool00`000000
oooo0?ooo`0M0?ooo`004`3oool01@3OW4P007Bo0?ooo`2oM000M;oo00H0oooo00<000000?ooo`3o
ool0j@3oool4000001@0oooo0`00000E0?ooo`8000005@3oool3000003`0oooo00<000000?ooo`3o
ool07@3oool001@0oooo00@0W4P004RLg`2oM000M;oo1P3oool00`000000oooo0?ooo`3E0?ooo`80
00004`3oool2000001@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`<0
0000603oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01d0oooo000D0?ooo`040?oO
W01804P0B4P007Boo`H0oooo00<000000?ooo`3oool0d`3oool3000001<0oooo00<000000?ooo`00
0000503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo0`00000G0?ooo`80
0000903oool00`000000oooo0?ooo`0M0?ooo`005@3oool00`3o_g@0000007Boo`060?ooo`030000
003oool0oooo0=40oooo1000000C0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01H0oooo0`00000U0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0=00oooo1@00000B0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01H0oooo1000000U0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo01H0oooo0`00002Q0?ooo`<000004@3oool2000000<0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0E0?ooo`8000000P3oool00`000000oooo0?ooo`0C0?ooo`<000003P3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0B0?ooo`X000003@3oool20000
01H0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`X000003@3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0503oool:0000
00/0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool05P3oool300000180
oooo0P0000000`3oool000000?ooo`0B0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo0P0000000`3oool0
00000?ooo`0E0?ooo`<00000X@3oool3000000h0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0;@3oool3000001<0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05P3oool300000<X0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0;@3oool500000180oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool05@3oool500000<P0oooo00<000000?ooo`3oool07@3oool001h0oooo00<00000
0?ooo`3oool0<03oool300000180oooo00<000000?ooo`000000503oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01D0oooo0`00000G0?ooo`<00000a`3oool00`000000oooo0?ooo`0M
0?ooo`007P3oool00`000000oooo0?ooo`160?ooo`800000503oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01D0oooo0`00003P0?ooo`030000003oool0oooo01d0oooo000N0?ooo`<0
0000A@3oool4000001@0oooo00<000000?ooo`0000005@3oool2000001@0oooo1000003N0?ooo`<0
00007`3oool001h0oooo00<000000?ooo`3oool0AP3oool3000001@0oooo0`00000D0?ooo`<00000
5P3oool300000=l0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0B03o
ool2000001@0oooo0`00000D0?ooo`<000005`3oool200000=h0oooo00<000000?ooo`3oool07@3o
ool001h0oooo00<000000?ooo`3oool0G`3oool2000001D0oooo0P00003g0?ooo`030000003oool0
oooo01d0oooo000N0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`3d0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?l0
ooooL03oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooog00oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3oool80?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0M0?ooo`007P3oool0
0`000000oooo0?ooo`3o0?ooo`L0oooo00<000000?ooo`3oool0503oool200000500oooo00<00000
0?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0k`3oool00`000000oooo0?ooo`0B0?oo
o`<00000503oool3000001L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0M0?oo
o`007P3oool00`000000oooo0?ooo`3^0?ooo`030000003oool0oooo0180oooo0`00000D0?ooo`@0
00005P3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000
003oool0oooo0>`0oooo0P00000E0?ooo`<00000503oool3000001D0oooo0`00000j0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0>/0oooo0`00000D0?ooo`030000003o
ool0000001@0oooo00@000000?ooo`3oool00000503oool3000003/0oooo00<000000?ooo`3oool0
7@3oool001h0oooo00<000000?ooo`3oool0eP3oool300000180oooo0P00000D0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool05@3oool3000001L0oooo0`00000Q0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`<00000d`3oool500000140oooo0P00000E0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool0503oool2000001L0oooo1@00000P0?ooo`<000007`3oool0
01h0oooo00<000000?ooo`3oool0d`3oool400000140oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05`3oool40000
02<0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0d@3oool200000003
0?ooo`000000oooo0140oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool05`3oool3000002D0oooo00<000000?ooo`3o
ool07@3oool001h0oooo00<000000?ooo`3oool0603oool200000:80oooo0P00000A0?ooo`800000
5@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0F0?ooo`8000006@3oool2000000d0oooo00<000000?ooo`3oool0
7@3oool001h0oooo00<000000?ooo`3oool04P3oool;000000`0oooo0P00000F0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01D0oooo0P00000E0?ooo`/00000303oool2000001H0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3o
ool2000001D0oooo2`00000:0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0
oooo01P0oooo0`00000@0?ooo`<000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo01H0oooo0P0000020?ooo`030000003oool0oooo01@0oooo0`00002Q0?ooo`<00000303oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`0^0?ooo`@000004@3oool20000
01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`800000603oool40000
0<P0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0;`3oool500000140
oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool05P3oool500000<H0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool0;`3oool600000140oooo00<000000?ooo`0000004`3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`000000603oool300000<D0oooo
00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0A`3oool3000001<0oooo0P00
000F0?ooo`030000003oool0oooo01D0oooo0`00003O0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo04L0oooo0`00000E0?ooo`8000005@3oool2000001D0oooo0`00003O
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo04P0oooo0`00000C0?oo
o`@00000503oool3000001D0oooo0`00003N0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo04X0oooo0P00000C0?ooo`<000005@3oool2000001L0oooo0P00003M0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0640oooo0P00000E0?ooo`800000
m@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool3000006<0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`3`0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0o`3ooom`
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?l0ooooL03oool00`00
0000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`3o
ool0503oool2000004h0oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0
o`3oool70?ooo`8000005@3oool3000004l0oooo00<000000?ooo`3oool07@3oool001h0oooo00<0
00000?ooo`3oool0l03oool200000180oooo1000000C0?ooo`@00000603oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0>h0oooo0`00000D
0?ooo`8000005@3oool3000001H0oooo0P00000h0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`030000003oool0oooo0>`0oooo1000000D0?ooo`030000003oool0000001D0oooo0P00000E0?oo
o`<00000>@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3]0?ooo`<0
00004`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo0`00000i0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0=P0oooo0P00000B0?ooo`030000
003oool000000180oooo0P00000F0?ooo`8000005`3oool00`000000oooo0000000H0?ooo`<00000
7`3oool00`000000oooo0?ooo`0M0?ooo`00503oool01@2oM00000000000000007@0_ooo00D0oooo
00<000000?ooo`3oool0e@3oool400000140oooo0P00000D0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool05@3oool2000001P0oooo1@00000P0?ooo`030000003oool0oooo01d0oooo
000C0?ooo`060=nLB000M;l0oooo0?ooo`3o_g@007Bo1@3oool00`000000oooo0?ooo`3D0?ooo`@0
00004@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0H0?ooo`@000008@3oool00`000000oooo0?ooo`0M0?ooo`00
4P3oool00`3ookl0M00007Boo`020?ooo`030?oo_`1dB9`0oooo00@0oooo00<000000?ooo`3oool0
6@3oool300000:40oooo0`00000A0?ooo`<000000P3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01H0oooo0`0000000`3oool000000?ooo`0D0?ooo`<000002`3oool00`000000oooo
0?ooo`0M0?ooo`004P3oool01`3o_g@004Q807@0M02oool0oooo0=nLB000M;l01@3oool00`000000
oooo0?ooo`0I0?ooo`H00000WP3oool6000000`0oooo0P00000E0?ooo`8000005@3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo0P00000G0?ooo`8000006P3oool6000000P0
oooo00<000000?ooo`3oool07@3oool00180oooo00<0omnL04Q8W03o_g@00P0000000`00B9`0oooo
0?ooo`040?ooo`<000004P3oool;000000`0oooo0P00000F0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01D0oooo
0P00000E0?ooo`/00000303oool2000001H0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool05@3oool2000001D0oooo
2`0000080?ooo`<000007`3oool00180oooo00<0oono07@0M02oool02@3oool00`000000oooo0?oo
o`0I0?ooo`800000403oool3000000<0oooo00<000000?ooo`3oool03P3oool2000001D0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0D0?ooo`8000005`3oool3000000<0oooo00<0
00000?ooo`3oool04`3oool200000:80oooo0P00000<0?ooo`030000003oool0oooo01d0oooo000C
0?ooo`030;md0018W=l0oooo00P0oooo00<000000?ooo`3oool0;P3oool500000140oooo0P00000D
0?ooo`8000005P3oool2000001H0oooo0P00000H0?ooo`D00000aP3oool00`000000oooo0?ooo`0M
0?ooo`004`3oool00`3ookl0M000001d_`080?ooo`030000003oool0oooo0340oooo1000000A0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo01L0oooo1@0000340?ooo`030000003oool0oooo01d0oooo000E0?ooo`04
0;md0000000000000018W0D0oooo00<000000?ooo`3oool0<`3oool300000140oooo0P0000000`3o
ool000000?ooo`0A0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool20000
00030?ooo`000000oooo01L0oooo0`0000330?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo04T0oooo0`00000B0?ooo`8000005P3oool2000001L0oooo0`00003M0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo04P0oooo1@00000C0?ooo`800000
5P3oool2000001D0oooo1000003L0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo04/0oooo0`00000B0?ooo`<00000503oool4000001H0oooo0`00003K0?ooo`030000003o
ool0oooo01d0oooo000N0?ooo`030000003oool0oooo0640oooo0`00000E0?ooo`<00000l`3oool0
0`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`1S0?ooo`8000005P3oool20000
0?80oooo00<000000?ooo`3oool07@3oool001h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0?l0ooooL03oool00`000000oooo
0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`3o0?ooog00oooo00<000000?ooo`3oool07@3o
ool001h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`030000003oool0oooo01d0oooo000N0?oo
o`<00000o`3ooom^0?ooo`<000007`3oool001h0oooo00<000000?ooo`3oool0o`3ooom`0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0
<@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0
6@3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0M0?ooo`007P3ooooo
000007@000007`3oool00?l0oooo/@3oool00?l0oooo/@3oool00?l0oooo/@3oool00?l0oooo/@3o
ool00?l0oooo/@3oool00?l0oooo/@3oool00?l0oooo/@3oool001H0oooo00<0omnL07BLg`3oool0
7P3oool00`3OW7@0W=oo0?ooo`0]0?ooo`030?oOW01dW=l0oooo00`0oooo00<0giad09cOo`3oool0
o`3ooolh0?ooo`005P3oool00`2oM7@0_ooo0?ooo`0N0?ooo`030?oo_`1dM;l0oooo02d0oooo00<0
_gAd0;ooo`3oool0303oool00`3ookl0M7Bo0?ooo`060?ooo`0309a80018W=l0oooo0?l0oooo;`3o
ool001D0oooo00<0omnL07BLg`3oool0303oool00`3ookl0M7Bo0?ooo`0A0?ooo`030=nLM02Lgol0
oooo02/0oooo00<0omnL07BLg`3oool03P3oool00`3OW7@0W=oo0?ooo`050?ooo`030=nLB00004P0
W=oo0?l0oooo;`3oool0000307@000000000000000<0000000<0M;oo0?ooo`3oool0303oool00`3O
W7@0W=oo0?ooo`020?ooo`090=nLB000000000000000B02Lgol0oooo0?noM000000004RL0080oooo
00<0giad09cOo`3oool00`3oool01`3ogi`0B000000000000000B9cO0?ooo`3OW4P00P0000001P00
04P0W=oo0?ooo`3oool0omnL07BLg`h0oooo00<0W4Q807AdB00000000P0000001@0007@0_ooo0?oo
o`3oool0W4P000D0000000<004RL0?ooo`3OW4P00P0000000`00B9`0oooo0;md00020000000304RL
g`3oool0oooo0080oooo00<0giad09cOo`3oool00`3oool01P3ogi`0B00000000000000004RL0=oo
o`D0oooo00<0omnL07BLg`3oool01@3oool00`3ogi`0B000001d_`3o0?ooobl0oooo00000`2oM000
001d0;ooo`020?ooo`030=nLM02Lgol0oooo00d0oooo00<0_ibL0=ooo`3oool00`3oool00`3o_g@0
07Bo0?ooo`020?ooo`0309a8001d_ol0oooo0080oooo00<0oono07Ad_`3oool0103oool00`3ookl0
M01d0;ooo`030?ooo`030?oo_`1d07@0_ooo00<0oooo00<0oooO09bL_`3oool01@3oool01@3OW4P0
B9cO0?ooo`3OW4P0B9cO00<0oooo00<0W4P00018W03oool00P3oool00`3o_g@0B9cO0?ooo`030?oo
o`030?oo_`1d07@0_ooo00@0oooo00<0okmd001d_`3oool00P3oool00`2oM000M;oo0?ooo`040?oo
o`030;nLW03Oool0oooo0080oooo00<0oono07@0M02oool00P3oool00`3ogi`0B01809cOo`040?oo
o`030?oog`2LW;l0oooo00H0oooo00<0W4P00000001d_ol0o`3oool^0?ooo`0000@0oooo0?noM000
04P0W=oo403oool00`3ooml0W7BL0=ooo`040?ooo`060?noM000M;l0oooo0?ooo`3o_g@007Bo1@3o
ool00`3OW7@0W=oo0?ooo`030?ooo`090?oo_`1d07@0_ooo0?noM0000000M;oo0?oo_`1d07@0_ooo
00<0oooo00<0oooO09adW03Oool01P3oool00`2oM4P0W;nL04Qd_`040?ooo`0309a8B02Lgol0oooo
0080oooo00<0omnL04Q8W03oool00`3oool00`3ookl0M01d0;ooo`040?ooo`030?noM000M;l0oooo
0080oooo00<0_g@007Boo`3oool00`3oool00`3ooml0W7BL0=ooo`030?ooo`030?oo_`2LW=l0oooo
00<0oooo00<0oono07Ad_`3oool00`3oool00`3ooml0W7BL0=ooo`3o0?ooocL0oooo00020?ooo`03
0?oOW0180000B9cO00@0oooo00<0gia80000000000000`0000000`18W=l0oooo0?ooo`020?ooo`03
0?oog`2LM9`0gooo00@0oooo00H0okmd0000M02oool0_g@00000M02oool50?ooo`030?oOW01dW=l0
oooo00<0oooo00T0oono07@0M02oool0W4Q809boW018B9`0oono07@0M02oool00`3oool00`3ooml0
W7BL0=ooo`060?ooo`030;md0000000007Bo00T0oooo00<0W4P0001d_`3oool00`3oool00`3ookl0
M01d0;ooo`040?ooo`030?noM000M;l0oooo0080oooo00<0_g@007Boo`3oool00`3oool00`3ooml0
W7BL0=ooo`030?ooo`030?oog`2LM9`0gooo00@0oooo00<0_ibL0=ooo`3oool00P3oool00`3ooml0
W7BL0=ooo`3o0?ooocL0oooo00040?ooo`0309a80018W=l0oooo00h0oooo00<0_gAd0;ooo`3oool0
0`3oool0103o_g@0000000000000M;l80?ooo`030;mdM02oool0oooo0080oooo00T0oono07@0M02o
gi`0B4RL0?ooo`2oM4P0W=no07@0M02oool00`3oool00`3ooml0W9bo0?ooo`040?ooo`070?oOW018
0000M;oO09adW03O_g@0001809cOo`030?ooo`050=nLB0000000000000000018W=l01@3oool00`3o
okl0M01d0;ooo`040?ooo`030?noM0000000M;oo0080oooo00<0W4P007Boo`3oool0103oool00`2o
M7@0_ooo0?ooo`030?ooo`030?oOW01804P0W=oo0080oooo00<0oooO09adW03Oool00`3oool00`3o
oml0W9bo0?ooo`060?ooo`030;md0000000007Bo0?l0oooo;P3oool000D0oooo00<0W4Qd0;ooo`3o
ool03@3oool00`3OW7@0W=oo0?ooo`030?ooo`050?noM000M;l0omnL04P0001d_ol01`3oool00`3o
gi`0M9cO0?ooo`020?ooo`090?oo_`1d07@0M7@007Boo`3oool0okmd001dM01d07@0_ooo00<0oooo
00<0omnL07BLg`3oool01P3oool00`3ooml0W7BL0=ooo`040?ooo`030=nLB000B9`0oooo0080oooo
00T0okmd001d_`3oool0oooo0?oOW018000000000000M02oool00`3oool0103OW4P00000001dM01d
000200000003001d_`3oool0oooo00@0oooo00<0giad09cOo`3oool0103oool01P3ooml0W4Q809cO
o`3o_g@0001809cOo`@0oooo00<0omnL07BLg`3oool01P3oool00`2oM0000000001d_`3o0?ooobh0
oooo00000`3OW4P0M;oo0?ooo`020?ooo`030;md001d_ol0oooo00d0oooo00<0omnL04Qd_`3oool0
0`3oool01P3o_g@007Bo0?ooo`3ookl0M00007Boo`L0oooo00P0_gAd0;ooo`3oool0oooo0?oo_`1d
0000001d0;ooo`80oooo00<0W4P00000M02oool00`3oool00`3OW7@0W=oo0?ooo`0=0?ooo`070?no
M000B9`0oooo0?ooo`3ookl0M000001d_`0G0?ooo`030?oOW018M;l0oooo00D0oooo00<0oono07@0
0000M;l01P3oool00`3OW7@0W=oo0?ooo`3o0?ooocL0oooo00001`3o_g@0001d0;ooo`3oool0okmd
0000B02Lgol03`3oool01@2oM7@0_ooo0?ooo`3oool0gia80080000000D0001804Q8000000000000
001d_`060?ooo`070?oOW01dW=l0oooo0?ooo`2LB000000004RLg`030?ooo`030=nLB000000004RL
0080oooo00<0oono07Ad_`3oool03`3oool01P3OW4P00000000000000000M7Ad001d_aP0oooo00<0
_gAd0;ooo`3oool0103oool00`3OW9`0_ooo0?ooo`050?ooo`030?oo_`1dM;l0oooo0?l0oooo>03o
ool000060?ooo`3o_g@000000000000004P0W=oo403oool00`3ogi`0B7Bo0?ooo`0@0?ooo`030;nL
W03Oool0oooo00/0oooo00<0_gA809cOo`3oool06@3oool00`3o_g@0001d0;ooo`0A0?ooo`030?oO
W018M;l0oooo00@0oooo00H0oono07@00000000000000000M02oool20?ooo`030;mdB02Lgol0oooo
0?l0oooo>03oool005<0oooo00<0okmd0000M02oool0o`3ooomK0?ooo`00o`3ooona0?ooo`00o`3o
oona0?ooo`00o`3ooona0?ooo`00o`3ooona0?ooo`00o`3ooona0?ooo`00o`3ooona0?ooo`00o`3o
oona0?ooo`00L03oool00`3ogi`0M9cO0?ooo`0N0?ooo`030=nLM02Lgol0oooo00d0oooo00<0oono
07@0000000000P0000000`00M;l0oooo0?ooo`0U0?ooo`0509a80000000000000000B02Lgol0g@3o
ool00700oooo00<0_gAd0;ooo`3oool0303oool00`2LB000B9cO0?ooo`0?0?ooo`030?oo_`1dM;l0
oooo0100oooo00<0okmd001d_`3oool0:03oool00`2oM000M;oo0?ooo`3N0?ooo`00K`3oool00`3o
gi`0M9cO0?ooo`0=0?ooo`030;md000007@0_ooo0100oooo00<0giad09cOo`3oool0403oool00`2L
B4P0W=oo0?ooo`0W0?ooo`030;md001d_ol0oooo0=h0oooo00000`2LB00000000000000300000004
0018W03oool0oooo09a800D0000000H004RL0?ooo`3oool0oooo0?oo_`1d0002000000060018W03o
ool0oooo0?ooo`3ookl0M0000`000000100007@0_ooo0?ooo`3OW4P2000000030018W03oool0_g@0
0080000000<0B9cO0?ooo`2LB0001@0000001000B9`0oooo0?ooo`3OW4P300000005001dM01d0000
001809cOo`3OW4P00P0000000`00B9`0oooo0;md00020000000404RLg`3oool0oono07@000<00000
00<0001d0;ooo`3oool04P3oool01P3OW4P0000000000000B9`0oooo09a80080000000<0B9cO0?oo
o`3oool00P3oool00`3OW7@0W=oo0?ooo`030?ooo`060?oOW0180000000000000000B9`0gooo103o
ool00`3o_g@0000004RLg`040?ooo`080?oo_`1d00000000001d_`2oM00000000000M02oool40?oo
o`030?oOW01dW=l0oooo00l0oooo00<0oono07@00000M;l03P3oool01P3OW4P00000000000000000
001809cOo`80oooo01@0gia80000000000000000001dM01d0000001809boW018000000000000M02o
okl0M0000000B02Lgol0W4P00000B02Lgol0_g@007AdM0<0000000H0001809cOo`3oool0oooo0?oo
_`1d0003000000030000M02oool0oooo01D0oooo00<0omnL04P0B02Lgol01@3oool01P2oM0000000
000000000000001d0;ooo`<0oooo00H0gia800000000000000000000B02Lgol30?ooo`050?oo_`1d
0000000000000000B9`00`3oool00`3ookl0M00000000002000000050000M02oool0oooo0?oo_`1d
0000100000001@0004P0W=oo0?ooo`3oool0W4P000D0000000@004RL0?ooo`3oool0gia80`000000
1P00M7@0M0000000B02Lgol0oooo09a800D0000000<004RL0?ooo`3oool02@3oool00`3ogi`0B000
000000020000000307AdM000000004RL0080oooo00H0_g@000000000000000000000M02ooolD0?oo
o`0309a800000000000000<0000000@004RL0?ooo`3oool0gia80`0000001P00M7@0M0000000B02L
gol0oooo0;md00@0000000<004RL0?ooo`3oool0503oool01P2oM0000000000000000000001d0;oo
o`<0oooo00H0gia800000000000000000000B02Lgol20?ooo`000P3oool00`3ookl0M01d0;ooo`06
0?ooo`030?oo_`1d07@0_ooo00D0oooo00X0gia804RLg`3oool0oooo0=nLB00007@0_ooo0?ooo`2o
M000M;oo0`3oool01P3o_g@007Bo0?ooo`3oool0okmd001d_`<0oooo00<0_g@007Boo`3oool00`3o
ool00`3ookl0M01d0;ooo`030?ooo`030?oo_`1d07@0_ooo0080oooo00<0_g@00000M02oool00P3o
ool00`3o_g@007Bo0?ooo`020?ooo`060;md001d_ol0oooo0?ooo`2oM000M;oo0`3oool00`3o_g@0
07Bo0?ooo`0C0?ooo`030?noM000M;l0oooo0080oooo00<0_g@007Boo`3oool0103oool00`2oW9`0
gooo0?ooo`020?ooo`030?oo_`1d07@0_ooo0080oooo00<0omnL04P0B02Lgol00`3oool0103ookl0
M0000000001d_ol30?ooo`090=nLB01d_ol0oooo0?noM000M;l0oooo0?oOW018B9`0gooo00<0oooo
00<0oooO09bL_`3oool03`3oool0103OW4P007Bo0;md001d_ol<0?ooo`030?noM000B9`0oooo0080
oooo00H0omnL04P0B02Lgol0oono07@0M02oool20?ooo`0A0;md000007@0_ooo0?ooo`3ogi`0B4RL
0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`3oool0_g@00000M02oool00P3oool01P3ogi`0B4RL
0?ooo`3oool0_g@007Boo`<0oooo00<0okmd001d_`3oool05@3oool00`3OW4P0B4Q804RLg`040?oo
o`030;md0000M;l0oooo0080oooo00H0okmd0018W03oool0oooo0=nLB000B9`30?ooo`030?oOW018
04P0W=oo0080oooo00X0gia804RLg`3oool0oooo0=nLB00007@0_ooo0?ooo`2oM000M;oo0`3oool0
0`3o_g@007Bo0?ooo`020?ooo`030?oo_`1d07@0_ooo00L0oooo00<0oono07@0M02oool00`3oool0
0`3ookl0M01d0;ooo`020?ooo`030;md000007@0_ooo00@0oooo00<0oono07@0M02oool03@3oool0
1`2LB4P0W=oo0?ooo`3oool0oono07@00000M;l00P3oool00`2oM00007Bo0?ooo`020?ooo`030?no
M000B9`0oooo01D0oooo00<0oono07@0M02oool00`3oool00`3ookl0M01d0;ooo`020?ooo`030;md
000007@0_ooo0080oooo00<0_g@004RLg`3oool00P3oool00`3OW4P0B9cO0?ooo`0C0?ooo`030;md
0000M;l0oooo0080oooo00H0okmd0018W03oool0oooo0=nLB000B9`30?ooo`030?oOW01804P0W=oo
0040oooo00020?ooo`030?oo_`1d07@0_ooo00H0oooo00<0oono07@0M02oool01@3oool00`3OW4P0
B9cO0?ooo`040?ooo`030?oo_`1dB9`0oooo00@0oooo00D0W4Q809cOo`3oool0okmd001d_`030?oo
o`030;md001d_ol0oooo00<0oooo00<0oono07@0M02oool00`3oool00`3ookl0M01809cOo`020?oo
o`030?oo_`1d07@0_ooo0080oooo00<0okmd001d_`3oool00P3oool01@2oM000M;oo0?ooo`3ookl0
M4RL00D0oooo00<0W4Q809cOo`3oool04P3oool00`3o_g@007Bo0?ooo`020?ooo`030;md001d_ol0
oooo00<0oooo00<0oooO09adW03Oool00`3oool00`3ookl0W9cO0?ooo`030?ooo`030?oo_`1dM;l0
oooo00T0oooo00D0oknL09cOo`3oool0oooO09bL_`020?ooo`030=nLM02Lgol0oooo0080oooo00<0
oooO09adW03Oool03`3oool0102LB4P0W=oo0?oOW018B9`;0?ooo`030?oo_`1d07@0_ooo00H0oooo
00<0oono07@0B02Lgol00P3oool0403ookl0M01d0;ooo`3oool0omnL04Q8W03oool0oono07@0M02o
ool0oooo09a8B02Lgol0oooo0;md001d_ol40?ooo`040;md001d_ol0oono07A8W0D0oooo00<0W4Q8
09cOo`3oool0503oool00`2LB7@0_ono07A8W0030?ooo`030?oo_`1d07@0_ooo00L0oooo00<0W4Q8
09cOo`3oool01`3oool00`3OW4P0B9cO0?ooo`040?ooo`030?oo_`1dB9`0oooo00@0oooo00L0W4Q8
09cOo`3oool0oooo0?oo_`1d07@0_ooo00L0oooo00<0oono07@0M02oool00`3oool00`3ookl0M018
09cOo`020?ooo`030?oo_`1d07@0_ooo00@0oooo00<0oono07@0M02oool0303oool00`3ogi`0B7Bo
0?ooo`030?ooo`060?noM000M;l0oooo0?oo_`1d07@0_ooo6`3oool00`3ookl0M01d0;ooo`030?oo
o`030?oo_`1d04P0W=oo0080oooo00<0oono07@0M02oool01`3oool00`2oM00007Bo0?ooo`0B0?oo
o`030?oo_`1d07@0_ooo00L0oooo00<0W4Q809cOo`3oool01P3oool00080oooo00<0oono07@0M02o
ool01P3oool00`3ookl0M01d0;ooo`050?ooo`030=nLB018W=l0oooo00@0oooo00<0oono07A8W03o
ool0103oool01@2LB4P0W=oo0?ooo`3o_g@007Bo00<0oooo00<0_g@007Boo`3oool00`3oool00`3o
okl0M01d0;ooo`040?ooo`030?oOW018000000000080000000H0001d0;ooo`3oool0oooo0?noM000
M;l30?ooo`050;md001d_ol0oooo0?oo_`1dB9`01@3oool00`2LB4P0W=oo0?ooo`0B0?ooo`030?no
M000M;l0oooo0080oooo00<0_g@007Boo`3oool00`3oool00`3ooml0W7BL0=ooo`030?ooo`030?oo
g`2LM9`0gooo00@0oooo00<0_ibL0=ooo`3oool0203oool02@3ogi`0W;oo0?ooo`3oool0_gAd0;oo
o`3oool0oknL09cOo`030?ooo`030?oog`2LM9`0gooo00h0oooo00H0okmd001d_`3oool0oooo0;md
001d_ol:0?ooo`030?oOW018M;l0oooo00L0oooo00<0omnL04P0000000000P0000003`0007@0_ooo
0?ooo`3ogi`0B4RL0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`3oool0_g@004RLg`040?ooo`04
0;mdB02Lgol0oono07A8W0D0oooo00<0W4Q809cOo`3oool04`3oool01@3o_g@007Bo0?ooo`2oM000
M;oo0080oooo00<0oono07@000000000100000001@00B9`0oooo0?ooo`2LB4P0W=oo00P0oooo00<0
gia804RLg`3oool0103oool00`3ookl0M4RL0?ooo`040?ooo`0709a8B02Lgol0oooo0?ooo`3ookl0
M01d0;ooo`070?ooo`030?oo_`1d07@0_ooo00@0oooo00<0omnL04P0000000000P0000000`0007@0
_ooo0?ooo`030?ooo`030?oo_`1d07@0_ooo00`0oooo00<0omnL04Qd_`3oool00`3oool01@3o_g@0
07Bo0?ooo`3ookl0M00000D0000000<004RL0?ooo`3oool0503oool00`3ookl0M01d0;ooo`040?oo
o`030?oOW018000000000080000000<0001d0;ooo`3oool00P3oool01@2LB0000000000000000000
04RL01@0oooo00<0oono07@000000000100000001@00B9`0oooo0?ooo`2LB4P0W=oo00L0oooo0002
0?ooo`030?oo_`1d07@0_ooo00H0oooo00<0oono07@0M02oool01@3oool00`3OW4P0B9cO0?ooo`05
0?ooo`030;md0000B9`0oooo0080oooo00L0_g@0001d_`3oool0oooo0?noM0000000M;oo0080oooo
00<0W4P007Boo`3oool00`3oool00`3ookl0M01d0;ooo`040?ooo`070?oo_`2o_ol0oooo0?ooo`3o
gi`0B01d0;ooo`020?ooo`030?noM0000000M;oo0080oooo00H0W4P007Boo`3oool0oooo0;md0000
B9`30?ooo`030;md0000M;l0oooo01<0oooo00<0okmd0000000000000`0000000`1d_ol0oooo0?oo
o`030?ooo`030;mdM02oool0oooo00<0oooo00<0omnL04P0B02Lgol00P3oool00`3ooml0W7BL0=oo
o`0:0?ooo`030;mdB02Lgol0oooo00<0oooo00<0oknL09cOo`3oool00P3oool00`3ooml0W9bo0?oo
o`0>0?ooo`0609a8B02Lgol0oooo0?ooo`3ogi`0B4RL2P3oool00`3ogi`0B7Bo0?ooo`070?ooo`0E
0?oo_`2o_ol0oooo0?ooo`3ogi`0B01d0;ooo`3oool0omnL04P0001d_ol0omnL04P00018W=l0oono
07@0B02Lgol0oooo0;md00000000M;oo0080oooo00H0gia80018W03oool0oooo0;md0000B9`30?oo
o`030;md0000M;l0oooo01@0oooo00D0_g@007Boo`3oool0okmd001d_`030?ooo`030;md001d_ol0
oooo0080oooo00L0W4P004RLg`3oool0oooo0=nLB00007@0_ooo0080oooo00<0_g@00000M02oool0
0P3oool00`3OW4P0B9cO0?ooo`050?ooo`030;md0000B9`0oooo0080oooo00<0_g@0001d_`3oool0
0P3oool0103ookl0M0000000001d_ol60?ooo`030?oo_`1d07@0_ooo00@0oooo00L0oono0;noo`3o
ool0oooo0?oOW01807@0_ooo00@0oooo00<0oono07@0M02oool03@3oool01`2LB000B9cO0?ooo`3o
ool0okmd00000000M;l00P3oool00`2oM000M;oo0?ooo`020?ooo`0309a80018W=l0oooo01D0oooo
00<0oono07@0M02oool0103oool01`3ookl0_koo0?ooo`3oool0omnL04P0M02oool00P3oool01`3o
_g@007Bo0?ooo`3oool0oono07@00018W=l0503oool00`2oM000M;oo0?ooo`020?ooo`0709a80018
W=l0oooo0?ooo`3OW4P0001d0;ooo`020?ooo`030;md000007@0_ooo0040oooo00001@3ogi`0B000
0000000007@0_ooo00H0oooo00<0oono07@0M02oool00`3oool00`3ogi`0B0000000000300000003
0000B02Lgol0oooo0080oooo00D0gia80000000000000000001d_`020?ooo`040=nLB000000007Ad
07@00080000000T007Bo0?ooo`3oool0oooo0?oOW018000000000000M02oool0103oool01P3ogi`0
B000000000000000001809cOo`80oooo00@0gia800000000M7@0M0000P0000000`00M;l0oooo0?oo
o`020?ooo`050=nLB0000000000000000000M;l05@3oool00`3o_g@007Bo0?ooo`020?ooo`030;md
001d_ol0oooo00@0oooo00<0giad09cOo`3oool0103oool01P3ooml0W4Q809cOo`3o_g@0001809cO
o`/0oooo00<0oooO09adW03Oool00`3oool00`2o_kl0oooo0?ooo`020?ooo`030?oOW01dW=l0oooo
00d0oooo00P0_g@00000000007@0_ooo0?oo_`1d00000000001d_`T0oooo00<0oono07A8W03oool0
0`3oool01P3ookl0M01809cOo`3oool0omnL04P0008000000140001809cOo`3oool0omnL04P00000
B4P0M0000000001d_ol0W4P000000000M;l0oooo09a800000000M;no07@00002000000030018W03o
ool0oooo0080oooo00D0gia80000000000000000001d_`0E0?ooo`030?oo_`1dB9`0oooo0080oooo
00H0W4Qd0;ooo`3oool0oooo0?oo_`1d00030000000304RLg`3oool0oooo0080oooo00T0okmd0000
000000000000001dM01d07@0_ooo0?oOW0180000100000000`0004P0W=oo0?ooo`020?ooo`050=nL
B0000000000000000000M;l00`3oool01@3OW4P000000000M02ookl0M0000080000000L0M;oo0?oo
o`3ogi`0B0000000000007@0_ooo00@0oooo00H0omnL04P00000000000000000B02Lgol50?ooo`03
0?oo_`1d07@0_ooo00h0oooo00H0W4P0000000000000001d0;noM000M;l20?ooo`030?oo_`1d0000
00000080000000<0B9cO0?ooo`3oool05@3oool00`3ookl0M01d0;ooo`040?ooo`060?oOW0180000
00000000000004P0W=oo103oool01P2oM0000000000000000000M7Ad04RLga@0oooo00<0oono07@0
000000000P0000000`18W=l0oooo0?ooo`020?ooo`070?noM0000000000000000000M7@0M01d0;oo
o`010=nLB0002`3oool00`3ookl0M01d0;ooo`050?ooo`030=nLB018W=l0oooo04d0oooo00<0okmd
001d_`3oool00P3oool00`2oM000M;oo0?ooo`040?ooo`030?oOW018M;l0oooo00D0oooo00<0oono
07@00000M;l0603oool00`3OW7@0W=oo0?ooo`0O0?ooo`080=nLB000B9`0oooo0?ooo`3ookl0M000
0000B02Lgolg0?ooo`030=nLB018W=l0oooo0080oooo00<0gia804RLg`3oool0503oool00`3OW4P0
B9cO0?ooo`0[0?ooo`030?oo_`1d07@0_ooo0180oooo00<0okmd001d_`3oool07P3oool00`3ookl0
M01d0;ooo`0j0?ooo`002`3oool00`3ookl0M01d0;ooo`050?ooo`030=nLB018W=l0oooo04`0oooo
00T0omnL04P00000000004RL0?ooo`2LB00000000000B02Lgol01@3oool00`2oM7@0_ooo0?ooo`04
0?ooo`030=nLW02oool0oooo01L0oooo00<0oono07Ad_`3oool08@3oool01`3OW4P0000000000000
0000M;oo09a8B02Lgol0=P3oool01P2LB00000000000000007@0_ono07@00080000000<004RL0?oo
o`3oool04P3oool00`3OW4P0B9cO0?ooo`0[0?ooo`030?oo_`1d07@0_ooo0180oooo00<0okmd001d
_`3oool07P3oool00`3ookl0M01d0;ooo`0j0?ooo`000P3oool00`3o_g@0001d0;ooo`040?ooo`05
0?oOW018000000000000M02oool08@3oool00`3o_g@0001d0;ooo`0n0?ooo`030?oOW018M;l0oooo
00@0oooo00H0oono07@00000000000000000M02ooolD0?ooo`030;mdB02Lgol0oooo09L0oooo00<0
okmd0000M02oool03@3oool01@3ogi`0B0000000000007@0_ooo0140oooo00<0okmd00000000M;l0
7@3oool01@3ogi`0B0000000000007@0_ooo03X0oooo00020?ooo`030?noM00007@0_ooo02X0oooo
00<0okmd0000M02oool0n@3oool00`3o_g@0001d0;ooo`220?ooo`00o`3ooona0?ooo`00o`3ooona
0?ooo`00o`3ooona0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 431}, {431, 0}} -> {-4.12815, -7.31952, 0.0287342, \
0.0541018}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[gra4, gra3, graphs, 
        PlotRange \[Rule] {{x1min, x1max}, {x2min, x2max}}, 
        DisplayFunction \[Rule] $DisplayFunction];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0.5 0.0833333 [
[.02254 -0.0125 -6 -9 ]
[.02254 -0.0125 6 0 ]
[.18169 -0.0125 -6 -9 ]
[.18169 -0.0125 6 0 ]
[.34085 -0.0125 -6 -9 ]
[.34085 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.65915 -0.0125 -3 -9 ]
[.65915 -0.0125 3 0 ]
[.81831 -0.0125 -3 -9 ]
[.81831 -0.0125 3 0 ]
[.97746 -0.0125 -3 -9 ]
[.97746 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .16667 -12 -4.5 ]
[-0.0125 .16667 0 4.5 ]
[-0.0125 .33333 -12 -4.5 ]
[-0.0125 .33333 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .66667 -6 -4.5 ]
[-0.0125 .66667 0 4.5 ]
[-0.0125 .83333 -6 -4.5 ]
[-0.0125 .83333 0 4.5 ]
[-0.0125 1 -6 -4.5 ]
[-0.0125 1 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -290 0 ]
[.5 1.0125 290 25.75 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02254 0 m
.02254 .00625 L
s
[(-3)] .02254 -0.0125 0 1 Mshowa
.18169 0 m
.18169 .00625 L
s
[(-2)] .18169 -0.0125 0 1 Mshowa
.34085 0 m
.34085 .00625 L
s
[(-1)] .34085 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.65915 0 m
.65915 .00625 L
s
[(1)] .65915 -0.0125 0 1 Mshowa
.81831 0 m
.81831 .00625 L
s
[(2)] .81831 -0.0125 0 1 Mshowa
.97746 0 m
.97746 .00625 L
s
[(3)] .97746 -0.0125 0 1 Mshowa
.125 Mabswid
.05437 0 m
.05437 .00375 L
s
.0862 0 m
.0862 .00375 L
s
.11803 0 m
.11803 .00375 L
s
.14986 0 m
.14986 .00375 L
s
.21352 0 m
.21352 .00375 L
s
.24535 0 m
.24535 .00375 L
s
.27718 0 m
.27718 .00375 L
s
.30901 0 m
.30901 .00375 L
s
.37268 0 m
.37268 .00375 L
s
.40451 0 m
.40451 .00375 L
s
.43634 0 m
.43634 .00375 L
s
.46817 0 m
.46817 .00375 L
s
.53183 0 m
.53183 .00375 L
s
.56366 0 m
.56366 .00375 L
s
.59549 0 m
.59549 .00375 L
s
.62732 0 m
.62732 .00375 L
s
.69099 0 m
.69099 .00375 L
s
.72282 0 m
.72282 .00375 L
s
.75465 0 m
.75465 .00375 L
s
.78648 0 m
.78648 .00375 L
s
.85014 0 m
.85014 .00375 L
s
.88197 0 m
.88197 .00375 L
s
.9138 0 m
.9138 .00375 L
s
.94563 0 m
.94563 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .16667 m
.00625 .16667 L
s
[(-4)] -0.0125 .16667 1 0 Mshowa
0 .33333 m
.00625 .33333 L
s
[(-2)] -0.0125 .33333 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .66667 m
.00625 .66667 L
s
[(2)] -0.0125 .66667 1 0 Mshowa
0 .83333 m
.00625 .83333 L
s
[(4)] -0.0125 .83333 1 0 Mshowa
0 1 m
.00625 1 L
s
[(6)] -0.0125 1 1 0 Mshowa
.125 Mabswid
0 .04167 m
.00375 .04167 L
s
0 .08333 m
.00375 .08333 L
s
0 .125 m
.00375 .125 L
s
0 .20833 m
.00375 .20833 L
s
0 .25 m
.00375 .25 L
s
0 .29167 m
.00375 .29167 L
s
0 .375 m
.00375 .375 L
s
0 .41667 m
.00375 .41667 L
s
0 .45833 m
.00375 .45833 L
s
0 .54167 m
.00375 .54167 L
s
0 .58333 m
.00375 .58333 L
s
0 .625 m
.00375 .625 L
s
0 .70833 m
.00375 .70833 L
s
0 .75 m
.00375 .75 L
s
0 .79167 m
.00375 .79167 L
s
0 .875 m
.00375 .875 L
s
0 .91667 m
.00375 .91667 L
s
0 .95833 m
.00375 .95833 L
s
.25 Mabswid
0 0 m
0 1 L
s
.02254 .99375 m
.02254 1 L
s
.18169 .99375 m
.18169 1 L
s
.34085 .99375 m
.34085 1 L
s
.5 .99375 m
.5 1 L
s
.65915 .99375 m
.65915 1 L
s
.81831 .99375 m
.81831 1 L
s
.97746 .99375 m
.97746 1 L
s
.125 Mabswid
.05437 .99625 m
.05437 1 L
s
.0862 .99625 m
.0862 1 L
s
.11803 .99625 m
.11803 1 L
s
.14986 .99625 m
.14986 1 L
s
.21352 .99625 m
.21352 1 L
s
.24535 .99625 m
.24535 1 L
s
.27718 .99625 m
.27718 1 L
s
.30901 .99625 m
.30901 1 L
s
.37268 .99625 m
.37268 1 L
s
.40451 .99625 m
.40451 1 L
s
.43634 .99625 m
.43634 1 L
s
.46817 .99625 m
.46817 1 L
s
.53183 .99625 m
.53183 1 L
s
.56366 .99625 m
.56366 1 L
s
.59549 .99625 m
.59549 1 L
s
.62732 .99625 m
.62732 1 L
s
.69099 .99625 m
.69099 1 L
s
.72282 .99625 m
.72282 1 L
s
.75465 .99625 m
.75465 1 L
s
.78648 .99625 m
.78648 1 L
s
.85014 .99625 m
.85014 1 L
s
.88197 .99625 m
.88197 1 L
s
.9138 .99625 m
.9138 1 L
s
.94563 .99625 m
.94563 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 0 m
1 0 L
s
.99375 .16667 m
1 .16667 L
s
.99375 .33333 m
1 .33333 L
s
.99375 .5 m
1 .5 L
s
.99375 .66667 m
1 .66667 L
s
.99375 .83333 m
1 .83333 L
s
.125 Mabswid
.99625 .04167 m
1 .04167 L
s
.99625 .08333 m
1 .08333 L
s
.99625 .125 m
1 .125 L
s
.99625 .20833 m
1 .20833 L
s
.99625 .25 m
1 .25 L
s
.99625 .29167 m
1 .29167 L
s
.99625 .375 m
1 .375 L
s
.99625 .41667 m
1 .41667 L
s
.99625 .45833 m
1 .45833 L
s
.99625 .54167 m
1 .54167 L
s
.99625 .58333 m
1 .58333 L
s
.99625 .625 m
1 .625 L
s
.99625 .70833 m
1 .70833 L
s
.99625 .75 m
1 .75 L
s
.99625 .79167 m
1 .79167 L
s
.99625 .875 m
1 .875 L
s
.99625 .91667 m
1 .91667 L
s
.99625 .95833 m
1 .95833 L
s
.25 Mabswid
1 0 m
1 1 L
s
gsave
.5 1.0125 -351 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 33.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding WindowsANSIEncoding def
        currentdict
    end

    newfontname exch definefont pop
} def

63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Curvas) show
105.000 12.813 moveto
(de) show
123.000 12.813 moveto
(nivel) show
159.000 12.813 moveto
(del) show
189.000 12.813 moveto
(Hamiltoniano) show
273.000 12.813 moveto
(H) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
279.000 12.813 moveto
(H) show
285.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
291.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
297.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
303.000 12.813 moveto
(L) show
315.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(y) show
327.000 12.813 moveto
(Campo) show
369.000 12.813 moveto
(Vectorial) show
429.000 12.813 moveto
(de) show
453.000 12.813 moveto
(las) show
483.000 12.813 moveto
(ecuaciones) show
591.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
597.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(') show
609.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
627.000 12.813 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
633.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(;) show
639.000 12.813 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
75.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(w) show
81.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(') show
93.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
99.000 26.000 moveto
(H) show
105.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
111.000 26.000 moveto
(\\220) show
117.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
123.000 26.000 moveto
(L) show
129.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
135.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Pm) show
153.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
165.000 26.000 moveto
(H) show
171.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(B) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
177.000 26.000 moveto
(\\220) show
183.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
189.000 26.000 moveto
(L) show
195.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
201.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x2) show
213.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
219.000 26.000 moveto
(H) show
225.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(K) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
231.000 26.000 moveto
(\\220) show
237.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
243.000 26.000 moveto
(L) show
249.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(*) show
255.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Sin) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
273.000 26.000 moveto
(H) show
279.000 26.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Mathematica2Mono
%%IncludeFont: Mathematica2Mono
/Mathematica2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
285.000 26.000 moveto
(L) show
291.000 26.000 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(;) show
303.000 26.000 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto fill
-0.0125 0.003125 moveto 0 0 lineto
-0.0125 -0.003125 lineto
-0.0125 0.003125 lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
0 0 Mdot
grestore
} def
% End of user PostScript
.0001 w
0 0 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -6. -3.37175 -5.98159 MAarrowhead1
% End of user PostScript
0 .07143 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -5.14286 -3.33887 -5.12707 MAarrowhead1
% End of user PostScript
0 .14286 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -4.28571 -3.30599 -4.27256 MAarrowhead1
% End of user PostScript
0 .21429 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -3.42857 -3.27311 -3.41805 MAarrowhead1
% End of user PostScript
0 .28571 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -2.57143 -3.24023 -2.56354 MAarrowhead1
% End of user PostScript
0 .35714 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -1.71429 -3.20735 -1.70902 MAarrowhead1
% End of user PostScript
0 .42857 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -0.857143 -3.17447 -0.854512 MAarrowhead1
% End of user PostScript
0 .5 m
0 .5 L
s
% Start of user PostScript
-3.14159 0 MAarrowzero1
% End of user PostScript
0 .57143 m
.00523 .57121 L
s
% Start of user PostScript
-3.14159 0.857143 -3.10871 0.854512 MAarrowhead1
% End of user PostScript
0 .64286 m
.01047 .64242 L
s
% Start of user PostScript
-3.14159 1.71429 -3.07583 1.70902 MAarrowhead1
% End of user PostScript
0 .71429 m
.0157 .71363 L
s
% Start of user PostScript
-3.14159 2.57143 -3.04295 2.56354 MAarrowhead1
% End of user PostScript
0 .78571 m
.02093 .78484 L
s
% Start of user PostScript
-3.14159 3.42857 -3.01007 3.41805 MAarrowhead1
% End of user PostScript
0 .85714 m
.02617 .85605 L
s
% Start of user PostScript
-3.14159 4.28571 -2.97719 4.27256 MAarrowhead1
% End of user PostScript
0 .92857 m
.0314 .92726 L
s
% Start of user PostScript
-3.14159 5.14286 -2.94431 5.12707 MAarrowhead1
% End of user PostScript
0 1 m
.03663 .99847 L
s
% Start of user PostScript
-3.14159 6. -2.91143 5.98159 MAarrowhead1
% End of user PostScript
.07143 0 m
.0348 .01514 L
s
% Start of user PostScript
-2.69279 -6. -2.92295 -5.81831 MAarrowhead1
% End of user PostScript
.07143 .07143 m
.04003 .08635 L
s
% Start of user PostScript
-2.69279 -5.14286 -2.89007 -4.9638 MAarrowhead1
% End of user PostScript
.07143 .14286 m
.04526 .15756 L
s
% Start of user PostScript
-2.69279 -4.28571 -2.85719 -4.10929 MAarrowhead1
% End of user PostScript
.07143 .21429 m
.0505 .22877 L
s
% Start of user PostScript
-2.69279 -3.42857 -2.82431 -3.25477 MAarrowhead1
% End of user PostScript
.07143 .28571 m
.05573 .29998 L
s
% Start of user PostScript
-2.69279 -2.57143 -2.79143 -2.40026 MAarrowhead1
% End of user PostScript
.07143 .35714 m
.06096 .37119 L
s
% Start of user PostScript
-2.69279 -1.71429 -2.75855 -1.54575 MAarrowhead1
% End of user PostScript
.07143 .42857 m
.0662 .4424 L
s
% Start of user PostScript
-2.69279 -0.857143 -2.72567 -0.691237 MAarrowhead1
% End of user PostScript
.07143 .5 m
.07143 .51361 L
s
% Start of user PostScript
-2.69279 0 -2.69279 0.163275 MAarrowhead1
% End of user PostScript
.07143 .57143 m
.07666 .58482 L
s
% Start of user PostScript
-2.69279 0.857143 -2.65991 1.01779 MAarrowhead1
% End of user PostScript
.07143 .64286 m
.08189 .65602 L
s
% Start of user PostScript
-2.69279 1.71429 -2.62703 1.8723 MAarrowhead1
% End of user PostScript
.07143 .71429 m
.08713 .72723 L
s
% Start of user PostScript
-2.69279 2.57143 -2.59415 2.72681 MAarrowhead1
% End of user PostScript
.07143 .78571 m
.09236 .79844 L
s
% Start of user PostScript
-2.69279 3.42857 -2.56127 3.58132 MAarrowhead1
% End of user PostScript
.07143 .85714 m
.09759 .86965 L
s
% Start of user PostScript
-2.69279 4.28571 -2.52839 4.43584 MAarrowhead1
% End of user PostScript
.07143 .92857 m
.10283 .94086 L
s
% Start of user PostScript
-2.69279 5.14286 -2.49551 5.29035 MAarrowhead1
% End of user PostScript
.07143 1 m
0 0 rlineto s
.07143 1 m
.07143 1 L
s
% Start of user PostScript
-2.69279 6. -2.46263 6.14486 MAarrowhead1
% End of user PostScript
.14286 0 m
.10623 .02605 L
s
% Start of user PostScript
-2.24399 -6. -2.47415 -5.68738 MAarrowhead1
% End of user PostScript
.14286 .07143 m
.11146 .09726 L
s
% Start of user PostScript
-2.24399 -5.14286 -2.44127 -4.83286 MAarrowhead1
% End of user PostScript
.14286 .14286 m
.11669 .16847 L
s
% Start of user PostScript
-2.24399 -4.28571 -2.40839 -3.97835 MAarrowhead1
% End of user PostScript
.14286 .21429 m
.12193 .23968 L
s
% Start of user PostScript
-2.24399 -3.42857 -2.37551 -3.12384 MAarrowhead1
% End of user PostScript
.14286 .28571 m
.12716 .31089 L
s
% Start of user PostScript
-2.24399 -2.57143 -2.34263 -2.26933 MAarrowhead1
% End of user PostScript
.14286 .35714 m
.13239 .3821 L
s
% Start of user PostScript
-2.24399 -1.71429 -2.30975 -1.41481 MAarrowhead1
% End of user PostScript
.14286 .42857 m
.13762 .45331 L
s
% Start of user PostScript
-2.24399 -0.857143 -2.27687 -0.560301 MAarrowhead1
% End of user PostScript
.14286 .5 m
.14286 .52452 L
s
% Start of user PostScript
-2.24399 0 -2.24399 0.294211 MAarrowhead1
% End of user PostScript
.14286 .57143 m
.14809 .59573 L
s
% Start of user PostScript
-2.24399 0.857143 -2.21111 1.14872 MAarrowhead1
% End of user PostScript
.14286 .64286 m
.15332 .66694 L
s
% Start of user PostScript
-2.24399 1.71429 -2.17823 2.00324 MAarrowhead1
% End of user PostScript
.14286 .71429 m
.15856 .73815 L
s
% Start of user PostScript
-2.24399 2.57143 -2.14536 2.85775 MAarrowhead1
% End of user PostScript
.14286 .78571 m
.16379 .80936 L
s
% Start of user PostScript
-2.24399 3.42857 -2.11248 3.71226 MAarrowhead1
% End of user PostScript
.14286 .85714 m
.16902 .88056 L
s
% Start of user PostScript
-2.24399 4.28571 -2.0796 4.56677 MAarrowhead1
% End of user PostScript
.14286 .92857 m
.17426 .95177 L
s
% Start of user PostScript
-2.24399 5.14286 -2.04672 5.42129 MAarrowhead1
% End of user PostScript
.14286 1 m
0 0 rlineto s
.14286 1 m
.14286 1 L
s
% Start of user PostScript
-2.24399 6. -2.01384 6.2758 MAarrowhead1
% End of user PostScript
.21429 0 m
.17765 .03211 L
s
% Start of user PostScript
-1.7952 -6. -2.02536 -5.61471 MAarrowhead1
% End of user PostScript
.21429 .07143 m
.18289 .10332 L
s
% Start of user PostScript
-1.7952 -5.14286 -1.99248 -4.7602 MAarrowhead1
% End of user PostScript
.21429 .14286 m
.18812 .17453 L
s
% Start of user PostScript
-1.7952 -4.28571 -1.9596 -3.90569 MAarrowhead1
% End of user PostScript
.21429 .21429 m
.19335 .24574 L
s
% Start of user PostScript
-1.7952 -3.42857 -1.92672 -3.05117 MAarrowhead1
% End of user PostScript
.21429 .28571 m
.19859 .31694 L
s
% Start of user PostScript
-1.7952 -2.57143 -1.89384 -2.19666 MAarrowhead1
% End of user PostScript
.21429 .35714 m
.20382 .38815 L
s
% Start of user PostScript
-1.7952 -1.71429 -1.86096 -1.34215 MAarrowhead1
% End of user PostScript
.21429 .42857 m
.20905 .45936 L
s
% Start of user PostScript
-1.7952 -0.857143 -1.82808 -0.487637 MAarrowhead1
% End of user PostScript
.21429 .5 m
.21429 .53057 L
s
% Start of user PostScript
-1.7952 0 -1.7952 0.366876 MAarrowhead1
% End of user PostScript
.21429 .57143 m
.21952 .60178 L
s
% Start of user PostScript
-1.7952 0.857143 -1.76232 1.22139 MAarrowhead1
% End of user PostScript
.21429 .64286 m
.22475 .67299 L
s
% Start of user PostScript
-1.7952 1.71429 -1.72944 2.0759 MAarrowhead1
% End of user PostScript
.21429 .71429 m
.22998 .7442 L
s
% Start of user PostScript
-1.7952 2.57143 -1.69656 2.93041 MAarrowhead1
% End of user PostScript
.21429 .78571 m
.23522 .81541 L
s
% Start of user PostScript
-1.7952 3.42857 -1.66368 3.78493 MAarrowhead1
% End of user PostScript
.21429 .85714 m
.24045 .88662 L
s
% Start of user PostScript
-1.7952 4.28571 -1.6308 4.63944 MAarrowhead1
% End of user PostScript
.21429 .92857 m
.24568 .95783 L
s
% Start of user PostScript
-1.7952 5.14286 -1.59792 5.49395 MAarrowhead1
% End of user PostScript
.21429 1 m
0 0 rlineto s
.21429 1 m
.21429 1 L
s
% Start of user PostScript
-1.7952 6. -1.56504 6.34846 MAarrowhead1
% End of user PostScript
.28571 0 m
.24908 .03211 L
s
% Start of user PostScript
-1.3464 -6. -1.57656 -5.61471 MAarrowhead1
% End of user PostScript
.28571 .07143 m
.25432 .10332 L
s
% Start of user PostScript
-1.3464 -5.14286 -1.54368 -4.7602 MAarrowhead1
% End of user PostScript
.28571 .14286 m
.25955 .17453 L
s
% Start of user PostScript
-1.3464 -4.28571 -1.5108 -3.90569 MAarrowhead1
% End of user PostScript
.28571 .21429 m
.26478 .24574 L
s
% Start of user PostScript
-1.3464 -3.42857 -1.47792 -3.05117 MAarrowhead1
% End of user PostScript
.28571 .28571 m
.27002 .31694 L
s
% Start of user PostScript
-1.3464 -2.57143 -1.44504 -2.19666 MAarrowhead1
% End of user PostScript
.28571 .35714 m
.27525 .38815 L
s
% Start of user PostScript
-1.3464 -1.71429 -1.41216 -1.34215 MAarrowhead1
% End of user PostScript
.28571 .42857 m
.28048 .45936 L
s
% Start of user PostScript
-1.3464 -0.857143 -1.37928 -0.487637 MAarrowhead1
% End of user PostScript
.28571 .5 m
.28571 .53057 L
s
% Start of user PostScript
-1.3464 0 -1.3464 0.366876 MAarrowhead1
% End of user PostScript
.28571 .57143 m
.29095 .60178 L
s
% Start of user PostScript
-1.3464 0.857143 -1.31352 1.22139 MAarrowhead1
% End of user PostScript
.28571 .64286 m
.29618 .67299 L
s
% Start of user PostScript
-1.3464 1.71429 -1.28064 2.0759 MAarrowhead1
% End of user PostScript
.28571 .71429 m
.30141 .7442 L
s
% Start of user PostScript
-1.3464 2.57143 -1.24776 2.93041 MAarrowhead1
% End of user PostScript
.28571 .78571 m
.30665 .81541 L
s
% Start of user PostScript
-1.3464 3.42857 -1.21488 3.78493 MAarrowhead1
% End of user PostScript
.28571 .85714 m
.31188 .88662 L
s
% Start of user PostScript
-1.3464 4.28571 -1.182 4.63944 MAarrowhead1
% End of user PostScript
.28571 .92857 m
.31711 .95783 L
s
% Start of user PostScript
-1.3464 5.14286 -1.14912 5.49395 MAarrowhead1
% End of user PostScript
.28571 1 m
0 0 rlineto s
.28571 1 m
.28571 1 L
s
% Start of user PostScript
-1.3464 6. -1.11624 6.34846 MAarrowhead1
% End of user PostScript
.35714 0 m
.32051 .02605 L
s
% Start of user PostScript
-0.897598 -6. -1.12776 -5.68738 MAarrowhead1
% End of user PostScript
.35714 .07143 m
.32574 .09726 L
s
% Start of user PostScript
-0.897598 -5.14286 -1.09488 -4.83286 MAarrowhead1
% End of user PostScript
.35714 .14286 m
.33098 .16847 L
s
% Start of user PostScript
-0.897598 -4.28571 -1.062 -3.97835 MAarrowhead1
% End of user PostScript
.35714 .21429 m
.33621 .23968 L
s
% Start of user PostScript
-0.897598 -3.42857 -1.02912 -3.12384 MAarrowhead1
% End of user PostScript
.35714 .28571 m
.34144 .31089 L
s
% Start of user PostScript
-0.897598 -2.57143 -0.996238 -2.26933 MAarrowhead1
% End of user PostScript
.35714 .35714 m
.34668 .3821 L
s
% Start of user PostScript
-0.897598 -1.71429 -0.963358 -1.41481 MAarrowhead1
% End of user PostScript
.35714 .42857 m
.35191 .45331 L
s
% Start of user PostScript
-0.897598 -0.857143 -0.930478 -0.560301 MAarrowhead1
% End of user PostScript
.35714 .5 m
.35714 .52452 L
s
% Start of user PostScript
-0.897598 0 -0.897598 0.294211 MAarrowhead1
% End of user PostScript
.35714 .57143 m
.36238 .59573 L
s
% Start of user PostScript
-0.897598 0.857143 -0.864718 1.14872 MAarrowhead1
% End of user PostScript
.35714 .64286 m
.36761 .66694 L
s
% Start of user PostScript
-0.897598 1.71429 -0.831838 2.00324 MAarrowhead1
% End of user PostScript
.35714 .71429 m
.37284 .73815 L
s
% Start of user PostScript
-0.897598 2.57143 -0.798958 2.85775 MAarrowhead1
% End of user PostScript
.35714 .78571 m
.37807 .80936 L
s
% Start of user PostScript
-0.897598 3.42857 -0.766078 3.71226 MAarrowhead1
% End of user PostScript
.35714 .85714 m
.38331 .88056 L
s
% Start of user PostScript
-0.897598 4.28571 -0.733198 4.56677 MAarrowhead1
% End of user PostScript
.35714 .92857 m
.38854 .95177 L
s
% Start of user PostScript
-0.897598 5.14286 -0.700318 5.42129 MAarrowhead1
% End of user PostScript
.35714 1 m
0 0 rlineto s
.35714 1 m
.35714 1 L
s
% Start of user PostScript
-0.897598 6. -0.667439 6.2758 MAarrowhead1
% End of user PostScript
.42857 0 m
.39194 .01514 L
s
% Start of user PostScript
-0.448799 -6. -0.678958 -5.81831 MAarrowhead1
% End of user PostScript
.42857 .07143 m
.39717 .08635 L
s
% Start of user PostScript
-0.448799 -5.14286 -0.646078 -4.9638 MAarrowhead1
% End of user PostScript
.42857 .14286 m
.40241 .15756 L
s
% Start of user PostScript
-0.448799 -4.28571 -0.613198 -4.10929 MAarrowhead1
% End of user PostScript
.42857 .21429 m
.40764 .22877 L
s
% Start of user PostScript
-0.448799 -3.42857 -0.580319 -3.25477 MAarrowhead1
% End of user PostScript
.42857 .28571 m
.41287 .29998 L
s
% Start of user PostScript
-0.448799 -2.57143 -0.547439 -2.40026 MAarrowhead1
% End of user PostScript
.42857 .35714 m
.41811 .37119 L
s
% Start of user PostScript
-0.448799 -1.71429 -0.514559 -1.54575 MAarrowhead1
% End of user PostScript
.42857 .42857 m
.42334 .4424 L
s
% Start of user PostScript
-0.448799 -0.857143 -0.481679 -0.691237 MAarrowhead1
% End of user PostScript
.42857 .5 m
.42857 .51361 L
s
% Start of user PostScript
-0.448799 0 -0.448799 0.163275 MAarrowhead1
% End of user PostScript
.42857 .57143 m
.4338 .58482 L
s
% Start of user PostScript
-0.448799 0.857143 -0.415919 1.01779 MAarrowhead1
% End of user PostScript
.42857 .64286 m
.43904 .65602 L
s
% Start of user PostScript
-0.448799 1.71429 -0.383039 1.8723 MAarrowhead1
% End of user PostScript
.42857 .71429 m
.44427 .72723 L
s
% Start of user PostScript
-0.448799 2.57143 -0.350159 2.72681 MAarrowhead1
% End of user PostScript
.42857 .78571 m
.4495 .79844 L
s
% Start of user PostScript
-0.448799 3.42857 -0.317279 3.58132 MAarrowhead1
% End of user PostScript
.42857 .85714 m
.45474 .86965 L
s
% Start of user PostScript
-0.448799 4.28571 -0.284399 4.43584 MAarrowhead1
% End of user PostScript
.42857 .92857 m
.45997 .94086 L
s
% Start of user PostScript
-0.448799 5.14286 -0.251519 5.29035 MAarrowhead1
% End of user PostScript
.42857 1 m
0 0 rlineto s
.42857 1 m
.42857 1 L
s
% Start of user PostScript
-0.448799 6. -0.21864 6.14486 MAarrowhead1
% End of user PostScript
.5 0 m
.46337 .00153 L
s
% Start of user PostScript
0 -6. -0.230159 -5.98159 MAarrowhead1
% End of user PostScript
.5 .07143 m
.4686 .07274 L
s
% Start of user PostScript
0 -5.14286 -0.197279 -5.12707 MAarrowhead1
% End of user PostScript
.5 .14286 m
.47383 .14395 L
s
% Start of user PostScript
0 -4.28571 -0.1644 -4.27256 MAarrowhead1
% End of user PostScript
.5 .21429 m
.47907 .21516 L
s
% Start of user PostScript
0 -3.42857 -0.13152 -3.41805 MAarrowhead1
% End of user PostScript
.5 .28571 m
.4843 .28637 L
s
% Start of user PostScript
0 -2.57143 -0.0986397 -2.56354 MAarrowhead1
% End of user PostScript
.5 .35714 m
.48953 .35758 L
s
% Start of user PostScript
0 -1.71429 -0.0657598 -1.70902 MAarrowhead1
% End of user PostScript
.5 .42857 m
.49477 .42879 L
s
% Start of user PostScript
0 -0.857143 -0.0328799 -0.854512 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .57143 m
.50523 .57121 L
s
% Start of user PostScript
0 0.857143 0.0328799 0.854512 MAarrowhead1
% End of user PostScript
.5 .64286 m
.51047 .64242 L
s
% Start of user PostScript
0 1.71429 0.0657598 1.70902 MAarrowhead1
% End of user PostScript
.5 .71429 m
.5157 .71363 L
s
% Start of user PostScript
0 2.57143 0.0986397 2.56354 MAarrowhead1
% End of user PostScript
.5 .78571 m
.52093 .78484 L
s
% Start of user PostScript
0 3.42857 0.13152 3.41805 MAarrowhead1
% End of user PostScript
.5 .85714 m
.52617 .85605 L
s
% Start of user PostScript
0 4.28571 0.1644 4.27256 MAarrowhead1
% End of user PostScript
.5 .92857 m
.5314 .92726 L
s
% Start of user PostScript
0 5.14286 0.197279 5.12707 MAarrowhead1
% End of user PostScript
.5 1 m
.53663 .99847 L
s
% Start of user PostScript
0 6. 0.230159 5.98159 MAarrowhead1
% End of user PostScript
.57143 0 m
0 0 rlineto s
% Start of user PostScript
0.448799 -6. 0.21864 -6.14486 MAarrowhead1
% End of user PostScript
.57143 .07143 m
.54003 .05914 L
s
% Start of user PostScript
0.448799 -5.14286 0.251519 -5.29035 MAarrowhead1
% End of user PostScript
.57143 .14286 m
.54526 .13035 L
s
% Start of user PostScript
0.448799 -4.28571 0.284399 -4.43584 MAarrowhead1
% End of user PostScript
.57143 .21429 m
.5505 .20156 L
s
% Start of user PostScript
0.448799 -3.42857 0.317279 -3.58132 MAarrowhead1
% End of user PostScript
.57143 .28571 m
.55573 .27277 L
s
% Start of user PostScript
0.448799 -2.57143 0.350159 -2.72681 MAarrowhead1
% End of user PostScript
.57143 .35714 m
.56096 .34398 L
s
% Start of user PostScript
0.448799 -1.71429 0.383039 -1.8723 MAarrowhead1
% End of user PostScript
.57143 .42857 m
.5662 .41518 L
s
% Start of user PostScript
0.448799 -0.857143 0.415919 -1.01779 MAarrowhead1
% End of user PostScript
.57143 .5 m
.57143 .48639 L
s
% Start of user PostScript
0.448799 0 0.448799 -0.163275 MAarrowhead1
% End of user PostScript
.57143 .57143 m
.57666 .5576 L
s
% Start of user PostScript
0.448799 0.857143 0.481679 0.691237 MAarrowhead1
% End of user PostScript
.57143 .64286 m
.58189 .62881 L
s
% Start of user PostScript
0.448799 1.71429 0.514559 1.54575 MAarrowhead1
% End of user PostScript
.57143 .71429 m
.58713 .70002 L
s
% Start of user PostScript
0.448799 2.57143 0.547439 2.40026 MAarrowhead1
% End of user PostScript
.57143 .78571 m
.59236 .77123 L
s
% Start of user PostScript
0.448799 3.42857 0.580319 3.25477 MAarrowhead1
% End of user PostScript
.57143 .85714 m
.59759 .84244 L
s
% Start of user PostScript
0.448799 4.28571 0.613198 4.10929 MAarrowhead1
% End of user PostScript
.57143 .92857 m
.60283 .91365 L
s
% Start of user PostScript
0.448799 5.14286 0.646078 4.9638 MAarrowhead1
% End of user PostScript
.57143 1 m
.60806 .98486 L
s
% Start of user PostScript
0.448799 6. 0.678958 5.81831 MAarrowhead1
% End of user PostScript
.64286 0 m
0 0 rlineto s
% Start of user PostScript
0.897598 -6. 0.667439 -6.2758 MAarrowhead1
% End of user PostScript
.64286 .07143 m
.61146 .04823 L
s
% Start of user PostScript
0.897598 -5.14286 0.700318 -5.42129 MAarrowhead1
% End of user PostScript
.64286 .14286 m
.61669 .11944 L
s
% Start of user PostScript
0.897598 -4.28571 0.733198 -4.56677 MAarrowhead1
% End of user PostScript
.64286 .21429 m
.62193 .19064 L
s
% Start of user PostScript
0.897598 -3.42857 0.766078 -3.71226 MAarrowhead1
% End of user PostScript
.64286 .28571 m
.62716 .26185 L
s
% Start of user PostScript
0.897598 -2.57143 0.798958 -2.85775 MAarrowhead1
% End of user PostScript
.64286 .35714 m
.63239 .33306 L
s
% Start of user PostScript
0.897598 -1.71429 0.831838 -2.00324 MAarrowhead1
% End of user PostScript
.64286 .42857 m
.63762 .40427 L
s
% Start of user PostScript
0.897598 -0.857143 0.864718 -1.14872 MAarrowhead1
% End of user PostScript
.64286 .5 m
.64286 .47548 L
s
% Start of user PostScript
0.897598 0 0.897598 -0.294211 MAarrowhead1
% End of user PostScript
.64286 .57143 m
.64809 .54669 L
s
% Start of user PostScript
0.897598 0.857143 0.930478 0.560301 MAarrowhead1
% End of user PostScript
.64286 .64286 m
.65332 .6179 L
s
% Start of user PostScript
0.897598 1.71429 0.963358 1.41481 MAarrowhead1
% End of user PostScript
.64286 .71429 m
.65856 .68911 L
s
% Start of user PostScript
0.897598 2.57143 0.996238 2.26933 MAarrowhead1
% End of user PostScript
.64286 .78571 m
.66379 .76032 L
s
% Start of user PostScript
0.897598 3.42857 1.02912 3.12384 MAarrowhead1
% End of user PostScript
.64286 .85714 m
.66902 .83153 L
s
% Start of user PostScript
0.897598 4.28571 1.062 3.97835 MAarrowhead1
% End of user PostScript
.64286 .92857 m
.67426 .90274 L
s
% Start of user PostScript
0.897598 5.14286 1.09488 4.83286 MAarrowhead1
% End of user PostScript
.64286 1 m
.67949 .97395 L
s
% Start of user PostScript
0.897598 6. 1.12776 5.68738 MAarrowhead1
% End of user PostScript
.71429 0 m
0 0 rlineto s
% Start of user PostScript
1.3464 -6. 1.11624 -6.34846 MAarrowhead1
% End of user PostScript
.71429 .07143 m
.68289 .04217 L
s
% Start of user PostScript
1.3464 -5.14286 1.14912 -5.49395 MAarrowhead1
% End of user PostScript
.71429 .14286 m
.68812 .11338 L
s
% Start of user PostScript
1.3464 -4.28571 1.182 -4.63944 MAarrowhead1
% End of user PostScript
.71429 .21429 m
.69335 .18459 L
s
% Start of user PostScript
1.3464 -3.42857 1.21488 -3.78493 MAarrowhead1
% End of user PostScript
.71429 .28571 m
.69859 .2558 L
s
% Start of user PostScript
1.3464 -2.57143 1.24776 -2.93041 MAarrowhead1
% End of user PostScript
.71429 .35714 m
.70382 .32701 L
s
% Start of user PostScript
1.3464 -1.71429 1.28064 -2.0759 MAarrowhead1
% End of user PostScript
.71429 .42857 m
.70905 .39822 L
s
% Start of user PostScript
1.3464 -0.857143 1.31352 -1.22139 MAarrowhead1
% End of user PostScript
.71429 .5 m
.71429 .46943 L
s
% Start of user PostScript
1.3464 0 1.3464 -0.366876 MAarrowhead1
% End of user PostScript
.71429 .57143 m
.71952 .54064 L
s
% Start of user PostScript
1.3464 0.857143 1.37928 0.487637 MAarrowhead1
% End of user PostScript
.71429 .64286 m
.72475 .61185 L
s
% Start of user PostScript
1.3464 1.71429 1.41216 1.34215 MAarrowhead1
% End of user PostScript
.71429 .71429 m
.72998 .68306 L
s
% Start of user PostScript
1.3464 2.57143 1.44504 2.19666 MAarrowhead1
% End of user PostScript
.71429 .78571 m
.73522 .75426 L
s
% Start of user PostScript
1.3464 3.42857 1.47792 3.05117 MAarrowhead1
% End of user PostScript
.71429 .85714 m
.74045 .82547 L
s
% Start of user PostScript
1.3464 4.28571 1.5108 3.90569 MAarrowhead1
% End of user PostScript
.71429 .92857 m
.74568 .89668 L
s
% Start of user PostScript
1.3464 5.14286 1.54368 4.7602 MAarrowhead1
% End of user PostScript
.71429 1 m
.75092 .96789 L
s
% Start of user PostScript
1.3464 6. 1.57656 5.61471 MAarrowhead1
% End of user PostScript
.78571 0 m
0 0 rlineto s
% Start of user PostScript
1.7952 -6. 1.56504 -6.34846 MAarrowhead1
% End of user PostScript
.78571 .07143 m
.75432 .04217 L
s
% Start of user PostScript
1.7952 -5.14286 1.59792 -5.49395 MAarrowhead1
% End of user PostScript
.78571 .14286 m
.75955 .11338 L
s
% Start of user PostScript
1.7952 -4.28571 1.6308 -4.63944 MAarrowhead1
% End of user PostScript
.78571 .21429 m
.76478 .18459 L
s
% Start of user PostScript
1.7952 -3.42857 1.66368 -3.78493 MAarrowhead1
% End of user PostScript
.78571 .28571 m
.77002 .2558 L
s
% Start of user PostScript
1.7952 -2.57143 1.69656 -2.93041 MAarrowhead1
% End of user PostScript
.78571 .35714 m
.77525 .32701 L
s
% Start of user PostScript
1.7952 -1.71429 1.72944 -2.0759 MAarrowhead1
% End of user PostScript
.78571 .42857 m
.78048 .39822 L
s
% Start of user PostScript
1.7952 -0.857143 1.76232 -1.22139 MAarrowhead1
% End of user PostScript
.78571 .5 m
.78571 .46943 L
s
% Start of user PostScript
1.7952 0 1.7952 -0.366876 MAarrowhead1
% End of user PostScript
.78571 .57143 m
.79095 .54064 L
s
% Start of user PostScript
1.7952 0.857143 1.82808 0.487637 MAarrowhead1
% End of user PostScript
.78571 .64286 m
.79618 .61185 L
s
% Start of user PostScript
1.7952 1.71429 1.86096 1.34215 MAarrowhead1
% End of user PostScript
.78571 .71429 m
.80141 .68306 L
s
% Start of user PostScript
1.7952 2.57143 1.89384 2.19666 MAarrowhead1
% End of user PostScript
.78571 .78571 m
.80665 .75426 L
s
% Start of user PostScript
1.7952 3.42857 1.92672 3.05117 MAarrowhead1
% End of user PostScript
.78571 .85714 m
.81188 .82547 L
s
% Start of user PostScript
1.7952 4.28571 1.9596 3.90569 MAarrowhead1
% End of user PostScript
.78571 .92857 m
.81711 .89668 L
s
% Start of user PostScript
1.7952 5.14286 1.99248 4.7602 MAarrowhead1
% End of user PostScript
.78571 1 m
.82235 .96789 L
s
% Start of user PostScript
1.7952 6. 2.02536 5.61471 MAarrowhead1
% End of user PostScript
.85714 0 m
0 0 rlineto s
% Start of user PostScript
2.24399 -6. 2.01384 -6.2758 MAarrowhead1
% End of user PostScript
.85714 .07143 m
.82574 .04823 L
s
% Start of user PostScript
2.24399 -5.14286 2.04672 -5.42129 MAarrowhead1
% End of user PostScript
.85714 .14286 m
.83098 .11944 L
s
% Start of user PostScript
2.24399 -4.28571 2.0796 -4.56677 MAarrowhead1
% End of user PostScript
.85714 .21429 m
.83621 .19064 L
s
% Start of user PostScript
2.24399 -3.42857 2.11248 -3.71226 MAarrowhead1
% End of user PostScript
.85714 .28571 m
.84144 .26185 L
s
% Start of user PostScript
2.24399 -2.57143 2.14536 -2.85775 MAarrowhead1
% End of user PostScript
.85714 .35714 m
.84668 .33306 L
s
% Start of user PostScript
2.24399 -1.71429 2.17823 -2.00324 MAarrowhead1
% End of user PostScript
.85714 .42857 m
.85191 .40427 L
s
% Start of user PostScript
2.24399 -0.857143 2.21111 -1.14872 MAarrowhead1
% End of user PostScript
.85714 .5 m
.85714 .47548 L
s
% Start of user PostScript
2.24399 0 2.24399 -0.294211 MAarrowhead1
% End of user PostScript
.85714 .57143 m
.86238 .54669 L
s
% Start of user PostScript
2.24399 0.857143 2.27687 0.560301 MAarrowhead1
% End of user PostScript
.85714 .64286 m
.86761 .6179 L
s
% Start of user PostScript
2.24399 1.71429 2.30975 1.41481 MAarrowhead1
% End of user PostScript
.85714 .71429 m
.87284 .68911 L
s
% Start of user PostScript
2.24399 2.57143 2.34263 2.26933 MAarrowhead1
% End of user PostScript
.85714 .78571 m
.87807 .76032 L
s
% Start of user PostScript
2.24399 3.42857 2.37551 3.12384 MAarrowhead1
% End of user PostScript
.85714 .85714 m
.88331 .83153 L
s
% Start of user PostScript
2.24399 4.28571 2.40839 3.97835 MAarrowhead1
% End of user PostScript
.85714 .92857 m
.88854 .90274 L
s
% Start of user PostScript
2.24399 5.14286 2.44127 4.83286 MAarrowhead1
% End of user PostScript
.85714 1 m
.89377 .97395 L
s
% Start of user PostScript
2.24399 6. 2.47415 5.68738 MAarrowhead1
% End of user PostScript
.92857 0 m
0 0 rlineto s
% Start of user PostScript
2.69279 -6. 2.46263 -6.14486 MAarrowhead1
% End of user PostScript
.92857 .07143 m
.89717 .05914 L
s
% Start of user PostScript
2.69279 -5.14286 2.49551 -5.29035 MAarrowhead1
% End of user PostScript
.92857 .14286 m
.90241 .13035 L
s
% Start of user PostScript
2.69279 -4.28571 2.52839 -4.43584 MAarrowhead1
% End of user PostScript
.92857 .21429 m
.90764 .20156 L
s
% Start of user PostScript
2.69279 -3.42857 2.56127 -3.58132 MAarrowhead1
% End of user PostScript
.92857 .28571 m
.91287 .27277 L
s
% Start of user PostScript
2.69279 -2.57143 2.59415 -2.72681 MAarrowhead1
% End of user PostScript
.92857 .35714 m
.91811 .34398 L
s
% Start of user PostScript
2.69279 -1.71429 2.62703 -1.8723 MAarrowhead1
% End of user PostScript
.92857 .42857 m
.92334 .41518 L
s
% Start of user PostScript
2.69279 -0.857143 2.65991 -1.01779 MAarrowhead1
% End of user PostScript
.92857 .5 m
.92857 .48639 L
s
% Start of user PostScript
2.69279 0 2.69279 -0.163275 MAarrowhead1
% End of user PostScript
.92857 .57143 m
.9338 .5576 L
s
% Start of user PostScript
2.69279 0.857143 2.72567 0.691237 MAarrowhead1
% End of user PostScript
.92857 .64286 m
.93904 .62881 L
s
% Start of user PostScript
2.69279 1.71429 2.75855 1.54575 MAarrowhead1
% End of user PostScript
.92857 .71429 m
.94427 .70002 L
s
% Start of user PostScript
2.69279 2.57143 2.79143 2.40026 MAarrowhead1
% End of user PostScript
.92857 .78571 m
.9495 .77123 L
s
% Start of user PostScript
2.69279 3.42857 2.82431 3.25477 MAarrowhead1
% End of user PostScript
.92857 .85714 m
.95474 .84244 L
s
% Start of user PostScript
2.69279 4.28571 2.85719 4.10929 MAarrowhead1
% End of user PostScript
.92857 .92857 m
.95997 .91365 L
s
% Start of user PostScript
2.69279 5.14286 2.89007 4.9638 MAarrowhead1
% End of user PostScript
.92857 1 m
.9652 .98486 L
s
% Start of user PostScript
2.69279 6. 2.92295 5.81831 MAarrowhead1
% End of user PostScript
1 0 m
.96337 .00153 L
s
% Start of user PostScript
3.14159 -6. 2.91143 -5.98159 MAarrowhead1
% End of user PostScript
1 .07143 m
.9686 .07274 L
s
% Start of user PostScript
3.14159 -5.14286 2.94431 -5.12707 MAarrowhead1
% End of user PostScript
1 .14286 m
.97383 .14395 L
s
% Start of user PostScript
3.14159 -4.28571 2.97719 -4.27256 MAarrowhead1
% End of user PostScript
1 .21429 m
.97907 .21516 L
s
% Start of user PostScript
3.14159 -3.42857 3.01007 -3.41805 MAarrowhead1
% End of user PostScript
1 .28571 m
.9843 .28637 L
s
% Start of user PostScript
3.14159 -2.57143 3.04295 -2.56354 MAarrowhead1
% End of user PostScript
1 .35714 m
.98953 .35758 L
s
% Start of user PostScript
3.14159 -1.71429 3.07583 -1.70902 MAarrowhead1
% End of user PostScript
1 .42857 m
.99477 .42879 L
s
% Start of user PostScript
3.14159 -0.857143 3.10871 -0.854512 MAarrowhead1
% End of user PostScript
1 .5 m
1 .5 L
s
% Start of user PostScript
3.14159 0 MAarrowzero1
% End of user PostScript
1 .57143 m
0 0 rlineto s
1 .57143 m
1 .57143 L
s
% Start of user PostScript
3.14159 0.857143 3.17447 0.854512 MAarrowhead1
% End of user PostScript
1 .64286 m
0 0 rlineto s
1 .64286 m
1 .64286 L
s
% Start of user PostScript
3.14159 1.71429 3.20735 1.70902 MAarrowhead1
% End of user PostScript
1 .71429 m
0 0 rlineto s
1 .71429 m
1 .71429 L
s
% Start of user PostScript
3.14159 2.57143 3.24023 2.56354 MAarrowhead1
% End of user PostScript
1 .78571 m
0 0 rlineto s
1 .78571 m
1 .78571 L
s
% Start of user PostScript
3.14159 3.42857 3.27311 3.41805 MAarrowhead1
% End of user PostScript
1 .85714 m
0 0 rlineto s
1 .85714 m
1 .85714 L
s
% Start of user PostScript
3.14159 4.28571 3.30599 4.27256 MAarrowhead1
% End of user PostScript
1 .92857 m
0 0 rlineto s
1 .92857 m
1 .92857 L
s
% Start of user PostScript
3.14159 5.14286 3.33887 5.12707 MAarrowhead1
% End of user PostScript
1 1 m
0 0 rlineto s
1 1 m
1 1 L
s
% Start of user PostScript
3.14159 6. 3.37175 5.98159 MAarrowhead1
% End of user PostScript
0 0 m
0 0 rlineto s
% Start of user PostScript
-3.14159 -6. -3.14159 -6.23851 MAarrowhead1
% End of user PostScript
0 .07143 m
0 .05439 L
s
% Start of user PostScript
-3.14159 -5.14286 -3.14159 -5.34729 MAarrowhead1
% End of user PostScript
0 .14286 m
0 .12866 L
s
% Start of user PostScript
-3.14159 -4.28571 -3.14159 -4.45608 MAarrowhead1
% End of user PostScript
0 .21429 m
0 .20293 L
s
% Start of user PostScript
-3.14159 -3.42857 -3.14159 -3.56486 MAarrowhead1
% End of user PostScript
0 .28571 m
0 .2772 L
s
% Start of user PostScript
-3.14159 -2.57143 -3.14159 -2.67365 MAarrowhead1
% End of user PostScript
0 .35714 m
0 .35146 L
s
% Start of user PostScript
-3.14159 -1.71429 -3.14159 -1.78243 MAarrowhead1
% End of user PostScript
0 .42857 m
0 .42573 L
s
% Start of user PostScript
-3.14159 -0.857143 -3.14159 -0.891215 MAarrowhead1
% End of user PostScript
0 .5 m
0 .5 L
s
% Start of user PostScript
-3.14159 0 MAarrowzero1
% End of user PostScript
0 .57143 m
0 .57427 L
s
% Start of user PostScript
-3.14159 0.857143 -3.14159 0.891215 MAarrowhead1
% End of user PostScript
0 .64286 m
0 .64854 L
s
% Start of user PostScript
-3.14159 1.71429 -3.14159 1.78243 MAarrowhead1
% End of user PostScript
0 .71429 m
0 .7228 L
s
% Start of user PostScript
-3.14159 2.57143 -3.14159 2.67365 MAarrowhead1
% End of user PostScript
0 .78571 m
0 .79707 L
s
% Start of user PostScript
-3.14159 3.42857 -3.14159 3.56486 MAarrowhead1
% End of user PostScript
0 .85714 m
0 .87134 L
s
% Start of user PostScript
-3.14159 4.28571 -3.14159 4.45608 MAarrowhead1
% End of user PostScript
0 .92857 m
0 .94561 L
s
% Start of user PostScript
-3.14159 5.14286 -3.14159 5.34729 MAarrowhead1
% End of user PostScript
0 1 m
0 0 rlineto s
% Start of user PostScript
-3.14159 6. -3.14159 6.23851 MAarrowhead1
% End of user PostScript
.07143 0 m
0 0 rlineto s
% Start of user PostScript
-2.69279 -6. -2.86199 -6.23851 MAarrowhead1
% End of user PostScript
.07143 .07143 m
.0445 .05439 L
s
% Start of user PostScript
-2.69279 -5.14286 -2.86199 -5.34729 MAarrowhead1
% End of user PostScript
.07143 .14286 m
.0445 .12866 L
s
% Start of user PostScript
-2.69279 -4.28571 -2.86199 -4.45608 MAarrowhead1
% End of user PostScript
.07143 .21429 m
.0445 .20293 L
s
% Start of user PostScript
-2.69279 -3.42857 -2.86199 -3.56486 MAarrowhead1
% End of user PostScript
.07143 .28571 m
.0445 .2772 L
s
% Start of user PostScript
-2.69279 -2.57143 -2.86199 -2.67365 MAarrowhead1
% End of user PostScript
.07143 .35714 m
.0445 .35146 L
s
% Start of user PostScript
-2.69279 -1.71429 -2.86199 -1.78243 MAarrowhead1
% End of user PostScript
.07143 .42857 m
.0445 .42573 L
s
% Start of user PostScript
-2.69279 -0.857143 -2.86199 -0.891215 MAarrowhead1
% End of user PostScript
.07143 .5 m
.0445 .5 L
s
% Start of user PostScript
-2.69279 0 -2.86199 0 MAarrowhead1
% End of user PostScript
.07143 .57143 m
.0445 .57427 L
s
% Start of user PostScript
-2.69279 0.857143 -2.86199 0.891215 MAarrowhead1
% End of user PostScript
.07143 .64286 m
.0445 .64854 L
s
% Start of user PostScript
-2.69279 1.71429 -2.86199 1.78243 MAarrowhead1
% End of user PostScript
.07143 .71429 m
.0445 .7228 L
s
% Start of user PostScript
-2.69279 2.57143 -2.86199 2.67365 MAarrowhead1
% End of user PostScript
.07143 .78571 m
.0445 .79707 L
s
% Start of user PostScript
-2.69279 3.42857 -2.86199 3.56486 MAarrowhead1
% End of user PostScript
.07143 .85714 m
.0445 .87134 L
s
% Start of user PostScript
-2.69279 4.28571 -2.86199 4.45608 MAarrowhead1
% End of user PostScript
.07143 .92857 m
.0445 .94561 L
s
% Start of user PostScript
-2.69279 5.14286 -2.86199 5.34729 MAarrowhead1
% End of user PostScript
.07143 1 m
0 0 rlineto s
.07143 1 m
.07143 1 L
s
% Start of user PostScript
-2.69279 6. -2.86199 6.23851 MAarrowhead1
% End of user PostScript
.14286 0 m
0 0 rlineto s
% Start of user PostScript
-2.24399 -6. -2.54887 -6.23851 MAarrowhead1
% End of user PostScript
.14286 .07143 m
.09433 .05439 L
s
% Start of user PostScript
-2.24399 -5.14286 -2.54887 -5.34729 MAarrowhead1
% End of user PostScript
.14286 .14286 m
.09433 .12866 L
s
% Start of user PostScript
-2.24399 -4.28571 -2.54887 -4.45608 MAarrowhead1
% End of user PostScript
.14286 .21429 m
.09433 .20293 L
s
% Start of user PostScript
-2.24399 -3.42857 -2.54887 -3.56486 MAarrowhead1
% End of user PostScript
.14286 .28571 m
.09433 .2772 L
s
% Start of user PostScript
-2.24399 -2.57143 -2.54887 -2.67365 MAarrowhead1
% End of user PostScript
.14286 .35714 m
.09433 .35146 L
s
% Start of user PostScript
-2.24399 -1.71429 -2.54887 -1.78243 MAarrowhead1
% End of user PostScript
.14286 .42857 m
.09433 .42573 L
s
% Start of user PostScript
-2.24399 -0.857143 -2.54887 -0.891215 MAarrowhead1
% End of user PostScript
.14286 .5 m
.09433 .5 L
s
% Start of user PostScript
-2.24399 0 -2.54887 0 MAarrowhead1
% End of user PostScript
.14286 .57143 m
.09433 .57427 L
s
% Start of user PostScript
-2.24399 0.857143 -2.54887 0.891215 MAarrowhead1
% End of user PostScript
.14286 .64286 m
.09433 .64854 L
s
% Start of user PostScript
-2.24399 1.71429 -2.54887 1.78243 MAarrowhead1
% End of user PostScript
.14286 .71429 m
.09433 .7228 L
s
% Start of user PostScript
-2.24399 2.57143 -2.54887 2.67365 MAarrowhead1
% End of user PostScript
.14286 .78571 m
.09433 .79707 L
s
% Start of user PostScript
-2.24399 3.42857 -2.54887 3.56486 MAarrowhead1
% End of user PostScript
.14286 .85714 m
.09433 .87134 L
s
% Start of user PostScript
-2.24399 4.28571 -2.54887 4.45608 MAarrowhead1
% End of user PostScript
.14286 .92857 m
.09433 .94561 L
s
% Start of user PostScript
-2.24399 5.14286 -2.54887 5.34729 MAarrowhead1
% End of user PostScript
.14286 1 m
0 0 rlineto s
.14286 1 m
.14286 1 L
s
% Start of user PostScript
-2.24399 6. -2.54887 6.23851 MAarrowhead1
% End of user PostScript
.21429 0 m
0 0 rlineto s
% Start of user PostScript
-1.7952 -6. -2.17537 -6.23851 MAarrowhead1
% End of user PostScript
.21429 .07143 m
.15378 .05439 L
s
% Start of user PostScript
-1.7952 -5.14286 -2.17537 -5.34729 MAarrowhead1
% End of user PostScript
.21429 .14286 m
.15378 .12866 L
s
% Start of user PostScript
-1.7952 -4.28571 -2.17537 -4.45608 MAarrowhead1
% End of user PostScript
.21429 .21429 m
.15378 .20293 L
s
% Start of user PostScript
-1.7952 -3.42857 -2.17537 -3.56486 MAarrowhead1
% End of user PostScript
.21429 .28571 m
.15378 .2772 L
s
% Start of user PostScript
-1.7952 -2.57143 -2.17537 -2.67365 MAarrowhead1
% End of user PostScript
.21429 .35714 m
.15378 .35146 L
s
% Start of user PostScript
-1.7952 -1.71429 -2.17537 -1.78243 MAarrowhead1
% End of user PostScript
.21429 .42857 m
.15378 .42573 L
s
% Start of user PostScript
-1.7952 -0.857143 -2.17537 -0.891215 MAarrowhead1
% End of user PostScript
.21429 .5 m
.15378 .5 L
s
% Start of user PostScript
-1.7952 0 -2.17537 0 MAarrowhead1
% End of user PostScript
.21429 .57143 m
.15378 .57427 L
s
% Start of user PostScript
-1.7952 0.857143 -2.17537 0.891215 MAarrowhead1
% End of user PostScript
.21429 .64286 m
.15378 .64854 L
s
% Start of user PostScript
-1.7952 1.71429 -2.17537 1.78243 MAarrowhead1
% End of user PostScript
.21429 .71429 m
.15378 .7228 L
s
% Start of user PostScript
-1.7952 2.57143 -2.17537 2.67365 MAarrowhead1
% End of user PostScript
.21429 .78571 m
.15378 .79707 L
s
% Start of user PostScript
-1.7952 3.42857 -2.17537 3.56486 MAarrowhead1
% End of user PostScript
.21429 .85714 m
.15378 .87134 L
s
% Start of user PostScript
-1.7952 4.28571 -2.17537 4.45608 MAarrowhead1
% End of user PostScript
.21429 .92857 m
.15378 .94561 L
s
% Start of user PostScript
-1.7952 5.14286 -2.17537 5.34729 MAarrowhead1
% End of user PostScript
.21429 1 m
0 0 rlineto s
.21429 1 m
.21429 1 L
s
% Start of user PostScript
-1.7952 6. -2.17537 6.23851 MAarrowhead1
% End of user PostScript
.28571 0 m
0 0 rlineto s
% Start of user PostScript
-1.3464 -6. -1.72658 -6.23851 MAarrowhead1
% End of user PostScript
.28571 .07143 m
.22521 .05439 L
s
% Start of user PostScript
-1.3464 -5.14286 -1.72658 -5.34729 MAarrowhead1
% End of user PostScript
.28571 .14286 m
.22521 .12866 L
s
% Start of user PostScript
-1.3464 -4.28571 -1.72658 -4.45608 MAarrowhead1
% End of user PostScript
.28571 .21429 m
.22521 .20293 L
s
% Start of user PostScript
-1.3464 -3.42857 -1.72658 -3.56486 MAarrowhead1
% End of user PostScript
.28571 .28571 m
.22521 .2772 L
s
% Start of user PostScript
-1.3464 -2.57143 -1.72658 -2.67365 MAarrowhead1
% End of user PostScript
.28571 .35714 m
.22521 .35146 L
s
% Start of user PostScript
-1.3464 -1.71429 -1.72658 -1.78243 MAarrowhead1
% End of user PostScript
.28571 .42857 m
.22521 .42573 L
s
% Start of user PostScript
-1.3464 -0.857143 -1.72658 -0.891215 MAarrowhead1
% End of user PostScript
.28571 .5 m
.22521 .5 L
s
% Start of user PostScript
-1.3464 0 -1.72658 0 MAarrowhead1
% End of user PostScript
.28571 .57143 m
.22521 .57427 L
s
% Start of user PostScript
-1.3464 0.857143 -1.72658 0.891215 MAarrowhead1
% End of user PostScript
.28571 .64286 m
.22521 .64854 L
s
% Start of user PostScript
-1.3464 1.71429 -1.72658 1.78243 MAarrowhead1
% End of user PostScript
.28571 .71429 m
.22521 .7228 L
s
% Start of user PostScript
-1.3464 2.57143 -1.72658 2.67365 MAarrowhead1
% End of user PostScript
.28571 .78571 m
.22521 .79707 L
s
% Start of user PostScript
-1.3464 3.42857 -1.72658 3.56486 MAarrowhead1
% End of user PostScript
.28571 .85714 m
.22521 .87134 L
s
% Start of user PostScript
-1.3464 4.28571 -1.72658 4.45608 MAarrowhead1
% End of user PostScript
.28571 .92857 m
.22521 .94561 L
s
% Start of user PostScript
-1.3464 5.14286 -1.72658 5.34729 MAarrowhead1
% End of user PostScript
.28571 1 m
0 0 rlineto s
.28571 1 m
.28571 1 L
s
% Start of user PostScript
-1.3464 6. -1.72658 6.23851 MAarrowhead1
% End of user PostScript
.35714 0 m
0 0 rlineto s
% Start of user PostScript
-0.897598 -6. -1.20248 -6.23851 MAarrowhead1
% End of user PostScript
.35714 .07143 m
.30862 .05439 L
s
% Start of user PostScript
-0.897598 -5.14286 -1.20248 -5.34729 MAarrowhead1
% End of user PostScript
.35714 .14286 m
.30862 .12866 L
s
% Start of user PostScript
-0.897598 -4.28571 -1.20248 -4.45608 MAarrowhead1
% End of user PostScript
.35714 .21429 m
.30862 .20293 L
s
% Start of user PostScript
-0.897598 -3.42857 -1.20248 -3.56486 MAarrowhead1
% End of user PostScript
.35714 .28571 m
.30862 .2772 L
s
% Start of user PostScript
-0.897598 -2.57143 -1.20248 -2.67365 MAarrowhead1
% End of user PostScript
.35714 .35714 m
.30862 .35146 L
s
% Start of user PostScript
-0.897598 -1.71429 -1.20248 -1.78243 MAarrowhead1
% End of user PostScript
.35714 .42857 m
.30862 .42573 L
s
% Start of user PostScript
-0.897598 -0.857143 -1.20248 -0.891215 MAarrowhead1
% End of user PostScript
.35714 .5 m
.30862 .5 L
s
% Start of user PostScript
-0.897598 0 -1.20248 0 MAarrowhead1
% End of user PostScript
.35714 .57143 m
.30862 .57427 L
s
% Start of user PostScript
-0.897598 0.857143 -1.20248 0.891215 MAarrowhead1
% End of user PostScript
.35714 .64286 m
.30862 .64854 L
s
% Start of user PostScript
-0.897598 1.71429 -1.20248 1.78243 MAarrowhead1
% End of user PostScript
.35714 .71429 m
.30862 .7228 L
s
% Start of user PostScript
-0.897598 2.57143 -1.20248 2.67365 MAarrowhead1
% End of user PostScript
.35714 .78571 m
.30862 .79707 L
s
% Start of user PostScript
-0.897598 3.42857 -1.20248 3.56486 MAarrowhead1
% End of user PostScript
.35714 .85714 m
.30862 .87134 L
s
% Start of user PostScript
-0.897598 4.28571 -1.20248 4.45608 MAarrowhead1
% End of user PostScript
.35714 .92857 m
.30862 .94561 L
s
% Start of user PostScript
-0.897598 5.14286 -1.20248 5.34729 MAarrowhead1
% End of user PostScript
.35714 1 m
0 0 rlineto s
.35714 1 m
.35714 1 L
s
% Start of user PostScript
-0.897598 6. -1.20248 6.23851 MAarrowhead1
% End of user PostScript
.42857 0 m
0 0 rlineto s
% Start of user PostScript
-0.448799 -6. -0.617994 -6.23851 MAarrowhead1
% End of user PostScript
.42857 .07143 m
.40164 .05439 L
s
% Start of user PostScript
-0.448799 -5.14286 -0.617994 -5.34729 MAarrowhead1
% End of user PostScript
.42857 .14286 m
.40164 .12866 L
s
% Start of user PostScript
-0.448799 -4.28571 -0.617994 -4.45608 MAarrowhead1
% End of user PostScript
.42857 .21429 m
.40164 .20293 L
s
% Start of user PostScript
-0.448799 -3.42857 -0.617994 -3.56486 MAarrowhead1
% End of user PostScript
.42857 .28571 m
.40164 .2772 L
s
% Start of user PostScript
-0.448799 -2.57143 -0.617994 -2.67365 MAarrowhead1
% End of user PostScript
.42857 .35714 m
.40164 .35146 L
s
% Start of user PostScript
-0.448799 -1.71429 -0.617994 -1.78243 MAarrowhead1
% End of user PostScript
.42857 .42857 m
.40164 .42573 L
s
% Start of user PostScript
-0.448799 -0.857143 -0.617994 -0.891215 MAarrowhead1
% End of user PostScript
.42857 .5 m
.40164 .5 L
s
% Start of user PostScript
-0.448799 0 -0.617994 0 MAarrowhead1
% End of user PostScript
.42857 .57143 m
.40164 .57427 L
s
% Start of user PostScript
-0.448799 0.857143 -0.617994 0.891215 MAarrowhead1
% End of user PostScript
.42857 .64286 m
.40164 .64854 L
s
% Start of user PostScript
-0.448799 1.71429 -0.617994 1.78243 MAarrowhead1
% End of user PostScript
.42857 .71429 m
.40164 .7228 L
s
% Start of user PostScript
-0.448799 2.57143 -0.617994 2.67365 MAarrowhead1
% End of user PostScript
.42857 .78571 m
.40164 .79707 L
s
% Start of user PostScript
-0.448799 3.42857 -0.617994 3.56486 MAarrowhead1
% End of user PostScript
.42857 .85714 m
.40164 .87134 L
s
% Start of user PostScript
-0.448799 4.28571 -0.617994 4.45608 MAarrowhead1
% End of user PostScript
.42857 .92857 m
.40164 .94561 L
s
% Start of user PostScript
-0.448799 5.14286 -0.617994 5.34729 MAarrowhead1
% End of user PostScript
.42857 1 m
0 0 rlineto s
.42857 1 m
.42857 1 L
s
% Start of user PostScript
-0.448799 6. -0.617994 6.23851 MAarrowhead1
% End of user PostScript
.5 0 m
0 0 rlineto s
% Start of user PostScript
0 -6. 0 -6.23851 MAarrowhead1
% End of user PostScript
.5 .07143 m
.5 .05439 L
s
% Start of user PostScript
0 -5.14286 0 -5.34729 MAarrowhead1
% End of user PostScript
.5 .14286 m
.5 .12866 L
s
% Start of user PostScript
0 -4.28571 0 -4.45608 MAarrowhead1
% End of user PostScript
.5 .21429 m
.5 .20293 L
s
% Start of user PostScript
0 -3.42857 0 -3.56486 MAarrowhead1
% End of user PostScript
.5 .28571 m
.5 .2772 L
s
% Start of user PostScript
0 -2.57143 0 -2.67365 MAarrowhead1
% End of user PostScript
.5 .35714 m
.5 .35146 L
s
% Start of user PostScript
0 -1.71429 0 -1.78243 MAarrowhead1
% End of user PostScript
.5 .42857 m
.5 .42573 L
s
% Start of user PostScript
0 -0.857143 0 -0.891215 MAarrowhead1
% End of user PostScript
.5 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 MAarrowzero1
% End of user PostScript
.5 .57143 m
.5 .57427 L
s
% Start of user PostScript
0 0.857143 0 0.891215 MAarrowhead1
% End of user PostScript
.5 .64286 m
.5 .64854 L
s
% Start of user PostScript
0 1.71429 0 1.78243 MAarrowhead1
% End of user PostScript
.5 .71429 m
.5 .7228 L
s
% Start of user PostScript
0 2.57143 0 2.67365 MAarrowhead1
% End of user PostScript
.5 .78571 m
.5 .79707 L
s
% Start of user PostScript
0 3.42857 0 3.56486 MAarrowhead1
% End of user PostScript
.5 .85714 m
.5 .87134 L
s
% Start of user PostScript
0 4.28571 0 4.45608 MAarrowhead1
% End of user PostScript
.5 .92857 m
.5 .94561 L
s
% Start of user PostScript
0 5.14286 0 5.34729 MAarrowhead1
% End of user PostScript
.5 1 m
0 0 rlineto s
.5 1 m
.5 1 L
s
% Start of user PostScript
0 6. 0 6.23851 MAarrowhead1
% End of user PostScript
.57143 0 m
0 0 rlineto s
% Start of user PostScript
0.448799 -6. 0.617994 -6.23851 MAarrowhead1
% End of user PostScript
.57143 .07143 m
.59836 .05439 L
s
% Start of user PostScript
0.448799 -5.14286 0.617994 -5.34729 MAarrowhead1
% End of user PostScript
.57143 .14286 m
.59836 .12866 L
s
% Start of user PostScript
0.448799 -4.28571 0.617994 -4.45608 MAarrowhead1
% End of user PostScript
.57143 .21429 m
.59836 .20293 L
s
% Start of user PostScript
0.448799 -3.42857 0.617994 -3.56486 MAarrowhead1
% End of user PostScript
.57143 .28571 m
.59836 .2772 L
s
% Start of user PostScript
0.448799 -2.57143 0.617994 -2.67365 MAarrowhead1
% End of user PostScript
.57143 .35714 m
.59836 .35146 L
s
% Start of user PostScript
0.448799 -1.71429 0.617994 -1.78243 MAarrowhead1
% End of user PostScript
.57143 .42857 m
.59836 .42573 L
s
% Start of user PostScript
0.448799 -0.857143 0.617994 -0.891215 MAarrowhead1
% End of user PostScript
.57143 .5 m
.59836 .5 L
s
% Start of user PostScript
0.448799 0 0.617994 0 MAarrowhead1
% End of user PostScript
.57143 .57143 m
.59836 .57427 L
s
% Start of user PostScript
0.448799 0.857143 0.617994 0.891215 MAarrowhead1
% End of user PostScript
.57143 .64286 m
.59836 .64854 L
s
% Start of user PostScript
0.448799 1.71429 0.617994 1.78243 MAarrowhead1
% End of user PostScript
.57143 .71429 m
.59836 .7228 L
s
% Start of user PostScript
0.448799 2.57143 0.617994 2.67365 MAarrowhead1
% End of user PostScript
.57143 .78571 m
.59836 .79707 L
s
% Start of user PostScript
0.448799 3.42857 0.617994 3.56486 MAarrowhead1
% End of user PostScript
.57143 .85714 m
.59836 .87134 L
s
% Start of user PostScript
0.448799 4.28571 0.617994 4.45608 MAarrowhead1
% End of user PostScript
.57143 .92857 m
.59836 .94561 L
s
% Start of user PostScript
0.448799 5.14286 0.617994 5.34729 MAarrowhead1
% End of user PostScript
.57143 1 m
0 0 rlineto s
.57143 1 m
.57143 1 L
s
% Start of user PostScript
0.448799 6. 0.617994 6.23851 MAarrowhead1
% End of user PostScript
.64286 0 m
0 0 rlineto s
% Start of user PostScript
0.897598 -6. 1.20248 -6.23851 MAarrowhead1
% End of user PostScript
.64286 .07143 m
.69138 .05439 L
s
% Start of user PostScript
0.897598 -5.14286 1.20248 -5.34729 MAarrowhead1
% End of user PostScript
.64286 .14286 m
.69138 .12866 L
s
% Start of user PostScript
0.897598 -4.28571 1.20248 -4.45608 MAarrowhead1
% End of user PostScript
.64286 .21429 m
.69138 .20293 L
s
% Start of user PostScript
0.897598 -3.42857 1.20248 -3.56486 MAarrowhead1
% End of user PostScript
.64286 .28571 m
.69138 .2772 L
s
% Start of user PostScript
0.897598 -2.57143 1.20248 -2.67365 MAarrowhead1
% End of user PostScript
.64286 .35714 m
.69138 .35146 L
s
% Start of user PostScript
0.897598 -1.71429 1.20248 -1.78243 MAarrowhead1
% End of user PostScript
.64286 .42857 m
.69138 .42573 L
s
% Start of user PostScript
0.897598 -0.857143 1.20248 -0.891215 MAarrowhead1
% End of user PostScript
.64286 .5 m
.69138 .5 L
s
% Start of user PostScript
0.897598 0 1.20248 0 MAarrowhead1
% End of user PostScript
.64286 .57143 m
.69138 .57427 L
s
% Start of user PostScript
0.897598 0.857143 1.20248 0.891215 MAarrowhead1
% End of user PostScript
.64286 .64286 m
.69138 .64854 L
s
% Start of user PostScript
0.897598 1.71429 1.20248 1.78243 MAarrowhead1
% End of user PostScript
.64286 .71429 m
.69138 .7228 L
s
% Start of user PostScript
0.897598 2.57143 1.20248 2.67365 MAarrowhead1
% End of user PostScript
.64286 .78571 m
.69138 .79707 L
s
% Start of user PostScript
0.897598 3.42857 1.20248 3.56486 MAarrowhead1
% End of user PostScript
.64286 .85714 m
.69138 .87134 L
s
% Start of user PostScript
0.897598 4.28571 1.20248 4.45608 MAarrowhead1
% End of user PostScript
.64286 .92857 m
.69138 .94561 L
s
% Start of user PostScript
0.897598 5.14286 1.20248 5.34729 MAarrowhead1
% End of user PostScript
.64286 1 m
0 0 rlineto s
.64286 1 m
.64286 1 L
s
% Start of user PostScript
0.897598 6. 1.20248 6.23851 MAarrowhead1
% End of user PostScript
.71429 0 m
0 0 rlineto s
% Start of user PostScript
1.3464 -6. 1.72658 -6.23851 MAarrowhead1
% End of user PostScript
.71429 .07143 m
.77479 .05439 L
s
% Start of user PostScript
1.3464 -5.14286 1.72658 -5.34729 MAarrowhead1
% End of user PostScript
.71429 .14286 m
.77479 .12866 L
s
% Start of user PostScript
1.3464 -4.28571 1.72658 -4.45608 MAarrowhead1
% End of user PostScript
.71429 .21429 m
.77479 .20293 L
s
% Start of user PostScript
1.3464 -3.42857 1.72658 -3.56486 MAarrowhead1
% End of user PostScript
.71429 .28571 m
.77479 .2772 L
s
% Start of user PostScript
1.3464 -2.57143 1.72658 -2.67365 MAarrowhead1
% End of user PostScript
.71429 .35714 m
.77479 .35146 L
s
% Start of user PostScript
1.3464 -1.71429 1.72658 -1.78243 MAarrowhead1
% End of user PostScript
.71429 .42857 m
.77479 .42573 L
s
% Start of user PostScript
1.3464 -0.857143 1.72658 -0.891215 MAarrowhead1
% End of user PostScript
.71429 .5 m
.77479 .5 L
s
% Start of user PostScript
1.3464 0 1.72658 0 MAarrowhead1
% End of user PostScript
.71429 .57143 m
.77479 .57427 L
s
% Start of user PostScript
1.3464 0.857143 1.72658 0.891215 MAarrowhead1
% End of user PostScript
.71429 .64286 m
.77479 .64854 L
s
% Start of user PostScript
1.3464 1.71429 1.72658 1.78243 MAarrowhead1
% End of user PostScript
.71429 .71429 m
.77479 .7228 L
s
% Start of user PostScript
1.3464 2.57143 1.72658 2.67365 MAarrowhead1
% End of user PostScript
.71429 .78571 m
.77479 .79707 L
s
% Start of user PostScript
1.3464 3.42857 1.72658 3.56486 MAarrowhead1
% End of user PostScript
.71429 .85714 m
.77479 .87134 L
s
% Start of user PostScript
1.3464 4.28571 1.72658 4.45608 MAarrowhead1
% End of user PostScript
.71429 .92857 m
.77479 .94561 L
s
% Start of user PostScript
1.3464 5.14286 1.72658 5.34729 MAarrowhead1
% End of user PostScript
.71429 1 m
0 0 rlineto s
.71429 1 m
.71429 1 L
s
% Start of user PostScript
1.3464 6. 1.72658 6.23851 MAarrowhead1
% End of user PostScript
.78571 0 m
0 0 rlineto s
% Start of user PostScript
1.7952 -6. 2.17537 -6.23851 MAarrowhead1
% End of user PostScript
.78571 .07143 m
.84622 .05439 L
s
% Start of user PostScript
1.7952 -5.14286 2.17537 -5.34729 MAarrowhead1
% End of user PostScript
.78571 .14286 m
.84622 .12866 L
s
% Start of user PostScript
1.7952 -4.28571 2.17537 -4.45608 MAarrowhead1
% End of user PostScript
.78571 .21429 m
.84622 .20293 L
s
% Start of user PostScript
1.7952 -3.42857 2.17537 -3.56486 MAarrowhead1
% End of user PostScript
.78571 .28571 m
.84622 .2772 L
s
% Start of user PostScript
1.7952 -2.57143 2.17537 -2.67365 MAarrowhead1
% End of user PostScript
.78571 .35714 m
.84622 .35146 L
s
% Start of user PostScript
1.7952 -1.71429 2.17537 -1.78243 MAarrowhead1
% End of user PostScript
.78571 .42857 m
.84622 .42573 L
s
% Start of user PostScript
1.7952 -0.857143 2.17537 -0.891215 MAarrowhead1
% End of user PostScript
.78571 .5 m
.84622 .5 L
s
% Start of user PostScript
1.7952 0 2.17537 0 MAarrowhead1
% End of user PostScript
.78571 .57143 m
.84622 .57427 L
s
% Start of user PostScript
1.7952 0.857143 2.17537 0.891215 MAarrowhead1
% End of user PostScript
.78571 .64286 m
.84622 .64854 L
s
% Start of user PostScript
1.7952 1.71429 2.17537 1.78243 MAarrowhead1
% End of user PostScript
.78571 .71429 m
.84622 .7228 L
s
% Start of user PostScript
1.7952 2.57143 2.17537 2.67365 MAarrowhead1
% End of user PostScript
.78571 .78571 m
.84622 .79707 L
s
% Start of user PostScript
1.7952 3.42857 2.17537 3.56486 MAarrowhead1
% End of user PostScript
.78571 .85714 m
.84622 .87134 L
s
% Start of user PostScript
1.7952 4.28571 2.17537 4.45608 MAarrowhead1
% End of user PostScript
.78571 .92857 m
.84622 .94561 L
s
% Start of user PostScript
1.7952 5.14286 2.17537 5.34729 MAarrowhead1
% End of user PostScript
.78571 1 m
0 0 rlineto s
.78571 1 m
.78571 1 L
s
% Start of user PostScript
1.7952 6. 2.17537 6.23851 MAarrowhead1
% End of user PostScript
.85714 0 m
0 0 rlineto s
% Start of user PostScript
2.24399 -6. 2.54887 -6.23851 MAarrowhead1
% End of user PostScript
.85714 .07143 m
.90567 .05439 L
s
% Start of user PostScript
2.24399 -5.14286 2.54887 -5.34729 MAarrowhead1
% End of user PostScript
.85714 .14286 m
.90567 .12866 L
s
% Start of user PostScript
2.24399 -4.28571 2.54887 -4.45608 MAarrowhead1
% End of user PostScript
.85714 .21429 m
.90567 .20293 L
s
% Start of user PostScript
2.24399 -3.42857 2.54887 -3.56486 MAarrowhead1
% End of user PostScript
.85714 .28571 m
.90567 .2772 L
s
% Start of user PostScript
2.24399 -2.57143 2.54887 -2.67365 MAarrowhead1
% End of user PostScript
.85714 .35714 m
.90567 .35146 L
s
% Start of user PostScript
2.24399 -1.71429 2.54887 -1.78243 MAarrowhead1
% End of user PostScript
.85714 .42857 m
.90567 .42573 L
s
% Start of user PostScript
2.24399 -0.857143 2.54887 -0.891215 MAarrowhead1
% End of user PostScript
.85714 .5 m
.90567 .5 L
s
% Start of user PostScript
2.24399 0 2.54887 0 MAarrowhead1
% End of user PostScript
.85714 .57143 m
.90567 .57427 L
s
% Start of user PostScript
2.24399 0.857143 2.54887 0.891215 MAarrowhead1
% End of user PostScript
.85714 .64286 m
.90567 .64854 L
s
% Start of user PostScript
2.24399 1.71429 2.54887 1.78243 MAarrowhead1
% End of user PostScript
.85714 .71429 m
.90567 .7228 L
s
% Start of user PostScript
2.24399 2.57143 2.54887 2.67365 MAarrowhead1
% End of user PostScript
.85714 .78571 m
.90567 .79707 L
s
% Start of user PostScript
2.24399 3.42857 2.54887 3.56486 MAarrowhead1
% End of user PostScript
.85714 .85714 m
.90567 .87134 L
s
% Start of user PostScript
2.24399 4.28571 2.54887 4.45608 MAarrowhead1
% End of user PostScript
.85714 .92857 m
.90567 .94561 L
s
% Start of user PostScript
2.24399 5.14286 2.54887 5.34729 MAarrowhead1
% End of user PostScript
.85714 1 m
0 0 rlineto s
.85714 1 m
.85714 1 L
s
% Start of user PostScript
2.24399 6. 2.54887 6.23851 MAarrowhead1
% End of user PostScript
.92857 0 m
0 0 rlineto s
% Start of user PostScript
2.69279 -6. 2.86199 -6.23851 MAarrowhead1
% End of user PostScript
.92857 .07143 m
.9555 .05439 L
s
% Start of user PostScript
2.69279 -5.14286 2.86199 -5.34729 MAarrowhead1
% End of user PostScript
.92857 .14286 m
.9555 .12866 L
s
% Start of user PostScript
2.69279 -4.28571 2.86199 -4.45608 MAarrowhead1
% End of user PostScript
.92857 .21429 m
.9555 .20293 L
s
% Start of user PostScript
2.69279 -3.42857 2.86199 -3.56486 MAarrowhead1
% End of user PostScript
.92857 .28571 m
.9555 .2772 L
s
% Start of user PostScript
2.69279 -2.57143 2.86199 -2.67365 MAarrowhead1
% End of user PostScript
.92857 .35714 m
.9555 .35146 L
s
% Start of user PostScript
2.69279 -1.71429 2.86199 -1.78243 MAarrowhead1
% End of user PostScript
.92857 .42857 m
.9555 .42573 L
s
% Start of user PostScript
2.69279 -0.857143 2.86199 -0.891215 MAarrowhead1
% End of user PostScript
.92857 .5 m
.9555 .5 L
s
% Start of user PostScript
2.69279 0 2.86199 0 MAarrowhead1
% End of user PostScript
.92857 .57143 m
.9555 .57427 L
s
% Start of user PostScript
2.69279 0.857143 2.86199 0.891215 MAarrowhead1
% End of user PostScript
.92857 .64286 m
.9555 .64854 L
s
% Start of user PostScript
2.69279 1.71429 2.86199 1.78243 MAarrowhead1
% End of user PostScript
.92857 .71429 m
.9555 .7228 L
s
% Start of user PostScript
2.69279 2.57143 2.86199 2.67365 MAarrowhead1
% End of user PostScript
.92857 .78571 m
.9555 .79707 L
s
% Start of user PostScript
2.69279 3.42857 2.86199 3.56486 MAarrowhead1
% End of user PostScript
.92857 .85714 m
.9555 .87134 L
s
% Start of user PostScript
2.69279 4.28571 2.86199 4.45608 MAarrowhead1
% End of user PostScript
.92857 .92857 m
.9555 .94561 L
s
% Start of user PostScript
2.69279 5.14286 2.86199 5.34729 MAarrowhead1
% End of user PostScript
.92857 1 m
0 0 rlineto s
.92857 1 m
.92857 1 L
s
% Start of user PostScript
2.69279 6. 2.86199 6.23851 MAarrowhead1
% End of user PostScript
1 0 m
0 0 rlineto s
% Start of user PostScript
3.14159 -6. 3.14159 -6.23851 MAarrowhead1
% End of user PostScript
1 .07143 m
1 .05439 L
s
% Start of user PostScript
3.14159 -5.14286 3.14159 -5.34729 MAarrowhead1
% End of user PostScript
1 .14286 m
1 .12866 L
s
% Start of user PostScript
3.14159 -4.28571 3.14159 -4.45608 MAarrowhead1
% End of user PostScript
1 .21429 m
1 .20293 L
s
% Start of user PostScript
3.14159 -3.42857 3.14159 -3.56486 MAarrowhead1
% End of user PostScript
1 .28571 m
1 .2772 L
s
% Start of user PostScript
3.14159 -2.57143 3.14159 -2.67365 MAarrowhead1
% End of user PostScript
1 .35714 m
1 .35146 L
s
% Start of user PostScript
3.14159 -1.71429 3.14159 -1.78243 MAarrowhead1
% End of user PostScript
1 .42857 m
1 .42573 L
s
% Start of user PostScript
3.14159 -0.857143 3.14159 -0.891215 MAarrowhead1
% End of user PostScript
1 .5 m
1 .5 L
s
% Start of user PostScript
3.14159 0 MAarrowzero1
% End of user PostScript
1 .57143 m
1 .57427 L
s
% Start of user PostScript
3.14159 0.857143 3.14159 0.891215 MAarrowhead1
% End of user PostScript
1 .64286 m
1 .64854 L
s
% Start of user PostScript
3.14159 1.71429 3.14159 1.78243 MAarrowhead1
% End of user PostScript
1 .71429 m
1 .7228 L
s
% Start of user PostScript
3.14159 2.57143 3.14159 2.67365 MAarrowhead1
% End of user PostScript
1 .78571 m
1 .79707 L
s
% Start of user PostScript
3.14159 3.42857 3.14159 3.56486 MAarrowhead1
% End of user PostScript
1 .85714 m
1 .87134 L
s
% Start of user PostScript
3.14159 4.28571 3.14159 4.45608 MAarrowhead1
% End of user PostScript
1 .92857 m
1 .94561 L
s
% Start of user PostScript
3.14159 5.14286 3.14159 5.34729 MAarrowhead1
% End of user PostScript
1 1 m
0 0 rlineto s
1 1 m
1 1 L
s
% Start of user PostScript
3.14159 6. 3.14159 6.23851 MAarrowhead1
% End of user PostScript
.5 Mabswid
0 .5 m
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
0 .5 L
.00051 .50083 L
.00688 .51113 L
.07224 .61594 L
.13399 .71048 L
.18402 .78132 L
.2542 .86837 L
.33112 .94266 L
.35454 .9602 L
.38064 .97672 L
.42982 .99876 L
s
.42982 .99876 m
.43612 1 L
s
.54625 1 m
.56866 .99341 L
.61271 .97052 L
.63806 .95281 L
.66428 .93108 L
.70827 .88697 L
.77712 .79891 L
.83249 .7092 L
.85485 .66584 L
.87124 .62909 L
.88312 .59725 L
.89114 .57026 L
.89437 .55651 L
.89709 .54195 L
.89911 .5269 L
.90021 .51289 L
.90027 .48841 L
.89772 .46228 L
.89338 .4394 L
.8862 .4131 L
.86461 .35728 L
.82801 .28664 L
.77304 .20196 L
.7401 .15931 L
.70504 .11984 L
.66905 .08564 L
.62683 .05385 L
.58606 .03196 L
.54711 .01935 L
.50413 .01506 L
.45703 .02212 L
.40923 .04189 L
.36687 .07 L
.32418 .10839 L
.28257 .15571 L
.22107 .24571 L
.1786 .32844 L
.16485 .3626 L
.15334 .39765 L
.14466 .43342 L
.1398 .46583 L
.13841 .48425 L
.13805 .50353 L
.14023 .53801 L
.14273 .55563 L
.14645 .57471 L
.15593 .61005 L
.17205 .65413 L
.19151 .69651 L
.23466 .77129 L
Mistroke
.29838 .85471 L
.33668 .89297 L
.3594 .91172 L
.3819 .92744 L
.42759 .95053 L
.47099 .96143 L
.51195 .96175 L
.55514 .95149 L
.59457 .93257 L
.62857 .90888 L
.66593 .87479 L
.70241 .83295 L
.75701 .75173 L
.79896 .66544 L
.8152 .619 L
.82077 .59886 L
.82566 .57734 L
.8295 .5553 L
.83196 .5347 L
.83356 .49653 L
.83273 .475 L
.83048 .45207 L
.82744 .43236 L
.82287 .41039 L
.81154 .37049 L
.79747 .33287 L
.7524 .24484 L
.69699 .16783 L
.66383 .13252 L
.62399 .09939 L
.58009 .07412 L
.53774 .06079 L
.51522 .05811 L
.49041 .05872 L
.46464 .06334 L
.44089 .07119 L
.39867 .09382 L
.36248 .12222 L
.32433 .16171 L
.29225 .20338 L
.26725 .24232 L
.24454 .28428 L
.22815 .32031 L
.21378 .35857 L
.20118 .40269 L
.19353 .44322 L
.18991 .482 L
.18988 .51733 L
.19347 .55617 L
.20152 .59809 L
Mistroke
.21317 .63827 L
.22724 .67539 L
.24804 .71946 L
.2759 .76709 L
.30689 .81015 L
.33999 .84727 L
.37771 .88003 L
.399 .89431 L
.42271 .90677 L
.44815 .91614 L
.47277 .92129 L
.49504 .92263 L
.51933 .9205 L
.56245 .90739 L
.58579 .89525 L
.60628 .88159 L
.64385 .84894 L
.6759 .81266 L
.70324 .77452 L
.72852 .73174 L
.74689 .69417 L
.7632 .65334 L
.77126 .6287 L
.77746 .60608 L
.78622 .56201 L
.79022 .52248 L
.79038 .48078 L
.78654 .44043 L
.77798 .39672 L
.76566 .35515 L
.75072 .31686 L
.7027 .22957 L
.67176 .18888 L
.63322 .14979 L
.59682 .12304 L
.56035 .10543 L
.52651 .09708 L
.4894 .09667 L
.44941 .10654 L
.40871 .12781 L
.37612 .15342 L
.34325 .18771 L
.29391 .25886 L
.27196 .30159 L
.25566 .34118 L
.24376 .37793 L
.23432 .41776 L
.22878 .45508 L
.22654 .48946 L
.22771 .53323 L
Mistroke
.23002 .55524 L
.23386 .57937 L
.24405 .62212 L
.25745 .66193 L
.27811 .70847 L
.30137 .74959 L
.33327 .79398 L
.36798 .83081 L
.40123 .85682 L
.43888 .87635 L
.47226 .88527 L
.50955 .88607 L
.54907 .8763 L
.57066 .86626 L
.58986 .85444 L
.62337 .82694 L
.65536 .79166 L
.70133 .72081 L
.72132 .6784 L
.73575 .63926 L
.74602 .60254 L
.75362 .56286 L
.75746 .52555 L
.75813 .49133 L
.75547 .45153 L
.74962 .41445 L
.73949 .37394 L
.72433 .3309 L
.70377 .28691 L
.67998 .24713 L
.65517 .21396 L
.62517 .18245 L
.59254 .15714 L
.56069 .14053 L
.52913 .13154 L
.49537 .12995 L
.45859 .13768 L
.42543 .15331 L
.39115 .17864 L
.35778 .21331 L
.3294 .25229 L
.30351 .29843 L
.28406 .34403 L
.27055 .38693 L
.26209 .42579 L
.25683 .46857 L
.25587 .51309 L
.25917 .5546 L
.26591 .59319 L
.27725 .63489 L
Mistroke
.29174 .67354 L
.30839 .70832 L
.34776 .76881 L
.37386 .79793 L
.39966 .82015 L
.43227 .84005 L
.46367 .8512 L
.4989 .85473 L
.53596 .84825 L
.56725 .83445 L
.59505 .81544 L
.62341 .78882 L
.65077 .75503 L
.67394 .71839 L
.69519 .67516 L
.70408 .65272 L
.71229 .62822 L
.72348 .58339 L
.72968 .5409 L
.73163 .49621 L
.72958 .45821 L
.72346 .41696 L
.71773 .39198 L
.71096 .36864 L
.69478 .32596 L
.67242 .28227 L
.6428 .23927 L
.61281 .20721 L
.59647 .19363 L
.57771 .18106 L
.54299 .16571 L
.50948 .16015 L
.47565 .16356 L
.4568 .16944 L
.4397 .17732 L
.40965 .1973 L
.38012 .22537 L
.35414 .25835 L
.33291 .29293 L
.31684 .32574 L
.30247 .36313 L
.29067 .40542 L
.28605 .42874 L
.28292 .45056 L
.28015 .48969 L
.2812 .53146 L
.28362 .55482 L
.28772 .58002 L
.29299 .60359 L
.29905 .6251 L
Mistroke
.31362 .66481 L
.33332 .70481 L
.3547 .7382 L
.38152 .77031 L
.40969 .79511 L
.4378 .81217 L
.46686 .8225 L
.49379 .82575 L
.52486 .82205 L
.55349 .81143 L
.58334 .79257 L
.6125 .76558 L
.63493 .7379 L
.65656 .70378 L
.67593 .664 L
.68477 .64116 L
.69192 .61909 L
.69747 .59833 L
.70229 .57552 L
.70768 .53532 L
.70918 .49782 L
.7075 .46272 L
.70224 .4246 L
.69262 .38425 L
.67913 .34553 L
.66085 .30686 L
.64214 .27636 L
.61869 .24662 L
.59413 .2231 L
.57011 .20634 L
.54091 .19336 L
.5125 .18799 L
.48603 .18927 L
.46193 .19574 L
.43628 .20838 L
.41056 .2275 L
.38538 .25337 L
.36104 .28676 L
.34149 .32196 L
.32661 .35684 L
.31512 .39277 L
.30759 .42606 L
.30236 .46495 L
.30085 .50167 L
.303 .54174 L
.30955 .58345 L
.31855 .61823 L
.33193 .65498 L
.35026 .69218 L
.37404 .72805 L
Mistroke
.39993 .75674 L
.42592 .77729 L
.45184 .79082 L
.48039 .79838 L
.50509 .79895 L
.53211 .79327 L
.56014 .78015 L
.58853 .75868 L
.61295 .7325 L
.63284 .70449 L
.6482 .67724 L
.6621 .64623 L
.6742 .6106 L
.6824 .57649 L
.68803 .53741 L
.68979 .50034 L
.68843 .46717 L
.68384 .43163 L
.67518 .39366 L
.66404 .36023 L
.64752 .32381 L
.62848 .29226 L
.60832 .26663 L
.58772 .24657 L
.56336 .22943 L
.536 .21759 L
.51988 .21402 L
.50496 .21291 L
.48858 .2141 L
.47146 .21804 L
.44343 .23071 L
.42822 .24101 L
.41464 .25245 L
.39103 .27811 L
.37198 .30543 L
.35328 .34056 L
.33914 .37631 L
.32888 .41272 L
.32464 .43387 L
.32173 .45387 L
.31903 .49439 L
.31937 .51715 L
.32084 .53786 L
.32618 .57417 L
.33591 .61266 L
.34869 .64733 L
.36352 .67741 L
.3859 .71134 L
.39823 .72597 L
.41026 .73803 L
Mistroke
.43434 .75655 L
.46207 .76978 L
.49079 .77523 L
.50721 .7747 L
.52245 .77184 L
.53829 .7664 L
.55239 .75936 L
.56814 .7489 L
.58239 .73686 L
.60303 .71447 L
.62279 .68616 L
.63872 .65634 L
.65081 .62701 L
.66121 .59295 L
.66884 .5545 L
.67117 .53482 L
.67253 .51371 L
.67199 .47574 L
.67008 .45498 L
.6673 .43604 L
.66314 .41556 L
.6575 .39433 L
.64525 .36008 L
.62797 .32525 L
.60955 .29766 L
.58699 .27261 L
.56354 .25429 L
.54077 .24278 L
.51702 .23673 L
.49142 .2367 L
.46755 .24274 L
.44662 .25308 L
.42326 .27074 L
.40028 .29557 L
.38123 .32349 L
.36632 .35213 L
.35478 .38106 L
.34633 .40927 L
.33971 .44115 L
.33578 .47587 L
.3352 .51247 L
.33799 .54682 L
.34322 .57705 L
.35175 .60884 L
.36402 .64105 L
.37793 .66834 L
.39587 .69514 L
.41737 .71884 L
.43796 .73501 L
.45823 .74572 L
Mistroke
.48127 .75223 L
.50622 .75284 L
.52037 .75024 L
.53321 .74599 L
.54701 .73934 L
.56112 .73018 L
.58341 .71026 L
.60527 .68276 L
.62195 .65432 L
.63657 .62071 L
.64697 .58691 L
.65346 .55493 L
.65725 .51776 L
.65769 .49889 L
.65702 .47811 L
.65291 .44188 L
.64569 .40883 L
.64016 .39061 L
.63327 .37207 L
.61835 .34107 L
.5989 .31166 L
.5865 .29725 L
.57418 .28555 L
.56297 .27686 L
.55035 .2691 L
.52653 .25975 L
.50273 .25689 L
.48079 .25982 L
.45765 .26886 L
.44497 .27658 L
.43354 .28538 L
.41208 .30729 L
.39188 .33614 L
.37586 .36767 L
.36394 .40025 L
Mfstroke
.07958 .5 m
.08049 .51938 L
.08292 .53729 L
.08766 .5587 L
.09415 .58005 L
.11088 .62192 L
.13758 .67491 L
.17908 .74408 L
.23932 .82819 L
.30511 .90133 L
.34816 .93831 L
.39164 .9664 L
.43842 .98577 L
.46557 .99168 L
.49098 .99362 L
.5374 .98808 L
.58569 .96984 L
.63081 .94138 L
.67038 .90742 L
.73502 .83381 L
.79453 .74403 L
.83349 .66809 L
.84945 .6288 L
.86066 .59438 L
.86876 .56037 L
.87163 .54294 L
.87364 .52457 L
.8745 .50869 L
.8745 .49125 L
.87343 .47303 L
.87142 .45579 L
.86541 .42443 L
.86062 .40628 L
.85532 .38923 L
.82058 .30741 L
.76227 .21041 L
.73029 .1678 L
.69134 .12389 L
.65394 .08956 L
.61003 .05895 L
.58178 .04486 L
.55505 .03562 L
.52911 .0305 L
.50145 .02925 L
.4538 .03735 L
.4273 .04749 L
.40312 .06028 L
.36075 .09084 L
.31847 .13188 L
.25394 .21665 L
Mistroke
.20748 .30002 L
.19185 .33555 L
.17833 .3725 L
.17169 .3945 L
.16669 .41429 L
.15983 .45218 L
.15694 .48583 L
.15728 .52101 L
.15883 .53935 L
.16153 .5591 L
.16917 .59529 L
.17562 .6179 L
.183 .63973 L
.20023 .68181 L
.24228 .75996 L
.29536 .83341 L
.3315 .87222 L
.36787 .90316 L
.41079 .92954 L
.43325 .93901 L
.45826 .94604 L
.48323 .94935 L
.50686 .94906 L
.55063 .93967 L
.5961 .91764 L
.62051 .90055 L
.64203 .88239 L
.70867 .80622 L
.73638 .76412 L
.76208 .7174 L
.78148 .67466 L
.796 .63511 L
.80592 .60049 L
.81344 .56368 L
.81782 .52449 L
.81823 .48328 L
.81513 .4481 L
.808 .40886 L
.79788 .37194 L
.78557 .33744 L
.74693 .25796 L
.70029 .18897 L
.66994 .15399 L
.63921 .1252 L
.60079 .09791 L
.57958 .08685 L
.55656 .07803 L
.51708 .07061 L
.47338 .07375 L
.43527 .08632 L
Mistroke
.39601 .10903 L
.36133 .13765 L
.33213 .16841 L
.27386 .25171 L
.2485 .30116 L
.22999 .34684 L
.21669 .39005 L
.20838 .42852 L
.20314 .47226 L
.20241 .51303 L
.20502 .54797 L
.21132 .58645 L
.22177 .62699 L
.23511 .66517 L
.26776 .73372 L
.315 .80413 L
.34674 .83961 L
.36483 .85635 L
.38493 .87221 L
.4238 .89505 L
.46141 .90759 L
.49809 .91091 L
.53244 .90602 L
.56926 .8921 L
.60706 .86818 L
.64266 .83618 L
.67194 .80221 L
.69981 .76219 L
.72543 .71662 L
.74477 .67357 L
.75882 .63389 L
.76887 .59624 L
.77594 .55678 L
.77949 .51461 L
.77965 .49106 L
.77865 .46959 L
.77356 .42791 L
.76491 .38828 L
.7584 .36595 L
.75018 .34219 L
.73204 .29968 L
.70492 .2503 L
.67537 .20816 L
.6423 .17128 L
.62269 .15371 L
.60354 .1394 L
.56798 .11985 L
.52737 .1083 L
.50424 .10677 L
.48238 .10868 L
Mistroke
.44213 .12086 L
.42032 .13223 L
.40084 .14534 L
.35979 .18269 L
.33047 .21852 L
.30634 .25518 L
.28214 .30104 L
.26443 .34402 L
.25053 .38917 L
.24166 .43195 L
.23689 .47682 L
.23627 .50211 L
.23703 .52553 L
.24191 .56932 L
.24608 .59134 L
.25197 .61548 L
.26576 .65798 L
.28249 .69712 L
.30689 .74178 L
.33335 .7799 L
.36843 .81876 L
.38563 .83378 L
.40547 .84814 L
.4399 .86593 L
.47791 .87551 L
.51354 .87511 L
.5466 .86656 L
.58394 .84718 L
.61602 .82175 L
.64808 .78721 L
.67761 .74551 L
.69844 .7083 L
.71492 .67188 L
.72996 .62913 L
.73991 .59003 L
.74605 .55311 L
.7489 .51915 L
.74895 .482 L
.74549 .4428 L
.73839 .40358 L
.72673 .36181 L
.71195 .32303 L
.6953 .28859 L
.67217 .25032 L
.64277 .21246 L
.61146 .18211 L
.57993 .16025 L
.5439 .14496 L
.52529 .14093 L
.50472 .13949 L
Mistroke
.46843 .14466 L
.43547 .15806 L
.41622 .16988 L
.39868 .18336 L
.36802 .21373 L
.33878 .25222 L
.31207 .2986 L
.29464 .33807 L
.27988 .3827 L
.27425 .40536 L
.26954 .42982 L
.26456 .47409 L
.26407 .51575 L
.26793 .55935 L
.27476 .59627 L
.2859 .63609 L
.30172 .67704 L
.32036 .71408 L
.34028 .74568 L
.3642 .77607 L
.39322 .80437 L
.4222 .82473 L
.45513 .83927 L
.47434 .84376 L
.49246 .84534 L
.52451 .84187 L
.55428 .83136 L
.57998 .81639 L
.6064 .79486 L
.63273 .76638 L
.65757 .7316 L
.67742 .69629 L
.69288 .66169 L
.70588 .6242 L
.71616 .58244 L
.72217 .54145 L
.72419 .49759 L
.72199 .4569 L
.71631 .41878 L
.70826 .38499 L
.69643 .34909 L
.6799 .31125 L
.65757 .27219 L
.63001 .23573 L
.60079 .20722 L
.57112 .18694 L
.54254 .17476 L
.5086 .16911 L
.47624 .17247 L
.44646 .18322 L
Mistroke
.42058 .19883 L
.39262 .2229 L
.36864 .25045 L
.33274 .30797 L
.31682 .34349 L
.3051 .37734 L
.29557 .41506 L
.28982 .45064 L
.28703 .48981 L
.28811 .53168 L
.29375 .57516 L
.3033 .61559 L
.31526 .65088 L
.33179 .6876 L
.35182 .72183 L
.37298 .75012 L
.39892 .77669 L
.42873 .79828 L
.4563 .8108 L
.48271 .81655 L
.51194 .81599 L
.54271 .80749 L
.55972 .79919 L
.57493 .78947 L
.60713 .76106 L
.63243 .72987 L
.65545 .69224 L
.67243 .65572 L
.68501 .61999 L
.69501 .57972 L
.69885 .55684 L
.70123 .53585 L
.70274 .49325 L
.70166 .46953 L
.69949 .44818 L
.69206 .40709 L
.68128 .36946 L
.67352 .34865 L
.66413 .32737 L
.64432 .29155 L
.61908 .25738 L
.60328 .24072 L
.58743 .22701 L
.57311 .21697 L
.55703 .20812 L
.52795 .1983 L
.51117 .19609 L
.49331 .19649 L
.46164 .20419 L
.43354 .21883 L
Mistroke
.40877 .23843 L
.38392 .26543 L
.36048 .29958 L
.34111 .33716 L
.32712 .37348 L
.3209 .39423 L
.31543 .41703 L
.30891 .45895 L
.30681 .49854 L
.30884 .54023 L
.31399 .57535 L
.32321 .61303 L
.33056 .63518 L
.33873 .65554 L
.35702 .6916 L
.38073 .72622 L
.39445 .74193 L
.41062 .75718 L
.42419 .76759 L
.43939 .77688 L
.45593 .78433 L
.47181 .789 L
.48694 .79125 L
.50295 .79133 L
.53135 .78561 L
.55954 .77225 L
.58371 .75416 L
.60924 .72725 L
.63048 .69707 L
.6473 .666 L
.66017 .63538 L
.67122 .60028 L
.67928 .56203 L
.68353 .52302 L
.6842 .50105 L
.68374 .481 L
.67993 .44243 L
.6728 .40654 L
.66732 .38688 L
.66036 .36646 L
.645 .33148 L
.62233 .2939 L
.59815 .26498 L
.57441 .24462 L
.55073 .23082 L
.52361 .22215 L
.49403 .22087 L
.47922 .22341 L
.46334 .22852 L
.43552 .24378 L
Mistroke
.41032 .26527 L
.38923 .29005 L
.37188 .31652 L
.35782 .34368 L
.34508 .37543 L
.33465 .41122 L
.3278 .44775 L
.32446 .48669 L
.32475 .51996 L
.32837 .55596 L
.33195 .57614 L
.33705 .5976 L
.34947 .63512 L
.36527 .66916 L
.38282 .69755 L
.40467 .72408 L
.41823 .73681 L
.43153 .74695 L
.4461 .75564 L
.45979 .76167 L
.47591 .76624 L
.4914 .76813 L
.51733 .7659 L
.5443 .75627 L
.56852 .74079 L
.58892 .72204 L
.61065 .69497 L
.63068 .66104 L
.6459 .62571 L
.65647 .59134 L
.6639 .55411 L
.66739 .51833 L
.66758 .48612 L
.66465 .45146 L
.65778 .41456 L
.65291 .39646 L
.64647 .37707 L
.63247 .34458 L
.61651 .31683 L
.59807 .29241 L
.57858 .27301 L
.55976 .2593 L
.53814 .24882 L
.51396 .2432 L
.48792 .24404 L
.46375 .25125 L
.44266 .2629 L
.41899 .28265 L
.40793 .2947 L
.39654 .30936 L
Mistroke
.3786 .33841 L
.36466 .36836 L
.35764 .38753 L
.35201 .40623 L
.34426 .44228 L
.34155 .46281 L
.34009 .48192 L
.33965 .50294 L
.34052 .52518 L
.34452 .55902 L
.35239 .59443 L
.36307 .62627 L
.37548 .65354 L
.39194 .68095 L
.41281 .70659 L
.42432 .71748 L
.43722 .7274 L
.46169 .74035 L
.48579 .74629 L
.49965 .74681 L
.5126 .7454 L
.53822 .73711 L
.5521 .72939 L
.56434 .72055 L
.58476 .70099 L
.60461 .67483 L
.62063 .64641 L
.63284 .61762 L
.63892 .59927 L
.64432 .57889 L
.64827 .55926 L
.6509 .54098 L
.65325 .50598 L
.65193 .46911 L
.64972 .45017 L
.64621 .4302 L
.63698 .39538 L
.62956 .37515 L
.62137 .35693 L
.60317 .32587 L
.58597 .3043 L
.56489 .28515 L
.55363 .2776 L
.5411 .27116 L
.51775 .26424 L
.49535 .26351 L
.47202 .26885 L
.45275 .27819 L
.4328 .29303 L
.42133 .3043 L
Mistroke
.41113 .31627 L
.39393 .34174 L
.37847 .37278 L
.37128 .39155 L
.3657 .40946 L
.35864 .44041 L
.35429 .47528 L
.35346 .49299 L
.3536 .51199 L
.35652 .54594 L
.36256 .57792 L
.36738 .59554 L
.37278 .61158 L
.38609 .6419 L
.40382 .67089 L
.42191 .69232 L
.44304 .70993 L
.46232 .72035 L
.48425 .72644 L
.49781 .72732 L
.51063 .72614 L
.5342 .71879 L
.54695 .71186 L
.55831 .70379 L
.58209 .68017 L
.59877 .65668 L
.61424 .62709 L
.62076 .61104 L
.62677 .5931 L
.63148 .57556 L
.63489 .55934 L
.63754 .54245 L
.63938 .52428 L
.64016 .49144 L
.63917 .4731 L
.63696 .45349 L
.63379 .43529 L
.62997 .41892 L
.62087 .39037 L
.60788 .36142 L
.59127 .33473 L
.57335 .3139 L
.55391 .29804 L
.53427 .28777 L
.516 .28281 L
.49586 .28218 L
.47418 .28714 L
.4635 .29181 L
.45203 .29857 L
.43287 .31436 L
Mistroke
.4165 .33316 L
.40178 .35566 L
.38856 .38268 L
.37869 .41035 L
.37207 .43676 L
.36726 .46884 L
.366 .48716 L
.36577 .50408 L
.36767 .53496 L
.37292 .56685 L
.38096 .59603 L
.39269 .62516 L
.40645 .64985 L
.42105 .66941 L
.44018 .68795 L
.45178 .69607 L
.46293 .70195 L
.48403 .70836 L
.49601 .7094 L
.50687 .70874 L
.52615 .70379 L
.54575 .69352 L
.5615 .68096 L
.57739 .66361 L
.59257 .6413 L
.60616 .61409 L
.61622 .58601 L
.62285 .55902 L
.627 .53093 L
.62851 .50463 L
.6276 .47581 L
.62371 .44582 L
.61797 .42072 L
.61068 .39833 L
.60067 .37542 L
.58775 .35324 L
.57095 .33209 L
.55396 .31696 L
.54398 .31043 L
.53282 .30497 L
.51198 .29952 L
.49215 .29981 L
.47153 .30576 L
.45462 .31525 L
.43723 .32996 L
.42747 .34083 L
.41885 .35236 L
.40457 .37673 L
.39224 .40621 L
.3868 .42399 L
Mistroke
.38279 .44097 L
.3784 .46991 L
.37719 .48663 L
.3769 .50237 L
.37882 .53381 L
.38135 .55115 L
.38457 .56671 L
.39204 .59235 L
.40259 .61776 L
.41477 .63926 L
.4275 .65625 L
.44417 .67257 L
.45423 .67982 L
.46384 .68515 L
.48209 .6914 L
.50181 .69279 L
.52056 .68905 L
.54001 .6797 L
.55724 .66616 L
.57163 .65021 L
.58644 .62789 L
.59325 .61475 L
.59966 .5999 L
.60497 .58494 L
.60903 .5709 L
.61479 .54251 L
.61756 .51475 L
.61772 .4887 L
.6152 .46046 L
.60944 .43121 L
.6054 .41712 L
.60017 .40242 L
.58858 .37768 L
.57494 .35666 L
.56057 .3405 L
.54597 .3287 L
.53146 .32078 L
.51495 .31583 L
.49688 .31503 L
.47909 .31891 L
.46104 .32785 L
.44651 .33915 L
.43193 .35497 L
.41679 .37778 L
.40506 .40253 L
.39688 .42678 L
.39072 .45454 L
.38867 .46936 L
.38735 .48583 L
.387 .50308 L
Mistroke
.38765 .51915 L
.39109 .5474 L
.39429 .56278 L
.39798 .57639 L
.40712 .60131 L
.41776 .62217 L
.43158 .64199 L
.43929 .65058 L
.44832 .65883 L
.46429 .66945 L
.48245 .67618 L
.50001 .67778 L
.51607 .67514 L
.5336 .6676 L
.54924 .65631 L
.56222 .64303 L
.57487 .62568 L
.58664 .60387 L
.59209 .59087 L
.59653 .57813 L
.60268 .55462 L
.60689 .52768 L
.60831 .50234 L
.60744 .4783 L
.60483 .45709 L
.60008 .43471 L
.59277 .41181 L
.58269 .38948 L
.57121 .37091 L
.55938 .35659 L
.54373 .34305 L
.53537 .33789 L
.52592 .33357 L
.50875 .32955 L
.49256 .33006 L
.48283 .33238 L
.47378 .33593 L
.45749 .346 L
.4489 .35346 L
.44136 .36142 L
.42601 .38286 L
.41574 .40285 L
.40793 .42344 L
.40156 .44751 L
.39904 .46153 L
.39741 .47459 L
.39617 .49962 L
.39757 .52687 L
.39936 .54038 L
.40206 .5545 L
Mistroke
.40891 .57881 L
.41779 .6004 L
.42988 .62138 L
.43678 .63063 L
.44473 .63946 L
.452 .6461 L
.46027 .65221 L
.47683 .66041 L
.49313 .66378 L
.50911 .66282 L
.52367 .65822 L
.53242 .65364 L
.54154 .64729 L
.54923 .64053 L
.55692 .63231 L
.57011 .61395 L
.58035 .59435 L
.5852 .58249 L
.58965 .5692 L
.59564 .54402 L
.59797 .52811 L
.59922 .51286 L
.59955 .4991 L
.59906 .48421 L
.59624 .45962 L
.5914 .43745 L
.58377 .41469 L
.57849 .40282 L
.57307 .39265 L
.56136 .37542 L
.54678 .3603 L
.53884 .35431 L
.53004 .34922 L
.52149 .34572 L
.5136 .34365 L
.4979 .34276 L
.48355 .34566 L
.46829 .35283 L
.46093 .35794 L
.45318 .36465 L
.44108 .37829 L
.42967 .39585 L
.42064 .41471 L
.41404 .43345 L
.40878 .45503 L
.40572 .47605 L
.40453 .4995 L
.4058 .52467 L
.40964 .54893 L
.4125 .56067 L
Mistroke
.41633 .57306 L
.42479 .59352 L
.43444 .61044 L
.44573 .62505 L
.45755 .63615 L
.46892 .64363 L
.48182 .64891 L
.49625 .65114 L
.51155 .64942 L
.52434 .6447 L
.53778 .6362 L
.54485 .63007 L
.55216 .62232 L
.56421 .60564 L
.5741 .5867 L
.58144 .56722 L
.58499 .55461 L
.58765 .54237 L
.5908 .51886 L
.5915 .50548 L
.59146 .49316 L
.59067 .47973 L
.589 .46576 L
.5847 .4446 L
.5779 .42335 L
.56957 .40513 L
.56053 .39046 L
.5484 .37605 L
.54095 .36942 L
.53374 .36433 L
.5199 .35777 L
.50471 .35491 L
.49147 .35593 L
.47729 .36073 L
.46319 .36964 L
.45108 .38122 L
.44084 .39467 L
.43269 .40875 L
.42482 .42682 L
.41904 .44528 L
.41469 .46652 L
.41241 .4897 L
.41238 .50963 L
.41438 .53124 L
.41885 .5536 L
.42236 .56554 L
.42617 .57594 L
.4351 .5945 L
.44525 .60969 L
.45598 .62137 L
Mistroke
.46651 .62959 L
.4794 .63607 L
.49194 .63905 L
.50373 .63905 L
.51446 .6367 L
.52592 .63159 L
.53742 .62348 L
.54821 .61263 L
.55853 .59842 L
.5669 .5829 L
.57321 .56731 L
.57888 .54764 L
.58121 .53606 L
.58279 .52516 L
.5842 .50485 L
.58361 .48329 L
.58101 .46293 L
.57597 .44174 L
.56923 .42321 L
.5614 .40772 L
.55233 .39438 L
.54313 .38426 L
.53159 .37519 L
.52004 .36942 L
.50697 .36638 L
.49303 .36697 L
.48131 .37054 L
.46897 .37758 L
.45663 .38856 L
.45027 .39611 L
.44488 .4038 L
.43568 .42063 L
.42868 .4385 L
.42419 .45477 L
.42085 .47354 L
.41926 .49363 L
.41954 .51256 L
.42134 .52991 L
.42427 .54532 L
.42884 .56143 L
.43508 .57715 L
.4428 .5915 L
.45241 .60465 L
.46254 .61466 L
.47245 .62153 L
.48472 .62669 L
.49181 .62815 L
.4984 .62855 L
.51046 .62692 L
.52291 .62191 L
Mistroke
.53437 .61399 L
.54583 .60219 L
.55537 .5884 L
.56289 .57366 L
.56893 .55757 L
.57307 .54202 L
.57621 .52328 L
.5775 .50525 L
.57704 .48544 L
.57444 .465 L
.57057 .44833 L
.56466 .43127 L
.55652 .4148 L
.55124 .40661 L
.54603 .39989 L
.53495 .38905 L
.52358 .38176 L
.51342 .37799 L
.50198 .37654 L
.49003 .37809 L
.47909 .38234 L
.46934 .38862 L
.46096 .39622 L
.45251 .40641 L
.44465 .41897 L
.43788 .43342 L
.43218 .45031 L
.42837 .46726 L
.42629 .48318 L
.42557 .5022 L
.42599 .51289 L
.4269 .52264 L
.42986 .54008 L
.43474 .55751 L
.44111 .57314 L
.44969 .58809 L
.45913 .59984 L
.46881 .60837 L
.47809 .61391 L
.48876 .61756 L
.50014 .61852 L
.51079 .61675 L
.52218 .61186 L
.53349 .60356 L
.54235 .59414 L
.55098 .58164 L
.5588 .56598 L
.56242 .5564 L
.56521 .54728 L
.5692 .52869 L
Mistroke
.57115 .51049 L
.57137 .49476 L
.57008 .47763 L
.56705 .46031 L
.56272 .44499 L
.55747 .43175 L
.55172 .42077 L
.54408 .40967 L
.53598 .40089 L
.52652 .39361 L
.51584 .38849 L
.50542 .38628 L
.49589 .38653 L
.48481 .38956 L
.47875 .39254 L
.47334 .39605 L
.46392 .40435 L
.45494 .41549 L
.44728 .42852 L
Mfstroke
.15915 .5 m
.16076 .53397 L
.165 .56513 L
.17326 .60177 L
.18445 .6374 L
.21279 .70359 L
.25633 .77847 L
.31983 .8582 L
.3576 .89305 L
.3808 .91017 L
.40284 .92346 L
.44359 .94044 L
.48867 .94769 L
.53059 .9435 L
.56963 .93005 L
.61151 .90522 L
.64699 .87557 L
.68427 .83535 L
.71535 .79392 L
.7603 .7172 L
.77969 .67435 L
.79382 .6358 L
.80529 .59481 L
.81235 .55746 L
.81616 .51722 L
.8165 .49484 L
.8157 .47447 L
.81087 .43332 L
.80622 .40985 L
.80068 .38793 L
.78736 .34711 L
.76867 .30291 L
.74655 .26055 L
.71864 .21637 L
.69078 .17968 L
.65741 .14365 L
.63704 .12546 L
.61769 .11072 L
.57798 .08798 L
.55489 .07933 L
.52942 .07367 L
.50517 .07205 L
.48282 .07384 L
.44363 .08459 L
.40823 .10277 L
.37159 .13034 L
.33551 .16675 L
.30205 .2098 L
.2747 .25323 L
.25252 .29611 L
Mistroke
.23551 .3364 L
.22734 .35961 L
.2199 .38445 L
.21036 .42716 L
.20686 .45111 L
.20465 .4762 L
.20397 .49751 L
.20449 .52082 L
.20875 .56267 L
.21301 .58622 L
.21806 .60777 L
.23109 .64996 L
.24737 .69014 L
.27125 .73688 L
.30222 .78496 L
.33304 .82313 L
.37122 .85978 L
.39425 .87678 L
.41618 .8896 L
.44101 .90021 L
.46769 .90709 L
.49127 .90928 L
.51321 .90804 L
.5371 .90307 L
.56214 .89378 L
.60022 .87143 L
.62072 .85513 L
.63899 .83793 L
.67553 .79524 L
.70434 .7522 L
.72557 .71323 L
.74461 .67013 L
.76007 .6246 L
.77033 .58181 L
.77418 .55835 L
.77663 .53642 L
.77801 .51247 L
.77798 .48671 L
.77641 .46122 L
.77307 .43437 L
.76887 .41142 L
.76284 .38626 L
.7482 .34099 L
.7272 .29294 L
.70237 .24878 L
.67575 .21082 L
.64481 .17569 L
.62646 .1587 L
.60847 .14459 L
.57513 .12473 L
Mistroke
.53675 .11156 L
.51495 .10861 L
.49417 .10883 L
.45554 .11716 L
.43448 .1261 L
.41545 .13693 L
.37477 .16929 L
.34256 .20477 L
.31578 .2423 L
.27596 .31815 L
.25972 .36198 L
.24873 .40235 L
.24099 .44649 L
.2388 .46861 L
.23771 .49281 L
.2393 .53746 L
.24492 .57864 L
.24944 .60008 L
.25568 .62369 L
.27233 .67113 L
.29129 .71184 L
.31614 .75386 L
.34111 .78754 L
.37177 .82009 L
.40459 .84592 L
.43708 .86324 L
.47273 .8733 L
.51137 .87389 L
.547 .86487 L
.57946 .84847 L
.60709 .828 L
.63491 .80076 L
.66441 .76341 L
.68828 .72501 L
.71002 .68055 L
.72798 .63148 L
.73484 .60669 L
.74069 .57965 L
.74466 .55413 L
.74699 .53052 L
.74784 .48604 L
.74632 .46128 L
.7437 .43894 L
.73506 .3949 L
.72311 .35489 L
.70563 .31187 L
.68242 .26843 L
.65839 .23325 L
.63309 .20384 L
.60253 .17668 L
Mistroke
.56725 .15522 L
.53271 .14367 L
.5127 .14111 L
.49389 .14143 L
.4564 .15003 L
.43591 .15932 L
.41771 .17039 L
.3871 .19541 L
.35678 .22914 L
.33165 .2655 L
.31167 .30191 L
.29143 .34991 L
.28355 .37398 L
.27753 .39628 L
.26939 .43825 L
.26677 .46035 L
.26524 .4837 L
.26499 .50696 L
.26612 .53185 L
.27185 .57651 L
.27766 .60355 L
.28476 .62891 L
.30221 .67541 L
.32012 .7114 L
.34366 .7485 L
.37206 .78291 L
.40182 .80965 L
.43163 .82837 L
.46025 .83937 L
.49242 .84398 L
.52634 .84006 L
.55998 .82711 L
.57812 .81621 L
.59401 .80426 L
.62298 .77616 L
.64752 .74486 L
.6722 .70416 L
.69085 .66398 L
.70654 .61819 L
.71251 .59472 L
.71755 .56875 L
.7224 .52493 L
.72285 .48433 L
.71885 .44006 L
.71459 .41554 L
.70949 .39353 L
.69707 .35378 L
.67933 .31244 L
.65867 .27582 L
.63658 .24518 L
Mistroke
.6126 .21918 L
.58832 .19913 L
.56 .18272 L
.52834 .17256 L
.49451 .17082 L
.46276 .17773 L
.43513 .19068 L
.4067 .21124 L
.37822 .24021 L
.35448 .2722 L
.33223 .31119 L
.32245 .33237 L
.3131 .35615 L
.30578 .37845 L
.29933 .40256 L
.29407 .42826 L
.29062 .45228 L
.28856 .47635 L
.28788 .49906 L
.28995 .54135 L
.29595 .58144 L
.30653 .623 L
.31891 .65738 L
.33594 .69339 L
.35801 .7291 L
.38559 .76253 L
.41474 .78788 L
.44336 .80449 L
.47252 .8138 L
.50043 .81584 L
.53089 .81048 L
.56274 .79613 L
.5924 .77406 L
.60636 .76041 L
.62079 .74377 L
.64409 .71034 L
.66216 .67683 L
.67718 .64076 L
.68818 .60541 L
.69633 .56731 L
.70108 .52554 L
.70173 .48897 L
.69886 .45044 L
.69353 .41796 L
.68464 .38291 L
.67789 .36258 L
.66932 .34097 L
.65057 .30365 L
.6287 .27078 L
.60558 .24437 L
Mistroke
.59029 .23062 L
.5752 .21958 L
.54562 .20456 L
.52848 .1996 L
.51253 .19736 L
.49495 .19751 L
.47648 .20064 L
.44826 .21143 L
.41954 .23039 L
.39453 .25433 L
.37394 .28036 L
.35294 .31482 L
.33435 .35576 L
.32741 .37536 L
.32116 .39658 L
.31289 .43541 L
.30865 .47187 L
.30784 .51184 L
.31124 .55326 L
.31824 .59111 L
.32813 .62567 L
.33978 .65581 L
.35625 .68852 L
.37455 .71667 L
.3972 .74339 L
.42376 .76605 L
.44805 .77994 L
.47589 .78868 L
.50634 .78991 L
.52335 .78685 L
.53867 .78175 L
.56735 .7659 L
.59271 .74435 L
.61421 .71945 L
.63154 .69368 L
.64872 .66101 L
.66189 .62817 L
.67139 .5964 L
.67773 .56653 L
.68199 .53331 L
.6834 .4981 L
.6816 .46257 L
.67611 .42508 L
.66761 .39063 L
.65716 .36044 L
.64175 .32703 L
.62145 .29415 L
.59926 .26741 L
.57657 .24738 L
.55053 .23185 L
Mistroke
.52462 .22342 L
.50093 .22149 L
.47515 .22556 L
.44803 .23702 L
.43347 .2464 L
.42076 .25661 L
.39769 .2806 L
.37833 .30742 L
.36256 .33557 L
.3487 .36764 L
.3393 .39637 L
.33165 .42889 L
.32663 .46454 L
.32499 .50307 L
.32701 .53925 L
.33184 .57176 L
.3411 .6089 L
.3472 .62702 L
.355 .64637 L
.37139 .67839 L
.38958 .7053 L
.40106 .71897 L
.4139 .73183 L
.43851 .75031 L
.45295 .75784 L
.46672 .76291 L
.48207 .76625 L
.49862 .76716 L
.52623 .76253 L
.54147 .75659 L
.55516 .74908 L
.57906 .73064 L
.60207 .70535 L
.62019 .67863 L
.63474 .65089 L
.64778 .61818 L
.65816 .58119 L
.66208 .5611 L
.66476 .54198 L
.66708 .50602 L
.66569 .46739 L
.66314 .44588 L
.65969 .42638 L
.65157 .39452 L
.63941 .3613 L
.62333 .32929 L
.60549 .30272 L
.59425 .28935 L
.58125 .27647 L
.5692 .26669 L
Mistroke
.55588 .25807 L
.52962 .24713 L
.50464 .24367 L
.49079 .24458 L
.476 .2478 L
.44996 .25931 L
.43555 .26912 L
.4211 .2817 L
.39756 .30924 L
.37968 .33792 L
.3661 .36669 L
.35383 .40223 L
.34579 .43728 L
.34151 .4705 L
.34031 .50133 L
.34202 .53502 L
.34723 .57001 L
.35594 .60405 L
.3623 .62238 L
.36898 .63849 L
.38423 .66767 L
.40123 .69219 L
.41175 .70434 L
.42362 .7158 L
.4464 .73211 L
.46106 .73913 L
.47518 .74352 L
.48803 .74558 L
.50196 .74575 L
.52641 .7409 L
.54797 .73095 L
.57142 .71343 L
.59162 .69167 L
.60819 .66781 L
.62142 .64321 L
.63343 .61401 L
.6431 .58124 L
.64948 .54715 L
.65157 .52771 L
.65253 .50983 L
.65178 .47522 L
.64792 .44279 L
.64443 .42499 L
.63969 .40644 L
.62859 .37453 L
.62025 .35619 L
.61137 .33993 L
.59239 .31279 L
.57301 .29274 L
.5612 .28347 L
Mistroke
.54976 .27635 L
.52574 .26679 L
.51194 .2644 L
.49928 .26412 L
.47685 .26814 L
.4532 .27886 L
.43217 .2946 L
.41431 .31345 L
.39613 .33933 L
.38171 .36695 L
.36915 .4 L
.36369 .41952 L
.35973 .43783 L
.35504 .47328 L
.35405 .49357 L
.35422 .51243 L
.35553 .53229 L
.35774 .55014 L
.36146 .57038 L
.3661 .58903 L
.37566 .61736 L
.38873 .64552 L
.40352 .6693 L
.41885 .6881 L
.43863 .70587 L
.45053 .71365 L
.46192 .71929 L
.48339 .72545 L
.50658 .72586 L
.51915 .7234 L
.53053 .7195 L
.54275 .71348 L
.55522 .70524 L
.57492 .68734 L
.59419 .66267 L
.6089 .63703 L
.62171 .60666 L
.63078 .57602 L
.63633 .54702 L
.63927 .51689 L
.63935 .4848 L
.63696 .45768 L
.63172 .42849 L
.6232 .39857 L
.61084 .36861 L
.5964 .34323 L
.58109 .3231 L
.56501 .30728 L
.54897 .29583 L
.53047 .28723 L
Mistroke
.51011 .28293 L
.48851 .28402 L
.4685 .29028 L
.45122 .30001 L
.43361 .31459 L
.41617 .33466 L
.40215 .35621 L
.38856 .38417 L
.37849 .41298 L
.37181 .44093 L
.36793 .46754 L
.36629 .49712 L
.36756 .52848 L
.37188 .55913 L
.37562 .57588 L
.37987 .59084 L
.38962 .61704 L
.40244 .64223 L
.41921 .66624 L
.43696 .68441 L
.44792 .69274 L
.45826 .69888 L
.47055 .70415 L
.48241 .70728 L
.50268 .70839 L
.51418 .70665 L
.52481 .70349 L
.54556 .6928 L
.55663 .68441 L
.56628 .67536 L
.58212 .65633 L
.59714 .63189 L
.60884 .606 L
.61734 .58016 L
.62132 .56387 L
.6246 .54588 L
.6267 .52865 L
.62777 .51268 L
.62753 .48238 L
.62405 .45087 L
.62097 .43491 L
.61672 .41826 L
.60668 .38979 L
.59914 .37365 L
.59108 .35945 L
.57382 .33615 L
.55811 .32102 L
.53983 .30899 L
.5217 .30208 L
.50469 .29977 L
Mistroke
.4858 .30177 L
.46564 .30936 L
.45583 .31524 L
.44573 .32293 L
.42878 .34018 L
.41292 .36263 L
.40559 .3759 L
.39866 .39085 L
.39335 .40458 L
.38835 .42027 L
.38178 .44901 L
.3782 .4778 L
.37751 .50903 L
.37985 .53823 L
.38449 .56416 L
.39149 .58917 L
.40137 .61397 L
.4128 .63513 L
.42472 .65199 L
.44046 .6686 L
.45904 .6819 L
.47764 .68959 L
.49518 .6922 L
.51177 .6907 L
.52697 .68587 L
.54304 .67692 L
.55918 .66343 L
.57456 .64541 L
.5873 .62526 L
.59703 .60506 L
.60558 .58136 L
.61226 .55446 L
.61602 .52898 L
.61748 .49913 L
.61599 .47087 L
.61219 .44549 L
.60664 .42281 L
.5984 .39936 L
.58733 .37653 L
.57278 .3548 L
.56361 .34434 L
.55465 .336 L
.53709 .32417 L
.52784 .32005 L
.51748 .31702 L
.49927 .31556 L
.47985 .31935 L
.46215 .32788 L
.44693 .33955 L
.43106 .35696 L
Mistroke
.4164 .37952 L
.40601 .40145 L
.39707 .42784 L
.3933 .4433 L
.39065 .45781 L
.38865 .47399 L
.38757 .49119 L
.38816 .52015 L
.38983 .53635 L
.39224 .55116 L
.39521 .56462 L
.3992 .57879 L
.40839 .603 L
.41958 .6242 L
.43162 .6412 L
.44624 .65632 L
.45514 .66322 L
.4638 .66849 L
.48191 .67538 L
.49232 .67699 L
.50187 .67701 L
.52005 .67319 L
.53657 .6651 L
.55057 .65437 L
.56449 .63945 L
.57792 .6197 L
.5897 .59567 L
.59758 .57316 L
.60373 .54699 L
.60703 .52157 L
.60789 .49812 L
.60634 .47122 L
.6024 .44643 L
.5967 .42454 L
.58976 .40551 L
.58044 .38636 L
.56877 .36846 L
.55443 .35246 L
.54002 .34129 L
.5232 .33327 L
.51449 .33101 L
.50488 .32994 L
.48861 .33146 L
.47162 .33765 L
.45638 .34758 L
.44352 .35976 L
.42884 .37915 L
.41742 .40021 L
.40754 .42605 L
.40371 .43989 L
Mistroke
.40042 .45556 L
.39716 .48258 L
.39658 .49792 L
.39684 .5119 L
.3995 .53866 L
.40458 .5631 L
.41129 .58414 L
.42059 .60496 L
.43114 .62237 L
.44215 .63604 L
.45557 .64823 L
.47139 .65764 L
.47968 .6607 L
.48869 .66269 L
.50506 .66285 L
.52213 .65825 L
.53147 .65356 L
.5398 .64796 L
.55418 .63469 L
.56087 .62666 L
.56774 .61688 L
.57822 .59796 L
.58731 .57526 L
.59362 .55218 L
.59734 .53013 L
.59906 .50752 L
.59861 .48338 L
.59607 .46099 L
.59202 .44138 L
.58521 .41952 L
.57554 .39799 L
.56445 .38023 L
.5528 .36654 L
.54083 .35633 L
.52896 .34932 L
.51541 .34462 L
.50059 .3432 L
.48512 .34577 L
.47087 .35192 L
.4587 .36037 L
.44641 .37246 L
.4347 .38822 L
.42543 .40494 L
.41707 .4253 L
.41053 .44846 L
.40682 .46964 L
.40512 .48977 L
.4052 .51196 L
.40753 .53531 L
.40987 .54823 L
Mistroke
.41266 .55981 L
.4164 .57207 L
.4211 .58443 L
.43059 .60346 L
.43688 .61324 L
.44309 .62133 L
.45572 .63403 L
.47049 .64385 L
.48491 .64913 L
.49891 .65058 L
.50715 .64978 L
.51483 .64794 L
.5288 .64171 L
.54298 .63117 L
.55043 .62362 L
.55685 .61576 L
.56662 .60074 L
.57566 .58207 L
.58302 .56063 L
.58783 .53936 L
.58965 .52688 L
.59084 .51315 L
.59121 .50012 L
.59091 .48811 L
.58863 .4657 L
.58386 .44286 L
.58049 .43165 L
.5762 .42012 L
.56683 .40103 L
.56052 .39118 L
.55328 .38192 L
.54605 .37443 L
.53903 .36855 L
.52553 .36052 L
.51815 .35776 L
.51022 .35598 L
.49677 .35567 L
.48216 .35919 L
.4696 .36561 L
.45694 .37573 L
.44602 .38806 L
.43715 .40138 L
.4278 .42023 L
.421 .43949 L
.41821 .45007 L
.41576 .46207 L
.41393 .47486 L
.41288 .48704 L
.4127 .50938 L
.4145 .52963 L
Mistroke
.41857 .55109 L
.42142 .56143 L
.42513 .57228 L
.43323 .59029 L
.44242 .60523 L
.45179 .61662 L
.46293 .62654 L
.47594 .63414 L
.49036 .63832 L
.50286 .63862 L
.51648 .63547 L
.52874 .62934 L
.53935 .62121 L
.5506 .60907 L
.56008 .59514 L
.56758 .58055 L
.57338 .56578 L
.57834 .54849 L
.58194 .5292 L
.58379 .50783 L
.58389 .49563 L
.58336 .4843 L
.58215 .47247 L
.58048 .46189 L
.57789 .44999 L
.57481 .43913 L
.56791 .42111 L
.56003 .40617 L
.54993 .39207 L
.54433 .386 L
.53781 .38019 L
.53091 .3753 L
.52339 .3713 L
.50949 .3672 L
.50161 .36664 L
.49429 .36725 L
.48633 .36916 L
.478 .3726 L
.47099 .37671 L
.46368 .38231 L
.45754 .38818 L
.45141 .39527 L
.44102 .41093 L
.43303 .42757 L
.42668 .44621 L
.42258 .46431 L
.41994 .48598 L
.41958 .50681 L
.42109 .52578 L
.42404 .54285 L
Mistroke
.42891 .56063 L
.43587 .57803 L
.44062 .58715 L
.44543 .59487 L
.45103 .60241 L
.45764 .60967 L
.46968 .61936 L
.47664 .62318 L
.48328 .62578 L
.49624 .62804 L
.50808 .627 L
.51455 .62517 L
.52144 .62219 L
.53342 .61425 L
.54415 .60363 L
.55295 .59168 L
.56165 .57563 L
.56829 .55854 L
.57284 .54166 L
.57567 .5253 L
.57716 .50692 L
.57687 .48726 L
.57584 .47617 L
.57434 .46614 L
.57211 .45542 L
.5691 .44449 L
.5626 .42733 L
.55817 .41841 L
.55359 .4107 L
.544 .39815 L
.53427 .38903 L
.52216 .38157 L
.51012 .37774 L
.49824 .37715 L
.49151 .37819 L
.48525 .38007 L
.47308 .3864 L
.46658 .39139 L
.46089 .39682 L
.45205 .40765 L
.4436 .42165 L
.43636 .43825 L
.43123 .45509 L
.42904 .46518 L
.4273 .47638 L
.42627 .48712 L
.42586 .49709 L
.4265 .51591 L
.42918 .53535 L
.43134 .54504 L
Mistroke
.43424 .55507 L
.44089 .57193 L
.44578 .58125 L
.45094 .58929 L
.45644 .59634 L
.46184 .60203 L
.4725 .61038 L
.4784 .61359 L
.48478 .61607 L
.49575 .61806 L
.50783 .61706 L
.5184 .61339 L
.5292 .60667 L
.53868 .59788 L
.54652 .588 L
.55502 .57352 L
.56143 .55836 L
.56418 .5499 L
.5667 .54023 L
.56874 .52983 L
.5701 .51987 L
.57117 .50136 L
.57051 .48443 L
.56802 .4663 L
.56348 .44823 L
.558 .43366 L
.5519 .42171 L
.5437 .40973 L
.535 .40049 L
.52625 .39389 L
.51778 .38963 L
.50818 .38703 L
.49789 .38672 L
.4876 .38894 L
.47692 .39408 L
.46742 .40139 L
.45943 .40999 L
.45109 .42214 L
.4472 .42934 L
.4435 .43751 L
.43794 .45366 L
.43431 .46963 L
.43227 .48557 L
.43172 .50328 L
.43302 .5216 L
.43591 .53809 L
.44004 .55271 L
.44491 .56503 L
.45174 .57779 L
.45923 .58815 L
Mistroke
.46833 .59725 L
.47881 .60417 L
.48822 .6077 L
.49882 .60896 L
.51018 .60722 L
.51642 .60485 L
.52199 .60184 L
.53223 .59381 L
.54106 .58373 L
.54828 .57246 L
.55387 .56092 L
.55906 .54631 L
.56261 .53162 L
.56468 .51745 L
.56552 .50418 L
.56525 .4896 L
.56363 .47446 L
.56063 .45973 L
.55597 .44494 L
.55031 .43224 L
.54418 .42197 L
.53598 .4118 L
.53094 .40704 L
.52606 .40332 L
.51668 .39829 L
.50633 .39562 L
.49757 .39555 L
.48808 .39772 L
.47851 .40242 L
.47011 .4089 L
.46281 .4167 L
.45679 .42508 L
.4507 .43611 L
.44588 .44763 L
.44177 .46117 L
.43878 .4763 L
.43738 .4896 L
.43711 .50437 L
.4383 .52008 L
.44122 .53636 L
.44549 .55077 L
.45056 .56283 L
.4562 .57287 L
.46306 .58209 L
.47021 .58922 L
.47714 .59426 L
.48575 .59834 L
.49533 .60039 L
.50446 .60004 L
.51273 .59776 L
Mistroke
.52029 .59395 L
.52701 .58901 L
.53391 .58216 L
.54062 .57331 L
.54677 .56253 L
.55164 .55117 L
.55515 .54019 L
.55799 .52763 L
Mfstroke
.23873 .5 m
.24063 .5402 L
.24564 .57667 L
.25532 .61865 L
.26827 .65807 L
.28352 .69399 L
.30032 .72632 L
.34746 .79349 L
.37649 .82297 L
.40598 .84554 L
.44031 .86331 L
.47867 .87291 L
.49808 .87372 L
.51922 .87151 L
.55705 .85943 L
.59221 .83851 L
.62263 .81226 L
.65217 .77854 L
.68008 .7374 L
.70218 .69576 L
.7187 .65613 L
.73041 .61978 L
.7397 .5797 L
.74542 .53787 L
.74709 .49894 L
.74648 .47716 L
.74456 .45352 L
.73772 .41074 L
.72693 .36945 L
.71337 .33184 L
.69497 .29245 L
.6703 .25132 L
.64002 .21263 L
.60791 .18213 L
.5742 .15984 L
.54115 .14679 L
.50394 .14204 L
.48306 .14394 L
.46426 .14847 L
.44482 .15603 L
.42733 .16538 L
.40875 .17809 L
.38994 .19403 L
.36069 .22566 L
.3325 .26577 L
.31079 .30571 L
.29457 .34385 L
.28714 .36531 L
.28029 .38891 L
.27122 .43213 L
Mistroke
.26671 .47249 L
.2661 .51536 L
.26947 .55562 L
.27581 .59179 L
.28121 .61369 L
.28844 .63745 L
.30715 .68419 L
.3292 .72518 L
.35358 .76022 L
.37004 .77944 L
.38663 .79583 L
.40248 .80896 L
.41999 .82082 L
.4397 .83103 L
.45839 .83777 L
.47882 .84196 L
.50152 .84275 L
.51989 .84044 L
.539 .83519 L
.5721 .81901 L
.58973 .80653 L
.60543 .79298 L
.63811 .75639 L
.66295 .71912 L
.68198 .6825 L
.69951 .63818 L
.71154 .59527 L
.71858 .55614 L
.72208 .51405 L
.72153 .47441 L
.71779 .43847 L
.7095 .39686 L
.70298 .3737 L
.69577 .3526 L
.67972 .31505 L
.65878 .27751 L
.6355 .24519 L
.6071 .2153 L
.5777 .19323 L
.54909 .17931 L
.51629 .17188 L
.49751 .17161 L
.48008 .17394 L
.46183 .17908 L
.44556 .18606 L
.42729 .19667 L
.41067 .20903 L
.38677 .23176 L
.36291 .26125 L
.34114 .29586 L
Mistroke
.32397 .33077 L
.3109 .36481 L
.30154 .39673 L
.29387 .43412 L
.28974 .46988 L
.28873 .50836 L
.29157 .54914 L
.29792 .58717 L
.3067 .62098 L
.32068 .65965 L
.34001 .69918 L
.36201 .7333 L
.38513 .76087 L
.41288 .78545 L
.44117 .80247 L
.46768 .81179 L
.49711 .81498 L
.52903 .81006 L
.54484 .80433 L
.56188 .79562 L
.59051 .77465 L
.61519 .74936 L
.63622 .72132 L
.6555 .68859 L
.66944 .65872 L
.68187 .62467 L
.6919 .58679 L
.69861 .54569 L
.70111 .50668 L
.70016 .47134 L
.69503 .4296 L
.69081 .40886 L
.68494 .38639 L
.67144 .34784 L
.65537 .31375 L
.63245 .27706 L
.60816 .24808 L
.59356 .23439 L
.57684 .22167 L
.56039 .21198 L
.5447 .20517 L
.51316 .19832 L
.48326 .20006 L
.45686 .2083 L
.4295 .22385 L
.40163 .24784 L
.37534 .27961 L
.35591 .31077 L
.33816 .348 L
.32425 .38793 L
Mistroke
.3152 .42601 L
.31196 .44616 L
.30957 .46848 L
.30841 .49184 L
.30856 .5137 L
.31194 .55353 L
.31852 .58936 L
.33014 .62946 L
.34504 .66566 L
.36126 .69561 L
.38137 .7244 L
.40271 .74776 L
.42373 .76506 L
.45007 .77992 L
.47982 .78844 L
.50834 .78882 L
.53431 .78253 L
.56114 .76912 L
.58811 .74783 L
.61125 .72218 L
.62997 .695 L
.64863 .65966 L
.65693 .63987 L
.66453 .6182 L
.67011 .5989 L
.6751 .57724 L
.68088 .5385 L
.6824 .51726 L
.68275 .49489 L
.68018 .45512 L
.677 .43323 L
.67291 .41313 L
.66721 .39149 L
.65975 .36897 L
.6428 .33042 L
.62298 .29749 L
.60239 .27176 L
.57754 .24905 L
.55195 .23339 L
.52747 .22487 L
.49862 .22243 L
.47137 .22756 L
.44702 .23847 L
.42554 .25347 L
.40365 .27468 L
.38272 .30185 L
.36304 .33598 L
.35424 .3553 L
.34616 .37646 L
.34014 .39556 L
Mistroke
.33471 .41692 L
.3282 .4552 L
.32563 .49292 L
.32582 .51406 L
.32702 .53323 L
.33211 .57001 L
.34021 .60385 L
.35193 .63757 L
.36852 .67214 L
.38957 .70423 L
.41233 .72943 L
.43566 .74768 L
.45837 .75925 L
.48419 .76571 L
.51166 .76513 L
.53921 .7568 L
.55411 .74888 L
.56719 .73982 L
.59104 .71754 L
.61117 .69173 L
.63121 .65697 L
.64595 .62172 L
.65215 .60241 L
.65771 .58068 L
.66209 .55758 L
.66486 .53575 L
.66658 .49843 L
.66602 .4796 L
.66429 .45893 L
.65842 .42308 L
.64972 .39051 L
.64341 .37263 L
.63575 .35448 L
.6196 .32423 L
.59903 .29574 L
.58609 .28187 L
.57331 .27068 L
.54879 .25515 L
.52445 .24664 L
.50213 .24445 L
.47796 .24801 L
.45238 .25872 L
.43998 .26665 L
.42686 .2772 L
.40534 .30001 L
.38749 .32547 L
.37271 .35299 L
.3596 .38553 L
.3503 .41796 L
.34445 .449 L
Mistroke
.34137 .48021 L
.34093 .50861 L
.3432 .54115 L
.34802 .57123 L
.35621 .6031 L
.36802 .63496 L
.38052 .66018 L
.39657 .68515 L
.41627 .70809 L
.42825 .71885 L
.43965 .7272 L
.46285 .73906 L
.48564 .74459 L
.50804 .74443 L
.53187 .73815 L
.55353 .72668 L
.57225 .71183 L
.59134 .6911 L
.60974 .66415 L
.62577 .63227 L
.63746 .6001 L
.64217 .58294 L
.64627 .56397 L
.65098 .52889 L
.65213 .49443 L
.65018 .46286 L
.64488 .42938 L
.64041 .41088 L
.63532 .39405 L
.62244 .36189 L
.60501 .33083 L
.58719 .30763 L
.56882 .29001 L
.54703 .27565 L
.53433 .27013 L
.5226 .26677 L
.50074 .26476 L
.47722 .26873 L
.45565 .27816 L
.43684 .29134 L
.41982 .30787 L
.40535 .32615 L
.39124 .3489 L
.37844 .37577 L
.3678 .40608 L
.36053 .43615 L
.35639 .46385 L
.3545 .49429 L
.35557 .52747 L
.35939 .55736 L
Mistroke
.36708 .59071 L
.37752 .62067 L
.38964 .64612 L
.40286 .66746 L
.4193 .68776 L
.43871 .70518 L
.45048 .7129 L
.46165 .71848 L
.4742 .72282 L
.48768 .72533 L
.51047 .72463 L
.52328 .72149 L
.53503 .71682 L
.55612 .70382 L
.574 .68752 L
.59257 .66418 L
.6077 .63835 L
.61974 .61073 L
.62982 .57801 L
.63355 .56096 L
.63653 .54226 L
.63917 .50797 L
.63836 .47565 L
.63408 .44221 L
.62773 .41463 L
.61804 .38601 L
.61079 .36961 L
.60308 .35501 L
.58657 .3305 L
.56619 .30902 L
.55372 .29951 L
.54173 .29259 L
.52102 .28523 L
.509 .28349 L
.49771 .2835 L
.47516 .28828 L
.46282 .29369 L
.45186 .30026 L
.43201 .31692 L
.41512 .33692 L
.40175 .35788 L
.38949 .3831 L
.37894 .41302 L
.37482 .42877 L
.37125 .44642 L
.36744 .47829 L
.36681 .50828 L
.36903 .5383 L
.37374 .56603 L
.38006 .58998 L
Mistroke
.38907 .61461 L
.40122 .6392 L
.41655 .66213 L
.43134 .67859 L
.44913 .69288 L
.46999 .70332 L
.48081 .70635 L
.49278 .70789 L
.51401 .70607 L
.53333 .69921 L
.54471 .6927 L
.55506 .68504 L
.57313 .66708 L
.59027 .64313 L
.6056 .6129 L
.61526 .58592 L
.61955 .56987 L
.62275 .55452 L
.62678 .52291 L
.62759 .50498 L
.62742 .48862 L
.62497 .45978 L
.61923 .42928 L
.61099 .40195 L
.60105 .37844 L
.58714 .3542 L
.56995 .33268 L
.55361 .3182 L
.53437 .30702 L
.52309 .30305 L
.51266 .30096 L
.50053 .30039 L
.4891 .30167 L
.46912 .30824 L
.45823 .31429 L
.44852 .32128 L
.43219 .33693 L
.41839 .35484 L
.40525 .37751 L
.39374 .40471 L
.38909 .41913 L
.3849 .43536 L
.37972 .46586 L
.37778 .49613 L
.37875 .52421 L
.3823 .55148 L
.38898 .57984 L
.39784 .60497 L
.40805 .62618 L
.41881 .6434 L
Mistroke
.43209 .65977 L
.44735 .67361 L
.46259 .68318 L
.48127 .68991 L
.49937 .69162 L
.51558 .68923 L
.5328 .68251 L
.55057 .67061 L
.55904 .66292 L
.56789 .65324 L
.58209 .6334 L
.5935 .61206 L
.60296 .58827 L
.6105 .56111 L
.61505 .5344 L
.61695 .50965 L
.61645 .4805 L
.61486 .46425 L
.61258 .44951 L
.60639 .42332 L
.59715 .39738 L
.58592 .37489 L
.57155 .35396 L
.55613 .33789 L
.54081 .32681 L
.53108 .32191 L
.52184 .31865 L
.51156 .31656 L
.50053 .31604 L
.49002 .31721 L
.48023 .31978 L
.46248 .32825 L
.4481 .33911 L
.43358 .35445 L
.42013 .3738 L
.40944 .39439 L
.40122 .41547 L
.39537 .43582 L
.39064 .46025 L
.38824 .48391 L
.38795 .50974 L
.39025 .53685 L
.39432 .55933 L
.40095 .58297 L
.41041 .60646 L
.42308 .62894 L
.43709 .64684 L
.45136 .65991 L
.46838 .6702 L
.48519 .67554 L
Mistroke
.50055 .67657 L
.5171 .67363 L
.53461 .66575 L
.54307 .66003 L
.55198 .65248 L
.56656 .63613 L
.57855 .61784 L
.58875 .59702 L
.59652 .5755 L
.6018 .5551 L
.60563 .53209 L
.60748 .50663 L
.60678 .47954 L
.60402 .45683 L
.59872 .43265 L
.59036 .4079 L
.58521 .3963 L
.57889 .3844 L
.5661 .36568 L
.55263 .35139 L
.54382 .34437 L
.53516 .33898 L
.51831 .33235 L
.50864 .33068 L
.49968 .33047 L
.48987 .33169 L
.4796 .33465 L
.46418 .34248 L
.44864 .35502 L
.43533 .37037 L
.42457 .38698 L
.414 .40897 L
.40906 .42241 L
.4052 .43539 L
.39999 .46012 L
.3972 .48729 L
.39721 .51303 L
.39836 .52751 L
.40017 .54081 L
.40283 .55456 L
.40592 .56675 L
.41029 .58044 L
.41504 .59251 L
.42502 .61219 L
.4379 .6306 L
.45072 .64377 L
.46552 .6542 L
.48216 .6609 L
.49175 .66258 L
.5006 .66277 L
Mistroke
.51678 .65974 L
.53324 .65198 L
.5416 .64604 L
.55012 .63839 L
.56416 .62156 L
.57179 .60953 L
.57823 .59716 L
.58369 .58438 L
.58809 .57181 L
.59379 .54989 L
.59763 .52478 L
.59887 .49985 L
.59847 .48588 L
.59742 .47322 L
.59395 .45119 L
.58794 .42833 L
.58024 .40831 L
.57149 .39152 L
.56549 .38229 L
.55849 .37328 L
.54461 .3597 L
.52993 .35027 L
.51578 .34517 L
.50007 .34368 L
.49116 .34473 L
.48295 .34693 L
.47442 .35051 L
.46686 .35485 L
.45845 .3611 L
.45087 .36815 L
.43937 .38195 L
.42854 .39951 L
.42001 .4182 L
.4138 .43673 L
.40862 .45961 L
.40672 .47295 L
.40562 .4855 L
.40534 .50856 L
.40747 .53286 L
.40965 .54571 L
.41229 .55724 L
.41585 .56947 L
.42035 .5818 L
.4295 .60089 L
.44159 .61893 L
.45388 .63194 L
.46829 .64222 L
.4827 .64813 L
.49619 .65013 L
.5099 .6488 L
Mistroke
.52416 .64375 L
.53582 .63659 L
.54787 .62587 L
.55954 .61144 L
.57039 .59296 L
.57871 .57326 L
.58454 .55373 L
.58836 .53436 L
.59039 .51587 L
.59089 .49539 L
.58942 .47368 L
.5857 .45154 L
.58021 .43172 L
.57374 .41518 L
.56523 .39896 L
.55449 .38387 L
.54349 .37262 L
.5297 .36302 L
.51586 .35756 L
.50279 .35582 L
.49065 .35707 L
.4776 .36158 L
.46432 .36981 L
.45713 .37602 L
.45086 .38263 L
.43811 .40035 L
.42874 .41875 L
.42478 .4288 L
.42104 .44034 L
.41616 .46135 L
.41435 .4735 L
.41329 .48472 L
.41287 .50664 L
.41445 .52719 L
.41809 .54791 L
.42105 .55922 L
.42438 .56943 L
.43263 .58849 L
.4381 .59817 L
.44358 .60628 L
.45375 .61815 L
.46595 .62822 L
.47958 .63518 L
.49272 .63821 L
.50034 .6384 L
.50857 .63734 L
.51624 .63514 L
.52318 .63211 L
.53578 .62382 L
.54805 .61169 L
Mistroke
.55387 .60418 L
.55965 .59529 L
.56868 .57733 L
.57323 .56536 L
.57683 .55345 L
.57943 .54239 L
.58157 .53003 L
.58348 .50929 L
.58346 .49013 L
.58147 .46941 L
.57722 .44841 L
.57179 .43122 L
.56539 .41647 L
.55703 .40201 L
.54671 .38893 L
.54034 .38274 L
.53417 .37789 L
.52714 .37355 L
.51946 .37012 L
.50621 .3672 L
.4986 .36715 L
.4915 .36816 L
.47857 .37272 L
.46727 .37981 L
.45519 .3912 L
.44498 .40486 L
.43577 .42189 L
.42908 .43915 L
.42611 .4493 L
.42351 .46065 L
.4205 .48187 L
.41972 .50216 L
.42105 .52345 L
.42391 .5411 L
.42881 .55949 L
.43263 .56998 L
.4368 .57934 L
.44595 .59512 L
.45174 .60279 L
.45748 .60907 L
.46458 .61534 L
.47157 .62011 L
.4836 .62549 L
.49017 .62705 L
.4973 .62769 L
.50439 .62727 L
.51179 .62569 L
.52467 .62002 L
.53615 .61147 L
.54221 .60539 L
Mistroke
.54748 .59903 L
.55624 .58568 L
.56403 .5695 L
.56955 .5536 L
.5734 .53783 L
.57605 .51986 L
.57705 .50019 L
.57597 .47943 L
.57441 .46792 L
.57236 .45753 L
.56715 .43939 L
.56347 .42992 L
.55968 .42184 L
.55144 .40799 L
.54115 .39557 L
.53038 .38659 L
.51982 .38093 L
.5095 .37799 L
.49829 .3775 L
.48778 .37956 L
.47845 .38352 L
.468 .39059 L
.45753 .401 L
.44871 .41317 L
.44167 .42613 L
.43567 .44091 L
.4313 .45579 L
.42799 .47292 L
.42623 .49192 L
.42637 .51089 L
.42853 .53048 L
.43196 .54651 L
.43729 .56293 L
.44076 .57106 L
.44486 .57912 L
.45326 .59198 L
.46357 .60323 L
.4699 .60828 L
.47606 .61207 L
.48765 .61652 L
.49849 .61778 L
.50449 .61733 L
.51097 .6159 L
.52245 .61088 L
.5321 .60392 L
.54191 .59372 L
.55094 .58058 L
.55809 .56628 L
.56343 .55161 L
.56712 .53727 L
Mistroke
.56978 .52087 L
.57093 .50321 L
.57025 .48387 L
.56788 .46671 L
.56587 .45754 L
.56316 .44795 L
.55686 .43173 L
.54952 .41828 L
.54041 .40628 L
.53175 .39812 L
.52149 .39161 L
.51506 .389 L
.50883 .38747 L
.49703 .38714 L
.49048 .3884 L
.48449 .39047 L
.47808 .39372 L
.47149 .39828 L
.46601 .40312 L
.4604 .40921 L
.45127 .4223 L
.44386 .43722 L
.43851 .45243 L
.43455 .46949 L
.43242 .4863 L
.4319 .5016 L
.43283 .51814 L
.43557 .53558 L
.43762 .54405 L
.44038 .55302 L
.44644 .56773 L
.4534 .57992 L
.46099 .58978 L
.46983 .5981 L
.47792 .60337 L
.48717 .6071 L
.49742 .60864 L
.50838 .60739 L
.51847 .60351 L
.52722 .59783 L
.53689 .58854 L
.54136 .58291 L
.54593 .57606 L
.55297 .56246 L
.55824 .54831 L
.56075 .53923 L
.56264 .53034 L
.56487 .51316 L
.56534 .50342 L
.56528 .49439 L
Mistroke
.56467 .48455 L
.5634 .47425 L
.55981 .45744 L
.55704 .44849 L
.55404 .44069 L
.54746 .42757 L
.53921 .41579 L
.53084 .4073 L
.5224 .40137 L
.51266 .39723 L
.50193 .39565 L
.49171 .39692 L
.48599 .39883 L
.48076 .40139 L
.47071 .4087 L
.46544 .41398 L
.46092 .4195 L
.45369 .43076 L
.44713 .44487 L
.44238 .45957 L
.43931 .47407 L
.43811 .4831 L
.43739 .49299 L
.43726 .50237 L
.43761 .51096 L
.4395 .52696 L
.44319 .54306 L
.44576 .55094 L
.44898 .55895 L
.45591 .572 L
.46078 .57894 L
.46579 .58472 L
.47094 .5895 L
.47601 .59323 L
.48487 .59773 L
.495 .60007 L
.50497 .59966 L
.51052 .59826 L
.51552 .59625 L
.52364 .59136 L
.53195 .58396 L
.53978 .57416 L
.54611 .56339 L
.54927 .55661 L
.55228 .54882 L
.55656 .53375 L
.55919 .51826 L
.56021 .50361 L
.55977 .48776 L
.55882 .47889 L
Mistroke
.55747 .47076 L
.55559 .46245 L
.55346 .45513 L
.55075 .44758 L
.54737 .4399 L
.54051 .42807 L
.53303 .41881 L
.52497 .41177 L
.51706 .40718 L
.50812 .40434 L
.49813 .40389 L
.49312 .40471 L
.48782 .40637 L
.47858 .41133 L
.4705 .41813 L
.46256 .42767 L
.45605 .43847 L
.45103 .44975 L
.44741 .46075 L
.44448 .47359 L
.44267 .4875 L
.44216 .50075 L
.44295 .51546 L
.44403 .52363 L
.44543 .53104 L
.4494 .5453 L
.45224 .55273 L
.45519 .55907 L
.46127 .56934 L
.46887 .57859 L
.47681 .5853 L
.48461 .58959 L
.49402 .59217 L
.50293 .59219 L
.51257 .58958 L
.51782 .58693 L
.52245 .58381 L
.53115 .57561 L
.53564 .56993 L
.53946 .56406 L
.54554 .55197 L
.54811 .5453 L
.55053 .53757 L
.55353 .52406 L
.55512 .511 L
.55549 .49647 L
.55507 .48837 L
.5543 .48111 L
.55163 .46689 L
.5495 .45926 L
Mistroke
.54715 .45254 L
.54194 .44118 L
.53529 .43077 L
.52888 .4235 L
.52136 .41745 L
.51381 .41355 L
.50667 .41161 L
.49822 .41133 L
.48909 .41349 L
.48079 .41782 L
.47356 .42371 L
.46599 .43254 L
.46217 .43837 L
.45897 .44422 L
.45396 .45604 L
.45003 .46968 L
.44776 .48262 L
.44677 .49502 L
.44695 .50868 L
.4486 .52301 L
.45015 .53067 L
.45197 .53751 L
.45433 .54455 L
.45739 .55185 L
.4635 .56283 L
.46732 .56805 L
.47117 .57239 L
.47901 .57897 L
.48669 .58302 L
.49545 .58515 L
.49991 .58529 L
.50477 .58473 L
.51255 .58223 L
.51944 .57825 L
.52653 .57214 L
.53332 .56387 L
.53849 .55536 L
.54261 .54644 L
.54627 .5358 L
.54911 .52361 L
.55063 .5124 L
.5512 .49997 L
.55069 .48828 L
.54931 .47767 L
.54712 .46755 L
.54446 .45888 L
.54064 .44959 L
.53637 .44171 L
.53103 .4342 L
.52451 .42747 L
Mistroke
.51711 .42228 L
.50984 .41927 L
.50285 .41809 L
.49645 .41844 L
.48917 .42049 L
.48252 .42402 L
.47572 .4295 L
.46915 .43704 L
.46418 .44473 L
.45951 .45434 L
.45553 .46573 L
.45381 .47251 L
.45257 .47889 L
.45111 .4916 L
.4509 .50384 L
Mfstroke
.31831 .5 m
.32004 .53657 L
.32459 .5694 L
.3333 .60635 L
.34484 .63986 L
.35823 .66909 L
.37276 .69409 L
.39089 .71874 L
.4123 .74094 L
.43564 .75834 L
.46227 .77079 L
.48824 .77599 L
.51217 .77494 L
.53967 .76674 L
.55475 .75893 L
.5683 .74977 L
.59167 .72867 L
.61404 .7009 L
.63388 .66772 L
.64883 .63423 L
.66129 .59523 L
.66595 .57499 L
.66977 .55248 L
.67314 .51423 L
.67334 .49274 L
.67246 .47321 L
.66789 .43571 L
.66012 .40112 L
.64964 .36925 L
.6354 .33743 L
.6209 .31248 L
.60263 .28797 L
.58078 .26606 L
.55512 .24842 L
.52952 .23829 L
.50544 .23502 L
.47821 .23843 L
.45408 .24792 L
.44119 .25565 L
.42771 .26586 L
.40492 .28879 L
.3859 .31466 L
.36865 .34567 L
.35652 .37437 L
.34612 .40761 L
.34141 .42826 L
.33804 .44813 L
.33466 .48581 L
.33445 .50691 L
.33533 .52641 L
Mistroke
.33749 .54763 L
.34113 .56992 L
.34542 .58902 L
.35121 .60915 L
.36461 .64389 L
.38105 .67483 L
.39881 .69993 L
.42008 .72226 L
.4329 .73248 L
.44503 .74019 L
.46956 .75049 L
.49343 .75419 L
.50697 .75359 L
.52125 .75085 L
.54626 .74064 L
.55959 .7322 L
.57162 .72262 L
.59687 .69549 L
.6166 .66561 L
.63358 .63012 L
.64474 .59746 L
.64961 .57831 L
.65318 .5602 L
.65616 .53877 L
.65779 .51842 L
.65826 .50011 L
.65772 .48034 L
.65589 .45891 L
.65256 .43655 L
.64859 .41782 L
.64308 .39775 L
.63065 .3644 L
.61617 .33604 L
.5973 .3086 L
.58659 .29637 L
.57433 .28476 L
.55257 .26946 L
.531 .26019 L
.5182 .25723 L
.5046 .25609 L
.48033 .25913 L
.45919 .26723 L
.43764 .28113 L
.41872 .29873 L
.40304 .31799 L
.38676 .34394 L
.3721 .37527 L
.36137 .40707 L
.35431 .43771 L
.3499 .47101 L
Mistroke
.34877 .50713 L
.35112 .54098 L
.35615 .57128 L
.36541 .60531 L
.37219 .62364 L
.37943 .63989 L
.39492 .66732 L
.41425 .69244 L
.42582 .70399 L
.43702 .71312 L
.44983 .72136 L
.46381 .72791 L
.48802 .73366 L
.50192 .73388 L
.51484 .73209 L
.5385 .72369 L
.55904 .71062 L
.5698 .70136 L
.58091 .68981 L
.59927 .66532 L
.61416 .63865 L
.6254 .61193 L
.6349 .58076 L
.6415 .5466 L
.64434 .51618 L
.6445 .48778 L
.64195 .45691 L
.63611 .42477 L
.63139 .40708 L
.62618 .39129 L
.6115 .35789 L
.59551 .33185 L
.58636 .32007 L
.57589 .30873 L
.55641 .29267 L
.53698 .28218 L
.52474 .2781 L
.51295 .27592 L
.49073 .27636 L
.47852 .27914 L
.46723 .28336 L
.44689 .29522 L
.42653 .31331 L
.41598 .32563 L
.40695 .33814 L
.39339 .36137 L
.38107 .38942 L
.37128 .42085 L
.36514 .45144 L
.36296 .46921 L
Mistroke
.36171 .48865 L
.36159 .50703 L
.36239 .52393 L
.3663 .55545 L
.37376 .58767 L
.3789 .60359 L
.38537 .62003 L
.39939 .6475 L
.40928 .66252 L
.41952 .67539 L
.43025 .68648 L
.44067 .69526 L
.46078 .70743 L
.47177 .71169 L
.48358 .71451 L
.50365 .71527 L
.52547 .71035 L
.54427 .70106 L
.56325 .68637 L
.57966 .66851 L
.59305 .64933 L
.60729 .62232 L
.61783 .5949 L
.62225 .5799 L
.62623 .56293 L
.62937 .54485 L
.63135 .52765 L
.63254 .49597 L
.63084 .46709 L
.62595 .4361 L
.62233 .421 L
.6175 .40495 L
.60668 .37779 L
.59409 .35458 L
.58103 .33623 L
.56526 .3195 L
.54653 .30559 L
.52546 .29632 L
.50693 .29317 L
.48646 .29492 L
.46776 .30138 L
.45136 .31118 L
.43366 .3267 L
.41843 .34514 L
.40604 .3648 L
.39613 .38495 L
.38717 .40874 L
.37996 .43552 L
.37501 .46555 L
.37355 .48287 L
Mistroke
.37307 .49907 L
.37349 .51616 L
.37471 .53161 L
.37709 .54921 L
.38028 .56552 L
.38812 .5933 L
.39773 .61724 L
.41067 .64098 L
.41881 .65275 L
.42682 .66254 L
.44491 .67953 L
.45506 .68644 L
.4661 .6921 L
.48529 .6977 L
.49632 .69862 L
.50658 .69798 L
.51862 .69541 L
.52977 .6912 L
.53954 .686 L
.54978 .67893 L
.56045 .66958 L
.57105 .65801 L
.588 .63347 L
.6002 .60893 L
.60909 .58452 L
.61647 .55465 L
.6205 .52531 L
.62157 .49791 L
.62031 .47264 L
.61645 .44549 L
.60959 .41779 L
.60008 .392 L
.58707 .36692 L
.57247 .34658 L
.55741 .33134 L
.53928 .31884 L
.52851 .31399 L
.51827 .31099 L
.5073 .30947 L
.49728 .30956 L
.48578 .31143 L
.47506 .31489 L
.45839 .32378 L
.44158 .33762 L
.42715 .35429 L
.41543 .37219 L
.40381 .39573 L
.39865 .40909 L
.39395 .42391 L
.38756 .45218 L
Mistroke
.38427 .47926 L
.38356 .49519 L
.38369 .50985 L
.3847 .52584 L
.38673 .54251 L
.39235 .5697 L
.39673 .58448 L
.40156 .59771 L
.41239 .62068 L
.42414 .63919 L
.43961 .65709 L
.45578 .67006 L
.47056 .67778 L
.48746 .68235 L
.50534 .68255 L
.52194 .67848 L
.53691 .67112 L
.54997 .66152 L
.56331 .64811 L
.57598 .63113 L
.58717 .61127 L
.59699 .58777 L
.60405 .56395 L
.6085 .54135 L
.61126 .51409 L
.61162 .49861 L
.61118 .48438 L
.60846 .45858 L
.60296 .43224 L
.5952 .40828 L
.58421 .38448 L
.57165 .36484 L
.55839 .34961 L
.544 .33776 L
.53016 .33011 L
.51357 .32516 L
.49771 .32446 L
.48044 .3281 L
.46287 .33678 L
.44876 .34787 L
.43461 .3635 L
.42124 .38387 L
.41486 .39639 L
.40951 .40894 L
.40517 .42116 L
.40117 .43492 L
.39605 .4599 L
.3935 .48396 L
.3931 .50669 L
.39488 .5314 L
Mistroke
.39936 .55723 L
.40673 .58273 L
.41614 .60499 L
.42639 .62284 L
.43928 .63952 L
.45283 .65218 L
.46602 .66072 L
.48197 .66683 L
.49737 .66873 L
.51165 .6671 L
.52457 .66275 L
.53823 .65496 L
.5518 .64354 L
.56507 .62796 L
.57762 .60769 L
.58735 .58597 L
.59433 .56416 L
.59883 .54358 L
.60177 .52018 L
.60252 .49544 L
.60107 .47237 L
.59708 .44766 L
.59028 .42298 L
.5825 .40349 L
.57209 .38431 L
.55889 .36672 L
.55075 .35849 L
.54295 .35213 L
.52694 .34301 L
.51115 .33861 L
.49742 .33821 L
.48244 .34137 L
.4673 .34857 L
.45393 .35871 L
.44239 .37088 L
.43283 .38404 L
.42317 .40129 L
.4155 .41938 L
.40904 .44028 L
.40433 .46371 L
.40203 .48643 L
.40176 .50718 L
.40367 .53141 L
.40579 .54475 L
.40839 .55671 L
.41473 .57774 L
.42348 .59811 L
.434 .61587 L
.4402 .62414 L
.44724 .63198 L
Mistroke
.46114 .64365 L
.47488 .65104 L
.48852 .65485 L
.5015 .65543 L
.51565 .65272 L
.53043 .64599 L
.5444 .6355 L
.55181 .62804 L
.55829 .62019 L
.57003 .60194 L
.57527 .59151 L
.58028 .57952 L
.58745 .55653 L
.59193 .53362 L
.59407 .51068 L
.59408 .48942 L
.59232 .46939 L
.58858 .44852 L
.58334 .42978 L
.57719 .41378 L
.56846 .39673 L
.55729 .38067 L
.5454 .36831 L
.53345 .3596 L
.51918 .3532 L
.50536 .35071 L
.49287 .35143 L
.4796 .35533 L
.46564 .36318 L
.45197 .37521 L
.44141 .3882 L
.4313 .40491 L
.42234 .42534 L
.41607 .44587 L
.41361 .45706 L
.41155 .46966 L
.41017 .48301 L
.40959 .49561 L
.41031 .51868 L
.41298 .53934 L
.41526 .55041 L
.41837 .56212 L
.42567 .58217 L
.43464 .59973 L
.44417 .61355 L
.45657 .62659 L
.46933 .63565 L
.48181 .64103 L
.49361 .64328 L
.50664 .6427 L
Mistroke
.52019 .63866 L
.53429 .63044 L
.54623 .61971 L
.55235 .61258 L
.55856 .60394 L
.56848 .58615 L
.57598 .56754 L
.58187 .54618 L
.58511 .52709 L
.5867 .50554 L
.58667 .49324 L
.5859 .48038 L
.58267 .45791 L
.57987 .44585 L
.57664 .43504 L
.57216 .42303 L
.56724 .4124 L
.55685 .39526 L
.54594 .38239 L
.53295 .37184 L
.52519 .36753 L
.51784 .36468 L
.50409 .36229 L
.49099 .36347 L
.47945 .36736 L
.46738 .37452 L
.45521 .38548 L
.44894 .39292 L
.44365 .4004 L
.43451 .41677 L
.42749 .43399 L
.4224 .45147 L
.41876 .47081 L
.4171 .48776 L
.41685 .50648 L
.41841 .52644 L
.42213 .5471 L
.42752 .56549 L
.43389 .58093 L
.44306 .59717 L
.44876 .60497 L
.45447 .6115 L
.46532 .621 L
.47814 .62824 L
.48517 .63062 L
.49267 .632 L
.50614 .6316 L
.51358 .62978 L
.52037 .62709 L
.52763 .62305 L
Mistroke
.53509 .61754 L
.54675 .60568 L
.55273 .59769 L
.5578 .58959 L
.56591 .57307 L
.5726 .55376 L
.57681 .53529 L
.57913 .51741 L
.57986 .49752 L
.5785 .47634 L
.57525 .45708 L
.57257 .44655 L
.56954 .43704 L
.56199 .4193 L
.55696 .41028 L
.5519 .40272 L
.54252 .39171 L
.53124 .38236 L
.51863 .37593 L
.50645 .37317 L
.49942 .37303 L
.49182 .37405 L
.48473 .37614 L
.47832 .379 L
.46669 .3868 L
.45537 .39819 L
.45004 .40522 L
.44474 .41356 L
.43649 .4304 L
.43237 .44161 L
.42914 .45278 L
.42684 .46315 L
.42498 .47473 L
.42392 .48507 L
.42339 .49633 L
.42406 .51669 L
.42671 .53602 L
.43083 .55297 L
.437 .57003 L
.44123 .57894 L
.44562 .58666 L
.45565 .60025 L
.46186 .60658 L
.46783 .61146 L
.47924 .61803 L
.49025 .62133 L
.50253 .62179 L
.5087 .62077 L
.51543 .61866 L
.52631 .61295 L
Mistroke
.53729 .60389 L
.54669 .59282 L
.5543 .58081 L
.56178 .5648 L
.56726 .54819 L
.57077 .53239 L
.57299 .51466 L
.57349 .49507 L
.57298 .48524 L
.57183 .47457 L
.56834 .4563 L
.56346 .44025 L
.5571 .42552 L
.54984 .41313 L
.54244 .40356 L
.53358 .39502 L
.52323 .3882 L
.51165 .38393 L
.50047 .38284 L
.49037 .38433 L
.47852 .3892 L
.47279 .39287 L
.46676 .39777 L
.45687 .40858 L
.44875 .42083 L
.44441 .42916 L
.44077 .43757 L
.43524 .45447 L
.43291 .46443 L
.43128 .47387 L
.43007 .48441 L
.42946 .4957 L
.42988 .51314 L
.43217 .5315 L
.43603 .54803 L
.44091 .56214 L
.44812 .57698 L
.45285 .58446 L
.45762 .59072 L
.46714 .60032 L
.47285 .60455 L
.47821 .60764 L
.48878 .61147 L
.49886 .61254 L
.50991 .61091 L
.52141 .60597 L
.52694 .6023 L
.53271 .59745 L
.5424 .5865 L
.5506 .57353 L
Mistroke
.55692 .55981 L
.56157 .54592 L
.56479 .53211 L
.56699 .5164 L
.56775 .49917 L
.56685 .48218 L
.56414 .4648 L
.56046 .45072 L
.55507 .43645 L
.55144 .429 L
.54706 .42154 L
.54285 .41555 L
.53807 .40986 L
.52826 .40109 L
.51852 .3955 L
.51293 .39349 L
.50683 .39224 L
.49573 .39235 L
.48902 .39392 L
.48277 .39644 L
.47731 .39953 L
.47158 .40376 L
.46186 .41362 L
.45408 .4247 L
.45025 .43163 L
.44654 .43965 L
.44104 .45537 L
.43743 .47121 L
.43535 .4886 L
.435 .50364 L
.43615 .51998 L
.43915 .53704 L
.44347 .55185 L
.44628 .55909 L
.44979 .56661 L
.45394 .57396 L
.4581 .5801 L
.46653 .58971 L
.4713 .59383 L
.47654 .59744 L
.48574 .60173 L
.49611 .60375 L
.50628 .60301 L
.51535 .60003 L
.52535 .59399 L
.53409 .5859 L
.54141 .57653 L
.54734 .56651 L
.55284 .55421 L
.55738 .54002 L
Mistroke
.5607 .52367 L
.56222 .50824 L
.56243 .49964 L
.56214 .4903 L
.56026 .47362 L
.55697 .45875 L
.55193 .44409 L
.54649 .4328 L
.5394 .42195 L
.53493 .41666 L
.52993 .41182 L
.52036 .40518 L
.51478 .40267 L
.50946 .40113 L
.50356 .40034 L
.49723 .40053 L
.49179 .40157 L
.48598 .4036 L
.48062 .40635 L
.47583 .40959 L
.4673 .41745 L
.45922 .42804 L
.45281 .43962 L
.44718 .45385 L
.4433 .46843 L
.44103 .48262 L
.44009 .49699 L
.44039 .51003 L
.44206 .52479 L
.4449 .53813 L
.44935 .55177 L
.45545 .56471 L
.46165 .57429 L
.46936 .58298 L
.47849 .58997 L
.48389 .59273 L
.48894 .59448 L
.49891 .59578 L
.50836 .59441 L
.51619 .5913 L
.52444 .58588 L
.53241 .57815 L
.53913 .56916 L
.5446 .55948 L
.54885 .54965 L
.5526 .53802 L
.55544 .52507 L
.55711 .51142 L
.5575 .49663 L
.55655 .4828 L
Mistroke
.5546 .47059 L
.55102 .45696 L
.54842 .44975 L
.54568 .44346 L
.53985 .43298 L
.53268 .42361 L
.52489 .41645 L
.51574 .41105 L
.5067 .40841 L
.49818 .40816 L
.48981 .41 L
.48245 .41341 L
.4744 .41931 L
.46743 .42664 L
.46063 .43646 L
.4546 .44852 L
.45051 .45994 L
.44724 .47333 L
.44521 .48843 L
.44478 .49703 L
.44484 .50487 L
.44613 .5199 L
.44879 .53356 L
.45209 .54451 L
.45676 .5556 L
.46268 .56579 L
.46905 .57384 L
.4756 .57988 L
.48198 .58404 L
.48931 .58703 L
.4972 .58833 L
.50528 .58769 L
.51374 .58483 L
.52137 .58015 L
.52785 .57435 L
.53478 .56578 L
.54123 .55467 L
.54615 .54273 L
.54957 .53079 L
.55199 .5171 L
.55299 .50376 L
.5528 .49175 L
.55142 .4789 L
.5486 .46555 L
.54666 .45916 L
.54416 .45243 L
.53884 .44159 L
.53293 .43282 L
.52664 .42599 L
.51943 .42049 L
Mistroke
.51292 .41728 L
.50558 .41541 L
.49756 .41535 L
.48908 .41752 L
.48139 .42164 L
.47481 .42702 L
.46769 .43527 L
.46118 .44595 L
.45661 .45636 L
.45276 .46891 L
.45118 .47631 L
.45012 .48324 L
.44934 .49137 L
.44907 .49914 L
.44969 .51287 L
.45066 .52049 L
.45194 .52738 L
.45551 .54018 L
.46005 .55114 L
.46499 .55983 L
.47115 .5678 L
.47866 .57457 L
.48268 .57715 L
.48723 .57931 L
.49551 .58136 L
.50333 .58118 L
.51146 .57882 L
.51544 .5768 L
.5197 .57396 L
.52676 .56745 L
.53272 .55975 L
.53871 .54901 L
.54309 .53785 L
.54492 .53161 L
.54654 .52453 L
.54779 .51695 L
.54854 .50977 L
.54886 .49636 L
.54789 .48385 L
.54599 .47299 L
.54288 .46188 L
.53835 .45083 L
.53564 .44579 L
.53237 .4407 L
.52594 .43302 L
.5193 .42753 L
.51243 .42388 L
.50467 .42189 L
.49725 .42196 L
.49046 .4237 L
Mistroke
.48394 .42697 L
.47834 .4312 L
.47235 .43748 L
.4673 .44461 L
.4625 .45363 L
.45842 .46427 L
.45581 .47404 L
.45391 .48525 L
.45306 .49766 L
.45312 .50463 L
.45352 .51093 L
.4552 .5229 L
.45786 .53364 L
.46141 .54339 L
.46618 .55276 L
.47147 .56034 L
.47688 .56603 L
.48374 .57103 L
.48781 .57302 L
.49168 .57431 L
.49888 .57522 L
.50656 .57415 L
.51065 .57269 L
.51433 .57082 L
.51824 .56819 L
.52219 .5648 L
.52833 .55777 L
.53417 .54834 L
.53843 .53867 L
.5419 .52729 L
.54404 .51587 L
.54499 .50514 L
.54496 .49419 L
.54383 .48275 L
.54201 .47334 L
.53911 .46354 L
.53505 .45399 L
.52969 .44504 L
.52384 .43811 L
.51793 .43321 L
.51199 .42997 L
.50626 .42823 L
.49987 .42777 L
.49308 .42895 L
.48615 .43202 L
.47997 .43656 L
.47484 .44189 L
.46984 .44888 L
.46521 .45765 L
.46179 .46659 L
Mistroke
.45889 .47774 L
.45723 .48886 L
.45669 .49931 L
.45704 .50898 L
.45836 .51937 L
.46079 .5299 L
.46265 .53559 L
.46463 .54055 L
.46704 .54555 L
.46998 .55059 L
.4756 .55789 L
.47897 .56119 L
.48226 .56379 L
.48885 .56741 L
.4951 .56913 L
.50241 .56917 L
.50923 .56732 L
.5156 .56381 L
.51905 .5611 L
.52214 .55811 L
.52783 .55088 L
.53045 .54659 L
.53303 .54151 L
.53668 .53215 L
.53947 .52146 L
.54104 .51107 L
.54159 .5012 L
.54149 .49512 L
.541 .48859 L
.54019 .48254 L
.53914 .4771 L
.5364 .46731 L
.5325 .45789 L
.53011 .45348 L
.52729 .44915 L
.52162 .44253 L
.51785 .43931 L
.51411 .43687 L
.51063 .43521 L
.50677 .43399 L
.5003 .43334 L
.49438 .43422 L
.48804 .43681 L
.48173 .44128 L
.47667 .44652 L
.47242 .45243 L
.46838 .4599 L
.46487 .46884 L
.46328 .47426 L
.46208 .47943 L
Mistroke
.46108 .48526 L
.46039 .49156 L
.46008 .50225 L
.46038 .50831 L
.46098 .5139 L
.46287 .52395 L
.46545 .53257 L
.46936 .54158 L
.4739 .549 L
.47945 .55541 L
.485 .55978 L
.48823 .56156 L
.49183 .56296 L
.49848 .56404 L
.50475 .56335 L
.5112 .56085 L
.51645 .55734 L
.52178 .55212 L
.52474 .54832 L
.52733 .54431 L
.53153 .53588 L
.53348 .53072 L
.53501 .5257 L
.53637 .51999 L
.53743 .51373 L
.53831 .50317 L
.53814 .49321 L
.5376 .48759 L
.53683 .48254 L
.5357 .47714 L
.53418 .47168 L
.53095 .46318 L
.52877 .45881 L
.52655 .45509 L
.522 .44911 L
.51664 .44413 L
.51148 .44095 L
.50644 .43914 L
.50079 .43848 L
.49474 .43933 L
.48849 .44196 L
.48511 .44421 L
.48211 .44676 L
.47702 .45252 L
.47231 .46002 L
.46853 .46855 L
.46584 .47739 L
.46419 .4858 L
.46327 .49518 L
.46325 .50423 L
Mistroke
.46397 .51256 L
.46558 .52139 L
.46819 .53023 L
.47185 .5386 L
.47607 .54543 L
.4804 .55051 L
.48556 .55477 L
.49031 .55732 L
.49574 .55885 L
.5015 .55897 L
.50683 .55772 L
.51166 .5554 L
.51587 .55233 L
.52038 .54776 L
.52425 .54247 L
.52794 .53571 L
.53113 .52762 L
.53336 .51934 L
.53469 .51145 L
Mfstroke
.39789 .5 m
.39902 .52403 L
.40201 .54543 L
.40769 .56909 L
.41515 .58998 L
.42372 .60762 L
.43291 .62214 L
.44424 .63582 L
.45744 .64739 L
.47161 .65564 L
.48752 .66049 L
.50279 .66108 L
.51666 .65823 L
.53236 .65091 L
.54085 .64495 L
.54839 .63833 L
.56119 .62368 L
.5731 .60493 L
.57831 .59446 L
.5832 .58277 L
.5903 .56049 L
.59327 .54751 L
.59539 .53513 L
.59699 .52135 L
.59783 .50644 L
.59783 .49359 L
.59707 .47968 L
.5937 .45491 L
.58801 .43193 L
.58077 .41212 L
.57207 .39468 L
.56256 .38023 L
.55083 .36688 L
.53696 .35581 L
.52229 .34857 L
.50629 .34523 L
.49253 .34595 L
.47772 .35047 L
.46932 .35486 L
.46183 .36 L
.4541 .36664 L
.44607 .37519 L
.43388 .39223 L
.42795 .4029 L
.42308 .41333 L
.41544 .43456 L
.41216 .44691 L
.40968 .45895 L
.40687 .48085 L
.40616 .50502 L
Mistroke
.40691 .51958 L
.40844 .53309 L
.41046 .54498 L
.41334 .55749 L
.41727 .57066 L
.42228 .58385 L
.42727 .59455 L
.43326 .60518 L
.43944 .6143 L
.44548 .6218 L
.45832 .63404 L
.46599 .63938 L
.47462 .64385 L
.48298 .64677 L
.49082 .64832 L
.5047 .6483 L
.51946 .64441 L
.53286 .63718 L
.54439 .62774 L
.5561 .61439 L
.56727 .59683 L
.57216 .58694 L
.57679 .57577 L
.58346 .55432 L
.58618 .5419 L
.58806 .53021 L
.58942 .51719 L
.59004 .50333 L
.58919 .48009 L
.58767 .46711 L
.58557 .45524 L
.57999 .43402 L
.57309 .4161 L
.5632 .39764 L
.55214 .38282 L
.54096 .37203 L
.52794 .36353 L
.51503 .35872 L
.50291 .35717 L
.48948 .3587 L
.47514 .36421 L
.46818 .36846 L
.461 .37402 L
.44896 .38655 L
.43775 .40289 L
.43259 .41259 L
.42773 .42358 L
.42403 .43369 L
.42058 .44528 L
.41615 .46659 L
Mistroke
.41394 .48794 L
.41389 .51108 L
.41605 .53258 L
.41986 .55154 L
.42537 .56953 L
.43298 .5871 L
.44163 .60178 L
.45055 .61321 L
.46218 .62408 L
.47577 .63229 L
.48921 .63643 L
.50178 .63701 L
.51354 .63474 L
.52422 .63021 L
.53542 .62268 L
.54655 .61187 L
.55698 .59782 L
.56547 .58233 L
.57178 .56694 L
.57711 .54898 L
.58092 .52884 L
.58266 .50988 L
.5826 .48895 L
.58033 .46729 L
.57654 .4491 L
.57158 .43314 L
.56465 .41701 L
.55571 .40178 L
.54435 .38797 L
.53734 .38165 L
.53058 .37686 L
.51756 .37075 L
.5108 .36906 L
.50331 .36829 L
.49034 .36968 L
.47677 .37494 L
.46464 .38331 L
.45443 .39359 L
.44408 .40802 L
.43908 .417 L
.43487 .42605 L
.42812 .44503 L
.42378 .46341 L
.42207 .47445 L
.42093 .48627 L
.42061 .50754 L
.42139 .51931 L
.42272 .53011 L
.42485 .54169 L
.42786 .55366 L
Mistroke
.43455 .57241 L
.43917 .5821 L
.44394 .59039 L
.4538 .6037 L
.45925 .60938 L
.46556 .61476 L
.47709 .62175 L
.49007 .62583 L
.50255 .62629 L
.51387 .62381 L
.52635 .61772 L
.53739 .60896 L
.54647 .59884 L
.5552 .58576 L
.56322 .56935 L
.56659 .56039 L
.56974 .55011 L
.57384 .53106 L
.57591 .51266 L
.57622 .49391 L
.57488 .47633 L
.57234 .46099 L
.5682 .44506 L
.56218 .429 L
.55418 .41378 L
.54622 .40259 L
.5364 .39247 L
.52468 .3844 L
.51851 .3816 L
.51162 .37956 L
.49923 .37858 L
.48776 .38073 L
.48093 .38345 L
.47465 .38697 L
.46351 .39592 L
.45772 .40218 L
.45271 .40868 L
.44278 .42564 L
.43637 .44118 L
.43178 .4569 L
.42841 .47505 L
.42683 .49511 L
.42684 .50519 L
.42745 .51612 L
.43018 .53555 L
.43476 .55347 L
.44059 .5688 L
.44849 .58363 L
.45342 .59076 L
.45837 .59673 L
Mistroke
.46781 .60552 L
.47898 .61235 L
.48549 .61481 L
.49175 .61621 L
.50359 .61635 L
.51016 .61502 L
.51615 .61291 L
.52257 .60965 L
.52914 .60514 L
.53867 .59617 L
.54786 .58407 L
.5553 .57065 L
.56092 .55695 L
.56569 .54053 L
.56766 .53082 L
.56901 .5216 L
.57027 .50265 L
.57011 .49203 L
.56944 .48246 L
.56703 .46592 L
.56283 .4493 L
.558 .43612 L
.55146 .423 L
.54317 .41083 L
.53811 .40511 L
.53305 .40038 L
.52261 .39329 L
.51258 .38935 L
.50285 .38795 L
.49247 .38897 L
.48378 .39186 L
.47452 .39716 L
.46524 .4051 L
.45618 .41608 L
.44875 .42844 L
.44303 .4412 L
.43784 .45743 L
.43452 .47371 L
.43289 .4888 L
.43262 .50534 L
.43408 .52313 L
.4355 .53188 L
.43758 .54125 L
.44252 .5569 L
.44852 .5702 L
.4557 .58188 L
.46347 .5912 L
.47108 .59792 L
.47993 .60332 L
.48994 .60675 L
Mistroke
.50082 .60756 L
.51103 .6056 L
.52003 .60161 L
.53023 .59416 L
.53504 .58939 L
.54001 .58344 L
.54789 .5712 L
.55405 .55813 L
.55715 .54955 L
.55962 .54107 L
.56298 .52446 L
.5641 .5149 L
.56465 .50596 L
.56471 .49613 L
.56416 .48576 L
.56206 .47011 L
.55817 .45408 L
.55304 .4401 L
.54721 .42858 L
.53964 .41754 L
.53489 .41221 L
.53023 .4079 L
.52022 .40123 L
.51435 .39875 L
.50892 .39732 L
.49904 .3967 L
.48985 .39843 L
.48006 .40282 L
.47018 .41028 L
.46556 .41502 L
.46083 .42087 L
.45316 .43319 L
.44703 .44695 L
.44267 .46091 L
.43961 .47603 L
.4381 .49072 L
.43788 .50403 L
.43887 .51827 L
.44137 .53338 L
.44555 .54841 L
.45028 .5602 L
.45658 .57172 L
.46059 .57748 L
.46528 .58306 L
.46967 .58735 L
.47455 .59122 L
.48427 .59653 L
.49362 .59898 L
.49886 .59929 L
.50449 .5988 L
Mistroke
.51451 .59575 L
.52041 .59257 L
.52581 .58865 L
.53522 .5791 L
.54237 .56881 L
.54881 .55606 L
.55362 .54269 L
.55682 .5297 L
.55908 .51374 L
.55961 .50458 L
.55963 .49614 L
.55848 .48077 L
.55564 .46511 L
.55156 .45145 L
.54868 .44425 L
.54568 .43799 L
.53937 .42765 L
.5317 .41852 L
.52417 .41219 L
.51666 .40793 L
.5081 .40525 L
.49871 .40473 L
.48938 .40671 L
.48421 .40891 L
.47953 .41165 L
.4706 .41907 L
.46598 .42427 L
.46205 .42958 L
.45579 .44036 L
.45025 .45361 L
.44635 .46725 L
.44397 .48051 L
.44286 .49318 L
.44286 .50688 L
.444 .51964 L
.44599 .53095 L
.44941 .5435 L
.4544 .55607 L
.46021 .56657 L
.46642 .5749 L
.47423 .58244 L
.48216 .58756 L
.48962 .59042 L
.49786 .5916 L
.50689 .59059 L
.51617 .58696 L
.52371 .58187 L
.53136 .57433 L
.53864 .56421 L
.54434 .55326 L
Mistroke
.5493 .53982 L
.55125 .53259 L
.55294 .52436 L
.55465 .5102 L
.555 .50214 L
.55492 .49475 L
.55379 .48129 L
.55126 .46765 L
.54784 .45605 L
.54309 .44471 L
.53767 .43524 L
.53206 .42785 L
.52476 .42082 L
.51619 .41544 L
.5077 .41262 L
.49973 .41205 L
.49127 .41358 L
.48248 .41762 L
.47467 .4236 L
.46813 .43074 L
.46139 .4409 L
.45807 .4474 L
.45536 .45384 L
.45134 .46649 L
.44966 .47393 L
.44851 .48084 L
.44767 .48832 L
.44723 .49629 L
.44758 .51052 L
.4484 .51833 L
.44957 .52545 L
.45127 .53303 L
.45358 .5408 L
.45595 .54718 L
.45891 .55369 L
.4652 .56421 L
.47229 .57258 L
.47953 .57846 L
.4876 .58254 L
.49555 .58436 L
.50275 .58426 L
.51052 .58227 L
.51862 .57797 L
.52292 .57465 L
.52665 .57109 L
.53334 .56281 L
.53881 .55353 L
.54311 .54371 L
.54667 .53242 L
.54885 .52223 L
Mistroke
.55029 .51067 L
.5507 .49805 L
.54983 .48463 L
.54777 .47237 L
.5449 .46179 L
.54039 .45034 L
.53768 .44508 L
.53439 .43972 L
.52789 .43158 L
.52111 .42564 L
.51702 .42304 L
.51257 .42096 L
.5044 .41898 L
.49979 .41885 L
.49551 .41937 L
.49086 .42062 L
.48601 .42275 L
.47823 .42809 L
.47412 .43201 L
.47055 .43617 L
.46463 .44505 L
.4594 .45595 L
.45575 .46675 L
.45329 .47751 L
.45171 .48978 L
.45134 .50317 L
.45171 .51025 L
.45241 .51682 L
.45463 .52871 L
.45826 .54067 L
.46084 .5469 L
.46352 .55224 L
.46863 .56025 L
.475 .5675 L
.48232 .57315 L
.48958 .57651 L
.49383 .57756 L
.4985 .57798 L
.5029 .57769 L
.50694 .57683 L
.5144 .57367 L
.52187 .56824 L
.52547 .56465 L
.52911 .56024 L
.53498 .55095 L
.53791 .54488 L
.54058 .53805 L
.54264 .53142 L
.54421 .52492 L
.54611 .51268 L
Mistroke
.54676 .50131 L
.54628 .4891 L
.54548 .48234 L
.54442 .47625 L
.54195 .46647 L
.53831 .45652 L
.53356 .44725 L
.52834 .43984 L
.52511 .43624 L
.52139 .43285 L
.51419 .42821 L
.50682 .42567 L
.49986 .42512 L
.4924 .42648 L
.48824 .42814 L
.48444 .43028 L
.48059 .43308 L
.47721 .43615 L
.47374 .43997 L
.47024 .44467 L
.46504 .45373 L
.46103 .46343 L
.45808 .47368 L
.45622 .48365 L
.45521 .49473 L
.4553 .50701 L
.45582 .51312 L
.45673 .51957 L
.45928 .53075 L
.46261 .54036 L
.46723 .54975 L
.4724 .55733 L
.4778 .56309 L
.4836 .56744 L
.48914 .57016 L
.49573 .57177 L
.50201 .57177 L
.50886 .57007 L
.51608 .56622 L
.51954 .56353 L
.52307 .56011 L
.52889 .55269 L
.53386 .54385 L
.53767 .5344 L
.54028 .52522 L
.54217 .51472 L
.54309 .50295 L
.54306 .49622 L
.54268 .48995 L
.54191 .48346 L
Mistroke
.54088 .47765 L
.53939 .47148 L
.53745 .46528 L
.53339 .45574 L
.52879 .44799 L
.52297 .44097 L
.51942 .43779 L
.51604 .4354 L
.50969 .43234 L
.50356 .431 L
.49678 .43124 L
.48962 .43348 L
.48615 .43535 L
.48249 .43793 L
.47629 .444 L
.47094 .45145 L
.46672 .45952 L
.46324 .46872 L
.46082 .47805 L
.45938 .4868 L
.45864 .49647 L
.45881 .50709 L
.46009 .51805 L
.46206 .52699 L
.46507 .53614 L
.46715 .54093 L
.46968 .54576 L
.47214 .54966 L
.47496 .55342 L
.4808 .55931 L
.48666 .56325 L
.49004 .56476 L
.49375 .56584 L
.50056 .56634 L
.5047 .56573 L
.50858 .5645 L
.51199 .56288 L
.5156 .56056 L
.52173 .55499 L
.52671 .54853 L
.52919 .54444 L
.53161 .53966 L
.53527 .53015 L
.53776 .52048 L
.53933 .50974 L
.53978 .50038 L
.53931 .49015 L
.53772 .47948 L
.53528 .47015 L
.53161 .46081 L
Mistroke
.5294 .45653 L
.52669 .4522 L
.52166 .446 L
.51858 .44313 L
.51562 .44092 L
.50992 .43793 L
.5037 .43638 L
.49801 .43641 L
.49201 .43794 L
.48655 .44077 L
.48185 .44444 L
.47676 .45 L
.47192 .45739 L
.46811 .46546 L
.46534 .47366 L
.46324 .48296 L
.46201 .49337 L
.46185 .50333 L
.46256 .51233 L
.46438 .52248 L
.46588 .52793 L
.46755 .53275 L
.47126 .54084 L
.47604 .54822 L
.47896 .55162 L
.48181 .55433 L
.48508 .55681 L
.48869 .55886 L
.49497 .5609 L
.4986 .56126 L
.50199 .56107 L
.50825 .55938 L
.51372 .55636 L
.51661 .55411 L
.5196 .55123 L
.52456 .5449 L
.52862 .53775 L
.53168 .53037 L
.53424 .52158 L
.53598 .51178 L
.53664 .50297 L
.53655 .49476 L
.53565 .48589 L
.53381 .47681 L
.53237 .47191 L
.5308 .46761 L
.52888 .46324 L
.52649 .45881 L
.52191 .45231 L
.51913 .44932 L
Mistroke
.5164 .44693 L
.51091 .44348 L
.50566 .44167 L
.49948 .4412 L
.49365 .44236 L
.48821 .44495 L
.48524 .44703 L
.48256 .44938 L
.4776 .45515 L
.47508 .45896 L
.47298 .46278 L
.46994 .4698 L
.46737 .4782 L
.4656 .48752 L
.46483 .49649 L
.46478 .50164 L
.46504 .5072 L
.46559 .51238 L
.46635 .51706 L
.46845 .52554 L
.47155 .53378 L
.47347 .53766 L
.47576 .5415 L
.48042 .54746 L
.48354 .55041 L
.48667 .55271 L
.48958 .55432 L
.49285 .55559 L
.49575 .55626 L
.49884 .55653 L
.50437 .55588 L
.51016 .55357 L
.51331 .55154 L
.51613 .54921 L
.52087 .54397 L
.52467 .53816 L
.52653 .53457 L
.52833 .53042 L
.531 .52227 L
.53266 .51455 L
.53366 .5057 L
.53377 .49636 L
.53299 .4877 L
.53153 .47995 L
.52958 .47324 L
.52683 .46647 L
.5233 .46016 L
.51878 .45439 L
.51421 .45033 L
.51153 .4486 L
Mistroke
.50853 .44718 L
.50293 .4458 L
.49762 .44595 L
.49209 .44762 L
.48757 .45023 L
.48291 .45429 L
.48031 .4573 L
.47802 .46051 L
.47425 .46737 L
.47246 .47161 L
.47104 .47576 L
.46974 .48053 L
.46867 .48578 L
.46802 .49048 L
.4676 .49563 L
.46749 .50052 L
.46764 .505 L
.46854 .51335 L
.47036 .52176 L
.47287 .52913 L
.4746 .53296 L
.47637 .53626 L
.48004 .54162 L
.48444 .5462 L
.4887 .54925 L
.49291 .55114 L
.49765 .55211 L
.5028 .55183 L
.50787 .55019 L
.51065 .54867 L
.51315 .5469 L
.51787 .54229 L
.52028 .53916 L
.5223 .53601 L
.52547 .5297 L
.52818 .52207 L
.52998 .51431 L
.53094 .50687 L
.53122 .49978 L
.53086 .49222 L
.52989 .48526 L
.52849 .47918 L
.52626 .47252 L
.52317 .466 L
.5197 .46069 L
.51607 .45663 L
.51202 .45341 L
.508 .45131 L
.50342 .45007 L
.49842 .45004 L
Mistroke
.49353 .45131 L
.48858 .45403 L
.48464 .45741 L
.48071 .46211 L
.47702 .46827 L
.47424 .47476 L
.47305 .4784 L
.47195 .48257 L
.47107 .48707 L
.47048 .49138 L
.47001 .49942 L
.4703 .50677 L
.47074 .51076 L
.47146 .51501 L
.47335 .5224 L
.47589 .52901 L
.47873 .53434 L
.48255 .53955 L
.48658 .54341 L
.49062 .54601 L
.4945 .54751 L
.49886 .54814 L
.50347 .54764 L
.50837 .54576 L
.51261 .54289 L
.51482 .54085 L
.51709 .5383 L
.52081 .53283 L
.52372 .52688 L
.52615 .51985 L
.52762 .51342 L
.52857 .50604 L
.52879 .50177 L
.52876 .49728 L
.52806 .48936 L
.52731 .48507 L
.5264 .48122 L
.52516 .47716 L
.52358 .47309 L
.52201 .46979 L
.52011 .46649 L
.51828 .46386 L
.51619 .46137 L
.51191 .45756 L
.50767 .45518 L
.50324 .45394 L
.49834 .45392 L
.49378 .45517 L
.48972 .4574 L
.48594 .46058 L
Mistroke
.48281 .46421 L
.4796 .4692 L
.47705 .47457 L
.47485 .48107 L
.47325 .48843 L
.4725 .49496 L
.47236 .5022 L
.47301 .50992 L
.47372 .51411 L
.47458 .51781 L
.4768 .52455 L
.47952 .53025 L
.48226 .53447 L
.48566 .53835 L
.48955 .54144 L
.49343 .54336 L
.49716 .54429 L
.50062 .54437 L
.50458 .54358 L
.50824 .54195 L
.51197 .5393 L
.51564 .53551 L
.51872 .53111 L
.52114 .52653 L
.52346 .52052 L
.5245 .5169 L
.52528 .51345 L
.52624 .5069 L
.52658 .49983 L
.52622 .49293 L
.52573 .4891 L
.52508 .48565 L
.52345 .47961 L
.52112 .47375 L
.51858 .46912 L
.51584 .46537 L
.51251 .46202 L
.50863 .45937 L
.50452 .4578 L
.50214 .45739 L
.49992 .45734 L
.49546 .45818 L
.49302 .4592 L
.49086 .46045 L
.4872 .46345 L
.4836 .4677 L
.48065 .47256 L
.47839 .47765 L
.47671 .48283 L
.47541 .48873 L
Mistroke
.47469 .49451 L
.47447 .49987 L
.47475 .50611 L
.47569 .51273 L
.47718 .51865 L
.47904 .52372 L
.48165 .52885 L
.48453 .53296 L
.48742 .536 L
.4908 .53851 L
.4947 .54028 L
.49895 .54099 L
.50259 .54065 L
.50651 .53929 L
.51051 .53672 L
.51391 .53338 L
.51723 .52878 L
.51871 .52612 L
.52016 .52297 L
.52216 .51725 L
.52303 .51384 L
.52365 .51062 L
.52437 .50453 L
.52449 .49803 L
.52405 .49222 L
.52302 .48622 L
.52154 .48089 L
.51979 .47642 L
.51728 .47172 L
.5141 .46745 L
.51073 .4643 L
.50739 .46222 L
.50366 .46094 L
.49957 .46065 L
.49574 .46144 L
.49235 .46302 L
.48861 .46587 L
.48664 .46792 L
.48494 .47009 L
.48215 .47467 L
.48081 .47751 L
.47973 .48027 L
.47802 .48611 L
.47736 .48933 L
.47686 .49281 L
.47646 .49877 L
.47667 .50529 L
.47709 .50895 L
.47766 .5122 L
.47854 .51583 L
Mistroke
.47957 .5191 L
.48185 .52443 L
.48338 .52713 L
.48492 .52939 L
.48804 .5329 L
.4913 .53541 L
.4944 .53693 L
.49788 .53775 L
.5017 .53765 L
.50381 .53714 L
.50569 .53641 L
.50922 .53426 L
.51231 .53141 L
.51494 .52805 L
.51737 .52389 L
.51912 .51991 L
.52066 .51517 L
.52183 .50973 L
.52251 .50369 L
.52259 .49791 L
.52218 .4927 L
.52113 .48678 L
.52037 .48392 L
.51936 .48092 L
.51719 .47605 L
.51472 .47209 L
.51316 .47013 L
.5114 .46832 L
.50804 .46579 L
.50606 .46479 L
.50418 .46414 L
.50209 .46374 L
.49984 .46368 L
.49609 .4644 L
.49402 .46527 L
.49217 .46636 L
.48895 .46902 L
.48587 .47272 L
.48349 .47671 L
.48161 .48092 L
.48001 .48598 L
.47885 .49178 L
.47831 .49768 L
.47835 .50307 L
.47858 .50603 L
.479 .50916 L
.4802 .51462 L
.48181 .51938 L
.48397 .52388 L
.48615 .52721 L
Mistroke
.48884 .53024 L
.4906 .53174 L
.49234 .5329 L
.49573 .53437 L
.49767 .53479 L
.49949 .53491 L
.50148 .53476 L
.50357 .53426 L
.50693 .5327 L
.50989 .53045 L
.51286 .52718 L
.51437 .525 L
.51564 .52281 L
.51759 .51851 L
.51921 .51346 L
.52024 .50837 L
.52076 .5036 L
.52084 .49792 L
.52063 .49474 L
.52027 .49186 L
.51924 .48675 L
.51762 .48174 L
.51581 .47781 L
.51351 .47414 L
.51105 .47126 L
.50859 .46919 L
.50553 .46749 L
.50207 .46656 L
.49875 .46659 L
.49571 .4674 L
Mfstroke
.47746 .5 m
.47773 .50566 L
.47844 .51068 L
.47977 .51619 L
.48151 .52099 L
.48351 .52498 L
.48563 .5282 L
.48824 .53118 L
.49126 .53362 L
.49448 .53527 L
.49808 .53613 L
.5015 .53604 L
.5046 .5352 L
.50808 .53332 L
.50995 .53185 L
.5116 .53024 L
.51438 .52671 L
.51693 .52222 L
.51803 .51972 L
.51904 .51693 L
.52046 .51162 L
.52101 .50854 L
.52138 .5056 L
.5216 .50234 L
.52164 .49884 L
.5215 .49583 L
.52117 .4926 L
.52011 .48693 L
.51854 .48179 L
.51665 .47748 L
.51446 .47381 L
.51212 .47089 L
.5093 .46834 L
.50604 .46642 L
.50265 .4654 L
.49903 .46531 L
.49597 .46604 L
.49274 .46766 L
.49093 .46898 L
.48934 .47044 L
.48772 .47225 L
.48607 .47451 L
.48362 .47888 L
.48249 .48154 L
.48157 .48416 L
.48023 .48943 L
.47948 .49448 L
.47927 .49733 L
.47921 .50044 L
.47954 .50606 L
Mistroke
.48001 .50938 L
.48064 .51241 L
.48136 .51502 L
.48228 .51772 L
.48345 .5205 L
.48487 .5232 L
.48622 .52531 L
.4878 .52734 L
.48939 .529 L
.49091 .53029 L
.49404 .53219 L
.49587 .53287 L
.49788 .5333 L
.4998 .5334 L
.50157 .53323 L
.50464 .53232 L
.50781 .5305 L
.51059 .52803 L
.51291 .52518 L
.51516 .52144 L
.51718 .51676 L
.51801 .51421 L
.51874 .51138 L
.51963 .50606 L
.51989 .50305 L
.51997 .50026 L
.5199 .4972 L
.51964 .49401 L
.51876 .48879 L
.51803 .48597 L
.5172 .48345 L
.51532 .47913 L
.51324 .47569 L
.51048 .47242 L
.50759 .47009 L
.50479 .46869 L
.50167 .46797 L
.4987 .46805 L
.49601 .46877 L
.49312 .47027 L
.49017 .47272 L
.48879 .47425 L
.48741 .47609 L
.48519 .47988 L
.4833 .48447 L
.48245 .48726 L
.48182 .48994 L
.48105 .49504 L
.48087 .49766 L
.48082 .50057 L
Mistroke
.48111 .50554 L
.48197 .51071 L
.48325 .51528 L
.48481 .5191 L
.48671 .5225 L
.48904 .52557 L
.49149 .52786 L
.49387 .5294 L
.4968 .5305 L
.50005 .53082 L
.50311 .53026 L
.50583 .52904 L
.50827 .5273 L
.51039 .52519 L
.51249 .52238 L
.51445 .51886 L
.51612 .51471 L
.5173 .51043 L
.51802 .50639 L
.5184 .50188 L
.51834 .49705 L
.51788 .49271 L
.51694 .48814 L
.51548 .48368 L
.51384 .48019 L
.51205 .47733 L
.50983 .47471 L
.50723 .47255 L
.50566 .47164 L
.50418 .47102 L
.50252 .47058 L
.50075 .47039 L
.49777 .47072 L
.49611 .47126 L
.49458 .47199 L
.49188 .47393 L
.4896 .4763 L
.48728 .47967 L
.48543 .48342 L
.48458 .48567 L
.4839 .48788 L
.48294 .49222 L
.48238 .49708 L
.48229 .49986 L
.48236 .5024 L
.48276 .50661 L
.48363 .51104 L
.485 .51533 L
.48665 .51893 L
.48773 .52077 L
Mistroke
.48902 .52257 L
.49024 .52398 L
.49162 .52528 L
.49438 .52715 L
.49707 .52816 L
.49859 .52841 L
.50024 .52843 L
.50318 .52782 L
.50494 .52705 L
.50655 .52605 L
.50793 .52493 L
.50937 .52349 L
.51171 .52036 L
.51355 .51695 L
.51515 .51273 L
.51578 .51045 L
.51632 .50786 L
.51688 .50336 L
.517 .5008 L
.51698 .49847 L
.51661 .49399 L
.51585 .4899 L
.51476 .48622 L
.51326 .48266 L
.51173 .47997 L
.50979 .47742 L
.50749 .47526 L
.50482 .47364 L
.50217 .47282 L
.49969 .4727 L
.49704 .47324 L
.4943 .47457 L
.49188 .47651 L
.48987 .47881 L
.4878 .48207 L
.48679 .48415 L
.48598 .48619 L
.48478 .49021 L
.48434 .49234 L
.48398 .49474 L
.48375 .49725 L
.48366 .49965 L
.48386 .50412 L
.48416 .50657 L
.48457 .50879 L
.48515 .51113 L
.48592 .51352 L
.4867 .51548 L
.48767 .51745 L
.48861 .51906 L
Mistroke
.48969 .5206 L
.49196 .52306 L
.49423 .52473 L
.49672 .52583 L
.49816 .52615 L
.4995 .52625 L
.50196 .52597 L
.50451 .52499 L
.50668 .52356 L
.50857 .52176 L
.51046 .51933 L
.51222 .51624 L
.51366 .51273 L
.51431 .51059 L
.51481 .50852 L
.51549 .50419 L
.51566 .50171 L
.51569 .49945 L
.51544 .49542 L
.51474 .49121 L
.51369 .48748 L
.51241 .48435 L
.51097 .48174 L
.50919 .47934 L
.50733 .4775 L
.50551 .47622 L
.50327 .47522 L
.50076 .47479 L
.49838 .47499 L
.49622 .47572 L
.49409 .47698 L
.49222 .47861 L
.49034 .48087 L
.48857 .48378 L
.48713 .48708 L
.48597 .4909 L
.48532 .49437 L
.48496 .49828 L
.485 .50254 L
.48544 .5064 L
.48581 .50834 L
.48634 .51042 L
.48701 .51248 L
.48774 .51431 L
.48934 .51735 L
.49105 .5197 L
.49207 .52081 L
.49326 .52186 L
.49554 .52328 L
.49788 .52406 L
Mistroke
.50004 .52422 L
.50252 .52376 L
.50478 .52271 L
.50676 .52123 L
.50845 .51946 L
.51012 .51712 L
.51163 .51424 L
.51293 .51073 L
.51379 .50726 L
.51412 .50527 L
.51436 .50307 L
.51447 .49902 L
.51419 .49527 L
.5135 .49144 L
.51261 .48838 L
.51132 .48529 L
.51046 .4837 L
.50947 .48218 L
.50748 .47988 L
.50628 .47885 L
.50512 .47807 L
.50379 .47741 L
.50234 .47695 L
.50107 .47675 L
.49968 .47675 L
.49838 .47695 L
.49719 .47731 L
.49501 .47844 L
.49285 .48023 L
.49103 .48242 L
.48932 .4853 L
.488 .48841 L
.48707 .49155 L
.48644 .49486 L
.48614 .49794 L
.48612 .50152 L
.48641 .50485 L
.48706 .50837 L
.48812 .51182 L
.4893 .51448 L
.49085 .51704 L
.49277 .51929 L
.49394 .5203 L
.49505 .52105 L
.49731 .52203 L
.49952 .52236 L
.5014 .52218 L
.50344 .52148 L
.50547 .52023 L
.50724 .51859 L
Mistroke
.50875 .5167 L
.50997 .51469 L
.51118 .51208 L
.51209 .50937 L
.51281 .50626 L
.51326 .50281 L
.51336 .4995 L
.5132 .49651 L
.51268 .4931 L
.51225 .49125 L
.51176 .48962 L
.51064 .48683 L
.5092 .48423 L
.50755 .48209 L
.50654 .48109 L
.50555 .4803 L
.50365 .47922 L
.50155 .47861 L
.49964 .47855 L
.49787 .4789 L
.49597 .47974 L
.49404 .48115 L
.49227 .48305 L
.49057 .48562 L
.48982 .48709 L
.48912 .48877 L
.48811 .49203 L
.48745 .49552 L
.48718 .49891 L
.48722 .50198 L
.48757 .50524 L
.48818 .5082 L
.48899 .51079 L
.49013 .51338 L
.4916 .51579 L
.49338 .51785 L
.49524 .51931 L
.49702 .52017 L
.49902 .52061 L
.50094 .52053 L
.50265 .52005 L
.50456 .51903 L
.50624 .51763 L
.50767 .51598 L
.50885 .51419 L
.50997 .51197 L
.51094 .50938 L
.51171 .50636 L
.51202 .50458 L
.51221 .5029 L
Mistroke
.51233 .49979 L
.51215 .49651 L
.51171 .49367 L
.51107 .49113 L
.51014 .48856 L
.50889 .48608 L
.5074 .48397 L
.50647 .48296 L
.50556 .48215 L
.50361 .48093 L
.50247 .48049 L
.50141 .48026 L
.49951 .48022 L
.49746 .48073 L
.49561 .48173 L
.49401 .48306 L
.49264 .48465 L
.49133 .48667 L
.49027 .48884 L
.48948 .49102 L
.48878 .49374 L
.48831 .49685 L
.48815 .49985 L
.48826 .50263 L
.48867 .50569 L
.48933 .50842 L
.49013 .5107 L
.4912 .51293 L
.49259 .51503 L
.49426 .51681 L
.49581 .51794 L
.4976 .51873 L
.49959 .51904 L
.50144 .51883 L
.50239 .51853 L
.50341 .51805 L
.50445 .51739 L
.50538 .51663 L
.50697 .51489 L
.50825 .51295 L
.50887 .51176 L
.50949 .51036 L
.5104 .50762 L
.51101 .50476 L
.51131 .50207 L
.51136 .49892 L
.51112 .49599 L
.51064 .49337 L
.50999 .4911 L
.50908 .4888 L
Mistroke
.50789 .48666 L
.50639 .48471 L
.50487 .48333 L
.50397 .48274 L
.50297 .48224 L
.50109 .48175 L
.49931 .48177 L
.49745 .4823 L
.49592 .48316 L
.49434 .4845 L
.49351 .48544 L
.49269 .48656 L
.4914 .48885 L
.4908 .49027 L
.49031 .49167 L
.48986 .49327 L
.48949 .49505 L
.48926 .49663 L
.48911 .49837 L
.48907 .50003 L
.48911 .50155 L
.4894 .50438 L
.49001 .50725 L
.49083 .50972 L
.49199 .51212 L
.4933 .51405 L
.49467 .51549 L
.49615 .51656 L
.49755 .51721 L
.49922 .51756 L
.50081 .51749 L
.50252 .51697 L
.50425 .51594 L
.50562 .5147 L
.50697 .51298 L
.50823 .51077 L
.50883 .50939 L
.5093 .50805 L
.51 .5053 L
.51039 .50257 L
.5105 .50019 L
.5104 .49757 L
.51003 .49491 L
.50946 .49254 L
.50874 .49049 L
.50793 .48878 L
.5069 .48712 L
.50567 .48565 L
.5043 .48447 L
.50274 .48361 L
Mistroke
.5012 .48319 L
.49979 .48313 L
.49814 .48348 L
.49723 .48386 L
.49641 .48434 L
.49499 .48549 L
.49362 .48707 L
.49245 .48895 L
.49191 .49006 L
.4914 .49131 L
.49065 .49376 L
.49018 .49618 L
.48995 .49856 L
.48992 .50082 L
.49011 .50327 L
.49056 .50582 L
.49125 .50821 L
.49175 .50947 L
.49227 .51056 L
.49349 .51253 L
.49425 .51347 L
.495 .51422 L
.49642 .51527 L
.49805 .51598 L
.49964 .51622 L
.50111 .51607 L
.50245 .51561 L
.50383 .51478 L
.50506 .5137 L
.50608 .51248 L
.50715 .5108 L
.50813 .5087 L
.50885 .50651 L
.50933 .50434 L
.50963 .5018 L
.50969 .49938 L
.50954 .49722 L
.50919 .49495 L
.50857 .49261 L
.50768 .49036 L
.50675 .48867 L
.50556 .4871 L
.50414 .48579 L
.50272 .48496 L
.50195 .48467 L
.50109 .48448 L
.50018 .48442 L
.49933 .48449 L
.4978 .48494 L
.49645 .48571 L
Mistroke
.49507 .48692 L
.49377 .48857 L
.49282 .49022 L
.49198 .49221 L
.49137 .49426 L
.49098 .49622 L
.49073 .4986 L
.49072 .50121 L
.49096 .50363 L
.49138 .50577 L
.49205 .5079 L
.49298 .50996 L
.49404 .51163 L
.49514 .51289 L
.49655 .51401 L
.4974 .51445 L
.4982 .51475 L
.4997 .51497 L
.50054 .51492 L
.5013 .51476 L
.50209 .51448 L
.50291 .51406 L
.50429 .51301 L
.50502 .51226 L
.50565 .51148 L
.50633 .51045 L
.50691 .50938 L
.50779 .50725 L
.50839 .50512 L
.50879 .50271 L
.50891 .50131 L
.50895 .50001 L
.50883 .49763 L
.5085 .49542 L
.50803 .49355 L
.50734 .49165 L
.5064 .48982 L
.50581 .48894 L
.50522 .48819 L
.50395 .48699 L
.50272 .48622 L
.50148 .48577 L
.50014 .48562 L
.499 .48576 L
.49777 .48619 L
.49651 .48697 L
.49525 .48815 L
.49418 .48955 L
.49334 .49105 L
.49252 .49303 L
Mistroke
.49219 .49411 L
.49189 .49535 L
.49153 .49761 L
.49141 .49979 L
.49143 .50104 L
.49153 .50234 L
.49188 .50461 L
.49218 .50581 L
.49251 .50689 L
.49294 .50799 L
.49348 .50911 L
.49452 .51076 L
.49565 .51203 L
.49686 .51295 L
.49803 .51351 L
.49935 .5138 L
.50081 .51371 L
.50153 .51351 L
.5023 .51319 L
.50362 .51231 L
.50428 .51169 L
.50487 .51103 L
.50587 .50958 L
.50678 .50777 L
.5072 .50664 L
.50753 .50556 L
.50795 .50365 L
.50821 .50147 L
.50824 .49917 L
.50806 .49705 L
.50786 .49588 L
.50758 .49465 L
.50724 .49354 L
.50688 .49256 L
.50606 .49087 L
.50502 .48935 L
.50442 .48868 L
.50375 .48807 L
.50244 .48725 L
.50165 .48694 L
.50081 .48677 L
.50008 .48673 L
.49929 .48681 L
.4986 .48699 L
.49787 .48729 L
.4966 .48811 L
.49547 .48923 L
.49453 .49051 L
.49366 .49213 L
.49325 .49315 L
Mistroke
.49291 .49415 L
.49262 .49523 L
.4924 .49629 L
.49221 .49754 L
.49211 .4987 L
.49208 .5007 L
.49225 .50279 L
.49256 .50451 L
.49307 .5063 L
.49379 .50805 L
.49427 .50894 L
.49476 .50968 L
.49574 .51086 L
.49689 .51182 L
.49808 .51243 L
.49878 .51264 L
.49943 .51274 L
.50063 .51268 L
.50188 .51228 L
.50296 .51166 L
.5039 .51084 L
.50485 .50972 L
.50574 .50828 L
.50651 .50652 L
.50687 .50544 L
.50714 .50439 L
.50748 .50239 L
.50758 .50125 L
.50762 .50021 L
.50754 .49824 L
.50725 .49617 L
.50678 .49432 L
.50619 .49276 L
.50552 .49145 L
.50468 .49023 L
.5038 .48928 L
.50293 .48861 L
.50185 .48806 L
.50063 .48777 L
.49948 .48781 L
.49842 .4881 L
.49737 .48865 L
.49645 .4894 L
.49551 .49044 L
.49462 .4918 L
.49389 .49337 L
.49329 .49519 L
.49293 .49686 L
.49272 .49875 L
.4927 .50083 L
Mistroke
.49287 .50272 L
.49304 .50368 L
.49327 .50471 L
.49358 .50573 L
.49392 .50664 L
.49466 .50816 L
.49547 .50935 L
.49596 .50991 L
.49653 .51045 L
.49762 .5112 L
.49875 .51164 L
.4998 .51177 L
.50101 .5116 L
.50212 .51115 L
.5031 .51047 L
.50393 .50965 L
.50476 .50855 L
.50552 .50719 L
.50619 .5055 L
.50663 .50384 L
.50681 .50287 L
.50695 .50181 L
.50703 .49984 L
.50693 .49801 L
.50662 .49613 L
.50621 .49462 L
.50561 .49309 L
.50521 .4923 L
.50473 .49154 L
.50379 .49038 L
.50321 .48986 L
.50265 .48945 L
.50201 .48911 L
.50132 .48885 L
.5007 .48873 L
.50002 .4887 L
.49939 .48877 L
.49881 .48892 L
.49774 .48942 L
.49668 .49025 L
.49578 .49128 L
.49492 .49264 L
.49426 .49413 L
.49378 .49565 L
.49348 .49709 L
.49329 .49874 L
.49325 .50049 L
.49337 .50211 L
.49367 .50384 L
.49416 .50554 L
Mistroke
.49471 .50685 L
.49545 .50812 L
.49637 .50925 L
.49693 .50976 L
.49747 .51014 L
.49856 .51066 L
.49963 .51085 L
.50055 .5108 L
.50154 .51049 L
.50254 .50991 L
.50341 .50914 L
.50415 .50825 L
.50476 .50729 L
.50536 .50604 L
.50582 .50473 L
.50618 .50323 L
.50642 .50156 L
.50649 .49995 L
.50642 .4985 L
.50619 .49683 L
.50599 .49592 L
.50576 .49512 L
.50524 .49375 L
.50455 .49247 L
.50376 .49141 L
.50327 .4909 L
.50279 .49051 L
.50187 .48995 L
.50085 .48963 L
.49993 .48958 L
.49906 .48973 L
.49813 .49011 L
.49719 .49077 L
.49632 .49168 L
.49548 .49291 L
.49511 .49362 L
.49476 .49443 L
.49426 .496 L
.49393 .49769 L
.49378 .49934 L
.49379 .50083 L
.49394 .50242 L
.49423 .50387 L
.49462 .50514 L
.49516 .50641 L
.49587 .5076 L
.49673 .50861 L
.49763 .50934 L
.49849 .50977 L
.49946 .51 L
Mistroke
.50039 .50998 L
.50123 .50976 L
.50215 .50928 L
.50297 .50861 L
.50367 .50782 L
.50425 .50696 L
.5048 .5059 L
.50528 .50465 L
.50567 .50318 L
.50582 .50231 L
.50592 .5015 L
.50599 .49998 L
.50591 .49838 L
.5057 .497 L
.5054 .49576 L
.50495 .4945 L
.50434 .49329 L
.50358 .4922 L
.50311 .49169 L
.50264 .49128 L
.50173 .49073 L
.50121 .49053 L
.50072 .49042 L
.49979 .49039 L
.4988 .49063 L
.4979 .49111 L
.49712 .49175 L
.49645 .49252 L
.49581 .4935 L
.49529 .49455 L
.4949 .4956 L
.49456 .49693 L
.49433 .49844 L
.49425 .4999 L
.4943 .50125 L
.49447 .5026 L
.49474 .50381 L
.49515 .50506 L
.49572 .50626 L
.49639 .50729 L
.4972 .50815 L
.49795 .5087 L
.49882 .50909 L
.49979 .50925 L
.50069 .50915 L
.50115 .509 L
.50165 .50877 L
.50216 .50845 L
.50261 .50808 L
.50338 .50723 L
Mistroke
.50401 .50629 L
.50431 .50571 L
.50461 .50503 L
.50505 .5037 L
.50535 .5023 L
.50549 .50099 L
.50552 .49946 L
.5054 .49804 L
.50516 .49676 L
.50485 .49566 L
.5044 .49454 L
.50382 .4935 L
.50309 .49256 L
.50235 .49189 L
.50191 .49161 L
.50142 .49137 L
.50051 .49114 L
.49964 .49115 L
.49874 .49142 L
.498 .49184 L
.49723 .49249 L
.49683 .49296 L
.49643 .4935 L
.49581 .49462 L
.49552 .49531 L
.49528 .49599 L
.49507 .49677 L
.49489 .49764 L
.49478 .49841 L
.49471 .49925 L
.49469 .50006 L
.49471 .5008 L
.49486 .50217 L
.49516 .50356 L
.49556 .50476 L
.49584 .50538 L
.49613 .50592 L
.49673 .5068 L
.49744 .50755 L
.49814 .50805 L
.49882 .50836 L
.49959 .50852 L
.50043 .50848 L
.50126 .50822 L
.50171 .50798 L
.50212 .5077 L
.5029 .50695 L
.50329 .50644 L
.50362 .50593 L
.50414 .5049 L
Mistroke
.50459 .50366 L
.50489 .50239 L
.50505 .50116 L
.5051 .50001 L
.50504 .49877 L
.50489 .49763 L
.50466 .49663 L
.5043 .49553 L
.5038 .49446 L
.50324 .49359 L
.50264 .49292 L
.50191 .49234 L
.50118 .49199 L
.5005 .49182 L
.49976 .49182 L
.49896 .49203 L
.49815 .49247 L
.4975 .49301 L
.49686 .49378 L
.49626 .49478 L
.4958 .49584 L
.49561 .49643 L
.49543 .49711 L
.49528 .49784 L
.49518 .49855 L
.4951 .49986 L
.49514 .50107 L
.49532 .50235 L
.49563 .50363 L
.496 .50462 L
.49649 .50557 L
.49703 .50633 L
.49757 .5069 L
.49826 .50742 L
.49905 .50776 L
.49983 .50788 L
.50054 .5078 L
.50128 .50753 L
.50204 .50704 L
.5027 .50638 L
.50324 .50564 L
.50378 .50463 L
.50404 .50399 L
.50424 .50337 L
.50452 .50217 L
.50462 .50148 L
.50468 .50084 L
.50471 .50015 L
.50469 .49943 L
.50457 .49816 L
Mistroke
.50445 .49747 L
.5043 .49685 L
.50409 .4962 L
.50383 .49555 L
.50358 .49502 L
.50327 .49449 L
.50298 .49407 L
.50264 .49367 L
.50195 .49306 L
.50127 .49267 L
.50085 .49253 L
.50044 .49245 L
.49968 .49247 L
.49925 .49257 L
.49887 .49272 L
.49845 .49294 L
.49803 .49325 L
.49768 .49357 L
.49732 .49398 L
.49673 .49485 L
.49625 .49583 L
.49591 .49684 L
Mfstroke
.55704 .5 m
.55638 .48592 L
.55463 .47343 L
.55131 .45969 L
.54697 .44767 L
.54199 .43764 L
.53667 .42948 L
.53014 .42192 L
.52258 .41566 L
.51449 .41135 L
.50545 .40903 L
.49681 .40911 L
.489 .41109 L
.4802 .41566 L
.47547 .41927 L
.47127 .42324 L
.4642 .43196 L
.45769 .44307 L
.45487 .44925 L
.45226 .45616 L
.44857 .46932 L
.44709 .47697 L
.44609 .48426 L
.44544 .49235 L
.44524 .50108 L
.44549 .50857 L
.4462 .51664 L
.44865 .53086 L
.45241 .54385 L
.45699 .55483 L
.46235 .56427 L
.46811 .57187 L
.47509 .57862 L
.48322 .58387 L
.49169 .58686 L
.5008 .58753 L
.50854 .58609 L
.51676 .58243 L
.52137 .57932 L
.52545 .57586 L
.52961 .57152 L
.53389 .56606 L
.54026 .55543 L
.54325 .54895 L
.5457 .54252 L
.54937 .52955 L
.55153 .51706 L
.55222 .51001 L
.55257 .50226 L
.55208 .4882 L
Mistroke
.5511 .47986 L
.54971 .4722 L
.54809 .46555 L
.54597 .45864 L
.54321 .45149 L
.53984 .44447 L
.53657 .43891 L
.53275 .43353 L
.52888 .42906 L
.52516 .42551 L
.51741 .42011 L
.51287 .41802 L
.50783 .41653 L
.50301 .4159 L
.49854 .41597 L
.49075 .41765 L
.48265 .42159 L
.47546 .42724 L
.46941 .43392 L
.46345 .44284 L
.458 .45412 L
.45572 .46032 L
.45366 .46725 L
.45097 .48031 L
.45007 .48776 L
.44961 .4947 L
.44953 .50233 L
.44991 .51036 L
.45164 .52357 L
.45321 .53078 L
.45505 .53727 L
.45938 .54856 L
.46426 .55771 L
.47087 .56663 L
.47792 .57324 L
.48479 .57752 L
.49256 .58019 L
.50005 .5808 L
.50689 .57972 L
.51428 .57672 L
.52195 .57137 L
.52558 .5679 L
.52924 .56365 L
.5352 .55474 L
.54044 .5438 L
.54287 .53706 L
.54474 .53055 L
.54721 .51804 L
.54796 .51154 L
.54841 .50432 L
Mistroke
.54822 .49184 L
.54668 .4787 L
.54398 .4669 L
.54053 .45687 L
.53618 .44774 L
.5307 .4393 L
.52484 .43274 L
.51906 .4281 L
.51183 .42434 L
.50371 .42247 L
.49597 .42283 L
.48897 .42499 L
.48264 .42855 L
.47706 .43315 L
.47142 .43949 L
.46607 .44764 L
.46135 .45747 L
.45782 .46775 L
.45551 .47758 L
.45396 .48869 L
.45344 .50074 L
.454 .51173 L
.45574 .52347 L
.45878 .53513 L
.46239 .54448 L
.46646 .5523 L
.47164 .55973 L
.47786 .56615 L
.48165 .56904 L
.48528 .57118 L
.48937 .57294 L
.49379 .57412 L
.5013 .57447 L
.50555 .57376 L
.50947 .57252 L
.51654 .56872 L
.52259 .56367 L
.52891 .55613 L
.5341 .54748 L
.53656 .5422 L
.53861 .53695 L
.54167 .5265 L
.54381 .5146 L
.54446 .50772 L
.5447 .50136 L
.54434 .49071 L
.54286 .47931 L
.54014 .46803 L
.5366 .45834 L
.53417 .45327 L
Mistroke
.53124 .44819 L
.52842 .44413 L
.5252 .44027 L
.51859 .43436 L
.51202 .43063 L
.50825 .42932 L
.50414 .42853 L
.49666 .42873 L
.49215 .42988 L
.48795 .43168 L
.48429 .43386 L
.48045 .43684 L
.47407 .44361 L
.46891 .45132 L
.46419 .46116 L
.46223 .46656 L
.46042 .47277 L
.45824 .48372 L
.4575 .49004 L
.45714 .49587 L
.45729 .5072 L
.45847 .51773 L
.46051 .52741 L
.46362 .53701 L
.46697 .54448 L
.47134 .55178 L
.47669 .55832 L
.48309 .56371 L
.48956 .56707 L
.49571 .56861 L
.50245 .56857 L
.50954 .56659 L
.51595 .56293 L
.52139 .55819 L
.52718 .55106 L
.53008 .54637 L
.5325 .54167 L
.53624 .53223 L
.53776 .52715 L
.53911 .52135 L
.54017 .51523 L
.54084 .50931 L
.54122 .49807 L
.54093 .49182 L
.54034 .48609 L
.53935 .47995 L
.53791 .47361 L
.53633 .46831 L
.53432 .46288 L
.52989 .45394 L
Mistroke
.52474 .44659 L
.5194 .44118 L
.5132 .43699 L
.50702 .43463 L
.50133 .4339 L
.49515 .4346 L
.48859 .43711 L
.4854 .43905 L
.48201 .44167 L
.47644 .44751 L
.47181 .45423 L
.46804 .46159 L
.46483 .47016 L
.46275 .47801 L
.46121 .48697 L
.46044 .49692 L
.46067 .50756 L
.46187 .51739 L
.46375 .52592 L
.46693 .5354 L
.4689 .53979 L
.47131 .54428 L
.47617 .55123 L
.48129 .55644 L
.48461 .55893 L
.48787 .56081 L
.49421 .56301 L
.49782 .56347 L
.50118 .5634 L
.50484 .56278 L
.50868 .56149 L
.51437 .55831 L
.52009 .55333 L
.52496 .54728 L
.52887 .54072 L
.53247 .5325 L
.53414 .52748 L
.53544 .52261 L
.53728 .51235 L
.53783 .50645 L
.53803 .50104 L
.53767 .49143 L
.53651 .48264 L
.53435 .47346 L
.53107 .46437 L
.52909 .46022 L
.52668 .45603 L
.52172 .44944 L
.51631 .44446 L
.51089 .44123 L
Mistroke
.50513 .43939 L
.4996 .43904 L
.49465 .43988 L
.48943 .44199 L
.48401 .44566 L
.47874 .45098 L
.47471 .45658 L
.47091 .4637 L
.46908 .46807 L
.46736 .4731 L
.46502 .48278 L
.46375 .49265 L
.46349 .50193 L
.4642 .51183 L
.46505 .51733 L
.46614 .52233 L
.46758 .52738 L
.46915 .53178 L
.47111 .53631 L
.47348 .54078 L
.47775 .54695 L
.48221 .55162 L
.48512 .55392 L
.48798 .55568 L
.49353 .55788 L
.49954 .55859 L
.50508 .55776 L
.51099 .55526 L
.51385 .55338 L
.51687 .55087 L
.52187 .54525 L
.52593 .5389 L
.52963 .53087 L
.5313 .52599 L
.53257 .52137 L
.53424 .51251 L
.53479 .50738 L
.53505 .50263 L
.53488 .49388 L
.53383 .48485 L
.53213 .47708 L
.52958 .46933 L
.52653 .46271 L
.52326 .45739 L
.51891 .45214 L
.51368 .44779 L
.50839 .44508 L
.50334 .44386 L
.49793 .44392 L
.49219 .44554 L
Mistroke
.487 .4485 L
.48256 .45235 L
.47787 .4581 L
.4755 .4619 L
.47352 .46573 L
.47045 .47342 L
.46908 .47803 L
.46807 .48236 L
.46724 .48706 L
.46665 .49212 L
.46631 .5013 L
.46653 .5064 L
.467 .51109 L
.46779 .51614 L
.46897 .52138 L
.47023 .5257 L
.47187 .53017 L
.47549 .53754 L
.47971 .54361 L
.48412 .5481 L
.48881 .55133 L
.49402 .55341 L
.49858 .55406 L
.50359 .55358 L
.50887 .55168 L
.51172 .55 L
.51423 .54812 L
.51878 .54352 L
.52262 .53815 L
.52572 .53233 L
.52841 .52547 L
.53018 .51916 L
.53154 .51189 L
.53228 .50384 L
.53223 .49514 L
.53138 .48706 L
.52994 .47998 L
.5275 .47224 L
.52581 .46825 L
.52409 .46488 L
.52026 .45906 L
.51617 .4546 L
.51367 .45255 L
.51092 .45078 L
.50579 .44871 L
.50287 .44817 L
.50012 .44807 L
.49712 .44841 L
.49394 .44929 L
.48881 .45192 L
Mistroke
.48605 .45401 L
.48363 .45632 L
.47953 .46141 L
.47579 .4679 L
.47308 .47447 L
.47111 .48116 L
.46966 .48891 L
.46895 .49752 L
.46912 .50589 L
.47001 .51332 L
.47185 .5215 L
.47436 .52859 L
.47728 .53448 L
.48043 .53919 L
.48431 .54346 L
.48879 .54686 L
.49358 .54903 L
.49635 .54967 L
.49889 .54989 L
.50383 .54932 L
.5084 .54758 L
.51088 .5461 L
.51343 .54415 L
.51768 .53973 L
.52005 .53649 L
.52209 .5331 L
.52385 .52955 L
.52532 .52603 L
.52754 .51894 L
.52842 .515 L
.52914 .51067 L
.52963 .50604 L
.52984 .50162 L
.52958 .49336 L
.52857 .48584 L
.527 .47922 L
.52462 .4725 L
.52141 .46618 L
.51761 .46089 L
.51525 .45841 L
.51297 .45648 L
.5083 .4537 L
.50366 .45231 L
.50101 .45207 L
.49819 .45225 L
.49319 .4537 L
.49023 .45527 L
.48755 .45721 L
.48506 .45951 L
.48292 .46195 L
Mistroke
.47959 .46678 L
.47657 .47279 L
.47433 .47898 L
.47276 .48527 L
.47165 .49291 L
.47132 .50013 L
.47174 .50802 L
.47227 .51191 L
.47307 .5161 L
.47401 .51976 L
.4752 .52345 L
.47781 .52954 L
.48124 .53521 L
.48343 .53797 L
.48561 .54019 L
.48986 .54337 L
.49395 .5452 L
.49628 .54578 L
.49882 .54604 L
.50343 .54554 L
.50756 .544 L
.51126 .54166 L
.51504 .53816 L
.51868 .5334 L
.52192 .52746 L
.52438 .52108 L
.52601 .51489 L
.52713 .50781 L
.52754 .50092 L
.52735 .49468 L
.52649 .48764 L
.52505 .48133 L
.52322 .47586 L
.52113 .47126 L
.51845 .46677 L
.51523 .46278 L
.5114 .45942 L
.50911 .45799 L
.50693 .45697 L
.50282 .45591 L
.49841 .45593 L
.49452 .45694 L
.49099 .45872 L
.48732 .46155 L
.48372 .46555 L
.48054 .47045 L
.47766 .47667 L
.47648 .48008 L
.47543 .48389 L
.47411 .49107 L
Mistroke
.47356 .49849 L
.47375 .5055 L
.47452 .51164 L
.47595 .518 L
.47786 .5236 L
.48009 .52835 L
.48298 .5329 L
.48651 .53689 L
.49058 .53998 L
.49469 .5418 L
.49848 .54247 L
.50263 .54214 L
.50615 .541 L
.50987 .53883 L
.5135 .53562 L
.51659 .53179 L
.51912 .5276 L
.52111 .5233 L
.52289 .51816 L
.52427 .51238 L
.52517 .5058 L
.52539 .50201 L
.5254 .49852 L
.52496 .49216 L
.52385 .48565 L
.52231 .48017 L
.52045 .47544 L
.51798 .47079 L
.51487 .46656 L
.51118 .46304 L
.50895 .46153 L
.5068 .46046 L
.50275 .45933 L
.50046 .45918 L
.49838 .45935 L
.4945 .46044 L
.49048 .46272 L
.48695 .46587 L
.48401 .46954 L
.48158 .47358 L
.47939 .47847 L
.47775 .4835 L
.47664 .48836 L
.47584 .49427 L
.47559 .50082 L
.47596 .50696 L
.47681 .51248 L
.47818 .51786 L
.47989 .52254 L
.48219 .52716 L
Mistroke
.48512 .53143 L
.48841 .53482 L
.49218 .53738 L
.49558 .53871 L
.49937 .53921 L
.50351 .53862 L
.50721 .53706 L
.50908 .53586 L
.51105 .53426 L
.51302 .53226 L
.51471 .53017 L
.51751 .52573 L
.51876 .52318 L
.51997 .52022 L
.52171 .51459 L
.52281 .5089 L
.52339 .50275 L
.52339 .49713 L
.52276 .49075 L
.52158 .48502 L
.52 .48004 L
.51817 .47586 L
.51578 .47181 L
.51289 .46822 L
.50939 .46522 L
.50597 .46338 L
.50402 .46276 L
.50187 .46239 L
.49795 .46258 L
.49434 .46375 L
.4907 .46599 L
.4878 .46867 L
.48493 .47236 L
.48338 .47492 L
.48206 .47755 L
.48 .48297 L
.4791 .4862 L
.47843 .48932 L
.4779 .49282 L
.47757 .49662 L
.47747 .49994 L
.47758 .50354 L
.47787 .50689 L
.47831 .50992 L
.47956 .51543 L
.48144 .5208 L
.4837 .52529 L
.48506 .52739 L
.48661 .52941 L
.48973 .53248 L
Mistroke
.49285 .53453 L
.49597 .53574 L
.49897 .53618 L
.50228 .53588 L
.50576 .53467 L
.50909 .53255 L
.51087 .53097 L
.51244 .52927 L
.51532 .52521 L
.51673 .52262 L
.51788 .52008 L
.51958 .51516 L
.52086 .50944 L
.52151 .50381 L
.52162 .49854 L
.52129 .49368 L
.52048 .48861 L
.51931 .48407 L
.5179 .4802 L
.5159 .47611 L
.51331 .47229 L
.51054 .46937 L
.50776 .46732 L
.50445 .46584 L
.50123 .46526 L
.49833 .46543 L
.49524 .46634 L
.49199 .46818 L
.48881 .47101 L
.48636 .47409 L
.48402 .47808 L
.48197 .48297 L
.48056 .48791 L
.48002 .49061 L
.47958 .49366 L
.4793 .49689 L
.47921 .49994 L
.47949 .50549 L
.48022 .51042 L
.48153 .51555 L
.48344 .52047 L
.48544 .52413 L
.48791 .52745 L
.4905 .52996 L
.49303 .53167 L
.49615 .53294 L
.49962 .53339 L
.50289 .53292 L
.50583 .53173 L
.50881 .5297 L
Mistroke
.51175 .52669 L
.5142 .52316 L
.51611 .51943 L
.5179 .51455 L
.51868 .5116 L
.51924 .50878 L
.51986 .50346 L
.51996 .50074 L
.51992 .49773 L
.51972 .49485 L
.51934 .49187 L
.51824 .48674 L
.51741 .48404 L
.51649 .48166 L
.51527 .47907 L
.51398 .47682 L
.51134 .47332 L
.50865 .47084 L
.50552 .469 L
.50369 .46835 L
.50197 .46801 L
.49876 .46805 L
.49576 .46888 L
.49316 .47026 L
.49048 .47242 L
.48785 .47548 L
.48542 .47945 L
.48355 .48377 L
.48225 .48806 L
.48135 .49268 L
.4809 .49707 L
.48086 .50193 L
.4813 .50699 L
.48209 .51123 L
.48316 .51497 L
.48466 .51876 L
.48663 .52237 L
.48788 .52415 L
.4893 .52584 L
.49208 .52829 L
.49371 .52931 L
.4953 .53003 L
.49707 .53055 L
.499 .53081 L
.50058 .53077 L
.50229 .53048 L
.50405 .52991 L
.50566 .52913 L
.5084 .52717 L
.51109 .52433 L
Mistroke
.5134 .52087 L
.51447 .51881 L
.51547 .51648 L
.51695 .51186 L
.51788 .50731 L
.51835 .50279 L
.5184 .49851 L
.51804 .49388 L
.51717 .48909 L
.5165 .48662 L
.51575 .4844 L
.51404 .48058 L
.51182 .47703 L
.51042 .47533 L
.50905 .47398 L
.5066 .47216 L
.50376 .4709 L
.5007 .4704 L
.49785 .47071 L
.49624 .47121 L
.49454 .47203 L
.49299 .47304 L
.49161 .47418 L
.48918 .47685 L
.48692 .48032 L
.48591 .48234 L
.48495 .48466 L
.48357 .48919 L
.48299 .49196 L
.48257 .49495 L
.48236 .49754 L
.4823 .50039 L
.48239 .50287 L
.48263 .50552 L
.48344 .51019 L
.48467 .51443 L
.48617 .51799 L
.48814 .52136 L
.4894 .52302 L
.49066 .52439 L
.49203 .52561 L
.49339 .52658 L
.49502 .52744 L
.49653 .528 L
.49918 .52843 L
.502 .52816 L
.50436 .52733 L
.50686 .52581 L
.50934 .52351 L
.51063 .52194 L
Mistroke
.51172 .52034 L
.51351 .51702 L
.51503 .51309 L
.51611 .50891 L
.51654 .50645 L
.51681 .50413 L
.517 .49983 L
.51676 .49529 L
.51616 .49136 L
.51529 .48785 L
.514 .48428 L
.51228 .48086 L
.51011 .47779 L
.50875 .47635 L
.50741 .47521 L
.50483 .47366 L
.50333 .4731 L
.50195 .47279 L
.49932 .47274 L
.4965 .47345 L
.49394 .47482 L
.49174 .47667 L
.48984 .47886 L
.48803 .48166 L
.48658 .48467 L
.48549 .48767 L
.48452 .49143 L
.48388 .49572 L
.48367 .49986 L
.48382 .50368 L
.48433 .50752 L
.48511 .51095 L
.48629 .51447 L
.48791 .51787 L
.48982 .52076 L
.49212 .5232 L
.49426 .52474 L
.49672 .52582 L
.49949 .52625 L
.50204 .52594 L
.50336 .52551 L
.50477 .52484 L
.5062 .52391 L
.50749 .52285 L
.50968 .52042 L
.51144 .51772 L
.5123 .51606 L
.51314 .51413 L
.51438 .51034 L
.5152 .50637 L
Mistroke
.51561 .50264 L
.51566 .49829 L
.51529 .49426 L
.51461 .49066 L
.5137 .48754 L
.51242 .48439 L
.51078 .48146 L
.50869 .47879 L
.50657 .47692 L
.50532 .47612 L
.50393 .47547 L
.50133 .47483 L
.49887 .47491 L
.49631 .47569 L
.49421 .47691 L
.49205 .4788 L
.49085 .48019 L
.48979 .48169 L
.48804 .48488 L
.48722 .48685 L
.48656 .48879 L
.48596 .49101 L
.48546 .49346 L
.48516 .49565 L
.48497 .49805 L
.48493 .50033 L
.485 .50242 L
.48543 .50632 L
.48629 .51023 L
.48746 .51364 L
.48827 .51541 L
.48909 .51693 L
.4908 .51939 L
.49284 .5215 L
.49482 .5229 L
.49676 .52376 L
.49896 .5242 L
.50135 .52406 L
.50369 .52329 L
.50498 .52258 L
.50614 .52175 L
.50832 .5196 L
.50943 .51815 L
.51037 .51668 L
.51184 .51374 L
.51309 .51019 L
.51391 .50658 L
.51435 .50311 L
.51448 .49982 L
.5143 .4963 L
Mistroke
.51384 .49307 L
.51319 .49024 L
.51215 .48716 L
.51071 .48413 L
.50909 .48168 L
.5074 .47981 L
.50531 .4782 L
.50323 .47721 L
.50131 .47678 L
.4992 .47681 L
.49694 .47742 L
.49464 .4787 L
.49281 .48028 L
.49099 .48249 L
.4893 .48535 L
.48802 .48837 L
.48747 .49006 L
.48697 .492 L
.48656 .49409 L
.4863 .4961 L
.48609 .49983 L
.48623 .50324 L
.48675 .50689 L
.48767 .5105 L
.48874 .5133 L
.49014 .51596 L
.49168 .5181 L
.49322 .5197 L
.4952 .52112 L
.49746 .52206 L
.49965 .52235 L
.50167 .52211 L
.50378 .52131 L
.50592 .51986 L
.50778 .51797 L
.5093 .51584 L
.51082 .51293 L
.51153 .51112 L
.51209 .50935 L
.51286 .50593 L
.51312 .50415 L
.5133 .50214 L
.51336 .50019 L
.51331 .49814 L
.51294 .49454 L
.51257 .4926 L
.51213 .49085 L
.51154 .48902 L
.5108 .48718 L
.51007 .4857 L
Mistroke
.50919 .48422 L
.50834 .48303 L
.50738 .48192 L
.50542 .48021 L
.50347 .47915 L
.50142 .4786 L
.49916 .47861 L
.49705 .47921 L
.49517 .48026 L
.49343 .48174 L
.49198 .48343 L
.4905 .48575 L
.48933 .48826 L
.48831 .49128 L
.48758 .4947 L
.48724 .49773 L
.48718 .5011 L
.48749 .50468 L
.48782 .50663 L
.48823 .50835 L
.48927 .51148 L
.49054 .51412 L
.49181 .51607 L
.49339 .51785 L
.4952 .51927 L
.497 .52015 L
.49873 .52057 L
.50033 .5206 L
.50208 .52025 L
.50386 .51946 L
.50559 .51822 L
.50729 .51645 L
.50872 .5144 L
.50983 .51226 L
.51091 .50946 L
.51139 .50777 L
.51175 .50617 L
.51218 .50311 L
.51233 .49981 L
.51216 .49662 L
.51162 .49325 L
.51079 .49027 L
.50977 .48774 L
.50854 .48553 L
.50726 .48381 L
.50563 .48221 L
.50397 .48111 L
.50205 .48039 L
.49998 .48019 L
.49822 .48048 L
Mistroke
.49635 .48127 L
.49444 .48266 L
.49344 .48367 L
.49259 .48472 L
.49111 .48708 L
.48996 .48965 L
.48918 .49206 L
.48857 .49487 L
.48822 .49793 L
.48817 .50083 L
.48835 .50351 L
.48872 .50589 L
.48937 .50852 L
.49019 .51083 L
.49129 .51307 L
.49267 .51513 L
.49415 .5167 L
.49559 .5178 L
.4974 .51866 L
.49844 .51893 L
.49942 .51903 L
.5012 .51888 L
.50306 .51823 L
.50468 .51721 L
.50629 .5157 L
.50766 .5139 L
.50875 .51199 L
Mfstroke
.63662 .5 m
.63518 .46959 L
.6314 .44243 L
.62419 .4122 L
.6147 .38523 L
.60375 .36218 L
.59195 .34292 L
.57733 .32447 L
.56023 .30849 L
.54177 .29666 L
.52093 .28911 L
.5008 .28719 L
.48244 .28991 L
.46153 .2984 L
.45017 .3056 L
.44003 .31373 L
.42272 .33193 L
.40644 .3554 L
.39237 .38321 L
.38219 .41121 L
.37799 .42654 L
.3743 .44377 L
.37151 .46208 L
.36989 .47936 L
.36942 .51137 L
.37182 .54026 L
.3743 .55593 L
.37791 .57263 L
.3868 .60167 L
.3971 .6256 L
.41087 .64933 L
.42759 .67038 L
.44508 .686 L
.46256 .69646 L
.47927 .70227 L
.49798 .7043 L
.51764 .70144 L
.52808 .6978 L
.53914 .69225 L
.55823 .67817 L
.5752 .65998 L
.58906 .63987 L
.60182 .61517 L
.61286 .58527 L
.61714 .56943 L
.62075 .55197 L
.6232 .53521 L
.6246 .51974 L
.62507 .48971 L
.62286 .46215 L
Mistroke
.61755 .43274 L
.61331 .41692 L
.60872 .40308 L
.59848 .37914 L
.58503 .35601 L
.57033 .33738 L
.5554 .32351 L
.53667 .31177 L
.52573 .30744 L
.5156 .30496 L
.4957 .30425 L
.47705 .30856 L
.46676 .31307 L
.45617 .31944 L
.43824 .33463 L
.42903 .34498 L
.42097 .35578 L
.41289 .36864 L
.40496 .38383 L
.39362 .41248 L
.38882 .42906 L
.38527 .4449 L
.38118 .47406 L
.38018 .49058 L
.38008 .50559 L
.38095 .52322 L
.38269 .53927 L
.38562 .55657 L
.38986 .57433 L
.39446 .58923 L
.39949 .60257 L
.41344 .63039 L
.42763 .6505 L
.43622 .65996 L
.44473 .66773 L
.46061 .67856 L
.47908 .68595 L
.48904 .68781 L
.49961 .68823 L
.51839 .685 L
.52864 .68105 L
.53795 .67602 L
.54782 .66909 L
.5579 .66013 L
.57341 .64185 L
.58789 .6181 L
.59898 .59269 L
.60675 .56734 L
.61159 .54343 L
.61447 .51643 L
Mistroke
.6147 .48803 L
.61233 .46176 L
.60767 .43686 L
.60004 .41109 L
.59054 .38863 L
.57992 .36986 L
.56788 .35367 L
.55584 .34138 L
.54088 .33034 L
.52602 .3233 L
.50923 .31956 L
.49134 .32023 L
.47628 .32455 L
.46036 .33308 L
.4443 .34641 L
.43594 .35558 L
.4288 .3649 L
.41637 .38533 L
.4066 .40701 L
.39912 .42981 L
.39346 .45569 L
.39051 .48087 L
.38987 .50417 L
.39148 .52983 L
.39599 .55712 L
.39932 .5704 L
.40363 .58408 L
.41326 .60711 L
.42584 .6287 L
.4339 .63934 L
.44186 .64802 L
.45761 .66091 L
.46599 .66578 L
.47546 .6698 L
.49224 .67334 L
.5104 .6722 L
.52719 .6665 L
.54185 .65755 L
.55569 .64517 L
.56901 .62871 L
.57999 .61052 L
.58841 .59223 L
.59632 .56886 L
.6022 .54212 L
.60511 .51603 L
.60547 .49185 L
.60378 .46926 L
.60047 .44873 L
.59497 .42711 L
.58704 .40548 L
Mistroke
.5766 .38497 L
.56498 .36812 L
.5533 .35548 L
.53955 .34476 L
.52388 .33708 L
.50906 .33372 L
.49179 .33433 L
.47565 .33933 L
.46142 .34756 L
.449 .35811 L
.43653 .37259 L
.42484 .39092 L
.41427 .41382 L
.40944 .42774 L
.40576 .44107 L
.40098 .4665 L
.39958 .4796 L
.39883 .49409 L
.39949 .51919 L
.40094 .53307 L
.40293 .54551 L
.40856 .56881 L
.41595 .58942 L
.42554 .60881 L
.43817 .62729 L
.44521 .63522 L
.45325 .64265 L
.46876 .65289 L
.48415 .65847 L
.50072 .6599 L
.51482 .65745 L
.52981 .651 L
.5386 .64522 L
.54655 .63855 L
.56029 .62317 L
.57308 .60293 L
.57923 .59012 L
.58416 .57757 L
.59068 .55537 L
.5934 .54222 L
.59527 .52967 L
.59704 .50401 L
.59685 .48956 L
.59594 .47646 L
.59221 .45186 L
.58644 .42985 L
.57948 .41146 L
.57024 .39347 L
.55831 .37653 L
.55169 .36925 L
Mistroke
.54402 .36233 L
.52959 .35299 L
.51546 .34788 L
.50086 .3464 L
.48708 .34845 L
.47498 .35308 L
.46238 .36098 L
.44962 .37271 L
.43746 .38835 L
.42844 .40393 L
.42016 .42305 L
.41325 .44587 L
.41071 .45786 L
.40866 .47124 L
.40695 .49535 L
.40757 .51778 L
.409 .53127 L
.41105 .54375 L
.41669 .56614 L
.42083 .57798 L
.42523 .58833 L
.43707 .60932 L
.44831 .6234 L
.45991 .63389 L
.47357 .64211 L
.48893 .64681 L
.49675 .6475 L
.50528 .64699 L
.52057 .64268 L
.5348 .63448 L
.54708 .6236 L
.55809 .61006 L
.56818 .59321 L
.5754 .57709 L
.58167 .558 L
.58639 .53619 L
.58807 .52361 L
.58898 .51205 L
.58905 .48948 L
.58708 .46845 L
.58347 .44942 L
.57788 .43032 L
.57174 .41518 L
.56366 .40006 L
.55361 .38601 L
.54147 .37379 L
.52903 .36535 L
.51707 .36046 L
.50275 .35835 L
.49471 .35888 L
Mistroke
.48747 .36042 L
.47372 .36623 L
.46147 .37494 L
.4549 .3812 L
.44837 .38875 L
.43783 .40446 L
.42842 .42401 L
.42407 .43609 L
.4207 .44787 L
.41641 .46998 L
.4145 .49153 L
.41461 .51098 L
.41668 .53181 L
.42117 .55356 L
.42429 .56402 L
.42835 .57503 L
.43703 .59283 L
.44674 .60725 L
.45743 .61881 L
.46991 .62807 L
.48238 .63364 L
.49405 .63589 L
.50787 .63505 L
.51556 .63292 L
.52251 .62992 L
.53478 .62194 L
.54675 .61026 L
.55695 .59631 L
.56624 .57879 L
.5732 .56032 L
.57788 .54224 L
.57991 .53087 L
.58122 .52015 L
.58202 .50827 L
.58214 .49559 L
.58154 .48355 L
.58035 .47236 L
.57654 .45209 L
.57169 .43567 L
.5648 .41909 L
.55603 .40375 L
.54659 .39163 L
.53681 .38245 L
.5273 .37611 L
.51582 .37133 L
.50467 .36943 L
.49252 .3703 L
.47987 .3745 L
.46952 .38066 L
.45884 .39001 L
Mistroke
.44848 .40273 L
.43889 .4191 L
.43156 .43661 L
.42647 .45399 L
.42277 .4743 L
.42123 .49396 L
.42148 .51168 L
.42347 .53053 L
.42765 .55028 L
.4305 .55975 L
.4342 .56966 L
.44205 .58573 L
.45076 .59872 L
.46066 .60948 L
.47088 .61729 L
.48056 .62214 L
.49144 .62499 L
.5034 .62516 L
.51597 .62198 L
.52632 .61663 L
.53709 .60806 L
.54778 .59577 L
.5575 .58 L
.56432 .56463 L
.57005 .54628 L
.57243 .53537 L
.57404 .52522 L
.57522 .51333 L
.57566 .50201 L
.57484 .48196 L
.57347 .47086 L
.57164 .46084 L
.56704 .44364 L
.56129 .42875 L
.55352 .41414 L
.54368 .40087 L
.53827 .39531 L
.53206 .39014 L
.52009 .38327 L
.50791 .37991 L
.49646 .37983 L
.48417 .38305 L
.47816 .38593 L
.47176 .39003 L
.4611 .39956 L
.45214 .41082 L
.44307 .42665 L
.43644 .44302 L
.43351 .45269 L
.43095 .46359 L
Mistroke
.42916 .47417 L
.42805 .48411 L
.42739 .50203 L
.42832 .51874 L
.43103 .53657 L
.43586 .55474 L
.44246 .57121 L
.44641 .57875 L
.45116 .58634 L
.46057 .59792 L
.47027 .60627 L
.48049 .61202 L
.49203 .61528 L
.50308 .61545 L
.51317 .6131 L
.52201 .60897 L
.53126 .60233 L
.54021 .59324 L
.54774 .58294 L
.55533 .56901 L
.56117 .55425 L
.56518 .54 L
.56814 .52374 L
.56961 .50563 L
.56964 .49545 L
.56918 .48629 L
.56695 .46878 L
.56331 .45307 L
.5582 .43829 L
.55128 .42406 L
.54351 .41246 L
.53557 .4037 L
.5254 .39585 L
.51935 .39268 L
.51362 .39058 L
.5029 .38887 L
.49152 .39012 L
.48091 .39421 L
.47011 .4016 L
.46076 .4112 L
.45314 .42197 L
.44559 .43658 L
.44204 .44566 L
.43924 .45451 L
.43545 .47154 L
.4341 .48137 L
.43336 .49041 L
.43322 .50663 L
.43471 .52353 L
.43727 .53749 L
Mistroke
.44139 .55199 L
.44726 .5663 L
.45504 .57974 L
.46358 .59026 L
.47218 .59775 L
.48143 .60308 L
.49033 .60594 L
.50028 .6067 L
.51079 .60478 L
.51963 .6009 L
.52755 .59547 L
.53566 .58766 L
.54353 .57726 L
.55068 .56436 L
.55598 .55124 L
.56053 .53483 L
.5632 .5185 L
.56419 .50303 L
.56384 .48876 L
.56207 .47339 L
.55866 .45781 L
.55372 .44325 L
.55033 .43571 L
.54688 .42927 L
.53931 .41822 L
.53119 .40969 L
.52631 .40583 L
.52091 .40249 L
.51082 .39859 L
.50449 .39758 L
.49851 .39759 L
.49316 .39841 L
.48745 .40012 L
.47713 .4056 L
.46817 .41322 L
.46339 .41861 L
.45933 .42409 L
.45496 .43115 L
.45132 .43823 L
.44528 .45376 L
.44282 .46253 L
.44078 .47217 L
.43874 .48886 L
.43836 .49848 L
.43853 .5075 L
.44006 .52329 L
.44333 .5392 L
.4474 .55189 L
.45308 .5645 L
.46051 .57631 L
Mistroke
.46518 .58196 L
.46969 .58642 L
.47907 .59319 L
.48843 .5971 L
.49753 .59847 L
.50731 .59741 L
.51634 .59403 L
.52421 .58903 L
.53277 .58099 L
.53723 .57549 L
.54105 .56984 L
.54725 .55824 L
.55253 .54444 L
.55617 .5303 L
.55852 .51431 L
.55918 .4989 L
.55844 .48484 L
.55614 .4697 L
.55417 .46146 L
.55192 .45409 L
.54623 .44032 L
.54242 .43339 L
.53861 .42764 L
.53154 .41929 L
.5233 .41245 L
.51582 .40838 L
.50727 .40589 L
.49795 .40559 L
.48805 .408 L
.47906 .41281 L
.47136 .41922 L
.46432 .42739 L
.45853 .43637 L
.45311 .44755 L
.44855 .4607 L
.44545 .47411 L
.44373 .48723 L
.44318 .49919 L
.44367 .51209 L
.4456 .52659 L
.4486 .53917 L
.45342 .5526 L
.45922 .5639 L
.4655 .57285 L
.47197 .57967 L
.47967 .58539 L
.48832 .58928 L
.49724 .59083 L
.50228 .59065 L
.50688 .58983 L
Mistroke
.51519 .58669 L
.5235 .58121 L
.52767 .57743 L
.53189 .57278 L
.53877 .56294 L
.54245 .5561 L
.54552 .54915 L
.5481 .54204 L
.55013 .53509 L
.55291 .52165 L
.55384 .51431 L
.55442 .50634 L
.55454 .49797 L
.55421 .49006 L
.55242 .47552 L
.54943 .46261 L
.54557 .45148 L
.54025 .44048 L
.53349 .43046 L
.5292 .42565 L
.52502 .42185 L
.52022 .41841 L
.51496 .41563 L
.51025 .41396 L
.5058 .41303 L
.50087 .41273 L
.49561 .41324 L
.49097 .41441 L
.48601 .41643 L
.48147 .41903 L
.47741 .42201 L
.47021 .4291 L
.46341 .43848 L
.45796 .44883 L
.45323 .46148 L
.45003 .47438 L
.44824 .48691 L
.44762 .49954 L
.44806 .51097 L
.44973 .52387 L
.45241 .53546 L
.4565 .54724 L
.46202 .55834 L
.46759 .56648 L
.47446 .57379 L
.48255 .57953 L
.48731 .58172 L
.49175 .58305 L
.5005 .58377 L
.50874 .58219 L
Mistroke
.51554 .57916 L
.52266 .5741 L
.52952 .56702 L
.53526 .55889 L
.53989 .55019 L
.54346 .54141 L
.54656 .53107 L
.54884 .51959 L
.55008 .50755 L
.55019 .49456 L
.54912 .48247 L
.54721 .47184 L
.54384 .46005 L
.54144 .45384 L
.53894 .44846 L
.53365 .43954 L
.5272 .43167 L
.52028 .42578 L
.51219 .42151 L
.50424 .41963 L
.49679 .41981 L
.48951 .42181 L
.48314 .42514 L
.47621 .43067 L
.47024 .43741 L
.46447 .4463 L
.45941 .45714 L
.45603 .46732 L
.45341 .47921 L
.45192 .49254 L
.4517 .5001 L
.45189 .50697 L
.45331 .52008 L
.4559 .53193 L
.45899 .54136 L
.46329 .55083 L
.46866 .55944 L
.47439 .56616 L
.48023 .57109 L
.4859 .57439 L
.49236 .57662 L
.49929 .57734 L
.50634 .57635 L
.51368 .5734 L
.52026 .56892 L
.52581 .5635 L
.53171 .55565 L
.53713 .54558 L
.5412 .53487 L
.54395 .52422 L
Mistroke
.54578 .51211 L
.54638 .50038 L
.54596 .48987 L
.54449 .47869 L
.54173 .46717 L
.53991 .46167 L
.53757 .45592 L
.5327 .44674 L
.52734 .43941 L
.52169 .4338 L
.51527 .42941 L
.50952 .42699 L
.50306 .42577 L
.49605 .42618 L
.48868 .42857 L
.48205 .43261 L
.47641 .43769 L
.47036 .4453 L
.4649 .455 L
.46114 .46437 L
.45804 .47557 L
.45683 .48214 L
.45605 .48827 L
.45555 .49543 L
.45548 .50226 L
.45633 .51425 L
.45735 .52087 L
.45864 .52683 L
.46205 .53782 L
.46627 .54714 L
.47079 .55444 L
.47636 .56103 L
.48309 .56648 L
.48666 .56849 L
.4907 .57009 L
.49799 .57135 L
.50483 .5707 L
.51187 .56813 L
.5153 .56612 L
.51895 .56337 L
.52497 .55725 L
.52999 .55015 L
.53255 .54557 L
.53497 .5404 L
.53854 .53038 L
.54008 .52444 L
.5412 .51875 L
.5421 .51237 L
.54264 .50546 L
.5426 .4938 L
Mistroke
.54205 .4873 L
.54122 .48142 L
.53888 .47103 L
.53533 .46088 L
.53131 .45276 L
.5269 .44616 L
.52146 .44019 L
.51507 .43542 L
.50851 .43255 L
.50226 .43148 L
.49537 .43209 L
.49157 .43324 L
.4882 .43477 L
.48226 .43874 L
.47633 .44463 L
.47136 .45156 L
.46741 .45893 L
.46424 .46686 L
.46192 .4748 L
.46011 .48396 L
.45908 .49407 L
.45903 .50479 L
.45994 .51477 L
.46153 .52343 L
.46406 .53232 L
.46767 .54112 L
.47169 .54825 L
.47679 .55485 L
.48277 .56023 L
.48839 .56352 L
.49382 .5653 L
.49989 .56583 L
.50634 .56473 L
.50994 .56335 L
.51318 .56161 L
.51662 .55919 L
.52008 .55608 L
.52544 .54968 L
.53049 .54114 L
.53413 .53244 L
.53704 .52222 L
.53876 .51202 L
.53942 .50246 L
.53911 .49155 L
.53852 .48612 L
.53754 .48026 L
.535 .47041 L
.53173 .46193 L
.52951 .45751 L
.52691 .45324 L
Mistroke
.5217 .44668 L
.51853 .44369 L
.51543 .44136 L
.5119 .43933 L
.50801 .4378 L
.50134 .43675 L
.49756 .43699 L
.49411 .43776 L
.48792 .44047 L
.48492 .44246 L
.48176 .44512 L
.47668 .45076 L
.47191 .45817 L
.46817 .46626 L
.46549 .47438 L
.46335 .4843 L
.46229 .49402 L
.46215 .50284 L
.46287 .51227 L
.46466 .52221 L
.46594 .52697 L
.46762 .53197 L
.47127 .54009 L
.47537 .54667 L
.48008 .55216 L
.48497 .55619 L
.48963 .55876 L
.49488 .56038 L
.50068 .5607 L
.50679 .55943 L
.51185 .55704 L
.51712 .55309 L
.52241 .54729 L
.52481 .54385 L
.52722 .53972 L
.53088 .5316 L
.5335 .52329 L
.5347 .51796 L
.53554 .51279 L
.53634 .50292 L
.53635 .49735 L
.53608 .49226 L
.53547 .48674 L
.53448 .48105 L
.53226 .47261 L
.52901 .46433 L
.52522 .45744 L
.52121 .4521 L
.51598 .44714 L
.51282 .44501 L
Mistroke
.5098 .44348 L
.50409 .44186 L
.49792 .44184 L
.49215 .44342 L
.48898 .445 L
.48611 .44689 L
.48068 .4519 L
.4779 .45535 L
.47556 .45885 L
.47187 .4659 L
.4687 .47448 L
.46658 .48324 L
.46542 .4917 L
.46512 .49647 L
.46507 .50162 L
.46569 .51084 L
.46652 .51632 L
.46761 .52137 L
.46883 .52574 L
.47042 .53028 L
.47442 .53866 L
.47705 .54275 L
.47965 .54604 L
.48225 .54873 L
.48521 .5512 L
.48813 .55309 L
.4909 .55442 L
.49608 .55585 L
.5017 .55591 L
.50695 .55459 L
.51157 .55224 L
.51667 .54817 L
.51935 .54529 L
.52167 .54228 L
.52548 .53596 L
.52881 .5283 L
.5312 .52032 L
.53287 .51117 L
.53354 .50227 L
.53337 .49408 L
.53232 .4852 L
.53132 .48034 L
.53015 .47599 L
.5271 .46781 L
.52502 .46366 L
.52293 .46021 L
.51887 .45501 L
.51466 .45116 L
.50971 .44814 L
.50413 .44641 L
Mistroke
.5013 .44614 L
.4982 .44631 L
.49264 .44784 L
.48746 .45079 L
.48299 .45474 L
.47885 .45987 L
.47546 .46559 L
.47288 .47135 L
.47065 .47812 L
.46891 .48601 L
.46793 .49466 L
.46779 .50214 L
.46838 .51026 L
.46905 .51473 L
.47005 .51944 L
.47254 .5275 L
.47575 .53453 L
.47932 .54013 L
.48372 .54507 L
.48643 .5473 L
.48908 .549 L
.49195 .55036 L
.49464 .5512 L
.49763 .55168 L
.50078 .55168 L
.50573 .55062 L
.51082 .54811 L
.51533 .54451 L
.51907 .54027 L
.52295 .53424 L
.52484 .53041 L
.52638 .52665 L
.52866 .51924 L
.53024 .51089 L
.53092 .50288 L
.53095 .49832 L
.53076 .49412 L
.52985 .48657 L
.52813 .47891 L
.52597 .47257 L
.52346 .46715 L
.52021 .46192 L
.51622 .45726 L
.51182 .45372 L
.50919 .45225 L
.50667 .45125 L
.50148 .45031 L
.49855 .45043 L
.4959 .45094 L
.49127 .4528 L
Mistroke
.48651 .45612 L
.48239 .46041 L
.47901 .46526 L
.47629 .47045 L
.47388 .47662 L
.47214 .4829 L
.47104 .48892 L
.47035 .49615 L
.47036 .5041 L
.4711 .51148 L
.4724 .51806 L
.47453 .52501 L
.47714 .53094 L
.47993 .53565 L
.48336 .53997 L
.4875 .54367 L
.49221 .54632 L
.4964 .54752 L
.50106 .54765 L
.506 .54645 L
.51039 .54413 L
.51258 .54248 L
.51489 .54032 L
.51915 .53497 L
.52234 .52932 L
.52378 .52605 L
.5251 .52241 L
.527 .5153 L
.5281 .50844 L
.52855 .50164 L
.52836 .49437 L
.52755 .48765 L
.5263 .4818 L
.52423 .47536 L
.52133 .4691 L
.51802 .46402 L
.51458 .46019 L
.51057 .45708 L
.50599 .45496 L
.50152 .45415 L
.49742 .45445 L
.49272 .45604 L
.49016 .45751 L
.48787 .45923 L
.48395 .46322 L
.48196 .46588 L
.48029 .46853 L
.47866 .47158 L
.47714 .47504 L
.47492 .48172 L
Mistroke
.47399 .48566 L
.47333 .48944 L
.47283 .49366 L
.47258 .49824 L
.47259 .5022 L
.47284 .50646 L
.47331 .51043 L
.47394 .51402 L
.47561 .52049 L
.47804 .52678 L
.47982 .53023 L
.48196 .53358 L
.48635 .53857 L
Mfstroke
.7162 .5 m
.71434 .46065 L
.70944 .42517 L
.70002 .38486 L
.6875 .34777 L
.67288 .31482 L
.65692 .28604 L
.63701 .25713 L
.61294 .22978 L
.58643 .20729 L
.5599 .19166 L
.52696 .18095 L
.49623 .17925 L
.46458 .18581 L
.44708 .19315 L
.43127 .20216 L
.40373 .22363 L
.37696 .25254 L
.35224 .28818 L
.33307 .32435 L
.31627 .36652 L
.30957 .3884 L
.30361 .41273 L
.29688 .45413 L
.29494 .47745 L
.29433 .49872 L
.29627 .53988 L
.30189 .57843 L
.31071 .61471 L
.32365 .65204 L
.3375 .68245 L
.35562 .71383 L
.37804 .74399 L
.40526 .77127 L
.43329 .79081 L
.46041 .80248 L
.49197 .80774 L
.52074 .80493 L
.53647 .8003 L
.55318 .7929 L
.58218 .77363 L
.60728 .74958 L
.63107 .71901 L
.64878 .68971 L
.66521 .655 L
.67349 .63316 L
.68017 .61196 L
.68955 .57137 L
.69298 .54841 L
.69497 .52704 L
Mistroke
.69586 .50356 L
.69531 .47861 L
.69357 .45694 L
.69038 .43373 L
.68117 .39244 L
.66809 .35374 L
.65265 .32012 L
.63288 .28728 L
.60828 .25662 L
.5823 .23318 L
.55684 .21747 L
.54069 .21085 L
.52549 .20688 L
.50864 .20496 L
.49072 .20576 L
.46104 .2136 L
.44464 .22155 L
.42974 .23113 L
.40171 .2559 L
.37554 .28865 L
.3564 .32074 L
.33924 .3589 L
.33137 .38156 L
.32542 .40257 L
.32001 .42722 L
.31636 .4507 L
.31423 .4726 L
.31334 .49281 L
.31356 .51495 L
.31514 .53826 L
.32072 .57606 L
.32549 .59701 L
.33093 .61606 L
.34339 .64977 L
.35999 .6833 L
.37747 .71047 L
.39598 .73301 L
.41826 .75366 L
.44416 .77027 L
.47138 .78022 L
.48714 .78267 L
.50188 .78283 L
.53142 .77687 L
.54756 .77 L
.56182 .76166 L
.58607 .7422 L
.60997 .71539 L
.62975 .68571 L
.64526 .65546 L
.65715 .62551 L
Mistroke
.66704 .59194 L
.67354 .55943 L
.67703 .52931 L
.67809 .49397 L
.67557 .45565 L
.66969 .4201 L
.66127 .38806 L
.64847 .35356 L
.6334 .32329 L
.61757 .29855 L
.59826 .27506 L
.57495 .25411 L
.54839 .23832 L
.52469 .23063 L
.4982 .22873 L
.47001 .23439 L
.44481 .24642 L
.4322 .25511 L
.41885 .26644 L
.394 .29432 L
.37505 .32326 L
.35802 .35796 L
.34548 .3931 L
.33715 .42665 L
.33205 .46012 L
.33003 .49153 L
.33083 .52595 L
.33516 .56223 L
.34352 .59933 L
.35483 .63275 L
.36769 .66089 L
.38428 .68873 L
.40542 .71531 L
.42747 .73536 L
.44091 .74443 L
.45359 .75102 L
.46858 .75651 L
.48305 .75954 L
.4971 .76039 L
.51204 .75906 L
.53846 .75095 L
.5541 .74252 L
.56825 .73236 L
.59281 .70822 L
.61201 .68217 L
.62928 .65094 L
.64136 .62198 L
.65156 .58853 L
.65887 .55115 L
.66124 .52989 L
Mistroke
.66232 .51045 L
.66144 .47272 L
.65704 .43757 L
.64982 .40551 L
.63882 .37258 L
.62555 .34358 L
.61113 .3194 L
.59183 .29474 L
.5807 .28356 L
.56822 .27321 L
.54409 .25898 L
.52064 .25169 L
.50677 .25022 L
.49398 .2507 L
.48003 .25325 L
.4655 .25819 L
.44195 .27146 L
.42926 .28156 L
.41797 .29251 L
.39859 .31643 L
.38314 .34156 L
.36828 .3736 L
.3574 .40617 L
.35067 .43527 L
.34615 .46814 L
.34473 .50277 L
.34647 .53514 L
.35074 .56476 L
.35686 .59118 L
.36591 .619 L
.37795 .64647 L
.39264 .67191 L
.41077 .69559 L
.42983 .7139 L
.44846 .72663 L
.4715 .73625 L
.48483 .73898 L
.49721 .73971 L
.51988 .73657 L
.54325 .7271 L
.5646 .71239 L
.58596 .69084 L
.60382 .66605 L
.61801 .63998 L
.62959 .61189 L
.63778 .58502 L
.64441 .55287 L
.64779 .52198 L
.64828 .48793 L
.64515 .45236 L
Mistroke
.63957 .42277 L
.63048 .39168 L
.61738 .36047 L
.59989 .33065 L
.58053 .30691 L
.56091 .28984 L
.54119 .27835 L
.51936 .27143 L
.50039 .27003 L
.47956 .27336 L
.45783 .28245 L
.43573 .29817 L
.41664 .31801 L
.40106 .33978 L
.38824 .36302 L
.37819 .38642 L
.36939 .41363 L
.3627 .4439 L
.35877 .47656 L
.35803 .5076 L
.35982 .53528 L
.36436 .56467 L
.37232 .59562 L
.38219 .62224 L
.39646 .65034 L
.41254 .67364 L
.42924 .69161 L
.44603 .70475 L
.46555 .71484 L
.48707 .72021 L
.50878 .71985 L
.5209 .71713 L
.53184 .71308 L
.55132 .70189 L
.57047 .68529 L
.58935 .66212 L
.60447 .63672 L
.61792 .60558 L
.62391 .58702 L
.62833 .56962 L
.63391 .53632 L
.63538 .51926 L
.63595 .50041 L
.63428 .46727 L
.62964 .43692 L
.62545 .41916 L
.62051 .40281 L
.60888 .37387 L
.59316 .34606 L
.58296 .33223 L
Mistroke
.57275 .32082 L
.56328 .31207 L
.55258 .30402 L
.53219 .29347 L
.51159 .28855 L
.49244 .28887 L
.47194 .29443 L
.46063 .29992 L
.45039 .30649 L
.43094 .3237 L
.4209 .33543 L
.41239 .34728 L
.39902 .37048 L
.38857 .39447 L
.37965 .42263 L
.37318 .45445 L
.37012 .48681 L
.36986 .50316 L
.37055 .52099 L
.37427 .55211 L
.38052 .58003 L
.38949 .60684 L
.40024 .6302 L
.41161 .64913 L
.42555 .66703 L
.44239 .68292 L
.46165 .69505 L
.47888 .70124 L
.49824 .70336 L
.50904 .70239 L
.52071 .69958 L
.54132 .68995 L
.56014 .67535 L
.57604 .65773 L
.59252 .6325 L
.60479 .60643 L
.61041 .59095 L
.61547 .57358 L
.61926 .5567 L
.62186 .5409 L
.62441 .51182 L
.62425 .48462 L
.62127 .45518 L
.6149 .42476 L
.6105 .41011 L
.60485 .39483 L
.59242 .36916 L
.57788 .3474 L
.56263 .33072 L
.54503 .31726 L
Mistroke
.52725 .30885 L
.51077 .30519 L
.49262 .30552 L
.47326 .31095 L
.46276 .31621 L
.45351 .32229 L
.43654 .33745 L
.42211 .35533 L
.41018 .37485 L
.39956 .3978 L
.39225 .41887 L
.38621 .44316 L
.38213 .47018 L
.3806 .49961 L
.38189 .52729 L
.38534 .55204 L
.39211 .57999 L
.39659 .59344 L
.40234 .60764 L
.41437 .63066 L
.42765 .64943 L
.43598 .6587 L
.44527 .6672 L
.46294 .67888 L
.47323 .68329 L
.48299 .68599 L
.49383 .68734 L
.50544 .68691 L
.52466 .6819 L
.53519 .67676 L
.54459 .67062 L
.56087 .65606 L
.57632 .63654 L
.58824 .61608 L
.59756 .59485 L
.60554 .5698 L
.61133 .54146 L
.61319 .52608 L
.61417 .51149 L
.61396 .48421 L
.6108 .45531 L
.6077 .43948 L
.60405 .42535 L
.59625 .40282 L
.58545 .38024 L
.57192 .35969 L
.55755 .34388 L
.54874 .33652 L
.53876 .32998 L
.52901 .32527 L
Mistroke
.51979 .32224 L
.50208 .32008 L
.4833 .32293 L
.47381 .32644 L
.46385 .33171 L
.44677 .34496 L
.43759 .35464 L
.42861 .36624 L
.41459 .39013 L
.40466 .41388 L
.3978 .43706 L
.39261 .46511 L
.39047 .49222 L
.39092 .5174 L
.39338 .54024 L
.3983 .5645 L
.40591 .58872 L
.41592 .61106 L
.42899 .63206 L
.44323 .64843 L
.45752 .65999 L
.46667 .66529 L
.47537 .66896 L
.48511 .67159 L
.49559 .67272 L
.50561 .67221 L
.51496 .67031 L
.532 .66317 L
.54685 .65268 L
.56146 .63769 L
.57371 .62044 L
.58334 .60253 L
.59257 .57934 L
.59671 .56544 L
.59982 .55222 L
.60368 .52725 L
.6051 .5003 L
.60387 .47468 L
.59977 .44782 L
.59336 .42373 L
.58545 .40324 L
.57398 .38179 L
.56652 .37107 L
.55905 .36216 L
.5442 .34878 L
.53537 .34307 L
.5271 .33908 L
.51193 .33485 L
.49566 .33453 L
.48191 .33763 L
Mistroke
.46726 .34452 L
.45238 .35575 L
.44459 .36364 L
.43788 .37175 L
.42612 .38973 L
.41673 .40907 L
.40968 .42866 L
.40411 .45072 L
.40099 .47024 L
.39936 .49217 L
.39973 .5157 L
.40256 .54061 L
.40748 .56323 L
.41383 .58278 L
.42341 .60387 L
.43432 .62133 L
.44545 .63459 L
.45868 .64601 L
.47414 .65458 L
.48221 .65727 L
.49121 .65892 L
.50722 .65846 L
.52197 .65415 L
.53619 .64618 L
.54885 .6355 L
.5593 .62355 L
.5695 .6083 L
.57893 .58956 L
.58691 .56758 L
.59233 .54546 L
.59537 .52468 L
.59662 .49926 L
.59625 .48648 L
.59507 .47259 L
.59105 .44864 L
.58515 .42747 L
.58061 .41537 L
.57569 .40455 L
.56497 .38624 L
.55152 .36991 L
.54319 .36245 L
.53512 .35679 L
.52105 .35017 L
.50742 .3473 L
.49237 .34796 L
.48399 .35007 L
.47646 .35308 L
.46265 .36153 L
.44871 .37455 L
.44223 .38249 L
Mistroke
.43581 .39185 L
.4257 .41077 L
.41784 .4312 L
.4143 .4435 L
.41164 .45535 L
.40951 .46812 L
.40819 .47994 L
.40742 .4937 L
.40743 .50676 L
.40922 .52961 L
.41285 .55012 L
.41892 .57143 L
.42762 .59216 L
.43827 .61014 L
.44504 .61893 L
.45169 .62606 L
.46485 .63661 L
.47965 .64383 L
.48775 .64593 L
.49651 .64683 L
.50479 .64639 L
.51227 .6449 L
.52092 .64185 L
.53006 .63699 L
.53834 .631 L
.54563 .62432 L
.55661 .61127 L
.56692 .59461 L
.57503 .57682 L
.5809 .55916 L
.58578 .53731 L
.58755 .52457 L
.58853 .51261 L
.58869 .49061 L
.58652 .46749 L
.58434 .45526 L
.58174 .44433 L
.57825 .43275 L
.57386 .42112 L
.56498 .4032 L
.5591 .39402 L
.5533 .38644 L
.54147 .37451 L
.52766 .36531 L
.51418 .36036 L
.50112 .359 L
.48828 .36084 L
.4748 .3663 L
.46272 .37459 L
.45244 .38465 L
Mistroke
.44215 .39827 L
.4325 .41571 L
.42835 .42535 L
.42449 .43617 L
.4191 .45672 L
.41702 .46849 L
.4157 .47952 L
.41489 .49174 L
.41478 .5047 L
.41633 .52628 L
.41816 .53826 L
.42048 .54918 L
.4263 .56854 L
.43323 .58476 L
.44293 .60128 L
.4536 .61436 L
.46475 .62405 L
.47551 .63035 L
.48845 .63453 L
.50085 .63533 L
.51232 .63334 L
.52262 .62923 L
.53345 .62232 L
.54411 .6125 L
.5539 .60014 L
.56301 .58461 L
.57011 .56814 L
.57519 .55196 L
.57936 .53191 L
.58083 .52027 L
.5816 .50941 L
.58154 .48943 L
.57942 .46858 L
.57545 .4494 L
.56908 .42984 L
.56125 .41318 L
.55258 .39967 L
.54288 .38849 L
.53328 .38047 L
.5215 .37393 L
.50995 .3706 L
.49713 .3702 L
.48373 .37345 L
.47269 .37912 L
.46129 .38824 L
.45018 .4011 L
.44468 .40938 L
.43994 .41792 L
.43597 .42639 L
.43215 .43612 L
Mistroke
.42681 .45422 L
.42346 .47195 L
.4218 .48905 L
.42166 .50795 L
.42348 .52804 L
.42724 .54722 L
.43321 .56611 L
.4398 .58077 L
.44844 .59488 L
.45775 .60601 L
.46702 .61407 L
.47844 .62068 L
.48969 .62414 L
.50027 .62485 L
.51 .62336 L
.52044 .6194 L
.53102 .61267 L
.54149 .60285 L
.55167 .58934 L
.55986 .57429 L
.56603 .55874 L
.57066 .54216 L
.57352 .52645 L
.57517 .50785 L
.57508 .49024 L
.57317 .47125 L
.56915 .45204 L
.56418 .43668 L
.55722 .42136 L
.54815 .40703 L
.54244 .40016 L
.53692 .3947 L
.52543 .38645 L
.51392 .38169 L
.50386 .38009 L
.49272 .38099 L
.48132 .38486 L
.47109 .39111 L
.46217 .39906 L
.45465 .40799 L
.44727 .41941 L
.44062 .43298 L
.43517 .44815 L
.43094 .46545 L
.42853 .48246 L
.42772 .49817 L
.42845 .51661 L
.42966 .52684 L
.43127 .53605 L
.43544 .55231 L
Mistroke
.44146 .56817 L
.44879 .58198 L
.45818 .5947 L
.46816 .60414 L
.47813 .6104 L
.48749 .61385 L
.49805 .6152 L
.50909 .61382 L
.51922 .60995 L
.52982 .60297 L
.54009 .59275 L
.54791 .58196 L
.55528 .56827 L
.56164 .55172 L
.56441 .54182 L
.56641 .53252 L
.56885 .51389 L
.56934 .49601 L
.56836 .48084 L
.56581 .46459 L
.56157 .4485 L
.55623 .43458 L
.55015 .42287 L
.54377 .41343 L
.53556 .40427 L
.52708 .39747 L
.51742 .39239 L
.50673 .38966 L
.49652 .38968 L
.48736 .39188 L
.47692 .39706 L
.4713 .40116 L
.46636 .40563 L
.45792 .4155 L
.45012 .42798 L
.44374 .44198 L
.44077 .45051 L
.43845 .45872 L
.43531 .47439 L
.43361 .49158 L
.43355 .50703 L
.43473 .52137 L
.43739 .5366 L
.44178 .55211 L
.44765 .5663 L
.45558 .57987 L
.46011 .58581 L
.46528 .59139 L
.47533 .59934 L
.48605 .60434 L
Mistroke
.49652 .60623 L
.50597 .60553 L
.51602 .60226 L
.52514 .59682 L
.53313 .58981 L
.54112 .58017 L
.5486 .56782 L
.55499 .55308 L
.55955 .53777 L
.5623 .52326 L
.56378 .50698 L
.56371 .49142 L
.5624 .47754 L
.55945 .46208 L
.55535 .44841 L
.55046 .43672 L
.54513 .42704 L
.53847 .41777 L
.53065 .40974 L
.52144 .40326 L
.51599 .4007 L
.51086 .39907 L
.50128 .39793 L
.49114 .39937 L
.48231 .40293 L
.4744 .40813 L
.4663 .41575 L
.45847 .426 L
.45171 .43814 L
.4458 .45311 L
.44345 .46121 L
.44145 .47014 L
.43918 .48677 L
.43867 .5037 L
.43983 .51951 L
.44218 .53325 L
.44608 .54731 L
.45099 .55961 L
.45655 .5699 L
.4636 .57962 L
.47207 .58795 L
.48172 .5941 L
.49133 .59734 L
.50013 .598 L
.50966 .59631 L
.51766 .59287 L
.52606 .58705 L
.53415 .57886 L
.54094 .56941 L
.54642 .5593 L
Mistroke
.55066 .54907 L
.55435 .53702 L
.55709 .52362 L
.55868 .50848 L
.55891 .49986 L
.5587 .49191 L
.55726 .47754 L
.55427 .46294 L
.5504 .4507 L
.54582 .4402 L
.53984 .42997 L
.53245 .42074 L
.52374 .41321 L
.5185 .41008 L
.51349 .40792 L
.5041 .40593 L
.4988 .40594 L
.49402 .40663 L
.48512 .40972 L
.47598 .41556 L
.46802 .4233 L
.46145 .43212 L
.45606 .44172 L
.45125 .45318 L
.44771 .46487 L
.44538 .47607 L
.4438 .48963 L
.44351 .50455 L
.4446 .51849 L
.44677 .53096 L
.45011 .54311 L
.4542 .55365 L
.45966 .56404 L
.46654 .57359 L
.47422 .58113 L
.48299 .58675 L
.49085 .58955 L
.49962 .59043 L
.50915 .58878 L
.51765 .5849 L
.52192 .582 L
.52642 .57818 L
.53477 .56852 L
.54111 .55814 L
.54413 .55178 L
.54667 .54539 L
.5506 .53217 L
.55298 .5194 L
.55416 .50658 L
.55413 .49285 L
Mistroke
.5529 .48009 L
.55081 .46894 L
.54719 .45651 L
.542 .44432 L
.53599 .4343 L
.52968 .42661 L
.52218 .42013 L
.51357 .41547 L
.50511 .41334 L
.49733 .41337 L
.4883 .41579 L
.48336 .41827 L
.47895 .42123 L
.47134 .42829 L
.46779 .43258 L
.46416 .43783 L
.46075 .44372 L
.45784 .44976 L
.45331 .46207 L
.45135 .46938 L
.44991 .47639 L
.44876 .48425 L
.44805 .49277 L
.44786 .50022 L
.4481 .50827 L
.44877 .51578 L
.44975 .52257 L
.45253 .53496 L
.45672 .54709 L
.46184 .55748 L
.46494 .56239 L
.46848 .56711 L
.4756 .57434 L
.48275 .57924 L
.48994 .5822 L
.49686 .5834 L
.50448 .58291 L
.51255 .58031 L
.52027 .57562 L
.52441 .57209 L
.52808 .56827 L
.5348 .55911 L
.53785 .55375 L
.54082 .54748 L
.54518 .53527 L
.54807 .52287 L
.54967 .51029 L
.55006 .4985 L
.54946 .48736 L
.54778 .4757 L
Mistroke
.54524 .4652 L
.54215 .45621 L
.53768 .44663 L
.53187 .43756 L
.52562 .43054 L
.5193 .42552 L
.51172 .42171 L
.50433 .42 L
.49763 .42006 L
.49047 .42181 L
.48291 .42567 L
.47546 .43182 L
.46968 .43862 L
.4641 .4475 L
.45916 .45846 L
.45566 .46961 L
.45428 .47573 L
.45311 .48264 L
.45232 .48998 L
.45196 .49694 L
.45229 .50966 L
.4537 .52106 L
.45643 .53299 L
.46055 .54455 L
.46494 .55327 L
.47042 .5613 L
.47624 .5675 L
.48195 .57186 L
.48906 .57532 L
.49703 .57694 L
.5046 .57641 L
.51145 .57416 L
.51844 .56997 L
.5254 .56355 L
.53128 .55584 L
.53592 .5476 L
.54035 .53673 L
.54234 .53011 L
.54382 .52376 L
.54561 .5117 L
.54605 .50549 L
.54616 .49861 L
.54591 .49198 L
.54525 .48509 L
.54311 .47314 L
.54139 .4668 L
.53948 .46116 L
.53687 .45496 L
.53407 .44952 L
.52826 .44094 L
Mistroke
.52227 .43467 L
.51523 .42974 L
.51106 .42785 L
.50713 .42669 L
.49975 .42608 L
.49276 .42733 L
.48665 .42995 L
.48032 .43436 L
.474 .44082 L
.47078 .44512 L
.46808 .44942 L
.4635 .45873 L
.46007 .46845 L
.45771 .47823 L
.45618 .489 L
.45567 .49837 L
.45598 .50864 L
.45731 .51946 L
.45984 .53051 L
.46322 .54016 L
.46706 .54809 L
.47242 .55618 L
.47542 .55968 L
.47893 .56303 L
.48553 .56757 L
.49207 .57016 L
.49589 .57087 L
.49994 .57102 L
.50713 .56975 L
.51105 .5682 L
.5146 .56623 L
.51837 .5635 L
.5222 .55997 L
.52808 .55269 L
.53103 .54793 L
.5335 .54315 L
.53732 .53358 L
.54028 .52255 L
.54192 .51215 L
.54256 .50221 L
.54224 .4913 L
.54074 .47987 L
.53944 .47392 L
.5377 .46785 L
.53368 .45775 L
.53071 .4522 L
.5276 .44749 L
.52453 .44369 L
.52108 .44019 L
.51784 .43756 L
Mistroke
.51414 .43522 L
.50737 .43255 L
.50347 .43187 L
.49926 .43182 L
.49531 .43241 L
.49176 .43348 L
Mfstroke
.79577 .5 m
.79395 .46133 L
.78912 .42606 L
.77977 .38508 L
.76719 .34599 L
.73572 .27616 L
.71286 .23743 L
.68857 .20309 L
.66108 .17081 L
.62852 .14029 L
.58981 .11385 L
.55148 .09763 L
.53044 .09285 L
.50728 .09095 L
.46522 .09653 L
.42538 .1127 L
.39026 .13603 L
.35546 .16811 L
.32176 .20876 L
.29587 .24784 L
.27265 .29087 L
.25544 .33033 L
.24067 .37363 L
.23098 .4127 L
.22512 .44885 L
.22307 .47045 L
.22208 .49387 L
.2236 .5363 L
.22919 .57759 L
.23797 .61586 L
.25132 .65714 L
.27075 .70243 L
.2962 .74857 L
.32472 .78945 L
.35618 .82501 L
.38848 .85292 L
.4266 .87584 L
.44882 .88445 L
.46938 .88936 L
.49121 .8914 L
.51136 .89038 L
.53334 .88607 L
.55623 .87799 L
.59328 .85695 L
.61326 .84132 L
.63109 .82467 L
.66198 .78912 L
.68781 .75166 L
.70809 .71565 L
.72618 .67621 L
Mistroke
.74165 .63298 L
.75212 .59285 L
.7567 .56835 L
.75974 .54537 L
.76214 .50263 L
.76019 .45918 L
.75712 .43459 L
.75297 .41169 L
.74725 .38753 L
.74084 .3656 L
.72232 .31681 L
.70208 .27631 L
.67565 .23458 L
.64672 .19877 L
.61695 .1703 L
.59938 .15699 L
.57974 .14497 L
.54281 .13018 L
.52087 .12608 L
.49766 .12551 L
.4779 .12808 L
.45655 .13403 L
.43428 .14384 L
.41468 .1556 L
.37356 .19046 L
.33988 .23084 L
.3127 .27359 L
.29344 .31199 L
.2768 .35432 L
.26499 .39475 L
.25754 .43173 L
.25285 .47496 L
.25212 .49932 L
.25267 .52183 L
.25677 .56297 L
.26547 .60644 L
.27783 .64723 L
.29557 .69029 L
.31641 .72929 L
.33883 .76278 L
.36705 .79605 L
.40147 .82603 L
.41997 .83794 L
.44042 .84791 L
.46017 .85448 L
.4784 .85791 L
.51147 .85778 L
.54607 .84881 L
.57461 .83439 L
.60436 .81218 L
Mistroke
.63372 .78223 L
.66169 .74471 L
.68427 .70583 L
.70141 .66842 L
.71507 .63001 L
.72458 .5939 L
.73148 .55408 L
.73474 .51167 L
.73394 .47134 L
.72969 .43359 L
.72303 .39996 L
.71281 .36407 L
.69723 .32372 L
.67959 .28843 L
.65538 .25044 L
.62896 .21842 L
.60196 .1935 L
.57516 .17545 L
.54428 .16214 L
.51053 .15631 L
.47663 .15944 L
.45785 .16509 L
.44097 .17261 L
.41108 .19189 L
.38191 .21873 L
.35321 .25436 L
.33024 .29162 L
.30953 .33549 L
.30074 .35903 L
.29292 .38432 L
.28726 .40703 L
.28247 .43214 L
.27767 .47646 L
.27702 .5014 L
.27796 .5281 L
.28039 .55319 L
.28392 .57597 L
.29424 .6194 L
.30209 .64347 L
.31064 .66533 L
.32938 .70384 L
.35346 .74164 L
.38047 .77374 L
.39593 .78831 L
.41304 .80161 L
.42865 .81135 L
.44626 .81976 L
.47807 .8283 L
.50951 .82858 L
.54275 .82002 L
Mistroke
.57292 .80407 L
.59877 .78367 L
.62449 .7563 L
.64605 .72671 L
.6665 .69103 L
.68447 .65005 L
.6918 .62892 L
.69853 .60552 L
.7073 .56233 L
.71149 .51998 L
.71152 .48068 L
.70774 .44092 L
.7007 .40395 L
.69154 .37142 L
.67869 .3373 L
.6613 .30189 L
.63936 .2675 L
.618 .24148 L
.59216 .21751 L
.57674 .20657 L
.55938 .19696 L
.52666 .18623 L
.49417 .18471 L
.46436 .19127 L
.43335 .20647 L
.41651 .21856 L
.40141 .23193 L
.37348 .26387 L
.34768 .30419 L
.33031 .34038 L
.31547 .38205 L
.30969 .40362 L
.3048 .42691 L
.29941 .46925 L
.29842 .51165 L
.30151 .55143 L
.30759 .58666 L
.31765 .62397 L
.33173 .66108 L
.34772 .69307 L
.36961 .72676 L
.39344 .75445 L
.41759 .77525 L
.44148 .78974 L
.46883 .79963 L
.49861 .80269 L
.51568 .80089 L
.53122 .79697 L
.54798 .79026 L
.56517 .78057 L
Mistroke
.59254 .75879 L
.61965 .72822 L
.64073 .69634 L
.6596 .65872 L
.67363 .62097 L
.68305 .58537 L
.68982 .54374 L
.69157 .52258 L
.69221 .49924 L
.69001 .45819 L
.68414 .42025 L
.67913 .39893 L
.67261 .37695 L
.65784 .33921 L
.63772 .30167 L
.61122 .26586 L
.59783 .25191 L
.58453 .24032 L
.55822 .22324 L
.5284 .21235 L
.51123 .20991 L
.49534 .2101 L
.46901 .21558 L
.44101 .22878 L
.41356 .24978 L
.3902 .27507 L
.36905 .30558 L
.35013 .34182 L
.33717 .37496 L
.32644 .41312 L
.32216 .43485 L
.31931 .45497 L
.31738 .47716 L
.31671 .50059 L
.31876 .53985 L
.32166 .56187 L
.3255 .58211 L
.33596 .62032 L
.34939 .65466 L
.3642 .68341 L
.383 .71166 L
.40631 .73794 L
.41903 .74906 L
.43366 .75944 L
.46074 .77248 L
.487 .77805 L
.51251 .77703 L
.53991 .76885 L
.56472 .75472 L
.58633 .73663 L
Mistroke
.60597 .71465 L
.62201 .69181 L
.63815 .66271 L
.65085 .63324 L
.66177 .59936 L
.66979 .56237 L
.67371 .53026 L
.67488 .49485 L
.67246 .45694 L
.66946 .43596 L
.6657 .41711 L
.65569 .3815 L
.64302 .34952 L
.62793 .3207 L
.60886 .29291 L
.58853 .2706 L
.56824 .25418 L
.54433 .24116 L
.51711 .2338 L
.50318 .23296 L
.48832 .23422 L
.46196 .24202 L
.44786 .24924 L
.43526 .25761 L
.40864 .28202 L
.3878 .30891 L
.36896 .34162 L
.35522 .37367 L
.34525 .4053 L
.33765 .4412 L
.33495 .46167 L
.33348 .48048 L
.33325 .51432 L
.33637 .55001 L
.34247 .58297 L
.35055 .61181 L
.36311 .64415 L
.38008 .67618 L
.39904 .70275 L
.41861 .72324 L
.43861 .73847 L
.45826 .74864 L
.48057 .75494 L
.50479 .75578 L
.52998 .75008 L
.553 .73873 L
.57255 .72402 L
.59219 .70377 L
.61095 .67793 L
.62576 .65124 L
Mistroke
.63973 .61774 L
.64969 .58397 L
.65585 .55189 L
.65895 .52161 L
.6594 .48826 L
.6565 .45301 L
.6533 .43323 L
.64938 .41535 L
.64402 .39618 L
.63719 .37658 L
.62313 .34557 L
.60426 .31518 L
.58481 .29228 L
.5617 .27305 L
.53831 .26077 L
.51615 .25503 L
.49054 .25517 L
.4777 .25795 L
.46375 .2631 L
.44008 .2772 L
.41943 .29573 L
.3978 .323 L
.3809 .35223 L
.36605 .38775 L
.36015 .40661 L
.35495 .4278 L
.35148 .44683 L
.34918 .465 L
.34743 .49925 L
.34929 .53597 L
.35203 .55638 L
.35563 .57489 L
.36386 .60478 L
.37599 .63573 L
.39183 .6651 L
.40928 .68904 L
.42926 .70905 L
.44122 .71804 L
.45246 .72469 L
.47514 .73329 L
.49702 .73585 L
.50949 .73487 L
.52255 .73191 L
.54532 .72188 L
.55747 .71379 L
.56836 .70476 L
.59113 .67945 L
.60824 .65291 L
.62177 .62476 L
.6315 .59761 L
Mistroke
.63931 .56669 L
.64441 .53205 L
.64562 .51437 L
.64588 .49483 L
.64362 .46058 L
.63836 .42918 L
.63099 .4016 L
.62027 .37313 L
.60631 .34594 L
.59105 .32361 L
.57495 .30577 L
.55912 .29264 L
.53973 .28155 L
.5207 .27542 L
.49956 .27375 L
.47732 .27777 L
.45884 .28576 L
.43952 .29907 L
.42036 .31812 L
.40216 .34322 L
.38764 .37045 L
.3769 .39761 L
.36793 .43 L
.36262 .4616 L
.36052 .49043 L
.36109 .52156 L
.36507 .5551 L
.36838 .57156 L
.37297 .58914 L
.38352 .61877 L
.39594 .64408 L
.41082 .66681 L
.42673 .68505 L
.44229 .69829 L
.46024 .70891 L
.48063 .71564 L
.50265 .717 L
.52135 .71342 L
.54136 .70456 L
.55202 .69755 L
.56318 .68832 L
.58197 .66764 L
.59795 .64343 L
.61041 .61806 L
.61681 .60147 L
.62193 .58526 L
.62906 .55379 L
.63164 .53571 L
.63308 .51891 L
.63364 .50041 L
Mistroke
.63307 .48091 L
.62979 .45087 L
.62314 .41974 L
.614 .39196 L
.6034 .36851 L
.58848 .34395 L
.57963 .33253 L
.56959 .32172 L
.56036 .3135 L
.54972 .30584 L
.53008 .29619 L
.50995 .29179 L
.49105 .29246 L
.47063 .29845 L
.45955 .30411 L
.44979 .31061 L
.4312 .32743 L
.42156 .33888 L
.41328 .35055 L
.39978 .37437 L
.38819 .40233 L
.3807 .42769 L
.37519 .45605 L
.37249 .48341 L
.37216 .50855 L
.37437 .53769 L
.37991 .56857 L
.38802 .59629 L
.3979 .6202 L
.41189 .64501 L
.42024 .65659 L
.42971 .66756 L
.43852 .67601 L
.44864 .68394 L
.46734 .69419 L
.48631 .69938 L
.50691 .69946 L
.52609 .69434 L
.54294 .68547 L
.55269 .67827 L
.56257 .66923 L
.57887 .64974 L
.59398 .62478 L
.60129 .60907 L
.60722 .59354 L
.61555 .56408 L
.62038 .53593 L
.62252 .50443 L
.62233 .48857 L
.62117 .47136 L
Mistroke
.6193 .45627 L
.61648 .4406 L
.60933 .41357 L
.59878 .38655 L
.59157 .37242 L
.58409 .36019 L
.56894 .34077 L
.55356 .32657 L
.54455 .32032 L
.53442 .31491 L
.51538 .30896 L
.49819 .30804 L
.47932 .31183 L
.46029 .32099 L
.4435 .3341 L
.42919 .34979 L
.41741 .36677 L
.40621 .38778 L
.39659 .41208 L
.38883 .44056 L
.38443 .46755 L
.38311 .48274 L
.38259 .49928 L
.38408 .52916 L
.38827 .55646 L
.39556 .58404 L
.40398 .60601 L
.41538 .62796 L
.42323 .63981 L
.4313 .64999 L
.44784 .6659 L
.45772 .67279 L
.46722 .67781 L
.4779 .68172 L
.48949 .68401 L
.49966 .68439 L
.51063 .6831 L
.52087 .68029 L
.53011 .67637 L
.54695 .66556 L
.56335 .64976 L
.57713 .63124 L
.58989 .60782 L
.59952 .58324 L
.60614 .55896 L
.61013 .53626 L
.6123 .51072 L
.61204 .48396 L
.60947 .45921 L
.60407 .43284 L
Mistroke
.59563 .40677 L
.58635 .38636 L
.57421 .36656 L
.55909 .34872 L
.54987 .34058 L
.54112 .33444 L
.52328 .32616 L
.50589 .323 L
.49086 .32401 L
.47462 .32903 L
.45835 .33846 L
.44415 .35085 L
.43202 .36523 L
.42209 .38042 L
.4122 .40001 L
.40452 .42026 L
.39824 .44343 L
.39395 .46912 L
.39224 .49385 L
.39266 .51626 L
.39556 .5423 L
.39832 .55656 L
.40153 .56929 L
.40911 .59158 L
.41929 .613 L
.43134 .63157 L
.43839 .64012 L
.44632 .64813 L
.46189 .65978 L
.47714 .66675 L
.49219 .6698 L
.5064 .66936 L
.52179 .66523 L
.53772 .65669 L
.55343 .64338 L
.56164 .63408 L
.56874 .62442 L
.58027 .60448 L
.58536 .5933 L
.59021 .58059 L
.59738 .55518 L
.60161 .53009 L
.60332 .50515 L
.60276 .48218 L
.60032 .46056 L
.59569 .43816 L
.58949 .41813 L
.58238 .40112 L
.57243 .38309 L
.55984 .36627 L
Mistroke
.54656 .35352 L
.53332 .34475 L
.51909 .33904 L
.50539 .33683 L
.49031 .338 L
.47437 .34341 L
.4593 .35283 L
.44465 .36673 L
.43342 .38146 L
.42277 .40015 L
.41339 .42286 L
.40696 .44548 L
.4045 .45776 L
.40252 .47153 L
.40128 .48608 L
.40089 .49976 L
.40212 .52476 L
.40544 .54705 L
.40813 .55897 L
.41175 .57155 L
.42007 .59302 L
.4302 .61177 L
.44086 .62642 L
.45464 .64011 L
.46873 .64945 L
.48248 .65477 L
.49541 .6567 L
.50965 .65548 L
.52437 .65047 L
.53967 .64085 L
.55255 .62862 L
.56578 .6109 L
.57633 .59115 L
.58415 .57087 L
.58957 .55084 L
.59342 .52789 L
.59503 .503 L
.59404 .47812 L
.59237 .46438 L
.59013 .45205 L
.58432 .43027 L
.57598 .40916 L
.57067 .39887 L
.56441 .38874 L
.55174 .37303 L
.54324 .36521 L
.5348 .3592 L
.52693 .35499 L
.5182 .35176 L
.50336 .3495 L
Mistroke
.48978 .35091 L
.47447 .35657 L
.46068 .36575 L
.44893 .37721 L
.43907 .39011 L
.42962 .40647 L
.42133 .42593 L
.41506 .44694 L
.41246 .45929 L
.41068 .47085 L
.40896 .49247 L
.40935 .51533 L
.41047 .52732 L
.41235 .53992 L
.4175 .56177 L
.42171 .57439 L
.42638 .58568 L
.43681 .60478 L
.44772 .61912 L
.45451 .626 L
.46118 .63153 L
.47538 .63979 L
.48367 .64267 L
.49136 .64415 L
.50512 .64402 L
.51992 .63989 L
.53332 .63232 L
.54495 .62232 L
.5515 .61499 L
.5581 .60608 L
.56861 .58764 L
.5768 .56736 L
.58236 .5472 L
.58612 .52427 L
.58717 .51099 L
.58744 .49853 L
.58697 .48543 L
.58587 .47361 L
.58382 .46022 L
.58112 .4479 L
.57552 .42962 L
.56768 .41158 L
.55874 .39653 L
.5494 .38475 L
.53799 .37424 L
.52453 .36615 L
.51747 .3635 L
.50981 .36178 L
.49589 .36159 L
.48826 .36309 L
Mistroke
.48133 .36547 L
.47389 .36914 L
.46627 .37421 L
.45426 .38528 L
.44797 .39288 L
.4425 .40076 L
.4335 .41721 L
.42678 .43392 L
.42097 .45471 L
.41752 .47543 L
.41616 .49545 L
.41654 .51359 L
.41887 .53415 L
.42286 .55274 L
.42806 .56901 L
.43401 .58284 L
.44173 .59654 L
.45107 .60899 L
.46157 .61923 L
.47372 .62724 L
.48577 .63178 L
.49699 .63328 L
.51017 .63176 L
.5175 .62937 L
.52412 .62621 L
.53575 .6181 L
.5471 .60649 L
.55629 .59356 L
.56485 .57725 L
.57195 .55826 L
.5767 .53931 L
.57945 .52074 L
.58046 .50358 L
.57985 .4838 L
.57756 .46553 L
.57321 .44642 L
.56663 .42768 L
.55954 .41324 L
.55037 .39944 L
.53913 .38739 L
.53232 .38205 L
.52586 .37813 L
.51282 .37324 L
.50017 .37203 L
.48947 .37365 L
.47793 .37821 L
.46648 .38591 L
.45652 .39568 L
.44813 .40675 L
.44133 .41838 L
Mistroke
.43495 .43251 L
.4296 .44865 L
.4257 .46602 L
.42331 .48525 L
.4228 .50365 L
.4238 .52027 L
.42675 .53927 L
.42922 .54958 L
.432 .55875 L
.43829 .57451 L
.44649 .58933 L
.45575 .6015 L
.46705 .6119 L
.47858 .61869 L
.48975 .62217 L
.501 .62284 L
.51115 .62105 L
.52255 .61623 L
.53274 .60911 L
.54305 .59867 L
.55266 .58499 L
.55965 .57148 L
.56585 .5551 L
.57067 .53609 L
.57248 .52502 L
.57355 .51476 L
.57404 .49466 L
.57258 .47583 L
.56988 .4603 L
.56542 .44405 L
.55922 .42841 L
.55209 .41533 L
.54444 .40478 L
.5367 .3967 L
.52757 .38974 L
.51741 .38473 L
.50672 .38221 L
.49519 .38244 L
.48446 .38542 L
.47506 .39037 L
.46463 .39877 L
.45916 .40465 L
.45443 .41074 L
.4466 .42343 L
.43971 .43867 L
.43453 .45494 L
.43074 .47377 L
.42903 .49215 L
.4291 .5093 L
.43073 .52604 L
Mistroke
.43351 .54069 L
.4382 .55666 L
.44395 .57043 L
.45163 .58383 L
.46104 .5956 L
.46995 .60347 L
.4804 .60955 L
.49219 .61296 L
.49889 .61339 L
.50498 .61285 L
.51665 .60931 L
.52718 .60304 L
.5356 .59558 L
.54404 .58533 L
.55174 .57264 L
.55776 .5592 L
.56223 .54559 L
.56527 .53245 L
.56748 .51675 L
.56827 .50157 L
.56766 .4853 L
.56539 .46836 L
.56176 .45311 L
.55728 .44019 L
.55068 .42638 L
.54669 .41985 L
.54211 .41356 L
.53288 .40385 L
.52363 .39721 L
.51335 .39278 L
.50739 .39149 L
.50183 .39109 L
.49166 .39234 L
.48111 .39644 L
.47216 .40238 L
.46432 .4098 L
.4565 .41979 L
.4492 .43245 L
.44322 .44676 L
.44048 .45545 L
.43837 .46383 L
.43548 .48141 L
.43468 .49147 L
.43447 .50065 L
.43532 .51702 L
.438 .53425 L
.44214 .54961 L
.44725 .56266 L
.45302 .5736 L
.4602 .5838 L
Mistroke
.46775 .59175 L
.47518 .59744 L
.48436 .60204 L
.49471 .60443 L
.50459 .6041 L
.51362 .60157 L
.52344 .59623 L
.53208 .58893 L
.53919 .58067 L
.54601 .57013 L
.55231 .55698 L
.55747 .54162 L
.56056 .52765 L
.56249 .51178 L
.56282 .49449 L
.56151 .4787 L
.56023 .47066 L
.55835 .46203 L
.55588 .45336 L
.55312 .44561 L
.547 .43257 L
.54032 .42219 L
.53198 .4128 L
.52233 .40548 L
.51367 .40152 L
.50415 .39962 L
.49511 .40009 L
.48702 .4024 L
.47783 .40734 L
.46855 .41524 L
.46065 .4249 L
.4543 .43544 L
.44865 .44816 L
.44402 .46311 L
.44113 .4781 L
.4398 .49219 L
.43985 .50881 L
.44065 .51809 L
.44188 .52653 L
.44531 .54138 L
.4476 .54848 L
.45053 .55594 L
.45754 .56928 L
.46517 .57952 L
.46956 .58401 L
.47462 .58819 L
.48014 .59168 L
.48545 .59409 L
.49555 .59638 L
.50482 .59594 L
Mistroke
.5099 .59467 L
.51531 .59249 L
.52473 .58644 L
.53286 .5785 L
.53954 .56952 L
.54615 .55738 L
.55119 .54442 L
.55464 .53155 L
.55678 .51907 L
.5579 .50503 L
.55765 .49002 L
.55685 .48155 L
.55569 .4739 L
.55397 .46574 L
.55166 .45744 L
.54669 .44445 L
.5433 .43773 L
.5398 .43195 L
.5325 .42258 L
.52511 .41584 L
.51594 .41041 L
.50684 .40774 L
.49788 .4075 L
.4928 .4084 L
.4881 .40992 L
.47897 .41492 L
.4741 .41881 L
.46985 .42301 L
.46326 .43137 L
.457 .44214 L
.45167 .45489 L
.44796 .46781 L
.4464 .47555 L
.4452 .48412 L
.44453 .49233 L
.44433 .49994 L
.44503 .51427 L
.44729 .52898 L
.44905 .53629 L
.45137 .54382 L
.45661 .55638 L
.46043 .56325 L
.46444 .56914 L
.46871 .57428 L
.47283 .57833 L
.48116 .5843 L
.48596 .58657 L
.49057 .58804 L
.49891 .58903 L
.50791 .58772 L
Mistroke
Mfstroke
.87535 .5 m
.87401 .4715 L
.87044 .44526 L
.86349 .41415 L
.85403 .38351 L
.82984 .32507 L
.79201 .25525 L
.73517 .17326 L
.69716 .12935 L
.65737 .09188 L
.62074 .06496 L
.57905 .04327 L
.53094 .03029 L
.4863 .02997 L
.44078 .04138 L
.3941 .06544 L
.35282 .09722 L
.31837 .13144 L
.2478 .22561 L
.22246 .2694 L
.20041 .31432 L
.18499 .35196 L
.17199 .39158 L
.1636 .42623 L
.1586 .45768 L
.15616 .4941 L
.15714 .52707 L
.15899 .54536 L
.16208 .56542 L
.17059 .60255 L
.18278 .6405 L
.20027 .68295 L
.24393 .76332 L
.2765 .81036 L
.31644 .85758 L
.3548 .89343 L
.37631 .90967 L
.40055 .92467 L
.42687 .93704 L
.4523 .94512 L
.47741 .94932 L
.50068 .94987 L
.52579 .94683 L
.55309 .93922 L
.58095 .92681 L
.60618 .91148 L
.64948 .87588 L
.68529 .83713 L
.71965 .79101 L
.75057 .74018 L
Mistroke
.77408 .69292 L
.79097 .65104 L
.80387 .61011 L
.81235 .57261 L
.81564 .55161 L
.81791 .52967 L
.81893 .49074 L
.81781 .46911 L
.81568 .4489 L
.81214 .4266 L
.80692 .40251 L
.79491 .36162 L
.77707 .31621 L
.75714 .27552 L
.73164 .23231 L
.70491 .19436 L
.67146 .1551 L
.63771 .12351 L
.60362 .09918 L
.56467 .08036 L
.52165 .07058 L
.48066 .07201 L
.44399 .08223 L
.4024 .10423 L
.3801 .1207 L
.36047 .13802 L
.32492 .1765 L
.29552 .2162 L
.24885 .29959 L
.23067 .34391 L
.21615 .3907 L
.21078 .4138 L
.20637 .43871 L
.20357 .46202 L
.20215 .48348 L
.20251 .52385 L
.20727 .5668 L
.21508 .60436 L
.22527 .63914 L
.23984 .67763 L
.25901 .71827 L
.30014 .78508 L
.32817 .82032 L
.35706 .8499 L
.3941 .87892 L
.43144 .89872 L
.46625 .9089 L
.5046 .91094 L
.54606 .9023 L
.56649 .89384 L
Mistroke
.58841 .88162 L
.62517 .85352 L
.65675 .82122 L
.68698 .78219 L
.71471 .73756 L
.73478 .69777 L
.75233 .65442 L
.76097 .62789 L
.76748 .60362 L
.77244 .58057 L
.77633 .55637 L
.77983 .5147 L
.77999 .49117 L
.77896 .46925 L
.77359 .42612 L
.76441 .38517 L
.75277 .34835 L
.73648 .30843 L
.71449 .26571 L
.68641 .22226 L
.65593 .18488 L
.62484 .15509 L
.59436 .13312 L
.56055 .11653 L
.52545 .10768 L
.48662 .10771 L
.4533 .11599 L
.41885 .13275 L
.38805 .15512 L
.36195 .17996 L
.30717 .25326 L
.28284 .29889 L
.26487 .34198 L
.25269 .37992 L
.24313 .42153 L
.23741 .46473 L
.23599 .50489 L
.23863 .54768 L
.24198 .57154 L
.24616 .5931 L
.25747 .63505 L
.27189 .67417 L
.29338 .71903 L
.31734 .75838 L
.34801 .798 L
.38474 .83344 L
.4174 .85565 L
.45426 .87111 L
.49006 .87672 L
.52275 .87385 L
Mistroke
.56037 .86098 L
.58087 .84953 L
.59915 .83655 L
.63069 .80756 L
.66073 .77111 L
.70237 .7009 L
.72017 .65908 L
.73281 .62024 L
.74138 .5841 L
.74728 .54467 L
.74954 .50755 L
.74876 .47319 L
.74382 .42981 L
.73513 .38917 L
.72402 .35305 L
.70852 .31467 L
.68756 .27425 L
.66108 .23439 L
.63523 .20391 L
.60388 .17574 L
.5688 .15413 L
.53472 .14233 L
.5166 .13963 L
.49652 .13949 L
.47563 .14254 L
.45625 .14831 L
.42192 .16573 L
.39229 .18859 L
.36249 .21983 L
.33479 .25791 L
.31473 .2928 L
.29683 .33188 L
.2834 .36975 L
.27418 .40457 L
.26697 .44571 L
.26364 .4903 L
.26475 .53226 L
.26943 .57073 L
.27822 .61125 L
.292 .65402 L
.30901 .69316 L
.32785 .72721 L
.3536 .76388 L
.36868 .78137 L
.38575 .79823 L
.40304 .81243 L
.41935 .82336 L
.45253 .83875 L
.47102 .84349 L
.49072 .8456 L
Mistroke
.52597 .84182 L
.54528 .8356 L
.5629 .82728 L
.58165 .81554 L
.60089 .80023 L
.63283 .76662 L
.65926 .72932 L
.67944 .6927 L
.69729 .65078 L
.71007 .61006 L
.71826 .57227 L
.72332 .53058 L
.72422 .48677 L
.7213 .44869 L
.7155 .4136 L
.70576 .37567 L
.69155 .33624 L
.67164 .29507 L
.64526 .25419 L
.61625 .22082 L
.58657 .19617 L
.5579 .18014 L
.52507 .17039 L
.49024 .16969 L
.45806 .17785 L
.42524 .19527 L
.40763 .20868 L
.39209 .22311 L
.36582 .25381 L
.34151 .29116 L
.32337 .32728 L
.30952 .36282 L
.29803 .40289 L
.29008 .44679 L
.28679 .4909 L
.28699 .51587 L
.28853 .53904 L
.29155 .56342 L
.29555 .5854 L
.30163 .61048 L
.3088 .63379 L
.32483 .67385 L
.34324 .70865 L
.36713 .74333 L
.39615 .77454 L
.42377 .79558 L
.45584 .81093 L
.48722 .8172 L
.51654 .81551 L
.54509 .80676 L
Mistroke
.57004 .79313 L
.59714 .77141 L
.62053 .746 L
.64329 .71384 L
.66368 .67623 L
.67788 .6421 L
.68989 .60326 L
.69852 .56051 L
.70138 .53634 L
.70274 .51427 L
.702 .47147 L
.69718 .43134 L
.68998 .39782 L
.6788 .36182 L
.66362 .32587 L
.6463 .29433 L
.629 .26924 L
.60875 .24582 L
.58449 .22449 L
.56074 .20967 L
.53365 .19935 L
.50402 .19565 L
.47606 .1993 L
.4512 .20847 L
.42325 .22588 L
.40835 .23853 L
.39527 .25177 L
.37347 .2791 L
.3528 .31281 L
.33579 .34926 L
.32313 .38568 L
.31419 .42221 L
.30897 .45659 L
.30663 .4977 L
.30814 .5348 L
.31046 .55522 L
.31413 .57706 L
.32385 .61579 L
.33549 .64839 L
.35146 .68213 L
.37146 .7143 L
.39286 .74054 L
.41498 .76103 L
.43652 .77557 L
.4626 .78683 L
.48796 .79157 L
.51571 .78994 L
.5457 .78005 L
.56028 .77206 L
.57544 .76136 L
Mistroke
.6011 .7371 L
.62383 .70778 L
.64247 .67615 L
.65648 .64546 L
.66865 .61021 L
.67444 .58795 L
.67869 .56668 L
.68349 .52648 L
.68436 .50384 L
.68401 .48304 L
.68236 .46032 L
.67918 .43653 L
.6707 .39784 L
.65926 .36309 L
.643 .32724 L
.62158 .29253 L
.60006 .26665 L
.57365 .24381 L
.55954 .23499 L
.54385 .22768 L
.51464 .22063 L
.48683 .22161 L
.45804 .23056 L
.4345 .24424 L
.41041 .26491 L
.38481 .29589 L
.36493 .32879 L
.35547 .34849 L
.34655 .37076 L
.34 .39062 L
.33407 .41296 L
.32979 .43394 L
.32686 .45377 L
.32489 .47483 L
.32407 .49753 L
.32451 .51853 L
.326 .53838 L
.33157 .57511 L
.3411 .61203 L
.3529 .6439 L
.37005 .67803 L
.38934 .70665 L
.40965 .72931 L
.43 .74614 L
.45377 .7595 L
.47992 .76718 L
.5068 .76785 L
.52179 .76506 L
.53526 .76058 L
.56057 .74688 L
Mistroke
.58299 .72834 L
.60658 .70099 L
.62548 .67126 L
.64254 .63497 L
.64958 .61558 L
.65606 .59357 L
.66348 .55791 L
.66721 .52417 L
.66777 .48701 L
.66646 .46632 L
.66428 .44771 L
.65701 .41077 L
.65126 .39059 L
.64494 .37254 L
.63088 .34111 L
.61281 .31107 L
.59514 .28884 L
.57418 .26915 L
.55289 .25516 L
.53253 .24674 L
.50809 .24256 L
.48137 .24516 L
.45672 .25433 L
.43494 .26827 L
.4116 .29022 L
.38934 .31974 L
.37165 .35193 L
.35861 .38419 L
.34961 .41499 L
.34298 .44982 L
.33973 .48678 L
.34012 .52128 L
.34178 .54058 L
.34476 .56128 L
.35321 .59787 L
.36508 .63162 L
.37902 .66045 L
.39701 .68825 L
.41987 .71375 L
.43237 .72417 L
.44643 .73335 L
.46015 .73996 L
.473 .74415 L
.4984 .74705 L
.52229 .74334 L
.54319 .73483 L
.56473 .72046 L
.58643 .69933 L
.6067 .67184 L
.62147 .64502 L
Mistroke
.63467 .61291 L
.64396 .58103 L
.64972 .55099 L
.65308 .5157 L
.65298 .48216 L
.65006 .45155 L
.64498 .42385 L
.63685 .39453 L
.62541 .36513 L
.61011 .33621 L
.59363 .3129 L
.57323 .29167 L
.56221 .28298 L
.54969 .27515 L
.52767 .26619 L
.50351 .26292 L
.4807 .26593 L
.46046 .27369 L
.44834 .28078 L
.43597 .29007 L
.41532 .31087 L
.39579 .33833 L
.38602 .35605 L
.37812 .37326 L
.36647 .40626 L
.36157 .42524 L
.35795 .44363 L
.35405 .4768 L
.35329 .4957 L
.35352 .51321 L
.3567 .54813 L
.35966 .56537 L
.36392 .58387 L
.37402 .61526 L
.3862 .64242 L
.40371 .671 L
.42223 .69286 L
.43335 .70294 L
.44603 .71208 L
.45846 .71886 L
.47025 .72343 L
.49176 .72738 L
.51203 .72608 L
.53388 .71913 L
.55633 .70554 L
.5769 .68643 L
.59608 .66121 L
.61009 .63631 L
.62257 .60639 L
.63175 .57497 L
Mistroke
.63743 .54417 L
.64001 .516 L
.64007 .48541 L
.63692 .4524 L
.63408 .43611 L
.63001 .4186 L
.62047 .38894 L
.60898 .36325 L
.59514 .33995 L
.58014 .32078 L
.56535 .30641 L
.54808 .29423 L
.52836 .28551 L
.50675 .28172 L
.48822 .28307 L
.46809 .28943 L
.44814 .30111 L
.43078 .31625 L
.41352 .33699 L
.39755 .36314 L
.39061 .37759 L
.38397 .39405 L
.37444 .42558 L
.36844 .45766 L
.36585 .48788 L
.36603 .51617 L
.36846 .54237 L
.37359 .57038 L
.3819 .59915 L
.39348 .62708 L
.407 .65093 L
.42099 .66956 L
.43794 .68633 L
.44831 .69406 L
.45996 .70074 L
.47126 .70538 L
.48185 .70815 L
.50216 .70939 L
.52345 .70496 L
.53426 .70039 L
.54552 .69386 L
.56471 .67807 L
.57554 .66612 L
.58507 .65339 L
.60071 .62635 L
.61173 .60011 L
.62054 .57026 L
.62556 .54368 L
.62835 .51375 L
.62811 .48156 L
Mistroke
.6265 .46364 L
.62412 .44747 L
.61748 .41857 L
.6075 .39001 L
.59534 .36523 L
.57957 .34183 L
.56257 .32376 L
.54547 .31113 L
.52918 .30341 L
.51071 .29922 L
.49124 .29978 L
.4733 .30485 L
.45319 .31608 L
.43547 .33158 L
.42105 .34901 L
.40729 .37121 L
.39499 .39831 L
.38941 .41452 L
.38522 .42969 L
.37943 .46028 L
.37696 .48972 L
.37718 .51536 L
.37993 .54309 L
.38554 .57112 L
.39319 .5959 L
.40236 .61754 L
.41225 .63552 L
.42531 .65384 L
.43906 .66836 L
.45523 .68062 L
.47342 .6892 L
.48944 .69271 L
.50725 .69237 L
.52609 .68715 L
.53637 .68207 L
.54549 .67614 L
.5622 .66138 L
.57655 .64378 L
.58981 .62191 L
.59587 .60929 L
.60154 .59527 L
.60986 .56802 L
.61501 .54174 L
.61761 .51587 L
.61792 .49155 L
.61592 .46512 L
.61109 .43756 L
.60303 .40975 L
.59721 .39499 L
.59107 .38209 L
Mistroke
.57804 .36068 L
.57059 .35103 L
.56202 .34172 L
.5462 .3287 L
.53038 .32017 L
.52092 .31699 L
.51082 .31507 L
.49265 .31538 L
.47578 .32 L
.46097 .32773 L
.44487 .34051 L
.43096 .35601 L
.41946 .37293 L
.41021 .39039 L
.40169 .41122 L
.39469 .43476 L
.38985 .45948 L
.38721 .48672 L
.38717 .51257 L
.38923 .53594 L
.39411 .56245 L
.39802 .57687 L
.40235 .58975 L
.41196 .61183 L
.42439 .6327 L
.43854 .64998 L
.44728 .65814 L
.45582 .66457 L
.46518 .67006 L
.47393 .67384 L
.48424 .6767 L
.4941 .67791 L
.5116 .67641 L
.52746 .67097 L
.54408 .66071 L
.55203 .65395 L
.56036 .64536 L
.57601 .62406 L
.58798 .60114 L
.59325 .58807 L
.59815 .57313 L
.60228 .55694 L
.60519 .54148 L
.60711 .52645 L
.60813 .51215 L
.60801 .48536 L
.60678 .47049 L
.60491 .45699 L
.60208 .44249 L
.5982 .42761 L
Mistroke
.58972 .40398 L
.58 .3844 L
.56669 .36476 L
.55231 .34964 L
.53788 .33915 L
.52379 .33267 L
.50785 .32933 L
.49077 .33023 L
.47406 .33565 L
.46496 .34062 L
.45689 .34632 L
.4429 .35951 L
.42967 .3768 L
.41733 .39912 L
.40817 .42239 L
.40402 .43659 L
.40098 .4499 L
.39837 .46561 L
.3968 .48069 L
.39612 .50462 L
.39785 .53016 L
.40177 .55359 L
.40724 .57406 L
.41577 .59632 L
.42748 .61795 L
.44055 .6352 L
.45412 .64796 L
.46193 .65341 L
.47065 .65809 L
.487 .66318 L
.5032 .6638 L
.51797 .66059 L
.53348 .65313 L
.54189 .64716 L
.54941 .64051 L
.5634 .62422 L
.57629 .60307 L
.58545 .58206 L
.59201 .56103 L
.59692 .53675 L
.59847 .52418 L
.59943 .51018 L
.59929 .48678 L
.5967 .46194 L
.592 .43936 L
.58585 .41981 L
.57827 .40216 L
.56993 .38729 L
.55951 .37301 L
.54713 .36046 L
Mistroke
.53302 .35063 L
.51897 .34481 L
.50604 .34257 L
.49194 .3434 L
.47667 .34822 L
.4633 .35604 L
.44892 .36881 L
.43668 .38425 L
.42688 .4009 L
.41922 .41805 L
.41255 .43837 L
.40759 .46124 L
.40578 .47473 L
.40479 .48725 L
.40445 .50105 L
.40496 .51556 L
.40776 .53957 L
.41041 .55278 L
.41356 .5647 L
.42113 .58574 L
.42976 .60306 L
.44157 .62035 L
.45426 .63357 L
.46772 .6431 L
.47573 .64695 L
.48341 .64946 L
.49912 .65126 L
.50796 .65033 L
.51598 .64827 L
.52915 .64223 L
.54275 .63216 L
.55569 .61814 L
.56629 .60232 L
.57165 .59219 L
.5768 .58048 L
.58075 .56962 L
.58429 .55767 L
.58913 .53405 L
.59135 .51163 L
.59164 .49906 L
.59119 .48562 L
.58844 .46178 L
.58555 .4477 L
.582 .43485 L
.57333 .41242 L
.5646 .39638 L
.55366 .38154 L
.54212 .37023 L
.53072 .36243 L
.51745 .35689 L
Mistroke
.50253 .35473 L
.49497 .35523 L
.48694 .35692 L
.47285 .36293 L
.46541 .36781 L
.45881 .37323 L
.44505 .38851 L
.43454 .40504 L
.42986 .41441 L
.42538 .42509 L
.41911 .44472 L
.41499 .46413 L
.41336 .47628 L
.41242 .48796 L
.41232 .50994 L
.41421 .53055 L
.41755 .54864 L
.42326 .56842 L
.43033 .58556 L
.43823 .59987 L
.44651 .6114 L
.45655 .62202 L
.46803 .63067 L
.48032 .63651 L
.49391 .63935 L
.50684 .63871 L
.51844 .63535 L
.53154 .62815 L
.53858 .62261 L
.54478 .6166 L
.55526 .60356 L
.56491 .58719 L
.57213 .57053 L
.57821 .55078 L
.58237 .52897 L
.58418 .50811 L
.58402 .4884 L
.58232 .47076 L
.57858 .45106 L
.57336 .43352 L
.56594 .41594 L
.55632 .39961 L
.54686 .38787 L
.53537 .37765 L
.52209 .37011 L
.51435 .36755 L
.50718 .3663 L
.4932 .36683 L
.48016 .37093 L
.4685 .3778 L
Mistroke
.4586 .38638 L
.44818 .3988 L
.43958 .41264 L
.43279 .42708 L
.42768 .44143 L
.42338 .4581 L
.42043 .4764 L
.41914 .49535 L
.41968 .51564 L
.42199 .53439 L
.42557 .55081 L
.43148 .56891 L
.43558 .5784 L
.43982 .58661 L
.44864 .60012 L
.45927 .61191 L
.47051 .6205 L
.48356 .62646 L
.49629 .62862 L
.50815 .62757 L
.51967 .62367 L
.5297 .61775 L
.54055 .6083 L
.54983 .59707 L
.55872 .58254 L
.56643 .56506 L
.57151 .54881 L
.57537 .52998 L
.57743 .50903 L
.57762 .49719 L
.57717 .48643 L
.57468 .46593 L
.57037 .4474 L
.56532 .4327 L
.55837 .41791 L
.54973 .40441 L
.54053 .39387 L
.53119 .38614 L
.52212 .38097 L
.51179 .37751 L
.50071 .37646 L
.48947 .37814 L
.47777 .38294 L
.46729 .39017 L
.45843 .39885 L
.44906 .41136 L
.44041 .42733 L
.43392 .44426 L
.4295 .46106 L
.42654 .48 L
Mistroke
.42551 .49837 L
.42607 .51484 L
.42828 .53242 L
.43249 .55062 L
.43563 .56024 L
.43892 .56852 L
.44651 .58327 L
.45491 .59519 L
.46377 .60442 L
.4739 .6118 L
.48301 .61604 L
.4933 .6184 L
.50448 .61821 L
.51629 .61489 L
.52699 .60889 L
.53613 .60117 L
.54595 .58952 L
.55492 .57456 L
.5612 .56005 L
.56648 .54264 L
.56863 .53241 L
.57009 .52284 L
.5711 .51218 L
.5715 .50089 L
.57062 .48196 L
.56927 .47144 L
.56747 .4619 L
.56252 .44421 L
.55623 .42899 L
.54936 .41686 L
.5408 .40568 L
.53036 .39612 L
.52475 .39245 L
.5184 .38934 L
.50682 .38633 L
.49587 .38644 L
.48456 .38957 L
.479 .3923 L
.47305 .39616 L
.46316 .40506 L
.45478 .41561 L
.44633 .43031 L
.44009 .44561 L
.43745 .45418 L
.43509 .46389 L
.43323 .47432 L
.43207 .48422 L
.43139 .50267 L
.4325 .51997 L
.43491 .53506 L
Mistroke
.43899 .55061 L
.44505 .56618 L
.4487 .57335 L
.45313 .58064 L
.46191 .59177 L
.47105 .59992 L
.48049 .60549 L
.49125 .60885 L
.50159 .60933 L
.51112 .60742 L
.5203 .60336 L
.52825 .5979 L
.53679 .58962 L
.54408 .58009 L
.55103 .56795 L
.55706 .55354 L
.56104 .54022 L
.56406 .52485 L
.5657 .50778 L
.56586 .49813 L
.56554 .48936 L
.56365 .47262 L
.56035 .45744 L
.55729 .44758 L
.55319 .43738 L
.54816 .42761 L
.54281 .4194 L
.53772 .4131 L
.53198 .4074 L
.52531 .4023 L
.51891 .39876 L
Mfstroke
.95493 .5 m
.9544 .4887 L
.95298 .47824 L
.95021 .46569 L
.94641 .45308 L
.93657 .42803 L
.92071 .39539 L
.86496 .30041 L
.8147 .22606 L
.752 .14567 L
.67589 .06882 L
.65133 .04945 L
.62704 .03309 L
.57937 .00945 L
s
.57937 .00945 m
.53982 0 L
s
.47075 0 m
.4494 .00506 L
.42433 .01456 L
.3961 .02924 L
.37039 .04624 L
.29053 .12066 L
.23062 .19782 L
.17708 .28454 L
.14303 .35393 L
.13081 .38479 L
.12069 .41614 L
.11646 .43254 L
.11335 .44729 L
.10942 .47553 L
.10832 .49913 L
.10948 .52507 L
.11338 .55258 L
.11959 .57927 L
.12956 .61054 L
.14372 .64575 L
.17935 .71576 L
.23423 .80066 L
.27325 .8502 L
.31545 .89491 L
.36076 .93274 L
.388 .95032 L
.41399 .96341 L
.46142 .97781 L
.48572 .98038 L
.5125 .97939 L
.54135 .97382 L
.56729 .96482 L
.59649 .95017 L
.62323 .93256 L
.66772 .89433 L
.71112 .84606 L
.77424 .75404 L
.8007 .705 L
.82055 .66111 L
.83491 .62217 L
.84091 .60247 L
.84611 .58219 L
.85256 .54734 L
.85546 .51612 L
.85541 .483 L
.85395 .46427 L
.85167 .44685 L
.84515 .41434 L
.83483 .37873 L
.8083 .31349 L
Mistroke
.76549 .23631 L
.70349 .15297 L
.66145 .11034 L
.61901 .07771 L
.57912 .05645 L
.53379 .04343 L
.48573 .0427 L
.44161 .05398 L
.40133 .07436 L
.36029 .10515 L
.32468 .14035 L
.29498 .17614 L
.24753 .24777 L
.21021 .32296 L
.19593 .3605 L
.18431 .3995 L
.17677 .43525 L
.1727 .46719 L
.1713 .50412 L
.1721 .52492 L
.17387 .54423 L
.17969 .57993 L
.18958 .61861 L
.20201 .65476 L
.21943 .69531 L
.26702 .77882 L
.29373 .81544 L
.32583 .85231 L
.35897 .88312 L
.39182 .90681 L
.43557 .92805 L
.45934 .9347 L
.48483 .93798 L
.52769 .93454 L
.55174 .92764 L
.57382 .91813 L
.61327 .89346 L
.64694 .86436 L
.68043 .82752 L
.71199 .78462 L
.73776 .74223 L
.75752 .70349 L
.77409 .66443 L
.78625 .62911 L
.7968 .58856 L
.80384 .54562 L
.80633 .50829 L
.80522 .4691 L
.80114 .43491 L
.79353 .39796 L
Mistroke
.78324 .36267 L
.77121 .33013 L
.75382 .29166 L
.73091 .24991 L
.67879 .17762 L
.64555 .14339 L
.61237 .11701 L
.57355 .09543 L
.53091 .08294 L
.49307 .08162 L
.45812 .08858 L
.42084 .1048 L
.38311 .13074 L
.34521 .16707 L
.30896 .21278 L
.28161 .25619 L
.25762 .30343 L
.24041 .34618 L
.23299 .3687 L
.22632 .39272 L
.21784 .43445 L
.21359 .47301 L
.21274 .49571 L
.21319 .51979 L
.2175 .56308 L
.22237 .58968 L
.2285 .61478 L
.24399 .66185 L
.26382 .707 L
.28628 .74777 L
.31749 .79318 L
.35108 .83143 L
.38227 .85882 L
.41809 .88157 L
.43938 .89089 L
.45992 .89697 L
.49891 .90071 L
.53988 .89364 L
.5766 .87754 L
.61467 .85071 L
.65151 .81403 L
.68007 .77717 L
.70702 .73376 L
.7269 .69402 L
.74399 .65108 L
.75672 .6086 L
.76467 .57031 L
.76924 .53209 L
.77044 .49627 L
.768 .45444 L
Mistroke
.76095 .41028 L
.75128 .3726 L
.7368 .33138 L
.71674 .28766 L
.6902 .24252 L
.66062 .20308 L
.63019 .17143 L
.59918 .14707 L
.56413 .12826 L
.53306 .11895 L
.4982 .1166 L
.4611 .12347 L
.42238 .1412 L
.38797 .16646 L
.35891 .19549 L
.31342 .25831 L
.29249 .29726 L
.27636 .33456 L
.26286 .37453 L
.25382 .41095 L
.24719 .45288 L
.24468 .49231 L
.24579 .53179 L
.25104 .57406 L
.25985 .61377 L
.27114 .64979 L
.28823 .69121 L
.31151 .73471 L
.33773 .773 L
.36541 .80474 L
.38163 .81992 L
.4 .83436 L
.43509 .85445 L
.47078 .86529 L
.50415 .86696 L
.54011 .85959 L
.56005 .85133 L
.57815 .84116 L
.61281 .8142 L
.64631 .77761 L
.67203 .74083 L
.69243 .70427 L
.71087 .66243 L
.71866 .64065 L
.72579 .61703 L
.73477 .5774 L
.73987 .5402 L
.74174 .49607 L
.73946 .45582 L
.73416 .41972 L
Mistroke
.72649 .38642 L
.71505 .35034 L
.69943 .31274 L
.6793 .27482 L
.65702 .24146 L
.63242 .21211 L
.60781 .18906 L
.57794 .16842 L
.54411 .15388 L
.51185 .14833 L
.4811 .15045 L
.44606 .16179 L
.41502 .18014 L
.38333 .20766 L
.35312 .24359 L
.32988 .27954 L
.30889 .3212 L
.29318 .36215 L
.28237 .40049 L
.2745 .4433 L
.27195 .46761 L
.27083 .49025 L
.27095 .51415 L
.27223 .53583 L
.27509 .56075 L
.27914 .58416 L
.28783 .61952 L
.30086 .65765 L
.31823 .69603 L
.33782 .72992 L
.35841 .75848 L
.38008 .78266 L
.40728 .80598 L
.43382 .82217 L
.4642 .83337 L
.49733 .83707 L
.52854 .83253 L
.55618 .82187 L
.58728 .802 L
.60382 .78775 L
.61828 .77296 L
.64241 .74272 L
.66524 .70595 L
.68412 .66654 L
.69825 .62763 L
.70837 .58892 L
.71449 .55274 L
.71758 .51363 L
.71676 .47056 L
.71469 .44904 L
Mistroke
.7112 .42598 L
.70166 .38482 L
.6899 .34959 L
.67353 .31257 L
.65273 .27645 L
.63026 .24613 L
.60671 .22148 L
.58358 .2031 L
.5553 .18752 L
.52755 .17905 L
.49667 .17723 L
.46297 .18435 L
.44641 .19141 L
.42911 .20143 L
.39956 .22526 L
.37294 .25509 L
.35071 .28776 L
.33359 .31972 L
.3182 .35651 L
.31047 .37991 L
.30447 .40224 L
.29657 .44447 L
.29405 .46833 L
.29295 .49027 L
.29308 .51431 L
.29474 .53957 L
.30093 .58121 L
.31051 .61921 L
.32512 .65946 L
.3453 .69992 L
.36654 .73212 L
.39337 .76274 L
.40804 .77574 L
.42456 .78764 L
.45592 .80297 L
.4882 .80948 L
.51911 .8072 L
.54634 .7982 L
.57481 .7814 L
.59135 .76786 L
.60614 .75312 L
.63134 .72122 L
.65441 .68198 L
.6645 .66031 L
.67408 .63568 L
.68065 .61532 L
.68649 .59312 L
.69131 .56941 L
.69453 .54709 L
.69651 .52479 L
Mistroke
.69725 .50364 L
.69567 .46412 L
.69064 .42722 L
.68116 .38735 L
.67488 .36785 L
.66699 .34734 L
.6499 .31204 L
.63069 .28163 L
.60754 .25361 L
.58574 .23377 L
.56018 .21723 L
.54392 .2101 L
.52825 .2056 L
.49852 .20324 L
.4819 .20542 L
.46672 .20962 L
.45039 .21658 L
.43359 .22648 L
.40732 .24807 L
.38493 .27331 L
.36331 .30543 L
.34396 .34378 L
.33591 .36404 L
.32937 .38359 L
.31989 .42102 L
.31379 .46211 L
.31225 .48539 L
.31203 .50679 L
.31427 .5425 L
.32042 .58107 L
.33087 .62016 L
.34421 .65496 L
.36424 .69317 L
.38703 .72504 L
.41021 .74894 L
.42426 .76009 L
.43774 .76869 L
.46683 .78083 L
.48382 .78409 L
.49987 .78466 L
.51669 .78263 L
.53192 .77846 L
.54832 .77141 L
.56503 .76135 L
.59044 .73995 L
.6114 .71575 L
.6326 .68335 L
.64927 .64946 L
.66158 .61604 L
.67014 .58409 L
Mistroke
.67635 .54825 L
.67923 .50993 L
.67829 .47136 L
.67609 .44991 L
.67302 .43053 L
.66427 .39373 L
.65266 .36031 L
.63535 .32413 L
.61595 .29408 L
.59141 .26617 L
.57645 .25339 L
.5623 .24381 L
.53681 .23214 L
.51231 .22721 L
.48525 .22868 L
.47026 .23262 L
.45687 .2381 L
.43089 .2543 L
.41707 .26622 L
.40495 .27882 L
.3846 .30538 L
.36607 .33749 L
.3531 .36706 L
.34212 .40058 L
.33472 .43332 L
.33052 .46381 L
.32878 .49968 L
.33078 .53867 L
.33636 .57484 L
.34468 .6074 L
.35784 .64302 L
.37612 .67836 L
.39684 .70755 L
.41846 .72981 L
.43968 .74539 L
.46432 .75682 L
.49089 .76185 L
.51585 .75994 L
.52967 .75609 L
.54442 .74972 L
.57003 .73267 L
.5929 .71006 L
.61177 .68475 L
.62921 .65374 L
.64456 .61621 L
.65063 .5964 L
.65589 .57456 L
.65961 .55359 L
.66195 .53418 L
.66353 .49665 L
Mistroke
.6615 .4614 L
.65679 .4303 L
.64868 .39761 L
.63642 .36379 L
.61981 .33092 L
.60294 .30603 L
.58192 .28291 L
.56042 .26618 L
.53959 .25553 L
.51467 .24928 L
.49074 .24959 L
.46897 .25525 L
.44941 .26492 L
.42905 .28003 L
.40908 .30071 L
.38829 .33024 L
.37232 .36117 L
.35864 .39813 L
.35338 .41757 L
.34889 .43933 L
.34446 .47667 L
.3437 .49774 L
.34409 .51689 L
.3478 .55371 L
.35481 .58756 L
.36465 .61868 L
.37824 .64945 L
.3922 .67331 L
.40983 .69634 L
.43095 .71645 L
.44364 .72535 L
.45566 .73184 L
.47854 .73941 L
.50308 .7409 L
.52683 .7359 L
.53991 .73036 L
.55163 .7236 L
.57211 .70733 L
.59185 .68531 L
.6075 .66206 L
.62012 .63792 L
.63153 .60936 L
.64076 .57696 L
.64699 .54125 L
.64884 .52077 L
.64946 .50173 L
.64787 .46699 L
.64575 .44967 L
.64238 .43082 L
.63414 .39946 L
Mistroke
.62195 .36768 L
.60751 .34036 L
.59202 .31824 L
.57565 .30046 L
.55663 .28539 L
.5376 .27537 L
.51969 .27009 L
.49832 .26875 L
.47528 .27328 L
.45422 .28308 L
.4358 .29655 L
.41821 .31442 L
.40335 .3343 L
.38911 .35901 L
.37648 .38825 L
.36652 .42094 L
.36029 .45333 L
.35746 .48297 L
.35738 .51544 L
.35863 .53269 L
.36092 .55071 L
.36745 .58215 L
.37785 .61421 L
.38521 .63131 L
.39299 .64636 L
.40912 .67101 L
.42583 .68995 L
.43578 .69876 L
.44706 .70685 L
.46854 .7173 L
.48831 .72168 L
.51032 .72094 L
.53291 .71398 L
.55317 .70199 L
.5708 .68651 L
.58558 .66911 L
.60001 .647 L
.61288 .62096 L
.62402 .58984 L
.63121 .56002 L
.63395 .54308 L
.6359 .52452 L
.63669 .49067 L
.63423 .4592 L
.62832 .42683 L
.62066 .40042 L
.60964 .37328 L
.59346 .34472 L
.57604 .3227 L
.5655 .31251 L
Mistroke
.5534 .30318 L
.54149 .2962 L
.53013 .29142 L
.51842 .28829 L
.5073 .28695 L
.48651 .28863 L
.46462 .29646 L
.45275 .30347 L
.44227 .31145 L
.42397 .33003 L
.40861 .35141 L
.39668 .37318 L
.38597 .39903 L
.37718 .42907 L
.37392 .44477 L
.37128 .46234 L
.36908 .49378 L
.36988 .52324 L
.37344 .55221 L
.37931 .57886 L
.38657 .60165 L
.39653 .62492 L
.40949 .64768 L
.42554 .66852 L
.44244 .68432 L
.45891 .69496 L
.4796 .70264 L
.49025 .70431 L
.50199 .70442 L
.52261 .70019 L
.54123 .6913 L
.55202 .68374 L
.5618 .67516 L
.57874 .65573 L
.59453 .63064 L
.60211 .61501 L
.60834 .5995 L
.61662 .57235 L
.61994 .55738 L
.62266 .54095 L
.62445 .52446 L
.62535 .50699 L
.62446 .4758 L
.62078 .44739 L
.61495 .42189 L
.60601 .39546 L
.59372 .36968 L
.57978 .34832 L
.5622 .32896 L
.55263 .3211 L
Mistroke
.5419 .31418 L
.53145 .30919 L
.52169 .30599 L
.50278 .30361 L
.48219 .3066 L
.4633 .31467 L
.4467 .3264 L
.43723 .33535 L
.42759 .34644 L
.41199 .36981 L
.39946 .3959 L
.39051 .42206 L
.38664 .43743 L
.3838 .45209 L
.38155 .46843 L
.38018 .4861 L
.37989 .50469 L
.3807 .52221 L
.38231 .53778 L
.38501 .5544 L
.39183 .58176 L
.40064 .60578 L
.41277 .62967 L
.41993 .64075 L
.4284 .65175 L
.44609 .66913 L
.45646 .67644 L
.46645 .68174 L
.48495 .68749 L
.49548 .68852 L
.50505 .68808 L
.52364 .68345 L
.54014 .67491 L
.55714 .66117 L
.56513 .65268 L
.57338 .64224 L
.58583 .6224 L
.59698 .59845 L
.6052 .5739 L
.6106 .55032 L
.6141 .524 L
.61512 .49895 L
.61368 .47161 L
.6092 .44286 L
.60185 .41578 L
.59711 .40289 L
.59117 .38949 L
.57886 .36789 L
.56555 .35072 L
.55059 .33672 L
Mistroke
.53537 .32703 L
.5211 .3215 L
.50525 .31904 L
.48795 .32065 L
.47001 .32714 L
.45539 .33638 L
.44039 .35019 L
.42487 .37037 L
.41238 .393 L
.40331 .41557 L
.39594 .44198 L
.393 .45756 L
.39112 .47192 L
.38991 .48865 L
.38971 .50446 L
.39162 .53239 L
.39394 .54779 L
.39686 .56163 L
.40398 .58557 L
.41264 .60624 L
.42416 .62655 L
.43858 .64494 L
.4465 .65266 L
.45555 .65978 L
.4729 .66911 L
.49048 .67342 L
.50693 .67306 L
.5231 .66856 L
.53945 .65955 L
.55255 .64863 L
.56568 .63363 L
.57815 .61432 L
.58413 .60254 L
.58916 .59079 L
.59713 .56649 L
.60218 .54318 L
.60497 .52023 L
.60571 .49568 L
.60454 .47483 L
.60135 .45238 L
.59578 .42924 L
.58746 .40604 L
.57755 .38622 L
.56693 .37031 L
.55289 .35483 L
.54442 .34784 L
.53643 .34262 L
.52022 .33567 L
.50452 .33318 L
.49554 .33355 L
Mistroke
.48611 .33535 L
.46966 .34209 L
.46086 .34771 L
.45298 .35409 L
.44481 .36222 L
.4365 .37232 L
.42415 .39185 L
.41447 .41285 L
.40714 .4351 L
.40233 .45679 L
.39933 .48094 L
.39874 .50788 L
.39952 .52135 L
.40115 .53567 L
.40616 .56075 L
.41349 .58375 L
.42207 .60284 L
.43403 .6222 L
.44703 .6373 L
.46028 .64815 L
.47325 .65519 L
.48802 .65945 L
.50387 .65987 L
.51969 .65603 L
.52833 .65206 L
.536 .64734 L
.55007 .63537 L
.56217 .62091 L
.57433 .60088 L
.5835 .57982 L
.58741 .56808 L
.591 .55464 L
.59389 .54019 L
.5958 .52634 L
.59721 .50215 L
.59694 .48843 L
.59601 .47575 L
.59213 .45073 L
.58882 .43727 L
.58514 .42548 L
.57701 .40572 L
.56616 .38673 L
.55423 .37163 L
.54204 .36054 L
.5269 .35151 L
.51206 .34699 L
.50342 .34618 L
.49551 .34658 L
.48644 .34841 L
.47796 .35146 L
Mistroke
.47 .35558 L
.4618 .36119 L
.448 .37425 L
.44029 .38396 L
.43363 .39416 L
.42293 .41556 L
.41596 .43527 L
.41059 .45773 L
.40764 .47974 L
.40677 .50008 L
.40798 .52383 L
.40971 .53699 L
.41198 .54889 L
.41773 .5698 L
.42597 .59023 L
.43565 .60748 L
.44783 .62314 L
.46067 .63469 L
.47331 .6422 L
.48795 .64685 L
.49639 .6477 L
.50425 .64733 L
.51253 .64571 L
.51993 .64316 L
.52828 .63899 L
.5359 .63388 L
.54697 .62396 L
.55803 .61041 L
.56809 .59371 L
.57591 .57615 L
.58171 .55839 L
.58563 .54133 L
.58846 .52101 L
.58942 .50142 L
.58857 .48036 L
.58555 .45847 L
.58075 .43874 L
.57488 .42202 L
.5662 .40407 L
.55496 .38741 L
.54286 .37474 L
.53075 .36609 L
.51677 .36017 L
.50317 .35816 L
.49093 .35936 L
.47791 .36384 L
.46439 .37231 L
.45794 .37792 L
.4512 .38506 L
.44038 .3999 L
Mistroke
.43171 .41604 L
.42463 .43395 L
.41953 .45222 L
.41637 .46934 L
.41452 .48848 L
.41441 .50933 L
.41647 .53126 L
.42042 .55119 L
.42561 .56826 L
.43369 .58698 L
.44421 .60416 L
.45456 .61629 L
.46708 .62652 L
.47454 .63074 L
.48153 .63356 L
.48974 .63557 L
.4976 .63622 L
.51152 .63438 L
.51925 .63165 L
.52622 .62809 L
.53808 .61936 L
.54834 .60861 L
.55835 .59429 L
.56293 .58602 L
.56744 .57636 L
.57445 .55658 L
.57738 .54516 L
.5795 .53423 L
.58183 .51417 L
.58217 .4925 L
.58041 .47187 L
.5785 .46043 L
.57615 .45002 L
.56979 .43018 L
.56533 .41988 L
.56073 .41109 L
.55144 .39717 L
.53993 .38485 L
.52801 .37631 L
.51634 .3713 L
.50907 .36969 L
.50116 .36919 L
.4937 .36989 L
.4869 .37155 L
.47435 .37727 L
.46191 .38677 L
.45588 .39301 L
.44982 .40059 L
.44013 .41637 L
.43507 .42715 L
Mistroke
.43095 .43802 L
.42761 .44904 L
.42508 .45974 L
.4222 .47824 L
.42103 .49906 L
.42195 .51929 L
.42335 .53045 L
.42517 .54046 L
.42938 .55667 L
.43554 .57313 L
.44355 .58851 L
.45226 .60081 L
.45774 .60688 L
.46401 .61257 L
.4761 .62037 L
.48849 .62466 L
.50013 .62559 L
.51268 .62333 L
.51965 .62055 L
.526 .61702 L
.53247 .61234 L
.53811 .60726 L
.54974 .59325 L
.55766 .57995 L
.56394 .56597 L
.56938 .54931 L
.57343 .53024 L
.57549 .51067 L
.57578 .50073 L
.57552 .48987 L
.57358 .47091 L
.57014 .45393 L
.5651 .43775 L
.55902 .42372 L
.55257 .4124 L
.54462 .40173 L
.53502 .39226 L
.52401 .38493 L
.51415 .38103 L
.50302 .37935 L
.49682 .37962 L
.49009 .38089 L
.47814 .38577 L
.46713 .39353 L
.45772 .40319 L
.44786 .41736 L
.44037 .43235 L
.43689 .44138 L
.43369 .45161 L
.43125 .46165 L
Mistroke
.42951 .47112 L
.42762 .48862 L
.42735 .50512 L
.4287 .52304 L
.43203 .54158 L
.4344 .55049 L
.4375 .55977 L
.44441 .57536 L
.45257 .58856 L
.4612 .59875 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{383.875, 383.875},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008o0002?b000`400?l00000o`00003oo`3ooooo
0?oood40oooo000]0?ooo`050;md00000000000000000018W=l0B`3oool00`3ookl0M00000000004
0000000307Boo`3oool0oooo04P0oooo00<0okmd0000000000000`0000000`00M;l0oooo0?ooo`14
0?ooo`050?noM000000000000000001d_ol0C03oool00`3o_g@000000000000300000003001d_`3o
ool0oooo04L0oooo00<0oono07@000000000100000000`1d_ol0oooo0?ooo`190?ooo`050;md0000
0000000000000018W=l0:P3oool002`0oooo00L0_g@0001d_`3oool0oooo0?oo_`1d0000B9cO04/0
oooo00<0_g@00000M02oool00P3oool00`3OW7@0W=oo0?ooo`1<0?ooo`0309a8B02Lgol0oooo04L0
oooo00H0W4Qd0;ooo`3oool0oono07@0M02ooom>0?ooo`0309a8B02Lgol0oooo04/0oooo00<0_g@0
0000M02oool00P3oool00`3OW7@0W=oo0?ooo`190?ooo`070;md0000M;l0oooo0?ooo`3ookl0M000
04RLg`0Y0?ooo`00<@3oool00`3o_g@007Bo0?ooo`1;0?ooo`030?noM00004P0W=oo0500oooo00<0
W4Q809cOo`3oool0AP3oool00`3o_g@007Bo0?ooo`020?ooo`030=nLB018W=l0oooo04d0oooo00<0
W4Q809cOo`3oool0C03oool00`3o_g@0001809cOo`1B0?ooo`030?noM000M;l0oooo02P0oooo000`
0?ooo`030?oOW01804P0W=oo04d0oooo00<0omnL04P00018W=l0C`3oool00`2LB4P0W=oo0?ooo`16
0?ooo`030=nLB018W=l0oooo0080oooo00<0okmd001d_`3oool0C@3oool00`2LB4P0W=oo0?ooo`1=
0?ooo`030?oOW0180000B9cO0500oooo00<0omnL04P0B02Lgol0:@3oool002<0oooo00<0W4P00000
000000000`0000000`00B9`0oooo0?ooo`020?ooo`040=nLB0000000001809cOod<0oooo00<0W4P0
0000000000000`0000000`00B9`0oooo0?ooo`040?ooo`0309a80018W=l0oooo0440oooo00<0W4P0
0000000000000`0000000`00B9`0oooo0?ooo`030?ooo`0309a8B02Lgol0oooo04H0oooo00<0gia8
04RLg`3oool00P3oool00`3o_g@007Bo0?ooo`1=0?ooo`0309a8B02Lgol0oooo04l0oooo00<0W4P0
04RLg`3oool0C03oool0103OW4P000000000B02LgolZ0?ooo`00<03oool00`3ogi`0B01809cOo`1@
0?ooo`0309a8M02oool0oooo04`0oooo00<0W4Q809cOo`3oool0AP3oool00`3OW4P0B9cO0?ooo`02
0?ooo`030?noM000M;l0oooo04d0oooo00<0W4Q809cOo`3oool0D03oool00`2LB7@0_ooo0?ooo`1=
0?ooo`030?oOW01804P0W=oo02T0oooo000a0?ooo`030;md001d_ol0oooo04X0oooo00<0gia807Bo
o`3oool00P3oool00`2oM000M;oo0?ooo`1<0?ooo`0309a8B02Lgol0oooo04H0oooo00<0okmd04RL
g`3oool00P3oool00`3OW4P0B9cO0?ooo`1=0?ooo`0309a8B02Lgol0oooo04/0oooo00<0gia807Bo
o`3oool00P3oool00`2oM000M;oo0?ooo`1>0?ooo`030;md001d_ol0oooo02P0oooo000/0?ooo`07
0?noM00004P0W=oo0?ooo`3ogi`0B01809cOo`1;0?ooo`070?noM00007@0_ooo0?ooo`3o_g@00018
09cOo`1:0?ooo`050=nLB000000004RL09a8B02Lgol0B03oool01P2LB000M;oo0?ooo`3ogi`0B01d
0;oood/0oooo00D0gia800000000B9`0W4Q809cOo`1<0?ooo`070?noM00007@0_ooo0?ooo`3o_g@0
001809cOo`1:0?ooo`070?noM00004P0W=oo0?ooo`3ogi`0B01809cOo`0Y0?ooo`00;@3oool01@3o
gi`0B000000000000000M;oo04d0oooo00D0okmd000000000000001809cOo`1=0?ooo`030=nLB000
04P0W=oo04P0oooo00D0oono07@000000000001809cOo`1>0?ooo`030=nLB00004P0W=oo04d0oooo
00D0okmd000000000000001809cOo`1<0?ooo`050?oOW018000000000000001d_ol0:P3oool00?l0
ooooo`3ooom10?ooo`00o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool00?l0ooooo`3ooom1
0?ooo`00o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool00?l0ooooo`3ooom10?ooo`00o`3o
oooo0?oood40oooo003o0?ooool0oooo@@3oool00?l0ooooo`3ooom10?ooo`00803ooooo00000?l0
00000@00000P0?ooo`00803oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool00P3oool2000000T0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`080?ooo`8000000`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00`0oooo
0P00000?0?ooo`030000003oool0oooo00d0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool00`3oool2000000P0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`060?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo``0
00002`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00@0oooo1@0000040?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00P0oooo1P00000;0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0403oool3000002D0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01h0oooo0`00000=0?ooo`@00000
2P3oool2000000/0oooo00<000000?ooo`3oool06@3oool500000300oooo00<000000?ooo`3oool0
CP3oool00`000000oooo0?ooo`1=0?ooo`8000002`3oool00`000000oooo0?ooo`0N0?ooo`00803o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00P3o
ool2000002H0oooo0P00000G0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool08@3o
ool2000001h0oooo00<000000?ooo`3oool00P00000J0?ooo`030000003oool0oooo0080oooo0P00
000>0?ooo`8000006`3oool00`000000oooo0?ooo`0N0?ooo`D00000:`3oool00`000000oooo0?oo
o`1>0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0C0?ooo`80000000@0oooo00000000000000009`3o
ool00`000000oooo0?ooo`0R0?ooo`8000008`3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo01T0oooo0P000000103oool0000000000000000=0?ooo`<00000@`3oool400000=D0oooo
00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool04@3oool5000002P0oooo0P00
000T0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool07`3oool2000001X0oooo1@00
000=0?ooo`<00000BP3oool200000=<0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0403oool6000002L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool06@3oool6000000/0oooo0P00001?
0?ooo`800000d@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0?0?oo
o`@00000:@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool07`3oool00`000000oooo0?ooo`0I0?ooo`@00000303oool2000002D0oooo2000000V0?oo
o`800000c`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0g0?ooo`03
0000003oool0oooo008000009@3oool00`000000oooo0?ooo`0Q0?ooo`8000007P3oool010000000
oooo00000000000Z0?ooo`8000008@3oool6000000P0oooo2`00000M0?ooo`800000c@3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0f0?ooo`@000009P3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo01d0oooo0`00000Z0?ooo`8000007@3oool6000001T0
oooo1`00000H0?ooo`800000b`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`0e0?ooo`D000009@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01d0oooo
1000000X0?ooo`8000006@3oool6000002H0oooo0`00000G0?ooo`800000b@3oool00`000000oooo
0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0e0?ooo`@000008P3oool010000000oooo0?oo
o`00000Q0?ooo`030000003oool0000001l0oooo1000000W0?ooo`8000005P3oool5000002l0oooo
0`00000F0?ooo`800000a`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?oo
o`0d0?ooo`<000008`3oool400000240oooo0`00000O0?ooo`<000009`3oool2000001H0oooo0P00
000g0?ooo`8000005P3oool200000<D0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0<`3oool2000002D0oooo1000000P0?ooo`D000007@3oool2000002L0oooo0P00000F
0?ooo`800000>`3oool3000001D0oooo0P0000330?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo05T0oooo1000000Q0?ooo`@00000A@3oool2000001D0oooo0`00000J0?oo
o`T000007@3oool3000001@0oooo0P0000310?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo05T0oooo0P00000R0?ooo`<00000A@3oool2000001D0oooo0P00000F0?oooaX0
00005P3oool3000001<0oooo0P00002o0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo05P0oooo00<000000?ooo`3oool08@3oool2000004H0oooo00<000000?ooo`3oool0
4P3oool3000001@0oooo1P00000H0?ooo`@000005@3oool2000001<0oooo0P00002m0?ooo`030000
003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0<80oooo0P00000C0?ooo`8000004`3o
ool500000240oooo1000000C0?ooo`8000004`3oool00`000000oooo0?ooo`2j0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo0<40oooo00<000000?ooo`3oool04@3oool2
00000100oooo1@00000Y0?ooo`D000004@3oool200000180oooo0P00002j0?ooo`030000003oool0
oooo01h0oooo000P0?ooo`030000003oool0oooo0<00oooo00<000000?ooo`3oool03`3oool30000
00h0oooo1@00000`0?ooo`H000003`3oool200000180oooo00<000000?ooo`3oool0]`3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2n0?ooo`800000403oool2000000h0
oooo1000000h0?ooo`D000003P3oool200000140oooo00<000000?ooo`3oool0]P3oool00`000000
oooo0?ooo`0N0?ooo`00803oool300000;d0oooo00<000000?ooo`3oool03P3oool2000000h0oooo
0`00000C0?ooo`d000007P3oool6000000`0oooo0P00000@0?ooo`800000503oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo07P0oooo0`00000P0?ooo`00803oool00`000000oooo0?oo
o`2k0?ooo`8000003`3oool2000000d0oooo0`00000B0?ooo`@000003@3oool>000001@0oooo1000
000<0?ooo`800000403oool00`000000oooo0?ooo`0B0?ooo`8000008P3oool3000007X0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo00/0oooo0`00000@0?ooo`@000007`3oool400000180oooo1000000<
0?ooo`8000003`3oool00`000000oooo0?ooo`0A0?ooo`@000008@3oool4000007P0oooo00<00000
0?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0^@3oool00`000000oooo0?ooo`0=0?oo
o`800000303oool3000000h0oooo1000000W0?ooo`@00000403oool4000000X0oooo00@000000?oo
o`00000000003P3oool200000180oooo1@00000O0?ooo`D000007P3oool00`000000oooo0?ooo`1F
0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0;P0oooo00<000000?oo
o`3oool0303oool2000000`0oooo0`00000<0?ooo`@00000;`3oool4000000h0oooo100000090?oo
o`80000000<0oooo0000000000003P3oool00`000000oooo0?ooo`0@0?ooo`<000008@3oool30000
0200oooo0P00001F0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0;L0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0:0?ooo`<000002P3oool4000003L0
oooo1000000<0?ooo`<000002@3oool3000000030?ooo`000000000000d0oooo00<000000?ooo`3o
ool03`3oool300000240oooo1000000P0?ooo`<00000E03oool00`000000oooo0?ooo`0N0?ooo`00
803oool00`000000oooo0?ooo`0D0?ooo`8000005`3oool4000001X0oooo1000000Q0?ooo`<00000
9`3oool4000001P0oooo00<000000?ooo`3oool02`3oool2000000@0oooo0P0000050?ooo`<00000
2P3oool2000001`0oooo00<000000?ooo`3oool0803oool4000000X0oooo0`0000070?ooo`D00000
00<0oooo0000003oool0303oool2000000h0oooo0`0000000`3oool000000?ooo`0P0?ooo`030000
003oool0oooo00D000006`3oool5000000040?ooo`0000000000000001/0oooo1000000G0?ooo`80
00005P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0E0?ooo`@00000
5@3oool7000001L0oooo1`00000N0?ooo`H00000903oool7000001<0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`050?ooo`L000002P3oool2000001h0oooo00<000000?ooo`3oool0
903oool2000000D0oooo10000000103oool000000000000000060?ooo`<000000`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00L0oooo1P0000030?ooo`030000003oool0oooo01h0
oooo1`00000M0?ooo`L00000603oool7000001D0oooo1000000G0?ooo`030000003oool0oooo01h0
oooo000P0?ooo`8000005`3oool5000001@0oooo1@00000J0?ooo`H000007P3oool7000002@0oooo
1@00000A0?ooo`800000303oool2000000T0oooo1@0000090?ooo`8000007`3oool2000000030?oo
o`000000000000L000007P3oool2000000030?ooo`000000000000<00000103oool3000000D0oooo
00@000000?ooo`00000000000P3oool2000000d0oooo00<000000?ooo`3oool01P3oool5000000D0
oooo0P00000M0?ooo`P00000703oool7000001T0oooo1@00000E0?ooo`D000005`3oool200000200
oooo000P0?ooo`8000005`3oool4000001L0oooo1P00000H0?ooo`<000000P3oool4000001`0oooo
0P0000030?ooo`@000008@3oool6000000h0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`080?ooo`D00000203oool2000001X0oooo2P0000090?ooo`H000000`3oool4000001<0oooo
1P0000060?ooo`800000203oool01@000000oooo0?ooo`3oool0000000d0oooo0P0000030?ooo`<0
000000<0oooo0000000000002@3oool00`000000oooo0?ooo`0F0?ooo`@000000P3oool3000000<0
oooo00<000000?ooo`3oool05P3oool3000000<0oooo0P0000000`3oool000000?ooo`0F0?ooo`P0
00005@3oool4000001L0oooo0P00000P0?ooo`00803oool2000001P0oooo1000000G0?ooo`030000
003oool0oooo0080oooo0`00000G0?ooo`030000003oool0oooo00@0oooo0`00000J0?ooo`030000
003oool0oooo00D0oooo0`00000P0?ooo`040000003oool0oooo0?ooo`<000002P3oool00`000000
oooo0?ooo`0:0?ooo`8000002@3oool3000000030?ooo`0000000000008000001@3oool2000001H0
oooo1P0000070?ooo`<000003`3oool;00000100oooo100000090?ooo`8000001`3oool01@000000
oooo0?ooo`3oool0000000h0oooo0`0000040?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool04P3oool3000000H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0B0?oo
o`<000001P3oool01@000000oooo0?ooo`3oool0000001<0oooo0`0000030?ooo`030000003oool0
000000H00000403oool4000001P0oooo0P00000P0?ooo`00803oool2000001T0oooo00@000000?oo
o`3oool000007P3oool3000001h0oooo0`00000R0?ooo`<00000903oool3000000H0oooo00<00000
0?ooo`3oool02@3oool2000000X0oooo0P0000040?ooo`040000003oool0oooo00000080oooo0P00
000C0?ooo`D000003@3oool3000001<0oooo1`00000>0?ooo`8000000P3oool3000000X0oooo0P00
00060?ooo`8000000P3oool2000000X0oooo1000000B0?ooo`030000003oool0oooo00h0oooo0`00
000A0?ooo`030000003oool0oooo00d0oooo1000000>0?ooo`8000003P3oool3000000X0oooo1@00
000>0?ooo`8000000P3oool00`000000oooo0?ooo`0G0?ooo`800000803oool00200oooo0`00000L
0?ooo`8000007`3oool3000001h0oooo1000000Q0?ooo`@000008`3oool300000080oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`8000002P3oool200000180oooo0`00000A
0?ooo`@000005P3oool6000000X0oooo0P0000070?ooo`8000002@3oool2000000L0oooo00D00000
0?ooo`3oool0oooo000000060?ooo`<00000103oool200000140oooo00<000000?ooo`3oool02@3o
ool4000001D0oooo00<000000?ooo`3oool02@3oool3000001@0oooo00<000000?ooo`3oool0203o
ool3000000h0oooo1P00000:0?ooo`8000007@3oool300000200oooo000P0?ooo`<000007P3oool0
0`000000oooo0?ooo`0O0?ooo`800000803oool300000280oooo0`00000S0?ooo`8000002P3oool2
000000X0oooo0P0000090?ooo`8000000P3oool00`000000oooo0?ooo`0<0?ooo`<00000503oool4
000001P0oooo00<000000?ooo`3oool00`0000070?ooo`030000003oool0oooo00T0oooo0P000009
0?ooo`8000001P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P0000090?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool01@3oool3000001X0oooo00<000000?ooo`3oool01@3o
ool3000001P0oooo00<000000?ooo`3oool01@3oool2000001<0oooo00@000000?ooo`3oool0oooo
0P0000070?ooo`030000003oool0oooo01d0oooo0`00000P0?ooo`00803oool00`000000oooo0?oo
o`0O0?ooo`8000008@3oool300000200oooo1000000Q0?ooo`@000007`3oool00`000000oooo0000
0002000000H0oooo00<000000?ooo`3oool0203oool2000000T0oooo0P0000050?ooo`8000002@3o
ool3000000h0oooo0P0000090?ooo`030000003oool0oooo01d0oooo100000000`3oool000000000
000>0?ooo`800000203oool2000000H0oooo0P0000020?ooo`<00000303oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo00@000007P3oool00`000000oooo0?ooo`04000001`0oooo0P00
00020?ooo`<000006`3oool300000080oooo0P00000G0?ooo`8000002@3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0240oooo0P00000R
0?ooo`8000008`3oool2000001`0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<00000
0?ooo`3oool0203oool2000000P0oooo0P0000090?ooo`030000003oool0oooo00@0oooo0P00000>
0?oooa`000005@3oool5000000l0oooo0P0000080?ooo`8000001P3oool200000080oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`0?0?ooo`8000008`3oool200000280oooo0P00000Q
0?ooo`8000005P3oool500000080oooo2000000P0?ooo`00803oool00`000000oooo0?ooo`0O0?oo
o`800000903oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool06P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000002P3oool2
000000L0oooo0P0000090?ooo`8000001@3oool2000000h0oooo3P00000;0?ooo`X000005@3oool2
000000l0oooo0P0000070?ooo`8000002P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo0900oooo2@0000070?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo
01d0oooo0P00000T0?ooo`8000008`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool01`3oool20000
00P0oooo00<000000?ooo`3oool01`3oool2000000D0oooo0P00000=0?ooo`@000000P3oool40000
01/0oooo2000000@0?ooo`8000003`3oool2000000H0oooo0`0000090?ooo`800000303oool00`00
0000oooo0?ooo`2B0?ooo`@000002@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo0P00000U0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`8000001`3oool2000000@0
oooo00@000000?ooo`3oool0oooo0P0000050?ooo`8000002`3oool5000000030?ooo`0000000000
008000008`3oool9000000d0oooo0P00000?0?ooo`030000003oool0oooo00D0oooo0P00000:0?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0E0?ooo`<0000000<0oooo0000000000009P3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`8000002@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00<0oooo0P0000000`3oool00000000000050?ooo`8000002@3oool:0000
02/0oooo1`00000=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01@3oool20000
00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0oooo
01h0oooo000P0?ooo`030000003oool0oooo01@0oooo1@00000W0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00<0
oooo00D000000?ooo`3oool0oooo000000090?ooo`800000203oool00`000000oooo0?ooo`030?oo
o`@000001@3oool2000000T0oooo0P0000000`3oool0000000000004000000h0oooo3000000H0?oo
o`D00000303oool2000000h0oooo0P0000070?ooo`8000002@3oool2000000/0oooo00<000000?oo
o`3oool0W03oool00`000000oooo0?ooo`0N0?ooo`00803oool3000001<0oooo1P00000V0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0I0?ooo`80
00001@3oool01@000000oooo0?ooo`3oool0000000T0oooo0P0000070?ooo`800000103oool60000
00<0oooo0P0000090?ooo`80000000<0oooo0000000000000`00000=0?ooo`@00000303oool<0000
00l0oooo1000000<0?ooo`8000003P3oool00`000000oooo0?ooo`050?ooo`8000002P3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo09T0oooo0`00000P0?ooo`00803oool00`000000
oooo0?ooo`0B0?ooo`D000009P3oool2000002@0oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`D000000`3oool2000000T0
oooo1P00000=0?ooo`@00000703oool4000000h0oooo0`00000<0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool01P3oool2000000T0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`2J0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0140oooo
0P00000W0?ooo`030000003oool0000002D0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`0I0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`030000003oool0oooo
00H0oooo0P0000080?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`8000002@3oool60000
00/0oooo1000000T0?ooo`<000003P3oool3000000X0oooo0P00000=0?ooo`030000003oool0oooo
00H0oooo0P0000090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0V@3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0i0?ooo`<000009@3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool0oooo0`0000040?oo
o`030000003oool0oooo00H0oooo0P0000070?ooo`8000002`3oool2000000X0oooo1@0000090?oo
o`@00000:`3oool4000000`0oooo0`00000:0?ooo`800000303oool2000000P0oooo0P0000080?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0V03oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0h0?ooo`D000008`3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo01T0oooo00@000000?ooo`3oool0oooo1@0000020?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`8000002P3oool50000
00T0oooo0P00000G0?ooo`T000004`3oool3000000/0oooo0`00000:0?ooo`800000303oool00`00
0000oooo0?ooo`060?ooo`800000203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
09L0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0>03oool400000280
oooo0P00000R0?ooo`030000003oool0000001/0oooo00<000000?ooo`3oool00P3oool400000080
oooo00<000000?ooo`3oool01@3oool2000000P0oooo00<000000?ooo`3oool0203oool2000000X0
oooo1@0000090?ooo`8000004P3oool7000000T0oooo2000000>0?ooo`@000002@3oool3000000X0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`800000203oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool07P3oool00200oooo
00<000000?ooo`3oool0=`3oool3000002<0oooo0`00000Q0?ooo`<000006`3oool00`000000oooo
0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`050?ooo`8000001`3oool2000000X0oooo
00<000000?ooo`3oool0203oool5000000P0oooo0`00000<0?ooo`P00000603oool6000000`0oooo
0P0000080?ooo`@000002@3oool2000000/0oooo00<000000?ooo`3oool01P3oool2000000P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo01h0oooo
000P0?ooo`030000003oool0oooo03H0oooo0P00000T0?ooo`D00000803oool4000001T0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool01@3oool2000000L0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`@00000203oool2000000X0oooo1@00
00070?oooaL00000203oool4000000X0oooo0P0000080?ooo`@000002@3oool2000000X0oooo00<0
00000?ooo`3oool01P3oool2000000P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`2D0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo05`0oooo1000000P
0?ooo`@000006@3oool00`000000oooo0?ooo`070?ooo`8000001`3oool2000000L0oooo00<00000
0?ooo`3oool0203oool2000000T0oooo100000070?ooo`<000002P3oool2000000P0oooo1000000G
0?ooo`@00000203oool2000000X0oooo0P0000080?ooo`040000003oool00000000000T0oooo00<0
00000?ooo`3oool0203oool2000000L0oooo0P0000080?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0T`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1K
0?ooo`<000008P3oool2000001X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`8000001P3oool2000000X0oooo00<000000?ooo`3oool01`3oool4000000L0oooo0P00000:
0?ooo`<000001P3oool4000001l0oooo1@0000050?ooo`8000002P3oool2000000L0oooo0P000000
0`3oool000000?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool2
000000P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2B0?ooo`030000003oool0
oooo01h0oooo000P0?ooo`030000003oool0oooo05X0oooo0P00000S0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`8000001P3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo100000070?ooo`8000002P3oool20000
00D0oooo1000000X0?ooo`@000000`3oool2000000X0oooo0P0000070?ooo`@00000203oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo0P0000080?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`2J0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool2000000H0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`<000001`3oool2000000T0
oooo0`0000030?ooo`@00000<03oool300000080oooo0P00000:0?ooo`030000003oool0oooo00H0
oooo0`0000080?ooo`8000002P3oool00`000000oooo0?ooo`050?ooo`800000203oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool07P3oool00200oooo
00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo
0P0000060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool3000000L0oooo
0P0000090?ooo`8000000`3oool3000000l0oooo5`00000A0?ooo`8000000P3oool3000000P0oooo
0P0000070?ooo`<000002@3oool00`000000oooo0?ooo`080?ooo`8000001P3oool2000000P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo01h0oooo
000P0?ooo`030000003oool0oooo09L0oooo0P0000090?ooo`030000003oool0oooo00H0oooo0P00
00060?ooo`030000003oool0oooo00P0oooo0P0000070?ooo`030000003oool0000000L0oooo00<0
00000?ooo`3oool01P3oool3000000<0oooo0P00000>0?oooal000003`3oool2000000<0oooo0P00
00080?ooo`8000001`3oool3000000P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`2?0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo09H0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`8000001P3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00H0oooo0`0000060?ooo`8000001`3oool2000000@0oooo0P00000=
0?ooo`X000004`3oool8000000h0oooo0P0000030?ooo`800000203oool2000000L0oooo0P000008
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`0N
0?ooo`00803oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool01P3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?oo
o`<000001`3oool00`000000oooo0?ooo`050?ooo`800000103oool2000000`0oooo2000000N0?oo
o`H00000303oool2000000<0oooo0P0000080?ooo`8000001P3oool3000000L0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo0000000:0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0N03oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01@3oool3000000H0oooo0P0000060?ooo`800000103oool20000
00X0oooo1`00000V0?ooo`L000002P3oool2000000<0oooo0P0000080?ooo`8000001@3oool30000
00L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo
0?ooo`8000000`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0140oooo0`00001h
0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo09<0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`050?ooo`<000001P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0080oooo0P0000090?ooo`D000004@3oool;00000180oooo1`0000090?oo
o`8000000`3oool2000000P0oooo00<000000?ooo`3oool0103oool2000000L0oooo0P00000:0?oo
o`030000003oool0oooo00D0oooo00@000000?ooo`3oool0oooo0`0000020?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool04@3oool3000007L0oooo00<000000?ooo`3oool07P3oool0
0200oooo00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`8000001P3oool30000
00H0oooo0P0000060?ooo`8000000`3oool2000000P0oooo1000000@0?ooo`D000002`3oool;0000
00X0oooo1P0000090?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`8000001@3oool30000
00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@000000P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo1@00000O0?oo
o`030000003oool0oooo05<0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3o
ool0T@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo0`0000050?ooo`80
00001`3oool010000000oooo0?ooo`3oool2000000P0oooo1000000>0?ooo`@000006`3oool30000
00X0oooo1@0000090?ooo`8000000P3oool2000000L0oooo0`0000040?ooo`<000001`3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0100000020?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0403oool5000001h0oooo0P00001D0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`050?ooo`<000001@3oool00`000000oooo0?ooo`050?ooo`80
00000P3oool2000000P0oooo1000000;0?ooo`D000008P3oool3000000T0oooo1@0000090?ooo`80
00000P3oool00`000000oooo0?ooo`050?ooo`<00000103oool4000000H0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0000000800000103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00l0oooo1000000P0?ooo`<00000DP3oool00`000000
oooo0?ooo`0N0?ooo`00803oool3000008l0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`8000001@3oool2000000L0oooo00<000000?ooo`3oool00P0000080?ooo`@00000
2@3oool4000002X0oooo100000080?ooo`@000002@3oool2000000030?ooo`000000000000H0oooo
100000040?ooo`<000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo
00D000000?ooo`000000oooo000000040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool03`3oool010000000oooo0?ooo`00000O0?ooo`@00000C`3oool300000200oooo000P0?ooo`03
0000003oool0oooo08l0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`80
00001@3oool00`000000oooo0?ooo`050?ooo`80000000<0oooo000000000000203oool4000000T0
oooo0P00000@0?oooa<000003`3oool3000000L0oooo100000090?ooo`040000003oool0oooo0000
00H0oooo100000040?ooo`<000001P3oool2000000T0oooo00<000000?ooo`3oool01@3oool01@00
0000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo01d0oooo1000001@0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo01@0oooo0P00000G0?ooo`P000005P3oool8000001d0oooo1`00000G0?oo
o`030000003oool0oooo00P0oooo2@0000070?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool01@3oool2000000@0oooo0P0000070?ooo`80000000<0oooo0000003oool01`3oool40000
00T0oooo0P00000;0?ooo`L000001@3oool00`000000oooo0?ooo`0;0?ooo`H00000303oool20000
00L0oooo100000040?ooo`8000000P3oool010000000oooo0?ooo`0000050?ooo`@000001@3oool3
000000L0oooo00<000000?ooo`3oool01`3oool7000000030?ooo`000000oooo0080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0oooo2000000M
0?ooo`L000005`3oool8000001L0oooo0P00000F0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo01D0oooo1000000E0?ooo`L000005`3oool7000001h0oooo1P00000F0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`0000060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool01@3oool20000
00030?ooo`0000000000008000001@3oool4000000T0oooo0P0000090?ooo`@00000203oool;0000
00d0oooo1P0000080?ooo`8000001`3oool7000000@0oooo0P0000000`3oool00000000000040?oo
o`040000003oool00000000000D0oooo0`0000070?ooo`030000003oool0oooo00H0oooo1P000003
0?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00X0oooo2000000M0?ooo`L000005`3oool9000001<0oooo1000000G0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`8000005`3oool5000001D0oooo1P00000H0?ooo`T00000703oool9
00000100oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`H00000103oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool01`0000020?ooo`<000002@3oool2000000L0oooo10000007
0?ooo`D000000`3oool2000000H0oooo2P0000070?ooo`H000001P3oool2000000H0oooo1@000007
0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool00`3oool3000000L0oooo00<0
00000?ooo`3oool00`3oool7000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool9000000<0oooo00<000000?ooo`3oool0
5P3oool4000000040?ooo`0000000000000000<0oooo00<000000?ooo`3oool04`3oool600000003
0?ooo`000000000000D000003@3oool5000001L0oooo0P00000P0?ooo`00803oool2000001P0oooo
1000000F0?ooo`<000000P3oool4000001H0oooo0P0000050?ooo`@000006P3oool2000000D0oooo
1000000<0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool300000080oooo
100000090?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00@0oooo
0P0000020?ooo`040000003oool0oooo0?ooo`L00000203oool3000000H0oooo0`0000070?ooo`@0
0000203oool200000100oooo100000040?ooo`D00000203oool00`000000oooo0?ooo`030?ooo`H0
00001`3oool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool00`3oool3000000L0
oooo00<000000?ooo`0000000P0000030?ooo`<000001`3oool01@000000oooo0?ooo`3oool00000
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`04000000D0oooo0P0000060?oo
o`030000003oool0oooo0140oooo100000050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool03P3oool400000080oooo0`0000030?ooo`D000003P3oool4000001P0oooo0P00000P0?oo
o`00803oool2000001T0oooo0P0000000`3oool000000000000F0?ooo`030000003oool0oooo00@0
oooo1000000M0?ooo`@000008@3oool4000000L0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`0000000`0000040?oo
o`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00@0oooo00D000000?oo
o`3oool0oooo000000050?ooo`D000001`3oool2000000L0oooo0P0000050?ooo`D00000303oool3
000001<0oooo100000020?ooo`D000001`3oool2000000040?ooo`00000000000?ooo`80000000<0
oooo0000000000000P0000060?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`800000103o
ool3000000@0oooo100000060?ooo`040000003oool0oooo000000H0oooo0P0000020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool01`3oool400000180oooo00<000000?ooo`3oool0
2`3oool500000140oooo00<000000?ooo`3oool02@3oool4000000H0oooo00<000000?ooo`3oool0
1@3oool4000000/0oooo0P0000000`3oool000000000000I0?ooo`800000803oool00200oooo0P00
000J0?ooo`040000003oool0oooo0?ooo`8000007`3oool3000001h0oooo1@00000P0?ooo`D00000
00<0oooo0000003oool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool4000000H0oooo0P0000050?ooo`030000003oool0oooo00@0oooo
00D000000?ooo`3oool0oooo000000070?ooo`8000000P3oool2000000<0oooo0P0000070?ooo`80
00000`3oool400000140oooo0`00000G0?ooo`@000000P3oool4000000D0oooo0`0000020?ooo`03
0000003oool0oooo0080oooo0`0000070?ooo`030000003oool0oooo008000001@3oool2000000D0
oooo1@0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool200000080
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool5000000<0oooo00<000000?oo
o`3oool04@3oool00`000000oooo0?ooo`060?ooo`@000005`3oool00`000000oooo0?ooo`050?oo
o`<000004`3oool00`000000oooo0?ooo`02000000L0oooo0P0000030?ooo`030000003oool0oooo
01P0oooo0P00000P0?ooo`00803oool3000001l0oooo0P00000P0?ooo`@000007`3oool400000240
oooo100000070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`070?ooo`D000000P3oool2000000D0oooo00<000000?ooo`3oool0103oool01@000000
oooo0?ooo`3oool0000000H0oooo0`0000050?ooo`<000001P3oool3000000<0oooo0P00000>0?oo
oaP000003@3oool3000000030?ooo`00000000000080000000<0oooo0000000000000`3oool20000
00H0oooo0`0000070?ooo`050000003oool0oooo0?ooo`0000001@3oool200000080oooo1P000006
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool200000080oooo00@00000
0?ooo`3oool0oooo100000090?ooo`030000003oool0oooo0140oooo00@000000?ooo`3oool0oooo
1000000L0?ooo`030000003oool0oooo00@000006`3oool2000000<0oooo0P00000I0?ooo`800000
103oool300000200oooo000P0?ooo`<000008@3oool00`000000oooo0?ooo`0Q0?ooo`8000008@3o
ool3000001h0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo
0`0000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P0000060?ooo`800000
1P3oool2000000030?ooo`000000oooo00<0oooo0P0000040?ooo`8000002P3ooolJ000000030?oo
o`000000000000D00000303oool2000000030?ooo`000000000000<000001@3oool00`000000oooo
0?ooo`050?ooo`<000001P3oool200000080oooo00<000000?ooo`3oool0103oool2000000@0oooo
0`0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool010000000oooo
0?ooo`3oool300000080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0A0?ooo`<0
00008@3oool200000240oooo0`00000H0?ooo``00000803oool00200oooo00<000000?ooo`3oool0
7`3oool2000002@0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000
oooo0?ooo`030?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`<000001@3oool200000003
0?ooo`000000000000<0oooo0P0000040?ooo`8000002@3oool>000000X0oooo300000000`3oool0
000000000002000000X0oooo0P0000040?ooo`800000103oool2000000L0oooo0P0000070?ooo`04
0000003oool0oooo000000H0oooo00<000000?ooo`3oool00`3oool3000000H0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`1`0?ooo`L000001P3oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0M0?ooo`8000009@3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool00000
00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00@0oooo0P0000050?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo00000006
0?ooo`<000001@3oool010000000oooo0000000000030?ooo`800000103oool2000000P0oooo0`00
00020?ooo`T000005`3oool9000000X0oooo0P0000040?ooo`800000103oool2000000H0oooo0P00
00070?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00`3oool3000000H0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1b0?ooo`@000001P3oool00`000000oooo
0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0I0?ooo`040000003oool0oooo000002H0oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00@0oooo
00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool00`3oool01@000000
oooo0?ooo`3oool0000000H0oooo0`0000040?ooo`80000000<0oooo0000003oool00P3oool20000
00@0oooo0P0000080?ooo`P000003@3oool:000000d0oooo0`0000000`3oool000000000000:0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?oo
o`<000001P3oool2000000030?ooo`000000oooo00D0oooo00<000000?ooo`3oool00`3oool30000
00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo
01h0oooo000P0?ooo`030000003oool0oooo01P0oooo1000000V0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?oo
o`0000001`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0103oool3000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020000
00H0oooo0P0000050?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`800000203oool50000
00P0oooo2P00000:0?ooo`D000002`3oool6000000P0oooo0P0000040?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool01@3oool2000000L0oooo00<000000?ooo`0000001P3oool00`00
0000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
07X0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool05`3oool4000002H0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00<0
oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?ooo`030?oo
o`040000003oool0oooo000000L0oooo0P0000050?ooo`@000000P3oool2000000<0oooo0P000008
0?ooo`D000001`3oool3000001T0oooo1P0000070?ooo`<0000000@0oooo00000000000000001`3o
ool2000000<0oooo0P0000040?ooo`8000001P3oool2000000L0oooo00<000000?ooo`0000001P3o
ool00`000000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo07X0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool05P3oool5
000002D0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo00<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?oo
o`030?ooo`040000003oool0oooo000000H0oooo0`0000040?ooo`P000000`3oool2000000L0oooo
1@0000070?ooo`<000008P3oool4000000H0oooo1P0000070?ooo`8000000`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00@0oooo0`0000060?ooo`030000003oool0000000H0oooo
00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1i0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01D0oooo1000
000U0?ooo`8000009@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00<0oooo00D0
00000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?ooo`030?ooo`040000
003oool0oooo000000H0oooo0`0000040?ooo`D0000000<0oooo0000003oool00P3oool2000000L0
oooo1@0000060?ooo`<000004P3oool700000100oooo0P0000060?ooo`<0000000<0oooo00000000
00001`3oool200000080oooo0P0000040?ooo`030000003oool0oooo00D0oooo0P0000060?ooo`04
0000003oool00000000000D0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo01@0oooo0P00000V0?ooo`8000009P3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool00000
00800000103oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000H0oooo0`000003
0?ooo`@000000`3oool01@000000oooo0?ooo`3oool0000000L0oooo1@0000050?ooo`<000003@3o
ool8000000L0oooo1P00000<0?ooo`<000001P3oool2000000030?ooo`000000000000L0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`8000001P3oool2000000H0oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00@0oooo0P0000070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0M`3oool00`000000oooo0?ooo`0N0?ooo`00503oool01@3ogi`0B000000000000000M;oo00L0
oooo00<000000?ooo`3oool0>`3oool3000002D0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool5000000@0oooo00<000000?oo
o`3oool00P3oool200000080oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?oo
o`3oool0103oool01@000000oooo0?ooo`3oool0000000H0oooo1@0000040?ooo`<000002P3oool6
000000P0oooo1`0000060?ooo`H000002@3oool2000000H0oooo0P0000000`3oool0000000000006
0?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`040?ooo`8000001P3o
ool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00<0oooo0P0000060?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0103oool2000000L0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo01h0oooo000F0?ooo`030;md001d
_ol0oooo00L0oooo00<000000?ooo`3oool0>P3oool5000002<0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001`3oool2000000@0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`@00000103oool00`000000oooo
0?ooo`020?ooo`050000003oool0oooo0?ooo`0000001P3oool2000000@0oooo00<000000?ooo`3o
ool00`3oool200000080oooo0P0000050?ooo`D00000103oool2000000X0oooo0`0000050?ooo`T0
00001`3oool6000000H0oooo100000070?ooo`<000001@3oool5000000D0oooo0P0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0103oool2000000H0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000H0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`040?ooo`8000001`3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo07H0oooo00<000000?ooo`3oool07P3oool001H0oooo00<0_g@007Boo`3o
ool01`3oool00`000000oooo0?ooo`0j0?ooo`@000008P3oool00`000000oooo0000000M0?ooo`07
0000003oool0oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo10000004
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000060?ooo`8000000`3o
ool2000000D0oooo00D000000?ooo`3oool0oooo000000060?ooo`@00000103oool2000000P0oooo
100000020?ooo`H000005P3oool6000000@0oooo0P0000080?ooo`<000000`3oool2000000030?oo
o`000000000000H0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`8000001@3oool2000000H0
oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool07P3oool00180
oooo00<0gia80000000000000`0000000`1d_ol0oooo0?ooo`050?ooo`030000003oool0oooo03T0
oooo0`00000S0?ooo`<000007@3oool010000000oooo0?ooo`3oool4000000<0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0103oool3000000@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000H0oooo0P0000030?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`@00000103oool2000000P0oooo0P0000030?ooo`<000008P3oool400000080oooo0P00
00090?ooo`8000000`3oool5000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo0P0000060?ooo`040000003oool0oooo000000D0oooo
00<000000?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1d0?ooo`030000003oool0oooo01h0oooo00090?ooo`0309a800000000000000<0000000T0
04RL0?ooo`3oool0okmd0000M02oool0oooo0;md001d_ol0203oool4000003L0oooo0P00000U0?oo
o`@00000703oool010000000oooo0?ooo`3oool5000000030?ooo`000000oooo00H0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0`000004
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000050?ooo`800000103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00800000103oool5000000@0oooo00<0
00000?ooo`3oool01P3oool200000080oooo0`00000Y0?ooo`8000000P3oool2000000T0oooo0P00
00020?ooo`80000000<0oooo0000000000001@3oool2000000<0oooo0P0000030?ooo`030000003o
ool0oooo00<0oooo0P0000060?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0
0P3oool3000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1`0?ooo`@00000
803oool001<0oooo00D0gia8001d_`3oool0_g@007Boo`080?ooo`030000003oool0oooo05h0oooo
1000000L0?ooo`040000003oool0oooo0?ooo`D0000000<0oooo0000003oool01P3oool2000000@0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000@0
oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000D0oooo0P0000040?oo
o`030000003oool0oooo00@0oooo00@000000?ooo`3oool000001@3oool4000000@0oooo0P000007
0?ooo`80000000@0oooo00000000000000003P3ooolE000000/0oooo0P0000020?ooo`<00000203o
ool200000080oooo0P0000000`3oool000000?ooo`050?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0
oooo000000050?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`0N0?ooo`00503oool0102LB000B9cO
0;md001d_ol80?ooo`030000003oool0oooo05h0oooo0`00000L0?ooo`030000003oool0oooo0080
oooo0`0000030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000050?ooo`800000103oool00`000000oooo0?ooo`040?oo
o`040000003oool00000000000D0oooo0`0000040?ooo`8000001`3oool2000000030?ooo`000000
000000d0oooo5`0000020?ooo`<000002P3oool2000000<0oooo0P0000080?ooo`040000003oool0
oooo0?ooo`@000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000
1@3oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo0780oooo00<000000?ooo`3oool07P3oool001@0oooo00@0omnL04P0B018B000M;oo
203oool00`000000oooo0?ooo`1M0?ooo`8000007@3oool00`000000oooo0?ooo`020?ooo`<00000
0`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo000000D0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000000`3oool0
00000?ooo`040?ooo`@00000103oool00`000000oooo0?ooo`050?ooo`80000000<0oooo00000000
00002`3oool9000000/0oooo3`0000090?ooo`<000000P3oool2000000L0oooo00@000000?ooo`3o
ool0oooo0P0000000`3oool00000000000040?ooo`8000000`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0
000000D0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`050?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0740oooo00<000000?ooo`3oool07P3oool001D0oooo00<0okmd0000001d_ol0203oool00`00
0000oooo0?ooo`1M0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool000001@3oool2000000@0oooo00<000000?ooo`3oool00`3oool0
10000000oooo0?ooo`0000050?ooo`<00000103oool2000000H0oooo0P0000000`3oool000000000
00090?ooo`P000006@3oool:000000P0oooo0P0000020?ooo`8000001P3oool2000000<0oooo1000
00050?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo0080
oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool2000000H0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0oooo01h0
oooo000P0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`040?ooo`8000000`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo
0P0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool2000000@0
oooo00<000000?ooo`3oool00`3oool010000000oooo0000000000050?ooo`800000103oool20000
00H0oooo0P0000000`3oool00000000000080?ooo`L000002P3oool:000000d0oooo100000000`3o
ool0000000000002000000L0oooo0P0000020?ooo`8000001P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000D0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000D0oooo00<0
00000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`1`0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo07X0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`800000103oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`0000000`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0000000D0oooo0`0000040?ooo`030000003oool0oooo00D0oooo00@0
00000?ooo`0000000000203oool5000000X0oooo600000070?ooo`L000001`3oool200000080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`@00000103oool200000080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool07P3oool00200oooo
00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000D0
oooo0`0000040?ooo`030000003oool0oooo00@0oooo0P0000000`3oool000000?ooo`070?ooo`@0
00002@3oool8000000X0oooo3P0000060?ooo`H000001`3oool2000000030?ooo`000000000000D0
oooo0P0000030?ooo`@000001@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
0080oooo0P0000050?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00`3oool2
000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`8000001P3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool07P3oool0
0200oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00@0oooo0P0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000001@3oool30000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000050?ooo`<000000`3oool20000
00D0oooo0P0000000`3oool00000000000070?ooo`@000001`3oool7000001T0oooo0`000000103o
ool000000000000000060?ooo`D000001`3oool2000000030?ooo`000000oooo00D0oooo00@00000
0?ooo`3oool0oooo100000050?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0
0P3oool2000000D0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`020?ooo`80
00001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00@0oooo0P0000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000050?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000003oool0103oool3000000<0oooo
00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000070?ooo`@000001@3oool5000000X0
oooo2`00000=0?ooo`<0000000<0oooo0000000000000P0000040?ooo`@00000203oool010000000
oooo0000000000050?ooo`040000003oool0oooo0?ooo`@000001@3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`040000003oool0oooo000000D0oooo
00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`1/0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo07L0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`800000103oool00`000000oooo
0?ooo`020?ooo`030000003oool0000000D0oooo0`0000030?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000001@3oool3000000<0oooo00<000000?ooo`3oool00`3oool200000003
0?ooo`000000000000H0oooo100000050?ooo`<000002@3oool5000000D0oooo400000060?ooo`@0
000000<0oooo000000000000103oool4000000L0oooo0P0000000`3oool00000000000040?ooo`80
00000`3oool3000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?oo
o`8000001@3oool010000000oooo0?ooo`0000050?ooo`040000003oool0oooo0?ooo`<000001@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool010000000oooo0000000000070?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00@0oooo0P0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000001@3o
ool3000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000050?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`@00000
103oool4000000H0oooo1@0000000`3oool0000000000007000000T0oooo1@0000020?ooo`<00000
1`3oool5000000@0oooo100000070?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3o
ool0oooo0`0000050?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool2
000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`<000001@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo0P0000070?ooo`030000003o
ool00000008000001P3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`04
0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000D0oooo0P00
00030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool3000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000D0oooo100000040?ooo`@00000
1@3oool300000080oooo1000000G0?ooo`P000001`3oool4000000@0oooo0`0000070?ooo`800000
00<0oooo000000000000103oool010000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`020?ooo`8000001@3oool010000000oooo0?ooo`000004
0?ooo`040000003oool0oooo0?ooo`@000001@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo00000003000000H0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`800000103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0P000003
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool2000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000050?ooo`030000003oool000000080oooo
0P0000040?ooo`040000003oool0oooo000000D0oooo100000040?ooo`@000001@3oool200000003
0?ooo`000000000000800000803oool7000000D0oooo100000040?ooo`<000001`3oool010000000
oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`<000001@3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo00@000001P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool6000000H0oooo00<000000?ooo`3oool0
5@3oool300000540oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0M03o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool2000000<0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo000000050?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`040000
003oool00000000000D0oooo100000030?ooo`@000001@3oool500000100oooo1`00000A0?ooo`80
000000@0oooo0000000000000000103oool4000000@0oooo0`0000060?ooo`040000003oool0oooo
000000@0oooo00@000000?ooo`3oool0oooo100000040?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`3oool0100000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`050?ooo`@00000203oool00`000000oooo0?ooo`0E0?ooo`<0
0000D03oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1c0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000040?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0000000D0oooo100000030?ooo`80000000<0oooo0000003oool0103oool40000
00`0oooo5P00000;0?ooo`8000000P3oool2000000@0oooo100000040?ooo`8000001P3oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`@00000103oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`0000040?ooo`050000003oool0oooo0000003oool00`0000050?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01@3oool2000000L0oooo00<000000?ooo`000000203oool00`00
0000oooo0?ooo`0E0?ooo`D00000CP3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`1b0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool2000000<0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000050?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo000000050?ooo`@000000P3oool20000
00030?ooo`000000000000@0oooo100000090?ooo`P000001@3ooolC000000P0oooo0P0000020?oo
o`800000103oool010000000oooo0000000000030?ooo`8000001P3oool010000000oooo0?ooo`00
00040?ooo`040000003oool0oooo0?ooo`@000000`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000203oool0
0`000000oooo0?ooo`0E0?ooo`D00000C@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`00
0000oooo0?ooo`1b0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool20000
00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`8000000`3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo0`0000020?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`0000001@3oool3000000<0oooo00@000000?ooo`0000000000103o
ool4000000T0oooo3`00000:0?ooo`D0000000<0oooo000000000000100000040?ooo`80000000<0
oooo0000000000000P3oool2000000<0oooo0P0000000`3oool00000000000020?ooo`<000001@3o
ool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool0100000040?ooo`050000003o
ool0oooo0?ooo`000000103oool010000000oooo0?ooo`3oool2000000D0oooo00@000000?ooo`3o
ool00000103oool010000000oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000203o
ool00`000000oooo0?ooo`0D0?ooo`@000007`3oool2000002d0oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool0503oool3000001H0oooo2000000F0?ooo`P000007@3oool7
000000H0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`T0000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`02
0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo0`000000
0`3oool00000000000050?ooo`@00000103oool3000000<0oooo00<000000?ooo`000000103oool4
000000P0oooo200000060?ooo`/00000203oool9000000<0oooo1P0000020?ooo`8000000`3oool2
000000030?ooo`000000oooo0080oooo100000040?ooo`030000003oool0000000@0oooo00<00000
0?ooo`3oool0100000040?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?oo
o`3oool2000000<0oooo1`0000020?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool2000000030?ooo`000000000000H00000
00<0oooo0000003oool01`3oool00`000000oooo0?ooo`0@0?ooo`L000005`3oool8000000030?oo
o`0000000000008000004@3oool3000001H0oooo00<000000?ooo`3oool07P3oool00200oooo00<0
00000?ooo`3oool05@3oool6000001<0oooo1`00000G0?ooo`L000007P3oool7000000@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool2000000030?ooo`000000000000D0000000D0oooo0000003oool0oooo
000000040?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000D0oooo
0`0000000`3oool000000?ooo`040?ooo`80000000<0oooo0000000000001P0000030?ooo`800000
00<0oooo0000003oool00P3oool4000000L0oooo200000030?oooaX000001@3oool6000000030?oo
o`000000000000D000000P3oool2000000<0oooo2@0000050?ooo`030000003oool0000000@0oooo
00@000000?ooo`3oool0oooo0`0000040?ooo`040000003oool0oooo000000D0oooo00D000000?oo
o`3oool0oooo000000030?ooo`L000000`3oool00`000000oooo0?ooo`020?ooo`<000001@3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo2P0000000`3oool000000?ooo`07
0?ooo`030000003oool0oooo00l0oooo1`0000000`3oool000000?ooo`0E0?ooo`L000000`3oool5
000000/0oooo1P00000G0?ooo`030000003oool0oooo01h0oooo000P0?ooo`8000005`3oool50000
01D0oooo2000000F0?ooo`@0000000<0oooo0000000000000`00000H0?ooo`030000003oool0oooo
00@0000000<0oooo0000000000000`0000050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`8000000P3oool:000000@0oooo0`0000030?oo
o`070000003oool0oooo0?ooo`000000oooo000000060?ooo`80000000<0oooo0000003oool0103o
ool010000000oooo0?ooo`0000020?ooo`D000000`3oool010000000oooo0000000000020?ooo`@0
00001`3oool6000000<0oooo200000050?ooo`800000203oool6000000030?ooo`000000000000H0
oooo200000030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`P000001@3oool010000000
oooo0000000000030?ooo`040000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo1`0000020?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`3oool0oooo0`0000060?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool0
oooo1@0000000`3oool000000000000200000080oooo00@000000?ooo`3oool00000203oool00`00
0000oooo0?ooo`090?ooo`D0000000<0oooo0000000000000P0000040?ooo`030000003oool0oooo
0100oooo200000050?ooo`@00000303oool5000001L0oooo0P00000P0?ooo`00803oool3000001P0
oooo1000000F0?ooo`800000103oool4000001@0oooo0P0000060?ooo`H000004@3oool00`000000
oooo0?ooo`030?ooo`800000103oool00`000000oooo00000005000000D0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`8000000`3oool00`000000oooo0?ooo`03000000<0
oooo1@0000000`3oool000000?ooo`020?ooo`070000003oool0oooo0?ooo`000000oooo00000006
0?ooo`80000000<0oooo0000003oool0103oool010000000oooo0?ooo`0000040?ooo`D0000000@0
oooo0000003oool000000P3oool2000000030?ooo`000000oooo00H0oooo1@0000030?ooo`L00000
2@3oool2000000h0oooo1P0000050?ooo`L00000103oool2000000030?ooo`000000000000D00000
103oool2000000D0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool30000
00@0oooo00@000000?ooo`3oool00000103oool4000000050?ooo`000000oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`<000001P3oool00`000000
oooo0?ooo`030?ooo`H00000103oool4000000D0oooo00@000000?ooo`3oool00000203oool00`00
0000oooo0?ooo`030?ooo`D000001P3oool2000000L0oooo00<000000?ooo`3oool02`3oool40000
00@0oooo0P0000080?ooo`@000002@3oool5000001P0oooo0`00000P0?ooo`00803oool2000001X0
oooo00<000000?ooo`3oool00P00000N0?ooo`@000007P3oool5000000`0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`030?ooo`80000000<0oooo0000000000000`0000070?ooo`03
0000003oool0oooo00@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3o
ool0oooo000000030?ooo`D0000000<0oooo0000003oool00P3oool00`000000oooo000000060?oo
o`80000000<0oooo0000003oool0103oool010000000oooo0000000000040?ooo`80000000@0oooo
0000003oool0oooo0`0000020?ooo`040000003oool0oooo000000H0oooo1@0000030?ooo`D00000
203oool@000000T0oooo1@0000040?ooo`H000001@3oool400000080oooo0`0000040?ooo`800000
1@3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`<00000103oool00`00
0000oooo0?ooo`04000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool00P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool3000000D0oooo1P000003
0?ooo`030000003oool0oooo00D0oooo0P0000070?ooo`040000003oool0oooo000000P0oooo1@00
000E0?ooo`030000003oool0oooo00H0oooo1000000C0?ooo`040000003oool0oooo000000H0oooo
0P0000030?ooo`030000003oool0oooo01<0oooo0P0000030?ooo`800000803oool00200oooo0`00
000N0?ooo`800000803oool4000001l0oooo1@0000060?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`H000000P3oool00`000000oooo0?oo
o`030?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`0000000`3oool4000000030?ooo`000000000000H0oooo00D000000?ooo`000000
oooo000000040?ooo`030000003oool0000000D0oooo0P0000030?ooo`80000000<0oooo00000000
00000P0000000`3oool00000000000060?ooo`@000000`3oool3000000H0oooo200000020?ooo`P0
0000103oool6000000L0oooo100000030?ooo`H000000P3oool4000000030?ooo`00000000000080
oooo0`0000030?ooo`8000001@3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo
0?ooo`<000000P3oool5000000D0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003o
ool0oooo000000@0oooo00H000000?ooo`3oool0oooo0000003oool8000000P0oooo00<000000?oo
o`3oool01@3oool2000000H0oooo00@000000?ooo`3oool000000`3oool5000000030?ooo`000000
oooo01P0oooo00@000000?ooo`3oool0oooo1000000K0?ooo`8000000P3oool2000001P0oooo1@00
00020?ooo`<00000803oool00200oooo0`00000P0?ooo`8000008P3oool300000240oooo0`000002
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo0`0000050?ooo`8000000P3oool00`000000oooo0?ooo`03
0?ooo`050000003oool0oooo0?ooo`0000000`3oool3000000<0oooo00@000000?ooo`3oool0oooo
0`0000050?ooo`050000003oool000000?ooo`000000103oool00`000000oooo000000050?ooo`80
00000`3oool01`000000oooo000000000000oooo0000003oool00P0000060?ooo`@000000`3oool3
000000@0oooo100000000`3oool000000000000;000000@0oooo1P0000040?ooo`<000001P3oool5
00000080oooo1P0000040?ooo`030000003oool0oooo008000000P3oool2000000<0oooo0P000005
0?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo100000030?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`3oool0
0000103oool010000000oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`040?ooo`8000001`3oool00`000000oooo0?ooo`03000000H0oooo00<000000?oo
o`3oool0603oool300000240oooo0P00000H0?ooo``00000803oool00200oooo00<000000?ooo`3o
ool07`3oool2000002@0oooo00<000000?ooo`3oool08@3oool01@000000oooo0?ooo`3oool00000
00X0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool01@3oool20000
00D0oooo0P0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool0000000<0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo
00D000000?ooo`000000oooo000000040?ooo`030000003oool0000000@0oooo0`0000030?ooo`04
0000003oool000000?ooo`80000000<0oooo0000000000001@3oool4000000<0oooo0`0000040?oo
o`800000103oool9000000l0oooo100000030?ooo`<000001P3oool400000080oooo100000050?oo
o`8000000P3oool00`000000oooo0?ooo`02000000@0oooo0P0000040?ooo`040000003oool0oooo
000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0000000@0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`040?ooo`8000001`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05L0oooo
1P0000030?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01/0oooo00@0
00000?ooo`3oool000009@3oool00`000000oooo0?ooo`0R0?ooo`040000003oool0oooo000000X0
oooo00<000000?ooo`3oool00`3oool2000000H0oooo00<000000?ooo`3oool01@3oool2000000@0
oooo0P0000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo000000030?ooo`070000003oool0oooo0?ooo`000000oooo000000050?ooo`050000003o
ool000000?ooo`000000103oool00`000000oooo000000040?ooo`<000000`3oool01@000000oooo
0000003oool000000080oooo0P0000040?ooo`D000000P3oool4000000<0oooo0P0000020?ooo`@0
00001`3oool2000001<0oooo100000020?ooo`@00000103oool4000000030?ooo`000000000000<0
00001@3oool010000000oooo0?ooo`0000020?ooo`800000103oool2000000@0oooo00@000000?oo
o`3oool000000`3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`030?ooo`8000001@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo05X0oooo0P0000030?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0
oooo01X0oooo1000000U0?ooo`030000003oool0oooo0280oooo00D000000?ooo`3oool0oooo0000
000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`8000001@3oool2000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?oo
o`3oool000000080oooo00@000000?ooo`00000000000`3oool01P000000oooo0?ooo`000000oooo
000000D0oooo0`0000000`3oool000000?ooo`030?ooo`030000003oool0000000@0oooo0`000002
0?ooo`@0000000<0oooo0000000000000P0000050?ooo`@000000P3oool4000000<0oooo0P000002
0?ooo`8000002P3oool?000000/0oooo0P0000040?ooo`<000000`3oool300000080oooo0P000000
0`3oool000000?ooo`040?ooo`80000000@0oooo0000003oool0oooo0P0000040?ooo`800000103o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`<00000103oool010000000
oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`800000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0GP3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0I
0?ooo`@000009P3oool00`000000oooo0?ooo`0Q0?ooo`050000003oool0oooo0?ooo`0000002P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool2000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo
000000030?ooo`<000000`3oool01@000000oooo0?ooo`000000oooo00800000103oool300000080
oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0`0000020?ooo`030000003oool0
00000080oooo100000040?ooo`@000000P3oool2000000030?ooo`000000oooo0080oooo0P000002
0?ooo`8000001P3ooolJ000000P0oooo0P0000050?ooo`8000000`3oool300000080oooo10000005
0?ooo`030000003oool000000080oooo0P0000030?ooo`<00000103oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo0?ooo`<00000103oool00`000000oooo000000040?ooo`030000
003oool0oooo0080oooo0P0000040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3o
ool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`80
00001`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool06@3oool5000002@0oooo00<000000?ooo`3oool0
8P3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`050?ooo`8000001@3oool200000080oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0000000<0oooo00L000000?oo
o`3oool0oooo0000003oool0000000D0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000
oooo000000040?ooo`<000000P3oool00`000000oooo000000020?ooo`H000000P3oool300000080
oooo0P0000000`3oool00000000000020?ooo`80000000@0oooo00000000000000001P3oool;0000
00X0oooo2`0000060?ooo`<00000103oool200000080oooo0`0000020?ooo`@000001@3oool00`00
0000oooo000000020?ooo`8000000`3oool3000000<0oooo00@000000?ooo`3oool000000`3oool0
10000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`020?ooo`800000103oool00`000000oooo000000050?ooo`030000003oool0oooo0080oooo0P00
00060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0H0?ooo`@000009@3oool00`000000oooo0?ooo`0R
0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool2000000D0oooo0P0000030?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`3oool000000`3oool00`000000oooo000000030?ooo`070000
003oool0oooo0?ooo`000000oooo000000050?ooo`8000000P3oool00`000000oooo0?ooo`020?oo
o`800000103oool00`000000oooo000000020?ooo`030000003oool000000080oooo1@0000030?oo
o`<000000P3oool010000000oooo0000000000020?ooo`80000000<0oooo0000000000001P3oool:
000000L0oooo2@0000070?ooo`D000001P3oool2000000@0oooo00@000000?ooo`3oool0oooo0P00
00030?ooo`<000001@3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`<00000
0`3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`<00000103oool00`00
0000oooo000000040?ooo`040000003oool0oooo0?ooo`800000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0G03oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0G
0?ooo`8000009@3oool00`000000oooo0000000U0?ooo`040000003oool0oooo000000X0oooo00<0
00000?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`040?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool0000000<0
oooo0`0000030?ooo`060000003oool0oooo0000003oool000001@3oool200000080oooo00<00000
0?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
0?ooo`<00000103oool400000080oooo0`0000020?ooo`80000000<0oooo0000000000001P3oool7
000000<0oooo3`0000030?ooo`@000001@3oool7000000@0oooo0P0000030?ooo`8000000P3oool3
00000080oooo0`0000050?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0`00
00030?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00P3oool3000000D0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`1K0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo
03d0oooo0`00000U0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool2
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000030?ooo`<000000`3o
ool00`000000oooo0?ooo`04000000@0oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000
oooo000000030?ooo`<000000P3oool00`000000oooo000000020?ooo`030000003oool0000000@0
oooo100000020?ooo`8000000`3oool010000000oooo0000000000060?ooo`D000000`3oool40000
0080oooo100000090?ooo`/000000`3oool7000000@0oooo0P0000030?ooo`040000003oool0oooo
0?ooo`8000000`3oool3000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3o
ool2000000@0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`03000000@0oooo
00<000000?ooo`000000103oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo
000000050?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?oo
o`0m0?ooo`@000008`3oool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool0
0`3oool2000000D0oooo00<000000?ooo`3oool01@3oool2000000D0oooo0P0000030?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool00000103oool2000000<0oooo00<000000?ooo`3o
ool01P0000030?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool2
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000040?ooo`<000000P3oool2
000000<0oooo100000060?ooo`D000000P3oool3000000030?ooo`000000000000<000001P3oool7
000000P0oooo1`0000020?ooo`H00000103oool200000080oooo00<000000?ooo`3oool00P3oool2
00000080oooo0`0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P00
00040?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00`0000040?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0000000@0oooo00<000000?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003o
ool0oooo03`0oooo1000000R0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3o
ool3000000H0oooo00D000000?ooo`3oool0oooo000000050?ooo`040000003oool0oooo000000<0
oooo0P0000040?ooo`030000003oool0oooo00D000000`3oool200000080oooo00L000000?ooo`3o
ool0oooo0000003oool0000000@0oooo0P0000030?ooo`8000000P3oool00`000000oooo00000003
0?ooo`@000000P3oool2000000<0oooo00<000000?ooo`0000001P3oool500000080oooo1P000005
0?ooo`H0000000<0oooo0000000000002@0000060?ooo`H000000P3oool6000000@0oooo0P000000
0`3oool00000000000030?ooo`8000000`3oool2000000@0oooo00<000000?ooo`0000000`3oool0
10000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`03000000@0oooo00<000000?ooo`000000103oool010000000oooo0?ooo`3oool2000000@0oooo
00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool07P3oool00200oooo
00<000000?ooo`3oool0?03oool3000002<0oooo0`0000020?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool0103oool4000000@0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool3000000<0
oooo00<000000?ooo`3oool0100000040?ooo`8000000P3oool01`000000oooo0?ooo`3oool00000
0?ooo`000000103oool2000000<0oooo0P0000020?ooo`030000003oool0000000<0oooo10000002
0?ooo`8000000`3oool3000000D0oooo100000030?ooo`@000001P3ooolI000000H0oooo10000002
0?ooo`H00000103oool010000000oooo0?ooo`0000030?ooo`8000000`3oool3000000<0oooo00<0
00000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`000000
0`3oool010000000oooo0?ooo`3oool3000000<0oooo00@000000?ooo`3oool00000103oool01@00
0000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`02
0?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo05T0oooo00<00000
0?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0>`3oool2000002@0oooo0`0000020?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00<000000?oo
o`3oool0103oool4000000D0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000003oool0
oooo000000@0oooo0P0000030?ooo`030000003oool0oooo00@00000103oool200000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000030?ooo`<000000P3oool200000080oooo00<0
00000?ooo`0000000`3oool010000000oooo0000000000020?ooo`8000000`3oool2000000D0oooo
100000030?ooo`@00000103oool800000140oooo1`0000060?ooo`<000000P3oool5000000@0oooo
0P0000000`3oool00000000000020?ooo`8000000`3oool3000000<0oooo00<000000?ooo`000000
0P3oool200000080oooo0`0000040?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0
0`0000040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3oool0oooo0`0000060?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000L0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo03/0oooo00<000000?ooo`3oool08`3oool200000080oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`<0
00001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool000000`3oool2000000<0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`8000000P3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000000`3oool300000080oooo0P0000020?ooo`030000
003oool0000000<0oooo00@000000?ooo`00000000000P3oool200000080oooo0P0000060?ooo`<0
00000`3oool4000000<0oooo1`00000I0?ooo`L00000103oool300000080oooo1@0000040?ooo`04
0000003oool0oooo00000080oooo0P0000030?ooo`<000000`3oool00`000000oooo000000020?oo
o`8000000P3oool3000000@0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030000
00@0oooo00<000000?ooo`000000103oool010000000oooo0?ooo`3oool2000000@0oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0H@3oool200000080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`04
0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`8000001@3oool2000000<0oooo00<00000
0?ooo`3oool00P3oool010000000oooo0?ooo`0000030?ooo`800000103oool01P000000oooo0?oo
o`000000oooo000000D0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo00000003
0?ooo`<000000P3oool200000080oooo00<000000?ooo`0000000`3oool4000000040?ooo`000000
000000000080oooo0P0000050?ooo`<000000`3oool4000000<0oooo1@00000?0?ooo`H00000303o
ool5000000@0oooo0`0000000`3oool0000000000004000000<0oooo0P000000103oool000000?oo
o`3oool2000000<0oooo0`0000030?ooo`030000003oool000000080oooo0P0000020?ooo`<00000
103oool00`000000oooo000000030?ooo`030000003oool0oooo00<00000103oool00`000000oooo
000000040?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?ooo`0000050?oo
o`030000003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00`3oool2000000L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1G0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0600oooo0P0000020?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3o
ool01@3oool2000000H0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool00P3oool2000000<0oooo00L000000?ooo`3oool0oooo0000003o
ool0000000@0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`<0
00000P3oool200000080oooo00<000000?ooo`0000000`3oool300000080oooo0`0000020?ooo`80
00001@3oool3000000<0oooo0`0000030?ooo`@000002P3ooolD000000T0oooo100000040?ooo`<0
000000<0oooo0000000000000`0000040?ooo`<000000P3oool300000080oooo0`0000030?ooo`03
0000003oool000000080oooo0P0000020?ooo`<000000`3oool010000000oooo0?ooo`0000030?oo
o`030000003oool0oooo00<000000`3oool00`000000oooo000000050?ooo`050000003oool0oooo
0?ooo`000000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo0P00
00060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool2000000L0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo0600oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?oo
o`040?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo0P00
00030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool2000000<0oooo
00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P0000020?ooo`050000003oool0oooo
0?ooo`0000000P3oool00`000000oooo0?ooo`0300000080oooo0P0000020?ooo`030000003oool0
000000@0oooo0P0000020?ooo`8000000P3oool3000000D0oooo0`0000020?ooo`<000000`3oool4
000000P0oooo2P0000070?ooo``000001P3oool4000000<0oooo2@0000050?ooo`<000000P3oool2
00000080oooo0`0000030?ooo`030000003oool000000080oooo0P0000020?ooo`800000103oool0
0`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0000
00040?ooo`040000003oool0oooo0?ooo`800000103oool010000000oooo0?ooo`0000050?ooo`04
0000003oool0oooo0?ooo`8000001`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo0P0000060?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0E@3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`040?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool00P3oool01P000000oooo0?ooo`000000oooo000000D0oooo0P00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0oooo0`0000000`3oool0
0000000000020?ooo`030000003oool0000000@0oooo0P0000020?ooo`8000000P3oool2000000H0
oooo0P0000030?ooo`8000000`3oool4000000L0oooo1`00000C0?ooo`P000001P3oool4000000<0
oooo00@000000?ooo`000000oooo100000050?ooo`030000003oool000000080oooo0P0000020?oo
o`<000000`3oool00`000000oooo000000020?ooo`8000000P3oool2000000@0oooo00<000000?oo
o`0000000`3oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`000000103oool01@00
0000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`020?ooo`8000001P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo0P00
00070?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?oo
o`0N0?ooo`00803oool300000680oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`800000103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3o
ool2000000<0oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P0000020?ooo`07
0000003oool0oooo0?ooo`000000oooo000000030?ooo`<000000P3oool010000000oooo0?ooo`3o
ool2000000@0oooo0P0000020?ooo`8000000P3oool2000000D0oooo0`0000020?ooo`8000000`3o
ool5000000D0oooo1@0000060?oooa0000001P3oool3000000030?ooo`000000000000H0oooo1000
00020?ooo`<000000P3oool3000000D0oooo00<000000?ooo`0000000P3oool200000080oooo0P00
00040?ooo`8000000`3oool00`000000oooo0?ooo`03000000<0oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`03000000@0oooo0P0000040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo0P0000070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0DP3oool300000200
oooo000P0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool2000000<0
oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P0000020?ooo`070000003oool0
oooo0?ooo`000000oooo000000030?ooo`<000000P3oool010000000oooo0?ooo`3oool2000000@0
oooo0P0000020?ooo`8000000P3oool2000000D0oooo0`000000103oool000000000000000020?oo
o`D00000103oool6000000@0oooo1P00000;0?ooo`L000001@3oool5000000H0oooo100000020?oo
o`<0000000@0oooo00000000000000001@3oool00`000000oooo000000020?ooo`8000000P3oool2
000000<0oooo00<000000?ooo`0000000P3oool200000080oooo0`0000030?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0000000@0oooo
00@000000?ooo`3oool0oooo0P0000030?ooo`040000003oool0oooo000000H0oooo00@000000?oo
o`3oool0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo000000060?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0D`3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`030?ooo`800000103oool01@000000oooo0?ooo`3oool000000080oooo00<00000
0?ooo`3oool00P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo
0P0000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`0000020?ooo`04
0000003oool0oooo0?ooo`800000103oool200000080oooo0P0000020?ooo`8000001@3oool20000
0080oooo0`0000020?ooo`@00000103oool5000000<0oooo1P00000D0?ooo`H00000103oool40000
00H0oooo100000020?ooo`80000000@0oooo00000000000000001@3oool00`000000oooo00000002
0?ooo`80000000@0oooo00000000000000000`3oool00`000000oooo000000020?ooo`8000000P3o
ool3000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000@0oooo
00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo0P0000070?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`1P0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool2000000D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`8000000`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0000000@0oooo0P0000030?ooo`070000003oool0oooo0?ooo`00
0000oooo000000040?ooo`8000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00<000000P3oool200000080oooo0P0000040?ooo`8000000P3oool200000080oooo0P000005
0?ooo`8000000P3oool200000080oooo0`0000000`3oool000000?ooo`020?ooo`@00000103oool5
000000@0oooo4@0000050?ooo`L000000P3oool4000000D0oooo0P000000103oool000000?ooo`3o
ool2000000030?ooo`000000000000800000103oool00`000000oooo000000020?ooo`80000000@0
oooo00000000000000000`3oool00`000000oooo000000020?ooo`8000000P3oool300000080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`00
0000103oool010000000oooo0?ooo`3oool2000000<0oooo00D000000?ooo`3oool0oooo00000005
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`03
0?ooo`040000003oool0oooo000000H0oooo0P0000070?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0DP3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1P
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool2000000@0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000<0oooo0`0000020?ooo`070000003oool0oooo0?ooo`000000
oooo000000040?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool3
000000030?ooo`00000000000080oooo00<000000?ooo`0000000`3oool3000000030?ooo`000000
00000080oooo0P0000050?ooo`8000000P3oool200000080oooo1@0000030?ooo`<00000103oool3
000000<0oooo1@0000000`3oool000000000000B000000@0oooo0`0000000`3oool0000000000002
0?ooo`@00000103oool2000000040?ooo`000000oooo0?ooo`<0000000@0oooo0000000000000000
0`3oool010000000oooo0?ooo`0000020?ooo`80000000@0oooo00000000000000000`3oool00`00
0000oooo000000020?ooo`030000003oool0oooo00<000000`3oool00`000000oooo000000030?oo
o`040000003oool0oooo0?ooo`800000103oool00`000000oooo000000030?ooo`8000000`3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00P3o
ool2000000H0oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000oooo00D0oooo00<0
00000?ooo`0000001P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0540oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`000000103oool200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003o
ool0oooo0?ooo`8000000`3oool01P000000oooo0?ooo`000000oooo000000<0oooo0`0000020?oo
o`060000003oool0oooo0000003oool00000103oool2000000030?ooo`00000000000080oooo0P00
00040?ooo`<0000000@0oooo00000000000000000P3oool2000000030?ooo`000000oooo0080oooo
0`0000040?ooo`800000103oool2000000030?ooo`000000000000D000002`3oool;000000<0oooo
0P0000000`3oool00000000000020?ooo`<00000103oool400000080oooo00@000000?ooo`000000
oooo0`0000030?ooo`040000003oool0oooo00000080oooo0P000000103oool00000000000000003
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0
000000<0oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0000000<0oooo0P000002
0?ooo`800000103oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000003oool01@3o
ool2000000L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1@0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
000000@0oooo0`0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`050000
003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`<000000P3oool20000
00040?ooo`000000oooo000000@0oooo0P0000020?ooo`80000000<0oooo000000000000103oool3
000000040?ooo`000000000000000080oooo0P000000103oool000000?ooo`3oool3000000@0oooo
0P0000030?ooo`H000006P3oool2000000030?ooo`000000000000<0oooo0P000000103oool00000
0000003oool4000000@0oooo0`0000020?ooo`040000003oool000000?ooo`<000000`3oool01@00
0000oooo0?ooo`000000oooo008000000P3oool3000000050?ooo`00000000000?ooo`0000000P3o
ool200000080oooo0P0000030?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
oooo0`0000030?ooo`030000003oool0000000<0oooo0P0000030?ooo`8000000`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00@000000?oo
o`3oool0oooo0`0000000`3oool000000?ooo`050?ooo`030000003oool0000000L0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0000001@0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000020?oo
o`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool200000080oooo00L0
00000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`80000000@0oooo0000003o
ool00000103oool200000080oooo0P0000020?ooo`030000003oool0oooo0080oooo0`0000000`3o
ool00000000000020?ooo`D000000P3oool3000000<0oooo0P0000030?ooo`80000000@0oooo0000
0000000000002P3oool>000000H0oooo1@0000030?ooo`80000000@0oooo000000000000oooo1000
00030?ooo`@0000000<0oooo0000003oool01@0000030?ooo`050000003oool0oooo0000003oool0
0P0000001@3oool000000?ooo`000000oooo00<0000000@0oooo0000003oool0oooo0P0000020?oo
o`8000000`3oool00`000000oooo000000030?ooo`060000003oool0oooo0000003oool00000103o
ool00`000000oooo000000020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0080oooo0`0000000`3oool000000?ooo`050?ooo`8000001`3oool00`000000oooo
0?ooo`0;0?ooo`<00000C`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?oo
o`1M0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<000000P3oool01`000000oooo0?oo
o`3oool000000?ooo`000000103oool01@000000oooo0?ooo`3oool000000080oooo00@000000?oo
o`3oool000000P3oool300000080oooo0`0000020?ooo`040000003oool0oooo0?ooo`8000000P3o
ool200000080oooo0P0000030?ooo`<0000000<0oooo0000000000000P3oool2000000040?ooo`00
0000oooo0?ooo`@000000P3oool300000080oooo1P0000040?oooa4000000P3oool8000000@0oooo
100000030?ooo`80000000<0oooo000000000000100000030?ooo`050000003oool000000000003o
ool00P0000000`3oool0000000000002000000<0oooo00D000000?ooo`3oool000000?ooo`020000
00050?ooo`00000000000000003oool00`0000001@3oool000000?ooo`3oool000000080oooo0`00
00030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`0000030?ooo`040000003o
ool0oooo00000080oooo0`0000020?ooo`8000000`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool00P3oool2000000H0oooo00@000000?ooo`3oool0oooo1@0000070?oo
o`8000001`3oool00`000000oooo0?ooo`0;0?ooo`<00000CP3oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`80
00000P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`3oool0oooo00000003
0?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool2000000040?oo
o`000000oooo000000<0oooo0P0000020?ooo`8000000P3oool2000000<0oooo0`0000000`3oool0
0000000000020?ooo`80000000@0oooo0000003oool0oooo0`0000020?ooo`<000000P3oool50000
00D0oooo2`0000080?ooo``000001@3oool3000000<0oooo0P0000000`3oool000000?ooo`040000
0080oooo00@000000?ooo`00000000000P3oool010000000oooo0000003oool2000000<0oooo00D0
00000?ooo`3oool000000?ooo`02000000030?ooo`000000000000D0000000D0oooo0000003oool0
oooo000000020?ooo`800000103oool2000000<0oooo00@000000?ooo`3oool0oooo0`0000030?oo
o`030000003oool000000080oooo0P0000040?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`020?ooo`8000001@3oool010000000oooo0?ooo`3o
ool300000080oooo00<000000?ooo`3oool0103oool2000000L0oooo00<000000?ooo`3oool02`3o
ool4000004d0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0G03oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`000000103oool00`000000oooo000000020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`070000003oool0oooo0?ooo`00
0000oooo000000030?ooo`8000000P3oool2000000040?ooo`000000oooo000000<0oooo0P000002
0?ooo`8000000P3oool2000000<0oooo00@000000?ooo`000000oooo0P0000020?ooo`@000000P3o
ool300000080oooo0P0000030?ooo`@00000103oool8000000D0oooo3`0000020?ooo`H000001@3o
ool3000000<0oooo200000020?ooo`@000000P3oool010000000oooo0000003oool2000000<0oooo
00<000000?ooo`0000000P3oool2000000030?ooo`000000000000D0000000<0oooo0000003oool0
0P0000020?ooo`8000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo00@00000
0`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`8000000`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?oo
o`3oool00`3oool010000000oooo0?ooo`0000060?ooo`8000001`3oool00`000000oooo0?ooo`0;
0?ooo`@00000C03oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1K0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000020?ooo`030000003oool0oooo0080oooo0P0000020?ooo`050000003oool0
oooo0?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`03000000080?ooo`000000oooo0000003oool000000?ooo`00
00020?ooo`<0000000<0oooo0000000000000P3oool2000000<0oooo00@000000?ooo`000000oooo
0P0000020?ooo`<000000`3oool300000080oooo00@000000?ooo`3oool0oooo100000040?ooo`D0
0000103oool7000000L0oooo2P0000030?ooo`@000001@3oool3000000<0oooo0`000000103oool0
00000000000000030?ooo`<000000P3oool200000080oooo0P0000030?ooo`080000003oool00000
0?ooo`000000oooo0000003oool6000000040?ooo`000000oooo0?ooo`8000000P3oool2000000<0
oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`03000000<0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0
oooo00<0oooo00@000000?ooo`3oool000001P3oool2000000P0oooo00<000000?ooo`3oool02`3o
ool4000004/0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0F`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo000000040?ooo`030000003oool000000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool00000
00<0oooo0P0000020?ooo`80000000@0oooo0000003oool000000`3oool2000000050?ooo`000000
oooo0000003oool00P0000030?ooo`<0000000D0oooo0000003oool000000?ooo`03000000<0oooo
0`0000000`3oool00000000000020?ooo`@00000103oool4000000<0oooo1@0000060?ooo`L00000
1`3oool6000000<0oooo0`0000040?ooo`@000000`3oool2000000040?ooo`0000000000000000<0
oooo0`0000020?ooo`8000000P3oool200000080oooo00L000000?ooo`3oool000000?ooo`000000
oooo0080000000P0oooo00000000000000000?ooo`000000oooo00000080oooo00<000000?ooo`3o
ool00`0000030?ooo`8000000`3oool01@000000oooo0?ooo`000000oooo008000000`3oool00`00
0000oooo000000030?ooo`040000003oool0oooo0?ooo`8000000`3oool01@000000oooo0?ooo`3o
ool0000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000060?ooo`8000001`3oool00`000000oooo0?ooo`0;0?ooo`<00000
7`3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003o
ool0oooo0340oooo1000000J0?ooo`@000001`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00@0oooo0P0000050?ooo`<000001@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo0080oooo
0P0000020?ooo`060000003oool0oooo0?ooo`000000oooo1P0000020?ooo`070000003oool0oooo
0?ooo`000000oooo000000030?ooo`8000000P3oool2000000040?ooo`000000oooo000000<0oooo
0P0000001@3oool000000?ooo`000000oooo008000000`3oool3000000030?ooo`000000oooo00D0
00000`3oool200000080oooo0P0000000`3oool0000000000003000000<0oooo100000030?ooo`<0
0000103ooolD000000<0oooo0P0000000`3oool00000000000030?ooo`<000000`3oool4000000<0
oooo0P0000020?ooo`8000000`3oool300000080oooo0P0000020?ooo`050000003oool0oooo0?oo
o`0000000P3oool01@000000oooo000000000000oooo00<0000000<0oooo0000003oool00P000002
0?ooo`8000000P3oool2000000<0oooo00<000000?ooo`0000000`3oool6000000<0oooo00@00000
0?ooo`3oool000000P3oool2000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000000000<00000
1@3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0103oool3000000@0oooo00<000000?ooo`000000503oool4000000L0oooo0P00000Z0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01@0oooo1`00000B0?ooo`P00000
5P3oool8000000H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`800000
0P3oool7000000D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo000000040?ooo`050000003oool000000?ooo`0000000P3oool:00000080
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`03000000080?ooo`000000oooo
0000003oool000000?ooo`0000020?ooo`8000000P3oool2000000030?ooo`000000000000<0oooo
2`0000030?ooo`80000000L0oooo00000000000000000?ooo`000000oooo008000000`3oool40000
00<0oooo0`0000000`3oool0000000000005000000H0oooo00<000000?ooo`3oool01`3oool50000
0080oooo1@0000030?ooo`<000000P3oool4000000<0oooo0P0000020?ooo`80000000<0oooo0000
000000001`0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`80000000<0
oooo0000000000000P0000020?ooo`8000000P3oool200000080oooo0P0000030?ooo`8000000`3o
ool7000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000@0oooo
00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`80000000<0oooo00000000
00001P0000030?ooo`040000003oool0oooo000000H0oooo0P0000080?ooo`030000003oool0oooo
00<0oooo1`0000000`3oool000000000000D0?ooo`P00000103oool3000000/0oooo1`00000F0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01D0oooo1P00000C0?ooo`T0
00005P3oool:00000080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`80
0000103oool:000000H0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000003oool0oooo
000000@0oooo0P0000020?ooo`040000003oool0oooo0?ooo`T0000000<0oooo0000003oool00P3o
ool00`000000oooo000000030?ooo`8000000P3oool2000000040?ooo`000000oooo00000080oooo
0`0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo0P0000000`3oool00000
00000005000000<0oooo0P0000000`3oool00000000000020?ooo`@000000`3oool3000000<0oooo
0`000000103oool000000000003oool3000000T0oooo00<000000?ooo`3oool0303oool400000003
0?ooo`0000000000008000000`3oool900000080oooo0`0000000`3oool000000000000600000080
oooo0P0000000`3oool00000000000030?ooo`030000003oool000000080oooo0P0000002@3oool0
00000000003oool000000?ooo`000000oooo000000020?ooo`8000000P3oool00`000000oooo0?oo
o`020?ooo`/00000103oool00`000000oooo000000020?ooo`8000000`3oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0:000000D0oooo
00@000000?ooo`3oool000001`3oool2000000L0oooo2`0000030?ooo`030000003oool000000140
oooo2@0000050?ooo`D000002@3oool6000001L0oooo00<000000?ooo`3oool07P3oool00200oooo
0P00000H0?ooo`H000004`3oool4000000<0oooo1P00000C0?ooo`8000001@3oool8000000H0oooo
00<000000?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool00P0000040?ooo`T00000
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo00D000000?ooo`000000
oooo000000030?ooo`030000003oool0oooo00H0000000<0oooo00000000000010000000103oool0
00000?ooo`3oool3000000030?ooo`000000oooo0080000000@0oooo0000003oool0oooo0`000000
0`3oool00000000000020?ooo`8000000`3oool2000000030?ooo`000000oooo00L0000000@0oooo
000000000000oooo0P0000020?ooo`<000000`3oool3000000<0oooo0`0000000`3oool000000000
0003000000T0oooo2@00000<0?ooo`<0000000<0oooo0000000000000P0000020?ooo`H0000000<0
oooo0000000000000`3oool;000000030?ooo`00000000000080oooo0P0000020?ooo`040000003o
ool0oooo00000080oooo1@0000000`3oool000000?ooo`02000000<0oooo00<000000?ooo`3oool0
200000000`3oool0000000000002000000040?ooo`0000000000000000<0oooo00<000000?ooo`00
00000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0200000020?ooo`80000000<0oooo0000000000000`3oool00`000000oooo0?ooo`030?ooo`04
0000003oool0oooo000000H0oooo0P0000000`3oool0000000000006000000@0oooo0P0000070?oo
o`030000003oool0000000X0oooo1P0000030?ooo`@00000203oool3000000P0oooo1P00000H0?oo
o`800000803oool00200oooo0P00000J0?ooo`040000003oool0oooo0?ooo`<000004P3oool20000
00T0oooo1P00000E0?ooo`030000003oool0oooo00@0oooo200000040?ooo`8000001@3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0200000000`3o
ool000000?ooo`030?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool300000080oooo00H000000?ooo`3oool0oooo0000003oool6000000050?ooo`000000oooo0000
003oool00P0000030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo10000000103o
ool000000000003oool2000000<0oooo1@0000020?ooo`<000000`3oool2000000<0oooo0`000000
0`3oool0000000000002000000P0oooo4`0000080?ooo`<0000000<0oooo0000000000000P000002
0?ooo`<0000000<0oooo0000000000001`0000000`3oool00000000000030?ooo`8000000P3oool2
00000080oooo0P0000020?ooo`030000003oool000000080oooo00<000000?ooo`00000010000000
0`3oool000000?ooo`09000000<0oooo0P000000103oool000000000000000020?ooo`<00000103o
ool00`000000oooo000000020?ooo`8000000`3oool8000000030?ooo`000000oooo00<0oooo00<0
00000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`3oool9000000P0oooo00<000000?ooo`3oool02`3oool2000000@0oooo1P0000090?ooo`800000
2`3oool010000000oooo0000000000020?ooo`@000000`3oool00`000000oooo0?ooo`0F0?ooo`@0
0000803oool00200oooo0P00000Q0?ooo`8000008@3oool400000100oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`05000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000<00000
00H0oooo0000003oool000000?ooo`0000030?ooo`040000003oool0oooo00000080oooo0`000000
0`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo0P0000000`3oool0000000000003
000000040?ooo`000000oooo0?ooo`<0000000@0oooo000000000000oooo0P0000030?ooo`<00000
00@0oooo000000000000oooo0`0000030?ooo`80000000D0oooo00000000000000000?ooo`020000
00<0oooo0`0000020?ooo`<0000000<0oooo0000000000000P0000060?ooo`@0000000<0oooo0000
000000001P0000060?ooo`L000001`3oool3000000030?ooo`0000000000008000000P3oool20000
0080oooo0`0000030?ooo`8000000P3oool010000000oooo0?ooo`3oool200000080oooo0P000002
0?ooo`8000000P3oool00`000000oooo000000020?ooo`80000000<0oooo0000000000001@000003
0?ooo`030000003oool0oooo008000000`3oool00`000000oooo000000030?ooo`030000003oool0
oooo00<000000`3oool00`000000oooo000000030?ooo`@0000000<0oooo0000003oool00`3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003o
ool0oooo00<0oooo100000060?ooo`800000203oool00`000000oooo0?ooo`0<0?ooo`D00000803o
ool2000001d0oooo1`00000P0?ooo`00803oool300000200oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool3
000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`8000000`3oool0
0`000000oooo0?ooo`020?ooo`070000003oool0oooo0000003oool000000?ooo`0300000080oooo
00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool00`0000001@3oool000000?ooo`000000oooo008000000`3o
ool2000000030?ooo`00000000000080oooo0P0000020?ooo`040000003oool000000?ooo`800000
00@0oooo00000000000000000`3oool2000000030?ooo`000000000000@000000P3oool400000080
oooo0P0000000`3oool0000000000002000000D0oooo5@0000060?ooo`D000001P3oool200000080
oooo0`0000020?ooo`<000000`3oool010000000oooo0?ooo`3oool200000080oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`000000
0P3oool5000000<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool2000000<0oooo
00<000000?ooo`3oool00`0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0
oooo0P0000030?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?oo
o`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo0P0000080?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool900000200oooo000P0?ooo`<0
00007@3oool00`000000oooo0000000U0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
00000P3oool01`000000oooo0000003oool000000?ooo`0000000`3oool010000000oooo0?ooo`00
00020?ooo`<0000000<0oooo0000003oool00P3oool00`000000oooo000000030?ooo`80000000<0
oooo0000003oool0100000030?ooo`80000000<0oooo0000000000000P3oool200000080oooo0`00
00000`3oool000000?ooo`04000000<0oooo0P0000000`3oool0000000000002000000040?ooo`00
0000oooo0?ooo`<000000`3oool2000000040?ooo`000000oooo000000@0oooo7P0000020?ooo`D0
00001@3oool300000080oooo0P0000020?ooo`<000000`3oool200000080oooo00<000000?ooo`3o
ool00P0000030?ooo`8000000P3oool200000080oooo00@000000?ooo`3oool000000P3oool01@00
0000oooo0?ooo`000000oooo00<000000P3oool00`000000oooo000000020?ooo`030000003oool0
oooo008000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo00<000000`3oool0
0`000000oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0@@3oool600000200oooo000P0?ooo`<00000703oool3
000002D0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo0`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2
000000<0oooo00<000000?ooo`3oool00P3oool01`000000oooo0?ooo`000000oooo0000003oool0
0`0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo008000000P3oool4000000040?ooo`000000
oooo0?ooo`<0000000@0oooo0000003oool0oooo0P0000020?ooo`<0000000<0oooo0000003oool0
100000030?ooo`T000000P3oool300000080oooo0`000000103oool000000000000000030?ooo`D0
00000P3oool7000000H0oooo1P0000020?ooo`L000000P3oool4000000D0oooo0`0000020?ooo`04
0000003oool0oooo0?ooo`8000000`3oool200000080oooo00<000000?ooo`3oool00P0000030?oo
o`8000000P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000P3oool30000
00030?ooo`00000000000080oooo0P0000030?ooo`030000003oool0oooo008000000`3oool20000
00@0oooo00<000000?ooo`0000000P0000040?ooo`030000003oool0000000<0oooo00@000000?oo
o`3oool0oooo0P0000040?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3o
ool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`800000203o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04<0oooo0`00000P0?ooo`00803oool0
0`000000oooo0?ooo`0L0?ooo`@00000903oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
00000080oooo00L000000?ooo`000000oooo0000003oool0000000<0oooo00@000000?ooo`3oool0
00000P3oool3000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool300000003
0?ooo`000000oooo00@000000`3oool2000000070?ooo`00000000000?ooo`000000oooo00000002
0?ooo`8000000P3oool2000000030?ooo`000000000000<0oooo0`0000000`3oool0000000000003
00000080oooo0`0000020?ooo`80000000@0oooo00000000000000000`3oool500000080oooo1P00
00020?ooo``0000000@0oooo0000000000000000103oool400000080oooo100000050?ooo`800000
0P3oool200000080oooo0P0000030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo
0P0000000`3oool00000000000020?ooo`8000000P3oool00`000000oooo000000020?ooo`040000
003oool000000?ooo`8000000P3oool200000080oooo00@000000?ooo`3oool0oooo0P0000020?oo
o`030000003oool0000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`150?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo
01/0oooo1000000T0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00L000000?ooo`3oool000000?ooo`00
0000oooo00<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0200000080oooo10000000103o
ool000000?ooo`3oool2000000030?ooo`00000000000080oooo0P0000020?ooo`040000003oool0
00000?ooo`80000000<0oooo0000000000000`3oool3000000030?ooo`000000000000<000000P3o
ool3000000050?ooo`00000000000000003oool00P0000040?ooo`@000000P3oool4000000<0oooo
200000070?ooo`P000000`3oool300000080oooo100000040?ooo`8000000P3oool200000080oooo
0P0000030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo0P0000000`3oool00000
000000020?ooo`8000000P3oool010000000oooo0000003oool2000000040?ooo`00000000000000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0oooo0P0000040?oo
o`030000003oool0000000800000103oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`800000103oool00`000000oooo000000050?ooo`030000003oool0oooo0080oooo0P000005
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool2000000P0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo01X0oooo0`00000U0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000P3oool01`000000oooo0000003oool000000?ooo`000000103oool00`000000oooo0000
00020?ooo`<0000000<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`<0000000<0
oooo0000003oool00P0000000`3oool000000?ooo`020?ooo`80000000P0oooo000000000000oooo
0000003oool000000?ooo`<0000000@0oooo000000000000oooo0P0000030?ooo`<0000000<0oooo
0000000000000`0000020?ooo`<0000000<0oooo000000000000100000030?ooo`@000000P3oool4
000000030?ooo`000000000000<000004`3oool5000000<0oooo0`0000020?ooo`<00000103oool3
000000030?ooo`00000000000080oooo0P0000030?ooo`8000000P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`0000020?ooo`060000
003oool000000?ooo`000000oooo0P0000020?ooo`8000000P3oool200000080oooo0P0000020?oo
o`030000003oool0000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`130?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo
01X0oooo0P00000T0?ooo`030000003oool000000140oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<0oooo0`0000020?ooo`030000003oool0oooo0080oooo00L000000?ooo`3oool000000?ooo`00
0000oooo00<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0200000080oooo10000000103o
ool000000?ooo`3oool2000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`800000
00D0oooo0000003oool000000?ooo`0200000080oooo0`0000000`3oool000000000000300000080
oooo0`000000103oool000000000003oool300000080oooo100000020?ooo`@0000000<0oooo0000
000000000P0000050?ooo`h000001`3oool3000000<0oooo0`0000020?ooo`<00000103oool20000
00030?ooo`00000000000080oooo0P0000030?ooo`8000000P3oool010000000oooo000000000004
0?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`030000003oool000000080oooo00D0
00000?ooo`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
0P0000030?ooo`800000103oool00`000000oooo00000002000000@0oooo00<000000?ooo`000000
0`3oool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`0000001@3oool00`000000
oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04<0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0T0?ooo`8000004@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
0P0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`070000003oool000000?ooo`00
0000oooo000000040?ooo`030000003oool000000080oooo0`0000000`3oool000000?ooo`020?oo
o`030000003oool000000080oooo0P0000020?ooo`@0000000@0oooo0000003oool0oooo10000000
1@3oool000000000003oool000000080oooo0P0000020?ooo`80000000<0oooo0000000000000P3o
ool3000000040?ooo`00000000000?ooo`8000000`3oool2000000040?ooo`00000000000?ooo`80
00000`3oool300000080oooo100000000`3oool00000000000060?oooaH000001@3oool2000000<0
oooo0`0000020?ooo`800000103oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`80
000000@0oooo0000003oool0oooo0P0000030?ooo`8000000P3oool00`000000oooo0?ooo`020000
00060?ooo`000000oooo0?ooo`000000oooo0P000000103oool000000000000000020?ooo`800000
0P3oool200000080oooo0P0000020?ooo`030000003oool0000000@0oooo00<000000?ooo`000000
0P0000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool2000000H0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo01h0
oooo000P0?ooo`030000003oool0oooo03l0oooo1000000@0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`030?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo0000003o
ool000000?ooo`0300000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P00
00020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P0000020?ooo`H00000
0P3oool2000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`80000000@0oooo0000
00000000oooo0P0000030?ooo`80000000@0oooo000000000000oooo0P0000030?ooo`80000000@0
oooo000000000000oooo0P0000030?ooo`<0000000<0oooo0000000000000P0000000`3oool00000
000000040?ooo`H000001P3oool5000000D0oooo1`0000040?ooo`<000000P3oool3000000030?oo
o`000000000000@0oooo0`000000103oool000000?ooo`3oool2000000<0oooo0P000000103oool0
00000?ooo`3oool2000000<0oooo0P000000103oool000000000003oool200000080oooo00<00000
0?ooo`0000000P3oool01@000000oooo0000003oool0000000<0oooo0P0000020?ooo`030000003o
ool0oooo00<000000P3oool2000000@0oooo00<000000?ooo`0000000P0000040?ooo`030000003o
ool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0000000D0oooo
00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`110?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03l0oooo0`00
000@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0000000<0000000H0oooo0000003oool000000?ooo`0000040?ooo`03
0000003oool000000080oooo0`0000000`3oool000000?ooo`020?ooo`030000003oool000000080
oooo0P0000020?ooo`H000000P3oool2000000070?ooo`00000000000?ooo`000000oooo00000002
0?ooo`80000000@0oooo000000000000oooo0`0000020?ooo`<0000000<0oooo0000003oool00P00
00030?ooo`80000000@0oooo000000000000oooo0P0000030?ooo`L0000000<0oooo000000000000
103oool6000000<0oooo4@0000020?ooo`D00000103oool300000080oooo0P0000020?ooo`800000
0`3oool3000000040?ooo`000000oooo0?ooo`8000000P3oool200000080oooo00<000000?ooo`3o
ool00P0000030?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`040000003oool00000
0?ooo`80000000@0oooo00000000000000000P3oool200000080oooo0P0000020?ooo`8000000P3o
ool00`000000oooo000000040?ooo`030000003oool00000008000000`3oool00`000000oooo0000
00030?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo000000040?ooo`030000
003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
103oool2000000P0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03l0oooo0P00000A0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`030?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00L000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080
oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo0P0000020?ooo`D000000`3oool3
000000050?ooo`00000000000?ooo`0000000P3oool2000000050?ooo`000000oooo0000003oool0
0P0000020?ooo`<0000000<0oooo0000003oool00P0000030?ooo`80000000@0oooo000000000000
oooo0P0000030?ooo`80000000D0oooo0000003oool000000?ooo`03000000<0oooo1@0000020?oo
o`H00000303oool600000080oooo100000040?ooo`8000000P3oool3000000030?ooo`0000000000
00@0oooo0P000000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`040000003oool0
0000000000<0oooo0P0000020?ooo`030000003oool0oooo0080000000@0oooo0000003oool00000
0P3oool01@000000oooo0000003oool0000000<0oooo0P0000020?ooo`030000003oool0oooo00<0
00000P3oool2000000@0oooo00<000000?ooo`0000000P0000040?ooo`030000003oool0000000<0
oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0000000D0oooo00<000000?oo
o`3oool00P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03h0oooo0P00000A0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`04
0000003oool000000?ooo`@0000000@0oooo0000003oool00000103oool00`000000oooo00000002
0?ooo`<0000000<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`8000000P3oool4
000000040?ooo`000000oooo0?ooo`80000000L0oooo000000000000oooo0000003oool000000080
oooo0P000000103oool000000000003oool200000080oooo0`0000000`3oool000000?ooo`020000
00<0oooo0P000000103oool000000000003oool2000000<0oooo100000000`3oool0000000000002
000000@0oooo100000000`3oool0000000000003000000D0oooo3@0000020?ooo`D0000000<0oooo
0000000000000P0000040?ooo`80000000D0oooo00000000000000000?ooo`02000000@0oooo0P00
0000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`040000003oool00000000000<0
oooo0P000000103oool000000000003oool200000080oooo00@000000?ooo`000000oooo0P000000
103oool000000000000000020?ooo`8000000P3oool200000080oooo0P0000020?ooo`030000003o
ool0000000@0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000<0oooo00@0
00000?ooo`3oool0oooo0P0000050?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0
0P3oool2000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`800000
203oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo
100000000`3oool00000000000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?oo
o`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool200000080oooo0`00
00000`3oool000000?ooo`020?ooo`040000003oool000000?ooo`80000000@0oooo0000003oool0
oooo0P000000103oool000000000003oool3000000040?ooo`00000000000?ooo`8000000P3oool2
00000080oooo0P0000001@3oool000000000003oool0000000@0oooo10000000103oool000000000
000000040?ooo`@0000000@0oooo0000000000000000103oool5000000X0oooo1P0000030?ooo`<0
000000<0oooo0000000000000P0000040?ooo`80000000@0oooo000000000000oooo0P0000040?oo
o`050000003oool0oooo0000003oool00`0000020?ooo`80000000@0oooo000000000000oooo0P00
00020?ooo`8000000P3oool00`000000oooo0?ooo`0200000080oooo0P0000020?ooo`030000003o
ool0oooo00<000000P3oool200000080oooo00<000000?ooo`3oool00`0000020?ooo`800000103o
ool00`000000oooo00000002000000<0oooo00@000000?ooo`3oool000000`3oool01@000000oooo
0?ooo`3oool0000000D0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`030?ooo`80
00001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool2000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0000003oool600000080
oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo0`0000000`3oool000000?ooo`02
0?ooo`030000003oool000000080oooo0P0000020?ooo`80000000@0oooo0000003oool000000P3o
ool2000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`80000000@0oooo00000000
0000oooo0P0000020?ooo`<0000000<0oooo0000003oool00P0000020?ooo`80000000D0oooo0000
00000000oooo000000040?ooo`@0000000@0oooo00000000000000000`3oool4000000040?ooo`00
0000000000000080oooo1000000C0?ooo`D000000P3oool3000000040?ooo`0000000000000000@0
oooo1@0000020?ooo`030000003oool0oooo0080oooo00D000000?ooo`00000000000?ooo`030000
0080oooo0P000000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0000000200000080oooo0P00
00020?ooo`8000000P3oool200000080oooo00<000000?ooo`000000103oool00`000000oooo0000
0002000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo
0P0000050?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0103oool2000000P0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`0o0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0500oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`000000oooo0P0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`0000000P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool00000
0080oooo0P0000020?ooo`<0000000<0oooo0000003oool00P3oool010000000oooo0000003oool2
000000040?ooo`000000oooo0?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`<00000
00<0oooo0000003oool00P0000020?ooo`D0000000<0oooo0000003oool00`3oool01@000000oooo
000000000000oooo00<000000`3oool3000000040?ooo`000000000000000080oooo0`0000060?oo
o`d000001@3oool500000080oooo0P0000000`3oool0000000000002000000<0oooo1@0000020?oo
o`8000000P3oool2000000040?ooo`00000000000?ooo`<0000000L0oooo00000000000000000?oo
o`000000oooo008000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool200000080
oooo00<000000?ooo`3oool00`0000020?ooo`8000000P3oool00`000000oooo0?ooo`0300000080
oooo0P0000040?ooo`030000003oool00000008000000`3oool010000000oooo0?ooo`0000030?oo
o`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo000000040?ooo`030000003oool0
oooo0080oooo0`0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0?P3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo
0000003oool000000?ooo`0300000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0
oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool000000080oooo0P0000020?ooo`80
000000@0oooo0000003oool000000P3oool2000000070?ooo`00000000000?ooo`000000oooo0000
00020?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`80000000<0oooo0000003oool0
0`0000020?ooo`@0000000<0oooo0000000000000`3oool00`000000oooo00000005000000<0oooo
1P0000020?ooo`<000001@3ooolD000000@0oooo100000020?ooo`80000000@0oooo000000000000
0000103oool400000080oooo0P0000020?ooo`80000000@0oooo000000000000oooo0P0000020?oo
o`<0000000<0oooo0000003oool00P0000020?ooo`<0000000@0oooo0000003oool0oooo0P000000
103oool000000?ooo`0000020?ooo`030000003oool00000008000000P3oool200000080oooo0P00
00020?ooo`8000000P3oool00`000000oooo000000040?ooo`040000003oool00000000000@0oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo0P0000050?ooo`03
0000003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0103oool2000000P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0m0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000
103oool200000080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`<00000
00<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`8000000P3oool3000000030?oo
o`000000oooo0080oooo00@000000?ooo`000000oooo0P000000103oool000000?ooo`3oool20000
00040?ooo`000000oooo0?ooo`8000000P3oool400000080oooo0P0000020?ooo`80000000<0oooo
0000003oool00P0000030?ooo`030000003oool000000080000000<0oooo0000000000000P3oool3
000000050?ooo`00000000000000003oool00`0000040?ooo`D000001@3oool6000000@0oooo1@00
00050?ooo`<0000000D0oooo00000000000000000?ooo`03000000<0oooo00<000000?ooo`3oool0
0P0000000`3oool00000000000020?ooo`80000000<0oooo0000000000000`0000020?ooo`800000
00@0oooo000000000000oooo0P0000020?ooo`8000000P3oool010000000oooo0000000000020?oo
o`8000000P3oool00`000000oooo0?ooo`0300000080oooo0P0000020?ooo`030000003oool0oooo
00<000000P3oool2000000@0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool00000
00@0oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool0000000@0oooo00<000000?oo
o`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0m0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`050?ooo`800000103oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00@0oooo0P0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool01000
0000oooo0?ooo`3oool300000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo
0P0000000`3oool000000?ooo`020?ooo`030000003oool000000080oooo0P0000020?ooo`800000
00@0oooo0000003oool000000P3oool2000000080?ooo`00000000000?ooo`000000oooo0000003o
ool200000080oooo00@000000?ooo`00000000000P3oool3000000030?ooo`000000oooo00800000
0P3oool2000000030?ooo`000000oooo008000000`3oool00`000000oooo00000002000000030?oo
o`000000oooo0080oooo0P0000020?ooo`80000000<0oooo0000000000000P0000030?ooo`D00000
00<0oooo0000000000003P0000040?ooo`@00000103oool3000000030?ooo`000000000000@00000
0`3oool00`000000oooo0?ooo`0500000080oooo00<000000?ooo`3oool01@0000001@3oool00000
000000000000oooo0080000000<0oooo0000003oool00P3oool2000000040?ooo`00000000000?oo
o`8000000P3oool200000080oooo00<000000?ooo`0000000P0000020?ooo`8000000P3oool20000
0080oooo0P0000020?ooo`030000003oool0000000@0oooo00@000000?ooo`0000000000103oool0
0`000000oooo000000030?ooo`040000003oool0oooo0?ooo`8000001@3oool2000000D0oooo00<0
00000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`040?ooo`800000203oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03`0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000004
0?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool3000000030?oo
o`000000oooo0080oooo00<000000?ooo`0000000P3oool200000080oooo0`0000000`3oool00000
0?ooo`020?ooo`040000003oool000000?ooo`80000000@0oooo0000003oool0oooo0P000000103o
ool000000?ooo`3oool2000000070?ooo`00000000000000003oool000000?ooo`0300000080oooo
100000000`3oool000000?ooo`020?ooo`80000000D0oooo000000000000oooo000000030?ooo`80
000000<0oooo0000000000000P3oool3000000<0oooo100000000`3oool0000000000005000000<0
oooo3P0000000`3oool0000000000002000000<0oooo0`0000000`3oool0000000000004000000<0
oooo00<000000?ooo`3oool01@0000020?ooo`050000003oool0oooo0000003oool00P0000020?oo
o`8000000P3oool010000000oooo0000000000020?ooo`<0000000@0oooo0000003oool0oooo0P00
00000`3oool00000000000020?ooo`030000003oool0oooo00<000000P3oool200000080oooo00<0
00000?ooo`3oool00P0000030?ooo`800000103oool00`000000oooo00000002000000<0oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00@0oooo0P0000080?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0?03o
ool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1=0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool01@3oool2000000D0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo00<0
00000?ooo`3oool00P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0
oooo0P0000000`3oool000000?ooo`030?ooo`8000000P3oool200000080oooo0P000000103oool0
00000?ooo`0000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3oool0
10000000oooo0000000000020?ooo`P000000P3oool4000000030?ooo`00000000000080oooo0P00
00001@3oool000000000003oool0000000<0oooo0P000000103oool000000000003oool3000000<0
oooo200000030?oooa0000000`3oool4000000040?ooo`0000000000000000<0oooo0`0000000`3o
ool0000000000003000000<0oooo00<000000?ooo`3oool0100000030?ooo`050000003oool00000
0000003oool00P0000020?ooo`8000000P3oool010000000oooo0000000000020?ooo`80000000@0
oooo000000000000oooo0P0000020?ooo`8000000P3oool00`000000oooo0000000200000080oooo
0P0000020?ooo`8000000P3oool200000080oooo00<000000?ooo`000000103oool010000000oooo
0000000000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?oo
o`030000003oool0000000D0oooo00L000000?ooo`3oool0oooo0000003oool0000000H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`800000203oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool07P3oool00140oooo00<0oono
07@000000000100000000`1d_ol0oooo0?ooo`050?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo
000000040?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool30000
00030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool200000080oooo0`0000000`3o
ool000000?ooo`020?ooo`040000003oool000000?ooo`80000000@0oooo0000003oool0oooo0P00
0000103oool000000?ooo`3oool2000000030?ooo`000000000000<0000000<0oooo000000000000
0P3oool2000000030?ooo`000000oooo008000000P3oool2000000050?ooo`00000000000?ooo`00
00000`3oool2000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`P0000000<0oooo
0000000000001@00000<0?ooo`D000000P3oool3000000040?ooo`000000000000000080oooo00@0
00000?ooo`000000oooo1@0000030?ooo`030000003oool0000000@000000P3oool2000000030?oo
o`000000000000<0000000H0oooo00000000000000000?ooo`0000020?ooo`030000003oool0oooo
00<0000000@0oooo0000003oool0oooo0P0000000`3oool00000000000020?ooo`030000003oool0
oooo00<0000000@0oooo0000003oool000000P3oool00`000000oooo0?ooo`02000000<0oooo0P00
00030?ooo`80000000@0oooo00000000000000000`3oool00`000000oooo000000040?ooo`030000
003oool0oooo008000001@3oool00`000000oooo000000040?ooo`050000003oool0oooo0000003o
ool00P0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool2000000T0
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01h0
oooo000B0?ooo`030;md000007@0_ooo0080oooo00<0giad09cOo`3oool01P3oool00`000000oooo
0?ooo`1<0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool2000000D0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool01@000000oooo
0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool200000080oooo00<000000?ooo`3o
ool00P3oool2000000<0oooo100000040?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P000000103oool000000?ooo`0000020?ooo`80000000@0oooo000000000000oooo0P000002
0?ooo`8000000P3oool010000000oooo0000000000020?ooo`80000000<0oooo0000003oool00`00
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000001@3oool000000000
003oool0000000<0oooo0P000000103oool000000000003oool300000080oooo3@0000070?ooo`H0
00001@3oool500000080oooo0`0000000`3oool00000000000020?ooo`<0000000<0oooo00000000
00000`0000020?ooo`D0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`0500000003
0?ooo`00000000000080oooo00@000000?ooo`00000000000P3oool2000000040?ooo`0000000000
0?ooo`8000000P3oool200000080oooo00<000000?ooo`0000000P0000020?ooo`8000000P3oool2
000000040?ooo`000000000000000080oooo00<000000?ooo`0000000P3oool200000080oooo0P00
00040?ooo`800000103oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`0000001@3o
ool00`000000oooo00000004000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`050?ooo`800000203oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03X0oooo00<0
00000?ooo`3oool07P3oool001<0oooo00<0okmd0000B02Lgol02P3oool00`000000oooo0?ooo`1<
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00D00000
0?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0?ooo`<000000P3oool01`000000oooo
0?ooo`3oool000000?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo00<000000?oo
o`0000000P3oool200000080oooo0`0000000`3oool000000?ooo`020?ooo`040000003oool00000
0?ooo`80000000<0oooo0000003oool00`0000001@3oool000000?ooo`3oool000000080oooo1@00
00000`3oool00000000000020?ooo`@0000000@0oooo0000003oool0oooo0P0000001@3oool00000
0000003oool0000000<0oooo00<000000?ooo`0000001@0000030?ooo`80000000<0oooo00000000
00001@0000050?oooa000000103oool400000080oooo0P0000000`3oool00000000000030?ooo`80
000000H0oooo00000000000000000?ooo`0000020?ooo`030000003oool000000080000000<0oooo
0000003oool00P3oool01@000000oooo0?ooo`000000oooo008000000P3oool2000000050?ooo`00
000000000?ooo`0000000P3oool3000000040?ooo`000000oooo0?ooo`80000000<0oooo00000000
00000P3oool00`000000oooo0?ooo`03000000040?ooo`000000oooo00000080oooo00<000000?oo
o`3oool00P0000030?ooo`8000000P3oool3000000040?ooo`0000000000000000<0oooo00<00000
0?ooo`000000103oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`0000001@3oool0
0`000000oooo00000002000000030?ooo`000000oooo00D0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`040?ooo`8000002@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo03T0oooo00<000000?ooo`3oool07P3oool001@0oooo00<0omnL04P00018W=l02@3oool00`00
0000oooo0?ooo`1;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool20000
00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000103oool01`00
0000oooo0?ooo`3oool000000?ooo`000000103oool200000080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo000000020?ooo`<0000000<0oooo0000003oool00P3oool00`000000oooo0000
00020?ooo`80000000L0oooo000000000000oooo0000003oool000000080oooo0P000000103oool0
00000000003oool200000080oooo0P0000020?ooo`040000003oool0000000000080oooo10000000
0`3oool00000000000020?ooo`80000000@0oooo0000003oool000000P3oool800000080oooo1P00
0000103oool000000?ooo`3oool6000000040?ooo`0000000000000000@0oooo200000020?ooo`<0
00000`3oool6000000<0oooo100000001@3oool00000000000000000oooo008000000P3oool20000
00060?ooo`00000000000000003oool000000P3oool00`000000oooo00000002000000030?ooo`00
0000oooo0080oooo00D000000?ooo`3oool000000?ooo`02000000070?ooo`00000000000000003o
ool000000?ooo`0200000080oooo0P000000103oool000000000003oool200000080oooo0P000002
0?ooo`030000003oool00000008000000P3oool200000080oooo0P000000103oool0000000000000
00020?ooo`040000003oool000000?ooo`<000000P3oool2000000<0oooo00<000000?ooo`000000
103oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`000000103oool00`000000oooo
00000005000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`800000
1P3oool00`000000oooo0000000?0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
7P3oool000T0oooo00<0W4P00000000000000`0000000`00B9`0oooo0?ooo`040?ooo`0309a80018
W=l0oooo00L0oooo1000001:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo
0?ooo`020?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool20000
00030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool200000080oooo0`0000000`3o
ool000000?ooo`020?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool00`000000
0`3oool000000?ooo`0200000080oooo100000001@3oool00000000000000000oooo0080000000<0
oooo0000003oool00P0000001@3oool00000000000000000oooo00@000000P3oool800000080oooo
1@000000103oool000000000000000040?ooo`@000000P3oool>00000080oooo100000030?ooo`@0
000000<0oooo0000000000000`0000020?ooo`<0000000<0oooo0000000000000P0000020?ooo`03
0000003oool0000000@000000`3oool00`000000oooo0000000300000080oooo0P0000001@3oool0
00000000003oool000000080oooo0`000000103oool000000?ooo`3oool2000000030?ooo`000000
00000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool00P0000020?ooo`040000003oool000000?ooo`@0000000<0oooo000000000000103o
ool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo
000000050?ooo`030000003oool000000080000000<0oooo0000003oool01@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00@0oooo0P0000060?ooo`80000000<0oooo0000003oool0
3P3oool00`000000oooo0?ooo`0e0?ooo`@00000803oool001L0oooo00<0W4Qd0;ooo`3oool01P3o
ool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3o
ool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000103o
ool01`000000oooo0?ooo`3oool000000?ooo`000000103oool2000000<0oooo00L000000?ooo`3o
ool0oooo0000003oool000000080oooo00D000000?ooo`000000oooo000000030?ooo`030000003o
ool000000080oooo0P0000001`3oool000000000003oool000000?ooo`0000000P3oool200000004
0?ooo`00000000000?ooo`8000000P3oool200000080oooo00D000000?ooo`00000000000?ooo`05
000000030?ooo`00000000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02
000000030?ooo`0000000000008000000P3oool700000080oooo2@0000030?ooo`@000000P3oool5
000000<0oooo1`0000000`3oool0000000000007000000<0oooo0`0000000`3oool0000000000003
00000080oooo00@000000?ooo`000000oooo100000020?ooo`L000000P3oool00`000000oooo0?oo
o`0400000080oooo0P0000000`3oool000000?ooo`02000000050?ooo`00000000000000003oool0
0P0000000`3oool00000000000020?ooo`8000000P3oool00`000000oooo0000000200000080oooo
0P0000020?ooo`80000000@0oooo00000000000000000P3oool2000000030?ooo`00000000000080
00000P3oool2000000<0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`02000000@0
oooo00@000000?ooo`3oool00000103oool00`000000oooo00000005000000H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`040?ooo`8000001P3oool2000000030?ooo`000000oooo
00h0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0N0?ooo`004P3oool00`3OW4P0
M;oo0?ooo`020?ooo`030;md001d_ol0oooo00H0oooo00<000000?ooo`3oool0BP3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo0P0000050?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000
oooo000000040?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool2
00000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`8000000P3oool3000000030?ooo`00
0000oooo0080oooo00@000000?ooo`000000oooo0P0000000`3oool000000?ooo`03000000030?oo
o`000000oooo008000000P3oool4000000030?ooo`00000000000080oooo0P000000103oool00000
0?ooo`0000020?ooo`80000000<0oooo0000000000000P0000020?ooo`L000000P3oool500000003
0?ooo`000000000000<0oooo100000000`3oool0000000000002000000030?ooo`000000000001L0
00000`3oool3000000040?ooo`00000000000?ooo`80000000L0oooo0000003oool000000?ooo`00
0000oooo008000000P3oool6000000<0oooo00<000000?ooo`00000010000000103oool000000000
003oool2000000030?ooo`000000000000@0000000@0oooo0000003oool0oooo0P0000000`3oool0
0000000000020?ooo`030000003oool0oooo008000000P3oool00`000000oooo000000020?ooo`03
0000003oool0oooo008000000P3oool00`000000oooo0000000400000080oooo0P0000030?ooo`03
0000003oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool00000
00@0oooo00<000000?ooo`0000001@0000060?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01@3oool2000000D0oooo0`0000000`3oool000000?ooo`0>0?ooo`030000003oool0oooo
03L0oooo00<000000?ooo`3oool07P3oool00180oooo00L0okmd0000M02oool0oooo0?noM00004P0
W=oo00L0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`800000
0`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool2000000030?ooo`000000oooo
0080oooo00<000000?ooo`0000000P3oool200000080oooo0`000000103oool000000?ooo`3oool2
000000040?ooo`00000000000?ooo`8000000P3oool200000080oooo00D000000?ooo`0000000000
0?ooo`05000000040?ooo`00000000000?ooo`80000000@0oooo0000003oool000000`3oool60000
0080oooo0P0000000`3oool000000000000200000080oooo0P000000103oool000000000003oool2
00000080oooo200000020?ooo`H000002P3oool=00000080oooo00@000000?ooo`000000oooo0P00
0000103oool000000000003oool5000000030?ooo`000000oooo0080oooo1P0000020?ooo`800000
00<0oooo0000000000000P0000020?ooo`80000000<0oooo0000003oool00P0000001@3oool00000
000000000000oooo0080000000<0oooo0000000000000P3oool200000080oooo00<000000?ooo`00
00000P0000020?ooo`8000000P3oool2000000040?ooo`000000000000000080oooo1@0000000`3o
ool000000?ooo`03000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2
000000@0oooo00@000000?ooo`3oool00000103oool5000000030?ooo`000000oooo00D0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`8000001P3oool400000100oooo00<0
00000?ooo`3oool0=P3oool00`000000oooo0?ooo`0N0?ooo`004`3oool01@3o_g@0000000000000
04P0W=oo00P0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00D0oooo0P0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool2000000@0oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P0000030?ooo`04
0000003oool0oooo0?ooo`8000000`3oool3000000030?ooo`000000oooo0080oooo00@000000?oo
o`000000oooo0`0000001`3oool000000000003oool000000?ooo`0000000P3oool010000000oooo
0000003oool2000000030?ooo`000000oooo00<0000000<0oooo0000000000000P0000020?ooo`80
000000<0oooo0000003oool00P0000020?ooo`060000003oool000000000003oool000000P3oool2
000000030?ooo`000000oooo0080000000@0oooo000000000000oooo100000020?ooo`80000000<0
oooo0000000000000`0000020?ooo`L0000000<0oooo0000000000000`0000040?ooo`T000001@3o
ool;000000050?ooo`00000000000000003oool00P0000000`3oool00000000000020?ooo`@00000
00@0oooo0000003oool0oooo0P0000000`3oool000000000000200000080oooo0P0000000`3oool0
000000000002000000030?ooo`000000000000<0000000<0oooo000000000000100000000`3oool0
00000?ooo`0200000080oooo0P0000020?ooo`030000003oool0oooo008000000P3oool00`000000
oooo000000020?ooo`030000003oool00000008000000P3oool01`000000oooo0000003oool00000
0?ooo`0000000P3oool2000000<0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`03
000000@0oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`000000oooo00<000001P3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo0P0000050?ooo`<0000000<0
oooo0000003oool03P3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`05
0?ooo`8000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo0`000003
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool200000080oooo00L00000
0?ooo`3oool0oooo0000003oool0000000<0oooo0P0000000`3oool000000?ooo`020?ooo`030000
003oool000000080oooo0P0000020?ooo`<0000000@0oooo0000003oool0oooo0P0000000`3oool0
00000?ooo`0300000080oooo0P0000020?ooo`050000003oool000000000003oool0200000001`3o
ool000000000003oool000000?ooo`0000000P3oool2000000030?ooo`0000000000008000000P3o
ool4000000040?ooo`000000oooo0?ooo`80000000<0oooo0000003oool00P0000020?ooo`<00000
00<0oooo0000000000000P3oool3000000@0oooo4P0000030?ooo`T000000P3oool800000080oooo
1P0000020?ooo`<0000000<0oooo0000000000000`3oool00`000000oooo0000000300000080oooo
0P0000000`3oool000000?ooo`06000000040?ooo`00000000000?ooo`8000000P3oool200000080
oooo00@000000?ooo`00000000000`3oool200000080oooo0P0000000`3oool00000000000020?oo
o`030000003oool000000080oooo00@000000?ooo`000000oooo0P0000040?ooo`030000003oool0
000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0oooo000000<0oooo
00D000000?ooo`3oool000000?ooo`03000000H0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`040?ooo`8000001@3oool500000100oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`8000001P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`00
0000oooo000000040?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool3000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool2000000070?ooo`00
000000000?ooo`000000oooo000000020?ooo`030000003oool0oooo00<0000000<0oooo0000003o
ool00`0000000`3oool000000000000200000080oooo0P0000000`3oool000000?ooo`0200000080
oooo00@000000?ooo`000000oooo0P0000020?ooo`H000000P3oool4000000040?ooo`000000oooo
0?ooo`80000000<0oooo0000003oool00P0000020?ooo`D000000P3oool3000000<0oooo5`000003
0?ooo`P000000P3oool00`000000oooo0000000500000080oooo00<000000?ooo`0000000`000002
0?ooo`H000000P3oool2000000030?ooo`00000000000080000000<0oooo0000000000000`000000
0`3oool0000000000004000000030?ooo`000000oooo008000000P3oool200000080oooo00<00000
0?ooo`3oool00P0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P000002
0?ooo`8000000P3oool00`000000oooo000000020?ooo`8000000`3oool00`000000oooo00000003
0?ooo`040000003oool0oooo0?ooo`<000000`3oool010000000oooo0?ooo`0000040?ooo`050000
003oool0oooo0000003oool00P0000070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`030?ooo`<000000P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00/0oooo0P00000X0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo04L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`800000
1@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`070000
003oool0oooo0?ooo`000000oooo000000040?ooo`8000000`3oool01P000000oooo0?ooo`000000
oooo000000<0oooo0P0000020?ooo`060000003oool0oooo0000003oool000000P3oool200000080
oooo0P0000000`3oool00000000000020?ooo`80000000<0oooo0000003oool00`0000020?ooo`<0
000000<0oooo0000003oool00P0000000`3oool0000000000006000000070?ooo`00000000000?oo
o`000000oooo000000020?ooo`@0000000@0oooo0000003oool0oooo1`000000103oool000000000
003oool400000080oooo1@0000000`3oool00000000000030?oooa`000000P3oool9000000030?oo
o`000000000000D000000`3oool00`000000oooo0000000300000080oooo00<000000?ooo`000000
0P0000030?ooo`030000003oool0000000<000000P3oool2000000030?ooo`000000oooo00800000
0P3oool2000000040?ooo`00000000000?ooo`8000000P3oool200000080oooo00@000000?ooo`00
000000000P3oool00`000000oooo000000020?ooo`80000000<0oooo0000000000000P3oool01@00
0000oooo0000003oool000000080oooo00@000000?ooo`00000000000`3oool00`000000oooo0000
00040?ooo`030000003oool0oooo00<00000103oool00`000000oooo000000040?ooo`050000003o
ool0oooo0000003oool00`0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1@3oool2000000H0oooo00@000000?ooo`3oool00000403oool00`000000oooo0?ooo`0;0?ooo`<0
00009P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0a0?ooo`@00000
4P3oool00`000000oooo0?ooo`050?ooo`D000001`3oool2000000H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`030?ooo`L00000103oool00`000000oooo000000040?ooo`050000
003oool0oooo0?ooo`0000000`3oool00`000000oooo000000030?ooo`80000000<0oooo0000003o
ool00P3oool00`000000oooo000000020?ooo`D0000000@0oooo0000003oool000000P3oool20000
00040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`0000000000008000000P3oool2
000000030?ooo`000000oooo008000000P3oool010000000oooo0000003oool200000080oooo0`00
00000`3oool00000000000020?ooo`030000003oool0000000<000000P3oool4000000040?ooo`00
0000oooo0?ooo`L000000`3oool9000000@0oooo1`0000020?ooo`X000000P3oool2000000040?oo
o`00000000000?ooo`8000000P3oool600000080oooo0P000000103oool000000000000000020?oo
o`H000000`3oool010000000oooo0000003oool2000000030?ooo`000000000000<0000000@0oooo
000000000000oooo0`0000000`3oool000000?ooo`0200000080oooo0P0000020?ooo`040000003o
ool0000000000080oooo0`0000020?ooo`80000000<0oooo0000000000000P3oool00`000000oooo
000000020?ooo`040000003oool000000?ooo`<000000`3oool00`000000oooo000000030?ooo`04
0000003oool0oooo0?ooo`800000103oool4000000@0oooo00L000000?ooo`000000oooo0000003o
ool0000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`@000001P3o
ool01@000000oooo0?ooo`3oool0000000l0oooo1000000:0?ooo`@000009@3oool00`000000oooo
0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0D0?ooo`L000004P3oool800000140oooo00<0
00000?ooo`3oool00P3oool9000000L0oooo0P0000050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00P3oool8000000<0oooo00<000000?ooo`000000103oool2000000<0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`03000000030?ooo`000000oooo0080oooo
00<000000?ooo`0000001`0000000`3oool00000000000030?ooo`040000003oool000000?ooo`80
000000<0oooo0000003oool00`0000000`3oool000000?ooo`02000000030?ooo`000000000000H0
000000<0oooo0000000000000P0000000`3oool000000?ooo`0700000080oooo1P0000020?ooo`@0
000000@0oooo0000003oool0oooo1P0000030?ooo`P000000P3oool7000000@0oooo1P0000000`3o
ool000000000000600000080oooo100000000`3oool00000000000020?ooo`H000000P3oool>0000
0080oooo00<000000?ooo`3oool00`0000020?ooo`80000000<0oooo0000003oool00P0000020?oo
o`80000000<0oooo0000000000000`0000020?ooo`8000000P3oool01@000000oooo000000000000
oooo00L000000P3oool200000080oooo00L000000?ooo`000000oooo0000003oool000000080oooo
0P0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`L0
000000H0oooo0000003oool0oooo0000003oool2000000L0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`020?ooo`L00000103oool010000000oooo0?ooo`00000?0?ooo`P000001`3o
ool4000000L0oooo1`00000F0?ooo`030000003oool0oooo01h0oooo000P0?ooo`8000005P3oool6
000001@0oooo2`00000<0?ooo`030000003oool0oooo00@0oooo400000050?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00`3oool?00000080oooo0P0000030?ooo`060000003oool0
oooo0000003oool000000`3oool200000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`d0000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000000000000`000000
1P3oool000000000003oool000000?ooo`8000000P3oool010000000oooo0000003oool200000080
oooo1P0000000`3oool0000000000002000000040?ooo`000000oooo0?ooo`@0000000@0oooo0000
003oool0oooo1P0000020?ooo`d000001@3oool3000000H0oooo100000000`3oool0000000000005
00000080oooo100000001P3oool000000000003oool000000?ooo`D000000P3oool:000000030?oo
o`000000000000<0oooo00@000000?ooo`000000oooo0P0000000`3oool00000000000030000000:
0?ooo`00000000000?ooo`000000oooo0000003oool000000?ooo`8000000P3oool200000080oooo
2P000000103oool000000000003oool200000080oooo00D000000?ooo`000000oooo000000020?oo
o`040000003oool00000000000<0oooo00@000000?ooo`3oool000000`3oool>000000<0oooo00D0
00000?ooo`3oool000000?ooo`03000000H0oooo00<000000?ooo`3oool00`3oool=000000H0oooo
00D000000?ooo`3oool0oooo000000090?ooo`/000002@3oool3000000P0oooo1P00000G0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`800000603oool8000001<0oooo0P0000060?ooo`P00000
103oool00`000000oooo0?ooo`080?ooo`8000001`3oool;000000D0oooo00<000000?ooo`3oool0
0`3oool300000080oooo0P0000040?ooo`030000003oool000000080oooo2`0000000`3oool00000
0?ooo`020?ooo`80000000<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`800000
00@0oooo000000000000oooo0P0000030?ooo`P000000P3oool2000000030?ooo`000000oooo0080
000000<0oooo0000000000001P0000000`3oool0000000000002000000040?ooo`000000oooo0?oo
o`/0000000@0oooo0000003oool0oooo1P0000020?ooo`H000000P3oool;000000<0oooo30000005
0?ooo`<0000000<0oooo000000000000100000020?ooo`@0000000H0oooo000000000000oooo0000
003ooolD00000080oooo00<000000?ooo`3oool00`0000020?ooo`80000000<0oooo0000003oool0
0P0000020?ooo`80000000<0oooo000000000000400000000`3oool000000?ooo`02000000030?oo
o`00000000000080oooo00<000000?ooo`0000000P3oool010000000oooo0000003oool=000000<0
oooo0P0000030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
000000@0oooo0000003oool0oooo2P0000040?ooo`040000003oool0oooo0?ooo`8000000P3oool0
0`000000oooo0?ooo`050?ooo`050000003oool0oooo0000003oool0200000060?ooo`8000003@3o
ool2000000<0oooo2@00000F0?ooo`@00000803oool00200oooo0P00000J0?ooo`800000103oool3
00000200oooo1@00000;0?ooo`030000003oool0oooo00D0oooo0P0000050?ooo`040000003oool0
oooo0?ooo`H000001@3oool2000000@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo0P00
00030?ooo`030000003oool0oooo00T0000000L0oooo0000003oool0oooo0000003oool0000000<0
oooo0P000000103oool000000000003oool2000000<0oooo00D000000?ooo`00000000000?ooo`02
000000030?ooo`000000000000L0000000H0oooo000000000000oooo0000003oool200000080oooo
00@000000?ooo`000000oooo0P0000000`3oool0000000000002000000030?ooo`00000000000080
000000<0oooo0000003oool0200000000`3oool000000?ooo`05000000<0oooo1`0000000`3oool0
0000000000020?oooa@000000P3oool3000000030?ooo`000000000000@000000P3oool010000000
oooo0000003oool2000000040?ooo`00000000000?ooo`@0000000<0oooo00000000000010000002
0?ooo`80000000@0oooo00000000000000000P3oool010000000oooo0000003oool2000000030?oo
o`000000000000<0000000@0oooo0000003oool0oooo1@0000000`3oool00000000000020?ooo`80
00000P3oool010000000oooo0000000000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00P0000020?ooo`040000003oool000000?ooo`L000000`3oool00`000000oooo00000003
0?ooo`040000003oool0oooo0?ooo`<000000`3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo00H000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo
0P0000060?ooo`D00000403oool00`000000oooo0?ooo`0<0?ooo`<000001@3oool2000001H0oooo
1P00000P0?ooo`00803oool200000200oooo0P00000T0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01P3oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`030?ooo`800000103oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool2000000<0
oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`80000000<0oooo0000003oool00P3oool0
0`000000oooo000000030?ooo`040000003oool0000000000080oooo0P0000020?ooo`80000000@0
oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000000000000P0000000`3oool00000
00000006000000030?ooo`00000000000080000000@0oooo0000003oool0oooo0`0000000`3oool0
0000000000020?ooo`<0000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000
oooo00D000000`3oool6000000030?ooo`00000000000080oooo6@0000000`3oool0000000000004
000000030?ooo`00000000000080oooo00D000000?ooo`000000oooo000000020?ooo`80000000<0
oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000000000@000000P3o
ool00`000000oooo0?ooo`0300000080oooo0P0000000`3oool000000?ooo`0200000080oooo0P00
00000`3oool000000000000300000080oooo00D000000?ooo`3oool000000?ooo`03000000060?oo
o`000000oooo0?ooo`000000oooo0P0000000`3oool00000000000020?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool00`0000020?ooo`040000003oool0oooo000000<0oooo00H00000
0?ooo`3oool000000?ooo`0000040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo000000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
;`3oool300000200oooo000P0?ooo`<000007P3oool3000002<0oooo0P00000;0?ooo`030000003o
ool0oooo00D0oooo0P0000060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3o
ool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`<0000000<0oooo0000003oool0
0P3oool2000000<0oooo0P000000103oool000000000003oool2000000<0oooo0`0000001@3oool0
00000000003oool000000080oooo10000000103oool000000000003oool2000000030?ooo`000000
0000008000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000@000000P3o
ool010000000oooo0000003oool7000000030?ooo`000000oooo00@0000000@0oooo0000003oool0
oooo10000000103oool000000000000000020?oooa<000000P3oool8000000040?ooo`0000000000
0?ooo`D000000P3oool02P000000oooo0000003oool000000?ooo`000000oooo0000003oool50000
00030?ooo`0000000000008000000P3oool600000080oooo00@000000?ooo`000000oooo0P000000
103oool000000000003oool2000000040?ooo`000000oooo0?ooo`80000000<0oooo000000000000
0`0000020?ooo`80000000H0oooo00000000000000000?ooo`0000020?ooo`040000003oool00000
0?ooo`80000000@0oooo00000000000000000P3oool00`000000oooo000000030?ooo`030000003o
ool0oooo008000000`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000
103oool010000000oooo0?ooo`0000040?ooo`070000003oool0oooo0?ooo`000000oooo00000007
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool2000000X0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0^0?ooo`<00000803oool00200oooo0`00000N0?oo
o`@000008P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo0P0000050?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<000000?oo
o`3oool00P3oool2000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0
00000080oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000000`3oool2000000040?oo
o`000000oooo0?ooo`8000000`3oool01@000000oooo000000000000oooo008000000P3oool20000
00030?ooo`000000000000<0000000H0oooo000000000000oooo0000003oool2000000030?ooo`00
000000000080000000@0oooo0000003oool0oooo0`000000103oool000000000003oool=00000003
0?ooo`00000000000080000000@0oooo0000003oool0oooo1`0000020?oooa0000000P3oool>0000
0080oooo0P0000000`3oool00000000000020000000:0?ooo`00000000000?ooo`000000oooo0000
003oool000000?ooo`D0000000<0oooo000000000000100000000`3oool000000?ooo`0400000080
oooo00<000000?ooo`3oool00`0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`80
000000<0oooo0000000000000`0000020?ooo`050000003oool000000000003oool00P0000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool00P0000030?ooo`040000003oool0oooo00000080oooo00L00000
0?ooo`3oool0oooo0000003oool0000000<0oooo00@000000?ooo`3oool00000103oool00`000000
oooo0?ooo`020?ooo`<000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0
oooo0P00000:0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;@3oool300000200
oooo000P0?ooo`030000003oool0oooo01d0oooo1000000S0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00`3oool2000000@0oooo00L000000?ooo`3oool0oooo0000003oool00000
00@0oooo0P0000030?ooo`060000003oool0oooo0000003oool000000P3oool3000000030?ooo`00
0000oooo0080oooo00<000000?ooo`0000000`3oool010000000oooo0000000000020?ooo`800000
0P3oool2000000040?ooo`00000000000?ooo`8000000P3oool4000000040?ooo`00000000000?oo
o`80000000<0oooo0000000000000P0000020?ooo`030000003oool0000000<0000000D0oooo0000
0000000000000?ooo`0200000080oooo0`0000000`3oool0000000000002000000040?ooo`000000
000000000080oooo0`000000103oool000000?ooo`3oool600000080oooo1@0000000`3oool00000
00000002000000H0oooo1P0000020?ooo``0000000@0oooo000000000000oooo100000002P3oool0
00000000003oool000000?ooo`000000oooo0000003oool6000000030?ooo`000000000000<00000
00<0oooo000000000000100000020?ooo`040000003oool000000?ooo`80000000H0oooo00000000
0000oooo0000003oool200000080oooo0P0000000`3oool000000000000300000080oooo00<00000
0?ooo`3oool01@0000001P3oool000000?ooo`3oool000000?ooo`80000000<0oooo000000000000
0P3oool00`000000oooo000000030?ooo`030000003oool0oooo00800000103oool00`000000oooo
000000030?ooo`060000003oool0oooo0000003oool00000103oool00`000000oooo000000040?oo
o`030000003oool0oooo0080oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3o
ool07@3oool3000002<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool2000000@0oooo0`0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`3oool00000
00<0oooo00<000000?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo0P0000030?oo
o`80000000L0oooo000000000000oooo0000003oool000000080oooo00@000000?ooo`000000oooo
0P0000000`3oool000000?ooo`02000000030?ooo`000000000000<0000000H0oooo000000000000
oooo0000003oool2000000030?ooo`00000000000080000000@0oooo0000003oool0oooo0`000000
103oool000000?ooo`3oool3000000030?ooo`00000000000080000000/0oooo000000000000oooo
0000003oool000000?ooo`000000oooo000000020?ooo`H0000000<0oooo0000000000000`000000
103oool000000000000000040?ooo`h000000P3oool:00000080oooo00<000000?ooo`0000000`00
00000`3oool0000000000004000000030?ooo`000000oooo00@0000000<0oooo0000003oool01000
00000`3oool000000?ooo`0400000080oooo00<000000?ooo`0000000`0000020?ooo`80000000<0
oooo0000003oool00P000000103oool000000000003oool2000000030?ooo`00000000000080oooo
0P0000001P3oool00000000000000000oooo00000080oooo00@000000?ooo`000000oooo0P000000
103oool000000000000000020?ooo`030000003oool000000080oooo00@000000?ooo`3oool0oooo
0P0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`04
0000003oool0oooo000000@0oooo00L000000?ooo`3oool0oooo0000003oool0000000L0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`8000002P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0703oool2000002<0oooo0`00000<0?ooo`030000003oool0oooo00D0oooo0P000005
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<00000
0?ooo`3oool00P3oool2000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003o
ool000000080oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000000`3oool200000004
0?ooo`000000oooo0?ooo`8000000`3oool01@000000oooo000000000000oooo008000000P3oool7
00000080oooo0P0000000`3oool0000000000002000000030?ooo`000000000000@0000000D0oooo
00000000000000000?ooo`02000000030?ooo`000000000000/0000000D0oooo0000003oool00000
0?ooo`02000000030?ooo`000000000000@0000000<0oooo0000000000000`0000000`3oool00000
000000030?oooa@000000P3oool800000080oooo00<000000?ooo`0000000`0000000`3oool00000
00000005000000030?ooo`000000000000<0000000<0oooo000000000000100000000`3oool00000
00000004000000060?ooo`00000000000?ooo`000000oooo0P0000001P3oool000000000003oool0
00000?ooo`8000000P3oool2000000030?ooo`000000000000<0000000@0oooo000000000000oooo
0P0000000`3oool00000000000020?ooo`030000003oool0oooo00<0000000@0oooo000000000000
00000P3oool00`000000oooo000000030?ooo`030000003oool0oooo008000000`3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`800000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo0280oooo1000000:0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P000004
0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`8000000`3oool010000000oooo
0?ooo`0000020?ooo`030000003oool00000008000000P3oool01P000000oooo0?ooo`000000oooo
000000<0oooo00@000000?ooo`00000000000P3oool200000080oooo0P000000103oool000000000
003oool200000080oooo1`0000001P3oool000000000003oool000000?ooo`80000000L0oooo0000
00000000oooo0000003oool000000080oooo0`000000103oool000000?ooo`3oool3000000030?oo
o`000000000000H0000000<0oooo000000000000100000000`3oool000000000000300000080oooo
1`0000030?ooo`L0000000<0oooo0000000000003P0000020?ooo`L000000P3oool00`000000oooo
00000003000000030?ooo`000000oooo00<0000000<0oooo0000003oool0100000000`3oool00000
0?ooo`04000000030?ooo`000000oooo00@000000P3oool00`000000oooo0000000300000080oooo
0P0000000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`D000000P3oool200000003
0?ooo`000000000000<000000P3oool010000000oooo0000003oool2000000030?ooo`0000000000
0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02000000@0oooo00<000000?oo
o`0000000`3oool01P000000oooo0?ooo`000000oooo000000@0oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo0P00000:0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`110?ooo`<000002`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3o
ool2000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103o
ool200000080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo0`0000000`3oool0
00000?ooo`020?ooo`030000003oool000000080oooo0P0000001`3oool000000000003oool00000
0?ooo`0000000P3oool01@000000oooo000000000000oooo008000000P3oool8000000060?ooo`00
000000000?ooo`000000oooo0P0000000`3oool0000000000004000000050?ooo`00000000000000
003oool00P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`<000000P3oool5
000000030?ooo`000000000000<000000P3oool700000080oooo700000020?ooo`L0000000<0oooo
0000003oool00`000000103oool000000000003oool3000000030?ooo`000000000000@0000000<0
oooo000000000000100000000`3oool0000000000004000000040?ooo`00000000000?ooo`@00000
00H0oooo000000000000oooo0000003oool2000000030?ooo`00000000000080oooo00@000000?oo
o`00000000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool010000000oooo0000
003oool2000000040?ooo`000000000000000080oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`02000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool20000
00@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`8000001`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool07P3oool0
0200oooo0`0000100?ooo`<00000303oool00`000000oooo0?ooo`050?ooo`8000001P3oool00`00
0000oooo0?ooo`030?ooo`@00000103oool3000000<0oooo00<000000?ooo`3oool00P3oool20000
00D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0000000D0000000<0oooo
0000003oool00P3oool2000000<0oooo0P000000103oool000000000003oool2000000<0oooo00D0
00000?ooo`00000000000?ooo`0200000080oooo10000000103oool000000000003oool200000003
0?ooo`000000000000<0000000H0oooo0000003oool000000?ooo`0000020?ooo`<0000000@0oooo
0000003oool0oooo0`0000000`3oool000000?ooo`06000000070?ooo`000000oooo0000003oool0
00000?ooo`0500000080oooo1P0000020?ooo`T000002`3oool<000000030?ooo`000000000000/0
000000@0oooo000000000000oooo0P0000000`3oool000000?ooo`04000000030?ooo`000000oooo
00@0000000<0oooo0000003oool0100000020?ooo`040000003oool000000?ooo`8000000P3oool3
000000050?ooo`00000000000000003oool00P0000000`3oool000000000000200000080oooo00<0
00000?ooo`0000000P0000000`3oool00000000000020?ooo`040000003oool000000?ooo`800000
00@0oooo00000000000000000P3oool00`000000oooo000000020?ooo`040000003oool0oooo0?oo
o`8000000`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000103oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool0:P3oool300000200oooo000P0?ooo`030000003oool0
oooo0400oooo0`00000;0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`@00000103oool2000000@0oooo00L000000?ooo`3oool0oooo0000
003oool0000000@0oooo0P0000030?ooo`060000003oool0oooo0?ooo`000000oooo1@0000020?oo
o`060000003oool0oooo0000003oool000000`3oool010000000oooo0000000000020?ooo`800000
0P3oool2000000040?ooo`00000000000?ooo`8000000P3oool7000000060?ooo`00000000000?oo
o`000000oooo0P0000000`3oool0000000000004000000050?ooo`00000000000000003oool00P00
00000`3oool0000000000003000000040?ooo`00000000000?ooo`<0000000<0oooo000000000000
0`0000000`3oool000000000000300000080oooo1P0000000`3oool0000000000006000000<0oooo
3P0000000`3oool0000000000007000000030?ooo`000000000000/0000000L0oooo000000000000
00000?ooo`000000oooo00H0000000<0oooo000000000000100000000`3oool00000000000040000
00030?ooo`000000000000@000000P3oool2000000030?ooo`000000oooo0080000000@0oooo0000
00000000oooo1@0000020?ooo`80000000<0oooo0000003oool00`0000020?ooo`040000003oool0
00000?ooo`80000000<0oooo0000000000000P3oool00`000000oooo000000030?ooo`030000003o
ool0oooo008000000`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<00000
103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo0`0000060?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool2000000X0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo0400oooo0P00000<0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`<000001@3oool2000000<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo000000040?ooo`8000000P3oool020000000oooo0?ooo`3oool000000?oo
o`000000oooo100000020?ooo`060000003oool0oooo0000003oool000000`3oool020000000oooo
000000000000oooo0000003oool000000P3oool01@000000oooo0?ooo`000000oooo008000000P3o
ool700000080oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000000000<000000P3o
ool3000000040?ooo`000000oooo0?ooo`D0000000<0oooo0000000000000`0000000`3oool00000
0000000:000000030?ooo`000000000000@0000000<0oooo0000000000001@0000020?oooa<00000
00<0oooo0000000000001P0000000`3oool0000000000004000000030?ooo`000000000000@00000
00<0oooo0000003oool00`0000001`3oool00000000000000000oooo0000003oool01P0000000`3o
ool000000000000400000080oooo00@000000?ooo`000000oooo0P0000001P3oool000000000003o
ool000000?ooo`80000000D0oooo00000000000000000?ooo`0400000080oooo0P000000103oool0
00000000003oool200000080oooo00@000000?ooo`000000oooo0P000000103oool0000000000000
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`030000003o
ool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0400oooo
0P00000<0?ooo`030000003oool0oooo00D0oooo0P0000060?ooo`030000003oool0oooo00@0oooo
0`0000040?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo
0P0000020?ooo`060000003oool0oooo0?ooo`000000oooo1P0000000`3oool000000?ooo`020?oo
o`8000000`3oool2000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`050000003o
ool000000000003oool00P0000020?ooo`@0000000@0oooo000000000000oooo0P0000000`3oool0
000000000005000000050?ooo`00000000000000003oool01P0000000`3oool00000000000030000
00030?ooo`000000000000@0000000<0oooo0000000000000`0000000`3oool00000000000030000
00030?ooo`000000000000@0000000<0oooo0000000000001@0000000`3oool00000000000080000
00030?ooo`000000000000X0000000<0oooo0000000000001@0000000`3oool00000000000020000
00050?ooo`000000oooo0000003oool00`0000000`3oool0000000000004000000030?ooo`000000
000000<0000000<0oooo000000000000100000001@3oool00000000000000000oooo0080000000<0
oooo000000000000100000000`3oool0000000000006000000040?ooo`00000000000?ooo`@00000
0P3oool00`000000oooo00000002000000030?ooo`00000000000080oooo00@000000?ooo`000000
oooo0P000000103oool000000000000000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00`0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P000004
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`8000002P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0@03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`<00000103oool2000000@0oooo00<00000
0?ooo`3oool00P3oool2000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003o
ool0000000D0000000L0oooo0000003oool0oooo0000003oool0000000<0oooo0`0000000`3oool0
00000?ooo`0200000080oooo0P000000103oool000000000003oool200000080oooo00<000000?oo
o`000000100000001P3oool000000000003oool000000?ooo`80000000<0oooo0000000000000`00
00020?ooo`<0000000@0oooo0000003oool0oooo1@0000000`3oool0000000000003000000030?oo
o`000000000000<0000000<0oooo0000000000000`0000000`3oool000000000000300000080oooo
1P0000020?oooaX0000000<0oooo0000000000002@0000000`3oool000000?ooo`05000000030?oo
o`000000000000<0000000H0oooo00000000000000000?ooo`0000020?ooo`D0000000<0oooo0000
00000000100000000`3oool0000000000005000000060?ooo`00000000000?ooo`000000oooo0P00
0000103oool000000000003oool2000000030?ooo`00000000000080oooo10000000103oool00000
0000000000020?ooo`8000000P3oool2000000030?ooo`000000000000<0oooo0P0000020?ooo`04
0000003oool0oooo0?ooo`8000000`3oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`<00000103oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`<00000
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`8000001@3o
ool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000`3o
ool01`000000oooo0?ooo`000000oooo0000003oool0100000020?ooo`060000003oool0oooo0000
003oool000000`3oool020000000oooo000000000000oooo0000003oool000000P3oool200000007
0?ooo`000000oooo0000003oool000000?ooo`02000000030?ooo`00000000000080000000<0oooo
0000000000000P3oool6000000040?ooo`000000oooo00000080oooo0`0000000`3oool000000?oo
o`05000000030?ooo`000000000000<0000000<0oooo0000000000000`0000001`3oool000000000
00000000oooo0000003oool01@0000020?ooo`H0000000<0oooo0000000000002@0000090?oooad0
000000<0oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000000000@0
000000D0oooo00000000000000000?ooo`02000000050?ooo`00000000000000003oool00P000000
103oool000000000003oool4000000050?ooo`00000000000000003oool0100000020?ooo`800000
00@0oooo000000000000oooo0P0000020?ooo`040000003oool000000?ooo`80000000<0oooo0000
000000000`3oool2000000<0oooo00<000000?ooo`3oool00P0000030?ooo`040000003oool0oooo
000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0400oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`8000001P3oool00`000000oooo0?oo
o`050?ooo`800000103oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000
00040?ooo`8000000P3oool02P000000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool2
00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`80000000L0oooo000000000000
oooo0000003oool000000080oooo00D000000?ooo`00000000000?ooo`0200000080oooo10000000
103oool000000000003oool2000000030?ooo`00000000000080000000<0oooo0000000000000`00
00020?ooo`H0000000<0oooo0000000000000`0000000`3oool0000000000003000000030?ooo`00
0000000000<0000000<0oooo000000000000200000020?ooo`D0000000<0oooo0000000000001`00
00020?ooo`/000000P3oool9000000030?ooo`000000000000T0000000<0oooo0000000000001000
00000`3oool0000000000002000000060?ooo`00000000000000003oool000000P3oool500000005
0?ooo`00000000000000003oool00P0000000`3oool0000000000004000000040?ooo`0000000000
0?ooo`@000000P3oool2000000030?ooo`0000000000008000000P3oool2000000040?ooo`000000
00000?ooo`8000000P3oool010000000oooo0000003oool2000000040?ooo`000000000000000080
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`00
00000`3oool010000000oooo0?ooo`3oool2000000@0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0?`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000020?ooo`070000003oool0oooo
0?ooo`000000oooo000000030?ooo`80000000L0oooo0000003oool0oooo0000003oool0000000<0
oooo0P000000203oool000000000003oool000000?ooo`000000oooo0P000000103oool000000000
003oool2000000040?ooo`00000000000?ooo`D0000000H0oooo000000000000oooo0000003oool4
000000040?ooo`000000000000000080oooo0`0000000`3oool000000?ooo`05000000030?ooo`00
0000000000<0000000<0oooo0000000000000`0000000`3oool000000000000800000080oooo1@00
00000`3oool0000000000005000000030?ooo`00000000000100000000<0oooo0000000000004P00
00000`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00000`3oool000000?ooo`04000000050?ooo`00000000000000003oool00P0000001@3oool00000
0?ooo`000000oooo0080000000<0oooo0000000000000P000000103oool000000000003oool20000
00040?ooo`00000000000?ooo`80000000<0oooo0000003oool00`0000002@3oool0000000000000
0000oooo0000003oool000000?ooo`0200000080oooo0P0000030?ooo`8000000P3oool00`000000
oooo0?ooo`03000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool20000
00D0oooo00<000000?ooo`0000001@3oool010000000oooo0?ooo`3oool2000000L0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool04@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo03l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?oo
o`8000000`3oool00`000000oooo0?ooo`030?ooo`8000001@3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`0000000`3oool2000000070?ooo`000000oooo0?ooo`000000oooo
000000030?ooo`<0000000<0oooo0000003oool00P0000020?ooo`80000000L0oooo000000000000
00000?ooo`000000oooo0080000000<0oooo0000003oool01@0000000`3oool00000000000050000
00040?ooo`000000000000000080oooo00<000000?ooo`0000000P0000000`3oool0000000000003
000000030?ooo`000000000000<0000000<0oooo000000000000200000000`3oool0000000000003
000000030?ooo`000000000000<0000000D0oooo00000000000000000?ooo`02000000030?ooo`00
0000000000@000000`3oool=000000030?ooo`000000000000H0000000<0oooo0000000000001000
00001@3oool00000000000000000oooo00D0000000<0oooo0000000000000P0000001P3oool00000
000000000000oooo00000080oooo1@0000001@3oool00000000000000000oooo0080000000D0oooo
00000000000000000?ooo`02000000040?ooo`00000000000?ooo`@0000000H0oooo000000000000
oooo0000003oool300000080oooo0P000000103oool000000?ooo`3oool200000080oooo0P000002
0?ooo`80000000<0oooo0000000000000`3oool200000080oooo00@000000?ooo`3oool0oooo0P00
00030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0`0000060?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0n0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01@3oool2000000H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000020?ooo`070000003oool0oooo0?oo
o`000000oooo000000030?ooo`<0000000L0oooo0000003oool0oooo0000003oool000000080oooo
0P0000001`3oool000000000003oool000000?ooo`0000000P3oool2000000070?ooo`000000oooo
0000003oool000000?ooo`04000000040?ooo`00000000000?ooo`80000000<0oooo0000003oool0
0P0000000`3oool000000000000300000080oooo0`0000000`3oool000000?ooo`05000000030?oo
o`000000000000<0000000L0oooo00000000000000000?ooo`000000oooo00X0000000<0oooo0000
000000000`0000001P3oool00000000000000000oooo00000080oooo6@0000000`3oool000000000
0005000000030?ooo`00000000000080000000<0oooo000000000000200000000`3oool000000000
0003000000030?ooo`000000000000<0000000<0oooo0000003oool02P0000000`3oool000000000
0007000000030?ooo`0000000000008000000P3oool2000000030?ooo`0000000000008000000P3o
ool2000000040?ooo`00000000000?ooo`8000000P3oool010000000oooo0000003oool200000003
0?ooo`000000000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0
oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool2000000@0oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0?P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P000002
0?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000oooo
0?ooo`02000000<0oooo0P0000001`3oool000000000003oool000000?ooo`0000000P3oool01@00
0000oooo000000000000oooo0080000000@0oooo000000000000oooo0P000000103oool000000000
003oool2000000030?ooo`000000oooo00@0000000@0oooo00000000000000000P3oool300000003
0?ooo`000000oooo00D0000000<0oooo0000000000000`0000000`3oool000000000000800000003
0?ooo`00000000000080000000<0oooo0000000000000`0000000`3oool000000000000300000003
0?ooo`000000000000H000000P3oool8000000<0oooo1`0000020?ooo`/0000000<0oooo00000000
00000P0000000`3oool0000000000003000000030?ooo`00000000000080000000H0oooo00000000
000000000?ooo`0000020?ooo`D0000000D0oooo00000000000000000?ooo`02000000050?ooo`00
000000000000003oool00P0000001@3oool00000000000000000oooo00<0000000@0oooo00000000
0000oooo0P000000103oool000000000003oool2000000040?ooo`00000000000?ooo`<0000000D0
oooo0000003oool000000?ooo`0200000080oooo0P0000020?ooo`030000003oool000000080oooo
00<000000?ooo`3oool00`0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0
oooo0P0000050?ooo`030000003oool0000000D0oooo00@000000?ooo`3oool0oooo0P0000070?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
0000103oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P000000
1`3oool000000?ooo`3oool000000?ooo`0000000`3oool2000000080?ooo`00000000000?ooo`00
0000oooo0000003oool2000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo
3`0000001@3oool00000000000000000oooo00D0000000<0oooo0000000000002@0000001@3oool0
0000000000000000oooo00@0000000<0oooo0000003oool0100000000`3oool00000000000030000
00030?ooo`0000000000008000000P3oool600000080oooo3P0000020?ooo`L0000000<0oooo0000
000000000`0000000`3oool0000000000003000000030?ooo`00000000000080000000<0oooo0000
000000000P0000000`3oool0000000000009000000030?ooo`000000000000<0000000D0oooo0000
0000000000000?ooo`02000000030?ooo`000000000000@0000000@0oooo000000000000oooo1000
0000103oool000000000003oool2000000060?ooo`00000000000?ooo`000000oooo0`0000002@3o
ool00000000000000000oooo0000003oool000000?ooo`0200000080oooo0P0000030?ooo`800000
0P3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`0000000`3oool010000000oooo
0?ooo`3oool2000000D0oooo00<000000?ooo`0000001@3oool010000000oooo0?ooo`3oool20000
00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo
01h0oooo000P0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`8000001@3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`0000000`3oool2000000070?ooo`000000oooo
0?ooo`000000oooo000000030?ooo`<0000000<0oooo0000003oool00P0000020?ooo`80000000L0
oooo00000000000000000?ooo`000000oooo00@0000000@0oooo000000000000oooo0P0000000`3o
ool000000?ooo`02000000030?ooo`000000oooo00<000000P3oool3000000030?ooo`000000oooo
00D0000000<0oooo0000000000000`0000000`3oool0000000000008000000030?ooo`0000000000
00L0000000<0oooo0000000000000P0000000`3oool000000000000400000080oooo1`0000000`3o
ool0000000000009000000030?ooo`000000000000@0000000<0oooo0000000000000`0000000`3o
ool0000000000007000000030?ooo`000000000000<0000000<0oooo0000000000000P0000000`3o
ool0000000000003000000030?ooo`000000000000@0000000<0oooo0000000000000`0000000`3o
ool000000?ooo`07000000030?ooo`0000000000008000000P3oool3000000040?ooo`0000000000
00000080oooo0P000000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`80000000<0
oooo0000000000000`3oool01@000000oooo0000003oool0000000<0oooo0P0000030?ooo`030000
003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`<000001@3oool010000000
oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?oo
o`8000002P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool07P3oool00200oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo00D0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`80
00000P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00`0000001`3o
ool000000?ooo`3oool000000?ooo`0000000P3oool5000000040?ooo`000000oooo00000080oooo
0P0000002@3oool000000?ooo`000000oooo0000003oool000000?ooo`02000000040?ooo`000000
00000?ooo`80000000<0oooo0000003oool010000000103oool000000?ooo`0000020?ooo`030000
003oool000000080000000<0oooo000000000000200000001@3oool00000000000000000oooo00@0
000000<0oooo0000003oool00P0000000`3oool0000000000004000000030?ooo`00000000000080
000000<0oooo000000000000100000000`3oool000000000000E000000030?ooo`000000000000<0
00000P3oool5000000030?ooo`000000000000H0000000<0oooo0000000000000P0000000`3oool0
000000000009000000030?ooo`000000000000<0000000H0oooo00000000000000000?ooo`000002
0?ooo`<0000000@0oooo000000000000oooo10000000103oool000000?ooo`3oool2000000030?oo
o`0000000000008000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool010000000
oooo0000003oool2000000030?ooo`000000000000<0oooo00<000000?ooo`0000000P3oool00`00
0000oooo0?ooo`02000000<0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3o
ool2000000@0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo0080oooo0P00
00070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000004
0?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo
00<000000?ooo`3oool00P0000030?ooo`80000000L0oooo000000000000oooo0000003oool00000
0080oooo00D000000?ooo`00000000000?ooo`02000000040?ooo`00000000000?ooo`D0000000<0
oooo0000000000000P0000000`3oool000000?ooo`02000000050?ooo`00000000000000003oool0
1@000000103oool000000000003oool2000000070?ooo`00000000000000003oool000000?ooo`03
000000030?ooo`000000000000P0000000<0oooo0000000000000P0000000`3oool0000000000002
000000030?ooo`000000000000<000000P3oool7000000X0oooo200000000`3oool000000?ooo`04
000000050?ooo`00000000000000003oool02@0000000`3oool0000000000003000000030?ooo`00
000000000080000000<0oooo0000000000000`0000000`3oool000000000000300000080oooo0P00
0000103oool000000000003oool6000000040?ooo`00000000000?ooo`@0000000@0oooo00000000
0000oooo0P0000001P3oool000000000003oool000000?ooo`<0000000<0oooo0000000000000P3o
ool010000000oooo0000003oool2000000040?ooo`000000000000000080oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`0000000`3oool010000000
oooo0?ooo`3oool2000000D0oooo0`0000040?ooo`030000003oool0oooo0080oooo0P0000070?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
0000103oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P000002
0?ooo`050000003oool000000?ooo`0000000`3oool2000000080?ooo`00000000000?ooo`000000
oooo0000003oool2000000070?ooo`00000000000000003oool000000?ooo`02000000050?ooo`00
000000000000003oool01@0000001P3oool000000?ooo`3oool000000?ooo`<000000P3oool50000
00030?ooo`000000000000<0000000<0oooo0000000000000`000000103oool000000000003oool4
000000030?ooo`000000oooo0080000000<0oooo0000000000000`0000000`3oool0000000000008
000000030?ooo`000000000000@000000`3oool;00000080oooo200000000`3oool0000000000002
000000050?ooo`00000000000000003oool02@0000000`3oool0000000000002000000030?ooo`00
0000000000P0000000<0oooo000000000000100000000`3oool000000000000300000080oooo1@00
0000103oool000000000003oool4000000040?ooo`00000000000?ooo`80000000H0oooo00000000
0000oooo0000003oool3000000090?ooo`00000000000000003oool000000?ooo`000000oooo00H0
00000`3oool200000080oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0000000<0
oooo00@000000?ooo`3oool0oooo0P0000040?ooo`@000001@3oool010000000oooo0?ooo`3oool2
000000L0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000<0oooo0P00
000:0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool2000000D0oooo0P000002
0?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`80000000L0oooo0000003oool0
oooo0000003oool0000000<0oooo0P0000001P3oool00000000000000000oooo00000080oooo0P00
00001`3oool000000?ooo`000000oooo0000003oool010000000103oool000000000003oool20000
00050?ooo`000000oooo0000003oool00P000000103oool000000?ooo`0000020?ooo`040000003o
ool0000000000080oooo100000000`3oool0000000000003000000050?ooo`00000000000000003o
ool01@0000000`3oool0000000000002000000050?ooo`00000000000000003oool02P0000000`3o
ool000000000000300000080oooo4@0000000`3oool0000000000002000000040?ooo`0000000000
0?oooaL0000000<0oooo0000000000000P0000000`3oool0000000000003000000030?ooo`000000
000000<0000000H0oooo00000000000000000?ooo`0000020?ooo`H0000000<0oooo000000000000
100000020?ooo`@0000000<0oooo0000000000000P3oool2000000040?ooo`000000oooo0?ooo`80
00000P3oool200000080oooo1@0000030?ooo`050000003oool000000?ooo`0000000`3oool20000
00<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000@0oooo10000005
0?ooo`040000003oool0oooo0?ooo`<000001P3oool00`000000oooo0?ooo`080?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?oo
o`0k0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01@3oool2000000H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo
000000030?ooo`80000000L0oooo0000003oool0oooo0000003oool000000080oooo1@000000103o
ool000000?ooo`0000020?ooo`80000000L0oooo0000003oool000000?ooo`000000oooo00@00000
00@0oooo000000000000oooo100000000`3oool000000?ooo`02000000050?ooo`000000oooo0000
003oool01@0000020?ooo`@0000000<0oooo0000000000000`000000103oool000000000003oool4
000000030?ooo`000000oooo0180000000<0oooo0000000000000`0000000`3oool000000000000@
000000030?ooo`000000oooo00/0000000<0oooo0000000000002`0000000`3oool0000000000002
000000030?ooo`000000000000P0000000<0oooo0000000000000`0000001@3oool0000000000000
0000oooo0080000000<0oooo000000000000100000000`3oool0000000000002000000040?ooo`00
000000000?ooo`80000000<0oooo0000000000000P0000020?ooo`80000000@0oooo000000000000
oooo0P0000020?ooo`8000000P3oool5000000<0oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`02000000<0oooo00@000000?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0
000000@0oooo100000050?ooo`030000003oool0oooo0080oooo0P0000070?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0200000080oooo00<0
00000?ooo`3oool00P0000030?ooo`D0000000@0oooo0000003oool000000P3oool5000000030?oo
o`000000oooo00P0000000<0oooo000000000000100000000`3oool0000000000004000000030?oo
o`000000oooo00<0000000<0oooo0000000000000`0000000`3oool0000000000006000000030?oo
o`000000000000<0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00@0
000000<0oooo0000000000000P0000000`3oool0000000000002000000030?ooo`000000000001H0
000000<0oooo000000000000300000000`3oool000000000000<000000030?ooo`000000000000<0
000000<0oooo0000000000000P0000000`3oool0000000000003000000030?ooo`000000000000<0
000000<0oooo00000000000010000000103oool000000000003oool4000000040?ooo`0000000000
0?ooo`80000000H0oooo0000003oool0oooo0000003oool3000000030?ooo`00000000000080oooo
00@000000?ooo`000000oooo1P0000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P0000040?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000040?oo
o`D00000103oool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`070?oo
o`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`00
0000oooo0?ooo`0k0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool30000
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000P3oool01`00
0000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo00<000000?ooo`3oool00P00
00030?ooo`80000000P0oooo000000000000oooo0000003oool000000?ooo`80000000L0oooo0000
0000000000000?ooo`000000oooo0080000000D0oooo00000000000000000?ooo`05000000090?oo
o`000000oooo0?ooo`000000oooo0000003oool000000080oooo00<000000?ooo`0000000P000000
0`3oool000000?ooo`02000000070?ooo`00000000000000003oool000000?ooo`02000000030?oo
o`000000000000@0000000<0oooo0000000000003`0000000`3oool0000000000002000000030?oo
o`000000000001P0000000<0oooo000000000000300000000`3oool0000000000006000000030?oo
o`00000000000080000000<0oooo0000000000000P0000000`3oool0000000000003000000030?oo
o`000000000000<0000000H0oooo00000000000000000?ooo`0000020?ooo`D0000000<0oooo0000
000000001@0000020?ooo`050000003oool000000000003oool00P0000000`3oool000000?ooo`03
000000090?ooo`00000000000000003oool000000?ooo`000000oooo0080000000@0oooo00000000
000000000`3oool200000080oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool00000
00<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`80000000<0oooo0000003oool00`3oool0
0`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00<000000`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool08@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0j0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?oo
o`3oool00P3oool2000000D0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00030?ooo`8000000P3oool01@000000oooo0000003oool0000000<0oooo0P0000001P3oool00000
000000000000oooo00000080oooo0P0000001`3oool000000?ooo`000000oooo0000003oool00P00
00000`3oool000000?ooo`02000000030?ooo`00000000000080000000<0oooo0000003oool00P00
0000103oool000000?ooo`0000020?ooo`@000000P3oool4000000030?ooo`000000000000<00000
00@0oooo000000000000oooo1@0000000`3oool0000000000002000000030?ooo`000000000000X0
000000@0oooo00000000000000000P3ooolL000000030?ooo`000000000000<0000000D0oooo0000
0000000000000?ooo`0R000000060?ooo`00000000000000003oool000000P3oool00`000000oooo
00000003000000030?ooo`000000000000@000000P3oool4000000030?ooo`00000000000080oooo
0P000000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`D000000`3oool200000080
oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3o
ool0oooo0P0000050?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo0100oooo00@000000?ooo`3oool000008`3oool00`000000oooo0?ooo`0N
0?ooo`00803oool3000003X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`050?oo
o`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo0P0000040?oo
o`030000003oool0oooo0080oooo0P0000050?ooo`8000000P3oool01`000000oooo0?ooo`3oool0
00000?ooo`0000000`3oool200000080oooo00D000000?ooo`000000oooo000000030?ooo`800000
00H0oooo00000000000000000?ooo`0000020?ooo`80000000<0oooo0000003oool00P0000020?oo
o`80000000<0oooo0000003oool00P0000000`3oool0000000000002000000030?ooo`000000oooo
0080000000D0oooo0000003oool000000?ooo`05000000030?ooo`000000000000<0000000<0oooo
0000000000001`0000000`3oool0000000000002000000030?ooo`0000000000018000000P3oool;
000000030?ooo`000000000000`0000000<0oooo0000000000000P0000000`3oool000000000000:
000000030?ooo`000000000000/0000000<0oooo0000000000000`0000000`3oool0000000000002
000000030?ooo`000000000000T0000000<0oooo000000000000100000000`3oool0000000000002
000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000P0000020?ooo`80000000@0
oooo000000000000oooo0P0000020?ooo`8000000P3oool5000000<0oooo0P0000030?ooo`030000
003oool0oooo008000000`3oool00`000000oooo000000040?ooo`030000003oool0oooo00800000
1@3oool3000000D0oooo00L000000?ooo`3oool0oooo0000003oool0000000L0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0?0?ooo`8000000P3oool00`000000oooo0?ooo`0N0?ooo`<00000803oool00200
oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00D0
oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0
oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0`0000000`3oool000000?ooo`02
0?ooo`040000003oool0oooo00000080oooo0`0000001`3oool000000?ooo`3oool000000?ooo`00
00000`3oool4000000040?ooo`000000oooo00000080oooo1@0000000`3oool000000?ooo`050000
00040?ooo`00000000000?ooo`H0000000H0oooo00000000000000000?ooo`0000020?ooo`030000
003oool000000080000000<0oooo0000003oool020000000103oool000000000003ooolJ00000080
oooo100000000`3oool0000000000002000000030?ooo`00000000000100000000<0oooo00000000
00008@0000000`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo00000000
00000`0000000`3oool0000000000004000000040?ooo`00000000000?ooo`@0000000@0oooo0000
00000000oooo0P0000001P3oool000000?ooo`3oool000000?ooo`<0000000<0oooo000000000000
0P3oool010000000oooo0000003oool5000000<0oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`02000000<0oooo00@000000?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0
000000D0oooo0`0000050?ooo`030000003oool0oooo0080oooo0P0000070?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000`0oooo00<0
00000?ooo`3oool03`3oool200000080oooo00<000000?ooo`3oool0803oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000004
0?ooo`8000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P00
00020?ooo`060000003oool0oooo0000003oool000000P3oool2000000080?ooo`00000000000?oo
o`000000oooo0000003oool6000000030?ooo`000000oooo00l0000000H0oooo0000000000000000
0?ooo`0000020?ooo`D0000000<0oooo0000000000000P0000000`3oool000000000000<00000003
0?ooo`00000000000180000000@0oooo00000000000000000P3ooolO000000030?ooo`0000000000
00P0000000<0oooo0000000000002`0000000`3oool000000000000=000000060?ooo`0000000000
0000003oool000000P3oool00`000000oooo00000002000000030?ooo`000000000000D000000P3o
ool01@000000oooo000000000000oooo0080000000<0oooo0000003oool00`0000000`3oool00000
000000020?ooo`040000003oool000000?ooo`H000000P3oool00`000000oooo000000020?ooo`03
0000003oool0oooo008000000`3oool010000000oooo0?ooo`0000030?ooo`050000003oool0oooo
0?ooo`0000001@3oool3000000D0oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<00000
0?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0?0?ooo`<000000P3oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo0380oooo0P0000050?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool01P3oool2000000D0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0
0000008000000P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo
0P0000020?ooo`030000003oool0oooo008000000`3oool2000000060?ooo`00000000000000003o
ool000000P3oool2000000070?ooo`00000000000000003oool000000?ooo`02000000030?ooo`00
0000oooo0080000000<0oooo0000000000000P0000000`3oool000000?ooo`02000000040?ooo`00
0000oooo00000080oooo100000000`3oool0000000000003000000030?ooo`000000000000L00000
00<0oooo0000000000003P0000001@3oool00000000000000000oooo00<0000000D0oooo00000000
000000000?ooo`0D000000030?ooo`000000000001l0000000D0oooo00000000000000000?ooo`06
000000030?ooo`000000000000H0000000H0oooo00000000000000000?ooo`0000020?ooo`030000
003oool0000000<0000000<0oooo000000000000100000020?ooo`@0000000<0oooo000000000000
100000000`3oool000000?ooo`0300000080oooo0P0000020?ooo`D000000P3oool00`000000oooo
000000020?ooo`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`800000
0P3oool2000000@0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo0080oooo
0P0000070?ooo`040000003oool0oooo0?ooo`8000001@3oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`3oool02@3oool010000000oooo00000000000?0?ooo`<0000000<0oooo
0000003oool0803oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`020000
01H0oooo0`00000D0?ooo`D000001@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
0080oooo1P0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool20000
00@0oooo00<000000?ooo`3oool00P3oool500000080oooo0P0000020?ooo`070000003oool0oooo
0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo0P00
00001`3oool00000000000000000oooo0000003oool0200000020?ooo`80000000<0oooo0000003o
ool00P0000000`3oool0000000000002000000030?ooo`000000oooo0080000000D0oooo0000003o
ool000000?ooo`05000000030?ooo`000000000000P0000000<0oooo0000000000001P000000103o
ool000000000003oool@00000080oooo0P0000000`3oool000000000000:000000030?ooo`000000
000000P0000000<0oooo000000000000200000001@3oool00000000000000000oooo00L0000000<0
oooo0000000000003`0000000`3oool0000000000003000000030?ooo`000000000000D0000000D0
oooo00000000000000000?ooo`06000000030?ooo`00000000000080000000@0oooo0000003oool0
oooo100000000`3oool000000000000:00000080oooo0P0000020?ooo`D000000`3oool200000080
oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0000000<0oooo1P0000050?ooo`<0
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000H0oooo00@000000?ooo`3o
ool0oooo1@0000020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0:
0?ooo`L000002`3oool300000080oooo00@000000?ooo`3oool0oooo0`00000J0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`D000004P3oool700000180oooo3@00000>0?ooo`030000003oool0
oooo010000001`3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`0@
000000040?ooo`000000oooo00000080oooo0`0000020?ooo`050000003oool000000?ooo`000000
0`3oool2000000050?ooo`00000000000000003oool03P0000000`3oool000000?ooo`0200000003
0?ooo`000000000000@0000000<0oooo0000000000000`0000020?ooo`D0000000<0oooo00000000
00004@0000000`3oool0000000000009000000030?ooo`000000000000D0000000<0oooo00000000
00001@0000000`3oool000000000000200000080oooo2P0000000`3oool000000000000300000003
0?ooo`000000oooo00H0000000<0oooo000000000000800000000`3oool000000000000300000003
0?ooo`000000000000<0000000<0oooo00000000000010000000103oool000000000003oool40000
00030?ooo`000000000000`0000000<0oooo0000000000000P3oool200000080oooo1@0000030?oo
o`8000000P3oool00`000000oooo0?ooo`0C000000@0oooo0`0000040?ooo`030000003oool0oooo
0080oooo00<000000?ooo`0000000P3oool@000000@0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`d000002@3oool4000000030?ooo`000000oooo0080oooo1`00000E0?ooo`800000803oool0
0200oooo1@00000D0?ooo``000003@3oool5000000@0oooo00<000000?ooo`000000300000000`3o
ool000000?ooo`030?ooo`H000001@3oool00`000000oooo0?ooo`0@00000080oooo00<000000?oo
o`3oool00P3oool5000000040?ooo`000000000000000080oooo00<000000?ooo`3oool040000003
0?ooo`80000000L0oooo0000003oool000000?ooo`000000oooo00P000000P3oool>000000060?oo
o`00000000000000003oool000000P3ooolM000000030?ooo`000000000000P0000000D0oooo0000
0000000000000?ooo`0600000080oooo0`0000020?ooo`h0000000<0oooo0000000000000P000000
0`3oool0000000000007000000030?ooo`000000oooo00L0000000<0oooo00000000000060000000
0`3oool000000?ooo`05000000040?ooo`00000000000?ooo`h0000000@0oooo000000000000oooo
200000000`3oool00000000000020?ooo`040000003oool000000?oooa8000000`3oool00`000000
oooo000000030?ooo`H000001@3ooolA000000D0oooo00<000000?ooo`3oool01@0000020?ooo`03
0000003oool0oooo0080oooo3@0000040?ooo`L000002`3oool>000001D0oooo1000000P0?ooo`00
803oool5000001L0oooo0P0000040?ooo`<00000403oool2000000@0oooo00<000000?ooo`3oool0
2`3oool2000000P0oooo0`0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool2000000040?ooo`000000oooo000000@0oooo00@000000?ooo`000000oooo0P0000000`3o
ool00000000000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P000002
0?ooo`060000003oool0oooo0000003oool000000P3oool2000000080?ooo`00000000000?ooo`00
0000oooo0000003oool6000000030?ooo`000000oooo00L0000000<0oooo0000000000002@000000
103oool000000?ooo`3oool:000000030?ooo`000000000000/0000000<0oooo0000000000004000
00000`3oool000000000000400000080oooo0`0000000`3oool000000000000@000000050?ooo`00
000000000000003oool01`0000000`3oool000000000000J000000030?ooo`000000000000P00000
00H0oooo00000000000000000?ooo`0000020?ooo`030000003oool00000008000000P3oool60000
00040?ooo`00000000000?ooo`80000000D0oooo00000000000000000?ooo`02000000030?ooo`00
0000oooo008000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000<0oooo
00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0oooo00@000000?ooo`3oool0
00000P3oool2000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000050?ooo`03
0000003oool0oooo0080oooo0P0000070?ooo`030000003oool0oooo008000001@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo0P00000E0?ooo`030000003oool0oooo0080
00006P3oool200000200oooo000P0?ooo`80000000<0oooo0000000000007@3oool4000001D0oooo
00<000000?ooo`3oool02`3oool2000000P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo0080oooo0`000000103oool000000?ooo`0000040?ooo`03
0000003oool0000000@0oooo0P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo0?ooo`0200000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`80000000P0
oooo000000000000oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P0000020?oo
o`80000000<0oooo0000003oool00P0000000`3oool0000000000002000000030?ooo`0000000000
0080000000D0oooo0000003oool000000?ooo`05000000030?ooo`000000000000@0000000D0oooo
00000000000000000?ooo`08000000030?ooo`000000000001D0000000<0oooo0000003oool00P00
00000`3oool000000000000>000000030?ooo`000000000000<0000000<0oooo0000000000002000
00000`3oool000000000000W000000070?ooo`00000000000000003oool000000?ooo`0400000003
0?ooo`00000000000080000000@0oooo0000003oool0oooo100000000`3oool00000000000020?oo
o`80000000<0oooo0000003oool00P0000030?ooo`80000000@0oooo000000000000oooo0`000002
0?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000030?ooo`040000003oool0
oooo000000<0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0000000D0oooo
00<000000?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0K0?ooo`800000803oool00200oooo0P00000P0?ooo`<000005P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0000000L0oooo0P0000060?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool00P3oool200000080oooo00<000000?ooo`000000103oool00`000000oooo0000
00040?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080
oooo00<000000?ooo`3oool00P0000030?ooo`80000000@0oooo000000000000oooo0P0000020?oo
o`80000000<0oooo0000003oool00P0000020?ooo`80000000<0oooo0000003oool00P0000000`3o
ool0000000000004000000080?ooo`00000000000?ooo`000000oooo0000003oool5000000030?oo
o`000000000000l0000000<0oooo0000000000004@0000000`3oool0000000000007000000030?oo
o`00000000000140000000<0oooo0000000000000P0000000`3oool0000000000007000000030?oo
o`000000000000`0000000<0oooo000000000000400000002@3oool00000000000000000oooo0000
003oool000000?ooo`03000000030?ooo`000000000000@0000000H0oooo000000000000oooo0000
003oool2000000030?ooo`00000000000080000000<0oooo0000000000000P3oool2000000030?oo
o`000000000000<000000P3oool200000080oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0000000<0oooo
00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool00P3oool00`000000oooo000000060?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool06`3oool200000200oooo000P0?ooo`<000007`3oool3000001H0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo000000070?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo0080oooo0P0000001@3oool000000?ooo`3oool0000000@0oooo00<000000?oo
o`000000103oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P00
00020?ooo`030000003oool0oooo008000000`3oool2000000040?ooo`00000000000?ooo`800000
0P3oool2000000030?ooo`000000oooo008000000P3oool2000000030?ooo`000000oooo00800000
00<0oooo00000000000010000000103oool000000000003oool200000080oooo600000000`3oool0
00000000000C000000030?ooo`000000000000`000000P3oool6000000030?ooo`00000000000080
000000<0oooo0000000000001@0000000`3oool0000000000004000000030?ooo`000000000000d0
000000<0oooo0000000000004P0000000`3oool000000?ooo`05000000030?ooo`000000000000@0
000000H0oooo000000000000oooo0000003oool2000000050?ooo`00000000000000003oool00`00
00020?ooo`80000000<0oooo0000000000000`0000020?ooo`050000003oool000000?ooo`000000
0P3oool200000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`00
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000H0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`060?ooo`8000002`3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo01T0oooo0`00000P0?ooo`00803oool3000001l0oooo0P00000G0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool2000000050?ooo`000000oooo0?ooo`00
0000103oool00`000000oooo000000040?ooo`8000000P3oool01`000000oooo0?ooo`3oool00000
0?ooo`0000000`3oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`80000000H0oooo
00000000000000000?ooo`0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`800000
00D0oooo00000000000000000?ooo`07000000030?ooo`000000000000<000000P3oool:00000003
0?ooo`000000000000/0000000<0oooo000000000000700000001@3oool00000000000000000oooo
00`0000000<0oooo000000000000100000001@3oool00000000000000000oooo00D0000000<0oooo
0000000000006@0000000`3oool0000000000008000000070?ooo`00000000000000003oool00000
0?ooo`02000000040?ooo`000000000000000080oooo0`000000103oool000000000003oool30000
00030?ooo`00000000000080000000@0oooo000000000000oooo0P0000000`3oool0000000000002
0?ooo`050000003oool000000?ooo`0000000P3oool2000000<0oooo0P0000020?ooo`040000003o
ool0oooo0?ooo`8000000`3oool00`000000oooo000000040?ooo`030000003oool0oooo00800000
1@3oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo0P00000<0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool06@3oool300000200oooo000P0?ooo`030000003o
ool0oooo01l0oooo0P00000F0?ooo`030000003oool0oooo00T0oooo100000080?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`80000000D0
oooo0000003oool0oooo000000040?ooo`030000003oool0000000@0oooo0P0000020?ooo`070000
003oool0oooo0?ooo`000000oooo000000030?ooo`80000000<0oooo0000003oool00P3oool20000
00<0oooo100000001@3oool000000?ooo`000000oooo00<0000000<0oooo0000003oool00P000002
0?ooo`H0000000<0oooo0000000000002@000000103oool000000?ooo`3ooolH000000030?ooo`00
0000000000@0000000<0oooo0000000000004@000000103oool000000000003oool9000000<0oooo
0P0000000`3oool0000000000008000000040?ooo`00000000000?ooo`80000000<0oooo00000000
0000100000000`3oool000000000000P000000030?ooo`000000000000<0000000L0oooo00000000
0000oooo0000003oool000000080oooo1P000000103oool000000000003oool2000000060?ooo`00
000000000?ooo`000000oooo0`0000000`3oool00000000000020?ooo`040000003oool000000?oo
o`80000000<0oooo0000000000000`3oool2000000<0oooo00<000000?ooo`3oool00P0000030?oo
o`030000003oool0000000@0oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool00000
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01P3oool2000000`0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`090?ooo`@00000203oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool200000005
0?ooo`000000oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000040?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`<0000000<0oooo0000003oool00P3o
ool200000080oooo1@0000001@3oool000000?ooo`000000oooo0080000000@0oooo000000000000
oooo0P0000020?ooo`030000003oool0000000<0000000<0oooo0000000000002@0000000`3oool0
00000?ooo`05000000030?ooo`000000000000l0000000<0oooo0000000000004`0000000`3oool0
000000000003000000030?ooo`00000000000080000000<0oooo000000000000400000000`3oool0
000000000002000000030?ooo`00000000000080000000<0oooo0000000000000`0000000`3oool0
00000000000N000000030?ooo`000000000000<0000000<0oooo0000000000000`0000000`3oool0
00000?ooo`0300000080oooo10000000103oool000000?ooo`3oool4000000030?ooo`0000000000
0080oooo0P0000000`3oool000000?ooo`0200000080oooo00@000000?ooo`000000oooo0P000000
0`3oool00000000000030?ooo`8000000`3oool00`000000oooo0?ooo`02000000<0oooo00@00000
0?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`000000
1@3oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo01X0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`090?ooo`@00000203oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool00`3oool2000000040?ooo`000000oooo000000@0oooo
00@000000?ooo`3oool000000`3oool2000000<0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00`0000020?ooo`80000000P0oooo0000
00000000oooo0000003oool000000?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`80
000000<0oooo0000003oool00P0000000`3oool0000000000007000000050?ooo`000000oooo0000
003oool01@0000000`3oool000000000000@000000050?ooo`00000000000000003oool0:0000000
0`3oool0000000000004000000030?ooo`00000000000100000000<0oooo00000000000010000000
0`3oool000000000000C000000030?ooo`000000000000<0000000<0oooo0000000000000`000000
0`3oool000000?ooo`0300000080oooo10000000103oool000000000003oool4000000030?ooo`00
000000000080oooo0P0000000`3oool000000?ooo`03000000050?ooo`000000oooo0000003oool0
0P000000103oool000000000000000020?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P0000030?ooo`040000003oool0oooo000000<0oooo00D000000?ooo`3oool0oooo00000005
0?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000006
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool2000000/0oooo00<00000
0?ooo`3oool05P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo03L0oooo00<000000?ooo`3oool02@3oool4000000P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo100000000`3o
ool000000?ooo`030?ooo`040000003oool0oooo000000<0oooo0P0000030?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool00000008000000`3o
ool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000oooo00800000
0P3oool2000000030?ooo`000000oooo0080000000@0oooo000000000000oooo1P0000001@3oool0
0000000000000000oooo01P0000000<0oooo0000000000008@0000000`3oool00000000000090000
00030?ooo`000000000001l0000000<0oooo0000000000002P0000000`3oool00000000000060000
00030?ooo`000000oooo00D0000000<0oooo000000000000100000000`3oool00000000000020000
00040?ooo`00000000000?ooo`<0000000@0oooo00000000000000000P3oool2000000030?ooo`00
0000000000<000000P3oool2000000040?ooo`00000000000?ooo`<000000P3oool00`000000oooo
000000020?ooo`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`0000001@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
0080oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00H0oooo0P00000<0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool06P3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00T0
oooo0P0000000`3oool000000?ooo`060?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00<0oooo1P0000040?ooo`030000003oool0000000@0oooo0P0000020?ooo`07
0000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000oooo00000004
000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000P3oool2000000030?ooo`00
0000oooo008000000P3oool2000000030?ooo`000000oooo0080000000@0oooo000000000000oooo
0`000000103oool000000000003oool200000080oooo00<000000?ooo`0000001`0000000`3oool0
00000000000`000000030?ooo`000000000000d0000000<0oooo0000000000009`0000000`3oool0
000000000008000000030?ooo`000000000000<0000000@0oooo000000000000oooo0`0000001P3o
ool000000000003oool000000?ooo`80000000D0oooo00000000000000000?ooo`0300000080oooo
0P0000000`3oool000000000000300000080oooo0P0000000`3oool00000000000020?ooo`800000
0P3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000103oool00`000000oooo
000000030?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000oooo0?ooo`0000040?oo
o`030000003oool0oooo0080oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00H0oooo0P00000<0?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0g0?ooo`03
0000003oool0oooo00T0oooo0`0000080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`020?ooo`L00000103oool00`000000oooo000000040?ooo`80
00000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo00<00000
0?ooo`0000000`0000020?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`80000000<0
oooo0000003oool00P0000020?ooo`@0000000@0oooo000000000000oooo1P0000000`3oool00000
0000000300000080oooo0P0000000`3oool000000000000f000000030?ooo`000000000000800000
00<0oooo0000000000000P0000000`3oool000000000000_000000030?ooo`000000000000P00000
00<0oooo0000000000001P0000001@3oool00000000000000000oooo00@0000000@0oooo00000000
0000oooo0`000000103oool000000000000000020?ooo`80000000<0oooo0000000000000`000002
0?ooo`80000000<0oooo0000000000000P3oool200000080oooo00<000000?ooo`0000000P3oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`02000000@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030000
003oool0000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`800000
303oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0080oooo1@0000000`3oool000000?ooo`030?ooo`030000003oool0000000@0oooo0P00
00020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000
oooo0000000300000080oooo0P000000103oool000000?ooo`3oool2000000070?ooo`0000000000
0000003oool000000?ooo`0200000080oooo1P0000020?ooo`<0000000@0oooo000000000000oooo
1@0000020?ooo`@0000000<0oooo000000000000300000001@3oool00000000000000000oooo0100
000000<0oooo000000000000800000000`3oool0000000000003000000030?ooo`000000000000T0
000000<0oooo0000000000008P0000000`3oool0000000000006000000040?ooo`00000000000000
0080oooo0`0000000`3oool00000000000020?ooo`060000003oool000000000003oool000000P3o
ool00`000000oooo00000002000000030?ooo`00000000000080oooo00D000000?ooo`000000oooo
000000020?ooo`8000000`3oool2000000<0oooo00@000000?ooo`3oool00000103oool00`000000
oooo000000040?ooo`030000003oool0oooo008000001@3oool00`000000oooo000000040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`090?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000001@3oool00000
0000003oool0000000@0oooo00<000000?ooo`000000103oool200000080oooo00L000000?ooo`3o
ool0oooo0000003oool0000000<0oooo0P0000020?ooo`030000003oool0oooo008000000`3oool2
000000040?ooo`000000oooo0?ooo`80000000L0oooo00000000000000000?ooo`000000oooo0080
00000P3oool6000000030?ooo`00000000000080000000<0oooo000000000000100000000`3oool0
00000?ooo`05000000030?ooo`00000000000100000000<0oooo000000000000800000000`3oool0
00000000000<000000040?ooo`00000000000?oooaL0000000<0oooo000000000000100000001@3o
ool00000000000000000oooo00P0000000<0oooo0000000000000P0000000`3oool0000000000003
000000030?ooo`000000000000<0000000<0oooo0000003oool00`0000020?ooo`<0000000<0oooo
0000000000000P3oool40000000:0?ooo`00000000000?ooo`000000oooo0000003oool000000?oo
o`8000000P3oool01@000000oooo0000003oool000000080oooo0P0000030?ooo`8000000`3oool0
0`000000oooo0?ooo`02000000<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?oo
o`02000000D0oooo00<000000?ooo`0000001@3oool01`000000oooo0?ooo`3oool000000?ooo`00
00001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo0P00000;0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0N0?ooo`00
803oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool2000000050?ooo`00000000000?ooo`000000103oool00`000000oooo000000040?ooo`80
00000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool2000000030?ooo`000000
oooo0080oooo0P0000030?ooo`@000000P3oool2000000030?ooo`000000000000<0000000<0oooo
0000000000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000@0000000<0
oooo0000000000000P0000000`3oool000000?ooo`0?000000030?ooo`000000000002P0000000@0
oooo000000000000oooo2P0000000`3oool0000000000008000000030?ooo`000000000000l00000
00<0oooo000000000000100000000`3oool000000000000:000000030?ooo`000000000000P00000
00<0oooo0000000000000`0000001P3oool00000000000000000oooo00000080oooo1P0000020?oo
o`@0000000X0oooo000000000000oooo0000003oool000000?ooo`000000oooo0P0000020?ooo`05
0000003oool000000?ooo`0000000P3oool2000000<0oooo0P0000030?ooo`030000003oool0oooo
008000000`3oool010000000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`0000001@3o
ool00`000000oooo000000050?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01P3oool2000000/0oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01h0oooo000P0?ooo`<00000=P3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000001@3oool000000?ooo`3o
ool0000000@0oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`3oool0000000<0oooo
00<000000?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo0P0000020?ooo`D00000
0P3oool2000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo0P0000000`3o
ool000000?ooo`02000000040?ooo`00000000000?ooo`<0000000@0oooo000000000000oooo0`00
00000`3oool000000000000V000000030?ooo`00000000000140000000<0oooo0000000000002`00
0000103oool000000000003oool7000000030?ooo`000000oooo00L0000000<0oooo000000000000
5`0000000`3oool0000000000008000000030?ooo`000000000000<0000000H0oooo000000000000
00000?ooo`0000020?ooo`@0000000@0oooo000000000000oooo10000000203oool000000000003o
ool000000?ooo`000000oooo100000030?ooo`80000000@0oooo0000003oool0oooo0P0000030?oo
o`8000000`3oool00`000000oooo0?ooo`02000000<0oooo00@000000?ooo`3oool000000`3oool0
1@000000oooo0?ooo`3oool0000000D0oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
0P00000<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool05P3oool300000200oooo
000P0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`030?ooo`80000000D0oooo0000003oool0oooo000000030?ooo`040000003oool0oooo000000<0
oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`<0000000<0oooo
0000003oool00P3oool200000080oooo1@0000000`3oool00000000000020?ooo`80000000@0oooo
000000000000oooo0P0000000`3oool0000000000002000000040?ooo`00000000000?ooo`800000
00D0oooo00000000000000000?ooo`02000000050?ooo`00000000000000003oool02P0000000`3o
ool0000000000006000000030?ooo`000000000000D0000000<0oooo000000000000:P0000000`3o
ool0000000000003000000030?ooo`000000000002P0000000<0oooo000000000000200000000`3o
ool0000000000003000000030?ooo`000000000000@0000000<0oooo0000000000000P000000103o
ool000000000003oool4000000030?ooo`00000000000080oooo0P0000000`3oool0000000000003
00000080oooo0P000000103oool000000?ooo`3oool2000000<0oooo0P0000030?ooo`030000003o
ool0oooo008000000`3oool010000000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`00
00001@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0`0000060?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool2000000`0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo03H0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`80
0000103oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0P000003
0?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`<0000000<0oooo0000003oool0
0P3oool200000080oooo0P000000103oool000000000003oool200000080oooo0P000000103oool0
00000?ooo`3oool2000000030?ooo`00000000000080000000@0oooo000000000000oooo0P000000
1@3oool00000000000000000oooo00D000000P3oool4000000030?ooo`000000000000`0000000<0
oooo000000000000:00000000`3oool000000?ooo`0U000000030?ooo`00000000000100000000<0
oooo000000000000200000000`3oool0000000000003000000040?ooo`00000000000?ooo`<00000
00<0oooo0000000000000P000000103oool000000000003oool3000000040?ooo`00000000000000
0080oooo0P0000000`3oool000000000000300000080oooo0P000000103oool000000000003oool2
000000<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool010000000oooo0?ooo`00
00030?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01P3oool2000000`0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000030?ooo`8000000`3oool010000000oooo0?ooo`3oool20000
00<0oooo0P0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool2000000040?ooo`000000
00000?ooo`8000000P3oool2000000040?ooo`000000oooo0?ooo`80000000<0oooo000000000000
0P000000103oool000000000003oool6000000030?ooo`000000000000<000000P3oool400000003
0?ooo`000000000000`0000000<0oooo000000000000800000000`3oool000000000000400000003
0?ooo`000000000000L0000000<0oooo0000000000001@0000000`3oool000000?ooo`0;00000004
0?ooo`00000000000?ooob<000000P3oool4000000040?ooo`00000000000?ooo`<0000000<0oooo
0000000000000P000000103oool000000000003oool3000000040?ooo`000000000000000080oooo
0P0000000`3oool000000000000300000080oooo0P000000103oool000000000003oool2000000<0
oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`00
00000`3oool010000000oooo0?ooo`3oool2000000@0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`020?ooo`<000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00H0oooo0P00000<0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`000000103oool2000000<0oooo00H000000?ooo`3oool000000?ooo`00
00030?ooo`8000000P3oool010000000oooo0?ooo`3oool200000080oooo0P000000103oool00000
0?ooo`3oool200000080oooo0P000000103oool000000?ooo`3oool2000000030?ooo`0000000000
0080000000@0oooo000000000000oooo1P0000000`3oool0000000000003000000030?ooo`000000
000000<0000000<0oooo000000000000800000000`3oool000000000000:000000030?ooo`000000
000001D0000000<0oooo0000000000004@000000103oool000000000003oool9000000050?ooo`00
000000000000003oool0200000000`3oool0000000000003000000040?ooo`000000000000000080
oooo1@0000000`3oool000000?ooo`03000000060?ooo`00000000000?ooo`000000oooo0P000000
103oool000000000003oool400000080oooo0P000000103oool000000000003oool200000080oooo
0P0000000`3oool00000000000020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?oo
o`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`800000103oool010000000oooo0?ooo`0000050?ooo`040000003oool0oooo0?ooo`<00000
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo0P00000;0?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0N0?ooo`00803o
ool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103o
ool2000000<0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`8000000P3oool01P000000
oooo0?ooo`000000oooo00000080oooo0P000000103oool000000?ooo`3oool200000080oooo0P00
00001`3oool000000?ooo`000000oooo0000003oool010000000103oool000000?ooo`3oool50000
0080oooo1@0000000`3oool0000000000003000000030?ooo`000000000001d0000000<0oooo0000
000000001`0000000`3oool0000000000007000000030?ooo`000000000003H0000000D0oooo0000
0000000000000?ooo`04000000030?ooo`00000000000080000000<0oooo0000000000000P000002
0?ooo`D0000000<0oooo0000003oool00`0000001P3oool000000000003oool000000?ooo`800000
0P3oool00`000000oooo0000000300000080oooo0P000000103oool000000000003oool200000080
oooo0P0000000`3oool00000000000020?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo000000030?ooo`040000003o
ool0oooo0?ooo`800000103oool010000000oooo0?ooo`0000050?ooo`070000003oool0oooo0?oo
o`000000oooo000000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool2
000000/0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo01h0oooo000P0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`060?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool00000
00@0oooo0P0000030?ooo`060000003oool0oooo0000003oool000000`3oool200000080oooo00<0
00000?ooo`3oool00P0000030?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`800000
00L0oooo0000003oool000000?ooo`000000oooo00@0000000@0oooo0000003oool0oooo0`000000
0`3oool000000?ooo`04000000030?ooo`000000oooo00D0000000<0oooo000000000000=@000000
0`3oool0000000000003000000030?ooo`000000oooo00@0000000<0oooo000000000000:`000000
103oool000000000003oool4000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00000`3oool000000?ooo`03000000060?ooo`00000000000?ooo`000000oooo0P0000020?ooo`03
0000003oool0000000<000000P3oool200000080oooo00@000000?ooo`00000000000P3oool20000
00030?ooo`00000000000080oooo0P0000020?ooo`030000003oool000000080oooo00@000000?oo
o`3oool0oooo0P0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P00
00030?ooo`8000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P00
00060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool2000000/0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`06
0?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P000003
0?ooo`060000003oool0oooo0000003oool000000`3oool200000080oooo00<000000?ooo`3oool0
0P0000030?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`80000000L0oooo0000003o
ool000000?ooo`000000oooo00H000000P3oool3000000030?ooo`000000oooo00@0000000<0oooo
0000003oool01@0000000`3oool0000000000007000000030?ooo`000000000002h0000000D0oooo
00000000000000000?ooo`0M000000030?ooo`000000000000<0000000<0oooo0000000000004000
00000`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00000`3oool000000?ooo`0300000080oooo00@000000?ooo`000000oooo0P0000020?ooo`030000
003oool0000000<000000P3oool200000080oooo00@000000?ooo`00000000000P3oool00`000000
oooo0000000200000080oooo0P0000020?ooo`030000003oool000000080oooo00@000000?ooo`3o
ool0oooo0P0000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P000003
0?ooo`050000003oool000000?ooo`0000001@3oool00`000000oooo0?ooo`020?ooo`8000001`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo0P00000;0?ooo`030000003o
ool0oooo01P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0N0?ooo`00803oool0
0`000000oooo0?ooo`0e0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool2
000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000020?ooo`070000003oool0
oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo
0P000000103oool000000?ooo`3oool200000080oooo100000001@3oool000000?ooo`000000oooo
00H0000000P0oooo000000000000oooo0000003oool000000?ooo`@0000000<0oooo0000003oool0
1@0000000`3oool0000000000002000000030?ooo`00000000000240000000<0oooo000000000000
2`0000000`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo000000000000
100000000`3oool000000000000A000000030?ooo`000000000001/0000000<0oooo000000000000
0`0000000`3oool0000000000003000000030?ooo`000000oooo00<000000P3oool3000000030?oo
o`00000000000080oooo00<000000?ooo`000000100000000`3oool00000000000020?ooo`040000
003oool0000000000080oooo00<000000?ooo`0000000P0000020?ooo`8000000P3oool00`000000
oooo000000020?ooo`040000003oool0oooo0?ooo`8000000`3oool00`000000oooo000000030?oo
o`040000003oool0oooo0?ooo`8000000P3oool2000000040?ooo`000000oooo000000D0oooo00<0
00000?ooo`3oool00P3oool2000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`070?ooo`8000002`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00H0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00`3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000004
0?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo
00<000000?ooo`3oool00P0000030?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`@0
000000<0oooo0000000000000P3oool3000000040?ooo`00000000000?ooo`80000000D0oooo0000
003oool000000?ooo`04000000030?ooo`000000oooo00@0000000<0oooo0000000000000`000000
0`3oool0000000000006000000030?ooo`00000000000140000000<0oooo0000000000005P000000
0`3oool000000000000O000000030?ooo`000000000001l0000000<0oooo0000003oool01@000000
0`3oool000000?ooo`04000000050?ooo`00000000000000003oool00P0000020?ooo`030000003o
ool0000000@0000000<0oooo0000000000000P3oool010000000oooo0000000000020?ooo`030000
003oool00000008000000P3oool200000080oooo00<000000?ooo`0000000P3oool010000000oooo
0?ooo`3oool2000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080000000@0oooo0000003oool000001@3oool00`000000oooo0?ooo`020?oo
o`8000001`3oool00`000000oooo0?ooo`080?ooo`8000001`3oool2000000/0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo03D0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`80
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000020?ooo`07
0000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`02
000000<0oooo0P000000103oool000000?ooo`3oool2000000030?ooo`000000000000<0000000@0
oooo000000000000oooo10000000103oool000000000003oool2000000050?ooo`000000oooo0000
003oool01P0000000`3oool0000000000002000000030?ooo`000000000000`0000000<0oooo0000
000000004@0000000`3oool000000000000E000000030?ooo`000000000000d0000000<0oooo0000
000000004`0000000`3oool0000000000007000000030?ooo`000000000001@0000000<0oooo0000
000000000`0000000`3oool000000?ooo`04000000050?ooo`00000000000000003oool00P000002
0?ooo`@0000000@0oooo000000000000oooo0P0000020?ooo`040000003oool0000000000080oooo
00<000000?ooo`0000000P0000020?ooo`8000000P3oool00`000000oooo000000030?ooo`030000
003oool0oooo008000000`3oool00`000000oooo000000040?ooo`050000003oool0oooo0?ooo`00
00000P3oool4000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P3oool2000000L0
oooo00<000000?ooo`3oool0203oool2000000L0oooo0P00000<0?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000P3oool01`000000oooo
0?ooo`3oool000000?ooo`0000000`3oool2000000030?ooo`000000oooo0080oooo0P0000020?oo
o`D000000P3oool2000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo1000
0000103oool000000000003oool2000000050?ooo`000000oooo0000003oool01@0000020?ooo`@0
000000<0oooo0000000000001P0000000`3oool0000000000003000000030?ooo`000000000002P0
000000<0oooo000000000000>`0000000`3oool0000000000007000000030?ooo`000000000000X0
000000D0oooo00000000000000000?ooo`0200000080oooo100000002P3oool000000000003oool0
00000?ooo`000000oooo0000003oool200000080oooo00<000000?ooo`0000000`0000000`3oool0
0000000000030?ooo`8000000`3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`00
0000103oool01P000000oooo0?ooo`3oool000000?ooo`D0000000<0oooo0000003oool0103oool0
0`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`080?ooo`<000001P3oool2
000000`0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo01h0oooo000P0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`030?ooo`800000103oool01`000000oooo0?ooo`3oool000000?ooo`0000001@3o
ool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`0000000P3oool3000000030?oo
o`000000oooo0080oooo0P0000020?ooo`D000000P3oool2000000040?ooo`00000000000?ooo`80
000000@0oooo000000000000oooo10000000103oool000000000003oool2000000050?ooo`000000
oooo0000003oool01@0000020?ooo`@0000000<0oooo000000000000>@0000000`3oool000000000
000C000000030?ooo`000000000001X0000000<0oooo0000000000001P0000000`3oool000000000
0007000000030?ooo`000000000000X0000000<0oooo000000000000100000020?ooo`@0000000X0
oooo000000000000oooo0000003oool000000?ooo`000000oooo0P0000030?ooo`D0000000<0oooo
0000000000000`3oool2000000<0oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0
000000@0oooo00@000000?ooo`3oool0oooo1`0000000`3oool000000?ooo`040?ooo`030000003o
ool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00P0oooo0`0000060?ooo`800000303o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000050?ooo`050000
003oool0oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`<0000000<0oooo0000003o
ool00P3oool200000080oooo1@0000020?ooo`030000003oool0oooo0080000000@0oooo00000000
0000oooo0P0000001P3oool000000000003oool000000?ooo`80000000@0oooo000000000000oooo
0`0000000`3oool000000000000300000080oooo100000000`3oool000000000000V000000030?oo
o`000000000004<0000000<0oooo0000000000001P0000000`3oool0000000000007000000030?oo
o`000000000000X0000000<0oooo000000000000100000020?ooo`@0000000X0oooo000000000000
oooo0000003oool000000?ooo`000000oooo0P0000030?ooo`@000000P3oool2000000<0oooo0P00
00030?ooo`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`040000003o
ool0oooo0?ooo`8000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool0203oool3000000L0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`000000103oool2000000<0oooo00L000000?ooo`3oool0oooo0000003oool000000080
oooo0`0000000`3oool000000?ooo`020?ooo`8000000P3oool500000080oooo00<000000?ooo`3o
ool00P000000103oool000000000003oool2000000060?ooo`00000000000?ooo`000000oooo0P00
0000103oool000000000003oool3000000030?ooo`000000000000<000000P3oool4000000030?oo
o`000000000006`0000000<0oooo0000000000001P0000000`3oool0000000000007000000030?oo
o`000000000000H0000000D0oooo00000000000000000?ooo`0600000080oooo0P0000000`3oool0
00000?ooo`0200000080oooo0P0000000`3oool000000?ooo`02000000<0oooo100000020?ooo`80
00000`3oool2000000<0oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0000000<0
oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`000000oooo0?ooo`070?oo
o`D000001P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0d0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo000000040?ooo`8000000`3oool01`000000oooo0?ooo`3oool00000
0?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo0P0000020?ooo`D000000P3oool0
0`000000oooo0?ooo`02000000040?ooo`00000000000?ooo`80000000H0oooo000000000000oooo
0000003oool2000000030?ooo`000000000000@0000000<0oooo0000000000000`0000020?ooo`@0
000000<0oooo000000000000I@0000000`3oool000000000000=000000030?ooo`00000000000080
000000<0oooo0000000000000P0000000`3oool0000000000006000000050?ooo`00000000000000
003oool01P0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`80000000<0oooo0000
003oool00P0000030?ooo`@000000P3oool2000000<0oooo0P0000030?ooo`030000003oool0oooo
00800000103oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`8000000P3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool3
000000H0oooo00<000000?ooo`3oool01`3oool5000000H0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo000000040?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool3000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`80000000<0oooo00000000
00000P3oool00`000000oooo0?ooo`02000000070?ooo`00000000000000003oool000000?ooo`02
000000030?ooo`000000oooo0080000000<0oooo000000000000100000000`3oool0000000000003
00000080oooo100000000`3oool000000000001L000000030?ooo`000000000000H0000000<0oooo
0000000000002P000000103oool000000000003oool4000000030?ooo`00000000000080000000<0
oooo0000000000000`000000103oool000000000003oool3000000030?ooo`000000000000800000
00@0oooo0000003oool0oooo0P0000000`3oool000000?ooo`0200000080oooo0P0000000`3oool0
00000?ooo`02000000<0oooo100000020?ooo`8000000`3oool2000000<0oooo00<000000?ooo`3o
ool00P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?oo
o`<000001P3oool00`000000oooo0?ooo`080?ooo`800000203oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0000000@0oooo0P0000030?ooo`040000003oool0oooo0?ooo`8000000`3oool30000
00070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`80000000@0oooo000000000000oooo
0P0000020?ooo`80000000L0oooo00000000000000000?ooo`000000oooo0080000000<0oooo0000
003oool00P0000000`3oool0000000000004000000030?ooo`000000000000<000000P3oool40000
00030?ooo`000000000001l0000000<0oooo000000000000>P0000000`3oool00000000000060000
00030?ooo`000000000000X0000000@0oooo000000000000oooo100000000`3oool0000000000002
000000030?ooo`000000000000<0000000@0oooo000000000000oooo0`0000000`3oool000000000
0002000000040?ooo`000000oooo0?ooo`80000000<0oooo0000003oool00P0000020?ooo`800000
00<0oooo0000003oool00P0000030?ooo`@000000P3oool2000000<0oooo0P0000030?ooo`030000
003oool0oooo00800000103oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`80
00000P3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool3000000H0oooo00<000000?ooo`3oool0203oool2000000P0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0;0?ooo`800000303oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo01h0oooo000C0?ooo`050?noM000000000000000001d_ol0203oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool2000000<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000`3oool010000000
oooo0?ooo`3oool2000000<0oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000000P3o
ool2000000040?ooo`00000000000?ooo`8000000P3oool2000000070?ooo`00000000000000003o
ool000000?ooo`02000000030?ooo`000000oooo0080000000<0oooo000000000000100000000`3o
ool000000000000300000080oooo100000000`3oool000000000000O000000030?ooo`0000000000
03X0000000<0oooo0000000000001P0000000`3oool000000000000:000000040?ooo`0000000000
0?ooo`@0000000<0oooo0000000000000P0000000`3oool0000000000003000000040?ooo`000000
00000?ooo`<0000000L0oooo000000000000oooo0000003oool000000080oooo0P0000000`3oool0
00000?ooo`0200000080oooo0P0000000`3oool000000?ooo`02000000<0oooo1@0000000`3oool0
0000000000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`03
0000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`00
0000oooo0?ooo`080?ooo`800000203oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00X0oooo0`00000<0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool07P3oool001<0
oooo00H0W4Qd0;ooo`3oool0oono07@0M02oool70?ooo`030000003oool0oooo03@0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000000@0oooo0P0000030?ooo`040000003oool0oooo0?ooo`8000000`3o
ool3000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`80000000@0oooo00000000
0000oooo0P0000020?ooo`80000000L0oooo00000000000000000?ooo`000000oooo0080000000<0
oooo0000003oool00P0000000`3oool0000000000004000000030?ooo`000000000000<000000P3o
ool4000000030?ooo`000000000000L0000000<0oooo000000000000<P0000020?oooah0000000<0
oooo0000000000001P0000000`3oool000000000000=000000030?ooo`00000000000080000000<0
oooo0000000000000P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`<00000
00L0oooo000000000000oooo0000003oool000000080oooo0P0000000`3oool000000?ooo`020000
0080oooo0P0000000`3oool000000?ooo`02000000<0oooo1@0000000`3oool00000000000030?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool00000
00<0oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`<000001P3oool00`000000oooo0?ooo`08
0?ooo`800000203oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo0`00000<
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool07P3oool00180oooo00<0okmd001d
_`3oool00P3oool00`3OW4P0B9cO0?ooo`060?ooo`030000003oool0oooo01T0oooo0P00000G0?oo
o`<000003P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo0?ooo`80000000<0oooo
0000003oool0203oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000000@0oooo0P0000030?ooo`040000003oool0oooo0?ooo`8000000`3o
ool3000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`80000000@0oooo00000000
0000oooo0P0000020?ooo`80000000D0oooo00000000000000000?ooo`04000000030?ooo`000000
oooo0080000000<0oooo000000000000100000000`3oool0000000000003000000030?ooo`000000
000000<0000000<0oooo0000000000001`0000000`3oool000000000000b000000<0oooo9P000000
0`3oool000000000000=000000030?ooo`00000000000080000000<0oooo0000000000000P000000
0`3oool0000000000003000000040?ooo`00000000000?ooo`<0000000L0oooo000000000000oooo
0000003oool000000080oooo0P0000000`3oool000000000000200000080oooo0P0000000`3oool0
00000?ooo`02000000<0oooo1@0000000`3oool00000000000030?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00P0000040?ooo`040000003oool0000000000080oooo00@000000?oo
o`3oool0oooo0P0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`<000001P3oool2000000T0oooo0P0000080?ooo`030000003oool0
oooo00H0oooo0P0000020?ooo`030000003oool0oooo00X0oooo100000050?ooo`800000103oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01h0oooo000B0?ooo`030=nLB018W=l0oooo
0080oooo00<0okmd001d_`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`D00000503oool60000
00h0oooo00<000000?ooo`3oool01`3oool6000000030?ooo`000000oooo00P0oooo00<000000?oo
o`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0000003oool5
000000<0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`<0000000L0oooo0000003oool0oooo
0000003oool000000080oooo0P000000103oool000000000003oool200000080oooo0P0000000`3o
ool0000000000006000000030?ooo`000000oooo0080000000<0oooo000000000000100000000`3o
ool0000000000003000000030?ooo`000000000000<0000000<0oooo0000000000001`0000000`3o
ool000000000000a000000@0oooo9P0000000`3oool000000000000=000000030?ooo`0000000000
0080000000<0oooo0000000000000P0000000`3oool0000000000003000000040?ooo`0000000000
0?ooo`<0000000L0oooo000000000000oooo0000003oool000000080oooo0P0000000`3oool00000
00000003000000060?ooo`00000000000?ooo`000000oooo0P0000030?ooo`D0000000<0oooo0000
000000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000103oool00`00
0000oooo00000004000000<0oooo0P0000020?ooo`030000003oool000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`<000001P3oool5000000H0oooo0P0000080?oo
o`030000003oool0oooo00H0oooo1P00000;0?ooo`@000001@3oool5000000030?ooo`000000oooo
01D0oooo00<000000?ooo`3oool07P3oool00180oooo00<0gia804RLg`3oool00P3oool00`3o_g@0
07Bo0?ooo`060?ooo`@000004`3oool@00000080oooo00<000000?ooo`3oool0103ooolJ000000@0
oooo800000030?ooo`030000003oool000000200000000@0oooo000000000000oooo0P0000020?oo
oad0000000<0oooo0000000000000`0000000`3oool0000000000007000000030?ooo`0000000000
034000000P3oool00`000000oooo0000000e000000030?ooo`00000000000080000000<0oooo0000
000000000P0000000`3oool0000000000003000000030?ooo`000000000001P0000000<0oooo0000
003oool00P0000030?ooob80000000<0oooo0000000000000P3ooolO000000@0oooo6`00000:0?oo
o`l000004`3oool400000200oooo000B0?ooo`030=nLB018W=l0oooo0080oooo00<0okmd001d_`3o
ool01P3oool2000001P0oooo100000050?ooo`@000000P3oool00`000000oooo0?ooo`070?ooo`D0
00003P3oool010000000oooo0?ooo`0000060?ooo`H0000000<0oooo0000003oool0203oool00`00
0000oooo0?ooo`030?ooo`8000000`3oool2000000<0oooo00<000000?ooo`0000000P3oool50000
0080oooo00@000000?ooo`3oool0oooo0P0000030?ooo`<0000000L0oooo0000003oool0oooo0000
003oool000000080oooo0P000000103oool000000000003oool200000080oooo0P0000000`3oool0
000000000006000000030?ooo`000000oooo0080000000<0oooo000000000000100000000`3oool0
000000000003000000030?ooo`000000000000<0000000<0oooo0000000000001`0000000`3oool0
00000000000b000000<0oooo9P0000000`3oool000000000000=000000030?ooo`00000000000080
000000<0oooo0000000000000P0000000`3oool000000000000300000080oooo00<000000?ooo`00
00000P0000001`3oool000000000003oool000000?ooo`0000000P3oool2000000030?ooo`000000
0000008000000P3oool2000000030?ooo`000000oooo008000000`3oool200000080oooo00@00000
0?ooo`00000000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000103o
ool00`000000oooo00000004000000<0oooo0P0000040?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool00P3oool3000000H0oooo100000070?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01P3oool5000001D0oooo1000000I0?ooo`030000003oool0oooo01h0oooo000B
0?ooo`030?noM018W=l0oooo0080oooo00<0gia804RLg`3oool01P3oool200000240oooo0`000003
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`00
00060?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo0P00
00030?ooo`8000000`3oool00`000000oooo000000040?ooo`<000000P3oool010000000oooo0?oo
o`3oool2000000<0oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool20000
00040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000000000<0000000H0oooo
000000000000oooo0000003oool2000000030?ooo`000000000000@0000000<0oooo000000000000
0`0000000`3oool0000000000003000000030?ooo`000000000000L0000000<0oooo000000000000
<P0000030?ooobH0000000<0oooo0000000000003@0000000`3oool0000000000002000000030?oo
o`00000000000080000000<0oooo0000000000000`0000020?ooo`D0000000L0oooo000000000000
oooo0000003oool000000080oooo0P0000000`3oool000000?ooo`0200000080oooo0P0000000`3o
ool000000?ooo`02000000<0oooo0P0000020?ooo`040000003oool00000000000<0oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`0000000`3oool0
10000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`020?ooo`<000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01h0oooo000C
0?ooo`0609a8001d_ol0oooo0?oOW01807@0_ooo1`3oool00`000000oooo0000000P0?ooo`<00000
0`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool0
00001P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`80
00000`3oool2000000<0oooo00<000000?ooo`000000103oool300000080oooo00@000000?ooo`3o
ool0oooo0P0000030?ooo`<0000000L0oooo0000003oool0oooo0000003oool000000080oooo0P00
0000103oool000000000003oool200000080oooo0P0000000`3oool0000000000003000000060?oo
o`00000000000?ooo`000000oooo0P0000000`3oool0000000000004000000030?ooo`0000000000
00<0000000<0oooo0000000000000`0000000`3oool0000000000007000000030?ooo`0000000000
03<0000000<0oooo0000000000005@0000000`3oool000000000000M000000030?ooo`0000000000
0080000000<0oooo0000000000000P0000000`3oool000000000000300000080oooo1@0000001`3o
ool000000000003oool000000?ooo`0000000P3oool2000000030?ooo`000000oooo008000000P3o
ool2000000030?ooo`000000oooo008000000`3oool200000080oooo00@000000?ooo`0000000000
0`3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000103oool00`000000oooo
000000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool07P3oool001<0oooo00D0oono07@000000000001809cOo`080?ooo`030000003oool000000240
oooo0P0000030?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0303oool010000000
oooo0?ooo`0000060?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`<000000P3o
ool010000000oooo0?ooo`3oool2000000<0oooo0`0000001`3oool000000?ooo`3oool000000?oo
o`0000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000
000000<0000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000000000@00000
00<0oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000000000L00000
00<0oooo000000000000B@0000000`3oool000000000000O000000030?ooo`000000000000800000
00<0oooo0000000000000P0000001P3oool00000000000000000oooo00000080oooo1@0000001`3o
ool000000000003oool000000?ooo`0000000P3oool2000000030?ooo`000000oooo008000000P3o
ool2000000030?ooo`000000oooo008000000`3oool200000080oooo00@000000?ooo`0000000000
0`3oool00`000000oooo000000020?ooo`030000003oool0oooo008000000`3oool010000000oooo
0?ooo`0000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool07P3oool00200oooo00@000000?ooo`3oool00000803oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`000006
0?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo0P000004
0?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`<000000P3oool010000000oooo
0?ooo`3oool2000000<0oooo0`0000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool2
000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000000000<0000000@0
oooo000000000000oooo100000000`3oool0000000000004000000030?ooo`000000000000<00000
00<0oooo0000000000000`0000000`3oool0000000000007000000030?ooo`000000000005800000
00<0oooo0000000000005P0000000`3oool0000000000007000000060?ooo`00000000000000003o
ool000000P3oool5000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`@0000000<0
oooo0000000000000P3oool2000000030?ooo`000000oooo008000000`3oool200000080oooo00@0
00000?ooo`00000000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000
0`3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`800000103oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000070?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0300oooo00<000000?ooo`3oool07P3oool00200oooo00D000000?ooo`3oool0oooo0000000O0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?oo
o`D000001@3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?oo
o`800000103oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0`00
00020?ooo`040000003oool0oooo0?ooo`800000103oool2000000070?ooo`000000oooo0?ooo`00
0000oooo000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo
0000000000000`000000103oool000000000003oool4000000030?ooo`000000000000@0000000<0
oooo0000000000000`0000000`3oool0000000000003000000030?ooo`000000000000L0000000<0
oooo000000000000DP0000000`3oool0000000000007000000030?ooo`000000000000<0000000<0
oooo0000000000001P000000103oool000000000003oool6000000060?ooo`00000000000000003o
ool000000P3oool5000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`050000003o
ool000000000003oool00P0000020?ooo`80000000<0oooo0000003oool00P0000030?ooo`800000
0P3oool010000000oooo0000000000030?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P0000030?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P000004
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`0N0?ooo`00803oool01@000000oooo0?ooo`3oool0
000002@0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`D000001@3oool2
000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`800000103oool0
1@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0`0000020?ooo`040000
003oool0oooo0?ooo`800000103oool2000000070?ooo`000000oooo0?ooo`000000oooo00000002
0?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000000000000`00
0000103oool000000000003oool4000000030?ooo`000000000000@0000000<0oooo000000000000
0`0000000`3oool0000000000003000000030?ooo`000000000000L0000000<0oooo000000000000
6P0000000`3oool000000000000e000000030?ooo`000000000000d0000000<0oooo000000000000
1P0000000`3oool0000000000007000000060?ooo`00000000000000003oool000000P3oool50000
00070?ooo`00000000000?ooo`000000oooo000000020?ooo`060000003oool000000000003oool0
00000`3oool4000000030?ooo`000000000000<0oooo0P0000020?ooo`040000003oool000000000
00<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0oooo00<000000?oo
o`0000000`3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0080oooo0P0000070?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool07P3oool00200oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo00000002000000D0
oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000P3oool010000000
oooo0?ooo`3oool2000000@0oooo0P0000000`3oool000000?ooo`020?ooo`8000000P3oool20000
00040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000000000<0000000@0oooo
000000000000oooo100000000`3oool0000000000004000000030?ooo`000000000000T0000000<0
oooo0000000000001`0000000`3oool000000000000J000000030?ooo`000000000004D0000000<0
oooo0000000000001P0000000`3oool0000000000005000000030?ooo`000000oooo00<0000000@0
oooo0000003oool0oooo1@0000000`3oool0000000000002000000060?ooo`000000oooo0?ooo`00
0000oooo0P0000000`3oool000000?ooo`020?ooo`@0000000<0oooo0000000000000P3oool00`00
0000oooo000000020?ooo`040000003oool00000000000<0oooo00<000000?ooo`0000000P3oool0
0`000000oooo0?ooo`02000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02
0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P000006
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool02`3oool010000000oooo0000000000060?ooo`030000003oool0000000D0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool400000080oooo00<00000
0?ooo`000000103oool200000080oooo00@000000?ooo`3oool0oooo0P0000040?ooo`80000000<0
oooo0000003oool00P3oool6000000040?ooo`00000000000?ooo`8000000P3oool2000000030?oo
o`000000000000<0000000@0oooo000000000000oooo100000000`3oool000000000000200000003
0?ooo`000000oooo00P0000000@0oooo000000000000oooo2@0000000`3oool000000000000H0000
00030?ooo`000000000000D0000000@0oooo000000000000oooo9P0000000`3oool000000000000E
000000030?ooo`000000000000H0000000<0oooo0000000000001@0000000`3oool000000?ooo`03
000000040?ooo`000000oooo0?ooo`D0000000<0oooo000000000000100000020?ooo`060000003o
ool000000000003oool000000`3oool4000000030?ooo`00000000000080oooo00<000000?ooo`00
00000P3oool010000000oooo0000000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool3000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02`3oool0
10000000oooo0000000000060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`030?ooo`8000000`3oool400000080oooo00<000000?ooo`000000103o
ool200000080oooo00@000000?ooo`3oool0oooo0P0000040?ooo`80000000<0oooo0000003oool0
0P3oool8000000040?ooo`0000000000000000<0oooo00<000000?ooo`0000000P0000000`3oool0
00000?ooo`0200000080oooo0`0000001@3oool00000000000000000oooo0080000000<0oooo0000
00000000100000000`3oool000000?ooo`02000000030?ooo`000000000003H0000000<0oooo0000
000000006`0000000`3oool000000000000E000000050?ooo`00000000000000003oool010000000
0`3oool0000000000003000000050?ooo`000000oooo0000003oool00`000000103oool000000?oo
o`3oool5000000050?ooo`00000000000000003oool00P0000020?ooo`060000003oool000000000
003oool000000P3oool00`000000oooo00000002000000030?ooo`00000000000080oooo00<00000
0?ooo`0000000P3oool010000000oooo0000000000020?ooo`060000003oool0oooo0000003oool0
00000P3oool3000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`80
0000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000060?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
303oool00`000000oooo000000060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool3000000<0oooo00<000000?ooo`000000
103oool3000000030?ooo`000000oooo0080oooo0P0000040?ooo`80000000<0oooo0000003oool0
0P3oool2000000030?ooo`000000000000<0000000<0oooo0000003oool00P0000020?ooo`050000
003oool000000000003oool00P0000001@3oool00000000000000000oooo00<0000000D0oooo0000
0000000000000?ooo`0200000080oooo1@0000000`3oool000000?ooo`0200000080oooo2@000000
0`3oool0000000000005000000030?ooo`000000000003T0000000<0oooo0000000000001@000000
0`3oool000000000000I000000030?ooo`000000000000P0000000D0oooo0000003oool000000?oo
o`03000000040?ooo`000000oooo0?ooo`D0000000D0oooo00000000000000000?ooo`0200000080
oooo00H000000?ooo`00000000000?ooo`0000020?ooo`030000003oool000000080000000<0oooo
0000000000000P3oool01@000000oooo0000003oool000000080oooo0P0000020?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`020?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`0000001P3oool00`000000oooo00000005
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`000003
0?ooo`030000003oool0000000@0oooo0`0000000`3oool000000?ooo`020?ooo`030000003oool0
000000<0oooo0P0000000`3oool000000?ooo`020?ooo`80000000<0oooo0000000000000`000000
0`3oool000000?ooo`0200000080oooo10000000103oool000000000003oool3000000050?ooo`00
000000000000003oool00`0000001@3oool00000000000000000oooo00D0000000<0oooo00000000
00000`0000000`3oool0000000000007000000030?ooo`000000000003`0000000<0oooo00000000
00003@0000000`3oool000000000000F000000030?ooo`000000000000<0000000<0oooo00000000
00000P0000001@3oool000000?ooo`000000oooo00D0000000<0oooo000000000000100000001@3o
ool00000000000000000oooo0080000000@0oooo000000000000oooo0P0000001P3oool000000?oo
o`3oool000000?ooo`<0000000<0oooo0000000000000P3oool01@000000oooo0000003oool00000
0080oooo0P0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`0000030?oo
o`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0<@3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00<0oooo0P0000040?ooo`8000000`3oool00`000000oooo000000040?ooo`<0000000<0oooo0000
003oool00P3oool00`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`020000
00030?ooo`000000000000<0000000<0oooo0000003oool00P0000020?ooo`80000000<0oooo0000
003oool00P0000001@3oool00000000000000000oooo00<0000000<0oooo0000000000001@000000
0`3oool000000?ooo`03000000070?ooo`00000000000000003oool000000?ooo`04000000030?oo
o`00000000000080000000<0oooo0000000000002@0000000`3oool000000000000D000000030?oo
o`000000000000X0000000<0oooo000000000000800000000`3oool000000000000H000000030?oo
o`000000000000@0000000<0oooo0000003oool01@0000000`3oool000000000000300000080oooo
0`000000103oool000000000003oool2000000050?ooo`00000000000?ooo`0000000P3oool00`00
0000oooo0000000500000080oooo00H000000?ooo`000000oooo0000003oool300000080oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`0000000`3o
ool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01h0oooo
000P0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0000
00050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0000000<0oooo0000003oool00P3o
ool00`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`0200000080oooo0`00
0000103oool000000000003oool200000080oooo0P0000000`3oool0000000000006000000050?oo
o`00000000000000003oool01`0000000`3oool000000?ooo`03000000070?ooo`00000000000000
003oool000000?ooo`04000000030?ooo`00000000000080000000<0oooo0000000000002@000000
0`3oool000000000000D000000030?ooo`000000000001<0000000@0oooo000000000000oooo<@00
00000`3oool0000000000004000000030?ooo`000000oooo00D0000000<0oooo0000000000000`00
00000`3oool0000000000002000000040?ooo`00000000000?ooo`80000000<0oooo000000000000
0P0000020?ooo`030000003oool0000000D000000P3oool01P000000oooo0000003oool000000?oo
o`<000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00800000103oool00`00
0000oooo000000030?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0a
0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool01P3oool00`000000oooo000000050?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?oo
o`<0000000<0oooo0000003oool00P3oool00`000000oooo000000030?ooo`8000000P3oool00`00
0000oooo0?ooo`0200000080oooo0`000000103oool000000000003oool200000080oooo0P000000
0`3oool0000000000003000000040?ooo`00000000000?ooo`/0000000<0oooo0000003oool00`00
00000`3oool0000000000003000000030?ooo`00000000000080000000<0oooo0000000000000P00
00000`3oool000000000000^000000030?ooo`000000000000@0000000<0oooo000000000000=P00
00000`3oool0000000000003000000030?ooo`000000000000<0000000<0oooo0000000000000`00
00001P3oool000000000003oool000000?ooo`80000000H0oooo000000000000oooo0000003oool2
00000080oooo00<000000?ooo`0000001@0000020?ooo`060000003oool000000?ooo`000000oooo
0`0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`030000
003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0340
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0M0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`060?ooo`<000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo
0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`<0000000<0oooo0000
003oool00P3oool00`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`020000
00<0oooo0P000000103oool000000000003oool200000080oooo0P0000000`3oool0000000000003
000000040?ooo`00000000000?ooo`@0000000<0oooo000000000000100000001`3oool000000?oo
o`000000oooo0000003oool01@0000000`3oool0000000000002000000030?ooo`00000000000080
000000<0oooo000000000000200000000`3oool0000000000005000000030?ooo`000000000000`0
000000<0oooo0000000000003`0000020?oood40000000<0oooo0000000000000`0000001`3oool0
0000000000000000oooo0000003oool00P0000000`3oool000000?ooo`02000000060?ooo`000000
00000?ooo`000000oooo0P0000020?ooo`030000003oool0000000D000000P3oool200000080oooo
00<000000?ooo`0000000P0000020?ooo`030000003oool000000080oooo00<000000?ooo`3oool0
0P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`060?ooo`<000001@3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`000000oooo000000040?oo
o`<0000000<0oooo0000003oool00`3oool2000000<0oooo0P0000020?ooo`030000003oool0oooo
008000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000
000000<0000000H0oooo000000000000oooo0000003oool2000000030?ooo`000000000000@00000
00D0oooo0000003oool000000?ooo`07000000030?ooo`00000000000080000000<0oooo00000000
00000P0000000`3oool0000000000002000000030?ooo`000000000003P0000000<0oooo00000000
0000700000001@3oool00000000000000000oooo00P0000000@0oooo000000000000oooo1`000000
1@3oool000000000003oool000000080oooo1@0000001`3oool000000000003oool000000?ooo`00
00000P3oool2000000030?ooo`000000oooo008000000P3oool2000000030?ooo`000000000000<0
00000P3oool200000080oooo00<000000?ooo`0000000P0000020?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3o
ool0oooo0P0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool30000
00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00H0oooo0`0000060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool00`3oool2000000@0oooo00L000000?ooo`3oool0oooo0000003oool0
000000@0oooo0`0000000`3oool000000?ooo`030?ooo`8000000`3oool3000000040?ooo`000000
oooo0?ooo`8000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?oo
o`000000000000<0000000@0oooo000000000000oooo100000000`3oool000000000000400000005
0?ooo`00000000000000003oool01`0000001@3oool00000000000000000oooo00X0000000<0oooo
00000000000090000000103oool000000000003ooolc000000050?ooo`00000000000000003oool0
4P000000103oool000000?ooo`3oool5000000070?ooo`00000000000?ooo`000000oooo00000002
0?ooo`@0000000<0oooo0000000000000P3oool2000000030?ooo`000000oooo00<000000P3oool2
00000080oooo00<000000?ooo`0000000P0000020?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool00P0000030?ooo`030000003oool0000000@0oooo00@000000?ooo`3oool0oooo0P00
00040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool3000000H0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0<P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo00L0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00`3oool2000000@0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo
0P0000000`3oool000000?ooo`030?ooo`8000000`3oool3000000070?ooo`000000oooo0?ooo`00
0000oooo000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo
0000000000000`000000103oool000000000003oool4000000030?ooo`000000000000@0000000D0
oooo00000000000000000?ooo`04000000040?ooo`00000000000?ooo`<0000000<0oooo00000000
0000100000001@3oool00000000000000000oooo02<0000000D0oooo00000000000000000?ooo`0J
000000030?ooo`00000000000100000000<0oooo0000000000001@0000000`3oool000000000000@
000000060?ooo`00000000000000003oool000000P3oool5000000070?ooo`00000000000?ooo`00
0000oooo000000020?ooo`050000003oool000000000003oool00P0000020?ooo`@0000000@0oooo
0000003oool000000P3oool200000080oooo00@000000?ooo`00000000000`3oool00`000000oooo
000000020?ooo`030000003oool0oooo008000000`3oool00`000000oooo000000040?ooo`040000
003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080
oooo0`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool07P3oool00200oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?ooo`8000001P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`070000003oool0oooo0?ooo`00
0000oooo000000050?ooo`8000000P3oool010000000oooo0?ooo`3oool2000000<0oooo0`000000
1`3oool000000?ooo`3oool000000?ooo`0000000P3oool5000000030?ooo`00000000000080oooo
0P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`@0000000<0oooo00000000
0000100000001@3oool00000000000000000oooo0080000000<0oooo0000003oool00P0000000`3o
ool0000000000008000000030?ooo`000000000001<0000000<0oooo0000000000001@0000000`3o
ool000000000000H000000030?ooo`000000000000<0000000<0oooo000000000000300000000`3o
ool0000000000009000000030?ooo`000000000001H0000000<0oooo0000003oool01@0000000`3o
ool0000000000004000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`050000003o
ool000000000003oool00P0000020?ooo`@0000000@0oooo0000003oool000000P3oool200000080
oooo00@000000?ooo`00000000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo
008000000`3oool00`000000oooo000000040?ooo`040000003oool0oooo0?ooo`800000103oool2
000000H0oooo00<000000?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0<P3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool3000000X0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01`3oool20000
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000103oool01`00
0000oooo0?ooo`3oool000000?ooo`0000001@3oool200000080oooo00@000000?ooo`3oool0oooo
0P0000030?ooo`<0000000<0oooo0000003oool00P3oool200000080oooo1@0000020?ooo`030000
003oool0oooo0080000000<0oooo0000000000000`0000000`3oool0000000000005000000030?oo
o`000000000000@000000P3oool00`000000oooo00000002000000030?ooo`000000oooo00P00000
00<0oooo0000003oool00P0000000`3oool000000000000@000000030?ooo`000000000000l00000
00<0oooo0000000000003`0000000`3oool000000000000b000000030?ooo`000000000000H00000
00<0oooo0000000000000`0000000`3oool0000000000004000000030?ooo`000000000000800000
00H0oooo0000003oool0oooo0000003oool2000000030?ooo`000000oooo0080oooo100000000`3o
ool00000000000030?ooo`80000000<0oooo0000003oool00`0000030?ooo`030000003oool00000
0080oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0000000<0oooo00<000000?oo
o`3oool00P3oool2000000@0oooo0P0000060?ooo`030000003oool0oooo0080oooo0P0000070?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo0300oooo0`00000P0?ooo`00803oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`80
00000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool2000000030?ooo`000000
oooo0080oooo0P0000020?ooo`D000000P3oool00`000000oooo0?ooo`08000000030?ooo`000000
000000D0000000D0oooo00000000000000000?ooo`0200000080oooo00<000000?ooo`0000000P00
00001`3oool00000000000000000oooo0000003oool0100000000`3oool000000000000200000003
0?ooo`00000000000100000000<0oooo000000000000900000000`3oool000000000000;00000003
0?ooo`00000000000080000000<0oooo0000000000008@0000001@3oool00000000000000000oooo
00D0000000<0oooo00000000000010000000103oool000000000000000020?ooo`050000003oool0
00000000003oool00P0000000`3oool000000?ooo`020?ooo`@0000000<0oooo0000000000000P3o
ool01P000000oooo0000003oool000000?ooo`<000000`3oool2000000<0oooo00<000000?ooo`3o
ool00P0000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool2000000@0
oooo0P0000060?ooo`030000003oool0oooo0080oooo0P0000070?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0380
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo
0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`80000000<0oooo0000
003oool00P3oool2000000<0oooo100000020?ooo`030000003oool0oooo00D0000000<0oooo0000
000000000P3oool600000080oooo00T000000?ooo`00000000000?ooo`000000oooo0000003oool0
0`0000000`3oool0000000000003000000030?ooo`00000000000080000000<0oooo000000000000
?`0000000`3oool000000000000=000000030?ooo`000000000000T0000000D0oooo000000000000
00000?ooo`03000000030?ooo`000000000000H0000000<0oooo000000000000100000001@3oool0
0000000000000000oooo00D0000000<0oooo000000000000100000001@3oool000000?ooo`000000
oooo0080000000@0oooo000000000000oooo100000020?ooo`030000003oool000000080000000<0
oooo0000000000000P3oool010000000oooo0000003oool5000000<0oooo0P0000030?ooo`030000
003oool00000008000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool2000000H0oooo00<000000?ooo`3oool00P3oool2000000H0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
0000303oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool00`000000oooo000000050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo000000040?ooo`8000000P3oool01`000000oooo0?ooo`3oool000000?oo
o`0000000`3oool2000000030?ooo`000000oooo0080oooo0P0000030?ooo`80000000@0oooo0000
00000000oooo0P0000020?ooo`<0000000<0oooo0000000000000P000000103oool000000000003o
ool300000080oooo00<000000?ooo`0000000`0000001`3oool000000?ooo`000000oooo0000003o
ool01@0000000`3oool000000000000<000000030?ooo`000000000000l0000000@0oooo00000000
0000oooo300000000`3oool0000000000004000000030?ooo`000000000000l0000000<0oooo0000
00000000100000000`3oool000000000000?000000050?ooo`00000000000000003oool00`000000
0`3oool000000000000A000000030?ooo`000000000000<0000000<0oooo0000000000001P000000
0`3oool000000?ooo`02000000040?ooo`00000000000?ooo`@000000P3oool00`000000oooo0000
0002000000030?ooo`00000000000080oooo00@000000?ooo`000000oooo1@0000020?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000<0oooo
00@000000?ooo`3oool0oooo0P0000050?ooo`<000001@3oool01`000000oooo0?ooo`3oool00000
0?ooo`0000001P3oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo0?ooo`8000000`3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`800000103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`0000000`3oool000000?ooo`02
0?ooo`030000003oool0000000<0oooo0P0000020?ooo`060000003oool0oooo0000003oool00000
0P3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000000000<0
000000@0oooo000000000000oooo0`0000020?ooo`H0000000D0oooo0000003oool000000?ooo`07
000000050?ooo`00000000000000003oool01P0000001@3oool00000000000000000oooo00h00000
00<0oooo0000000000008P0000000`3oool0000000000003000000030?ooo`000000000000d00000
00<0oooo0000000000003`0000000`3oool000000000000>000000030?ooo`000000000000H00000
00<0oooo0000003oool00`0000001P3oool000000000003oool000000?ooo`80000000@0oooo0000
00000000oooo100000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`040000003o
ool000000?ooo`D000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<00000
0`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000103oool4000000D0
oooo00L000000?ooo`3oool0oooo0000003oool0000000H0oooo00<000000?ooo`3oool02@3oool0
10000000oooo0?ooo`3oool2000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0c0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool06@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool01P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`000000
0`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo0P0000020?ooo`060000003oool0
oooo0000003oool000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool200000003
0?ooo`000000000000<0000000@0oooo000000000000oooo100000000`3oool00000000000040000
00030?ooo`000000000000@0000000<0oooo0000000000000P0000001@3oool00000000000000000
oooo00H0000000<0oooo0000000000005`0000000`3oool000000000000I000000030?ooo`000000
000000<0000000<0oooo000000000000800000000`3oool000000000000?000000030?ooo`000000
000000<0000000<0oooo0000003oool00P0000001@3oool00000000000000000oooo0080000000@0
oooo0000003oool000000P3oool3000000040?ooo`000000000000000080oooo0P000000103oool0
00000000003oool200000080oooo0P0000020?ooo`@000000`3oool00`000000oooo000000020?oo
o`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`800000103oool4000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000006
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`0000020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo00H0oooo0P0000060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00L000000?ooo`3oool0oooo0000003o
ool0000000@0oooo0`0000020?ooo`040000003oool0oooo0?ooo`8000000`3oool200000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`80000000@0oooo000000000000oooo0P000002
0?ooo`80000000<0oooo0000000000000`000000103oool000000000003oool2000000030?ooo`00
0000oooo00H0000000<0oooo000000000000100000000`3oool0000000000008000000030?ooo`00
0000000001`0000000<0oooo000000000000>P0000001@3oool00000000000000000oooo00<00000
00<0oooo0000000000001P0000000`3oool000000?ooo`06000000030?ooo`000000oooo00<00000
00<0oooo0000003oool00P0000001@3oool00000000000000000oooo0080000000@0oooo0000003o
ool000000P3oool01@000000oooo000000000000oooo008000000P3oool2000000030?ooo`000000
oooo008000000`3oool200000080oooo00@000000?ooo`00000000000`3oool00`000000oooo0000
00020?ooo`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`040000003o
ool0oooo0?ooo`800000103oool4000000@0oooo00<000000?ooo`3oool00P3oool3000000H0oooo
00<000000?ooo`3oool0203oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool2000000H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`030?ooo`800000103oool01`000000oooo0?ooo`3oool000000?oo
o`000000103oool300000080oooo00@000000?ooo`3oool0oooo0P0000030?ooo`<0000000L0oooo
0000003oool0oooo0000003oool000000080oooo0P000000103oool000000000003oool200000080
oooo0P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`@0000000<0oooo0000
0000000010000000103oool000000000003oool3000000050?ooo`00000000000000003oool01P00
00000`3oool0000000000007000000050?ooo`00000000000000003oool00`0000000`3oool00000
0000000J000000030?ooo`000000000000X0000000<0oooo0000000000001`0000000`3oool00000
0000000C000000050?ooo`00000000000000003oool00`0000000`3oool000000000000400000003
0?ooo`000000oooo0080000000<0oooo0000003oool01@0000000`3oool000000000000300000003
0?ooo`000000000000@0000000L0oooo000000000000oooo0000003oool000000080oooo00D00000
0?ooo`00000000000?ooo`0200000080oooo0P0000000`3oool000000?ooo`0200000080oooo00<0
00000?ooo`0000000P3oool4000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`02000000<0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool2000000@0
oooo0P0000060?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0<`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo00H0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool2000000@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo0`0000020?ooo`040000
003oool0oooo0?ooo`8000000`3oool3000000070?ooo`000000oooo0?ooo`000000oooo00000003
0?ooo`@0000000D0oooo0000003oool000000?ooo`02000000040?ooo`00000000000?ooo`800000
00@0oooo000000000000oooo100000020?ooo`@0000000D0oooo0000003oool000000?ooo`030000
00030?ooo`000000000000<0000000<0oooo000000000000300000000`3oool00000000000040000
00030?ooo`000000000000`0000000<0oooo0000000000001P0000000`3oool00000000000040000
00030?ooo`00000000000340000000D0oooo00000000000000000?ooo`04000000030?ooo`000000
00000080000000<0oooo0000003oool00`0000000`3oool0000000000003000000030?ooo`000000
000000@0000000<0oooo0000003oool00P0000001P3oool000000?ooo`3oool000000?ooo`@00000
0P3oool01P000000oooo0000003oool000000?ooo`8000000P3oool00`000000oooo000000020?oo
o`@000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo008000000`3oool00`00
0000oooo000000040?ooo`040000003oool0oooo0?ooo`800000103oool2000000H0oooo00<00000
0?ooo`3oool00P3oool2000000L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
00000080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`800000103oool30000
0080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo0`0000000`3oool000000?oo
o`020?ooo`8000000`3oool400000080oooo0P000000103oool000000000003oool2000000040?oo
o`00000000000?ooo`80000000<0oooo0000000000000P0000020?ooo`090000003oool000000000
003oool000000?ooo`000000oooo00<0000000<0oooo0000000000000`0000001@3oool000000000
00000000oooo00H0000000<0oooo0000000000008@0000000`3oool0000000000004000000030?oo
o`000000000000d0000000<0oooo000000000000<00000000`3oool0000000000007000000030?oo
o`000000000000@0000000@0oooo0000003oool000000P3oool01@000000oooo000000000000oooo
00@000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool01P000000oooo0000003o
ool000000?ooo`<000000`3oool2000000<0oooo00<000000?ooo`0000000P0000030?ooo`030000
003oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`8000001P3oool00`000000
oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo0?oo
o`<000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0140oooo0P00000Q0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`<00000403oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`050?ooo`<0
00001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo0P0000040?ooo`03
0000003oool0oooo0080oooo0P0000050?ooo`8000000P3oool01`000000oooo0?ooo`3oool00000
0?ooo`0000000P3oool3000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool2
000000040?ooo`00000000000?ooo`8000000P3oool4000000030?ooo`00000000000080oooo1P00
00020?ooo`030000003oool0000000<0000000<0oooo0000003oool02@0000000`3oool000000000
0003000000030?ooo`00000000000080000000<0oooo0000000000001P0000001@3oool000000000
00000000oooo00d0000000<0oooo00000000000010000000103oool000000000003oool?00000003
0?ooo`00000000000080000000<0oooo0000000000000P0000000`3oool000000?ooo`0<00000003
0?ooo`000000000000@0000000<0oooo0000000000001@0000000`3oool000000000000600000003
0?ooo`000000000000H0000000<0oooo0000000000001P0000000`3oool000000?ooo`0600000003
0?ooo`000000oooo0080000000@0oooo000000000000oooo100000020?ooo`80000000@0oooo0000
00000000oooo0P0000020?ooo`060000003oool000000?ooo`000000oooo0`0000020?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000<0oooo
00<000000?ooo`3oool00P3oool2000000@0oooo0P0000060?ooo`030000003oool0oooo0080oooo
0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0403oool3000001l0oooo
0`00000P0?ooo`00803oool300000140oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01@3oool3000000H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000040?ooo`8000000P3oool01`000000oooo0?oo
o`3oool000000?ooo`0000000`3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`00
00000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000oooo
008000000P3oool4000000060?ooo`00000000000?ooo`000000oooo100000000`3oool000000000
0004000000050?ooo`00000000000000003oool01P0000000`3oool0000000000007000000050?oo
o`00000000000000003oool02`0000000`3oool000000000000B000000030?ooo`000000000001<0
000000<0oooo0000000000005P0000001@3oool00000000000000000oooo00P0000000<0oooo0000
000000001P0000000`3oool000000?ooo`03000000030?ooo`000000oooo0080000000<0oooo0000
00000000100000000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`@000000P3oool2
000000040?ooo`00000000000?ooo`8000000P3oool01P000000oooo0000003oool000000?ooo`<0
00000P3oool00`000000oooo000000030?ooo`040000003oool00000000000@0oooo00<000000?oo
o`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`030?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0100oooo0P00000P0?ooo`<00000803oool00200oooo0P00000C0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
00H0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool20000
0080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000000`3oool000000?oo
o`020?ooo`030000003oool000000080oooo0P000000103oool000000000003oool200000080oooo
0P0000000`3oool000000?ooo`03000000030?ooo`00000000000080000000@0oooo000000000000
oooo1P0000000`3oool0000000000004000000090?ooo`00000000000000003oool000000?ooo`00
0000oooo00`0000000<0oooo000000000000500000000`3oool0000000000004000000030?ooo`00
0000000001T0000000<0oooo000000000000100000000`3oool0000000000004000000030?ooo`00
000000000140000000<0oooo0000000000000P0000000`3oool0000000000002000000030?ooo`00
0000000000<0000000<0oooo0000000000000`0000000`3oool0000000000004000000060?ooo`00
000000000?ooo`000000oooo0P0000000`3oool0000000000002000000030?ooo`00000000000080
oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo00H000000?ooo`000000oooo0000003o
ool2000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0000000000040?ooo`030000
003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000060?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000`0oooo00<000000?oo
o`3oool03`3oool300000240oooo0P00000P0?ooo`00803oool2000001<0oooo00<000000?ooo`3o
ool05P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool01P3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`80
00000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P0000030?ooo`06
0000003oool0oooo0000003oool000000`3oool200000080oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000@0oooo00000000
0000oooo0P000000103oool000000000003oool400000080oooo00D000000?ooo`00000000000?oo
o`03000000050?ooo`00000000000000003oool01@0000001`3oool00000000000000000oooo0000
003oool0100000000`3oool000000000000:000000030?ooo`000000000000P0000000<0oooo0000
00000000200000000`3oool0000000000002000000030?ooo`000000000000<000000P3oool90000
00050?ooo`00000000000000003oool04@0000000`3oool0000000000009000000030?ooo`000000
000000`0000000<0oooo0000003oool02@0000000`3oool0000000000004000000030?ooo`000000
oooo0080000000H0oooo0000003oool0oooo0000003oool2000000030?ooo`00000000000080oooo
0P0000000`3oool000000?ooo`02000000<0oooo0P0000020?ooo`@000000`3oool00`000000oooo
000000030?ooo`040000003oool00000000000@0oooo00<000000?ooo`0000000`3oool010000000
oooo0?ooo`3oool2000000@0oooo0P0000060?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000001P3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00l0oooo1000000Q0?ooo`800000803oool0
0200oooo0P00000D0?ooo`030000003oool0oooo00<0oooo0P00000A0?ooo`030000003oool0oooo
00<0oooo0P0000050?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool20000
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`0000020?ooo`070000003oool0oooo
0?ooo`000000oooo000000020?ooo`<0000000L0oooo0000003oool0oooo0000003oool0000000<0
oooo100000001@3oool000000?ooo`000000oooo0080000000<0oooo0000000000000`000000103o
ool000000000003oool400000080oooo00T000000?ooo`00000000000?ooo`000000oooo0000003o
ool03`0000000`3oool0000000000002000000030?ooo`00000000000180000000<0oooo00000000
0000100000000`3oool0000000000005000000030?ooo`00000000000080000000<0oooo00000000
00002`0000020?ooo`<0000000D0oooo00000000000000000?ooo`03000000030?ooo`0000000000
00@0000000<0oooo0000000000001@0000000`3oool0000000000005000000030?ooo`0000000000
00H0000000<0oooo000000000000200000000`3oool0000000000004000000030?ooo`0000000000
00@0000000<0oooo0000003oool010000000103oool000000000003oool2000000050?ooo`000000
00000000003oool00P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`0000000P3o
ool4000000<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool010000000oooo0?oo
o`0000030?ooo`040000003oool0oooo0?ooo`800000103oool2000000H0oooo00<000000?ooo`3o
ool00P3oool2000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool300000100oooo0`0000050?ooo`80
00005`3oool500000200oooo000P0?ooo`@000004`3oool00`000000oooo0000000=000000P0oooo
00<000000?ooo`3oool01@0000050?ooo`h0000000<0oooo0000003oool01@3oool4000000D0oooo
00<000000?ooo`3oool0400000020?ooo`030000003oool0oooo0080oooo1@000000103oool00000
0000000000020?ooo`030000003oool0oooo010000000`3oool400000080oooo0P0000000`3oool0
00000000000600000080oooo3P0000000`3oool0000000000008000000050?ooo`000000oooo0000
003oool00P0000000`3oool000000?ooo`0D000000030?ooo`000000000000@0000000D0oooo0000
0000000000000?ooo`0<000000<0oooo200000020?ooo`@0000000D0oooo00000000000000000?oo
o`03000000030?ooo`00000000000080000000<0oooo0000000000006@0000000`3oool000000000
0008000000060?ooo`00000000000000003oool000000P3oool00`000000oooo0000000=00000003
0?ooo`000000000000L0000000<0oooo0000003oool00P0000020?ooo`060000003oool000000?oo
o`000000oooo400000030?ooo`040000003oool0oooo00000080oooo0`0000020?ooo`800000103o
ool@000000H0oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo0080oooo3@00
00040?ooo`L00000303oool7000000030?ooo`000000000000<00000503oool500000200oooo000P
0?ooo`8000005@3oool7000000D0oooo100000080?ooo`h00000303oool00`000000oooo00000002
0?oooa0000001`3oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool040000000103oool000000?ooo`0000020?ooo`<0000000<0oooo0000003oool00P3o
ool300000080oooo0`0000000`3oool000000?ooo`0>000000040?ooo`00000000000?ooo`800000
00<0oooo000000000000100000000`3oool0000000000004000000070?ooo`00000000000000003o
ool000000?ooo`0C000000030?ooo`000000000000T0000000D0oooo00000000000000000?ooo`03
000000030?ooo`000000000000H0000000<0oooo0000000000003`0000020?ooo`<0000000<0oooo
0000000000002@0000000`3oool0000000000005000000050?ooo`00000000000000003oool00`00
00000`3oool000000000000B000000030?ooo`000000oooo00<000000P3oool8000000030?ooo`00
0000oooo0080000000<0oooo000000000000300000000`3oool00000000000020?ooo`050000003o
ool000000?ooo`0000000P3oool2000000<0oooo0P0000030?ooo`030000003oool0000001800000
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P0000000`3oool00000
0000000?000000P0oooo00<000000?ooo`3oool01P3oool=00000140oooo2000000B0?ooo`D00000
803oool00200oooo00<000000?ooo`3oool05@3oool00`000000oooo00000003000000H0oooo0`00
00080?ooo`030000003oool0oooo00D000001P3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0000000@0oooo1P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool300000080oooo00<000000?ooo`3oool00P3oool5000000040?ooo`000000000000000080oooo
00L000000?ooo`3oool0oooo0000003oool000000080oooo0`0000000`3oool000000?ooo`020?oo
o`<000000P3oool2000000040?ooo`00000000000?ooo`80000000<0oooo0000000000001P000002
0?ooo`@0000000<0oooo0000000000000P3oool00`000000oooo0000000200000080oooo1@000000
0`3oool0000000000003000000070?ooo`00000000000000003oool000000?ooo`04000000030?oo
o`000000000000l0000000<0oooo0000000000003@0000000`3oool000000000000B000000030?oo
o`000000000001l0000000<0oooo000000000000300000000`3oool0000000000009000000030?oo
o`000000000000@0000000<0oooo0000000000000P000000103oool000000000003oool300000003
0?ooo`000000000000P0000000<0oooo0000000000000P3oool200000080oooo00<000000?ooo`00
00000P0000030?ooo`8000000`3oool00`000000oooo00000002000000<0oooo00<000000?ooo`00
00000`3oool6000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`80
00001P3oool010000000oooo0?ooo`3oool500000080oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0000000D00000503oool4000001D0oooo0P0000020?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool02@3oool3000000T0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo000000080?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0P000000103oool000000?ooo`0000040?ooo`030000003oool00000
008000000P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P00
00000`3oool000000?ooo`020?ooo`<000000P3oool2000000040?ooo`00000000000?ooo`800000
0P3oool2000000050?ooo`00000000000?ooo`0000000P3oool3000000040?ooo`00000000000000
0080oooo00T000000?ooo`00000000000?ooo`000000oooo0000003oool02P0000000`3oool00000
00000002000000030?ooo`00000000000080000000<0oooo0000000000000P0000000`3oool00000
00000006000000030?ooo`000000000000D0000000@0oooo000000000000oooo2@0000000`3oool0
00000000000?000000030?ooo`000000000000<0000000<0oooo0000000000000`000000103oool0
00000000003oool3000000050?ooo`00000000000000003oool00`0000001@3oool0000000000000
0000oooo00T0000000D0oooo00000000000000000?ooo`05000000060?ooo`00000000000?ooo`00
0000oooo1P0000000`3oool0000000000004000000030?ooo`000000000000@000000P3oool40000
00030?ooo`000000000000@0000000D0oooo0000003oool0oooo000000030?ooo`8000000P3oool0
10000000oooo0000000000030?ooo`030000003oool0000000<0oooo00@000000?ooo`0000000000
103oool00`000000oooo000000030?ooo`8000000P3oool2000000@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000H0oooo00@000000?ooo`3oool0
oooo0P0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02@3oool010000000
oooo00000000000e0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool02@3oool3000000P0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`0:0?ooo`800000203oool00`000000oooo000000050?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool00`3oool2000000040?ooo`000000oooo000000@0oooo00<000000?oo
o`000000103oool2000000<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`03
000000070?ooo`000000oooo0?ooo`000000oooo000000020?ooo`80000000P0oooo000000000000
oooo0000003oool000000?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`060000003o
ool000000000003oool000000P3oool00`000000oooo00000003000000030?ooo`000000000000@0
000000T0oooo00000000000000000?ooo`000000oooo0000003oool00P0000001@3oool000000000
00000000oooo00D0000000<0oooo0000000000002`0000000`3oool0000000000009000000030?oo
o`00000000000080000000<0oooo0000000000001`0000040?ooo`P0000000<0oooo000000000000
0`000000103oool000000000003oool3000000030?ooo`000000000000h0000000<0oooo00000000
0000300000020?ooo`80000000<0oooo0000003oool00`0000001P3oool000000000003oool00000
0?ooo`@0000000<0oooo0000003oool010000000103oool000000000003oool2000000030?ooo`00
000000000080oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo0P0000020?ooo`040000
003oool00000000000<0oooo0P0000040?ooo`040000003oool00000000000<0oooo00@000000?oo
o`3oool000000`3oool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0f0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool02@3oool2
000000P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
000000L0oooo0`0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2
000000040?ooo`000000oooo000000@0oooo00<000000?ooo`000000103oool2000000<0oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo0`0000000`3oool000000?ooo`020?ooo`80
00000`3oool4000000050?ooo`000000oooo0000003oool00P000000103oool000000000003oool2
00000080oooo00H000000?ooo`00000000000?ooo`0000020?ooo`H0000000<0oooo000000000000
100000001`3oool00000000000000000oooo0000003oool01@0000000`3oool00000000000070000
00030?ooo`000000000000X0000000D0oooo00000000000000000?ooo`08000000030?ooo`000000
000001D0000000<0oooo0000000000000P0000000`3oool000000?ooo`02000000030?ooo`000000
000000H0000000<0oooo0000000000001@0000000`3oool000000000000A000000030?ooo`000000
000000<0000000<0oooo0000003oool00`0000020?ooo`H0000000D0oooo0000003oool000000?oo
o`02000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000P3oool01@000000oooo
0?ooo`000000oooo008000000P3oool00`000000oooo000000020?ooo`040000003oool000000000
00<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool00`000000oooo000000040?oo
o`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo0080oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool07P3oool0
0200oooo0`00000G0?ooo`030000003oool0oooo00T0oooo0P0000090?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0203oool4000000P0oooo0P0000050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool00`3oool300000080oooo00<000000?ooo`3oool00P3oool20000
00@0oooo0`0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`<0000000<0
oooo0000003oool00P3oool2000000<0oooo100000020?ooo`8000000P3oool01@000000oooo0000
00000000oooo008000000P3oool4000000040?ooo`00000000000?ooo`80000000<0oooo00000000
0000200000000`3oool0000000000009000000030?ooo`000000000000L0000000<0oooo00000000
00002`0000001@3oool00000000000000000oooo00P0000000<0oooo0000000000004P0000000`3o
ool0000000000003000000030?ooo`000000oooo0080000000<0oooo0000000000000P0000001@3o
ool00000000000000000oooo01H0000000<0oooo0000000000000`0000001P3oool000000000003o
ool000000?ooo`H000000P3oool5000000060?ooo`00000000000?ooo`000000oooo0P000000103o
ool000000000003oool400000080oooo0P0000020?ooo`040000003oool0000000000080oooo0P00
00020?ooo`030000003oool0oooo008000000`3oool2000000<0oooo00<000000?ooo`3oool00P00
00030?ooo`030000003oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
=@3oool300000200oooo000P0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0203o
ool4000000P0oooo0P0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool300000080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`030000003o
ool000000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000000`3oool0
00000?ooo`020?ooo`8000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool20000
00030?ooo`000000oooo008000000P3oool2000000030?ooo`0000000000008000000P3oool00`00
0000oooo00000005000000030?ooo`00000000000080000000<0oooo0000000000000`0000000`3o
ool0000000000002000000030?ooo`000000000000H0000000<0oooo0000003oool04@0000000`3o
ool0000000000004000000040?ooo`00000000000?ooo`L0000000<0oooo0000000000002P000000
1P3oool000000000003oool000000?ooo`80000000<0oooo0000000000000P0000000`3oool00000
00000002000000030?ooo`000000000000D0000000<0oooo0000000000003@000000103oool00000
0000000000020?ooo`80000000<0oooo0000003oool01P0000000`3oool000000000000400000003
0?ooo`000000000000@000000P3oool00`000000oooo0?ooo`0400000080oooo0P000000103oool0
00000000003oool200000080oooo0P0000020?ooo`030000003oool0oooo008000000`3oool20000
00<0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000<0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool00`3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0N0?oo
o`00803oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`090?ooo`<00000203oool2000000H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`030?ooo`80000000@0oooo0000003oool00000103oool00`00
0000oooo000000030?ooo`<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3o
ool3000000040?ooo`000000oooo0?ooo`<000000P3oool2000000040?ooo`00000000000?ooo`80
00000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool01P000000oooo000000000000
oooo00000080oooo00<000000?ooo`0000002P0000001`3oool00000000000000000oooo0000003o
ool01@0000000`3oool0000000000002000000030?ooo`00000000000080000000<0oooo00000000
00002`0000000`3oool0000000000009000000030?ooo`000000000001H0000000<0oooo0000003o
ool0300000000`3oool000000000000?000000030?ooo`000000000000P000000P3oool200000003
0?ooo`000000oooo00<0000000P0oooo000000000000oooo0000003oool000000?ooo`80000000<0
oooo0000003oool0100000020?ooo`050000003oool000000000003oool00P0000020?ooo`800000
00D0oooo0000003oool0oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`0200000080
oooo00<000000?ooo`0000000`3oool00`000000oooo00000002000000<0oooo00<000000?ooo`00
00000`3oool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`030?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo
01h0oooo000P0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00P0oooo0P0000000`3oool000000?ooo`060?ooo`<0
00001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo1P0000040?ooo`03
0000003oool0000000@0oooo0P0000030?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool00`000000103oool000000?ooo`3oool4000000040?ooo`00000000000?ooo`80000000D0
oooo0000003oool000000?ooo`02000000040?ooo`00000000000?ooo`8000000P3oool01P000000
oooo000000000000oooo00000080oooo3@0000000`3oool0000000000003000000070?ooo`000000
00000000003oool000000?ooo`0:000000030?ooo`000000000000H0000000<0oooo000000000000
0P0000001@3oool00000000000000000oooo00D0000000<0oooo0000000000000`0000000`3oool0
000000000009000000030?ooo`000000000000<0000000<0oooo0000000000005P0000000`3oool0
00000000000<000000030?ooo`000000000000<0000000D0oooo000000000000oooo000000020?oo
o`030000003oool00000008000000P3oool500000080oooo00<000000?ooo`0000000`000000103o
ool000000000003oool2000000030?ooo`00000000000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`3oool200000080oooo00@000000?ooo`00000000000`3oool2000000<0
oooo00<000000?ooo`3oool00P0000030?ooo`030000003oool0000000@0oooo00@000000?ooo`3o
ool0oooo0P0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool20000
00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`080?ooo`80000000<0oooo0000003oool01`3oool2000000D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`030?ooo`H00000103oool00`000000oooo000000040?ooo`<0
00000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool3000000040?ooo`000000
oooo0?ooo`@000000P3oool010000000oooo0000000000020?ooo`8000000P3oool01@000000oooo
000000000000oooo008000000P3oool4000000040?ooo`00000000000?ooo`80000000<0oooo0000
000000000P0000000`3oool000000?ooo`03000000030?ooo`000000000000T0000000<0oooo0000
000000000`0000000`3oool0000000000002000000030?ooo`000000000000`0000000D0oooo0000
0000000000000?ooo`05000000030?ooo`000000000000@000000P3oool;000000<0oooo2`000000
0`3oool0000000000002000000030?ooo`000000000001/0000000H0oooo000000000000oooo0000
003oool6000000030?ooo`000000000000@0000000@0oooo000000000000oooo10000000103oool0
00000000003oool2000000040?ooo`000000oooo0?ooo`8000000P3oool010000000oooo00000000
00030?ooo`8000000P3oool010000000oooo0000000000030?ooo`8000000`3oool00`000000oooo
0?ooo`02000000<0oooo00<000000?ooo`000000103oool010000000oooo0?ooo`3oool2000000@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`0h0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01X0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`000000203oool2000000H0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`040?ooo`D000001@3oool00`000000oooo000000030?ooo`<000000P3oool01`000000oooo
0?ooo`3oool000000?ooo`0000000`3oool2000000030?ooo`000000oooo0080oooo0`0000020?oo
o`80000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000003oool00P000002
0?ooo`80000000<0oooo0000003oool00P0000020?ooo`030000003oool0000000<0000000<0oooo
000000000000100000000`3oool0000000000003000000070?ooo`00000000000000003oool00000
0?ooo`04000000030?ooo`000000000000<0000000<0oooo0000000000002`0000000`3oool00000
00000002000000030?ooo`000000000000<0000000<0oooo000000000000100000030?ooo`L00000
0`3oool6000000030?ooo`000000000000<0000000<0oooo0000000000002`0000000`3oool00000
00000002000000030?ooo`000000000000L0000000<0oooo0000000000000`0000000`3oool00000
00000003000000050?ooo`000000oooo0000003oool00P0000001@3oool00000000000000000oooo
0080000000<0oooo0000000000001@000000103oool000000000003oool400000080oooo0P000000
103oool000000000003oool200000080oooo0P0000020?ooo`030000003oool0oooo008000000`3o
ool2000000<0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000@0oooo00D0
00000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
0`3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0N0?ooo`00803o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0000000P0oooo0P0000060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool00`3oool4000000030?ooo`000000oooo00<0oooo00<0
00000?ooo`0000000`3oool300000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0
oooo0P0000020?ooo`030000003oool0oooo008000000`3oool2000000040?ooo`00000000000?oo
o`8000000P3oool2000000040?ooo`00000000000?ooo`8000000P3oool01P000000oooo00000000
0000oooo00000080oooo1P0000000`3oool0000000000004000000030?ooo`000000000000<00000
00L0oooo00000000000000000?ooo`000000oooo00<0000000<0oooo0000003oool0100000000`3o
ool0000000000007000000030?ooo`00000000000080000000<0oooo0000000000000P0000000`3o
ool000000000000K000000030?ooo`0000000000008000000P3ooolN000000030?ooo`0000000000
0080000000<0oooo0000000000000`0000000`3oool000000?ooo`04000000050?ooo`000000oooo
0000003oool00P0000000`3oool000000?ooo`0400000080oooo00D000000?ooo`00000000000?oo
o`0200000080oooo0P000000103oool000000000003oool200000080oooo0P0000020?ooo`030000
003oool0oooo008000000P3oool00`000000oooo000000030?ooo`030000003oool0000000800000
0`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000060?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`0A0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`@0000000<0oooo0000003oool00`3oool00`000000oooo000000040?ooo`800000
0P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool200000080oooo00<000000?oo
o`3oool00P0000030?ooo`80000000P0oooo000000000000oooo0000003oool000000?ooo`800000
00@0oooo000000000000oooo0P0000020?ooo`060000003oool000000000003oool000000P3oool2
000000050?ooo`00000000000000003oool00P0000001@3oool000000?ooo`000000oooo00`00000
00<0oooo0000000000000P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`H0
000000<0oooo0000000000000P0000000`3oool000000000000200000080oooo4@0000000`3oool0
000000000005000000030?ooo`000000000000<000000P3oool9000000030?ooo`00000000000080
000000<0oooo0000000000000P0000000`3oool000000000000A000000040?ooo`000000oooo0?oo
o`80000000@0oooo000000000000oooo1P0000020?ooo`030000003oool0000000<0000000@0oooo
000000000000oooo0P0000000`3oool00000000000020?ooo`040000003oool0oooo00000080oooo
0P0000020?ooo`8000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00`0000030?ooo`800000103oool010000000oooo0?ooo`3oool20000
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00D0oooo0`0000050?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool00`3oool4000000030?ooo`000000oooo00<0oooo00<000000?ooo`00
0000103oool3000000030?ooo`000000oooo0080oooo00@000000?ooo`3oool000000P3oool01@00
0000oooo0000003oool0000000<0oooo0P0000030?ooo`040000003oool0000000000080oooo0P00
00020?ooo`050000003oool0oooo0000003oool00P0000020?ooo`80000000<0oooo0000003oool0
0P000000103oool000000000003oool300000080oooo1@0000020?ooo`D0000000L0oooo00000000
000000000?ooo`000000oooo00<0000000<0oooo0000003oool0100000000`3oool000000000000<
00000080oooo1@0000000`3oool000000000000D00000080oooo1@0000020?ooo`T0000000<0oooo
000000000000200000000`3oool0000000000008000000030?ooo`00000000000080000000<0oooo
0000000000000`0000001@3oool000000?ooo`000000oooo0080000000<0oooo0000000000001000
0000103oool000000000003oool4000000040?ooo`00000000000?ooo`80000000@0oooo0000003o
ool0oooo0P0000020?ooo`040000003oool00000000000<0oooo0P0000020?ooo`040000003oool0
0000000000<0oooo0P0000030?ooo`030000003oool0oooo008000000`3oool00`000000oooo0000
00040?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`8000001P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00D000000?ooo`000000oooo
000000040?ooo`030000003oool0000000@0oooo0`0000020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`020?ooo`8000000`3oool20000
00040?ooo`000000oooo0?ooo`8000000P3oool2000000030?ooo`0000000000008000000P3oool2
000000030?ooo`000000oooo008000000P3oool4000000030?ooo`000000oooo0080000000D0oooo
00000000000000000?ooo`0A000000030?ooo`000000000000<0000000<0oooo0000000000001`00
00000`3oool0000000000002000000030?ooo`000000000000@0000000<0oooo0000000000004000
00020?ooo`L000000P3oool400000080oooo2@0000000`3oool0000000000002000000030?ooo`00
0000000000<0000000<0oooo0000000000000`0000000`3oool0000000000002000000030?ooo`00
0000000000<0000000<0oooo0000003oool00`0000020?ooo`040000003oool000000?ooo`800000
00<0oooo0000003oool0100000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`800000
00@0oooo000000000000oooo0P0000030?ooo`040000003oool0oooo00000080oooo0P0000030?oo
o`8000000`3oool00`000000oooo00000002000000<0oooo00<000000?ooo`000000103oool01@00
0000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`03
0?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo01h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool01P3oool2000000H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000<0oooo0`0000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00030?ooo`8000000P3oool00`000000oooo0?ooo`02000000<0oooo0P000000103oool000000000
003oool200000080oooo0P000000103oool000000000003oool200000080oooo00H000000?ooo`00
000000000?ooo`0000020?ooo`H0000000L0oooo000000000000oooo0000003oool000000080oooo
1@0000000`3oool0000000000003000000070?ooo`00000000000000003oool000000?ooo`040000
00030?ooo`000000000000P0000000<0oooo0000000000000P0000000`3oool00000000000040000
0080oooo1`0000000`3oool000000000000=000000<0oooo100000020?ooo`@0000000<0oooo0000
000000000P0000000`3oool000000000000=000000030?ooo`000000000000<0000000D0oooo0000
0000000000000?ooo`02000000040?ooo`00000000000?ooo`8000000P3oool3000000060?ooo`00
0000oooo0?ooo`000000oooo100000020?ooo`050000003oool000000000003oool00P0000020?oo
o`030000003oool0oooo0080000000<0oooo0000000000000P3oool200000080oooo00<000000?oo
o`3oool00P0000020?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P0000030?oo
o`030000003oool0000000@0oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool00`3oool2000000H0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0>P3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0140
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool200000080
oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`030000003oool0
oooo008000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool200000080oooo00@0
00000?ooo`00000000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo0P000000103o
ool000000000000000020?ooo`D000000P3oool5000000030?ooo`000000000000T0000000<0oooo
0000000000000`0000000`3oool0000000000008000000030?ooo`00000000000080000000<0oooo
0000000000000P000000103oool000000000003ooolE00000080oooo1@0000020?ooo`@0000000<0
oooo0000000000000P0000020?ooo`@0000000<0oooo0000000000000`0000000`3oool000000000
0003000000030?ooo`00000000000080000000<0oooo0000000000000`0000001P3oool000000?oo
o`000000oooo00000080oooo1P000000103oool000000000003oool4000000040?ooo`0000000000
0?ooo`80000000<0oooo0000000000000P3oool010000000oooo0?ooo`0000020?ooo`8000000P3o
ool200000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool00`0000030?ooo`800000103oool010000000oooo0?ooo`3oool2000000@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`8000001@3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0k0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool01@3oool3000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`00
00000`3oool000000?ooo`020?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`040000
003oool0oooo0?ooo`8000000`3oool010000000oooo0000000000020?ooo`8000000P3oool20000
00030?ooo`000000oooo008000000P3oool2000000030?ooo`000000oooo0080000000<0oooo0000
00000000100000020?ooo`80000000D0oooo0000003oool000000?ooo`06000000030?ooo`000000
000000<0000000L0oooo00000000000000000?ooo`000000oooo00@0000000L0oooo000000000000
00000?ooo`000000oooo00X0000000<0oooo0000000000000`0000001@3oool00000000000000000
oooo010000000P3oool6000000030?ooo`000000000000T0000000<0oooo0000000000000P000000
0`3oool0000000000008000000030?ooo`000000000000<0000000D0oooo00000000000000000?oo
o`02000000060?ooo`000000oooo0000003oool000000P3oool010000000oooo0000003oool20000
00030?ooo`000000000000@000000P3oool2000000030?ooo`000000oooo008000000P3oool20000
0080oooo00@000000?ooo`00000000000`3oool200000080oooo00@000000?ooo`00000000000`3o
ool00`000000oooo000000020?ooo`030000003oool0oooo008000000`3oool00`000000oooo0000
00040?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`8000001P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0000000@0oooo0`0000000`3oool000000?ooo`020?ooo`040000
003oool0oooo000000<0oooo0P0000020?ooo`030000003oool0oooo008000000`3oool200000004
0?ooo`000000oooo0?ooo`8000000P3oool2000000030?ooo`0000000000008000000P3oool20000
00030?ooo`0000000000008000000P3oool600000080oooo0`0000001P3oool000000?ooo`3oool0
00000?ooo`<0000000L0oooo00000000000000000?ooo`000000oooo00D0000000<0oooo00000000
00000`0000000`3oool0000000000003000000030?ooo`000000000000T0000000<0oooo00000000
00000`0000001@3oool00000000000000000oooo00X000000`3oool3000000030?ooo`0000000000
0080000000<0oooo0000000000002@0000000`3oool0000000000003000000030?ooo`0000000000
00<0000000<0oooo0000000000000`0000000`3oool0000000000002000000070?ooo`0000000000
0000003oool000000?ooo`03000000030?ooo`00000000000080oooo00<000000?ooo`0000000P00
00020?ooo`030000003oool0000000<000000P3oool4000000030?ooo`00000000000080oooo0P00
0000103oool000000000003oool200000080oooo0P0000020?ooo`030000003oool0oooo00800000
0`3oool2000000<0oooo00<000000?ooo`0000000P0000030?ooo`030000003oool0000000@0oooo
00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00`3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0N0?ooo`00
803oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`000000
1@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool300000080oooo00L000000?oo
o`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`030000003oool0oooo008000000`3o
ool2000000040?ooo`00000000000?ooo`8000000P3oool2000000040?ooo`00000000000?ooo`80
00000P3oool01P000000oooo0?ooo`000000oooo00000080oooo0P000000103oool0000000000000
00020?ooo`D000000P3oool<000000070?ooo`00000000000000003oool000000?ooo`0400000003
0?ooo`000000000000<000000P3ooolB000000030?ooo`000000000000<000001P3oool400000080
oooo4@0000020?ooo`@0000000<0oooo000000000000200000000`3oool000000000000400000003
0?ooo`000000000000<0000000H0oooo0000003oool000000?ooo`0000020?ooo`030000003oool0
000000<0000000@0oooo000000000000oooo10000000103oool000000000003oool2000000030?oo
o`00000000000080oooo00<000000?ooo`3oool00P0000000`3oool00000000000020?ooo`800000
0P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000`3oool00`000000oooo
00000002000000<0oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`8000001P3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0l0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0240oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool01P3oool3000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo
0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool00`00
0000oooo0?ooo`02000000<0oooo0P000000103oool000000000003oool200000080oooo0P000002
0?ooo`040000003oool0000000000080oooo0P0000000`3oool000000?ooo`0200000080oooo1P00
00001`3oool000000000003oool000000?ooo`0000000P3oool5000000070?ooo`00000000000000
003oool000000?ooo`05000000030?ooo`000000000000<0000000<0oooo0000000000000`000000
1@3oool00000000000000000oooo00L0000000<0oooo0000003oool01P0000020?ooo`T0000000<0
oooo0000000000001@000000103oool000000000003oool900000080oooo100000000`3oool00000
00000004000000030?ooo`000000000000<0000000<0oooo0000000000000P0000001P3oool00000
000000000000oooo00000080oooo0P0000020?ooo`070000003oool0oooo0000003oool000000?oo
o`02000000050?ooo`00000000000000003oool00P0000020?ooo`80000000<0oooo000000000000
0`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0oooo0P0000020?oo
o`030000003oool0oooo008000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo
00<000000`3oool2000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0
oooo00D0oooo00D000000?ooo`3oool000000?ooo`03000000H0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0?03o
ool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00D0oooo0`0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2
000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0000000<0oooo
0000003oool00P3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo000000<0oooo
0P0000020?ooo`80000000<0oooo0000000000000P3oool200000080oooo0P0000000`3oool00000
0000000200000080oooo0P0000000`3oool000000000000200000080oooo1P0000020?ooo`D00000
0P3oool<000000070?ooo`00000000000000003oool000000?ooo`0400000080oooo1@0000001@3o
ool00000000000000000oooo0200000000<0oooo000000000000300000000`3oool0000000000003
000000030?ooo`000000000000P0000000<0oooo000000000000100000000`3oool0000000000003
000000060?ooo`00000000000000003oool000000`3oool00`000000oooo00000003000000030?oo
o`000000000000@000000P3oool2000000030?ooo`000000oooo008000000P3oool200000080oooo
00@000000?ooo`00000000000`3oool200000080oooo00@000000?ooo`00000000000`3oool01000
0000oooo0000003oool200000080oooo0`0000020?ooo`030000003oool0000000@0oooo00@00000
0?ooo`3oool0oooo0P0000040?ooo`030000003oool0oooo00D0oooo00D000000?ooo`0000000000
0?ooo`02000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0N0?ooo`00803o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`0000001@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`000000103oool3000000030?ooo`000000oooo00<0oooo00<0
00000?ooo`0000000`3oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`80000000@0
oooo0000003oool0oooo0P0000020?ooo`80000000H0oooo00000000000000000?ooo`0000020?oo
o`050000003oool0oooo0000003oool00P0000000`3oool000000000000400000080oooo1P000000
0`3oool0000000000004000000070?ooo`00000000000000003oool000000?ooo`05000000030?oo
o`000000000000<000000P3oool5000000050?ooo`000000oooo0000003oool00P0000000`3oool0
000000000005000000030?ooo`000000000000l000000P3oool8000000030?ooo`000000000000@0
000000<0oooo0000000000000`0000000`3oool000000000000;000000050?ooo`00000000000000
003oool00`000000103oool000000?ooo`3oool3000000080?ooo`000000oooo0?ooo`000000oooo
0000003oool2000000040?ooo`00000000000?ooo`@0000000@0oooo000000000000oooo0P000000
0`3oool00000000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3o
ool00`000000oooo0?ooo`02000000<0oooo0P0000001@3oool00000000000000000oooo00<00000
0`3oool00`000000oooo000000040?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000
oooo0?ooo`040?ooo`030000003oool000000080000000<0oooo0000000000001P3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0m0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool01@3oool3000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3o
ool00P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P000002
0?ooo`030000003oool0oooo008000000`3oool2000000040?ooo`00000000000?ooo`8000000P3o
ool200000080oooo00@000000?ooo`00000000000P3oool2000000030?ooo`000000000000800000
0P3oool600000080oooo00D000000?ooo`000000oooo000000020?ooo`<0000000<0oooo0000003o
ool01P0000000`3oool0000000000003000000070?ooo`00000000000000003oool000000?ooo`06
000000050?ooo`000000oooo0000003oool00P0000000`3oool000000000000700000080oooo2P00
00030?ooo`T0000000<0oooo000000000000100000000`3oool000000?ooo`03000000030?ooo`00
0000000000<0000000<0oooo0000000000000`0000000`3oool0000000000004000000030?ooo`00
0000000000<000000P3oool2000000030?ooo`00000000000080oooo00@000000?ooo`000000oooo
0P000000103oool000000000003oool300000080oooo0P000000103oool000000000003oool20000
0080oooo00@000000?ooo`3oool000000P3oool200000080oooo0P0000020?ooo`030000003oool0
oooo008000000P3oool010000000oooo0000003oool3000000040?ooo`0000000000000000<0oooo
00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01@3oool010000000oooo0000000000020?ooo`8000001P3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool01@000000
oooo0?ooo`3oool0000003l0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3o
ool08`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`050?ooo`<000001@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
0000103oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo00@00000
0?ooo`3oool000000P3oool2000000<0oooo0P000000103oool000000000003oool2000000<0oooo
0P0000000`3oool0000000000003000000040?ooo`00000000000?ooo`D0000000<0oooo00000000
0000100000020?ooo`D000000P3oool6000000070?ooo`00000000000000003oool000000?ooo`05
00000080oooo100000020?ooo`H0000000<0oooo000000000000100000020?ooo`d000001@3ooolC
000000030?ooo`000000000000@0000000<0oooo0000000000002`0000001@3oool0000000000000
0000oooo00<0000000@0oooo0000003oool0oooo0`000000103oool000000?ooo`3oool600000080
oooo1P0000001`3oool00000000000000000oooo0000003oool00P0000020?ooo`80000000@0oooo
000000000000oooo0P0000030?ooo`8000000P3oool010000000oooo0000000000030?ooo`030000
003oool0000000<000000P3oool3000000<0oooo0P0000040?ooo`040000003oool0oooo0?ooo`80
0000103oool00`000000oooo0?ooo`050?ooo`@0000000<0oooo0000000000001`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool200000080
oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`0T0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo00H0oooo0P0000060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00P3oool300000080oooo00<000000?ooo`3oool00P3oool00`000000oooo
000000040?ooo`<0000000<0oooo0000003oool00`3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool200000080oooo0P0000020?ooo`030000003oool0oooo0080
00000P3oool2000000060?ooo`00000000000000003oool000000P3oool01@000000oooo0?ooo`00
0000oooo0080000000<0oooo0000000000001@0000020?ooo`<0000000@0oooo0000003oool0oooo
0`0000000`3oool000000?ooo`06000000030?ooo`000000000000<000000P3oool400000080oooo
1P0000000`3oool0000000000002000000040?ooo`00000000000?oooa/0000000@0oooo00000000
0000oooo100000000`3oool0000000000004000000030?ooo`000000oooo00<0000000L0oooo0000
0000000000000?ooo`000000oooo00H0000000<0oooo0000000000000`0000020?ooo`D000000P3o
ool010000000oooo0000003oool2000000040?ooo`00000000000?ooo`L000000P3oool010000000
oooo0000000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`030000003oool0
00000080oooo00@000000?ooo`00000000000`3oool00`000000oooo0000000300000080oooo0`00
00020?ooo`030000003oool0000000@0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000
003oool0oooo00D0oooo100000000`3oool00000000000060?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`<000000P3oool00`000000oooo
0?ooo`0n0?ooo`030000003oool0oooo01h0oooo000P0?ooo`<000009@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`030?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`0000001@3oool200000080
oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`030000003oool0
oooo008000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool200000080oooo00@0
00000?ooo`00000000000P3oool2000000030?ooo`0000000000008000000P3oool600000080oooo
0`000000103oool000000?ooo`3oool6000000060?ooo`00000000000000003oool000000P3oool3
000000040?ooo`000000oooo0?ooo`@000000P3oool6000000030?ooo`0000000000008000000P3o
ool2000000030?ooo`000000000001D0000000<0oooo0000000000001P0000000`3oool000000000
0004000000030?ooo`000000oooo00<0000000D0oooo00000000000000000?ooo`04000000050?oo
o`00000000000000003oool00`000000103oool000000?ooo`3oool3000000040?ooo`000000oooo
0?ooo`H000000P3oool2000000050?ooo`000000oooo0000003oool00`000000103oool000000000
003oool200000080oooo00<000000?ooo`3oool00P0000000`3oool00000000000020?ooo`800000
0P3oool00`000000oooo0?ooo`02000000<0oooo00@000000?ooo`000000oooo0P000000103oool0
00000000000000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P0000000`3o
ool00000000000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`0l0?ooo`<00000803oool00200
oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`<000001@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`000000103oool200000080oooo00L000000?ooo`3oool0oooo0000003oool0
000000<0oooo0P0000020?ooo`030000003oool0oooo008000000`3oool200000080oooo00@00000
0?ooo`00000000000`3oool2000000060?ooo`00000000000000003oool000000P3oool01@000000
oooo000000000000oooo0080000000@0oooo000000000000oooo0`0000020?ooo`@0000000@0oooo
0000003oool0oooo0`0000000`3oool000000?ooo`06000000030?ooo`000000000000@0000000<0
oooo0000000000000`0000020?ooo`H0000000<0oooo0000000000000`0000020?ooo`8000000P3o
oolB000000030?ooo`000000000000h0000000<0oooo0000000000000`0000020?ooo`D0000000<0
oooo0000003oool0100000000`3oool000000000000300000080oooo1@0000020?ooo`<0000000<0
oooo0000000000000P3oool00`000000oooo00000007000000030?ooo`000000oooo008000000P3o
ool2000000040?ooo`00000000000?ooo`8000000`3oool200000080oooo00<000000?ooo`3oool0
0P0000020?ooo`040000003oool000000?ooo`8000000P3oool3000000<0oooo00<000000?ooo`00
00000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool01@3oool01@000000oooo0?ooo`000000oooo008000001P3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool300000080oooo00<000000?oo
o`3oool0?`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo00D0oooo0P0000060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0
000000<0oooo0000003oool00`3oool2000000@0oooo00@000000?ooo`3oool000000`3oool20000
0080oooo0P0000020?ooo`80000000<0oooo0000000000000P3oool2000000040?ooo`0000000000
0?ooo`8000000P3oool01@000000oooo0?ooo`000000oooo0080000000<0oooo0000000000001@00
00020?ooo`050000003oool000000?ooo`0000000P3oool6000000060?ooo`00000000000000003o
ool000000P3oool500000080oooo0`000000103oool000000?ooo`3oool600000080oooo1@000000
103oool000000000000000030?ooo``000000P3oool9000000030?ooo`000000000000D0000000<0
oooo000000000000100000001@3oool00000000000000000oooo00P0000000H0oooo000000000000
00000?ooo`0000020?ooo`<0000000@0oooo000000000000oooo0P000000103oool000000?ooo`00
00020?ooo`80000000<0oooo0000003oool01P0000000`3oool000000?ooo`0200000080oooo0P00
0000103oool000000000003oool200000080oooo00<000000?ooo`0000000P3oool010000000oooo
0000000000030?ooo`040000003oool000000?ooo`8000000P3oool3000000<0oooo0P0000040?oo
o`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0
00000080oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`@000000P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool09`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`030?ooo`8000000`3oool01`000000oooo0?ooo`3oool000000?ooo`000000103o
ool300000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P0000020?ooo`03
0000003oool0oooo008000000P3oool010000000oooo0000003oool2000000030?ooo`0000000000
00<0oooo00D000000?ooo`3oool000000?ooo`0200000080oooo0P0000000`3oool0000000000003
000000040?ooo`00000000000?ooo`<000000P3oool4000000040?ooo`000000oooo0?ooo`<00000
00<0oooo0000003oool0100000000`3oool000000?ooo`0600000080oooo0`0000001P3oool00000
0?ooo`3oool000000?ooo`@000000P3oool6000000030?ooo`000000000000800000303oool:0000
00030?ooo`000000000000D0000000<0oooo000000000000100000001@3oool00000000000000000
oooo0080000000<0oooo0000003oool00`0000020?ooo`D000000P3oool500000080oooo1P000002
0?ooo`X0000000@0oooo000000000000oooo0P0000020?ooo`060000003oool000000?ooo`000000
oooo0P0000020?ooo`030000003oool000000080oooo00@000000?ooo`00000000000`3oool01`00
0000oooo000000000000oooo0000003oool00`0000030?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0000
00020?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00`3oool300000080oooo00<000000?ooo`3oool07`3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool01P3oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`03
0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P000002
0?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool01P000000oooo
0?ooo`000000oooo00000080oooo0P0000020?ooo`050000003oool000000?ooo`0000000P3oool2
000000060?ooo`00000000000000003oool000000P3oool01@000000oooo000000000000oooo0080
000000<0oooo000000000000100000030?ooo`<0000000@0oooo0000003oool0oooo1P0000000`3o
ool0000000000004000000030?ooo`000000000000@000000P3oool3000000060?ooo`000000oooo
0?ooo`000000oooo1@0000000`3oool000000000000L000000030?ooo`000000000000H0000000@0
oooo000000000000oooo0`0000000`3oool0000000000004000000030?ooo`000000000000@00000
00H0oooo00000000000000000?ooo`0000020?ooo`<0000000@0oooo000000000000oooo0P000000
0`3oool000000?ooo`02000000040?ooo`00000000000?ooo`@0000000L0oooo0000000000000000
0?ooo`000000oooo00<0000000H0oooo000000000000oooo0000003oool3000000<0oooo0P000002
0?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`0300000080oooo0`000003
0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`050000003oool0oooo0?ooo`000000803oool3000001l0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`8000001P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`000000103oool3000000030?ooo`000000oooo00<0oooo0P00
00040?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool200000080oooo
0P0000000`3oool00000000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80
000000<0oooo0000003oool020000000103oool000000?ooo`3oool4000000040?ooo`000000oooo
0?ooo`<0000000<0oooo0000003oool010000000103oool000000?ooo`3oool6000000030?ooo`00
000000000080000000@0oooo0000003oool0oooo1`0000020?ooo`/00000103oool;000000030?oo
o`000000000000L0000000@0oooo000000000000oooo0`0000000`3oool000000000000200000003
0?ooo`000000oooo00H000000P3oool500000080oooo1@0000020?ooo`H000000P3oool400000004
0?ooo`00000000000?ooo`D0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`020000
00030?ooo`00000000000080oooo00<000000?ooo`0000000P3oool010000000oooo000000000003
0?ooo`040000003oool000000?ooo`8000000P3oool3000000<0oooo00<000000?ooo`0000000`3o
ool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
000000020?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000001l0oooo0`00000P0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`<00000:03oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000
0`3oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool300000080oooo00@000000?oo
o`3oool0oooo0P0000040?ooo`8000000P3oool00`000000oooo0?ooo`0200000080oooo00@00000
0?ooo`000000oooo0P0000000`3oool00000000000030?ooo`030000003oool0oooo00D0000000@0
oooo000000000000oooo1@000000103oool000000000003oool3000000<0oooo0`000000103oool0
00000000003oool4000000030?ooo`000000oooo00@0000000@0oooo0000003oool0oooo1@000002
0?ooo`@0000000@0oooo0000003oool0oooo200000020?oooaH0000000<0oooo0000000000001`00
00020?ooo`80000000D0oooo00000000000000000?ooo`02000000030?ooo`000000oooo00800000
00<0oooo000000000000100000001P3oool000000?ooo`000000oooo00000080oooo0`000000103o
ool000000000003oool2000000030?ooo`000000oooo0080000000@0oooo000000000000oooo2000
0000103oool000000?ooo`3oool200000080oooo00H000000?ooo`000000oooo0000003oool20000
0080oooo00<000000?ooo`0000000P3oool010000000oooo0000000000030?ooo`070000003oool0
00000000003oool000000?ooo`03000000@0oooo0P0000040?ooo`040000003oool0oooo0?ooo`80
0000103oool00`000000oooo0?ooo`050?ooo`030000003oool000000080oooo0P0000060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`05
0000003oool0oooo0?ooo`0000007`3oool4000001h0oooo0`00000P0?ooo`00803oool3000002T0
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool01@3oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0
oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`8000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo0P0000020?ooo`030000003oool0oooo00800000
0P3oool2000000040?ooo`00000000000?ooo`8000000P3oool01@000000oooo000000000000oooo
00P0000000@0oooo0000003oool0oooo10000000103oool000000?ooo`3oool3000000030?ooo`00
0000oooo00H000000`3oool500000080oooo10000000103oool000000000003oool;00000080oooo
3`0000020?ooo`@0000000<0oooo0000000000000`0000020?ooo`H000000P3oool010000000oooo
0000003oool2000000030?ooo`000000oooo00@0000000<0oooo000000000000100000000`3oool0
00000000000400000080oooo1P0000020?ooo`80000000<0oooo0000003oool00P0000001`3oool0
0000000000000000oooo0000003oool00`0000001P3oool000000000003oool000000?ooo`@00000
0P3oool200000080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo00<00000
0P3oool3000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo0000000P0?ooo`8000007`3oool30000
0200oooo000P0?ooo`800000:`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`8000001P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`000000103oool3000000030?ooo`000000oooo00<0oooo0P0000040?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`0000000P3oool200000080oooo0P0000000`3o
ool00000000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000<0oooo
0000000000000`000000103oool000000000003oool3000000<0oooo0`000000103oool000000000
003oool4000000030?ooo`000000oooo00@0000000@0oooo0000003oool0oooo1P0000020?ooo`L0
000000<0oooo0000000000002`0000030?ooo`H000000`3oool6000000030?ooo`000000000000@0
00000P3oool00`000000oooo0000000300000080oooo0`0000001P3oool000000000003oool00000
0?ooo`@000000P3oool01@000000oooo0000003oool000000080oooo0`000000103oool000000000
003oool2000000030?ooo`000000oooo0080000000@0oooo000000000000oooo20000000103oool0
00000000003oool200000080oooo00<000000?ooo`3oool00P0000000`3oool00000000000020?oo
o`030000003oool000000080oooo00@000000?ooo`00000000000`3oool01P000000oooo00000000
0000oooo00000080oooo0P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0
oooo0P0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`0000000P3oool2000000H0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo00D000000?ooo`3oool0oooo0000000P0?ooo`030000003oool000000200oooo0P00000P0?oo
o`00803oool6000001L0oooo00<000000?ooo`3oool00P3oool3000000P0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`050?ooo`D00000303oool00`000000oooo0?ooo`040?ooo`03
0000003oool0000000D0oooo00<000000?ooo`3oool01`0000050?ooo`8000000`3oool01`000000
oooo0?ooo`3oool000000?ooo`000000103oool300000080oooo00@000000?ooo`3oool0oooo2000
00020?ooo`030000003oool0oooo008000000`3oool200000080oooo00@000000?ooo`0000000000
0`3oool2000000040?ooo`00000000000?ooo`P0000000@0oooo000000000000oooo1@000000103o
ool000000?ooo`3oool4000000040?ooo`000000oooo0?ooo`T0000000<0oooo0000000000000P00
00000`3oool000000000000400000080oooo1`0000020?ooo`L0000000<0oooo0000000000001000
00030?oooa4000000P3oool2000000030?ooo`0000000000008000000P3oool6000000030?ooo`00
0000000000D0000000D0oooo0000003oool000000?ooo`02000000030?ooo`000000000000@00000
0P3oool600000080oooo0P0000000`3oool0000000000002000000030?ooo`000000000000<00000
0P3oool200000080oooo00@000000?ooo`000000oooo100000020?ooo`8000000P3oool00`000000
oooo0?ooo`02000000<0oooo00<000000?ooo`0000001`0000040?ooo`800000103oool010000000
oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000040000
00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00@0oooo1@00000O0?ooo`<000001@3oool00`000000oooo0?ooo`0I0?ooo`800000803oool00200
oooo1000000G0?ooo`L000000`3oool00`000000oooo000000060?ooo`030000003oool0oooo00@0
oooo0P0000060?ooo`P00000103oool00`000000oooo0?ooo`080?ooo`<000001`3oool:000000D0
oooo0P0000050?ooo`8000000P3oool2000000@0oooo00<000000?ooo`0000000P3oool;00000004
0?ooo`000000oooo0?ooo`<000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo0P00
00001@3oool00000000000000000oooo008000000P3oool800000080oooo100000001@3oool00000
000000000000oooo0080000000@0oooo00000000000000000`3oool3000000040?ooo`0000000000
0?ooo``0000000@0oooo000000000000oooo1P0000020?ooo`D0000000@0oooo0000003oool0oooo
2@0000020?oooa@000000P3oool2000000030?ooo`000000000000<000000P3oool7000000050?oo
o`000000oooo0000003oool02@0000020?ooo`<0000000@0oooo000000000000oooo0P0000000`3o
ool000000?ooo`02000000030?ooo`000000oooo00<0000000@0oooo000000000000oooo0P000000
0`3oool0000000000007000000040?ooo`00000000000?ooo`@0000000<0oooo0000000000000P3o
ool00`000000oooo0000000200000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`0=000000@0oooo0P0000020?ooo`<000001P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0000000T000001P3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`3oool0203o
ool9000000H0oooo0P00000B0?ooo`@0000000@0oooo00000000000000006@3oool200000200oooo
000P0?ooo`030000003oool0oooo01H0oooo1@0000070?ooo`<000001`3oool00`000000oooo0?oo
o`0;000000030?ooo`000000oooo00T0oooo0P0000050?ooo`l0000000<0oooo0000003oool0103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo3`0000020?ooo`<0000000<0
oooo0000003oool00`3oool2000000<0oooo0`0000001`3oool000000?ooo`3oool000000?ooo`00
00000P3oool;000000030?ooo`00000000000080000000@0oooo00000000000000000P3oool01@00
0000oooo000000000000oooo0080000000<0oooo0000000000000`000000103oool000000?ooo`3o
ool4000000040?ooo`000000oooo0?ooo`H000000P3oool<000000040?ooo`00000000000?ooo`D0
000000<0oooo0000000000000`3ooolJ00000080oooo0`0000000`3oool000000000000300000080
oooo1`0000001@3oool000000?ooo`000000oooo0080000000@0oooo000000000000oooo2`000002
0?ooo`H000000P3oool2000000030?ooo`0000000000008000000P3oool2000000040?ooo`000000
00000?ooo`8000000P3oool00`000000oooo0000000:00000080oooo00<000000?ooo`0000000P00
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`800000103o
ool>000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool00P3o
ool>000000X0oooo00<000000?ooo`3oool01`3oool;000001<0oooo1P00000G0?ooo`800000803o
ool00200oooo00<000000?ooo`3oool0503oool7000000H0oooo1@0000060?ooo`T000001`3oool0
0`000000oooo0?ooo`070?ooo`8000000`3oool8000000030?ooo`000000oooo00H0oooo0P000005
0?ooo`030000003oool0oooo00D0oooo0P0000030?ooo`P000000`3oool010000000oooo0?ooo`00
00030?ooo`<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool300000003
0?ooo`000000oooo0080oooo00<000000?ooo`0000001`000000103oool000000?ooo`0000020?oo
o`80000000@0oooo000000000000oooo0P0000020?ooo`@0000000D0oooo00000000000000000?oo
o`02000000040?ooo`0000000000000000<0oooo0`0000000`3oool0000000000008000000060?oo
o`00000000000?ooo`000000oooo20000000103oool000000000003oool3000000030?ooo`000000
000000<00000103ooolE00000080oooo0`0000000`3oool000000000000400000080oooo1`000000
0`3oool0000000000002000000040?ooo`000000oooo0?ooo`/0000000@0oooo000000000000oooo
0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo00<0000000<0oooo000000000000
0P3oool01@000000oooo0?ooo`000000oooo00<0000000@0oooo000000000000oooo0P0000000`3o
ool000000000000800000080oooo0P0000030?ooo`030000003oool000000080oooo00<000000?oo
o`0000000P0000040?ooo`800000103oool010000000oooo0?ooo`3oool2000000<0oooo1`000002
0?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00P0oooo00@00000
0?ooo`3oool0oooo1`0000080?ooo`030000003oool0oooo00`0oooo2000000B0?ooo`L000005P3o
ool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0G0?ooo`@000001`3oool4
000000L0oooo00@000000?ooo`3oool0oooo100000070?ooo`030000003oool0oooo00P0oooo0P00
00060?ooo`@0000000<0oooo0000003oool01P3oool00`000000oooo000000040?ooo`030000003o
ool0oooo00D0oooo0P0000050?ooo`H00000103oool00`000000oooo000000040?ooo`<0000000<0
oooo0000003oool00P3oool00`000000oooo000000020?ooo`@0000000L0oooo0000003oool0oooo
0000003oool0000000<0oooo1@0000000`3oool00000000000020?ooo`80000000@0oooo00000000
0000oooo0P0000030?ooo`050000003oool000000000003oool00P0000000`3oool0000000000003
000000040?ooo`000000oooo0?ooo`@0000000@0oooo000000000000oooo1`0000000`3oool00000
00000002000000050?ooo`00000000000000003oool0100000000`3oool00000000000020?ooo`T0
0000103ooolA00000080oooo0`0000000`3oool0000000000005000000040?ooo`00000000000?oo
o`D0000000<0oooo0000000000000P000000103oool000000000003oool>00000080oooo1P000002
0?ooo`80000000D0oooo000000000000oooo000000020?ooo`80000000@0oooo000000000000oooo
0P0000020?ooo`030000003oool0oooo0080000000@0oooo000000000000oooo100000020?ooo`03
0000003oool00000008000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0
00000`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`<000000`3oool40000
00@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`020?ooo`D000002@3oool00`000000oooo0?ooo`0=0?ooo`@000005P3oool40000
01T0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0903oool3000000L0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`070?ooo`800000303oool00`000000
oooo0?ooo`040?ooo`<000001@3oool00`000000oooo0?ooo`050?ooo`800000103oool2000000<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0000000<0oooo0000003o
ool00`3oool00`000000oooo000000020?ooo`<0000000L0oooo0000003oool0oooo0000003oool0
000000<0oooo0P000000103oool000000000003oool2000000<0oooo0`0000000`3oool000000?oo
o`0200000080oooo100000001@3oool00000000000000000oooo0080000000@0oooo000000000000
00000`3oool600000080oooo10000000103oool000000000003oool4000000050?ooo`0000000000
0000003oool0100000000`3oool00000000000020?ooo``00000103oool8000000@0oooo10000000
0`3oool0000000000006000000040?ooo`00000000000?ooo`@000000P3oool2000000030?ooo`00
0000oooo0080000000H0oooo000000000000oooo0000003oool2000000030?ooo`00000000000080
000000@0oooo000000000000oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo
00<0000000<0oooo0000000000000P3oool2000000040?ooo`00000000000?ooo`80000000<0oooo
0000000000000P3oool500000080oooo00<000000?ooo`0000000P3oool00`000000oooo00000002
00000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0oooo0P000004
0?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0080oooo0P0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool09@3oool2000000L0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`080?ooo`<000002P3oool00`000000oooo0?ooo`050?ooo`8000001@3oool0
0`000000oooo0?ooo`050?ooo`8000001@3oool2000000<0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`040000003oool0oooo0?ooo`<000000P3oool01`000000oooo0?ooo`3oool000000?oo
o`0000000P3oool3000000030?ooo`000000oooo0080oooo00<000000?ooo`0000000P3oool20000
0080oooo00<000000?ooo`3oool00P0000020?ooo`80000000@0oooo000000000000oooo0P000002
0?ooo`D0000000@0oooo000000000000oooo1@0000000`3oool000000?ooo`020?ooo`040000003o
ool000000?ooo`8000000P3oool00`000000oooo00000002000000030?ooo`000000oooo00@00000
00<0oooo0000000000000P3oool8000000030?ooo`000000000000H000000P3oool8000000D0oooo
1P0000000`3oool000000000000600000080oooo0P0000000`3oool000000000000200000080oooo
0P0000000`3oool000000?ooo`02000000040?ooo`00000000000?ooo`@000000P3oool200000004
0?ooo`000000000000000080oooo1P0000020?ooo`80000000@0oooo000000000000oooo0P000000
103oool000000000003oool2000000030?ooo`00000000000080oooo0P000000103oool000000000
003oool2000000<0oooo0P0000020?ooo`030000003oool0oooo008000000`3oool01@000000oooo
0000003oool000000080oooo0`0000040?ooo`800000103oool010000000oooo0?ooo`3oool20000
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`140?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00H0
oooo1000000:0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000000103oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`000000103oool3000000030?ooo`000000oooo00<0oooo0P0000020?ooo`@0
000000L0oooo0000003oool0oooo0000003oool0000000<0oooo0P000000103oool000000000003o
ool2000000<0oooo0`0000000`3oool000000?ooo`0200000080oooo100000001@3oool000000000
00000000oooo0080000000<0oooo0000000000000P0000020?ooo`D0000000<0oooo0000003oool0
0P0000001`3oool000000?ooo`000000oooo0000003oool0100000000`3oool00000000000020?oo
o`D0000000D0oooo00000000000000000?ooo`09000000@0oooo5@0000030?ooo`050000003oool0
00000000003oool00P0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`H000000P3o
ool7000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool000000?ooo`0300000003
0?ooo`00000000000080oooo0P000000103oool000000000003oool2000000030?ooo`0000000000
0080oooo1@0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P0000020?oo
o`030000003oool000000080oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool00000
00<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0N
0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool01`3oool3000000/0oooo00<000000?ooo`3oool01@3oool2000000D0oooo00<000000?oo
o`3oool01@3oool2000000@0oooo0`0000020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`000000103oool300000080oooo00X000000?ooo`3oool0oooo0000003oool000000?ooo`000000
oooo0P0000000`3oool000000?ooo`020?ooo`8000000`3oool200000080oooo00D000000?ooo`00
0000oooo000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`@000000P3oool2
000000030?ooo`000000000000<0000000<0oooo0000003oool00P3oool00`000000oooo00000002
000000030?ooo`000000oooo0080000000<0oooo0000003oool00P0000020?ooo`@0000000<0oooo
0000003oool00P3oool2000000060?ooo`00000000000?ooo`000000oooo0P0000000`3oool00000
0000000:000000@0oooo3P0000030?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80
000000<0oooo0000000000000`0000001`3oool000000000003oool000000?ooo`0000000P3oool4
000000030?ooo`00000000000080oooo1P0000020?ooo`80000000@0oooo000000000000oooo0P00
0000103oool000000000003oool2000000030?ooo`00000000000080oooo0P0000020?ooo`030000
003oool00000008000000P3oool200000080oooo00<000000?ooo`3oool00P0000030?ooo`030000
003oool000000080oooo00<000000?ooo`3oool00P0000040?ooo`800000103oool010000000oooo
0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`80
00001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01h0oooo000A0?ooo`030?oo
_`1d0000000000@0000000<0M;oo0?ooo`3oool01@3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool01P3oool3000000/0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo000000040?ooo`030000003oool0oooo00D0oooo0`0000040?ooo`800000
0`3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0oooo0`0000020?oo
o`070000003oool0oooo0?ooo`000000oooo000000020?ooo`D000000`3oool00`000000oooo0000
00030?ooo`030000003oool0oooo0080000000<0oooo0000000000000`3oool3000000030?ooo`00
0000oooo008000000P3oool4000000050?ooo`00000000000000003oool00P0000000`3oool00000
0000000200000080oooo0P0000000`3oool000000?ooo`0200000080oooo100000000`3oool00000
000000020?ooo`@0000000<0oooo0000003oool00P3oool2000000050?ooo`00000000000?ooo`00
00000P3oool010000000oooo0?ooo`3ooolH000000@0oooo0P0000020?ooo`80000000<0oooo0000
000000000P3oool2000000040?ooo`00000000000?ooo`80000000L0oooo000000000000oooo0000
003oool0000000<0oooo1`0000001`3oool000000000003oool000000?ooo`0000000P3oool00`00
0000oooo00000002000000030?ooo`00000000000080oooo0P000000103oool000000000003oool2
000000050?ooo`000000oooo0000003oool00P0000000`3oool00000000000030?ooo`8000000P3o
ool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`03000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`160?ooo`030000003oool0oooo01h0oooo000B0?ooo`030;md000007@0
_ooo0080oooo00<0giad09cOo`3oool01P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool01`3oool3000000/0oooo00<000000?ooo`3oool0103oool3
000000D0oooo00<000000?ooo`3oool00`3oool4000000@0oooo0P0000030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`000000103oool300000080oooo00H000000?ooo`3oool0oooo0000
003oool6000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`80000000L0oooo0000
00000000oooo0000003oool000000080oooo0P000000103oool000000000003oool200000080oooo
1@0000000`3oool00000000000020?ooo`@0000000<0oooo0000003oool00P3oool00`000000oooo
0?ooo`02000000060?ooo`000000oooo0?ooo`000000oooo0`0000001P3oool000000?ooo`3oool0
00000?ooo`80000000<0oooo0000000000000P3oool8000000030?ooo`000000000000<0oooo5000
00040?ooo`<0000000H0oooo00000000000000000?ooo`0000030?ooo`80000000@0oooo00000000
0000oooo0P0000001P3oool000000000003oool000000?ooo`8000000P3oool4000000030?ooo`00
000000000080oooo00<000000?ooo`0000000`0000020?ooo`80000000@0oooo000000000000oooo
0P000000103oool000000000003oool2000000030?ooo`00000000000080oooo0P0000020?ooo`D0
00000P3oool2000000<0oooo00@000000?ooo`00000000000`3oool00`000000oooo000000020?oo
o`030000003oool0oooo00<000000`3oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P000006
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool07P3oool001<0oooo00<0okmd0000
B02Lgol02P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool01`3oool2000000/0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000040?oo
o`030000003oool0oooo00@0oooo0`0000050?ooo`8000000P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000@0oooo0`0000020?ooo`060000003oool0oooo0?ooo`000000oooo2000
00030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00`0000000`3oool000000?oo
o`020?ooo`<0000000<0oooo0000003oool00P0000020?ooo`@000000P3oool2000000040?ooo`00
000000000?ooo`@000000`3oool00`000000oooo000000020000000;0?ooo`000000oooo0?ooo`00
0000oooo0000003oool000000?ooo`0000000P3oool01@000000oooo000000000000oooo00800000
0`3oool8000000030?ooo`000000000000@0oooo3`0000040?ooo`<0000000D0oooo000000000000
00000?ooo`02000000<0oooo0P000000103oool000000000003oool2000000060?ooo`0000000000
0?ooo`000000oooo0P0000020?ooo`<0000000@0oooo00000000000000000P3oool2000000040?oo
o`000000oooo00000080oooo0P000000103oool000000000003oool200000080oooo0P000000103o
ool000000000003oool2000000050?ooo`000000oooo0000003oool00P0000000`3oool000000000
00030?ooo`8000000P3oool00`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo00000002000000@0oooo0P0000040?ooo`040000003oool0oooo0?ooo`80
0000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo04L0oooo00<000000?ooo`3oool07P3oool001@0oooo00<0omnL04P00018W=l0
2@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
1`3oool2000000`0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<000000?ooo`3oool0
0`3oool3000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000
103oool3000000030?ooo`000000oooo00<0oooo1@0000001@3oool000000000003oool000000080
oooo00<000000?ooo`0000000`3oool2000000070?ooo`00000000000?ooo`000000oooo00000002
0?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`D0000000<0oooo0000000000000P3o
ool2000000040?ooo`000000oooo000000<0oooo0P0000001@3oool000000000003oool000000080
oooo0P0000001`3oool000000?ooo`000000oooo0000003oool00P000000103oool000000000003o
ool2000000<0oooo1P000000103oool000000000003oool200000180oooo100000001@3oool00000
000000000000oooo00<000000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool30000
0080oooo00@000000?ooo`3oool0oooo0P000000103oool000000000000000030?ooo`030000003o
ool0000000<000000P3oool3000000030?ooo`000000oooo0080000000@0oooo000000000000oooo
0P0000000`3oool00000000000020?ooo`8000000P3oool500000080oooo00<000000?ooo`000000
0P3oool010000000oooo0?ooo`0000030?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00`0000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool2000000@0
oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0A`3oool00`000000oooo0?ooo`0N0?ooo`005P3oool00`2LB000B9cO0?ooo`070?ooo`@0
0000<P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`050?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`<0
0000103oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
0000103oool300000080oooo00H000000?ooo`3oool0oooo0000003oool5000000030?ooo`000000
000000<0oooo0P0000040?ooo`080000003oool0oooo0000003oool000000?ooo`0000030?ooo`<0
000000<0oooo0000003oool00P0000020?ooo`80000000@0oooo0000003oool0oooo0P000000103o
ool000000000003oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P000000
103oool000000?ooo`3oool2000000070?ooo`000000oooo0000003oool000000?ooo`0500000004
0?ooo`0000000000000000<0oooo1P0000000`3oool0000000000006000000P0oooo2`000000103o
ool000000000000000030?ooo`<0000000D0oooo0000003oool0oooo000000030?ooo`@0000000<0
oooo0000003oool00P3oool3000000040?ooo`000000000000000080oooo00H000000?ooo`000000
00000?ooo`0000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000@0oooo
000000000000oooo0P0000001@3oool000000?ooo`000000oooo0080000000<0oooo000000000000
0`3oool2000000<0oooo00@000000?ooo`00000000000`3oool00`000000oooo000000020?ooo`03
0000003oool0oooo00<000000`3oool2000000@0oooo00@000000?ooo`3oool0oooo0P0000040?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0A@3oool400000200oooo000G0?ooo`0309a8M02oool0oooo00H0oooo00<000000?ooo`3o
ool0<`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000@0oooo00<000000?ooo`3o
ool01@3oool2000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`00
0000103oool3000000030?ooo`000000oooo0080oooo00@000000?ooo`000000oooo1@0000001`3o
ool000000?ooo`3oool000000?ooo`0000000`3oool2000000070?ooo`00000000000?ooo`000000
oooo000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3oool01P00
0000oooo0000003oool000000?ooo`80000000<0oooo0000003oool00P0000020?ooo`80000000H0
oooo00000000000000000?ooo`0000020?ooo`80000000L0oooo0000003oool000000?ooo`000000
oooo00T00000103oool800000080oooo4`0000020?ooo`@000000`3oool200000080oooo00@00000
0?ooo`00000000000`3oool2000000040?ooo`000000oooo000000<0oooo0`000000103oool00000
0000000000020?ooo`050000003oool0oooo0000003oool00P0000020?ooo`050000003oool00000
0000003oool00P0000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3o
ool500000080oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`060000
003oool0oooo0000003oool000000P3oool3000000@0oooo0P0000040?ooo`040000003oool0oooo
0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P000005
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool07P3oool00180oooo00<0gia807Bo
o`3oool00P3oool00`2oM000M;oo0?ooo`060?ooo`030000003oool0oooo03@0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool01@3oool2000000D0oooo00<000000?ooo`3oool0103oool2000000D0oooo0P0000030?oo
o`030000003oool0oooo0080oooo00<000000?ooo`000000103oool300000080oooo00H000000?oo
o`3oool0oooo0000003oool3000000050?ooo`00000000000?ooo`0000000`3oool2000000@0oooo
00P000000?ooo`3oool000000?ooo`000000oooo000000<0oooo0P000000103oool000000000003o
ool200000080oooo0P000000103oool000000?ooo`3oool200000080oooo100000000`3oool00000
000000020?ooo`80000000H0oooo0000003oool000000?ooo`0000020?ooo`80000000<0oooo0000
003oool00`0000000`3oool0000000000004000000040?ooo`0000000000000000@0oooo10000000
0`3oool0000000000004000000H0oooo1`0000030?ooo`@000000`3oool200000080oooo0P000000
0`3oool00000000000030?ooo`80000000<0oooo0000003oool00P0000020?ooo`<0000000@0oooo
00000000000000000P3oool2000000030?ooo`0000000000008000000P3oool2000000040?ooo`00
000000000?ooo`8000000P3oool2000000040?ooo`00000000000?ooo`80000000D0oooo0000003o
ool000000?ooo`02000000030?ooo`000000000000<0oooo0P0000030?ooo`040000003oool00000
000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`03000000<0oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`19
0?ooo`030000003oool0oooo01h0oooo000B0?ooo`070?noM00007@0_ooo0?ooo`3o_g@0001809cO
o`070?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0000
00040?ooo`030000003oool0oooo00D0oooo0P0000040?ooo`<000000`3oool01@000000oooo0?oo
o`3oool000000080oooo00<000000?ooo`3oool00P3oool01@000000oooo0000003oool0000000<0
oooo00H000000?ooo`000000oooo0000003oool3000000070?ooo`000000oooo0?ooo`000000oooo
000000030?ooo`80000000L0oooo000000000000oooo0000003oool000000080oooo0P000000103o
ool000000000003oool200000080oooo0`0000001`3oool000000?ooo`000000oooo0000003oool0
0P0000001@3oool000000000003oool0000000<0oooo0P0000000`3oool000000?ooo`02000000<0
oooo0P000000103oool000000?ooo`3oool2000000050?ooo`00000000000000003oool01`000004
0?ooo`D000000P3oool<00000080oooo1P0000030?ooo`<0000000D0oooo00000000000000000?oo
o`02000000<0oooo0P0000000`3oool000000?ooo`0200000080oooo0`000000103oool000000000
000000030?ooo`030000003oool0000000@0000000@0oooo000000000000oooo0P0000000`3oool0
0000000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3oool50000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`0200000080oooo00@000000?oo
o`3oool000000P3oool00`000000oooo00000003000000<0oooo0P0000040?ooo`040000003oool0
oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P00
00050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool07P3oool001<0oooo00D0okmd
000000000000001809cOo`080?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103o
ool3000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`8000000`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`0000020?ooo`040000003o
ool0oooo0?ooo`800000103oool2000000030?ooo`000000oooo0080oooo0P0000030?ooo`800000
0P3oool01@000000oooo0000003oool0000000<0oooo0P000000103oool000000000003oool20000
0080oooo0P000000203oool000000?ooo`3oool000000?ooo`000000oooo0P0000001@3oool00000
0?ooo`3oool0000000<0oooo0P0000000`3oool000000?ooo`02000000<0oooo00<000000?ooo`3o
ool00P000000103oool000000000003oool7000000030?ooo`0000000000008000001@3oool70000
00H0oooo200000050?ooo`8000000P3oool2000000030?ooo`000000000000<0oooo0P0000020?oo
o`040000003oool0000000000080oooo0P0000000`3oool000000000000300000080oooo00D00000
0?ooo`3oool000000?ooo`0200000080oooo0P000000103oool000000000003oool200000080oooo
0P000000103oool000000000003oool2000000050?ooo`000000oooo0000003oool00P0000000`3o
ool00000000000030?ooo`8000000`3oool010000000oooo0000000000030?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool00`0000040?ooo`8000000`3oool00`000000oooo0?ooo`02
0?ooo`800000103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo01h0oooo000P0?oo
o`030000003oool0oooo03H0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool2000000D0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`030?ooo`<000000P3oool00`000000oooo0?ooo`020?oo
o`040000003oool0oooo000000<0oooo0`0000020?ooo`070000003oool0oooo0?ooo`000000oooo
000000030?ooo`050000003oool000000?ooo`0000000P3oool00`000000oooo000000030?ooo`03
0000003oool0oooo0080000000@0oooo0000003oool000000P3oool2000000040?ooo`0000000000
0?ooo`8000000`3oool2000000040?ooo`000000oooo0?ooo`80000000<0oooo0000000000000`00
00000`3oool00000000000020?ooo`<0000000<0oooo0000003oool00P0000030?ooo`030000003o
ool0oooo0080000000<0oooo0000000000000P3oool3000000050?ooo`00000000000000003oool0
1@0000040?ooo`h00000203oool200000080oooo0`0000000`3oool00000000000030?ooo`800000
00@0oooo000000000000oooo0P0000020?ooo`80000000@0oooo000000000000oooo0P0000020?oo
o`80000000<0oooo0000000000000P0000020?ooo`80000000@0oooo000000000000oooo0P000002
0?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`8000000P3oool2000000030?ooo`00
000000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000<0oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`0000000`3o
ool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo01h0oooo
000P0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0000000@0oooo0`0000000`3oool000000?ooo`030?ooo`8000000`3o
ool3000000030?ooo`000000oooo0080oooo0P0000030?ooo`8000000P3oool01@000000oooo0000
003oool0000000<0oooo0P000000103oool000000000003oool200000080oooo0`0000001`3oool0
00000?ooo`000000oooo0000003oool00P000000103oool000000000003oool200000080oooo0P00
00020?ooo`040000003oool0000000000080oooo0P0000020?ooo`80000000<0oooo000000000000
0`3oool3000000040?ooo`000000000000000080oooo1@00000D0?ooo`<0000000<0oooo00000000
00000P000000103oool000000000000000030?ooo`80000000@0oooo000000000000oooo0P000003
0?ooo`<0000000@0oooo00000000000000000P3oool2000000030?ooo`0000000000008000000P3o
ool200000080oooo0P000000103oool000000?ooo`3oool200000080oooo1@0000001@3oool00000
0?ooo`000000oooo0080000000<0oooo0000000000000`3oool00`000000oooo000000020?ooo`04
0000003oool0oooo000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030000
00@0oooo0P0000040?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?oo
o`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool000000`3oool300000080oooo00L00000
0?ooo`3oool0oooo0000003oool0000000<0oooo00D000000?ooo`000000oooo000000020?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool00P000000103oool000000?ooo`0000020?oo
o`8000000P3oool010000000oooo0000000000030?ooo`80000000@0oooo0000003oool0oooo0P00
00020?ooo`80000000D0oooo000000000000oooo000000030?ooo`80000000D0oooo000000000000
oooo000000030?ooo`8000000P3oool200000080oooo00@000000?ooo`3oool0oooo10000000103o
ool000000000000000030?ooo`D000003@3oool4000000030?ooo`000000000000<000000P3oool2
000000<0oooo0`000000103oool000000000003oool2000000<0oooo0`000000103oool000000000
000000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`80000000@0oooo00000000
0000oooo0P0000020?ooo`80000000@0oooo000000000000oooo0P0000020?ooo`040000003oool0
00000?ooo`80000000<0oooo0000000000000P3oool00`000000oooo000000020?ooo`030000003o
ool0oooo008000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00<00000103o
ool2000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0B`3oool00`000000oooo
0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo0`00
00040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0000000<0oooo0000003oool00P3o
ool00`000000oooo000000030?ooo`<0000000<0oooo0000003oool00P3oool2000000<0oooo0P00
00020?ooo`050000003oool000000?ooo`0000000`3oool2000000040?ooo`00000000000?ooo`80
00000P3oool3000000040?ooo`000000oooo0?ooo`80000000H0oooo00000000000000000?ooo`00
00020?ooo`040000003oool0oooo0?ooo`80000000D0oooo000000000000oooo000000030?ooo`<0
000000<0oooo0000000000000P3oool2000000<0oooo100000020?ooo`@000000`3oool?00000003
0?ooo`000000000000@000000P3oool2000000<0oooo0`0000000`3oool00000000000020?ooo`80
00000`3oool2000000030?ooo`000000000000<0000000<0oooo0000000000000P3oool400000080
oooo0P0000000`3oool000000?ooo`0300000080oooo0P0000020?ooo`@000000P3oool010000000
oooo0000003oool2000000030?ooo`000000000000<0oooo00<000000?ooo`0000000P3oool01000
0000oooo0?ooo`0000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool00`000004
0?ooo`8000000`3oool2000000<0oooo0P0000040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3o
ool0000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1<0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool2
000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`8000000`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`0000020?ooo`070000003oool0
oooo0?ooo`000000oooo000000030?ooo`050000003oool000000?ooo`0000000P3oool00`000000
oooo000000030?ooo`030000003oool0oooo0080000000@0oooo0000003oool000000P3oool20000
0080oooo0P0000000`3oool00000000000020?ooo`<0000000<0oooo0000003oool00`000000103o
ool000000000003oool2000000030?ooo`000000000000<0oooo0P0000001@3oool000000000003o
ool0000000<0oooo0`0000001@3oool00000000000000000oooo00800000103oool500000080oooo
1P0000040?ooo`D000000P3oool600000080oooo0`0000040?ooo`040000003oool000000?ooo`80
00000P3oool2000000<0oooo0P000000103oool000000000003oool200000080oooo00<000000?oo
o`3oool0100000020?ooo`8000000P3oool2000000030?ooo`000000oooo0080oooo0P000000103o
ool000000000003oool200000080oooo00@000000?ooo`000000oooo0P0000000`3oool000000000
00020?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P0000030?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00`0000040?ooo`8000000P3oool300000080oooo0P00
00050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<0
00000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0>@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`000000103oool01@000000oooo0000003oool0000000<0oooo00<000000?ooo`0000000`3o
ool3000000030?ooo`000000oooo0080oooo0P0000030?ooo`8000000P3oool01@000000oooo0000
003oool0000000<0oooo0P000000103oool000000000003oool300000080oooo0P000000103oool0
00000?ooo`3oool2000000050?ooo`00000000000000003oool00P0000000`3oool0000000000003
0?ooo`80000000D0oooo000000000000oooo000000030?ooo`<0000000@0oooo0000000000000000
0P3oool2000000@0oooo1P0000020?oooa0000000`3oool4000000@0oooo1`0000020?ooo`800000
0`3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`00000000000080
00000`3oool2000000040?ooo`00000000000?ooo`8000000P3oool2000000030?ooo`000000oooo
00<000000P3oool010000000oooo0000003oool2000000030?ooo`000000000000<0oooo00<00000
0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool00P0000040?ooo`8000000P3oool3000000<0oooo0P0000050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool00P3o
ool2000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo04d0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0>P3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`050?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool3
00000080oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo00D000000?ooo`000000
oooo000000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P000000103oool0
00000?ooo`0000020?ooo`8000000P3oool2000000030?ooo`00000000000080oooo0`0000000`3o
ool000000?ooo`03000000050?ooo`00000000000000003oool00P0000000`3oool000000?ooo`02
0?ooo`040000003oool000000?ooo`80000000<0oooo0000000000000P3oool4000000050?ooo`00
000000000000003oool0100000030?oooa8000000P3oool7000000@0oooo200000000`3oool00000
000000030?ooo`H0000000<0oooo0000000000000P3oool200000080oooo00@000000?ooo`000000
00000P3oool2000000030?ooo`00000000000080oooo00@000000?ooo`3oool0oooo0P000000103o
ool000000000003oool200000080oooo00@000000?ooo`000000oooo0P000000203oool000000000
00000000oooo0000003oool000000P3oool00`000000oooo0?ooo`02000000<0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`03000000@0oooo0P0000020?ooo`<000000P3oool30000
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`<00000103oool00`00
0000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo
01h0oooo000P0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool2000000D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`800000103oool01@000000
oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool01@000000oooo0000003oool0
000000<0oooo00<000000?ooo`0000000`3oool3000000030?ooo`000000oooo0080oooo0P000003
0?ooo`8000000P3oool01@000000oooo0000003oool0000000<0oooo0P0000000`3oool000000000
00020?ooo`8000000P3oool200000080oooo00<000000?ooo`0000000P0000000`3oool000000000
00020?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`000000oooo0P0000000`3oool0
0000000000030?ooo`<0000000@0oooo00000000000000000P3oool00`000000oooo000000020000
00@0oooo500000050?ooo`H0000000@0oooo0000003oool0oooo0P0000030?ooo`@0000000<0oooo
0000003oool00P0000020?ooo`8000000P3oool010000000oooo0000000000020?ooo`80000000H0
oooo0000003oool000000?ooo`0000030?ooo`80000000@0oooo000000000000oooo0P0000020?oo
o`040000003oool000000?ooo`80000000<0oooo0000000000000P000000103oool000000?ooo`00
00020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`02000000@0oooo0P0000020?ooo`<000000`3oool2000000D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`8000001@3oool010000000oooo0?ooo`3oool400000080
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00`0
oooo0P0000100?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03/0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool01@3oool2000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo
0`0000020?ooo`040000003oool0oooo0?ooo`800000103oool01@000000oooo0000003oool00000
0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02000000040?ooo`000000oooo
000000<0oooo00<000000?ooo`3oool00P000000103oool000000?ooo`0000020?ooo`80000000@0
oooo000000000000oooo0P0000020?ooo`80000000<0oooo0000000000000P3oool020000000oooo
0?ooo`3oool000000?ooo`000000oooo0P000000103oool000000000000000020?ooo`@0000000D0
oooo00000000000000000?ooo`0200000080oooo0`0000050?ooo`d000001@3oool7000000030?oo
o`00000000000080oooo00<000000?ooo`3oool00P3oool2000000050?ooo`000000oooo0000003o
ool00P0000020?ooo`8000000P3oool010000000oooo0000000000030?ooo`030000003oool0oooo
0080000000<0oooo0000000000000P3oool2000000060?ooo`000000oooo0000003oool000000`3o
ool01@000000oooo0000003oool000000080oooo0`000000103oool000000?ooo`0000020?ooo`03
0000003oool0oooo008000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo00<0
0000103oool2000000030?ooo`0000000000008000000`3oool2000000@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`020?ooo`<00000103oool010000000oooo0?ooo`3oool40000
00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00`0oooo0P0000110?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo03`0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool0103oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
00@0oooo0P0000020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`<0000000<0
oooo0000003oool00P3oool2000000<0oooo0P0000020?ooo`060000003oool0oooo0000003oool0
00000P3oool200000080oooo00<000000?ooo`3oool00P0000020?ooo`<0000000<0oooo00000000
00000`0000020?ooo`80000000<0oooo0000000000000P3oool020000000oooo0?ooo`3oool00000
0?ooo`000000oooo0P000000103oool000000?ooo`0000030?ooo`@0000000D0oooo000000000000
00000?ooo`0300000080oooo0`00000@0?ooo``000000P3oool2000000<0oooo0`0000000`3oool0
00000000000400000080oooo0P0000020?ooo`040000003oool00000000000<0oooo0P000000103o
ool000000000003oool200000080oooo0`000000103oool000000000003oool200000080oooo00@0
00000?ooo`000000oooo0P0000000`3oool0000000000002000000040?ooo`000000oooo00000080
oooo00@000000?ooo`3oool000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo
00800000103oool2000000<0oooo0`0000020?ooo`8000001@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00<0oooo0P0000020?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0;0?oo
o`<00000@@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0l0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00D0oooo0P0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool00`3oool2000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<0
00000P3oool010000000oooo0?ooo`3oool2000000@0oooo00D000000?ooo`000000oooo00000002
0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P000000103oool000000?ooo`00
00030?ooo`80000000@0oooo000000000000oooo0`0000020?ooo`8000000P3oool00`000000oooo
0000000200000080oooo0P0000000`3oool00000000000020?ooo`040000003oool0oooo0?ooo`H0
000000<0oooo0000003oool00P0000020?ooo`D0000000<0oooo0000000000000P0000000`3oool0
000000000007000000H0oooo2P0000000`3oool000000000000300000080oooo0P0000040?ooo`80
000000D0oooo00000000000000000?ooo`03000000<0oooo00<000000?ooo`3oool00P0000000`3o
ool00000000000020?ooo`80000000@0oooo000000000000oooo0P0000030?ooo`80000000@0oooo
000000000000oooo0P0000030?ooo`060000003oool000000?ooo`000000oooo1P0000001@3oool0
00000?ooo`3oool000000080oooo0P0000030?ooo`030000003oool0000000<0oooo00<000000?oo
o`0000000P0000040?ooo`8000000P3oool00`000000oooo000000030?ooo`800000103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool02`3oool400000440oooo00<000000?ooo`3oool07P3oool00200
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00@000000?ooo`3oool00000103oool200000080oooo00L000000?ooo`3oool0oooo0000003o
ool0000000<0oooo0`0000000`3oool000000?ooo`020?ooo`8000000`3oool200000080oooo00H0
00000?ooo`3oool000000?ooo`0000020?ooo`8000000P3oool2000000040?ooo`000000oooo0000
0080oooo0P000000103oool000000000003oool300000080oooo0P0000000`3oool0000000000002
0?ooo`040000003oool0oooo0?ooo`P000000P3oool2000000030?ooo`000000000000@0000000<0
oooo0000000000000`0000030?ooo`l000000`3oool6000000030?ooo`0000000000008000000`3o
ool3000000050?ooo`000000oooo0000003oool00P0000040?ooo`80000000@0oooo000000000000
oooo0P0000020?ooo`8000000P3oool2000000030?ooo`00000000000080oooo0P0000001P3oool0
00000?ooo`000000oooo000000<0oooo00@000000?ooo`000000oooo0P0000000`3oool000000000
0002000000040?ooo`000000oooo00000080oooo00@000000?ooo`3oool00000103oool2000000<0
oooo00<000000?ooo`3oool00P0000040?ooo`030000003oool000000080oooo0P0000030?ooo`80
00001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`03
0000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool02P3oool400000480oooo00<000000?ooo`3oool07P3oool00200
oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`8000001@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`000000103oool300000080oooo00@000000?ooo`3oool0oooo0P0000040?oo
o`050000003oool000000?ooo`0000000P3oool00`000000oooo000000030?ooo`8000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo0P0000020?ooo`030000003oool0oooo00800000
0P3oool3000000050?ooo`00000000000000003oool00P0000020?ooo`80000000<0oooo00000000
00000P3oool00`000000oooo0?ooo`020?ooo`P000000P3oool00`000000oooo0?ooo`0600000003
0?ooo`000000000000L000003@3oool6000000030?ooo`000000000000800000103oool300000005
0?ooo`000000oooo0000003oool00P0000040?ooo`80000000@0oooo000000000000oooo0`000000
1@3oool000000?ooo`000000oooo0080000000<0oooo0000000000000P3oool3000000040?ooo`00
000000000?ooo`8000000`3oool00`000000oooo00000002000000030?ooo`000000000000@00000
00D0oooo0000003oool0oooo000000020?ooo`8000000`3oool00`000000oooo000000030?ooo`03
0000003oool0000000800000103oool200000080oooo00<000000?ooo`0000000`3oool2000000@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00`0oooo0`00000U0?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`040?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000103oool200000080
oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0`0000000`3oool000000?ooo`02
0?ooo`8000000`3oool200000080oooo0P000000103oool000000?ooo`0000020?ooo`<0000000@0
oooo000000000000oooo0`0000020?ooo`8000000P3oool3000000040?ooo`00000000000?ooo`80
00000P3oool200000080oooo00<000000?ooo`3oool00P3oool3000000040?ooo`00000000000?oo
o`80000000<0oooo0000000000000P3oool7000000030?ooo`000000000001<000000P3oool50000
00@0oooo0`0000001P3oool000000000003oool000000?ooo`800000103oool2000000040?ooo`00
000000000?ooo`<0000000D0oooo0000003oool000000?ooo`02000000030?ooo`00000000000080
oooo0`0000000`3oool000000?ooo`03000000<0oooo00D000000?ooo`000000oooo000000020?oo
o`<000000P3oool2000000<0oooo00@000000?ooo`0000000000103oool2000000<0oooo00<00000
0?ooo`3oool00P0000040?ooo`030000003oool000000080oooo0P0000030?ooo`8000001@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0
oooo00<0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0S0?ooo`8000007@3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo0P000005
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo000000040?ooo`<000000P3oool010000000oooo0?ooo`3o
ool2000000@0oooo00D000000?ooo`000000oooo000000030?ooo`8000000`3oool200000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`8000000P3oool00`000000oooo0?ooo`030000
00070?ooo`00000000000000003oool000000?ooo`02000000040?ooo`00000000000?ooo`800000
0P3oool200000080oooo00<000000?ooo`3oool00P3oool3000000030?ooo`00000000000080oooo
0P0000000`3oool00000000000030?ooo`H00000103oool;000000D0oooo1@0000040?ooo`H00000
00<0oooo0000000000000`0000040?ooo`80000000@0oooo000000000000oooo1`000000103oool0
00000000003oool2000000<0oooo0P0000001@3oool000000?ooo`000000oooo008000000`3oool2
000000040?ooo`00000000000?ooo`<000000P3oool00`000000oooo000000020?ooo`030000003o
ool0oooo008000000`3oool00`000000oooo000000030?ooo`030000003oool0000000800000103o
ool200000080oooo00<000000?ooo`0000000`3oool2000000@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool08P3oool4000001d0oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`8000001@3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool00000103oool200000080oooo00L000000?ooo`3oool0oooo
0000003oool0000000<0oooo0`0000000`3oool000000?ooo`020?ooo`030000003oool000000080
oooo0`0000020?ooo`060000003oool0oooo0000003oool000000P3oool200000080oooo00L00000
0?ooo`3oool000000?ooo`000000oooo00<0000000<0oooo0000003oool00P000000103oool00000
0?ooo`3oool200000080oooo0P0000020?ooo`8000000`3oool4000000030?ooo`00000000000080
oooo0P0000000`3oool00000000000050?ooo`T000001P3oool8000000H0oooo100000000`3oool0
00000?ooo`02000000040?ooo`0000000000000000<0oooo0`000000103oool000000000003oool7
00000080oooo100000030?ooo`<0000000@0oooo000000000000oooo0P0000030?ooo`060000003o
ool000000?ooo`000000oooo0`0000030?ooo`8000000`3oool010000000oooo0000000000040?oo
o`8000000`3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`0000000P3oool20000
00<0oooo0P0000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool20000
00D0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000L0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0280oooo1000000N
0?ooo`030000003oool0oooo01h0oooo000P0?ooo`<00000@03oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?oo
o`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?oo
o`030000003oool0oooo0080oooo00<000000?ooo`000000103oool300000080oooo00@000000?oo
o`3oool0oooo0P0000040?ooo`050000003oool000000?ooo`0000000`3oool2000000<0oooo0`00
00001`3oool000000?ooo`3oool000000?ooo`0000000P3oool3000000040?ooo`000000oooo0?oo
o`<000000P3oool3000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`8000000`3o
ool00`000000oooo0?ooo`02000000<0oooo100000020?ooo`8000000P3oool6000000D0oooo3`00
00090?ooo`@0000000H0oooo000000000000oooo0000003oool4000000<0oooo00@000000?ooo`00
0000oooo0P0000000`3oool000000000000500000080oooo1@0000020?ooo`<0000000<0oooo0000
003oool00`0000040?ooo`80000000@0oooo000000000000oooo0`0000020?ooo`8000000`3oool0
0`000000oooo0?ooo`02000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo00000002
000000@0oooo0P0000020?ooo`030000003oool0000000<0oooo0P0000040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0280oooo1000000L0?ooo`<00000803oool0
0200oooo1@00000o0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool00000103oool200000080oooo00L000000?ooo`3oool0oooo0000
003oool0000000<0oooo0`0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo
0P0000020?ooo`060000003oool0oooo0000003oool000000P3oool200000080oooo00<000000?oo
o`3oool00`0000020?ooo`<0000000@0oooo000000000000oooo0`0000020?ooo`8000000`3oool0
0`000000oooo0?ooo`03000000<0oooo100000020?ooo`8000000`3oool6000000X0oooo1`000006
0?ooo`@000000P3oool2000000030?ooo`000000000000@00000103oool3000000040?ooo`000000
00000?ooo`8000000P3oool300000080oooo0P0000000`3oool00000000000020?ooo`<0000000H0
oooo0000003oool000000?ooo`0000040?ooo`80000000@0oooo000000000000oooo0`0000030?oo
o`8000000`3oool010000000oooo0000000000040?ooo`8000000`3oool00`000000oooo0?ooo`02
000000@0oooo00<000000?ooo`0000000P3oool2000000<0oooo0P0000050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool00`3oool0
1@000000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0280oooo00@000000?ooo`3oool000007@3oool300000200oooo
000P0?ooo`T00000?03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`000000103oool300000080oooo00@000000?ooo`3oool0oooo0P0000040?ooo`<00000
00<0oooo0000003oool00P3oool00`000000oooo000000020?ooo`040000003oool000000?ooo`80
000000H0oooo0000003oool0oooo0000003oool300000080oooo00<000000?ooo`3oool00`000002
0?ooo`8000000P3oool2000000040?ooo`000000000000000080oooo0P0000030?ooo`060000003o
ool0oooo0000003oool000000`3oool4000000<0oooo0P0000040?ooo`H000001`3oool?00000080
oooo0P000000103oool000000000003oool4000000<0oooo0`0000020?ooo`030000003oool0oooo
008000000`3oool200000080oooo0P0000000`3oool00000000000030?ooo`040000003oool00000
0?ooo`80000000<0oooo0000000000000`3oool200000080oooo00<000000?ooo`0000000`000002
0?ooo`8000000`3oool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`0000000`3oool0
0`000000oooo00000002000000@0oooo0P0000020?ooo`030000003oool0000000<0oooo0P000004
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0240oooo00<00000
0?ooo`3oool07`3oool300000200oooo000P0?ooo`L00000703oool200000200oooo1@0000080?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040000
00030?ooo`000000000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?oo
o`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000<000000P3oool20000
00<0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`<000000P3oool010000000oooo0?oo
o`3oool2000000<0oooo1P000000103oool000000?ooo`0000020?ooo`<000000P3oool00`000000
oooo0?ooo`02000000<0oooo0P0000020?ooo`80000000@0oooo00000000000000000P3oool60000
0080oooo100000030?ooo`@000000`3oool3000000D0oooo500000040?ooo`80000000@0oooo0000
00000000oooo100000040?ooo`040000003oool000000?ooo`8000000P3oool300000080oooo00@0
00000?ooo`000000oooo0P0000000`3oool00000000000030?ooo`060000003oool000000?ooo`00
0000oooo0`0000030?ooo`040000003oool000000?ooo`80000000<0oooo00000000000010000000
0`3oool000000?ooo`020?ooo`040000003oool00000000000@0oooo0P0000030?ooo`030000003o
ool0oooo00800000103oool00`000000oooo000000020?ooo`@0000000<0oooo0000000000001@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003o
ool0oooo00<0oooo1@0000070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0303o
ool400000200oooo0P00000R0?ooo`800000803oool00200oooo1000000H0?ooo`040000003oool0
oooo0?ooo`<000000P3oool010000000oooo0?ooo`00000G0?ooo`L000000`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool8000000@0oooo
0`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000030?oo
o`000000000000H0000000H0oooo0000003oool0oooo0000003oool300000080oooo00L000000?oo
o`3oool0oooo0000003oool0000000<0oooo0`0000000`3oool000000?ooo`020?ooo`P000000P3o
ool2000000040?ooo`000000oooo00000080oooo0P0000020?ooo`8000000P3oool2000000<0oooo
0P0000020?ooo`80000000D0oooo00000000000000000?ooo`04000000050?ooo`00000000000000
003oool00P0000000`3oool000000?ooo`030?ooo`@000000`3oool5000000P0oooo200000060?oo
o`H0000000<0oooo0000000000000P0000050?ooo`<0000000@0oooo000000000000oooo0`000002
0?ooo`@0000000@0oooo000000000000oooo0P0000030?ooo`<0000000H0oooo0000003oool00000
0?ooo`0000040?ooo`8000000P3oool00`000000oooo00000002000000<0oooo1P0000020?ooo`03
0000003oool0oooo0080oooo0P0000040?ooo`030000003oool0000000800000103oool2000000@0
oooo00<000000?ooo`3oool0200000060?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`03
0000003oool0oooo00L0oooo200000090?ooo`030000003oool0oooo0100oooo1P00000L0?ooo`@0
00000`3oool00`000000oooo0?ooo`0H0?ooo`800000803oool00200oooo0P00000H0?ooo`H00000
1P3oool4000000/0oooo0P0000030?ooo`H000001`3oool010000000oooo0?ooo`0000080?ooo`80
00001@3oool8000000H0oooo00<000000?ooo`3oool00`3oool010000000oooo0000000000050?oo
o`<00000103oool900000080oooo00<000000?ooo`3oool00`3oool01@000000oooo0000003oool0
00000080oooo0P0000030?ooo`070000003oool0oooo0000003oool000000?ooo`0<000000080?oo
o`000000oooo0?ooo`000000oooo0000003oool2000000050?ooo`000000oooo0?ooo`0000000P3o
ool200000080oooo0P000000103oool000000000000000030?ooo`80000000<0oooo000000000000
1@0000020?ooo`<0000000<0oooo000000000000100000000`3oool00000000000040?ooo`@00000
103oool6000000L0oooo0P0000050?ooo`H000000P3oool5000000D0oooo0`0000001@3oool00000
000000000000oooo00<000000`3oool010000000oooo0000003oool600000080oooo0`0000001@3o
ool000000?ooo`000000oooo008000000`3oool200000080oooo0P0000000`3oool0000000000003
0?ooo`8000000`3oool00`000000oooo00000005000000030?ooo`00000000000080000000@0oooo
0000003oool0oooo0P0000040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo
0P0000050?ooo`T000000`3oool4000000<0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`P0000000<0oooo0000003oool00P3oool2000001@0oooo1P0000030?ooo`800000
5@3oool6000001P0oooo0P00000P0?ooo`00803oool00`000000oooo0?ooo`0E0?ooo`H000002@3o
ool4000000L0oooo2000000>0?ooo`040000003oool0oooo000000@0oooo2P0000020?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool3000000<0oooo2`0000050?ooo`800000
0`3oool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0P0000020?ooo`040000003oool0oooo0?ooo`T0000000<0oooo0000003oool00P3oool00`000000
oooo000000020?ooo`@0000000L0oooo000000000000oooo0000003oool0000000<0oooo0P000002
0?ooo`80000000@0oooo00000000000000000P3oool;00000080oooo100000001@3oool000000000
00000000oooo0080000000<0oooo0000003oool0103oool6000000<0oooo4`0000030?ooo`D00000
1`3oool7000000040?ooo`000000000000000080oooo0P0000000`3oool000000?ooo`0200000003
0?ooo`000000000000H0000000D0oooo0000003oool000000?ooo`02000000<0oooo00@000000?oo
o`000000oooo0P000000103oool000000000000000020?ooo`030000003oool0000000<0oooo00@0
00000?ooo`0000000000103oool;000000@0oooo0P0000040?ooo`040000003oool0oooo0?ooo`80
0000103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/000002@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo2P00000G0?ooo`P00000503oool6000001L0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0503oool7000000P0oooo
1@0000050?ooo`P00000403oool01P000000oooo0?ooo`3oool000000?ooo`P000001`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000200000050?oo
o`030000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo0080oooo00D000000?oo
o`000000oooo000000020?ooo`8000000`3oool<00000080oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo0`0000020?ooo`80000000@0oooo0000003oool000000P3oool200000080
oooo0P0000020?ooo`8000000`3oool7000000030?ooo`0000000000008000000P3oool800000003
0?ooo`0000000000008000001P3oool800000080oooo200000060?ooo`H00000203oool300000005
0?ooo`000000oooo0000003oool0100000020?ooo`80000000<0oooo0000003oool00P0000000`3o
ool000000000000600000080oooo0P0000000`3oool00000000000040?ooo`80000000@0oooo0000
00000000oooo0`0000030?ooo`8000000`3oool00`000000oooo0?ooo`02000000@0oooo0P000000
0`3oool0000000000005000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3o
ool2000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`X000001`3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3o
ool7000001L0oooo2000000B0?ooo`L000005P3oool00`000000oooo0?ooo`0N0?ooo`00803oool0
0`000000oooo0?ooo`0U0?ooo`@00000203oool400000140oooo00@000000?ooo`3oool000001@3o
ool4000000P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`<000000`3o
ool4000000H0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3o
ool01`000000oooo0?ooo`000000oooo0000003oool00`0000020?ooo`040000003oool0oooo0?oo
o`D0000000H0oooo00000000000000000?ooo`0000040?ooo`8000000`3oool010000000oooo0000
003oool2000000050?ooo`000000oooo0?ooo`0000000P3oool200000080oooo0P0000020?ooo`80
00000`3oool200000080oooo00@000000?ooo`000000oooo100000020?ooo`T0000000<0oooo0000
000000000P0000080?oooaP00000203oool3000000060?ooo`00000000000?ooo`000000oooo0`00
00030?ooo`80000000<0oooo0000003oool00P000000103oool000000000000000020?ooo`030000
003oool000000080oooo0P000000103oool000000000000000030?ooo`8000000P3oool00`000000
oooo0?ooo`02000000<0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02000000@0
oooo0P0000020?ooo`H000001@3oool2000000@0oooo00@000000?ooo`3oool0oooo0P0000040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool6000000030?ooo`000000oooo
00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00<0oooo1000000J0?ooo`@00000<`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0X0?ooo`8000007@3oool01P000000oooo0?ooo`000000oooo000000H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P00
00040?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo000000020?ooo`800000
0`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000
003oool00P3oool00`000000oooo000000030?ooo`<0000000L0oooo000000000000oooo0000003o
ool0000000<0oooo0P0000020?ooo`8000000P3oool2000000<0oooo0P0000020?ooo`030000003o
ool000000080oooo0`0000020?ooo`X000000P3oool3000000X0oooo4@0000080?ooo`@0000000@0
oooo000000000000oooo0P000000103oool000000000000000030?ooo`@0000000@0oooo00000000
0000oooo0`0000030?ooo`<0000000<0oooo0000000000000P3oool2000000<0oooo00@000000?oo
o`000000oooo0P0000000`3oool00000000000040?ooo`8000000`3oool00`000000oooo00000002
000000<0oooo0P0000040?ooo`030000003oool0oooo00800000103oool00`000000oooo00000003
0?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool07P3o
ool00200oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`03000000H0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo10000004
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<00000
0?ooo`3oool00P3oool01`000000oooo0?ooo`000000oooo0000003oool00`0000020?ooo`070000
003oool0oooo0?ooo`000000oooo000000030?ooo`<0000000<0oooo0000003oool00`3oool00`00
0000oooo000000020?ooo`@0000000<0oooo0000000000000P0000000`3oool000000?ooo`020?oo
o`8000000P3oool200000080oooo0P0000030?ooo`8000000P3oool00`000000oooo000000020?oo
o`<000000`3oool400000080oooo00@000000?ooo`00000000000`3oool3000001`0oooo1P000000
103oool000000000003oool2000000030?ooo`0000000000008000000`3oool300000080oooo0P00
0000103oool000000000000000030?ooo`<0000000<0oooo0000000000000P3oool2000000<0oooo
00@000000?ooo`000000oooo0P000000103oool000000000000000030?ooo`8000000`3oool00`00
0000oooo0?ooo`02000000@0oooo0P0000030?ooo`030000003oool0oooo00800000103oool00`00
0000oooo000000040?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05T0oooo00<00000
0?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0B03oool6000000H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00@000000?oo
o`00000000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P000004
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`000000oooo000000020?ooo`8000000`3o
ool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool3000000030?ooo`000000oooo0080
oooo00<000000?ooo`0000000`3oool00`000000oooo00000006000000030?ooo`000000oooo0080
oooo0P0000020?ooo`8000000P3oool2000000<0oooo0P0000020?ooo`030000003oool000000080
oooo100000020?ooo`D0000000@0oooo000000000000oooo0P0000030?ooo`D000005@3oool30000
00030?ooo`00000000000080oooo0P000000103oool000000000003oool4000000@0oooo00<00000
0?ooo`0000000P3oool2000000040?ooo`0000000000000000<0oooo0`0000001@3oool000000?oo
o`000000oooo00800000103oool2000000030?ooo`00000000000080oooo0P0000030?ooo`030000
003oool0000000<0oooo00<000000?ooo`0000000P0000030?ooo`800000103oool00`000000oooo
0?ooo`02000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`1J0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04T0oooo
1@0000060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`030?ooo`@000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool000000?ooo`0500000080
oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0?ooo`<0000000<0oooo
0000003oool00P3oool00`000000oooo000000030?ooo`030000003oool0000000@0000000@0oooo
0000003oool000000`3oool200000080oooo0P000000103oool000000?ooo`0000040?ooo`030000
003oool0oooo00<000000`3oool3000000<0oooo1@000000103oool000000000003oool2000000@0
oooo1P00000=0?ooo`P0000000D0oooo00000000000000000?ooo`02000000030?ooo`0000000000
00800000103oool400000080oooo0P000000103oool000000000000000030?ooo`<0000000D0oooo
0000003oool000000?ooo`02000000@0oooo0P0000020?ooo`030000003oool0oooo00800000103o
ool2000000<0oooo00<000000?ooo`0000000P0000040?ooo`8000000`3oool00`000000oooo0?oo
o`02000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`03000000@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`1J0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04X0oooo10000007
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`3o
ool5000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo0?ooo`020?ooo`030000003oool0000000<0000000@0oooo0000000000000000
0P3oool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool300000080oooo00L000000?oo
o`3oool0oooo0000003oool0000000<0oooo1P0000020?ooo`030000003oool000000080oooo0`00
00020?ooo`80000000@0oooo0000003oool00000103oool200000080oooo0P0000030?ooo`<00000
103oool5000000030?ooo`000000000000<000001P3ooolC000000<0oooo0P0000020?ooo`800000
00<0oooo0000000000000P0000050?ooo`<000000P3oool3000000030?ooo`000000000000@0oooo
0`0000001@3oool000000?ooo`000000oooo00800000103oool200000080oooo0P0000000`3oool0
0000000000040?ooo`8000000`3oool00`000000oooo0?ooo`02000000@0oooo0P0000040?ooo`04
0000003oool0oooo000000@0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3o
ool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0
oooo04X0oooo00<000000?ooo`3oool00P0000070?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool02@3oool010000000oooo0?ooo`3oool5000000D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0000000D0000000D0oooo0000003oool0oooo000000030?ooo`030000003oool0000000<0oooo
0`0000000`3oool000000?ooo`020?ooo`030000003oool0000000<0oooo00<000000?ooo`000000
0P3oool200000080oooo00<000000?ooo`0000000P3oool2000000<0oooo0P000000103oool00000
0?ooo`0000040?ooo`8000000P3oool2000000<0oooo100000040?ooo`D000000P3oool7000000L0
oooo1P0000060?ooo`P0000000<0oooo0000000000000P0000050?ooo`@000000P3oool200000080
oooo0P0000040?ooo`<000000P3oool2000000030?ooo`000000000000@0oooo0P0000020?ooo`80
00000P3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo00000002000000<0
oooo0P0000040?ooo`030000003oool0oooo00800000103oool00`000000oooo000000030?ooo`04
0000003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
0080oooo0`0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool07P3oool00200
oooo00<000000?ooo`3oool0B`3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000
003oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0`0000030?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00`000000103oool00000000000000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`04000000030?ooo`00
0000oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo000000020?ooo`8000000P3o
ool00`000000oooo000000020?ooo`8000000`3oool2000000040?ooo`000000oooo000000@0oooo
0`000000103oool000000000000000030?ooo`@00000103oool600000080oooo0`0000000`3oool0
000000000004000000L0oooo2@0000040?ooo`@000001@3oool400000080oooo0`0000020?ooo`80
0000103oool300000080oooo0P0000020?ooo`030000003oool0oooo0080oooo0P0000020?ooo`80
00000P3oool2000000@0oooo0P0000030?ooo`030000003oool0000000800000103oool2000000@0
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000030?ooo`040000003oool0
oooo0?ooo`800000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P00
00050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0C03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool02@3oool010000000oooo0?ooo`3oool5000000D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003o
ool000000080000000<0oooo0000003oool00P0000020?ooo`070000003oool0oooo0?ooo`000000
oooo000000030?ooo`<000000P3oool010000000oooo0?ooo`0000020?ooo`080000003oool0oooo
0?ooo`000000oooo0000003oool200000080oooo00@000000?ooo`3oool000000P3oool2000000<0
oooo0P000000103oool000000?ooo`0000050?ooo`8000000P3oool300000080oooo1@0000040?oo
o`P0000000<0oooo0000000000003`0000060?ooo`H000001@3oool5000000040?ooo`0000000000
000000<0oooo0P0000040?ooo`<000000P3oool200000080oooo00<000000?ooo`3oool00P3oool2
000000<0oooo00<000000?ooo`3oool00P0000040?ooo`800000103oool4000000@0oooo0P000004
0?ooo`030000003oool0oooo008000000`3oool010000000oooo0?ooo`0000030?ooo`040000003o
ool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo
0`0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3oool07P3oool00200oooo00<0
00000?ooo`3oool0C@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000003oool00`3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`0000001@3oool000000000003oool000000080oooo
00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0`0000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`0200000080oooo00<00000
0?ooo`0000000`3oool2000000<0oooo0P0000000`3oool000000?ooo`02000000@0oooo0P000002
0?ooo`040000003oool0000000000080oooo1@0000050?ooo`T00000403oool8000000D0oooo1@00
00020?ooo`030000003oool000000080oooo0`0000030?ooo`<000000`3oool200000080oooo0P00
00030?ooo`8000000`3oool200000080oooo0P0000030?ooo`800000103oool010000000oooo0000
000000040?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000040?ooo`04
0000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0
oooo00D0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05d0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`02
0?ooo`040000003oool00000000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool000000?ooo`000000
0P3oool300000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00@0
000000<0oooo0000003oool00P3oool00`000000oooo000000030?ooo`@0000000<0oooo00000000
00000P3oool00`000000oooo000000030?ooo`8000000`3oool2000000030?ooo`00000000000080
0000103oool3000000050?ooo`00000000000?ooo`0000000`3oool5000000H0oooo700000050?oo
o`D000000P3oool400000080oooo0P0000040?ooo`<000000`3oool200000080oooo0P0000030?oo
o`030000003oool000000080oooo0P0000020?ooo`8000000`3oool2000000@0oooo00<000000?oo
o`0000000P0000040?ooo`800000103oool00`000000oooo0?ooo`02000000<0oooo00@000000?oo
o`3oool000000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1N0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool0
0`000000oooo000000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000030?ooo`@000000P3o
ool01`000000oooo0?ooo`3oool000000?ooo`0000000`3oool300000080oooo00L000000?ooo`3o
ool0oooo0000003oool0000000<0oooo00<000000?ooo`0000000P3oool200000080oooo00<00000
0?ooo`0000000`3oool2000000<0oooo0P0000020?ooo`030000003oool0000000@0oooo0`000002
0?ooo`@000000`3oool5000000T0oooo4`0000060?ooo`H000000P3oool2000000040?ooo`000000
oooo0?ooo`<00000103oool300000080oooo0`0000020?ooo`8000000`3oool00`000000oooo0000
00020?ooo`8000000P3oool2000000@0oooo0P0000030?ooo`030000003oool0000000800000103o
ool2000000@0oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`050?ooo`040000
003oool0oooo0?ooo`<000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo01h0
oooo000P0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo
000000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`80000000D0oooo0000003oool0
oooo000000030?ooo`030000003oool0000000<0oooo0`0000020?ooo`070000003oool0oooo0?oo
o`000000oooo000000030?ooo`030000003oool000000080oooo0P0000020?ooo`030000003oool0
000000<0oooo0P0000030?ooo`8000000P3oool010000000oooo0000000000030?ooo`@000000P3o
ool3000000@0oooo1`00000;0?ooo`L000002@3oool4000000030?ooo`00000000000080oooo0P00
00000`3oool00000000000020?ooo`<00000103oool300000080oooo0P0000030?ooo`8000000`3o
ool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`000000103oool2000000@0oooo
00@000000?ooo`00000000001@3oool2000000<0oooo00D000000?ooo`3oool0oooo000000040?oo
o`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P3oool3000000D0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0G`3o
ool00`000000oooo0?ooo`0N0?ooo`00803oool3000004l0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo000000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool3
00000080oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0?ooo`<00000
0P3oool010000000oooo0?ooo`0000020?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`8000000P3oool00`000000oooo000000030?ooo`8000000`3oool200000080oooo00@00000
0?ooo`0000000000103oool3000000<0oooo0`0000050?ooo`P000004P3oool:00000080oooo0P00
00000`3oool00000000000020?ooo`<000001@3oool300000080oooo0P0000020?ooo`<000000`3o
ool00`000000oooo000000030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo00000002000000@0oooo0P0000040?ooo`030000003oool0oooo008000000`3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo05h0oooo0`00000P0?ooo`00803oool00`000000oooo0?ooo`1@0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
0000103oool00`000000oooo000000020?ooo`070000003oool0oooo0?ooo`000000oooo00000004
0?ooo`8000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`<00000
0P3oool200000080oooo00<000000?ooo`0000000`3oool300000080oooo0P0000020?ooo`800000
00<0oooo0000003oool0103oool3000000@0oooo0`0000050?ooo`8000000P3ooolI000000<0oooo
0`0000000`3oool00000000000020?ooo`<000001@3oool300000080oooo0`0000020?ooo`<00000
0`3oool00`000000oooo000000030?ooo`8000000P3oool2000000<0oooo0P0000040?ooo`030000
003oool0000000800000103oool2000000@0oooo00<000000?ooo`3oool00P0000030?ooo`050000
003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?oo
o`3oool0103oool010000000oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0H03oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000103oool20000
00040?ooo`000000oooo000000@0oooo00<000000?ooo`0000000`3oool300000080oooo00L00000
0?ooo`3oool0oooo0000003oool0000000@0oooo0`0000020?ooo`8000000P3oool00`000000oooo
000000030?ooo`<000000P3oool2000000<0oooo00@000000?ooo`0000000000103oool4000000@0
oooo100000040?ooo`<000001@3oool?000000D0oooo0P000000103oool000000000000000020?oo
o`<000001P3oool300000080oooo00<000000?ooo`0000000P3oool3000000<0oooo00<000000?oo
o`0000000`3oool200000080oooo0P0000030?ooo`030000003oool0000000<0oooo00<000000?oo
o`3oool00P0000050?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo00000004
0?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000
003oool0oooo00@0oooo00D000000?ooo`3oool000000?ooo`03000000D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo0P00001R0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
103oool00`000000oooo000000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000
103oool2000000040?ooo`000000oooo000000<0oooo00<000000?ooo`000000103oool300000080
oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0`000000103oool000000?ooo`00
00020?ooo`030000003oool0000000<0oooo0`0000030?ooo`8000000P3oool00`000000oooo0000
0002000000@0oooo100000050?ooo`D000000`3oool@000000H0oooo1P0000020?ooo`@000001`3o
ool300000080oooo0`0000020?ooo`<000000`3oool00`000000oooo000000030?ooo`8000000P3o
ool2000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`03000000@0oooo0P00
00040?ooo`030000003oool0oooo008000000`3oool01@000000oooo0?ooo`3oool000000080oooo
00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
00000004000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00D0oooo0`00001R0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003o
ool0oooo0580oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo000000040?ooo`<000000P3oool01`000000oooo0?ooo`3oool000000?oo
o`000000103oool2000000<0oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P00
00020?ooo`030000003oool000000080oooo00<000000?ooo`0000000`3oool3000000<0oooo0`00
0000103oool000000000003oool3000000@0oooo100000070?ooo`D000004P3oool600000080oooo
1@0000070?ooo`<000000P3oool3000000<0oooo0P0000040?ooo`030000003oool0000000<0oooo
0P0000020?ooo`8000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo00<00000
103oool2000000@0oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`00
00000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool0103oool01@00
0000oooo000000000000oooo008000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool01P3oool2000006<0oooo00<000000?ooo`3oool07P3oool0
0200oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool00000
00@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`000000oooo0000
00040?ooo`030000003oool0000000@0oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000
oooo000000030?ooo`<000000P3oool00`000000oooo000000020?ooo`030000003oool0000000<0
oooo0`0000030?ooo`030000003oool000000080oooo1P0000040?ooo`H000001`3ooolE000000@0
oooo1@0000070?ooo`<000000`3oool00`000000oooo000000020?ooo`<00000103oool00`000000
oooo000000030?ooo`8000000P3oool3000000<0oooo0P0000040?ooo`030000003oool000000080
0000103oool2000000@0oooo00D000000?ooo`000000oooo000000040?ooo`040000003oool0oooo
000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo00D0oooo1`00
00050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`050?ooo`<000009@3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000
oooo00<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`80000000@0oooo
0000003oool000000`3oool00`000000oooo000000040?ooo`<000000`3oool01`000000oooo0?oo
o`3oool000000?ooo`0000000`3oool300000080oooo00<000000?ooo`0000000P3oool010000000
oooo0000000000030?ooo`<000000P3oool400000080oooo1P0000040?ooo`P000001`3oool90000
00T0oooo1P0000070?ooo`@000000`3oool00`000000oooo000000020?ooo`<000000`3oool20000
00040?ooo`000000oooo0?ooo`<000000P3oool3000000<0oooo0P0000040?ooo`030000003oool0
0000008000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000<000000`3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000
003oool0oooo00@0oooo1@0000000`3oool000000?ooo`050?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`@000008`3oool2000003h0oooo
00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0E03oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`030?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0`00
00020?ooo`070000003oool0oooo0?ooo`000000oooo000000040?ooo`<000000`3oool01`000000
oooo0?ooo`3oool000000?ooo`0000000`3oool300000080oooo00<000000?ooo`0000000P3oool0
10000000oooo0?ooo`0000030?ooo`<000000`3oool00`000000oooo000000030?ooo`H000001P3o
ool800000140oooo200000060?ooo`D000000`3oool400000080oooo0`0000030?ooo`040000003o
ool0000000000080oooo0P0000030?ooo`<000000`3oool2000000@0oooo00H000000?ooo`3oool0
00000?ooo`0000040?ooo`800000103oool5000000<0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`P000001@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3o
ool4000002<0oooo0`00000n0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0
oooo05D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo000000040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool2000000<0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000040?ooo`<0000000<0oooo0000003oool00`3oool00`000000oooo0000
00040?ooo`<000000P3oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool300000080
oooo00<000000?ooo`0000000P3oool2000000030?ooo`000000oooo0080oooo0`0000030?ooo`04
0000003oool00000000000<0oooo1P0000070?oooa`000001@3oool3000000040?ooo`0000000000
00000080oooo0P000000103oool000000?ooo`3oool3000000@0oooo00<000000?ooo`0000000`3o
ool2000000<0oooo0`0000030?ooo`800000103oool00`000000oooo0?ooo`03000000@0oooo0P00
00040?ooo`H000000`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<00000
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0000000@000001@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool400000240oooo
1000000o0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo
00D000000?ooo`000000oooo000000040?ooo`8000001@3oool300000080oooo00L000000?ooo`3o
ool0oooo0000003oool0000000@0oooo0`0000020?ooo`030000003oool0000000<0oooo00<00000
0?ooo`000000103oool300000080oooo0P0000000`3oool00000000000040?ooo`D000002@3ooolC
000000P0oooo0P0000000`3oool000000000000200000080oooo0P0000000`3oool0000000000002
0?ooo`<00000103oool00`000000oooo000000030?ooo`8000000`3oool2000000@0oooo0P000004
0?ooo`030000003oool0oooo00<00000103oool2000000@0oooo1P0000030?ooo`050000003oool0
oooo0?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool0
103oool00`000000oooo000000020?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool200000280oooo1@00000o0?ooo`030000
003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103o
ool3000000@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`800000103o
ool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo0P000000103oool000000?oo
o`0000040?ooo`8000001@3oool2000000<0oooo00L000000?ooo`3oool0oooo0000003oool00000
00@0oooo00<000000?ooo`0000000P3oool3000000<0oooo00<000000?ooo`000000103oool40000
0080oooo0P0000000`3oool00000000000040?ooo`L000007@3oool8000000<0oooo00@000000?oo
o`00000000000P3oool4000000<0oooo0P0000000`3oool000000?ooo`020?ooo`8000000`3oool2
000000@0oooo0P0000050?ooo`030000003oool0000000800000103oool2000000D0oooo1P000002
0?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000H0oooo
00<000000?ooo`3oool0103oool200000080oooo0`0000050?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`800000903oool300000400oooo
00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`8000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000@0oooo0`00
00000`3oool000000?ooo`030?ooo`030000003oool0000000D0oooo0P0000030?ooo`070000003o
ool0oooo0?ooo`000000oooo000000040?ooo`030000003oool0000000<0oooo0P0000030?ooo`04
0000003oool00000000000@0oooo100000020?ooo`80000000@0oooo00000000000000000`3oool9
000001H0oooo2@0000030?ooo`@000000P3oool4000000@0oooo00@000000?ooo`3oool000000`3o
ool2000000030?ooo`000000000000800000103oool00`000000oooo000000040?ooo`030000003o
ool0000000800000103oool00`000000oooo000000040?ooo`8000000P3oool2000000<0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool0
103oool010000000oooo0000003oool3000000D0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0000000U0?ooo`8000006@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`1H0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00`3oool2000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`0000040?ooo`<0000000<0oooo0000003oool00`3oool00`000000oooo000000040?ooo`<0
00000`3oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool00`000000oooo00000003
0?ooo`<000000P3oool010000000oooo0?ooo`0000040?ooo`D000000P3oool3000000030?ooo`00
0000000000D0oooo2P00000=0?ooo`T000001@3oool4000000<0oooo100000040?ooo`040000003o
ool0oooo000000<0oooo1`0000040?ooo`030000003oool0000000@0oooo00D000000?ooo`000000
oooo000000050?ooo`800000103oool010000000oooo0000003oool2000000<0oooo00@000000?oo
o`3oool00000103oool01P000000oooo0?ooo`000000oooo000000H0oooo00<000000?ooo`3oool0
103oool200000080oooo0`0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`060?ooo`800000903oool00`000000oooo0?ooo`0S0?ooo`@00000
6P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1I0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00<0oooo0`0000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3o
ool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000050?ooo`050000003o
ool000000?ooo`000000103oool00`000000oooo000000040?ooo`<000000`3oool01P000000oooo
0?ooo`3oool000000?ooo`8000000`3oool010000000oooo0000000000020?ooo`030000003oool0
00000080oooo00@000000?ooo`3oool000001@3oool5000000<0oooo0P000000103oool000000000
000000060?oooaT000001P3oool4000000<0oooo100000040?ooo`80000000<0oooo000000000000
0P3oool8000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`02000000D0oooo
0P0000050?ooo`80000000<0oooo0000000000000`3oool01@000000oooo0?ooo`3oool0000000@0
oooo00<000000?ooo`3oool00P0000060?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`<0
00001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool2000002@0oooo00<000000?ooo`3oool08P3oool5000001/0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`800000
103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000@0oooo0`0000020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`000000103oool300000080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000030?ooo`@000000P3oool00`000000oooo000000020?ooo`80
000000<0oooo0000003oool01@3oool5000000<0oooo0`000000103oool000000000000000070?oo
oa4000001P3oool6000000<0oooo100000050?ooo`040000003oool0oooo000000<0oooo0P000000
0`3oool0000000000003000000@0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`02
000000D0oooo0P0000050?ooo`80000000<0oooo000000000000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool000000080oooo0P0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0903o
ool4000001/0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0FP3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`800000103oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00<0oooo0P0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000103o
ool300000080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000040?ooo`<000000P3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo100000020?ooo`@00000
0P3oool4000000D0oooo1P0000040?ooo`8000000P3oool3000001H0oooo1@000000103oool00000
0000000000030?ooo`@000001@3oool200000080oooo00<000000?ooo`3oool0200000040?ooo`80
000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`00
0000103oool200000080oooo0P0000030?ooo`040000003oool0oooo000000@0oooo00H000000?oo
o`3oool000000?ooo`0000060?ooo`030000003oool0oooo00@0oooo0P0000020?ooo`<00000103o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3o
ool2000002@0oooo00<000000?ooo`3oool08P3oool5000001`0oooo00<000000?ooo`3oool07P3o
ool00200oooo00@000000?ooo`3oool0oooo0P00001H0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo0`00
00040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`<0000000<0oooo0000003oool0
103oool00`000000oooo000000040?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`0000000`3oool00`000000oooo000000030?ooo`04
0000003oool00000000000D0oooo1`0000030?ooo`T000003@3oool500000080oooo100000040?oo
o`<000001P3oool2000000<0oooo00D000000?ooo`3oool000000?ooo`02000000040?ooo`000000
0000000000@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`03000000@0oooo
00<000000?ooo`000000103oool010000000oooo0000003oool2000000<0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`040000003oool0oooo0?ooo`8000001P3oool00`000000oooo0?ooo`04
0?ooo`8000000`3oool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00D0oooo0P00000T0?ooo`030000003oool0oooo0280oooo00D00000
0?ooo`3oool0oooo0000000M0?ooo`030000003oool0oooo01h0oooo000P0?ooo`040000003oool0
oooo0?ooo`H00000E@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`<00000103oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`0000001@3oool200000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00040?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo
0`0000030?ooo`040000003oool0000000000080oooo0P0000000`3oool00000000000050?ooo`P0
00001P3ooolG000000@0oooo1@0000060?ooo`8000000`3oool2000000030?ooo`000000000000<0
000000@0oooo0000000000000000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0
oooo00<00000103oool00`000000oooo000000040?ooo`040000003oool000000?ooo`800000103o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<000001@3oool00`000000oooo
0?ooo`050?ooo`8000000P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00H0oooo0P00000S0?ooo`030000003oool0oooo0240oooo
0P00000R0?ooo`030000003oool0oooo01h0oooo000P0?ooo``000005`3oool200000280oooo0`00
000F0?ooo`030000003oool0oooo00L0oooo100000040?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3oool00`3oool4000000D0oooo0P00
00040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000103oool300000080oooo00<0
00000?ooo`3oool0100000000`3oool000000?ooo`030?ooo`<000000P3oool00`000000oooo0?oo
o`020?ooo`040000003oool0oooo000000D0oooo0P0000030?ooo`80000000<0oooo000000000000
0P3oool2000000030?ooo`000000000000D0oooo100000000`3oool0000000000003000000X0oooo
5P0000060?ooo`8000000`3oool200000080oooo00<000000?ooo`0000001P0000040?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool00`0000050?ooo`800000103oool00`000000
oooo00000003000000@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`030000
00D0oooo00<000000?ooo`3oool01@3oool7000000@0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo1000000Q0?ooo`<000008@3oool20000
0240oooo0`00000P0?ooo`00803oool3000000030?ooo`000000000000@000005`3oool200000080
oooo0P00000L0?ooo`@000000`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00<0
oooo1P0000020?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000oooo0?ooo`030?oo
o`<00000103oool5000000<0oooo0P0000050?ooo`800000103oool00`000000oooo0?ooo`020?oo
o`040000003oool0oooo000000@0oooo1`0000030?ooo`040000003oool0oooo000000@0oooo0`00
00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool300000080oooo
0P000000103oool000000000000000020?ooo`80000000<0oooo0000000000001`3oool9000000T0
oooo100000020?ooo`X00000203oool2000000<0oooo0P0000020?ooo`@000000P3oool4000000@0
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`3oool2000000D0oooo0P000004
0?ooo`040000003oool0oooo0?ooo`D0000000<0oooo0000003oool00P3oool01@000000oooo0?oo
o`3oool0000000<0oooo0P0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
0P3oool500000080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00H0oooo00@000000?ooo`3oool0oooo1@00000O0?ooo`@000007`3oool2000001l0
oooo0`00000P0?ooo`00803oool200000080oooo0P00000F0?ooo`030000003oool0oooo00800000
1P3oool010000000oooo0?ooo`00000D0?ooo`@00000203oool00`000000oooo0?ooo`0C0?ooo`D0
00001P3oool00`000000oooo000000040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool6000000030?ooo`000000oooo00D0oooo0P0000060?ooo`800000103oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo1@0000020?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool00000103oool300000080oooo0P0000030?ooo`030000003oool0
oooo008000000`3oool500000080oooo1@0000030?ooo`80000000<0oooo0000000000002@3ooolJ
000000X0oooo0P0000030?ooo`8000000`3oool00`000000oooo000000020?ooo`@0000000<0oooo
0000000000000P3oool4000000@0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`800000103o
ool010000000oooo0?ooo`3oool2000000@0oooo1@0000030?ooo`040000003oool0oooo0?ooo`<0
00001@3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?ooo`<000000`3oool50000
00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo1@00000N0?ooo`@000007@3oool2000000<0oooo00<000000?ooo`3oool0603oool20000
0200oooo000P0?ooo`<00000603oool4000000T0oooo1000000:0?ooo`030000003oool0oooo0080
oooo1000000<0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool600000003
0?ooo`000000oooo00P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00@0oooo2@0000040?ooo`030000003oool0oooo00@0oooo0P0000050?oo
o`<000000`3oool00`000000oooo000000030?ooo`D000000`3oool2000000<0oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0000000<0oooo00@00000
0?ooo`3oool0oooo0P0000020?ooo`030000003oool0000000H000000`3oool=000000d0oooo3P00
000>0?ooo`8000000`3oool2000000<0oooo100000020?ooo`040000003oool00000000000@0oooo
1@0000040?ooo`040000003oool0oooo0?ooo`8000001@3oool2000000@0oooo00@000000?ooo`3o
ool0oooo0`0000040?ooo`030000003oool0oooo00D000000`3oool3000000D0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`020?oo
o`H000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo1@0000060?oo
o`030000003oool0oooo01@0oooo100000040?ooo`030000003oool0oooo01@0oooo1@00000H0?oo
o`<00000803oool00200oooo0P00000G0?ooo`D000002`3oool4000000L0oooo1`00000A0?ooo`03
0000003oool0oooo00<0oooo0`0000000`3oool0000000000003000000P0oooo00<000000?ooo`3o
ool01`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0000000<0oooo0000
00000000100000060?ooo`<000000`3oool00`000000oooo0?ooo`050?ooo`8000001@3oool20000
00<0oooo200000000`3oool000000?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`020?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000000@000000P3oool4000000<0oooo1`0000020?ooo`H000004P3oool2
000000d0oooo100000030?ooo`800000103oool300000080oooo1@0000050?ooo`030000003oool0
000000@0000000<0oooo0000003oool00P3oool2000000D0oooo0P0000040?ooo`040000003oool0
oooo0?ooo`<00000103oool010000000oooo0?ooo`0000040?ooo`T000000P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`00000010000000103oool000000000000000060?ooo`030000003oool0oooo0180
oooo1@000000103oool0000000000000000H0?ooo`L000005P3oool5000001L0oooo0P00000P0?oo
o`00803oool00`000000oooo0?ooo`0E0?ooo`H000002`3oool5000000@0oooo1P00000E0?ooo`03
0000003oool0oooo00H000003P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo0000
00<0oooo1P0000060?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`0000001@3oool8000000@0oooo00<000000?ooo`000000103oool30000
00<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0
000000<0oooo00<000000?ooo`3oool00P3oool6000000@0oooo100000030?ooo`D00000103oool3
000000030?ooo`0000000000008000003`3oool00`000000oooo0?ooo`070?ooo`@00000103oool3
000000@0oooo0`0000030?ooo`030000003oool0000000800000103oool2000000030?ooo`000000
000000D000000`3oool2000000@0oooo0`0000040?ooo`040000003oool0oooo0?ooo`<00000103o
ool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`T000001P3oool00`000000
oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0
oooo1P0000030?ooo`030000003oool0oooo01P0oooo1P00000I0?ooo`H00000503oool6000001L0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0503oool400000100oooo
100000000`3oool0000000000006000001H0oooo2000000?0?ooo`030000003oool0oooo00H0oooo
00D000000?ooo`3oool000000?ooo`07000000P0oooo00<000000?ooo`3oool00`3oool3000000@0
oooo00<000000?ooo`3oool0103oool2000000D0oooo200000050?ooo`030000003oool0000000@0
oooo0`0000020?ooo`030000003oool0oooo0080oooo0P0000000`3oool00000000000040?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool0100000000`3oool00000000000050?ooo`@0
0000103oool5000000D0oooo0`0000020?ooo`@000002`3oool00`000000oooo0?ooo`030?ooo`@0
00001@3oool3000000D0oooo100000020?ooo`D00000103oool200000080oooo00<000000?ooo`3o
ool00P3oool4000000030?ooo`000000000000@0oooo00<000000?ooo`0000001@3oool010000000
oooo0?ooo`3oool2000000@0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`3o
ool:000000H0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`040?ooo`T0000000<0oooo0000003oool06P3oool7000001L0oooo2000
000E0?ooo`@000005P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`0[
0?ooo`8000007`3oool2000001@0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool3000000@0oooo00<0
00000?ooo`3oool0103oool2000000D0oooo0`0000040?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`3oool00000103oool300000080oooo00<000000?ooo`3oool00P3oool3000000030?oo
o`000000oooo00<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`800000
00<0oooo0000003oool01@3oool4000000@0oooo1@0000060?ooo`D0000000<0oooo000000000000
3`0000050?ooo`@000001P3oool4000000<0oooo100000050?ooo`030000003oool0oooo00800000
103oool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?ooo`0000040?ooo`04
0000003oool0oooo0?ooo`800000103oool01@000000oooo0?ooo`3oool0000000<0oooo00@00000
0?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3o
ool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`0N0?ooo`00803oool0
0`000000oooo0?ooo`1<0?ooo`<00000503oool00`000000oooo0?ooo`070?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`80000000<0
oooo0000003oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000D0oooo0`00
00030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000103oool300000080oooo
00@000000?ooo`3oool0oooo100000000`3oool000000?ooo`030?ooo`030000003oool0000000<0
oooo0P0000050?ooo`040000003oool00000000000H0oooo100000040?ooo`80000000<0oooo0000
000000002@3oool8000000P0oooo1`0000060?ooo`H000000`3oool4000000D0oooo0P0000020?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000003oool0
oooo000000@0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`040000003oool0oooo000000@0
oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0
oooo01h0oooo000P0?ooo`030000003oool0oooo04/0oooo1000000E0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool00`3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool0103oool30000
00D0oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo
000000@0oooo0`0000020?ooo`030000003oool0000000D0000000<0oooo0000003oool00`3oool0
10000000oooo0000000000030?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000?oo
o`060?ooo`@00000103oool8000000`0oooo200000090?ooo`H000001@3oool4000000D0oooo0P00
00030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000003oool0oooo
000000@0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?oo
o`0N0?ooo`00803oool00`000000oooo0?ooo`1<0?ooo`@000005@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo008000000`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo0`0000040?ooo`030000003oool0oooo00<0oooo0`0000060?ooo`800000103oool0
0`000000oooo0?ooo`030?ooo`040000003oool0oooo000000@0oooo0`0000020?ooo`030000003o
ool0000000D0000000<0oooo0000003oool00`3oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`00000000001`3oool4000000H0oooo3000000<0?ooo``0
00001P3oool4000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`80
00000`3oool3000000@0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`3oool3
000000@0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`3oool3000000D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo04h0oooo0P00
000F0?ooo`030000003oool0oooo00H0oooo1@0000020?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00`3oool3000000@0oooo00@000000?ooo`3oool0oooo1@0000060?ooo`800000
103oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000@0oooo0`0000020?ooo`03
0000003oool0oooo00<0000000@0oooo0000003oool00000103oool2000000030?ooo`000000oooo
0080oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000000000L0oooo1@0000090?oo
oaX00000203oool4000000H0oooo0P0000030?ooo`800000103oool00`000000oooo0?ooo`020?oo
o`8000001@3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`<00000103o
ool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0780
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0D03oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo00L0oooo100000030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool2000000030?ooo`000000oooo00<0oooo00@000000?ooo`3oool0
oooo100000060?ooo`<00000103oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0000
00@0oooo0`0000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool00P000004
0?ooo`030000003oool0000000<0oooo0P0000060?ooo`80000000<0oooo0000003oool01`3oool6
000000`0oooo2`00000>0?ooo`D000001P3oool2000000<0oooo0P0000040?ooo`8000000`3oool3
000000@0oooo0P0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0`00
00040?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0L`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1W0?ooo`030000
003oool0oooo00L0oooo100000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
0`3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool4000000H0oooo
0`0000040?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000103oool300000080
oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000040?ooo`@000000`3oool20000
00H0oooo00@000000?ooo`0000000000203oool6000001d0oooo1`0000080?ooo`8000000`3oool2
000000D0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00D000000?ooo`3oool0oooo0000
00040?ooo`040000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`0000050?ooo`06
0000003oool0oooo0000003oool000001P3oool00`000000oooo0?ooo`050?ooo`040000003oool0
oooo0?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool2000000030?ooo`00
0000oooo0080oooo00<000000?ooo`3oool00`3oool3000000H0oooo0`0000030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`0000001@3oool300000080oooo0P0000050?ooo`040000003o
ool0oooo000000@0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo00@0oooo
0P0000000`3oool000000000000:0?ooo`/00000303oool<000000T0oooo0P0000030?ooo`800000
1@3oool2000000<0oooo0`0000050?ooo`050000003oool0oooo0?ooo`000000103oool010000000
oooo0?ooo`3oool3000000@0oooo00@000000?ooo`3oool000001@3oool010000000oooo0?ooo`3o
ool3000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`0N0?ooo`00803oool0
0`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo0`0000040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`0000001P3oool00`000000oooo000000030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000040?ooo`D000000`3oool2000000H0oooo0P000000103oool00000
00000000000<0?oooaX000002`3oool2000000<0oooo0P0000060?ooo`030000003oool0oooo0080
oooo0`0000050?ooo`030000003oool0oooo00800000103oool010000000oooo0?ooo`3oool30000
00@0oooo00@000000?ooo`3oool000001@3oool010000000oooo0?ooo`3oool3000000D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`1e0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo06X0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool00P3oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`030?ooo`<00000103oool00`000000oooo0?ooo`030?ooo`040000003oool0
oooo000000D0oooo0`0000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
1@3oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool01@3oool200000080oooo
0`00000=0?oooa<000002`3oool3000000<0oooo0P0000060?ooo`8000000`3oool4000000@0oooo
0P0000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`05
0000003oool0oooo0?ooo`000000103oool010000000oooo0?ooo`3oool3000000D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1f
0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo06/0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool00`3oool2000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`030?ooo`<00000103oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo
000000D0oooo0`0000030?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000?ooo`05
0?ooo`@000000`3oool2000000L0oooo0P0000030?ooo`<000009P3oool2000000@0oooo0P000007
0?ooo`040000003oool0oooo0?ooo`D00000103oool01@000000oooo0?ooo`3oool0000000@0oooo
0P0000020?ooo`@000001@3oool010000000oooo0?ooo`0000040?ooo`070000003oool0oooo0?oo
o`000000oooo000000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool07P3oool0
0200oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`80000000<0oooo0000
003oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo0`0000040?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool000001@3oool3000000<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo000000070?ooo`<00000103oool2000000L0oooo0P000004
0?ooo`<000008@3oool2000000<0oooo0`0000070?ooo`8000000P3oool5000000D0oooo00<00000
0?ooo`3oool00P0000040?ooo`060000003oool0oooo0?ooo`000000oooo0P0000050?ooo`040000
003oool0oooo000000@0oooo00L000000?ooo`3oool0oooo0000003oool0000000D0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0N03oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1/0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00<0oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0103oool3000000@0oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`0000050?ooo`<000000`3oool00`000000oooo0?ooo`040?ooo`040000003oool0
0000000000H0oooo100000040?ooo`8000001`3oool4000000<0oooo1@00000G0?ooo`D0000000<0
oooo0000000000000P0000080?ooo`8000000P3oool5000000D0oooo0P0000020?ooo`030000003o
ool0oooo00<0oooo00H000000?ooo`3oool0oooo0000003oool2000000D0oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1h0?oo
o`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo000000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0103oool3000000@0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000050?oo
o`<000000`3oool2000000D0oooo00@000000?ooo`3oool000001`3oool4000000@0oooo0P000009
0?ooo`@00000103oool7000000P0oooo200000020?ooo`@000002@3oool300000080oooo1P000005
0?ooo`050000003oool0oooo0?ooo`000000103oool2000000<0oooo00@000000?ooo`0000000000
1@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo01h0oooo000D0?ooo`050?oO
W018000000000000001d_ol01`3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo0`0000030?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool000001@3oool40000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02000000L0oooo100000040?oo
o`<000002P3oool4000000L0oooo200000060?ooo`@000002P3oool3000000<0oooo1P0000050?oo
o`8000000P3oool2000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo000000000005
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<0
00000?ooo`3oool01`3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`030?ooo`<000001P3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo05h0oooo00<000000?ooo`3oool07P3oool001H0oooo00<0_g@007Boo`3oool01`3o
ool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000?oo
o`030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool3000000<0oooo00<0
00000?ooo`3oool0103oool010000000oooo0?ooo`0000050?ooo`@000000`3oool00`000000oooo
0?ooo`030?ooo`8000000P3oool2000000L0oooo100000050?ooo`<000002`3ooolE000000/0oooo
0`0000040?ooo`<0000000@0oooo00000000000000001@3oool01@000000oooo0?ooo`3oool00000
00D0oooo00<000000?ooo`3oool00P3oool3000000H0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`070?ooo`040000003oool0
oooo0?ooo`8000001P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo0`00
00060?ooo`030000003oool0oooo01P0oooo0`00001P0?ooo`030000003oool0oooo01h0oooo000F
0?ooo`030;md001d_ol0oooo00L0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00@0oooo0`0000030?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool000001@3o
ool4000000<0oooo0P0000050?ooo`050000003oool0oooo0?ooo`000000203oool5000000D0oooo
0P00000V0?ooo`<000001@3oool3000000040?ooo`0000000000000000H0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`800000103oool3000000D0oooo0P0000020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`020?ooo`@000001`3oool00`000000oooo0?ooo`0G0?ooo`<00000H@3oool00`00
0000oooo0?ooo`0N0?ooo`004P3oool00`3OW4P00000000000030000000307Boo`3oool0oooo00D0
oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool00000
00<0oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000oooo00@0oooo100000040?oo
o`030000003oool0oooo00<0oooo0P0000020?ooo`800000203oool5000000D0oooo0`00000N0?oo
o`D000001P3oool200000080oooo0`0000060?ooo`8000000P3oool2000000@0oooo00<000000?oo
o`3oool00P3oool4000000D0oooo00D000000?ooo`3oool0oooo000000030?ooo`800000103oool3
000000D0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo0P00
00060?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool0oooo1@0000060?ooo`030000
003oool0oooo01L0oooo1000000U0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
7P3oool00180oooo00H0okmd0000M02oool0oooo0;md001d_ol80?ooo`@00000L03oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool01@3oool010000000
oooo0000000000040?ooo`D000000`3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo
0?ooo`0000002@3oool6000000D0oooo2P00000<0?ooo`P00000203oool300000080oooo0`000006
0?ooo`8000000P3oool2000000D0oooo00<000000?ooo`3oool00P3oool4000000D0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00@0oooo0P0000050?ooo`040000003o
ool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`8000001P3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00<0oooo0`0000060?ooo`030000003oool0oooo01T0oooo
0P00000T0?ooo`800000>@3oool400000200oooo000C0?ooo`050=nLB000M;l0oooo0;md001d_ol0
203oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000
103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000
0`3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000@0oooo1@0000030?ooo`80
00001@3oool200000080oooo0P0000090?ooo`H000003@3oool<000000d0oooo10000000103oool0
00000000000000070?ooo`8000000P3oool2000000D0oooo0P0000040?ooo`@000001@3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0103oool2000000D0oooo00<00000
0?ooo`3oool0100000020?ooo`030000003oool0oooo0080oooo0P0000060?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0000000R0?ooo`@00000?03oool00`000000oooo0?ooo`0N0?ooo`00503oool0102L
B000B9cO0;md001d_ol80?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool0
0`000000oooo000000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool0
0`000000oooo000000030?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000001@3o
ool4000000@0oooo0P0000050?ooo`8000000P3oool2000000T0oooo2000000N0?ooo`X000001`3o
ool200000080oooo0P0000060?ooo`030000003oool0oooo00<0oooo0`0000060?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo
0000000400000080oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`030?ooo`8000001P3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo0240oooo1000000m0?ooo`030000003oool0oooo01h0oooo000D0?ooo`040?oOW018
04P0B4P007Boo`P0oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`800000
00<0oooo0000003oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`0000000`3oool2000000H0oooo00<000000?ooo`3oool00P0000040?ooo`@00000
1@3oool2000000D0oooo0P0000020?ooo`8000002@3oool;000001<0oooo3@0000080?ooo`800000
0P3oool2000000L0oooo00<000000?ooo`3oool00P3oool4000000D0oooo0P0000030?ooo`050000
003oool0oooo0?ooo`0000001P3oool2000000D0oooo00@000000?ooo`3oool0oooo100000000`3o
ool000000?ooo`030?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00<0oooo0P0000070?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool08`3oool30000
03d0oooo00<000000?ooo`3oool07P3oool001D0oooo00<0okmd0000001d_ol0203oool00`000000
oooo0?ooo`1d0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo0P0000000`3oool000000?ooo`030?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo000000040?ooo`03
0000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000050?ooo`@000001@3oool20000
00D0oooo0P0000020?ooo`8000002`3ooolS000000T0oooo0`0000020?ooo`8000001`3oool20000
00<0oooo1@0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000060?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`050000003oool0
00000?ooo`000000103oool2000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0000002H0oooo0P00000F0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0000000@0oooo00<00000
0?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000D0oooo100000060?ooo`030000003o
ool0oooo00@0oooo0P0000020?ooo`<00000303ooolI000000d0oooo0P0000030?ooo`800000203o
ool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000000000000`0000020?ooo`040000003o
ool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`040?ooo`8000001@3oool00`000000oooo
0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool2000000L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`030?ooo`8000001P3oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool5000001L0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`<00000
103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000000
103oool00`000000oooo0?ooo`040?ooo`8000000P3oool2000000D0oooo0`0000060?ooo`800000
1P3oool2000000<0oooo0`00000?0?ooo`/000004`3oool2000000<0oooo0P0000080?ooo`800000
0`3oool900000080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00@0
oooo0P0000050?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000050?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?oo
o`8000001P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool6000001P0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3o
ool0M`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`<00000103oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00D0oooo0`0000040?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3o
ool0oooo000000060?ooo`<000001P3oool2000000H0oooo0`0000030?ooo`8000009P3oool50000
0080oooo0`0000090?ooo`030000003oool0oooo0080oooo0P0000000`3oool00000000000040000
0080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00<0oooo0`000005
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo0P000007
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0T
0?ooo`@000006@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1h0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00D0oooo0`0000040?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01@3oool3000000@0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0
000000H0oooo100000060?ooo`8000001`3oool300000080oooo0`00000M0?ooo`H000000`3oool4
000000X0oooo0P0000030?ooo`D0000000<0oooo0000000000000P0000000`3oool0000000000002
0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`<000001@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`8000001`3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0903oool4000001X0oooo00<00000
0?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`040000003oool00000000000@0oooo00<000000?ooo`3oool01P3oool2000000H0oooo0`000004
0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool0oooo0P0000060?ooo`@000001P3o
ool2000000P0oooo100000000`3oool0000000000008000000d0oooo1P0000060?ooo`<00000303o
ool2000000<0oooo200000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3o
ool2000000D0oooo0`0000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00<0oooo0P0000070?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0S0?ooo`8000000P3oool00`000000oooo0?ooo`0I0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo00@0oooo0`00001b0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00@0oooo0`0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool3
000000@0oooo0P0000060?ooo`8000000`3oool00`000000oooo0?ooo`040?ooo`D000001P3oool2
000000X0oooo100000070?ooo`d00000103oool300000080oooo0`00000<0?ooo`<00000103oool7
000000D0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00@0oooo0`00
00050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`8000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool08P3oool200000200oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0103oool7000006l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool3000000D0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`8000001@3oool00`000000oooo0?ooo`05
0?ooo`050000003oool0oooo0?ooo`0000001`3oool5000000H0oooo0`00000;0?ooo`@00000503o
ool7000000/0oooo0P0000050?ooo`L000001@3oool200000080oooo0P0000040?ooo`030000003o
ool0oooo00@0oooo0`0000040?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo0P0000070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool08@3o
ool00`000000oooo0?ooo`0Q0?ooo`8000008P3oool00`000000oooo0?ooo`0N0?ooo`00803oool<
000001P0oooo0P00000R0?ooo`8000008@3oool300000100oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`040?ooo`@000001`3oool00`000000oooo0?ooo`040?ooo`<000001@3oool0
0`000000oooo0?ooo`070?ooo`040000003oool00000000000@0oooo0P0000050?ooo`030000003o
ool0oooo00D0oooo0P0000020?ooo`8000001`3oool5000000L0oooo0`00000<0?oooaT000002P3o
ool3000000D0oooo1`0000050?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`8000001P3o
ool2000000D0oooo00<000000?ooo`3oool00`3oool2000000<0oooo00<000000?ooo`3oool00P3o
ool2000000L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`<000001P3o
ool00`000000oooo0?ooo`0I0?ooo`<000008@3oool200000280oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0N0?ooo`00803oool3000000@0oooo0P00000I0?ooo`8000000P3oool2
000001`0oooo100000020?ooo`030000003oool0oooo01X0oooo100000030?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0500000080oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`<000001@3oool00`000000oooo0?ooo`04
0?ooo`D0000000<0oooo0000003oool00`3oool2000000D0oooo00<000000?ooo`3oool01P3oool2
00000080oooo0P0000060?ooo`H00000203oool3000001@0oooo100000050?ooo`8000002@3oool4
000000H0oooo1P0000030?ooo`8000000P3oool010000000oooo0?ooo`3oool2000000@0oooo00<0
00000?ooo`3oool0103oool3000000D0oooo00<000000?ooo`3oool01P3oool4000000<0oooo0P00
00080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`3oool4000000030?ooo`000000oooo01h0oooo1000000O0?ooo`@000007`3oool200000200oooo
0`00000P0?ooo`00803oool3000001d0oooo0P0000060?ooo`8000000`3oool00`000000oooo0?oo
o`0A0?ooo`<000001`3oool00`000000oooo0?ooo`0D0?ooo`D00000203oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00@0oooo1@0000050?ooo`040000003oool0oooo000000L0oooo
00<000000?ooo`3oool0103oool3000000D0oooo00<000000?ooo`3oool00`0000050?ooo`030000
003oool0000000@0oooo0P0000050?ooo`800000203oool010000000oooo0?ooo`3oool200000080
oooo0P0000030?ooo`D000000`3oool00`000000oooo0?ooo`030?ooo`<000004@3oool4000000`0
oooo100000070?ooo`L000001`3oool200000080oooo0P0000050?ooo`030000003oool0oooo00@0
oooo0`0000050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0100000080?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`D0
0000803oool4000001l0oooo0`00000N0?ooo`8000007P3oool300000200oooo000P0?ooo`800000
6P3oool010000000oooo00000000000:0?ooo`D000003P3oool4000000/0oooo00<000000?ooo`3o
ool03`3oool4000000h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`04000000@0
oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
00@0oooo0`0000030?ooo`@000002@3oool00`000000oooo000000050?ooo`8000001@3oool20000
00L0oooo0P0000000`3oool000000?ooo`02000000P0oooo1`0000070?ooo`<000003`3oool30000
00L0oooo1@0000080?ooo`P000001`3oool200000080oooo0P0000020?ooo`030000003oool0oooo
008000001P3oool2000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?oo
o`@000001@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`030?ooo`@00000803oool4000001h0oooo1000000L0?oo
o`8000000P3oool00`000000oooo0?ooo`0H0?ooo`800000803oool00200oooo0P00000I0?ooo`<0
00003P3oool5000000D0oooo00<000000?ooo`3oool01000000@0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool00`3oool4000001<0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`030?ooo`@00000203oool00`000000oooo0?ooo`050?ooo`030000003oool0000000P0
oooo00<000000?ooo`3oool00P3oool00`000000oooo00000004000000<0oooo00<000000?ooo`3o
ool0203oool00`000000oooo000000050?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`<0
00000P3oool2000000P0oooo1`0000080?ooo`X000001@3oool2000000@0oooo100000090?ooo`T0
0000203oool200000080oooo0P0000020?ooo`D000001`3oool2000000H0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo1@0000020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo100000050?ooo`030000003oool0oooo01P0oooo1@0000050?ooo`03
0000003oool0oooo01D0oooo100000020?ooo`030000003oool0oooo01D0oooo1000000I0?ooo`80
0000803oool00200oooo0P00000G0?ooo`D000003@3oool700000080oooo1@00000E0?ooo`040000
003oool0oooo0?ooo`P00000603oool00`000000oooo0?ooo`020?ooo`P000000`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000000203oool00`000000
oooo00000007000000D0oooo0P0000090?ooo`<000001@3oool2000000H0oooo0P0000040?ooo`D0
0000103oool2000000L0oooo2@00000?0?ooo`/000002P3oool9000000T0oooo0P0000030?ooo`03
0000003oool0oooo00<0oooo1@0000040?ooo`<000001P3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00<0oooo0P0000070?ooo`L000000`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0303oool8000001d0oooo10000000103oool0
000000000000000I0?ooo`D000005P3oool5000001L0oooo0P00000P0?ooo`00803oool00`000000
oooo0?ooo`0E0?ooo`@000004`3oool9000001L0oooo1`00000M0?ooo`030000003oool0000000@0
00002@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`00
00001`3oool6000000<0oooo0P0000060?ooo`030000003oool0oooo00P0oooo0`0000020?ooo`03
0000003oool0oooo008000001P3oool00`000000oooo0?ooo`0400000080oooo0P0000040?ooo`80
00002@3oool900000140oooo00<000000?ooo`3oool02@3oool8000000/0oooo0P0000030?ooo`80
00001P3oool600000080oooo0`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool00`3oool2000000L0oooo00@000000?ooo`3oool0oooo1`0000060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool04@3oool6000001l0oooo1P00000H0?ooo`H000005P3oool40000
01L0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0503oool2000001L0
oooo2000000F0?ooo`P000007@3oool7000000X0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`050?ooo`030000003oool0000000@0oooo200000040?ooo`8000001P3oool00`000000
oooo0?ooo`080?ooo`030000003oool00000008000000`3oool2000000H0oooo0`0000070?ooo`03
0000003oool0oooo00<0oooo0P0000090?ooo`/000003@3oool00`000000oooo0?ooo`020?ooo``0
0000303oool2000000<0oooo0P0000070?ooo`030000003oool0oooo00<0oooo100000070?ooo`03
0000003oool0oooo00L0oooo0P0000050?ooo`800000203oool010000000oooo0?ooo`3oool70000
00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?ooo`P000007@3oool70000
01L0oooo2000000G0?ooo`8000005P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`1>0?ooo`<00000803oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo
00D0oooo0P0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`0000000P0000030?oo
o`8000001`3oool2000000L0oooo0P0000050?ooo`8000002`3ooolR000000d0oooo0P0000030?oo
o`800000203oool00`000000oooo0?ooo`040?ooo`<000001P3oool2000000T0oooo00<000000?oo
o`3oool0103oool2000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0N0?oo
o`00803oool3000004d0oooo1@00000P0?ooo`030000003oool0000000h0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`040?ooo`060000003oool0oooo0000003oool000001P3oool0
0`000000oooo0?ooo`050?ooo`<000001@3oool00`000000oooo0?ooo`080?ooo`@00000103oool3
000000L0oooo00<000000?ooo`3oool01P3oool2000000D0oooo0P00000?0?oooaL000003`3oool3
000000<0oooo0P0000080?ooo`8000001@3oool3000000L0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`800000203oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2;0?ooo`<00000803oool0
0200oooo00<000000?ooo`3oool0CP3oool500000200oooo0`00000>0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02000000L0oooo00<000000?oo
o`3oool01@3oool3000000D0oooo00<000000?ooo`3oool0203oool4000000D0oooo0P0000070?oo
o`800000203oool2000000D0oooo1000000A0?ooo`P00000503oool4000000@0oooo0P0000080?oo
o`8000001@3oool4000000L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`800000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo01h0oooo000P0?ooo`03
0000003oool0oooo0500oooo0`00000O0?ooo`@000003`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00@0oooo1@0000070?ooo`030000003oool0oooo00D0oooo0`0000050?ooo`03
0000003oool0oooo00T0oooo0P0000060?ooo`<000001`3oool2000000P0oooo0P0000070?ooo`<0
00009P3oool4000000D0oooo0`0000080?ooo`8000001P3oool4000000L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`800000203oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2?0?ooo`03
0000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0580oooo0P00000O0?ooo`@00000
3`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo100000080?ooo`030000
003oool0oooo00D0oooo0`0000050?ooo`030000003oool0oooo00T0oooo0P0000060?ooo`@00000
1`3oool2000000P0oooo0`0000070?ooo`<000007`3oool4000000H0oooo0`0000090?ooo`800000
1P3oool4000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`<00000
1`3oool2000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo0900oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0M@3o
ool3000000l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`@00000203o
ool00`000000oooo0?ooo`050?ooo`<000001@3oool00`000000oooo0?ooo`090?ooo`8000001`3o
ool4000000L0oooo0P0000090?ooo`800000203oool4000001L0oooo100000070?ooo`<000002@3o
ool3000000H0oooo1@0000070?ooo`8000002P3oool00`000000oooo0?ooo`030?ooo`<000001`3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`2@0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0
oooo07H0oooo0P00000@0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo000000090?ooo`030000003oool0oooo00D0oooo0`0000050?ooo`8000002`3oool0
0`000000oooo0?ooo`060?ooo`@000001`3oool2000000T0oooo100000080?oooaL00000203oool3
000000X0oooo0P0000080?ooo`@00000203oool00`000000oooo0?ooo`080?ooo`8000001@3oool3
000000L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0T@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool01P3oool20000
00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`@000001`3oool20000
00/0oooo1@00000N0?ooo`@000002P3oool3000000P0oooo100000090?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0103oool3000000L0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0TP3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0
oooo0P0000060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool4000000L0
oooo0P00000>0?ooo`P000004P3oool4000000`0oooo0P0000090?ooo`@000002@3oool2000000X0
oooo00<000000?ooo`3oool0103oool2000000P0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0T`3oool00`000000
oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2;0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
0P0000060?ooo`8000002P3oool2000000X0oooo100000070?ooo`<000004`3ooolB000000h0oooo
0P0000090?ooo`@000002P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
0`0000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo09@0oooo00<000000?ooo`3oool07P3oool00200oooo00<0
00000?ooo`3oool0S03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`8000001`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00T0oooo100000080?ooo`<00000;03oool4000000T0oooo1000
000:0?ooo`8000002`3oool00`000000oooo0?ooo`030?ooo`<000001`3oool2000000X0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo09D0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`06
0?ooo`8000001`3oool2000000X0oooo00<000000?ooo`3oool02P3oool4000000T0oooo1000000S
0?ooo`D000002`3oool4000000/0oooo00<000000?ooo`3oool02@3oool2000000D0oooo0`000007
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?oo
o`3oool0SP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool02@3oool2000000P0oooo0P0000070?ooo`030000003oool0oooo00P0oooo0P00000<0?oo
o`@000002`3oool6000001L0oooo1P00000=0?ooo`D000002`3oool2000000/0oooo00<000000?oo
o`3oool0103oool3000000L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo05X0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3o
ool0S`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo0P00000;0?ooo`03
0000003oool0oooo00H0oooo0P0000070?ooo`8000002P3oool2000000`0oooo1000000?0?ooo`X0
0000203oool500000100oooo1P00000;0?ooo`8000002`3oool2000000H0oooo0P0000080?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo01@0oooo0P00000S0?ooo`800000G@3oool00`000000oooo0?ooo`0N0?ooo`00
803oool00`000000oooo0?ooo`2@0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo0P0000080?ooo`030000
003oool0oooo00T0oooo0P00000<0?ooo`H000005@3oool8000001<0oooo1P00000;0?ooo`800000
303oool00`000000oooo0?ooo`040?ooo`<00000203oool00`000000oooo0?ooo`080?ooo`800000
1`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01<0oooo1000000Q0?ooo`<00000
GP3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2A0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00L0oooo0P0000070?ooo`030000003oool0oooo00X0oooo0P00000>0?ooo`H00000:@3o
ool7000000/0oooo0P00000<0?ooo`8000001P3oool3000000L0oooo0P00000:0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0C0?ooo`@00000803o
ool5000002D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0N0?ooo`00803oool0
0`000000oooo0?ooo`2B0?ooo`8000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool01`3oool2000000L0oooo0P00000<0?ooo`8000003`3oool7
00000240oooo1`00000=0?ooo`8000003@3oool00`000000oooo0?ooo`050?ooo`800000203oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo0P0000080?ooo`030000003oool0
oooo01D0oooo0`00000Q0?ooo`<00000903oool2000003T0oooo00<000000?ooo`3oool07P3oool0
0200oooo00<000000?ooo`3oool0U03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool02@3oool2000000P0oooo0P0000080?ooo`030000003oool0oooo
00/0oooo0`00000@0?ooo`/000005@3oool8000000d0oooo0`00000=0?ooo`8000001P3oool30000
00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`<00000203oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool000000280oooo0P00000S0?ooo`<00000>P3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01P3oool2000000/0oooo00<000000?ooo`3oool01`3oool2000000L0
oooo0P00000>0?ooo`8000004P3ooolN00000100oooo0`00000>0?ooo`8000001P3oool3000000T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`D000001`3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool5000003X0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0UP3oool00`000000oooo
0?ooo`050?ooo`800000203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo
0P0000080?ooo`8000003P3oool3000001X0oooo3000000D0?ooo`<00000403oool00`000000oooo
0?ooo`050?ooo`<00000203oool2000000/0oooo00<000000?ooo`3oool01@3oool3000000L0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02<0oooo
0`00000k0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo09L0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo0P00
00090?ooo`800000203oool2000000l0oooo0`00000d0?ooo`<000004@3oool2000000H0oooo1000
00080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool3000000L0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`0000009P3oool2000001@0oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0V03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`<00000203oool200000100oooo0P00000^
0?ooo`@000004`3oool00`000000oooo0?ooo`040?ooo`@000002@3oool00`000000oooo0?ooo`09
0?ooo`8000001`3oool2000000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0903oool4000001D0oooo00<00000
0?ooo`3oool07P3oool00200oooo0`00002I0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`8000002@3oool3000000P0oooo0P00000@0?oo
o`D000009P3oool3000001D0oooo0P0000050?ooo`D00000203oool2000000/0oooo00<000000?oo
o`3oool01@3oool3000000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?oo
o`030000003oool0oooo0280oooo0P00000U0?ooo`D00000503oool300000200oooo000P0?ooo`03
0000003oool0oooo09X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`80
0000303oool00`000000oooo0?ooo`070?ooo`@00000203oool2000001<0oooo1P00000M0?ooo`<0
00005P3oool2000000H0oooo1@0000080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool01@3oool2000000T0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool09@3oool4000001L0oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0V`3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool02P3oool2000000T0oooo100000080?ooo`800000
5`3oool9000000`0oooo2000000G0?ooo`8000001P3oool6000000L0oooo0P00000<0?ooo`030000
003oool0oooo00D0oooo0P0000090?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02@0oooo0P0000000`3oool00000
0000000H0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo09`0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool01`3oool2000000030?ooo`000000000000P0oooo0P00000N0?ooo``000007@3o
ool2000000H0oooo1@0000000`3oool000000?ooo`060?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool01@3oool2000000T0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool2000000<0oooo00<0
00000?ooo`3oool05`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`07
0?ooo`<00000T`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool02`3oool2000000T0oooo0P0000000`3oool00000000000080?ooo`800000;@3oool4
00000140oooo0`0000070?ooo`@000002@3oool2000000d0oooo00<000000?ooo`3oool0103oool3
000000T0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo0240oooo0P00000T0?ooo`8000007`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`00
0000oooo0?ooo`060?ooo`P00000T03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`080?ooo`80000000<0oooo0000
00000000203oool2000002/0oooo2000000;0?ooo`800000203oool4000000X0oooo00<000000?oo
o`3oool02`3oool2000000H0oooo00<000000?ooo`0000002@3oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0R0?oo
o`8000008@3oool00`000000oooo0?ooo`0N0?ooo`00803oool9000000030?ooo`000000000000<0
00005@3oool200000280oooo0P00000R0?ooo`8000008`3oool2000000l0oooo00<000000?ooo`3o
ool01P3oool2000000P0oooo0P00000=0?ooo`8000002@3oool3000000040?ooo`00000000000000
00@0oooo0P000000103oool0000000000000000O0?ooo`T0000000<0oooo0000000000000`00000:
0?ooo`<00000203oool5000000X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`05
0?ooo`<000002@3oool00`000000oooo0?ooo`0E0?ooo`8000008`3oool200000280oooo0P00000R
0?ooo`8000008`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`070?oo
o`8000005P3oool200000080oooo0P00000M0?ooo`<000000P3oool00`000000oooo0?ooo`0K0?oo
o`@000000P3oool00`000000oooo0?ooo`0L0?ooo`@000000P3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool300000080oooo00<000000?oo
o`3oool0303oool2000000T0oooo100000000`3oool000000000000200000080oooo0P0000020?oo
o`@000006`3oool00`000000oooo0?ooo`070?ooo`8000002@3oool4000000T0oooo1@00000:0?oo
o`8000003@3oool00`000000oooo0?ooo`070?ooo`<000001`3oool00`000000oooo0?ooo`0H0?oo
o`@000008@3oool300000240oooo0`00000P0?ooo`8000008P3oool00`000000oooo0?ooo`0N0?oo
o`00803oool3000001h0oooo00<000000?ooo`3oool0103oool3000001P0oooo0P0000060?ooo`80
0000603oool3000000L0oooo00<000000?ooo`3oool0603oool3000000L0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`070?ooo`040000003oool00000000000H0oooo0P00000>0?oo
o`8000002@3oool7000000@0oooo0`0000030?ooo`@000005@3oool4000000l0oooo1000000:0?oo
o`H000000P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool01`3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool07@3oool3
00000240oooo1000000P0?ooo`800000803oool00`000000oooo0?ooo`0M0?ooo`<00000803oool0
0200oooo0`00000L0?ooo`8000002P3oool3000000030?ooo`000000oooo00l0oooo0`00000:0?oo
o`030000003oool0oooo0140oooo1000000;0?ooo`030000003oool0oooo01<0oooo1000000;0?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool01@3oool3000000T0oooo0P00000?0?oo
o`8000002@3oool4000000040?ooo`0000000000000000@0oooo0`000000103oool000000?ooo`3o
ool6000000l0oooo100000070?ooo`P00000303oool6000000D0oooo0P0000040?ooo`8000003@3o
ool2000000P0oooo0P0000070?ooo`<000008`3oool400000240oooo0`00000O0?ooo`<000007P3o
ool2000001d0oooo0`00000P0?ooo`00803oool2000001T0oooo00@000000?ooo`3oool000003`3o
ool4000000/0oooo0`00000>0?ooo`030000003oool0oooo00d0oooo0`00000@0?ooo`030000003o
ool0oooo00l0oooo0`00000@0?ooo`030000003oool0oooo00d0oooo00@000000?ooo`3oool0oooo
0`0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool03P3oool2000000<0oooo
00@000000?ooo`3oool00000103oool3000000030?ooo`000000000000D0oooo100000060?ooo`H0
00002@3oool;00000140oooo1`0000090?ooo`030000003oool00000008000003@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P00000U0?ooo`<0
00008@3oool3000001l0oooo0`00000M0?ooo`050000003oool0oooo0?ooo`0000006@3oool20000
0200oooo000P0?ooo`800000603oool400000100oooo1P0000000`3oool000000?ooo`030?ooo`<0
00004P3oool2000000X0oooo0`00000D0?ooo`030000003oool0oooo00/0oooo0`00000D0?ooo`03
0000003oool0oooo00T0oooo00@000000?ooo`3oool0oooo0`0000070?ooo`030000003oool0oooo
00P0oooo0P00000@0?ooo`H00000203oool5000000<0oooo1P00000:0?ooo`T0000000@0oooo0000
0000000000005@3oool3000000030?ooo`0000000000008000002`3oool6000000X0oooo0P000009
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00`3oool3000000@0oooo00<00000
0?ooo`3oool07P3oool300000240oooo1000000N0?ooo`<000000`3oool00`000000oooo0?ooo`0E
0?ooo`D00000603oool200000200oooo000P0?ooo`8000005`3oool400000140oooo3000000G0?oo
o`040000003oool0oooo00000080oooo1000000H0?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool0oooo1000000H0?ooo`030000003oool0oooo00H0oooo1P0000000`3oool000000?oo
o`080?ooo`8000002P3oool00`000000oooo0?ooo`0>0?ooo`@000002`3oool=000001<0oooo0P00
000D0?ooo`80000000<0oooo0000000000000`00000;0?ooo`8000000`3oool4000000P0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo0`00
00000`3oool000000000000R0?ooo`@000000P3oool00`000000oooo0?ooo`0L0?ooo`<000000`3o
ool00`000000oooo0?ooo`0H0?ooo`H000005`3oool4000001L0oooo0P00000P0?ooo`00803oool2
000001L0oooo1@00000D0?ooo`D000006`3oool5000001d0oooo00<000000?ooo`0000001@00000M
0?ooo`030000003oool0oooo00@0oooo1@0000040?ooo`030000003oool0oooo00P0oooo0P000009
0?ooo`80000000<0oooo0000003oool02`3oool5000000d0oooo2P00000C0?ooo`8000004@3oool7
000000d0oooo0P0000040?ooo`D000001P3oool2000000X0oooo00<000000?ooo`3oool01P3oool2
000000d0oooo1@00000T0?ooo`D000007`3oool6000001X0oooo1@00000E0?ooo`D000005`3oool2
00000200oooo000P0?ooo`030000003oool0oooo01D0oooo1000000E0?ooo`L00000603oool70000
01d0oooo1P00000P0?ooo`8000000P3oool7000000D0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`070?ooo`@000002P3oool400000080oooo0P00000>0?ooo`D000000P3oool60000
00h0oooo00<000000?ooo`3oool0203oool:000000l0oooo0P0000080?ooo`@000000`3oool20000
00X0oooo0P0000080?ooo`030000003oool0oooo00d0oooo1P00000T0?ooo`H000007`3oool60000
01P0oooo1`00000E0?ooo`@000005`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000
oooo0?ooo`0D0?ooo`8000005`3oool4000001X0oooo2P00000K0?ooo`P000008@3oool5000000X0
oooo0P00000:0?ooo`8000001`3oool5000000P0oooo0P0000070?ooo`8000003P3oool7000000@0
oooo1P0000080?oooa0000004P3oool2000000d0oooo0P0000000`3oool000000?ooo`090?ooo`80
00002@3oool00`000000oooo0?ooo`0A0?ooo`@000008`3oool8000001d0oooo1`00000K0?ooo`@0
00005`3oool2000001H0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0
D@3oool400000200oooo0`00000R0?ooo`<000003@3oool00`000000oooo0?ooo`090?ooo`800000
1P3oool500000180oooo0P00000@0?ooo`T00000103oool8000000@0oooo1P00000F0?ooo`800000
403oool2000000X0oooo00<000000?ooo`3oool01`3oool200000;D0oooo00<000000?ooo`3oool0
7P3oool00200oooo00<000000?ooo`3oool0D`3oool3000001l0oooo1000000Q0?ooo`<000003P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo1000000C0?ooo`800000503o
oolE000001P0oooo0P00000A0?ooo`030000003oool0oooo00P0oooo0P0000090?ooo`030000003o
ool0oooo0;D0oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0E@3oool2
000001d0oooo1@00000P0?ooo`D000003P3oool2000000/0oooo0P0000070?ooo`@000004`3oool4
000003T0oooo1000000A0?ooo`8000002@3oool2000000X0oooo00<000000?ooo`3oool0]P3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1e0?ooo`D00000803oool50000
00l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`080?ooo`8000005@3oool40000
0340oooo1000000C0?ooo`8000002P3oool00`000000oooo0?ooo`080?ooo`800000^@3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`1g0?ooo`<000008P3oool300000100
oooo00<000000?ooo`3oool02P3oool2000000X0oooo0P00000G0?ooo`<00000:P3oool4000001D0
oooo0P00000:0?ooo`8000002P3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo01h0
oooo000P0?ooo`<00000N@3oool2000002<0oooo0P00000@0?ooo`800000303oool2000000X0oooo
0P00000H0?ooo`@000008@3oool5000001L0oooo0P00000;0?ooo`030000003oool0oooo00P0oooo
0P00002j0?ooo`<00000803oool00200oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00T0oooo0P00000J0?ooo`@000006@3oool4000001X0oooo0P00
000;0?ooo`8000002P3oool00`000000oooo0?ooo`2l0?ooo`030000003oool0oooo01h0oooo000P
0?ooo`030000003oool0oooo0;<0oooo0P00000<0?ooo`8000002`3oool2000001`0oooo6@00000L
0?ooo`8000002`3oool2000000/0oooo00<000000?ooo`3oool0_@3oool00`000000oooo0?ooo`0N
0?ooo`00803oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo00/0oooo0P00000;0?oo
o`800000C@3oool2000000`0oooo00<000000?ooo`3oool02@3oool200000<00oooo00<000000?oo
o`3oool07P3oool00200oooo00<000000?ooo`3oool0]P3oool2000000d0oooo0P00000;0?ooo`@0
0000A`3oool2000000`0oooo0P00000;0?ooo`030000003oool0oooo0<00oooo00<000000?ooo`3o
ool07P3oool00200oooo00<000000?ooo`3oool0^03oool00`000000oooo0?ooo`0<0?ooo`800000
3@3oool300000440oooo0`00000<0?ooo`8000002`3oool2000004@0oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003o
ool0oooo0;T0oooo00<000000?ooo`3oool03@3oool2000000h0oooo0`00000j0?ooo`@000003@3o
ool2000000`0oooo00<000000?ooo`3oool0@P3oool200000280oooo0P00001K0?ooo`030000003o
ool0oooo01h0oooo000P0?ooo`030000003oool0oooo0;X0oooo0P00000?0?ooo`<000003P3oool4
000003<0oooo0`00000>0?ooo`<00000303oool2000004<0oooo1000000P0?ooo`@00000F`3oool0
0`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2l0?ooo`030000003oool0oooo
00l0oooo0P00000@0?ooo`<00000;03oool4000000l0oooo0P00000=0?ooo`800000903oool00`00
0000oooo0?ooo`0L0?ooo`D000007`3oool5000002H0oooo00<000000?ooo`3oool0<`3oool00`00
0000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`2m0?ooo`8000004@3oool300000100
oooo1000000S0?ooo`D00000403oool3000000d0oooo0P00000T0?ooo`800000803oool300000240
oooo1000000T0?ooo`800000=P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo
0?ooo`2o0?ooo`8000004P3oool200000180oooo2000000F0?ooo`D000004P3oool3000000h0oooo
0P00000T0?ooo`<00000803oool400000200oooo00@000000?ooo`00000000008`3oool3000003L0
oooo00<000000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool0`@3oool200000180oooo
0P00000H0?oooaH00000503oool3000000l0oooo0P00000T0?ooo`D000007`3oool010000000oooo
0?ooo`00000P0?ooo`050000003oool0oooo0?ooo`0000008@3oool4000003P0oooo00<000000?oo
o`3oool07P3oool00200oooo00<000000?ooo`3oool0``3oool200000180oooo0`00000l0?ooo`<0
00004@3oool00`000000oooo0?ooo`0T0?ooo`@000007`3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo02@0oooo0`00000i0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000
003oool0oooo0<D0oooo0P00000C0?ooo`800000>03oool200000180oooo0P00000V0?ooo`040000
003oool0oooo000001h0oooo0P00000S0?ooo`030000003oool0oooo02<0oooo0P0000000`3oool0
00000?ooo`0i0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0<L0oooo
0`00000B0?ooo`@00000<@3oool300000180oooo0P0000090?ooo`<000006`3oool00`000000oooo
0?ooo`0O0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0X0?ooo`<000004@3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?oo
o`3:0?ooo`800000503oool4000002P0oooo1@00000C0?ooo`8000001`3oool6000001X0oooo0P00
000Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0U0?ooo`H000004P3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`3<
0?ooo`8000005P3oool4000001`0oooo2000000F0?ooo`8000002@3oool5000001X0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo0P00000X
0?ooo`D000004`3oool00`000000oooo0?ooo`0N0?ooo`00803oool00`000000oooo0?ooo`3>0?oo
o`<000005`3oool9000000/0oooo2000000L0?ooo`800000203oool3000000030?ooo`0000000000
01X0oooo0P00000R0?ooo`030000003oool0oooo0240oooo0P00000T0?ooo`030000003oool0oooo
02D0oooo0`0000000`3oool000000000000E0?ooo`030000003oool0oooo01h0oooo000D0?ooo`05
0;md0000000000000000M02oool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
04l0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0S0?ooo`8000007P3oool<0000
0240oooo0P0000070?ooo`<00000103oool00`000000oooo0?ooo`0H0?ooo`050000003oool0oooo
0?ooo`0000007P3oool2000002<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0E
0?ooo`8000009@3oool3000000@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo01h0oooo000C0?ooo`060=nLB000M;l0oooo0?ooo`3o_g@007Bo1`3o
ool00`000000oooo0?ooo`080?ooo`<00000C`3oool00`000000oooo0?ooo`1>0?ooo`030000003o
ool0oooo02D0oooo0P00000W0?ooo`030000003oool0oooo00T0oooo0P00000@0?ooo`@000001`3o
ool200000240oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo02<0oooo0P00000B0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool07P3o
ool00180oooo00<0oono07@0001d_ol00P3oool00`3ookl0M4RL0?ooo`060?ooo`030000003oool0
oooo00P0oooo1`00000:0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`070?ooo`800000103oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool02@3oool6000000P0oooo100000020?ooo`030000003oool0
oooo00<0oooo0`0000080?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool2
000000D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0
oooo0?ooo`0000003`3oool00`000000oooo0?ooo`0=0?ooo`8000003P3oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo0080oooo0P00000:0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool01P3oool3000000@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo01h0oooo000B0?ooo`070?noM000B4P0M01d0;ooo`3oool0gia8
001d_`070?ooool00000o`00000100000200oooo000B0?ooo`030?oOW018B9`0okmd0080000000<0
04RL0?ooo`3oool0o`3ooooo0?ooobL0oooo000B0?ooo`030?oo_`1d07@0_ooo0?l0ooooo`3oool/
0?ooo`004`3oool00`2oM000B9cO0?ooo`3o0?ooool0oooo:`3oool001<0oooo00<0oono07@00000
M;l0o`3ooooo0?ooob/0oooo000E0?ooo`040;md0000000000000018W?l0ooooo`3ooolX0?ooo`00
o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool00?l0ooooo`3ooom10?ooo`00o`3ooooo0?oo
od40oooo000=0?ooo`030?oOW01dW=l0oooo01h0oooo00<0giad09cOo`3oool0;@3oool00`3ogi`0
M9cO0?ooo`0N0?ooo`030=nLM02Lgol0oooo02d0oooo00<0omnL07BLg`3oool0303oool00`3OW7@0
W=oo0?ooo`3o0?ooogl0oooo000=0?ooo`030;mdM02oool0oooo01h0oooo00<0oono07Ad_`3oool0
;@3oool00`2oM7@0_ooo0?ooo`0N0?ooo`030?oo_`1dM;l0oooo02d0oooo00<0_gAd0;ooo`3oool0
303oool00`3ookl0M7Bo0?ooo`060?ooo`0309a80018W=l0oooo0?l0ooooMP3oool000`0oooo00<0
omnL07BLg`3oool0303oool00`3ookl0M7Bo0?ooo`0A0?ooo`030=nLM02Lgol0oooo02/0oooo00<0
omnL07BLg`3oool0303oool00`3ookl0M7Bo0?ooo`0A0?ooo`030=nLM02Lgol0oooo02/0oooo00<0
omnL07BLg`3oool03P3oool00`3OW7@0W=oo0?ooo`050?ooo`030=nLB00004P0W=oo0?l0ooooMP3o
ool000`0oooo00<0giad09cOo`3oool00P3oool00`3OW4P00000000000040000000607Boo`3oool0
oooo0?ooo`3OW7@0W=oo103oool01`3ogi`0B000000000000000B9cO0?ooo`3OW4P00P0000001P00
04P0W=oo0?ooo`3oool0omnL07BLg`d0oooo00H0gia800000000000007Bo0?ooo`2oM00200000003
04RLg`3ookl0M00000D0000000<0M;oo0?ooo`3oool0303oool00`3OW7@0W=oo0?ooo`020?ooo`09
0=nLB000000000000000B02Lgol0oooo0?noM000000004RL0080oooo00<0giad09cOo`3oool00`3o
ool01`3ogi`0B000000000000000B9cO0?ooo`3OW4P00P0000001P0004P0W=oo0?ooo`3oool0omnL
07BLg`h0oooo00<0W4Q807AdB00000000P0000001@0007@0_ooo0?ooo`3oool0W4P000D0000000<0
04RL0?ooo`3OW4P00P0000000`00B9`0oooo0;md00020000000304RLg`3oool0oooo0080oooo00<0
giad09cOo`3oool00`3oool01P3ogi`0B00000000000000004RL0=ooo`D0oooo00<0omnL07BLg`3o
ool01@3oool00`3ogi`0B000001d_`3o0?ooogH0oooo000<0?ooo`030;nLW03Oool0oooo00<0oooo
00<0okmd001d_`3oool00P3oool00`3ogi`0B01809cOo`020?ooo`030?oo_`1dM;l0oooo00@0oooo
00<0oono07@0M02oool00`3oool00`3ookl0M01d0;ooo`030?ooo`030?oog`2LW;l0oooo00D0oooo
00D0gia804RLg`3oool0gia804RLg`030?ooo`070?noM0000000M;oo0?ooo`3o_g@0000007Boo`02
0?ooo`030;md000007@0_ooo0080oooo00<0giad09cOo`3oool03@3oool00`2oW9`0gooo0?ooo`03
0?ooo`030?noM000M;l0oooo0080oooo00<0W4P007Boo`3oool00P3oool00`3ookl0M7Bo0?ooo`04
0?ooo`030?oo_`1d07@0_ooo00<0oooo00<0oono07@0M02oool00`3oool00`3ooml0W9bo0?ooo`05
0?ooo`050=nLB018W=l0oooo0=nLB018W=l00`3oool00`2LB00004RL0?ooo`020?ooo`030?noM018
W=l0oooo00<0oooo00<0oono07@0M02oool0103oool00`3o_g@007Bo0?ooo`020?ooo`030;md001d
_ol0oooo00@0oooo00<0_ibL0=ooo`3oool00P3oool00`3ookl0M01d0;ooo`020?ooo`030?oOW018
04P0W=oo00@0oooo00<0oooO09bL_`3oool01P3oool00`2LB000000007Boo`3o0?ooogD0oooo000;
0?ooo`030?oog`2LM9`0gooo00@0oooo00<0okmd001d_`3oool00`3oool00`2oM000M;oo0?ooo`02
0?ooo`030=nLM02Lgol0oooo00<0oooo00T0oono07@0M02oool0okmd0000001d_ol0oono07@0M02o
ool00`3oool00`3ooml0W7BL0=ooo`060?ooo`030;mdB02L_i`0B7Bo00D0oooo00D0oono07@0B018
M4P0B01d0;ooo`040?ooo`030?noM00004P0W=oo0100oooo00<0oooO09adW03Oool0103oool01P3o
_g@007Bo0?ooo`3oool0okmd001d_`D0oooo00<0giad09cOo`3oool00`3oool02@3ookl0M01d0;oo
o`3o_g@0000007Boo`3ookl0M01d0;ooo`030?ooo`030?oog`2LM9`0gooo00H0oooo00<0_gA809bo
W018M;l0103oool00`2LB4P0W=oo0?ooo`020?ooo`030?oOW018B9`0oooo00<0oooo00<0oono07@0
M02oool0103oool00`3o_g@007Bo0?ooo`020?ooo`030;md001d_ol0oooo00<0oooo00<0oooO09ad
W03Oool00`3oool00`3ookl0W9cO0?ooo`030?ooo`030?oo_`1dM;l0oooo00<0oooo00<0oooO09ad
W03Oool0o`3ooomn0?ooo`002`3oool00`3ooml0W7BL0=ooo`040?ooo`030?noM000M;l0oooo0080
oooo00<0gia80000M02oool00`3oool00`3ogi`0M9cO0?ooo`030?ooo`090?oo_`1d07@0_ooo09a8
B02L_i`0B4RL0?oo_`1d07@0_ooo00<0oooo00<0oooO09adW03Oool01P3oool00`2oM0000000001d
_`060?ooo`0309a80018B4P004RL00H0oooo00<0omnL04P00018W=l0103oool00`3OW4P000000000
00030000000304RLg`3oool0oooo0080oooo00<0oooO09adW03Oool0103oool01P3o_g@0001d0;oo
o`2oM000001d0;ooo`D0oooo00<0omnL07BLg`3oool00`3oool02@3ookl0M01d0;ooo`2LB4P0W;nL
04Q8W03ookl0M01d0;ooo`030?ooo`030?oog`2LM9`0gooo00H0oooo00<0_g@000000000M;l02@3o
ool00`2LB00007Bo0?ooo`030?ooo`030?oo_`1d07@0_ooo00@0oooo00<0okmd001d_`3oool00P3o
ool00`2oM000M;oo0?ooo`030?ooo`030?oog`2LM9`0gooo00<0oooo00<0oooO09adW03Oool0103o
ool00`2oW9`0gooo0?ooo`020?ooo`030?oog`2LM9`0gooo0?l0ooooOP3oool000`0oooo00<0_gAd
0;ooo`3oool00`3oool00`3o_g@0000000000002000000030018W03oool0oooo00@0oooo00<0_gAd
0;ooo`3oool00P3oool02@3ookl0M01d0;oOW018B9`0oooo0;mdB02Lgkl0M01d0;ooo`030?ooo`03
0?oog`2LW;l0oooo00@0oooo00L0omnL04P0001d_ml0W7BL0=noM00004P0W=oo0080oooo00L0oono
07@00018W=l0oooo0=nLB00007@0_ooo00H0oooo00<0W4P004RLg`3oool03P3oool00`2oM7@0_ooo
0?ooo`030?ooo`040?noM00000000000001d_`P0oooo00<0_gAd0;ooo`3oool00P3oool02@3ookl0
M01d0;oOW018B9`0oooo0;mdB02Lgkl0M01d0;ooo`030?ooo`030?oog`2LW;l0oooo00@0oooo00L0
omnL04P0001d_ml0W7BL0=noM00004P0W=oo00<0oooo00D0gia8000000000000000004RLg`050?oo
o`030?oo_`1d07@0_ooo00@0oooo00<0okmd0000001d_ol00P3oool00`2LB000M;oo0?ooo`040?oo
o`030;mdM02oool0oooo00<0oooo00<0omnL04P0B02Lgol00P3oool00`3ooml0W7BL0=ooo`030?oo
o`030?oog`2LW;l0oooo00H0oooo00<0_g@000000000M;l0o`3ooome0?ooo`00303oool00`3OW7@0
W=oo0?ooo`030?ooo`030?noM000M;l0oooo0080oooo00<0gia804RLg`3oool0103oool00`3ogi`0
M9cO0?ooo`020?ooo`090?oo_`1d07@0M7@007Boo`3oool0okmd001dM01d07@0_ooo00<0oooo00<0
omnL07BLg`3oool01P3oool00`3ooml0W7BL0=ooo`030?ooo`090?oOW01800000000001d_`3oool0
_g@00000000004P0W=oo00H0oooo00<0W4Qd0;ooo`3oool03@3oool00`3OW7@0W=oo0?ooo`030?oo
o`050?noM000M;l0omnL04P0001d_ol01`3oool00`3ogi`0M9cO0?ooo`020?ooo`090?oo_`1d07@0
M7@007Boo`3oool0okmd001dM01d07@0_ooo00<0oooo00<0omnL07BLg`3oool01P3oool00`3ooml0
W7BL0=ooo`040?ooo`030=nLB000B9`0oooo0080oooo00T0okmd001d_`3oool0oooo0?oOW0180000
00000000M02oool00`3oool0103OW4P00000001dM01d000200000003001d_`3oool0oooo00@0oooo
00<0giad09cOo`3oool0103oool01P3ooml0W4Q809cOo`3o_g@0001809cOo`@0oooo00<0omnL07BL
g`3oool01P3oool00`2oM0000000001d_`3o0?ooogD0oooo000<0?ooo`030?oOW018M;l0oooo00<0
oooo00<0okmd001d_`3oool00P3oool00`3OW4P007Bo0?ooo`050?ooo`080;mdM02oool0oooo0?oo
o`3ookl0M0000000M02oool20?ooo`0309a8000007@0_ooo00<0oooo00<0giad09cOo`3oool05P3o
ool00`3OW4P0M;oo0?ooo`020?ooo`030;md001d_ol0oooo00d0oooo00<0omnL04Qd_`3oool00`3o
ool01P3o_g@007Bo0?ooo`3ookl0M00007Boo`L0oooo00P0_gAd0;ooo`3oool0oooo0?oo_`1d0000
001d0;ooo`80oooo00<0W4P00000M02oool00`3oool00`3OW7@0W=oo0?ooo`0=0?ooo`070?noM000
B9`0oooo0?ooo`3ookl0M000001d_`0G0?ooo`030?oOW018M;l0oooo00D0oooo00<0oono07@00000
M;l01P3oool00`3OW7@0W=oo0?ooo`3o0?ooogh0oooo000=0?ooo`050;mdM02oool0oooo0?ooo`3O
W4P01@0000000`00B9`0oooo0?ooo`050?ooo`070?oOW01dW=l0oooo0?ooo`2LB000000004RLg`03
0?ooo`030=nLB000000004RL0080oooo00<0oono07Ad_`3oool05`3oool01`3o_g@0001d0;ooo`3o
ool0okmd0000B02Lgol03`3oool01@2oM7@0_ooo0?ooo`3oool0gia80080000000D0001804Q80000
00000000001d_`060?ooo`070?oOW01dW=l0oooo0?ooo`2LB000000004RLg`030?ooo`030=nLB000
000004RL0080oooo00<0oono07Ad_`3oool03`3oool01P3OW4P00000000000000000M7Ad001d_aP0
oooo00<0_gAd0;ooo`3oool0103oool00`3OW9`0_ooo0?ooo`050?ooo`030?oo_`1dM;l0oooo0?l0
ooooO`3oool000d0oooo00<0omnL04Qd_`3oool0403oool00`2oW9`0gooo0?ooo`0;0?ooo`030;md
B02Lgol0oooo01P0oooo00D0okmd000000000000001809cOo`0@0?ooo`030?oOW018M;l0oooo0100
oooo00<0_ibL0=ooo`3oool02`3oool00`2oM4P0W=oo0?ooo`0I0?ooo`030?noM00007@0_ooo0140
oooo00<0omnL04Qd_`3oool0103oool01P3ookl0M000000000000000001d0;ooo`80oooo00<0_gA8
09cOo`3oool0o`3ooomo0?ooo`00V`3oool00`3o_g@0001d0;ooo`3o0?oooj80oooo003o0?ooool0
oooo@@3oool00?l0ooooo`3ooom10?ooo`00o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool0
0?l0ooooo`3ooom10?ooo`00o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool00;P0oooo00<0
omnL07BLg`3oool07P3oool00`3OW7@0W=oo0?ooo`0=0?ooo`030?oo_`1d000000000080000000<0
07Bo0?ooo`3oool09@3oool01@2LB00000000000000004P0W=oo0?l0oooo9@3oool00;P0oooo00<0
_gAd0;ooo`3oool0303oool00`2LB000B9cO0?ooo`0?0?ooo`030?oo_`1dM;l0oooo0100oooo00<0
okmd001d_`3oool0:03oool00`2oM000M;oo0?ooo`3o0?ooobH0oooo002g0?ooo`030?oOW01dW=l0
oooo00d0oooo00<0_g@00000M02oool0403oool00`3OW7@0W=oo0?ooo`0@0?ooo`0309a8B02Lgol0
oooo02L0oooo00<0_g@007Boo`3oool0o`3ooolV0?ooo`0000<0omnL04P0000000000P0000000`1d
M7@000000018W0020?ooo`060;md0000000000000000000007@0_ooo0P3oool00`2LB00000000000
0003000000030018W03oool0oooo0140oooo00H0gia800000000000004RL0?ooo`2LB00200000003
04RLg`3oool0gia800<0000000l007Ad07@0000004P0W;nL04P000000000001d0;oo_`1d00000018
09cOo`2LB000001809cOo`2LB0001@0000001000B9`0oooo0?ooo`2LB005000000060018W03oool0
oooo0?ooo`3ookl0M0000P0000001P00B9`0oooo0?ooo`3oool0oono07@000<0000000@0001d0;oo
o`3oool0gia80P0000000`00B9`0oooo0;md00020000000304RLg`3oool0W4P000D0000000@004RL
0?ooo`3oool0gia80`0000001@00M7@0M0000000B02Lgol0gia80080000000<004RL0?ooo`2oM000
0P0000001018W=l0oooo0?oo_`1d0003000000030000M02oool0oooo0180oooo00H0gia800000000
000004RL0?ooo`2LB0020000000304RLg`3oool0oooo0080oooo00<0giad09cOo`3oool00`3oool0
1P3ogi`0B00000000000000004RL0=ooo`@0oooo00<0okmd00000018W=l0103oool0203ookl0M000
00000000M;l0_g@00000000007@0_ooo103oool00`3ogi`0M9cO0?ooo`0?0?ooo`030?oo_`1d0000
07Bo00h0oooo00H0gia800000000000000000000B02Lgol20?ooo`0D0=nLB0000000000000000000
M7@0M0000000B02L_i`0B0000000000007@0_ono07@0000004P0W=oo09a8000004P0W=oo0;md001d
M7@3000000060000B02Lgol0oooo0?ooo`3ookl0M0000`0000000`0007@0_ooo0?ooo`0E0?ooo`03
0?oOW01804P0W=oo00D0oooo00H0_g@000000000000000000000M02oool30?ooo`060=nLB0000000
00000000000004P0W=oo0`3oool01@3ookl0M00000000000000004RL00<0oooo00<0oono07@00000
00000P0000001@0007@0_ooo0?ooo`3ookl0M00000@0000000D0001809cOo`3oool0oooo09a80005
000000040018W03oool0oooo0=nLB0<0000000H007Ad07@0000004P0W=oo0?ooo`2LB00500000003
0018W03oool0oooo00T0oooo00<0omnL04P0000000000P0000000`1dM7@000000018W0020?ooo`06
0;md0000000000000000000007@0_ooo503oool00`2LB000000000000003000000040018W03oool0
oooo0=nLB0<0000000H007Ad07@0000004P0W=oo0?ooo`2oM004000000030018W03oool0oooo01@0
oooo00H0_g@000000000000000000000M02oool30?ooo`060=nLB000000000000000000004P0W=oo
0`3oool02@2LB000000000000000B9`0_g@000000018W=l0oooo0=nLB00300000004001dM01d0000
001809cOo`80oooo00H0gia800000000000000000000B02Lgol20?ooo`0309a800000000000000<0
000000D004RL0?ooo`3oool0oono07@00003000000040000M02oool0oooo0=nLB080000000<004RL
0?ooo`2oM0000P0000001018W=l0oooo0?ooo`2oM003000000050000M02oool0oooo0?ooo`2oM000
100000010018W040oooo0@3oool0000709a8B02Lgol0oooo0?ooo`3ookl0M000001d_`020?ooo`03
0;md0000M;l0oooo0080oooo00<0okmd0018W03oool00`3oool00`3ookl0M01d0;ooo`0F0?ooo`03
0?noM000M;l0oooo0080oooo00H0_g@007Boo`3oool0oono07@0M02oool20?ooo`0=0;md000007@0
_ooo0?ooo`3ogi`0B4RL0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`030?ooo`030?oo_`1d07@0
_ooo00H0oooo00<0oono07@0M02oool01@3oool02P3OW4P0B9cO0?ooo`3oool0gia80000M02oool0
oooo0;md001d_ol30?ooo`060?noM000M;l0oooo0?ooo`3o_g@007Bo0`3oool00`2oM000M;oo0?oo
o`030?ooo`030?oo_`1d07@0_ooo00<0oooo00<0oono07@0M02oool00P3oool00`2oM000001d0;oo
o`020?ooo`030?noM000M;l0oooo0080oooo00H0_g@007Boo`3oool0oooo0;md001d_ol30?ooo`03
0?noM000M;l0oooo01<0oooo00<0okmd001d_`3oool00P3oool00`2oM000M;oo0?ooo`040?ooo`03
0;nLW03Oool0oooo0080oooo00<0oono07@0M02oool00P3oool00`3ogi`0B01809cOo`030?ooo`04
0?oo_`1d0000000007Boo`<0oooo00T0gia807Boo`3oool0okmd001d_`3oool0omnL04Q8W03Oool0
0`3oool00`3ooml0W9bo0?ooo`0?0?ooo`040=nLB000M;l0_g@007Boo``0oooo00<0okmd0018W03o
ool00P3oool01P3ogi`0B01809cOo`3ookl0M01d0;ooo`80oooo0140_g@00000M02oool0oooo0?oO
W018B9`0oooo0?oo_`1d07@0_ooo0?ooo`2LB4P0W=oo0?ooo`2oM000001d0;ooo`020?ooo`060?oO
W018B9`0oooo0?ooo`2oM000M;oo0`3oool00`3o_g@007Bo0?ooo`0E0?ooo`030=nLB018B4P0B9cO
00@0oooo00<0_g@0001d_`3oool00P3oool01P3o_g@004RL0?ooo`3oool0gia80018W0<0oooo00<0
omnL04P0B02Lgol00P3oool02P3OW4P0B9cO0?ooo`3oool0gia80000M02oool0oooo0;md001d_ol3
0?ooo`030?noM000M;l0oooo0080oooo00<0oono07@0M02oool01`3oool00`3ookl0M01d0;ooo`03
0?ooo`030?oo_`1d07@0_ooo0080oooo00<0_g@00000M02oool0103oool00`3ookl0M01d0;ooo`0=
0?ooo`0709a8B02Lgol0oooo0?ooo`3ookl0M000001d_`020?ooo`030;md0000M;l0oooo0080oooo
00<0okmd0018W03oool05@3oool00`3ookl0M01d0;ooo`030?ooo`030?oo_`1d07@0_ooo0080oooo
00<0_g@00000M02oool00P3oool00`2oM000B9cO0?ooo`020?ooo`030=nLB018W=l0oooo01<0oooo
00<0_g@0001d_`3oool00P3oool01P3o_g@004RL0?ooo`3oool0gia80018W0<0oooo00H0omnL04P0
B02Lgol0oooo0?noM000B9`20?ooo`070=nLB0000000M;oo0?ooo`3ookl0M01d0;ooo`020?ooo`03
0;md000007@0_ooo0080oooo00<0gia80018W03oool00P3oool00`3ogi`0B01809cOo`030?ooo`03
0?oo_`1d07@0_ooo00@0oooo00<0_g@007Boo`3oool00P3oool01P3o_g@007Bo0?ooo`3oool0okmd
001d_`<0oooo00H0_g@007Boo`3oool0oooo0;md0000M;l30?ooo`060?noM000B9`0oooo0?ooo`2o
M000B9cO0`3oool10=nLB040B9cO0@3oool0000304Qd_`3oool0oooo0080oooo00H0okmd001d_`3o
ool0oono07@0M02oool90?ooo`030?oo_`1d07@0_ooo01H0oooo00<0okmd001d_`3oool00P3oool0
1P2oM000M;oo0?ooo`3ookl0M01809cOo`80oooo00d0oono07@0M02oool0oooo0?oOW018B9`0oooo
0?oo_`1d07@0_ooo0?ooo`2LB4P0W=oo00<0oooo00<0oono07@0M02oool01P3oool00`3ookl0M01d
0;ooo`050?ooo`030=nLB018W=l0oooo00@0oooo00<0oono07A8W03oool0103oool01@2LB4P0W=oo
0?ooo`3o_g@007Bo00<0oooo00<0_g@007Boo`3oool00`3oool00`3ookl0M01d0;ooo`030?ooo`03
0?oo_`1d04P0W=oo0080oooo00<0oono07@0M02oool00P3oool00`3o_g@007Bo0?ooo`020?ooo`05
0;md001d_ol0oooo0?oo_`1dB9`01@3oool00`2LB4P0W=oo0?ooo`0B0?ooo`030?noM000M;l0oooo
0080oooo00<0_g@007Boo`3oool00`3oool00`3ooml0W7BL0=ooo`030?ooo`030?oo_`2LW=l0oooo
00<0oooo00<0oono07Ad_`3oool02@3oool01@3o_i`0W=oo0?ooo`3ooml0W9bo0080oooo00<0giad
09cOo`3oool00P3oool00`3ooml0W7BL0=ooo`0?0?ooo`0409a8B02Lgol0omnL04Q8W0/0oooo00<0
oono07@0M02oool01P3oool00`3ookl0M01809cOo`020?ooo`0@0?oo_`1d07@0_ooo0?ooo`3ogi`0
B4RL0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`3oool0_g@007Boo`@0oooo00@0_g@007Boo`3o
okl0M4RL1@3oool00`2LB4P0W=oo0?ooo`0D0?ooo`0309a8M02ookl0M4RL00<0oooo00<0oono07@0
M02oool01`3oool00`2LB4P0W=oo0?ooo`070?ooo`030=nLB018W=l0oooo00@0oooo00<0oono07A8
W03oool0103oool01`2LB4P0W=oo0?ooo`3oool0oono07@0M02oool01`3oool00`3ookl0M01d0;oo
o`030?ooo`030?oo_`1d04P0W=oo0080oooo00<0oono07@0M02oool0103oool00`3ookl0M01d0;oo
o`0<0?ooo`030?oOW018M;l0oooo00<0oooo00H0okmd001d_`3oool0oono07@0M02ooolK0?ooo`03
0?oo_`1d07@0_ooo00<0oooo00<0oono07@0B02Lgol00P3oool00`3ookl0M01d0;ooo`070?ooo`03
0;md0000M;l0oooo0180oooo00<0oono07@0M02oool01`3oool00`2LB4P0W=oo0?ooo`060?ooo`03
0=nLB018W=l0oooo0080oooo00H0_g@007Boo`3oool0oono07@0B02Lgol20?ooo`030?oo_`1d07@0
_ooo0080oooo00<0W4Q809cOo`3oool0203oool00`3ookl0M01d0;ooo`030?ooo`030?oo_`1dB9`0
oooo00@0oooo00D0W4Q809cOo`3oool0okmd001d_`030?ooo`060;md001d_ol0oooo0?oo_`1d07@0
_ooo303oool10;md004007Bo0@3oool0000304Qd_`3oool0oooo0080oooo00D0okmd001d_`3oool0
oono07@00005000000030018W03oool0oooo0080oooo00<0oono07@0M02oool05P3oool00`3o_g@0
07Bo0?ooo`020?ooo`060;md001d_ol0oooo0?ooo`3ogi`0B0000`000000300007@0_ooo0?ooo`3o
gi`0B4RL0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`<0oooo00<0oono07@0M02oool01P3oool0
0`3ookl0M01d0;ooo`050?ooo`030=nLB018W=l0oooo00@0oooo00<0oono07A8W03oool0103oool0
1@2LB4P0W=oo0?ooo`3o_g@007Bo00<0oooo00<0_g@007Boo`3oool00`3oool00`3ookl0M01d0;oo
o`040?ooo`030?oOW018000000000080000000H0001d0;ooo`3oool0oooo0?noM000M;l30?ooo`05
0;md001d_ol0oooo0?oo_`1dB9`01@3oool00`2LB4P0W=oo0?ooo`0B0?ooo`030?noM000M;l0oooo
0080oooo00<0_g@007Boo`3oool00`3oool00`3ooml0W7BL0=ooo`030?ooo`030?oog`2LM9`0gooo
00@0oooo00<0_ibL0=ooo`3oool0203oool02@3ogi`0W;oo0?ooo`3oool0_gAd0;ooo`3oool0oknL
09cOo`030?ooo`030?oog`2LM9`0gooo00h0oooo00H0okmd001d_`3oool0oooo0;md001d_ol:0?oo
o`030?oOW018M;l0oooo00L0oooo00<0omnL04P0000000000P0000003`0007@0_ooo0?ooo`3ogi`0
B4RL0?ooo`3ookl0M01d0;ooo`3oool0W4Q809cOo`3oool0_g@004RLg`040?ooo`040;mdB02Lgol0
oono07A8W0D0oooo00<0W4Q809cOo`3oool04`3oool01@3o_g@007Bo0?ooo`2oM000M;oo0080oooo
00<0oono07@000000000100000001@00B9`0oooo0?ooo`2LB4P0W=oo00P0oooo00<0gia804RLg`3o
ool0103oool00`3ookl0M4RL0?ooo`040?ooo`0709a8B02Lgol0oooo0?ooo`3ookl0M01d0;ooo`07
0?ooo`030?oo_`1d07@0_ooo00@0oooo00<0omnL04P0000000000P0000000`0007@0_ooo0?ooo`03
0?ooo`030?oo_`1d07@0_ooo00`0oooo00<0omnL04Qd_`3oool00`3oool01@3o_g@007Bo0?ooo`3o
okl0M00000D0000000<004RL0?ooo`3oool0503oool00`3ookl0M01d0;ooo`040?ooo`030?oOW018
000000000080000000<0001d0;ooo`3oool00P3oool01@2LB000000000000000000004RL01@0oooo
00<0oono07@000000000100000001@00B9`0oooo0?ooo`2LB4P0W=oo00L0oooo00<0gia804RLg`3o
ool00P3oool01P2oM000M;oo0?ooo`3oool0omnL04P000<0000000H0001d0;ooo`3oool0oooo09a8
B02Lgol90?ooo`030?oo_`1d07@0_ooo00<0oooo00<0oono07A8W03oool0103oool01@2LB4P0W=oo
0?ooo`3o_g@007Bo00<0oooo00D0_g@007Boo`3oool0oono07@00005000000050018W03oool0oooo
0?ooo`2LB0000`0000010018W040oooo0@3oool0000709a80018W=l0oooo0?ooo`3o_g@00000001d
_`020?ooo`030;md001d_ol0oooo0080oooo00<0W4P004RLg`3oool00`3oool00`3ookl0M01d0;oo
o`0F0?ooo`030?noM0000000000000<0000000D0M;oo0?ooo`3oool0oono0;noo`020?ooo`0=0?oO
W01807@0_ooo0?ooo`3ogi`0B00007Boo`3ogi`0B00004RLg`3ookl0M01809cOo`030?ooo`030?oo
_`1d07@0_ooo00H0oooo00<0oono07@0M02oool01@3oool00`3OW4P0B9cO0?ooo`050?ooo`030;md
0000B9`0oooo0080oooo00L0_g@0001d_`3oool0oooo0?noM0000000M;oo0080oooo00<0W4P007Bo
o`3oool00`3oool00`3ookl0M01d0;ooo`040?ooo`070?oo_`2o_ol0oooo0?ooo`3ogi`0B01d0;oo
o`020?ooo`030?noM0000000M;oo0080oooo00H0W4P007Boo`3oool0oooo0;md0000B9`30?ooo`03
0;md0000M;l0oooo01<0oooo00<0okmd0000000000000`0000000`1d_ol0oooo0?ooo`030?ooo`03
0;mdM02oool0oooo00<0oooo00<0omnL04P0B02Lgol00P3oool00`3ooml0W7BL0=ooo`0:0?ooo`03
0;mdB02Lgol0oooo00<0oooo00<0oknL09cOo`3oool00P3oool00`3ooml0W9bo0?ooo`0>0?ooo`06
09a8B02Lgol0oooo0?ooo`3ogi`0B4RL2P3oool00`3ogi`0B7Bo0?ooo`070?ooo`0E0?oo_`2o_ol0
oooo0?ooo`3ogi`0B01d0;ooo`3oool0omnL04P0001d_ol0omnL04P00018W=l0oono07@0B02Lgol0
oooo0;md00000000M;oo0080oooo00H0gia80018W03oool0oooo0;md0000B9`30?ooo`030;md0000
M;l0oooo01@0oooo00D0_g@007Boo`3oool0okmd001d_`030?ooo`030;md001d_ol0oooo0080oooo
00L0W4P004RLg`3oool0oooo0=nLB00007@0_ooo0080oooo00<0_g@00000M02oool00P3oool00`3O
W4P0B9cO0?ooo`050?ooo`030;md0000B9`0oooo0080oooo00<0_g@0001d_`3oool00P3oool0103o
okl0M0000000001d_ol60?ooo`030?oo_`1d07@0_ooo00@0oooo00L0oono0;noo`3oool0oooo0?oO
W01807@0_ooo00@0oooo00<0oono07@0M02oool03@3oool01`2LB000B9cO0?ooo`3oool0okmd0000
0000M;l00P3oool00`2oM000M;oo0?ooo`020?ooo`0309a80018W=l0oooo01D0oooo00<0oono07@0
M02oool0103oool01`3ookl0_koo0?ooo`3oool0omnL04P0M02oool00P3oool01`3o_g@007Bo0?oo
o`3oool0oono07@00018W=l0503oool00`2oM000M;oo0?ooo`020?ooo`0709a80018W=l0oooo0?oo
o`3OW4P0001d0;ooo`020?ooo`060;md000007@0_ooo0?ooo`3OW4P0B9cO0`3oool01P2oM000M;oo
0?ooo`3oool0oono0;noo`80oooo00<0omnL04P0M02oool00P3oool00`3OW4P0001d0;ooo`020?oo
o`030;md000007@0_ooo00<0oooo00<0oono07@0M02oool0103oool00`2oM00004RL0?ooo`020?oo
o`070;md0000M;l0oooo0?ooo`3o_g@0000007Boo`020?ooo`0609a8001d_ol0oooo0?ooo`2oM000
M;oo0`3oool01P2LB000B9cO0?ooo`3oool0okmd001d_`80oooo00<0oono07@00018W=l00@3oool0
00070?ooo`2LB00000000000000007@0_kmd001d_`020?ooo`030?oo_`1d000000000080000000<0
B9cO0?ooo`3oool00`3oool00`3ookl0M01d0;ooo`0F0?ooo`030?noM000M;l0oooo0080oooo00H0
_g@007Boo`3oool0oooo0?oOW01800020000000<0000B02Lgol0oooo0?oOW018000004Q807@00000
0000M;oo09a80000000007Bo0P3oool01@3ogi`0B0000000000007@0_ooo00H0oooo00<0oono07@0
M02oool00`3oool00`3ogi`0B00000000003000000030000B02Lgol0oooo0080oooo00D0gia80000
000000000000001d_`020?ooo`040=nLB000000007Ad07@00080000000T007Bo0?ooo`3oool0oooo
0?oOW018000000000000M02oool0103oool01P3ogi`0B000000000000000001809cOo`80oooo00@0
gia800000000M7@0M0000P0000000`00M;l0oooo0?ooo`020?ooo`050=nLB0000000000000000000
M;l05@3oool00`3o_g@007Bo0?ooo`020?ooo`030;md001d_ol0oooo00@0oooo00<0giad09cOo`3o
ool0103oool01P3ooml0W4Q809cOo`3o_g@0001809cOo`/0oooo00<0oooO09adW03Oool00`3oool0
0`2o_kl0oooo0?ooo`020?ooo`030?oOW01dW=l0oooo00d0oooo00P0_g@00000000007@0_ooo0?oo
_`1d00000000001d_`T0oooo00<0oono07A8W03oool00`3oool01P3ookl0M01809cOo`3oool0omnL
04P0008000000140001809cOo`3oool0omnL04P00000B4P0M0000000001d_ol0W4P000000000M;l0
oooo09a800000000M;no07@00002000000030018W03oool0oooo0080oooo00D0gia8000000000000
0000001d_`0E0?ooo`030?oo_`1dB9`0oooo0080oooo00H0W4Qd0;ooo`3oool0oooo0?oo_`1d0003
0000000304RLg`3oool0oooo0080oooo00T0okmd0000000000000000001dM01d07@0_ooo0?oOW018
0000100000000`0004P0W=oo0?ooo`020?ooo`050=nLB0000000000000000000M;l00`3oool01@3O
W4P000000000M02ookl0M0000080000000L0M;oo0?ooo`3ogi`0B0000000000007@0_ooo00@0oooo
00H0omnL04P00000000000000000B02Lgol50?ooo`030?oo_`1d07@0_ooo00h0oooo00H0W4P00000
00000000001d0;noM000M;l20?ooo`030?oo_`1d000000000080000000<0B9cO0?ooo`3oool05@3o
ool00`3ookl0M01d0;ooo`040?ooo`060?oOW018000000000000000004P0W=oo103oool01P2oM000
0000000000000000M7Ad04RLga@0oooo00<0oono07@0000000000P0000000`18W=l0oooo0?ooo`02
0?ooo`0?0?noM0000000000000000000M7@0M01d0;ooo`3OW4P0000004RLg`3oool0omnL04P00000
0000M;oo0080oooo00H0omnL04P00000000000000000B02Lgol40?ooo`0=0?noM000000000000000
0000M7@0M01d0;ooo`3oool0omnL04P000000000001d0;ooo`050?ooo`050=nLB000000000000000
0000M;l00P3oool0103OW4P00000001dM01d000200000006001d_`3oool0oooo0?ooo`3ookl0M000
0`0000000`18W=l0oooo0?ooo`020?ooo`060;md0000000000000000001dM7@0B9cO0@3oool000D0
oooo00<0okmd001d_`3oool0303oool00`3ookl0M01d0;ooo`0F0?ooo`030?noM000M;l0oooo0080
oooo00<0_g@007Boo`3oool07P3oool00`3ookl0M01d0;ooo`050?ooo`030=nLB018W=l0oooo04d0
oooo00<0okmd001d_`3oool00P3oool00`2oM000M;oo0?ooo`040?ooo`030?oOW018M;l0oooo00D0
oooo00<0oono07@00000M;l0603oool00`3OW7@0W=oo0?ooo`0O0?ooo`080=nLB000B9`0oooo0?oo
o`3ookl0M0000000B02Lgolg0?ooo`030=nLB018W=l0oooo0080oooo00<0gia804RLg`3oool0503o
ool00`3OW4P0B9cO0?ooo`0[0?ooo`030?oo_`1d07@0_ooo0180oooo00<0okmd001d_`3oool07P3o
ool00`3ookl0M01d0;ooo`210?ooo`001@3oool00`3o_g@007Bo0?ooo`0<0?ooo`030?oo_`1d07@0
_ooo01D0oooo00T0omnL04P00000000004RL0?ooo`2LB00000000000B02Lgol07P3oool00`3ookl0
M01d0;ooo`050?ooo`030=nLB018W=l0oooo04`0oooo00T0omnL04P00000000004RL0?ooo`2LB000
00000000B02Lgol01@3oool00`2oM7@0_ooo0?ooo`040?ooo`030=nLW02oool0oooo01L0oooo00<0
oono07Ad_`3oool08@3oool01`3OW4P00000000000000000M;oo09a8B02Lgol0=P3oool01P2LB000
00000000000007@0_ono07@00080000000<004RL0?ooo`3oool04P3oool00`3OW4P0B9cO0?ooo`0[
0?ooo`030?oo_`1d07@0_ooo0180oooo00<0okmd001d_`3oool07P3oool00`3ookl0M01d0;ooo`21
0?ooo`00103oool00`3o_g@00000001d_`0;0?ooo`050?oOW018000000000000M02oool0<`3oool0
0`3o_g@0001d0;ooo`040?ooo`050?oOW018000000000000M02oool08@3oool00`3o_g@0001d0;oo
o`0n0?ooo`030?oOW018M;l0oooo00@0oooo00H0oono07@00000000000000000M02ooolD0?ooo`03
0;mdB02Lgol0oooo09L0oooo00<0okmd0000M02oool03@3oool01@3ogi`0B0000000000007@0_ooo
0140oooo00<0okmd00000000M;l07@3oool01@3ogi`0B0000000000007@0_ooo05L0oooo00<0okmd
0000M02oool09`3oool004X0oooo00<0okmd0000M02oool0:P3oool00`3o_g@0001d0;ooo`3i0?oo
o`030?noM00007@0_ooo09l0oooo00<0okmd0000M02oool09`3oool00?l0ooooo`3ooom10?ooo`00
o`3ooooo0?oood40oooo003o0?ooool0oooo@@3oool00001\
\>"],
  ImageRangeCache->{{{0, 574.813}, {574.813, 0}} -> {-3.54129, -6.46775, \
0.0184823, 0.0352987}}]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 715}},
PrintingStyleEnvironment->"Working",
WindowSize->{1016, 681},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5,
StyleDefinitions -> "DemoText.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 934, 14, 207, "Input"],
Cell[2691, 67, 562, 19, 467, "Input"],
Cell[3256, 88, 161, 3, 103, "Input"],
Cell[3420, 93, 127, 4, 122, "Input"],
Cell[3550, 99, 120, 2, 103, "Input"],

Cell[CellGroupData[{
Cell[3695, 105, 393, 7, 155, "Input"],
Cell[4091, 114, 780181, 20034, 456, 780062, 20030, "GraphicsData", \
"PostScript", "Graphics",
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{
Cell[784309, 20153, 379, 6, 129, "Input"],
Cell[784691, 20161, 382695, 24625, 456, 382576, 24621, "GraphicsData", \
"PostScript", "Graphics",
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{
Cell[1167423, 44791, 405, 9, 155, "Input"],
Cell[1167831, 44802, 35383, 1869, 456, 35264, 1865, "GraphicsData", \
"PostScript", "Graphics",
  ImageCacheValid->False]
}, Open  ]],

Cell[CellGroupData[{
Cell[1203251, 46676, 577, 10, 259, "Input"],
Cell[1203831, 46688, 127137, 3261, 456, 46284, 2258, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1331005, 49954, 174, 3, 103, "Input"],
Cell[1331182, 49959, 784875, 21718, 600, 255404, 15177, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

